diff --git a/books/Makefile b/books/Makefile
new file mode 100644
index 0000000..d91e0ea
--- /dev/null
+++ b/books/Makefile
@@ -0,0 +1,205 @@
+AXIOM=/usr/local/axiom/mnt/fedora5
+TANGLE=${AXIOM}/bin/lib/notangle
+WEAVE=${AXIOM}/bin/lib/noweave 
+LATEX=latex
+MAKEINDEX=makeindex
+DVIPS=dvips -Ppdf
+PS2PDF=ps2pdf
+RM=rm -f
+
+all: 
+
+remake: bookvol0 bookvol1 bookvol2 bookvol3 bookvol4 bookvol5 bookvol6 \
+        bookvol7 bookvol8 bookvol9 bookvol10 bookvol11 bookvol12 toc
+
+toc:
+	@echo "\\documentclass{book}" >toc.tex
+	@echo "\\begin{document}" >>toc.tex
+	@echo "{\\bf Volume ~ 0}: Axiom {\\sl Jenks and Sutor}\\\\" >toc.toc
+	@echo "{\\bf Volume ~ 1}: Axiom {\\sl Tutorial}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 2}: Axiom {\\sl Users Guide}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 3}: Axiom {\\sl Programmers Guide}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 4}: Axiom {\\sl Developers Guide}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 5}: Axiom {\\sl Interpreter}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 6}: Axiom {\\sl Command}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 7}: Axiom {\\sl Hyperdoc}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 8}: Axiom {\\sl Graphics}\\\\" >>toc.toc
+	@echo "{\\bf Volume ~ 9}: Axiom {\\sl Compiler}\\\\" >>toc.toc
+	@echo "{\\bf Volume 10}: Axiom {\\sl Algebra}\\\\" >>toc.toc
+	@echo "{\\bf Volume 11}: Axiom {\\sl Browser}\\\\" >>toc.toc
+	@echo "{\\bf Volume 12}: Axiom {\\sl Crystal}\\\\" >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\tableofcontents" >>toc.tex
+	@echo "\\end{document}" >>toc.tex
+	@echo "\\section*{Volume 0: Axiom Jenks and Sutor}" >>toc.toc
+	@cat bookvol0.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 1: Axiom Tutorial}" >>toc.toc
+	@cat bookvol1.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 2: Axiom Users Guide}" >>toc.toc
+	@cat bookvol2.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 3: Axiom Programmers Guide}" >>toc.toc
+	@cat bookvol3.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 4: Axiom Developers Guide}" >>toc.toc
+	@cat bookvol4.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 5: Axiom Interpreter}" >>toc.toc
+	@cat bookvol5.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 6: Axiom Command}" >>toc.toc
+	@cat bookvol6.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 7: Axiom Hyperdoc}" >>toc.toc
+	@cat bookvol7.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 8: Axiom Graphics}" >>toc.toc
+	@cat bookvol8.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 9: Axiom Compiler}" >>toc.toc
+	@cat bookvol9.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 10: Axiom Algebra}" >>toc.toc
+	@cat bookvol10.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 11: Axiom Browser}" >>toc.toc
+	@cat bookvol11.toc >>toc.toc
+	@echo "\\newpage" >>toc.toc
+	@echo "\\section*{Volume 12: Axiom Crystal}" >>toc.toc
+	@cat bookvol12.toc >>toc.toc
+	@${LATEX} toc.tex
+	@${DVIPS} toc.dvi 2>/dev/null
+	@${PS2PDF} toc.ps >/dev/null
+	@${RM} -f *.toc toc.aux toc.dvi toc.log toc.ps toc.tex toc.toc
+
+bookvol0: 
+	@${LATEX} bookvol0.pamphlet
+	@${LATEX} bookvol0.pamphlet >/dev/null
+	@${DVIPS} bookvol0.dvi 2>/dev/null
+	@${PS2PDF} bookvol0.ps >/dev/null
+	@${RM} bookvol0.aux bookvol0.dvi bookvol0.log bookvol0.ps \
+               bookvol0.idx bookvol0.tex
+
+bookvol1:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol1.pamphlet >bookvol1.tex)
+	@${LATEX} bookvol1.tex
+	@${LATEX} bookvol1.tex >/dev/null
+	@${DVIPS} bookvol1.dvi 2>/dev/null
+	@${PS2PDF} bookvol1.ps >/dev/null
+	@${RM} bookvol1.aux bookvol1.dvi bookvol1.log bookvol1.ps \
+               bookvol1.idx bookvol1.tex
+
+bookvol2:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol2.pamphlet >bookvol2.tex)
+	@${LATEX} bookvol2.tex
+	@${LATEX} bookvol2.tex >/dev/null
+	@${DVIPS} bookvol2.dvi 2>/dev/null
+	@${PS2PDF} bookvol2.ps >/dev/null
+	@${RM} bookvol2.aux bookvol2.dvi bookvol2.log bookvol2.ps \
+               bookvol2.idx bookvol2.tex
+
+bookvol3:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol3.pamphlet >bookvol3.tex)
+	@${LATEX} bookvol3.tex
+	@${LATEX} bookvol3.tex >/dev/null
+	@${DVIPS} bookvol3.dvi 2>/dev/null
+	@${PS2PDF} bookvol3.ps >/dev/null
+	@${RM} bookvol3.aux bookvol3.dvi bookvol3.log bookvol3.ps \
+               bookvol3.idx bookvol3.tex
+
+bookvol4:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol4.pamphlet >bookvol4.tex)
+	@${LATEX} bookvol4.tex
+	@${LATEX} bookvol4.tex >/dev/null
+	@${DVIPS} bookvol4.dvi 2>/dev/null
+	@${PS2PDF} bookvol4.ps >/dev/null
+	@${RM} bookvol4.aux bookvol4.dvi bookvol4.log bookvol4.ps \
+               bookvol4.idx bookvol4.tex
+
+bookvol5:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol5.pamphlet >bookvol5.tex)
+	@${LATEX} bookvol5.tex
+	@${LATEX} bookvol5.tex >/dev/null
+	@${DVIPS} bookvol5.dvi 2>/dev/null
+	@${PS2PDF} bookvol5.ps >/dev/null
+	@${RM} bookvol5.aux bookvol5.dvi bookvol5.log bookvol5.ps \
+               bookvol5.idx bookvol5.tex
+
+bookvol6:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol6.pamphlet >bookvol6.tex)
+	@${LATEX} bookvol6.tex
+	@${LATEX} bookvol6.tex >/dev/null
+	@${DVIPS} bookvol6.dvi 2>/dev/null
+	@${PS2PDF} bookvol6.ps >/dev/null
+	@${RM} bookvol6.aux bookvol6.dvi bookvol6.log bookvol6.ps \
+               bookvol6.idx bookvol6.tex
+
+bookvol7:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol7.pamphlet >bookvol7.tex)
+	@${LATEX} bookvol7.tex
+	@${LATEX} bookvol7.tex >/dev/null
+	@${DVIPS} bookvol7.dvi 2>/dev/null
+	@${PS2PDF} bookvol7.ps >/dev/null
+	@${RM} bookvol7.aux bookvol7.dvi bookvol7.log bookvol7.ps \
+               bookvol7.idx bookvol7.tex
+
+bookvol8:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol8.pamphlet >bookvol8.tex)
+	@${LATEX} bookvol8.tex
+	@${LATEX} bookvol8.tex >/dev/null
+	@${DVIPS} bookvol8.dvi 2>/dev/null
+	@${PS2PDF} bookvol8.ps >/dev/null
+	@${RM} bookvol8.aux bookvol8.dvi bookvol8.log bookvol8.ps \
+               bookvol8.idx bookvol8.tex
+
+bookvol9:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol9.pamphlet >bookvol9.tex)
+	@${LATEX} bookvol9.tex
+	@${LATEX} bookvol9.tex >/dev/null
+	@${DVIPS} bookvol9.dvi 2>/dev/null
+	@${PS2PDF} bookvol9.ps >/dev/null
+	@${RM} bookvol9.aux bookvol9.dvi bookvol9.log bookvol9.ps \
+               bookvol9.idx bookvol9.tex
+
+bookvol10:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol10.pamphlet >bookvol10.tex)
+	@${LATEX} bookvol10.tex
+	@${LATEX} bookvol10.tex >/dev/null
+	@${DVIPS} bookvol10.dvi 2>/dev/null
+	@${PS2PDF} bookvol10.ps >/dev/null
+	@${RM} bookvol10.aux bookvol10.dvi bookvol10.log bookvol10.ps \
+	       bookvol10.idx bookvol10.tex
+
+bookvol11:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol11.pamphlet >bookvol11.tex)
+	@${LATEX} bookvol11.tex
+	@${LATEX} bookvol11.tex >/dev/null
+	@${DVIPS} bookvol11.dvi 2>/dev/null
+	@${PS2PDF} bookvol11.ps >/dev/null
+	@${RM} bookvol11.aux bookvol11.dvi bookvol11.log bookvol11.ps \
+	       bookvol11.idx bookvol11.tex
+
+bookvol12:
+	@(export AXIOM=${AXIOM} && \
+	  ${WEAVE} -delay bookvol12.pamphlet >bookvol12.tex)
+	@${LATEX} bookvol12.tex
+	@${LATEX} bookvol12.tex >/dev/null
+	@${DVIPS} bookvol12.dvi 2>/dev/null
+	@${PS2PDF} bookvol12.ps >/dev/null
+	@${RM} bookvol12.aux bookvol12.dvi bookvol12.log bookvol12.ps \
+	       bookvol12.idx bookvol12.tex
+
+
diff --git a/books/axiom.sty b/books/axiom.sty
new file mode 100755
index 0000000..3581b97
--- /dev/null
+++ b/books/axiom.sty
@@ -0,0 +1,1026 @@
+% axiom.sty -- LaTeX support for Axiom
+% DON'T edit this file!  Use src/doc/axiom.sty.pamphlet instead.
+
+\usepackage{alltt}
+
+\newenvironment{chunk}[1]{%   we need the chunkname as an argument
+\noindent%                    make sure we are in column 1
+{\small $<<${#1}$>>=$}%       <<some random string>>=
+\begin{alltt}%                use the verbatim
+\small}%                      with a small font
+{\end{alltt}%                 the end{chunk} ends the verbatim
+\par{}%                       we add a newline
+\noindent{}%                  start in column 1
+@%                            put an @
+\par%                         and a newline
+\normalsize}%                 and return to the rest of the document
+
+{\obeyspaces\AtBeginDocument{\global\let =\ }} % from texbook, p 381
+\def\nwopt@nomargintag{\let\nwmargintag=\@gobble}
+\def\nwopt@margintag{%
+  \def\nwmargintag##1{\leavevmode\llap{##1\kern\nwmarginglue\kern\codemargin}}}
+\def\nwopt@margintag{%
+  \def\nwmargintag##1{\leavevmode\kern-\codemargin\nwthemargintag{##1}\kern\codemargin}}
+\def\nwthemargintag#1{\llap{#1\kern\nwmarginglue}}
+\nwopt@margintag
+\newdimen\nwmarginglue
+\nwmarginglue=0.3in
+\def\nwtagstyle{\footnotesize\Rm}
+% make \hsize in code sufficient for 88 columns
+\setbox0=\hbox{\tt m}
+\newdimen\codehsize
+\codehsize=91\wd0 % 88 columns wasn't enough; I don't know why
+\newdimen\codemargin
+\codemargin=0pt
+\newdimen\nwdefspace
+\nwdefspace=\codehsize
+% need to use \textwidth in {\LaTeX} to handle styles with
+% non-standard margins (David Bruce).  Don't know why we sometimes
+% wanted \hsize.  27 August 1997.
+%% \advance\nwdefspace by -\hsize\relax
+\ifx\textwidth\undefined
+  \advance\nwdefspace by -\hsize\relax
+\else
+  \advance\nwdefspace by -\textwidth\relax
+\fi
+\chardef\other=12
+\def\setupcode{%
+  \chardef\\=`\\
+  \chardef\{=`\{
+  \chardef\}=`\}
+  \catcode`\$=\other
+  \catcode`\&=\other
+  \catcode`\#=\other
+  \catcode`\%=\other
+  \catcode`\~=\other
+  \catcode`\_=\other
+  \catcode`\^=\other
+  \catcode`\"=\other    % fixes problem with german.sty
+  \obeyspaces\Tt
+}
+\let\nwlbrace=\{
+\let\nwrbrace=\}
+\def\nwendquote{\relax\ifhmode\spacefactor=1000 \fi}
+{\catcode`\^^M=\active % make CR an active character
+  \gdef\newlines{\catcode`\^^M=\active % make CR an active character
+         \def^^M{\par\startline}}%
+  \gdef\eatline#1^^M{\relax}%
+}
+%%% DON'T   \gdef^^M{\par\startline}}% in case ^^M appears in a \write
+\def\startline{\noindent\hskip\parindent\ignorespaces}
+\def\nwnewline{\ifvmode\else\hfil\break\leavevmode\hbox{}\fi}
+\def\setupmodname{%
+  \catcode`\$=3
+  \catcode`\&=4
+  \catcode`\#=6
+  \catcode`\%=14
+  \catcode`\~=13
+  \catcode`\_=8
+  \catcode`\^=7
+  \catcode`\ =10
+  \catcode`\^^M=5
+  \let\{\nwlbrace
+  \let\}\nwrbrace
+  % bad news --- don't know what catcode to give "
+  \Rm}
+\def\LA{\begingroup\maybehbox\bgroup\setupmodname\It$\langle$}
+\def\RA{\/$\rangle$\egroup\endgroup}
+\def\code{\leavevmode\begingroup\setupcode\newlines}
+\def\edoc{\endgroup}
+\let\maybehbox\relax
+\newbox\equivbox
+\setbox\equivbox=\hbox{$\equiv$}
+\newbox\plusequivbox
+\setbox\plusequivbox=\hbox{$\mathord{+}\mathord{\equiv}$}
+% \moddef can't have an argument because there might be \code...\edoc
+\def\moddef{\leavevmode\kern-\codemargin\LA}
+\def\endmoddef{\RA\ifmmode\equiv\else\unhcopy\equivbox\fi
+               \nobreak\hfill\nobreak}
+\def\plusendmoddef{\RA\ifmmode\mathord{+}\mathord{\equiv}\else\unhcopy\plusequivbox\fi
+               \nobreak\hfill\nobreak}
+\def\chunklist{%
+\errhelp{I changed \chunklist to \nowebchunks.  
+I'll try to avoid such incompatible changes in the future.}%
+\errmessage{Use \string\nowebchunks\space instead of \string\chunklist}}
+\def\nowebchunks{\message{<Warning: You need noweave -x to use \string\nowebchunks>}}
+\def\nowebindex{\message{<Warning: You need noweave -index to use \string\nowebindex>}}
+% here is support for the new-style (capitalized) font-changing commands
+% thanks to Dave Love
+\ifx\documentstyle\undefined
+  \let\Rm=\rm \let\It=\it \let\Tt=\tt       % plain
+\else\ifx\selectfont\undefined
+  \let\Rm=\rm \let\It=\it \let\Tt=\tt       % LaTeX OFSS
+\else                                       % LaTeX NFSS
+  \def\Rm{\reset@font\rm}
+  \def\It{\reset@font\it}
+  \def\Tt{\reset@font\tt}
+  \def\Bf{\reset@font\bf}
+\fi\fi
+\ifx\reset@font\undefined \let\reset@font=\relax \fi
+\def\noweboptions#1{%
+  \def\@nwoptionlist{#1}%
+  \@for\@nwoption:=\@nwoptionlist\do{%
+    \@ifundefined{nwopt@\@nwoption}{%
+        \@latexerr{There is no such noweb option as '\@nwoption'}\@eha}{%
+        \csname nwopt@\@nwoption\endcsname}}}
+\codemargin=10pt
+\advance\codehsize by \codemargin       % make room for indentation of code
+\advance\nwdefspace by \codemargin      % and fix adjustment for def/use
+\def\setcodemargin#1{%
+  \advance\codehsize by -\codemargin       % make room for indentation of code
+  \advance\nwdefspace by -\codemargin   % and fix adjustment for def/use
+  \codemargin=#1
+  \advance\codehsize by \codemargin       % make room for indentation of code
+  \advance\nwdefspace by \codemargin    % and fix adjustment for
+                                        % def/use
+}
+\def\nwopt@shift{%
+  \dimen@=-0.8in
+  \if@twoside                 % Values for two-sided printing:
+     \advance\evensidemargin by \dimen@
+  \else                       % Values for one-sided printing:
+     \advance\evensidemargin by \dimen@
+     \advance\oddsidemargin by \dimen@
+  \fi
+%  \advance \marginparwidth -\dimen@
+}
+\let\nwopt@noshift\@empty
+\def\nwbegincode#1{%
+  \begingroup
+    \topsep \nwcodetopsep
+    \@beginparpenalty \@highpenalty
+    \@endparpenalty -\@highpenalty
+  \@begincode }
+\def\nwendcode{\endtrivlist \endgroup \filbreak} % keeps code on 1 page
+
+\newenvironment{webcode}{%
+  \@begincode
+}{%
+  \endtrivlist}
+\def\@begincode{%
+    \trivlist \item[]%
+    \leftskip\@totalleftmargin \advance\leftskip\codemargin
+    \rightskip\hsize \advance\rightskip -\codehsize
+    \parskip\z@ \parindent\z@ \parfillskip\@flushglue
+  \linewidth\codehsize
+    \@@par
+    \def\par{\leavevmode\null \@@par \penalty\nwcodepenalty}%
+    \obeylines
+    \@noligs   \ifx\verbatim@nolig@list\undefined\else
+                 \let\do=\nw@makeother \verbatim@nolig@list \do@noligs\`
+               \fi
+    \setupcode \frenchspacing \@vobeyspaces
+  \nowebsize \setupcode
+  \let\maybehbox\mbox }
+  \newskip\nwcodetopsep \nwcodetopsep = 3pt plus 1.2pt minus 1pt
+  \let\nowebsize=\normalsize
+  \def\nwopt@tinycode{\let\nowebsize=\tiny}
+  \def\nwopt@footnotesizecode{\let\nowebsize=\footnotesize}
+  \def\nwopt@scriptsizecode{\let\nowebsize=\scriptsize}
+  \def\nwopt@smallcode{\let\nowebsize=\small}
+  \def\nwopt@normalsizecode{\let\nowebsize=\normalsize}
+  \def\nwopt@largecode{\let\nowebsize=\large}
+  \def\nwopt@Largecode{\let\nowebsize=\Large}
+  \def\nwopt@LARGEcode{\let\nowebsize=\LARGE}
+  \def\nwopt@hugecode{\let\nowebsize=\huge}
+  \def\nwopt@Hugecode{\let\nowebsize=\Huge}
+\newcount\nwcodepenalty  \nwcodepenalty=\@highpenalty
+\def\nw@makeother#1{\catcode`#1=12 }
+\def\nwbegindocs#1{\ifvmode\noindent\fi}
+\let\nwenddocs=\relax
+\let\nwdocspar=\filbreak
+\raggedbottom
+\def\code{\leavevmode\begingroup\setupcode\@vobeyspaces\obeylines}
+\let\edoc=\endgroup
+\newdimen\@original@textwidth
+\def\ps@noweb{%
+  \@original@textwidth=\textwidth
+  \let\@mkboth\@gobbletwo
+  \def\@oddfoot{}\def\@evenfoot{}%       No feet.
+  \if@twoside         % If two-sided printing.
+    \def\@evenhead{\hbox to \@original@textwidth{%
+           \Rm \thepage\qquad{\Tt\leftmark}\hfil\today}}%        Left heading.
+    \def\@oddhead{\hbox to \@original@textwidth{%
+           \Rm \today\hfil{\Tt\leftmark}\qquad\thepage}}% Right heading.
+  \else               % If one-sided printing.
+    \def\@oddhead{\hbox to \@original@textwidth{%
+           \Rm \today\hfil{\Tt\leftmark}\qquad\thepage}}% Right heading.
+    \let\@evenhead\@oddhead
+  \fi
+  \let\chaptermark\@gobble
+  \let\sectionmark\@gobble
+  \let\subsectionmark\@gobble
+  \let\subsubsectionmark\@gobble
+  \let\paragraphmark\@gobble
+  \let\subparagraphmark\@gobble
+  \def\nwfilename{\begingroup\let\do\@makeother\dospecials
+                \catcode`\{=1 \catcode`\}=2 \nw@filename}
+  \def\nw@filename##1{\endgroup\markboth{##1}{##1}\let\nw@filename=\nw@laterfilename}%
+}
+\def\nw@laterfilename#1{\endgroup\clearpage \markboth{#1}{#1}}
+\let\nwfilename=\@gobble
+\def\nwcodecomment#1{\@@par\penalty\nwcodepenalty
+    \if@firstnwcodecomment
+      \vskip\nwcodecommentsep\penalty\nwcodepenalty\@firstnwcodecommentfalse
+    \fi%
+    \hspace{-\codemargin}{%
+        \rightskip=0pt plus1in
+        \interlinepenalty\nwcodepenalty
+        \let\\\relax\footnotesize\Rm #1\@@par\penalty\nwcodepenalty}}
+\def\@nwalsodefined#1{\nwcodecomment{\@nwlangdepdef\ \nwpageprep\ \@pagesl{#1}.}}
+\def\@nwused#1{\nwcodecomment{\@nwlangdepcud\ \nwpageprep\ \@pagesl{#1}.}}
+\def\@nwnotused#1{\nwcodecomment{\@nwlangdeprtc.}}
+\def\nwoutput#1{\nwcodecomment{\@nwlangdepcwf\ {\Tt \@stripstar#1*\stripped}.}}
+\def\@stripstar#1*#2\stripped{#1}
+\providecommand{\nwprevdefptr}[1]{%
+  \mbox{$\mathord{\triangleleft}\,\mathord{\mbox{\subpageref{#1}}}$}}
+\providecommand{\nwnextdefptr}[1]{%
+  \mbox{$\mathord{\mbox{\subpageref{#1}}}\,\mathord{\triangleright}$}}
+
+\providecommand{\@nwprevnextdefs}[2]{%
+  {\nwtagstyle
+  \ifx\relax#1\else ~~\nwprevdefptr{#1}\fi
+  \ifx\relax#2\else ~~\nwnextdefptr{#2}\fi}}
+\providecommand{\@nwusesondefline}[1]{{\nwtagstyle~~(\@pagenumsl{#1})}}
+\providecommand{\@nwstartdeflinemarkup}{\nobreak\hskip 1.5em plus 1fill\nobreak}
+\providecommand{\@nwenddeflinemarkup}{\nobreak\hskip \nwdefspace minus\nwdefspace\nobreak}
+\def\nwopt@longxref{%
+  \let\nwalsodefined\@nwalsodefined
+  \let\nwused\@nwused
+  \let\nwnotused\@nwnotused
+  \let\nwprevnextdefs\@gobbletwo
+  \let\nwusesondefline\@gobble
+  \let\nwstartdeflinemarkup\relax
+  \let\nwenddeflinemarkup\relax
+}
+\def\nwopt@shortxref{%
+  \let\nwalsodefined\@gobble
+  \let\nwused\@gobble
+  \let\nwnotused\@gobble
+  \let\nwprevnextdefs\@nwprevnextdefs
+  \let\nwusesondefline\@nwusesondefline
+  \let\nwstartdeflinemarkup\@nwstartdeflinemarkup
+  \let\nwenddeflinemarkup\@nwenddeflinemarkup
+}
+\def\nwopt@noxref{%
+  \let\nwalsodefined\@gobble
+  \let\nwused\@gobble
+  \let\nwnotused\@gobble
+  \let\nwprevnextdefs\@gobbletwo
+  \let\nwusesondefline\@gobble
+  \let\nwstartdeflinemarkup\relax
+  \let\nwenddeflinemarkup\relax
+}
+\nwopt@shortxref % to hell with backward compatibility!
+\newskip\nwcodecommentsep \nwcodecommentsep=3pt plus 1pt minus 1pt
+\newif\if@firstnwcodecomment\@firstnwcodecommenttrue
+\newcount\@nwlopage\newcount\@nwhipage  % range lo..hi-1
+\newcount\@nwlosub              % subpage of lo
+\newcount\@nwhisub              % subpage of hi
+\def\@nwfirstpage#1#2#3{% subpage page xref-tag
+  \@nwlopage=#2 \@nwlosub=#1
+  \def\@nwloxreftag{#3}%
+  \advance\@nwpagecount by \@ne
+  \@nwhipage=\@nwlopage\advance\@nwhipage by \@ne }
+\def\@nwnextpage#1#2#3{% subpage page xref-tag
+  \ifnum\@nwhipage=#2 
+    \advance\@nwhipage by \@ne 
+    \advance\@nwpagecount by \@ne
+    \@nwhisub=#1 
+    \def\@nwhixreftag{#3}\else
+  \ifnum#2<\@nwlopage \advance\@nwhipage by \m@ne
+                      \ifnum\@nwhipage=\@nwlopage
+                           \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                                             {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                                              {\@nwloxreftag}}}%
+                      \else
+                        \count@=\@nwhipage \advance\count@ by \m@ne
+                        \ifnum\count@=\@nwlopage % consecutive pages
+                            \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                                             {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                                              {\@nwloxreftag}}%
+                                          \noexpand\noexpand\noexpand\\%
+                                             {{\nwthepagenum{\number\@nwhisub}{\number\@nwhipage}}
+                                              {\@nwhixreftag}}}%
+                        \else \ifnum\@nwlopage<110 \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+                                \count@=\@nwlopage \divide\count@ by 100 \multiply\count@ by 100
+                                \ifnum\count@=\@nwlopage \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+                                  \count@=\@nwlopage \divide\count@ by 100
+                                  \@nwpagetemp=\@nwhipage \divide\@nwpagetemp by 100
+                                  \ifnum\count@=\@nwpagetemp %  lo--least 2 digits of hi
+                                    \multiply\@nwpagetemp by 100
+                                    \advance \@nwhipage by -\@nwpagetemp
+                                    \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+                                  \else \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+                                  \fi
+                                \fi
+                              \fi%
+                        \fi
+                      \fi%
+                      \edef\@tempa{\noexpand\nwix@cons\noexpand\nw@pages{\@tempa}}\@tempa\@nwfirstpage{#1}{#2}{#3}\else
+  \ifnum#2>\@nwhipage \advance\@nwhipage by \m@ne
+                      \ifnum\@nwhipage=\@nwlopage
+                           \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                                             {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                                              {\@nwloxreftag}}}%
+                      \else
+                        \count@=\@nwhipage \advance\count@ by \m@ne
+                        \ifnum\count@=\@nwlopage % consecutive pages
+                            \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                                             {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                                              {\@nwloxreftag}}%
+                                          \noexpand\noexpand\noexpand\\%
+                                             {{\nwthepagenum{\number\@nwhisub}{\number\@nwhipage}}
+                                              {\@nwhixreftag}}}%
+                        \else \ifnum\@nwlopage<110 \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+                                \count@=\@nwlopage \divide\count@ by 100 \multiply\count@ by 100
+                                \ifnum\count@=\@nwlopage \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+                                  \count@=\@nwlopage \divide\count@ by 100
+                                  \@nwpagetemp=\@nwhipage \divide\@nwpagetemp by 100
+                                  \ifnum\count@=\@nwpagetemp %  lo--least 2 digits of hi
+                                    \multiply\@nwpagetemp by 100
+                                    \advance \@nwhipage by -\@nwpagetemp
+                                    \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+                                  \else \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+                                  \fi
+                                \fi
+                              \fi%
+                        \fi
+                      \fi%
+                      \edef\@tempa{\noexpand\nwix@cons\noexpand\nw@pages{\@tempa}}\@tempa\@nwfirstpage{#1}{#2}{#3}\else
+    \@nwlosub=0 \@nwhisub=0
+  \fi\fi\fi
+  }
+\newcount\@nwpagetemp
+\newcount\@nwpagecount
+\def\@nwfirstpagel#1{% label
+  \@ifundefined{r@#1}{\@warning{Reference `#1' on page \thepage \space undefined}%
+                      \nwix@cons\nw@pages{\\{\bf ??}}}{%
+    \edef\@tempa{\noexpand\@nwfirstpage\subpagepair{#1}{#1}}\@tempa}}
+\def\@nwnextpagel#1{% label
+  \@ifundefined{r@#1}{\@warning{Reference `#1' on page \thepage \space undefined}%
+                      \nwix@cons\nw@pages{\\{\bf ??}}}{%
+    \edef\@tempa{\noexpand\@nwnextpage\subpagepair{#1}{#1}}\@tempa}}
+\def\@pagesl#1{%  list of labels
+  \gdef\nw@pages{}\@nwpagecount=0
+  \def\\##1{\@nwfirstpagel{##1}\let\\=\@nwnextpagel}#1%
+  \advance\@nwhipage by \m@ne
+  \ifnum\@nwhipage=\@nwlopage
+       \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                          {\@nwloxreftag}}}%
+  \else
+    \count@=\@nwhipage \advance\count@ by \m@ne
+    \ifnum\count@=\@nwlopage % consecutive pages
+        \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                          {\@nwloxreftag}}%
+                      \noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwhisub}{\number\@nwhipage}}
+                          {\@nwhixreftag}}}%
+    \else \ifnum\@nwlopage<110 \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+            \count@=\@nwlopage \divide\count@ by 100 \multiply\count@ by 100
+            \ifnum\count@=\@nwlopage \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+              \count@=\@nwlopage \divide\count@ by 100
+              \@nwpagetemp=\@nwhipage \divide\@nwpagetemp by 100
+              \ifnum\count@=\@nwpagetemp %  lo--least 2 digits of hi
+                \multiply\@nwpagetemp by 100
+                \advance \@nwhipage by -\@nwpagetemp
+                \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+              \else \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+              \fi
+            \fi
+          \fi%
+    \fi
+  \fi%
+  \edef\@tempa{\noexpand\nwix@cons\noexpand\nw@pages{\@tempa}}\@tempa\def\\##1{\@nwhyperpagenum##1}%
+  \ifnum\@nwpagecount=1 \nwpageword \else \nwpagesword\fi~\commafy{\nw@pages}}
+\def\@nwhyperpagenum#1#2{\nwhyperreference{#2}{#1}}
+
+\def\@pagenumsl#1{%  list of labels -- doesn't include word `pages', commas, or `and'
+  \gdef\nw@pages{}\@nwpagecount=0
+  \def\\##1{\@nwfirstpagel{##1}\let\\=\@nwnextpagel}#1%
+  \advance\@nwhipage by \m@ne
+  \ifnum\@nwhipage=\@nwlopage
+       \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                          {\@nwloxreftag}}}%
+  \else
+    \count@=\@nwhipage \advance\count@ by \m@ne
+    \ifnum\count@=\@nwlopage % consecutive pages
+        \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                          {\@nwloxreftag}}%
+                      \noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwhisub}{\number\@nwhipage}}
+                          {\@nwhixreftag}}}%
+    \else \ifnum\@nwlopage<110 \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+            \count@=\@nwlopage \divide\count@ by 100 \multiply\count@ by 100
+            \ifnum\count@=\@nwlopage \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+              \count@=\@nwlopage \divide\count@ by 100
+              \@nwpagetemp=\@nwhipage \divide\@nwpagetemp by 100
+              \ifnum\count@=\@nwpagetemp %  lo--least 2 digits of hi
+                \multiply\@nwpagetemp by 100
+                \advance \@nwhipage by -\@nwpagetemp
+                \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+              \else \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+              \fi
+            \fi
+          \fi%
+    \fi
+  \fi%
+  \edef\@tempa{\noexpand\nwix@cons\noexpand\nw@pages{\@tempa}}\@tempa%
+  \def\\##1{\@nwhyperpagenum##1\let\\=\@nwpagenumslrest}\nw@pages}
+\def\@nwpagenumslrest#1{~\@nwhyperpagenum#1}
+\def\subpages#1{% list of {{subpage}{page}}
+  \gdef\nw@pages{}\@nwpagecount=0
+  \def\\##1{\edef\@tempa{\noexpand\@nwfirstpage##1{}}\@tempa
+            \def\\####1{\edef\@tempa{\noexpand\@nwnextpage####1}\@tempa}}#1%
+  \advance\@nwhipage by \m@ne
+  \ifnum\@nwhipage=\@nwlopage
+       \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                          {\@nwloxreftag}}}%
+  \else
+    \count@=\@nwhipage \advance\count@ by \m@ne
+    \ifnum\count@=\@nwlopage % consecutive pages
+        \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                          {\@nwloxreftag}}%
+                      \noexpand\noexpand\noexpand\\%
+                         {{\nwthepagenum{\number\@nwhisub}{\number\@nwhipage}}
+                          {\@nwhixreftag}}}%
+    \else \ifnum\@nwlopage<110 \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+            \count@=\@nwlopage \divide\count@ by 100 \multiply\count@ by 100
+            \ifnum\count@=\@nwlopage \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+              \count@=\@nwlopage \divide\count@ by 100
+              \@nwpagetemp=\@nwhipage \divide\@nwpagetemp by 100
+              \ifnum\count@=\@nwpagetemp %  lo--least 2 digits of hi
+                \multiply\@nwpagetemp by 100
+                \advance \@nwhipage by -\@nwpagetemp
+                \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+              \else \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+              \fi
+            \fi
+          \fi%
+    \fi
+  \fi%
+  \edef\@tempa{\noexpand\nwix@cons\noexpand\nw@pages{\@tempa}}\@tempa\def\\##1{\@firstoftwo##1}%
+  \ifnum\@nwpagecount=1 \nwpageword \else \nwpagesword\fi~\commafy{\nw@pages}}
+\def\@nwaddrange{\advance\@nwhipage by \m@ne
+                 \ifnum\@nwhipage=\@nwlopage
+                      \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                                        {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                                         {\@nwloxreftag}}}%
+                 \else
+                   \count@=\@nwhipage \advance\count@ by \m@ne
+                   \ifnum\count@=\@nwlopage % consecutive pages
+                       \edef\@tempa{\noexpand\noexpand\noexpand\\%
+                                        {{\nwthepagenum{\number\@nwlosub}{\number\@nwlopage}}%
+                                         {\@nwloxreftag}}%
+                                     \noexpand\noexpand\noexpand\\%
+                                        {{\nwthepagenum{\number\@nwhisub}{\number\@nwhipage}}
+                                         {\@nwhixreftag}}}%
+                   \else \ifnum\@nwlopage<110 \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+                           \count@=\@nwlopage \divide\count@ by 100 \multiply\count@ by 100
+                           \ifnum\count@=\@nwlopage \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}\else
+                             \count@=\@nwlopage \divide\count@ by 100
+                             \@nwpagetemp=\@nwhipage \divide\@nwpagetemp by 100
+                             \ifnum\count@=\@nwpagetemp %  lo--least 2 digits of hi
+                               \multiply\@nwpagetemp by 100
+                               \advance \@nwhipage by -\@nwpagetemp
+                               \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+                             \else \edef\@tempa{\noexpand\noexpand\noexpand\\{{\number\@nwlopage--\number\@nwhipage}{}}}%
+                             \fi
+                           \fi
+                         \fi%
+                   \fi
+                 \fi%
+                 \edef\@tempa{\noexpand\nwix@cons\noexpand\nw@pages{\@tempa}}\@tempa}
+\def\nwpageword{\@nwlangdepchk}  % chunk, was page
+\def\nwpagesword{\@nwlangdepchks}  % chunk, was page
+\def\nwpageprep{\@nwlangdepin}     % in, was on
+\providecommand\nw@genericref[2]{% what to do, name of ref
+  \expandafter\nw@g@nericref\csname r@#2\endcsname#1{#2}}
+\providecommand\nw@g@nericref[3]{% control sequence, what to do, name
+  \ifx#1\relax
+    \ref{#3}% trigger the standard `undefined ref' mechanisms
+  \else
+    \expandafter#2#1.\\%
+  \fi}
+\def\nw@selectone#1#2#3\\{#1}
+\def\nw@selecttwo#1#2#3\\{#2}
+\def\nw@selectonetwo#1#2#3\\{{#1}{#2}}
+\providecommand{\subpageref}[1]{%
+  \nwhyperreference{#1}{\nw@genericref\@subpageref{#1}}}
+\def\@subpageref#1#2#3\\{%
+  \@ifundefined{2on#2}{#2}{\nwthepagenum{#1}{#2}}}
+\providecommand{\subpagepair}[1]{%  % produces {subpage}{page}
+  \@ifundefined{r@#1}%
+    {{0}{0}}%
+    {\nw@genericref\@subpagepair{#1}}}
+\def\@subpagepair#1#2#3\\{%
+  \@ifundefined{2on#2}{{0}{#2}}{{#1}{#2}}}
+\providecommand{\sublabel}[1]{%
+  \@bsphack
+  \nwblindhyperanchor{#1}%
+  \if@filesw {\let\thepage\relax
+   \def\protect{\noexpand\noexpand\noexpand}%
+   \edef\@tempa{\write\@auxout{\string
+      \newsublabel{#1}{{}{\thepage}}}}%
+   \expandafter}\@tempa
+   \if@nobreak \ifvmode\nobreak\fi\fi\fi\@esphack}
+\providecommand{\nosublabel}[1]{%
+  \@bsphack\if@filesw {\let\thepage\relax
+   \def\protect{\noexpand\noexpand\noexpand}%
+   \edef\@tempa{\write\@auxout{\string
+      \newlabel{#1}{{0}{\thepage}}}}%
+   \expandafter}\@tempa
+   \if@nobreak \ifvmode\nobreak\fi\fi\fi\@esphack}
+\providecommand\newsublabel{%
+  \nw@settrailers
+  \global\let\newsublabel\@newsublabel
+  \@newsublabel}
+\providecommand{\@newsublabel}[2]{%
+  \edef\this@page{\@cdr#2\@nil}%
+  \ifx\this@page\last@page\else
+    \sub@page=\z@
+  \fi
+  \edef\last@page{\this@page}
+  \advance\sub@page by \@ne
+  \ifnum\sub@page=\tw@
+    \global\@namedef{2on\this@page}{}%
+  \fi
+  \pendingsublabel{#1}%
+  \edef\@tempa##1{\noexpand\newlabel{##1}%
+    {{\number\sub@page}{\this@page}\nw@labeltrailers}}%
+  \pending@sublabels
+  \def\pending@sublabels{}}
+\providecommand\nw@settrailers{% -- won't work on first run
+  \@ifpackageloaded{nameref}%
+     {\gdef\nw@labeltrailers{{}{}{}}}%
+     {\gdef\nw@labeltrailers{}}}
+\renewcommand\nw@settrailers{% 
+  \@ifundefined{@secondoffive}%
+     {\gdef\nw@labeltrailers{}}%
+     {\gdef\nw@labeltrailers{{}{}{}}}}
+\providecommand{\nextchunklabel}[1]{%
+  \nwblindhyperanchor{#1}%   % looks slightly bogus --- nr
+  \@bsphack\if@filesw {\let\thepage\relax
+      \edef\@tempa{\write\@auxout{\string\pendingsublabel{#1}}}%
+      \expandafter}\@tempa
+   \if@nobreak \ifvmode\nobreak\fi\fi\fi\@esphack}
+\providecommand\pendingsublabel[1]{%
+  \def\@tempa{\noexpand\@tempa}%
+  \edef\pending@sublabels{\noexpand\@tempa{#1}\pending@sublabels}}
+\def\pending@sublabels{}
+\def\last@page{\relax}
+\newcount\sub@page
+\def\@alphasubpagenum#1#2{#2\ifnum#1=0 \else\@alph{#1}\fi}
+\def\@nosubpagenum#1#2{#2}
+\def\@numsubpagenum#1#2{#2\ifnum#1=0 \else.\@arabic{#1}\fi}
+\def\nwopt@nosubpage{\let\nwthepagenum=\@nosubpagenum\nwopt@nomargintag}
+\def\nwopt@numsubpage{\let\nwthepagenum=\@numsubpagenum}
+\def\nwopt@alphasubpage{\let\nwthepagenum=\@alphasubpagenum}
+\nwopt@alphasubpage
+\newcount\@nwalph@n
+\let\@nwalph@d\@tempcnta
+\let\@nwalph@bound\@tempcntb
+\def\@nwlongalph#1{{%
+  \@nwalph@n=#1\advance\@nwalph@n by-1
+  \@nwalph@bound=26
+  \loop\ifnum\@nwalph@n<\@nwalph@bound\else
+     \advance\@nwalph@n by -\@nwalph@bound
+     \multiply\@nwalph@bound by 26
+  \repeat
+  \loop\ifnum\@nwalph@bound>1
+    \divide\@nwalph@bound by 26
+    \@nwalph@d=\@nwalph@n\divide\@nwalph@d by \@nwalph@bound
+    % d := d * bound ; n -:= d; d := d / bound --- saves a temporary
+    \multiply\@nwalph@d by \@nwalph@bound
+    \advance\@nwalph@n by -\@nwalph@d
+    \divide\@nwalph@d by \@nwalph@bound
+    \advance\@nwalph@d by 1 \@alph{\@nwalph@d}%
+  \repeat
+}}
+\newcount\nw@chunkcount
+\nw@chunkcount=\@ne
+\providecommand{\weblabel}[1]{%
+  \@bsphack
+  \nwblindhyperanchor{#1}%
+  \if@filesw {\let\thepage\relax
+   \def\protect{\noexpand\noexpand\noexpand}%
+   \edef\@tempa{\write\@auxout{\string
+      \newsublabel{#1}{{}{\number\nw@chunkcount}}}}%
+   \expandafter}\@tempa
+   \global\advance\nw@chunkcount by \@ne
+   \if@nobreak \ifvmode\nobreak\fi\fi\fi\@esphack}
+\def\nwopt@webnumbering{%
+  \let\sublabel=\weblabel
+  \def\nwpageword{chunk}\def\nwpagesword{chunks}%
+  \def\nwpageprep{in}}
+% \nwindexdefn{printable name}{identifying label}{label of chunk}
+% \nwindexuse{printable name}{identifying label}{label of chunk}
+
+\def\nwindexdefn#1#2#3{\@auxix{\protect\nwixd}{#2}{#3}}
+\def\nwindexuse#1#2#3{\@auxix{\protect\nwixu}{#2}{#3}}
+
+\def\@auxix#1#2#3{% {marker}{id label}{subpage label}
+   \@bsphack\if@filesw {\let\nwixd\relax\let\nwixu\relax
+   \def\protect{\noexpand\noexpand\noexpand}%
+   \edef\@tempa{\write\@auxout{\string\nwixadd{#1}{#2}{#3}}}%
+   \expandafter}\@tempa
+   \if@nobreak \ifvmode\nobreak\fi\fi\fi\@esphack}
+% \nwixadd{marker}{idlabel}{subpage label}
+\def\nwixadd#1#2#3{%
+  \@ifundefined{nwixl@#2}%
+    {\global\@namedef{nwixl@#2}{#1{#3}}}%
+    {\expandafter\nwix@cons\csname nwixl@#2\endcsname{#1{#3}}}}
+\def\@nwsubscriptident#1#2{\mbox{$\mbox{#1}_{\mathrm{\subpageref{#2}}}$}}
+\def\@nwnosubscriptident#1#2{#1}
+\def\@nwhyperident#1#2{\leavevmode\nwhyperreference{#2}{#1}}
+\def\nwopt@subscriptidents{%
+  \let\nwlinkedidentq\@nwsubscriptident
+  \let\nwlinkedidentc\@nwsubscriptident
+}
+\def\nwopt@nosubscriptidents{%
+  \let\nwlinkedidentq\@nwnosubscriptident
+  \let\nwlinkedidentc\@nwnosubscriptident
+}
+\def\nwopt@hyperidents{%
+  \let\nwlinkedidentq\@nwhyperident
+  \let\nwlinkedidentc\@nwhyperident
+}
+\def\nwopt@nohyperidents{%
+  \let\nwlinkedidentq\@nwnosubscriptident
+  \let\nwlinkedidentc\@nwnosubscriptident
+}
+\def\nwopt@subscriptquotedidents{%
+  \let\nwlinkedidentq\@nwsubscriptident
+}
+\def\nwopt@nosubscriptquotedidents{%
+  \let\nwlinkedidentq\@nwnosubscriptident
+}
+\def\nwopt@hyperquotedidents{%
+  \let\nwlinkedidentq\@nwhyperident
+}
+\def\nwopt@nohyperquotedidents{%
+  \let\nwlinkedidentq\@nwnosubscriptident
+}
+\nwopt@hyperidents
+\newcount\@commacount
+\def\commafy#1{%
+  {\nwix@listcount{#1}\@commacount=\nwix@counter
+   \let\@comma@each=\\%
+   \ifcase\@commacount\let\\=\@comma@each\or\let\\=\@comma@each\or
+     \def\\{\def\\{ \@nwlangdepand\ \@comma@each}\@comma@each}\else
+     \def\\{\def\\{, %
+                   \advance\@commacount by \m@ne
+                   \ifnum\@commacount=1 \@nwlangdepand~\fi\@comma@each}\@comma@each}\fi
+   #1}}
+\def\nwix@cons#1#2{% {list}{\marker{element}}
+  {\toks0=\expandafter{#1}\def\@tempa{#2}\toks2=\expandafter{\@tempa}%
+   \xdef#1{\the\toks0 \the\toks2 }}}
+\def\nwix@uses#1{% {label}
+  \def\nwixu{\\}\let\nwixd\@gobble\@nameuse{nwixl@#1}}
+\def\nwix@defs#1{% {label}
+  \def\nwixd{\\}\let\nwixu\@gobble\@nameuse{nwixl@#1}}
+\newcount\nwix@counter
+\def\nwix@listcount#1{% {list with \\}
+  {\count@=0
+   \def\\##1{\advance\count@ by \@ne }%
+   #1\global\nwix@counter=\count@ }}
+\def\nwix@usecount#1{\nwix@listcount{\nwix@uses{#1}}}
+\def\nwix@defcount#1{\nwix@listcount{\nwix@defs{#1}}}
+\def\nwix@id@defs#1{% index pair
+  {{\Tt \@car#1\@nil}%
+  \def\\##1{~\subpageref{##1}}\nwix@defs{\@cdr#1\@nil}}}
+\def\nwidentuses#1{% list of index pairs
+  \nwcodecomment{\@nwlangdepuss\ \let\\=\nwix@id@defs\commafy{#1}.}}
+\def\nwix@totaluses#1{% list of index pairs
+  {\count@=0
+   \def\\##1{\nwix@usecount{\@cdr##1\@nil}\advance\count@ by\nwix@counter}%
+   #1\global\nwix@counter\count@ }}
+\def\nwix@id@uses#1#2{% {ident}{label}
+  \nwix@usecount{#2}\ifnum\nwix@counter>0
+    {\advance\leftskip by \codemargin
+     \nwcodecomment{{\Tt #1}, \@nwlangdepusd\ \nwpageprep\ \@pagesl{\nwix@uses{#2}}.}}%
+  \else
+    \ifnw@hideunuseddefs\else
+      {\advance\leftskip by \codemargin \nwcodecomment{{\Tt #1}, \@nwlangdepnvu.}}%
+    \fi
+  \fi}
+\def\nwidentdefs#1{% list of index pairs
+  \ifnw@hideunuseddefs\nwix@totaluses{#1}\else\nwix@listcount{#1}\fi
+  \ifnum\nwix@counter>0
+    \nwcodecomment{\@nwlangdepdfs:}%
+    {\def\\##1{\nwix@id@uses ##1}#1}%
+  \fi}
+\newif\ifnw@hideunuseddefs\nw@hideunuseddefsfalse
+\def\nwopt@hideunuseddefs{\nw@hideunuseddefstrue}
+\def\nwopt@noidentxref{%
+  \let\nwidentdefs\@gobble
+  \let\nwidentuses\@gobble}
+\def\nw@underlinedefs{% {list with \nwixd, \nwixu}
+  \let\\=\relax\def\nw@comma{, }
+  \def\nwixd##1{\\\underline{\subpageref{##1}}\let\\\nw@comma}%
+  \def\nwixu##1{\\\subpageref{##1}\let\\\nw@comma}}
+
+\def\nw@indexline#1#2{%
+   {\indent {\Tt #1}: \nw@underlinedefs\@nameuse{nwixl@#2}\par}}
+
+\newenvironment{thenowebindex}{\parindent=-10pt \parskip=\z@ 
+        \advance\leftskip by 10pt 
+        \advance\rightskip by 0pt plus1in\par\@afterindenttrue
+    \def\\##1{\nw@indexline##1}}{}
+\def\nowebindex{%
+  \@ifundefined{nwixs@i}%
+     {\@warning{The \string\nowebindex\space is empty}}%
+     {\begin{thenowebindex}\@nameuse{nwixs@i}\end{thenowebindex}}}
+\def\nowebindex@external{%
+  {\let\nwixadds@c=\@gobble
+   \def\nwixadds@i##1{\nw@indexline##1}%
+   \def\nwixaddsx##1##2{\@nameuse{nwixadds@##1}{##2}}%
+   \begin{thenowebindex}\@input{\jobname.nwi}\end{thenowebindex}}}
+\def\nwixlogsorted#1#2{% list data
+   \@bsphack\if@filesw 
+     \toks0={#2}\immediate\write\@auxout{\string\nwixadds{#1}{\the\toks0}}
+   \if@nobreak \ifvmode\nobreak\fi\fi\fi\@esphack}
+\def\nwixadds#1#2{%
+  \@ifundefined{nwixs@#1}%
+    {\global\@namedef{nwixs@#1}{\\{#2}}}%
+    {\expandafter\nwix@cons\csname nwixs@#1\endcsname{\\{#2}}}}
+\let\nwixaddsx=\@gobbletwo
+\def\nwopt@externalindex{%
+  \ifx\nwixadds\@gobbletwo % already called
+  \else
+    \let\nwixaddsx=\nwixadds \let\nwixadds=\@gobbletwo
+    \let\nowebindex=\nowebindex@external
+    \let\nowebchunks=\nowebchunks@external
+  \fi}
+\def\nowebchunks{%
+  \@ifundefined{nwixs@c}%
+     {\@warning{The are no \string\nowebchunks}}%
+     {\begin{thenowebchunks}\@nameuse{nwixs@c}\end{thenowebchunks}}}
+\def\nowebchunks@external{%
+  {\let\nwixadds@i=\@gobble
+   \def\nwixadds@c##1{\nw@onechunk##1}%
+   \def\nwixaddsx##1##2{\@nameuse{nwixadds@##1}{##2}}%
+   \begin{thenowebchunks}\@input{\jobname.nwi}\end{thenowebchunks}}}
+    \@namedef{r@nw@notdef}{{0}{(\@nwlangdepnvd)}}
+\def\nw@chunkunderlinedefs{% {list of labels with \nwixd, \nwixu}
+  \let\\=\relax\def\nw@comma{, }
+  \def\nwixd##1{\\\underline{\subpageref{##1}}\let\\\nw@comma}%
+  \def\nwixu##1{\\\subpageref{##1}\let\\\nw@comma}}
+\def\nw@onechunk#1#2#3{% {name}{label of first definition}{list with \nwixd, \nwixu}
+  \@ifundefined{r@#2}{}{%
+    \indent\LA #1~{\nwtagstyle\subpageref{#2}}\RA 
+    \if@nwlongchunks{~\nw@chunkunderlinedefs#3}\fi\par}}
+\newenvironment{thenowebchunks}{\vskip3pt
+  \parskip=\z@\parindent=-10pt \advance\leftskip by 10pt
+  \advance\rightskip by 0pt plus10pt \@afterindenttrue
+  \def\\##1{\nw@onechunk##1}}{}
+\newif\if@nwlongchunks
+\@nwlongchunksfalse
+\let\nwopt@longchunks\@nwlongchunkstrue
+\providecommand\@nw@hyper@ref{\hyperreference} % naras
+\providecommand\@nw@hyper@anc{\blindhyperanchor} % naras
+\providecommand\@nw@hyperref@ref[2]{\hyperlink{noweb.#1}{#2}}  % nr
+\providecommand\@nw@hyperref@anc[1]{\hypertarget{noweb.#1}{\relax}}  % nr
+%%\renewcommand\@nw@hyperref@ref[2]{{#2}}  % nr
+%%\renewcommand\@nw@hyperref@anc[1]{}  % nr
+\providecommand\nwhyperreference{%
+  \@ifundefined{hyperlink}
+    {\@ifundefined{hyperreference}
+       {\global\let\nwhyperreference\@gobble}
+       {\global\let\nwhyperreference\@nw@hyper@ref}}
+    {\global\let\nwhyperreference\@nw@hyperref@ref}%
+  \nwhyperreference
+}
+
+\providecommand\nwblindhyperanchor{%
+  \@ifundefined{hyperlink}
+    {\@ifundefined{hyperreference}
+       {\global\let\nwblindhyperanchor\@gobble}
+       {\global\let\nwblindhyperanchor\@nw@hyper@anc}}
+    {\global\let\nwblindhyperanchor\@nw@hyperref@anc}%
+  \nwblindhyperanchor
+}
+\providecommand\nwanchorto{%
+  \begingroup\let\do\@makeother\dospecials
+     \catcode`\{=1 \catcode`\}=2 \nw@anchorto}
+\providecommand\nw@anchorto[1]{\endgroup\def\nw@next{#1}\nw@anchortofin}
+\providecommand\nw@anchortofin[1]{#1\footnote{See URL \texttt{\nw@next}.}}
+\let\nwanchorname\@gobble
+\newif\ifhtml
+\htmlfalse
+\let\nwixident=\relax
+\def\nwbackslash{\char92}
+\def\nwlbrace{\char123}
+\def\nwrbrace{\char125}
+\def\nwopt@english{%
+  \def\@nwlangdepdef{This definition is continued}%
+  \def\@nwlangdepcud{This code is used}%
+  \def\@nwlangdeprtc{Root chunk (not used in this document)}%
+  \def\@nwlangdepcwf{This code is written to file}%
+  \def\@nwlangdepchk{chunk}%
+  \def\@nwlangdepchks{chunks}%
+  \def\@nwlangdepin{in}%
+  \def\@nwlangdepand{and}%
+  \def\@nwlangdepuss{Uses}%
+  \def\@nwlangdepusd{used}%
+  \def\@nwlangdepnvu{never used}%
+  \def\@nwlangdepdfs{Defines}%
+  \def\@nwlangdepnvd{never defined}%
+}
+\let\nwopt@american\nwopt@english
+\def\nwopt@portuges{%
+  \def\@nwlangdepdef{Defini\c{c}\~ao continuada em}%
+  % This definition is continued
+  \def\@nwlangdepcud{C\'odigo usado em}%
+  % This code is used
+  \def\@nwlangdeprtc{Fragmento de topo (sem uso no documento)}%
+  % Root chunk (not used in this document)
+  \def\@nwlangdepcwf{Este c\'odigo foi escrito no ficheiro}%
+  % This code is written to file
+  \def\@nwlangdepchk{fragmento}%
+  % chunk
+  \def\@nwlangdepchks{fragmentos}%
+  % chunks
+  \def\@nwlangdepin{no(s)}%
+  % in
+  \def\@nwlangdepand{e}%
+  % and
+  \def\@nwlangdepuss{Usa}%
+  % Uses
+  \def\@nwlangdepusd{usado}%
+  % used
+  \def\@nwlangdepnvu{nunca usado}%
+  % never used
+  \def\@nwlangdepdfs{Define}%
+  % Defines
+  \def\@nwlangdepnvd{nunca definido}%
+  % never defined
+}
+\def\nwopt@frenchb{%
+  \def\@nwlangdepdef{Cette d\'efinition suit}%
+  % This definition is continued
+  \def\@nwlangdepcud{Ce code est employ\'e}%
+  % This code is used
+  \def\@nwlangdeprtc{Morceau racine (pas employ\'e dans ce document)}%
+  % Root chunk (not used in this document)
+  \def\@nwlangdepcwf{Ce code est \'ecrit aux fichier}%
+  % This code is written to file
+  \def\@nwlangdepchk{le morceau}%
+  % chunk
+  \def\@nwlangdepchks{les morceaux}%
+  % chunks
+  \def\@nwlangdepin{dans}%
+  % in
+  \def\@nwlangdepand{et}%
+  % and
+  \def\@nwlangdepuss{Il emploie}%
+  % Uses
+  \def\@nwlangdepusd{employ\'{e}}%
+  % used
+  \def\@nwlangdepnvu{jamais employ\'{e}}%
+  % never used
+  \def\@nwlangdepdfs{Il d\'{e}fine}%
+  % Defines
+  % Cannot use the accent here: \def\@nwlangdepnvd{jamais d\'{e}fini}%
+  \def\@nwlangdepnvd{jamais defini}%
+  % never defined
+}
+\let\nwopt@french\nwopt@frenchb
+\def\nwopt@german{%
+  \def\@nwlangdepdef{Diese Definition wird fortgesetzt}%
+  % This definition is continued
+  \def\@nwlangdepcud{Dieser Code wird benutzt}%
+  % This code is used
+  \def\@nwlangdeprtc{Hauptteil (nicht in diesem Dokument benutzt)}%
+  % Root chunk (not used in this document)
+  \def\@nwlangdepcwf{Dieser Code schreibt man zum File}%
+  % This code is written to file
+  \def\@nwlangdepchk{Teil}%
+  % chunk
+  \def\@nwlangdepchks{Teils}%
+  % chunks
+  \def\@nwlangdepin{im}%
+  % in
+  \def\@nwlangdepand{und}%
+  % and
+  \def\@nwlangdepuss{Benutztt}%
+  % Uses
+  \def\@nwlangdepusd{benutzt}%
+  % used
+  \def\@nwlangdepnvu{nicht benutzt}%
+  % never used
+  \def\@nwlangdepdfs{Definiert}%
+  % Defines
+  \def\@nwlangdepnvd{nicht definiert}%
+  % never defined
+}
+\let\nwopt@ngerman\nwopt@german
+\ifx\languagename\undefined % default is English
+  \noweboptions{english}
+\else
+  \@ifundefined{nwopt@\languagename}
+     {\noweboptions{english}}
+     {\expandafter\noweboptions\expandafter{\languagename}}
+\fi
+% Final names for the system and its components were in doubt so
+% Language is used throughout the book to specify what the system is named.
+\providecommand{\Language}{AXIOM}
+
+% HyperName was used to specify the name of the browser
+\providecommand{\HyperName}{HyperDoc}
+
+% This is nothing more than inline math mode in Tex but has additional
+% meaning within the browser.
+\providecommand{\spad}[1]{${#1}$}
+
+% This is a way to say 8th, 100th, etc.
+% We use providecommand so it doesn't clash with amsmath package
+\providecommand{\eth}[1]{{#1}-th}
+
+% add the binom function for combfunc
+\providecommand{\binom}[2]{\left(\begin{array}{c}#1\\#2\end{array}\right)}
+
+% spadcommands are the actual text that you type at the axiom prompt
+\providecommand{\spadcommand}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% returnType is the type signature returned by the axiom interpreter
+\providecommand{\returnType}[1]%
+{\begin{flushright}{\tt #1}\end{flushright}\vskip .1cm}
+
+%%% Axiom commands are set off in a special boxed area. 
+%%% This is used to draw a line around that boxed area.
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+% The book begins with some introductory material that is not really
+% listed as a chapter. This creates a header similar to \chapter.
+\providecommand{\pseudoChapter}[1]%
+{\vskip .5in \noindent {\Huge{\bf #1}}\vskip .5in}
+
+% The book begins with some introductory material that is not really
+% listed as a section. This creates a header similar to \section.
+\providecommand{\pseudoSection}[1]%
+{\vskip .25in \noindent {\large{\bf #1}}\vskip .25in}
+
+% spadofFrom records the operation in the index and the domain in the index
+\providecommand{\spadopFrom}[2]{\index{library!operations!#1 @\begingroup \string\tt{} #1 \endgroup}\index{#2}``{\tt #1}''}
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+% These are special markers within the text for Hypertex keywords
+% They have no particular meaning in the book form.
+\providecommand{\spadfun}[1]{{\it #1}}
+\providecommand{\spadgloss}[1]{{\it #1}}
+\providecommand{\spadkey}[1]{\index{#1 @\begingroup \string\tt{} #1 \endgroup}}
+ 
+% spadtype records the domain in the index
+\providecommand{\spadtype}[1]{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}}
+
+% This is used to create a caption on an included image
+\providecommand{\simpleCaption}[1]{\def\thefigure{\@arabic\c@figure}\caption{#1}}
+
+% This is the name of the ``glossy'' pages in the physical book.
+\providecommand{\Gallery}{\Language{} Images}
+
+% spadofFrom records the operation in the index and the domain in the index
+\providecommand{\spadopFrom}[2]{\index{library!operations!#1 @\begingroup \string\tt{} #1 \endgroup}\index{#2}``{\tt #1}''}
+
+%% typeset e.g. and i.e.
+\providecommand{\eg}{\emph{e.g.}}
+\providecommand{\ie}{\emph{i.e.}}
+
+%% Typeset in-line code.
+\providecommand{\Code}[1]{\texttt{#1}}
+
+%% Typeset a file name
+\providecommand{\File}[1]{{\itshape{#1}}}
+
+%% Typeset a tool name, e.g. Axiom
+\providecommand{\Tool}[1]{{\bfseries\sffamily{#1}}}
+\providecommand\AXIOM{\vskip\parindent\indent{\bf AXIOM}\vskip\parindent\noindent\ignorespaces}
+\providecommand\maxima{\vskip\parindent\noindent{\bf MAXIMA}\vskip\parindent\noindent\ignorespaces}
+\providecommand\yacas{\vskip\parindent\noindent{\bf YACAS}\vskip\parindent\noindent\ignorespaces}
diff --git a/books/bookvol0.pamphlet b/books/bookvol0.pamphlet
new file mode 100644
index 0000000..8de7c52
--- /dev/null
+++ b/books/bookvol0.pamphlet
@@ -0,0 +1,67732 @@
+\documentclass{book}
+%\usepackage{axiom}
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+% spadcommands are the actual text that you type at the axiom prompt
+\newcommand{\spadcommand}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadgraph are the actual text that you type at the axiom prompt for draw
+\newcommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% returnType is the type signature returned by the axiom interpreter
+\newcommand{\returnType}[1]%
+{\begin{flushright}{\tt #1}\end{flushright}\vskip .1cm}
+
+% spadsig gives the standard -> notation for signatures
+\newcommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% The book begins with some introductory material that is not really
+% listed as a chapter. This creates a header similar to \chapter.
+\newcommand{\pseudoChapter}[1]%
+{\vskip .5in \noindent {\Large{\bf #1}}\vskip .5in}
+
+% The book begins with some introductory material that is not really
+% listed as a section. This creates a header similar to \section.
+\newcommand{\pseudoSection}[1]%
+{\vskip .25in \noindent {\large{\bf #1}}\vskip .25in}
+
+% spadofFrom records the operation in the index and the domain in the index
+\newcommand{\spadopFrom}[2]{\index{library!operations!#1 @\begingroup \string\tt{} #1 \endgroup}\index{#2}``{\tt #1}''}
+
+% spadfunFrom records the function name and domain in the index
+\newcommand{\spadfunFrom}[2]{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+% special meanings for math characters
+\newcommand{\N}{\mbox{\bbold N}}
+\newcommand{\Natural}{\mbox{\bbold N}}
+\newcommand{\Z}{\mbox{\bbold Z}}
+\newcommand{\Integer}{\mbox{\bbold Z}}
+\newcommand{\Rational}{\mbox{\bbold Q}}
+\newcommand{\Q}{\mbox{\bbold Q}}
+\newcommand{\Complex}{\mbox{\bbold C}}
+\newcommand{\C}{{\mathcal C}}
+\newcommand{\Real}{\mbox{\bbold R}}
+\newcommand{\F}{{\mathcal F}}
+\newcommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\newcommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\newcommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\newcommand{\argDef}[1]{{\tt ({#1})}}
+\newcommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\newcommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+
+\newcommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+\newcommand\ExitBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+\newcommand\ReturnBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+\newcommand\HelpBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+\newcommand\UpBitmap{{\setlength{\unitlength}{0.01in}\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+\newcommand{\tpd}[5]{{\setlength{\unitlength}{0.01in}\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 0: Axiom Jenks and Sutor}}
+\end{titlepage}
+\pagenumbering{roman}
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+This document is a complete ``re-implementation'' of the original Axiom
+book by Jenks and Sutor. Virtually every line has been reviewed and
+rewritten into the new Axiom pamphlet format. Changes were made to
+reflect the new Axiom system. Additional material was added and some
+previous examples were rewritten. This is intended to be a ``living''
+document with material referenced or gathered automatically from other
+parts of the system documentation. Future plans include adding active
+examples (moving graphics, in-line command prompts) using Active-DVI.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+%\noindent
+{\Large{\bf Foreword}}
+\vskip .25in
+
+You are holding in your hands an unusual book.  Winston Churchill once
+said that the empires of the future will be empires of the mind.  This
+book might hold an electronic key to such an empire.
+
+When computers were young and slow, the emerging computer science
+developed dreams of Artificial Intelligence and Automatic Theorem
+Proving in which theorems can be proved by machines instead of
+mathematicians.  Now, when computer hardware has matured and become
+cheaper and faster, there is not too much talk of putting the burden
+of formulating and proving theorems on the computer's shoulders.
+Moreover, even in those cases when computer programs do prove
+theorems, or establish counter-examples (for example, the solution of
+the four color problem, the non-existence of projective planes of
+order 10, the disproof of the Mertens conjecture), humans carry most
+of the burden in the form of programming and verification.
+
+It is the language of computer programming that has turned out to be
+the crucial instrument of productivity in the evolution of scientific
+computing.  The original Artificial Intelligence efforts gave birth to
+the first symbolic manipulation systems based on LISP.  The first
+complete symbolic manipulation or, as they are called now, computer
+algebra packages tried to imbed the development programming and
+execution of mathematical problems into a framework of familiar
+symbolic notations, operations and conventions.  In the third decade
+of symbolic computations, a couple of these early systems---REDUCE and
+MACSYMA---still hold their own among faithful users.
+
+Axiom was born in the mid-70's as a system called Scratchpad
+developed by IBM researchers.  Scratchpad/Axiom was born big---its
+original platform was an IBM mainframe 3081, and later a 3090.  The
+system was growing and learning during the decade of the 80's, and its
+development and progress influenced the field of computer algebra.
+During this period, the first commercially available computer algebra
+packages for mini and and microcomputers made their debut.  By now,
+our readers are aware of Mathematica, Maple, Derive, and Macsyma.
+These systems (as well as a few special purpose computer algebra
+packages in academia) emphasize ease of operation and standard
+scientific conventions, and come with a prepared set of mathematical
+solutions for typical tasks confronting an applied scientist or an
+engineer.  These features brought a recognition of the enormous
+benefits of computer algebra to the widest circles of scientists and
+engineers.
+
+The Scratchpad system took its time to blossom into the beautiful
+Axiom product.  There is no rival to this powerful environment in
+its scope and, most importantly, in its structure and organization.
+Axiom contains the basis for any comprehensive and elaborate
+mathematical development.  It gives the user all Foundation and
+Algebra instruments necessary to develop a computer realization of
+sophisticated mathematical objects in exactly the way a mathematician
+would do it.  Axiom is also the basis of a complete scientific
+cyberspace---it provides an environment for mathematical objects used
+in scientific computation, and the means of controlling and
+communicating between these objects.  Knowledge of only a few Axiom
+language features and operating principles is all that is required to
+make impressive progress in a given domain of interest.  The system is
+powerful.  It is not an interactive interpretive environment operating
+only in response to one line commands---it is a complete language with
+rich syntax and a full compiler.  Mathematics can be developed and
+explored with ease by the user of Axiom.  In fact, during
+Axiom's growth cycle, many detailed mathematical domains were
+constructed.  Some of them are a part of Axiom's core and are
+described in this book.  For a bird's eye view of the algebra
+hierarchy of Axiom, glance inside the book cover.
+
+The crucial strength of Axiom lies in its excellent structural
+features and unlimited expandability---it is open, modular system
+designed to support an ever growing number of facilities with minimal
+increase in structural complexity.  Its design also supports the
+integration of other computation tools such as numerical software
+libraries written in FORTRAN and C.  While Axiom is already a
+very powerful system, the prospect of scientists using the system to
+develop their own fields of Science is truly exciting---the day is
+still young for Axiom.
+
+Over the last several years Scratchpad/Axiom has scored many
+successes in theoretical mathematics, mathematical physics,
+combinatorics, digital signal processing, cryptography and parallel
+processing.  We have to confess that we enjoyed using
+Scratchpad/Axiom.  It provided us with an excellent environment for
+our research, and allowed us to solve problems intractable on other
+systems.  We were able to prove new diophantine results for $\pi$;
+establish the Grothendieck conjecture for certain classes of linear
+differential equations; study the arithmetic properties of the
+uniformization of hyperelliptic and other algebraic curves; construct
+new factorization algorithms based on formal groups; within
+Scratchpad/Axiom we were able to obtain new identities needed for
+quantum field theory (elliptic genus formula and double scaling limit
+for quantum gravity), and classify period relations for CM varieties
+in terms of hypergeometric series.
+
+The Axiom system is now supported and distributed by NAG, the group
+that is well known for its high quality software products for
+numerical and statistical computations.  The development of Axiom
+in IBM was conducted at IBM T.J. Watson Research Center at Yorktown,
+New York by a symbolic computation group headed by Richard D. Jenks.
+Shmuel Winograd of IBM was instrumental in the progress of symbolic
+research at IBM.
+
+This book opens the wonderful world of Axiom, guiding the reader
+and user through Axiom's definitions, rules, applications and
+interfaces.  A variety of fully developed areas of mathematics are
+presented as packages, and the user is well advised to take advantage
+of the sophisticated realization of familiar mathematics.  The
+Axiom book is easy to read and the Axiom system is easy to use.
+It possesses all the features required of a modern computer
+environment (for example, windowing, integration of operating system
+features, and interactive graphics).  Axiom comes with a detailed
+hypertext interface (HyperDoc), an elaborate browser, and complete
+on-line documentation.  The HyperDoc allows novices to solve their
+problems in a straightforward way, by providing menus for step-by-step
+interactive entry.
+
+The appearance of Axiom in the scientific market moves symbolic
+computing into a higher plane, where scientists can formulate their
+statements in their own language and receive computer assistance in
+their proofs.  Axiom's performance on workstations is truly
+impressive, and users of Axiom will get more from them than we, the
+early users, got from mainframes.  Axiom provides a powerful
+scientific environment for easy construction of mathematical tools and
+algorithms; it is a symbolic manipulation system, and a high
+performance numerical system, with full graphics capabilities.  We
+expect every (computer) power hungry scientist will want to take full
+advantage of Axiom.
+
+\vskip .25in
+%\noindent
+David V. Chudnovsky  \hfill             Gregory V. Chudnovsky
+\vfill
+\eject
+\pagenumbering{arabic}
+\pseudoChapter{Introduction to Axiom}
+\label{ugNewIntro}
+\section{Introduction to Axiom}
+Welcome to the world of Axiom.
+We call Axiom a scientific computation system:
+a self-contained toolbox designed to meet
+your scientific programming needs,
+from symbolics, to numerics, to graphics.
+
+This introduction is a quick overview of what Axiom offers.
+
+\subsection{Symbolic Computation}
+Axiom provides a wide range of simple commands for symbolic
+mathematical problem solving.  Do you need to solve an equation, to
+expand a series, or to obtain an integral?  If so, just ask Axiom
+to do it.
+
+Given $$\int\left({{1\over{(x^3 \  {(a+b x)}^{1/3})}}}\right)dx$$ 
+we would enter this into Axiom as:
+
+\spadcommand{integrate(1/(x**3 * (a+b*x)**(1/3)),x)}
+which would give the result:
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+-{2 \ {b^2}\ {x^2}\ {\sqrt{3}}\ {\log \left({{{\root{3}\of{a}}\ {{\root{3}\of{{b 
+\  x}+ a}}^2}}+{{{\root{3}\of{a}}^2}\ {\root{3}\of{{b \  x}+ 
+a}}}+ a}\right)}}+ 
+\\
+\\
+\displaystyle
+{4 \ {b^2}\ {x^2}\ {\sqrt{3}}\ {\log \left({{{{\root{3}\of{a}}^
+2}\ {\root{3}\of{{b \  x}+ a}}}- a}\right)}}+ 
+\\
+\\
+\displaystyle
+{{12}\ {b^2}\ {x^2}\ {\arctan \left({{{2 \ {\sqrt{3}}\ {{\root{3}\of{a}}^
+2}\ {\root{3}\of{{b \  x}+ a}}}+{a \ {\sqrt{3}}}}\over{3 \  a}}\right)}}+
+ 
+\\
+\\
+\displaystyle
+{{\left({{12}\  b \  x}-{9 \  a}\right)}\ {\sqrt{3}}\ {\root{3}\of{a}}\ {{\root{3}\of{{b 
+\  x}+ a}}^2}}
+\end{array}
+\right)}\over{{18}\ {a^2}\ {x^2}\ {\sqrt{3}}\ {\root{3}\of{a}}}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+Axiom provides state-of-the-art algebraic machinery to handle your
+most advanced symbolic problems.  For example, Axiom's integrator
+gives you the answer when an answer exists.  If one does not, it
+provides a proof that there is no answer.  Integration is just one of
+a multitude of symbolic operations that Axiom provides.
+
+\subsection{Numeric Computation}
+Axiom has a numerical library that includes operations for linear
+algebra, solution of equations, and special functions.  For many of
+these operations, you can select any number of floating point digits
+to be carried out in the computation.
+
+Solve $x^{49}-49x^4+9$ to 49 digits of accuracy.
+First we need to change the default output length of numbers:
+
+\spadcommand{digits(49)}
+and then we execute the command:
+
+\spadcommand{solve(x**49-49*x**4+9 = 0,1.e-49)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+\left[{x = -{0.6546536706904271136718122105095984761851224331
+556}},  \right.
+\\
+\\
+\displaystyle
+\left.{x ={1.086921395653859508493939035954893289009213388763}},
+  \right.
+\\
+\\
+\displaystyle
+\left.{x ={0.654653670725527173969468606613676483536148760766
+1}}\right] 
+\end{array}
+$$
+
+
+\returnType{Type: List Equation Polynomial Float}
+The output of a computation can be converted to FORTRAN to be used
+in a later numerical computation.
+Besides floating point numbers, Axiom provides literally
+dozens of kinds of numbers to compute with.
+These range from various kinds of integers, to fractions, complex
+numbers, quaternions, continued fractions, and to numbers represented
+with an arbitrary base.
+
+What is $10$ to the $90$-th power in base $32$?
+
+\spadcommand{radix(10**90,32)}
+returns:
+
+%\noindent
+{\tt FMM3O955CSEIV0ILKH820CN3I7PICQU0OQMDOFV6TP000000000000000000 }
+\returnType{Type: RadixExpansion 32}
+
+The AXIOM numerical library can be enhanced with a
+substantial number of functions from the NAG library of numerical and
+statistical algorithms. These functions will provide coverage of a wide
+range of areas including roots of functions, Fourier transforms, quadrature,
+differential equations, data approximation, non-linear optimization, linear
+algebra, basic statistics, step-wise regression, analysis of variance,
+time series analysis, mathematical programming, and special functions.
+Contact the Numerical Algorithms Group Limited, Oxford, England.
+
+\subsection{Graphics}
+You may often want to visualize a symbolic formula or draw
+a graph from a set of numerical values.
+To do this, you can call upon the Axiom
+graphics capability.
+
+Draw $J_0(\sqrt{x^2+y^2})$ for $-20 \leq x,y \leq 20$.
+
+\spadcommand{draw(5*besselJ(0,sqrt(x**2+y**2)), x=-20..20, y=-20..20)}
+\begin{figure}[htbp]
+\includegraphics[bbllx=1, bblly=39, bburx=298, bbury=290]{ps/bessintr.ps}
+\caption{$J_0(\sqrt{x^2+y^2})$ for $-20 \leq x,y \leq 20$}
+\label{tpdhere}
+\end{figure}
+
+Graphs in Axiom are interactive objects you can manipulate with
+your mouse.  Just click on the graph, and a control panel pops up.
+Using this mouse and the control panel, you can translate, rotate,
+zoom, change the coloring, lighting, shading, and perspective on the
+picture.  You can also generate a PostScript copy of your graph to
+produce hard-copy output.
+
+\subsection{HyperDoc}
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=1, bblly=1, bburx=298, bbury=290]{ps/h-root.ps}
+\caption{Hyperdoc opening menu}
+\label{fig-intro-br}
+\end{figure}
+
+HyperDoc presents you windows on the world of Axiom,
+offering on-line help, examples, tutorials, a browser, and reference
+material.  HyperDoc gives you on-line access to this document in a
+``hypertext'' format.  Words that appear in a different font (for
+example, {\tt Matrix}, {\bf factor}, and
+{\it category}) are generally mouse-active; if you click on one
+with your mouse, HyperDoc shows you a new window for that word.
+
+As another example of a HyperDoc facility, suppose that you want to
+compute the roots of $x^{49} - 49x^4 + 9$ to 49 digits (as in our
+previous example) and you don't know how to tell Axiom to do this.
+The ``basic command'' facility of HyperDoc leads the way.  Through the
+series of HyperDoc windows shown in Figure \ref{fig-intro-br} on
+page~\pageref{fig-intro-br} and the specified mouse clicks, you and
+HyperDoc generate the correct command to issue to compute the answer.
+
+\subsection{Interactive Programming }
+Axiom's interactive programming language lets you define your
+own functions.  A simple example of a user-defined function is one
+that computes the successive Legendre polynomials.  Axiom lets
+you define these polynomials in a piece-wise way.
+
+The first Legendre polynomial.
+
+\spadcommand{p(0) == 1}
+\returnType{Type: Void}
+The second Legendre polynomial.
+
+\spadcommand{p(1) == x}
+\returnType{Type: Void}
+The $n$-th Legendre polynomial for $(n > 1)$.
+
+\spadcommand{p(n) == ((2*n-1)*x*p(n-1) - (n-1) * p(n-2))/n}
+\returnType{Type: Void}
+
+In addition to letting you define simple functions like this, the
+interactive language can be used to create entire application
+packages.  All the graphs in the Axiom images section were created by
+programs written in the interactive language.
+
+The above definitions for $p$ do no computation---they simply
+tell Axiom how to compute $p(k)$ for some positive integer
+$k$.
+
+To actually get a value of a Legendre polynomial, you ask for it.
+\index{Legendre polynomials}
+
+What is the tenth Legendre polynomial?
+
+\spadcommand{p(10)}
+\begin{verbatim}
+   Compiling function p with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function p as a recurrence relation.
+\end{verbatim}
+$$
+{{{46189} \over {256}} \  {x \sp {10}}} -{{{109395} \over {256}} \  {x \sp 
+8}}+{{{45045} \over {128}} \  {x \sp 6}} -{{{15015} \over {128}} \  {x \sp 
+4}}+{{{3465} \over {256}} \  {x \sp 2}} -{{63} \over {256}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+Axiom applies the above pieces for $p$ to obtain the value
+of $p(10)$.  But it does more: it creates an optimized, compiled
+function for $p$.  The function is formed by putting the pieces
+together into a single piece of code.  By {\it compiled}, we mean that
+the function is translated into basic machine-code.  By {\it
+optimized}, we mean that certain transformations are performed on that
+code to make it run faster.  For $p$, Axiom actually
+translates the original definition that is recursive (one that calls
+itself) to one that is iterative (one that consists of a simple loop).
+
+What is the coefficient of $x^{90}$ in $p(90)$?
+
+\spadcommand{coefficient(p(90),x,90)}
+$$
+{5688265542052017822223458237426581853561497449095175} \over 
+{77371252455336267181195264} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+In general, a user function is type-analyzed and compiled on first use.
+Later, if you use it with a different kind of object, the function
+is recompiled if necessary.
+
+\subsection{Data Structures}
+
+A variety of data structures are available for interactive use.  These
+include strings, lists, vectors, sets, multisets, and hash tables.  A
+particularly useful structure for interactive use is the infinite
+stream:
+
+Create the infinite stream of derivatives of Legendre polynomials.
+
+\spadcommand{[D(p(i),x) for i in 1..]}
+$$
+\begin{array}{@{}l}
+\displaystyle
+\left[ 1, {3 \  x}, {{{{15}\over 2}\ {x^2}}-{3 \over 2}},
+ {{{{35}\over 2}\ {x^3}}-{{{15}\over 2}\  x}}, {{{{315}\over 
+8}\ {x^4}}-{{{105}\over 4}\ {x^2}}+{{15}\over 8}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{693}\over 8}\ {x^5}}-{{{315}\over 4}\ {x^3}}+{{{105}\over 
+8}\  x}}, {{{{3003}\over{16}}\ {x^6}}-{{{3465}\over{16}}\ {x^
+4}}+{{{945}\over{16}}\ {x^2}}-{{35}\over{16}}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{6435}\over{16}}\ {x^7}}-{{{9009}\over{16}}\ {x^5}}+
+{{{3465}\over{16}}\ {x^3}}-{{{315}\over{16}}\  x}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{109395}\over{128}}\ {x^8}}-{{{45045}\over{32}}\ {x^
+6}}+{{{45045}\over{64}}\ {x^4}}-{{{3465}\over{32}}\ {x^2}}+{{3
+15}\over{128}}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{230945}\over{128}}\ {x^9}}-{{{109395}\over{32}}\ {x^
+7}}+{{{135135}\over{64}}\ {x^5}}-{{{15015}\over{32}}\ {x^3}}+
+{{{3465}\over{128}}\  x}},  \ldots \right] 
+\end{array}
+$$
+\returnType{Type: Stream Polynomial Fraction Integer}
+
+
+Streams display only a few of their initial elements.  Otherwise, they
+are ``lazy'': they only compute elements when you ask for them.
+
+Data structures are an important component for building application
+software. Advanced users can represent data for applications in
+optimal fashion.  In all, Axiom offers over forty kinds of
+aggregate data structures, ranging from mutable structures (such as
+cyclic lists and flexible arrays) to storage efficient structures
+(such as bit vectors).  As an example, streams are used as the
+internal data structure for power series.
+
+What is the series expansion
+of $\log(\cot(x))$
+about $x=\pi/2$?
+%NOTE: The book has a different answer (see p6)
+
+\spadcommand{series(log(cot(x)),x = \%pi/2)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{\log \left({{-{2 \  x}+ \pi}\over 2}\right)}+
+{{1 \over 3}\ {{\left(x -{\pi \over 2}\right)}^2}}+
+{{7 \over{90}}\ {{\left(x -{\pi \over 2}\right)}^4}}+ 
+{{{62}\over{2835}}\ {{\left(x -{\pi \over 2}\right)}^6}}+
+\\
+\\
+\displaystyle
+{{{127}\over{18900}}\ {{\left(x -{\pi \over 2}\right)}^8}}+
+{{{146}\over{66825}}\ {{\left(x -{\pi \over 2}\right)}^{10}}}+ 
+{O \left({{\left(x -{\pi \over 2}\right)}^{11}}\right)}
+\end{array}
+$$
+\returnType{Type: GeneralUnivariatePowerSeries(Expression Integer,x,pi/2)}
+
+Series and streams make no attempt to compute {\it all} their
+elements!  Rather, they stand ready to deliver elements on demand.
+
+What is the coefficient of the $50$-th
+term of this series?
+
+\spadcommand{coefficient(\%,50)}
+$$
+{44590788901016030052447242300856550965644} \over 
+{7131469286438669111584090881309360354581359130859375} 
+$$
+\returnType{Type: Expression Integer}
+
+\subsection{Mathematical Structures}
+Axiom also has many kinds of mathematical structures.  These
+range from simple ones (like polynomials and matrices) to more
+esoteric ones (like ideals and Clifford algebras).  Most structures
+allow the construction of arbitrarily complicated ``types.''
+
+Even a simple input expression can
+result in a type with several levels.
+
+\spadcommand{matrix [ [x + \%i,0], [1,-2] ]}
+$$
+\left[
+\begin{array}{cc}
+{x+i} & 0 \\ 
+1 & -2 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Complex Integer}
+
+The Axiom interpreter builds types in response to user input.
+Often, the type of the result is changed in order to be applicable to
+an operation.
+
+The inverse operation requires that elements of the above matrices
+are fractions.
+
+\spadcommand{inverse(\%)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over {x+i}} & 0 \\ 
+{1 \over {{2 \  x}+{2 \  i}}} & -{1 \over 2} 
+\end{array}
+\right]
+$$
+\returnType{Type: Union(Matrix Fraction Polynomial Complex Integer,...)}
+
+\subsection{Pattern Matching}
+
+A convenient facility for symbolic computation is ``pattern
+matching.''  Suppose you have a trigonometric expression and you want
+to transform it to some equivalent form.  Use a $rule$ command to
+describe the transformation rules you \index{rule} need.  Then give
+the rules a name and apply that name as a function to your
+trigonometric expression.
+
+Introduce two rewrite rules.
+
+\spadcommand{sinCosExpandRules := rule\\
+\ \ sin(x+y) == sin(x)*cos(y) + sin(y)*cos(x)\\
+\ \  cos(x+y) == cos(x)*cos(y) - sin(x)*sin(y)\\
+\ \  sin(2*x) == 2*sin(x)*cos(x)\\
+\ \  cos(2*x) == cos(x)**2 - sin(x)**2
+}
+
+\begin{verbatim}
+   {sin(y + x) == cos(x)sin(y) + cos(y)sin(x),
+    cos(y + x) == - sin(x)sin(y) + cos(x)cos(y), 
+    sin(2x) == 2cos(x)sin(x),
+                       2         2
+    cos(2x) == - sin(x)  + cos(x) }
+\end{verbatim}
+\returnType{Type: Ruleset(Integer,Integer,Expression Integer)}
+
+Apply the rules to a simple trigonometric expression.
+
+\spadcommand{sinCosExpandRules(sin(a+2*b+c))}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left(-{{\cos \left({a}\right)}\ {{\sin \left({b}\right)}^2}}-
+{2 \ {\cos \left({b}\right)}\ {\sin \left({a}\right)}\ {\sin 
+\left({b}\right)}}+{{\cos \left({a}\right)}\ {{\cos \left({b}\right)}^
+2}}\right)}\ {\sin \left({c}\right)}}- 
+\\
+\\
+\displaystyle
+{{\cos \left({c}\right)}\ {\sin \left({a}\right)}\ {{\sin \left({b}\right)}^
+2}}+{2 \ {\cos \left({a}\right)}\ {\cos \left({b}\right)}\ {\cos 
+\left({c}\right)}\ {\sin \left({b}\right)}}+ 
+\\
+\\
+\displaystyle
+{{{\cos \left({b}\right)}^2}\ {\cos \left({c}\right)}\ {\sin 
+\left({a}\right)}}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+
+Using input files, you can create your own library of transformation
+rules relevant to your applications, then selectively apply the rules
+you need.
+
+\subsection{Polymorphic Algorithms}
+All components of the Axiom algebra library are written in the
+Axiom library language.  This language is similar to the
+interactive language except for protocols that authors are obliged to
+follow.  The library language permits you to write ``polymorphic
+algorithms,'' algorithms defined to work in their most natural
+settings and over a variety of types.
+
+Define a system of polynomial equations $S$.
+
+\spadcommand{S := [3*x**3 + y + 1 = 0,y**2 = 4]}
+$$
+\left[
+{{y+{3 \  {x \sp 3}}+1}=0},  {{y \sp 2}=4} 
+\right]
+$$
+\returnType{Type: List Equation Polynomial Integer}
+
+Solve the system $S$ using rational number arithmetic and
+30 digits of accuracy.
+
+\spadcommand{solve(S,1/10**30)}
+$$
+\left[
+{\left[ {y=-2},  {x={{1757879671211184245283070414507} \over 
+{2535301200456458802993406410752}}} 
+\right]},
+ {\left[ {y=2},  {x=-1} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Fraction Integer}
+
+Solve $S$ with the solutions expressed in radicals.
+
+\spadcommand{radicalSolve(S)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+\left[{\left[{y = 2}, {x = - 1}\right]}, {\left[{y = 2}, 
+{x ={{-{\sqrt{- 3}}+ 1}\over 2}}\right]},  \right.
+\\
+\\
+\displaystyle
+\left.{\left[{y = 2}, {x ={{{\sqrt{- 3}}+ 1}\over 2}}\right]},
+ {\left[{y = - 2}, {x ={1 \over{\root{3}\of{3}}}}\right]},
+  \right.
+\\
+\\
+\displaystyle
+\left.{\left[{y = - 2}, {x ={{{{\sqrt{- 1}}\ {\sqrt{3}}}- 1}\over{2 
+\ {\root{3}\of{3}}}}}\right]}, {\left[{y = - 2}, {x ={{-{{\sqrt{-
+ 1}}\ {\sqrt{3}}}- 1}\over{2 \ {\root{3}\of{3}}}}}\right]}\right] 
+\end{array}
+$$
+\returnType{Type: List List Equation Expression Integer}
+
+While these solutions look very different, the results were produced
+by the same internal algorithm!  The internal algorithm actually works
+with equations over any ``field.''  Examples of fields are the
+rational numbers, floating point numbers, rational functions, power
+series, and general expressions involving radicals.
+
+\subsection{Extensibility}
+
+Users and system developers alike can augment the Axiom library,
+all using one common language.  Library code, like interpreter code,
+is compiled into machine binary code for run-time efficiency.
+
+Using this language, you can create new computational types and new
+algorithmic packages.  All library code is polymorphic, described in
+terms of a database of algebraic properties.  By following the
+language protocols, there is an automatic, guaranteed interaction
+between your code and that of colleagues and system implementers.
+\vfill\eject
+\pseudoChapter{A Technical Introduction}
+\label{ugTechIntro}
+Axiom has both an {\it interactive language} for user
+interactions and a {\it programming language} for building library
+modules.  Like Modula 2, \index{Modula 2} PASCAL, \index{PASCAL}
+FORTRAN, \index{FORTRAN} and Ada, \index{Ada} the programming language
+emphasizes strict type-checking.  Unlike these languages, types in
+Axiom are dynamic objects: they are created at run-time in
+response to user commands.
+
+Here is the idea of the Axiom programming language in a
+nutshell.  Axiom types range from algebraic ones (like
+polynomials, matrices, and power series) to data structures (like
+lists, dictionaries, and input files).  Types combine in any
+meaningful way.  You can build polynomials of matrices, matrices of
+polynomials of power series, hash tables with symbolic keys and
+rational function entries, and so on.
+
+{\it Categories} define algebraic properties to ensure mathematical
+correctness. They ensure, for example, that matrices of polynomials
+are OK, but matrices of input files are not.  Through categories,
+programs can discover that polynomials of continued fractions have a
+commutative multiplication whereas polynomials of matrices do not.
+
+Categories allow algorithms to be defined in their most natural
+setting. For example, an algorithm can be defined to solve polynomial
+equations over {\it any} field.  Likewise a greatest common divisor
+can compute the ``gcd'' of two elements from {\it any} Euclidean
+domain.  Categories foil attempts to compute meaningless ``gcds'', for
+example, of two hashtables.  Categories also enable algorithms to be
+compiled into machine code that can be run with arbitrary types.
+
+The Axiom interactive language is oriented towards ease-of-use.
+The Axiom interpreter uses type-inferencing to deduce the type
+of an object from user input.  Type declarations can generally be
+omitted for common types in the interactive language.
+
+So much for the nutshell.
+Here are these basic ideas described by ten design principles:
+
+\subsection{Types are Defined by Abstract Datatype Programs}
+
+Basic types are called {\it domains of computation}, or,
+simply, {\it domains.}
+\index{domain}
+Domains are defined by Axiom programs of the form:
+
+\begin{verbatim}
+Name(...): Exports == Implementation
+\end{verbatim}
+
+Each domain has a capitalized {\tt Name} that is used to refer to the
+class of its members.  For example, {\tt Integer} denotes ``the
+class of integers,'' {\tt Float}, ``the class of floating point
+numbers,'' and {\tt String}, ``the class of strings.''
+
+The ``{\tt ...}'' part following {\tt Name} lists zero or more
+parameters to the constructor. Some basic ones like {\tt Integer} take
+no parameters.  Others, like {\tt Matrix}, {\tt Polynomial} and 
+{\tt List}, take a single parameter that again must be a domain.  For
+example, {\tt Matrix(Integer)} denotes ``matrices over the integers,''
+{\tt Polynomial (Float)} denotes ``polynomial with floating point
+coefficients,'' and {\tt List (Matrix (Polynomial (Integer)))} denotes
+``lists of matrices of polynomials over the integers.''  There is no
+restriction on the number or type of parameters of a domain
+constructor.
+
+SquareMatrix(2,Integer) is an example of a domain constructor that accepts
+both a particular data value as well as an integer. In this case the
+number 2 specifies the number of rows and columns the square matrix
+will contain. Elements of the matricies are integers.
+
+The {\tt Exports} part specifies operations for creating and
+manipulating objects of the domain.  For example, type
+{\tt Integer} exports constants $0$ and $1$, and
+operations \spadopFrom{+}{Integer}, \spadopFrom{-}{Integer}, and
+\spadopFrom{*}{Integer}.  While these operations are common, others
+such as \spadfunFrom{odd?}{Integer} and \spadfunFrom{bit?}{Integer}
+are not. In addition the Exports section can contain symbols that
+represent properties that can be tested. For example, the Category
+{\tt EntireRing} has the symbol {\tt noZeroDivisors} which asserts
+that if a product is zero then one of the factors must be zero.
+
+The {\tt Implementation} part defines functions that implement the
+exported operations of the domain.  These functions are frequently
+described in terms of another lower-level domain used to represent the
+objects of the domain. Thus the operation of adding two vectors of
+real numbers can be described and implemented using the addition
+operation from {\tt Float}. 
+
+\subsection{The Type of Basic Objects is a Domain or Subdomain}
+
+Every Axiom object belongs to a {\it unique} domain.  The domain
+of an object is also called its {\it type.}  Thus the integer $7$
+has type {\tt Integer} and the string {\tt "daniel"} has type
+{\tt String}.
+
+The type of an object, however, is not unique.  The type of integer
+$7$ is not only {\tt Integer} but {\tt NonNegativeInteger},
+{\tt PositiveInteger}, and possibly, in general, any other
+``subdomain'' of the domain {\tt Integer}.  A {\it subdomain}
+\index{subdomain} is a domain with a ``membership predicate''.
+{\tt PositiveInteger} is a subdomain of {\tt Integer} with the
+predicate ``is the integer $> 0$?''.
+
+Subdomains with names are defined by abstract datatype programs
+similar to those for domains.  The {\it Export} part of a subdomain,
+however, must list a subset of the exports of the domain.  The {\tt
+Implementation} part optionally gives special definitions for
+subdomain objects.
+
+\subsection{Domains Have Types Called Categories}
+
+Domain and subdomains in Axiom are themselves objects that have
+types.  The type of a domain or subdomain is called a {\it category}.
+\index{category} Categories are described by programs of the form:
+
+\begin{verbatim}
+Name(...): Category == Exports
+\end{verbatim}
+The type of every category is the distinguished symbol {\tt Category.}
+The category {\tt Name} is used to designate the class of domains of
+that type.  For example, category {\tt Ring} designates the class
+of all rings.  Like domains, categories can take zero or more
+parameters as indicated by the ``{\tt ...}'' part following {\tt
+Name.}  Two examples are {\tt Module(R)} and
+{\tt MatrixCategory(R,Row,Col)}.
+
+The {\tt Exports} part defines a set of operations.  For example,
+{\tt Ring} exports the operations \spadopFrom{0}{Ring},
+\spadopFrom{1}{Ring}, \spadopFrom{+}{Ring}, \spadopFrom{-}{Ring}, and
+\spadopFrom{*}{Ring}.  Many algebraic domains such as
+{\tt Integer} and {\tt Polynomial (Float)} are rings.
+{\tt String} and {\tt List (R)} (for any domain $R$)
+are not.
+
+Categories serve to ensure the type-correctness.  The definition of
+matrices states {\tt Matrix(R: Ring)} requiring its single parameter
+$R$ to be a ring.  Thus a ``matrix of polynomials'' is allowed,
+but ``matrix of lists'' is not.
+
+Categories say nothing about representation. Domains, which are
+instances of category types, specify representations.
+
+\subsection{Operations Can Refer To Abstract Types}
+
+All operations have prescribed source and target types.  Types can be
+denoted by symbols that stand for domains, called ``symbolic
+domains.''  The following lines of Axiom code use a symbolic
+domain $R$:
+
+\begin{verbatim}
+R: Ring
+power: (R, NonNegativeInteger): R -> R
+power(x, n) == x ** n
+\end{verbatim}
+
+Line 1 declares the symbol $R$ to be a ring.  Line 2 declares the
+type of $power$ in terms of $R$.  From the definition on
+line 3, $power(3,2)$ produces 9 for $x = 3$ and $R =$
+{\tt Integer}.  Also, $power(3.0,2)$ produces $9.0$ for
+$x = 3.0$ and $R =$ {\tt Float}.
+$power("oxford",2)$ however fails since $"oxford"$ has type
+{\tt String} which is not a ring.
+
+Using symbolic domains, algorithms can be defined in their most
+natural or general setting.
+
+\subsection{Categories Form Hierarchies}
+
+Categories form hierarchies (technically, directed-acyclic graphs).  A
+simplified hierarchical world of algebraic categories is shown below.
+At the top of this world is {\tt SetCategory}, the class of
+algebraic sets.  The notions of parents, ancestors, and descendants is
+clear.  Thus ordered sets (domains of category {\tt OrderedSet})
+and rings are also algebraic sets.  Likewise, fields and integral
+domains are rings and algebraic sets.  However fields and integral
+domains are not ordered sets.
+
+\begin{verbatim}
+SetCategory +---- Ring       ---- IntegralDomain ---- Field
+            |
+            +---- Finite     ---+
+            |                    \
+            +---- OrderedSet -----+ OrderedFinite
+\end{verbatim}
+\begin{center}
+Figure 1.  A  simplified category hierarchy.
+\end{center}
+
+\subsection{Domains Belong to Categories by Assertion}
+
+A category designates a class of domains.  Which domains?  You might
+think that {\tt Ring} designates the class of all domains that
+export $0$, $1$, \spadopFrom{+}{Integer},
+\spadopFrom{-}{Integer}, and \spadopFrom{*}{Integer}.  But this is not
+so.  Each domain must {\it assert} which categories it belongs to.
+
+The {\tt Export} part of the definition for {\tt Integer} reads,
+for example:
+
+\begin{verbatim}
+Join(OrderedSet, IntegralDomain,  ...) with ...
+\end{verbatim}
+
+This definition asserts that {\tt Integer} is both an ordered set
+and an integral domain.  In fact, {\tt Integer} does not
+explicitly export constants $0$ and $1$ and operations
+\spadopFrom{+}{Ring}, \spadopFrom{-}{Ring} and \spadopFrom{*}{Ring} at
+all: it inherits them all from $Ring$!  Since
+{\tt IntegralDomain} is a descendant of $Ring$,
+{\tt Integer} is therefore also a ring.
+
+Assertions can be conditional.  For example, {\tt Complex(R)}
+defines its exports by:
+
+\begin{verbatim}
+Ring with ... if R has Field then Field ...
+\end{verbatim}
+Thus {\tt Complex(Float)} is a field but {\tt Complex(Integer)}
+is not since {\tt Integer} is not a field.
+
+You may wonder: ``Why not simply let the set of operations determine
+whether a domain belongs to a given category?''.  Axiom allows
+operation names (for example, {\bf norm}) to have very different
+meanings in different contexts.  The meaning of an operation in
+Axiom is determined by context.  By associating operations with
+categories, operation names can be reused whenever appropriate or
+convenient to do so.  As a simple example, the operation {\tt <}
+might be used to denote lexicographic-comparison in an algorithm.
+However, it is wrong to use the same {\tt <} with this definition
+of absolute-value: $$abs(x) == if\ x < 0\  then -x\ else\ x$$ Such a
+definition for {\tt abs} in Axiom is protected by context:
+argument $x$ is required to be a member of a domain of category
+{\tt OrderedSet}.
+
+\subsection{Packages Are Clusters of Polymorphic Operations}
+
+In Axiom, facilities for symbolic integration, solution of
+equations, and the like are placed in ``packages''.  A {\it package}
+\index{package} is a special kind of domain: one whose exported
+operations depend solely on the parameters of the constructor and/or
+explicit domains. Packages, unlike Domains, do not specify the
+representation.
+
+If you want to use Axiom, for example, to define some algorithms
+for solving equations of polynomials over an arbitrary field $F$,
+you can do so with a package of the form:
+
+\begin{verbatim}
+MySolve(F: Field): Exports == Implementation
+\end{verbatim}
+where {\tt Exports} specifies the {\bf solve} operations
+you wish to export from the domain and the {\tt Implementation}
+defines functions for implementing your algorithms.  Once Axiom has
+compiled your package, your algorithms can then be used for any {\tt F}:
+floating-point numbers, rational numbers, complex rational functions,
+and power series, to name a few.
+
+\subsection{The Interpreter Builds Domains Dynamically}
+
+The Axiom interpreter reads user input then builds whatever types
+it needs to perform the indicated computations.
+For example, to create the matrix
+$$M = \pmatrix{x^2+1&0\cr0&x / 2\cr}$$
+using the command:
+
+\spadcommand{M = [ [x**2+1,0],[0,x / 2] ]::Matrix(POLY(FRAC(INT)))}
+$$
+M={\left[ 
+\begin{array}{cc}
+x^2+1 & 0 \\ 
+0 & x/2
+\end{array}
+\right]}
+$$
+\returnType{Type: Matrix Polynomial Fraction Integer}
+the interpreter first loads the modules {\tt Matrix},
+{\tt Polynomial}, {\tt Fraction}, and {\tt Integer}
+from the library, then builds the {\it domain tower} ``matrices of
+polynomials of rational numbers (i.e. fractions of integers)''.
+
+You can watch the loading process by first typing 
+
+\spadcommand{)set message autoload on}
+In addition to the named
+domains above many additional domains and categories are loaded.
+Most systems are preloaded with such common types. For efficiency
+reasons the most common domains are preloaded but most (there are
+more than 1100 domains, categories, and packages) are not. Once these
+domains are loaded they are immediately available to the interpreter.
+
+Once a domain tower is built, it contains all the operations specific
+to the type. Computation proceeds by calling operations that exist in
+the tower.  For example, suppose that the user asks to square the
+above matrix.  To do this, the function \spadopFrom{*}{Matrix} from
+{\tt Matrix} is passed the matrix $M$ to compute $M * M$.  
+The function is also passed an environment containing $R$
+that, in this case, is {\tt Polynomial (Fraction (Integer))}.
+This results in the successive calling of the \spadopFrom{*}{Fraction}
+operations from {\tt Polynomial}, then from {\tt Fraction},
+and then finally from {\tt Integer}.
+
+Categories play a policing role in the building of domains.  Because
+the argument of {\tt Matrix} is required to be a {\tt Ring},
+Axiom will not build nonsensical types such as ``matrices of
+input files''.
+
+\subsection{Axiom Code is Compiled}
+
+Axiom programs are statically compiled to machine code, then
+placed into library modules.  Categories provide an important role in
+obtaining efficient object code by enabling:
+\begin{itemize}
+\item static type-checking at compile time;
+\item fast linkage to operations in domain-valued parameters;
+\item optimization techniques to be used for partially specified types
+(operations for ``vectors of $R$'', for instance, can be open-coded even
+though {\tt R} is unknown).
+\end{itemize}
+
+\subsection{Axiom is Extensible}
+
+Users and system implementers alike use the Axiom language to
+add facilities to the Axiom library.  The entire Axiom
+library is in fact written in the Axiom source code and
+available for user modification and/or extension.
+
+Axiom's use of abstract datatypes clearly separates the exports
+of a domain (what operations are defined) from its implementation (how
+the objects are represented and operations are defined).  Users of a
+domain can thus only create and manipulate objects through these
+exported operations.  This allows implementers to ``remove and
+replace'' parts of the library safely by newly upgraded (and, we hope,
+correct) implementations without consequence to its users.
+
+Categories protect names by context, making the same names available
+for use in other contexts.  Categories also provide for code-economy.
+Algorithms can be parameterized categorically to characterize their
+correct and most general context.  Once compiled, the same machine
+code is applicable in all such contexts.
+
+Finally, Axiom provides an automatic, guaranteed interaction
+between new and old code.  For example:
+\begin{itemize}
+\item if you write a new algorithm that requires a parameter to be a
+field, then your algorithm will work automatically with every field
+defined in the system; past, present, or future.
+\item if you introduce a new domain constructor that produces a field,
+then the objects of that domain can be used as parameters to any algorithm
+using field objects defined in the system; past, present, or future.
+\end{itemize}
+
+These are the key ideas.  For further information, we particularly
+recommend your reading chapters 11, 12, and 13, where these ideas are
+explained in greater detail.
+
+\section{Using Axiom as a Pocket Calculator}
+At the simplest level Axiom can be used as a pocket calculator
+where expressions involving numbers and operators are entered 
+directly in infix notation. In this sense the more advanced
+features of the calculator can be regarded as operators (e.g 
+{\bf sin}, {\bf cos}, etc).
+
+\subsection{Basic Arithmetic}
+An example of this might be to calculate the cosine of 2.45 (in radians).
+To do this one would type:
+
+\spadcommand{cos 2.45}
+$$
+-{0.7702312540 473073417} 
+$$
+\returnType{Type: Float}
+
+Before proceeding any further it would be best to explain the previous 
+three lines. Firstly the text ``(1) {\tt ->} '' is part of the prompt that the
+Axiom system provides when in interactive mode. The full prompt has other 
+text preceding this but it is not relevant here. The number in parenthesis
+is the step number of the input which may be used to refer to the 
+{\sl results} of previous calculations. The step number appears at the start
+of the second line to tell you which step the result belongs to. Since the
+interpreter probably loaded numberous libraries to calculate the result given
+above and listed each one in the prcess, there could easily be several pages
+of text between your input and the answer.
+
+The last line contains the type of the result. The type {\tt Float} is used
+to represent real numbers of arbitrary size and precision (where the user is
+able to define how big arbitrary is -- the default is 20 digits but can be
+as large as your computer system can handle). The type of the result can help
+track down mistakes in your input if you don't get the answer you expected.
+
+Other arithmetic operations such as addition, subtraction, and multiplication
+behave as expected:
+
+\spadcommand{6.93 * 4.1328}
+$$
+28.640304 
+$$
+\returnType{Type: Float}
+
+\spadcommand{6.93 / 4.1328}
+$$
+1.6768292682 926829268 
+$$
+\returnType{Type: Float}
+
+but integer division isn't quite so obvious. For example, if one types:
+
+\spadcommand{4/6}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Integer}
+
+a fractional result is obtained. The function used to display fractions
+attempts to produce the most readable answer. In the example:
+
+\spadcommand{4/2}
+$$
+2 
+$$
+\returnType{Type: Fraction Integer}
+
+the result is stored as the fraction 2/1 but is displayed as the integer 2.
+This fraction could be converted to type {\tt Integer} with no loss of
+information but Axiom will not do so automatically.
+
+\subsection{Type Conversion}
+To obtain the floating point value of a fraction one must convert 
+({\bf conversions} are applied by the user and 
+{\bf coercions} are applied automatically by the interpreter) the result
+to type {\tt Float} using the ``::'' operator as follows: 
+
+\spadcommand{(4.6)::Float}
+$$
+4.6 
+$$
+\returnType{Type: Float}
+
+Although Axiom can convert this back to a fraction it might not be the
+same fraction you started with as due to rounding errors. For example, the
+following conversion appears to be without error but others might not:
+
+\spadcommand{\%::Fraction Integer}
+$$
+{23} \over 5 
+$$
+\returnType{Type: Fraction Integer}
+
+where ``\%'' represents the previous {\it result} (not the calculation).
+
+Although Axiom has the ability to work with floating-point numbers to
+a very high precision it must be remembered that calculations with these
+numbers are {\bf not} exact. Since Axiom is a computer algebra package and
+not a numerical solutions package this should not create too many problems.
+The idea is that the user should use Axiom to do all the necessary symbolic
+manipulation and only at the end should actual numerical results be extracted.
+
+If you bear in mind that Axiom appears to store expressions just as you have
+typed them and does not perform any evalutation of them unless forced to then
+programming in the system will be much easier. It means that anything you
+ask Axiom to do (within reason) will be carried out with complete accuracy.
+
+In the previous examples the ``::'' operator was used to convert values from
+one type to another. This type conversion is not possible for all values.
+For instance, it is not possible to convert the number 3.4 to an integer
+type since it can't be represented as an integer. The number 4.0 can be 
+converted to an integer type since it has no fractional part.
+
+Conversion from floating point values to integers is performed using the 
+functions {\bf round} and {\bf truncate}. The first of these rounds a 
+floating point number to the nearest integer while the other truncates
+(i.e. removes the fractional part). Both functions return the result as a
+{\bf floating point} number. To extract the fractional part of a floating
+point number use the function {\bf fractionPart} but note that the sign
+of the result depends on the sign of the argument. Axiom obtains the
+fractional partof $x$ using $x - truncate(x)$:
+
+\spadcommand{round(3.77623)}
+$$
+4.0 
+$$
+\returnType{Type: Float}
+
+\spadcommand{round(-3.77623)}
+$$
+-{4.0} 
+$$
+\returnType{Type: Float}
+
+\spadcommand{truncate(9.235)}
+$$
+9.0 
+$$
+\returnType{Type: Float}
+
+\spadcommand{truncate(-9.654)}
+$$
+-{9.0} 
+$$
+\returnType{Type: Float}
+
+\spadcommand{fractionPart(-3.77623)}
+$$
+-{0.77623} 
+$$
+\returnType{Type: Float}
+
+\subsection{Useful Functions}
+To obtain the absolute value of a number the {\bf abs} function can be used.
+This takes a single argument which is usually an integer or a floating point
+value but doesn't necessarily have to be. The sign of a value can be obtained
+via the {\bf sign} function which rturns $-1$, $0$, or $1$ depending on the 
+sign of the argument.
+
+\spadcommand{abs(4)}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{abs(-3)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{abs(-34254.12314)}
+$$
+34254.12314 
+$$
+\returnType{Type: Float}
+
+\spadcommand{sign(-49543.2345346)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{sign(0)}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+\spadcommand{sign(234235.42354)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Tests on values can be done using various functions which are generally more
+efficient than using relational operators such as $=$ particularly if the 
+value is a matrix. Examples of some of these functions are:
+
+\spadcommand{positive?(-234)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{negative?(-234)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{zero?(42)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{one?(1)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{odd?(23)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{odd?(9.435)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{even?(-42)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{prime?(37)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{prime?(-37)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Some other functions that are quite useful for manipulating numerical values
+are:
+
+\begin{verbatim}
+sin(x)         Sine of x
+cos(x)         Cosine of x
+tan(x)         Tangent of x
+asin(x)        Arcsin of x
+acos(x)        Arccos of x
+atan(x)        Arctangent of x
+gcd(x,y)       Greatest common divisor of x and y
+lcm(x,y)       Lowest common multiple of x and y
+max(x,y)       Maximum of x and y
+min(x,y)       Minimum of x and y
+factorial(x)   Factorial of x
+factor(x)      Prime factors of x
+divide(x,y)    Quotient and remainder of x/y
+\end{verbatim}
+
+Some simple infix and prefix operators:
+\begin{verbatim}
++      Addition             -      Subtraction
+-      Numerical Negation   ~      Logical Negation
+/\     Conjunction (AND)    \/     Disjunction (OR)
+and    Logical AND (/\)     or     Logical OR (\/)
+not    Logical Negation     **     Exponentiation
+*      Multiplication       /      Division
+quo    Quotient             rem    Remainder
+<      less than            >      greater than
+<=     less than or equal   >=     greater than or equal
+\end{verbatim}
+
+Some useful Axiom macros:
+\begin{verbatim}
+%i              The square root of -1
+%e              The base of the natural logarithm
+%pi             Pi
+%infinity       Infinity
+%plusInfinity   Positive Infinity
+%minusInfinity  Negative Infinity
+\end{verbatim}
+
+\section{Using Axiom as a Symbolic Calculator}
+In the previous section all the examples involved numbers and simple
+functions. Also none of the expressions entered were assigned to anything.
+In this section we will move on to simple algebra (i.e. expressions involving
+symbols and other features available on more sophisticated calculators).
+
+\subsection{Expressions Involving Symbols}
+Expressions involving symbols are entered just as they are written down,
+for example:
+
+\spadcommand{xSquared := x**2}
+$$
+x \sp 2 
+$$
+\returnType{Type: Polynomial Integer}
+
+where the assignment operator ``:='' represents immediate assignment. Later
+it will be seen that this form of assignment is not always desirable and
+the use of the delayed assignment operator ``=='' will be introduced. The
+type of the result is {\tt Polynomial Integer} which is used to represent
+polynomials with integer coefficients. Some other examples along similar
+lines are:
+
+\spadcommand{xDummy := 3.21*x**2}
+$$
+{3.21} \  {x \sp 2} 
+$$
+\returnType{Type: Polynomial Float}
+
+\spadcommand{xDummy := x**2.5}
+$$
+{x \sp 2} \  {\sqrt {x}} 
+$$
+\returnType{Type: Expression Float}
+
+\spadcommand{xDummy := x**3.3}
+$$
+{x \sp 3} \  {{\root {{10}} \of {x}} \sp 3} 
+$$
+\returnType{Type: Expression Float}
+
+\spadcommand{xyDummy := x**2 - y**2}
+$$
+-{y \sp 2}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Given that we can define expressions involving symbols, how do we actually
+compute the result when the symbols are assigned values? The answer is to
+use the {\bf eval} function which takes an expression as its first argument
+followed by a list of assignments. For example, to evaluate the expressions
+{\bf XDummy} and {xyDummy} resulting from their respective assignments above
+we type:
+
+\spadcommand{eval(xDummy,x=3)}
+$$
+37.5405075985 29552193 
+$$
+\returnType{Type: Expression Float}
+
+\spadcommand{eval(xyDummy, [x=3, y=2.1])}
+$$
+4.59 
+$$
+\returnType{Type: Polynomial Float}
+
+\subsection{Complex Numbers}
+For many scientific calculations real numbers aren't sufficient and support
+for complex numbers is also required. Complex numbers are handled in an
+intuitive manner and Axiom, which uses the {\bf \%i} macro to represent
+the square root of $-1$. Thus expressions involving complex numbers are
+entered just like other expressions.
+
+\spadcommand{(2/3 + \%i)**3}
+$$
+-{{46} \over {27}}+{{1 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+The real and imaginary parts of a complex number can be extracted using 
+the {\bf real} and {\bf imag} functions and the complex conjugate of a
+number can be obtained using {\bf conjugate}:
+
+\spadcommand{real(3 + 2*\%i)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{imag(3+ 2*\%i)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{conjugate(3 + 2*\%i)}
+$$
+3 -{2 \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+The function {\bf factor} can also be applied to complex numbers but the
+results aren't quite so obvious as for factoring integer:
+
+\spadcommand{144 + 24*\%i}
+$$
+{144}+{{24} \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+\subsection{Number Representations}
+By default all numerical results are displayed in decimal with real numbers
+shown to 20 significant figures. If the integer part of a number is longer
+than 20 digits then nothing after the decimal point is shown and the integer
+part is given in full. To alter the number of digits shown the function
+{\bf digits} can be called. The result returned by this function is the
+previous setting. For example, to find the value of $\pi$ to 40 digits
+we type:
+
+\spadcommand{digits(40)}
+$$
+20 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{\%pi::Float}
+$$
+3.1415926535\ 8979323846\ 2643383279\ 502884197 
+$$
+\returnType{Type: Float}
+
+As can be seen in the example above, there is a gap after every ten digits.
+This can be changed using the {\bf outputSpacing} function where the argument
+is the number of digits to be displayed before a space is inserted. If no
+spaces are desired then use the value $0$. Two other functions controlling
+the appearance of real numbers are {\bf outputFloating} and {\bf outputFixed}.
+The former causes Axiom to display floating-point values in exponent notation
+and the latter causes it to use fixed-point notation. For example:
+
+\spadcommand{outputFloating(); \%}
+$$
+0.3141592653 5897932384 6264338327 9502884197 E 1 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputFloating(3); 0.00345}
+$$
+0.345 E -2 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputFixed(); \%}
+$$
+0.00345 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputFixed(3); \%}
+$$
+0.003 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputGeneral(); \%}
+$$
+0.00345 
+$$
+\returnType{Type: Float}
+
+Note that the semicolon ``;'' in the examples above allows several
+expressions to be entered on one line. The result of the last expression
+is displayed. remember also that the percent symbol ``\%'' is used to
+represent the result of a previous calculation.
+
+To display rational numbers in a base other than 10 the function {\bf radix}
+is used. The first argument of this function is the expression to be 
+displayed and the second is the base to be used.
+
+\spadcommand{radix(10**10,32)}
+$$
+{\rm 9A0NP00 }
+$$
+\returnType{Type: RadixExpansion 32}
+
+\spadcommand{radix(3/21,5)}
+$$
+0.{\overline {032412}} 
+$$
+\returnType{Type: RadixExpansion 5}
+
+Rational numbers can be represented as a repeated decimal expansion using
+the {\bf decimal} function or as a continued fraction using 
+{\bf continuedFraction}. Any attempt to call these functions with irrational
+values will fail.
+
+\spadcommand{decimal(22/7)}
+$$
+3.{\overline {142857}} 
+$$
+\returnType{Type: DecimalExpansion}
+
+\spadcommand{continuedFraction(6543/210)}
+$$
+{31}+ \zag{1}{6}+ \zag{1}{2}+ \zag{1}{1}+ \zag{1}{3} 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+Finally, partial fractions in compact and expanded form are available via the
+functions {\bf partialFraction} and {\bf padicFraction} respectively. The
+former takes two arguments, the first being the numerator of the fraction
+and the second being the denominator. The latter function takes a fraction
+and expands it further while the function {\bf compactFraction} does the
+reverse:
+
+\spadcommand{partialFraction(234,40)}
+$$
+6 -{3 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\spadcommand{padicFraction(\%)}
+$$
+6 -{1 \over 2} -{1 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\spadcommand{compactFraction(\%)}
+$$
+6 -{3 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\spadcommand{padicFraction(234/40)}
+$$
+{117} \over {20} 
+$$
+\returnType{Type: PartialFraction Fraction Integer}
+
+To extract parts of a partial fraction the function {\bf nthFractionalTerm}
+is available and returns a partial fraction of one term. To decompose this
+further the numerator can be obtained using {\bf firstNumer} and the 
+denominator with {\bf firstDenom}. The whole part of a partial fraction can
+be retrieved using {\bf wholePart} and the number of fractional parts can
+be found using the function {\bf numberOf FractionalTerms}:
+
+\spadcommand{t := partialFraction(234,40)}
+$$
+6 -{3 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\spadcommand{wholePart(t)}
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{numberOfFractionalTerms(t)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{p := nthFractionalTerm(t,1)}
+$$
+-{3 \over {2 \sp 2}} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\spadcommand{firstNumer(p)}
+$$
+-3 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{firstDenom(p)}
+$$
+2 \sp 2 
+$$
+\returnType{Type: Factored Integer}
+
+\subsection{Modular Arithmetic}
+By using the type constructor {\tt PrimeField} it is possible to do 
+arithmetic modulo some prime number. For example, arithmetic module $7$
+can be performed as follows:
+
+\spadcommand{x : PrimeField 7 := 5}
+$$
+5 
+$$
+\returnType{Type: PrimeField 7}
+
+\spadcommand{x**5 + 6}
+$$
+2 
+$$
+\returnType{Type: PrimeField 7}
+
+\spadcommand{1/x}
+$$
+3 
+$$
+\returnType{Type: PrimeField 7}
+
+The first example should be read as:
+\begin{center}
+{\tt Let $x$ be of type PrimeField(7) and assign to it the value $5$}
+\end{center}
+
+Note that it is only possible to invert non-zero values if the arithmetic
+is performed modulo a prime number. Thus arithmetic modulo a non-prime
+integer is possible but the reciprocal operation is undefined and will
+generate an error. Attempting to use the {\tt PrimeField} type constructor
+with a non-prime argument will generate an error. An example of non-prime
+modulo arithmetic is:
+
+\spadcommand{y : IntegerMod 8 := 11}
+$$
+3 
+$$
+\returnType{Type: IntegerMod 8}
+
+\spadcommand{y*4 + 27}
+$$
+7 
+$$
+\returnType{Type: IntegerMod 8}
+
+Note that polynomials can be constructed in a similar way:
+
+\spadcommand{(3*a**4 + 27*a - 36)::Polynomial PrimeField 7}
+$$
+{3 \  {a \sp 4}}+{6 \  a}+6 
+$$
+\returnType{Type: Polynomial PrimeField 7}
+
+\section{General Points about Axiom}
+\subsection{Computation Without Output}
+It is sometimes desirable to enter an expression and prevent Axiom from
+displaying the result. To do this the expression should be terminated with
+a semicolon ``;''. In a previous section it was mentioned that a set of 
+expressions separated by semicolons would be evaluated and the result
+of the last one displayed. Thus if a single expression is followed by a
+semicolon no output will be produced (except for its type):
+
+\spadcommand{2 + 4*5;}
+\returnType{Type: PositiveInteger}
+
+\subsection{Accessing Earlier Results}
+The ``\%'' macro represents the result of the previous computation. The 
+``\%\%'' macro is available which takes a single integer argument. If the
+argument is positive then it refers to the step number of the calculation
+where the numbering begins from one and can be seen at the end of each
+prompt (the number in parentheses). If the argument is negative then it
+refers to previous results counting backwards from the last result. That is,
+``\%\%(-1)'' is the same as ``\%''. The value of ``\%\%(0)'' is not defined and
+will generate an error if requested.
+
+\subsection{Splitting Expressions Over Several Lines}
+Although Axiom will quite happily accept expressions that are longer than
+the width of the screen (just keep typing without pressing the {\bf Return}
+key) it is often preferable to split the expression being entered at a point
+where it would result in more readable input. To do this the underscore
+``\_'' symbol is placed before the break point and then the {\bf Return}
+key is pressed. The rest of the expression is typed on the next line,
+can be preceeded by any number of whitespace chars, for example:
+\begin{verbatim}
+2_
++_
+3
+\end{verbatim}
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+The underscore symbol is an escape character and its presence alters the
+meaning of the characters that follow it. As mentions above whitespace
+following an underscore is ignored (the {\bf Return} key generates a
+whitespace character). Any other character following an underscore loses
+whatever special meaning it may have had. Thus one can create the
+identifier ``a+b'' by typing ``a\_+b'' although this might lead to confusions.
+Also note the result of the following example:
+
+\spadcommand{ThisIsAVeryLong\_\\
+VariableName}
+$$
+ThisIsAVeryLongVariableName 
+$$
+\returnType{Type: Variable ThisIsAVeryLongVariableName}
+
+\subsection{Comments and Descriptions}
+Comments and descriptions are really only of use in files of Axiom code but
+can be used when the output of an interactive session is being spooled to
+a file (via the system command {\bf )spool}). A comment begins with two
+dashes ``- -'' and continues until the end of the line. Multi-line
+comments are only possible if each individual line begins with two dashes.
+
+Descriptions are the same as comments except that the Axiom compiler will 
+include them in the object files produced and make them availabe to the
+end user for documentation purposes.
+
+A description is placed {\bf before} a calculation begins with three
+``+++'' signs and a description placed after a calculation begins with
+two plus symbols ``++''. The so-called ``plus plus'' comments are used
+within the algebra files and are processed by the compiler to add
+to the documentation. The so-called ``minus minus'' comments are ignored
+everywhere.
+
+\subsection{Control of Result Types}
+In earlier sections the type of an expression was converted to another
+via the ``::'' operator. However, this is not the only method for
+converting between types and two other operators need to be introduced
+and explained. 
+
+The first operator is ``\$'' and is used to specify the package to be
+used to calculate the result. Thus:
+
+\spadcommand{(2/3)\$Float}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+tells Axiom to use the ``/'' operator from the {\tt Float} package to
+evaluate the expression $2/3$. This does not necessarily mean that the
+result will be of the same type as the domain from which the operator
+was taken. In the following example the {\bf sign} operator is taken
+from the {\tt Float} package but the result is of type {\tt Integer}.
+
+\spadcommand{sign(2.3)\$Float}
+$$
+1 
+$$
+\returnType{Type: Integer}
+
+The other operator is ``@'' which is used to tell Axiom what the desired
+type of the result of the calculation is. In most situations all three
+operators yield the same results but the example below should help 
+distinguish them.
+
+\spadcommand{(2 + 3)::String}
+$$
+\mbox{\tt "5"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{(2 + 3)@String}
+\begin{verbatim}
+An expression involving @ String actually evaluated to one of 
+   type PositiveInteger . Perhaps you should use :: String .
+\end{verbatim}
+
+\spadcommand{(2 + 3)\$String}
+\begin{verbatim}
+   The function + is not implemented in String .
+\end{verbatim}
+
+If an expression {\sl X} is converted using one of the three operators to 
+type {\sl T} the interpretations are:
+
+{\bf ::} means explicitly convert {\sl X} to type {\sl T} if possible.
+
+{\bf \$} means use the available operators for type {\sl T} to compute {\sl X}.
+
+{\bf @} means choose operators to compute {\sl X} so that the result is of
+type {\sl T}.
+
+\section{Data Structures in Axiom}
+This chapter is an overview of {\sl some} of the data structures provided
+by Axiom.
+\subsection{Lists}
+The Axiom {\tt List} type constructor is used to create homogenous lists of
+finite size. The notation for lists and the names of the functions that 
+operate over them are similar to those found in functional languages such
+as ML.
+
+Lists can be created by placing a comma separated list of values inside
+square brackets or if a list with just one element is desired then the
+function {\bf list} is available:
+
+\spadcommand{[4]}
+$$
+\left[
+4 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{list(4)}
+$$
+\left[
+4 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{[1,2,3,5,7,11]}
+$$
+\left[
+1,  2,  3,  5,  7,  {11} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The function {\bf append} takes two lists as arguments and returns the list
+consisting of the second argument appended to the first. A single element
+can be added to the front of a list using {\bf cons}:
+
+\spadcommand{append([1,2,3,5],[7,11])}
+$$
+\left[
+1,  2,  3,  5,  7,  {11} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{cons(23,[65,42,19])}
+$$
+\left[
+{23},  {65},  {42},  {19} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Lists are accessed sequentially so if Axiom is asked for the value of the
+twentieth element in the list it will move from the start of the list over
+nineteen elements before it reaches the desired element. Each element of a 
+list is stored as a node consisting of the value of the element and a pointer
+to the rest of the list. As a result the two main operations on a list are
+called {\bf first} and {\bf rest}. Both of these functions take a second
+optional argument which specifies the length of the first part of the list:
+
+\spadcommand{first([1,5,6,2,3])}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{first([1,5,6,2,3],2)}
+$$
+\left[
+1,  5 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{rest([1,5,6,2,3])}
+$$
+\left[
+5,  6,  2,  3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{rest([1,5,6,2,3],2)}
+$$
+\left[
+6,  2,  3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Other functions are {\bf empty?} which tests to see if a list contains no
+elements, {\bf member?} which tests to see if the first argument is a member
+of the second, {\bf reverse} which reverses the order of the list, {\bf sort}
+which sorts a list, and {\bf removeDuplicates} which removes any duplicates.
+The length of a list can be obtained using the ``\#'' operator.
+
+\spadcommand{empty?([7,2,-1,2])}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{member?(-1,[7,2,-1,2])}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{reverse([7,2,-1,2])}
+$$
+\left[
+2,  -1,  2,  7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{sort([7,2,-1,2])}
+$$
+\left[
+-1,  2,  2,  7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{removeDuplicates([1,5,3,5,1,1,2])}
+$$
+\left[
+1,  5,  3,  2 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{\#[7,2,-1,2]}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Lists in Axiom are mutable and so their contents (the elements and the links)
+can be modified in place. Functions that operator over lists in this way have
+names ending in the symbol ``!''. For example, {\bf concat!} takes two lists
+as arguments and appends the second argument to the first (except when the
+first argument is an empty list) and {\bf setrest!} changes the link 
+emanating from the first argument to point to the second argument:
+
+\spadcommand{u := [9,2,4,7]}
+$$
+\left[
+9,  2,  4,  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{concat!(u,[1,5,42]); u}
+$$
+\left[
+9,  2,  4,  7,  1,  5,  {42} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{endOfu := rest(u,4)}
+$$
+\left[
+1,  5,  {42} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{partOfu := rest(u,2)}
+$$
+\left[
+4,  7,  1,  5,  {42} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{setrest!(endOfu,partOfu); u}
+$$
+\left[
+9,  2,  {\overline {4,  7,  1}} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+From this it can be seen that the lists returned by {\bf first} and {\bf rest}
+are pointers to the original list and {\sl not} a copy. Thus great care must
+be taken when dealing with lists in Axiom.
+
+Although the {\sl n}th element of the list {\sl l} can be obtained by 
+applying the {\bf first} function to $n-1$ applications of {\bf rest}
+to {\sl l}, Axiom provides a more useful access method in the form of
+the ``.'' operator:
+
+\spadcommand{u.3}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u.5}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u.6}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{first rest rest u -- Same as u.3}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u.first}
+$$
+9 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u(3)}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation {\sl u.i} is referred to as {\sl indexing into u} or 
+{\sl elting into u}. The latter term comes from the {\bf elt} function
+which is used to extract elements (the first element of the list is at
+index $1$).
+
+\spadcommand{elt(u,4)}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+If a list has no cycles then any attempt to access an element beyond the
+end of the list will generate an error. However, in the example above there
+was a cycle starting at the third element so the access to the sixth
+element wrapped around to give the third element. Since lists are mutable it
+is possible to modify elements directly:
+
+\spadcommand{u.3 := 42; u}
+$$
+\left[
+9,  2,  {\overline {{42},  7,  1}} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Other list operations are:
+\spadcommand{L := [9,3,4,7]; \#L}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{last(L)}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{L.last}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{L.(\#L - 1)}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Note that using the ``\#'' operator on a list with cycles causes Axiom to
+enter an infinite loop.
+
+Note that any operation on a list {\sl L} that returns a list ${\sl L}L^{'}$
+will, in general, be such that any changes to ${\sl L}L^{'}$ will have the
+side-effect of altering {\sl L}. For example:
+
+\spadcommand{m := rest(L,2)}
+$$
+\left[
+4,  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{m.1 := 20; L}
+$$
+\left[
+9,  3,  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n := L}
+$$
+\left[
+9,  3,  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n.2 := 99; L}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Thus the only safe way of copying lists is to copy each element from one to
+another and not use the assignment operator:
+
+\spadcommand{p := [i for i in n] -- Same as `p := copy(n)'}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{p.2 := 5; p}
+$$
+\left[
+9,  5,  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+In the previous example a new way of constructing lists was given. This is
+a powerful method which gives the reader more information about the contents
+of the list than before and which is extremely flexible. The example
+
+\spadcommand{[i for i in 1..10]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+should be read as
+
+\begin{center}
+``Using the expression {\sl i}, generate each element of the list by
+iterating the symbol {\sl i} over the range of integers [1,10]''
+\end{center}
+
+To generate the list of the squares of the first ten elements we just use:
+
+\spadcommand{[i**2 for i in 1..10]}
+$$
+\left[
+1,  4,  9,  {16},  {25},  {36},  {49},  {64},  {81},  {100} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+For more complex lists we can apply a condition to the elements that are to
+be placed into the list to obtain a list of even numbers between 0 and 11:
+
+\spadcommand{[i for i in 1..10 | even?(i)]}
+$$
+\left[
+2,  4,  6,  8,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+This example should be read as:
+\begin{center}
+``Using the expression {\sl i}, generate each element of the list
+by iterating the symbol {\sl i} over the range of integers [1,10] such that 
+{\sl i} is even''
+\end{center}
+
+The following achieves the same result:
+
+\spadcommand{[i for i in 2..10 by 2]}
+$$
+\left[
+2,  4,  6,  8,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\subsection{Segmented Lists}
+A segmented list is one in which some of the elements are ranges of values.
+The {\bf expand} function converts lists of this type into ordinary lists:
+
+\spadcommand{[1..10]}
+$$
+\left[
+{1..{10}} 
+\right]
+$$
+\returnType{Type: List Segment PositiveInteger}
+
+\spadcommand{[1..3,5,6,8..10]}
+$$
+\left[
+{1..3},  {5..5},  {6..6},  {8..{10}} 
+\right]
+$$
+\returnType{Type: List Segment PositiveInteger}
+
+\spadcommand{expand(\%)}
+$$
+\left[
+1,  2,  3,  5,  6,  8,  9,  {10} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+If the upper bound of a segment is omitted then a different type of 
+segmented list is obtained and expanding it will produce a stream (which
+will be considered in the next section):
+
+\spadcommand{[1..]}
+$$
+\left[
+{1..} 
+\right]
+$$
+\returnType{Type: List UniversalSegment PositiveInteger}
+
+\spadcommand{expand(\%)}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+\subsection{Streams}
+Streams are infinite lists which have the ability to calculate the next
+element should it be required. For example, a stream of positive integers
+and a list of prime numbers can be generated by:
+
+\spadcommand{[i for i in 1..]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10},  \ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+\spadcommand{[i for i in 1.. | prime?(i)]}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+In each case the first few elements of the stream are calculated for display
+purposes but the rest of the stream remains unevaluated. The value of items
+in a stream are only calculated when they are needed which gives rise to
+their alternative name of ``lazy lists''.
+
+Another method of creating streams is to use the {\bf generate(f,a)} function.
+This applies its first argument repeatedly onto its second to produce the
+stream $[a,f(a),f(f(a)),f(f(f(a)))\ldots]$. Given that the function
+{\bf nextPrime} returns the lowest prime number greater than its argument we
+can generate a stream of primes as follows:
+\spadcommand{generate(nextPrime,2)\$Stream Integer}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+As a longer example a stream of Fibonacci numbers will be computed. The
+Fibonacci numbers start at $1$ and each following number is the addition
+of the two numbers that precede it so the Fibonacci sequence is:
+$$1,1,2,3,5,8,\ldots$$. 
+
+Since the generation of any Fibonacci number only relies on knowing the 
+previous two numbers we can look at the series through a window of two
+elements. To create the series the window is placed at the start over
+the values $[1,1]$ and their sum obtained. The window is now shifted to 
+the right by one position and the sum placed into the empty slot of the
+window; the process is then repeated. To implement this we require a 
+function that takes a list of two elements (the current view of the window),
+adds them, and outputs the new window. The result is the function
+$[a,b]$~{\tt ->}~$[b,a+b]$:
+\spadcommand{win : List Integer -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{win(x) == [x.2, x.1 + x.2]}
+\returnType{Type: Void}
+
+\spadcommand{win([1,1])}
+$$
+\left[
+1,  2 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{win(\%)}
+$$
+\left[
+2,  3 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Thus it can be seen that by repeatedly applying {\bf win} to the {\sl results}
+of the previous invocation each element of the series is obtained. Clearly
+{\bf win} is an ideal function to construct streams using the {\bf generate}
+function:
+\spadcommand{fibs := [generate(win,[1,1])]}
+$$
+\left[
+{\left[ 1,  1 
+\right]},
+ {\left[ 1,  2 
+\right]},
+ {\left[ 2,  3 
+\right]},
+ {\left[ 3,  5 
+\right]},
+ {\left[ 5,  8 
+\right]},
+ {\left[ 8,  {13} 
+\right]},
+ {\left[ {13},  {21} 
+\right]},
+ {\left[ {21},  {34} 
+\right]},
+ {\left[ {34},  {55} 
+\right]},
+ {\left[ {55},  {89} 
+\right]},
+ \ldots 
+\right]
+$$
+\returnType{Type: Stream List Integer}
+
+This isn't quite what is wanted -- we need to extract the first element of
+each list and place that in our series:
+\spadcommand{fibs := [i.1 for i in [generate(win,[1,1])] ]}
+$$
+\left[
+1,  1,  2,  3,  5,  8,  {13},  {21},  {34},  {55},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Obtaining the 200th Fibonacci number is trivial:
+\spadcommand{fibs.200}
+$$
+280571172992510140037611932413038677189525 
+$$
+\returnType{Type: PositiveInteger}
+
+One other function of interest is {\bf complete} which expands a finite
+stream derived from an infinite one (and thus was still stored as an
+infinite stream) to form a finite stream.
+
+\subsection{Arrays, Vectors, Strings, and Bits}
+The simplest array data structure is the {\sl one-dimensional array} which
+can be obtained by applying the {\bf oneDimensionalArray} function to a list:
+\spadcommand{oneDimensionalArray([7,2,5,4,1,9])}
+$$
+\left[
+7,  2,  5,  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+One-dimensional array are homogenous (all elements must have the same type)
+and mutable (elements can be changed) like lists but unlike lists they are
+constant in size and have uniform access times (it is just as quick to read
+the last element of a one-dimensional array as it is to read the first; this
+is not true for lists).
+
+Since these arrays are mutable all the warnings that apply to lists apply to
+arrays. That is, it is possible to modify an element in a copy of an array
+and change the original:
+\spadcommand{x := oneDimensionalArray([7,2,5,4,1,9])}
+$$
+\left[
+7,  2,  5,  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{y := x}
+$$
+\left[
+7,  2,  5,  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{y.3 := 20 ; x}
+$$
+\left[
+7,  2,  {20},  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+Note that because these arrays are of fixed size the {\bf concat!} function
+cannot be applied to them without generating an error. If arrays of this 
+type are required use the {\bf FlexibleArray} constructor.
+
+One-dimensional arrays can be created using {\bf new} which specifies the size
+of the array and the initial value for each of the elements. Other operations
+that can be applied to one-dimensional arrays are {\bf map!} which applies
+a mapping onto each element, {\bf swap!} which swaps two elements and
+{\bf copyInto!(a,b,c)} which copies the array {\sl b} onto {\sl a} starting at
+position {\sl c}.
+\spadcommand{a : ARRAY1 PositiveInteger := new(10,3)}
+$$
+\left[
+3,  3,  3,  3,  3,  3,  3,  3,  3,  3 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+(note that {\tt ARRAY1} is an abbreviation for the type 
+{\tt OneDimensionalArray}.) Other types based on one-dimensional arrays are
+{\tt Vector}, {\tt String}, and {tt Bits}.
+
+\spadcommand{map!(i +-> i+1,a); a}
+$$
+\left[
+4,  4,  4,  4,  4,  4,  4,  4,  4,  4 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{b := oneDimensionalArray([2,3,4,5,6])}
+$$
+\left[
+2,  3,  4,  5,  6 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{swap!(b,2,3); b}
+$$
+\left[
+2,  4,  3,  5,  6 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{copyInto!(a,b,3)}
+$$
+\left[
+4,  4,  2,  4,  3,  5,  6,  4,  4,  4 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{a}
+$$
+\left[
+4,  4,  2,  4,  3,  5,  6,  4,  4,  4 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{vector([1/2,1/3,1/14])}
+$$
+\left[
+{1 \over 2},  {1 \over 3},  {1 \over {14}} 
+\right]
+$$
+\returnType{Type: Vector Fraction Integer}
+
+\spadcommand{"Hello, World"}
+$$
+\mbox{\tt "Hello, World"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{bits(8,true)}
+$$
+\mbox{\tt "11111111"} 
+$$
+\returnType{Type: Bits}
+
+A vector is similar to a one-dimensional array except that if its 
+components belong to a ring then arithmetic operations are provided.
+
+\subsection{Flexible Arrays}
+Flexible arrays are designed to provide the efficiency of one-dimensional
+arrays while retaining the flexibility of lists. They are implemented by
+allocating a fixed block of storage for the array. If the array needs to
+be expanded then a larger block of storage is allocated and the contents
+of the old block are copied into the new one.
+
+There are several operations that can be applied to this type, most of
+which modify the array in place. As a result these functions all have 
+names ending in ``!''. The {\bf physicalLength} returns the actual length
+of the array as stored in memory while the {\bf physicalLength!} allows this
+value to be changed by the user.
+\spadcommand{f : FARRAY INT := new(6,1)}
+$$
+\left[
+1,  1,  1,  1,  1,  1 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{f.1:=4; f.2:=3 ; f.3:=8 ; f.5:=2 ; f}
+$$
+\left[
+4,  3,  8,  1,  2,  1 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{insert!(42,f,3); f}
+$$
+\left[
+4,  3,  {42},  8,  1,  2,  1 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{insert!(28,f,8); f}
+$$
+\left[
+4,  3,  {42},  8,  1,  2,  1,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{removeDuplicates!(f)}
+$$
+\left[
+4,  3,  {42},  8,  1,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{delete!(f,5)}
+$$
+\left[
+4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{g:=f(3..5)}
+$$
+\left[
+{42},  8,  2 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{g.2:=7; f}
+$$
+\left[
+4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{insert!(g,f,1)}
+$$
+\left[
+{42},  7,  2,  4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{physicalLength(f)}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{physicalLength!(f,20)}
+$$
+\left[
+{42},  7,  2,  4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{merge!(sort!(f),sort!(g))}
+$$
+\left[
+2,  2,  2,  3,  4,  7,  7,  8,  {28},  {42},  {42},  
+{42} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{shrinkable(false)\$FlexibleArray(Integer)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+There are several things to point out concerning these
+examples. First, although flexible arrays are mutable, making copies
+of these arrays creates separate entities. This can be seen by the
+fact that the modification of element {\sl b.2} above did not alter
+{\sl a}. Second, the {\bf merge!}  function can take an extra argument
+before the two arrays are merged. The argument is a comparison
+function and defaults to ``{\tt <=}'' if omitted. Lastly, 
+{\bf shrinkable} tells the system whether or not to let flexible arrays
+contract when elements are deleted from them. An explicit package
+reference must be given as in the example above.
+
+\section{Functions, Choices, and Loops}
+By now the reader should be able to construct simple one-line expressions
+involving variables and different data structures. This section builds on
+this knowledge and shows how to use iteration, make choices, and build
+functions in Axiom. At the moment it is assumed that the reader has a rough
+idea of how types are specified and constructed so that they can follow
+the examples given.
+
+From this point on most examples will be taken from input files. 
+
+\subsection{Reading Code from a File}
+Input files contain code that will be fed to the command prompt. The 
+primary different between the command line and an input file is that
+indentation matters. In an input file you can specify ``piles'' of code
+by using indentation. 
+
+The names of all input files in Axiom should end in ``.input'' otherwise
+Axiom will refuse to read them. 
+
+If an input file is named {\bf foo.input} you can feed the contents of
+the file to the command prompt (as though you typed them) by writing:
+{\bf )read foo.input}.
+
+It is good practice to start each input file with the {\bf )clear all}
+command so that all functions and variables in the current environment
+are erased. 
+\subsection{Blocks}
+The Axiom constructs that provide looping, choices, and user-defined
+functions all rely on the notion of blocks. A block is a sequence of
+expressions which are evaluated in the order that they appear except
+when it is modified by control expressions such as loops. To leave a
+block prematurely use an expression of the form:
+{\sl BoolExpr}~{\tt =>}~{\sl Expr} 
+where {\sl BoolExpr} is any Axiom expression that has type {\tt Boolean}. 
+The value and type of {\sl Expr} determines the value and type returned 
+by the block.
+
+If blocks are entered at the keyboard (as opposed to reading them from
+a text file) then there is only one way of creating them. The syntax is:
+$$( expression1 ; expression2; \ldots ; expressionN )$$
+
+In an input file a block can be constructed as above or by placing all the
+statements at the same indentation level. When indentation is used to
+indicate program structure the block is called a {\sl pile}. As an example
+of a simple block a list of three integers can be constructed using
+parentheses:
+\spadcommand{( a:=4; b:=1; c:=9; L:=[a,b,c])}
+$$
+\left[
+4,  1,  9 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Doing the same thing using piles in an input file you could type:
+\begin{verbatim}
+L :=
+  a:=4
+  b:=1
+  c:=9
+  [a,b,c]
+\end{verbatim}
+$$
+\left[
+4, 1, 9 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Since blocks have a type and a value they can be used as arguments to 
+functions or as part of other expressions. It should be pointed out that
+the following example is not recommended practice but helps to illustrate
+the idea of blocks and their ability to return values:
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c
+    )
+\end{verbatim}
+$$
+2.8284271247\ 461900976 
+$$
+\returnType{Type: Float}
+
+Note that indentation is {\bf extremely} important. If the example above
+had the pile starting at ``a:='' moved left by two spaces so that the
+``a'' was under the ``('' of the first line then the interpreter would
+signal an error. Furthermore if the closing parenthesis ``)'' is moved 
+up to give
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c)
+\end{verbatim}
+\begin{verbatim}
+  Line   1: sqrt(4.0 +
+           ....A
+  Error  A: Missing mate.
+  Line   2:          a:=3.0
+  Line   3:          b:=1.0
+  Line   4:          c:=a + b
+  Line   5:          c)
+           .........AB
+  Error  A: (from A up to B) Ignored.
+  Error  B: Improper syntax.
+  Error  B: syntax error at top level
+  Error  B: Possibly missing a ) 
+   5 error(s) parsing 
+\end{verbatim}
+then the parser will generate errors. If the parenthesis is shifted right 
+by several spaces so that it is in line with the ``c'' thus:
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c
+         )
+\end{verbatim}
+\begin{verbatim}
+  Line   1: sqrt(4.0 +
+           ....A
+  Error  A: Missing mate.
+  Line   2:          a:=3.0
+  Line   3:          b:=1.0
+  Line   4:          c:=a + b
+  Line   5:          c
+  Line   6:          )
+           .........A
+  Error  A: (from A up to A) Ignored.
+  Error  A: Improper syntax.
+  Error  A: syntax error at top level
+  Error  A: Possibly missing a ) 
+   5 error(s) parsing 
+\end{verbatim}
+a similar error will be raised. Finally, the ``)'' must be indented by 
+at least one space relative to the sqrt thus:
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c
+ )
+\end{verbatim}
+$$
+2.8284271247\ 461900976 
+$$
+\returnType{Type: Float}
+or an error will be generated.
+
+It can be seen that great care needs to be taken when constructing input
+files consisting of piles of expressions. It would seem prudent to add
+one pile at a time and check if it is acceptable before adding more,
+particularly if piles are nested. However, it should be pointed out that
+the use of piles as values for functions is not very readable and so
+perhaps the delicate nature of their interpretation should deter programmers
+from using them in these situations. Using piles should really be restricted
+to constructing functions, etc. and a small amount of rewriting can remove
+the need to use them as arguments. For example, the previous block could
+easily be implemented as:
+\begin{verbatim}
+a:=3.0
+b:=1.0
+c:=a + b
+sqrt(4.0 + c)
+\end{verbatim}
+\begin{verbatim}
+a:=3.0
+\end{verbatim}
+$$
+3.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+b:=1.0
+\end{verbatim}
+$$
+1.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+c:=a + b
+\end{verbatim}
+$$
+4.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+sqrt(4.0 + c)
+\end{verbatim}
+$$
+2.8284271247\ 461900976
+$$
+\returnType{Type: Float}
+
+which achieves the same result and is easier to understand. Note that this
+is still a pile but it is not as fragile as the previous version.
+\subsection{Functions}
+Definitions of functions in Axiom are quite simple providing two things
+are observed. First, the type of the function must either be completely
+specified or completely unspecified. Second, the body of the function is
+assigned to the function identifier using the delayed assignment operator
+``==''.
+
+To specify the type of something the ``:'' operator is used. Thus to define
+a variable {\sl x} to be of type {\tt Fraction Integer} we enter:
+\spadcommand{x : Fraction Integer}
+\returnType{Type: Void}
+
+For functions the method is the same except that the arguments are
+placed in parentheses and the return type is placed after the symbol
+``{\tt ->}''.  Some examples of function definitions taking zero, one,
+two, or three arguments and returning a list of integers are:
+
+\spadcommand{f : () -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{g : (Integer) -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{h : (Integer, Integer) -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{k : (Integer, Integer, Integer) -> List Integer}
+\returnType{Type: Void}
+
+Now the actual function definitions might be:
+\spadcommand{f() == [\ ]}
+\returnType{Type: Void}
+
+\spadcommand{g(a) == [a]}
+\returnType{Type: Void}
+
+\spadcommand{h(a,b) == [a,b]}
+\returnType{Type: Void}
+
+\spadcommand{k(a,b,c) == [a,b,c]}
+\returnType{Type: Void}
+
+with some invocations of these functions:
+\spadcommand{f()}
+\begin{verbatim}
+   Compiling function f with type () -> List Integer 
+\end{verbatim}
+$$
+\left[\ 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{g(4)}
+\begin{verbatim}
+   Compiling function g with type Integer -> List Integer 
+\end{verbatim}
+$$
+\left[
+4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{h(2,9)}
+\begin{verbatim}
+   Compiling function h with type (Integer,Integer) -> List Integer 
+\end{verbatim}
+$$
+\left[
+2,  9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{k(-3,42,100)}
+\begin{verbatim}
+   Compiling function k with type (Integer,Integer,Integer) -> List 
+      Integer 
+\end{verbatim}
+$$
+\left[
+-3,  {42},  {100} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+The value returned by a function is either the value of the last expression
+evaluated or the result of a {\bf return} statement. For example, the
+following are effectively the same:
+\spadcommand{p : Integer -> Integer}
+\returnType{Type: Void}
+
+\spadcommand{p x == (a:=1; b:=2; a+b+x)}
+\returnType{Type: Void}
+
+\spadcommand{p x == (a:=1; b:=2; return(a+b+x))}
+\returnType{Type: Void}
+
+Note that a block (pile) is assigned to the function identifier {\bf p} and
+thus all the rules about blocks apply to function definitions. Also there was
+only one argument so the parenthese are not needed.
+
+This is basically all that one needs to know about defining functions in 
+Axiom -- first specify the complete type and then assign a block to the
+function name. The rest of this section is concerned with defining more 
+complex blocks than those in this section and as a result function definitions
+will crop up continually particularly since they are a good way of testing
+examples. Since the block structure is more complex we will use the {\bf pile}
+notation and thus have to use input files to read the piles.
+
+\subsection{Choices}
+Apart from the ``{\tt =>}'' operator that allows a block to exit before the end
+Axiom provides the standard {\bf if-then-else} construct. The general
+syntax is:
+{\center{if {\sl BooleanExpr} then {\sl Expr1} else {\sl Expr2}}}
+
+where ``else {\sl Expr2}'' can be omitted. If the expression {\sl BooleanExpr}
+evaluates to {\tt true} then {\sl Expr1} is executed otherwise {\sl Expr2}
+(if present) will be executed. An example of piles and {\bf if-then-else} is:
+(read from an input file)
+\begin{verbatim}
+h := 2.0
+if h > 3.1 then
+      1.0
+   else
+      z:= cos(h)
+      max(x,0.5)
+\end{verbatim}
+\begin{verbatim}
+h := 2.0
+\end{verbatim}
+$$
+2.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+if h > 3.1 then
+      1.0
+   else
+      z:= cos(h)
+      max(x,0.5)
+\end{verbatim}
+$$
+x
+$$
+\returnType{Type: Polynomial Float}
+
+Note the indentation -- the ``else'' must be indented relative to the ``if''
+otherwise it will generate an error (Axiom will think there are two piles,
+the second one beginning with ``else'').
+
+Any expression that has type {\tt Boolean} can be used as {\tt BooleanExpr}
+and the most common will be those involving the relational operators ``$>$'',
+``$<$'', and ``=''. Usually the type of an expression involving the equality
+operator ``='' will be {\bf Boolean} but in those situations when it isn't
+you may need to use the ``@'' operator to ensure that it is.
+
+\subsection{Loops}
+Loops in Axiom are regarded as expressions containing another expression 
+called the {\sl loop body}. The loop body is executed zero or more times
+depending on the kind of loop. Loops can be nested to any depth.
+
+\subsubsection{The {\tt repeat} loop}
+The simplest kind of loop provided by Axiom is the {\bf repeat} loop. The 
+general syntax of this is:
+{\center{{\bf repeat} {\sl loopBody}}}
+
+This will cause Axiom to execute {\sl loopBody} repeatedly until either a
+{\bf break} or {\bf return} statement is encountered. If {\sl loopBody}
+contains neither of these statements then it will loop forever. The 
+following piece of code will display the numbers from $1$ to $4$:
+\begin{verbatim}
+i:=1
+repeat
+  if i > 4 then break
+  output(i)
+  i:=i+1
+\end{verbatim}
+\begin{verbatim}
+i:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+repeat
+  if i > 4 then break
+  output(i)
+  i:=i+1
+ 
+   1
+   2
+   3
+   4
+\end{verbatim}
+\returnType{Type: Void}
+
+It was mentioned that loops will only be left when either a {\bf break} or
+{\bf return} statement is encountered so why can't one use the ``{\tt =>}'' 
+operator? The reason is that the ``{\tt =>}'' operator tells Axiom to leave the
+current block whereas {\bf break} leaves the current loop. The {\bf return}
+statement leaves the current function.
+
+To skip the rest of a loop body and continue the next iteration of the loop
+use the {\bf iterate} statement (the -- starts a comment in Axiom)
+\begin{verbatim}
+i := 0
+repeat
+  i := i + 1
+  if i > 6 then break
+  -- Return to start if i is odd
+  if odd?(i) then iterate
+  output(i)
+\end{verbatim}
+\begin{verbatim}
+i := 0
+\end{verbatim}
+$$
+0
+$$
+\returnType{Type: NonNegativeInteger}
+
+\begin{verbatim}
+repeat
+  i := i + 1
+  if i > 6 then break
+  -- Return to start if i is odd
+  if odd?(i) then iterate
+  output(i)
+ 
+   2
+   4
+   6
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsubsection{The {\tt while} loop}
+The while statement extends the basic {\bf repeat} loop to place the control
+of leaving the loop at the start rather than have it buried in the middle.
+Since the body of the loop is still part of a {\bf repeat} loop, {\bf break}
+and ``{\tt =>}'' work in the same way as in the previous section. The general
+syntax of a {\bf while} loop is:
+{\center{while {\sl BoolExpr} repeat {\sl loopBody}}}
+
+As before, {\sl BoolExpr} must be an expression of type {\bf Boolean}. Before
+the body of the loop is executed {\sl BoolExpr} is tested. If it evaluates to
+{\tt true} then the loop body is entered otherwise the loop is terminated.
+Multiple conditions can be applied using the logical operators such as 
+{\bf and} or by using several {\bf while} statements before the {\bf repeat}.
+\begin{verbatim}
+x:=1
+y:=1
+while x < 4 and y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+\end{verbatim}
+\begin{verbatim}
+x:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+y:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while x < 4 and y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+ 
+   [1,1]
+   [2,3]
+   [3,5]
+\end{verbatim}
+\returnType{Type: Void}
+
+\begin{verbatim}
+x:=1
+y:=1
+while x < 4 while y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+\end{verbatim}
+\begin{verbatim}
+x:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+y:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while x < 4 while y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+ 
+   [1,1]
+   [2,3]
+   [3,5]
+\end{verbatim}
+\returnType{Type: Void}
+
+Note that the last example using two {\bf while} statements is {\sl not} a
+nested loop but the following one is:
+\begin{verbatim}
+x:=1
+y:=1
+while x < 4 repeat
+  while y < 10 repeat
+    output [x,y]
+    x := x + 1
+    y := y + 2
+\end{verbatim}
+\begin{verbatim}
+x:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+y:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while x < 4 repeat
+  while y < 10 repeat
+    output [x,y]
+    x := x + 1
+    y := y + 2
+ 
+   [1,1]
+   [2,3]
+   [3,5]
+   [4,7]
+   [5,9]
+\end{verbatim}
+\returnType{Type: Void}
+
+Suppose we that, given a matrix of arbitrary size, find the position and
+value of the first negative element by examining the matrix in row-major 
+order:
+\begin{verbatim}
+m := matrix [ [ 21, 37, 53, 14 ],_
+              [  8, 22,-24, 16 ],_
+              [  2, 10, 15, 14 ],_
+              [ 26, 33, 55,-13 ] ]
+
+lastrow := nrows(m)
+lastcol := ncols(m)
+r := 1
+while r <= lastrow repeat
+  c := 1 -- Index of first column
+  while c <= lastcol repeat
+    if elt(m,r,c) < 0 then
+      output [r,c,elt(m,r,c)]
+      r := lastrow
+      break -- Don't look any further
+    c := c + 1
+  r := r + 1
+\end{verbatim}
+\begin{verbatim}
+m := matrix [ [ 21, 37, 53, 14 ],_
+              [  8, 22,-24, 16 ],_
+              [  2, 10, 15, 14 ],_
+              [ 26, 33, 55,-13 ] ]
+\end{verbatim} 
+$$
+\left[
+\begin{array}{cccc}
+{21} & {37} & {53} & {14} \\ 
+8 & {22} & -{24} & {16} \\ 
+2 & {10} & {15} & {14} \\ 
+{26} & {33} & {55} & -{13} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+\begin{verbatim}
+lastrow := nrows(m)
+\end{verbatim}
+$$
+4
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+lastcol := ncols(m)
+\end{verbatim}
+$$
+4
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+r := 1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while r <= lastrow repeat
+  c := 1 -- Index of first column
+  while c <= lastcol repeat
+    if elt(m,r,c) < 0 then
+      output [r,c,elt(m,r,c)]
+      r := lastrow
+      break -- Don't look any further
+    c := c + 1
+  r := r + 1
+ 
+   [2,3,- 24]
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsubsection{The {\tt for} loop}
+The last loop statement of interest is the {\bf for} loop. There are two
+ways of creating a {\bf for} loop. The first way uses either a list or
+a segment:
+\begin{center}
+for {\sl var} in {\sl seg} repeat {\sl loopBody}\\
+for {\sl var} in {\sl list} repeat {\sl loopBody}
+\end{center}
+where {\sl var} is an index variable which is iterated over the values in
+{\sl seg} or {\sl list}. The value {\sl seg} is a segment such as $1\ldots10$
+or $1\ldots$ and {\sl list} is a list of some type. For example:
+\begin{verbatim}
+for i in 1..10 repeat
+  ~prime?(i) => iterate
+  output(i)
+ 
+   2
+   3
+   5
+   7
+\end{verbatim}
+\returnType{Type: Void}
+
+\begin{verbatim}
+for w in ["This", "is", "your", "life!"] repeat
+  output(w)
+ 
+   This
+   is
+   your
+   life!
+\end{verbatim}
+\returnType{Type: Void}
+
+The second form of the {\bf for} loop syntax includes a ``{\bf such that}''
+clause which must be of type {\bf Boolean}:
+\begin{center}
+for {\sl var} | {\sl BoolExpr} in {\sl seg} repeat {\sl loopBody}\\
+for {\sl var} | {\sl BoolExpr} in {\sl list} repeat {\sl loopBody}
+\end{center}
+Some examples are:
+\begin{verbatim}
+for i in 1..10 | prime?(i) repeat
+  output(i)
+ 
+   2
+   3
+   5
+   7
+\end{verbatim}
+\returnType{Type: Void}
+
+\begin{verbatim}
+for i in [1,2,3,4,5,6,7,8,9,10] | prime?(i) repeat
+  output(i)
+ 
+   2
+   3
+   5
+   7
+\end{verbatim}
+\returnType{Type: Void}
+
+You can also use a {\bf while} clause:
+\begin{verbatim}
+for i in 1.. while i < 7 repeat
+  if even?(i) then output(i)
+ 
+   2
+   4
+   6
+\end{verbatim}
+\returnType{Type: Void}
+
+Using the ``{\bf such that}'' clause makes this appear simpler:
+\begin{verbatim}
+for i in 1.. | even?(i) while i < 7 repeat
+  output(i)
+ 
+   2
+   4
+   6
+\end{verbatim}
+\returnType{Type: Void}
+
+You can use multiple {\bf for} clauses to iterate over several sequences
+in parallel:
+\begin{verbatim}
+for a in 1..4 for b in 5..8 repeat
+  output [a,b]
+ 
+   [1,5]
+   [2,6]
+   [3,7]
+   [4,8]
+\end{verbatim}
+\returnType{Type: Void}
+
+As a general point it should be noted that any symbols referred to in the
+``{\bf such that}'' and {\bf while} clauses must be pre-defined. This 
+either means that the symbols must have been defined in an outer level
+(e.g. in an enclosing loop) or in a {\bf for} clause appearing before the
+``{\bf such that}'' or {\bf while}. For example:
+\begin{verbatim}
+for a in 1..4 repeat
+  for b in 7..9 | prime?(a+b) repeat
+    output [a,b,a+b]
+ 
+   [2,9,11]
+   [3,8,11]
+   [4,7,11]
+   [4,9,13]
+\end{verbatim}
+\returnType{Type: Void}
+
+Finally, the {\bf for} statement has a {\bf by} clause to specify the
+step size. This makes it possible to iterate over the segment in
+reverse order:
+\begin{verbatim}
+for a in 1..4 for b in 8..5 by -1 repeat
+  output [a,b]
+ 
+   [1,8]
+   [2,7]
+   [3,6]
+   [4,5]
+\end{verbatim}
+\returnType{Type: Void}
+
+Note that without the ``by -1'' the segment 8..5 is empty so there is
+nothing to iterate over and the loop exits immediately.
+
+\setcounter{chapter}{0} % Chapter 1
+
+\hyphenation{
+multi-set
+Uni-var-iate-Poly-nomial
+Mul-ti-var-iate-Poly-nomial
+Distributed-Mul-ti-var-iate-Poly-nomial
+Homo-gen-eous-Distributed-Mul-ti-var-iate-Poly-nomial
+New-Distributed-Mul-ti-var-iate-Poly-nomial
+General-Distributed-Mul-ti-var-iate-Poly-nomial
+}
+
+\chapter{An Overview of Axiom}
+\begin{quote}
+When we start cataloging the gains in tools sitting on a computer, the 
+benefits of software are amazing. But, if the benefits of software are
+so great, why do we worry about making it easier -- don't the ends pay 
+for the means? We worry becuase making such software is extraordinarily
+hard and almost no one can do it -- the detail is exhausting, the 
+creativity required is extreme, the hours of failure upon failure
+requiring patience and persistence would tax anyone claiming to be
+sane. Yet we require people with such characteristics be found and
+employed and employed cheaply.
+
+-- Christopher Alexander
+
+(from Patterns of Software by Richard Gabriel)
+
+\end{quote}
+\label{ugIntro}
+
+Welcome to the Axiom environment for interactive computation and
+problem solving.  Consider this chapter a brief, whirlwind tour of the
+Axiom world.  We introduce you to Axiom's graphics and the
+Axiom language.  Then we give a sampling of the large variety of
+facilities in the Axiom system, ranging from the various kinds
+of numbers, to data types (like lists, arrays, and sets) and
+mathematical objects (like matrices, integrals, and differential
+equations).  We conclude with the discussion of system commands and an
+interactive ``undo.''
+
+Before embarking on the tour, we need to brief those readers working
+interactively with Axiom on some details. 
+
+\section{Starting Up and Winding Down}
+\label{ugIntroStart}
+You need to know how to start the Axiom system and how to stop it.
+We assume that Axiom has been correctly installed on your
+machine (as described in another Axiom document).
+
+To begin using Axiom, issue the command {\bf axiom} to the
+Axiom operating system shell.
+\index{axiom @{\bf axiom}} There is a brief pause, some start-up
+messages, and then one or more windows appear.
+
+If you are not running Axiom under the X Window System, there is
+only one window (the console).  At the lower left of the screen there
+is a prompt that \index{prompt} looks like
+\begin{verbatim}
+(1) ->
+\end{verbatim}
+
+When you want to enter input to Axiom, you do so on the same
+line after the prompt.  The ``1'' in ``(1)'', also called the equation
+number, is the computation step number and is incremented 
+\index{step number} after you enter Axiom statements.  
+Note, however, that a system command such as {\tt )clear all} 
+may change the step number in other ways.  We talk about step numbers 
+more when we discuss system commands and the workspace history facility.
+
+If you are running Axiom under the X Window System, there may be
+two \index{X Window System} windows: the console window (as just
+described) and the HyperDoc main menu.  \index{Hyper@{HyperDoc}} 
+HyperDoc is a multiple-window hypertext system
+that lets you \index{window} view Axiom documentation and
+examples on-line, execute Axiom expressions, and generate
+graphics.  If you are in a graphical windowing environment, it is
+usually started automatically when Axiom begins.  If it is not
+running, issue {\tt )hd} to start it.  We discuss the basics of
+HyperDoc in Chapter \ref{ugHyper} on page~\pageref{ugHyper}.  
+
+To interrupt an Axiom computation, hold down the \index{interrupt} 
+{\bf Ctrl} (control) key and press {\bf c}.  This brings you back to 
+the Axiom prompt.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+To exit from Axiom, move to the console window, \index{stopping
+@{stopping Axiom}} type {\tt )quit} \index{exiting @{exiting
+Axiom}} at the input prompt and press the {\bf Enter} key.
+You will probably be prompted with the following
+message:
+\begin{center}
+Please enter {\bf y} or {\bf yes} if you really want to leave the \\
+interactive environment and return to the operating system
+\end{center}
+You should respond {\bf yes}, for example, to exit Axiom.\\
+}
+
+We are purposely vague in describing exactly what your screen looks
+like or what messages Axiom displays.  Axiom runs on a number of
+different machines, operating systems and window environments, and
+these differences all affect the physical look of the system.  You can
+also change the way that Axiom behaves via {\it system commands}
+described later in this chapter and in Appendix A.
+System commands are special commands, like {\tt )set}, that begin with
+a closing parenthesis and are used to change your environment.  For
+example, you can set a system variable so that you are not prompted
+for confirmation when you want to leave Axiom.
+
+\subsection{Clef}
+\label{ugAvailCLEF}
+If you are using Axiom under the X Window System, the
+\index{Clef} \index{command line editor} Clef command
+line editor is probably available and installed.  With this editor you
+can recall previous lines with the up and down arrow keys.  To move
+forward and backward on a line, use the right and left arrows.  You
+can use the {\bf Insert} key to toggle insert mode on or off.  When
+you are in insert mode, the cursor appears as a large block and if you
+type anything, the characters are inserted into the line without
+deleting the previous ones.
+
+If you press the {\bf Home} key, the cursor moves to the beginning of
+the line and if you press the {\bf End} key, the cursor moves to the
+end of the line.  Pressing {\bf Ctrl-End} deletes all the text from
+the cursor to the end of the line.
+
+Clef also provides Axiom operation name completion for
+\index{operation name completion} a limited set of operations.  If you
+enter a few letters and then press the {\bf Tab} key, Clef tries to
+use those letters as the prefix of an Axiom operation name.  If
+a name appears and it is not what you want, press {\bf Tab} again to
+see another name.
+
+You are ready to begin your journey into the world of Axiom.
+
+\section{Typographic Conventions}
+\label{ugIntroTypo}
+In this document we have followed these typographical conventions:
+\begin{itemize}
+%
+\item Categories, domains and packages are displayed in this font:
+{\tt Ring}, {\tt Integer}, {\tt DiophantineSolutionPackage}.
+%
+\item Prefix operators, infix operators, and punctuation symbols in 
+the Axiom language are displayed in the text like this:
+{\tt +}, {\tt \$}, {\tt +->}.
+%
+\item Axiom expressions or expression fragments are displayed in this font:\\
+{\tt inc(x) == x + 1}.
+%
+\item For clarity of presentation, \TeX{} is often used to format expressions\\
+$g(x)=x^2+1$.
+%
+\item Function names and HyperDoc button names are displayed in the text in
+this font:
+{\bf factor}, {\bf integrate},  {\bf Lighting}.
+%
+\item Italics are used for emphasis and for words defined in the glossary: \\
+{\it category}.
+\end{itemize}
+
+This document contains over 2500 examples of Axiom input and output.  All
+examples were run though Axiom and their output was created in \TeX{}
+form by the Axiom {\tt TexFormat} package.  We have deleted system
+messages from the example output if those messages are not important
+for the discussions in which the examples appear.
+
+\section{The Axiom Language}
+\label{ugIntroExpressions}
+The Axiom language is a rich language for performing interactive
+computations and for building components of the Axiom library.
+Here we present only some basic aspects of the language that you need
+to know for the rest of this chapter.  Our discussion here is
+intentionally informal, with details unveiled on an ``as needed''
+basis.  For more information on a particular construct, we suggest you
+consult the index.
+
+\subsection{Arithmetic Expressions}
+\label{ugIntroArithmetic}
+For arithmetic expressions, use the ``{\tt +}'' and ``{\tt -}'' operator
+as in mathematics.  Use ``{\tt *}'' for multiplication, and ``{\tt **}''
+for exponentiation.  To create a fraction, use ``{\tt /}''.  When an
+expression contains several operators, those of highest
+{\it precedence} are evaluated first.  For arithmetic operators,
+``{\tt **}'' has highest precedence, ``{\tt *}'' and ``{\tt /}'' have the
+next highest precedence, and ``{\tt +}'' and ``{\tt -}'' have the lowest
+precedence.
+
+Axiom puts implicit parentheses around operations of higher
+precedence, and groups those of equal precedence from left to right.
+\spadcommand{1 + 2 - 3 / 4 * 3 ** 2 - 1}
+$$
+-{{19} \over 4} 
+$$
+\returnType{Type: Fraction Integer}
+
+The above expression is equivalent to this.
+\spadcommand{((1 + 2) - ((3 / 4) * (3 ** 2))) - 1}
+$$
+-{{19} \over 4} 
+$$
+\returnType{Type: Fraction Integer}
+
+If an expression contains subexpressions enclosed in parentheses,
+the parenthesized subexpressions are evaluated first (from left to
+right, from inside out).
+\spadcommand{1 + 2 - 3/ (4 * 3 ** (2 - 1))}
+$$
+{11} \over 4 
+$$
+\returnType{Type: Fraction Integer}
+
+\subsection{Previous Results}
+\label{ugIntroPrevious}
+Use the percent sign ``{\tt \%}'' to refer to the last result.
+\index{result!previous} Also, use ``{\tt \%\%}' to refer to
+previous results.  \index{percentpercent@{\%\%}} ``{\tt \%\%(-1)}'' is
+equivalent to ``{\tt \%}'', ``{\tt \%\%(-2)}'' returns the next to
+the last result, and so on.  ``{\tt \%\%(1)}'' returns the result from
+step number 1, ``{\tt \%\%(2)}'' returns the result from step number 2,
+and so on.  ``{\tt \%\%(0)}'' is not defined.
+
+This is ten to the tenth power.
+\spadcommand{10 ** 10}
+$$
+10000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the last result minus one.
+\spadcommand{\% - 1}
+$$
+9999999999 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the last result.
+\spadcommand{\%\%(-1)}
+$$
+9999999999 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the result from step number 1.
+\spadcommand{\%\%(1)}
+$$
+10000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Some Types}
+\label{ugIntroTypes}
+Everything in Axiom has a type.  The type determines what operations
+you can perform on an object and how the object can be used.
+Chapter~\ref{ugTypes} on page~\pageref{ugTypes} is dedicated to the
+interactive use of types.  Several of the final chapters discuss how
+types are built and how they are organized in the Axiom library.
+
+Positive integers are given type {\bf PositiveInteger}.
+\spadcommand{8}
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+Negative ones are given type {\bf Integer}.  This fine
+distinction is helpful to the Axiom interpreter.
+
+\spadcommand{-8}
+$$
+-8 
+$$
+\returnType{Type: Integer}
+
+Here a positive integer exponent gives a polynomial result.
+\spadcommand{x**8}
+$$
+x \sp 8 
+$$
+\returnType{Type: Polynomial Integer}
+
+Here a negative integer exponent produces a fraction.
+\spadcommand{x**(-8)}
+$$
+1 \over {x \sp 8} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+\subsection{Symbols, Variables, Assignments, and Declarations}
+\label{ugIntroAssign}
+A {\it symbol} is a literal used for the input of things like
+the ``variables'' in polynomials and power series.
+
+We use the three symbols $x$, $y$, and $z$ in
+entering this polynomial.
+\spadcommand{(x - y*z)**2}
+$$
+{{y \sp 2} \  {z \sp 2}} -{2 \  x \  y \  z}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Integer}
+
+A symbol has a name beginning with an uppercase or lowercase
+alphabetic \index{symbol!naming} character, ``{\tt \%}'', or
+``{\tt !}''.  Successive characters (if any) can be any of the
+above, digits, or ``{\tt ?}''.  Case is distinguished: the symbol
+{\tt points} is different from the symbol {\tt Points}.
+
+A symbol can also be used in Axiom as a {\it variable}.  A variable
+refers to a value.  To {\sl assign} a value to a variable,
+\index{variable!naming} the operator ``{\tt :=}'' \index{assignment}
+is used.\footnote{Axiom actually has two forms of assignment: 
+{\it immediate} assignment, as discussed here, and {\it delayed
+assignment}.  See Section \ref{ugLangAssign} on page~\pageref{ugLangAssign}
+for details.}  A variable initially has no restrictions on the kinds
+of \index{declaration} values to which it can refer.
+
+This assignment gives the value $4$ (an integer) to
+a variable named $x$.
+\spadcommand{x := 4}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+This gives the value $z + 3/5$ (a polynomial)  to $x$.
+\spadcommand{x := z + 3/5}
+$$
+z+{3 \over 5} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+To restrict the types of objects that can be assigned to a variable,
+use a {\it declaration}
+\spadcommand{y : Integer}
+\returnType{Type: Void}
+
+After a variable is declared to be of some type, only values
+of that type can be assigned to that variable.
+\spadcommand{y := 89}
+$$
+89 
+$$
+\returnType{Type: Integer}
+
+The declaration for $y$ forces values assigned to $y$ to
+be converted to integer values.
+\spadcommand{y := sin \%pi}
+$$
+0 
+$$
+\returnType{Type: Integer}
+
+If no such conversion is possible,
+Axiom refuses to assign a value to $y$.
+\spadcommand{y := 2/3}
+\begin{verbatim}
+   Cannot convert right-hand side of assignment
+   2
+   -
+   3
+
+      to an object of the type Integer of the left-hand side.
+\end{verbatim}
+
+A type declaration can also be given together with an assignment.
+The declaration can assist Axiom in choosing the correct
+operations to apply.
+\spadcommand{f : Float := 2/3}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+Any number of expressions can be given on input line.
+Just separate them by semicolons.
+Only the result of evaluating the last expression is displayed.
+
+These two expressions have the same effect as
+the previous single expression.
+
+\spadcommand{f : Float; f := 2/3}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+The type of a symbol is either {\tt Symbol}
+or {\tt Variable({\it name})} where {\it name} is the name
+of the symbol.
+
+By default, the interpreter
+gives this symbol the type {\tt Variable(q)}.
+
+\spadcommand{q}
+$$
+q 
+$$
+\returnType{Type: Variable q}
+
+When multiple symbols are involved, {\tt Symbol} is used.
+\spadcommand{[q, r]}
+$$
+\left[
+q,  r 
+\right]
+$$
+\returnType{Type: List OrderedVariableList [q,r]}
+
+What happens when you try to use a symbol that is the name of a variable?
+\spadcommand{f}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+Use a single quote ``{\tt '}'' before \index{quote} the name to get the symbol.
+
+\spadcommand{'f}
+$$
+f 
+$$
+\returnType{Type: Variable f}
+
+Quoting a name creates a symbol by preventing evaluation of the name
+as a variable.  Experience will teach you when you are most likely
+going to need to use a quote.  We try to point out the location of
+such trouble spots.
+
+\subsection{Conversion}
+\label{ugIntroConversion}
+Objects of one type can usually be ``converted'' to objects of several
+other types.  To {\sl convert} an object to a new type, use the ``{\tt ::}'' 
+infix operator.\footnote{Conversion is discussed in detail in
+\ref{ugTypesConvert} on page~\pageref{ugTypesConvert}.}  For example,
+to display an object, it is necessary to convert the object to type
+{\tt OutputForm}.
+
+This produces a polynomial with rational number coefficients.
+
+\spadcommand{p := r**2 + 2/3}
+$$
+{r \sp 2}+{2 \over 3} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+Create a quotient of polynomials with integer coefficients
+by using ``{\tt ::}''.
+
+\spadcommand{p :: Fraction Polynomial Integer }
+$$
+{{3 \  {r \sp 2}}+2} \over 3 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+Some conversions can be performed automatically when Axiom tries
+to evaluate your input.  Others conversions must be explicitly
+requested.
+
+\subsection{Calling Functions}
+\label{ugIntroCallFun}
+As we saw earlier, when you want to add or subtract two values, you
+place the arithmetic operator ``{\tt +}'' or ``{\tt -}'' between the two
+arguments denoting the values.  To use most other Axiom
+operations, however, you use another syntax: \index{function!calling}
+write the name of the operation first, then an open parenthesis, then
+each of the arguments separated by commas, and, finally, a closing
+parenthesis.  If the operation takes only one argument and the
+argument is a number or a symbol, you can omit the parentheses.
+
+This calls the operation {\bf factor} with the single integer argument $120$.
+
+\spadcommand{factor(120)}
+$$
+{2 \sp 3} \  3 \  5 
+$$
+\returnType{Type: Factored Integer}
+
+This is a call to {\bf divide} with the two integer arguments
+$125$ and $7$.
+\spadcommand{divide(125,7)}
+$$
+\left[
+{quotient={17}},  {remainder=6} 
+\right]
+$$
+\returnType{Type: Record(quotient: Integer, remainder: Integer)}
+
+This calls {\bf quatern} with four floating-point arguments.
+\spadcommand{quatern(3.4,5.6,2.9,0.1)}
+$$
+{3.4}+{{5.6} \  i}+{{2.9} \  j}+{{0.1} \  k} 
+$$
+\returnType{Type: Quaternion Float}
+
+This is the same as {\bf factorial}(10).
+\spadcommand{factorial 10}
+$$
+3628800 
+$$
+\returnType{Type: PositiveInteger}
+
+An operations that returns a {\tt Boolean} value (that is,
+{\tt true} or {\tt false}) frequently has a name suffixed with
+a question mark (``?'').  For example, the {\bf even?}
+operation returns {\tt true} if its integer argument is an even
+number, {\tt false} otherwise.
+
+An operation that can be destructive on one or more arguments
+usually has a name ending in a exclamation point (``!'').
+This actually means that it is {\it allowed} to update its
+arguments but it is not {\it required} to do so. For example,
+the underlying representation of a collection type may not allow
+the very last element to removed and so an empty object may be
+returned instead. Therefore, it is important that you use the
+object returned by the operation and not rely on a physical
+change having occurred within the object. Usually, destructive
+operations are provided for efficiency reasons.
+
+\subsection{Some Predefined Macros}
+\label{ugIntroMacros}
+Axiom provides several macros for your convenience.\footnote{See
+\ref{ugUserMacros} on page~\pageref{ugUserMacros} for a discussion on
+how to write your own macros.}  Macros are names
+\index{macro!predefined} (or forms) that expand to larger expressions
+for commonly used values.
+
+\begin{center}
+\begin{tabular}{ll}
+{\it \%i}             &  The square root of -1. \\
+{\it \%e}             &  The base of the natural logarithm. \\
+{\it \%pi}            &  $\pi$. \\
+{\it \%infinity}      &  $\infty$. \\
+{\it \%plusInfinity}  &  $+\infty$. \\
+{\it \%minusInfinity} &  $-\infty$.
+\end{tabular}
+\end{center}
+\index{\%i}
+\index{\%e}
+\index{\%pi}
+\index{pi@{$\pi$ (= \%pi)}}
+\index{\%infinity}
+\index{infinity@{$\infty$ (= \%infinity)}}
+\index{\%plusInfinity}
+\index{\%minusInfinity}
+
+To display all the macros (along with anything you have
+defined in the workspace), issue the system command {\tt )display all}.
+
+\subsection{Long Lines}
+\label{ugIntroLong}
+When you enter Axiom expressions from your keyboard, there will
+be times when they are too long to fit on one line.  Axiom does
+not care how long your lines are, so you can let them continue from
+the right margin to the left side of the next line.
+
+Alternatively, you may want to enter several shorter lines and have
+Axiom glue them together.  To get this glue, put an underscore
+(\_) at the end of each line you wish to continue.
+
+\begin{verbatim}
+2_
++_
+3
+\end{verbatim}
+is the same as if you had entered
+\begin{verbatim}
+2+3
+\end{verbatim}
+
+Axiom statements in an input file
+(see Section \ref{ugInOutIn} on page~\pageref{ugInOutIn}),
+can use indentation to indicate the program structure .
+(see Section \ref{ugLangBlocks} on page~\pageref{ugLangBlocks}).
+
+\subsection{Comments}
+\label{ugIntroComments}
+Comment statements begin with two consecutive hyphens or two
+consecutive plus signs and continue until the end of the line.
+
+The comment beginning with ``{\tt --}'' is ignored by Axiom.
+\spadcommand{2 + 3   -- this is rather simple, no?}
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+There is no way to write long multi-line comments other than starting
+each line with ``{\tt --}'' or ``{\tt ++}''.
+
+\section{Numbers}
+\label{ugIntroNumbers}
+Axiom distinguishes very carefully between different kinds of
+numbers, how they are represented and what their properties are.  Here
+are a sampling of some of these kinds of numbers and some things you
+can do with them.
+
+Integer arithmetic is always exact.
+\spadcommand{11**13 * 13**11 * 17**7 - 19**5 * 23**3}
+$$
+25387751112538918594666224484237298 
+$$
+\returnType{Type: PositiveInteger}
+
+Integers can be represented in factored form.
+\spadcommand{factor 643238070748569023720594412551704344145570763243}
+$$
+{{11} \sp {13}} \  {{13} \sp {11}} \  {{17} \sp 7} \  {{19} \sp 5} \  {{23} 
+\sp 3} \  {{29} \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+Results stay factored when you do arithmetic.
+Note that the $12$ is automatically factored for you.
+\spadcommand{\% * 12}
+\index{radix}
+$$
+{2 \sp 2} \  3 \  {{11} \sp {13}} \  {{13} \sp {11}} \  {{17} \sp 7} \  {{19} 
+\sp 5} \  {{23} \sp 3} \  {{29} \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+Integers can also be displayed to bases other than 10.
+This is an integer in base 11.
+\spadcommand{radix(25937424601,11)}
+$$
+10000000000 
+$$
+\returnType{Type: RadixExpansion 11}
+
+Roman numerals are also available for those special occasions.
+\index{Roman numerals}
+
+\spadcommand{roman(1992)}
+$$
+{\rm MCMXCII }
+$$
+\returnType{Type: RomanNumeral}
+
+Rational number arithmetic is also exact.
+
+\spadcommand{r := 10 + 9/2 + 8/3 + 7/4 + 6/5 + 5/6 + 4/7 + 3/8 + 2/9}
+$$
+{55739} \over {2520} 
+$$
+\returnType{Type: Fraction Integer}
+
+To factor fractions, you have to pmap {\bf factor} onto the numerator
+and denominator.
+
+\spadcommand{map(factor,r)}
+$$
+{{139} \  {401}} \over {{2 \sp 3} \  {3 \sp 2} \  5 \  7} 
+$$
+\returnType{Type: Fraction Factored Integer}
+
+{\tt SingleInteger} refers to machine word-length integers.
+
+In English, this expression means ``$11$ as a small integer''.
+\spadcommand{11@SingleInteger}
+$$
+11 
+$$
+\returnType{Type: SingleInteger}
+
+Machine double-precision floating-point numbers are also available for
+numeric and graphical applications.
+\spadcommand{123.21@DoubleFloat}
+$$
+123.21000000000001 
+$$
+\returnType{Type: DoubleFloat}
+
+The normal floating-point type in Axiom, {\tt Float}, is a
+software implementation of floating-point numbers in which the
+exponent and the mantissa may have any number of digits.
+The types {\tt Complex(Float)} and
+{\tt Complex(DoubleFloat)} are the corresponding software
+implementations of complex floating-point numbers.
+
+This is a floating-point approximation to about twenty digits.
+\index{floating point} The ``{\tt ::}'' is used here to change from
+one kind of object (here, a rational number) to another (a
+floating-point number).
+
+\spadcommand{r :: Float}
+$$
+22.1186507936 50793651 
+$$
+\returnType{Type: Float}
+
+Use \spadfunFrom{digits}{Float} to change the number of digits in
+the representation.
+This operation returns the previous value so you can reset it
+later.
+\spadcommand{digits(22)}
+$$
+20 
+$$
+\returnType{Type: PositiveInteger}
+
+To $22$ digits of precision, the number
+$e^{\pi {\sqrt {163.0}}}$ appears to be an integer.
+\spadcommand{exp(\%pi * sqrt 163.0)}
+$$
+26253741 2640768744.0 
+$$
+\returnType{Type: Float}
+
+Increase the precision to forty digits and try again.
+\spadcommand{digits(40);  exp(\%pi * sqrt 163.0)}
+$$
+26253741\ 2640768743.9999999999\ 9925007259\ 76 
+$$
+\returnType{Type: Float}
+
+Here are complex numbers with rational numbers as real and
+\index{complex numbers} imaginary parts.
+\spadcommand{(2/3 + \%i)**3}
+$$
+-{{46} \over {27}}+{{1 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+The standard operations on complex numbers are available.
+\spadcommand{conjugate \% }
+$$
+-{{46} \over {27}} -{{1 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+You can factor complex integers.
+\spadcommand{factor(89 - 23 * \%i)}
+$$
+-{{\left( 1+i 
+\right)}
+\  {{\left( 2+i 
+\right)}
+\sp 2} \  {{\left( 3+{2 \  i} 
+\right)}
+\sp 2}} 
+$$
+\returnType{Type: Factored Complex Integer}
+
+Complex numbers with floating point parts are also available.
+\spadcommand{exp(\%pi/4.0 * \%i)}
+$$
+{0.7071067811\ 8654752440\ 0844362104\ 8490392849} + 
+$$
+$$
+{{0.7071067811\ 8654752440\ 0844362104\ 8490392848} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+The real and imaginary parts can be symbolic.
+\spadcommand{complex(u,v)}
+$$
+u+{v \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+Of course, you can do complex arithmetic with these also.
+\spadcommand{\% ** 2}
+$$
+-{v \sp 2}+{u \sp 2}+{2 \  u \  v \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+Every rational number has an exact representation as a
+repeating decimal expansion
+\spadcommand{decimal(1/352)}
+$$
+0.{00284}{\overline {09}} 
+$$
+\returnType{Type: DecimalExpansion}
+
+A rational number can also be expressed as a continued fraction.
+
+\spadcommand{continuedFraction(6543/210)}
+$$
+{31}+ \zag{1}{6}+ \zag{1}{2}+ \zag{1}{1}+ \zag{1}{3} 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+Also, partial fractions can be used and can be displayed in a
+\index{partial fraction}
+compact format
+\index{fraction!partial}
+\spadcommand{partialFraction(1,factorial(10))}
+$$
+{{159} \over {2 \sp 8}} -{{23} \over {3 \sp 4}} -{{12} \over {5 \sp 2}}+{1 
+\over 7} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+or expanded format.
+\spadcommand{padicFraction(\%)}
+$$
+{1 \over 2}+{1 \over {2 \sp 4}}+{1 \over {2 \sp 5}}+{1 \over {2 \sp 6}}+{1 
+\over {2 \sp 7}}+{1 \over {2 \sp 8}} -{2 \over {3 \sp 2}} -{1 \over {3 \sp 
+3}} -{2 \over {3 \sp 4}} -{2 \over 5} -{2 \over {5 \sp 2}}+{1 \over 7} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+Like integers, bases (radices) other than ten can be used for rational
+numbers.
+Here we use base eight.
+\spadcommand{radix(4/7, 8)}
+$$
+0.{\overline 4} 
+$$
+\returnType{Type: RadixExpansion 8}
+
+Of course, there are complex versions of these as well.
+Axiom decides to make the result a complex rational number.
+\spadcommand{\% + 2/3*\%i}
+$$
+{4 \over 7}+{{2 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+You can also use Axiom to manipulate fractional powers.
+\index{radical}
+\spadcommand{(5 + sqrt 63 + sqrt 847)**(1/3)}
+$$
+\root {3} \of {{{{14} \  {\sqrt {7}}}+5}} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+You can also compute with integers modulo a prime.
+\spadcommand{x : PrimeField 7 := 5}
+$$
+5 
+$$
+\returnType{Type: PrimeField 7}
+
+Arithmetic is then done modulo $7$.
+\spadcommand{x**3}
+$$
+6 
+$$
+\returnType{Type: PrimeField 7}
+
+Since $7$ is prime, you can invert nonzero values.
+\spadcommand{1/x}
+$$
+3 
+$$
+\returnType{Type: PrimeField 7}
+
+You can also compute modulo an integer that is not a prime.
+\spadcommand{y : IntegerMod 6 := 5}
+$$
+5 
+$$
+\returnType{Type: IntegerMod 6}
+
+All of the usual arithmetic operations are available.
+\spadcommand{y**3}
+$$
+5 
+$$
+\returnType{Type: IntegerMod 6}
+
+Inversion is not available if the modulus is not a prime number.
+Modular arithmetic and prime fields are discussed in Section
+\ref{ugxProblemFinitePrime} on page~\pageref{ugxProblemFinitePrime}.
+
+\spadcommand{1/y}
+\begin{verbatim}
+   There are 12 exposed and 13 unexposed library operations named / 
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                                )display op /
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named / 
+      with argument type(s) 
+                               PositiveInteger
+                                IntegerMod 6
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+\end{verbatim}
+
+This defines $a$ to be an algebraic number, that is,
+a root of a polynomial equation.
+\spadcommand{a := rootOf(a**5 + a**3 + a**2 + 3,a)}
+$$
+a 
+$$
+\returnType{Type: Expression Integer}
+
+Computations with $a$ are reduced according to the polynomial equation.
+\spadcommand{(a + 1)**10}
+$$
+-{{85} \  {a \sp 4}} -{{264} \  {a \sp 3}} -{{378} \  {a \sp 2}} -{{458} \  
+a} -{287} 
+$$
+\returnType{Type: Expression Integer}
+
+Define $b$ to be an algebraic number involving $a$.
+\spadcommand{b := rootOf(b**4 + a,b)}
+$$
+b 
+$$
+\returnType{Type: Expression Integer}
+
+Do some arithmetic.
+\spadcommand{2/(b - 1)}
+$$
+2 \over {b -1} 
+$$
+\returnType{Type: Expression Integer}
+
+To expand and simplify this, call {\it ratDenom}
+to rationalize the denominator.
+\spadcommand{ratDenom(\%)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^3}}+{{\left({a^
+4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^2}}+ 
+\\
+\\
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\  b}+{a^4}-{a^
+3}+{2 \ {a^2}}- a + 1 
+\end{array}
+$$
+
+\returnType{Type: Expression Integer}
+
+If we do this, we should get $b$.
+\spadcommand{2/\%+1}
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^3}}+{{\left({a^
+4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^2}}+ 
+\\
+\\
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\  b}+{a^4}-{a^
+3}+{2 \ {a^2}}- a + 3 
+\end{array}
+\right)}\over{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^3}}+{{\left({a^
+4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^2}}+ 
+\\
+\\
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\  b}+{a^4}-{a^
+3}+{2 \ {a^2}}- a + 1 
+\end{array}
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+But we need to rationalize the denominator again.
+
+\spadcommand{ratDenom(\%)}
+$$
+b 
+$$
+\returnType{Type: Expression Integer}
+
+Types {\tt Quaternion} and {\tt Octonion} are also available.
+Multiplication of quaternions is non-commutative, as expected.
+
+\spadcommand{q:=quatern(1,2,3,4)*quatern(5,6,7,8) - quatern(5,6,7,8)*quatern(1,2,3,4)}
+$$
+-{8 \  i}+{{16} \  j} -{8 \  k} 
+$$
+\returnType{Type: Quaternion Integer}
+
+\section{Data Structures}
+\label{ugIntroCollect}
+Axiom has a large variety of data structures available.  Many
+data structures are particularly useful for interactive computation
+and others are useful for building applications.  The data structures
+of Axiom are organized into {\sl category hierarchies}.
+
+A {\it list} \footnote{Lists are discussed in Section \ref{ListXmpPage} on
+page~\pageref{ListXmpPage}} is the most commonly used data structure in
+Axiom for holding objects all of the same type. The name {\it list} is
+short for ``linked-list of nodes.'' Each node consists of a value
+(\spadfunFrom{first}{List}) and a link (\spadfunFrom{rest}{List}) that
+points to the next node, or to a distinguished value denoting the
+empty list.  To get to, say, the third element, Axiom starts at the
+front of the list, then traverses across two links to the third node.
+
+Write a list of elements using square brackets with commas separating
+the elements.
+\spadcommand{u := [1,-7,11]}
+$$
+\left[
+1,  -7,  {11} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+This is the value at the third node.  Alternatively, you can say $u.3$.
+\spadcommand{first rest rest u}
+$$
+11 
+$$
+\returnType{Type: PositiveInteger}
+
+Many operations are defined on lists, such as: {\bf empty?}, to test
+that a list has no elements; {\bf cons}$(x,l)$, to create a new list
+with {\bf first} element $x$ and {\bf rest} $l$; {\bf reverse}, to
+create a new list with elements in reverse order; and {\bf sort}, to
+arrange elements in order.
+
+An important point about lists is that they are ``mutable'': their
+constituent elements and links can be changed ``in place.''
+To do this, use any of the operations whose names end with the
+character ``{\tt !}''.
+
+The operation \spadfunFrom{concat!}{List}$(u,v)$ replaces the
+last link of the list $u$ to point to some other list $v$.
+Since $u$ refers to the original list, this change is seen by $u$.
+\spadcommand{concat!(u,[9,1,3,-4]); u}
+$$
+\left[
+1,  -7,  {11},  9,  1,  3,  -4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+A {\it cyclic list} is a list with a ``cycle'': \index{list!cyclic} a
+link pointing back to an earlier node of the list.  \index{cyclic
+list} To create a cycle, first get a node somewhere down the list.
+\spadcommand{lastnode := rest(u,3)}
+$$
+\left[
+9,  1,  3,  -4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Use \spadfunFrom{setrest!}{List} to change the link emanating from
+that node to point back to an earlier part of the list.
+
+\spadcommand{setrest!(lastnode,rest(u,2)); u}
+$$
+\left[
+1,  -7,  {\overline {{11},  9}} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+A {\it stream} is a structure that (potentially) has an infinite
+number of distinct elements. Think of a stream as an
+``infinite list'' where elements are computed successively.
+\footnote{Streams are discussed in Section{StreamXmpPage} on
+page~\pageref{StreamXmpPage}}
+
+Create an infinite stream of factored integers.  Only a certain number
+of initial elements are computed and displayed.
+
+\spadcommand{[factor(i) for i in 2.. by 2]}
+$$
+\left[
+2,  {2 \sp 2},  {2 \  3},  {2 \sp 3},  {2 \  5},  {{2 \sp 2} \  3}, 
+ {2 \  7},  {2 \sp 4},  {2 \  {3 \sp 2}},  {{2 \sp 2} \  5},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Factored Integer}
+
+Axiom represents streams by a collection of already-computed
+elements together with a function to compute the next element ``on
+demand.''  Asking for the $n$-th element causes elements
+$1$ through $n$ to be evaluated.
+\spadcommand{\%.36}
+$$
+{2 \sp 3} \  {3 \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+Streams can also be finite or cyclic.
+They are implemented by a linked list structure similar to lists
+and have many of the same operations.
+For example, {\bf first} and {\bf rest} are used to access
+elements and successive nodes of a stream.
+
+A {\it one-dimensional array} is another data structure used to hold
+objects of the same type \footnote{OnedimensionalArray is discussed in
+Section \ref{OneDimensionalArrayXmpPage} on
+page~\pageref{OneDimensionalArrayXmpPage}}. Unlike lists,
+one-dimensional arrays are inflexible---they are
+\index{array!one-dimensional} implemented using a fixed block of
+storage.  Their advantage is that they give quick and equal access
+time to any element.
+
+A simple way to create a one-dimensional array is to apply the
+operation {\bf oneDimensionalArray} to a list of elements.
+\spadcommand{a := oneDimensionalArray [1, -7, 3, 3/2]}
+$$
+\left[
+1,  -7,  3,  {3 \over 2} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Fraction Integer}
+
+One-dimensional arrays are also mutable: you can change their
+constituent elements ``in place.''
+\spadcommand{a.3 := 11; a}
+$$
+\left[
+1,  -7,  {11},  {3 \over 2} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Fraction Integer}
+
+However, one-dimensional arrays are not flexible structures.
+You cannot destructively {\bf concat!} them together.
+\spadcommand{concat!(a,oneDimensionalArray [1,-2])}
+\begin{verbatim}
+   There are 5 exposed and 0 unexposed library operations named concat!
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                             )display op concat!
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named 
+      concat! with argument type(s) 
+                    OneDimensionalArray Fraction Integer
+                         OneDimensionalArray Integer
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+\end{verbatim}
+
+Examples of datatypes similar to {\tt OneDimensionalArray}
+are: {\tt Vector} (vectors are mathematical structures
+implemented by one-dimensional arrays), {\tt String} (arrays
+of ``characters,'' represented by byte vectors), and
+{\tt Bits} (represented by ``bit vectors'').
+
+A vector of 32 bits, each representing the {\bf Boolean} value
+${\tt true}$.
+\spadcommand{bits(32,true)}
+$$
+\mbox{\tt "11111111111111111111111111111111"} 
+$$
+\returnType{Type: Bits}
+
+A {\it flexible array} \footnote{FlexibleArray is discussed in Section
+\ref{FlexibleArrayXmpPage} on page~\pageref{FlexibleArrayXmpPage}} is
+a cross between a list \index{array!flexible} and a one-dimensional
+array. Like a one-dimensional array, a flexible array occupies a fixed
+block of storage.  Its block of storage, however, has room to expand.
+When it gets full, it grows (a new, larger block of storage is
+allocated); when it has too much room, it contracts.
+
+Create a flexible array of three elements.
+\spadcommand{f := flexibleArray [2, 7, -5]}
+$$
+\left[
+2,  7,  -5 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Insert some elements between the second and third elements.
+\spadcommand{insert!(flexibleArray [11, -3],f,2)}
+$$
+\left[
+2,  {11},  -3,  7,  -5 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Flexible arrays are used to implement ``heaps.'' A {\it heap} is an
+example of a data structure called a {\it priority queue}, where
+elements are ordered with respect to one another. A heap
+\footnote{Heap is discussed in Section \ref{HeapXmpPage} on
+page~\pageref{HeapXmpPage}} is organized so as to optimize insertion
+and extraction of maximum elements.  The {\bf extract!} operation
+returns the maximum element of the heap, after destructively removing
+that element and reorganizing the heap so that the next maximum
+element is ready to be delivered.
+
+An easy way to create a heap is to apply the operation {\it heap}
+to a list of values.
+\spadcommand{h := heap [-4,7,11,3,4,-7]}
+$$
+\left[
+{11},  4,  7,  -4,  3,  -7 
+\right]
+$$
+\returnType{Type: Heap Integer}
+
+This loop extracts elements one-at-a-time from $h$ until the heap
+is exhausted, returning the elements as a list in the order they were
+extracted.
+\spadcommand{[extract!(h) while not empty?(h)]}
+$$
+\left[
+{11},  7,  4,  3,  -4,  -7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+A {\it binary tree} is a ``tree'' with at most two branches
+\index{tree} per node: it is either empty, or else is a node
+consisting of a value, and a left and right subtree (again, binary
+trees). \footnote{BinarySearchTrees are discussed in Section 
+\ref{BinarySearchTreeXmpPage} on page~\pageref{BinarySearchTreeXmpPage}}
+Examples of binary tree types are {\tt BinarySearchTree}, 
+{\tt PendantTree}, {\tt TournamentTree}, and {\tt BalancedBinaryTree}.
+
+A {\it binary search tree} is a binary tree such that,
+\index{tree!binary search} for each node, the value of the node is
+\index{binary search tree} greater than all values (if any) in the
+left subtree, and less than or equal all values (if any) in the right
+subtree.
+\spadcommand{binarySearchTree [5,3,2,9,4,7,11]}
+$$
+\left[
+{\left[ 2,  3,  4 
+\right]},
+ 5,  {\left[ 7,  9,  {11} 
+\right]}
+\right]
+$$
+\returnType{Type: BinarySearchTree PositiveInteger}
+
+A {\it balanced binary tree} is useful for doing modular computations.
+\index{balanced binary tree} Given a list $lm$ of moduli,
+\index{tree!balanced binary} {\bf modTree}$(a,lm)$ produces
+a balanced binary tree with the values $a \bmod m$ at its leaves.
+\spadcommand{modTree(8,[2,3,5,7])}
+$$
+\left[
+0,  2,  3,  1 
+\right]
+$$
+\returnType{Type: List Integer}
+
+A {\it set} is a collection of elements where duplication and order is
+irrelevant. \footnote{Sets are discussed in Section \ref{SetXmpPage}
+on page~\pageref{SetXmpPage}} Sets are always finite and have no
+corresponding structure like streams for infinite collections.
+
+Create sets using braces ``\{`` and ``\}'' rather than brackets.
+
+\spadcommand{fs := set[1/3,4/5,-1/3,4/5]}
+$$
+\left\{
+-{1 \over 3},  {1 \over 3},  {4 \over 5} 
+\right\}
+$$
+\returnType{Type: Set Fraction Integer}
+
+A {\it multiset} is a set that keeps track of the number of duplicate
+values. \footnote{Multisets are discussed in Section
+\ref{MultisetXmpPage} on page~\pageref{MultisetXmpPage}}
+
+For all the primes $p$ between 2 and 1000, find the
+distribution of $p \bmod 5$.
+\spadcommand{multiset [x rem 5 for x in primes(2,1000)]}
+$$
+\left\{
+0,  {{42} \mbox{\rm : } 3},  {{40} \mbox{\rm : } 1},  {{38} \mbox{\rm : 
+} 4},  {{47} \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset Integer}
+
+A {\it table} is conceptually a set of ``key--value'' pairs and is a
+generalization of a multiset. For examples of tables, see 
+{\tt AssociationList}, {\tt HashTable}, {\tt KeyedAccessFile}, 
+{\tt Library}, {\tt SparseTable}, {\tt StringTable}, and {\tt Table}.  The
+domain {\tt Table(Key, Entry)} provides a general-purpose type for
+tables with {\it values} of type $Entry$ indexed by {\it keys} of type
+$Key$.
+
+Compute the above distribution of primes using tables.  First, let
+$t$ denote an empty table of keys and values, each of type {\tt Integer}.
+\spadcommand{t : Table(Integer,Integer) := empty()}
+$$
+{\rm table}() 
+$$
+\returnType{Type: Table(Integer,Integer)}
+
+We define a function {\bf howMany} to return the number of values
+of a given modulus $k$ seen so far.  It calls
+{\bf search}$(k,t)$ which returns the number of values
+stored under the key $k$ in table $t$, or {\tt ``failed''}
+if no such value is yet stored in $t$ under $k$.
+
+In English, this says ``Define $howMany(k)$ as follows.
+First, let $n$ be the value of {\it search}$(k,t)$.
+Then, if $n$ has the value $"failed"$, return the value
+$1$; otherwise return $n + 1$.''
+\spadcommand{howMany(k) == (n:=search(k,t); n case "failed" => 1; n+1)}
+\returnType{Type: Void}
+
+Run through the primes to create the table, then print the table.
+The expression {\tt t.m := howMany(m)} updates the value in table $t$
+stored under key $m$.
+\spadcommand{for p in primes(2,1000) repeat (m:= p rem 5; t.m:= howMany(m)); t}
+\begin{verbatim}
+   Compiling function howMany with type Integer -> Integer 
+\end{verbatim}
+$$
+{\rm table }
+\left(
+{{2={47}},  {4={38}},  {1={40}},  {3={42}},  {0=1}} 
+\right)
+$$
+\returnType{Type: Table(Integer,Integer)}
+
+A {\it record} is an example of an inhomogeneous collection of
+objects.\footnote{See \ref{ugTypesRecords} on
+page~\pageref{ugTypesRecords} for details.}  A record consists of a
+set of named {\it selectors} that can be used to access its
+components.  \index{Record@{\sf Record}}
+
+Declare that $daniel$ can only be
+assigned a record with two prescribed fields.
+\spadcommand{daniel : Record(age : Integer, salary : Float)}
+\returnType{Type: Void}
+
+Give $daniel$ a value, using square brackets to enclose the values of
+the fields.
+\spadcommand{daniel := [28, 32005.12]}
+$$
+\left[
+{age={28}},  {salary={32005.12}} 
+\right]
+$$
+\returnType{Type: Record(age: Integer,salary: Float)}
+
+Give $daniel$ a raise.
+\spadcommand{daniel.salary := 35000; daniel}
+$$
+\left[
+{age={28}},  {salary={35000.0}} 
+\right]
+$$
+\returnType{Type: Record(age: Integer,salary: Float)}
+
+A {\it union} is a data structure used when objects have multiple
+types.\footnote{See \ref{ugTypesUnions} on
+page~\pageref{ugTypesUnions} for details.}  \index{Union@{\sf Union}}
+
+Let $dog$ be either an integer or a string value.
+\spadcommand{dog: Union(licenseNumber: Integer, name: String)}
+\returnType{Type: Void}
+
+Give $dog$ a name.
+\spadcommand{dog := "Whisper"}
+$$
+\mbox{\tt "Whisper"} 
+$$
+\returnType{Type: Union(name: String,...)}
+
+All told, there are over forty different data structures in Axiom.
+Using the domain constructors described in Chapter \ref{ugDomains} on
+page~\pageref{ugDomains}, you can add your own data structure or
+extend an existing one.  Choosing the right data structure for your
+application may be the key to obtaining good performance.
+
+\section{Expanding to Higher Dimensions}
+\label{ugIntroTwoDim}
+To get higher dimensional aggregates, you can create one-dimensional
+aggregates with elements that are themselves aggregates, for example,
+lists of lists, one-dimensional arrays of lists of multisets, and so
+on.  For applications requiring two-dimensional homogeneous
+aggregates, you will likely find {\it two-dimensional arrays}
+\index{matrix} and {\it matrices} most useful.
+\index{array!two-dimensional}
+
+The entries in {\tt TwoDimensionalArray} and {\tt Matrix} objects are
+all the same type, except that those for {\tt Matrix} must belong to a
+{\tt Ring}.  You create and access elements in roughly the same way.
+Since matrices have an understood algebraic structure, certain
+algebraic operations are available for matrices but not for arrays.
+Because of this, we limit our discussion here to {\tt Matrix}, that
+can be regarded as an extension of {\tt TwoDimensionalArray}. See {\tt
+TwoDimensionalArray} for more information about arrays.  For more
+information about Axiom's linear algebra facilities, see {\tt Matrix},
+{\tt Permanent}, {\tt SquareMatrix}, {\tt Vector}, see Section
+\ref{ugProblemEigen} on page~\pageref{ugProblemEigen} (computation of
+eigenvalues and eigenvectors), and Section \ref{ugProblemLinPolEqn} on
+page~\pageref{ugProblemLinPolEqn} (solution of linear and polynomial
+equations).
+
+You can create a matrix from a list of lists, \index{matrix!creating}
+where each of the inner lists represents a row of the matrix.
+\spadcommand{m := matrix([ [1,2], [3,4] ])}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+3 & 4 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+The ``collections'' construct (see \ref{ugLangIts} on
+page~\pageref{ugLangIts}) is useful for creating matrices whose
+entries are given by formulas.  \index{matrix!Hilbert}
+\spadcommand{matrix([ [1/(i + j - x) for i in 1..4] for j in 1..4])}
+$$
+\left[
+\begin{array}{cccc}
+-{1 \over {x -2}} & -{1 \over {x -3}} & -{1 \over {x -4}} & -{1 \over {x -5}} \\ 
+-{1 \over {x -3}} & -{1 \over {x -4}} & -{1 \over {x -5}} & -{1 \over {x -6}} \\ 
+-{1 \over {x -4}} & -{1 \over {x -5}} & -{1 \over {x -6}} & -{1 \over {x -7}} \\ 
+-{1 \over {x -5}} & -{1 \over {x -6}} & -{1 \over {x -7}} & -{1 \over {x -8}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Polynomial Integer}
+
+Let $vm$ denote the three by three Vandermonde matrix.
+\spadcommand{vm := matrix [ [1,1,1], [x,y,z], [x*x,y*y,z*z] ]}
+$$
+\left[
+\begin{array}{ccc}
+1 & 1 & 1 \\ 
+x & y & z \\ 
+{x \sp 2} & {y \sp 2} & {z \sp 2} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+Use this syntax to extract an entry in the matrix.
+
+\spadcommand{vm(3,3)}
+$$
+z \sp 2 
+$$
+\returnType{Type: Polynomial Integer}
+
+You can also pull out a {\bf row} or a {\bf column}.
+
+\spadcommand{column(vm,2)}
+$$
+\left[
+1,  y,  {y \sp 2} 
+\right]
+$$
+\returnType{Type: Vector Polynomial Integer}
+
+You can do arithmetic.
+
+\spadcommand{vm * vm}
+$$
+\left[
+\begin{array}{ccc}
+{{x \sp 2}+x+1} & {{y \sp 2}+y+1} & {{z \sp 2}+z+1} \\ 
+{{{x \sp 2} \  z}+{x \  y}+x} & {{{y \sp 2} \  z}+{y \sp 2}+x} & {{z \sp 
+3}+{y \  z}+x} \\ 
+{{{x \sp 2} \  {z \sp 2}}+{x \  {y \sp 2}}+{x \sp 2}} & {{{y \sp 2} \  {z \sp 
+2}}+{y \sp 3}+{x \sp 2}} & {{z \sp 4}+{{y \sp 2} \  z}+{x \sp 2}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+You can perform operations such as
+{\bf transpose}, {\bf trace}, and {\bf determinant}.
+\spadcommand{factor determinant vm}
+$$
+{\left( y -x 
+\right)}
+\  {\left( z -y 
+\right)}
+\  {\left( z -x 
+\right)}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+\section{Writing Your Own Functions}
+\label{ugIntroYou}
+Axiom provides you with a very large library of predefined
+operations and objects to compute with.  You can use the Axiom
+library of constructors to create new objects dynamically of quite
+arbitrary complexity.  For example, you can make lists of matrices of
+fractions of polynomials with complex floating point numbers as
+coefficients.  Moreover, the library provides a wealth of operations
+that allow you to create and manipulate these objects.
+
+For many applications, you need to interact with the interpreter and
+write some Axiom programs to tackle your application.
+Axiom allows you to write functions interactively,
+\index{function} thereby effectively extending the system library.
+Here we give a few simple examples, leaving the details to
+Chapter \ref{ugUser} on page~\pageref{ugUser}.
+
+We begin by looking at several ways that you can define the
+``factorial'' function in Axiom.  The first way is to give a
+\index{function!piece-wise definition} piece-wise definition of the
+function.  \index{piece-wise function definition} This method is best
+for a general recurrence relation since the pieces are gathered
+together and compiled into an efficient iterative function.
+Furthermore, enough previously computed values are automatically saved
+so that a subsequent call to the function can pick up from where it
+left off.
+
+Define the value of {\bf fact} at $0$.
+\spadcommand{fact(0) == 1}
+\returnType{Type: Void}
+
+Define the value of {\bf fact}(n) for general $n$.
+\spadcommand{fact(n) == n*fact(n-1)}
+\returnType{Type: Void}
+
+Ask for the value at $50$.  The resulting function created by
+Axiom computes the value by iteration.
+
+\spadcommand{fact(50)}
+\begin{verbatim}
+   Compiling function fact with type Integer -> Integer 
+   Compiling function fact as a recurrence relation.
+\end{verbatim}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+A second definition uses an {\tt if-then-else} and recursion.
+\spadcommand{fac(n) == if n < 3 then n else n * fac(n - 1)}
+\returnType{Type: Void}
+
+This function is less efficient than the previous version since
+each iteration involves a recursive function call.
+\spadcommand{fac(50)}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+A third version directly uses iteration.
+\spadcommand{fa(n) == (a := 1; for i in 2..n repeat a := a*i; a)}
+\returnType{Type: Void}
+
+This is the least space-consumptive version.
+\spadcommand{fa(50)}
+\begin{verbatim}
+   Compiling function fac with type Integer -> Integer 
+\end{verbatim}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+A final version appears to construct a large list and then reduces over
+it with multiplication.
+\spadcommand{f(n) == reduce(*,[i for i in 2..n])}
+\returnType{Type: Void}
+
+In fact, the resulting computation is optimized into an efficient
+iteration loop equivalent to that of the third version.
+\spadcommand{f(50)}
+\begin{verbatim}
+Compiling function f with type 
+   PositiveInteger -> PositiveInteger 
+\end{verbatim}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+The library version uses an algorithm that is different from the four
+above because it highly optimizes the recurrence relation definition of
+{\bf factorial}.
+
+\spadcommand{factorial(50)}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+You are not limited to one-line functions in Axiom.  If you place your
+function definitions in {\bf .input} files \index{file!input} (see
+\ref{ugInOutIn} on page~\pageref{ugInOutIn}), you can have multi-line
+functions that use indentation for grouping.
+
+Given $n$ elements, {\bf diagonalMatrix} creates an
+$n$ by $n$ matrix with those elements down the diagonal.
+This function uses a permutation matrix
+that interchanges the $i$th and $j$th rows of a matrix
+by which it is right-multiplied.
+
+This function definition shows a style of definition that can be used
+in {\bf .input} files.  Indentation is used to create {\sl blocks}:
+sequences of expressions that are evaluated in sequence except as
+modified by control statements such as {\tt if-then-else} and {\tt return}.
+
+\begin{verbatim}
+permMat(n, i, j) ==
+  m := diagonalMatrix
+    [(if i = k or j = k then 0 else 1)
+      for k in 1..n]
+  m(i,j) := 1
+  m(j,i) := 1
+  m
+\end{verbatim}
+
+This creates a four by four matrix that interchanges the second and third
+rows.
+\spadcommand{p := permMat(4,2,3)}
+\begin{verbatim}
+   Compiling function permMat with type (PositiveInteger,
+      PositiveInteger,PositiveInteger) -> Matrix Integer 
+\end{verbatim}
+$$
+\left[
+\begin{array}{cccc}
+1 & 0 & 0 & 0 \\ 
+0 & 0 & 1 & 0 \\ 
+0 & 1 & 0 & 0 \\ 
+0 & 0 & 0 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+Create an example matrix to permute.
+\spadcommand{m := matrix [ [4*i + j for j in 1..4] for i in 0..3]}
+$$
+\left[
+\begin{array}{cccc}
+1 & 2 & 3 & 4 \\ 
+5 & 6 & 7 & 8 \\ 
+9 & {10} & {11} & {12} \\ 
+{13} & {14} & {15} & {16} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+Interchange the second and third rows of m.
+\spadcommand{permMat(4,2,3) * m}
+$$
+\left[
+\begin{array}{cccc}
+1 & 2 & 3 & 4 \\ 
+9 & {10} & {11} & {12} \\ 
+5 & 6 & 7 & 8 \\ 
+{13} & {14} & {15} & {16} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+A function can also be passed as an argument to another function,
+which then applies the function or passes it off to some other
+function that does.  You often have to declare the type of a function
+that has functional arguments.
+
+This declares {\bf t} to be a two-argument function that returns a
+{\tt Float}.  The first argument is a function that takes one
+{\tt Float} argument and returns a {\tt Float}.
+
+\spadcommand{t : (Float -> Float, Float) -> Float}
+\returnType{Type: Void}
+
+This is the definition of {\bf t}.
+
+\spadcommand{t(fun, x) == fun(x)**2 + sin(x)**2}
+\returnType{Type: Void}
+
+We have not defined a {\bf cos} in the workspace. The one from the
+Axiom library will do.
+
+\spadcommand{t(cos, 5.2058)}
+$$
+1.0 
+$$
+\returnType{Type: Float}
+
+Here we define our own (user-defined) function.
+\spadcommand{cosinv(y) == cos(1/y)}
+\returnType{Type: Void}
+
+Pass this function as an argument to {\bf t}.
+\spadcommand{t(cosinv, 5.2058)}
+$$
+1.7392237241\ 8005164925\ 4147684772\ 932520785 
+$$
+\returnType{Type: Float}
+
+Axiom also has pattern matching capabilities for
+\index{simplification}
+simplification
+\index{pattern matching}
+of expressions and for defining new functions by rules.
+For example, suppose that you want to apply regularly a transformation
+that groups together products of radicals:
+$$\sqrt{a}\sqrt{b} \mapsto \sqrt{ab}, \quad
+(\forall a)(\forall b)$$
+Note that such a transformation is not generally correct.
+Axiom never uses it automatically.
+
+Give this rule the name {\bf groupSqrt}.
+\spadcommand{groupSqrt := rule(sqrt(a) * sqrt(b) == sqrt(a*b))}
+$$
+{ \%C \  {\sqrt {a}} \  {\sqrt {b}}} \mbox{\rm == } { \%C \  {\sqrt {{a \  
+b}}}} 
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+Here is a test expression.
+\spadcommand{a := (sqrt(x) + sqrt(y) + sqrt(z))**4}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left({{\left({4 \  z}+{4 \  y}+{{12}\  x}\right)}\ {\sqrt{y}}}+
+{{\left({4 \  z}+{{12}\  y}+{4 \  x}\right)}\ {\sqrt{x}}}\right)}\ {\sqrt{z}}}+
+ 
+\\
+\\
+\displaystyle
+{{\left({{12}\  z}+{4 \  y}+{4 \  x}\right)}\ {\sqrt{x}}\ {\sqrt{y}}}+
+{z^2}+{{\left({6 \  y}+{6 \  x}\right)}\  z}+{y^2}+{6 \  x \  
+y}+{x^2}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+The rule
+{\bf groupSqrt} successfully simplifies the expression.
+\spadcommand{groupSqrt a}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left({4 \  z}+{4 \  y}+{{12}\  x}\right)}\ {\sqrt{y \  z}}}+
+{{\left({4 \  z}+{{12}\  y}+{4 \  x}\right)}\ {\sqrt{x \  z}}}+
+ 
+\\
+\\
+\displaystyle
+{{\left({{12}\  z}+{4 \  y}+{4 \  x}\right)}\ {\sqrt{x \  y}}}+
+{z^2}+{{\left({6 \  y}+{6 \  x}\right)}\  z}+{y^2}+{6 \  x \  
+y}+{x^2}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+\section{Polynomials}
+\label{ugIntroVariables}
+Polynomials are the commonly used algebraic types in symbolic
+computation.  \index{polynomial} Interactive users of Axiom
+generally only see one type of polynomial: {\tt Polynomial(R)}.
+This type represents polynomials in any number of unspecified
+variables over a particular coefficient domain $R$.  This type
+represents its coefficients {\sl sparsely}: only terms with non-zero
+coefficients are represented.
+
+In building applications, many other kinds of polynomial
+representations are useful.  Polynomials may have one variable or
+multiple variables, the variables can be named or unnamed, the
+coefficients can be stored sparsely or densely.  So-called
+``distributed multivariate polynomials'' store polynomials as
+coefficients paired with vectors of exponents.  This type is
+particularly efficient for use in algorithms for solving systems of
+non-linear polynomial equations.
+
+The polynomial constructor most familiar to the interactive user
+is {\tt Polynomial}.
+\spadcommand{(x**2 - x*y**3 +3*y)**2}
+$$
+{{x \sp 2} \  {y \sp 6}} -{6 \  x \  {y \sp 4}} -{2 \  {x \sp 3} \  {y \sp 
+3}}+{9 \  {y \sp 2}}+{6 \  {x \sp 2} \  y}+{x \sp 4} 
+$$
+\returnType{Type: Polynomial Integer}
+
+If you wish to restrict the variables used,
+{\tt UnivariatePolynomial} provides polynomials in one variable.
+
+\spadcommand{p: UP(x,INT) := (3*x-1)**2 * (2*x + 8)}
+$$
+{{18} \  {x \sp 3}}+{{60} \  {x \sp 2}} -{{46} \  x}+8 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+The constructor {\tt MultivariatePolynomial} provides polynomials
+in one or more specified variables.
+
+\spadcommand{m: MPOLY([x,y],INT) := (x**2-x*y**3+3*y)**2}
+$$
+{x \sp 4} -{2 \  {y \sp 3} \  {x \sp 3}}+{{\left( {y \sp 6}+{6 \  y} 
+\right)}
+\  {x \sp 2}} -{6 \  {y \sp 4} \  x}+{9 \  {y \sp 2}} 
+$$
+\returnType{Type: MultivariatePolynomial([x,y],Integer)}
+
+You can change the way the polynomial appears by modifying the variable
+ordering in the explicit list.
+\spadcommand{m :: MPOLY([y,x],INT)}
+$$
+{{x \sp 2} \  {y \sp 6}} -{6 \  x \  {y \sp 4}} -{2 \  {x \sp 3} \  {y \sp 
+3}}+{9 \  {y \sp 2}}+{6 \  {x \sp 2} \  y}+{x \sp 4} 
+$$
+\returnType{Type: MultivariatePolynomial([y,x],Integer)}
+
+The constructor {\tt DistributedMultivariatePolynomial} provides
+polynomials in one or more specified variables with the monomials
+ordered lexicographically.
+
+\spadcommand{m :: DMP([y,x],INT)}
+$$
+{{y \sp 6} \  {x \sp 2}} -{6 \  {y \sp 4} \  x} -{2 \  {y \sp 3} \  {x \sp 
+3}}+{9 \  {y \sp 2}}+{6 \  y \  {x \sp 2}}+{x \sp 4} 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([y,x],Integer)}
+
+The constructor
+{\tt HomogeneousDistributedMultivariatePolynomial} is similar
+except that the monomials are ordered by total order refined by
+reverse lexicographic order.
+\spadcommand{m :: HDMP([y,x],INT)}
+$$
+{{y \sp 6} \  {x \sp 2}} -{2 \  {y \sp 3} \  {x \sp 3}} -{6 \  {y \sp 4} \  
+x}+{x \sp 4}+{6 \  y \  {x \sp 2}}+{9 \  {y \sp 2}} 
+$$
+\returnType{Type: HomogeneousDistributedMultivariatePolynomial([y,x],Integer)}
+
+More generally, the domain constructor
+{\tt GeneralDistributedMultivariatePolynomial} allows the user to
+provide an arbitrary predicate to define his own term ordering.  These
+last three constructors are typically used in Gr\"{o}bner basis
+applications and
+when a flat (that is, non-recursive) display is wanted and the term
+ordering is critical for controlling the computation.
+
+\section{Limits}
+\label{ugIntroCalcLimits}
+
+Axiom's {\bf limit} function is usually used to evaluate
+limits of quotients where the numerator and denominator \index{limit}
+both tend to zero or both tend to infinity.  To find the limit of an
+expression $f$ as a real variable $x$ tends to a limit
+value $a$, enter {\tt limit(f, x=a)}.  Use
+{\bf complexLimit} if the variable is complex.  Additional
+information and examples of limits are in 
+Section \ref{ugProblemLimits} on page~\pageref{ugProblemLimits}.
+
+You can take limits of functions with parameters.
+\index{limit!of function with parameters}
+\spadcommand{g := csc(a*x) / csch(b*x)}
+$$
+{\csc 
+\left(
+{{a \  x}} 
+\right)}
+\over {\csch 
+\left(
+{{b \  x}} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+As you can see, the limit is expressed in terms of the parameters.
+\spadcommand{limit(g,x=0)}
+$$
+b \over a 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+A variable may also approach plus or minus infinity:
+\spadcommand{h := (1 + k/x)**x}
+$$
+{{x+k} \over x} \sp x 
+$$
+\returnType{Type: Expression Integer}
+
+Use {\tt \%plusInfinity} and {\tt \%minusInfinity} to
+denote $\infty$ and $-\infty$.
+\spadcommand{limit(h,x=\%plusInfinity)}
+$$
+e \sp k 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+A function can be defined on both sides of a particular value, but
+may tend to different limits as its variable approaches that value from the
+left and from the right.
+
+\spadcommand{limit(sqrt(y**2)/y,y = 0)}
+$$
+\left[
+{leftHandLimit=-1},  {rightHandLimit=1} 
+\right]
+$$
+\returnType{Type: Union(Record(leftHandLimit: Union(OrderedCompletion Expression Integer,"failed"),rightHandLimit: Union(OrderedCompletion Expression Integer,"failed")),...)}
+
+As $x$ approaches $0$ along the real axis, {\tt exp(-1/x**2)}
+tends to $0$.
+
+\spadcommand{limit(exp(-1/x**2),x = 0)}
+$$
+0 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+However, if $x$ is allowed to approach $0$ along any path in the
+complex plane, the limiting value of {\tt exp(-1/x**2)} depends on the
+path taken because the function has an essential singularity at $x=0$.
+This is reflected in the error message returned by the function.
+\spadcommand{complexLimit(exp(-1/x**2),x = 0)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+\section{Series}
+\label{ugIntroSeries}
+
+Axiom also provides power series.  \index{series!power} By default,
+Axiom tries to compute and display the first ten elements of a series.
+Use {\tt )set streams calculate} to change the default value to
+something else.  For the purposes of this document, we have used this
+system command to display fewer than ten terms.  For more information
+about working with series, see \ref{ugProblemSeries} on
+page~\pageref{ugProblemSeries}.
+
+You can convert a functional expression to a power series by using the
+operation {\bf series}.  In this example, {\tt sin(a*x)} is
+expanded in powers of $(x - 0)$, that is, in powers of $x$.
+\spadcommand{series(sin(a*x),x = 0)}
+$$
+{a \  x} -{{{a \sp 3} \over 6} \  {x \sp 3}}+{{{a \sp 5} \over {120}} \  {x 
+\sp 5}} -{{{a \sp 7} \over {5040}} \  {x \sp 7}}+{{{a \sp 9} \over {362880}} 
+\  {x \sp 9}} -{{{a \sp {11}} \over {39916800}} \  {x \sp {11}}}+{O 
+\left(
+{{x \sp {12}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+This expression expands {\tt sin(a*x)} in powers of {\tt (x - \%pi/4)}.
+\spadcommand{series(sin(a*x),x = \%pi/4)}
+$$
+{\sin 
+\left({{{a \  \pi} \over 4}}\right)}+
+{a \  {\cos \left({{{a \  \pi} \over 4}} \right)}
+\  {\left( x -{\pi \over 4} \right)}}-
+\hbox{\hskip 2.0cm}
+$$
+$$
+{{{{a \sp 2} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over 2} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 2}} -
+{{{{a \sp 3} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over 6} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 3}} +
+$$
+$$
+{{{{a \sp 4} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over {24}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 4}} +
+{{{{a \sp 5} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over {120}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 5}} -
+$$
+$$
+{{{{a \sp 6} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over {720}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 6}} -
+{{{{a \sp 7} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over {5040}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 7}} +
+$$
+$$
+{{{{a \sp 8} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over {40320}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 8}} +
+{{{{a \sp 9} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over {362880}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 9}} -
+$$
+$$
+{{{{a \sp {10}} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}
+\over {3628800}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp {10}}} +
+{O \left({{{\left( x -{\pi \over 4} \right)}\sp {11}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,pi/4)}
+
+Axiom provides \index{series!Puiseux} {\it Puiseux series:}
+\index{Puiseux series} series with rational number exponents.  The
+first argument to {\bf series} is an in-place function that
+computes the $n$-th coefficient.  (Recall that the
+``{\tt +->}'' is an infix operator meaning ``maps to.'')
+\spadcommand{series(n +-> (-1)**((3*n - 4)/6)/factorial(n - 1/3),x=0,4/3..,2)}
+%%NOTE: the paper book shows O(x^4) but Axiom computes O(x^5)
+$$
+{x \sp {4 \over 3}} -{{1 \over 6} \  {x \sp {{10} \over 3}}}+{O 
+\left(
+{{x \sp 5}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+Once you have created a power series, you can perform arithmetic
+operations on that series.  We compute the Taylor expansion of $1/(1-x)$.
+\index{series!Taylor}
+\spadcommand{f := series(1/(1-x),x = 0)}
+$$
+1+x+{x \sp 2}+{x \sp 3}+{x \sp 4}+{x \sp 5}+{x \sp 6}+{x \sp 7}+{x \sp 8}+{x 
+\sp 9}+{x \sp {10}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+Compute the square of the series.
+\spadcommand{f ** 2}
+$$
+1+{2 \  x}+{3 \  {x \sp 2}}+{4 \  {x \sp 3}}+{5 \  {x \sp 4}}+{6 \  {x \sp 
+5}}+{7 \  {x \sp 6}}+{8 \  {x \sp 7}}+{9 \  {x \sp 8}}+{{10} \  {x \sp 
+9}}+{{11} \  {x \sp {10}}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+The usual elementary functions
+({\bf log}, {\bf exp}, trigonometric functions, and so on)
+are defined for power series.
+\spadcommand{f := series(1/(1-x),x = 0)}
+$$
+1+x+{x \sp 2}+{x \sp 3}+{x \sp 4}+{x \sp 5}+{x \sp 6}+{x \sp 7}+{x \sp 8}+{x 
+\sp 9}+{x \sp {10}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\spadcommand{g := log(f)}
+$$
+\begin{array}{@{}l}
+x+
+{{1 \over 2} \  {x \sp 2}}+
+{{1 \over 3} \  {x \sp 3}}+
+{{1 \over 4} \  {x \sp 4}}+
+{{1 \over 5} \  {x \sp 5}}+
+{{1 \over 6} \  {x \sp 6}}+
+{{1 \over 7} \  {x \sp 7}}+
+\\
+\\
+\displaystyle
+{{1 \over 8} \  {x \sp 8}}+
+{{1 \over 9} \  {x \sp 9}}+
+{{1 \over {10}} \  {x \sp {10}}}+
+{{1 \over {11}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\spadcommand{exp(g)}
+$$
+1+x+{x \sp 2}+{x \sp 3}+{x \sp 4}+{x \sp 5}+{x \sp 6}+{x \sp 7}+{x \sp 8}+{x 
+\sp 9}+{x \sp {10}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+% Warning: currently there are (interpreter) problems with converting
+% rational functions and polynomials to power series.
+
+Here is a way to obtain numerical approximations of
+$e$ from the Taylor series expansion of {\bf exp}(x).
+First create the desired Taylor expansion.
+\spadcommand{f := taylor(exp(x))}
+$$
+1+x+{{1 \over 2} \  {x \sp 2}}+{{1 \over 6} \  {x \sp 3}}+{{1 \over {24}} \  
+{x \sp 4}}+{{1 \over {120}} \  {x \sp 5}}+{{1 \over {720}} \  {x \sp 6}} +
+\hbox{\hskip 1.0cm}
+$$
+$$
+{{1 
+\over {5040}} \  {x \sp 7}} + 
+{{1 \over {40320}} \  {x \sp 8}}+{{1 \over 
+{362880}} \  {x \sp 9}}+{{1 \over {3628800}} \  {x \sp {10}}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,x,0)}
+
+Evaluate the series at the value $1.0$.
+% Warning: syntax for evaluating power series may change.
+As you see, you get a sequence of partial sums.
+\spadcommand{eval(f,1.0)}
+$$
+\left[
+{1.0},  {2.0},  {2.5},  {2.6666666666 666666667},  \hbox{\hskip 3.0cm}
+\right.
+$$
+$${2.7083333333 333333333},  {2.7166666666 666666667},  \hbox{\hskip 1.0cm}
+$$
+$${2.7180555555 555555556},  {2.7182539682 53968254},  \hbox{\hskip 1.1cm}
+$$
+$$\left.
+{2.7182787698 412698413},  {2.7182815255 731922399},  \ldots 
+\hbox{\hskip 0.4cm}
+\right]
+$$
+\returnType{Type: Stream Expression Float}
+
+\section{Derivatives}
+\label{ugIntroCalcDeriv}
+
+Use the Axiom function {\bf D} to differentiate an
+\index{derivative} expression.  \index{differentiation}
+
+To find the derivative of an expression $f$ with respect to a
+variable $x$, enter {\bf D}(f, x).
+
+\spadcommand{f := exp exp x}
+$$
+e \sp {e \sp x} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{D(f, x)}
+$$
+{e \sp x} \  {e \sp {e \sp x}} 
+$$
+\returnType{Type: Expression Integer}
+
+An optional third argument $n$ in {\bf D} asks Axiom for the $n$-th
+derivative of $f$.  This finds the fourth derivative of $f$ with
+respect to $x$.
+
+\spadcommand{D(f, x, 4)}
+$$
+{\left( {{e \sp x} \sp 4}+{6 \  {{e \sp x} \sp 3}}+{7 \  {{e \sp x} \sp 
+2}}+{e \sp x} 
+\right)}
+\  {e \sp {e \sp x}} 
+$$
+\returnType{Type: Expression Integer}
+
+You can also compute partial derivatives by specifying the order of
+\index{differentiation!partial}
+differentiation.
+\spadcommand{g := sin(x**2 + y)}
+$$
+\sin 
+\left(
+{{y+{x \sp 2}}} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{D(g, y)}
+$$
+\cos 
+\left(
+{{y+{x \sp 2}}} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{D(g, [y, y, x, x])}
+$$
+{4 \  {x \sp 2} \  {\sin 
+\left(
+{{y+{x \sp 2}}} 
+\right)}}
+-{2 \  {\cos 
+\left(
+{{y+{x \sp 2}}} 
+\right)}}
+$$
+\returnType{Type: Expression Integer}
+
+Axiom can manipulate the derivatives (partial and iterated) of
+\index{differentiation!formal} expressions involving formal operators.
+All the dependencies must be explicit.
+
+This returns $0$ since F (so far) does not explicitly depend on $x$.
+
+\spadcommand{D(F,x)}
+$$
+0 
+$$
+\returnType{Type: Polynomial Integer}
+
+Suppose that we have F a function of $x$, $y$, and $z$,
+where $x$ and $y$ are themselves functions of $z$.
+
+Start by declaring that $F$, $x$, and $y$ are operators.
+\index{operator}
+
+\spadcommand{F := operator 'F; x := operator 'x; y := operator 'y}
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+You can use F, $x$, and $y$ in expressions.
+
+\spadcommand{a := F(x z, y z, z**2) + x y(z+1)}
+$$
+{x 
+\left(
+{{y 
+\left(
+{{z+1}} 
+\right)}}
+\right)}+{F
+\left(
+{{x 
+\left(
+{z} 
+\right)},
+ {y 
+\left(
+{z} 
+\right)},
+ {z \sp 2}} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+Differentiate formally with respect to $z$.
+The formal derivatives appearing in $dadz$ are not just formal symbols,
+but do represent the derivatives of $x$, $y$, and F.
+
+\spadcommand{dadz := D(a, z)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{2 \  z \ {{F_{, 3}}\left({{x \left({z}\right)}, {y \left({z}\right)},
+ {z^2}}\right)}}+{{{y_{\ }^{,}}\left({z}\right)}\ {{F_{, 2}}\left({{x 
+\left({z}\right)}, {y \left({z}\right)}, {z^2}}\right)}}+
+ 
+\\
+\\
+\displaystyle
+{{{x_{\ }^{,}}\left({z}\right)}\ {{F_{, 1}}\left({{x \left({z}\right)},
+ {y \left({z}\right)}, {z^2}}\right)}}+{{{x_{\ }^{,}}\left({y 
+\left({z + 1}\right)}\right)}\ {{y_{\ }^{,}}\left({z + 1}\right)}}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+You can evaluate the above for particular functional values of
+F, $x$, and $y$.  If $x(z)$ is {\bf exp}(z) and $y(z)$ is {\bf log}(z+1), 
+then evaluates {\tt dadz}.
+
+\spadcommand{eval(eval(dadz, 'x, z +-> exp z), 'y, z +-> log(z+1))}
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({2 \ {z^2}}+{2 \  z}\right)}\ {{F_{, 3}}\left({{e^z},
+ {\log \left({z + 1}\right)}, {z^2}}\right)}}+
+\\
+\\
+\displaystyle
+{{F_{, 2}}\left({{e^
+z}, {\log \left({z + 1}\right)}, {z^2}}\right)}+ 
+\\
+\\
+\displaystyle
+{{\left(z + 1 \right)}\ {e^z}\ {{F_{, 1}}\left({{e^z}, {\log 
+\left({z + 1}\right)}, {z^2}}\right)}}+ z + 1 
+\end{array}
+\right)}\over{z + 1}
+$$
+\returnType{Type: Expression Integer}
+
+You obtain the same result by first evaluating $a$ and
+then differentiating.
+
+\spadcommand{eval(eval(a, 'x, z +-> exp z), 'y, z +-> log(z+1))}
+$$
+{F 
+\left(
+{{e \sp z},  {\log 
+\left(
+{{z+1}} 
+\right)},
+ {z \sp 2}} 
+\right)}+z+2
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{D(\%, z)}
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({2 \ {z^2}}+{2 \  z}\right)}\ {{F_{, 3}}\left({{e^
+z}, {\log \left({z + 1}\right)}, {z^2}}\right)}}+
+\\
+\\
+\displaystyle
+{{F_{, 2}}\left({{e^z}, {\log \left({z + 1}\right)}, {z^2}}\right)}+
+\\
+\\
+\displaystyle
+{{\left(z 
++ 1 \right)}\ {e^z}\ {{F_{, 1}}\left({{e^z}, {\log \left({z 
++ 1}\right)}, {z^2}}\right)}}+ z + 1
+\end{array}
+\right)}
+\over{z + 1}
+$$
+\returnType{Type: Expression Integer}
+
+\section{Integration}
+\label{ugIntroIntegrate}
+
+Axiom has extensive library facilities for integration.
+\index{integration}
+
+The first example is the integration of a fraction with denominator
+that factors into a quadratic and a quartic irreducible polynomial.
+The usual partial fraction approach used by most other computer
+algebra systems either fails or introduces expensive unneeded
+algebraic numbers.
+
+We use a factorization-free algorithm.
+\spadcommand{integrate((x**2+2*x+1)/((x+1)**6+1),x)}
+$$
+{\arctan 
+\left(
+{{{x \sp 3}+{3 \  {x \sp 2}}+{3 \  x}+1}} 
+\right)}
+\over 3 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+When real parameters are present, the form of the integral can depend on
+the signs of some expressions.
+
+Rather than query the user or make sign assumptions, Axiom returns
+all possible answers.
+\spadcommand{integrate(1/(x**2 + a),x)}
+$$
+\left[
+{{\log 
+\left(
+{{{{{\left( {x \sp 2} -a 
+\right)}
+\  {\sqrt {-a}}}+{2 \  a \  x}} \over {{x \sp 2}+a}}} 
+\right)}
+\over {2 \  {\sqrt {-a}}}},  {{\arctan 
+\left(
+{{{x \  {\sqrt {a}}} \over a}} 
+\right)}
+\over {\sqrt {a}}} 
+\right]
+$$
+\returnType{Type: Union(List Expression Integer,...)}
+
+The {\bf integrate} operation generally assumes that all
+parameters are real.  The only exception is when the integrand has
+complex valued quantities.
+
+If the parameter is complex instead of real, then the notion of sign
+is undefined and there is a unique answer.  You can request this
+answer by ``prepending'' the word ``complex'' to the command name:
+
+\spadcommand{complexIntegrate(1/(x**2 + a),x)}
+%%NOTE: the expression in the book is different but they differentiate
+%%to exactly the same answer.
+$$
+{{\log 
+\left(
+{{{{x \  {\sqrt {-a}}}+a} \over {\sqrt {-a}}}} 
+\right)}
+-{\log 
+\left(
+{{{{x \  {\sqrt {-a}}} -a} \over {\sqrt {-a}}}} 
+\right)}}
+\over {2 \  {\sqrt {-a}}} 
+$$
+\returnType{Type: Expression Integer}
+
+The following two examples illustrate the limitations of table-based
+approaches.  The two integrands are very similar, but the answer to
+one of them requires the addition of two new algebraic numbers.
+
+This one is the easy one.
+The next one looks very similar
+but the answer is much more complicated.
+\spadcommand{integrate(x**3 / (a+b*x)**(1/3),x)}
+$$
+{{\left( {{120} \  {b \sp 3} \  {x \sp 3}} -{{135} \  a \  {b \sp 2} \  {x 
+\sp 2}}+{{162} \  {a \sp 2} \  b \  x} -{{243} \  {a \sp 3}} 
+\right)}
+\  {{\root {3} \of {{{b \  x}+a}}} \sp 2}} \over {{440} \  {b \sp 4}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Only an algorithmic approach is guaranteed to find what new constants
+must be added in order to find a solution.
+
+\spadcommand{integrate(1 / (x**3 * (a+b*x)**(1/3)),x)}
+$$
+\left(
+\begin{array}{@{}l}
+-{2 \  {b \sp 2} \  {x \sp 2} \  {\sqrt {3}} \  {\log 
+\left(
+{{{{\root {3} \of {a}} \  {{\root {3} \of {{{b \  x}+a}}} \sp 2}}+{{{\root 
+{3} \of {a}} \sp 2} \  {\root {3} \of {{{b \  x}+a}}}}+a}} 
+\right)}}+
+\\
+\\
+\displaystyle
+{4\  {b \sp 2} \  {x \sp 2} \  {\sqrt {3}} \  {\log 
+\left(
+{{{{{\root {3} \of {a}} \sp 2} \  {\root {3} \of {{{b \  x}+a}}}} -a}} 
+\right)}}+
+\\
+\\
+\displaystyle
+{{12}\  {b \sp 2} \  {x \sp 2} \  {\arctan 
+\left(
+{{{{2 \  {\sqrt {3}} \  {{\root {3} \of {a}} \sp 2} \  {\root {3} \of {{{b \  
+x}+a}}}}+{a \  {\sqrt {3}}}} \over {3 \  a}}} 
+\right)}}+
+\\
+\\
+\displaystyle
+{{\left(
+{{12} \  b \  x} -{9 \  a} 
+\right)}
+\  {\sqrt {3}} \  {\root {3} \of {a}} \  {{\root {3} \of {{{b \  x}+a}}} \sp 
+2}}
+\end{array}
+\right)
+\over {{18} \  {a \sp 2} \  {x \sp 2} \  {\sqrt {3}} \  {\root {3} \of 
+{a}}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Some computer algebra systems use heuristics or table-driven
+approaches to integration.  When these systems cannot determine the
+answer to an integration problem, they reply ``I don't know.''  Axiom
+uses an algorithm which is a {\sl decision procedure} for integration.
+If Axiom returns the original integral that conclusively proves that
+an integral cannot be expressed in terms of elementary functions.
+
+When Axiom returns an integral sign, it has proved that no answer
+exists as an elementary function.
+
+\spadcommand{integrate(log(1 + sqrt(a*x + b)) / x,x)}
+$$
+\int \sp{\displaystyle x} {{{\log 
+\left(
+{{{\sqrt {{b+{ \%Q \  a}}}}+1}} 
+\right)}
+\over \%Q} \  {d \%Q}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Axiom can handle complicated mixed functions much beyond what you
+can find in tables.
+
+Whenever possible, Axiom tries to express the answer using the
+functions present in the integrand.
+
+\spadcommand{integrate((sinh(1+sqrt(x+b))+2*sqrt(x+b)) / (sqrt(x+b) * (x + cosh(1+sqrt(x + b)))), x)}
+%%NOTE: the book has the same answer with a trailing ``+4'' term.
+%%This term is not generated by Axiom
+$$
+{2 \  {\log 
+\left(
+{{{-{2 \  {\cosh 
+\left(
+{{{\sqrt {{x+b}}}+1}} 
+\right)}}
+-{2 \  x}} \over {{\sinh 
+\left(
+{{{\sqrt {{x+b}}}+1}} 
+\right)}
+-{\cosh 
+\left(
+{{{\sqrt {{x+b}}}+1}} 
+\right)}}}}
+\right)}}
+-{2 \  {\sqrt {{x+b}}}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+A strong structure-checking algorithm in Axiom finds hidden algebraic
+relationships between functions.
+
+\spadcommand{integrate(tan(atan(x)/3),x)}
+%%NOTE: the book has a trailing ``+16'' term in the numerator
+%%This is not generated by Axiom
+$$
+\left(
+\begin{array}{@{}l}
+{8 \  {\log 
+\left(
+{{{3 \  {{\tan 
+\left(
+{{{\arctan 
+\left(
+{x} 
+\right)}
+\over 3}} 
+\right)}
+\sp 2}} -1}} 
+\right)}}
+-{3 \  {{\tan 
+\left(
+{{{\arctan 
+\left(
+{x} 
+\right)}
+\over 3}} 
+\right)}
+\sp 2}}+
+\\
+\\
+\displaystyle
+{{18} \  x \  {\tan 
+\left(
+{{{\arctan 
+\left(
+{x} 
+\right)}
+\over 3}} 
+\right)}}
+\end{array}
+\right)
+\over {18} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+The discovery of this algebraic relationship is necessary for correct
+integration of this function.
+Here are the details:
+\begin{enumerate}
+\item
+If $x=\tan t$ and $g=\tan (t/3)$ then the following 
+algebraic relation is true: $${g^3-3xg^2-3g+x=0}$$
+\item
+Integrate $g$ using this algebraic relation; this produces:
+$${{(24g^2 - 8)\log(3g^2 - 1) + (81x^2 + 24)g^2 + 72xg - 27x^2 - 16}
+\over{54g^2 - 18}}$$
+\item
+Rationalize the denominator, producing:
+$${8\log(3g^2-1) - 3g^2 + 18xg + 16} \over {18}$$
+Replace $g$ by the initial definition
+$g = \tan(\arctan(x)/3)$
+to produce the final result.
+\end{enumerate}
+
+This is an example of a mixed function where
+the algebraic layer is over the transcendental one.
+\spadcommand{integrate((x + 1) / (x*(x + log x) ** (3/2)), x)}
+$$
+-{{2 \  {\sqrt {{{\log 
+\left(
+{x} 
+\right)}+x}}}}
+\over {{\log 
+\left(
+{x} 
+\right)}+x}}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+While incomplete for non-elementary functions, Axiom can
+handle some of them.
+\spadcommand{integrate(exp(-x**2) * erf(x) / (erf(x)**3 - erf(x)**2 - erf(x) + 1),x)}
+$$
+{{{\left( {\erf 
+\left(
+{x} 
+\right)}
+-1 
+\right)}
+\  {\sqrt {\pi}} \  {\log 
+\left(
+{{{{\erf 
+\left(
+{x} 
+\right)}
+-1} \over {{\erf 
+\left(
+{x} 
+\right)}+1}}}
+\right)}}
+-{2 \  {\sqrt {\pi}}}} \over {{8 \  {\erf 
+\left(
+{x} 
+\right)}}
+-8} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+More examples of Axiom's integration capabilities are discussed in
+Section \ref{ugProblemIntegration} on page~\pageref{ugProblemIntegration}.
+
+\section{Differential Equations}
+\label{ugIntroDiffEqns}
+The general approach used in integration also carries over to the
+solution of linear differential equations.
+
+Let's solve some differential equations.
+Let $y$ be the unknown function in terms of $x$.
+\spadcommand{y := operator 'y}
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+Here we solve a third order equation with polynomial coefficients.
+\spadcommand{deq := x**3 * D(y x, x, 3) + x**2 * D(y x, x, 2) - 2 * x * D(y x, x) + 2 * y x = 2 * x**4}
+$$
+{{{x \sp 3} \  {{y \sb {{\ }} \sp {,,,}} 
+\left(
+{x} 
+\right)}}+{{x
+\sp 2} \  {{y \sb {{\ }} \sp {,,}} 
+\left(
+{x} 
+\right)}}
+-{2 \  x \  {{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}}+{2
+\  {y 
+\left(
+{x} 
+\right)}}}={2
+\  {x \sp 4}} 
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{solve(deq, y, x)}
+%%NOTE: the book has a different solution and it appears to be 
+%%less complicated than this one.
+$$
+\begin{array}{@{}l}
+\left[
+{particular={{{x \sp 5} -{{10} \  {x \sp 3}}+{{20} \  {x \sp 2}}+4} \over 
+{{15} \  x}}}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{basis={\left[ {{{2 \  {x \sp 3}} -{3 \  {x \sp 2}}+1} 
+\over x},  {{{x \sp 3} -1} \over x},  {{{x \sp 3} -{3 \  {x \sp 2}} -1} 
+\over x} 
+\right]}}
+\right]
+\end{array}
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)}
+
+
+Here we find all the algebraic function solutions of the equation.
+\spadcommand{deq := (x**2 + 1) * D(y x, x, 2) + 3 * x * D(y x, x) + y x = 0}
+$$
+{{{\left( {x \sp 2}+1 
+\right)}
+\  {{y \sb {{\ }} \sp {,,}} 
+\left(
+{x} 
+\right)}}+{3
+\  x \  {{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}}+{y
+\left(
+{x} 
+\right)}}=0
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{solve(deq, y, x)}
+$$
+\left[
+{particular=0},  
+{basis={\left[ {1 \over {\sqrt {{{x \sp 2}+1}}}},  
+{{\log 
+\left(
+{{{\sqrt {{{x \sp 2}+1}}} -x}} 
+\right)}
+\over {\sqrt {{{x \sp 2}+1}}}} 
+\right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)}
+
+Coefficients of differential equations can come from arbitrary
+constant fields.  For example, coefficients can contain algebraic
+numbers.
+
+This example has solutions whose logarithmic derivative is an
+algebraic function of degree two.
+
+\spadcommand{eq := 2*x**3 * D(y x,x,2) + 3*x**2 * D(y x,x) - 2 * y x}
+$$
+{2 \  {x \sp 3} \  {{y \sb {{\ }} \sp {,,}} 
+\left(
+{x} 
+\right)}}+{3
+\  {x \sp 2} \  {{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}}
+-{2 \  {y 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{solve(eq,y,x).basis}
+$$
+\left[
+{e \sp {\left( -{2 \over {\sqrt {x}}} 
+\right)}},
+ {e \sp {2 \over {\sqrt {x}}}} 
+\right]
+$$
+\returnType{Type: List Expression Integer}
+
+Here's another differential equation to solve.
+\spadcommand{deq := D(y x, x) = y(x) / (x + y(x) * log y x)}
+$$
+{{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}={{y
+\left(
+{x} 
+\right)}
+\over {{{y 
+\left(
+{x} 
+\right)}
+\  {\log 
+\left(
+{{y 
+\left(
+{x} 
+\right)}}
+\right)}}+x}}
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{solve(deq, y, x)}
+$$
+{{{y 
+\left(
+{x} 
+\right)}
+\  {{\log 
+\left(
+{{y 
+\left(
+{x} 
+\right)}}
+\right)}
+\sp 2}} -{2 \  x}} \over {2 \  {y 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Rather than attempting to get a closed form solution of
+a differential equation, you instead might want to find an
+approximate solution in the form of a series.
+
+Let's solve a system of nonlinear first order equations and get a
+solution in power series.  Tell Axiom that $x$ is also an
+operator.
+
+\spadcommand{x := operator 'x}
+$$
+x 
+$$
+\returnType{Type: BasicOperator}
+
+Here are the two equations forming our system.
+\spadcommand{eq1 := D(x(t), t) = 1 + x(t)**2}
+$$
+{{x \sb {{\ }} \sp {,}} 
+\left(
+{t} 
+\right)}={{{x
+\left(
+{t} 
+\right)}
+\sp 2}+1} 
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{eq2 := D(y(t), t) = x(t) * y(t)}
+$$
+{{y \sb {{\ }} \sp {,}} 
+\left(
+{t} 
+\right)}={{x
+\left(
+{t} 
+\right)}
+\  {y 
+\left(
+{t} 
+\right)}}
+$$
+\returnType{Type: Equation Expression Integer}
+
+We can solve the system around $t = 0$ with the initial
+conditions $x(0) = 0$ and $y(0) = 1$.  Notice that since
+we give the unknowns in the order $[x, y]$, the answer is a list
+of two series in the order 
+$[{\rm series\ for\ }x(t), {\rm series\ for\ }y(t)]$.
+
+\spadcommand{seriesSolve([eq2, eq1], [x, y], t = 0, [y(0) = 1, x(0) = 0])}
+$$
+\left[
+{\ t+
+{{1 \over 3} \  {t \sp 3}}+
+{{2 \over {15}} \  {t \sp 5}}+
+{{{17} \over {315}} \  {t \sp 7}}+
+{{{62} \over {2835}} \  {t \sp 9}}+
+{O \left({{t \sp {11}}} \right)}},
+\right. 
+\hbox{\hskip 2.0cm}
+$$
+$$
+\hbox{\hskip 0.4cm}
+\left.
+{1+
+{{1 \over 2} \  {t \sp 2}}+
+{{5 \over {24}} \  {t \sp 4}}+
+{{{61} \over {720}} \  {t \sp 6}}+
+{{{277} \over {8064}} \  {t \sp 8}}+
+{{{50521} \over {3628800}} \  {t \sp {10}}}+
+{O \left({{t \sp {11}}}\right)}}
+\right]
+$$
+\returnType{Type: List UnivariateTaylorSeries(Expression Integer,t,0)}
+
+\section{Solution of Equations}
+\label{ugIntroSolution}
+Axiom also has state-of-the-art algorithms for the solution of
+systems of polynomial equations.  When the number of equations and
+unknowns is the same, and you have no symbolic coefficients, you can
+use {\bf solve} for real roots and {\bf complexSolve} for
+complex roots.  In each case, you tell Axiom how accurate you
+want your result to be.  All operations in the {\it solve} family
+return answers in the form of a list of solution sets, where each
+solution set is a list of equations.
+
+A system of two equations involving a symbolic parameter $t$.
+\spadcommand{S(t) == [x**2-2*y**2 - t,x*y-y-5*x + 5]}
+\returnType{Type: Void}
+
+Find the real roots of $S(19)$ with
+rational arithmetic, correct to within $1/10^{20}$.
+\spadcommand{solve(S(19),1/10**20)}
+$$
+\left[
+{\left[ {y=5},  {x=-{{2451682632253093442511} \over 
+{295147905179352825856}}} 
+\right]},
+\right.
+$$
+$$
+\left.
+{\left[ {y=5},  {x={{2451682632253093442511} \over 
+{295147905179352825856}}} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Fraction Integer}
+
+Find the complex roots of $S(19)$ with floating
+point coefficients to $20$ digits accuracy in the mantissa.
+
+\spadcommand{complexSolve(S(19),10.e-20)}
+$$
+\left[
+{\left[ {y={5.0}},  {x={8.3066238629 180748526}} \right]},
+\right.
+$$
+$$
+{\left[ {y={5.0}},  {x=-{8.3066238629 180748526}} \right]},
+$$
+$$
+\left.
+{\left[ {y=-{{3.0} \  i}},  {x={1.0}} \right]},
+{\left[ {y={{3.0} \  i}},  {x={1.0}} \right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Complex Float}
+
+If a system of equations has symbolic coefficients and you want
+a solution in radicals, try {\bf radicalSolve}.
+\spadcommand{radicalSolve(S(a),[x,y])}
+$$
+\left[
+{\left[ {x=-{\sqrt {{a+{50}}}}}, {y=5} \right]},
+{\left[ {x={\sqrt {{a+{50}}}}}, {y=5} \right]},
+\right.
+$$
+$$
+\hbox{\hskip 0.7cm}
+\left.
+{\left[ {x=1}, {y={\sqrt {{{-a+1} \over 2}}}} \right]},
+{\left[ {x=1}, {y=-{\sqrt {{{-a+1} \over 2}}}} \right]}
+\right]
+$$
+\returnType{Type: List List Equation Expression Integer}
+
+For systems of equations with symbolic coefficients, you can apply
+{\bf solve}, listing the variables that you want Axiom to
+solve for.  For polynomial equations, a solution cannot usually be
+expressed solely in terms of the other variables.  Instead, the
+solution is presented as a ``triangular'' system of equations, where
+each polynomial has coefficients involving only the succeeding
+variables. This is analogous to converting a linear system of
+equations to ``triangular form''.
+
+A system of three equations in five variables.
+\spadcommand{eqns := [x**2 - y + z,x**2*z + x**4 - b*y, y**2 *z - a - b*x]}
+$$
+\left[
+{z -y+{x \sp 2}},  {{{x \sp 2} \  z} -{b \  y}+{x \sp 4}},  {{{y \sp 2} \  
+z} -{b \  x} -a} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+Solve the system for unknowns $[x,y,z]$,
+reducing the solution to triangular form.
+\spadcommand{solve(eqns,[x,y,z])}
+$$
+\left[
+{\left[ {x=-{a \over b}},  {y=0},  {z=-{{a \sp 2} \over {b \sp 2}}} 
+\right]},
+\right.
+\hbox{\hskip 10.0cm}
+$$
+$$
+\left.
+\begin{array}{@{}l}
+\left[
+{x={{{z \sp 3}+{2 \  b \  {z \sp 2}}+{{b \sp 2} \  z} -a} \over b}}, 
+{y={z+b}}, 
+\right.
+\hbox{\hskip 10.0cm}
+\\
+\\
+\displaystyle
+{z \sp 6}+{4 \  b \  {z \sp 5}}+
+{6 \  {b \sp 2} \  {z \sp 4}}+
+{{\left( {4 \  {b \sp 3}} -{2 \  a} \right)}\  {z \sp 3}}+
+{{\left( {b \sp 4} -{4 \  a \  b} \right)}\  {z \sp 2}}-
+\hbox{\hskip 4.0cm}
+\\
+\\
+\displaystyle
+\left.
+{2 \  a \  {b \sp 2} \  z} -{b \sp 3}+{a \sp 2}=0
+\right]
+\end{array}
+\right]
+\hbox{\hskip 7.0cm}
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+\section{System Commands}
+\label{ugIntroSysCmmands}
+We conclude our tour of Axiom with a brief discussion of
+{\it system commands}.  System commands are special statements
+that start with a closing parenthesis ({\tt )}). They are used
+to control or display your Axiom environment, start the
+HyperDoc system, issue operating system commands and leave
+Axiom.  For example, {\tt )system} is used to issue commands
+to the operating system from Axiom.  Here
+is a brief description of some of these commands.  For more
+information on specific commands, see Appendix A 
+on page~\pageref{ugSysCmd}.
+
+Perhaps the most important user command is the {\tt )clear all}
+command that initializes your environment.  Every section and
+subsection in this document has an invisible {\tt )clear all} that is
+read prior to the examples given in the section.  {\tt )clear all}
+gives you a fresh, empty environment with no user variables defined
+and the step number reset to $1$.  The {\tt )clear} command
+can also be used to selectively clear values and properties of system
+variables.
+
+Another useful system command is {\tt )read}.  A preferred way to
+develop an application in Axiom is to put your interactive
+commands into a file, say {\bf my.input} file.  To get Axiom to
+read this file, you use the system command {\tt )read my.input}.
+If you need to make changes to your approach or definitions, go into
+your favorite editor, change {\bf my.input}, then {\tt )read
+my.input} again.
+
+Other system commands include: {\tt )history}, to display
+previous input and/or output lines; {\tt )display}, to display
+properties and values of workspace variables; and {\tt )what}.
+
+Issue {\tt )what} to get a list of Axiom objects that
+contain a given substring in their name.
+\spadcommand{)what operations integrate}
+\begin{verbatim}
+
+Operations whose names satisfy the above pattern(s):
+
+HermiteIntegrate       algintegrate           complexIntegrate       
+expintegrate           extendedIntegrate      fintegrate             
+infieldIntegrate       integrate              internalIntegrate      
+internalIntegrate0     lazyGintegrate         lazyIntegrate          
+lfintegrate            limitedIntegrate       monomialIntegrate      
+nagPolygonIntegrate    palgintegrate          pmComplexintegrate     
+pmintegrate            primintegrate          tanintegrate           
+   
+To get more information about an operation such as 
+limitedIntegrate , issue the command )display op limitedIntegrate
+      
+\end{verbatim}
+
+\subsection{Undo}
+\label{ugIntroUndo}
+A useful system command is {\tt )undo}.  Sometimes while computing
+interactively with Axiom, you make a mistake and enter an
+incorrect definition or assignment.  Or perhaps you need to try one of
+several alternative approaches, one after another, to find the best
+way to approach an application.  For this, you will find the
+{\it undo} facility of Axiom helpful.
+
+System command {\tt )undo n} means ``undo back to step
+$n$''; it restores the values of user variables to those that
+existed immediately after input expression $n$ was evaluated.
+Similarly, {\tt )undo -n} undoes changes caused by the last
+$n$ input expressions.  Once you have done an {\tt )undo},
+you can continue on from there, or make a change and {\bf redo} all
+your input expressions from the point of the {\tt )undo} forward.
+The {\tt )undo} is completely general: it changes the environment
+like any user expression.  Thus you can {\tt )undo} any previous
+undo.
+
+Here is a sample dialogue between user and Axiom.
+
+``Let me define
+two mutually dependent functions $f$ and $g$ piece-wise.''
+\spadcommand{f(0) == 1; g(0) == 1}
+\returnType{Type: Void}
+
+``Here is the general term for $f$.''
+\spadcommand{f(n) == e/2*f(n-1) - x*g(n-1)}
+\returnType{Type: Void}
+
+``And here is the general term for $g$.''
+\spadcommand{g(n) == -x*f(n-1) + d/3*g(n-1)}
+\returnType{Type: Void}
+
+``What is value of $f(3)$?''
+\spadcommand{f(3)}
+$$
+-{x \sp 3}+{{\left( e+{{1 \over 3} \  d} 
+\right)}
+\  {x \sp 2}}+{{\left( -{{1 \over 4} \  {e \sp 2}} -{{1 \over 6} \  d \  e} 
+-{{1 \over 9} \  {d \sp 2}} 
+\right)}
+\  x}+{{1 \over 8} \  {e \sp 3}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+``Hmm, I think I want to define $f$ differently.
+Undo to the environment right after I defined $f$.''
+\spadcommand{)undo 2}
+
+``Here is how I think I want $f$ to be defined instead.''
+\spadcommand{f(n) == d/3*f(n-1) - x*g(n-1)}
+\begin{verbatim}
+   1 old definition(s) deleted for function or rule f 
+\end{verbatim}
+\returnType{Type: Void}
+
+Redo the computation from expression $3$ forward.
+\spadcommand{)undo )redo}
+\begin{verbatim}
+g(n) == -x*f(n-1) + d/3*g(n-1)
+ 
+                                                                   Type: Void
+f(3)
+ 
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function f with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function f as a recurrence relation.
+
++++ |*1;f;1;G82322;AUX| redefined
+
++++ |*1;f;1;G82322| redefined
+\end{verbatim}
+$$
+-{x \sp 3}+{d \  {x \sp 2}} -{{1 \over 3} \  {d \sp 2} \  x}+{{1 \over {27}} 
+\  {d \sp 3}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+``I want my old definition of
+$f$ after all. Undo the undo and restore
+the environment to that immediately after $(4)$.''
+\spadcommand{)undo 4}
+
+``Check that the value of $f(3)$ is restored.''
+\spadcommand{f(3)}
+\begin{verbatim}
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function f with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function f as a recurrence relation.
+
++++ |*1;f;1;G82322;AUX| redefined
+
++++ |*1;f;1;G82322| redefined
+\end{verbatim}
+$$
+-{x \sp 3}+{{\left( e+{{1 \over 3} \  d} 
+\right)}
+\  {x \sp 2}}+{{\left( -{{1 \over 4} \  {e \sp 2}} -{{1 \over 6} \  d \  e} 
+-{{1 \over 9} \  {d \sp 2}} 
+\right)}
+\  x}+{{1 \over 8} \  {e \sp 3}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+After you have gone off on several tangents, then backtracked to
+previous points in your conversation using {\tt )undo}, you might
+want to save all the ``correct'' input commands you issued,
+disregarding those undone.  The system command {\tt )history
+)write mynew.input} writes a clean straight-line program onto the file
+{\bf mynew.input} on your disk.
+
+\section{Graphics}
+\label{ugIntroGraphics}
+Axiom has a two- and three-dimensional drawing and rendering
+\index{graphics} package that allows you to draw, shade, color,
+rotate, translate, map, clip, scale and combine graphic output of
+Axiom computations.  The graphics interface is capable of
+plotting functions of one or more variables and plotting parametric
+surfaces.  Once the graphics figure appears in a window, move your
+mouse to the window and click.  A control panel appears immediately
+and allows you to interactively transform the object.
+
+This is an example of Axiom's two-dimensional plotting.
+From the 2D Control Panel you can rescale the plot, turn axes and units
+on and off and save the image, among other things.
+This PostScript image was produced by clicking on the
+{\bf PS} 2D Control Panel button.
+\spadgraph{draw(cos(5*t/8), t=0..16*\%pi, coordinates==polar)}
+% window was 256 x 256
+%\epsffile[72 72 300 300]{ps/rose-1.ps}
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=176, bbury=186]{ps/p28a.eps}
+\caption{$J_0(\sqrt{x^2+y^2})$ for $-20 \leq x,y \leq 20$}
+\label{tpdhere}
+\end{figure}
+
+This is an example of Axiom's three-dimensional plotting.
+It is a monochrome graph of the complex arctangent
+function.
+The image displayed was rotated and had the ``shade'' and ``outline''
+display options set from the 3D Control Panel.
+The PostScript output was produced by clicking on the
+{\bf save} 3D Control Panel button and then
+clicking on the {\bf PS} button.
+See Section \ref{ugProblemNumeric} on page~\pageref{ugProblemNumeric}
+for more details and examples of Axiom's numeric and graphics capabilities.
+
+\spadgraph{draw((x,y) +-> real atan complex(x,y), -\%pi..\%pi, -\%pi..\%pi, colorFunction == (x,y) +-> argument atan complex(x,y))}
+% window was 256 x 256
+%\epsffile[72 72 285 285]{ps/atan-1.ps}
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=175, bbury=185]{ps/p28b.eps}
+\caption{atan}
+\label{tpdhere1}
+\end{figure}
+
+An exhibit of Axiom images is given later.  For a description of the
+commands and programs that produced these figures, see
+\ref{ugAppGraphics} on page~\pageref{ugAppGraphics}.  PostScript
+\index{PostScript} output is available so that Axiom images can be
+printed.\footnote{PostScript is a trademark of Adobe Systems
+Incorporated, registered in the United States.}  See \ref{ugGraph} on
+page~\pageref{ugGraph} for more examples and details about using
+Axiom's graphics facilities.
+
+This concludes your tour of Axiom.
+To disembark, issue the system command {\tt )quit} to leave Axiom
+and return to the operating system.
+
+\setcounter{chapter}{1}
+
+\chapter{Using Types and Modes}
+\begin{quote}
+Only recently have I begun to realize that the problem is not merely
+one of technical mastery or the competent application of the rules 
+\ldots
+but that there is actually something else which is guiding these
+rules. It actually involves a different level of mastery. It's quite
+a different process to do it right; and every single act that you 
+do can be done in that sense well or badly. But even assuming that 
+you have got the technical part clear, the creation of this quality
+is a much more complicated process of the most utterly absorbing and
+fascinating dimensions. It is in fact a major creative or artistic 
+act -- every single little thing you do -- \ldots
+
+-- Christopher Alexander
+
+(from Patterns of Software by Richard Gabriel)
+
+\end{quote}
+\label{ugTypes}
+
+In this chapter we look at the key notion of {\it type} and its
+generalization {\it mode}.  We show that every Axiom object has a type
+that determines what you can do with the object.  In particular, we
+explain how to use types to call specific functions from particular
+parts of the library and how types and modes can be used to create new
+objects from old.  We also look at {\tt Record} and {\tt Union} types
+and the special type {\tt Any}.  Finally, we give you an idea of how
+Axiom manipulates types and modes internally to resolve ambiguities.
+
+\section{The Basic Idea}
+\label{ugTypesBasic}
+
+The Axiom world deals with many kinds of objects.  There are
+mathematical objects such as numbers and polynomials, data structure
+objects such as lists and arrays, and graphics objects such as points
+and graphic images.  Functions are objects too.
+
+Axiom organizes objects using the notion of domain of computation, or
+simply {\it domain}.  Each domain denotes a class of objects.  The
+class of objects it denotes is usually given by the name of the
+domain: {\tt Integer} for the integers, {\tt Float} for floating-point
+numbers, and so on.  The convention is that the first letter of a
+domain name is capitalized.  Similarly, the domain 
+{\tt Polynomial(Integer)} denotes ``polynomials with integer
+coefficients.''  Also, {\tt Matrix(Float)} denotes ``matrices with
+floating-point entries.''
+
+Every basic Axiom object belongs to a unique domain.  The integer $3$
+belongs to the domain {\tt Integer} and the polynomial $x + 3$ belongs
+to the domain {\tt Polynomial(Integer)}.  The domain of an object is
+also called its {\it type}.  Thus we speak of ``the type 
+{\tt Integer}'' and ``the type {\tt Polynomial(Integer)}.''
+
+After an Axiom computation, the type is displayed toward the
+right-hand side of the page (or screen).
+\spadcommand{-3}
+$$
+-3 
+$$
+\returnType{Type: Integer}
+
+Here we create a rational number but it looks like the last result.
+The type however tells you it is different.  You cannot identify the
+type of an object by how Axiom displays the object.
+\spadcommand{-3/1}
+$$
+-3 
+$$
+\returnType{Type: Fraction Integer}
+
+When a computation produces a result of a simpler type, Axiom leaves
+the type unsimplified.  Thus no information is lost.
+\spadcommand{x + 3 - x}
+$$
+3 
+$$
+\returnType{Type: Polynomial Integer}
+
+This seldom matters since Axiom retracts the answer to the
+simpler type if it is necessary.
+\spadcommand{factorial(\%)}
+$$
+6 
+$$
+\returnType{Type: Expression Integer}
+
+When you issue a positive number, the type {\tt PositiveInteger} is
+printed.  Surely, $3$ also has type {\tt Integer}!  The curious reader
+may now have two questions.  First, is the type of an object not
+unique?  Second, how is {\tt PositiveInteger} related to {\tt
+Integer}?
+\spadcommand{3}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+Any domain can be refined to a {\it subdomain} by a membership 
+{\tt predicate}. A {\tt predicate} is a function that, when applied to an
+object of the domain, returns either {\tt true} or {\tt false}.  For
+example, the domain {\tt Integer} can be refined to the subdomain 
+{\tt PositiveInteger}, the set of integers $x$ such that $x > 0$, by giving
+the Axiom predicate $x +-> x > 0$.  Similarly, Axiom can define
+subdomains such as ``the subdomain of diagonal matrices,'' ``the
+subdomain of lists of length two,'' ``the subdomain of monic
+irreducible polynomials in $x$,'' and so on.  Trivially, any domain is
+a subdomain of itself.
+
+While an object belongs to a unique domain, it can belong to any
+number of subdomains.  Any subdomain of the domain of an object can be
+used as the {\it type} of that object.  The type of $3$ is indeed both
+{\tt Integer} and {\tt PositiveInteger} as well as any other subdomain
+of integer whose predicate is satisfied, such as ``the prime
+integers,'' ``the odd positive integers between 3 and 17,'' and so on.
+
+\subsection{Domain Constructors}
+\label{ugTypesBasicDomainCons}
+
+In Axiom, domains are objects.  You can create them, pass them to
+functions, and, as we'll see later, test them for certain properties.
+
+In Axiom, you ask for a value of a function by applying its name
+to a set of arguments.
+
+To ask for ``the factorial of $7$'' you enter this expression to
+Axiom.  This applies the function {\tt factorial} to the value $7$ to
+compute the result.
+\spadcommand{factorial(7)}
+$$
+5040 
+$$
+\returnType{Type: PositiveInteger}
+
+Enter the type {\tt Polynomial (Integer)} as an expression to Axiom.
+This looks much like a function call as well.  It is!  The result is
+appropriately stated to be of type {\tt Domain}, which according to
+our usual convention, denotes the class of all domains.
+\spadcommand{Polynomial(Integer)}
+$$
+\mbox{\rm Polynomial Integer} 
+$$
+\returnType{Type: Domain}
+
+The most basic operation involving domains is that of building a new
+domain from a given one.  To create the domain of ``polynomials over
+the integers,'' Axiom applies the function {\tt Polynomial} to the
+domain {\tt Integer}.  A function like {\tt Polynomial} is called a
+{\it domain constructor} or, \index{constructor!domain} more simply, a
+{\it constructor}.  A domain constructor is a function that creates a
+domain.  An argument to a domain constructor can be another domain or,
+in general, an arbitrary kind of object.  {\tt Polynomial} takes a
+single domain argument while {\tt SquareMatrix} takes a positive
+integer as an argument to give its dimension and a domain argument to
+give the type of its components.
+
+What kinds of domains can you use as the argument to {\tt Polynomial}
+or {\tt SquareMatrix} or {\tt List}?  Well, the first two are
+mathematical in nature.  You want to be able to perform algebraic
+operations like ``{\tt +}'' and ``{\tt *}'' on polynomials and square
+matrices, and operations such as {\bf determinant} on square
+matrices.  So you want to allow polynomials of integers {\it and}
+polynomials of square matrices with complex number coefficients and,
+in general, anything that ``makes sense.'' At the same time, you don't
+want Axiom to be able to build nonsense domains such as ``polynomials
+of strings!''
+
+In contrast to algebraic structures, data structures can hold any kind
+of object.  Operations on lists such as \spadfunFrom{insert}{List},
+\spadfunFrom{delete}{List}, and \spadfunFrom{concat}{List} just
+manipulate the list itself without changing or operating on its
+elements.  Thus you can build {\tt List} over almost any datatype,
+including itself.
+
+Create a complicated algebraic domain.
+\spadcommand{List (List (Matrix (Polynomial (Complex (Fraction (Integer))))))}
+$$
+\mbox{\rm List List Matrix Polynomial Complex Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+Try to create a meaningless domain.
+\spadcommand{Polynomial(String)}
+\begin{verbatim}
+   Polynomial String is not a valid type.
+\end{verbatim}
+
+Evidently from our last example, Axiom has some mechanism that tells
+what a constructor can use as an argument.  This brings us to the
+notion of {\it category}.  As domains are objects, they too have a
+domain.  The domain of a domain is a category.  A category is simply a
+type whose members are domains.
+
+A common algebraic category is {\tt Ring}, the class of all domains
+that are ``rings.''  A ring is an algebraic structure with constants
+$0$ and $1$ and operations \spadopFrom{+}{Ring}, \spadopFrom{-}{Ring},
+and \spadopFrom{*}{Ring}.  These operations are assumed ``closed''
+with respect to the domain, meaning that they take two objects of the
+domain and produce a result object also in the domain.  The operations
+are understood to satisfy certain ``axioms,'' certain mathematical
+principles providing the algebraic foundation for rings.  For example,
+the {\it additive inverse axiom} for rings states: \begin{center}
+Every element $x$ has an additive inverse $y$ such that $x + y = 0$.
+\end{center} The prototypical example of a domain that is a ring is
+the integers.  Keep them in mind whenever we mention {\tt Ring}.
+
+Many algebraic domain constructors such as {\tt Complex}, 
+{\tt Polynomial}, {\tt Fraction}, take rings as arguments and return rings
+as values.  You can use the infix operator ``$has$'' to ask a domain
+if it belongs to a particular category.
+
+All numerical types are rings.  Domain constructor {\tt Polynomial}
+builds ``the ring of polynomials over any other ring.''
+\spadcommand{Polynomial(Integer) has Ring}
+$$
+{\rm true}
+$$
+\returnType{Type: Boolean}
+
+Constructor {\tt List} never produces a ring.
+\spadcommand{List(Integer) has Ring}
+$$
+{\rm false}
+$$
+\returnType{Type: Boolean}
+
+The constructor {\tt Matrix(R)} builds ``the domain of all matrices
+over the ring $R$.'' This domain is never a ring since the operations
+``{\tt +}'', ``{\tt -}'', and ``{\tt *}'' on matrices of arbitrary
+shapes are undefined.
+\spadcommand{Matrix(Integer) has Ring}
+$$
+{\rm false}
+$$
+\returnType{Type: Boolean}
+
+Thus you can never build polynomials over matrices.
+\spadcommand{Polynomial(Matrix(Integer))}
+\begin{verbatim}
+   Polynomial Matrix Integer is not a valid type.
+\end{verbatim}
+
+Use {\tt SquareMatrix(n,R)} instead.  For any positive integer $n$, it
+builds ``the ring of $n$ by $n$ matrices over $R$.''
+\spadcommand{Polynomial(SquareMatrix(7,Complex(Integer)))}
+$$
+\mbox{\rm Polynomial SquareMatrix(7,Complex Integer)} 
+$$
+\returnType{Type: Domain}
+
+Another common category is {\tt Field}, the class of all fields.
+\index{field} A field is a ring with additional operations.  For
+example, a field has commutative multiplication and a closed operation
+\spadopFrom{/}{Field} for the division of two elements.  {\tt Integer}
+is not a field since, for example, $3/2$ does not have an integer
+result.  The prototypical example of a field is the rational numbers,
+that is, the domain {\tt Fraction(Integer)}.  In general, the
+constructor {\tt Fraction} takes an IntegralDomain, which is a ring
+with additional properties, as an argument and returns a field. 
+\footnote{Actually, the argument domain must have some additional
+so as to belong to the category {\tt IntegralDomain}}
+Other domain constructors, such as {\tt Complex}, build fields only if their
+argument domain is a field.
+
+The complex integers (often called the ``Gaussian integers'') do not form
+a field.
+\spadcommand{Complex(Integer) has Field}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+But fractions of complex integers do.
+\spadcommand{Fraction(Complex(Integer)) has Field}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The algebraically equivalent domain of complex rational numbers is a field
+since domain constructor {\tt Complex} produces a field whenever its
+argument is a field.
+\spadcommand{Complex(Fraction(Integer)) has Field}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The most basic category is {\tt Type}.  \index{Type} It denotes the
+class of all domains and subdomains. Note carefully that {\tt Type}
+does not denote the class of all types.  The type of all categories is
+{\tt Category}.  The type of {\tt Type} itself is undefined.  Domain
+constructor {\tt List} is able to build ``lists of elements from
+domain $D$'' for arbitrary $D$ simply by requiring that $D$ belong to
+category {\tt Type}.
+
+Now, you may ask, what exactly is a category?  \index{category} Like
+domains, categories can be defined in the Axiom language.  A category
+is defined by three components:
+%
+\begin{enumerate}
+\item a name (for example, {\tt Ring}),
+used to refer to the class of domains that the category represents;
+\item a set of operations, used to refer to the operations that
+the domains of this class support
+(for example, ``{\tt +}'', ``{\tt -}'', and ``{\tt *}'' for rings); and
+\item an optional list of other categories that this category extends.
+\end{enumerate}
+%
+This last component is a new idea.  And it is key to the design of
+Axiom!  Because categories can extend one another, they form
+hierarchies.  Detailed charts showing the category hierarchies
+in Axiom are displayed in Appendix (TPDHERE).  There you see
+that all categories are extensions of {\tt Type} and that {\tt Field}
+is an extension of {\tt Ring}.
+
+The operations supported by the domains of a category are called the
+{\sl exports} of that category because these are the operations made
+available for system-wide use.  The exports of a domain of a given
+category are not only the ones explicitly mentioned by the category.
+Since a category extends other categories, the operations of these
+other categories---and all categories these other categories
+extend---are also exported by the domains.
+
+For example, polynomial domains belong to {\tt PolynomialCategory}.
+This category explicitly mentions some twenty-nine operations on
+polynomials, but it extends eleven other categories (including 
+{\tt Ring}).  As a result, the current system has over one hundred
+operations on polynomials.
+
+If a domain belongs to a category that extends, say, {\tt Ring}, it is
+convenient to say that the domain exports {\tt Ring}.  The name of the
+category thus provides a convenient shorthand for the list of
+operations exported by the category.  Rather than listing operations
+such as \spadopFrom{+}{Ring} and \spadopFrom{*}{Ring} of {\tt Ring}
+each time they are needed, the definition of a type simply asserts
+that it exports category {\tt Ring}.
+
+The category name, however, is more than a shorthand.  The name 
+{\tt Ring}, in fact, implies that the operations exported by rings are
+required to satisfy a set of ``axioms'' associated with the name 
+{\tt Ring}. This subtle but important feature distinguishes Axiom from
+other abstract datatype designs.
+
+Why is it not correct to assume that some type is a ring if it exports
+all of the operations of {\tt Ring}?  Here is why.  Some languages
+such as {\bf APL} \index{APL} denote the {\tt Boolean} constants
+{\tt true} and {\tt false} by the integers $1$ and $0$ respectively, then use
+``{\tt +}'' and ``{\tt *}'' to denote the logical operators {\bf or} and
+{\bf and}.  But with these definitions {\tt Boolean} is not a
+ring since the additive inverse axiom is violated. That is, there is
+no inverse element $a$ such that $1 + a = 0$, or, in the usual terms:
+{\tt true or a = false}.  This alternative definition of {\tt Boolean}
+can be easily and correctly implemented in Axiom, since {\tt Boolean}
+simply does not assert that it is of category {\tt Ring}.  This
+prevents the system from building meaningless domains such as 
+{\tt Polynomial(Boolean)} and then wrongfully applying algorithms that
+presume that the ring axioms hold.
+
+Enough on categories. To learn more about them, see Chapter
+\ref{ugCategories} on page~\pageref{ugCategories}.  
+We now return to our discussion of domains.
+
+Domains {\it export} a set of operations to make them available for
+system-wide use.  {\tt Integer}, for example, exports the operations
+\spadopFrom{+}{Integer} and \spadopFrom{=}{Integer} given by the
+signatures \spadopFrom{+}{Integer}:
+\spadsig{(Integer,Integer)}{Integer} and \spadopFrom{=}{Integer}:
+\spadsig{(Integer,Integer)}{Boolean}, respectively.  Each of these
+operations takes two {\tt Integer} arguments.  The
+\spadopFrom{+}{Integer} operation also returns an {\tt Integer} but
+\spadopFrom{=}{Integer} returns a {\tt Boolean}: {\tt true} or {\tt false}.
+The operations exported by a domain usually manipulate objects of the
+domain---but not always.
+
+The operations of a domain may actually take as arguments, and return
+as values, objects from any domain.  For example, {\tt Fraction
+(Integer)} exports the operations \spadopFrom{/}{Fraction}:
+\spadsig{(Integer,Integer)}{Fraction(Integer)} and
+\spadfunFrom{characteristic}{Fraction}:
+\spadsig{}{NonNegativeInteger}.
+
+Suppose all operations of a domain take as arguments and return as
+values, only objects from {\it other} domains.  \index{package} This
+kind of domain \index{constructor!package} is what Axiom calls a {\it
+package}.
+
+A package does not designate a class of objects at all.  Rather, a
+package is just a collection of operations.  Actually the bulk of the
+Axiom library of algorithms consists of packages.  The facilities for
+factorization; integration; solution of linear, polynomial, and
+differential equations; computation of limits; and so on, are all
+defined in packages.  Domains needed by algorithms can be passed to a
+package as arguments or used by name if they are not ``variable.''
+Packages are useful for defining operations that convert objects of
+one type to another, particularly when these types have different
+parameterizations.  As an example, the package {\tt PolynomialFunction2(R,S)} 
+defines operations that convert polynomials
+over a domain $R$ to polynomials over $S$.  To convert an object from
+{\tt Polynomial(Integer)} to {\tt Polynomial(Float)}, Axiom builds the
+package {\tt PolynomialFunctions2(Integer,Float)} in order to create
+the required conversion function.  (This happens ``behind the scenes''
+for you: see \ref{ugTypesConvert} on page~\pageref{ugTypesConvert}
+for details on how to convert objects.)
+
+Axiom categories, domains and packages and all their contained
+functions are written in the Axiom programming language and have been
+compiled into machine code.  This is what comprises the Axiom 
+{\it library}.  We will show you how to use these
+domains and their functions and how to write your own functions.
+
+\section{Writing Types and Modes}
+\label{ugTypesWriting}
+
+We have already seen in the last section \ref{ugTypesBasic} on
+page~\pageref{ugTypesBasic} several examples of types.  Most of these
+examples had either no arguments (for example, {\tt Integer}) or one
+argument (for example, {\tt Polynomial (Integer)}).  In this section
+we give details about writing arbitrary types.  We then define modes
+and discuss how to write them.  We conclude the section with a
+discussion on constructor abbreviations.
+
+When might you need to write a type or mode?  You need to do so when
+you declare variables.
+\spadcommand{a : PositiveInteger}
+\returnType{Type: Void}
+
+You need to do so when you declare functions 
+(See Section \ref{ugTypesDeclare} on page~\pageref{ugTypesDeclare}),
+\spadcommand{f : Integer -> String}
+\returnType{Type: Void}
+
+You need to do so when you convert an object from one type to another
+(See Section \ref{ugTypesConvert} on page~\pageref{ugTypesConvert}).
+\spadcommand{factor(2 :: Complex(Integer))}
+$$
+-{i \  {{\left( 1+i 
+\right)}
+\sp 2}} 
+$$
+\returnType{Type: Factored Complex Integer}
+
+\spadcommand{(2 = 3)\$Integer}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+You need to do so when you give computation target type information
+(See Section \ref{ugTypesPkgCall} on page~\pageref{ugTypesPkgCall}).
+\spadcommand{(2 = 3)@Boolean}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\subsection{Types with No Arguments}
+\label{ugTypesWritingZero}
+
+A constructor with no arguments can be written either
+\index{type!using parentheses} with or without
+\index{parentheses!using with types} trailing opening and closing
+parentheses ``{\tt ()}''.
+
+\begin{center}
+{\tt Boolean()} is the same as {\tt Boolean} \\
+{\tt Integer()} is the same as {\tt Integer} \\
+{\tt String()} is the same as {\tt String} \\
+{\tt Void()} is the same as {\tt Void} 
+\end{center}
+
+It is customary to omit the parentheses.
+
+\subsection{Types with One Argument}
+\label{ugTypesWritingOne}
+
+A constructor with one argument can frequently be 
+\index{type!using parentheses} written with no 
+\index{parentheses!using with types} parentheses.  Types nest from 
+right to left so that {\tt Complex Fraction Polynomial Integer} 
+is the same as {\tt Complex (Fraction (Polynomial (Integer)))}.  
+You need to use parentheses to force the application of a constructor 
+to the correct argument, but you need not use any more than is necessary 
+to remove ambiguities.
+
+Here are some guidelines for using parentheses (they are possibly slightly
+more restrictive than they need to be).
+
+If the argument is an expression like $2 + 3$
+then you must enclose the argument in parentheses.
+\spadcommand{e : PrimeField(2 + 3)}
+\returnType{Type: Void}
+
+If the type is to be used with package calling
+then you must enclose the argument in parentheses.
+\spadcommand{content(2)\$Polynomial(Integer)}
+$$
+2 
+$$
+\returnType{Type: Integer}
+
+Alternatively, you can write the type without parentheses
+then enclose the whole type expression with parentheses.
+\spadcommand{content(2)\$(Polynomial Complex Fraction Integer)}
+$$
+2 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+If you supply computation target type information 
+(See Section \ref{ugTypesPkgCall} on page~\pageref{ugTypesPkgCall}) 
+then you should enclose the argument in parentheses.
+\spadcommand{(2/3)@Fraction(Polynomial(Integer))}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+If the type itself has parentheses around it and we are not in the
+case of the first example above, then the parentheses can usually be
+omitted.
+\spadcommand{(2/3)@Fraction(Polynomial Integer)}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+If the type is used in a declaration and the argument is a single-word
+type, integer or symbol, then the parentheses can usually be omitted.
+\spadcommand{(d,f,g) : Complex Polynomial Integer}
+\returnType{Type: Void}
+
+\subsection{Types with More Than One Argument}
+\label{ugTypesWritingMore}
+
+If a constructor \index{type!using parentheses} has more than
+\index{parentheses!using with types} one argument, you must use
+parentheses.  Some examples are \\
+
+{\tt UnivariatePolynomial(x, Float)} \\ 
+{\tt MultivariatePolynomial([z,w,r], Complex Float)} \\ 
+{\tt SquareMatrix(3, Integer)} \\ 
+{\tt FactoredFunctions2(Integer,Fraction Integer)} 
+
+\subsection{Modes}
+\label{ugTypesWritingModes}
+
+A {\it mode} is a type that possibly is a question mark ({\tt ?}) or
+contains one in an argument position.  For example, the following are
+all modes.\\
+
+{\tt ?} \\
+{\tt Polynomial ?} \\
+{\tt Matrix Polynomial ?} \\
+{\tt SquareMatrix(3,?)} \\
+{\tt Integer} \\
+{\tt OneDimensionalArray(Float)}
+
+As is evident from these examples, a mode is a type with a part that
+is not specified (indicated by a question mark).  Only one ``{\tt ?}'' is
+allowed per mode and it must appear in the most deeply nested argument
+that is a type. Thus {\tt ?(Integer)}, {\tt Matrix(? (Polynomial))},
+{\tt SquareMatrix(?, Integer)} (it requires a numeric argument)
+and {\tt SquareMatrix(?, ?)} are all
+invalid.  The question mark must take the place of a domain, not data.
+This rules out, for example, the two {\tt SquareMatrix} expressions.
+
+Modes can be used for declarations (See Section \ref{ugTypesDeclare}
+on page~\pageref{ugTypesDeclare}) and conversions (Section
+\ref{ugTypesConvert} on page~\pageref{ugTypesConvert}).  However, you
+cannot use a mode for package calling or giving target type information.
+
+\subsection{Abbreviations}
+\label{ugTypesWritingAbbr}
+
+Every constructor has an abbreviation that
+\index{abbreviation!constructor} you can freely
+\index{constructor!abbreviation} substitute for the constructor name.
+In some cases, the abbreviation is nothing more than the capitalized
+version of the constructor name.
+
+\boxed{4.6in}{
+
+\vskip 0.1cm
+Aside from allowing types to be written more concisely, abbreviations
+are used by Axiom to name various system files for constructors (such
+as library filenames, test input files and example files).  Here are
+some common abbreviations.
+
+\begin{center}
+\begin{tabular}{ll}
+\small{\tt COMPLEX}   abbreviates {\tt Complex}             &
+\small{\tt DFLOAT}    abbreviates {\tt DoubleFloat}         \\
+\small{\tt EXPR}      abbreviates {\tt Expression}          &
+\small{\tt FLOAT}     abbreviates {\tt Float}               \\
+\small{\tt FRAC}      abbreviates {\tt Fraction}            &
+\small{\tt INT}       abbreviates {\tt Integer}             \\
+\small{\tt MATRIX}    abbreviates {\tt Matrix}              &
+\small{\tt NNI}       abbreviates {\tt NonNegativeInteger}  \\
+\small{\tt PI}        abbreviates {\tt PositiveInteger}     &
+\small{\tt POLY}      abbreviates {\tt Polynomial}          \\
+\small{\tt STRING}    abbreviates {\tt String}              &
+\small{\tt UP}        abbreviates {\tt UnivariatePolynomial}\\
+\end{tabular}
+\end{center}
+\vskip 0.1cm
+}
+
+You can combine both full constructor names and abbreviations in a
+type expression.  Here are some types using abbreviations.
+
+\begin{center}
+\begin{tabular}{rcl}
+{\tt POLY INT} & is the same as & {\tt Polynomial(INT)} \\
+{\tt POLY(Integer)} & is the same as & {\tt Polynomial(Integer)} \\
+{\tt POLY(Integer)} & is the same as & {\tt Polynomial(INT)} \\
+{\tt FRAC(COMPLEX(INT))} & is the same as & {\tt Fraction Complex Integer} \\
+{\tt FRAC(COMPLEX(INT))} & is the same as & {\tt FRAC(Complex Integer)} 
+\end{tabular}
+\end{center}
+
+There are several ways of finding the names of constructors and their
+abbreviations.  For a specific constructor, use {\tt )abbreviation
+query}.  \index{abbreviation} You can also use the {\tt )what} system
+command to see the names and abbreviations of constructors.
+\index{what} For more information about {\tt )what}, see
+\ref{ugSysCmdwhat} on page~\pageref{ugSysCmdwhat}.
+
+{\tt )abbreviation query} can be abbreviated (no pun intended) to 
+{\tt )abb q}.
+\spadcommand{)abb q Integer}
+\begin{verbatim}
+   INT abbreviates domain Integer 
+\end{verbatim}
+
+The {\tt )abbreviation query} command lists the constructor name if
+you give the abbreviation.  Issue {\tt )abb q} if you want to see the
+names and abbreviations of all Axiom constructors.  
+\spadcommand{)abb q DMP} 
+\begin{verbatim}
+   DMP abbreviates domain DistributedMultivariatePolynomial 
+\end{verbatim}
+
+Issue this to see all packages whose
+names contain the string ``ode''.  \index{what packages}
+\spadcommand{)what packages ode}
+\begin{verbatim}
+---------------------- Packages -----------------------
+
+Packages with names matching patterns:
+     ode 
+
+ EXPRODE  ExpressionSpaceODESolver     
+ FCPAK1   FortranCodePackage1
+ GRAY     GrayCode                     
+ LODEEF   ElementaryFunctionLODESolver
+ NODE1    NonLinearFirstOrderODESolver 
+ ODECONST ConstantLODE
+ ODEEF    ElementaryFunctionODESolver  
+ ODEINT   ODEIntegration
+ ODEPAL   PureAlgebraicLODE            
+ ODERAT   RationalLODE
+ ODERED   ReduceLODE                   
+ ODESYS   SystemODESolver
+ ODETOOLS ODETools
+ UTSODE   UnivariateTaylorSeriesODESolver
+ UTSODETL UTSodetools
+\end{verbatim}
+
+\section{Declarations}
+\label{ugTypesDeclare}
+
+A {\it declaration} is an expression used to restrict the type of
+values that can be assigned to variables.  A colon ``{\tt :}'' is always
+used after a variable or list of variables to be declared.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+For a single variable, the syntax for declaration is
+\begin{center}
+{\it variableName $:$ typeOrMode}
+\end{center}
+
+For multiple variables, the syntax is
+\begin{center}
+{\tt ($\hbox{\it variableName}_{1}$, $\hbox{\it variableName}_{2}$, 
+\ldots $\hbox{\it variableName}_{N}$): {\it typeOrMode}}
+\end{center}
+\vskip 0.1cm
+}
+
+You can always combine a declaration with an assignment.  When you do,
+it is equivalent to first giving a declaration statement, then giving
+an assignment.  For more information on assignment, see
+Section \ref{ugIntroAssign} on page~\pageref{ugIntroAssign} and 
+Section \ref{ugLangAssign} on page~\pageref{ugLangAssign}.  
+To see how to declare your own functions, 
+see \ref{ugUserDeclare} on page~\pageref{ugUserDeclare}.
+
+This declares one variable to have a type.
+\spadcommand{a : Integer}
+\returnType{Type: Void}
+
+This declares several variables to have a type.
+\spadcommand{(b,c) : Integer}
+\returnType{Type: Void}
+
+$a$, $b$ and $c$ can only hold integer values.
+\spadcommand{a := 45}
+$$
+45 
+$$
+\returnType{Type: Integer}
+
+If a value cannot be converted to a declared type,
+an error message is displayed.
+\spadcommand{b := 4/5}
+\begin{verbatim}
+ 
+   Cannot convert right-hand side of assignment
+   4
+   -
+   5
+
+      to an object of the type Integer of the left-hand side.
+\end{verbatim}
+
+This declares a variable with a mode.
+\spadcommand{n : Complex ?}
+\returnType{Type: Void}
+
+This declares several variables with a mode.
+\spadcommand{(p,q,r) : Matrix Polynomial ?}
+\returnType{Type: Void}
+
+This complex object has integer real and imaginary parts.
+\spadcommand{n := -36 + 9 * \%i}
+$$
+-{36}+{9 \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+This complex object has fractional symbolic real and imaginary parts.
+\spadcommand{n := complex(4/(x + y),y/x)}
+$$
+{4 \over {y+x}}+{{y \over x} \  i} 
+$$
+\returnType{Type: Complex Fraction Polynomial Integer}
+
+This matrix has entries that are polynomials with integer
+coefficients.
+\spadcommand{p := [ [1,2],[3,4],[5,6] ]}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+3 & 4 \\ 
+5 & 6 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+This matrix has a single entry that is a polynomial with
+rational number coefficients.
+\spadcommand{q := [ [x - 2/3] ]}
+$$
+\left[
+\begin{array}{c}
+{x -{2 \over 3}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Fraction Integer}
+
+This matrix has entries that are polynomials with complex integer
+coefficients.
+
+\spadcommand{r := [ [1-\%i*x,7*y+4*\%i] ]}
+$$
+\left[
+\begin{array}{cc}
+{-{i \  x}+1} & {{7 \  y}+{4 \  i}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Complex Integer}
+
+Note the difference between this and the next example.
+This is a complex object with polynomial real and imaginary parts.
+
+\spadcommand{f : COMPLEX POLY ? := (x + y*\%i)**2}
+$$
+-{y \sp 2}+{x \sp 2}+{2 \  x \  y \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+This is a polynomial with complex integer coefficients.  The objects
+are convertible from one to the other.  See \ref{ugTypesConvert} on
+page~\pageref{ugTypesConvert} for more information.
+
+\spadcommand{g : POLY COMPLEX ? := (x + y*\%i)**2}
+$$
+-{y \sp 2}+{2 \  i \  x \  y}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Complex Integer}
+
+\section{Records}
+\label{ugTypesRecords}
+
+A {\tt Record} is an object composed of one or more other objects,
+\index{Record} each of which is referenced \index{selector!record}
+with \index{record!selector} a {\it selector}.  Components can all
+belong to the same type or each can have a different type.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for writing a {\tt Record} type is \begin{center} {\tt
+Record($\hbox{\it selector}_{1}$:$\hbox{\it type}_{1}$,
+$\hbox{\it selector}_{2}$:$\hbox{\it type}_{2}$, \ldots,
+$\hbox{\it selector}_{N}$:$\hbox{\it type}_{N}$)} \end{center} You must be
+careful if a selector has the same name as a variable in the
+workspace.  If this occurs, precede the selector name by a single
+\index{quote} quote.\\
+}
+
+Record components are implicitly ordered.  All the components of a
+record can be set at once by assigning the record a bracketed {\it
+tuple} of values of the proper length. For example:
+\spadcommand{r : Record(a:Integer, b: String) := [1, "two"]}  
+$$
+\left[
+{a=1},  {b= \mbox{\tt "two"} } 
+\right]
+$$
+\returnType{Type: Record(a: Integer,b: String)}
+To access a component of a record $r$, write the name $r$, followed by
+a period, followed by a selector.
+
+The object returned by this computation is a record with two components: a
+$quotient$ part and a $remainder$ part.
+\spadcommand{u := divide(5,2)}
+$$
+\left[
+{quotient=2},  {remainder=1} 
+\right]
+$$
+\returnType{Type: Record(quotient: Integer,remainder: Integer)}
+
+This is the quotient part.
+\spadcommand{u.quotient}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the remainder part.
+\spadcommand{u.remainder}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+You can use selector expressions on the left-hand side of an assignment
+to change destructively the components of a record.
+\spadcommand{u.quotient := 8978}
+$$
+8978 
+$$
+\returnType{Type: PositiveInteger}
+
+The selected component $quotient$ has the value $8978$, which is what
+is returned by the assignment.  Check that the value of $u$ was
+modified.
+\spadcommand{u}
+$$
+\left[
+{quotient={8978}},  {remainder=1} 
+\right]
+$$
+\returnType{Type: Record(quotient: Integer,remainder: Integer)}
+
+Selectors are evaluated.  Thus you can use variables that evaluate to
+selectors instead of the selectors themselves.
+\spadcommand{s := 'quotient}
+$$
+quotient 
+$$
+\returnType{Type: Variable quotient}
+
+Be careful!  A selector could have the same name as a variable in the
+workspace.  If this occurs, precede the selector name by a single
+quote, as in $u.'quotient$.  \index{selector!quoting}
+\spadcommand{divide(5,2).s}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Here we declare that the value of $bd$ has two components: a string,
+to be accessed via {\tt name}, and an integer, to be accessed via
+{\tt birthdayMonth}.
+\spadcommand{bd : Record(name : String, birthdayMonth : Integer)}
+\returnType{Type: Void}
+
+You must initially set the value of the entire {\tt Record} at once.
+\spadcommand{bd := ["Judith", 3]}
+$$
+\left[
+{name= \mbox{\tt "Judith"} },  {birthdayMonth=3} 
+\right]
+$$
+\returnType{Type: Record(name: String,birthdayMonth: Integer)}
+
+Once set, you can change any of the individual components.
+\spadcommand{bd.name := "Katie"}
+$$
+\mbox{\tt "Katie"} 
+$$
+\returnType{Type: String}
+
+Records may be nested and the selector names can be shared at
+different levels.
+\spadcommand{r : Record(a : Record(b: Integer, c: Integer), b: Integer)}
+\returnType{Type: Void}
+
+The record $r$ has a $b$ selector at two different levels.
+Here is an initial value for $r$.
+\spadcommand{r := [ [1,2], 3 ]}
+$$
+\left[
+{a={\left[ {b=1},  {c=2} 
+\right]}},
+ {b=3} 
+\right]
+$$
+\returnType{Type: Record(a: Record(b: Integer,c: Integer),b: Integer)}
+
+This extracts the $b$ component from the $a$ component of $r$.
+\spadcommand{r.a.b}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+This extracts the $b$ component from $r$.
+\spadcommand{r.b}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+You can also use spaces or parentheses to refer to {\tt Record}
+components.  This is the same as $r.a$.
+\spadcommand{r(a)}
+$$
+\left[
+{b=1},  {c=2} 
+\right]
+$$
+\returnType{Type: Record(b: Integer,c: Integer)}
+This is the same as $r.b$.
+\spadcommand{r b}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the same as $r.b := 10$.
+\spadcommand{r(b) := 10}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+Look at $r$ to make sure it was modified.
+\spadcommand{r}
+$$
+\left[
+{a={\left[ {b=1},  {c=2} 
+\right]}},
+ {b={10}} 
+\right]
+$$
+\returnType{Type: Record(a: Record(b: Integer,c: Integer),b: Integer)}
+
+\section{Unions}
+\label{ugTypesUnions}
+
+Type {\tt Union} is used for objects that can be of any of a specific
+finite set of types.  \index{Union} Two versions of unions are
+available, one with selectors (like records) and one without.
+\index{union}
+
+\subsection{Unions Without Selectors}
+\label{ugTypesUnionsWOSel}
+
+The declaration $x : Union(Integer, String, Float)$ states that $x$
+can have values that are integers, strings or ``big'' floats.  If, for
+example, the {\tt Union} object is an integer, the object is said to
+belong to the {\tt Integer} {\it branch} of the {\tt Union}.  Note
+that we are being a bit careless with the language here.  Technically,
+the type of $x$ is always {\tt Union(Integer, String, Float)}.  If it
+belongs to the {\tt Integer} branch, $x$ may be converted to an object
+of type {\tt Integer}.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for writing a {\tt Union} type without selectors is
+\begin{center}
+{\tt Union($\hbox{\it type}_{1}$, $\hbox{\it type}_{2}$, 
+\ldots, $\hbox{\it type}+{N}$)}
+\end{center}
+The types in a union without selectors must be distinct.\\
+}
+
+It is possible to create unions like {\tt Union(Integer, PositiveInteger)} 
+but they are difficult to work with because of the overlap in the branch 
+types.  See below for the rules Axiom uses for converting something into 
+a union object.
+
+The {\tt case} infix \index{case} operator returns a {\tt Boolean} and can
+be used to determine the branch in which an object lies.
+
+This function displays a message stating in which branch of the 
+{\tt Union} the object (defined as $x$ above) lies.
+
+\begin{verbatim}
+sayBranch(x : Union(Integer,String,Float)) : Void  ==
+  output
+    x case Integer => "Integer branch"
+    x case String  => "String branch"
+    "Float branch"
+\end{verbatim}
+
+This tries {\bf sayBranch} with an integer.
+\spadcommand{sayBranch 1}
+\begin{verbatim}
+Compiling function sayBranch with type Union(Integer,String,Float)
+    -> Void 
+ Integer branch
+\end{verbatim}
+\returnType{Type: Void}
+
+This tries {\bf sayBranch} with a string.
+\spadcommand{sayBranch "hello"}
+\begin{verbatim}
+   String branch
+\end{verbatim}
+\returnType{Type: Void}
+
+This tries {\bf sayBranch} with a floating-point number.
+\spadcommand{sayBranch 2.718281828}
+\begin{verbatim}
+   Float branch
+\end{verbatim}
+\returnType{Type: Void}
+
+There are two things of interest about this particular
+example to which we would like to draw your attention.
+\begin{enumerate}
+\item Axiom normally converts a result to the target value
+before passing it to the function.
+If we left the declaration information out of this function definition
+then the {\bf sayBranch} call would have been attempted with an
+{\tt Integer} rather than a {\tt Union}, and an error would have
+resulted.
+\item The types in a {\tt Union} are searched in the order given.
+So if the type were given as
+
+%\noindent
+{\tt sayBranch(x: Union(String,Integer,Float,Any)): Void}
+
+then the result would have been ``String branch'' because there
+is a conversion from {\tt Integer} to {\tt String}.
+\end{enumerate}
+
+Sometimes {\tt Union} types can have extremely long names.  Axiom
+therefore abbreviates the names of unions by printing the type of the
+branch first within the {\tt Union} and then eliding the remaining
+types with an ellipsis ({\tt ...}).
+
+Here the {\tt Integer} branch is displayed first.  Use ``{\tt ::}'' to
+create a {\tt Union} object from an object.
+\spadcommand{78 :: Union(Integer,String)}
+$$
+78 
+$$
+\returnType{Type: Union(Integer,...)}
+
+Here the {\tt String} branch is displayed first.
+\spadcommand{s := "string" :: Union(Integer,String)}
+$$
+\mbox{\tt "string"} 
+$$
+\returnType{Type: Union(String,...)}
+
+Use {\tt typeOf} to see the full and actual {\tt Union} type. \index{typeOf}
+\spadcommand{typeOf s}
+$$
+Union(Integer,String) 
+$$
+\returnType{Type: Domain}
+
+A common operation that returns a union is \spadfunFrom{exquo}{Integer}
+which returns the ``exact quotient'' if the quotient is exact,
+\spadcommand{three := exquo(6,2)}
+$$
+3 
+$$
+\returnType{Type: Union(Integer,...)}
+
+and {\tt "failed"} if the quotient is not exact.
+\spadcommand{exquo(5,2)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+A union with a {\tt "failed"} is frequently used to indicate the failure
+or lack of applicability of an object.  As another example, assign an
+integer a variable $r$ declared to be a rational number.
+\spadcommand{r: FRAC INT := 3}
+$$
+3 
+$$
+\returnType{Type: Fraction Integer}
+
+The operation \spadfunFrom{retractIfCan}{Fraction} tries to retract
+the fraction to the underlying domain {\tt Integer}.  It produces a
+union object.  Here it succeeds.
+\spadcommand{retractIfCan(r)}
+$$
+3 
+$$
+\returnType{Type: Union(Integer,...)}
+
+Assign it a rational number.
+\spadcommand{r := 3/2}
+$$
+3 \over 2 
+$$
+\returnType{Type: Fraction Integer}
+
+Here the retraction fails.
+\spadcommand{retractIfCan(r)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+\subsection{Unions With Selectors}
+\label{ugTypesUnionsWSel}
+
+Like records (\ref{ugTypesRecords} on page~\pageref{ugTypesRecords}),
+you can write {\tt Union} types \index{selector!union} with selectors.
+\index{union!selector}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for writing a {\tt Union} type with selectors is
+\begin{center}
+{\tt Union($\hbox{\it selector}_{1}$:$\hbox{\it type}_{1}$, 
+$\hbox{\it selector}_{2}$:$\hbox{\it type}_{2}$, \ldots, 
+$\hbox{\it selector}_{N}$:$\hbox{\it type}_{N}$)}
+\end{center}
+You must be careful if a selector has the same name as a variable in
+the workspace.  If this occurs, precede the selector name by a single
+\index{quote} quote.  \index{selector!quoting} It is an error to use a
+selector that does not correspond to the branch of the {\tt Union} in
+which the element actually lies.  \\
+}
+
+Be sure to understand the difference between records and unions with
+selectors.  \index{union!difference from record} Records can have more
+than one component and the selectors are used to refer to the
+components.  \index{record!difference from union} Unions always have
+one component but the type of that one component can vary.  An object
+of type {\tt Record(a: Integer, b: Float, c: String)} contains an
+integer {\it and} a float {\it and} a string.  An object of type 
+{\tt Union(a: Integer, b: Float, c: String)} contains an integer 
+{\it or} a float {\it or} a string.
+
+Here is a version of the {\bf sayBranch} function (cf.
+\ref{ugTypesUnionsWOSel} on page~\pageref{ugTypesUnionsWOSel}) that
+works with a union with selectors.  It displays a message stating in
+which branch of the {\tt Union} the object lies.
+
+\begin{verbatim}
+sayBranch(x:Union(i:Integer,s:String,f:Float)):Void==
+  output
+    x case i => "Integer branch"
+    x case s  => "String branch"
+    "Float branch"
+\end{verbatim}
+
+Note that {\tt case} uses the selector name as its right-hand argument.
+\index{case} If you accidentally use the branch type on the right-hand
+side of {\tt case}, {\tt false} will be returned.
+
+Declare variable $u$ to have a union type with selectors.
+\spadcommand{u : Union(i : Integer, s : String)}
+\returnType{Type: Void}
+
+Give an initial value to $u$.
+\spadcommand{u := "good morning"}
+$$
+\mbox{\tt "good morning"} 
+$$
+\returnType{Type: Union(s: String,...)}
+
+Use $case$ to determine in which branch of a {\tt Union} an object lies.
+\spadcommand{u case i}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{u case s}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+To access the element in a particular branch, use the selector.
+\spadcommand{u.s}
+$$
+\mbox{\tt "good morning"} 
+$$
+\returnType{Type: String}
+
+\section{The ``Any'' Domain}
+\label{ugTypesAnyNone}
+
+With the exception of objects of type {\tt Record}, all Axiom data
+structures are homogenous, that is, they hold objects all of the same
+type.  \index{Any} If you need to get around this, you can use type
+{\tt Any}.  Using {\tt Any}, for example, you can create lists whose
+elements are integers, rational numbers, strings, and even other
+lists.
+
+Declare $u$ to have type {\tt Any}.
+\spadcommand{u: Any}
+\returnType{Type: Void}
+
+Assign a list of mixed type values to $u$
+\spadcommand{u := [1, 7.2, 3/2, x**2, "wally"]}
+$$
+\left[
+1,  {7.2},  {3 \over 2},  {x \sp 2},  \mbox{\tt "wally"} 
+\right]
+$$
+\returnType{Type: List Any}
+
+When we ask for the elements, Axiom displays these types.
+\spadcommand{u.1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Actually, these objects belong to {\tt Any} but Axiom
+automatically converts them to their natural types for you.
+\spadcommand{u.3}
+$$
+3 \over 2 
+$$
+\returnType{Type: Fraction Integer}
+
+Since type {\tt Any} can be anything, it can only belong to type 
+{\tt Type}.  Therefore it cannot be used in algebraic domains.
+\spadcommand{v : Matrix(Any)}
+\begin{verbatim}
+   Matrix Any is not a valid type.
+\end{verbatim}
+
+Perhaps you are wondering how Axiom internally represents objects of
+type {\tt Any}.  An object of type {\tt Any} consists not only a data
+part representing its normal value, but also a type part (a 
+{\it badge}) giving \index{badge} its type.  For example, the value $1$ of
+type {\tt PositiveInteger} as an object of type {\tt Any} internally
+looks like $[1,{\tt PositiveInteger()}]$.
+
+When should you use {\tt Any} instead of a {\tt Union} type?  For a
+{\tt Union}, you must know in advance exactly which types you are
+going to
+allow.  For {\tt Any}, anything that comes along can be accommodated.
+
+\section{Conversion}
+\label{ugTypesConvert}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+Conversion is the process of changing an object of one type into an
+object of another type.  The syntax for conversion is:
+$$
+{\it object} {\tt ::} {\it newType}
+$$
+}
+
+By default, $3$ has the type {\tt PositiveInteger}.
+\spadcommand{3}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+We can change this into an object of type {\tt Fraction Integer}
+by using ``{\tt ::}''.
+\spadcommand{3 :: Fraction Integer}
+$$
+3 
+$$
+\returnType{Type: Fraction Integer}
+
+A {\it coercion} is a special kind of conversion that Axiom is allowed
+to do automatically when you enter an expression.  Coercions are
+usually somewhat safer than more general conversions.  The Axiom
+library contains operations called {\bf coerce} and {\bf convert}.
+Only the {\bf coerce} operations can be used by the interpreter to
+change an object into an object of another type unless you explicitly
+use a {\tt ::}.
+
+By now you will be quite familiar with what types and modes look like.
+It is useful to think of a type or mode as a pattern for what you want
+the result to be.
+
+Let's start with a square matrix of polynomials with complex rational
+number coefficients. \index{SquareMatrix}
+\spadcommand{m : SquareMatrix(2,POLY COMPLEX FRAC INT)}
+\returnType{Type: Void}
+
+\spadcommand{m := matrix [ [x-3/4*\%i,z*y**2+1/2],[3/7*\%i*y**4 - x,12-\%i*9/5] ]}
+$$
+\left[
+\begin{array}{cc}
+{x -{{3 \over 4} \  i}} & {{{y \sp 2} \  z}+{1 \over 2}} \\ 
+{{{3 \over 7} \  i \  {y \sp 4}} -x} & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Polynomial Complex Fraction Integer)}
+
+We first want to interchange the {\tt Complex} and {\tt Fraction}
+layers.  We do the conversion by doing the interchange in the type
+expression.
+\spadcommand{m1 := m :: SquareMatrix(2,POLY FRAC COMPLEX INT)}
+$$
+\left[
+\begin{array}{cc}
+{x -{{3 \  i} \over 4}} & {{{y \sp 2} \  z}+{1 \over 2}} \\ 
+{{{{3 \  i} \over 7} \  {y \sp 4}} -x} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Polynomial Fraction Complex Integer)}
+
+Interchange the {\tt Polynomial} and the {\tt Fraction} levels.
+\spadcommand{m2 := m1 :: SquareMatrix(2,FRAC POLY COMPLEX INT)}
+$$
+\left[
+\begin{array}{cc}
+{{{4 \  x} -{3 \  i}} \over 4} & {{{2 \  {y \sp 2} \  z}+1} \over 2} \\ 
+{{{3 \  i \  {y \sp 4}} -{7 \  x}} \over 7} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Polynomial Complex Integer)}
+
+Interchange the {\tt Polynomial} and the {\tt Complex} levels.
+\spadcommand{m3 := m2 :: SquareMatrix(2,FRAC COMPLEX POLY INT)}
+$$
+\left[
+\begin{array}{cc}
+{{{4 \  x} -{3 \  i}} \over 4} & {{{2 \  {y \sp 2} \  z}+1} \over 2} \\ 
+{{-{7 \  x}+{3 \  {y \sp 4} \  i}} \over 7} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Complex Polynomial Integer)}
+
+All the entries have changed types, although in comparing the
+last two results only the entry in the lower left corner looks different.
+We did all the intermediate steps to show you what Axiom can do.
+
+In fact, we could have combined all these into one conversion.
+\spadcommand{m :: SquareMatrix(2,FRAC COMPLEX POLY INT)}
+$$
+\left[
+\begin{array}{cc}
+{{{4 \  x} -{3 \  i}} \over 4} & {{{2 \  {y \sp 2} \  z}+1} \over 2} \\ 
+{{-{7 \  x}+{3 \  {y \sp 4} \  i}} \over 7} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Complex Polynomial Integer)}
+
+There are times when Axiom is not be able to do the conversion in one
+step.  You may need to break up the transformation into several
+conversions in order to get an object of the desired type.
+
+We cannot move either {\tt Fraction} or {\tt Complex} above (or to the
+left of, depending on how you look at it) {\tt SquareMatrix} because
+each of these levels requires that its argument type have commutative
+multiplication, whereas {\tt SquareMatrix} does not. That is because
+{\tt Fraction} requires that its argument belong to the category 
+{\tt IntegralDomain} and \index{category} {\tt Complex} requires that its
+argument belong to {\tt CommutativeRing}. 
+See \ref{ugTypesBasic} on page~\pageref{ugTypesBasic} for a
+brief discussion of categories. The {\tt Integer} level did not move
+anywhere because it does not allow any arguments.  We also did not
+move the {\tt SquareMatrix} part anywhere, but we could have.
+
+Recall that $m$ looks like this.
+
+\spadcommand{m}
+$$
+\left[
+\begin{array}{cc}
+{x -{{3 \over 4} \  i}} & {{{y \sp 2} \  z}+{1 \over 2}} \\ 
+{{{3 \over 7} \  i \  {y \sp 4}} -x} & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Polynomial Complex Fraction Integer)}
+
+If we want a polynomial with matrix coefficients rather than a matrix
+with polynomial entries, we can just do the conversion.
+
+\spadcommand{m :: POLY SquareMatrix(2,COMPLEX FRAC INT)}
+$$
+{{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+0 & 0 
+\end{array}
+\right]}
+\  {y \sp 2} \  z}+{{\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+{{3 \over 7} \  i} & 0 
+\end{array}
+\right]}
+\  {y \sp 4}}+{{\left[ 
+\begin{array}{cc}
+1 & 0 \\ 
+-1 & 0 
+\end{array}
+\right]}
+\  x}+{\left[ 
+\begin{array}{cc}
+-{{3 \over 4} \  i} & {1 \over 2} \\ 
+0 & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Polynomial SquareMatrix(2,Complex Fraction Integer)}
+
+We have not yet used modes for any conversions.  Modes are a great
+shorthand for indicating the type of the object you want.  Instead of
+using the long type expression in the last example, we could have
+simply said this.
+
+\spadcommand{m :: POLY ?}
+$$
+{{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+0 & 0 
+\end{array}
+\right]}
+\  {y \sp 2} \  z}+{{\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+{{3 \over 7} \  i} & 0 
+\end{array}
+\right]}
+\  {y \sp 4}}+{{\left[ 
+\begin{array}{cc}
+1 & 0 \\ 
+-1 & 0 
+\end{array}
+\right]}
+\  x}+{\left[ 
+\begin{array}{cc}
+-{{3 \over 4} \  i} & {1 \over 2} \\ 
+0 & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Polynomial SquareMatrix(2,Complex Fraction Integer)}
+
+We can also indicate more structure if we want the entries of the
+matrices to be fractions.
+
+\spadcommand{m :: POLY SquareMatrix(2,FRAC ?)}
+$$
+{{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+0 & 0 
+\end{array}
+\right]}
+\  {y \sp 2} \  z}+{{\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+{{3 \  i} \over 7} & 0 
+\end{array}
+\right]}
+\  {y \sp 4}}+{{\left[ 
+\begin{array}{cc}
+1 & 0 \\ 
+-1 & 0 
+\end{array}
+\right]}
+\  x}+{\left[ 
+\begin{array}{cc}
+-{{3 \  i} \over 4} & {1 \over 2} \\ 
+0 & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Polynomial SquareMatrix(2,Fraction Complex Integer)}
+
+\section{Subdomains Again}
+\label{ugTypesSubdomains}
+
+A {\it subdomain} {\rm S} of a domain {\rm D} is a domain consisting of
+\begin{enumerate} 
+\item those elements of {\rm D} that satisfy some 
+{\it predicate} (that is, a test that returns {\tt true} or {\tt false}) and 
+\item a subset of the operations of {\rm D}.  
+\end{enumerate} 
+Every domain is a subdomain of itself, trivially satisfying the
+membership test: {\tt true}.
+
+Currently, there are only two system-defined subdomains in Axiom that
+receive substantial use.  {\tt PositiveInteger} and 
+{\tt NonNegativeInteger} are subdomains of {\tt Integer}.  An element $x$
+of {\tt NonNegativeInteger} is an integer that is greater than or
+equal to zero, that is, satisfies $x >= 0$.  An element $x$ of 
+{\tt PositiveInteger} is a nonnegative integer that is, in fact, greater
+than zero, that is, satisfies $x > 0$.  Not all operations from 
+{\tt Integer} are available for these subdomains.  For example, negation
+and subtraction are not provided since the subdomains are not closed
+under those operations.  When you use an integer in an expression,
+Axiom assigns to it the type that is the most specific subdomain whose
+predicate is satisfied.
+
+This is a positive integer.
+\spadcommand{5}
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+This is a nonnegative integer.
+\spadcommand{0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+This is neither of the above.
+\spadcommand{-5}
+$$
+-5 
+$$
+\returnType{Type: Integer}
+
+Furthermore, unless you are assigning an integer to a declared variable
+or using a conversion, any integer result has as type the most
+specific subdomain.
+\spadcommand{(-2) - (-3)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{0 :: Integer}
+$$
+0 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{x : NonNegativeInteger := 5}
+$$
+5 
+$$
+\returnType{Type: NonNegativeInteger}
+
+When necessary, Axiom converts an integer object into one belonging to
+a less specific subdomain.  For example, in $3-2$, the arguments to
+\spadopFrom{-}{Integer} are both elements of {\tt PositiveInteger},
+but this type does not provide a subtraction operation.  Neither does
+{\tt NonNegativeInteger}, so $3$ and $2$ are viewed as elements of
+{\tt Integer}, where their difference can be calculated.  The result
+is $1$, which Axiom then automatically assigns the type 
+{\tt PositiveInteger}.
+
+Certain operations are very sensitive to the subdomains to which their
+arguments belong.  This is an element of {\tt PositiveInteger}.
+\spadcommand{2 ** 2}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+This is an element of {\tt Fraction Integer}.
+\spadcommand{2 ** (-2)}
+$$
+1 \over 4 
+$$
+\returnType{Type: Fraction Integer}
+
+It makes sense then that this is a list of elements of {\tt
+PositiveInteger}.
+\spadcommand{[10**i for i in 2..5]}
+$$
+\left[
+{100},  {1000},  {10000},  {100000} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+What should the type of {\tt [10**(i-1) for i in 2..5]} be?  On one hand,
+$i-1$ is always an integer greater than zero as $i$ ranges from $2$ to
+$5$ and so $10**i$ is also always a positive integer.  On the other,
+$i-1$ is a very simple function of $i$.  Axiom does not try to analyze
+every such function over the index's range of values to determine
+whether it is always positive or nowhere negative.  For an arbitrary
+Axiom function, this analysis is not possible.
+
+So, to be consistent no such analysis is done and we get this.
+\spadcommand{[10**(i-1) for i in 2..5]}
+$$
+\left[
+{10},  {100},  {1000},  {10000} 
+\right]
+$$
+\returnType{Type: List Fraction Integer}
+
+To get a list of elements of {\tt PositiveInteger} instead, you have
+two choices.  You can use a conversion.
+
+\spadcommand{[10**((i-1) :: PI) for i in 2..5]}
+\begin{verbatim}
+Compiling function G82696 with type Integer -> Boolean 
+Compiling function G82708 with type NonNegativeInteger -> Boolean 
+\end{verbatim}
+$$
+\left[
+{10},  {100},  {1000},  {10000} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Or you can use {\tt pretend}.  \index{pretend}
+\spadcommand{[10**((i-1) pretend PI) for i in 2..5]}
+$$
+\left[
+{10},  {100},  {1000},  {10000} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The operation {\tt pretend} is used to defeat the Axiom type system.
+The expression {\tt object pretend D} means ``make a new object
+(without copying) of type {\tt D} from {\tt object}.''  If 
+{\tt object} were an integer and you told Axiom to pretend it was a list,
+you would probably see a message about a fatal error being caught and
+memory possibly being damaged.  Lists do not have the same internal
+representation as integers!
+
+You use {\tt pretend} at your peril.  \index{peril}
+
+Use $pretend$ with great care!  Axiom trusts you that the value is of
+the specified type.
+
+\spadcommand{(2/3) pretend Complex Integer}
+$$
+2+{3 \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+\section{Package Calling and Target Types}
+\label{ugTypesPkgCall}
+
+Axiom works hard to figure out what you mean by an expression without
+your having to qualify it with type information.  Nevertheless, there
+are times when you need to help it along by providing hints (or even
+orders!) to get Axiom to do what you want.
+
+We saw in \ref{ugTypesDeclare} on page~\pageref{ugTypesDeclare} that
+declarations using types and modes control the type of the results
+produced.  For example, we can either produce a complex object with
+polynomial real and imaginary parts or a polynomial with complex
+integer coefficients, depending on the declaration.
+
+Package calling is how you tell Axiom to use a particular function
+from a particular part of the library.
+
+Use the \spadopFrom{/}{Fraction} from {\tt Fraction Integer} to create
+a fraction of two integers.
+\spadcommand{2/3}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Integer}
+
+If we wanted a floating point number, we can say ``use the
+\spadopFrom{/}{Float} in {\tt Float}.''
+\spadcommand{(2/3)\$Float}
+$$
+0.6666666666 6666666667 
+$$
+\returnType{Type: Float}
+
+Perhaps we actually wanted a fraction of complex integers.
+\spadcommand{(2/3)\$Fraction(Complex Integer)}
+$$
+2 \over 3 
+$$
+\returnType{Type: Float}
+
+In each case, AXIOM used the indicated operations, sometimes first
+needing to convert the two integers into objects of the appropriate type.
+In these examples, ``/'' is written as an infix operator.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+To use package calling with an infix operator, use the following syntax:
+$$(\ arg_1{\rm \ op\ }arg_2\ )\$type$$
+} 
+
+We used, for example, $(2/3)\${\rm Float}$. The expression $2+3+4$
+is equivalent to $(2+3)+4$. Therefore in the expression 
+$(2+3+4)\${\rm Float}$ the second ``+'' comes from the {\rm Float}
+domain. The first ``+'' comes from {\rm Float} because the package
+call causes AXIOM to convert $(2+3)$ and $4$ to type
+{\rm Float}. Before the sum is converted, it is given a target type
+of {\rm Float} by AXIOM and then evaluated. The target type causes the
+``+'' from {\tt Float} to be used.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+For an operator written before its arguments, you must use parentheses
+around the arguments (even if there is only one), and follow the closing
+parenthesis by a ``\$'' and then the type.
+$$ fun\ (\ arg_1, arg_2, \ldots, arg_N\ )\$type$$
+}
+
+For example, to call the ``minimum'' function from {\rm SmallFloat} on two
+integers, you could write {\bf min}(4,89){\tt SmallFloat}. Another use of
+package calling is to tell AXIOM to use a library function rather than a
+function you defined. We discuss this in 
+Section \ref{ugUserUse} on page~\pageref{ugUserUse}.
+
+Sometimes rather than specifying where an operation comes from, you
+just want to say what type the result should be. We say that you provide a
+{\sl target type} for the expression. Instead of using a ``\$'', use a ``@''
+to specify the requested target type. Otherwise, the syntax is the same.
+Note that giving a target type is not the same as explicitly doing a
+conversion. The first says ``try to pick operations so that the result has
+such-and-such a type.'' The second says ``compute the result and then convert
+to an object of such-and-such a type.''
+
+Sometimes it makes sense, as in this expression, to say ``choose the 
+operations in this expression so that the final result is {\rm Float}.
+\spadcommand{(2/3)@Float}
+$$
+0.6666666666 6666666667 
+$$
+\returnType{Type: Float}
+
+Here we used ``{\tt @}'' to say that the target type of the left-hand side
+was {\tt Float}.  In this simple case, there was no real difference
+between using ``{\tt \$}'' and ``{\tt @}''.  
+You can see the difference if you try the following.
+
+This says to try to choose ``{\tt +}'' so that the result is a string.
+Axiom cannot do this.
+\spadcommand{(2 + 3)@String}
+\begin{verbatim} 
+An expression involving @ String actually evaluated to one of 
+   type PositiveInteger . Perhaps you should use :: String .
+\end{verbatim}
+
+This says to get the {\tt +} from {\tt String} and apply it to the two
+integers.  Axiom also cannot do this because there is no {\tt +}
+exported by {\tt String}.
+\spadcommand{(2 + 3)\$String}
+\begin{verbatim}
+   The function + is not implemented in String .
+\end{verbatim}
+
+(By the way, the operation \spadfunFrom{concat}{String} or juxtaposition
+is used to concatenate two strings.)
+\index{String}
+
+When we have more than one operation in an expression, the difference
+is even more evident.  The following two expressions show that Axiom
+uses the target type to create different objects.  
+The ``{\tt +}'', ``{\tt *}'' and ``{\tt **}'' operations are all 
+chosen so that an object of the correct final type is created.
+
+This says that the operations should be chosen so that the result is a
+{\tt Complex} object.
+\spadcommand{((x + y * \%i)**2)@(Complex Polynomial Integer)}
+$$
+-{y \sp 2}+{x \sp 2}+{2 \  x \  y \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+This says that the operations should be chosen so that the result is a
+{\tt Polynomial} object.
+\spadcommand{((x + y * \%i)**2)@(Polynomial Complex Integer)}
+$$
+-{y \sp 2}+{2 \  i \  x \  y}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Complex Integer}
+
+What do you think might happen if we left off all target type and
+package call information in this last example?
+\spadcommand{(x + y * \%i)**2}
+$$
+-{y \sp 2}+{2 \  i \  x \  y}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Complex Integer}
+
+We can convert it to {\tt Complex} as an afterthought.  But this is
+more work than just saying making what we want in the first place.
+\spadcommand{\% :: Complex ?}
+$$
+-{y \sp 2}+{x \sp 2}+{2 \  x \  y \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+Finally, another use of package calling is to qualify fully an
+operation that is passed as an argument to a function.
+
+Start with a small matrix of integers.
+\spadcommand{h := matrix [ [8,6],[-4,9] ]}
+$$
+\left[
+\begin{array}{cc}
+8 & 6 \\ 
+-4 & 9 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+We want to produce a new matrix that has for entries the
+multiplicative inverses of the entries of $h$.  One way to do this is
+by calling \spadfunFrom{map}{MatrixCategoryFunctions2} with the
+\spadfunFrom{inv}{Fraction} function from {\tt Fraction (Integer)}.
+
+\spadcommand{map(inv\$Fraction(Integer),h)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over 8} & {1 \over 6} \\ 
+-{1 \over 4} & {1 \over 9} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+We could have been a bit less verbose and used abbreviations.
+\spadcommand{map(inv\$FRAC(INT),h)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over 8} & {1 \over 6} \\ 
+-{1 \over 4} & {1 \over 9} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+As it turns out, Axiom is smart enough to know what we mean anyway.
+We can just say this.
+\spadcommand{map(inv,h)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over 8} & {1 \over 6} \\ 
+-{1 \over 4} & {1 \over 9} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+\section{Resolving Types}
+\label{ugTypesResolve}
+
+In this section we briefly describe an internal process by which
+\index{resolve} Axiom determines a type to which two objects of
+possibly different types can be converted.  We do this to give you
+further insight into how Axiom takes your input, analyzes it, and
+produces a result.
+
+What happens when you enter $x + 1$ to Axiom?  Let's look at what you
+get from the two terms of this expression.
+
+This is a symbolic object whose type indicates the name.
+\spadcommand{x}
+$$
+x 
+$$
+\returnType{Type: Variable x}
+
+This is a positive integer.
+\spadcommand{1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+There are no operations in {\tt PositiveInteger} that add positive
+integers to objects of type {\tt Variable(x)} nor are there any in
+{\tt Variable(x)}.  Before it can add the two parts, Axiom must come
+up with a common type to which both $x$ and $1$ can be converted.  We
+say that Axiom must {\it resolve} the two types into a common type.
+In this example, the common type is {\tt Polynomial(Integer)}.
+
+Once this is determined, both parts are converted into polynomials,
+and the addition operation from {\tt Polynomial(Integer)} is used to
+get the answer.
+\spadcommand{x + 1}
+$$
+x+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+Axiom can always resolve two types: if nothing resembling the original
+types can be found, then {\tt Any} is be used.  \index{Any} This is
+fine and useful in some cases.
+
+\spadcommand{["string",3.14159]}
+$$
+\left[
+\mbox{\tt "string"} ,  {3.14159} 
+\right]
+$$
+\returnType{Type: List Any}
+
+In other cases objects of type {\tt Any} can't be used by the
+operations you specified.
+\spadcommand{"string" + 3.14159}
+\begin{verbatim}
+There are 11 exposed and 5 unexposed library operations named + 
+  having 2 argument(s) but none was determined to be applicable. 
+  Use HyperDoc Browse, or issue
+                            )display op +
+  to learn more about the available operations. Perhaps 
+  package-calling the operation or using coercions on the 
+  arguments will allow you to apply the operation.
+ 
+Cannot find a definition or applicable library operation named + 
+  with argument type(s) 
+                               String
+                                Float
+      
+  Perhaps you should use "@" to indicate the required return type, 
+  or "$" to specify which version of the function you need.
+\end{verbatim}
+
+Although this example was contrived, your expressions may need to be
+qualified slightly to help Axiom resolve the types involved.  You may
+need to declare a few variables, do some package calling, provide some
+target type information or do some explicit conversions.
+
+We suggest that you just enter the expression you want evaluated and
+see what Axiom does.  We think you will be impressed with its ability
+to ``do what I mean.''  If Axiom is still being obtuse, give it some
+hints.  As you work with Axiom, you will learn where it needs a little
+help to analyze quickly and perform your computations.
+
+\section{Exposing Domains and Packages}
+\label{ugTypesExpose}
+
+In this section we discuss how Axiom makes some operations available
+to you while hiding others that are meant to be used by developers or
+only in rare cases.  If you are a new user of Axiom, it is likely that
+everything you need is available by default and you may want to skip
+over this section on first reading.
+
+Every \index{constructor!exposed} domain and package in the Axiom
+library \index{constructor!hidden} is \index{exposed!constructor}
+either exposed (meaning that you can use its operations without doing
+anything special) or it is {\it hidden} (meaning you have to either
+package call (see \ref{ugTypesPkgCall} on
+page~\pageref{ugTypesPkgCall}) the operations it contains or
+explicitly expose it to use the operations).  The initial exposure
+status for a constructor is set in the file {\bf exposed.lsp} (see the
+{\it Installer's Note} \index{exposed.lsp @{\bf exposed.lsp}} for
+Axiom \index{file!exposed.lsp @{\bf exposed.lsp}} if you need to know
+the location of this file).  Constructors are collected together in
+\index{group!exposure} {\it exposure groups}.  \index{exposure!group}
+Categories are all in the exposure group ``categories'' and the bulk
+of the basic set of packages and domains that are exposed are in the
+exposure group ``basic.''  Here is an abbreviated sample of the file
+(without the Lisp parentheses):
+
+\begin{verbatim}
+basic
+        AlgebraicNumber                          AN
+        AlgebraGivenByStructuralConstants        ALGSC
+        Any                                      ANY
+        AnyFunctions1                            ANY1
+        BinaryExpansion                          BINARY
+        Boolean                                  BOOLEAN
+        CardinalNumber                           CARD
+        CartesianTensor                          CARTEN
+        Character                                CHAR
+        CharacterClass                           CCLASS
+        CliffordAlgebra                          CLIF
+        Color                                    COLOR
+        Complex                                  COMPLEX
+        ContinuedFraction                        CONTFRAC
+        DecimalExpansion                         DECIMAL
+        ...
+\end{verbatim}
+\begin{verbatim}
+categories
+        AbelianGroup                             ABELGRP
+        AbelianMonoid                            ABELMON
+        AbelianMonoidRing                        AMR
+        AbelianSemiGroup                         ABELSG
+        Aggregate                                AGG
+        Algebra                                  ALGEBRA
+        AlgebraicallyClosedField                 ACF
+        AlgebraicallyClosedFunctionSpace         ACFS
+        ArcHyperbolicFunctionCategory            AHYP
+        ...
+\end{verbatim}
+
+For each constructor in a group, the full name and the abbreviation is
+given.  There are other groups in {\bf exposed.lsp} but initially only
+the constructors in exposure groups ``basic'' ``categories''
+``naglink'' and ``anna'' are exposed.
+
+As an interactive user of Axiom, you do not need to modify this file.
+Instead, use {\tt )set expose} to expose, hide or query the exposure
+status of an individual constructor or exposure group. \index{set expose} 
+The reason for having exposure groups is to be able to expose
+or hide multiple constructors with a single command.  For example, you
+might group together into exposure group ``quantum'' a number of
+domains and packages useful for quantum mechanical computations.
+These probably should not be available to every user, but you want an
+easy way to make the whole collection visible to Axiom when it is
+looking for operations to apply.
+
+If you wanted to hide all the basic constructors available by default,
+you would issue {\tt )set expose drop group basic}.  
+\index{set expose drop group} We do not recommend that you do this.  
+If, however, you discover that you have hidden all the basic constructors, 
+you should issue {\tt )set expose add group basic} to restore your default
+environment.  \index{set expose add group}
+
+It is more likely that you would want to expose or hide individual
+constructors.  In \ref{ugUserTriangle} on
+page~\pageref{ugUserTriangle} we use several operations from 
+{\tt OutputForm}, a domain usually hidden.  To avoid package calling every
+operation from {\tt OutputForm}, we expose the domain and let Axiom
+conclude that those operations should be used.  Use {\tt )set expose
+add constructor} and {\tt )set expose drop constructor} to expose and
+hide a constructor, respectively.  \index{set expose drop constructor}
+You should use the constructor name, not the abbreviation.  The 
+{\tt )set expose} command guides you through these options.  
+\index{set expose add constructor}
+
+If you expose a previously hidden constructor, Axiom exhibits new
+behavior (that was your intention) though you might not expect the
+results that you get.  {\tt OutputForm} is, in fact, one of the worst
+offenders in this regard.  \index{OutputForm} This domain is meant to
+be used by other domains for creating a structure that Axiom knows how
+to display.  It has functions like \spadopFrom{+}{OutputForm} that
+form output representations rather than do mathematical calculations.
+Because of the order in which Axiom looks at constructors when it is
+deciding what operation to apply, {\tt OutputForm} might be used
+instead of what you expect.
+
+This is a polynomial.
+\spadcommand{x + x}
+$$
+2 \  x 
+$$
+\returnType{Type: Polynomial Integer}
+
+Expose {\tt OutputForm}.
+\spadcommand{)set expose add constructor OutputForm }
+\begin{verbatim}
+   OutputForm is now explicitly exposed in frame G82322 
+\end{verbatim}
+
+This is what we get when {\tt OutputForm} is automatically available.
+\spadcommand{x + x}
+$$
+x+x 
+$$
+\returnType{Type: OutputForm}
+
+Hide {\tt OutputForm} so we don't run into problems with any later examples!
+\spadcommand{)set expose drop constructor OutputForm }
+\begin{verbatim}
+   OutputForm is now explicitly hidden in frame G82322 
+\end{verbatim}
+
+Finally, exposure is done on a frame-by-frame basis.  A {\it frame}
+(see \ref{ugSysCmdframe} on page~\pageref{ugSysCmdframe})
+\index{frame!exposure and} is one of possibly several logical Axiom
+workspaces within a physical one, each having its own environment (for
+example, variables and function definitions).  If you have several
+Axiom workspace windows on your screen, they are all different frames,
+automatically created for you by HyperDoc.  Frames can be manually
+created, made active and destroyed by the {\tt )frame} system command.
+\index{frame} They do not share exposure information, so you need to
+use {\tt )set expose} in each one to add or drop constructors from
+view.
+
+\section{Commands for Snooping}
+\label{ugAvailSnoop}
+
+To conclude this chapter, we introduce you to some system commands
+that you can use for getting more information about domains, packages,
+categories, and operations.  The most powerful Axiom facility for
+getting information about constructors and operations is the Browse
+component of HyperDoc.  This is discussed in Chapter 
+\ref{ugBrowse} on page~\pageref{ugBrowse}.
+
+Use the {\tt )what} system command to see lists of system objects
+whose name contain a particular substring (uppercase or lowercase is
+not significant).  \index{what}
+
+Issue this to see a list of all operations with ``{\tt complex}'' in
+their names.  \index{what operation}
+\spadcommand{)what operation complex}
+\begin{verbatim}
+
+Operations whose names satisfy the above pattern(s):
+
+complex                   complex?                          
+complexEigenvalues        complexEigenvectors               
+complexElementary         complexExpand                     
+complexForm               complexIntegrate                  
+complexLimit              complexNormalize                  
+complexNumeric            complexNumericIfCan               
+complexRoots              complexSolve                      
+complexZeros              createLowComplexityNormalBasis    
+createLowComplexityTable  doubleComplex?                    
+drawComplex               drawComplexVectorField            
+fortranComplex            fortranDoubleComplex              
+pmComplexintegrate                
+   
+To get more information about an operation such as 
+complexZeros, issue the command )display op complexZeros 
+\end{verbatim}
+
+If you want to see all domains with ``{\tt matrix}'' in their names,
+issue this.  \index{what domain}
+\spadcommand{)what domain matrix}
+\begin{verbatim}
+----------------------- Domains -----------------------
+
+Domains with names matching patterns:
+     matrix 
+
+ DHMATRIX DenavitHartenbergMatrix      
+ DPMM     DirectProductMatrixModule
+ IMATRIX  IndexedMatrix                
+ LSQM     LieSquareMatrix
+ M3D      ThreeDimensionalMatrix       
+ MATCAT-  MatrixCategory&
+ MATRIX   Matrix                       
+ RMATCAT- RectangularMatrixCategory&
+ RMATRIX  RectangularMatrix            
+ SMATCAT- SquareMatrixCategory&
+ SQMATRIX SquareMatrix
+\end{verbatim}
+
+Similarly, if you wish to see all packages whose names contain ``{\tt
+gauss}'', enter this.  \index{what packages}
+\spadcommand{)what package gauss}
+\begin{verbatim}
+---------------------- Packages -----------------------
+
+Packages with names matching patterns:
+     gauss 
+
+ GAUSSFAC GaussianFactorizationPackage
+\end{verbatim}
+
+This command shows all the operations that {\tt Any} provides.
+Wherever {\tt \$} appears, it means ``{\tt Any}''.  \index{show}
+\spadcommand{)show Any}
+\begin{verbatim}
+ Any  is a domain constructor
+ Abbreviation for Any is ANY 
+ This constructor is exposed in this frame.
+ Issue )edit /usr/local/axiom/mnt/algebra/any.spad 
+  to see algebra source code for ANY 
+
+--------------------- Operations ----------------------
+ ?=? : (%,%) -> Boolean                
+ any : (SExpression,None) -> %
+ coerce : % -> OutputForm              
+ dom : % -> SExpression
+ domainOf : % -> OutputForm            
+ hash : % -> SingleInteger
+ latex : % -> String                   
+ obj : % -> None
+ objectOf : % -> OutputForm            
+ ?~=? : (%,%) -> Boolean
+ showTypeInOutput : Boolean -> String
+
+\end{verbatim}
+
+This displays all operations with the name {\tt complex}.
+\index{display operation}
+\spadcommand{)display operation complex}
+\begin{verbatim}
+There is one exposed function called complex :
+ [1] (D1,D1) -> D from D if D has COMPCAT D1 and D1 has COMRING
+\end{verbatim}
+
+Let's analyze this output.
+
+First we find out what some of the abbreviations mean.
+\spadcommand{)abbreviation query COMPCAT}
+\begin{verbatim}
+   COMPCAT abbreviates category ComplexCategory 
+\end{verbatim}
+
+\spadcommand{)abbreviation query COMRING}
+\begin{verbatim}
+   COMRING abbreviates category CommutativeRing 
+\end{verbatim}
+
+So if {\tt D1} is a commutative ring (such as the integers or floats) and
+{\tt D} belongs to {\tt ComplexCategory D1}, then there is an operation
+called {\bf complex} that takes two elements of {\tt D1} and creates an
+element of {\tt D}.  The primary example of a constructor implementing
+domains belonging to {\tt ComplexCategory} is {\tt Complex}.  See
+\ref{Complex} on page~\pageref{Complex} for more information on that and see
+\ref{ugUserDeclare} on page~\pageref{ugUserDeclare}
+for more information on function types.
+
+\setcounter{chapter}{2}
+
+\chapter{Using HyperDoc}
+\label{ugHyper}
+
+\begin{figure}[htbp]
+\begin{picture}(324,260)%(-54,0)
+\special{psfile=ps/h-root.ps}
+\end{picture}
+\caption{The HyperDoc root window page.}
+\end{figure}
+
+HyperDoc is the gateway to Axiom.  \index{HyperDoc} It's both an
+on-line tutorial and an on-line reference manual.  It also enables you
+to use Axiom simply by using the mouse and filling in templates.
+HyperDoc is available to you if you are running Axiom under the X
+Window System.
+
+Pages usually have active areas, marked in {\bf this font} (bold
+face).  As you move the mouse pointer to an active area, the pointer
+changes from a filled dot to an open circle.  The active areas are
+usually linked to other pages.  When you click on an active area, you
+move to the linked page.
+
+\section{Headings}
+\label{ugHyperHeadings}
+Most pages have a standard set of buttons at the top of the page.
+This is what they mean:
+
+\begin{description}
+
+\item[\HelpBitmap] Click on this to get help.  The button only appears
+if there is specific help for the page you are viewing.  You can get
+{\it general} help for HyperDoc by clicking the help button on the
+home page.
+
+\item[\UpBitmap] Click here to go back one page.
+By clicking on this button repeatedly, you can go back several pages and
+then take off in a new direction.
+
+\item[\ReturnBitmap] Go back to the home page, that is, the page on
+which you started.  Use HyperDoc to explore, to make forays into new
+topics.  Don't worry about how to get back.  HyperDoc remembers where
+you came from.  Just click on this button to return.
+
+\item[\ExitBitmap] From the root window (the one that is displayed
+when you start the system) this button leaves the HyperDoc program,
+and it must be restarted if you want to use it again.  From any other
+HyperDoc window, it just makes that one window go away.  You {\it must} 
+use this button to get rid of a window.  If you use the window
+manager ``Close'' button, then all of HyperDoc goes away.
+
+\end{description}
+
+The buttons are not displayed if they are not applicable to the page
+you are viewing.  For example, there is no \ReturnBitmap button on the
+top-level menu.
+
+\section{Key Definitions}
+\label{ugHyperKeys}
+
+The following keyboard definitions are in effect throughout HyperDoc.
+See \ref{ugHyperScroll} on page~\pageref{ugHyperScroll} and 
+\ref{ugHyperInput} on page~\pageref{ugHyperInput} for some contextual key
+definitions.
+
+\begin{description}
+\item[F1] Display the main help page.
+\item[F3] Same as \ExitBitmap{}, makes the window go away if you are not at the top-level window or quits the HyperDoc facility if you are at the top-level.
+\item[F5] Rereads the HyperDoc database, if necessary (for system developers).
+\item[F9] Displays this information about key definitions.
+\item[F12] Same as {\bf F3}.
+\item[Up Arrow] Scroll up one line.
+\item[Down Arrow] Scroll down one line.
+\item[Page Up] Scroll up one page.
+\item[Page Down] Scroll down one page.
+\end{description}
+
+\section{Scroll Bars}
+\label{ugHyperScroll}
+
+Whenever there is too much text to fit on a page, a 
+{\it scroll \index{scroll bar} bar} 
+automatically appears along the right side.
+
+With a scroll bar, your page becomes an aperture, that is, a window
+into a larger amount of text than can be displayed at one time.  The
+scroll bar lets you move up and down in the text to see different
+parts.  It also shows where the aperture is relative to the whole
+text.  The aperture is indicated by a strip on the scroll bar.
+
+Move the cursor with the mouse to the ``down-arrow'' at the bottom of
+the scroll bar and click.  See that the aperture moves down one line.
+Do it several times.  Each time you click, the aperture moves down one
+line.  Move the mouse to the ``up-arrow'' at the top of the scroll bar
+and click.  The aperture moves up one line each time you click.
+
+Next move the mouse to any position along the middle of the scroll bar
+and click.  HyperDoc attempts to move the top of the aperture to this
+point in the text.
+
+You cannot make the aperture go off the bottom edge.  When the
+aperture is about half the size of text, the lowest you can move the
+aperture is halfway down.
+
+To move up or down one screen at a time, use the \fbox{\bf PageUp} and 
+\fbox{\bf PageDown} keys on your keyboard.  They move the visible part of the
+region up and down one page each time you press them.
+
+If the HyperDoc page does not contain an input area (see
+\ref{ugHyperInput} on page~\pageref{ugHyperInput}), you can also use
+the \fbox{\bf Home} and \fbox{$\uparrow$} and \fbox{$\downarrow$}
+arrow keys to navigate.  When you press the \fbox{\bf Home} key, the
+screen is positioned at the very top of the page.  Use the
+\fbox{$\uparrow$} and \fbox{$\downarrow$} arrow keys to move the
+screen up and down one line at a time, respectively.
+
+\section{Input Areas}
+\label{ugHyperInput}
+
+Input areas are boxes where you can put data.
+
+To enter characters, first move your mouse cursor to somewhere within
+the HyperDoc page.  Characters that you type are inserted in front of
+the underscore.  This means that when you type characters at your
+keyboard, they go into this first input area.
+
+The input area grows to accommodate as many characters as you type.
+Use the \fbox{\bf Backspace} key to erase characters to the left.  To
+modify what you type, use the right-arrow \fbox{$\rightarrow$} and
+left-arrow keys \fbox{$\leftarrow$} and the keys \fbox{\bf Insert},
+\fbox{\bf Delete}, \fbox{\bf Home} and \fbox{\bf End}.  These keys are
+found immediately on the right of the standard IBM keyboard.
+
+If you press the \fbox{\bf Home} key, the cursor moves to the
+beginning of the line and if you press the \fbox{\bf End} key, the
+cursor moves to the end of the line.  Pressing 
+\fbox{\bf Ctrl}--\fbox{\bf End} deletes all the text from the 
+cursor to the end of the line.
+
+A page may have more than one input area.  Only one input area has an
+underscore cursor.  When you first see apage, the top-most input area
+contains the cursor.  To type information into another input area, use
+the \fbox{\bf Enter} or \fbox{\bf Tab} key to move from one input area to
+xanother.  To move in the reverse order, use \fbox{\bf Shift}--\fbox{\bf Tab}.
+
+You can also move from one input area to another using your mouse.
+Notice that each input area is active. Click on one of the areas.
+As you can see, the underscore cursor moves to that window.
+
+\section{Radio Buttons and Toggles}
+\label{ugHyperButtons}
+
+Some pages have {\it radio buttons} and {\it toggles}.
+Radio buttons are a group of buttons like those on car radios: you can
+select only one at a time.
+
+Once you have selected a button, it appears to be inverted and
+contains a checkmark.  To change the selection, move the cursor with
+the mouse to a different radio button and click.
+
+A toggle is an independent button that displays some on/off state.
+When ``on'', the button appears to be inverted and contains a
+checkmark.  When ``off'', the button is raised.
+
+Unlike radio buttons, you can set a group of them any way you like.
+To change toggle the selection, move the cursor with the mouse to the
+button and click.
+
+\section{Search Strings}
+\label{ugHyperSearch}
+
+A {\it search string} is used for searching some database.  To learn
+about search strings, we suggest that you bring up the HyperDoc
+glossary.  To do this from the top-level page of HyperDoc:
+\begin{enumerate}
+\item Click on Reference, bringing up the Axiom Reference page.
+\item Click on Glossary, bringing up the glossary.
+\end{enumerate}
+
+The glossary has an input area at its bottom.  We review the various
+kinds of search strings you can enter to search the glossary.
+
+The simplest search string is a word, for example, {\tt operation}.  A
+word only matches an entry having exactly that spelling.  Enter the
+word {\tt operation} into the input area above then click on 
+{\bf Search}.  As you can see, {\tt operation} matches only one entry,
+namely with {\tt operation} itself.
+
+Normally matching is insensitive to whether the alphabetic characters
+of your search string are in uppercase or lowercase.  Thus 
+{\tt operation} and {\tt OperAtion} both have the same effect.
+%If you prefer that matching be case-sensitive, issue the command
+%{\tt set HHyperName mixedCase} command to the interpreter.
+
+You will very often want to use the wildcard ``{\tt *}'' in your search
+string so as to match multiple entries in the list.  The search key
+``{\tt *}'' matches every entry in the list.  You can also use ``{\tt *}''
+anywhere within a search string to match an arbitrary substring.  Try
+``{\tt cat*}'' for example: enter ``{\tt cat*}'' into the input area and click
+on {\bf Search}.  This matches several entries.
+
+You use any number of wildcards in a search string as long as they are
+not adjacent.  Try search strings such as ``{\tt *dom*}''.  As you see,
+this search string matches ``{\tt domain}'', ``{\tt domain constructor}'',
+``{\tt subdomain}'', and so on.
+
+\subsection{Logical Searches}
+\label{ugLogicalSearches}
+
+For more complicated searches, you can use ``{\tt and}'', ``{\tt or}'', and
+``{\tt not}'' with basic search strings; write logical expressions using
+these three operators just as in the Axiom language.  For example,
+{\tt domain or package} matches the two entries {\tt domain} and 
+{\tt package}.  Similarly, ``{\tt dom* and *con*}'' matches 
+``{\tt domain constructor}'' and others.  Also ``{\tt not *a*}'' matches 
+every entry that does not contain the letter ``{\tt a}'' somewhere.
+
+Use parentheses for grouping.  For example, ``{\tt dom* and (not *con*)}''
+matches ``{\tt domain}'' but not ``{\tt domain constructor}''.
+
+There is no limit to how complex your logical expression can be.
+For example,
+\begin{center}
+{\tt a* or b* or c* or d* or e* and (not *a*)}
+\end{center}
+is a valid expression.
+
+\section{Example Pages}
+\label{ugHyperExample}
+
+Many pages have Axiom example commands.
+
+Each command has an active ``button'' along the left margin.  When you
+click on this button, the output for the command is ``pasted-in.''
+Click again on the button and you see that the pasted-in output
+disappears.
+
+Maybe you would like to run an example?  To do so, just click on any
+part of its text!  When you do, the example line is copied into a new
+interactive Axiom buffer for this HyperDoc page.
+
+Sometimes one example line cannot be run before you run an earlier one.
+Don't worry---HyperDoc automatically runs all the necessary
+lines in the right order!
+
+The new interactive Axiom buffer disappears when you leave HyperDoc.
+If you want to get rid of it beforehand, use the {\bf Cancel} button
+of the X Window manager or issue the Axiom system command 
+{\tt )close.}  \index{close}
+
+\section{X Window Resources for HyperDoc}
+\label{ugHyperResources}
+
+You can control the appearance of HyperDoc while running under Version
+11 \index{HyperDoc X Window System defaults} of the X Window System by
+placing the following resources \index{X Window System} in the file
+{\bf .Xdefaults} in your home directory.  \index{file!.Xdefaults} 
+In what follows, {\it font} is any valid X11 font name
+\index{font} (for example, {\tt Rom14}) and {\it color} is any valid
+X11 color \index{color} specification (for example, {\tt NavyBlue}).
+For more information about fonts and colors, refer to the X Window
+documentation for your system.
+
+\begin{description}
+\item[{\tt Axiom.hyperdoc.RmFont:} {\it font}] \ \newline
+This is the standard text font.  
+The default value is {\tt Rom14}
+\item[{\tt Axiom.hyperdoc.RmColor:} {\it color}] \ \newline
+This is the standard text color.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.ActiveFont:} {\it font}] \ \newline
+This is the font used for HyperDoc link buttons.  
+The default value is {\tt Bld14}
+\item[{\tt Axiom.hyperdoc.ActiveColor:} {\it color}] \ \newline
+This is the color used for HyperDoc link buttons.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.AxiomFont:} {\it font}] \ \newline
+This is the font used for active Axiom commands.
+The default value is {\tt Bld14}
+\item[{\tt Axiom.hyperdoc.AxiomColor:} {\it color}] \ \newline
+This is the color used for active Axiom commands.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.BoldFont:} {\it font}] \ \newline
+This is the font used for bold face.  
+The default value is {\tt Bld14}
+\item[{\tt Axiom.hyperdoc.BoldColor:} {\it color}] \ \newline
+This is the color used for bold face.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.TtFont:} {\it font}] \ \newline
+This is the font used for Axiom output in HyperDoc.
+This font must be fixed-width.  
+The default value is {\tt Rom14}
+\item[{\tt Axiom.hyperdoc.TtColor:} {\it color}] \ \newline
+This is the color used for Axiom output in HyperDoc.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.EmphasizeFont:} {\it font}] \ \newline
+This is the font used for italics.  
+The default value is {\tt Itl14}
+\item[{\tt Axiom.hyperdoc.EmphasizeColor:} {\it color}] \ \newline
+This is the color used for italics.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.InputBackground:} {\it color}] \ \newline
+This is the color used as the background for input areas.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.InputForeground:} {\it color}] \ \newline
+This is the color used as the foreground for input areas.
+The default value is {\tt white}
+\item[{\tt Axiom.hyperdoc.BorderColor:} {\it color}] \ \newline
+This is the color used for drawing border lines.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.Background:} {\it color}] \ \newline
+This is the color used for the background of all windows.
+The default value is {\tt white}
+\end{description}
+\vfill
+\eject
+
+\setcounter{chapter}{3}
+
+\chapter{Input Files and Output Styles}
+\label{ugInOut}
+
+In this chapter we discuss how to collect Axiom statements
+and commands into files and then read the contents into the
+workspace.
+We also show how to display the results of your computations in
+several different styles including \TeX{}, FORTRAN and
+monospace two-dimensional format.\footnote{\TeX{} is a
+trademark of the American Mathematical Society.}
+
+The printed version of this book uses the Axiom \TeX{} output formatter.
+When we demonstrate a particular output style, we will need to turn
+\TeX{} formatting off and the output style on so that the correct output
+is shown in the text.
+
+\section{Input Files}
+\label{ugInOutIn}
+
+In this section we explain what an {\it input file} is and
+\index{file!input} why you would want to know about it.  We discuss
+where Axiom looks for input files and how you can direct it to look
+elsewhere.  We also show how to read the contents of an input file
+into the {\it workspace} and how to use the {\it history} facility to
+generate an input file from the statements you have entered directly
+into the workspace.
+
+An {\it input} file contains Axiom expressions and system commands.
+Anything that you can enter directly to Axiom can be put into an input
+file.  This is how you save input functions and expressions that you
+wish to read into Axiom more than one time.
+
+To read an input file into Axiom, use the {\tt )read} system command.
+\index{read} For example, you can read a file in a particular
+directory by issuing
+\begin{verbatim}
+)read /spad/src/input/matrix.input
+\end{verbatim}
+
+The ``{\bf .input}'' is optional; this also works:
+\begin{verbatim}
+)read /spad/src/input/matrix
+\end{verbatim}
+
+What happens if you just enter {\tt )read matrix.input} or even {\tt
+)read matrix}?  Axiom looks in your current working directory for
+input files that are not qualified by a directory name.  Typically,
+this directory is the directory from which you invoked Axiom.
+
+To change the current working directory, use the {\tt )cd} system
+command.  The command {\tt {)cd}} by itself shows the current working
+\index{directory!default for searching} directory.  \index{cd} To
+change it to \index{file!input!where found} the {\tt {src/input}}
+subdirectory for user ``babar'', issue
+\begin{verbatim}
+)cd /u/babar/src/input
+\end{verbatim}
+Axiom looks first in this directory for an input file.  If it is not
+found, it looks in the system's directories, assuming you meant some
+input file that was provided with Axiom.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+If you have the Axiom history facility turned on (which it is
+by default), you can save all the lines you have entered into the
+workspace by entering
+
+)history )write
+
+\index{history )write}
+
+Axiom tells you what input file to edit to see your statements.  The
+file is in your home directory or in the directory you specified with
+\index{cd} {\tt {)cd}}.\\
+}
+
+In \ref{ugLangBlocks} on page~\pageref{ugLangBlocks} 
+we discuss using indentation in input files to
+group statements into {\it blocks.}
+
+\section{The .axiom.input File}
+\label{ugInOutSpadprof}
+
+When Axiom starts up, it tries to read the input file {\bf
+.axiom.input}\footnote{{\bf.axiom.input} used to be called 
+{\bf axiom.input} in the NAG version}
+from your home \index{start-up profile file}
+directory. \index{file!start-up profile} It
+there is no {\bf .axiom.input} in your home directory, it reads the
+copy located in its own {\bf src/input} directory.
+\index{file!.axiom.input @{\bf .axiom.input}} The file usually
+contains system commands to personalize your Axiom environment.  In
+the remainder of this section we mention a few things that users
+frequently place in their {\bf .axiom.input} files.
+
+In order to have FORTRAN output always produced from your
+computations, place the system command {\tt )set output fortran on} in
+{\bf .axiom.input}.  \index{quit} If you do not want to be prompted
+for confirmation when you issue the {\tt )quit} system command, place
+{\tt )set quit unprotected} in {\bf .axiom.input}.  
+\index{set quit unprotected} 
+If you then decide that you do want to be prompted, issue
+{\tt )set quit protected}.  \index{set quit protected} This is the
+default setting so that new users do not leave Axiom
+inadvertently.\footnote{The system command {\tt )pquit} always
+prompts you for confirmation.}
+
+To see the other system variables you can set, issue {\tt {)set}}
+or use the HyperDoc {\bf Settings} facility to view and change
+Axiom system variables.
+
+\section{Common Features of Using Output Formats}
+\label{ugInOutOut}
+
+In this section we discuss how to start and stop the display
+\index{output formats!common features} of the different output formats
+and how to send the output to the screen or to a file.
+\index{file!sending output to} To fix ideas, we use FORTRAN output
+format for most of the examples.
+
+You can use the {\tt )set output} system \index{output
+formats!starting} command to \index{output formats!stopping} toggle or
+redirect the different kinds of output.  \index{set output} The name
+of the kind of output follows ``output'' in the command.  The names are
+
+\begin{tabular}{@{}ll}
+{\bf fortran} & for FORTRAN output. \\
+{\bf algebra} & for monospace two-dimensional mathematical output. \\
+{\bf tex}     & for \TeX{} output. \\
+{\bf script}  & for IBM Script Formula Format output.
+\end{tabular}
+
+For example, issue {\tt {)set output fortran on}} to turn on FORTRAN
+format and issue {\tt {)set output fortran off}} to turn it off.  By
+default, {\tt algebra} is {\tt on} and all others are {\tt off}.
+\index{set output fortran} When output is started, it is sent to the
+screen.  To send the output to a file, give the file name without
+\index{output formats!sending to file} directory or extension.  Axiom
+appends a file extension depending on the kind of output being
+produced.
+
+Issue this to redirect FORTRAN output to, for example, the file
+{\bf linalg.sfort}.
+\spadcommand{)set output fortran linalg}
+\begin{verbatim}
+   FORTRAN output will be written to file linalg.sfort .
+\end{verbatim}
+
+You must {\it also} turn on the creation of FORTRAN output.
+The above just says where it goes if it is created.
+\spadcommand{)set output fortran on}
+
+In what directory is this output placed?  It goes into the directory
+from which you started Axiom, or if you have used the {\tt {)cd}}
+system command, the one that you specified with {\tt {)cd}}.
+\index{cd} You should use {\tt )cd} before you send the output to the file.
+
+You can always direct output back to the screen by issuing this.
+\index{output formats!sending to screen}
+\spadcommand{)set output fortran console}
+
+Let's make sure FORTRAN formatting is off so that nothing we
+do from now on produces FORTRAN output.
+\spadcommand{)set output fortran off}
+
+We also delete the demonstrated output file we created.
+\spadcommand{)system rm linalg.sfort}
+
+You can abbreviate the words ``{\tt on},'' ``{\tt off},'' and 
+``{\tt console}'' to the minimal number of characters needed to distinguish
+them.  Because of this, you cannot send output to files called 
+{\bf on.sfort, off.sfort, of.sfort, console.sfort, consol.sfort} and so on.
+
+The width of the output on the page is set by \index{output
+formats!line length} {\tt )set output length} for all formats except
+FORTRAN.  \index{set output length} Use {\tt )set fortran fortlength}
+to change the FORTRAN line length from its default value of $72$.
+
+\section{Monospace Two-Dimensional Mathematical Format}
+\label{ugInOutAlgebra}
+
+This is the default output format for Axiom.  
+It is usually on when you start the system.  
+\index{set output algebra} 
+\index{output formats!monospace 2D} 
+\index{monospace 2D output format}
+
+If it is not, issue this.
+\spadcommand{)set output algebra on}
+
+Since the printed version of this book (as opposed to the HyperDoc
+version) shows output produced by the \TeX{} output formatter, let us
+temporarily turn off \TeX{} output.
+\spadcommand{)set output tex off}
+
+Here is an example of what it looks like.
+\spadcommand{matrix [ [i*x**i + j*\%i*y**j for i in 1..2] for j in 3..4]}
+\begin{verbatim}
+
+        +     3           3     2+
+        |3%i y  + x  3%i y  + 2x |
+   (1)  |                        |
+        |     4           4     2|
+        +4%i y  + x  4%i y  + 2x +
+\end{verbatim}
+\returnType{Type: Matrix Polynomial Complex Integer}
+
+Issue this to turn off this kind of formatting.
+\spadcommand{)set output algebra off}
+
+Turn \TeX{} output on again.
+\spadcommand{)set output tex on}
+
+The characters used for the matrix brackets above are rather ugly.
+You get this character set when you issue \index{character set} 
+{\tt )set output characters plain}.  \index{set output characters} This
+character set should be used when you are running on a machine that
+does not support the IBM extended ASCII character set.  If you are
+running on an IBM workstation, for example, issue 
+{\tt )set output characters default} to get better looking output.
+
+\section{TeX Format}
+\label{ugInOutTeX}
+
+Axiom can produce \TeX{} output for your \index{output formats!TeX
+@{\TeX{}}} expressions.  \index{TeX output format @{\TeX{}} output format}
+The output is produced using macros from the \LaTeX{} document
+preparation system by Leslie Lamport\cite{1}. The printed version
+of this book was produced using this formatter.
+
+To turn on \TeX{} output formatting, issue this.
+\index{set output tex}
+\spadcommand{)set output tex on}
+
+Here is an example of its output.
+\begin{verbatim}
+matrix [ [i*x**i + j*\%i*y**j for i in 1..2] for j in 3..4]
+
+$$
+\left[
+\begin{array}{cc}
+{{3 \  i \  {y \sp 3}}+x} & 
+{{3 \  i \  {y \sp 3}}+{2 \  {x \sp 2}}} \\ 
+{{4 \  i \  {y \sp 4}}+x} & 
+{{4 \  i \  {y \sp 4}}+{2 \  {x \sp 2}}} 
+\end{array}
+\right]
+$$
+
+\end{verbatim}
+This formats as
+$$
+\left[
+\begin{array}{cc}
+{{3 \  i \  {y \sp 3}}+x} & 
+{{3 \  i \  {y \sp 3}}+{2 \  {x \sp 2}}} \\ 
+{{4 \  i \  {y \sp 4}}+x} &  
+{{4 \  i \  {y \sp 4}}+{2 \  {x \sp 2}}} 
+\end{array}
+\right]
+$$
+
+To turn \TeX{} output formatting off, issue 
+{\tt {)set output tex off}}.
+The \LaTeX macros in the output generated by Axiom
+are all standard except for the following definitions:
+\begin{verbatim}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+\end{verbatim}
+
+\section{IBM Script Formula Format}
+\label{ugInOutScript}
+
+Axiom can \index{output formats!IBM Script Formula Format} produce IBM
+Script Formula Format output for your 
+\index{IBM Script Formula Format} expressions.
+
+To turn IBM Script Formula Format on, issue this.
+\index{set output script}
+\spadcommand{)set output script on}
+
+Here is an example of its output.
+\begin{verbatim}
+matrix [ [i*x**i + j*%i*y**j for i in 1..2] for j in 3..4]
+
+.eq set blank @
+:df.
+<left lb < < < <3 @@ %i @@ <y sup 3> >+x> here < <3 @@ %i @@
+<y sup 3> >+<2 @@ <x sup 2> > > > habove < < <4 @@ %i @@
+<y sup 4> >+x> here < <4 @@ %i @@ <y sup 4> >+<2 @@
+<x up 2> > > > > right rb>
+:edf.
+\end{verbatim}
+
+To turn IBM Script Formula Format output formatting off, issue this.
+\spadcommand{)set output script off}
+
+\section{FORTRAN Format}
+\label{ugInOutFortran}
+
+In addition to turning FORTRAN output on and off and stating where the
+\index{output formats!FORTRAN} output should be placed, there are many
+options that control the \index{FORTRAN output format} appearance of
+the generated code.  In this section we describe some of the basic
+options.  Issue {\tt )set fortran} to see a full list with their
+current settings.
+
+The output FORTRAN expression usually begins in column 7.  If the
+expression needs more than one line, the ampersand character {\tt \&}
+is used in column 6.  Since some versions of FORTRAN have restrictions
+on the number of lines per statement, Axiom breaks long expressions
+into segments with a maximum of 1320 characters (20 lines of 66
+characters) per segment.  \index{set fortran} If you want to change
+this, say, to 660 characters, issue the system command 
+\index{set fortran explength} {\tt )set fortran explength 660}.  
+\index{FORTRAN output format!breaking into multiple statements} 
+You can turn off the line breaking by issuing {\tt )set fortran segment off}.
+\index{set fortran segment} Various code optimization levels are available.
+
+FORTRAN output is produced after you issue this.
+\index{set output fortran}
+\spadcommand{)set output fortran on}
+
+For the initial examples, we set the optimization level to 0, which is the
+lowest level.
+\index{set fortran optlevel}
+\spadcommand{)set fortran optlevel 0}
+
+The output is usually in columns 7 through 72, although fewer columns
+are used in the following examples so that the output
+\index{FORTRAN output format!line length}
+fits nicely on the page.
+\spadcommand{)set fortran fortlength 60}
+
+By default, the output goes to the screen and is displayed before the
+standard Axiom two-dimensional output.  In this example, an assignment
+to the variable $R1$ was generated because this is the result of step 1.
+\spadcommand{(x+y)**3}
+\begin{verbatim}
+      R1=y**3+3*x*y*y+3*x*x*y+x**3
+\end{verbatim}
+$$
+{y \sp 3}+{3 \  x \  {y \sp 2}}+{3 \  {x \sp 2} \  y}+{x \sp 3} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Here is an example that illustrates the line breaking.
+\spadcommand{(x+y+z)**3}
+\begin{verbatim}
+      R2=z**3+(3*y+3*x)*z*z+(3*y*y+6*x*y+3*x*x)*z+y**3+3*x*y
+     &*y+3*x*x*y+x**3
+\end{verbatim}
+$$
+{z \sp 3}+{{\left( {3 \  y}+{3 \  x} 
+\right)}
+\  {z \sp 2}}+{{\left( {3 \  {y \sp 2}}+{6 \  x \  y}+{3 \  {x \sp 2}} 
+\right)}
+\  z}+{y \sp 3}+{3 \  x \  {y \sp 2}}+{3 \  {x \sp 2} \  y}+{x \sp 3} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Note in the above examples that integers are generally converted to
+\index{FORTRAN output format!integers vs. floats} floating point
+numbers, except in exponents.  This is the default behavior but can be
+turned off by issuing {\tt )set fortran ints2floats off}.  
+\index{set fortran ints2floats} The rules governing when the conversion 
+is done are:
+\begin{enumerate}
+\item If an integer is an exponent, convert it to a floating point
+number if it is greater than 32767 in absolute value, otherwise leave it
+as an integer.
+\item Convert all other integers in an expression to floating point numbers.
+\end{enumerate}
+These rules only govern integers in expressions.  Numbers generated by
+Axiom for $DIMENSION$ statements are also integers.
+
+To set the type of generated FORTRAN data, 
+\index{FORTRAN output format!data types}
+use one of the following:
+\begin{verbatim}
+)set fortran defaulttype REAL
+)set fortran defaulttype INTEGER
+)set fortran defaulttype COMPLEX
+)set fortran defaulttype LOGICAL
+)set fortran defaulttype CHARACTER
+\end{verbatim}
+
+When temporaries are created, they are given a default type of {\tt REAL.}  
+Also, the {\tt REAL} versions of functions are used by default.
+\spadcommand{sin(x)}
+\begin{verbatim}
+      R3=DSIN(x)
+\end{verbatim}
+$$
+\sin 
+\left(
+{x} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+At optimization level 1, Axiom removes common subexpressions.
+\index{FORTRAN output format!optimization level}
+\index{set fortran optlevel}
+\spadcommand{)set fortran optlevel 1}
+
+\spadcommand{(x+y+z)**3}
+\begin{verbatim}
+      T2=y*y
+      T3=x*x
+      R4=z**3+(3*y+3*x)*z*z+(3*T2+6*x*y+3*T3)*z+y**3+3*x*T2+
+     &3*T3*y+x**3
+\end{verbatim}
+$$
+{z \sp 3}+{{\left( {3 \  y}+{3 \  x} 
+\right)}
+\  {z \sp 2}}+{{\left( {3 \  {y \sp 2}}+{6 \  x \  y}+{3 \  {x \sp 2}} 
+\right)}
+\  z}+{y \sp 3}+{3 \  x \  {y \sp 2}}+{3 \  {x \sp 2} \  y}+{x \sp 3} 
+$$
+\returnType{Type: Polynomial Integer}
+
+This changes the precision to {\tt DOUBLE}.  \index{set fortran
+precision double} Substitute {\tt single} for {\tt double}
+\index{FORTRAN output format!precision} to return to single precision.  
+\index{set fortran precision single}
+
+\spadcommand{)set fortran precision double}
+
+Complex constants display the precision.
+\spadcommand{2.3 + 5.6*\%i }
+\begin{verbatim}
+      R5=(2.3D0,5.6D0)
+\end{verbatim}
+$$
+{2.3}+{{5.6} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+The function names that Axiom generates depend on the chosen precision.
+\spadcommand{sin \%e}
+%%NOTE: the book shows DSIN(DEXP(1.0D0))
+\begin{verbatim}
+      R6=DSIN(DEXP(1))
+\end{verbatim}
+$$
+\sin 
+\left(
+{e} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+Reset the precision to {\tt single} and look at these two examples again.
+\spadcommand{)set fortran precision single}
+
+\spadcommand{2.3 + 5.6*\%i}
+\begin{verbatim}
+      R7=(2.3,5.6)
+\end{verbatim}
+$$
+{2.3}+{{5.6} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+\spadcommand{sin \%e}
+%%NOTE: the book shows SIN(EXP(1.))
+\begin{verbatim}
+      R8=SIN(EXP(1))
+\end{verbatim}
+$$
+\sin 
+\left(
+{e} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+Expressions that look like lists, streams, sets or matrices cause
+array code to be generated.
+\spadcommand{[x+1,y+1,z+1]}
+\begin{verbatim}
+      T1(1)=x+1
+      T1(2)=y+1
+      T1(3)=z+1
+      R9=T1
+\end{verbatim}
+$$
+\left[
+{x+1}, {y+1}, {z+1} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+
+A temporary variable is generated to be the name of the array.
+\index{FORTRAN output format!arrays} This may have to be changed in
+your particular application.
+\spadcommand{set[2,3,4,3,5]}
+\begin{verbatim}
+      T1(1)=2
+      T1(2)=3
+      T1(3)=4
+      T1(4)=5
+      R10=T1
+\end{verbatim}
+$$
+\left\{
+2,  3,  4,  5 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+By default, the starting index for generated FORTRAN arrays is $0$.
+\spadcommand{matrix [ [2.3,9.7],[0.0,18.778] ]}
+\begin{verbatim}
+      T1(0,0)=2.3
+      T1(0,1)=9.7
+      T1(1,0)=0.0
+      T1(1,1)=18.778
+      T1
+\end{verbatim}
+$$
+\left[
+\begin{array}{cc}
+{2.3} & {9.7} \\ 
+{0.0} & {18.778} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+To change the starting index for generated FORTRAN arrays to be $1$,
+\index{set fortran startindex} issue this.  This value can only be $0$
+or $1$.
+\spadcommand{)set fortran startindex 1}
+
+Look at the code generated for the matrix again.
+\spadcommand{matrix [ [2.3,9.7],[0.0,18.778] ]}
+\begin{verbatim}
+      T1(1,1)=2.3
+      T1(1,2)=9.7
+      T1(2,1)=0.0
+      T1(2,2)=18.778
+      T1
+\end{verbatim}
+$$
+\left[
+\begin{array}{cc}
+{2.3} & {9.7} \\ 
+{0.0} & {18.778} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+
+\setcounter{chapter}{4}
+
+\chapter{Overview of Interactive Language}
+\label{ugLang}
+
+In this chapter we look at some of the basic components of the Axiom
+language that you can use interactively.  We show how to create a {\it
+block} of expressions, how to form loops and list iterations, how to
+modify the sequential evaluation of a block and how to use 
+{\tt if-then-else} to evaluate parts of your program conditionally.  We
+suggest you first read the boxed material in each section and then
+proceed to a more thorough reading of the chapter.
+
+\section{Immediate and Delayed Assignments}
+\label{ugLangAssign}
+
+A {\it variable} in Axiom refers to a value.  A variable has a name
+beginning with an uppercase or lowercase alphabetic character, 
+``{\tt \%}'', or ``{\tt !}''.  Successive characters (if any) can be any of
+the above, digits, or ``{\tt ?}''.  Case is distinguished.  The
+following are all examples of valid, distinct variable names:
+
+\begin{verbatim}
+a             tooBig?    a1B2c3%!?
+A             %j         numberOfPoints
+beta6         %J         numberofpoints
+\end{verbatim}
+
+The ``{\tt :=}'' operator is the immediate {\it assignment} operator.
+\index{assignment!immediate} Use it to associate a value with a
+variable.  \index{immediate assignment}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for immediate assignment for a single variable is
+\begin{center}
+{\it variable} $:=$ {\it expression}
+\end{center}
+The value returned by an immediate assignment is the value of 
+{\it expression}.\\
+}
+
+The right-hand side of the expression is evaluated, yielding $1$.
+This value is then assigned to $a$.
+\spadcommand{a := 1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+The right-hand side of the expression is evaluated, yielding $1$.
+This value is then assigned to $b$.  Thus $a$ and $b$ both have the
+value $1$ after the sequence of assignments.
+\spadcommand{b := a}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+What is the value of $b$ if $a$ is assigned the value $2$?
+\spadcommand{a := 2}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+As you see, the value of $b$ is left unchanged.
+\spadcommand{b}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+This is what we mean when we say this kind of assignment is {\it
+immediate}; $b$ has no dependency on $a$ after the initial assignment.
+This is the usual notion of assignment found in programming languages
+such as C, \index{C language!assignment} PASCAL
+\index{PASCAL!assignment} and FORTRAN.  \index{FORTRAN!assignment}
+
+Axiom provides delayed assignment with ``{\tt ==}''.
+\index{assignment!delayed} This implements a \index{delayed
+assignment} delayed evaluation of the right-hand side and dependency
+checking.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for delayed assignment is
+\begin{center}
+{\it variable} $==$ {\it expression}
+\end{center}
+The value returned by a delayed assignment is the unique value of {\tt Void}.\\
+}
+
+Using $a$ and $b$ as above, these are the corresponding delayed assignments.
+\spadcommand{a == 1}
+\returnType{Type: Void}
+
+\spadcommand{b == a}
+\returnType{Type: Void}
+
+The right-hand side of each delayed assignment is left unevaluated
+until the variables on the left-hand sides are evaluated.  Therefore
+this evaluation and \ldots
+\spadcommand{a}
+\begin{verbatim}
+Compiling body of rule a to compute value of type PositiveInteger 
+\end{verbatim}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+this evaluation seem the same as before.
+\spadcommand{b}
+\begin{verbatim}
+Compiling body of rule b to compute value of type PositiveInteger 
+\end{verbatim}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+If we change $a$ to $2$
+\spadcommand{a == 2}
+\begin{verbatim}
+   Compiled code for a has been cleared.
+   Compiled code for b has been cleared.
+   1 old definition(s) deleted for function or rule a 
+\end{verbatim}
+\returnType{Type: Void}
+
+then $a$ evaluates to $2$, as expected, but
+\spadcommand{a}
+\begin{verbatim}
+Compiling body of rule a to compute value of type PositiveInteger 
+
++++ |*0;a;1;G82322| redefined
+\end{verbatim}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+the value of $b$ reflects the change to $a$.
+\spadcommand{b}
+\begin{verbatim}
+Compiling body of rule b to compute value of type PositiveInteger 
+
++++ |*0;b;1;G82322| redefined
+\end{verbatim}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+It is possible to set several variables at the same time
+\index{assignment!multiple immediate} by using \index{multiple
+immediate assignment} a {\it tuple} of variables and a tuple of
+expressions. Note that a {\it tuple} is a collection of things
+separated by commas, often surrounded by parentheses.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for multiple immediate assignments is
+\begin{center}
+{\tt ( $\hbox{\it var}_{1}$, $\hbox{\it var}_{2}$, \ldots, 
+$\hbox{\it var}_{N}$ ) := ( $\hbox{\it expr}_{1}$, $\hbox{\it expr}_{2}$, 
+\ldots, $\hbox{\it expr}_{N}$ ) }
+\end{center}
+The value returned by an immediate assignment is the value of
+$\hbox{\it expr}_{N}$.\\
+}
+
+This sets $x$ to $1$ and $y$ to $2$.
+\spadcommand{(x,y) := (1,2)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Multiple immediate assigments are parallel in the sense that the
+expressions on the right are all evaluated before any assignments on
+the left are made.  However, the order of evaluation of these
+expressions is undefined.
+
+You can use multiple immediate assignment to swap the values held by
+variables.
+\spadcommand{(x,y) := (y,x)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+$x$ has the previous value of $y$.
+\spadcommand{x}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+$y$ has the previous value of $x$.
+\spadcommand{y}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+There is no syntactic form for multiple delayed assignments.  See the
+discussion in section \ref{ugUserDelay} on page~\pageref{ugUserDelay}
+about how Axiom differentiates between delayed assignments and user
+functions of no arguments.
+
+\section{Blocks}
+\label{ugLangBlocks}
+
+A {\it block} is a sequence of expressions evaluated in the order that
+they appear, except as modified by control expressions such as
+{\tt break}, \index{break} {\tt return}, \index{return} {\tt iterate} and
+\index{iterate} {\tt if-then-else} constructions.  The value of a block is
+the value of the expression last evaluated in the block.
+
+To leave a block early, use ``{\tt =>}''.  For example, $i < 0 => x$.  The
+expression before the ``{\tt =>}'' must evaluate to {\tt true} or {\tt false}.
+The expression following the ``{\tt =>}'' is the return value for the block.
+
+A block can be constructed in two ways:
+\begin{enumerate}
+\item the expressions can be separated by semicolons
+and the resulting expression surrounded by parentheses, and
+\item the expressions can be written on succeeding lines with each line
+indented the same number of spaces (which must be greater than zero).
+\index{indentation}
+A block entered in this form is
+called a {\it pile}.
+\end{enumerate}
+Only the first form is available if you are entering expressions
+directly to Axiom.  Both forms are available in {\bf .input} files.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for a simple block of expressions entered interactively is
+\begin{center}
+{\tt ( $\hbox{\it expression}_{1}$; $\hbox{\it expression}_{2}$; \ldots; 
+$\hbox{\it expression}_{N}$ )}
+\end{center}
+The value returned by a block is the value of an {\tt =>} expression,
+or $\hbox{\it expression}_{N}$ if no {\tt =>} is encountered.\\
+}
+
+In {\bf .input} files, blocks can also be written using piles.  The
+examples throughout this book are assumed to come from {\bf .input} files.
+
+In this example, we assign a rational number to $a$ using a block
+consisting of three expressions.  This block is written as a pile.
+Each expression in the pile has the same indentation, in this case two
+spaces to the right of the first line.
+\begin{verbatim}
+a :=
+  i := gcd(234,672)
+  i := 3*i**5 - i + 1
+  1 / i
+\end{verbatim}
+$$
+1 \over {23323} 
+$$
+\returnType{Type: Fraction Integer}
+
+Here is the same block written on one line.  This is how you are
+required to enter it at the input prompt.
+\spadcommand{a := (i := gcd(234,672); i := 3*i**5 - i + 1; 1 / i)}
+$$
+1 \over {23323} 
+$$
+\returnType{Type: Fraction Integer}
+
+Blocks can be used to put several expressions on one line.  The value
+returned is that of the last expression.
+\spadcommand{(a := 1; b := 2; c := 3; [a,b,c])}
+$$
+\left[
+1,  2,  3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Axiom gives you two ways of writing a block and the preferred way in
+an {\bf .input} file is to use a pile.  \index{file!input} Roughly
+speaking, a pile is a block whose constituent expressions are indented
+the same amount.  You begin a pile by starting a new line for the
+first expression, indenting it to the right of the previous line.  You
+then enter the second expression on a new line, vertically aligning it
+with the first line. And so on.  If you need to enter an inner pile,
+further indent its lines to the right of the outer pile.  Axiom knows
+where a pile ends.  It ends when a subsequent line is indented to the
+left of the pile or the end of the file.
+
+Blocks can be used to perform several steps before an assignment
+(immediate or delayed) is made.
+\begin{verbatim}
+d :=
+   c := a**2 + b**2
+   sqrt(c * 1.3)
+\end{verbatim}
+$$
+2.5495097567 96392415 
+$$
+\returnType{Type: Float}
+
+Blocks can be used in the arguments to functions.  (Here $h$ is
+assigned $2.1 + 3.5$.)
+\begin{verbatim}
+h := 2.1 +
+   1.0
+   3.5
+\end{verbatim}
+$$
+5.6 
+$$
+\returnType{Type: Float}
+
+Here the second argument to {\bf eval} is $x = z$, where the value of
+$z$ is computed in the first line of the block starting on the second
+line.
+\begin{verbatim}
+eval(x**2 - x*y**2,
+     z := %pi/2.0 - exp(4.1)
+     x = z
+   )
+\end{verbatim}
+$$
+{{58.7694912705 67072878} \  {y \sp 2}}+{3453.8531042012 59382} 
+$$
+\returnType{Type: Polynomial Float}
+
+Blocks can be used in the clauses of {\tt if-then-else} expressions 
+(see \ref{ugLangIf} on page~\pageref{ugLangIf}).
+
+\spadcommand{if h > 3.1 then 1.0 else (z := cos(h); max(z,0.5))}
+$$
+1.0 
+$$
+\returnType{Type: Float}
+
+This is the pile version of the last block.
+\begin{verbatim}
+if h > 3.1 then
+    1.0
+  else
+    z := cos(h)
+    max(z,0.5)
+\end{verbatim}
+$$
+1.0 
+$$
+\returnType{Type: Float}
+
+Blocks can be nested.
+\spadcommand{a := (b := factorial(12); c := (d := eulerPhi(22); factorial(d));b+c)}
+$$
+482630400 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the pile version of the last block.
+\begin{verbatim}
+a :=
+  b := factorial(12)
+  c :=
+    d := eulerPhi(22)
+    factorial(d)
+  b+c
+\end{verbatim}
+$$
+482630400 
+$$
+\returnType{Type: PositiveInteger}
+
+Since $c + d$ does equal $3628855$, $a$ has the value of $c$ and the
+last line is never evaluated.
+\begin{verbatim}
+a :=
+  c := factorial 10
+  d := fibonacci 10
+  c + d = 3628855 => c
+  d
+\end{verbatim}
+$$
+3628800 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{if-then-else}
+\label{ugLangIf}
+
+Like many other programming languages, Axiom uses the three keywords
+\index{if} {\tt if}, {\tt then} \index{then} and {\tt else}
+\index{else} to form \index{conditional} conditional expressions.  The
+{\tt else} part of the conditional is optional.  The expression
+between the {\tt if} and {\tt then} keywords is a {\it predicate}: an
+expression that evaluates to or is convertible to either {\tt true} or
+{\tt false}, that is, a {\tt Boolean}.  \index{Boolean}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for conditional expressions is
+\begin{center}
+{\tt if\ }{\it predicate} 
+{\tt then\ }$\hbox{\it expression}_{1}$ 
+{\tt else\ }$\hbox{\it expression}_{2}$
+\end{center}
+where the {\tt else} $\hbox{\it expression}_{2}$ part is optional.  The
+value returned from a conditional expression is 
+$\hbox{\it expression}_{1}$ if the predicate evaluates to {\tt true} and 
+$\hbox{\it expression}_{2}$ otherwise.  If no {\tt else} clause is given, 
+the value is always the unique value of {\tt Void}.\\
+}
+
+An {\tt if-then-else} expression always returns a value.  If the 
+{\tt else} clause is missing then the entire expression returns the unique
+value of {\tt Void}.  If both clauses are present, the type of the
+value returned by {\tt if} is obtained by resolving the types of the
+values of the two clauses.  See \ref{ugTypesResolve} on
+page~\pageref{ugTypesResolve} for more information.
+
+The predicate must evaluate to, or be convertible to, an object of
+type {\tt Boolean}: {\tt true} or {\tt false}.  By default, the equal
+sign \spadopFrom{=}{Equation} creates \index{equation} an equation.
+
+This is an equation.  \index{Equation} In particular, it is an object
+of type {\tt Equation Polynomial Integer}.
+
+\spadcommand{x + 1 = y}
+$$
+{x+1}=y 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+However, for predicates in {\tt if} expressions, Axiom \index{equality
+testing} places a default target type of {\tt Boolean} on the
+predicate and equality testing is performed.  \index{Boolean} Thus you
+need not qualify the ``{\tt =}'' in any way.  In other contexts you
+may need to tell Axiom that you want to test for equality rather than
+create an equation.  In those cases, use ``{\tt @}'' and a target type
+of {\tt Boolean}.  See section \ref{ugTypesPkgCall} on
+page~\pageref{ugTypesPkgCall} for more information.
+
+The compound symbol meaning ``not equal'' in Axiom is
+\index{inequality testing} ``{$\sim =$}''.  \index{\_notequal@$\sim =$} 
+This can be used directly without a package call or a target
+specification.  The expression $a$~$\sim =$~$b$ is directly translated
+into {\tt not}$(a = b)$.
+
+Many other functions have return values of type {\tt Boolean}.  These
+include ``{\tt <}'', ``{\tt <=}'', ``{\tt >}'', ``{\tt >=}'', 
+``{\tt $\sim$=}'' and ``{\bf member?}''.  By convention,
+operations with names ending in ``{\tt ?}''  return {\tt Boolean} values.
+
+The usual rules for piles are suspended for conditional expressions.
+In {\bf .input} files, the {\tt then} and {\tt else} keywords can begin in the
+same column as the corresponding {\tt if} but may also appear to the
+right.  Each of the following styles of writing {\tt if-then-else}
+expressions is acceptable:
+\begin{verbatim}
+if i>0 then output("positive") else output("nonpositive")
+
+if i > 0 then output("positive")
+  else output("nonpositive")
+
+if i > 0 then output("positive")
+else output("nonpositive")
+
+if i > 0
+then output("positive")
+else output("nonpositive")
+
+if i > 0
+  then output("positive")
+  else output("nonpositive")
+\end{verbatim}
+
+A block can follow the {\tt then} or {\tt else} keywords.  In the following
+two assignments to {\tt a}, the {\tt then} and {\tt else} clauses each are
+followed by two-line piles.  The value returned in each is the value
+of the second line.
+\begin{verbatim}
+a :=
+  if i > 0 then
+    j := sin(i * pi())
+    exp(j + 1/j)
+  else
+    j := cos(i * 0.5 * pi())
+    log(abs(j)**5 + 1)
+
+a :=
+  if i > 0
+    then
+      j := sin(i * pi())
+      exp(j + 1/j)
+    else
+      j := cos(i * 0.5 * pi())
+      log(abs(j)**5 + 1)
+\end{verbatim}
+
+These are both equivalent to the following:
+\begin{verbatim}
+a :=
+  if i > 0 then (j := sin(i * pi()); exp(j + 1/j))
+  else (j := cos(i * 0.5 * pi()); log(abs(j)**5 + 1))
+\end{verbatim}
+
+\section{Loops}
+\label{ugLangLoops}
+
+A {\it loop} is an expression that contains another expression,
+\index{loop} called the {\it loop body}, which is to be evaluated zero
+or more \index{loop!body} times.  All loops contain the {\tt repeat}
+keyword and return the unique value of {\tt Void}.  Loops can contain
+inner loops to any depth.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The most basic loop is of the form
+\begin{center}
+{\tt repeat\ }{\it loopBody}
+\end{center}
+
+Unless {\it loopBody} contains a {\tt break} or {\tt return} expression, the
+loop repeats forever.  The value returned by the loop is the unique
+value of {\tt Void}.\\
+}
+
+\subsection{Compiling vs. Interpreting Loops}
+\label{ugLangLoopsCompInt}
+
+Axiom tries to determine completely the type of every object in a loop
+and then to translate the loop body to LISP or even to machine code.
+This translation is called compilation.
+
+If Axiom decides that it cannot compile the loop, it issues a
+\index{loop!compilation} message stating the problem and then the
+following message:
+\begin{center}
+{\bf We will attempt to step through and interpret the code.}
+\end{center}
+
+It is still possible that Axiom can evaluate the loop but in {\it
+interpret-code mode}.  See section \ref{ugUserCompInt} on
+page~\pageref{ugUserCompInt} where this is discussed in terms
+\index{panic!avoiding} of compiling versus interpreting functions.
+
+\subsection{return in Loops}
+\label{ugLangLoopsReturn}
+
+A {\tt return} expression is used to exit a function with
+\index{loop!leaving via return} a particular value.  In particular, if
+a {\tt return} is in a loop within the \index{return} function, the loop
+is terminated whenever the {\tt return} is evaluated.
+%> This is a bug! The compiler should never accept allow
+%> Void to be the return type of a function when it has to use
+%> resolve to determine it.
+
+Suppose we start with this.
+\begin{verbatim}
+f() ==
+  i := 1
+  repeat
+    if factorial(i) > 1000 then return i
+    i := i + 1
+\end{verbatim}
+\returnType{Type: Void}
+
+When {\tt factorial(i)} is big enough, control passes from inside the loop
+all the way outside the function, returning the value of $i$ (or so we
+think).
+\spadcommand{f()}
+\returnType{Type: Void}
+
+What went wrong?  Isn't it obvious that this function should return an
+integer?  Well, Axiom makes no attempt to analyze the structure of a
+loop to determine if it always returns a value because, in general,
+this is impossible.  So Axiom has this simple rule: the type of the
+function is determined by the type of its body, in this case a block.
+The normal value of a block is the value of its last expression, in
+this case, a loop.  And the value of every loop is the unique value of
+{\tt Void}.!  So the return type of {\bf f} is {\tt Void}.
+
+There are two ways to fix this.  The best way is for you to tell Axiom
+what the return type of $f$ is.  You do this by giving $f$ a
+declaration {\tt f:()~->~Integer} prior to calling for its value.  This
+tells Axiom: ``trust me---an integer is returned.''  We'll explain
+more about this in the next chapter.  Another clumsy way is to add a
+dummy expression as follows.
+
+Since we want an integer, let's stick in a dummy final expression that is
+an integer and will never be evaluated.
+\begin{verbatim}
+f() ==
+  i := 1
+  repeat
+    if factorial(i) > 1000 then return i
+    i := i + 1
+  0
+\end{verbatim}
+\returnType{Type: Void}
+
+When we try {\bf f} again we get what we wanted.  See
+\ref{ugUserBlocks} on page~\pageref{ugUserBlocks} for more information.
+
+\spadcommand{f()}
+\begin{verbatim}
+   Compiling function f with type () -> NonNegativeInteger 
+\end{verbatim}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{break in Loops}
+\label{ugLangLoopsBreak}
+
+The {\tt break} keyword is often more useful \index{break} in terminating
+\index{loop!leaving via break} a loop.  A {\tt break} causes control to
+transfer to the expression immediately following the loop.  As loops
+always return the unique value of {\tt Void}., you cannot return a
+value with {\tt break}.  That is, {\tt break} takes no argument.
+
+This example is a modification of the last example in the previous
+section \ref{ugLangLoopsReturn} on page~\pageref{ugLangLoopsReturn}.
+Instead of using {\tt return}, we'll use {\tt break}.
+
+\begin{verbatim}
+f() ==
+  i := 1
+  repeat
+    if factorial(i) > 1000 then break
+    i := i + 1
+  i
+\end{verbatim}
+\begin{verbatim}
+   Compiled code for f has been cleared.
+   1 old definition(s) deleted for function or rule f 
+\end{verbatim}
+\returnType{Type: Void}
+
+The loop terminates when {\tt factorial(i)} gets big enough, the last line
+of the function evaluates to the corresponding ``good'' value of $i$,
+and the function terminates, returning that value.
+
+\spadcommand{f()}
+\begin{verbatim}
+   Compiling function f with type () -> PositiveInteger 
+
++++ |*0;f;1;G82322| redefined
+\end{verbatim}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+You can only use {\tt break} to terminate the evaluation of one loop.
+Let's consider a loop within a loop, that is, a loop with a nested
+loop.  First, we initialize two counter variables.
+
+\spadcommand{(i,j) := (1, 1)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Nested loops must have multiple {\tt break} \index{loop!nested}
+expressions at the appropriate nesting level.  How would you rewrite
+this so {\tt (i + j) > 10} is only evaluated once?
+\begin{verbatim}
+repeat
+  repeat
+    if (i + j) > 10 then break
+    j := j + 1
+  if (i + j) > 10 then break
+  i := i + 1
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{break vs. {\tt =>} in Loop Bodies}
+\label{ugLangLoopsBreakVs}
+
+Compare the following two loops:
+\begin{verbatim}
+i := 1                            i := 1
+repeat                            repeat
+  i := i + 1                        i := i + 1
+  i > 3 => i                        if i > 3 then break
+  output(i)                         output(i)
+\end{verbatim}
+
+In the example on the left, the values $2$ and $3$ for $i$ are
+displayed but then the ``{\tt =>}'' does not allow control to reach the
+call to \spadfunFrom{output}{OutputForm} again.  The loop will not
+terminate until you run out of space or interrupt the execution.  The
+variable $i$ will continue to be incremented because the ``{\tt =>}'' only
+means to leave the {\it block}, not the loop.
+
+In the example on the right, upon reaching $4$, the {\tt break} will be
+executed, and both the block and the loop will terminate.  This is one
+of the reasons why both ``{\tt =>}'' and {\tt break} are provided.  Using a
+{\tt while} clause (see below) with the ``{\tt =>}'' \index{while} lets you
+simulate the action of {\tt break}.
+
+\subsection{More Examples of break}
+\label{ugLangLoopsBreakMore}
+
+Here we give four examples of {\tt repeat} loops that terminate when a
+value exceeds a given bound.
+
+First, initialize $i$ as the loop counter.
+\spadcommand{i := 0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Here is the first loop.  When the square of $i$ exceeds $100$, the
+loop terminates.
+\begin{verbatim}
+repeat
+  i := i + 1
+  if i**2 > 100 then break
+\end{verbatim}
+\returnType{Type: Void}
+
+Upon completion, $i$ should have the value $11$.
+\spadcommand{i}
+$$
+11 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Do the same thing except use ``{\tt =>}'' instead an {\tt if-then} expression.
+
+\spadcommand{i := 0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+\begin{verbatim}
+repeat
+  i := i + 1
+  i**2 > 100 => break
+\end{verbatim}
+\returnType{Type: Void}
+
+\spadcommand{i}
+$$
+11 
+$$
+\returnType{Type: NonNegativeInteger}
+
+As a third example, we use a simple loop to compute $n!$.
+\spadcommand{(n, i, f) := (100, 1, 1)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Use $i$ as the iteration variable and $f$ to compute the factorial.
+\begin{verbatim}
+repeat
+  if i > n then break
+  f := f * i
+  i := i + 1
+\end{verbatim}
+\returnType{Type: Void}
+
+Look at the value of $f$.
+\spadcommand{f}
+\begin{verbatim}
+ 93326215443944152681699238856266700490715968264381621468_
+ 59296389521759999322991560894146397615651828625369792082_
+ 7223758251185210916864000000000000000000000000
+\end{verbatim}
+\returnType{Type: PositiveInteger}
+
+Finally, we show an example of nested loops.  First define a four by
+four matrix.
+\spadcommand{m := matrix [ [21,37,53,14], [8,-24,22,-16], [2,10,15,14], [26,33,55,-13] ]}
+$$
+\left[
+\begin{array}{cccc}
+{21} & {37} & {53} & {14} \\ 
+8 & -{24} & {22} & -{16} \\ 
+2 & {10} & {15} & {14} \\ 
+{26} & {33} & {55} & -{13} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+Next, set row counter $r$ and column counter $c$ to $1$.  Note: if we
+were writing a function, these would all be local variables rather
+than global workspace variables.
+\spadcommand{(r, c) := (1, 1)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Also, let {\tt lastrow} and {\tt lastcol} be the final row and column index.
+
+\spadcommand{(lastrow, lastcol) := (nrows(m), ncols(m))}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Scan the rows looking for the first negative element.  We remark that
+you can reformulate this example in a better, more concise form by
+using a {\tt for} clause with {\tt repeat}.  See
+\ref{ugLangLoopsForIn} on page~\pageref{ugLangLoopsForIn} for more
+information.
+
+\begin{verbatim}
+repeat
+  if r > lastrow then break
+  c := 1
+  repeat
+    if c > lastcol then break
+    if elt(m,r,c) < 0 then
+      output [r, c, elt(m,r,c)]
+      r := lastrow
+      break     -- don't look any further
+    c := c + 1
+  r := r + 1
+ 
+   [2,2,- 24]
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{iterate in Loops}
+\label{ugLangLoopsIterate}
+
+Axiom provides an {\tt iterate} expression that \index{iterate} skips over
+the remainder of a loop body and starts the next loop iteration.
+
+We first initialize a counter.
+
+\spadcommand{i := 0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Display the even integers from $2$ to $5$.
+\begin{verbatim}
+repeat
+  i := i + 1
+  if i > 5 then break
+  if odd?(i) then iterate
+  output(i)
+ 
+   2
+   4
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{while Loops}
+\label{ugLangLoopsWhile}
+
+The {\tt repeat} in a loop can be modified by adding one or more {\tt while}
+clauses.  \index{while} Each clause contains a {\it predicate}
+immediately following the {\tt while} keyword.  The predicate is tested
+{\it before} the evaluation of the body of the loop.  The loop body is
+evaluated whenever the predicates in a {\tt while} clause are all {\tt true}.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for a simple loop using {\tt while} is
+\begin{center}
+{\tt while} {\it predicate} {\tt repeat} {\it loopBody}
+\end{center}
+The {\it predicate} is evaluated before {\it loopBody} is evaluated.
+A {\tt while} loop terminates immediately when {\it predicate} evaluates
+to {\tt false} or when a {\tt break} or {\tt return} expression is evaluated in
+{\it loopBody}.  The value returned by the loop is the unique value of
+{\tt Void}.\\
+}
+
+Here is a simple example of using {\tt while} in a loop.  We first
+initialize the counter.
+\spadcommand{i := 1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+The steps involved in computing this example are\\
+(1) set $i$ to $1$,\\
+(2) test the condition $i < 1$ and determine that it is not {\tt true}, and\\
+(3) do not evaluate the loop body and therefore do not display $"hello"$.
+\begin{verbatim}
+while i < 1 repeat
+  output "hello"
+  i := i + 1
+\end{verbatim}
+\returnType{Type: Void}
+
+If you have multiple predicates to be tested use the logical {\tt and}
+operation to separate them.  Axiom evaluates these predicates from
+left to right.
+\spadcommand{(x, y) := (1, 1)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while x < 4 and y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+ 
+   [1,1]
+   [2,3]
+   [3,5]
+\end{verbatim}
+\returnType{Type: Void}
+
+A {\tt break} expression can be included in a loop body to terminate a
+loop even if the predicate in any {\tt while} clauses are not {\tt false}.
+\spadcommand{(x, y) := (1, 1)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+This loop has multiple {\tt while} clauses and the loop terminates
+before any one of their conditions evaluates to {\tt false}.
+\begin{verbatim}
+while x < 4 while y < 10 repeat
+  if x + y > 7 then break
+  output [x,y]
+  x := x + 1
+  y := y + 2
+ 
+   [1,1]
+   [2,3]
+\end{verbatim}
+\returnType{Type: Void}
+
+Here's a different version of the nested loops that looked for the
+first negative element in a matrix.
+\spadcommand{m := matrix [ [21,37,53,14], [8,-24,22,-16], [2,10,15,14], [26,33,55,-13] ]}
+$$
+\left[
+\begin{array}{cccc}
+{21} & {37} & {53} & {14} \\ 
+8 & -{24} & {22} & -{16} \\ 
+2 & {10} & {15} & {14} \\ 
+{26} & {33} & {55} & -{13} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+Initialized the row index to $1$ and get the number of rows and
+columns.  If we were writing a function, these would all be local
+variables.
+\spadcommand{r := 1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{(lastrow, lastcol) := (nrows(m), ncols(m))}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Scan the rows looking for the first negative element.
+\begin{verbatim}
+while r <= lastrow repeat
+  c := 1  -- index of first column
+  while c <= lastcol repeat
+    if elt(m,r,c) < 0 then
+      output [r, c, elt(m,r,c)]
+      r := lastrow
+      break     -- don't look any further
+    c := c + 1
+  r := r + 1
+ 
+   [2,2,- 24]
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{for Loops}
+\label{ugLangLoopsForIn}
+
+Axiom provides the {\tt for} \index{for} and {\tt in\ } \index{in} keywords in
+{\tt repeat} loops, allowing you to iterate across all \index{iteration}
+elements of a list, or to have a variable take on integral values from
+a lower bound to an upper bound.  We shall refer to these modifying
+clauses of {\tt repeat} loops as {\tt for} clauses.  These clauses can be
+present in addition to {\tt while} clauses.  As with all other types of
+{\tt repeat} loops, {\tt break} can \index{break} be used to prematurely
+terminate the evaluation of the loop.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for a simple loop using {\tt for} is
+\begin{center}
+{\tt for} {\it iterator} {\tt repeat} {\it loopBody}
+\end{center}
+
+The {\it iterator} has several forms.  Each form has an end test which
+is evaluated before {\it loopBody} is evaluated.  A {\tt for} loop
+terminates immediately when the end test succeeds (evaluates to 
+{\tt true}) or when a {\tt break} or {\tt return} expression is evaluated
+in {\it loopBody}.  The value returned by the loop is the unique value
+of {\tt Void}.\\ }
+
+\subsection{for i in n..m repeat}
+\label{ugLangLoopsForInNM}
+
+If {\tt for} \index{for} is followed by a variable name, the {\tt in\ }
+\index{in} keyword and then an integer segment of the form $n..m$,
+\index{segment} the end test for this loop is the predicate $i > m$.
+The body of the loop is evaluated $m-n+1$ times if this number is
+greater than 0.  If this number is less than or equal to 0, the loop
+body is not evaluated at all.
+
+The variable $i$ has the value $n, n+1, ..., m$ for successive iterations
+of the loop body.The loop variable is a {\it local variable}
+within the loop body: its value is not available outside the loop body
+and its value and type within the loop body completely mask any outer
+definition of a variable with the same name.
+
+This loop prints the values of
+${10}^3$, ${11}^3$, and $12^3$:
+\spadcommand{for i in 10..12 repeat output(i**3)}
+\begin{verbatim}
+   1000
+   1331
+   1728
+\end{verbatim}
+\returnType{Type: Void}
+
+Here is a sample list.
+\spadcommand{a := [1,2,3]}
+$$
+\left[
+1,  2,  3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Iterate across this list, using ``{\tt .}'' to access the elements of
+a list and the ``{\bf \#}'' operation to count its elements.
+
+\spadcommand{for i in 1..\#a repeat output(a.i)}
+\begin{verbatim}
+   1
+   2
+   3
+\end{verbatim}
+\returnType{Type: Void}
+
+This type of iteration is applicable to anything that uses ``{\tt .}''.
+You can also use it with functions that use indices to extract elements.
+
+Define $m$ to be a matrix.
+\spadcommand{m := matrix [ [1,2],[4,3],[9,0] ]}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+4 & 3 \\ 
+9 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+Display the rows of $m$.
+\spadcommand{for i in 1..nrows(m) repeat output row(m,i)}
+\begin{verbatim}
+   [1,2]
+   [4,3]
+   [9,0]
+\end{verbatim}
+\returnType{Type: Void}
+
+You can use {\tt iterate} with {\tt for}-loops.\index{iterate}
+
+Display the even integers in a segment.
+\begin{verbatim}
+for i in 1..5 repeat
+  if odd?(i) then iterate
+  output(i)
+ 
+   2
+   4
+\end{verbatim}
+\returnType{Type: Void}
+
+See section \ref{SegmentXmpPage} on page~\pageref{SegmentXmpPage} for
+more information about segments.
+
+\subsection{for i in n..m by s repeat}
+\label{ugLangLoopsForInNMS}
+
+By default, the difference between values taken on by a variable in
+loops such as {\tt for i in n..m repeat ...} is $1$.  It is possible to
+supply another, possibly negative, step value by using the {\tt by}
+\index{by} keyword along with {\tt for} and {\tt in\ }.  Like the upper and
+lower bounds, the step value following the {\tt by} keyword must be an
+integer.  Note that the loop {\tt for i in 1..2 by 0 repeat output(i)}
+will not terminate by itself, as the step value does not change the
+index from its initial value of $1$.
+
+This expression displays the odd integers between two bounds.
+\spadcommand{for i in 1..5 by 2 repeat output(i)}
+\begin{verbatim}
+   1
+   3
+   5
+\end{verbatim}
+\returnType{Type: Void}
+
+Use this to display the numbers in reverse order.
+\spadcommand{for i in 5..1 by -2 repeat output(i)}
+\begin{verbatim}
+   5
+   3
+   1
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{for i in n.. repeat}
+\label{ugLangLoopsForInN}
+
+If the value after the ``{\tt ..}''  is omitted, the loop has no end test.
+A potentially infinite loop is thus created.  The variable is given
+the successive values ${n}, {n+1}, {n+2}, ...$ and the loop is terminated
+only if a {\tt break} or {\tt return} expression is evaluated in the loop
+body.  However you may also add some other modifying clause on the
+{\tt repeat} (for example, a {\tt while} clause) to stop the loop.
+
+This loop displays the integers greater than or equal to $15$
+and less than the first prime greater than $15$.
+\spadcommand{for i in 15.. while not prime?(i) repeat output(i)}
+\begin{verbatim}
+   15
+   16
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{for x in l repeat}
+\label{ugLangLoopsForInXL}
+
+Another variant of the {\tt for} loop has the form:
+\begin{center}
+{\it {\tt for} x {\tt in\ } list {\tt repeat} loopBody}
+\end{center}
+
+This form is used when you want to iterate directly over the elements
+of a list.  In this form of the {\tt for} loop, the variable {\tt x} takes on
+the value of each successive element in {\tt l}.  The end test is most
+simply stated in English: ``are there no more {\tt x} in {\tt l}?''
+
+If {\tt l} is this list,
+\spadcommand{l := [0,-5,3]}
+$$
+\left[
+0,  -5,  3 
+\right]
+$$
+\returnType{Type: List Integer}
+
+display all elements of {\tt l}, one per line.
+\spadcommand{for x in l repeat output(x)}
+\begin{verbatim}
+   0
+   - 5
+   3
+\end{verbatim}
+\returnType{Type: Void}
+
+Since the list constructing expression {\bf expand}{\tt [n..m]} creates the
+list $[n, {n+1}, ..., m]$. Note that this list is empty if $n > m$.  You
+might be tempted to think that the loops
+\begin{verbatim}
+for i in n..m repeat output(i)
+\end{verbatim}
+
+and
+\begin{verbatim}
+for x in expand [n..m] repeat output(x)
+\end{verbatim}
+
+are equivalent.  The second form first creates the list {\bf
+expand}{\tt [n..m]} (no matter how large it might be) and then does
+the iteration.  The first form potentially runs in much less space, as
+the index variable $i$ is simply incremented once per loop and the
+list is not actually created.  Using the first form is much more
+efficient.
+
+Of course, sometimes you really want to iterate across a specific list.
+This displays each of the factors of $2400000$.
+\spadcommand{for f in factors(factor(2400000)) repeat output(f)}
+\begin{verbatim}
+   [factor= 2,exponent= 8]
+   [factor= 3,exponent= 1]
+   [factor= 5,exponent= 5]
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{``Such that'' Predicates}
+\label{ugLangLoopsForInPred}
+
+A {\tt for} loop can be followed by a ``{\tt |}'' and then a predicate.  The
+predicate qualifies the use of the values from the iterator following
+the {\tt for}.  Think of the vertical bar ``{\tt |}'' as the phrase ``such
+that.''
+
+This loop expression prints out the integers $n$ in the given segment
+such that $n$ is odd.
+\spadcommand{for n in 0..4 | odd? n repeat output n}
+\begin{verbatim}
+   1
+   3
+\end{verbatim}
+\returnType{Type: Void}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+A {\tt for} loop can also be written
+$$
+{\rm for} {\it \ iterator\ } | {\it \ predicate\ } 
+{\rm repeat} {\it \ loopBody\ }
+$$
+
+which is equivalent to:
+$$
+{\rm for} {\it \ iterator\ } {\rm repeat\ if}
+{\it \ predicate\ } {\rm then} {\it \ loopBody\ } {\rm else\ }iterate
+$$
+}
+
+The predicate need not refer only to the variable in the {\tt for} clause:
+any variable in an outer scope can be part of the predicate.
+
+In this example, the predicate on the inner {\tt for} loop uses $i$ from
+the outer loop and the $j$ from the {\tt for} \index{iteration!nested}
+clause that it directly modifies.
+\begin{verbatim}
+for i in 1..50 repeat
+  for j in 1..50 | factorial(i+j) < 25 repeat
+    output [i,j]
+ 
+   [1,1]
+   [1,2]
+   [1,3]
+   [2,1]
+   [2,2]
+   [3,1]
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{Parallel Iteration}
+\label{ugLangLoopsPar}
+
+The last example of the previous section 
+\ref{ugLangLoopsForInPred} on page~\pageref{ugLangLoopsForInPred}
+gives an example of {\it nested iteration}: a loop is contained
+\index{iteration!nested} in another loop.  \index{iteration!parallel}
+Sometimes you want to iterate across two lists in parallel, or perhaps
+you want to traverse a list while incrementing a variable.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general syntax of a repeat loop is 
+$$
+iterator_1\  iterator_2\  \ldots\  iterator_N {\rm \ repeat\ } loopBody
+$$
+where each {\it iterator} is either a {\tt for} or a {\tt while} clause.  The
+loop terminates immediately when the end test of any {\it iterator}
+succeeds or when a {\tt break} or {\tt return} expression is evaluated in {\it
+loopBody}.  The value returned by the loop is the unique value of {\tt
+Void}.\\
+}
+
+Here we write a loop to iterate across two lists, computing the sum of
+the pairwise product of elements. Here is the first list.
+\spadcommand{l := [1,3,5,7]}
+$$
+\left[
+1,  3,  5,  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+And the second.
+\spadcommand{m := [100,200]}
+$$
+\left[
+{100},  {200} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The initial value of the sum counter.
+\spadcommand{sum := 0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+The last two elements of $l$ are not used in the calculation because
+$m$ has two fewer elements than $l$.
+\begin{verbatim}
+for x in l for y in m repeat
+    sum := sum + x*y
+\end{verbatim}
+\returnType{Type: Void}
+
+Display the ``dot product.''
+\spadcommand{sum}
+$$
+700 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Next, we write a loop to compute the sum of the products of the loop
+elements with their positions in the loop.
+\spadcommand{l := [2,3,5,7,11,13,17,19,23,29,31,37]}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+{31},  {37} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The initial sum.
+\spadcommand{sum := 0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Here looping stops when the list $l$ is exhausted, even though
+the $for i in 0..$ specifies no terminating condition.
+
+\spadcommand{for i in 0.. for x in l repeat sum := i * x}
+\returnType{Type: Void}
+
+Display this weighted sum.
+\spadcommand{sum}
+$$
+407 
+$$
+\returnType{Type: NonNegativeInteger}
+
+When ``{\tt |}'' is used to qualify any of the {\tt for} clauses in a parallel
+iteration, the variables in the predicates can be from an outer scope
+or from a {\tt for} clause in or to the left of a modified clause.
+
+This is correct:
+% output from following is too long to show
+\begin{verbatim}
+for i in 1..10 repeat
+  for j in 200..300 | odd? (i+j) repeat
+    output [i,j]
+\end{verbatim}
+
+This is not correct since the variable $j$ has not been defined
+outside the inner loop.
+\begin{verbatim}
+for i in 1..10 | odd? (i+j) repeat  -- wrong, j not defined
+  for j in 200..300 repeat
+    output [i,j]
+\end{verbatim}
+
+\subsection{Mixing Loop Modifiers}
+\label{ugLangLoopsMix}
+
+This example shows that it is possible to mix several of the
+\index{loop!mixing modifiers} forms of {\tt repeat} modifying clauses on a loop.
+\begin{verbatim}
+for i in 1..10
+    for j in 151..160 | odd? j
+      while i + j < 160 repeat
+        output [i,j]
+ 
+   [1,151]
+   [3,153]
+\end{verbatim}
+\returnType{Type: Void}
+
+Here are useful rules for composing loop expressions:
+\begin{enumerate}
+\item {\tt while} predicates can only refer to variables that
+are global (or in an outer scope)
+or that are defined in {\tt for} clauses to the left of the
+predicate.
+\item A ``such that'' predicate (something following ``{\tt |}'')
+must directly follow a {\tt for} clause and can only refer to
+variables that are global (or in an outer scope)
+or defined in the modified {\tt for} clause
+or any {\tt for} clause to the left.
+\end{enumerate}
+
+\section{Creating Lists and Streams with Iterators}
+\label{ugLangIts}
+
+All of what we did for loops in 
+\ref{ugLangLoops} on page~\pageref{ugLangLoops} \index{iteration}
+can be transformed into expressions that create lists
+\index{list!created by iterator} and streams.  \index{stream!created
+by iterator} The {\tt repeat}, {\tt break} or {\tt iterate} words are not used but
+all the other ideas carry over.  Before we give you the general rule,
+here are some examples which give you the idea.
+
+This creates a simple list of the integers from $1$ to $10$.
+\spadcommand{list := [i for i in 1..10]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Create a stream of the integers greater than or equal to $1$.
+\spadcommand{stream := [i for i in 1..]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10},  \ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+This is a list of the prime integers between $1$ and $10$, inclusive.
+\spadcommand{[i for i in 1..10 | prime? i]}
+$$
+\left[
+2,  3,  5,  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+This is a stream of the prime integers greater than or equal to $1$.
+\spadcommand{[i for i in 1..   | prime? i]}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+This is a list of the integers between $1$ and $10$, inclusive, whose
+squares are less than $700$.
+\spadcommand{[i for i in 1..10 while i*i < 700]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+This is a stream of the integers greater than or equal to $1$
+whose squares are less than $700$.
+\spadcommand{[i for i in 1..   while i*i < 700]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10},  \ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+Here is the general rule.
+\index{collection}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general syntax of a collection is
+\begin{center}
+{\tt [ {\it collectExpression} $\hbox{\it iterator}_{1}$  
+$\hbox{\it iterator}_{2}$ \ldots $\hbox{\it iterator}_{N}$ ]}
+\end{center}
+
+where each $\hbox{\it iterator}_{i}$ is either a {\tt for} or a {\tt while}
+clause.  The loop terminates immediately when the end test of any
+$\hbox{\it iterator}_{i}$ succeeds or when a {\tt return} expression is
+evaluated in {\it collectExpression}.  The value returned by the
+collection is either a list or a stream of elements, one for each
+iteration of the {\it collectExpression}.\\
+}
+
+Be careful when you use {\tt while} 
+\index{stream!using while @{using {\tt while}}} 
+to create a stream.  By default, Axiom tries to compute and
+display the first ten elements of a stream.  If the {\tt while} condition
+is not satisfied quickly, Axiom can spend a long (possibly infinite)
+time trying to compute \index{stream!number of elements computed} the
+elements.  Use {\tt )set streams calculate} to change the default to
+something else.  \index{set streams calculate} This also affects the
+number of terms computed and displayed for power series.  For the
+purposes of this book, we have used this system command to display
+fewer than ten terms.
+
+Use nested iterators to create lists of \index{iteration!nested} lists
+which can then be given as an argument to {\bf matrix}.
+\spadcommand{matrix [ [x**i+j for i in 1..3] for j in 10..12]}
+$$
+\left[
+\begin{array}{ccc}
+{x+{10}} & {{x \sp 2}+{10}} & {{x \sp 3}+{10}} \\ 
+{x+{11}} & {{x \sp 2}+{11}} & {{x \sp 3}+{11}} \\ 
+{x+{12}} & {{x \sp 2}+{12}} & {{x \sp 3}+{12}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+You can also create lists of streams, streams of lists and streams of
+streams.  Here is a stream of streams.
+\spadcommand{[ [i/j for i in j+1..] for j in 1..]}
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ 2,  3,  4,  5,  6,  7,  8,  9,  {10},  {11},  
+\ldots 
+\right]},
+ {\left[ {3 \over 2},  2,  {5 \over 2},  3,  {7 \over 2},  4,  
+{9 \over 2},  5,  {{11} \over 2},  6,  \ldots 
+\right]},
+\right.
+\\
+\\
+\displaystyle
+ {\left[ {4 \over 3},  {5 \over 3},  2,  {7 \over 3},  {8 \over 3}, 
+ 3,  {{10} \over 3},  {{11} \over 3},  4,  {{13} \over 3},  
+\ldots 
+\right]},
+ {\left[ {5 \over 4},  {3 \over 2},  {7 \over 4},  2,  {9 \over 4}, 
+ {5 \over 2},  {{11} \over 4},  3,  {{13} \over 4},  {7 \over 2}, 
+ \ldots 
+\right]},
+\\
+\\
+\displaystyle
+ {\left[ {6 \over 5},  {7 \over 5},  {8 \over 5},  {9 \over 5},  2, 
+ {{11} \over 5},  {{12} \over 5},  {{13} \over 5},  {{14} \over 5}, 
+ 3,  \ldots 
+\right]},
+ {\left[ {7 \over 6},  {4 \over 3},  {3 \over 2},  {5 \over 3},  
+{{11} \over 6},  2,  {{13} \over 6},  {7 \over 3},  {5 \over 2},  
+{8 \over 3},  \ldots 
+\right]},
+\\
+\\
+\displaystyle
+ {\left[ {8 \over 7},  {9 \over 7},  {{10} \over 7},  {{11} \over 7}, 
+ {{12} \over 7},  {{13} \over 7},  2,  {{15} \over 7},  {{16} \over 
+7},  {{17} \over 7},  \ldots 
+\right]},
+ {\left[ {9 \over 8},  {5 \over 4},  {{11} \over 8},  {3 \over 2},  
+{{13} \over 8},  {7 \over 4},  {{15} \over 8},  2,  {{17} \over 8}, 
+ {9 \over 4},  \ldots 
+\right]},
+\\
+\\
+\displaystyle
+ {\left[ {{10} \over 9},  {{11} \over 9},  {4 \over 3},  {{13} \over 
+9},  {{14} \over 9},  {5 \over 3},  {{16} \over 9},  {{17} \over 9}, 
+ 2,  {{19} \over 9},  \ldots 
+\right]},
+\\
+\\
+\displaystyle
+\left.
+ {\left[ {{11} \over {10}},  {6 \over 5},  {{13} \over {10}},  {7 
+\over 5},  {3 \over 2},  {8 \over 5},  {{17} \over {10}},  {9 \over 
+5},  {{19} \over {10}},  2,  \ldots 
+\right]},
+ \ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream Stream Fraction Integer}
+
+You can use parallel iteration across lists and streams to create
+\index{iteration!parallel} new lists.
+\spadcommand{[i/j for i in 3.. by 10 for j in 2..]}
+$$
+\left[
+{3 \over 2},  {{13} \over 3},  {{23} \over 4},  {{33} \over 5},  
+{{43} \over 6},  {{53} \over 7},  {{63} \over 8},  {{73} \over 9},  
+{{83} \over {10}},  {{93} \over {11}},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+Iteration stops if the end of a list or stream is reached.
+\spadcommand{[i**j for i in 1..7 for j in 2.. ]}
+$$
+\left[
+1,  8,  {81},  {1024},  {15625},  {279936},  {5764801} 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+%or a while condition fails.
+%\spadcommand{[i**j for i in 1..  for j in 2.. while i + j < 5 ]}
+%tpdhere
+%   There are no library operations named swhile 
+%      Use HyperDoc Browse or issue
+%                               )what op swhile
+%      to learn if there is any operation containing " swhile " in its 
+%      name.
+% 
+%   Cannot find a definition or applicable library operation named 
+%      swhile with argument type(s) 
+%     (Record(part1: PositiveInteger,part2: PositiveInteger) -> Boolean)
+%     InfiniteTuple Record(part1: PositiveInteger,part2: PositiveInteger)
+%      
+%      Perhaps you should use "@" to indicate the required return type, 
+%      or "$" to specify which version of the function you need.
+
+As with loops, you can combine these modifiers to make very
+complicated conditions.
+\spadcommand{[ [ [i,j] for i in 10..15 | prime? i] for j in 17..22 | j = squareFreePart j]}
+$$
+\left[
+{\left[ {\left[ {11},  {17} 
+\right]},
+ {\left[ {13},  {17} 
+\right]}
+\right]},
+ {\left[ {\left[ {11},  {19} 
+\right]},
+ {\left[ {13},  {19} 
+\right]}
+\right]},
+ {\left[ {\left[ {11},  {21} 
+\right]},
+ {\left[ {13},  {21} 
+\right]}
+\right]},
+ {\left[ {\left[ {11},  {22} 
+\right]},
+ {\left[ {13},  {22} 
+\right]}
+\right]}
+\right]
+$$
+\returnType{Type: List List List PositiveInteger}
+
+See List 
+(section \ref{ListXmpPage} on page~\pageref{ListXmpPage}) and Stream 
+(section \ref{StreamXmpPage} on page~\pageref{StreamXmpPage})
+for more information on creating and
+manipulating lists and streams, respectively.
+
+\section{An Example: Streams of Primes}
+\label{ugLangStreamsPrimes}
+
+We conclude this chapter with an example of the creation and
+manipulation of infinite streams of prime integers.  This might be
+useful for experiments with numbers or other applications where you
+are using sequences of primes over and over again.  As for all
+streams, the stream of primes is only computed as far out as you need.
+Once computed, however, all the primes up to that point are saved for
+future reference.
+
+Two useful operations provided by the Axiom library are
+\spadfunFrom{prime?}{IntegerPrimesPackage} and
+\spadfunFrom{nextPrime}{IntegerPrimesPackage}.  A straight-forward way
+to create a stream of prime numbers is to start with the stream of
+positive integers $[2,..]$ and filter out those that are prime.
+
+Create a stream of primes.
+\spadcommand{primes : Stream Integer := [i for i in 2.. | prime? i]}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+A more elegant way, however, is to use the
+\spadfunFrom{generate}{Stream} operation from {\tt Stream}.  Given an
+initial value $a$ and a function $f$, \spadfunFrom{generate}{Stream}
+constructs the stream $[a, f(a), f(f(a)), ...]$.  This function gives
+you the quickest method of getting the stream of primes.
+
+This is how you use \spadfunFrom{generate}{Stream} to generate an
+infinite stream of primes.
+\spadcommand{primes := generate(nextPrime,2)}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Once the stream is generated, you might only be interested in primes
+starting at a particular value.
+\spadcommand{smallPrimes := [p for p in primes | p > 1000]}
+$$
+\left[
+{1009},  {1013},  {1019},  {1021},  {1031},  {1033},  {1039},  
+{1049},  {1051},  {1061},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Here are the first 11 primes greater than 1000.
+\spadcommand{[p for p in smallPrimes for i in 1..11]}
+$$
+\left[
+{1009},  {1013},  {1019},  {1021},  {1031},  {1033},  {1039},  
+{1049},  {1051},  {1061},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Here is a stream of primes between 1000 and 1200.
+\spadcommand{[p for p in smallPrimes while p < 1200]}
+$$
+\left[
+{1009},  {1013},  {1019},  {1021},  {1031},  {1033},  {1039},  
+{1049},  {1051},  {1061},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+To get these expanded into a finite stream, you call
+\spadfunFrom{complete}{Stream} on the stream.
+\spadcommand{complete \%}
+$$
+\left[
+{1009},  {1013},  {1019},  {1021},  {1031},  {1033},  {1039},  
+{1049},  {1051},  {1061},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Twin primes are consecutive odd number pairs which are prime.
+Here is the stream of twin primes.
+\spadcommand{twinPrimes := [ [p,p+2] for p in primes | prime?(p + 2)]}
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ 3,  5 \right]},
+{\left[ 5,  7 \right]},
+{\left[ {11},  {13} \right]},
+{\left[ {17},  {19} \right]},
+{\left[ {29},  {31} \right]},
+{\left[ {41},  {43} \right]},
+{\left[ {59},  {61} \right]},
+{\left[ {71},  {73} \right]},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left[ {101},  {103} \right]},
+{\left[ {107},  {109} \right]},
+ \ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream List Integer}
+
+Since we already have the primes computed we can avoid the call to
+\spadfunFrom{prime?}{IntegerPrimesPackage} by using a double
+iteration.  This time we'll just generate a stream of the first of the
+twin primes.
+\spadcommand{firstOfTwins:= [p for p in primes for q in rest primes | q=p+2]}
+$$
+\left[
+3,  5,  {11},  {17},  {29},  {41},  {59},  {71},  {101},  
+{107},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Let's try to compute the infinite stream of triplet primes, the set of
+primes $p$ such that $[p,p+2,p+4]$ are primes. For example, $[3,5,7]$
+is a triple prime.  We could do this by a triple {\tt for} iteration.  A
+more economical way is to use {\bf firstOfTwins}.  This time however,
+put a semicolon at the end of the line.
+
+Create the stream of firstTriplets.  Put a semicolon at the end so
+that no elements are computed.
+\spadcommand{firstTriplets := [p for p in firstOfTwins for q in rest firstOfTwins | q = p+2];}
+\returnType{Type: Stream Integer}
+
+What happened?  As you know, by default Axiom displays the first ten
+elements of a stream when you first display it.  And, therefore, it
+needs to compute them!  If you want {\it no} elements computed, just
+terminate the expression by a semicolon (``{\tt ;}'').  The semi-colon
+prevents the display of the result of evaluating the expression.
+Since no stream elements are needed for display (or anything else, so
+far), none are computed.
+
+Compute the first triplet prime.
+\spadcommand{firstTriplets.1}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+If you want to compute another, just ask for it.  But wait a second!
+Given three consecutive odd integers, one of them must be divisible by
+$3$. Thus there is only one triplet prime.  But suppose that you did not
+know this and wanted to know what was the tenth triplet prime.
+\begin{verbatim}
+firstTriples.10
+\end{verbatim}
+
+To compute the tenth triplet prime, Axiom first must compute the
+second, the third, and so on.  But since there isn't even a second
+triplet prime, Axiom will compute forever.  Nonetheless, this effort
+can produce a useful result.  After waiting a bit, hit \fbox{\bf Ctrl-c}.
+The system responds as follows.
+\begin{verbatim}
+   >> System error:
+   Console interrupt.
+   You are being returned to the top level of
+   the interpreter.
+\end{verbatim}
+
+If you want to know how many primes have been computed, type:
+\begin{verbatim}
+numberOfComputedEntries primes
+\end{verbatim}
+
+and, for this discussion, let's say that the result is $2045$.
+How big is the $2045$-th prime?
+\spadcommand{primes.2045}
+$$
+17837 
+$$
+\returnType{Type: PositiveInteger}
+
+What you have learned is that there are no triplet primes between 5
+and 17837.  Although this result is well known (some might even say
+trivial), there are many experiments you could make where the result
+is not known.  What you see here is a paradigm for testing of
+hypotheses.  Here our hypothesis could have been: ``there is more than
+one triplet prime.''  We have tested this hypothesis for 17837 cases.
+With streams, you can let your machine run, interrupt it to see how
+far it has progressed, then start it up and let it continue from where
+it left off.
+
+\setcounter{chapter}{5}
+
+\chapter{User-Defined Functions, Macros and Rules}
+\label{ugUser}
+
+In this chapter we show you how to write functions and macros,
+and we explain how Axiom looks for and applies them.
+We show some simple one-line examples of functions, together
+with larger ones that are defined piece-by-piece or through the use of
+piles.
+
+\section{Functions vs. Macros}
+\label{ugUserFunMac}
+
+A function is a program to perform some \index{function!vs. macro}
+computation.  \index{macro!vs. function} Most functions have names so
+that it is easy to refer to them.  A simple example of a function is
+one named \spadfunFrom{abs}{Integer} which computes the absolute value
+of an integer.
+
+This is a use of the ``absolute value'' library function for integers.
+\spadcommand{abs(-8)}
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+This is an unnamed function that does the same thing, using the
+``maps-to'' syntax {\tt +->} that we discuss in 
+section \ref{ugUserAnon} on page~\pageref{ugUserAnon}.
+\spadcommand{(x +-> if x < 0 then -x else x)(-8)}
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+Functions can be used alone or serve as the building blocks for larger
+programs.  Usually they return a value that you might want to use in
+the next stage of a computation, but not always (for example, see
+\ref{ExitXmpPage} on page~\pageref{ExitXmpPage} and \ref{VoidXmpPage}
+on page~\pageref{VoidXmpPage}).  They may also read data from your
+keyboard, move information from one place to another, or format and
+display results on your screen.
+
+In Axiom, as in mathematics, functions \index{function!parameters} are
+usually parameterized.  Each time you {\it call} (some people say {\it
+apply} or invoke) a function, you give \index{parameters to a
+function} values to the parameters (variables).  Such a value is
+called an {\it argument} of \index{function!arguments} the function.
+Axiom uses the arguments for the computation.  In this way you get
+different results depending on what you ``feed'' the function.
+
+Functions can have local variables or refer to global variables in the
+workspace.  Axiom can often compile functions so that they execute
+very efficiently.  Functions can be passed as arguments to other
+functions.
+
+Macros are textual substitutions.  They are used to clarify the
+meaning of constants or expressions and to be templates for frequently
+used expressions.  Macros can be parameterized but they are not
+objects that can be passed as arguments to functions.  In effect,
+macros are extensions to the Axiom expression parser.
+
+\section{Macros}
+\label{ugUserMacros}
+
+A {\it macro} provides general textual substitution of \index{macro}
+an Axiom expression for a name.  You can think of a macro as being a
+generalized abbreviation.  You can only have one macro in your
+workspace with a given name, no matter how many arguments it has.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The two general forms for macros are
+\begin{center}
+{\tt macro} {\it name} {\tt ==} {\it body} \\
+{\tt macro} {\it name(arg1,...)} {\tt ==} {\it body}
+\end{center}
+where the body of the macro can be any Axiom expression.\\
+}
+
+For example, suppose you decided that you like to use {\tt df} for 
+{\tt D}.  You define the macro {\tt df} like this.
+\spadcommand{macro df == D}
+\returnType{Type: Void}
+
+Whenever you type {\tt df}, the system expands it to {\tt D}.
+\spadcommand{df(x**2 + x + 1,x)}
+$$
+{2 \  x}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+Macros can be parameterized and so can be used for many different
+kinds of objects.
+\spadcommand{macro ff(x) == x**2 + 1}
+\returnType{Type: Void}
+
+Apply it to a number, a symbol, or an expression.
+\spadcommand{ff z}
+$$
+{z \sp 2}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+Macros can also be nested, but you get an error message if you
+run out of space because of an infinite nesting loop.
+\spadcommand{macro gg(x) == ff(2*x - 2/3)}
+\returnType{Type: Void}
+
+This new macro is fine as it does not produce a loop.
+\spadcommand{gg(1/w)}
+$$
+{{{13} \  {w \sp 2}} -{{24} \  w}+{36}} \over {9 \  {w \sp 2}} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+This, however, loops since {\tt gg} is defined in terms of {\tt ff}.
+\spadcommand{macro ff(x) == gg(-x)}
+\returnType{Type: Void}
+
+The body of a macro can be a block.
+\spadcommand{macro next == (past := present; present := future; future := past + present)}
+\returnType{Type: Void}
+
+Before entering {\tt next}, we need values for {\tt present} and {\tt future}.
+\spadcommand{present : Integer := 0}
+$$
+0 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{future : Integer := 1}
+$$
+1 
+$$
+\returnType{Type: Integer}
+
+Repeatedly evaluating {\tt next} produces the next Fibonacci number.
+\spadcommand{next}
+$$
+1 
+$$
+\returnType{Type: Integer}
+
+And the next one.
+\spadcommand{next}
+$$
+2 
+$$
+\returnType{Type: Integer}
+
+Here is the infinite stream of the rest of the Fibonacci numbers.
+\spadcommand{[next for i in 1..]}
+$$
+\left[
+3,  5,  8,  {13},  {21},  {34},  {55},  {89},  {144},  
+{233},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Bundle all the above lines into a single macro.
+\begin{verbatim}
+macro fibStream ==
+  present : Integer := 1
+  future : Integer := 1
+  [next for i in 1..] where
+    macro next ==
+      past := present
+      present := future
+      future := past + present
+\end{verbatim}
+\returnType{Type: Void}
+
+Use \spadfunFrom{concat}{Stream} to start with the first two
+\index{Fibonacci numbers} Fibonacci numbers.
+\spadcommand{concat([0,1],fibStream)}
+$$
+\left[
+0, 1, 2, 3, 5, 8, {13}, {21}, {34}, {55}, 
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+The library operation {\bf fibonacci} is an easier way to compute
+these numbers.
+
+\spadcommand{[fibonacci i for i in 1..]}
+$$
+\left[
+1,  1,  2,  3,  5,  8,  {13},  {21},  {34},  {55},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+\section{Introduction to Functions}
+\label{ugUserIntro}
+
+Each name in your workspace can refer to a single object.  This may be
+any kind of object including a function.  You can use interactively
+any function from the library or any that you define in the workspace.
+In the library the same name can have very many functions, but you can
+have only one function with a given name, although it can have any
+number of arguments that you choose.
+
+If you define a function in the workspace that has the same name and
+number of arguments as one in the library, then your definition takes
+precedence.  In fact, to get the library function you must
+{\sl package-call} it 
+(see section \ref{ugTypesPkgCall} on page~\pageref{ugTypesPkgCall}).
+
+To use a function in Axiom, you apply it to its arguments.  Most
+functions are applied by entering the name of the function followed by
+its argument or arguments.
+\spadcommand{factor(12)}
+$$
+{2 \sp 2} \  3 
+$$
+\returnType{Type: Factored Integer}
+
+Some functions like ``{\tt +}'' have {\it infix} {\it operators} as names.
+\spadcommand{3 + 4}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+The function ``{\tt +}'' has two arguments.  When you give it more than
+two arguments, Axiom groups the arguments to the left.  This
+expression is equivalent to $(1 + 2) + 7$.
+\spadcommand{1 + 2 + 7}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+All operations, including infix operators, can be written in prefix
+form, that is, with the operation name followed by the arguments in
+parentheses.  For example, $2 + 3$ can alternatively be written as
+$+(2,3)$.  But $+(2,3,4)$ is an error since {\tt +} takes only two
+arguments.
+
+Prefix operations are generally applied before the infix operation.
+Thus the form ${\bf factorial\ } 3 + 1$ means ${\bf factorial}(3) + 1$
+producing $7$, and $-2 + 5$ means $(-2) + 5$ producing $3$.  An
+example of a prefix operator is prefix ``{\tt -}''.  For example, $- 2 +
+5$ converts to $(- 2) + 5$ producing the value $3$.  Any prefix
+function taking two arguments can be written in an infix manner by
+putting an ampersand ``{\tt \&}'' before the name.  Thus ${\tt D}(2*x,x)$ can
+be written as $2*x\ {\tt \&D} x$ returning $2$.
+
+Every function in Axiom is identified by a {\it name} and 
+{\it type}. (An exception is an ``anonymous function'' discussed in
+\ref{ugUserAnon} on page~\pageref{ugUserAnon}.)  
+The type of a function is always a mapping of the
+form \spadsig{Source}{Target} where {\tt Source} and {\tt Target} are types.
+To enter a type from the keyboard, enter the arrow by using a hyphen
+``{\tt -}'' followed by a greater-than sign ``{\tt >}'', e.g. 
+{\tt Integer -> Integer}.
+
+Let's go back to ``{\tt +}''.  There are many ``{\tt +}'' functions in the
+Axiom library: one for integers, one for floats, another for rational
+numbers, and so on.  These ``{\tt +}'' functions have different types and
+thus are different functions.  You've seen examples of this 
+{\it overloading} before---using the same name for different functions.
+Overloading is the rule rather than the exception.  You can add two
+integers, two polynomials, two matrices or two power series.  These
+are all done with the same function name but with different functions.
+
+\section{Declaring the Type of Functions}
+\label{ugUserDeclare}
+
+In \ref{ugTypesDeclare} on page~\pageref{ugTypesDeclare} we discussed
+how to declare a variable to restrict the kind of values that can be
+assigned to it.  In this section we show how to declare a variable
+that refers to function objects.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+A function is an object of type
+\begin{center}
+{\sf Source $\rightarrow$ Type}
+\end{center}
+
+where {\tt Source} and {\tt Target} can be any type.  A common type
+for {\tt Source} is {\tt Tuple}($\hbox{\it T}_{1}$, \ldots, 
+$\hbox{\it T}_{n}$), usually written ($\hbox{\it T}_{1}$, \ldots, 
+$\hbox{\it T}_{n}$), to indicate a function of $n$ arguments.\\
+}
+
+If $g$ takes an {\tt Integer}, a {\tt Float} and another {\tt Integer}, 
+and returns a {\tt String}, the declaration is written:
+\spadcommand{g: (Integer,Float,Integer) -> String}
+\returnType{Type: Void}
+
+The types need not be written fully; using abbreviations, the above
+declaration is:
+\spadcommand{g: (INT,FLOAT,INT) -> STRING}
+\returnType{Type: Void}
+
+It is possible for a function to take no arguments.  If $ h$ takes no
+arguments but returns a {\tt Polynomial} {\tt Integer}, any of the
+following declarations is acceptable.
+\spadcommand{h: () -> POLY INT}
+\returnType{Type: Void}
+
+\spadcommand{h: () -> Polynomial INT}
+\returnType{Type: Void}
+
+\spadcommand{h: () -> POLY Integer}
+\returnType{Type: Void}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+Functions can also be declared when they are being defined.
+The syntax for combined declaration/definition is:
+\begin{center}
+\frenchspacing{\tt {\it functionName}($\hbox{\it parm}_{1}$: 
+$\hbox{\it parmType}_{1}$, \ldots, $\hbox{\it parm}_{N}$: 
+$\hbox{\it parmType}_{N}$): {\it functionReturnType}}
+\end{center}
+{\ }%force a blank line 
+}
+
+The following definition fragments show how this can be done for
+the functions $g$ and $h$ above.
+\begin{verbatim}
+g(arg1: INT, arg2: FLOAT, arg3: INT): STRING == ...
+
+h(): POLY INT == ...
+\end{verbatim}
+
+A current restriction on function declarations is that they must
+involve fully specified types (that is, cannot include modes involving
+explicit or implicit ``{\tt ?}'').  For more information on declaring
+things in general, see \ref{ugTypesDeclare} on page~\pageref{ugTypesDeclare}.
+
+\section{One-Line Functions}
+\label{ugUserOne}
+
+As you use Axiom, you will find that you will write many short
+functions \index{function!one-line definition} to codify sequences of
+operations that you often perform.  In this section we write some
+simple one-line functions.
+
+This is a simple recursive factorial function for positive integers.
+\spadcommand{fac n == if n < 3 then n else n * fac(n-1)}
+\returnType{Type: Void}
+
+\spadcommand{fac 10}
+$$
+3628800 
+$$
+\returnType{Type: PositiveInteger}
+
+This function computes $1 + 1/2 + 1/3 + ... + 1/n$.
+\spadcommand{s n == reduce(+,[1/i for i in 1..n])}
+\returnType{Type: Void}
+
+\spadcommand{s 50}
+$$
+{13943237577224054960759} \over {3099044504245996706400} 
+$$
+\returnType{Type: Fraction Integer}
+
+This function computes a Mersenne number, several of which are prime.
+\index{Mersenne number}
+\spadcommand{mersenne i == 2**i - 1}
+\returnType{Type: Void}
+
+If you type {\tt mersenne}, Axiom shows you the function definition.
+\spadcommand{mersenne}
+$$
+mersenne \  i \  == \  {{2 \sp i} -1} 
+$$
+\returnType{Type: FunctionCalled mersenne}
+
+Generate a stream of Mersenne numbers.
+\spadcommand{[mersenne i for i in 1..]}
+$$
+\left[
+1,  3,  7,  {15},  {31},  {63},  {127},  {255},  {511},  
+{1023},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Create a stream of those values of $i$ such that {\tt mersenne(i)} is prime.
+\spadcommand{mersenneIndex := [n for n in 1.. | prime?(mersenne(n))]}
+\begin{verbatim}
+   Compiling function mersenne with type PositiveInteger -> Integer 
+\end{verbatim}
+$$
+\left[
+2,  3,  5,  7,  {13},  {17},  {19},  {31},  {61},  {89},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+Finally, write a function that returns the $n$-th Mersenne prime.
+\spadcommand{mersennePrime n == mersenne mersenneIndex(n)}
+\returnType{Type: Void}
+
+\spadcommand{mersennePrime 5}
+$$
+8191 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{Declared vs. Undeclared Functions}
+\label{ugUserDecUndec}
+
+If you declare the type of a function, you can apply it to any data
+that can be converted to the source type of the function.
+
+Define {\bf f} with type {\sf Integer $\rightarrow$ Integer}.
+\spadcommand{f(x: Integer): Integer == x + 1}
+\begin{verbatim}
+   Function declaration f : Integer -> Integer has been added to 
+      workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+The function {\bf f} can be applied to integers, \ldots
+\spadcommand{f 9}
+\begin{verbatim}
+   Compiling function f with type Integer -> Integer 
+\end{verbatim}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+and to values that convert to integers, \ldots
+\spadcommand{f(-2.0)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+but not to values that cannot be converted to integers.
+\spadcommand{f(2/3)}
+\begin{verbatim}
+   Conversion failed in the compiled user function f .
+ 
+   Cannot convert from type Fraction Integer to Integer for value
+   2
+   -
+   3
+\end{verbatim}
+
+To make the function over a wide range of types, do not declare its type.
+Give the same definition with no declaration.
+\spadcommand{g x == x + 1}
+\returnType{Type: Void}
+
+If $x + 1$ makes sense, you can apply {\bf g} to $x$.
+\spadcommand{g 9}
+\begin{verbatim}
+   Compiling function g with type PositiveInteger -> PositiveInteger 
+\end{verbatim}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+A version of {\bf g} with different argument types get compiled for
+each new kind of argument used.
+\spadcommand{g(2/3)}
+\begin{verbatim}
+   Compiling function g with type Fraction Integer -> Fraction Integer 
+\end{verbatim}
+$$
+5 \over 3 
+$$
+\returnType{Type: Fraction Integer}
+
+Here $x+1$ for $x = "axiom"$ makes no sense.
+\spadcommand{g("axiom")}
+\begin{verbatim}
+   There are 11 exposed and 5 unexposed library operations named + 
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                                )display op +
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+   Cannot find a definition or applicable library operation named + 
+      with argument type(s) 
+                                   String
+                               PositiveInteger
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+   AXIOM will attempt to step through and interpret the code.
+   There are 11 exposed and 5 unexposed library operations named + 
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                                )display op +
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named + 
+      with argument type(s) 
+                                   String
+                               PositiveInteger
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+\end{verbatim}
+
+As you will see in Chapter \ref{ugCategories} on
+page~\pageref{ugCategories}, Axiom has a formal idea of categories for
+what ``makes sense.''
+
+\section{Functions vs. Operations}
+\label{ugUserDecOpers}
+
+A function is an object that you can create, manipulate, pass to, and
+return from functions (for some interesting examples of library
+functions that manipulate functions, see \ref{MappingPackage1XmpPage}
+on page~\pageref{MappingPackage1XmpPage}).  Yet, we often seem to use
+the term {\it operation} and {\it function} interchangeably in Axiom.  What
+is the distinction?
+
+First consider values and types associated with some variable $n$ in
+your workspace.  You can make the declaration {\tt n : Integer}, then
+assign $n$ an integer value.  You then speak of the integer $n$.
+However, note that the integer is not the name $n$ itself, but the
+value that you assign to $n$.
+
+Similarly, you can declare a variable $f$ in your workspace to have
+type {\sf Integer $\rightarrow$ Integer}, then assign $f$, through a
+definition or an assignment of an anonymous function.  You then speak
+of the function $f$.  However, the function is not $f$, but the value
+that you assign to $f$.
+
+A function is a value, in fact, some machine code for doing something.
+Doing what?  Well, performing some {\it operation}.  Formally, an
+operation consists of the constituent parts of $f$ in your workspace,
+excluding the value; thus an operation has a name and a type.  An
+operation is what domains and packages export.  Thus {\tt Ring}
+exports one operation ``{\tt +}''.  Every ring also exports this
+operation.  Also, the author of every ring in the system is obliged
+under contract (see \ref{ugPackagesAbstract} on
+page~\pageref{ugPackagesAbstract}) to provide an implementation for
+this operation.
+
+This chapter is all about functions---how you create them
+interactively and how you apply them to meet your needs.  In Chapter
+\ref{ugPackages} on page~\pageref{ugPackages} you will learn how to
+create them for the Axiom library.  Then in Chapter \ref{ugCategories}
+on page~\pageref{ugCategories}, you will learn about categories and
+exported operations.
+
+\section{Delayed Assignments vs. Functions with No Arguments}
+\label{ugUserDelay}
+
+In \ref{ugLangAssign} on page~\pageref{ugLangAssign} we discussed the
+difference between immediate and \index{function!with no arguments}
+delayed assignments.  In this section we show the difference between
+delayed assignments and functions of no arguments.
+
+A function of no arguments is sometimes called a {\it nullary function.}
+\spadcommand{sin24() == sin(24.0)}
+\returnType{Type: Void}
+
+You must use the parentheses ``{\tt ()}'' to evaluate it.  Like a
+delayed assignment, the right-hand-side of a function evaluation is
+not evaluated until the left-hand-side is used.
+\spadcommand{sin24()}
+\begin{verbatim}
+   Compiling function sin24 with type () -> Float 
+\end{verbatim}
+$$
+-{0.9055783620\ 0662384514} 
+$$
+\returnType{Type: Float}
+
+If you omit the parentheses, you just get the function definition.
+\spadcommand{sin24}
+$$
+sin24 \  {\left( 
+\right)}
+\  == \  {\sin 
+\left(
+{{24.0}} 
+\right)}
+$$
+\returnType{Type: FunctionCalled sin24}
+
+You do not use the parentheses ``{\tt ()}'' in a delayed assignment\ldots
+
+\spadcommand{cos24 == cos(24.0)}
+\returnType{Type: Void}
+
+nor in the evaluation.
+
+\spadcommand{cos24}
+\begin{verbatim}
+   Compiling body of rule cos24 to compute value of type Float 
+\end{verbatim}
+$$
+0.4241790073\ 3699697594 
+$$
+\returnType{Type: Float}
+
+The only syntactic difference between delayed assignments
+and nullary functions is that you use ``{\tt ()}'' in the latter case.
+
+\section{How Axiom Determines What Function to Use}
+\label{ugUserUse}
+
+What happens if you define a function that has the same name as a
+library function?  Well, if your function has the same name and number
+of arguments (we sometimes say {\it arity}) as another function in the
+library, then your function covers up the library function.  If you
+want then to call the library function, you will have to {\sl package-call}
+it.  Axiom can use both the functions you write and those that come
+from the library.  Let's do a simple example to illustrate this.
+
+Suppose you (wrongly!) define {\bf sin} in this way.
+\spadcommand{sin x == 1.0}
+\returnType{Type: Void}
+
+The value $1.0$ is returned for any argument.
+\spadcommand{sin 4.3}
+\begin{verbatim}
+   Compiling function sin with type Float -> Float 
+\end{verbatim}
+$$
+1.0 
+$$
+\returnType{Type: Float}
+
+If you want the library operation, we have to package-call it
+(see \ref{ugTypesPkgCall} on page~\pageref{ugTypesPkgCall}
+for more information).
+\spadcommand{sin(4.3)\$Float}
+$$
+-{0.9161659367 4945498404} 
+$$
+\returnType{Type: Float}
+
+\spadcommand{sin(34.6)\$Float}
+$$
+-{0.0424680347 1695010154 3} 
+$$
+\returnType{Type: Float}
+
+Even worse, say we accidentally used the same name as a library
+function in the function.
+\spadcommand{sin x == sin x}
+\begin{verbatim}
+   Compiled code for sin has been cleared.
+   1 old definition(s) deleted for function or rule sin 
+\end{verbatim}
+\returnType{Type: Void}
+
+Then Axiom definitely does not understand us.
+\spadcommand{sin 4.3}
+\begin{verbatim}
+AXIOM cannot determine the type of sin because it cannot analyze 
+   the non-recursive part, if that exists. This may be remedied 
+   by declaring the function.
+\end{verbatim}
+
+Again, we could package-call the inside function.
+\spadcommand{sin x == sin(x)\$Float}
+\begin{verbatim}
+   1 old definition(s) deleted for function or rule sin 
+\end{verbatim}
+\returnType{Type: Void}
+
+\spadcommand{sin 4.3}
+\begin{verbatim}
+   Compiling function sin with type Float -> Float 
+
++++ |*1;sin;1;G82322| redefined
+\end{verbatim}
+$$
+-{0.9161659367 4945498404} 
+$$
+\returnType{Type: Float}
+
+Of course, you are unlikely to make such obvious errors.  It is more
+probable that you would write a function and in the body use a
+function that you think is a library function.  If you had also
+written a function by that same name, the library function would be
+invisible.
+
+How does Axiom determine what library function to call?  It very much
+depends on the particular example, but the simple case of creating the
+polynomial $x + 2/3$ will give you an idea.
+\begin{enumerate}
+\item The $x$ is analyzed and its default type is
+{\tt Variable(x)}.
+\item The $2$ is analyzed and its default type is
+{\tt PositiveInteger}.
+\item The $3$ is analyzed and its default type is
+{\tt PositiveInteger}.
+\item Because the arguments to ``{\tt /}'' are integers, Axiom
+gives the expression $2/3$ a default target type of
+{\tt Fraction(Integer)}.
+\item Axiom looks in {\tt PositiveInteger} for ``{\tt /}''.
+It is not found.
+\item Axiom looks in {\tt Fraction(Integer)} for ``{\tt /}''.
+It is found for arguments of type {\tt Integer}.
+\item The $2$ and $3$ are converted to objects of type
+{\tt Integer} (this is trivial) and ``{\tt /}'' is applied,
+creating an object of type {\tt Fraction(Integer)}.
+\item No ``{\tt +}'' for arguments of types {\tt Variable(x)} and
+{\tt Fraction(Integer)} are found in either domain.
+\item Axiom resolves
+\index{resolve}
+(see \ref{ugTypesResolve} on page~\pageref{ugTypesResolve})
+the types and gets {\tt Polynomial (Fraction (Integer))}.
+\item The $x$ and the $2/3$ are converted to objects of this
+type and {\tt +} is applied, yielding the answer, an object of type
+{\tt Polynomial (Fraction (Integer))}.
+\end{enumerate}
+
+\section{Compiling vs. Interpreting}
+\label{ugUserCompInt}
+
+When possible, Axiom completely determines the type of every object in
+a function, then translates the function definition to Common Lisp or
+to machine code (see the next section).  This translation,
+\index{function!compiler} called compilation, happens the first time
+you call the function and results in a computational delay.
+Subsequent function calls with the same argument types use the
+compiled version of the code without delay.
+
+If Axiom cannot determine the type of everything, the function may
+still be executed \index{function!interpretation} but
+\index{interpret-code mode} in interpret-code mode: each statement in
+the function is analyzed and executed as the control flow indicates.
+This process is slower than executing a compiled function, but it
+allows the execution of code that may involve objects whose types
+change.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+If Axiom decides that it cannot compile the code, it issues a message
+stating the problem and then the following message:
+\begin{center}
+{\bf We will attempt to step through and interpret the code.}
+\end{center}
+
+This is not a time to panic.  \index{panic!avoiding} Rather, it just
+means that what you gave to Axiom is somehow ambiguous: either it is
+not specific enough to be analyzed completely, or it is beyond Axiom's
+present interactive compilation abilities.\\
+}
+
+This function runs in interpret-code mode, but it does not compile.
+\begin{verbatim}
+varPolys(vars) ==
+  for var in vars repeat
+    output(1 :: UnivariatePolynomial(var,Integer))
+\end{verbatim}
+\returnType{Type: Void}
+
+For $vars$ equal to $['x, 'y, 'z]$, this function displays $1$ three times.
+\spadcommand{varPolys ['x,'y,'z]}
+\begin{verbatim}
+Cannot compile conversion for types involving local variables. 
+   In particular, could not compile the expression involving :: 
+   UnivariatePolynomial(var,Integer) 
+ AXIOM will attempt to step through and interpret the code.
+ 1
+ 1
+ 1
+\end{verbatim}
+\returnType{Type: Void}
+
+The type of the argument to {\bf output} changes in each iteration, so
+Axiom cannot compile the function.  In this case, even the inner loop
+by itself would have a problem:
+\begin{verbatim}
+for var in ['x,'y,'z] repeat
+  output(1 :: UnivariatePolynomial(var,Integer))
+\end{verbatim}
+\begin{verbatim}
+Cannot compile conversion for types involving local variables. 
+   In particular, could not compile the expression involving :: 
+   UnivariatePolynomial(var,Integer) 
+ AXIOM will attempt to step through and interpret the code.
+ 1
+ 1
+ 1
+\end{verbatim}
+\returnType{Type: Void}
+
+Sometimes you can help a function to compile by using an extra
+conversion or by using $pretend$.  \index{pretend} See
+\ref{ugTypesSubdomains} on page~\pageref{ugTypesSubdomains} for details.
+
+When a function is compilable, you have the choice of whether it is
+compiled to Common Lisp and then interpreted by the Common Lisp
+interpreter or then further compiled from Common Lisp to machine code.
+\index{machine code} The option is controlled via 
+{\tt )set functions compile}.  
+\index{set function compile} Issue {\tt )set functions compile on} 
+to compile all the way to machine code.  With the default
+setting {\tt )set functions compile off}, Axiom has its Common Lisp
+code interpreted because the overhead of further compilation is larger
+than the run-time of most of the functions our users have defined.
+You may find that selectively turning this option on and off will
+\index{performance} give you the best performance in your particular
+application.  For example, if you are writing functions for graphics
+applications where hundreds of points are being computed, it is almost
+certainly true that you will get the best performance by issuing 
+{\tt )set functions compile on}.
+
+\section{Piece-Wise Function Definitions}
+\label{ugUserPiece}
+
+To move beyond functions defined in one line, we introduce in this
+section functions that are defined piece-by-piece.  That is, we say
+``use this definition when the argument is such-and-such and use this
+other definition when the argument is that-and-that.''
+
+\subsection{A Basic Example}
+\label{ugUserPieceBasic}
+
+There are many other ways to define a factorial function for
+nonnegative integers.  You might 
+\index{function!piece-wise definition} 
+say \index{piece-wise function definition} factorial of
+$0$ is $1$, otherwise factorial of $n$ is $n$ times factorial of
+$n-1$.  Here is one way to do this in Axiom.
+
+Here is the value for $n = 0$.
+\spadcommand{fact(0) == 1}
+\returnType{Type: Void}
+
+Here is the value for $n > 0$.  The vertical bar ``{\tt |}'' means ``such
+that''. \index{such that}
+\spadcommand{fact(n | n > 0) == n * fact(n - 1)}
+\returnType{Type: Void}
+
+What is the value for $n = 3$?
+\spadcommand{fact(3)}
+\begin{verbatim}
+   Compiling function fact with type Integer -> Integer 
+   Compiling function fact as a recurrence relation.
+\end{verbatim}
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+What is the value for $n = -3$?
+\spadcommand{fact(-3)}
+\begin{verbatim}
+   You did not define fact for argument -3 .
+\end{verbatim}
+
+Now for a second definition.  Here is the value for $n = 0$.
+\spadcommand{facto(0) == 1}
+\returnType{Type: Void}
+
+Give an error message if $n < 0$.
+\spadcommand{facto(n | n < 0) == error "arguments to facto must be non-negative"}
+\returnType{Type: Void}
+
+Here is the value otherwise.
+\spadcommand{facto(n) == n * facto(n - 1)}
+\returnType{Type: Void}
+
+What is the value for $n = 7$?
+\spadcommand{facto(3)}
+\begin{verbatim}
+   Compiling function facto with type Integer -> Integer 
+\end{verbatim}
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+What is the value for $n = -7$?
+\spadcommand{facto(-7)}
+\begin{verbatim}
+   Error signalled from user code in function facto: 
+      arguments to facto must be non-negative
+\end{verbatim}
+\returnType{Type: PositiveInteger}
+
+To see the current piece-wise definition of a function, use 
+{\tt )display value}.
+\spadcommand{)display value facto}
+\begin{verbatim}
+   Definition:
+     facto 0 == 1
+     facto (n | n < 0) == 
+       error(arguments to facto must be non-negative)
+     facto n == n facto(n - 1)
+\end{verbatim}
+
+In general a {\it piece-wise definition} of a function consists of two
+or more parts.  Each part gives a ``piece'' of the entire definition.
+Axiom collects the pieces of a function as you enter them.  When you
+ask for a value of the function, it then ``glues'' the pieces together
+to form a function.
+
+The two piece-wise definitions for the factorial function are examples
+of recursive functions, that is, functions that are defined in terms
+of themselves.  Here is an interesting doubly-recursive function.
+This function returns the value $11$ for all positive integer
+arguments.
+
+Here is the first of two pieces.
+\spadcommand{eleven(n | n < 1) == n + 11}
+\returnType{Type: Void}
+
+And the general case.
+\spadcommand{eleven(m) == eleven(eleven(m - 12))}
+\returnType{Type: Void}
+
+Compute $elevens$, the infinite stream of values of $eleven$.
+\spadcommand{elevens := [eleven(i) for i in 0..]}
+$$
+\left[
+{11},  {11},  {11},  {11},  {11},  {11},  {11},  {11},  {11}, 
+ {11},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+What is the value at $n = 200$?
+\spadcommand{elevens 200}
+$$
+11 
+$$
+\returnType{Type: PositiveInteger}
+
+What is the Axiom's definition of $eleven$?
+\spadcommand{)display value eleven}
+\begin{verbatim}
+   Definition:
+     eleven (m | m < 1) == m + 11
+     eleven m == eleven(eleven(m - 12))
+\end{verbatim}
+
+\subsection{Picking Up the Pieces}
+\label{ugUserPiecePicking}
+
+Here are the details about how Axiom creates a function from its
+pieces.  Axiom converts the $i$-th piece of a function definition
+into a conditional expression of the form: 
+{\tt if} $\hbox{\it pred}_{i}$ {\tt then} $\hbox{\it expression}_{i}$.  
+If any new piece has a $\hbox{\it pred}_{i}$ that is 
+identical (after all variables are uniformly named) to 
+an earlier $\hbox{\it pred}_{j}$, the earlier piece is removed.  
+Otherwise, the new piece is always added at the end.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+If there are $n$ pieces to a function definition for $f$, the function
+defined $f$ is: \newline
+\hspace*{3pc}
+{\tt if} $\hbox{\it pred}_{1}$ {\tt then} $\hbox{\it expression}_{1}$ {\tt else}\newline
+\hspace*{6pc}. . . \newline
+\hspace*{3pc}
+{\tt if} $\hbox{\it pred}_{n}$ {\tt then} $\hbox{\it expression}_{n}$ {\tt else}\newline
+\hspace*{3pc}
+{\tt  error "You did not define f for argument <arg>."}\\
+}
+
+You can give definitions of any number of mutually recursive function
+definitions, piece-wise or otherwise.  No computation is done until
+you ask for a value.  When you do ask for a value, all the relevant
+definitions are gathered, analyzed, and translated into separate
+functions and compiled.
+
+Let's recall the definition of {\bf eleven} from
+the previous section. 
+\spadcommand{eleven(n | n < 1) == n + 11}
+\returnType{Type: Void}
+
+\spadcommand{eleven(m) == eleven(eleven(m - 12))}
+\returnType{Type: Void}
+
+A similar doubly-recursive function below produces $-11$ for all
+negative positive integers.  If you haven't worked out why or how 
+{\bf eleven} works, the structure of this definition gives a clue.
+
+This definition we write as a block.
+\begin{verbatim}
+minusEleven(n) ==
+  n >= 0 => n - 11
+  minusEleven (5 + minusEleven(n + 7))
+\end{verbatim}
+\returnType{Type: Void}
+
+Define $s(n)$ to be the sum of plus and minus ``eleven'' functions
+divided by $n$.  Since $11 - 11 = 0$, we define $s(0)$ to be $1$.
+\spadcommand{s(0) == 1}
+\returnType{Type: Void}
+
+And the general term.
+\spadcommand{s(n) == (eleven(n) + minusEleven(n))/n}
+\returnType{Type: Void}
+
+What are the first ten values of $s$?
+\spadcommand{[s(n) for n in 0..]}
+$$
+\left[
+1, 1, 1, 1, 1, 1, 1, 1, 1, 1, \ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+%% interpreter puts the rule at the end - should fix
+
+% Oops! Evidently $s(0)$ should be $1$.
+% Let's check the current definition of {\bf s} using {\tt )display}.
+
+% \spadcommand{)display value s}
+
+% Change the value at $n = 0$.
+
+% \spadcommand{s(0) == 1}
+
+% Now, what is the definition of {\bf s}?
+% Note: {\it you can only replace a given piece if you give exactly the same
+% predicate!}
+
+% \spadcommand{)display value s}
+
+Axiom can create infinite streams in the positive direction (for
+example, for index values $0,1, \ldots$) or negative direction (for
+example, for $0,-1,-2, \ldots$).  Here we would like a
+stream of values of $s(n)$ that is infinite in both directions.  The
+function $t(n)$ below returns the $n$-th term of the infinite stream 
+$$[s(0), s(1), s(-1), s(2), s(-2), \ldots]$$ 
+Its definition has three pieces.
+
+Define the initial term.
+\spadcommand{t(1) == s(0)}
+\returnType{Type: Void}
+
+The even numbered terms are the $s(i)$ for positive $i$.  We use
+``{\tt quo}'' rather than ``{\tt /}'' since we want the result to be
+an integer.
+
+\spadcommand{t(n | even?(n)) == s(n quo 2)}
+\returnType{Type: Void}
+
+Finally, the odd numbered terms are the $s(i)$ for negative $i$.  In
+piece-wise definitions, you can use different variables to define
+different pieces. Axiom will not get confused.
+\spadcommand{t(p) == s(- p quo 2)}
+\returnType{Type: Void}
+
+Look at the definition of $t$.  In the first piece, the variable $n$
+was used; in the second piece, $p$.  Axiom always uses your last
+variable to display your definitions back to you.
+\spadcommand{)display value t}
+\begin{verbatim}
+   Definition:
+     t 1 == s(0)
+     t (p | even?(p)) == s(p quo 2)
+     t p == s(- p quo 2)
+\end{verbatim}
+
+Create a series of values of $s$ applied to
+alternating positive and negative arguments.
+\spadcommand{[t(i) for i in 1..]}
+\begin{verbatim}
+   Compiling function s with type Integer -> Fraction Integer 
+   Compiling function t with type PositiveInteger -> Fraction Integer 
+\end{verbatim}
+$$
+\left[
+1, 1, 1, 1, 1, 1, 1, 1, 1, 1, \ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+Evidently $t(n) = 1$ for all $i$. Check it at $n= 100$. 
+
+\spadcommand{t(100)}
+$$
+1 
+$$
+\returnType{Type: Fraction Integer}
+
+\subsection{Predicates}
+\label{ugUserPiecePred}
+
+We have already seen some examples of \index{function!predicate}
+predicates \index{predicate!in function definition}
+(\ref{ugUserPieceBasic} on page~\pageref{ugUserPieceBasic}).
+Predicates are {\tt Boolean}-valued expressions and Axiom uses them
+for filtering collections (see \ref{ugLangIts} on
+page~\pageref{ugLangIts}) and for placing constraints on function
+arguments.  In this section we discuss their latter usage.
+
+The simplest use of a predicate is one you don't see at all.
+\spadcommand{opposite 'right == 'left}
+\returnType{Type: Void}
+
+Here is a longer way to give the ``opposite definition.''
+\spadcommand{opposite (x | x = 'left) == 'right}
+\returnType{Type: Void}
+
+Try it out.
+\spadcommand{for x in ['right,'left,'inbetween] repeat output opposite x}
+\begin{verbatim}
+Compiling function opposite with type 
+   OrderedVariableList [right, left,inbetween] -> Symbol    
+ left
+ right
+ 
+The function opposite is not defined for the given argument(s).
+\end{verbatim}
+
+Explicit predicates tell Axiom that the given function definition
+piece is to be applied if the predicate evaluates to {\tt true} for
+the arguments to the function.  You can use such ``constant''
+arguments for integers, \index{function!constant argument} strings,
+and quoted symbols.  \index{constant function argument} The {\tt
+Boolean} values {\tt true} and {\tt false} can also be used if qualified with
+``$@$'' or ``$\$$'' and {\tt Boolean}.  The following are all valid
+function definition fragments using constant arguments.
+\begin{verbatim}
+a(1) == ...
+b("unramified") == ...
+c('untested) == ...
+d(true@Boolean) == ...
+\end{verbatim}
+
+If a function has more than one argument, each argument can have its
+own predicate.  However, if a predicate involves two or more
+arguments, it must be given {\it after} all the arguments mentioned in
+the predicate have been given.  You are always safe to give a single
+predicate at the end of the argument list.
+
+A function involving predicates on two arguments.
+\spadcommand{inFirstHalfQuadrant(x | x > 0,y | y < x) == true}
+\returnType{Type: Void}
+
+This is incorrect as it gives a predicate on $y$ before the argument
+$y$ is given.
+\spadcommand{inFirstHalfQuadrant(x | x > 0 and y < x,y) == true}
+\begin{verbatim}
+   1 old definition(s) deleted for function or rule inFirstHalfQuadrant
+\end{verbatim}
+\returnType{Type: Void}
+
+It is always correct to write the predicate at the end.
+\spadcommand{inFirstHalfQuadrant(x,y | x > 0 and y < x) == true}
+\begin{verbatim}
+   1 old definition(s) deleted for function or rule inFirstHalfQuadrant
+\end{verbatim}
+\returnType{Type: Void}
+
+Here is the rest of the definition.
+\spadcommand{inFirstHalfQuadrant(x,y) == false}
+\returnType{Type: Void}
+
+Try it out.
+\spadcommand{[inFirstHalfQuadrant(i,3) for i in 1..5]}
+\begin{verbatim}
+   Compiling function inFirstHalfQuadrant with type (PositiveInteger,
+      PositiveInteger) -> Boolean 
+\end{verbatim}
+$$
+\left[
+{\tt false},  {\tt false},  {\tt false},  {\tt true},  {\tt true} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\section{Caching Previously Computed Results}
+\label{ugUserCache}
+
+By default, Axiom does not save the values of any function.
+\index{function!caching values} You can cause it to save values and
+not to recompute unnecessarily \index{remembering function values} by
+using {\tt )set functions cache}.  \index{set functions cache} This
+should be used before the functions are defined or, at least, before
+they are executed.  The word following ``cache'' should be $0$ to turn
+off caching, a positive integer $n$ to save the last $n$ computed
+values or ``all'' to save all computed values.  If you then give a
+list of names of functions, the caching only affects those functions.
+Use no list of names or ``all'' when you want to define the default
+behavior for functions not specifically mentioned in other 
+{\tt )set functions cache} statements.  If you give no list of names, all
+functions will have the caching behavior.  If you explicitly turn on
+caching for one or more names, you must explicitly turn off caching
+for those names when you want to stop saving their values.
+
+This causes the functions {\bf f} and {\bf g} to have the last three
+computed values saved.
+\spadcommand{)set functions cache 3 f g}
+\begin{verbatim}
+   function f will cache the last 3 values.
+   function g will cache the last 3 values.
+\end{verbatim}
+
+This is a sample definition for {\bf f}.
+\spadcommand{f x == factorial(2**x)}
+\returnType{Type: Void}
+
+A message is displayed stating what {\bf f} will cache.
+\spadcommand{f(4)}
+\begin{verbatim}
+   Compiling function f with type PositiveInteger -> Integer 
+   f will cache 3 most recently computed value(s).
+
++++ |*1;f;1;G82322| redefined
+\end{verbatim}
+$$
+20922789888000 
+$$
+\returnType{Type: PositiveInteger}
+
+This causes all other functions to have all computed values saved by default.
+\spadcommand{)set functions cache all}
+\begin{verbatim}
+   In general, interpreter functions will cache all values.
+\end{verbatim}
+
+This causes all functions that have not been specifically cached in some way
+to have no computed values saved.
+\spadcommand{)set functions cache 0}
+\begin{verbatim}
+ In general, functions will cache no returned values.
+\end{verbatim}
+
+We also make {\bf f} and {\bf g} uncached.
+\spadcommand{)set functions cache 0 f g}
+\begin{verbatim}
+   Caching for function f is turned off
+   Caching for function g is turned off
+\end{verbatim}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+Be careful about caching functions that have side effects.  Such a
+function might destructively modify the elements of an array or issue
+a {\bf draw} command, for example.  A function that you expect to
+execute every time it is called should not be cached.  Also, it is
+highly unlikely that a function with no arguments should be cached.\\
+}
+
+You should also be careful about caching functions that depend on free
+variables.  See \ref{ugUserFreeLocal} on
+page~\pageref{ugUserFreeLocal} for an example.
+
+\section{Recurrence Relations}
+\label{ugUserRecur}
+
+One of the most useful classes of function are those defined via a
+``recurrence relation.''  A {\it recurrence relation} makes each
+successive \index{recurrence relation} value depend on some or all of
+the previous values.  A simple example is the ordinary ``factorial'' function:
+\begin{verbatim}
+fact(0) == 1
+fact(n | n > 0) == n * fact(n-1)
+\end{verbatim}
+
+The value of $fact(10)$ depends on the value of $fact(9)$, $fact(9)$
+on $fact(8)$, and so on.  Because it depends on only one previous
+value, it is usually called a {\it first order recurrence relation.}
+You can easily imagine a function based on two, three or more previous
+values.  The Fibonacci numbers are probably the most famous function
+defined by a \index{Fibonacci numbers} second order recurrence relation.
+
+The library function {\bf fibonacci} computes Fibonacci numbers.
+It is obviously optimized for speed.
+\spadcommand{[fibonacci(i) for i in 0..]}
+$$
+\left[
+0,  1,  1,  2,  3,  5,  8,  {13},  {21},  {34},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Define the Fibonacci numbers ourselves using a piece-wise definition.
+\spadcommand{fib(1) == 1}
+\returnType{Type: Void}
+
+\spadcommand{fib(2) == 1}
+\returnType{Type: Void}
+
+\spadcommand{fib(n) == fib(n-1) + fib(n-2)}
+\returnType{Type: Void}
+
+As defined, this recurrence relation is obviously doubly-recursive.
+To compute $fib(10)$, we need to compute $fib(9)$ and $fib(8)$.  And
+to $fib(9)$, we need to compute $fib(8)$ and $fib(7)$.  And so on.  It
+seems that to compute $fib(10)$ we need to compute $fib(9)$ once,
+$fib(8)$ twice, $fib(7)$ three times.  Look familiar?  The number of
+function calls needed to compute {\it any} second order recurrence
+relation in the obvious way is exactly $fib(n)$.  These numbers grow!
+For example, if Axiom actually did this, then $fib(500)$ requires more
+than $10^{104}$ function calls.  And, given all
+this, our definition of {\bf fib} obviously could not be used to
+calculate the five-hundredth Fibonacci number.
+
+Let's try it anyway.
+\spadcommand{fib(500)}
+\begin{verbatim}
+   Compiling function fib with type Integer -> PositiveInteger 
+   Compiling function fib as a recurrence relation.
+
+13942322456169788013972438287040728395007025658769730726410_
+8962948325571622863290691557658876222521294125
+\end{verbatim}
+
+\returnType{Type: PositiveInteger}
+
+Since this takes a short time to compute, it obviously didn't do as
+many as $10^{104}$ operations!  By default, Axiom transforms any
+recurrence relation it recognizes into an iteration.  Iterations are
+efficient.  To compute the value of the $n$-th term of a recurrence
+relation using an iteration requires only $n$ function calls. Note
+that if you compare the speed of our {\bf fib} function to the library
+function, our version is still slower.  This is because the library
+\spadfunFrom{fibonacci}{IntegerNumberTheoryFunctions} uses a
+``powering algorithm'' with a computing time proportional to
+$\log^3(n)$ to compute {\tt fibonacci(n)}.
+
+To turn off this special recurrence relation compilation, issue
+\index{set function recurrence}
+\begin{verbatim}
+)set functions recurrence off
+\end{verbatim}
+To turn it back on, substitute ``{\tt on}'' for ``{\tt off}''.
+
+The transformations that Axiom uses for {\bf fib} caches the last two
+values. For a more general $k$-th order recurrence relation, Axiom
+caches the last $k$ values.  If, after computing a value for {\bf
+fib}, you ask for some larger value, Axiom picks up the cached values
+and continues computing from there.  See \ref{ugUserFreeLocal} on
+page~\pageref{ugUserFreeLocal} for an example of a function definition
+that has this same behavior.  Also see \ref{ugUserCache} on
+page~\pageref{ugUserCache} for a more general discussion of how you
+can cache function values.
+
+Recurrence relations can be used for defining recurrence relations
+involving polynomials, rational functions, or anything you like.
+Here we compute the infinite stream of Legendre polynomials.
+
+The Legendre polynomial of degree $0.$
+\spadcommand{p(0) == 1}
+\returnType{Type: Void}
+
+The Legendre polynomial of degree $1.$
+\spadcommand{p(1) == x}
+\returnType{Type: Void}
+
+The Legendre polynomial of degree $n$.
+\spadcommand{p(n) == ((2*n-1)*x*p(n-1) - (n-1)*p(n-2))/n}
+\returnType{Type: Void}
+
+Compute the Legendre polynomial of degree $6.$
+\spadcommand{p(6)}
+\begin{verbatim}
+   Compiling function p with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function p as a recurrence relation.
+\end{verbatim}
+$$
+{{{231} \over {16}} \  {x \sp 6}} -{{{315} \over {16}} \  {x \sp 4}}+{{{105} 
+\over {16}} \  {x \sp 2}} -{5 \over {16}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+\section{Making Functions from Objects}
+\label{ugUserMake}
+
+There are many times when you compute a complicated expression and
+then wish to use that expression as the body of a function.  Axiom
+provides an operation called {\bf function} to do \index{function!from
+an object} this. \index{function!made by function @{made by 
+{\bf function}}} It creates a function object and places it into the
+workspace.  There are several versions, depending on how many
+arguments the function has.  The first argument to {\bf function} is
+always the expression to be converted into the function body, and the
+second is always the name to be used for the function.  For more
+information, see section \ref{MakeFunctionXmpPage} on
+page~\pageref{MakeFunctionXmpPage}.
+
+Start with a simple example of a polynomial in three variables.
+\spadcommand{p := -x + y**2 - z**3}
+$$
+-{z \sp 3}+{y \sp 2} -x 
+$$
+\returnType{Type: Polynomial Integer}
+
+To make this into a function of no arguments that simply returns the
+polynomial, use the two argument form of {\bf function}.
+\spadcommand{function(p,'f0)}
+$$
+f0 
+$$
+\returnType{Type: Symbol}
+
+To avoid possible conflicts (see below), it is a good idea to
+quote always this second argument.
+\spadcommand{f0}
+$$
+f0 \  {\left( 
+\right)}
+\  == \  {-{z \sp 3}+{y \sp 2} -x} 
+$$
+\returnType{Type: FunctionCalled f0}
+
+This is what you get when you evaluate the function.
+\spadcommand{f0()}
+$$
+-{z \sp 3}+{y \sp 2} -x 
+$$
+\returnType{Type: Polynomial Integer}
+
+To make a function in $x$, use a version of {\bf function} that takes
+three arguments.  The last argument is the name of the variable to use
+as the parameter.  Typically, this variable occurs in the expression
+and, like the function name, you should quote it to avoid possible confusion.
+\spadcommand{function(p,'f1,'x)}
+$$
+f1 
+$$
+\returnType{Type: Symbol}
+
+This is what the new function looks like.
+\spadcommand{f1}
+$$
+f1 \  x \  == \  {-{z \sp 3}+{y \sp 2} -x} 
+$$
+\returnType{Type: FunctionCalled f1}
+
+This is the value of {\bf f1} at $x = 3$.  Notice that the return type
+of the function is {\tt Polynomial (Integer)}, the same as $p$.
+\spadcommand{f1(3)}
+\begin{verbatim}
+   Compiling function f1 with type PositiveInteger -> Polynomial 
+      Integer 
+\end{verbatim}
+$$
+-{z \sp 3}+{y \sp 2} -3 
+$$
+\returnType{Type: Polynomial Integer}
+
+To use $x$ and $y$ as parameters, use the four argument form of {\bf function}.
+\spadcommand{function(p,'f2,'x,'y)}
+$$
+f2 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{f2}
+$$
+f2 \  {\left( x,  y 
+\right)}
+\  == \  {-{z \sp 3}+{y \sp 2} -x} 
+$$
+\returnType{Type: FunctionCalled f2}
+
+Evaluate $f2$ at $x = 3$ and $y = 0$.  The return type of {\bf f2} is
+still {\tt Polynomial(Integer)} because the variable $z$ is still
+present and not one of the parameters.
+\spadcommand{f2(3,0)}
+$$
+-{z \sp 3} -3 
+$$
+\returnType{Type: Polynomial Integer}
+
+Finally, use all three variables as parameters.  There is no five
+argument form of {\bf function}, so use the one with three arguments,
+the third argument being a list of the parameters.
+\spadcommand{function(p,'f3,['x,'y,'z])}
+$$
+f3 
+$$
+\returnType{Type: Symbol}
+
+Evaluate this using the same values for $x$ and $y$ as above, but let
+$z$ be $-6$.  The result type of {\bf f3} is {\tt Integer}.
+\spadcommand{f3}
+$$
+f3 \  {\left( x,  y,  z 
+\right)}
+\  == \  {-{z \sp 3}+{y \sp 2} -x} 
+$$
+\returnType{Type: FunctionCalled f3}
+
+\spadcommand{f3(3,0,-6)}
+\begin{verbatim}
+   Compiling function f3 with type (PositiveInteger,NonNegativeInteger,
+      Integer) -> Integer 
+\end{verbatim}
+$$
+213 
+$$
+\returnType{Type: PositiveInteger}
+
+The four functions we have defined via $p$ have been undeclared.  To
+declare a function whose body is to be generated by 
+\index{function!declaring} {\bf function}, issue the declaration 
+{\it before} the function is created.
+\spadcommand{g: (Integer, Integer) -> Float}
+\returnType{Type: Void}
+
+\spadcommand{D(sin(x-y)/cos(x+y),x)}
+$$
+{-{{\sin 
+\left(
+{{y -x}} 
+\right)}
+\  {\sin 
+\left(
+{{y+x}} 
+\right)}}+{{\cos
+\left(
+{{y -x}} 
+\right)}
+\  {\cos 
+\left(
+{{y+x}} 
+\right)}}}
+\over {{\cos 
+\left(
+{{y+x}} 
+\right)}
+\sp 2} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{function(\%,'g,'x,'y)}
+$$
+g 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{g}
+$$
+g \  {\left( x,  y 
+\right)}
+\  == \  {{-{{\sin 
+\left(
+{{y -x}} 
+\right)}
+\  {\sin 
+\left(
+{{y+x}} 
+\right)}}+{{\cos
+\left(
+{{y -x}} 
+\right)}
+\  {\cos 
+\left(
+{{y+x}} 
+\right)}}}
+\over {{\cos 
+\left(
+{{y+x}} 
+\right)}
+\sp 2}} 
+$$
+\returnType{Type: FunctionCalled g}
+
+It is an error to use $g$ without the quote in the penultimate
+expression since $g$ had been declared but did not have a value.
+Similarly, since it is common to overuse variable names like $x$, $y$,
+and so on, you avoid problems if you always quote the variable names
+for {\bf function}.  In general, if $x$ has a value and you use $x$
+without a quote in a call to {\bf function}, then Axiom does not know
+what you are trying to do.
+
+What kind of object is allowable as the first argument to 
+{\bf function}?  Let's use the Browse facility of HyperDoc to find out.
+\index{Browse@Browse} At the main Browse menu, enter the string 
+{\tt function} and then click on {\bf Operations.}  The exposed operations
+called {\bf function} all take an object whose type belongs to
+category {\tt ConvertibleTo InputForm}.  What domains are those?  Go
+back to the main Browse menu, erase {\tt function}, enter 
+{\tt ConvertibleTo} in the input area, and click on {\bf categories} on the
+{\tt Constructors} line.  At the bottom of the page, enter 
+{\tt InputForm} in the input area following {\bf S =}.  Click on 
+{\tt Cross Reference} and then on {\tt Domains}.  
+The list you see contains over forty domains that belong to the 
+category {\tt ConvertibleTo InputForm}.  Thus you can use {\bf function} 
+for {\tt Integer}, {\tt Float}, {\tt String}, {\tt Complex}, 
+{\tt Expression}, and so on.
+
+\section{Functions Defined with Blocks}
+\label{ugUserBlocks}
+
+You need not restrict yourself to functions that only fit on one line
+or are written in a piece-wise manner.  The body of the function can
+be a block, as discussed in \ref{ugLangBlocks} on page~\pageref{ugLangBlocks}.
+
+Here is a short function that swaps two elements of a list, array or vector.
+\begin{verbatim}
+swap(m,i,j) ==
+  temp := m.i
+  m.i := m.j
+  m.j := temp
+\end{verbatim}
+\returnType{Type: Void}
+
+The significance of {\bf swap} is that it has a destructive
+effect on its first argument.
+\spadcommand{k := [1,2,3,4,5]}
+$$
+\left[
+1,  2,  3,  4,  5 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{swap(k,2,4)}
+\begin{verbatim}
+   Compiling function swap with type (List PositiveInteger,
+      PositiveInteger,PositiveInteger) -> PositiveInteger 
+\end{verbatim}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+You see that the second and fourth elements are interchanged.
+\spadcommand{k}
+$$
+\left[
+1, 4, 3, 2, 5 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Using this, we write a couple of different sort functions.  First, a
+simple bubble sort.  \index{sort!bubble} The operation
+\spadopFrom{\#}{List} returns the number of elements in an aggregate.
+\begin{verbatim}
+bubbleSort(m) ==
+  n := #m
+  for i in 1..(n-1) repeat
+    for j in n..(i+1) by -1 repeat
+      if m.j < m.(j-1) then swap(m,j,j-1)
+  m
+\end{verbatim}
+\returnType{Type: Void}
+
+Let this be the list we want to sort.
+\spadcommand{m := [8,4,-3,9]}
+$$
+\left[
+8,  4,  -3,  9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+This is the result of sorting.
+\spadcommand{bubbleSort(m)}
+\begin{verbatim}
+   Compiling function swap with type (List Integer,Integer,Integer) -> 
+      Integer 
+
++++ |*3;swap;1;G82322| redefined
+   Compiling function bubbleSort with type List Integer -> List Integer
+\end{verbatim}
+$$
+\left[
+-3, 4, 8, 9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Moreover, $m$ is destructively changed to be the sorted version.
+\spadcommand{m}
+$$
+\left[
+-3, 4, 8, 9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+This function implements an insertion sort.  \index{sort!insertion}
+The basic idea is to traverse the list and insert the $i$-th element
+in its correct position among the $i-1$ previous elements.  Since we
+start at the beginning of the list, the list elements before the
+$i$-th element have already been placed in ascending order.
+\begin{verbatim}
+insertionSort(m) ==
+  for i in 2..#m repeat
+    j := i
+    while j > 1 and m.j < m.(j-1) repeat
+      swap(m,j,j-1)
+      j := j - 1
+  m
+\end{verbatim}
+\returnType{Type: Void}
+
+As with our bubble sort, this is a destructive function.
+\spadcommand{m := [8,4,-3,9]}
+$$
+\left[
+8,  4,  -3,  9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{insertionSort(m)}
+\begin{verbatim}
+   Compiling function insertionSort with type List Integer -> List 
+      Integer 
+\end{verbatim}
+$$
+\left[
+-3, 4, 8, 9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{m}
+$$
+\left[
+-3, 4, 8, 9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Neither of the above functions is efficient for sorting large lists
+since they reference elements by asking for the $j$-th element of the
+structure $m$.
+
+Here is a more efficient bubble sort for lists.
+\begin{verbatim}
+bubbleSort2(m: List Integer): List Integer ==
+  null m => m
+  l := m
+  while not null (r := l.rest) repeat
+     r := bubbleSort2 r
+     x := l.first
+     if x < r.first then
+       l.first := r.first
+       r.first := x
+     l.rest := r
+     l := l.rest
+  m
+
+   Function declaration bubbleSort2 : List Integer -> List Integer has 
+      been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Try it out.
+\spadcommand{bubbleSort2 [3,7,2]}
+$$
+\left[
+7, 3, 2 
+\right]
+$$
+\returnType{Type: List Integer}
+
+This definition is both recursive and iterative, and is tricky!
+Unless you are {\it really} curious about this definition, we suggest
+you skip immediately to the next section.
+
+Here are the key points in the definition.  First notice that if you
+are sorting a list with less than two elements, there is nothing to
+do: just return the list.  This definition returns immediately if
+there are zero elements, and skips the entire {\tt while} loop if there is
+just one element.
+
+The second point to realize is that on each outer iteration, the
+bubble sort ensures that the minimum element is propagated leftmost.
+Each iteration of the {\tt while} loop calls {\bf bubbleSort2} recursively
+to sort all but the first element.  When finished, the minimum element
+is either in the first or second position.  The conditional expression
+ensures that it comes first.  If it is in the second, then a swap
+occurs.  In any case, the {\bf rest} of the original list must be
+updated to hold the result of the recursive call.
+
+\section{Free and Local Variables}
+\label{ugUserFreeLocal}
+
+When you want to refer to a variable that is not local to your
+function, use a ``{\tt free}'' declaration.  \index{free} Variables
+declared to be {\tt free} \index{free variable} are assumed to be defined
+globally \index{variable!free} in the \index{variable!global}
+workspace.  \index{global variable}
+
+This is a global workspace variable.
+\spadcommand{counter := 0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+This function refers to the global $counter$.
+\begin{verbatim}
+f() ==
+  free counter
+  counter := counter + 1
+\end{verbatim}
+\returnType{Type: Void}
+
+The global $counter$ is incremented by $1$.
+\spadcommand{f()}
+\begin{verbatim}
+   Compiling function f with type () -> NonNegativeInteger 
+
++++ |*0;f;1;G82322| redefined
+\end{verbatim}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{counter}
+$$
+1 
+$$
+\returnType{Type: NonNegativeInteger}
+
+
+Usually Axiom can tell that you mean to refer to a global variable and
+so {\tt free} isn't always necessary.  However, for clarity and the sake
+of self-documentation, we encourage you to use it.
+
+Declare a variable to be ``{\tt local}'' when you do not want to refer to
+\index{variable!local} a global variable by the same name.
+\index{local variable}
+
+This function uses $counter$ as a local variable.
+\begin{verbatim}
+g() ==
+  local counter
+  counter := 7
+\end{verbatim}
+\returnType{Type: Void}
+
+Apply the function.
+\spadcommand{g()}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+Check that the global value of $counter$ is unchanged.
+\spadcommand{counter}
+$$
+1 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Parameters to a function are local variables in the function.  Even if
+you issue a {\tt free} declaration for a parameter, it is still local.
+
+What happens if you do not declare that a variable $x$ in the body of
+your function is {\tt local} or {\tt free}?  Well, Axiom decides on this basis:
+\begin{enumerate}
+\item Axiom scans your function line-by-line, from top-to-bottom.
+The right-hand side of an assignment is looked at before the left-hand
+side.
+\item If $x$ is referenced before it is assigned a value, it is a
+{\tt free} (global) variable.
+\item If $x$ is assigned a value before it is referenced, it is a
+{\tt local} variable.
+\end{enumerate}
+
+Set two global variables to 1.
+\spadcommand{a := b := 1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Refer to $a$ before it is assigned a value, but assign a value to $b$
+before it is referenced.
+\begin{verbatim}
+h() ==
+  b := a + 1
+  a := b + a
+\end{verbatim}
+\returnType{Type: Void}
+
+Can you predict this result?
+\spadcommand{h()}
+\begin{verbatim}
+   Compiling function h with type () -> PositiveInteger 
+
++++ |*0;h;1;G82322| redefined
+\end{verbatim}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+How about this one?
+\spadcommand{[a, b]}
+$$
+\left[
+3, 1 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+What happened?  In the first line of the function body for $h$, $a$ is
+referenced on the right-hand side of the assignment.  Thus $a$ is a
+free variable.  The variable $b$ is not referenced in that line, but
+it is assigned a value.  Thus $b$ is a local variable and is given the
+value $a + 1 = 2$.  In the second line, the free variable $a$ is
+assigned the value $b + a$ which equals $2 + 1 = 3.$ This is the value
+returned by the function.  Since $a$ was free in {\bf h}, the global
+variable $a$ has value $3.$ Since $b$ was local in {\bf h}, the global
+variable $b$ is unchanged---it still has the value $1$.
+
+It is good programming practice always to declare global variables.
+However, by far the most common situation is to have local variables
+in your functions.  No declaration is needed for this situation, but
+be sure to initialize their values.
+
+Be careful if you use free variables and you cache the value of your
+function (see \ref{ugUserCache} on page~\pageref{ugUserCache}).
+Caching {\it only} checks if the values of the function arguments are
+the same as in a function call previously seen.  It does not check if
+any of the free variables on which the function depends have changed
+between function calls.
+
+Turn on caching for {\bf p}.
+\spadcommand{)set fun cache all p}
+\begin{verbatim}
+   function p will cache all values.
+\end{verbatim}
+
+Define {\bf p} to depend on the free variable $N$.
+\spadcommand{p(i,x) == ( free N; reduce( + , [ (x-i)**n for n in 1..N ] ) )}
+\returnType{Type: Void}
+
+Set the value of $N$.
+\spadcommand{N := 1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Evaluate {\bf p} the first time.
+\spadcommand{p(0, x)}
+$$
+x 
+$$
+\returnType{Type: Polynomial Integer}
+
+Change the value of $N$.
+\spadcommand{N := 2}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Evaluate {\bf p} the second time.
+\spadcommand{p(0, x)}
+$$
+x 
+$$
+\returnType{Type: Polynomial Integer}
+
+If caching had been turned off, the second evaluation would have
+reflected the changed value of $N$.
+
+Turn off caching for {\bf p}.
+\spadcommand{)set fun cache 0 p}
+\begin{verbatim}
+   Caching for function p is turned off
+\end{verbatim}
+
+Axiom does not allow {\it fluid variables}, that is, variables
+\index{variable!fluid} bound by a function $f$ that can be referenced
+by functions called by $f$.  \index{fluid variable}
+
+Values are passed to functions by {\it reference}: a pointer to the
+value is passed rather than a copy of the value or a pointer to a
+copy.
+
+This is a global variable that is bound to a record object.
+\spadcommand{r : Record(i : Integer) := [1]}
+$$
+\left[
+{i=1} 
+\right]
+$$
+\returnType{Type: Record(i: Integer)}
+
+This function first modifies the one component of its record argument
+and then rebinds the parameter to another record.
+\begin{verbatim}
+resetRecord rr ==
+  rr.i := 2
+  rr := [10]
+\end{verbatim}
+\returnType{Type: Void}
+
+Pass $r$ as an argument to {\bf resetRecord}. 
+\spadcommand{resetRecord r}
+$$
+\left[
+{i={10}} 
+\right]
+$$
+\returnType{Type: Record(i: Integer)}
+
+The value of $r$ was changed by the expression $rr.i := 2$ but not by
+$rr := [10]$.
+\spadcommand{r}
+$$
+\left[
+{i=2} 
+\right]
+$$
+\returnType{Type: Record(i: Integer)}
+
+To conclude this section, we give an iterative definition of
+\index{Fibonacci numbers} a function that computes Fibonacci numbers.
+This definition approximates the definition into which Axiom
+transforms the recurrence relation definition of {\bf fib} in
+\ref{ugUserRecur} on page~\pageref{ugUserRecur}.
+
+Global variables {\tt past} and {\tt present} are used to hold the last
+computed Fibonacci numbers.
+\spadcommand{past := present := 1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Global variable $index$ gives the current index of $present$.
+\spadcommand{index := 2}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Here is a recurrence relation defined in terms of these three global
+variables.
+\begin{verbatim}
+fib(n) ==
+  free past, present, index
+  n < 3 => 1
+  n = index - 1 => past
+  if n < index-1 then
+    (past,present) := (1,1)
+    index := 2
+  while (index < n) repeat
+    (past,present) := (present, past+present)
+    index := index + 1
+  present
+\end{verbatim}
+\returnType{Type: Void}
+
+Compute the infinite stream of Fibonacci numbers.
+\spadcommand{fibs := [fib(n) for n in 1..]}
+$$
+\left[
+1, 1, 2, 3, 5, 8, {13}, {21}, {34}, {55},
+\ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+What is the 1000th Fibonacci number?
+\spadcommand{fibs 1000}
+\begin{verbatim}
+  434665576869374564356885276750406258025646605173717804024_
+    8172908953655541794905189040387984007925516929592259308_
+    0322634775209689623239873322471161642996440906533187938_
+    298969649928516003704476137795166849228875
+\end{verbatim}
+\returnType{Type: PositiveInteger}
+
+As an exercise, we suggest you write a function in an iterative style
+that computes the value of the recurrence relation 
+$p(n) = p(n-1) - 2 \, p(n-2) + 4 \, p(n-3)$ 
+having the initial values 
+$p(1) = 1,\, p(2) = 3 \hbox{ and } p(3) = 9.$ 
+How would you write the function using an element {\tt OneDimensionalArray} 
+or {\tt Vector} to hold the previously computed values?
+
+\section{Anonymous Functions}
+\label{ugUserAnon}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+An {\it anonymous function} is a function that is
+\index{function!anonymous} defined \index{anonymous function} by
+giving a list of parameters, the ``maps-to'' compound 
+\index{+-> @{\tt +->}} symbol ``{\tt +->}'' 
+(from the mathematical symbol $\mapsto$), and
+by an expression involving the parameters, the evaluation of which
+determines the return value of the function.
+
+\begin{center}
+{\tt ( $\hbox{\it parm}_{1}$, $\hbox{\it parm}_{2}$, \ldots, 
+$\hbox{\it parm}_{N}$ ) {\tt +->} {\it expression}}
+\end{center}
+{\ }%force a blank line 
+}
+
+You can apply an anonymous function in several ways.
+\begin{enumerate}
+\item Place the anonymous function definition in parentheses
+directly followed by a list of arguments.
+\item Assign the anonymous function to a variable and then
+use the variable name when you would normally use a function name.
+\item Use ``{\tt ==}'' to use the anonymous function definition as
+the arguments and body of a regular function definition.
+\item Have a named function contain a declared anonymous function and
+use the result returned by the named function.
+\end{enumerate}
+
+\subsection{Some Examples}
+\label{ugUserAnonExamp}
+
+Anonymous functions are particularly useful for defining functions
+``on the fly.'' That is, they are handy for simple functions that are
+used only in one place.  In the following examples, we show how to
+write some simple anonymous functions.
+
+This is a simple absolute value function.
+\spadcommand{x +-> if x < 0 then -x else x}
+$$
+x \mapsto {if \  {x<0} \  {\begin{array}{l} {then \  -x} \\ 
+{else \  x} 
+\end{array}
+}} 
+$$
+\returnType{Type: AnonymousFunction}
+
+\spadcommand{abs1 := \%}
+$$
+x \mapsto {if \  {x<0} \  {\begin{array}{l} {then \  -x} \\ 
+{else \  x} 
+\end{array}
+}} 
+$$
+\returnType{Type: AnonymousFunction}
+
+This function returns {\tt true} if the absolute value of
+the first argument is greater than the absolute value of the
+second, {\tt false} otherwise.
+
+\spadcommand{(x,y) +-> abs1(x) > abs1(y)}
+$$
+{\left( x,  y 
+\right)}
+\mapsto {{abs1 
+\left(
+{y} 
+\right)}<{abs1
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: AnonymousFunction}
+
+We use the above function to ``sort'' a list of integers.
+\spadcommand{sort(\%,[3,9,-4,10,-3,-1,-9,5])}
+$$
+\left[
+{10},  -9,  9,  5,  -4,  -3,  3,  -1 
+\right]
+$$
+\returnType{Type: List Integer}
+
+This function returns $1$ if $i + j$ is even, $-1$ otherwise.
+\spadcommand{ev := ( (i,j) +-> if even?(i+j) then 1 else -1)}
+$$
+{\left( i,  j 
+\right)}
+\mapsto {if \  {even? 
+\left(
+{{i+j}} 
+\right)}
+\  {\begin{array}{l} {then \  1} \\ 
+{else \  -1} 
+\end{array}
+}} 
+$$
+\returnType{Type: AnonymousFunction}
+
+We create a four-by-four matrix containing $1$ or $-1$ depending on
+whether the row plus the column index is even or not.
+\spadcommand{matrix([ [ev(row,col) for row in 1..4] for col in 1..4])}
+$$
+\left[
+\begin{array}{cccc}
+1 & -1 & 1 & -1 \\ 
+-1 & 1 & -1 & 1 \\ 
+1 & -1 & 1 & -1 \\ 
+-1 & 1 & -1 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+This function returns {\tt true} if a polynomial in $x$ has multiple
+roots, {\tt false} otherwise.  It is defined and applied in the same
+expression.
+\spadcommand{( p +-> not one?(gcd(p,D(p,x))) )(x**2+4*x+4)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+This and the next expression are equivalent.
+\spadcommand{g(x,y,z) == cos(x + sin(y + tan(z)))}
+\returnType{Type: Void}
+
+The one you use is a matter of taste.
+\spadcommand{g == (x,y,z) +-> cos(x + sin(y + tan(z)))}
+\begin{verbatim}
+   1 old definition(s) deleted for function or rule g 
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsection{Declaring Anonymous Functions}
+\label{ugUserAnonDeclare}
+
+If you declare any of the arguments you must declare all of them. Thus,
+\begin{verbatim}
+(x: INT,y): FRAC INT +-> (x + 2*y)/(y - 1)
+\end{verbatim}
+is not legal.
+
+This is an example of a fully declared anonymous function.
+\index{function!declaring} \index{function!anonymous!declaring} The
+output shown just indicates that the object you created is a
+particular kind of map, that is, function.
+\spadcommand{(x: INT,y: INT): FRAC INT +-> (x + 2*y)/(y - 1)}
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: ((Integer,Integer) {\tt ->} Fraction Integer)}
+
+Axiom allows you to declare the arguments and not declare
+the return type.
+\spadcommand{(x: INT,y: INT) +-> (x + 2*y)/(y - 1)}
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: ((Integer,Integer) {\tt ->} Fraction Integer)}
+
+The return type is computed from the types of the arguments and the
+body of the function.  You cannot declare the return type if you do
+not declare the arguments.  Therefore,
+\begin{verbatim}
+(x,y): FRAC INT +-> (x + 2*y)/(y - 1)
+\end{verbatim}
+
+is not legal. This and the next expression are equivalent.
+\spadcommand{h(x: INT,y: INT): FRAC INT == (x + 2*y)/(y - 1)}
+\begin{verbatim}
+   Function declaration h : (Integer,Integer) -> Fraction Integer
+      has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+The one you use is a matter of taste.
+\spadcommand{h == (x: INT,y: INT): FRAC INT +-> (x + 2*y)/(y - 1)}
+\begin{verbatim}
+   Function declaration h : (Integer,Integer) -> Fraction Integer
+      has been added to workspace.
+   1 old definition(s) deleted for function or rule h 
+\end{verbatim}
+\returnType{Type: Void}
+
+When should you declare an anonymous function?  
+\begin{enumerate}
+\item If you use an anonymous function and Axiom can't figure out what
+you are trying to do, declare the function.  
+\item If the function has nontrivial argument types or a nontrivial 
+return type that Axiom may be able to determine eventually, but you 
+are not willing to wait that long, declare the function.  
+\item If the function will only be used for arguments of specific types 
+and it is not too much trouble to declare the function, do so.  
+\item If you are using the anonymous function as an argument to another 
+function (such as {\bf map} or {\bf sort}), consider declaring the function.  
+\item If you define an anonymous function inside a named function, 
+you {\it must} declare the anonymous function.  
+\end{enumerate}
+
+This is an example of a named function for integers that returns a
+function.
+\spadcommand{addx x == ((y: Integer): Integer +-> x + y)}
+\returnType{Type: Void}
+
+We define {\bf g} to be a function that adds $10$ to its
+argument.
+\spadcommand{g := addx 10}
+\begin{verbatim}
+   Compiling function addx with type 
+     PositiveInteger -> (Integer -> Integer) 
+\end{verbatim}
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: (Integer {\tt ->} Integer)}
+
+Try it out.
+\spadcommand{g 3}
+$$
+13 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{g(-4)}
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{function!anonymous!restrictions}
+An anonymous function cannot be recursive: since it does not have a
+name, you cannot even call it within itself!  If you place an
+anonymous function inside a named function, the anonymous function
+must be declared.
+
+\section{Example: A Database}
+\label{ugUserDatabase}
+
+This example shows how you can use Axiom to organize a database of
+lineage data and then query the database for relationships.
+
+The database is entered as ``assertions'' that are really pieces of a
+function definition.
+\spadcommand{children("albert") == ["albertJr","richard","diane"]}
+\returnType{Type: Void}
+
+Each piece $children(x) == y$ means ``the children of $x$ are $y$''.
+\spadcommand{children("richard") == ["douglas","daniel","susan"]}
+\returnType{Type: Void}
+
+This family tree thus spans four generations.
+\spadcommand{children("douglas") == ["dougie","valerie"]}
+\returnType{Type: Void}
+
+Say ``no one else has children.''
+\spadcommand{children(x) == []}
+\returnType{Type: Void}
+
+We need some functions for computing lineage.  Start with {\tt childOf}.
+\spadcommand{childOf(x,y) == member?(x,children(y))}
+\returnType{Type: Void}
+
+To find the {\tt parentOf} someone, you have to scan the database of
+people applying {\tt children}.
+\begin{verbatim}
+parentOf(x) ==
+  for y in people repeat
+    (if childOf(x,y) then return y)
+  "unknown"
+\end{verbatim}
+\returnType{Type: Void}
+
+And a grandparent of $x$ is just a parent of a parent of $x$.
+\spadcommand{grandParentOf(x) == parentOf parentOf x}
+\returnType{Type: Void}
+
+The grandchildren of $x$ are the people $y$ such that $x$ is a
+grandparent of $y$.
+\spadcommand{grandchildren(x) == [y for y in people | grandParentOf(y) = x]}
+\returnType{Type: Void}
+
+Suppose you want to make a list of all great-grandparents.  Well, a
+great-grandparent is a grandparent of a person who has children.
+
+\begin{verbatim}
+greatGrandParents == [x for x in people |
+  reduce(_or,
+    [not empty? children(y) for y in grandchildren(x)],false)]
+\end{verbatim}
+\returnType{Type: Void}
+
+Define {\tt descendants} to include the parent as well.
+\begin{verbatim}
+descendants(x) ==
+  kids := children(x)
+  null kids => [x]
+  concat(x,reduce(concat,[descendants(y)
+    for y in kids],[]))
+\end{verbatim}
+\returnType{Type: Void}
+
+Finally, we need a list of people.  Since all people are descendants
+of ``albert'', let's say so.
+\spadcommand{people == descendants "albert"}
+\returnType{Type: Void}
+
+We have used ``{\tt ==}'' to define the database and some functions to
+query the database.  But no computation is done until we ask for some
+information.  Then, once and for all, the functions are analyzed and
+compiled to machine code for run-time efficiency.  Notice that no
+types are given anywhere in this example.  They are not needed.
+
+Who are the grandchildren of ``richard''?
+\spadcommand{grandchildren "richard"}
+\begin{verbatim}
+Compiling function children with type String -> List String 
+Compiling function descendants with type String -> List String 
+Compiling body of rule people to compute value of type List String 
+Compiling function childOf with type (String,String) -> Boolean 
+Compiling function parentOf with type String -> String 
+Compiling function grandParentOf with type String -> String 
+Compiling function grandchildren with type String -> List String 
+\end{verbatim}
+$$
+\left[
+\mbox{\tt "dougie"} , \mbox{\tt "valerie"} 
+\right]
+$$
+\returnType{Type: List String}
+
+Who are the great-grandparents?
+\spadcommand{greatGrandParents}
+\begin{verbatim}
+Compiling body of rule greatGrandParents to compute value of 
+   type List String 
+\end{verbatim}
+$$
+\left[
+\mbox{\tt "albert"} 
+\right]
+$$
+\returnType{Type: List String}
+
+\section{Example: A Famous Triangle}
+\label{ugUserTriangle}
+
+In this example we write some functions that display Pascal's
+triangle.  \index{Pascal's triangle} It demonstrates the use of
+piece-wise definitions and some output operations you probably haven't
+seen before.
+
+To make these output operations available, we have to {\it expose} the
+domain {\tt OutputForm}.  \index{OutputForm} See 
+\ref{ugTypesExpose} on page~\pageref{ugTypesExpose}
+for more information about exposing domains and packages.
+\spadcommand{)set expose add constructor OutputForm}
+\begin{verbatim}
+   OutputForm is now explicitly exposed in frame G82322 
+\end{verbatim}
+
+Define the values along the first row and any column $i$.
+\spadcommand{pascal(1,i) == 1}
+\returnType{Type: Void}
+
+Define the values for when the row and column index $i$ are equal.
+Repeating the argument name indicates that the two index values are equal.
+\spadcommand{pascal(n,n) == 1}
+\returnType{Type: Void}
+
+\begin{verbatim}
+pascal(i,j | 1 < i and i < j) ==
+   pascal(i-1,j-1)+pascal(i,j-1)
+\end{verbatim}
+\returnType{Type: Void}
+
+Now that we have defined the coefficients in Pascal's triangle, let's
+write a couple of one-liners to display it. 
+
+First, define a function that gives the $n$-th row.
+\spadcommand{pascalRow(n) == [pascal(i,n) for i in 1..n]}
+\returnType{Type: Void}
+
+Next, we write the function {\bf displayRow} to display the row,
+separating entries by blanks and centering.
+\spadcommand{displayRow(n) == output center blankSeparate pascalRow(n)}
+\returnType{Type: Void}
+
+Here we have used three output operations.  Operation
+\spadfunFrom{output}{OutputForm} displays the printable form of
+objects on the screen, \spadfunFrom{center}{OutputForm} centers a
+printable form in the width of the screen, and
+\spadfunFrom{blankSeparate}{OutputForm} takes a list of nprintable
+forms and inserts a blank between successive elements.
+
+Look at the result.
+\spadcommand{for i in 1..7 repeat displayRow i}
+\begin{verbatim}
+   Compiling function pascal with type (Integer,Integer) -> 
+      PositiveInteger 
+   Compiling function pascalRow with type PositiveInteger -> List 
+      PositiveInteger 
+   Compiling function displayRow with type PositiveInteger -> Void 
+
+
+                                   1
+                                  1 1
+                                 1 2 1
+                                1 3 3 1
+                               1 4 6 4 1
+                             1 5 10 10 5 1
+                            1 6 15 20 15 6 1
+\end{verbatim}
+\returnType{Type: Void}
+
+Being purists, we find this less than satisfactory.  Traditionally,
+elements of Pascal's triangle are centered between the left and right
+elements on the line above.
+
+To fix this misalignment, we go back and redefine {\bf pascalRow} to
+right adjust the entries within the triangle within a width of four
+characters.
+
+\spadcommand{pascalRow(n) == [right(pascal(i,n),4) for i in 1..n]}
+\begin{verbatim}
+   Compiled code for pascalRow has been cleared.
+   Compiled code for displayRow has been cleared.
+   1 old definition(s) deleted for function or rule pascalRow 
+\end{verbatim}
+\returnType{Type: Void}
+
+Finally let's look at our purely reformatted triangle.
+\spadcommand{for i in 1..7 repeat displayRow i}
+\begin{verbatim}
+   Compiling function pascalRow with type PositiveInteger -> List 
+      OutputForm 
+
++++ |*1;pascalRow;1;G82322| redefined
+   Compiling function displayRow with type PositiveInteger -> Void 
+
++++ |*1;displayRow;1;G82322| redefined
+                                     1
+                                  1    1
+                                1    2    1
+                             1    3    3    1
+                           1    4    6    4    1
+                        1    5   10   10    5    1
+                      1    6   15   20   15    6    1
+\end{verbatim}
+\returnType{Type: Void}
+
+Unexpose {\tt OutputForm} so we don't get unexpected results later.
+\spadcommand{)set expose drop constructor OutputForm}
+\begin{verbatim}
+   OutputForm is now explicitly hidden in frame G82322 
+\end{verbatim}
+
+\section{Example: Testing for Palindromes}
+\label{ugUserPal}
+
+In this section we define a function {\bf pal?} that tests whether its
+\index{palindrome} argument is a {\it palindrome}, that is, something
+that reads the same backwards and forwards.  For example, the string
+``Madam I'm Adam'' is a palindrome (excluding blanks and punctuation)
+and so is the number $123454321$.  The definition works for any
+datatype that has $n$ components that are accessed by the indices
+$1\ldots n$.
+
+Here is the definition for {\bf pal?}.  It is simply a call to an
+auxiliary function called {\bf palAux?}.  We are following the
+convention of ending a function's name with {\tt ?} if the function
+returns a {\tt Boolean} value.
+\spadcommand{pal? s ==  palAux?(s,1,\#s)}
+\returnType{Type: Void}
+
+Here is {\bf palAux?}.  It works by comparing elements that are
+equidistant from the start and end of the object.
+\begin{verbatim}
+palAux?(s,i,j) ==
+  j > i =>
+    (s.i = s.j) and palAux?(s,i+1,i-1)
+  true
+\end{verbatim}
+\returnType{Type: Void}
+
+Try {\bf pal?} on some examples.  First, a string.
+\spadcommand{pal? "Oxford"}
+\begin{verbatim}
+   Compiling function palAux? with type (String,Integer,Integer) -> 
+      Boolean 
+   Compiling function pal? with type String -> Boolean 
+\end{verbatim}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+A list of polynomials.
+\spadcommand{pal? [4,a,x-1,0,x-1,a,4]}
+\begin{verbatim}
+   Compiling function palAux? with type (List Polynomial Integer,
+      Integer,Integer) -> Boolean 
+   Compiling function pal? with type List Polynomial Integer -> Boolean
+\end{verbatim}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+A list of integers from the example in the last section. 
+\spadcommand{pal? [1,6,15,20,15,6,1]}
+\begin{verbatim}
+   Compiling function palAux? with type (List PositiveInteger,Integer,
+      Integer) -> Boolean 
+   Compiling function pal? with type List PositiveInteger -> Boolean 
+\end{verbatim}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+To use {\bf pal?} on an integer, first convert it to a string.
+\spadcommand{pal?(1441::String)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Compute an infinite stream of decimal numbers, each of which is an
+obvious palindrome.
+\spadcommand{ones := [reduce(+,[10**j for j in 0..i]) for i in 1..]}
+$$
+\begin{array}{@{}l}
+\left[
+{11}, {111}, {1111}, {11111}, {111111}, {1111111}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{11111111}, {111111111}, {1111111111}, {11111111111}, \ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream PositiveInteger}
+
+\spadcommand{)set streams calculate 9}
+
+How about their squares?
+\spadcommand{squares := [x**2 for x in ones]}
+$$
+\begin{array}{@{}l}
+\left[
+{121}, {12321}, {1234321}, {123454321}, {12345654321}, {1234567654321}, 
+\right.
+\\
+\\
+\displaystyle
+{123456787654321}, {12345678987654321}, {1234567900987654321}, 
+\\
+\\
+\displaystyle
+\left.
+{123456790120987654321},  \ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream PositiveInteger}
+
+Well, let's test them all.
+\spadcommand{[pal?(x::String) for x in squares]}
+$$
+\left[
+{\tt true}, {\tt true}, {\tt true}, {\tt true}, {\tt true}, 
+{\tt true}, {\tt true}, {\tt true}, {\tt true}, {\tt true}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Boolean}
+
+\spadcommand{)set streams calculate 7}
+
+\section{Rules and Pattern Matching}
+\label{ugUserRules}
+
+A common mathematical formula is 
+$$ \log(x) + \log(y) = \log(x y) \quad\forall \, x \hbox{\ and\ } y$$ 
+The presence of ``$\forall$'' indicates that $x$ and $y$ can stand for
+arbitrary mathematical expressions in the above formula.  You can use
+such mathematical formulas in Axiom to specify ``rewrite rules''.
+Rewrite rules are objects in Axiom that can be assigned to variables
+for later use, often for the purpose of simplification.  Rewrite rules
+look like ordinary function definitions except that they are preceded
+by the reserved word $rule$.  \index{rule} For example, a rewrite rule
+for the above formula is:
+\begin{verbatim}
+rule log(x) + log(y) == log(x * y)
+\end{verbatim}
+
+Like function definitions, no action is taken when a rewrite rule is
+issued.  Think of rewrite rules as functions that take one argument.
+When a rewrite rule $A = B$ is applied to an argument $f$, its meaning
+is: ``rewrite every subexpression of $f$ that {\it matches} $A$ by
+$B.$'' The left-hand side of a rewrite rule is called a {\it pattern};
+its right-side side is called its {\it substitution}.
+
+Create a rewrite rule named {\bf logrule}.  The generated symbol
+beginning with a ``{\tt \%}'' is a place-holder for any other terms that
+might occur in the sum.
+\spadcommand{logrule := rule log(x) + log(y) == log(x * y)}
+$$
+{{\log 
+\left(
+{y} 
+\right)}+{\log
+\left(
+{x} 
+\right)}+
+ \%C} \mbox{\rm == } {{\log 
+\left(
+{{x \  y}} 
+\right)}+
+ \%C} 
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+Create an expression with logarithms.
+\spadcommand{f := log sin x + log x}
+$$
+{\log 
+\left(
+{{\sin 
+\left(
+{x} 
+\right)}}
+\right)}+{\log
+\left(
+{x} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+Apply {\bf logrule} to $f$.
+\spadcommand{logrule f}
+$$
+\log 
+\left(
+{{x \  {\sin 
+\left(
+{x} 
+\right)}}}
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+The meaning of our example rewrite rule is: ``for all expressions $x$
+and $y$, rewrite $log(x) + log(y)$ by $log(x * y)$.''  Patterns
+generally have both operation names (here, {\bf log} and ``{\tt +}'') and
+variables (here, $x$ and $y$).  By default, every operation name
+stands for itself.  Thus {\bf log} matches only ``$log$'' and not any
+other operation such as {\bf sin}.  On the other hand, variables do
+not stand for themselves.  Rather, a variable denotes a {\it pattern
+variable} that is free to match any expression whatsoever.
+\index{pattern!variables}
+
+When a rewrite rule is applied, a process called 
+{\it pattern matching} goes to work by systematically scanning
+\index{pattern!matching} the subexpressions of the argument.  When a
+subexpression is found that ``matches'' the pattern, the subexpression
+is replaced by the right-hand side of the rule.  The details of what
+happens will be covered later.
+
+The customary Axiom notation for patterns is actually a shorthand for
+a longer, more general notation.  Pattern variables can be made
+explicit by using a percent ``{\tt \%}'' as the first character of the
+variable name.  To say that a name stands for itself, you can prefix
+that name with a quote operator ``{\tt '}''.  Although the current Axiom
+parser does not let you quote an operation name, this more general
+notation gives you an alternate way of giving the same rewrite rule:
+\begin{verbatim}
+rule log(%x) + log(%y) == log(x * y)
+\end{verbatim}
+
+This longer notation gives you patterns that the standard notation
+won't handle.  For example, the rule
+\begin{verbatim}
+rule %f(c * 'x) ==  c*%f(x)
+\end{verbatim}
+means ``for all $f$ and $c$, replace $f(y)$ by $c * f(x)$ when $y$ is
+the product of $c$ and the explicit variable $x$.''
+
+Thus the pattern can have several adornments on the names that appear there.
+Normally, all these adornments are dropped in the substitution on the
+right-hand side.
+
+To summarize:
+
+\boxed{4.6in}{
+\vskip 0.1cm
+To enter a single rule in Axiom, use the following syntax: \index{rule}
+\begin{center}
+{\tt rule {\it leftHandSide} == {\it rightHandSide}}
+\end{center}
+
+The {\it leftHandSide} is a pattern to be matched and the {\it
+rightHandSide} is its substitution.  The rule is an object of type
+{\tt RewriteRule} that can be assigned to a variable and applied to
+expressions to transform them.\\
+}
+
+Rewrite rules can be collected
+into rulesets so that a set of rules can be applied at once.
+Here is another simplification rule for logarithms.
+$$y \log(x) = \log(x^y) \quad\forall \, x \hbox{\ and\ } y$$
+If instead of giving a single rule following the reserved word $rule$
+you give a ``pile'' of rules, you create what is called a {\it
+ruleset.}  \index{ruleset} Like rules, rulesets are objects in Axiom
+and can be assigned to variables.  You will find it useful to group
+commonly used rules into input files, and read them in as needed.
+
+Create a ruleset named $logrules$.
+\begin{verbatim}
+logrules := rule
+  log(x) + log(y) == log(x * y)
+  y * log x       == log(x ** y)
+\end{verbatim}
+$$
+\left\{
+{{{\log 
+\left(
+{y} 
+\right)}+{\log
+\left(
+{x} 
+\right)}+
+ \%B} \mbox{\rm == } {{\log 
+\left(
+{{x \  y}} 
+\right)}+
+ \%B}}, {{y \  {\log 
+\left(
+{x} 
+\right)}}
+\mbox{\rm == } {\log 
+\left(
+{{x \sp y}} 
+\right)}}
+\right\}
+$$
+\returnType{Type: Ruleset(Integer,Integer,Expression Integer)}
+
+Again, create an expression $f$ containing logarithms.
+\spadcommand{f := a * log(sin x) - 2 * log x}
+$$
+{a \  {\log 
+\left(
+{{\sin 
+\left(
+{x} 
+\right)}}
+\right)}}
+-{2 \  {\log 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: Expression Integer}
+
+Apply the ruleset {\bf logrules} to $f$.
+\spadcommand{logrules f}
+$$
+\log 
+\left(
+{{{{\sin 
+\left(
+{x} 
+\right)}
+\sp a} \over {x \sp 2}}} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+
+We have allowed pattern variables to match arbitrary expressions in
+the above examples.  Often you want a variable only to match
+expressions satisfying some predicate.  For example, we may want to
+apply the transformation 
+$$y \log(x) = \log(x^y)$$ 
+only when $y$ is an integer.
+
+The way to restrict a pattern variable $y$ by a predicate $f(y)$
+\index{pattern!variable!predicate} is by using a vertical bar ``{\tt |}'',
+which means ``such that,'' in \index{such that} much the same way it
+is used in function definitions.  \index{predicate!on a pattern
+variable} You do this only once, but at the earliest (meaning deepest
+and leftmost) part of the pattern.
+
+This restricts the logarithmic rule to create integer exponents only.
+\begin{verbatim}
+logrules2 := rule
+  log(x) + log(y)          == log(x * y)
+  (y | integer? y) * log x == log(x ** y)
+\end{verbatim}
+$$
+\left\{
+{{{\log 
+\left(
+{y} 
+\right)}+{\log
+\left(
+{x} 
+\right)}+
+ \%D} \mbox{\rm == } {{\log 
+\left(
+{{x \  y}} 
+\right)}+
+ \%D}}, {{y \  {\log 
+\left(
+{x} 
+\right)}}
+\mbox{\rm == } {\log 
+\left(
+{{x \sp y}} 
+\right)}}
+\right\}
+$$
+\returnType{Type: Ruleset(Integer,Integer,Expression Integer)}
+
+Compare this with the result of applying the previous set of rules.
+\spadcommand{f}
+$$
+{a \  {\log 
+\left(
+{{\sin 
+\left(
+{x} 
+\right)}}
+\right)}}
+-{2 \  {\log 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{logrules2 f}
+$$
+{a \  {\log 
+\left(
+{{\sin 
+\left(
+{x} 
+\right)}}
+\right)}}+{\log
+\left(
+{{1 \over {x \sp 2}}} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+You should be aware that you might need to apply a function like 
+{\tt integer} within your predicate expression to actually apply the test
+function.
+
+Here we use {\tt integer} because $n$ has type {\tt Expression
+Integer} but {\bf even?} is an operation defined on integers.
+\spadcommand{evenRule := rule cos(x)**(n | integer? n and even? integer n)==(1-sin(x)**2)**(n/2)}
+$$
+{{\cos 
+\left(
+{x} 
+\right)}
+\sp n} \mbox{\rm == } {{\left( -{{\sin 
+\left(
+{x} 
+\right)}
+\sp 2}+1 
+\right)}
+\sp {n \over 2}} 
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+Here is the application of the rule.
+\spadcommand{evenRule( cos(x)**2 )}
+$$
+-{{\sin 
+\left(
+{x} 
+\right)}
+\sp 2}+1 
+$$
+\returnType{Type: Expression Integer}
+
+This is an example of some of the usual identities involving products of
+sines and cosines.
+\begin{verbatim}
+sinCosProducts == rule
+  sin(x) * sin(y) == (cos(x-y) - cos(x + y))/2
+  cos(x) * cos(y) == (cos(x-y) + cos(x+y))/2
+  sin(x) * cos(y) == (sin(x-y) + sin(x + y))/2
+\end{verbatim}
+\returnType{Type: Void}
+
+\spadcommand{g := sin(a)*sin(b) + cos(b)*cos(a) + sin(2*a)*cos(2*a)}
+$$
+{{\sin 
+\left(
+{a} 
+\right)}
+\  {\sin 
+\left(
+{b} 
+\right)}}+{{\cos
+\left(
+{{2 \  a}} 
+\right)}
+\  {\sin 
+\left(
+{{2 \  a}} 
+\right)}}+{{\cos
+\left(
+{a} 
+\right)}
+\  {\cos 
+\left(
+{b} 
+\right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{sinCosProducts g}
+\begin{verbatim}
+   Compiling body of rule sinCosProducts to compute value of type 
+      Ruleset(Integer,Integer,Expression Integer) 
+\end{verbatim}
+$$
+{{\sin 
+\left(
+{{4 \  a}} 
+\right)}+{2
+\  {\cos 
+\left(
+{{b -a}} 
+\right)}}}
+\over 2 
+$$
+\returnType{Type: Expression Integer}
+
+Another qualification you will often want to use is to allow a pattern to
+match an identity element.
+Using the pattern $x + y$, for example, neither $x$ nor $y$
+matches the expression $0$.
+Similarly, if a pattern contains a product $x*y$ or an exponentiation
+$x**y$, then neither $x$ or $y$ matches $1$.
+
+If identical elements were matched, pattern matching would generally loop.
+Here is an expansion rule for exponentials.
+\spadcommand{exprule := rule exp(a + b) == exp(a) * exp(b)}
+$$
+{e \sp {\left( b+a 
+\right)}}
+\mbox{\rm == } {{e \sp a} \  {e \sp b}} 
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+This rule would cause infinite rewriting on this if either $a$ or
+$b$ were allowed to match $0$.
+\spadcommand{exprule exp x}
+$$
+e \sp x 
+$$
+\returnType{Type: Expression Integer}
+
+There are occasions when you do want a pattern variable in a sum or
+product to match $0$ or $1$. If so, prefix its name
+with a ``{\tt ?}'' whenever it appears in a left-hand side of a rule.
+For example, consider the following rule for the exponential integral:
+$$\int \left(\frac{y+e^x}{x}\right) dx = 
+\int \frac{y}{x} dx + \hbox{\rm Ei}(x) \quad\forall \, x \hbox{\ and\ } y$$
+This rule is valid for $y = 0$.  One solution is to create a {\tt
+Ruleset} with two rules, one with and one without $y$.  A better
+solution is to use an ``optional'' pattern variable.
+
+Define rule {\tt eirule} with
+a pattern variable $?y$ to indicate
+that an expression may or may not occur.
+\spadcommand{eirule := rule integral((?y + exp x)/x,x) == integral(y/x,x) + Ei x}
+$$
+{\int \sp{\displaystyle x} {{{{e \sp \%M}+y} \over \%M} \  {d \%M}}} 
+\mbox{\rm == } {{{{\tt '}integral} 
+\left(
+{{y \over x}, x} 
+\right)}+{{{\tt
+'}Ei} 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+Apply rule {\tt eirule} to an integral without this term.
+\spadcommand{eirule integral(exp u/u, u)}
+$$
+Ei 
+\left(
+{u} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+Apply rule {\tt eirule} to an integral with this term.
+\spadcommand{eirule integral(sin u + exp u/u, u)}
+$$
+{\int \sp{\displaystyle u} {{\sin 
+\left(
+{ \%M} 
+\right)}
+\  {d \%M}}}+{Ei 
+\left(
+{u} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+Here is one final adornment you will find useful.  When matching a
+pattern of the form $x + y$ to an expression containing a long sum of
+the form $a +\ldots+ b$, there is no way to predict in advance which
+subset of the sum matches $x$ and which matches $y$.  Aside from
+efficiency, this is generally unimportant since the rule holds for any
+possible combination of matches for $x$ and $y$.  In some situations,
+however, you may want to say which pattern variable is a sum (or
+product) of several terms, and which should match only a single term.
+To do this, put a prefix colon ``{\tt :}'' before the pattern variable
+that you want to match multiple terms.
+\index{pattern!variable!matching several terms}
+
+The remaining rules involve operators $u$ and $v$. \index{operator}
+\spadcommand{u := operator 'u}
+$$
+u 
+$$
+\returnType{Type: BasicOperator}
+
+These definitions tell Axiom that $u$ and $v$ are formal operators to
+be used in expressions.
+\spadcommand{v := operator 'v}
+$$
+v 
+$$
+\returnType{Type: BasicOperator}
+
+First define {\tt myRule} with no restrictions on the pattern variables
+$x$ and $y$.
+\spadcommand{myRule := rule u(x + y) == u x + v y}
+$$
+{u 
+\left(
+{{y+x}} 
+\right)}
+\mbox{\rm == } {{{{\tt '}v} 
+\left(
+{y} 
+\right)}+{{{\tt
+'}u} 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+Apply {\tt myRule} to an expression.
+\spadcommand{myRule u(a + b + c + d)}
+$$
+{v 
+\left(
+{{d+c+b}} 
+\right)}+{u
+\left(
+{a} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+Define {\tt myOtherRule} to match several terms so that the rule gets
+applied recursively.
+\spadcommand{myOtherRule := rule u(:x + y) == u x + v y}
+$$
+{u 
+\left(
+{{y+x}} 
+\right)}
+\mbox{\rm == } {{{{\tt '}v} 
+\left(
+{y} 
+\right)}+{{{\tt
+'}u} 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+Apply {\tt myOtherRule} to the same expression.
+\spadcommand{myOtherRule u(a + b + c + d)}
+$$
+{v 
+\left(
+{c} 
+\right)}+{v
+\left(
+{b} 
+\right)}+{v
+\left(
+{a} 
+\right)}+{u
+\left(
+{d} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+Summary of pattern variable adornments:
+\vskip .5\baselineskip
+\begin{tabular}{@{}ll}
+{\tt (x | predicate?(x))} &
+  means that the substutution $s$ for $x$\\ &
+  must satisfy {\tt predicate(s) = true.} \\
+{\tt ?x} &
+  means that $x$ can match an identity \\ & element (0 or 1). \\
+{\tt :x} &
+  means that $x$ can match several terms \\ & in a sum.
+\end{tabular}\\
+}
+
+Here are some final remarks on pattern matching.  Pattern matching
+provides a very useful paradigm for solving certain classes of
+problems, namely, those that involve transformations of one form to
+another and back.  However, it is important to recognize its
+limitations.  \index{pattern!matching!caveats}
+
+First, pattern matching slows down as the number of rules you have to
+apply increases.  Thus it is good practice to organize the sets of
+rules you use optimally so that irrelevant rules are never included.
+
+Second, careless use of pattern matching can lead to wrong answers.
+You should avoid using pattern matching to handle hidden algebraic
+relationships that can go undetected by other programs.  As a simple
+example, a symbol such as ``J'' can easily be used to represent the
+square root of $-1$ or some other important algebraic quantity.  Many
+algorithms branch on whether an expression is zero or not, then divide
+by that expression if it is not.  If you fail to simplify an
+expression involving powers of $J$ to $-1,$ algorithms may incorrectly
+assume an expression is non-zero, take a wrong branch, and produce a
+meaningless result.
+
+Pattern matching should also not be used as a substitute for a domain.
+In Axiom, objects of one domain are transformed to objects of other
+domains using well-defined {\bf coerce} operations.  Pattern matching
+should be used on objects that are all the same type.  Thus if your
+application can be handled by type {\tt Expression} in Axiom and you
+think you need pattern matching, consider this choice carefully.
+\index{Expression} You may well be better served by extending an
+existing domain or by building a new domain of objects for your
+application.
+
+\setcounter{chapter}{6}
+
+\chapter{Graphics}
+\label{ugGraph}
+
+\begin{figure}[htbp]
+\includegraphics{ps/torusknot.ps}
+\caption{Torus knot of type (15,17).}
+\end{figure}
+
+This chapter shows how to use the Axiom graphics facilities
+\index{graphics} under the X Window System.  Axiom has
+two-di\-men\-sion\-al and three-di\-men\-sion\-al drawing and
+rendering packages that allow the drawing, coloring, transforming,
+mapping, clipping, and combining of graphic output from Axiom
+computations.  This facility is particularly useful for investigating
+problems in areas such as topology.  The graphics package is capable
+of plotting functions of one or more variables or plotting parametric
+surfaces and curves.  Various coordinate systems are also available,
+such as polar and spherical.
+
+A graph is displayed in a viewport window and it has a
+\index{viewport} control-panel that uses interactive mouse commands.
+PostScript and other output forms are available so that Axiom
+\index{PostScript} images can be printed or used by other programs.
+
+\section{Two-Dimensional Graphics}
+\label{ugGraphTwoD}
+
+The Axiom two-di\-men\-sion\-al graphics package provides the ability
+to \index{graphics!two-dimensional} display
+\begin{itemize}
+\item curves defined by functions of a single real variable
+\item curves defined by parametric equations
+\item implicit non-singular curves defined by polynomial equations
+\item planar graphs generated from lists of point components.
+\end{itemize}
+
+These graphs can be modified by specifying various options, such as
+calculating points in the polar coordinate system or changing the size
+of the graph viewport window.
+
+\subsection{Plotting Two-Dimensional Functions of One Variable}
+\label{ugGraphTwoDPlot}
+
+\index{curve!one variable function} The first kind of
+two-di\-men\-sion\-al graph is that of a curve defined by a function
+$y = f(x)$ over a finite interval of the $x$ axis.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a function defined by a formula $f(x)$ is:
+\begin{center}
+{\tt draw(f(x), x = a..b, {\it options})}
+\end{center}
+
+where $a..b$ defines the range of $x$, and where {\it options}
+prescribes zero or more options as described in
+\ref{ugGraphTwoDOptions} on page~\pageref{ugGraphTwoDOptions}.  An
+example of an option is $curveColor == bright red().$ An alternative
+format involving functions $f$ and $g$ is also available.\\
+}
+
+A simple way to plot a function is to use a formula.  The first
+argument is the formula.  For the second argument, write the name of
+the independent variable (here, $x$), followed by an ``{\tt =}'', and the
+range of values.
+
+Display this formula over the range $0 \leq x \leq 6$.
+Axiom converts your formula to a compiled function so that the
+results can be computed quickly and efficiently. 
+
+\spadgraph{draw(sin(tan(x)) - tan(sin(x)),x = 0..6)}
+%\begin{figure}[htbp]
+%{\rm draw(sin(tan(x)) - tan(sin(x)),x = 0..6)\\}
+%\vskip 0.2cm
+%\includegraphics{ps/2d1vara.ps}
+%\caption{$sin(tan(x)) - tan(sin(x))\ \ \ x = 0 \ldots6$}
+%\end{figure}
+%{\rm
+%\par
+%Notice that Axiom compiled the function before the graph was put
+%on the screen.
+%
+%Here is the same graph on a different interval.\\
+%
+%draw(sin(tan(x)) - tan(sin(x)),x = 10..16)\\
+%}
+%\vskip 0.2cm
+%\spadgraph{draw(sin(tan(x)) - tan(sin(x)),x = 10..16)}
+%\begin{figure}[htbp]
+%\includegraphics{ps/2d1varb.ps}
+%\caption{$sin(tan(x)) - tan(sin(x))\ \ \ x = 10 \ldots16$}
+%\end{figure}
+
+Once again the formula is converted to a compiled function before any
+points were computed.  If you want to graph the same function on
+several intervals, it is a good idea to define the function first so
+that the function has to be compiled only once.
+
+This time we first define the function.
+\spadcommand{f(x) == (x-1)*(x-2)*(x-3) }
+%\begin{figure}
+%\tpd{0 0 300 300 ps/2d1vard.ps}
+%\end{figure}
+\returnType{Type: Void}
+%\epsffile[14 14 188 199]{ps/2d1vard.ps}
+%\hspace*{\baseLeftSkip}\special{psfile=ps/2dctrl.ps}
+
+To draw the function, the first argument is its name and the second is
+just the range with no independent variable.
+\spadgraph{draw(f, 0..4) }
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2d1vard.ps}
+
+\subsection{Plotting Two-Dimensional Parametric Plane Curves}
+\label{ugGraphTwoDPar}
+
+The second kind of two-di\-men\-sion\-al graph is that of
+\index{parametric plane curve} curves produced by parametric
+equations.  \index{curve!parametric plane} Let $x = f(t)$ and 
+$y = g(t)$ be formulas or two functions $f$ and $g$ as the parameter $t$
+ranges over an interval $[a,b]$.  The function {\bf curve} takes the
+two functions $f$ and $g$ as its parameters.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a two-di\-men\-sion\-al plane curve defined by
+parametric formulas $x = f(t)$ and $y = g(t)$ is:
+\begin{center}
+{\tt draw(curve(f(t), g(t)), t = a..b, {\it options})}
+\end{center}
+
+where $a..b$ defines the range of the independent variable $t$, and
+where {\it options} prescribes zero or more options as described in
+\ref{ugGraphThreeDOptions} on page~\pageref{ugGraphThreeDOptions}.  An
+example of an option is $curveColor == bright red().$\\ }
+
+Here's an example:
+
+Define a parametric curve using a range involving $\%pi$, Axiom's way
+of saying $\pi$.  For parametric curves, Axiom
+compiles two functions, one for each of the functions $f$ and $g$.
+\spadgraph{draw(curve(sin(t)*sin(2*t)*sin(3*t), sin(4*t)*sin(5*t)*sin(6*t)), t = 0..2*\%pi)}
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2dppca.ps}
+
+The title may be an arbitrary string and is an optional argument to
+the {\bf draw} command.
+\spadgraph{draw(curve(cos(t), sin(t)), t = 0..2*\%pi)}
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2dppcb.ps}
+
+If you plan on plotting $x = f(t)$, $y = g(t)$ as $t$ ranges over
+several intervals, you may want to define functions $f$ and $g$ first,
+so that they need not be recompiled every time you create a new graph.
+Here's an example:
+
+As before, you can first define the functions you wish to draw.
+\spadcommand{f(t:DFLOAT):DFLOAT == sin(3*t/4) }
+\begin{verbatim}
+   Function declaration f : DoubleFloat -> DoubleFloat has been 
+      added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Axiom compiles them to map {\tt DoubleFloat} values to {\tt DoubleFloat} 
+values.
+\spadcommand{g(t:DFLOAT):DFLOAT == sin(t) }
+\begin{verbatim}
+   Function declaration f : DoubleFloat -> DoubleFloat has been added 
+      to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Give to {\tt curve} the names of the functions, then write the range
+without the name of the independent variable.
+\spadgraph{draw(curve(f,g),0..\%pi) }
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2dppcc.ps}
+
+Here is another look at the same curve but over a different
+range. Notice that $f$ and $g$ are not recompiled.  Also note that
+Axiom provides a default title based on the first function specified
+in {\bf curve}.
+\spadgraph{draw(curve(f,g),-4*\%pi..4*\%pi) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2dppce.ps}
+
+\subsection{Plotting Plane Algebraic Curves}
+\label{ugGraphTwoDPlane}
+
+A third kind of two-di\-men\-sion\-al graph is a non-singular
+``solution curve'' \index{curve!plane algebraic} in a rectangular
+region of the plane.  A solution curve is a curve defined by a
+polynomial equation $p(x,y) = 0$.  \index{plane algebraic curve}
+Non-singular means that the curve is ``smooth'' in that it does not
+cross itself or come to a point (cusp).  Algebraically, this means
+that for any point $(x,y)$ on the curve, that is, a point such that
+$p(x,y) = 0$, the partial derivatives 
+${{\partial p}\over{\partial x}}(x,y)$ and 
+${{\partial p}\over{\partial y}}(x,y)$ are not both zero.
+\index{curve!smooth} \index{curve!non-singular} \index{smooth curve}
+\index{non-singular curve}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a non-singular solution curve given by
+a polynomial of the form $p(x,y) = 0$ is:
+\begin{center}
+{\tt draw(p(x,y) = 0, x, y, range == [a..b, c..d], {\it options})}
+\end{center}
+
+where the second and third arguments name the first and second
+independent variables of $p$.  A {\tt range} option is always given to
+designate a bounding rectangular region of the plane
+$a \leq x \leq b, c \leq y \leq d$.
+Zero or more additional options as described in
+\ref{ugGraphTwoDOptions} on page~\pageref{ugGraphTwoDOptions} may be given.\\
+}
+
+We require that the polynomial has rational or integral coefficients.
+Here is an algebraic curve example (``Cartesian ovals''):
+\index{Cartesian!ovals}
+\spadcommand{p := ((x**2 + y**2 + 1) - 8*x)**2 - (8*(x**2 + y**2 + 1)-4*x-1) }
+$$
+{y \sp 4}+{{\left( {2 \  {x \sp 2}} -{{16} \  x} -6 
+\right)}
+\  {y \sp 2}}+{x \sp 4} -{{16} \  {x \sp 3}}+{{58} \  {x \sp 2}} -{{12} \  x} 
+-6 
+$$
+\returnType{Type: Polynomial Integer}
+
+The first argument is always expressed as an equation of the form $p = 0$
+where $p$ is a polynomial.
+\spadgraph{draw(p = 0, x, y, range == [-1..11, -7..7]) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2dpaca.ps}
+
+\subsection{Two-Dimensional Options}
+\label{ugGraphTwoDOptions}
+
+The {\bf draw} commands take an optional list of options, such as {\tt
+title} shown above.  Each option is given by the syntax: 
+{\it name} {\tt ==} {\it value}.  
+Here is a list of the available options in the
+order that they are described below.
+
+\begin{tabular}{llll}
+adaptive&clip&unit\\
+clip&curveColor&range\\
+toScale&pointColor&coordinates\\
+\end{tabular}
+
+The $adaptive$ option turns adaptive plotting on or off.
+\index{adaptive plotting} Adaptive plotting uses an algorithm that
+traverses a graph and computes more points for those parts of the
+graph with high curvature.  The higher the curvature of a region is,
+the more points the algorithm computes.  
+\index{graphics!2D options!adaptive}
+
+The {\tt adaptive} option is normally on.  Here we turn it off.
+\spadgraph{draw(sin(1/x),x=-2*\%pi..2*\%pi, adaptive == false)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptad.ps}
+
+The {\tt clip} option turns clipping on or off.  
+\index{graphics!2D options!clipping} 
+If on, large values are cut off according to
+\spadfunFrom{clipPointsDefault}{GraphicsDefaults}.
+
+\spadgraph{draw(tan(x),x=-2*\%pi..2*\%pi, clip == true)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptcp.ps}
+
+Option {\tt toScale} does plotting to scale if {\tt true} or uses the
+entire viewport if {\tt false}.  The default can be determined using
+\spadfunFrom{drawToScale}{GraphicsDefaults}.  
+\index{graphics!2D options!to scale}
+
+\spadgraph{draw(sin(x),x=-\%pi..\%pi, toScale == true, unit == [1.0,1.0])}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptsc.ps}
+
+Option {\tt clip} with a range sets point clipping of a graph within
+the \index{graphics!2D options!clip in a range} ranges specified in
+the list $[x range,y range]$.  \index{clipping} If only one range is
+specified, clipping applies to the y-axis.
+\spadgraph{draw(sec(x),x=-2*\%pi..2*\%pi, clip == [-2*\%pi..2*\%pi,-\%pi..\%pi], unit == [1.0,1.0])}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptcpr.ps}
+
+Option {\tt curveColor} sets the color of the graph curves or lines to
+be the \index{graphics!2D options!curve color} indicated palette color
+\index{curve!color} (see \ref{ugGraphColor} on page~\pageref{ugGraphColor} and
+\ref{ugGraphColorPalette} on page~\pageref{ugGraphColorPalette}).  
+\index{color!curve}
+
+\spadgraph{draw(sin(x),x=-\%pi..\%pi, curveColor == bright red())}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptcvc.ps}
+
+Option {\tt pointColor} sets the color of the graph points to the
+indicated \index{graphics!2D options!point color} palette color (see
+\ref{ugGraphColor} on page~\pageref{ugGraphColor} and 
+\ref{ugGraphColorPalette} on page~\pageref{ugGraphColorPalette}).
+\index{color!point}
+\spadgraph{draw(sin(x),x=-\%pi..\%pi, pointColor == pastel yellow())}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptptc.ps}
+
+Option {\tt unit} sets the intervals at which the axis units are
+plotted \index{graphics!2D options!set units} according to the
+indicated steps [$x$ interval, $y$ interval].
+\spadgraph{draw(curve(9*sin(3*t/4),8*sin(t)), t = -4*\%pi..4*\%pi, unit == [2.0,1.0])}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptut.ps}
+
+Option {\tt range} sets the range of variables in a graph to be within
+the ranges \index{graphics!2D options!range} for solving plane
+algebraic curve plots.
+\spadgraph{draw(y**2 + y - (x**3 - x) = 0, x, y, range == [-2..2,-2..1], unit==[1.0,1.0])}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptrga.ps}
+
+A second example of a solution plot.
+\spadgraph{draw(x**2 + y**2 = 1, x, y, range == [-3/2..3/2,-3/2..3/2], unit==[0.5,0.5])}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptrgb.ps}
+
+Option $coordinates$ indicates the coordinate system in which the
+graph \index{graphics!2D options!coordinates} is plotted.  The default
+is to use the Cartesian coordinate system.
+\index{Cartesian!coordinate system} For more details, see
+\ref{ugGraphCoord} on page~\pageref{ugGraphCoord} 
+{or {\tt CoordinateSystems}.}
+\index{coordinate system!Cartesian}
+
+\spadgraph{draw(curve(sin(5*t),t),t=0..2*\%pi, coordinates == polar)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/2doptplr.ps}
+
+\subsection{Color}
+\label{ugGraphColor}
+
+The domain {\tt Color} \index{Color} provides operations for
+manipulating \index{graphics!color} colors in two-di\-men\-sion\-al
+graphs.  \index{color} Colors are objects of {\tt Color}.  Each color
+has a {\it hue} and a {\it weight}.  \index{hue} Hues are represented
+by integers that range from $1$ to the
+\spadfunFrom{numberOfHues()}{Color}, normally
+\index{graphics!color!number of hues} $27$.  \index{weight} Weights
+are floats and have the value $1.0$ by default.
+
+\begin{description}
+
+\item[{\bf color}]\funArgs{integer}
+creates a color of hue {\it integer} and weight $1.0$.
+
+\item[{\bf hue}]\funArgs{color}
+returns the hue of {\it color} as an integer.
+\index{graphics!color!hue function}
+
+\item[{\bf red}]\funArgs{}
+\funSyntax{blue}{},
+\funSyntax{green}{}, and \funSyntax{yellow}{}
+\index{graphics!color!primary color functions}
+create colors of that hue with weight $1.0$.
+
+\item[$\hbox{\it color}_{1}$ {\tt +} $\hbox{\it color}_{2}$] returns the
+color that results from additively combining the indicated
+$\hbox{\it color}_{1}$ and $\hbox{\it color}_{2}$.
+Color addition is not commutative: changing the order of the arguments
+produces different results.
+
+\item[{\it integer} {\tt *} {\it color}]
+changes the weight of {\it color} by {\it integer}
+without affecting its hue.
+\index{graphics!color!multiply function}
+For example,
+$red() + 3*yellow()$ produces a color closer to yellow than to red.
+Color multiplication is not associative: changing the order of grouping
+\index{color!multiplication}
+produces different results.
+\end{description}
+
+These functions can be used to change the point and curve colors
+for two- and three-di\-men\-sion\-al graphs.
+Use the {\tt pointColor} option for points.
+
+\spadgraph{draw(x**2,x=-1..1,pointColor == green())}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/23dcola.ps}
+
+
+Use the {\tt curveColor} option for curves.
+
+\spadgraph{draw(x**2,x=-1..1,curveColor == color(13) + 2*blue())}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/23dcolb.ps}
+
+\subsection{Palette}
+\label{ugGraphColorPalette}
+\index{graphics!palette}
+
+Domain {\tt Palette} is the domain of shades of colors:
+{\bf dark}, {\bf dim}, {\bf bright}, {\bf pastel}, and {\bf light},
+designated by the integers $1$ through $5$, respectively.
+\index{Palette}
+
+Colors are normally ``bright.''
+
+\spadcommand{shade red()}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+To change the shade of a color, apply the name of a shade to it.
+\index{color!shade}
+\index{shade}
+
+\spadcommand{myFavoriteColor := dark blue() }
+$$
+[{ \mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Dark \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+The expression $shade(color)$
+returns the value of a shade of $color$.
+
+\spadcommand{shade myFavoriteColor }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+The expression $hue(color)$ returns its hue.
+
+\spadcommand{hue myFavoriteColor }
+$$
+\mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0} 
+$$
+\returnType{Type: Color}
+
+Palettes can be used in specifying colors in two-di\-men\-sion\-al graphs.
+
+\spadgraph{draw(x**2,x=-1..1,curveColor == dark blue())}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/23dpal.ps}
+
+
+\subsection{Two-Dimensional Control-Panel}
+\label{ugGraphTwoDControl}
+
+\index{graphics!2D control-panel}
+Once you have created a viewport, move your mouse to the viewport and click
+with your left mouse button to display a control-panel.
+The panel is displayed on the side of the viewport closest to
+where you clicked.  Each of the buttons which toggle on and off show the
+current state of the graph.
+
+%\begin{texonly}
+%\typeout{2D control-panel.}
+\begin{figure}[htbp]
+%{\epsfverbosetrue\epsfxsize=2in%
+%\def\epsfsize#1#2{\epsfxsize}\hspace*{\baseLeftSkip}%
+%%\epsffile[0 0 144 289]{ps/2dctrl.ps}}
+%\begin{picture}(147,252)%(-143,0)
+%\hspace*{\baseLeftSkip}\special{psfile=ps/2dctrl.ps}
+%\end{picture}
+\caption{Two-dimensional control-panel.}
+\end{figure}
+%\end{texonly}
+
+\subsubsection{Transformations}
+\index{graphics!2D control-panel!transformations}
+
+Object transformations are executed from the control-panel by mouse-activated
+potentiometer windows.
+%
+\begin{description}
+%
+\item[Scale:] To scale a graph, click on a mouse button
+\index{graphics!2D control-panel!scale}
+within the {\bf Scale} window in the upper left corner of the control-panel.
+The axes along which the scaling is to occur are indicated by setting the
+toggles above the arrow.
+With {\tt X On} and {\tt Y On} appearing, both axes are selected and scaling
+is uniform.
+If either is not selected, for example, if {\tt X Off} appears, scaling is
+non-uniform.
+%
+\item[Translate:] To translate a graph, click the mouse in the
+\index{graphics!2D control-panel!translate}
+{\bf Translate} window in the direction you wish the graph to move.
+This window is located in the upper right corner of the control-panel.
+Along the top of the {\bf Translate} window are two buttons for selecting
+the direction of translation.
+Translation along both coordinate axes results when {\tt X On} and {\tt Y
+On} appear or along one axis when one is on, for example, {\tt X On} and
+{\tt Y Off} appear.
+\end{description}
+
+\subsubsection{Messages}
+\index{graphics!2D control-panel!messages}
+
+The window directly below the transformation potentiometer windows is
+used to display system messages relating to the viewport and the control-panel.
+The following format is displayed: \newline
+%
+\begin{center}
+[scaleX, scaleY] $>$graph$<$ [translateX, translateY] \newline
+\end{center}
+The two values to the left show the scale factor along the {\tt X} and
+{\tt Y} coordinate axes.  The two values to the right show the distance of
+translation from the center in the {\tt X} and {\tt Y} directions.  The number
+in the center shows which graph in the viewport this data pertains to.
+When multiple graphs exist in the same viewport,
+the graph must be selected (see ``Multiple Graphs,'' below) in
+order for its transformation data to be shown, otherwise the number
+is 1.
+
+\subsubsection{Multiple Graphs}
+
+\index{graphics!2D control-panel!multiple graphs}
+The {\bf Graphs} window contains buttons that allow the placement
+of two-di\-men\-sion\-al graphs into one of nine available slots in any other
+two-di\-men\-sion\-al viewport.
+In the center of the window are numeral buttons from one to nine
+that show whether a graph is displayed in the viewport.
+Below each number button is a button showing whether a graph
+that is present is selected for application of some
+transformation.
+When the caret symbol is displayed, then the graph in that slot
+will be manipulated.
+Initially, the graph for which the viewport is created occupies
+the first slot, is displayed, and is selected.
+%
+%
+\begin{description}
+%
+\item[Clear:]  The {\bf Clear} button deselects every viewport graph slot.
+\index{graphics!2D control-panel!clear}
+A graph slot is reselected by selecting the button below its number.
+%
+\item[Query:]  The {\bf Query} button is used to display the scale and
+\index{graphics!2D control-panel!query}
+translate data for the indicated graph.  When this button is selected the
+message ``Click on the graph to query'' appears.  Select a slot
+number button from the {\bf Graphs} window. The scaling factor and translation
+offset of the graph are then displayed in the message window.
+%
+\item[Pick:]  The {\bf Pick} button is used to select a graph
+\index{graphics!2D control-panel!pick}
+to be placed or dropped into the indicated viewport.  When this button is
+selected, the message ``Click on the graph to pick'' appears.
+Click on the slot with the graph number of the desired
+graph.  The graph information is held waiting for
+you to execute a {\bf Drop} in some other graph.
+%
+\item[Drop:]  Once a graph has been picked up using the {\bf Pick} button,
+\index{graphics!2D control-panel!drop}
+the {\bf Drop} button places it into a new viewport slot.
+The message ``Click on the graph to drop'' appears in the message
+window when the {\bf Drop} button is selected.
+By selecting one of the slot number buttons in the {\bf Graphs}
+window, the graph currently being held is dropped into this slot
+and displayed.
+\end{description}
+
+\subsubsection{Buttons}
+\index{graphics!2D control-panel!buttons}
+
+%
+\begin{description}
+%
+\item[Axes] turns the coordinate axes on or off.
+\index{graphics!2D control-panel!axes}
+%
+\item[Units] turns the units along the {\tt x}
+and {\tt y} axis on or off.
+\index{graphics!2D control-panel!units}
+%
+\item[Box] encloses the area of the viewport graph
+in a bounding box, or removes the box if already enclosed.
+\index{graphics!2D control-panel!box}
+%
+\item[Pts] turns on or off the display of points.
+\index{graphics!2D control-panel!points}
+%
+\item[Lines] turns on or off the display
+of lines connecting points.
+\index{graphics!2D control-panel!lines}
+%
+\item[PS] writes the current viewport contents to
+\index{graphics!2D control-panel!ps}
+a file {\bf axiom2d.ps} or to a name specified in the user's {\bf
+\index{graphics!.Xdefaults!PostScript file name}
+.Xdefaults} file.
+\index{file!.Xdefaults @{\bf .Xdefaults}}
+The file is placed in the directory from which Axiom or the {\bf
+viewalone} program was invoked.
+\index{PostScript}
+%
+\item[Reset] resets the object transformation
+characteristics and attributes back to their initial states.
+\index{graphics!2D control-panel!reset}
+%
+\item[Hide] makes the control-panel disappear.
+\index{graphics!2D control-panel!hide}
+%
+\item[Quit] queries whether the current viewport
+\index{graphics!2D control-panel!quit}
+session should be terminated.
+\end{description}
+
+\subsection{Operations for Two-Dimensional Graphics}
+\label{ugGraphTwoDops}
+
+Here is a summary of useful Axiom operations for two-di\-men\-sion\-al
+graphics.
+Each operation name is followed by a list of arguments.
+Each argument is written as a variable informally named according
+to the type of the argument (for example, {\it integer}).
+If appropriate, a default value for an argument is given in
+parentheses immediately following the name.
+
+%
+\begin{description}
+%
+\item[{\bf adaptive}]\funArgs{\optArg{boolean\argDef{true}}}
+\index{adaptive plotting}
+sets or indicates whether graphs are plotted
+\index{graphics!set 2D defaults!adaptive}
+according to the adaptive refinement algorithm.
+%
+\item[{\bf axesColorDefault}]\funArgs{\optArg{color\argDef{dark blue()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!axes color}
+axes in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf clipPointsDefault}]\funArgs{\optArg{boolean\argDef{false}}}
+sets or
+indicates whether point clipping is
+\index{graphics!set 2D defaults!clip points}
+to be applied as the default for graph plots.
+%
+\item[{\bf drawToScale}]\funArgs{\optArg{boolean\argDef{false}}}
+sets or
+indicates whether the plot of a graph
+\index{graphics!set 2D defaults!to scale}
+is ``to scale'' or uses the entire viewport space as the default.
+%
+\item[{\bf lineColorDefault}]\funArgs{\optArg{color\argDef{pastel yellow()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!line color}
+lines or curves in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf maxPoints}]\funArgs{\optArg{integer\argDef{500}}}
+sets or indicates
+the default maximum number of
+\index{graphics!set 2D defaults!max points}
+possible points to be used when constructing a two-di\-men\-sion\-al graph.
+%
+\item[{\bf minPoints}]\funArgs{\optArg{integer\argDef{21}}}
+sets or indicates the default minimum number of
+\index{graphics!set 2D defaults!min points}
+possible points to be used when constructing a two-di\-men\-sion\-al graph.
+%
+\item[{\bf pointColorDefault}]\funArgs{\optArg{color\argDef{bright red()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!point color}
+points in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf pointSizeDefault}]\funArgs{\optArg{integer\argDef{5}}}
+sets or indicates the default size of the
+\index{graphics!set 2D defaults!point size}
+dot used to plot points in a two-di\-men\-sion\-al graph.
+%
+\item[{\bf screenResolution}]\funArgs{\optArg{integer\argDef{600}}}
+sets or indicates the default screen
+\index{graphics!set 2D defaults!screen resolution}
+resolution constant used in setting the computation limit of adaptively
+\index{adaptive plotting}
+generated curve plots.
+%
+\item[{\bf unitsColorDefault}]\funArgs{\optArg{color\argDef{dim green()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!units color}
+unit labels in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf viewDefaults}]\funArgs{}
+resets the default settings for the following
+\index{graphics!set 2D defaults!reset viewport}
+attributes:  point color, line color, axes color, units color, point size,
+viewport upper left-hand corner position, and the viewport size.
+%
+\item[{\bf viewPosDefault}]\funArgs{\optArg{list\argDef{[100,100]}}}
+sets or indicates the default position of the
+\index{graphics!set 2D defaults!viewport position}
+upper left-hand corner of a two-di\-men\-sion\-al viewport, relative to the
+display root window.
+The upper left-hand corner of the display is considered to be at the
+(0, 0) position.
+%
+\item[{\bf viewSizeDefault}]\funArgs{\optArg{list\argDef{[200,200]}}}
+sets or
+indicates the default size in which two
+\index{graphics!set 2D defaults!viewport size}
+dimensional viewport windows are shown.
+It is defined by a width and then a height.
+%
+\item[{\bf viewWriteAvailable}]
+\funArgs{\optArg{list\argDef{["pixmap","bitmap", "postscript", "image"]}}}
+indicates the possible file types
+\index{graphics!2D defaults!available viewport writes}
+that can be created with the \spadfunFrom{write}{TwoDimensionalViewport} function.
+%
+\item[{\bf viewWriteDefault}]\funArgs{\optArg{list\argDef{[]}}}
+sets or indicates the default types of files, in
+\index{graphics!set 2D defaults!write viewport}
+addition to the {\bf data} file, that are created when a
+{\bf write} function is executed on a viewport.
+%
+\item[{\bf units}]\funArgs{viewport, integer\argDef{1}, string\argDef{"off"}}
+turns the units on or off for the graph with index {\it integer}.
+%
+\item[{\bf axes}]\funArgs{viewport, integer\argDef{1}, string\argDef{"on"}}
+turns the axes on
+\index{graphics!2D commands!axes}
+or off for the graph with index {\it integer}.
+%
+\item[{\bf close}]\funArgs{viewport}
+closes {\it viewport}.
+\index{graphics!2D commands!close}
+%
+\item[{\bf connect}]\funArgs{viewport, integer\argDef{1}, string\argDef{"on"}}
+declares whether lines
+\index{graphics!2D commands!connect}
+connecting the points are displayed or not.
+%
+\item[{\bf controlPanel}]\funArgs{viewport, string\argDef{"off"}}
+declares
+whether the two-di\-men\-sion\-al control-panel is automatically displayed
+or not.
+%
+\item[{\bf graphs}]\funArgs{viewport}
+returns a list
+\index{graphics!2D commands!graphs}
+describing the state of each graph.
+If the graph state is not being used this is shown by {\tt "undefined"},
+otherwise a description of the graph's contents is shown.
+%
+\item[{\bf graphStates}]\funArgs{viewport}
+displays
+\index{graphics!2D commands!state of graphs}
+a list of all the graph states available for {\it viewport}, giving the
+values for every property.
+%
+\item[{\bf key}]\funArgs{viewport}
+returns the process
+\index{graphics!2D commands!key}
+ID number for {\it viewport}.
+%
+\item[{\bf move}]\funArgs{viewport,
+$integer_{x}$(viewPosDefault),
+$integer_{y}$(viewPosDefault)}
+moves {\it viewport} on the screen so that the
+\index{graphics!2D commands!move}
+upper left-hand corner of {\it viewport} is at the position {\it (x,y)}.
+%
+\item[{\bf options}]\funArgs{\it viewport}
+returns a list
+\index{graphics!2D commands!options}
+of all the {\tt DrawOption}s used by {\it viewport}.
+%
+\item[{\bf points}]\funArgs{viewport, integer\argDef{1}, string\argDef{"on"}}
+specifies whether the graph points for graph {\it integer} are
+\index{graphics!2D commands!points}
+to be displayed or not.
+%
+\item[{\bf region}]\funArgs{viewport, integer\argDef{1}, string\argDef{"off"}}
+declares whether graph {\it integer} is or is not to be displayed
+with a bounding rectangle.
+%
+\item[{\bf reset}]\funArgs{viewport}
+resets all the properties of {\it viewport}.
+%
+\item[{\bf resize}]\funArgs{viewport,
+$integer_{width}$,$integer_{height}$}
+\index{graphics!2D commands!resize}
+resizes {\it viewport} with a new {\it width} and {\it height}.
+%
+\item[{\bf scale}]\funArgs{viewport, $integer_{n}$\argDef{1},
+$integer_{x}$\argDef{0.9}, $integer_{y}$\argDef{0.9}}
+scales values for the
+\index{graphics!2D commands!scale}
+{\it x} and {\it y} coordinates of graph {\it n}.
+%
+\item[{\bf show}]\funArgs{viewport, $integer_{n}$\argDef{1},
+string\argDef{"on"}}
+indicates if graph {\it n} is shown or not.
+%
+\item[{\bf title}]\funArgs{viewport, string\argDef{"Axiom 2D"}}
+designates the title for {\it viewport}.
+%
+\item[{\bf translate}]\funArgs{viewport,
+$integer_{n}$\argDef{1},
+$float_{x}$\argDef{0.0}, $float_{y}$\argDef{0.0}}
+\index{graphics!2D commands!translate}
+causes graph {\it n} to be moved {\it x} and {\it y} units in the respective directions.
+%
+\item[{\bf write}]\funArgs{viewport, $string_{directory}$,
+\optArg{strings}}
+if no third argument is given, writes the {\bf data} file onto the directory
+with extension {\bf data}.
+The third argument can be a single string or a list of strings with some or
+all the entries {\tt "pixmap"}, {\tt "bitmap"}, {\tt "postscript"}, and
+{\tt "image"}.
+\end{description}
+
+\subsection{Addendum: Building Two-Dimensional Graphs}
+\label{ugGraphTwoDbuild}
+
+In this section we demonstrate how to create two-di\-men\-sion\-al graphs from
+lists of points and give an example showing how to read the lists
+of points from a file.
+
+\subsubsection{Creating a Two-Dimensional Viewport from a List of Points}
+
+Axiom creates lists of points in a two-di\-men\-sion\-al viewport by utilizing
+the {\tt GraphImage} and {\tt TwoDimensionalViewport} domains.
+In this example, the \spadfunFrom{makeGraphImage}{GraphImage}
+function takes a list of lists of points parameter, a list of colors for
+each point in the graph, a list of colors for each line in the graph, and
+a list of sizes for each point in the graph.
+%
+
+The following expressions create a list of lists of points which will be read
+by Axiom and made into a two-di\-men\-sion\-al viewport.
+
+\spadcommand{p1 := point [1,1]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p2 := point [0,1]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p3 := point [0,0]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p4 := point [1,0]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p5 := point [1,.5]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {0.5} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p6 := point [.5,0]\$(Point DFLOAT) }
+$$
+\left[
+{0.5},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p7 := point [0,0.5]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {0.5} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p8 := point [.5,1]\$(Point DFLOAT) }
+$$
+\left[
+{0.5},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p9 := point [.25,.25]\$(Point DFLOAT) }
+$$
+\left[
+{0.25},  {0.25} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p10 := point [.25,.75]\$(Point DFLOAT) }
+$$
+\left[
+{0.25},  {0.75} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p11 := point [.75,.75]\$(Point DFLOAT) }
+$$
+\left[
+{0.75},  {0.75} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p12 := point [.75,.25]\$(Point DFLOAT) }
+$$
+\left[
+{0.75},  {0.25} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+Finally, here is the list.
+
+\spadcommand{llp := [ [p1,p2], [p2,p3], [p3,p4], [p4,p1], [p5,p6], [p6,p7], [p7,p8], [p8,p5], [p9,p10], [p10,p11], [p11,p12], [p12,p9] ]  }
+$$
+\left[
+{\left[ {\left[ {1.0},  {1.0} 
+\right]},
+ {\left[ {0.0},  {1.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.0},  {1.0} 
+\right]},
+ {\left[ {0.0},  {0.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.0},  {0.0} 
+\right]},
+ {\left[ {1.0},  {0.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {1.0},  {0.0} 
+\right]},
+ {\left[ {1.0},  {1.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {1.0},  {0.5} 
+\right]},
+ {\left[ {0.5},  {0.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.5},  {0.0} 
+\right]},
+ {\left[ {0.0},  {0.5} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.0},  {0.5} 
+\right]},
+ {\left[ {0.5},  {1.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.5},  {1.0} 
+\right]},
+ {\left[ {1.0},  {0.5} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.25},  {0.25} 
+\right]},
+ {\left[ {0.25},  {0.75} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.25},  {0.75} 
+\right]},
+ {\left[ {0.75},  {0.75} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.75},  {0.75} 
+\right]},
+ {\left[ {0.75},  {0.25} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.75},  {0.25} 
+\right]},
+ {\left[ {0.25},  {0.25} 
+\right]}
+\right]}
+\right]
+$$
+\returnType{Type: List List Point DoubleFloat}
+
+Now we set the point sizes for all components of the graph.
+
+\spadcommand{size1 := 6::PositiveInteger }
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{size2 := 8::PositiveInteger }
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{size3 := 10::PositiveInteger }
+
+\spadcommand{lsize := [size1, size1, size1, size1, size2, size2, size2, size2, size3, size3, size3, size3]  }
+$$
+\left[
+6,  6,  6,  6,  8,  8,  8,  8,  size3,  size3,  size3,  
+size3 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+Here are the colors for the points.
+
+\spadcommand{pc1 := pastel red() }
+$$
+[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Pastel \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+\spadcommand{pc2 := dim green() }
+$$
+[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Dim \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+\spadcommand{pc3 := pastel yellow() }
+$$
+[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Pastel \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+\spadcommand{lpc := [pc1, pc1, pc1, pc1, pc2, pc2, pc2, pc2, pc3, pc3, pc3, pc3]  }
+$$
+\left[
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Pastel \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } 
+{1.0}} \mbox{\rm ] from the } Pastel \mbox{\rm palette} },  {[{ \mbox{\rm 
+Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Pastel \mbox{\rm 
+palette} },  {[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] 
+from the } Pastel \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {14} 
+\mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Dim \mbox{\rm palette} }, 
+ {[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the 
+} Dim \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } 
+{1.0}} \mbox{\rm ] from the } Dim \mbox{\rm palette} },  {[{ \mbox{\rm Hue: 
+} {14} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Dim \mbox{\rm 
+palette} },  {[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} \mbox{\rm 
+] from the } Pastel \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {11} 
+\mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Pastel \mbox{\rm palette} 
+},  {[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from 
+the } Pastel \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {11} \mbox{\rm 
+Weight: } {1.0}} \mbox{\rm ] from the } Pastel \mbox{\rm palette} } 
+\right]
+$$
+\returnType{Type: List Palette}
+
+Here are the colors for the lines.
+
+\spadcommand{lc := [pastel blue(), light yellow(), dim green(), bright red(), light green(), dim yellow(), bright blue(), dark red(), pastel red(), light blue(), dim green(), light yellow()] }
+$$
+\left[
+{[{ \mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Pastel \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } 
+{1.0}} \mbox{\rm ] from the } Light \mbox{\rm palette} },  {[{ \mbox{\rm 
+Hue: } {14} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Dim \mbox{\rm 
+palette} },  {[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] 
+from the } Bright \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {14} 
+\mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Light \mbox{\rm palette} }, 
+ {[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the 
+} Dim \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {22} \mbox{\rm Weight: } 
+{1.0}} \mbox{\rm ] from the } Bright \mbox{\rm palette} },  {[{ \mbox{\rm 
+Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Dark \mbox{\rm 
+palette} },  {[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] 
+from the } Pastel \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {22} 
+\mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } Light \mbox{\rm palette} }, 
+ {[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the 
+} Dim \mbox{\rm palette} },  {[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } 
+{1.0}} \mbox{\rm ] from the } Light \mbox{\rm palette} } 
+\right]
+$$
+\returnType{Type: List Palette}
+
+Now the {\tt GraphImage} is created according to the component
+specifications indicated above.
+
+\spadcommand{g := makeGraphImage(llp,lpc,lc,lsize)\$GRIMAGE  }
+
+The \spadfunFrom{makeViewport2D}{TwoDimensionalViewport} function now
+creates a {\tt TwoDimensionalViewport} for this graph according to the
+list of options specified within the brackets.
+
+\spadgraph{makeViewport2D(g,[title("Lines")])\$VIEW2D }
+
+%See Figure #.#.
+
+This example demonstrates the use of the {\tt GraphImage} functions
+\spadfunFrom{component}{GraphImage} and \spadfunFrom{appendPoint}{GraphImage}
+in adding points to an empty {\tt GraphImage}.
+
+\spadcommand{)clear all }
+
+\spadcommand{g := graphImage()\$GRIMAGE }
+$$
+\mbox{\rm Graph with } 0 \mbox{\rm point lists} 
+$$
+\returnType{Type: GraphImage}
+
+\spadcommand{p1 := point [0,0]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p2 := point [.25,.25]\$(Point DFLOAT) }
+$$
+\left[
+{0.25},  {0.25} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p3 := point [.5,.5]\$(Point DFLOAT) }
+$$
+\left[
+{0.5},  {0.5} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p4 := point [.75,.75]\$(Point DFLOAT) }
+$$
+\left[
+{0.75},  {0.75} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p5 := point [1,1]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{component(g,p1)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{component(g,p2)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{appendPoint(g,p3)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{appendPoint(g,p4)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{appendPoint(g,p5)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{g1 := makeGraphImage(g)\$GRIMAGE  }
+
+Here is the graph.
+
+\spadgraph{makeViewport2D(g1,[title("Graph Points")])\$VIEW2D }
+
+%
+%See Figure #.#.
+%
+
+A list of points can also be made into a {\tt GraphImage} by using
+the operation \spadfunFrom{coerce}{GraphImage}.  It is equivalent to adding
+each point to $g2$ using \spadfunFrom{component}{GraphImage}.
+
+\spadcommand{g2 := coerce([ [p1],[p2],[p3],[p4],[p5] ])\$GRIMAGE   }
+
+Now, create an empty {\tt TwoDimensionalViewport}.
+
+\spadcommand{v := viewport2D()\$VIEW2D }
+
+\spadcommand{options(v,[title("Just Points")])\$VIEW2D }
+
+Place the graph into the viewport.
+
+\spadcommand{putGraph(v,g2,1)\$VIEW2D }
+
+Take a look.
+
+\spadgraph{makeViewport2D(v)\$VIEW2D }
+
+%See Figure #.#.
+
+\subsubsection{Creating a Two-Dimensional Viewport of a List of Points from a File}
+
+The following three functions read a list of points from a
+file and then draw the points and the connecting lines. The
+points are stored in the file in readable form as floating point numbers
+(specifically, {\tt DoubleFloat} values) as an alternating
+stream of $x$- and $y$-values. For example,
+\begin{verbatim}
+0.0 0.0     1.0 1.0     2.0 4.0
+3.0 9.0     4.0 16.0    5.0 25.0
+\end{verbatim}
+
+\begin{verbatim}
+drawPoints(lp:List Point DoubleFloat):VIEW2D ==
+  g := graphImage()$GRIMAGE
+  for p in lp repeat
+    component(g,p,pointColorDefault(),lineColorDefault(),
+      pointSizeDefault())
+  gi := makeGraphImage(g)$GRIMAGE
+  makeViewport2D(gi,[title("Points")])$VIEW2D
+
+drawLines(lp:List Point DoubleFloat):VIEW2D ==
+  g := graphImage()$GRIMAGE
+  component(g, lp, pointColorDefault(), lineColorDefault(),
+    pointSizeDefault())$GRIMAGE
+  gi := makeGraphImage(g)$GRIMAGE
+  makeViewport2D(gi,[title("Points")])$VIEW2D
+
+plotData2D(name, title) ==
+  f:File(DFLOAT) := open(name,"input")
+  lp:LIST(Point DFLOAT) := empty()
+  while ((x := readIfCan!(f)) case DFLOAT) repeat
+    y : DFLOAT := read!(f)
+    lp := cons(point [x,y]$(Point DFLOAT), lp)
+    lp
+  close!(f)
+  drawPoints(lp)
+  drawLines(lp)
+\end{verbatim}
+%
+This command will actually create the viewport and the graph if
+the point data is in the file $"file.data"$.
+\begin{verbatim}
+plotData2D("file.data", "2D Data Plot")
+\end{verbatim}
+
+\subsection{Addendum: Appending a Graph to a Viewport Window Containing a Graph}
+\label{ugGraphTwoDappend}
+
+This section demonstrates how to append a two-di\-men\-sion\-al graph to a viewport
+already containing other graphs.
+The default {\bf draw} command places a graph into the first
+{\tt GraphImage} slot position of the {\tt TwoDimensionalViewport}.
+
+This graph is in the first slot in its viewport.
+
+\spadcommand{v1 := draw(sin(x),x=0..2*\%pi) }
+
+So is this graph.
+
+\spadcommand{v2 := draw(cos(x),x=0..2*\%pi, curveColor==light red()) }
+
+The operation \spadfunFrom{getGraph}{TwoDimensionalViewport}
+retrieves the {\tt GraphImage} $g1$ from the first slot position
+in the viewport $v1$.
+
+\spadcommand{g1 := getGraph(v1,1) }
+
+Now \spadfunFrom{putGraph}{TwoDimensionalViewport}
+places $g1$ into the the second slot position of $v2$.
+
+\spadcommand{putGraph(v2,g1,2) }
+
+Display the new {\tt TwoDimensionalViewport} containing both graphs.
+
+\spadgraph{makeViewport2D(v2) }
+
+%
+%See Figure #.#.
+%
+
+\section{Three-Dimensional Graphics}
+\label{ugGraphThreeD}
+
+%
+The Axiom three-di\-men\-sion\-al graphics package provides the ability to
+\index{graphics!three-dimensional}
+%
+\begin{itemize}
+%
+\item generate surfaces defined by a function of two real variables
+%
+\item generate space curves and tubes defined by parametric equations
+%
+\item generate surfaces defined by parametric equations
+\end{itemize}
+These graphs can be modified by using various options, such as calculating
+points in the spherical coordinate system or changing the polygon grid size
+of a surface.
+
+\subsection{Plotting Three-Dimensional Functions of Two Variables}
+\label{ugGraphThreeDPlot}
+
+\index{surface!two variable function}
+The simplest three-di\-men\-sion\-al graph is that of a surface defined by a function
+of two variables, $z = f(x,y)$.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a surface defined by a formula $f(x,y)$
+of two variables $x$ and $y$ is:
+%
+\begin{center}
+{\tt draw(f(x,y), x = a..b, y = c..d, {\it options})}
+\end{center}
+where $a..b$ and $c..d$ define the range of $x$
+and $y$, and where {\it options} prescribes zero or more
+options as described in \ref{ugGraphThreeDOptions} 
+on page~\pageref{ugGraphThreeDOptions}.
+An example of an option is $title == "Title of Graph".$
+An alternative format involving a function $f$ is also
+available.\\
+}
+
+The simplest way to plot a function of two variables is to use a formula.
+With formulas you always precede the range specifications with
+the variable name and an {\tt =} sign.
+
+\spadgraph{draw(cos(x*y),x=-3..3,y=-3..3)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3d2vara.ps}
+
+If you intend to use a function more than once,
+or it is long and complex, then first
+give its definition to Axiom.
+
+\spadcommand{f(x,y) == sin(x)*cos(y) }
+\returnType{Type: Void}
+
+To draw the function, just give its name and drop the variables
+from the range specifications.
+Axiom compiles your function for efficient computation
+of data for the graph.
+Notice that Axiom uses the text of your function as a
+default title.
+
+\spadgraph{draw(f,-\%pi..\%pi,-\%pi..\%pi) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3d2varb.ps}
+
+\subsection{Plotting Three-Dimensional Parametric Space Curves}
+\label{ugGraphThreeDParm}
+
+
+A second kind of three-di\-men\-sion\-al graph is a three-di\-men\-sion\-al space curve
+\index{curve!parametric space}
+defined by the parametric equations for $x(t)$, $y(t)$,
+\index{parametric space curve}
+and $z(t)$ as a function of an independent variable $t$.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a three-di\-men\-sion\-al space curve defined by
+parametric formulas $x = f(t)$, $y = g(t)$, and
+$z = h(t)$ is:
+%
+\begin{center}
+{\tt draw(curve(f(t),g(t),h(t)), t = a..b, {\it options})}
+\end{center}
+where $a..b$ defines the range of the independent variable
+$t$, and where {\it options} prescribes zero or more options
+as described in \ref{ugGraphThreeDOptions} 
+on page~\pageref{ugGraphThreeDOptions}.
+An example of an option is $title == "Title of Graph".$
+An alternative format involving functions $f$, $g$ and
+$h$ is also available.\\
+}
+
+If you use explicit formulas to draw a space curve, always precede
+the range specification with the variable name and an
+{\tt =} sign.
+
+\spadgraph{draw(curve(5*cos(t), 5*sin(t),t), t=-12..12)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dpsca.ps}
+
+Alternatively, you can draw space curves by referring to functions.
+
+\spadcommand{i1(t:DFLOAT):DFLOAT == sin(t)*cos(3*t/5) }
+\begin{verbatim}
+   Function declaration i1 : DoubleFloat -> DoubleFloat has been added 
+      to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+This is useful if the functions are to be used more than once \ldots
+
+\spadcommand{i2(t:DFLOAT):DFLOAT == cos(t)*cos(3*t/5) }
+\begin{verbatim}
+   Function declaration i2 : DoubleFloat -> DoubleFloat has been added 
+      to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+or if the functions are long and complex.
+
+\spadcommand{i3(t:DFLOAT):DFLOAT == cos(t)*sin(3*t/5) }
+\begin{verbatim}
+   Function declaration i3 : DoubleFloat -> DoubleFloat has been added 
+      to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Give the names of the functions and
+drop the variable name specification in the second argument.
+Again, Axiom supplies a default title.
+
+\spadgraph{draw(curve(i1,i2,i3),0..15*\%pi) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dpscb.ps}
+
+\subsection{Plotting Three-Dimensional Parametric Surfaces}
+\label{ugGraphThreeDPar}
+
+\index{surface!parametric}
+A third kind of three-di\-men\-sion\-al graph is a surface defined by
+\index{parametric surface}
+parametric equations for $x(u,v)$, $y(u,v)$, and
+$z(u,v)$ of two independent variables $u$ and $v$.
+
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a three-di\-men\-sion\-al graph defined by
+parametric formulas $x = f(u,v)$, $y = g(u,v)$,
+and $z = h(u,v)$ is:
+%
+\begin{center}
+{\tt draw(surface(f(u,v),g(u,v),h(u,v)), u = a..b, v = c..d, {\it options})}
+\end{center}
+where $a..b$ and $c..d$ define the range of the
+independent variables $u$ and $v$, and where
+{\it options} prescribes zero or more options as described in
+\ref{ugGraphThreeDOptions} on page~\pageref{ugGraphThreeDOptions}.
+An example of an option is $title == "Title of Graph".$
+An alternative format involving functions $f$, $g$ and
+$h$ is also available.\\
+}
+
+This example draws a graph of a surface plotted using the
+parabolic cylindrical coordinate system option.
+\index{coordinate system!parabolic cylindrical}
+The values of the functions supplied to {\bf surface} are
+\index{parabolic cylindrical coordinate system}
+interpreted in coordinates as given by a {\tt coordinates} option,
+here as parabolic cylindrical coordinates (see
+\ref{ugGraphCoord} on page~\pageref{ugGraphCoord}).
+
+\spadgraph{draw(surface(u*cos(v), u*sin(v), v*cos(u)), u=-4..4, v=0..\%pi, coordinates== parabolicCylindrical)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dpsa.ps}
+
+Again, you can graph these parametric surfaces using functions,
+if the functions are long and complex.
+
+Here we declare the types of arguments and values to be of type
+{\tt DoubleFloat}.
+
+\spadcommand{n1(u:DFLOAT,v:DFLOAT):DFLOAT == u*cos(v) }
+\begin{verbatim}
+   Function declaration n1 : DoubleFloat -> DoubleFloat has been added 
+      to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+As shown by previous examples, these declarations are necessary.
+
+\spadcommand{n2(u:DFLOAT,v:DFLOAT):DFLOAT == u*sin(v) }
+\begin{verbatim}
+   Function declaration n2 : DoubleFloat -> DoubleFloat has been added 
+      to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+In either case, Axiom compiles the functions
+when needed to graph a result.
+
+\spadcommand{n3(u:DFLOAT,v:DFLOAT):DFLOAT == u }
+\begin{verbatim}
+   Function declaration n3 : DoubleFloat -> DoubleFloat has been added 
+      to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Without these declarations, you have to suffix floats
+with $@DFLOAT$ to get a {\tt DoubleFloat} result.
+However, a call here with an unadorned float produces a {\tt DoubleFloat}.
+
+\spadcommand{n3(0.5,1.0)}
+\begin{verbatim}
+   Compiling function n3 with type (DoubleFloat,DoubleFloat) -> 
+      DoubleFloat 
+\end{verbatim}
+\returnType{Type: DoubleFloat}
+
+Draw the surface by referencing the function names, this time
+choosing the toroidal coordinate system.
+\index{coordinate system!toroidal}
+\index{toroidal coordinate system}
+
+\spadgraph{draw(surface(n1,n2,n3), 1..4, 1..2*\%pi, coordinates == toroidal(1\$DFLOAT)) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dpsb.ps}
+
+\subsection{Three-Dimensional Options}
+\label{ugGraphThreeDOptions}
+
+\index{graphics!3D options}
+The {\bf draw} commands optionally take an optional list of options such
+as {\tt coordinates} as shown in the last example.
+Each option is given by the syntax: $name$ {\tt ==} $value$.
+Here is a list of the available options in the order that they are
+described below:
+
+\begin{tabular}{llll}
+title&coordinates&var1Steps\\
+style&tubeRadius&var2Steps\\
+colorFunction&tubePoints&space\\
+\end{tabular}
+
+The option $title$ gives your graph a title.
+\index{graphics!3D options!title}
+
+\spadgraph{draw(cos(x*y),x=0..2*\%pi,y=0..\%pi,title == "Title of Graph") }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptttl.ps}
+
+The $style$ determines which of four rendering algorithms is used for
+\index{rendering}
+the graph.
+The choices are
+{\tt "wireMesh"}, {\tt "solid"}, {\tt "shade"}, and {\tt "smooth"}.
+
+\spadgraph{draw(cos(x*y),x=-3..3,y=-3..3, style=="smooth", title=="Smooth Option")}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptsty.ps}
+
+In all but the wire-mesh style, polygons in a surface or tube plot
+are normally colored in a graph according to their
+$z$-coordinate value.  Space curves are colored according to their
+parametric variable value.
+\index{graphics!3D options!color function}
+To change this, you can give a coloring function.
+\index{function!coloring}
+The coloring function is sampled across the range of its arguments, then
+normalized onto the standard Axiom colormap.
+
+A function of one variable  makes the color depend on the
+value of the parametric variable specified for a tube plot.
+
+\spadcommand{color1(t) == t }
+\returnType{Type: Void}
+
+\spadgraph{draw(curve(sin(t), cos(t),0), t=0..2*\%pi, tubeRadius == .3, colorFunction == color1) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptcf1.ps}
+
+A function of two variables makes the color depend on the
+values of the independent variables.
+
+\spadcommand{color2(u,v) == u**2 - v**2 }
+\returnType{Type: Void}
+
+Use the option {\tt colorFunction} for special coloring.
+
+\spadgraph{draw(cos(u*v), u=-3..3, v=-3..3, colorFunction == color2) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptcf2.ps}
+
+With a three variable function, the
+color also depends on the value of the function.
+
+\spadcommand{color3(x,y,fxy) == sin(x*fxy) + cos(y*fxy) }
+\returnType{Type: Void}
+
+\spadgraph{draw(cos(x*y), x=-3..3, y=-3..3, colorFunction == color3) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptcf3.ps}
+
+Normally the Cartesian coordinate system is used.
+\index{Cartesian!coordinate system}
+To change this, use the {\tt coordinates} option.
+\index{coordinate system!Cartesian}
+For details, see \ref{ugGraphCoord} on page~\pageref{ugGraphCoord}.
+
+\spadcommand{m(u:DFLOAT,v:DFLOAT):DFLOAT == 1 }
+\begin{verbatim}
+   Function declaration m : (DoubleFloat,DoubleFloat) -> DoubleFloat 
+      has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Use the spherical
+\index{spherical coordinate system}
+coordinate system.
+\index{coordinate system!spherical}
+
+\spadgraph{draw(m, 0..2*\%pi,0..\%pi, coordinates == spherical, style=="shade") }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptcrd.ps}
+
+Space curves may be displayed as tubes with polygonal cross sections.
+\index{tube}
+Two options, {\tt tubeRadius} and {\tt tubePoints},  control the size and
+shape of this cross section.
+%
+
+The {\tt tubeRadius} option specifies the radius of the tube that
+\index{tube!radius}
+encircles the specified space curve.
+
+\spadgraph{draw(curve(sin(t),cos(t),0),t=0..2*\%pi, style=="shade", tubeRadius == .3)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptrad.ps}
+
+The {\tt tubePoints} option specifies the number of vertices
+\index{tube!points in polygon}
+defining the polygon that is used to create a tube around the
+specified space curve.
+The larger this number is, the more cylindrical the tube becomes.
+
+\spadgraph{draw(curve(sin(t), cos(t), 0), t=0..2*\%pi, style=="shade", tubeRadius == .25, tubePoints == 3)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptpts.ps}
+
+\index{graphics!3D options!variable steps}
+%
+
+Options \spadfunFrom{var1Steps}{DrawOption} and
+\spadfunFrom{var2Steps}{DrawOption} specify the number of intervals into
+which the grid defining a surface plot is subdivided with respect to the
+first and second parameters of the surface function(s).
+
+\spadgraph{draw(cos(x*y),x=-3..3,y=-3..3, style=="shade", var1Steps == 30, var2Steps == 30)}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3doptvb.ps}
+
+The {\tt space} option
+of a {\bf draw} command lets you build multiple graphs in three space.
+To use this option, first create an empty three-space object,
+then use the {\tt space} option thereafter.
+There is no restriction as to the number or kinds
+of graphs that can be combined this way.
+
+Create an empty three-space object.
+
+\spadcommand{s := create3Space()\$(ThreeSpace DFLOAT) }
+$$
+{3-Space with }0 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{m(u:DFLOAT,v:DFLOAT):DFLOAT == 1 }
+\begin{verbatim}
+   Function declaration m : (DoubleFloat,DoubleFloat) -> DoubleFloat 
+      has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Add a graph to this three-space object.
+The new graph destructively inserts the graph
+into $s$.
+
+\spadgraph{draw(m,0..\%pi,0..2*\%pi, coordinates == spherical, space == s) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dmult1a.ps}
+
+Add a second graph to $s$.
+
+\spadgraph{v := draw(curve(1.5*sin(t), 1.5*cos(t),0), t=0..2*\%pi, tubeRadius == .25, space == s)  }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dmult1b.ps}
+
+A three-space object can also be obtained from an existing three-di\-men\-sion\-al viewport
+using the \spadfunFrom{subspace}{ThreeSpace} command.
+You can then use {\bf makeViewport3D} to create a viewport window.
+
+Assign to $subsp$ the three-space object in viewport $v$.
+
+\spadcommand{subsp := subspace v  }
+
+Reset the space component of $v$ to the value of $subsp$.
+
+\spadcommand{subspace(v, subsp)  }
+
+Create a viewport window from a three-space object.
+
+\spadgraph{makeViewport3D(subsp,"Graphs") }
+
+\subsection{The makeObject Command}
+\label{ugGraphMakeObject}
+
+An alternate way to create multiple graphs is to use
+{\bf makeObject}.
+The {\bf makeObject} command is similar to the {\bf draw}
+command, except that it returns a three-space object rather than a
+{\tt ThreeDimensionalViewport}.
+In fact, {\bf makeObject} is called by the {\bf draw}
+command to create the {\tt ThreeSpace} then
+\spadfunFrom{makeViewport3D}{ThreeDimensionalViewport} to create a
+viewport window.
+
+\spadcommand{m(u:DFLOAT,v:DFLOAT):DFLOAT == 1 }
+\begin{verbatim}
+   Function declaration m : (DoubleFloat,DoubleFloat) -> DoubleFloat 
+      has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Do the last example a new way.
+First use {\bf makeObject} to
+create a three-space object $sph$.
+
+\spadcommand{sph := makeObject(m, 0..\%pi, 0..2*\%pi, coordinates==spherical)}
+\begin{verbatim}
+   Compiling function m with type (DoubleFloat,DoubleFloat) -> 
+      DoubleFloat 
+\end{verbatim}
+$$
+{3-Space with }1 \mbox{\rm component} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+Add a second object to $sph$.
+
+\spadcommand{makeObject(curve(1.5*sin(t), 1.5*cos(t), 0), t=0..2*\%pi, space == sph, tubeRadius == .25) }
+\begin{verbatim}
+   Compiling function %D with type DoubleFloat -> DoubleFloat 
+   Compiling function %F with type DoubleFloat -> DoubleFloat 
+   Compiling function %H with type DoubleFloat -> DoubleFloat 
+\end{verbatim}
+$$
+{3-Space with }2 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+Create and display a viewport
+containing $sph$.
+
+\spadgraph{makeViewport3D(sph,"Multiple Objects") }
+
+Note that an undefined {\tt ThreeSpace} parameter declared in a
+{\bf makeObject} or {\bf draw} command results in an error.
+Use the \spadfunFrom{create3Space}{ThreeSpace} function to define a
+{\tt ThreeSpace}, or obtain a {\tt ThreeSpace} that has been
+previously generated before including it in a command line.
+
+\subsection{Building Three-Dimensional Objects From Primitives}
+\label{ugGraphThreeDBuild}
+
+Rather than using the {\bf draw} and {\bf makeObject} commands,
+\index{graphics!advanced!build 3D objects}
+you can create three-di\-men\-sion\-al graphs from primitives.
+Operation \spadfunFrom{create3Space}{ThreeSpace} creates a
+three-space object to which points, curves and polygons
+can be added using the operations from the {\tt ThreeSpace}
+domain.
+The resulting object can then be displayed in a viewport using
+\spadfunFrom{makeViewport3D}{ThreeDimensionalViewport}.
+
+Create the empty three-space object $space$.
+
+\spadcommand{space := create3Space()\$(ThreeSpace DFLOAT) }
+$$
+{3-Space with }0 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+Objects can be sent to this $space$ using the operations
+exported by the {\tt ThreeSpace} domain.
+\index{ThreeSpace}
+The following examples place curves into $space$.
+
+Add these eight curves to the space.
+
+\spadcommand{closedCurve(space,[ [0,30,20], [0,30,30], [0,40,30], [0,40,100], [0,30,100],[0,30,110], [0,60,110], [0,60,100], [0,50,100], [0,50,30], [0,60,30], [0,60,20] ])  }
+$$
+{3-Space with }1 \mbox{\rm component} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{closedCurve(space,[ [80,0,30], [80,0,100], [70,0,110], [40,0,110], [30,0,100], [30,0,90], [40,0,90], [40,0,95], [45,0,100], [65,0,100], [70,0,95], [70,0,35] ])  }
+$$
+{3-Space with }2 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{closedCurve(space,[ [70,0,35], [65,0,30], [45,0,30], [40,0,35], [40,0,60], [50,0,60], [50,0,70], [30,0,70], [30,0,30], [40,0,20], [70,0,20], [80,0,30] ])  }
+$$
+{3-Space with }3 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{closedCurve(space,[ [0,70,20], [0,70,110], [0,110,110], [0,120,100], [0,120,70], [0,115,65], [0,120,60], [0,120,30], [0,110,20], [0,80,20], [0,80,30], [0,80,20] ])  }
+$$
+{3-Space with }4 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{closedCurve(space,[ [0,105,30], [0,110,35], [0,110,55], [0,105,60], [0,80,60], [0,80,70], [0,105,70], [0,110,75], [0,110,95], [0,105,100], [0,80,100], [0,80,20], [0,80,30] ])  }
+$$
+{3-Space with }5 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{closedCurve(space,[ [140,0,20], [140,0,110], [130,0,110], [90,0,20], [101,0,20],[114,0,50], [130,0,50], [130,0,60], [119,0,60], [130,0,85], [130,0,20] ])  }
+$$
+{3-Space with }6 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{closedCurve(space,[ [0,140,20], [0,140,110], [0,150,110], [0,170,50], [0,190,110], [0,200,110], [0,200,20], [0,190,20], [0,190,75], [0,175,35], [0,165,35],[0,150,75], [0,150,20] ])  }
+$$
+{3-Space with }7 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{closedCurve(space,[ [200,0,20], [200,0,110], [189,0,110], [160,0,45], [160,0,110], [150,0,110], [150,0,20], [161,0,20], [190,0,85], [190,0,20] ])  }
+$$
+{3-Space with }8 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+Create and display the viewport using {\bf makeViewport3D}.
+Options may also be given but here are displayed as a list with values
+enclosed in parentheses.
+
+\spadgraph{makeViewport3D(space, title == "Letters") }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dbuilda.ps}
+
+\subsubsection{Cube Example}
+
+As a second example of the use of primitives, we generate a cube using a
+polygon mesh.
+It is important to use a consistent orientation of the polygons for
+correct generation of three-di\-men\-sion\-al objects.
+
+Again start with an empty three-space object.
+
+\spadcommand{spaceC := create3Space()\$(ThreeSpace DFLOAT) }
+$$
+{3-Space with }0 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+For convenience,
+give {\tt DoubleFloat} values $+1$ and $-1$ names.
+
+\spadcommand{x: DFLOAT := 1 }
+$$
+1.0 
+$$
+\returnType{Type: DoubleFloat}
+
+\spadcommand{y: DFLOAT := -1 }
+$$
+-{1.0} 
+$$
+\returnType{Type: DoubleFloat}
+
+Define the vertices of the cube.
+
+\spadcommand{a := point [x,x,y,1::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+{1.0},  {1.0},  -{1.0},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{b := point [y,x,y,4::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+-{1.0},  {1.0},  -{1.0},  {4.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{c := point [y,x,x,8::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+-{1.0},  {1.0},  {1.0},  {8.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{d := point [x,x,x,12::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+{1.0},  {1.0},  {1.0},  {12.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{e := point [x,y,y,16::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+{1.0},  -{1.0},  -{1.0},  {16.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{f := point [y,y,y,20::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+-{1.0},  -{1.0},  -{1.0},  {20.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{g := point [y,y,x,24::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+-{1.0},  -{1.0},  {1.0},  {24.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{h := point [x,y,x,27::DFLOAT]\$(Point DFLOAT)  }
+$$
+\left[
+{1.0},  -{1.0},  {1.0},  {27.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+Add the faces of the cube as polygons to the space using a
+consistent orientation.
+
+\spadcommand{polygon(spaceC,[d,c,g,h])  }
+$$
+{3-Space with }1 \mbox{\rm component} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{polygon(spaceC,[d,h,e,a])  }
+$$
+{3-Space with }2 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{polygon(spaceC,[c,d,a,b])  }
+$$
+{3-Space with }3 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{polygon(spaceC,[g,c,b,f])  }
+$$
+{3-Space with }4 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{polygon(spaceC,[h,g,f,e])  }
+$$
+{3-Space with }5 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+\spadcommand{polygon(spaceC,[e,f,b,a])  }
+$$
+{3-Space with }6 \mbox{\rm components} 
+$$
+\returnType{Type: ThreeSpace DoubleFloat}
+
+Create and display the viewport.
+
+\spadgraph{makeViewport3D(spaceC, title == "Cube") }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/3dbuildb.ps}
+
+\subsection{Coordinate System Transformations}
+\label{ugGraphCoord}
+\index{graphics!advanced!coordinate systems}
+
+The {\tt CoordinateSystems} package provides coordinate transformation
+functions that map a given data point from the coordinate system specified
+into the Cartesian coordinate system.
+\index{CoordinateSystems}
+The default coordinate system, given a triplet $(f(u,v), u, v)$, assumes
+that $z = f(u, v)$, $x = u$ and $y = v$,
+that is, reads the coordinates in $(z, x, y)$ order.
+
+\spadcommand{m(u:DFLOAT,v:DFLOAT):DFLOAT == u**2 }
+\begin{verbatim}
+   Function declaration m : (DoubleFloat,DoubleFloat) -> DoubleFloat 
+      has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Graph plotted in default coordinate system.
+
+\spadgraph{draw(m,0..3,0..5) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/defcoord.ps}
+
+The $z$ coordinate comes first since the first argument of
+the {\bf draw} command gives its values.
+In general, the coordinate systems Axiom provides, or any
+that you make up, must provide a map to an $(x, y, z)$ triplet in
+order to be compatible with the
+\spadfunFrom{coordinates}{DrawOption} {\tt DrawOption}.
+\index{DrawOption}
+Here is an example.
+
+Define the identity function.
+
+\spadcommand{cartesian(point:Point DFLOAT):Point DFLOAT == point }
+\begin{verbatim}
+   Function declaration cartesian : Point DoubleFloat -> Point 
+      DoubleFloat has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Pass $cartesian$ as the \spadfunFrom{coordinates}{DrawOption}
+parameter to the {\bf draw} command.
+
+\spadgraph{draw(m,0..3,0..5,coordinates==cartesian) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/cartcoord.ps}
+
+What happened?  The option {\tt coordinates == cartesian} directs
+Axiom to treat the dependent variable $m$ defined by $m=u^2$ as the
+$x$ coordinate.  Thus the triplet of values $(m, u, v)$ is transformed
+to coordinates $(x, y, z)$ and so we get the graph of $x=y^2$.
+
+Here is another example.
+The \spadfunFrom{cylindrical}{CoordinateSystems} transform takes
+\index{coordinate system!cylindrical}
+input of the form $(w,u,v)$, interprets it in the order
+\index{cylindrical coordinate system}
+($r$,$\theta$,$z$)
+and maps it to the Cartesian coordinates
+$x=r\cos(\theta)$, $y=r\sin(\theta)$, $z=z$
+in which
+$r$ is the radius,
+$\theta$ is the angle and
+$z$ is the z-coordinate.
+
+An example using the \spadfunFrom{cylindrical}{CoordinateSystems}
+coordinates for the constant $r = 3$.
+
+\spadcommand{f(u:DFLOAT,v:DFLOAT):DFLOAT == 3 }
+\begin{verbatim}
+   Function declaration f : (DoubleFloat,DoubleFloat) -> DoubleFloat 
+      has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+Graph plotted in cylindrical coordinates.
+
+\spadgraph{draw(f,0..\%pi,0..6,coordinates==cylindrical) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/cylcoord.ps}
+
+Suppose you would like to specify $z$ as a function of
+$r$ and $\theta$ instead of just $r$?
+Well, you still can use the {\bf cylindrical} Axiom
+transformation but we have to reorder the triplet before
+passing it to the transformation.
+
+First, let's create a point to
+work with and call it $pt$ with some color $col$.
+
+\spadcommand{col := 5 }
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{pt := point[1,2,3,col]\$(Point DFLOAT)  }
+$$
+\left[
+{1.0},  {2.0},  {3.0},  {5.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+The reordering you want is
+$(z,r, \theta)$ to
+$(r, \theta,z)$
+so that the first element is moved to the third element, while the second
+and third elements move forward and the color element does not change.
+
+Define a function {\bf reorder} to reorder the point elements.
+
+\spadcommand{reorder(p:Point DFLOAT):Point DFLOAT == point[p.2, p.3, p.1, p.4] }
+\begin{verbatim}
+   Function declaration reorder : Point DoubleFloat -> Point 
+      DoubleFloat has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+The function moves the second and third elements
+forward but the color does not change.
+
+\spadcommand{reorder pt }
+$$
+\left[
+{2.0},  {3.0},  {1.0},  {5.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+The function {\bf newmap} converts our reordered version of
+the cylindrical coordinate system to the standard
+$(x,y,z)$ Cartesian system.
+
+\spadcommand{newmap(pt:Point DFLOAT):Point DFLOAT == cylindrical(reorder pt)  }
+\begin{verbatim}
+   Function declaration newmap : Point DoubleFloat -> Point DoubleFloat
+      has been added to workspace.
+\end{verbatim}
+\returnType{Type: Void}
+
+\spadcommand{newmap pt  }
+$$
+\left[
+-{1.9799849932008908},  {0.28224001611973443},  {1.0},  {5.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+Graph the same function $f$ using the coordinate mapping of the function
+$newmap$, so it is now interpreted as
+$z=3$:
+
+\spadgraph{draw(f,0..3,0..2*\%pi,coordinates==newmap) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/newmap.ps}
+
+% I think this is good to say here: it shows a lot of depth. RSS
+%{\sloppy
+The {\tt CoordinateSystems} package exports the following
+\index{coordinate system}
+operations:
+{\bf bipolar},
+{\bf bipolarCylindrical},
+{\bf cartesian},
+{\bf conical},
+{\bf cylindrical},
+{\bf elliptic},
+{\bf ellipticCylindrical},
+{\bf oblateSpheroidal},
+{\bf parabolic},
+{\bf parabolicCylindrical},
+{\bf paraboloidal},
+{\bf polar},
+{\bf prolateSpheroidal},
+{\bf spherical}, and
+{\bf toroidal}.
+Use Browse or the {\tt )show} system command
+\index{show}
+to get more information.
+
+\subsection{Three-Dimensional Clipping}
+\label{ugGraphClip}
+
+A three-di\-men\-sion\-al graph can be explicitly clipped within the {\bf draw}
+\index{graphics!advanced!clip}
+command by indicating a minimum and maximum threshold for the
+\index{clipping}
+given function definition.
+These thresholds can be defined using the Axiom {\bf min}
+and {\bf max} functions.
+
+\begin{verbatim}
+gamma(x,y) ==
+  g := Gamma complex(x,y)
+  point [x, y, max( min(real g, 4), -4), argument g]
+\end{verbatim}
+
+Here is an example that clips
+the gamma function in order to eliminate the extreme divergence it creates.
+
+\spadgraph{draw(gamma,-\%pi..\%pi,-\%pi..\%pi,var1Steps==50,var2Steps==50) }
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/clipgamma.ps}
+
+\subsection{Three-Dimensional Control-Panel}
+\label{ugGraphThreeDControl}
+
+\index{graphics!3D control-panel}
+Once you have created a viewport, move your mouse to the viewport
+and click with your left mouse button.
+This displays a control-panel on the side of the viewport
+that is closest to where you clicked.
+
+\begin{figure}[htbp]
+%{\epsfverbosetrue\epsfxsize=2in%
+%\def\epsfsize#1#2{\epsfxsize}\hspace*{\baseLeftSkip}%
+%%\epsffile[0 0 144 289]{ps/3dctrl.ps}}
+\begin{picture}(183,252)%(-125,0)
+\hspace*{\baseLeftSkip}\special{psfile=ps/3dctrl.ps}
+\end{picture}
+\caption{Three-dimensional control-panel.}
+\end{figure}
+
+\subsubsection{Transformations}
+
+We recommend you first select the {\bf Bounds} button while
+\index{graphics!3D control-panel!transformations}
+executing transformations since the bounding box displayed
+indicates the object's position as it changes.
+%
+\begin{description}
+%
+\item[Rotate:]  A rotation transformation occurs by clicking the mouse
+\index{graphics!3D control-panel!rotate}
+within the {\bf Rotate} window in the upper left corner of the
+control-panel.
+The rotation is computed in spherical coordinates, using the
+horizontal mouse position to increment or decrement the value of
+the longitudinal angle $\theta$ within the
+range of 0 to 2$\pi$ and the vertical mouse position
+to increment or decrement the value of the latitudinal angle
+$\phi$ within the range of -$\pi$
+to $\pi$.
+The active mode of rotation is displayed in green on a color
+monitor or in clear text on a black and white monitor, while the
+inactive mode is displayed in red for color display or a mottled
+pattern for black and white.
+%
+\begin{description}
+%
+\item[origin:]  The {\bf origin} button indicates that the
+rotation is to occur with respect to the origin of the viewing space, that is
+indicated by the axes.
+%
+\item[object:]  The {\bf object} button indicates that the
+rotation is to occur with respect to the center of volume of the object,
+independent of the axes' origin position.
+\end{description}
+%
+\item[Scale:]  A scaling transformation occurs by clicking the mouse
+\index{graphics!3D control-panel!scale}
+within the {\bf Scale} window in the upper center of the
+control-panel, containing a zoom arrow.
+The axes along which the scaling is to occur are indicated by
+selecting the appropriate button above the zoom arrow window.
+The selected axes are displayed in green on a color monitor or in
+clear text on a black and white monitor, while the unselected axes
+are displayed in red for a color display or a mottled pattern for
+black and white.
+%
+\begin{description}
+%
+\item[uniform:]  Uniform scaling along the {\tt x}, {\tt y}
+and {\tt z} axes occurs when all the axes buttons are selected.
+%
+\item[non-uniform:]  If any of the axes buttons are
+not selected, non-uniform scaling occurs, that is, scaling occurs only in the
+direction of the axes that are selected.
+\end{description}
+%
+\item[Translate:]  Translation occurs by indicating with the mouse in the
+\index{graphics!3D control-panel!translate}
+{\bf Translate} window the direction you want the graph to move.
+This window is located in the upper right corner of the
+control-panel and contains a potentiometer with crossed arrows
+pointing up, down, left and right.
+Along the top of the {\bf Translate} window are three buttons
+({\bf XY},
+{\bf XZ}, and {\bf YZ}) indicating the three orthographic projection planes.
+Each orientates the group as a view into that plane.
+Any translation of the graph occurs only along this plane.
+\end{description}
+
+\subsubsection{Messages}
+
+\index{graphics!3D control-panel!messages}
+
+The window directly below the potentiometer windows for transformations is
+used to display system messages relating to the viewport, the control-panel
+and the current graph displaying status.
+
+\subsubsection{Colormap}
+
+\index{graphics!3D control-panel!color map}
+
+Directly below the message window is the colormap range indicator
+window.
+\index{colormap}
+The Axiom Colormap shows a sampling of the spectrum from
+which hues can be drawn to represent the colors of a surface.
+The Colormap is composed of five shades for each of the hues along
+this spectrum.
+By moving the markers above and below the Colormap, the range of
+hues that are used to color the existing surface are set.
+The bottom marker shows the hue for the low end of the color range
+and the top marker shows the hue for the upper end of the range.
+Setting the bottom and top markers at the same hue results in
+monochromatic smooth shading of the graph when {\bf Smooth} mode is selected.
+At each end of the Colormap are {\bf +} and {\bf -} buttons.
+When clicked on, these increment or decrement the top or bottom
+marker.
+
+\subsubsection{Buttons}
+\index{graphics!3D control-panel!buttons}
+
+Below the Colormap window and to the left are located various
+buttons that determine the characteristics of a graph.
+The buttons along the bottom and right hand side all have special
+meanings; the remaining buttons in the first row indicate the mode
+or style used to display the graph.
+The second row are toggles that turn on or off a property of the
+graph.
+On a color monitor, the property is on if green (clear text, on a
+monochrome monitor) and off if red (mottled pattern, on a
+monochrome monitor).
+Here is a list of their functions.
+%
+\begin{description}
+%
+\item[Wire] displays surface and tube plots as a
+\index{graphics!3D control-panel!wire}
+wireframe image in a single color (blue) with no hidden surfaces removed,
+or displays space curve plots in colors based upon their parametric variables.
+This is the fastest mode for displaying a graph.
+This is very useful when you
+want to find a good orientation of your graph.
+%
+\item[Solid] displays the graph with hidden
+\index{graphics!3D control-panel!solid}
+surfaces removed, drawing each polygon beginning with the furthest
+from the viewer.
+The edges of the polygons are displayed in the hues specified by
+the range in the Colormap window.
+%
+\item[Shade] displays the graph with hidden
+\index{graphics!3D control-panel!shade}
+surfaces removed and with the polygons shaded, drawing each
+polygon beginning with the furthest from the viewer.
+Polygons are shaded in the hues specified by the range in the
+Colormap window using the Phong illumination model.
+\index{Phong!illumination model}
+%
+\item[Smooth] displays the graph using a
+\index{graphics!3D control-panel!smooth}
+renderer that computes the graph one line at a time.
+The location and color of the graph at each visible point on the
+screen are determined and displayed using the Phong illumination
+\index{Phong!illumination model}
+model.
+Smooth shading is done in one of two ways, depending on the range
+selected in the colormap window and the number of colors available
+from the hardware and/or window manager.
+When the top and bottom markers of the colormap range are set to
+different hues, the graph is rendered by dithering between the
+\index{dithering}
+transitions in color hue.
+When the top and bottom markers of the colormap range are set to
+the same hue, the graph is rendered using the Phong smooth shading
+model.
+\index{Phong!smooth shading model}
+However, if enough colors cannot be allocated for this purpose,
+the renderer reverts to the color dithering method until a
+sufficient color supply is available.
+For this reason, it may not be possible to render multiple Phong
+smooth shaded graphs at the same time on some systems.
+%
+\item[Bounds] encloses the entire volume of the
+viewgraph within a bounding box, or removes the box if previously selected.
+\index{graphics!3D control-panel!bounds}
+The region that encloses the entire volume of the viewport graph is displayed.
+%
+\item[Axes] displays Cartesian
+\index{graphics!3D control-panel!axes}
+coordinate axes of the space, or turns them off if previously selected.
+%
+\item[Outline] causes
+\index{graphics!3D control-panel!outline}
+quadrilateral polygons forming the graph surface to be outlined in black when
+the graph is displayed in {\bf Shade} mode.
+%
+\item[BW] converts a color viewport to black and white, or vice-versa.
+\index{graphics!3D control-panel!bw}
+When this button is selected the
+control-panel and viewport switch to an immutable colormap composed of a range
+of grey scale patterns or tiles that are used wherever shading is necessary.
+%
+\item[Light] takes you to a control-panel described below.
+%
+\item[ViewVolume] takes you to another control-panel as described below.
+\index{graphics!3D control-panel!save}
+%
+\item[Save] creates a menu of the possible file types that can
+be written using the control-panel.
+The {\bf Exit} button leaves the save menu.
+The {\bf Pixmap} button writes an Axiom pixmap of
+\index{graphics!3D control-panel!pixmap}
+the current viewport contents.  The file is called {\bf axiom3D.pixmap} and is
+located in the directory from which Axiom or {\bf viewalone} was
+started.
+The {\bf PS} button writes the current viewport contents to
+\index{graphics!3D control-panel!ps}
+PostScript output rather than to the viewport window.
+By default the file is called {\bf axiom3D.ps}; however, if a file
+\index{file!.Xdefaults @{\bf .Xdefaults}}
+name is specified in the user's {\bf .Xdefaults} file it is
+\index{graphics!.Xdefaults!PostScript file name}
+used.
+The file is placed in the directory from which the Axiom or
+{\bf viewalone} session was begun.
+See also the \spadfunFrom{write}{ThreeDimensionalViewport}
+function.
+\index{PostScript}
+%
+\item[Reset] returns the object transformation
+\index{graphics!3D control-panel!reset}
+characteristics back to their initial states.
+%
+\item[Hide] causes the control-panel for the
+\index{graphics!3D control-panel!hide}
+corresponding viewport to disappear from the screen.
+%
+\item[Quit]  queries whether the current viewport
+\index{graphics!3D control-panel!quit}
+session should be terminated.
+\end{description}
+
+\subsubsection{Light}
+
+\index{graphics!3D control-panel!light}
+
+%>>>\begin{figure}[htbp]
+%>>>\begin{picture}(183,252)(-125,0)
+%>>>\special{psfile=ps/3dlight.ps}
+%>>>\end{picture}
+%>>>\caption{Three-Dimensional Lighting Panel.}
+%>>>\end{figure}
+
+The {\bf Light} button changes the control-panel into the
+{\bf Lighting Control-Panel}.  At the top of this panel, the three axes
+are shown with the same orientation as the object.  A light vector from
+the origin of the axes shows the current position of the light source
+relative to the object.  At the bottom of the panel is an {\bf Abort}
+button that cancels any changes to the lighting that were made, and a
+{\bf Return} button that carries out the current set of lighting changes
+on the graph.
+%
+\begin{description}
+%
+\item[XY:]  The {\bf XY} lighting axes window is below the
+\index{graphics!3D control-panel!move xy}
+{\bf Lighting Control-Panel} title and to the left.
+This changes the light vector within the {\bf XY} view plane.
+%
+\item[Z:]  The {\bf Z} lighting axis window is below the
+\index{graphics!3D control-panel!move z}
+{\bf Lighting Control-Panel} title and in the center.  This
+changes the {\bf Z}
+location of the light vector.
+%
+\item[Intensity:]
+Below the {\bf Lighting Control-Panel} title
+\index{graphics!3D control-panel!intensity}
+and to the right is the light intensity meter.
+Moving the intensity indicator down decreases the amount of
+light emitted from the light source.
+When the indicator is at the top of the meter the light source is
+emitting at 100\% intensity.
+At the bottom of the meter the light source is emitting at a level
+slightly above ambient lighting.
+\end{description}
+
+\subsubsection{View Volume}
+
+\index{graphics!3D control-panel!view volume}
+
+The {\bf View Volume} button changes the control-panel into
+the {\bf Viewing Volume Panel}.
+At the bottom of the viewing panel is an {\bf Abort} button that
+cancels any changes to the viewing volume that were made and a
+{\it Return} button that carries out the current set of
+viewing changes to the graph.
+%
+%>>>\begin{figure}[htbp]
+%>>>\begin{picture}(183,252)(-125,0)
+%>>>\special{psfile=ps/3dvolume.ps}
+%>>>\end{picture}
+%>>>\caption{Three-Dimensional Volume Panel.}
+%>>>\end{figure}
+
+\begin{description}
+
+\item[Eye Reference:]  At the top of this panel is the
+\index{graphics!3D control-panel!eye reference}
+{\bf Eye Reference} window.
+It shows a planar projection of the viewing pyramid from the eye
+of the viewer relative to the location of the object.
+This has a bounding region represented by the rectangle on the
+left.
+Below the object rectangle is the {\bf Hither} window.
+By moving the slider in this window the hither clipping plane sets
+\index{hither clipping plane}
+the front of the view volume.
+As a result of this depth clipping all points of the object closer
+to the eye than this hither plane are not shown.
+The {\bf Eye Distance} slider to the right of the {\bf Hither}
+slider is used to change the degree of perspective in the image.
+%
+\item[Clip Volume:]  The {\bf Clip Volume} window is at the
+\index{graphics!3D control-panel!clip volume}
+bottom of the {\bf Viewing Volume Panel}.
+On the right is a {\bf Settings} menu.
+In this menu are buttons to select viewing attributes.
+Selecting the {\bf Perspective} button computes the image using
+perspective projection.
+\index{graphics!3D control-panel!perspective}
+The {\bf Show Region} button indicates whether the clipping region
+of the
+\index{graphics!3D control-panel!show clip region}
+volume is to be drawn in the viewport and the {\bf Clipping On}
+button shows whether the view volume clipping is to be in effect
+when the image
+\index{graphics!3D control-panel!clipping on}
+is drawn.
+The left side of the {\bf Clip Volume} window shows the clipping
+\index{graphics!3D control-panel!clip volume}
+boundary of the graph.
+Moving the knobs along the {\bf X}, {\bf Y}, and {\bf Z} sliders
+adjusts the volume of the clipping region accordingly.
+\end{description}
+
+\subsection{Operations for Three-Dimensional Graphics}
+\label{ugGraphThreeDops}
+
+
+Here is a summary of useful Axiom operations for three-di\-men\-sion\-al
+graphics.
+Each operation name is followed by a list of arguments.
+Each argument is written as a variable informally named according
+to the type of the argument (for example, {\it integer}).
+If appropriate, a default value for an argument is given in
+parentheses immediately following the name.
+
+%
+\bgroup\hbadness = 10001\sloppy
+\begin{description}
+%
+\item[{\bf adaptive3D?}]\funArgs{}
+tests whether space curves are to be plotted
+\index{graphics!plot3d defaults!adaptive}
+according to the
+\index{adaptive plotting}
+adaptive refinement algorithm.
+
+%
+\item[{\bf axes}]\funArgs{viewport, string\argDef{"on"}}
+turns the axes on and off.
+\index{graphics!3D commands!axes}
+
+%
+\item[{\bf close}]\funArgs{viewport}
+closes the viewport.
+\index{graphics!3D commands!close}
+
+%
+\item[{\bf colorDef}]\funArgs{viewport,
+$\hbox{\it color}_{1}$\argDef{1}, $\hbox{\it color}_{2}$\argDef{27}}
+sets the colormap
+\index{graphics!3D commands!define color}
+range to be from
+$\hbox{\it color}_{1}$ to $\hbox{\it color}_{2}$.
+
+%
+\item[{\bf controlPanel}]\funArgs{viewport, string\argDef{"off"}}
+declares whether the
+\index{graphics!3D commands!control-panel}
+control-panel for the viewport is to be displayed or not.
+
+%
+\item[{\bf diagonals}]\funArgs{viewport, string\argDef{"off"}}
+declares whether the
+\index{graphics!3D commands!diagonals}
+polygon outline includes the diagonals or not.
+
+%
+\item[{\bf drawStyle}]\funArgs{viewport, style}
+selects which of four drawing styles
+\index{graphics!3D commands!drawing style}
+are used: {\tt "wireMesh", "solid", "shade",} or {\tt "smooth".}
+
+%
+\item[{\bf eyeDistance}]\funArgs{viewport,float\argDef{500}}
+sets the distance of the eye from the origin of the object
+\index{graphics!3D commands!eye distance}
+for use in the \spadfunFrom{perspective}{ThreeDimensionalViewport}.
+
+%
+\item[{\bf key}]\funArgs{viewport}
+returns the operating
+\index{graphics!3D commands!key}
+system process ID number for the viewport.
+
+%
+\item[{\bf lighting}]\funArgs{viewport,
+$float_{x}$\argDef{-0.5},
+$float_{y}$\argDef{0.5}, $float_{z}$\argDef{0.5}}
+sets the Cartesian
+\index{graphics!3D commands!lighting}
+coordinates of the light source.
+
+%
+\item[{\bf modifyPointData}]\funArgs{viewport,integer,point}
+replaces the coordinates of the point with
+\index{graphics!3D commands!modify point data}
+the index {\it integer} with {\it point}.
+
+%
+\item[{\bf move}]\funArgs{viewport,
+$integer_{x}$\argDef{viewPosDefault},
+$integer_{y}$\argDef{viewPosDefault}}
+moves the upper
+\index{graphics!3D commands!move}
+left-hand corner of the viewport to screen position
+\allowbreak
+({\small $integer_{x}$, $integer_{y}$}).
+
+%
+\item[{\bf options}]\funArgs{viewport}
+returns a list of all current draw options.
+
+%
+\item[{\bf outlineRender}]\funArgs{viewport, string\argDef{"off"}}
+turns polygon outlining
+\index{graphics!3D commands!outline}
+off or on when drawing in {\tt "shade"} mode.
+
+%
+\item[{\bf perspective}]\funArgs{viewport, string\argDef{"on"}}
+turns perspective
+\index{graphics!3D commands!perspective}
+viewing on and off.
+
+%
+\item[{\bf reset}]\funArgs{viewport}
+resets the attributes of a viewport to their
+\index{graphics!3D commands!reset}
+initial settings.
+
+%
+\item[{\bf resize}]\funArgs{viewport,
+$integer_{width}$ \argDef{viewSizeDefault},
+$integer_{height}$ \argDef{viewSizeDefault}}
+resets the width and height
+\index{graphics!3D commands!resize}
+values for a viewport.
+
+%
+\item[{\bf rotate}]\funArgs{viewport,
+$number_{\theta}$\argDef{viewThetaDefapult},
+$number_{\phi}$\argDef{viewPhiDefault}}
+rotates the viewport by rotation angles for longitude
+({\it $\theta$}) and
+latitude ({\it $\phi$}).
+Angles designate radians if given as floats, or degrees if given
+\index{graphics!3D commands!rotate}
+as integers.
+
+%
+\item[{\bf setAdaptive3D}]\funArgs{boolean\argDef{true}}
+sets whether space curves are to be plotted
+\index{graphics!plot3d defaults!set adaptive}
+according to the adaptive
+\index{adaptive plotting}
+refinement algorithm.
+
+%
+\item[{\bf setMaxPoints3D}]\funArgs{integer\argDef{1000}}
+ sets the default maximum number of possible
+\index{graphics!plot3d defaults!set max points}
+points to be used when constructing a three-di\-men\-sion\-al space curve.
+
+%
+\item[{\bf setMinPoints3D}]\funArgs{integer\argDef{49}}
+sets the default minimum number of possible
+\index{graphics!plot3d defaults!set min points}
+points to be used when constructing a three-di\-men\-sion\-al space curve.
+
+%
+\item[{\bf setScreenResolution3D}]\funArgs{integer\argDef{49}}
+sets the default screen resolution constant
+\index{graphics!plot3d defaults!set screen resolution}
+used in setting the computation limit of adaptively
+\index{adaptive plotting}
+generated three-di\-men\-sion\-al space curve plots.
+
+%
+\item[{\bf showRegion}]\funArgs{viewport, string\argDef{"off"}}
+declares whether the bounding
+\index{graphics!3D commands!showRegion}
+box of a graph is shown or not.
+%
+\item[{\bf subspace}]\funArgs{viewport}
+returns the space component.
+%
+\item[{\bf subspace}]\funArgs{viewport, subspace}
+resets the space component
+\index{graphics!3D commands!subspace}
+to {\it subspace}.
+
+%
+\item[{\bf title}]\funArgs{viewport, string}
+gives the viewport the
+\index{graphics!3D commands!title}
+title {\it string}.
+
+%
+\item[{\bf translate}]\funArgs{viewport,
+$float_{x}$\argDef{viewDeltaXDefault},
+$float_{y}$\argDef{viewDeltaYDefault}}
+translates
+\index{graphics!3D commands!translate}
+the object horizontally and vertically relative to the center of the viewport.
+
+%
+\item[{\bf intensity}]\funArgs{viewport,float\argDef{1.0}}
+resets the intensity {\it I} of the light source,
+\index{graphics!3D commands!intensity}
+$0 \le I \le 1.$
+
+%
+\item[{\bf tubePointsDefault}]\funArgs{\optArg{integer\argDef{6}}}
+sets or indicates the default number of
+\index{graphics!3D defaults!tube points}
+vertices defining the polygon that is used to create a tube around
+a space curve.
+
+%
+\item[{\bf tubeRadiusDefault}]\funArgs{\optArg{float\argDef{0.5}}}
+sets or indicates the default radius of
+\index{graphics!3D defaults!tube radius}
+the tube that encircles a space curve.
+
+%
+\item[{\bf var1StepsDefault}]\funArgs{\optArg{integer\argDef{27}}}
+sets or indicates the default number of
+\index{graphics!3D defaults!var1 steps}
+increments into which the grid defining a surface plot is subdivided with
+respect to the first parameter declared in the surface function.
+
+%
+\item[{\bf var2StepsDefault}]\funArgs{\optArg{integer\argDef{27}}}
+sets or indicates the default number of
+\index{graphics!3D defaults!var2 steps}
+increments into which the grid defining a surface plot is subdivided with
+respect to the second parameter declared in the surface function.
+
+%
+\item[{\bf viewDefaults}]\funArgs{{\tt [}$integer_{point}$, 
+$integer_{line}$, $integer_{axes}$,
+$integer_{units}$, $float_{point}$,
+\allowbreak$list_{position}$,
+$list_{size}${\tt ]}}
+resets the default settings for the
+\index{graphics!3D defaults!reset viewport defaults}
+point color, line color, axes color, units color, point size,
+viewport upper left-hand corner position, and the viewport size.
+
+%
+\item[{\bf viewDeltaXDefault}]\funArgs{\optArg{float\argDef{0}}}
+resets the default horizontal offset
+\index{graphics!3D commands!deltaX default}
+from the center of the viewport, or returns the current default offset if no argument is given.
+
+%
+\item[{\bf viewDeltaYDefault}]\funArgs{\optArg{float\argDef{0}}}
+resets the default vertical offset
+\index{graphics!3D commands!deltaY default}
+from the center of the viewport, or returns the current default offset if no argument is given.
+
+%
+\item[{\bf viewPhiDefault}]\funArgs{\optArg{float\argDef{-$\pi$/4}}}
+resets the default latitudinal view angle,
+or returns the current default angle if no argument is given.
+\index{graphics!3D commands!phi default}
+$\phi$ is set to this value.
+
+%
+\item[{\bf viewpoint}]\funArgs{viewport, $float_{x}$,
+$float_{y}$, $float_{z}$}
+sets the viewing position in Cartesian coordinates.
+
+%
+\item[{\bf viewpoint}]\funArgs{viewport,
+$float_{\theta}$,
+$Float_{\phi}$}
+sets the viewing position in spherical coordinates.
+
+%
+\item[{\bf viewpoint}]\funArgs{viewport,
+$Float_{\theta}$,
+$Float_{\phi}$,
+$Float_{scaleFactor}$,
+$Float_{xOffset}$, $Float_{yOffset}$}
+sets the viewing position in spherical coordinates,
+the scale factor, and offsets.
+\index{graphics!3D commands!viewpoint}
+$\theta$ (longitude) and
+$\phi$ (latitude) are in radians.
+
+%
+\item[{\bf viewPosDefault}]\funArgs{\optArg{list\argDef{[0,0]}}}
+sets or indicates the position of the upper
+\index{graphics!3D defaults!viewport position}
+left-hand corner of a two-di\-men\-sion\-al viewport, relative to the display root
+window (the upper left-hand corner of the display is $[0, 0]$).
+
+%
+\item[{\bf viewSizeDefault}]\funArgs{\optArg{list\argDef{[400,400]}}}
+sets or indicates the width and height dimensions
+\index{graphics!3D defaults!viewport size}
+of a viewport.
+
+%
+\item[{\bf viewThetaDefault}]\funArgs{\optArg{float\argDef{$\pi$/4}}}
+resets the default longitudinal view angle,
+or returns the current default angle if no argument is given.
+\index{graphics!3D commands!theta default}
+When a parameter is specified, the default longitudinal view angle
+$\theta$ is set to this value.
+
+%
+\item[{\bf viewWriteAvailable}]\funArgs{\optArg{list\argDef{["pixmap",
+"bitmap", "postscript", "image"]}}}
+indicates the possible file types
+\index{graphics!3D defaults!available viewport writes}
+that can be created with the \spadfunFrom{write}{ThreeDimensionalViewport} function.
+
+%
+\item[{\bf viewWriteDefault}]\funArgs{\optArg{list\argDef{[]}}}
+sets or indicates the default types of files
+that are created in addition to the {\bf data} file when a
+\spadfunFrom{write}{ThreeDimensionalViewport} command
+\index{graphics!3D defaults!viewport writes}
+is executed on a viewport.
+
+%
+\item[{\bf viewScaleDefault}]\funArgs{\optArg{float}}
+sets the default scaling factor, or returns
+\index{graphics!3D commands!scale default}
+the current factor if no argument is given.
+
+%
+\item[{\bf write}]\funArgs{viewport, directory, \optArg{option}}
+writes the file {\bf data} for {\it viewport}
+in the directory {\it directory}.
+An optional third argument specifies a file type (one of {\tt
+pixmap}, {\tt bitmap}, {\tt postscript}, or {\tt image}), or a
+list of file types.
+An additional file is written for each file type listed.
+
+%
+\item[{\bf scale}]\funArgs{viewport, float\argDef{2.5}}
+specifies the scaling factor.
+\index{graphics!3D commands!scale}
+\index{scaling graphs}
+\end{description}
+\egroup
+
+\subsection{Customization using .Xdefaults}
+\label{ugXdefaults}
+
+\index{graphics!.Xdefaults}
+
+Both the two-di\-men\-sion\-al and three-di\-men\-sion\-al drawing facilities consult
+the {\bf .Xdefaults} file for various defaults.
+\index{file!.Xdefaults @{\bf .Xdefaults}}
+The list of defaults that are recognized by the graphing routines
+is discussed in this section.
+These defaults are preceded by {\tt Axiom.3D.}
+for three-di\-men\-sion\-al viewport defaults, {\tt Axiom.2D.}
+for two-di\-men\-sion\-al viewport defaults, or {\tt Axiom*} (no dot) for
+those defaults that are acceptable to either viewport type.
+
+%
+\begin{description}
+%
+\item[{\tt Axiom*buttonFont:\ \it font}] \ \newline
+This indicates which
+\index{graphics!.Xdefaults!button font}
+font type is used for the button text on the control-panel.
+{\bf Rom11}
+%
+\item[{\tt Axiom.2D.graphFont:\ \it font}] \quad (2D only) \newline
+This indicates
+\index{graphics!.Xdefaults!graph number font}
+which font type is used for displaying the graph numbers and
+slots in the {\bf Graphs} section of the two-di\-men\-sion\-al control-panel.
+{\bf Rom22}
+%
+\item[{\tt Axiom.3D.headerFont:\ \it font}] \ \newline
+This indicates which
+\index{graphics!.Xdefaults!graph label font}
+font type is used for the axes labels and potentiometer
+header names on three-di\-men\-sion\-al viewport windows.
+This is also used for two-di\-men\-sion\-al control-panels for indicating
+which font type is used for potentionmeter header names and
+multiple graph title headers.
+%for example, {\tt Axiom.2D.headerFont: 8x13}.
+{\bf Itl14}
+%
+\item[{\tt Axiom*inverse:\ \it switch}] \ \newline
+This indicates whether the
+\index{graphics!.Xdefaults!inverting background}
+background color is to be inverted from white to black.
+If {\tt on}, the graph viewports use black as the background
+color.
+If {\tt off} or no declaration is made, the graph viewports use a
+white background.
+{\bf off}
+%
+\item[{\tt Axiom.3D.lightingFont:\ \it font}] \quad (3D only) \newline
+This indicates which font type is used for the {\bf x},
+\index{graphics!.Xdefaults!lighting font}
+{\bf y}, and {\bf z} labels of the two lighting axes potentiometers, and for
+the {\bf Intensity} title on the lighting control-panel.
+{\bf Rom10}
+%
+\item[{\tt Axiom.2D.messageFont, Axiom.3D.messageFont:\ \it font}] \ \newline
+These indicate the font type
+\index{graphics!.Xdefaults!message font}
+to be used for the text in the control-panel message window.
+{\bf Rom14}
+%
+\item[{\tt Axiom*monochrome:\ \it switch}] \ \newline
+This indicates whether the
+\index{graphics!.Xdefaults!monochrome}
+graph viewports are to be displayed as if the monitor is black and
+white, that is, a 1 bit plane.
+If {\tt on} is specified, the viewport display is black and white.
+If {\tt off} is specified, or no declaration for this default is
+given, the viewports are displayed in the normal fashion for the
+monitor in use.
+{\bf off}
+%
+\item[{\tt Axiom.2D.postScript:\ \it filename}] \ \newline
+This specifies
+\index{graphics!.Xdefaults!PostScript file name}
+the name of the file that is generated when a 2D PostScript graph
+\index{PostScript}
+is saved.
+{\bf axiom2d.ps}
+%
+\item[{\tt Axiom.3D.postScript:\ \it filename}] \ \newline
+This specifies
+\index{graphics!.Xdefaults!PostScript file name}
+the name of the file that is generated when a 3D PostScript graph
+\index{PostScript}
+is saved.
+{\bf axiom3D.ps}
+%
+\item[{\tt Axiom*titleFont \it font}] \ \newline
+This
+\index{graphics!.Xdefaults!title font}
+indicates which font type is used
+for the title text and, for three-di\-men\-sion\-al graphs,
+in the lighting and viewing-volume control-panel windows.
+\index{graphics!Xdefaults!2d}
+{\bf Rom14}
+%
+\item[{\tt Axiom.2D.unitFont:\ \it font}] \quad (2D only) \newline
+This indicates
+\index{graphics!.Xdefaults!unit label font}
+which font type is used for displaying the unit labels on
+two-di\-men\-sion\-al viewport graphs.
+{\bf 6x10}
+%
+\item[{\tt Axiom.3D.volumeFont:\ \it font}] \quad (3D only) \newline
+This indicates which font type is used for the {\bf x},
+\index{graphics!.Xdefaults!volume label font}
+{\bf y}, and {\bf z} labels of the clipping region sliders; for the
+{\bf Perspective}, {\bf Show Region}, and {\bf Clipping On} buttons under
+{\bf Settings}, and above the windows for the {\bf Hither} and
+{\bf Eye Distance} sliders in the {\bf Viewing Volume Panel} of the
+three-di\-men\-sion\-al control-panel.
+{\bf Rom8}
+\end{description}
+
+\setcounter{chapter}{7} % Chapter 8
+% viewSizeDefault [300,300]
+
+\chapter{Advanced Problem Solving}
+\label{ugProblem}
+
+In this chapter we describe techniques useful in solving advanced problems
+with Axiom.
+
+\section{Numeric Functions}
+\label{ugProblemNumeric}
+
+%
+Axiom provides two basic floating-point types: {\tt Float} and
+{\tt DoubleFloat}.  This section describes how to use numerical
+\index{function!numeric}
+operations defined on these types and the related complex types.
+\index{numeric operations}
+%
+As we mentioned in Chapter 
+\ref{ugIntro} on page~\pageref{ugIntro}, the {\tt Float} type is a software
+implementation of floating-point numbers in which the exponent and the
+\index{floating-point number}
+significand may have any number of digits.
+\index{number!floating-point}
+See 
+\ref{FloatXmpPage} on page~\pageref{FloatXmpPage} 
+for detailed information about this domain.
+The {\tt DoubleFloat} (see \ref{DoubleFloatXmpPage} on 
+page~\pageref{DoubleFloatXmpPage}) is usually a hardware implementation 
+of floating point numbers, corresponding to machine double
+precision.
+The types {\tt Complex Float} and {\tt Complex DoubleFloat} are
+\index{floating-point number!complex}
+the corresponding software implementations of complex floating-point numbers.
+\index{complex!floating-point number}
+In this section the term {\it floating-point type}  means any of these
+\index{number!complex floating-point}
+four types.
+%
+The floating-point types implement the basic elementary functions.
+These include (where {\tt \$} means
+{\tt DoubleFloat},
+{\tt Float},
+{\tt Complex DoubleFloat}, or
+{\tt Complex Float}):
+
+\noindent
+{\bf exp},  {\bf log}: $\$ -> \$$ \newline
+{\bf sin},  {\bf cos}, {\bf tan}, {\bf cot}, {\bf sec}, {\bf csc}: $\$ -> \$$ \newline
+{\bf sin},  {\bf cos}, {\bf tan}, {\bf cot}, {\bf sec}, {\bf csc}: $\$ -> \$$  \newline
+{\bf asin}, {\bf acos}, {\bf atan}, {\bf acot}, {\bf asec}, {\bf acsc}: $\$ -> \$$  \newline
+{\bf sinh},  {\bf cosh}, {\bf tanh}, {\bf coth}, {\bf sech}, {\bf csch}: $\$ -> \$$  \newline
+{\bf asinh}, {\bf acosh}, {\bf atanh}, {\bf acoth}, {\bf asech}, {\bf acsch}: $\$ -> \$$  \newline
+{\bf pi}: $() -> \$$  \newline
+{\bf sqrt}: $\$ -> \$$ \newline
+{\bf nthRoot}: $(\$, Integer) -> \$$  \newline
+\spadfunFrom{**}{Float}: $(\$, Fraction Integer) -> \$$ \newline
+\spadfunFrom{**}{Float}: $(\$,\$) -> \$$  \newline
+
+The handling of roots depends on whether the floating-point type
+\index{root!numeric approximation}
+is real or complex: for the real floating-point types,
+{\tt DoubleFloat} and {\tt Float}, if a real root exists
+the one with the same sign as the radicand is returned; for the
+complex floating-point types, the principal value is returned.
+\index{principal value}
+Also, for real floating-point types the inverse functions
+produce errors if the results are not real.
+This includes cases such as $asin(1.2)$, $log(-3.2)$,
+$sqrt(-1.1)$.
+%
+
+The default floating-point type is {\tt Float} so to evaluate
+functions using {\tt Float} or {\tt Complex Float}, just use
+normal decimal notation.
+
+\spadcommand{exp(3.1)}
+$$
+22.1979512814 41633405 
+$$
+\returnType{Type: Float}
+
+\spadcommand{exp(3.1 + 4.5 * \%i)}
+$$
+-{4.6792348860 969899118} -{{21.6991659280 71731864} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+To evaluate functions using {\tt DoubleFloat}
+or {\tt Complex DoubleFloat},
+a declaration or conversion is required.
+
+\spadcommand{r: DFLOAT := 3.1; t: DFLOAT := 4.5; exp(r + t*\%i)}
+$$
+-{4.6792348860969906} -{{21.699165928071732} \  i} 
+$$
+\returnType{Type: Complex DoubleFloat}
+
+\spadcommand{exp(3.1::DFLOAT + 4.5::DFLOAT * \%i)}
+$$
+-{4.6792348860969906} -{{21.699165928071732} \  i} 
+$$
+\returnType{Type: Complex DoubleFloat}
+
+A number of special functions are provided by the package
+{\tt DoubleFloatSpecialFunctions} for the machine-precision
+\index{special functions}
+floating-point types.
+\index{DoubleFloatSpecialFunctions}
+The special functions provided are listed below, where $F$ stands for
+the types {\tt DoubleFloat} and {\tt Complex DoubleFloat}.
+The real versions of the functions yield an error if the result is not real.
+\index{function!special}
+
+\noindent
+{\bf Gamma}: $F -> F$\hfill\newline
+$Gamma(z)$ is the Euler gamma function,
+\index{function!Gamma}
+   $\Gamma(z)$,
+   defined by
+\index{Euler!gamma function}
+   $$\Gamma(z) = \int_{0}^{\infty} t^{z-1} e^{-t} dt.$$
+   
+
+\noindent
+{\bf Beta}: $F -> F$\hfill\newline
+   $Beta(u, v)$ is the Euler Beta function,
+\index{function!Euler Beta}
+   $Beta(u,v)$, defined by
+\index{Euler!Beta function}
+   $$Beta(u,v) = \int_{0}^{1} t^{u-1} (1-t)^{v-1} dt.$$
+   
+   This is related to $\Gamma(z)$ by
+   $$Beta(u,v) = \frac{\Gamma(u) \Gamma(v)}{\Gamma(u + v)}.$$
+
+\noindent
+{\bf logGamma}: $F -> F$\hfill\newline
+   $logGamma(z)$ is the natural logarithm of
+$\Gamma(z)$.
+   This can often be computed even if $\Gamma(z)$
+cannot.
+%
+
+\noindent
+{\bf digamma}: $F -> F$\hfill\newline
+   $digamma(z)$, also called $psi(z)$,
+\index{psi @ $\psi$}
+is the function $\psi(z)$,
+\index{function!digamma}
+   defined by $$\psi(z) = \Gamma'(z)/\Gamma(z).$$
+
+\noindent
+{\bf polygamma}: $(NonNegativeInteger, F) -> F$\hfill\newline
+   $polygamma(n, z)$ is the $n$-th derivative of
+\index{function!polygamma}
+   $\psi(z)$, written $\psi^{(n)}(z)$.
+
+\noindent
+{\bf E1}: $(DoubleFloat) -> OnePointCompletion DoubleFloat$\hfill\newline
+   E1(x) is the Exponential Integral function
+   The current implementation is a piecewise approximation
+   involving one poly from $-4..4$ and a second poly for $x > 4$
+\index{function!E1}
+
+\noindent
+{\bf En}: $(PI, DFLOAT) -> OnePointCompletion DoubleFloat$\hfill\newline
+   En(PI,R) is the nth Exponential Integral
+\index{function!En}
+
+\noindent
+{\bf Ei}: $(OnePointCompletion DFLOAT) -> OnePointCompletion DFLOAT$
+\hfill\newline
+   Ei is the Exponential Integral function
+   This is computed using a 6 part piecewise approximation.
+   DoubleFloat can only preserve about 16 digits but the
+   Chebyshev approximation used can give 30 digits.
+\index{function!Ei}
+
+\noindent
+{\bf Ei1}: $(DoubleFloat) -> DoubleFloat$\hfill\newline
+   Ei1 is the first approximation of Ei where the result is
+   $x*e^-x*Ei(x)$ from -infinity to -10 (preserves digits)
+\index{function!Ei1}
+
+\noindent
+{\bf Ei2}: $(DoubleFloat) -> DoubleFloat$\hfill\newline
+   Ei2 is the first approximation of Ei where the result is
+   $x*e^-x*Ei(x)$ from -10 to -4 (preserves digits)
+\index{function!Ei2}
+
+\noindent
+{\bf Ei3}: $(DoubleFloat) -> DoubleFloat$\hfill\newline
+   Ei3 is the first approximation of Ei where the result is
+   $(Ei(x)-log |x| - gamma)/x$ from -4 to 4 (preserves digits)
+\index{function!Ei3}
+
+\noindent
+{\bf Ei4}: $(DoubleFloat) -> DoubleFloat$\hfill\newline
+   Ei4 is the first approximation of Ei where the result is
+   $x*e^-x*Ei(x)$ from 4 to 12 (preserves digits)
+\index{function!Ei4}
+
+\noindent
+{\bf Ei5}: $(DoubleFloat) -> DoubleFloat$\hfill\newline
+   Ei5 is the first approximation of Ei where the result is
+   $x*e^-x*Ei(x)$ from 12 to 32 (preserves digits)
+\index{function!Ei5}
+
+\noindent
+{\bf Ei6}: $(DoubleFloat) -> DoubleFloat$\hfill\newline
+   Ei6 is the first approximation of Ei where the result is
+   $x*e^-x*Ei(x)$ from 32 to infinity (preserves digits)
+\index{function!Ei6}
+
+\noindent
+{\bf besselJ}: $(F,F) -> F$\hfill\newline
+   $besselJ(v,z)$ is the Bessel function of the first kind,
+\index{function!Bessel}
+   $J_\nu (z)$.
+   This function satisfies the differential equation
+   $$z^2 w''(z) + z w'(z) + (z^2-\nu^2)w(z) = 0.$$
+
+\noindent
+{\bf besselY}: $(F,F) -> F$\hfill\newline
+   $besselY(v,z)$ is the Bessel function of the second kind,
+\index{function!Bessel}
+   $Y_\nu (z)$.
+   This function satisfies the same differential equation as
+   {\bf besselJ}.
+   The implementation simply uses the relation
+  $$Y_\nu (z) = \frac{J_\nu (z) \cos(\nu \pi) - J_{-\nu} (z)}{\sin(\nu \pi)}.$$
+
+\noindent
+{\bf besselI}: $(F,F) -> F$\hfill\newline
+   $besselI(v,z)$ is the modified Bessel function of the first kind,
+\index{function!Bessel}
+   $I_\nu (z)$.
+   This function satisfies the differential equation
+   $$z^2 w''(z) + z w'(z) - (z^2+\nu^2)w(z) = 0.$$
+
+\noindent
+{\bf besselK}: $(F,F) -> F$\hfill\newline
+   $besselK(v,z)$ is the modified Bessel function of the second kind,
+\index{function!Bessel}
+   $K_\nu (z)$.
+   This function satisfies the same differential equation as {\bf besselI}.
+\index{Bessel function}
+   The implementation simply uses the relation
+   $$K_\nu (z) = \pi \frac{I_{-\nu} (z) - I_{\nu} (z)}{2 \sin(\nu \pi)}.$$
+   
+
+\noindent
+{\bf airyAi}: $F -> F$\hfill\newline
+   $airyAi(z)$ is the Airy function $Ai(z)$.
+\index{function!Airy Ai}
+   This function satisfies the differential equation
+   $w''(z) - z w(z) = 0.$
+   The implementation simply uses the relation
+   $$Ai(-z) = \frac{1}{3}\sqrt{z} ( J_{-1/3} (\frac{2}{3}z^{3/2}) + J_{1/3} (\frac{2}{3}z^{3/2}) ).$$
+
+\noindent
+{\bf airyBi}: $F -> F$\hfill\newline
+   $airyBi(z)$ is the Airy function $Bi(z)$.
+\index{function!Airy Bi}
+   This function satisfies the same differential equation as {\bf airyAi}.
+\index{Airy function}
+   The implementation simply uses the relation
+   $$Bi(-z) = \frac{1}{3}\sqrt{3 z} ( J_{-1/3} (\frac{2}{3}z^{3/2}) - J_{1/3} (\frac{2}{3}z^{3/2}) ).$$
+   
+\noindent
+{\bf hypergeometric0F1}: $(F,F) -> F$\hfill\newline
+   $hypergeometric0F1(c,z)$ is the hypergeometric function
+\index{function!hypergeometric}
+   ${}_0 F_1 ( ; c; z)$.
+
+The above special functions are defined only for small floating-point types.
+If you give {\tt Float} arguments, they are converted to
+{\tt DoubleFloat} by Axiom.
+
+\spadcommand{Gamma(0.5)**2}
+$$
+3.14159265358979 
+$$
+\returnType{Type: DoubleFloat}
+
+\spadcommand{a := 2.1; b := 1.1; besselI(a + \%i*b, b*a + 1)}
+$$
+{2.489481690673867} -{{2.365846713181643} \  i} 
+$$
+\returnType{Type: Complex DoubleFloat}
+
+A number of additional operations may be used to compute numerical values.
+These are special polynomial functions that can be evaluated for values in
+any commutative ring $R$, and in particular for values in any
+floating-point type.
+The following operations are provided by the package
+{\tt OrthogonalPolynomialFunctions}:
+\index{OrthogonalPolynomialFunctions}
+
+\noindent
+{\bf chebyshevT}: $(NonNegativeInteger, R) -> R$\hbox{}\hfill\newline
+   $chebyshevT(n,z)$ is the $n$-th Chebyshev polynomial of the first
+   kind, $T_n (z)$.  These are defined by
+   $$\frac{1-t z}{1-2 t z+t^2} = \sum_{n=0}^{\infty} T_n (z) t^n.$$
+
+\noindent
+{\bf chebyshevU}: $(NonNegativeInteger, R) -> R$\hbox{}\hfill\newline
+   $chebyshevU(n,z)$ is the $n$-th Chebyshev polynomial of the second
+   kind, $U_n (z)$. These are defined by
+   $$\frac{1}{1-2 t z+t^2} = \sum_{n=0}^{\infty} U_n (z) t^n.$$
+
+\noindent
+{\bf hermiteH}:   $(NonNegativeInteger, R) -> R$\hbox{}\hfill\newline
+   $hermiteH(n,z)$ is the $n$-th Hermite polynomial,
+   $H_n (z)$.
+   These are defined by
+   $$e^{2 t z - t^2} = \sum_{n=0}^{\infty} H_n (z) \frac{t^n}{n!}.$$
+
+\noindent
+{\bf laguerreL}:  $(NonNegativeInteger, R) -> R$\hbox{}\hfill\newline
+   $laguerreL(n,z)$ is the $n$-th Laguerre polynomial,
+   $L_n (z)$.
+   These are defined by
+   $$\frac{e^{-\frac{t z}{1-t}}}{1-t} = \sum_{n=0}^{\infty} L_n (z) \frac{t^n}{n!}.$$
+
+\noindent
+{\bf laguerreL}:  $(NonNegativeInteger, NonNegativeInteger, R) -> R$\hbox{}\hfill\newline
+   $laguerreL(m,n,z)$ is the associated Laguerre polynomial,
+   $L^m_n (z)$.
+   This is the $m$-th derivative of $L_n (z)$.
+
+\noindent
+{\bf legendreP}:  $(NonNegativeInteger, R) -> R$\hbox{}\hfill\newline
+   $legendreP(n,z)$ is the $n$-th Legendre polynomial,
+   $P_n (z)$.  These are defined by
+   $$\frac{1}{\sqrt{1-2 t z+t^2}} = \sum_{n=0}^{\infty} P_n (z) t^n.$$
+
+These operations require non-negative integers for the indices, but otherwise
+the argument can be given as desired.
+
+\spadcommand{[chebyshevT(i, z) for i in 0..5]}
+$$
+\left[
+1,  z,  {{2 \  {z \sp 2}} -1},  {{4 \  {z \sp 3}} -{3 \  z}},  {{8 \  
+{z \sp 4}} -{8 \  {z \sp 2}}+1},  {{{16} \  {z \sp 5}} -{{20} \  {z \sp 
+3}}+{5 \  z}} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+The expression $chebyshevT(n,z)$ evaluates to the $n$-th Chebyshev
+\index{polynomial!Chebyshev!of the first kind}
+polynomial of the first kind.
+
+\spadcommand{chebyshevT(3, 5.0 + 6.0*\%i)}
+$$
+-{1675.0}+{{918.0} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+\spadcommand{chebyshevT(3, 5.0::DoubleFloat)}
+$$
+485.0 
+$$
+\returnType{Type: DoubleFloat}
+
+The expression $chebyshevU(n,z)$ evaluates to the $n$-th Chebyshev
+\index{polynomial!Chebyshev!of the second kind}
+polynomial of the second kind.
+
+\spadcommand{[chebyshevU(i, z) for i in 0..5]}
+$$
+\left[
+1,  {2 \  z},  {{4 \  {z \sp 2}} -1},  {{8 \  {z \sp 3}} -{4 \  z}},  
+{{{16} \  {z \sp 4}} -{{12} \  {z \sp 2}}+1},  {{{32} \  {z \sp 5}} -{{32} 
+\  {z \sp 3}}+{6 \  z}} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+\spadcommand{chebyshevU(3, 0.2)}
+$$
+-{0.736} 
+$$
+\returnType{Type: Float}
+
+The expression $hermiteH(n,z)$ evaluates to the $n$-th Hermite
+\index{polynomial!Hermite}
+polynomial.
+
+\spadcommand{[hermiteH(i, z) for i in 0..5]}
+$$
+\left[
+1,  {2 \  z},  {{4 \  {z \sp 2}} -2},  {{8 \  {z \sp 3}} -{{12} \  z}}, 
+ {{{16} \  {z \sp 4}} -{{48} \  {z \sp 2}}+{12}},  {{{32} \  {z \sp 5}} 
+-{{160} \  {z \sp 3}}+{{120} \  z}} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+\spadcommand{hermiteH(100, 1.0)}
+$$
+-{0.1448706729 337934088 E 93} 
+$$
+\returnType{Type: Float}
+
+The expression $laguerreL(n,z)$ evaluates to the $n$-th Laguerre
+\index{polynomial!Laguerre}
+polynomial.
+
+\spadcommand{[laguerreL(i, z) for i in 0..4]}
+$$
+\left[
+1,  {-z+1},  {{z \sp 2} -{4 \  z}+2},  {-{z \sp 3}+{9 \  {z \sp 2}} 
+-{{18} \  z}+6},  {{z \sp 4} -{{16} \  {z \sp 3}}+{{72} \  {z \sp 2}} 
+-{{96} \  z}+{24}} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+\spadcommand{laguerreL(4, 1.2)}
+$$
+-{13.0944} 
+$$
+\returnType{Type: Float}
+
+\spadcommand{[laguerreL(j, 3, z) for j in 0..4]}
+$$
+\left[
+{-{z \sp 3}+{9 \  {z \sp 2}} -{{18} \  z}+6},  {-{3 \  {z \sp 2}}+{{18} \  
+z} -{18}},  {-{6 \  z}+{18}},  -6,  0 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+\spadcommand{laguerreL(1, 3, 2.1)}
+$$
+6.57 
+$$
+\returnType{Type: Float}
+
+The expression
+\index{polynomial!Legendre}
+$legendreP(n,z)$ evaluates to the $n$-th Legendre polynomial,
+
+\spadcommand{[legendreP(i,z) for i in 0..5]}
+$$
+\left[
+1,  z,  {{{3 \over 2} \  {z \sp 2}} -{1 \over 2}},  {{{5 \over 2} \  {z 
+\sp 3}} -{{3 \over 2} \  z}},  {{{{35} \over 8} \  {z \sp 4}} -{{{15} \over 
+4} \  {z \sp 2}}+{3 \over 8}},  {{{{63} \over 8} \  {z \sp 5}} -{{{35} 
+\over 4} \  {z \sp 3}}+{{{15} \over 8} \  z}} 
+\right]
+$$
+\returnType{Type: List Polynomial Fraction Integer}
+
+\spadcommand{legendreP(3, 3.0*\%i)}
+$$
+-{{72.0} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+Finally, three number-theoretic polynomial operations may be evaluated.
+\index{number theory}
+The following operations are provided by the package
+{\tt NumberTheoreticPolynomialFunctions}.
+\index{NumberTheoreticPolynomialFunctions}.
+
+\noindent
+{\bf bernoulliB}: $(NonNegativeInteger, R) -> R$ \hbox{}\hfill\newline
+   $bernoulliB(n,z)$ is the $n$-th Bernoulli polynomial,
+\index{polynomial!Bernoulli}
+   $B_n (z)$.  These are defined by
+   $$\frac{t e^{z t}}{e^t - 1} = \sum_{n=0}^{\infty} B_n (z) \frac{t^n}{n!}.$$
+
+\noindent
+{\bf eulerE}: $(NonNegativeInteger, R) -> R$ \hbox{}\hfill\newline
+   $eulerE(n,z)$ is the $n$-th Euler polynomial,
+\index{Euler!polynomial}
+   $E_n (z)$.  These are defined by
+\index{polynomial!Euler}
+   $$\frac{2 e^{z t}}{e^t + 1} = \sum_{n=0}^{\infty} E_n (z) \frac{t^n}{n!}.$$
+
+\noindent
+{\bf cyclotomic}: $(NonNegativeInteger, R) -> R$\hbox{}\hfill\newline
+   $cyclotomic(n,z)$ is the $n$-th cyclotomic polynomial
+   $\Phi_n (z)$.  This is the polynomial whose
+   roots are precisely the primitive $n$-th roots of unity.
+\index{Euler!totient function}
+   This polynomial has degree given by the Euler totient function
+\index{function!totient}
+   $\phi(n)$.
+
+The expression $bernoulliB(n,z)$ evaluates to the $n$-th Bernoulli
+\index{polynomial!Bernouilli}
+polynomial.
+
+\spadcommand{bernoulliB(3, z)}
+$$
+{z \sp 3} -{{3 \over 2} \  {z \sp 2}}+{{1 \over 2} \  z} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+\spadcommand{bernoulliB(3, 0.7 + 0.4 * \%i)}
+$$
+-{0.138} -{{0.116} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+The expression
+\index{polynomial!Euler}
+$eulerE(n,z)$ evaluates to the $n$-th Euler polynomial.
+
+\spadcommand{eulerE(3, z)}
+$$
+{z \sp 3} -{{3 \over 2} \  {z \sp 2}}+{1 \over 4} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+\spadcommand{eulerE(3, 0.7 + 0.4 * \%i)}
+$$
+-{0.238} -{{0.316} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+The expression
+\index{polynomial!cyclotomic}
+$cyclotomic(n,z)$ evaluates to the $n$-th cyclotomic polynomial.
+\index{cyclotomic polynomial}
+
+\spadcommand{cyclotomic(3, z)}
+$$
+{z \sp 2}+z+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{cyclotomic(3, (-1.0 + 0.0 * \%i)**(2/3))}
+$$
+0.0 
+$$
+\returnType{Type: Complex Float}
+
+Drawing complex functions in Axiom is presently somewhat
+awkward compared to drawing real functions.
+It is necessary to use the {\bf draw} operations that operate
+on functions rather than expressions.
+
+This is the complex exponential function (rotated interactively).
+\index{function!complex exponential}
+When this is displayed in color, the height is the value of the real part of
+the function and the color is the imaginary part.
+Red indicates large negative imaginary values, green indicates imaginary
+values near zero and blue/violet indicates large positive imaginary values.
+
+\spadgraph{draw((x,y)+-> real exp complex(x,y), -2..2, -2*\%pi..2*\%pi, colorFunction == (x, y) +->  imag exp complex(x,y), title=="exp(x+\%i*y)", style=="smooth")}
+
+%\epsffile[0 0 295 295]{ps/compexp.ps}
+
+This is the complex arctangent function.
+\index{function!complex arctangent}
+Again, the height is the real part of the function value but here
+the color indicates the function value's phase.
+The position of the branch cuts are clearly visible and one can
+see that the function is real only for a real argument.
+
+\spadgraph{vp := draw((x,y) +-> real atan complex(x,y), -\%pi..\%pi, -\%pi..\%pi, colorFunction==(x,y) +->argument atan complex(x,y), title=="atan(x+\%i*y)", style=="shade"); rotate(vp,-160,-45); vp}
+
+%\epsffile[0 0 295 295]{ps/compatan.ps}
+
+This is the complex Gamma function.
+
+\spadgraph{draw((x,y) +-> max(min(real Gamma complex(x,y),4),-4), -\%pi..\%pi, -\%pi..\%pi, style=="shade", colorFunction == (x,y) +-> argument Gamma complex(x,y), title == "Gamma(x+\%i*y)", var1Steps == 50, var2Steps== 50)}
+
+%\epsffile[0 0 295 295]{ps/compgamm.ps}
+
+This shows the real Beta function near the origin.
+
+\spadgraph{draw(Beta(x,y)/100, x=-1.6..1.7, y = -1.6..1.7, style=="shade", title=="Beta(x,y)", var1Steps==40, var2Steps==40)}
+
+%\epsffile[0 0 295 295]{ps/realbeta.ps}
+
+This is the Bessel function $J_\alpha (x)$
+for index $\alpha$ in the range $-6..4$ and
+argument $x$ in the range $2..14$.
+
+\spadgraph{draw((alpha,x) +-> min(max(besselJ(alpha, x+8), -6), 6), -6..4, -6..6, title=="besselJ(alpha,x)", style=="shade", var1Steps==40, var2Steps==40)}
+
+%\epsffile[0 0 295 295]{ps/bessel.ps}
+
+This is the modified Bessel function
+$I_\alpha (x)$
+evaluated for various real values of the index $\alpha$
+and fixed argument $x = 5$.
+
+\spadgraph{draw(besselI(alpha, 5), alpha = -12..12, unit==[5,20])}
+
+%\epsffile[0 0 295 295]{ps/modbess.ps}
+
+This is similar to the last example
+except the index $\alpha$
+takes on complex values in a $6 x 6$ rectangle  centered on the origin.
+
+\spadgraph{draw((x,y) +-> real besselI(complex(x/20, y/20),5), -60..60, -60..60, colorFunction == (x,y)+-> argument besselI(complex(x/20,y/20),5), title=="besselI(x+i*y,5)", style=="shade")}
+
+%\epsffile[0 0 295 295]{ps/modbessc.ps}
+
+\section{Polynomial Factorization}
+\label{ugProblemFactor}
+
+%
+The Axiom polynomial factorization
+\index{polynomial!factorization}
+facilities are available for all polynomial types and a wide variety of
+coefficient domains.
+\index{factorization}
+Here are some examples.
+
+\subsection{Integer and Rational Number Coefficients}
+\label{ugProblemFactorIntRat}
+
+Polynomials with integer
+\index{polynomial!factorization!integer coefficients}
+coefficients can be be factored.
+
+\spadcommand{v := (4*x**3+2*y**2+1)*(12*x**5-x**3*y+12) }
+$$
+-{2 \  {x \sp 3} \  {y \sp 3}}+{{\left( {{24} \  {x \sp 5}}+{24} 
+\right)}
+\  {y \sp 2}}+{{\left( -{4 \  {x \sp 6}} -{x \sp 3} 
+\right)}
+\  y}+{{48} \  {x \sp 8}}+{{12} \  {x \sp 5}}+{{48} \  {x \sp 3}}+{12} 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{factor v }
+$$
+-{{\left( {{x \sp 3} \  y} -{{12} \  {x \sp 5}} -{12} 
+\right)}
+\  {\left( {2 \  {y \sp 2}}+{4 \  {x \sp 3}}+1 
+\right)}}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+Also, Axiom can factor polynomials with
+\index{polynomial!factorization!rational number coefficients}
+rational number coefficients.
+
+\spadcommand{w := (4*x**3+(2/3)*x**2+1)*(12*x**5-(1/2)*x**3+12) }
+$$
+{{48} \  {x \sp 8}}+{8 \  {x \sp 7}} -{2 \  {x \sp 6}}+{{{35} \over 3} \  {x 
+\sp 5}}+{{{95} \over 2} \  {x \sp 3}}+{8 \  {x \sp 2}}+{12} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+\spadcommand{factor w }
+$$
+{48} \  {\left( {x \sp 3}+{{1 \over 6} \  {x \sp 2}}+{1 \over 4} 
+\right)}
+\  {\left( {x \sp 5} -{{1 \over {24}} \  {x \sp 3}}+1 
+\right)}
+$$
+\returnType{Type: Factored Polynomial Fraction Integer}
+
+\subsection{Finite Field Coefficients}
+\label{ugProblemFactorFF}
+
+Polynomials with coefficients in a finite field
+\index{polynomial!factorization!finite field coefficients}
+can be also be factored.
+\index{finite field!factoring polynomial with coefficients in}
+
+\spadcommand{u : POLY(PF(19)) :=3*x**4+2*x**2+15*x+18 }
+$$
+{3 \  {x \sp 4}}+{2 \  {x \sp 2}}+{{15} \  x}+{18} 
+$$
+\returnType{Type: Polynomial PrimeField 19}
+
+These include the integers mod $p$, where $p$ is prime, and
+extensions of these fields.
+
+\spadcommand{factor u }
+$$
+3 \  {\left( x+{18} 
+\right)}
+\  {\left( {x \sp 3}+{x \sp 2}+{8 \  x}+{13} 
+\right)}
+$$
+\returnType{Type: Factored Polynomial PrimeField 19}
+
+Convert this to have coefficients in the finite
+field with $19^3$ elements.
+See \ref{ugProblemFinite} on page~\pageref{ugProblemFinite} 
+for more information about finite fields.
+
+\spadcommand{factor(u :: POLY FFX(PF 19,3)) }
+$$
+3 \  {\left( x+{18} 
+\right)}
+\  {\left( x+{5 \  { \%I \sp 2}}+{3 \  \%I}+{13} 
+\right)}
+\  {\left( x+{{16} \  { \%I \sp 2}}+{{14} \  \%I}+{13} 
+\right)}
+\  {\left( x+{{17} \  { \%I \sp 2}}+{2 \  \%I}+{13} 
+\right)}
+$$
+\returnType{Type: Factored Polynomial FiniteFieldExtension(PrimeField 19,3)}
+
+\subsection{Simple Algebraic Extension Field Coefficients}
+\label{ugProblemFactorAlg}
+
+Polynomials with coefficients in simple algebraic extensions
+\index{polynomial!factorization!algebraic extension field coefficients}
+of the rational numbers can be factored.
+\index{algebraic number}
+\index{number!algebraic}
+
+Here, $aa$ and $bb$ are symbolic roots of polynomials.
+
+\spadcommand{aa := rootOf(aa**2+aa+1) }
+$$
+aa 
+$$
+\returnType{Type: AlgebraicNumber}
+
+\spadcommand{p:=(x**3+aa**2*x+y)*(aa*x**2+aa*x+aa*y**2)**2 }
+$$
+\begin{array}{@{}l}
+{{\left( -aa -1 \right)} \  {y \sp 5}}+
+{{\left( {{\left( -aa -1 \right)}\  {x \sp 3}}+
+{aa \  x} \right)}\  {y \sp 4}}+
+\\
+\\
+\displaystyle
+{{\left( {{\left( -{2 \  aa} -2 \right)}\  {x \sp 2}}+
+{{\left( -{2 \  aa} -2 \right)}\  x} \right)}\  {y \sp 3}}+
+\\
+\\
+\displaystyle
+{{\left( {{\left( -{2 \  aa} -2 \right)}\  {x \sp 5}}+
+{{\left( -{2 \  aa} -2 \right)}\  {x \sp 4}}+
+{2 \  aa \  {x \sp 3}}+{2 \  aa \  {x \sp 2}} \right)}\  {y \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( {{\left( -aa -1 \right)}\  {x \sp 4}}+
+{{\left( -{2 \  aa} -2 \right)}\  {x \sp 3}}+
+{{\left( -aa -1 \right)}\  {x \sp 2}} \right)}\  y}+
+\\
+\\
+\displaystyle
+{{\left( -aa -1 \right)}\  {x \sp 7}}+
+{{\left( -{2 \  aa} -2 \right)}\  {x \sp 6}} -
+{x \sp 5}+
+{2 \  aa \  {x \sp 4}}+
+{aa \  {x \sp 3}} 
+\end{array}
+$$
+\returnType{Type: Polynomial AlgebraicNumber}
+
+Note that the second argument to factor can be a list of
+algebraic extensions to factor over.
+
+\spadcommand{factor(p,[aa]) }
+%Note: this answer differs from the book but is equivalent.
+$$
+{\left( -aa -1 
+\right)}
+\  {\left( y+{x \sp 3}+{{\left( -aa -1 
+\right)}
+\  x} 
+\right)}
+\  {{\left( {y \sp 2}+{x \sp 2}+x 
+\right)}
+\sp 2} 
+$$
+\returnType{Type: Factored Polynomial AlgebraicNumber}
+
+This factors $x**2+3$ over the integers.
+
+\spadcommand{factor(x**2+3)}
+$$
+{x \sp 2}+3 
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+Factor the same polynomial over the field obtained by adjoining
+$aa$ to the rational numbers.
+
+\spadcommand{factor(x**2+3,[aa]) }
+$$
+{\left( x -{2 \  aa} -1 
+\right)}
+\  {\left( x+{2 \  aa}+1 
+\right)}
+$$
+\returnType{Type: Factored Polynomial AlgebraicNumber}
+
+Factor $x**6+108$ over the same field.
+
+\spadcommand{factor(x**6+108,[aa]) }
+$$
+{\left( {x \sp 3} -{{12} \  aa} -6 
+\right)}
+\  {\left( {x \sp 3}+{{12} \  aa}+6 
+\right)}
+$$
+\returnType{Type: Factored Polynomial AlgebraicNumber}
+
+\spadcommand{bb:=rootOf(bb**3-2) }
+$$
+bb 
+$$
+\returnType{Type: AlgebraicNumber}
+
+\spadcommand{factor(x**6+108,[bb]) }
+$$
+{\left( {x \sp 2} -{3 \  bb \  x}+{3 \  {bb \sp 2}} 
+\right)}
+\  {\left( {x \sp 2}+{3 \  {bb \sp 2}} 
+\right)}
+\  {\left( {x \sp 2}+{3 \  bb \  x}+{3 \  {bb \sp 2}} 
+\right)}
+$$
+\returnType{Type: Factored Polynomial AlgebraicNumber}
+
+Factor again over the field obtained by adjoining both $aa$
+and $bb$ to the rational numbers.
+
+\spadcommand{factor(x**6+108,[aa,bb]) }
+$$
+\begin{array}{@{}l}
+{\left( x+{{\left( -{2 \  aa} -1 \right)}\  bb} \right)}
+\  {\left( x+{{\left( -aa -2 \right)}\  bb} \right)}
+\  {\left( x+{{\left( -aa+1 \right)}\  bb} \right)}
+\\
+\\
+\displaystyle
+\  {\left( x+{{\left( aa -1 \right)}\  bb} \right)}
+\  {\left( x+{{\left( aa+2 \right)}\  bb} \right)}
+\  {\left( x+{{\left( {2 \  aa}+1 \right)}\  bb} \right)}
+\end{array}
+$$
+\returnType{Type: Factored Polynomial AlgebraicNumber}
+
+\subsection{Factoring Rational Functions}
+\label{ugProblemFactorRatFun}
+
+Since fractions of polynomials form a field, every element (other than zero)
+\index{rational function!factoring}
+divides any other, so there is no useful notion of irreducible factors.
+Thus the {\bf factor} operation is not very useful for fractions
+of polynomials.
+
+There is, instead, a specific operation {\bf factorFraction}
+that separately factors the numerator and denominator and returns
+a fraction of the factored results.
+
+\spadcommand{factorFraction((x**2-4)/(y**2-4))}
+$$
+{{\left( x -2 
+\right)}
+\  {\left( x+2 
+\right)}}
+\over {{\left( y -2 
+\right)}
+\  {\left( y+2 
+\right)}}
+$$
+\returnType{Type: Fraction Factored Polynomial Integer}
+
+You can also use {\bf map}. This expression
+applies the {\bf factor} operation
+to the numerator and denominator.
+
+\spadcommand{map(factor,(x**2-4)/(y**2-4))}
+$$
+{{\left( x -2 
+\right)}
+\  {\left( x+2 
+\right)}}
+\over {{\left( y -2 
+\right)}
+\  {\left( y+2 
+\right)}}
+$$
+\returnType{Type: Fraction Factored Polynomial Integer}
+
+\section{Manipulating Symbolic Roots of a Polynomial}
+\label{ugProblemSymRoot}
+
+%
+In this section we show you how to work with one root or all roots
+\index{root!symbolic}
+of a polynomial.
+These roots are represented symbolically (as opposed to being
+numeric approximations).
+See \ref{ugxProblemOnePol} on page~\pageref{ugxProblemOnePol} and 
+\ref{ugxProblemPolSys} on page~\pageref{ugxProblemPolSys} for
+information about solving for the roots of one or more
+polynomials.
+
+\subsection{Using a Single Root of a Polynomial}
+\label{ugxProblemSymRootOne}
+
+Use {\bf rootOf} to get a symbolic root of a polynomial:
+$rootOf(p, x)$ returns a root of $p(x)$.
+
+This creates an algebraic number $a$.
+\index{algebraic number}
+\index{number!algebraic}
+
+\spadcommand{a := rootOf(a**4+1,a) }
+$$
+a 
+$$
+\returnType{Type: Expression Integer}
+
+To find the algebraic relation that defines $a$,
+use {\bf definingPolynomial}.
+
+\spadcommand{definingPolynomial a }
+$$
+{a \sp 4}+1 
+$$
+\returnType{Type: Expression Integer}
+
+You can use $a$ in any further expression,
+including a nested {\bf rootOf}.
+
+\spadcommand{b := rootOf(b**2-a-1,b) }
+$$
+b 
+$$
+\returnType{Type: Expression Integer}
+
+Higher powers of the roots are automatically reduced during
+calculations.
+
+\spadcommand{a + b }
+$$
+b+a 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{\% ** 5 }
+$$
+{{\left( {{10} \  {a \sp 3}}+{{11} \  {a \sp 2}}+{2 \  a} -4 
+\right)}
+\  b}+{{15} \  {a \sp 3}}+{{10} \  {a \sp 2}}+{4 \  a} -{10} 
+$$
+\returnType{Type: Expression Integer}
+
+The operation {\bf zeroOf} is similar to {\bf rootOf},
+except that it may express the root using radicals in some cases.
+\index{radical}
+
+\spadcommand{rootOf(c**2+c+1,c)}
+$$
+c 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{zeroOf(d**2+d+1,d)}
+$$
+{{\sqrt {-3}} -1} \over 2 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{rootOf(e**5-2,e)}
+$$
+e 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{zeroOf(f**5-2,f)}
+$$
+\root {5} \of {2} 
+$$
+\returnType{Type: Expression Integer}
+
+\subsection{Using All Roots of a Polynomial}
+\label{ugxProblemSymRootAll}
+
+Use {\bf rootsOf} to get all symbolic roots of a polynomial:
+$rootsOf(p, x)$ returns a
+list of all the roots of $p(x)$.
+If $p(x)$ has a multiple root of order $n$, then that root
+\index{root!multiple}
+appears $n$ times in the list.
+\typeout{Make sure these variables are x0 etc}
+
+Compute all the roots of $x**4 + 1$.
+
+\spadcommand{l := rootsOf(x**4+1,x) }
+$$
+\left[
+ \%x0,  { \%x0 \  \%x1},  - \%x0,  -{ \%x0 \  \%x1} 
+\right]
+$$
+\returnType{Type: List Expression Integer}
+
+As a side effect, the variables $\%x0, \%x1$ and $\%x2$ are bound
+to the first three roots of $x**4+1$.
+
+\spadcommand{\%x0**5 }
+$$
+- \%x0 
+$$
+\returnType{Type: Expression Integer}
+
+Although they all satisfy $x**4 + 1 = 0, \%x0, \%x1,$
+and $\%x2$ are different algebraic numbers.
+To find the algebraic relation that defines each of them,
+use {\bf definingPolynomial}.
+
+\spadcommand{definingPolynomial \%x0 }
+$$
+{ \%x0 \sp 4}+1 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{definingPolynomial \%x1 }
+$$
+{ \%x1 \sp 2}+1 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{definingPolynomial \%x2 }
+$$
+- \%x2+ \%\%var 
+$$
+\returnType{Type: Expression Integer}
+
+We can check that the sum and product of the roots of $x**4+1$ are
+its trace and norm.
+
+\spadcommand{x3 := last l  }
+$$
+-{ \%x0 \  \%x1} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{\%x0 + \%x1 + \%x2 + x3 }
+$$
+{{\left( - \%x0+1 
+\right)}
+\  \%x1}+ \%x0+ \%x2 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{\%x0 * \%x1 * \%x2 * x3 }
+$$
+ \%x2 \  { \%x0 \sp 2} 
+$$
+\returnType{Type: Expression Integer}
+
+Corresponding to the pair of operations
+{\bf rootOf}/{\bf zeroOf} in
+\ref{ugxProblemOnePol} on page~\pageref{ugxProblemOnePol}, there is
+an operation {\bf zerosOf} that, like {\bf rootsOf},
+computes all the roots
+of a given polynomial, but which expresses some of them in terms of
+radicals.
+
+\spadcommand{zerosOf(y**4+1,y) }
+$$
+\left[
+{{{\sqrt {-1}}+1} \over {\sqrt {2}}},  {{{\sqrt {-1}} -1} \over {\sqrt 
+{2}}},  {{-{\sqrt {-1}} -1} \over {\sqrt {2}}},  {{-{\sqrt {-1}}+1} \over 
+{\sqrt {2}}} 
+\right]
+$$
+\returnType{Type: List Expression Integer}
+
+As you see, only one implicit algebraic number was created
+($\%y1$), and its defining equation is this.
+The other three roots are expressed in radicals.
+
+\spadcommand{definingPolynomial \%y1 }
+$$
+{ \%\%var \sp 2}+1 
+$$
+\returnType{Type: Expression Integer}
+
+\section{Computation of Eigenvalues and Eigenvectors}
+\label{ugProblemEigen}
+%
+In this section we show you
+some of Axiom's facilities for computing and
+\index{eigenvalue}
+manipulating eigenvalues and eigenvectors, also called
+\index{eigenvector}
+characteristic values and characteristic vectors,
+\index{characteristic!value}
+respectively.
+\index{characteristic!vector}
+
+\vskip 4pc
+
+Let's first create a matrix with integer entries.
+
+\spadcommand{m1 := matrix [ [1,2,1],[2,1,-2],[1,-2,4] ] }
+$$
+\left[
+\begin{array}{ccc}
+1 & 2 & 1 \\ 
+2 & 1 & -2 \\ 
+1 & -2 & 4 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+To get a list of the {\it rational} eigenvalues,
+use the operation {\bf eigenvalues}.
+
+\spadcommand{leig := eigenvalues(m1)  }
+$$
+\left[
+5,  {\left( \%K \mid {{ \%K \sp 2} - \%K -5} 
+\right)}
+\right]
+$$
+\returnType{Type: List Union(Fraction Polynomial Integer,SuchThat(Symbol,Polynomial Integer))}
+
+Given an explicit eigenvalue, {\bf eigenvector} computes the eigenvectors
+corresponding to it.
+
+\spadcommand{eigenvector(first(leig),m1) }
+$$
+\left[
+{\left[ 
+\begin{array}{c}
+0 \\ 
+-{1 \over 2} \\ 
+1 
+\end{array}
+\right]}
+\right]
+$$
+\returnType{Type: List Matrix Fraction Polynomial Fraction Integer}
+
+The operation {\bf eigenvectors} returns a list of pairs of values and
+vectors. When an eigenvalue is rational, Axiom gives you
+the value explicitly; otherwise, its minimal polynomial is given,
+(the polynomial of lowest degree with the eigenvalues as roots),
+together with a parametric representation of the eigenvector using the
+eigenvalue.
+This means that if you ask Axiom to {\bf solve}
+the minimal polynomial, then you can substitute these roots
+\index{polynomial!minimal}
+into the parametric form of the corresponding eigenvectors.
+\index{minimal polynomial}
+
+You must be aware that unless an exact eigenvalue has been computed,
+the eigenvector may be badly in error.
+
+\spadcommand{eigenvectors(m1) }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {eigval=5},  {eigmult=1},  {eigvec=
+{\left[ 
+{\left[ 
+\begin{array}{c}
+0 \\ 
+-{1 \over 2} \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right]},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left[ 
+{eigval={\left( \%L \mid {{ \%L \sp 2} - \%L -5} \right)}},
+{eigmult=1},  {eigvec=
+{\left[ 
+{\left[ 
+\begin{array}{c}
+ \%L \\ 
+2 \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List Record(eigval: Union(Fraction Polynomial Integer,SuchThat(Symbol,Polynomial Integer)),eigmult: NonNegativeInteger,eigvec: List Matrix Fraction Polynomial Integer)}
+
+Another possibility is to use the operation
+{\bf radicalEigenvectors}
+tries to compute explicitly the eigenvectors
+in terms of radicals.
+\index{radical}
+
+\spadcommand{radicalEigenvectors(m1) }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {radval={{{\sqrt {{21}}}+1} \over 2}},  {radmult=1},  
+{radvect={\left[ {\left[ 
+\begin{array}{c}
+{{{\sqrt {{21}}}+1} \over 2} \\ 
+2 \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right]},
+\right.
+\\
+\\
+\displaystyle
+ \left[ {radval={{-{\sqrt {{21}}}+1} \over 2}},  {radmult=1},  
+{radvect={\left[ {\left[ 
+\begin{array}{c}
+{{-{\sqrt {{21}}}+1} \over 2} \\ 
+2 \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right],
+\\
+\\
+\displaystyle
+\left.
+ \left[ {radval=5},  {radmult=1},  
+{radvect={\left[ {\left[ 
+\begin{array}{c}
+0 \\ 
+-{1 \over 2} \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: List Record(radval: Expression Integer,radmult: Integer,radvect: List Matrix Expression Integer)}
+
+Alternatively, Axiom can compute real or complex approximations to the
+\index{approximation}
+eigenvectors and eigenvalues using the operations {\bf realEigenvectors}
+or {\bf complexEigenvectors}.
+They each take an additional argument $\epsilon$
+to specify the ``precision'' required.
+\index{precision}
+In the real case, this means that each approximation will be within
+$\pm\epsilon$ of the actual
+result.
+In the complex case, this means that each approximation will be within
+$\pm\epsilon$ of the actual result
+in each of the real and imaginary parts.
+
+The precision can be specified as a {\tt Float} if the results are
+desired in floating-point notation, or as {\tt Fraction Integer} if the
+results are to be expressed using rational (or complex rational) numbers.
+
+\spadcommand{realEigenvectors(m1,1/1000) }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {outval=5},  {outmult=1},  {outvect={\left[ {\left[ 
+\begin{array}{c}
+0 \\ 
+-{1 \over 2} \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right]},
+\right.
+\\
+\\
+\displaystyle
+ {\left[ {outval={{5717} \over {2048}}},  {outmult=1},  
+{outvect={\left[ {\left[ 
+\begin{array}{c}
+{{5717} \over {2048}} \\ 
+2 \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right]},
+\\
+\\
+\displaystyle
+\left.
+ {\left[ {outval=-{{3669} \over {2048}}},  {outmult=1},  
+{outvect={\left[ {\left[ 
+\begin{array}{c}
+-{{3669} \over {2048}} \\ 
+2 \\ 
+1 
+\end{array}
+\right]}
+\right]}}
+\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List Record(outval: Fraction Integer,outmult: Integer,outvect: List Matrix Fraction Integer)}
+
+If an $n$ by $n$ matrix has $n$ distinct eigenvalues (and
+therefore $n$ eigenvectors) the operation {\bf eigenMatrix}
+gives you a matrix of the eigenvectors.
+
+\spadcommand{eigenMatrix(m1) }
+$$
+\left[
+\begin{array}{ccc}
+{{{\sqrt {{21}}}+1} \over 2} & {{-{\sqrt {{21}}}+1} \over 2} & 0 \\ 
+2 & 2 & -{1 \over 2} \\ 
+1 & 1 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Union(Matrix Expression Integer,...)}
+
+\spadcommand{m2 := matrix [ [-5,-2],[18,7] ] }
+$$
+\left[
+\begin{array}{cc}
+-5 & -2 \\ 
+{18} & 7 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+\spadcommand{eigenMatrix(m2) }
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+If a symmetric matrix
+\index{matrix!symmetric}
+has a basis of orthonormal eigenvectors, then
+\index{basis!orthonormal}
+{\bf orthonormalBasis} computes a list of these vectors.
+\index{orthonormal basis}
+
+\spadcommand{m3 := matrix [ [1,2],[2,1] ] }
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+2 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+\spadcommand{orthonormalBasis(m3) }
+$$
+\left[
+{\left[ 
+\begin{array}{c}
+-{1 \over {\sqrt {2}}} \\ 
+{1 \over {\sqrt {2}}} 
+\end{array}
+\right]},
+ {\left[ 
+\begin{array}{c}
+{1 \over {\sqrt {2}}} \\ 
+{1 \over {\sqrt {2}}} 
+\end{array}
+\right]}
+\right]
+$$
+\returnType{Type: List Matrix Expression Integer}
+
+\section{Solution of Linear and Polynomial Equations}
+\label{ugProblemLinPolEqn}
+%
+In this section we discuss the Axiom facilities for solving
+systems of linear equations, finding the roots of polynomials and
+\index{linear equation}
+solving systems of polynomial equations.
+For a discussion of the solution of differential equations, see
+\ref{ugProblemDEQ} on page~\pageref{ugProblemDEQ}.
+
+\subsection{Solution of Systems of Linear Equations}
+\label{ugxProblemLinSys}
+
+You can use the operation {\bf solve} to solve systems of linear equations.
+\index{equation!linear!solving}
+
+The operation {\bf solve} takes two arguments, the list of equations and the
+list of the unknowns to be solved for.
+A system of linear equations need not have a unique solution.
+
+To solve the linear system:
+$$
+\begin{array}{rcrcrcr}
+  x &+&   y &+&   z &=& 8 \\
+3 x &-& 2 y &+&   z &=& 0 \\
+  x &+& 2 y &+& 2 z &=& 17
+\end{array}
+$$
+evaluate this expression.
+
+\spadcommand{solve([x+y+z=8,3*x-2*y+z=0,x+2*y+2*z=17],[x,y,z])}
+$$
+\left[
+{\left[ {x=-1},  {y=2},  {z=7} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+Parameters are given as new variables starting with a percent sign and
+{\tt \%} and
+the variables are expressed in terms of the parameters.
+If the system has no solutions then the empty list is returned.
+
+When you solve the linear system
+$$
+\begin{array}{rcrcrcr}
+  x&+&2 y&+&3 z&=&2 \\
+2 x&+&3 y&+&4 z&=&2 \\
+3 x&+&4 y&+&5 z&=&2
+\end{array}
+$$
+with this expression
+you get a solution involving a parameter.
+
+\spadcommand{solve([x+2*y+3*z=2,2*x+3*y+4*z=2,3*x+4*y+5*z=2],[x,y,z])}
+$$
+\left[
+{\left[ {x={ \%Q -2}},  {y={-{2 \  \%Q}+2}},  {z= \%Q} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+The system can also be presented as a matrix and a vector.
+The matrix contains the coefficients of the linear equations and
+the vector contains the numbers appearing on the right-hand sides
+of the equations.
+You may input the matrix as a list of rows and the vector as a
+list of its elements.
+
+To solve the system:
+$$
+\begin{array}{rcrcrcr}
+  x&+&  y&+&  z&=&8  \\
+3 x&-&2 y&+&  z&=&0  \\
+  x&+&2 y&+&2 z&=&17
+\end{array}
+$$
+in matrix form you would evaluate this expression.
+
+\spadcommand{solve([ [1,1,1],[3,-2,1],[1,2,2] ],[8,0,17])}
+$$
+\left[
+{particular={\left[ -1, 2,  7\right]}},
+{basis={\left[ {\left[ 0, 0, 0\right]}\right]}}
+\right]
+$$
+\returnType{Type: Record(particular: Union(Vector Fraction Integer,"failed"),
+basis: List Vector Fraction Integer)}
+
+The solutions are presented as a {\tt Record} with two
+components: the component {\it particular} contains a particular solution of the given system or
+the item {\tt "failed"} if there are no solutions, the component
+{\it basis} contains a list of vectors that
+are a basis for the space of solutions of the corresponding
+homogeneous system.
+If the system of linear equations does not have a unique solution,
+then the {\it basis} component contains
+non-trivial vectors.
+
+This happens when you solve the linear system
+$$
+\begin{array}{rcrcrcr}
+  x&+&2 y&+&3 z&=&2 \\
+2 x&+&3 y&+&4 z&=&2 \\
+3 x&+&4 y&+&5 z&=&2
+\end{array}
+$$
+with this command.
+
+\spadcommand{solve([ [1,2,3],[2,3,4],[3,4,5] ],[2,2,2])}
+$$
+\left[
+{particular={\left[ -2, 2, 0 \right]}},
+{basis={\left[ {\left[ 1, -2, 1 \right]}\right]}}
+\right]
+$$
+\returnType{Type: Record(particular: Union(Vector Fraction Integer,"failed"),
+basis: List Vector Fraction Integer)}
+
+
+All solutions of this system are obtained by adding the particular
+solution with a linear combination of the {\it basis} vectors.
+
+When no solution exists then {\tt "failed"} is returned as the
+{\it particular} component, as follows:
+
+\spadcommand{solve([ [1,2,3],[2,3,4],[3,4,5] ],[2,3,2])}
+$$
+\left[
+{particular= \mbox{\tt "failed"} }, 
+{basis={\left[ {\left[ 1, -2, 1\right]}\right]}}
+\right]
+$$
+\returnType{Type: Record(particular: Union(Vector Fraction Integer,"failed"),
+basis: List Vector Fraction Integer)}
+
+When you want to solve a system of homogeneous equations (that is,
+a system where the numbers on the right-hand sides of the
+\index{nullspace}
+equations are all zero) in the matrix form you can omit the second
+argument and use the {\bf nullSpace} operation.
+
+This computes the solutions of the following system of equations:
+$$
+\begin{array}{rcrcrcr}
+  x&+&2 y&+&3 z&=&0  \\
+2 x&+&3 y&+&4 z&=&0  \\
+3 x&+&4 y&+&5 z&=&0
+\end{array}
+$$
+The result is given as a list of vectors and
+these vectors form a basis for the solution space.
+
+\spadcommand{nullSpace([ [1,2,3],[2,3,4],[3,4,5] ])}
+$$
+\left[
+{\left[ 1, -2, 1 \right]}
+\right]
+$$
+\returnType{Type: List Vector Integer}
+
+\subsection{Solution of a Single Polynomial Equation}
+\label{ugxProblemOnePol}
+
+Axiom can solve polynomial equations producing either approximate
+\index{polynomial!root finding}
+or exact solutions.
+\index{equation!polynomial!solving}
+Exact solutions are either members of the ground
+field or can be presented symbolically as roots of irreducible polynomials.
+
+This returns the one rational root along with an irreducible
+polynomial describing the other solutions.
+
+\spadcommand{solve(x**3  = 8,x)}
+$$
+\left[
+{x=2},  {{{x \sp 2}+{2 \  x}+4}=0} 
+\right]
+$$
+\returnType{Type: List Equation Fraction Polynomial Integer}
+
+If you want solutions expressed in terms of radicals you would use this
+instead.
+\index{radical}
+
+\spadcommand{radicalSolve(x**3  = 8,x)}
+$$
+\left[
+{x={-{\sqrt {-3}} -1}}, {x={{\sqrt {-3}} -1}}, {x=2} 
+\right]
+$$
+\returnType{Type: List Equation Expression Integer}
+
+The {\bf solve} command always returns a value but
+{\bf radicalSolve} returns only the solutions that it is
+able to express in terms of radicals.
+\index{radical}
+
+If the polynomial equation has rational coefficients
+you can ask for approximations to its real roots by calling
+solve with a second argument that specifies the ``precision''
+\index{precision}
+$\epsilon$.
+This means that each approximation will be within
+$\pm\epsilon$ of the actual
+result.
+
+Notice that the type of second argument controls the type of the result.
+
+\spadcommand{solve(x**4 - 10*x**3 + 35*x**2 - 50*x + 25,.0001)}
+$$
+\left[
+{x={3.6180114746 09375}}, {x={1.3819885253 90625}} 
+\right]
+$$
+\returnType{Type: List Equation Polynomial Float}
+
+If you give a floating-point precision you get a floating-point result;
+if you give the precision as a rational number you get a rational result.
+
+\spadcommand{solve(x**3-2,1/1000)}
+$$
+\left[
+{x={{2581} \over {2048}}} 
+\right]
+$$
+\returnType{Type: List Equation Polynomial Fraction Integer}
+
+If you want approximate complex results you should use the
+\index{approximation}
+command {\bf complexSolve} that takes the same precision argument
+$\epsilon$.
+
+\spadcommand{complexSolve(x**3-2,.0001)}
+$$
+\begin{array}{@{}l}
+\left[
+{x={1.2599182128 90625}},
+\right.
+\\
+\\
+\displaystyle
+{x={-{0.6298943279 5395613131} -{{1.0910949707 03125} \  i}}}, 
+\\
+\\
+\displaystyle
+\left.
+{x={-{0.6298943279 5395613131}+{{1.0910949707 03125} \  
+i}}} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Equation Polynomial Complex Float}
+
+Each approximation will be within
+$\pm\epsilon$ of the actual result
+in each of the real and imaginary parts.
+
+\spadcommand{complexSolve(x**2-2*\%i+1,1/100)}
+$$
+\left[
+{x={-{{13028925} \over {16777216}} -{{{325} \over {256}} \  i}}}, 
+{x={{{13028925} \over {16777216}}+{{{325} \over {256}} \  i}}} 
+\right]
+$$
+\returnType{Type: List Equation Polynomial Complex Fraction Integer}
+
+Note that if you omit the {\tt =} from the first argument
+Axiom generates an equation by equating the first argument to zero.
+Also, when only one variable is present in the equation, you
+do not need to specify the variable to be solved for, that is,
+you can omit the second argument.
+
+Axiom can also solve equations involving rational functions.
+Solutions where the denominator vanishes are discarded.
+
+\spadcommand{radicalSolve(1/x**3 + 1/x**2 + 1/x = 0,x)}
+$$
+\left[
+{x={{-{\sqrt {-3}} -1} \over 2}}, {x={{{\sqrt {-3}} -1} \over 2}} 
+\right]
+$$
+\returnType{Type: List Equation Expression Integer}
+
+\subsection{Solution of Systems of Polynomial Equations}
+\label{ugxProblemPolSys}
+
+Given a system of equations of rational functions with exact coefficients:
+\index{equation!polynomial!solving}
+\vskip 0.1cm
+$$
+\begin{array}{c}
+p_1(x_1, \ldots, x_n) \\ \vdots \\ p_m(x_1,\ldots,x_n)
+\end{array}
+$$
+
+Axiom can find
+numeric or symbolic solutions.
+The system is first split into irreducible components, then for
+each component, a triangular system of equations is found that reduces
+the problem to sequential solution of univariate polynomials resulting
+from substitution of partial solutions from the previous stage.
+$$
+\begin{array}{c}
+q_1(x_1, \ldots, x_n) \\ \vdots \\ q_m(x_n)
+\end{array}
+$$
+
+Symbolic solutions can be presented using ``implicit'' algebraic numbers
+defined as roots of irreducible polynomials or in terms of radicals.
+Axiom can also find approximations to the real or complex roots
+of a system of polynomial equations to any user-specified accuracy.
+
+The operation {\bf solve} for systems is used in a way similar
+to {\bf solve} for single equations.
+Instead of a polynomial equation, one has to give a list of
+equations and instead of a single variable to solve for, a list of
+variables.
+For solutions of single equations see 
+\ref{ugxProblemOnePol} on page~\pageref{ugxProblemOnePol}.
+
+Use the operation {\bf solve} if you want implicitly presented
+solutions.
+
+\spadcommand{solve([3*x**3 + y + 1,y**2 -4],[x,y])}
+$$
+\left[
+{\left[ {x=-1}, {y=2} \right]},
+{\left[ {{{x \sp 2} -x+1}=0}, {y=2} \right]},
+{\left[ {{{3 \  {x \sp 3}} -1}=0}, {y=-2} \right]}
+\right]
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+\spadcommand{solve([x = y**2-19,y = z**2+x+3,z = 3*x],[x,y,z])}
+$$
+\left[
+{\left[ {x={z \over 3}}, 
+{y={{{3 \  {z \sp 2}}+z+9} \over 3}}, 
+{{{9 \  {z \sp 4}}+{6 \  {z \sp 3}}+{{55} \  {z \sp 2}}+{{15} \  z} -{90}}=0} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+Use {\bf radicalSolve} if you want your solutions expressed
+in terms of radicals.
+
+\spadcommand{radicalSolve([3*x**3 + y + 1,y**2 -4],[x,y])}
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {x={{{\sqrt {-3}}+1} \over 2}}, {y=2} \right]},
+{\left[ {x={{-{\sqrt {-3}}+1} \over 2}}, {y=2} \right]},
+\right.
+\\
+\\
+\displaystyle
+{\left[ {x={{-{{\sqrt {-1}} \  {\sqrt {3}}} -1} \over {2 \  {\root {3} \of 
+{3}}}}}, {y=-2} \right]},
+{\left[ {x={{{{\sqrt {-1}} \  {\sqrt {3}}} -1} \over {2 \  {\root {3} \of 
+{3}}}}}, {y=-2} \right]},
+\\
+\\
+\displaystyle
+\left.
+{\left[ {x={1 \over {\root {3} \of {3}}}}, {y=-2} \right]},
+{\left[ {x=-1}, {y=2} \right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List List Equation Expression Integer}
+
+To get numeric solutions you only need to give the list of
+equations and the precision desired.
+The list of variables would be redundant information since there
+can be no parameters for the numerical solver.
+
+If the precision is expressed as a floating-point number you get
+results expressed as floats.
+
+\spadcommand{solve([x**2*y - 1,x*y**2 - 2],.01)}
+$$
+\left[
+{\left[ {y={1.5859375}}, {x={0.79296875}} \right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Float}
+
+To get complex numeric solutions, use the operation {\bf complexSolve},
+which takes the same arguments as in the real case.
+
+\spadcommand{complexSolve([x**2*y - 1,x*y**2 - 2],1/1000)}
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {y={{1625} \over {1024}}}, {x={{1625} \over {2048}}} \right]},
+\right.
+\\
+\\
+\displaystyle
+{\left[ {y={-{{435445573689} \over {549755813888}} -{{{1407} \over {1024}} 
+\  i}}}, 
+{x={-{{435445573689} \over {1099511627776}} -{{{1407} \over {2048}} \  i}}} 
+\right]},
+\\
+\\
+\displaystyle
+\left.
+{\left[ {y={-{{435445573689} \over {549755813888}}+{{{1407} \over {1024}} 
+\  i}}}, 
+{x={-{{435445573689} \over {1099511627776}}+{{{1407} \over {2048}} \  i}}} 
+\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List List Equation Polynomial Complex Fraction Integer}
+
+
+It is also possible to solve systems of equations in rational functions
+over the rational numbers.
+Note that $[x = 0.0, a = 0.0]$ is not returned as a solution since
+the denominator vanishes there.
+
+\spadcommand{solve([x**2/a = a,a = a*x],.001)}
+$$
+\left[
+{\left[ {x={1.0}}, {a=-{1.0}} \right]},
+{\left[ {x={1.0}}, {a={1.0}} \right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Float}
+
+
+When solving equations with
+denominators, all solutions where the denominator vanishes are
+discarded.
+
+\spadcommand{radicalSolve([x**2/a + a + y**3 - 1,a*y + a + 1],[x,y])}
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {x=-{\sqrt {{{-{a \sp 4}+{2 \  {a \sp 3}}+{3 \  {a \sp 2}}+{3 \  
+a}+1} \over {a \sp 2}}}}}, {y={{-a -1} \over a}} 
+\right]},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left[ {x={\sqrt {{{-{a \sp 4}+{2 \  {a \sp 3}}+{3 \  {a \sp 2}}+{3 \  
+a}+1} \over {a \sp 2}}}}}, {y={{-a -1} \over a}} 
+\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List List Equation Expression Integer}
+
+\section{Limits}
+\label{ugProblemLimits}
+
+%
+To compute a limit, you must specify a functional expression,
+\index{limit}
+a variable, and a limiting value for that variable.
+If you do not specify a direction, Axiom attempts to
+compute a two-sided limit.
+
+Issue this to compute the limit
+$$\lim_{x \rightarrow 1}{{\displaystyle x^2 - 3x +
+2}\over{\displaystyle x^2 - 1}}.$$
+
+\spadcommand{limit((x**2 - 3*x + 2)/(x**2 - 1),x = 1)}
+$$
+-{1 \over 2} 
+$$
+\returnType{Type: Union(OrderedCompletion Fraction Polynomial Integer,...)}
+
+Sometimes the limit when approached from the left is different from
+the limit from the right and, in this case, you may wish to ask for a
+one-sided limit.  Also, if you have a function that is only defined on
+one side of a particular value, \index{limit!one-sided vs. two-sided}
+you can compute a one-sided limit.
+
+The function $log(x)$ is only defined to the right of zero, that is,
+for $x > 0$.  Thus, when computing limits of functions involving
+$log(x)$, you probably want a ``right-hand'' limit.
+
+\spadcommand{limit(x * log(x),x = 0,"right")}
+$$
+0 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+When you do not specify ``$right$'' or ``$left$'' as the optional fourth
+argument, {\bf limit} tries to compute a two-sided limit.  Here the
+limit from the left does not exist, as Axiom indicates when you try to
+take a two-sided limit.
+
+\spadcommand{limit(x * log(x),x = 0)}
+$$
+\left[
+{leftHandLimit= \mbox{\tt "failed"} }, {rightHandLimit=0} 
+\right]
+$$
+\returnType{Type: Union(Record(leftHandLimit: 
+Union(OrderedCompletion Expression Integer,"failed"),
+rightHandLimit: Union(OrderedCompletion Expression Integer,"failed")),...)}
+
+A function can be defined on both sides of a particular value, but
+tend to different limits as its variable approaches that value from
+the left and from the right.  We can construct an example of this as
+follows: Since $\sqrt{y^2}$ is simply the absolute value of $y$, the
+function $\sqrt{y^2} / y$ is simply the sign ($+1$ or $-1$) of the
+nonzero real number $y$.  Therefore, $\sqrt{y^2} / y = -1$ for $y < 0$
+and $\sqrt{y^2} / y = +1$ for $y > 0$.
+
+This is what happens when we take the limit at $y = 0$.
+The answer returned by Axiom gives both a
+``left-hand'' and a ``right-hand'' limit.
+
+\spadcommand{limit(sqrt(y**2)/y,y = 0)}
+$$
+\left[
+{leftHandLimit=-1}, {rightHandLimit=1} 
+\right]
+$$
+\returnType{Type: Union(Record(leftHandLimit: 
+Union(OrderedCompletion Expression Integer,"failed"),
+rightHandLimit: Union(OrderedCompletion Expression Integer,"failed")),...)}
+
+Here is another example, this time using a more complicated function.
+
+\spadcommand{limit(sqrt(1 - cos(t))/t,t = 0)}
+$$
+\left[
+{leftHandLimit=-{1 \over {\sqrt {2}}}}, 
+{rightHandLimit={1 \over {\sqrt {2}}}} 
+\right]
+$$
+\returnType{Type: Union(Record(leftHandLimit: 
+Union(OrderedCompletion Expression Integer,"failed"),
+rightHandLimit: Union(OrderedCompletion Expression Integer,"failed")),...)}
+
+You can compute limits at infinity by passing either 
+\index{limit!at infinity} $+\infty$ or $-\infty$ as the third 
+argument of {\bf limit}.
+
+To do this, use the constants $\%plusInfinity$ and $\%minusInfinity$.
+
+\spadcommand{limit(sqrt(3*x**2 + 1)/(5*x),x = \%plusInfinity)}
+$$
+{\sqrt {3}} \over 5 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+\spadcommand{limit(sqrt(3*x**2 + 1)/(5*x),x = \%minusInfinity)}
+$$
+-{{\sqrt {3}} \over 5} 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+You can take limits of functions with parameters.
+\index{limit!of function with parameters}
+As you can see, the limit is expressed in terms of the parameters.
+
+\spadcommand{limit(sinh(a*x)/tan(b*x),x = 0)}
+$$
+a \over b 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+When you use {\bf limit}, you are taking the limit of a real
+function of a real variable.
+
+When you compute this, Axiom returns $0$ because, as a function of a
+real variable, $sin(1/z)$ is always between $-1$ and $1$, so 
+$z * sin(1/z)$ tends to $0$ as $z$ tends to $0$.
+
+\spadcommand{limit(z * sin(1/z),z = 0)}
+$$
+0 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+However, as a function of a {\it complex} variable, $sin(1/z)$ is badly
+\index{limit!real vs. complex}
+behaved near $0$ (one says that $sin(1/z)$ has an
+\index{essential singularity}
+{\it essential singularity} at $z = 0$).
+\index{singularity!essential}
+
+When viewed as a function of a complex variable, $z * sin(1/z)$
+does not approach any limit as $z$ tends to $0$ in the complex plane.
+Axiom indicates this when we call {\bf complexLimit}.
+
+\spadcommand{complexLimit(z * sin(1/z),z = 0)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+Here is another example.
+As $x$ approaches $0$ along the real axis, $exp(-1/x**2)$
+tends to $0$.
+\spadcommand{limit(exp(-1/x**2),x = 0)}
+$$
+0 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+However, if $x$ is allowed to approach $0$ along any path in the
+complex plane, the limiting value of $exp(-1/x**2)$ depends on the
+path taken because the function has an essential singularity at $x=0$.
+This is reflected in the error message returned by the function.
+\spadcommand{complexLimit(exp(-1/x**2),x = 0)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+You can also take complex limits at infinity, that is, limits of a
+function of $z$ as $z$ approaches infinity on the Riemann sphere.  Use
+the symbol $\%infinity$ to denote ``complex infinity.''
+
+As above, to compute complex limits rather than real limits, use
+{\bf complexLimit}.
+
+\spadcommand{complexLimit((2 + z)/(1 - z),z = \%infinity)}
+$$
+-1 
+$$
+\returnType{Type: OnePointCompletion Fraction Polynomial Integer}
+
+In many cases, a limit of a real function of a real variable exists
+when the corresponding complex limit does not.  This limit exists.
+
+\spadcommand{limit(sin(x)/x,x = \%plusInfinity)}
+$$
+0 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+But this limit does not.
+
+\spadcommand{complexLimit(sin(x)/x,x = \%infinity)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+\section{Laplace Transforms}
+\label{ugProblemLaplace}
+
+Axiom can compute some forward Laplace transforms, mostly
+\index{Laplace transform} of elementary \index{function!elementary}
+functions \index{transform!Laplace} not involving logarithms, although
+some cases of special functions are handled.
+
+To compute the forward Laplace transform of $F(t)$ with respect to
+$t$ and express the result as $f(s)$, issue the command
+$laplace(F(t), t, s)$.
+
+\spadcommand{laplace(sin(a*t)*cosh(a*t)-cos(a*t)*sinh(a*t), t, s)}
+$$
+{4 \  {a \sp 3}} \over {{s \sp 4}+{4 \  {a \sp 4}}} 
+$$
+\returnType{Type: Expression Integer}
+
+Here are some other non-trivial examples.
+
+\spadcommand{laplace((exp(a*t) - exp(b*t))/t, t, s)}
+$$
+-{\log \left({{s -a}} \right)}+{\log\left({{s -b}} \right)}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{laplace(2/t * (1 - cos(a*t)), t, s)}
+$$
+{\log \left({{{s \sp 2}+{a \sp 2}}} \right)}-{2 \  {\log \left({s} \right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{laplace(exp(-a*t) * sin(b*t) / b**2, t, s)}
+$$
+1 \over {{b \  {s \sp 2}}+{2 \  a \  b \  s}+{b \sp 3}+{{a \sp 2} \  b}} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{laplace((cos(a*t) - cos(b*t))/t, t, s)}
+$$
+{{\log \left({{{s \sp 2}+{b \sp 2}}} \right)}-
+{\log \left({{{s \sp 2}+{a \sp 2}}} \right)}}
+\over 2 
+$$
+\returnType{Type: Expression Integer}
+
+Axiom also knows about a few special functions.
+
+\spadcommand{laplace(exp(a*t+b)*Ei(c*t), t, s)}
+$$
+{{e \sp b} \  {\log \left({{{s+c -a} \over c}} \right)}}\over {s -a} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{laplace(a*Ci(b*t) + c*Si(d*t), t, s)}
+$$
+{{a \  {\log \left({{{{s \sp 2}+{b \sp 2}} \over {b \sp 2}}} \right)}}+
+{2\  c \  {\arctan \left({{d \over s}} \right)}}}\over {2 \  s} 
+$$
+\returnType{Type: Expression Integer}
+
+When Axiom does not know about a particular transform,
+it keeps it as a formal transform in the answer.
+
+\spadcommand{laplace(sin(a*t) - a*t*cos(a*t) + exp(t**2), t, s)}
+$$
+{{{\left( {s \sp 4}+{2 \  {a \sp 2} \  {s \sp 2}}+{a \sp 4} \right)}
+\  {laplace \left({{e \sp {t \sp 2}}, t, s} \right)}}+
+{2\  {a \sp 3}}} \over {{s \sp 4}+{2 \  {a \sp 2} \  {s \sp 2}}+{a \sp 4}} 
+$$
+\returnType{Type: Expression Integer}
+
+\section{Integration}
+\label{ugProblemIntegration}
+
+%
+Integration is the reverse process of differentiation, that is,
+\index{integration} an {\it integral} of a function $f$ with respect
+to a variable $x$ is any function $g$ such that $D(g,x)$ is equal to
+$f$.
+
+The package {\tt FunctionSpaceIntegration} provides the top-level
+integration operation, \spadfunFrom{integrate}{FunctionSpaceIntegration},
+for integrating real-valued elementary functions.
+\index{FunctionSpaceIntegration}
+
+\spadcommand{integrate(cosh(a*x)*sinh(a*x), x)}
+$$
+{{{\sinh \left({{a \  x}} \right)}\sp 2}+
+{{\cosh \left({{a \  x}} \right)}\sp 2}} 
+\over {4 \  a} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Unfortunately, antiderivatives of most functions cannot be expressed in
+terms of elementary functions.
+
+\spadcommand{integrate(log(1 + sqrt(a * x + b)) / x, x)}
+$$
+\int \sp{\displaystyle x} {{{\log 
+\left(
+{{{\sqrt {{b+{ \%M \  a}}}}+1}} 
+\right)}
+\over \%M} \  {d \%M}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Given an elementary function to integrate, Axiom returns a formal
+integral as above only when it can prove that the integral is not
+elementary and not when it cannot determine the integral.
+In this rare case it prints a message that it cannot
+determine if an elementary integral exists.
+
+Similar functions may have antiderivatives \index{antiderivative}
+that look quite different because the form of the antiderivative
+depends on the sign of a constant that appears in the function.
+
+\spadcommand{integrate(1/(x**2 - 2),x)}
+$$
+{\log \left({{{{{\left( {x \sp 2}+2 \right)}\  {\sqrt {2}}} -{4 \  x}} 
+\over {{x \sp 2} -2}}} \right)}
+\over {2 \  {\sqrt {2}}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+\spadcommand{integrate(1/(x**2 + 2),x)}
+$$
+{\arctan \left({{{x \  {\sqrt {2}}} \over 2}} \right)}\over {\sqrt {2}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+If the integrand contains parameters, then there may be several possible
+antiderivatives, depending on the signs of expressions of the parameters.
+
+In this case Axiom returns a list of answers that cover all the
+possible cases.  Here you use the answer involving the square root of
+$a$ when $a > 0$ and \index{integration!result as list of real
+functions} the answer involving the square root of $-a$ when $a < 0$.
+
+\spadcommand{integrate(x**2 / (x**4 - a**2), x)}
+$$
+\begin{array}{@{}l}
+\left[
+{{{\log 
+\left(
+{{{{{\left( {x \sp 2}+a \right)}
+\  {\sqrt {a}}} -{2 \  a \  x}} \over {{x \sp 2} -a}}} 
+\right)}+
+{2\  {\arctan \left({{{x \  {\sqrt {a}}} \over a}} \right)}}}
+\over {4 \  {\sqrt {a}}}}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{{\log \left({{{{{\left( {x \sp 2} -a \right)}
+\  {\sqrt {-a}}}+{2 \  a \  x}} \over {{x \sp 2}+a}}} 
+\right)}
+-{2 \  {\arctan \left({{{x \  {\sqrt {-a}}} \over a}} \right)}}}
+\over {4 \  {\sqrt {-a}}}} 
+\right]
+\end{array}
+$$
+\returnType{Type: Union(List Expression Integer,...)}
+
+If the parameters and the variables of integration can be complex
+numbers rather than real, then the notion of sign is not defined.  In
+this case all the possible answers can be expressed as one complex
+function.  To get that function, rather than a list of real functions,
+use \spadfunFrom{complexIntegrate}{FunctionSpaceComplexIntegration},
+which is provided by the package \index{integration!result as a
+complex functions} {\tt FunctionSpaceComplexIntegration}.
+\index{FunctionSpaceComplexIntegration}
+
+This operation is used for integrating complex-valued elementary
+functions.
+
+\spadcommand{complexIntegrate(x**2 / (x**4 - a**2), x)}
+$$
+\left(
+\begin{array}{@{}l}
+{{\sqrt {{4 \  a}}} \  {\log 
+\left(
+{{{{x \  {\sqrt {-{4 \  a}}}}+{2 \  a}} \over {\sqrt {-{4 \  a}}}}} 
+\right)}} -
+{{\sqrt {-{4 \  a}}} \  {\log 
+\left(
+{{{{x \  {\sqrt {{4 \  a}}}}+{2 \  a}} \over {\sqrt {{4 \  a}}}}} 
+\right)}}+
+\\
+\\
+\displaystyle
+{{\sqrt{-{4 \  a}}} \  {\log 
+\left(
+{{{{x \  {\sqrt {{4 \  a}}}} -{2 \  a}} \over {\sqrt {{4 \  a}}}}} 
+\right)}}
+-{{\sqrt {{4 \  a}}} \  {\log 
+\left(
+{{{{x \  {\sqrt {-{4 \  a}}}} -{2 \  a}} \over {\sqrt {-{4 \  a}}}}} 
+\right)}}
+\end{array}
+\right)
+\over {2 \  {\sqrt {-{4 \  a}}} \  {\sqrt {{4 \  a}}}} 
+$$
+\returnType{Type: Expression Integer}
+
+As with the real case, antiderivatives for most complex-valued
+functions cannot be expressed in terms of elementary functions.
+
+\spadcommand{complexIntegrate(log(1 + sqrt(a * x + b)) / x, x)}
+$$
+\int \sp{\displaystyle x} 
+{{{\log \left({{{\sqrt {{b+{ \%M \  a}}}}+1}} \right)}
+\over \%M} \  {d \%M}} 
+$$
+\returnType{Type: Expression Integer}
+
+Sometimes {\bf integrate} can involve symbolic algebraic numbers
+such as those returned by \spadfunFrom{rootOf}{Expression}.
+To see how to work with these strange generated symbols (such as
+$\%\%a0$), see 
+\ref{ugxProblemSymRootAll} on page~\pageref{ugxProblemSymRootAll}.
+
+Definite integration is the process of computing the area between
+\index{integration!definite}
+the $x$-axis and the curve of a function $f(x)$.
+The fundamental theorem of calculus states that if $f$ is
+continuous on an interval $a..b$ and if there exists a function $g$
+that is differentiable on $a..b$ and such that $D(g, x)$
+is equal to $f$, then the definite integral of $f$
+for $x$ in the interval $a..b$ is equal to $g(b) - g(a)$.
+
+The package {\tt RationalFunctionDefiniteIntegration} provides
+the top-level definite integration operation,
+\spadfunFrom{integrate}{RationalFunctionDefiniteIntegration},
+for integrating real-valued rational functions.
+
+\spadcommand{integrate((x**4 - 3*x**2 + 6)/(x**6-5*x**4+5*x**2+4), x = 1..2)}
+$$
+{{2 \  {\arctan \left({8} \right)}}+
+{2\  {\arctan \left({5} \right)}}+
+{2\  {\arctan \left({2} \right)}}+
+{2\  {\arctan \left({{1 \over 2}} \right)}}
+-\pi} \over 2 
+$$
+\returnType{Type: Union(f1: OrderedCompletion Expression Integer,...)}
+
+Axiom checks beforehand that the function you are integrating is
+defined on the interval $a..b$, and prints an error message if it
+finds that this is not case, as in the following example:
+\begin{verbatim}
+integrate(1/(x**2-2), x = 1..2)
+
+    >> Error detected within library code:
+       Pole in path of integration
+       You are being returned to the top level
+       of the interpreter.
+\end{verbatim}
+When parameters are present in the function, the function may or may not be
+defined on the interval of integration.
+
+If this is the case, Axiom issues a warning that a pole might
+lie in the path of integration, and does not compute the integral.
+
+\spadcommand{integrate(1/(x**2-a), x = 1..2)}
+$$
+potentialPole 
+$$
+\returnType{Type: Union(pole: potentialPole,...)}
+
+If you know that you are using values of the parameter for which
+the function has no pole in the interval of integration, use the
+string {\tt ``noPole''} as a third argument to
+\spadfunFrom{integrate}{RationalFunctionDefiniteIntegration}:
+
+The value here is, of course, incorrect if $sqrt(a)$ is between
+$1$ and $2.$
+
+\spadcommand{integrate(1/(x**2-a), x = 1..2, "noPole")}
+$$
+\begin{array}{@{}l}
+\left[
+\left(
+\begin{array}{@{}l}
+-{\log \left({{{{{\left( -{4 \  {a \sp 2}} -{4 \  a} \right)}
+\  {\sqrt {a}}}+{a \sp 3}+{6 \  {a \sp 2}}+a} \over {{a \sp 2} -{2 \  a}+1}}} 
+\right)}+
+\\
+\\
+\displaystyle
+{\log\left({{{{{\left( -{8 \  {a \sp 2}} -{{32} \  a} \right)}
+\  {\sqrt {a}}}+{a \sp 3}+{{24} \  {a \sp 2}}+{{16} \  a}} \over {{a \sp 2} 
+-{8 \  a}+{16}}}} 
+\right)}
+\end{array}
+\right)
+\over {4 \  {\sqrt {a}}},
+\right.
+\\
+\\
+\displaystyle
+\left. 
+{{-{\arctan \left({{{2 \  {\sqrt {-a}}} \over a}} \right)}+
+{\arctan\left({{{\sqrt {-a}} \over a}} \right)}}
+\over {\sqrt {-a}}} 
+\right]
+\end{array}
+$$
+\returnType{Type: Union(f2: List OrderedCompletion Expression Integer,...)}
+
+\section{Working with Power Series}
+\label{ugProblemSeries}
+%
+Axiom has very sophisticated facilities for working with power
+\index{series}
+series.
+\index{power series}
+
+Infinite series are represented by a list of the coefficients that
+have already been determined, together with a function for computing
+the additional coefficients if needed.
+
+The system command that determines how many terms of a series is
+displayed is {\tt )set streams calculate}.  For the purposes of this
+book, we have used this system command to display fewer than ten
+terms.  \index{set streams calculate} Series can be created from
+expressions, from functions for the series coefficients, and from
+applications of operations on existing series.  The most general
+function for creating a series is called {\bf series}, although you
+can also use {\bf taylor}, {\bf laurent} and {\bf puiseux} in
+situations where you know what kind of exponents are involved.
+
+For information about solving differential equations in terms of
+power series, see 
+\ref{ugxProblemDEQSeries} on page~\pageref{ugxProblemDEQSeries}.
+
+\subsection{Creation of Power Series}
+\label{ugxProblemSeriesCreate}
+
+This is the easiest way to create a power series.  This tells Axiom
+that $x$ is to be treated as a power series, \index{series!creating}
+so functions of $x$ are again power series.
+
+\spadcommand{x := series 'x }
+$$
+x 
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+We didn't say anything about the coefficients of the power series, so
+the coefficients are general expressions over the integers.  This
+allows us to introduce denominators, symbolic constants, and other
+variables as needed.
+
+Here the coefficients are integers (note that the coefficients are the
+Fibonacci \index{Fibonacci numbers} numbers).
+
+\spadcommand{1/(1 - x - x**2) }
+$$
+1+x+
+{2 \  {x \sp 2}}+
+{3 \  {x \sp 3}}+
+{5 \  {x \sp 4}}+
+{8 \  {x \sp 5}}+
+{{13} \  {x \sp 6}}+
+{{21} \  {x \sp 7}}+
+{{34} \  {x \sp 8}}+
+{{55} \  {x \sp 9}}+
+{{89} \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+This series has coefficients that are rational numbers.
+
+\spadcommand{sin(x) }
+$$
+x -
+{{1 \over 6} \  {x \sp 3}}+
+{{1 \over {120}} \  {x \sp 5}} -
+{{1 \over {5040}} \  {x \sp 7}}+
+{{1 \over {362880}} \  {x \sp 9}} -
+{{1 \over {39916800}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+When you enter this expression you introduce the symbolic constants
+$sin(1)$ and $cos(1).$
+
+\spadcommand{sin(1 + x) }
+$$
+\begin{array}{@{}l}
+{\sin \left({1} \right)}+
+{{\cos\left({1} \right)}\  x} -
+{{{\sin \left({1} \right)}\over 2} \  {x \sp 2}} -
+{{{\cos \left({1} \right)}\over 6} \  {x \sp 3}}+
+{{{\sin \left({1} \right)}\over {24}} \  {x \sp 4}}+
+{{{\cos \left({1} \right)}\over {120}} \  {x \sp 5}} -
+{{{\sin \left({1} \right)}\over {720}} \  {x \sp 6}} -
+\\
+\\
+\displaystyle
+{{{\cos \left({1} \right)}\over {5040}} \  {x \sp 7}}+
+{{{\sin \left({1} \right)}\over {40320}} \  {x \sp 8}}+
+{{{\cos \left({1} \right)}\over {362880}} \  {x \sp 9}} -
+{{{\sin \left({1} \right)}\over {3628800}} \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+When you enter the expression
+the variable $a$ appears in the resulting series expansion.
+
+\spadcommand{sin(a * x) }
+$$
+{a \  x} -
+{{{a \sp 3} \over 6} \  {x \sp 3}}+
+{{{a \sp 5} \over {120}} \  {x \sp 5}} -
+{{{a \sp 7} \over {5040}} \  {x \sp 7}}+
+{{{a \sp 9} \over {362880}} \  {x \sp 9}} -
+{{{a \sp {11}} \over {39916800}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+You can also convert an expression into a series expansion.  This
+expression creates the series expansion of $1/log(y)$ about $y = 1$.
+For details and more examples, see \ref{ugxProblemSeriesConversions} 
+on page~\pageref{ugxProblemSeriesConversions}.
+
+\spadcommand{series(1/log(y),y = 1)}
+$$
+\begin{array}{@{}l}
+{{\left( y -1 \right)}\sp {\left( -1 \right)}}+
+{1\over 2} -{{1 \over {12}} \  {\left( y -1 \right)}}+
+{{1\over {24}} \  {{\left( y -1 \right)}\sp 2}} -
+{{{19} \over {720}} \  {{\left( y -1 \right)}\sp 3}}+
+{{3 \over {160}} \  {{\left( y -1 \right)}\sp 4}} -
+\\
+\\
+\displaystyle
+{{{863} \over {60480}} \  {{\left( y -1 \right)}\sp 5}}+
+{{{275} \over {24192}} \  {{\left( y -1 \right)}\sp 6}} -
+{{{33953} \over {3628800}} \  {{\left( y -1 \right)}\sp 7}}+
+\\
+\\
+\displaystyle
+{{{8183} \over {1036800}} \  {{\left( y -1 \right)}\sp 8}} -
+{{{3250433} \over {479001600}} \  {{\left( y -1 \right)}\sp 9}}+
+{O \left({{{\left( y -1 \right)}\sp {10}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,y,1)}
+
+You can create power series with more general coefficients.  You
+normally accomplish this via a type declaration (see 
+\ref{ugTypesDeclare} on page~\pageref{ugTypesDeclare}).  
+See \ref{ugxProblemSeriesFunctions} on 
+page~\pageref{ugxProblemSeriesFunctions} for some warnings about working with 
+declared series.
+
+We declare that $y$ is a one-variable Taylor series
+\index{series!Taylor} ({\tt UTS} is the abbreviation for 
+{\tt UnivariateTaylorSeries}) in the variable $z$ with {\tt FLOAT} 
+(that is, floating-point) coefficients, centered about $0.$ Then, by
+assignment, we obtain the Taylor expansion of $exp(z)$ with
+floating-point coefficients.  \index{UnivariateTaylorSeries}
+
+\spadcommand{y : UTS(FLOAT,'z,0) := exp(z) }
+$$
+\begin{array}{@{}l}
+{1.0}+z+
+{{0.5} \  {z \sp 2}}+
+{{0.1666666666\ 6666666667} \  {z \sp 3}}+
+\\
+\\
+\displaystyle
+{{0.0416666666\ 6666666666 7} \  {z \sp 4}}+
+{{0.0083333333\ 3333333333 34} \  {z \sp 5}}+
+\\
+\\
+\displaystyle
+{{0.0013888888\ 8888888888 89} \  {z \sp 6}}+
+{{0.0001984126\ 9841269841 27} \  {z \sp 7}}+
+\\
+\\
+\displaystyle
+{{0.0000248015\ 8730158730 1587} \  {z \sp 8}}+
+{{0.0000027557\ 3192239858 90653} \  {z \sp 9}}+
+\\
+\\
+\displaystyle
+{{0.2755731922\ 3985890653 E -6} \  {z \sp {10}}}+
+{O \left({{z \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Float,z,0.0)}
+
+You can also create a power series by giving an explicit formula for
+its $n$-th coefficient.  For details and more examples, see
+\ref{ugxProblemSeriesFormula} on page~\pageref{ugxProblemSeriesFormula}.
+
+To create a series about $w = 0$ whose $n$-th Taylor coefficient is
+$1/n!$, you can evaluate this expression.  This is the Taylor
+expansion of $exp(w)$ at $w = 0$.
+
+\spadcommand{series(1/factorial(n),n,w = 0)}
+$$
+\begin{array}{@{}l}
+1+w+
+{{1 \over 2} \  {w \sp 2}}+
+{{1 \over 6} \  {w \sp 3}}+
+{{1 \over {24}} \  {w \sp 4}}+
+{{1 \over {120}} \  {w \sp 5}}+
+{{1 \over {720}} \  {w \sp 6}}+
+{{1 \over {5040}} \  {w \sp 7}}+
+\\
+\\
+\displaystyle
+{{1 \over {40320}} \  {w \sp 8}}+
+{{1 \over {362880}} \  {w \sp 9}}+
+{{1 \over {3628800}} \  {w \sp {10}}}+
+{O \left({{w \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,w,0)}
+
+\subsection{Coefficients of Power Series}
+\label{ugxProblemSeriesCoefficients}
+
+You can extract any coefficient from a power series---even one that
+hasn't been computed yet.  This is possible because in Axiom, infinite
+series are represented by a list of the coefficients that have already
+been determined, together with a function for computing the additional
+coefficients.  (This is known as {\it lazy evaluation}.) When you ask
+for a \index{series!lazy evaluation} coefficient that hasn't yet been
+computed, Axiom computes \index{lazy evaluation} whatever additional
+coefficients it needs and then stores them in the representation of
+the power series.
+
+Here's an example of how to extract the coefficients of a power series.
+\index{series!extracting coefficients}
+
+\spadcommand{x := series(x) }
+$$
+x 
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\spadcommand{y := exp(x) * sin(x)  }
+$$
+\begin{array}{@{}l}
+x+
+{x \sp 2}+
+{{1 \over 3} \  {x \sp 3}} -
+{{1 \over {30}} \  {x \sp 5}} -
+{{1 \over {90}} \  {x \sp 6}} -
+{{1 \over {630}} \  {x \sp 7}}+
+{{1 \over {22680}} \  {x \sp 9}}+
+\\
+\\
+\displaystyle
+{{1 \over {113400}} \  {x \sp {10}}}+
+{{1 \over {1247400}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+This coefficient is readily available.
+
+\spadcommand{coefficient(y,6) }
+$$
+-{1 \over {90}} 
+$$
+\returnType{Type: Expression Integer}
+
+But let's get the fifteenth coefficient of $y$.
+
+\spadcommand{coefficient(y,15)  }
+$$
+-{1 \over {10216206000}} 
+$$
+\returnType{Type: Expression Integer}
+
+If you look at $y$ then you see that the coefficients up to order $15$
+have all been computed.
+
+\spadcommand{y }
+$$
+\begin{array}{@{}l}
+x+
+{x \sp 2}+
+{{1 \over 3} \  {x \sp 3}} -
+{{1 \over {30}} \  {x \sp 5}} -
+{{1 \over {90}} \  {x \sp 6}} -
+{{1 \over {630}} \  {x \sp 7}}+
+{{1 \over {22680}} \  {x \sp 9}}+
+{{1 \over {113400}} \  {x \sp {10}}}+
+\\
+\\
+\displaystyle
+{{1 \over {1247400}} \  {x \sp {11}}} -
+{{1 \over {97297200}} \  {x \sp {13}}} -
+{{1 \over {681080400}} \  {x \sp {14}}} -
+{{1 \over {10216206000}} \  {x \sp {15}}}+
+{O \left({{x \sp {16}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\subsection{Power Series Arithmetic}
+\label{ugxProblemSeriesArithmetic}
+
+You can manipulate power series using the usual arithmetic operations
+\index{series!arithmetic}
+$+$, $-$, $*$, and $/$ (from UnivariatePuiseuxSeries)
+
+The results of these operations are also power series.
+
+\spadcommand{x := series x }
+$$
+x 
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\spadcommand{(3 + x) / (1 + 7*x)}
+$$
+\begin{array}{@{}l}
+3 -
+{{20} \  x}+
+{{140} \  {x \sp 2}} -
+{{980} \  {x \sp 3}}+
+{{6860} \  {x \sp 4}} -
+{{48020} \  {x \sp 5}}+
+{{336140} \  {x \sp 6}} -
+{{2352980} \  {x \sp 7}}+
+\\
+\\
+\displaystyle
+{{16470860} \  {x \sp 8}} -
+{{115296020} \  {x \sp 9}}+
+{{807072140} \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+You can also compute $f(x) ** g(x)$, where $f(x)$ and $g(x)$
+are two power series.
+
+\spadcommand{base := 1 / (1 - x)  }
+$$
+1+x+
+{x \sp 2}+
+{x \sp 3}+
+{x \sp 4}+
+{x \sp 5}+
+{x \sp 6}+
+{x \sp 7}+
+{x \sp 8}+
+{x \sp 9}+
+{x \sp {10}}+
+{O \left({{x \sp {11}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\spadcommand{expon := x * base  }
+$$
+x+
+{x \sp 2}+
+{x \sp 3}+
+{x \sp 4}+
+{x \sp 5}+
+{x \sp 6}+
+{x \sp 7}+
+{x \sp 8}+
+{x \sp 9}+
+{x \sp {10}}+
+{x \sp {11}}+
+{O \left({{x \sp {12}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\spadcommand{base ** expon }
+$$
+\begin{array}{@{}l}
+1+
+{x \sp 2}+
+{{3 \over 2} \  {x \sp 3}}+
+{{7 \over 3} \  {x \sp 4}}+
+{{{43} \over {12}} \  {x \sp 5}}+
+{{{649} \over {120}} \  {x \sp 6}}+
+{{{241} \over {30}} \  {x \sp 7}}+
+{{{3706} \over {315}} \  {x \sp 8}}+
+\\
+\\
+\displaystyle
+{{{85763} \over {5040}} \  {x \sp 9}}+
+{{{245339} \over {10080}} \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\subsection{Functions on Power Series}
+\label{ugxProblemSeriesFunctions}
+
+Once you have created a power series, you can apply transcendental
+functions
+(for example, {\bf exp}, {\bf log}, {\bf sin}, {\bf tan},
+{\bf cosh}, etc.) to it.
+
+To demonstrate this, we first create the power series
+expansion of the rational function
+
+$${\displaystyle x^2} \over {\displaystyle 1 - 6x + x^2}$$
+
+about $x = 0$.
+
+\spadcommand{x := series 'x }
+$$
+x 
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\spadcommand{rat := x**2 / (1 - 6*x + x**2)  }
+$$
+\begin{array}{@{}l}
+{x \sp 2}+
+{6 \  {x \sp 3}}+
+{{35} \  {x \sp 4}}+
+{{204} \  {x \sp 5}}+
+{{1189} \  {x \sp 6}}+
+{{6930} \  {x \sp 7}}+
+{{40391} \  {x \sp 8}}+
+{{235416} \  {x \sp 9}}+
+\\
+\\
+\displaystyle
+{{1372105} \  {x \sp {10}}}+
+{{7997214} \  {x \sp {11}}}+
+{{46611179} \  {x \sp {12}}}+
+{O \left({{x \sp {13}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+If you want to compute the series expansion of
+
+$$\sin\left({\displaystyle x^2} \over {\displaystyle 1 - 6x + x^2}\right)$$
+
+you simply compute the sine of $rat$.
+
+\spadcommand{sin(rat) }
+$$
+\begin{array}{@{}l}
+{x \sp 2}+
+{6 \  {x \sp 3}}+
+{{35} \  {x \sp 4}}+
+{{204} \  {x \sp 5}}+
+{{{7133} \over 6} \  {x \sp 6}}+
+{{6927} \  {x \sp 7}}+
+{{{80711} \over 2} \  {x \sp 8}}+
+{{235068} \  {x \sp 9}}+
+\\
+\\
+\displaystyle
+{{{164285281} \over {120}} \  {x \sp {10}}}+
+{{{31888513} \over 4} \  {x \sp {11}}}+
+{{{371324777} \over 8} \  {x \sp {12}}}+
+{O \left({{x \sp {13}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+\noindent {\bf Warning:}
+the type of the coefficients of a power series may
+affect the kind of computations that you can do with that series.
+This can only happen when you have made a declaration to
+specify a series domain with a certain type of coefficient.\\
+}
+
+If you evaluate then you have declared that $y$ is a one variable
+Taylor series \index{series!Taylor} ({\tt UTS} is the abbreviation for
+{\tt UnivariateTaylorSeries}) in the variable $y$ with {\tt FRAC INT}
+(that is, fractions of integer) coefficients, centered about $0$.
+
+\spadcommand{y : UTS(FRAC INT,y,0) := y }
+$$
+y 
+$$
+\returnType{Type: UnivariateTaylorSeries(Fraction Integer,y,0)}
+
+You can now compute certain power series in $y$, {\it provided} that
+these series have rational coefficients.
+
+\spadcommand{exp(y) }
+$$
+\begin{array}{@{}l}
+1+y+
+{{1 \over 2} \  {y \sp 2}}+
+{{1 \over 6} \  {y \sp 3}}+
+{{1 \over {24}} \  {y \sp 4}}+
+{{1 \over {120}} \  {y \sp 5}}+
+{{1 \over {720}} \  {y \sp 6}}+
+{{1 \over {5040}} \  {y \sp 7}}+
+{{1 \over {40320}} \  {y \sp 8}}+
+\\
+\\
+\displaystyle
+{{1 \over {362880}} \  {y \sp 9}}+
+{{1 \over {3628800}} \  {y \sp {10}}}+
+{O \left({{y \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Fraction Integer,y,0)}
+
+You can get examples of such series by applying transcendental
+functions to series in $y$ that have no constant terms.
+
+\spadcommand{tan(y**2) }
+$$
+{y \sp 2}+
+{{1 \over 3} \  {y \sp 6}}+
+{{2 \over {15}} \  {y \sp {10}}}+
+{O \left({{y \sp {11}}} \right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Fraction Integer,y,0)}
+
+\spadcommand{cos(y + y**5) }
+$$
+1 -
+{{1 \over 2} \  {y \sp 2}}+
+{{1 \over {24}} \  {y \sp 4}} -
+{{{721} \over {720}} \  {y \sp 6}}+
+{{{6721} \over {40320}} \  {y \sp 8}} -
+{{{1844641} \over {3628800}} \  {y \sp {10}}}+
+{O \left({{y \sp {11}}} \right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Fraction Integer,y,0)}
+
+Similarly, you can compute the logarithm of a power series with rational
+coefficients if the constant coefficient is $1.$
+
+\spadcommand{log(1 + sin(y)) }
+$$
+\begin{array}{@{}l}
+y -
+{{1 \over 2} \  {y \sp 2}}+
+{{1 \over 6} \  {y \sp 3}} -
+{{1 \over {12}} \  {y \sp 4}}+
+{{1 \over {24}} \  {y \sp 5}} -
+{{1 \over {45}} \  {y \sp 6}}+
+{{{61} \over {5040}} \  {y \sp 7}} -
+{{{17} \over {2520}} \  {y \sp 8}}+
+{{{277} \over {72576}} \  {y \sp 9}} -
+\\
+\\
+\displaystyle
+{{{31} \over {14175}} \  {y \sp {10}}}+
+{O \left({{y \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Fraction Integer,y,0)}
+
+If you wanted to apply, say, the operation {\bf exp} to a power series
+with a nonzero constant coefficient $a_0$, then the constant
+coefficient of the result would be $e^{a_0}$, which is {\it not} a
+rational number.  Therefore, evaluating $exp(2 + tan(y))$ would
+generate an error message.
+
+If you want to compute the Taylor expansion of $exp(2 + tan(y))$, you
+must ensure that the coefficient domain has an operation {\bf exp}
+defined for it.  An example of such a domain is {\tt Expression
+Integer}, the type of formal functional expressions over the integers.
+
+When working with coefficients of this type,
+
+\spadcommand{z : UTS(EXPR INT,z,0) := z }
+$$
+z 
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,z,0)}
+
+this presents no problems.
+
+\spadcommand{exp(2 + tan(z)) }
+$$
+\begin{array}{@{}l}
+{e \sp 2}+
+{{e \sp 2} \  z}+
+{{{e \sp 2} \over 2} \  {z \sp 2}}+
+{{{e \sp 2} \over 2} \  {z \sp 3}}+
+{{{3 \  {e \sp 2}} \over 8} \  {z \sp 4}}+
+{{{{37} \  {e \sp 2}} \over {120}} \  {z \sp 5}}+
+{{{{59} \  {e \sp 2}} \over {240}} \  {z \sp 6}}+
+{{{{137} \  {e \sp 2}} \over {720}} \  {z \sp 7}}+
+\\
+\\
+\displaystyle
+{{{{871} \  {e \sp 2}} \over {5760}} \  {z \sp 8}}+
+{{{{41641} \  {e \sp 2}} \over {362880}} \  {z \sp 9}}+
+{{{{325249} \  {e \sp 2}} \over {3628800}} \  {z \sp {10}}}+
+{O \left({{z \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,z,0)}
+
+Another way to create Taylor series whose coefficients are expressions
+over the integers is to use {\bf taylor} which works similarly to
+\index{series!Taylor} {\bf series}.
+
+This is equivalent to the previous computation, except that now we
+are using the variable $w$ instead of $z$.
+
+\spadcommand{w := taylor 'w }
+$$
+w 
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,w,0)}
+
+\spadcommand{exp(2 + tan(w)) }
+$$
+\begin{array}{@{}l}
+{e \sp 2}+
+{{e \sp 2} \  w}+
+{{{e \sp 2} \over 2} \  {w \sp 2}}+
+{{{e \sp 2} \over 2} \  {w \sp 3}}+
+{{{3 \  {e \sp 2}} \over 8} \  {w \sp 4}}+
+{{{{37} \  {e \sp 2}} \over {120}} \  {w \sp 5}}+
+{{{{59} \  {e \sp 2}} \over {240}} \  {w \sp 6}}+
+{{{{137} \  {e \sp 2}} \over {720}} \  {w \sp 7}}+
+\\
+\\
+\displaystyle
+{{{{871} \  {e \sp 2}} \over {5760}} \  {w \sp 8}}+
+{{{{41641} \  {e \sp 2}} \over {362880}} \  {w \sp 9}}+
+{{{{325249} \  {e \sp 2}} \over {3628800}} \  {w \sp {10}}}+
+{O \left({{w \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,w,0)}
+
+\subsection{Converting to Power Series}
+\label{ugxProblemSeriesConversions}
+
+The {\tt ExpressionToUnivariatePowerSeries} package provides
+operations for computing series expansions of functions.
+\index{ExpressionToUnivariatePowerSeries}
+
+Evaluate this to compute the Taylor expansion of $sin x$ about
+\index{series!Taylor} $x = 0$.  The first argument, $sin(x)$,
+specifies the function whose series expansion is to be computed and
+the second argument, $x = 0$, specifies that the series is to be
+expanded in power of $(x - 0)$, that is, in power of $x$.
+
+\spadcommand{taylor(sin(x),x = 0)}
+$$
+x -
+{{1 \over 6} \  {x \sp 3}}+
+{{1 \over {120}} \  {x \sp 5}} -
+{{1 \over {5040}} \  {x \sp 7}}+
+{{1 \over {362880}} \  {x \sp 9}}+
+{O \left({{x \sp {11}}} \right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,x,0)}
+
+Here is the Taylor expansion of $sin x$ about $x = \frac{\pi}{6}$:
+
+\spadcommand{taylor(sin(x),x = \%pi/6)}
+$$
+\begin{array}{@{}l}
+{1 \over 2}+
+{{{\sqrt {3}} \over 2} \  {\left( x -{\pi \over 6} \right)}}
+-{{1 \over 4} \  {{\left( x -{\pi \over 6} \right)}\sp 2}} -
+{{{\sqrt {3}} \over {12}} \  {{\left( x -{\pi \over 6} \right)}\sp 3}}+
+{{1 \over {48}} \  {{\left( x -{\pi \over 6} \right)}\sp 4}}+
+\\
+\\
+\displaystyle
+{{{\sqrt {3}} \over {240}} \  {{\left( x -{\pi \over 6} \right)}\sp 5}} -
+{{1 \over {1440}} \  {{\left( x -{\pi \over 6} \right)}\sp 6}} -
+{{{\sqrt {3}} \over {10080}} \  {{\left( x -{\pi \over 6} \right)}\sp 7}}+
+{{1 \over {80640}} \  {{\left( x -{\pi \over 6} \right)}\sp 8}}+
+\\
+\\
+\displaystyle
+{{{\sqrt {3}} \over {725760}} \  {{\left( x -{\pi \over 6} \right)}\sp 9}} -
+{{1 \over {7257600}} \  {{\left( x -{\pi \over 6} \right)}\sp {10}}}+
+{O \left({{{\left( x -{\pi \over 6} \right)}\sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,x,pi/6)}
+
+
+The function to be expanded into a series may have variables other
+than \index{series!multiple variables} the series variable.
+
+For example, we may expand $tan(x*y)$ as a Taylor series in $x$
+
+\spadcommand{taylor(tan(x*y),x = 0)}
+$$
+{y \  x}+
+{{{y \sp 3} \over 3} \  {x \sp 3}}+
+{{{2 \  {y \sp 5}} \over {15}} \  {x \sp 5}}+
+{{{{17} \  {y \sp 7}} \over {315}} \  {x \sp 7}}+
+{{{{62} \  {y \sp 9}} \over {2835}} \  {x \sp 9}}+
+{O \left({{x \sp {11}}} \right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,x,0)}
+
+or as a Taylor series in $y$.
+
+\spadcommand{taylor(tan(x*y),y = 0)}
+$$
+{x \  y}+
+{{{x \sp 3} \over 3} \  {y \sp 3}}+
+{{{2 \  {x \sp 5}} \over {15}} \  {y \sp 5}}+
+{{{{17} \  {x \sp 7}} \over {315}} \  {y \sp 7}}+
+{{{{62} \  {x \sp 9}} \over {2835}} \  {y \sp 9}}+
+{O \left({{y \sp {11}}} \right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,y,0)}
+
+A more interesting function is 
+$${\displaystyle t e^{x t}} \over{\displaystyle e^t - 1}$$ 
+When we expand this function as a Taylor
+series in $t$ the $n$-th order coefficient is the $n$-th Bernoulli
+\index{Bernoulli!polynomial} polynomial \index{polynomial!Bernoulli}
+divided by $n!$.
+
+\spadcommand{bern := taylor(t*exp(x*t)/(exp(t) - 1),t = 0) }
+$$
+\begin{array}{@{}l}
+1+
+{{{{2 \  x} -1} \over 2} \  t}+
+{{{{6 \  {x \sp 2}} -{6 \  x}+1} \over {12}} \  {t \sp 2}}+
+{{{{2 \  {x \sp 3}} -{3 \  {x \sp 2}}+x} \over {12}} \  {t \sp 3}}+
+\\
+\\
+\displaystyle
+{{{{{30} \  {x \sp 4}} -{{60} \  {x \sp 3}}+{{30} \  {x \sp 2}} -1} \over 
+{720}} \  {t \sp 4}}+
+{{{{6 \  {x \sp 5}} -{{15} \  {x \sp 4}}+{{10} \  {x \sp 
+3}} -x} \over {720}} \  {t \sp 5}}+
+\\
+\\
+\displaystyle
+{{{{{42} \  {x \sp 6}} -{{126} \  {x \sp 5}}+{{105} \  {x \sp 4}} -{{21} 
+\  {x \sp 2}}+1} \over {30240}} \  {t \sp 6}}+
+{{{{6 \  {x \sp 7}} -{{21} \  {x \sp 6}}+{{21} \  {x \sp 5}} -{7 \  {x 
+\sp 3}}+x} \over {30240}} \  {t \sp 7}}+
+\\
+\\
+\displaystyle
+{{{{{30} \  {x \sp 8}} -{{120} \  {x \sp 7}}+{{140} \  {x \sp 6}} -
+{{70} \  {x \sp 4}}+{{20} \  {x \sp 2}} -1} \over {1209600}} \  {t \sp 8}}+
+\\
+\\
+\displaystyle
+{{{{{10} \  {x \sp 9}} -{{45} \  {x \sp 8}}+{{60} \  {x \sp 7}} -
+{{42} \  {x \sp 5}}+{{20} \  {x \sp 3}} -{3 \  x}} 
+\over {3628800}} \  {t \sp 9}}+
+\\
+\\
+\displaystyle
+{{{{{66} \  {x \sp {10}}} -{{330} \  {x \sp 9}}+{{495} \  {x \sp 8}} -
+{{462} \  {x \sp 6}}+{{330} \  {x \sp 4}} -{{99} \  {x \sp 2}}+5} 
+\over {239500800}} \  {t \sp {10}}}+
+{O \left({{t \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,t,0)}
+
+Therefore, this and the next expression produce the same result.
+
+\spadcommand{factorial(6) * coefficient(bern,6) }
+$$
+{{{42} \  {x \sp 6}} -
+{{126} \  {x \sp 5}}+
+{{105} \  {x \sp 4}} -
+{{21} \  {x \sp 2}}+1}
+\over {42} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{bernoulliB(6,x)}
+$$
+{x \sp 6} -
+{3 \  {x \sp 5}}+
+{{5 \over 2} \  {x \sp 4}} -
+{{1 \over 2} \  {x \sp 2}}+
+{1 \over {42}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+Technically, a series with terms of negative degree is not considered
+to be a Taylor series, but, rather, a \index{series!Laurent} 
+{\it Laurent series}.  \index{Laurent series} If you try to compute a
+Taylor series expansion of $\frac{x}{\log x}$ at $x = 1$ via
+$taylor(x/log(x),x = 1)$ you get an error message.  The reason is that
+the function has a {\it pole} at $x = 1$, meaning that its series
+expansion about this point has terms of negative degree.  A series
+with finitely many terms of negative degree is called a Laurent
+series.
+
+You get the desired series expansion by issuing this.
+
+\spadcommand{laurent(x/log(x),x = 1)}
+$$
+\begin{array}{@{}l}
+{{\left( x -1 \right)}\sp {\left( -1\right)}}+
+{3\over 2}+
+{{5 \over {12}} \  {\left( x -1 \right)}}
+-{{1 \over {24}} \  {{\left( x -1 \right)}\sp 2}}+
+{{{11} \over {720}} \  {{\left( x -1 \right)}\sp 3}} -
+{{{11} \over {1440}} \  {{\left( x -1 \right)}\sp 4}}+
+\\
+\\
+\displaystyle
+{{{271} \over {60480}} \  {{\left( x -1 \right)}\sp 5}} -
+{{{13} \over {4480}} \  {{\left( x -1 \right)}\sp 6}}+
+{{{7297} \over {3628800}} \  {{\left( x -1 \right)}\sp 7}} -
+{{{425} \over {290304}} \  {{\left( x -1 \right)}\sp 8}}+
+\\
+\\
+\displaystyle
+{{{530113} \over {479001600}} \  {{\left( x -1 \right)}\sp 9}}+
+{O \left({{{\left( x -1 \right)}\sp {10}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateLaurentSeries(Expression Integer,x,1)}
+
+Similarly, a series with terms of fractional degree is neither a
+Taylor series nor a Laurent series.  Such a series is called a
+\index{series!Puiseux} {\it Puiseux series}.  \index{Puiseux series}
+The expression $laurent(sqrt(sec(x)),x = 3 * \%pi/2)$ results in an
+error message because the series expansion about this point has terms
+of fractional degree.
+
+However, this command produces what you want.
+
+\spadcommand{puiseux(sqrt(sec(x)),x = 3 * \%pi/2)}
+$$
+{{\left( x -{{3 \  \pi} \over 2} \right)}\sp {\left( -{1 \over 2} \right)}}+
+{{1\over {12}} \  {{\left( x -{{3 \  \pi} \over 2} \right)}\sp {3 \over 2}}}+
+{{1 \over {160}} \  {{\left( x -{{3 \  \pi} \over 2} \right)}\sp {7 \over 2}}}+
+{O \left({{{\left( x -{{3 \  \pi} \over 2} \right)}\sp 5}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,(3*pi)/2)}
+
+Finally, consider the case of functions that do not have Puiseux
+expansions about certain points.  An example of this is $x^x$ about $x
+= 0$.  $puiseux(x**x,x=0)$ produces an error message because of the
+type of singularity of the function at $x = 0$.
+
+The general function {\bf series} can be used in this case.
+Notice that the series returned is not, strictly speaking, a power series
+because of the $log(x)$ in the expansion.
+
+\spadcommand{series(x**x,x=0)}
+$$
+\begin{array}{@{}l}
+1+
+{{\log \left({x} \right)}\  x}+
+{{{{\log \left({x} \right)}\sp 2} \over 2} \  {x \sp 2}}+
+{{{{\log \left({x} \right)}\sp 3} \over 6} \  {x \sp 3}}+
+{{{{\log \left({x} \right)}\sp 4} \over {24}} \  {x \sp 4}}+
+{{{{\log \left({x} \right)}\sp 5} \over {120}} \  {x \sp 5}}+
+{{{{\log \left({x} \right)}\sp 6} \over {720}} \  {x \sp 6}}+
+\\
+\\
+\displaystyle
+{{{{\log \left({x} \right)}\sp 7} \over {5040}} \  {x \sp 7}}+
+{{{{\log \left({x} \right)}\sp 8} \over {40320}} \  {x \sp 8}}+
+{{{{\log \left({x} \right)}\sp 9} \over {362880}} \  {x \sp 9}}+
+{{{{\log \left({x} \right)}\sp {10}} \over {3628800}} \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: GeneralUnivariatePowerSeries(Expression Integer,x,0)}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The operation {\bf series} returns the most general type of
+infinite series.
+The user who is not interested in distinguishing
+between various types of infinite series may wish to use this operation
+exclusively.\\
+}
+
+\subsection{Power Series from Formulas}
+\label{ugxProblemSeriesFormula}
+
+The {\tt GenerateUnivariatePowerSeries} package enables you to
+\index{series!giving formula for coefficients} create power series
+from explicit formulas for their $n$-th coefficients.  In what
+follows, we construct series expansions for certain transcendental
+functions by giving formulas for their coefficients.  You can also
+compute such series expansions directly simply by specifying the
+function and the point about which the series is to be expanded.
+\index{GenerateUnivariatePowerSeries} See
+\ref{ugxProblemSeriesConversions} on 
+page~\pageref{ugxProblemSeriesConversions} for more information.
+
+Consider the Taylor expansion of $e^x$ \index{series!Taylor}
+about $x = 0$:
+
+$$
+\begin{array}{ccl}
+e^x &=& \displaystyle 1 + x + \frac{x^2}{2} + \frac{x^3}{6} + \cdots \\ \\
+    &=& \displaystyle\sum_{n=0}^\infty \frac{x^n}{n!}
+\end{array}
+$$
+
+The $n$-th Taylor coefficient is $1/n!$.
+
+This is how you create this series in Axiom.
+
+\spadcommand{series(n +-> 1/factorial(n),x = 0)}
+$$
+\begin{array}{@{}l}
+1+x+
+{{1 \over 2} \  {x \sp 2}}+
+{{1 \over 6} \  {x \sp 3}}+
+{{1 \over {24}} \  {x \sp 4}}+
+{{1 \over {120}} \  {x \sp 5}}+
+{{1 \over {720}} \  {x \sp 6}}+
+{{1 \over {5040}} \  {x \sp 7}}+
+{{1 \over {40320}} \  {x \sp 8}}+
+\\
+\\
+\displaystyle
+{{1 \over {362880}} \  {x \sp 9}}+
+{{1 \over {3628800}} \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+The first argument specifies a formula for the $n$-th coefficient by
+giving a function that maps $n$ to $1/n!$.  The second argument
+specifies that the series is to be expanded in powers of $(x - 0)$,
+that is, in powers of $x$.  Since we did not specify an initial
+degree, the first term in the series was the term of degree 0 (the
+constant term).  Note that the formula was given as an anonymous
+function.  These are discussed in \ref{ugUserAnon} on 
+page~\pageref{ugUserAnon}.
+
+Consider the Taylor expansion of $log x$ about $x = 1$:
+
+$$
+\begin{array}{ccl}
+\log(x) &=& \displaystyle (x - 1) - \frac{(x - 1)^2}{2} + \frac{(x - 1)^3}{3} - \cdots \\ \\
+        &=& \displaystyle\sum_{n = 1}^\infty (-1)^{n-1} \frac{(x - 1)^n}{n}
+\end{array}$$
+
+If you were to evaluate the expression 
+$series(n +-> (-1)**(n-1) / n, x = 1)$ 
+you would get an error message because Axiom would try to
+calculate a term of degree $0$ and therefore divide by $0.$
+
+Instead, evaluate this.
+The third argument, $1..$, indicates that only terms of degree
+$n = 1, ...$ are to be computed.
+
+\spadcommand{series(n +-> (-1)**(n-1)/n,x = 1,1..)}
+$$
+\begin{array}{@{}l}
+{\left( x -1 \right)}
+-{{1 \over 2} \  {{\left( x -1 \right)}\sp 2}}+
+{{1 \over 3} \  {{\left( x -1 \right)}\sp 3}} -
+{{1 \over 4} \  {{\left( x -1 \right)}\sp 4}}+
+{{1 \over 5} \  {{\left( x -1 \right)}\sp 5}} -
+{{1 \over 6} \  {{\left( x -1 \right)}\sp 6}}+
+\\
+\\
+\displaystyle
+{{1 \over 7} \  {{\left( x -1 \right)}\sp 7}} -
+{{1 \over 8} \  {{\left( x -1 \right)}\sp 8}}+
+{{1 \over 9} \  {{\left( x -1 \right)}\sp 9}} -
+{{1 \over {10}} \  {{\left( x -1 \right)}\sp {10}}}+
+{{1 \over {11}} \  {{\left( x -1 \right)}\sp {11}}}+
+\\
+\\
+\displaystyle
+{O \left({{{\left( x -1 \right)}\sp {12}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,1)}
+
+Next consider the Taylor expansion of an odd function, say, $sin(x)$:
+
+$$\sin(x) = x - \frac{x^3}{3!} + \frac{x^5}{5!} - \cdots$$
+
+Here every other coefficient is zero and we would like to give an
+explicit formula only for the odd Taylor coefficients.
+
+This is one way to do it.  The third argument, $1..$, specifies that
+the first term to be computed is the term of degree 1.  The fourth
+argument, $2$, specifies that we increment by $2$ to find the degrees
+of subsequent terms, that is, the next term is of degree $1 + 2$, the
+next of degree $1 + 2 + 2$, etc.
+
+\spadcommand{series(n +-> (-1)**((n-1)/2)/factorial(n),x = 0,1..,2)}
+$$
+x -
+{{1 \over 6} \  {x \sp 3}}+
+{{1 \over {120}} \  {x \sp 5}} -
+{{1 \over {5040}} \  {x \sp 7}}+
+{{1 \over {362880}} \  {x \sp 9}} -
+{{1 \over {39916800}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+The initial degree and the increment do not have to be integers.
+For example, this expression produces a series expansion of
+$\sin(x^{\frac{1}{3}})$.
+
+\spadcommand{series(n +-> (-1)**((3*n-1)/2)/factorial(3*n),x = 0,1/3..,2/3)}
+$$
+{x \sp {1 \over 3}} -
+{{1 \over 6} \  x}+
+{{1 \over {120}} \  {x \sp {5 \over 3}}} -
+{{1 \over {5040}} \  {x \sp {7 \over 3}}}+
+{{1 \over {362880}} \  {x \sp 3}} -
+{{1 \over {39916800}} \  {x \sp {{11} \over 3}}}+
+{O \left({{x \sp 4}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+While the increment must be positive, the initial degree may be
+negative.  This yields the Laurent expansion of $csc(x)$ at $x = 0$.
+(bernoulli(numer(n+1)) is necessary because bernoulli takes integer
+arguments.)
+
+\spadcommand{cscx := series(n +-> (-1)**((n-1)/2) * 2 * (2**n-1) * bernoulli(numer(n+1)) / factorial(n+1), x=0, -1..,2) }
+$$
+{x \sp {\left( -1 \right)}}+
+{{1\over 6} \  x}+
+{{7 \over {360}} \  {x \sp 3}}+
+{{{31} \over {15120}} \  {x \sp 5}}+
+{{{127} \over {604800}} \  {x \sp 7}}+
+{{{73} \over {3421440}} \  {x \sp 9}}+
+{O \left({{x \sp {10}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+Of course, the reciprocal of this power series is the Taylor expansion
+of $sin(x)$.
+
+\spadcommand{1/cscx }
+$$
+x -
+{{1 \over 6} \  {x \sp 3}}+
+{{1 \over {120}} \  {x \sp 5}} -
+{{1 \over {5040}} \  {x \sp 7}}+
+{{1 \over {362880}} \  {x \sp 9}} -
+{{1 \over {39916800}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+As a final example,here is the Taylor expansion of $asin(x)$ about $x = 0$.
+
+\spadcommand{asinx := series(n +-> binomial(n-1,(n-1)/2)/(n*2**(n-1)),x=0,1..,2) }
+$$
+x+
+{{1 \over 6} \  {x \sp 3}}+
+{{3 \over {40}} \  {x \sp 5}}+
+{{5 \over {112}} \  {x \sp 7}}+
+{{{35} \over {1152}} \  {x \sp 9}}+
+{{{63} \over {2816}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+When we compute the $sin$ of this series, we get $x$
+(in the sense that all higher terms computed so far are zero).
+
+\spadcommand{sin(asinx) }
+$$
+x+{O \left({{x \sp {12}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+Axiom isn't sufficiently ``symbolic'' in the sense we might wish. It
+is an open problem to decide that ``x'' is the only surviving
+term. Two attacks on the problem might be:
+
+(1) Notice that all of the higher terms are identically zero but
+Axiom can't decide that from the information it knows. Presumably
+we could attack this problem by looking at the sin function as
+a taylor series around x=0 and seeing the term cancellation occur.
+This uses a term-difference mechanism.
+
+(2) Notice that there is no way to decide that the stream for asinx
+is actually the definition of asin(x). But we could recognize that
+the stream for asin(x) has a generator term and so will a taylor
+series expansion of sin(x). From these two generators it may be
+possible in certain cases to decide that the application of one
+generator to the other will yield only ``x''. This trick involves
+finding the correct inverse for the stream functions. If we can
+find an inverse for the ``remaining tail'' of the stream we could
+conclude cancellation and thus turn an infinite stream into a
+finite object.
+
+In general this is the zero-equivalence problem and is undecidable.\\
+}
+
+As we discussed in \ref{ugxProblemSeriesConversions} on 
+page~\pageref{ugxProblemSeriesConversions}, you can also use
+the operations {\bf taylor}, {\bf laurent} and {\bf puiseux} instead
+of {\bf series} if you know ahead of time what kind of exponents a
+series has.  You can't go wrong using {\bf series}, though.
+
+\subsection{Substituting Numerical Values in Power Series}
+\label{ugxProblemSeriesSubstitute}
+
+Use \spadfunFrom{eval}{UnivariatePowerSeriesCategory}
+\index{approximation} to substitute a numerical value for a variable
+in \index{series!numerical approximation} a power series.  For
+example, here's a way to obtain numerical approximations of $\%e$ from
+the Taylor series expansion of $exp(x)$.
+
+First you create the desired Taylor expansion.
+
+\spadcommand{f := taylor(exp(x)) }
+$$
+\begin{array}{@{}l}
+1+x+
+{{1 \over 2} \  {x \sp 2}}+
+{{1 \over 6} \  {x \sp 3}}+
+{{1 \over {24}} \  {x \sp 4}}+
+{{1 \over {120}} \  {x \sp 5}}+
+{{1 \over {720}} \  {x \sp 6}}+
+{{1 \over {5040}} \  {x \sp 7}}+
+\\
+\\
+\displaystyle
+{{1 \over {40320}} \  {x \sp 8}}+
+{{1 \over {362880}} \  {x \sp 9}}+
+{{1 \over {3628800}} \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,x,0)}
+
+
+Then you evaluate the series at the value $1.0$.
+The result is a sequence of the partial sums.
+
+\spadcommand{eval(f,1.0)}
+$$
+\begin{array}{@{}l}
+\left[
+{1.0}, 
+{2.0}, 
+{2.5}, 
+{2.6666666666\ 666666667}, 
+{2.7083333333\ 333333333},
+\right.
+\\
+\\
+\displaystyle
+{2.7166666666\ 666666667},
+{2.7180555555\ 555555556},
+{2.7182539682\ 53968254},
+\\
+\\
+\displaystyle
+\left.
+{2.7182787698\ 412698413},
+{2.7182815255\ 731922399},
+\ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream Expression Float}
+
+\subsection{Example: Bernoulli Polynomials and Sums of Powers}
+\label{ugxProblemSeriesBernoulli}
+
+Axiom provides operations for computing definite and
+\index{summation!definite} indefinite sums.
+\index{summation!indefinite}
+
+You can compute the sum of the first ten fourth powers by evaluating
+this.  This creates a list whose entries are $m^4$ as $m$ ranges from
+1 to 10, and then computes the sum of the entries of that list.
+
+\spadcommand{reduce(+,[m**4 for m in 1..10])}
+$$
+25333 
+$$
+\returnType{Type: PositiveInteger}
+
+You can also compute a formula for the sum of the first $k$ fourth
+powers, where $k$ is an unspecified positive integer.
+
+\spadcommand{sum4 := sum(m**4, m = 1..k) }
+$$
+{{6 \  {k \sp 5}}+{{15} \  {k \sp 4}}+{{10} \  {k \sp 3}} -k} \over {30} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+This formula is valid for any positive integer $k$.  For instance, if
+we replace $k$ by 10, \index{summation!definite} we obtain the number
+we computed earlier.
+
+\spadcommand{eval(sum4, k = 10) }
+$$
+25333 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+You can compute a formula for the sum of the first $k$ $n$-th powers
+in a similar fashion.  Just replace the $4$ in the definition of 
+{\bf sum4} by any expression not involving $k$.  Axiom computes these
+formulas using Bernoulli polynomials; \index{Bernoulli!polynomial} we
+\index{polynomial!Bernoulli} use the rest of this section to describe
+this method.
+
+First consider this function of $t$ and $x$.
+
+\spadcommand{f := t*exp(x*t) / (exp(t) - 1) }
+$$
+{t \  {e \sp {\left( t \  x \right)}}}\over {{e \sp t} -1} 
+$$
+\returnType{Type: Expression Integer}
+
+Since the expressions involved get quite large, we tell
+Axiom to show us only terms of degree up to $5.$
+
+\spadcommand{)set streams calculate 5 }
+
+\index{set streams calculate}
+
+If we look at the Taylor expansion of $f(x, t)$ about $t = 0,$
+we see that the coefficients of the powers of $t$ are polynomials
+in $x$.
+
+\spadcommand{ff := taylor(f,t = 0)  }
+$$
+\begin{array}{@{}l}
+1+
+{{{{2 \  x} -1} \over 2} \  t}+
+{{{{6 \  {x \sp 2}} -{6 \  x}+1} \over {12}} \  {t \sp 2}}+
+{{{{2 \  {x \sp 3}} -{3 \  {x \sp 2}}+x} \over {12}} \  {t \sp 3}}+
+\\
+\\
+\displaystyle
+{{{{{30} \  {x \sp 4}} -{{60} \  {x \sp 3}}+{{30} \  {x \sp 2}} -1} \over 
+{720}} \  {t \sp 4}}+
+{{{{6 \  {x \sp 5}} -{{15} \  {x \sp 4}}+{{10} \  {x \sp 
+3}} -x} \over {720}} \  {t \sp 5}}+
+{O \left({{t \sp 6}} \right)}
+\end{array}
+$$
+
+                         Type: UnivariateTaylorSeries(Expression Integer,t,0)
+
+
+In fact, the $n$-th coefficient in this series is essentially the
+$n$-th Bernoulli polynomial: the $n$-th coefficient of the series is
+${1 \over {n!}} B_n(x)$, where $B_n(x)$ is the $n$-th Bernoulli
+polynomial.  Thus, to obtain the $n$-th Bernoulli polynomial, we
+multiply the $n$-th coefficient of the series $ff$ by $n!$.
+
+For example, the sixth Bernoulli polynomial is this.
+
+\spadcommand{factorial(6) * coefficient(ff,6) }
+$$
+{{{42} \  {x \sp 6}} -{{126} \  {x \sp 5}}+{{105} \  {x \sp 4}} -
+{{21} \  {x \sp 2}}+1} \over {42} 
+$$
+\returnType{Type: Expression Integer}
+
+We derive some properties of the function $f(x,t)$.
+First we compute $f(x + 1,t) - f(x,t)$.
+
+\spadcommand{g := eval(f, x = x + 1) - f  }
+$$
+{{t \  {e \sp {\left( {t \  x}+t \right)}}}
+-{t \  {e \sp {\left( t \  x \right)}}}}
+\over {{e \sp t} -1} 
+$$
+\returnType{Type: Expression Integer}
+
+If we normalize $g$, we see that it has a particularly simple form.
+
+\spadcommand{normalize(g) }
+$$
+t \  {e \sp {\left( t \  x \right)}}
+$$
+\returnType{Type: Expression Integer}
+
+From this it follows that the $n$-th coefficient in the Taylor
+expansion of $g(x,t)$ at $t = 0$ is $${1\over{(n-1)!}}x^{n-1}$$.
+
+If you want to check this, evaluate the next expression.
+
+\spadcommand{taylor(g,t = 0) }
+$$
+t+
+{x \  {t \sp 2}}+
+{{{x \sp 2} \over 2} \  {t \sp 3}}+
+{{{x \sp 3} \over 6} \  {t \sp 4}}+
+{{{x \sp 4} \over {24}} \  {t \sp 5}}+
+{O \left({{t \sp 6}} \right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,t,0)}
+
+However, since 
+$$g(x,t) = f(x+1,t)-f(x,t)$$
+it follows that the $n$-th coefficient is 
+$${1 \over {n!}}(B_n(x+1)-B_n(x))$$ Equating
+coefficients, we see that 
+$${1\over{(n-1)!}}x^{n-1} = {1\over{n!}}(B_n(x + 1) - B_n(x))$$ 
+and, therefore, 
+$$x^{n-1} = {1\over{n}}(B_n(x + 1) - B_n(x))$$
+
+Let's apply this formula repeatedly, letting $x$ vary between two
+integers $a$ and $b$, with $a < b$:
+
+$$
+\begin{array}{lcl}
+  a^{n-1}       & = & {1 \over n}   (B_n(a + 1) - B_n(a))       \\
+  (a + 1)^{n-1} & = & {1 \over n}   (B_n(a + 2) - B_n(a + 1))   \\
+  (a + 2)^{n-1} & = & {1 \over n}   (B_n(a + 3) - B_n(a + 2))   \\
+  & \vdots &                                                    \\
+  (b - 1)^{n-1} & = & {1 \over n}   (B_n(b) - B_n(b - 1))       \\
+  b^{n-1}       & = & {1 \over n}   (B_n(b + 1) - B_n(b))
+\end{array}
+$$
+
+When we add these equations we find that the sum of the left-hand
+sides is 
+$$\sum_{m=a}^{b} m^{n-1},$$ 
+the sum of the
+$$(n-1)^{\hbox{\small\rm st}}$$ 
+powers from $a$ to $b$.  The sum of the right-hand sides is a 
+``telescoping series.''  After cancellation, the sum is simply 
+$${1\over{n}}(B_n(b + 1) - B_n(a))$$
+
+Replacing $n$ by $n + 1$, we have shown that
+$$
+\sum_{m = a}^{b} m^n = {1 \over {\displaystyle n + 1}} 
+(B_{n+1}(b + 1) - B_{n+1}(a))
+$$
+
+Let's use this to obtain the formula for the sum of fourth powers.
+
+First we obtain the Bernoulli polynomial $B_5$.
+
+\spadcommand{B5 := factorial(5) * coefficient(ff,5)  }
+$$
+{{6 \  {x \sp 5}} -{{15} \  {x \sp 4}}+{{10} \  {x \sp 3}} -x} \over 6 
+$$
+\returnType{Type: Expression Integer}
+
+To find the sum of the first $k$ 4th powers,
+we multiply $1/5$ by $B_5(k+1) - B_5(1)$.
+
+\spadcommand{1/5 * (eval(B5, x = k + 1) - eval(B5, x = 1)) }
+$$
+{{6 \  {k \sp 5}}+{{15} \  {k \sp 4}}+{{10} \  {k \sp 3}} -k} \over {30} 
+$$
+\returnType{Type: Expression Integer}
+
+This is the same formula that we obtained via $sum(m**4, m = 1..k)$.
+
+\spadcommand{sum4 }
+$$
+{{6 \  {k \sp 5}}+{{15} \  {k \sp 4}}+{{10} \  {k \sp 3}} -k} \over {30} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+At this point you may want to do the same computation, but with an
+exponent other than $4.$ For example, you might try to find a formula
+for the sum of the first $k$ 20th powers.
+
+\section{Solution of Differential Equations}
+\label{ugProblemDEQ}
+
+In this section we discuss Axiom's facilities for
+\index{equation!differential!solving} solving \index{differential
+equation} differential equations in closed-form and in series.
+
+Axiom provides facilities for closed-form solution of
+\index{equation!differential!solving in closed-form} single
+differential equations of the following kinds:
+\begin{itemize}
+\item linear ordinary differential equations, and
+\item non-linear first order ordinary differential equations
+when integrating factors can be found just by integration.
+\end{itemize}
+
+For a discussion of the solution of systems of linear and polynomial
+equations, see \ref{ugProblemLinPolEqn} on page~\pageref{ugProblemLinPolEqn}.
+
+\subsection{Closed-Form Solutions of Linear Differential Equations}
+\label{ugxProblemLDEQClosed}
+
+A {\it differential equation} is an equation involving an unknown 
+{\it function} and one or more of its derivatives.  
+\index{differential equation} The equation is called {\it ordinary} 
+if derivatives with respect to \index{equation!differential} only 
+one dependent variable appear in the equation (it is called 
+{\it partial} otherwise).  The package {\tt ElementaryFunctionODESolver} 
+provides the top-level operation {\bf solve} for finding closed-form 
+solutions of ordinary differential equations.  
+\index{ElementaryFunctionODESolver}
+
+To solve a differential equation, you must first create an operator
+for \index{operator} the unknown function.
+
+We let $y$ be the unknown function in terms of $x$.
+
+\spadcommand{y := operator 'y }
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+You then type the equation using {\tt D} to create the
+derivatives of the unknown function $y(x)$ where $x$ is any
+symbol you choose (the so-called {\it dependent variable}).
+
+This is how you enter
+the equation $y'' + y' + y = 0$.
+
+\spadcommand{deq := D(y x, x, 2) + D(y x, x) + y x = 0}
+$$
+{{{y \sb {{\ }} \sp {,,}} \left({x} \right)}+
+{{y \sb {{\ }} \sp {,}} \left({x} \right)}+
+{y \left({x} \right)}}=0
+$$
+\returnType{Type: Equation Expression Integer}
+
+The simplest way to invoke the {\bf solve} command is with three
+arguments.
+\begin{itemize}
+\item the differential equation,
+\item the operator representing the unknown function,
+\item the dependent variable.
+\end{itemize}
+
+So, to solve the above equation, we enter this.
+
+\spadcommand{solve(deq, y, x) }
+$$
+\left[
+{particular=0},  {basis={\left[ 
+{{\cos \left({{{x \  {\sqrt {3}}} \over 2}} \right)}
+\  {e \sp {\left( -{x \over 2} \right)}}},
+{{e \sp {\left( -{x \over 2} \right)}}
+\  {\sin \left({{{x \  {\sqrt {3}}} \over 2}} \right)}}\right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: 
+List Expression Integer),...)}
+
+Since linear ordinary differential equations have infinitely many
+solutions, {\bf solve} returns a {\it particular solution} $f_p$ and a
+basis $f_1,\dots,f_n$ for the solutions of the corresponding
+homogenuous equation.  Any expression of the form 
+$$f_p + c_1 f_1 + \dots c_n f_n$$ 
+where the $c_i$ do not involve the dependent variable
+is also a solution.  This is similar to what you get when you solve
+systems of linear algebraic equations.
+
+A way to select a unique solution is to specify {\it initial
+conditions}: choose a value $a$ for the dependent variable and specify
+the values of the unknown function and its derivatives at $a$.  If the
+number of initial conditions is equal to the order of the equation,
+then the solution is unique (if it exists in closed form!) and {\bf
+solve} tries to find it.  To specify initial conditions to {\bf
+solve}, use an {\tt Equation} of the form $x = a$ for the third
+parameter instead of the dependent variable, and add a fourth
+parameter consisting of the list of values $y(a), y'(a), ...$.
+
+To find the solution of $y'' + y = 0$ satisfying $y(0) = y'(0) = 1$,
+do this.
+
+\spadcommand{deq := D(y x, x, 2) + y x }
+$$
+{{y \sb {{\ }} \sp {,,}} \left({x} \right)}+{y\left({x} \right)}
+$$
+\returnType{Type: Expression Integer}
+
+You can omit the $= 0$ when you enter the equation to be solved.
+
+\spadcommand{solve(deq, y, x = 0, [1, 1]) }
+$$
+{\sin \left({x} \right)}+{\cos\left({x} \right)}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Axiom is not limited to linear differential equations with constant
+coefficients.  It can also find solutions when the coefficients are
+rational or algebraic functions of the dependent variable.
+Furthermore, Axiom is not limited by the order of the equation.
+
+Axiom can solve the following third order equations with
+polynomial coefficients.
+
+\spadcommand{deq := x**3 * D(y x, x, 3) + x**2 * D(y x, x, 2) - 2 * x * D(y x, x) + 2 * y x = 2 * x**4 }
+$$
+{{{x \sp 3} \  {{y \sb {{\ }} \sp {,,,}} \left({x} \right)}}+
+{{x\sp 2} \  {{y \sb {{\ }} \sp {,,}} \left({x} \right)}}-
+{2 \  x \  {{y \sb {{\ }} \sp {,}} \left({x} \right)}}+
+{2\  {y \left({x} \right)}}}=
+{2\  {x \sp 4}} 
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{solve(deq, y, x) }
+$$
+\begin{array}{@{}l}
+\left[
+{particular={{{x \sp 5} -{{10} \  {x \sp 3}}+{{20} \  {x \sp 2}}+4} \over 
+{{15} \  x}}}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{basis={\left[ 
+{{{2 \  {x \sp 3}} -{3 \  {x \sp 2}}+1} \over x},  
+{{{x \sp 3} -1} \over x},  
+{{{x \sp 3} -{3 \  {x \sp 2}} -1} \over x} 
+\right]}}
+\right]
+\end{array}
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: 
+List Expression Integer),...)}
+
+Here we are solving a homogeneous equation.
+
+\spadcommand{deq := (x**9+x**3) * D(y x, x, 3) + 18 * x**8 * D(y x, x, 2) - 90 * x * D(y x, x) - 30 * (11 * x**6 - 3) * y x }
+$$
+{{\left( {x \sp 9}+{x \sp 3} \right)}\  {{y \sb {{\ }} \sp {,,,}} 
+\left({x} \right)}}+
+{{18}\  {x \sp 8} \  {{y \sb {{\ }} \sp {,,}} \left({x} \right)}}-
+{{90} \  x \  {{y \sb {{\ }} \sp {,}} \left({x} \right)}}+
+{{\left(-{{330} \  {x \sp 6}}+{90} \right)}\  {y \left({x} \right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{solve(deq, y, x) }
+$$
+\left[
+{particular=0}, 
+{basis={\left[ 
+{x \over {{x \sp 6}+1}}, 
+{{x \  {e \sp {\left( -{{\sqrt {{91}}} \  {\log \left({x} \right)}}\right)}}}
+\over {{x \sp 6}+1}}, 
+{{x \  {e \sp {\left( {\sqrt {{91}}} \  {\log \left({x} \right)}\right)}}}
+\over {{x \sp 6}+1}} 
+\right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: 
+List Expression Integer),...)}
+
+On the other hand, and in contrast with the operation {\bf integrate},
+it can happen that Axiom finds no solution and that some closed-form
+solution still exists.  While it is mathematically complicated to
+describe exactly when the solutions are guaranteed to be found, the
+following statements are correct and form good guidelines for linear
+ordinary differential equations:
+\begin{itemize}
+\item If the coefficients are constants, Axiom finds a complete basis
+of solutions (i,e, all solutions).
+\item If the coefficients are rational functions in the dependent variable,
+Axiom at least finds all solutions that do not involve algebraic
+functions.
+\end{itemize}
+
+Note that this last statement does not mean that Axiom does not find
+the solutions that are algebraic functions.  It means that it is not
+guaranteed that the algebraic function solutions will be found.
+
+This is an example where all the algebraic solutions are found.
+
+\spadcommand{deq := (x**2 + 1) * D(y x, x, 2) + 3 * x * D(y x, x) + y x = 0 }
+$$
+{{{\left( {x \sp 2}+1 \right)}\  {{y \sb {{\ }} \sp {,,}} \left({x} \right)}}+
+{3\  x \  {{y \sb {{\ }} \sp {,}} \left({x} \right)}}+
+{y\left({x} \right)}}=0
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{solve(deq, y, x) }
+$$
+\left[
+{particular=0}, 
+{basis={\left[ {1 \over {\sqrt {{{x \sp 2}+1}}}}, 
+{{\log \left({{{\sqrt {{{x \sp 2}+1}}} -x}} \right)}
+\over {\sqrt {{{x \sp 2}+1}}}} \right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: 
+List Expression Integer),...)}
+
+\subsection{Closed-Form Solutions of Non-Linear Differential Equations}
+\label{ugxProblemNLDEQClosed}
+
+This is an example that shows how to solve a non-linear first order
+ordinary differential equation manually when an integrating factor can
+be found just by integration.  At the end, we show you how to solve it
+directly.
+
+Let's solve the differential equation $y' = y / (x + y log y)$.
+
+Using the notation $m(x, y) + n(x, y) y' = 0$, we have $m = -y$ and 
+$n = x + y log y$.
+
+\spadcommand{m := -y }
+$$
+-y 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{n := x + y * log y }
+$$
+{y \  {\log \left({y} \right)}}+x
+$$
+\returnType{Type: Expression Integer}
+
+We first check for exactness, that is, does $dm/dy = dn/dx$?
+
+\spadcommand{D(m, y) - D(n, x) }
+$$
+-2 
+$$
+\returnType{Type: Expression Integer}
+
+This is not zero, so the equation is not exact.  Therefore we must
+look for an integrating factor: a function $mu(x,y)$ such that 
+$d(mu m)/dy = d(mu n)/dx$.  Normally, we first search for $mu(x,y)$
+depending only on $x$ or only on $y$.
+
+Let's search for such a $mu(x)$ first.
+
+\spadcommand{mu := operator 'mu }
+$$
+mu 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{a := D(mu(x) * m, y) - D(mu(x) * n, x) }
+$$
+{{\left( -{y \  {\log \left({y} \right)}}-x \right)}
+\  {{mu \sb {{\ }} \sp {,}} \left({x} \right)}}-
+{2 \  {mu \left({x} \right)}}
+$$
+\returnType{Type: Expression Integer}
+
+If the above is zero for a function $mu$ that does {\it not} depend on
+$y$, then $mu(x)$ is an integrating factor.
+
+\spadcommand{solve(a = 0, mu, x) }
+$$
+\left[
+{particular=0}, 
+{basis={\left[ 
+{1 \over 
+{{{y \sp 2} \  {{\log \left({y} \right)}\sp 2}}+
+{2 \  x \  y \  {\log \left({y} \right)}}+
+{x\sp 2}}} \right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: 
+List Expression Integer),...)}
+
+The solution depends on $y$, so there is no integrating factor that
+depends on $x$ only.
+
+Let's look for one that depends on $y$ only.
+
+\spadcommand{b := D(mu(y) * m, y) - D(mu(y) * n, x) }
+$$
+-{y \  {{mu \sb {{\ }} \sp {,}} \left({y} \right)}}-
+{2 \  {mu \left({y} \right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{sb := solve(b = 0, mu, y) }
+$$
+\left[
+{particular=0}, 
+{basis={\left[ {1 \over {y \sp 2}} \right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)}
+
+\noindent
+We've found one!
+
+The above $mu(y)$ is an integrating factor.  We must multiply our
+initial equation (that is, $m$ and $n$) by the integrating factor.
+
+\spadcommand{intFactor := sb.basis.1 }
+$$
+1 \over {y \sp 2} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{m := intFactor * m }
+$$
+-{1 \over y} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{n := intFactor * n }
+$$
+{{y \  {\log \left({y} \right)}}+x}\over {y \sp 2} 
+$$
+\returnType{Type: Expression Integer}
+
+Let's check for exactness.
+
+\spadcommand{D(m, y) - D(n, x) }
+$$
+0 
+$$
+\returnType{Type: Expression Integer}
+
+We must solve the exact equation, that is, find a function $s(x,y)$
+such that $ds/dx = m$ and $ds/dy = n$.
+
+We start by writing $s(x, y) = h(y) + integrate(m, x)$ where $h(y)$ is
+an unknown function of $y$.  This guarantees that $ds/dx = m$.
+
+\spadcommand{h := operator 'h }
+$$
+h 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{sol := h y + integrate(m, x) }
+$$
+{{y \  {h \left({y} \right)}}-x} \over y 
+$$
+\returnType{Type: Expression Integer}
+
+All we want is to find $h(y)$ such that $ds/dy = n$.
+
+\spadcommand{dsol := D(sol, y) }
+$$
+{{{y \sp 2} \  {{h \sb {{\ }} \sp {,}} 
+\left({y} \right)}}+x}\over {y \sp 2} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{nsol := solve(dsol = n, h, y) }
+$$
+\left[
+{particular={{{\log \left({y} \right)}\sp 2} \over 2}}, 
+{basis={\left[ 1 \right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: 
+List Expression Integer),...)}
+
+The above particular solution is the $h(y)$ we want, so we just replace
+$h(y)$ by it in the implicit solution.
+
+\spadcommand{eval(sol, h y = nsol.particular) }
+$$
+{{y \  {{\log \left({y} \right)}\sp 2}} -{2 \  x}} \over {2 \  y} 
+$$
+\returnType{Type: Expression Integer}
+
+A first integral of the initial equation is obtained by setting this
+result equal to an arbitrary constant.
+
+Now that we've seen how to solve the equation ``by hand,'' we show you
+how to do it with the {\bf solve} operation.
+
+First define $y$ to be an operator.
+
+\spadcommand{y := operator 'y }
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+Next we create the differential equation.
+
+\spadcommand{deq := D(y x, x) = y(x) / (x + y(x) * log y x) }
+$$
+{{y \sb {{\ }} \sp {,}} \left({x} \right)}=
+{{y\left({x} \right)}\over 
+{{{y \left({x} \right)}\  {\log \left({{y \left({x} \right)}}\right)}}+x}}
+$$
+\returnType{Type: Equation Expression Integer}
+
+Finally, we solve it.
+
+\spadcommand{solve(deq, y, x) }
+$$
+{{{y \left({x} \right)}\  {{\log \left({{y \left({x} \right)}}\right)}\sp 2}}-
+{2 \  x}} \over {2 \  {y \left({x} \right)}}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+\subsection{Power Series Solutions of Differential Equations}
+\label{ugxProblemDEQSeries}
+
+The command to solve differential equations in power
+\index{equation!differential!solving in power series} series
+\index{power series} around \index{series!power} a particular initial
+point with specific initial conditions is called {\bf seriesSolve}.
+It can take a variety of parameters, so we illustrate its use with
+some examples.
+
+Since the coefficients of some solutions are quite large, we reset the
+default to compute only seven terms.
+
+\spadcommand{)set streams calculate 7 }
+
+You can solve a single nonlinear equation of any order. For example,
+we solve 
+$$y''' = sin(y'') * exp(y) + cos(x)$$ subject to 
+$$y(0) = 1, y'(0) = 0, y''(0) = 0$$
+
+We first tell Axiom that the symbol $'y$ denotes a new operator.
+
+\spadcommand{y := operator 'y }
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+Enter the differential equation using $y$ like any system function.
+
+\spadcommand{eq := D(y(x), x, 3) - sin(D(y(x), x, 2))*exp(y(x)) = cos(x)}
+$$
+{{{y \sb {{\ }} \sp {,,,}} \left({x} \right)}-
+{{e \sp {y \left({x} \right)}}\  
+{\sin \left({{{y \sb {{\ }} \sp {,,}} \left({x} \right)}}\right)}}}=
+{\cos\left({x} \right)}
+$$
+\returnType{Type: Equation Expression Integer}
+
+Solve it around $x = 0$ with the initial conditions
+$y(0) = 1, y'(0) = y''(0) = 0$.
+
+\spadcommand{seriesSolve(eq, y, x = 0, [1, 0, 0])}
+$$
+1+
+{{1 \over 6} \  {x \sp 3}}+
+{{e \over {24}} \  {x \sp 4}}+
+{{{{e \sp 2} -1} \over {120}} \  {x \sp 5}}+
+{{{{e \sp 3} -{2 \  e}} \over {720}} \  {x \sp 6}}+
+{{{{e \sp 4} -{8 \  {e \sp 2}}+{4 \  e}+1} \over {5040}} \  {x \sp 7}}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,x,0)}
+
+You can also solve a system of nonlinear first order equations.  For
+example, we solve a system that has $tan(t)$ and $sec(t)$ as
+solutions.
+
+We tell Axiom that $x$ is also an operator.
+
+\spadcommand{x := operator 'x}
+$$
+x 
+$$
+\returnType{Type: BasicOperator}
+
+Enter the two equations forming our system.
+
+\spadcommand{eq1 := D(x(t), t) = 1 + x(t)**2}
+$$
+{{x \sb {{\ }} \sp {,}} \left({t} \right)}=
+{{{x\left({t} \right)}\sp 2}+1} 
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{eq2 := D(y(t), t) = x(t) * y(t)}
+$$
+{{y \sb {{\ }} \sp {,}} \left({t} \right)}=
+{{x\left({t} \right)}\  {y \left({t} \right)}}
+$$
+\returnType{Type: Equation Expression Integer}
+
+Solve the system around $t = 0$ with the initial conditions $x(0) = 0$
+and $y(0) = 1$.  Notice that since we give the unknowns in the order
+$[x, y]$, the answer is a list of two series in the order 
+$$[{\rm series\ for\ } x(t), {\rm \ series\ for\ }y(t)]$$
+
+\spadcommand{seriesSolve([eq2, eq1], [x, y], t = 0, [y(0) = 1, x(0) = 0])}
+\begin{verbatim}
+   Compiling function %BZ with type List UnivariateTaylorSeries(
+      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
+      Integer,t,0) 
+   Compiling function %CA with type List UnivariateTaylorSeries(
+      Expression Integer,t,0) -> UnivariateTaylorSeries(Expression 
+      Integer,t,0) 
+\end{verbatim}
+$$
+\left[
+{t+
+{{1 \over 3} \  {t \sp 3}}+
+{{2 \over {15}} \  {t \sp 5}}+
+{{{17} \over {315}} \  {t \sp 7}}+
+{O \left({{t \sp 8}} \right)}},
+{1+{{1 \over 2} \  {t \sp 2}}+
+{{5 \over {24}} \  {t \sp 4}}+
+{{{61} \over {720}} \  {t \sp 6}}+
+{O \left({{t \sp 8}} \right)}}
+\right]
+$$
+\returnType{Type: List UnivariateTaylorSeries(Expression Integer,t,0)}
+
+\noindent
+The order in which we give the equations and the initial conditions
+has no effect on the order of the solution.
+
+\section{Finite Fields}
+\label{ugProblemFinite}
+
+A {\it finite field} (also called a {\it Galois field}) is a finite
+algebraic structure where one can add, multiply and divide under the
+same laws (for example, commutativity, associativity or
+distributivity) as apply to the rational, real or complex numbers.
+Unlike those three fields, for any finite field there exists a
+positive prime integer $p$, called the {\bf characteristic}, such that
+$p x = 0$ for any element $x$ in the finite field.  In fact, the
+number of elements in a finite field is a power of the characteristic
+and for each prime $p$ and positive integer $n$ there exists exactly
+one finite field with $p^n$ elements, up to isomorphism.\footnote{For
+more information about the algebraic structure and properties of
+finite fields, see, for example, S.  Lang, {\it Algebra}, Second
+Edition, New York: Addison-Wesley Publishing Company, Inc., 1984, ISBN
+0 201 05487 6; or R.  Lidl, H.  Niederreiter, {\it Finite Fields},
+Encyclopedia of Mathematics and Its Applications, Vol.  20, Cambridge:
+Cambridge Univ.  Press, 1983, ISBN 0 521 30240 4.}
+
+When $n = 1,$ the field has $p$ elements and is called a {\it prime
+field}, discussed in the next section.  There are several ways of
+implementing extensions of finite fields, and Axiom provides quite a
+bit of freedom to allow you to choose the one that is best for your
+application.  Moreover, we provide operations for converting among the
+different representations of extensions and different extensions of a
+single field.  Finally, note that you usually need to package-call
+operations from finite fields if the operations do not take as an
+argument an object of the field.  See 
+\ref{ugTypesPkgCall} on page~\pageref{ugTypesPkgCall} for more
+information on package-calling.
+
+\subsection{Modular Arithmetic and Prime Fields}
+\label{ugxProblemFinitePrime}
+\index{finite field}
+\index{Galois!field}
+\index{field!finite!prime}
+\index{field!prime}
+\index{field!Galois}
+\index{prime field}
+\index{modular arithmetic}
+\index{arithmetic!modular}
+
+Let $n$ be a positive integer.  It is well known that you can get the
+same result if you perform addition, subtraction or multiplication of
+integers and then take the remainder on dividing by $n$ as if you had
+first done such remaindering on the operands, performed the arithmetic
+and then (if necessary) done remaindering again.  This allows us to
+speak of arithmetic {\it modulo} $n$ or, more simply {\it mod} $n$.
+
+In Axiom, you use {\tt IntegerMod} to do such arithmetic.
+
+\spadcommand{(a,b) : IntegerMod 12 }
+\returnType{Type: Void}
+
+\spadcommand{(a, b) := (16, 7) }
+$$
+7 
+$$
+\returnType{Type: IntegerMod 12}
+
+\spadcommand{[a - b, a * b] }
+$$
+\left[
+9, 4 
+\right]
+$$
+\returnType{Type: List IntegerMod 12}
+
+If $n$ is not prime, there is only a limited notion of reciprocals and
+division.
+
+\spadcommand{a / b }
+\begin{verbatim}
+   There are 12 exposed and 13 unexposed library operations named / 
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                                )display op /
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named / 
+      with argument type(s) 
+                                IntegerMod 12
+                                IntegerMod 12
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+\end{verbatim}
+
+\spadcommand{recip a }
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+Here $7$ and $12$ are relatively prime, so $7$ has a multiplicative
+inverse modulo $12$.
+
+\spadcommand{recip b }
+$$
+7 
+$$
+\returnType{Type: Union(IntegerMod 12,...)}
+
+If we take $n$ to be a prime number $p$, then taking inverses and,
+therefore, division are generally defined.
+
+Use {\tt PrimeField} instead of {\tt IntegerMod} for $n$ prime.
+
+\spadcommand{c : PrimeField 11 := 8 }
+$$
+8 
+$$
+\returnType{Type: PrimeField 11}
+
+\spadcommand{inv c }
+$$
+7 
+$$
+\returnType{Type: PrimeField 11}
+
+You can also use $1/c$ and $c**(-1)$ for the inverse of $c$.
+
+\spadcommand{9/c }
+$$
+8 
+$$
+\returnType{Type: PrimeField 11}
+
+{\tt PrimeField} (abbreviation {\tt PF}) checks if its argument is
+prime when you try to use an operation from it.  If you know the
+argument is prime (particularly if it is large), {\tt InnerPrimeField}
+(abbreviation {\tt IPF}) assumes the argument has already been
+verified to be prime.  If you do use a number that is not prime, you
+will eventually get an error message, most likely a division by zero
+message.  For computer science applications, the most important finite
+fields are {\tt PrimeField 2} and its extensions.
+
+In the following examples, we work with the finite field with 
+$p = 101$ elements.
+
+\spadcommand{GF101 := PF 101  }
+$$
+\mbox{\rm PrimeField 101} 
+$$
+\returnType{Type: Domain}
+
+Like many domains in Axiom, finite fields provide an operation for
+returning a random element of the domain.
+
+\spadcommand{x := random()\$GF101 }
+$$
+8 
+$$
+\returnType{Type: PrimeField 101}
+
+\spadcommand{y : GF101 := 37 }
+$$
+37 
+$$
+\returnType{Type: PrimeField 101}
+
+\spadcommand{z := x/y }
+$$
+63 
+$$
+\returnType{Type: PrimeField 101}
+
+\spadcommand{z * y - x }
+$$
+0 
+$$
+\returnType{Type: PrimeField 101}
+
+The element $2$ is a {\it primitive element} of this field,
+\index{primitive element}
+\index{element!primitive}
+
+\spadcommand{pe := primitiveElement()\$GF101 }
+$$
+2 
+$$
+\returnType{Type: PrimeField 101}
+
+in the sense that its powers enumerate all nonzero elements.
+
+\spadcommand{[pe**i for i in 0..99] }
+$$
+\begin{array}{@{}l}
+\left[
+1, 2, 4, 8, {16}, {32}, {64}, {27}, {54}, 7, {14}, {28}, {56}, 
+{11}, {22}, {44}, {88}, {75}, {49}, {98}, 
+\right.
+\\
+\displaystyle
+{95}, {89}, {77}, {53}, 5, {10}, {20}, {40}, {80}, {59}, {17}, 
+{34}, {68}, {35}, {70}, {39}, {78}, {55}, 9, 
+\\
+\displaystyle
+{18}, {36}, {72}, {43}, {86}, {71}, {41}, {82}, {63}, {25}, 
+{50}, {100}, {99}, {97}, {93}, {85}, {69}, {37}, 
+\\
+\displaystyle
+{74}, {47}, {94}, {87}, {73}, {45}, {90}, {79}, {57}, {13}, 
+{26}, {52}, 3, 6, {12}, {24}, {48}, {96}, {91}, 
+\\
+\displaystyle
+{81}, {61}, {21}, {42}, {84}, {67}, {33}, {66}, {31}, {62}, 
+{23}, {46}, {92}, {83}, {65}, {29}, {58}, {15}, {30}, 
+\\
+\displaystyle
+\left.
+{60}, {19}, {38}, {76}, {51} 
+\right]
+\end{array}
+$$
+\returnType{Type: List PrimeField 101}
+
+If every nonzero element is a power of a primitive element, how do you
+determine what the exponent is?  Use \index{discrete logarithm} 
+{\bf discreteLog}.  \index{logarithm!discrete}
+
+\spadcommand{ex := discreteLog(y) }
+$$
+56 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{pe ** ex }
+$$
+37 
+$$
+\returnType{Type: PrimeField 101}
+
+The {\bf order} of a nonzero element $x$ is the smallest positive
+integer $t$ such $x^t = 1$.
+
+\spadcommand{order y }
+$$
+25 
+$$
+\returnType{Type: PositiveInteger}
+
+The order of a primitive element is the defining $p-1$.
+
+\spadcommand{order pe }
+$$
+100 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Extensions of Finite Fields}
+\label{ugxProblemFiniteExtensionFinite}
+\index{finite field}
+\index{field!finite!extension of}
+
+When you want to work with an extension of a finite field in Axiom,
+you have three choices to make:
+\begin{enumerate}
+\item Do you want to generate an extension of the prime field
+(for example, {\tt PrimeField 2}) or an extension of a given field?
+\item Do you want to use a representation that is particularly
+efficient for multiplication, exponentiation and addition but uses a
+lot of computer memory (a representation that models the cyclic group
+structure of the multiplicative group of the field extension and uses
+a Zech logarithm table), one that \index{Zech logarithm} uses a normal
+basis for the vector space structure of the field extension, or one
+that performs arithmetic modulo an irreducible polynomial?  The cyclic
+group representation is only usable up to ``medium'' (relative to your
+machine's performance) sized fields.  If the field is large and the
+normal basis is relatively simple, the normal basis representation is
+more efficient for exponentiation than the irreducible polynomial
+representation.
+\item Do you want to provide a polynomial explicitly, a root of which
+``generates'' the extension in one of the three senses in (2), or do
+you wish to have the polynomial generated for you?
+\end{enumerate}
+
+This illustrates one of the most important features of Axiom: you can
+choose exactly the right data-type and representation to suit your
+application best.
+
+We first tell you what domain constructors to use for each case above,
+and then give some examples.
+
+\hangafter=1\hangindent=2pc
+Constructors that automatically generate extensions of the prime field:
+\newline
+{\tt FiniteField} \newline
+{\tt FiniteFieldCyclicGroup} \newline
+{\tt FiniteFieldNormalBasis}
+
+\hangafter=1\hangindent=2pc
+Constructors that generate extensions of an arbitrary field:
+\newline
+{\tt FiniteFieldExtension} \newline
+{\tt FiniteFieldExtensionByPolynomial} \newline
+{\tt FiniteFieldCyclicGroupExtension} \newline
+{\tt FiniteFieldCyclicGroupExtensionByPolynomial} \newline
+{\tt FiniteFieldNormalBasisExtension} \newline
+{\tt FiniteFieldNormalBasisExtensionByPolynomial}
+
+\hangafter=1\hangindent=2pc
+Constructors that use a cyclic group representation:
+\newline
+{\tt FiniteFieldCyclicGroup} \newline
+{\tt FiniteFieldCyclicGroupExtension} \newline
+{\tt FiniteFieldCyclicGroupExtensionByPolynomial}
+
+\hangafter=1\hangindent=2pc
+Constructors that use a normal basis representation:
+\newline
+{\tt FiniteFieldNormalBasis} \newline
+{\tt FiniteFieldNormalBasisExtension} \newline
+{\tt FiniteFieldNormalBasisExtensionByPolynomial}
+
+\hangafter=1\hangindent=2pc
+Constructors that use an irreducible modulus polynomial representation:
+\newline
+{\tt FiniteField} \newline
+{\tt FiniteFieldExtension} \newline
+{\tt FiniteFieldExtensionByPolynomial}
+
+\hangafter=1\hangindent=2pc
+Constructors that generate a polynomial for you:
+\newline
+{\tt FiniteField} \newline
+{\tt FiniteFieldExtension} \newline
+{\tt FiniteFieldCyclicGroup} \newline
+{\tt FiniteFieldCyclicGroupExtension} \newline
+{\tt FiniteFieldNormalBasis} \newline
+{\tt FiniteFieldNormalBasisExtension}
+
+\hangafter=1\hangindent=2pc
+Constructors for which you provide a polynomial:
+\newline
+{\tt FiniteFieldExtensionByPolynomial} \newline
+{\tt FiniteFieldCyclicGroupExtensionByPolynomial} \newline
+{\tt FiniteFieldNormalBasisExtensionByPolynomial}
+
+These constructors are discussed in the following sections where we
+collect together descriptions of extension fields that have the same
+underlying representation.\footnote{For more information on the
+implementation aspects of finite fields, see J. Grabmeier,
+A. Scheerhorn, {\it Finite Fields in AXIOM,} Technical Report, IBM
+Heidelberg Scientific Center, 1992.}
+
+If you don't really care about all this detail, just use {\tt
+FiniteField}.  As your knowledge of your application and its Axiom
+implementation grows, you can come back and choose an alternative
+constructor that may improve the efficiency of your code.  Note that
+the exported operations are almost the same for all constructors of
+finite field extensions and include the operations exported by {\tt
+PrimeField}.
+
+\subsection{Irreducible Modulus Polynomial Representations}
+\label{ugxProblemFiniteModulus}
+
+All finite field extension constructors discussed in this
+\index{finite field} section \index{field!finite!extension of} use a
+representation that performs arithmetic with univariate (one-variable)
+polynomials modulo an irreducible polynomial.  This polynomial may be
+given explicitly by you or automatically generated.  The ground field
+may be the prime field or one you specify.  See
+\ref{ugxProblemFiniteExtensionFinite} on 
+page~\pageref{ugxProblemFiniteExtensionFinite} for general information about
+finite field extensions.
+
+For {\tt FiniteField} (abbreviation {\tt FF}) you provide a prime
+number $p$ and an extension degree $n$.  This degree can be 1.
+
+Axiom uses the prime field {\tt PrimeField(p)}, here {\tt PrimeField 2}, 
+and it chooses an irreducible polynomial of degree $n$, here 12,
+over the ground field.
+
+\spadcommand{GF4096 := FF(2,12); }
+\returnType{Type: Domain}
+
+The objects in the generated field extension are polynomials of degree
+at most $n-1$ with coefficients in the prime field.  The polynomial
+indeterminate is automatically chosen by Axiom and is typically
+something like $\%A$ or $\%D$.  These (strange) variables are 
+{\it only} for output display; there are several ways to construct 
+elements of this field.
+
+The operation {\bf index} enumerates the elements of the field
+extension and accepts as argument the integers from 1 to $p ^ n$.
+
+The expression $index(p)$ always gives the indeterminate.
+
+\spadcommand{a := index(2)\$GF4096 }
+$$
+\%A 
+$$
+\returnType{Type: FiniteField(2,12)}
+
+You can build polynomials in $a$ and calculate in $GF4096$.
+
+\spadcommand{b := a**12 - a**5 + a }
+$$
+{ \%A \sp 5}+{ \%A \sp 3}+ \%A+1 
+$$
+\returnType{Type: FiniteField(2,12)}
+
+\spadcommand{b ** 1000 }
+$$
+{ \%A \sp {10}}+
+{ \%A \sp 9}+
+{ \%A \sp 7}+
+{ \%A \sp 5}+
+{ \%A \sp 4}+
+{  \%A \sp 3}+ 
+\%A 
+$$
+\returnType{Type: FiniteField(2,12)}
+
+\spadcommand{c := a/b }
+$$
+{ \%A \sp {11}}+
+{ \%A \sp 8}+
+{ \%A \sp 7}+
+{ \%A \sp 5}+
+{ \%A \sp 4}+
+{  \%A \sp 3}+
+{ \%A \sp 2} 
+$$
+\returnType{Type: FiniteField(2,12)}
+
+Among the available operations are {\bf norm} and {\bf trace}.
+
+\spadcommand{norm c }
+$$
+1 
+$$
+\returnType{Type: PrimeField 2}
+
+\spadcommand{trace c }
+$$
+0 
+$$
+\returnType{Type: PrimeField 2}
+
+Since any nonzero element is a power of a primitive element, how do we
+discover what the exponent is?
+
+The operation {\bf discreteLog} calculates \index{discrete logarithm}
+the exponent and, \index{logarithm!discrete} if it is called with only
+one argument, always refers to the primitive element returned by {\bf
+primitiveElement}.
+
+\spadcommand{dL := discreteLog a }
+$$
+1729 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{g ** dL }
+$$
+g \sp {1729} 
+$$
+\returnType{Type: Polynomial Integer}
+
+{\tt FiniteFieldExtension} (abbreviation {\tt FFX}) is similar to {\tt
+FiniteField} except that the ground-field for {\tt FiniteFieldExtension} 
+is arbitrary and chosen by you.
+
+In case you select the prime field as ground field, there is
+essentially no difference between the constructed two finite field
+extensions.
+
+\spadcommand{GF16 := FF(2,4); }
+\returnType{Type: Domain}
+
+\spadcommand{GF4096 := FFX(GF16,3); }
+\returnType{Type: Domain}
+
+\spadcommand{r := (random()\$GF4096) ** 20 }
+$$
+{{\left( { \%B \sp 2}+1 \right)}\  { \%C \sp 2}}+
+{{\left( { \%B \sp 3}+{ \%B \sp 2}+1 \right)}\  \%C}+
+{ \%B \sp 3}+
+{ \%B \sp 2}+ 
+\%B+1 
+$$
+\returnType{Type: FiniteFieldExtension(FiniteField(2,4),3)}
+
+\spadcommand{norm(r) }
+$$
+{ \%B \sp 2}+ \%B 
+$$
+\returnType{Type: FiniteField(2,4)}
+
+{\tt FiniteFieldExtensionByPolynomial} (abbreviation {\tt FFP})
+is similar to {\tt FiniteField} and {\tt FiniteFieldExtension}
+but is more general.
+
+\spadcommand{GF4 := FF(2,2); }
+\returnType{Type: Domain}
+
+\spadcommand{f := nextIrreduciblePoly(random(6)\$FFPOLY(GF4))\$FFPOLY(GF4) }
+$$
+{? \sp 6}+
+{{\left( \%D+1 \right)}\  {? \sp 5}}+
+{{\left( \%D+1 \right)}\  {? \sp 4}}+
+{{\left( \%D+1 \right)}\  ?}+1 
+$$
+\returnType{Type: Union(SparseUnivariatePolynomial FiniteField(2,2),...)}
+
+For {\tt FFP} you choose both the ground field and the irreducible
+polynomial used in the representation.  The degree of the extension is
+the degree of the polynomial.
+
+\spadcommand{GF4096 := FFP(GF4,f); }
+\returnType{Type: Domain}
+
+\spadcommand{discreteLog random()\$GF4096 }
+$$
+582 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Cyclic Group Representations}
+\label{ugxProblemFiniteCyclic}
+\index{finite field}
+\index{field!finite!extension of}
+
+In every finite field there exist elements whose powers are all the
+nonzero elements of the field.  Such an element is called a 
+{\it primitive element}.
+
+In {\tt FiniteFieldCyclicGroup} (abbreviation {\tt FFCG})
+\index{group!cyclic} the nonzero elements are represented by the
+powers of a fixed primitive \index{element!primitive} element
+\index{primitive element} of the field (that is, a generator of its
+cyclic multiplicative group).  Multiplication (and hence
+exponentiation) using this representation is easy.  To do addition, we
+consider our primitive element as the root of a primitive polynomial
+(an irreducible polynomial whose roots are all primitive).  See
+\ref{ugxProblemFiniteUtility} on page~\pageref{ugxProblemFiniteUtility} 
+for examples of how to compute such a polynomial.
+
+To use {\tt FiniteFieldCyclicGroup} you provide a prime number and an
+extension degree.
+\spadcommand{GF81 := FFCG(3,4); }
+\returnType{Type: Domain}
+
+Axiom uses the prime field, here {\tt PrimeField 3}, as the ground
+field and it chooses a primitive polynomial of degree $n$, here 4,
+over the prime field.
+
+\spadcommand{a := primitiveElement()\$GF81 }
+$$
+ \%F \sp 1 
+$$
+\returnType{Type: FiniteFieldCyclicGroup(3,4)}
+
+You can calculate in $GF81$.
+
+\spadcommand{b  := a**12 - a**5 + a }
+$$
+ \%F \sp {72} 
+$$
+\returnType{Type: FiniteFieldCyclicGroup(3,4)}
+
+In this representation of finite fields the discrete logarithm of an
+element can be seen directly in its output form.
+
+\spadcommand{b }
+$$
+ \%F \sp {72} 
+$$
+\returnType{Type: FiniteFieldCyclicGroup(3,4)}
+
+\spadcommand{discreteLog b }
+$$
+72 
+$$
+\returnType{Type: PositiveInteger}
+
+{\tt FiniteFieldCyclicGroupExtension} (abbreviation {\tt FFCGX}) is
+similar to {\tt FiniteFieldCyclicGroup} except that the ground field
+for {\tt FiniteFieldCyclicGroupExtension} is arbitrary and chosen by
+you.  In case you select the prime field as ground field, there is
+essentially no difference between the constructed two finite field
+extensions.
+
+\spadcommand{GF9 := FF(3,2); }
+\returnType{Type: Domain}
+
+\spadcommand{GF729 := FFCGX(GF9,3); }
+\returnType{Type: Domain}
+
+\spadcommand{r := (random()\$GF729) ** 20 }
+$$
+ \%H \sp {420} 
+$$
+\returnType{Type: FiniteFieldCyclicGroupExtension(FiniteField(3,2),3)}
+
+\spadcommand{trace(r) }
+$$
+0 
+$$
+\returnType{Type: FiniteField(3,2)}
+
+{\tt FiniteFieldCyclicGroupExtensionByPolynomial} (abbreviation 
+{\tt FFCGP}) is similar to {\tt FiniteFieldCyclicGroup} and 
+{\tt FiniteFieldCyclicGroupExtension} but is more general.  For 
+{\tt FiniteFieldCyclicGroupExtensionByPolynomial} you choose both the
+ground field and the irreducible polynomial used in the
+representation.  The degree of the extension is the degree of the
+polynomial.
+
+\spadcommand{GF3  := PrimeField 3; }
+\returnType{Type: Domain}
+
+We use a utility operation to generate an irreducible primitive
+polynomial (see 
+\ref{ugxProblemFiniteUtility} on page~\pageref{ugxProblemFiniteUtility}).  
+The polynomial has one variable that is ``anonymous'': 
+it displays as a question mark.
+
+\spadcommand{f := createPrimitivePoly(4)\$FFPOLY(GF3) }
+$$
+{? \sp 4}+?+2 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 3}
+
+\spadcommand{GF81 := FFCGP(GF3,f); }
+\returnType{Type: Domain}
+
+Let's look at a random element from this field.
+
+\spadcommand{random()\$GF81 }
+$$
+ \%K \sp {13} 
+$$
+\returnType{Type: 
+FiniteFieldCyclicGroupExtensionByPolynomial(PrimeField 3,?**4+?+2)}
+
+\subsection{Normal Basis Representations}
+\label{ugxProblemFiniteNormal}
+\index{finite field}
+\index{field!finite!extension of}
+\index{basis!normal}
+\index{normal basis}
+
+Let $K$ be a finite extension of degree $n$ of the finite field $F$
+and let $F$ have $q$ elements.  An element $x$ of $K$ is said to be
+{\it normal} over $F$ if the elements
+
+$$1, x^q, x^{q^2}, \ldots, x^{q^{n-1}}$$
+
+form a basis of $K$ as a vector space over $F$.  Such a basis is
+called a {\it normal basis}.\footnote{This agrees with the general
+definition of a normal basis because the $n$ distinct powers of the
+automorphism $x \mapsto x^q$ constitute the Galois group of $K/F$.}
+
+If $x$ is normal over $F$, its minimal \index{polynomial!minimal}
+polynomial is also said to be {\it normal} over $F$.  
+\index{minimal polynomial} 
+There exist normal bases for all finite extensions of arbitrary 
+finite fields.
+
+In {\tt FiniteFieldNormalBasis} (abbreviation {\tt FFNB}), the
+elements of the finite field are represented by coordinate vectors
+with respect to a normal basis.
+
+You provide a prime $p$ and an extension degree $n$.
+
+\spadcommand{K := FFNB(3,8) }
+$$
+FiniteFieldNormalBasis(3,8) 
+$$
+\returnType{Type: Domain}
+
+Axiom uses the prime field {\tt PrimeField(p)}, here {\tt PrimeField
+3}, and it chooses a normal polynomial of degree $n$, here 8, over the
+ground field.  The remainder class of the indeterminate is used as the
+normal element.  The polynomial indeterminate is automatically chosen
+by Axiom and is typically something like $\%A$ or $\%D$.  These
+(strange) variables are only for output display; there are several
+ways to construct elements of this field.  The output of the basis
+elements is something like $\%A^{q^i}.$
+
+\spadcommand{a := normalElement()\$K }
+$$
+ \%I 
+$$
+\returnType{Type: FiniteFieldNormalBasis(3,8)}
+
+You can calculate in $K$ using $a$.
+
+\spadcommand{b  := a**12 - a**5 + a }
+$$
+{2 \  { \%I \sp {q \sp 7}}}+{ \%I \sp {q \sp 5}}+{ \%I \sp q} 
+$$
+\returnType{Type: FiniteFieldNormalBasis(3,8)}
+
+{\tt FiniteFieldNormalBasisExtension} (abbreviation {\tt FFNBX}) is
+similar to {\tt FiniteFieldNormalBasis} except that the groundfield
+for {\tt FiniteFieldNormalBasisExtension} is arbitrary and chosen by
+you.  In case you select the prime field as ground field, there is
+essentially no difference between the constructed two finite field
+extensions.
+
+\spadcommand{GF9 := FFNB(3,2); }
+\returnType{Type: Domain}
+
+\spadcommand{GF729 := FFNBX(GF9,3); }
+\returnType{Type: Domain}
+
+\spadcommand{r := random()\$GF729 }
+$$
+2 \  \%K \  { \%L \sp q} 
+$$
+\returnType{Type: 
+FiniteFieldNormalBasisExtension(FiniteFieldNormalBasis(3,2),3)}
+
+\spadcommand{r + r**3 + r**9 + r**27 }
+$$
+{2 \  \%K \  { \%L \sp {q \sp 2}}}+
+{{\left( {2 \  { \%K \sp q}}+{2 \   \%K} \right)}\  { \%L \sp q}}+
+{2 \  { \%K \sp q} \  \%L} 
+$$
+\returnType{Type: 
+FiniteFieldNormalBasisExtension(FiniteFieldNormalBasis(3,2),3)}
+
+{\tt FiniteFieldNormalBasisExtensionByPolynomial} (abbreviation 
+{\tt FFNBP}) is similar to {\tt FiniteFieldNormalBasis} and 
+{\tt FiniteFieldNormalBasisExtension} but is more general.  For 
+{\tt FiniteFieldNormalBasisExtensionByPolynomial} you choose both the
+ground field and the irreducible polynomial used in the representation.  
+The degree of the extension is the degree of the polynomial.
+
+\spadcommand{GF3 := PrimeField 3; }
+\returnType{Type: Domain}
+
+We use a utility operation to generate an irreducible normal
+polynomial (see 
+\ref{ugxProblemFiniteUtility} on page~\pageref{ugxProblemFiniteUtility}).  
+The polynomial has
+one variable that is ``anonymous'': it displays as a question mark.
+
+\spadcommand{f := createNormalPoly(4)\$FFPOLY(GF3) }
+$$
+{? \sp 4}+{2 \  {? \sp 3}}+2 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 3}
+
+\spadcommand{GF81 := FFNBP(GF3,f); }
+\returnType{Type: Domain}
+
+Let's look at a random element from this field.
+
+\spadcommand{r := random()\$GF81 }
+$$
+{ \%M \sp {q \sp 2}}+{2 \  { \%M \sp q}}+{2 \  \%M} 
+$$
+\returnType{Type: 
+FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?**4+2*?**3+2)}
+
+\spadcommand{r * r**3 * r**9 * r**27 }
+$$
+{2 \  { \%M \sp {q \sp 3}}}+
+{2 \  { \%M \sp {q \sp 2}}}+
+{2 \  { \%M \sp q}}+
+{2 \  \%M} 
+$$
+\returnType{Type: 
+FiniteFieldNormalBasisExtensionByPolynomial(PrimeField 3,?**4+2*?**3+2)}
+
+\spadcommand{norm r }
+$$
+2 
+$$
+\returnType{Type: PrimeField 3}
+
+\subsection{Conversion Operations for Finite Fields}
+\label{ugxProblemFiniteConversion}
+\index{field!finite!conversions}
+
+Let $K$ be a finite field.
+
+\spadcommand{K := PrimeField 3 }
+$$
+\mbox{\rm PrimeField 3} 
+$$
+\returnType{Type: Domain}
+
+An extension field $K_m$ of degree $m$ over $K$ is a subfield of an
+extension field $K_n$ of degree $n$ over $K$ if and only if $m$
+divides $n$.
+
+\begin{center}
+\begin{tabular}{ccc}
+$K_n$ \\
+$|$ \\
+$K_m$ & $\Longleftrightarrow$ & $m | n$ \\
+$|$ \\
+K
+\end{tabular}
+\end{center}
+
+{\tt FiniteFieldHomomorphisms} provides conversion operations between
+different extensions of one fixed finite ground field and between
+different representations of these finite fields.
+
+Let's choose $m$ and $n$,
+
+\spadcommand{(m,n) := (4,8) }
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+build the field extensions,
+
+\spadcommand{Km := FiniteFieldExtension(K,m) }
+$$
+\mbox{\rm FiniteFieldExtension(PrimeField 3,4)} 
+$$
+\returnType{Type: Domain}
+
+and pick two random elements from the smaller field.
+
+\spadcommand{Kn := FiniteFieldExtension(K,n) }
+$$
+\mbox{\rm FiniteFieldExtension(PrimeField 3,8)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{a1 := random()\$Km }
+$$
+{2 \  { \%A \sp 3}}+{ \%A \sp 2} 
+$$
+\returnType{Type: FiniteFieldExtension(PrimeField 3,4)}
+
+\spadcommand{b1 := random()\$Km }
+$$
+{ \%A \sp 3}+{ \%A \sp 2}+{2 \  \%A}+1 
+$$
+\returnType{Type: FiniteFieldExtension(PrimeField 3,4)}
+
+Since $m$ divides $n$,
+$K_m$ is a subfield of $K_n$.
+
+\spadcommand{a2 := a1 :: Kn }
+$$
+ \%B \sp 4 
+$$
+\returnType{Type: FiniteFieldExtension(PrimeField 3,8)}
+
+Therefore we can convert the elements of $K_m$
+into elements of $K_n$.
+
+\spadcommand{b2 := b1 :: Kn }
+$$
+{2 \  { \%B \sp 6}}+{2 \  { \%B \sp 4}}+{ \%B \sp 2}+1 
+$$
+\returnType{Type: FiniteFieldExtension(PrimeField 3,8)}
+
+To check this, let's do some arithmetic.
+
+\spadcommand{a1+b1 - ((a2+b2) :: Km) }
+$$
+0 
+$$
+\returnType{Type: FiniteFieldExtension(PrimeField 3,4)}
+
+\spadcommand{a1*b1 - ((a2*b2) :: Km) }
+$$
+0 
+$$
+\returnType{Type: FiniteFieldExtension(PrimeField 3,4)}
+
+There are also conversions available for the situation, when $K_m$ and
+$K_n$ are represented in different ways (see
+\ref{ugxProblemFiniteExtensionFinite} on 
+page~\pageref{ugxProblemFiniteExtensionFinite}).  For example let's choose
+$K_m$ where the representation is 0 plus the cyclic multiplicative
+group and $K_n$ with a normal basis representation.
+
+\spadcommand{Km := FFCGX(K,m) }
+$$
+\mbox{\rm FiniteFieldCyclicGroupExtension(PrimeField 3,4)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{Kn := FFNBX(K,n) }
+$$
+\mbox{\rm FiniteFieldNormalBasisExtension(PrimeField 3,8)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{(a1,b1) := (random()\$Km,random()\$Km) }
+$$
+ \%C \sp {13} 
+$$
+\returnType{Type: FiniteFieldCyclicGroupExtension(PrimeField 3,4)}
+
+\spadcommand{a2 := a1 :: Kn }
+$$
+{2 \  { \%D \sp {q \sp 6}}}+
+{2 \  { \%D \sp {q \sp 5}}}+
+{2 \  { \%D \sp {q \sp 4}}}+
+{2 \  { \%D \sp {q \sp 2}}}+
+{2 \  { \%D \sp q}}+
+{2 \  \%D} 
+$$
+\returnType{Type: FiniteFieldNormalBasisExtension(PrimeField 3,8)}
+
+\spadcommand{b2 := b1 :: Kn }
+$$
+{2 \  { \%D \sp {q \sp 7}}}+
+{ \%D \sp {q \sp 6}}+
+{ \%D \sp {q \sp 5}}+
+{ \%D \sp {q \sp 4}}+
+{2 \  { \%D \sp {q \sp 3}}}+
+{ \%D \sp {q \sp 2}}+
+{ \%D \sp q}+ 
+\%D 
+$$
+\returnType{Type: FiniteFieldNormalBasisExtension(PrimeField 3,8)}
+
+Check the arithmetic again.
+
+\spadcommand{a1+b1 - ((a2+b2) :: Km) }
+$$
+0 
+$$
+\returnType{Type: FiniteFieldCyclicGroupExtension(PrimeField 3,4)}
+
+\spadcommand{a1*b1 - ((a2*b2) :: Km) }
+$$
+0 
+$$
+\returnType{Type: FiniteFieldCyclicGroupExtension(PrimeField 3,4)}
+
+\subsection{Utility Operations for Finite Fields}
+\label{ugxProblemFiniteUtility}
+
+{\tt FiniteFieldPolynomialPackage} (abbreviation {\tt FFPOLY})
+provides operations for generating, counting and testing polynomials
+over finite fields. Let's start with a couple of definitions:
+\begin{itemize}
+\item A polynomial is {\it primitive} if its roots are primitive
+\index{polynomial!primitive}
+elements in an extension of the coefficient field of degree equal
+to the degree of the polynomial.
+\item A polynomial is {\it normal} over its coefficient field
+\index{polynomial!normal}
+if its roots are linearly independent
+elements in an extension of the coefficient field of degree equal
+to the degree of the polynomial.
+\end{itemize}
+
+In what follows, many of the generated polynomials have one
+``anonymous'' variable.  This indeterminate is displayed as a question
+mark ({\tt ``?''}).
+
+To fix ideas, let's use the field with five elements for the first
+few examples.
+
+\spadcommand{GF5 := PF 5; }
+\returnType{Type: Domain}
+
+You can generate irreducible polynomials of any (positive) degree
+\index{polynomial!irreducible} (within the storage capabilities of the
+computer and your ability to wait) by using
+\spadfunFrom{createIrreduciblePoly}{FiniteFieldPolynomialPackage}.
+
+\spadcommand{f := createIrreduciblePoly(8)\$FFPOLY(GF5) }
+$$
+{? \sp 8}+{? \sp 4}+2 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+Does this polynomial have other important properties? Use
+{\bf primitive?} to test whether it is a primitive polynomial.
+
+\spadcommand{primitive?(f)\$FFPOLY(GF5) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Use {\bf normal?} to test whether it is a normal polynomial.
+
+\spadcommand{normal?(f)\$FFPOLY(GF5) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\noindent
+Note that this is actually a trivial case, because a normal polynomial
+of degree $n$ must have a nonzero term of degree $n-1$.  We will refer
+back to this later.
+
+To get a primitive polynomial of degree 8 just issue this.
+
+\spadcommand{p := createPrimitivePoly(8)\$FFPOLY(GF5) }
+$$
+{? \sp 8}+{? \sp 3}+{? \sp 2}+?+2 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+\spadcommand{primitive?(p)\$FFPOLY(GF5) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+This polynomial is not normal,
+
+\spadcommand{normal?(p)\$FFPOLY(GF5) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+but if you want a normal one simply write this.
+
+\spadcommand{n := createNormalPoly(8)\$FFPOLY(GF5)  }
+$$
+{? \sp 8}+{4 \  {? \sp 7}}+{? \sp 3}+1 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+This polynomial is not primitive!
+
+\spadcommand{primitive?(n)\$FFPOLY(GF5) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+This could have been seen directly, as the constant term is 1 here,
+which is not a primitive element up to the factor ($-1$) raised to the
+degree of the polynomial.\footnote{Cf. Lidl, R. \& Niederreiter, H.,
+{\it Finite Fields,} Encycl. of Math. 20, (Addison-Wesley, 1983),
+p.90, Th. 3.18.}
+
+What about polynomials that are both primitive and normal?  The
+existence of such a polynomial is by no means obvious.
+\footnote{The existence of such polynomials is proved in
+Lenstra, H. W. \& Schoof, R. J., {\it Primitive
+Normal Bases for Finite Fields,} Math. Comp. 48, 1987, pp. 217-231.}
+%
+
+If you really need one use either
+\spadfunFrom{createPrimitiveNormalPoly}{FiniteFieldPolynomialPackage} or
+\spadfunFrom{createNormalPrimitivePoly}{FiniteFieldPolynomialPackage}.
+
+\spadcommand{createPrimitiveNormalPoly(8)\$FFPOLY(GF5) }
+$$
+{? \sp 8}+{4 \  {? \sp 7}}+{2 \  {? \sp 5}}+2 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+If you want to obtain additional polynomials of the various types
+above as given by the {\bf create...} operations above, you can use
+the {\bf next...} operations.  For instance,
+\spadfunFrom{nextIrreduciblePoly}{FiniteFieldPolynomialPackage} yields
+the next monic irreducible polynomial with the same degree as the
+input polynomial.  By ``next'' we mean ``next in a natural order using
+the terms and coefficients.''  This will become more clear in the
+following examples.
+
+This is the field with five elements.
+
+\spadcommand{GF5 := PF 5; }
+\returnType{Type: Domain}
+
+Our first example irreducible polynomial, say of degree 3, must be
+``greater'' than this.
+
+\spadcommand{h := monomial(1,8)\$SUP(GF5) }
+$$
+? \sp 8 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+You can generate it by doing this.
+
+\spadcommand{nh := nextIrreduciblePoly(h)\$FFPOLY(GF5) }
+$$
+{? \sp 8}+2 
+$$
+\returnType{Type: Union(SparseUnivariatePolynomial PrimeField 5,...)}
+
+Notice that this polynomial is not the same as the one
+\spadfunFrom{createIrreduciblePoly}{FiniteFieldPolynomialPackage}.
+
+\spadcommand{createIrreduciblePoly(3)\$FFPOLY(GF5) }
+$$
+{? \sp 3}+?+1 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+You can step through all irreducible polynomials of degree 8 over
+the field with 5 elements by repeatedly issuing this.
+
+\spadcommand{nh := nextIrreduciblePoly(nh)\$FFPOLY(GF5) }
+$$
+{? \sp 8}+3 
+$$
+\returnType{Type: Union(SparseUnivariatePolynomial PrimeField 5,...)}
+
+You could also ask for the total number of these.
+
+\spadcommand{numberOfIrreduciblePoly(5)\$FFPOLY(GF5) }
+$$
+624 
+$$
+\returnType{Type: PositiveInteger}
+
+We hope that ``natural order'' on polynomials is now clear: first we
+compare the number of monomials of two polynomials (``more'' is
+``greater''); then, if necessary, the degrees of these monomials
+(lexicographically), and lastly their coefficients (also
+lexicographically, and using the operation {\bf lookup} if our field
+is not a prime field).  Also note that we make both polynomials monic
+before looking at the coefficients: multiplying either polynomial by a
+nonzero constant produces the same result.
+
+The package {\tt FiniteFieldPolynomialPackage} also provides similar
+operations for primitive and normal polynomials. With the exception of
+the number of primitive normal polynomials; we're not aware of any
+known formula for this.
+
+\spadcommand{numberOfPrimitivePoly(3)\$FFPOLY(GF5) }
+$$
+20 
+$$
+\returnType{Type: PositiveInteger}
+
+Take these,
+
+\spadcommand{m := monomial(1,1)\$SUP(GF5) }
+$$
+? 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+\spadcommand{f := m**3 + 4*m**2 + m + 2 }
+$$
+{? \sp 3}+{4 \  {? \sp 2}}+?+2 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+and then we have:
+
+\spadcommand{f1 := nextPrimitivePoly(f)\$FFPOLY(GF5) }
+$$
+{? \sp 3}+{4 \  {? \sp 2}}+{4 \  ?}+2 
+$$
+\returnType{Type: Union(SparseUnivariatePolynomial PrimeField 5,...)}
+
+What happened?
+
+\spadcommand{nextPrimitivePoly(f1)\$FFPOLY(GF5) }
+$$
+{? \sp 3}+{2 \  {? \sp 2}}+3 
+$$
+\returnType{Type: Union(SparseUnivariatePolynomial PrimeField 5,...)}
+
+Well, for the ordering used in
+\spadfunFrom{nextPrimitivePoly}{FiniteFieldPolynomialPackage} we use
+as first criterion a comparison of the constant terms of the
+polynomials.  Analogously, in
+\spadfunFrom{nextNormalPoly}{FiniteFieldPolynomialPackage} we first
+compare the monomials of degree 1 less than the degree of the
+polynomials (which is nonzero, by an earlier remark).
+
+\spadcommand{f := m**3 + m**2 + 4*m + 1  }
+$$
+{? \sp 3}+{? \sp 2}+{4 \  ?}+1 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 5}
+
+\spadcommand{f1 := nextNormalPoly(f)\$FFPOLY(GF5) }
+$$
+{? \sp 3}+{? \sp 2}+{4 \  ?}+3 
+$$
+\returnType{Type: Union(SparseUnivariatePolynomial PrimeField 5,...)}
+
+\spadcommand{nextNormalPoly(f1)\$FFPOLY(GF5) }
+$$
+{? \sp 3}+{2 \  {? \sp 2}}+1 
+$$
+\returnType{Type: Union(SparseUnivariatePolynomial PrimeField 5,...)}
+
+\noindent
+We don't have to restrict ourselves to prime fields.
+
+Let's consider, say, a field with 16 elements.
+
+\spadcommand{GF16 := FFX(FFX(PF 2,2),2);  }
+\returnType{Type: Domain}
+
+We can apply any of the operations described above.
+
+\spadcommand{createIrreduciblePoly(5)\$FFPOLY(GF16) }
+$$
+{? \sp 5}+ \%G 
+$$
+\returnType{Type: SparseUnivariatePolynomial 
+FiniteFieldExtension(FiniteFieldExtension(PrimeField 2,2),2)}
+
+Axiom also provides operations for producing random polynomials of a
+given degree
+
+\spadcommand{random(5)\$FFPOLY(GF16) }
+$$
+\begin{array}{@{}l}
+{? \sp 5}+
+{{\left( { \%F \  \%G}+1 \right)}\  {? \sp 4}}+
+{ \%F \  \%G \  {? \sp 3}}+
+{{\left( \%G+ \%F+1 \right)}\  {? \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( {{\left( \%F+1 \right)}\  \%G}+ \%F \right)}\  ?}+1 
+\end{array}
+$$
+\returnType{Type: SparseUnivariatePolynomial 
+FiniteFieldExtension(FiniteFieldExtension(PrimeField 2,2),2)}
+
+or with degree between two given bounds.
+
+\spadcommand{random(3,9)\$FFPOLY(GF16) }
+$$
+{? \sp 3}+
+{{\left( { \%F \  \%G}+1 \right)}\  {? \sp 2}}+
+{{\left( \%G+ \%F+1 \right)}\  ?}+1 
+$$
+\returnType{Type: SparseUnivariatePolynomial 
+FiniteFieldExtension(FiniteFieldExtension(PrimeField 2,2),2)}
+
+{\tt FiniteFieldPolynomialPackage2} (abbreviation {\tt FFPOLY2})
+exports an operation {\bf rootOfIrreduciblePoly} for finding one root
+of an irreducible polynomial $f$ \index{polynomial!root of} in an
+extension field of the coefficient field.  The degree of the extension
+has to be a multiple of the degree of $f$.  It is not checked whether
+$f$ actually is irreducible.
+
+To illustrate this operation, we fix a ground field $GF$
+
+\spadcommand{GF2 := PrimeField 2; }
+\returnType{Type: Domain}
+
+and then an extension field.
+
+\spadcommand{F := FFX(GF2,12) }
+$$
+\mbox{\rm FiniteFieldExtension(PrimeField 2,12)} 
+$$
+\returnType{Type: Domain}
+
+We construct an irreducible polynomial over $GF2$.
+
+\spadcommand{f := createIrreduciblePoly(6)\$FFPOLY(GF2) }
+$$
+{? \sp 6}+?+1 
+$$
+\returnType{Type: SparseUnivariatePolynomial PrimeField 2}
+
+We compute a root of $f$.
+
+\spadcommand{root := rootOfIrreduciblePoly(f)\$FFPOLY2(F,GF2) }
+$$
+{ \%H \sp {11}}+{ \%H \sp 8}+{ \%H \sp 7}+{ \%H \sp 5}+ \%H+1 
+$$
+\returnType{Type: FiniteFieldExtension(PrimeField 2,12)}
+
+and check the result
+\spadcommand{eval(f, monomial(1,1)\$SUP(F) = root) }
+$$
+0 
+$$
+\returnType{Type: SparseUnivariatePolynomial 
+FiniteFieldExtension(PrimeField 2,12)}
+
+\section{Primary Decomposition of Ideals}
+\label{ugProblemIdeal}
+
+Axiom provides a facility for the primary decomposition
+\index{ideal!primary decomposition} of \index{primary decomposition of
+ideal} polynomial ideals over fields of characteristic zero.  The
+algorithm
+%is discussed in \cite{gtz:gbpdpi} and
+works in essentially two steps:
+\begin{enumerate}
+\item the problem is solved for 0-dimensional ideals by ``generic''
+projection on the last coordinate
+\item a ``reduction process'' uses localization and ideal quotients
+to reduce the general case to the 0-dimensional one.
+\end{enumerate}
+The Axiom constructor {\tt PolynomialIdeals} represents ideals with
+coefficients in any field and supports the basic ideal operations,
+including intersection, sum and quotient.  {\tt IdealDecompositionPackage} 
+contains the specific operations for the
+primary decomposition and the computation of the radical of an ideal
+with polynomial coefficients in a field of characteristic 0 with an
+effective algorithm for factoring polynomials.
+
+The following examples illustrate the capabilities of this facility.
+
+First consider the ideal generated by
+$x^2 + y^2 - 1$
+(which defines a circle in the $(x,y)$-plane) and the ideal
+generated by $x^2 - y^2$ (corresponding to the
+straight lines $x = y$ and $x = -y$.
+
+\spadcommand{(n,m) : List DMP([x,y],FRAC INT) }
+\returnType{Type: Void}
+
+\spadcommand{m := [x**2+y**2-1]  }
+$$
+\left[
+{{x \sp 2}+{y \sp 2} -1} 
+\right]
+$$
+\returnType{Type: List 
+DistributedMultivariatePolynomial([x,y],Fraction Integer)}
+
+\spadcommand{n := [x**2-y**2]  }
+$$
+\left[
+{{x \sp 2} -{y \sp 2}} 
+\right]
+$$
+\returnType{Type: List 
+DistributedMultivariatePolynomial([x,y],Fraction Integer)}
+
+We find the equations defining the intersection of the two loci.
+This correspond to the sum of the associated ideals.
+
+\spadcommand{id := ideal m  + ideal n  }
+$$
+\left[
+{{x \sp 2} -{1 \over 2}}, {{y \sp 2} -{1 \over 2}} 
+\right]
+$$
+\returnType{Type: PolynomialIdeals(Fraction Integer,
+DirectProduct(2,NonNegativeInteger),OrderedVariableList [x,y],
+DistributedMultivariatePolynomial([x,y],Fraction Integer))}
+
+We can check if the locus contains only a finite number of points,
+that is, if the ideal is zero-dimensional.
+
+\spadcommand{zeroDim? id }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{zeroDim?(ideal m) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{dimension ideal m }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+We can find polynomial relations among the generators ($f$ and $g$ are
+the parametric equations of the knot).
+
+\spadcommand{(f,g):DMP([x,y],FRAC INT) }
+\returnType{Type: Void}
+
+\spadcommand{f := x**2-1  }
+$$
+{x \sp 2} -1 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([x,y],Fraction Integer)}
+
+\spadcommand{g := x*(x**2-1)  }
+$$
+{x \sp 3} -x 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([x,y],Fraction Integer)}
+
+\spadcommand{relationsIdeal [f,g] }
+$$
+{\left[ {-{ \%B \sp 2}+{ \%A \sp 3}+{ \%A \sp 2}} \right]}
+\mid 
+{\left[ { \%A={{x \sp 2} -1}}, { \%B={{x \sp 3} -x}} \right]}
+$$
+\returnType{Type: SuchThat(List Polynomial Fraction Integer,
+List Equation Polynomial Fraction Integer)}
+
+We can compute the primary decomposition of an ideal.
+
+\spadcommand{l: List DMP([x,y,z],FRAC INT) }
+\returnType{Type: Void}
+
+\spadcommand{l:=[x**2+2*y**2,x*z**2-y*z,z**2-4]  }
+$$
+\left[
+{{x \sp 2}+{2 \  {y \sp 2}}}, {{x \  {z \sp 2}} -{y \  z}}, {{z \sp 2} -4} 
+\right]
+$$
+\returnType{Type: List 
+DistributedMultivariatePolynomial([x,y,z],Fraction Integer)}
+
+\spadcommand{ld:=primaryDecomp ideal l  }
+$$
+\left[
+{\left[ {x+{{1 \over 2} \  y}}, {y \sp 2}, {z+2} \right]},
+{\left[ {x -{{1 \over 2} \  y}}, {y \sp 2}, {z -2} \right]}
+\right]
+$$
+\returnType{Type: List PolynomialIdeals(Fraction Integer,
+DirectProduct(3,NonNegativeInteger),
+OrderedVariableList [x,y,z],
+DistributedMultivariatePolynomial([x,y,z],Fraction Integer))}
+
+We can intersect back.
+
+\spadcommand{reduce(intersect,ld) }
+$$
+\left[
+{x -{{1 \over 4} \  y \  z}}, {y \sp 2}, {{z \sp 2} -4} 
+\right]
+$$
+\returnType{Type: PolynomialIdeals(Fraction Integer,
+DirectProduct(3,NonNegativeInteger),
+OrderedVariableList [x,y,z],
+DistributedMultivariatePolynomial([x,y,z],Fraction Integer))}
+
+We can compute the radical of every primary component.
+
+\spadcommand{reduce(intersect,[radical ld.i for i in 1..2]) }
+$$
+\left[
+x, y, {{z \sp 2} -4} 
+\right]
+$$
+\returnType{Type: PolynomialIdeals(Fraction Integer,
+DirectProduct(3,NonNegativeInteger),
+OrderedVariableList [x,y,z],
+DistributedMultivariatePolynomial([x,y,z],Fraction Integer))}
+
+Their intersection is equal to the radical of the ideal of $l$.
+
+\spadcommand{radical ideal l }
+$$
+\left[x, y, {{z \sp 2} -4} \right]
+$$
+\returnType{Type: PolynomialIdeals(Fraction Integer,
+DirectProduct(3,NonNegativeInteger),
+OrderedVariableList [x,y,z],
+DistributedMultivariatePolynomial([x,y,z],Fraction Integer))}
+
+\section{Computation of Galois Groups}
+\label{ugProblemGalois}
+
+As a sample use of Axiom's algebraic number facilities,
+\index{group!Galois}
+we compute
+\index{Galois!group}
+the Galois group of the polynomial
+$p(x) = x^5 - 5 x + 12$.
+
+\spadcommand{p := x**5 - 5*x + 12 }
+$$
+{x \sp 5} -{5 \  x}+{12} 
+$$
+\returnType{Type: Polynomial Integer}
+
+We would like to construct a polynomial $f(x)$ such that the splitting
+\index{field!splitting} field \index{splitting field} of $p(x)$ is
+generated by one root of $f(x)$.  First we construct a polynomial 
+$r = r(x)$ such that one root of $r(x)$ generates the field generated by
+two roots of the polynomial $p(x)$.  (As it will turn out, the field
+generated by two roots of $p(x)$ is, in fact, the splitting field of
+$p(x)$.)
+
+From the proof of the primitive element theorem we know that if $a$
+and $b$ are algebraic numbers, then the field ${\bf Q}(a,b)$ is equal
+to ${\bf Q}(a+kb)$ for an appropriately chosen integer $k$.  In our
+case, we construct the minimal polynomial of $a_i - a_j$, where $a_i$
+and $a_j$ are two roots of $p(x)$.  We construct this polynomial using
+{\bf resultant}.  The main result we need is the following: If $f(x)$
+is a polynomial with roots $a_i \ldots a_m$ and $g(x)$ is a polynomial
+with roots $b_i \ldots b_n$, then the polynomial $h(x) =
+resultant(f(y), g(x-y), y)$ is a polynomial of degree $m*n$ with roots
+$a_i + b_j, i = 1 \ldots m, j = 1 \ldots n$.
+
+For $f(x)$ we use the polynomial $p(x)$.  For $g(x)$ we use the
+polynomial $-p(-x)$.  Thus, the polynomial we first construct is
+$resultant(p(y), -p(y-x), y)$.
+
+\spadcommand{q := resultant(eval(p,x,y),-eval(p,x,y-x),y)  }
+$$
+\begin{array}{@{}l}
+{x \sp {25}} -
+{{50} \  {x \sp {21}}} -
+{{2375} \  {x \sp {17}}}+
+{{90000} \  {x \sp {15}}} -
+{{5000} \  {x \sp {13}}}+
+{{2700000} \  {x \sp {11}}}+
+{{250000} \  {x \sp 9}}+
+\\
+\\
+\displaystyle
+{{18000000} \  {x \sp 7}}+
+{{64000000} \  {x \sp 5}} 
+\end{array}
+$$
+\returnType{Type: Polynomial Integer}
+
+The roots of $q(x)$ are $a_i - a_j, i \leq 1, j \leq 5$.  Of course,
+there are five pairs $(i,j)$ with $i = j$, so $0$ is a 5-fold root of
+$q(x)$.
+
+Let's get rid of this factor.
+
+\spadcommand{q1 := exquo(q, x**5)  }
+$$
+\begin{array}{@{}l}
+{x \sp {20}} -
+{{50} \  {x \sp {16}}} -
+{{2375} \  {x \sp {12}}}+
+{{90000} \  {x \sp {10}}} -
+{{5000} \  {x \sp 8}}+
+{{2700000} \  {x \sp 6}}+
+\\
+\\
+\displaystyle
+{{250000} \  {x \sp 4}}+
+{{18000000} \  {x \sp 2}}+
+{64000000} 
+\end{array}
+$$
+\returnType{Type: Union(Polynomial Integer,...)}
+
+Factor the polynomial $q1$.
+
+\spadcommand{factoredQ := factor q1  }
+$$
+\begin{array}{@{}l}
+{\left( 
+{x \sp {10}} -
+{{10} \  {x \sp 8}} -
+{{75} \  {x \sp 6}}+
+{{1500} \  {x \sp 4}} -
+{{5500} \  {x \sp 2}}+
+{16000} 
+\right)} *
+\\
+\\
+\displaystyle
+{\left( 
+{x \sp {10}}+
+{{10} \  {x \sp 8}}+
+{{125} \  {x \sp 6}}+
+{{500} \  {x \sp 4}}+
+{{2500} \  {x \sp 2}}+
+{4000} 
+\right)}
+\end{array}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+We see that $q1$ has two irreducible factors, each of degree $10$.
+(The fact that the polynomial $q1$ has two factors of degree $10$ is
+enough to show that the Galois group of $p(x)$ is the dihedral group
+of order $10$.\footnote{See McKay, Soicher, Computing Galois Groups
+over the Rationals, Journal of Number Theory 20, 273-281 (1983).  We
+do not assume the results of this paper, however, and we continue with
+the computation.}  Note that the type of $factoredQ$ is {\tt FR POLY
+INT}, that is, {\tt Factored Polynomial Integer}.  \index{Factored}
+This is a special data type for recording factorizations of
+polynomials with integer coefficients.
+
+We can access the individual factors using the operation
+\spadfunFrom{nthFactor}{Factored}.
+
+\spadcommand{r := nthFactor(factoredQ,1)  }
+$$
+{x \sp {10}} -{{10} \  {x \sp 8}} -{{75} \  {x \sp 6}}+{{1500} \  {x \sp 4}} 
+-{{5500} \  {x \sp 2}}+{16000} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Consider the polynomial $r = r(x)$.  This is the minimal polynomial of
+the difference of two roots of $p(x)$.  Thus, the splitting field of
+$p(x)$ contains a subfield of degree $10$.  We show that this subfield
+is, in fact, the splitting field of $p(x)$ by showing that $p(x)$
+factors completely over this field.
+
+First we create a symbolic root of the polynomial $r(x)$.  (We
+replaced $x$ by $b$ in the polynomial $r$ so that our symbolic root
+would be printed as $b$.)
+
+\spadcommand{beta:AN := rootOf(eval(r,x,b))  }
+$$
+b 
+$$
+\returnType{Type: AlgebraicNumber}
+
+We next tell Axiom to view $p(x)$ as a univariate polynomial in $x$
+with algebraic number coefficients.  This is accomplished with this
+type declaration.
+
+\spadcommand{p := p::UP(x,INT)::UP(x,AN)  }
+$$
+{x \sp 5} -{5 \  x}+{12} 
+$$
+\returnType{Type: UnivariatePolynomial(x,AlgebraicNumber)}
+
+Factor $p(x)$ over the field ${\bf Q}(\beta)$.
+(This computation will take some time!)
+
+\spadcommand{algFactors := factor(p,[beta])  }
+$$
+\begin{array}{@{}l}
+{\left( 
+x+
+{\left(
+\begin{array}{@{}l}
+-{{85} \  {b \sp 9}} -
+{{116} \  {b \sp 8}}+
+{{780} \  {b \sp 7}}+
+{{2640} \  {b \sp 6}}+
+{{14895} \  {b \sp 5}} -
+\\
+\\
+\displaystyle
+{{8820} \  {b \sp 4}} -
+{{127050} \  {b \sp 3}} -
+{{327000} \  {b \sp 2}} -
+{{405200} \  b}+
+{2062400}
+\end{array}
+\right)
+\over {1339200}}
+\right)}
+\\
+\\
+\displaystyle
+{\left( 
+x+
+{{-{{17} \  {b \sp 8}}+
+{{156} \  {b \sp 6}}+
+{{2979} \  {b \sp 4}} -
+{{25410} \  {b \sp 2}} -
+{14080}} \over {66960}} 
+\right)}
+\\
+\\
+\displaystyle
+\  {\left( 
+x+
+{{{{143} \  {b \sp 8}} -
+{{2100} \  {b \sp 6}} -
+{{10485} \  {b \sp 4}}+
+{{290550} \  {b \sp 2}} -
+{{334800} \  b} -
+{960800}} 
+\over {669600}} 
+\right)}
+\\
+\\
+\displaystyle
+\  {\left( 
+x+
+{{{{143} \  {b \sp 8}} -
+{{2100} \  {b \sp 6}} -
+{{10485} \  {b \sp 4}}+
+{{290550} \  {b \sp 2}}+
+{{334800} \  b} -
+{960800}} 
+\over {669600}} 
+\right)}
+\\
+\\
+\displaystyle
+{\left( 
+x+
+{\left(
+\begin{array}{@{}l}
+{{85} \  {b \sp 9}} -
+{{116} \  {b \sp 8}} -
+{{780} \  {b \sp 7}}+
+{{2640} \  {b \sp 6}} -
+{{14895} \  {b \sp 5}} -
+\\
+\\
+\displaystyle
+{{8820} \  {b \sp 4}}+
+{{127050} \  {b \sp 3}} -
+{{327000} \  {b \sp 2}}+
+{{405200} \  b}+
+{2062400}
+\end{array}
+\right)
+\over {1339200}}
+\right)}
+\end{array}
+$$
+\returnType{Type: Factored UnivariatePolynomial(x,AlgebraicNumber)}
+
+When factoring over number fields, it is important to specify the
+field over which the polynomial is to be factored, as polynomials have
+different factorizations over different fields.  When you use the
+operation {\bf factor}, the field over which the polynomial is
+factored is the field generated by
+\begin{enumerate}
+\item the algebraic numbers that appear
+in the coefficients of the polynomial, and
+\item the algebraic numbers that
+appear in a list passed as an optional second argument of the operation.
+\end{enumerate}
+In our case, the coefficients of $p$
+are all rational integers and only $beta$
+appears in the list, so the field is simply
+${\bf Q}(\beta)$.
+
+It was necessary to give the list $[beta]$ as a second argument of the
+operation because otherwise the polynomial would have been factored
+over the field generated by its coefficients, namely the rational
+numbers.
+
+\spadcommand{factor(p) }
+$$
+{x \sp 5} -{5 \  x}+{12} 
+$$
+\returnType{Type: Factored UnivariatePolynomial(x,AlgebraicNumber)}
+
+We have shown that the splitting field of $p(x)$ has degree $10$.
+Since the symmetric group of degree 5 has only one transitive subgroup
+of order $10$, we know that the Galois group of $p(x)$ must be this
+group, the dihedral group \index{group!dihedral} of order $10$.
+Rather than stop here, we explicitly compute the action of the Galois
+group on the roots of $p(x)$.
+
+First we assign the roots of $p(x)$ as the values of five \index{root}
+variables.
+
+We can obtain an individual root by negating the constant coefficient of
+one of the factors of $p(x)$.
+
+\spadcommand{factor1 := nthFactor(algFactors,1)  }
+$$
+x+
+{
+\left(
+\begin{array}{@{}l}
+-{{85} \  {b \sp 9}} -
+{{116} \  {b \sp 8}}+
+{{780} \  {b \sp 7}}+
+{{2640} \  {b \sp 6}}+
+{{14895} \  {b \sp 5}} -
+\\
+\\
+\displaystyle
+{{8820} \  {b \sp 4}} -
+{{127050} \  {b \sp 3}} -
+{{327000} \  {b \sp 2}} -
+{{405200} \  b}+
+{2062400}
+\end{array}
+\right)
+\over {1339200}} 
+$$
+\returnType{Type: UnivariatePolynomial(x,AlgebraicNumber)}
+
+\spadcommand{root1 := -coefficient(factor1,0)  }
+$$
+\left(
+\begin{array}{@{}l}
+{{85} \  {b \sp 9}}+
+{{116} \  {b \sp 8}} -
+{{780} \  {b \sp 7}} -
+{{2640} \  {b \sp 6}} -
+{{14895} \  {b \sp 5}}+
+\\
+\\
+\displaystyle
+{{8820} \  {b \sp 4}}+
+{{127050} \  {b \sp 3}}+
+{{327000} \  {b \sp 2}}+
+{{405200} \  b} -
+{2062400}
+\end{array}
+\right)
+\over {1339200} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+We can obtain a list of all the roots in this way.
+
+\spadcommand{roots := [-coefficient(nthFactor(algFactors,i),0) for i in 1..5]  }
+$$
+\begin{array}{@{}l}
+\left[
+\left(
+\begin{array}{@{}l}
+{{85} \  {b \sp 9}}+
+{{116} \  {b \sp 8}} -
+{{780} \  {b \sp 7}} -
+{{2640} \  {b \sp 6}} -
+{{14895} \  {b \sp 5}}+
+{{8820} \  {b \sp 4}}+
+\\
+\\
+\displaystyle
+{{127050} \  {b \sp 3}}+
+{{327000} \  {b \sp 2}}+
+{{405200} \  b} -
+{2062400}
+\end{array}
+\right)
+\over {1339200},
+\right.
+\\
+\\
+\displaystyle
+{{{{17} \  {b \sp 8}} -
+{{156} \  {b \sp 6}} -
+{{2979} \  {b \sp 4}}+
+{{25410} \  {b \sp 2}}+
+{14080}} 
+\over {66960}},
+\\
+\\
+\displaystyle
+{{-{{143} \  {b \sp 8}}+
+{{2100} \  {b \sp 6}}+
+{{10485} \  {b \sp 4}} -
+{{290550} \  {b \sp 2}}+
+{{334800} \  b}+
+{960800}} 
+\over {669600}}, 
+\\
+\\
+\displaystyle
+{{-{{143} \  {b \sp 8}}+
+{{2100} \  {b \sp 6}}+
+{{10485} \  {b \sp 4}} -
+{{290550} \  {b \sp 2}} -
+{{334800} \  b}+{960800}} 
+\over {669600}}, 
+\\
+\\
+\displaystyle
+\left.
+\left(
+\begin{array}{@{}l}
+-{{85} \  {b \sp 9}}+
+{{116} \  {b \sp 8}}+
+{{780} \  {b \sp 7}} -
+{{2640} \  {b \sp 6}}+
+{{14895} \  {b \sp 5}}+
+{{8820} \  {b \sp 4}} -
+\\
+\\
+\displaystyle
+{{127050} \  {b \sp 3}}+
+{{327000} \  {b \sp 2}}-
+{{405200} \  b} -
+{2062400}
+\end{array}
+\right)
+\over {1339200}
+\right]
+\end{array}
+$$
+\returnType{Type: List AlgebraicNumber}
+
+The expression
+\begin{verbatim}
+- coefficient(nthFactor(algFactors, i), 0)}
+\end{verbatim}
+is the $i $-th root of $p(x)$ and the elements of $roots$ are the 
+$i$-th roots of $p(x)$ as $i$ ranges from $1$ to $5$.
+
+Assign the roots as the values of the variables $a1,...,a5$.
+
+\spadcommand{(a1,a2,a3,a4,a5) := (roots.1,roots.2,roots.3,roots.4,roots.5)  }
+$$
+\left(
+\begin{array}{@{}l}
+-{{85} \  {b \sp 9}}+
+{{116} \  {b \sp 8}}+
+{{780} \  {b \sp 7}} -
+{{2640} \  {b \sp 6}}+
+{{14895} \  {b \sp 5}}+
+{{8820} \  {b \sp 4}} -
+\\
+\\
+\displaystyle
+{{127050} \  {b \sp 3}}+
+{{327000} \  {b \sp 2}}-
+{{405200} \  b} -
+{2062400}
+\end{array}
+\right)
+\over {1339200}
+$$
+\returnType{Type: AlgebraicNumber}
+
+Next we express the roots of $r(x)$ as polynomials in $beta$.  We
+could obtain these roots by calling the operation {\bf factor}:
+$factor(r, [beta])$ factors $r(x)$ over ${\bf Q}(\beta)$.  However,
+this is a lengthy computation and we can obtain the roots of $r(x)$ as
+differences of the roots $a1,...,a5$ of $p(x)$.  Only ten of these
+differences are roots of $r(x)$ and the other ten are roots of the
+other irreducible factor of $q1$.  We can determine if a given value
+is a root of $r(x)$ by evaluating $r(x)$ at that particular value.
+(Of course, the order in which factors are returned by the operation
+{\bf factor} is unimportant and may change with different
+implementations of the operation.  Therefore, we cannot predict in
+advance which differences are roots of $r(x)$ and which are not.)
+
+Let's look at four examples (two are roots of $r(x)$ and
+two are not).
+
+\spadcommand{eval(r,x,a1 - a2) }
+$$
+0 
+$$
+\returnType{Type: Polynomial AlgebraicNumber}
+
+\spadcommand{eval(r,x,a1 - a3) }
+$$
+\left(
+\begin{array}{@{}l}
+{{47905} \  {b \sp 9}}+
+{{66920} \  {b \sp 8}} -
+{{536100} \  {b \sp 7}} -
+{{980400} \  {b \sp 6}} -
+{{3345075} \  {b \sp 5}} -
+{{5787000} \  {b \sp 4}}+
+\\
+\\
+\displaystyle
+{{75572250} \  {b \sp 3}}+
+{{161688000} \  {b \sp 2}} -
+{{184600000} \  b} -
+{710912000}
+\end{array}
+\right)
+\over {4464} 
+$$
+\returnType{Type: Polynomial AlgebraicNumber}
+
+\spadcommand{eval(r,x,a1 - a4) }
+$$
+0 
+$$
+\returnType{Type: Polynomial AlgebraicNumber}
+
+\spadcommand{eval(r,x,a1 - a5) }
+$$
+{{{405} \  {b \sp 8}}+
+{{3450} \  {b \sp 6}} -
+{{19875} \  {b \sp 4}} -
+{{198000} \  {b \sp 2}} -
+{588000}} 
+\over {31} 
+$$
+\returnType{Type: Polynomial AlgebraicNumber}
+
+Take one of the differences that was a root of $r(x)$ and assign it to
+the variable $bb$.
+
+For example, if $eval(r,x,a1 - a4)$ returned $0$, you would enter this.
+
+\spadcommand{bb := a1 - a4  }
+$$
+\left(
+\begin{array}{@{}l}
+{{85} \  {b \sp 9}}+
+{{402} \  {b \sp 8}} -
+{{780} \  {b \sp 7}} -
+{{6840} \  {b \sp 6}} -
+{{14895} \  {b \sp 5}} -
+{{12150} \  {b \sp 4}}+
+\\
+\\
+\displaystyle
+{{127050} \  {b \sp 3}}+
+{{908100} \  {b \sp 2}}+
+{{1074800} \  b} -
+{3984000}
+\end{array}
+\right)
+\over {1339200} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+Of course, if the difference is, in fact, equal to the root $beta$,
+you should choose another root of $r(x)$.
+
+Automorphisms of the splitting field are given by mapping a generator
+of the field, namely $beta$, to other roots of its minimal polynomial.
+Let's see what happens when $beta$ is mapped to $bb$.
+
+We compute the images of the roots $a1,...,a5$ under this automorphism:
+
+\spadcommand{aa1 := subst(a1,beta = bb)  }
+$$
+{-{{143} \  {b \sp 8}}+
+{{2100} \  {b \sp 6}}+
+{{10485} \  {b \sp 4}}-
+{{290550} \  {b \sp 2}}+
+{{334800} \  b}+
+{960800}} 
+\over {669600} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+\spadcommand{aa2 := subst(a2,beta = bb)  }
+$$
+\left(
+\begin{array}{@{}l}
+-{{85} \  {b \sp 9}}+
+{{116} \  {b \sp 8}}+
+{{780} \  {b \sp 7}} -
+{{2640} \  {b \sp 6}}+
+{{14895} \  {b \sp 5}}+
+{{8820} \  {b \sp 4}} -
+\\
+\\
+\displaystyle
+{{127050} \  {b \sp 3}}+
+{{327000} \  {b \sp 2}} -
+{{405200} \  b} -
+{2062400}
+\end{array}
+\right)
+\over {1339200} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+\spadcommand{aa3 := subst(a3,beta = bb)  }
+$$
+\left(
+\begin{array}{@{}l}
+{{85} \  {b \sp 9}}+
+{{116} \  {b \sp 8}} -
+{{780} \  {b \sp 7}} -
+{{2640} \  {b \sp 6}} -
+{{14895} \  {b \sp 5}}+
+{{8820} \  {b \sp 4}}+
+\\
+\\
+\displaystyle
+{{127050} \  {b \sp 3}}+
+{{327000} \  {b \sp 2}}+
+{{405200} \  b} -
+{2062400} 
+\end{array}
+\right)
+\over {1339200} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+\spadcommand{aa4 := subst(a4,beta = bb)  }
+$$
+{-{{143} \  {b \sp 8}}+
+{{2100} \  {b \sp 6}}+
+{{10485} \  {b \sp 4}}-
+{{290550} \  {b \sp 2}} -
+{{334800} \  b}+
+{960800}} 
+\over {669600} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+\spadcommand{aa5 := subst(a5,beta = bb)  }
+$$
+{{{17} \  {b \sp 8}} -
+{{156} \  {b \sp 6}} -
+{{2979} \  {b \sp 4}}+
+{{25410} \  {b \sp 2}}+
+{14080}} 
+\over {66960} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+Of course, the values $aa1,...,aa5$ are simply a permutation of the values
+$a1,...,a5$.
+
+Let's find the value of $aa1$ (execute as many of the following five commands
+as necessary).
+
+\spadcommand{(aa1 = a1) :: Boolean }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{(aa1 = a2) :: Boolean }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{(aa1 = a3) :: Boolean }
+$$
+{\tt true}
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{(aa1 = a4) :: Boolean }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{(aa1 = a5) :: Boolean }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Proceeding in this fashion, you can find the values of
+$aa2,...aa5$. You have represented the automorphism $beta -> bb$ as a
+permutation of the roots $a1,...,a5$.  If you wish, you can repeat
+this computation for all the roots of $r(x)$ and represent the Galois
+group of $p(x)$ as a subgroup of the symmetric group on five letters.
+
+Here are two other problems that you may attack in a similar fashion:
+\begin{enumerate}
+\item Show that the Galois group of
+$p(x) = x^4 + 2 x^3 - 2 x^2 - 3 x + 1$
+is the dihedral group of order eight. \index{group!dihedral}
+(The splitting field of this polynomial is the Hilbert class field
+\index{Hilbert class field} of \index{field!Hilbert class} the quadratic field
+${\bf Q}(\sqrt{145})$.)
+\item Show that the Galois group of
+$p(x) = x^6 + 108$
+has order 6 and is isomorphic to $S_3,$ the symmetric group on three letters.
+\index{group!symmetric} (The splitting field of this polynomial is the 
+splitting field of $x^3 - 2$.)
+\end{enumerate}
+
+\section{Non-Associative Algebras and Modelling Genetic Laws}
+\label{ugProblemGenetic}
+
+Many algebraic structures of mathematics and Axiom have a
+multiplication operation {\tt *} that satisfies the associativity law
+\index{associativity law} $a*(b*c) = (a*b)*c$ for all $a$, $b$ and
+$c$.  The octonions are a well known exception.  There are many other
+interesting non-associative structures, such as the class of
+\index{Lie algebra} Lie algebras.\footnote{Two Axiom implementations
+of Lie algebras are {\tt LieSquareMatrix} and {\tt FreeNilpotentLie}.}
+Lie algebras can be used, for example, to analyse Lie symmetry
+algebras of \index{symmetry} partial differential \index{differential
+equation!partial} equations.  \index{partial differential equation} In
+this section we show a different application of non-associative
+algebras, \index{non-associative algebra} the modelling of genetic
+laws.  \index{algebra!non-associative}
+
+The Axiom library contains several constructors for creating
+non-assoc\-i\-a\-tive structures, ranging from the categories 
+{\tt Monad}, {\tt NonAssociativeRng}, and {\tt FramedNonAssociativeAlgebra}, 
+to the domains {\tt AlgebraGivenByStructuralConstants} and 
+{\tt GenericNonAssociativeAlgebra}.  Furthermore, the package 
+{\tt AlgebraPackage} provides operations for analysing the structure of
+such algebras.\footnote{% The interested reader can learn more about
+these aspects of the Axiom library from the paper ``Computations in
+Algebras of Finite Rank,'' by Johannes Grabmeier and Robert Wisbauer,
+Technical Report, IBM Heidelberg Scientific Center, 1992.}
+
+Mendel's genetic laws are often written in a form like
+
+$$Aa \times Aa = {1\over 4}AA + {1\over 2}Aa + {1\over 4}aa$$
+
+The implementation of general algebras in Axiom allows us to
+\index{Mendel's genetic laws} use this as the definition for
+multiplication in an algebra.  \index{genetics} Hence, it is possible
+to study questions of genetic inheritance using Axiom.  To demonstrate
+this more precisely, we discuss one example from a monograph of
+A. W\"orz-Busekros, where you can also find a general setting of this
+theory.\footnote{% W\"{o}rz-Busekros, A., {\it Algebras in Genetics},
+Springer Lectures Notes in Biomathematics 36, Berlin e.a. (1980).  In
+particular, see example 1.3.}
+
+We assume that there is an infinitely large random mating population.
+Random mating of two gametes $a_i$ and $a_j$ gives zygotes
+\index{zygote} $a_ia_j$, which produce new gametes.  \index{gamete} In
+classical Mendelian segregation we have $a_ia_j = {1 \over 2}a_i+{1
+\over 2}a_j$.  In general, we have
+
+$$a_ia_j = \sum_{k=1}^n \gamma_{i,j}^k\ a_k.$$
+
+%{$ai aj = gammaij1 a1 + gammaij2 a2 + ... + gammaijn an$}
+
+The segregation rates $\gamma_{i,j}$ are the structural constants of
+an $n$-dimensional algebra.  This is provided in Axiom by the
+constructor {\tt AlgebraGivenByStructuralConstants} (abbreviation 
+{\tt ALGSC}).
+
+Consider two coupled autosomal loci with alleles $A$, $a$, $B$, and
+$b$, building four different gametes $a_1 = AB, a_2 = Ab, a_3 = aB,$
+and $a_4 = ab$ {$a1 := AB, a2 := Ab, a3 := aB,$ and $a4 := ab$}.  The
+zygotes $a_ia_j$ produce gametes $a_i$ and $a_j$ with classical
+Mendelian segregation.  Zygote $a_1a_4$ undergoes transition to
+$a_2a_3$ and vice versa with probability 
+$0 \le \theta \le {1\over2}$.
+
+Define a list $[(\gamma_{i,j}^k) 1 \le k \le 4]$ of four four-by-four
+matrices giving the segregation rates.  We use the value $1/10$ for
+$\theta$.
+
+\spadcommand{segregationRates : List SquareMatrix(4,FRAC INT) := [matrix [ [1, 1/2, 1/2, 9/20], [1/2, 0, 1/20, 0], [1/2, 1/20, 0, 0], [9/20, 0, 0, 0] ], matrix [ [0, 1/2, 0, 1/20], [1/2, 1, 9/20, 1/2], [0, 9/20, 0, 0], [1/20, 1/2, 0, 0] ], matrix [ [0, 0, 1/2, 1/20], [0, 0, 9/20, 0], [1/2, 9/20, 1, 1/2], [1/20, 0, 1/2, 0] ], matrix [ [0, 0, 0, 9/20], [0, 0, 1/20, 1/2], [0, 1/20, 0, 1/2], [9/20, 1/2, 1/2, 1] ] ] }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ 
+\begin{array}{cccc}
+1 & {1 \over 2} & {1 \over 2} & {9 \over {20}} \\ 
+{1 \over 2} & 0 & {1 \over {20}} & 0 \\ 
+{1 \over 2} & {1 \over {20}} & 0 & 0 \\ 
+{9 \over {20}} & 0 & 0 & 0 
+\end{array}
+\right]},
+{\left[ 
+\begin{array}{cccc}
+0 & {1 \over 2} & 0 & {1 \over {20}} \\ 
+{1 \over 2} & 1 & {9 \over {20}} & {1 \over 2} \\ 
+0 & {9 \over {20}} & 0 & 0 \\ 
+{1 \over {20}} & {1 \over 2} & 0 & 0 
+\end{array}
+\right]},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left[ 
+\begin{array}{cccc}
+0 & 0 & {1 \over 2} & {1 \over {20}} \\ 
+0 & 0 & {9 \over {20}} & 0 \\ 
+{1 \over 2} & {9 \over {20}} & 1 & {1 \over 2} \\ 
+{1 \over {20}} & 0 & {1 \over 2} & 0 
+\end{array}
+\right]},
+{\left[ 
+\begin{array}{cccc}
+0 & 0 & 0 & {9 \over {20}} \\ 
+0 & 0 & {1 \over {20}} & {1 \over 2} \\ 
+0 & {1 \over {20}} & 0 & {1 \over 2} \\ 
+{9 \over {20}} & {1 \over 2} & {1 \over 2} & 1 
+\end{array}
+\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List SquareMatrix(4,Fraction Integer)}
+
+Choose the appropriate symbols for the basis of gametes,
+
+\spadcommand{gametes := ['AB,'Ab,'aB,'ab]  }
+$$
+\left[
+AB, Ab, aB, ab 
+\right]
+$$
+\returnType{Type: List OrderedVariableList [AB,Ab,aB,ab]}
+
+Define the algebra.
+
+\spadcommand{A := ALGSC(FRAC INT, 4, gametes, segregationRates)}
+$$
+\begin{array}{@{}l}
+{\rm AlgebraGivenByStructuralConstants(Fraction Integer, 4, }
+\\
+\displaystyle
+{\rm [AB,Ab,aB,ab], [MATRIX,MATRIX,MATRIX,MATRIX])}
+\end{array}
+$$
+\returnType{Type: Domain}
+
+What are the probabilities for zygote $a_1a_4$ to produce the
+different gametes?
+
+\spadcommand{a := basis()\$A}
+$$
+\left[
+AB, Ab, aB, ab 
+\right]
+$$
+\returnType{Type: Vector 
+AlgebraGivenByStructuralConstants(Fraction Integer,4,[AB,Ab,aB,ab],
+[MATRIX,MATRIX,MATRIX,MATRIX])}
+
+\spadcommand{a.1*a.4}
+$$
+{{9 \over {20}} \  ab}+
+{{1 \over {20}} \  aB}+
+{{1 \over {20}} \  Ab}+
+{{9 \over {20}} \  AB} 
+$$
+\returnType{Type: 
+AlgebraGivenByStructuralConstants(Fraction Integer,4,[AB,Ab,aB,ab],
+[MATRIX,MATRIX,MATRIX,MATRIX])}
+
+Elements in this algebra whose coefficients sum to one play a
+distinguished role.  They represent a population with the distribution
+of gametes reflected by the coefficients with respect to the basis of
+gametes.
+
+Random mating of different populations $x$ and $y$ is described by
+their product $x*y$.
+
+This product is commutative only if the gametes are not sex-dependent,
+as in our example.
+
+\spadcommand{commutative?()\$A }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+In general, it is not associative.
+
+\spadcommand{associative?()\$A }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Random mating within a population $x$ is described by $x*x$.  The next
+generation is $(x*x)*(x*x)$.
+
+Use decimal numbers to compare the distributions more easily.
+
+\spadcommand{x : ALGSC(DECIMAL, 4, gametes, segregationRates) :=  convert [3/10, 1/5, 1/10, 2/5]}
+$$
+{{0.4} \  ab}+{{0.1} \  aB}+{{0.2} \  Ab}+{{0.3} \  AB} 
+$$
+\returnType{Type: 
+AlgebraGivenByStructuralConstants(DecimalExpansion,4,[AB,Ab,aB,ab],
+[MATRIX,MATRIX,MATRIX,MATRIX])}
+
+To compute directly the gametic distribution in the fifth generation,
+we use {\bf plenaryPower}.
+
+\spadcommand{plenaryPower(x,5) }
+$$
+{{0.{36561}} \  ab}+{{0.{13439}} \  aB}+{{0.{23439}} \  Ab}+{{0.{26561}} \  
+AB} 
+$$
+\returnType{Type: 
+AlgebraGivenByStructuralConstants(DecimalExpansion,4,[AB,Ab,aB,ab],
+[MATRIX,MATRIX,MATRIX,MATRIX])}
+
+We now ask two questions: Does this distribution converge to an
+equilibrium state?  What are the distributions that are stable?
+
+This is an invariant of the algebra and it is used to answer the first
+question.  The new indeterminates describe a symbolic distribution.
+
+\spadcommand{q := leftRankPolynomial()\$GCNAALG(FRAC INT, 4, gametes, segregationRates) :: UP(Y, POLY FRAC INT)}
+$$
+\begin{array}{@{}l}
+{Y \sp 3}+
+{{\left( 
+-{{{29} \over {20}} \  \%x4} -
+{{{29} \over {20}} \  \%x3} -
+{{{29} \over {20}} \  \%x2} -
+{{{29} \over {20}} \  \%x1} 
+\right)}\  {Y \sp 2}}+
+\\
+\\
+\displaystyle
+{
+\left(
+\begin{array}{@{}l}
+\left( {{9 \over {20}} \  { \%x4 \sp 2}}+
+{{\left( 
+{{9 \over {10}} \  \%x3}+
+{{9 \over {10}} \  \%x2}+
+{{9 \over {10}} \  \%x1} 
+\right)}\  \%x4}+
+\right.
+\\
+\\
+\displaystyle
+{{9 \over {20}} \  { \%x3 \sp 2}}+
+{{\left( {{9 \over {10}} \   \%x2}+{{9 \over {10}} \  \%x1} \right)}\  \%x3}+
+{{9 \over {20}} \  { \%x2 \sp 2}}+
+\\
+\\
+\displaystyle
+\left.
+{{9 \over {10}} \  \%x1 \   \%x2}+
+{{9 \over {20}} \  { \%x1 \sp 2}} 
+\right)
+\end{array}
+\right)
+\  Y} 
+\end{array}
+$$
+\returnType{Type: UnivariatePolynomial(Y,Polynomial Fraction Integer)}
+
+
+Because the coefficient ${9 \over 20}$ has absolute value less than 1,
+all distributions do converge, by a theorem of this theory.
+
+\spadcommand{factor(q :: POLY FRAC INT) }
+$$
+\begin{array}{@{}l}
+{\left( Y - \%x4 - \%x3 - \%x2 - \%x1 \right)} *
+\\
+\\
+\displaystyle
+{\left( 
+Y -
+{{9 \over {20}} \  \%x4} -
+{{9 \over {20}} \  \%x3} -
+{{9 \over {20}} \  \%x2} -
+{{9 \over {20}} \  \%x1} 
+\right)}
+\  Y 
+\end{array}
+$$
+\returnType{Type: Factored Polynomial Fraction Integer}
+
+The second question is answered by searching for idempotents in the algebra.
+
+\spadcommand{cI := conditionsForIdempotents()\$GCNAALG(FRAC INT, 4, gametes, segregationRates) }
+$$
+\begin{array}{@{}l}
+\left[
+{{{9 \over {10}} \  \%x1 \  \%x4}+
+{{\left( {{1 \over {10}} \  \%x2}+ \%x1 \right)}\  \%x3}+
+{ \%x1 \  \%x2}+
+{ \%x1 \sp 2} -
+\%x1},
+\right.
+\\
+\\
+\displaystyle
+{{{\left( \%x2+{{1 \over {10}} \  \%x1} \right)}\  \%x4}+
+{{9 \over {10}} \  \%x2 \  \%x3}+
+{ \%x2 \sp 2}+
+{{\left( \%x1 -1 \right)}\  \%x2}},
+\\
+\\
+\displaystyle
+{{{\left( \%x3+{{1 \over {10}} \  \%x1} \right)}\  \%x4}+
+{ \%x3 \sp 2}+
+{{\left( {{9 \over {10}} \  \%x2}+ \%x1 -1 \right)}\  \%x3}},
+\\
+\\
+\displaystyle
+\left.
+{{ \%x4 \sp 2}+
+{{\left( \%x3+ \%x2+{{9 \over {10}} \  \%x1} -1 \right)}\  \%x4}+
+{{1 \over {10}} \  \%x2 \  \%x3}} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Polynomial Fraction Integer}
+
+Solve these equations and look at the first solution.
+
+\spadcommand{gbs:= groebnerFactorize cI}
+$$
+\begin{array}{@{}l}
+\left[
+\begin{array}{@{}l}
+\left[ { \%x4+ \%x3+ \%x2+ \%x1 -1}, 
+\right.
+\\
+\displaystyle
+\left.
+\ \ {{{\left( \%x2+ \%x1 \right)}\  \%x3}+
+{ \%x1 \  \%x2}+{ \%x1 \sp 2} - \%x1} 
+\right],
+\end{array}
+\right.
+\\
+\\
+\displaystyle
+{\left[ 1 \right]},
+{\left[ { \%x4+ \%x3 -1}, \%x2, \%x1 \right]},
+\\
+\\
+\displaystyle
+{\left[ { \%x4+ \%x2 -1}, \%x3, \%x1 \right]},
+{\left[ \%x4, \%x3, \%x2, \%x1 \right]},
+\\
+\\
+\displaystyle
+\left.
+{\left[ { \%x4 -1}, \%x3, \%x2, \%x1 \right]},
+{\left[ { \%x4 -{1 \over 2}}, { \%x3 -{1 \over 2}}, \%x2, \%x1 \right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List List Polynomial Fraction Integer}
+
+\spadcommand{gbs.1}
+$$
+\begin{array}{@{}l}
+\left[
+{ \%x4+ \%x3+ \%x2+ \%x1 -1}, 
+\right.
+\\
+\displaystyle
+\left.
+{{{\left( \%x2+ \%x1 \right)}\  \%x3}+{ \%x1 \  \%x2}+{ \%x1 \sp 2} - \%x1} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Polynomial Fraction Integer}
+
+
+Further analysis using the package {\tt PolynomialIdeals} shows that
+there is a two-dimensional variety of equilibrium states and all other
+solutions are contained in it.
+
+Choose one equilibrium state by setting two indeterminates to concrete
+values.
+
+\spadcommand{sol := solve concat(gbs.1,[\%x1-1/10,\%x2-1/10]) }
+$$
+\left[
+{\left[ 
+{ \%x4={2 \over 5}}, 
+{ \%x3={2 \over 5}}, 
+{ \%x2={1 \over {10}}}, 
+{ \%x1={1 \over {10}}} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+\spadcommand{e : A := represents reverse (map(rhs, sol.1) :: List FRAC INT) }
+$$
+{{2 \over 5} \  ab}+
+{{2 \over 5} \  aB}+
+{{1 \over {10}} \  Ab}+
+{{1 \over {10}} \  AB} 
+$$
+\returnType{Type: 
+AlgebraGivenByStructuralConstants(Fraction Integer,4,[AB,Ab,aB,ab],
+[MATRIX,MATRIX,MATRIX,MATRIX])}
+
+Verify the result.
+
+\spadcommand{e*e-e }
+$$
+0 
+$$
+\returnType{Type: 
+AlgebraGivenByStructuralConstants(Fraction Integer,4,[AB,Ab,aB,ab],
+[MATRIX,MATRIX,MATRIX,MATRIX])}
+
+
+%\setcounter{chapter}{9} % Chapter 10
+\chapter{Some Examples of Domains and Packages}
+In this chapter we show examples of many of the most commonly used
+AXIOM domains and packages. The sections are organized by constructor
+names.
+
+\section{AssociationList}
+\label{AssociationListXmpPage}
+
+The {\tt AssociationList} constructor provides a general structure for
+associative storage.  This type provides association lists in which
+data objects can be saved according to keys of any type.  For a given
+association list, specific types must be chosen for the keys and
+entries.  You can think of the representation of an association list
+as a list of records with key and entry fields.
+
+Association lists are a form of table and so most of the operations
+available for {\tt Table} are also available for {\tt AssociationList}.  
+They can also be viewed as lists and can be manipulated accordingly.
+
+This is a {\tt Record} type with age and gender fields.
+
+\spadcommand{Data := Record(monthsOld : Integer, gender : String)}
+$$
+\mbox{\rm Record(monthsOld: Integer,gender: String)} 
+$$
+\returnType{Type: Domain}
+
+In this expression, {\tt al} is declared to be an association
+list whose keys are strings and whose entries are the above records.
+
+\spadcommand{al : AssociationList(String,Data)}
+\returnType{Type: Void}
+
+The \spadfunFrom{table}{AssociationList} operation is used to create
+an empty association list.
+
+\spadcommand{al := table()}
+$$
+table() 
+$$
+\returnType{Type: 
+AssociationList(String,Record(monthsOld: Integer,gender: String))}
+
+You can use assignment syntax to add things to the association list.
+
+\spadcommand{al."bob" := [407,"male"]\$Data}
+$$
+\left[
+{monthsOld={407}}, {gender= \mbox{\tt "male"} } 
+\right]
+$$
+\returnType{Type: Record(monthsOld: Integer,gender: String)}
+
+\spadcommand{al."judith" := [366,"female"]\$Data}
+$$
+\left[
+{monthsOld={366}}, {gender= \mbox{\tt "female"} } 
+\right]
+$$
+\returnType{Type: Record(monthsOld: Integer,gender: String)}
+
+\spadcommand{al."katie" := [24,"female"]\$Data}
+$$
+\left[
+{monthsOld={24}}, {gender= \mbox{\tt "female"} } 
+\right]
+$$
+\returnType{Type: Record(monthsOld: Integer,gender: String)}
+
+Perhaps we should have included a species field.
+
+\spadcommand{al."smokie" := [200,"female"]\$Data}
+$$
+\left[
+{monthsOld={200}}, {gender= \mbox{\tt "female"} } 
+\right]
+$$
+\returnType{Type: Record(monthsOld: Integer,gender: String)}
+
+Now look at what is in the association list.  Note that the last-added
+(key, entry) pair is at the beginning of the list.
+
+\spadcommand{al}
+$$
+\begin{array}{@{}l}
+table 
+\left(
+{ \mbox{\tt "smokie"} =
+{\left[ {monthsOld={200}}, {gender= \mbox{\tt "female"} } \right]}},
+\right.
+\\
+\\
+\displaystyle
+\ \ \ \ \ \ \ \ { \mbox{\tt "katie"} =
+{\left[ {monthsOld={24}}, {gender= \mbox{\tt "female"} } \right]}},
+\\
+\\
+\displaystyle
+\ \ \ \ \ \ \ \ { \mbox{\tt "judith"} =
+{\left[ {monthsOld={366}}, {gender= \mbox{\tt "female"} } \right]}},
+\\
+\\
+\displaystyle
+\left.
+\ \ \ \ \ \ \ \ { \mbox{\tt "bob"} =
+{\left[ {monthsOld={407}}, {gender= \mbox{\tt "male"} } \right]}}
+\right)
+\end{array}
+$$
+\returnType{Type: 
+AssociationList(String,Record(monthsOld: Integer,gender: String))}
+
+You can reset the entry for an existing key.
+
+\spadcommand{al."katie" := [23,"female"]\$Data}
+$$
+\left[
+{monthsOld={23}}, {gender= \mbox{\tt "female"} } 
+\right]
+$$
+\returnType{Type: Record(monthsOld: Integer,gender: String)}
+
+Use \spadfunFrom{delete!}{AssociationList} to destructively remove an
+element of the association list.  Use
+\spadfunFrom{delete}{AssociationList} to return a copy of the
+association list with the element deleted.  The second argument is the
+index of the element to delete.
+
+\spadcommand{delete!(al,1)}
+$$
+\begin{array}{@{}l}
+table 
+\left(
+{ \mbox{\tt "katie"} =
+{\left[ {monthsOld={23}}, {gender= \mbox{\tt "female"} } \right]}},
+\right.
+\\
+\\
+\displaystyle
+\ \ \ \ \ \ \ \ { \mbox{\tt "judith"} =
+{\left[ {monthsOld={366}}, {gender= \mbox{\tt "female"} } \right]}},
+\\
+\\
+\displaystyle
+\left.
+\ \ \ \ \ \ \ \ { \mbox{\tt "bob"} =
+{\left[ {monthsOld={407}}, {gender= \mbox{\tt "male"} } \right]}}
+\right)
+\end{array}
+$$
+\returnType{Type: 
+AssociationList(String,Record(monthsOld: Integer,gender: String))}
+
+For more information about tables, 
+see \ref{TableXmpPage} on page~\pageref{TableXmpPage}.
+For more information about lists, 
+see \ref{ListXmpPage} on page~\pageref{ListXmpPage}.
+
+\section{BalancedBinaryTree}
+\label{BalancedBinaryTreeXmpPage}
+
+{\tt BalancedBinaryTrees(S)} is the domain of balanced binary trees
+with elements of type {\tt S} at the nodes.  A binary tree is either
+{\tt empty} or else consists of a {\tt node} having a {\tt value} and
+two branches, each branch a binary tree.  A balanced binary tree is
+one that is balanced with respect its leaves.  One with $2^k$ leaves
+is perfectly ``balanced'': the tree has minimum depth, and the {\tt
+left} and {\tt right} branch of every interior node is identical in
+shape.
+
+Balanced binary trees are useful in algebraic computation for
+so-called ``divide-and-conquer'' algorithms.  Conceptually, the data
+for a problem is initially placed at the root of the tree.  The
+original data is then split into two subproblems, one for each
+subtree.  And so on.  Eventually, the problem is solved at the leaves
+of the tree.  A solution to the original problem is obtained by some
+mechanism that can reassemble the pieces.  In fact, an implementation
+of the Chinese Remainder Algorithm using balanced binary trees was
+first proposed by David Y. Y.  Yun at the IBM T. J.  Watson Research
+Center in Yorktown Heights, New York, in 1978.  It served as the
+prototype for polymorphic algorithms in Axiom.
+
+In what follows, rather than perform a series of computations with a
+single expression, the expression is reduced modulo a number of
+integer primes, a computation is done with modular arithmetic for each
+prime, and the Chinese Remainder Algorithm is used to obtain the
+answer to the original problem.  We illustrate this principle with the
+computation of $12^2 = 144$.
+
+A list of moduli.
+
+\spadcommand{lm := [3,5,7,11]}
+$$
+\left[
+3, 5, 7,  {11} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The expression {\tt modTree(n, lm)} creates a balanced binary tree
+with leaf values {\tt n mod m} for each modulus {\tt m} in {\tt lm}.
+
+\spadcommand{modTree(12,lm)}
+$$
+\left[
+0, 2, 5, 1 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Operation {\tt modTree} does this using operations on balanced binary
+trees.  We trace its steps.  Create a balanced binary tree {\tt t} of
+zeros with four leaves.
+
+\spadcommand{t := balancedBinaryTree(\#lm, 0)}
+$$
+\left[
+{\left[ 0, 0, 0 \right]}, 0, {\left[ 0, 0, 0\right]}
+\right]
+$$
+\returnType{Type: BalancedBinaryTree NonNegativeInteger}
+
+The leaves of the tree are set to the individual moduli.
+
+\spadcommand{setleaves!(t,lm)}
+$$
+\left[
+{\left[ 3, 0, 5\right]}, 0, {\left[ 7, 0, {11} \right]}
+\right]
+$$
+\returnType{Type: BalancedBinaryTree NonNegativeInteger}
+
+Use {\tt mapUp!} to do a bottom-up traversal of {\tt t}, setting each
+interior node to the product of the values at the nodes of its
+children.
+
+\spadcommand{mapUp!(t,\_*)}
+$$
+1155 
+$$
+\returnType{Type: PositiveInteger}
+
+The value at the node of every subtree is the product of the moduli
+of the leaves of the subtree.
+
+\spadcommand{t}
+$$
+\left[
+{\left[ 3, {15}, 5\right]}, {1155}, {\left[ 7, {77}, {11} \right]}
+\right]
+$$
+\returnType{Type: BalancedBinaryTree NonNegativeInteger}
+
+Operation {\tt mapDown!}{\tt (t,a,fn)} replaces the value {\tt v} at
+each node of {\tt t} by {\tt fn(a,v)}.
+
+\spadcommand{mapDown!(t,12,\_rem)}
+$$
+\left[
+{\left[ 0, {12}, 2\right]}, {12}, {\left[ 5, {12}, 1 \right]}
+\right]
+$$
+\returnType{Type: BalancedBinaryTree NonNegativeInteger}
+
+The operation {\tt leaves} returns the leaves of the resulting tree.
+In this case, it returns the list of {\tt 12 mod m} for each modulus
+{\tt m}.
+
+\spadcommand{leaves \%}
+$$
+\left[
+0, 2, 5, 1 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+Compute the square of the images of {\tt 12} modulo each {\tt m}.
+
+\spadcommand{squares := [x**2 rem m for x in \% for m in lm]}
+$$
+\left[
+0, 4, 4, 1 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+Call the Chinese Remainder Algorithm to get the answer for $12^2$.
+
+\spadcommand{chineseRemainder(\%,lm)}
+$$
+144 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{BasicOperator}
+\label{BasicOperatorXmpPage}
+
+A basic operator is an object that can be symbolically applied to a
+list of arguments from a set, the result being a kernel over that set
+or an expression.  In addition to this section, please see
+\ref{ExpressionXmpPage} on page~\pageref{ExpressionXmpPage} and 
+\ref{KernelXmpPage} on page~\pageref{KernelXmpPage} for additional
+information and examples.
+
+You create an object of type {\tt BasicOperator} by using the
+\spadfunFrom{operator}{BasicOperator} operation.  This first form of
+this operation has one argument and it must be a symbol.  The symbol
+should be quoted in case the name has been used as an identifier to
+which a value has been assigned.
+
+A frequent application of {\tt BasicOperator} is the creation of an
+operator to represent the unknown function when solving a differential
+equation.
+
+Let {\tt y} be the unknown function in terms of {\tt x}.
+
+\spadcommand{y := operator 'y}
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+This is how you enter the equation {\tt y'' + y' + y = 0}.
+
+\spadcommand{deq := D(y x, x, 2) + D(y x, x) + y x = 0}
+$$
+{{{y \sb {{\ }} \sp {,,}} \left({x} \right)}+
+{{y\sb {{\ }} \sp {,}} \left({x} \right)}+
+{y\left({x} \right)}}=0
+$$
+\returnType{Type: Equation Expression Integer}
+
+To solve the above equation, enter this.
+
+\spadcommand{solve(deq, y, x)}
+$$
+\left[
+{particular=0}, 
+{basis={\left[ {{\cos \left({{{x \  {\sqrt {3}}} \over 2}} \right)}
+\  {e \sp {\left( -{x \over 2} \right)}}},
+{{e \sp {\left( -{x \over 2} \right)}}
+\  {\sin \left({{{x \  {\sqrt {3}}} \over 2}} \right)}}
+\right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,
+basis: List Expression Integer),...)}
+
+See \ref{ugProblemDEQPage} on page~\pageref{ugProblemDEQPage} 
+in Section \ref{ugProblemDEQNumber} on page~\pageref{ugProblemDEQNumber}
+for this kind of use of {\tt BasicOperator}.
+
+Use the single argument form of \spadfunFrom{operator}{BasicOperator}
+(as above) when you intend to use the operator to create functional
+expressions with an arbitrary number of arguments
+
+{\it Nary} means an arbitrary number of arguments can be used
+in the functional expressions.
+
+\spadcommand{nary? y}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{unary? y}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Use the two-argument form when you want to restrict the number of
+arguments in the functional expressions created with the operator.
+
+This operator can only be used to create functional expressions
+with one argument.
+
+\spadcommand{opOne := operator('opOne, 1)}
+$$
+opOne 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{nary? opOne}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{unary? opOne}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Use \spadfunFrom{arity}{BasicOperator} to learn the number of arguments 
+that can be used.  It returns {\tt "false"} if the operator is nary.
+
+\spadcommand{arity opOne}
+$$
+1 
+$$
+\returnType{Type: Union(NonNegativeInteger,...)}
+
+Use \spadfunFrom{name}{BasicOperator} to learn the name of an operator.
+
+\spadcommand{name opOne}
+$$
+opOne 
+$$
+\returnType{Type: Symbol}
+
+Use \spadfunFrom{is?}{BasicOperator} to learn if an operator has a
+particular name.
+
+\spadcommand{is?(opOne, 'z2)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+You can also use a string as the name to be tested against.
+
+\spadcommand{is?(opOne, "opOne")}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+You can attached named properties to an operator.  These are rarely
+used at the top-level of the Axiom interactive environment but are
+used with Axiom library source code.
+
+By default, an operator has no properties.
+
+\spadcommand{properties y}
+$$
+table() 
+$$
+\returnType{Type: AssociationList(String,None)}
+
+The interface for setting and getting properties is somewhat awkward
+because the property values are stored as values of type {\tt None}.
+
+Attach a property by using \spadfunFrom{setProperty}{BasicOperator}.
+
+\spadcommand{setProperty(y, "use", "unknown function" :: None )}
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{properties y}
+$$
+table 
+\left(
+{{ \mbox{\tt "use"} =NONE}} 
+\right)
+$$
+\returnType{Type: AssociationList(String,None)}
+
+We {\it know} the property value has type {\tt String}.
+
+\spadcommand{property(y, "use") :: None pretend String}
+$$
+\mbox{\tt "unknown function"} 
+$$
+\returnType{Type: String}
+
+Use \spadfunFrom{deleteProperty!}{BasicOperator} to destructively
+remove a property.
+
+\spadcommand{deleteProperty!(y, "use")}
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{properties y}
+$$
+table() 
+$$
+\returnType{Type: AssociationList(String,None)}
+
+\section{BinaryExpansion}
+\label{BinaryExpansionXmpPage}
+
+All rational numbers have repeating binary expansions.  Operations to
+access the individual bits of a binary expansion can be obtained by
+converting the value to {\tt RadixExpansion(2)}.  More examples of
+expansions are available in 
+\ref{DecimalExpansionXmpPage} on page~\pageref{DecimalExpansionXmpPage},
+\ref{HexadecimalExpansionXmpPage} on 
+page~\pageref{HexadecimalExpansionXmpPage}, and 
+\ref{RadixExpansionXmpPage} on page~\pageref{RadixExpansionXmpPage}.
+
+The expansion (of type {\tt BinaryExpansion}) of a rational number
+is returned by the \spadfunFrom{binary}{BinaryExpansion} operation.
+
+\spadcommand{r := binary(22/7)}
+$$
+{11}.{\overline {001}} 
+$$
+\returnType{Type: BinaryExpansion}
+
+Arithmetic is exact.
+
+\spadcommand{r + binary(6/7)}
+$$
+100 
+$$
+\returnType{Type: BinaryExpansion}
+
+The period of the expansion can be short or long \ldots
+
+\spadcommand{[binary(1/i) for i in 102..106] }
+$$
+\begin{array}{@{}l}
+\left[
+{0.0{\overline {00000101}}}, 
+{0.{\overline {000000100111110001000101100101111001110010010101001}}},
+\right.
+\\
+\\
+\displaystyle
+{0.{000}{\overline {000100111011}}},
+{0.{\overline {000000100111}}},
+\\
+\\
+\displaystyle
+\left.
+{0.0{\overline {0000010011010100100001110011111011001010110111100011}}} 
+\right]
+\end{array}
+$$
+\returnType{Type: List BinaryExpansion}
+
+or very long.
+
+\spadcommand{binary(1/1007) }
+$$
+\begin{array}{@{}l}
+0.
+\overline 
+{000000000100000100010100100101111000001111110000101111110010110001111101}
+\\
+\displaystyle
+\ \ \overline 
+{000100111001001100110001100100101010111101101001100000000110000110011110}
+\\
+\displaystyle
+\ \ \overline 
+{111000110100010111101001000111101100001010111011100111010101110011001010}
+\\
+\displaystyle
+\ \ \overline 
+{010111000000011100011110010000001001001001101110010101001110100011011101}
+\\
+\displaystyle
+\ \ \overline 
+{101011100010010000011001011011000000101100101111100010100000101010101101}
+\\
+\displaystyle
+\ \ \overline 
+{011000001101101110100101011111110101110101001100100001010011011000100110}
+\\
+\displaystyle
+\ \ \overline 
+{001000100001000011000111010011110001}
+\end{array}
+$$
+\returnType{Type: BinaryExpansion}
+
+These numbers are bona fide algebraic objects.
+
+\spadcommand{p := binary(1/4)*x**2 + binary(2/3)*x + binary(4/9)}
+$$
+{{0.{01}} \  {x \sp 2}}+{{0.{\overline {10}}} \  x}+{0.{\overline {011100}}} 
+$$
+\returnType{Type: Polynomial BinaryExpansion}
+
+\spadcommand{q := D(p, x)}
+$$
+{{0.1} \  x}+{0.{\overline {10}}} 
+$$
+\returnType{Type: Polynomial BinaryExpansion}
+
+\spadcommand{g := gcd(p, q)}
+$$
+x+{1.{\overline {01}}} 
+$$
+\returnType{Type: Polynomial BinaryExpansion}
+
+\section{BinarySearchTree}
+\label{BinarySearchTreeXmpPage}
+
+{\tt BinarySearchTree(R)} is the domain of binary trees with elements
+of type {\tt R}, ordered across the nodes of the tree.  A non-empty
+binary search tree has a value of type {\tt R}, and {\tt right} and
+{\tt left} binary search subtrees.  If a subtree is empty, it is
+displayed as a period (``.'').
+
+Define a list of values to be placed across the tree.  The resulting
+tree has {\tt 8} at the root; all other elements are in the left
+subtree.
+
+\spadcommand{lv := [8,3,5,4,6,2,1,5,7]}
+$$
+\left[
+8, 3, 5, 4, 6, 2, 1, 5, 7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+A convenient way to create a binary search tree is to apply the
+operation {\tt binarySearchTree} to a list of elements.
+
+\spadcommand{t := binarySearchTree lv}
+$$
+\left[
+{\left[ {\left[ 1, 2, . \right]}, 3, 
+{\left[ 4, 5, {\left[ 5, 6, 7 \right]}\right]}
+\right]},
+8, . 
+\right]
+$$
+\returnType{Type: BinarySearchTree PositiveInteger}
+
+Another approach is to first create an empty binary search tree of integers.
+
+\spadcommand{emptybst := empty()\$BSTREE(INT)}
+$$
+[\ ] 
+$$
+\returnType{Type: BinarySearchTree Integer}
+
+Insert the value {\tt 8}.  This establishes {\tt 8} as the root of the
+binary search tree.  Values inserted later that are less than {\tt 8}
+get stored in the {\tt left} subtree, others in the {\tt right} subtree.
+
+\spadcommand{t1 := insert!(8,emptybst)}
+$$
+8 
+$$
+\returnType{Type: BinarySearchTree Integer}
+
+Insert the value {\tt 3}. This number becomes the root of the {\tt
+left} subtree of {\tt t1}.  For optimal retrieval, it is thus
+important to insert the middle elements first.
+
+\spadcommand{insert!(3,t1)}
+$$
+\left[3, 8, . \right]
+$$
+\returnType{Type: BinarySearchTree Integer}
+
+We go back to the original tree {\tt t}.  The leaves of the binary
+search tree are those which have empty {\tt left} and {\tt right} subtrees.
+
+\spadcommand{leaves t}
+$$
+\left[
+1, 4, 5, 7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The operation {\tt split}{\tt (k,t)} returns a \index{record}
+containing the two subtrees: one with all elements ``less'' than 
+{\tt k}, another with elements ``greater'' than {\tt k}.
+
+\spadcommand{split(3,t)}
+$$
+\left[
+{less={\left[ 1, 2, . \right]}},
+{greater={\left[ {\left[ ., 3, 
+{\left[ 4, 5, 
+{\left[ 5, 6, 7 \right]}
+\right]}
+\right]},
+8, . 
+\right]}}
+\right]
+$$
+\returnType{Type: 
+Record(less: BinarySearchTree PositiveInteger,greater: 
+BinarySearchTree PositiveInteger)}
+
+Define {\tt insertRoot} to insert new elements by creating a new node.
+
+\spadcommand{insertRoot: (INT,BSTREE INT) -> BSTREE INT}
+\returnType{Type: Void}
+
+The new node puts the inserted value between its ``less'' tree and
+``greater'' tree.
+
+\begin{verbatim}
+insertRoot(x, t) ==
+    a := split(x, t)
+    node(a.less, x, a.greater)
+\end{verbatim}
+
+Function {\tt buildFromRoot} builds a binary search tree from a list
+of elements {\tt ls} and the empty tree {\tt emptybst}.
+
+\spadcommand{buildFromRoot ls == reduce(insertRoot,ls,emptybst)}
+\returnType{Type: Void}
+
+Apply this to the reverse of the list {\tt lv}.
+
+\spadcommand{rt := buildFromRoot reverse lv}
+$$
+\left[
+{\left[ {\left[ 1, 2, . \right]}, 3, 
+{\left[ 4, 5, {\left[ 5, 6, 7\right]}\right]}
+\right]},
+8, . 
+\right]
+$$
+\returnType{Type: BinarySearchTree Integer}
+
+Have Axiom check that these are equal.
+
+\spadcommand{(t = rt)@Boolean}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\section{CardinalNumber}
+\label{CardinalNumberXmpPage}
+
+The {\tt CardinalNumber} domain can be used for values indicating the
+cardinality of sets, both finite and infinite.  For example, the
+\spadfunFrom{dimension}{VectorSpace} operation in the category 
+{\tt VectorSpace} returns a cardinal number.
+
+The non-negative integers have a natural construction as cardinals
+\begin{verbatim}
+0 = #{ }, 1 = {0}, 2 = {0, 1}, ..., n = {i | 0 <= i < n}.
+\end{verbatim}
+
+The fact that {\tt 0} acts as a zero for the multiplication of cardinals is
+equivalent to the axiom of choice.
+
+Cardinal numbers can be created by conversion from non-negative integers.
+
+\spadcommand{c0 := 0 :: CardinalNumber}
+$$
+0 
+$$
+\returnType{Type: CardinalNumber}
+
+\spadcommand{c1 := 1 :: CardinalNumber}
+$$
+1 
+$$
+\returnType{Type: CardinalNumber}
+
+\spadcommand{c2 := 2 :: CardinalNumber}
+$$
+2 
+$$
+\returnType{Type: CardinalNumber}
+
+\spadcommand{c3 := 3 :: CardinalNumber}
+$$
+3 
+$$
+\returnType{Type: CardinalNumber}
+
+They can also be obtained as the named cardinal {\tt Aleph(n)}.
+
+\spadcommand{A0 := Aleph 0}
+$$
+Aleph 
+\left(
+{0} 
+\right)
+$$
+\returnType{Type: CardinalNumber}
+
+\spadcommand{A1 := Aleph 1}
+$$
+Aleph 
+\left(
+{1} 
+\right)
+$$
+\returnType{Type: CardinalNumber}
+
+The \spadfunFrom{finite?}{CardinalNumber} operation tests whether a
+value is a finite cardinal, that is, a non-negative integer.
+
+\spadcommand{finite? c2}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{finite? A0}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Similarly, the \spadfunFrom{countable?}{CardinalNumber}
+operation determines whether a value is
+a countable cardinal, that is, finite or {\tt Aleph(0)}.
+
+\spadcommand{countable? c2}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{countable? A0}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{countable? A1}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Arithmetic operations are defined on cardinal numbers as follows:
+If {\tt x = \#X}  and  {\tt y = \#Y} then
+
+\noindent
+$
+\begin{array}{lr}
+{\tt x+y  = \#(X+Y)}  & cardinality of the disjoint union\\
+{\tt x-y  = \#(X-Y)}  & cardinality of the relative complement \\
+{\tt x*y  = \#(X*Y)}  & cardinality of the Cartesian product \\
+{\tt x**y = \#(X**Y)} & 
+cardinality of the set of maps from {\tt Y} to {\tt X} \\
+\end{array}
+$
+
+Here are some arithmetic examples.
+
+\spadcommand{[c2 + c2, c2 + A1]}
+$$
+\left[4, {Aleph \left({1} \right)}\right]
+$$
+\returnType{Type: List CardinalNumber}
+
+\spadcommand{[c0*c2, c1*c2, c2*c2, c0*A1, c1*A1, c2*A1, A0*A1]}
+$$
+\left[
+0, 2, 4, 0, {Aleph \left({1} \right)},
+{Aleph \left({1} \right)},
+{Aleph \left({1} \right)}
+\right]
+$$
+\returnType{Type: List CardinalNumber}
+
+\spadcommand{[c2**c0, c2**c1, c2**c2, A1**c0, A1**c1, A1**c2]}
+$$
+\left[
+1, 2, 4, 1, {Aleph \left({1} \right)},
+{Aleph \left({1} \right)}
+\right]
+$$
+\returnType{Type: List CardinalNumber}
+
+Subtraction is a partial operation: it is not defined
+when subtracting a larger cardinal from a smaller one, nor
+when subtracting two equal infinite cardinals.
+
+\spadcommand{[c2-c1, c2-c2, c2-c3, A1-c2, A1-A0, A1-A1]}
+$$
+\left[
+1, 0, \mbox{\tt "failed"} , {Aleph \left({1} \right)},
+{Aleph \left({1} \right)},
+\mbox{\tt "failed"} 
+\right]
+$$
+\returnType{Type: List Union(CardinalNumber,"failed")}
+
+The generalized continuum hypothesis asserts that
+\begin{verbatim}
+2**Aleph i = Aleph(i+1)
+\end{verbatim}
+and is independent of the axioms of set theory.\footnote{Goedel,
+{\it The consistency of the continuum hypothesis,}
+Ann. Math. Studies, Princeton Univ. Press, 1940.}
+
+The {\tt CardinalNumber} domain provides an operation to assert
+whether the hypothesis is to be assumed.
+
+\spadcommand{generalizedContinuumHypothesisAssumed true}
+
+When the generalized continuum hypothesis
+is assumed, exponentiation to a transfinite power is allowed.
+
+\spadcommand{[c0**A0, c1**A0, c2**A0, A0**A0, A0**A1, A1**A0, A1**A1]}
+$$
+\left[
+0, 1, {Aleph \left({1} \right)},
+{Aleph \left({1} \right)},
+{Aleph \left({2} \right)},
+{Aleph \left({1} \right)},
+{Aleph \left({2} \right)}
+\right]
+$$
+\returnType{Type: List CardinalNumber}
+
+Three commonly encountered cardinal numbers are
+
+\noindent
+$
+\begin{array}{lr}
+{\tt a = \#}{\bf Z} & countable infinity  \\
+{\tt c = \#}{\bf R} & the continuum       \\
+{\tt f = \#\{g| g: [0,1] -> {\bf R}\}}    \\
+\end{array}
+$
+
+In this domain, these values are obtained under the generalized
+continuum hypothesis in this way.
+
+\spadcommand{a := Aleph 0}
+$$
+Aleph \left({0} \right)
+$$
+\returnType{Type: CardinalNumber}
+
+\spadcommand{c := 2**a}
+$$
+Aleph \left({1} \right)
+$$
+\returnType{Type: CardinalNumber}
+
+\spadcommand{f := 2**c}
+$$
+Aleph \left({2} \right)
+$$
+\returnType{Type: CardinalNumber}
+
+\section{CartesianTensor}
+\label{CartesianTensorXmpPage}
+
+{\tt CartesianTensor(i0,dim,R)} provides Cartesian tensors with
+components belonging to a commutative ring {\tt R}.  Tensors can be
+described as a generalization of vectors and matrices.  This gives a
+concise {\it tensor algebra} for multilinear objects supported by the
+{\tt CartesianTensor} domain.  You can form the inner or outer product
+of any two tensors and you can add or subtract tensors with the same
+number of components.  Additionally, various forms of traces and
+transpositions are useful.
+
+The {\tt CartesianTensor} constructor allows you to specify the
+minimum index for subscripting.  In what follows we discuss in detail
+how to manipulate tensors.
+
+Here we construct the domain of Cartesian tensors of dimension 2 over the
+integers, with indices starting at 1.
+
+\spadcommand{CT := CARTEN(i0 := 1, 2, Integer)}
+$$
+CartesianTensor(1,2,Integer) 
+$$
+\returnType{Type: Domain}
+
+\subsubsection{Forming tensors}
+
+Scalars can be converted to tensors of rank zero.
+
+\spadcommand{t0: CT := 8}
+$$
+8 
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{rank t0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Vectors (mathematical direct products, rather than one dimensional array
+structures) can be converted to tensors of rank one.
+
+\spadcommand{v: DirectProduct(2, Integer) := directProduct [3,4]}
+$$
+\left[
+3, 4 
+\right]
+$$
+\returnType{Type: DirectProduct(2,Integer)}
+
+\spadcommand{Tv: CT := v}
+$$
+\left[
+3, 4 
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+Matrices can be converted to tensors of rank two.
+
+\spadcommand{m: SquareMatrix(2, Integer) := matrix [ [1,2],[4,5] ]}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+4 & 5 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{Tm: CT := m}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+4 & 5 
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{n: SquareMatrix(2, Integer) := matrix [ [2,3],[0,1] ]}
+$$
+\left[
+\begin{array}{cc}
+2 & 3 \\ 
+0 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{Tn: CT := n}
+$$
+\left[
+\begin{array}{cc}
+2 & 3 \\ 
+0 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+In general, a tensor of rank {\tt k} can be formed by making a list of
+rank {\tt k-1} tensors or, alternatively, a {\tt k}-deep nested list
+of lists.
+
+\spadcommand{t1: CT := [2, 3]}
+$$
+\left[
+2, 3 
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{rank t1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{t2: CT := [t1, t1]}
+$$
+\left[
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{t3: CT := [t2, t2]}
+$$
+\left[
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]},
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{tt: CT := [t3, t3]; tt := [tt, tt]}
+$$
+\left[
+{\left[ 
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+\end{array}
+\right]},
+{\left[ 
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+2 & 3 
+\end{array}
+\right]}
+\end{array}
+\right]}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{rank tt}
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsubsection{Multiplication}
+
+Given two tensors of rank {\tt k1} and {\tt k2}, the outer
+\spadfunFrom{product}{CartesianTensor} forms a new tensor of rank 
+{\tt k1+k2}. Here
+
+$$T_{mn}(i,j,k,l) = T_m(i,j) \  T_n(k,l)$$
+
+\spadcommand{Tmn := product(Tm, Tn)}
+$$
+\left[
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+0 & 1 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+4 & 6 \\ 
+0 & 2 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+8 & {12} \\ 
+0 & 4 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+{10} & {15} \\ 
+0 & 5 
+\end{array}
+\right]}
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+The inner product (\spadfunFrom{contract}{CartesianTensor}) forms a
+tensor of rank {\tt k1+k2-2}.  This product generalizes the vector dot
+product and matrix-vector product by summing component products along
+two indices.
+
+Here we sum along the second index of $T_m$ and the first index of
+$T_v$.  Here 
+
+$$T_{mv} = \sum_{j=1}^{\hbox{\tiny\rm dim}} T_m(i,j) \ T_v(j)$$
+
+\spadcommand{Tmv := contract(Tm,2,Tv,1)}
+$$
+\left[
+{11}, {32} 
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+The multiplication operator \spadopFrom{*}{CartesianTensor} is scalar
+multiplication or an inner product depending on the ranks of the arguments.
+
+If either argument is rank zero it is treated as scalar multiplication.
+Otherwise, {\tt a*b} is the inner product summing the last index of
+{\tt a} with the first index of {\tt b}.
+
+\spadcommand{Tm*Tv}
+$$
+\left[
+{11}, {32} 
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+This definition is consistent with the inner product on matrices
+and vectors.
+
+\spadcommand{Tmv = m * v}
+$$
+{\left[ {11}, {32} \right]}=
+{\left[{11}, {32} \right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\subsubsection{Selecting Components}
+
+For tensors of low rank (that is, four or less), components can be selected
+by applying the tensor to its indices.
+
+\spadcommand{t0()}
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{t1(1+1)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{t2(2,1)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{t3(2,1,2)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{Tmn(2,1,2,1)}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+A general indexing mechanism is provided for a list of indices.
+
+\spadcommand{t0[]}
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{t1[2]}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{t2[2,1]}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+The general mechanism works for tensors of arbitrary rank, but is
+somewhat less efficient since the intermediate index list must be created.
+
+\spadcommand{t3[2,1,2]}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{Tmn[2,1,2,1]}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+\subsubsection{Contraction}
+
+A ``contraction'' between two tensors is an inner product, as we have
+seen above.  You can also contract a pair of indices of a single
+tensor.  This corresponds to a ``trace'' in linear algebra.  The
+expression {\tt contract(t,k1,k2)} forms a new tensor by summing the
+diagonal given by indices in position {\tt k1} and {\tt k2}.
+
+This is the tensor given by
+$$xT_{mn} = \sum_{k=1}^{\hbox{\tiny\rm dim}} T_{mn}(k,k,i,j)$$
+
+\spadcommand{cTmn := contract(Tmn,1,2)}
+$$
+\left[
+\begin{array}{cc}
+{12} & {18} \\ 
+0 & 6 
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+Since {\tt Tmn} is the outer product of matrix {\tt m} and matrix {\tt n},
+the above is equivalent to this.
+
+\spadcommand{trace(m) * n}
+$$
+\left[
+\begin{array}{cc}
+{12} & {18} \\ 
+0 & 6 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+In this and the next few examples, we show all possible contractions
+of {\tt Tmn} and their matrix algebra equivalents.
+
+\spadcommand{contract(Tmn,1,2) = trace(m) * n}
+$$
+{\left[ 
+\begin{array}{cc}
+{12} & {18} \\ 
+0 & 6 
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+{12} & {18} \\ 
+0 & 6 
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\spadcommand{contract(Tmn,1,3) = transpose(m) * n}
+$$
+{\left[ 
+\begin{array}{cc}
+2 & 7 \\ 
+4 & {11} 
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+2 & 7 \\ 
+4 & {11} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\spadcommand{contract(Tmn,1,4) = transpose(m) * transpose(n)}
+$$
+{\left[ 
+\begin{array}{cc}
+{14} & 4 \\ 
+{19} & 5 
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+{14} & 4 \\ 
+{19} & 5 
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\spadcommand{contract(Tmn,2,3) = m * n}
+$$
+{\left[ 
+\begin{array}{cc}
+2 & 5 \\ 
+8 & {17} 
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+2 & 5 \\ 
+8 & {17} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\spadcommand{contract(Tmn,2,4) = m * transpose(n)}
+$$
+{\left[ 
+\begin{array}{cc}
+8 & 2 \\ 
+{23} & 5 
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+8 & 2 \\ 
+{23} & 5 
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\spadcommand{contract(Tmn,3,4) = trace(n) * m}
+$$
+{\left[ 
+\begin{array}{cc}
+3 & 6 \\ 
+{12} & {15} 
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+3 & 6 \\ 
+{12} & {15} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\subsubsection{Transpositions}
+
+You can exchange any desired pair of indices using the
+\spadfunFrom{transpose}{CartesianTensor} operation.
+
+Here the indices in positions one and three are exchanged, that is,
+$tT_{mn}(i,j,k,l) = T_{mn}(k,j,i,l).$
+
+\spadcommand{tTmn := transpose(Tmn,1,3)}
+$$
+\left[
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 3 \\ 
+8 & {12} 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+4 & 6 \\ 
+{10} & {15} 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+0 & 4 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+0 & 2 \\ 
+0 & 5 
+\end{array}
+\right]}
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+If no indices are specified, the first and last index are exchanged.
+
+\spadcommand{transpose Tmn}
+$$
+\left[
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 8 \\ 
+0 & 0 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+4 & {10} \\ 
+0 & 0 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+3 & {12} \\ 
+1 & 4 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+6 & {15} \\ 
+2 & 5 
+\end{array}
+\right]}
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+This is consistent with the matrix transpose.
+
+\spadcommand{transpose Tm = transpose m}
+$$
+{\left[ 
+\begin{array}{cc}
+1 & 4 \\ 
+2 & 5 
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+1 & 4 \\ 
+2 & 5 
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+If a more complicated reordering of the indices is required, then the
+\spadfunFrom{reindex}{CartesianTensor} operation can be used.
+This operation allows the indices to be arbitrarily permuted.
+
+This defines $rT_{mn}(i,j,k,l) = \allowbreak T_{mn}(i,l,j,k).$
+
+\spadcommand{rTmn := reindex(Tmn, [1,4,2,3])}
+$$
+\left[
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 0 \\ 
+4 & 0 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+3 & 1 \\ 
+6 & 2 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+8 & 0 \\ 
+{10} & 0 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+{12} & 4 \\ 
+{15} & 5 
+\end{array}
+\right]}
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\subsubsection{Arithmetic}
+
+Tensors of equal rank can be added or subtracted so arithmetic
+expressions can be used to produce new tensors.
+
+\spadcommand{tt := transpose(Tm)*Tn - Tn*transpose(Tm)}
+$$
+\left[
+\begin{array}{cc}
+-6 & -{16} \\ 
+2 & 6 
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{Tv*(tt+Tn)}
+$$
+\left[
+-4, -{11} 
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\spadcommand{reindex(product(Tn,Tn),[4,3,2,1])+3*Tn*product(Tm,Tm)}
+$$
+\left[
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+{46} & {84} \\ 
+{174} & {212} 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+{57} & {114} \\ 
+{228} & {285} 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+{18} & {24} \\ 
+{57} & {63} 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+{17} & {30} \\ 
+{63} & {76} 
+\end{array}
+\right]}
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+\subsubsection{Specific Tensors}
+
+Two specific tensors have properties which depend only on the
+dimension.
+
+The Kronecker delta satisfies
+\begin{verbatim}
+             +-
+             |   1  if i  = j
+delta(i,j) = |
+             |   0  if i ^= j
+             +-
+\end{verbatim}
+
+\spadcommand{delta:  CT := kroneckerDelta()}
+$$
+\left[
+\begin{array}{cc}
+1 & 0 \\ 
+0 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+This can be used to reindex via contraction.
+
+\spadcommand{contract(Tmn, 2, delta, 1) = reindex(Tmn, [1,3,4,2])}
+$$
+{\left[ 
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 4 \\ 
+3 & 6 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+1 & 2 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+8 & {10} \\ 
+{12} & {15} 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+4 & 5 
+\end{array}
+\right]}
+\end{array}
+\right]}={\left[
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+2 & 4 \\ 
+3 & 6 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+1 & 2 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+8 & {10} \\ 
+{12} & {15} 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+4 & 5 
+\end{array}
+\right]}
+\end{array}
+\right]}
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+The Levi Civita symbol determines the sign of a permutation of indices.
+
+\spadcommand{epsilon:CT := leviCivitaSymbol()}
+$$
+\left[
+\begin{array}{cc}
+0 & 1 \\ 
+-1 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: CartesianTensor(1,2,Integer)}
+
+Here we have:
+\begin{verbatim}
+epsilon(i1,...,idim)
+     = +1  if i1,...,idim is an even permutation of i0,...,i0+dim-1
+     = -1  if i1,...,idim is an  odd permutation of i0,...,i0+dim-1
+     =  0  if i1,...,idim is not   a permutation of i0,...,i0+dim-1
+\end{verbatim}
+
+This property can be used to form determinants.
+
+\spadcommand{contract(epsilon*Tm*epsilon, 1,2) = 2 * determinant m}
+$$
+-6=-6 
+$$
+\returnType{Type: Equation CartesianTensor(1,2,Integer)}
+
+\subsubsection{Properties of the CartesianTensor domain}
+
+{\tt GradedModule(R,E)} denotes ``{\tt E}-graded {\tt R}-module'',
+that is, a collection of {\tt R}-modules indexed by an abelian monoid
+{\tt E.}  An element {\tt g} of {\tt G[s]} for some specific {\tt s}
+in {\tt E} is said to be an element of {\tt G} with
+\spadfunFrom{degree}{GradedModule} {\tt s}.  Sums are defined in each
+module {\tt G[s]} so two elements of {\tt G} can be added if they have
+the same degree.  Morphisms can be defined and composed by degree to
+give the mathematical category of graded modules.
+
+{\tt GradedAlgebra(R,E)} denotes ``{\tt E}-graded {\tt R}-algebra.''
+A graded algebra is a graded module together with a degree preserving
+{\tt R}-bilinear map, called the \spadfunFrom{product}{GradedAlgebra}.
+
+\begin{verbatim}
+degree(product(a,b))    = degree(a) + degree(b)
+
+product(r*a,b)          = product(a,r*b) = r*product(a,b)
+product(a1+a2,b)        = product(a1,b) + product(a2,b)
+product(a,b1+b2)        = product(a,b1) + product(a,b2)
+product(a,product(b,c)) = product(product(a,b),c)
+\end{verbatim}
+
+The domain {\tt CartesianTensor(i0, dim, R)} belongs to the category
+{\tt GradedAlgebra(R, NonNegativeInteger)}.  The non-negative integer
+\spadfunFrom{degree}{GradedAlgebra} is the tensor rank and the graded
+algebra \spadfunFrom{product}{GradedAlgebra} is the tensor outer
+product.  The graded module addition captures the notion that only
+tensors of equal rank can be added.
+
+If {\tt V} is a vector space of dimension {\tt dim} over {\tt R},
+then the tensor module {\tt T[k](V)} is defined as
+\begin{verbatim}
+T[0](V) = R
+T[k](V) = T[k-1](V) * V
+\end{verbatim}
+where {\tt *} denotes the {\tt R}-module tensor
+\spadfunFrom{product}{GradedAlgebra}.  {\tt CartesianTensor(i0,dim,R)}
+is the graded algebra in which the degree {\tt k} module is {\tt
+T[k](V)}.
+
+\subsubsection{Tensor Calculus}
+
+It should be noted here that often tensors are used in the context of
+tensor-valued manifold maps.  This leads to the notion of covariant
+and contravariant bases with tensor component functions transforming
+in specific ways under a change of coordinates on the manifold.  This
+is no more directly supported by the {\tt CartesianTensor} domain than
+it is by the {\tt Vector} domain.  However, it is possible to have the
+components implicitly represent component maps by choosing a
+polynomial or expression type for the components.  In this case, it is
+up to the user to satisfy any constraints which arise on the basis of
+this interpretation.
+
+\section{Character}
+\label{CharacterXmpPage}
+The members of the domain {\tt Character} are values
+representing letters, numerals and other text elements.
+For more information on related topics, see
+\ref{CharacterClassXmpPage} on page~\pageref{CharacterClassXmpPage} and 
+\ref{StringXmpPage} on page~\pageref{StringXmpPage}.
+
+Characters can be obtained using {\tt String} notation.
+
+\spadcommand{chars := [char "a", char "A", char "X", char "8", char "+"]}
+$$
+\left[
+a, A, X, 8, + 
+\right]
+$$
+\returnType{Type: List Character}
+
+Certain characters are available by name.
+This is the blank character.
+
+\spadcommand{space()}
+$$
+\  
+$$
+\returnType{Type: Character}
+
+This is the quote that is used in strings.
+
+\spadcommand{quote()}
+$$
+\mbox{\tt "} 
+$$
+\returnType{Type: Character}
+
+This is the escape character that allows quotes and other characters
+within strings.
+
+\spadcommand{escape()}
+$$
+\_ 
+$$
+\returnType{Type: Character}
+
+Characters are represented as integers in a machine-dependent way.
+The integer value can be obtained using the
+\spadfunFrom{ord}{Character} operation.  It is always true that {\tt
+char(ord c) = c} and {\tt ord(char i) = i}, provided that {\tt i} is
+in the range {\tt 0..size()\$Character-1}.
+
+\spadcommand{[ord c for c in chars]}
+$$
+\left[
+{97}, {65}, {88}, {56}, {43} 
+\right]
+$$
+\returnType{Type: List Integer}
+ 
+The \spadfunFrom{lowerCase}{Character} operation converts an upper
+case letter to the corresponding lower case letter.  If the argument
+is not an upper case letter, then it is returned unchanged.
+
+\spadcommand{[upperCase c for c in chars]}
+$$
+\left[
+A, A, X, 8, + 
+\right]
+$$
+\returnType{Type: List Character}
+
+Likewise, the \spadfunFrom{upperCase}{Character} operation converts lower
+case letters to upper case.
+
+\spadcommand{[lowerCase c for c in chars] }
+$$
+\left[
+a, a, x, 8, + 
+\right]
+$$
+\returnType{Type: List Character}
+
+A number of tests are available to determine whether characters
+belong to certain families.
+
+\spadcommand{[alphabetic? c for c in chars] }
+$$
+\left[
+{\tt true}, {\tt true}, {\tt true}, {\tt false}, {\tt false} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\spadcommand{[upperCase? c for c in chars] }
+$$
+\left[
+{\tt false}, {\tt true}, {\tt true}, {\tt false}, {\tt false} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\spadcommand{[lowerCase? c for c in chars] }
+$$
+\left[
+{\tt true}, {\tt false}, {\tt false}, {\tt false}, {\tt false} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\spadcommand{[digit? c for c in chars] }
+$$
+\left[
+{\tt false}, {\tt false}, {\tt false}, {\tt true}, {\tt false} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\spadcommand{[hexDigit? c for c in chars] }
+$$
+\left[
+{\tt true}, {\tt true}, {\tt false}, {\tt true}, {\tt false} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\spadcommand{[alphanumeric? c for c in chars] }
+$$
+\left[
+{\tt true}, {\tt true}, {\tt true}, {\tt true}, {\tt false} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\section{CharacterClass}
+\label{CharacterClassXmpPage}
+The {\tt CharacterClass} domain allows classes of characters to be
+defined and manipulated efficiently.
+ 
+Character classes can be created by giving either a string or a list
+of characters.
+
+\spadcommand{cl1 := charClass [char "a", char "e", char "i", char "o", char "u", char "y"] }
+$$
+\mbox{\tt "aeiouy"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{cl2 := charClass "bcdfghjklmnpqrstvwxyz" }
+$$
+\mbox{\tt "bcdfghjklmnpqrstvwxyz"} 
+$$
+\returnType{Type: CharacterClass}
+
+A number of character classes are predefined for convenience.
+
+\spadcommand{digit()}
+$$
+\mbox{\tt "0123456789"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{hexDigit()}
+$$
+\mbox{\tt "0123456789ABCDEFabcdef"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{upperCase()}
+$$
+\mbox{\tt "ABCDEFGHIJKLMNOPQRSTUVWXYZ"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{lowerCase()}
+$$
+\mbox{\tt "abcdefghijklmnopqrstuvwxyz"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{alphabetic()}
+$$
+\mbox{\tt "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{alphanumeric()}
+$$
+\mbox{\tt "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz"} 
+$$
+\returnType{Type: CharacterClass}
+
+You can quickly test whether a character belongs to a class.
+
+\spadcommand{member?(char "a", cl1) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{member?(char "a", cl2) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Classes have the usual set operations because the {\tt CharacterClass}
+domain belongs to the category {\tt FiniteSetAggregate(Character)}.
+
+\spadcommand{intersect(cl1, cl2)  }
+$$
+\mbox{\tt "y"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{union(cl1,cl2)       }
+$$
+\mbox{\tt "abcdefghijklmnopqrstuvwxyz"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{difference(cl1,cl2)  }
+$$
+\mbox{\tt "aeiou"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{intersect(complement(cl1),cl2)  }
+$$
+\mbox{\tt "bcdfghjklmnpqrstvwxz"} 
+$$
+\returnType{Type: CharacterClass}
+
+You can modify character classes by adding or removing characters.
+
+\spadcommand{insert!(char "a", cl2) }
+$$
+\mbox{\tt "abcdfghjklmnpqrstvwxyz"} 
+$$
+\returnType{Type: CharacterClass}
+
+\spadcommand{remove!(char "b", cl2) }
+$$
+\mbox{\tt "acdfghjklmnpqrstvwxyz"} 
+$$
+\returnType{Type: CharacterClass}
+ 
+For more information on related topics, see 
+\ref{CharacterXmpPage} on page~\pageref{CharacterXmpPage} and
+\ref{StringXmpPage} on page~\pageref{StringXmpPage}.
+
+\section{CliffordAlgebra}
+\label{CliffordAlgebraXmpPage}
+\noindent
+
+{\tt CliffordAlgebra(n,K,Q)} defines a vector space of dimension $2^n$
+over the field $K$ with a given quadratic form {\tt Q}.  If $\{e_1,
+\ldots, e_n\}$ is a basis for $K^n$ then
+\begin{verbatim}
+{ 1,
+  e(i) 1 <= i <= n,
+  e(i1)*e(i2) 1 <= i1 < i2 <=n,
+  ...,
+  e(1)*e(2)*...*e(n) }
+\end{verbatim}
+is a basis for the Clifford algebra. The algebra is defined by the relations
+\begin{verbatim}
+e(i)*e(i) = Q(e(i))
+e(i)*e(j) = -e(j)*e(i),  i ^= j
+\end{verbatim}
+Examples of Clifford Algebras are
+gaussians (complex numbers), quaternions,
+exterior algebras and spin algebras.
+
+\subsection{The Complex Numbers as a Clifford Algebra}
+
+This is the field over which we will work, rational functions with
+integer coefficients.
+
+\spadcommand{K := Fraction Polynomial Integer }
+$$
+\mbox{\rm Fraction Polynomial Integer} 
+$$
+\returnType{Type: Domain}
+
+We use this matrix for the quadratic form.
+
+\spadcommand{m := matrix [ [-1] ] }
+$$
+\left[
+\begin{array}{c}
+-1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+We get complex arithmetic by using this domain.
+
+\spadcommand{C := CliffordAlgebra(1, K, quadraticForm m) }
+$$
+\mbox{\rm CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)} 
+$$
+\returnType{Type: Domain}
+
+Here is {\tt i}, the usual square root of {\tt -1.}
+
+\spadcommand{i: C := e(1)   }
+$$
+e \sb {1} 
+$$
+\returnType{Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)}
+
+Here are some examples of the arithmetic.
+
+\spadcommand{x := a + b * i }
+$$
+a+{b \  {e \sb {1}}} 
+$$
+\returnType{Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{y := c + d * i }
+$$
+c+{d \  {e \sb {1}}} 
+$$
+\returnType{Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)}
+
+See \ref{ComplexXmpPage} on page~\pageref{ComplexXmpPage} 
+for examples of Axiom's constructor implementing complex numbers.
+
+\spadcommand{x * y }
+$$
+-{b \  d}+{a \  c}+{{\left( {a \  d}+{b \  c} 
+\right)}
+\  {e \sb {1}}} 
+$$
+\returnType{Type: CliffordAlgebra(1,Fraction Polynomial Integer,MATRIX)}
+
+\subsection{The Quaternion Numbers as a Clifford Algebra}
+
+This is the field over which we will work, rational functions with
+integer coefficients.
+
+\spadcommand{K := Fraction Polynomial Integer }
+$$
+\mbox{\rm Fraction Polynomial Integer} 
+$$
+\returnType{Type: Domain}
+
+We use this matrix for the quadratic form.
+
+\spadcommand{m := matrix [ [-1,0],[0,-1] ] }
+$$
+\left[
+\begin{array}{cc}
+-1 & 0 \\ 
+0 & -1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+The resulting domain is the quaternions.
+
+\spadcommand{H  := CliffordAlgebra(2, K, quadraticForm m) }
+$$
+\mbox{\rm CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)} 
+$$
+\returnType{Type: Domain}
+
+We use Hamilton's notation for {\tt i},{\tt j},{\tt k}.
+
+\spadcommand{i: H  := e(1) }
+$$
+e \sb {1} 
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{j: H  := e(2) }
+$$
+e \sb {2} 
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{k: H  := i * j }
+$$
+{e \sb {1}} \  {e \sb {2}} 
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{x := a + b * i + c * j + d * k }
+$$
+a+{b \  {e \sb {1}}}+{c \  {e \sb {2}}}+{d \  {e \sb {1}} \  {e \sb {2}}} 
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{y := e + f * i + g * j + h * k }
+$$
+e+{f \  {e \sb {1}}}+{g \  {e \sb {2}}}+{h \  {e \sb {1}} \  {e \sb {2}}} 
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{x + y }
+$$
+e+a+{{\left( f+b 
+\right)}
+\  {e \sb {1}}}+{{\left( g+c 
+\right)}
+\  {e \sb {2}}}+{{\left( h+d 
+\right)}
+\  {e \sb {1}} \  {e \sb {2}}} 
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{x * y }
+$$
+\begin{array}{@{}l}
+-{d \  h} -
+{c \  g} -
+{b \  f}+
+{a \  e}+
+{{\left( {c \  h} -{d \  g}+{a \  f}+{b \  e} \right)}\  {e \sb {1}}}+
+\\
+\\
+\displaystyle
+{{\left( -{b \  h}+{a \  g}+{d \  f}+{c \  e} \right)}\  {e \sb {2}}}+
+{{\left( {a \  h}+{b \  g} -{c \  f}+{d \  e} \right)}
+\  {e \sb {1}} \  {e \sb {2}}} 
+\end{array}
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+See \ref{QuaternionXmpPage} on page~\pageref{QuaternionXmpPage} 
+for examples of Axiom's constructor implementing quaternions.
+
+\spadcommand{y * x }
+$$
+\begin{array}{@{}l}
+-{d \  h} -{c \  g} -{b \  f}+{a \  e}+
+{{\left( -{c \  h}+{d \  g}+{a \  f}+{b \  e} \right)}\  {e \sb {1}}}+
+\\
+\\
+\displaystyle
+{{\left( {b \  h}+{a \  g} -{d \  f}+{c \  e} \right)}\  {e \sb {2}}}+
+{{\left( {a \  h} -
+{b \  g}+{c \  f}+{d \  e} \right)}\  {e \sb {1}} \  {e \sb {2}}} 
+\end{array}
+$$
+\returnType{Type: CliffordAlgebra(2,Fraction Polynomial Integer,MATRIX)}
+
+\subsection{The Exterior Algebra on a Three Space}
+
+This is the field over which we will work, rational functions with
+integer coefficients.
+
+\spadcommand{K := Fraction Polynomial Integer }
+$$
+\mbox{\rm Fraction Polynomial Integer} 
+$$
+\returnType{Type: Domain}
+
+If we chose the three by three zero quadratic form, we obtain
+the exterior algebra on {\tt e(1),e(2),e(3)}.
+
+\spadcommand{Ext := CliffordAlgebra(3, K, quadraticForm 0) }
+$$
+\mbox{\rm CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)} 
+$$
+\returnType{Type: Domain}
+
+This is a three dimensional vector algebra.
+We define {\tt i}, {\tt j}, {\tt k} as the unit vectors.
+
+\spadcommand{i: Ext := e(1) }
+$$
+e \sb {1} 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{j: Ext := e(2) }
+$$
+e \sb {2} 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{k: Ext := e(3) }
+$$
+e \sb {3} 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+Now it is possible to do arithmetic.
+
+\spadcommand{x := x1*i + x2*j + x3*k }
+$$
+{x1 \  {e \sb {1}}}+{x2 \  {e \sb {2}}}+{x3 \  {e \sb {3}}} 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{y := y1*i + y2*j + y3*k }
+$$
+{y1 \  {e \sb {1}}}+{y2 \  {e \sb {2}}}+{y3 \  {e \sb {3}}} 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{x + y         }
+$$
+{{\left( y1+x1 
+\right)}
+\  {e \sb {1}}}+{{\left( y2+x2 
+\right)}
+\  {e \sb {2}}}+{{\left( y3+x3 
+\right)}
+\  {e \sb {3}}} 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+\spadcommand{x * y + y * x }
+$$
+0 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+On an {\tt n} space, a grade {\tt p} form has a dual {\tt n-p} form.
+In particular, in three space the dual of a grade two element identifies
+{\tt e1*e2->e3, e2*e3->e1, e3*e1->e2}.
+
+\spadcommand{dual2 a == coefficient(a,[2,3]) * i + coefficient(a,[3,1]) * j + coefficient(a,[1,2]) * k }
+\returnType{Type: Void}
+
+The vector cross product is then given by this.
+
+\spadcommand{dual2(x*y) }
+\begin{verbatim}
+   Compiling function dual2 with type CliffordAlgebra(3,Fraction 
+      Polynomial Integer,MATRIX) -> CliffordAlgebra(3,Fraction 
+      Polynomial Integer,MATRIX) 
+\end{verbatim}
+$$
+{{\left( {x2 \  y3} -{x3 \  y2} 
+\right)}
+\  {e \sb {1}}}+{{\left( -{x1 \  y3}+{x3 \  y1} 
+\right)}
+\  {e \sb {2}}}+{{\left( {x1 \  y2} -{x2 \  y1} 
+\right)}
+\  {e \sb {3}}} 
+$$
+\returnType{Type: CliffordAlgebra(3,Fraction Polynomial Integer,MATRIX)}
+
+\subsection{The Dirac Spin Algebra}
+
+In this section we will work over the field of rational numbers.
+
+\spadcommand{K := Fraction Integer }
+$$
+\mbox{\rm Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+We define the quadratic form to be the Minkowski space-time metric.
+
+\spadcommand{g := matrix [ [1,0,0,0], [0,-1,0,0], [0,0,-1,0], [0,0,0,-1] ] }
+$$
+\left[
+\begin{array}{cccc}
+1 & 0 & 0 & 0 \\ 
+0 & -1 & 0 & 0 \\ 
+0 & 0 & -1 & 0 \\ 
+0 & 0 & 0 & -1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+We obtain the Dirac spin algebra used in Relativistic Quantum Field Theory.
+
+\spadcommand{D := CliffordAlgebra(4,K, quadraticForm g) }
+$$
+\mbox{\rm CliffordAlgebra(4,Fraction Integer,MATRIX)} 
+$$
+\returnType{Type: Domain}
+
+The usual notation for the basis is $\gamma$ with a superscript.  For
+Axiom input we will use {\tt gam(i)}:
+
+\spadcommand{gam := [e(i)\$D for i in 1..4] }
+$$
+\left[
+{e \sb {1}}, {e \sb {2}}, {e \sb {3}}, {e \sb {4}} 
+\right]
+$$
+\returnType{Type: List CliffordAlgebra(4,Fraction Integer,MATRIX)}
+
+\noindent
+There are various contraction identities of the form
+\begin{verbatim}
+g(l,t)*gam(l)*gam(m)*gam(n)*gam(r)*gam(s)*gam(t) =
+      2*(gam(s)gam(m)gam(n)gam(r) + gam(r)*gam(n)*gam(m)*gam(s))
+\end{verbatim}
+where a sum over {\tt l} and {\tt t} is implied.
+
+Verify this identity for particular values of {\tt m,n,r,s}.
+
+\spadcommand{m := 1; n:= 2; r := 3; s := 4; }
+\returnType{Type: PositiveInteger}
+
+\spadcommand{lhs := reduce(+, [reduce(+, [ g(l,t)*gam(l)*gam(m)*gam(n)*gam(r)*gam(s)*gam(t) for l in 1..4]) for t in 1..4]) }
+$$
+-{4 \  {e \sb {1}} \  {e \sb {2}} \  {e \sb {3}} \  {e \sb {4}}} 
+$$
+\returnType{Type: CliffordAlgebra(4,Fraction Integer,MATRIX)}
+
+\spadcommand{rhs := 2*(gam s * gam m*gam n*gam r + gam r*gam n*gam m*gam s) }
+$$
+-{4 \  {e \sb {1}} \  {e \sb {2}} \  {e \sb {3}} \  {e \sb {4}}} 
+$$
+\returnType{Type: CliffordAlgebra(4,Fraction Integer,MATRIX)}
+
+\section{Complex}
+\label{ComplexXmpPage}
+
+The {\tt Complex} constructor implements complex objects over a
+commutative ring {\tt R}.  Typically, the ring {\tt R} is {\tt Integer}, 
+{\tt Fraction Integer}, {\tt Float} or {\tt DoubleFloat}.
+{\tt R} can also be a symbolic type, like {\tt Polynomial Integer}.
+For more information about the numerical and graphical aspects of
+complex numbers, see \ref{ugProblemNumeric} on page~\pageref{ugProblemNumeric}.
+
+Complex objects are created by the \spadfunFrom{complex}{Complex} operation.
+
+\spadcommand{a := complex(4/3,5/2) }
+$$
+{4 \over 3}+{{5 \over 2} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+\spadcommand{b := complex(4/3,-5/2) }
+$$
+{4 \over 3} -{{5 \over 2} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+The standard arithmetic operations are available.
+
+\spadcommand{a + b }
+$$
+8 \over 3 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+\spadcommand{a - b }
+$$
+5 \  i 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+\spadcommand{a * b }
+$$
+{289} \over {36} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+If {\tt R} is a field, you can also divide the complex objects.
+
+\spadcommand{a / b }
+$$
+-{{161} \over {289}}+{{{240} \over {289}} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+Use a conversion (\ref{ugTypesConvertPage} on 
+page~\pageref{ugTypesConvertPage} in Section 
+\ref{ugTypesConvertNumber} on page~\pageref{ugTypesConvertNumber}) 
+to view the last object as a fraction of complex integers.
+
+\spadcommand{\% :: Fraction Complex Integer }
+$$
+{-{15}+{8 \  i}} \over {{15}+{8 \  i}} 
+$$
+\returnType{Type: Fraction Complex Integer}
+
+The predefined macro {\tt \%i} is defined to be {\tt complex(0,1)}.
+
+\spadcommand{3.4 + 6.7 * \%i}
+$$
+{3.4}+{{6.7} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+You can also compute the \spadfunFrom{conjugate}{Complex} and
+\spadfunFrom{norm}{Complex} of a complex number.
+
+\spadcommand{conjugate a }
+$$
+{4 \over 3} -{{5 \over 2} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+\spadcommand{norm a }
+$$
+{289} \over {36} 
+$$
+\returnType{Type: Fraction Integer}
+
+The \spadfunFrom{real}{Complex} and \spadfunFrom{imag}{Complex} operations
+are provided to extract the real and imaginary parts, respectively.
+
+\spadcommand{real a }
+$$
+4 \over 3 
+$$
+\returnType{Type: Fraction Integer}
+
+\spadcommand{imag a }
+$$
+5 \over 2 
+$$
+\returnType{Type: Fraction Integer}
+
+The domain {\tt Complex Integer} is also called the Gaussian integers.
+If {\tt R} is the integers (or, more generally, a {\tt EuclideanDomain}), 
+you can compute greatest common divisors.
+
+\spadcommand{gcd(13 - 13*\%i,31 + 27*\%i)}
+$$
+5+i 
+$$
+\returnType{Type: Complex Integer}
+
+You can also compute least common multiples.
+
+\spadcommand{lcm(13 - 13*\%i,31 + 27*\%i)}
+$$
+{143} -{{39} \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+You can \spadfunFrom{factor}{Complex} Gaussian integers.
+
+\spadcommand{factor(13 - 13*\%i)}
+$$
+-{{\left( 1+i 
+\right)}
+\  {\left( 2+{3 \  i} 
+\right)}
+\  {\left( 3+{2 \  i} 
+\right)}}
+$$
+\returnType{Type: Factored Complex Integer}
+
+\spadcommand{factor complex(2,0)}
+$$
+-{i \  {{\left( 1+i 
+\right)}
+\sp 2}} 
+$$
+\returnType{Type: Factored Complex Integer}
+
+\section{ContinuedFraction}
+\label{ContinuedFractionXmpPage}
+
+Continued fractions have been a fascinating and useful tool in
+mathematics for well over three hundred years.  Axiom implements
+continued fractions for fractions of any Euclidean domain.  In
+practice, this usually means rational numbers.  In this section we
+demonstrate some of the operations available for manipulating both
+finite and infinite continued fractions.  It may be helpful if you
+review \ref{StreamXmpPage} on page~\pageref{StreamXmpPage} to remind 
+yourself of some of the operations with streams.
+
+The {\tt ContinuedFraction} domain is a field and therefore you can
+add, subtract, multiply and divide the fractions.
+
+The \spadfunFrom{continuedFraction}{ContinuedFraction} operation
+converts its fractional argument to a continued fraction.
+
+\spadcommand{c := continuedFraction(314159/100000) }
+$$
+3+ \zag{1}{7}+ \zag{1}{{15}}+ \zag{1}{1}+ \zag{1}{{25}}+ \zag{1}{1}+ 
+\zag{1}{7}+ \zag{1}{4} 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+This display is a compact form of the bulkier
+\begin{verbatim}
+        3 +                 1
+            -------------------------------
+            7 +               1
+                ---------------------------
+                15 +            1
+                     ----------------------
+                     1 +          1
+                         ------------------
+                         25 +       1
+                              -------------
+                              1 +     1
+                                  ---------
+                                  7 +   1
+                                      -----
+                                        4
+\end{verbatim}
+
+You can write any rational number in a similar form.  The fraction
+will be finite and you can always take the ``numerators'' to be {\tt 1}.
+That is, any rational number can be written as a simple, finite
+continued fraction of the form
+
+\begin{verbatim}
+        a(1) +           1
+               -------------------------
+               a(2) +          1
+                      --------------------
+                      a(3) +
+                             .
+                              .
+                               .
+                                     1
+                               -------------
+                               a(n-1) +  1
+                                        ----
+                                        a(n)
+\end{verbatim}
+
+The $a_i$ are called partial quotients and the operation
+\spadfunFrom{partialQuotients}{ContinuedFraction} creates a stream of them.
+
+\spadcommand{partialQuotients c }
+$$
+\left[
+3, 7, {15}, 1, {25}, 1, 7, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+By considering more and more of the fraction, you get the
+\spadfunFrom{convergents}{ContinuedFraction}.  For example, the first
+convergent is $a_1$, the second is $a_1 + 1/a_2$ and so on.
+
+\spadcommand{convergents c }
+$$
+\left[
+3, {{22} \over 7}, {{333} \over {106}}, {{355} \over {113}}, 
+{{9208} \over {2931}}, {{9563} \over {3044}}, {{76149} \over {24239}}, 
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+Since this is a finite continued fraction, the last convergent is the
+original rational number, in reduced form.  The result of
+\spadfunFrom{approximants}{ContinuedFraction} is always an infinite
+stream, though it may just repeat the ``last'' value.
+
+\spadcommand{approximants c }
+$$
+\left[
+3, {{22} \over 7}, {{333} \over {106}}, {{355} \over {113}}, 
+{{9208} \over {2931}}, {{9563} \over {3044}}, {{76149} \over {24239}}, 
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+Inverting {\tt c} only changes the partial quotients of its fraction
+by inserting a {\tt 0} at the beginning of the list.
+
+\spadcommand{pq := partialQuotients(1/c) }
+$$
+\left[
+0, 3, 7, {15}, 1, {25}, 1, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Do this to recover the original continued fraction from this list of
+partial quotients.  The three-argument form of the
+\spadfunFrom{continuedFraction}{ContinuedFraction} operation takes an
+element which is the whole part of the fraction, a stream of elements
+which are the numerators of the fraction, and a stream of elements
+which are the denominators of the fraction.
+
+\spadcommand{continuedFraction(first pq,repeating [1],rest pq) }
+$$
+\zag{1}{3}+ \zag{1}{7}+ \zag{1}{{15}}+ \zag{1}{1}+ \zag{1}{{25}}+ \zag{1}{1}+ 
+\zag{1}{7}+\ldots 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+The streams need not be finite for
+\spadfunFrom{continuedFraction}{ContinuedFraction}.  Can you guess
+which irrational number has the following continued fraction?  See the
+end of this section for the answer.
+
+\spadcommand{z:=continuedFraction(3,repeating [1],repeating [3,6]) }
+$$
+3+ \zag{1}{3}+ \zag{1}{6}+ \zag{1}{3}+ \zag{1}{6}+ \zag{1}{3}+ \zag{1}{6}+ 
+\zag{1}{3}+\ldots 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+In 1737 Euler discovered the infinite continued fraction expansion
+\begin{verbatim}
+        e - 1             1
+        ----- = ---------------------
+          2     1 +         1
+                    -----------------
+                    6 +       1
+                        -------------
+                        10 +    1
+                             --------
+                             14 + ...
+\end{verbatim}
+
+We use this expansion to compute rational and floating point
+approximations of {\tt e}.\footnote{For this and other interesting
+expansions, see C. D. Olds, {\it Continued Fractions,} New
+Mathematical Library, (New York: Random House, 1963), pp.  134--139.}
+
+By looking at the above expansion, we see that the whole part is {\tt 0}
+and the numerators are all equal to {\tt 1}.  This constructs the
+stream of denominators.
+
+\spadcommand{dens:Stream Integer := cons(1,generate((x+->x+4),6)) }
+$$
+\left[
+1, 6, {10}, {14}, {18}, {22}, {26}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Therefore this is the continued fraction expansion for
+$(e - 1) / 2$.
+
+\spadcommand{cf := continuedFraction(0,repeating [1],dens) }
+$$
+\zag{1}{1}+ \zag{1}{6}+ \zag{1}{{10}}+ \zag{1}{{14}}+ \zag{1}{{18}}+ 
+\zag{1}{{22}}+ \zag{1}{{26}}+\ldots 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+These are the rational number convergents.
+
+\spadcommand{ccf := convergents cf }
+$$
+\left[
+0, 1, {6 \over 7}, {{61} \over {71}}, {{860} \over {1001}}, 
+{{15541} \over {18089}}, {{342762} \over {398959}}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+You can get rational convergents for {\tt e} by multiplying by {\tt 2} and
+adding {\tt 1}.
+
+\spadcommand{eConvergents := [2*e + 1 for e in ccf] }
+$$
+\left[
+1, 3, {{19} \over 7}, {{193} \over {71}}, {{2721} \over {1001}}, 
+{{49171} \over {18089}}, {{1084483} \over {398959}}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+You can also compute the floating point approximations to these convergents.
+
+\spadcommand{eConvergents :: Stream Float }
+$$
+\begin{array}{@{}l}
+\left[
+{1.0}, {3.0}, {2.7142857142 857142857}, {2.7183098591 549295775}, 
+\right.
+\\
+\\
+\displaystyle
+{2.7182817182 817182817}, {2.7182818287 356957267}, 
+\\
+\\
+\displaystyle
+\left.
+{2.7182818284\ 585634113}, \ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream Float}
+
+Compare this to the value of {\tt e} computed by the
+\spadfunFrom{exp}{Float} operation in {\tt Float}.
+
+\spadcommand{exp 1.0}
+$$
+2.7182818284\ 590452354 
+$$
+\returnType{Type: Float}
+
+In about 1658, Lord Brouncker established the following expansion
+for $4 / \pi$,
+\begin{verbatim}
+        1 +            1
+            -----------------------
+            2 +          9
+                -------------------
+                2 +        25
+                    ---------------
+                    2 +      49
+                        -----------
+                        2 +    81
+                            -------
+                            2 + ...
+\end{verbatim}
+
+Let's use this expansion to compute rational and floating point
+approximations for $\pi$.
+
+\spadcommand{cf := continuedFraction(1,[(2*i+1)**2 for i in 0..],repeating [2])}
+$$
+1+ \zag{1}{2}+ \zag{9}{2}+ \zag{{25}}{2}+ \zag{{49}}{2}+ \zag{{81}}{2}+ 
+\zag{{121}}{2}+ \zag{{169}}{2}+\ldots 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+\spadcommand{ccf := convergents cf }
+$$
+\left[
+1, {3 \over 2}, {{15} \over {13}}, {{105} \over {76}}, {{315} 
+\over {263}}, {{3465} \over {2578}}, {{45045} \over {36979}}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+\spadcommand{piConvergents := [4/p for p in ccf] }
+$$
+\left[
+4, {8 \over 3}, {{52} \over {15}}, {{304} \over {105}}, {{1052} 
+\over {315}}, {{10312} \over {3465}}, {{147916} \over {45045}}, 
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Fraction Integer}
+
+As you can see, the values are converging to
+$\pi = 3.14159265358979323846...$,
+but not very quickly.
+
+\spadcommand{piConvergents :: Stream Float }
+$$
+\begin{array}{@{}l}
+\left[
+{4.0}, {2.6666666666\ 666666667}, {3.4666666666\ 666666667}, 
+\right.
+\\
+\\
+\displaystyle
+{2.8952380952\ 380952381}, {3.3396825396\ 825396825}, 
+\\
+\\
+\displaystyle
+\left.
+{2.9760461760\ 461760462}, {3.2837384837\ 384837385}, \ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream Float}
+
+You need not restrict yourself to continued fractions of integers.
+Here is an expansion for a quotient of Gaussian integers.
+
+\spadcommand{continuedFraction((- 122 + 597*\%i)/(4 - 4*\%i))}
+$$
+-{90}+{{59} \  i}+ \zag{1}{{1 -{2 \  i}}}+ \zag{1}{{-1+{2 \  i}}} 
+$$
+\returnType{Type: ContinuedFraction Complex Integer}
+
+This is an expansion for a quotient of polynomials in one variable
+with rational number coefficients.
+
+\spadcommand{r : Fraction UnivariatePolynomial(x,Fraction Integer) }
+\returnType{Type: Void}
+
+\spadcommand{r := ((x - 1) * (x - 2)) / ((x-3) * (x-4)) }
+$$
+{{x \sp 2} -{3 \  x}+2} \over {{x \sp 2} -{7 \  x}+{12}} 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{continuedFraction r }
+$$
+1+ \zag{1}{{{{1 \over 4} \  x} -{9 \over 8}}}+ \zag{1}{{{{{16} \over 3} \  x} 
+-{{40} \over 3}}} 
+$$
+\returnType{Type: ContinuedFraction UnivariatePolynomial(x,Fraction Integer)}
+
+To conclude this section, we give you evidence that
+\begin{verbatim}
+    z = 3 +            1
+            -----------------------
+            3 +          1
+                -------------------
+                6 +        1
+                    ---------------
+                    3 +      1
+                        -----------
+                        6 +    1
+                            -------
+                            3 + ...
+\end{verbatim}
+
+is the expansion of $\sqrt{11}$.
+
+\spadcommand{[i*i for i in convergents(z) :: Stream Float] }
+$$
+\begin{array}{@{}l}
+\left[
+{9.0}, {11.1111111111\ 11111111}, {10.9944598337\ 9501385}, 
+\right.
+\\
+\\
+\displaystyle
+{11.0002777777\ 77777778}, {10.9999860763\ 98799786}, 
+\\
+\\
+\displaystyle
+\left.
+{11.0000006979\ 29731039}, {10.9999999650\ 15834446}, \ldots 
+\right]
+\end{array}
+$$
+\returnType{Type: Stream Float}
+
+\section{CycleIndicators}
+\label{CycleIndicatorsXmpPage}
+
+This section is based upon the paper J. H. Redfield, ``The Theory of
+Group-Reduced Distributions'', American J. Math.,49 (1927) 433-455,
+and is an application of group theory to enumeration problems.  It is
+a development of the work by P. A. MacMahon on the application of
+symmetric functions and Hammond operators to combinatorial theory.
+
+The theory is based upon the power sum symmetric functions
+$s_i$ which are the sum of the $i$-th powers of the
+variables.  The cycle index of a permutation is an expression that
+specifies the sizes of the cycles of a permutation, and may be
+represented as a partition.  A partition of a non-negative integer
+{\tt n} is a collection of positive integers called its parts whose
+sum is {\tt n}.  For example, the partition $(3^2 \ 2 \ 1^2)$ will be
+used to represent $s^2_3 s_2 s^2_1$ and will indicate that the
+permutation has two cycles of length 3, one of length 2 and two of
+length 1.  The cycle index of a permutation group is the sum of the
+cycle indices of its permutations divided by the number of
+permutations.  The cycle indices of certain groups are provided.
+
+The operation {\tt complete} returns the cycle index of the
+symmetric group of order {\tt n} for argument {\tt n}.
+Alternatively, it is the $n$-th complete homogeneous symmetric
+function expressed in terms of power sum symmetric functions.
+
+\spadcommand{complete 1}
+$$
+\left(
+1 
+\right)
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+\spadcommand{complete 2}
+$$
+{{1 \over 2} \  {\left( 2 
+\right)}}+{{1
+\over 2} \  {\left( 1 \sp 2 
+\right)}}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+\spadcommand{complete 3}
+$$
+{{1 \over 3} \  {\left( 3 
+\right)}}+{{1
+\over 2} \  {\left( {2 \sp {\ }} \  1 
+\right)}}+{{1
+\over 6} \  {\left( 1 \sp 3 
+\right)}}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+\spadcommand{complete 7}
+$$
+\begin{array}{@{}l}
+{{1 \over 7} \  {\left( 7 \right)}}+
+{{1\over 6} \  {\left( {6 \sp {\ }} \  1 \right)}}+
+{{1\over {10}} \  {\left( {5 \sp {\ }} \  2 \right)}}+
+{{1\over {10}} \  {\left( {5 \sp {\ }} \  {1 \sp 2} \right)}}+
+{{1\over {12}} \  {\left( {4 \sp {\ }} \  3 \right)}}+
+{{1\over 8} \  {\left( {4 \sp {\ }} \  {2 \sp {\ }} \  1 \right)}}+
+\\
+\\
+\displaystyle
+{{1\over {24}} \  {\left( {4 \sp {\ }} \  {1 \sp 3} \right)}}+
+{{1\over {18}} \  {\left( {3 \sp 2} \  1 \right)}}+
+{{1\over {24}} \  {\left( {3 \sp {\ }} \  {2 \sp 2} \right)}}+
+{{1\over {12}} \  {\left( {3 \sp {\ }} \  {2 \sp {\ }} \  {1 \sp 2} \right)}}+
+{{1\over {72}} \  {\left( {3 \sp {\ }} \  {1 \sp 4} \right)}}+
+\\
+\\
+\displaystyle
+{{1\over {48}} \  {\left( {2 \sp 3} \  1 \right)}}+
+{{1\over {48}} \  {\left( {2 \sp 2} \  {1 \sp 3} \right)}}+
+{{1\over {240}} \  {\left( {2 \sp {\ }} \  {1 \sp 5} \right)}}+
+{{1\over {5040}} \  {\left( 1 \sp 7 \right)}}
+\end{array}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The operation {\tt elementary} computes the $n$-th
+elementary symmetric function for argument {\tt n.}
+
+\spadcommand{elementary 7}
+$$
+\begin{array}{@{}l}
+{{1 \over 7} \  {\left( 7 \right)}}
+-{{1 \over 6} \  {\left( {6 \sp {\ }} \  1 \right)}}
+-{{1 \over {10}} \  {\left( {5 \sp {\ }} \  2 \right)}}+
+{{1\over {10}} \  {\left( {5 \sp {\ }} \  {1 \sp 2} \right)}}
+-{{1 \over {12}} \  {\left( {4 \sp {\ }} \  3 \right)}}+
+{{1\over 8} \  {\left( {4 \sp {\ }} \  {2 \sp {\ }} \  1 \right)}}
+\\
+\\
+\displaystyle
+-{{1 \over {24}} \  {\left( {4 \sp {\ }} \  {1 \sp 3} \right)}}+
+{{1\over {18}} \  {\left( {3 \sp 2} \  1 \right)}}+
+{{1\over {24}} \  {\left( {3 \sp {\ }} \  {2 \sp 2} \right)}}
+-{{1 \over {12}} \  {\left( {3 \sp {\ }} \  {2 \sp {\ }} \  {1 \sp 2} \right)}}
++{{1\over {72}} \  {\left( {3 \sp {\ }} \  {1 \sp 4} \right)}}
+\\
+\\
+\displaystyle
+-{{1 \over {48}} \  {\left( {2 \sp 3} \  1 \right)}}+
+{{1\over {48}} \  {\left( {2 \sp 2} \  {1 \sp 3} \right)}}
+-{{1 \over {240}} \  {\left( {2 \sp {\ }} \  {1 \sp 5} \right)}}+
+{{1\over {5040}} \  {\left( 1 \sp 7 \right)}}
+\end{array}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The operation {\tt alternating} returns the cycle index of the alternating 
+group having an even number of even parts in each cycle partition.
+
+\spadcommand{alternating 7}
+$$
+\begin{array}{@{}l}
+{{2 \over 7} \  {\left( 7 \right)}}+
+{{1\over 5} \  {\left( {5 \sp {\ }} \  {1 \sp 2} \right)}}+
+{{1\over 4} \  {\left( {4 \sp {\ }} \  {2 \sp {\ }} \  1 \right)}}+
+{{1\over 9} \  {\left( {3 \sp 2} \  1 \right)}}+
+{{1\over {12}} \  {\left( {3 \sp {\ }} \  {2 \sp 2} \right)}}+
+{{1\over {36}} \  {\left( {3 \sp {\ }} \  {1 \sp 4} \right)}}+
+\\
+\\
+\displaystyle
+{{1\over {24}} \  {\left( {2 \sp 2} \  {1 \sp 3} \right)}}+
+{{1\over {2520}} \  {\left( 1 \sp 7 \right)}}
+\end{array}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The operation {\tt cyclic} returns the cycle index of the cyclic group.
+
+\spadcommand{cyclic 7}
+$$
+{{6 \over 7} \  {\left( 7 \right)}}+
+{{1\over 7} \  {\left( 1 \sp 7 \right)}}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The operation {\tt dihedral} is the cycle index of the
+dihedral group.
+
+\spadcommand{dihedral 7}
+$$
+{{3 \over 7} \  {\left( 7 \right)}}+
+{{1\over 2} \  {\left( {2 \sp 3} \  1 \right)}}+
+{{1\over {14}} \  {\left( 1 \sp 7 \right)}}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The operation {\tt graphs} for argument {\tt n} returns the cycle
+index of the group of permutations on the edges of the complete graph
+with {\tt n} nodes induced by applying the symmetric group to the
+nodes.
+
+\spadcommand{graphs 5}
+$$
+\begin{array}{@{}l}
+{{1 \over 6} \  {\left( {6 \sp {\ }} \  {3 \sp {\ }} \  1 \right)}}+
+{{1\over 5} \  {\left( 5 \sp 2 \right)}}+
+{{1\over 4} \  {\left( {4 \sp 2} \  2 \right)}}+
+{{1\over 6} \  {\left( {3 \sp 3} \  1 \right)}}+
+{{1\over 8} \  {\left( {2 \sp 4} \  {1 \sp 2} \right)}}+
+\\
+\\
+\displaystyle
+{{1\over {12}} \  {\left( {2 \sp 3} \  {1 \sp 4} \right)}}+
+{{1\over {120}} \  {\left( 1 \sp {10} \right)}}
+\end{array}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The cycle index of a direct product of two groups is the product of
+the cycle indices of the groups.  Redfield provided two operations on
+two cycle indices which will be called ``cup'' and ``cap'' here.  The
+{\tt cup} of two cycle indices is a kind of scalar product that
+combines monomials for permutations with the same cycles.  The {\tt
+cap} operation provides the sum of the coefficients of the result of
+the {\tt cup} operation which will be an integer that enumerates what
+Redfield called group-reduced distributions.
+
+We can, for example, represent {\tt complete 2 * complete 2} as the
+set of objects {\tt a a b b} and 
+{\tt complete 2 * complete 1 * complete 1} as {\tt c c d e.}
+
+This integer is the number of different sets of four pairs.
+
+\spadcommand{cap(complete 2**2, complete 2*complete 1**2)}
+$$
+4 
+$$
+\returnType{Type: Fraction Integer}
+
+For example,
+\begin{verbatim}
+a a b b     a a b b    a a b b   a a b b
+c c d e     c d c e    c e c d   d e c c
+\end{verbatim}
+
+This integer is the number of different sets of four pairs no two
+pairs being equal.
+
+\spadcommand{cap(elementary 2**2, complete 2*complete 1**2)}
+$$
+2 
+$$
+\returnType{Type: Fraction Integer}
+
+For example,
+\begin{verbatim}
+a a b b    a a b b
+c d c e    c e c d
+\end{verbatim}
+In this case the configurations enumerated are easily constructed,
+however the theory merely enumerates them providing little help in
+actually constructing them.
+
+Here are the number of 6-pairs, first from {\tt a a a b b c,} second
+from {\tt d d e e f g.}
+
+\spadcommand{cap(complete 3*complete 2*complete 1,complete 2**2*complete 1**2)}
+$$
+24 
+$$
+\returnType{Type: Fraction Integer}
+
+Here it is again, but with no equal pairs.
+
+\spadcommand{cap(elementary 3*elementary 2*elementary 1,complete 2**2*complete 1**2)}
+$$
+8 
+$$
+\returnType{Type: Fraction Integer}
+
+\spadcommand{cap(complete 3*complete 2*complete 1,elementary 2**2*elementary 1**2)}
+$$
+8 
+$$
+\returnType{Type: Fraction Integer}
+
+The number of 6-triples, first from {\tt a a a b b c,} second from
+{\tt d d e e f g,} third from {\tt h h i i j j.}
+
+\spadcommand{eval(cup(complete 3*complete 2*complete 1, cup(complete 2**2*complete 1**2,complete 2**3)))}
+$$
+1500 
+$$
+\returnType{Type: Fraction Integer}
+
+The cycle index of vertices of a square is dihedral 4.
+
+\spadcommand{square:=dihedral 4}
+$$
+{{1 \over 4} \  {\left( 4 \right)}}+
+{{3\over 8} \  {\left( 2 \sp 2 \right)}}+
+{{1\over 4} \  {\left( {2 \sp {\ }} \  {1 \sp 2} \right)}}+
+{{1\over 8} \  {\left( 1 \sp 4 \right)}}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The number of different squares with 2 red vertices and 2 blue vertices.
+
+\spadcommand{cap(complete 2**2,square)}
+$$
+2 
+$$
+\returnType{Type: Fraction Integer}
+
+The number of necklaces with 3 red beads, 2 blue beads and 2 green beads.
+
+\spadcommand{cap(complete 3*complete 2**2,dihedral 7)}
+$$
+18 
+$$
+\returnType{Type: Fraction Integer}
+
+The number of graphs with 5 nodes and 7 edges.
+
+\spadcommand{cap(graphs 5,complete 7*complete 3)}
+$$
+4 
+$$
+\returnType{Type: Fraction Integer}
+
+The cycle index of rotations of vertices of a cube.
+
+\spadcommand{s(x) == powerSum(x)}
+\returnType{Type: Void}
+
+\spadcommand{cube:=(1/24)*(s 1**8+9*s 2**4 + 8*s 3**2*s 1**2+6*s 4**2)}
+\begin{verbatim}
+   Compiling function s with type PositiveInteger -> 
+      SymmetricPolynomial Fraction Integer 
+\end{verbatim}
+$$
+{{1 \over 4} \  {\left( 4 \sp 2 \right)}}+
+{{1\over 3} \  {\left( {3 \sp 2} \  {1 \sp 2} \right)}}+
+{{3\over 8} \  {\left( 2 \sp 4 \right)}}+
+{{1\over {24}} \  {\left( 1 \sp 8 \right)}}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+The number of cubes with 4 red vertices and 4 blue vertices.
+
+\spadcommand{cap(complete 4**2,cube)}
+$$
+7 
+$$
+\returnType{Type: Fraction Integer}
+
+The number of labeled graphs with degree sequence {\tt 2 2 2 1 1}
+with no loops or multiple edges.
+
+\spadcommand{cap(complete 2**3*complete 1**2,wreath(elementary 4,elementary 2))}
+$$
+7 
+$$
+\returnType{Type: Fraction Integer}
+
+Again, but with loops allowed but not multiple edges.
+
+\spadcommand{cap(complete 2**3*complete 1**2,wreath(elementary 4,complete 2))}
+$$
+17 
+$$
+\returnType{Type: Fraction Integer}
+
+Again, but with multiple edges allowed, but not loops
+
+\spadcommand{cap(complete 2**3*complete 1**2,wreath(complete 4,elementary 2))}
+$$
+10 
+$$
+\returnType{Type: Fraction Integer}
+
+Again, but with both multiple edges and loops allowed
+
+\spadcommand{cap(complete 2**3*complete 1**2,wreath(complete 4,complete 2))}
+$$
+23 
+$$
+\returnType{Type: Fraction Integer}
+
+Having constructed a cycle index for a configuration we are at liberty
+to evaluate the $s_i$ components any way we please.  For example we
+can produce enumerating generating functions.  This is done by
+providing a function {\tt f} on an integer {\tt i} to the value
+required of $s_i$, and then evaluating {\tt eval(f, cycleindex)}.
+
+\spadcommand{x: ULS(FRAC INT,'x,0) := 'x }
+$$
+x 
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+\spadcommand{ZeroOrOne: INT -> ULS(FRAC INT, 'x, 0) }
+\returnType{Type: Void}
+
+\spadcommand{Integers: INT -> ULS(FRAC INT, 'x, 0) }
+\returnType{Type: Void}
+
+For the integers 0 and 1, or two colors.
+
+\spadcommand{ZeroOrOne n == 1+x**n }
+\returnType{Type: Void}
+
+\spadcommand{ZeroOrOne 5 }
+\begin{verbatim}
+   Compiling function ZeroOrOne with type Integer -> 
+      UnivariateLaurentSeries(Fraction Integer,x,0) 
+\end{verbatim}
+$$
+1+{x \sp 5} 
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+For the integers {\tt 0, 1, 2, ...} we have this.
+
+\spadcommand{Integers n == 1/(1-x**n) }
+\returnType{Type: Void}
+
+\spadcommand{Integers 5 }
+\begin{verbatim}
+   Compiling function Integers with type Integer -> 
+      UnivariateLaurentSeries(Fraction Integer,x,0) 
+\end{verbatim}
+$$
+1+{x \sp 5}+{O 
+\left(
+{{x \sp 8}} 
+\right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The coefficient of $x^n$ is the number of graphs with 5 nodes and {\tt n}
+edges. 
+
+Note that there is an eval function that takes two arguments. It has the 
+signature:
+\begin{verbatim}
+((Integer -> D1),SymmetricPolynomial Fraction Integer) -> D1
+  from EvaluateCycleIndicators D1 if D1 has ALGEBRA FRAC INT
+\end{verbatim}
+This function is not normally exposed (it will not normally be considered
+in the list of eval functions) as it is only useful for this particular
+domain. To use it we ask that it be considered thus:
+
+\spadcommand{)expose EVALCYC}
+
+and now we can use it:
+
+\spadcommand{eval(ZeroOrOne, graphs 5) }
+$$
+1+x+
+{2 \  {x \sp 2}}+
+{4 \  {x \sp 3}}+
+{6 \  {x \sp 4}}+
+{6 \  {x \sp 5}}+
+{6 \  {x \sp 6}}+
+{4 \  {x \sp 7}}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The coefficient of $x^n$ is the number of necklaces with
+{\tt n} red beads and {\tt n-8} green beads.
+
+\spadcommand{eval(ZeroOrOne,dihedral 8) }
+$$
+1+x+
+{4 \  {x \sp 2}}+
+{5 \  {x \sp 3}}+
+{8 \  {x \sp 4}}+
+{5 \  {x \sp 5}}+
+{4 \  {x \sp 6}}+
+{x \sp 7}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The coefficient of $x^n$ is the number of partitions of {\tt n} into 4
+or fewer parts.
+
+\spadcommand{eval(Integers,complete 4) }
+$$
+1+x+
+{2 \  {x \sp 2}}+
+{3 \  {x \sp 3}}+
+{5 \  {x \sp 4}}+
+{6 \  {x \sp 5}}+
+{9 \  {x \sp 6}}+
+{{11} \  {x \sp 7}}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The coefficient of $x^n$ is the number of partitions of {\tt n} into 4
+boxes containing ordered distinct parts.
+
+\spadcommand{eval(Integers,elementary 4) }
+$$
+{x \sp 6}+
+{x \sp 7}+
+{2 \  {x \sp 8}}+
+{3 \  {x \sp 9}}+
+{5 \  {x \sp {10}}}+
+{6 \  {x \sp {11}}}+
+{9 \  {x \sp {12}}}+
+{{11} \  {x \sp {13}}}+
+{O \left({{x \sp {14}}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The coefficient of $x^n$ is the number of different cubes with {\tt n}
+red vertices and {\tt 8-n} green ones.
+
+\spadcommand{eval(ZeroOrOne,cube) }
+$$
+1+x+
+{3 \  {x \sp 2}}+
+{3 \  {x \sp 3}}+
+{7 \  {x \sp 4}}+
+{3 \  {x \sp 5}}+
+{3 \  {x \sp 6}}+
+{x \sp 7}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The coefficient of $x^n$ is the number of different cubes with integers
+on the vertices whose sum is {\tt n.}
+
+\spadcommand{eval(Integers,cube) }
+$$
+1+x+
+{4 \  {x \sp 2}}+
+{7 \  {x \sp 3}}+
+{{21} \  {x \sp 4}}+
+{{37} \  {x \sp 5}}+
+{{85} \  {x \sp 6}}+
+{{151} \  {x \sp 7}}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The coefficient of $x^n$ is the number of graphs with 5 nodes and with
+integers on the edges whose sum is {\tt n.}  In other words, the
+enumeration is of multigraphs with 5 nodes and {\tt n} edges.
+
+\spadcommand{eval(Integers,graphs 5) }
+$$
+1+x+
+{3 \  {x \sp 2}}+
+{7 \  {x \sp 3}}+
+{{17} \  {x \sp 4}}+
+{{35} \  {x \sp 5}}+
+{{76} \  {x \sp 6}}+
+{{149} \  {x \sp 7}}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+Graphs with 15 nodes enumerated with respect to number of edges.
+
+\spadcommand{eval(ZeroOrOne ,graphs 15) }
+$$
+1+x+
+{2 \  {x \sp 2}}+
+{5 \  {x \sp 3}}+
+{{11} \  {x \sp 4}}+
+{{26} \  {x \sp 5}}+
+{{68} \  {x \sp 6}}+
+{{177} \  {x \sp 7}}+
+{O \left({{x \sp 8}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+Necklaces with 7 green beads, 8 white beads, 5 yellow beads and 10
+red beads.
+
+\spadcommand{cap(dihedral 30,complete 7*complete 8*complete 5*complete 10)}
+$$
+49958972383320 
+$$
+\returnType{Type: Fraction Integer}
+
+The operation {\tt SFunction} is the S-function or Schur function of a
+partition written as a descending list of integers expressed in terms
+of power sum symmetric functions.
+
+In this case the argument partition represents a tableau shape.  For
+example {\tt 3,2,2,1} represents a tableau with three boxes in the
+first row, two boxes in the second and third rows, and one box in the
+fourth row.  {\tt SFunction [3,2,2,1]} counts the number of different
+tableaux of shape {\tt 3, 2, 2, 1} filled with objects with an
+ascending order in the columns and a non-descending order in the rows.
+
+\spadcommand{sf3221:= SFunction [3,2,2,1] }
+$$
+\begin{array}{@{}l}
+{{1 \over {12}} \  {\left( {6 \sp {\ }} \  2 \right)}}
+-{{1 \over {12}} \  {\left( {6 \sp {\ }} \  {1 \sp 2} \right)}}
+-{{1 \over {16}} \  {\left( 4 \sp 2 \right)}}+
+{{1\over {12}} \  {\left( {4 \sp {\ }} \  {3 \sp {\ }} \  1 \right)}}+
+{{1\over {24}} \  {\left( {4 \sp {\ }} \  {1 \sp 4} \right)}}
+-{{1 \over {36}} \  {\left( {3 \sp 2} \  2 \right)}}+
+\\
+\\
+\displaystyle
+{{1\over {36}} \  {\left( {3 \sp 2} \  {1 \sp 2} \right)}}
+-{{1 \over {24}} \  {\left( {3 \sp {\ }} \  {2 \sp 2} \  1 \right)}}
+-{{1 \over {36}} \  {\left( {3 \sp {\ }} \  {2 \sp {\ }} \  {1 \sp 3} \right)}}
+-{{1 \over {72}} \  {\left( {3 \sp {\ }} \  {1 \sp 5} \right)}}
+-{{1 \over {192}} \  {\left( 2 \sp 4 \right)}}+
+\\
+\\
+\displaystyle
+{{1\over {48}} \  {\left( {2 \sp 3} \  {1 \sp 2} \right)}}+
+{{1\over {96}} \  {\left( {2 \sp 2} \  {1 \sp 4} \right)}}
+-{{1 \over {144}} \  {\left( {2 \sp {\ }} \  {1 \sp 6} \right)}}+
+{{1\over {576}} \  {\left( 1 \sp 8 \right)}}
+\end{array}
+$$
+\returnType{Type: SymmetricPolynomial Fraction Integer}
+
+This is the number filled with {\tt a a b b c c d d.}
+
+\spadcommand{cap(sf3221,complete 2**4) }
+$$
+3 
+$$
+\returnType{Type: Fraction Integer}
+
+The configurations enumerated above are:
+\begin{verbatim}
+a a b    a a c    a a d
+b c      b b      b b
+c d      c d      c c
+d        d        d
+\end{verbatim}
+
+This is the number of tableaux filled with {\tt 1..8.}
+
+\spadcommand{cap(sf3221, powerSum 1**8)}
+$$
+70 
+$$
+\returnType{Type: Fraction Integer}
+
+The coefficient of $x^n$ is the number of column strict reverse plane
+partitions of {\tt n} of shape {\tt 3 2 2 1.}
+
+\spadcommand{eval(Integers, sf3221)}
+$$
+{x \sp 9}+
+{3 \  {x \sp {10}}}+
+{7 \  {x \sp {11}}}+
+{{14} \  {x \sp {12}}}+
+{{27} \  {x \sp {13}}}+
+{{47} \  {x \sp {14}}}+
+{O \left({{x \sp {15}}} \right)}
+$$
+\returnType{Type: UnivariateLaurentSeries(Fraction Integer,x,0)}
+
+The smallest is
+\begin{verbatim}
+0 0 0
+1 1
+2 2
+3
+\end{verbatim}
+
+\section{DeRhamComplex}
+\label{DeRhamComplexXmpPage}
+
+The domain constructor {\tt DeRhamComplex} creates the class of
+differential forms of arbitrary degree over a coefficient ring.  The
+De Rham complex constructor takes two arguments: a ring, {\tt
+coefRing,} and a list of coordinate variables.
+
+This is the ring of coefficients.
+
+\spadcommand{coefRing := Integer }
+$$
+Integer 
+$$
+\returnType{Type: Domain}
+
+These are the coordinate variables.
+
+\spadcommand{lv : List Symbol := [x,y,z] }
+$$
+\left[
+x, y, z 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+This is the De Rham complex of Euclidean three-space using coordinates
+{\tt x, y} and {\tt z.}
+
+\spadcommand{der := DERHAM(coefRing,lv) }
+$$
+DeRhamComplex(Integer,[x,y,z]) 
+$$
+\returnType{Type: Domain}
+ 
+This complex allows us to describe differential forms having
+expressions of integers as coefficients.  These coefficients can
+involve any number of variables, for example, {\tt f(x,t,r,y,u,z).}
+As we've chosen to work with ordinary Euclidean three-space,
+expressions involving these forms are treated as functions of 
+{\tt x, y} and {\tt z} with the additional arguments {\tt t, r} 
+and {\tt u} regarded as symbolic constants.
+
+Here are some examples of coefficients.
+
+\spadcommand{R := Expression coefRing }
+$$
+\mbox{\rm Expression Integer} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{f : R := x**2*y*z-5*x**3*y**2*z**5 }
+$$
+-{5 \  {x \sp 3} \  {y \sp 2} \  {z \sp 5}}+{{x \sp 2} \  y \  z} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{g : R := z**2*y*cos(z)-7*sin(x**3*y**2)*z**2 }
+$$
+-{7 \  {z \sp 2} \  {\sin \left({{{x \sp 3} \  {y \sp 2}}} \right)}}+
+{y\  {z \sp 2} \  {\cos \left({z} \right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{h : R :=x*y*z-2*x**3*y*z**2 }
+$$
+-{2 \  {x \sp 3} \  y \  {z \sp 2}}+{x \  y \  z} 
+$$
+\returnType{Type: Expression Integer}
+
+We now define the multiplicative basis elements for the exterior
+algebra over {\tt R}.
+
+\spadcommand{dx : der := generator(1) }
+$$
+dx 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+\spadcommand{dy : der := generator(2)}
+$$
+dy 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+\spadcommand{dz : der := generator(3)}
+$$
+dz 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+This is an alternative way to give the above assignments.
+
+\spadcommand{[dx,dy,dz] := [generator(i)\$der for i in 1..3] }
+$$
+\left[
+dx, dy, dz 
+\right]
+$$
+\returnType{Type: List DeRhamComplex(Integer,[x,y,z])}
+
+Now we define some one-forms.
+
+\spadcommand{alpha : der := f*dx + g*dy + h*dz }
+$$
+\begin{array}{@{}l}
+{{\left( -{2 \  {x \sp 3} \  y \  {z \sp 2}}+{x \  y \  z} \right)}\  dz}+
+\\
+\\
+\displaystyle
+{{\left( 
+-{7 \  {z \sp 2} \  {\sin \left({{{x \sp 3} \  {y \sp 2}}} \right)}}+
+{y\  {z \sp 2} \  {\cos \left({z} \right)}}
+\right)}\  dy}+
+\\
+\\
+\displaystyle
+{{\left( -{5 \  {x \sp 3} \  {y \sp 2} \  {z \sp 5}}+{{x \sp 2} \  y \  z} 
+\right)}\  dx} 
+\end{array}
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+\spadcommand{beta  : der := cos(tan(x*y*z)+x*y*z)*dx + x*dy }
+$$
+{x \  dy}+
+{{\cos 
+\left({{{\tan \left({{x \  y \  z}} \right)}+{x\  y \  z}}} \right)}
+\  dx} 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+A well-known theorem states that the composition of
+\spadfunFrom{exteriorDifferential}{DeRhamComplex} with itself is the
+zero map for continuous forms.  Let's verify this theorem for {\tt alpha}.
+
+\spadcommand{exteriorDifferential alpha }
+$$
+\begin{array}{@{}l}
+{{\left( 
+{y \  {z \sp 2} \  {\sin \left({z} \right)}}+
+{{14}\  z \  {\sin \left({{{x \sp 3} \  {y \sp 2}}} \right)}}
+-{2 \  y \  z \  {\cos \left({z} \right)}}
+-{2 \  {x \sp 3} \  {z \sp 2}}+{x \  z} \right)}\  dy \  dz}+
+\\
+\\
+\displaystyle
+{{\left( 
+{{25} \  {x \sp 3} \  {y \sp 2} \  {z \sp 4}} -
+{6 \  {x \sp 2} \  y \  {z \sp 2}}+
+{y \  z} -
+{{x \sp 2} \  y} 
+\right)}\  dx \  dz}+
+\\
+\\
+\displaystyle
+{{\left( 
+-{{21} \  {x \sp 2} \  {y \sp 2} \  {z \sp 2} \  
+{\cos \left({{{x \sp 3} \  {y \sp 2}}} \right)}}+
+{{10}\  {x \sp 3} \  y \  {z \sp 5}} -{{x \sp 2} \  z} \right)}\  dx \  dy} 
+\end{array}
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+We see a lengthy output of the last expression, but nevertheless, the
+composition is zero.
+
+\spadcommand{exteriorDifferential \% }
+$$
+0 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+Now we check that \spadfunFrom{exteriorDifferential}{DeRhamComplex}
+is a ``graded derivation'' {\tt D,} that is, {\tt D} satisfies:
+\begin{verbatim}
+D(a*b) = D(a)*b + (-1)**degree(a)*a*D(b)
+\end{verbatim}
+
+\spadcommand{gamma := alpha * beta }
+$$
+\begin{array}{@{}l}
+{{\left( 
+{2 \  {x \sp 4} \  y \  {z \sp 2}} -
+{{x \sp 2} \  y \  z} 
+\right)}\  dy \  dz}+
+\\
+\\
+\displaystyle
+{{\left( 
+{2 \  {x \sp 3} \  y \  {z \sp 2}} -{x \  y \  z} 
+\right)}
+\  {\cos 
+\left(
+{{{\tan \left({{x \  y \  z}} \right)}+
+{x\  y \  z}}} 
+\right)}\  dx \  dz}+
+\\
+\\
+\displaystyle
+\left( 
+{{\left( 
+{7 \  {z \sp 2} \  {\sin \left({{{x \sp 3} \  {y \sp 2}}} \right)}}
+-{y \  {z \sp 2} \  {\cos \left({z} \right)}}
+\right)}
+\  {\cos \left({{{\tan \left({{x \  y \  z}} \right)}+{x\  y \  z}}} \right)}}-
+\right.
+\\
+\\
+\left.
+\displaystyle
+{5 \  {x \sp 4} \  {y \sp 2} \  {z \sp 5}}+
+{{x \sp 3} \  y \  z} 
+\right)\  dx \  dy
+\end{array}
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+We try this for the one-forms {\tt alpha} and {\tt beta}.
+
+\spadcommand{exteriorDifferential(gamma) - (exteriorDifferential(alpha)*beta - alpha * exteriorDifferential(beta)) }
+$$
+0 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+Now we define some ``basic operators'' (see 
+\ref{OperatorXmpPage} on page~\pageref{OperatorXmpPage}).
+
+\spadcommand{a : BOP := operator('a) }
+$$
+a 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{b : BOP := operator('b) }
+$$
+b 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{c : BOP := operator('c) }
+$$
+c 
+$$
+\returnType{Type: BasicOperator}
+
+We also define some indeterminate one- and two-forms using these
+operators.
+
+\spadcommand{sigma := a(x,y,z) * dx + b(x,y,z) * dy + c(x,y,z) * dz }
+$$
+{{c \left({x, y, z} \right)}\  dz}+
+{{b \left({x, y, z} \right)}\  dy}+
+{{a \left({x, y, z} \right)}\  dx} 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+\spadcommand{theta  := a(x,y,z) * dx * dy + b(x,y,z) * dx * dz + c(x,y,z) * dy * dz }
+$$
+{{c \left({x, y, z} \right)}\  dy \  dz}+
+{{b \left({x, y, z} \right)}\  dx \  dz}+
+{{a \left({x, y, z} \right)}\  dx \  dy} 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+This allows us to get formal definitions for the ``gradient'' \ldots
+
+\spadcommand{totalDifferential(a(x,y,z))\$der }
+$$
+{{{a \sb {{,3}}} \left({x, y, z} \right)}\  dz}+
+{{{a \sb {{,2}}} \left({x, y, z} \right)}\  dy}+
+{{{a \sb {{,1}}} \left({x, y, z} \right)}\  dx} 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+the ``curl'' \ldots
+
+\spadcommand{exteriorDifferential sigma }
+$$
+\begin{array}{@{}l}
+{{\left( 
+{{c \sb {{,2}}} \left({x, y, z} \right)}
+-{{b \sb {{,3}}} \left({x, y, z} \right)}
+\right)}\  dy \  dz}+
+\\
+\\
+\displaystyle
+{{\left( 
+{{c \sb {{,1}}} \left({x, y, z} \right)}
+-{{a \sb {{,3}}} \left({x, y, z} \right)}
+\right)}\  dx \  dz}+
+\\
+\\
+\displaystyle
+{{\left( 
+{{b \sb {{,1}}} \left({x, y, z} \right)}
+-{{a \sb {{,2}}} \left({x, y, z} \right)}
+\right)}\  dx \  dy} 
+\end{array}
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+and the ``divergence.''
+
+\spadcommand{exteriorDifferential theta }
+$$
+{\left( 
+{{c \sb {{,1}}} \left({x, y, z} \right)}
+-{{b \sb {{,2}}} \left({x, y, z} \right)}+
+{{a\sb {{,3}}} \left({x, y, z} \right)}
+\right)}\  dx \  dy \  dz 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+Note that the De Rham complex is an algebra with unity.  This element
+{\tt 1} is the basis for elements for zero-forms, that is, functions
+in our space.
+
+\spadcommand{one : der := 1 }
+$$
+1 
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+To convert a function to a function lying in the De Rham complex,
+multiply the function by ``one.''
+
+\spadcommand{g1 : der := a([x,t,y,u,v,z,e]) * one }
+$$
+a 
+\left(
+{x, t, y, u, v, z, e} 
+\right)
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+A current limitation of Axiom forces you to write functions with more
+than four arguments using square brackets in this way.
+
+\spadcommand{h1 : der := a([x,y,x,t,x,z,y,r,u,x]) * one }
+$$
+a 
+\left(
+{x, y, x, t, x, z, y, r, u, x} 
+\right)
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+Now note how the system keeps track of where your coordinate functions
+are located in expressions.
+
+\spadcommand{exteriorDifferential g1 }
+$$
+\begin{array}{@{}l}
+{{{a \sb {{,6}}} \left({x, t, y, u, v, z, e} \right)}\  dz}+
+\\
+\\
+\displaystyle
+{{{a \sb {{,3}}} \left({x, t, y, u, v, z, e} \right)}\  dy}+
+\\
+\\
+\displaystyle
+{{{a \sb {{,1}}} \left({x, t, y, u, v, z, e} \right)}\  dx} 
+\end{array}
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+\spadcommand{exteriorDifferential h1 }
+$$
+\begin{array}{@{}l}
+{{{a \sb {{,6}}} 
+\left({x, y, x, t, x, z, y, r, u, x} \right)}\  dz}+
+\\
+\\
+\displaystyle
+\begin{array}{@{}l}
+\left( {{a \sb {{,7}}} 
+\left({x, y, x, t, x, z, y, r, u, x} \right)}+
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{a\sb {{,2}}} 
+\left({x, y, x, t, x, z, y, r, u, x} \right)}
+\right)\  dy+
+\end{array}
+\\
+\\
+\displaystyle
+\begin{array}{@{}l}
+\left( {{a \sb {{,{10}}}} 
+\left({x, y, x, t, x, z, y, r, u, x} \right)}+
+\right.
+\\
+\\
+\displaystyle
+{{a\sb {{,5}}} 
+\left({x, y, x, t, x, z, y, r, u, x} \right)}+
+\\
+\\
+\displaystyle
+{{a\sb {{,3}}} 
+\left({x, y, x, t, x, z, y, r, u, x} \right)}+
+\\
+\\
+\displaystyle
+\left.
+{{a\sb {{,1}}} 
+\left({x, y, x, t, x, z, y, r, u, x} \right)}
+\right)\  dx 
+\end{array}
+\end{array}
+$$
+\returnType{Type: DeRhamComplex(Integer,[x,y,z])}
+
+In this example of Euclidean three-space, the basis for the De Rham complex
+consists of the eight forms: {\tt 1}, {\tt dx}, {\tt dy}, {\tt dz},
+{\tt dx*dy}, {\tt dx*dz}, {\tt dy*dz}, and {\tt dx*dy*dz}.
+
+\spadcommand{coefficient(gamma, dx*dy) }
+$$
+\begin{array}{@{}l}
+{{\left( {7 \  {z \sp 2} \  {\sin \left({{{x \sp 3} \  {y \sp 2}}} \right)}}
+-{y \  {z \sp 2} \  {\cos \left({z} \right)}}\right)}\  {\cos 
+\left(
+{{{\tan \left({{x \  y \  z}} \right)}+
+{x\  y \  z}}} 
+\right)}}
+\\
+\\
+\displaystyle
+-{5 \  {x \sp 4} \  {y \sp 2} \  {z \sp 5}}+
+{{x \sp 3} \  y \  z} 
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{coefficient(gamma, one) }
+$$
+0 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{coefficient(g1,one) }
+$$
+a 
+\left(
+{x, t, y, u, v, z, e} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+\section{DecimalExpansion}
+\label{DecimalExpansionXmpPage}
+
+All rationals have repeating decimal expansions.  Operations to access
+the individual digits of a decimal expansion can be obtained by
+converting the value to {\tt RadixExpansion(10)}.  More examples of
+expansions are available in 
+\ref{BinaryExpansionXmpPage} on page~\pageref{BinaryExpansionXmpPage},
+\ref{HexadecimalExpansionXmpPage} on 
+page~\pageref{HexadecimalExpansionXmpPage}, and 
+\ref{RadixExpansionXmpPage} on page~\pageref{RadixExpansionXmpPage}.
+
+The operation \spadfunFrom{decimal}{DecimalExpansion} is used to create
+this expansion of type {\tt DecimalExpansion}.
+
+\spadcommand{r := decimal(22/7) }
+$$
+3.{\overline {142857}} 
+$$
+\returnType{Type: DecimalExpansion}
+
+Arithmetic is exact.
+
+\spadcommand{r + decimal(6/7) }
+$$
+4 
+$$
+\returnType{Type: DecimalExpansion}
+
+The period of the expansion can be short or long \ldots
+
+\spadcommand{[decimal(1/i) for i in 350..354] }
+$$
+\begin{array}{@{}l}
+\left[
+{0.{00}{\overline {285714}}}, 
+{0.{\overline {002849}}}, 
+{0.{00284}{\overline {09}}}, 
+{0.{\overline {00283286118980169971671388101983}}}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{0.0{\overline {0282485875706214689265536723163841807909604519774011299435}}} 
+\right]
+\end{array}
+$$
+\returnType{Type: List DecimalExpansion}
+
+or very long.
+
+\spadcommand{decimal(1/2049) }
+$$
+\begin{array}{@{}l}
+0.{\overline 
+{000488042947779404587603709126403123474865788189360663738408979990239}}
+\\
+\\
+\displaystyle
+\ \ {\overline{
+141044411908247925817471937530502684236212786725231820400195217179111}}
+\\
+\\
+\displaystyle
+\ \ {\overline{
+761835041483650561249389946315275744265495363591996095656417764763299}}
+\\
+\\
+\displaystyle
+\ \ {\overline{
+170326988775012201073694485114690092728160078086871644704734016593460}}
+\\
+\\
+\displaystyle
+\ \ {\overline{
+22449975597852611029770619814543679843826256710590531966813079551}}
+\end{array}
+$$
+\returnType{Type: DecimalExpansion}
+
+These numbers are bona fide algebraic objects.
+
+\spadcommand{p := decimal(1/4)*x**2 + decimal(2/3)*x + decimal(4/9)  }
+$$
+{{0.{25}} \  {x \sp 2}}+{{0.{\overline 6}} \  x}+{0.{\overline 4}} 
+$$
+\returnType{Type: Polynomial DecimalExpansion}
+
+\spadcommand{q := differentiate(p, x) }
+$$
+{{0.5} \  x}+{0.{\overline 6}} 
+$$
+\returnType{Type: Polynomial DecimalExpansion}
+
+\spadcommand{g := gcd(p, q) }
+$$
+x+{1.{\overline 3}} 
+$$
+\returnType{Type: Polynomial DecimalExpansion}
+
+\section{DistributedMultivariatePolynomial}
+\label{DistributedMultivariatePolynomialXmpPage}
+
+\hyphenation{Homo-gen-eous-Dis-tributed-Multi-var-i-ate-Pol-y-nomial}
+
+{\tt DistributedMultivariatePolynomial} which is abbreviated as {\tt DMP}
+and {\tt HomogeneousDistributedMultivariatePolynomial}, which is abbreviated
+as {\tt HDMP}, are very similar to {\tt MultivariatePolynomial} except that 
+they are represented and displayed in a non-recursive manner.
+
+\spadcommand{(d1,d2,d3) : DMP([z,y,x],FRAC INT) }
+\returnType{Type: Void}
+
+The constructor {\tt DMP} orders its monomials lexicographically while
+{\tt HDMP} orders them by total order refined by reverse lexicographic
+order.
+
+\spadcommand{d1 := -4*z + 4*y**2*x + 16*x**2 + 1 }
+$$
+-{4 \  z}+{4 \  {y \sp 2} \  x}+{{16} \  {x \sp 2}}+1 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+\spadcommand{d2 := 2*z*y**2 + 4*x + 1 }
+$$
+{2 \  z \  {y \sp 2}}+{4 \  x}+1 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+\spadcommand{d3 := 2*z*x**2 - 2*y**2 - x }
+$$
+{2 \  z \  {x \sp 2}} -{2 \  {y \sp 2}} -x 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+These constructors are mostly used in Gr\"{o}bner basis calculations.
+
+\spadcommand{groebner [d1,d2,d3] }
+$$
+\begin{array}{@{}l}
+\left[
+{z -
+{{{1568} \over {2745}} \  {x \sp 6}} -
+{{{1264} \over {305}} \  {x \sp 5}}+
+{{6 \over {305}} \  {x \sp 4}}+
+{{{182} \over {549}} \  {x \sp 3}} 
+-{{{2047} \over {610}} \  {x \sp 2}} -
+{{{103} \over {2745}} \  x} -
+{{2857} \over {10980}}}, 
+\right.
+\\
+\\
+\displaystyle
+{{y \sp 2}+
+{{{112} \over {2745}} \  {x \sp 6}} -
+{{{84} \over {305}} \  {x \sp 5}} -
+{{{1264} \over {305}} \  {x \sp 4}} -
+{{{13} \over {549}} \  {x \sp 3}}+
+{{{84} \over {305}} \  {x \sp 2}}+
+{{{1772} \over {2745}} \  x}+
+{2 \over {2745}}}, 
+\\
+\\
+\displaystyle
+\left.
+{{x \sp 7}+
+{{{29} \over 4} \  {x \sp 6}} -
+{{{17} \over {16}} \  {x \sp 4}} -
+{{{11} \over 8} \  {x \sp 3}}+
+{{1 \over {32}} \  {x \sp 2}}+
+{{{15} \over {16}} \  x}+
+{1 \over 4}} 
+\right]
+\end{array}
+$$
+\returnType{Type: List DistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+\spadcommand{(n1,n2,n3) : HDMP([z,y,x],FRAC INT) }
+\returnType{Type: Void}
+
+\spadcommand{n1 := d1 }
+$$
+{4 \  {y \sp 2} \  x}+{{16} \  {x \sp 2}} -{4 \  z}+1 
+$$
+\returnType{Type: HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+\spadcommand{n2 := d2 }
+$$
+{2 \  z \  {y \sp 2}}+{4 \  x}+1 
+$$
+\returnType{Type: HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+\spadcommand{n3 := d3 }
+$$
+{2 \  z \  {x \sp 2}} -{2 \  {y \sp 2}} -x 
+$$
+\returnType{Type: HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+Note that we get a different Gr\"{o}bner basis when we use the 
+{\tt HDMP} polynomials, as expected.
+
+\spadcommand{groebner [n1,n2,n3] }
+$$
+\begin{array}{@{}l}
+\left[
+{{y \sp 4}+
+{2 \  {x \sp 3}} -
+{{3 \over 2} \  {x \sp 2}}+
+{{1 \over 2} \  z} -
+{1 \over 8}}, 
+\right.
+\\
+\\
+\displaystyle
+{{x \sp 4}+
+{{{29} \over 4} \  {x \sp 3}} -
+{{1 \over 8} \  {y \sp 2}} -
+{{7 \over 4} \  z \  x} -
+{{9 \over {16}} \  x} -
+{1 \over 4}}, 
+\\
+\\
+\displaystyle
+{{z \  {y \sp 2}}+
+{2 \  x}+
+{1 \over 2}}, 
+\\
+\\
+\displaystyle
+{{{y \sp 2} \  x}+
+{4 \  {x \sp 2}} -
+z+
+{1 \over 4}},
+\\
+\\
+\displaystyle
+{{z \  {x \sp 2}} -
+{y \sp 2} -
+{{1 \over 2} \  x}},
+\\
+\\
+\displaystyle
+\left.
+{{z \sp 2} -
+{4 \  {y \sp 2}}+
+{2 \  {x \sp 2}} -
+{{1 \over 4} \  z} -
+{{3 \over 2} \  x}} 
+\right]
+\end{array}
+$$
+\returnType{Type: List HomogeneousDistributedMultivariatePolynomial([z,y,x],Fraction Integer)}
+
+{\tt GeneralDistributedMultivariatePolynomial} is somewhat
+more flexible in the sense that as well as accepting a list of
+variables to specify the variable ordering, it also takes a
+predicate on exponent vectors to specify the term ordering.
+With this polynomial type the user can experiment with the effect
+of using completely arbitrary term orderings.
+This flexibility is mostly important for algorithms such as
+Gr\"{o}bner basis calculations which can be very
+sensitive to term ordering.
+
+For more information on related topics, see
+\ref{ugIntroVariablesPage} on page~\pageref{ugIntroVariablesPage} in Section 
+\ref{ugIntroVariablesNumber} on page~\pageref{ugIntroVariablesNumber},
+\ref{ugTypesConvertPage} on page~\pageref{ugTypesConvertPage} in Section 
+\ref{ugTypesConvertNumber} on page~\pageref{ugTypesConvertNumber},
+\ref{PolynomialXmpPage} on page~\pageref{PolynomialXmpPage},
+\ref{UnivariatePolynomialXmpPage} on 
+page~\pageref{UnivariatePolynomialXmpPage}, and
+\ref{MultivariatePolynomialXmpPage} on 
+page~\pageref{MultivariatePolynomialXmpPage}.
+
+\section{DoubleFloat}
+\label{DoubleFloatXmpPage}
+
+Axiom provides two kinds of floating point numbers.  The domain 
+{\tt Float} (abbreviation {\tt FLOAT}) implements a model of arbitrary
+precision floating point numbers.  The domain {\tt DoubleFloat}
+(abbreviation {\tt DFLOAT}) is intended to make available hardware
+floating point arithmetic in Axiom.  The actual model of floating
+point {\tt DoubleFloat} that provides is system-dependent.  For
+example, on the IBM system 370 Axiom uses IBM double precision which
+has fourteen hexadecimal digits of precision or roughly sixteen
+decimal digits.  Arbitrary precision floats allow the user to specify
+the precision at which arithmetic operations are computed.  Although
+this is an attractive facility, it comes at a cost. Arbitrary-precision 
+floating-point arithmetic typically takes twenty to two hundred times 
+more time than hardware floating point.
+
+The usual arithmetic and elementary functions are available for 
+{\tt DoubleFloat}.  Use {\tt )show DoubleFloat} to get a list of operations
+or the HyperDoc browse facility to get more extensive documentation
+about {\tt DoubleFloat}.
+
+By default, floating point numbers that you enter into Axiom are of
+type {\tt Float}.
+
+\spadcommand{2.71828}
+$$
+2.71828 
+$$
+\returnType{Type: Float}
+
+You must therefore tell Axiom that you want to use {\tt DoubleFloat}
+values and operations.  The following are some conservative guidelines
+for getting Axiom to use {\tt DoubleFloat}.
+
+To get a value of type {\tt DoubleFloat}, use a target with {\tt @}, \ldots
+
+\spadcommand{2.71828@DoubleFloat}
+$$
+2.71828 
+$$
+\returnType{Type: DoubleFloat}
+
+a conversion, \ldots
+
+\spadcommand{2.71828 :: DoubleFloat}
+$$
+2.71828 
+$$
+\returnType{Type: DoubleFloat}
+
+or an assignment to a declared variable.  It is more efficient if you
+use a target rather than an explicit or implicit conversion.
+
+\spadcommand{eApprox : DoubleFloat := 2.71828 }
+$$
+2.71828 
+$$
+\returnType{Type: DoubleFloat}
+
+You also need to declare functions that work with {\tt DoubleFloat}.
+
+\spadcommand{avg : List DoubleFloat -> DoubleFloat }
+\returnType{Type: Void}
+
+\begin{verbatim}
+avg l ==
+  empty? l => 0 :: DoubleFloat
+  reduce(_+,l) / #l
+\end{verbatim}
+\returnType{Type: Void}
+
+%\spadcommand{avg [] }
+% this complains but succeeds
+
+\spadcommand{avg [3.4,9.7,-6.8] }
+\begin{verbatim}
+   Compiling function avg with type List Float -> DoubleFloat 
+
+\end{verbatim}
+$$
+2.1 
+$$
+\returnType{Type: DoubleFloat}
+
+Use package-calling for operations from {\tt DoubleFloat} unless
+the arguments themselves are already of type {\tt DoubleFloat}.
+
+\spadcommand{cos(3.1415926)\$DoubleFloat}
+$$
+-{0.999999999999999} 
+$$
+\returnType{Type: DoubleFloat}
+
+\spadcommand{cos(3.1415926 :: DoubleFloat)}
+$$
+-{0.999999999999999} 
+$$
+\returnType{Type: DoubleFloat}
+
+By far, the most common usage of {\tt DoubleFloat} is for functions to
+be graphed.  For more information about Axiom's numerical and
+graphical facilities, see Section
+\ref{ugGraph} on page~\pageref{ugGraph}, 
+\ref{ugProblemNumeric} on page~\pageref{ugProblemNumeric}, and 
+\ref{FloatXmpPage} on page~\pageref{FloatXmpPage}.
+
+\section{EqTable} 
+\label{EqTableXmpPage}
+
+The {\tt EqTable} domain provides tables where the keys are compared
+using \spadfunFrom{eq?}{EqTable}.  Keys are considered equal only if
+they are the same instance of a structure.  This is useful if the keys
+are themselves updatable structures.  Otherwise, all operations are
+the same as for type {\tt Table}.  See 
+\ref{TableXmpPage} on page~\pageref{TableXmpPage} for general
+information about tables.
+
+The operation \spadfunFrom{table}{EqTable} is here used to create a table
+where the keys are lists of integers.
+
+\spadcommand{e: EqTable(List Integer, Integer) := table() }
+$$
+table() 
+$$
+\returnType{Type: EqTable(List Integer,Integer)}
+
+These two lists are equal according to \spadopFrom{=}{List}, but not
+according to \spadfunFrom{eq?}{List}.
+
+\spadcommand{l1 := [1,2,3] }
+$$
+\left[
+1, 2, 3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{l2 := [1,2,3] }
+$$
+\left[
+1, 2, 3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Because the two lists are not \spadfunFrom{eq?}{List}, separate values
+can be stored under each.
+
+\spadcommand{e.l1 := 111    }
+$$
+111 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{e.l2 := 222    }
+$$
+222 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{e.l1}
+$$
+111 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{Equation}
+\label{EquationXmpPage}
+
+The {\tt Equation} domain provides equations as mathematical objects.
+These are used, for example, as the input to various
+\spadfunFrom{solve}{TransSolvePackage} operations.
+
+Equations are created using the equals symbol, \spadopFrom{=}{Equation}.
+
+\spadcommand{eq1 := 3*x + 4*y = 5 }
+$$
+{{4 \  y}+{3 \  x}}=5 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+\spadcommand{eq2 := 2*x + 2*y = 3 }
+$$
+{{2 \  y}+{2 \  x}}=3 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+The left- and right-hand sides of an equation are accessible using
+the operations \spadfunFrom{lhs}{Equation} and \spadfunFrom{rhs}{Equation}.
+
+\spadcommand{lhs eq1 }
+$$
+{4 \  y}+{3 \  x} 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{rhs eq1 }
+$$
+5 
+$$
+\returnType{Type: Polynomial Integer}
+
+Arithmetic operations are supported and operate on both sides of the
+equation.
+
+\spadcommand{eq1 + eq2   }
+$$
+{{6 \  y}+{5 \  x}}=8 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+\spadcommand{eq1 * eq2   }
+$$
+{{8 \  {y \sp 2}}+{{14} \  x \  y}+{6 \  {x \sp 2}}}={15} 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+\spadcommand{2*eq2 - eq1 }
+$$
+x=1 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+Equations may be created for any type so the arithmetic operations
+will be defined only when they make sense.  For example, exponentiation 
+is not defined for equations involving non-square matrices.
+
+\spadcommand{eq1**2 }
+$$
+{{{16} \  {y \sp 2}}+{{24} \  x \  y}+{9 \  {x \sp 2}}}={25} 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+Note that an equals symbol is also used to {\it test} for equality of
+values in certain contexts.  For example, {\tt x+1} and {\tt y} are
+unequal as polynomials.
+
+\spadcommand{if x+1 = y then "equal" else "unequal"}
+$$
+\mbox{\tt "unequal"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{eqpol := x+1 = y }
+$$
+{x+1}=y 
+$$
+\returnType{Type: Equation Polynomial Integer}
+
+If an equation is used where a {\tt Boolean} value is required, then
+it is evaluated using the equality test from the operand type.
+
+\spadcommand{if eqpol then "equal" else "unequal" }
+$$
+\mbox{\tt "unequal"} 
+$$
+\returnType{Type: String}
+
+If one wants a {\tt Boolean} value rather than an equation, all one
+has to do is ask!
+
+\spadcommand{eqpol::Boolean }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\section{Exit}
+\label{ExitXmpPage}
+
+A function that does not return directly to its caller has {\tt Exit}
+as its return type.  The operation {\tt error} is an example of one
+which does not return to its caller.  Instead, it causes a return to
+top-level.
+
+\spadcommand{n := 0 }
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+The function {\tt gasp} is given return type {\tt Exit} since it is
+guaranteed never to return a value to its caller.
+
+\begin{verbatim}
+gasp(): Exit ==
+    free n
+    n := n + 1
+    error "Oh no!"
+ 
+Function declaration gasp : () -> Exit has been added to workspace.
+
+\end{verbatim}
+\returnType{Type: Void}
+
+The return type of {\tt half} is determined by resolving the types of
+the two branches of the {\tt if}.
+
+\begin{verbatim}
+half(k) ==
+  if odd? k then gasp()
+  else k quo 2
+\end{verbatim}
+
+Because {\tt gasp} has the return type {\tt Exit}, the type of 
+{\tt if} in {\tt half} is resolved to be {\tt Integer}.
+
+\spadcommand{half 4 }
+\begin{verbatim}
+   Compiling function gasp with type () -> Exit 
+   Compiling function half with type PositiveInteger -> Integer 
+\end{verbatim}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{half 3 }
+\begin{verbatim}
+   Error signalled from user code in function gasp: 
+      Oh no!
+\end{verbatim}
+
+\spadcommand{n }
+$$
+1 
+$$
+\returnType{Type: NonNegativeInteger}
+
+For functions which return no value at all, use {\tt Void}.  See
+\ref{ugUserPage} on page~\pageref{ugUserPage} in Section 
+\ref{ugUserNumber} on page~\pageref{ugUserNumber} and 
+\ref{VoidXmpPage} on page~\pageref{VoidXmpPage} for
+more information.
+
+\section{Expression}
+\label{ExpressionXmpPage}
+
+{\tt Expression} is a constructor that creates domains whose objects
+can have very general symbolic forms.  Here are some examples:
+
+This is an object of type {\tt Expression Integer}.
+
+\spadcommand{sin(x) + 3*cos(x)**2}
+$$
+{\sin \left({x} \right)}+{3\  {{\cos \left({x} \right)}\sp 2}} 
+$$
+\returnType{Type: Expression Integer}
+
+This is an object of type {\tt Expression Float}.
+
+\spadcommand{tan(x) - 3.45*x}
+$$
+{\tan \left({x} \right)}-{{3.45} \  x} 
+$$
+\returnType{Type: Expression Float}
+
+This object contains symbolic function applications, sums,
+products, square roots, and a quotient.
+
+\spadcommand{(tan sqrt 7 - sin sqrt 11)**2 / (4 - cos(x - y))}
+$$
+{-{{\tan \left({{\sqrt {7}}} \right)}\sp 2}+
+{2 \  {\sin \left({{\sqrt {{11}}}} \right)}
+\  {\tan \left({{\sqrt {7}}} \right)}}
+-{{\sin \left({{\sqrt {{11}}}} \right)}\sp 2}} 
+\over {{\cos \left({{y -x}} \right)}
+-4} 
+$$
+\returnType{Type: Expression Integer}
+
+As you can see, {\tt Expression} actually takes an argument domain.
+The {\it coefficients} of the terms within the expression belong to
+the argument domain.  {\tt Integer} and {\tt Float}, along with 
+{\tt Complex Integer} and {\tt Complex Float} are the most common
+coefficient domains.
+
+The choice of whether to use a {\tt Complex} coefficient domain or not
+is important since Axiom can perform some simplifications on
+real-valued objects
+
+\spadcommand{log(exp  x)@Expression(Integer)} 
+$$
+x 
+$$
+\returnType{Type: Expression Integer}
+
+... which are not valid on complex ones.
+
+\spadcommand{log(exp  x)@Expression(Complex Integer)} 
+$$
+\log \left({{e \sp x}} \right)
+$$
+\returnType{Type: Expression Complex Integer}
+
+Many potential coefficient domains, such as {\tt AlgebraicNumber}, are
+not usually used because {\tt Expression} can subsume them.
+
+\spadcommand{sqrt 3 + sqrt(2 + sqrt(-5)) }
+$$
+{\sqrt {{{\sqrt {-5}}+2}}}+{\sqrt {3}} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+\spadcommand{\% :: Expression Integer }
+$$
+{\sqrt {{{\sqrt {-5}}+2}}}+{\sqrt {3}} 
+$$
+\returnType{Type: Expression Integer}
+
+Note that we sometimes talk about ``an object of type {\tt
+Expression}.'' This is not really correct because we should say, for
+example, ``an object of type {\tt Expression Integer}'' or ``an object
+of type {\tt Expression Float}.''  By a similar abuse of language,
+when we refer to an ``expression'' in this section we will mean an
+object of type {\tt Expression R} for some domain {\tt R}.
+
+The Axiom documentation contains many examples of the use of {\tt
+Expression}.  For the rest of this section, we'll give you some
+pointers to those examples plus give you some idea of how to
+manipulate expressions.
+
+It is important for you to know that {\tt Expression} creates domains
+that have category {\tt Field}.  Thus you can invert any non-zero
+expression and you shouldn't expect an operation like {\tt factor} to
+give you much information.  You can imagine expressions as being
+represented as quotients of ``multivariate'' polynomials where the
+``variables'' are kernels (see 
+\ref{KernelXmpPage} on page~\pageref{KernelXmpPage}).  A kernel can
+either be a symbol such as {\tt x} or a symbolic function application
+like {\tt sin(x + 4)}.  The second example is actually a nested kernel
+since the argument to {\tt sin} contains the kernel {\tt x}.
+
+\spadcommand{height mainKernel sin(x + 4)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Actually, the argument to {\tt sin} is an expression, and so the
+structure of {\tt Expression} is recursive.  
+\ref{KernelXmpPage} on page~\pageref{KernelXmpPage}
+demonstrates how to extract the kernels in an expression.
+
+Use the HyperDoc Browse facility to see what operations are applicable
+to expression.  At the time of this writing, there were 262 operations
+with 147 distinct name in {\tt Expression Integer}.  For example,
+\spadfunFrom{numer}{Expression} and \spadfunFrom{denom}{Expression}
+extract the numerator and denominator of an expression.
+
+\spadcommand{e := (sin(x) - 4)**2 / ( 1 - 2*y*sqrt(- y) ) }
+$$
+{-{{\sin \left({x} \right)}\sp 2}+
+{8 \  {\sin \left({x} \right)}}
+-{16}} 
+\over {{2 \  y \  {\sqrt {-y}}} -1} 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{numer e }
+$$
+-{{\sin \left({x} \right)}\sp 2}+
+{8 \  {\sin \left({x} \right)}}
+-{16} 
+$$
+\returnType{Type: 
+SparseMultivariatePolynomial(Integer,Kernel Expression Integer)}
+
+\spadcommand{denom e }
+$$
+{2 \  y \  {\sqrt {-y}}} -1 
+$$
+\returnType{Type: 
+SparseMultivariatePolynomial(Integer,Kernel Expression Integer)}
+
+Use \spadfunFrom{D}{Expression} to compute partial derivatives.
+
+\spadcommand{D(e, x) }
+$$
+{{{\left( 
+{4 \  y \  {\cos \left({x} \right)}\  {\sin \left({x} \right)}}-
+{{16} \  y \  {\cos \left({x} \right)}}\right)}\  {\sqrt {-y}}} -
+{2 \  {\cos \left({x} \right)}\  {\sin \left({x} \right)}}+
+{8\  {\cos \left({x} \right)}}}
+\over {{4 \  y \  {\sqrt {-y}}}+{4 \  {y \sp 3}} -1} 
+$$
+\returnType{Type: Expression Integer}
+
+See 
+\ref{ugIntroCalcDerivPage} on page~\pageref{ugIntroCalcDerivPage} in Section 
+\ref{ugIntroCalcDerivNumber} on page~\pageref{ugIntroCalcDerivNumber}
+for more examples of expressions and derivatives.
+
+\spadcommand{D(e, [x, y], [1, 2]) }
+$$
+\left(
+\begin{array}{@{}l}
+{{\left( {{\left( -{{2304} \  {y \sp 7}}+{{960} \  {y \sp 4}} \right)}
+\  {\cos \left({x} \right)}\  {\sin \left({x} \right)}}+
+{{\left({{9216} \  {y \sp 7}} -{{3840} \  {y \sp 4}} \right)}
+\  {\cos \left({x} \right)}}\right)}\  {\sqrt {-y}}}+
+\\
+\\
+\displaystyle
+{{\left( -{{960} \  {y \sp 9}}+{{2160} \  {y \sp 6}} -{{180} \  {y \sp 3}} -3 
+\right)}\  {\cos \left({x} \right)}\  {\sin \left({x} \right)}}+
+\\
+\\
+\displaystyle
+{{\left(
+{{3840} \  {y \sp 9}} -{{8640} \  {y \sp 6}}+{{720} \  {y \sp 3}}+{12} 
+\right)}\  {\cos \left({x} \right)}}
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+{{\left( {{256} \  {y \sp {12}}} -{{1792} \  {y \sp 9}}+{{1120} \  {y 
+\sp 6}} -{{112} \  {y \sp 3}}+1 \right)}\  {\sqrt {-y}}} -
+\\
+\\
+\displaystyle
+{{1024} \  {y \sp {11}}}+{{1792} \  {y \sp 8}} -{{448} \  
+{y \sp 5}}+{{16} \  {y \sp 2}} 
+\end{array}
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+See 
+\ref{ugIntroCalcLimitsPage} on page~\pageref{ugIntroCalcLimitsPage} in Section
+\ref{ugIntroCalcLimitsNumber} on page~\pageref{ugIntroCalcLimitsNumber} and 
+\ref{ugIntroSeriesPage} on page~\pageref{ugIntroSeriesPage} in Section
+\ref{ugIntroSeriesNumber} on page~\pageref{ugIntroSeriesNumber} 
+for more examples of expressions and
+calculus.  Differential equations involving expressions are discussed
+in \ref{ugProblemDEQPage} on page~\pageref{ugProblemDEQPage} in Section 
+\ref{ugProblemDEQNumber} on page~\pageref{ugProblemDEQNumber}.
+Chapter 8 has many advanced examples: see
+\ref{ugProblemIntegrationPage} on page~\pageref{ugProblemIntegrationPage} 
+in Section
+\ref{ugProblemIntegrationNumber} on page~\pageref{ugProblemIntegrationNumber} 
+for a discussion of Axiom's integration facilities.
+
+When an expression involves no ``symbol kernels'' (for example, 
+{\tt x}), it may be possible to numerically evaluate the expression.
+
+If you suspect the evaluation will create a complex number, use 
+{\tt complexNumeric}.
+
+\spadcommand{complexNumeric(cos(2 - 3*\%i))}
+$$
+-{4.1896256909\ 688072301}+{{9.1092278937\ 55336598} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+If you know it will be real, use {\tt numeric}.
+
+\spadcommand{numeric(tan 3.8)}
+$$
+0.7735560905\ 0312607286 
+$$
+\returnType{Type: Float}
+
+The {\tt numeric} operation will display an error message if the
+evaluation yields a calue with an non-zero imaginary part.  Both of
+these operations have an optional second argument {\tt n} which
+specifies that the accuracy of the approximation be up to {\tt n}
+decimal places.
+
+When an expression involves no ``symbolic application'' kernels, it
+may be possible to convert it a polynomial or rational function in the
+variables that are present.
+
+\spadcommand{e2 := cos(x**2 - y + 3) }
+$$
+\cos \left({{y -{x \sp 2} -3}} \right)
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{e3 := asin(e2) - \%pi/2 }
+$$
+-y+{x \sp 2}+3 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{e3 :: Polynomial Integer }
+$$
+-y+{x \sp 2}+3 
+$$
+\returnType{Type: Polynomial Integer}
+
+This also works for the polynomial types where specific variables
+and their ordering are given.
+
+\spadcommand{e3 :: DMP([x, y], Integer) }
+$$
+{x \sp 2} -y+3 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([x,y],Integer)}
+
+Finally, a certain amount of simplication takes place as expressions
+are constructed.
+
+\spadcommand{sin \%pi}
+$$
+0 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{cos(\%pi / 4)}
+$$
+{\sqrt {2}} \over 2 
+$$
+\returnType{Type: Expression Integer}
+
+For simplications that involve multiple terms of the expression, use
+{\tt simplify}.
+
+\spadcommand{tan(x)**6 + 3*tan(x)**4 + 3*tan(x)**2 + 1 }
+$$
+{{\tan \left({x} \right)}\sp 6}+
+{3 \  {{\tan \left({x} \right)}\sp 4}}+
+{3 \  {{\tan \left({x} \right)}\sp 2}}+1 
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{simplify \% }
+$$
+1 \over {{\cos \left({x} \right)}\sp 6} 
+$$
+\returnType{Type: Expression Integer}
+
+See \ref{ugUserRulesPage} on page~\pageref{ugUserRulesPage} in Section 
+\ref{ugUserRulesNumber} on page~\pageref{ugUserRulesNumber} for
+examples of how to write your own rewrite rules for expressions.
+
+\section{Factored}
+\label{FactoredXmpPage}
+
+{\tt Factored} creates a domain whose objects are kept in factored
+form as long as possible.  Thus certain operations like
+\spadopFrom{*}{Factored} (multiplication) and
+\spadfunFrom{gcd}{Factored} are relatively easy to do.  Others, such
+as addition, require somewhat more work, and the result may not be
+completely factored unless the argument domain {\tt R} provides a
+\spadfunFrom{factor}{Factored} operation.  Each object consists of a
+unit and a list of factors, where each factor consists of a member of
+{\tt R} (the {\em base}), an exponent, and a flag indicating what is
+known about the base.  A flag may be one of ``{\tt nil}'', ``{\tt sqfr}'',
+``{\tt irred}'' or ``{\tt prime}'', which mean that nothing is known about
+the base, it is square-free, it is irreducible, or it is prime,
+respectively.  The current restriction to factored objects of integral
+domains allows simplification to be performed without worrying about
+multiplication order.
+
+\subsection{Decomposing Factored Objects}
+
+In this section we will work with a factored integer.
+
+\spadcommand{g := factor(4312) }
+$$
+{2 \sp 3} \  {7 \sp 2} \  {11} 
+$$
+\returnType{Type: Factored Integer}
+
+Let's begin by decomposing {\tt g} into pieces.  The only possible
+units for integers are {\tt 1} and {\tt -1}.
+
+\spadcommand{unit(g) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+There are three factors.
+
+\spadcommand{numberOfFactors(g) }
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+We can make a list of the bases, \ldots
+
+\spadcommand{[nthFactor(g,i) for i in 1..numberOfFactors(g)] }
+$$
+\left[
+2, 7, {11} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+and the exponents, \ldots
+
+\spadcommand{[nthExponent(g,i) for i in 1..numberOfFactors(g)] }
+$$
+\left[
+3, 2, 1 
+\right]
+$$
+\returnType{Type: List Integer}
+
+and the flags.  You can see that all the bases (factors) are prime.
+
+\spadcommand{[nthFlag(g,i) for i in 1..numberOfFactors(g)] }
+$$
+\left[
+\mbox{\tt "prime"} , \mbox{\tt "prime"} , \mbox{\tt "prime"} 
+\right]
+$$
+\returnType{Type: List Union("nil","sqfr","irred","prime")}
+
+A useful operation for pulling apart a factored object into a list
+of records of the components is \spadfunFrom{factorList}{Factored}.
+
+\spadcommand{factorList(g) }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {flg= \mbox{\tt "prime"} }, {fctr=2}, {xpnt=3} \right]},
+\right.
+\\
+\\
+\displaystyle
+{\left[ {flg= \mbox{\tt "prime"} }, {fctr=7}, {xpnt=2} \right]},
+\\
+\\
+\left.
+\displaystyle
+{\left[ {flg= \mbox{\tt "prime"} }, {fctr={11}}, {xpnt=1} \right]}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List Record(flg: Union("nil","sqfr","irred","prime"),
+fctr: Integer,xpnt: Integer)}
+
+If you don't care about the flags, use \spadfunFrom{factors}{Factored}.
+
+\spadcommand{factors(g) }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {factor=2}, {exponent=3} \right]},
+\right.
+\\
+\\
+\displaystyle
+{\left[ {factor=7}, {exponent=2} \right]},
+\\
+\\
+\displaystyle
+\left.
+{\left[ {factor={11}}, {exponent=1} \right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List Record(factor: Integer,exponent: Integer)}
+
+Neither of these operations returns the unit.
+
+\spadcommand{first(\%).factor }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Expanding Factored Objects}
+
+Recall that we are working with this factored integer.
+
+\spadcommand{g := factor(4312) }
+$$
+{2 \sp 3} \  {7 \sp 2} \  {11} 
+$$
+\returnType{Type: Factored Integer}
+
+To multiply out the factors with their multiplicities, use
+\spadfunFrom{expand}{Factored}.
+
+\spadcommand{expand(g) }
+$$
+4312 
+$$
+\returnType{Type: PositiveInteger}
+
+If you would like, say, the distinct factors multiplied together but
+with multiplicity one, you could do it this way.
+
+\spadcommand{reduce(*,[t.factor for t in factors(g)]) }
+$$
+154 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Arithmetic with Factored Objects}
+
+We're still working with this factored integer.
+
+\spadcommand{g := factor(4312) }
+$$
+{2 \sp 3} \  {7 \sp 2} \  {11} 
+$$
+\returnType{Type: Factored Integer}
+
+We'll also define this factored integer.
+
+\spadcommand{f := factor(246960) }
+$$
+{2 \sp 4} \  {3 \sp 2} \  5 \  {7 \sp 3} 
+$$
+\returnType{Type: Factored Integer}
+
+Operations involving multiplication and division are particularly
+easy with factored objects.
+
+\spadcommand{f * g }
+$$
+{2 \sp 7} \  {3 \sp 2} \  5 \  {7 \sp 5} \  {11} 
+$$
+\returnType{Type: Factored Integer}
+
+\spadcommand{f**500 }
+$$
+{2 \sp {2000}} \  {3 \sp {1000}} \  {5 \sp {500}} \  {7 \sp {1500}} 
+$$
+\returnType{Type: Factored Integer}
+
+\spadcommand{gcd(f,g) }
+$$
+{2 \sp 3} \  {7 \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+\spadcommand{lcm(f,g) }
+$$
+{2 \sp 4} \  {3 \sp 2} \  5 \  {7 \sp 3} \  {11} 
+$$
+\returnType{Type: Factored Integer}
+
+If we use addition and subtraction things can slow down because
+we may need to compute greatest common divisors.
+
+\spadcommand{f + g }
+$$
+{2 \sp 3} \  {7 \sp 2} \  {641} 
+$$
+\returnType{Type: Factored Integer}
+
+\spadcommand{f - g }
+$$
+{2 \sp 3} \  {7 \sp 2} \  {619} 
+$$
+\returnType{Type: Factored Integer}
+
+Test for equality with {\tt 0} and {\tt 1} by using
+\spadfunFrom{zero?}{Factored} and \spadfunFrom{one?}{Factored},
+respectively.
+
+\spadcommand{zero?(factor(0))}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{zero?(g) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{one?(factor(1))}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{one?(f) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Another way to get the zero and one factored objects is to use
+package calling (see 
+\ref{ugTypesPkgCallPage} on page~\pageref{ugTypesPkgCallPage} in Section 
+\ref{ugTypesPkgCallNumber} on page~\pageref{ugTypesPkgCallNumber}).
+
+\spadcommand{0\$Factored(Integer)}
+$$
+0 
+$$
+\returnType{Type: Factored Integer}
+
+\spadcommand{1\$Factored(Integer)}
+$$
+1 
+$$
+\returnType{Type: Factored Integer}
+
+\subsection{Creating New Factored Objects}
+
+The \spadfunFrom{map}{Factored} operation is used to iterate across
+the unit and bases of a factored object.  See
+\ref{FactoredFunctionsTwoXmpPage} on 
+page~\pageref{FactoredFunctionsTwoXmpPage} for a discussion of
+\spadfunFrom{map}{Factored}.
+
+The following four operations take a base and an exponent and create a
+factored object.  They differ in handling the flag component.
+
+\spadcommand{nilFactor(24,2) }
+$$
+{24} \sp 2 
+$$
+\returnType{Type: Factored Integer}
+
+This factor has no associated information.
+
+\spadcommand{nthFlag(\%,1) }
+$$
+\mbox{\tt "nil"} 
+$$
+\returnType{Type: Union("nil",...)}
+
+This factor is asserted to be square-free.
+
+\spadcommand{sqfrFactor(30,2) }
+$$
+{30} \sp 2 
+$$
+\returnType{Type: Factored Integer}
+
+This factor is asserted to be irreducible.
+
+\spadcommand{irreducibleFactor(13,10) }
+$$
+{13} \sp {10} 
+$$
+\returnType{Type: Factored Integer}
+
+This factor is asserted to be prime.
+
+\spadcommand{primeFactor(11,5) }
+$$
+{11} \sp 5 
+$$
+\returnType{Type: Factored Integer}
+
+A partial inverse to \spadfunFrom{factorList}{Factored} is
+\spadfunFrom{makeFR}{Factored}.
+
+\spadcommand{h := factor(-720) }
+$$
+-{{2 \sp 4} \  {3 \sp 2} \  5} 
+$$
+\returnType{Type: Factored Integer}
+
+The first argument is the unit and the second is a list of records as
+returned by \spadfunFrom{factorList}{Factored}.
+
+\spadcommand{h - makeFR(unit(h),factorList(h)) }
+$$
+0 
+$$
+\returnType{Type: Factored Integer}
+
+\subsection{Factored Objects with Variables}
+
+Some of the operations available for polynomials are also available
+for factored polynomials.
+
+\spadcommand{p := (4*x*x-12*x+9)*y*y + (4*x*x-12*x+9)*y + 28*x*x - 84*x + 63 }
+$$
+{{\left( {4 \  {x \sp 2}} -{{12} \  x}+9 
+\right)}
+\  {y \sp 2}}+{{\left( {4 \  {x \sp 2}} -{{12} \  x}+9 
+\right)}
+\  y}+{{28} \  {x \sp 2}} -{{84} \  x}+{63} 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{fp := factor(p) }
+$$
+{{\left( {2 \  x} -3 
+\right)}
+\sp 2} \  {\left( {y \sp 2}+y+7 
+\right)}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+You can differentiate with respect to a variable.
+
+\spadcommand{D(p,x) }
+$$
+{{\left( {8 \  x} -{12} 
+\right)}
+\  {y \sp 2}}+{{\left( {8 \  x} -{12} 
+\right)}
+\  y}+{{56} \  x} -{84} 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{D(fp,x) }
+$$
+4 \  {\left( {2 \  x} -3 
+\right)}
+\  {\left( {y \sp 2}+y+7 
+\right)}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+\spadcommand{numberOfFactors(\%) }
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{FactoredFunctions2}
+\label{FactoredFunctions2XmpPage}
+
+The {\tt FactoredFunctions2} package implements one operation,
+\spadfunFrom{map}{FactoredFunctions2}, for applying an operation to every
+base in a factored object and to the unit.
+
+\spadcommand{double(x) == x + x }
+\returnType{Type: Void}
+
+\spadcommand{f := factor(720) }
+$$
+{2 \sp 4} \  {3 \sp 2} \  5 
+$$
+\returnType{Type: Factored Integer}
+
+Actually, the \spadfunFrom{map}{FactoredFunctions2} operation used
+in this example comes from {\tt Factored} itself, since {\tt double} 
+takes an integer argument and returns an integer result.
+
+\spadcommand{map(double,f) }
+$$
+2 \  {4 \sp 4} \  {6 \sp 2} \  {10} 
+$$
+\returnType{Type: Factored Integer}
+
+If we want to use an operation that returns an object that has a type
+different from the operation's argument,
+the \spadfunFrom{map}{FactoredFunctions2} in {\tt Factored}
+cannot be used and we use the one in {\tt FactoredFunctions2}.
+
+\spadcommand{makePoly(b) == x + b }
+\returnType{Type: Void}
+
+In fact, the ``2'' in the name of the package means that we might
+be using factored objects of two different types.
+
+\spadcommand{g := map(makePoly,f) }
+$$
+{\left( x+1 \right)}
+\  {{\left( x+2 \right)}\sp 4} 
+\  {{\left( x+3 \right)}\sp 2} 
+\  {\left( x+5 \right)}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+It is important to note that both versions of
+\spadfunFrom{map}{FactoredFunctions2} destroy any information known
+about the bases (the fact that they are prime, for instance).
+
+The flags for each base are set to ``nil'' in the object returned
+by \spadfunFrom{map}{FactoredFunctions2}.
+
+\spadcommand{nthFlag(g,1) }
+$$
+\mbox{\tt "nil"} 
+$$
+\returnType{Type: Union("nil",...)}
+
+For more information about factored objects and their use, see
+\ref{FactoredXmpPage} on page~\pageref{FactoredXmpPage} and 
+\ref{ugProblemGaloisPage} on page~\pageref{ugProblemGaloisPage} in Section 
+\ref{ugProblemGaloisNumber} on page~\pageref{ugProblemGaloisNumber}.
+
+\section{File}
+\label{FileXmpPage}
+
+The {\tt File(S)} domain provides a basic interface to read and
+write values of type {\tt S} in files.
+
+Before working with a file, it must be made accessible to Axiom with
+the \spadfunFrom{open}{File} operation.
+
+\spadcommand{ifile:File List Integer:=open("/tmp/jazz1","output")  }
+$$
+\mbox{\tt "/tmp/jazz1"} 
+$$
+\returnType{Type: File List Integer}
+
+The \spadfunFrom{open}{File} function arguments are a {\tt FileName}
+and a {\tt String} specifying the mode.  If a full pathname is not
+specified, the current default directory is assumed.  The mode must be
+one of ``{\tt input}'' or ``{\tt output}''.  If it is not specified, 
+``{\tt input}'' is assumed.  Once the file has been opened, you can read or
+write data.
+
+The operations \spadfunFrom{read}{File} and \spadfunFrom{write}{File} are
+provided.
+
+\spadcommand{write!(ifile, [-1,2,3])}
+$$
+\left[
+-1, 2, 3 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{write!(ifile, [10,-10,0,111])}
+$$
+\left[
+{10}, -{10}, 0, {111} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{write!(ifile, [7])}
+$$
+\left[
+7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+You can change from writing to reading (or vice versa) by reopening a file.
+
+\spadcommand{reopen!(ifile, "input")}
+$$
+\mbox{\tt "/tmp/jazz1"} 
+$$
+\returnType{Type: File List Integer}
+
+\spadcommand{read! ifile}
+$$
+\left[
+-1, 2, 3 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{read! ifile}
+$$
+\left[
+{10}, -{10}, 0, {111} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+The \spadfunFrom{read}{File} operation can cause an error if one tries
+to read more data than is in the file.  To guard against this
+possibility the \spadfunFrom{readIfCan}{File} operation should be
+used.
+
+\spadcommand{readIfCan! ifile  }
+$$
+\left[
+7 
+\right]
+$$
+\returnType{Type: Union(List Integer,...)}
+
+\spadcommand{readIfCan! ifile  }
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+You can find the current mode of the file, and the file's name.
+
+\spadcommand{iomode ifile}
+$$
+\mbox{\tt "input"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{name ifile}
+$$
+\mbox{\tt "/tmp/jazz1"} 
+$$
+\returnType{Type: FileName}
+
+When you are finished with a file, you should close it.
+
+\spadcommand{close! ifile}
+$$
+\mbox{\tt "/tmp/jazz1"} 
+$$
+\returnType{Type: File List Integer}
+
+\spadcommand{)system rm /tmp/jazz1}
+
+A limitation of the underlying LISP system is that not all values can
+be represented in a file.  In particular, delayed values containing
+compiled functions cannot be saved.
+
+For more information on related topics, see 
+\ref{TextFileXmpPage} on page~\pageref{TextFileXmpPage},
+\ref{KeyedAccessFileXmpPage} on page~\pageref{KeyedAccessFileXmpPage}, 
+\ref{LibraryXmpPage} on page~\pageref{LibraryXmpPage}, and
+\ref{FileNameXmpPage} on page~\pageref{FileNameXmpPage}.
+
+\section{FileName}
+\label{FileNameXmpPage}
+ 
+The {\tt FileName} domain provides an interface to the computer's file
+system.  Functions are provided to manipulate file names and to test
+properties of files.
+ 
+The simplest way to use file names in the Axiom interpreter is to rely
+on conversion to and from strings.  The syntax of these strings
+depends on the operating system.
+
+\spadcommand{fn: FileName }
+\returnType{Type: Void}
+
+On Linux, this is a proper file syntax:
+
+\spadcommand{fn := "/tmp/fname.input" }
+$$
+\mbox{\tt "/tmp/fname.input"} 
+$$
+\returnType{Type: FileName}
+
+Although it is very convenient to be able to use string notation
+for file names in the interpreter, it is desirable to have a portable
+way of creating and manipulating file names from within programs.
+
+A measure of portability is obtained by considering a file name
+to consist of three parts: the {\it directory}, the {\it name},
+and the {\it extension}.
+
+\spadcommand{directory fn }
+$$
+\mbox{\tt "/tmp"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{name fn }
+$$
+\mbox{\tt "fname"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{extension fn }
+$$
+\mbox{\tt "input"} 
+$$
+\returnType{Type: String}
+
+The meaning of these three parts depends on the operating system.
+For example, on CMS the file ``{\tt SPADPROF INPUT M}''
+would have directory ``{\tt M}'', name ``{\tt SPADPROF}'' and
+extension ``{\tt INPUT}''.
+ 
+It is possible to create a filename from its parts.
+
+\spadcommand{fn := filename("/u/smwatt/work", "fname", "input") }
+$$
+\mbox{\tt "/u/smwatt/work/fname.input"} 
+$$
+\returnType{Type: FileName}
+
+When writing programs, it is helpful to refer to directories via
+variables.
+
+\spadcommand{objdir := "/tmp" }
+$$
+\mbox{\tt "/tmp"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{fn := filename(objdir, "table", "spad") }
+$$
+\mbox{\tt "/tmp/table.spad"} 
+$$
+\returnType{Type: FileName}
+
+If the directory or the extension is given as an empty string, then
+a default is used.  On AIX, the defaults are the current directory
+and no extension.
+
+\spadcommand{fn := filename("", "letter", "") }
+$$
+\mbox{\tt "letter"} 
+$$
+\returnType{Type: FileName}
+ 
+Three tests provide information about names in the file system.
+
+The \spadfunFrom{exists?}{FileName} operation tests whether the named
+file exists.
+
+\spadcommand{exists? "/etc/passwd"}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The operation \spadfunFrom{readable?}{FileName} tells whether the named file
+can be read.  If the file does not exist, then it cannot be read.
+
+\spadcommand{readable? "/etc/passwd"}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{readable? "/etc/security/passwd"}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{readable? "/ect/passwd"}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Likewise, the operation \spadfunFrom{writable?}{FileName} tells
+whether the named file can be written.  If the file does not exist,
+the test is determined by the properties of the directory.
+
+\spadcommand{writable? "/etc/passwd"}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{writable? "/dev/null"}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{writable? "/etc/DoesNotExist"}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{writable? "/tmp/DoesNotExist"}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+ 
+The \spadfunFrom{new}{FileName} operation constructs the name of a new
+writable file.  The argument sequence is the same as for
+\spadfunFrom{filename}{FileName}, except that the name part is
+actually a prefix for a constructed unique name.
+
+The resulting file is in the specified directory
+with the given extension, and the same defaults are used.
+
+\spadcommand{fn := new(objdir, "xxx", "yy") }
+$$
+\mbox{\tt "/tmp/xxx82404.yy"} 
+$$
+\returnType{Type: FileName}
+
+\section{FlexibleArray}
+\label{FlexibleArrayXmpPage}
+
+The {\tt FlexibleArray} domain constructor creates one-dimensional
+arrays of elements of the same type.  Flexible arrays are an attempt
+to provide a data type that has the best features of both
+one-dimensional arrays (fast, random access to elements) and lists
+(flexibility).  They are implemented by a fixed block of storage.
+When necessary for expansion, a new, larger block of storage is
+allocated and the elements from the old storage area are copied into
+the new block.
+
+Flexible arrays have available most of the operations provided by 
+{\tt OneDimensionalArray} (see 
+\ref{OneDimensionalArrayXmpPage} on page~\pageref{OneDimensionalArrayXmpPage} 
+and \ref{VectorXmpPage} on page~\pageref{VectorXmpPage}).  
+Since flexible arrays are also of category 
+{\tt ExtensibleLinearAggregate}, they have operations {\tt concat!}, 
+{\tt delete!}, {\tt insert!}, {\tt merge!}, {\tt remove!}, 
+{\tt removeDuplicates!}, and {\tt select!}.  In addition, the operations
+{\tt physicalLength} and {\tt physicalLength!} provide user-control
+over expansion and contraction.
+
+A convenient way to create a flexible array is to apply the operation
+{\tt flexibleArray} to a list of values.
+
+\spadcommand{flexibleArray [i for i in 1..6]}
+$$
+\left[
+1, 2, 3, 4, 5, 6 
+\right]
+$$
+\returnType{Type: FlexibleArray PositiveInteger}
+
+Create a flexible array of six zeroes.
+
+\spadcommand{f : FARRAY INT := new(6,0)}
+$$
+\left[
+0, 0, 0, 0, 0, 0 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+For $i=1\ldots 6$ set the $i$-th element to $i$.  Display {\tt f}.
+
+\spadcommand{for i in 1..6 repeat f.i := i; f}
+$$
+\left[
+1, 2, 3, 4, 5, 6 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Initially, the physical length is the same as the number of elements.
+
+\spadcommand{physicalLength f}
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+Add an element to the end of {\tt f}.
+
+\spadcommand{concat!(f,11)}
+$$
+\left[
+1, 2, 3, 4, 5, 6, {11} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+See that its physical length has grown.
+
+\spadcommand{physicalLength f}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+Make {\tt f} grow to have room for {\tt 15} elements.
+
+\spadcommand{physicalLength!(f,15)}
+$$
+\left[
+1, 2, 3, 4, 5, 6, {11} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Concatenate the elements of {\tt f} to itself.  The physical length
+allows room for three more values at the end.
+
+\spadcommand{concat!(f,f)}
+$$
+\left[
+1, 2, 3, 4, 5, 6, {11}, 1, 2, 3, 4, 5, 6, 
+{11} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Use {\tt insert!} to add an element to the front of a flexible array.
+
+\spadcommand{insert!(22,f,1)}
+$$
+\left[
+{22}, 1, 2, 3, 4, 5, 6, {11}, 1, 2, 3, 4, 
+5, 6, {11} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Create a second flexible array from {\tt f} consisting of the elements
+from index 10 forward.
+
+\spadcommand{g := f(10..)}
+$$
+\left[
+2, 3, 4, 5, 6, {11} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Insert this array at the front of {\tt f}.
+
+\spadcommand{insert!(g,f,1)}
+$$
+\left[
+2, 3, 4, 5, 6, {11}, {22}, 1, 2, 3, 4, 5, 
+6, {11}, 1, 2, 3, 4, 5, 6, {11} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Merge the flexible array {\tt f} into {\tt g} after sorting each in place.
+
+\spadcommand{merge!(sort! f, sort! g)}
+$$
+\left[
+1, 1, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 
+4, 5, 5, 5, 5, 6, 6, 6, 6, {11}, {11}, {11}, 
+{11}, {22} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Remove duplicates in place.
+
+\spadcommand{removeDuplicates! f}
+$$
+\left[
+1, 2, 3, 4, 5, 6, {11}, {22} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Remove all odd integers.
+
+\spadcommand{select!(i +-> even? i,f)}
+$$
+\left[
+2, 4, 6, {22} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+All these operations have shrunk the physical length of {\tt f}.
+
+\spadcommand{physicalLength f}
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+To force Axiom not to shrink flexible arrays call the {\tt shrinkable}
+operation with the argument {\tt false}.  You must package call this
+operation.  The previous value is returned.
+
+\spadcommand{shrinkable(false)\$FlexibleArray(Integer)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\section{Float}
+\label{FloatXmpPage}
+
+Axiom provides two kinds of floating point numbers.  The domain 
+{\tt Float} (abbreviation {\tt FLOAT}) implements a model of arbitrary
+precision floating point numbers.  The domain {\tt DoubleFloat}
+(abbreviation {\tt DFLOAT}) is intended to make available hardware
+floating point arithmetic in Axiom.  The actual model of floating
+point that {\tt DoubleFloat} provides is system-dependent.  For
+example, on the IBM system 370 Axiom uses IBM double precision which
+has fourteen hexadecimal digits of precision or roughly sixteen
+decimal digits.  Arbitrary precision floats allow the user to specify
+the precision at which arithmetic operations are computed.  Although
+this is an attractive facility, it comes at a cost.
+Arbitrary-precision floating-point arithmetic typically takes twenty
+to two hundred times more time than hardware floating point.
+
+For more information about Axiom's numeric and graphic facilities, see
+\ref{ugGraphPage} on page~\pageref{ugGraphPage} in Section 
+\ref{ugGraphNumber} on page~\pageref{ugGraphNumber},
+\ref{ugProblemNumeric} on page~\pageref{ugProblemNumeric}, and 
+\ref{DoubleFloatXmpPage} on page~\pageref{DoubleFloatXmpPage}.
+
+\subsection{Introduction to Float}
+
+Scientific notation is supported for input and output of floating
+point numbers.  A floating point number is written as a string of
+digits containing a decimal point optionally followed by the letter
+``{\tt E}'', and then the exponent.
+
+We begin by doing some calculations using arbitrary precision floats.
+The default precision is twenty decimal digits.
+
+\spadcommand{1.234}
+$$
+1.234 
+$$
+\returnType{Type: Float}
+
+A decimal base for the exponent is assumed, so the number 
+{\tt 1.234E2} denotes $1.234 \cdot 10^2$.
+
+\spadcommand{1.234E2}
+$$
+123.4 
+$$
+\returnType{Type: Float}
+
+The normal arithmetic operations are available for floating point numbers.
+
+\spadcommand{sqrt(1.2 + 2.3 / 3.4 ** 4.5)}
+$$
+1.0996972790\ 671286226 
+$$
+\returnType{Type: Float}
+
+\subsection{Conversion Functions}
+
+You can use conversion (\ref{ugTypesConvertPage} on
+page~\pageref{ugTypesConvertPage} in Section
+\ref{ugTypesConvertNumber} on page~\pageref{ugTypesConvertNumber}) to
+go back and forth between {\tt Integer}, {\tt Fraction Integer} and
+{\tt Float}, as appropriate.
+
+\spadcommand{i := 3 :: Float }
+$$
+3.0 
+$$
+\returnType{Type: Float}
+
+\spadcommand{i :: Integer }
+$$
+3 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{i :: Fraction Integer }
+$$
+3 
+$$
+\returnType{Type: Fraction Integer}
+
+Since you are explicitly asking for a conversion, you must take
+responsibility for any loss of exactness.
+
+\spadcommand{r := 3/7 :: Float }
+$$
+0.4285714285\ 7142857143 
+$$
+\returnType{Type: Float}
+
+\spadcommand{r :: Fraction Integer }
+$$
+3 \over 7 
+$$
+\returnType{Type: Fraction Integer}
+
+This conversion cannot be performed: use \spadfunFrom{truncate}{Float}
+or \spadfunFrom{round}{Float} if that is what you intend.
+
+\spadcommand{r :: Integer }
+\begin{verbatim}
+   Cannot convert from type Float to Integer for value
+   0.4285714285 7142857143
+\end{verbatim}
+
+The operations \spadfunFrom{truncate}{Float} and \spadfunFrom{round}{Float}
+truncate  \ldots
+
+\spadcommand{truncate 3.6}
+$$
+3.0 
+$$
+\returnType{Type: Float}
+
+and round to the nearest integral {\tt Float} respectively.
+
+\spadcommand{round 3.6}
+$$
+4.0 
+$$
+\returnType{Type: Float}
+
+\spadcommand{truncate(-3.6)}
+$$
+-{3.0} 
+$$
+\returnType{Type: Float}
+
+\spadcommand{round(-3.6)}
+$$
+-{4.0} 
+$$
+\returnType{Type: Float}
+
+The operation \spadfunFrom{fractionPart}{Float} computes the
+fractional part of {\tt x}, that is, {\tt x - truncate x}.
+
+\spadcommand{fractionPart 3.6}
+$$
+0.6 
+$$
+\returnType{Type: Float}
+
+The operation \spadfunFrom{digits}{Float} allows the user to set the
+precision.  It returns the previous value it was using.
+
+\spadcommand{digits 40 }
+$$
+20 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{sqrt 0.2}
+$$
+0.4472135954\ 9995793928\ 1834733746\ 2552470881 
+$$
+\returnType{Type: Float}
+
+\spadcommand{pi()\$Float }
+$$
+3.1415926535\ 8979323846\ 2643383279\ 502884197 
+$$
+\returnType{Type: Float}
+
+The precision is only limited by the computer memory available.
+Calculations at 500 or more digits of precision are not difficult.
+
+\spadcommand{digits 500 }
+$$
+40 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{pi()\$Float }
+$$
+\begin{array}{@{}l}
+3.1415926535\ 8979323846\ 2643383279\ 5028841971\ 6939937510\ 5820974944 
+\\
+\displaystyle
+\ \ 5923078164\ 0628620899\ 8628034825\ 3421170679\ 8214808651\ 3282306647
+\\
+\displaystyle
+\ \ 0938446095\ 5058223172\ 5359408128\ 4811174502\ 8410270193\ 8521105559
+\\
+\displaystyle
+\ \ 6446229489\ 5493038196\ 4428810975\ 6659334461\ 2847564823\ 3786783165
+\\
+\displaystyle
+\ \ 2712019091\ 4564856692\ 3460348610\ 4543266482\ 1339360726\ 0249141273
+\\
+\displaystyle
+\ \ 7245870066\ 0631558817\ 4881520920\ 9628292540\ 9171536436\ 7892590360
+\\
+\displaystyle
+\ \ 0113305305\ 4882046652\ 1384146951\ 9415116094\ 3305727036\ 5759591953
+\\
+\displaystyle
+\ \ 0921861173\ 8193261179\ 3105118548\ 0744623799\ 6274956735\ 1885752724
+\\
+\displaystyle
+\ \ 8912279381\ 830119491 
+\end{array}
+$$
+\returnType{Type: Float}
+
+Reset \spadfunFrom{digits}{Float} to its default value.
+
+\spadcommand{digits 20}
+$$
+500 
+$$
+\returnType{Type: PositiveInteger}
+
+Numbers of type {\tt Float} are represented as a record of two
+integers, namely, the mantissa and the exponent where the base of the
+exponent is binary.  That is, the floating point number {\tt (m,e)}
+represents the number $m \cdot 2^e$.  A consequence of using a binary
+base is that decimal numbers can not, in general, be represented
+exactly.
+
+\subsection{Output Functions}
+
+A number of operations exist for specifying how numbers of type 
+{\tt Float} are to be displayed.  By default, spaces are inserted every ten
+digits in the output for readability.\footnote{Note that you cannot
+include spaces in the input form of a floating point number, though
+you can use underscores.}
+
+Output spacing can be modified with the \spadfunFrom{outputSpacing}{Float} 
+operation.  This inserts no spaces and then displays the value of {\tt x}.
+
+\spadcommand{outputSpacing 0; x := sqrt 0.2 }
+$$
+0.44721359549995793928 
+$$
+\returnType{Type: Float}
+
+Issue this to have the spaces inserted every {\tt 5} digits.
+
+\spadcommand{outputSpacing 5; x }
+$$
+0.44721\ 35954\ 99957\ 93928 
+$$
+\returnType{Type: Float}
+
+By default, the system displays floats in either fixed format
+or scientific format, depending on the magnitude of the number.
+
+\spadcommand{y := x/10**10 }
+$$
+0.44721\ 35954\ 99957\ 93928\ {\rm E\ }-10 
+$$
+\returnType{Type: Float}
+
+A particular format may be requested with the operations
+\spadfunFrom{outputFloating}{Float} and \spadfunFrom{outputFixed}{Float}.
+
+\spadcommand{outputFloating(); x  }
+$$
+0.44721\ 35954\ 99957\ 93928\ {\rm E\ }0 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputFixed(); y  }
+$$
+0.00000\ 00000\ 44721\ 35954\ 99957\ 93928 
+$$
+\returnType{Type: Float}
+
+Additionally, you can ask for {\tt n} digits to be displayed after the
+decimal point.
+
+\spadcommand{outputFloating 2; y  }
+$$
+0.45\ {\rm E\ } -10 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputFixed 2; x  }
+$$
+0.45 
+$$
+\returnType{Type: Float}
+
+This resets the output printing to the default behavior.
+
+\spadcommand{outputGeneral()}
+\returnType{Type: Void}
+
+\subsection{An Example: Determinant of a Hilbert Matrix}
+
+Consider the problem of computing the determinant of a {\tt 10} by
+{\tt 10} Hilbert matrix.  The $(i,j)$-th entry of a Hilbert
+matrix is given by {\tt 1/(i+j+1)}.
+
+First do the computation using rational numbers to obtain the
+exact result.
+
+\spadcommand{a: Matrix Fraction Integer := matrix [ [1/(i+j+1) for j in 0..9] for i in 0..9] }
+$$
+\left[
+\begin{array}{cccccccccc}
+1 & {1 \over 2} & {1 \over 3} & {1 \over 4} & {1 \over 5} & {1 \over 6} & 
+{1 \over 7} & {1 \over 8} & {1 \over 9} & {1 \over {10}} \\ 
+{1 \over 2} & {1 \over 3} & {1 \over 4} & {1 \over 5} & {1 \over 6} & 
+{1 \over 7} & {1 \over 8} & {1 \over 9} & {1 \over {10}} & {1 \over {11}} \\ 
+{1 \over 3} & {1 \over 4} & {1 \over 5} & {1 \over 6} & {1 \over 7} & 
+{1 \over 8} & {1 \over 9} & {1 \over {10}} & {1 \over {11}} & 
+{1 \over {12}} \\ 
+{1 \over 4} & {1 \over 5} & {1 \over 6} & {1 \over 7} & {1 \over 8} & 
+{1 \over 9} & {1 \over {10}} & {1 \over {11}} & {1 \over {12}} & 
+{1 \over {13}} \\ 
+{1 \over 5} & {1 \over 6} & {1 \over 7} & {1 \over 8} & {1 \over 9} & 
+{1 \over {10}} & {1 \over {11}} & {1 \over {12}} & {1 \over {13}} & 
+{1 \over {14}} \\ 
+{1 \over 6} & {1 \over 7} & {1 \over 8} & {1 \over 9} & {1 \over {10}} & 
+{1 \over {11}} & {1 \over {12}} & {1 \over {13}} & {1 \over {14}} & 
+{1 \over {15}} \\ 
+{1 \over 7} & {1 \over 8} & {1 \over 9} & {1 \over {10}} & {1 \over {11}} & 
+{1 \over {12}} & {1 \over {13}} & {1 \over {14}} & {1 \over {15}} & 
+{1 \over {16}} \\ 
+{1 \over 8} & {1 \over 9} & {1 \over {10}} & {1 \over {11}} & {1 \over {12}} 
+& {1 \over {13}} & {1 \over {14}} & {1 \over {15}} & {1 \over {16}} & 
+{1 \over {17}} \\ 
+{1 \over 9} & {1 \over {10}} & {1 \over {11}} & {1 \over {12}} & 
+{1 \over {13}} & {1 \over {14}} & {1 \over {15}} & {1 \over {16}} & 
+{1 \over {17}} & {1 \over {18}} \\ 
+{1 \over {10}} & {1 \over {11}} & {1 \over {12}} & {1 \over {13}} & 
+{1 \over {14}} & {1 \over {15}} & {1 \over {16}} & {1 \over {17}} & 
+{1 \over {18}} & {1 \over {19}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+This version of \spadfunFrom{determinant}{Matrix} uses Gaussian elimination.
+
+\spadcommand{d:= determinant a }
+$$
+1 \over {46206893947914691316295628839036278726983680000000000} 
+$$
+\returnType{Type: Fraction Integer}
+
+\spadcommand{d :: Float }
+$$
+0.21641\ 79226\ 43149\ 18691\ {\rm E\ } -52 
+$$
+\returnType{Type: Float}
+
+Now use hardware floats. Note that a semicolon (;) is used to prevent
+the display of the matrix.
+
+\spadcommand{b: Matrix DoubleFloat := matrix [ [1/(i+j+1\$DoubleFloat) for j in 0..9] for i in 0..9]; }
+\returnType{Type: Matrix DoubleFloat}
+
+The result given by hardware floats is correct only to four
+significant digits of precision.  In the jargon of numerical analysis,
+the Hilbert matrix is said to be ``ill-conditioned.''
+
+\spadcommand{determinant b }
+$$
+2.1643677945721411e-53 
+$$
+\returnType{Type: DoubleFloat}
+
+Now repeat the computation at a higher precision using {\tt Float}.
+
+\spadcommand{digits 40 }
+$$
+20 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{c: Matrix Float := matrix [ [1/(i+j+1\$Float) for j in 0..9] for i in 0..9];  }
+\returnType{Type: Matrix Float}
+
+\spadcommand{determinant c }
+$$
+0.21641\ 79226\ 43149\ 18690\ 60594\ 98362\ 26174\ 36159\ {\rm E\ } -52 
+$$
+\returnType{Type: Float}
+
+Reset \spadfunFrom{digits}{Float} to its default value.
+
+\spadcommand{digits 20}
+$$
+40 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{Fraction}
+\label{FractionXmpPage}
+
+The {\tt Fraction} domain implements quotients.  The elements must
+belong to a domain of category {\tt IntegralDomain}: multiplication
+must be commutative and the product of two non-zero elements must not
+be zero.  This allows you to make fractions of most things you would
+think of, but don't expect to create a fraction of two matrices!  The
+abbreviation for {\tt Fraction} is {\tt FRAC}.
+
+Use \spadopFrom{/}{Fraction} to create a fraction.
+
+\spadcommand{a := 11/12 }
+$$
+{11} \over {12} 
+$$
+\returnType{Type: Fraction Integer}
+
+\spadcommand{b := 23/24 }
+$$
+{23} \over {24} 
+$$
+\returnType{Type: Fraction Integer}
+
+The standard arithmetic operations are available.
+
+\spadcommand{3 - a*b**2 + a + b/a }
+$$
+{313271} \over {76032} 
+$$
+\returnType{Type: Fraction Integer}
+
+Extract the numerator and denominator by using
+\spadfunFrom{numer}{Fraction} and \spadfunFrom{denom}{Fraction},
+respectively.
+
+\spadcommand{numer(a) }
+$$
+11 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{denom(b) }
+$$
+24 
+$$
+\returnType{Type: PositiveInteger}
+
+Operations like \spadfunFrom{max}{Fraction},
+\spadfunFrom{min}{Fraction}, \spadfunFrom{negative?}{Fraction},
+\spadfunFrom{positive?}{Fraction} and \spadfunFrom{zero?}{Fraction}
+are all available if they are provided for the numerators and
+denominators.  
+See \ref{IntegerXmpPage} on page~\pageref{IntegerXmpPage} for examples.
+
+Don't expect a useful answer from \spadfunFrom{factor}{Fraction},
+\spadfunFrom{gcd}{Fraction} or \spadfunFrom{lcm}{Fraction} if you apply
+them to fractions.
+
+\spadcommand{r := (x**2 + 2*x + 1)/(x**2 - 2*x + 1) }
+$$
+{{x \sp 2}+{2 \  x}+1} \over {{x \sp 2} -{2 \  x}+1} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+Since all non-zero fractions are invertible, these operations have trivial
+definitions.
+
+\spadcommand{factor(r) }
+$$
+{{x \sp 2}+{2 \  x}+1} \over {{x \sp 2} -{2 \  x}+1} 
+$$
+\returnType{Type: Factored Fraction Polynomial Integer}
+
+Use \spadfunFrom{map}{Fraction} to apply \spadfunFrom{factor}{Fraction} to
+the numerator and denominator, which is probably what you mean.
+
+\spadcommand{map(factor,r) }
+$$
+{{\left( x+1 
+\right)}
+\sp 2} \over {{\left( x -1 
+\right)}
+\sp 2} 
+$$
+\returnType{Type: Fraction Factored Polynomial Integer}
+
+Other forms of fractions are available.  Use {\tt continuedFraction}
+to create a continued fraction.
+
+\spadcommand{continuedFraction(7/12)}
+$$
+\zag{1}{1}+ \zag{1}{1}+ \zag{1}{2}+ \zag{1}{2} 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+Use {\tt partialFraction} to create a partial fraction.
+See 
+\ref{ContinuedFractionXmpPage} on page~\pageref{ContinuedFractionXmpPage} 
+and \ref{PartialFractionXmpPage} on page~\pageref{PartialFractionXmpPage} for
+additional information and examples.
+
+\spadcommand{partialFraction(7,12)}
+$$
+1 -{3 \over {2 \sp 2}}+{1 \over 3} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+Use conversion to create alternative views of fractions with objects
+moved in and out of the numerator and denominator.
+
+\spadcommand{g := 2/3 + 4/5*\%i }
+$$
+{2 \over 3}+{{4 \over 5} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+Conversion is discussed in detail in 
+Section~\ref{ugTypesConvertPage} 
+on page~\pageref{ugTypesConvertPage}.
+
+\spadcommand{g :: FRAC COMPLEX INT }
+$$
+{{10}+{{12} \  i}} \over {15} 
+$$
+\returnType{Type: Fraction Complex Integer}
+
+\section{FullPartialFractionExpansion}
+\label{FullPartialFractionExpansionXmpPage}
+
+The domain {\tt FullPartialFractionExpansion} implements
+factor-free conversion of quotients to full partial fractions.
+
+Our examples will all involve quotients of univariate polynomials
+with rational number coefficients.
+
+\spadcommand{Fx := FRAC UP(x, FRAC INT) }
+$$
+\mbox{\rm Fraction UnivariatePolynomial(x,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+Here is a simple-looking rational function.
+
+\spadcommand{f : Fx := 36 / (x**5-2*x**4-2*x**3+4*x**2+x-2) }
+$$
+{36} \over {{x \sp 5} -{2 \  {x \sp 4}} -{2 \  {x \sp 3}}+{4 \  {x \sp 2}}+x 
+-2} 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+We use \spadfunFrom{fullPartialFraction}{FullPartialFractionExpansion}
+to convert it to an object of type {\tt FullPartialFractionExpansion}.
+
+\spadcommand{g := fullPartialFraction f }
+$$
+{4 \over {x -2}} -{4 \over {x+1}}+
+{\sum \sb{\displaystyle {{{ \%A \sp 2} -1}=0}} 
+{{-{3 \  \%A} -6} \over {{\left( x - \%A \right)}\sp 2}}} 
+$$
+\returnType{Type: FullPartialFractionExpansion(Fraction Integer,UnivariatePolynomial(x,Fraction Integer))}
+
+Use a coercion to change it back into a quotient.
+
+\spadcommand{g :: Fx }
+$$
+{36} \over {{x \sp 5} -{2 \  {x \sp 4}} -{2 \  {x \sp 3}}+{4 \  {x \sp 2}}+x 
+-2} 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+Full partial fractions differentiate faster than rational functions.
+
+\spadcommand{g5 := D(g, 5) }
+$$
+-{{480} \over {{\left( x -2 \right)}\sp 6}}+
+{{480} \over {{\left( x+1 \right)}\sp 6}}+
+{\sum \sb{\displaystyle {{{ \%A \sp 2} -1}=0}} 
+{{{{2160} \   \%A}+{4320}} \over {{\left( x - \%A \right)}\sp 7}}} 
+$$
+\returnType{Type: FullPartialFractionExpansion(Fraction Integer,UnivariatePolynomial(x,Fraction Integer))}
+
+\spadcommand{f5 := D(f, 5) }
+$$
+\left(
+\begin{array}{@{}l}
+-{{544320} \  {x \sp {10}}}+
+{{4354560} \  {x \sp 9}} -
+{{14696640} \  {x \sp 8}}+
+{{28615680} \  {x \sp 7}} -
+\\
+\\
+\displaystyle
+{{40085280} \  {x \sp 6}}+
+{{46656000} \  {x \sp 5}} -
+{{39411360} \  {x \sp 4}}+
+{{18247680} \  {x \sp 3}} -
+\\
+\\
+\displaystyle
+{{5870880} \  {x \sp 2}}+
+{{3317760} \  x}+{246240}
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+{x \sp {20}} -
+{{12} \  {x \sp {19}}}+
+{{53} \  {x \sp {18}}} -
+{{76} \  {x \sp {17}}} -
+{{159} \  {x \sp {16}}}+
+{{676} \  {x \sp {15}}} -
+{{391} \  {x \sp {14}}} -
+\\
+\\
+\displaystyle
+{{1596} \  {x \sp {13}}}+
+{{2527} \  {x \sp {12}}}+
+{{1148} \  {x \sp {11}}} -
+{{4977} \  {x \sp {10}}}+
+{{1372} \  {x \sp 9}}+
+\\
+\\
+\displaystyle
+{{4907} \  {x \sp 8}} -
+{{3444} \  {x \sp 7}} 
+-{{2381} \  {x \sp 6}}+
+{{2924} \  {x \sp 5}}+
+{{276} \  {x \sp 4}} -
+\\
+\\
+\displaystyle
+{{1184} \  {x \sp 3}}+
+{{208} \  {x \sp 2}}+
+{{192} \  x} -
+{64} 
+\end{array}
+\right)
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+We can check that the two forms represent the same function.
+
+\spadcommand{g5::Fx - f5 }
+$$
+0 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+Here are some examples that are more complicated.
+
+\spadcommand{f : Fx := (x**5 * (x-1)) / ((x**2 + x + 1)**2 * (x-2)**3) }
+$$
+{{x \sp 6} -
+{x \sp 5}} 
+\over 
+{{x \sp 7} -
+{4 \  {x \sp 6}}+
+{3 \  {x \sp 5}}+
+{9 \  {x \sp 3}} -
+{6 \  {x \sp 2}} -
+{4 \  x} -
+8}
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{g := fullPartialFraction f }
+$$
+\begin{array}{@{}l}
+{{{1952} \over {2401}} \over {x -2}}+
+{{{464} \over {343}} \over {{\left( x -2 \right)}\sp 2}}+
+{{{32} \over {49}} \over {{\left( x -2 \right)}\sp 3}}+
+\\
+\\
+\displaystyle
+{\sum \sb{\displaystyle {{{ \%A \sp 2}+ \%A+1}=0}} 
+{{-{{{179} \over {2401}} \  \%A}+{{135} \over {2401}}} \over {x - \%A}}}+
+\\
+\\
+\displaystyle
+{\sum \sb{\displaystyle {{{ \%A \sp 2}+ \%A+1}=0}} 
+{{{{{37} \over {1029}} \   \%A}+
+{{20} \over {1029}}} \over {{\left( x - \%A \right)}\sp 2}}} 
+\end{array}
+$$
+\returnType{Type: FullPartialFractionExpansion(Fraction Integer,UnivariatePolynomial(x,Fraction Integer))}
+
+\spadcommand{g :: Fx - f }
+$$
+0 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{f : Fx := (2*x**7-7*x**5+26*x**3+8*x) / (x**8-5*x**6+6*x**4+4*x**2-8) }
+$$
+{{2 \  {x \sp 7}} -{7 \  {x \sp 5}}+{{26} \  {x \sp 3}}+{8 \  x}} 
+\over 
+{{x \sp 8} -{5 \  {x \sp 6}}+{6 \  {x \sp 4}}+{4 \  {x \sp 2}} -8} 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{g := fullPartialFraction f }
+$$
+\begin{array}{@{}l}
+{\sum \sb{\displaystyle {{{ \%A \sp 2} -2}=0}} 
+{{1 \over 2} \over {x -  \%A}}}+
+\\
+\\
+\displaystyle
+{\sum \sb{\displaystyle {{{ \%A \sp 2} -2}=0}} 
+{1 \over {{\left( x -  \%A \right)}\sp 3}}}+
+\\
+\\
+\displaystyle
+{\sum \sb{\displaystyle {{{ \%A \sp 2}+1}=0}} 
+{{1 \over 2} \over {x - \%A}}} 
+\end{array}
+$$
+\returnType{Type: FullPartialFractionExpansion(Fraction Integer,UnivariatePolynomial(x,Fraction Integer))}
+
+\spadcommand{g :: Fx - f }
+$$
+0 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{f:Fx := x**3 / (x**21 + 2*x**20 + 4*x**19 + 7*x**18 + 10*x**17 + 17*x**16 + 22*x**15 + 30*x**14 + 36*x**13 + 40*x**12 + 47*x**11 + 46*x**10 + 49*x**9 + 43*x**8 + 38*x**7 + 32*x**6 + 23*x**5 + 19*x**4 + 10*x**3 + 7*x**2 + 2*x + 1)}
+$$
+{x \sp 3} 
+\over 
+\left(
+\begin{array}{@{}l}
+{x \sp {21}}+
+{2 \  {x \sp {20}}}+
+{4 \  {x \sp {19}}}+
+{7 \  {x \sp {18}}}+
+{{10} \  {x \sp {17}}}+
+{{22} \  {x \sp {15}}}+
+{{30} \  {x \sp {14}}}+
+\\
+\\
+\displaystyle
+{{36} \  {x \sp {13}}}+
+{{40} \  {x \sp {12}}}+
+{{47} \  {x \sp {11}}}+
+{{46} \  {x \sp {10}}}+
+{{49} \  {x \sp 9}}+
+{{43} \  {x \sp 8}}+
+{{38} \  {x \sp 7}}+
+\\
+\\
+\displaystyle
+{{32} \  {x \sp 6}}+
+{{23} \  {x \sp 5}}+
+{{19} \  {x \sp 4}}+
+{{10} \  {x \sp 3}}+
+{7 \  {x \sp 2}}+
+{2 \  x}+
+1
+\end{array}
+\right)
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{g := fullPartialFraction f }
+$$
+\begin{array}{@{}l}
+{\sum \sb{\displaystyle {{{ \%A \sp 2}+1}=0}} 
+{{{1 \over 2} \  \%A} \over {x - \%A}}}+
+{\sum \sb{\displaystyle {{{ \%A \sp 2}+ \%A+1}=0}} 
+{{{{1 \over 9} \   \%A} -{{19} \over {27}}} \over {x - \%A}}}+
+\\
+\\
+\displaystyle
+{\sum \sb{\displaystyle {{{ \%A \sp 2}+ \%A+1}=0}} 
+{{{{1 \over {27}} \  \%A} -{1 \over {27}}} 
+\over {{\left( x - \%A \right)}\sp 2}}}+
+\\
+\\
+\displaystyle
+\sum \sb{\displaystyle {{{ \%A \sp 5}+{ \%A \sp 2}+1}=0}}
+\left(
+\begin{array}{@{}l}
+-{{{96556567040} \over {912390759099}} \  { \%A \sp 4}}+
+{{{420961732891} \over {912390759099}} \  { \%A \sp 3}} -
+\\
+\\
+\displaystyle
+{{{59101056149} \over {912390759099}} \  { \%A \sp 2}} -
+{{{373545875923} \over {912390759099}} \   \%A}+
+\\
+\\
+\displaystyle
+{{529673492498} \over {912390759099}}
+\end{array}
+\right)
+\over {x - \%A}+
+\\
+\\
+\displaystyle
+\sum \sb{\displaystyle {{{ \%A \sp 5}+{ \%A \sp 2}+1}=0}}
+\left(
+\begin{array}{@{}l}
+-{{{5580868} \over {94070601}} \  { \%A \sp 4}} -
+{{{2024443} \over {94070601}} \  { \%A \sp 3}}+
+{{{4321919} \over {94070601}} \  { \%A \sp 2}} -
+\\
+\\
+\displaystyle
+{{{84614} \over {1542141}} \  \%A} -
+{{5070620} \over {94070601}} 
+\end{array}
+\right)
+\over {{\left( x - \%A \right)}\sp 2}+
+\\
+\\
+\displaystyle
+\sum \sb{\displaystyle {{{ \%A \sp 5}+{ \%A \sp 2}+1}=0}} 
+\left(
+\begin{array}{@{}l}
+{{{1610957} \over {94070601}} \  { \%A \sp 4}}+
+{{{2763014} \over {94070601}} \  { \%A \sp 3}} -
+{{{2016775} \over {94070601}} \  { \%A \sp 2}}+
+\\
+\\
+\displaystyle
+{{{266953} \over {94070601}} \  \%A}+
+{{4529359} \over {94070601}}
+\end{array}
+\right)
+\over {{\left( x - \%A \right)}\sp 3} 
+\end{array}
+$$
+\returnType{Type: FullPartialFractionExpansion(Fraction Integer,UnivariatePolynomial(x,Fraction Integer))}
+
+This verification takes much longer than the conversion to
+partial fractions.
+
+\spadcommand{g :: Fx - f }
+$$
+0 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Fraction Integer)}
+
+For more information, see the paper: Bronstein, M and Salvy, B.
+``Full Partial Fraction Decomposition of Rational Functions,'' 
+{\it Proceedings of ISSAC'93, Kiev}, ACM Press.  Also see
+\ref{PartialFractionXmpPage} on page~\pageref{PartialFractionXmpPage} 
+for standard partial fraction decompositions.
+
+\section{GeneralSparseTable}
+\label{GeneralSparseTableXmpPage}
+
+Sometimes when working with tables there is a natural value to use as
+the entry in all but a few cases.  The {\tt GeneralSparseTable}
+constructor can be used to provide any table type with a default value
+for entries.  See \ref{TableXmpPage} on page~\pageref{TableXmpPage} 
+for general information about tables.  
+
+Suppose we launched a fund-raising campaign to raise fifty thousand dollars.
+To record the contributions, we want a table with strings as keys
+(for the names) and integer entries (for the amount).
+In a data base of cash contributions, unless someone
+has been explicitly entered, it is reasonable to assume they have made
+a zero dollar contribution.
+
+This creates a keyed access file with default entry {\tt 0}.
+
+\spadcommand{patrons: GeneralSparseTable(String, Integer, KeyedAccessFile(Integer), 0) := table() ; }
+\returnType{Type: GeneralSparseTable(String,Integer,KeyedAccessFile Integer,0)}
+
+
+Now {\tt patrons} can be used just as any other table.
+Here we record two gifts.
+
+\spadcommand{patrons."Smith" := 10500 }
+$$
+10500 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{patrons."Jones" := 22000 }
+$$
+22000 
+$$
+\returnType{Type: PositiveInteger}
+
+Now let us look up the size of the contributions from Jones and Stingy.
+
+\spadcommand{patrons."Jones"  }
+$$
+22000 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{patrons."Stingy" }
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+Have we met our seventy thousand dollar goal?
+
+\spadcommand{reduce(+, entries patrons) }
+$$
+32500 
+$$
+\returnType{Type: PositiveInteger}
+
+So the project is cancelled and we can delete the data base:
+
+\spadcommand{)system rm -r kaf*.sdata }
+
+\section{GroebnerFactorizationPackage}
+\label{GroebnerFactorizationPackageXmpPage}
+
+Solving systems of polynomial equations with the Gr\"{o}bner basis
+algorithm can often be very time consuming because, in general, the
+algorithm has exponential run-time.  These systems, which often come
+from concrete applications, frequently have symmetries which are not
+taken advantage of by the algorithm.  However, it often happens in
+this case that the polynomials which occur during the Gr\"{o}bner
+calculations are reducible.  Since Axiom has an excellent polynomial
+factorization algorithm, it is very natural to combine the Gr\"{o}bner
+and factorization algorithms.
+
+{\tt GroebnerFactorizationPackage} exports the
+\spadfunFrom{groebnerFactorize}{GroebnerFactorizationPackage}
+operation which implements a modified Gr\"{o}bner basis algorithm.  In
+this algorithm, each polynomial that is to be put into the partial
+list of the basis is first factored.  The remaining calculation is
+split into as many parts as there are irreducible factors.  Call these
+factors $p_1, \ldots,p_n.$ In the branches corresponding to $p_2,
+\ldots,p_n,$ the factor $p_1$ can be divided out, and so on.  This
+package also contains operations that allow you to specify the
+polynomials that are not zero on the common roots of the final
+Gr\"{o}bner basis.
+
+Here is an example from chemistry.  In a theoretical model of the
+cyclohexan ${\rm C}_6{\rm H}_{12}$, the six carbon atoms each sit in
+the center of gravity of a tetrahedron that has two hydrogen atoms and
+two carbon atoms at its corners.  We first normalize and set the
+length of each edge to 1.  Hence, the distances of one fixed carbon
+atom to each of its immediate neighbours is 1.  We will denote the
+distances to the other three carbon atoms by $x$, $y$ and $z$.
+
+A.~Dress developed a theory to decide whether a set of points
+and distances between them can be realized in an $n$-dimensional space.
+Here, of course, we have $n = 3$.
+
+\spadcommand{mfzn : SQMATRIX(6,DMP([x,y,z],Fraction INT)) := [ [0,1,1,1,1,1], [1,0,1,8/3,x,8/3], [1,1,0,1,8/3,y], [1,8/3,1,0,1,8/3], [1,x,8/3,1,0,1], [1,8/3,y,8/3,1,0] ] }
+$$
+\left[
+\begin{array}{cccccc}
+0 & 1 & 1 & 1 & 1 & 1 \\ 
+1 & 0 & 1 & {8 \over 3} & x & {8 \over 3} \\ 
+1 & 1 & 0 & 1 & {8 \over 3} & y \\ 
+1 & {8 \over 3} & 1 & 0 & 1 & {8 \over 3} \\ 
+1 & x & {8 \over 3} & 1 & 0 & 1 \\ 
+1 & {8 \over 3} & y & {8 \over 3} & 1 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(6,DistributedMultivariatePolynomial([x,y,z],Fraction Integer))}
+
+For the cyclohexan, the distances have to satisfy this equation.
+
+\spadcommand{eq := determinant mfzn }
+$$
+\begin{array}{@{}l}
+-{{x \sp 2} \  {y \sp 2}}+
+{{{22} \over 3} \  {x \sp 2} \  y} -
+{{{25} \over 9} \  {x \sp 2}}+
+{{{22} \over 3} \  x \  {y \sp 2}} -
+{{{388} \over 9} \  x \  y} -
+\\
+\\
+\displaystyle
+{{{250} \over {27}} \  x} -
+{{{25} \over 9} \  {y \sp 2}} -
+{{{250} \over {27}} \  y}+
+{{14575} \over {81}} 
+\end{array}
+$$
+\returnType{Type: DistributedMultivariatePolynomial([x,y,z],Fraction Integer)}
+
+They also must satisfy the equations
+given by cyclic shifts of the indeterminates.
+
+\spadcommand{groebnerFactorize [eq, eval(eq, [x,y,z], [y,z,x]), eval(eq, [x,y,z], [z,x,y])] }
+$$
+\begin{array}{@{}l}
+\left[
+
+\begin{array}{@{}l}
+\left[ 
+{x \  y}+
+{x \  z} -
+{{{22} \over 3} \  x}+
+{y \  z} -
+{{{22} \over 3} \  y} -
+{{{22} \over 3} \  z}+
+{{121} \over 3}, 
+\right.
+\\
+\\
+\displaystyle
+{x \  {z \sp 2}} -
+{{{22} \over 3} \  x \  z}+
+{{{25} \over 9} \  x}+
+{y \  {z \sp 2}} -
+{{{22} \over 3} \ y \  z}+
+{{{25} \over 9} \  y} -
+{{{22} \over 3} \  {z \sp 2}}+
+{{{388} \over 9} \  z}+
+{{250} \over {27}}, 
+\\
+\\
+\displaystyle
+\left.
+\begin{array}{@{}l}
+{{y \sp 2} \  {z \sp 2}} -
+{{{22} \over 3} \  {y \sp 2} \  z}+
+{{{25} \over 9} \  {y \sp 2}} -
+{{{22} \over 3} \  y \  {z \sp 2}}+
+{{{388} \over 9} \  y \  z}+
+{{{250} \over {27}} \  y}+
+\\
+\\
+\displaystyle
+{{{25} \over 9} \  {z \sp 2}}+
+{{{250} \over {27}} \  z} -
+{{14575} \over {81}}
+\end{array}
+\right],
+\end{array}
+\right.
+\\
+\\
+\displaystyle
+{\left[ 
+{x+y -{{21994} \over {5625}}}, 
+{{y \sp 2} -{{{21994} \over {5625}} \  y}+{{4427} \over {675}}}, 
+{z -{{463} \over {87}}} 
+\right]},
+\\
+\\
+\displaystyle
+{\left[ 
+{{x \sp 2} -
+{{1 \over 2} \  x \  z} -
+{{{11} \over 2} \  x} -
+{{5 \over 6} \  z}+
+{{265} \over {18}}}, 
+{y -z}, 
+{{z \sp 2} -{{{38} \over 3} \  z}+{{265} \over 9}} 
+\right]},
+\\
+\\
+\displaystyle
+{\left[ 
+{x -{{25} \over 9}}, 
+{y -{{11} \over 3}}, 
+{z -{{11} \over 3}} \right]},
+\\
+\\
+\displaystyle
+{\left[ 
+{x -{{11} \over 3}}, 
+{y -{{11} \over 3}}, 
+{z -{{11} \over 3}} 
+\right]},
+\\
+\\
+\displaystyle
+{\left[ 
+{x+{5 \over 3}}, 
+{y+{5 \over 3}}, 
+{z+{5 \over 3}} 
+\right]},
+\\
+\\
+\displaystyle
+\left.
+{\left[ 
+{x -{{19} \over 3}}, 
+{y+{5 \over 3}}, 
+{z+{5 \over 3}} 
+\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List List 
+DistributedMultivariatePolynomial([x,y,z],Fraction Integer)}
+
+The union of the solutions of this list is the solution of our
+original problem.  If we impose positivity conditions, we get two
+relevant ideals.  One ideal is zero-dimensional, namely $x = y = z = 11/3$, 
+and this determines the ``boat'' form of the cyclohexan.  The
+other ideal is one-dimensional, which means that we have a solution
+space given by one parameter.  This gives the ``chair'' form of the
+cyclohexan.  The parameter describes the angle of the ``back of the
+chair.''
+
+\spadfunFrom{groebnerFactorize}{GroebnerFactorizationPackage} has an
+optional {\tt Boolean}-valued second argument.  When it is {\tt true}
+partial results are displayed, since it may happen that the
+calculation does not terminate in a reasonable time.  See the source
+code for {\tt GroebnerFactorizationPackage} in {\bf groebf.input} 
+for more details about the algorithms used.
+
+\section{Heap}
+\label{HeapXmpPage}
+
+The domain {\tt Heap(S)} implements a priority queue of objects of
+type {\tt S} such that the operation {\tt extract!} removes and
+returns the maximum element.  The implementation represents heaps as
+flexible arrays (see 
+\ref{FlexibleArrayXmpPage} on page~\pageref{FlexibleArrayXmpPage}).  
+The representation and algorithms give complexity of $O(\log(n))$ 
+for insertion and extractions, and $O(n)$ for construction.
+
+Create a heap of six elements.
+
+\spadcommand{h := heap [-4,9,11,2,7,-7]}
+$$
+\left[
+{11}, 7, 9, -4, 2, -7 
+\right]
+$$
+\returnType{Type: Heap Integer}
+
+Use {\tt insert!} to add an element.
+
+\spadcommand{insert!(3,h)}
+$$
+\left[
+{11}, 7, 9, -4, 2, -7, 3 
+\right]
+$$
+\returnType{Type: Heap Integer}
+
+The operation {\tt extract!} removes and returns the maximum element.
+
+\spadcommand{extract! h}
+$$
+11 
+$$
+\returnType{Type: PositiveInteger}
+
+The internal structure of {\tt h} has been appropriately adjusted.
+
+\spadcommand{h}
+$$
+\left[
+9, 7, 3, -4, 2, -7 
+\right]
+$$
+\returnType{Type: Heap Integer}
+
+Now {\tt extract!} elements repeatedly until none are left, collecting
+the elements in a list.
+
+\spadcommand{[extract!(h) while not empty?(h)]}
+$$
+\left[
+9, 7, 3, 2, -4, -7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Another way to produce the same result is by defining a {\tt heapsort}
+function.
+
+\spadcommand{heapsort(x) == (empty? x => []; cons(extract!(x),heapsort x))}
+\returnType{Void}
+
+Create another sample heap.
+
+\spadcommand{h1 := heap [17,-4,9,-11,2,7,-7]}
+$$
+\left[
+{17}, 2, 9, -{11}, -4, 7, -7 
+\right]
+$$
+\returnType{Type: Heap Integer}
+
+Apply {\tt heapsort} to present elements in order.
+
+\spadcommand{heapsort h1}
+$$
+\left[
+{17}, 9, 7, 2, -4, -7, -{11} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\section{HexadecimalExpansion}
+\label{HexadecimalExpansionXmpPage}
+
+All rationals have repeating hexadecimal expansions.  The operation
+\spadfunFrom{hex}{HexadecimalExpansion} returns these expansions of
+type {\tt HexadecimalExpansion}.  Operations to access the individual
+numerals of a hexadecimal expansion can be obtained by converting the
+value to {\tt RadixExpansion(16)}.  More examples of expansions are
+available in the 
+\ref{DecimalExpansionXmpPage} on page~\pageref{DecimalExpansionXmpPage},
+\ref{BinaryExpansionXmpPage} on page~\pageref{BinaryExpansionXmpPage}, and 
+\ref{RadixExpansionXmpPage} on page~\pageref{RadixExpansionXmpPage}.
+
+This is a hexadecimal expansion of a rational number.
+
+\spadcommand{r := hex(22/7) }
+$$
+3.{\overline {249}} 
+$$
+\returnType{Type: HexadecimalExpansion}
+
+Arithmetic is exact.
+
+\spadcommand{r + hex(6/7) }
+$$
+4 
+$$
+\returnType{Type: HexadecimalExpansion}
+
+The period of the expansion can be short or long \ldots
+
+\spadcommand{[hex(1/i) for i in 350..354] }
+$$
+\begin{array}{@{}l}
+\left[
+{0.0{\overline {\rm 0BB3EE721A54D88}}}, 
+{0.{\overline {\rm 00BAB6561}}}, 
+{0.{00}{\overline {\rm BA2E8}}}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{0.{\overline {\rm 00B9A7862A0FF465879D5F}}}, 
+{0.0{\overline {\rm 0B92143FA36F5E02E4850FE8DBD78}}} 
+\right]
+\end{array}
+$$
+\returnType{Type: List HexadecimalExpansion}
+
+or very long!
+
+\spadcommand{hex(1/1007) }
+$$
+\begin{array}{@{}l}
+0.{\overline 
+{\rm 0041149783F0BF2C7D13933192AF6980619EE345E91EC2BB9D5CC}}
+\\
+\displaystyle
+\ \ {\overline
+{\rm A5C071E40926E54E8DDAE24196C0B2F8A0AAD60DBA57F5D4C8}}
+\\
+\displaystyle
+\ \ {\overline
+{\rm 536262210C74F1}}
+\end{array}
+$$
+\returnType{Type: HexadecimalExpansion}
+
+These numbers are bona fide algebraic objects.
+
+\spadcommand{p := hex(1/4)*x**2 + hex(2/3)*x + hex(4/9)  }
+$$
+{{0.4} \  {x \sp 2}}+{{0.{\overline {\rm A}}} \  x}+{0.{\overline {\rm 71C}}} 
+$$
+\returnType{Type: Polynomial HexadecimalExpansion}
+
+\spadcommand{q := D(p, x) }
+$$
+{{0.8} \  x}+{0.{\overline {\rm A}}} 
+$$
+\returnType{Type: Polynomial HexadecimalExpansion}
+
+\spadcommand{g := gcd(p, q)}
+$$
+x+{1.{\overline 5}} 
+$$
+\returnType{Type: Polynomial HexadecimalExpansion}
+
+\section{Integer}
+\label{IntegerXmpPage}
+
+Axiom provides many operations for manipulating arbitrary precision
+integers.  In this section we will show some of those that come from
+{\tt Integer} itself plus some that are implemented in other packages.
+More examples of using integers are in the following sections:
+\ref{ugIntroNumbersPage} on page~\pageref{ugIntroNumbersPage} in section 
+\ref{ugIntroNumbersNumber} on page~\pageref{ugIntroNumbersNumber}
+\ref{IntegerNumberTheoryFunctionsXmpPage} on 
+page~\pageref{IntegerNumberTheoryFunctionsXmpPage},
+\ref{DecimalExpansionXmpPage} on page~\pageref{DecimalExpansionXmpPage}, 
+\ref{BinaryExpansionXmpPage} on page~\pageref{BinaryExpansionXmpPage},
+\ref{HexadecimalExpansionXmpPage} on 
+page~\pageref{HexadecimalExpansionXmpPage}, and 
+\ref{RadixExpansionXmpPage} on page~\pageref{RadixExpansionXmpPage}.
+
+\subsection{Basic Functions}
+
+The size of an integer in Axiom is only limited by the amount of
+computer storage you have available.  The usual arithmetic operations
+are available.
+
+\spadcommand{2**(5678 - 4856 + 2 * 17)}
+$$
+\begin{array}{@{}l}
+48048107704350081471815409251259243912395261398716822634738556100
+\\
+\displaystyle
+88084200076308293086342527091412083743074572278211496076276922026
+\\
+\displaystyle
+43343568752733498024953930242542523045817764949544214392905306388
+\\
+\displaystyle
+478705146745768073877141698859815495632935288783334250628775936
+\end{array}
+$$
+\returnType{Type: PositiveInteger}
+
+There are a number of ways of working with the sign of an integer.
+Let's use this {\tt x} as an example.
+
+\spadcommand{x := -101 }
+$$
+-{101} 
+$$
+\returnType{Type: Integer}
+
+First of all, there is the absolute value function.
+
+\spadcommand{abs(x) }
+$$
+101 
+$$
+\returnType{Type: PositiveInteger}
+
+The \spadfunFrom{sign}{Integer} operation returns {\tt -1} if its argument
+is negative, {\tt 0} if zero and {\tt 1} if positive.
+
+\spadcommand{sign(x) }
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+You can determine if an integer is negative in several other ways.
+
+\spadcommand{x < 0 }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{x <= -1 }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{negative?(x) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Similarly, you can find out if it is positive.
+
+\spadcommand{x > 0 }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{x >= 1 }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{positive?(x) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+This is the recommended way of determining whether an integer is zero.
+
+\spadcommand{zero?(x) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+Use the \spadfunFrom{zero?}{Integer} operation whenever you are
+testing any mathematical object for equality with zero.  This is
+usually more efficient that using {\tt =} (think of matrices: it is
+easier to tell if a matrix is zero by just checking term by term than
+constructing another ``zero'' matrix and comparing the two matrices
+term by term) and also avoids the problem that {\tt =} is usually used
+for creating equations.\\
+}
+
+This is the recommended way of determining whether an integer is equal
+to one.
+
+\spadcommand{one?(x) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+This syntax is used to test equality using \spadopFrom{=}{Integer}.
+It says that you want a {\tt Boolean} ({\tt true} or {\tt false})
+answer rather than an equation.
+
+\spadcommand{(x = -101)@Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The operations \spadfunFrom{odd?}{Integer} and
+\spadfunFrom{even?}{Integer} determine whether an integer is odd or
+even, respectively.  They each return a {\tt Boolean} object.
+
+\spadcommand{odd?(x) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{even?(x) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+The operation \spadfunFrom{gcd}{Integer} computes the greatest common
+divisor of two integers.
+
+\spadcommand{gcd(56788,43688)}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{lcm}{Integer} computes their least common multiple.
+
+\spadcommand{lcm(56788,43688)}
+$$
+620238536 
+$$
+\returnType{Type: PositiveInteger}
+
+To determine the maximum of two integers, use \spadfunFrom{max}{Integer}.
+
+\spadcommand{max(678,567)}
+$$
+678 
+$$
+\returnType{Type: PositiveInteger}
+
+To determine the minimum, use \spadfunFrom{min}{Integer}.
+
+\spadcommand{min(678,567)}
+$$
+567 
+$$
+\returnType{Type: PositiveInteger}
+
+The {\tt reduce} operation is used to extend binary operations to more
+than two arguments.  For example, you can use {\tt reduce} to find the
+maximum integer in a list or compute the least common multiple of all
+integers in the list.
+
+\spadcommand{reduce(max,[2,45,-89,78,100,-45])}
+$$
+100 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{reduce(min,[2,45,-89,78,100,-45])}
+$$
+-{89} 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{reduce(gcd,[2,45,-89,78,100,-45])}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{reduce(lcm,[2,45,-89,78,100,-45])}
+$$
+1041300 
+$$
+\returnType{Type: PositiveInteger}
+
+The infix operator ``/'' is {\it not} used to compute the quotient of
+integers.  Rather, it is used to create rational numbers as described
+in \ref{FractionXmpPage} on page~\pageref{FractionXmpPage}.
+
+\spadcommand{13 / 4}
+$$
+{13} \over 4 
+$$
+\returnType{Type: Fraction Integer}
+
+The infix operation \spadfunFrom{quo}{Integer} computes the integer
+quotient.
+
+\spadcommand{13 quo 4}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+The infix operation \spadfunFrom{rem}{Integer} computes the integer
+remainder.
+
+\spadcommand{13 rem 4}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+One integer is evenly divisible by another if the remainder is zero.
+The operation \spadfunFrom{exquo}{Integer} can also be used.  See
+\ref{ugTypesUnionsPage} on page~\pageref{ugTypesUnionsPage} in Section 
+\ref{ugTypesUnionsNumber} on page~\pageref{ugTypesUnionsNumber} for an
+example.
+
+\spadcommand{zero?(167604736446952 rem 2003644)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The operation \spadfunFrom{divide}{Integer} returns a record of the
+quotient and remainder and thus is more efficient when both are needed.
+
+\spadcommand{d := divide(13,4) }
+$$
+\left[
+{quotient=3}, {remainder=1} 
+\right]
+$$
+\returnType{Type: Record(quotient: Integer,remainder: Integer)}
+
+\spadcommand{d.quotient }
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+Records are discussed in detail in Section 
+\ref{ugTypesRecords} on page~\pageref{ugTypesRecords}.
+
+\spadcommand{d.remainder }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Primes and Factorization}
+
+Use the operation \spadfunFrom{factor}{Integer} to factor integers.
+It returns an object of type {\tt Factored Integer}.
+See \ref{FactoredXmpPage} on page~\pageref{FactoredXmpPage} 
+for a discussion of the manipulation of factored objects.
+
+\spadcommand{factor 102400}
+$$
+{2 \sp {12}} \  {5 \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+The operation \spadfunFrom{prime?}{Integer} returns {\tt true} or 
+{\tt false} depending on whether its argument is a prime.
+
+\spadcommand{prime? 7}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{prime? 8}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+The operation \spadfunFrom{nextPrime}{IntegerPrimesPackage} returns the
+least prime number greater than its argument.
+
+\spadcommand{nextPrime 100}
+$$
+101 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{prevPrime}{IntegerPrimesPackage} returns
+the greatest prime number less than its argument.
+
+\spadcommand{prevPrime 100}
+$$
+97 
+$$
+\returnType{Type: PositiveInteger}
+
+To compute all primes between two integers (inclusively), use the
+operation \spadfunFrom{primes}{IntegerPrimesPackage}.
+
+\spadcommand{primes(100,175)}
+$$
+\left[
+{173}, {167}, {163}, {157}, {151}, {149}, {139}, {137}, 
+{131}, {127}, {113}, {109}, {107}, {103}, {101} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+You might sometimes want to see the factorization of an integer
+when it is considered a {\it Gaussian integer}.
+See \ref{ComplexXmpPage} on page~\pageref{ComplexXmpPage} for more details.
+
+\spadcommand{factor(2 :: Complex Integer)}
+$$
+-{i \  {{\left( 1+i 
+\right)}
+\sp 2}} 
+$$
+\returnType{Type: Factored Complex Integer}
+
+\subsection{Some Number Theoretic Functions}
+
+Axiom provides several number theoretic operations for integers.
+More examples are in \ref{IntegerNumberTheoryFunctionsXmpPage} on 
+page~\pageref{IntegerNumberTheoryFunctionsXmpPage}.
+
+The operation \spadfunFrom{fibonacci}{IntegerNumberTheoryFunctions}
+computes the Fibonacci numbers.  The algorithm has running time
+$O\,(\log^3(n))$ for argument {\tt n}.
+
+\spadcommand{[fibonacci(k) for k in 0..]}
+$$
+\left[
+0, 1, 1, 2, 3, 5, 8, {13}, {21}, {34}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+The operation \spadfunFrom{legendre}{IntegerNumberTheoryFunctions}
+computes the Legendre symbol for its two integer arguments where the
+second one is prime.  If you know the second argument to be prime, use
+\spadfunFrom{jacobi}{IntegerNumberTheoryFunctions} instead where no
+check is made.
+
+\spadcommand{[legendre(i,11) for i in 0..10]}
+$$
+\left[
+0, 1, -1, 1, 1, 1, -1, -1, -1, 1, -1 
+\right]
+$$
+\returnType{Type: List Integer}
+
+The operation \spadfunFrom{jacobi}{IntegerNumberTheoryFunctions}
+computes the Jacobi symbol for its two integer arguments.  By
+convention, {\tt 0} is returned if the greatest common divisor of the
+numerator and denominator is not {\tt 1}.
+
+\spadcommand{[jacobi(i,15) for i in 0..9]}
+$$
+\left[
+0, 1, 1, 0, 1, 0, 0, -1, 1, 0 
+\right]
+$$
+\returnType{Type: List Integer}
+
+The operation \spadfunFrom{eulerPhi}{IntegerNumberTheoryFunctions}
+computes the values of Euler's $\phi$-function where $\phi(n)$ equals
+the number of positive integers less than or equal to {\tt n} that are
+relatively prime to the positive integer {\tt n}.
+
+\spadcommand{[eulerPhi i for i in 1..]}
+$$
+\left[
+1, 1, 2, 2, 4, 2, 6, 4, 6, 4, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+The operation \spadfunFrom{moebiusMu}{IntegerNumberTheoryFunctions}
+computes the M\"{o}bius $\mu$ function.
+
+\spadcommand{[moebiusMu i for i in 1..]}
+$$
+\left[
+1, -1, -1, 0, -1, 1, -1, 0, 0, 1, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Although they have somewhat limited utility, Axiom provides Roman numerals.
+
+\spadcommand{a := roman(78) }
+$$
+{\rm LXXVIII }
+$$
+\returnType{Type: RomanNumeral}
+
+\spadcommand{b := roman(87) }
+$$
+{\rm LXXXVII }
+$$
+\returnType{Type: RomanNumeral}
+
+\spadcommand{a + b }
+$$
+{\rm CLXV }
+$$
+\returnType{Type: RomanNumeral}
+
+\spadcommand{a * b }
+$$
+{\rm MMMMMMDCCLXXXVI }
+$$
+\returnType{Type: RomanNumeral}
+
+\spadcommand{b rem a }
+$$
+{\rm IX }
+$$
+\returnType{Type: RomanNumeral}
+
+\section{IntegerLinearDependence}
+\label{IntegerLinearDependenceXmpPage}
+
+The elements $v_1, \dots,v_n$ of a module {\tt M} over a ring {\tt R}
+are said to be {\it linearly dependent over {\tt R}} if there exist
+$c_1,\dots,c_n$ in {\tt R}, not all $0$, such that $c_1 v_1 +
+\dots c_n v_n = 0$.  If such $c_i$'s exist, they form what is called a
+{\it linear dependence relation over {\tt R}} for the $v_i$'s.
+
+The package {\tt IntegerLinearDependence} provides functions
+for testing whether some elements of a module over the integers are
+linearly dependent over the integers, and to find the linear
+dependence relations, if any.
+
+Consider the domain of two by two square matrices with integer entries.
+
+\spadcommand{M := SQMATRIX(2,INT) }
+$$
+SquareMatrix(2,Integer) 
+$$
+\returnType{Type: Domain}
+
+Now create three such matrices.
+
+\spadcommand{m1: M := squareMatrix matrix [ [1, 2], [0, -1] ] }
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+0 & -1 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{m2: M := squareMatrix matrix [ [2, 3], [1, -2] ] }
+$$
+\left[
+\begin{array}{cc}
+2 & 3 \\ 
+1 & -2 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{m3: M := squareMatrix matrix [ [3, 4], [2, -3] ] }
+$$
+\left[
+\begin{array}{cc}
+3 & 4 \\ 
+2 & -3 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+This tells you whether {\tt m1}, {\tt m2} and {\tt m3} are linearly
+dependent over the integers.
+
+\spadcommand{linearlyDependentOverZ? vector [m1, m2, m3] }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Since they are linearly dependent, you can ask for the dependence relation.
+
+\spadcommand{c := linearDependenceOverZ vector [m1, m2, m3] }
+$$
+\left[
+1, -2, 1 
+\right]
+$$
+\returnType{Type: Union(Vector Integer,...)}
+
+This means that the following linear combination should be {\tt 0}.
+
+\spadcommand{c.1 * m1 + c.2 * m2 + c.3 * m3 }
+$$
+\left[
+\begin{array}{cc}
+0 & 0 \\ 
+0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+When a given set of elements are linearly dependent over {\tt R}, this
+also means that at least one of them can be rewritten as a linear
+combination of the others with coefficients in the quotient field of
+{\tt R}.
+
+To express a given element in terms of other elements, use the operation
+\spadfunFrom{solveLinearlyOverQ}{IntegerLinearDependence}.
+
+\spadcommand{solveLinearlyOverQ(vector [m1, m3], m2) }
+$$
+\left[
+{1 \over 2}, {1 \over 2} 
+\right]
+$$
+\returnType{Type: Union(Vector Fraction Integer,...)}
+
+\section{IntegerNumberTheoryFunctions}
+\label{IntegerNumberTheoryFunctionsXmpPage}
+
+The {\tt IntegerNumberTheoryFunctions} package contains a variety of
+operations of interest to number theorists.  Many of these operations
+deal with divisibility properties of integers.  (Recall that an
+integer {\tt a} divides an integer {\tt b} if there is an integer 
+{\tt c} such that {\tt b = a * c}.)
+
+The operation \spadfunFrom{divisors}{IntegerNumberTheoryFunctions}
+returns a list of the divisors of an integer.
+
+\spadcommand{div144 := divisors(144) }
+$$
+\left[
+1, 2, 3, 4, 6, 8, 9, {12}, {16}, {18}, {24}, 
+{36}, {48}, {72}, {144} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+You can now compute the number of divisors of {\tt 144} and the sum of
+the divisors of {\tt 144} by counting and summing the elements of the
+list we just created.
+
+\spadcommand{\#(div144) }
+$$
+15 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{reduce(+,div144) }
+$$
+403 
+$$
+\returnType{Type: PositiveInteger}
+
+Of course, you can compute the number of divisors of an integer 
+{\tt n}, usually denoted {\tt d(n)}, and the sum of the divisors of an
+integer {\tt n}, usually denoted {\tt $\sigma$(n)}, without ever
+listing the divisors of {\tt n}.
+
+In Axiom, you can simply call the operations
+\spadfunFrom{numberOfDivisors}{IntegerNumberTheoryFunctions} and
+\spadfunFrom{sumOfDivisors}{IntegerNumberTheoryFunctions}.
+
+\spadcommand{numberOfDivisors(144)}
+$$
+15 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{sumOfDivisors(144)}
+$$
+403 
+$$
+\returnType{Type: PositiveInteger}
+
+The key is that {\tt d(n)} and {\tt $\sigma$(n)} are ``multiplicative
+functions.''  This means that when {\tt n} and {\tt m} are relatively
+prime, that is, when {\tt n} and {\tt m} have no prime factor in
+common, then {\tt d(nm) = d(n) d(m)} and {\tt $\sigma$(nm) =
+$\sigma$(n) $\sigma$(m)}.  Note that these functions are trivial to
+compute when {\tt n} is a prime power and are computed for general
+{\tt n} from the prime factorization of {\tt n}.  Other examples of
+multiplicative functions are {\tt $\sigma_k$(n)}, the sum of the
+$k$-th powers of the divisors of {\tt n} and $\varphi(n)$, the
+number of integers between 1 and {\tt n} which are prime to {\tt n}.
+The corresponding Axiom operations are called
+\spadfunFrom{sumOfKthPowerDivisors}{IntegerNumberTheoryFunctions} and
+\spadfunFrom{eulerPhi}{IntegerNumberTheoryFunctions}.
+
+An interesting function is {\tt $\mu$(n)}, the M\"{o}bius $\mu$
+function, defined as follows: {\tt $\mu$(1) = 1}, {\tt $\mu$(n) = 0},
+when {\tt n} is divisible by a square, and {\tt $\mu = {(-1)}^k$, when
+{\tt n} is the product of {\tt k} distinct primes.  The corresponding
+Axiom operation is \spadfunFrom{moebiusMu}{IntegerNumberTheoryFunctions}.  
+This function occurs in the following theorem:
+
+\noindent
+
+{\bf Theorem} (M\"{o}bius Inversion Formula): \newline Let {\tt f(n)}
+be a function on the positive integers and let {\tt F(n)} be defined
+by $${F(n) = \sum_{d \mid n} f(n)}$$ sum of {\tt f(n)} over
+{\tt d | n}} where the sum is taken over the positive divisors of 
+{\tt n}.  Then the values of {\tt f(n)} can be recovered from the values of
+{\tt F(n)}: 
+$${f(n) = \sum_{d \mid n} \mu(n) F({{n}\over{d}})}$$
+where again the sum is taken over the positive divisors of {\tt n}.
+
+When {\tt f(n) = 1}, then {\tt F(n) = d(n)}.  Thus, if you sum $\mu(d)
+\cdot d(n/d)$ over the positive divisors {\tt d} of {\tt n}, you
+should always get {\tt 1}.
+
+\spadcommand{f1(n) == reduce(+,[moebiusMu(d) * numberOfDivisors(quo(n,d)) for d in divisors(n)]) }
+\returnType{Void}
+
+\spadcommand{f1(200) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{f1(846) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Similarly, when {\tt f(n) = n}, then {\tt F(n) = $\sigma$(n)}.  Thus,
+if you sum {\tt $\mu$(d) $\cdot$ $\sigma$(n/d)} over the positive
+divisors {\tt d} of {\tt n}, you should always get {\tt n}.
+
+\spadcommand{f2(n) == reduce(+,[moebiusMu(d) * sumOfDivisors(quo(n,d)) for d in divisors(n)]) }
+\returnType{Void}
+
+\spadcommand{f2(200) }
+$$
+200 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{f2(846) }
+$$
+846 
+$$
+\returnType{Type: PositiveInteger}
+
+The Fibonacci numbers are defined by $F(1) = F(2) = 1$ and
+$F(n) = F(n-1) + F(n-2)$ for $n = 3,4,\ldots$.
+
+The operation \spadfunFrom{fibonacci}{IntegerNumberTheoryFunctions}
+computes the $n$-th Fibonacci number.
+
+\spadcommand{fibonacci(25)}
+$$
+75025 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{[fibonacci(n) for n in 1..15]}
+$$
+\left[
+1, 1, 2, 3, 5, 8, {13}, {21}, {34}, {55}, {89}, 
+{144}, {233}, {377}, {610} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Fibonacci numbers can also be expressed as sums of binomial coefficients.
+
+\spadcommand{fib(n) == reduce(+,[binomial(n-1-k,k) for k in 0..quo(n-1,2)]) }
+\returnType{Void}
+
+\spadcommand{fib(25) }
+$$
+75025 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{[fib(n) for n in 1..15] }
+$$
+\left[
+1, 1, 2, 3, 5, 8, {13}, {21}, {34}, {55}, {89}, 
+{144}, {233}, {377}, {610} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Quadratic symbols can be computed with the operations
+\spadfunFrom{legendre}{IntegerNumberTheoryFunctions} and
+\spadfunFrom{jacobi}{IntegerNumberTheoryFunctions}.  The Legendre
+symbol $\left({a \over p}\right)$ is defined for integers $a$ and
+$p$ with $p$ an odd prime number.  By definition, 
+$\left({a\over p}\right)$ = +1, when $a$ is a square $({\rm mod\ }p)$,
+$\left({a \over p}\right)$ = -1, when $a$ is not a square $({\rm mod\ }p)$,
+and $\left({a \over p}\right)$ = 0, when $a$ is divisible by $p$.
+
+You compute $\left({a \over p}\right)$ via the command {\tt legendre(a,p)}.
+
+\spadcommand{legendre(3,5)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{legendre(23,691)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+The Jacobi symbol $\left({a \over n}\right)$ is the usual extension of
+the Legendre symbol, where {\tt n} is an arbitrary integer.  The most
+important property of the Jacobi symbol is the following: if {\tt K}
+is a quadratic field with discriminant {\tt d} and quadratic character
+$\chi$, then $\chi(n) = (d/n)$.  Thus, you can use the Jacobi symbol
+to compute, say, the class numbers of imaginary quadratic fields from
+a standard class number formula.
+
+This function computes the class number of the imaginary quadratic
+field with discriminant {\tt d}.
+
+\spadcommand{h(d) == quo(reduce(+, [jacobi(d,k) for k in 1..quo(-d, 2)]), 2 - jacobi(d,2)) }
+\returnType{Void}
+
+\spadcommand{h(-163) }   
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{h(-499) }   
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{h(-1832) }
+$$
+26 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{Kernel}
+\label{KernelXmpPage}
+
+A {\it kernel} is a symbolic function application (such as {\tt sin(x+ y)}) 
+or a symbol (such as {\tt x}).  More precisely, a non-symbol
+kernel over a set {\it S} is an operator applied to a given list of
+arguments from {\it S}.  The operator has type {\tt BasicOperator}
+(see \ref{BasicOperatorXmpPage} on page~\pageref{BasicOperatorXmpPage}) 
+and the kernel object is usually part of an expression object (see 
+\ref{ExpressionXmpPage} on page~\pageref{ExpressionXmpPage}).
+
+Kernels are created implicitly for you when you create expressions.
+
+\spadcommand{x :: Expression Integer}
+$$
+x 
+$$
+\returnType{Type: Expression Integer}
+
+You can directly create a ``symbol'' kernel by using the
+\spadfunFrom{kernel}{Kernel} operation.
+
+\spadcommand{kernel x}
+$$
+x 
+$$
+\returnType{Type: Kernel Expression Integer}
+
+This expression has two different kernels.
+
+\spadcommand{sin(x) + cos(x) }
+$$
+{\sin 
+\left(
+{x} 
+\right)}+{\cos
+\left(
+{x} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+The operator \spadfunFrom{kernels}{Expression} returns a list of the
+kernels in an object of type {\tt Expression}.
+
+\spadcommand{kernels \% }
+$$
+\left[
+{\sin 
+\left(
+{x} 
+\right)},
+{\cos 
+\left(
+{x} 
+\right)}
+\right]
+$$
+\returnType{Type: List Kernel Expression Integer}
+
+This expression also has two different kernels.
+
+\spadcommand{sin(x)**2 + sin(x) + cos(x) }
+$$
+{{\sin 
+\left(
+{x} 
+\right)}
+\sp 2}+{\sin 
+\left(
+{x} 
+\right)}+{\cos
+\left(
+{x} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+The {\tt sin(x)} kernel is used twice.
+
+\spadcommand{kernels \% }
+$$
+\left[
+{\sin 
+\left(
+{x} 
+\right)},
+{\cos 
+\left(
+{x} 
+\right)}
+\right]
+$$
+\returnType{Type: List Kernel Expression Integer}
+
+An expression need not contain any kernels.
+
+\spadcommand{kernels(1 :: Expression Integer)}
+$$
+\left[\ 
+\right]
+$$
+\returnType{Type: List Kernel Expression Integer}
+
+If one or more kernels are present, one of them is
+designated the {\it main} kernel.
+
+\spadcommand{mainKernel(cos(x) + tan(x))}
+$$
+\tan 
+\left(
+{x} 
+\right)
+$$
+\returnType{Type: Union(Kernel Expression Integer,...)}
+
+Kernels can be nested. Use \spadfunFrom{height}{Kernel} to determine
+the nesting depth.
+
+\spadcommand{height kernel x}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+This has height 2 because the {\tt x} has height 1 and then we apply
+an operator to that.
+
+\spadcommand{height mainKernel(sin x)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{height mainKernel(sin cos x)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{height mainKernel(sin cos (tan x + sin x))}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Use the \spadfunFrom{operator}{Kernel} operation to extract the
+operator component of the kernel.  The operator has type {\tt BasicOperator}.
+
+\spadcommand{operator mainKernel(sin cos (tan x + sin x))}
+$$
+\sin 
+$$
+\returnType{Type: BasicOperator}
+
+Use the \spadfunFrom{name}{Kernel} operation to extract the name of
+the operator component of the kernel.  The name has type {\tt Symbol}.
+This is really just a shortcut for a two-step process of extracting
+the operator and then calling \spadfunFrom{name}{BasicOperator} on
+the operator.
+
+\spadcommand{name mainKernel(sin cos (tan x + sin x))}
+$$
+\sin 
+$$
+\returnType{Type: Symbol}
+
+Axiom knows about functions such as {\tt sin}, {\tt cos} and so on and
+can make kernels and then expressions using them.  To create a kernel
+and expression using an arbitrary operator, use
+\spadfunFrom{operator}{BasicOperator}.
+
+Now {\tt f} can be used to create symbolic function applications.
+
+\spadcommand{f := operator 'f }
+$$
+f 
+$$
+\returnType{Type: BasicOperator}
+
+\spadcommand{e := f(x, y, 10) }
+$$
+f 
+\left(
+{x, y, {10}} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+Use the \spadfunFrom{is?}{Kernel} operation to learn if the
+operator component of a kernel is equal to a given operator.
+
+\spadcommand{is?(e, f) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+You can also use a symbol or a string as the second argument to
+\spadfunFrom{is?}{Kernel}.
+
+\spadcommand{is?(e, 'f) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Use the \spadfunFrom{argument}{Kernel} operation to get a list containing
+the argument component of a kernel.
+
+\spadcommand{argument mainKernel e }
+$$
+\left[
+x, y, {10} 
+\right]
+$$
+\returnType{Type: List Expression Integer}
+
+Conceptually, an object of type {\tt Expression} can be thought of a
+quotient of multivariate polynomials, where the ``variables'' are
+kernels.  The arguments of the kernels are again expressions and so
+the structure recurses.  See \ref{ExpressionXmpPage} on 
+page~\pageref{ExpressionXmpPage} for examples of
+using kernels to take apart expression objects.
+
+\section{KeyedAccessFile}
+\label{KeyedAccessFileXmpPage}
+
+The domain {\tt KeyedAccessFile(S)} provides files which can be used
+as associative tables.  Data values are stored in these files and can
+be retrieved according to their keys.  The keys must be strings so
+this type behaves very much like the {\tt StringTable(S)} domain.  The
+difference is that keyed access files reside in secondary storage
+while string tables are kept in memory.  For more information on
+table-oriented operations, see the description of {\tt Table}.
+
+Before a keyed access file can be used, it must first be opened.
+A new file can be created by opening it for output.
+
+\spadcommand{ey: KeyedAccessFile(Integer) := open("/tmp/editor.year", "output")  }
+$$
+\mbox{\tt "/tmp/editor.year"} 
+$$
+\returnType{Type: KeyedAccessFile Integer}
+
+Just as for vectors, tables or lists, values are saved in a keyed access file
+by setting elements.
+
+\spadcommand{ey."Char"     := 1986 }
+$$
+1986 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{ey."Caviness" := 1985 }
+$$
+1985 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{ey."Fitch"    := 1984 }
+$$
+1984 
+$$
+\returnType{Type: PositiveInteger}
+
+Values are retrieved using application, in any of its syntactic forms.
+
+\spadcommand{ey."Char"}
+$$
+1986 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{ey("Char")}
+$$
+1986 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{ey "Char"}
+$$
+1986 
+$$
+\returnType{Type: PositiveInteger}
+
+Attempting to retrieve a non-existent element in this way causes an error.
+If it is not known whether a key exists, you should use the
+\spadfunFrom{search}{KeyedAccessFile} operation.
+
+\spadcommand{search("Char", ey)   }
+$$
+1986 
+$$
+\returnType{Type: Union(Integer,...)}
+
+\spadcommand{search("Smith", ey)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+When an entry is no longer needed, it can be removed from the file.
+
+\spadcommand{remove!("Char", ey)  }
+$$
+1986 
+$$
+\returnType{Type: Union(Integer,...)}
+
+The \spadfunFrom{keys}{KeyedAccessFile} operation returns a list of all the
+keys for a given file.
+
+\spadcommand{keys ey  }
+$$
+\left[
+\mbox{\tt "Fitch"} , \mbox{\tt "Caviness"} 
+\right]
+$$
+\returnType{Type: List String}
+
+The \spadfunFrom{\#}{KeyedAccessFile} operation gives the
+number of entries.
+
+\spadcommand{\#ey}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+The table view of keyed access files provides safe operations.  That
+is, if the Axiom program is terminated between file operations, the
+file is left in a consistent, current state.  This means, however,
+that the operations are somewhat costly.  For example, after each
+update the file is closed.
+
+Here we add several more items to the file, then check its contents.
+
+\spadcommand{KE := Record(key: String, entry: Integer)  }
+$$
+\mbox{\rm Record(key: String,entry: Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{reopen!(ey, "output")  }
+$$
+\mbox{\tt "/tmp/editor.year"} 
+$$
+\returnType{Type: KeyedAccessFile Integer}
+
+If many items are to be added to a file at the same time, then
+it is more efficient to use the \spadfunFrom{write}{KeyedAccessFile} operation.
+
+\spadcommand{write!(ey, ["van Hulzen", 1983]\$KE)  }
+$$
+\left[
+{key= \mbox{\tt "van Hulzen"} }, {entry={1983}} 
+\right]
+$$
+\returnType{Type: Record(key: String,entry: Integer)}
+
+\spadcommand{write!(ey, ["Calmet", 1982]\$KE)}
+$$
+\left[
+{key= \mbox{\tt "Calmet"} }, {entry={1982}} 
+\right]
+$$
+\returnType{Type: Record(key: String,entry: Integer)}
+
+\spadcommand{write!(ey, ["Wang", 1981]\$KE)}
+$$
+\left[
+{key= \mbox{\tt "Wang"} }, {entry={1981}} 
+\right]
+$$
+\returnType{Type: Record(key: String,entry: Integer)}
+
+\spadcommand{close! ey}
+$$
+\mbox{\tt "/tmp/editor.year"} 
+$$
+\returnType{Type: KeyedAccessFile Integer}
+
+The \spadfunFrom{read}{KeyedAccessFile} operation is also available
+from the file view, but it returns elements in a random order.  It is
+generally clearer and more efficient to use the
+\spadfunFrom{keys}{KeyedAccessFile} operation and to extract elements
+by key.
+
+\spadcommand{keys ey}
+$$
+\left[
+\mbox{\tt "Wang"} , \mbox{\tt "Calmet"} , \mbox{\tt "van Hulzen"} , 
+\mbox{\tt "Fitch"} , \mbox{\tt "Caviness"} 
+\right]
+$$
+\returnType{Type: List String}
+
+\spadcommand{members ey}
+$$
+\left[
+{1981}, {1982}, {1983}, {1984}, {1985} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{)system rm -r /tmp/editor.year}
+
+For more information on related topics, see 
+\ref{FileXmpPage} on page~\pageref{FileXmpPage},
+\ref{TextFileXmpPage} on page~\pageref{TextFileXmpPage}, and 
+\ref{LibraryXmpPage} on page~\pageref{LibraryXmpPage}.
+
+\section{LexTriangularPackage}
+\label{LexTriangularPackageXmpPage}
+
+The {\tt LexTriangularPackage} package constructor provides an
+implementation of the {\em lexTriangular} algorithm (D. Lazard
+``Solving Zero-dimensional Algebraic Systems'', J. of Symbol. Comput.,
+1992).  This algorithm decomposes a zero-dimensional variety into
+zero-sets of regular triangular sets.  Thus the input system must have
+a finite number of complex solutions.  Moreover, this system needs to
+be a lexicographical Groebner basis.
+
+This package takes two arguments: the coefficient-ring {\bf R} of the
+polynomials, which must be a {\tt GcdDomain} and their set of
+variables given by {\bf ls} a {\tt List Symbol}.  The type of the
+input polynomials must be {\tt NewSparseMultivariatePolynomial(R,V)}
+where {\bf V} is {\tt OrderedVariableList(ls)}.  The abbreviation for
+{\tt LexTriangularPackage} is {\tt LEXTRIPK}.  The main operations are
+\spadfunFrom{lexTriangular}{LexTriangularPackage} and
+\spadfunFrom{squareFreeLexTriangular}{LexTriangularPackage}.  The
+later provide decompositions by means of square-free regular
+triangular sets, built with the {\tt SREGSET} constructor, whereas the
+former uses the {\tt REGSET} constructor.  Note that these
+constructors also implement another algorithm for solving algebraic
+systems by means of regular triangular sets; in that case no
+computations of Groebner bases are needed and the input system may
+have any dimension (i.e. it may have an infinite number of solutions).
+
+The implementation of the {\em lexTriangular} algorithm provided in
+the {\tt LexTriangularPackage} constructor differs from that reported
+in ``Computations of gcd over algebraic towers of simple extensions'' by
+M. Moreno Maza and R. Rioboo (in proceedings of AAECC11, Paris, 1995).
+Indeed, the \spadfunFrom{squareFreeLexTriangular}{LexTriangularPackage} 
+operation removes all multiplicities of the solutions (i.e. the computed
+solutions are pairwise different) and the
+\spadfunFrom{lexTriangular}{LexTriangularPackage} operation may keep
+some multiplicities; this later operation runs generally faster than
+the former.
+
+The interest of the {\em lexTriangular} algorithm is due to the
+following experimental remark.  For some examples, a triangular
+decomposition of a zero-dimensional variety can be computed faster via
+a lexicographical Groebner basis computation than by using a direct
+method (like that of {\tt SREGSET} and {\tt REGSET}).  This happens
+typically when the total degree of the system relies essentially on
+its smallest variable (like in the {\em Katsura} systems).  When this
+is not the case, the direct method may give better timings (like in
+the {\em Rose} system).
+
+Of course, the direct method can also be applied to a lexicographical
+Groebner basis.  However, the {\em lexTriangular} algorithm takes
+advantage of the structure of this basis and avoids many unnecessary
+computations which are performed by the direct method.
+
+For this purpose of solving algebraic systems with a finite number of
+solutions, see also the {\tt ZeroDimensionalSolvePackage}.  It allows
+to use both strategies (the lexTriangular algorithm and the direct
+method) for computing either the complex or real roots of a system.
+
+Note that the way of understanding triangular decompositions is
+detailed in the example of the {\tt RegularTriangularSet} constructor.
+
+Since the {\tt LEXTRIPK} package constructor is limited to
+zero-dimensional systems, it provides a
+\spadfunFrom{zeroDimensional?}{LexTriangularPackage} operation to
+check whether this requirement holds.  There is also a
+\spadfunFrom{groebner}{LexTriangularPackage} operation to compute the
+lexicographical Groebner basis of a set of polynomials with type {\tt
+NewSparseMultivariatePolynomial(R,V)}.  The elimination ordering is
+that given by {\bf ls} (the greatest variable being the first element
+of {\bf ls}).  This basis is computed by the {\em FLGM} algorithm
+(Faugere et al. ``Efficient Computation of Zero-Dimensional Groebner
+Bases by Change of Ordering'' , J. of Symbol. Comput., 1993)
+implemented in the {\tt LinGroebnerPackage} package constructor.
+Once a lexicographical Groebner basis is computed,
+then one can call the operations 
+\spadfunFrom{lexTriangular}{LexTriangularPackage}
+and \spadfunFrom{squareFreeLexTriangular}{LexTriangularPackage}.
+Note that these operations admit an optional argument
+to produce normalized triangular sets.
+There is also a \spadfunFrom{zeroSetSplit}{LexTriangularPackage} operation
+which does all the job from the input system;
+an error is produced if this system is not zero-dimensional.
+
+Let us illustrate the facilities of the {\tt LEXTRIPK} constructor
+by a famous example, the {\em cyclic-6 root} system.
+
+Define the coefficient ring.
+
+\spadcommand{R := Integer }
+$$
+Integer 
+$$
+\returnType{Type: Domain}
+
+Define the list of variables,
+
+\spadcommand{ls : List Symbol := [a,b,c,d,e,f] }
+$$
+\left[
+a, b, c, d, e, f 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+and make it an ordered set.
+
+\spadcommand{V := OVAR(ls)  }
+$$
+\mbox{\rm OrderedVariableList [a,b,c,d,e,f]} 
+$$
+\returnType{Type: Domain}
+
+Define the polynomial ring.
+
+\spadcommand{P := NSMP(R, V)}
+$$
+\mbox{\rm NewSparseMultivariatePolynomial(Integer,OrderedVariableList 
+[a,b,c,d,e,f])} 
+$$
+\returnType{Type: Domain}
+
+Define the polynomials.
+
+\spadcommand{p1: P :=  a*b*c*d*e*f - 1  }
+$$
+{f \  e \  d \  c \  b \  a} -1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+\spadcommand{p2: P := a*b*c*d*e +a*b*c*d*f +a*b*c*e*f +a*b*d*e*f +a*c*d*e*f +b*c*d*e*f   }
+$$
+{{\left( {{\left( {{\left( {{\left( e+f 
+\right)}
+\  d}+{f \  e} 
+\right)}
+\  c}+{f \  e \  d} 
+\right)}
+\  b}+{f \  e \  d \  c} 
+\right)}
+\  a}+{f \  e \  d \  c \  b} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+\spadcommand{p3: P :=  a*b*c*d + a*b*c*f + a*b*e*f + a*d*e*f + b*c*d*e + c*d*e*f  }
+$$
+{{\left( {{\left( {{\left( d+f 
+\right)}
+\  c}+{f \  e} 
+\right)}
+\  b}+{f \  e \  d} 
+\right)}
+\  a}+{e \  d \  c \  b}+{f \  e \  d \  c} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+\spadcommand{p4: P := a*b*c + a*b*f + a*e*f + b*c*d + c*d*e + d*e*f   }
+$$
+{{\left( {{\left( c+f 
+\right)}
+\  b}+{f \  e} 
+\right)}
+\  a}+{d \  c \  b}+{e \  d \  c}+{f \  e \  d} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+\spadcommand{p5: P := a*b + a*f + b*c + c*d + d*e + e*f  }
+$$
+{{\left( b+f 
+\right)}
+\  a}+{c \  b}+{d \  c}+{e \  d}+{f \  e} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+\spadcommand{p6: P := a + b + c + d + e + f   }
+$$
+a+b+c+d+e+f 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+\spadcommand{lp := [p1, p2, p3, p4, p5, p6]}
+$$
+\begin{array}{@{}l}
+\left[
+{{f \  e \  d \  c \  b \  a} -1}, 
+\right.
+\\
+\\
+\displaystyle
+{{{\left( 
+{{\left( 
+{{\left( 
+{{\left( e+f \right)}
+\  d}+{f \  e} 
+\right)}
+\  c}+{f \  e \  d} 
+\right)}
+\  b}+{f \  e \  d \  c} 
+\right)}
+\  a}+{f \  e \  d \  c \  b}}, 
+\\
+\\
+\displaystyle
+{{{\left( 
+{{\left( 
+{{\left( d+f 
+\right)}
+\  c}+{f \  e} 
+\right)}
+\  b}+{f \  e \  d} 
+\right)}
+\  a}+{e \  d \  c \  b}+{f \  e \  d \  c}}, 
+\\
+\\
+\displaystyle
+{{{\left( 
+{{\left( c+f 
+\right)}
+\  b}+{f \  e} 
+\right)}
+\  a}+{d \  c \  b}+{e \  d \  c}+{f \  e \  d}},
+\\
+\\
+\displaystyle
+{{{\left( b+f 
+\right)}
+\  a}+{c \  b}+{d \  c}+{e \  d}+{f \  e}}, 
+\\
+\\
+\displaystyle
+\left.
+{a+b+c+d+e+f} 
+\right]
+\end{array}
+$$
+\returnType{Type: List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+Now call {\tt LEXTRIPK} .
+
+\spadcommand{lextripack :=  LEXTRIPK(R,ls)}
+$$
+LexTriangularPackage(Integer,[a,b,c,d,e,f]) 
+$$
+\returnType{Type: Domain}
+
+Compute the lexicographical Groebner basis of the system.
+This may take between 5 minutes and one hour, depending on your machine.
+
+\spadcommand{lg := groebner(lp)\$lextripack}
+
+$$
+\left[
+{a+b+c+d+e+f}, 
+\right.
+$$
+$$
+\begin{array}{@{}l}
+{{3968379498283200} \  {b \sp 2}}+
+{{15873517993132800} \  f \  b}+
+\\
+\displaystyle
+{{3968379498283200} \  {d \sp 2}}+
+{{15873517993132800} \  f \  d}+
+\\
+\displaystyle
+{{3968379498283200} \  {f \sp 3} \  {e \sp 5}} -
+{{15873517993132800} \  {f \sp 4} \  {e \sp 4}}+
+\\
+\displaystyle
+{{23810276989699200} \  {f \sp 5} \  {e \sp 3}}+
+\left( 
+{{206355733910726400} \  {f \sp 6}}+
+\right.
+\\
+\displaystyle
+\left.
+{230166010900425600} 
+\right)\  {e \sp 2}+
+\left( 
+-{{729705987316687} \  {f \sp {43}}}+
+\right.
+\\
+\displaystyle
+{{1863667496867205421} \  {f \sp {37}}}+
+{{291674853771731104461} \  {f \sp {31}}}+
+\\
+\displaystyle
+{{365285994691106921745} \  {f \sp {25}}}+
+{{549961185828911895} \  {f \sp {19}}} -
+\\
+\displaystyle
+{{365048404038768439269} \  {f \sp {13}}} -
+{{292382820431504027669} \  {f \sp 7}} -
+\\
+\displaystyle
+\left.
+{{2271898467631865497} \  f} 
+\right)\  e -
+{{3988812642545399} \  {f \sp {44}}}+
+\\
+\displaystyle
+{{10187423878429609997} \  {f \sp {38}}}+
+{{1594377523424314053637} \  {f \sp {32}}}+
+\\
+\displaystyle
+{{1994739308439916238065} \  {f \sp {26}}}+
+{{1596840088052642815} \  {f \sp {20}}} -
+\\
+\displaystyle
+{{1993494118301162145413} \  {f \sp {14}}} -
+{{1596049742289689815053} \  {f \sp 8}} -
+\\
+\displaystyle
+{{11488171330159667449} \  {f \sp 2}}, \hbox{\hskip 8.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{23810276989699200} \  c} -
+{{23810276989699200} \  f} 
+\right)\  b+
+\\
+\displaystyle
+{{23810276989699200} \  {c \sp 2}}+
+{{71430830969097600} \  f \  c} -
+\\
+\displaystyle
+{{23810276989699200} \  {d \sp 2}} -
+{{95241107958796800} \  f \  d} -
+\\
+\displaystyle
+{{55557312975964800} \  {f \sp 3} \  {e \sp 5}}+
+{{174608697924460800} \  {f \sp 4} \  {e \sp 4}} -
+\\
+\displaystyle
+{{174608697924460800} \  {f \sp 5} \  {e \sp 3}}+
+\left( 
+-{{2428648252949318400} \  {f \sp 6}} -
+\right.
+\\
+\displaystyle
+\left.
+{2611193709870345600} 
+\right)\  {e \sp 2}+
+\left( 
+{{8305444561289527} \  {f \sp {43}}} -
+\right.
+\\
+\displaystyle
+{{21212087151945459641} \  {f \sp {37}}} -
+{{3319815883093451385381} \  {f \sp {31}}} -
+\\
+\displaystyle
+{{4157691646261657136445} \  {f \sp {25}}} -
+{{6072721607510764095} \  {f \sp {19}}}+
+\\
+\displaystyle
+{{4154986709036460221649} \  {f \sp {13}}}+
+{{3327761311138587096749} \  {f \sp 7}}+
+\\
+\displaystyle
+\left.
+{{25885340608290841637} \  f} 
+\right)\  e+
+{{45815897629010329} \  {f \sp {44}}} -
+\\
+\displaystyle
+{{117013765582151891207} \  {f \sp {38}}} -
+{{18313166848970865074187} \  {f \sp {32}}}-
+\\
+\displaystyle
+{{22909971239649297438915} \  {f \sp {26}}} -
+{{16133250761305157265} \  {f \sp {20}}}+
+\\
+\displaystyle
+{{22897305857636178256623} \  {f \sp {14}}}+
+{{18329944781867242497923} \  {f \sp 8}}+
+\\
+\displaystyle
+{{130258531002020420699} \  {f \sp 2}}, \hbox{\hskip 8.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{7936758996566400} \  d} -
+{{7936758996566400} \  f} 
+\right)\  b -
+\\
+\displaystyle
+{{7936758996566400} \  f \  d} -
+{{7936758996566400} \  {f \sp 3} \  {e \sp 5}}+
+\\
+\displaystyle
+{{23810276989699200} \  {f \sp 4} \  {e \sp 4}} -
+{{23810276989699200} \  {f \sp 5} \  {e \sp 3}}+
+\\
+\displaystyle
+\left( 
+-{{337312257354072000} \  {f \sp 6}} -
+{369059293340337600} 
+\right)\  {e \sp 2}+
+\\
+\displaystyle
+\left( 
+{{1176345388640471} \  {f \sp {43}}} -
+{{3004383582891473073} \  {f \sp {37}}} -
+\right.
+\\
+\displaystyle
+{{470203502707246105653} \  {f \sp {31}}} -
+{{588858183402644348085} \  {f \sp {25}}} -
+\\
+\displaystyle
+{{856939308623513535} \  {f \sp {19}}}+
+{{588472674242340526377} \  {f \sp {13}}}+
+\\
+\displaystyle
+\left.
+{{471313241958371103517} \  {f \sp 7}}+
+{{3659742549078552381} \  f} 
+\right)\  e+
+\\
+\displaystyle
+{{6423170513956901} \  {f \sp {44}}} -
+{{16404772137036480803} \  {f \sp {38}}} -
+\\
+\displaystyle
+{{2567419165227528774463} \  {f \sp {32}}} -
+{{3211938090825682172335} \  {f \sp {26}}} -
+\\
+\displaystyle
+{{2330490332697587485} \  {f \sp {20}}}+
+{{3210100109444754864587} \  {f \sp {14}}}+
+\\
+\displaystyle
+{{2569858315395162617847} \  {f \sp 8}}+
+{{18326089487427735751} \  {f \sp 2}}, \hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{11905138494849600} \  e} -
+{{11905138494849600} \  f} 
+\right)\  b -
+\\
+\displaystyle
+{{3968379498283200} \  {f \sp 3} \  {e \sp 5}}+
+{{15873517993132800} \  {f \sp 4} \  {e \sp 4}} -
+\\
+\displaystyle
+{{27778656487982400} \  {f \sp 5} \  {e \sp 3}}+
+\left( 
+-{{208339923659868000} \  {f \sp 6}} -
+\right.
+\\
+\displaystyle
+\left.
+{240086959646133600} 
+\right)\  {e \sp 2}+
+\left( 
+{{786029984751110} \  {f \sp {43}}} -
+\right.
+\\
+\displaystyle
+{{2007519008182245250} \  {f \sp {37}}} -
+{{314188062908073807090} \  {f \sp {31}}} -
+\\
+\displaystyle
+{{393423667537929575250} \  {f \sp {25}}} -
+{{550329120654394950} \  {f \sp {19}}}+
+\\
+\displaystyle
+{{393196408728889612770} \  {f \sp {13}}}+
+{{314892372799176495730} \  {f \sp 7}}+
+\\
+\displaystyle
+\left.
+{{2409386515146668530} \  f} 
+\right)\  e+
+{{4177638546747827} \  {f \sp {44}}} -
+\\
+\displaystyle
+{{10669685294602576381} \  {f \sp {38}}} -
+{{1669852980419949524601} \  {f \sp {32}}} -
+\\
+\displaystyle
+{{2089077057287904170745} \  {f \sp {26}}} -
+{{1569899763580278795} \  {f \sp {20}}}+
+\\
+\displaystyle
+{{2087864026859015573349} \  {f \sp {14}}}+
+{{1671496085945199577969} \  {f \sp 8}}+
+\\
+\displaystyle
+{{11940257226216280177} \  {f \sp 2}}, \hbox{\hskip 8.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{11905138494849600} \  {f \sp 6}} -{11905138494849600} 
+\right)\  b -
+\\
+\displaystyle
+{{15873517993132800} \  {f \sp 2} \  {e \sp 5}}+
+{{39683794982832000} \  {f \sp 3} \  {e \sp 4}} -
+\\
+\displaystyle
+{{39683794982832000} \  {f \sp 4} \  {e \sp 3}}+
+\left( -{{686529653202993600} \  {f \sp {11}}} -
+\right.
+\\
+\displaystyle
+\left.
+{{607162063237329600} \  {f \sp 5}} 
+\right)\  {e \sp 2}+
+\\
+\displaystyle
+\left( {{65144531306704} \  {f \sp {42}}} -
+{{166381280901088652} \  {f \sp {36}}} -
+\right.
+\\
+\displaystyle
+{{26033434502470283472} \  {f \sp {30}}} -
+{{31696259583860650140} \  {f \sp {24}}}+
+\\
+\displaystyle
+{{971492093167581360} \  {f \sp {18}}}+
+{{32220085033691389548} \  {f \sp {12}}}+
+\\
+\displaystyle
+\left.
+{{25526177666070529808} \  {f \sp 6}}+
+{138603268355749244} 
+\right)\  e+
+\\
+\displaystyle
+{{167620036074811} \  {f \sp {43}}} -
+{{428102417974791473} \  {f \sp {37}}} -
+\\
+\displaystyle
+{{66997243801231679313} \  {f \sp {31}}} -
+{{83426716722148750485} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{203673895369980765} \  {f \sp {19}}}+
+{{83523056326010432457} \  {f \sp {13}}}+
+\\
+\displaystyle
+{{66995789640238066937} \  {f \sp 7}}+
+{{478592855549587901} \  f}, \hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{801692827936} \  {c \sp 3}}+
+{{2405078483808} \  f \  {c \sp 2}} -
+\\
+\displaystyle
+{{2405078483808} \  {f \sp 2} \  c} -
+{{13752945467} \  {f \sp {45}}}+
+\\
+\displaystyle
+{{35125117815561} \  {f \sp {39}}}+
+{{5496946957826433} \  {f \sp {33}}}+
+\\
+\displaystyle
+{{6834659447749117} \  {f \sp {27}}} -
+{{44484880462461} \  {f \sp {21}}} -
+\\
+\displaystyle
+{{6873406230093057} \  {f \sp {15}}} -
+{{5450844938762633} \  {f \sp 9}}+
+\\
+\displaystyle
+{{1216586044571} \  {f \sp 3}},\hbox{\hskip 9.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( {{23810276989699200} \  d} -
+{{23810276989699200} \  f} 
+\right)\  c+
+\\
+\displaystyle
+{{23810276989699200} \  {d \sp 2}}+
+{{71430830969097600} \  f \  d}+
+\\
+\displaystyle
+{{7936758996566400} \  {f \sp 3} \  {e \sp 5}} -
+{{31747035986265600} \  {f \sp 4} \  {e \sp 4}}+
+\\
+\displaystyle
+{{31747035986265600} \  {f \sp 5} \  {e \sp 3}}+
+\left( {{404774708824886400} \  {f \sp 6}}+
+\right.
+\\
+\displaystyle
+\left.
+{396837949828320000} 
+\right)\  {e \sp 2}+
+\left( 
+-{{1247372229446701} \  {f \sp {43}}}+
+\right.
+\\
+\displaystyle
+{{3185785654596621203} \  {f \sp {37}}}+
+{{498594866849974751463} \  {f \sp {31}}}+
+\\
+\displaystyle
+{{624542545845791047935} \  {f \sp {25}}}+
+{{931085755769682885} \  {f \sp {19}}} -
+\\
+\displaystyle
+{{624150663582417063387} \  {f \sp {13}}} -
+{{499881859388360475647} \  {f \sp 7}} -
+\\
+\displaystyle
+\left.
+{{3926885313819527351} \  f} 
+\right)\  e -
+{{7026011547118141} \  {f \sp {44}}}+
+\\
+\displaystyle
+{{17944427051950691243} \  {f \sp {38}}}+
+{{2808383522593986603543} \  {f \sp {32}}}+
+\\
+\displaystyle
+{{3513624142354807530135} \  {f \sp {26}}}+
+{{2860757006705537685} \  {f \sp {20}}} -
+\\
+\displaystyle
+{{3511356735642190737267} \  {f \sp {14}}} -
+{{2811332494697103819887} \  {f \sp 8}} -
+\\
+\displaystyle
+{{20315011631522847311} \  {f \sp 2}}, \hbox{\hskip 8.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{7936758996566400} \  e} -{{7936758996566400} \  f} 
+\right)\  c+
+\\
+\displaystyle
+\left( 
+-{{4418748183673} \  {f \sp {43}}}+
+\right.
+\\
+\displaystyle
+{{11285568707456559} \  {f \sp {37}}}+
+{{1765998617294451019} \  {f \sp {31}}}+
+\\
+\displaystyle
+{{2173749283622606155} \  {f \sp {25}}} -
+{{55788292195402895} \  {f \sp {19}}} -
+\\
+\displaystyle
+{{2215291421788292951} \  {f \sp {13}}} -
+{{1718142665347430851} \  {f \sp 7}}+
+\\
+\displaystyle
+\left.
+{{30256569458230237} \  f} 
+\right)\  e+
+{{4418748183673} \  {f \sp {44}}} -
+\\
+\displaystyle
+{{11285568707456559} \  {f \sp {38}}} -
+{{1765998617294451019} \  {f \sp {32}}} -
+\\
+\displaystyle
+{{2173749283622606155} \  {f \sp {26}}}+
+{{55788292195402895} \  {f \sp {20}}}+
+\\
+\displaystyle
+{{2215291421788292951} \  {f \sp {14}}}+
+{{1718142665347430851} \  {f \sp 8}} -
+\\
+\displaystyle
+{{30256569458230237} \  {f \sp 2}}, \hbox{\hskip 9.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{72152354514240} \  {f \sp 6}} -
+{72152354514240} 
+\right)\  c+
+\\
+\displaystyle
+{{40950859449} \  {f \sp {43}}} -
+{{104588980990367} \  {f \sp {37}}} -
+\\
+\displaystyle
+{{16367227395575307} \  {f \sp {31}}} -
+{{20268523416527355} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{442205002259535} \  {f \sp {19}}}+
+{{20576059935789063} \  {f \sp {13}}}+
+\\
+\displaystyle
+{{15997133796970563} \  {f \sp 7}} -
+{{275099892785581} \  f}, \hbox{\hskip 5.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{1984189749141600} \  {d \sp 3}}+
+{{5952569247424800} \  f \  {d \sp 2}} -
+\\
+\displaystyle
+{{5952569247424800} \  {f \sp 2} \  d} -
+{{3968379498283200} \  {f \sp 4} \  {e \sp 5}}+
+\\
+\displaystyle
+{{15873517993132800} \  {f \sp 5} \  {e \sp 4}}+
+{{17857707742274400} \  {e \sp 3}}+
+\\
+\displaystyle
+\left( 
+-{{148814231185620000} \  {f \sp 7}} -
+{{162703559429611200} \  f} 
+\right)\  {e \sp 2}+
+\\
+\displaystyle
+\left( 
+-{{390000914678878} \  {f \sp {44}}}+
+{{996062704593756434} \  {f \sp {38}}}+
+\right.
+\\
+\displaystyle
+{{155886323972034823914} \  {f \sp {32}}}+
+{{194745956143985421330} \  {f \sp {26}}}+
+\\
+\displaystyle
+{{6205077595574430} \  {f \sp {20}}} -
+{{194596512653299068786} \  {f \sp {14}}} -
+\\
+\displaystyle
+\left.
+{{155796897940756922666} \  {f \sp 8}} -
+{{1036375759077320978} \  {f \sp 2}} 
+\right)\  e -
+\\
+\displaystyle
+{{374998630035991} \  {f \sp {45}}}+
+{{957747106595453993} \  {f \sp {39}}}+
+\\
+\displaystyle
+{{149889155566764891693} \  {f \sp {33}}}+
+{{187154171443494641685} \  {f \sp {27}}} -
+\\
+\displaystyle
+{{127129015426348065} \  {f \sp {21}}} -
+{{187241533243115040417} \  {f \sp {15}}} -
+\\
+\displaystyle
+{{149719983567976534037} \  {f \sp 9}} -
+{{836654081239648061} \  {f \sp 3}}, \hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{5952569247424800} \  e} -
+{{5952569247424800} \  f} 
+\right)\  d -
+\\
+\displaystyle
+{{3968379498283200} \  {f \sp 3} \  {e \sp 5}}+
+{{9920948745708000} \  {f \sp 4} \  {e \sp 4}} -
+\\
+\displaystyle
+{{3968379498283200} \  {f \sp 5} \  {e \sp 3}}+
+\left( 
+-{{148814231185620000} \  {f \sp 6}} -
+\right.
+\\
+\displaystyle
+\left.
+{150798420934761600} 
+\right)\  {e \sp 2}+
+\left( 
+{{492558110242553} \  {f \sp {43}}} -
+\right.
+\\
+\displaystyle
+{{1257992359608074599} \  {f \sp {37}}} -
+{{196883094539368513959} \  {f \sp {31}}} -
+\\
+\displaystyle
+{{246562115745735428055} \  {f \sp {25}}} -
+{{325698701993885505} \  {f \sp {19}}}+
+\\
+\displaystyle
+{{246417769883651808111} \  {f \sp {13}}}+
+{{197327352068200652911} \  {f \sp 7}}+
+\\
+\displaystyle
+\left.
+{{1523373796389332143} \  f} 
+\right)\  e+
+{{2679481081803026} \  {f \sp {44}}} -
+\\
+\displaystyle
+{{6843392695421906608} \  {f \sp {38}}} -
+{{1071020459642646913578} \  {f \sp {32}}} -
+\\
+\displaystyle
+{{1339789169692041240060} \  {f \sp {26}}} -
+{{852746750910750210} \  {f \sp {20}}}+
+\\
+\displaystyle
+{{1339105101971878401312} \  {f \sp {14}}}+
+{{1071900289758712984762} \  {f \sp 8}}+
+\\
+\displaystyle
+{{7555239072072727756} \  {f \sp 2}}, \hbox{\hskip 8.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{11905138494849600} \  {f \sp 6}} -
+{11905138494849600} 
+\right)\  d -
+\\
+\displaystyle
+{{7936758996566400} \  {f \sp 2} \  {e \sp 5}}+
+{{31747035986265600} \  {f \sp 3} \  {e \sp 4}} -
+\\
+\displaystyle
+{{31747035986265600} \  {f \sp 4} \  {e \sp 3}}+
+\\
+\displaystyle
+\left( -{{420648226818019200} \  {f \sp {11}}} -
+{{404774708824886400} \  {f \sp 5}} 
+\right)\  {e \sp 2}+
+\\
+\displaystyle
+\left( 
+{{15336187600889} \  {f \sp {42}}} -
+{{39169739565161107} \  {f \sp {36}}} -
+\right.
+\\
+\displaystyle
+{{6127176127489690827} \  {f \sp {30}}} -
+{{7217708742310509615} \  {f \sp {24}}}+
+\\
+\displaystyle
+{{538628483890722735} \  {f \sp {18}}}+
+{{7506804353843507643} \  {f \sp {12}}}+
+\\
+\displaystyle
+\left.
+{{5886160769782607203} \  {f \sp 6}}+
+{63576108396535879} 
+\right)\  e+
+\\
+\displaystyle
+{{71737781777066} \  {f \sp {43}}} -
+{{183218856207557938} \  {f \sp {37}}} -
+\\
+\displaystyle
+{{28672874271132276078} \  {f \sp {31}}} -
+{{35625223686939812010} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{164831339634084390} \  {f \sp {19}}}+
+{{35724160423073052642} \  {f \sp {13}}}+
+\\
+\displaystyle
+{{28627022578664910622} \  {f \sp 7}}+
+{{187459987029680506} \  f}, \hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{1322793166094400} \  {e \sp 6}} -
+{{3968379498283200} \  f \  {e \sp 5}}+
+\\
+\displaystyle
+{{3968379498283200} \  {f \sp 2} \  {e \sp 4}} -
+{{5291172664377600} \  {f \sp 3} \  {e \sp 3}}+
+\\
+\displaystyle
+\left( -{{230166010900425600} \  {f \sp {10}}} -
+{{226197631402142400} \  {f \sp 4}} 
+\right)\  {e \sp 2}+
+\\
+\displaystyle
+\left( 
+-{{152375364610443885} \  {f \sp {47}}}+
+{{389166626064854890415} \  {f \sp {41}}}+
+\right.
+\\
+\displaystyle
+{{60906097841360558987335} \  {f \sp {35}}}+
+{{76167367934608798697275} \  {f \sp {29}}}+
+\\
+\displaystyle
+{{27855066785995181125} \  {f \sp {23}}} -
+{{76144952817052723145495} \  {f \sp {17}}} -
+\\
+\displaystyle
+\left.
+{{60933629892463517546975} \  {f \sp {11}}} -
+{{411415071682002547795} \  {f \sp 5}} 
+\right)\  e -
+\\
+\displaystyle
+{{209493533143822} \  {f \sp {42}}}+
+{{535045979490560586} \  {f \sp {36}}}+
+\\
+\displaystyle
+{{83737947964973553146} \  {f \sp {30}}}+
+{{104889507084213371570} \  {f \sp {24}}}+
+\\
+\displaystyle
+{{167117997269207870} \  {f \sp {18}}} -
+{{104793725781390615514} \  {f \sp {12}}} -
+\\
+\displaystyle
+{{83842685189903180394} \  {f \sp 6}} -
+{569978796672974242}, \hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( {{25438330117200} \  {f \sp 6}}+
+{25438330117200} 
+\right)\  {e \sp 3}+
+\\
+\displaystyle
+\left( {{76314990351600} \  {f \sp 7}}+
+{{76314990351600} \  f} 
+\right)\  {e \sp 2}+
+\\
+\displaystyle
+\left( -{{1594966552735} \  {f \sp {44}}}+
+{{4073543370415745} \  {f \sp {38}}}+
+\right.
+\\
+\displaystyle
+{{637527159231148925} \  {f \sp {32}}}+
+{{797521176113606525} \  {f \sp {26}}}+
+\\
+\displaystyle
+{{530440941097175} \  {f \sp {20}}} -
+{{797160527306433145} \  {f \sp {14}}} -
+\\
+\displaystyle
+\left.
+{{638132320196044965} \  {f \sp 8}} -
+{{4510507167940725} \  {f \sp 2}} 
+\right)\  e -
+\\
+\displaystyle
+{{6036376800443} \  {f \sp {45}}}+
+{{15416903421476909} \  {f \sp {39}}}+
+\\
+\displaystyle
+{{2412807646192304449} \  {f \sp {33}}}+
+{{3017679923028013705} \  {f \sp {27}}}+
+\\
+\displaystyle
+{{1422320037411955} \  {f \sp {21}}} -
+{{3016560402417843941} \  {f \sp {15}}} -
+\\
+\displaystyle
+{{2414249368183033161} \  {f \sp 9}} -
+{{16561862361763873} \  {f \sp 3}}, \hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{1387545279120} \  {f \sp {12}}} -
+{1387545279120} 
+\right)\  {e \sp 2}+
+\\
+\displaystyle
+\left( {{4321823003} \  {f \sp {43}}} -
+{{11037922310209} \  {f \sp {37}}} -
+\right.
+\\
+\displaystyle
+{{1727510711947989} \  {f \sp {31}}} -
+{{2165150991154425} \  {f \sp {25}}} -
+\\
+\displaystyle
+{{5114342560755} \  {f \sp {19}}}+
+{{2162682824948601} \  {f \sp {13}}}+
+\\
+\displaystyle
+\left.
+{{1732620732685741} \  {f \sp 7}}+
+{{13506088516033} \  f} 
+\right)\  e+
+\\
+\displaystyle
+{{24177661775} \  {f \sp {44}}} -
+{{61749727185325} \  {f \sp {38}}} -
+\\
+\displaystyle
+{{9664106795754225} \  {f \sp {32}}} -
+{{12090487758628245} \  {f \sp {26}}} -
+\\
+\displaystyle
+{{8787672733575} \  {f \sp {20}}}+
+{{12083693383005045} \  {f \sp {14}}}+
+\\
+\displaystyle
+{{9672870290826025} \  {f \sp 8}}+
+{{68544102808525} \  {f \sp 2}}, \hbox{\hskip 5.0cm}
+\end{array}
+$$
+$$
+\left.
+\begin{array}{@{}l}
+{f \sp {48}} -
+{{2554} \  {f \sp {42}}} -
+{{399710} \  {f \sp {36}}}-
+{{499722} \  {f \sp {30}}}+
+\\
+\displaystyle
+{{499722} \  {f \sp {18}}}+
+{{399710} \  {f \sp {12}}}+
+{{2554} \  {f \sp 6}} -
+1 \hbox{\hskip 6.0cm}
+\end{array}
+\right]
+$$
+\returnType{Type: List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+Apply lexTriangular to compute a decomposition into regular triangular sets.
+This should not take more than 5 seconds.
+
+\spadcommand{lexTriangular(lg,false)\$lextripack}
+$$
+\begin{array}{@{}l}
+\left[
+\begin{array}{@{}l}
+\left\{ 
+{{f \sp 6}+1}, 
+{{e \sp 6} -
+{3 \  f \  {e \sp 5}}+
+{3 \  {f \sp 2} \  {e \sp 4}} -
+{4 \  {f \sp 3} \  {e \sp 3}}+
+{3 \  {f \sp 4} \  {e \sp 2}} -
+{3 \  {f \sp 5} \  e} -1}, 
+\right.
+\\
+\displaystyle
+{{3 \  d}+{{f \sp 2} \  {e \sp 5}} -
+{4 \  {f \sp 3} \  {e \sp 4}}+
+{4 \  {f \sp 4} \  {e \sp 3}} -
+{2 \  {f \sp 5} \  {e \sp 2}} -
+{2 \  e}+{2 \  f}}, 
+{c+f}, 
+\\
+\displaystyle
+{{3 \  b}+
+{2 \  {f \sp 2} \  {e \sp 5}} -
+{5 \  {f \sp 3} \  {e \sp 4}}+
+{5 \  {f \sp 4} \  {e \sp 3}} -
+{{10} \  {f \sp 5} \  {e \sp 2}} -
+{4 \  e}+{7 \  f}}, 
+\\
+\displaystyle
+\left.
+{a -{{f \sp 2} \  {e \sp 5}}+
+{3 \  {f \sp 3} \  {e \sp 4}} -
+{3 \  {f \sp 4} \  {e \sp 3}}+
+{4 \  {f \sp 5} \  {e \sp 2}}+
+{3 \  e} -{3 \  f}} 
+\right\},
+\end{array}
+\right.
+\\
+\\
+\displaystyle
+\left\{ 
+{{f \sp 6} -1}, 
+{e -f}, 
+{d -f}, 
+{{c \sp 2}+
+{4 \  f \  c}+
+{f \sp 2}}, 
+{{{\left( 
+c -f 
+\right)}\  b} -
+{f \  c} -
+{5 \  {f \sp 2}}}, 
+{a+b+c+{3 \  f}} 
+\right\},
+\\
+\\
+\displaystyle
+\left\{ 
+{{f \sp 6} -1}, 
+{e -f}, 
+{d -f}, 
+{c -f}, 
+{{b \sp 2}+
+{4 \  f \  b}+
+{f \sp 2}}, 
+{a+b+{4 \  f}} 
+\right\},
+\\
+\\
+\displaystyle
+\left\{ 
+{{f \sp 6} -1}, 
+{e -f}, 
+{{d \sp 2}+
+{4 \  f \  d}+
+{f \sp 2}}, 
+{{{\left( d -f \right)}\  c} -
+{f \  d} -
+{5 \  {f \sp 2}}}, 
+{b -f}, 
+{a+c+d+{3 \  f}} 
+\right\},
+\\
+\\
+\displaystyle
+\begin{array}{@{}l}
+\left\{ 
+{{f \sp {36}} -
+{{2554} \  {f \sp {30}}} -
+{{399709} \  {f \sp {24}}} -
+{{502276} \  {f \sp {18}}} -
+{{399709} \  {f \sp {12}}} -
+{{2554} \  {f \sp 6}}+1}, 
+\right.
+\\
+\displaystyle
+\left( 
+{{161718564} \  {f \sp {12}}} -
+{161718564} 
+\right)\  {e \sp 2}+
+\left( 
+-{{504205} \  {f \sp {31}}}+
+{{1287737951} \  {f \sp {25}}}+
+\right.
+\\
+\displaystyle
+\left.
+{{201539391380} \  {f \sp {19}}}+
+{{253982817368} \  {f \sp {13}}}+
+{{201940704665} \  {f \sp 7}}+
+{{1574134601} \  f} 
+\right)\  e -
+\\
+\displaystyle
+{{2818405} \  {f \sp {32}}}+
+{{7198203911} \  {f \sp {26}}}+
+{{1126548149060} \  {f \sp {20}}}+
+\\
+\displaystyle
+{{1416530563364} \  {f \sp {14}}}+
+{{1127377589345} \  {f \sp 8}}+
+{{7988820725} \  {f \sp 2}},  
+\\
+\displaystyle
+\left( 
+{{693772639560} \  {f \sp 6}} -
+{693772639560} 
+\right)\  d -
+{{462515093040} \  {f \sp 2} \  {e \sp 5}}+
+\\
+\displaystyle
+{{1850060372160} \  {f \sp 3} \  {e \sp 4}} -
+{{1850060372160} \  {f \sp 4} \  {e \sp 3}}+
+\left( 
+-{{24513299931120} \  {f \sp {11}}} -
+\right.
+\\
+\displaystyle
+\left.
+{{23588269745040} \  {f \sp 5}} 
+\right)\  {e \sp 2}+
+\left( 
+-{{890810428} \  {f \sp {30}}}+
+{{2275181044754} \  {f \sp {24}}}+
+\right.
+\\
+\displaystyle
+{{355937263869776} \  {f \sp {18}}}+
+{{413736880104344} \  {f \sp {12}}}+
+{{342849304487996} \  {f \sp 6}}+
+\\
+\displaystyle
+\left.
+{3704966481878} 
+\right)\  e -
+{{4163798003} \  {f \sp {31}}}+
+{{10634395752169} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{1664161760192806} \  {f \sp {19}}}+
+{{2079424391370694} \  {f \sp {13}}}+
+{{1668153650635921} \  {f \sp 7}}+
+\\
+\displaystyle
+{{10924274392693} \  f}, 
+\left( 
+{{12614047992} \  {f \sp 6}} -
+{12614047992} 
+\right)\  c -
+\\
+\displaystyle
+{{7246825} \  {f \sp {31}}}+
+{{18508536599} \  {f \sp {25}}}+
+{{2896249516034} \  {f \sp {19}}}+
+\\
+\displaystyle
+{{3581539649666} \  {f \sp {13}}}+
+{{2796477571739} \  {f \sp 7}} -
+{{48094301893} \  f}, 
+\\
+\displaystyle
+\left( 
+{{693772639560} \  {f \sp 6}} -
+{693772639560} 
+\right)\  b -
+{{925030186080} \  {f \sp 2} \  {e \sp 5}}+
+\\
+\displaystyle
+{{2312575465200} \  {f \sp 3} \  {e \sp 4}} -
+{{2312575465200} \  {f \sp 4} \  {e \sp 3}}+
+\left( 
+-{{40007555547960} \  {f \sp {11}}} -
+\right.
+\\
+\displaystyle
+\left.
+{{35382404617560} \  {f \sp 5}} 
+\right)\  {e \sp 2}+
+\left( 
+-{{3781280823} \  {f \sp {30}}}+
+{{9657492291789} \  {f \sp {24}}}+
+\right.
+\\
+\displaystyle
+{{1511158913397906} \  {f \sp {18}}}+
+{{1837290892286154} \  {f \sp {12}}}+
+{{1487216006594361} \  {f \sp 6}}+
+\\
+\displaystyle
+\left.
+{8077238712093} 
+\right)\  e -
+{{9736390478} \  {f \sp {31}}}+
+{{24866827916734} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{3891495681905296} \  {f \sp {19}}}+
+{{4872556418871424} \  {f \sp {13}}}+
+{{3904047887269606} \  {f \sp 7}}+
+\\
+\displaystyle
+\left.
+{{27890075838538} \  f}, 
+{a+b+c+d+e+f} 
+\right\},
+\end{array}
+\\
+\\
+\displaystyle
+\left.
+\left\{ 
+{{f \sp 6} -1}, 
+{{e \sp 2}+
+{4 \  f \  e}+
+{f \sp 2}},  
+{{{\left( e -f \right)}\  d} -
+{f \  e} -
+{5 \  {f \sp 2}}}, 
+{c -f}, 
+{b -f}, 
+{a+d+e+{3 \  f}} 
+\right\}
+
+\right]
+\end{array}
+$$
+\returnType{Type: List RegularChain(Integer,[a,b,c,d,e,f])}
+
+Note that the first set of the decomposition is normalized (all
+initials are integer numbers) but not the second one (normalized
+triangular sets are defined in the description of the 
+{\tt NormalizedTriangularSetCategory} constructor).
+
+So apply now lexTriangular to produce normalized triangular sets.
+
+\spadcommand{lts := lexTriangular(lg,true)\$lextripack   }
+$$
+\begin{array}{@{}l}
+\left[
+\begin{array}{@{}l}
+\left\{ 
+{{f \sp 6}+1}, 
+{{e \sp 6} -
+{3 \  f \  {e \sp 5}}+
+{3 \  {f \sp 2} \  {e \sp 4}} -
+{4 \  {f \sp 3} \  {e \sp 3}}+
+{3 \  {f \sp 4} \  {e \sp 2}} -
+{3 \  {f \sp 5} \  e} -1}, 
+\right.
+\\
+\displaystyle
+{{3 \  d}+
+{{f \sp 2} \  {e \sp 5}} -
+{4 \  {f \sp 3} \  {e \sp 4}}+
+{4 \  {f \sp 4} \  {e \sp 3}} -
+{2 \  {f \sp 5} \  {e \sp 2}} -
+{2 \  e}+{2 \  f}}, 
+{c+f}, 
+\\
+\displaystyle
+{{3 \  b}+
+{2 \  {f \sp 2} \  {e \sp 5}}-
+{5 \  {f \sp 3} \  {e \sp 4}}+
+{5 \  {f \sp 4} \  {e \sp 3}} -
+{{10} \  {f \sp 5} \  {e \sp 2}} -
+{4 \  e}+{7 \  f}}, 
+\\
+\displaystyle
+\left.
+{a -{{f \sp 2} \  {e \sp 5}}+
+{3 \  {f \sp 3} \  {e \sp 4}} -
+{3 \  {f \sp 4} \  {e \sp 3}}+
+{4 \  {f \sp 5} \  {e \sp 2}}+
+{3 \  e} -
+{3 \  f}} 
+\right\},
+\end{array}
+\right.
+\\
+\\
+\displaystyle
+{\left\{ {{f \sp 6} -1}, {e -f}, {d -f}, {{c \sp 2}+{4 \  f \  
+c}+{f \sp 2}}, {b+c+{4 \  f}}, {a -f} 
+\right\}},
+\\
+\\
+\displaystyle
+{\left\{ {{f \sp 6} -1}, {e -f}, {d -f}, {c -f}, {{b \sp 2}+{4 
+\  f \  b}+{f \sp 2}}, {a+b+{4 \  f}} 
+\right\}},
+\\
+\\
+\displaystyle
+{\left\{ {{f \sp 6} -1}, {e -f}, {{d \sp 2}+{4 \  f \  d}+{f \sp 
+2}}, {c+d+{4 \  f}}, {b -f}, {a -f} 
+\right\}},
+\\
+\\
+\displaystyle
+\begin{array}{@{}l}
+\left\{ 
+{{f \sp {36}} -
+{{2554} \  {f \sp {30}}} -
+{{399709} \  {f \sp {24}}} -
+{{502276} \  {f \sp {18}}} -
+{{399709} \  {f \sp {12}}} -
+{{2554} \  {f \sp 6}}+
+1},
+\right.
+\\
+\displaystyle
+{{1387545279120} \  {e \sp 2}}+
+\left( 
+{{4321823003} \  {f \sp {31}}} -
+{{11037922310209} \  {f \sp {25}}} -
+\right.
+\\
+\displaystyle
+{{1727506390124986} \  {f \sp {19}}} -
+{{2176188913464634} \  {f \sp {13}}} -
+{{1732620732685741} \  {f \sp 7}} -
+\\
+\displaystyle
+\left.
+{{13506088516033} \  f} 
+\right)\  e+
+{{24177661775} \  {f \sp {32}}} -
+{{61749727185325} \  {f \sp {26}}} -
+\\
+\displaystyle
+{{9664082618092450} \  {f \sp {20}}} -
+{{12152237485813570} \  {f \sp {14}}} -
+{{9672870290826025} \  {f \sp 8}} -
+\\
+\displaystyle
+{{68544102808525} \  {f \sp 2}}, 
+\\
+\displaystyle
+{{1387545279120} \  d}+
+\left( 
+-{{1128983050} \  {f \sp {30}}}+
+{{2883434331830} \  {f \sp {24}}}+
+\right.
+\\
+\displaystyle
+{{451234998755840} \  {f \sp {18}}}+
+{{562426491685760} \  {f \sp {12}}}+
+{{447129055314890} \  {f \sp 6}} -
+\\
+\displaystyle
+\left.
+{165557857270} 
+\right)\  e -
+{{1816935351} \  {f \sp {31}}}+
+{{4640452214013} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{726247129626942} \  {f \sp {19}}}+
+{{912871801716798} \  {f \sp {13}}}+
+{{726583262666877} \  {f \sp 7}}+
+\\
+\displaystyle
+{{4909358645961} \  f}, 
+\\
+\displaystyle
+{{1387545279120} \  c}+
+{{778171189} \  {f \sp {31}}} -
+{{1987468196267} \  {f \sp {25}}} -
+\\
+\displaystyle
+{{310993556954378} \  {f \sp {19}}} -
+{{383262822316802} \  {f \sp {13}}} -
+{{300335488637543} \  {f \sp 7}}+
+\\
+\displaystyle
+{{5289595037041} \  f}, 
+\\
+\displaystyle
+{{1387545279120} \  b}+
+\left( 
+{{1128983050} \  {f \sp {30}}} -
+{{2883434331830} \  {f \sp {24}}} -
+\right.
+\\
+\displaystyle
+{{451234998755840} \  {f \sp {18}}}-
+{{562426491685760} \  {f \sp {12}}} -
+{{447129055314890} \  {f \sp 6}}+
+\\
+\displaystyle
+\left.
+{165557857270} 
+\right)\  e -
+{{3283058841} \  {f \sp {31}}}+
+{{8384938292463} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{1312252817452422} \  {f \sp {19}}}+
+{{1646579934064638} \  {f \sp {13}}}+
+{{1306372958656407} \  {f \sp 7}}+
+\\
+\displaystyle
+{{4694680112151} \  f}, 
+\\
+\displaystyle
+{{1387545279120} \  a}+
+{{1387545279120} \  e}+
+{{4321823003} \  {f \sp {31}}} -
+\\
+\displaystyle
+{{11037922310209} \  {f \sp {25}}} -
+{{1727506390124986} \  {f \sp {19}}} -
+{{2176188913464634} \  {f \sp {13}}} -
+\\
+\displaystyle
+\left.
+{{1732620732685741} \  {f \sp 7}} -
+{{13506088516033} \  f} 
+\right\},
+\end{array}
+\\
+\\
+\displaystyle
+\left.
+\left\{ 
+{{f \sp 6} -1}, 
+{{e \sp 2}+{4 \  f \  e}+{f \sp 2}}, 
+{d+e+{4 \  f}}, 
+{c -f}, 
+{b -f}, 
+{a -f} 
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: List RegularChain(Integer,[a,b,c,d,e,f])}
+
+We check that all initials are constant.
+
+\spadcommand{[ [init(p) for p in (ts :: List(P))] for ts in lts]  }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ 1, 3, 1, 3, 1, 1 \right]},
+{\left[ 1, 1, 1, 1, 1, 1 \right]},
+{\left[ 1, 1, 1, 1, 1, 1 \right]},
+{\left[ 1, 1, 1, 1, 1, 1 \right]},
+\right.
+\\
+\displaystyle
+\left[ {1387545279120}, {1387545279120}, {1387545279120}, 
+\right.
+\\
+\displaystyle
+\left.
+{1387545279120}, {1387545279120}, 1 \right],
+\\
+\displaystyle
+\left.
+{\left[ 1, 1, 1, 1, 1, 1\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f])}
+
+Note that each triangular set in {\bf lts} is a lexicographical
+Groebner basis.  Recall that a point belongs to the variety associated
+with {\bf lp} if and only if it belongs to that associated with one
+triangular set {\bf ts} in {\bf lts}.
+
+By running the \spadfunFrom{squareFreeLexTriangular}{LexTriangularPackage} 
+operation, we retrieve the above decomposition.
+
+\spadcommand{squareFreeLexTriangular(lg,true)\$lextripack  }
+$$
+\begin{array}{@{}l}
+\left[
+\left\{ 
+{{f \sp 6}+1}, 
+{{e \sp 6} -
+{3 \  f \  {e \sp 5}}+
+{3 \  {f \sp 2} \  {e \sp 4}} -
+{4 \  {f \sp 3} \  {e \sp 3}}+
+{3 \  {f \sp 4} \  {e \sp 2}} -
+{3 \  {f \sp 5} \  e} -1}, 
+\right.
+\right.
+\\
+\displaystyle
+{{3 \  d}+
+{{f \sp 2} \  {e \sp 5}} -
+{4 \  {f \sp 3} \  {e \sp 4}}+
+{4 \  {f \sp 4} \  {e \sp 3}} -
+{2 \  {f \sp 5} \  {e \sp 2}} -
+{2 \  e}+
+{2 \  f}}, 
+\\
+\displaystyle
+{c+f}, 
+{{3 \  b}+
+{2 \  {f \sp 2} \  {e \sp 5}} -
+{5 \  {f \sp 3} \  {e \sp 4}}+
+{5 \  {f \sp 4} \  {e \sp 3}} -
+{{10} \  {f \sp 5} \  {e \sp 2}} -
+{4 \  e}+{7 \  f}}, 
+\\
+\displaystyle
+\left.
+{a -
+{{f \sp 2} \  {e \sp 5}}+
+{3 \  {f \sp 3} \  {e \sp 4}} -
+{3 \  {f \sp 4} \  {e \sp 3}}+
+{4 \  {f \sp 5} \  {e \sp 2}}+
+{3 \  e} -{3 \  f}} 
+\right\},\hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\left\{ 
+{{f \sp 6} -1}, 
+{e -f}, 
+{d -f}, 
+{{c \sp 2}+
+{4 \  f \  c}+
+{f \sp 2}}, 
+{b+c+{4 \  f}}, 
+{a -f} 
+\right\},\hbox{\hskip 3.5cm}
+$$
+$$
+\left\{ 
+{{f \sp 6} -1}, 
+{e -f}, 
+{d -f}, 
+{c -f}, 
+{{b \sp 2}+
+{4 \  f \  b}+
+{f \sp 2}}, 
+{a+b+{4 \  f}} 
+\right\},\hbox{\hskip 3.5cm}
+$$
+$$
+\left\{ 
+{{f \sp 6} -1}, 
+{e -f}, 
+{{d \sp 2}+
+{4 \  f \  d}+
+{f \sp 2}}, 
+{c+d+{4 \  f}}, 
+{b -f}, 
+{a -f} 
+\right\},\hbox{\hskip 3.5cm}
+$$
+$$
+\begin{array}{@{}l}
+\left\{ 
+{{f \sp {36}} -
+{{2554} \  {f \sp {30}}} -
+{{399709} \  {f \sp {24}}} -
+{{502276} \  {f \sp {18}}} -
+{{399709} \  {f \sp {12}}} -
+{{2554} \  {f \sp 6}}+1}, 
+\right.
+\\
+\displaystyle
+{{1387545279120} \  {e \sp 2}}+
+\left( {{4321823003} \  {f \sp {31}}} -
+{{11037922310209} \  {f \sp {25}}} -
+\right.
+\\
+\displaystyle
+{{1727506390124986} \  {f \sp {19}}} -
+{{2176188913464634} \  {f \sp {13}}} -
+{{1732620732685741} \  {f \sp 7}} -
+\\
+\displaystyle
+\left.
+{{13506088516033} \  f} 
+\right)\  e+
+{{24177661775} \  {f \sp {32}}} -
+{{61749727185325} \  {f \sp {26}}}-
+\\
+\displaystyle
+{{9664082618092450} \  {f \sp {20}}} -
+{{12152237485813570} \  {f \sp {14}}} -
+{{9672870290826025} \  {f \sp 8}} -
+\\
+\displaystyle
+{{68544102808525} \  {f \sp 2}}, 
+\\
+\displaystyle
+{{1387545279120} \  d}+
+\left( -{{1128983050} \  {f \sp {30}}}+
+{{2883434331830} \  {f \sp {24}}}+
+\right.
+\\
+\displaystyle
+{{451234998755840} \  {f \sp {18}}}+
+{{562426491685760} \  {f \sp {12}}}+
+{{447129055314890} \  {f \sp 6}} -
+\\
+\displaystyle
+\left.
+{165557857270} 
+\right)\  e -
+{{1816935351} \  {f \sp {31}}}+
+{{4640452214013} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{726247129626942} \  {f \sp {19}}}+
+{{912871801716798} \  {f \sp {13}}}+
+{{726583262666877} \  {f \sp 7}}+
+\\
+\displaystyle
+{{4909358645961} \  f},
+\\
+\displaystyle
+{{1387545279120} \  c}+
+{{778171189} \  {f \sp {31}}} -
+{{1987468196267} \  {f \sp {25}}} -
+\\
+\displaystyle
+{{310993556954378} \  {f \sp {19}}} -
+{{383262822316802} \  {f \sp {13}}} -
+{{300335488637543} \  {f \sp 7}}+
+\\
+\displaystyle
+{{5289595037041} \  f}, 
+\\
+\displaystyle
+{{1387545279120} \  b}+
+\left( 
+{{1128983050} \  {f \sp {30}}} -
+{{2883434331830} \  {f \sp {24}}} -
+\right.
+\\
+\displaystyle
+{{451234998755840} \  {f \sp {18}}} -
+{{562426491685760} \  {f \sp {12}}} -
+{{447129055314890} \  {f \sp 6}}+
+\\
+\displaystyle
+\left.
+{165557857270} 
+\right)\  e -
+{{3283058841} \  {f \sp {31}}}+
+{{8384938292463} \  {f \sp {25}}}+
+\\
+\displaystyle
+{{1312252817452422} \  {f \sp {19}}}+
+{{1646579934064638} \  {f \sp {13}}}+
+{{1306372958656407} \  {f \sp 7}}+
+\\
+\displaystyle
+{{4694680112151} \  f}, 
+{{1387545279120} \  a}+
+{{1387545279120} \  e}+
+\\
+\displaystyle
+{{4321823003} \  {f \sp {31}}} -
+{{11037922310209} \  {f \sp {25}}} -
+{{1727506390124986} \  {f \sp {19}}} -
+\\
+\displaystyle
+\left.
+{{2176188913464634} \  {f \sp {13}}} -
+{{1732620732685741} \  {f \sp 7}} -
+{{13506088516033} \  f} 
+\right\},\hbox{\hskip 1.5cm}
+\end{array}
+$$
+$$
+\left.
+\left\{ 
+{{f \sp 6} -1}, 
+{{e \sp 2}+
+{4 \  f \  e}+
+{f \sp 2}}, 
+{d+e+{4 \  f}}, 
+{c -f}, 
+{b -f}, 
+{a -f} 
+\right\}
+\right]\hbox{\hskip 3.5cm}
+$$
+\returnType{Type: List SquareFreeRegularTriangularSet(Integer,IndexedExponents OrderedVariableList [a,b,c,d,e,f],OrderedVariableList [a,b,c,d,e,f],NewSparseMultivariatePolynomial(Integer,OrderedVariableList [a,b,c,d,e,f]))}
+
+Thus the solutions given by {\bf lts} are pairwise different.
+
+We count them as follows.
+
+\spadcommand{reduce(+,[degree(ts) for ts in lts]) }
+$$
+156 
+$$
+\returnType{Type: PositiveInteger}
+
+We can investigate the triangular decomposition {\bf lts} by using the
+{\tt ZeroDimensionalSolvePackage}.
+
+This requires to add an extra variable (smaller than the others) as follows.
+
+\spadcommand{ls2 : List Symbol := concat(ls,new()\$Symbol)  }
+$$
+\left[
+a, b, c, d, e, f, \%A 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+Then we call the package.
+
+\spadcommand{zdpack := ZDSOLVE(R,ls,ls2)    }
+$$
+ZeroDimensionalSolvePackage(Integer,[a,b,c,d,e,f],[a,b,c,d,e,f,%A]) 
+$$
+\returnType{Type: Domain}
+
+We compute a univariate representation of the variety associated with
+the input system as follows.
+
+\spadcommand{concat [univariateSolve(ts)\$zdpack for ts in lts]  }
+$$
+\begin{array}{@{}l}
+\left[
+\left[ 
+{complexRoots={{? \sp 4} -{{13} \  {? \sp 2}}+{49}}}, 
+\right.
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{7 \  a}+{ \%A \sp 3} -{6 \  \%A}}, 
+{{{21} \  b}+{  \%A \sp 3}+ \%A}, 
+\right.
+\\
+\displaystyle
+{{{21} \  c} -{2 \  { \%A \sp 3}}+{{19} \  \%A}}, 
+{{7 \  d} -{ \%A \sp 3}+{6 \  \%A}}, 
+{{{21} \  e} -{ \%A \sp 3} - \%A}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{21} \  f}+{2 \  { \%A \sp 3}} -{{19} \  \%A}} 
+\right]
+\right],\hbox{\hskip 7.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4}+{{11} \  {? \sp 2}}+{49}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{35} \  a}+{3 \  { \%A \sp 3}}+{{19} \  \%A}}, 
+{{{35} \  b}+{ \%A \sp 3}+{{18} \  \%A}}, 
+{{{35} \  c} -{2 \  { \%A \sp 3}} - \%A}, 
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{{{35} \  d} -{3 \  { \%A \sp 3}} -{{19} \  \%A}}, 
+{{{35} \  e} -{ \%A \sp 3} -{{18} \  \%A}}, 
+{{{35} \  f}+{2 \  { \%A \sp 3}}+ \%A} 
+\right]
+\right],\hbox{\hskip 2.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{? \sp 8} -{{12} \  {? \sp 7}}+{{58} \  {? \sp 6}} -{{120} \  {? \sp 5}}+
+\right.
+\\
+\displaystyle
+{{207} \  {? \sp 4}} -
+{{360} \  {? \sp 3}}+
+{{802} \  {? \sp 2}} -
+{{1332} \  ?}+{1369}, 
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{43054532} \  a}+{{33782} \  { \%A \sp 7}} -
+{{546673} \  { \%A \sp 6}}+
+{{3127348} \  { \%A \sp 5}} -{{6927123} \  { \%A \sp 4}}+
+\right.
+\\
+\displaystyle
+{{4365212} \  { \%A \sp 3}} -
+{{25086957} \  { \%A \sp 2}}+
+{{39582814} \  \%A} -{107313172}, 
+\\
+\displaystyle
+{{43054532} \  b} -{{33782} \  { \%A \sp 7}}+
+{{546673} \  { \%A \sp 6}} -
+{{3127348} \  { \%A \sp 5}}+
+\\
+\displaystyle
+{{6927123} \  { \%A \sp 4}} -
+{{4365212} \  { \%A \sp 3}}+
+{{25086957} \  { \%A \sp 2}} -
+\\
+\displaystyle
+{{39582814} \  \%A}+{107313172}, 
+\\
+\displaystyle
+{{21527266} \  c} -{{22306} \  { \%A \sp 7}}+
+{{263139} \  { \%A \sp 6}} -
+{{1166076} \  { \%A \sp 5}}+{{1821805} \  { \%A \sp 4}} -
+\\
+\displaystyle
+{{2892788} \  { \%A \sp 3}}+
+{{10322663} \  { \%A \sp 2}} -
+{{9026596} \  \%A}+{12950740}, 
+\\
+\displaystyle
+{{43054532} \  d}+
+{{22306} \  { \%A \sp 7}} -
+{{263139} \  { \%A \sp 6}}+
+\\
+\displaystyle
+{{1166076} \  { \%A \sp 5}} -
+{{1821805} \  { \%A \sp 4}}+
+{{2892788} \  { \%A \sp 3}} -
+\\
+\displaystyle
+{{10322663} \  { \%A \sp 2}}+
+{{30553862} \  \%A} -{12950740}, 
+\\
+\displaystyle
+{{43054532} \  e} -
+{{22306} \  { \%A \sp 7}}+
+{{263139} \  { \%A \sp 6}} -
+\\
+\displaystyle
+{{1166076} \  { \%A \sp 5}}+
+{{1821805} \  { \%A \sp 4}} -
+{{2892788} \  { \%A \sp 3}}+
+\\
+\displaystyle
+{{10322663} \  { \%A \sp 2}} -
+{{30553862} \  \%A}+{12950740}, 
+\\
+\displaystyle
+{{21527266} \  f}+
+{{22306} \  { \%A \sp 7}} -
+{{263139} \  { \%A \sp 6}}+
+\\
+\displaystyle
+{{1166076} \  { \%A \sp 5}} -
+{{1821805} \  { \%A \sp 4}}+
+{{2892788} \  { \%A \sp 3}} -
+\\
+\displaystyle
+\left.
+\left.
+{{10322663} \  { \%A \sp 2}}+
+{{9026596} \  \%A} -{12950740} 
+\right]
+\right],\hbox{\hskip 5.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{? \sp 8}+
+{{12} \  {? \sp 7}}+
+{{58} \  {? \sp 6}}+
+{{120} \  {? \sp 5}}+
+\right.
+\\
+\displaystyle
+{{207} \  {? \sp 4}}+
+{{360} \  {? \sp 3}}+
+{{802} \  {? \sp 2}}+
+{{1332} \  ?}+{1369}, 
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{43054532} \  a}+
+{{33782} \  { \%A \sp 7}}+
+{{546673} \  { \%A \sp 6}}+
+{{3127348} \  { \%A \sp 5}}+
+\right.
+\\
+\displaystyle
+{{6927123} \  { \%A \sp 4}}+
+{{4365212} \  { \%A \sp 3}}+
+{{25086957} \  { \%A \sp 2}}+
+{{39582814} \  \%A}+{107313172}, 
+\\
+\displaystyle
+{{43054532} \  b} -
+{{33782} \  { \%A \sp 7}} -
+{{546673} \  { \%A \sp 6}} -
+{{3127348} \  { \%A \sp 5}} -
+\\
+\displaystyle
+{{6927123} \  { \%A \sp 4}} -
+{{4365212} \  { \%A \sp 3}} -
+{{25086957} \  { \%A \sp 2}} -
+{{39582814} \  \%A} -
+{107313172}, 
+\\
+\displaystyle
+{{21527266} \  c} -
+{{22306} \  { \%A \sp 7}} -
+{{263139} \  { \%A \sp 6}} -
+{{1166076} \  { \%A \sp 5}} -
+\\
+\displaystyle
+{{1821805} \  { \%A \sp 4}} -
+{{2892788} \  {  \%A \sp 3}} -
+{{10322663} \  { \%A \sp 2}} -
+{{9026596} \  \%A} -
+{12950740}, 
+\\
+\displaystyle
+{{43054532} \  d}+
+{{22306} \  { \%A \sp 7}}+
+{{263139} \  { \%A \sp 6}}+
+{{1166076} \  { \%A \sp 5}}+
+\\
+\displaystyle
+{{1821805} \  { \%A \sp 4}}+
+{{2892788} \  {  \%A \sp 3}}+
+{{10322663} \  { \%A \sp 2}}+
+{{30553862} \  \%A}+
+{12950740}, 
+\\
+\displaystyle
+{{43054532} \  e} -
+{{22306} \  { \%A \sp 7}} -
+{{263139} \  { \%A \sp 6}} -
+{{1166076} \  { \%A \sp 5}} -
+\\
+\displaystyle
+{{1821805} \  { \%A \sp 4}} -
+{{2892788} \  {  \%A \sp 3}} -
+{{10322663} \  { \%A \sp 2}} -
+{{30553862} \  \%A} -
+{12950740}, 
+\\
+\displaystyle
+{{21527266} \  f}+
+{{22306} \  { \%A \sp 7}}+
+{{263139} \  { \%A \sp 6}}+
+{{1166076} \  { \%A \sp 5}}+
+\\
+\displaystyle
+\left.
+\left.
+{{1821805} \  { \%A \sp 4}}+
+{{2892788} \  {  \%A \sp 3}}+
+{{10322663} \  { \%A \sp 2}}+
+{{9026596} \  \%A}+
+{12950740}
+\right]
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 4} -{? \sp 2}+1}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ 
+{a - \%A}, 
+{b+{ \%A \sp 3} - \%A}, 
+{c+{ \%A \sp 3}}, 
+{d+ \%A}, 
+{e -{ \%A \sp 3}+ \%A}, 
+{f -{ \%A \sp 3}} 
+\right]
+\right],\hbox{\hskip 1.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 8}+{4 \  {? \sp 6}}+{{12} \  {? \sp 4}}+{{16} \  {? \sp 2}}+4}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{4 \  a} -
+{2 \  { \%A \sp 7}} -
+{7 \  { \%A \sp 5}} -
+{{20} \  { \%A \sp 3}} -
+{{22} \  \%A}}, 
+\right.
+\\
+\displaystyle
+{{4 \  b}+
+{2 \  { \%A \sp 7}}+
+{7 \  { \%A \sp 5}}+
+{{20} \  { \%A \sp 3}}+
+{{22} \   \%A}}, 
+\\
+\displaystyle
+{{4 \  c}+
+{ \%A \sp 7}+
+{3 \  { \%A \sp 5}}+
+{{10} \  { \%A \sp 3}}+
+{{10} \  \%A}}, 
+\\
+\displaystyle
+{{4 \  d}+{ \%A \sp 7}+
+{3 \  { \%A \sp 5}}+{{10} \  {  \%A \sp 3}}+
+{6 \  \%A}},
+\\
+\displaystyle
+{{4 \  e} -
+{ \%A \sp 7} -
+{3 \  { \%A \sp 5}} -
+{{10} \  { \%A \sp 3}} -
+{6 \  \%A}}, 
+\\
+\displaystyle
+\left.
+\left.
+{{4 \  f} -
+{ \%A \sp 7} -
+{3 \  { \%A \sp 5}} -
+{{10} \  { \%A \sp 3}} -
+{{10} \  \%A}} 
+\right]
+\right],\hbox{\hskip 6.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4}+{6 \  {? \sp 3}}+{{30} \  {? \sp 2}}+{{36} \  ?}+{36}},
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{30} \  a} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\right.
+\\
+\displaystyle
+{{6 \  b}+{ \%A \sp 3}+{5 \  {  \%A \sp 2}}+{{24} \  \%A}+6}, 
+\\
+\displaystyle
+{{{30} \  c} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -6}, 
+\\
+\displaystyle
+{{{30} \  d} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\\
+\displaystyle
+{{{30} \  e} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  f} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6} 
+\right]
+\right],\hbox{\hskip 6.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4} -{6 \  {? \sp 3}}+{{30} \  {? \sp 2}} -{{36} \  ?}+{36}},
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{30} \  a} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\right.
+\\
+\displaystyle
+{{6 \  b}+{ \%A \sp 3} -{5 \  { \%A \sp 2}}+{{24} \  \%A} -6}, 
+\\
+\displaystyle
+{{{30} \  c} -{ \%A \sp 3}+{5 \  { \%A \sp 2}}+6}, 
+\\
+\displaystyle
+{{{30} \  d} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\\
+\displaystyle
+{{{30} \  e} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  f} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6} 
+\right]
+\right],\hbox{\hskip 6.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2}+{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ 
+{a+1}, {b - \%A -5}, {c+ \%A+1}, {d+1}, {e+1}, {f+1} 
+\right]
+\right],\hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2} -{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ 
+{a -1}, {b - \%A+5}, {c+ \%A -1}, {d -1}, {e -1}, {f -1} 
+\right]
+\right],\hbox{\hskip 4.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4}+{6 \  {? \sp 3}}+{{30} \  {? \sp 2}}+{{36} \  ?}+{36}},
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{6 \  a}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+{{24} \  \%A}+6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  b} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -6}, 
+\\
+\displaystyle
+{{{30} \  c} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \   \%A} -6}, 
+\\
+\displaystyle
+{{{30} \  d} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\\
+\displaystyle
+{{{30} \  e} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  f} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6} 
+\right]
+\right],\hbox{\hskip 6.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4} -{6 \  {? \sp 3}}+{{30} \  {? \sp 2}} -{{36} \  ?}+{36}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{6 \  a}+{ \%A \sp 3} -{5 \  {  \%A \sp 2}}+{{24} \  \%A} -6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  b} -{ \%A \sp 3}+{5 \  { \%A \sp 2}}+6}, 
+\\
+\displaystyle
+{{{30} \  c} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\\
+\displaystyle
+{{{30} \  d} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\\
+\displaystyle
+{{{30} \  e} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  f} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6} 
+\right]
+\right],\hbox{\hskip 6.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2}+{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+\left.
+coordinates=
+\left[ 
+{a - \%A -5}, {b+ \%A+1}, {c+1}, {d+1}, {e+1}, {f+1} 
+\right]
+\right],\hbox{\hskip 2.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2} -{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+\left.
+coordinates=
+\left[ 
+{a - \%A+5}, {b+ \%A -1}, {c -1}, {d -1}, {e -1}, {f -1} 
+\right]
+\right],\hbox{\hskip 2.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4}+{6 \  {? \sp 3}}+{{30} \  {? \sp 2}}+{{36} \  ?}+{36}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{30} \  a} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  b} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\\
+\displaystyle
+{{6 \  c}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+{{24} \  \%A}+6}, 
+\\
+\displaystyle
+{{{30} \  d} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -6}, 
+\\
+\displaystyle
+{{{30} \  e} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  f} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6} 
+\right]
+\right],\hbox{\hskip 6.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4} -{6 \  {? \sp 3}}+{{30} \  {? \sp 2}} -{{36} \  ?}+{36}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{30} \  a} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  b} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\\
+\displaystyle
+{{6 \  c}+{ \%A \sp 3} -{5 \  { \%A \sp 2}}+{{24} \  \%A} -6}, 
+\\
+\displaystyle
+{{{30} \  d} -{ \%A \sp 3}+{5 \  { \%A \sp 2}}+6}, 
+\\
+\displaystyle
+{{{30} \  e} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  f} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6} 
+\right]
+\right],\hbox{\hskip 6.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2}+{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+\left.
+coordinates=
+\left[ 
+{a+1}, {b+1}, {c - \%A -5}, {d+ \%A+1}, {e+1}, {f+1} 
+\right]
+\right],\hbox{\hskip 2.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2} -{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+\left.
+coordinates=
+\left[ 
+{a -1}, {b -1}, {c - \%A+5}, {d+ \%A -1}, {e -1}, {f -1} 
+\right]
+\right],\hbox{\hskip 2.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{? \sp 8}+
+{6 \  {? \sp 7}}+
+{{16} \  {? \sp 6}}+
+{{24} \  {? \sp 5}}+
+{{18} \  {? \sp 4}} -
+{8 \  {? \sp 2}}+
+4, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{2 \  a}+
+{2 \  { \%A \sp 7}}+
+{9 \  { \%A \sp 6}}+
+{{18} \  { \%A \sp 5}}+
+{{19} \  { \%A \sp 4}}+
+{4 \  { \%A \sp 3}} -
+{{10} \  { \%A \sp 2}} -
+{2 \  \%A}+
+4, 
+\right.
+\\
+\displaystyle
+{2 \  b}+
+{2 \  { \%A \sp 7}}+
+{9 \  { \%A \sp 6}}+
+{{18} \  { \%A \sp 5}}+
+{{19} \  { \%A \sp 4}}+
+{4 \  { \%A \sp 3}} -
+{{10} \  { \%A \sp 2}} -
+{4 \  \%A}+
+4, 
+\\
+\displaystyle
+{2 \  c} -
+{ \%A \sp 7} -
+{4 \  { \%A \sp 6}} -
+{8 \  { \%A \sp 5}} -
+{9 \  { \%A \sp 4}} -
+{4 \  { \%A \sp 3}} -
+{2 \   \%A} -
+4, 
+\\
+\displaystyle
+{2 \  d}+
+{ \%A \sp 7}+
+{4 \  { \%A \sp 6}}+
+{8 \  { \%A \sp 5}}+
+{9 \  { \%A \sp 4}}+
+{4 \  { \%A \sp 3}}+
+{2 \  \%A}+
+4, 
+\\
+\displaystyle
+{2 \  e} -
+{2 \  { \%A \sp 7}} -
+{9 \  { \%A \sp 6}} -
+{{18} \  { \%A \sp 5}} -
+{{19} \  { \%A \sp 4}} -
+{4 \  { \%A \sp 3}}+
+{{10} \  { \%A \sp 2}}+
+{4 \  \%A} -
+4, 
+\\
+\displaystyle
+\left.
+\left.
+{2 \  f} -
+{2 \  { \%A \sp 7}} -
+{9 \  { \%A \sp 6}} -
+{{18} \  { \%A \sp 5}} -
+{{19} \  { \%A \sp 4}} -
+{4 \  { \%A \sp 3}}+
+{{10} \  { \%A \sp 2}}+
+{2 \  \%A} -
+4 
+\right]
+\right],\hbox{\hskip 1.0cm} %mmmm
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+\right.
+\\
+\displaystyle
+{? \sp 8}+{{12} \  {? \sp 7}}+
+{{64} \  {? \sp 6}}+
+{{192} \  {? \sp 5}}+
+{{432} \  {? \sp 4}}+
+{{768} \  {? \sp 3}}+
+{{1024} \  {? \sp 2}}+
+{{768} \  ?}+
+{256}, 
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{1408} \  a} -
+{{19} \  { \%A \sp 7}} -
+{{200} \  { \%A \sp 6}} -
+{{912} \  { \%A \sp 5}} -
+{{2216} \  { \%A \sp 4}} -
+\right.
+\\
+\displaystyle
+{{4544} \  { \%A \sp 3}} -
+{{6784} \  { \%A \sp 2}} -
+{{6976} \  \%A} -
+{1792}, 
+\\
+\displaystyle
+{{1408} \  b} -
+{{37} \  { \%A \sp 7}} -
+{{408} \  { \%A \sp 6}} -
+{{1952} \  { \%A \sp 5}} -
+{{5024} \  { \%A \sp 4}} -
+\\
+\displaystyle
+{{10368} \  { \%A \sp 3}} -
+{{16768} \  { \%A \sp 2}} -
+{{17920} \  \%A} -
+{5120}, 
+\\
+\displaystyle
+{{1408} \  c}+
+{{37} \  { \%A \sp 7}}+
+{{408} \  { \%A \sp 6}}+
+{{1952} \  { \%A \sp 5}}+
+{{5024} \  { \%A \sp 4}}+
+\\
+\displaystyle
+{{10368} \  { \%A \sp 3}}+
+{{16768} \  { \%A \sp 2}}+
+{{17920} \  \%A}+
+{5120}, 
+\\
+\displaystyle
+{{1408} \  d}+
+{{19} \  { \%A \sp 7}}+
+{{200} \  { \%A \sp 6}}+
+{{912} \  { \%A \sp 5}}+
+{{2216} \  { \%A \sp 4}}+
+\\
+\displaystyle
+{{4544} \  { \%A \sp 3}}+
+{{6784} \  { \%A \sp 2}}+
+{{6976} \  \%A}+
+{1792}, 
+\\
+\displaystyle
+{{2 \  e}+ \%A}, 
+\\
+\displaystyle
+\left.
+\left.
+{{2 \  f} - \%A} 
+\right]
+\right],\hbox{\hskip 10.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 8}+
+{4 \  {? \sp 6}}+
+{{12} \  {? \sp 4}}+
+{{16} \  {? \sp 2}}+
+4}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{4 \  a} -
+{ \%A \sp 7} -
+{3 \  { \%A \sp 5}} -
+{{10} \  { \%A \sp 3}} -
+{6 \  \%A}}, 
+\right.
+\\
+\displaystyle
+{{4 \  b} -
+{  \%A \sp 7} -
+{3 \  { \%A \sp 5}} -
+{{10} \  { \%A \sp 3}} -
+{{10} \  \%A}}, 
+\\
+\displaystyle
+{{4 \  c} -
+{2 \  { \%A \sp 7}} -
+{7 \  { \%A \sp 5}} -
+{{20} \  { \%A \sp 3}} -
+{{22} \  \%A}}, 
+\\
+\displaystyle
+{{4 \  d}+
+{2 \  { \%A \sp 7}}+
+{7 \  { \%A \sp 5}}+
+{{20} \  { \%A \sp 3}}+
+{{22} \  \%A}}, 
+\\
+\displaystyle
+{{4 \  e}+
+{ \%A \sp 7}+
+{3 \  { \%A \sp 5}}+
+{{10} \  { \%A \sp 3}}+
+{{10} \  \%A}}, 
+\\
+\displaystyle
+\left.
+\left.
+{{4 \  f}+
+{ \%A \sp 7}+
+{3 \  {  \%A \sp 5}}+
+{{10} \  { \%A \sp 3}}+
+{6 \  \%A}} 
+\right]
+\right],\hbox{\hskip 5.9cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 8}+{{16} \  {? \sp 6}} -{{96} \  {? \sp 4}}+
+{{256} \  {? \sp 2}}+{256}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{512} \  a} -
+{  \%A \sp 7} -
+{{12} \  { \%A \sp 5}}+
+{{176} \  { \%A \sp 3}} -
+{{448} \  \%A}}, 
+\right.
+\\
+\displaystyle
+{{{128} \  b} -
+{ \%A \sp 7} -
+{{16} \  { \%A \sp 5}}+
+{{96} \  { \%A \sp 3}} 
+-{{256} \  \%A}}, 
+\\
+\displaystyle
+{{{128} \  c}+
+{ \%A \sp 7}+
+{{16} \  { \%A \sp 5}} -
+{{96} \  { \%A \sp 3}}+
+{{256} \  \%A}}, 
+\\
+\displaystyle
+{{{512} \  d}+
+{ \%A \sp 7}+
+{{12} \  {  \%A \sp 5}} -
+{{176} \  { \%A \sp 3}}+
+{{448} \  \%A}}, 
+\\
+\displaystyle
+{{2 \  e}+ \%A}, 
+\\
+\displaystyle
+\left.
+\left.
+{{2 \  f} - \%A} 
+\right]
+\right],\hbox{\hskip 10.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+\right.
+\\
+\displaystyle
+{{? \sp 8} -
+{{12} \  {? \sp 7}}+
+{{64} \  {? \sp 6}} -
+{{192} \  {? \sp 5}}+
+{{432} \  {? \sp 4}} -
+{{768} \  {? \sp 3}}+
+{{1024} \  {? \sp 2}} -
+{{768} \  ?}+
+{256}}, 
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{1408} \  a} -
+{{19} \  { \%A \sp 7}}+
+{{200} \  { \%A \sp 6}} -
+{{912} \  { \%A \sp 5}}+
+{{2216} \  { \%A \sp 4}} -
+\right.
+\\
+\displaystyle
+{{4544} \  { \%A \sp 3}}+
+{{6784} \  { \%A \sp 2}} -
+{{6976} \  \%A}+
+{1792}, 
+\\
+\displaystyle
+{{1408} \  b} -
+{{37} \  { \%A \sp 7}}+
+{{408} \  { \%A \sp 6}} -
+{{1952} \  { \%A \sp 5}}+
+{{5024} \  { \%A \sp 4}} -
+\\
+\displaystyle
+{{10368} \  { \%A \sp 3}}+
+{{16768} \  { \%A \sp 2}} -
+{{17920} \   \%A}+
+{5120}, 
+\\
+\displaystyle
+{{1408} \  c}+
+{{37} \  { \%A \sp 7}} -
+{{408} \  { \%A \sp 6}}+
+{{1952} \  { \%A \sp 5}} -
+{{5024} \  { \%A \sp 4}}+
+\\
+\displaystyle
+{{10368} \  { \%A \sp 3}} -
+{{16768} \  { \%A \sp 2}}+
+{{17920} \  \%A} -
+{5120}, 
+\\
+\displaystyle
+{{1408} \  d}+
+{{19} \  { \%A \sp 7}} -
+{{200} \  { \%A \sp 6}}+
+{{912} \  { \%A \sp 5}} -
+{{2216} \  { \%A \sp 4}}+
+\\
+\displaystyle
+{{4544} \  { \%A \sp 3}} -
+{{6784} \  { \%A \sp 2}}+
+{{6976} \  \%A} -
+{1792}, 
+\\
+\displaystyle
+{{2 \  e}+ \%A}, 
+\\
+\displaystyle
+\left.
+\left.
+{{2 \  f} - \%A} 
+\right]
+\right],\hbox{\hskip 10.0cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 8} -
+{6 \  {? \sp 7}}+
+{{16} \  {? \sp 6}} -
+{{24} \  {? \sp 5}}+
+{{18} \  {? \sp 4}} -
+{8 \  {? \sp 2}}+
+4}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{2 \  a}+
+{2 \  { \%A \sp 7}} -
+{9 \  { \%A \sp 6}}+
+{{18} \  { \%A \sp 5}} -
+{{19} \  { \%A \sp 4}}+
+{4 \  { \%A \sp 3}}+
+{{10} \  { \%A \sp 2}} -
+{2 \  \%A} -
+4},
+\right.
+\\
+\displaystyle
+{{2 \  b}+
+{2 \  { \%A \sp 7}} -
+{9 \  { \%A \sp 6}}+
+{{18} \  { \%A \sp 5}} -
+{{19} \  { \%A \sp 4}}+
+{4 \  { \%A \sp 3}}+
+{{10} \  { \%A \sp 2}} -
+{4 \  \%A} -
+4},
+\\
+\displaystyle
+{{2 \  c} -
+{ \%A \sp 7}+
+{4 \  { \%A \sp 6}} -
+{8 \  { \%A \sp 5}}+
+{9 \  { \%A \sp 4}} -
+{4 \  { \%A \sp 3}} -
+{2 \   \%A}+
+4}, 
+\\
+\displaystyle
+{{2 \  d}+
+{ \%A \sp 7} -
+{4 \  { \%A \sp 6}}+
+{8 \  { \%A \sp 5}} -
+{9 \  { \%A \sp 4}}+
+{4 \  { \%A \sp 3}}+
+{2 \  \%A} -
+4}, 
+\\
+\displaystyle
+{{2 \  e} -
+{2 \  { \%A \sp 7}}+
+{9 \  { \%A \sp 6}} -
+{{18} \  { \%A \sp 5}}+
+{{19} \  { \%A \sp 4}} -
+{4 \  { \%A \sp 3}} -
+{{10} \  { \%A \sp 2}}+
+{4 \  \%A}+
+4},
+\\
+\displaystyle
+\left.
+\left.
+{{2 \  f} -
+{2 \  { \%A \sp 7}}+
+{9 \  { \%A \sp 6}} -
+{{18} \  { \%A \sp 5}}+
+{{19} \  {  \%A \sp 4}} -
+{4 \  { \%A \sp 3}} -
+{{10} \  { \%A \sp 2}}+
+{2 \  \%A}+
+4} 
+\right]
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 4}+{{12} \  {? \sp 2}}+{144}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{12} \  a} -{ \%A \sp 2} -{12}}, 
+{{{12} \  b} -{  \%A \sp 2} -{12}}, 
+{{{12} \  c} -{ \%A \sp 2} -{12}}, 
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{{{12} \  d} -{  \%A \sp 2} -{12}}, 
+{{6 \  e}+{ \%A \sp 2}+{3 \  \%A}+{12}}, 
+{{6 \  f}+{  \%A \sp 2} -{3 \  \%A}+{12}} 
+\right]
+\right],\hbox{\hskip 2.4cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 4}+{6 \  {? \sp 3}}+{{30} \  {? \sp 2}}+{{36} \  ?}+{36}},
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{6 \  a} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{24} \  \%A} -6}, 
+{{{30} \  b}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+{{30} \  \%A}+6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  c}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+{{30} \  \%A}+6}, 
+{{{30} \  d}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+{{30} \  \%A}+6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  e}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+{{30} \   \%A}+6}, 
+{{{30} \  f}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+6} 
+\right]
+\right],\hbox{\hskip 2.4cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots=
+{{? \sp 4} -{6 \  {? \sp 3}}+{{30} \  {? \sp 2}}-{{36} \  ?}+{36}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{6 \  a} -{ \%A \sp 3}+{5 \  {  \%A \sp 2}} -{{24} \  \%A}+6}, 
+{{{30} \  b}+{ \%A \sp 3} -{5 \  { \%A \sp 2}}+{{30} \  \%A} -6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  c}+{ \%A \sp 3} -{5 \  { \%A \sp 2}}+{{30} \  \%A} -6}, 
+{{{30} \  d}+{ \%A \sp 3} -{5 \  { \%A \sp 2}}+{{30} \  \%A} -6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  e}+{ \%A \sp 3} -{5 \  { \%A \sp 2}}+{{30} \  \%A} -6}, 
+{{{30} \  f}+{ \%A \sp 3} -{5 \  { \%A \sp 2}} -6} 
+\right]
+\right],\hbox{\hskip 2.4cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 4}+{{12} \  {? \sp 2}}+{144}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{12} \  a}+{ \%A \sp 2}+{12}}, {{{12} \  b}+{ \%A \sp 2}+{12}}, 
+{{{12} \  c}+{ \%A \sp 2}+{12}}, {{{12} \  d}+{ \%A \sp 2}+{12}}, 
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{{6 \  e} -{ \%A \sp 2}+{3 \  \%A} -{12}}, 
+{{6 \  f} -{ \%A \sp 2} -{3 \  \%A} -{12}} 
+\right]
+\right],\hbox{\hskip 3.7cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2} -{12}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ {a -1}, {b -1}, {c -1}, {d -1}, {{2 \  e}+ \%A+4}, {{2 \  f} - \%A+4} 
+\right]
+\right],\hbox{\hskip 3.7cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2}+{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ {a+  \%A+5}, {b -1}, {c -1}, {d -1}, {e -1}, {f - \%A -1} 
+\right]
+\right],\hbox{\hskip 3.9cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2} -{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ 
+{a+ \%A -5}, {b+1}, {c+1}, {d+1}, {e+1}, {f - \%A+1} 
+\right]
+\right],\hbox{\hskip 3.9cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2} -{12}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ {a+1}, {b+1}, {c+1}, {d+1}, {{2 \  e}+ \%A -4}, {{2 \  f} - \%A -4} 
+\right]
+\right],\hbox{\hskip 3.3cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 4}+{6 \  {? \sp 3}}+{{30} \  {? \sp 2}}+{{36} \  ?}+{36}},
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{30} \  a} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+{{{30} \  b} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  c} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6}, 
+{{6 \  d}+{ \%A \sp 3}+{5 \  { \%A \sp 2}}+{{24} \  \%A}+6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  e} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -6}, 
+{{{30} \  f} -{ \%A \sp 3} -{5 \  { \%A \sp 2}} -{{30} \  \%A} -6} 
+\right]
+\right],\hbox{\hskip 1.7cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 4} -{6 \  {? \sp 3}}+{{30} \  {? \sp 2}} -{{36} \  ?}+{36}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{{30} \  a} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+{{{30} \  b} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+\right.
+\\
+\displaystyle
+{{{30} \  c} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6}, 
+{{6 \  d}+{ \%A \sp 3} -{5 \  { \%A \sp 2}}+{{24} \   \%A} -6}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{30} \  e} -{ \%A \sp 3}+{5 \  { \%A \sp 2}}+6}, 
+{{{30} \  f} -{ \%A \sp 3}+{5 \  { \%A \sp 2}} -{{30} \  \%A}+6} 
+\right]
+\right],\hbox{\hskip 1.7cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2}+{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ 
+{a+1}, {b+1}, {c+1}, {d - \%A -5}, {e+ \%A+1}, {f+1} 
+\right]
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\left.
+\begin{array}{@{}l}
+\left[ 
+complexRoots={{? \sp 2} -{6 \  ?}+6}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left.
+\left[ {a -1}, {b -1}, {c -1}, {d - \%A+5}, {e+ \%A -1}, {f -1} 
+\right]
+\right]\hbox{\hskip 3.5cm}
+\end{array}
+\right]
+$$
+\returnType{Type: List Record(complexRoots: SparseUnivariatePolynomial Integer,coordinates: List Polynomial Integer)}
+
+Since the \spadfunFrom{univariateSolve}{ZeroDimensionalSolvePackage}
+operation may split a regular set, it returns a list. This explains
+the use of \spadfunFrom{concat}{List}.
+
+Look at the last item of the result. It consists of two parts.  For
+any complex root {\bf ?} of the univariate polynomial in the first
+part, we get a tuple of univariate polynomials (in {\bf a}, ..., 
+{\bf f} respectively) by replacing {\bf \%A} by {\bf ?} in the second part.
+Each of these tuples {\bf t} describes a point of the variety
+associated with {\bf lp} by equaling to zero the polynomials in {\bf t}.
+
+Note that the way of reading these univariate representations is explained also
+in the example illustrating the {\tt ZeroDimensionalSolvePackage} constructor.
+
+Now, we compute the points of the variety with real coordinates.
+
+\spadcommand{concat [realSolve(ts)\$zdpack for ts in lts]  }
+$$
+\left[
+{\left[ 
+{ \%B{23}}, { \%B{23}}, { \%B{23}}, { \%B{27}}, 
+{-{ \%B{27}} -{4 \  { \%B{23}}}}, { \%B{23}} 
+\right]},
+\right.\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ 
+{ \%B{23}}, { \%B{23}}, { \%B{23}}, { \%B{28}}, 
+{-{  \%B{28}} -{4 \  { \%B{23}}}}, { \%B{23}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ 
+{ \%B{24}}, { \%B{24}}, { \%B{24}}, { \%B{25}}, 
+{-{  \%B{25}} -{4 \  { \%B{24}}}}, { \%B{24}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ 
+{ \%B{24}}, { \%B{24}}, { \%B{24}}, { \%B{26}}, 
+{-{  \%B{26}} -{4 \  { \%B{24}}}}, { \%B{24}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{29}}, { \%B{29}}, { \%B{29}}, { \%B{29}}, 
+{  \%B{33}}, {-{ \%B{33}} -{4 \  { \%B{29}}}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ 
+{ \%B{29}}, { \%B{29}}, { \%B{29}}, { \%B{29}}, 
+{  \%B{34}}, {-{ \%B{34}} -{4 \  { \%B{29}}}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{30}}, { \%B{30}}, { \%B{30}}, { \%B{30}}, 
+{  \%B{31}}, {-{ \%B{31}} -{4 \  { \%B{30}}}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{30}}, { \%B{30}}, { \%B{30}}, { \%B{30}}, 
+{  \%B{32}}, {-{ \%B{32}} -{4 \  { \%B{30}}}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{35}}, { \%B{35}}, { \%B{39}}, 
+{-{ \%B{39}} -{4 \  {  \%B{35}}}}, { \%B{35}}, { \%B{35}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{35}}, { \%B{35}}, { \%B{40}}, {-{ \%B{40}} -{4 \  { 
+ \%B{35}}}}, { \%B{35}}, { \%B{35}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{36}}, { \%B{36}}, { \%B{37}}, {-{ \%B{37}} -{4 \  { 
+ \%B{36}}}}, { \%B{36}}, { \%B{36}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{36}}, { \%B{36}}, { \%B{38}}, {-{ \%B{38}} -{4 \  { 
+ \%B{36}}}}, { \%B{36}}, { \%B{36}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{41}}, 
+\right.
+\\
+\displaystyle
+{ \%B{51}}, 
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{41}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{41}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{25769893181} \over {49235160}} \  {{ \%B{41}} \sp {19}}} -
+{{{1975912990729} \over {3003344760}} \  {{ \%B{41}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{1048460696489} \over {2002229840}} \  {{ \%B{41}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{41}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{41}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{41}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{41}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{41}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{41}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{41}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{41}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{41}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{41}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{41}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{41}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{41}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{51}} -{{{4321823003} \over {1387545279120}} \  {{ \%B{41}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{41}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{41}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{41}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{41}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{41}}} 
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{41}}, { \%B{52}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{41}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{41}} \sp {25}}} -
+{{{25769893181} \over {49235160}} \  {{ \%B{41}} \sp {19}}} -
+\\
+\\
+\displaystyle
+{{{1975912990729} \over {3003344760}} \  {{ \%B{41}} \sp {13}}} -
+{{{1048460696489} \over {2002229840}} \  {{ \%B{41}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{41}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{41}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{41}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{41}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{41}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{41}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{41}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{41}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{41}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{41}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{41}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{41}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{41}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{52}} -{{{4321823003} \over {1387545279120}} \  {{ \%B{41}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{41}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{41}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{41}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{41}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{41}}} 
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{42}}, { \%B{49}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{42}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{42}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{25769893181} \over {49235160}} \  {{ \%B{42}} \sp {19}}} -
+{{{1975912990729} \over {3003344760}} \  {{ \%B{42}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{1048460696489} \over {2002229840}} \  {{ \%B{42}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{42}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{42}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{42}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{42}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{42}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{42}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{42}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{42}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{42}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{42}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{42}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{42}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{42}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{49}} -{{{4321823003} \over {1387545279120}} \  {{ \%B{42}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{42}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{42}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{42}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{42}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{42}}} 
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{42}}, { \%B{50}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{42}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{42}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{25769893181} \over {49235160}} \  {{ \%B{42}} \sp {19}}} -
+{{{1975912990729} \over {3003344760}} \  {{ \%B{42}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{1048460696489} \over {2002229840}} \  {{ \%B{42}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{42}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{42}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{42}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{42}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{42}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{42}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{42}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{42}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{42}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{42}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{42}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{42}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{42}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{50}} -{{{4321823003} \over {1387545279120}} \  {{ \%B{42}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{42}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{42}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{42}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{42}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{42}}} 
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{43}}, { \%B{47}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{43}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{43}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{25769893181} \over {49235160}} \  {{ \%B{43}} \sp {19}}} -
+{{{1975912990729} \over {3003344760}} \  {{ \%B{43}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{1048460696489} \over {2002229840}} \  {{ \%B{43}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{43}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{43}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{43}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{43}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{43}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{43}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{43}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{43}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{43}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{43}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{43}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{43}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{43}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{47}} -{{{4321823003} \over {1387545279120}} \  {{ \%B{43}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{43}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{43}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{43}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{43}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{43}}} 
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{43}}, { \%B{48}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{43}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{43}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{25769893181} \over {49235160}} \  {{ \%B{43}} \sp {19}}} -
+{{{1975912990729} \over {3003344760}} \  {{ \%B{43}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{1048460696489} \over {2002229840}} \  {{ \%B{43}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{43}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{43}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{43}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{43}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{43}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{43}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{43}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{43}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{43}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{43}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{43}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{43}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{43}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{48}} -{{{4321823003} \over {1387545279120}} \  {{ \%B{43}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{43}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{43}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{43}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{43}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{43}}} 
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{44}}, { \%B{45}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{44}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{44}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{25769893181} \over {49235160}} \  {{ \%B{44}} \sp {19}}} -
+{{{1975912990729} \over {3003344760}} \  {{ \%B{44}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{1048460696489} \over {2002229840}} \  {{ \%B{44}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{44}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{44}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{44}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{44}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{44}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{44}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{44}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{44}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{44}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{44}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{44}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{44}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{44}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{45}} -{{{4321823003} \over {1387545279120}} \  {{ \%B{44}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{44}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{44}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{44}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{44}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{44}}}
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{44}}, { \%B{46}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{7865521} \over {6006689520}} \  {{ \%B{44}} \sp {31}}} -
+{{{6696179241} \over {2002229840}} \  {{ \%B{44}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{25769893181} \over {49235160}} \  {{ \%B{44}} \sp {19}}} -
+{{{1975912990729} \over {3003344760}} \  {{ \%B{44}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{1048460696489} \over {2002229840}} \  {{ \%B{44}} \sp 7}} -
+{{{21252634831} \over {6006689520}} \  { \%B{44}}}, 
+\\
+\\
+\displaystyle
+-{{{778171189} \over {1387545279120}} \  {{ \%B{44}} \sp {31}}}+
+{{{1987468196267} \over {1387545279120}} \  {{ \%B{44}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{155496778477189} \over {693772639560}} \  {{ \%B{44}} \sp {19}}}+
+{{{191631411158401} \over {693772639560}} \  {{ \%B{44}} \sp {13}}}+
+\\
+\\
+\displaystyle
+{{{300335488637543} \over {1387545279120}} \  {{ \%B{44}} \sp 7}} -
+{{{755656433863} \over {198220754160}} \  { \%B{44}}}, 
+\\
+\\
+\displaystyle
+{{{1094352947} \over {462515093040}} \  {{ \%B{44}} \sp {31}}} -
+{{{2794979430821} \over {462515093040}} \  {{  \%B{44}} \sp {25}}} -
+\\
+\\
+\displaystyle
+{{{218708802908737} \over {231257546520}} \  {{ \%B{44}} \sp {19}}} -
+{{{91476663003591} \over {77085848840}} \  {{ \%B{44}} \sp {13}}} -
+\\
+\\
+\displaystyle
+{{{145152550961823} \over {154171697680}} \  {{ \%B{44}} \sp 7}} -
+{{{1564893370717} \over {462515093040}} \  { \%B{44}}}, 
+\\
+\\
+\displaystyle
+-{ \%B{46}} -
+{{{4321823003} \over {1387545279120}} \  {{ \%B{44}} \sp {31}}}+
+{{{180949546069} \over {22746643920}} \  {{ \%B{44}} \sp {25}}}+
+\\
+\\
+\displaystyle
+{{{863753195062493} \over {693772639560}} \  {{ \%B{44}} \sp {19}}}+
+{{{1088094456732317} \over {693772639560}} \  {{ \%B{44}} \sp {13}}}+
+\\
+\\
+\displaystyle
+\left.
+{{{1732620732685741} \over {1387545279120}} \  {{ \%B{44}} \sp 7}}+
+{{{13506088516033} \over {1387545279120}} \  { \%B{44}}} 
+\right],\hbox{\hskip 3.5cm}
+\end{array}
+$$
+$$
+{\left[ { \%B{53}}, { \%B{57}}, {-{ \%B{57}} -{4 \  { \%B{53}}}}, 
+{ \%B{53}}, { \%B{53}}, { \%B{53}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{53}}, { \%B{58}}, {-{ \%B{58}} -{4 \  { \%B{53}}}}, 
+{ \%B{53}}, { \%B{53}}, { \%B{53}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+{\left[ { \%B{54}}, { \%B{55}}, {-{ \%B{55}} -{4 \  { \%B{54}}}}, 
+{ \%B{54}}, { \%B{54}}, { \%B{54}} 
+\right]},\hbox{\hskip 3.5cm}
+$$
+$$
+\left.
+{\left[ { \%B{54}}, { \%B{56}}, {-{ \%B{56}} -{4 \  { \%B{54}}}}, 
+{ \%B{54}}, { \%B{54}}, { \%B{54}} 
+\right]}\hbox{\hskip 3.5cm}
+\right]
+$$
+\returnType{Type: List List RealClosure Fraction Integer}
+
+We obtain 24 points given by lists of elements in the {\tt RealClosure} 
+of {\tt Fraction} of {\bf R}.  In each list, the first value corresponds 
+to the indeterminate {\bf f}, the second to {\bf e} and so on.  See 
+{\tt ZeroDimensionalSolvePackage} to learn more about the 
+\spadfunFrom{realSolve}{ZeroDimensionalSolvePackage} operation.
+
+\section{LazardSetSolvingPackage}
+\label{LazardSetSolvingPackageXmpPage}
+
+The {\tt LazardSetSolvingPackage} package constructor solves
+polynomial systems by means of Lazard triangular sets.  However one
+condition is relaxed: Regular triangular sets whose saturated ideals
+have positive dimension are not necessarily normalized.
+
+The decompositions are computed in two steps.  First the algorithm of
+Moreno Maza (implemented in the {\tt RegularTriangularSet} domain
+constructor) is called.  Then the resulting decompositions are
+converted into lists of square-free regular triangular sets and the
+redundant components are removed.  Moreover, zero-dimensional regular
+triangular sets are normalized.
+
+Note that the way of understanding triangular decompositions 
+is detailed in the example of the {\tt RegularTriangularSet}
+constructor.
+
+The {\tt LazardSetSolvingPackage} constructor takes six arguments.
+The first one, {\bf R}, is the coefficient ring of the polynomials; it
+must belong to the category {\tt GcdDomain}.  The second one, {\bf E},
+is the exponent monoid of the polynomials; it must belong to the
+category {\tt OrderedAbelianMonoidSup}.  the third one, {\bf V}, is
+the ordered set of variables; it must belong to the category {\tt
+OrderedSet}.  The fourth one is the polynomial ring; it must belong to
+the category {\tt RecursivePolynomialCategory(R,E,V)}.  The fifth one
+is a domain of the category {\tt RegularTriangularSetCategory(R,E,V,P)} 
+and the last one is a domain of
+the category {\tt SquareFreeRegularTriangularSetCategory(R,E,V,P)}.
+The abbreviation for {\tt LazardSetSolvingPackage} is {\tt LAZM3PK}.
+
+{\bf N.B.} For the purpose of solving zero-dimensional algebraic systems,
+see also {\tt LexTriangularPackage} and {\tt ZeroDimensionalSolvePackage}.
+These packages are easier to call than {\tt LAZM3PK}.
+Moreover, the {\tt ZeroDimensionalSolvePackage} 
+package  provides operations
+to compute either the complex roots or the real roots.
+
+We illustrate now the use of the {\tt LazardSetSolvingPackage} package 
+constructor with two examples (Butcher and Vermeer).
+
+Define the coefficient ring.
+
+\spadcommand{R := Integer}
+$$
+Integer 
+$$
+\returnType{Type: Domain}
+
+Define the list of variables,
+
+\spadcommand{ls : List Symbol := [b1,x,y,z,t,v,u,w] }
+$$
+\left[
+b1, x, y, z, t, v, u, w 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+and make it an ordered set:
+
+\spadcommand{V := OVAR(ls)}
+$$
+\mbox{\rm OrderedVariableList [b1,x,y,z,t,v,u,w]} 
+$$
+\returnType{Type: Domain}
+
+then define the exponent monoid.
+
+\spadcommand{E := IndexedExponents V  }
+$$
+\mbox{\rm IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w]} 
+$$
+\returnType{Type: Domain}
+
+Define the polynomial ring.
+
+\spadcommand{P := NSMP(R, V)}
+$$
+\begin{array}{@{}l}
+{\rm NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [b1,x,y,z,t,v,u,w])} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+Let the variables be polynomial.
+
+\spadcommand{b1: P := 'b1}
+$$
+b1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{x: P := 'x  }
+$$
+x 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{y: P := 'y  }
+$$
+y 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{z: P := 'z}
+$$
+z 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{t: P := 't}
+$$
+t 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{u: P := 'u}
+$$
+u 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{v: P := 'v}
+$$
+v 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{w: P := 'w}
+$$
+w 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+Now call the {\tt RegularTriangularSet} domain constructor.
+
+\spadcommand{T := REGSET(R,E,V,P)}
+$$
+\begin{array}{@{}l}
+{\rm RegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList[b1,x,y,z,t,v,u,w]))}
+\end{array}
+$$
+\returnType{Type: Domain}
+
+Define a polynomial system (the Butcher example).
+
+\spadcommand{p0 := b1 + y + z - t - w}
+$$
+b1+y+z -t -w 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{p1 := 2*z*u + 2*y*v + 2*t*w - 2*w**2 - w - 1}
+$$
+{2 \  v \  y}+{2 \  u \  z}+{2 \  w \  t} -{2 \  {w \sp 2}} -w -1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{p2 := 3*z*u**2 + 3*y*v**2 - 3*t*w**2 + 3*w**3 + 3*w**2 - t + 4*w}
+$$
+{3 \  {v \sp 2} \  y}+{3 \  {u \sp 2} \  z}+{{\left( -{3 \  {w \sp 2}} -1 
+\right)}
+\  t}+{3 \  {w \sp 3}}+{3 \  {w \sp 2}}+{4 \  w} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{p3 := 6*x*z*v - 6*t*w**2 + 6*w**3 - 3*t*w + 6*w**2 - t + 4*w}
+$$
+{6 \  v \  z \  x}+{{\left( -{6 \  {w \sp 2}} -{3 \  w} -1 
+\right)}
+\  t}+{6 \  {w \sp 3}}+{6 \  {w \sp 2}}+{4 \  w} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{p4 := 4*z*u**3+ 4*y*v**3+ 4*t*w**3- 4*w**4 - 6*w**3+ 4*t*w- 10*w**2- w- 1}
+$$
+{4 \  {v \sp 3} \  y}+{4 \  {u \sp 3} \  z}+{{\left( {4 \  {w \sp 3}}+{4 \  
+w} 
+\right)}
+\  t} -{4 \  {w \sp 4}} -{6 \  {w \sp 3}} -{{10} \  {w \sp 2}} -w -1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{p5 := 8*x*z*u*v +8*t*w**3 -8*w**4 +4*t*w**2 -12*w**3 +4*t*w -14*w**2 -3*w -1}
+$$
+{8 \  u \  v \  z \  x}+{{\left( {8 \  {w \sp 3}}+{4 \  {w \sp 2}}+{4 \  w} 
+\right)}
+\  t} -{8 \  {w \sp 4}} -{{12} \  {w \sp 3}} -{{14} \  {w \sp 2}} -{3 \  w} 
+-1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{p6 := 12*x*z*v**2+12*t*w**3 -12*w**4 +12*t*w**2 -18*w**3 +8*t*w -14*w**2 -w -1}
+$$
+{{12} \  {v \sp 2} \  z \  x}+{{\left( {{12} \  {w \sp 3}}+{{12} \  {w \sp 
+2}}+{8 \  w} 
+\right)}
+\  t} -{{12} \  {w \sp 4}} -{{18} \  {w \sp 3}} -{{14} \  {w \sp 2}} -w -1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{p7 := -24*t*w**3 + 24*w**4 - 24*t*w**2 + 36*w**3 - 8*t*w + 26*w**2 + 7*w + 1}
+$$
+{{\left( -{{24} \  {w \sp 3}} -{{24} \  {w \sp 2}} -{8 \  w} 
+\right)}
+\  t}+{{24} \  {w \sp 4}}+{{36} \  {w \sp 3}}+{{26} \  {w \sp 2}}+{7 \  w}+1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{lp := [p0, p1, p2, p3, p4, p5, p6, p7]}
+$$
+\begin{array}{@{}l}
+\left[
+{b1+y+z -t -w}, 
+\right.
+\\
+\displaystyle
+{{2 \  v \  y}+
+{2 \  u \  z}+
+{2 \  w \  t} -
+{2 \  {w \sp 2}} -
+w -
+1},
+\\
+\displaystyle
+{{3 \  {v \sp 2} \  y}+
+{3 \  {u \sp 2} \  z}+
+{{\left( -{3 \  {w \sp 2}} -1 \right)}\  t}+
+{3 \  {w \sp 3}}+
+{3 \  {w \sp 2}}+
+{4 \  w}},
+\\
+\displaystyle
+{{6 \  v \  z \  x}+
+{{\left( -{6 \  {w \sp 2}} -
+{3 \  w} -1 \right)}\  t}+
+{6 \  {w \sp 3}}+
+{6 \  {w \sp 2}}+
+{4 \  w}},
+\\
+\displaystyle
+{{4 \  {v \sp 3} \  y}+
+{4 \  {u \sp 3} \  z}+
+{{\left( {4 \  {w \sp 3}}+{4 \  w} \right)}\  t} -
+{4 \  {w \sp 4}} -
+{6 \  {w \sp 3}} -
+{{10} \  {w \sp 2}} -
+w -
+1},
+\\
+\displaystyle
+{{8 \  u \  v \  z \  x}+
+{{\left( {8 \  {w \sp 3}}+{4 \  {w \sp 2}}+{4 \  w} \right)}\  t} -
+{8 \  {w \sp 4}} -
+{{12} \  {w \sp 3}} -
+{{14} \  {w \sp 2}} -
+{3 \  w} 
+-1},
+\\
+\displaystyle
+{{{12} \  {v \sp 2} \  z \  x}+
+{{\left( {{12} \  {w \sp 3}}+{{12} \  {w \sp 2}}+{8 \  w} \right)}\  t} -
+{{12} \  {w \sp 4}} -
+{{18} \  {w \sp 3}} -
+{{14} \  {w \sp 2}} -
+w -
+1},
+\\
+\displaystyle
+\left.
+{{{\left( -{{24} \  {w \sp 3}} -{{24} \  {w \sp 2}} -{8 \  w} \right)}\  t}+
+{{24} \  {w \sp 4}}+
+{{36} \  {w \sp 3}}+
+{{26} \  {w \sp 2}}+
+{7 \  w}+
+1} 
+\right]
+\end{array}
+$$
+\returnType{Type: List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+First of all, let us solve this system in the sense of Lazard by means
+of the {\tt REGSET} constructor:
+
+\spadcommand{lts := zeroSetSplit(lp,false)\$T}
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ {w+1}, u, v, {t+1}, {b1+y+z+2} \right\}},
+{\left\{ {w+1}, v, {t+1}, z, {b1+y+2} \right\}},
+\right.
+\\
+\displaystyle
+{\left\{ {w+1}, {t+1}, z, y, {b1+2} \right\}},
+{\left\{ {w+1}, {v -u}, {t+1}, {y+z}, x, {b1+2} \right\}},
+\\
+\displaystyle
+{\left\{ {w+1}, u, {t+1}, y, x, {b1+z+2} \right\}},
+\\
+\displaystyle
+\left\{ 
+{{{144} \  {w \sp 5}}+{{216} \  {w \sp 4}}+{{96} \  {w \sp 3}}+{6 
+\  {w \sp 2}} -{{11} \  w} -1}, 
+\right.
+\\
+\displaystyle
+{{{\left( {{12} \  {w \sp 2}}+{9 \  w}+1 \right)}\  u} -
+{{72} \  {w \sp 5}} -
+{{108} \  {w \sp 4}} -
+{{42} \  {w \sp 3}} -
+{9 \  {w \sp 2}} -
+{3 \  w}}, 
+\\
+\displaystyle
+{{{\left( {{12} \  {w \sp 2}}+{9 \  w}+1 \right)}\  v}+
+{{36} \  {w \sp 4}}+
+{{54} \  {w \sp 3}}+
+{{18} \  {w \sp 2}}}, 
+\\
+\displaystyle
+{{{\left( {{24} \  {w \sp 3}}+{{24} \  {w \sp 2}}+{8 \  w} \right)}\  t} -
+{{24} \  {w \sp 4}} -
+{{36} \  {w \sp 3}} -
+{{26} \  {w \sp 2}} -
+{7 \  w} -1}, 
+\\
+\displaystyle
+{{\left( {{12} \  u \  v} -{{12} \  {u \sp 2}} \right)}\  z}+
+{{\left( {{12} \  w \  v}+{{12} \  {w \sp 2}}+4 \right)}\  t}+
+{{\left( {3 \  w} -5 \right)}\  v}+
+\\
+\displaystyle
+\ \ {{36} \  {w \sp 4}}+
+{{42} \  {w \sp 3}}+
+{6 \  {w \sp 2}} -
+{{16} \  w}, 
+\\
+\displaystyle
+{{2 \  v \  y}+
+{2 \  u \  z}+
+{2 \  w \  t} -
+{2 \  {w \sp 2}} -
+w -1}, 
+\\
+\displaystyle
+\left.
+\left.
+{{6 \  v \  z \  x}+
+{{\left( -{6 \  {w \sp 2}} -{3 \  w} -1 \right)}\  t}+
+{6 \  {w \sp 3}}+
+{6 \  {w \sp 2}}+
+{4 \  w}}, 
+{b1+y+z -t -w} 
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: List 
+RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],
+OrderedVariableList [b1,x,y,z,t,v,u,w],
+NewSparseMultivariatePolynomial(
+Integer,OrderedVariableList [b1,x,y,z,t,v,u,w]))}
+
+We can get the dimensions of each component
+of a decomposition as follows.
+
+\spadcommand{[coHeight(ts) for ts in lts] }
+$$
+\left[
+3, 3, 3, 2, 2, 0 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+The first five sets have a simple shape.  However, the last one, which
+has dimension zero, can be simplified by using Lazard triangular sets.
+
+Thus we call the {\tt SquareFreeRegularTriangularSet} domain constructor,
+
+\spadcommand{ST := SREGSET(R,E,V,P)}
+$$
+\begin{array}{@{}l}
+{\rm SquareFreeRegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList[b1,x,y,z,t,v,u,w]))} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+and set the {\tt LAZM3PK} package constructor to our situation.
+
+\spadcommand{pack := LAZM3PK(R,E,V,P,T,ST)}
+$$
+\begin{array}{@{}l}
+{\rm LazardSetSolvingPackage(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList[b1,x,y,z,t,v,u,w]),}
+\\
+\displaystyle
+{\rm \ \ RegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList[b1,x,y,z,t,v,u,w])),}
+\\
+\displaystyle
+{\rm \ \ SquareFreeRegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [b1,x,y,z,t,v,u,w],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList[b1,x,y,z,t,v,u,w])))} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+We are ready to solve the system by means of Lazard triangular sets:
+
+\spadcommand{zeroSetSplit(lp,false)\$pack}
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ {w+1}, {t+1}, z, y, {b1+2} \right\}},
+\right.
+\\
+\displaystyle
+{\left\{ {w+1}, v, {t+1}, z, {b1+y+2} \right\}},
+\\
+\displaystyle
+{\left\{ {w+1}, u, v, {t+1}, {b1+y+z+2} \right\}},
+\\
+\displaystyle
+{\left\{ {w+1}, {v -u}, {t+1}, {y+z}, x, {b1+2} \right\}},
+\\
+\displaystyle
+{\left\{ {w+1}, u, {t+1}, y, x, {b1+z+2} \right\}},
+\\
+\displaystyle
+\left\{ 
+{{{144} \  {w \sp 5}}+
+{{216} \  {w \sp 4}}+
+{{96} \  {w \sp 3}}+
+{6 \  {w \sp 2}} -
+{{11} \  w} -1}, 
+\right.
+\\
+\displaystyle
+{u -{{24} \  {w \sp 4}} -
+{{36} \  {w \sp 3}} -
+{{14} \  {w \sp 2}}+w+1}, 
+\\
+\displaystyle
+{{3 \  v} -{{48} \  {w \sp 4}} -
+{{60} \  {w \sp 3}} -
+{{10} \  {w \sp 2}}+
+{8 \  w}+2}, 
+\\
+\displaystyle
+{t -{{24} \  {w \sp 4}} -
+{{36} \  {w \sp 3}} -
+{{14} \  {w \sp 2}} -w+1}, 
+{{486} \  z} -
+{{2772} \  {w \sp 4}} -
+\\
+\displaystyle
+\ \ {{4662} \  {w \sp 3}} -
+{{2055} \  {w \sp 2}}+
+{{30} \  w}+{127}, 
+\\
+\displaystyle
+{{{2916} \  y} -
+{{22752} \  {w \sp 4}} -
+{{30312} \  {w \sp 3}} -
+{{8220} \  {w \sp 2}}+
+{{2064} \  w}+{1561}}, 
+\\
+\displaystyle
+{{{356} \  x} -
+{{3696} \  {w \sp 4}} -
+{{4536} \  {w \sp 3}} -
+{{968} \  {w \sp 2}}+
+{{822} \  w}+{371}}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{2916} \  b1} -
+{{30600} \  {w \sp 4}} -
+{{46692} \  {w \sp 3}} -
+{{20274} \  {w \sp 2}} -
+{{8076} \  w}+{593}} 
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: List 
+SquareFreeRegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],
+OrderedVariableList [b1,x,y,z,t,v,u,w],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [b1,x,y,z,t,v,u,w]))}
+
+We see the sixth triangular set is {\em nicer} now: each one of its
+polynomials has a constant initial.
+
+We follow with the Vermeer example. The ordering is the usual one
+for this system.
+
+Define the polynomial system.
+
+\spadcommand{f0 := (w - v) ** 2 + (u - t) ** 2 - 1}
+$$
+{t \sp 2} -{2 \  u \  t}+{v \sp 2} -{2 \  w \  v}+{u \sp 2}+{w \sp 2} -1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{f1 := t ** 2 - v ** 3}
+$$
+{t \sp 2} -{v \sp 3} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{f2 := 2 * t * (w - v) + 3 * v ** 2 * (u - t)}
+$$
+{{\left( -{3 \  {v \sp 2}} -{2 \  v}+{2 \  w} 
+\right)}
+\  t}+{3 \  u \  {v \sp 2}} 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{f3 := (3 * z * v ** 2 - 1) * (2 * z * t - 1)}
+$$
+{6 \  {v \sp 2} \  t \  {z \sp 2}}+{{\left( -{2 \  t} -{3 \  {v \sp 2}} 
+\right)}
+\  z}+1 
+$$
+\returnType{Type: NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+\spadcommand{lf := [f0, f1, f2, f3]}
+$$
+\begin{array}{@{}l}
+\left[
+{{t \sp 2} -{2 \  u \  t}+{v \sp 2} -{2 \  w \  v}+{u \sp 2}+{w \sp 2} -1}, 
+\right.
+\\
+\displaystyle
+{{t \sp 2} -{v \sp 3}}, 
+\\
+\displaystyle
+{{{\left( -{3 \  {v \sp 2}} -{2 \  v}+{2 \  w} \right)}\  t}+
+{3 \  u \  {v \sp 2}}}, 
+\\
+\displaystyle
+\left.
+{{6 \  {v \sp 2} \  t \  {z \sp 2}}+
+{{\left( -{2 \  t} -{3 \  {v \sp 2}}\right)}\  z}+1} 
+\right]
+\end{array}
+$$
+\returnType{Type: List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [b1,x,y,z,t,v,u,w])}
+
+First of all, let us solve this system in the sense of Kalkbrener by
+means of the {\tt REGSET} constructor:
+
+\spadcommand{zeroSetSplit(lf,true)\$T}
+$$
+\begin{array}{@{}l}
+\left[
+\left\{ 
+{{729} \  {u \sp 6}}+
+{{\left( 
+-{{1458} \  {w \sp 3}}+
+{{729} \  {w \sp 2}} -
+{{4158} \  w} -{1685} 
+\right)}\  {u \sp 4}}+
+\right.
+\right.
+\\
+\displaystyle
+{{\left( {{729} \  {w \sp 6}} -
+{{1458} \  {w \sp 5}} -{{2619} \  {w \sp 4}} -
+{{4892} \  {w \sp 3}} -{{297} \  {w \sp 2}}+
+{{5814} \  w}+{427} 
+\right)}\  {u \sp 2}}+
+\\
+\displaystyle
+{{729} \  {w \sp 8}}+
+{{216} \  {w \sp 7}} -
+{{2900} \  {w \sp 6}} -
+{{2376} \  {w \sp 5}}+
+{{3870} \  {w \sp 4}}+
+\\
+\displaystyle
+\ \ {{4072} \  {w \sp 3}} -
+{{1188} \  {w \sp 2}} -
+{{1656} \  w}+{529}, 
+\\
+\displaystyle
+\left( 
+{{2187} \  {u \sp 4}}+
+\left( 
+-{{4374} \  {w \sp 3}} -
+{{972} \  {w \sp 2}} -
+{{12474} \  w} 
+-{2868} 
+\right)\  {u \sp 2}+
+\right.
+\\
+\displaystyle
+\left.
+{{2187} \  {w \sp 6}} -
+{{1944} \  {w \sp 5}} -
+{{10125} \  {w \sp 4}} -
+{{4800} \  {w \sp 3}}+
+{{2501} \  {w \sp 2}}+
+{{4968} \  w} -{1587} 
+\right)\  v+
+\\
+\displaystyle
+\left( 
+{{1944} \  {w \sp 3}} -
+{{108} \  {w \sp 2}} 
+\right)\  {u \sp 2}+
+\\
+\displaystyle
+{{972} \  {w \sp 6}}+
+{{3024} \  {w \sp 5}} -
+{{1080} \  {w \sp 4}}+
+{{496} \  {w \sp 3}}+
+{{1116} \  {w \sp 2}}, 
+\\
+\displaystyle
+{{{\left( 
+{3 \  {v \sp 2}}+
+{2 \  v} -
+{2 \  w} 
+\right)}\  t} -
+{3 \  u \  {v \sp 2}}}, 
+\\
+\displaystyle
+\left.
+\left.
+\left( 
+\left( 
+{4 \  v} -{4 \  w} 
+\right)\  t -
+{6 \  u \  {v \sp 2}} 
+\right)\  {z \sp 2}+
+\left( 
+{2 \  t}+
+{3 \  {v \sp 2}} 
+\right)
+\  z -1 
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: List 
+RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],
+OrderedVariableList [b1,x,y,z,t,v,u,w],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [b1,x,y,z,t,v,u,w]))}
+
+We have obtained one regular chain (i.e. regular triangular set) with
+dimension 1.  This set is in fact a characterist set of the (radical
+of) of the ideal generated by the input system {\bf lf}.  Thus we have
+only the {\em generic points} of the variety associated with {\bf lf}
+(for the elimination ordering given by {\bf ls}).
+
+So let us get now a full description of this variety.
+
+Hence, we solve this system in the sense of Lazard by means of the {\tt REGSET}
+constructor:
+
+\spadcommand{zeroSetSplit(lf,false)\$T}
+$$
+\begin{array}{@{}l}
+\left[
+\left\{ 
+{{729} \  {u \sp 6}}+
+\left( 
+-{{1458} \  {w \sp 3}}+
+{{729} \  {w \sp 2}} -
+{{4158} \  w} -
+{1685} 
+\right)\  {u \sp 4}+
+\right.
+\right.
+\\
+\displaystyle
+\left( 
+{{729} \  {w \sp 6}} -
+{{1458} \  {w \sp 5}} -
+{{2619} \  {w \sp 4}} -
+{{4892} \  {w \sp 3}} -
+{{297} \  {w \sp 2}}+
+{{5814} \  w}+
+{427} 
+\right)\  {u \sp 2}+
+\\
+\displaystyle
+{{729} \  {w \sp 8}}+
+{{216} \  {w \sp 7}} -
+{{2900} \  {w \sp 6}} -
+{{2376} \  {w \sp 5}}+
+{{3870} \  {w \sp 4}}+
+{{4072} \  {w \sp 3}} -
+\\
+\displaystyle
+{{1188} \  {w \sp 2}} -
+{{1656} \  w}+
+{529}, 
+\\
+\displaystyle
+\left( 
+{{2187} \  {u \sp 4}}+
+\left( 
+-{{4374} \  {w \sp 3}} -
+{{972} \  {w \sp 2}} -
+{{12474} \  w} -
+{2868} 
+\right)\  {u \sp 2}+
+\right.
+\\
+\displaystyle
+\left.
+{{2187} \  {w \sp 6}} -
+{{1944} \  {w \sp 5}} -
+{{10125} \  {w \sp 4}} -
+{{4800} \  {w \sp 3}}+
+{{2501} \  {w \sp 2}}+
+{{4968} \  w} -
+{1587} 
+\right)\  v+
+\\
+\displaystyle
+\left( 
+{{1944} \  {w \sp 3}} -
+{{108} \  {w \sp 2}} 
+\right)\  {u \sp 2}+
+\\
+\displaystyle
+{{972} \  {w \sp 6}}+
+{{3024} \  {w \sp 5}} -
+{{1080} \  {w \sp 4}}+
+{{496} \  {w \sp 3}}+
+{{1116} \  {w \sp 2}}, 
+\\
+\displaystyle
+\left( 
+{3 \  {v \sp 2}}+
+{2 \  v} -
+{2 \  w} 
+\right)\  t -
+{3 \  u \  {v \sp 2}}, 
+\\
+\displaystyle
+\left.
+\left( 
+\left( 
+{4 \  v} -
+{4 \  w} 
+\right)\  t -
+{6 \  u \  {v \sp 2}} 
+\right)\  {z \sp 2}+
+\left( 
+{2 \  t}+
+{3 \  {v \sp 2}} 
+\right)
+\  z -1
+\right\},
+\\
+\displaystyle
+\left\{ 
+{{27} \  {w \sp 4}}+
+{4 \  {w \sp 3}} -
+{{54} \  {w \sp 2}} -
+{{36} \  w}+
+{23}, 
+\right.
+\\
+\displaystyle
+u, 
+\\
+\displaystyle
+\left( 
+{{12} \  w}+
+2 
+\right)\  v -
+{9 \  {w \sp 2}} -
+{2 \  w}+
+9, 
+\\
+\displaystyle
+{6 \  {t \sp 2}} -
+{2 \  v} -
+{3 \  {w \sp 2}}+
+{2 \  w}+3, 
+\\
+\displaystyle
+\left.
+{{2 \  t \  z} -1}
+\right\},
+\\
+\displaystyle
+\left\{ 
+{{{59049} \  {w \sp 6}}+
+{{91854} \  {w \sp 5}} -
+{{45198} \  {w \sp 4}}+
+{{145152} \  {w \sp 3}}+
+{{63549} \  {w \sp 2}}+
+{{60922} \  w}+{21420}}, 
+\right.
+\\
+\displaystyle
+\left( 
+{{31484448266904} \  {w \sp 5}} -
+{{18316865522574} \  {w \sp 4}}+
+{{23676995746098} \  {w \sp 3}}+
+{{6657857188965} \  {w \sp 2}}+
+\right.
+\\
+\displaystyle
+\left.
+{{8904703998546} \  w}+
+{3890631403260} 
+\right)\  {u \sp 2}+
+{{94262810316408} \  {w \sp 5}} -
+{{82887296576616} \  {w \sp 4}}+
+\\
+\displaystyle
+{{89801831438784} \  {w \sp 3}}+
+{{28141734167208} \  {w \sp 2}}+
+{{38070359425432} \  w}+
+{16003865949120},
+\\
+\displaystyle
+\left( 
+{{243} \  {w \sp 2}}+
+{{36} \  w}+
+{85} 
+\right)\  {v \sp 2}+
+\left( 
+-{{81} \  {u \sp 2}} -
+{{162} \  {w \sp 3}}+
+{{36} \  {w \sp 2}}+
+{{154} \  w}+
+{72} 
+\right)\  v -
+{{72} \  {w \sp 3}}+
+{4 \  {w \sp 2}}, 
+\\
+\displaystyle
+\left( 
+{3 \  {v \sp 2}}+
+{2 \  v} -
+{2 \  w} 
+\right)\  t -
+{3 \  u \  {v \sp 2}}, 
+\\
+\displaystyle
+\left.
+\left( 
+\left( 
+{4 \  v} -
+{4 \  w} 
+\right)\  t -
+{6 \  u \  {v \sp 2}} 
+\right)\  {z \sp 2}+
+\left( {2 \  t}+
+{3 \  {v \sp 2}} 
+\right)\  z
+-1
+\right\},
+\\
+\displaystyle
+\left\{ 
+{{{27} \  {w \sp 4}}+
+{4 \  {w \sp 3}} -
+{{54} \  {w \sp 2}} -
+{{36} \  w}+
+{23}}, u, 
+\right.
+\\
+\displaystyle
+{{{\left( 
+{{12} \  w}+
+2 
+\right)}\  v} -
+{9 \  {w \sp 2}} -
+{2 \  w}+9}, 
+\\
+\displaystyle
+{{6 \  {t \sp 2}} -
+{2 \  v} -{3 \  {w \sp 2}}+
+{2 \  w}+
+3}, 
+\\
+\displaystyle
+\left.
+\left.
+{{3 \  {v \sp 2} \  z} 
+-1}
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: List 
+RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],
+OrderedVariableList [b1,x,y,z,t,v,u,w],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [b1,x,y,z,t,v,u,w]))}
+
+We retrieve our regular chain of dimension 1 and we get three regular
+chains of dimension 0 corresponding to the {\em degenerated cases}.
+We want now to simplify these zero-dimensional regular chains by using
+Lazard triangular sets.  Moreover, this will allow us to prove that
+the above decomposition has no redundant component.  {\bf N.B.}
+Generally, decompositions computed by the {\tt REGSET} constructor do
+not have redundant components.  However, to be sure that no redundant
+component occurs one needs to use the {\tt SREGSET} or {\tt LAZM3PK}
+constructors.
+
+So let us solve the input system in the sense of Lazard by means of
+the {\tt LAZM3PK} constructor:
+
+\spadcommand{zeroSetSplit(lf,false)\$pack  }
+$$
+\begin{array}{@{}l}
+\left[
+\left\{ 
+{{729} \  {u \sp 6}}+
+\left( 
+-{{1458} \  {w \sp 3}}+
+{{729} \  {w \sp 2}} -
+{{4158} \  w} -
+{1685} 
+\right)\  {u \sp 4}+
+\right.
+\right.
+\\
+\displaystyle
+\ \ \left( 
+{{729} \  {w \sp 6}} -
+{{1458} \  {w \sp 5}} -
+{{2619} \  {w \sp 4}} -
+{{4892} \  {w \sp 3}} -
+{{297} \  {w \sp 2}}+
+{{5814} \  w}+{427} 
+\right)\  {u \sp 2}+
+\\
+\displaystyle
+\ \ {{729} \  {w \sp 8}}+
+{{216} \  {w \sp 7}} -
+{{2900} \  {w \sp 6}} -
+{{2376} \  {w \sp 5}}+
+{{3870} \  {w \sp 4}}+
+{{4072} \  {w \sp 3}} -
+\\
+\displaystyle
+\ \ {{1188} \  {w \sp 2}} -
+{{1656} \  w}+{529}, 
+\\
+\displaystyle
+\left( 
+{{2187} \  {u \sp 4}}+
+\left( 
+-{{4374} \  {w \sp 3}} -
+{{972} \  {w \sp 2}} -
+{{12474} \  w} 
+-{2868} 
+\right)\  {u \sp 2}+
+\right.
+\\
+\displaystyle
+\left.
+\ \ {{2187} \  {w \sp 6}} -
+{{1944} \  {w \sp 5}} -
+{{10125} \  {w \sp 4}} -
+{{4800} \  {w \sp 3}}+
+{{2501} \  {w \sp 2}}+
+{{4968} \  w} -
+{1587} 
+\right)\  v+
+\\
+\displaystyle
+\left( 
+{{1944} \  {w \sp 3}} -
+{{108} \  {w \sp 2}} 
+\right)\  {u \sp 2}+
+{{972} \  {w \sp 6}}+
+{{3024} \  {w \sp 5}} -
+{{1080} \  {w \sp 4}}+
+{{496} \  {w \sp 3}}+
+{{1116} \  {w \sp 2}}, 
+\\
+\displaystyle
+\left( 
+{3 \  {v \sp 2}}+
+{2 \  v} -
+{2 \  w} 
+\right)\  t -
+{3 \  u \  {v \sp 2}}, 
+\\
+\displaystyle
+\left.
+\left( 
+\left( 
+{4 \  v} -
+{4 \  w} 
+\right)\  t -
+{6 \  u \  {v \sp 2}} 
+\right)\  {z \sp 2}+
+\left( 
+{2 \  t}+
+{3 \  {v \sp 2}} 
+\right)\  z -1 
+\right\},
+\\
+\displaystyle
+\left\{ 
+{{81} \  {w \sp 2}}+
+{{18} \  w}+
+{28}, 
+{{729} \  {u \sp 2}} -
+{{1890} \  w} -
+{533}, 
+{{81} \  {v \sp 2}}+
+\left( 
+-{{162} \  w}+
+{27} 
+\right)\  v -
+\right.
+\\
+\displaystyle
+{{72} \  w} -
+{112}, 
+\\
+\displaystyle
+{{{11881} \  t}+
+\left( {{972} \  w}+{2997} 
+\right)\  u \  v+
+{{\left( -{{11448} \  w} -{11536} 
+\right)}\  u}}, 
+\\
+\displaystyle
+{{641237934604288} \  {z \sp 2}}+
+\left( 
+\left( 
+\left( 
+{{78614584763904} \  w}+
+{26785578742272} 
+\right)\  u+
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\ \ {{236143618655616} \  w}+
+{70221988585728} 
+\right)\  v+
+\left( 
+{{358520253138432} \  w}+
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\ \ {101922133759488} 
+\right)\  u+
+{{142598803536000} \  w}+
+{54166419595008} 
+\right)\  z+
+\\
+\displaystyle
+\ \ \left( 
+{{32655103844499} \  w} -
+{44224572465882} 
+\right)\  u \  v+
+\\
+\displaystyle
+\left.
+\left( 
+{{43213900115457} \  w} -
+{32432039102070} 
+\right)\  u 
+\right\},
+\\
+\displaystyle
+\left\{ 
+{{27} \  {w \sp 4}}+
+{4 \  {w \sp 3}} -
+{{54} \  {w \sp 2}} -
+{{36} \  w}+
+{23}, 
+u, 
+{{218} \  v} -
+{{162} \  {w \sp 3}}+
+{3 \  {w \sp 2}}+
+{{160} \  w}+
+{153}, 
+\right.
+\\
+\displaystyle
+\ \ {{109} \  {t \sp 2}} -
+{{27} \  {w \sp 3}} -
+{{54} \  {w \sp 2}}+
+{{63} \  w}+
+{80}, 
+\\
+\displaystyle
+\left.
+\ \ {{1744} \  z}+
+\left( 
+-{{1458} \  {w \sp 3}}+
+{{27} \  {w \sp 2}}+
+{{1440} \  w}+
+{505} 
+\right)\  t 
+\right\},
+\\
+\displaystyle
+\left\{ 
+{{27} \  {w \sp 4}}+
+{4 \  {w \sp 3}} -
+{{54} \  {w \sp 2}} -
+{{36} \  w}+{23}, 
+u, 
+{{218} \  v} -
+{{162} \  {w \sp 3}}+
+{3 \  {w \sp 2}}+
+{{160} \  w}+
+{153}, 
+\right.
+\\
+\displaystyle
+\left.
+\ \ {{109} \  {t \sp 2}} -
+{{27} \  {w \sp 3}} -
+{{54} \  {w \sp 2}}+
+{{63} \  w}+{80}, 
+{{1308} \  z}+
+{{162} \  {w \sp 3}} -
+{3 \  {w \sp 2}} -
+{{814} \  w} -
+{153} 
+\right\},
+\\
+\displaystyle
+\left\{ 
+{{729} \  {w \sp 4}}+
+{{972} \  {w \sp 3}} -
+{{1026} \  {w \sp 2}}+
+{{1684} \  w}+
+{765}, 
+{{81} \  {u \sp 2}}+
+{{72} \  {w \sp 2}}+
+{{16} \  w} -{72}, 
+\right.
+\\
+\displaystyle
+\ \ {{702} \  v} -
+{{162} \  {w \sp 3}} -
+{{225} \  {w \sp 2}}+
+{{40} \  w} -
+{99}, 
+\\
+\displaystyle
+\ \ {{11336} \  t}+
+\left( 
+{{324} \  {w \sp 3}} -
+{{603} \  {w \sp 2}} -
+{{1718} \  w} -
+{1557} 
+\right)\  u, 
+\\
+\displaystyle
+\ \ {{595003968} \  {z \sp 2}}+
+\left( 
+\left( 
+-{{963325386} \  {w \sp 3}} -
+{{898607682} \  {w \sp 2}}+
+{{1516286466} \  w} -
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\ \ {3239166186} 
+\right)\  u -
+{{1579048992} \  {w \sp 3}} -
+{{1796454288} \  {w \sp 2}}+
+{{2428328160} \  w} -
+\\
+\displaystyle
+\left.
+{4368495024} 
+\right)\  z+
+\left( 
+{{9713133306} \  {w \sp 3}}+
+{{9678670317} \  {w \sp 2}} -
+{{16726834476} \  w}+
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+{28144233593} 
+\right)\  u
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: List 
+SquareFreeRegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [b1,x,y,z,t,v,u,w],
+OrderedVariableList [b1,x,y,z,t,v,u,w],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [b1,x,y,z,t,v,u,w]))}
+
+Due to square-free factorization, we obtained now four
+zero-dimensional regular chains.  Moreover, each of them is normalized
+(the initials are constant).  Note that these zero-dimensional
+components may be investigated further with the 
+{\tt ZeroDimensionalSolvePackage} package constructor.
+
+\section{Library}
+\label{LibraryXmpPage}
+ 
+The {\tt Library} domain provides a simple way to store Axiom values
+in a file.  This domain is similar to {\tt KeyedAccessFile} but fewer
+declarations are needed and items of different types can be saved
+together in the same file.
+
+To create a library, you supply a file name.
+
+\spadcommand{stuff := library "/tmp/Neat.stuff" }
+$$
+\mbox{\tt "/tmp/Neat.stuff"} 
+$$
+\returnType{Type: Library}
+
+Now values can be saved by key in the file.
+The keys should be mnemonic, just as the field names are for records.
+They can be given either as strings or symbols.
+
+\spadcommand{stuff.int := 32**2}
+$$
+1024 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{stuff."poly" := x**2 + 1}
+$$
+{x \sp 2}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{stuff.str := "Hello"}
+$$
+\mbox{\tt "Hello"} 
+$$
+\returnType{Type: String}
+
+You obtain the set of available keys using the 
+\spadfunFrom{keys}{Library} operation.
+
+\spadcommand{keys stuff}
+$$
+\left[
+\mbox{\tt "str"} , \mbox{\tt "poly"} , \mbox{\tt "int"} 
+\right]
+$$
+\returnType{Type: List String}
+
+You extract values  by giving the desired key in this way.
+
+\spadcommand{stuff.poly}
+$$
+{x \sp 2}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{stuff("poly")}
+$$
+{x \sp 2}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+When the file is no longer needed, you should remove it from the
+file system.
+
+\spadcommand{)system rm -rf /tmp/Neat.stuff  }
+ 
+For more information on related topics, see 
+\ref{FileXmpPage} on page~\pageref{FileXmpPage},
+\ref{TextFileXmpPage} on page~\pageref{TextFileXmpPage}, and 
+\ref{KeyedAccessFileXmpPage} on page~\pageref{KeyedAccessFileXmpPage}.
+
+\section{LieExponentials}
+\label{LieExponentialsXmpPage}
+
+\spadcommand{ a: Symbol := 'a }
+$$
+a 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{ b: Symbol := 'b }
+$$
+b 
+$$
+\returnType{Type: Symbol}
+
+Declarations of domains
+
+\spadcommand{ coef     := Fraction(Integer) }
+$$
+\mbox{\rm Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{ group    := LieExponentials(Symbol, coef, 3)  }
+$$
+\mbox{\rm LieExponentials(Symbol,Fraction Integer,3)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{ lpoly    := LiePolynomial(Symbol, coef)  }
+$$
+\mbox{\rm LiePolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{ poly     := XPBWPolynomial(Symbol, coef)  }
+$$
+\mbox{\rm XPBWPolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+Calculations
+
+\spadcommand{ ea := exp(a::lpoly)\$group}
+$$
+e \sp {\left[ a 
+\right]}
+$$
+\returnType{Type: LieExponentials(Symbol,Fraction Integer,3)}
+
+\spadcommand{ eb := exp(b::lpoly)\$group}
+$$
+e \sp {\left[ b 
+\right]}
+$$
+\returnType{Type: LieExponentials(Symbol,Fraction Integer,3)}
+
+\spadcommand{ g: group := ea*eb}
+$$
+{e \sp {\left[ b 
+\right]}}
+\  {e \sp {\left( {1 \over 2} \  {\left[ a \  {b \sp 2} 
+\right]}
+\right)}}
+\  {e \sp {\left[ a \  b 
+\right]}}
+\  {e \sp {\left( {1 \over 2} \  {\left[ {a \sp 2} \  b 
+\right]}
+\right)}}
+\  {e \sp {\left[ a 
+\right]}}
+$$
+\returnType{Type: LieExponentials(Symbol,Fraction Integer,3)}
+
+\spadcommand{ g :: poly  }
+$$
+\begin{array}{@{}l}
+1+
+{\left[ a \right]}+
+{\left[b \right]}+
+{{1\over 2} \  {\left[ a \right]}\  {\left[ a \right]}}+
+{\left[a \  b \right]}+
+{{\left[b \right]}\  {\left[ a \right]}}+
+{{1\over 2} \  {\left[ b \right]}\  {\left[ b \right]}}+
+{{1\over 6} \  {\left[ a \right]}\  {\left[ a \right]}\  {\left[ a \right]}}+
+{{1\over 2} \  {\left[ {a \sp 2} \  b \right]}}+
+\\
+\\
+\displaystyle
+{{\left[a \  b \right]}\  {\left[ a \right]}}+
+{{1\over 2} \  {\left[ a \  {b \sp 2} \right]}}+
+{{1\over 2} \  {\left[ b \right]}\  {\left[ a \right]}\  {\left[ a \right]}}+
+{{\left[b \right]}\  {\left[ a \  b \right]}}+
+{{1\over 2} \  {\left[ b \right]}\  {\left[ b \right]}\  {\left[ a \right]}}+
+{{1\over 6} \  {\left[ b \right]}\  {\left[ b \right]}\  {\left[ b \right]}}
+\end{array}
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{ log(g)\$group  }
+$$
+{\left[ a 
+\right]}+{\left[
+b 
+\right]}+{{1
+\over 2} \  {\left[ a \  b 
+\right]}}+{{1
+\over {12}} \  {\left[ {a \sp 2} \  b 
+\right]}}+{{1
+\over {12}} \  {\left[ a \  {b \sp 2} 
+\right]}}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{ g1: group := inv(g)   }
+$$
+{e \sp {\left( -{\left[ b 
+\right]}
+\right)}}
+\  {e \sp {\left( -{\left[ a 
+\right]}
+\right)}}
+$$
+\returnType{Type: LieExponentials(Symbol,Fraction Integer,3)}
+
+\spadcommand{ g*g1  }
+$$
+1 
+$$
+\returnType{Type: LieExponentials(Symbol,Fraction Integer,3)}
+
+\section{LiePolynomial}
+\label{LiePolynomialXmpPage}
+Declaration of domains
+
+\spadcommand{RN    := Fraction Integer }
+$$
+\mbox{\rm Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{Lpoly := LiePolynomial(Symbol,RN)  }
+$$
+\mbox{\rm LiePolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{Dpoly := XDPOLY(Symbol,RN)  }
+$$
+\mbox{\rm XDistributedPolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{Lword := LyndonWord Symbol }
+$$
+\mbox{\rm LyndonWord Symbol} 
+$$
+\returnType{Type: Domain}
+
+Initialisation
+
+\spadcommand{a:Symbol := 'a }
+$$
+a 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{b:Symbol := 'b }
+$$
+b 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{c:Symbol := 'c }
+$$
+c 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{aa: Lpoly := a   }
+$$
+\left[
+a 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{bb: Lpoly := b   }
+$$
+\left[
+b 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{cc: Lpoly := c   }
+$$
+\left[
+c 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{p : Lpoly := [aa,bb]}
+$$
+\left[
+a \  b 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{q : Lpoly := [p,bb]}
+$$
+\left[
+a \  {b \sp 2} 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+All the Lyndon words of order 4
+
+\spadcommand{liste : List Lword := LyndonWordsList([a,b], 4)}
+$$
+\left[
+{\left[ a 
+\right]},
+{\left[ b 
+\right]},
+{\left[ a \  b 
+\right]},
+{\left[ {a \sp 2} \  b 
+\right]},
+{\left[ a \  {b \sp 2} 
+\right]},
+{\left[ {a \sp 3} \  b 
+\right]},
+{\left[ {a \sp 2} \  {b \sp 2} 
+\right]},
+{\left[ a \  {b \sp 3} 
+\right]}
+\right]
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+\spadcommand{r: Lpoly := p + q + 3*LiePoly(liste.4)\$Lpoly}
+$$
+{\left[ a \  b 
+\right]}+{3
+\  {\left[ {a \sp 2} \  b 
+\right]}}+{\left[
+a \  {b \sp 2} 
+\right]}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{s:Lpoly := [p,r]}
+$$
+-{3 \  {\left[ {a \sp 2} \  b \  a \  b 
+\right]}}+{\left[
+a \  b \  a \  {b \sp 2} 
+\right]}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{t:Lpoly  := s  + 2*LiePoly(liste.3) - 5*LiePoly(liste.5)}
+$$
+{2 \  {\left[ a \  b 
+\right]}}
+-{5 \  {\left[ a \  {b \sp 2} 
+\right]}}
+-{3 \  {\left[ {a \sp 2} \  b \  a \  b 
+\right]}}+{\left[
+a \  b \  a \  {b \sp 2} 
+\right]}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{degree t }
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{mirror t }
+$$
+-{2 \  {\left[ a \  b 
+\right]}}
+-{5 \  {\left[ a \  {b \sp 2} 
+\right]}}
+-{3 \  {\left[ {a \sp 2} \  b \  a \  b 
+\right]}}+{\left[
+a \  b \  a \  {b \sp 2} 
+\right]}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+Jacobi Relation
+
+\spadcommand{Jacobi(p: Lpoly, q: Lpoly, r: Lpoly): Lpoly == [ [p,q]\$Lpoly, r] + [ [q,r]\$Lpoly, p] + [ [r,p]\$Lpoly, q]  }
+\begin{verbatim}
+Function declaration Jacobi : (
+  LiePolynomial(Symbol,  Fraction Integer),
+  LiePolynomial(Symbol,Fraction Integer),
+  LiePolynomial(Symbol,Fraction Integer)) -> 
+    LiePolynomial(Symbol,Fraction Integer) 
+  has been added to workspace.
+\end{verbatim}
+\returnType{Void}
+
+Tests
+
+\spadcommand{test: Lpoly := Jacobi(a,b,b)  }
+$$
+0 
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{test: Lpoly := Jacobi(p,q,r)  }
+$$
+0 
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{test: Lpoly := Jacobi(r,s,t)  }
+$$
+0 
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+Evaluation
+
+\spadcommand{eval(p, a, p)\$Lpoly}
+$$
+\left[
+a \  {b \sp 2} 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{eval(p, [a,b], [2*bb, 3*aa])\$Lpoly }
+$$
+-{6 \  {\left[ a \  b 
+\right]}}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{r: Lpoly := [p,c]  }
+$$
+{\left[ a \  b \  c 
+\right]}+{\left[
+a \  c \  b 
+\right]}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{r1: Lpoly := eval(r, [a,b,c], [bb, cc, aa])\$Lpoly  }
+$$
+-{\left[ a \  b \  c 
+\right]}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{r2: Lpoly := eval(r, [a,b,c], [cc, aa, bb])\$Lpoly  }
+$$
+-{\left[ a \  c \  b 
+\right]}
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{r + r1 + r2 }
+$$
+0 
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\section{LinearOrdinaryDifferentialOperator}
+\label{LinearOrdinaryDifferentialOperatorXmpPage}
+
+{\tt LinearOrdinaryDifferentialOperator(A, diff)} is the domain of
+linear ordinary differential operators with coefficients in a ring
+{\tt A} with a given derivation.
+
+\subsection{Differential Operators with Series Coefficients}
+
+\noindent
+{\bf Problem:}
+Find the first few coefficients of {\tt exp(x)/x**i} of {\tt Dop phi} where
+\begin{verbatim}
+Dop := D**3 + G/x**2 * D + H/x**3 - 1
+phi := sum(s[i]*exp(x)/x**i, i = 0..)
+\end{verbatim}
+
+\noindent
+{\bf Solution:}
+
+Define the differential.
+
+\spadcommand{Dx: LODO(EXPR INT, f +-> D(f, x)) }
+\returnType{Void}
+
+\spadcommand{Dx := D() }
+$$
+D 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator(Expression Integer,theMap NIL)}
+
+Now define the differential operator {\tt Dop}.
+
+\spadcommand{Dop:= Dx**3 + G/x**2*Dx + H/x**3 - 1 }
+$$
+{D \sp 3}+{{G \over {x \sp 2}} \  D}+{{-{x \sp 3}+H} \over {x \sp 3}} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator(Expression Integer,theMap NIL)}
+
+\spadcommand{n == 3 }
+\returnType{Void}
+
+\spadcommand{phi == reduce(+,[subscript(s,[i])*exp(x)/x**i for i in 0..n]) }
+\returnType{Void}
+
+\spadcommand{phi1 ==  Dop(phi) / exp x }
+\returnType{Void}
+
+\spadcommand{phi2 == phi1 *x**(n+3) }
+\returnType{Void}
+
+\spadcommand{phi3 == retract(phi2)@(POLY INT) }
+\returnType{Void}
+
+\spadcommand{pans == phi3 ::UP(x,POLY INT) }
+\returnType{Void}
+
+\spadcommand{pans1 == [coefficient(pans, (n+3-i) :: NNI) for i in 2..n+1] }
+\returnType{Void}
+
+\spadcommand{leq == solve(pans1,[subscript(s,[i]) for i in 1..n]) }
+\returnType{Void}
+
+Evaluate this for several values of {\tt n}.
+
+\spadcommand{leq }
+\begin{verbatim}
+   Compiling body of rule n to compute value of type PositiveInteger 
+   Compiling body of rule phi to compute value of type Expression 
+      Integer 
+   Compiling body of rule phi1 to compute value of type Expression 
+      Integer 
+   Compiling body of rule phi2 to compute value of type Expression 
+      Integer 
+   Compiling body of rule phi3 to compute value of type Polynomial 
+      Integer 
+   Compiling body of rule pans to compute value of type 
+      UnivariatePolynomial(x,Polynomial Integer) 
+   Compiling body of rule pans1 to compute value of type List 
+      Polynomial Integer 
+   Compiling body of rule leq to compute value of type List List 
+      Equation Fraction Polynomial Integer 
+   Compiling function G83347 with type Integer -> Boolean 
+\end{verbatim}
+
+\spadcommand{n==4 }
+$$
+\begin{array}{@{}l}
+\left[
+\left[ 
+{{s \sb {1}}={{{s \sb {0}} \  G} \over 3}}, 
+{{s \sb {2}}=
+{{{3 \  {s \sb {0}} \  H}+
+{{s \sb {0}} \  {G \sp 2}}+
+{6 \  {s \sb {0}} \  G}} \over {18}}}, 
+\right.
+\right.
+\\
+\\
+\displaystyle
+\left.
+\left.
+{{s \sb {3}}=
+{{{{\left( {9 \  {s \sb {0}} \  G}+
+{{54} \  {s \sb {0}}} \right)}\  H}+
+{{s \sb {0}} \  {G \sp 3}}+
+{{18} \  {s \sb {0}} \  {G \sp 2}}+
+{{72} \  {s \sb {0}} \  G}} \over {162}}} 
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+\spadcommand{leq }
+$$
+\begin{array}{@{}l}
+\left[
+\left[ 
+{{s \sb {1}}={{{s \sb {0}} \  G} \over 3}}, 
+{{s \sb {2}}=
+{{{3 \  {s \sb {0}} \  H}+
+{{s \sb {0}} \  {G \sp 2}}+{6 \  {s \sb {0}} \  G}} \over {18}}}, 
+\right.
+\right.
+\\
+\\
+\displaystyle
+\left.
+\left.
+{{s \sb {3}}=
+{{{{\left( {9 \  {s \sb {0}} \  G}+
+{{54} \  {s \sb {0}}} \right)}\  H}+
+{{s \sb {0}} \  {G \sp 3}}+
+{{18} \  {s \sb {0}} \  {G \sp 2}}+
+{{72} \  {s \sb {0}} \  G}} \over {162}}} 
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+\spadcommand{n==7 }
+\begin{verbatim}
+   Compiled code for n has been cleared.
+   Compiled code for leq has been cleared.
+   Compiled code for pans1 has been cleared.
+   Compiled code for phi2 has been cleared.
+   Compiled code for phi has been cleared.
+   Compiled code for phi3 has been cleared.
+   Compiled code for phi1 has been cleared.
+   Compiled code for pans has been cleared.
+   1 old definition(s) deleted for function or rule n 
+\end{verbatim}
+\returnType{Void}
+
+\spadcommand{leq }
+\begin{verbatim}
+Compiling body of rule n to compute value of type PositiveInteger 
+
++++ |*0;n;1;G82322| redefined
+Compiling body of rule phi to compute value of type Expression 
+  Integer 
+
++++ |*0;phi;1;G82322| redefined
+Compiling body of rule phi1 to compute value of type Expression 
+  Integer 
+
++++ |*0;phi1;1;G82322| redefined
+Compiling body of rule phi2 to compute value of type Expression 
+  Integer 
+
++++ |*0;phi2;1;G82322| redefined
+Compiling body of rule phi3 to compute value of type Polynomial 
+  Integer 
+
++++ |*0;phi3;1;G82322| redefined
+Compiling body of rule pans to compute value of type 
+  UnivariatePolynomial(x,Polynomial Integer) 
+
++++ |*0;pans;1;G82322| redefined
+Compiling body of rule pans1 to compute value of type List 
+  Polynomial Integer 
+
++++ |*0;pans1;1;G82322| redefined
+Compiling body of rule leq to compute value of type List List 
+  Equation Fraction Polynomial Integer 
+
++++ |*0;leq;1;G82322| redefined
+\end{verbatim}
+$$
+\left[
+\left[ 
+{{s \sb {1}}={{{s \sb {0}} \  G} \over 3}}, 
+\right.
+\right.\hbox{\hskip 10.0cm}
+$$
+$$
+{s \sb {2}}=
+{{3 \  {s \sb {0}} \  H}+
+{{s \sb {0}} \  {G \sp 2}}+
+{6 \  {s \sb {0}} \  G} \over {18}}, \hbox{\hskip 8.0cm}
+$$
+$$
+{s \sb {3}}=
+{\left( 
+{9 \  {s \sb {0}} \  G}+
+{{54} \  {s \sb {0}}} 
+\right)\  H+
+{{s \sb {0}} \  {G \sp 3}}+
+{{18} \  {s \sb {0}} \  {G \sp 2}}+
+{{72} \  {s \sb {0}} \  G} \over {162}}, \hbox{\hskip 6.0cm}
+$$
+$$
+{s \sb {4}}=
+{\left(
+\begin{array}{@{}l}
+{{27} \  {s \sb {0}} \  {H \sp 2}}+
+\left( 
+{{18} \  {s \sb {0}} \  {G \sp 2}}+
+{{378} \  {s \sb {0}} \  G}+
+{{1296} \  {s \sb {0}}} 
+\right)\  H+
+\\
+\\
+\displaystyle
+{{s \sb {0}} \  {G \sp 4}}+
+{{36} \  {s \sb {0}} \  {G \sp 3}}+
+{{396} \  {s \sb {0}} \  {G \sp 2}}+
+{{1296} \  {s \sb {0}} \  G}
+\end{array}
+\right)
+\over {1944}}, \hbox{\hskip 4.0cm}
+$$
+$$
+{s \sb {5}}=
+{\left(
+\begin{array}{@{}l}
+\left( 
+{{135} \  {s \sb {0}} \  G}+
+{{2268} \  {s \sb {0}}} 
+\right)\  {H \sp 2}+
+\\
+\\
+\displaystyle
+\left( 
+{{30} \  {s \sb {0}} \  {G \sp 3}}+
+{{1350} \  {s \sb {0}} \  {G \sp 2}}+
+{{16416} \  {s \sb {0}} \  G}+
+{{38880} \  {s \sb {0}}} 
+\right)\  H+
+\\
+\\
+\displaystyle
+{{s \sb {0}} \  {G \sp 5}}+
+{{60} \  {s \sb {0}} \  {G \sp 4}}+
+{{1188} \  {s \sb {0}} \  {G \sp 3}}+
+{{9504} \  {s \sb {0}} \  {G \sp 2}}+
+{{25920} \  {s \sb {0}} \  G} 
+\end{array}
+\right)
+\over {29160}}, \hbox{\hskip 2.0cm}
+$$
+$$
+{s \sb {6}}=
+{\left(
+\begin{array}{@{}l}
+{{405} \  {s \sb {0}} \  {H \sp 3}}+
+\\
+\\
+\displaystyle
+{{\left( {{405} \  {s \sb {0}} \  {G \sp 2}}+
+{{18468} \  {s \sb {0}} \  G}+
+{{174960} \  {s \sb {0}}} \right)}\  {H \sp 2}}+
+\\
+\\
+\displaystyle
+\left( 
+{{45} \  {s \sb {0}} \  {G \sp 4}}+
+{{3510} \  {s \sb {0}} \  {G \sp 3}}+
+{{88776} \  {s \sb {0}} \  {G \sp 2}}+
+{{777600} \  {s \sb {0}} \  G}+
+\right.
+\\
+\displaystyle
+\left.
+{{1166400} \  {s \sb {0}}} 
+\right)\  H+
+\\
+\\
+\displaystyle
+{{s \sb {0}} \  {G \sp 6}}+
+{{90} \  {s \sb {0}} \  {G \sp 5}}+
+{{2628} \  {s \sb {0}} \  {G \sp 4}}+
+{{27864} \  {s \sb {0}} \  {G \sp 3}}+
+{{90720} \  {s \sb {0}} \  {G \sp 2}} 
+\end{array}
+\right)
+\over {524880}}, \hbox{\hskip 1.0cm}
+$$
+$$
+\left.
+\left.
+{s \sb {7}}=
+{\left(
+\begin{array}{@{}l}
+\left( 
+{{2835} \  {s \sb {0}} \  G}+
+{{91854} \  {s \sb {0}}} 
+\right)\  {H \sp 3}+
+\\
+\\
+\displaystyle
+\left( 
+{{945} \  {s \sb {0}} \  {G \sp 3}}+
+{{81648} \  {s \sb {0}} \  {G \sp 2}}+
+{{2082996} \  {s \sb {0}} \  G}+
+{{14171760} \  {s \sb {0}}} 
+\right)\  {H \sp 2}+
+\\
+\\
+\displaystyle
+\left( 
+{{63} \  {s \sb {0}} \  {G \sp 5}}+
+{{7560} \  {s \sb {0}} \  {G \sp 4}}+
+{{317520} \  {s \sb {0}} \  {G \sp 3}}+
+{{5554008} \  {s \sb {0}} \  {G \sp 2}}+
+\right.
+\\
+\displaystyle
+\left.
+{{34058880} \  {s \sb {0}} \  G} 
+\right)\  H+
+\\
+\\
+\displaystyle
+{{s \sb {0}} \  {G \sp 7}}+
+{{126} \  {s \sb {0}} \  {G \sp 6}}+
+{{4788} \  {s \sb {0}} \  {G \sp 5}}+
+{{25272} \  {s \sb {0}} \  {G \sp 4}} -
+{{1744416} \  {s \sb {0}} \  {G \sp 3}} -
+\\
+\displaystyle
+{{26827200} \  {s \sb {0}} \  {G \sp 2}} -
+{{97977600} \  {s \sb {0}} \  G} 
+\end{array}
+\right)
+\over {11022480}}
+\right]
+\right]
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+\section{LinearOrdinaryDifferentialOperator1}
+\label{LinearOrdinaryDifferentialOperator1XmpPage}
+
+{\tt LinearOrdinaryDifferentialOperator1(A)} is the domain of linear
+ordinary differential operators with coefficients in the differential ring
+{\tt A}.
+
+\subsection{Differential Operators with Rational Function Coefficients}
+
+This example shows differential operators with rational function
+coefficients.  In this case operator multiplication is non-commutative and,
+since the coefficients form a field, an operator division algorithm exists.
+
+We begin by defining {\tt RFZ} to be the rational functions in
+{\tt x} with integer coefficients and {\tt Dx} to be the differential
+operator for {\tt d/dx}.
+
+\spadcommand{RFZ := Fraction UnivariatePolynomial('x, Integer) }
+$$
+\mbox{\rm Fraction UnivariatePolynomial(x,Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{x : RFZ := 'x }
+$$
+x 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Integer)}
+
+\spadcommand{Dx : LODO1 RFZ := D()}
+$$
+D 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+Operators are created using the usual arithmetic operations.
+
+\spadcommand{b : LODO1 RFZ := 3*x**2*Dx**2 + 2*Dx + 1/x  }
+$$
+{3 \  {x \sp 2} \  {D \sp 2}}+{2 \  D}+{1 \over x} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+\spadcommand{a : LODO1 RFZ := b*(5*x*Dx + 7)}
+$$
+{{15} \  {x \sp 3} \  {D \sp 3}}+{{\left( {{51} \  {x \sp 2}}+{{10} \  x} 
+\right)}
+\  {D \sp 2}}+{{29} \  D}+{7 \over x} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+Operator multiplication corresponds to functional composition.
+
+\spadcommand{p := x**2 + 1/x**2 }
+$$
+{{x \sp 4}+1} \over {x \sp 2} 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Integer)}
+
+Since operator coefficients depend on {\tt x}, the multiplication is
+not commutative.
+
+\spadcommand{(a*b - b*a) p }
+$$
+{-{{75} \  {x \sp 4}}+{{540} \  x} -{75}} \over {x \sp 4} 
+$$
+\returnType{Type: Fraction UnivariatePolynomial(x,Integer)}
+
+When the coefficients of operator polynomials come from a field, as in
+this case, it is possible to define operator division.  Division on
+the left and division on the right yield different results when the
+multiplication is non-commutative.
+
+The results of
+\spadfunFrom{leftDivide}{LinearOrdinaryDifferentialOperator1} and
+\spadfunFrom{rightDivide}{LinearOrdinaryDifferentialOperator1} are
+quotient-remainder pairs satisfying: \newline
+
+{\tt leftDivide(a,b) = [q, r]} such that  {\tt a = b*q + r} \newline
+{\tt rightDivide(a,b) = [q, r]} such that  {\tt a = q*b + r} \newline
+
+In both cases, the
+\spadfunFrom{degree}{LinearOrdinaryDifferentialOperator1} of the
+remainder, {\tt r}, is less than the degree of {\tt b}.
+
+\spadcommand{ld := leftDivide(a,b) }
+$$
+\left[
+{quotient={{5 \  x \  D}+7}}, {remainder=0} 
+\right]
+$$
+\returnType{Type: 
+Record(quotient: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer),
+remainder: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer))}
+
+\spadcommand{a = b * ld.quotient + ld.remainder }
+$$
+\begin{array}{@{}l}
+{{{15} \  {x \sp 3} \  {D \sp 3}}+
+{{\left( 
+{{51} \  {x \sp 2}}+
+{{10} \  x} 
+\right)}
+\  {D \sp 2}}+
+{{29} \  D}+
+{7 \over x}}=
+\\
+\\
+\displaystyle
+{{{15} \  {x \sp 3} \  {D \sp 3}}+
+{{\left( {{51} \  {x \sp 2}}+
+{{10} \  x} 
+\right)}
+\  {D \sp 2}}+
+{{29} \  D}+{7 \over x}} 
+\end{array}
+$$
+\returnType{Type: 
+Equation LinearOrdinaryDifferentialOperator1 
+Fraction UnivariatePolynomial(x,Integer)}
+
+The operations of left and right division
+are so-called because the quotient is obtained by dividing
+{\tt a} on that side by {\tt b}.
+
+\spadcommand{rd := rightDivide(a,b) }
+$$
+\left[
+{quotient={{5 \  x \  D}+7}}, {remainder={{{10} \  D}+{5 \over x}}} 
+\right]
+$$
+\returnType{Type: 
+Record(quotient: 
+LinearOrdinaryDifferentialOperator1 Fraction 
+UnivariatePolynomial(x,Integer),
+remainder: 
+LinearOrdinaryDifferentialOperator1 Fraction 
+UnivariatePolynomial(x,Integer))}
+
+\spadcommand{a = rd.quotient * b + rd.remainder }
+$$
+\begin{array}{@{}l}
+{{{15} \  {x \sp 3} \  {D \sp 3}}+
+{{\left( {{51} \  {x \sp 2}}+{{10} \  x} 
+\right)}
+\  {D \sp 2}}+
+{{29} \  D}+
+{7 \over x}}=
+\\
+\\
+\displaystyle
+{{{15} \  {x \sp 3} \  {D \sp 3}}+
+{{\left( {{51} \  {x \sp 2}}+
+{{10} \  x} 
+\right)}
+\  {D \sp 2}}+
+{{29} \  D}+
+{7 \over x}} 
+\end{array}
+$$
+\returnType{Type: Equation 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+Operations
+\spadfunFrom{rightQuotient}{LinearOrdinaryDifferentialOperator1} and
+\spadfunFrom{rightRemainder}{LinearOrdinaryDifferentialOperator1} are
+available if only one of the quotient or remainder are of interest to
+you.  This is the quotient from right division.
+
+\spadcommand{rightQuotient(a,b) }
+$$
+{5 \  x \  D}+7 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+This is the remainder from right division.
+The corresponding ``left'' functions
+\spadfunFrom{leftQuotient}{LinearOrdinaryDifferentialOperator1} and
+\spadfunFrom{leftRemainder}{LinearOrdinaryDifferentialOperator1}
+are also available.
+
+\spadcommand{rightRemainder(a,b) }
+$$
+{{10} \  D}+{5 \over x} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+For exact division, the operations
+\spadfunFrom{leftExactQuotient}{LinearOrdinaryDifferentialOperator1} and
+\spadfunFrom{rightExactQuotient}{LinearOrdinaryDifferentialOperator1} are supplied.
+These return the quotient but only if the remainder is zero.
+The call {\tt rightExactQuotient(a,b)} would yield an error.
+
+\spadcommand{leftExactQuotient(a,b) }
+$$
+{5 \  x \  D}+7 
+$$
+\returnType{Type: 
+Union(LinearOrdinaryDifferentialOperator1 
+Fraction UnivariatePolynomial(x,Integer),...)}
+
+The division operations allow the computation of left and right greatest
+common divisors (\spadfunFrom{leftGcd}{LinearOrdinaryDifferentialOperator1} and
+\spadfunFrom{rightGcd}{LinearOrdinaryDifferentialOperator1}) via remainder
+sequences, and consequently the computation of left and right least common
+multiples (\spadfunFrom{rightLcm}{LinearOrdinaryDifferentialOperator1} and
+\spadfunFrom{leftLcm}{LinearOrdinaryDifferentialOperator1}).
+
+\spadcommand{e := leftGcd(a,b) }
+$$
+{3 \  {x \sp 2} \  {D \sp 2}}+{2 \  D}+{1 \over x} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+Note that a greatest common divisor doesn't necessarily divide {\tt a}
+and {\tt b} on both sides.  Here the left greatest common divisor does
+not divide {\tt a} on the right.
+
+\spadcommand{leftRemainder(a, e) }
+$$
+0 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+\spadcommand{rightRemainder(a, e) }
+$$
+{{10} \  D}+{5 \over x} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+Similarly, a least common multiple is not necessarily divisible from
+both sides.
+
+% NOTE: the book has a different answer
+\spadcommand{f := rightLcm(a,b) }
+$$
+{{15} \  {x \sp 3} \  {D \sp 3}}+
+{{\left( 
+{{51} \  {x \sp 2}}+
+{{10} \  x} 
+\right)}
+\  {D \sp 2}}+
+{{29} \  D}+{7 \over x} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+% NOTE: the book has a different answer
+\spadcommand{rightRemainder(f, b) }
+$$
+{{10} \  D}+{5 \over x} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+% NOTE: the book has a different answer
+\spadcommand{leftRemainder(f, b) }
+$$
+0 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator1 Fraction UnivariatePolynomial(x,Integer)}
+
+\section{LinearOrdinaryDifferentialOperator2}
+\label{LinearOrdinaryDifferentialOperator2XmpPage}
+
+{\tt LinearOrdinaryDifferentialOperator2(A, M)} is the domain of
+linear ordinary differential operators with coefficients in the
+differential ring {\tt A} and operating on {\tt M}, an {\tt A}-module.
+This includes the cases of operators which are polynomials in {\tt D}
+acting upon scalar or vector expressions of a single variable.  The
+coefficients of the operator polynomials can be integers, rational
+functions, matrices or elements of other domains.
+
+\subsection{Differential Operators with Constant Coefficients}
+
+This example shows differential operators with rational
+number coefficients operating on univariate polynomials.
+
+We begin by making type assignments so we can conveniently refer
+to univariate polynomials in {\tt x} over the rationals.
+
+\spadcommand{Q  := Fraction Integer }
+$$
+\mbox{\rm Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{PQ := UnivariatePolynomial('x, Q) }
+$$
+\mbox{\rm UnivariatePolynomial(x,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{x: PQ := 'x }
+$$
+x 
+$$
+\returnType{Type: UnivariatePolynomial(x,Fraction Integer)}
+
+Now we assign {\tt Dx} to be the differential operator
+\spadfunFrom{D}{LinearOrdinaryDifferentialOperator2}
+corresponding to {\tt d/dx}.
+
+\spadcommand{Dx: LODO2(Q, PQ) := D() }
+$$
+D 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+Fraction Integer,
+UnivariatePolynomial(x,Fraction Integer))}
+
+New operators are created as polynomials in {\tt D()}.
+
+\spadcommand{a := Dx  + 1 }
+$$
+D+1 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+Fraction Integer,
+UnivariatePolynomial(x,Fraction Integer))}
+
+\spadcommand{b := a + 1/2*Dx**2 - 1/2 }
+$$
+{{1 \over 2} \  {D \sp 2}}+D+{1 \over 2} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+Fraction Integer,
+UnivariatePolynomial(x,Fraction Integer))}
+
+To apply the operator {\tt a} to the value {\tt p} the usual function
+call syntax is used.
+
+\spadcommand{p := 4*x**2 + 2/3 }
+$$
+{4 \  {x \sp 2}}+{2 \over 3} 
+$$
+\returnType{Type: UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{a p }
+$$
+{4 \  {x \sp 2}}+{8 \  x}+{2 \over 3} 
+$$
+\returnType{Type: UnivariatePolynomial(x,Fraction Integer)}
+
+Operator multiplication is defined by the identity {\tt (a*b) p = a(b(p))}
+
+\spadcommand{(a * b) p = a b p }
+$$
+{{2 \  {x \sp 2}}+{{12} \  x}+{{37} \over 3}}={{2 \  {x \sp 2}}+{{12} \  
+x}+{{37} \over 3}} 
+$$
+\returnType{Type: Equation UnivariatePolynomial(x,Fraction Integer)}
+
+Exponentiation follows from multiplication.
+
+\spadcommand{c := (1/9)*b*(a + b)**2 }
+$$
+{{1 \over {72}} \  {D \sp 6}}+{{5 \over {36}} \  {D \sp 5}}+{{{13} \over 
+{24}} \  {D \sp 4}}+{{{19} \over {18}} \  {D \sp 3}}+{{{79} \over {72}} \  {D 
+\sp 2}}+{{7 \over {12}} \  D}+{1 \over 8} 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+Fraction Integer,
+UnivariatePolynomial(x,Fraction Integer))}
+
+Finally, note that operator expressions may be applied directly.
+
+\spadcommand{(a**2 - 3/4*b + c) (p + 1) }
+$$
+{3 \  {x \sp 2}}+{{{44} \over 3} \  x}+{{541} \over {36}} 
+$$
+\returnType{Type: UnivariatePolynomial(x,Fraction Integer)}
+
+\subsection{
+Differential Operators with Matrix Coefficients Operating on Vectors}
+
+This is another example of linear ordinary differential operators with
+non-commutative multiplication.  Unlike the rational function case,
+the differential ring of square matrices (of a given dimension) with
+univariate polynomial entries does not form a field.  Thus the number
+of operations available is more limited.
+
+In this section, the operators have three by three
+matrix coefficients with polynomial entries.
+
+\spadcommand{PZ   := UnivariatePolynomial(x,Integer)}
+$$
+UnivariatePolynomial(x,Integer) 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{x:PZ := 'x }
+$$
+x 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+\spadcommand{Mat  := SquareMatrix(3,PZ)}
+$$
+SquareMatrix(3,UnivariatePolynomial(x,Integer)) 
+$$
+\returnType{Type: Domain}
+
+The operators act on the vectors considered as a {\tt Mat}-module.
+
+\spadcommand{Vect := DPMM(3, PZ, Mat, PZ)}
+$$
+\begin{array}{@{}l}
+{\rm DirectProductMatrixModule(3,}
+\\
+\displaystyle
+{\rm \ \ UnivariatePolynomial(x,Integer),}
+\\
+\displaystyle
+{\rm \ \ SquareMatrix(3,UnivariatePolynomial(x,Integer)),}
+\\
+\displaystyle
+{\rm \ \ UnivariatePolynomial(x,Integer))}
+\end{array}
+$$
+\returnType{Type: Domain}
+
+\spadcommand{Modo := LODO2(Mat, Vect)}
+$$
+\begin{array}{@{}l}
+{\rm LinearOrdinaryDifferentialOperator2(}
+\\
+\displaystyle
+{\rm \ \ SquareMatrix(3,UnivariatePolynomial(x,Integer)),}
+\\
+\displaystyle
+{\rm \ \ DirectProductMatrixModule(3,}
+\\
+\displaystyle
+{\rm \ \ UnivariatePolynomial(x,Integer),}
+\\
+\displaystyle
+{\rm \ \ SquareMatrix(3,UnivariatePolynomial(x,Integer)),}
+\\
+\displaystyle
+{\rm \ \ UnivariatePolynomial(x,Integer)))}
+\end{array}
+$$
+\returnType{Type: Domain}
+
+The matrix {\tt m} is used as a coefficient and the vectors {\tt p}
+and {\tt q} are operated upon.
+
+\spadcommand{m:Mat := matrix [ [x**2,1,0],[1,x**4,0],[0,0,4*x**2] ]}
+$$
+\left[
+\begin{array}{ccc}
+{x \sp 2} & 1 & 0 \\ 
+1 & {x \sp 4} & 0 \\ 
+0 & 0 & {4 \  {x \sp 2}} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(3,UnivariatePolynomial(x,Integer))}
+
+\spadcommand{p:Vect := directProduct [3*x**2+1,2*x,7*x**3+2*x]}
+$$
+\left[
+{{3 \  {x \sp 2}}+1}, {2 \  x}, {{7 \  {x \sp 3}}+{2 \  x}} 
+\right]
+$$
+\returnType{Type: 
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer))}
+
+\spadcommand{q: Vect := m * p}
+$$
+\left[
+{{3 \  {x \sp 4}}+{x \sp 2}+{2 \  x}}, {{2 \  {x \sp 5}}+{3 \  {x \sp 
+2}}+1}, {{{28} \  {x \sp 5}}+{8 \  {x \sp 3}}} 
+\right]
+$$
+\returnType{Type: 
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer))}
+
+Now form a few operators.
+
+\spadcommand{Dx : Modo := D()}
+$$
+D 
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+SquareMatrix(3,UnivariatePolynomial(x,Integer)),
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer)))}
+
+\spadcommand{a : Modo := Dx  + m}
+$$
+D+{\left[ 
+\begin{array}{ccc}
+{x \sp 2} & 1 & 0 \\ 
+1 & {x \sp 4} & 0 \\ 
+0 & 0 & {4 \  {x \sp 2}} 
+\end{array}
+\right]}
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+SquareMatrix(3,UnivariatePolynomial(x,Integer)),
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer)))}
+
+\spadcommand{b : Modo := m*Dx  + 1}
+$$
+{{\left[ 
+\begin{array}{ccc}
+{x \sp 2} & 1 & 0 \\ 
+1 & {x \sp 4} & 0 \\ 
+0 & 0 & {4 \  {x \sp 2}} 
+\end{array}
+\right]}
+\  D}+{\left[ 
+\begin{array}{ccc}
+1 & 0 & 0 \\ 
+0 & 1 & 0 \\ 
+0 & 0 & 1 
+\end{array}
+\right]}
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer)))}
+
+\spadcommand{c := a*b }
+$$
+\begin{array}{@{}l}
+{{\left[ 
+\begin{array}{ccc}
+{x \sp 2} & 1 & 0 \\ 
+1 & {x \sp 4} & 0 \\ 
+0 & 0 & {4 \  {x \sp 2}} 
+\end{array}
+\right]}
+\  {D \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left[ 
+\begin{array}{ccc}
+{{x \sp 4}+{2 \  x}+2} & {{x \sp 4}+{x \sp 2}} & 0 \\ 
+{{x \sp 4}+{x \sp 2}} & {{x \sp 8}+{4 \  {x \sp 3}}+2} & 0 \\ 
+0 & 0 & {{{16} \  {x \sp 4}}+{8 \  x}+1} 
+\end{array}
+\right]}
+\  D}+
+\\
+\\
+\displaystyle
+{\left[ 
+\begin{array}{ccc}
+{x \sp 2} & 1 & 0 \\ 
+1 & {x \sp 4} & 0 \\ 
+0 & 0 & {4 \  {x \sp 2}} 
+\end{array}
+\right]}
+\end{array}
+$$
+\returnType{Type: 
+LinearOrdinaryDifferentialOperator2(
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer)))}
+
+These operators can be applied to vector values.
+
+\spadcommand{a p }
+$$
+\left[
+{{3 \  {x \sp 4}}+{x \sp 2}+{8 \  x}}, {{2 \  {x \sp 5}}+{3 \  {x \sp 
+2}}+3}, {{{28} \  {x \sp 5}}+{8 \  {x \sp 3}}+{{21} \  {x \sp 2}}+2} 
+\right]
+$$
+\returnType{Type: 
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer))}
+
+\spadcommand{b p }
+$$
+\left[
+{{6 \  {x \sp 3}}+{3 \  {x \sp 2}}+3}, {{2 \  {x \sp 4}}+{8 \  x}}, 
+{{{84} \  {x \sp 4}}+{7 \  {x \sp 3}}+{8 \  {x \sp 2}}+{2 \  x}} 
+\right]
+$$
+\returnType{Type: 
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer))}
+
+\spadcommand{(a + b + c) (p + q) }
+$$
+\begin{array}{@{}l}
+\left[
+{{{10} \  {x \sp 8}}+
+{{12} \  {x \sp 7}}+
+{{16} \  {x \sp 6}}+
+{{30} \  {x \sp 5}}+
+{{85} \  {x \sp 4}}+
+{{94} \  {x \sp 3}}+
+{{40} \  {x \sp 2}}+
+{{40} \  x}+
+{17}}, 
+\right.
+\\
+\\
+\displaystyle
+{{10} \  {x \sp {12}}}+
+{{10} \  {x \sp 9}}+
+{{12} \  {x \sp 8}}+
+{{92} \  {x \sp 7}}+
+{6 \  {x \sp 6}}+
+{{32} \  {x \sp 5}}+
+{{72} \  {x \sp 4}}+
+{{28} \  {x \sp 3}}+
+{{49} \  {x \sp 2}}+
+\\
+\displaystyle
+{{32} \  x}+
+{19}, 
+\\
+\\
+\displaystyle
+\left.
+{{{2240} \  {x \sp 8}}+
+{{224} \  {x \sp 7}}+
+{{1280} \  {x \sp 6}}+
+{{3508} \  {x \sp 5}}+
+{{492} \  {x \sp 4}}+
+{{751} \  {x \sp 3}}+
+{{98} \  {x \sp 2}}+
+{{18} \  x}+
+4} 
+\right]
+\end{array}
+$$
+\returnType{Type: 
+DirectProductMatrixModule(3,
+UnivariatePolynomial(x,Integer),
+SquareMatrix(3,
+UnivariatePolynomial(x,Integer)),
+UnivariatePolynomial(x,Integer))}
+
+\section{List}
+\label{ListXmpPage}
+
+A \index{list} is a finite collection of elements in a specified
+order that can contain duplicates.  A list is a convenient structure
+to work with because it is easy to add or remove elements and the
+length need not be constant.  There are many different kinds of lists
+in Axiom, but the default types (and those used most often) are
+created by the {\tt List} constructor.  For example, there are objects
+of type {\tt List Integer}, {\tt List Float} and {\tt List Polynomial
+Fraction Integer}.  Indeed, you can even have {\tt List List List
+Boolean} (that is, lists of lists of lists of Boolean values).  You
+can have lists of any type of Axiom object.
+
+\subsection{Creating Lists}
+
+The easiest way to create a list with, for example, the elements
+{\tt 2, 4, 5, 6} is to enclose the elements with square
+brackets and separate the elements with commas.
+
+The spaces after the commas are optional, but they do improve the
+readability.
+
+\spadcommand{[2, 4, 5, 6]}
+$$
+\left[
+2, 4, 5, 6 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+To create a list with the single element {\tt 1}, you can use
+either {\tt [1]} or the operation \spadfunFrom{list}{List}.
+
+\spadcommand{[1]}
+$$
+\left[
+1 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{list(1)}
+$$
+\left[
+1 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Once created, two lists {\tt k} and {\tt m} can be concatenated by
+issuing {\tt append(k,m)}.  \spadfunFrom{append}{List} does {\it not}
+physically join the lists, but rather produces a new list with the
+elements coming from the two arguments.
+
+\spadcommand{append([1,2,3],[5,6,7])}
+$$
+\left[
+1, 2, 3, 5, 6, 7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Use \spadfunFrom{cons}{List} to append an element onto the front of a
+list.
+
+\spadcommand{cons(10,[9,8,7])}
+$$
+\left[
+{10}, 9, 8, 7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\subsection{Accessing List Elements}
+
+To determine whether a list has any elements, use the operation
+\spadfunFrom{empty?}{List}.
+
+\spadcommand{empty? [x+1]}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Alternatively, equality with the list constant \spadfunFrom{nil}{List} can
+be tested.
+
+\spadcommand{([] = nil)@Boolean}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+We'll use this in some of the following examples.
+
+\spadcommand{k := [4,3,7,3,8,5,9,2] }
+$$
+\left[
+4, 3, 7, 3, 8, 5, 9, 2 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Each of the next four expressions extracts the \spadfunFrom{first}{List}
+element of {\tt k}.
+
+\spadcommand{first k }
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{k.first }
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{k.1 }
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{k(1) }
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+The last two forms generalize to {\tt k.i} and {\tt k(i)},
+respectively, where $ 1 \leq i \leq n$ and {\tt n} equals the length
+of {\tt k}.
+
+This length is calculated by \spadopFrom{\#}{List}.
+
+\spadcommand{n := \#k }
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+Performing an operation such as {\tt k.i} is sometimes referred to as
+{\it indexing into k} or {\it elting into k}.  The latter phrase comes
+about because the name of the operation that extracts elements is
+called \spadfunFrom{elt}{List}.  That is, {\tt k.3} is just
+alternative syntax for {\tt elt(k,3)}.  It is important to remember
+that list indices begin with 1.  If we issue {\tt k := [1,3,2,9,5]}
+then {\tt k.4} returns {\tt 9}.  It is an error to use an index that
+is not in the range from {\tt 1} to the length of the list.
+
+The last element of a list is extracted by any of the
+following three expressions.
+
+\spadcommand{last k }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{k.last }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+This form computes the index of the last element and then extracts the
+element from the list.
+
+\spadcommand{k.(\#k) }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Changing List Elements}
+
+We'll use this in some of the following examples.
+
+\spadcommand{k := [4,3,7,3,8,5,9,2] }
+$$
+\left[
+4, 3, 7, 3, 8, 5, 9, 2 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+List elements are reset by using the {\tt k.i} form on the left-hand
+side of an assignment.  This expression resets the first element of
+{\tt k} to {\tt 999}.
+
+\spadcommand{k.1 := 999 }
+$$
+999 
+$$
+\returnType{Type: PositiveInteger}
+
+As with indexing into a list, it is an error to use an index that is
+not within the proper bounds.  Here you see that {\tt k} was modified.
+
+\spadcommand{k }
+$$
+\left[
+{999}, 3, 7, 3, 8, 5, 9, 2 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The operation that performs the assignment of an element to a
+particular position in a list is called \spadfunFrom{setelt}{List}.
+This operation is {\it destructive} in that it changes the list.  In
+the above example, the assignment returned the value {\tt 999} and
+{\tt k} was modified.  For this reason, lists are called
+\index{mutable} objects: it is possible to change part of a list
+(mutate it) rather than always returning a new list reflecting the
+intended modifications.
+
+Moreover, since lists can share structure, changes to one list can
+sometimes affect others.
+
+\spadcommand{k := [1,2] }
+$$
+\left[
+1, 2 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{m := cons(0,k) }
+$$
+\left[
+0, 1, 2 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Change the second element of {\tt m}.
+
+\spadcommand{m.2 := 99 }
+$$
+99 
+$$
+\returnType{Type: PositiveInteger}
+
+See, {\tt m} was altered.
+
+\spadcommand{m }
+$$
+\left[
+0, {99}, 2 
+\right]
+$$
+\returnType{Type: List Integer}
+
+But what about {\tt k}?  It changed too!
+
+\spadcommand{k  }
+$$
+\left[
+{99}, 2 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\subsection{Other Functions}
+
+An operation that is used frequently in list processing is that
+which returns all elements in a list after the first element.
+
+\spadcommand{k := [1,2,3] }
+$$
+\left[
+1, 2, 3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Use the \spadfunFrom{rest}{List} operation to do this.
+
+\spadcommand{rest k }
+$$
+\left[
+2, 3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+To remove duplicate elements in a list {\tt k}, use
+\spadfunFrom{removeDuplicates}{List}.
+
+\spadcommand{removeDuplicates [4,3,4,3,5,3,4]}
+$$
+\left[
+4, 3, 5 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+To get a list with elements in the order opposite to those in
+a list {\tt k}, use \spadfunFrom{reverse}{List}.
+
+\spadcommand{reverse [1,2,3,4,5,6]}
+$$
+\left[
+6, 5, 4, 3, 2, 1 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+To test whether an element is in a list, use
+\spadfunFrom{member?}{List}: {\tt member?(a,k)} returns {\tt true} or
+{\tt false} depending on whether {\tt a} is in {\tt k} or not.
+
+\spadcommand{member?(1/2,[3/4,5/6,1/2])}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{member?(1/12,[3/4,5/6,1/2])}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+As an exercise, the reader should determine how to get a list
+containing all but the last of the elements in a given non-empty list
+{\tt k}.\footnote{{\tt reverse(rest(reverse(k)))} works.}
+
+\subsection{Dot, Dot}
+
+Certain lists are used so often that Axiom provides an easy way of
+constructing them.  If {\tt n} and {\tt m} are integers, then 
+{\tt expand [n..m]} creates a list containing {\tt n, n+1, ... m}.  If 
+{\tt n > m} then the list is empty.  It is actually permissible to leave
+off the {\tt m} in the dot-dot construction (see below).
+
+The dot-dot notation can be used more than once in a list construction
+and with specific elements being given.  Items separated by dots are
+called {\it segments.}
+
+\spadcommand{[1..3,10,20..23]}
+$$
+\left[
+{1..3}, {{10}..{10}}, {{20}..{23}} 
+\right]
+$$
+\returnType{Type: List Segment PositiveInteger}
+
+Segments can be expanded into the range of items between the
+endpoints by using \spadfunFrom{expand}{Segment}.
+
+\spadcommand{expand [1..3,10,20..23]}
+$$
+\left[
+1, 2, 3, {10}, {20}, {21}, {22}, {23} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+What happens if we leave off a number on the right-hand side of
+\spadopFrom{..}{UniversalSegment}?
+
+\spadcommand{expand [1..]}
+$$
+\left[
+1, 2, 3, 4, 5, 6, 7, 8, 9, {10}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+What is created in this case is a {\tt Stream} which is a
+generalization of a list.  See 
+\ref{StreamXmpPage} on page~\pageref{StreamXmpPage} for more
+information.
+
+\section{LyndonWord}
+\label{LyndonWordXmpPage}
+
+Initialisations
+
+\spadcommand{a:Symbol :='a }
+$$
+a 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{b:Symbol :='b }
+$$
+b 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{c:Symbol :='c }
+$$
+c 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{lword:= LyndonWord(Symbol) }
+$$
+\mbox{\rm LyndonWord Symbol} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{magma := Magma(Symbol) }
+$$
+\mbox{\rm Magma Symbol} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{word   := OrderedFreeMonoid(Symbol) }
+$$
+\mbox{\rm OrderedFreeMonoid Symbol} 
+$$
+\returnType{Type: Domain}
+
+All Lyndon words of with a, b, c to order 3
+
+\spadcommand{LyndonWordsList1([a,b,c],3)\$lword     }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ 
+{\left[ a \right]},
+{\left[ b \right]},
+{\left[ c \right]}
+\right]},
+{\left[ 
+{\left[ a \  b \right]}, {\left[ a \  c \right]},{\left[ b \  c \right]}
+\right]},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left[ {\left[ {a \sp 2} \  b 
+\right]},
+{\left[ {a \sp 2} \  c 
+\right]},
+{\left[ a \  {b \sp 2} 
+\right]},
+{\left[ a \  b \  c 
+\right]},
+{\left[ a \  c \  b 
+\right]},
+{\left[ a \  {c \sp 2} 
+\right]},
+{\left[ {b \sp 2} \  c 
+\right]},
+{\left[ b \  {c \sp 2} 
+\right]}
+\right]}
+\right]
+\end{array}
+$$
+\returnType{Type: OneDimensionalArray List LyndonWord Symbol}
+
+All Lyndon words of with a, b, c to order 3 in flat list
+
+\spadcommand{LyndonWordsList([a,b,c],3)\$lword}
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ a \right]},
+{\left[ b \right]},
+{\left[ c \right]},
+{\left[ a \  b \right]},
+{\left[ a \  c \right]},
+{\left[ b \  c \right]},
+{\left[ {a \sp 2} \  b \right]},
+{\left[ {a \sp 2} \  c \right]},
+{\left[ a \  {b \sp 2} \right]},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left[ a \  b \  c \right]},
+{\left[ a \  c \  b \right]},
+{\left[ a \  {c \sp 2} \right]},
+{\left[ {b \sp 2} \  c \right]},
+{\left[ b \  {c \sp 2} \right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+All Lyndon words of with a, b to order 5
+
+\spadcommand{lw := LyndonWordsList([a,b],5)\$lword    }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ a \right]},
+{\left[ b \right]},
+{\left[ a \  b \right]},
+{\left[ {a \sp 2} \  b \right]},
+{\left[ a \  {b \sp 2} \right]},
+{\left[ {a \sp 3} \  b \right]},
+{\left[ {a \sp 2} \  {b \sp 2} \right]},
+{\left[ a \  {b \sp 3} \right]},
+{\left[ {a \sp 4} \  b \right]},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left[ {a \sp 3} \  {b \sp 2} \right]},
+{\left[ {a \sp 2} \  b \  a \  b \right]},
+{\left[ {a \sp 2} \  {b \sp 3} \right]},
+{\left[ a \  b \  a \  {b \sp 2} \right]},
+{\left[ a \  {b \sp 4} \right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+\spadcommand{w1 : word := lw.4 :: word   }
+$$
+{a \sp 2} \  b 
+$$
+\returnType{Type: OrderedFreeMonoid Symbol}
+
+\spadcommand{w2 : word := lw.5 :: word   }
+$$
+a \  {b \sp 2} 
+$$
+\returnType{Type: OrderedFreeMonoid Symbol}
+
+Let's try factoring
+
+\spadcommand{factor(a::word)\$lword }
+$$
+\left[
+{\left[ a 
+\right]}
+\right]
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+\spadcommand{factor(w1*w2)\$lword }
+$$
+\left[
+{\left[ {a \sp 2} \  b \  a \  {b \sp 2} 
+\right]}
+\right]
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+\spadcommand{factor(w2*w2)\$lword }
+$$
+\left[
+{\left[ a \  {b \sp 2} 
+\right]},
+{\left[ a \  {b \sp 2} 
+\right]}
+\right]
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+\spadcommand{factor(w2*w1)\$lword }
+$$
+\left[
+{\left[ a \  {b \sp 2} 
+\right]},
+{\left[ {a \sp 2} \  b 
+\right]}
+\right]
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+Checks and coercions
+
+\spadcommand{lyndon?(w1)\$lword }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{lyndon?(w1*w2)\$lword }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{lyndon?(w2*w1)\$lword }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{lyndonIfCan(w1)\$lword }
+$$
+\left[
+{a \sp 2} \  b 
+\right]
+$$
+\returnType{Type: Union(LyndonWord Symbol,...)}
+
+\spadcommand{lyndonIfCan(w2*w1)\$lword }
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+\spadcommand{lyndon(w1)\$lword }
+$$
+\left[
+{a \sp 2} \  b 
+\right]
+$$
+\returnType{Type: LyndonWord Symbol}
+
+\spadcommand{lyndon(w1*w2)\$lword }
+$$
+\left[
+{a \sp 2} \  b \  a \  {b \sp 2} 
+\right]
+$$
+\returnType{Type: LyndonWord Symbol}
+
+\section{Magma}
+\label{MagmaXmpPage}
+
+Initialisations
+
+\spadcommand{x:Symbol :='x }
+$$
+x 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{y:Symbol :='y }
+$$
+y 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{z:Symbol :='z }
+$$
+z 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{word := OrderedFreeMonoid(Symbol) }
+$$
+\mbox{\rm OrderedFreeMonoid Symbol} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{tree := Magma(Symbol) }
+$$
+\mbox{\rm Magma Symbol} 
+$$
+\returnType{Type: Domain}
+
+Let's make some trees
+
+\spadcommand{a:tree := x*x  }
+$$
+\left[
+x, x 
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+\spadcommand{b:tree := y*y  }
+$$
+\left[
+y, y 
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+\spadcommand{c:tree := a*b  }
+$$
+\left[
+{\left[ x, x 
+\right]},
+{\left[ y, y 
+\right]}
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+Query the trees
+
+\spadcommand{left c }
+$$
+\left[
+x, x 
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+\spadcommand{right c }
+$$
+\left[
+y, y 
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+\spadcommand{length c }
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Coerce to the monoid
+
+\spadcommand{c::word }
+$$
+{x \sp 2} \  {y \sp 2} 
+$$
+\returnType{Type: OrderedFreeMonoid Symbol}
+
+Check ordering
+
+\spadcommand{a < b }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{a < c }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{b < c }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Navigate the tree
+
+\spadcommand{first c }
+$$
+x 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{rest c }
+$$
+\left[
+x, {\left[ y, y 
+\right]}
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+\spadcommand{rest rest c  }
+$$
+\left[
+y, y 
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+Check ordering
+
+\spadcommand{ax:tree := a*x  }
+$$
+\left[
+{\left[ x, x 
+\right]},
+x 
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+\spadcommand{xa:tree := x*a  }
+$$
+\left[
+x, {\left[ x, x 
+\right]}
+\right]
+$$
+\returnType{Type: Magma Symbol}
+
+\spadcommand{xa < ax }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{lexico(xa,ax) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\section{MakeFunction}
+\label{MakeFunctionXmpPage}
+
+It is sometimes useful to be able to define a function given by
+the result of a calculation.
+
+Suppose that you have obtained the following expression after several
+computations and that you now want to tabulate the numerical values of
+{\tt f} for {\tt x} between {\tt -1} and {\tt +1} with increment 
+{\tt 0.1}.
+
+\spadcommand{expr := (x - exp x + 1)**2 * (sin(x**2) * x + 1)**3 }
+$$
+\begin{array}{@{}l}
+{{\left( 
+{{x \sp 3} \  {{e \sp x} \sp 2}}+
+{{\left( -{2 \  {x \sp 4}} -{2 \ {x \sp 3}} 
+\right)}\  {e \sp x}}+
+{x \sp 5}+
+{2 \  {x \sp 4}}+
+{x \sp 3} 
+\right)}\  {{\sin 
+\left(
+{{x \sp 2}} 
+\right)}\sp 3}}+
+\\
+\\
+\displaystyle
+{{\left( 
+{3 \  {x \sp 2} \  {{e \sp x} \sp 2}}+
+{{\left( -{6 \  {x \sp 3}} -
+{6 \  {x \sp 2}} 
+\right)}\  {e \sp x}}+
+{3 \  {x \sp 4}}+
+{6 \  {x \sp 3}}+
+{3 \  {x \sp 2}} 
+\right)}
+\  {{\sin 
+\left(
+{{x \sp 2}} 
+\right)}\sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( 
+{3 \  x \  {{e \sp x} \sp 2}}+
+{{\left( -{6 \  {x \sp 2}} -{6\  x} 
+\right)}\  {e \sp x}}+
+{3 \  {x \sp 3}}+
+{6 \  {x \sp 2}}+
+{3 \  x} 
+\right)}\  {\sin 
+\left(
+{{x \sp 2}} 
+\right)}}+
+{{e\sp x} \sp 2}+
+\\
+\\
+\displaystyle
+{{\left( 
+-{2 \  x} -
+2 
+\right)}\  {e \sp x}}+
+{x \sp 2}+{2 \  x}+
+1 
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+You could, of course, use the function \spadfunFrom{eval}{Expression}
+within a loop and evaluate {\tt expr} twenty-one times, but this would
+be quite slow.  A better way is to create a numerical function {\tt f}
+such that {\tt f(x)} is defined by the expression {\tt expr} above,
+but without retyping {\tt expr}!  The package {\tt MakeFunction}
+provides the operation \spadfunFrom{function}{MakeFunction} which does
+exactly this.
+
+Issue this to create the function {\tt f(x)} given by {\tt expr}.
+
+\spadcommand{function(expr, f, x) }
+$$
+f 
+$$
+\returnType{Type: Symbol}
+
+To tabulate {\tt expr}, we can now quickly evaluate {\tt f} 21 times.
+
+\spadcommand{tbl := [f(0.1 * i - 1) for i in 0..20]; }
+$$
+\begin{array}{@{}l}
+\left[
+{0.0005391844\ 0362701574}, 
+{0.0039657551\ 1844206653}, 
+\right.
+\\
+\displaystyle
+{0.0088545187\ 4833983689\ 2}, 
+{0.0116524883\ 0907069695}, 
+\\
+\displaystyle
+{0.0108618220\ 9245751364\ 5}, 
+{0.0076366823\ 2120869965\ 06}, 
+\\
+\displaystyle
+{0.0040584985\ 7597822062\ 55},  
+{0.0015349542\ 8910500836\ 48}, 
+\\
+\displaystyle
+{0.0003424903\ 1549879905\ 716},  
+{0.0000233304\ 8276098819\ 6001}, 
+\\
+\displaystyle
+{0.0},
+{0.0000268186\ 8782862599\ 4229}, 
+\\
+\displaystyle
+{0.0004691571\ 3720051642\ 621}, 
+{0.0026924576\ 5968519586\ 08}, 
+\\
+\displaystyle
+{0.0101486881\ 7369135148\ 8}, 
+{0.0313833725\ 8543810564\ 3},
+\\
+\displaystyle
+{0.0876991144\ 5154615297\ 9},
+{0.2313019789\ 3439968362},
+\\
+\displaystyle
+{0.5843743955\ 958098772},
+{1.4114930171\ 992819197},
+\\
+\displaystyle
+\left.
+{3.2216948276\ 75164252} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Float}
+
+Use the list {\tt [x1,...,xn]} as the
+third argument to \spadfunFrom{function}{MakeFunction}
+to create a multivariate function {\tt f(x1,...,xn)}.
+
+\spadcommand{e := (x - y + 1)**2 * (x**2 * y + 1)**2 }
+$$
+\begin{array}{@{}l}
+{{x \sp 4} \  {y \sp 4}}+
+{{\left( 
+-{2 \  {x \sp 5}} -
+{2 \  {x \sp 4}}+
+{2 \  {x \sp 2}} 
+\right)}\  {y \sp 3}}+
+{{\left( 
+{x \sp 6}+
+{2 \  {x \sp 5}}+
+{x \sp 4} -
+{4 \  {x \sp 3}} -
+{4 \  {x \sp 2}}+
+1 
+\right)}\  {y \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( {2 \  {x \sp 4}}+
+{4 \  {x \sp 3}}+
+{2 \  {x \sp 2}} -
+{2 \  x} -
+2 
+\right)}\  y}+
+{x \sp 2}+
+{2 \  x}+
+1 
+\end{array}
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{function(e, g, [x, y]) }
+$$
+g 
+$$
+\returnType{Type: Symbol}
+
+In the case of just two variables, they can be given as arguments
+without making them into a list.
+
+\spadcommand{function(e, h, x, y) }
+$$
+h 
+$$
+\returnType{Type: Symbol}
+
+Note that the functions created by \spadfunFrom{function}{MakeFunction}
+are not limited to floating point numbers, but can be applied to any type
+for which they are defined.
+
+\spadcommand{m1 := squareMatrix [ [1, 2], [3, 4] ] }
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+3 & 4 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{m2 := squareMatrix [ [1, 0], [-1, 1] ] }
+$$
+\left[
+\begin{array}{cc}
+1 & 0 \\ 
+-1 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{h(m1, m2) }
+$$
+\left[
+\begin{array}{cc}
+-{7836} & {8960} \\ 
+-{17132} & {19588} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+For more information, see 
+\ref{ugUserMakePage} on page~\pageref{ugUserMakePage} in Section 
+\ref{ugUserMakeNumber} on page~\pageref{ugUserMakeNumber}.
+
+\section{MappingPackage1}
+\label{MappingPackage1XmpPage}
+
+Function are objects of type {\tt Mapping}.  In this section we
+demonstrate some library operations from the packages 
+{\tt MappingPackage1}, {\tt MappingPackage2}, and {\tt MappingPackage3}
+that manipulate and create functions.  Some terminology: a 
+{\it nullary} function takes no arguments, a {\it unary} function takes 
+one argument, and a {\it binary} function takes two arguments.
+
+We begin by creating an example function that raises a
+rational number to an integer exponent.
+
+\spadcommand{power(q: FRAC INT, n: INT): FRAC INT == q**n }
+\begin{verbatim}
+Function declaration power : (Fraction Integer,Integer) -> 
+   Fraction Integer has been added to workspace.
+\end{verbatim}
+\returnType{Void}
+
+\spadcommand{power(2,3) }
+\begin{verbatim}
+Compiling function power with type (Fraction Integer,Integer) -> 
+   Fraction Integer 
+\end{verbatim}
+$$
+8 
+$$
+\returnType{Type: Fraction Integer}
+
+The \spadfunFrom{twist}{MappingPackage3} operation transposes the
+arguments of a binary function.  Here {\tt rewop(a, b)} is 
+{\tt power(b, a)}.
+
+\spadcommand{rewop := twist power }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: ((Integer,Fraction Integer) -> Fraction Integer)}
+
+This is $2^3.$
+
+\spadcommand{rewop(3, 2) }
+$$
+8 
+$$
+\returnType{Type: Fraction Integer}
+
+Now we define {\tt square} in terms of {\tt power}.
+
+\spadcommand{square: FRAC INT -> FRAC INT }
+\returnType{Void}
+
+The \spadfunFrom{curryRight}{MappingPackage3} operation creates a
+unary function from a binary one by providing a constant argument on
+the right.
+
+\spadcommand{square:= curryRight(power, 2) }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: (Fraction Integer -> Fraction Integer)}
+
+Likewise, the \spadfunFrom{curryLeft}{MappingPackage3} operation
+provides a constant argument on the left.
+
+\spadcommand{square 4 }
+$$
+16 
+$$
+\returnType{Type: Fraction Integer}
+
+The \spadfunFrom{constantRight}{MappingPackage3} operation creates
+(in a trivial way) a binary function from a unary one:
+{\tt constantRight(f)} is the function {\tt g} such that
+{\tt g(a,b)= f(a).}
+
+\spadcommand{squirrel:= constantRight(square)\$MAPPKG3(FRAC INT,FRAC INT,FRAC INT) }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: ((Fraction Integer,Fraction Integer) -> Fraction Integer)}
+
+Likewise, {\tt constantLeft(f)} is the function {\tt g} such that 
+{\tt g(a,b)= f(b).}
+
+\spadcommand{squirrel(1/2, 1/3) }
+$$
+1 \over 4 
+$$
+\returnType{Type: Fraction Integer}
+
+The \spadfunFrom{curry}{MappingPackage2} operation makes a unary
+function nullary.
+
+\spadcommand{sixteen := curry(square, 4/1) }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: (() -> Fraction Integer)}
+
+\spadcommand{sixteen() }
+$$
+16 
+$$
+\returnType{Type: Fraction Integer}
+
+The \spadopFrom{*}{MappingPackage3} operation constructs composed
+functions.
+
+\spadcommand{square2:=square*square }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: (Fraction Integer -> Fraction Integer)}
+
+\spadcommand{square2  3 }
+$$
+81 
+$$
+\returnType{Type: Fraction Integer}
+
+Use the \spadopFrom{**}{MappingPackage1} operation to create functions
+that are {\tt n}-fold iterations of other functions.
+
+\spadcommand{sc(x: FRAC INT): FRAC INT == x + 1 }
+\begin{verbatim}
+Function declaration sc : Fraction Integer -> 
+   Fraction Integer has been added to workspace.
+\end{verbatim}
+\returnType{Void}
+
+This is a list of {\tt Mapping} objects.
+
+\spadcommand{incfns := [sc**i for i in 0..10] }
+$$
+\begin{array}{@{}l}
+\left[
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\right.
+\\
+\displaystyle
+\left.
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\mbox{theMap(...)}, 
+\mbox{theMap(...)} 
+\right]
+\end{array}
+$$
+\returnType{Type: List (Fraction Integer -> Fraction Integer)}
+
+This is a list of applications of those functions.
+
+\spadcommand{[f 4 for f in incfns] }
+$$
+\left[
+4, 5, 6, 7, 8, 9, {10}, {11}, {12}, {13}, {14} 
+\right]
+$$
+\returnType{Type: List Fraction Integer}
+
+Use the \spadfunFrom{recur}{MappingPackage1}
+operation for recursion:
+
+{\tt g := recur f} means {\tt g(n,x) == f(n,f(n-1,...f(1,x))).}
+
+\spadcommand{times(n:NNI, i:INT):INT == n*i }
+\begin{verbatim}
+Function declaration times : (NonNegativeInteger,Integer) -> 
+   Integer has been added to workspace.
+\end{verbatim}
+\returnType{Void}
+
+\spadcommand{r := recur(times) }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: ((NonNegativeInteger,Integer) -> Integer)}
+
+This is a factorial function.
+
+\spadcommand{fact := curryRight(r, 1) }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: (NonNegativeInteger -> Integer)}
+
+\spadcommand{fact 4 }
+$$
+24 
+$$
+\returnType{Type: PositiveInteger}
+
+Constructed functions can be used within other functions.
+
+\begin{verbatim}
+mto2ton(m, n) ==
+  raiser := square**n
+  raiser m
+\end{verbatim}
+\returnType{Void}
+
+This is $3^{2^3}.$
+
+\spadcommand{mto2ton(3, 3) }
+\begin{verbatim}
+   Compiling function mto2ton with type (PositiveInteger,
+      PositiveInteger) -> Fraction Integer 
+\end{verbatim}
+$$
+6561 
+$$
+\returnType{Type: Fraction Integer}
+
+Here {\tt shiftfib} is a unary function that modifies its argument.
+
+\begin{verbatim}
+shiftfib(r: List INT) : INT ==
+  t := r.1
+  r.1 := r.2
+  r.2 := r.2 + t
+  t
+
+Function declaration shiftfib : List Integer -> Integer 
+   has been added to workspace.
+\end{verbatim}
+\returnType{Void}
+
+By currying over the argument we get a function with private state.
+
+\spadcommand{fibinit: List INT := [0, 1] }
+$$
+\left[
+0, 1 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{fibs := curry(shiftfib, fibinit) }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: (() -> Integer)}
+
+\spadcommand{[fibs() for i in 0..30] }
+$$
+\begin{array}{@{}l}
+\left[
+0, 1, 1, 2, 3, 5, 8, {13}, {21}, {34}, {55}, 
+{89}, {144}, {233}, {377}, {610}, {987}, {1597}, 
+\right.
+\\
+\displaystyle
+{2584}, {4181}, {6765}, {10946}, {17711}, {28657}, {46368}, 
+{75025}, {121393}, {196418}, 
+\\
+\displaystyle
+\left.
+{317811}, {514229}, {832040} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Integer}
+
+\section{Matrix}
+\label{MatrixXmpPage}
+
+The {\tt Matrix} domain provides arithmetic operations on matrices
+and standard functions from linear algebra.
+This domain is similar to the {\tt TwoDimensionalArray} domain, except
+that the entries for {\tt Matrix} must belong to a {\tt Ring}.
+
+\subsection{Creating Matrices}
+
+There are many ways to create a matrix from a collection of values or
+from existing matrices.
+
+If the matrix has almost all items equal to the same value, use
+\spadfunFrom{new}{Matrix} to create a matrix filled with that value
+and then reset the entries that are different.
+
+\spadcommand{m : Matrix(Integer) := new(3,3,0) }
+$$
+\left[
+\begin{array}{ccc}
+0 & 0 & 0 \\ 
+0 & 0 & 0 \\ 
+0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+To change the entry in the second row, third column to {\tt 5}, use
+\spadfunFrom{setelt}{Matrix}.
+
+\spadcommand{setelt(m,2,3,5) }
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+An alternative syntax is to use assignment.
+
+\spadcommand{m(1,2) := 10 }
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+The matrix was {\it destructively modified}.
+
+\spadcommand{m }
+$$
+\left[
+\begin{array}{ccc}
+0 & {10} & 0 \\ 
+0 & 0 & 5 \\ 
+0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+If you already have the matrix entries as a list of lists, use
+\spadfunFrom{matrix}{Matrix}.
+
+\spadcommand{matrix [ [1,2,3,4],[0,9,8,7] ]}
+$$
+\left[
+\begin{array}{cccc}
+1 & 2 & 3 & 4 \\ 
+0 & 9 & 8 & 7 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+If the matrix is diagonal, use \spadfunFrom{diagonalMatrix}{Matrix}.
+
+\spadcommand{dm := diagonalMatrix [1,x**2,x**3,x**4,x**5] }
+$$
+\left[
+\begin{array}{ccccc}
+1 & 0 & 0 & 0 & 0 \\ 
+0 & {x \sp 2} & 0 & 0 & 0 \\ 
+0 & 0 & {x \sp 3} & 0 & 0 \\ 
+0 & 0 & 0 & {x \sp 4} & 0 \\ 
+0 & 0 & 0 & 0 & {x \sp 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+Use \spadfunFrom{setRow}{Matrix} and \spadfunFrom{setColumn}{Matrix}
+to change a row or column of a matrix.
+
+\spadcommand{setRow!(dm,5,vector [1,1,1,1,1]) }
+$$
+\left[
+\begin{array}{ccccc}
+1 & 0 & 0 & 0 & 0 \\ 
+0 & {x \sp 2} & 0 & 0 & 0 \\ 
+0 & 0 & {x \sp 3} & 0 & 0 \\ 
+0 & 0 & 0 & {x \sp 4} & 0 \\ 
+1 & 1 & 1 & 1 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+\spadcommand{setColumn!(dm,2,vector [y,y,y,y,y]) }
+$$
+\left[
+\begin{array}{ccccc}
+1 & y & 0 & 0 & 0 \\ 
+0 & y & 0 & 0 & 0 \\ 
+0 & y & {x \sp 3} & 0 & 0 \\ 
+0 & y & 0 & {x \sp 4} & 0 \\ 
+1 & y & 1 & 1 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+Use \spadfunFrom{copy}{Matrix} to make a copy of a matrix.
+
+\spadcommand{cdm := copy(dm) }
+$$
+\left[
+\begin{array}{ccccc}
+1 & y & 0 & 0 & 0 \\ 
+0 & y & 0 & 0 & 0 \\ 
+0 & y & {x \sp 3} & 0 & 0 \\ 
+0 & y & 0 & {x \sp 4} & 0 \\ 
+1 & y & 1 & 1 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+This is useful if you intend to modify a matrix destructively but
+want a copy of the original.
+
+\spadcommand{setelt(dm,4,1,1-x**7) }
+$$
+-{x \sp 7}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{[dm,cdm] }
+$$
+\left[
+{\left[ 
+\begin{array}{ccccc}
+1 & y & 0 & 0 & 0 \\ 
+0 & y & 0 & 0 & 0 \\ 
+0 & y & {x \sp 3} & 0 & 0 \\ 
+{-{x \sp 7}+1} & y & 0 & {x \sp 4} & 0 \\ 
+1 & y & 1 & 1 & 1 
+\end{array}
+\right]},
+{\left[ 
+\begin{array}{ccccc}
+1 & y & 0 & 0 & 0 \\ 
+0 & y & 0 & 0 & 0 \\ 
+0 & y & {x \sp 3} & 0 & 0 \\ 
+0 & y & 0 & {x \sp 4} & 0 \\ 
+1 & y & 1 & 1 & 1 
+\end{array}
+\right]}
+\right]
+$$
+\returnType{Type: List Matrix Polynomial Integer}
+
+Use \spadfunFrom{subMatrix}{Matrix} to extract part of an existing
+matrix.  The syntax is {\tt subMatrix({\it m, firstrow, lastrow,
+firstcol, lastcol})}.
+
+\spadcommand{subMatrix(dm,2,3,2,4) }
+$$
+\left[
+\begin{array}{ccc}
+y & 0 & 0 \\ 
+y & {x \sp 3} & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+To change a submatrix, use \spadfunFrom{setsubMatrix}{Matrix}.
+
+\spadcommand{d := diagonalMatrix [1.2,-1.3,1.4,-1.5] }
+$$
+\left[
+\begin{array}{cccc}
+{1.2} & {0.0} & {0.0} & {0.0} \\ 
+{0.0} & -{1.3} & {0.0} & {0.0} \\ 
+{0.0} & {0.0} & {1.4} & {0.0} \\ 
+{0.0} & {0.0} & {0.0} & -{1.5} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+If {\tt e} is too big to fit where you specify, an error message is
+displayed.  Use \spadfunFrom{subMatrix}{Matrix} to extract part of
+{\tt e}, if necessary.
+
+\spadcommand{e := matrix [ [6.7,9.11],[-31.33,67.19] ] }
+$$
+\left[
+\begin{array}{cc}
+{6.7} & {9.11} \\ 
+-{31.33} & {67.19} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+This changes the submatrix of {\tt d} whose upper left corner is
+at the first row and second column and whose size is that of {\tt e}.
+
+\spadcommand{setsubMatrix!(d,1,2,e) }
+$$
+\left[
+\begin{array}{cccc}
+{1.2} & {6.7} & {9.11} & {0.0} \\ 
+{0.0} & -{31.33} & {67.19} & {0.0} \\ 
+{0.0} & {0.0} & {1.4} & {0.0} \\ 
+{0.0} & {0.0} & {0.0} & -{1.5} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+\spadcommand{d }
+$$
+\left[
+\begin{array}{cccc}
+{1.2} & {6.7} & {9.11} & {0.0} \\ 
+{0.0} & -{31.33} & {67.19} & {0.0} \\ 
+{0.0} & {0.0} & {1.4} & {0.0} \\ 
+{0.0} & {0.0} & {0.0} & -{1.5} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+Matrices can be joined either horizontally or vertically to make
+new matrices.
+
+\spadcommand{a := matrix [ [1/2,1/3,1/4],[1/5,1/6,1/7] ] }
+$$
+\left[
+\begin{array}{ccc}
+{1 \over 2} & {1 \over 3} & {1 \over 4} \\ 
+{1 \over 5} & {1 \over 6} & {1 \over 7} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+\spadcommand{b := matrix [ [3/5,3/7,3/11],[3/13,3/17,3/19] ] }
+$$
+\left[
+\begin{array}{ccc}
+{3 \over 5} & {3 \over 7} & {3 \over {11}} \\ 
+{3 \over {13}} & {3 \over {17}} & {3 \over {19}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+Use \spadfunFrom{horizConcat}{Matrix} to append them side to side.
+The two matrices must have the same number of rows.
+
+\spadcommand{horizConcat(a,b) }
+$$
+\left[
+\begin{array}{cccccc}
+{1 \over 2} & {1 \over 3} & {1 \over 4} & {3 \over 5} & {3 \over 7} & {3 
+\over {11}} \\ 
+{1 \over 5} & {1 \over 6} & {1 \over 7} & {3 \over {13}} & {3 \over {17}} & 
+{3 \over {19}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+Use \spadfunFrom{vertConcat}{Matrix} to stack one upon the other.
+The two matrices must have the same number of columns.
+
+\spadcommand{vab := vertConcat(a,b) }
+$$
+\left[
+\begin{array}{ccc}
+{1 \over 2} & {1 \over 3} & {1 \over 4} \\ 
+{1 \over 5} & {1 \over 6} & {1 \over 7} \\ 
+{3 \over 5} & {3 \over 7} & {3 \over {11}} \\ 
+{3 \over {13}} & {3 \over {17}} & {3 \over {19}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+The operation \spadfunFrom{transpose}{Matrix} is used to create a new
+matrix by reflection across the main diagonal.
+
+\spadcommand{transpose vab }
+$$
+\left[
+\begin{array}{cccc}
+{1 \over 2} & {1 \over 5} & {3 \over 5} & {3 \over {13}} \\ 
+{1 \over 3} & {1 \over 6} & {3 \over 7} & {3 \over {17}} \\ 
+{1 \over 4} & {1 \over 7} & {3 \over {11}} & {3 \over {19}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+\subsection{Operations on Matrices}
+
+Axiom provides both left and right scalar multiplication.
+
+\spadcommand{m := matrix [ [1,2],[3,4] ] }
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+3 & 4 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+\spadcommand{4 * m * (-5)}
+$$
+\left[
+\begin{array}{cc}
+-{20} & -{40} \\ 
+-{60} & -{80} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+You can add, subtract, and multiply matrices provided, of course, that
+the matrices have compatible dimensions.  If not, an error message is
+displayed.
+
+\spadcommand{n := matrix([ [1,0,-2],[-3,5,1] ]) }
+$$
+\left[
+\begin{array}{ccc}
+1 & 0 & -2 \\ 
+-3 & 5 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+This following product is defined but {\tt n * m} is not.
+
+\spadcommand{m * n }
+$$
+\left[
+\begin{array}{ccc}
+-5 & {10} & 0 \\ 
+-9 & {20} & -2 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+The operations \spadfunFrom{nrows}{Matrix} and
+\spadfunFrom{ncols}{Matrix} return the number of rows and columns of a
+matrix.  You can extract a row or a column of a matrix using the
+operations \spadfunFrom{row}{Matrix} and \spadfunFrom{column}{Matrix}.
+The object returned is a {\tt Vector}.
+
+Here is the third column of the matrix {\tt n}.
+
+\spadcommand{vec := column(n,3)  }
+$$
+\left[
+-2, 1 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+You can multiply a matrix on the left by a ``row vector'' and on the right
+by a ``column vector.''
+
+\spadcommand{vec * m }
+$$
+\left[
+1, 0 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+Of course, the dimensions of the vector and the matrix must be compatible
+or an error message is returned.
+
+\spadcommand{m * vec }
+$$
+\left[
+0, -2 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+The operation \spadfunFrom{inverse}{Matrix} computes the inverse of a
+matrix if the matrix is invertible, and returns {\tt "failed"} if not.
+
+This Hilbert matrix is invertible.
+
+\spadcommand{hilb := matrix([ [1/(i + j) for i in 1..3] for j in 1..3]) }
+$$
+\left[
+\begin{array}{ccc}
+{1 \over 2} & {1 \over 3} & {1 \over 4} \\ 
+{1 \over 3} & {1 \over 4} & {1 \over 5} \\ 
+{1 \over 4} & {1 \over 5} & {1 \over 6} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+\spadcommand{inverse(hilb) }
+$$
+\left[
+\begin{array}{ccc}
+{72} & -{240} & {180} \\ 
+-{240} & {900} & -{720} \\ 
+{180} & -{720} & {600} 
+\end{array}
+\right]
+$$
+\returnType{Type: Union(Matrix Fraction Integer,...)}
+
+This matrix is not invertible.
+
+\spadcommand{mm := matrix([ [1,2,3,4], [5,6,7,8], [9,10,11,12], [13,14,15,16] ]) }
+$$
+\left[
+\begin{array}{cccc}
+1 & 2 & 3 & 4 \\ 
+5 & 6 & 7 & 8 \\ 
+9 & {10} & {11} & {12} \\ 
+{13} & {14} & {15} & {16} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+\spadcommand{inverse(mm) }
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+The operation \spadfunFrom{determinant}{Matrix} computes the
+determinant of a matrix provided that the entries of the matrix belong
+to a {\tt CommutativeRing}.
+
+The above matrix {\tt mm} is not invertible and, hence, must have
+determinant {\tt 0}.
+
+\spadcommand{determinant(mm) }
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+The operation \spadfunFrom{trace}{SquareMatrix} computes the trace of
+a {\em square} matrix.
+
+\spadcommand{trace(mm) }
+$$
+34 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{rank}{Matrix} computes the {\it rank} of a
+matrix: the maximal number of linearly independent rows or columns.
+
+\spadcommand{rank(mm) }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{nullity}{Matrix} computes the {\it nullity} of
+a matrix: the dimension of its null space.
+
+\spadcommand{nullity(mm) }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{nullSpace}{Matrix} returns a list
+containing a basis for the null space of a matrix.  Note that the
+nullity is the number of elements in a basis for the null space.
+
+\spadcommand{nullSpace(mm) }
+$$
+\left[
+{\left[ 1, -2, 1, 0 
+\right]},
+{\left[ 2, -3, 0, 1 
+\right]}
+\right]
+$$
+\returnType{Type: List Vector Integer}
+
+The operation \spadfunFrom{rowEchelon}{Matrix} returns the row echelon
+form of a matrix.  It is easy to see that the rank of this matrix is
+two and that its nullity is also two.
+
+\spadcommand{rowEchelon(mm) }
+$$
+\left[
+\begin{array}{cccc}
+1 & 2 & 3 & 4 \\ 
+0 & 4 & 8 & {12} \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+For more information on related topics, see 
+\ref{ugIntroTwoDimPage} on page~\pageref{ugIntroTwoDimPage} in Section 
+\ref{ugIntroTwoDimNumber} on page~\pageref{ugIntroTwoDimNumber}, 
+\ref{ugProblemEigenPage} on page~\pageref{ugProblemEigenPage} in Section
+\ref{ugProblemEigenNumber} on page~\pageref{ugProblemEigenNumber}, 
+\ref{ugxFloatHilbertPage} on page~\pageref{ugxFloatHilbertPage} in Section
+\ref{ugxFloatHilbertNumber} on page~\pageref{ugxFloatHilbertNumber}, 
+\ref{PermanentXmpPage} on page~\pageref{PermanentXmpPage},
+\ref{VectorXmpPage} on page~\pageref{VectorXmpPage}, 
+\ref{OneDimensionalArrayXmpPage} on page~\pageref{OneDimensionalArrayXmpPage},
+and
+\ref{TwoDimensionalArrayXmpPage} on page~\pageref{TwoDimensionalArrayXmpPage}.
+
+\section{Multiset}
+\label{MultisetXmpPage}
+
+The domain {\tt Multiset(R)} is similar to {\tt Set(R)} except that
+multiplicities (counts of duplications) are maintained and displayed.
+Use the operation \spadfunFrom{multiset}{Multiset} to create multisets
+from lists.  All the standard operations from sets are available for
+multisets.  An element with multiplicity greater than one has the
+multiplicity displayed first, then a colon, and then the element.
+
+Create a multiset of integers.
+
+\spadcommand{s := multiset [1,2,3,4,5,4,3,2,3,4,5,6,7,4,10]}
+$$
+\left\{
+7, {2 \mbox{\rm : } 5}, {3 \mbox{\rm : } 3}, 1, {10}, 6, {4 
+\mbox{\rm : } 4}, {2 \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset PositiveInteger}
+
+The operation {\tt insert!} adds an element to a multiset.
+
+\spadcommand{insert!(3,s)}
+$$
+\left\{
+7, {2 \mbox{\rm : } 5}, {4 \mbox{\rm : } 3}, 1, {10}, 6, {4 
+\mbox{\rm : } 4}, {2 \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset PositiveInteger}
+
+Use {\tt remove!} to remove an element.  If a third argument is
+present, it specifies how many instances to remove. Otherwise all
+instances of the element are removed.  Display the resulting multiset.
+
+\spadcommand{remove!(3,s,1); s}
+$$
+\left\{
+7, {2 \mbox{\rm : } 5}, {3 \mbox{\rm : } 3}, 1, {10}, 6, {4 
+\mbox{\rm : } 4}, {2 \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset PositiveInteger}
+
+\spadcommand{remove!(5,s); s}
+$$
+\left\{
+7, {3 \mbox{\rm : } 3}, 1, {10}, 6, {4 \mbox{\rm : } 4}, {2 
+\mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset PositiveInteger}
+
+The operation {\tt count} returns the number of copies of a given value.
+
+\spadcommand{count(5,s)}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+A second multiset.
+
+\spadcommand{t := multiset [2,2,2,-9]}
+$$
+\left\{
+-9, {3 \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset Integer}
+
+The {\tt union} of two multisets is additive.
+
+\spadcommand{U := union(s,t)}
+$$
+\left\{
+7, {3 \mbox{\rm : } 3}, 1, -9, {10}, 6, {4 \mbox{\rm : } 
+4}, {5 \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset Integer}
+
+The {\tt intersect} operation gives the elements that are in
+common, with additive multiplicity.
+
+\spadcommand{I := intersect(s,t)}
+$$
+\left\{
+{5 \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset Integer}
+
+The {\tt difference} of {\tt s} and {\tt t} consists of the elements
+that {\tt s} has but {\tt t} does not.  Elements are regarded as
+indistinguishable, so that if {\tt s} and {\tt t} have any element in
+common, the {\tt difference} does not contain that element.
+
+\spadcommand{difference(s,t)}
+$$
+\left\{
+7, {3 \mbox{\rm : } 3}, 1, {10}, 6, {4 \mbox{\rm : } 4} 
+\right\}
+$$
+\returnType{Type: Multiset Integer}
+
+The {\tt symmetricDifference} is the {\tt union} of {\tt difference(s, t)} 
+and {\tt difference(t, s)}.
+
+\spadcommand{S := symmetricDifference(s,t)}
+$$
+\left\{
+7, {3 \mbox{\rm : } 3}, 1, -9, {10}, 6, {4 \mbox{\rm : } 4} 
+\right\}
+$$
+\returnType{Type: Multiset Integer}
+
+Check that the {\tt union} of the {\tt symmetricDifference} and
+the {\tt intersect} equals the {\tt union} of the elements.
+
+\spadcommand{(U = union(S,I))@Boolean}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Check some inclusion relations.
+
+\spadcommand{t1 := multiset [1,2,2,3]; [t1 < t, t1 < s, t < s, t1 <= s]}
+$$
+\left[
+{\tt false}, {\tt true}, {\tt false}, {\tt true} 
+\right]
+$$
+\returnType{Type: List Boolean}
+
+\section{MultivariatePolynomial}
+\label{MultivariatePolynomialXmpPage}
+
+The domain constructor {\tt MultivariatePolynomial} is similar to {\tt
+Polynomial} except that it specifies the variables to be used.  {\tt
+Polynomial} are available for {\tt MultivariatePolynomial}.  The
+abbreviation for {\tt MultivariatePolynomial} is {\tt MPOLY}.  The
+type expressions \centerline{{{\tt MultivariatePolynomial([x,y],Integer)}}} 
+and \centerline{{{\tt MPOLY([x,y],INT)}}} refer to the domain of 
+multivariate polynomials in the variables {\tt x} and {\tt y} where the 
+coefficients are restricted to be integers.  The first variable specified 
+is the main variable and the display of the polynomial reflects this.
+
+This polynomial appears with terms in descending powers of the
+variable {\tt x}.
+
+\spadcommand{m : MPOLY([x,y],INT) := (x**2 - x*y**3 +3*y)**2 }
+$$
+{x \sp 4} -{2 \  {y \sp 3} \  {x \sp 3}}+{{\left( {y \sp 6}+{6 \  y} 
+\right)}
+\  {x \sp 2}} -{6 \  {y \sp 4} \  x}+{9 \  {y \sp 2}} 
+$$
+\returnType{Type: MultivariatePolynomial([x,y],Integer)}
+
+It is easy to see a different variable ordering by doing a conversion.
+
+\spadcommand{m :: MPOLY([y,x],INT) }
+$$
+{{x \sp 2} \  {y \sp 6}} -{6 \  x \  {y \sp 4}} -{2 \  {x \sp 3} \  {y \sp 
+3}}+{9 \  {y \sp 2}}+{6 \  {x \sp 2} \  y}+{x \sp 4} 
+$$
+\returnType{Type: MultivariatePolynomial([y,x],Integer)}
+
+You can use other, unspecified variables, by using {\tt Polynomial} in
+the coefficient type of {\tt MPOLY}.
+
+\spadcommand{p : MPOLY([x,y],POLY INT) }
+\returnType{Void}
+
+\spadcommand{p := (a**2*x - b*y**2 + 1)**2 }
+$$
+{{a \sp 4} \  {x \sp 2}}+
+{{\left( 
+-{2 \  {a \sp 2} \  b \  {y \sp 2}}+
+{2 \  {a \sp 2}} 
+\right)}\  x}+
+{{b \sp 2} \  {y \sp 4}} -
+{2 \  b \  {y \sp 2}}+
+1 
+$$
+\returnType{Type: MultivariatePolynomial([x,y],Polynomial Integer)}
+
+Conversions can be used to re-express such polynomials in terms of
+the other variables.  For example, you can first push all the
+variables into a polynomial with integer coefficients.
+
+\spadcommand{p :: POLY INT }
+$$
+{{b \sp 2} \  {y \sp 4}}+
+{{\left( 
+-{2 \  {a \sp 2} \  b \  x} -
+{2 \  b} 
+\right)}\  {y \sp 2}}+
+{{a \sp 4} \  {x \sp 2}}+
+{2 \  {a \sp 2} \  x}+
+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+Now pull out the variables of interest.
+
+\spadcommand{\% :: MPOLY([a,b],POLY INT) }
+$$
+{{x \sp 2} \  {a \sp 4}}+
+{{\left( 
+-{2 \  x \  {y \sp 2} \  b}+
+{2 \  x} 
+\right)}\  {a \sp 2}}+
+{{y \sp 4} \  {b \sp 2}} -
+{2 \  {y \sp 2} \  b}+
+1 
+$$
+\returnType{Type: MultivariatePolynomial([a,b],Polynomial Integer)}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+\noindent {\bf Restriction:}
+\begin{quotation}\noindent
+Axiom does not allow you to create types where
+{\tt MultivariatePolynomial} is contained in the coefficient type of
+{\tt Polynomial}. Therefore,
+{\tt MPOLY([x,y],POLY INT)} is legal but
+{\tt POLY MPOLY([x,y],INT)} is not.
+\end{quotation}
+.
+}
+
+Multivariate polynomials may be combined with univariate polynomials
+to create types with special structures.
+
+\spadcommand{q : UP(x, FRAC MPOLY([y,z],INT)) }
+\returnType{Void}
+
+This is a polynomial in {\tt x} whose coefficients are quotients of
+polynomials in {\tt y} and {\tt z}.
+
+\spadcommand{q := (x**2 - x*(z+1)/y +2)**2 }
+$$
+{x \sp 4}+
+{{{-{2 \  z} -2} \over y} \  {x \sp 3}}+
+{{{{4 \  {y \sp 2}}+{z \sp 2}+{2 \  z}+
+1} \over {y \sp 2}} \  {x \sp 2}}+
+{{{-{4 \  z} -4} \over y} \  
+x}+
+4 
+$$
+\returnType{Type: 
+UnivariatePolynomial(x,Fraction MultivariatePolynomial([y,z],Integer))}
+
+Use conversions for structural rearrangements.  {\tt z} does not
+appear in a denominator and so it can be made the main variable.
+
+\spadcommand{q :: UP(z, FRAC MPOLY([x,y],INT)) }
+$$
+{{{x \sp 2} \over {y \sp 2}} \  {z \sp 2}}+
+{{{-{2 \  y \  {x \sp 3}}+{2 \  {x \sp 2}} -
+{4 \  y \  x}} \over {y \sp 2}} \  z}+
+{{{{y \sp 2} \  {x \sp 4}} -
+{2 \  y \  {x \sp 3}}+
+{{\left( {4 \  {y \sp 2}}+
+1 
+\right)}\  {x \sp 2}} -
+{4 \  y \  x}+
+{4 \  {y \sp 2}}} \over {y \sp 2}} 
+$$
+\returnType{Type: 
+UnivariatePolynomial(z,Fraction MultivariatePolynomial([x,y],Integer))}
+
+Or you can make a multivariate polynomial in {\tt x} and {\tt z}
+whose coefficients are fractions in polynomials in {\tt y}.
+
+\spadcommand{q :: MPOLY([x,z], FRAC UP(y,INT)) }
+$$
+\begin{array}{@{}l}
+{x \sp 4}+
+{{\left( -
+{{2 \over y} \  z} -
+{2 \over y} 
+\right)}
+\  {x \sp 3}}+
+{{\left( 
+{{1 \over {y \sp 2}} \  {z \sp 2}}+
+{{2 \over {y \sp 2}} \  z}+
+{{{4 \  {y \sp 2}}+
+1} \over {y \sp 2}} 
+\right)}
+\  {x \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( 
+-{{4 \over y} \  z} -
+{4 \over y} 
+\right)}
+\  x}+
+4 
+\end{array}
+$$
+\returnType{Type: 
+MultivariatePolynomial([x,z],Fraction UnivariatePolynomial(y,Integer))}
+
+A conversion like {\tt q :: MPOLY([x,y], FRAC UP(z,INT))} is not
+possible in this example because {\tt y} appears in the denominator of
+a fraction.  As you can see, Axiom provides extraordinary flexibility
+in the manipulation and display of expressions via its conversion
+facility.
+
+For more information on related topics, see
+\ref{PolynomialXmpPage} on page~\pageref{PolynomialXmpPage},
+\ref{UnivariatePolynomialXmpPage} on 
+page~\pageref{UnivariatePolynomialXmpPage}, and
+\ref{DistributedMultivariatePolynomialXmpPage} on 
+page~\pageref{DistributedMultivariatePolynomialXmpPage}.
+
+\section{None}
+\label{NoneXmpPage}
+
+The {\tt None} domain is not very useful for interactive work but it
+is provided nevertheless for completeness of the Axiom type system.
+
+Probably the only place you will ever see it is if you enter an
+empty list with no type information.
+
+\spadcommand{[ ]}
+$$
+\left[\ 
+\right]
+$$
+\returnType{Type: List None}
+Such an empty list can be converted into an empty list
+of any other type.
+
+\spadcommand{[ ] :: List Float}
+$$
+\left[\ 
+\right]
+$$
+\returnType{Type: List Float}
+
+If you wish to produce an empty list of a particular
+type directly, such as {\tt List NonNegativeInteger}, do it this way.
+
+\spadcommand{[ ]\$List(NonNegativeInteger)}
+$$
+\left[\ 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+\section{Octonion}
+\label{OctonionXmpPage}
+
+The Octonions, also called the Cayley-Dixon algebra, defined over a
+commutative ring are an eight-dimensional non-associative algebra.
+Their construction from quaternions is similar to the construction
+of quaternions from complex numbers (see 
+\ref{QuaternionXmpPage} on page~\pageref{QuaternionXmpPage}).
+
+As {\tt Octonion} creates an eight-dimensional algebra, you have to
+give eight components to construct an octonion.
+
+\spadcommand{oci1 := octon(1,2,3,4,5,6,7,8) }
+$$
+1+{2 \  i}+{3 \  j}+{4 \  k}+{5 \  E}+{6 \  I}+{7 \  J}+{8 \  K} 
+$$
+\returnType{Type: Octonion Integer}
+
+\spadcommand{oci2 := octon(7,2,3,-4,5,6,-7,0) }
+$$
+7+{2 \  i}+{3 \  j} -{4 \  k}+{5 \  E}+{6 \  I} -{7 \  J} 
+$$
+\returnType{Type: Octonion Integer}
+
+Or you can use two quaternions to create an octonion.
+
+\spadcommand{oci3 := octon(quatern(-7,-12,3,-10), quatern(5,6,9,0)) }
+$$
+-7 -{{12} \  i}+{3 \  j} -{{10} \  k}+{5 \  E}+{6 \  I}+{9 \  J} 
+$$
+\returnType{Type: Octonion Integer}
+
+You can easily demonstrate the non-associativity of multiplication.
+
+\spadcommand{(oci1 * oci2) * oci3 - oci1 * (oci2 * oci3) }
+$$
+{{2696} \  i} -{{2928} \  j} -{{4072} \  k}+{{16} \  E} -{{1192} \  I}+{{832} 
+\  J}+{{2616} \  K} 
+$$
+\returnType{Type: Octonion Integer}
+
+As with the quaternions, we have a real part, the imaginary parts {\tt
+i}, {\tt j}, {\tt k}, and four additional imaginary parts {\tt E},
+{\tt I}, {\tt J} and {\tt K}.  These parts correspond to the canonical
+basis {\tt (1,i,j,k,E,I,J,K)}.
+
+For each basis element there is a component operation to extract
+the coefficient of the basis element for a given octonion.
+
+\spadcommand{[real oci1, imagi oci1, imagj oci1, imagk oci1, imagE oci1, imagI oci1, imagJ oci1, imagK oci1] }
+$$
+\left[
+1, 2, 3, 4, 5, 6, 7, 8 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+A basis with respect to the quaternions is given by {\tt (1,E)}.
+However, you might ask, what then are the commuting rules?  To answer
+this, we create some generic elements.
+
+We do this in Axiom by simply changing the ground ring from {\tt
+Integer} to {\tt Polynomial Integer}.
+
+\spadcommand{q : Quaternion Polynomial Integer := quatern(q1, qi, qj, qk) }
+$$
+q1+{qi \  i}+{qj \  j}+{qk \  k} 
+$$
+\returnType{Type: Quaternion Polynomial Integer}
+
+\spadcommand{E : Octonion Polynomial Integer:= octon(0,0,0,0,1,0,0,0) }
+$$
+E 
+$$
+\returnType{Type: Octonion Polynomial Integer}
+
+Note that quaternions are automatically converted to octonions in the
+obvious way.
+
+\spadcommand{q * E }
+$$
+{q1 \  E}+{qi \  I}+{qj \  J}+{qk \  K} 
+$$
+\returnType{Type: Octonion Polynomial Integer}
+
+\spadcommand{E * q }
+$$
+{q1 \  E} -{qi \  I} -{qj \  J} -{qk \  K} 
+$$
+\returnType{Type: Octonion Polynomial Integer}
+
+\spadcommand{q * 1\$(Octonion Polynomial Integer) }
+$$
+q1+{qi \  i}+{qj \  j}+{qk \  k} 
+$$
+\returnType{Type: Octonion Polynomial Integer}
+
+\spadcommand{1\$(Octonion Polynomial Integer) * q }
+$$
+q1+{qi \  i}+{qj \  j}+{qk \  k} 
+$$
+\returnType{Type: Octonion Polynomial Integer}
+
+Finally, we check that the \spadfunFrom{norm}{Octonion}, defined as
+the sum of the squares of the coefficients, is a multiplicative map.
+
+\spadcommand{o : Octonion Polynomial Integer := octon(o1, oi, oj, ok, oE, oI, oJ, oK) }
+$$
+o1+{oi \  i}+{oj \  j}+{ok \  k}+{oE \  E}+{oI \  I}+{oJ \  J}+{oK \  K} 
+$$
+\returnType{Type: Octonion Polynomial Integer}
+
+\spadcommand{norm o }
+$$
+{ok \sp 2}+{oj \sp 2}+{oi \sp 2}+{oK \sp 2}+{oJ \sp 2}+{oI \sp 2}+{oE \sp 
+2}+{o1 \sp 2} 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{p : Octonion Polynomial Integer := octon(p1, pi, pj, pk, pE, pI, pJ, pK) }
+$$
+p1+{pi \  i}+{pj \  j}+{pk \  k}+{pE \  E}+{pI \  I}+{pJ \  J}+{pK \  K} 
+$$
+\returnType{Type: Octonion Polynomial Integer}
+
+Since the result is {\tt 0}, the norm is multiplicative.
+
+\spadcommand{norm(o*p)-norm(p)*norm(o) }
+$$
+0 
+$$
+\returnType{Type: Polynomial Integer}
+
+\section{OneDimensionalArray}
+\label{OneDimensionalArrayXmpPage}
+
+The {\tt OneDimensionalArray} domain is used for storing data in a
+one-dimensional indexed data structure.  Such an array is a
+homogeneous data structure in that all the entries of the array must
+belong to the same Axiom domain.  Each array has a fixed length
+specified by the user and arrays are not extensible.  The indexing of
+one-dimensional arrays is one-based.  This means that the ``first''
+element of an array is given the index {\tt 1}.  See also
+\ref{VectorXmpPage} on page~\pageref{VectorXmpPage} and 
+\ref{FlexibleArrayXmpPage} on page~\pageref{FlexibleArrayXmpPage}.
+
+To create a one-dimensional array, apply the operation 
+{\tt oneDimensionalArray} to a list.
+
+\spadcommand{oneDimensionalArray [i**2 for i in 1..10]}
+$$
+\left[
+1, 4, 9, {16}, {25}, {36}, {49}, {64}, {81}, {100} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+Another approach is to first create {\tt a}, a one-dimensional array
+of 10 {\tt 0}'s.  {\tt OneDimensionalArray} has the convenient
+abbreviation {\tt ARRAY1}.
+
+\spadcommand{a : ARRAY1 INT := new(10,0)}
+$$
+\left[
+0, 0, 0, 0, 0, 0, 0, 0, 0, 0 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+Set each {\tt i}th element to i, then display the result.
+
+\spadcommand{for i in 1..10 repeat a.i := i; a}
+$$
+\left[
+1, 2, 3, 4, 5, 6, 7, 8, 9, {10} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+Square each element by mapping the function $i \mapsto i^2$ onto each
+element.
+
+\spadcommand{map!(i +-> i ** 2,a); a}
+$$
+\left[
+1, 4, 9, {16}, {25}, {36}, {49}, {64}, {81}, {100} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+Reverse the elements in place.
+
+\spadcommand{reverse! a}
+$$
+\left[
+{100}, {81}, {64}, {49}, {36}, {25}, {16}, 9, 4, 1 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+Swap the {\tt 4}th and {\tt 5}th element.
+
+\spadcommand{swap!(a,4,5); a}
+$$
+\left[
+{100}, {81}, {64}, {36}, {49}, {25}, {16}, 9, 4, 1 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+Sort the elements in place.
+
+\spadcommand{sort! a }
+$$
+\left[
+1, 4, 9, {16}, {25}, {36}, {49}, {64}, {81}, {100} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+Create a new one-dimensional array {\tt b} containing the last 5
+elements of {\tt a}.
+
+\spadcommand{b := a(6..10)}
+$$
+\left[
+{36}, {49}, {64}, {81}, {100} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+Replace the first 5 elements of {\tt a} with those of {\tt b}.
+
+\spadcommand{copyInto!(a,b,1)}
+$$
+\left[
+{36}, {49}, {64}, {81}, {100}, {36}, {49}, {64}, 
+{81}, {100} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+\section{Operator}
+\label{OperatorXmpPage}
+
+Given any ring {\tt R}, the ring of the {\tt Integer}-linear operators
+over {\tt R} is called {\tt Operator(R)}.  To create an operator over
+{\tt R}, first create a basic operator using the operation 
+{\tt operator}, and then convert it to {\tt Operator(R)} for the {\tt R}
+you want.
+
+We choose {\tt R} to be the two by two matrices over the integers.
+
+\spadcommand{R := SQMATRIX(2, INT)}
+$$
+SquareMatrix(2,Integer) 
+$$
+\returnType{Type: Domain}
+
+Create the operator {\tt tilde} on {\tt R}.
+
+\spadcommand{t := operator("tilde") :: OP(R) }
+$$
+tilde 
+$$
+\returnType{Type: Operator SquareMatrix(2,Integer)}
+
+Since {\tt Operator} is unexposed we must either package-call operations
+from it, or expose it explicitly.  For convenience we will do the latter.
+
+Expose {\tt Operator}.
+
+\spadcommand{)set expose add constructor Operator }
+\begin{verbatim}
+   Operator is now explicitly exposed in frame G82322 
+\end{verbatim}
+
+To attach an evaluation function (from {\tt R} to {\tt R}) to an
+operator over {\tt R}, use {\tt evaluate(op, f)} where {\tt op} is an
+operator over {\tt R} and {\tt f} is a function {\tt R -> R}.  This
+needs to be done only once when the operator is defined.  Note that
+{\tt f} must be {\tt Integer}-linear (that is, 
+{\tt f(ax+y) = a f(x) + f(y)} for any integer {\tt a}, and any {\tt x} 
+and {\tt y} in {\tt R}).
+
+We now attach the transpose map to the above operator {\tt t}.
+
+\spadcommand{evaluate(t, m +-> transpose m)}
+$$
+tilde 
+$$
+\returnType{Type: Operator SquareMatrix(2,Integer)}
+
+Operators can be manipulated formally as in any ring: {\tt +} is
+the pointwise addition and {\tt *} is composition.  Any element
+{\tt x} of {\tt R} can be converted to an operator 
+$op_x$ over {\tt R}, and the evaluation function of
+$op_x$ is left-multiplication by {\tt x}.
+
+Multiplying on the left by this matrix swaps the two rows.
+
+\spadcommand{s : R := matrix [ [0, 1], [1, 0] ]}
+$$
+\left[
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+Can you guess what is the action of the following operator?
+
+\spadcommand{rho := t * s}
+$$
+tilde \  {\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]}
+$$
+\returnType{Type: Operator SquareMatrix(2,Integer)}
+
+Hint: applying {\tt rho} four times gives the identity, so
+{\tt rho**4-1} should return 0 when applied to any two by two matrix.
+
+\spadcommand{z := rho**4 - 1}
+$$
+-1+{tilde \  {\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]}
+\  tilde \  {\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]}
+\  tilde \  {\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]}
+\  tilde \  {\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]}}
+$$
+\returnType{Type: Operator SquareMatrix(2,Integer)}
+
+Now check with this matrix.
+
+\spadcommand{m:R := matrix [ [1, 2], [3, 4] ]}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+3 & 4 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{z m}
+$$
+\left[
+\begin{array}{cc}
+0 & 0 \\ 
+0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+As you have probably guessed by now, {\tt rho} acts on matrices
+by rotating the elements clockwise.
+
+\spadcommand{rho m}
+$$
+\left[
+\begin{array}{cc}
+3 & 1 \\ 
+4 & 2 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{rho rho m}
+$$
+\left[
+\begin{array}{cc}
+4 & 3 \\ 
+2 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+\spadcommand{(rho**3) m}
+$$
+\left[
+\begin{array}{cc}
+2 & 4 \\ 
+1 & 3 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+
+Do the swapping of rows and transposition commute?  We can check by
+computing their bracket.
+
+\spadcommand{b := t * s - s * t}
+$$
+-{{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]}
+\  tilde}+{tilde \  {\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+1 & 0 
+\end{array}
+\right]}}
+$$
+\returnType{Type: Operator SquareMatrix(2,Integer)}
+
+Now apply it to {\tt m}.
+
+\spadcommand{b m }
+$$
+\left[
+\begin{array}{cc}
+1 & -3 \\ 
+3 & -1 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Integer)}
+ 
+Next we demonstrate how to define a differential operator on a
+polynomial ring.
+
+This is the recursive definition of the {\tt n}-th Legendre polynomial.
+
+\begin{verbatim}
+L n ==
+  n = 0 => 1
+  n = 1 => x
+  (2*n-1)/n * x * L(n-1) - (n-1)/n * L(n-2)
+\end{verbatim}
+\returnType{Void}
+
+Create the differential operator $d \over {dx}$ on polynomials in {\tt x} 
+over the rational numbers.
+
+\spadcommand{dx := operator("D") :: OP(POLY FRAC INT) }
+$$
+D 
+$$
+\returnType{Type: Operator Polynomial Fraction Integer}
+
+Now attach the map to it.
+
+\spadcommand{evaluate(dx, p +-> D(p, 'x)) }
+$$
+D 
+$$
+\returnType{Type: Operator Polynomial Fraction Integer}
+
+This is the differential equation satisfied by the {\tt n}-th
+Legendre polynomial.
+
+\spadcommand{E n == (1 - x**2) * dx**2 - 2 * x * dx + n*(n+1) }
+\returnType{Void}
+
+Now we verify this for {\tt n = 15}.  Here is the polynomial.
+
+\spadcommand{L 15 }
+$$
+\begin{array}{@{}l}
+{{{9694845} \over {2048}} \  {x \sp {15}}} -
+{{{35102025} \over {2048}} \  {x \sp {13}}}+
+{{{50702925} \over {2048}} \  {x \sp {11}}} -
+{{{37182145} \over {2048}} \  {x \sp 9}}+
+{{{14549535} \over {2048}} \  {x \sp 7}} -
+\\
+\\
+\displaystyle
+{{{2909907} \over {2048}} \  {x \sp 5}}+
+{{{255255} \over {2048}} \  {x \sp 3}} -
+{{{6435} \over {2048}} \  x} 
+\end{array}
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+Here is the operator.
+
+\spadcommand{E 15 }
+$$
+{240} -{2 \  x \  D} -{{\left( {x \sp 2} -1 
+\right)}
+\  {D \sp 2}} 
+$$
+\returnType{Type: Operator Polynomial Fraction Integer}
+
+Here is the evaluation.
+
+\spadcommand{(E 15)(L 15) }
+$$
+0 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+\section{OrderedVariableList}
+\label{OrderedVariableListXmpPage}
+
+The domain {\tt OrderedVariableList} provides symbols which are
+restricted to a particular list and have a definite ordering. Those
+two features are specified by a {\tt List Symbol} object that is the
+argument to the domain.
+
+This is a sample ordering of three symbols.
+
+\spadcommand{ls:List Symbol:=['x,'a,'z] }
+$$
+\left[
+x, a, z 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+Let's build the domain
+
+\spadcommand{Z:=OVAR ls  }
+$$
+\mbox{\rm OrderedVariableList [x,a,z]} 
+$$
+\returnType{Type: Domain}
+
+How many variables does it have?
+
+\spadcommand{size()\$Z }
+$$
+3 
+$$
+\returnType{Type: NonNegativeInteger}
+
+They are (in the imposed order)
+
+\spadcommand{lv:=[index(i::PI)\$Z for i in 1..size()\$Z] }
+$$
+\left[
+x, a, z 
+\right]
+$$
+\returnType{Type: List OrderedVariableList [x,a,z]}
+
+Check that the ordering is right
+
+\spadcommand{sorted?(>,lv) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\section{OrderlyDifferentialPolynomial}
+\label{OrderlyDifferentialPolynomialXmpPage}
+
+Many systems of differential equations may be transformed to
+equivalent systems of ordinary differential equations where the
+equations are expressed polynomially in terms of the unknown
+functions.  In Axiom, the domain constructors 
+{\tt OrderlyDifferentialPolynomial} (abbreviated {\tt ODPOL}) and 
+{\tt SequentialDifferentialPolynomial} (abbreviation {\tt SDPOL}) implement
+two domains of ordinary differential polynomials over any differential
+ring.  In the simplest case, this differential ring is usually either
+the ring of integers, or the field of rational numbers.  However,
+Axiom can handle ordinary differential polynomials over a field of
+rational functions in a single indeterminate.
+
+The two domains {\tt ODPOL} and {\tt SDPOL} are almost identical, the
+only difference being the choice of a different ranking, which is an
+ordering of the derivatives of the indeterminates.  The first domain
+uses an orderly ranking, that is, derivatives of higher order are
+ranked higher, and derivatives of the same order are ranked
+alphabetically.  The second domain uses a sequential ranking, where
+derivatives are ordered first alphabetically by the differential
+indeterminates, and then by order.  A more general domain constructor,
+{\tt DifferentialSparseMultivariatePolynomial} (abbreviation 
+{\tt DSMP}) allows both a user-provided list of differential indeterminates
+as well as a user-defined ranking.  We shall illustrate 
+{\tt ODPOL(FRAC INT)}, which constructs a domain of ordinary differential
+polynomials in an arbitrary number of differential indeterminates with
+rational numbers as coefficients.
+
+\spadcommand{dpol:= ODPOL(FRAC INT) }
+$$
+\mbox{\rm OrderlyDifferentialPolynomial Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+A differential indeterminate {\tt w} may be viewed as an infinite
+sequence of algebraic indeterminates, which are the derivatives of
+{\tt w}.  To facilitate referencing these, Axiom provides the
+operation \spadfunFrom{makeVariable}{OrderlyDifferentialPolynomial} to
+convert an element of type {\tt Symbol} to a map from the natural
+numbers to the differential polynomial ring.
+
+\spadcommand{w := makeVariable('w)\$dpol }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: 
+(NonNegativeInteger -> OrderlyDifferentialPolynomial Fraction Integer)}
+
+\spadcommand{z := makeVariable('z)\$dpol }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: 
+(NonNegativeInteger -> OrderlyDifferentialPolynomial Fraction Integer)}
+
+The fifth derivative of {\tt w} can be obtained by applying the map
+{\tt w} to the number {\tt 5.}  Note that the order of differentiation
+is given as a subscript (except when the order is 0).
+
+\spadcommand{w.5 }
+$$
+w \sb {5} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+\spadcommand{w 0 }
+$$
+w 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+The first five derivatives of {\tt z} can be generated by a list.
+
+\spadcommand{[z.i for i in 1..5] }
+$$
+\left[
+{z \sb {1}}, {z \sb {2}}, {z \sb {3}}, {z \sb {4}}, {z \sb {5}} 
+\right]
+$$
+\returnType{Type: List OrderlyDifferentialPolynomial Fraction Integer}
+
+The usual arithmetic can be used to form a differential polynomial from
+the derivatives.
+
+\spadcommand{f:= w.4 - w.1 * w.1 * z.3 }
+$$
+{w \sb {4}} -{{{w \sb {1}} \sp 2} \  {z \sb {3}}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+\spadcommand{g:=(z.1)**3 * (z.2)**2 - w.2 }
+$$
+{{{z \sb {1}} \sp 3} \  {{z \sb {2}} \sp 2}} -{w \sb {2}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+The operation \spadfunFrom{D}{OrderlyDifferentialPolynomial}
+computes the derivative of any differential polynomial.
+
+\spadcommand{D(f) }
+$$
+{w \sb {5}} -{{{w \sb {1}} \sp 2} \  {z \sb {4}}} -{2 \  {w \sb {1}} \  {w 
+\sb {2}} \  {z \sb {3}}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+The same operation can compute higher derivatives, like the
+fourth derivative.
+
+\spadcommand{D(f,4) }
+$$
+\begin{array}{@{}l}
+{w \sb {8}} -
+{{{w \sb {1}} \sp 2} \  {z \sb {7}}} -
+{8 \  {w \sb {1}} \  {w \sb {2}} \  {z \sb {6}}}+
+{{\left( 
+-{{12} \  {w \sb {1}} \  {w \sb {3}}} -
+{{12} \  {{w \sb {2}} \sp 2}} 
+\right)}\  {z \sb {5}}} -
+{2 \  {w \sb {1}} \  {z \sb {3}} \  {w \sb {5}}}+
+\\
+\\
+\displaystyle
+{{\left( 
+-{8 \  {w \sb {1}} \  {w \sb {4}}} -
+{{24} \  {w \sb {2}} \  {w \sb {3}}} 
+\right)}
+\  {z \sb {4}}} -
+{8 \  {w \sb {2}} \  {z \sb {3}} \  {w \sb {4}}} -
+{6 \  {{w \sb {3}} \sp 2} \  {z \sb {3}}} 
+\end{array}
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+The operation \spadfunFrom{makeVariable}{OrderlyDifferentialPolynomial}
+creates a map to facilitate referencing the derivatives of {\tt f},
+similar to the map {\tt w}.
+
+\spadcommand{df:=makeVariable(f)\$dpol }
+$$
+\mbox{theMap(...)} 
+$$
+\returnType{Type: 
+(NonNegativeInteger -> OrderlyDifferentialPolynomial Fraction Integer)}
+
+The fourth derivative of f may be referenced easily.
+
+\spadcommand{df.4 }
+$$
+\begin{array}{@{}l}
+{w \sb {8}} -
+{{{w \sb {1}} \sp 2} \  {z \sb {7}}} -
+{8 \  {w \sb {1}} \  {w \sb {2}} \  {z \sb {6}}}+
+{{\left( 
+-{{12} \  {w \sb {1}} \  {w \sb {3}}} -
+{{12} \  {{w \sb {2}} \sp 2}} 
+\right)}
+\  {z \sb {5}}} -
+{2 \  {w \sb {1}} \  {z \sb {3}} \  {w \sb {5}}}+
+\\
+\\
+\displaystyle
+{{\left( 
+-{8 \  {w \sb {1}} \  {w \sb {4}}} -
+{{24} \  {w \sb {2}} \  {w \sb {3}}} 
+\right)}\  {z \sb {4}}} -
+{8 \  {w \sb {2}} \  {z \sb {3}} \  {w \sb {4}}} -
+{6 \  {{w \sb {3}} \sp 2} \  {z \sb {3}}} 
+\end{array}
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+The operation \spadfunFrom{order}{OrderlyDifferentialPolynomial}
+returns the order of a differential polynomial, or the order
+in a specified differential indeterminate.
+
+\spadcommand{order(g)  }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{order(g, 'w)  }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation
+\spadfunFrom{differentialVariables}{OrderlyDifferentialPolynomial} returns
+a list of differential indeterminates occurring in a differential polynomial.
+
+\spadcommand{differentialVariables(g)  }
+$$
+\left[
+z, w 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+The operation \spadfunFrom{degree}{OrderlyDifferentialPolynomial} returns
+the degree, or the degree in the differential indeterminate specified.
+
+\spadcommand{degree(g) }
+$$
+{{z \sb {2}} \sp 2} \  {{z \sb {1}} \sp 3} 
+$$
+\returnType{Type: IndexedExponents OrderlyDifferentialVariable Symbol}
+
+\spadcommand{degree(g, 'w)  }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{weights}{OrderlyDifferentialPolynomial} returns
+a list of weights of differential monomials appearing in differential
+polynomial, or a list of weights in a specified differential
+indeterminate.
+
+\spadcommand{weights(g)  }
+$$
+\left[
+7, 2 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+\spadcommand{weights(g,'w) }
+$$
+\left[
+2 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+The operation \spadfunFrom{weight}{OrderlyDifferentialPolynomial} returns
+the maximum weight of all differential monomials appearing in the
+differential polynomial.
+
+\spadcommand{weight(g)  }
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+A differential polynomial is {\em isobaric} if the weights of all
+differential monomials appearing in it are equal.
+
+\spadcommand{isobaric?(g) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+To substitute {\em differentially}, use
+\spadfunFrom{eval}{OrderlyDifferentialPolynomial}.  Note that we must
+coerce {\tt 'w} to {\tt Symbol}, since in {\tt ODPOL}, differential
+indeterminates belong to the domain {\tt Symbol}.  Compare this result
+to the next, which substitutes {\em algebraically} (no substitution is
+done since {\tt w.0} does not appear in {\tt g}).
+
+\spadcommand{eval(g,['w::Symbol],[f]) }
+$$
+-{w \sb {6}}+
+{{{w \sb {1}} \sp 2} \  {z \sb {5}}}+
+{4 \  {w \sb {1}} \  {w \sb {2}} \  {z \sb {4}}}+
+{{\left( {2 \  {w \sb {1}} \  {w \sb {3}}}+
+{2 \  {{w \sb {2}} \sp 2}} 
+\right)}
+\  {z \sb {3}}}+
+{{{z \sb {1}} \sp 3} \  {{z \sb {2}} \sp 2}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+\spadcommand{eval(g,variables(w.0),[f]) }
+$$
+{{{z \sb {1}} \sp 3} \  {{z \sb {2}} \sp 2}} -{w \sb {2}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+Since {\tt OrderlyDifferentialPolynomial} belongs to
+{\tt PolynomialCategory}, all the operations defined in the latter
+category, or in packages for the latter category, are available.
+
+\spadcommand{monomials(g) }
+$$
+\left[
+{{{z \sb {1}} \sp 3} \  {{z \sb {2}} \sp 2}}, -{w \sb {2}} 
+\right]
+$$
+\returnType{Type: List OrderlyDifferentialPolynomial Fraction Integer}
+
+\spadcommand{variables(g) }
+$$
+\left[
+{z \sb {2}}, {w \sb {2}}, {z \sb {1}} 
+\right]
+$$
+\returnType{Type: List OrderlyDifferentialVariable Symbol}
+
+\spadcommand{gcd(f,g) }
+$$
+1 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+\spadcommand{groebner([f,g]) }
+$$
+\left[
+{{w \sb {4}} -
+{{{w \sb {1}} \sp 2} \  {z \sb {3}}}}, 
+{{{{z \sb {1}} \sp 3} \  {{z \sb {2}} \sp 2}} -
+{w \sb {2}}} 
+\right]
+$$
+\returnType{Type: List OrderlyDifferentialPolynomial Fraction Integer}
+
+The next three operations are essential for elimination procedures in
+differential polynomial rings.  The operation
+\spadfunFrom{leader}{OrderlyDifferentialPolynomial} returns the leader
+of a differential polynomial, which is the highest ranked derivative
+of the differential indeterminates that occurs.
+
+\spadcommand{lg:=leader(g)  }
+$$
+z \sb {2} 
+$$
+\returnType{Type: OrderlyDifferentialVariable Symbol}
+
+The operation \spadfunFrom{separant}{OrderlyDifferentialPolynomial} returns
+the separant of a differential polynomial, which is the partial derivative
+with respect to the leader.
+
+\spadcommand{sg:=separant(g)  }
+$$
+2 \  {{z \sb {1}} \sp 3} \  {z \sb {2}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+The operation \spadfunFrom{initial}{OrderlyDifferentialPolynomial} returns
+the initial, which is the leading coefficient when the given differential
+polynomial is expressed as a polynomial in the leader.
+
+\spadcommand{ig:=initial(g)  }
+$$
+{z \sb {1}} \sp 3 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+Using these three operations, it is possible to reduce {\tt f} modulo
+the differential ideal generated by {\tt g}.  The general scheme is to
+first reduce the order, then reduce the degree in the leader.  First,
+eliminate {\tt z.3} using the derivative of {\tt g}.
+
+\spadcommand{g1 := D g }
+$$
+{2 \  {{z \sb {1}} \sp 3} \  {z \sb {2}} \  {z \sb {3}}} -
+{w \sb {3}}+
+{3 \  {{z \sb {1}} \sp 2} \  {{z \sb {2}} \sp 3}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+Find its leader.
+
+\spadcommand{lg1:= leader g1 }
+$$
+z \sb {3} 
+$$
+\returnType{Type: OrderlyDifferentialVariable Symbol}
+
+Differentiate {\tt f} partially with respect to this leader.
+
+\spadcommand{pdf:=D(f, lg1) }
+$$
+-{{w \sb {1}} \sp 2} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+Compute the partial remainder of {\tt f} with respect to {\tt g}.
+
+\spadcommand{prf:=sg * f- pdf * g1 }
+$$
+{2 \  {{z \sb {1}} \sp 3} \  {z \sb {2}} \  {w \sb {4}}} -
+{{{w \sb {1}} \sp 2} \  {w \sb {3}}}+
+{3 \  {{w \sb {1}} \sp 2} \  {{z \sb {1}} \sp 2} \  {{z \sb {2}} \sp 3}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+Note that high powers of {\tt lg} still appear in {\tt prf}.  Compute
+the leading coefficient of {\tt prf} as a polynomial in the leader of
+{\tt g}.
+
+\spadcommand{lcf:=leadingCoefficient univariate(prf, lg) }
+$$
+3 \  {{w \sb {1}} \sp 2} \  {{z \sb {1}} \sp 2} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+Finally, continue eliminating the high powers of {\tt lg} appearing in
+{\tt prf} to obtain the (pseudo) remainder of {\tt f} modulo {\tt g}
+and its derivatives.
+
+\spadcommand{ig * prf - lcf * g * lg }
+$$
+{2 \  {{z \sb {1}} \sp 6} \  {z \sb {2}} \  {w \sb {4}}} -
+{{{w \sb {1}} \sp 2} \  {{z \sb {1}} \sp 3} \  {w \sb {3}}}+
+{3 \  {{w \sb {1}} \sp 2} \  {{z \sb {1}} \sp 2} 
+\  {w \sb {2}} \  {z \sb {2}}} 
+$$
+\returnType{Type: OrderlyDifferentialPolynomial Fraction Integer}
+
+\section{PartialFraction}
+\label{PartialFractionXmpPage}
+
+A {\it partial fraction} is a decomposition of a quotient into a sum
+of quotients where the denominators of the summands are powers of
+primes.\footnote{Most people first encounter partial fractions when
+they are learning integral calculus.  For a technical discussion of
+partial fractions, see, for example, Lang's {\it Algebra.}} For
+example, the rational number {\tt 1/6} is decomposed into {\tt 1/2-1/3}.  
+You can compute partial fractions of quotients of objects from
+domains belonging to the category {\tt EuclideanDomain}.  For example,
+{\tt Integer}, {\tt Complex Integer}, and 
+{\tt UnivariatePolynomial(x, Fraction Integer)} 
+all belong to {\tt EuclideanDomain}.  In the
+examples following, we demonstrate how to decompose quotients of each
+of these kinds of object into partial fractions.  Issue the system
+command {\tt )show PartialFraction} to display the full list of
+operations defined by {\tt PartialFraction}.
+
+It is necessary that we know how to factor the denominator when we
+want to compute a partial fraction.  Although the interpreter can
+often do this automatically, it may be necessary for you to include a
+call to {\tt factor}.  In these examples, it is not necessary to
+factor the denominators explicitly.
+
+The main operation for computing partial fractions is called
+\spadfunFrom{partialFraction}{PartialFraction} and we use this to
+compute a decomposition of {\tt 1 / 10!}.  The first argument to
+\spadfunFrom{partialFraction}{PartialFraction} is the numerator of the
+quotient and the second argument is the factored denominator.
+
+\spadcommand{partialFraction(1,factorial 10) }
+$$
+{{159} \over {2 \sp 8}} -{{23} \over {3 \sp 4}} -{{12} \over {5 \sp 2}}+{1 
+\over 7} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+Since the denominators are powers of primes, it may be possible
+to expand the numerators further with respect to those primes. Use the
+operation \spadfunFrom{padicFraction}{PartialFraction} to do this.
+
+\spadcommand{f := padicFraction(\%) }
+$$
+{1 \over 2}+{1 \over {2 \sp 4}}+{1 \over {2 \sp 5}}+{1 \over {2 \sp 6}}+{1 
+\over {2 \sp 7}}+{1 \over {2 \sp 8}} -{2 \over {3 \sp 2}} -{1 \over {3 \sp 
+3}} -{2 \over {3 \sp 4}} -{2 \over 5} -{2 \over {5 \sp 2}}+{1 \over 7} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+The operation \spadfunFrom{compactFraction}{PartialFraction} returns
+an expanded fraction into the usual form.  The compacted version is
+used internally for computational efficiency.
+
+\spadcommand{compactFraction(f) }
+$$
+{{159} \over {2 \sp 8}} -{{23} \over {3 \sp 4}} -{{12} \over {5 \sp 2}}+{1 
+\over 7} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+You can add, subtract, multiply and divide partial fractions.  In
+addition, you can extract the parts of the decomposition.
+\spadfunFrom{numberOfFractionalTerms}{PartialFraction} computes the
+number of terms in the fractional part.  This does not include the
+whole part of the fraction, which you get by calling
+\spadfunFrom{wholePart}{PartialFraction}.  In this example, the whole
+part is just {\tt 0}.
+
+\spadcommand{numberOfFractionalTerms(f) }
+$$
+12 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{nthFractionalTerm}{PartialFraction} returns
+the individual terms in the decomposition.  Notice that the object
+returned is a partial fraction itself.
+\spadfunFrom{firstNumer}{PartialFraction} and
+\spadfunFrom{firstDenom}{PartialFraction} extract the numerator and
+denominator of the first term of the fraction.
+
+\spadcommand{nthFractionalTerm(f,3) }
+$$
+1 \over {2 \sp 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+Given two gaussian integers (see 
+\ref{ComplexXmpPage} on page~\pageref{ComplexXmpPage}), you can
+decompose their quotient into a partial fraction.
+
+\spadcommand{partialFraction(1,- 13 + 14 * \%i) }
+$$
+-{1 \over {1+{2 \  i}}}+{4 \over {3+{8 \  i}}} 
+$$
+\returnType{Type: PartialFraction Complex Integer}
+
+To convert back to a quotient, simply use a conversion.
+
+\spadcommand{\% :: Fraction Complex Integer }
+$$
+-{i \over {{14}+{{13} \  i}}} 
+$$
+\returnType{Type: Fraction Complex Integer}
+
+To conclude this section, we compute the decomposition of
+\begin{verbatim}
+                   1
+     -------------------------------
+                   2       3       4
+     (x + 1)(x + 2) (x + 3) (x + 4)
+\end{verbatim}
+
+The polynomials in this object have type
+{\tt UnivariatePolynomial(x, Fraction Integer)}.
+
+We use the \spadfunFrom{primeFactor}{Factored} operation (see
+\ref{FactoredXmpPage} on page~\pageref{FactoredXmpPage}) 
+to create the denominator in factored form directly.
+
+\spadcommand{u : FR UP(x, FRAC INT) := reduce(*,[primeFactor(x+i,i) for i in 1..4]) }
+$$
+{\left( x+1 \right)}
+\  {{\left( x+2 \right)}\sp 2} 
+\  {{\left( x+3 \right)}\sp 3} 
+\  {{\left( x+4 \right)}\sp 4} 
+$$
+\returnType{Type: Factored UnivariatePolynomial(x,Fraction Integer)}
+
+These are the compact and expanded partial fractions for the quotient.
+
+\spadcommand{partialFraction(1,u) }
+$$
+\begin{array}{@{}l}
+{{1 \over {648}} \over {x+1}}+
+{{{{1 \over 4} \  x}+{7 \over {16}}} \over {{\left( x+2 \right)}\sp 2}}+
+{{-{{{17} \over 8} \  {x \sp 2}} -{{12} \  x} -{{139} \over 8}} 
+\over {{\left( x+3 \right)}\sp 3}}+
+\\
+\\
+\displaystyle
+{{{{{607} \over {324}} \  {x \sp 3}}+
+{{{10115} \over {432}} \  {x \sp 2}}+
+{{{391} \over 4} \  x}+
+{{44179} \over {324}}} 
+\over {{\left( x+4 \right)}\sp 4}} 
+\end{array}
+$$
+\returnType{Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)}
+
+\spadcommand{padicFraction \% }
+$$
+\begin{array}{@{}l}
+{{1 \over {648}} \over {x+1}}+
+{{1 \over 4} \over {x+2}} -
+{{1 \over {16}} \over {{\left( x+2 \right)}\sp 2}} -
+{{{17} \over 8} \over {x+3}}+
+{{3 \over 4} \over {{\left( x+3 \right)}\sp 2}} -
+{{1 \over 2} \over {{\left( x+3 \right)}\sp 3}}+
+{{{607} \over {324}} \over {x+4}}+
+\\
+\\
+\displaystyle
+{{{403} \over {432}} \over {{\left( x+4 \right)}\sp 2}}+
+{{{13} \over {36}} \over {{\left( x+4 \right)}\sp 3}}+
+{{1 \over {12}} \over {{\left( x+4 \right)}\sp 4}} 
+\end{array}
+$$
+\returnType{Type: PartialFraction UnivariatePolynomial(x,Fraction Integer)}
+
+All see \ref{FullPartialFractionExpansionXmpPage} on 
+page~\pageref{FullPartialFractionExpansionXmpPage} for examples of
+factor-free conversion of quotients to full partial fractions.
+
+\section{Permanent}
+\label{PermanentXmpPage}
+
+The package {\tt Permanent} provides the function
+\spadfunFrom{permanent}{Permanent} for square matrices.  The
+\spadfunFrom{permanent}{Permanent} of a square matrix can be computed
+in the same way as the determinant by expansion of minors except that
+for the permanent the sign for each element is {\tt 1}, rather than
+being {\tt 1} if the row plus column indices is positive and {\tt -1}
+otherwise.  This function is much more difficult to compute
+efficiently than the \spadfunFrom{determinant}{Matrix}.  An example of
+the use of \spadfunFrom{permanent}{Permanent} is the calculation of
+the $n$-th derangement number, defined to be the number of
+different possibilities for {\tt n} couples to dance but never with
+their own spouse.
+
+Consider an {\tt n} by {\tt n} matrix with entries {\tt 0} on the
+diagonal and {\tt 1} elsewhere.  Think of the rows as one-half of each
+couple (for example, the males) and the columns the other half.  The
+permanent of such a matrix gives the desired derangement number.
+
+\begin{verbatim}
+kn n ==
+  r : MATRIX INT := new(n,n,1)
+  for i in 1..n repeat
+    r.i.i := 0
+  r
+\end{verbatim}
+\returnType{Void}
+
+Here are some derangement numbers, which you see grow quite fast.
+
+\spadcommand{permanent(kn(5) :: SQMATRIX(5,INT)) }
+\begin{verbatim}
+Compiling function kn with type PositiveInteger -> Matrix Integer 
+\end{verbatim}
+$$
+44 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{[permanent(kn(n) :: SQMATRIX(n,INT)) for n in 1..13] }
+\begin{verbatim}
+Cannot compile conversion for types involving local variables. 
+   In particular, could not compile the expression involving 
+   :: SQMATRIX(n,INT) 
+AXIOM will attempt to step through and interpret the code.
+\end{verbatim}
+$$
+\begin{array}{@{}l}
+\left[
+0, 1, 2, 9, {44}, {265}, {1854}, {14833}, {133496}, 
+\right.
+\\
+\displaystyle
+\left.
+{1334961}, {14684570}, {176214841}, {2290792932} 
+\right]
+\end{array}
+$$
+\returnType{Type: List NonNegativeInteger}
+
+\section{Polynomial}
+\label{PolynomialXmpPage}
+
+The domain constructor {\tt Polynomial} (abbreviation: {\tt POLY})
+provides polynomials with an arbitrary number of unspecified
+variables.
+
+It is used to create the default polynomial domains in Axiom.
+Here the coefficients are integers.
+
+\spadcommand{x + 1}
+$$
+x+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+Here the coefficients have type {\tt Float}.
+
+\spadcommand{z - 2.3}
+$$
+z -{2.3} 
+$$
+\returnType{Type: Polynomial Float}
+
+And here we have a polynomial in two variables with coefficients which
+have type {\tt Fraction Integer}.
+
+\spadcommand{y**2 - z + 3/4}
+$$
+-z+{y \sp 2}+{3 \over 4} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+The representation of objects of domains created by {\tt Polynomial}
+is that of recursive univariate polynomials.\footnote{The term
+{\tt univariate} means ``one variable.'' {\tt multivariate} means
+``possibly more than one variable.''}
+
+This recursive structure is sometimes obvious from the display of
+a polynomial.
+
+\spadcommand{y **2 + x*y + y }
+$$
+{y \sp 2}+{{\left( x+1 
+\right)}
+\  y} 
+$$
+\returnType{Type: Polynomial Integer}
+
+In this example, you see that the polynomial is stored as a polynomial
+in {\tt y} with coefficients that are polynomials in {\tt x} with
+integer coefficients.  In fact, you really don't need to worry about
+the representation unless you are working on an advanced application
+where it is critical.  The polynomial types created from {\tt
+DistributedMultivariatePolynomial} and 
+{\tt NewDistributedMultivariatePolynomial} (discussed in
+\ref{DistributedMultivariatePolynomialXmpPage} on 
+page~\pageref{DistributedMultivariatePolynomialXmpPage}) are stored and
+displayed in a non-recursive manner.
+
+You see a ``flat'' display of the above polynomial by converting to
+one of those types.
+
+\spadcommand{\% :: DMP([y,x],INT) }
+$$
+{y \sp 2}+{y \  x}+y 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([y,x],Integer)}
+
+We will demonstrate many of the polynomial facilities by using two
+polynomials with integer coefficients.
+
+By default, the interpreter expands polynomial expressions, even if they
+are written in a factored format.
+
+\spadcommand{p := (y-1)**2 * x * z }
+$$
+{\left( {x \  {y \sp 2}} -{2 \  x \  y}+x 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+See \ref{FactoredXmpPage} on page~\pageref{FactoredXmpPage} 
+to see how to create objects in factored form directly.
+
+\spadcommand{q := (y-1) * x * (z+5) }
+$$
+{{\left( {x \  y} -x 
+\right)}
+\  z}+{5 \  x \  y} -{5 \  x} 
+$$
+\returnType{Type: Polynomial Integer}
+
+The fully factored form can be recovered by using
+\spadfunFrom{factor}{Polynomial}.
+
+\spadcommand{factor(q) }
+$$
+x \  {\left( y -1 
+\right)}
+\  {\left( z+5 
+\right)}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+This is the same name used for the operation to factor integers.  Such
+reuse of names is called \index{overloading} and makes it much easier
+to think of solving problems in general ways.  Axiom facilities for
+factoring polynomials created with {\tt Polynomial} are currently
+restricted to the integer and rational number coefficient cases.
+There are more complete facilities for factoring univariate
+polynomials: see \ref{ugProblemFactorPage} on 
+page~\pageref{ugProblemFactorPage} in Section \ref{ugProblemFactorNumber} 
+on page~\pageref{ugProblemFactorNumber}.
+
+The standard arithmetic operations are available for polynomials.
+
+\spadcommand{p - q**2}
+$$
+\begin{array}{@{}l}
+{{\left( 
+-{{x \sp 2} \  {y \sp 2}}+
+{2 \  {x \sp 2} \  y} -
+{x \sp 2} 
+\right)}\  {z \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( 
+{{\left( 
+-{{10} \  {x \sp 2}}+x 
+\right)}\  {y \sp 2}}+
+{{\left( 
+{{20} \  {x \sp 2}} -
+{2 \  x} 
+\right)}\  y} 
+-{{10} \  {x \sp 2}}+
+x 
+\right)}\  z} -
+\\
+\\
+\displaystyle
+{{25} \  {x \sp 2} \  {y \sp 2}}+
+{{50} \  {x \sp 2} \  y} -
+{{25} \  {x \sp 2}} 
+\end{array}
+$$
+\returnType{Type: Polynomial Integer}
+
+The operation \spadfunFrom{gcd}{Polynomial} is used to compute the
+greatest common divisor of two polynomials.
+
+\spadcommand{gcd(p,q) }
+$$
+{x \  y} -x 
+$$
+\returnType{Type: Polynomial Integer}
+
+In the case of {\tt p} and {\tt q}, the gcd is obvious from their
+definitions.  We factor the gcd to show this relationship better.
+
+\spadcommand{factor \% }
+$$
+x \  {\left( y -1 
+\right)}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+The least common multiple is computed by using \spadfunFrom{lcm}{Polynomial}.
+
+\spadcommand{lcm(p,q) }
+$$
+{{\left( {x \  {y \sp 2}} -{2 \  x \  y}+x 
+\right)}
+\  {z \sp 2}}+{{\left( {5 \  x \  {y \sp 2}} -{{10} \  x \  y}+{5 \  x} 
+\right)}
+\  z} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Use \spadfunFrom{content}{Polynomial} to compute the greatest common
+divisor of the coefficients of the polynomial.
+
+\spadcommand{content p }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Many of the operations on polynomials require you to specify a
+variable.  For example, \spadfunFrom{resultant}{Polynomial} requires
+you to give the variable in which the polynomials should be expressed.
+
+This computes the resultant of the values of {\tt p} and {\tt q},
+considering them as polynomials in the variable {\tt z}.  They do not
+share a root when thought of as polynomials in {\tt z}.
+
+\spadcommand{resultant(p,q,z) }
+$$
+{5 \  {x \sp 2} \  {y \sp 3}} -{{15} \  {x \sp 2} \  {y \sp 2}}+{{15} \  {x 
+\sp 2} \  y} -{5 \  {x \sp 2}} 
+$$
+\returnType{Type: Polynomial Integer}
+
+This value is {\tt 0} because as polynomials in {\tt x} the polynomials
+have a common root.
+
+\spadcommand{resultant(p,q,x) }
+$$
+0 
+$$
+\returnType{Type: Polynomial Integer}
+
+The data type used for the variables created by {\tt Polynomial} is
+{\tt Symbol}.  As mentioned above, the representation used by {\tt
+Polynomial} is recursive and so there is a main variable for
+nonconstant polynomials.
+
+The operation \spadfunFrom{mainVariable}{Polynomial} returns this
+variable.  The return type is actually a union of {\tt Symbol} and
+{\tt "failed"}.
+
+\spadcommand{mainVariable p }
+$$
+z 
+$$
+\returnType{Type: Union(Symbol,...)}
+
+The latter branch of the union is be used if the polynomial has no
+variables, that is, is a constant.
+
+\spadcommand{mainVariable(1 :: POLY INT)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+You can also use the predicate \spadfunFrom{ground?}{Polynomial} to test
+whether a polynomial is in fact a member of its ground ring.
+
+\spadcommand{ground? p }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{ground?(1 :: POLY INT)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The complete list of variables actually used in a particular
+polynomial is returned by \spadfunFrom{variables}{Polynomial}.  For
+constant polynomials, this list is empty.
+
+\spadcommand{variables p }
+$$
+\left[
+z, y, x 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+The \spadfunFrom{degree}{Polynomial} operation returns the
+degree of a polynomial in a specific variable.
+
+\spadcommand{degree(p,x) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{degree(p,y) }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{degree(p,z) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+If you give a list of variables for the second argument, a list
+of the degrees in those variables is returned.
+
+\spadcommand{degree(p,[x,y,z]) }
+$$
+\left[
+1, 2, 1 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+The minimum degree of a variable in a polynomial is computed using
+\spadfunFrom{minimumDegree}{Polynomial}.
+
+\spadcommand{minimumDegree(p,z) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+The total degree of a polynomial is returned by
+\spadfunFrom{totalDegree}{Polynomial}.
+
+\spadcommand{totalDegree p }
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+It is often convenient to think of a polynomial as a leading monomial plus
+the remaining terms.
+
+\spadcommand{leadingMonomial p }
+$$
+x \  {y \sp 2} \  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+The \spadfunFrom{reductum}{Polynomial} operation returns a polynomial
+consisting of the sum of the monomials after the first.
+
+\spadcommand{reductum p }
+$$
+{\left( -{2 \  x \  y}+x 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+These have the obvious relationship that the original polynomial
+is equal to the leading monomial plus the reductum.
+
+\spadcommand{p - leadingMonomial p - reductum p }
+$$
+0 
+$$
+\returnType{Type: Polynomial Integer}
+
+The value returned by \spadfunFrom{leadingMonomial}{Polynomial}
+includes the coefficient of that term.  This is extracted by using
+\spadfunFrom{leadingCoefficient}{Polynomial} on the original
+polynomial.
+
+\spadcommand{leadingCoefficient p }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{eval}{Polynomial} is used to substitute a value
+for a variable in a polynomial.
+
+\spadcommand{p  }
+$$
+{\left( {x \  {y \sp 2}} -{2 \  x \  y}+x 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+This value may be another variable, a constant or a polynomial.
+
+\spadcommand{eval(p,x,w) }
+$$
+{\left( {w \  {y \sp 2}} -{2 \  w \  y}+w 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{eval(p,x,1) }
+$$
+{\left( {y \sp 2} -{2 \  y}+1 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+Actually, all the things being substituted are just polynomials,
+some more trivial than others.
+
+\spadcommand{eval(p,x,y**2 - 1) }
+$$
+{\left( {y \sp 4} -{2 \  {y \sp 3}}+{2 \  y} -1 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+Derivatives are computed using the \spadfunFrom{D}{Polynomial} operation.
+
+\spadcommand{D(p,x) }
+$$
+{\left( {y \sp 2} -{2 \  y}+1 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+The first argument is the polynomial and the second is the variable.
+
+\spadcommand{D(p,y) }
+$$
+{\left( {2 \  x \  y} -{2 \  x} 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+Even if the polynomial has only one variable, you must specify it.
+
+\spadcommand{D(p,z) }
+$$
+{x \  {y \sp 2}} -{2 \  x \  y}+x 
+$$
+\returnType{Type: Polynomial Integer}
+
+Integration of polynomials is similar and the
+\spadfunFrom{integrate}{Polynomial} operation is used.
+
+Integration requires that the coefficients support division.
+Consequently, Axiom converts polynomials over the integers to
+polynomials over the rational numbers before integrating them.
+
+\spadcommand{integrate(p,y) }
+$$
+{\left( {{1 \over 3} \  x \  {y \sp 3}} -{x \  {y \sp 2}}+{x \  y} 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+It is not possible, in general, to divide two polynomials.  In our
+example using polynomials over the integers, the operation
+\spadfunFrom{monicDivide}{Polynomial} divides a polynomial by a monic
+polynomial (that is, a polynomial with leading coefficient equal to
+1).  The result is a record of the quotient and remainder of the
+division.
+
+You must specify the variable in which to express the polynomial.
+
+\spadcommand{qr := monicDivide(p,x+1,x) }
+$$
+\left[
+{quotient={{\left( {y \sp 2} -{2 \  y}+1 
+\right)}
+\  z}}, {remainder={{\left( -{y \sp 2}+{2 \  y} -1 
+\right)}
+\  z}} 
+\right]
+$$
+\returnType{Type: Record(quotient: Polynomial Integer,remainder: Polynomial Integer)}
+
+The selectors of the components of the record are {\tt quotient} and
+{\tt remainder}.  Issue this to extract the remainder.
+
+\spadcommand{qr.remainder }
+$$
+{\left( -{y \sp 2}+{2 \  y} -1 
+\right)}
+\  z 
+$$
+\returnType{Type: Polynomial Integer}
+
+Now that we can extract the components, we can demonstrate the
+relationship among them and the arguments to our original expression
+{\tt qr := monicDivide(p,x+1,x)}.
+
+\spadcommand{p - ((x+1) * qr.quotient + qr.remainder) }
+$$
+0 
+$$
+\returnType{Type: Polynomial Integer}
+
+If the \spadopFrom{/}{Fraction} operator is used with polynomials, a
+fraction object is created.  In this example, the result is an object
+of type {\tt Fraction Polynomial Integer}.
+
+\spadcommand{p/q }
+$$
+{{\left( y -1 
+\right)}
+\  z} \over {z+5} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+If you use rational numbers as polynomial coefficients, the
+resulting object is of type {\tt Polynomial Fraction Integer}.
+
+\spadcommand{(2/3) * x**2 - y + 4/5 }
+$$
+-y+{{2 \over 3} \  {x \sp 2}}+{4 \over 5} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+This can be converted to a fraction of polynomials and back again, if
+required.
+
+\spadcommand{\% :: FRAC POLY INT }
+$$
+{-{{15} \  y}+{{10} \  {x \sp 2}}+{12}} \over {15} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+\spadcommand{\% :: POLY FRAC INT }
+$$
+-y+{{2 \over 3} \  {x \sp 2}}+{4 \over 5} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+To convert the coefficients to floating point, map the {\tt numeric}
+operation on the coefficients of the polynomial.
+
+\spadcommand{map(numeric,\%) }
+$$
+-{{1.0} \  y}+{{0.6666666666 6666666667} \  {x \sp 2}}+{0.8} 
+$$
+\returnType{Type: Polynomial Float}
+
+For more information on related topics, see
+\ref{UnivariatePolynomialXmpPage} on 
+page~\pageref{UnivariatePolynomialXmpPage}, 
+\ref{MultivariatePolynomialXmpPage} on 
+page~\pageref{MultivariatePolynomialXmpPage}, and
+\ref{DistributedMultivariatePolynomialXmpPage} on 
+page~\pageref{DistributedMultivariatePolynomialXmpPage}.  You can also issue
+the system command {\tt )show Polynomial} to display the full list
+of operations defined by {\tt Polynomial}.
+
+\section{Quaternion}
+\label{QuaternionXmpPage}
+
+The domain constructor {\tt Quaternion} implements quaternions over
+commutative rings.  For information on related topics, see
+%\menuxmpref{CliffordAlgebra} 
+\ref{ComplexXmpPage} on page~\pageref{ComplexXmpPage} and
+\ref{OctonionXmpPage} on page~\pageref{OctonionXmpPage}.  
+You can also issue the system command
+{\tt )show Quaternion} to display the full list of operations
+defined by {\tt Quaternion}.
+
+The basic operation for creating quaternions is
+\spadfunFrom{quatern}{Quaternion}.
+This is a quaternion over the rational numbers.
+
+\spadcommand{q := quatern(2/11,-8,3/4,1) }
+$$
+{2 \over {11}} -{8 \  i}+{{3 \over 4} \  j}+k 
+$$
+\returnType{Type: Quaternion Fraction Integer}
+
+The four arguments are the real part, the {\tt i} imaginary part, the
+{\tt j} imaginary part, and the {\tt k} imaginary part, respectively.
+
+\spadcommand{[real q, imagI q, imagJ q, imagK q] }
+$$
+\left[
+{2 \over {11}}, -8, {3 \over 4}, 1 
+\right]
+$$
+\returnType{Type: List Fraction Integer}
+
+Because {\tt q} is over the rationals (and nonzero), you can invert it.
+
+\spadcommand{inv q }
+$$
+{{352} \over {126993}}+{{{15488} \over {126993}} \  i} -{{{484} \over 
+{42331}} \  j} -{{{1936} \over {126993}} \  k} 
+$$
+\returnType{Type: Quaternion Fraction Integer}
+
+The usual arithmetic (ring) operations are available
+
+\spadcommand{q**6 }
+$$
+-{{2029490709319345} \over {7256313856}} -
+{{{48251690851} \over {1288408}} \  i}+
+{{{144755072553} \over {41229056}} \  j}+
+{{{48251690851} \over {10307264}} 
+\  k} 
+$$
+\returnType{Type: Quaternion Fraction Integer}
+
+\spadcommand{r := quatern(-2,3,23/9,-89); q + r }
+$$
+-{{20} \over {11}} -
+{5 \  i}+
+{{{119} \over {36}} \  j} -
+{{88} \  k} 
+$$
+\returnType{Type: Quaternion Fraction Integer}
+
+In general, multiplication is not commutative.
+
+\spadcommand{q * r - r * q}
+$$
+-{{{2495} \over {18}} \  i} -{{1418} \  j} -{{{817} \over {18}} \  k} 
+$$
+\returnType{Type: Quaternion Fraction Integer}
+
+There are no predefined constants for the imaginary {\tt i, j},
+and {\tt k} parts, but you can easily define them.
+
+\spadcommand{i:=quatern(0,1,0,0); j:=quatern(0,0,1,0); k:=quatern(0,0,0,1) }
+$$
+k 
+$$
+\returnType{Type: Quaternion Integer}
+
+These satisfy the normal identities.
+
+\spadcommand{[i*i, j*j, k*k, i*j, j*k, k*i, q*i] }
+$$
+\left[
+-1, -1, -1, k, i, j, {8+{{2 \over {11}} \  i}+j -{{3 \over 
+4} \  k}} 
+\right]
+$$
+\returnType{Type: List Quaternion Fraction Integer}
+
+The norm is the quaternion times its conjugate.
+
+\spadcommand{norm q }
+$$
+{126993} \over {1936} 
+$$
+\returnType{Type: Fraction Integer}
+
+\spadcommand{conjugate q  }
+$$
+{2 \over {11}}+{8 \  i} -{{3 \over 4} \  j} -k 
+$$
+\returnType{Type: Quaternion Fraction Integer}
+
+\spadcommand{q * \% }
+$$
+{126993} \over {1936} 
+$$
+\returnType{Type: Quaternion Fraction Integer}
+
+\section{RadixExpansion}
+\label{RadixExpansionXmpPage}
+
+It possible to expand numbers in general bases.
+
+Here we expand {\tt 111} in base {\tt 5}.
+This means
+$$10^2+10^1+10^0 = 4 \cdot 5^2+2 \cdot 5^1 + 5^0$$
+
+\spadcommand{111::RadixExpansion(5)}
+$$
+421 
+$$
+\returnType{Type: RadixExpansion 5}
+
+You can expand fractions to form repeating expansions.
+
+\spadcommand{(5/24)::RadixExpansion(2)}
+$$
+0.{001}{\overline {10}} 
+$$
+\returnType{Type: RadixExpansion 2}
+
+\spadcommand{(5/24)::RadixExpansion(3)}
+$$
+0.0{\overline {12}} 
+$$
+\returnType{Type: RadixExpansion 3}
+
+\spadcommand{(5/24)::RadixExpansion(8)}
+$$
+0.1{\overline {52}} 
+$$
+\returnType{Type: RadixExpansion 8}
+
+\spadcommand{(5/24)::RadixExpansion(10)}
+$$
+0.{208}{\overline 3} 
+$$
+\returnType{Type: RadixExpansion 10}
+
+For bases from 11 to 36 the letters A through Z are used.
+
+\spadcommand{(5/24)::RadixExpansion(12)}
+$$
+0.{26} 
+$$
+\returnType{Type: RadixExpansion 12}
+
+\spadcommand{(5/24)::RadixExpansion(16)}
+$$
+0.3{\overline 5} 
+$$
+\returnType{Type: RadixExpansion 16}
+
+\spadcommand{(5/24)::RadixExpansion(36)}
+$$
+0.{\rm 7I} 
+$$
+\returnType{Type: RadixExpansion 36}
+
+For bases greater than 36, the ragits are separated by blanks.
+
+\spadcommand{(5/24)::RadixExpansion(38)}
+$$
+0 \  . \  7 \  {34} \  {31} \  {\overline {{25} \  {12}}} 
+$$
+\returnType{Type: RadixExpansion 38}
+
+The {\tt RadixExpansion} type provides operations to obtain the
+individual ragits.  Here is a rational number in base {\tt 8}.
+
+\spadcommand{a := (76543/210)::RadixExpansion(8) }
+$$
+{554}.3{\overline {7307}} 
+$$
+\returnType{Type: RadixExpansion 8}
+
+The operation \spadfunFrom{wholeRagits}{RadixExpansion} returns a list of the
+ragits for the integral part of the number.
+
+\spadcommand{w := wholeRagits a }
+$$
+\left[
+5, 5, 4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+The operations \spadfunFrom{prefixRagits}{RadixExpansion} and
+\spadfunFrom{cycleRagits}{RadixExpansion} return lists of the initial
+and repeating ragits in the fractional part of the number.
+
+\spadcommand{f0 := prefixRagits a }
+$$
+\left[
+3 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{f1 := cycleRagits a }
+$$
+\left[
+7, 3, 0, 7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+You can construct any radix expansion by giving the whole, prefix and
+cycle parts.  The declaration is necessary to let Axiom know the base
+of the ragits.
+
+\spadcommand{u:RadixExpansion(8):=wholeRadix(w)+fractRadix(f0,f1) }
+$$
+{554}.3{\overline {7307}} 
+$$
+\returnType{Type: RadixExpansion 8}
+
+If there is no repeating part, then the list {\tt [0]} should be used.
+
+\spadcommand{v: RadixExpansion(12) := fractRadix([1,2,3,11], [0]) }
+$$
+0.{\rm 123B}{\rm {\overline 0}}
+$$
+\returnType{Type: RadixExpansion 12}
+
+If you are not interested in the repeating nature of the expansion,
+an infinite stream of ragits can be obtained using
+\spadfunFrom{fractRagits}{RadixExpansion}.
+
+\spadcommand{fractRagits(u) }
+$$
+\left[
+3, 7, {\overline {3, 0, 7, 7}} 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Of course, it's possible to recover the fraction representation:
+
+\spadcommand{a :: Fraction(Integer) }
+$$
+{76543} \over {210} 
+$$
+\returnType{Type: Fraction Integer}
+
+More examples of expansions are available in
+\ref{DecimalExpansionXmpPage} on page~\pageref{DecimalExpansionXmpPage}, 
+\ref{BinaryExpansionXmpPage} on page~\pageref{BinaryExpansionXmpPage}, and
+\ref{HexadecimalExpansionXmpPage} on 
+page~\pageref{HexadecimalExpansionXmpPage}.
+
+\section{RealClosure}
+\label{RealClosureXmpPage}
+
+The Real Closure 1.0 package provided by Renaud Rioboo
+(Renaud.Rioboo@lip6.fr) consists of different packages, categories and
+domains :
+
+\begin{list}{}
+\item The package {\tt RealPolynomialUtilitiesPackage} which needs a
+{\tt Field} {\em F} and a {\tt UnivariatePolynomialCategory} domain
+with coefficients in {\em F}. It computes some simple functions such
+as Sturm and Sylvester sequences
+(\spadfunFrom{sturmSequence}{RealPolynomialUtilitiesPackage},
+\spadfunFrom{sylvesterSequence}{RealPolynomialUtilitiesPackage}).
+
+\item The category {\tt RealRootCharacterizationCategory} provides abstract
+functions to work with ``real roots'' of univariate polynomials. These
+resemble variables with some functionality needed to compute important
+operations.
+
+\item The category {\tt RealClosedField} provides common operations
+available over real closed fiels. These include finding all the roots
+of a univariate polynomial, taking square (and higher) roots, ...
+
+\item The domain {\tt RightOpenIntervalRootCharacterization} is the
+main code that provides the functionality of {\tt
+RealRootCharacterizationCategory} for the case of archimedean
+fields. Abstract roots are encoded with a left closed right open
+interval containing the root together with a defining polynomial for
+the root.
+
+\item The {\tt RealClosure} domain is the end-user code. It provides
+usual arithmetic with real algebraic numbers, along with the
+functionality of a real closed field. It also provides functions to
+approximate a real algebraic number by an element of the base
+field. This approximation may either be absolute
+(\spadfunFrom{approximate}{RealClosure}) or relative
+(\spadfunFrom{relativeApprox}{RealClosure}).
+
+\end{list}
+
+\centerline{CAVEATS}
+
+Since real algebraic expressions are stored as depending on ``real
+roots'' which are managed like variables, there is an ordering on
+these. This ordering is dynamical in the sense that any new algebraic
+takes precedence over older ones. In particular every creation
+function raises a new ``real root''. This has the effect that when you
+type something like {\tt sqrt(2) + sqrt(2)} you have two new variables
+which happen to be equal. To avoid this name the expression such as in
+{\tt s2 := sqrt(2) ; s2 + s2}
+
+Also note that computing times depend strongly on the ordering you
+implicitly provide. Please provide algebraics in the order which seems
+most natural to you.
+
+\centerline{LIMITATIONS}
+
+This packages uses algorithms which are published in [1] and [2] which
+are based on field arithmetics, in particular for polynomial gcd
+related algorithms. This can be quite slow for high degree polynomials
+and subresultants methods usually work best. Beta versions of the
+package try to use these techniques in a better way and work
+significantly faster. These are mostly based on unpublished algorithms
+and cannot be distributed. Please contact the author if you have a
+particular problem to solve or want to use these versions.
+
+Be aware that approximations behave as post-processing and that all
+computations are done exactly. They can thus be quite time consuming when
+depending on several ``real roots''.
+
+\centerline{REFERENCES}
+
+
+[1]  R. Rioboo : Real Algebraic Closure of an ordered Field : Implementation 
+     in Axiom. 
+     In proceedings of the ISSAC'92 Conference, Berkeley 1992 pp. 206-215.
+
+[2]  Z. Ligatsikas, R. Rioboo, M. F. Roy : Generic computation of the real
+     closure of an ordered field.
+     In Mathematics and Computers in Simulation Volume 42, Issue 4-6,
+     November 1996.
+
+\centerline{EXAMPLES}
+
+We shall work with the real closure of the ordered field of 
+rational numbers.
+
+\spadcommand{Ran := RECLOS(FRAC INT) }
+$$
+\mbox{\rm RealClosure Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+Some simple signs for square roots, these correspond to an extension
+of degree 16 of the rational numbers. Examples provided by J. Abbot.
+
+\spadcommand{fourSquares(a:Ran,b:Ran,c:Ran,d:Ran):Ran == sqrt(a)+sqrt(b) - sqrt(c)-sqrt(d)  }
+\begin{verbatim}
+Function declaration fourSquares : (RealClosure Fraction Integer,
+   RealClosure Fraction Integer,RealClosure Fraction Integer,
+   RealClosure Fraction Integer) -> RealClosure Fraction Integer has
+   been added to workspace.
+\end{verbatim}
+\returnType{Void}
+
+These produce values very close to zero.
+
+\spadcommand{squareDiff1 := fourSquares(73,548,60,586) }
+$$
+-{\sqrt {{586}}} -{\sqrt {{60}}}+{\sqrt {{548}}}+{\sqrt {{73}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff1)}
+$$
+\begin{array}{@{}l}
+{{\left( 
+{{\left( 
+{{54602} \  {\sqrt {{548}}}}+
+{{149602} \  {\sqrt {{73}}}} 
+\right)}
+\  {\sqrt {{60}}}}+
+{{49502} \  {\sqrt {{73}}} \  {\sqrt {{548}}}}+
+{9900895} 
+\right)}
+\  {\sqrt {{586}}}}+
+\\
+\\
+\displaystyle
+{{\left( {{154702} \  {\sqrt {{73}}} \  {\sqrt {{548}}}}+
+{30941947} 
+\right)}
+\  {\sqrt {{60}}}}+{{10238421} \  {\sqrt {{548}}}}+
+{{28051871} \  {\sqrt {{73}}}} 
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff1)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{squareDiff2 := fourSquares(165,778,86,990) }
+$$
+-{\sqrt {{990}}} -{\sqrt {{86}}}+{\sqrt {{778}}}+{\sqrt {{165}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff2)}
+$$
+\begin{array}{@{}l}
+\left( 
+\left( 
+{{556778} \  {\sqrt {{778}}}}+
+{{1209010} \  {\sqrt {{165}}}} 
+\right)\  {\sqrt {{86}}}+
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{401966} \  {\sqrt {{165}}} \  {\sqrt {{778}}}}+
+{144019431} 
+\right)\  {\sqrt {{990}}}+
+\\
+\\
+\displaystyle
+{{\left( {{1363822} \  {\sqrt {{165}}} \  {\sqrt {{778}}}}+
+{488640503} 
+\right)}
+\  {\sqrt {{86}}}}+
+\\
+\\
+\displaystyle
+{{162460913} \  {\sqrt {{778}}}}+
+{{352774119} \  {\sqrt {{165}}}} 
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff2)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{squareDiff3 := fourSquares(217,708,226,692) }
+$$
+-{\sqrt {{692}}} -{\sqrt {{226}}}+{\sqrt {{708}}}+{\sqrt {{217}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff3)}
+$$
+\begin{array}{@{}l}
+\left( 
+\left( 
+-{{34102} \  {\sqrt {{708}}}} -
+{{61598} \  {\sqrt {{217}}}} 
+\right)\  {\sqrt {{226}}} -
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{34802} \  {\sqrt {{217}}} \  {\sqrt {{708}}}} -
+{13641141} 
+\right)\  {\sqrt {{692}}}+
+\\
+\\
+\displaystyle
+\left( -
+{{60898} \  {\sqrt {{217}}} \  {\sqrt {{708}}}} -
+{23869841} 
+\right)\  {\sqrt {{226}}} -
+\\
+\\
+\displaystyle
+{{13486123} \  {\sqrt {{708}}}} -
+{{24359809} \  {\sqrt {{217}}}} 
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff3)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{squareDiff4 := fourSquares(155,836,162,820)  }
+$$
+-{\sqrt {{820}}} -{\sqrt {{162}}}+{\sqrt {{836}}}+{\sqrt {{155}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff4)}
+$$
+\begin{array}{@{}l}
+\left( 
+\left( 
+-{{37078} \  {\sqrt {{836}}}} -
+{{86110} \  {\sqrt {{155}}}} 
+\right)\  {\sqrt {{162}}} -
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{37906} \  {\sqrt {{155}}} \  {\sqrt {{836}}}} -
+{13645107} 
+\right)\  {\sqrt {{820}}}+
+\\
+\\
+\displaystyle
+\left( -{{85282} \  {\sqrt {{155}}} \  {\sqrt {{836}}}} -
+{30699151} 
+\right)\  {\sqrt {{162}}} -
+\\
+\\
+\displaystyle
+{{13513901} \  {\sqrt {{836}}}} -
+{{31384703} \  {\sqrt {{155}}}} 
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff4)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{squareDiff5 := fourSquares(591,772,552,818) }
+$$
+-{\sqrt {{818}}} -{\sqrt {{552}}}+{\sqrt {{772}}}+{\sqrt {{591}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff5)}
+$$
+\begin{array}{@{}l}
+\left( 
+\left( 
+{{70922} \  {\sqrt {{772}}}}+
+{{81058} \  {\sqrt {{591}}}} 
+\right)\  {\sqrt {{552}}}+
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{68542} \  {\sqrt {{591}}} \  {\sqrt {{772}}}}+
+{46297673} 
+\right)\  {\sqrt {{818}}}+
+\\
+\\
+\displaystyle
+\left( 
+{{83438} \  {\sqrt {{591}}} \  {\sqrt {{772}}}}+
+{56359389} 
+\right)\  {\sqrt {{552}}}+
+\\
+\\
+\displaystyle
+{{47657051} \  {\sqrt {{772}}}}+
+{{54468081} \  {\sqrt {{591}}}} 
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff5)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{squareDiff6 := fourSquares(434,1053,412,1088) }
+$$
+-{\sqrt {{1088}}} -
+{\sqrt {{412}}}+
+{\sqrt {{1053}}}+
+{\sqrt {{434}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff6)}
+$$
+\begin{array}{@{}l}
+\left( 
+\left( 
+{{115442} \  {\sqrt {{1053}}}}+
+{{179818} \  {\sqrt {{434}}}} 
+\right)\  {\sqrt {{412}}}+
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{112478} \  {\sqrt {{434}}} \  {\sqrt {{1053}}}}+
+{76037291} 
+\right)\  {\sqrt {{1088}}}+
+\\
+\\
+\displaystyle
+\left( 
+{{182782} \  {\sqrt {{434}}} \  {\sqrt {{1053}}}}+
+{123564147} 
+\right)\  {\sqrt {{412}}}+
+\\
+\\
+\displaystyle
+{{77290639} \  {\sqrt {{1053}}}}+
+{{120391609} \  {\sqrt {{434}}}} 
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff6)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{squareDiff7 := fourSquares(514,1049,446,1152) }
+$$
+-{\sqrt {{1152}}} -{\sqrt {{446}}}+{\sqrt {{1049}}}+{\sqrt {{514}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff7)}
+$$
+\begin{array}{@{}l}
+\left( 
+\left( 
+{{349522} \  {\sqrt {{1049}}}}+
+{{499322} \  {\sqrt {{514}}}} 
+\right)\  {\sqrt {{446}}}+
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{325582} \  {\sqrt {{514}}} \  {\sqrt {{1049}}}}+
+{239072537} 
+\right)\  {\sqrt {{1152}}}+
+\\
+\\
+\displaystyle
+\left( 
+{{523262} \  {\sqrt {{514}}} \  {\sqrt {{1049}}}}+
+{384227549} 
+\right)\  {\sqrt {{446}}}+
+\\
+\\
+\displaystyle
+{{250534873} \  {\sqrt {{1049}}}}+
+{{357910443} \  {\sqrt {{514}}}} 
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff7)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{squareDiff8 := fourSquares(190,1751,208,1698) }
+$$
+-{\sqrt {{1698}}} -
+{\sqrt {{208}}}+
+{\sqrt {{1751}}}+
+{\sqrt {{190}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{recip(squareDiff8)}
+$$
+\begin{array}{@{}l}
+\left( 
+\left( 
+-{{214702} \  {\sqrt {{1751}}}} -
+{{651782} \  {\sqrt {{190}}}} 
+\right)\  {\sqrt {{208}}} -
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{224642} \  {\sqrt {{190}}} \  {\sqrt {{1751}}}} 
+-{129571901} 
+\right)\  {\sqrt {{1698}}}+
+\\
+\\
+\displaystyle
+\left( 
+-{{641842} \  {\sqrt {{190}}} \  {\sqrt {{1751}}}} -
+{370209881} 
+\right)\  {\sqrt {{208}}} -
+\\
+\\
+\displaystyle
+{{127595865} \  {\sqrt {{1751}}}} -
+{{387349387} \  {\sqrt {{190}}}}
+\end{array}
+$$
+\returnType{Type: Union(RealClosure Fraction Integer,...)}
+
+\spadcommand{sign(squareDiff8)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+This should give three digits of precision
+
+\spadcommand{relativeApprox(squareDiff8,10**(-3))::Float }
+$$
+-{0.2340527771\ 5937700123 E -10} 
+$$
+\returnType{Type: Float}
+
+The sum of these 4 roots is 0
+
+\spadcommand{l := allRootsOf((x**2-2)**2-2)\$Ran  }
+$$
+\left[
+{ \%A{33}}, { \%A{34}}, { \%A{35}}, { \%A{36}} 
+\right]
+$$
+\returnType{Type: List RealClosure Fraction Integer}
+
+Check that they are all roots of the same polynomial
+
+\spadcommand{removeDuplicates map(mainDefiningPolynomial,l) }
+$$
+\left[
+{{? \sp 4} -{4 \  {? \sp 2}}+2} 
+\right]
+$$
+\returnType{Type: 
+List Union(SparseUnivariatePolynomial RealClosure Fraction Integer,"failed")}
+
+We can see at a glance that they are separate roots
+
+\spadcommand{map(mainCharacterization,l) }
+$$
+\left[
+{{[-2}, {-1[}}, {{[-1}, {0[}}, {{[0}, {1[}}, {{[1}, 
+{2[}} 
+\right]
+$$
+\returnType{Type: 
+List Union(
+RightOpenIntervalRootCharacterization(
+RealClosure Fraction Integer,
+SparseUnivariatePolynomial RealClosure Fraction Integer),
+"failed")}
+
+Check the sum and product
+
+\spadcommand{[reduce(+,l),reduce(*,l)-2] }
+$$
+\left[
+0, 0 
+\right]
+$$
+\returnType{Type: List RealClosure Fraction Integer}
+
+A more complicated test that involve an extension of degree 256.
+This is a way of checking nested radical identities.
+
+\spadcommand{(s2, s5, s10) := (sqrt(2)\$Ran, sqrt(5)\$Ran, sqrt(10)\$Ran) }
+$$
+\sqrt {{10}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{eq1:=sqrt(s10+3)*sqrt(s5+2) - sqrt(s10-3)*sqrt(s5-2) = sqrt(10*s2+10) }
+$$
+{-{{\sqrt {{{\sqrt {{10}}} -3}}} 
+\  {\sqrt {{{\sqrt {5}} -2}}}}+
+{{\sqrt {{{\sqrt {{10}}}+3}}} 
+\  {\sqrt {{{\sqrt {5}}+2}}}}}=
+{\sqrt {{{{10} \  {\sqrt {2}}}+{10}}}} 
+$$
+\returnType{Type: Equation RealClosure Fraction Integer}
+
+\spadcommand{eq1::Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{eq2:=sqrt(s5+2)*sqrt(s2+1) - sqrt(s5-2)*sqrt(s2-1) = sqrt(2*s10+2)}
+$$
+{-{{\sqrt {{{\sqrt {5}} -2}}} 
+\  {\sqrt {{{\sqrt {2}} -1}}}}+
+{{\sqrt {{{\sqrt {5}}+2}}} 
+\  {\sqrt {{{\sqrt {2}}+1}}}}}=
+{\sqrt {{{2 \  {\sqrt {{10}}}}+2}}} 
+$$
+\returnType{Type: Equation RealClosure Fraction Integer}
+
+\spadcommand{eq2::Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+Some more examples from J. M. Arnaudies
+
+\spadcommand{s3 := sqrt(3)\$Ran }
+$$
+\sqrt {3} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{s7:= sqrt(7)\$Ran }
+$$
+\sqrt {7} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{e1 := sqrt(2*s7-3*s3,3)   }
+$$
+\root {3} \of {{{2 \  {\sqrt {7}}} -{3 \  {\sqrt {3}}}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{e2 := sqrt(2*s7+3*s3,3)   }
+$$
+\root {3} \of {{{2 \  {\sqrt {7}}}+{3 \  {\sqrt {3}}}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+This should be null
+
+\spadcommand{e2-e1-s3   }
+$$
+0 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+A quartic polynomial
+
+\spadcommand{pol : UP(x,Ran) := x**4+(7/3)*x**2+30*x-(100/3)  }
+$$
+{x \sp 4}+
+{{7 \over 3} \  {x \sp 2}}+
+{{30} \  x} -
+{{100} \over 3} 
+$$
+\returnType{Type: UnivariatePolynomial(x,RealClosure Fraction Integer)}
+
+Add some cubic roots
+
+\spadcommand{r1 := sqrt(7633)\$Ran }
+$$
+\sqrt {{7633}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{alpha := sqrt(5*r1-436,3)/3  }
+$$
+{1 \over 3} \  {\root {3} \of {{{5 \  {\sqrt {{7633}}}} -{436}}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{beta := -sqrt(5*r1+436,3)/3  }
+$$
+-{{1 \over 3} \  {\root {3} \of {{{5 \  {\sqrt {{7633}}}}+{436}}}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+this should be null
+
+\spadcommand{pol.(alpha+beta-1/3)   }
+$$
+0 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+A quintic polynomial
+
+\spadcommand{qol : UP(x,Ran) := x**5+10*x**3+20*x+22 }
+$$
+{x \sp 5}+{{10} \  {x \sp 3}}+{{20} \  x}+{22} 
+$$
+\returnType{Type: UnivariatePolynomial(x,RealClosure Fraction Integer)}
+
+Add some cubic roots
+
+\spadcommand{r2 := sqrt(153)\$Ran }
+$$
+\sqrt {{153}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{alpha2 := sqrt(r2-11,5) }
+$$
+\root {5} \of {{{\sqrt {{153}}} -{11}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{beta2 := -sqrt(r2+11,5) }
+$$
+-{\root {5} \of {{{\sqrt {{153}}}+{11}}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+this should be null
+
+\spadcommand{qol(alpha2+beta2) }
+$$
+0 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+Finally, some examples from the book Computer Algebra by 
+Davenport, Siret and Tournier (page 77).
+The last one is due to Ramanujan.
+
+\spadcommand{dst1:=sqrt(9+4*s2)=1+2*s2 }
+$$
+{\sqrt {{{4 \  {\sqrt {2}}}+9}}}={{2 \  {\sqrt {2}}}+1} 
+$$
+\returnType{Type: Equation RealClosure Fraction Integer}
+
+\spadcommand{dst1::Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{s6:Ran:=sqrt 6 }
+$$
+\sqrt {6} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{dst2:=sqrt(5+2*s6)+sqrt(5-2*s6) = 2*s3 }
+$$
+{{\sqrt {{-{2 \  {\sqrt {6}}}+5}}}+{\sqrt {{{2 \  {\sqrt {6}}}+5}}}}={2 \  
+{\sqrt {3}}} 
+$$
+\returnType{Type: Equation RealClosure Fraction Integer}
+
+\spadcommand{dst2::Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{s29:Ran:=sqrt 29 }
+$$
+\sqrt {{29}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{dst4:=sqrt(16-2*s29+2*sqrt(55-10*s29)) = sqrt(22+2*s5)-sqrt(11+2*s29)+s5 }
+$$
+{\sqrt {{{2 \  {\sqrt {{-{{10} \  {\sqrt {{29}}}}+{55}}}}} -
+{2 \  {\sqrt {{29}}}}+
+{16}}}}=
+{-{\sqrt {{{2 \  {\sqrt {{29}}}}+{11}}}}+
+{\sqrt {{{2 \  {\sqrt {5}}}+
+{22}}}}+{\sqrt {5}}} 
+$$
+\returnType{Type: Equation RealClosure Fraction Integer}
+
+\spadcommand{dst4::Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{dst6:=sqrt((112+70*s2)+(46+34*s2)*s5) = (5+4*s2)+(3+s2)*s5 }
+$$
+{\sqrt {{{{\left( {{34} \  {\sqrt {2}}}+{46} 
+\right)}
+\  {\sqrt {5}}}+{{70} \  {\sqrt {2}}}+{112}}}}={{{\left( {\sqrt {2}}+3 
+\right)}
+\  {\sqrt {5}}}+{4 \  {\sqrt {2}}}+5} 
+$$
+\returnType{Type: Equation RealClosure Fraction Integer}
+
+\spadcommand{dst6::Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{f3:Ran:=sqrt(3,5) }
+$$
+\root {5} \of {3} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{f25:Ran:=sqrt(1/25,5) }
+$$
+\root {5} \of {{1 \over {25}}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{f32:Ran:=sqrt(32/5,5) }
+$$
+\root {5} \of {{{32} \over 5}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{f27:Ran:=sqrt(27/5,5) }
+$$
+\root {5} \of {{{27} \over 5}} 
+$$
+\returnType{Type: RealClosure Fraction Integer}
+
+\spadcommand{dst5:=sqrt((f32-f27,3)) = f25*(1+f3-f3**2)}
+$$
+{\root {3} \of {{-{\root {5} \of {{{27} \over 5}}}+{\root {5} \of {{{32} 
+\over 5}}}}}}={{\left( -{{\root {5} \of {3}} \sp 2}+{\root {5} \of {3}}+1 
+\right)}
+\  {\root {5} \of {{1 \over {25}}}}} 
+$$
+\returnType{Type: Equation RealClosure Fraction Integer}
+
+\spadcommand{dst5::Boolean }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\section{RegularTriangularSet}
+\label{RegularTriangularSetXmpPage}
+
+The {\tt RegularTriangularSet} domain constructor implements regular
+triangular sets.  These particular triangular sets were introduced by
+M. Kalkbrener (1991) in his PhD Thesis under the name regular chains.
+Regular chains and their related concepts are presented in the paper
+``On the Theories of Triangular sets'' By P. Aubry, D. Lazard and
+M. Moreno Maza (to appear in the Journal of Symbolic Computation).
+The {\tt RegularTriangularSet} constructor also provides a new method
+(by the third author) for solving polynomial system by means of
+regular chains.  This method has two ways of solving.  One has the
+same specifications as Kalkbrener's algorithm (1991) and the other is
+closer to Lazard's method (Discr. App. Math, 1991).  Moreover, this
+new method removes redundant component from the decompositions when
+this is not {\em too expensive}.  This is always the case with
+square-free regular chains.  So if you want to obtain decompositions
+without redundant components just use the {\tt
+SquareFreeRegularTriangularSet} domain constructor or the {\tt
+LazardSetSolvingPackage} package constructor.  See also the {\tt
+LexTriangularPackage} and {\tt ZeroDimensionalSolvePackage} for the
+case of algebraic systems with a finite number of (complex) solutions.
+
+One of the main features of regular triangular sets is that they
+naturally define towers of simple extensions of a field.
+This allows to perform with multivariate polynomials the 
+same kind of operations as one can do in an {\tt EuclideanDomain}.
+
+The {\tt RegularTriangularSet} constructor takes four arguments.  The
+first one, {\bf R}, is the coefficient ring of the polynomials; it
+must belong to the category {\tt GcdDomain}.  The second one, {\bf E},
+is the exponent monoid of the polynomials; it must belong to the
+category {\tt OrderedAbelianMonoidSup}.  the third one, {\bf V}, is
+the ordered set of variables; it must belong to the category 
+{\tt OrderedSet}.  The last one is the polynomial ring; it must belong to
+the category {\tt RecursivePolynomialCategory(R,E,V)}.  The
+abbreviation for {\tt RegularTriangularSet} is {\tt REGSET}.  See also
+the constructor {\tt RegularChain} which only takes two arguments, the
+coefficient ring and the ordered set of variables; in that case,
+polynomials are necessarily built with the 
+{\tt NewSparseMultivariatePolynomial} domain constructor.
+
+We shall explain now how to use the constructor {\tt REGSET} and how
+to read the decomposition of a polynomial system by means of regular
+sets.
+
+Let us give some examples.  We start with an easy one
+(Donati-Traverso) in order to understand the two ways of solving
+polynomial systems provided by the {\tt REGSET} constructor.
+
+Define the coefficient ring.
+
+\spadcommand{R := Integer }
+$$
+Integer 
+$$
+\returnType{Type: Domain}
+
+Define the list of variables,
+
+\spadcommand{ls : List Symbol := [x,y,z,t] }
+$$
+\left[
+x, y, z, t 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+and make it an ordered set;
+
+\spadcommand{V := OVAR(ls)  }
+$$
+\mbox{\rm OrderedVariableList [x,y,z,t]} 
+$$
+\returnType{Type: Domain}
+
+then define the exponent monoid.
+
+\spadcommand{E := IndexedExponents V  }
+$$
+\mbox{\rm IndexedExponents OrderedVariableList [x,y,z,t]} 
+$$
+\returnType{Type: Domain}
+
+Define the polynomial ring.
+
+\spadcommand{P := NSMP(R, V)   }
+$$
+\mbox{\rm NewSparseMultivariatePolynomial(Integer,OrderedVariableList 
+[x,y,z,t])} 
+$$
+\returnType{Type: Domain}
+
+Let the variables be polynomial.
+
+\spadcommand{x: P := 'x  }
+$$
+x 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t])}
+
+\spadcommand{y: P := 'y  }
+$$
+y 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t])}
+
+\spadcommand{z: P := 'z  }
+$$
+z 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t])}
+
+\spadcommand{t: P := 't  }
+$$
+t 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t])}
+
+Now call the {\tt RegularTriangularSet} domain constructor.
+
+\spadcommand{T := REGSET(R,E,V,P)}
+$$
+\begin{array}{@{}l}
+{\rm RegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t]))} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+Define a polynomial system.
+
+\spadcommand{p1 := x ** 31 - x ** 6 - x - y   }
+$$
+{x \sp {31}} -{x \sp 6} -x -y 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{p2 := x ** 8  - z   }
+$$
+{x \sp 8} -z 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{p3 := x ** 10 - t   }
+$$
+{x \sp {10}} -t 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t])}
+
+\spadcommand{lp := [p1, p2, p3]    }
+$$
+\left[
+{{x \sp {31}} -{x \sp 6} -x -y}, {{x \sp 8} -z}, {{x \sp {10}} -t} 
+\right]
+$$
+\returnType{Type: 
+List NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t])}
+
+First of all, let us solve this system in the sense of Kalkbrener.
+
+\spadcommand{zeroSetSplit(lp)\$T  }
+$$
+\left[
+{\left\{ 
+{{z \sp 5} -
+{t \sp 4}}, 
+{{t \  z \  {y \sp 2}}+
+{2 \  {z \sp 3} \  y} -
+{t \sp 8}+
+{2 \  {t \sp 5}}+
+{t \sp 3} -
+{t \sp 2}}, 
+{{{\left( {t \sp 4} 
+-t 
+\right)}\  x} -
+{t \  y} -
+{z \sp 2}} 
+\right\}}
+\right]
+$$
+\returnType{Type: 
+List RegularTriangularSet(
+Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t]))}
+
+And now in the sense of Lazard (or Wu and other authors).
+
+\spadcommand{lts := zeroSetSplit(lp,false)\$T   }
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ 
+{{z \sp 5} -
+{t \sp 4}}, 
+{{t \  z \  {y \sp 2}}+
+{2 \  {z \sp 3} \  y} -
+{t \sp 8}+
+{2 \  {t \sp 5}}+
+{t \sp 3} -
+{t \sp 2}}, 
+{{{\left( 
+{t \sp 4} -t 
+\right)}\  x} -
+{t \  y} -
+{z \sp 2}} 
+\right\}},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left\{ 
+{{t \sp 3} -1}, 
+{{z \sp 5} -t}, 
+{{t \  z \  {y \sp 2}}+
+{2 \  {z \sp 3} \  y}+1}, 
+{{z \  {x \sp 2}} -t} 
+\right\}},
+{\left\{ 
+t, z, y, x 
+\right\}}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List RegularTriangularSet(
+Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(
+Integer,
+OrderedVariableList [x,y,z,t]))}
+
+We can see that the first decomposition is a subset of the second.
+So how can both be correct ?
+
+Recall first that polynomials from a domain of the category 
+{\tt RecursivePolynomialCategory} are regarded as univariate polynomials in
+their main variable.  For instance the second polynomial in the first
+set of each decomposition has main variable {\bf y} and its initial
+(i.e. its leading coefficient w.r.t. its main variable) is {\bf t z}.
+
+Now let us explain how to read the second decomposition.  Note that
+the non-constant initials of the first set are $t^4-t$ and $t z$.
+Then the solutions described by this first set are the common zeros of
+its polynomials that do not cancel the polynomials $t^4-t$ and $ty z$.
+Now the solutions of the input system {\bf lp} satisfying these
+equations are described by the second and the third sets of the
+decomposition.  Thus, in some sense, they can be considered as
+degenerated solutions.  The solutions given by the first set are
+called the generic points of the system; they give the general form of
+the solutions.  The first decomposition only provides these generic
+points.  This latter decomposition is useful when they are many
+degenerated solutions (which is sometimes hard to compute) and when
+one is only interested in general informations, like the dimension of
+the input system.
+
+We can get the dimensions of each component
+of a decomposition as follows.
+
+\spadcommand{[coHeight(ts) for ts in lts] }
+$$
+\left[
+1, 0, 0 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+Thus the first set has dimension one.  Indeed {\bf t} can take any
+value, except {\bf 0} or any third root of {\bf 1}, whereas {\bf z} is
+completely determined from {\bf t}, {\bf y} is given by {\bf z} and
+{\bf t}, and finally {\bf x} is given by the other three variables.
+In the second and the third sets of the second decomposition the four
+variables are completely determined and thus these sets have dimension
+zero.
+
+We give now the precise specifications of each decomposition.  This
+assume some mathematical knowledge.  However, for the non-expert user,
+the above explanations will be sufficient to understand the other
+features of the {\tt RSEGSET} constructor.
+
+The input system {\bf lp} is decomposed in the sense of Kalkbrener as
+finitely many regular sets {\bf T1,...,Ts} such that the radical ideal
+generated by {\bf lp} is the intersection of the radicals of the
+saturated ideals of {\bf T1,...,Ts}.  In other words, the affine
+variety associated with {\bf lp} is the union of the closures
+(w.r.t. Zarisky topology) of the regular-zeros sets of 
+{\bf T1,...,Ts}.
+
+{\bf N. B.} The prime ideals associated with the radical of the
+saturated ideal of a regular triangular set have all the same
+dimension; moreover these prime ideals can be given by characteristic
+sets with the same main variables.  Thus a decomposition in the sense
+of Kalkbrener is unmixed dimensional.  Then it can be viewed as a {\em
+lazy} decomposition into prime ideals (some of these prime ideals
+being merged into unmixed dimensional ideals).
+
+Now we explain the other way of solving by means of regular triangular
+sets.  The input system {\bf lp} is decomposed in the sense of Lazard
+as finitely many regular triangular sets {\bf T1,...,Ts} such that the
+affine variety associated with {\bf lp} is the union of the
+regular-zeros sets of {\bf T1,...,Ts}.  Thus a decomposition in the
+sense of Lazard is also a decomposition in the sense of Kalkbrener;
+the converse is false as we have seen before.
+
+When the input system has a finite number of solutions, both ways of
+solving provide similar decompositions as we shall see with this
+second example (Caprasse).
+
+Define a polynomial system.
+
+\spadcommand{f1 := y**2*z+2*x*y*t-2*x-z     }
+$$
+{{\left( {2 \  t \  y} -2 
+\right)}
+\  x}+{z \  {y \sp 2}} -z 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{f2 :=   -x**3*z+ 4*x*y**2*z+ 4*x**2*y*t+ 2*y**3*t+ 4*x**2- 10*y**2+ 4*x*z- 10*y*t+ 2 }
+$$
+-{z \  {x \sp 3}}+
+{{\left( 
+{4 \  t \  y}+4 
+\right)}\  {x \sp 2}}+
+{{\left( 
+{4 \  z \  {y \sp 2}}+
+{4 \  z} 
+\right)}\  x}+
+{2 \  t \  {y \sp 3}} -
+{{10} \  {y \sp 2}} -
+{{10} \  t \  y}+2 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{f3 :=  2*y*z*t+x*t**2-x-2*z }
+$$
+{{\left( 
+{t \sp 2} -1 
+\right)}\  x}+
+{2 \  t \  z \  y} -
+{2 \  z} 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{f4 :=   -x*z**3+ 4*y*z**2*t+ 4*x*z*t**2+ 2*y*t**3+ 4*x*z+ 4*z**2-10*y*t- 10*t**2+2}
+$$
+{{\left( -{z \sp 3}+{{\left( {4 \  {t \sp 2}}+4 
+\right)}
+\  z} 
+\right)}
+\  x}+{{\left( {4 \  t \  {z \sp 2}}+{2 \  {t \sp 3}} -{{10} \  t} 
+\right)}
+\  y}+{4 \  {z \sp 2}} -{{10} \  {t \sp 2}}+2 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{lf := [f1, f2, f3, f4]}
+$$
+\begin{array}{@{}l}
+\left[
+{{{\left( 
+{2 \  t \  y} -2 
+\right)}\  x}+
+{z \  {y \sp 2}} -z}, 
+\right.
+\\
+\\
+\displaystyle
+{-{z \  {x \sp 3}}+
+{{\left( 
+{4 \  t \  y}+4 
+\right)}\  {x \sp 2}}+
+{{\left( 
+{4 \  z \  {y \sp 2}}+
+{4 \  z} 
+\right)}\  x}+
+{2 \  t \  {y \sp 3}} -
+{{10} \  {y \sp 2}} -
+{{10} \  t \  y}+2}, 
+\\
+\\
+\displaystyle
+{{{\left( 
+{t \sp 2} -1 
+\right)}\  x}+
+{2 \  t \  z \  y} -
+{2 \  z}}, 
+\\
+\\
+\displaystyle
+\left.
+{{{\left( 
+-{z \sp 3}+
+{{\left( 
+{4 \  {t \sp 2}}+4 
+\right)}\  z} 
+\right)}\  x}+
+{{\left( 
+{4 \  t \  {z \sp 2}}+
+{2 \  {t \sp 3}} -
+{{10} \  t} 
+\right)}\  y}+
+{4 \  {z \sp 2}} -
+{{10} \  {t \sp 2}}+2} 
+\right]
+\end{array}
+$$
+\returnType{Type: List 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+First of all, let us solve this system in the sense of Kalkbrener.
+
+\spadcommand{zeroSetSplit(lf)\$T  }
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ 
+{{t \sp 2} -1}, 
+{{z \sp 8} -{{16} \  {z \sp 6}}+{{256} \  {z \sp 2}} -{256}}, 
+{{t \  y} -1}, 
+{{{\left( {z \sp 3} -{8 \  z} \right)}\  x} -{8 \  {z \sp 2}}+{16}} 
+\right\}},
+\right.
+\\
+\\
+\displaystyle
+{\left\{ {{3 \  {t \sp 2}}+1}, 
+{{z \sp 2} -{7 \  {t \sp 2}} -1},
+{y+t}, 
+{x+z} 
+\right\}},
+\\
+\\
+\displaystyle
+{\left\{ {{t \sp 8} -{{10} \  {t \sp 6}}+{{10} \  {t \sp 2}} -1},
+z,
+{{{\left( {t \sp 3} -{5 \  t} \right)}\  y} -{5 \  {t \sp 2}}+1}, 
+x 
+\right\}},
+\\
+\\
+\displaystyle
+\left.
+{\left\{ {{t \sp 2}+3}, 
+{{z \sp 2} -4}, 
+{y+t}, 
+{x -z} 
+\right\}}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+And now in the sense of Lazard (or Wu and other authors).
+
+\spadcommand{lts2 := zeroSetSplit(lf,false)\$T   }
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ 
+{{t \sp 8} -{{10} \  {t \sp 6}}+{{10} \  {t \sp 2}} -1}, 
+z,  
+{{{\left( {t \sp 3} -{5 \  t} \right)}\  y} -{5 \  {t \sp 2}}+1}, 
+x 
+\right\}},
+\right.
+\\
+\\
+\displaystyle
+{\left\{ 
+{{t \sp 2} -1}, 
+{{z \sp 8} -{{16} \  {z \sp 6}}+{{256} \  {z \sp 2}} -{256}}, 
+{{t \  y} -1}, 
+{{{\left( {z \sp 3} -{8 \  z} \right)}\  x} -{8 \  {z \sp 2}}+{16}} 
+\right\}},
+\\
+\\
+\displaystyle
+{\left\{ 
+{{3 \  {t \sp 2}}+1}, 
+{{z \sp 2} -{7 \  {t \sp 2}} -1},  
+{y+t}, 
+{x+z} 
+\right\}},
+\\
+\\
+\displaystyle
+\left.
+{\left\{ {{t \sp 2}+3}, 
+{{z \sp 2} -4}, 
+{y+t}, 
+{x -z} 
+\right\}}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+Up to the ordering of the components, both decompositions are identical.
+
+Let us check that each component has a finite number of solutions.
+
+\spadcommand{[coHeight(ts) for ts in lts2] }
+$$
+\left[
+0, 0, 0, 0 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+Let us count the degrees of each component,
+
+\spadcommand{degrees := [degree(ts) for ts in lts2]  }
+$$
+\left[
+8, {16}, 4, 4 
+\right]
+$$
+\returnType{Type: List NonNegativeInteger}
+
+and compute their sum.
+
+\spadcommand{reduce(+,degrees) }
+$$
+32 
+$$
+\returnType{Type: PositiveInteger}
+
+We study now the options of the {\tt zeroSetSplit} operation.  As we
+have seen yet, there is an optional second argument which is a boolean
+value. If this value is {\tt true} (this is the default) then the
+decomposition is computed in the sense of Kalkbrener, otherwise it is
+computed in the sense of Lazard.
+
+There is a second boolean optional argument that can be used (in that
+case the first optional argument must be present).  This second option
+allows you to get some information during the computations.
+
+Therefore, we need to understand a little what is going on during the
+computations.  An important feature of the algorithm is that the
+intermediate computations are managed in some sense like the processes
+of a Unix system.  Indeed, each intermediate computation may generate
+other intermediate computations and the management of all these
+computations is a crucial task for the efficiency.  Thus any
+intermediate computation may be suspended, killed or resumed,
+depending on algebraic considerations that determine priorities for
+these processes.  The goal is of course to go as fast as possible
+towards the final decomposition which means to avoid as much as
+possible unnecessary computations.
+
+To follow the computations, one needs to set to {\tt true} the second
+argument.  Then a lot of numbers and letters are displayed.  Between a
+{\tt [} and a {\tt ]} one has the state of the processes at a given
+time.  Just after {\tt [} one can see the number of processes.  Then
+each process is represented by two numbers between {\tt <} and 
+{\tt >}.  A process consists of a list of polynomial {\bf ps} and a
+triangular set {\bf ts}; its goal is to compute the common zeros of
+{\bf ps} that belong to the regular-zeros set of {\bf ts}.  After the
+processes, the number between pipes gives the total number of
+polynomials in all the sets {\tt ps}.  Finally, the number between
+braces gives the number of components of a decomposition that are
+already computed. This number may decrease.
+
+Let us take a third example (Czapor-Geddes-Wang) to see how this
+information is displayed.
+
+Define a polynomial system.
+
+\spadcommand{u : R := 2   }
+$$
+2 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{q1 := 2*(u-1)**2+ 2*(x-z*x+z**2)+ y**2*(x-1)**2- 2*u*x+ 2*y*t*(1-x)*(x-z)+ 2*u*z*t*(t-y)+ u**2*t**2*(1-2*z)+ 2*u*t**2*(z-x)+ 2*u*t*y*(z-1)+ 2*u*z*x*(y+1)+ (u**2-2*u)*z**2*t**2+ 2*u**2*z**2+ 4*u*(1-u)*z+ t**2*(z-x)**2}
+$$
+\begin{array}{@{}l}
+{{\left( 
+{y \sp 2} -{2 \  t \  y}+{t \sp 2} 
+\right)}\  {x \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( 
+-{2 \  {y \sp 2}}+
+{{\left( {{\left( {2 \  t}+4 
+\right)}\  z}+
+{2 \  t} 
+\right)}\  y}+
+{{\left( 
+-{2 \  {t \sp 2}}+2 
+\right)}\  z} -
+{4 \  {t \sp 2}} -2 
+\right)}\  x}+
+\\
+\\
+\displaystyle
+{y \sp 2}+
+{{\left( 
+-{2 \  t \  z} -
+{4 \  t} 
+\right)}\  y}+
+{{\left( 
+{t \sp 2}+
+{10} 
+\right)}\  {z \sp 2}} -
+{8 \  z}+
+{4 \  {t \sp 2}}+
+2 
+\end{array}
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{q2 := t*(2*z+1)*(x-z)+ y*(z+2)*(1-x)+ u*(u-2)*t+ u*(1-2*u)*z*t+ u*y*(x+u-z*x-1)+ u*(u+1)*z**2*t}
+$$
+{{\left( 
+-{3 \  z \  y}+
+{2 \  t \  z}+
+t 
+\right)}\  x}+
+{{\left( 
+z+4 
+\right)}\  y}+
+{4 \  t \  {z \sp 2}} -
+{7 \  t \  z} 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{q3 := -u**2*(z-1)**2+ 2*z*(z-x)-2*(x-1)}
+$$
+{{\left( 
+-{2 \  z} -2 
+\right)}\  x} -
+{2 \  {z \sp 2}}+
+{8 \  z} -
+2 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{q4 :=   u**2+4*(z-x**2)+3*y**2*(x-1)**2- 3*t**2*(z-x)**2 +3*u**2*t**2*(z-1)**2+u**2*z*(z-2)+6*u*t*y*(z+x+z*x-1)}
+$$
+\begin{array}{@{}l}
+{{\left( 
+{3 \  {y \sp 2}} -
+{3 \  {t \sp 2}} -
+4 
+\right)}\  {x \sp 2}}+
+{{\left( 
+-{6 \  {y \sp 2}}+
+{{\left( {{12} \  t \  z}+
+{{12} \  t} 
+\right)}\  y}+
+{6 \  {t \sp 2} \  z} 
+\right)}\  x}+
+{3 \  {y \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left( 
+{{12} \  t \  z} -
+{{12} \  t} 
+\right)}\  y}+
+{{\left( 
+{9 \  {t \sp 2}}+
+4 
+\right)}\  {z \sp 2}}+
+{{\left( 
+-{{24} \  {t \sp 2}} -
+4 
+\right)}\  z}+
+{{12} \  {t \sp 2}}+
+4 
+\end{array}
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{lq := [q1, q2, q3, q4]}
+$$
+\begin{array}{@{}l}
+\left[
+\left( 
+{y \sp 2} -{2 \  t \  y}+{t \sp 2} \right)\  {x \sp 2}+
+\right.
+\\
+\\
+\displaystyle
+\left( -{2 \  {y \sp 2}}+
+\left( 
+\left( {2 \  t}+4 
+\right)\  z+{2 \  t} 
+\right)\  y+
+\left( -{2 \  {t \sp 2}}+2 
+\right)\  z -{4 \  {t \sp 2}} -2 
+\right)\  x+{y \sp 2}+
+\\
+\\
+\displaystyle
+\left( -{2 \  t \  z} -{4 \  t} 
+\right)\  y+
+\left( {t \sp 2}+{10} 
+\right)\  {z \sp 2} -
+{8 \  z}+
+{4 \  {t \sp 2}}+
+2, 
+\\
+\\
+\displaystyle
+\left( -{3 \  z \  y}+{2 \  t \  z}+t 
+\right)\  x+
+\left( z+4 
+\right)\  y+
+{4 \  t \  {z \sp 2}} -{7 \  t \  z},
+\\
+\\
+\displaystyle
+\left( -{2 \  z} -2 
+\right)\  x -{2 \  {z \sp 2}}+{8 \  z} -2, 
+\left( {3 \  {y \sp 2}} -{3 \  {t \sp 2}} -4 
+\right)\  {x \sp 2}+
+\\
+\\
+\displaystyle
+\left( -{6 \  {y \sp 2}}+
+\left( {{12} \  t \  z}+{{12} \  t} 
+\right)\  y+{6 \  {t \sp 2} \  z} 
+\right)\  x+{3 \  {y \sp 2}}+
+\\
+\\
+\displaystyle
+\left.
+\left( {{12} \  t \  z} -{{12} \  t} 
+\right)\  y+
+\left( {9 \  {t \sp 2}}+4 
+\right)\  {z \sp 2}+
+\left( -{{24} \  {t \sp 2}} -4 
+\right)\  z+{{12} \  {t \sp 2}}+4
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+Let us try the information option.  N.B. The timing should be between
+1 and 10 minutes, depending on your machine.
+
+\spadcommand{zeroSetSplit(lq,true,true)\$T  }
+\begin{verbatim}
+[1 <4,0> -> |4|; {0}]W[2 <5,0>,<3,1> -> |8|; {0}][2 <4,1>,<3,1> -> |7|; 
+{0}][1 <3,1> -> |3|; {0}]G[2 <4,1>,<4,1> -> |8|; {0}]W[3 <5,1>,<4,1>,
+<3,2> -> |12|; {0}]GI[3 <4,2>,<4,1>,<3,2> -> |11|; {0}]GWw[3 <4,1>,
+<3,2>,<5,2> -> |12|; {0}][3 <3,2>,<3,2>,<5,2> -> |11|; {0}]GIwWWWw
+[4 <3,2>,<4,2>,<5,2>,<2,3> -> |14|; {0}][4 <2,2>,<4,2>,<5,2>,<2,3> -> 
+|13|; {0}]Gwww[5 <3,2>,<3,2>,<4,2>,<5,2>,<2,3> -> |17|; {0}]Gwwwwww
+[8 <3,2>,<4,2>,<4,2>,<4,2>,<4,2>,<4,2>,<5,2>,<2,3> -> |30|; {0}]Gwwwwww
+[8 <4,2>,<4,2>,<4,2>,<4,2>,<4,2>,<4,2>,<5,2>,<2,3> -> |31|; {0}][8 
+<3,3>,<4,2>,<4,2>,<4,2>,<4,2>,<4,2>,<5,2>,<2,3> -> |30|; {0}][8 <2,3>,
+\end{verbatim}
+\begin{verbatim}
+<4,2>,<4,2>,<4,2>,<4,2>,<4,2>,<5,2>,<2,3> -> |29|; {0}][8 <1,3>,<4,2>,
+<4,2>,<4,2>,<4,2>,<4,2>,<5,2>,<2,3> -> |28|; {0}][7 <4,2>,<4,2>,<4,2>,
+<4,2>,<4,2>,<5,2>,<2,3> -> |27|; {0}][6 <4,2>,<4,2>,<4,2>,<4,2>,<5,2>,
+<2,3> -> |23|; {0}][5 <4,2>,<4,2>,<4,2>,<5,2>,<2,3> -> |19|; {0}]
+GIGIWwww[6 <5,2>,<4,2>,<4,2>,<5,2>,<3,3>,<2,3> -> |23|; {0}][6 <4,3>,
+<4,2>,<4,2>,<5,2>,<3,3>,<2,3> -> |22|; {0}]GIGI[6 <3,4>,<4,2>,<4,2>,
+<5,2>,<3,3>,<2,3> -> |21|; {0}][6 <2,4>,<4,2>,<4,2>,<5,2>,<3,3>,<2,3> 
+-> |20|; {0}]GGG[5 <4,2>,<4,2>,<5,2>,<3,3>,<2,3> -> |18|; {0}]GIGIWwwwW
+[6 <5,2>,<4,2>,<5,2>,<3,3>,<3,3>,<2,3> -> |22|; {0}][6 <4,3>,<4,2>,
+<5,2>,<3,3>,<3,3>,<2,3> -> |21|; {0}]GIwwWwWWWWWWWwWWWWwwwww[8 <4,2>,
+\end{verbatim}
+\begin{verbatim}
+<5,2>,<3,3>,<3,3>,<4,3>,<2,3>,<3,4>,<3,4> -> |27|; {0}][8 <3,3>,<5,2>,
+<3,3>,<3,3>,<4,3>,<2,3>,<3,4>,<3,4> -> |26|; {0}][8 <2,3>,<5,2>,<3,3>,
+<3,3>,<4,3>,<2,3>,<3,4>,<3,4> -> |25|; {0}]Gwwwwwwwwwwwwwwwwwwww[9 
+<5,2>,<3,3>,<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,<3,4>,<3,4> -> |29|; {0}]
+GI[9 <4,3>,<3,3>,<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,<3,4>,<3,4> -> |28|; 
+{0}][9 <3,3>,<3,3>,<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,<3,4>,<3,4> -> |27|; 
+{0}][9 <2,3>,<3,3>,<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,<3,4>,<3,4> -> |26|; 
+{0}]GGwwwwwwwwwwwwWWwwwwwwww[11 <3,3>,<3,3>,<3,3>,<3,3>,<4,3>,<2,3>,
+<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |33|; {0}][11 <2,3>,<3,3>,<3,3>,<3,3>,
+<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |32|; {0}][11 <1,3>,<3,3>,
+\end{verbatim}
+\begin{verbatim}
+<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |31|; {0}]
+GGGwwwwwwwwwwwww[12 <2,3>,<2,3>,<3,3>,<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,
+<3,3>,<3,3>,<3,4>,<3,4> -> |34|; {0}]GGwwwwwwwwwwwww[13 <3,3>,<2,3>,
+<3,3>,<3,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> 
+|38|; {0}]Gwwwwwwwwwwwww[13 <2,3>,<3,3>,<4,3>,<3,3>,<4,3>,<3,3>,<3,3>,
+<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |39|; {0}]GGGwwwwwwwwwwwww[15 
+<3,3>,<4,3>,<3,3>,<3,3>,<3,3>,<3,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,
+<3,3>,<3,4>,<3,4> -> |46|; {0}][14 <4,3>,<3,3>,<3,3>,<3,3>,<3,3>,<3,3>,
+<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |43|; {0}]GIGGGGIGGI
+[14 <3,4>,<3,3>,<3,3>,<3,3>,<3,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,
+\end{verbatim}
+\begin{verbatim}
+<3,3>,<3,4>,<3,4> -> |42|; {0}]GGG[14 <2,4>,<3,3>,<3,3>,<3,3>,<3,3>,
+<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |41|; {0}]
+[14 <1,4>,<3,3>,<3,3>,<3,3>,<3,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,
+<3,3>,<3,4>,<3,4> -> |40|; {0}]GGG[13 <3,3>,<3,3>,<3,3>,<3,3>,<3,3>,
+<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |39|; {0}]
+Gwwwwwwwwwwwww[15 <3,3>,<3,3>,<4,3>,<4,3>,<4,3>,<3,3>,<3,3>,<4,3>,
+<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |48|; {0}]Gwwwwwwwwwwwww
+[15 <4,3>,<4,3>,<3,3>,<4,3>,<4,3>,<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,<3,3>,
+<3,3>,<3,3>,<3,4>,<3,4> -> |49|; {0}]GIGI[15 <3,4>,<4,3>,<3,3>,<4,3>,
+<4,3>,<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> 
+\end{verbatim}
+\begin{verbatim}
+|48|; {0}]G[14 <4,3>,<3,3>,<4,3>,<4,3>,<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,
+<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |45|; {0}][13 <3,3>,<4,3>,<4,3>,
+<3,3>,<4,3>,<3,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |41|; 
+{0}]Gwwwwwwwwwwwww[13 <4,3>,<4,3>,<4,3>,<3,3>,<3,3>,<4,3>,<3,3>,<2,3>,
+<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |42|; {0}]GIGGGGIGGI[13 <3,4>,<4,3>,
+<4,3>,<3,3>,<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> 
+|41|; {0}]GGGGGGGG[13 <2,4>,<4,3>,<4,3>,<3,3>,<3,3>,<4,3>,<3,3>,<2,3>,
+<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |40|; {0}][13 <1,4>,<4,3>,<4,3>,<3,3>,
+<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |39|; {0}]
+[13 <0,4>,<4,3>,<4,3>,<3,3>,<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,
+\end{verbatim}
+\begin{verbatim}
+<3,4>,<3,4> -> |38|; {0}][12 <4,3>,<4,3>,<3,3>,<3,3>,<4,3>,<3,3>,
+<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |38|; {1}][11 <4,3>,<3,3>,
+<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |34|; {1}]
+[10 <3,3>,<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> 
+|30|; {1}][10 <2,3>,<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,
+<3,4> -> |29|; {1}]GGGwwwwwwwwwwwww[11 <3,3>,<3,3>,<4,3>,<3,3>,
+<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |33|; {1}]
+GGGwwwwwwwwwwwww[12 <4,3>,<3,3>,<4,3>,<3,3>,<3,3>,<4,3>,
+<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |38|; {1}]Gwwwwwwwwwwwww
+[12 <3,3>,<4,3>,<5,3>,<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,
+\end{verbatim}
+\begin{verbatim}
+<3,4>,<3,4> -> |39|; {1}]GGwwwwwwwwwwwww[13 <5,3>,<4,3>,<4,3>,
+<4,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> 
+|44|; {1}]GIGGGGIGGIW[13 <4,4>,<4,3>,<4,3>,<4,3>,<3,3>,<3,3>,
+<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |43|; {1}]GGW[13 
+<3,4>,<4,3>,<4,3>,<4,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,
+<3,4>,<3,4> -> |42|; {1}]GGG[12 <4,3>,<4,3>,<4,3>,<3,3>,<3,3>,<4,3>,
+<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |39|; {1}]Gwwwwwwwwwwwww[12 
+<4,3>,<4,3>,<5,3>,<3,3>,<4,3>,<3,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,
+<3,4> -> |40|; {1}]Gwwwwwwwwwwwww[13 <5,3>,<5,3>,<4,3>,<5,3>,<3,3>,
+<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |46|; {1}]GIGIW
+\end{verbatim}
+\begin{verbatim}
+[13 <4,4>,<5,3>,<4,3>,<5,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,
+<3,3>,<3,4>,<3,4> -> |45|; {1}][13 <3,4>,<5,3>,<4,3>,<5,3>,<3,3>,
+<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |44|; {1}][13 
+<2,4>,<5,3>,<4,3>,<5,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,
+<3,4>,<3,4> -> |43|; {1}]GG[12 <5,3>,<4,3>,<5,3>,<3,3>,<3,3>,<4,3>,
+<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |41|; {1}]GIGGGGIGGIW[12 
+<4,4>,<4,3>,<5,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,
+<3,4> -> |40|; {1}]GGGGGGW[12 <3,4>,<4,3>,<5,3>,<3,3>,<3,3>,<4,3>,
+<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |39|; {1}][12 <2,4>,<4,3>,
+<5,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |38|; 
+\end{verbatim}
+\begin{verbatim}
+{1}][12 <1,4>,<4,3>,<5,3>,<3,3>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,
+<3,4>,<3,4> -> |37|; {1}]GGG[11 <4,3>,<5,3>,<3,3>,<3,3>,<4,3>,<2,3>,
+<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |36|; {1}][10 <5,3>,<3,3>,<3,3>,
+<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |32|; {1}][9 <3,3>,
+<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |27|; {1}]W[9 
+<2,4>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |26|; {1}]
+[9 <1,4>,<3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |25|; 
+{1}][8 <3,3>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |24|; {1}]
+W[8 <2,4>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |23|; {1}][8 
+<1,4>,<4,3>,<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |22|; {1}][7 <4,3>,
+\end{verbatim}
+\begin{verbatim}
+<2,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |21|; {1}]w[7 <3,4>,<2,3>,
+<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |20|; {1}][7 <2,4>,<2,3>,<3,3>,
+<3,3>,<3,3>,<3,4>,<3,4> -> |19|; {1}][7 <1,4>,<2,3>,<3,3>,<3,3>,
+<3,3>,<3,4>,<3,4> -> |18|; {1}][6 <2,3>,<3,3>,<3,3>,<3,3>,<3,4>,
+<3,4> -> |17|; {1}]GGwwwwww[7 <3,3>,<3,3>,<3,3>,<3,3>,<3,3>,<3,4>,
+<3,4> -> |21|; {1}]GIW[7 <2,4>,<3,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> 
+-> |20|; {1}]GG[6 <3,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |18|; {1}]
+Gwwwwww[7 <4,3>,<4,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |23|; {1}]
+GIW[7 <3,4>,<4,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |22|; {1}][6 
+<4,3>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |19|; {1}]GIW[6 <3,4>,<3,3>,
+\end{verbatim}
+\begin{verbatim}
+<3,3>,<3,3>,<3,4>,<3,4> -> |18|; {1}]GGW[6 <2,4>,<3,3>,<3,3>,<3,3>,
+<3,4>,<3,4> -> |17|; {1}][6 <1,4>,<3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> 
+|16|; {1}]GGG[5 <3,3>,<3,3>,<3,3>,<3,4>,<3,4> -> |15|; {1}]GIW[5 
+<2,4>,<3,3>,<3,3>,<3,4>,<3,4> -> |14|; {1}]GG[4 <3,3>,<3,3>,<3,4>,
+<3,4> -> |12|; {1}][3 <3,3>,<3,4>,<3,4> -> |9|; {1}]W[3 <2,4>,<3,4>,
+<3,4> -> |8|; {1}][3 <1,4>,<3,4>,<3,4> -> |7|; {1}]G[2 <3,4>,<3,4> 
+-> |6|; {1}]G[1 <3,4> -> |3|; {1}][1 <2,4> -> |2|; {1}][1 <1,4> -> 
+|1|; {1}]
+\end{verbatim}
+\begin{verbatim}
+   *** QCMPACK Statistics ***
+      Table     size:  36
+      Entries reused:  255
+
+   *** REGSETGCD: Gcd Statistics ***
+      Table     size:  125
+      Entries reused:  0
+
+   *** REGSETGCD: Inv Set Statistics ***
+      Table     size:  30
+      Entries reused:  0
+\end{verbatim}
+$$
+\begin{array}{@{}l}
+\left[
+\left\{ 
+{{960725655771966} \  {t \sp {24}}}+
+{{386820897948702} \  {t \sp {23}}}+
+\right.
+\right.\hbox{\hskip 4.0cm}
+\\
+\displaystyle
+{{8906817198608181} \  {t \sp {22}}}+
+{{2704966893949428} \  {t \sp {21}}}+
+\\
+\displaystyle
+{{37304033340228264} \  {t \sp {20}}}+
+{{7924782817170207} \  {t \sp {19}}}+
+\\
+\displaystyle
+{{93126799040354990} \  {t \sp {18}}}+
+{{13101273653130910} \  {t \sp {17}}}+
+\\
+\displaystyle
+{{156146250424711858} \  {t \sp {16}}}+
+{{16626490957259119} \  {t \sp {15}}}+
+\\
+\displaystyle
+{{190699288479805763} \  {t \sp {14}}}+
+{{24339173367625275} \  {t \sp {13}}}+
+\\
+\displaystyle
+{{180532313014960135} \  {t \sp {12}}}+
+{{35288089030975378} \  {t \sp {11}}}+
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{135054975747656285} \  {t \sp {10}}}+
+{{34733736952488540} \  {t \sp 9}}+\hbox{\hskip 3.7cm}
+\\
+\displaystyle
+{{75947600354493972} \  {t \sp 8}}+
+{{19772555692457088} \  {t \sp 7}}+
+\\
+\displaystyle
+{{28871558573755428} \  {t \sp 6}}+
+{{5576152439081664} \  {t \sp 5}}+
+\\
+\displaystyle
+{{6321711820352976} \  {t \sp 4}}+
+{{438314209312320} \  {t \sp 3}}+
+\\
+\displaystyle
+{{581105748367008} \  {t \sp 2}} -
+{{60254467992576} \  t}+
+\\
+\displaystyle
+{1449115951104}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{26604210869491302385515265737052082361668474181372891857784} 
+\  {t \sp {23}}}+
+\right.
+\\
+\displaystyle
+{{443104378424686086067294899528296664238693556855017735265295} 
+\  {t \sp {22}}}+
+\\
+\displaystyle
+{{279078393286701234679141342358988327155321305829547090310242} 
+\  {t \sp {21}}}+
+\\
+\displaystyle
+{{3390276361413232465107617176615543054620626391823613392185226} 
+\  {t \sp {20}}}+
+\\
+\displaystyle
+{{941478179503540575554198645220352803719793196473813837434129} 
+\  {t \sp {19}}}+
+\\
+\displaystyle
+{{11547855194679475242211696749673949352585747674184320988144390} 
+\  {t \sp {18}}}+
+\\
+\displaystyle
+{{1343609566765597789881701656699413216467215660333356417241432} 
+\  {t \sp {17}}}+
+\\
+\displaystyle
+{{23233813868147873503933551617175640859899102987800663566699334} 
+\  {t \sp {16}}}+
+\\
+\displaystyle
+{{869574020537672336950845440508790740850931336484983573386433} 
+\  {t \sp {15}}}+
+\\
+\displaystyle
+{{31561554305876934875419461486969926554241750065103460820476969} 
+\  {t \sp {14}}}+
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{1271400990287717487442065952547731879554823889855386072264931} 
+\  {t \sp {13}}}+
+\\
+\displaystyle
+{{31945089913863736044802526964079540198337049550503295825160523} 
+\  {t \sp {12}}}+
+\\
+\displaystyle
+{{3738735704288144509871371560232845884439102270778010470931960} 
+\  {t \sp {11}}}+
+\\
+\displaystyle
+{{25293997512391412026144601435771131587561905532992045692885927} 
+\  {t \sp {10}}}+
+\\
+\displaystyle
+{{5210239009846067123469262799870052773410471135950175008046524} 
+\  {t \sp 9}}+
+\\
+\displaystyle
+{{15083887986930297166259870568608270427403187606238713491129188} 
+\  {t \sp 8}}+
+\\
+\displaystyle
+{{3522087234692930126383686270775779553481769125670839075109000} 
+\  {t \sp 7}}+
+\\
+\displaystyle
+{{6079945200395681013086533792568886491101244247440034969288588} 
+\  {t \sp 6}}+
+\\
+\displaystyle
+{{1090634852433900888199913756247986023196987723469934933603680} 
+\  {t \sp 5}}+
+\\
+\displaystyle
+{{1405819430871907102294432537538335402102838994019667487458352} 
+\  {t \sp 4}}+
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{88071527950320450072536671265507748878347828884933605202432} 
+\  {t \sp 3}}+
+\\
+\displaystyle
+{{135882489433640933229781177155977768016065765482378657129440} 
+\  {t \sp 2}} -
+\\
+\displaystyle
+{{13957283442882262230559894607400314082516690749975646520320} 
+\  t}+
+\\
+\displaystyle
+\left.
+{334637692973189299277258325709308472592117112855749713920} 
+\right)\  z+
+\\
+\displaystyle
+{{8567175484043952879756725964506833932149637101090521164936} 
+\  {t \sp {23}}}+
+\\
+\displaystyle
+{{149792392864201791845708374032728942498797519251667250945721} 
+\  {t \sp {22}}}+
+\\
+\displaystyle
+{{77258371783645822157410861582159764138123003074190374021550} 
+\  {t \sp {21}}}+
+\\
+\displaystyle
+{{1108862254126854214498918940708612211184560556764334742191654} 
+\  {t \sp {20}}}+
+\\
+\displaystyle
+{{213250494460678865219774480106826053783815789621501732672327} 
+\  {t \sp {19}}}+
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{3668929075160666195729177894178343514501987898410131431699882} 
+\  {t \sp {18}}}+
+\\
+\displaystyle
+{{171388906471001872879490124368748236314765459039567820048872} 
+\  {t \sp {17}}}+
+\\
+\displaystyle
+{{7192430746914602166660233477331022483144921771645523139658986} 
+\  {t \sp {16}}} -
+\\
+\displaystyle
+{{128798674689690072812879965633090291959663143108437362453385} 
+\  {t \sp {15}}}+
+\\
+\displaystyle
+{{9553010858341425909306423132921134040856028790803526430270671} 
+\  {t \sp {14}}} -
+\\
+\displaystyle
+{{13296096245675492874538687646300437824658458709144441096603} 
+\  {t \sp {13}}}+
+\\
+\displaystyle
+{{9475806805814145326383085518325333106881690568644274964864413} 
+\  {t \sp {12}}}+
+\\
+\displaystyle
+{{803234687925133458861659855664084927606298794799856265539336} 
+\  {t \sp {11}}}+
+\\
+\displaystyle
+{{7338202759292865165994622349207516400662174302614595173333825} 
+\  {t \sp {10}}}+
+\\
+\displaystyle
+{{1308004628480367351164369613111971668880538855640917200187108} 
+\  {t \sp 9}}+
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{4268059455741255498880229598973705747098216067697754352634748} 
+\  {t \sp 8}}+
+\\
+\displaystyle
+{{892893526858514095791318775904093300103045601514470613580600} 
+\  {t \sp 7}}+
+\\
+\displaystyle
+{{1679152575460683956631925852181341501981598137465328797013652} 
+\  {t \sp 6}}+
+\\
+\displaystyle
+{{269757415767922980378967154143357835544113158280591408043936} 
+\  {t \sp 5}}+
+\\
+\displaystyle
+{{380951527864657529033580829801282724081345372680202920198224} 
+\  {t \sp 4}}+
+\\
+\displaystyle
+{{19785545294228495032998826937601341132725035339452913286656} 
+\  {t \sp 3}}+
+\\
+\displaystyle
+{{36477412057384782942366635303396637763303928174935079178528} 
+\  {t \sp 2}} -
+\\
+\displaystyle
+{{3722212879279038648713080422224976273210890229485838670848} 
+\  t}+
+\\
+\displaystyle
+{89079724853114348361230634484013862024728599906874105856}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{{\left( 
+{3 \  {z \sp 3}} -
+{{11} \  {z \sp 2}}+
+{8 \  z}+4 
+\right)}\  y}+
+{2 \  t \  {z \sp 3}}+
+{4 \  t \  {z \sp 2}} -
+{5 \  t \  z} -t}, : 
+\\
+\\
+\displaystyle
+\left.
+\left.
+\left( 
+z+1 
+\right)\  x+
+{z \sp 2} -
+{4 \  z}+1 
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List RegularTriangularSet(
+Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+Between a sequence of processes, thus between a {\tt ]} and a {\tt [}
+you can see capital letters {\tt W, G, I} and lower case letters 
+{\tt i, w}. Each time a capital letter appears a non-trivial computation
+has be performed and its result is put in a hash-table.  Each time a
+lower case letter appears a needed result has been found in an
+hash-table.  The use of these hash-tables generally speed up the
+computations.  However, on very large systems, it may happen that
+these hash-tables become too big to be handle by your AXIOM
+configuration.  Then in these exceptional cases, you may prefer
+getting a result (even if it takes a long time) than getting nothing.
+Hence you need to know how to prevent the {\tt RSEGSET} constructor
+from using these hash-tables.  In that case you will be using the 
+{\tt zeroSetSplit} with five arguments.  The first one is the input system
+{\bf lp} as above.  The second one is a boolean value {\tt hash?}
+which is {\tt true} iff you want to use hash-tables.  The third one is
+boolean value {\tt clos?} which is {\tt true} iff you want to solve
+your system in the sense of Kalkbrener, the other way remaining that
+of Lazard.  The fourth argument is boolean value {\tt info?} which is
+{\tt true} iff you want to display information during the
+computations.  The last one is boolean value {\tt prep?} which is 
+{\tt true} iff you want to use some heuristics that are performed on the
+input system before starting the real algorithm.  The value of this
+flag is {\tt true} when you are using {\tt zeroSetSplit} with less
+than five arguments.  Note that there is no available signature for
+{\tt zeroSetSplit} with four arguments.
+
+We finish this section by some remarks about both ways of solving, in
+the sense of Kalkbrener or in the sense of Lazard.  For problems with
+a finite number of solutions, there are theoretically equivalent and
+the resulting decompositions are identical, up to the ordering of the
+components.  However, when solving in the sense of Lazard, the
+algorithm behaves differently.  In that case, it becomes more
+incremental than in the sense of Kalkbrener. That means the
+polynomials of the input system are considered one after another
+whereas in the sense of Kalkbrener the input system is treated more
+globally.
+
+This makes an important difference in positive dimension.  Indeed when
+solving in the sense of Kalkbrener, the {\em Primeidealkettensatz} of
+Krull is used.  That means any regular triangular containing more
+polynomials than the input system can be deleted.  This is not
+possible when solving in the sense of Lazard.  This explains why
+Kalkbrener's decompositions usually contain less components than those
+of Lazard.  However, it may happen with some examples that the
+incremental process (that cannot be used when solving in the sense of
+Kalkbrener) provide a more efficient way of solving than the global
+one even if the {\em Primeidealkettensatz} is used.  Thus just try
+both, with the various options, before concluding that you cannot
+solve your favorite system with {\tt zeroSetSplit}.  There exist more
+options at the development level that are not currently available in
+this public version.  
+
+\section{RomanNumeral}
+\label{RomanNumeralXmpPage}
+
+The Roman numeral package was added to Axiom in MCMLXXXVI for use in
+denoting higher order derivatives.
+
+For example, let {\tt f} be a symbolic operator.
+
+\spadcommand{f := operator 'f }
+$$
+f 
+$$
+\returnType{Type: BasicOperator}
+
+This is the seventh derivative of {\tt f} with respect to {\tt x}.
+
+\spadcommand{D(f x,x,7) }
+$$
+{f \sb {{\ }} \sp {{\left( vii 
+\right)}}}
+\left(
+{x} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+You can have integers printed as Roman numerals by declaring variables to
+be of type {\tt RomanNumeral} (abbreviation {\tt ROMAN}).
+
+\spadcommand{a := roman(1978 - 1965) }
+$$
+XIII 
+$$
+\returnType{Type: RomanNumeral}
+
+This package now has a small but devoted group of followers that claim
+this domain has shown its efficacy in many other contexts.  They claim
+that Roman numerals are every bit as useful as ordinary integers.
+
+In a sense, they are correct, because Roman numerals form a ring and you
+can therefore construct polynomials with Roman numeral coefficients,
+matrices over Roman numerals, etc..
+
+\spadcommand{x : UTS(ROMAN,'x,0) := x }
+$$
+x 
+$$
+\returnType{Type: UnivariateTaylorSeries(RomanNumeral,x,0)}
+
+Was Fibonacci Italian or ROMAN?
+
+\spadcommand{recip(1 - x - x**2) }
+$$
+\begin{array}{@{}l}
+I+x+
+{II \  {x \sp 2}}+
+{III \  {x \sp 3}}+
+{V \  {x \sp 4}}+
+{VIII \  {x \sp 5}}+
+{XIII \  {x \sp 6}}+
+{XXI \  {x \sp 7}}+
+\\
+\\
+\displaystyle
+{XXXIV \  {x \sp 8}}+
+{LV \  {x \sp 9}}+
+{LXXXIX \  {x \sp {10}}}+
+{O \left({{x \sp {11}}} \right)}
+\end{array}
+$$
+\returnType{Type: Union(UnivariateTaylorSeries(RomanNumeral,x,0),...)}
+
+You can also construct fractions with Roman numeral numerators and
+denominators, as this matrix Hilberticus illustrates.
+
+\spadcommand{m : MATRIX FRAC ROMAN }
+\returnType{Void}
+
+\spadcommand{m := matrix [ [1/(i + j) for i in 1..3] for j in 1..3]  }
+$$
+\left[
+\begin{array}{ccc}
+{I \over II} & {I \over III} & {I \over IV} \\ 
+{I \over III} & {I \over IV} & {I \over V} \\ 
+{I \over IV} & {I \over V} & {I \over VI} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction RomanNumeral}
+
+Note that the inverse of the matrix has integral {\tt ROMAN} entries.
+
+\spadcommand{inverse m }
+$$
+\left[
+\begin{array}{ccc}
+LXXII & -CCXL & CLXXX \\ 
+-CCXL & CM & -DCCXX \\ 
+CLXXX & -DCCXX & DC 
+\end{array}
+\right]
+$$
+\returnType{Type: Union(Matrix Fraction RomanNumeral,...)}
+
+Unfortunately, the spoil-sports say that the fun stops when the
+numbers get big---mostly because the Romans didn't establish
+conventions about representing very large numbers.
+
+\spadcommand{y := factorial 10 }
+$$
+3628800 
+$$
+\returnType{Type: PositiveInteger}
+
+You work it out!
+
+\spadcommand{roman y }
+$$
+\begin{array}{@{}l}
+{\rm ((((I))))((((I))))((((I))))(((I)))(((I)))(((I)))(((I)))}
+\\
+\displaystyle
+{\rm (((I)))(((I))) ((I))((I)) MMMMMMMMDCCC} 
+\end{array}
+$$
+\returnType{Type: RomanNumeral}
+
+Issue the system command {\tt )show RomanNumeral} to display the full
+list of operations defined by {\tt RomanNumeral}.
+
+\section{Segment}
+\label{SegmentXmpPage}
+
+The {\tt Segment} domain provides a generalized interval type.
+
+Segments are created using the {\tt ..} construct by indicating the
+(included) end points.
+
+\spadcommand{s := 3..10 }
+$$
+3..{10} 
+$$
+\returnType{Type: Segment PositiveInteger}
+
+The first end point is called the \spadfunFrom{lo}{Segment} and the
+second is called \spadfunFrom{hi}{Segment}.
+
+\spadcommand{lo s }
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+These names are used even though the end points might belong to an
+unordered set.
+
+\spadcommand{hi s }
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+In addition to the end points, each segment has an integer ``increment.''
+An increment can be specified using the ``{\tt by}'' construct.
+
+\spadcommand{t := 10..3 by -2 }
+$$
+{{10}..3} \mbox{\rm by\ } -2 
+$$
+\returnType{Type: Segment PositiveInteger}
+
+This part can be obtained using the \spadfunFrom{incr}{Segment} function.
+
+\spadcommand{incr s }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Unless otherwise specified, the increment is {\tt 1}.
+
+\spadcommand{incr t }
+$$
+-2 
+$$
+\returnType{Type: Integer}
+
+A single value can be converted to a segment with equal end points.
+This happens if segments and single values are mixed in a list.
+
+\spadcommand{l := [1..3, 5, 9, 15..11 by -1] }
+$$
+\left[
+{1..3}, {5..5}, {9..9}, {{{15}..{11}} \mbox{\rm by } -1} 
+\right]
+$$
+\returnType{Type: List Segment PositiveInteger}
+
+If the underlying type is an ordered ring, it is possible to perform
+additional operations.  The \spadfunFrom{expand}{Segment} operation
+creates a list of points in a segment.
+
+\spadcommand{expand s }
+$$
+\left[
+3, 4, 5, 6, 7, 8, 9, {10} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+If {\tt k > 0}, then {\tt expand(l..h by k)} creates the list
+{\tt [l, l+k, ..., lN]} where {\tt lN <= h < lN+k}.
+If {\tt k < 0}, then {\tt lN >= h > lN+k}.
+
+\spadcommand{expand t }
+$$
+\left[
+{10}, 8, 6, 4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+It is also possible to expand a list of segments.  This is equivalent
+to appending lists obtained by expanding each segment individually.
+
+\spadcommand{expand l }
+$$
+\left[
+1, 2, 3, 5, 9, {15}, {14}, {13}, {12}, {11} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+For more information on related topics, see
+\ref{SegmentBindingXmpPage} on page~\pageref{SegmentBindingXmpPage} and 
+\ref{UniversalSegmentXmpPage} on page~\pageref{UniversalSegmentXmpPage}.
+
+\section{SegmentBinding}
+\label{SegmentBindingXmpPage}
+
+The {\tt SegmentBinding} type is used to indicate a range for a named
+symbol.
+
+First give the symbol, then an {\tt =} and finally a segment of values.
+
+\spadcommand{x = a..b}
+$$
+x={a..b} 
+$$
+\returnType{Type: SegmentBinding Symbol}
+
+This is used to provide a convenient syntax for arguments to certain
+operations.
+
+\spadcommand{sum(i**2, i = 0..n)}
+$$
+{{2 \  {n \sp 3}}+{3 \  {n \sp 2}}+n} \over 6 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+\spadcommand{draw(x**2, x = -2..2)}
+
+The left-hand side must be of type {\tt Symbol} but the
+right-hand side can be a segment over any type.
+
+\spadcommand{sb := y = 1/2..3/2 }
+$$
+y={{\left( 1 \over 2 
+\right)}..{\left(
+3 \over 2 
+\right)}}
+$$
+\returnType{Type: SegmentBinding Fraction Integer}
+
+The left- and right-hand sides can be obtained using the
+\spadfunFrom{variable}{SegmentBinding} and
+\spadfunFrom{segment}{SegmentBinding} operations.
+
+\spadcommand{variable(sb) }
+$$
+y 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{segment(sb)  }
+$$
+{\left( 1 \over 2 
+\right)}..{\left(
+3 \over 2 
+\right)}
+$$
+\returnType{Type: Segment Fraction Integer}
+
+For more information on related topics, see
+\ref{SegmentXmpPage} on page~\pageref{SegmentXmpPage} and 
+\ref{UniversalSegmentXmpPage} on page~\pageref{UniversalSegmentXmpPage}.
+
+\section{Set}
+\label{SetXmpPage}
+
+The {\tt Set} domain allows one to represent explicit finite sets of values.
+These are similar to lists, but duplicate elements are not allowed.
+
+Sets can be created by giving a fixed set of values \ldots
+
+\spadcommand{s := set [x**2-1, y**2-1, z**2-1] }
+$$
+\left\{
+{{x \sp 2} -1}, {{y \sp 2} -1}, {{z \sp 2} -1} 
+\right\}
+$$
+\returnType{Type: Set Polynomial Integer}
+
+or by using a collect form, just as for lists.  In either case, the
+set is formed from a finite collection of values.
+
+\spadcommand{t := set [x**i - i+1 for i in 2..10 | prime? i] }
+$$
+\left\{
+{{x \sp 2} -1}, {{x \sp 3} -2}, {{x \sp 5} -4}, {{x \sp 7} -6} 
+\right\}
+$$
+\returnType{Type: Set Polynomial Integer}
+
+The basic operations on sets are \spadfunFrom{intersect}{Set},
+\spadfunFrom{union}{Set}, \spadfunFrom{difference}{Set}, and
+\spadfunFrom{symmetricDifference}{Set}.
+
+\spadcommand{i := intersect(s,t)}
+$$
+\left\{
+{{x \sp 2} -1} 
+\right\}
+$$
+\returnType{Type: Set Polynomial Integer}
+
+\spadcommand{u := union(s,t)}
+$$
+\left\{
+{{x \sp 2} -1}, {{x \sp 3} -2}, {{x \sp 5} -4}, {{x \sp 7} -6}, 
+{{y \sp 2} -1}, {{z \sp 2} -1} 
+\right\}
+$$
+\returnType{Type: Set Polynomial Integer}
+
+The set {\tt difference(s,t)} contains those members of {\tt s} which
+are not in {\tt t}.
+
+\spadcommand{difference(s,t)}
+$$
+\left\{
+{{y \sp 2} -1}, {{z \sp 2} -1} 
+\right\}
+$$
+\returnType{Type: Set Polynomial Integer}
+
+The set {\tt symmetricDifference(s,t)} contains those elements which are
+in {\tt s} or {\tt t} but not in both.
+
+\spadcommand{symmetricDifference(s,t)}
+$$
+\left\{
+{{x \sp 3} -2}, {{x \sp 5} -4}, {{x \sp 7} -6}, {{y \sp 2} -1}, 
+{{z \sp 2} -1} 
+\right\}
+$$
+\returnType{Type: Set Polynomial Integer}
+
+Set membership is tested using the \spadfunFrom{member?}{Set} operation.
+
+\spadcommand{member?(y, s)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{member?((y+1)*(y-1), s)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The \spadfunFrom{subset?}{Set} function determines whether one set is
+a subset of another.
+
+\spadcommand{subset?(i, s)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{subset?(u, s)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+When the base type is finite, the absolute complement of a set is
+defined.  This finds the set of all multiplicative generators of 
+{\tt PrimeField 11}---the integers mod {\tt 11.}
+
+\spadcommand{gs := set [g for i in 1..11 | primitive?(g := i::PF 11)] }
+$$
+\left\{
+2, 6, 7, 8 
+\right\}
+$$
+\returnType{Type: Set PrimeField 11}
+
+The following values are not generators.
+
+\spadcommand{complement gs }
+$$
+\left\{
+1, 3, 4, 5, 9, {10}, 0 
+\right\}
+$$
+\returnType{Type: Set PrimeField 11}
+
+Often the members of a set are computed individually; in addition,
+values can be inserted or removed from a set over the course of a
+computation.
+
+There are two ways to do this:
+
+\spadcommand{a := set [i**2 for i in 1..5] }
+$$
+\left\{
+1, 4, 9, {16}, {25} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+One is to view a set as a data structure and to apply updating operations.
+
+\spadcommand{insert!(32, a) }
+$$
+\left\{
+1, 4, 9, {16}, {25}, {32} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+\spadcommand{remove!(25, a) }
+$$
+\left\{
+1, 4, 9, {16}, {32} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+\spadcommand{a }
+$$
+\left\{
+1, 4, 9, {16}, {32} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+The other way is to view a set as a mathematical entity and to
+create new sets from old.
+
+\spadcommand{b := b0 := set [i**2 for i in 1..5] }
+$$
+\left\{
+1, 4, 9, {16}, {25} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+\spadcommand{b := union(b, {32})}
+$$
+\left\{
+1, 4, 9, {16}, {25}, {32} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+\spadcommand{b := difference(b, {25})}
+$$
+\left\{
+1, 4, 9, {16}, {32} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+\spadcommand{b0 }
+$$
+\left\{
+1, 4, 9, {16}, {25} 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+For more information about lists, see \ref{ListXmpPage} on 
+page~\pageref{ListXmpPage}.
+
+\section{SingleInteger}
+\label{SingleIntegerXmpPage}
+
+The {\tt SingleInteger} domain is intended to provide support in Axiom
+for machine integer arithmetic.  It is generally much faster than
+(bignum) {\tt Integer} arithmetic but suffers from a limited range of
+values.  Since Axiom can be implemented on top of various dialects of
+Lisp, the actual representation of small integers may not correspond
+exactly to the host machines integer representation.
+
+In the CCL implementation of AXIOM (Release 2.1 onwards) the underlying
+representation of {\tt SingleInteger} is the same as {\tt Integer}.  
+The underlying Lisp primitives treat machine-word sized computations
+specially.
+
+You can discover the minimum and maximum values in your implementation
+by using \spadfunFrom{min}{SingleInteger} and \spadfunFrom{max}{SingleInteger}.
+
+\spadcommand{min()\$SingleInteger}
+$$
+-{134217728} 
+$$
+\returnType{Type: SingleInteger}
+
+\spadcommand{max()\$SingleInteger}
+$$
+134217727 
+$$
+\returnType{Type: SingleInteger}
+
+To avoid confusion with {\tt Integer}, which is the default type for
+integers, you usually need to work with declared variables
+(\ref{ugTypesDeclarePage} on page~\pageref{ugTypesDeclarePage} in Section 
+\ref{ugTypesDeclareNumber} on page~\pageref{ugTypesDeclareNumber})
+\ldots
+
+\spadcommand{a := 1234 :: SingleInteger }
+$$
+1234 
+$$
+\returnType{Type: SingleInteger}
+
+or use package calling
+(\ref{ugTypesPkgCallPage} on page~\pageref{ugTypesPkgCallPage} in Section 
+\ref{ugTypesPkgCallNumber} on page~\pageref{ugTypesPkgCallNumber}).
+
+\spadcommand{b := 124\$SingleInteger }
+$$
+124 
+$$
+\returnType{Type: SingleInteger}
+
+You can add, multiply and subtract {\tt SingleInteger} objects,
+and ask for the greatest common divisor ({\tt gcd}).
+
+\spadcommand{gcd(a,b) }
+$$
+2 
+$$
+\returnType{Type: SingleInteger}
+
+The least common multiple ({\tt lcm}) is also available.
+
+\spadcommand{lcm(a,b) }
+$$
+76508 
+$$
+\returnType{Type: SingleInteger}
+
+Operations \spadfunFrom{mulmod}{SingleInteger},
+\spadfunFrom{addmod}{SingleInteger},
+\spadfunFrom{submod}{SingleInteger}, and
+\spadfunFrom{invmod}{SingleInteger} are similar---they provide
+arithmetic modulo a given small integer.
+Here is $5 * 6 {\tt mod} 13$.
+
+\spadcommand{mulmod(5,6,13)\$SingleInteger}
+$$
+4 
+$$
+\returnType{Type: SingleInteger}
+
+To reduce a small integer modulo a prime, use
+\spadfunFrom{positiveRemainder}{SingleInteger}.
+
+\spadcommand{positiveRemainder(37,13)\$SingleInteger}
+$$
+11 
+$$
+\returnType{Type: SingleInteger}
+
+Operations
+\spadfunFrom{And}{SingleInteger},
+\spadfunFrom{Or}{SingleInteger},
+\spadfunFrom{xor}{SingleInteger},
+and \spadfunFrom{Not}{SingleInteger}
+provide bit level operations on small integers.
+
+\spadcommand{And(3,4)\$SingleInteger}
+$$
+0 
+$$
+\returnType{Type: SingleInteger}
+
+Use {\tt shift(int,numToShift)} to shift bits, where {\tt i} is
+shifted left if {\tt numToShift} is positive, right if negative.
+
+\spadcommand{shift(1,4)\$SingleInteger}
+$$
+16 
+$$
+\returnType{Type: SingleInteger}
+
+\spadcommand{shift(31,-1)\$SingleInteger}
+$$
+15 
+$$
+\returnType{Type: SingleInteger}
+
+Many other operations are available for small integers, including many
+of those provided for {\tt Integer}.  To see the other operations, use
+the Browse HyperDoc facility (\ref{ugBrowsePage} on 
+page~\pageref{ugBrowsePage} in Section
+\ref{ugBrowseNumber} on page~\pageref{ugBrowseNumber}).
+
+\section{SparseTable}
+\label{SparseTableXmpPage}
+
+The {\tt SparseTable} domain provides a general purpose table type
+with default entries.
+
+Here we create a table to save strings under integer keys.  The value
+{\tt "Try again!"} is returned if no other value has been stored for a
+key.
+
+\spadcommand{t: SparseTable(Integer, String, "Try again!") := table() }
+$$
+table() 
+$$
+\returnType{Type: SparseTable(Integer,String,Try again!)}
+
+Entries can be stored in the table.
+
+\spadcommand{t.3 := "Number three" }
+$$
+\mbox{\tt "Number three"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{t.4 := "Number four" }
+$$
+\mbox{\tt "Number four"} 
+$$
+\returnType{Type: String}
+
+These values can be retrieved as usual, but if a look up fails the
+default entry will be returned.
+
+\spadcommand{t.3 }
+$$
+\mbox{\tt "Number three"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{t.2 }
+$$
+\mbox{\tt "Try again!"} 
+$$
+\returnType{Type: String}
+
+To see which values are explicitly stored, the
+\spadfunFrom{keys}{SparseTable} and \spadfunFrom{entries}{SparseTable}
+functions can be used.
+
+\spadcommand{keys t }
+$$
+\left[
+4, 3 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{entries t }
+$$
+\left[
+\mbox{\tt "Number four"} , \mbox{\tt "Number three"} 
+\right]
+$$
+\returnType{Type: List String}
+
+If a specific table representation is required, the 
+{\tt GeneralSparseTable} constructor should be used.  The domain 
+{\tt SparseTable(K, E, dflt)} is equivalent to 
+{\tt GeneralSparseTable(K,E,Table(K,E), dflt)}.  
+For more information, see 
+\ref{TableXmpPage} on page~\pageref{TableXmpPage} and 
+\ref{GeneralSparseTableXmpPage} on page~\pageref{GeneralSparseTableXmpPage}.
+
+\section{SquareMatrix}
+\label{SquareMatrixXmpPage}
+ 
+The top level matrix type in Axiom is {\tt Matrix} (see
+\ref{MatrixXmpPage} on page~\pageref{MatrixXmpPage}), which provides
+basic arithmetic and linear algebra functions.  However, since the
+matrices can be of any size it is not true that any pair can be added
+or multiplied.  Thus {\tt Matrix} has little algebraic structure.
+ 
+Sometimes you want to use matrices as coefficients for polynomials
+or in other algebraic contexts.  In this case, {\tt SquareMatrix}
+should be used.  The domain {\tt SquareMatrix(n,R)} gives the ring of
+{\tt n} by {\tt n} square matrices over {\tt R}.
+ 
+Since {\tt SquareMatrix} is not normally exposed at the top level,
+you must expose it before it can be used.
+
+\spadcommand{)set expose add constructor SquareMatrix }
+\begin{verbatim}
+   SquareMatrix is now explicitly exposed in frame G82322 
+\end{verbatim}
+
+Once {\tt SQMATRIX} has been exposed, values can be created using the
+\spadfunFrom{squareMatrix}{SquareMatrix} function.
+
+\spadcommand{m := squareMatrix [ [1,-\%i],[\%i,4] ] }
+$$
+\left[
+\begin{array}{cc}
+1 & -i \\ 
+i & 4 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Complex Integer)}
+
+The usual arithmetic operations are available.
+
+\spadcommand{m*m - m }
+$$
+\left[
+\begin{array}{cc}
+1 & -{4 \  i} \\ 
+{4 \  i} & {13} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Complex Integer)}
+
+Square matrices can be used where ring elements are required.
+For example, here is a matrix with matrix entries.
+
+\spadcommand{mm := squareMatrix [ [m, 1], [1-m, m**2] ] }
+$$
+\left[
+\begin{array}{cc}
+{\left[ 
+\begin{array}{cc}
+1 & -i \\ 
+i & 4 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+1 & 0 \\ 
+0 & 1 
+\end{array}
+\right]}
+\\ 
+{\left[ 
+\begin{array}{cc}
+0 & i \\ 
+-i & -3 
+\end{array}
+\right]}
+& {\left[ 
+\begin{array}{cc}
+2 & -{5 \  i} \\ 
+{5 \  i} & {17} 
+\end{array}
+\right]}
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,SquareMatrix(2,Complex Integer))}
+
+Or you can construct a polynomial with  square matrix coefficients.
+
+\spadcommand{p := (x + m)**2 }
+$$
+{x \sp 2}+{{\left[ 
+\begin{array}{cc}
+2 & -{2 \  i} \\ 
+{2 \  i} & 8 
+\end{array}
+\right]}
+\  x}+{\left[ 
+\begin{array}{cc}
+2 & -{5 \  i} \\ 
+{5 \  i} & {17} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Polynomial SquareMatrix(2,Complex Integer)}
+
+This value can be converted to a square matrix with polynomial coefficients.
+
+\spadcommand{p::SquareMatrix(2, ?) }
+$$
+\left[
+\begin{array}{cc}
+{{x \sp 2}+{2 \  x}+2} & {-{2 \  i \  x} -{5 \  i}} \\ 
+{{2 \  i \  x}+{5 \  i}} & {{x \sp 2}+{8 \  x}+{17}} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Polynomial Complex Integer)}
+ 
+For more information on related topics, see
+\ref{ugTypesWritingModesPage} on
+page~\pageref{ugTypesWritingModesPage} in Section
+\ref{ugTypesWritingModesNumber} on
+page~\pageref{ugTypesWritingModesNumber}, \ref{ugTypesExposePage} on
+page~\pageref{ugTypesExposePage} in Section \ref{ugTypesExposeNumber}
+on page~\pageref{ugTypesExposeNumber}, and \ref{MatrixXmpPage} on
+page~\pageref{MatrixXmpPage}.
+
+\section{SquareFreeRegularTriangularSet}
+\label{SquareFreeRegularTriangularSetXmpPage}
+
+The {\tt SquareFreeRegularTriangularSet} domain constructor implements
+square-free regular triangular sets.  See the 
+{\tt RegularTriangularSet} domain constructor for general regular
+triangular sets.  Let {\em T} be a regular triangular set consisting
+of polynomials {\em t1, ..., tm} ordered by increasing main variables.
+The regular triangular set {\em T} is square-free if {\em T} is empty
+or if {\em t1, ..., tm-1} is square-free and if the polynomial 
+{\em tm} is square-free as a univariate polynomial with coefficients in the
+tower of simple extensions associated with {\em t1, ..., tm-1}.
+
+The main interest of square-free regular triangular sets is that their
+associated towers of simple extensions are product of fields.
+Consequently, the saturated ideal of a square-free regular triangular
+set is radical.  This property simplifies some of the operations
+related to regular triangular sets.  However, building square-free
+regular triangular sets is generally more expensive than building
+general regular triangular sets.
+
+As the {\tt RegularTriangularSet} domain constructor, the 
+{\tt SquareFreeRegularTriangularSet} domain constructor also implements a
+method for solving polynomial systems by means of regular triangular
+sets.  This is in fact the same method with some adaptations to take
+into account the fact that the computed regular chains are
+square-free.  Note that it is also possible to pass from a
+decomposition into general regular triangular sets to a decomposition
+into square-free regular triangular sets.  This conversion is used
+internally by the {\tt LazardSetSolvingPackage} package constructor.
+
+{\bf N.B.} When solving polynomial systems with the 
+{\tt SquareFreeRegularTriangularSet} domain constructor or the 
+{\tt LazardSetSolvingPackage} package constructor, decompositions have no
+redundant components.  See also {\tt LexTriangularPackage} and 
+{\tt ZeroDimensionalSolvePackage} for the case of algebraic systems with a
+finite number of (complex) solutions.
+
+We shall explain now how to use the constructor 
+{\tt SquareFreeRegularTriangularSet}.
+
+This constructor takes four arguments.
+The first one, {\bf R}, is the coefficient ring of the polynomials;
+it must belong to the category {\tt GcdDomain}.
+The second one, {\bf E}, is the exponent monoid of the polynomials;
+it must belong to the category {\tt OrderedAbelianMonoidSup}.
+the third one, {\bf V}, is the ordered set of variables;
+it must belong to the category {\tt OrderedSet}.
+The last one is the polynomial ring;
+it must belong to the category {\tt RecursivePolynomialCategory(R,E,V)}.
+The abbreviation for {\tt SquareFreeRegularTriangularSet} is
+{\tt SREGSET}.
+
+Note that the way of understanding triangular decompositions 
+is detailed in the example of the {\tt RegularTriangularSet}
+constructor.
+
+Let us illustrate the use of this constructor with one example
+(Donati-Traverso).  Define the coefficient ring.
+
+\spadcommand{R := Integer }
+$$
+Integer 
+$$
+\returnType{Type: Domain}
+
+Define the list of variables,
+
+\spadcommand{ls : List Symbol := [x,y,z,t] }
+$$
+\left[
+x, y, z, t 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+and make it an ordered set;
+
+\spadcommand{V := OVAR(ls)  }
+$$
+\mbox{\rm OrderedVariableList [x,y,z,t]} 
+$$
+\returnType{Type: Domain}
+
+then define the exponent monoid.
+
+\spadcommand{E := IndexedExponents V  }
+$$
+\mbox{\rm IndexedExponents OrderedVariableList [x,y,z,t]} 
+$$
+\returnType{Type: Domain}
+
+Define the polynomial ring.
+
+\spadcommand{P := NSMP(R, V)}
+$$
+\mbox{\rm NewSparseMultivariatePolynomial(Integer,OrderedVariableList 
+[x,y,z,t])} 
+$$
+\returnType{Type: Domain}
+
+Let the variables be polynomial.
+
+\spadcommand{x: P := 'x  }
+$$
+x 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{y: P := 'y  }
+$$
+y 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{z: P := 'z  }
+$$
+z 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{t: P := 't  }
+$$
+t 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+Now call the {\tt SquareFreeRegularTriangularSet} domain constructor.
+
+\spadcommand{ST := SREGSET(R,E,V,P)}
+$$
+\begin{array}{@{}l}
+{\rm SquareFreeRegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t]))} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+Define a polynomial system.
+
+\spadcommand{p1 := x ** 31 - x ** 6 - x - y}
+$$
+{x \sp {31}} -{x \sp 6} -x -y 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{p2 := x ** 8  - z}
+$$
+{x \sp 8} -z 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{p3 := x ** 10 - t}
+$$
+{x \sp {10}} -t 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{lp := [p1, p2, p3]}
+$$
+\left[
+{{x \sp {31}} -{x \sp 6} -x -y}, {{x \sp 8} -z}, {{x \sp {10}} -t} 
+\right]
+$$
+\returnType{Type: 
+List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+First of all, let us solve this system in the sense of Kalkbrener.
+
+\spadcommand{zeroSetSplit(lp)\$ST}
+$$
+\left[
+{\left\{ {{z \sp 5} -{t \sp 4}}, {{t \  z \  {y \sp 2}}+{2 \  {z \sp 3} \  
+y} -{t \sp 8}+{2 \  {t \sp 5}}+{t \sp 3} -{t \sp 2}}, {{{\left( {t \sp 4} 
+-t 
+\right)}
+\  x} -{t \  y} -{z \sp 2}} 
+\right\}}
+\right]
+$$
+\returnType{Type: 
+List SquareFreeRegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+And now in the sense of Lazard (or Wu and other authors).
+
+\spadcommand{zeroSetSplit(lp,false)\$ST}
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ 
+{{z \sp 5} -{t \sp 4}}, 
+{{t \  z \  {y \sp 2}}+
+{2 \  {z \sp 3} \  y} -
+{t \sp 8}+
+{2 \  {t \sp 5}}+
+{t \sp 3} -
+{t \sp 2}}, 
+{{{\left( {t \sp 4} -t \right)}\  x} -{t \  y} -{z \sp 2}} \right\}},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left\{ {{t \sp 3} -1}, {{z \sp 5} -t}, {{t \  y}+{z \sp 2}}, 
+{{z \  {x \sp 2}} -t} \right\}},
+{\left\{ t, z, y, x \right\}}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List SquareFreeRegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+Now to see the difference with the {\tt RegularTriangularSet} domain
+constructor, we define:
+
+\spadcommand{T := REGSET(R,E,V,P)}
+$$
+\begin{array}{@{}l}
+{\rm RegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm IndexedExponents OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm OrderedVariableList [x,y,z,t]))} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+and compute:
+
+\spadcommand{lts := zeroSetSplit(lp,false)\$T}
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ {{z \sp 5} -{t \sp 4}}, 
+{{t \  z \  {y \sp 2}}+
+{2 \  {z \sp 3} \  y} -
+{t \sp 8}+
+{2 \  {t \sp 5}}+
+{t \sp 3} -
+{t \sp 2}}, 
+{{{\left( {t \sp 4} -t \right)}\  x} -{t \  y} -{z \sp 2}} \right\}},
+\right.
+\\
+\\
+\displaystyle
+\left.
+{\left\{ {{t \sp 3} -1}, {{z \sp 5} -t}, 
+{{t \  z \  {y \sp 2}}+{2 \  {z \sp 3} \  y}+1}, 
+{{z \  {x \sp 2}} -t} \right\}},
+{\left\{ t, z, y, x \right\}}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+If you look at the second set in both decompositions in the sense of Lazard,
+you will see that the polynomial with main variable {\bf y} is not the same.
+
+Let us understand what has happened.
+
+We define:
+
+\spadcommand{ts := lts.2}
+$$
+\left\{
+{{t \sp 3} -1}, {{z \sp 5} -t}, {{t \  z \  {y \sp 2}}+{2 \  {z \sp 3} 
+\  y}+1}, {{z \  {x \sp 2}} -t} 
+\right\}
+$$
+\returnType{Type: 
+RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+\spadcommand{pol := select(ts,'y)\$T}
+$$
+{t \  z \  {y \sp 2}}+{2 \  {z \sp 3} \  y}+1 
+$$
+\returnType{Type: 
+Union(
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]),...)}
+
+\spadcommand{tower := collectUnder(ts,'y)\$T}
+$$
+\left\{
+{{t \sp 3} -1}, {{z \sp 5} -t} 
+\right\}
+$$
+\returnType{Type: 
+RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+\spadcommand{pack := RegularTriangularSetGcdPackage(R,E,V,P,T)}
+$$
+\begin{array}{@{}l}
+{\rm RegularTriangularSetGcdPackage(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t]),}
+\\
+\displaystyle
+{\rm \ \ RegularTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t])))} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+Then we compute:
+
+\spadcommand{toseSquareFreePart(pol,tower)\$pack}
+$$
+\left[
+{\left[ 
+{val={{t \  y}+{z \sp 2}}}, 
+{tower={\left\{ {{t \sp 3} -1}, {{z \sp 5} -t} \right\}}}
+\right]}
+\right]
+$$
+\returnType{Type: 
+List Record(val: 
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]),
+tower: RegularTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t])))}
+
+\section{Stream}
+\label{StreamXmpPage}
+
+A {\tt Stream} object is represented as a list whose last element
+contains the wherewithal to create the next element, should it ever be
+required.
+
+Let {\tt ints} be the infinite stream of non-negative integers.
+
+\spadcommand{ints := [i for i in 0..] }
+$$
+\left[
+0, 1, 2, 3, 4, 5, 6, 7, 8, 9, \ldots 
+\right]
+$$
+\returnType{Type: Stream NonNegativeInteger}
+
+By default, ten stream elements are calculated.  This number may be
+changed to something else by the system command {\tt )set streams
+calculate}.  For the display purposes of this book, we have chosen a
+smaller value.
+
+More generally, you can construct a stream by specifying its initial
+value and a function which, when given an element, creates the next element.
+
+\spadcommand{f : List INT -> List INT }
+\returnType{Void}
+
+\spadcommand{f x == [x.1 + x.2, x.1] }
+\returnType{Void}
+
+\spadcommand{fibs := [i.2 for i in [generate(f,[1,1])]] }
+\begin{verbatim}
+   Compiling function f with type List Integer -> List Integer 
+\end{verbatim}
+$$
+\left[
+1, 1, 2, 3, 5, 8, {13}, {21}, {34}, {55}, 
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+You can create the stream of odd non-negative integers by either filtering
+them from the integers, or by evaluating an expression for each integer.
+
+\spadcommand{[i for i in ints | odd? i] }
+$$
+\left[
+1, 3, 5, 7, 9, {11}, {13}, {15}, {17}, {19}, 
+\ldots 
+\right]
+$$
+\returnType{Type: Stream NonNegativeInteger}
+
+\spadcommand{odds := [2*i+1 for i in ints]}
+$$
+\left[
+1, 3, 5, 7, 9, {11}, {13}, {15}, {17}, {19}, 
+\ldots 
+\right]
+$$
+\returnType{Type: Stream NonNegativeInteger}
+
+You can accumulate the initial segments of a stream using the
+\spadfunFrom{scan}{StreamFunctions2} operation.
+
+\spadcommand{scan(0,+,odds) }
+$$
+\left[
+1, 4, 9, {16}, {25}, {36}, {49}, {64}, {81}, 
+{100}, \ldots 
+\right]
+$$
+\returnType{Type: Stream NonNegativeInteger}
+
+The corresponding elements of two or more streams can be combined in
+this way.
+
+\spadcommand{[i*j for i in ints for j in odds] }
+$$
+\left[
+0, 3, {10}, {21}, {36}, {55}, {78}, {105}, {136}, 
+{171}, \ldots 
+\right]
+$$
+\returnType{Type: Stream NonNegativeInteger}
+
+\spadcommand{map(*,ints,odds)}
+$$
+\left[
+0, 3, {10}, {21}, {36}, {55}, {78}, {105}, {136}, 
+{171}, \ldots 
+\right]
+$$
+\returnType{Type: Stream NonNegativeInteger}
+
+Many operations similar to those applicable to lists are available for
+streams.
+
+\spadcommand{first ints }
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+\spadcommand{rest ints }
+$$
+\left[
+1, 2, 3, 4, 5, 6, 7, 8, 9, {10}, \ldots 
+\right]
+$$
+\returnType{Type: Stream NonNegativeInteger}
+
+\spadcommand{fibs 20 }
+$$
+6765 
+$$
+\returnType{Type: PositiveInteger}
+
+The packages {\tt StreamFunctions1}, {\tt StreamFunctions2} and 
+{\tt StreamFunctions3} export some useful stream manipulation operations.
+For more information, see \ref{ugLangItsPage} on
+page~\pageref{ugLangItsPage} in Section \ref{ugLangItsNumber} on
+page~\pageref{ugLangItsNumber}, \ref{ugProblemSeriesPage} on
+page~\pageref{ugProblemSeriesPage} in Section
+\ref{ugProblemSeriesNumber} on page~\pageref{ugProblemSeriesNumber},
+\ref{ContinuedFractionXmpPage} on
+page~\pageref{ContinuedFractionXmpPage}, and \ref{ListXmpPage} on
+page~\pageref{ListXmpPage}.
+
+\section{String}
+\label{StringXmpPage}
+
+The type {\tt String} provides character strings.  Character strings
+provide all the operations for a one-dimensional array of characters,
+plus additional operations for manipulating text.  For more
+information on related topics, see 
+\ref{CharacterXmpPage} on page~\pageref{CharacterXmpPage} and
+\ref{CharacterClassXmpPage} on page~\pageref{CharacterClassXmpPage}.  
+You can also issue the system command
+{\tt )show String} to display the full list of operations defined
+by {\tt String}.
+
+String values can be created using double quotes.
+
+\spadcommand{hello := "Hello, I'm AXIOM!" }
+$$
+\mbox{\tt "Hello, I'm AXIOM!"} 
+$$
+\returnType{Type: String}
+
+Note, however, that double quotes and underscores must be preceded by
+an extra underscore.
+
+\spadcommand{said  := "Jane said, \_"Look!\_"" }
+$$
+\mbox{\tt "Jane said, "Look!""} 
+$$
+\returnType{Type: String}
+
+\spadcommand{saw   := "She saw exactly one underscore: \_\_." }
+$$
+\mbox{\tt "She saw exactly one underscore: \_."} 
+$$
+\returnType{Type: String}
+
+It is also possible to use \spadfunFrom{new}{String} to create a
+string of any size filled with a given character.  Since there are
+many {\tt new} functions it is necessary to indicate the desired type.
+
+\spadcommand{gasp: String := new(32, char "x") }
+$$
+\mbox{\tt "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"} 
+$$
+\returnType{Type: String}
+
+The length of a string is given by \spadopFrom{\#}{List}.
+
+\spadcommand{\#gasp }
+$$
+32 
+$$
+\returnType{Type: PositiveInteger}
+
+Indexing operations allow characters to be extracted or replaced in strings.
+For any string {\tt s}, indices lie in the range {\tt 1..\#s}.
+
+\spadcommand{hello.2 }
+$$
+e 
+$$
+\returnType{Type: Character}
+
+Indexing is really just the application of a string to a subscript,
+so any application syntax works.
+
+\spadcommand{hello 2  }
+$$
+e 
+$$
+\returnType{Type: Character}
+
+\spadcommand{hello(2) }
+$$
+e 
+$$
+\returnType{Type: Character}
+
+If it is important not to modify a given string, it should be copied
+before any updating operations are used.
+
+\spadcommand{hullo := copy hello }
+$$
+\mbox{\tt "Hello, I'm AXIOM!"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{hullo.2 := char "u"; [hello, hullo] }
+$$
+\left[
+\mbox{\tt "Hello, I'm AXIOM!"} , \mbox{\tt "Hullo, I'm AXIOM!"} 
+\right]
+$$
+\returnType{Type: List String}
+
+Operations are provided to split and join strings.  The
+\spadfunFrom{concat}{String} operation allows several strings to be
+joined together.
+
+\spadcommand{saidsaw := concat ["alpha","---","omega"] }
+$$
+\mbox{\tt "alpha---omega"} 
+$$
+\returnType{Type: String}
+
+There is a version of \spadfunFrom{concat}{String} that works with
+two strings.
+
+\spadcommand{concat("hello ","goodbye")}
+$$
+\mbox{\tt "hello goodbye"} 
+$$
+\returnType{Type: String}
+
+Juxtaposition can also be used to concatenate strings.
+
+\spadcommand{"This " "is " "several " "strings " "concatenated."}
+$$
+\mbox{\tt "This is several strings concatenated."} 
+$$
+\returnType{Type: String}
+
+Substrings are obtained by giving an index range.
+
+\spadcommand{hello(1..5) }
+$$
+\mbox{\tt "Hello"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{hello(8..) }
+$$
+\mbox{\tt "I'm AXIOM!"} 
+$$
+\returnType{Type: String}
+
+A string can be split into several substrings by giving a separation
+character or character class.
+
+\spadcommand{split(hello, char " ")}
+$$
+\left[
+\mbox{\tt "Hello,"} , \mbox{\tt "I'm"} , \mbox{\tt "AXIOM!"} 
+\right]
+$$
+\returnType{Type: List String}
+
+\spadcommand{other := complement alphanumeric(); }
+\returnType{Type: CharacterClass}
+
+\spadcommand{split(saidsaw, other)}
+$$
+\left[
+\mbox{\tt "alpha"} , \mbox{\tt "omega"} 
+\right]
+$$
+\returnType{Type: List String}
+
+Unwanted characters can be trimmed from the beginning or end of a string
+using the operations \spadfunFrom{trim}{String}, \spadfunFrom{leftTrim}{String}
+and \spadfunFrom{rightTrim}{String}.
+
+\spadcommand{trim("\#\# ++ relax ++ \#\#", char "\#")}
+$$
+\mbox{\tt " ++ relax ++ "} 
+$$
+\returnType{Type: String}
+
+Each of these functions takes a string and a second argument to specify
+the characters to be discarded.
+
+\spadcommand{trim("\#\# ++ relax ++ \#\#", other) }
+$$
+\mbox{\tt "relax"} 
+$$
+\returnType{Type: String}
+
+The second argument can be given either as a single character or as a
+character class.
+
+\spadcommand{leftTrim ("\#\# ++ relax ++ \#\#", other) }
+$$
+\mbox{\tt "relax ++ \#\#"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{rightTrim("\#\# ++ relax ++ \#\#", other) }
+$$
+\mbox{\tt "\#\# ++ relax"} 
+$$
+\returnType{Type: String}
+
+Strings can be changed to upper case or lower case using the
+operations \spadfunFrom{upperCase}{String}, and
+\spadfunFrom{lowerCase}{String}.
+
+\spadcommand{upperCase hello }
+$$
+\mbox{\tt "HELLO, I'M AXIOM!"} 
+$$
+\returnType{Type: String}
+
+The versions with the exclamation mark change the original string,
+while the others produce a copy.
+
+\spadcommand{lowerCase hello }
+$$
+\mbox{\tt "hello, i'm axiom!"} 
+$$
+\returnType{Type: String}
+
+Some basic string matching is provided.  The function
+\spadfunFrom{prefix?}{String} tests whether one string is an initial
+prefix of another.
+
+\spadcommand{prefix?("He", "Hello")}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{prefix?("Her", "Hello")}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+A similar function, \spadfunFrom{suffix?}{String}, tests for suffixes.
+
+\spadcommand{suffix?("", "Hello")}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{suffix?("LO", "Hello")}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+The function \spadfunFrom{substring?}{String} tests for a substring
+given a starting position.
+
+\spadcommand{substring?("ll", "Hello", 3)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{substring?("ll", "Hello", 4)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+A number of \spadfunFrom{position}{String} functions locate things in strings.
+If the first argument to position is a string, then {\tt position(s,t,i)}
+finds the location of {\tt s} as a substring of {\tt t} starting the
+search at position {\tt i}.
+
+\spadcommand{n := position("nd", "underground",   1) }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{n := position("nd", "underground", n+1)  }
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+If {\tt s} is not found, then {\tt 0} is returned ({\tt minIndex(s)-1}
+in {\tt IndexedString}).
+
+\spadcommand{n := position("nd", "underground", n+1) }
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+To search for a specific character or a member of a character class,
+a different first argument is used.
+
+\spadcommand{position(char "d", "underground", 1)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{position(hexDigit(), "underground", 1)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\section{StringTable}
+\label{StringTableXmpPage}
+
+This domain provides a table type in which the keys are known to be
+strings so special techniques can be used.  Other than performance,
+the type {\tt StringTable(S)} should behave exactly the same way as
+{\tt Table(String,S)}.  See \ref{TableXmpPage} on page~\pageref{TableXmpPage}
+for general information about tables.
+
+This creates a new table whose keys are strings.
+
+\spadcommand{t: StringTable(Integer) := table()  }
+$$
+table() 
+$$
+\returnType{Type: StringTable Integer}
+
+The value associated with each string key is the number of characters
+in the string.
+
+\begin{verbatim}
+for s in split("My name is Ian Watt.",char " ")
+  repeat
+    t.s := #s
+\end{verbatim}
+\returnType{Void}
+
+\spadcommand{for key in keys t repeat output [key, t.key] }
+\begin{verbatim}
+   ["Ian",3]
+   ["My",2]
+   ["Watt.",5]
+   ["name",4]
+   ["is",2]
+\end{verbatim}
+\returnType{Void}
+
+\section{Symbol}
+\label{SymbolXmpPage}
+ 
+Symbols are one of the basic types manipulated by Axiom.  The 
+{\tt Symbol} domain provides ways to create symbols of many varieties.
+
+The simplest way to create a symbol is to ``single quote'' an identifier.
+
+\spadcommand{X: Symbol := 'x }
+$$
+x 
+$$
+\returnType{Type: Symbol}
+
+This gives the symbol even if {\tt x} has been assigned a value.  If
+{\tt x} has not been assigned a value, then it is possible to omit the
+quote.
+
+\spadcommand{XX: Symbol := x}
+$$
+x 
+$$
+\returnType{Type: Symbol}
+
+Declarations must be used when working with symbols, because otherwise
+the interpreter tries to place values in a more specialized type 
+{\tt Variable}.
+
+\spadcommand{A := 'a}
+$$
+a 
+$$
+\returnType{Type: Variable a}
+
+\spadcommand{B := b}
+$$
+b 
+$$
+\returnType{Type: Variable b}
+
+The normal way of entering polynomials uses this fact.
+
+\spadcommand{x**2 + 1}
+$$
+{x \sp 2}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+Another convenient way to create symbols is to convert a string.
+This is useful when the name is to be constructed by a program.
+
+\spadcommand{"Hello"::Symbol}
+$$
+Hello 
+$$
+\returnType{Type: Symbol}
+
+Sometimes it is necessary to generate new unique symbols, for example,
+to name constants of integration.  The expression {\tt new()}
+generates a symbol starting with {\tt \%}.
+
+\spadcommand{new()\$Symbol}
+$$
+ \%A 
+$$
+\returnType{Type: Symbol}
+
+Successive calls to \spadfunFrom{new}{Symbol} produce different symbols.
+
+\spadcommand{new()\$Symbol}
+$$
+ \%B 
+$$
+\returnType{Type: Symbol}
+
+The expression {\tt new("s")} produces a symbol starting with {\tt \%s}.
+
+\spadcommand{new("xyz")\$Symbol}
+$$
+ \%xyz0 
+$$
+\returnType{Type: Symbol}
+
+A symbol can be adorned in various ways.  The most basic thing is
+applying a symbol to a list of subscripts.
+
+\spadcommand{X[i,j] }
+$$
+x \sb {i, j} 
+$$
+\returnType{Type: Symbol}
+
+Somewhat less pretty is to attach subscripts, superscripts or arguments.
+
+\spadcommand{U := subscript(u, [1,2,1,2]) }
+$$
+u \sb {1, 2, 1, 2} 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{V := superscript(v, [n]) }
+$$
+v \sp {n} 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{P := argscript(p, [t]) }
+$$
+{p \sb {}} 
+\left(
+{t} 
+\right)
+$$
+\returnType{Type: Symbol}
+
+It is possible to test whether a symbol has scripts using the
+\spadfunFrom{scripted?}{Symbol} test.
+
+\spadcommand{scripted? U }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{scripted? X }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+If a symbol is not scripted, then it may be converted to a string.
+
+\spadcommand{string X }
+$$
+\mbox{\tt "x"} 
+$$
+\returnType{Type: String}
+
+The basic parts can always be extracted using the
+\spadfunFrom{name}{Symbol} and \spadfunFrom{scripts}{Symbol}
+operations.
+
+\spadcommand{name U }
+$$
+u 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{scripts U }
+$$
+\left[
+{sub={\left[ 1, 2, 1, 2 
+\right]}},
+{sup={\left[ 
+\right]}},
+{presup={\left[ 
+\right]}},
+{presub={\left[ 
+\right]}},
+{args={\left[ 
+\right]}}
+\right]
+$$
+\returnType{Type: 
+Record(
+sub: List OutputForm,
+sup: List OutputForm,
+presup: List OutputForm,
+presub: List OutputForm,
+args: List OutputForm)}
+
+\spadcommand{name X }
+$$
+x 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{scripts X }
+$$
+\left[
+{sub={\left[ 
+\right]}},
+{sup={\left[ 
+\right]}},
+{presup={\left[ 
+\right]}},
+{presub={\left[ 
+\right]}},
+{args={\left[ 
+\right]}}
+\right]
+$$
+\returnType{Type: 
+Record(
+sub: List OutputForm,
+sup: List OutputForm,
+presup: List OutputForm,
+presub: List OutputForm,
+args: List OutputForm)}
+
+The most general form is obtained using the
+\spadfunFrom{script}{Symbol} operation.  This operation takes an
+argument which is a list containing, in this order, lists of
+subscripts, superscripts, presuperscripts, presubscripts and arguments
+to a symbol.
+
+\spadcommand{M := script(Mammoth, [ [i,j],[k,l],[0,1],[2],[u,v,w] ]) }
+$$
+{{} \sb {2} \sp {{0, 1}}Mammoth \sb {{i, j}} \sp {{k, l}}} 
+\left(
+{u, v, w} 
+\right)
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{scripts M }
+$$
+\left[
+{sub={\left[ i, j 
+\right]}},
+{sup={\left[ k, l 
+\right]}},
+{presup={\left[ 0, 1 
+\right]}},
+{presub={\left[ 2 
+\right]}},
+{args={\left[ u, v, w 
+\right]}}
+\right]
+$$
+\returnType{Type: 
+Record(
+sub: List OutputForm,
+sup: List OutputForm,
+presup: List OutputForm,
+presub: List OutputForm,
+args: List OutputForm)}
+
+If trailing lists of scripts are omitted, they are assumed to be empty.
+
+\spadcommand{N := script(Nut, [ [i,j],[k,l],[0,1] ]) }
+$$
+{} \sp {{0, 1}}Nut \sb {{i, j}} \sp {{k, l}} 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{scripts N }
+$$
+\left[
+{sub={\left[ i, j 
+\right]}},
+{sup={\left[ k, l 
+\right]}},
+{presup={\left[ 0, 1 
+\right]}},
+{presub={\left[ 
+\right]}},
+{args={\left[ 
+\right]}}
+\right]
+$$
+\returnType{Type: 
+Record(
+sub: List OutputForm,
+sup: List OutputForm,
+presup: List OutputForm,
+presub: List OutputForm,
+args: List OutputForm)}
+
+\section{Table}
+\label{TableXmpPage}
+
+The {\tt Table} constructor provides a general structure for
+associative storage.  This type provides hash tables in which data
+objects can be saved according to keys of any type.  For a given
+table, specific types must be chosen for the keys and entries.
+
+In this example the keys to the table are polynomials with integer
+coefficients.  The entries in the table are strings.
+
+\spadcommand{t: Table(Polynomial Integer, String) := table() }
+$$
+table() 
+$$
+\returnType{Type: Table(Polynomial Integer,String)}
+
+To save an entry in the table, the \spadfunFrom{setelt}{Table}
+operation is used.  This can be called directly, giving the table a
+key and an entry.
+
+\spadcommand{setelt(t, x**2 - 1, "Easy to factor") }
+$$
+\mbox{\tt "Easy to factor"} 
+$$
+\returnType{Type: String}
+
+Alternatively, you can use assignment syntax.
+
+\spadcommand{t(x**3 + 1) := "Harder to factor" }
+$$
+\mbox{\tt "Harder to factor"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{t(x) := "The easiest to factor" }
+$$
+\mbox{\tt "The easiest to factor"} 
+$$
+\returnType{Type: String}
+
+Entries are retrieved from the table by calling the
+\spadfunFrom{elt}{Table} operation.
+
+\spadcommand{elt(t, x) }
+$$
+\mbox{\tt "The easiest to factor"} 
+$$
+\returnType{Type: String}
+
+This operation is called when a table is ``applied'' to a key using
+this or the following syntax.
+
+\spadcommand{t.x }
+$$
+\mbox{\tt "The easiest to factor"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{t x }
+$$
+\mbox{\tt "The easiest to factor"} 
+$$
+\returnType{Type: String}
+
+Parentheses are used only for grouping.  They are needed if the key is
+an infixed expression.
+
+\spadcommand{t.(x**2 - 1) }
+$$
+\mbox{\tt "Easy to factor"} 
+$$
+\returnType{Type: String}
+
+Note that the \spadfunFrom{elt}{Table} operation is used only when the
+key is known to be in the table---otherwise an error is generated.
+
+\spadcommand{t (x**3 + 1) }
+$$
+\mbox{\tt "Harder to factor"} 
+$$
+\returnType{Type: String}
+
+You can get a list of all the keys to a table using the
+\spadfunFrom{keys}{Table} operation.
+
+\spadcommand{keys t }
+$$
+\left[
+x, {{x \sp 3}+1}, {{x \sp 2} -1} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+If you wish to test whether a key is in a table, the
+\spadfunFrom{search}{Table} operation is used.  This operation returns
+either an entry or {\tt "failed"}.
+
+\spadcommand{search(x, t) }
+$$
+\mbox{\tt "The easiest to factor"} 
+$$
+\returnType{Type: Union(String,...)}
+
+\spadcommand{search(x**2, t) }
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+The return type is a union so the success of the search can be tested
+using {\tt case}.  
+
+\spadcommand{search(x**2, t) case "failed" }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+The \spadfunFrom{remove}{Table} operation is used to delete values from a
+table.
+
+\spadcommand{remove!(x**2-1, t)  }
+$$
+\mbox{\tt "Easy to factor"} 
+$$
+\returnType{Type: Union(String,...)}
+
+If an entry exists under the key, then it is returned.  Otherwise
+\spadfunFrom{remove}{Table} returns {\tt "failed"}.
+
+\spadcommand{remove!(x-1, t) }
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+The number of key-entry pairs can be found using the
+\spadfunFrom{\#}{Table} operation.
+
+\spadcommand{\#t }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Just as \spadfunFrom{keys}{Table} returns a list of keys to the table,
+a list of all the entries can be obtained using the
+\spadfunFrom{members}{Table} operation.
+
+\spadcommand{members t }
+$$
+\left[
+\mbox{\tt "The easiest to factor"} , \mbox{\tt "Harder to factor"} 
+\right]
+$$
+\returnType{Type: List String}
+
+A number of useful operations take functions and map them on to the
+table to compute the result.  Here we count the entries which
+have ``{\tt Hard}'' as a prefix.
+
+\spadcommand{count(s: String +-> prefix?("Hard", s), t) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Other table types are provided to support various needs.
+\indent
+\begin{list}{}
+\item {\tt AssociationList} gives a list with a table view.
+This allows new entries to be appended onto the front of the list
+to cover up old entries.
+This is useful when table entries need to be stacked or when
+frequent list traversals are required.
+See \ref{AssociationListXmpPage} on page~\pageref{AssociationListXmpPage} 
+for more information.
+\item {\tt EqTable} gives tables in which keys are considered
+equal only when they are in fact the same instance of a structure.
+See \ref{EqTableXmpPage} on page~\pageref{EqTableXmpPage} for more information.
+\item {\tt StringTable} should be used when the keys are known to
+be strings.
+See \ref{StringTableXmpPage} on page~\pageref{StringTableXmpPage} 
+for more information.
+\item {\tt SparseTable} provides tables with default
+entries, so
+lookup never fails.  The {\tt GeneralSparseTable} constructor
+can be used to make any table type behave this way.
+See \ref{SparseTableXmpPage} on page~\pageref{SparseTableXmpPage} 
+for more information.
+\item {\tt KeyedAccessFile} allows values to be saved in a file,
+accessed as a table.
+See \ref{KeyedAccessFileXmpPage} on page~\pageref{KeyedAccessFileXmpPage} 
+for more information.
+\end{list}
+\noindent
+
+\section{TextFile}
+\label{TextFileXmpPage}
+
+The domain {\tt TextFile} allows Axiom to read and write
+character data and exchange text with other programs.
+This type behaves in Axiom much like a {\tt File} of strings,
+with additional operations to cause new lines.
+We give an example of how to produce an upper case copy of a file.
+
+This is the file from which we read the text.
+
+\spadcommand{f1: TextFile := open("/etc/group", "input")   }
+$$
+\mbox{\tt "/etc/group"} 
+$$
+\returnType{Type: TextFile}
+
+This is the file to which we write the text.
+
+\spadcommand{f2: TextFile := open("/tmp/MOTD", "output")  }
+$$
+\mbox{\tt "/tmp/MOTD"} 
+$$
+\returnType{Type: TextFile}
+
+Entire lines are handled using the \spadfunFrom{readLine}{TextFile} and
+\spadfunFrom{writeLine}{TextFile} operations.
+
+\spadcommand{l := readLine! f1 }
+$$
+\mbox{\tt "root:x:0:root"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{writeLine!(f2, upperCase l) }
+$$
+\mbox{\tt "ROOT:X:0:ROOT"} 
+$$
+\returnType{Type: String}
+
+Use the \spadfunFrom{endOfFile?}{TextFile} operation to check if you
+have reached the end of the file.
+
+\begin{verbatim}
+while not endOfFile? f1 repeat
+    s := readLine! f1
+    writeLine!(f2, upperCase s)
+\end{verbatim}
+\returnType{Void}
+
+The file {\tt f1} is exhausted and should be closed.
+
+\spadcommand{close! f1  }
+$$
+\mbox{\tt "/etc/group"} 
+$$
+\returnType{Type: TextFile}
+
+It is sometimes useful to write lines a bit at a time.  The
+\spadfunFrom{write}{TextFile} operation allows this.
+
+\spadcommand{write!(f2, "-The-")  }
+$$
+\mbox{\tt "-The-"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{write!(f2, "-End-")  }
+$$
+\mbox{\tt "-End-"} 
+$$
+\returnType{Type: String}
+
+This ends the line.  This is done in a machine-dependent manner.
+
+\spadcommand{writeLine! f2}
+$$
+\mbox{\tt ""} 
+$$
+\returnType{Type: String}
+
+\spadcommand{close! f2}
+$$
+\mbox{\tt "/tmp/MOTD"} 
+$$
+\returnType{Type: TextFile}
+
+Finally, clean up.
+
+\spadcommand{)system rm /tmp/MOTD}
+
+For more information on related topics,  see
+\ref{FileXmpPage} on page~\pageref{FileXmpPage},
+\ref{KeyedAccessFileXmpPage} on page~\pageref{KeyedAccessFileXmpPage}, and
+\ref{LibraryXmpPage} on page~\pageref{LibraryXmpPage}.
+
+\section{TwoDimensionalArray}
+\label{TwoDimensionalArrayXmpPage}
+
+The {\tt TwoDimensionalArray} domain is used for storing data in a
+two dimensional data structure indexed by row and by column.  Such an array
+is a homogeneous data structure in that all the entries of the array
+must belong to the same Axiom domain (although see
+\ref{ugTypesAnyNonePage} on page~\pageref{ugTypesAnyNonePage} in Section 
+\ref{ugTypesAnyNoneNumber} on page~\pageref{ugTypesAnyNoneNumber}).  Each
+array has a fixed number of rows and columns specified by the user and
+arrays are not extensible.  In Axiom, the indexing of two-dimensional
+arrays is one-based.  This means that both the ``first'' row of an
+array and the ``first'' column of an array are given the index 
+{\tt 1}.  Thus, the entry in the upper left corner of an array is in
+position {\tt (1,1)}.
+
+The operation \spadfunFrom{new}{TwoDimensionalArray} creates an array
+with a specified number of rows and columns and fills the components
+of that array with a specified entry.  The arguments of this operation
+specify the number of rows, the number of columns, and the entry.
+
+This creates a five-by-four array of integers, all of whose entries are
+zero.
+
+\spadcommand{arr : ARRAY2 INT := new(5,4,0) }
+$$
+\left[
+\begin{array}{cccc}
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+The entries of this array can be set to other integers using the
+operation \spadfunFrom{setelt}{TwoDimensionalArray}.
+
+Issue this to set the element in the upper left corner of this array to
+{\tt 17}.
+
+\spadcommand{setelt(arr,1,1,17) }
+$$
+17 
+$$
+\returnType{Type: PositiveInteger}
+
+Now the first element of the array is {\tt 17.}
+
+\spadcommand{arr }
+$$
+\left[
+\begin{array}{cccc}
+{17} & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+Likewise, elements of an array are extracted using the operation
+\spadfunFrom{elt}{TwoDimensionalArray}.
+
+\spadcommand{elt(arr,1,1) }
+$$
+17 
+$$
+\returnType{Type: PositiveInteger}
+
+Another way to use these two operations is as follows.  This sets the
+element in position {\tt (3,2)} of the array to {\tt 15}.
+
+\spadcommand{arr(3,2) := 15 }
+$$
+15 
+$$
+\returnType{Type: PositiveInteger}
+
+This extracts the element in position {\tt (3,2)} of the array.
+
+\spadcommand{arr(3,2) }
+$$
+15 
+$$
+\returnType{Type: PositiveInteger}
+
+The operations \spadfunFrom{elt}{TwoDimensionalArray} and
+\spadfunFrom{setelt}{TwoDimensionalArray} come equipped with an error
+check which verifies that the indices are in the proper ranges.  For
+example, the above array has five rows and four columns, so if you ask
+for the entry in position {\tt (6,2)} with {\tt arr(6,2)} Axiom
+displays an error message.  If there is no need for an error check,
+you can call the operations \spadfunFrom{qelt}{TwoDimensionalArray}
+and \spadfunFrom{qsetelt}{TwoDimensionalArray} which provide the same
+functionality but without the error check.  Typically, these
+operations are called in well-tested programs.
+
+The operations \spadfunFrom{row}{TwoDimensionalArray} and
+\spadfunFrom{column}{TwoDimensionalArray} extract rows and columns,
+respectively, and return objects of {\tt OneDimensionalArray} with the
+same underlying element type.
+
+\spadcommand{row(arr,1) }
+$$
+\left[
+{17}, 0, 0, 0 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+\spadcommand{column(arr,1) }
+$$
+\left[
+{17}, 0, 0, 0, 0 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Integer}
+
+You can determine the dimensions of an array by calling the operations
+\spadfunFrom{nrows}{TwoDimensionalArray} and
+\spadfunFrom{ncols}{TwoDimensionalArray}, which return the number of
+rows and columns, respectively.
+
+\spadcommand{nrows(arr) }
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{ncols(arr) }
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+To apply an operation to every element of an array, use
+\spadfunFrom{map}{TwoDimensionalArray}.  This creates a new array.
+This expression negates every element.
+
+\spadcommand{map(-,arr) }
+$$
+\left[
+\begin{array}{cccc}
+-{17} & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & -{15} & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+This creates an array where all the elements are doubled.
+
+\spadcommand{map((x +-> x + x),arr) }
+$$
+\left[
+\begin{array}{cccc}
+{34} & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & {30} & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+To change the array destructively, use
+\spadfunFrom{map}{TwoDimensionalArray} instead of
+\spadfunFrom{map}{TwoDimensionalArray}.  If you need to make a copy of
+any array, use \spadfunFrom{copy}{TwoDimensionalArray}.
+
+\spadcommand{arrc := copy(arr) }
+$$
+\left[
+\begin{array}{cccc}
+{17} & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & {15} & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+\spadcommand{map!(-,arrc) }
+$$
+\left[
+\begin{array}{cccc}
+-{17} & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & -{15} & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+\spadcommand{arrc }
+$$
+\left[
+\begin{array}{cccc}
+-{17} & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & -{15} & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+\spadcommand{arr  }
+$$
+\left[
+\begin{array}{cccc}
+{17} & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & {15} & 0 & 0 \\ 
+0 & 0 & 0 & 0 \\ 
+0 & 0 & 0 & 0 
+\end{array}
+\right]
+$$
+\returnType{Type: TwoDimensionalArray Integer}
+
+Use \spadfunFrom{member?}{TwoDimensionalArray} to see if a given element
+is in an array.
+
+\spadcommand{member?(17,arr) }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{member?(10317,arr) }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+To see how many times an element appears in an array, use
+\spadfunFrom{count}{TwoDimensionalArray}.
+
+\spadcommand{count(17,arr) }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{count(0,arr) }
+$$
+18 
+$$
+\returnType{Type: PositiveInteger}
+
+For more information about the operations available for {\tt
+TwoDimensionalArray}, issue {\tt )show TwoDimensionalArray}.  For
+information on related topics, see 
+\ref{MatrixXmpPage} on page~\pageref{MatrixXmpPage} and
+\ref{OneDimensionalArrayXmpPage} on page~\pageref{OneDimensionalArrayXmpPage}.
+
+\section{UnivariatePolynomial}
+\label{UnivariatePolynomialXmpPage}
+
+The domain constructor {\tt UnivariatePolynomial} (abbreviated {\tt
+UP}) creates domains of univariate polynomials in a specified
+variable.  For example, the domain {\tt UP(a1,POLY FRAC INT)} provides
+polynomials in the single variable {\tt a1} whose coefficients are
+general polynomials with rational number coefficients.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+\noindent {\bf Restriction:}
+\begin{quotation}\noindent
+Axiom does not allow you to create types where
+{\tt UnivariatePolynomial} is contained in the coefficient type of
+{\tt Polynomial}. Therefore,
+{\tt UP(x,POLY INT)} is legal but {\tt POLY UP(x,INT)} is not.
+\end{quotation}
+.
+}
+
+{\tt UP(x,INT)} is the domain of polynomials in the single
+variable {\tt x} with integer coefficients.
+
+\spadcommand{(p,q) : UP(x,INT) }
+\returnType{Void}
+
+\spadcommand{p := (3*x-1)**2 * (2*x + 8) }
+$$
+{{18} \  {x \sp 3}}+{{60} \  {x \sp 2}} -{{46} \  x}+8 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+\spadcommand{q := (1 - 6*x + 9*x**2)**2 }
+$$
+{{81} \  {x \sp 4}} -{{108} \  {x \sp 3}}+{{54} \  {x \sp 2}} -{{12} \  x}+1 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+The usual arithmetic operations are available for univariate polynomials.
+
+\spadcommand{p**2 + p*q  }
+$$
+{{1458} \  {x \sp 7}}+{{3240} \  {x \sp 6}} -{{7074} \  {x \sp 5}}+{{10584} \  
+{x \sp 4}} -{{9282} \  {x \sp 3}}+{{4120} \  {x \sp 2}} -{{878} \  x}+{72} 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+The operation \spadfunFrom{leadingCoefficient}{UnivariatePolynomial}
+extracts the coefficient of the term of highest degree.
+
+\spadcommand{leadingCoefficient p }
+$$
+18 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation \spadfunFrom{degree}{UnivariatePolynomial} returns
+the degree of the polynomial.
+Since the polynomial has only one variable, the variable is not supplied
+to operations like \spadfunFrom{degree}{UnivariatePolynomial}.
+
+\spadcommand{degree p }
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+The reductum of the polynomial, the polynomial obtained by subtracting
+the term of highest order, is returned by
+\spadfunFrom{reductum}{UnivariatePolynomial}.
+
+\spadcommand{reductum p }
+$$
+{{60} \  {x \sp 2}} -{{46} \  x}+8 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+The operation \spadfunFrom{gcd}{UnivariatePolynomial} computes the
+greatest common divisor of two polynomials.
+
+\spadcommand{gcd(p,q) }
+$$
+{9 \  {x \sp 2}} -{6 \  x}+1 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+The operation \spadfunFrom{lcm}{UnivariatePolynomial} computes the
+least common multiple.
+
+\spadcommand{lcm(p,q) }
+$$
+{{162} \  {x \sp 5}}+{{432} \  {x \sp 4}} -{{756} \  {x \sp 3}}+{{408} \  {x 
+\sp 2}} -{{94} \  x}+8 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+The operation \spadfunFrom{resultant}{UnivariatePolynomial} computes
+the resultant of two univariate polynomials.  In the case of {\tt p}
+and {\tt q}, the resultant is {\tt 0} because they share a common
+root.
+
+\spadcommand{resultant(p,q) }
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+To compute the derivative of a univariate polynomial with respect to its
+variable, use \spadfunFrom{D}{UnivariatePolynomial}.
+
+\spadcommand{D p }
+$$
+{{54} \  {x \sp 2}}+{{120} \  x} -{46} 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+Univariate polynomials can also be used as if they were functions.  To
+evaluate a univariate polynomial at some point, apply the polynomial
+to the point.
+
+\spadcommand{p(2) }
+$$
+300 
+$$
+\returnType{Type: PositiveInteger}
+
+The same syntax is used for composing two univariate polynomials, i.e.
+substituting one polynomial for the variable in another.  This
+substitutes {\tt q} for the variable in {\tt p}.
+
+\spadcommand{p(q) }
+$$
+\begin{array}{@{}l}
+{{9565938} \  {x \sp {12}}} -
+{{38263752} \  {x \sp {11}}}+
+{{70150212} \  {x \sp {10}}} -
+{{77944680} \  {x \sp 9}}+
+{{58852170} \  {x \sp 8}} -
+\\
+\\
+\displaystyle
+{{32227632} \  {x \sp 7}}+
+{{13349448} \  {x \sp 6}} -
+{{4280688} \  {x \sp 5}}+
+{{1058184} \  {x \sp 4}} -
+\\
+\\
+\displaystyle
+{{192672} \  {x \sp 3}}+
+{{23328} \  {x \sp 2}} -
+{{1536} \  x}+
+{40} 
+\end{array}
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+This substitutes {\tt p} for the variable in {\tt q}.
+
+\spadcommand{q(p) }
+$$
+\begin{array}{@{}l}
+{{8503056} \  {x \sp {12}}}+
+{{113374080} \  {x \sp {11}}}+
+{{479950272} \  {x \sp {10}}}+
+{{404997408} \  {x \sp 9}} -
+\\
+\\
+\displaystyle
+{{1369516896} \  {x \sp 8}} -
+{{626146848} \  {x \sp 7}}+
+{{2939858712} \  {x \sp 6}} -
+{{2780728704} \  {x \sp 5}}+
+\\
+\\
+\displaystyle
+{{1364312160} \  {x \sp 4}} -
+{{396838872} \  {x \sp 3}}+
+{{69205896} \  {x \sp 2}} -
+{{6716184} \  x}+
+{279841} 
+\end{array}
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+To obtain a list of coefficients of the polynomial, use
+\spadfunFrom{coefficients}{UnivariatePolynomial}.
+
+\spadcommand{l := coefficients p }
+$$
+\left[
+{18}, {60}, -{46}, 8 
+\right]
+$$
+\returnType{Type: List Integer}
+
+From this you can use \spadfunFrom{gcd}{UnivariatePolynomial} and
+\spadfunFrom{reduce}{List} to compute the content of the polynomial.
+
+\spadcommand{reduce(gcd,l) }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Alternatively (and more easily), you can just call
+\spadfunFrom{content}{UnivariatePolynomial}.
+
+\spadcommand{content p }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Note that the operation
+\spadfunFrom{coefficients}{UnivariatePolynomial} omits the zero
+coefficients from the list.  Sometimes it is useful to convert a
+univariate polynomial to a vector whose $i$-th position contains the
+degree {\tt i-1} coefficient of the polynomial.
+
+\spadcommand{ux := (x**4+2*x+3)::UP(x,INT) }
+$$
+{x \sp 4}+{2 \  x}+3 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+To get a complete vector of coefficients, use the operation
+\spadfunFrom{vectorise}{UnivariatePolynomial}, which takes a
+univariate polynomial and an integer denoting the length of the
+desired vector.
+
+\spadcommand{vectorise(ux,5) }
+$$
+\left[
+3, 2, 0, 0, 1 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+It is common to want to do something to every term of a polynomial,
+creating a new polynomial in the process.
+
+This is a function for iterating across the terms of a polynomial,
+squaring each term.
+
+\spadcommand{squareTerms(p) ==   reduce(+,[t**2 for t in monomials p])}
+\returnType{Void}
+
+Recall what {\tt p} looked like.
+
+\spadcommand{p }
+$$
+{{18} \  {x \sp 3}}+{{60} \  {x \sp 2}} -{{46} \  x}+8 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+We can demonstrate {\tt squareTerms} on {\tt p}.
+
+\spadcommand{squareTerms p }
+\begin{verbatim}
+Compiling function squareTerms with type 
+  UnivariatePolynomial(x,Integer) -> 
+    UnivariatePolynomial(x,Integer) 
+\end{verbatim}
+$$
+{{324} \  {x \sp 6}}+{{3600} \  {x \sp 4}}+{{2116} \  {x \sp 2}}+{64} 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+When the coefficients of the univariate polynomial belong to a
+field,\footnote{For example, when the coefficients are rational
+numbers, as opposed to integers.  The important property of a field is
+that non-zero elements can be divided and produce another element. The
+quotient of the integers 2 and 3 is not another integer.}  it is
+possible to compute quotients and remainders.
+
+\spadcommand{(r,s) : UP(a1,FRAC INT) }
+\returnType{Void}
+
+\spadcommand{r := a1**2 - 2/3  }
+$$
+{a1 \sp 2} -{2 \over 3} 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Integer)}
+
+\spadcommand{s := a1 + 4}
+$$
+a1+4 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Integer)}
+
+When the coefficients are rational numbers or rational expressions, the
+operation \spadfunFrom{quo}{UnivariatePolynomial} computes the quotient
+of two polynomials.
+
+\spadcommand{r quo s }
+$$
+a1 -4 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Integer)}
+
+The operation \spadfunFrom{rem}{UnivariatePolynomial} computes the
+remainder.
+
+\spadcommand{r rem s }
+$$
+{46} \over 3 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Integer)}
+
+The operation \spadfunFrom{divide}{UnivariatePolynomial} can be used to
+return a record of both components.
+
+\spadcommand{d := divide(r, s) }
+$$
+\left[
+{quotient={a1 -4}}, {remainder={{46} \over 3}} 
+\right]
+$$
+\returnType{Type: 
+Record(
+quotient: UnivariatePolynomial(a1,Fraction Integer),
+remainder: UnivariatePolynomial(a1,Fraction Integer))}
+
+Now we check the arithmetic!
+
+\spadcommand{r - (d.quotient * s + d.remainder) }
+$$
+0 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Integer)}
+
+It is also possible to integrate univariate polynomials when the
+coefficients belong to a field.
+
+\spadcommand{integrate r }
+$$
+{{1 \over 3} \  {a1 \sp 3}} -{{2 \over 3} \  a1} 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Integer)}
+
+\spadcommand{integrate s }
+$$
+{{1 \over 2} \  {a1 \sp 2}}+{4 \  a1} 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Integer)}
+
+One application of univariate polynomials is to see expressions in terms
+of a specific variable.
+
+We start with a polynomial in {\tt a1} whose coefficients
+are quotients of polynomials in {\tt b1} and {\tt b2}.
+
+\spadcommand{t : UP(a1,FRAC POLY INT) }
+\returnType{Void}
+
+Since in this case we are not talking about using multivariate
+polynomials in only two variables, we use {\tt Polynomial}.
+We also use {\tt Fraction} because we want fractions.
+
+\spadcommand{t := a1**2 - a1/b2 + (b1**2-b1)/(b2+3) }
+$$
+{a1 \sp 2} -{{1 \over b2} \  a1}+{{{b1 \sp 2} -b1} \over {b2+3}} 
+$$
+\returnType{Type: UnivariatePolynomial(a1,Fraction Polynomial Integer)}
+
+We push all the variables into a single quotient of polynomials.
+
+\spadcommand{u : FRAC POLY INT := t }
+$$
+{{{a1 \sp 2} \  {b2 \sp 2}}+{{\left( {b1 \sp 2} -b1+{3 \  {a1 \sp 2}} -a1 
+\right)}
+\  b2} -{3 \  a1}} \over {{b2 \sp 2}+{3 \  b2}} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+Alternatively, we can view this as a polynomial in the variable
+This is a {\it mode-directed} conversion: you indicate
+as much of the structure as you care about and let Axiom
+decide on the full type and how to do the transformation.
+
+\spadcommand{u :: UP(b1,?) }
+$$
+{{1 \over {b2+3}} \  {b1 \sp 2}} -{{1 \over {b2+3}} \  b1}+{{{{a1 \sp 2} \  
+b2} -a1} \over b2} 
+$$
+\returnType{Type: UnivariatePolynomial(b1,Fraction Polynomial Integer)}
+
+See \ref{ugProblemFactorPage} on page~\pageref{ugProblemFactorPage} in Section
+\ref{ugProblemFactorNumber} on page~\pageref{ugProblemFactorNumber}
+for a discussion of the factorization facilities
+in Axiom for univariate polynomials.
+For more information on related topics, see
+\ref{ugIntroVariablesPage} on page~\pageref{ugIntroVariablesPage} in Section 
+\ref{ugIntroVariablesNumber} on page~\pageref{ugIntroVariablesNumber},
+\ref{ugTypesConvertPage} on page~\pageref{ugTypesConvertPage} in Section 
+\ref{ugTypesConvertNumber} on page~\pageref{ugTypesConvertNumber},
+\ref{PolynomialXmpPage} on page~\pageref{PolynomialXmpPage},
+\ref{MultivariatePolynomialXmpPage} on 
+page~\pageref{MultivariatePolynomialXmpPage}, and
+\ref{DistributedMultivariatePolynomialXmpPage} on 
+page~\pageref{DistributedMultivariatePolynomialXmpPage}.
+
+\section{UniversalSegment}
+\label{UniversalSegmentXmpPage}
+
+The {\tt UniversalSegment} domain generalizes {\tt Segment}
+by allowing segments without a ``hi'' end point.
+
+\spadcommand{pints := 1..}
+$$
+1.. 
+$$
+\returnType{Type: UniversalSegment PositiveInteger}
+
+\spadcommand{nevens := (0..) by -2 }
+$$
+{0..} \mbox{\rm by\ } -2 
+$$
+\returnType{Type: UniversalSegment NonNegativeInteger}
+
+Values of type {\tt Segment} are automatically converted to
+type {\tt UniversalSegment} when appropriate.
+
+\spadcommand{useg: UniversalSegment(Integer) := 3..10 }
+$$
+3..{10} 
+$$
+\returnType{Type: UniversalSegment Integer}
+
+The operation \spadfunFrom{hasHi}{UniversalSegment} is used to test
+whether a segment has a {\tt hi} end point.
+
+\spadcommand{hasHi pints  }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{hasHi nevens }
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{hasHi useg   }
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+All operations available on type {\tt Segment} apply to {\tt
+UniversalSegment}, with the proviso that expansions produce streams
+rather than lists.  This is to accommodate infinite expansions.
+
+\spadcommand{expand pints }
+$$
+\left[
+1, 2, 3, 4, 5, 6, 7, 8, 9, {10}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+\spadcommand{expand nevens }
+$$
+\left[
+0, -2, -4, -6, -8, -{10}, -{12}, -{14}, -{16}, 
+-{18}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+\spadcommand{expand [1, 3, 10..15, 100..]}
+$$
+\left[
+1, 3, {10}, {11}, {12}, {13}, {14}, {15}, {100}, 
+{101}, \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+For more information on related topics, see 
+\ref{SegmentXmpPage} on page~\pageref{SegmentXmpPage},
+\ref{SegmentBindingXmpPage} on page~\pageref{SegmentBindingXmpPage}, 
+\ref{ListXmpPage} on page~\pageref{ListXmpPage}, and
+\ref{StreamXmpPage} on page~\pageref{StreamXmpPage}.
+
+\section{Vector}
+\label{VectorXmpPage}
+
+The {\tt Vector} domain is used for storing data in a one-dimensional
+indexed data structure.  A vector is a homogeneous data structure in
+that all the components of the vector must belong to the same Axiom
+domain.  Each vector has a fixed length specified by the user; vectors
+are not extensible.  This domain is similar to the 
+{\tt OneDimensionalArray} domain, except that when the components of a 
+{\tt Vector} belong to a {\tt Ring}, arithmetic operations are provided.
+For more examples of operations that are defined for both {\tt Vector}
+and {\tt OneDimensionalArray}, see 
+\ref{OneDimensionalArrayXmpPage} on page~\pageref{OneDimensionalArrayXmpPage}.
+
+As with the {\tt OneDimensionalArray} domain, a {\tt Vector} can
+be created by calling the operation \spadfunFrom{new}{Vector}, its components
+can be accessed by calling the operations \spadfunFrom{elt}{Vector} and
+\spadfunFrom{qelt}{Vector}, and its components can be reset by calling the
+operations \spadfunFrom{setelt}{Vector} and
+\spadfunFrom{qsetelt}{Vector}.
+
+This creates a vector of integers of length {\tt 5} all of whose
+components are {\tt 12}.
+
+\spadcommand{u : VECTOR INT := new(5,12) }
+$$
+\left[
+{12}, {12}, {12}, {12}, {12} 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+This is how you create a vector from a list of its components.
+
+\spadcommand{v : VECTOR INT := vector([1,2,3,4,5]) }
+$$
+\left[
+1, 2, 3, 4, 5 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+Indexing for vectors begins at {\tt 1}.  The last element has index
+equal to the length of the vector, which is computed by
+\spadopFrom{\#}{Vector}.
+
+\spadcommand{\#(v) }
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the standard way to use \spadfunFrom{elt}{Vector} to extract
+an element.  Functionally, it is the same as if you had typed {\tt
+elt(v,2)}.
+
+\spadcommand{v.2 }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the standard way to use \spadfunFrom{setelt}{Vector} to change
+an element.  It is the same as if you had typed {\tt setelt(v,3,99)}.
+
+\spadcommand{v.3 := 99 }
+$$
+99 
+$$
+\returnType{Type: PositiveInteger}
+
+Now look at {\tt v} to see the change.  You can use
+\spadfunFrom{qelt}{Vector} and \spadfunFrom{qsetelt}{Vector} (instead
+of \spadfunFrom{elt}{Vector} and \spadfunFrom{setelt}{Vector},
+respectively) but {\it only} when you know that the index is within
+the valid range.
+
+\spadcommand{v }
+$$
+\left[
+1, 2, {99}, 4, 5 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+When the components belong to a {\tt Ring}, Axiom provides arithmetic
+operations for {\tt Vector}.  These include left and right scalar
+multiplication.
+
+\spadcommand{5 * v }
+$$
+\left[
+5, {10}, {495}, {20}, {25} 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+\spadcommand{v * 7 }
+$$
+\left[
+7, {14}, {693}, {28}, {35} 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+\spadcommand{w : VECTOR INT := vector([2,3,4,5,6]) }
+$$
+\left[
+2, 3, 4, 5, 6 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+Addition and subtraction are also available.
+
+\spadcommand{v + w }
+$$
+\left[
+3, 5, {103}, 9, {11} 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+Of course, when adding or subtracting, the two vectors must have the same
+length or an error message is displayed.
+
+\spadcommand{v - w }
+$$
+\left[
+-1, -1, {95}, -1, -1 
+\right]
+$$
+\returnType{Type: Vector Integer}
+
+For more information about other aggregate domains, see the following:
+\ref{ListXmpPage} on page~\pageref{ListXmpPage}, 
+\ref{MatrixXmpPage} on page~\pageref{MatrixXmpPage},
+\ref{OneDimensionalArrayXmpPage} on page~\pageref{OneDimensionalArrayXmpPage},
+\ref{SetXmpPage} on page~\pageref{SetXmpPage},
+\ref{TableXmpPage} on page~\pageref{TableXmpPage}, and 
+\ref{TwoDimensionalArrayXmpPage} on page~\pageref{TwoDimensionalArrayXmpPage}.
+Issue the system command {\tt )show Vector} to display the full list of
+operations defined by {\tt Vector}.
+
+\section{Void}
+\label{VoidXmpPage}
+
+When an expression is not in a value context, it is given type 
+{\tt Void}.  For example, in the expression 
+\begin{verbatim} 
+  r := (a; b; if c then d else e; f) 
+\end{verbatim} 
+values are used only from the
+subexpressions {\tt c} and {\tt f}: all others are thrown away.  The
+subexpressions {\tt a}, {\tt b}, {\tt d} and {\tt e} are evaluated for
+side-effects only and have type {\tt Void}.  There is a unique value
+of type {\tt Void}.
+
+You will most often see results of type {\tt Void} when you
+declare a variable.
+
+\spadcommand{a : Integer}
+\returnType{Void}
+
+Usually no output is displayed for {\tt Void} results.
+You can force the display of a rather ugly object by issuing
+{\tt )set message void on}.
+
+\spadcommand{)set message void on}
+
+\spadcommand{b : Fraction Integer}
+$$
+\mbox{\tt "()"} 
+$$
+\returnType{Type: Void}
+
+\spadcommand{)set message void off}
+
+All values can be converted to type {\tt Void}.
+
+\spadcommand{3::Void }
+\returnType{Void}
+
+Once a value has been converted to {\tt Void}, it cannot be recovered.
+
+\spadcommand{\% :: PositiveInteger }
+\begin{verbatim}
+Cannot convert from type Void to PositiveInteger for value "()"
+\end{verbatim}
+
+\section{WuWenTsunTriangularSet}
+\label{WuWenTsunTriangularSetXmpPage}
+
+The {\tt WuWenTsunTriangularSet} domain constructor implements the
+characteristic set method of Wu Wen Tsun.  This algorithm computes a
+list of triangular sets from a list of polynomials such that the
+algebraic variety defined by the given list of polynomials decomposes
+into the union of the regular-zero sets of the computed triangular
+sets.  The constructor takes four arguments.  The first one, {\bf R},
+is the coefficient ring of the polynomials; it must belong to the
+category {\tt IntegralDomain}.  The second one, {\bf E}, is the
+exponent monoid of the polynomials; it must belong to the category
+{\tt OrderedAbelianMonoidSup}.  The third one, {\bf V}, is the ordered
+set of variables; it must belong to the category {\tt OrderedSet}.
+The last one is the polynomial ring; it must belong to the category
+{\tt RecursivePolynomialCategory(R,E,V)}.  The abbreviation for 
+{\tt WuWenTsunTriangularSet} is {\tt WUTSET}.
+
+Let us illustrate the facilities by an example.
+
+Define the coefficient ring.
+
+\spadcommand{R := Integer }
+$$
+Integer 
+$$
+\returnType{Type: Domain}
+
+Define the list of variables,
+
+\spadcommand{ls : List Symbol := [x,y,z,t] }
+$$
+\left[
+x, y, z, t 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+and make it an ordered set;
+
+\spadcommand{V := OVAR(ls)}
+$$
+\mbox{\rm OrderedVariableList [x,y,z,t]} 
+$$
+\returnType{Type: Domain}
+
+then define the exponent monoid.
+
+\spadcommand{E := IndexedExponents V}
+$$
+\mbox{\rm IndexedExponents OrderedVariableList [x,y,z,t]} 
+$$
+\returnType{Type: Domain}
+
+Define the polynomial ring.
+
+\spadcommand{P := NSMP(R, V)}
+$$
+\mbox{\rm NewSparseMultivariatePolynomial(Integer,OrderedVariableList 
+[x,y,z,t])} 
+$$
+\returnType{Type: Domain}
+
+Let the variables be polynomial.
+
+\spadcommand{x: P := 'x}
+$$
+x 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{y: P := 'y}
+$$
+y 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{z: P := 'z}
+$$
+z 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{t: P := 't}
+$$
+t 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+Now call the {\tt WuWenTsunTriangularSet} domain constructor.
+
+\spadcommand{T := WUTSET(R,E,V,P)}
+$$
+\begin{array}{@{}l}
+{\rm WuWenTsunTriangularSet(Integer,}
+\\
+\displaystyle
+{\rm \ \ IndexedExponents OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t],}
+\\
+\displaystyle
+{\rm \ \ NewSparseMultivariatePolynomial(Integer,}
+\\
+\displaystyle
+{\rm \ \ OrderedVariableList [x,y,z,t]))} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+Define a polynomial system.
+
+\spadcommand{p1 := x ** 31 - x ** 6 - x - y}
+$$
+{x \sp {31}} -{x \sp 6} -x -y 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{p2 := x ** 8  - z}
+$$
+{x \sp 8} -z 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{p3 := x ** 10 - t}
+$$
+{x \sp {10}} -t 
+$$
+\returnType{Type: 
+NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+\spadcommand{lp := [p1, p2, p3]}
+$$
+\left[
+{{x \sp {31}} -{x \sp 6} -x -y}, {{x \sp 8} -z}, {{x \sp {10}} -t} 
+\right]
+$$
+\returnType{Type: 
+List NewSparseMultivariatePolynomial(Integer,OrderedVariableList [x,y,z,t])}
+
+Compute a characteristic set of the system.
+
+\spadcommand{characteristicSet(lp)\$T}
+$$
+\begin{array}{@{}l}
+\left\{
+{{z \sp 5} -{t \sp 4}}, 
+\right.
+\\
+\\
+\displaystyle
+{{{t \sp 4} \  {z \sp 2} \  {y \sp 2}}+
+{2 \  {t \sp 3} \  {z \sp 4} \  y}+
+{{\left( -{t \sp 7}+{2 \  {t \sp 4}} -t \right)}\  {z \sp 6}}+
+{{t \sp 6} \  z}}, 
+\\
+\\
+\displaystyle
+\left.
+\left( 
+{t \sp 3} -1 
+\right)\  {z \sp 3} \  x -
+{{z \sp 3} \  y} -
+{t \sp 3} 
+\right\}
+\end{array}
+$$
+\returnType{Type: 
+Union(
+WuWenTsunTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t])),...)}
+
+Solve the system.
+
+\spadcommand{zeroSetSplit(lp)\$T}
+$$
+\begin{array}{@{}l}
+\left[
+{\left\{ t, z, y, x \right\}},
+{\left\{ 
+{{t \sp 3} -1}, 
+{{z \sp 5} -{t \sp 4}}, 
+{{{z \sp 3} \  y}+{t \sp 3}}, 
+{{z \  {x \sp 2}} -t} 
+\right\}},
+\right.
+\\
+\\
+\displaystyle
+\left\{ 
+{{z \sp 5} -{t \sp 4}}, 
+{{t \sp 4} \  {z \sp 2} \  {y \sp 2}}+
+{2 \  {t \sp 3} \  {z \sp 4} \  y}+
+\left( 
+-{t \sp 7}+{2 \  {t \sp 4}} -t 
+\right)\  {z \sp 6}+
+{{t \sp 6} \  z}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+\left.
+\left( 
+{t \sp 3} -1 \right)\  {z \sp 3} \  x -
+{{z \sp 3} \  y} -{t \sp 3} 
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List WuWenTsunTriangularSet(Integer,
+IndexedExponents OrderedVariableList [x,y,z,t],
+OrderedVariableList [x,y,z,t],
+NewSparseMultivariatePolynomial(Integer,
+OrderedVariableList [x,y,z,t]))}
+
+The {\tt RegularTriangularSet} and
+{\tt SquareFreeRegularTriangularSet} domain constructors, the 
+{\tt LazardSetSolvingPackage} package constructors as well as, 
+{\tt SquareFreeRegularTriangularSet} and
+{\tt ZeroDimensionalSolvePackage} package constructors also provide
+operations to compute triangular decompositions of algebraic
+varieties.  These five constructor use a special kind of
+characteristic sets, called regular triangular sets.  These special
+characteristic sets have better properties than the general ones.
+Regular triangular sets and their related concepts are presented in
+the paper ``On the Theories of Triangular sets'' By P. Aubry, D. Lazard
+and M. Moreno Maza (to appear in the Journal of Symbolic Computation).
+The decomposition algorithm (due to the third author) available in the
+four above constructors provide generally better timings than the
+characteristic set method.  In fact, the {\tt WUTSET} constructor
+remains interesting for the purpose of manipulating characteristic
+sets whereas the other constructors are more convenient for solving
+polynomial systems.
+
+Note that the way of understanding triangular decompositions 
+is detailed in the example of the {\tt RegularTriangularSet}
+constructor.
+
+\section{XPBWPolynomial}
+\label{XPBWPolynomialXmpPage}
+
+Initialisations
+
+\spadcommand{a:Symbol := 'a }
+$$
+a 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{b:Symbol := 'b }
+$$
+b 
+$$
+\returnType{Type: Symbol}
+
+\spadcommand{RN := Fraction(Integer) }
+$$
+\mbox{\rm Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{word   := OrderedFreeMonoid Symbol }
+$$
+\mbox{\rm OrderedFreeMonoid Symbol} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{lword := LyndonWord(Symbol) }
+$$
+\mbox{\rm LyndonWord Symbol} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{base  := PoincareBirkhoffWittLyndonBasis Symbol }
+$$
+\mbox{\rm PoincareBirkhoffWittLyndonBasis Symbol} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{dpoly := XDistributedPolynomial(Symbol, RN)  }
+$$
+\mbox{\rm XDistributedPolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{rpoly := XRecursivePolynomial(Symbol, RN)  }
+$$
+\mbox{\rm XRecursivePolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{lpoly := LiePolynomial(Symbol, RN)  }
+$$
+\mbox{\rm LiePolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{poly  := XPBWPolynomial(Symbol, RN)  }
+$$
+\mbox{\rm XPBWPolynomial(Symbol,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+\spadcommand{liste : List lword := LyndonWordsList([a,b], 6)  }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ a \right]},
+{\left[ b \right]},
+{\left[ a \  b \right]},
+{\left[ {a \sp 2} \  b \right]},
+{\left[ a \  {b \sp 2} \right]},
+{\left[ {a \sp 3} \  b \right]},
+{\left[ {a \sp 2} \  {b \sp 2} \right]},
+{\left[ a \  {b \sp 3} \right]},
+{\left[ {a \sp 4} \  b \right]},
+\right.
+\\
+\\
+\displaystyle
+{\left[ {a \sp 3} \  {b \sp 2} \right]},
+{\left[ {a \sp 2} \  b \  a \  b \right]},
+{\left[ {a \sp 2} \  {b \sp 3} \right]},
+{\left[ a \  b \  a \  {b \sp 2} \right]},
+{\left[ a \  {b \sp 4} \right]},
+{\left[ {a \sp 5} \  b \right]},
+{\left[ {a \sp 4} \  {b \sp 2} \right]},
+\\
+\\
+\displaystyle
+\left.
+{\left[ {a \sp 3} \  b \  a \  b \right]},
+{\left[ {a \sp 3} \  {b \sp 3} \right]},
+{\left[ {a \sp 2} \  b \  a \  {b \sp 2} \right]},
+{\left[ {a \sp 2} \  {b \sp 2} \  a \  b \right]},
+{\left[ {a \sp 2} \  {b \sp 4} \right]},
+{\left[ a \  b \  a \  {b \sp 3} \right]},
+{\left[ a \  {b \sp 5} \right]}
+\right]
+\end{array}
+$$
+\returnType{Type: List LyndonWord Symbol}
+
+Let's make some polynomials
+
+\spadcommand{0\$poly }
+$$
+0 
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{1\$poly }
+$$
+1 
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{p : poly := a  }
+$$
+\left[
+a 
+\right]
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{q : poly := b  }
+$$
+\left[
+b 
+\right]
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{pq: poly := p*q  }
+$$
+{\left[ a \  b 
+\right]}+{{\left[
+b 
+\right]}
+\  {\left[ a 
+\right]}}
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+Coerce to distributed polynomial
+
+\spadcommand{pq :: dpoly }
+$$
+a \  b 
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Fraction Integer)}
+
+Check some polynomial operations
+
+\spadcommand{mirror pq }
+$$
+{\left[ b 
+\right]}
+\  {\left[ a 
+\right]}
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{ListOfTerms pq }
+$$
+\left[
+{\left[ {k={{\left[ b 
+\right]}
+\  {\left[ a 
+\right]}}},
+{c=1} 
+\right]},
+{\left[ {k={\left[ a \  b 
+\right]}},
+{c=1} 
+\right]}
+\right]
+$$
+\returnType{Type: 
+List Record(k: PoincareBirkhoffWittLyndonBasis Symbol,c: Fraction Integer)}
+
+\spadcommand{reductum pq }
+$$
+\left[
+a \  b 
+\right]
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{leadingMonomial pq }
+$$
+{\left[ b 
+\right]}
+\  {\left[ a 
+\right]}
+$$
+\returnType{Type: PoincareBirkhoffWittLyndonBasis Symbol}
+
+\spadcommand{coefficients pq }
+$$
+\left[
+1, 1 
+\right]
+$$
+\returnType{Type: List Fraction Integer}
+
+\spadcommand{leadingTerm pq }
+$$
+\left[
+{k={{\left[ b 
+\right]}
+\  {\left[ a 
+\right]}}},
+{c=1} 
+\right]
+$$
+\returnType{Type: 
+Record(k: PoincareBirkhoffWittLyndonBasis Symbol,c: Fraction Integer)}
+
+\spadcommand{degree pq }
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{pq4:=exp(pq,4)  }
+$$
+\begin{array}{@{}l}
+1+
+{\left[ a \  b \right]}+
+{{\left[b \right]}\  
+{\left[ a \right]}}+
+{{1\over 2} \  {\left[ a \  b \right]}\  
+{\left[ a \  b \right]}}+
+{{1\over 2} \  {\left[ a \  {b \sp 2} \right]}\  
+{\left[ a \right]}}+
+{{1\over 2} \  {\left[ b \right]}\  
+{\left[ {a \sp 2} \  b \right]}}+
+\\
+\\
+\displaystyle
+{{3\over 2} \  {\left[ b \right]}\  
+{\left[ a \  b \right]}\  
+{\left[ a \right]}}+
+{{1\over 2} \  {\left[ b \right]}\  
+{\left[ b \right]}\  
+{\left[ a \right]}\  
+{\left[ a \right]}}
+\end{array}
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{log(pq4,4) - pq  }
+$$
+0 
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+Calculations with verification in {\tt XDistributedPolynomial}.
+
+\spadcommand{lp1 :lpoly := LiePoly liste.10  }
+$$
+\left[
+{a \sp 3} \  {b \sp 2} 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{lp2 :lpoly := LiePoly liste.11  }
+$$
+\left[
+{a \sp 2} \  b \  a \  b 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{lp  :lpoly := [lp1, lp2]  }
+$$
+\left[
+{a \sp 3} \  {b \sp 2} \  {a \sp 2} \  b \  a \  b 
+\right]
+$$
+\returnType{Type: LiePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{lpd1: dpoly := lp1  }
+$$
+{{a \sp 3} \  {b \sp 2}} -{2 \  {a \sp 2} \  b \  a \  b} -{{a \sp 2} \  {b 
+\sp 2} \  a}+{4 \  a \  b \  a \  b \  a} -{a \  {b \sp 2} \  {a \sp 2}} -{2 
+\  b \  a \  b \  {a \sp 2}}+{{b \sp 2} \  {a \sp 3}} 
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{lpd2: dpoly := lp2  }
+$$
+\begin{array}{@{}l}
+{{a \sp 2} \  b \  a \  b} -
+{{a \sp 2} \  {b \sp 2} \  a} -
+{3 \  a \  b \  {a \sp 2} \  b}+
+{4 \  a \  b \  a \  b \  a} -
+\\
+\\
+\displaystyle
+{a \  {b \sp 2} \  {a \sp 2}}+
+{2 \  b \  {a \sp 3} \  b} -
+{3 \  b \  {a \sp 2} \  b \  a}+
+{b \  a \  b \  {a \sp 2}} 
+\end{array}
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{lpd : dpoly := lpd1 * lpd2 - lpd2 * lpd1  }
+$$
+\begin{array}{@{}l}
+{{a \sp 3} \  {b \sp 2} \  {a \sp 2} \  b \  a \  b} -
+{{a \sp 3} \  {b \sp 2} \  {a \sp 2} \  {b \sp 2} \  a} -
+{3 \  {a \sp 3} \  {b \sp 2} \  a \  b \  {a \sp 2} \  b}+
+{4 \  {a \sp 3} \  {b \sp 2} \  a \  b \  a \  b \  a} -
+\\
+\displaystyle
+{{a \sp 3} \  {b \sp 2} \  a \  {b \sp 2} \  {a \sp 2}}+
+{2 \  {a \sp 3} \  {b \sp 3} \  {a \sp 3} \  b} -
+{3 \  {a \sp 3} \  {b \sp 3} \  {a \sp 2} \  b \  a}+
+{{a \sp 3} \  {b \sp 3} \  a \  b \  {a \sp 2}} -
+\\
+\displaystyle
+{{a \sp 2} \  b \  a \  b \  {a \sp 3} \  {b \sp 2}}+
+{3 \  {a \sp 2} \  b \  a \  b \  {a \sp 2} \  {b \sp 2} \  a}+
+{6 \  {a \sp 2} \  b \  a \  b \  a \  b \  {a \sp 2} \  b} -
+{{12} \  {a \sp 2} \  b \  a \  b \  a \  b \  a \  b \  a}+
+\\
+\displaystyle
+{3 \  {a \sp 2} \  b \  a \  b \  a \  {b \sp 2} \  {a \sp 2}} -
+{4 \  {a \sp 2} \  b \  a \  {b \sp 2} \  {a \sp 3} \  b}+
+{6 \  {a \sp 2} \  b \  a \  {b \sp 2} \  {a \sp 2} \  b \  a} -
+{{a \sp 2} \  b \  a \  {b \sp 3} \  {a \sp 3}}+
+\\
+\displaystyle
+{{a \sp 2} \  {b \sp 2} \  {a \sp 4} \  {b \sp 2}} -
+{3 \  {a \sp 2} \  {b \sp 2} \  {a \sp 3} \  b \  a \  b}+
+{3 \  {a \sp 2} \  {b \sp 2} \  {a \sp 2} \  b \  {a \sp 2} \  b} -
+{2 \  {a \sp 2} \  {b \sp 2} \  a \  b \  {a \sp 3} \  b}+
+\\
+\displaystyle
+{3 \  {a \sp 2} \  {b \sp 2} \  a \  b \  {a \sp 2} \  b \  a} -
+{3 \  {a \sp 2} \  {b \sp 2} \  a \  b \  a \  b \  {a \sp 2}}+
+{{a \sp 2} \  {b \sp 2} \  a \  {b \sp 2} \  {a \sp 3}}+
+{3 \  a \  b \  {a \sp 2} \  b \  {a \sp 3} \  {b \sp 2}} -
+\\
+\displaystyle
+{6 \  a \  b \  {a \sp 2} \  b \  {a \sp 2} \  b \  a \  b} -
+{3 \  a \  b \  {a \sp 2} \  b \  {a \sp 2} \  {b \sp 2} \  a}+
+{{12} \  a \  b \  {a \sp 2} \  b \  a \  b \  a \  b \  a} -
+{3 \  a \  b \  {a \sp 2} \  b \  a \  {b \sp 2} \  {a \sp 2}} -
+\\
+\displaystyle
+{6 \  a \  b \  {a \sp 2} \  {b \sp 2} \  a \  b \  {a \sp 2}}+
+{3 \  a \  b \  {a \sp 2} \  {b \sp 3} \  {a \sp 3}} -
+{4 \  a \  b \  a \  b \  {a \sp 4} \  {b \sp 2}}+
+{{12} \  a \  b \  a \  b \  {a \sp 3} \  b \  a \  b} -
+\\
+\displaystyle
+{{12} \  a \  b \  a \  b \  {a \sp 2} \  b \  {a \sp 2} \  b}+
+{8 \  a \  b \  a \  b \  a \  b \  {a \sp 3} \  b} -
+{{12} \  a \  b \  a \  b \  a \  b \  {a \sp 2} \  b \  a}+
+\\
+\displaystyle
+{{12} \  a \  b \  a \  b \  a \  b \  a \  b \  {a \sp 2}} -
+{4 \  a \  b \  a \  b \  a \  {b \sp 2} \  {a \sp 3}}+
+{a \  {b \sp 2} \  {a \sp 5} \  {b \sp 2}} -
+{3 \  a \  {b \sp 2} \  {a \sp 4} \  b \  a \  b}+
+\\
+\displaystyle
+{3 \  a \  {b \sp 2} \  {a \sp 3} \  b \  {a \sp 2} \  b} -
+{2 \  a \  {b \sp 2} \  {a \sp 2} \  b \  {a \sp 3} \  b}+
+{3 \  a \  {b \sp 2} \  {a \sp 2} \  b \  {a \sp 2} \  b \  a} -
+{3 \  a \  {b \sp 2} \  {a \sp 2} \  b \  a \  b \  {a \sp 2}}+
+\\
+\displaystyle
+{a \  {b \sp 2} \  {a \sp 2} \  {b \sp 2} \  {a \sp 3}} -
+{2 \  b \  {a \sp 3} \  b \  {a \sp 3} \  {b \sp 2}}+
+{4 \  b \  {a \sp 3} \  b \  {a \sp 2} \  b \  a \  b}+
+{2 \  b \  {a \sp 3} \  b \  {a \sp 2} \  {b \sp 2} \  a} -
+\\
+\displaystyle
+{8 \  b \  {a \sp 3} \  b \  a \  b \  a \  b \  a}+
+{2 \  b \  {a \sp 3} \  b \  a \  {b \sp 2} \  {a \sp 2}}+
+{4 \  b \  {a \sp 3} \  {b \sp 2} \  a \  b \  {a \sp 2}} -
+{2 \  b \  {a \sp 3} \  {b \sp 3} \  {a \sp 3}}+
+\\
+\displaystyle
+{3 \  b \  {a \sp 2} \  b \  {a \sp 4} \  {b \sp 2}} -
+{6 \  b \  {a \sp 2} \  b \  {a \sp 3} \  b \  a \  b} -
+{3 \  b \  {a \sp 2} \  b \  {a \sp 3} \  {b \sp 2} \  a}+
+{{12} \  b \  {a \sp 2} \  b \  {a \sp 2} \  b \  a \  b \  a} -
+\\
+\displaystyle
+{3 \  b \  {a \sp 2} \  b \  {a \sp 2} \  {b \sp 2} \  {a \sp 2}} -
+{6 \  b \  {a \sp 2} \  b \  a \  b \  a \  b \  {a \sp 2}}+
+{3 \  b \  {a \sp 2} \  b \  a \  {b \sp 2} \  {a \sp 3}} -
+{b \  a \  b \  {a \sp 5} \  {b \sp 2}}+
+\\
+\displaystyle
+{3 \  b \  a \  b \  {a \sp 4} \  {b \sp 2} \  a}+
+{6 \  b \  a \  b \  {a \sp 3} \  b \  {a \sp 2} \  b} -
+{{12} \  b \  a \  b \  {a \sp 3} \  b \  a \  b \  a}+
+{3 \  b \  a \  b \  {a \sp 3} \  {b \sp 2} \  {a \sp 2}} -
+\\
+\displaystyle
+{4 \  b \  a \  b \  {a \sp 2} \  b \  {a \sp 3} \  b}+
+{6 \  b \  a \  b \  {a \sp 2} \  b \  {a \sp 2} \  b \  a} -
+{b \  a \  b \  {a \sp 2} \  {b \sp 2} \  {a \sp 3}}+
+{{b \sp 2} \  {a \sp 5} \  b \  a \  b} -
+\\
+\displaystyle
+{{b \sp 2} \  {a \sp 5} \  {b \sp 2} \  a} -
+{3 \  {b \sp 2} \  {a \sp 4} \  b \  {a \sp 2} \  b}+
+{4 \  {b \sp 2} \  {a \sp 4} \  b \  a \  b \  a} -
+{{b \sp 2} \  {a \sp 4} \  {b \sp 2} \  {a \sp 2}}+
+\\
+\displaystyle
+{2 \  {b \sp 2} \  {a \sp 3} \  b \  {a \sp 3} \  b} -
+{3 \  {b \sp 2} \  {a \sp 3} \  b \  {a \sp 2} \  b \  a}+
+{{b \sp 2} \  {a \sp 3} \  b \  a \  b \  {a \sp 2}} 
+\end{array}
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{lp :: dpoly - lpd }
+$$
+0 
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Fraction Integer)}
+
+Calculations with verification in {\tt XRecursivePolynomial}.
+
+\spadcommand{p := 3 * lp  }
+$$
+3 \  {\left[ {a \sp 3} \  {b \sp 2} \  {a \sp 2} \  b \  a \  b 
+\right]}
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{q := lp1  }
+$$
+\left[
+{a \sp 3} \  {b \sp 2} 
+\right]
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{pq:= p * q  }
+$$
+3 \  
+{\left[ {a \sp 3} \  {b \sp 2} \  {a \sp 2} \  b \  a \  b 
+\right]}\  
+{\left[ {a \sp 3} \  {b \sp 2} 
+\right]}
+$$
+\returnType{Type: XPBWPolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{pr:rpoly := p :: rpoly  }
+$$
+\begin{array}{@{}l}
+a \  
+\left( a \  
+\left( a \  b \  b \  
+\left( a \  
+\left( a \  b \  
+\left( a \  b \  3+b \  a \  
+\left( -3 
+\right)
+\right)+b\  
+\right.
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left( a \  
+\left( a \  b \  
+\left( -9 
+\right)+b\  a \  {12} 
+\right)+b\  a \  a \  
+\left( -3 
+\right)
+\right)
+\right)+b\  a \  
+\\
+\displaystyle
+\left.
+\left( a \  
+\left( a \  b \  6+b \  a \  
+\left( -9 
+\right)
+\right)+b\  a \  a \  3
+\right)
+\right)+b\  
+\left( a \  b \  
+\left( a \  
+\left( a \  
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left( a \  b \  b \  
+\left( -3 
+\right)+b\  b \  a \  9
+\right)+b\  
+\left( a \  
+\left( a \  b \  {18}+b \  a \  
+\left( -{36} 
+\right)
+\right)+b\  a \  a \  9
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\right)
+\right)+b\  
+\left( a \  a \  
+\left( a \  b \  
+\left( -{12} 
+\right)+b\  a \  {18}
+\right)+b\  a \  a \  a \  
+\left( -3 
+\right)
+\right)
+\\
+\displaystyle
+\left.
+\right)+b\  a \  
+\left( a \  
+\left( a \  
+\left( a \  b \  b \  3+b \  a \  b \  
+\left( -9 
+\right)
+\right)+b\  a \  a \  b \  9
+\right)+b\  
+\left( a \  
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left( a \  
+\left( a \  b \  
+\left( -6 
+\right)+b\  a \  9
+\right)+b\  a \  a \  
+\left( -9 
+\right)
+\right)+b\  a \  a \  a \  3
+\right)
+\right)
+\\
+\displaystyle
+\left.
+\left.
+\right)
+\right)+b\  
+\left( a \  
+\left( a \  b \  
+\left( a \  
+\left( a \  
+\left( a \  b \  b \  9+b \  
+\left( a \  b \  
+\left( -{18} 
+\right)+b\  a \  
+\right.
+\right.
+\right.
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+\left( -9 
+\right)
+\right)
+\right)+b\  
+\left( a \  b \  a \  {36}+b \  a \  a \  
+\left( -9 
+\right)
+\right)
+\right)+b\  
+\left( a \  b \  a \  a \  
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left( -{18} 
+\right)+b\  a \  a \  a \  9
+\right)
+\right)+b\  a \  
+\left( a \  
+\left( a \  
+\left( a \  b \  b \  
+\left( -{12} 
+\right)+b\  a \  b \  {36}
+\right)+b\  a \  a \  b \  
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left( -{36} 
+\right)
+\right)+b\  
+\left( a \  
+\left( a \  
+\left( a \  b \  {24}+b \  a \  
+\left( -{36} 
+\right)
+\right)+b\  a \  a \  {36}
+\right)+b\  a \  a \  a \  
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+\left( -{12} 
+\right)
+\right)
+\right)
+\right)+b\  a \  a \  
+\left( a \  
+\left( a \  
+\left( a \  b \  b \  3+b \  a \  b \  
+\left( -9 
+\right)
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\right)+b\  a \  a \  b \  9
+\right)+b\  
+\left( a \  
+\left( a \  
+\left( a \  b \  
+\left( -6 
+\right)+b\  a \  9
+\right)+b\  a \  a \  
+\left( -9 
+\right)
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+\left.
+\left.
+\right)+b\  a \  a \  a \  3
+\right)
+\right)
+\right)
+\right)+b\  
+\left( a \  
+\left( a \  
+\left( a \  b \  
+\left( a \  
+\left( a \  
+\right.
+\right.
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left( a \  b \  b \  
+\left( -6 
+\right)+b\  
+\left( a \  b \  {12}+b \  a \  6
+\right)
+\right)+b\  
+\left( a \  b \  a \  
+\left( -{24} 
+\right)+b\  a \  a \  6
+\right)
+\\
+\displaystyle
+\left.
+\left.
+\right)+b\  
+\left( a \  b \  a \  a \  {12}+b \  a \  a \  a \  
+\left( -6 
+\right)
+\right)
+\right)+b\  a \  
+\left( a \  
+\left( a \  
+\left( a \  b \  b \  9+b \  
+\left( a \  b \  
+\left( -{18} 
+\right.
+\right.
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+\left.
+\right)+b\  a \  
+\left( -9 
+\right)
+\right)
+\right)+b\  
+\left( a \  b \  a \  {36}+b \  a \  a \  
+\left( -9 
+\right)
+\right)
+\right)+b\  
+\left( a \  b \  a \  a \  
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+\left( -{18} 
+\right)+b\  a \  a \  a \  9
+\right)
+\right)
+\right)+b\  a \  a \  
+\left( a \  
+\left( a \  
+\left( a \  b \  b \  
+\left( -3 
+\right)+b\  b \  a \  9
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\right)+b\  
+\left( a \  
+\left( a \  b \  {18}+b \  a \  
+\left( -{36} 
+\right)
+\right)+b\  a \  a \  9
+\right)
+\right)+b\  
+\left( a \  a \  
+\left( a \  b \  
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+\left.
+\left( -{12} 
+\right)+b\  a \  {18} 
+\right)+b\  a \  a \  a \  
+\left( -3 
+\right)
+\right)
+\right)
+\right)+b\  a \  a \  a \  
+\left( a \  
+\right.
+\\
+\displaystyle
+\left( a \  b \  
+\left( a \  b \  3+b \  a \  
+\left( -3 
+\right)
+\right)+b\  
+\left( a \  
+\left( a \  b \  
+\left( -9 
+\right)+b\  a \  {12}
+\right)+b\  a \  a \  
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+\left.
+\left( -3 
+\right)
+\right)
+\right)+b\  a \  
+\left( a \  
+\left( a \  b \  6+b \  a \  
+\left( -9 
+\right)
+\right)+b\  a \  a \  3
+\right)
+\right)
+\right)
+\end{array}
+$$
+\returnType{Type: XRecursivePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{qr:rpoly := q :: rpoly  }
+$$
+\begin{array}{@{}l}
+a \  
+\left( a \  
+\left( a \  b \  b \  1+b \  
+\left( a \  b \  
+\left( -2 
+\right)+b\  a \  
+\left( -1 
+\right)
+\right)
+\right)+
+\right.
+\\
+\\
+\displaystyle
+\left.
+b\  
+\left( a \  b \  a \  4+b \  a \  a \  
+\left( -1 
+\right)
+\right)
+\right)+
+\\
+\\
+\displaystyle
+b\  
+\left( a \  b \  a \  a \  
+\left( -2 
+\right)+b\  a \  a \  a \  1 
+\right)
+\end{array}
+$$
+\returnType{Type: XRecursivePolynomial(Symbol,Fraction Integer)}
+
+\spadcommand{pq :: rpoly - pr*qr  }
+$$
+0 
+$$
+\returnType{Type: XRecursivePolynomial(Symbol,Fraction Integer)}
+
+\section{XPolynomial}
+\label{XPolynomialXmpPage}
+
+The {\tt XPolynomial} domain constructor implements multivariate
+polynomials whose set of variables is {\tt Symbol}.  These variables
+do not commute.  The only parameter of this construtor is the
+coefficient ring which may be non-commutative.  However, coefficients
+and variables commute.  The representation of the polynomials is
+recursive.  The abbreviation for {\tt XPolynomial} is {\tt XPOLY}.
+
+Other constructors like {\tt XPolynomialRing}, 
+{\tt XRecursivePolynomial} as well as {\tt XDistributedPolynomial}, 
+{\tt LiePolynomial} and {\tt XPBWPolynomial} implement multivariate
+polynomials in non-commutative variables.
+
+We illustrate now some of the facilities of the 
+{\tt XPOLY} domain constructor.
+
+Define a polynomial ring over the integers.
+
+\spadcommand{poly := XPolynomial(Integer) }
+$$
+\mbox{\rm XPolynomial Integer} 
+$$
+\returnType{Type: Domain}
+
+Define a first polynomial,
+
+\spadcommand{pr: poly := 2*x + 3*y-5   }
+$$
+-5+{x \  2}+{y \  3} 
+$$
+\returnType{Type: XPolynomial Integer}
+
+and a second one.
+
+\spadcommand{pr2: poly := pr*pr   }
+$$
+{25}+{x \  {\left( -{20}+{x \  4}+{y \  6} 
+\right)}}+{y
+\  {\left( -{30}+{x \  6}+{y \  9} 
+\right)}}
+$$
+\returnType{Type: XPolynomial Integer}
+
+Rewrite {\bf pr} in a distributive way,
+
+\spadcommand{pd  := expand pr}
+$$
+-5+{2 \  x}+{3 \  y} 
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Integer)}
+
+compute its square,
+
+\spadcommand{pd2 := pd*pd    }
+$$
+{25} -{{20} \  x} -{{30} \  y}+{4 \  {x \sp 2}}+{6 \  x \  y}+{6 \  y \  
+x}+{9 \  {y \sp 2}} 
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Integer)}
+
+and checks that:
+
+\spadcommand{expand(pr2) - pd2  }
+$$
+0 
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Integer)}
+
+We define:
+
+\spadcommand{qr :=  pr**3  }
+$$
+\begin{array}{@{}l}
+-{125}+{x \  
+{\left( {150}+{x \  
+{\left( -{60}+{x \  8}+{y \  {12}} 
+\right)}}+{y\  
+{\left( -{90}+{x \  {12}}+{y \  {18}} 
+\right)}}
+\right)}}+
+\\
+\\
+\displaystyle
+{y\  
+{\left( {225}+{x \  
+{\left( -{90}+{x \  {12}}+{y \  {18}} 
+\right)}}+{y\  
+{\left( -{135}+{x \  {18}}+{y \  {27}} 
+\right)}}
+\right)}}
+\end{array}
+$$
+\returnType{Type: XPolynomial Integer}
+
+and:
+
+\spadcommand{qd :=  pd**3  }
+$$
+\begin{array}{@{}l}
+-{125}+
+{{150} \  x}+
+{{225} \  y} -
+{{60} \  {x \sp 2}} -
+{{90} \  x \  y} -
+{{90} \  y \  x} -
+{{135} \  {y \sp 2}}+
+{8 \  {x \sp 3}}+
+{{12} \  {x \sp 2} \  y}+
+\\
+\\
+\displaystyle
+{{12} \  x \  y \  x}+
+{{18} \  x \  {y \sp 2}}+
+{{12} \  y \  {x \sp 2}}+
+{{18} \  y \  x \  y}+
+{{18} \  {y \sp 2} \  x}+
+{{27} \  {y \sp 3}} 
+\end{array}
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Integer)}
+
+We truncate {\bf qd} at degree {\bf 3}:
+
+\spadcommand{ trunc(qd,2) }
+$$
+-{125}+{{150} \  x}+{{225} \  y} -{{60} \  {x \sp 2}} -{{90} \  x \  y} 
+-{{90} \  y \  x} -{{135} \  {y \sp 2}} 
+$$
+\returnType{Type: XDistributedPolynomial(Symbol,Integer)}
+
+The same for {\bf qr}:
+
+\spadcommand{trunc(qr,2) }
+$$
+-{125}+{x \  {\left( {150}+{x \  {\left( -{60} 
+\right)}}+{y
+\  {\left( -{90} 
+\right)}}
+\right)}}+{y
+\  {\left( {225}+{x \  {\left( -{90} 
+\right)}}+{y
+\  {\left( -{135} 
+\right)}}
+\right)}}
+$$
+\returnType{Type: XPolynomial Integer}
+
+We define:
+
+\spadcommand{Word := OrderedFreeMonoid Symbol }
+$$
+\mbox{\rm OrderedFreeMonoid Symbol} 
+$$
+\returnType{Type: Domain}
+
+and:
+
+\spadcommand{w: Word := x*y**2  }
+$$
+x \  {y \sp 2} 
+$$
+\returnType{Type: OrderedFreeMonoid Symbol}
+
+We can compute the right-quotient of {\bf qr} by {\bf r}:
+
+\spadcommand{rquo(qr,w)  }
+$$
+18 
+$$
+\returnType{Type: XPolynomial Integer}
+
+and the shuffle-product of {\bf pr} by {\bf r}:
+
+\spadcommand{sh(pr,w::poly)  }
+$$
+{x \  {\left( {x \  y \  y \  4}+{y \  {\left( {x \  y \  2}+{y \  {\left( 
+-5+{x \  2}+{y \  9} 
+\right)}}
+\right)}}
+\right)}}+{y
+\  x \  y \  y \  3} 
+$$
+\returnType{Type: XPolynomial Integer}
+
+\section{XPolynomialRing}
+\label{XPolynomialRingXmpPage}
+
+The {\tt XPolynomialRing} domain constructor implements generalized
+polynomials with coefficients from an arbitrary {\tt Ring} (not
+necessarily commutative) and whose exponents are words from an
+arbitrary {\tt OrderedMonoid} (not necessarily commutative too).  Thus
+these polynomials are (finite) linear combinations of words.
+
+This constructor takes two arguments.  The first one is a {\tt Ring}
+and the second is an {\tt OrderedMonoid}.  The abbreviation for 
+{\tt XPolynomialRing} is {\tt XPR}.
+
+Other constructors like {\tt XPolynomial}, {\tt XRecursivePolynomial}
+{\tt XDistributedPolynomial}, {\tt LiePolynomial} and 
+{\tt XPBWPolynomial} implement multivariate polynomials in non-commutative
+variables.
+
+We illustrate now some of the facilities of the {\tt XPR} domain constructor.
+
+Define the free ordered monoid generated by the symbols.
+
+\spadcommand{Word := OrderedFreeMonoid(Symbol) }
+$$
+\mbox{\rm OrderedFreeMonoid Symbol} 
+$$
+\returnType{Type: Domain}
+
+Define the linear combinations of these words with integer coefficients.
+
+\spadcommand{poly:= XPR(Integer,Word)  }
+$$
+\mbox{\rm XPolynomialRing(Integer,OrderedFreeMonoid Symbol)} 
+$$
+\returnType{Type: Domain}
+
+Then we define a first element from {\bf poly}.
+
+\spadcommand{p:poly := 2 * x - 3 * y + 1  }
+$$
+1+{2 \  x} -{3 \  y} 
+$$
+\returnType{Type: XPolynomialRing(Integer,OrderedFreeMonoid Symbol)}
+
+And a second one.
+
+\spadcommand{q:poly := 2 * x + 1  }
+$$
+1+{2 \  x} 
+$$
+\returnType{Type: XPolynomialRing(Integer,OrderedFreeMonoid Symbol)}
+
+We compute their sum,
+
+\spadcommand{p + q}
+$$
+2+{4 \  x} -{3 \  y} 
+$$
+\returnType{Type: XPolynomialRing(Integer,OrderedFreeMonoid Symbol)}
+
+their product,
+
+\spadcommand{p * q}
+$$
+1+{4 \  x} -{3 \  y}+{4 \  {x \sp 2}} -{6 \  y \  x} 
+$$
+\returnType{Type: XPolynomialRing(Integer,OrderedFreeMonoid Symbol)}
+
+and see that variables do not commute.
+
+\spadcommand{(p+q)**2-p**2-q**2-2*p*q}
+$$
+-{6 \  x \  y}+{6 \  y \  x} 
+$$
+\returnType{Type: XPolynomialRing(Integer,OrderedFreeMonoid Symbol)}
+
+Now we define a ring of square matrices,
+
+\spadcommand{M := SquareMatrix(2,Fraction Integer)  }
+$$
+\mbox{\rm SquareMatrix(2,Fraction Integer)} 
+$$
+\returnType{Type: Domain}
+
+and the linear combinations of words with these  matrices as coefficients.
+
+\spadcommand{poly1:= XPR(M,Word)   }
+$$
+\begin{array}{@{}l}
+{\rm XPolynomialRing(SquareMatrix(2,Fraction Integer),}
+\\
+\displaystyle
+{\rm \ \ OrderedFreeMonoid Symbol)} 
+\end{array}
+$$
+\returnType{Type: Domain}
+
+Define a first matrix,
+
+\spadcommand{m1:M := matrix [ [i*j**2 for i in 1..2] for j in 1..2]  }
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+4 & 8 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Integer)}
+
+a second one,
+
+\spadcommand{m2:M := m1 - 5/4   }
+$$
+\left[
+\begin{array}{cc}
+-{1 \over 4} & 2 \\ 
+4 & {{27} \over 4} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Integer)}
+
+and a third one.
+
+\spadcommand{m3: M := m2**2   }
+$$
+\left[
+\begin{array}{cc}
+{{129} \over {16}} & {13} \\ 
+{26} & {{857} \over {16}} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Integer)}
+
+Define a polynomial,
+
+\spadcommand{pm:poly1   := m1*x + m2*y + m3*z - 2/3     }
+$$
+{\left[ 
+\begin{array}{cc}
+-{2 \over 3} & 0 \\ 
+0 & -{2 \over 3} 
+\end{array}
+\right]}+{{\left[
+\begin{array}{cc}
+1 & 2 \\ 
+4 & 8 
+\end{array}
+\right]}
+\  x}+{{\left[ 
+\begin{array}{cc}
+-{1 \over 4} & 2 \\ 
+4 & {{27} \over 4} 
+\end{array}
+\right]}
+\  y}+{{\left[ 
+\begin{array}{cc}
+{{129} \over {16}} & {13} \\ 
+{26} & {{857} \over {16}} 
+\end{array}
+\right]}
+\  z} 
+$$
+\returnType{Type: 
+XPolynomialRing(
+SquareMatrix(2,Fraction Integer),
+OrderedFreeMonoid Symbol)}
+
+a second one,
+
+\spadcommand{qm:poly1 := pm - m1*x   }
+$$
+{\left[ 
+\begin{array}{cc}
+-{2 \over 3} & 0 \\ 
+0 & -{2 \over 3} 
+\end{array}
+\right]}+{{\left[
+\begin{array}{cc}
+-{1 \over 4} & 2 \\ 
+4 & {{27} \over 4} 
+\end{array}
+\right]}
+\  y}+{{\left[ 
+\begin{array}{cc}
+{{129} \over {16}} & {13} \\ 
+{26} & {{857} \over {16}} 
+\end{array}
+\right]}
+\  z} 
+$$
+\returnType{Type: 
+XPolynomialRing(
+SquareMatrix(2,Fraction Integer),
+OrderedFreeMonoid Symbol)}
+
+and the following power.
+
+\spadcommand{qm**3 }
+$$
+\begin{array}{@{}l}
+{\left[ 
+\begin{array}{cc}
+-{8 \over {27}} & 0 \\ 
+0 & -{8 \over {27}} 
+\end{array}
+\right]}+
+{{\left[
+\begin{array}{cc}
+-{1 \over 3} & {8 \over 3} \\ 
+{{16} \over 3} & 9 
+\end{array}
+\right]}\  y}+
+{{\left[ 
+\begin{array}{cc}
+{{43} \over 4} & {{52} \over 3} \\ 
+{{104} \over 3} & {{857} \over {12}} 
+\end{array}
+\right]}\  z}+
+\\
+\\
+\displaystyle
+{{\left[ 
+\begin{array}{cc}
+-{{129} \over 8} & -{26} \\ 
+-{52} & -{{857} \over 8} 
+\end{array}
+\right]}\  {y \sp 2}}+
+{{\left[ 
+\begin{array}{cc}
+-{{3199} \over {32}} & -{{831} \over 4} \\ 
+-{{831} \over 2} & -{{26467} \over {32}} 
+\end{array}
+\right]}\  y \  z}+
+{{\left[ 
+\begin{array}{cc}
+-{{3199} \over {32}} & -{{831} \over 4} \\ 
+-{{831} \over 2} & -{{26467} \over {32}} 
+\end{array}
+\right]}\  z \  y}+
+\\
+\\
+\displaystyle
+{{\left[ 
+\begin{array}{cc}
+-{{103169} \over {128}} & -{{6409} \over 4} \\ 
+-{{6409} \over 2} & -{{820977} \over {128}} 
+\end{array}
+\right]}\  {z \sp 2}}+
+{{\left[ 
+\begin{array}{cc}
+{{3199} \over {64}} & {{831} \over 8} \\ 
+{{831} \over 4} & {{26467} \over {64}} 
+\end{array}
+\right]}\  {y \sp 3}}+
+\\
+\\
+\displaystyle
+{{\left[ 
+\begin{array}{cc}
+{{103169} \over {256}} & {{6409} \over 8} \\ 
+{{6409} \over 4} & {{820977} \over {256}} 
+\end{array}
+\right]}\  {y \sp 2} \  z}+
+{{\left[ 
+\begin{array}{cc}
+{{103169} \over {256}} & {{6409} \over 8} \\ 
+{{6409} \over 4} & {{820977} \over {256}} 
+\end{array}
+\right]}\  y \  z \  y}+
+\\
+\\
+\displaystyle
+{{\left[ 
+\begin{array}{cc}
+{{3178239} \over {1024}} & {{795341} \over {128}} \\ 
+{{795341} \over {64}} & {{25447787} \over {1024}} 
+\end{array}
+\right]}\  y \  {z \sp 2}}+
+{{\left[ 
+\begin{array}{cc}
+{{103169} \over {256}} & {{6409} \over 8} \\ 
+{{6409} \over 4} & {{820977} \over {256}} 
+\end{array}
+\right]}\  z \  {y \sp 2}}+
+\\
+\\
+\displaystyle
+{{\left[ 
+\begin{array}{cc}
+{{3178239} \over {1024}} & {{795341} \over {128}} \\ 
+{{795341} \over {64}} & {{25447787} \over {1024}} 
+\end{array}
+\right]}\  z \  y \  z}+
+{{\left[ 
+\begin{array}{cc}
+{{3178239} \over {1024}} & {{795341} \over {128}} \\ 
+{{795341} \over {64}} & {{25447787} \over {1024}} 
+\end{array}
+\right]}\  {z \sp 2} \  y}+
+\\
+\\
+\displaystyle
+{{\left[ 
+\begin{array}{cc}
+{{98625409} \over {4096}} & {{12326223} \over {256}} \\ 
+{{12326223} \over {128}} & {{788893897} \over {4096}} 
+\end{array}
+\right]}\  {z \sp 3}} 
+\end{array}
+$$
+\returnType{Type: XPolynomialRing(SquareMatrix(2,Fraction Integer),OrderedFreeMonoid Symbol)}
+
+\section{ZeroDimensionalSolvePackage}
+\label{ZeroDimensionalSolvePackageXmpPage}
+
+The {\tt ZeroDimensionalSolvePackage} package constructor provides
+operations for computing symbolically the complex or real roots of
+zero-dimensional algebraic systems.
+
+The package provides {\bf no} multiplicity information (i.e. some
+returned roots may be double or higher) but only distinct roots are
+returned.
+
+Complex roots are given by means of univariate representations of
+irreducible regular chains.  These representations are computed by the
+\spadfunFrom{univariateSolve}{ZeroDimensionalSolvePackage} operation
+(by calling the {\tt InternalRationalUnivariateRepresentationPackage}
+package constructor which does the job).
+
+Real roots are given by means of tuples of coordinates lying in the
+{\tt RealClosure} of the coefficient ring.  They are computed by the
+\spadfunFrom{realSolve}{ZeroDimensionalSolvePackage} and
+\spadfunFrom{positiveSolve}{ZeroDimensionalSolvePackage} operations.
+The former computes all the solutions of the input system with real
+coordinates whereas the later concentrate on the solutions with
+(strictly) positive coordinates.  In both cases, the computations are
+performed by the {\tt RealClosure} constructor.
+
+Both computations of complex roots and real roots rely on triangular
+decompositions.  These decompositions can be computed in two different
+ways.  First, by a applying the
+\spadfunFrom{zeroSetSplit}{RegularTriangularSet} operation from the
+{\tt REGSET} domain constructor.  In that case, no Groebner bases are
+computed.  This strategy is used by default.  Secondly, by applying
+the \spadfunFrom{zeroSetSplit}{LexTriangularPackage} from 
+{\tt LEXTRIPK}.  To use this later strategy with the operations
+\spadfunFrom{univariateSolve}{ZeroDimensionalSolvePackage},
+\spadfunFrom{realSolve}{ZeroDimensionalSolvePackage} and
+\spadfunFrom{positiveSolve}{ZeroDimensionalSolvePackage} one just
+needs to use an extra boolean argument.
+
+Note that the way of understanding triangular decompositions 
+is detailed in the example of the {\tt RegularTriangularSet}
+constructor.
+
+The {\tt ZeroDimensionalSolvePackage} constructor takes three
+arguments.  The first one {\bf R} is the coefficient ring; it must
+belong to the categories {\tt OrderedRing}, {\tt EuclideanDomain},
+{\tt CharacteristicZero} and {\tt RealConstant}.  This means
+essentially that {\bf R} is {\tt Integer} or {\tt Fraction(Integer)}.
+The second argument {\bf ls} is the list of variables involved in the
+systems to solve.  The third one MUST BE {\bf concat(ls,s)} where 
+{\bf s} is an additional symbol used for the univariate representations.
+The abbreviation for {\tt ZeroDimensionalSolvePackage} is {\tt ZDSOLVE}.
+
+We illustrate now how to use the constructor {\tt ZDSOLVE} by two
+examples: the {\em Arnborg and Lazard} system and the {\em L-3} system
+(Aubry and Moreno Maza).  Note that the use of this package is also
+demonstrated in the example of the {\tt LexTriangularPackage}
+constructor.
+
+Define the coefficient ring.
+
+\spadcommand{R := Integer }
+$$
+Integer 
+$$
+\returnType{Type: Domain}
+
+Define the lists of variables:
+
+\spadcommand{ls : List Symbol := [x,y,z,t] }
+$$
+\left[
+x, y, z, t 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+and:
+
+\spadcommand{ls2 : List Symbol := [x,y,z,t,new()\$Symbol] }
+$$
+\left[
+x, y, z, t, \%A 
+\right]
+$$
+\returnType{Type: List Symbol}
+
+Call the package:
+
+\spadcommand{pack := ZDSOLVE(R,ls,ls2)}
+$$
+ZeroDimensionalSolvePackage(Integer,[x,y,z,t],[x,y,z,t,%A]) 
+$$
+\returnType{Type: Domain}
+
+Define a polynomial system (Arnborg-Lazard)
+
+\spadcommand{p1 := x**2*y*z + x*y**2*z + x*y*z**2 + x*y*z + x*y + x*z + y*z }
+$$
+{x \  y \  {z \sp 2}}+{{\left( {x \  {y \sp 2}}+{{\left( {x \sp 2}+x+1 
+\right)}
+\  y}+x 
+\right)}
+\  z}+{x \  y} 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{p2 := x**2*y**2*z + x*y**2*z**2 + x**2*y*z + x*y*z + y*z + x + z }
+$$
+{x \  {y \sp 2} \  {z \sp 2}}+{{\left( {{x \sp 2} \  {y \sp 2}}+{{\left( {x 
+\sp 2}+x+1 
+\right)}
+\  y}+1 
+\right)}
+\  z}+x 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{p3 := x**2*y**2*z**2 + x**2*y**2*z + x*y**2*z + x*y*z + x*z + z + 1 }
+$$
+{{x \sp 2} \  {y \sp 2} \  {z \sp 2}}+{{\left( {{\left( {x \sp 2}+x 
+\right)}
+\  {y \sp 2}}+{x \  y}+x+1 
+\right)}
+\  z}+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{lp := [p1, p2, p3]}
+$$
+\begin{array}{@{}l}
+\left[
+{{x \  y \  {z \sp 2}}+{{\left( {x \  {y \sp 2}}+{{\left( {x \sp 2}+x+1 
+\right)}
+\  y}+x 
+\right)}
+\  z}+{x \  y}}, 
+\right.
+\\
+\\
+\displaystyle
+{{x \  {y \sp 2} \  {z \sp 2}}+{{\left( {{x \sp 2} \  {y 
+\sp 2}}+{{\left( {x \sp 2}+x+1 
+\right)}
+\  y}+1 
+\right)}
+\  z}+x}, 
+\\
+\\
+\displaystyle
+\left.
+{{{x \sp 2} \  {y \sp 2} \  {z \sp 2}}+{{\left( {{\left( {x \sp 
+2}+x 
+\right)}
+\  {y \sp 2}}+{x \  y}+x+1 
+\right)}
+\  z}+1} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Polynomial Integer}
+
+Note that these polynomials do not involve the variable {\bf t};
+we will use it in the second example.
+
+First compute a decomposition into regular chains (i.e. regular
+triangular sets).
+
+\spadcommand{triangSolve(lp)\$pack  }
+$$
+\begin{array}{@{}l}
+\left[
+\left\{ 
+{z \sp {20}} -
+{6 \  {z \sp {19}}} -
+{{41} \  {z \sp {18}}}+
+{{71} \  {z \sp {17}}}+
+{{106} \  {z \sp {16}}}+
+{{92} \  {z \sp {15}}}+
+{{197} \  {z \sp {14}}}+
+\right.
+\right.
+\\
+\\
+\displaystyle
+{{145} \  {z \sp {13}}}+
+{{257} \  {z \sp {12}}}+
+{{278} \  {z \sp {11}}}+
+{{201} \  {z \sp {10}}}+
+{{278} \  {z \sp 9}}+
+{{257} \  {z \sp 8}}+
+{{145} \  {z \sp 7}}+
+\\
+\\
+\displaystyle
+{{197} \  {z \sp 6}}+
+{{92} \  {z \sp 5}}+
+{{106} \  {z \sp 4}}+
+{{71} \  {z \sp 3}} -
+{{41} \  {z \sp 2}} -
+{6 \  z}+1,
+\\
+\\
+\displaystyle
+\left( {{14745844} \  {z \sp {19}}}+
+{{50357474} \  {z \sp {18}}} -
+{{130948857} \  {z \sp {17}}} -
+{{185261586} \  {z \sp {16}}} -
+\right.
+\\
+\\
+\displaystyle
+{{180077775} \  {z \sp {15}}} -
+{{338007307} \  {z \sp {14}}} -
+{{275379623} \  {z \sp {13}}} -
+{{453190404} \  {z \sp {12}}} -
+\\
+\\
+\displaystyle
+{{474597456} \  {z \sp {11}}} -
+{{366147695} \  {z \sp {10}}} -
+{{481433567} \  {z \sp 9}} -
+{{430613166} \  {z \sp 8}} -
+\\
+\\
+\displaystyle
+{{261878358} \  {z \sp 7}} -
+{{326073537} \  {z \sp 6}} -
+{{163008796} \  {z \sp 5}} -
+{{177213227} \  {z \sp 4}} -
+\\
+\\
+\displaystyle
+\left.
+{{104356755} \  {z \sp 3}}+
+{{65241699} \  {z \sp 2}}+
+{{9237732} \  z} -
+{1567348} 
+\right)\  y+
+\\
+\\
+\displaystyle
+{{1917314} \  {z \sp {19}}}+
+{{6508991} \  {z \sp {18}}} -
+{{16973165} \  {z \sp {17}}} -
+{{24000259} \  {z \sp {16}}} -
+\\
+\\
+\displaystyle
+{{23349192} \  {z \sp {15}}} -
+{{43786426} \  {z \sp {14}}} -
+{{35696474} \  {z \sp {13}}} -
+{{58724172} \  {z \sp {12}}} -
+\\
+\\
+\displaystyle
+{{61480792} \  {z \sp {11}}} -
+{{47452440} \  {z \sp {10}}} -
+{{62378085} \  {z \sp 9}} -
+{{55776527} \  {z \sp 8}} -
+\\
+\\
+\displaystyle
+{{33940618} \  {z \sp 7}} -
+{{42233406} \  {z \sp 6}} -
+{{21122875} \  {z \sp 5}} -
+{{22958177} \  {z \sp 4}} -
+\\
+\\
+\displaystyle
+{{13504569} \  {z \sp 3}}+
+{{8448317} \  {z \sp 2}}+
+{{1195888} \  z} -
+{202934}, 
+\\
+\\
+\displaystyle
+\left.
+\left.
+\left( 
+\left( {z \sp 3} -{2 \  z} 
+\right)\  {y \sp 2}+
+\left( -{z \sp 3} -
+{z \sp 2} -
+{2 \  z} -
+1 
+\right)\  y -
+{z \sp 2} -z+1 
+\right)\  x+
+{z \sp 2} -1 
+\right\}
+\right]
+\end{array}
+$$
+\returnType{Type: List RegularChain(Integer,[x,y,z,t])}
+
+We can see easily from this decomposition (consisting of a single
+regular chain) that the input system has 20 complex roots.
+
+Then we compute a univariate representation of this regular chain.
+
+\spadcommand{univariateSolve(lp)\$pack}
+$$
+\begin{array}{@{}l}
+\left[
+\left[ 
+complexRoots=
+{? \sp {12}} -
+{{12} \  {? \sp {11}}}+
+{{24} \  {? \sp {10}}}+
+{4 \  {? \sp 9}} -
+{9 \  {? \sp 8}}+
+{{27} \  {? \sp 7}} -
+\right.
+\right.
+\\
+\\
+\displaystyle
+{{21} \  {? \sp 6}}+
+{{27} \  {? \sp 5}} -
+{9 \  {? \sp 4}}+
+{4 \  {? \sp 3}}+
+{{24} \  {? \sp 2}} -
+{{12} \  ?}+1, 
+\\
+\\
+\displaystyle
+coordinates=
+\\
+\displaystyle
+\left[ 
+{{63} \  x}+
+{{62} \  { \%A \sp {11}}} -
+{{721} \  { \%A \sp {10}}}+
+{{1220} \  { \%A \sp 9}}+
+{{705} \  {  \%A \sp 8}} -
+{{285} \  { \%A \sp 7}}+
+\right.
+\\
+\\
+\displaystyle
+{{1512} \  { \%A \sp 6}} -
+{{735} \  {  \%A \sp 5}}+
+{{1401} \  { \%A \sp 4}} -
+{{21} \  { \%A \sp 3}}+
+{{215} \  { \%A \sp 2}}+
+{{1577} \  \%A} -{142}, 
+\\
+\\
+\displaystyle
+{63} \  y -
+{{75} \  { \%A \sp {11}}}+
+{{890} \  { \%A \sp {10}}} -
+{{1682} \  { \%A \sp 9}} -
+{{516} \  { \%A \sp 8}}+
+{{588} \  { \%A \sp 7}} -
+{{1953} \  { \%A \sp 6}}+
+\\
+\\
+\displaystyle
+{{1323} \  { \%A \sp 5}} -
+{{1815} \  { \%A \sp 4}}+
+{{426} \  { \%A \sp 3}} -
+{{243} \  { \%A \sp 2}} -
+{{1801} \  \%A}+{679}, 
+\\
+\\
+\displaystyle
+\left.
+\left.
+{z - \%A} 
+\right]
+\right],
+\\
+\\
+\displaystyle
+\left[ 
+complexRoots={{? \sp 6}+{? \sp 5}+{? \sp 4}+{? \sp 3}+{? \sp 2}+?+1}, 
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{coordinates=
+{\left[ {x -{ \%A \sp 5}}, {y -{ \%A \sp 3}},  {z - \%A} 
+\right]}}
+\right],
+\right.
+\\
+\\
+\displaystyle
+\left.
+\left.
+{\left[ 
+{complexRoots={{? \sp 2}+{5 \  ?}+1}}, 
+{coordinates={\left[ {x -1}, {y -1}, {z - \%A} 
+\right]}}
+\right]}
+\right]
+\right.
+\end{array}
+$$
+\returnType{Type: 
+List Record(
+complexRoots: SparseUnivariatePolynomial Integer,
+coordinates: List Polynomial Integer)}
+
+We see that the zeros of our regular chain are split into three components.
+This is due to the use of univariate polynomial factorization.
+
+Each of these components consist of two parts.  The first one is an
+irreducible univariate polynomial {\bf p(?)} which defines a simple
+algebraic extension of the field of fractions of {\bf R}.  The second
+one consists of multivariate polynomials {\bf pol1(x,\%A)}, 
+{\bf pol2(y,\%A)} and {\bf pol3(z,\%A)}.  Each of these polynomials involve
+two variables: one is an indeterminate {\bf x}, {\bf y} or {\bf z} of
+the input system {\bf lp} and the other is {\bf \%A} which represents
+any root of {\bf p(?)}.  Recall that this {\bf \%A} is the last
+element of the third parameter of {\tt ZDSOLVE}.  Thus any complex
+root {\bf ?} of {\bf p(?)} leads to a solution of the input system
+{\bf lp} by replacing {\bf \%A} by this {\bf ?} in {\bf pol1(x,\%A)},
+{\bf pol2(y,\%A)} and {\bf pol3(z,\%A)}.  Note that the polynomials
+{\bf pol1(x,\%A)}, {\bf pol2(y,\%A)} and {\bf pol3(z,\%A)} have degree
+one w.r.t. {\bf x}, {\bf y} or {\bf z} respectively.  This is always
+the case for all univariate representations.  Hence the operation 
+{\bf univariateSolve} replaces a system of multivariate polynomials by a
+list of univariate polynomials, what justifies its name.  Another
+example of univariate representations illustrates the 
+{\tt LexTriangularPackage} package constructor.
+
+We now compute the solutions with real coordinates:
+
+\spadcommand{lr := realSolve(lp)\$pack   }
+$$
+\begin{array}{@{}l}
+\left[
+\left[ 
+{ \%B1}, 
+\right.
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B1} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B1} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B1} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B1} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B1} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B1} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B1} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B1} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B1} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B1} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B1} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B1} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B1} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B1} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B1} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B1} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B1} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B1} \sp 2}} -
+{{{8270} \over {343}} \  { \%B1}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B1} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B1} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B1} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B1} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B1} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B1} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B1} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B1} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B1} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B1} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B1} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B1} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B1} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B1} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B1} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B1} \sp 4}} -
+\\
+\displaystyle
+\left.
+{{{801511} \over {26117}} \  {{ \%B1} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B1} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B1}}+
+{{377534} \over {705159}} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B2}, 
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B2} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B2} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B2} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B2} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B2} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B2} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B2} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B2} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B2} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B2} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B2} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B2} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B2} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B2} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B2} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B2} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B2} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B2} \sp 2}} -
+{{{8270} \over {343}} \  { \%B2}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B2} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B2} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B2} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B2} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B2} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B2} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B2} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B2} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B2} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B2} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B2} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B2} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B2} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B2} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B2} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B2} \sp 4}} -
+\\
+\displaystyle
+\left.
+{{{801511} \over {26117}} \  {{ \%B2} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B2} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B2}}+
+{{377534} \over {705159}} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B3}, 
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B3} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B3} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B3} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B3} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B3} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B3} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B3} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B3} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B3} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B3} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B3} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B3} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B3} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B3} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B3} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B3} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B3} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B3} \sp 2}} -
+{{{8270} \over {343}} \  { \%B3}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B3} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B3} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B3} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B3} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B3} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B3} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B3} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B3} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B3} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B3} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B3} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B3} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B3} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B3} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B3} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B3} \sp 4}} -
+\\
+\displaystyle
+\left.
+{{{801511} \over {26117}} \  {{ \%B3} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B3} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B3}}+
+{{377534} \over {705159}} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B4}, 
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B4} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B4} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B4} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B4} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B4} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B4} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B4} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B4} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B4} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B4} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B4} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B4} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B4} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B4} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B4} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B4} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B4} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B4} \sp 2}} -
+{{{8270} \over {343}} \  { \%B4}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B4} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B4} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B4} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B4} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B4} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B4} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B4} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B4} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B4} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B4} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B4} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B4} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B4} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B4} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B4} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B4} \sp 4}} -
+\\
+\displaystyle
+\left.
+{{{801511} \over {26117}} \  {{ \%B4} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B4} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B4}}+
+{{377534} \over {705159}} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B5}, 
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B5} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B5} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B5} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B5} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B5} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B5} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B5} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B5} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B5} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B5} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B5} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B5} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B5} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B5} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B5} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B5} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B5} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B5} \sp 2}} -
+{{{8270} \over {343}} \  { \%B5}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B5} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B5} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B5} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B5} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B5} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B5} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B5} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B5} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B5} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B5} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B5} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B5} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B5} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B5} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B5} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B5} \sp 4}} -
+\\
+\displaystyle
+\left.
+{{{801511} \over {26117}} \  {{ \%B5} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B5} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B5}}+
+{{377534} \over {705159}} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B6}, 
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B6} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B6} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B6} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B6} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B6} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B6} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B6} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B6} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B6} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B6} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B6} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B6} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B6} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B6} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B6} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B6} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B6} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B6} \sp 2}} -
+{{{8270} \over {343}} \  { \%B6}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B6} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B6} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B6} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B6} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B6} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B6} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B6} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B6} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B6} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B6} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B6} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B6} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B6} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B6} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B6} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B6} \sp 4}} -
+\\
+\displaystyle
+\left.
+{{{801511} \over {26117}} \  {{ \%B6} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B6} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B6}}+
+{{377534} \over {705159}} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B7}, 
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B7} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B7} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B7} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B7} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B7} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B7} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B7} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B7} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B7} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B7} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B7} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B7} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B7} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B7} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B7} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B7} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B7} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B7} \sp 2}} -
+{{{8270} \over {343}} \  { \%B7}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B7} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B7} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B7} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B7} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B7} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B7} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B7} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B7} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B7} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B7} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B7} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B7} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B7} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B7} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B7} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B7} \sp 4}} -
+\\
+\displaystyle
+\left.
+{{{801511} \over {26117}} \  {{ \%B7} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B7} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B7}}+
+{{377534} \over {705159}} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B8}, 
+\right.
+\\
+\\
+\displaystyle
+{{{1184459} \over {1645371}} \  {{ \%B8} \sp {19}}} -
+{{{2335702} \over {548457}} \  {{ \%B8} \sp {18}}} -
+{{{5460230} \over {182819}} \  {{ \%B8} \sp {17}}}+
+{{{79900378} \over {1645371}} \  {{ \%B8} \sp {16}}}+
+\\
+\displaystyle
+{{{43953929} \over {548457}} \  {{ \%B8} \sp {15}}}+
+{{{13420192} \over {182819}} \  {{ \%B8} \sp {14}}}+
+{{{553986} \over {3731}} \  {{ \%B8} \sp {13}}}+
+{{{193381378} \over {1645371}} \  {{ \%B8} \sp {12}}}+
+\\
+\displaystyle
+{{{35978916} \over {182819}} \  {{ \%B8} \sp {11}}}+
+{{{358660781} \over {1645371}} \  {{  \%B8} \sp {10}}}+
+{{{271667666} \over {1645371}} \  {{ \%B8} \sp 9}}+
+{{{118784873} \over {548457}} \  {{ \%B8} \sp 8}}+
+\\
+\displaystyle
+{{{337505020} \over {1645371}} \  {{ \%B8} \sp 7}}+
+{{{1389370} \over {11193}} \  {{ \%B8} \sp 6}}+
+{{{688291} \over {4459}} \  {{ \%B8} \sp 5}}+
+{{{3378002} \over {42189}} \  {{ \%B8} \sp 4}}+
+\\
+\displaystyle
+{{{140671876} \over {1645371}} \  {{ \%B8} \sp 3}}+
+{{{32325724} \over {548457}} \  {{ \%B8} \sp 2}} -
+{{{8270} \over {343}} \  { \%B8}} -
+{{9741532} \over {1645371}}, 
+\\
+\\
+\displaystyle
+-{{{91729} \over {705159}} \  {{  \%B8} \sp {19}}}+
+{{{487915} \over {705159}} \  {{ \%B8} \sp {18}}}+
+{{{4114333} \over {705159}} \  {{ \%B8} \sp {17}}} -
+{{{1276987} \over {235053}} \  {{ \%B8} \sp {16}}} -
+\\
+\displaystyle
+{{{13243117} \over {705159}} \  {{ \%B8} \sp {15}}} -
+{{{16292173} \over {705159}} \  {{ \%B8} \sp {14}}} -
+{{{26536060} \over {705159}} \  {{ \%B8} \sp {13}}} -
+{{{722714} \over {18081}} \  {{ \%B8} \sp {12}}} -
+\\
+\displaystyle
+{{{5382578} \over {100737}} \  {{ \%B8} \sp {11}}} -
+{{{15449995} \over {235053}} \  {{ \%B8} \sp {10}}} -
+{{{14279770} \over {235053}} \  {{  \%B8} \sp 9}} -
+{{{6603890} \over {100737}} \  {{ \%B8} \sp 8}} -
+\\
+\displaystyle
+{{{409930} \over {6027}} \  {{ \%B8} \sp 7}} -
+{{{37340389} \over {705159}} \  {{ \%B8} \sp 6}} -
+{{{34893715} \over {705159}} \  {{ \%B8} \sp 5}} -
+{{{26686318} \over {705159}} \  {{ \%B8} \sp 4}} -
+\\
+\displaystyle
+\left.
+\left.
+{{{801511} \over {26117}} \  {{ \%B8} \sp 3}} -
+{{{17206178} \over {705159}} \  {{ \%B8} \sp 2}} -
+{{{4406102} \over {705159}} \  { \%B8}}+
+{{377534} \over {705159}} 
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: List List RealClosure Fraction Integer}
+The number of real solutions for the input system is:
+
+\spadcommand{\# lr }
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+Each of these real solutions is given by a list of elements in 
+{\tt RealClosure(R)}.  In these 8 lists, the first element is a value of
+{\bf z}, the second of {\bf y} and the last of {\bf x}.  This is
+logical since by setting the list of variables of the package to 
+{\bf [x,y,z,t]} we mean that the elimination ordering on the variables is
+{\bf t < z < y < x }.  Note that each system treated by the 
+{\tt ZDSOLVE} package constructor needs only to be zero-dimensional
+w.r.t. the variables involved in the system it-self and not
+necessarily w.r.t. all the variables used to define the package.
+
+We can approximate these real numbers as follows. 
+This computation takes between 30 sec. and 5 min, depending on your machine.
+
+\spadcommand{[ [approximate(r,1/1000000) for r in point] for point in lr] }
+$$
+\begin{array}{@{}l}
+\left[
+\left[ 
+-{{10048059} \over {2097152}}, 
+\right.
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+450305731698538794352439791383896641459673197621176821933588120838
+\\
+\displaystyle
+551631405892456717609142362969577740309983336076104889822891657813
+\\
+\displaystyle
+709430983859733113720258484693913237615701950676035760116591745498
+\\
+\displaystyle
+681538209878909485152342039281129312614132985654697714546466149548
+\\
+\displaystyle
+782591994118844704172244049192156726354215802806143775884436463441
+\\
+\displaystyle
+0045253024786561923163288214175
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+450305728302524548851651180698582663508310069375732046528055470686
+\\
+\displaystyle
+564494957750991686720188943809040835481793171859386279762455151898
+\\
+\displaystyle
+357079304877442429148870882984032418920030143612331486020082144373
+\\
+\displaystyle
+379075531124363291986489542170422894957129001611949880795702366386
+\\
+\displaystyle
+544306939202714897968826671232335604349152343406892427528041733857
+\\
+\displaystyle
+4817381189277066143312396681216,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left(
+\begin{array}{@{}l}
+210626076882347507389479868048601659624960714869068553876368371502
+\\
+\displaystyle
+063968085864965079005588950564689330944709709993780218732909532589
+\\
+\displaystyle
+878524724902071750498366048207515661873872451468533306001120296463
+\\
+\displaystyle
+516638135154325598220025030528398108683711061484230702609121129792
+\\
+\displaystyle
+987689628568183047905476005638076266490561846205530604781619178201
+\\
+\displaystyle
+15887037891389881895
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+210626060949846419247211380481647417534196295329643410241390314236
+\\
+\displaystyle
+875796768527388858559097596521177886218987288195394364024629735706
+\\
+\displaystyle
+195981232610365979902512686325867656720234210687703171018424748418
+\\
+\displaystyle
+142328892183768123706270847029570621848592886740077193782849920092
+\\
+\displaystyle
+376059331416890100066637389634759811822855673103707202647449677622
+\\
+\displaystyle
+83837629939232800768
+\end{array}
+\right)
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+-{{2563013} \over {2097152}}, 
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+-261134617679192778969861769323775771923825996306354178192275233
+\\
+\displaystyle
+044018989966807292833849076862359320744212592598673381593224350480
+\\
+\displaystyle
+9294837523030237337236806668167446173001727271353311571242897
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+11652254005052225305839819160045891437572266102768589900087901348
+\\
+\displaystyle
+199149409224137539839713940195234333204081399281531888294957554551
+\\
+\displaystyle
+63963417619308395977544797140231469234269034921938055593984,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left(
+\begin{array}{@{}l}
+3572594550275917221096588729615788272998517054675603239578198141
+\\
+\displaystyle
+006034091735282826590621902304466963941971038923304526273329316373
+\\
+\displaystyle
+7574500619789892286110976997087250466235373
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+10395482693455989368770712448340260558008145511201705922005223665
+\\
+\displaystyle
+917594096594864423391410294529502651799899601048118758225302053465
+\\
+\displaystyle
+051315812439017247289173865014702966308864
+\end{array}
+\right)
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+-{{1715967} \over {2097152}}, 
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+-421309353378430352108483951797708239037726150396958622482899843
+\\
+\displaystyle
+660603065607635937456481377349837660312126782256580143620693951995
+\\
+\displaystyle
+146518222580524697287410022543952491
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+94418141441853744586496920343492240524365974709662536639306419607
+\\
+\displaystyle
+958058825854931998401916999176594432648246411351873835838881478673
+\\
+\displaystyle
+4019307857605820364195856822304768,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left(
+\begin{array}{@{}l}
+7635833347112644222515625424410831225347475669008589338834162172
+\\
+\displaystyle
+501904994376346730876809042845208919919925302105720971453918982731
+\\
+\displaystyle
+3890725914035
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+26241887640860971997842976104780666339342304678958516022785809785
+\\
+\displaystyle
+037845492057884990196406022669660268915801035435676250390186298871
+\\
+\displaystyle
+4128491675648
+\end{array}
+\right)
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+-{{437701} \over {2097152}}, 
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+1683106908638349588322172332654225913562986313181951031452750161
+\\
+\displaystyle
+441497473455328150721364868355579646781603507777199075077835213366
+\\
+\displaystyle
+48453365491383623741304759
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+16831068680952133890017099827059136389630776687312261111677851880
+\\
+\displaystyle
+049074252262986803258878109626141402985973669842648879989083770687
+\\
+\displaystyle
+9999845423381649008099328,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left(
+\begin{array}{@{}l}
+4961550109835010186422681013422108735958714801003760639707968096
+\\
+\displaystyle
+64691282670847283444311723917219104249213450966312411133
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+49615498727577383155091920782102090298528971186110971262363840408
+\\
+\displaystyle
+2937659261914313170254867464792718363492160482442215424
+\end{array}
+\right)
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{{222801} \over {2097152}}, 
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+-899488488040242826510759512197069142713604569254197827557300186
+\\
+\displaystyle
+521375992158813771669612634910165522019514299493229913718324170586
+\\
+\displaystyle
+7672383477
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+11678899986650263721777651006918885827089699602299347696908357524
+\\
+\displaystyle
+570777794164352094737678665077694058889427645877185424342556259924
+\\
+\displaystyle
+56372224,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left(
+\begin{array}{@{}l}
+-238970488813315687832080154437380839561277150920849101984745299
+\\
+\displaystyle
+188550954651952546783901661359399969388664003628357055232115503787
+\\
+\displaystyle
+1291458703265
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+53554872736450963260904032866899319059882254446854114332215938336
+\\
+\displaystyle
+811929575628336714686542903407469936562859255991176021204461834431
+\\
+\displaystyle
+45479421952
+\end{array}
+\right)
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{{765693} \over {2097152}}, 
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+8558969219816716267873244761178198088724698958616670140213765754
+\\
+\displaystyle
+322002303251685786118678330840203328837654339523418704917749518340
+\\
+\displaystyle
+772512899000391009630373148561
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+29414424455330107909764284113763934998155802159458569179064525354
+\\
+\displaystyle
+957230138568189417023302287798901412962367211381542319972389173221
+\\
+\displaystyle
+567119652444639331719460159488,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left(
+\begin{array}{@{}l}
+-205761823058257210124765032486024256111130258154358880884392366
+\\
+\displaystyle
+276754938224165936271229077761280019292142057440894808519374368858
+\\
+\displaystyle
+27622246433251878894899015
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+26715982033257355380979523535014502205763137598908350970917225206
+\\
+\displaystyle
+427101987719026671839489062898637147596783602924839492046164715377
+\\
+\displaystyle
+77775324180661095366656
+\end{array}
+\right)
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{{5743879} \over {2097152}}, 
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+1076288816968906847955546394773570208171456724942618614023663123
+\\
+\displaystyle
+574768960850434263971398072546592772662158833449797698617455397887
+\\
+\displaystyle
+562900072984768000608343553189801693408727205047612559889232757563
+\\
+\displaystyle
+830528688953535421809482771058917542602890060941949620874083007858
+\\
+\displaystyle
+36666945350176624841488732463225
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+31317689570803179466484619400235520441903766134585849862285496319
+\\
+\displaystyle
+161966016162197817656155325322947465296482764305838108940793745664
+\\
+\displaystyle
+607578231468885811955560292085152188388832003186584074693994260632
+\\
+\displaystyle
+605898286123092315966691297079864813198515719429272303406229340239
+\\
+\displaystyle
+234867030420681530440845099008,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left(
+\begin{array}{@{}l}
+-211328669918575091836412047556545843787017248986548599438982813
+\\
+\displaystyle
+533526444466528455752649273493169173140787270143293550347334817207
+\\
+\displaystyle
+609872054584900878007756416053431789468836611952973998050294416266
+\\
+\displaystyle
+855009812796195049621022194287808935967492585059442776850225178975
+\\
+\displaystyle
+8706752831632503615
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+16276155849379875802429066243471045808891444661684597180431538394
+\\
+\displaystyle
+083725255333098080703636995855022160112110871032636095510260277694
+\\
+\displaystyle
+140873911481262211681397816825874380753225914661319399754572005223
+\\
+\displaystyle
+498385689642856344480185620382723787873544601061061415180109356172
+\\
+\displaystyle
+051706396253618176
+\end{array}
+\right)
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{{19739877} \over {2097152}}, 
+\right.
+\\
+\\
+\displaystyle
+\left(
+\begin{array}{@{}l}
+-299724993683270330379901580486152094921504038750070717770128576
+\\
+\displaystyle
+672019253057942247895356602435986014310154780163808277161116037221
+\\
+\displaystyle
+287484777803580987284314922548423836585801362934170532170258233335
+\\
+\displaystyle
+091800960178993702398593530490046049338987383703085341034708990888
+\\
+\displaystyle
+081485398113201846458245880061539477074169948729587596021075021589
+\\
+\displaystyle
+194881447685487103153093129546733219013370267109820090228230051075
+\\
+\displaystyle
+18607185928457030277807397796525813862762239286996106809728023675
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+23084332748522785907289100811918110239065041413214326461239367948
+\\
+\displaystyle
+739333192706089607021381934176478983606202295191766329376317868514
+\\
+\displaystyle
+550147660272062590222525055517418236888968838066366025744317604722
+\\
+\displaystyle
+402920931967294751602472688341211418933188487286618444349272872851
+\\
+\displaystyle
+128970807675528648950565858640331785659103870650061128015164035227
+\\
+\displaystyle
+410373609905560544769495270592270708095930494912575195547088792595
+\\
+\displaystyle
+9552929920110858560812556635485429471554031675979542656381353984,
+\end{array}
+\right)
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left.
+\left.
+\left(
+\begin{array}{@{}l}
+-512818926354822848909627639786894008060093841066308045940796633
+\\
+\displaystyle
+584500926410949052045982531625008472301004703502449743652303892581
+\\
+\displaystyle
+895928931293158470135392762143543439867426304729390912285013385199
+\\
+\displaystyle
+069649023156609437199433379507078262401172758774998929661127731837
+\\
+\displaystyle
+229462420711653791043655457414608288470130554391262041935488541073
+\\
+\displaystyle
+594015777589660282236457586461183151294397397471516692046506185060
+\\
+\displaystyle
+376287516256195847052412587282839139194642913955
+\end{array}
+\right)
+\over 
+\left(
+\begin{array}{@{}l}
+22882819397784393305312087931812904711836310924553689903863908242
+\\
+\displaystyle
+435094636442362497730806474389877391449216077946826538517411890917
+\\
+\displaystyle
+117418681451149783372841918224976758683587294866447308566225526872
+\\
+\displaystyle
+092037244118004814057028371983106422912756761957746144438159967135
+\\
+\displaystyle
+026293917497835900414708601277523729964886277426724876224800632688
+\\
+\displaystyle
+088893248918508424949343473376030759399802682084829048596781777514
+\\
+\displaystyle
+4465749979827872616963053217673201717237252096
+\end{array}
+\right)
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: List List Fraction Integer}
+
+We can also concentrate on the solutions with real (strictly) positive
+coordinates:
+
+\spadcommand{lpr := positiveSolve(lp)\$pack   }
+$$
+\left[
+\right]
+$$
+\returnType{Type: List List RealClosure Fraction Integer}
+
+Thus we have checked that the input system has no solution with
+strictly positive coordinates.
+
+Let us define another polynomial system ({\em L-3}).
+
+\spadcommand{f0 := x**3 + y + z + t- 1 }
+$$
+z+y+{x \sp 3}+t -1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{f1 := x + y**3 + z + t -1 }
+$$
+z+{y \sp 3}+x+t -1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{f2 := x + y + z**3 + t-1 }
+$$
+{z \sp 3}+y+x+t -1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{f3 := x + y + z + t**3 -1 }
+$$
+z+y+x+{t \sp 3} -1 
+$$
+\returnType{Type: Polynomial Integer}
+
+\spadcommand{lf := [f0, f1, f2, f3]}
+$$
+\begin{array}{@{}l}
+\left[
+{z+y+{x \sp 3}+t -1}, 
+{z+{y \sp 3}+x+t -1}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{z \sp 3}+y+x+t -1},  
+{z+y+x+{t \sp 3} -1} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Polynomial Integer}
+
+First compute a decomposition into regular chains (i.e. regular
+triangular sets).
+
+\spadcommand{lts := triangSolve(lf)\$pack   }
+$$
+\begin{array}{@{}l}
+\left[
+\left\{ {{t \sp 2}+t+1}, {{z \sp 3} -z -{t \sp 3}+t}, 
+\left( {3 \  z}+{3 \  {t \sp 3}} -3 
+\right)\  {y \sp 2}+
+\left( {3 \  {z \sp 2}}+
+\left( {6 \  {t \sp 3}} -6 
+\right)\  z+
+{3 \  {t \sp 6}} -
+\right.
+\right.
+\right.
+\\
+\displaystyle
+\left.
+{6 \  {t \sp 3}}+3 
+\right)\  y+
+{{\left( {3 \  {t \sp 3}} -3 
+\right)}\  {z \sp 2}}+
+{{\left( {3 \  {t \sp 6}} -{6 \  {t \sp 3}}+3 
+\right)}\  z}+
+{t \sp 9} -
+{3 \  {t \sp 6}}+
+{5 \  {t \sp 3}} -
+{3 \  t}, 
+\\
+\displaystyle
+\left.
+{x+y+z} 
+\right\},
+\left\{ 
+{t \sp {16}} 
+-{6 \  {t \sp {13}}}+
+{9 \  {t \sp {10}}}+
+{4 \  {t \sp 7}}+
+{{15} \  {t \sp 4}} -
+{{54} \  {t \sp 2}}+
+{27}, 
+\right.
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{4907232} \  {t \sp {15}}}+
+{{40893984} \  {t \sp {14}}} -
+{{115013088} \  {t \sp {13}}}+
+{{22805712} \  {t \sp {12}}}+
+{{36330336} \  {t \sp {11}}}+
+\right.
+\\
+\displaystyle
+{{162959040} \  {t \sp {10}}} -
+{{159859440} \  {t \sp 9}} -
+{{156802608} \  {t \sp 8}}+
+{{117168768} \  {t \sp 7}}+
+\\
+\displaystyle
+{{126282384} \  {t \sp 6}} -
+{{129351600} \  {t \sp 5}}+
+{{306646992} \  {t \sp 4}}+
+{{475302816} \  {t \sp 3}} -
+\\
+\displaystyle
+\left.
+{{1006837776} \  {t \sp 2}} -
+{{237269088} \  t}+
+{480716208} 
+\right)\  z+
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{48} \  {t \sp {54}}} -
+{{912} \  {t \sp {51}}}+
+{{8232} \  {t \sp {48}}} -
+{{72} \  {t \sp {46}}} -
+{{46848} \  {t \sp {45}}}+
+{{1152} \  {t \sp {43}}}+
+{{186324} \  {t \sp {42}}} -\hbox{\hskip 1.0cm}
+\\
+\displaystyle
+{{3780} \  {t \sp {40}}} -
+{{543144} \  {t \sp {39}}} -
+{{3168} \  {t \sp {38}}} -
+{{21384} \  {t \sp {37}}}+
+{{1175251} \  {t \sp {36}}}+
+{{41184} \  {t \sp {35}}}+
+\\
+\displaystyle
+{{278003} \  {t \sp {34}}}-
+{{1843242} \  {t \sp {33}}} -
+{{301815} \  {t \sp {32}}} -
+{{1440726} \  {t \sp {31}}}+
+{{1912012} \  {t \sp {30}}}+
+\\
+\displaystyle
+{{1442826} \  {t \sp {29}}}+
+{{4696262} \  {t \sp {28}}} -
+{{922481} \  {t \sp {27}}} -
+{{4816188} \  {t \sp {26}}} -
+{{10583524} \  {t \sp {25}}} -
+\\
+\displaystyle
+{{208751} \  {t \sp {24}}}+
+{{11472138} \  {t \sp {23}}}+
+{{16762859} \  {t \sp {22}}} -
+{{857663} \  {t \sp {21}}} -
+{{19328175} \  {t \sp {20}}} -
+\\
+\displaystyle
+{{18270421} \  {t \sp {19}}}+
+{{4914903} \  {t \sp {18}}}+
+{{22483044} \  {t \sp {17}}}+
+{{12926517} \  {t \sp {16}}} -
+{{8605511} \  {t \sp {15}}} -
+\\
+\displaystyle
+{{17455518} \  {t \sp {14}}} -
+{{5014597} \  {t \sp {13}}}+
+{{8108814} \  {t \sp {12}}}+
+{{8465535} \  {t \sp {11}}}+
+{{190542} \  {t \sp {10}}} -
+\\
+\displaystyle
+{{4305624} \  {t \sp 9}} -
+{{2226123} \  {t \sp 8}}+
+{{661905} \  {t \sp 7}}+
+{{1169775} \  {t \sp 6}}+
+{{226260} \  {t \sp 5}} -
+\\
+\displaystyle
+{{209952} \  {t \sp 4}} -
+{{141183} \  {t \sp 3}}+
+{{27216} \  t}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( {3 \  z}+{3 \  {t \sp 3}} -3 \right)\  {y \sp 2}+
+\left( {3 \  {z \sp 2}}+
+\left( {6 \  {t \sp 3}} -6 \right)\  z+
+{3 \  {t \sp 6}} -{6 \  {t \sp 3}}+3 \right)\  y+
+\left( {3 \  {t \sp 3}} -3 \right)\  {z \sp 2}+
+\\
+\displaystyle
+\left.
+\left( {3 \  {t \sp 6}} -{6 \  {t \sp 3}}+3 \right)\  z+
+{t \sp 9} -{3 \  {t \sp 6}}+{5 \  {t \sp 3}} -{3 \  t}, 
+{x+y+z+{t \sp 3} -1} 
+\right\},
+\\
+\displaystyle
+{\left\{ t, {z -1}, {{y \sp 2} -1}, {x+y} \right\}},
+{\left\{ {t -1}, z, {{y \sp 2} -1}, {x+y} \right\}},
+{\left\{ {t -1}, {{z \sp 2} -1}, {{z \  y}+1}, x \right\}},
+\\
+\displaystyle
+\left\{ 
+{t \sp {16}} -{6 \  {t \sp {13}}}+
+{9 \  {t \sp {10}}}+
+{4 \  {t \sp 7}}+
+{{15} \  {t \sp 4}} -
+{{54} \  {t \sp 2}}+
+{27}, 
+\right.
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{4907232} \  {t \sp {29}}}+
+{{40893984} \  {t \sp {28}}} -
+{{115013088} \  {t \sp {27}}} -
+{{1730448} \  {t \sp {26}}} -
+{{168139584} \  {t \sp {25}}}+
+\right.
+\\
+\displaystyle
+{{738024480} \  {t \sp {24}}} -
+{{195372288} \  {t \sp {23}}}+
+{{315849456} \  {t \sp {22}}} -
+{{2567279232} \  {t \sp {21}}}+
+\\
+\displaystyle
+{{937147968} \  {t \sp {20}}}+
+{{1026357696} \  {t \sp {19}}}+
+{{4780488240} \  {t \sp {18}}} -
+{{2893767696} \  {t \sp {17}}} -
+\\
+\displaystyle
+{{5617160352} \  {t \sp {16}}} -
+{{3427651728} \  {t \sp {15}}}+
+{{5001100848} \  {t \sp {14}}}+
+{{8720098416} \  {t \sp {13}}}+
+\\
+\displaystyle
+{{2331732960} \  {t \sp {12}}} -
+{{499046544} \  {t \sp {11}}} -
+{{16243306272} \  {t \sp {10}}} -
+{{9748123200} \  {t \sp 9}}+
+\\
+\displaystyle
+{{3927244320} \  {t \sp 8}}+
+{{25257280896} \  {t \sp 7}}+
+{{10348032096} \  {t \sp 6}} -
+{{17128672128} \  {t \sp 5}} -
+\\
+\displaystyle
+{{14755488768} \  {t \sp 4}}+
+{{544086720} \  {t \sp 3}}+
+{{10848188736} \  {t \sp 2}}+
+{{1423614528} \  t} -
+\\
+\displaystyle
+\left.
+{2884297248} 
+\right) z -
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{{48} \  {t \sp {68}}}+
+{{1152} \  {t \sp {65}}} -
+{{13560} \  {t \sp {62}}}+
+{{360} \  {t \sp {60}}}+
+{{103656} \  {t \sp {59}}} -
+{{7560} \  {t \sp {57}}} -
+{{572820} \  {t \sp {56}}}+
+\\
+\displaystyle
+{{71316} \  {t \sp {54}}}+
+{{2414556} \  {t \sp {53}}}+
+{{2736} \  {t \sp {52}}} -
+{{402876} \  {t \sp {51}}} -
+{{7985131} \  {t \sp {50}}} -
+{{49248} \  {t \sp {49}}}+
+\\
+\displaystyle
+{{1431133} \  {t \sp {48}}}+
+{{20977409} \  {t \sp {47}}}+
+{{521487} \  {t \sp {46}}} -
+{{2697635} \  {t \sp {45}}} -
+{{43763654} \  {t \sp {44}}} -
+\\
+\displaystyle
+{{3756573} \  {t \sp {43}}} -
+{{2093410} \  {t \sp {42}}}+
+{{71546495} \  {t \sp {41}}}+
+{{19699032} \  {t \sp {40}}}+
+{{35025028} \  {t \sp {39}}} -
+\\
+\displaystyle
+{{89623786} \  {t \sp {38}}} -
+{{77798760} \  {t \sp {37}}} -
+{{138654191} \  {t \sp {36}}}+
+{{87596128} \  {t \sp {35}}}+
+{{235642497} \  {t \sp {34}}}+
+\\
+\displaystyle
+{{349607642} \  {t \sp {33}}} 
+-{{93299834} \  {t \sp {32}}} -
+{{551563167} \  {t \sp {31}}} -
+{{630995176} \  {t \sp {30}}}+
+\\
+\displaystyle
+{{186818962} \  {t \sp {29}}}+
+{{995427468} \  {t \sp {28}}}+
+{{828416204} \  {t \sp {27}}} -
+{{393919231} \  {t \sp {26}}} -
+\\
+\displaystyle
+{{1076617485} \  {t \sp {25}}} -
+{{1609479791} \  {t \sp {24}}}+
+{{595738126} \  {t \sp {23}}}+
+{{1198787136} \  {t \sp {22}}}+
+\\
+\displaystyle
+{{4342832069} \  {t \sp {21}}} -
+{{2075938757} \  {t \sp {20}}} -
+{{4390835799} \  {t \sp {19}}} 
+-{{4822843033} \  {t \sp {18}}}+
+\\
+\displaystyle
+{{6932747678} \  {t \sp {17}}}+
+{{6172196808} \  {t \sp {16}}}+
+{{1141517740} \  {t \sp {15}}} -
+{{4981677585} \  {t \sp {14}}} -
+\\
+\displaystyle
+{{9819815280} \  {t \sp {13}}} -
+{{7404299976} \  {t \sp {12}}} -
+{{157295760} \  {t \sp {11}}}+
+{{29124027630} \  {t \sp {10}}}+
+\\
+\displaystyle
+{{14856038208} \  {t \sp 9}} -
+{{16184101410} \  {t \sp 8}} -
+{{26935440354} \  {t \sp 7}} -
+{{3574164258} \  {t \sp 6}}+
+\\
+\displaystyle
+{{10271338974} \  {t \sp 5}}+
+{{11191425264} \  {t \sp 4}}+
+{{6869861262} \  {t \sp 3}} -
+{{9780477840} \  {t \sp 2}} -
+\\
+\displaystyle
+{{3586674168} \  t}+
+{2884297248}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( {3 \  {z \sp 3}}+
+{{\left( {6 \  {t \sp 3}} -6 
+\right)}\  {z \sp 2}}+
+\left( {6 \  {t \sp 6}} -{{12} \  {t \sp 3}}+3 
+\right)\  z+{2 \  {t \sp 9}} -{6 \  {t \sp 6}}+{t \sp 3}+{3 \  t} 
+\right)\  y+
+\hbox{\hskip 1.0cm}
+\\
+\\
+\displaystyle
+{{\left( {3 \  {t \sp 3}} -3 \right)}\  {z \sp 3}}+
+{{\left( {6 \  {t \sp 6}} -{{12} \  {t \sp 3}}+6 \right)}\  {z \sp 2}}+
+{{\left( {4 \  {t \sp 9}} -{{12} \  {t \sp 6}}+{{11} \  {t \sp 3}} -3 
+\right)}\  z}+
+\\
+\\
+\displaystyle
+\left.
+{t \sp {12}} -
+{4 \  {t \sp 9}}+
+{5 \  {t \sp 6}} -
+{2 \  {t \sp 3}}, 
+{x+y+z+{t \sp 3} -1} 
+\right\},
+\\
+\\
+\displaystyle
+\left\{ {t -1}, {{z \sp 2} -1}, y, {x+z} \right\},
+\left\{ 
+{t \sp 8}+
+{t \sp 7}+
+{t \sp 6} -
+{2 \  {t \sp 5}} -
+{2 \  {t \sp 4}} -
+{2 \  {t \sp 3}}+
+{{19} \  {t \sp 2}}+
+{{19} \  t} -8, 
+\right.
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( 
+{{2395770} \  {t \sp 7}}+
+{{3934440} \  {t \sp 6}} -
+{{3902067} \  {t \sp 5}} -
+{{10084164} \  {t \sp 4}} -
+{{1010448} \  {t \sp 3}}+
+{{32386932} \  {t \sp 2}}+
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{22413225} \  t} -
+{10432368} 
+\right)\  z -
+{{463519} \  {t \sp 7}}+
+{{3586833} \  {t \sp 6}}+
+{{9494955} \  {t \sp 5}} -
+{{8539305} \  {t \sp 4}} -
+\\
+\\
+\displaystyle
+{{33283098} \  {t \sp 3}}+
+{{35479377} \  {t \sp 2}}+
+{{46263256} \  t} -
+{17419896}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left( {3 \  {z \sp 4}}+
+\left( {9 \  {t \sp 3}} -9 \right)\  {z \sp 3}+
+\left( {{12} \  {t \sp 6}} -{{24} \  {t \sp 3}}+9 \right)\  {z \sp 2}+
+\left( -{{152} \  {t \sp 3}}+{{219} \  t} -{67} \right)\  z -
+\right.
+\\
+\\
+\displaystyle
+\left.
+{{41} \  {t \sp 6}}+{{57} \  {t \sp 4}}+{{25} \  {t \sp 3}} -{{57} \  t}+{16} 
+\right)\  y+
+{{\left( {3 \  {t \sp 3}} -3 \right)}\  {z \sp 4}}+
+{{\left( {9 \  {t \sp 6}} -{{18} \  {t \sp 3}}+9 \right)}\  {z \sp 3}}+
+\\
+\\
+\displaystyle
+{{\left( -{{181} \  {t \sp 3}}+{{270} \  t} -{89} \right)}\  {z \sp 2}}+
+{{\left( -{{92} \  {t \sp 6}}+{{135} \  {t \sp 4}}+
+{{49} \  {t \sp 3}} -{{135} \  t}+{43} \right)}\  z}+
+\\
+\\
+\displaystyle
+\left.
+{{27} \  {t \sp 7}} -
+{{27} \  {t \sp 6}} -
+{{54} \  {t \sp 4}}+
+{{396} \  {t \sp 3}} -
+{{486} \  t}+{144}, 
+{x+y+z+{t \sp 3} -1} 
+\right\},
+\\
+\\
+\displaystyle
+{\left\{ t, {z -{t \sp 3}+1}, {y -1}, {x -1} \right\}},
+{\left\{ {t -1}, z, y, x \right\}},
+{\left\{ t, {z -1}, y, x \right\}},
+{\left\{ t, z, {y -1}, x \right\}},
+\\
+\\
+\displaystyle
+\left.
+{\left\{ t, z, y, {x -1} \right\}}
+\right]
+\end{array}
+$$
+\returnType{Type: List RegularChain(Integer,[x,y,z,t])}
+
+Then we compute a univariate representation.
+
+\spadcommand{univariateSolve(lf)\$pack  }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ {complexRoots=?}, {coordinates=
+\left[ {x -1}, {y -1}, 
+{z+1}, {t - \%A} 
+\right]}
+\right]},
+\right.
+\\
+\displaystyle
+{\left[ {complexRoots=?}, {coordinates={\left[ x, {y -1}, z, 
+{t - \%A} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots={? -1}}, {coordinates={\left[ x, y, z, 
+{t - \%A} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots=?}, {coordinates={\left[ {x -1}, y, z, 
+{t - \%A} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots=?}, {coordinates={\left[ x, y, {z -1}, 
+{t - \%A} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots={? -2}}, {coordinates={\left[ {x -1}, {y+1}, 
+z, {t -1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots=?}, {coordinates={\left[ {x+1}, {y -1}, z, 
+{t -1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots={? -1}}, {coordinates={\left[ {x -1}, {y+1}, 
+{z -1}, t 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots={?+1}}, {coordinates={\left[ {x+1}, {y -1}, 
+{z -1}, t 
+\right]}}
+\right]},
+\\
+\displaystyle
+\left[ {complexroots={{? \sp 6} -{2 \  {? \sp 3}}+{3 \  {? \sp 2}} -3}}, 
+coordinates=
+\left[ {{2 \  x}+{ \%A \sp 3}+ \%A -1}, 
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{{2 \  y}+{ \%A \sp 3}+ \%A -1}, {z - \%A}, {t - \%A} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ 
+{complexRoots={{? \sp 5}+{3 \  {? \sp 3}} -{2 \  {? \sp 2}}+{3 \  ?} -3}}, 
+coordinates=
+\left[ {x - \%A}, 
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{y - \%A}, {z+{ \%A \sp 3}+{2 \  \%A} -1}, {t - \%A} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ 
+{complexRoots={{? \sp 4} -{? \sp 3} -{2 \  {? \sp 2}}+3}}, 
+coordinates=
+\left[ {x+{ \%A \sp 3} - \%A -1}, 
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{y+{ \%A \sp 3} - \%A -1}, 
+{z -{ \%A \sp 3}+{2 \  \%A}+1}, 
+{t - \%A} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots={?+1}}, coordinates=
+\left[ {x -1}, {y -1}, z, {t - \%A} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots={{? \sp 6}+{2 \  {? \sp 3}}+{3 \  {? \sp 2}} -3}}, 
+coordinates=
+\left[ 
+{{2 \  x} -{ \%A \sp 3} - \%A -1}, 
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{y+ \%A}, 
+{{2 \  z} -{ \%A \sp 3} - \%A -1}, {t+ \%A} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots={{? \sp 6}+{{12} \  {? \sp 4}}+{{20} \  {? \sp 3}} 
+-{{45} \  {? \sp 2}} -{{42} \  ?} -{953}}}, 
+coordinates=
+\right.
+\\
+\displaystyle
+\left.
+\left[ 
+{{{12609} \  x}+
+{{23} \  { \%A \sp 5}}+
+{{49} \  { \%A \sp 4}} -
+{{46} \  { \%A \sp 3}}+
+{{362} \  { \%A \sp 2}} -
+{{5015} \  \%A} -{8239}}, 
+\right.
+\right.
+\\
+\displaystyle
+{{{25218} \  y}+
+{{23} \  { \%A \sp 5}}+
+{{49} \  { \%A \sp 4}} -
+{{46} \  { \%A \sp 3}}+
+{{362} \  { \%A \sp 2}}+
+{{7594} \  \%A} -
+{8239}}, 
+\\
+\displaystyle
+{{{25218} \  z}+
+{{23} \  { \%A \sp 5}}+
+{{49} \  { \%A \sp 4}} -
+{{46} \  { \%A \sp 3}}+
+{{362} \  { \%A \sp 2}}+
+{{7594} \  \%A} -{8239}}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{12609} \  t}+
+{{23} \  { \%A \sp 5}}+
+{{49} \  { \%A \sp 4}} -
+{{46} \  { \%A \sp 3}}+
+{{362} \  { \%A \sp 2}} -
+{{5015} \  \%A} -
+{8239}} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots=
+{{? \sp 5}+{{12} \  {? \sp 3}} -{{16} \  {? \sp 2}}+{{48} \  ?} -{96}}}, 
+coordinates=
+\left[ {8 \  x}+{ \%A \sp 3}+
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{8 \   \%A} -8, {{2 \  y} - \%A}, {{2 \  z} - \%A}, {{2 \  t} - \%A} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots=
+{{? \sp 5}+{? \sp 4} -{5 \  {? \sp 3}} -{3 \  {? \sp 2}}+{9 \  ?}+3}}, 
+coordinates=
+\left[ {2 \  x} -{ \%A \sp 3}+
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{2 \  \%A} -1, 
+{{2 \  y}+{ \%A \sp 3} -{4 \  \%A}+1}, {{2 \  z} -{ \%A \sp 3}+
+{2 \  \%A} -1}, {{2 \  t} -{ \%A \sp 3}+{2 \  \%A} -1} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots=
+{{? \sp 4} -{3 \  {? \sp 3}}+{4 \  {? \sp 2}} -{6 \  ?}+{13}}}, 
+coordinates=
+\left[ {9 \  x} -{2 \  { \%A \sp 3}}+
+\right.
+\right.
+\\
+\displaystyle
+{4 \  { \%A \sp 2}} - \%A+2, 
+{9 \  y}+{ \%A \sp 3} -
+{2 \  { \%A \sp 2}}+
+{5 \  \%A} -1, 
+{9 \  z}+
+{ \%A \sp 3} -
+{2 \  { \%A \sp 2}}+
+\\
+\displaystyle
+\left.
+\left.
+{5 \  \%A} -1, {{9 \  t}+{ \%A \sp 3} -{2 \  { \%A \sp 2}} -{4 \  \%A} -1} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots={{? \sp 4} -{{11} \  {? \sp 2}}+{37}}}, 
+coordinates=
+\left[ {{3 \  x} -{ \%A \sp 2}+7}, {6 \  y}+{ \%A \sp 2}+
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{3 \  \%A} -7, {{3 \  z} -{ \%A \sp 2}+7}, 
+{{6 \  t}+{ \%A \sp 2} -{3 \   \%A} -7} 
+\right]
+\right],
+\\
+\displaystyle
+{\left[ {complexRoots={?+1}}, {coordinates=
+{\left[ {x -1}, y, {z 
+-1}, {t+1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots={?+2}}, {coordinates=
+{\left[ x, {y -1}, {z -1}, {t+1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots={? -2}}, {coordinates=
+{\left[ x, {y -1}, {z+1}, {t -1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots=?}, {coordinates=
+{\left[ x, {y+1}, {z -1}, {t -1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots={? -2}}, {coordinates=
+{\left[ {x -1}, y, {z+1}, {t -1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+{\left[ {complexRoots=?}, {coordinates=
+{\left[ {x+1}, y, {z -1}, {t -1} 
+\right]}}
+\right]},
+\\
+\displaystyle
+\left[ {complexRoots=
+{{? \sp 4}+{5 \  {? \sp 3}}+{{16} \  {? \sp 2}}+{{30} \  ?}+{57}}}, 
+coordinates=
+\left[ {{{151} \  x}+{15} \  { \%A \sp 3}}+
+\right.
+\right.
+\\
+\displaystyle
+{{54} \  { \%A \sp 2}}+
+{{104} \  \%A}+{93}, 
+{{{151} \  y} -{{10} \  { \%A \sp 3}} -
+{{36} \  { \%A \sp 2}} -{{19} \  \%A} -
+{62}}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{151} \  z} -{5 \  { \%A \sp 3}} -
+{{18} \  { \%A \sp 2}} -{{85} \  \%A} -
+{31}}, 
+{{{151} \  t} -{5 \  { \%A \sp 3}} -
+{{18} \  { \%A \sp 2}} -{{85} \  \%A} 
+-{31}} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots={{? \sp 4} -{? \sp 3} -{2 \  {? \sp 2}}+3}}, 
+coordinates=
+\left[ {x -{ \%A \sp 3}+{2 \  \%A}+1}, 
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{y+{ \%A \sp 3} - \%A -1}, {z - \%A}, {t+{ \%A \sp 3} - \%A -1} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots=
+{{? \sp 4}+{2 \  {? \sp 3}} -{8 \  {? \sp 2}}+{48}}}, 
+coordinates=
+\left[ {{8 \  x} -{ \%A \sp 3}+{4 \  \%A} -8}, 
+\right.
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{{2 \  y}+ \%A}, {{8 \  z}+{ \%A \sp 3} -{8 \  \%A}+8}, 
+{{8 \  t} -{ \%A \sp 3}+{4 \  \%A} -8} 
+\right]
+\right],
+\\
+\displaystyle
+\left[ {complexRoots=
+{{? \sp 5}+{? \sp 4} -{2 \  {? \sp 3}} -{4 \  {? \sp 2}}+{5 \  ?}+8}}, 
+\right.
+\\
+\displaystyle
+\left.
+coordinates=
+\left[ 
+{{3 \  x}+{ \%A \sp 3} -1}, 
+{{3 \  y}+{ \%A \sp 3} -1}, 
+{{3 \  z}+{ \%A \sp 3} -1}, 
+{t - \%A} 
+\right]
+\right],
+\\
+\displaystyle
+\left.
+\left[ 
+{complexRoots={{? \sp 3}+{3 \  ?} -1}}, 
+coordinates=
+\left[ {x - \%A}, {y - \%A}, {z - \%A}, {t - \%A} 
+\right]
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: 
+List Record(
+complexRoots: SparseUnivariatePolynomial Integer,
+coordinates: List Polynomial Integer)}
+
+Note that this computation is made from the input system {\bf lf}.
+
+However it is possible to reuse a pre-computed regular chain as follows:
+
+\spadcommand{ts := lts.1  }
+$$
+\begin{array}{@{}l}
+\left\{
+{{t \sp 2}+t+1}, 
+{{z \sp 3} -z -{t \sp 3}+t}, 
+\right.
+\\
+\\
+\displaystyle
+\left( {3 \  z}+{3 \  {t \sp 3}} -3 
+\right)\  {y \sp 2}+
+\left( {3 \  {z \sp 2}}+
+\left( {6 \  {t \sp 3}} -6 
+\right)\  z+{3 \  {t \sp 6}} -{6 \  {t \sp 3}}+3 
+\right)\  y+
+\\
+\\
+\displaystyle
+\left.
+\left( {3 \  {t \sp 3}} -3 
+\right)\  {z \sp 2}+
+\left( {3 \  {t \sp 6}} -{6 \  {t \sp 3}}+3 
+\right)\  z+
+{t \sp 9} -{3 \  {t \sp 6}}+{5 \  {t \sp 3}} -{3 \  t}, 
+{x+y+z} 
+\right\}
+\end{array}
+$$
+\returnType{Type: RegularChain(Integer,[x,y,z,t])}
+
+\spadcommand{univariateSolve(ts)\$pack  }
+$$
+\begin{array}{@{}l}
+\left[
+\left[ 
+{complexRoots=
+{{? \sp 4}+{5 \  {? \sp 3}}+{{16} \  {? \sp 2}}+{{30} \  ?}+{57}}}, 
+p\right.
+\right.
+\\
+\displaystyle
+coordinates=
+\left[ 
+{{{151} \  x}+
+{{15} \  { \%A \sp 3}}+
+{{54} \  { \%A \sp 2}}+
+{{104} \  \%A}+{93}}, 
+\right.
+\\
+\displaystyle
+{{151} \  y} -
+{{10} \  { \%A \sp 3}} -
+{{36} \  { \%A \sp 2}} -
+{{19} \  \%A} -{62}, 
+\\
+\displaystyle
+{{{151} \  z} -
+{5 \  {  \%A \sp 3}} -
+{{18} \  { \%A \sp 2}} -
+{{85} \  \%A} -{31}}, 
+\\
+\displaystyle
+\left.
+\left.
+{{{151} \  t} -
+{5 \  { \%A \sp 3}} -
+{{18} \  { \%A \sp 2}} -
+{{85} \  \%A} -{31}} 
+\right]
+\right],
+\\
+\\
+\displaystyle
+\left[ {complexRoots={{? \sp 4} -{? \sp 3} -{2 \  {? \sp 2}}+3}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\left[ 
+{x -{ \%A \sp 3}+{2 \  \%A}+1}, 
+{y+{ \%A \sp 3} - \%A -1}, 
+\right.
+\\
+\displaystyle
+\left.
+\left.
+{z - \%A}, 
+{t+{ \%A \sp 3} - \%A -1} 
+\right]
+\right],
+\\
+\\
+\displaystyle
+\left[ 
+{complexRoots={{? \sp 4}+{2 \  {? \sp 3}} -{8 \  {? \sp 2}}+{48}}}, 
+\right.
+\\
+\displaystyle
+coordinates=
+\left[ 
+{{8 \  x} -{ \%A \sp 3}+{4 \  \%A} -8}, 
+{{2 \  y}+ \%A}, 
+\right.
+\\
+\displaystyle
+\left.
+\left.
+\left.
+{{8 \  z}+{ \%A \sp 3} -{8 \  \%A}+8}, 
+{{8 \  t} -{  \%A \sp 3}+{4 \  \%A} -8} 
+\right]
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: List Record(
+complexRoots: SparseUnivariatePolynomial Integer,
+coordinates: List Polynomial Integer)}
+
+\spadcommand{realSolve(ts)\$pack   }
+$$
+\left[
+\right]
+$$
+\returnType{Type: List List RealClosure Fraction Integer}
+
+We compute now the full set of points with real coordinates:
+
+\spadcommand{lr2 := realSolve(lf)\$pack    }
+$$
+\begin{array}{@{}l}
+\left[
+{\left[ 0, -1, 1, 1 \right]},
+{\left[ 0, 0, 1, 0 \right]},
+{\left[ 1, 0, 0, 0 \right]},
+{\left[ 0, 0, 0, 1 \right]},
+{\left[ 0, 1, 0, 0 \right]},\hbox{\hskip 4.5cm}
+\right.
+\\
+\\
+\displaystyle
+{\left[ 1, 0, { \%B{37}}, -{ \%B{37}} \right]},
+{\left[ 1, 0, { \%B{38}}, -{ \%B{38}} \right]},
+\\
+\\
+\displaystyle
+{\left[ 0, 1, { \%B{35}}, -{ \%B{35}} \right]},
+{\left[ 0, 1, { \%B{36}}, -{ \%B{36}} \right]},
+{\left[ -1, 0, 1, 1 \right]},
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{32}}, 
+{{1 \over {27}} \  {{ \%B{32}} \sp {15}}}+
+{{2 \over {27}} \  {{ \%B{32}} \sp {14}}}+
+{{1 \over {27}} \  {{ \%B{32}} \sp {13}}} -
+{{4 \over {27}} \  {{ \%B{32}} \sp {12}}} -
+{{{11} \over {27}} \  {{  \%B{32}} \sp {11}}} -
+\right.
+\\
+\\
+\displaystyle
+{{4 \over {27}} \  {{ \%B{32}} \sp {10}}}+
+{{1 \over {27}} \  {{ \%B{32}} \sp 9}}+
+{{{14} \over {27}} \  {{ \%B{32}} \sp 8}}+
+{{1 \over {27}} \  {{ \%B{32}} \sp 7}}+
+{{2 \over 9} \  {{ \%B{32}} \sp 6}}+
+\\
+\\
+\displaystyle
+{{1 \over 3} \  {{ \%B{32}} \sp 5}}+
+{{2 \over 9} \  {{ \%B{32}} \sp 4}}+
+{{  \%B{32}} \sp 3}+
+{{4 \over 3} \  {{ \%B{32}} \sp 2}} -
+{ \%B{32}} 
+-2, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+-{{1 \over {54}} \  {{ \%B{32}} \sp {15}}} -\hbox{\hskip 1.0cm}
+{{1 \over {27}} \  {{ \%B{32}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{32}} \sp {13}}}+
+{{2 \over {27}} \  {{  \%B{32}} \sp {12}}}+
+{{{11} \over {54}} \  {{ \%B{32}} \sp {11}}}+
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{32}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{32}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{32}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{32}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{32}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{32}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{32}} \sp 4}} -
+{{ \%B{32}} \sp 3} -{{2 \over 3} \  
+{{  \%B{32}} \sp 2}}+
+{{1 \over 2} \  { \%B{32}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+-{{1 \over {54}} \  {{ \%B{32}} \sp {15}}} -\hbox{\hskip 1.0cm}
+{{1 \over {27}} \  {{ \%B{32}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{32}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{32}} \sp {12}}}+
+{{{11} \over {54}} \  {{ \%B{32}} \sp {11}}}+
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{  \%B{32}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{32}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{32}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{32}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{32}} \sp 6}} -
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{32}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{32}} \sp 4}} -
+{{ \%B{32}} \sp 3} -
+{{2 \over 3} \  {{ \%B{32}} \sp 2}}+
+{{1 \over 2} \  { \%B{32}}}+
+{3 \over 2} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{33}}, 
+{{1 \over {27}} \  {{ \%B{33}} \sp {15}}}+
+{{2 \over {27}} \  {{ \%B{33}} \sp {14}}}+
+{{1 \over {27}} \  {{ \%B{33}} \sp {13}}} -
+{{4 \over {27}} \  {{ \%B{33}} \sp {12}}} -
+{{{11} \over {27}} \  {{  \%B{33}} \sp {11}}} -
+\right.
+\\
+\\
+\displaystyle
+{{4 \over {27}} \  {{ \%B{33}} \sp {10}}}+
+{{1 \over {27}} \  {{ \%B{33}} \sp 9}}+
+{{{14} \over {27}} \  {{ \%B{33}} \sp 8}}+
+{{1 \over {27}} \  {{ \%B{33}} \sp 7}}+
+{{2 \over 9} \  {{ \%B{33}} \sp 6}}+
+\\
+\\
+\displaystyle
+{{1\over 3} \  {{ \%B{33}} \sp 5}}+
+{{2 \over 9} \  {{ \%B{33}} \sp 4}}+
+{{  \%B{33}} \sp 3}+
+{{4 \over 3} \  {{ \%B{33}} \sp 2}} -
+{ \%B{33}} -2, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+-{{1 \over {54}} \  {{ \%B{33}} \sp {15}}} -\hbox{\hskip 1.0cm}
+{{1 \over {27}} \  {{ \%B{33}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{33}} \sp {13}}}+
+{{2 \over {27}} \  {{  \%B{33}} \sp {12}}}+
+{{{11} \over {54}} \  {{ \%B{33}} \sp {11}}}+
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{33}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{33}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{33}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{33}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{33}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{33}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{33}} \sp 4}} -
+{{ \%B{33}} \sp 3} -
+{{2 \over 3} \  {{  \%B{33}} \sp 2}}+
+{{1 \over 2} \  { \%B{33}}}+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+-{{1 \over {54}} \  {{ \%B{33}} \sp {15}}} -\hbox{\hskip 1.0cm}
+{{1 \over {27}} \  {{ \%B{33}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{33}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{33}} \sp {12}}}+
+{{{11} \over {54}} \  {{ \%B{33}} \sp {11}}}+
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{  \%B{33}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{33}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{33}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{33}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{33}} \sp 6}} -
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{33}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{33}} \sp 4}} -
+{{ \%B{33}} \sp 3} -
+{{2 \over 3} \  {{ \%B{33}} \sp 2}}+
+{{1 \over 2} \  { \%B{33}}}+
+{3 \over 2} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{34}}, 
+{{1 \over {27}} \  {{ \%B{34}} \sp {15}}}+
+{{2 \over {27}} \  {{ \%B{34}} \sp {14}}}+
+{{1 \over {27}} \  {{ \%B{34}} \sp {13}}} -
+{{4 \over {27}} \  {{ \%B{34}} \sp {12}}} -
+{{{11} \over {27}} \  {{  \%B{34}} \sp {11}}} -
+\right.
+\\
+\\
+\displaystyle
+{{4 \over {27}} \  {{ \%B{34}} \sp {10}}}+
+{{1 \over {27}} \  {{ \%B{34}} \sp 9}}+
+{{{14} \over {27}} \  {{ \%B{34}} \sp 8}}+
+{{1 \over {27}} \  {{ \%B{34}} \sp 7}}+
+{{2 \over 9} \  {{ \%B{34}} \sp 6}}+
+\\
+\\
+\displaystyle
+{{1 \over 3} \  {{ \%B{34}} \sp 5}}+
+{{2 \over 9} \  {{ \%B{34}} \sp 4}}+
+{{  \%B{34}} \sp 3}+
+{{4 \over 3} \  {{ \%B{34}} \sp 2}} -
+{ \%B{34}} -2, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+-{{1 \over {54}} \  {{ \%B{34}} \sp {15}}} -\hbox{\hskip 1.0cm}
+{{1 \over {27}} \  {{ \%B{34}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{34}} \sp {13}}}+
+{{2 \over {27}} \  {{  \%B{34}} \sp {12}}}+
+{{{11} \over {54}} \  {{ \%B{34}} \sp {11}}}+
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{34}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{34}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{34}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{34}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{34}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{34}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{34}} \sp 4}} -
+{{ \%B{34}} \sp 3} -
+{{2 \over 3} \  {{  \%B{34}} \sp 2}}+
+{{1 \over 2} \  { \%B{34}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+-{{1 \over {54}} \  {{ \%B{34}} \sp {15}}} -\hbox{\hskip 1.0cm}
+{{1 \over {27}} \  {{ \%B{34}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{34}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{34}} \sp {12}}}+
+{{{11} \over {54}} \  {{ \%B{34}} \sp {11}}}+
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{  \%B{34}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{34}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{34}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{34}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{34}} \sp 6}} -
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{34}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{34}} \sp 4}} -
+{{ \%B{34}} \sp 3} -
+{{2 \over 3} \  {{ \%B{34}} \sp 2}}+
+{{1 \over 2} \  { \%B{34}}}+
+{3 \over 2}
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{\left[ -1, 1, 0, 1 \right]},
+{\left[ -1, 1, 1, 0 \right]},
+\\
+\\
+\displaystyle
+\left[ 
+{ \%B{23}}, 
+-{{1 \over {54}} \  {{ \%B{23}} \sp {15}}} -
+{{1 \over {27}} \  {{ \%B{23}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{23}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{23}} \sp {12}}}+
+{{{11} \over {54}} \  {{  \%B{23}} \sp {11}}}+
+\right.
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{23}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{23}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{23}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{23}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{23}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{23}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{23}} \sp 4}} -
+{{  \%B{23}} \sp 3} -
+{{2 \over 3} \  {{ \%B{23}} \sp 2}}+
+{{1 \over 2} \  {  \%B{23}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{ \%B{30}}, 
+-{ \%B{30}}+
+{{1 \over {54}} \  {{  \%B{23}} \sp {15}}}+\hbox{\hskip 1.0cm}
+{{1 \over {27}} \  {{ \%B{23}} \sp {14}}}+
+{{1 \over {54}} \  {{ \%B{23}} \sp {13}}} -
+{{2 \over {27}} \  {{ \%B{23}} \sp {12}}} -
+{{{11} \over {54}} \  {{ \%B{23}} \sp {11}}} -
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{23}} \sp {10}}}+
+{{1 \over {54}} \  {{ \%B{23}} \sp 9}}+
+{{7 \over {27}} \  {{ \%B{23}} \sp 8}}+
+{{1 \over {54}} \  {{ \%B{23}} \sp 7}}+
+{{1 \over 9} \  {{ \%B{23}} \sp 6}}+
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{23}} \sp 5}}+
+{{1 \over 9} \  {{ \%B{23}} \sp 4}}+
+{{2 \over 3} \  {{ \%B{23}} \sp 2}} -
+{{1 \over 2} \  { \%B{23}}} -
+{1 \over 2} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{23}}, 
+-{{1 \over {54}} \  {{ \%B{23}} \sp {15}}} -
+{{1 \over {27}} \  {{ \%B{23}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{23}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{23}} \sp {12}}}+
+{{{11} \over {54}} \  {{  \%B{23}} \sp {11}}}+
+\right.
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{23}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{23}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{23}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{23}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{23}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{23}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{23}} \sp 4}} -
+{{  \%B{23}} \sp 3} -
+{{2 \over 3} \  {{ \%B{23}} \sp 2}}+
+{{1 \over 2} \  {  \%B{23}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{ \%B{31}}, 
+-{ \%B{31}}+{{1 \over {54}} \  {{  \%B{23}} \sp {15}}}+
+{{1 \over {27}} \  {{ \%B{23}} \sp {14}}}+
+{{1 \over {54}} \  {{ \%B{23}} \sp {13}}} -
+{{2 \over {27}} \  {{ \%B{23}} \sp {12}}} -
+\\
+\\
+\displaystyle
+{{{11} \over {54}} \  {{ \%B{23}} \sp {11}}} -
+{{2 \over {27}} \  {{ \%B{23}} \sp {10}}}+
+{{1 \over {54}} \  {{ \%B{23}} \sp 9}}+
+{{7 \over {27}} \  {{ \%B{23}} \sp 8}}+
+{{1 \over {54}} \  {{ \%B{23}} \sp 7}}+
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 9} \  {{ \%B{23}} \sp 6}}+
+{{1 \over 6} \  {{ \%B{23}} \sp 5}}+
+{{1 \over 9} \  {{ \%B{23}} \sp 4}}+
+{{2 \over 3} \  {{ \%B{23}} \sp 2}} -
+{{1 \over 2} \  { \%B{23}}} -
+{1 \over 2} 
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{24}}, 
+-{{1 \over {54}} \  {{ \%B{24}} \sp {15}}} -
+{{1 \over {27}} \  {{ \%B{24}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{24}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{24}} \sp {12}}}+
+{{{11} \over {54}} \  {{  \%B{24}} \sp {11}}}+
+\right.
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{24}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{24}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{24}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{24}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{24}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{24}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{24}} \sp 4}} -
+{{  \%B{24}} \sp 3} -
+{{2 \over 3} \  {{ \%B{24}} \sp 2}}+
+{{1 \over 2} \  {  \%B{24}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{ \%B{28}}, 
+-{ \%B{28}}+{{1 \over {54}} \  {{  \%B{24}} \sp {15}}}+
+{{1 \over {27}} \  {{ \%B{24}} \sp {14}}}+
+{{1 \over {54}} \  {{ \%B{24}} \sp {13}}} -
+{{2 \over {27}} \  {{ \%B{24}} \sp {12}}} -
+{{{11} \over {54}} \  {{ \%B{24}} \sp {11}}} -
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{24}} \sp {10}}}+
+{{1 \over {54}} \  {{ \%B{24}} \sp 9}}+
+{{7 \over {27}} \  {{ \%B{24}} \sp 8}}+
+{{1 \over {54}} \  {{ \%B{24}} \sp 7}}+
+{{1 \over 9} \  {{ \%B{24}} \sp 6}}+
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{24}} \sp 5}}+
+{{1 \over 9} \  {{ \%B{24}} \sp 4}}+
+{{2 \over 3} \  {{ \%B{24}} \sp 2}} -
+{{1 \over 2} \  { \%B{24}}} -
+{1 \over 2}
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{24}}, 
+-{{1 \over {54}} \  {{ \%B{24}} \sp {15}}} -
+{{1 \over {27}} \  {{ \%B{24}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{24}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{24}} \sp {12}}}+
+{{{11} \over {54}} \  {{  \%B{24}} \sp {11}}}+
+\right.
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{24}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{24}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{24}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{24}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{24}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{24}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{24}} \sp 4}} -
+{{  \%B{24}} \sp 3} -
+{{2 \over 3} \  {{ \%B{24}} \sp 2}}+
+{{1 \over 2} \  {  \%B{24}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{ \%B{29}}, 
+-{ \%B{29}}+
+{{1 \over {54}} \  {{  \%B{24}} \sp {15}}}+
+{{1 \over {27}} \  {{ \%B{24}} \sp {14}}}+
+{{1 \over {54}} \  {{ \%B{24}} \sp {13}}} -
+{{2 \over {27}} \  {{ \%B{24}} \sp {12}}} -
+{{{11} \over {54}} \  {{ \%B{24}} \sp {11}}} -
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{24}} \sp {10}}}+
+{{1 \over {54}} \  {{ \%B{24}} \sp 9}}+
+{{7 \over {27}} \  {{ \%B{24}} \sp 8}}+
+{{1 \over {54}} \  {{ \%B{24}} \sp 7}}+
+{{1 \over 9} \  {{ \%B{24}} \sp 6}}+
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{24}} \sp 5}}+
+{{1 \over 9} \  {{ \%B{24}} \sp 4}}+
+{{2 \over 3} \  {{ \%B{24}} \sp 2}} -
+{{1 \over 2} \  { \%B{24}}} -
+{1 \over 2}
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{25}}, 
+-{{1 \over {54}} \  {{ \%B{25}} \sp {15}}} -
+{{1 \over {27}} \  {{ \%B{25}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{25}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{25}} \sp {12}}}+
+{{{11} \over {54}} \  {{  \%B{25}} \sp {11}}}+
+\right.
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{25}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{25}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{25}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{25}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{25}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{25}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{25}} \sp 4}} -
+{{  \%B{25}} \sp 3} -
+{{2 \over 3} \  {{ \%B{25}} \sp 2}}+
+{{1 \over 2} \  {  \%B{25}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{ \%B{26}}, 
+-{ \%B{26}}+
+{{1 \over {54}} \  {{  \%B{25}} \sp {15}}}+
+{{1 \over {27}} \  {{ \%B{25}} \sp {14}}}+
+{{1 \over {54}} \  {{ \%B{25}} \sp {13}}} -
+{{2 \over {27}} \  {{ \%B{25}} \sp {12}}} -
+{{{11} \over {54}} \  {{ \%B{25}} \sp {11}}} -
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{25}} \sp {10}}}+
+{{1 \over {54}} \  {{ \%B{25}} \sp 9}}+
+{{7 \over {27}} \  {{ \%B{25}} \sp 8}}+
+{{1 \over {54}} \  {{ \%B{25}} \sp 7}}+
+{{1 \over 9} \  {{ \%B{25}} \sp 6}}+
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{25}} \sp 5}}+
+{{1 \over 9} \  {{ \%B{25}} \sp 4}}+
+{{2 \over 3} \  {{ \%B{25}} \sp 2}} -
+{{1 \over 2} \  { \%B{25}}} -
+{1 \over 2}
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+\left[ 
+{ \%B{25}}, 
+-{{1 \over {54}} \  {{ \%B{25}} \sp {15}}} -
+{{1 \over {27}} \  {{ \%B{25}} \sp {14}}} -
+{{1 \over {54}} \  {{ \%B{25}} \sp {13}}}+
+{{2 \over {27}} \  {{ \%B{25}} \sp {12}}}+
+{{{11} \over {54}} \  {{  \%B{25}} \sp {11}}}+
+\right.
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{25}} \sp {10}}} -
+{{1 \over {54}} \  {{ \%B{25}} \sp 9}} -
+{{7 \over {27}} \  {{ \%B{25}} \sp 8}} -
+{{1 \over {54}} \  {{ \%B{25}} \sp 7}} -
+{{1 \over 9} \  {{ \%B{25}} \sp 6}} -
+\\
+\\
+\displaystyle
+{{1 \over 6} \  {{ \%B{25}} \sp 5}} -
+{{1 \over 9} \  {{ \%B{25}} \sp 4}} -
+{{  \%B{25}} \sp 3} -
+{{2 \over 3} \  {{ \%B{25}} \sp 2}}+
+{{1 \over 2} \  {  \%B{25}}}+
+{3 \over 2}, 
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{ \%B{27}}, 
+-{ \%B{27}}+
+{{1 \over {54}} \  {{  \%B{25}} \sp {15}}}+
+{{1 \over {27}} \  {{ \%B{25}} \sp {14}}}+
+{{1 \over {54}} \  {{ \%B{25}} \sp {13}}} -
+{{2 \over {27}} \  {{ \%B{25}} \sp {12}}} -
+{{{11} \over {54}} \  {{ \%B{25}} \sp {11}}} -
+\\
+\\
+\displaystyle
+{{2 \over {27}} \  {{ \%B{25}} \sp {10}}}+
+{{1 \over {54}} \  {{ \%B{25}} \sp 9}}+
+{{7 \over {27}} \  {{ \%B{25}} \sp 8}}+
+{{1 \over {54}} \  {{ \%B{25}} \sp 7}}+
+{{1 \over 9} \  {{ \%B{25}} \sp 6}}+
+\\
+\\
+\displaystyle
+\left.
+{{1 \over 6} \  {{ \%B{25}} \sp 5}}+
+{{1 \over 9} \  {{ \%B{25}} \sp 4}}+
+{{2 \over 3} \  {{ \%B{25}} \sp 2}} -
+{{1 \over 2} \  { \%B{25}}} -
+{1 \over 2}
+\right],
+\end{array}
+$$
+$$
+\begin{array}{@{}l}
+{\left[ 1, { \%B{21}}, -{ \%B{21}}, 0 \right]},
+{\left[ 1, { \%B{22}}, -{ \%B{22}}, 0 \right]},
+{\left[ 1, { \%B{19}}, 0, -{ \%B{19}} \right]},
+{\left[ 1, { \%B{20}}, 0, -{ \%B{20}} \right]},
+\\
+\\
+\displaystyle
+\left[ 
+{ \%B{17}}, 
+-{{1 \over 3} \  {{ \%B{17}} \sp 3}}+
+{1 \over 3}, 
+-{{1 \over 3} \  {{ \%B{17}} \sp 3}}+
+{1 \over 3}, 
+-{{1 \over 3} \  {{ \%B{17}} \sp 3}}+
+{1 \over 3}
+\right],
+\\
+\\
+\displaystyle
+\left.
+\left[ 
+{ \%B{18}}, 
+{-{{1 \over 3} \  {{ \%B{18}} \sp 3}}+{1 \over 3}}, 
+{-{{1 \over 3} \  {{ \%B{18}} \sp 3}}+{1 \over 3}}, 
+{-{{1 \over 3} \  {{ \%B{18}} \sp 3}}+{1 \over 3}} 
+\right]
+\right]
+\end{array}
+$$
+\returnType{Type: List List RealClosure Fraction Integer}
+
+The number of real solutions for the input system is:
+
+\spadcommand{\#lr2 }
+$$
+27 
+$$
+\returnType{Type: PositiveInteger}
+
+Another example of computation of real solutions illustrates the 
+{\tt LexTriangularPackage} package constructor.
+
+We concentrate now on the solutions with real (strictly) positive
+coordinates:
+
+\spadcommand{lpr2 := positiveSolve(lf)\$pack   }
+$$
+\left[
+{\left[ { \%B{40}}, {-{{1 \over 3} \  {{ \%B{40}} \sp 3}}+{1 \over 3}}, 
+{-{{1 \over 3} \  {{ \%B{40}} \sp 3}}+{1 \over 3}}, {-{{1 \over 3} \  {{ 
+ \%B{40}} \sp 3}}+{1 \over 3}} 
+\right]}
+\right]
+$$
+\returnType{Type: List List RealClosure Fraction Integer}
+
+Finally, we approximate the coordinates of this point with 20 exact digits:
+
+\spadcommand{[approximate(r,1/10**21)::Float for r in lpr2.1] }
+$$
+\begin{array}{@{}l}
+\left[
+{0.3221853546\ 2608559291}, 
+{0.3221853546\ 2608559291}, 
+\right.
+\\
+\displaystyle
+\left.
+{0.3221853546\ 2608559291}, 
+{0.3221853546 2608559291} 
+\right]
+\end{array}
+$$
+\returnType{Type: List Float}
+
+
+\chapter{Interactive Programming}
+\label{ugIntProg}
+
+Programming in the interpreter is easy.
+So is the use of Axiom's graphics facility.
+Both are rather flexible and allow you to use them for many
+interesting applications.
+However, both require learning some basic ideas and skills.
+
+All graphics examples in the gallery section are either
+produced directly by interactive commands or by interpreter
+programs.
+Four of these programs are introduced here.
+By the end of this chapter you will know enough about graphics and
+programming in the interpreter to not only understand all these
+examples, but to tackle interesting and difficult problems on your
+own.
+The appendix on graphics lists all the remaining commands and
+programs used to create these images.
+
+\section{Drawing Ribbons Interactively}
+\label{ugIntProgDrawing}
+
+We begin our discussion of interactive graphics with the creation
+of a useful facility: plotting ribbons of two-graphs in
+three-space.
+Suppose you want to draw the two-di\-men\-sion\-al graphs of $n$
+functions $f_i(x), 1 \leq i \leq n,$ all over some fixed range of $x$.
+One approach is to create a two-di\-men\-sion\-al graph for each one, then
+superpose one on top of the other.
+What you will more than likely get is a jumbled mess.
+Even if you make each function a different color, the result is
+likely to be confusing.
+
+A better approach is to display each of the $f_i(x)$ in three
+\index{ribbon}
+dimensions as a ``ribbon'' of some appropriate width along the
+$y$-direction, laying down each  ribbon next to the
+previous one.
+A ribbon is simply a function of $x$ and $y$ depending
+only on $x$.
+
+We illustrate this for $f_i(x)$ defined as simple powers of
+$x$ for $x$ ranging between $-1$ and $1$.
+
+
+Draw the ribbon for $z = x^2$.
+
+\spadgraph{draw(x**2,x=-1..1,y=0..1)}
+
+%\epsffile[0 0 295 295]{ps/ribbon1.ps}
+
+Now that was easy!
+What you get is a ``wire-mesh'' rendition of the ribbon.
+That's fine for now.
+Notice that the mesh-size is small in both the $x$ and the
+$y$ directions.
+Axiom normally computes points in both these directions.
+This is unnecessary.
+One step is all we need in the $y$-direction.
+To have Axiom economize on $y$-points, we re-draw the
+ribbon with option $var2Steps == 1$.
+
+Re-draw the ribbon, but with option $var2Steps == 1$
+so that only $1$ step is computed in the
+$y$ direction.
+
+\spadgraph{vp := draw(x**2,x=-1..1,y=0..1,var2Steps==1) }
+
+%\epsffile[0 0 295 295]{ps/ribbon2.ps}
+
+The operation has created a viewport, that is, a graphics window
+on your screen.
+We assigned the viewport to $vp$ and now we manipulate
+its contents.
+
+
+Graphs are objects, like numbers and algebraic expressions.
+You may want to do some experimenting with graphs.
+For example, say
+\begin{verbatim}
+showRegion(vp, "on")
+\end{verbatim}
+to put a bounding box around the ribbon.
+Try it!
+Issue $rotate(vp, -45, 90)$ to rotate the
+figure $-45$ longitudinal degrees and $90$ latitudinal
+degrees.
+
+Here is a different rotation.
+This turns the graph so you can view it along the $y$-axis.
+
+\spadcommand{rotate(vp, 0, -90)}
+
+%\epsffile[0 0 295 295]{ps/ribbon2r.ps}
+
+
+There are many other things you can do.
+In fact, most everything you can do interactively using the
+three-di\-men\-sion\-al control panel (such as translating, zooming, resizing,
+coloring, perspective and lighting selections) can also be done
+directly by operations (see Chapter 
+\ref{ugGraph} on page~\pageref{ugGraph} for more details).
+
+When you are done experimenting, say $reset(vp)$ to restore the
+picture to its original position and settings.
+
+
+Let's add another ribbon to our picture---one
+for $x^3$.
+Since $y$ ranges from $0$ to $1$ for the
+first ribbon, now let $y$ range from $1$ to
+$2$.
+This puts the second ribbon next to the first one.
+
+How do you add a second ribbon to the viewport?
+One method is
+to extract the ``space'' component from the
+viewport using the operation
+\spadfunFrom{subspace}{ThreeDimensionalViewport}.
+You can think of the space component as the object inside the
+window (here, the ribbon).
+Let's call it $sp$.
+To add the second ribbon, you draw the second ribbon using the
+option $space == sp$.
+
+Extract the space component of $vp$.
+
+\spadcommand{sp := subspace(vp)}
+
+Add the ribbon for
+$x^3$ alongside that for
+$x^2$.
+
+\spadgraph{vp := draw(x**3,x=-1..1,y=1..2,var2Steps==1, space==sp)}
+
+%\epsffile[0 0 295 295]{ps/ribbons.ps}
+
+Unless you moved the original viewport, the new viewport covers
+the old one.
+You might want to check that the old object is still there by
+moving the top window.
+
+Let's show quadrilateral polygon outlines on the ribbons and then
+enclose the ribbons in a box.
+
+Show quadrilateral polygon outlines.
+
+\spadcommand{drawStyle(vp,"shade");outlineRender(vp,"on")}
+
+%\epsffile[0 0 295 295]{ps/ribbons2.ps}
+
+Enclose the ribbons in a box.
+
+\spadcommand{rotate(vp,20,-60); showRegion(vp,"on")}
+
+%\epsffile[0 0 295 295]{ps/ribbons2b.ps}
+
+This process has become tedious!
+If we had to add two or three more ribbons, we would have to
+repeat the above steps several more times.
+It is time to write an interpreter program to help us take care of
+the details.
+
+\section{A Ribbon Program}
+\label{ugIntProgRibbon}
+
+The above approach creates a new viewport for each additional ribbon.
+A better approach is to build one object composed of all ribbons
+before creating a viewport.  To do this, use {\bf makeObject} rather
+than {\bf draw}.  The operations have similar formats, but {\bf draw}
+returns a viewport and {\bf makeObject} returns a space object.
+
+We now create a function {\bf drawRibbons} of two arguments:
+$flist$, a list of formulas for the ribbons you want to draw,
+and $xrange$, the range over which you want them drawn.
+Using this function, you can just say
+\begin{verbatim}
+drawRibbons([x**2, x**3], x=-1..1)
+\end{verbatim}
+to do all of the work required in the last section.
+Here is the {\bf drawRibbons} program.
+Invoke your favorite editor and create a file called {\bf ribbon.input}
+containing the following program.
+
+\begin{figure}
+\begin{verbatim}
+drawRibbons(flist, xrange) ==
+  sp := createThreeSpace()                     Create empty space $sp$.
+  y0 := 0                                      The initial ribbon position.
+  for f in flist repeat                        For each function $f$,
+    makeObject(f, xrange, y=y0..y0+1,          create and add a ribbon
+       space==sp, var2Steps == 1)              for $f$ to the space $sp$.
+    y0 := y0 + 1                               The next ribbon position.
+  vp := makeViewport3D(sp, "Ribbons")          Create viewport.
+  drawStyle(vp, "shade")                       Select shading style.
+  outlineRender(vp, "on")                      Show polygon outlines.
+  showRegion(vp,"on")                          Enclose in a box.
+  n := # flist                                 The number of ribbons
+  zoom(vp,n,1,n)                               Zoom in x- and z-directions.
+  rotate(vp,0,75)                              Change the angle of view.
+  vp                                           Return the viewport.
+\end{verbatim}
+\caption{The first {\bf drawRibbons} function.}
+\label{fig-ribdraw1}
+\end{figure}
+
+Here are some remarks on the syntax used in the {\bf drawRibbons} function
+(consult Chapter \ref{ugUser} on page~\pageref{ugUser} for more details).
+Unlike most other programming languages which use semicolons,
+parentheses, or {\it begin}--{\it end} brackets to delineate the
+structure of programs, the structure of an Axiom program is
+determined by indentation.
+The first line of the function definition always begins in column 1.
+All other lines of the function are indented with respect to the first
+line and form a {\it pile} (see \ref{ugLangBlocks} on 
+page~\pageref{ugLangBlocks}).
+
+The definition of {\bf drawRibbons}
+consists of a pile of expressions to be executed one after
+another.
+Each expression of the pile is indented at the same level.
+Lines 4-7 designate one single expression:
+since lines 5-7 are indented with respect to the others, these
+lines are treated as a continuation of line 4.
+Also since lines 5 and 7 have the same indentation level, these
+lines designate a pile within the outer pile.
+
+The last line of a pile usually gives the value returned by the
+pile.
+Here it is also the value returned by the function.
+Axiom knows this is the last line of the function because it
+is the last line of the file.
+In other cases, a new expression beginning in column one signals
+the end of a function.
+
+The line {\bf drawStyle}{\tt (vp,"shade")} is given after the viewport
+has been created to select the draw style.
+We have also used the \spadfunFrom{zoom}{ThreeDimensionalViewport}
+option.
+Without the zoom, the viewport region would be scaled equally in
+all three coordinate directions.
+
+Let's try the function {\bf drawRibbons}.
+First you must read the file to give Axiom the function definition.
+
+Read the input file.
+
+\spadcommand{)read ribbon }
+
+Draw ribbons for $x, x^2,\dots, x^5$
+for $-1 \leq x \leq 1$
+
+\spadgraph{drawRibbons([x**i for i in 1..5],x=-1..1) }
+
+%\epsffile[0 0 295 295]{ps/ribbons5.ps}
+
+\section{Coloring and Positioning Ribbons}
+\label{ugIntProgColor}
+%
+
+Before leaving the ribbon example, we  make two improvements.
+Normally, the color given to each point in the space is a
+function of its height within a bounding box.
+The points at the bottom of the
+box are red, those at the top are purple.
+
+To change the normal coloring, you can give
+an option $colorFunction == {\it function}$.
+When Axiom goes about displaying the data, it
+determines the range of colors used for all points within the box.
+Axiom then distributes these numbers uniformly over the number of hues.
+Here we use the simple color function
+$(x,y) \mapsto i$ for the
+$i$-th ribbon.
+
+Also, we add an argument $yrange$ so you can give the range of
+$y$ occupied by the ribbons.
+For example, if the $yrange$ is given as
+$y=0..1$ and there are $5$ ribbons to be displayed, each
+ribbon would have width $0.2$ and would appear in the
+range $0 \leq y \leq 1$.
+
+Refer to lines 4-9.
+Line 4 assigns to $yVar$ the variable part of the
+$yrange$ (after all, it need not be $y$).
+Suppose that $yrange$ is given as $t = a..b$ where $a$ and
+$b$ have numerical values.
+Then line 5 assigns the value of $a$ to the variable $y0$.
+Line 6 computes the width of the ribbon by dividing the difference of
+$a$ and $b$ by the number, $num$, of ribbons.
+The result is assigned to the variable $width$.
+Note that in the for-loop in line 7, we are iterating in parallel; it is
+not a nested loop.
+
+\begin{figure}
+\hrule
+\begin{verbatim}
+drawRibbons(flist, xrange, yrange) ==
+  sp := createThreeSpace()                     Create empty space $sp$.
+  num := # flist                               The number of ribbons.
+  yVar := variable yrange                      The ribbon variable.
+  y0:Float    := lo segment yrange             The first ribbon coordinate.
+  width:Float := (hi segment yrange - y0)/num  The width of a ribbon.
+  for f in flist for color in 1..num repeat    For each function $f$,
+    makeObject(f, xrange, yVar = y0..y0+width, create and add ribbon to
+      var2Steps == 1, colorFunction == (x,y) +-> color, _
+      space == sp)                             $sp$ of a different color.
+    y0 := y0 + width                           The next ribbon coordinate.
+  vp := makeViewport3D(sp, "Ribbons")          Create viewport.
+  drawStyle(vp, "shade")                       Select shading style.
+  outlineRender(vp, "on")                      Show polygon outlines.
+  showRegion(vp, "on")                         Enclose in a box.
+  vp                                           Return the viewport.
+\end{verbatim}
+\hrule
+\caption{The final {\bf drawRibbons} function.}
+\label{fig-ribdraw2}
+\end{figure}
+
+\section{Points, Lines, and Curves}
+\label{ugIntProgPLC}
+%
+What you have seen so far is a high-level program using the
+graphics facility.
+We now turn to the more basic notions of points, lines, and curves
+in three-di\-men\-sion\-al graphs.
+These facilities use small floats (objects
+of type {\tt DoubleFloat}) for data.
+Let us first give names to the small float values $0$ and
+$1$.
+
+The small float 0.
+
+\spadcommand{zero := 0.0@DFLOAT }
+
+The small float 1.
+
+\spadcommand{one  := 1.0@DFLOAT }
+
+The {\tt @} sign means ``of the type.'' Thus $zero$ is
+$0.0$ of the type {\tt DoubleFloat}.
+You can also say $0.0::DFLOAT$.
+
+Points can have four small float components: $x, y, z$ coordinates and an
+optional color.
+A ``curve'' is simply a list of points connected by straight line
+segments.
+
+Create the point $origin$ with color zero, that is, the lowest color
+on the color map.
+
+\spadcommand{origin := point [zero,zero,zero,zero] }
+
+Create the point $unit$ with color zero.
+
+\spadcommand{unit := point [one,one,one,zero] }
+
+Create the curve (well, here, a line) from
+$origin$ to $unit$.
+
+\spadcommand{line := [origin, unit]  }
+
+
+We make this line segment into an arrow by adding an arrowhead.
+The arrowhead extends to,
+say, $p3$ on the left, and to, say, $p4$ on the right.
+To describe an arrow, you tell Axiom to draw the two curves
+$[p1, p2, p3]$ and $[p2, p4].$
+We also decide through experimentation on
+values for $arrowScale$, the ratio of the size of
+the arrowhead to the stem of the arrow, and $arrowAngle$,
+the angle between the arrowhead and the arrow.
+
+Invoke your favorite editor and create
+an input file called {\bf arrows.input}.
+This input file first defines the values of
+%$origin$,$unit$,
+$arrowAngle$ and $arrowScale$, then
+defines the function {\bf makeArrow}$(p_1, p_2)$ to
+draw an arrow from point $p_1$ to $p_2$.
+
+\begin{verbatim}
+arrowAngle := \%pi-\%pi/10.0@DFLOAT             The angle of the arrowhead.
+arrowScale := 0.2@DFLOAT                        The size of the arrowhead
+                                                relative to the stem.
+makeArrow(p1, p2) ==
+  delta := p2 - p1                              The arrow.
+  len := arrowScale * length delta              The length of the arrowhead.
+  theta := atan(delta.1, delta.2)               The angle from the x-axis
+  c1 := len*cos(theta + arrowAngle)             The x-coord of left endpoint
+  s1 := len*sin(theta + arrowAngle)             The y-coord of left endpoint
+  c2 := len*cos(theta - arrowAngle)             The x-coord of right endpoint
+  s2 := len*sin(theta - arrowAngle)             The y-coord of right endpoint
+  z  := p2.3*(1 - arrowScale)                   The z-coord of both endpoints
+  p3 := point [p2.1 + c1, p2.2 + s1, z, p2.4]   The left endpoint of head
+  p4 := point [p2.1 + c2, p2.2 + s2, z, p2.4]   The right endpoint of head
+  [ [p1, p2, p3], [p2, p4] ]                    The arrow as a list of curves
+\end{verbatim}
+
+Read the file and then create
+an arrow from the point $origin$ to the point $unit$.
+
+Read the input file defining {\bf makeArrow}.
+
+\spadcommand{)read arrows}
+
+Construct the arrow (a list of two curves).
+
+\spadcommand{arrow := makeArrow(origin,unit)}
+
+Create an empty object $sp$ of type $ThreeSpace$.
+
+\spadcommand{sp := createThreeSpace()}
+
+Add each curve of the arrow to the space $sp$.
+
+\spadcommand{for a in arrow repeat sp := curve(sp,a)}
+
+Create a three-di\-men\-sion\-al viewport containing that space.
+
+\spadgraph{vp := makeViewport3D(sp,"Arrow")}
+
+%\epsffile[0 0 295 295]{ps/arrow.ps}
+
+Here is a better viewing angle.
+
+\spadcommand{rotate(vp,200,-60)}
+
+%\epsffile[0 0 295 295]{ps/arrowr.ps}
+
+\section{A Bouquet of Arrows}
+\label{ugIntProgColorArr}
+
+%Axiom gathers up all the points of a graph and looks at the range
+%of color values given as integers.
+%If theses color values range from a minimum value of $a$ to a maximum
+%value of $b$, then the $a$ values are colored red (the
+%lowest color in our spectrum), and $b$ values are colored
+%purple (the highest color), and those in the middle are colored
+%green.
+%When all the points are the same color as above, Axiom
+%chooses green.
+
+Let's draw a ``bouquet'' of arrows.
+Each arrow is identical. The arrowheads are
+uniformly placed on a circle parallel to the $xy$-plane.
+Thus the position of each arrow differs only
+by the angle $\theta$,
+$0 \leq \theta < 2\pi$,
+between the arrow and
+the $x$-axis on the $xy$-plane.
+
+Our bouquet is rather special: each arrow has a different
+color (which won't be evident here, unfortunately).
+This is arranged by letting the color of each successive arrow be
+denoted by $\theta$.
+In this way, the color of arrows ranges from red to green to violet.
+Here is a program to draw a bouquet of $n$ arrows.
+
+\begin{verbatim}
+drawBouquet(n,title) ==
+  angle := 0.0@DFLOAT                          The initial angle
+  sp := createThreeSpace()                     Create empty space $sp$
+  for i in 0..n-1 repeat                       For each index i, create:
+    start := point [0.0@DFLOAT,0.0@DFLOAT,0.0@DFLOAT,angle] 
+                                               the point at base of arrow;
+    end   := point [cos angle, sin angle, 1.0@DFLOAT, angle]
+                                               the point at tip of arrow;
+    arrow := makeArrow(start,end)              the $i$th arrow
+    for a in makeArrow(start,end) repeat       For each arrow component,
+      curve(sp,a)                              add the component to $sp$
+    angle := angle + 2*\%pi/n                  The next angle
+  makeViewport3D(sp,title)                     Create the viewport from $sp$
+\end{verbatim}
+
+Read the input file.
+
+\spadcommand{)read bouquet}
+
+A bouquet of a dozen arrows.
+
+\spadgraph{drawBouquet(12,"A Dozen Arrows")}
+
+%\epsffile[0 0 295 295]{ps/bouquet.ps}
+
+\section{Diversion: When Things Go Wrong}
+\label{ugIntProgDivTwo}
+%
+%Up to now, if you have typed in all the programs exactly as they are in
+%the book, you have encountered no errors.
+%In practice, however, it is easy to make mistakes.
+%Computers are unforgiving: your program must be letter-for-letter correct
+%or you will encounter some error.
+%
+%One thing that can go wrong is that you can create a syntactically
+%incorrect program.
+%As pointed out in Diversion 1, the meaning of Axiom programs is
+%affected by indentation.
+%
+%The Axiom parser will ensure that all parentheses, brackets, and
+%braces balance, and that commas and operators appear in the correct
+%context.
+%For example, change line ??
+%to ??
+%and run.
+%
+%A common mistake is to misspell an identifier or operation name.
+%These are generally easy to spot since the interpreter will tell you the
+%name of the operation together with the type and number of arguments which
+%it is trying to find.
+%
+%Another mistake is to either to omit an argument or to give too many.
+%Again Axiom will notify you of the offending operation.
+%
+%Indentation makes your programs more readable.
+%However there are several ways to create a syntactically valid program.
+%A most common problem occurs when a line is either indented improperly.
+%% either or what?
+%If this is a first line of a pile, then all the other lines will act as an
+%inner pile to the first line.
+%If it is a line of the pile other than the first line, Axiom then
+%thinks that this line is a continuation of the previous line.
+%More frequently than not, a syntactically correct expression is created.
+%Almost never however will this be a semantically correct.
+%Only when the program is run will an error be discovered.
+%For example, change line ??
+%to ??
+%and run.
+
+\section{Drawing Complex Vector Fields}
+\label{ugIntProgVecFields}
+
+We now put our arrows to good use drawing complex vector fields.
+These vector fields give a representation of complex-valued
+functions of complex variables.
+Consider a Cartesian coordinate grid of points $(x, y)$ in
+the plane, and some complex-valued function $f$ defined on
+this grid.
+At every point on this grid, compute the value of $f(x +
+iy)$ and call it $z$.
+Since $z$ has both a real and imaginary value for a given
+$(x,y)$ grid point, there are four dimensions to plot.
+What do we do?
+We represent the values of $z$ by arrows planted at each
+grid point.
+Each arrow represents the value of $z$ in polar coordinates
+$(r,\theta)$.
+The length of the arrow is proportional to $r$.
+Its direction is given by $\theta$.
+
+The code for drawing vector fields is in the file {\bf vectors.input}.
+We discuss its contents from top to bottom.
+
+Before showing you the code, we have two small
+matters to take care of.
+First, what if the function has large spikes, say, ones that go off
+to infinity?
+We define a variable $clipValue$ for this purpose. When
+$r$ exceeds the value of $clipValue$, then the value of
+$clipValue$ is used instead of that for $r$.
+For convenience, we define a function $clipFun(x)$ which uses
+$clipValue$ to ``clip'' the value of $x$.
+
+%
+\begin{verbatim}
+clipValue : DFLOAT := 6                          Maximum value allowed
+clipFun(x) == min(max(x,-clipValue),clipValue)
+\end{verbatim}
+
+Notice that we identify $clipValue$ as a small float but do
+not declare the type of the function {\bf clipFun}.
+As it turns out, {\bf clipFun} is called with a
+small float value.
+This declaration ensures that {\bf clipFun} never does a
+conversion when it is called.
+
+The second matter concerns the possible ``poles'' of a
+function, the actual points where the spikes have infinite
+values.
+Axiom uses normal {\tt DoubleFloat} arithmetic  which
+does not directly handle infinite values.
+If your function has poles, you must adjust your step size to
+avoid landing directly on them (Axiom calls {\bf error}
+when asked to divide a value by $0$, for example).
+
+We set the variables $realSteps$ and $imagSteps$ to
+hold the number of steps taken in the real and imaginary
+directions, respectively.
+Most examples will have ranges centered around the origin.
+To avoid a pole at the origin, the number of points is taken
+to be odd.
+
+\begin{verbatim}
+realSteps: INT := 25      Number of real steps
+imagSteps: INT := 25      Number of imaginary steps
+)read arrows
+\end{verbatim}
+
+Now define the function {\bf drawComplexVectorField} to draw the arrows.
+It is good practice to declare the type of the main function in
+the file.
+This one declaration is usually sufficient to ensure that other
+lower-level functions are compiled with the correct types.
+
+\begin{verbatim}
+C := Complex DoubleFloat
+S := Segment DoubleFloat
+drawComplexVectorField: (C -> C, S, S) -> VIEW3D
+\end{verbatim}
+
+The first argument is a function mapping complex small floats into
+complex small floats.
+The second and third arguments give the range of real and
+imaginary values as segments like $a..b$.
+The result is a three-di\-men\-sion\-al viewport.
+Here is the full function definition:
+
+\begin{verbatim}
+drawComplexVectorField(f, realRange,imagRange) ==
+  delReal := (hi(realRange)-lo(realRange))/realSteps The real step size
+  delImag := (hi(imagRange)-lo(imagRange))/imagSteps The imaginary step size
+  sp := createThreeSpace()                           Create empty space $sp$
+  real := lo(realRange)                              The initial real value
+  for i in 1..realSteps+1 repeat                     Begin real iteration
+    imag := lo(imagRange)                            initial imaginary value
+    for j in 1..imagSteps+1 repeat                   Begin imaginary iteration
+      z := f complex(real,imag)                      value of $f$ at the point
+      arg := argument z                              direction of the arrow
+      len := clipFun sqrt norm z                     length of the arrow
+      p1 :=  point [real, imag, 0.0@DFLOAT, arg]     base point of the arrow
+      scaleLen := delReal * len                      scaled length of the arrow
+      p2 := point [p1.1 + scaleLen*cos(arg),         tip point of the arrow
+                   p1.2 + scaleLen*sin(arg),0.0@DFLOAT, arg]
+      arrow := makeArrow(p1, p2)                     Create the arrow
+      for a in arrow repeat curve(sp, a)             Add arrow to space $sp$
+      imag := imag + delImag                         The next imaginary value
+    real := real + delReal                           The next real value
+  makeViewport3D(sp, "Complex Vector Field")         Draw it
+\end{verbatim}
+
+As a first example, let us draw $f(z) == sin(z)$.
+There is no need to create a user function: just pass the
+\spadfunFrom{sin}{Complex DoubleFloat} from {\tt Complex DoubleFloat}.
+
+Read the file.
+
+\spadcommand{)read vectors }
+
+Draw the complex vector field of $sin(x)$.
+
+\spadgraph{drawComplexVectorField(sin,-2..2,-2..2) }
+
+%\epsffile[0 0 295 295]{ps/vectorsin.ps}
+
+\section{Drawing Complex Functions}
+\label{ugIntProgCompFuns}
+
+Here is another way to graph a complex function of complex
+arguments.
+For each complex value $z$, compute $f(z)$, again
+expressing the value in polar coordinates $(r,\theta{})$.
+We draw the complex valued function, again considering the
+$(x,y)$-plane as the complex plane, using $r$ as the
+height (or $z$-coordinate) and $\theta$ as the color.
+This is a standard plot---we learned how to do this in
+Chapter \ref{ugGraph} on page~\pageref{ugGraph}---
+but here we write a new program to illustrate
+the creation of polygon meshes, or grids.
+
+Call this function {\bf drawComplex}.
+It displays the points using the ``mesh'' of points.
+The function definition is in three parts.
+
+\begin{verbatim}
+drawComplex: (C -> C, S, S) -> VIEW3D
+drawComplex(f, realRange, imagRange) ==                The first part
+  delReal := (hi(realRange)-lo(realRange))/realSteps   The real step size
+  delImag := (hi(imagRange)-lo(imagRange))/imagSteps   The imaginary step size
+                                          Initial list of list of points $llp$
+  llp:List List Point DFLOAT := []
+\end{verbatim}
+
+Variables $delReal$ and $delImag$ give the step
+sizes along the real and imaginary directions as computed by the values
+of the global variables $realSteps$ and $imagSteps$.
+The mesh is represented by a list of lists of points $llp$,
+initially empty.
+Now $[ ]$ alone is ambiguous, so
+to set this initial value
+you have to tell Axiom what type of empty list it is.
+Next comes the loop which builds $llp$.
+
+\begin{verbatim}
+  real := lo(realRange)                            The initial real value
+  for i in 1..realSteps+1 repeat                   Begin real iteration
+    imag := lo(imagRange)                          initial imaginary value
+    lp := []$(List Point DFLOAT)                   initial list of points $lp$
+    for j in 1..imagSteps+1 repeat                 Begin imaginary iteration
+      z := f complex(real,imag)                    value of $f$ at the point
+      pt := point [real,imag, clipFun sqrt norm z, Create a point
+                   argument z]
+      lp := cons(pt,lp)                            Add the point to $lp$
+      imag := imag + delImag                       The next imaginary value
+    real := real + delReal                         The next real value
+    llp := cons(lp, llp)                           Add $lp$ to $llp$
+\end{verbatim}
+
+The code consists of both an inner and outer loop.
+Each pass through the inner loop adds one list $lp$ of points
+to the list of lists of points $llp$.
+The elements of $lp$ are collected in reverse order.
+
+\begin{verbatim}
+  makeViewport3D(mesh(llp), "Complex Function")    Create a mesh and display
+\end{verbatim}
+
+The operation {\bf mesh} then creates an object of type
+{\tt ThreeSpace(DoubleFloat)} from the list of lists of points.
+This is then passed to {\bf makeViewport3D} to display the
+image.
+
+Now add this function directly to your {\bf vectors.input}
+file and re-read the file using read vectors.
+We try {\bf drawComplex} using
+a user-defined function $f$.
+
+Read the file.
+
+\spadcommand{)read vectors }
+
+This one has a pole at $z=0$.
+
+\spadcommand{f(z) == exp(1/z)}
+
+Draw it with an odd number of steps to avoid the pole.
+
+\spadgraph{drawComplex(f,-2..2,-2..2)}
+
+%\epsffile[0 0 295 295]{ps/complexexp.ps}
+
+\section{Functions Producing Functions}
+\label{ugIntProgFunctions}
+
+In \ref{ugUserMake} on page~\pageref{ugUserMake}, 
+you learned how to use the operation
+{\bf function} to create a function from symbolic formulas.
+Here we introduce a similar operation which not only
+creates functions, but functions from functions.
+
+The facility we need is provided by the package
+{\tt MakeUnaryCompiledFunction(E,S,T)}.
+\index{MakeUnaryCompiledFunction}
+This package produces a unary (one-argument) compiled
+function from some symbolic data
+generated by a previous computation.\footnote{%
+{\tt MakeBinaryCompiledFunction} is available for binary
+functions.}
+\index{MakeBinaryCompiledFunction}
+The $E$ tells where the symbolic data comes from;
+the $S$ and $T$ give Axiom the
+source and target type of the function, respectively.
+The compiled function produced  has type
+\spadsig{$S$}{$T$}.
+To produce a compiled function with definition $p(x) == expr$, call
+$compiledFunction(expr, x)$ from this package.
+The function you get has no name.
+You must to assign the function to the variable $p$ to give it that name.
+%
+
+Do some computation.
+
+\spadcommand{(x+1/3)**5}
+
+Convert this to an anonymous function of $x$.
+Assign it to the variable $p$ to give the function a name.
+
+\spadcommand{p := compiledFunction(\%,x)\$MakeUnaryCompiledFunction(POLY FRAC INT,DFLOAT,DFLOAT)}
+
+Apply the function.
+
+\spadcommand{p(sin(1.3))}
+
+For a more sophisticated application, read on.
+
+\section{Automatic Newton Iteration Formulas}
+\label{ugIntProgNewton}
+
+This setting is needed to get Newton's iterations to converge.
+
+\spadcommand{)set streams calculate 10}
+
+We resume
+our continuing saga of arrows and complex functions.
+Suppose we want to investigate the behavior of Newton's iteration function
+\index{Newton iteration}
+in the complex plane.
+Given a function $f$, we want to find the complex values
+$z$ such that $f(z) = 0$.
+
+The first step is to produce a Newton iteration formula for
+a given $f$:
+$x_{n+1} = x_n - {{f(x_n)}\over{f'(x_n)}}.$
+We represent this formula by a function $g$
+that performs the computation on the right-hand side, that is,
+$x_{n+1} = {g}(x_n)$.
+
+The type {\tt Expression Integer} (abbreviated {\tt EXPR
+INT}) is used to represent general symbolic expressions in
+Axiom.
+\index{Expression}
+To make our facility as general as possible, we assume
+$f$ has this type.
+Given $f$, we want
+to produce a Newton iteration function $g$ which,
+given a complex point $x_n$, delivers the next
+Newton iteration point $x_{n+1}$.
+
+This time we write an input file called {\bf newton.input}.
+We need to import {\tt MakeUnaryCompiledFunction} (discussed
+in the last section), call it with appropriate types, and then define
+the function $newtonStep$ which references it.
+Here is the function $newtonStep$:
+
+\begin{verbatim}
+C := Complex DoubleFloat                       The complex numbers
+complexFunPack:=MakeUnaryCompiledFunction(EXPR INT,C,C)
+                                               Package for making functions
+
+newtonStep(f) ==                               Newton's iteration function
+  fun  := complexNumericFunction f             Function for $f$
+  deriv := complexDerivativeFunction(f,1)      Function for $f'$
+  (x:C):C +->                                  Return the iterator function
+    x - fun(x)/deriv(x)                        
+
+complexNumericFunction f ==                    Turn an expression $f$ into a
+  v := theVariableIn f                         function
+  compiledFunction(f, v)$complexFunPack
+
+complexDerivativeFunction(f,n) ==              Create an nth derivative
+  v := theVariableIn f                         function
+  df := D(f,v,n)
+  compiledFunction(df, v)\$complexFunPack
+
+theVariableIn f ==                             Returns the variable in $f$
+  vl := variables f                            The list of variables
+  nv := # vl                                   The number of variables
+  nv > 1 => error "Expression is not univariate."
+  nv = 0 => 'x                                 Return a dummy variable
+  first vl
+\end{verbatim}
+
+Do you see what is going on here?
+A formula $f$ is passed into the function {\bf newtonStep}.
+First, the function turns $f$ into a compiled program mapping
+complex numbers into complex numbers.  Next, it does the same thing
+for the derivative of $f$.  Finally, it returns a function which
+computes a single step of Newton's iteration.
+
+The function {\bf complexNumericFunction} extracts the variable
+from the expression $f$ and then turns $f$ into a function
+which maps complex numbers into complex numbers. The function
+{\bf complexDerivativeFunction} does the same thing for the
+derivative of $f$.  The function {\bf theVariableIn}
+extracts the variable from the expression $f$, calling the function
+{\bf error} if $f$ has more than one variable.
+It returns the dummy variable $x$ if $f$ has no variables.
+
+Let's now apply {\bf newtonStep} to the formula for computing
+cube roots of two.
+
+Read the input file with the definitions.
+
+\spadcommand{)read newton}
+
+\spadcommand{)read vectors }
+
+The cube root of two.
+
+\spadcommand{f := x**3 - 2}
+
+Get Newton's iteration formula.
+
+\spadcommand{g := newtonStep f}
+
+Let $a$ denote the result of
+applying Newton's iteration once to the complex number $1 + \%i$.
+
+\spadcommand{a := g(1.0 + \%i)}
+
+Now apply it repeatedly. How fast does it converge?
+
+\spadcommand{[(a := g(a)) for i in 1..]}
+
+Check the accuracy of the last iterate.
+
+\spadcommand{a**3}
+
+In MappingPackage1, we show how functions can be
+manipulated as objects in Axiom.
+A useful operation to consider here is $*$, which means
+composition.
+For example $g*g$ causes the Newton iteration formula
+to be applied twice.
+Correspondingly, $g**n$ means to apply the iteration formula
+$n$ times.
+
+Apply $g$ twice to the point $1 + \%i$.
+\spadcommand{(g*g) (1.0 + \%i)}
+
+Apply $g$ 11 times.
+
+\spadcommand{(g**11) (1.0 + \%i)}
+
+Look now at the vector field and surface generated
+after two steps of Newton's formula for the cube root of two.
+The poles in these pictures represent bad starting values, and the
+flat areas are the regions of convergence to the three roots.
+%
+
+The vector field.
+
+\spadgraph{drawComplexVectorField(g**3,-3..3,-3..3)}
+
+%\epsffile[0 0 295 295]{ps/vectorroot.ps}
+
+The surface.
+
+\spadgraph{drawComplex(g**3,-3..3,-3..3)}
+
+%\epsffile[0 0 295 295]{ps/complexroot.ps}
+
+\setcounter{chapter}{10} % Chapter 11
+
+\hyphenation{
+In-dexed-Aggre-gate
+Lin-ear-Aggre-gate
+shallowly-Mutable
+draw-Vector-Field
+set-Real-Steps
+set-Imag-Steps
+set-Clip-Value
+}
+
+% Here and throughout the book we should use the terminology
+% "type of a function", rather than talking about source and target.
+% This is how the brave new world of SMWATT regards them. A function
+% is just an object that has a mapping type.
+%
+\chapter{Packages}
+\label{ugPackages}
+
+Packages provide the bulk of
+\index{package}
+Axiom's algorithmic library, from numeric packages for computing
+special functions to symbolic facilities for
+\index{constructor!package}
+differential equations, symbolic integration, and limits.
+\index{package!constructor}
+
+In Chapter \ref{ugIntProg} on page~\pageref{ugIntProg}, 
+we developed several useful functions for drawing
+vector fields and complex functions.
+We now show you how you can add these functions to the
+Axiom library to make them available for general use.
+
+The way we created the functions in Chapter \ref{ugIntProg} 
+on page~\pageref{ugIntProg} is typical of how
+you, as an advanced Axiom user, may interact with Axiom.
+You have an application.
+You go to your editor and create an input file defining some
+functions for the application.
+Then you run the file and try the functions.
+Once you get them all to work, you will often want to extend them,
+add new features, perhaps write additional functions.
+
+Eventually, when you have a useful set of functions for your application,
+you may want to add them to your local Axiom library.
+To do this, you embed these function definitions in a package and add
+that package to the library.
+
+To introduce new packages, categories, and domains into the system,
+you need to use the Axiom compiler to convert the constructors
+into executable machine code.
+An existing compiler in Axiom is available on an ``as-is''
+basis.
+A new, faster compiler will be available in version 2.0
+of Axiom.
+
+\begin{figure}
+\label{pak-cdraw}
+\begin{verbatim}
+C      ==> Complex DoubleFloat                All constructors used in a file
+S      ==> Segment DoubleFloat                must be spelled out in full
+INT    ==> Integer                            unless abbreviated by macros
+DFLOAT ==> DoubleFloat                        like these at the top of
+VIEW3D ==> ThreeDimensionalViewport           a file
+CURVE  ==> List List Point DFLOAT
+
+)abbrev package DRAWCX DrawComplex             Identify kinds and abbreviations
+DrawComplex(): Exports == Implementation where Type definition begins here
+
+  Exports == with                                        Export part begins
+    drawComplex: (C -> C,S,S,Boolean) -> VIEW3D          Exported Operations
+    drawComplexVectorField: (C -> C,S,S) -> VIEW3D
+    setRealSteps: INT -> INT
+    setImagSteps: INT -> INT
+    setClipValue: DFLOAT-> DFLOAT
+
+  Implementation == add                           Implementation part begins
+    arrowScale : DFLOAT := (0.2)::DFLOAT --relative size Local variable 1
+    arrowAngle : DFLOAT := pi()-pi()/(20::DFLOAT)        Local variable 2
+    realSteps  : INT := 11 --# real steps                Local variable 3
+    imagSteps  : INT := 11 --# imaginary steps           Local variable 4
+    clipValue  : DFLOAT  := 10::DFLOAT --maximum vector length
+                                                         Local variable 5
+
+    setRealSteps(n) == realSteps := n        Exported function definition 1
+    setImagSteps(n) == imagSteps := n        Exported function definition 2
+    setClipValue(c) == clipValue := c        Exported function definition 3
+
+    clipFun: DFLOAT -> DFLOAT --Clip large magnitudes.
+    clipFun(x) == min(max(x, -clipValue), clipValue)
+                                             Local function definition 1
+
+    makeArrow: (Point DFLOAT,Point DFLOAT,DFLOAT,DFLOAT) -> CURVE
+    makeArrow(p1, p2, len, arg) == ...       Local function definition 2
+
+    drawComplex(f, realRange, imagRange, arrows?) == ...
+                                             Exported function definition 4
+\end{verbatim}
+\caption{The DrawComplex package.}
+\label{fig-pak-cdraw}
+\end{figure}
+
+\section{Names, Abbreviations, and File Structure}
+\label{ugPackagesNames}
+%
+Each package has a name and an abbreviation.
+For a package of the complex draw functions from Chapter 
+\ref{ugIntProg} on page~\pageref{ugIntProg},
+we choose the name {\tt DrawComplex}
+and
+\index{abbreviation!constructor}
+abbreviation {\tt DRAWCX}.\footnote{An abbreviation can be any string
+of
+\index{constructor!abbreviation}
+between two and seven capital letters and digits, beginning with a letter.
+See \ref{ugTypesWritingAbbr} on page~\pageref{ugTypesWritingAbbr} 
+for more information.}
+To be sure that you have not chosen a name or abbreviation already used by
+the system, issue the system command {\tt )show} for both the name and
+the abbreviation.
+\index{show}
+
+Once you have named the package and its abbreviation, you can choose any new
+filename you like with extension ``{\bf .spad}'' to hold the
+definition of your package.
+We choose the name {\bf drawpak.spad}.
+If your application involves more than one package, you
+can put them all in the same file.
+Axiom assumes no relationship between the name of a library file, and
+the name or abbreviation of a package.
+
+Near the top of the ``{\bf .spad}'' file, list all the
+abbreviations for the packages
+using {\tt )abbrev}, each command beginning in column one.
+Macros giving names to Axiom expressions can also be placed near the
+top of the file.
+The macros are only usable from their point of definition until the
+end of the file.
+
+Consider the definition of
+{\tt DrawComplex} in 
+Figure \ref{fig-pak-cdraw} on page~\pageref{fig-pak-cdraw}.
+After the macro
+\index{macro}
+definition
+\begin{verbatim}
+S      ==> Segment DoubleFloat
+\end{verbatim}
+the name
+{\tt S} can be used in the file as a
+shorthand for {\tt Segment DoubleFloat}.\footnote{The interpreter also allows
+{\tt macro} for macro definitions.}
+The abbreviation command for the package
+\begin{verbatim}
+)abbrev package DRAWCX DrawComplex
+\end{verbatim}
+is given after the macros (although it could precede them).
+
+\section{Syntax}
+\label{ugPackagesSyntax}
+%
+The definition of a package has the syntax:
+\begin{center}
+\frenchspacing{\it PackageForm {\tt :} Exports\quad{\tt ==}\quad Implementation}
+\end{center}
+The syntax for defining a package constructor is the same as that
+\index{syntax}
+for defining any function in Axiom.
+In practice, the definition extends over many lines so that this syntax is
+not practical.
+Also, the type of a package is expressed by the operator $with$
+\index{with}
+followed by an explicit list of operations.
+A preferable way to write the definition of a package is with a $where$
+\index{where}
+expression:
+
+The definition of a package usually has the form: \newline
+{\tt%
+{\it PackageForm} : Exports  ==  Implementation where \newline
+\hspace*{.75pc} {\it optional type declarations}\newline
+\hspace*{.75pc} Exports  ==   with \newline
+\hspace*{2.0pc}   {\it list of exported operations}\newline
+\hspace*{.75pc} Implementation == add \newline
+\hspace*{2.0pc}   {\it list of function definitions for exported operations}
+}
+
+The {\tt DrawComplex} package takes no parameters and exports five
+operations, each a separate item of a {\it pile}.
+Each operation is described as a {\it declaration}: a name, followed
+by a colon ({\tt :}), followed by the type of the operation.
+All operations have types expressed as mappings with
+the syntax
+\begin{center}
+{\it
+source\quad{\tt ->}\quad target
+}
+\end{center}
+
+\section{Abstract Datatypes}
+\label{ugPackagesAbstract}
+
+A constructor as defined in Axiom is called an {\it abstract
+datatype} in the computer science literature.
+Abstract datatypes separate ``specification'' (what operations are
+provided) from ``implementation'' (how the operations are implemented).
+The {\tt Exports} (specification) part of a constructor is said to be ``public'' (it
+provides the user interface to the package) whereas the {\tt Implementation}
+part is ``private'' (information here is effectively hidden---programs
+cannot take advantage of it).
+
+The {\tt Exports} part specifies what operations the package provides to users.
+As an author of a package, you must ensure that
+the {\tt Implementation} part provides a function for each
+operation in the {\tt Exports} part.\footnote{The {\tt DrawComplex}
+package enhances the facility
+described in  Chapter 
+\ref{ugIntProgCompFuns} on page~\pageref{ugIntProgCompFuns} by allowing a
+complex function to have
+arrows emanating from the surface to indicate the direction of the
+complex argument.}
+
+An important difference between interactive programming and the
+use of packages is in the handling of global variables such as
+$realSteps$ and $imagSteps$.
+In interactive programming, you simply change the values of
+variables by {\it assignment}.
+With packages, such variables are local to the package---their
+values can only be set using functions exported by the package.
+In our example package, we provide two functions
+{\bf setRealSteps} and {\bf setImagSteps} for
+this purpose.
+
+Another local variable is $clipValue$ which can be changed using
+the exported operation {\bf setClipValue}.
+This value is referenced by the internal function {\bf clipFun} that
+decides whether to use the computed value of the function at a point or,
+if the magnitude of that value is too large, the
+value assigned to $clipValue$ (with the
+appropriate sign).
+
+\section{Capsules}
+\label{ugPackagesCapsules}
+%
+The part to the right of {\tt add} in the {\tt Implementation}
+\index{add}
+part of the definition is called a {\it capsule}.
+The purpose of a capsule is:
+\begin{itemize}
+\item to define a function for each exported operation, and
+\item to define a {\it local environment} for these functions to run.
+\end{itemize}
+
+What is a local environment?
+First, what is an environment?
+\index{environment}
+Think of the capsule as an input file that Axiom reads from top to
+bottom.
+Think of the input file as having a {\bf )clear all} at the top
+so that initially no variables or functions are defined.
+When this file is read, variables such as $realSteps$ and
+$arrowSize$ in {\tt DrawComplex} are set to initial values.
+Also, all the functions defined in the capsule are compiled.
+These include those that are exported (like $drawComplex$), and
+those that are not (like $makeArrow$).
+At the end, you get a set of name-value pairs:
+variable names (like $realSteps$ and $arrowSize$)
+are paired with assigned values, while
+operation names (like $drawComplex$ and $makeArrow$)
+are paired with function values.
+
+This set of name-value pairs is called an {\it environment}.
+Actually, we call this environment the ``initial environment'' of a package:
+it is the environment that exists immediately after the package is
+first built.
+Afterwards, functions of this capsule can
+access or reset a variable in the environment.
+The environment is called {\it local} since any changes to the value of a
+variable in this environment can be seen {\it only} by these functions.
+
+Only the functions from the package can change the variables in the local
+environment.
+When two functions are called successively from a package,
+any changes caused by the first function called
+are seen by the second.
+
+Since the environment is local to the package, its names
+don't get mixed
+up with others in the system or your workspace.
+If you happen to have a variable called $realSteps$ in your
+workspace, it does not affect what the
+{\tt DrawComplex} functions do in any way.
+
+The functions in a package are compiled into machine code.
+Unlike function definitions in input files that may be compiled repeatedly
+as you use them with varying argument types,
+functions in packages have a unique type (generally parameterized by
+the argument parameters of a package) and a unique compilation residing on disk.
+
+The capsule itself is turned into a compiled function.
+This so-called {\it capsule function} is what builds the initial environment
+spoken of above.
+If the package has arguments (see below), then each call to the package
+constructor with a distinct pair of arguments
+builds a distinct package, each with its own local environment.
+
+\section{Input Files vs. Packages}
+\label{ugPackagesInputFiles}
+%
+A good question at this point would be ``Is writing a package more difficult than
+writing an input file?''
+
+The programs in input files are designed for flexibility and ease-of-use.
+Axiom can usually work out all of your types as it reads your program
+and does the computations you request.
+Let's say that you define a one-argument function without giving its type.
+When you first apply the function to a value, this
+value is understood by Axiom as identifying the type for the
+argument parameter.
+Most of the time Axiom goes through the body of your function and
+figures out the target type that you have in mind.
+Axiom sometimes fails to get it right.
+Then---and only then---do you need a declaration to tell Axiom what
+type you want.
+
+Input files are usually written to be read by Axiom---and by you.
+\index{file!input!vs. package}
+Without suitable documentation and declarations, your input files
+\index{package!vs. input file}
+are likely incomprehensible to a colleague---and to you some
+months later!
+
+Packages are designed for legibility, as well as
+run-time efficiency.
+There are few new concepts you need to learn to write
+packages. Rather, you just have to be explicit about types
+and type conversions.
+The types of all functions are pre-declared so that Axiom---and the reader---
+knows precisely what types of arguments can be passed to and from
+the functions (certainly you don't want a colleague to guess or to
+have to work this out from context!).
+The types of local variables are also declared.
+Type conversions are explicit, never automatic.\footnote{There
+is one exception to this rule: conversions from a subdomain to a
+domain are automatic.
+After all, the objects both have the domain as a common type.}
+
+In summary, packages are more tedious to write than input files.
+When writing input files, you can casually go ahead, giving some
+facts now, leaving others for later.
+Writing packages requires forethought, care and discipline.
+
+\section{Compiling Packages}
+\label{ugPackagesPackages}
+%
+
+Once you have defined the package {\tt DrawComplex},
+you need to compile and test it.
+To compile the package, issue the system command {\tt )compile drawpak}.
+Axiom reads the file {\bf drawpak.spad}
+and compiles its contents into machine binary.
+If all goes well, the file {\tt DRAWCX.nrlib} is created in your
+local directory for the package.
+To test the package, you must load the package before trying an
+operation.
+
+Compile the package.
+
+)compile drawpak
+
+Expose the package.
+
+\spadcommand{)expose DRAWCX }
+
+Use an odd step size to avoid
+a pole at the origin.
+
+\spadcommand{setRealSteps 51 }
+
+\spadcommand{setImagSteps 51 }
+
+Define {\bf f} to be the Gamma function.
+
+\spadcommand{f(z) == Gamma(z) }
+
+Clip values of function with magnitude larger than 7.
+
+\spadcommand{setClipValue 7}
+
+Draw the {\bf Gamma} function.
+
+\spadgraph{drawComplex(f,-\%pi..\%pi,-\%pi..\%pi, false) }
+
+%\epsffile[0 0 300 300]{ps/3dgamma11.ps}
+
+\section{Parameters}
+\label{ugPackagesParameters}
+%
+The power of packages becomes evident when packages have parameters.
+Usually these parameters are domains and the exported operations have types
+involving these parameters.
+
+In Chapter \ref{ugTypes} on page~\pageref{ugTypes}, 
+you learned that categories denote classes of domains.
+Although we cover this notion in detail in the next
+chapter, we now give you a sneak preview of its usefulness.
+
+In \ref{ugUserBlocks} on page~\pageref{ugUserBlocks}, 
+we defined functions $bubbleSort(m)$ and
+$insertionSort(m)$ to sort a list of integers.
+If you look at the code for these functions, you see that they may be
+used to sort {\it any} structure $m$ with the right properties.
+Also, the functions can be used to sort lists of {\it any} elements---not
+just integers.
+Let us now recall the code for $bubbleSort$.
+
+\begin{verbatim}
+bubbleSort(m) ==
+  n := #m
+  for i in 1..(n-1) repeat
+    for j in n..(i+1) by -1 repeat
+      if m.j < m.(j-1) then swap!(m,j,j-1)
+  m
+\end{verbatim}
+
+What properties of ``lists of integers'' are assumed by the sorting
+algorithm?
+In the first line, the operation {\bf \#} computes the maximum index of
+the list.
+The first obvious property is that $m$ must have a finite number of
+elements.
+In Axiom, this is done
+by your telling Axiom that $m$ has
+the ``attribute'' {\bf finiteAggregate}.
+An {\it attribute} is a property
+that a domain either has or does not have.
+As we show later in 
+\ref{ugCategoriesAttributes} on page~\pageref{ugCategoriesAttributes},
+programs can query domains as to the presence or absence of an attribute.
+
+The operation {\bf swap} swaps elements of $m$.
+Using Browse, you find that {\bf swap} requires its
+elements to come from a domain of category
+{\tt IndexedAggregate} with attribute
+{\tt shallowlyMutable}.
+This attribute means that you can change the internal components
+of $m$ without changing its external structure.
+Shallowly-mutable data structures include lists, streams, one- and
+two-dimensional arrays, vectors, and matrices.
+
+The category {\tt IndexedAggregate} designates the class of
+aggregates whose elements can be accessed by the notation
+$m.s$ for suitable selectors $s$.
+The category {\tt IndexedAggregate} takes two arguments:
+$Index$, a domain of selectors for the aggregate, and
+$Entry$, a domain of entries for the aggregate.
+Since the sort functions access elements by integers, we must
+choose $Index = ${\tt Integer}.
+The most general class of domains for which $bubbleSort$ and
+$insertionSort$ are defined are those of
+category {\tt IndexedAggregate(Integer,Entry)} with the two
+attributes {\bf shallowlyMutable} and
+{\bf finiteAggregate}.
+
+Using Browse, you can also discover that Axiom has many kinds of domains
+with attribute {\bf shallowlyMutable}.
+Those of class {\tt IndexedAggregate(Integer,Entry)} include
+{\tt Bits}, {\tt FlexibleArray}, {\tt OneDimensionalArray},
+{\tt List}, {\tt String}, and {\tt Vector}, and also
+{\tt HashTable} and {\tt EqTable} with integer keys.
+Although you may never want to sort all such structures, we
+nonetheless demonstrate Axiom's
+ability to do so.
+
+Another requirement is that {\tt Entry} has an
+operation {\tt <}.
+One way to get this operation is to assume that
+{\tt Entry} has category {\tt OrderedSet}.
+By definition, will then export a {\tt <} operation.
+A more general approach is to allow any comparison function
+$f$ to be used for sorting.
+This function will be passed as an argument to the sorting
+functions.
+
+Our sorting package then takes two arguments: a domain $S$
+of objects of {\it any} type, and a domain $A$, an aggregate
+of type {\tt IndexedAggregate(Integer, S)} with the above
+two attributes.
+Here is its definition using what are close to the original
+definitions of $bubbleSort$ and $insertionSort$ for
+sorting lists of integers.
+The symbol {\tt !} is added to the ends of the operation
+names.
+This uniform naming convention is used for Axiom operation
+names that destructively change one or more of their arguments.
+
+\begin{verbatim}
+SortPackage(S,A) : Exports == Implementation where
+  S: Object
+  A: IndexedAggregate(Integer,S)
+    with (finiteAggregate; shallowlyMutable)
+
+  Exports == with
+    bubbleSort!: (A,(S,S) -> Boolean) -> A
+    insertionSort!: (A, (S,S) -> Boolean) -> A
+
+  Implementation == add
+    bubbleSort!(m,f) ==
+      n := #m
+      for i in 1..(n-1) repeat
+        for j in n..(i+1) by -1 repeat
+          if f(m.j,m.(j-1)) then swap!(m,j,j-1)
+      m
+    insertionSort!(m,f) ==
+      for i in 2..#m repeat
+        j := i
+        while j > 1 and f(m.j,m.(j-1)) repeat
+          swap!(m,j,j-1)
+          j := (j - 1) pretend PositiveInteger
+      m
+\end{verbatim}
+
+\section{Conditionals}
+\label{ugPackagesConds}
+%
+When packages have parameters, you can say that an operation is or is not
+\index{conditional}
+exported depending on the values of those parameters.
+When the domain of objects $S$ has an {\tt <}
+operation, we can supply one-argument versions of
+$bubbleSort$ and $insertionSort$ which use this operation
+for sorting.
+The presence of the
+operation {\tt <} is guaranteed when $S$ is an ordered set.
+
+\begin{verbatim}
+Exports == with
+    bubbleSort!: (A,(S,S) -> Boolean) -> A
+    insertionSort!: (A, (S,S) -> Boolean) -> A
+
+    if S has OrderedSet then
+      bubbleSort!: A -> A
+      insertionSort!: A -> A
+\end{verbatim}
+
+In addition to exporting the one-argument sort operations
+\index{sort!bubble}
+conditionally, we must provide conditional definitions for the
+\index{sort!insertion}
+operations in the {\tt Implementation} part.
+This is easy: just have the one-argument functions call the
+corresponding two-argument functions with the operation
+{\tt <} from $S$.
+
+\begin{verbatim}
+  Implementation == add
+       ...
+    if S has OrderedSet then
+      bubbleSort!(m) == bubbleSort!(m,<$S)
+      insertionSort!(m) == insertionSort!(m,<$S)
+\end{verbatim}
+
+In \ref{ugUserBlocks} on page~\pageref{ugUserBlocks}, 
+we give an alternative definition of
+{\bf bubbleSort} using \spadfunFrom{first}{List} and
+\spadfunFrom{rest}{List} that is more efficient for a list (for
+which access to any element requires traversing the list from its
+first node).
+To implement a more efficient algorithm for lists, we need the
+operation {\bf setelt} which allows us to destructively change
+the {\bf first} and {\bf rest} of a list.
+Using Browse, you find that these operations come from category
+{\tt UnaryRecursiveAggregate}.
+Several aggregate types are unary recursive aggregates including
+those of {\tt List} and {\tt AssociationList}.
+We provide two different implementations for
+{\bf bubbleSort!} and {\bf insertionSort!}: one
+for list-like structures, another for array-like structures.
+
+\begin{verbatim}
+Implementation == add
+        ...
+    if A has UnaryRecursiveAggregate(S) then
+      bubbleSort!(m,fn) ==
+        empty? m => m
+        l := m
+        while not empty? (r := l.rest) repeat
+           r := bubbleSort! r
+           x := l.first
+           if fn(r.first,x) then
+             l.first := r.first
+             r.first := x
+           l.rest := r
+           l := l.rest
+         m
+       insertionSort!(m,fn) ==
+          ...
+\end{verbatim}
+
+The ordering of definitions is important.
+The standard definitions come first and
+then the predicate
+\begin{verbatim}
+A has UnaryRecursiveAggregate(S)
+\end{verbatim}
+is evaluated.
+If {\tt true}, the special definitions cover up the standard ones.
+
+Another equivalent way to write the capsule is to use an
+$if-then-else$ expression:
+\index{if}
+
+\begin{verbatim}
+     if A has UnaryRecursiveAggregate(S) then
+        ...
+     else
+        ...
+\end{verbatim}
+
+\section{Testing}
+\label{ugPackagesCompiling}
+%
+Once you have written the package, embed it in a file, for example, {\bf
+sortpak.spad}.
+\index{testing}
+Be sure to include an {\bf )abbrev} command at the top of the file:
+\begin{verbatim}
+)abbrev package SORTPAK SortPackage
+\end{verbatim}
+Now compile the file (using {\tt )compile sortpak.spad}).
+
+Expose the constructor.
+You are then ready to begin testing.
+
+\spadcommand{)expose SORTPAK}
+
+Define a list.
+
+\spadcommand{l := [1,7,4,2,11,-7,3,2]}
+
+Since the integers are an ordered set,
+a one-argument operation will do.
+
+\spadcommand{bubbleSort!(l)}
+
+Re-sort it using ``greater than.''
+
+\spadcommand{bubbleSort!(l,(x,y) +-> x > y)}
+
+Now sort it again using {\tt <} on integers.
+
+\spadcommand{bubbleSort!(l, <\$Integer)}
+
+A string is an aggregate of characters so we can sort them as well.
+
+\spadcommand{bubbleSort! "Mathematical Sciences"}
+
+Is {\tt <} defined on booleans?
+
+\spadcommand{false < true}
+
+Good! Create a bit string representing ten consecutive
+boolean values {\tt true}.
+
+\spadcommand{u : Bits := new(10,true)}
+
+Set bits 3 through 5 to {\tt false}, then display the result.
+
+\spadcommand{u(3..5) := false; u}
+
+Now sort these booleans.
+
+\spadcommand{bubbleSort! u}
+
+Create an ``eq-table'', a
+table having integers as keys
+and strings as values.
+
+\spadcommand{t : EqTable(Integer,String) := table()}
+
+Give the table a first entry.
+
+\spadcommand{t.1 := "robert"}
+
+And a second.
+
+\spadcommand{t.2 := "richard"}
+
+What does the table look like?
+
+\spadcommand{t}
+
+Now sort it.
+
+\spadcommand{bubbleSort! t}
+
+\section{How Packages Work}
+\label{ugPackagesHow}
+%
+Recall that packages as abstract datatypes are compiled independently
+and put into the library.
+The curious reader may ask: ``How is the interpreter able to find an
+operation such as {\bf bubbleSort!}?
+Also, how is a single compiled function such as {\bf bubbleSort!} able
+to sort data of different types?''
+
+After the interpreter loads the package {\tt SortPackage}, the four
+operations from the package become known to the interpreter.
+Each of these operations is expressed as a {\it modemap} in which the type
+\index{modemap}
+of the operation is written in terms of symbolic domains.
+
+See the modemaps for {\bf bubbleSort!}.
+
+)display op bubbleSort!
+
+\begin{verbatim}
+There are 2 exposed functions called bubbleSort! :
+
+   [1] D1 -> D1 from SortPackage(D2,D1)
+         if D2 has ORDSET and D2 has OBJECT and D1 has
+         IndexedAggregate(Integer, D2) with
+              finiteAggregate
+              shallowlyMutable
+
+   [2] (D1,((D3,D3) -> Boolean)) -> D1 from SortPackage(D3,D1)
+         if D3 has OBJECT and D1 has
+         IndexedAggregate(Integer,D3) with
+              finiteAggregate
+              shallowlyMutable
+\end{verbatim}
+
+What happens if you ask for $bubbleSort!([1,-5,3])$?
+There is a unique modemap for an operation named
+{\bf bubbleSort!} with one argument.
+Since $[1,-5,3]$ is a list of integers, the symbolic domain
+$D1$ is defined as {\tt List(Integer)}.
+For some operation to apply, it must satisfy the predicate for
+some $D2$.
+What $D2$?
+The third expression of the {\tt and} requires {\tt D1 has
+IndexedAggregate(Integer, D2) with} two attributes.
+So the interpreter searches for an {\tt IndexedAggregate}
+among the ancestors of {\tt List (Integer)} (see
+\ref{ugCategoriesHier} on page~\pageref{ugCategoriesHier}).
+It finds one: {\tt IndexedAggregate(Integer, Integer)}.
+The interpreter tries defining $D2$ as {\tt Integer}.
+After substituting for $D1$ and $D2$, the predicate
+evaluates to {\tt true}.
+An applicable operation has been found!
+
+Now Axiom builds the package
+{\tt SortPackage(List(Integer), Integer)}.
+According to its definition, this package exports the required
+operation: {\bf bubbleSort!}: \spadsig{List Integer}{List
+Integer}.
+The interpreter then asks the package for a function implementing
+this operation.
+The package gets all the functions it needs (for example,
+{\bf rest} and {\bf swap}) from the appropriate
+domains and then it
+returns a {\bf bubbleSort!} to the interpreter together with
+the local environment for {\bf bubbleSort!}.
+The interpreter applies the function to the argument $[1,-5,3]$.
+The {\bf bubbleSort!} function is executed in its local
+environment and produces the result.
+
+
+\setcounter{chapter}{11} % Chapter 12
+
+\chapter{Categories}
+\label{ugCategories}
+
+This chapter unravels the mysteries of categories---what
+\index{category}
+they are, how they are related to domains and packages,
+\index{category!constructor}
+how they are defined in Axiom, and how you can extend the
+\index{constructor!category}
+system to include new categories of your own.
+
+We assume that you have read the introductory material on domains
+and categories in \ref{ugTypesBasicDomainCons} on 
+page~\pageref{ugTypesBasicDomainCons}.
+There you learned that the notion of packages covered in the
+previous chapter are special cases of domains.
+While this is in fact the case, it is useful here to regard domains
+as distinct from packages.
+
+Think of a domain as a datatype, a collection of objects (the
+objects of the domain).
+From your ``sneak preview'' in the previous chapter, you might
+conclude that categories are simply named clusters of operations
+exported by domains.
+As it turns out, categories have a much deeper meaning.
+Categories are fundamental to the design of Axiom.
+They control the interactions between domains and algorithmic
+packages, and, in fact, between all the components of Axiom.
+
+Categories form hierarchies as shown on the inside cover pages of
+this book.
+The inside front-cover pages illustrate the basic
+algebraic hierarchy of the Axiom programming language.
+The inside back-cover pages show the hierarchy for data
+structures.
+
+Think of the category structures of Axiom as a foundation
+for a city on which superstructures (domains) are built.
+The algebraic hierarchy, for example, serves as a foundation for
+constructive mathematical algorithms embedded in the domains of
+Axiom.
+Once in place, domains can be constructed, either independently or
+from one another.
+
+Superstructures are built for quality---domains are compiled into
+machine code for run-time efficiency.
+You can extend the foundation in directions beyond the space
+directly beneath the superstructures, then extend selected
+superstructures to cover the space.
+Because of the compilation strategy, changing components of the
+foundation generally means that the existing superstructures
+(domains) built on the changed parts of the foundation
+(categories) have to be rebuilt---that is, recompiled.
+
+Before delving into some of the interesting facts about categories, let's see
+how you define them in Axiom.
+
+\section{Definitions}
+\label{ugCategoriesDefs}
+
+A category is defined by a function with exactly the same format as
+\index{category!definition}
+any other function in Axiom.
+
+The definition of a category has the syntax:
+\begin{center}
+{\it CategoryForm} : {\tt Category\quad{}==\quad{}} {\it Extensions} {\tt [ with} {\it Exports} {\tt ]}
+\end{center}
+
+The brackets {\tt [ ]} here indicate optionality.
+
+
+The first example of a category definition is
+{\tt SetCategory},
+the most basic of the algebraic categories in Axiom.
+\index{SetCategory}
+
+\begin{verbatim}
+SetCategory(): Category ==
+   Join(Type,CoercibleTo OutputForm) with
+      "=" : ($, $) -> Boolean
+\end{verbatim}
+
+The definition starts off with the name of the
+category ({\tt SetCategory}); this is
+always in column one in the source file.
+%% maybe talk about naming conventions for source files? .spad or .ax?
+All parts of a category definition are then indented with respect to this
+\index{indentation}
+first line.
+
+In Chapter \ref{ugTypes} on page~\pageref{ugTypes}, 
+we talked about {\tt Ring} as denoting the
+class of all domains that are rings, in short, the class of all
+rings.
+While this is the usual naming convention in Axiom, it is also
+common to use the word ``Category'' at the end of a category name for clarity.
+The interpretation of the name {\tt SetCategory} is, then, ``the
+category of all domains that are (mathematical) sets.''
+
+The name {\tt SetCategory} is followed in the definition by its
+formal parameters enclosed in parentheses {\tt ()}.
+Here there are no parameters.
+As required, the type of the result of this category function is the
+distinguished name {\sf Category}.
+
+Then comes the {\tt ==}.
+As usual, what appears to the right of the {\tt ==} is a
+definition, here, a category definition.
+A category definition always has two parts separated by the reserved word
+\index{with}
+$with$.
+%\footnote{Debugging hint: it is very easy to forget
+%the $with$!}
+
+The first part tells what categories the category extends.
+Here, the category extends two categories: {\tt Type}, the
+category of all domains, and
+{\tt CoercibleTo(OutputForm)}.
+%\footnote{{\tt CoercibleTo(OutputForm)}
+%can also be written (and is written in the definition above) without
+%parentheses.}
+The operation $Join$ is a system-defined operation that
+\index{Join}
+forms a single category from two or more other categories.
+
+Every category other than {\tt Type} is an extension of some other
+category.
+If, for example, {\tt SetCategory} extended only the category
+{\tt Type}, the definition here would read ``{\tt Type with
+...}''.
+In fact, the {\tt Type} is optional in this line; ``{\tt with
+...}'' suffices.
+
+\section{Exports}
+\label{ugCategoriesExports}
+
+
+To the right of the $with$ is a list of
+\index{with}
+all the exports of the category.
+Each exported operation has a name and a type expressed by a
+{\it declaration} of the form
+``{\frenchspacing\tt {\it name}: {\it type}}''.
+
+Categories can export symbols, as well as
+{\tt 0} and {\tt 1} which denote
+domain constants.\footnote{The
+numbers {\tt 0} and {\tt 1} are operation names in Axiom.}
+In the current implementation, all other exports are operations with
+types expressed as mappings with the syntax
+\begin{center}
+{\it
+source\quad{\tt ->}\quad target
+}
+\end{center}
+
+The category {\tt SetCategory} has a single export: the operation
+$=$ whose type is given by the mapping {\tt (\$, \$) -> Boolean}.
+The {\tt \$} in a mapping type always means ``the domain.'' Thus
+the operation $=$ takes two arguments from the domain and
+returns a value of type {\tt Boolean}.
+
+The source part of the mapping here is given by a {\it tuple}
+\index{tuple}
+consisting of two or more types separated by commas and enclosed in
+parentheses.
+If an operation takes only one argument, you can drop the parentheses
+around the source type.
+If the mapping has no arguments, the source part of the mapping is either
+left blank or written as {\tt ()}.
+Here are examples of formats of various operations with some
+contrived names.
+
+\begin{verbatim}
+someIntegerConstant  :    $
+aZeroArgumentOperation:   () -> Integer
+aOneArgumentOperation:    Integer -> $
+aTwoArgumentOperation:    (Integer,$) -> Void
+aThreeArgumentOperation:  ($,Integer,$) -> Fraction($)
+\end{verbatim}
+
+\section{Documentation}
+\label{ugCategoriesDoc}
+
+The definition of {\tt SetCategory} above is  missing
+an important component: its library documentation.
+\index{documentation}
+Here is its definition, complete with documentation.
+
+\begin{verbatim}
+++ Description:
+++ \bs{}axiomType\{SetCategory\} is the basic category
+++ for describing a collection of elements with
+++ \bs{}axiomOp\{=\} (equality) and a \bs{}axiomFun\{coerce\}
+++ to \bs{}axiomType\{OutputForm\}.
+
+SetCategory(): Category ==
+  Join(Type, CoercibleTo OutputForm) with
+    "=": ($, $) -> Boolean
+      ++ \bs{}axiom\{x = y\} tests if \bs{}axiom\{x\} and
+      ++ \bs{}axiom\{y\} are equal.
+\end{verbatim}
+
+Documentary comments are an important part of constructor definitions.
+Documentation is given both for the category itself and for
+each export.
+A description for the category precedes the code.
+Each line of the description begins in column one with {\tt ++}.
+The description starts with the word {\tt Description:}.\footnote{Other
+information such as the author's name, date of creation, and so on,
+can go in this
+area as well but are currently ignored by Axiom.}
+All lines of the description following the initial line are
+indented by the same amount.
+
+{\sloppy
+Surround the name of any constructor (with or without parameters) with an
+\verb+{\bf }+.
+Similarly, surround an
+operator name with \verb+{\tt }+,
+an Axiom operation with \verb+{\bf }+, and a
+variable or Axiom expression with
+\verb+$$+.
+Library documentation is given in a \TeX{}-like language so that
+it can be used both for hard-copy and for Browse.
+These different wrappings cause operations and types to have
+mouse-active buttons in Browse.
+For hard-copy output, wrapped expressions appear in a different font.
+The above documentation appears in hard-copy as:
+
+}
+%
+\begin{quotation}
+%
+{\tt SetCategory} is the basic category
+for describing a collection of elements with {\tt =}
+(equality) and a {\bf coerce} to {\tt OutputForm}.
+%
+\end{quotation}
+%
+and
+%
+\begin{quotation}
+%
+$x = y$ tests if $x$ and $y$ are equal.
+%
+\end{quotation}
+%
+
+For our purposes in this chapter, we omit the documentation from further
+category descriptions.
+
+\section{Hierarchies}
+\label{ugCategoriesHier}
+
+A second example of a category is
+{\tt SemiGroup}, defined by:
+\index{SemiGroup}
+
+\begin{verbatim}
+SemiGroup(): Category == SetCategory with
+      "*":  ($,$) -> $
+      "**": ($, PositiveInteger) -> $
+\end{verbatim}
+
+This definition is as simple as that for {\tt SetCategory},
+except that there are two exported operations.
+Multiple exported operations are written as a {\it pile},
+that is, they all begin in the same column.
+Here you see that the category mentions another type,
+{\tt PositiveInteger}, in a signature.
+Any domain can be used in a signature.
+
+Since categories extend one another, they form hierarchies.
+Each category other than {\tt Type} has one or more parents given
+by the one or more categories mentioned before the $with$ part of
+the definition.
+{\tt SemiGroup} extends {\tt SetCategory} and
+{\tt SetCategory} extends both {\tt Type} and
+{\tt CoercibleTo (OutputForm)}.
+Since {\tt CoercibleTo (OutputForm)} also extends {\tt Type},
+the mention of {\tt Type} in the definition is unnecessary but
+included for emphasis.
+
+\section{Membership}
+\label{ugCategoriesMembership}
+
+We say a category designates a class of domains.
+What class of domains?
+\index{category!membership}
+That is, how does Axiom know what domains belong to what categories?
+The simple answer to this basic question is key to the design of
+Axiom:
+
+\begin{center}
+{\bf Domains belong to categories by assertion.}
+\end{center}
+
+When a domain is defined, it is asserted to belong to one or more
+categories.
+Suppose, for example, that an author of domain {\tt String} wishes to
+use the binary operator $*$ to denote concatenation.
+Thus $"hello " * "there"$ would produce the string
+$"hello there"$\footnote{Actually, concatenation of strings in
+Axiom is done by juxtaposition or by using the operation
+\spadfunFrom{concat}{String}.
+The expression $"hello " "there"$ produces the string
+$"hello there"$.}.
+The author of {\tt String} could then assert that {\tt String}
+is a member of {\tt SemiGroup}.
+According to our definition of {\tt SemiGroup}, strings
+would then also have the operation $**$ defined automatically.
+Then $"--" ** 4$ would produce a string of eight dashes
+$"--------"$.
+Since {\tt String} is a member of {\tt SemiGroup}, it also is
+a member of {\tt SetCategory} and thus has an operation
+$=$ for testing that two strings are equal.
+
+Now turn to the algebraic category hierarchy inside the
+front cover of this book.
+Any domain that is a member of a
+category extending {\tt SemiGroup} is a member of
+{\tt SemiGroup} (that is, it {\it is} a semigroup).
+In particular, any domain asserted to be a {\tt Ring} is a
+semigroup since {\tt Ring} extends {\tt Monoid}, that,
+in turn, extends {\tt SemiGroup}.
+The definition of {\tt Integer} in Axiom asserts that
+{\tt Integer} is a member of category
+{\tt IntegerNumberSystem}, that, in turn, asserts that it is
+a member of {\tt EuclideanDomain}.
+Now {\tt EuclideanDomain} extends
+{\tt PrincipalIdealDomain} and so on.
+If you trace up the hierarchy, you see that
+{\tt EuclideanDomain} extends {\tt Ring}, and,
+therefore, {\tt SemiGroup}.
+Thus {\tt Integer} is a semigroup and also exports the
+operations $*$ and $**$.
+
+\section{Defaults}
+\label{ugCategoriesDefaults}
+
+We actually omitted the last \index{category!defaults} part of the
+definition of \index{default definitions} {\tt SemiGroup} in
+\ref{ugCategoriesHier} on page~\pageref{ugCategoriesHier}.  Here now
+is its complete Axiom definition.
+
+\begin{verbatim}
+SemiGroup(): Category == SetCategory with
+      "*": ($, $) -> $
+      "**": ($, PositiveInteger) -> $
+    add
+      import RepeatedSquaring($)
+      x: $ ** n: PositiveInteger == expt(x,n)
+\end{verbatim}
+
+The $add$ part at the end is used to give ``default definitions'' for
+\index{add}
+exported operations.
+Once you have a multiplication operation $*$, you can
+define exponentiation
+for positive integer exponents
+using repeated multiplication:
+
+$x^n = {\underbrace{x \, x \, x \, \cdots \,
+x}_{\displaystyle n \hbox{\ times}}}$
+
+This definition for $**$ is called a {\it default} definition.
+In general, a category can give default definitions for any
+operation it exports.
+Since {\tt SemiGroup} and all its category descendants in the hierarchy
+export $**$, any descendant category may redefine $**$ as well.
+
+A domain of category {\tt SemiGroup}
+(such as {\tt Integer}) may or may not choose to
+define its own $**$ operation.
+If it does not, a default definition that is closest (in a ``tree-distance''
+sense of the hierarchy) to the domain is chosen.
+
+The part of the category definition following an $add$ operation
+is a {\it capsule}, as discussed in
+the previous chapter.
+The line
+\begin{verbatim}
+import RepeatedSquaring($)
+\end{verbatim}
+references the package
+{\tt RepeatedSquaring(\$)}, that is, the package
+{\tt RepeatedSquaring} that takes ``this domain'' as its
+parameter.
+For example, if the semigroup {\tt Polynomial (Integer)}
+does not define its own exponentiation operation, the
+definition used may come from the package
+{\tt RepeatedSquaring (Polynomial (Integer))}.
+The next line gives the definition in terms of {\bf expt} from that
+package.
+
+The default definitions are collected to form a ``default
+package'' for the category.
+The name of the package is the same as  the category but with an
+ampersand ({\tt \&}) added at the end.
+A default package always takes an additional argument relative to the
+category.
+Here is the definition of the default package {\tt SemiGroup\&} as
+automatically generated by Axiom from the above definition of
+{\tt SemiGroup}.
+
+\begin{verbatim}
+SemiGroup_&($): Exports == Implementation where
+  $: SemiGroup
+  Exports == with
+    "**": ($, PositiveInteger) -> $
+  Implementation == add
+    import RepeatedSquaring($)
+    x:$ ** n:PositiveInteger == expt(x,n)
+\end{verbatim}
+
+\section{Axioms}
+\label{ugCategoriesAxioms}
+
+In the previous section you saw the
+complete Axiom program defining \index{axiom}
+{\tt SemiGroup}.
+According to this definition, semigroups (that is, are sets with
+the operations \spadopFrom{*}{SemiGroup} and
+\spadopFrom{**}{SemiGroup}.
+\index{SemiGroup}
+
+You might ask: ``Aside from the notion of default packages, isn't
+a category just a {\it macro}, that is, a shorthand
+equivalent to the two operations $*$ and $**$ with
+their types?'' If a category were a macro, every time you saw the
+word {\tt SemiGroup}, you would rewrite it by its list of
+exported operations.
+Furthermore, every time you saw the exported operations of
+{\tt SemiGroup} among the exports of a constructor, you could
+conclude that the constructor exported {\tt SemiGroup}.
+
+A category is {\it not} a macro and here is why.
+The definition for {\tt SemiGroup} has documentation that states:
+
+\begin{quotation}
+    Category {\tt SemiGroup} denotes the class of all multiplicative
+    semigroups, that is, a set with an associative operation $*$.
+
+    \vskip .5\baselineskip
+    {Axioms:}
+
+    {\small\tt associative("*" : (\$,\$)->\$) -- (x*y)*z = x*(y*z)}
+\end{quotation}
+
+According to the author's remarks, the mere
+exporting of an operation named $*$ and $**$ is not
+enough to qualify the domain as a {\tt SemiGroup}.
+In fact, a domain can be a semigroup only if it explicitly
+exports a $**$ and
+a $*$ satisfying the associativity axiom.
+
+In general, a category name implies a set of axioms, even mathematical
+theorems.
+There are numerous axioms from {\tt Ring}, for example,
+that are well-understood from the literature.
+No attempt is made to list them all.
+Nonetheless, all such mathematical facts are implicit by the use of the
+name {\tt Ring}.
+
+\section{Correctness}
+\label{ugCategoriesCorrectness}
+
+While such statements are only comments,
+\index{correctness}
+Axiom can enforce their intention simply by shifting the burden of
+responsibility onto the author of a domain.
+A domain belongs to category $Ring$ only if the
+author asserts that the domain  belongs to {\tt Ring} or
+to a category that extends {\tt Ring}.
+
+This principle of assertion is important for large user-extendable
+systems.
+Axiom has a large library of operations offering facilities in
+many areas.
+Names such as {\bf norm} and {\bf product}, for example, have
+diverse meanings in diverse contexts.
+An inescapable hindrance to users would be to force those who wish to
+extend Axiom to always invent new names for operations.
+%>> I don't think disambiguate is really a word, though I like it
+Axiom allows you to reuse names, and then use context to disambiguate one
+from another.
+
+Here is another example of why this is important.
+Some languages, such as {\bf APL},
+\index{APL}
+denote the {\tt Boolean} constants {\tt true} and
+{\tt false} by the integers $1$ and $0$.
+You may want to let infix operators $+$ and $*$ serve as the logical
+operators {\bf or} and {\bf and}, respectively.
+But note this: {\tt Boolean} is not a ring.
+The {\it inverse axiom} for {\tt Ring} states:
+%
+\begin{center}
+Every element $x$ has an additive inverse $y$ such that
+$x + y = 0$.
+\end{center}
+%
+{\tt Boolean} is not a ring since {\tt true} has
+no inverse---there is no inverse element $a$ such that
+$1 + a = 0$ (in terms of booleans, {\tt (true or a) = false}).
+Nonetheless, Axiom {\it could} easily and correctly implement
+{\tt Boolean} this way.
+{\tt Boolean} simply would not assert that it is of category
+{\tt Ring}.
+Thus the ``{\tt +}'' for {\tt Boolean} values
+is not confused with the one for {\tt Ring}.
+Since the {\tt Polynomial} constructor requires its argument
+to be a ring, Axiom would then refuse to build the
+domain {\tt Polynomial(Boolean)}. Also, Axiom would refuse to
+wrongfully apply algorithms to {\tt Boolean} elements that  presume that the
+ring axioms for ``{\tt +}'' hold.
+
+\section{Attributes}
+\label{ugCategoriesAttributes}
+
+Most axioms are not computationally useful.
+Those that are can be explicitly expressed by what Axiom calls an
+{\it attribute}.
+The attribute {\bf commutative("*")}, for example, is used to assert
+that a domain has commutative multiplication.
+Its definition is given by its documentation:
+
+\begingroup \parindent=1pc \narrower\noindent%
+    A domain $R$ has {\bf commutative("*")}
+    if it has an operation "*": \spadsig{(R,R)}{R} such that $x * y = y * x$.
+\par\endgroup
+
+Just as you can test whether a domain has the category {\tt Ring}, you
+can test that a domain has a given attribute.
+
+
+Do polynomials over the integers
+have commutative multiplication?
+
+\spadcommand{Polynomial Integer has commutative("*")}
+
+Do matrices over the integers
+have commutative multiplication?
+
+\spadcommand{Matrix Integer has commutative("*")}
+
+Attributes are used to conditionally export and define operations for
+a domain (see \ref{ugDomainsAssertions} on
+page~\pageref{ugDomainsAssertions}).  Attributes can also be asserted
+in a category definition.
+
+After mentioning category {\tt Ring} many times in this book,
+it is high time that we show you its definition:
+\index{Ring}
+
+\begin{verbatim}
+Ring(): Category ==
+  Join(Rng,Monoid,LeftModule($: Rng)) with
+      characteristic: -> NonNegativeInteger
+      coerce: Integer -> $
+      unitsKnown
+    add
+      n:Integer
+      coerce(n) == n * 1$$
+\end{verbatim}
+
+There are only two new things here.
+First, look at the {\tt \$\$} on the last line.
+This is not a typographic error!
+The first {\tt \$} says that the $1$ is to come from some
+domain.
+The second {\tt \$} says that the domain is ``this domain.''
+If {\tt \$} is {\tt Fraction(Integer)}, this line reads {\tt
+coerce(n) == n * 1\$Fraction(Integer)}.
+
+The second new thing is the presence of attribute ``$unitsKnown$''.
+Axiom can always distinguish an attribute from an operation.
+An operation has a name and a type. An attribute has no type.
+The attribute {\bf unitsKnown} asserts a rather subtle mathematical
+fact that is normally taken for granted when working with
+rings.\footnote{With this axiom, the units of a domain are the set of
+elements $x$ that each have a multiplicative
+inverse $y$ in the domain.
+Thus $1$ and $-1$ are units in domain {\tt Integer}.
+Also, for {\tt Fraction Integer}, the domain of rational numbers,
+all non-zero elements are units.}
+Because programs can test for this attribute, Axiom can
+correctly handle rather more complicated mathematical structures (ones
+that are similar to rings but do not have this attribute).
+
+\section{Parameters}
+\label{ugCategoriesParameters}
+
+Like domain constructors, category constructors can also have
+parameters.
+For example, category {\tt MatrixCategory} is a parameterized
+category for defining matrices over a ring $R$ so that the
+matrix domains can have
+different representations and indexing schemes.
+Its definition has the form:
+
+\begin{verbatim}
+MatrixCategory(R,Row,Col): Category ==
+    TwoDimensionalArrayCategory(R,Row,Col) with ...
+\end{verbatim}
+
+The category extends {\tt TwoDimensionalArrayCategory} with
+the same arguments.
+You cannot find {\tt TwoDimensionalArrayCategory} in the
+algebraic hierarchy listing.
+Rather, it is a member of the data structure hierarchy,
+given inside the back cover of this book.
+In particular, {\tt TwoDimensionalArrayCategory} is an extension of
+{\tt HomogeneousAggregate} since its elements are all one type.
+
+The domain {\tt Matrix(R)}, the class of matrices with coefficients
+from domain $R$, asserts that it is a member of category
+{\tt MatrixCategory(R, Vector(R), Vector(R))}.
+The parameters of a category must also have types.
+The first parameter to {\tt MatrixCategory}
+$R$ is required to be a ring.
+The second and third are required to be domains of category
+{\tt FiniteLinearAggregate(R)}.\footnote{%
+This is another extension of
+{\tt HomogeneousAggregate} that you can see in
+the data structure hierarchy.}
+In practice, examples of categories having parameters other than
+domains are rare.
+
+Adding the declarations for parameters to the definition for
+{\tt MatrixCategory}, we have:
+
+\begin{verbatim}
+R: Ring
+(Row, Col): FiniteLinearAggregate(R)
+
+MatrixCategory(R, Row, Col): Category ==
+    TwoDimensionalArrayCategory(R, Row, Col) with ...
+\end{verbatim}
+
+\section{Conditionals}
+\label{ugCategoriesConditionals}
+
+As categories have parameters, the actual operations exported by a
+\index{conditional}
+category can depend on these parameters.
+As an example, the operation \spadfunFrom{determinant}{MatrixCategory}
+from category {\tt MatrixCategory} is only exported when the
+underlying domain $R$ has commutative multiplication:
+
+\begin{verbatim}
+if R has commutative("*") then
+   determinant: $ -> R
+\end{verbatim}
+
+Conditionals can also define conditional extensions of a category.
+Here is a portion of the definition of {\tt QuotientFieldCategory}:
+\index{QuotientFieldCategory}
+
+\begin{verbatim}
+QuotientFieldCategory(R) : Category == ... with ...
+     if R has OrderedSet then OrderedSet
+     if R has IntegerNumberSystem then
+       ceiling: $ -> R
+         ...
+\end{verbatim}
+
+Think of category {\tt QuotientFieldCategory(R)} as
+denoting the domain {\tt Fraction(R)}, the
+class of all fractions of the form $a/b$ for elements of $R$.
+The first conditional means in English:
+``If the elements of $R$ are totally ordered ($R$
+is an {\tt OrderedSet}), then so are the fractions $a/b$''.
+\index{Fraction}
+
+The second conditional is used to conditionally export an
+operation {\bf ceiling} which returns the smallest integer
+greater than or equal to its argument.
+Clearly, ``ceiling'' makes sense for integers but not for
+polynomials and other algebraic structures.
+Because of this conditional,
+the domain {\tt Fraction(Integer)} exports
+an operation
+{\bf ceiling}: \spadsig{Fraction Integer}{Integer}, but
+{\tt Fraction Polynomial Integer} does not.
+
+Conditionals can also appear in the default definitions for the
+operations of a category.
+For example, a default definition for \spadfunFrom{ceiling}{Field}
+within the part following the $add$ reads:
+
+\begin{verbatim}
+if R has IntegerNumberSystem then
+    ceiling x == ...
+\end{verbatim}
+
+Here the predicate used is identical to the predicate in the {\tt
+Exports} part.  This need not be the case.  See \ref{ugPackagesConds}
+on page~\pageref{ugPackagesConds} for a more complicated example.
+
+\section{Anonymous Categories}
+\label{ugCategoriesAndPackages}
+
+The part of a category to the right of a {\tt with} is also regarded
+as a category---an ``anonymous category.''  Thus you have already seen
+a category definition \index{category!anonymous} in Chapter
+\ref{ugPackages} on page~\pageref{ugPackages}.  The {\tt Exports} part
+of the package {\tt DrawComplex} (\ref{ugPackagesAbstract} on
+page~\pageref{ugPackagesAbstract}) is an anonymous category.  This is
+not necessary.  We could, instead, give this category a name:
+
+%
+\begin{verbatim}
+DrawComplexCategory(): Category == with
+   drawComplex: (C -> C,S,S,Boolean) -> VIEW3D
+   drawComplexVectorField: (C -> C,S,S) -> VIEW3D
+   setRealSteps: INT -> INT
+   setImagSteps: INT -> INT
+   setClipValue: DFLOAT-> DFLOAT
+\end{verbatim}
+%
+and then define {\tt DrawComplex} by:
+%
+\begin{verbatim}
+DrawComplex(): DrawComplexCategory == Implementation
+   where
+      ...
+\end{verbatim}
+%
+
+There is no reason, however, to give this list of exports a name
+since no other domain or package exports it.
+In fact, it is rare for a package to export a named category.
+As you will see in the next chapter, however, it is very common
+for the definition of domains to mention one or more category
+before the {\tt with}.
+\index{with}
+
+\setcounter{chapter}{12} % Chapter 13
+
+\hyphenation{
+Quad-rat-ic-Form
+}
+\spadcommand{)read alql.boot}
+\spadcommand{)load DLIST ICARD DBASE QEQUAT MTHING OPQUERY )update}
+
+\chapter{Domains}
+\label{ugDomains}
+
+We finally come to the {\it domain constructor}.
+A few subtle differences between packages and
+domains turn up some interesting issues.
+We first discuss these differences then
+describe the resulting issues by illustrating a program
+for the {\tt QuadraticForm} constructor.
+After a short example of an algebraic constructor,
+{\tt CliffordAlgebra}, we show how you use domain constructors to build
+a database query facility.
+
+\section{Domains vs. Packages}
+\label{ugPackagesDoms}
+%
+Packages are special cases of domains.
+What is the difference between a package and a domain that is not a
+package?
+By definition, there is only one difference: a domain that is not a package
+has the symbol {\tt \$} appearing
+somewhere among the types of its exported operations.
+The {\tt \$} denotes ``this domain.'' If the {\tt \$}
+appears before the {\tt ->} in the type of a signature, it means
+the operation takes an element from the domain as an argument.
+If it appears after the {\tt ->}, then the operation returns an
+element of the domain.
+
+If no exported operations mention {\tt \$}, then evidently there is
+nothing of interest to do with the objects of the domain.  You might
+then say that a package is a ``boring'' domain!  But, as you saw in
+Chapter \ref{ugPackages} on page~\pageref{ugPackages}, packages are a
+very useful notion indeed.  The exported operations of a package
+depend solely on the parameters to the package constructor and other
+explicit domains.
+
+To summarize, domain constructors are versatile structures that serve two
+distinct practical purposes:
+Those like {\tt Polynomial} and {\tt List}
+describe classes of computational objects;
+others, like {\tt SortPackage}, describe packages of useful
+operations.
+As in the last chapter, we focus here on the first kind.
+
+\section{Definitions}
+\label{ugDomainsDefs}
+%
+
+The syntax for defining a domain constructor is the same as for any
+function in Axiom:
+\begin{center}
+\frenchspacing{\tt {\it DomainForm} : {\it Exports} == {\it Implementation}}
+\end{center}
+As this definition usually extends over many lines, a
+$where$ expression is generally used instead.
+\index{where}
+
+A recommended format for the definition of a domain is:\newline
+{\tt%
+{\it DomainForm} : Exports  ==  Implementation where \newline
+\hspace*{.75pc} {\it optional type declarations} \newline
+\hspace*{.75pc} Exports  ==  [{\it Category Assertions}] with \newline
+\hspace*{2.0pc}   {\it list of exported operations} \newline
+\hspace*{.75pc} Implementation  ==  [{\it Add Domain}] add \newline
+\hspace*{2.0pc}   [Rep := {\it Representation}] \newline
+\hspace*{2.0pc}   {\it list of function definitions for exported operations}
+}
+
+\vskip 4pt
+Note: The brackets {\tt [ ]} here denote optionality.
+
+A complete domain constructor definition for {\tt QuadraticForm} is
+shown in Figure \ref{fig-quadform} on page~\pageref{fig-quadform}.
+Interestingly, this little domain illustrates all the new concepts you
+need to learn.
+
+\begin{figure}
+\begin{verbatim}
+)abbrev domain QFORM QuadraticForm
+
+++ Description:
+++   This domain provides modest support for
+++   quadratic forms.
+QuadraticForm(n, K): Exports == Implementation where
+    n: PositiveInteger
+    K: Field
+
+    Exports == AbelianGroup with            --The exports
+      quadraticForm: SquareMatrix(n,K) -> $ --export this
+        ++ \bs{}axiom\{quadraticForm(m)\} creates a quadratic
+        ++ quadratic form from a symmetric,
+        ++ square matrix \bs{}axiom\{m\}.
+      matrix: $ -> SquareMatrix(n,K)       -- export matrix
+        ++ \bs{}axiom\{matrix(qf)\} creates a square matrix
+        ++ from the quadratic form \bs{}axiom\{qf\}.
+      elt: ($, DirectProduct(n,K)) -> K    -- export elt
+        ++ \bs{}axiom\{qf(v)\} evaluates the quadratic form
+        ++ \bs{}axiom\{qf\} on the vector \bs{}axiom\{v\},
+        ++ producing a scalar.
+
+    Implementation == SquareMatrix(n,K) add --The exports
+      Rep := SquareMatrix(n,K)              --representation
+      quadraticForm m ==                    --definition 
+        not symmetric? m => error                      
+          "quadraticForm requires a symmetric matrix"
+        m :: $
+      matrix q == q :: Rep                  --definition 
+      elt(q,v) == dot(v, (matrix q * v))    --definition 
+
+\end{verbatim}
+\caption{The {\tt QuadraticForm} domain.}\label{fig-quadform}
+\end{figure}
+
+A domain constructor can take any number and type of parameters.
+{\tt QuadraticForm} takes a positive integer $n$ and a field
+$K$ as arguments.
+Like a package, a domain has a set of explicit exports and an
+implementation described by a capsule.
+Domain constructors are documented in the same way as package constructors.
+
+Domain {\tt QuadraticForm(n, K)}, for a given positive integer
+$n$ and domain $K$, explicitly exports three operations:
+%
+\begin{itemize}
+\item$quadraticForm(A)$ creates a quadratic form from a matrix
+$A$.
+\item$matrix(q)$ returns the matrix $A$ used to create
+the quadratic form $q$.
+\item$q.v$ computes the scalar $v^TAv$
+for a given vector $v$.
+\end{itemize}
+
+Compared with the corresponding syntax given for the definition of a
+package, you see that a domain constructor has three optional parts to
+its definition: {\it Category Assertions}, {\it Add Domain}, and
+{\it Representation}.
+
+\section{Category Assertions}
+\label{ugDomainsAssertions}
+%
+
+The {\it Category Assertions} part of your domain constructor
+definition lists those categories of which all domains created by the
+constructor are unconditionally members.  The word ``unconditionally''
+means that membership in a category does not depend on the values of
+the parameters to the domain constructor.  This part thus defines the
+link between the domains and the category hierarchies given on the
+inside covers of this book.  As described in
+\ref{ugCategoriesCorrectness} on
+page~\pageref{ugCategoriesCorrectness}, it is this link that makes it
+possible for you to pass objects of the domains as arguments to other
+operations in Axiom.
+
+Every {\tt QuadraticForm} domain is declared
+to be unconditionally a member of category {\tt AbelianGroup}.
+An abelian group is a collection of elements closed under
+addition.
+Every object {\it x} of an abelian group has an additive inverse
+{\it y} such that $x + y = 0$.
+The exports of an abelian group include $0$,
+{\tt +}, {\tt -}, and scalar multiplication by an integer.
+After asserting that {\tt QuadraticForm} domains are abelian
+groups, it is possible to pass quadratic forms to algorithms that
+only assume arguments to have these abelian group
+properties.
+
+In \ref{ugCategoriesConditionals} on
+page~\pageref{ugCategoriesConditionals}, you saw that {\tt
+Fraction(R)}, a member of {\tt QuotientFieldCategory(R)}, is a member
+of {\tt OrderedSet} if $R$ is a member of {\tt OrderedSet}.  Likewise,
+from the {\tt Exports} part of the definition of {\tt ModMonic(R, S)},
+
+\begin{verbatim}
+UnivariatePolynomialCategory(R) with
+  if R has Finite then Finite
+     ...
+\end{verbatim}
+you see that {\tt ModMonic(R, S)} is a member of
+{\tt Finite} is $R$ is.
+
+The {\tt Exports} part of a domain definition is
+the same kind of
+expression that can appear to the right of an
+{\tt ==} in a category definition.
+If a domain constructor is unconditionally a member of two or more
+categories, a $Join$ form is used.
+\index{Join}
+The {\tt Exports} part of the definition of
+{\tt FlexibleArray(S)} reads, for example:
+\begin{verbatim}
+Join(ExtensibleLinearAggregate(S),
+     OneDimensionalArrayAggregate(S)) with...
+\end{verbatim}
+
+\section{A Demo}
+\label{ugDomainsDemo}
+%
+Before looking at the {\it Implementation} part of {\tt QuadraticForm},
+let's try some examples.
+
+\vskip 2pc
+
+Build a domain $QF$.
+
+\spadcommand{QF := QuadraticForm(2,Fraction Integer)}
+
+Define a matrix to be used to construct
+a quadratic form.
+
+\spadcommand{A := matrix [ [-1,1/2],[1/2,1] ]}
+
+Construct the quadratic form.
+A package call {\tt \$QF} is necessary since there
+are other {\tt QuadraticForm} domains.
+
+\spadcommand{q : QF := quadraticForm(A)}
+
+Looks like a matrix. Try computing
+the number of rows.
+Axiom won't let you.
+
+\spadcommand{nrows q}
+
+Create a direct product element $v$.
+A package call is again necessary, but Axiom
+understands your list as denoting a vector.
+
+\spadcommand{v := directProduct([2,-1])\$DirectProduct(2,Fraction Integer)}
+
+Compute the product $v^TAv$.
+
+\spadcommand{q.v}
+
+What is 3 times $q$ minus $q$ plus $q$?
+
+\spadcommand{3*q-q+q}
+
+\section{Browse}
+\label{ugDomainsBrowse}
+
+The Browse facility of HyperDoc is useful for
+investigating
+the properties of domains, packages, and categories.
+From the main HyperDoc menu, move your mouse to {\bf Browse} and
+click on the left mouse button.
+This brings up the Browse first page.
+Now, with your mouse pointer somewhere in this window, enter the
+string ``quadraticform'' into the input area (all lower case
+letters will do).
+Move your mouse to {\bf Constructors} and click.
+Up comes a page describing {\tt QuadraticForm}.
+
+From here, click on {\bf Description}.
+This gives you a page that includes a part labeled by ``{\it
+Description:}''.
+You also see the types for arguments $n$ and $K$
+displayed as well as the fact that {\tt QuadraticForm}
+returns an {\tt AbelianGroup}.
+You can go and experiment a bit by selecting {\tt Field} with
+your mouse.
+Eventually, use the ``UP'' button
+several times to return to the first page on
+{\tt QuadraticForm}.
+
+Select {\bf Operations} to get a list of operations for
+{\tt QuadraticForm}.
+You can select an operation by clicking on it
+to get an individual page with information about that operation.
+Or you can select the buttons along the bottom to see alternative
+views or get additional information on the operations.
+Then return to the page on {\tt QuadraticForm}.
+
+Select {\bf Cross Reference} to get another menu.
+This menu has buttons for {\bf Parents}, {\bf Ancestors}, and
+others.
+Clicking on {\bf Parents}, you see that {\tt QuadraticForm}
+has one parent {\tt AbelianMonoid}.
+
+\section{Representation}
+\label{ugDomainsRep}
+%
+The {\tt Implementation} part of an Axiom capsule for a
+domain constructor uses the special variable $Rep$ to
+\index{Rep @ {\tt Rep}}
+identify the lower level data type used to represent the objects
+\index{representation!of a domain}
+of the domain.
+\index{domain!representation}
+The $Rep$ for quadratic forms is {\tt SquareMatrix(n, K)}.
+This means that all objects of the domain are required to be
+$n$ by $n$ matrices with elements from {\bf K}.
+
+The code for {\tt quadraticForm} in Figure \ref{fig-quadform}
+on page \pageref{fig-quadform}
+checks that the matrix is symmetric and then converts it to
+{\tt \$}, which means, as usual, ``this domain.'' Such explicit
+conversions \index{conversion} are generally required by the
+compiler.
+Aside from checking that the matrix is symmetric, the code for
+this function essentially does nothing.
+The {\frenchspacing\tt m :: \$} on line 28 coerces $m$ to a
+quadratic form.
+In fact, the quadratic form you created in step (3) of
+\ref{ugDomainsDemo} on page~\pageref{ugDomainsDemo} 
+is just the matrix you passed it in
+disguise!
+Without seeing this definition, you would not know that.
+Nor can you take advantage of this fact now that you do know!
+When we try in the next step of \ref{ugDomainsDemo} on 
+page~\pageref{ugDomainsDemo} to regard
+$q$ as a matrix by asking for {\bf nrows}, the number of
+its rows, Axiom gives you an error message saying, in
+effect, ``Good try, but this won't work!''
+
+The definition for the \spadfunFrom{matrix}{QuadraticForm}
+function could hardly be simpler:
+it just returns its argument after explicitly
+coercing its argument to a matrix.
+Since the argument is already a matrix, this coercion does no computation.
+
+Within the context of a capsule, an object of {\tt \$} is
+regarded both as a quadratic form {\it and} as a
+matrix.\footnote{In case each of {\tt \$} and $Rep$
+have the same named operation available,
+the one from $\$$ takes precedence.
+Thus, if you want the one from {\tt Rep}, you must
+package call it using a {\tt \$Rep} suffix.}
+This makes the definition of $q.v$ easy---it
+just calls the \spadfunFrom{dot}{DirectProduct} product from
+{\tt DirectProduct} to perform the indicated operation.
+
+\section{Multiple Representations}
+\label{ugDomainsMultipleReps}
+%
+
+To write functions that implement the operations of a domain, you
+want to choose the most computationally efficient
+data structure to represent the elements of your domain.
+
+A classic problem in computer algebra is the optimal choice for an
+internal representation of polynomials.
+If you create a polynomial, say $3x^2+ 5$, how
+does Axiom hold this value internally?
+There are many ways.
+Axiom has nearly a dozen different representations of
+polynomials, one to suit almost any purpose.
+Algorithms for solving polynomial equations work most
+efficiently with polynomials represented one way, whereas those for
+factoring polynomials are most efficient using another.
+One often-used representation is  a list of terms, each term
+consisting of exponent-coefficient records written in the order
+of decreasing exponents.
+For example, the polynomial $3x^2+5$ is
+%>> I changed the k's in next line to e's as I thought that was
+%>> clearer.
+represented by the list $[ [e:2, c:3], [e:0, c:5] ]$.
+
+What is the optimal data structure for a matrix?
+It depends on the application.
+For large sparse matrices, a linked-list structure of records
+holding only the non-zero elements may be optimal.
+If the elements can be defined by a simple formula
+$f(i,j)$, then a compiled function for
+$f$ may be optimal.
+Some programmers prefer to represent ordinary matrices as vectors
+of vectors.
+Others prefer to represent matrices by one big linear array where
+elements are accessed with linearly computable indexes.
+
+While all these simultaneous structures tend to be confusing,
+Axiom provides a helpful organizational tool for such a purpose:
+categories.
+{\tt PolynomialCategory}, for example, provides a uniform user
+interface across all polynomial types.
+Each kind of polynomial implements functions for
+all these operations, each in its own way.
+If you use only the top-level operations in
+{\tt PolynomialCategory} you usually do not care what kind
+of polynomial implementation is used.
+
+%>> I've often thought, though, that it would be nice to be
+%>> be able to use conditionals for representations.
+Within a given domain, however, you define (at most) one
+representation.\footnote{You can make that representation a
+{\tt Union} type, however.
+See \ref{ugTypesUnions} on page~\pageref{ugTypesUnions} 
+for examples of unions.}
+If you want to have multiple representations (that is, several
+domains, each with its own representation), use a category to
+describe the {\tt Exports}, then define separate domains for each
+representation.
+
+\section{Add Domain}
+\label{ugDomainsAddDomain}
+%
+
+The capsule part of {\tt Implementation} defines functions that
+implement the operations exported by the domain---usually only
+some of the operations.
+In our demo in \ref{ugDomainsDemo} on page~\pageref{ugDomainsDemo}, 
+we asked for the value of
+$3*q-q+q$.
+Where do the operations {\tt *}, {\tt +}, and
+{\tt -} come from?
+There is no definition for them in the capsule!
+
+The {\tt Implementation} part of a definition can
+\index{domain!add}
+optionally specify an ``add-domain'' to the left of an {\tt add}
+\index{add}
+(for {\tt QuadraticForm}, defines
+{\tt SquareMatrix(n,K)} is the add-domain).
+The meaning of an add-domain is simply this: if the capsule part
+of the {\tt Implementation} does not supply a function for an
+operation, Axiom goes to the add-domain to find the
+function.
+So do $*$, $+$ and $-$ (from QuadraticForm) come from
+{\tt SquareMatrix(n,K)}?
+%Read on!
+
+\section{Defaults}
+\label{ugDomainsDefaults}
+%
+In Chapter \ref{ugPackages} on page~\pageref{ugPackages}, 
+we saw that categories can provide
+default implementations for their operations.
+How and when are they used?
+When Axiom finds that {\tt QuadraticForm(2, Fraction
+Integer)} does not implement the operations {\tt *},
+{\tt +}, and {\tt -}, it goes to
+{\tt SquareMatrix(2,Fraction Integer)} to find it.
+As it turns out, {\tt SquareMatrix(2, Fraction Integer)} does
+not implement {\it any} of these operations!
+
+What does Axiom do then?
+Here is its overall strategy.
+First, Axiom looks for a function in the capsule for the domain.
+If it is not there, Axiom looks in the add-domain for the
+operation.
+If that fails, Axiom searches the add-domain of the add-domain,
+and so on.
+If all those fail, it then searches the default packages for the
+categories of which the domain is a member.
+In the case of {\tt QuadraticForm}, it searches
+{\tt AbelianGroup}, then its parents, grandparents, and
+so on.
+If this fails, it then searches the default packages of the
+add-domain.
+Whenever a function is found, the search stops immediately and the
+function is returned.
+When all fails, the system calls {\bf error} to report this
+unfortunate news to you.
+To find out the actual order of constructors searched for
+{\tt QuadraticForm}, consult Browse: from the
+{\tt QuadraticForm}, click on {\tt Cross Reference}, then on
+{\tt Lineage}.
+
+Let's apply this search strategy for our example $3*q-q+q$.
+The scalar multiplication comes first.
+Axiom finds a default implementation in
+{\tt AbelianGroup\&}.
+Remember from \ref{ugCategoriesDefaults} on 
+page~\pageref{ugCategoriesDefaults} that
+{\tt SemiGroup} provides a default definition for
+$x^n$ by repeated squaring?
+{\tt AbelianGroup} similarly provides a definition for
+$n x$ by repeated doubling.
+
+But the search of the defaults for {\tt QuadraticForm} fails
+to find any {\tt +} or {\tt *} in the default packages for
+the ancestors of {\tt QuadraticForm}.
+So it now searches among those for {\tt SquareMatrix}.
+Category {\tt MatrixCategory}, which provides a uniform interface
+for all matrix domains,
+is a grandparent of {\tt SquareMatrix} and
+has a capsule defining many functions for matrices, including
+matrix addition, subtraction, and scalar multiplication.
+The default package {\tt MatrixCategory\&} is where the
+functions for $+$ and $-$ (from QuadraticForm) come from.
+
+You can use Browse to discover where the operations for
+{\tt QuadraticForm} are implemented.
+First, get the page describing {\tt QuadraticForm}.
+With your mouse somewhere in this window, type a ``2'', press the
+\fbox{\bf Tab} key, and then enter ``Fraction
+Integer'' to indicate that you want the domain
+{\tt QuadraticForm(2, Fraction Integer)}.
+Now click on {\bf Operations} to get a table of operations and on
+{\tt *} to get a page describing the {\tt *} operation.
+Finally, click on {\bf implementation} at the bottom.
+
+\section{Origins}
+\label{ugDomainsOrigins}
+%
+
+Aside from the notion of where an operation is implemented,
+\index{operation!origin}
+a useful notion is  the {\it origin} or ``home'' of an operation.
+When an operation (such as
+\spadfunFrom{quadraticForm}{QuadraticForm}) is explicitly exported by
+a domain (such as {\tt QuadraticForm}), you can say that the
+origin of that operation is that domain.
+If an operation is not explicitly exported from a domain, it is inherited
+from, and has as origin, the (closest) category that explicitly exports it.
+The operations $+$ and $-$ (from AbelianMonoid) of {\tt QuadraticForm},
+for example, are inherited from {\tt AbelianMonoid}.
+As it turns out, {\tt AbelianMonoid} is the origin of virtually every
+{\tt +} operation in Axiom!
+
+Again, you can use Browse to discover the origins of
+operations.
+From the Browse page on {\tt QuadraticForm}, click on {\bf
+Operations}, then on {\bf origins} at the bottom of the page.
+
+The origin of the operation is the {\it only} place where on-line
+documentation is given.
+However, you can re-export an operation to give it special
+documentation.
+Suppose you have just invented the world's fastest algorithm for
+inverting matrices using a particular internal representation for
+matrices.
+If your matrix domain just declares that it exports
+{\tt MatrixCategory}, it exports the {\bf inverse}
+operation, but the documentation the user gets from Browse is
+the standard one from {\tt MatrixCategory}.
+To give your version of {\bf inverse} the attention it
+deserves, simply export the operation explicitly with new
+documentation.
+This redundancy gives {\bf inverse} a new origin and tells
+Browse to present your new documentation.
+
+\section{Short Forms}
+\label{ugDomainsShortForms}
+%
+In Axiom, a domain could be defined using only an add-domain
+and no capsule.
+Although we talk about rational numbers as quotients of integers,
+there is no type {\tt RationalNumber} in Axiom.
+To create such a type, you could compile the following
+``short-form'' definition:
+
+\begin{verbatim}
+RationalNumber() == Fraction(Integer)
+\end{verbatim}
+
+The {\tt Exports} part of this definition is missing and is taken
+to be equivalent to that of {\tt Fraction(Integer)}.
+Because of the add-domain philosophy, you get precisely
+what you want.
+The effect is to create a little stub of a domain.
+When a user asks to add two rational numbers, Axiom would
+ask {\tt RationalNumber} for a function implementing this
+{\tt +}.
+Since the domain has no capsule, the domain then immediately
+sends its request to {\tt Fraction (Integer)}.
+
+The short form definition for domains is used to
+define such domains as {\tt MultivariatePolynomial}:
+\index{MultivariatePolynomial}
+
+\begin{verbatim}
+MultivariatePolynomial(vl: List Symbol, R: Ring) ==
+   SparseMultivariatePolynomial(R,
+      OrderedVariableList vl)
+\end{verbatim}
+
+\section{Example 1: Clifford Algebra}
+\label{ugDomainsClifford}
+%
+
+Now that we have {\tt QuadraticForm} available,
+let's put it to use.
+Given some quadratic form $Q$ described by an
+$n$ by $n$ matrix over a field $K$, the domain
+{\tt CliffordAlgebra(n, K, Q)} defines a vector space of
+dimension $2^n$ over $K$.
+This is an interesting domain since complex numbers, quaternions,
+exterior algebras and spin algebras are all examples of Clifford
+algebras.
+
+The basic idea is this:
+the quadratic form $Q$ defines a basis
+$e_1,e_2\ldots,e_n$ for the
+vector space $K^n$---the direct product of $K$
+with itself $n$ times.
+From this, the Clifford algebra generates a basis of
+$2^n$ elements given by all the possible products
+of the $e_i$ in order without duplicates, that is,
+
+1,
+$e_1$,
+$e_2$,
+$e_1e_2$,
+$e_3$,
+$e_1e_3$,
+$e_2e_3$,
+$e_1e_2,e_3$,
+and so on.
+
+The algebra is defined by the relations
+$$
+\begin{array}{lclc}
+e_i \  e_i & = & Q(e_i) \\
+e_i \  e_j & = & -e_j \  e_i & \hbox{for } i \neq j
+\end{array}
+$$
+
+Now look at the snapshot of its definition given in Figure
+\ref{fig-clifalg} on page~\pageref{fig-clifalg}.
+Lines 9-10 show part of the definitions of the
+{\tt Exports}.  A Clifford algebra over a field $K$ is asserted to be
+a ring, an algebra over $K$, and a vector space over $K$.  Its
+explicit exports include $e(n),$ which returns the $n$-th unit
+element.
+
+\begin{figure}
+\begin{verbatim}
+NNI ==> NonNegativeInteger
+PI  ==> PositiveInteger
+
+CliffordAlgebra(n,K,q): Exports == Implementation where
+    n: PI
+    K: Field
+    q: QuadraticForm(n, K)
+
+    Exports == Join(Ring,Algebra(K),VectorSpace(K)) with
+      e: PI -> $
+          ...        
+
+    Implementation == add
+      Qeelist :=  
+        [q.unitVector(i::PI) for i in 1..n]
+      dim     :=  2**n
+      Rep     := PrimitiveArray K
+      New ==> new(dim, 0$K)$Rep
+      x + y ==
+        z := New
+        for i in 0..dim-1 repeat z.i := x.i + y.i
+        z
+      addMonomProd: (K, NNI, K, NNI, $) -> $
+      addMonomProd(c1, b1, c2, b2, z) ==  ...
+      x * y ==
+        z := New
+        for ix in 0..dim-1 repeat
+          if x.ix \notequal{} 0 then for iy in 0..dim-1 repeat
+            if y.iy \notequal{} 0
+            then addMonomProd(x.ix,ix,y.iy,iy,z)
+          z
+           ...
+\end{verbatim}
+\caption{Part of the {\tt CliffordAlgebra} domain.}\label{fig-clifalg}
+\end{figure}
+
+The {\tt Implementation} part begins by defining a local variable
+$Qeelist$ to hold the list of all $q.v$ where $v$
+runs over the unit vectors from 1 to the dimension $n$.
+Another local variable $dim$ is set to $2^n$,
+computed once and for all.
+The representation for the domain is
+{\tt PrimitiveArray(K)},
+which is a basic array of elements from domain $K$.
+Line 18 defines $New$ as shorthand for the more lengthy
+expression $new(dim, 0\$K)\$Rep$, which computes a primitive
+array of length $2^n$ filled with $0$'s from
+domain $K$.
+
+Lines 19-22 define the sum of two elements $x$ and $y$
+straightforwardly.
+First, a new array of all $0$'s is created, then filled with
+the sum of the corresponding elements.
+Indexing for primitive arrays starts at 0.
+The definition of the product of $x$ and $y$ first requires
+the definition of a local function {\bf addMonomProd}.
+Axiom knows it is local since it is not an exported function.
+The types of all local functions must be declared.
+
+\section{Example 2: Building A Query Facility}
+\label{ugDomsinsDatabase}
+%
+We now turn to an entirely different kind of application,
+building a query language for a database.
+
+Here is the practical problem to solve.
+The Browse facility of Axiom has a
+database for all operations and constructors which is
+stored on disk and accessed by HyperDoc.
+For our purposes here, we regard each line of this file as having
+eight fields:
+{\tt class, name, type, nargs, exposed, kind, origin,} and {\tt condition.}
+Here is an example entry:
+
+\begin{verbatim}
+o`determinant`$->R`1`x`d`Matrix(R)`has(R,commutative("*"))
+\end{verbatim}
+
+In English, the entry means:
+\begin{quotation}
+\raggedright
+The operation {\bf determinant}: \spadsig{\$}{R} with {\it 1} argument, is
+{\it exposed} and is exported by {\it domain} {\tt Matrix(R)}
+if {\tt R has commutative("*")}.
+\end{quotation}
+
+Our task is to create a little query language that allows us
+to get useful information from this database.
+
+\subsection{A Little Query Language}
+\label{ugDomainsQueryLanguage}
+
+First we design a simple language for accessing information from
+the database.
+We have the following simple model in mind for its design.
+Think of the database as a box of index cards.
+There is only one search operation---it
+takes the name of a field and a predicate
+\index{predicate}
+(a boolean-valued function) defined on the fields of the
+index cards.
+When applied, the search operation goes through the entire box
+selecting only those index cards for which the predicate is {\tt true}.
+The result of a search is a new box of index cards.
+This process can be repeated again and again.
+
+The predicates all have a particularly simple form: {\it symbol}
+{\tt =} {\it pattern}, where {\it symbol} designates one of the
+fields, and {\it pattern} is a ``search string''---a string
+that may contain a ``{\tt *}'' as a
+wildcard.
+Wildcards match any substring, including the empty string.
+Thus the pattern ``{\tt "*ma*t}'' matches
+``{\tt "mat"},''{\tt doormat}'' and ``{\tt smart}''.
+
+To illustrate how queries are given, we give you a sneak preview
+of the facility we are about to create.
+
+Extract the database of all Axiom operations.
+
+\spadcommand{ops := getDatabase("o")}
+
+How many exposed three-argument {\bf map} operations involving streams?
+
+\spadcommand{ops.(name="map").(nargs="3").(type="*Stream*")}
+
+As usual, the arguments of {\bf elt} ({\tt .})
+associate to the left.
+The first {\bf elt} produces the set of all operations with
+name {\tt map}.
+The second {\bf elt} produces the set of all map operations
+with three arguments.
+The third {\bf elt} produces the set of all three-argument map
+operations having a type mentioning {\tt Stream}.
+
+Another thing we'd like to do is to extract one field from each of
+the index cards in the box and look at the result.
+Here is an example of that kind of request.
+
+What constructors explicitly export a {\bf determinant} operation?
+
+\spadcommand{elt(elt(elt(elt(ops,name="determinant"),origin),sort),unique)}
+
+The first {\bf elt} produces the set of all index cards with
+name {\tt determinant}.
+The second {\bf elt} extracts the {\tt origin} component from
+each index card. Each origin component
+is the name of a constructor which directly
+exports the operation represented by the index card.
+Extracting a component from each index card produces what we call
+a {\it datalist}.
+The third {\bf elt}, {\tt sort}, causes the datalist of
+origins to be sorted in alphabetic
+order.
+The fourth, {\tt unique}, causes duplicates to be removed.
+
+Before giving you a more extensive demo of this facility,
+we now build the necessary domains and packages to implement it.
+%We will introduce a few of our minor conveniences.
+
+\subsection{The Database Constructor}
+\label{ugDomainsDatabaseConstructor}
+
+We work from the top down. First, we define a database,
+our box of index cards, as an abstract datatype.
+For sake of illustration and generality,
+we assume that an index card is some type $S$, and
+that a database is a box of objects of type $S$.
+Here is the Axiom program defining the {\tt Database}
+domain.
+
+\begin{verbatim}
+PI ==> PositiveInteger
+Database(S): Exports == Implementation where
+  S: Object with 
+    elt: ($, Symbol) -> String
+    display: $ -> Void
+    fullDisplay: $ -> Void
+
+  Exports == with
+    elt: ($,QueryEquation) -> $                     Select by an equation
+    elt: ($, Symbol) -> DataList String             Select by a field name
+    "+": ($,$) -> $                                 Combine two databases
+    "-": ($,$) -> $                                 Subtract one from another
+    display: $ -> Void                              A brief database display
+    fullDisplay: $ -> Void                          A full database display
+    fullDisplay: ($,PI,PI) -> Void                  A selective display
+    coerce: $ -> OutputForm                         Display a database
+  Implementation == add
+      ...
+\end{verbatim}
+
+The domain constructor takes a parameter $S$, which
+stands for the class of index cards.
+We describe an index card later.
+Here think of an index card as a string which has
+the eight fields mentioned above.
+
+First, we tell Axiom what operations we are going to require
+from index cards.
+We need an {\bf elt} to extract the contents of a field
+(such as {\tt name} and {\tt type}) as a string.
+For example,
+$c.name$ returns a string that is the content of the
+$name$ field on the index card $c$.
+We need to display an index card in two ways:
+{\bf display} shows only the name and type of an
+operation;
+{\bf fullDisplay} displays all fields.
+The display operations return no useful information and thus have
+return type {\tt Void}.
+
+Next, we tell Axiom what operations the user can apply
+to the database.
+This part defines our little query language.
+The most important operation is
+{\frenchspacing\tt db . field = pattern} which
+returns a new database, consisting of all index
+cards of {\tt db} such that the $field$ part of the index
+card is matched by the string pattern called $pattern$.
+The expression {\tt field = pattern} is an object of type
+{\tt QueryEquation} (defined in the next section).
+
+Another {\bf elt} is needed to produce a {\tt DataList}
+object.
+Operation {\tt +} is to merge two databases together;
+{\tt -} is used to subtract away common entries in a second
+database from an initial database.
+There are three display functions.
+The {\bf fullDisplay} function has two versions: one
+that prints all the records, the other that prints only a fixed
+number of records.
+A {\bf coerce} to {\tt OutputForm} creates a display
+object.
+
+The {\tt Implementation} part of {\tt Database} is straightforward.
+\begin{verbatim}
+  Implementation == add
+    s: Symbol
+    Rep := List S
+    elt(db,equation) == ...
+    elt(db,key) == [x.key for x in db]::DataList(String)
+    display(db) ==  for x in db repeat display x
+    fullDisplay(db) == for x in db repeat fullDisplay x
+    fullDisplay(db, n, m) == for x in db for i in 1..m
+      repeat
+        if i >= n then fullDisplay x
+    x+y == removeDuplicates! merge(x,y)
+    x-y == mergeDifference(copy(x::Rep),
+                           y::Rep)$MergeThing(S)
+    coerce(db): OutputForm == (#db):: OutputForm
+\end{verbatim}
+
+The database is represented by a list of elements of $S$ (index cards).
+We leave the definition of the first {\bf elt} operation
+(on line 4) until the next section.
+The second {\bf elt} collects all the strings with field name
+{\it key} into a list.
+The {\bf display} function and first {\bf fullDisplay} function
+simply call the corresponding functions from $S$.
+The second {\bf fullDisplay} function provides an efficient way of
+printing out a portion of a large list.
+The {\tt +} is defined by using the existing
+\spadfunFrom{merge}{List} operation defined on lists, then
+removing duplicates from the result.
+The {\tt -} operation requires writing a corresponding
+subtraction operation.
+A package {\tt MergeThing} (not shown) provides this.
+
+The {\bf coerce} function converts the database to an
+{\tt OutputForm} by computing the number of index cards.
+This is a good example of the independence of
+the representation of an Axiom object from how it presents
+itself to the user. We usually do not want to look at a database---but
+do care how many ``hits'' we get for a given query.
+So we define the output representation of a database to be simply
+the number of index cards our query finds.
+
+\subsection{Query Equations}
+\label{ugDomainsQueryEquations}
+
+The predicate for our search is given by an object of type
+{\tt QueryEquation}.
+Axiom does not have such an object yet so we
+have to invent it.
+
+\begin{verbatim}
+QueryEquation(): Exports == Implementation where
+  Exports == with
+    equation: (Symbol, String) -> $
+    variable: $ -> Symbol
+    value: $ -> String
+
+  Implementation == add
+    Rep := Record(var:Symbol, val:String)
+    equation(x, s) == [x, s]
+    variable q == q.var
+    value q == q.val
+\end{verbatim}
+
+Axiom converts an input expression of the form
+${\it a} = {\it b}$ to $equation({\it a, b})$.
+Our equations always have a symbol on the left and a string
+on the right.
+The {\tt Exports} part thus specifies an operation
+{\bf equation} to create a query equation, and
+{\bf variable} and {\bf value} to select the left- and
+right-hand sides.
+The {\tt Implementation} part uses {\tt Record} for a
+space-efficient representation of an equation.
+
+Here is the missing definition for the {\bf elt} function of
+{\tt Database} in the last section:
+
+\begin{verbatim}
+    elt(db,eq) ==
+      field\  := variable eq
+      value := value eq
+      [x for x in db | matches?(value,x.field)]
+\end{verbatim}
+
+Recall that a database is represented by a list.
+Line 4 simply runs over that list collecting all elements
+such that the pattern (that is, $value$)
+matches the selected field of the element.
+
+\subsection{DataLists}
+\label{ugDomainsDataLists}
+
+Type {\tt DataList} is a new type invented to hold the result
+of selecting one field from each of the index cards in the box.
+It is useful to make datalists extensions of lists---lists that
+have special {\bf elt} operations defined on them for
+sorting and removing duplicates.
+
+\begin{verbatim}
+DataList(S:OrderedSet) : Exports == Implementation where
+  Exports == ListAggregate(S) with
+    elt: ($,"unique") -> $
+    elt: ($,"sort") -> $
+    elt: ($,"count") -> NonNegativeInteger
+    coerce: List S -> $
+
+  Implementation ==  List(S) add
+    Rep := List S
+    elt(x,"unique") == removeDuplicates(x)
+    elt(x,"sort") == sort(x)
+    elt(x,"count") == #x
+    coerce(x:List S) == x :: $
+\end{verbatim}
+
+The {\tt Exports} part asserts that datalists belong to the
+category {\tt ListAggregate}.
+Therefore, you can use all the usual list operations on datalists,
+such as \spadfunFrom{first}{List}, \spadfunFrom{rest}{List}, and
+\spadfunFrom{concat}{List}.
+In addition, datalists have four explicit operations.
+Besides the three {\bf elt} operations, there is a
+{\bf coerce} operation that creates datalists from lists.
+
+The {\tt Implementation} part needs only to define four functions.
+All the rest are obtained from {\tt List(S)}.
+
+\subsection{Index Cards}
+\label{ugDomainsDatabase}
+
+An index card comes from a file as one long string.
+We define functions that extract substrings from the long
+string.
+Each field has a name that
+is passed as a second argument to {\bf elt}.
+
+\begin{verbatim}
+IndexCard() == Implementation where
+  Exports == with
+    elt: ($, Symbol) -> String
+    display: $ -> Void
+    fullDisplay: $ -> Void
+    coerce: String -> $
+  Implementation == String add ...
+\end{verbatim}
+
+We leave the {\tt Implementation} part to the reader.
+All operations involve straightforward string manipulations.
+
+\subsection{Creating a Database}
+\label{ugDomainsCreating}
+
+We must not forget one important operation: one that builds the database in the
+first place!
+We'll name it {\bf getDatabase} and put it in a package.
+This function is implemented by calling the Common Lisp function
+$getBrowseDatabase(s)$ to get appropriate information from
+Browse.
+This operation takes a string indicating which lines you
+want from the database: ``{\tt o}'' gives you all operation
+lines, and ``{\tt k}'', all constructor lines.
+Similarly, ``{\tt c}'', ``{\tt d}'', and ``{\tt p}'' give
+you all category, domain and package lines respectively.
+%
+\begin{verbatim}
+OperationsQuery(): Exports == Implementation where
+  Exports == with
+    getDatabase: String -> Database(IndexCard)
+
+  Implementation == add
+    getDatabase(s) == getBrowseDatabase(s)$Lisp
+\end{verbatim}
+
+We do not bother creating a special name for databases of index
+cards.
+{\tt Database (IndexCard)} will do.
+Notice that we used the package {\tt OperationsQuery} to
+create, in effect,
+a new kind of domain: {\tt Database(IndexCard)}.
+
+\subsection{Putting It All Together}
+\label{ugDomainsPutting}
+
+To create the database facility, you put all these constructors
+into one file.\footnote{You could use separate files, but we
+are putting them all together because, organizationally, that is
+the logical thing to do.}
+At the top of the file put {\tt )abbrev} commands, giving the
+constructor abbreviations you created.
+
+\begin{verbatim}
+)abbrev domain  ICARD   IndexCard
+)abbrev domain  QEQUAT  QueryEquation
+)abbrev domain  MTHING  MergeThing
+)abbrev domain  DLIST   DataList
+)abbrev domain  DBASE   Database
+)abbrev package OPQUERY OperationsQuery
+\end{verbatim}
+
+With all this in {\bf alql.spad}, for example, compile it using
+\index{compile}
+\begin{verbatim}
+)compile alql
+\end{verbatim}
+and then load each of the constructors:
+\begin{verbatim}
+)load ICARD QEQUAT MTHING DLIST DBASE OPQUERY
+\end{verbatim}
+\index{load}
+You are ready to try some sample queries.
+
+\subsection{Example Queries}
+\label{ugDomainsExamples}
+
+Our first set of queries give some statistics on constructors in
+the current Axiom system.
+
+How many constructors does Axiom have?
+
+\spadcommand{ks := getDatabase "k"}
+
+Break this down into the number of categories, domains, and packages.
+
+\spadcommand{[ks.(kind=k) for k in ["c","d","p"] ]}
+
+What are all the domain constructors that take no parameters?
+
+\spadcommand{elt(ks.(kind="d").(nargs="0"),name)}
+
+How many constructors have ``Matrix'' in their name?
+
+\spadcommand{mk := ks.(name="*Matrix*")}
+
+What are the names of those that are domains?
+
+\spadcommand{elt(mk.(kind="d"),name)}
+
+How many operations are there in the library?
+
+\spadcommand{o := getDatabase "o"}
+
+Break this down into categories, domains, and packages.
+
+\spadcommand{[o.(kind=k) for k in ["c","d","p"] ]}
+
+
+The query language is helpful in getting information about a
+particular operation you might like to apply.
+While this information can be obtained with
+Browse, the use of the query database gives you data that you
+can manipulate in the workspace.
+
+How many operations have ``eigen'' in the name?
+
+\spadcommand{eigens := o.(name="*eigen*")}
+
+What are their names?
+
+\spadcommand{elt(eigens,name)}
+
+Where do they come from?
+
+\spadcommand{elt(elt(elt(eigens,origin),sort),unique) }
+
+The operations {\tt +} and {\tt -} are useful for
+constructing small databases and combining them.
+However, remember that the only matching you can do is string
+matching.
+Thus a pattern such as {\tt "*Matrix*"} on the type field
+matches
+any type containing {\tt Matrix}, {\tt MatrixCategory},
+{\tt SquareMatrix}, and so on.
+
+How many operations mention ``Matrix'' in their type?
+
+\spadcommand{tm := o.(type="*Matrix*")}
+
+How many operations come from constructors with ``Matrix'' in
+their name?
+
+\spadcommand{fm := o.(origin="*Matrix*")}
+
+How many operations are in $fm$ but not in $tm$?
+
+\spadcommand{fm-tm }
+
+Display the operations that both mention ``Matrix'' in their type
+and come from a constructor having ``Matrix'' in their name.
+
+\spadcommand{fullDisplay(fm-\%) }
+
+How many operations involve matrices?
+
+\spadcommand{m := tm+fm }
+
+Display 4 of them.
+
+\spadcommand{fullDisplay(m, 202, 205) }
+
+How many distinct names of operations involving matrices are there?
+
+\spadcommand{elt(elt(elt(m,name),unique),count) }
+
+%following definition should go into ug.sty
+\gdef\aliascon#1#2{{\bf #1}}
+\setcounter{chapter}{13} % Chapter 14
+%
+
+\chapter{Browse}
+\label{ugBrowse}
+
+This chapter discusses the Browse
+\index{Browse@Browse}
+component of HyperDoc.
+\index{HyperDoc@{HyperDoc}}
+We suggest you invoke Axiom and work through this
+chapter, section by section, following our examples to gain some
+familiarity with Browse.
+
+\section{The Front Page: Searching the Library}
+\label{ugBrowseStart}
+To enter Browse, click on {\bf Browse} on the top level page
+of HyperDoc to get the {\it front page} of Browse.
+%
+%324pt is 4.5",180pt is 2.5",432pt is 6"=textwidth,54=(432-324)/2
+%ps files are 4.5"x2.5" except source 4.5"x2.5"
+%
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-brfront.ps}
+\end{picture}
+\caption{The Browse front page.}
+\end{figure}
+
+To use this page, you first enter a {\it search string} into
+the input area at the top, then click on one of the buttons below.
+We show the use of each of the buttons by example.
+
+\subsubsection{Constructors}
+
+First enter the search string {\tt Matrix} into the input area and
+click on {\bf Constructors}.
+What you get is the {\it constructor page} for {\tt Matrix}.
+We show and describe this page in detail in
+\ref{ugBrowseDomain} on page~\pageref{ugBrowseDomain}.
+By convention, Axiom does a case-insensitive search for a
+match.
+Thus {\tt matrix} is just as good as {\tt Matrix}, has the same
+effect as {\tt MaTrix}, and so on.
+We recommend that you generally use small letters for names
+however.
+A search string with only capital letters has a special meaning
+(see \ref{ugBrowseCapitalizationConvention} on 
+page~\pageref{ugBrowseCapitalizationConvention}).
+
+
+Click on \UpBitmap{} to return to the Browse front page.
+
+Use the symbol ``{\tt *}'' in search strings as a {\it wild
+card}.
+A wild card matches any substring, including the empty string.
+For example, enter the search string {\tt *matrix*} into the input
+area and click on {\bf Constructors}.\footnote{To get only
+categories, domains, or packages, rather than all constructors,
+you can click on the corresponding button to the right of {\bf
+Constructors}.}
+What you get is a table of all constructors whose names contain
+the string ``{\tt matrix}.''
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-consearch.ps}
+\end{picture}
+\caption{Table of exposed constructors matching {\tt *matrix*} .}
+\end{figure}
+
+%% Following para replaced 1995oct30 MGR
+%These are all the exposed constructors in
+%Axiom.
+%To see how to get all exposed and unexposed constructors in
+%Axiom, skip to the section entitled {\bf Exposure} in
+%\ref{ugBrowseOptions} on page~\pageref{ugBrowseOptions}.
+All constructors containing the string are listed, whether
+exposed or unexposed.
+You can hide the names of the unexposed constructors by clicking
+on the {\it *=}{\bf unexposed} button in the {\it Views} panel at
+the bottom of the window.
+(The button will change to {\bf exposed} {\it only}.)
+
+One of the names in this table is {\tt Matrix}.
+Click on {\tt Matrix}.
+What you get is again the constructor page for {\tt Matrix}.
+As you see, Browse gives you a large network of
+information in which there are many ways to reach the same
+pages.
+\index{Matrix}
+
+Again click on the \UpBitmap{} to return to the table of constructors
+whose names contain {\tt matrix}.
+%Below the table is a {\bf Views} panel. % here & globally MGR 1995oct30
+Below the table is a {\it Views} panel.
+This panel contains buttons that let you view constructors in different
+ways.
+To learn about views of constructors, skip to
+\ref{ugBrowseViewsOfConstructors} on 
+page~\pageref{ugBrowseViewsOfConstructors}.
+
+Click on \UpBitmap{} to return to the Browse front page.
+
+\subsubsection{Operations}
+
+Enter {\tt *matrix} into the input area and click on {\bf
+Operations}.
+This time you get a table of {\it operations} whose names end with {\tt
+matrix} or {\tt Matrix}.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matrixops.ps}
+\end{picture}
+\caption{Table of operations matching {\tt *matrix} .}
+\end{figure}
+
+If you select an operation name, you go to a page describing all
+the operations in Axiom of that name.
+At the bottom of an operation page is another kind of {\it Views} panel,
+one for operation pages.
+To learn more about these views, skip to
+\ref{ugBrowseViewsOfOperations} on page~\pageref{ugBrowseViewsOfOperations}.
+
+Click on \UpBitmap{} to return to the Browse front page.
+
+\subsubsection{Attributes}
+
+This button gives you a table of attribute names that match the
+search string. Enter the search string {\tt *} and click on
+{\bf Attributes} to get a list
+of all system attributes.
+
+Click on \UpBitmap{} to return to the Browse front page.
+
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-atsearch.ps}
+\end{picture}
+\caption{Table of Axiom attributes.}
+\end{figure}
+
+Again there is a {\it Views} panel at the bottom with buttons that let
+you view the attributes in different ways.
+
+\subsubsection{General}
+
+This button does a general search for all constructor, operation, and
+attribute names matching the search string.
+Enter the search string \allowbreak
+{\tt *matrix*} into the input area.
+Click on {\bf General} to find all constructs that have {\tt
+matrix} as a part of their name.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-gensearch.ps}
+\end{picture}
+\caption{Table of all constructs matching {\tt *matrix*} .}
+\end{figure}
+
+The summary gives you all the names under a heading when the number of
+entries is less than 10. % "less than 10." replaces the following:
+			 % sufficiently small%\footnote{See
+%\ref{ugBrowseOptions} to see how you can change this.}.
+%% MGR 1995oct31
+
+Click on \UpBitmap{} to return to the Browse front page.
+
+\subsubsection{Documentation}
+
+Again enter the search key {\tt *matrix*} and this time click on
+{\bf Documentation}.
+This search matches any constructor, operation, or attribute
+name whose documentation contains a substring matching {\tt
+matrix}.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-docsearch.ps}
+\end{picture}
+\caption{Table of constructs with documentation matching {\tt *matrix*} .}
+\end{figure}
+
+Click on \UpBitmap{} to return to the Browse front page.
+
+\subsubsection{Complete}
+
+This search combines both {\bf General} and {\bf Documentation}.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-comsearch.ps}
+\end{picture}
+\caption{Table summarizing complete search for pattern {\tt *matrix*} .}
+\end{figure}
+
+\section{The Constructor Page}
+\label{ugBrowseDomain}
+
+In this section we look in detail at a constructor page for domain
+{\tt Matrix}.
+Enter {\tt matrix} into the input area on the main Browse page
+and click on {\bf Constructors}.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matpage.ps}
+\end{picture}
+\caption{Constructor page for {\tt Matrix}.}
+\end{figure}
+
+The header part tells you that {\tt Matrix} has abbreviation
+{\tt MATRIX} and one argument called {\tt R} that must be a
+domain of category {\tt Ring}.
+Just what domains can be arguments of {\tt Matrix}?
+To find this out, click on the {\tt R} on the second line of the
+heading.
+What you get is a table of all acceptable domain parameter values
+of {\tt R}, or a table of {\it rings} in Axiom.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matargs.ps}
+\end{picture}
+\caption{Table of acceptable domain parameters to {\tt Matrix}.}
+\end{figure}
+
+Click on \UpBitmap{} to return to the constructor page for
+{\tt Matrix}.
+\newpage
+
+If you have access to the source code of Axiom, the third
+\index{source code}
+line of the heading gives you the name of the source file
+containing the definition of {\tt Matrix}.
+Click on it to pop up an editor window containing the source code
+of {\tt Matrix}.
+
+\begin{figure}[htbp]
+\begin{picture}(324,168)%(-54,0)
+\special{psfile=ps/h-matsource.ps}
+\end{picture}
+\caption{Source code for {\tt Matrix}.}
+\end{figure}
+
+We recommend that you leave the editor window up while working
+through this chapter as you occasionally may want to refer to it.
+\newpage
+
+\subsection{Constructor Page Buttons}
+\label{ugBrowseDomainButtons}
+
+We examine each button on this page in order.
+
+\subsubsection{Description}
+
+Click here to bring up a page with a brief description of
+constructor {\tt Matrix}.
+If you have access to system source code, note that these comments
+can be found directly over the constructor definition.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matdesc.ps}
+\end{picture}
+\caption{Description page for {\tt Matrix}.}
+\end{figure}
+
+\subsubsection{Operations}
+
+Click here to get a table of operations exported by
+{\tt Matrix}.
+You may wish to widen the window to have multiple columns as
+below.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matops.ps}
+\end{picture}
+\caption{Table of operations from {\tt Matrix}.}
+\end{figure}
+
+If you click on an operation name, you bring up a description
+page for the operations.
+For a detailed description of these pages, skip to
+\ref{ugBrowseViewsOfOperations} on page~\pageref{ugBrowseViewsOfOperations}.
+
+\subsubsection{Attributes}
+
+Click here to get a table of the two attributes exported by
+{\tt Matrix}:
+\index{attribute}
+{\bf fi\-nite\-Ag\-gre\-gate} and {\bf shallowlyMutable}.
+These are two computational properties that result from
+{\tt Matrix} being regarded as a data structure.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matats.ps}
+\end{picture}
+\caption{Attributes from {\tt Matrix}.}
+\end{figure}
+
+\subsubsection{Examples}
+
+Click here to get an {\it examples page} with examples of operations to
+create and manipulate matrices.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matexamp.ps}
+\end{picture}
+\caption{Example page for {\tt Matrix}.}
+\end{figure}
+
+Read through this section.
+Try selecting the various buttons.
+Notice that if you click on an operation name, such as
+\spadfunFrom{new}{Matrix}, you bring up a description page for that
+operation from {\tt Matrix}.
+
+Example pages have several examples of Axiom commands.
+Each example has an active button to its left.
+Click on it!
+A pre-computed answer is pasted into the page immediately following the
+command.
+If you click on the button a second time, the answer disappears.
+This button thus acts as a toggle:
+``now you see it; now you don't.''
+
+Note also that the Axiom commands themselves are active.
+If you want to see Axiom execute the command, then click on it!
+A new Axiom window appears on your screen and the command is
+executed.
+
+At the end of the page is generally a menu of buttons that lead
+you to further sections.
+Select one of these topics to explore its contents.
+
+\subsubsection{Exports}
+
+Click here to see a page describing the exports of {\tt Matrix}
+exactly as described by the source code.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matexports.ps}
+\end{picture}
+\caption{Exports of {\tt Matrix}.}
+\end{figure}
+
+As you see, {\tt Matrix} declares that it exports all the operations
+and attributes exported by category
+{\tt MatrixCategory(R, Row, Col)}.
+In addition, two operations, {\bf diagonalMatrix} and
+{\bf inverse}, are explicitly exported.
+
+To learn a little about the structure of Axiom, we suggest you do
+the following exercise.
+
+Otherwise, go on to the next section.
+
+{\tt Matrix} explicitly exports only two operations.
+The other operations are thus exports of {\tt MatrixCategory}.
+In general, operations are usually not explicitly exported by a domain.
+Typically they are inherited from several
+different categories.
+Let's find out from where the operations of {\tt Matrix} come.
+
+\begin{enumerate}
+\item Click on {\tt MatrixCategory}, then on {\bf Exports}.
+Here you see that {\tt MatrixCategory} explicitly exports many matrix
+operations.
+Also, it inherits its operations from
+{\tt TwoDimensionalArrayCategory}.
+
+\item Click on {\tt TwoDimensionalArrayCategory}, then on {\bf Exports}.
+Here you see explicit operations dealing with rows and columns.
+In addition, it inherits operations from
+{\tt HomogeneousAggregate}.
+
+%\item Click on {\tt HomogeneousAggregate}, then on {\bf Exports}.
+%And so on.
+%If you continue doing this, eventually you will
+
+\item Click on \UpBitmap{} and then
+click on {\tt Object}, then on {\bf Exports}, where you see
+there are no exports.
+
+\item Click on \UpBitmap{} repeatedly to return to the constructor page
+for {\tt Matrix}.
+
+\end{enumerate}
+
+\subsubsection{Related Operations}
+
+Click here bringing up a table of operations that are exported by
+packages but not by {\tt Matrix} itself.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matrelops.ps}
+\end{picture}
+\caption{Related operations of {\tt Matrix}.}
+\end{figure}
+
+To see a table of such packages, use the {\bf Relatives} button on the
+{\bf Cross Reference} page described next.
+
+
+\subsection{Cross Reference}
+\label{ugBrowseCrossReference}
+Click on the {\bf Cross Reference} button on the main constructor page
+for {\tt Matrix}.
+This gives you a page having various cross reference information stored
+under the respective buttons.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matxref.ps}
+\end{picture}
+\caption{Cross-reference page for {\tt Matrix}.}
+\end{figure}
+
+\subsubsection{Parents}
+
+The parents of a domain are the same as the categories mentioned under
+the {\bf Exports} button on the first page.
+Domain {\tt Matrix} has only one parent but in general a domain can
+have any number.
+
+\subsubsection{Ancestors}
+
+The ancestors of a constructor consist of its parents, the
+parents of its parents, and so on.
+Did you perform the exercise in the last section under {\bf Exports}?
+If so, you  see here all the categories you found while ascending the
+{\bf Exports} chain for {\tt Matrix}.
+
+\subsubsection{Relatives}
+
+The relatives of a domain constructor are package
+constructors that provide operations in addition to those
+exported by the domain.
+
+Try this exercise.
+\begin{enumerate}
+\item Click on {\bf Relatives}, bringing up a list of
+packages.
+
+\item Click on {\tt LinearSystemMatrixPackage} bringing up its
+constructor page.\footnote{You may want to widen your HyperDoc
+window to make what follows more legible.}
+
+\item Click on {\bf Operations}.
+Here you see {\bf rank}, an operation also exported by
+{\tt Matrix} itself.
+
+\item Click on {\bf rank}.
+This \spadfunFrom{rank}{LinearSystemMatrixPackage} has two arguments and
+thus is different from the \spadfunFrom{rank}{Matrix} from
+{\tt Matrix}.
+
+\item Click on \UpBitmap{} to return to the list of operations for the
+package {\bf LinearSystemMatrixPackage}.
+
+\item Click on {\bf solve} to bring up a
+\spadfunFrom{solve}{LinearSystemMatrixPackage} for linear systems of
+equations.
+
+\item Click on \UpBitmap{} several times to return to the cross
+reference page for {\tt Matrix}.
+\end{enumerate}
+
+\subsubsection{Dependents}
+
+The dependents of a constructor are those
+domains or packages
+that mention that
+constructor either as an argument or in its exports.
+
+If you click on {\bf Dependents} two entries may surprise you:
+{\tt RectangularMatrix} and {\tt SquareMatrix}.
+This happens because {\tt Matrix}, as it turns out, appears in
+signatures of operations exported by these domains.
+
+\subsubsection{Lineage}
+
+The term {\it lineage} refers to the {\it search order} for
+functions.
+If you are an expert user or curious about how the Axiom system
+works, try the following exercise.
+Otherwise, you best skip this button and go on to {\bf Clients}.
+
+Clicking on {\bf Lineage} gives you a
+list of domain constructors:
+{\tt InnerIndexedTwoDimensionalArray},
+\aliascon{MatrixCategory\&}{MATCAT-},
+\aliascon{TwoDimensionalArrayCategory\&}{ARR2CAT-},
+\aliascon{HomogeneousAggregate\&}{HOAGG-},
+\aliascon{Aggregate\&}{AGG-}.
+What are these constructors and how are they used?
+
+We explain by an example.
+Suppose you create a matrix using the interpreter, then ask for its
+{\bf rank}.
+Axiom must then find a function implementing the {\bf rank}
+operation for matrices.
+The first place Axiom looks for {\bf rank} is in the {\tt Matrix}
+domain.
+
+If not there, the lineage of {\tt Matrix} tells Axiom where
+else to look.
+Associated with the matrix domain are five other lineage domains.
+Their order is important.
+Axiom first searches the first one,
+{\tt InnerIndexedTwoDimensionalArray}.
+If not there, it searches the second \aliascon{MatrixCategory\&}{MATCAT-}.
+And so on.
+
+Where do these {\it lineage constructors} come from?
+The source code for {\tt Matrix} contains this syntax for the
+{\it function body} of
+{\tt Matrix}:\footnote{{\tt InnerIndexedTwoDimensionalArray}
+is a special domain implemented for matrix-like domains to provide
+efficient implementations of two-di\-men\-sion\-al arrays.
+For example, domains of category {\tt TwoDimensionalArrayCategory}
+can have any integer as their $minIndex$.
+Matrices and other members of this special ``inner'' array have their
+$minIndex$ defined as $1$.}
+\begin{verbatim}
+InnerIndexedTwoDimensionalArray(R,mnRow,mnCol,Row,Col)
+   add ...
+\end{verbatim}
+where the ``{\tt ...}'' denotes all the code that follows.
+In English, this means:
+``The functions for matrices are defined as those from
+{\tt InnerIndexedTwoDimensionalArray} domain augmented by those
+defined in `{\tt ...}','' where the latter take precedence.
+
+This explains {\tt InnerIndexedTwoDimensionalArray}.
+The other names, those with names ending with an ampersand {\tt \&} are
+default packages
+for categories to which {\tt Matrix} belongs.
+Default packages are ordered by the notion of ``closest ancestor.''
+
+\subsubsection{Clients}
+
+A client of {\tt Matrix} is any constructor that uses
+{\tt Matrix} in its implementation.
+For example, {\tt Complex} is a client of {\tt Matrix}; it
+exports several operations that take matrices as arguments or return
+matrices as values.\footnote{A constructor is a client of
+{\tt Matrix} if it handles any matrix.
+For example, a constructor having internal (unexported) operations
+dealing with matrices is also a client.}
+
+\subsubsection{Benefactors}
+
+A {\it benefactor} of {\tt Matrix} is any constructor that
+{\tt Matrix} uses in its implementation.
+This information, like that for clients, is gathered from run-time
+structures.\footnote{The benefactors exclude constructors such as
+{\tt PrimitiveArray} whose operations macro-expand and so vanish
+from sight!}
+
+Cross reference pages for categories have some different buttons on
+them.
+Starting with the constructor page of {\tt Matrix}, click on
+{\tt Ring} producing its constructor page.
+Click on {\bf Cross Reference},
+producing the cross-reference page for {\tt Ring}.
+Here are buttons {\bf Parents} and {\bf Ancestors} similar to the notion
+for domains, except for categories the relationship between parent and
+child is defined through {\it category extension}.
+
+\subsubsection{Children}
+
+Category hierarchies go both ways.
+There are children as well as parents.
+A child can have any number of parents, but always at least one.
+Every category is therefore a descendant of exactly one category:
+{\tt Object}.
+
+\subsubsection{Descendants}
+
+These are children, children of children, and so on.
+
+Category hierarchies are complicated by the fact that categories take
+parameters.
+Where a parameterized category fits into a hierarchy {\it may} depend on
+values of its parameters.
+In general, the set of categories in Axiom forms a {\it directed
+acyclic graph}, that is, a graph with directed arcs and no cycles.
+
+\subsubsection{Domains}
+
+This produces a table of all domain constructors that can possibly be
+rings (members of category {\tt Ring}).
+Some domains are unconditional rings.
+Others are rings for some parameters and not for others.
+To find out which, select the {\bf conditions} button in the views
+panel.
+For example, {\tt DirectProduct(n, R)} is a ring if {\tt R} is a
+ring.
+
+
+
+\subsection{Views Of Constructors}
+\label{ugBrowseViewsOfConstructors}
+
+Below every constructor table page is a {\it Views} panel.
+As an example, click on {\bf Cross Reference} from
+the constructor page of {\tt Matrix},
+then on {\bf Benefactors} to produce a
+short table of constructor names.
+
+The {\it Views} panel is at the bottom of the page.
+Two items, {\it names} and {\it conditions,} are in italics.
+Others are active buttons.
+The active buttons are those that give you useful alternative views
+on this table of constructors.
+Once you select a view, you notice that the button turns
+off (becomes italicized) so that you cannot reselect it.
+
+\subsubsection{names}
+
+This view gives you a table of names.
+Selecting any of these names brings up the constructor page for that
+constructor.
+
+\subsubsection{abbrs}
+
+This view gives you a table of abbreviations, in the same order as the
+original constructor names.
+Abbreviations are in capitals and are limited to 7 characters.
+They can be used interchangeably with constructor names in input areas.
+
+\subsubsection{kinds}
+
+This view organizes constructor names into
+the three kinds: categories, domains and packages.
+
+\subsubsection{files}
+
+This view gives a table of file names for the source
+code of the constructors in alphabetic order after removing
+duplicates.
+
+\subsubsection{parameters}
+
+This view presents constructors with the arguments.
+This view of the benefactors of {\tt Matrix} shows that
+{\tt Matrix} uses as many as five different {\tt List} domains
+in its implementation.
+
+\subsubsection{filter}
+
+This button is used to refine the list of names or abbreviations.
+Starting with the {\it names} view, enter {\tt m*} into the input area
+and click on {\tt filter}.
+You then get a shorter table with only the names beginning with {\tt m}.
+
+\subsubsection{documentation}
+
+This gives you documentation for each of the constructors.
+
+\subsubsection{conditions}
+
+This page organizes the constructors according to predicates.
+The view is not available for your example page since all constructors
+are unconditional.
+For a table with conditions, return to the {\bf Cross Reference} page
+for {\tt Matrix}, click on {\bf Ancestors}, then on {\bf
+conditions} in the view panel.
+This page shows you that {\tt CoercibleTo(OutputForm)} and
+{\tt SetCategory} are ancestors of {\tt Matrix(R)} only if {\tt R}
+belongs to category {\tt SetCategory}.
+
+\subsection{Giving Parameters to Constructors}
+\label{ugBrowseGivingParameters}
+
+Notice the input area at the bottom of the constructor page.
+If you leave this blank, then the information you get is for the
+domain constructor {\tt Matrix(R)}, that is, {\tt Matrix} for an
+arbitrary underlying domain {\tt R}.
+
+In general, however, the exports and other information {\it do} usually
+depend on the actual value of {\tt R}.
+For example, {\tt Matrix} exports the {\bf inverse} operation
+only if the domain {\tt R} is a {\tt Field}.
+To see this, try this from the main constructor page:
+
+\begin{enumerate}
+\item Enter {\tt Integer} into the input area at the bottom of the page.
+
+\item Click on {\bf Operations}, producing a table of operations.
+Note the number of operation names that appear at the top of the
+page.
+
+\item Click on \UpBitmap{} to return to the constructor page.
+
+\item Use the
+\fbox{\bf Delete}
+or
+\fbox{\bf Backspace}
+keys to erase {\tt Integer} from the input area.
+
+\item Click on {\bf Operations} to produce a new table of operations.
+Look at the number of operations you get.
+This number is greater than what you had before.
+Find, for example, the operation {\bf inverse}.
+
+\item Click on {\bf inverse} to produce a page describing the operation
+{\bf inverse}.
+At the bottom of the description, you notice that the {\bf
+Conditions} line says ``{\tt R} has {\tt Field}.''
+This operation is {\it not} exported by {\tt Matrix(Integer)} since
+{\tt Integer} is not a {\it field}.
+
+Try putting the name of a domain such as {\tt Fraction Integer}
+(which is a field) into the input area, then clicking on {\bf Operations}.
+As you see, the operation {\bf inverse} is exported.
+\end{enumerate}
+
+\section{Miscellaneous Features of Browse}
+\label{ugBrowseMiscellaneousFeatures}
+
+\subsection{The Description Page for Operations}
+\label{ugBrowseDescriptionPage}
+
+From the constructor page of {\tt Matrix},
+click on {\bf Operations} to bring up the table of operations
+for {\tt Matrix}.
+
+Find the operation {\bf inverse} in the table and click on it.
+This takes you to a page showing the documentation for this operation.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matinv.ps}
+\end{picture}
+\caption{Operation \spadfunFrom{inverse}{Matrix} from {\tt Matrix}.}
+\end{figure}
+
+Here is the significance of the headings you see.
+
+\subsubsection{Arguments}
+
+This lists each of the arguments of the operation in turn, paraphrasing
+the {\it signature} of the operation.
+As for signatures, a {\tt \$} is used to designate {\em this domain},
+that is, {\tt Matrix(R)}.
+
+\subsubsection{Returns}
+
+This describes the return value for the operation, analogous to the {\bf
+Arguments} part.
+
+\subsubsection{Origin}
+
+This tells you which domain or category explicitly exports the
+operation.
+In this example, the domain itself is the {\it Origin}.
+
+
+\subsubsection{Conditions}
+
+This tells you that the operation is exported by {\tt Matrix(R)} only if
+``{\tt R} has {\tt Field},'' that is, ``{\tt R} is a member of
+category {\tt Field}.''
+When no {\bf Conditions} part is given, the operation is exported for
+all values of {\tt R}.
+
+\subsubsection{Description}
+
+Here are the {\tt ++} comments
+that appear in the source code of its {\it Origin}, here {\tt Matrix}.
+You find these comments in the source code for {\tt Matrix}.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matmap.ps}
+\end{picture}
+\caption{Operations {\bf map} from {\tt Matrix}.}
+\end{figure}
+
+Click on \UpBitmap{} to return to the table of operations.
+Click on {\bf map}.
+Here you find three different operations named {\bf map}.
+This should not surprise you.
+Operations are identified by name and {\it signature}.
+There are three operations named {\bf map}, each with
+different signatures.
+What you see is the {\it descriptions} view of the operations.
+If you like, select the button in the heading of one of these
+descriptions to get {\it only} that operation.
+
+\subsubsection{Where}
+
+This part qualifies domain parameters mentioned in the arguments to the
+operation.
+
+\subsection{Views of Operations}
+\label{ugBrowseViewsOfOperations}
+
+We suggest that you go to the constructor page for {\tt Matrix}
+and click on {\bf Operations} to bring up a table of operations
+with a {\it Views} panel at the bottom.
+
+\subsubsection{names}
+
+This view lists the names of the operations.
+Unlike constructors, however, there may be several operations with the
+same name.
+The heading for the page tells you the number of unique names and the
+number of distinct operations when these numbers are different.
+
+\subsubsection{filter}
+
+As for constructors, you can use this button to cut down the list of
+operations you are looking at.
+Enter, for example, {\tt m*} into the input area to the right of {\bf
+filter} then click on {\bf filter}.
+As usual, any logical expression is permitted.
+For example, use
+\begin{verbatim}
+*! or *?
+\end{verbatim}
+to get a list of destructive operations and predicates.
+
+\subsubsection{documentation}
+
+This gives you the most information:
+a detailed description of all the operations in the form you have seen
+before.
+Every other button summarizes these operations in some form.
+
+\subsubsection{signatures}
+
+This views the operations by showing their signatures.
+
+\subsubsection{parameters}
+
+This views the operations by their distinct syntactic forms with
+parameters.
+
+\subsubsection{origins}
+
+This organizes the operations according to the constructor that
+explicitly exports them.
+
+\subsubsection{conditions}
+
+This view organizes the operations into conditional and unconditional
+operations.
+
+\subsubsection{usage}
+
+This button is only available if your user-level is set to {\it
+\index{user-level}
+development}.
+The {\bf usage} button produces a table of constructors that reference this
+operation.\footnote{Axiom requires an especially long time to
+produce this table, so anticipate this when requesting this
+information.}
+
+\subsubsection{implementation}
+
+This button is only available if your user-level is set to {\it
+development}.
+\index{user-level}
+If you enter values for all domain parameters on the constructor page,
+then the {\bf implementation} button appears in place of the {\bf
+conditions} button.
+This button tells you what domains or packages actually implement the
+various operations.\footnote{This button often takes a long time; expect
+a delay while you wait for an answer.}
+
+With your user-level set to {\it development}, we suggest you try this
+exercise.
+Return to the main constructor page for {\tt Matrix}, then enter
+{\tt Integer} into the input area at the bottom as the value of {\tt R}.
+Then click on {\bf Operations} to produce a table of operations.
+Note that the {\bf conditions} part of the {\it Views} table is
+replaced by {\bf implementation}.
+Click on {\bf implementation}.
+After some delay, you get a page describing what implements each of
+the matrix operations, organized by the various domains and packages.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-matimp.ps}
+\end{picture}
+\caption{Implementation domains for {\tt Matrix}.}
+\end{figure}
+
+\subsubsection{generalize}
+
+This button only appears for an operation page of a constructor
+involving a unique operation name.
+
+From an operations page for {\tt Matrix}, select any
+operation name, say {\bf rank}.
+In the views panel, the {\bf filter} button is  replaced by
+{\bf generalize}.
+Click on it!
+%% Replaced {\bf threshold} with 10 below.  MGR 1995oct31
+What you get is a description of all Axiom operations
+named {\bf rank}.\footnote{If there were more than 10
+operations of the name, you get instead a page
+with a {\it Views} panel at the bottom and the message to {\bf
+Select a view below}.
+To get the descriptions of all these operations as mentioned
+above, select the {\bf description} button.}
+%See the discussion of {\bf threshold} in
+%\ref{ugBrowseOptions}.} %% Removed MGR 1995oct31
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-allrank.ps}
+\end{picture}
+\caption{All operations named {\bf rank} in Axiom.}
+\end{figure}
+
+\subsubsection{all domains}
+
+This button only appears on an operation page resulting from a
+search from the front page of Browse or from selecting
+{\bf generalize} from an operation page for a constructor.
+
+Note that the {\bf filter} button in the {\it Views} panel is
+replaced by {\bf all domains}.
+Click on it to produce a table of {\it all} domains or packages that
+export a {\bf rank} operation.
+
+\begin{figure}[htbp]
+\begin{picture}(324,180)%(-54,0)
+\special{psfile=ps/h-alldoms.ps}
+\end{picture}
+\caption{Table of all domains that export {\bf rank}.}
+\end{figure}
+
+We note that this table specifically refers to all the {\bf rank}
+operations shown in the preceding page.
+Return to the descriptions of all the {\bf rank} operations and
+select one of them by clicking on the button in its heading.
+Select {\bf all domains}.
+As you see, you have a smaller table of constructors.
+When there is only one constructor, you get the
+constructor page for that constructor.
+\newpage
+
+\subsection{Capitalization Convention}
+\label{ugBrowseCapitalizationConvention}
+
+When entering search keys for constructors, you can use capital
+letters to search for abbreviations.
+For example, enter {\tt UTS} into the input area and click on {\bf
+Constructors}.
+Up comes a page describing {\tt UnivariateTaylorSeries}
+whose abbreviation is {\tt UTS}.
+
+Constructor abbreviations always have three or more capital
+letters.
+For short constructor names (six letters or less), abbreviations
+are not generally helpful as their abbreviation is typically the
+constructor name in capitals.
+For example, the abbreviation for {\tt Matrix} is
+{\tt MATRIX}.
+
+Abbreviations can also contain numbers.
+For example, {\tt POLY2} is the abbreviation for constructor
+{\tt PolynomialFunctions2}.
+For default packages, the abbreviation is the same as the
+abbreviation for the corresponding category with the ``\&''
+replaced by ``-''.
+For example, for the category default package
+\aliascon{MatrixCategory\&}{MATCAT-} the abbreviation is
+{\tt MATCAT-} since the corresponding category
+{\tt MatrixCategory} has abbreviation {\tt MATCAT}.
+
+%% *********************************************************************
+%\subsection{Browse Options}
+%\label{ugBrowseOptions}
+%% *********************************************************************
+%
+%You can set two options for using Browse: exposure and threshold.
+%
+%% *********************************************************************
+%\subsubsection{Exposure}
+%% *********************************************************************
+%
+%By default, the only constructors, operations, and attributes
+%shown by Browse are those from exposed constructors.
+%To change this, you can issue
+%\index{set hyperdoc browse exposure}
+%\begin{verbatim}
+%)set hyperdoc browse exposure on
+%\end{verbatim}
+%After you make this setting, you will see
+%both exposed and unexposed constructs.
+%By definition, an operation or attribute is exposed only if it is
+%exported from an exposed constructor.
+%Unexposed items are generally marked by Browse with an asterisk.
+%For more information on exposure, see \ref{ugTypesExpose}.
+%
+%With this setting, try the following experiment.
+%Starting with the main Browse page, enter {\tt *matrix*} into the
+%input area and click on {\bf Constructors}.
+%The result is the following table. %% This line  should be texonly. MGR
+%
+%\begin{figure}[htbp]
+%\begin{picture}(324,180)%(-54,0)
+%\hspace*{\baseLeftSkip}\special{psfile=ps/h-consearch2.ps}
+%\end{picture}
+%\caption{Table of all constructors matching {\tt *matrix*} .}
+%\end{figure}
+%
+%
+%% *********************************************************************
+%\subsubsection{Threshold}
+%% *********************************************************************
+%
+%For General, Documentation or Complete searches, a summary is presented
+%of all matches.
+%When the number of items of a given kind is less than a number called
+%{\bf threshold}, Axiom presents a table of names with the heading
+%for that kind.
+%
+%Also, when an operation name is chosen and there are less than {\bf
+%threshold} distinct operations, the operations are initially shown in
+%{\bf description} mode.
+%
+%The default value of {\bf threshold} is 10.
+%To change its value to say 5, issue
+%\index{set hyperdoc browse threshold}
+%\begin{verbatim}
+%)set hyperdoc browse threshold 5
+%\end{verbatim}
+%Notice that the headings in
+%the summary are active.
+%If you click on a heading, you bring up a separate page for those
+%entries.
+%%
+%% Above section removed by MGR, 1995oct30, as these two options do
+%% not exist.
+
+
+\setcounter{chapter}{14} % Chapter 15 
+
+\chapter{What's New in Axiom Version 2.0}
+\label{ugWhatsNew}
+
+Many things have changed in this new version of Axiom and
+we describe many of the more important topics here.
+
+%------------------------------------------------------------------------
+\section{Important Things to Read First}
+\index{ugWhatsNewImportant}
+%------------------------------------------------------------------------
+
+If you have any private {\tt .spad} files (that is, library files
+which were not shipped with Axiom) you will need to
+recompile them.  For example, if you wrote the file {\tt
+regress.spad} then you should issue {\tt )compile regress.spad}
+before trying to use it.
+
+The internal representation of {\tt Union}  has changed. 
+This means that \linebreak Axiom data saved 
+with Release 1.x may not
+be readable by this Release. If you cannot recreate the saved data      
+by recomputing in Release 2.0, please contact NAG for assistance.       
+
+%------------------------------------------------------------------------
+\section{The New Axiom Library Compiler}
+\index{ugWhatsNewAsharp}
+%------------------------------------------------------------------------
+
+A new compiler is now available for Axiom.
+The programming language is referred to as the Aldor, and
+improves upon the old Axiom language in many ways.
+The {\tt )compile} command has been upgraded to be able to
+invoke the new or old compilers.
+The language and the compiler are described in the hard-copy
+documentation which came with your Axiom system.
+
+To ease the chore of upgrading your {\it .spad} files (old
+compiler) to {\it .as} files (new compiler), the
+{\tt )compile} command has been given a {\tt )translate}
+option. This invokes a special version of the old compiler which
+parses and analyzes your old code and produces augmented code
+using the new syntax.
+Please be aware that the translation is not necessarily one
+hundred percent complete or correct.
+You should attempt to compile the output with the Aldor compiler
+and make any necessary corrections.
+
+
+% ----------------------------------------------------------------------
+\section{The NAG Library Link}
+\index{nagLinkIntro}
+% ----------------------------------------------------------------------
+
+The Nag Library link allows you to call NAG Fortran
+routines from within Axiom, passing Axiom objects as parameters
+and getting them back as results.
+
+The Nag Library and, consequently, the link are divided into {\em chapters},
+which cover different areas of numerical analysis.  The statistical
+and sorting {\em chapters} of the Library, however, are not included in the
+link and various support and utility routines (mainly the F06 and X
+{\em chapters}) have been omitted.
+
+Each {\em chapter} has a short (at most three-letter) name;
+for example, the {\em chapter} devoted to the
+solution of ordinary differential equations is called D02.  When
+using the link via the HyperDoc interface.
+you will be presented with a complete menu of these {\em chapters}. The
+names of individual routines within each {\em chapter} are formed by
+adding three letters to the {\em chapter} name, so for example the routine
+for solving ODEs by Adams method is called
+\spadfunFrom{d02cjf}{NagOrdinaryDifferentialEquationsPackage}.
+
+% ----------------------------------------------------------------------
+\subsection{Interpreting NAG Documentation}
+\index{nagDocumentation}
+% ----------------------------------------------------------------------
+
+Information about using the Nag Library in general, and about using
+individual routines in particular, can be accessed via HyperDoc.
+This documentation refers to the Fortran routines directly; the
+purpose of this subsection is to explain how this corresponds to the
+Axiom routines.
+
+For general information about the Nag Library users should consult
+Essential Introduction to the NAG Foundation Library
+\index{manpageXXintro}.
+The documentation is in ASCII format, and a description of the conventions
+used to represent mathematical symbols is given in
+Introduction to NAG On-Line Documentation
+\index{manpageXXonline}.
+Advice about choosing a routine from a particular {\em chapter} can be found in
+the Chapter Documents \index{FoundationLibraryDocPage}.
+
+% ----------------------------------------------------------------------
+\subsubsection{Correspondence Between Fortran and Axiom types}
+% ----------------------------------------------------------------------
+
+The NAG documentation refers to the Fortran types of objects; in
+general, the correspondence to Axiom types is as follows.
+\begin{itemize}
+\item Fortran INTEGER corresponds to Axiom {\tt Integer}.
+\item Fortran DOUBLE PRECISION corresponds to Axiom {\tt DoubleFloat}.
+\item Fortran COMPLEX corresponds to Axiom {\tt Complex DoubleFloat}.
+\item Fortran LOGICAL corresponds to Axiom {\tt Boolean}.
+\item Fortran CHARACTER*(*) corresponds to Axiom {\tt String}.
+\end{itemize}
+(Exceptionally, for NAG EXTERNAL parameters -- ASPs in link parlance
+-- REAL and COMPLEX correspond to {\tt MachineFloat} and {\tt MachineComplex},
+respectively; see \ref{aspSection} on page~\pageref{aspSection}.)
+
+The correspondence for aggregates is as follows.
+\begin{itemize}
+\item A one-dimensional Fortran array corresponds to an Axiom \linebreak
+      {\tt Matrix} with one column.
+\item A two-dimensional Fortran ARRAY corresponds to an Axiom \linebreak
+      {\tt Matrix}.
+\item A three-dimensional Fortran ARRAY corresponds to an Axiom \linebreak
+      {\tt ThreeDimensionalMatrix}.
+\end{itemize}
+Higher-dimensional arrays are not currently needed for the Nag Library.
+
+Arguments which are Fortran FUNCTIONs or SUBROUTINEs correspond
+to special ASP domains in Axiom. See \ref{aspSection} on 
+page~\pageref{aspSection}.
+
+% ----------------------------------------------------------------------
+\subsubsection{Classification of NAG parameters}
+% ----------------------------------------------------------------------
+
+NAG parameters are classified as belonging to one (or more)
+of the following categories: {\tt Input}, {\tt Output}, {\tt Workspace} or {\tt External} procedure.
+Within {\tt External} procedures a similar classification is used, and parameters
+may also be {\tt Dummies}, or {\tt User Workspace} (data structures not used by the
+NAG routine but provided for the convenience of the user).
+
+When calling a NAG routine via the link the user only provides values
+for {\tt Input} and {\tt External} parameters.
+
+The order of the parameters is, in general, different from  the order
+specified in the Nag Library documentation. The Browser description
+for each routine helps in determining the correspondence. As a rule of
+thumb, {\tt Input} parameters come first followed by {\tt Input/Output}
+parameters. The {\tt External} parameters are always found at the end.
+
+
+% ----------------------------------------------------------------------
+\subsubsection{IFAIL}
+% ----------------------------------------------------------------------
+
+NAG routines often return diagnostic information through a parameter called
+$ifail$.  With a few exceptions, the principle is that on input
+$ifail$ takes
+one of the values $-1,0,1$.  This determines how the routine behaves when
+it encounters an error:
+\begin{itemize}
+\item a value of 1 causes the NAG routine to return without printing an error
+message;
+\item a value of 0 causes the NAG routine to print an error message and abort;
+\item a value of -1 causes the NAG routine to return and print an error message.
+\end{itemize}
+
+The user is STRONGLY ADVISED to set $ifail$ to $-1$ when using the link.
+If $ifail$ has been set to $1$ or $-1$ on input, then its value on output
+will determine the possible cause of any error.  A value of $0$ indicates
+successful completion, otherwise it provides an index into a table of
+diagnostics provided as part of the routine documentation (accessible via
+Browse).
+
+% ----------------------------------------------------------------------
+\subsection{Using the Link}
+\index{nagLinkUsage}
+% ----------------------------------------------------------------------
+
+The easiest way to use the link is via the
+HyperDoc interface \index{htxl1}.
+You will be presented with a set of fill-in forms where
+you can specify the parameters for each call.  Initially, the forms
+contain example values, demonstrating the use of each routine (these,
+in fact, correspond to the standard NAG example program for the
+routine in question).  For some parameters, these values can provide
+reasonable defaults; others, of course, represent data.  When you
+change a parameter which controls the size of an array, the data in
+that array are reset to a ``neutral'' value -- usually zero.
+
+When you are satisfied with the values entered, clicking on the
+``Continue'' button will display the Axiom command needed to
+run the chosen NAG routine with these values.  Clicking on the
+``Do It'' button will then cause Axiom to execute this command
+and return the result in the parent Axiom session, as described
+below.  Note that, for some routines, multiple HyperDoc ``pages'' are
+required, due to the structure of the data.  For these, returning to
+an earlier page causes HyperDoc to reset the later pages (this is a
+general feature of HyperDoc); in such a case, the simplest way to
+repeat a call, varying a parameter on an earlier page, is probably to
+modify the call displayed in the parent session.
+
+An alternative approach is to call NAG routines directly in your
+normal Axiom session (that is, using the Axiom
+interpreter).  Such calls return an
+object of type {\bf Result}.  As not
+all parameters in the underlying NAG routine are required in the
+AXIOM call (and the parameter ordering may be different), before
+calling a NAG routine you should consult the description of the
+Axiom operation in the Browser.  (The quickest route to this
+is to type the routine name, in lower case, into the Browser's
+input area, then click on {\tt Operations}.)  The parameter names
+used coincide with NAG's, although they will appear here in lower
+case.  Of course, it is also possible to become familiar with the
+Axiom form of a routine by first using it through the
+HyperDoc interface \index{htxl1}.
+
+As an example of this mode of working, we can find a zero
+of a function, lying between 3 and 4, as follows:
+
+\spadcommand{answer:=c05adf(3.0,4.0,1.0e-5,0.0,-1,sin(X)::ASP1(F)) }
+
+By default, {\bf Result} only displays the type of returned values,
+since the amount of information returned can be quite large.  Individual
+components can be examined as follows:
+
+\spadcommand{answer . x}
+
+\spadcommand{answer . ifail}
+
+In order to avoid conflict with names defined in the workspace, you can also
+get the values by using the {\tt String} type (the interpreter automatically
+coerces them to {\tt Symbol})
+
+\spadcommand{answer "x"}
+
+It is possible to have Axiom display the values of scalar or array
+results automatically.  For more details, see the commands  
+\spadfunFrom{showScalarValues}{Result}
+and \spadfunFrom{showArrayValues}{Result}.
+
+There is also a {\bf .input} file for each NAG routine, containing
+Axiom interpreter commands to set up and run the standard NAG
+example for that routine.
+
+\spadcommand{)read c05adf.input}
+
+% ----------------------------------------------------------------------
+\subsection{Providing values for Argument Subprograms}
+\index{aspSection}
+% ----------------------------------------------------------------------
+
+There are a number of ways in which users can provide values for argument
+subprograms (ASPs).  At the top level the user will see that NAG routines
+require
+an object from the {\tt Union} of a {\tt Filename} and an ASP.
+
+For example {\bf c05adf} requires an object of type \linebreak
+{\tt Union}(fn: {\tt FileName},fp: {\tt Asp1 F})
+
+\spadcommand{)display operation c05adf}
+
+
+The user thus has a choice of providing the name of a file containing
+Fortran source code, or of somehow generating the ASP within Axiom.
+If a filename is specified, it is searched for in the {\it local} 
+machine, i.e., the machine that Axiom is running on.
+
+% ----------------------------------------------------------------------
+\subsubsection{Providing ASPs via {\tt FortranExpression}}
+% ----------------------------------------------------------------------
+
+The {\tt FortranExpression} domain is used to represent expressions
+which can be translated into Fortran under certain circumstances.    It is
+very similar to {\tt Expression} except that only operators which exist
+in Fortran can be used, and only certain variables can occur.
+For
+example the instantiation {\tt FortranExpression([X],[M],MachineFloat)}
+is the domain of expressions containing the scalar $X$ and the array
+$M$.
+
+This allows us to create expressions like:
+
+\spadcommand{f : FortranExpression([X],[M],MachineFloat) := sin(X)+M[3,1]}
+
+but not
+
+\spadcommand{f : FortranExpression([X],[M],MachineFloat) := sin(M)+Y}
+
+Those ASPs which represent expressions usually export a {\bf coerce} from
+an appropriate instantiation of {\tt FortranExpression} (or perhaps
+{\tt Vector FortranExpression} etc.).  For convenience there are also
+retractions from appropriate instantiations of {\tt Expression},
+{\tt Polynomial} and {\tt Fraction Polynomial}.
+
+% ----------------------------------------------------------------------
+\subsubsection{Providing ASPs via {\tt FortranCode}}
+% ----------------------------------------------------------------------
+
+\index{FortranCode}
+{\tt FortranCode} allows us to build arbitrarily complex ASPs via a
+kind of pseudo-code.  It is described fully in
+\ref{generalFortran} on page~\pageref{generalFortran}.
+
+Every ASP exports two {\bf coerce} functions: one from
+{\tt FortranCode} and one from {\tt List FortranCode}.  There
+is also a {\bf coerce} from \linebreak
+{\tt Record( localSymbols: SymbolTable, code: List FortranCode)}
+which is used for passing extra symbol information about the ASP.
+
+So for example, to integrate the function abs(x) we could use the built-in
+{\bf abs} function.  But suppose we want to get back to basics and define
+it directly, then we could do the following:
+
+\spadcommand{d01ajf(-1.0, 1.0, 0.0, 1.0e-5, 800, 200, -1, cond(LT(X,0), assign(F,-X), assign(F,X))) result }
+
+The \spadfunFrom{cond}{FortranCode} operation creates a conditional clause
+and the \spadfunFrom{assign}{FortranCode} an assignment statement.
+
+% ----------------------------------------------------------------------
+\subsubsection{Providing ASPs via {\tt FileName}}
+% ----------------------------------------------------------------------
+
+Suppose we have created the file ``asp.f'' as follows:
+\begin{verbatim}
+      DOUBLE PRECISION FUNCTION F(X)
+      DOUBLE PRECISION X
+      F=4.0D0/(X*X+1.0D0)
+      RETURN
+      END
+\end{verbatim}
+and wish to pass it to the NAG
+routine {\bf d01ajf} which performs one-dimensional quadrature.
+We can do this as follows:
+\begin{verbatim}
+d01ajf(0.0 ,1.0, 0.0, 1.0e-5, 800, 200, -1, "asp.f")
+\end{verbatim}
+
+% ----------------------------------------------------------------------
+\subsection{General Fortran-generation utilities in Axiom}
+\index{generalFortran}
+% ----------------------------------------------------------------------
+
+This section describes more advanced facilities which are available to users
+who wish to generate Fortran code from within Axiom.  There are
+facilities to manipulate templates, store type information, and generate
+code fragments or complete programs.
+
+% ----------------------------------------------------------------------
+\subsubsection{Template Manipulation}
+% ----------------------------------------------------------------------
+
+A template is a skeletal program which is ``fleshed out'' with data when
+it is processed.  It is a sequence of {\em active} and {\em passive} parts:
+active parts are sequences of Axiom commands which are processed as if they
+had been typed into the interpreter; passive parts are simply echoed
+verbatim on the Fortran output stream.
+
+Suppose, for example, that we have the following template, stored in
+the file ``test.tem'':
+\begin{verbatim}
+-- A simple template
+beginVerbatim
+      DOUBLE PRECISION FUNCTION F(X)
+      DOUBLE PRECISION X
+endVerbatim
+outputAsFortran("F",f)
+beginVerbatim
+      RETURN
+      END
+endVerbatim
+\end{verbatim}
+The passive parts lie between the two
+tokens {\tt beginVerbatim} and \linebreak {\tt endVerbatim}.  There
+are two active statements: one which is simply an Axiom (
+\verb+--+)
+comment, and one which produces an assignment to the current value
+of {\tt f}.  We could use it as follows:
+\begin{verbatim}
+(4) ->f := 4.0/(1+X**2)
+
+           4
+   (4)   ------
+          2
+         X  + 1
+                       
+(5) ->processTemplate "test.tem"
+      DOUBLE PRECISION FUNCTION F(X)
+      DOUBLE PRECISION X
+      F=4.0D0/(X*X+1.0D0)
+      RETURN 
+      END
+
+   (5)  "CONSOLE"
+\end{verbatim}
+
+(A more reliable method of specifying the filename will be introduced
+below.)  Note that the Fortran assignment {\tt F=4.0D0/(X*X+1.0D0)}
+automatically converted 4.0 and 1 into DOUBLE PRECISION numbers; in
+general, the Axiom Fortran generation facility will convert
+anything which should be a floating point object into either
+a Fortran REAL or DOUBLE PRECISION object.
+
+Which alternative is used is determined by the command
+
+\spadcommand{)set fortran precision}
+
+It is sometimes useful to end a template before the file itself ends (e.g. to
+allow the template to be tested incrementally or so that a piece of text
+describing how the template works can be included).  It is of course possible
+to ``comment-out'' the remainder of the file.  Alternatively, the single token
+{\tt endInput} as part of an active portion of the template will cause
+processing to be ended prematurely at that point.
+
+The {\bf processTemplate} command comes in two flavours.  In the first case,
+illustrated above, it takes one argument of domain {\tt FileName},
+the name of the template to be processed, and writes its output on the
+current Fortran output stream.  In general, a filename can be generated
+from {\em directory}, {\em name} and {\em extension} components, using
+the operation {\bf filename}, as in
+\begin{verbatim}
+processTemplate filename("","test","tem")
+\end{verbatim}
+There is an alternative version of {\bf processTemplate}, which
+takes two arguments (both of domain {\tt FileName}).  In this case the
+first argument is the name of the template to be processed, and the
+second is the file in which to write the results.  Both versions return
+the location of the generated Fortran code as their result
+(``{\tt CONSOLE}'' in the above example).
+
+It is sometimes useful to be able to mix active and passive parts of a
+line or statement.  For example you might want to generate a Fortran
+Comment describing your data set.  For this kind of application we
+provide three functions as follows:
+\begin{tabular}{p{1.8in}p{2.6in}}
+{\bf fortranLiteral} & writes a string on the Fortran output stream \\
+ & \\
+{\bf fortranCarriageReturn} & writes a carriage return on the Fortran output stream \\
+& \\
+{\bf fortranLiteralLine} & writes a string followed by a return
+on the Fortran output stream \\
+\end{tabular}
+
+So we could create our comment as follows:
+\spadcommand{m := matrix [ [1,2,3],[4,5,6] ]}
+
+\spadcommand{fortranLiteralLine concat ["C\ \ \ \ \ \ The\ Matrix\ has\ ", nrows(m)::String, "\ rows\ and\ ", ncols(m)::String, "\ columns"]}
+
+or, alternatively:
+\spadcommand{fortranLiteral "C\ \ \ \ \ \ The\ Matrix\ has\ "}
+
+\spadcommand{fortranLiteral(nrows(m)::String)}
+
+\spadcommand{fortranLiteral "\ rows\ and\ "}
+
+\spadcommand{fortranLiteral(ncols(m)::String)}
+
+\spadcommand{fortranLiteral "\ columns"}
+
+\spadcommand{fortranCarriageReturn()}
+
+We should stress that these functions, together with the {\bf outputAsFortran}
+function are the {\em only} sure ways
+of getting output to appear on the Fortran output stream.  Attempts to use
+Axiom commands such as {\bf output} or {\bf writeline} may appear to give
+the required result when displayed on the console, but will give the wrong
+result when Fortran and algebraic output are sent to differing locations.  On
+the other hand, these functions can be used to send helpful messages to the
+user, without interfering with the generated Fortran.
+
+% ----------------------------------------------------------------------
+\subsubsection{Manipulating the Fortran Output Stream}
+% ----------------------------------------------------------------------
+\index{FortranOutputStackPackage}
+
+Sometimes it is useful to manipulate the Fortran output stream in a program,
+possibly without being aware of its current value.  The main use of this is
+for gathering type declarations (see ``Fortran Types'' below) but it can be useful
+in other contexts as well.  Thus we provide a set of commands to manipulate
+a stack of (open) output streams.  Only one stream can be written to at
+any given time.  The stack is never empty---its initial value is the
+console or the current value of the Fortran output stream, and can be
+determined using
+
+\spadcommand{topFortranOutputStack()}
+
+(see below).
+The commands available to manipulate the stack are:
+
+\begin{tabular}{ll}
+{\bf clearFortranOutputStack} & resets the stack to the console \\
+ & \\
+{\bf pushFortranOutputStack} & pushes a {\tt FileName} onto the stack \\
+ & \\
+{\bf popFortranOutputStack} & pops the stack \\
+ & \\
+{\bf showFortranOutputStack} & returns the current stack \\
+ & \\
+{\bf topFortranOutputStack} & returns the top element of the stack \\
+\end{tabular}
+
+These commands are all part of {\tt FortranOutputStackPackage}.
+
+% ----------------------------------------------------------------------
+\subsubsection{Fortran Types}
+% ----------------------------------------------------------------------
+
+When generating code it is important to keep track of the Fortran types of
+the objects which we are generating.  This is useful for a number of reasons,
+not least to ensure that we are actually generating legal Fortran code.  The
+current type system is built up in several layers, and we shall describe each
+in turn.
+
+% ----------------------------------------------------------------------
+\subsubsection{FortranScalarType}
+% ----------------------------------------------------------------------
+\index{FortranScalarType}
+
+This domain represents the simple Fortran datatypes: REAL, DOUBLE PRECISION,
+COMPLEX, LOGICAL, INTEGER, and CHARACTER.
+It is possible to {\bf coerce} a {\tt String} or {\tt Symbol}
+into the domain, test whether two objects are equal, and also apply
+the predicate functions \spadfunFrom{real?}{FortranScalarType} etc.
+
+% ----------------------------------------------------------------------
+\subsubsection{FortranType}
+% ----------------------------------------------------------------------
+\index{FortranType}
+
+This domain represents ``full'' types: i.e., datatype plus array dimensions
+(where appropriate) plus whether or not the parameter is an external
+subprogram.  It is possible to {\bf coerce} an object of
+{\tt FortranScalarType} into the domain or {\bf construct} one
+from an element of {\tt FortranScalarType}, a list of
+{\tt Polynomial Integer}s (which can of course be simple integers or
+symbols) representing its dimensions, and
+a {\tt Boolean} declaring whether it is external or not.  The list
+of dimensions must be empty if the {\tt Boolean} is {\tt true}.
+The functions {\bf scalarTypeOf}, {\bf dimensionsOf} and
+{\bf external?} return the appropriate
+parts, and it is possible to get the various basic Fortran Types via
+functions like {\bf fortranReal}.
+
+For example:
+\spadcommand{type:=construct(real,[i,10],false)\$FortranType}
+
+or
+\spadcommand{type:=[real,[i,10],false]\$FortranType}
+
+\spadcommand{scalarTypeOf type}
+
+\spadcommand{dimensionsOf type}
+
+\spadcommand{external?  type}
+
+\spadcommand{fortranLogical()}
+
+\spadcommand{construct(integer,[],true)\$FortranType}
+
+% ----------------------------------------------------------------------
+\subsubsection{SymbolTable}
+% ----------------------------------------------------------------------
+\index{SymbolTable}
+
+This domain creates and manipulates a symbol table for generated Fortran code.
+This is used by {\tt FortranProgram} to represent the types of objects in
+a subprogram.  The commands available are:
+
+\begin{tabular}{ll}
+{\bf empty} & creates a new {\tt SymbolTable} \\
+ & \\
+{\bf declare} & creates a new entry in a table \\
+ & \\
+{\bf fortranTypeOf} & returns the type of an object in a table \\
+ & \\
+{\bf parametersOf} & returns a list of all the symbols in the table \\
+ & \\
+{\bf typeList} & returns a list of all objects of a given type \\
+ & \\
+{\bf typeLists} & returns a list of lists of all objects sorted by type \\
+ & \\
+{\bf externalList} & returns a list of all {\tt EXTERNAL} objects \\
+ & \\
+{\bf printTypes} & produces Fortran type declarations from a table\\
+\end{tabular}
+
+\spadcommand{symbols := empty()\$SymbolTable}
+
+\spadcommand{declare!(X,fortranReal(),symbols)}
+
+\spadcommand{declare!(M,construct(real,[i,j],false)\$FortranType,symbols)}
+
+\spadcommand{declare!([i,j],fortranInteger(),symbols)}
+
+\spadcommand{symbols}
+
+\spadcommand{fortranTypeOf(i,symbols)}
+
+\spadcommand{typeList(real,symbols)}
+
+\spadcommand{printTypes symbols}
+
+% ----------------------------------------------------------------------
+\subsubsection{TheSymbolTable}
+% ----------------------------------------------------------------------
+\index{TheSymbolTable}
+
+This domain creates and manipulates one global symbol table to be used, for
+example, during template processing. It is
+also used when
+linking to external Fortran routines. The
+information stored for each subprogram (and the main program segment, where
+relevant) is:
+\begin{itemize}
+\item its name;
+\item its return type;
+\item its argument list;
+\item and its argument types.
+\end{itemize}
+Initially, any information provided is deemed to be for the main program
+segment.
+
+Issuing the following command indicates that from now on all information
+refers to the subprogram $F$.
+
+\spadcommand{newSubProgram F}
+
+It is possible to return to processing the main program segment by issuing
+the command:
+
+\spadcommand{endSubProgram()}
+
+The following commands exist:
+
+\begin{tabular}{p{1.6in}p{2.8in}}
+{\bf returnType} & declares the return type of the current subprogram \\
+ & \\
+{\bf returnTypeOf} & returns the return type of a subprogram \\
+ & \\
+{\bf argumentList} &  declares the argument list of the current subprogram \\
+ & \\
+{\bf argumentListOf} &  returns the argument list of a subprogram \\
+ & \\
+{\bf declare} & provides type declarations for parameters of the current subprogram \\
+ & \\
+{\bf symbolTableOf} & returns the symbol table  of a subprogram \\
+ & \\
+{\bf printHeader} & produces the Fortran header for the current subprogram \\
+\end{tabular}
+
+In addition there are versions of these commands which are parameterised by
+the name of a subprogram, and others parameterised by both the name of a
+subprogram and by an instance of {\tt TheSymbolTable}.
+
+\spadcommand{newSubProgram F}
+
+\spadcommand{argumentList!(F,[X])}
+
+\spadcommand{returnType!(F,real)}
+
+\spadcommand{declare!(X,fortranReal(),F)}
+
+\spadcommand{printHeader F}
+
+% ----------------------------------------------------------------------
+\subsubsection{Advanced Fortran Code Generation}
+% ----------------------------------------------------------------------
+
+This section describes facilities for representing Fortran statements, and
+building up complete subprograms from them.
+
+% ----------------------------------------------------------------------
+\subsubsection{Switch}
+% ----------------------------------------------------------------------
+\index{Switch}
+
+This domain is used to represent statements like {\tt x < y}.  Although
+these can be represented directly in Axiom, it is a little cumbersome,
+since Axiom evaluates the last statement, for example, to {\tt true}
+(since $x$ is  lexicographically less than $y$).
+
+Instead we have a set of operations, such as {\bf LT} to represent $<$,
+to let us build such statements.  The available constructors are:
+
+\begin{center}
+\begin{tabular}{ll}
+{\bf LT} & $<$ \\
+{\bf GT} & $>$ \\
+{\bf LE} & $\leq$ \\
+{\bf GE} & $\geq$ \\
+{\bf EQ} & $=$ \\
+{\bf AND} & {\tt and}\\
+{\bf OR} & {\tt or} \\
+{\bf NOT} & {\tt not} \\
+\end{tabular}
+\end{center}
+
+So for example:
+\spadcommand{LT(x,y)}
+
+% ----------------------------------------------------------------------
+\subsubsection{FortranCode}
+% ----------------------------------------------------------------------
+
+This domain represents code segments or operations: currently assignments,
+conditionals, blocks, comments, gotos, continues, various kinds of loops,
+and return statements.
+
+For example we can create quite a complicated conditional statement using
+assignments, and then turn it into Fortran code:
+
+\spadcommand{c := cond(LT(X,Y),assign(F,X),cond(GT(Y,Z),assign(F,Y),assign(F,Z)))}
+
+\spadcommand{printCode c}
+
+The Fortran code is printed
+on the current Fortran output stream.
+
+% ----------------------------------------------------------------------
+\subsubsection{FortranProgram}
+% ----------------------------------------------------------------------
+\index{FortranProgram}
+
+This domain is used to construct complete Fortran subprograms out of
+elements of {\tt FortranCode}.  It is parameterised by the name of the
+target subprogram (a {\tt Symbol}), its return type (from
+{\tt Union}({\tt FortranScalarType},``void'')),
+its arguments (from {\tt List Symbol}), and
+its symbol table (from {\tt SymbolTable}).  One can
+{\bf coerce} elements of either {\tt FortranCode}
+or {\tt Expression} into it.
+
+
+First of all we create a symbol table:
+
+\spadcommand{symbols := empty()\$SymbolTable}
+
+Now put some type declarations into it:
+
+\spadcommand{declare!([X,Y],fortranReal(),symbols)}
+
+Then (for convenience)
+we set up the particular instantiation of {\tt FortranProgram}
+
+\spadcommand{FP := FortranProgram(F,real,[X,Y],symbols)}
+
+Create an object of type {\tt Expression(Integer)}:
+
+\spadcommand{asp := X*sin(Y)}
+
+Now {\bf coerce} it into {\tt FP}, and print its Fortran form:
+
+\spadcommand{outputAsFortran(asp::FP)}
+
+We can generate a {\tt FortranProgram} using $FortranCode$.  For
+example:
+
+Augment our symbol table:
+
+\spadcommand{declare!(Z,fortranReal(),symbols)}
+
+and transform the conditional expression we prepared earlier:
+
+\spadcommand{outputAsFortran([c,returns()]::FP)}
+
+%------------------------------------------------------------------------
+\subsection{Some technical information}
+\index{nagTechnical}
+%------------------------------------------------------------------------
+
+The model adopted for the link is a server-client configuration
+-- Axiom acting as a client via a local agent
+(a process called {\tt nagman}). The server side is implemented
+by the {\tt nagd} daemon process which may run on a different host.
+The {\tt nagman} local agent is started by default whenever you
+start Axiom. The {\tt nagd} server must be started separately.
+Instructions for installing and running the server are supplied
+in \ref{nugNagd} on page~\pageref{nugNagd}. 
+Use the {\tt )set naglink host} system command
+to point your local agent to a server in your network.
+
+
+
+On the Axiom side, one sees a set of {\em packages}
+(ask Browse for {\em Nag*}) for each chapter, each exporting
+operations with the same name as a routine in the Nag Library.
+The arguments and return value of each operation belong to
+standard Axiom types.
+
+The {\tt man} pages for the Nag Library are accessible via the description
+of each operation in Browse (among other places).
+
+In the implementation of each operation, the set of inputs is passed
+to the local agent {\tt nagman}, which makes a
+Remote Procedure Call (RPC) to the
+remote {\tt nagd} daemon process.  The local agent receives the RPC
+results and forwards them to the Axiom workspace where they
+are interpreted appropriately.
+
+How are Fortran subroutines turned into RPC calls?
+For each Fortran routine in the Nag Library, a C main() routine
+is supplied.
+Its job is to assemble the RPC input (numeric) data stream into
+the appropriate Fortran data structures for the routine, call the Fortran
+routine from C and serialize the results into an RPC output data stream.
+
+Many Nag Library routines accept ASPs (Argument Subprogram Parameters).
+These specify user-supplied Fortran routines (e.g. a routine to
+supply values of a function is required for numerical integration).
+How are they handled? There are new facilities in Axiom to help.
+A set of Axiom domains has been provided to turn values in standard
+ Axiom types (such as Expression Integer) into the appropriate
+piece of Fortran for each case (a filename pointing to Fortran source
+for the ASP can always be supplied instead).
+Ask Browse for {\em Asp*} to see these domains. The Fortran fragments
+are included in the outgoing RPC stream, but {\tt nagd} intercepts them,
+compiles them, and links them with the main() C program before executing
+the resulting program on the numeric part of the RPC stream.
+
+
+%------------------------------------------------------------------------
+\section{Interactive Front-end and Language}
+\index{ugWhatsNewLanguage}
+%------------------------------------------------------------------------
+
+The {\tt leave} keyword has been replaced by the
+{\tt break} keyword for compatibility with the new Axiom
+extension language.
+See section \ref{ugLangLoopsBreak} on page~\pageref{ugLangLoopsBreak}
+for more information.
+
+Curly braces are no longer used to create sets. Instead, use
+{\bf set} followed by a bracketed expression. For example,
+
+\spadcommand{set [1,2,3,4]}
+
+Curly braces are now used to enclose a block (see section
+\ref{ugLangBlocks} on page~\pageref{ugLangBlocks}
+for more information). For compatibility, a block can still be 
+enclosed by parentheses as well.
+
+``Free functions'' created by the Aldor compiler can now be
+loaded and used within the Axiom interpreter. A {\it free
+function} is a library function that is implemented outside a
+domain or category constructor.
+
+New coercions to and from type {\tt Expression} have been
+added. For example, it is now possible to map a polynomial
+represented as an expression to an appropriate polynomial type.
+
+Various messages have been added or rewritten for clarity.
+
+%------------------------------------------------------------------------
+\section{Library}
+\index{ugWhatsNewLibrary}
+%------------------------------------------------------------------------
+
+The {\tt FullPartialFractionExpansion}
+domain has been added. This domain computes factor-free full
+partial fraction expansions.
+See section
+FullPartialFractionExpansion
+for examples.
+
+We have implemented the Bertrand/Cantor algorithm for integrals of
+hyperelliptic functions. This brings a major speedup for some
+classes of algebraic integrals.
+
+We have implemented a new (direct) algorithm for integrating trigonometric
+functions. This brings a speedup and an improvement in the answer
+quality.
+
+The {\sf SmallFloat} domain has been renamed
+{\tt DoubleFloat} and {\sf SmallInteger} has been renamed
+{\tt SingleInteger}. The new abbreviations as
+{\tt DFLOAT} and {\tt SINT}, respectively.
+We have defined the macro {\sf SF}, the old abbreviation for {\sf
+SmallFloat}, to expand to {\tt DoubleFloat} and modified
+the documentation and input file examples to use the new names
+and abbreviations. You should do the same in any private Axiom
+files you have.
+
+There are many new categories, domains and packages related to the
+NAG Library Link facility. See the file
+
+src/algebra/exposed.lsp
+
+for a list of constructors in the {\bf naglink} Axiom exposure group.
+
+We have made improvements to the differential equation solvers
+and there is a new facility for solving systems of first-order 
+linear differential equations.
+In particular, an important fix was made to the solver for
+inhomogeneous linear ordinary differential equations that
+corrected the calculation of particular solutions.
+We also made improvements to the polynomial
+and transcendental equation solvers including the
+ability to solve some classes of systems of transcendental
+equations.
+
+The efficiency of power series have been improved and left and right
+expansions of $tan(f(x))$ at $x =$ a pole of $f(x)$
+can now be computed.
+A number of power series bugs were fixed and the {\tt GeneralUnivariatePowerSeries}
+domain was added.
+The power series variable can appear in the coefficients and when this
+happens, you cannot differentiate or integrate the series.  Differentiation
+and integration with respect to other variables is supported.
+
+A domain was added for representing asymptotic expansions of a
+function at an exponential singularity.
+
+For limits, the main new feature is the exponential expansion domain used
+to treat certain exponential singularities.  Previously, such singularities
+were treated in an {\it ad hoc} way and only a few cases were covered.  Now
+Axiom can do things like
+
+\begin{verbatim}
+limit( (x+1)**(x+1)/x**x - x**x/(x-1)**(x-1), x = %plusInfinity)
+\end{verbatim}
+
+in a systematic way.  It only does one level of nesting, though.  In other
+words, we can handle $exp(some function with a pole)$, but not
+\linebreak $exp(exp(some function with a pole))$.
+
+The computation of integral bases has been improved through careful
+use of Hermite row reduction. A P-adic algorithm
+for function fields of algebraic curves in finite characteristic has also
+been developed.
+
+Miscellaneous:
+There is improved conversion of definite and indefinite integrals to
+{\tt InputForm};
+binomial coefficients are displayed in a new way;
+some new simplifications of radicals have been implemented;
+the operation {\bf complexForm} for converting to rectangular coordinates
+has been added;
+symmetric product operations have been added to {\tt LinearOrdinaryDifferentialOperator}.
+
+%------------------------------------------------------------------------
+\section{HyperTex}
+\index{ugWhatsNewHyperDoc}
+%------------------------------------------------------------------------
+
+The buttons on the titlebar and scrollbar have been replaced
+with ones which have a 3D effect. You can change the foreground and
+background colors of these ``controls'' by including and modifying
+the following lines in your {\bf .Xdefaults} file.
+\begin{verbatim}
+Axiom.hyperdoc.ControlBackground: White
+Axiom.hyperdoc.ControlForeground: Black
+\end{verbatim}
+
+For various reasons, HyperDoc sometimes displays a
+secondary window. You can control the size and placement of this
+window by including and modifying
+the following line in your {\bf .Xdefaults} file.
+%
+\begin{verbatim}
+Axiom.hyperdoc.FormGeometry: =950x450+100+0
+\end{verbatim}
+%
+This setting is a standard X Window System geometry specification:
+you are requesting a window 950 pixels wide by 450 deep and placed in
+the upper left corner.
+
+Some key definitions have been changed to conform more closely
+with the CUA guidelines. Press
+F9
+to see the current definitions.
+
+Input boxes (for example, in the Browser) now accept paste-ins from
+the X Window System. Use the second button to paste in something
+you have previously copied or cut. An example of how you can use this
+is that you can paste the type from an Axiom computation
+into the main Browser input box.
+
+
+%------------------------------------------------------------------------
+\section{Documentation}
+\index{ugWhatsNewDocumentation}
+%------------------------------------------------------------------------
+
+We describe here a few additions to the on-line
+version of the AXIOM book which you can read with
+HyperDoc.
+
+
+A section has been added to the graphics chapter, describing
+how to build two-di\-men\-sion\-al graphs from lists of points. An example is
+given showing how to read the points from a file.
+See section \ref{ugGraphTwoDbuild} on page~\pageref{ugGraphTwoDbuild}
+for details.
+
+A further section has been added to that same chapter, describing
+how to add a two-di\-men\-sion\-al graph to a viewport which already
+contains other graphs.
+See section
+\ref{ugGraphTwoDappend} on page~\pageref{ugGraphTwoDappend}
+for details.
+
+Chapter 3 
+and the on-line HyperDoc help have been unified.
+
+An explanation of operation names ending in ``?'' and ``!'' has
+been added to the first chapter. 
+See the
+end of the section
+\ref{ugIntroCallFun} on page~\pageref{ugIntroCallFun}
+for details.
+
+An expanded explanation of using predicates has
+been added to the sixth chapter. See the
+example involving {\bf evenRule} in the middle of the section
+\ref{ugUserRules} on page~\pageref{ugUserRules}
+for details.
+
+Documentation for the {\tt )compile}, {\tt )library} and
+{\tt )load} commands has been greatly changed. This reflects
+the ability of the {\tt )compile} to now invoke the Aldor
+compiler, the impending deletion of the {\tt )load} command
+and the new {\tt )library} command.
+The {\tt )library} command replaces {\tt )load} and is
+compatible with the compiled output from both the old and new
+compilers.
+
+
+\setcounter{chapter}{0} % Appendix A
+
+\newcommand{\lanb}{{\tt [}}
+\newcommand{\ranb}{{\tt ]}}
+\newcommand{\vertline}{$|$}
+
+\chapter{Axiom System Commands}
+\label{ugSysCmd}
+
+This chapter describes system commands, the command-line
+facilities used to control the Axiom environment.
+The first section is an introduction and discusses the common
+syntax of the commands available.
+
+\section{Introduction}
+\label{ugSysCmdOverview}
+
+System commands are used to perform Axiom environment
+management.
+Among the commands are those that display what has been defined or
+computed, set up multiple logical Axiom environments
+(frames), clear definitions, read files of expressions and
+commands, show what functions are available, and terminate
+Axiom.
+
+Some commands are restricted: the commands
+\index{set userlevel interpreter}
+\index{set userlevel compiler}
+\index{set userlevel development}
+\begin{verbatim}
+)set userlevel interpreter
+)set userlevel compiler
+)set userlevel development
+\end{verbatim}
+set the user-access level to the three possible choices.
+All commands are available at {\tt development} level and the fewest
+are available at {\tt interpreter} level.
+The default user-level is {\tt interpreter}.
+\index{user-level}
+In addition to the {\tt )set} command (discussed in 
+\ref{ugSysCmdset} on page~\pageref{ugSysCmdset})
+you can use the HyperDoc settings facility to change the {\it user-level.}
+
+
+Each command listing begins with one or more syntax pattern descriptions
+plus examples of related commands.
+The syntax descriptions are intended to be easy to read and do not
+necessarily represent the most compact way of specifying all
+possible arguments and options; the descriptions may occasionally
+be redundant.
+
+All system commands begin with a right parenthesis which should be in
+the first available column of the input line (that is, immediately
+after the input prompt, if any).
+System commands may be issued directly to Axiom or be
+included in {\bf .input} files.
+\index{file!input}
+
+A system command {\it argument} is a word that directly
+follows the command name and is not followed or preceded by a
+right parenthesis.
+A system command {\it option} follows the system command and
+is directly preceded by a right parenthesis.
+Options may have arguments: they directly follow the option.
+This example may make it easier to remember what is an option and
+what is an argument:
+
+\begin{center}
+{\tt )syscmd {\it arg1 arg2} )opt1 {\it opt1arg1 opt1arg2} )opt2 {\it opt2arg1} ...}
+\end{center}
+
+In the system command descriptions, optional arguments and options are
+enclosed in brackets (``\lanb'' and ``\ranb'').
+If an argument or option name is in italics, it is
+meant to be a variable and must have some actual value substituted
+for it when the system command call is made.
+For example, the syntax pattern description
+
+\noindent
+{\tt )read} {\it fileName} {\tt \lanb{})quietly\ranb{}}
+
+\noindent
+would imply that you must provide an actual file name for
+{\it fileName} but need not use the {\tt )quietly} option.
+Thus
+\begin{verbatim}
+)read matrix.input
+\end{verbatim}
+is a valid instance of the above pattern.
+
+System command names and options may be abbreviated and may be in
+upper or lower case.
+The case of actual arguments may be significant, depending on the
+particular situation (such as in file names).
+System command names and options may be abbreviated to the minimum
+number of starting letters so that the name or option is unique.
+Thus
+\begin{verbatim}
+)s Integer
+\end{verbatim}
+is not a valid abbreviation for the {\tt )set} command,
+because both {\tt )set} and {\tt )show}
+begin with the letter ``s''.
+Typically, two or three letters are sufficient for disambiguating names.
+In our descriptions of the commands, we have used no abbreviations for
+either command names or options.
+
+In some syntax descriptions we use a vertical line ``\vertline''
+to indicate that you must specify one of the listed choices.
+For example, in
+\begin{verbatim}
+)set output fortran on | off
+\end{verbatim}
+only {\tt on} and {\tt off} are acceptable words for following
+{\tt boot}.
+We also sometimes use ``...'' to indicate that additional arguments
+or options of the listed form are allowed.
+Finally, in the syntax descriptions we may also list the syntax of
+related commands.
+
+\section{)abbreviation}
+
+\index{abbreviation}
+
+
+\par\noindent{\bf User Level Required:} compiler
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )abbreviation query  \lanb{}{\it nameOrAbbrev}\ranb{}}
+\item {\tt )abbreviation category  {\it abbrev  fullname} \lanb{})quiet\ranb{}}
+\item {\tt )abbreviation domain  {\it abbrev  fullname}   \lanb{})quiet\ranb{}}
+\item {\tt )abbreviation package  {\it abbrev  fullname}  \lanb{})quiet\ranb{}}
+\item {\tt )abbreviation remove  {\it nameOrAbbrev}}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to query, set and remove abbreviations for category,
+domain and package constructors.
+Every constructor must have a unique abbreviation.
+This abbreviation is part of the name of the subdirectory
+under which the components of the compiled constructor are
+stored.
+%% BEGIN OBSOLETE
+% It is this abbreviation that is used to bring compiled code into
+% Axiom with the {\tt )load} command.
+%% END OBSOLETE
+Furthermore, by issuing this command you
+let the system know what file to load automatically if you use a new
+constructor.
+Abbreviations must start with a letter and then be followed by
+up to seven letters or digits.
+Any letters appearing in the abbreviation must be in uppercase.
+
+When used with the {\tt query} argument,
+\index{abbreviation query}
+this command may be used to list the name
+associated with a  particular abbreviation or the  abbreviation for a
+constructor.
+If no abbreviation or name is given, the names and corresponding
+abbreviations for {\it all} constructors are listed.
+
+The following shows the abbreviation for the constructor {\tt List}:
+\begin{verbatim}
+)abbreviation query List
+\end{verbatim}
+The following shows the constructor name corresponding to the
+abbreviation {\tt NNI}:
+\begin{verbatim}
+)abbreviation query NNI
+\end{verbatim}
+The following lists all constructor names and their abbreviations.
+\begin{verbatim}
+)abbreviation query
+\end{verbatim}
+
+To add an abbreviation for a constructor, use this command with
+{\tt category}, {\tt domain} or {\tt package}.
+\index{abbreviation package}
+\index{abbreviation domain}
+\index{abbreviation category}
+The following add abbreviations to the system for a
+category, domain and package, respectively:
+\begin{verbatim}
+)abbreviation domain   SET Set
+)abbreviation category COMPCAT  ComplexCategory
+)abbreviation package  LIST2MAP ListToMap
+\end{verbatim}
+If the {\tt )quiet} option is used,
+no output is displayed from this command.
+You would normally only define an abbreviation in a library source file.
+If this command is issued for a constructor that has already been loaded, the
+constructor will be reloaded next time it is referenced.  In particular, you
+can use this command to force the automatic reloading of constructors.
+
+To remove an abbreviation, the {\tt remove} argument is used.
+\index{abbreviation remove}
+This is usually
+only used to correct a previous command that set an abbreviation for a
+constructor name.
+If, in fact, the abbreviation does exist, you are prompted
+for confirmation of the removal request.
+Either of the following commands
+will remove the abbreviation {\tt VECTOR2} and the
+constructor name {\tt VectorFunctions2} from the system:
+\begin{verbatim}
+)abbreviation remove VECTOR2
+)abbreviation remove VectorFunctions2
+\end{verbatim}
+
+\par\noindent{\bf Also See:}
+{\tt )compile} \index{ugSysCmdcompile} 
+
+\section{)boot}
+\index{ugSysCmdboot}
+
+\index{boot}
+
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )boot} {\it bootExpression}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom system developers to execute
+expressions written in the BOOT language.
+For example,
+\begin{verbatim}
+)boot times3(x) == 3*x
+\end{verbatim}
+creates and compiles the Common Lisp function ``times3''
+obtained by translating the BOOT code.
+
+\par\noindent{\bf Also See:}
+{\tt )fin} \index{ugSysCmdfin},
+{\tt )lisp} \index{ugSysCmdlisp},
+{\tt )set} \index{ugSysCmdset}, and
+{\tt )system} \index{ugSysCmdsystem}.
+
+
+\section{)cd}
+\index{ugSysCmdcd}
+
+\index{cd}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )cd} {\it directory}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command sets the Axiom working current directory.
+The current directory is used for looking for
+input files (for {\tt )read}),
+Axiom library source files (for {\tt )compile}),
+saved history environment files (for {\tt )history )restore}),
+compiled Axiom library files (for {\tt )library}), and
+files to edit (for {\tt )edit}).
+It is also used for writing
+spool files (via {\tt )spool}),
+writing history input files (via {\tt )history )write}) and
+history environment files (via {\tt )history )save}),and
+compiled Axiom library files (via {\tt )compile}).
+\index{read}
+\index{compile}
+\index{history )restore}
+\index{edit}
+\index{spool}
+\index{history )write}
+\index{history )save}
+
+If issued with no argument, this command sets the Axiom
+current directory to your home directory.
+If an argument is used, it must be a valid directory name.
+Except for the ``{\tt )}'' at the beginning of the command,
+this has the same syntax as the operating system {\tt cd} command.
+
+\par\noindent{\bf Also See:}
+{\tt )compile} \index{ugSysCmdcompile},
+{\tt )edit} \index{ugSysCmdedit},
+{\tt )history} \index{ugSysCmdhistory},
+{\tt )library} \index{ugSysCmdlibrary},
+{\tt )read} \index{ugSysCmdread}, and
+{\tt )spool} \index{ugSysCmdspool}.
+
+\section{)close}
+\index{ugSysCmdclose}
+
+\index{close}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )close}
+\item{\tt )close )quietly}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used to close down interpreter client processes.
+Such processes are started by HyperDoc to run Axiom examples
+when you click on their text. When you have finished examining or modifying the
+example and you do not want the extra window around anymore, issue
+\begin{verbatim}
+)close
+\end{verbatim}
+to the Axiom prompt in the window.
+
+If you try to close down the last remaining interpreter client
+process, Axiom will offer to close down the entire Axiom
+session and return you to the operating system by displaying something
+like
+\begin{verbatim}
+   This is the last AXIOM session. Do you want to kill AXIOM?
+\end{verbatim}
+Type ``{\tt y}'' (followed by the Return key) if this is what you had in mind.
+Type ``{\tt n}'' (followed by the Return key) to cancel the command.
+
+You can use the {\tt )quietly} option to force Axiom to
+close down the interpreter client process without closing down
+the entire Axiom session.
+
+\par\noindent{\bf Also See:}
+{\tt )quit} \index{ugSysCmdquit} and
+{\tt )pquit} \index{ugSysCmdpquit}.
+
+
+
+\section{)clear}
+\index{ugSysCmdclear}
+
+\index{clear}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )clear all}
+\item{\tt )clear completely}
+\item{\tt )clear properties all}
+\item{\tt )clear properties}  {\it obj1 \lanb{}obj2 ...\ranb{}}
+\item{\tt )clear value      all}
+\item{\tt )clear value}     {\it obj1 \lanb{}obj2 ...\ranb{}}
+\item{\tt )clear mode       all}
+\item{\tt )clear mode}      {\it obj1 \lanb{}obj2 ...\ranb{}}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used to remove function and variable declarations, definitions
+and values  from the workspace.
+To  empty the entire workspace  and reset the
+step counter to 1, issue
+\begin{verbatim}
+)clear all
+\end{verbatim}
+To remove everything in the workspace but not reset the step counter, issue
+\begin{verbatim}
+)clear properties all
+\end{verbatim}
+To remove everything about the object {\tt x}, issue
+\begin{verbatim}
+)clear properties x
+\end{verbatim}
+To remove everything about the objects {\tt x, y} and {\tt f}, issue
+\begin{verbatim}
+)clear properties x y f
+\end{verbatim}
+
+The word {\tt properties} may be abbreviated to the single letter
+``{\tt p}''.
+\begin{verbatim}
+)clear p all
+)clear p x
+)clear p x y f
+\end{verbatim}
+All definitions of functions and values of variables may be removed by either
+\begin{verbatim}
+)clear value all
+)clear v all
+\end{verbatim}
+This retains whatever declarations the objects had.  To remove definitions and
+values for the specific objects {\tt x, y} and {\tt f}, issue
+\begin{verbatim}
+)clear value x y f
+)clear v x y f
+\end{verbatim}
+To remove  the declarations  of everything while  leaving the  definitions and
+values, issue
+\begin{verbatim}
+)clear mode  all
+)clear m all
+\end{verbatim}
+To remove declarations for the specific objects {\tt x, y} and {\tt f}, issue
+\begin{verbatim}
+)clear mode x y f
+)clear m x y f
+\end{verbatim}
+The {\tt )display names} and {\tt )display properties} commands  may be used
+to see what is currently in the workspace.
+
+The command
+\begin{verbatim}
+)clear completely
+\end{verbatim}
+does everything that {\tt )clear all} does, and also clears the internal
+system function and constructor caches.
+
+\par\noindent{\bf Also See:}
+{\tt )display} \index{ugSysCmddisplay},
+{\tt )history} \index{ugSysCmdhistory}, and
+{\tt )undo} \index{ugSysCmdundo}.
+
+
+\section{)compile}
+\index{ugSysCmdcompile}
+
+\index{compile}
+
+
+\par\noindent{\bf User Level Required:} compiler
+
+\par\noindent{\bf Command Syntax:}
+
+\begin{list}{}
+\item {\tt )compile}
+\item {\tt )compile {\it fileName}}
+\item {\tt )compile {\it fileName}.as}
+\item {\tt )compile {\it directory/fileName}.as}
+\item {\tt )compile {\it fileName}.ao}
+\item {\tt )compile {\it directory/fileName}.ao}
+\item {\tt )compile {\it fileName}.al}
+\item {\tt )compile {\it directory/fileName}.al}
+\item {\tt )compile {\it fileName}.lsp}
+\item {\tt )compile {\it directory/fileName}.lsp}
+\item {\tt )compile {\it fileName}.spad}
+\item {\tt )compile {\it directory/fileName}.spad}
+\item {\tt )compile {\it fileName} )new}
+\item {\tt )compile {\it fileName} )old}
+\item {\tt )compile {\it fileName} )translate}
+\item {\tt )compile {\it fileName} )quiet}
+\item {\tt )compile {\it fileName} )noquiet}
+\item {\tt )compile {\it fileName} )moreargs}
+\item {\tt )compile {\it fileName} )onlyargs}
+\item {\tt )compile {\it fileName} )break}
+\item {\tt )compile {\it fileName} )nobreak}
+\item {\tt )compile {\it fileName} )library}
+\item {\tt )compile {\it fileName} )nolibrary}
+\item {\tt )compile {\it fileName} )vartrace}
+\item {\tt )compile {\it fileName} )constructor} {\it nameOrAbbrev}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+You use this command to invoke the new Axiom library compiler or
+the old Axiom system compiler.
+The {\tt )compile} system command is actually a combination of
+Axiom processing and a call to the Aldor compiler.
+It is performing double-duty, acting as a front-end to
+both the Aldor compiler and the old Axiom system
+compiler.
+(The old Axiom system compiler was written in Lisp and was
+an integral part of the Axiom environment.
+The Aldor compiler is written in C and executed by the operating system
+when called from within Axiom.)
+
+This command compiles files with file extensions {\it .as, .ao}
+and {\it .al} with the
+Aldor compiler and files with file extension {\it .spad} with the
+old Axiom system compiler.
+It also can compile files with file extension {\it .lsp}. These
+are assumed to be Lisp files genererated by the Aldor
+compiler.
+If you omit the file extension, the command looks to see if you
+have specified the {\tt )new} or {\tt )old} option.
+If you have given one of these options, the corresponding compiler
+is used.
+Otherwise, the command first looks in the standard system
+directories for files with extension {\it .as, .ao} and {\it
+.al} and then files with extension {\it .spad}.
+The first file found has the appropriate compiler invoked on it.
+If the command cannot find a matching file, an error message is
+displayed and the command terminates.
+
+The {\tt )translate} option is used to invoke a special version
+of the old system compiler that will translate a {\it .spad} file
+to a {\it .as} file. That is, the {\it .spad} file will be parsed and
+analyzed and a file using the new syntax will be created. By default,
+the {\it .as} file is created in the same directory as the
+{\it .spad} file. If that directory is not writable, the current
+directory is used. If the current directory is not writable, an
+error message is given and the command terminates.
+Note that {\tt )translate} implies the {\tt )old} option so the
+file extension can safely be omitted. If {\tt )translate} is
+given, all other options are ignored.
+Please be aware that the translation is not necessarily one
+hundred percent complete or correct.
+You should attempt to compile the output with the Aldor compiler
+and make any necessary corrections.
+
+We now describe the options for the new Aldor compiler.
+
+The first thing {\tt )compile} does is look for a source code
+filename among its arguments.
+Thus
+\begin{verbatim}
+)compile mycode.as
+)compile /u/jones/as/mycode.as
+)compile mycode
+\end{verbatim}
+all invoke {\tt )compiler} on the file {\tt
+/u/jones/as/mycode.as} if the current Axiom working
+directory is {\tt /u/jones/as.} (Recall that you can set the
+working directory via the {\tt )cd} command. If you don't set it
+explicitly, it is the directory from which you started
+Axiom.)
+
+This is frequently all you need to compile your file.
+This simple command:
+\begin{enumerate}
+\item Invokes the Aldor compiler and produces Lisp output.
+\item Calls the Lisp compiler if the Aldor compilation was
+successful.
+\item Uses the {\tt )library} command to tell Axiom about
+the contents of your compiled file and arrange to have those
+contents loaded on demand.
+\end{enumerate}
+
+Should you not want the {\tt )library} command automatically
+invoked, call {\tt )compile} with the {\tt )nolibrary} option.
+For example,
+\begin{verbatim}
+)compile mycode.as )nolibrary
+\end{verbatim}
+
+The general description of Aldor command line arguments is in
+the Aldor documentation.
+The default options used by the {\tt )compile} command can be
+viewed and set using the {\tt )set compiler args} Axiom
+system command.
+The current defaults are
+\begin{verbatim}
+-O -Fasy -Fao -Flsp -laxiom -Mno-AXL_W_WillObsolete -DAxiom
+\end{verbatim}
+These options mean:
+\begin{itemize}
+\item {\tt -O}: perform all optimizations,
+\item {\tt -Fasy}: generate a {\tt .asy} file,
+\item {\tt -Fao}: generate a {\tt .ao} file,
+\item {\tt -Flsp}: generate a {\tt .lsp} (Lisp)
+file,
+\index{Lisp!code generation}
+\item {\tt -laxiom}: use the {\tt axiom} library {\tt libaxiom.al},
+\item {\tt -Mno-AXL\_W\_WillObsolete}: do not display messages
+about older generated files becoming obsolete, and
+\item {\tt -DAxiom}: define the global assertion {\tt Axiom} so that the
+Aldor libraries for generating stand-alone code
+are not accidentally used with Axiom.
+\end{itemize}
+
+To supplement these default arguments, use the {\tt )moreargs} option on
+{\tt )compile.}
+For example,
+\begin{verbatim}
+)compile mycode.as )moreargs "-v"
+\end{verbatim}
+uses the default arguments and appends the {\tt -v} (verbose)
+argument flag.
+The additional argument specification {\bf must be enclosed in
+double quotes.}
+
+To completely replace these default arguments for a particular
+use of {\tt )compile}, use the {\tt )onlyargs} option.
+For example,
+\begin{verbatim}
+)compile mycode.as )onlyargs "-v -O"
+\end{verbatim}
+only uses the {\tt -v} (verbose) and {\tt -O} (optimize)
+arguments.
+The argument specification {\bf must be enclosed in double quotes.}
+In this example, Lisp code is not produced and so the compilation
+output will not be available to Axiom.
+
+To completely replace the default arguments for all calls to {\tt
+)compile} within your Axiom session, use {\tt )set compiler args.}
+For example, to use the above arguments for all compilations, issue
+\begin{verbatim}
+)set compiler args "-v -O"
+\end{verbatim}
+Make sure you include the necessary {\tt -l} and {\tt -Y}
+arguments along with those needed for Lisp file creation.
+As above, {\bf the argument specification must be enclosed in double
+quotes.}
+
+By default, the {\tt )library} system command {\it exposes} all
+domains and categories it processes.
+This means that the Axiom intepreter will consider those
+domains and categories when it is trying to resolve a reference
+to a function.
+Sometimes domains and categories should not be exposed.
+For example, a domain may just be used privately by another
+domain and may not be meant for top-level use.
+The {\tt )library} command should still be used, though, so that
+the code will be loaded on demand.
+In this case, you should use the {\tt )nolibrary} option on {\tt
+)compile} and the {\tt )noexpose} option in the {\tt )library}
+command. For example,
+\begin{verbatim}
+)compile mycode.as )nolibrary
+)library mycode )noexpose
+\end{verbatim}
+
+Once you have established your own collection of compiled code,
+you may find it handy to use the {\tt )dir} option on the
+{\tt )library} command.
+This causes {\tt )library} to process all compiled code in the
+specified directory. For example,
+\begin{verbatim}
+)library )dir /u/jones/as/quantum
+\end{verbatim}
+You must give an explicit directory after {\tt )dir}, even if you
+want all compiled code in the current working directory
+processed, e.g.
+\begin{verbatim}
+)library )dir .
+\end{verbatim}
+
+The {\tt )compile} command works with several file extensions. We saw
+above what happens when it is invoked on a file with extension {\tt
+.as.} A {\tt .ao} file is a portable binary compiled version of a
+{\tt .as} file, and {\tt )compile} simply passes the {\tt .ao} file
+onto Aldor. The generated Lisp file is compiled and {\tt )library}
+is automatically called, just as if you had specified a {\tt .as} file.
+
+A {\tt .al} file is an archive file containing {\tt .ao} files. The
+archive is created (on Unix systems) with the {\tt ar} program. When
+{\tt )compile} is given a {\tt .al} file, it creates a directory whose
+name is based on that of the archive. For example, if you issue
+\begin{verbatim}
+)compile mylib.al
+\end{verbatim}
+the directory {\tt mylib.axldir} is created. All
+members of the archive are unarchived into the
+directory and {\tt )compile} is called on each {\tt .ao} file found. It
+is your responsibility to remove the directory and its contents, if you
+choose to do so.
+
+A {\tt .lsp} file is a Lisp source file, presumably, in our context,
+generated by Aldor when called with the {\tt -Flsp} option. When
+{\tt )compile} is used with a {\tt .lsp} file, the Lisp file is
+compiled and {\tt )library} is called. You must also have present a
+{\tt .asy} generated from the same source file.
+
+The following are descriptions of options for the old system compiler.
+
+You can compile category, domain, and package constructors
+contained in files with file extension {\it .spad}.
+You can compile individual constructors or every constructor
+in a file.
+
+The full filename is remembered between invocations of this command and
+{\tt )edit} commands.
+The sequence of commands
+\begin{verbatim}
+)compile matrix.spad
+)edit
+)compile
+\end{verbatim}
+will call the compiler, edit, and then call the compiler again
+on the file {\bf matrix.spad.}
+If you do not specify a {\it directory,} the working current
+directory (see 
+\ref{ugSysCmdcd} on page~\pageref{ugSysCmdcd})
+is searched for the file.
+If the file is not found, the standard system directories are searched.
+
+If you do not give any options, all constructors within a file are
+compiled.
+Each constructor should have an {\tt )abbreviation} command in
+the file in which it is defined.
+We suggest that you place the {\tt )abbreviation} commands at the
+top of the file in the order in which the constructors are
+defined.
+The list of commands serves as a table of contents for the file.
+\index{abbreviation}
+
+The {\tt )library} option causes directories containing the
+compiled code for each constructor
+to be created in the working current directory.
+The name of such a directory consists of the constructor
+abbreviation and the {\bf .nrlib} file extension.
+For example, the directory containing the compiled code for
+the {\tt MATRIX} constructor is called {\bf MATRIX.nrlib.}
+The {\tt )nolibrary} option says that such files should not
+be created.
+The default is {\tt )library.}
+Note that the semantics of {\tt )library} and {\tt )nolibrary}
+for the new Aldor compiler and for the old system compiler are
+completely different.
+
+The {\tt )vartrace} option causes the compiler to generate
+extra code for the constructor to support conditional tracing of
+variable assignments. (see 
+\ref{ugSysCmdtrace} on page~\pageref{ugSysCmdtrace}). Without
+this option, this code is suppressed and one cannot use
+the {\tt )vars} option for the trace command.
+
+The {\tt )constructor} option is used to
+specify a particular constructor to compile.
+All other constructors in the file are ignored.
+The constructor name or abbreviation follows {\tt )constructor.}
+Thus either
+\begin{verbatim}
+)compile matrix.spad )constructor RectangularMatrix
+\end{verbatim}
+or
+\begin{verbatim}
+)compile matrix.spad )constructor RMATRIX
+\end{verbatim}
+compiles  the {\tt RectangularMatrix} constructor
+defined in {\bf matrix.spad.}
+
+The {\tt )break} and {\tt )nobreak} options determine what
+the old system compiler does when it encounters an error.
+{\tt )break} is the default and it indicates that processing
+should stop at the first error.
+The value of the {\tt )set break} variable then controls what happens.
+
+
+%% BEGIN OBSOLTE
+% It is important for you to realize that it does not suffice to compile a
+% constructor to use the new code in the interpreter.
+% After compilation, the {\tt )load} command with the
+% {\tt )update} option should be used to bring in the new code
+% and update internal system tables with information about the
+% constructor.
+%% END OBSOLTE
+
+\par\noindent{\bf Also See:}
+{\tt )abbreviation} \index{ugSysCmdabbreviation},
+{\tt )edit} \index{ugSysCmdedit}, and
+{\tt )library} \index{ugSysCmdlibrary}.
+
+
+\section{)display}
+\index{ugSysCmddisplay}
+
+\index{display}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )display all}
+\item {\tt )display properties}
+\item {\tt )display properties all}
+\item {\tt )display properties} {\it \lanb{}obj1 \lanb{}obj2 ...\ranb{}\ranb{}}
+\item {\tt )display value all}
+\item {\tt )display value} {\it \lanb{}obj1 \lanb{}obj2 ...\ranb{}\ranb{}}
+\item {\tt )display mode all}
+\item {\tt )display mode} {\it \lanb{}obj1 \lanb{}obj2 ...\ranb{}\ranb{}}
+\item {\tt )display names}
+\item {\tt )display operations} {\it opName}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is  used to display the contents of  the workspace and
+signatures of functions  with a  given  name.\footnote{A
+{\it signature} gives the argument and return types of a
+function.}
+
+The command
+\begin{verbatim}
+)display names
+\end{verbatim}
+lists the names of all user-defined  objects in the workspace.  This is useful
+if you do  not wish to see everything  about the objects and need  only be
+reminded of their names.
+
+The commands
+\begin{verbatim}
+)display all
+)display properties
+)display properties all
+\end{verbatim}
+all do  the same thing: show  the values and  types and declared modes  of all
+variables in the  workspace.  If you have defined  functions, their signatures
+and definitions will also be displayed.
+
+To show all information about a  particular variable or user functions,
+for example, something named {\tt d}, issue
+\begin{verbatim}
+)display properties d
+\end{verbatim}
+To just show the value (and the type) of {\tt d}, issue
+\begin{verbatim}
+)display value d
+\end{verbatim}
+To just show the declared mode of {\tt d}, issue
+\begin{verbatim}
+)display mode d
+\end{verbatim}
+
+All modemaps for a given operation  may be
+displayed by using {\tt )display operations}.
+A {\it modemap} is a collection of information about  a particular
+reference
+to an  operation.  This  includes the  types of the  arguments and  the return
+value, the  location of the  implementation and  any conditions on  the types.
+The modemap may contain patterns.  The following displays the modemaps for the
+operation \spadfunFrom{complex}{ComplexCategory}:
+\begin{verbatim}
+)d op complex
+\end{verbatim}
+
+\par\noindent{\bf Also See:}
+{\tt )clear} \index{ugSysCmdclear},
+{\tt )history} \index{ugSysCmdhistory},
+{\tt )set} \index{ugSysCmdset},
+{\tt )show} \index{ugSysCmdshow}, and
+{\tt )what} \index{ugSysCmdwhat}.
+
+
+\section{)edit}
+\index{ugSysCmdedit}
+
+\index{edit}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )edit} \lanb{}{\it filename}\ranb{}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is  used to edit files.
+It works in conjunction  with the {\tt )read}
+and {\tt )compile} commands to remember the name
+of the file on which you are working.
+By specifying the name fully, you  can edit any file you wish.
+Thus
+\begin{verbatim}
+)edit /u/julius/matrix.input
+\end{verbatim}
+will place  you in an editor looking at the  file
+{\tt /u/julius/matrix.input}.
+\index{editing files}
+By default, the editor is {\tt vi},
+\index{vi}
+but if you have an EDITOR shell environment variable defined, that editor
+will be used.
+When Axiom is running under the X Window System,
+it will try to open a separate {\tt xterm} running your editor if
+it thinks one is necessary.
+\index{Korn shell}
+For example, under the Korn shell, if you issue
+\begin{verbatim}
+export EDITOR=emacs
+\end{verbatim}
+then the emacs
+\index{emacs}
+editor will be used by {\tt )edit}.
+
+If you do not specify a file name, the last file you edited,
+read or compiled will be used.
+If there is no ``last file'' you will be placed in the editor editing
+an empty unnamed file.
+
+It is possible to use the {\tt )system} command to edit a file directly.
+For example,
+\begin{verbatim}
+)system emacs /etc/rc.tcpip
+\end{verbatim}
+calls {\tt emacs} to edit the file.
+\index{emacs}
+
+\par\noindent{\bf Also See:}
+{\tt )system} \index{ugSysCmdsystem},
+{\tt )compile} \index{ugSysCmdcompile}, and
+{\tt )read} \index{ugSysCmdread}.
+
+
+\section{)fin}
+\index{ugSysCmdfin}
+
+\index{fin}
+
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )fin}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom
+developers to leave the Axiom system and return
+to the underlying Common Lisp system.
+To return to Axiom, issue the
+``{\tt (\vertline{}spad\vertline{})}''
+function call to Common Lisp.
+
+\par\noindent{\bf Also See:}
+{\tt )pquit} \index{ugSysCmdpquit} and
+{\tt )quit} \index{ugSysCmdquit}.
+
+
+\section{)frame}
+\label{ugSysCmdframe}
+\index{ugSysCmdframe}
+
+\index{frame}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )frame  new  {\it frameName}}
+\item{\tt )frame  drop  {\it \lanb{}frameName\ranb{}}}
+\item{\tt )frame  next}
+\item{\tt )frame  last}
+\item{\tt )frame  names}
+\item{\tt )frame  import {\it frameName} {\it \lanb{}objectName1 \lanb{}objectName2 ...\ranb{}\ranb{}}}
+\item{\tt )set message frame on \vertline{} off}
+\item{\tt )set message prompt frame}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+A {\it frame} can be thought of as a logical session within the
+physical session that you get when you start the system.  You can
+have as many frames as you want, within the limits of your computer's
+storage, paging space, and so on.
+Each frame has its own {\it step number}, {\it environment} and {\it history.}
+You can have a variable named {\tt a} in one frame and it will
+have nothing to do with anything that might be called {\tt a} in
+any other frame.
+
+Some frames are created by the HyperDoc program and these can
+have pretty strange names, since they are generated automatically.
+\index{frame names}
+To find out the names
+of all frames, issue
+\begin{verbatim}
+)frame names
+\end{verbatim}
+It will indicate the name of the current frame.
+
+You create a new frame
+\index{frame new}
+``{\bf quark}'' by issuing
+\begin{verbatim}
+)frame new quark
+\end{verbatim}
+The history facility can be turned on by issuing either
+{\tt )set history on} or {\tt )history )on}.
+If the history facility is on and you are saving history information
+in a file rather than in the Axiom environment
+then a history file with filename {\bf quark.axh} will
+be created as you enter commands.
+If you wish to go back to what
+you were doing in the
+\index{frame next}
+``{\bf initial}'' frame, use
+\index{frame last}
+\begin{verbatim}
+)frame next
+\end{verbatim}
+or
+\begin{verbatim}
+)frame last
+\end{verbatim}
+to cycle through the ring of available frames to get back to
+``{\bf initial}''.
+
+If you want to throw
+away a frame (say ``{\bf quark}''), issue
+\begin{verbatim}
+)frame drop quark
+\end{verbatim}
+If you omit the name, the current frame is dropped.
+\index{frame drop}
+
+If you do use frames with the history facility on and writing to a file,
+you may want to delete some of the older history files.
+\index{file!history}
+These are directories, so you may want to issue a command like
+{\tt rm -r quark.axh} to the operating system.
+
+You can bring things from another frame by using
+\index{frame import}
+{\tt )frame import}.
+For example, to bring the {\tt f} and {\tt g} from the frame ``{\bf quark}''
+to the current frame, issue
+\begin{verbatim}
+)frame import quark f g
+\end{verbatim}
+If you want everything from the frame ``{\bf quark}'', issue
+\begin{verbatim}
+)frame import quark
+\end{verbatim}
+You will be asked to verify that you really want everything.
+
+There are two {\tt )set} flags
+\index{set message frame}
+to make it easier to tell where you are.
+\begin{verbatim}
+)set message frame on | off
+\end{verbatim}
+will print more messages about frames when it is set on.
+By default, it is off.
+\begin{verbatim}
+)set message prompt frame
+\end{verbatim}
+will give a prompt
+\index{set message prompt frame}
+that looks like
+\begin{verbatim}
+initial (1) ->
+\end{verbatim}
+\index{prompt!with frame name}
+when you start up. In this case, the frame name and step make up the
+prompt.
+
+\par\noindent{\bf Also See:}
+{\tt )history} \index{ugSysCmdhistory} and
+{\tt )set} \index{ugSysCmdset}.
+
+
+\section{)help}
+\index{ugSysCmdhelp}
+
+\index{help}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )help}
+\item{\tt )help} {\it commandName}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command displays help information about system commands.
+If you issue
+\begin{verbatim}
+)help
+\end{verbatim}
+then this very text will be shown.
+You can also give the name or abbreviation of a system command
+to display information about it.
+For example,
+\begin{verbatim}
+)help clear
+\end{verbatim}
+will display the description of the {\tt )clear} system command.
+
+All this material is available in the Axiom User Guide
+and in HyperDoc.
+In HyperDoc, choose the {\bf Commands} item from the
+{\bf Reference} menu.
+
+
+
+\section{)history}
+\index{ugSysCmdhistory}
+
+\index{history}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )history )on}
+\item{\tt )history )off}
+\item{\tt )history )write} {\it historyInputFileName}
+\item{\tt )history )show \lanb{}{\it n}\ranb{} \lanb{}both\ranb{}}
+\item{\tt )history )save} {\it savedHistoryName}
+\item{\tt )history )restore} \lanb{}{\it savedHistoryName}\ranb{}
+\item{\tt )history )reset}
+\item{\tt )history )change} {\it n}
+\item{\tt )history )memory}
+\item{\tt )history )file}
+\item{\tt \%}
+\item{\tt \%\%({\it n})}
+\item{\tt )set history on \vertline{} off}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+The {\it history} facility within Axiom allows you to restore your
+environment to that of another session and recall previous
+computational results.
+Additional commands allow you to review previous
+input lines and to create an {\bf .input} file of the lines typed to
+\index{file!input}
+Axiom.
+
+Axiom saves your input and output if the history facility is
+turned on (which is the default).
+This information is saved if either of
+\begin{verbatim}
+)set history on
+)history )on
+\end{verbatim}
+has been issued.
+Issuing either
+\begin{verbatim}
+)set history off
+)history )off
+\end{verbatim}
+will discontinue the recording of information.
+\index{history )on}
+\index{set history on}
+\index{set history off}
+\index{history )off}
+
+Whether the facility is disabled or not,
+the value of {\tt \%} in Axiom always
+refers to the result of the last computation.
+If you have not yet entered anything,
+{\tt \%} evaluates to an object of type
+{\tt Variable('\%)}.
+The function {\tt \%\%} may be  used to refer
+to other previous results if the history facility is enabled.
+In that case,
+{\tt \%\%(n)} is  the output from step {\tt n} if {\tt n > 0}.
+If {\tt n < 0}, the step is computed relative to the current step.
+Thus {\tt \%\%(-1)} is also the previous step,
+{\tt \%\%(-2)}, is the  step before that, and so on.
+If an invalid step number is given, Axiom will signal an error.
+
+The {\it environment} information can either be saved in a file or entirely in
+memory (the default).
+Each frame 
+(\ref{ugSysCmdframe} on page~\pageref{ugSysCmdframe})
+has its own history database.
+When it is kept in a file, some of it may also be kept in memory for
+efficiency.
+When the information is saved in a file, the name of the file is
+of the form {\bf FRAME.axh} where ``{\bf FRAME}'' is the name of the
+current frame.
+The history file is placed in the current working directory
+(see \ref{ugSysCmdcd} on page~\pageref{ugSysCmdcd}).
+Note that these history database files are not text files (in fact,
+they are directories themselves), and so are not in human-readable
+format.
+
+The options to the {\tt )history} command are as follows:
+
+\begin{description}
+\item[{\tt )change} {\it n}]
+will set the number of steps that are saved in memory to {\it n}.
+This option only has effect when the history data is maintained in a
+file.
+If you have issued {\tt )history )memory} (or not changed the default)
+there is no need to use {\tt )history )change}.
+\index{history )change}
+
+\item[{\tt )on}]
+will start the recording of information.
+If the workspace is not empty, you will be asked to confirm this
+request.
+If you do so, the workspace will be cleared and history data will begin
+being saved.
+You can also turn the facility on by issuing {\tt )set history on}.
+
+\item[{\tt )off}]
+will stop the recording of information.
+The {\tt )history )show} command will not work after issuing this
+command.
+Note that this command may be issued to save time, as there is some
+performance penalty paid for saving the environment data.
+You can also turn the facility off by issuing {\tt )set history off}.
+
+\item[{\tt )file}]
+indicates that history data should be saved in an external file on disk.
+
+\item[{\tt )memory}]
+indicates that all history data should be kept in memory rather than
+saved in a file.
+Note that if you are computing with very large objects it may not be
+practical to kept this data in memory.
+
+\item[{\tt )reset}]
+will flush the internal list of the most recent workspace calculations
+so that the data structures may be garbage collected by the underlying
+Common Lisp system.
+Like {\tt )history )change}, this option only has real effect when
+history data is being saved in a file.
+
+\item[{\tt )restore} \lanb{}{\it savedHistoryName}\ranb{}]
+completely clears the environment and restores it to a saved session, if
+possible.
+The {\tt )save} option below allows you to save a session to a file
+with a given name. If you had issued
+{\tt )history )save jacobi}
+the command
+{\tt )history )restore jacobi}
+would clear the current workspace and load the contents of the named
+saved session. If no saved session name is specified, the system looks
+for a file called {\bf last.axh}.
+
+\item[{\tt )save} {\it savedHistoryName}]
+is used to save  a snapshot of the environment in a file.
+This file is placed in the current working directory
+(see \ref{ugSysCmdcd} on page~\pageref{ugSysCmdcd}).
+Use {\tt )history )restore} to restore the environment to the state
+preserved in the file.
+This option also creates an input file containing all the lines of input
+since you created the workspace frame (for example, by starting your
+Axiom session) or last did a {\tt )clear all} or
+{\tt )clear completely}.
+
+\item[{\tt )show} \lanb{}{\it n}\ranb{} \lanb{}{\tt both}\ranb{}]
+can show previous input lines and output results.
+{\tt )show} will display up to twenty of the last input lines
+(fewer if you haven't typed in twenty lines).
+{\tt )show} {\it n} will display up to {\it n} of the last input lines.
+{\tt )show both} will display up to five of the last input lines and
+output results.
+{\tt )show} {\it n} {\tt both} will display up to {\it n} of the last
+input lines and output results.
+
+\item[{\tt )write} {\it historyInputFile}]
+creates an {\bf .input} file with the input lines typed since the start
+of the session/frame or the last {\tt )clear all} or {\tt )clear
+completely}.
+If {\it historyInputFileName} does not contain a period (``.'') in the filename,
+{\bf .input} is appended to it.
+For example,
+{\tt )history )write chaos}
+and
+{\tt )history )write chaos.input}
+both write the input lines to a file called {\bf chaos.input} in your
+current working directory.
+If you issued one or more {\tt )undo} commands,
+{\tt )history )write}
+eliminates all
+input lines backtracked over as a result of {\tt )undo}.
+You can edit this file and then use {\tt )read} to have Axiom process
+the contents.
+\end{description}
+
+\par\noindent{\bf Also See:}
+{\tt )frame} \index{ugSysCmdframe},
+{\tt )read} \index{ugSysCmdread},
+{\tt )set} \index{ugSysCmdset}, and
+{\tt )undo} \index{ugSysCmdundo}.
+
+
+\section{)library}
+\index{ugSysCmdlibrary}
+
+\index{library}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )library {\it libName1  \lanb{}libName2 ...\ranb{}}}
+\item{\tt )library )dir {\it dirName}}
+\item{\tt )library )only {\it objName1  \lanb{}objlib2 ...\ranb{}}}
+\item{\tt )library )noexpose}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command replaces the {\tt )load} system command that
+was available in Axiom releases before version 2.0.
+The {\tt )library} command makes available to Axiom the compiled
+objects in the libraries listed.
+
+For example, if you {\tt )compile dopler.as} in your home
+directory, issue {\tt )library dopler} to have Axiom look
+at the library, determine the category and domain constructors present,
+update the internal database with various properties of the
+constructors, and arrange for the constructors to be
+automatically loaded when needed.
+If the {\tt )noexpose} option has not been given, the
+constructors will be exposed (that is, available) in the current
+frame.
+
+If you compiled a file with the old system compiler, you will
+have an {\it nrlib} present, for example, {\it DOPLER.nrlib,}
+where {\tt DOPLER} is a constructor abbreviation.
+The command {\tt )library DOPLER} will then do the analysis and
+database updates as above.
+
+To tell the system about all libraries in a directory, use
+{\tt )library )dir dirName} where {\tt dirName} is an explicit
+directory.
+You may specify ``.'' as the directory, which means the current
+directory from which you started the system or the one you set
+via the {\tt )cd} command. The directory name is required.
+
+You may only want to tell the system about particular
+constructors within a library. In this case, use the {\tt )only}
+option. The command {\tt )library dopler )only Test1} will only
+cause the {\sf Test1} constructor to be analyzed, autoloaded,
+etc..
+
+Finally, each constructor in a library  are usually automatically exposed when the
+{\tt )library} command is used. Use the {\tt )noexpose}
+option if you not want them exposed. At a later time you can use
+{\tt )set expose add constructor} to expose any hidden
+constructors.
+
+{\bf Note for Axiom beta testers:} At various times this
+command was called {\tt )local} and {\tt )with} before the name
+{\tt )library} became the official name.
+
+\par\noindent{\bf Also See:}
+{\tt )cd} \index{ugSysCmdcd},
+{\tt )compile} \index{ugSysCmdcompile},
+{\tt )frame} \index{ugSysCmdframe}, and
+{\tt )set} \index{ugSysCmdset}.
+
+\section{)lisp}
+\index{ugSysCmdlisp}
+
+\index{lisp}
+
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )lisp} {\it\lanb{}lispExpression\ranb{}}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom system developers to have single
+expressions evaluated by the Common Lisp system on which
+Axiom is built.
+The {\it lispExpression} is read by the Common Lisp reader and
+evaluated.
+If this expression is not complete (unbalanced parentheses, say), the reader
+will wait until a complete expression is entered.
+
+Since this command is only useful  for evaluating single expressions, the
+{\tt )fin}
+command may be used to  drop out  of Axiom  into Common Lisp.
+
+\par\noindent{\bf Also See:}
+{\tt )system} \index{ugSysCmdsystem},
+{\tt )boot} \index{ugSysCmdboot}, and
+{\tt )fin} \index{ugSysCmdfin}.
+
+
+
+\section{)load}
+\index{ugSysCmdload}
+
+\index{load}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+%% BEGIN OBSOLETE
+% \par\noindent{\bf Command Syntax:}
+% \begin{list}{}
+% \item{\tt )load {\it libName1  \lanb{}libName2 ...\ranb{}} \lanb{})update\ranb{}}
+% \item{\tt )load {\it libName1  \lanb{}libName2 ...\ranb{}} )cond \lanb{})update\ranb{}}
+% \item{\tt )load {\it libName1  \lanb{}libName2 ...\ranb{}} )query}
+% \item{\tt )load {\it libName1  \lanb{}libName2 ...\ranb{}} )noexpose}
+% \end{list}
+%% END OBSOLETE
+
+\par\noindent{\bf Command Description:}
+
+This command is obsolete. Use {\tt )library} instead.
+
+%% BEGIN OBSOLETE
+
+% The {\tt )load} command is used to bring in the compiled library code
+% for constructors and update internal system tables with information
+% about the constructors.
+% This command is usually only used by Axiom library developers.
+%
+% The abbreviation of a constructor serves as part of the name of the
+% directory in which the compiled code is stored (see
+% \ref{ugSysCmdabbreviation} for a discussion of defining and querying
+% abbreviations).
+% The abbreviation is used in the {\tt )load} command.
+% For example, to load the constructors {\tt Integer},
+% {\tt NonNegativeInteger} and {\tt List} which have
+% abbreviations {\tt INT}, {\tt NNI} and {\tt LIST},
+% respectively, issue the command
+% \begin{verbatim}
+% )load INT NNI LIST
+% \end{verbatim}
+% To load constructors only if they have not already been
+% loaded (that is., load {\it conditionally}), use the {\tt )cond}
+% option:
+% \begin{verbatim}
+% )load INT NNI LIST )cond
+% \end{verbatim}
+% To query whether particular constructors have been loaded, use the
+% {\tt )query} option:
+% \begin{verbatim}
+% )load I NNI L )query
+% \end{verbatim}
+% When constructors are loaded from Axiom system directories, some
+% checks and updates are not performed because it is assumed that the system
+% knows about these constructors.
+% To force these checks and updates to occur, add the {\tt )update}
+% option to the command:
+% \begin{verbatim}
+% )load INT NNI LIST )update
+% )load INT NNI LIST )cond )update
+% \end{verbatim}
+% The only time it is really necessary to use the {\tt )load} command is
+% when a new constructor has been compiled or an existing constructor has
+% been modified and then compiled.
+% If an {\tt )abbreviate} command has been issued for a constructor, it
+% will be automatically loaded when needed.
+% In particular, any constructor that comes with the Axiom system
+% will be automatically loaded.
+%
+% If you write several interdependent constructors it is important that
+% they all get loaded when needed.
+% To accomplish this, either load them manually or issue
+% {\tt )abbreviate} commands for each of the constructors so that they
+% will be automatically loaded when needed.
+%
+% Constructors are automatically exposed in the frame in which you load
+% them unless you use the {\tt )noexpose} option.
+% \begin{verbatim}
+% )load MATCAT- )noexpose
+% \end{verbatim}
+% See \ref{ugTypesExpose}
+% for more information about constructor exposure.
+%
+% \par\noindent{\bf Also See:}
+% {\tt )abbreviation} \index{ugSysCmdabbreviation} and
+% {\tt )compile} \index{ugSysCmdcompile}.
+
+%% END OBSOLETE
+
+
+\section{)trace}
+\index{ugSysCmdltrace}
+
+\index{ltrace}
+
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+
+This command has the same arguments as options as the
+{\tt )trace} command.
+
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom system developers to trace
+Common Lisp or
+BOOT functions.
+It is not supported for general use.
+
+\par\noindent{\bf Also See:}
+{\tt )boot} \index{ugSysCmdboot},
+{\tt )lisp} \index{ugSysCmdlisp}, and
+{\tt )trace} \index{ugSysCmdtrace}.
+
+
+\section{)pquit}
+\index{ugSysCmdpquit}
+
+\index{pquit}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )pquit}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to terminate Axiom  and return to the
+operating system.
+Other than by redoing all your computations or by
+using the {\tt )history )restore}
+command to try to restore your working environment,
+you cannot return to Axiom in the same state.
+
+{\tt )pquit} differs from the {\tt )quit} in that it always asks for
+confirmation that you want to terminate Axiom (the ``p'' is for
+``protected'').
+\index{quit}
+When you enter the {\tt )pquit} command, Axiom responds
+%
+\begin{center}
+Please enter {\bf y} or {\bf yes} if you really want to leave the interactive \\
+environment and return to the operating system:
+\end{center}
+%
+If you respond with {\tt y} or {\tt yes}, you will see the message
+%
+\begin{center}
+You are now leaving the Axiom interactive environment. \\
+Issue the command {\bf axiom} to the operating system to start a new session.
+\end{center}
+%
+and Axiom will terminate and return you to the operating
+system (or the environment from which you invoked the system).
+If you responded with something other than {\tt y} or {\tt yes}, then
+the message
+%
+\begin{center}
+You have chosen to remain in the Axiom interactive environment.
+\end{center}
+%
+will be displayed and, indeed, Axiom would still be running.
+
+\par\noindent{\bf Also See:}
+{\tt )fin} \index{ugSysCmdfin},
+{\tt )history} \index{ugSysCmdhistory},
+{\tt )close} \index{ugSysCmdclose},
+{\tt )quit} \index{ugSysCmdquit}, and
+{\tt )system} \index{ugSysCmdsystem}.
+
+
+\section{)quit}
+\index{ugSysCmdquit}
+
+\index{quit}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )quit}
+\item{\tt )set quit protected \vertline{} unprotected}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to terminate Axiom  and return to the
+operating system.
+Other than by redoing all your computations or by
+using the {\tt )history )restore}
+command to try to restore your working environment,
+you cannot return to Axiom in the same state.
+
+{\tt )quit} differs from the {\tt )pquit} in that it asks for
+\index{pquit}
+confirmation only if the command
+\begin{verbatim}
+)set quit protected
+\end{verbatim}
+has been issued.
+\index{set quit protected}
+Otherwise, {\tt )quit} will make Axiom terminate and return you
+to the operating system (or the environment from which you invoked the
+system).
+
+The default setting is {\tt )set quit protected} so that {\tt )quit}
+and {\tt )pquit} behave in the same way.
+If you do issue
+\begin{verbatim}
+)set quit unprotected
+\end{verbatim}
+we
+\index{set quit unprotected}
+suggest that you do not (somehow) assign {\tt )quit} to be
+executed when you press, say, a function key.
+
+\par\noindent{\bf Also See:}
+{\tt )fin} \index{ugSysCmdfin},
+{\tt )history} \index{ugSysCmdhistory},
+{\tt )close} \index{ugSysCmdclose},
+{\tt )pquit} \index{ugSysCmdpquit}, and
+{\tt )system} \index{ugSysCmdsystem}.
+
+
+\section{)read}
+\index{ugSysCmdread}
+
+\index{read}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )read} {\it \lanb{}fileName\ranb{}}
+\item {\tt )read} {\it \lanb{}fileName\ranb{}} \lanb{}{\tt )quiet}\ranb{} \lanb{}{\tt )ifthere}\ranb{}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used to read {\bf .input} files into Axiom.
+\index{file!input}
+The command
+\begin{verbatim}
+)read matrix.input
+\end{verbatim}
+will read the contents of the file {\bf matrix.input} into
+Axiom.
+The ``.input'' file extension is optional.
+See \ref{ugInOutIn} on page~\pageref{ugInOutIn} 
+for more information about {\bf .input} files.
+
+This command remembers the previous file you edited, read or compiled.
+If you do not specify a file name, the previous file will be read.
+
+The {\tt )ifthere} option checks to see whether the {\bf .input} file
+exists.
+If it does not, the  {\tt )read} command does nothing.
+If you do not use this option and the file does not exist,
+you are asked to give the name of an existing {\bf .input} file.
+
+The {\tt )quiet} option suppresses output while the file is being read.
+
+\par\noindent{\bf Also See:}
+{\tt )compile} \index{ugSysCmdcompile},
+{\tt )edit} \index{ugSysCmdedit}, and
+{\tt )history} \index{ugSysCmdhistory}.
+
+
+\section{)set}
+\index{ugSysCmdset}
+
+\index{set}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )set}
+\item {\tt )set} {\it label1 \lanb{}... labelN\ranb{}}
+\item {\tt )set} {\it label1 \lanb{}... labelN\ranb{} newValue}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+The {\tt )set} command is used to view or set system variables that
+control what messages are displayed, the type of output desired, the
+status of the history facility, the way Axiom user functions are
+cached, and so on.
+Since this collection is very large, we will not discuss them here.
+Rather, we will show how the facility is used.
+We urge you to explore the {\tt )set} options to familiarize yourself
+with how you can modify your Axiom working environment.
+There is a HyperDoc version of this same facility available from the
+main HyperDoc menu.
+
+
+The {\tt )set} command is command-driven with a menu display.
+It is tree-structured.
+To see all top-level nodes, issue {\tt )set} by itself.
+\begin{verbatim}
+)set
+\end{verbatim}
+Variables with values have them displayed near the right margin.
+Subtrees of selections have ``{\tt ...}''
+displayed in the value field.
+For example, there are many kinds of messages, so issue
+{\tt )set message} to see the choices.
+\begin{verbatim}
+)set message
+\end{verbatim}
+The current setting  for the variable that displays
+\index{computation timings!displaying}
+whether computation times
+\index{timings!displaying}
+are displayed is visible in the menu displayed by the last command.
+To see more information, issue
+\begin{verbatim}
+)set message time
+\end{verbatim}
+This shows that time printing is on now.
+To turn it off, issue
+\begin{verbatim}
+)set message time off
+\end{verbatim}
+\index{set message time}
+
+As noted above, not all settings have so many qualifiers.
+For example, to change the {\tt )quit} command to being unprotected
+(that is, you will not be prompted for verification), you need only issue
+\begin{verbatim}
+)set quit unprotected
+\end{verbatim}
+\index{set quit unprotected}
+
+\par\noindent{\bf Also See:}
+{\tt )quit} \index{ugSysCmdquit}.
+
+
+\section{)show}
+\index{ugSysCmdshow}
+
+\index{show}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )show {\it nameOrAbbrev}}
+\item {\tt )show {\it nameOrAbbrev} )operations}
+\item {\tt )show {\it nameOrAbbrev} )attributes}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+This command displays information about Axiom
+domain, package and category {\it constructors}.
+If no options are given, the {\tt )operations} option is assumed.
+For example,
+\begin{verbatim}
+)show POLY
+)show POLY )operations
+)show Polynomial
+)show Polynomial )operations
+\end{verbatim}
+each display basic information about the
+{\tt Polynomial} domain constructor and then provide a
+listing of operations.
+Since {\tt Polynomial} requires a {\tt Ring} (for example,
+{\tt Integer}) as argument, the above commands all refer
+to a unspecified ring {\tt R}.
+In the list of operations, {\tt \$} means
+{\tt Polynomial(R)}.
+
+The basic information displayed includes the {\it signature}
+of the constructor (the name and arguments), the constructor
+{\it abbreviation}, the {\it exposure status} of the constructor, and the
+name of the {\it library source file} for the constructor.
+
+If operation information about a specific domain is wanted,
+the full or abbreviated domain name may be used.
+For example,
+\begin{verbatim}
+)show POLY INT
+)show POLY INT )operations
+)show Polynomial Integer
+)show Polynomial Integer )operations
+\end{verbatim}
+are among  the combinations that will
+display the operations exported  by the
+domain {\tt Polynomial(Integer)} (as opposed to the general
+{\it domain constructor} {\tt Polynomial}).
+Attributes may be listed by using the {\tt )attributes} option.
+
+\par\noindent{\bf Also See:}
+{\tt )display} \index{ugSysCmddisplay},
+{\tt )set} \index{ugSysCmdset}, and
+{\tt )what} \index{ugSysCmdwhat}.
+
+
+\section{)spool}
+\index{ugSysCmdspool}
+
+\index{spool}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )spool} \lanb{}{\it fileName}\ranb{}
+\item{\tt )spool}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to save {\it (spool)} all Axiom input and output
+\index{file!spool}
+into a file, called a {\it spool file.}
+You can only have one spool file active at a time.
+To start spool, issue this command with a filename. For example,
+\begin{verbatim}
+)spool integrate.out
+\end{verbatim}
+To stop spooling, issue {\tt )spool} with no filename.
+
+If the filename is qualified with a directory, then the output will
+be placed in that directory.
+If no directory information is given, the spool file will be placed in the
+\index{directory!for spool files}
+{\it current directory.}
+The current directory is the directory from which you started
+Axiom or is the directory you specified using the
+{\tt )cd} command.
+\index{cd}
+
+\par\noindent{\bf Also See:}
+{\tt )cd} \index{ugSysCmdcd}.
+
+
+\section{)synonym}
+\index{ugSysCmdsynonym}
+
+\index{synonym}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )synonym}
+\item{\tt )synonym} {\it synonym fullCommand}
+\item{\tt )what synonyms}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to create short synonyms for system command expressions.
+For example, the following synonyms  might simplify commands you often
+use.
+\begin{verbatim}
+)synonym save         history )save
+)synonym restore      history )restore
+)synonym mail         system mail
+)synonym ls           system ls
+)synonym fortran      set output fortran
+\end{verbatim}
+Once defined, synonyms can be
+used in place of the longer  command expressions.
+Thus
+\begin{verbatim}
+)fortran on
+\end{verbatim}
+is the same as the longer
+\begin{verbatim}
+)set fortran output on
+\end{verbatim}
+To list all defined synonyms, issue either of
+\begin{verbatim}
+)synonyms
+)what synonyms
+\end{verbatim}
+To list, say, all synonyms that contain the substring
+``{\tt ap}'', issue
+\begin{verbatim}
+)what synonyms ap
+\end{verbatim}
+
+\par\noindent{\bf Also See:}
+{\tt )set} \index{ugSysCmdset} and
+{\tt )what} \index{ugSysCmdwhat}.
+
+
+\section{)system}
+\index{ugSysCmdsystem}
+
+\index{system}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )system} {\it cmdExpression}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command may be used to issue commands to the operating system while
+remaining in Axiom.
+The {\it cmdExpression} is passed to the operating system for
+execution.
+
+To get an operating system shell, issue, for example,
+{\tt )system sh}.
+When you enter the key combination,
+\fbox{\bf Ctrl}--\fbox{\bf D}
+(pressing and holding the
+\fbox{\bf Ctrl} key and then pressing the
+\fbox{\bf D} key)
+the shell will terminate and you will return to Axiom.
+We do not recommend this way of creating a shell because
+Common Lisp may field some interrupts instead of the shell.
+If possible, use a shell running in another window.
+
+If you execute programs that misbehave you may not be able to return to
+Axiom.
+If this happens, you may have no other choice than to restart
+Axiom and restore the environment via {\tt )history )restore}, if
+possible.
+
+\par\noindent{\bf Also See:}
+{\tt )boot} \index{ugSysCmdboot},
+{\tt )fin} \index{ugSysCmdfin},
+{\tt )lisp} \index{ugSysCmdlisp},
+{\tt )pquit} \index{ugSysCmdpquit}, and
+{\tt )quit} \index{ugSysCmdquit}.
+
+
+\section{)trace}
+\index{ugSysCmdtrace}
+
+\index{trace}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )trace}
+\item{\tt )trace )off}
+
+\item{\tt )trace} {\it function \lanb{}options\ranb{}}
+\item{\tt )trace} {\it constructor \lanb{}options\ranb{}}
+\item{\tt )trace} {\it domainOrPackage \lanb{}options\ranb{}}
+\end{list}
+%
+where options can be one or more of
+%
+\begin{list}{}
+\item{\tt )after} {\it S-expression}
+\item{\tt )before} {\it S-expression}
+\item{\tt )break after}
+\item{\tt )break before}
+\item{\tt )cond} {\it S-expression}
+\item{\tt )count}
+\item{\tt )count} {\it n}
+\item{\tt )depth} {\it n}
+\item{\tt )local} {\it op1 \lanb{}... opN\ranb{}}
+\item{\tt )nonquietly}
+\item{\tt )nt}
+\item{\tt )off}
+\item{\tt )only} {\it listOfDataToDisplay}
+\item{\tt )ops}
+\item{\tt )ops} {\it op1 \lanb{}... opN \ranb{}}
+\item{\tt )restore}
+\item{\tt )stats}
+\item{\tt )stats reset}
+\item{\tt )timer}
+\item{\tt )varbreak}
+\item{\tt )varbreak} {\it var1 \lanb{}... varN \ranb{}}
+\item{\tt )vars}
+\item{\tt )vars} {\it var1 \lanb{}... varN \ranb{}}
+\item{\tt )within} {\it executingFunction}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to trace the execution of functions that make
+up the Axiom system, functions defined by users,
+and functions from the system library.
+Almost all options are available for each type of function but
+exceptions will be noted below.
+
+To list all functions, constructors, domains and packages that are
+traced, simply issue
+\begin{verbatim}
+)trace
+\end{verbatim}
+To untrace everything that is traced, issue
+\begin{verbatim}
+)trace )off
+\end{verbatim}
+When a function is traced, the default system action is to display
+the arguments to the function and the return value when the
+function is exited.
+Note that if a function is left via an action such as a {\tt THROW}, no
+return value will be displayed.
+Also, optimization of tail recursion may decrease the number of
+times a function is actually invoked and so may cause less trace
+information to be displayed.
+Other information can be displayed or collected when a function is
+traced and this is controlled by the various options.
+Most options will be of interest only to Axiom system
+developers.
+If a domain or package is traced, the default action is to trace
+all functions exported.
+
+Individual interpreter, lisp or boot
+functions can be traced by listing their names after
+{\tt )trace}.
+Any options that are present must follow the functions to be
+traced.
+\begin{verbatim}
+)trace f
+\end{verbatim}
+traces the function {\tt f}.
+To untrace {\tt f}, issue
+\begin{verbatim}
+)trace f )off
+\end{verbatim}
+Note that if a function name contains a special character, it will
+be necessary to escape the character with an underscore
+%
+\begin{verbatim}
+)trace _/D_,1
+\end{verbatim}
+%
+To trace all domains or packages that are or will be created from a particular
+constructor, give the constructor name or abbreviation after
+{\tt )trace}.
+%
+\begin{verbatim}
+)trace MATRIX
+)trace List Integer
+\end{verbatim}
+%
+The first command traces all domains currently instantiated with
+{\tt Matrix}.
+If additional domains are instantiated with this constructor
+(for example, if you have used {\tt Matrix(Integer)} and
+{\tt Matrix(Float)}), they will be automatically traced.
+The second command traces {\tt List(Integer)}.
+It is possible to trace individual functions in a domain or
+package.
+See the {\tt )ops} option below.
+
+The following are the general options for the {\tt )trace}
+command.
+
+%!! system command parser doesn't treat general s-expressions correctly,
+%!! I recommand not documenting )after )before and )cond
+\begin{description}
+%\item[{\tt )after} {\it S-expression}]
+%causes the given Common Lisp {\it S-expression} to be
+%executed after exiting the traced function.
+
+%\item[{\tt )before} {\it S-expression}]
+%causes the given Common Lisp {\it S-expression} to be
+%executed before entering the traced function.
+
+\item[{\tt )break after}]
+causes a Common Lisp break loop to be entered after
+exiting the traced function.
+
+\item[{\tt )break before}]
+causes a Common Lisp break loop to be entered before
+entering the traced function.
+
+\item[{\tt )break}]
+is the same as {\tt )break before}.
+
+%\item[{\tt )cond} {\it S-expression}]
+%causes trace information to be shown only if the given
+%Common Lisp {\it S-expression} evaluates to non-NIL.  For
+%example, the following command causes the system function
+%{\tt resolveTT} to be traced but to have the information
+%displayed only if the value of the variable
+%{\tt \$reportBottomUpFlag} is non-NIL.
+%\begin{verbatim}
+%)trace resolveTT )cond \_\$reportBottomUpFlag}
+%\end{verbatim}
+
+\item[{\tt )count}]
+causes the system to keep a count of the number of times the
+traced function is entered.  The total can be displayed with
+{\tt )trace )stats} and cleared with {\tt )trace )stats reset}.
+
+\item[{\tt )count} {\it n}]
+causes information about the traced function to be displayed for
+the first {\it n} executions.  After the \it n-th execution, the
+function is untraced.
+
+\item[{\tt )depth} {\it n}]
+causes trace information to be shown for only {\it n} levels of
+recursion of the traced function.  The command
+\begin{verbatim}
+)trace fib )depth 10
+\end{verbatim}
+will cause the display of only 10 levels of trace information for
+the recursive execution of a user function {\bf fib}.
+
+\item[{\tt )math}]
+causes the function arguments and return value to be displayed in the
+Axiom monospace two-dimensional math format.
+
+\item[{\tt )nonquietly}]
+causes the display of additional messages when a function is
+traced.
+
+\item[{\tt )nt}]
+This suppresses all normal trace information.  This option is
+useful if the {\tt )count} or {\tt )timer} options are used and
+you are interested in the statistics but not the function calling
+information.
+
+\item[{\tt )off}]
+causes untracing of all or specific functions.  Without an
+argument, all functions, constructors, domains and packages are
+untraced.  Otherwise, the given functions and other objects
+are untraced.  To
+immediately retrace the untraced functions, issue {\tt )trace
+)restore}.
+
+\item[{\tt )only} {\it listOfDataToDisplay}]
+causes only specific trace information to be shown.  The items are
+listed by using the following abbreviations:
+\begin{description}
+\item[a]        display all arguments
+\item[v]        display return value
+\item[1]        display first argument
+\item[2]        display second argument
+\item[15]       display the 15th argument, and so on
+\end{description}
+\end{description}
+\begin{description}
+
+\item[{\tt )restore}]
+causes the last untraced functions to be retraced.  If additional
+options are present, they are added to those previously in effect.
+
+\item[{\tt )stats}]
+causes the display of statistics collected by the use of the
+{\tt )count} and {\tt )timer} options.
+
+\item[{\tt )stats reset}]
+resets to 0 the statistics collected by the use of the
+{\tt )count} and {\tt )timer} options.
+
+\item[{\tt )timer}]
+causes the system to keep a count of execution times for the
+traced function.  The total can be displayed with {\tt )trace
+)stats} and cleared with {\tt )trace )stats reset}.
+
+%!! only for lisp, boot, may not work in any case, recommend removing
+%\item[{\tt )varbreak}]
+%causes a Common Lisp break loop to be entered after
+%the assignment to any variable in the traced function.
+
+\item[{\tt )varbreak} {\it var1 \lanb{}... varN\ranb{}}]
+causes a Common Lisp break loop to be entered after
+the assignment to any of the listed variables in the traced
+function.
+
+\item[{\tt )vars}]
+causes the display of the value of any variable after it is
+assigned in the traced function.
+Note that library code must
+have been compiled (see \ref{ugSysCmdcompile} on 
+page~\pageref{ugSysCmdcompile})
+using the {\tt )vartrace} option in order
+to support this option.
+
+\item[{\tt )vars} {\it var1 \lanb{}... varN\ranb{}}]
+causes the display of the value of any of the specified variables
+after they are assigned in the traced function.
+Note that library code must
+have been compiled (see \ref{ugSysCmdcompile} on 
+page~\pageref{ugSysCmdcompile})
+using the {\tt )vartrace} option in order
+to support this option.
+
+\item[{\tt )within} {\it executingFunction}]
+causes the display of trace information only if the traced
+function is called when the given {\it executingFunction} is running.
+\end{description}
+
+The following are the options for tracing constructors, domains
+and packages.
+
+\begin{description}
+\item[{\tt )local} {\it \lanb{}op1 \lanb{}... opN\ranb{}\ranb{}}]
+causes local functions of the constructor to be traced.  Note that
+to untrace an individual local function, you must use the fully
+qualified internal name, using the escape character
+{\tt \_} before the semicolon.
+\begin{verbatim}
+)trace FRAC )local
+)trace FRAC_;cancelGcd )off
+\end{verbatim}
+
+\item[{\tt )ops} {\it op1 \lanb{}... opN\ranb{}}]
+By default, all operations from a domain or package are traced
+when the domain or package is traced.  This option allows you to
+specify that only particular operations should be traced.  The
+command
+%
+\begin{verbatim}
+)trace Integer )ops min max _+ _-
+\end{verbatim}
+%
+traces four operations from the domain {\tt Integer}.  Since
+{\tt +} and {\tt -} are special
+characters, it is necessary
+to escape them with an underscore.
+\end{description}
+
+\par\noindent{\bf Also See:}
+{\tt )boot} \index{ugSysCmdboot},
+{\tt )lisp} \index{ugSysCmdlisp}, and
+{\tt )ltrace} \index{ugSysCmdltrace}.
+
+\section{)undo}
+\index{ugSysCmdundo}
+
+\index{undo}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )undo}
+\item{\tt )undo} {\it integer}
+\item{\tt )undo} {\it integer \lanb{}option\ranb{}}
+\item{\tt )undo} {\tt )redo}
+\end{list}
+%
+where {\it option} is one of
+%
+\begin{list}{}
+\item{\tt )after}
+\item{\tt )before}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to
+restore the state of the user environment to an earlier
+point in the interactive session.
+The argument of an {\tt )undo} is an integer which must designate some
+step number in the interactive session.
+
+\begin{verbatim}
+)undo n
+)undo n )after
+\end{verbatim}
+These commands return the state of the interactive
+environment to that immediately after step {\tt n}.
+If {\tt n} is a positive number, then {\tt n} refers to step nummber
+{\tt n}. If {\tt n} is a negative number, it refers to the {\tt n}-th
+previous command (that is, undoes the effects of the last $-n$
+commands).
+
+A {\tt )clear all} resets the {\tt )undo} facility.
+Otherwise, an {\tt )undo} undoes the effect of {\tt )clear} with
+options {\tt properties}, {\tt value}, and {\tt mode}, and
+that of a previous {\tt undo}.
+If any such system commands are given between steps $n$ and
+$n + 1$ ($n > 0$), their effect is undone
+for {\tt )undo m} for any $0 < m \leq n$..
+
+The command {\tt )undo} is equivalent to {\tt )undo -1} (it undoes
+the effect of the previous user expression).
+The command {\tt )undo 0} undoes any of the above system commands
+issued since the last user expression.
+
+\begin{verbatim}
+)undo n )before
+\end{verbatim}
+This command returns the state of the interactive
+environment to that immediately before step {\tt n}.
+Any {\tt )undo} or {\tt )clear} system commands
+given before step {\tt n} will not be undone.
+
+\begin{verbatim}
+)undo )redo
+\end{verbatim}
+This command reads the file {\tt redo.input}.
+created by the last {\tt )undo} command.
+This file consists of all user input lines, excluding those
+backtracked over due to a previous {\tt )undo}.
+
+\par\noindent{\bf Also See:}
+{\tt )history} \index{ugSysCmdhistory}.
+The command {\tt )history )write} will eliminate the ``undone'' command
+lines of your program.
+
+\section{)what}
+\index{ugSysCmdwhat}
+
+\index{what}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )what categories} {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\item{\tt )what commands  } {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\item{\tt )what domains   } {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\item{\tt )what operations} {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\item{\tt )what packages  } {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\item{\tt )what synonym   } {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\item{\tt )what things    } {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\item{\tt )apropos        } {\it pattern1} \lanb{}{\it pattern2 ...\ranb{}}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to display lists of things in the system.  The
+patterns are all strings and, if present, restrict the contents of the
+lists.  Only those items that contain one or more of the strings as
+substrings are displayed.  For example,
+\begin{verbatim}
+)what synonym
+\end{verbatim}
+displays all command synonyms,
+\begin{verbatim}
+)what synonym ver
+\end{verbatim}
+displays all command synonyms containing the substring ``{\tt ver}'',
+\begin{verbatim}
+)what synonym ver pr
+\end{verbatim}
+displays all command synonyms
+containing the substring  ``{\tt ver}'' or  the substring
+``{\tt pr}''.
+Output similar to the following will be displayed
+\begin{verbatim}
+---------------- System Command Synonyms -----------------
+
+user-defined synonyms satisfying patterns:
+      ver pr
+
+  )apr ........................... )what things
+  )apropos ....................... )what things
+  )prompt ........................ )set message prompt
+  )version ....................... )lisp *yearweek*
+\end{verbatim}
+
+Several other things can be listed with the {\tt )what} command:
+
+\begin{description}
+\item[{\tt categories}] displays a list of category constructors.
+\index{what categories}
+\item[{\tt commands}]  displays a list of  system commands available  at your
+user-level.
+\index{what commands}
+Your user-level
+\index{user-level}
+is set via the  {\tt )set userlevel} command.
+\index{set userlevel}
+To get a description of a particular command, such as ``{\tt )what}'', issue
+{\tt )help what}.
+\item[{\tt domains}]   displays a list of domain constructors.
+\index{what domains}
+\item[{\tt operations}] displays a list of operations in  the system library.
+\index{what operations}
+It  is recommended that you  qualify this command with one or
+more patterns, as there are thousands of operations available.  For
+example, say you are looking for functions that involve computation of
+eigenvalues.  To find their names, try {\tt )what operations eig}.
+A rather large list of operations  is loaded into the workspace when
+this command  is first issued.  This  list will be deleted  when you
+clear the workspace  via {\tt )clear all} or {\tt )clear completely}.
+It will be re-created if it is needed again.
+\item[{\tt packages}]  displays a list of package constructors.
+\index{what packages}
+\item[{\tt synonym}]  lists system command synonyms.
+\index{what synonym}
+\item[{\tt things}]    displays all  of the  above types for  items containing
+\index{what things}
+the pattern strings as  substrings.
+The command synonym  {\tt )apropos} is equivalent to
+\index{apropos}
+{\tt )what things}.
+\end{description}
+
+\par\noindent{\bf Also See:}
+{\tt )display} \index{ugSysCmddisplay},
+{\tt )set} \index{ugSysCmdset}, and
+{\tt )show} \index{ugSysCmdshow}.
+
+\setcounter{chapter}{1} % Appendix B
+
+%\twocolumn[%
+\chapter{Categories}
+\label{ugAppCategories}
+
+This is a listing of all categories in the Axiom library at the
+time this book was produced.
+Use the Browse facility (described in Chapter 
+\ref{ugBrowse} on page~\pageref{ugBrowse})
+to get more information about these constructors.
+
+This sample entry will help you read the following table:
+
+CategoryName{CategoryAbbreviation}:{$\hbox{{\sf Category}}_{1}$%
+\ldots$\hbox{{\sf Category}}_{N}$}{\sl with }%
+{$\hbox{{\rm op}}_{1}$\ldots$\hbox{{\rm op}}_{M}$}
+
+where
+
+\begin{tabular}{@{\quad}ll}
+CategoryName & is the full category name, e.g., {\sf CommutativeRing}. \\
+CategoryAbbreviation & is the category abbreviation, e.g., {\sf COMRING}. \\
+$\hbox{{\sf Category}}_{i}$ & is a category to which the category belongs. \\
+$\hbox{{\rm op}}_{j}$ & is an operation exported by the category.
+\end{tabular}
+
+\appendix{Categories}
+%tpdclip2
+
+% ----------------------------------------------------------------------
+\chapter{constructorListing}
+% ----------------------------------------------------------------------
+%
+\condata{ABELGRP}{AbelianGroup}{CancellationAbelianMonoid}{{\tt *} {\tt -}}
+%
+\condata{AMR}{AbelianMonoidRing}{Algebra BiModule CharacteristicNonZero CharacteristicZero CommutativeRing
+   IntegralDomain Ring}{{\tt /} coefficient degree leadingCoefficient leadingMonomial map monomial monomial? reductum}
+%
+\condata{ABELMON}{AbelianMonoid}{AbelianSemiGroup}{{\tt *} Zero zero?}
+%
+\condata{ABELSG}{AbelianSemiGroup}{SetCategory}{{\tt *} {\tt +}}
+%
+\condata{AGG}{Aggregate}{Object}{{\tt \#} copy empty empty? eq? less? more? size?}
+%
+\condata{ACF}{AlgebraicallyClosedField}{Field RadicalCategory}{rootOf rootsOf zeroOf zerosOf}
+%
+\condata{ACFS}{AlgebraicallyClosedFunctionSpace}{AlgebraicallyClosedField FunctionSpace}{rootOf rootsOf zeroOf zerosOf}
+%
+\condata{ALGEBRA}{Algebra}{Module Ring}{coerce}
+%
+\condata{AHYP}{ArcHyperbolicFunctionCategory}{}{acosh acoth acsch asech asinh atanh}
+%
+\condata{ATRIG}{ArcTrigonometricFunctionCategory}{}{acos acot acsc asec asin atan}
+%
+\condata{ALAGG}{AssociationListAggregate}{ListAggregate TableAggregate}{assoc}
+%
+\condata{ATTREG}{AttributeRegistry}{}{}
+%
+\condata{BGAGG}{BagAggregate}{HomogeneousAggregate}{bag extract! insert! inspect}
+%
+\condata{BMODULE}{BiModule}{LeftModule RightModule}{}
+%
+\condata{BRAGG}{BinaryRecursiveAggregate}{RecursiveAggregate}{elt left right setelt setleft! setright!}
+%
+\condata{BTCAT}{BinaryTreeCategory}{BinaryRecursiveAggregate}{node}
+%
+\condata{BTAGG}{BitAggregate}{OneDimensionalArrayAggregate OrderedSet}{{\tt \^{}} and nand nor not or xor}
+%
+\condata{CACHSET}{CachableSet}{OrderedSet}{position setPosition}
+%
+\condata{CABMON}{CancellationAbelianMonoid}{AbelianMonoid}{{\tt -}}
+%
+\condata{CHARNZ}{CharacteristicNonZero}{Ring}{charthRoot}
+%
+\condata{CHARZ}{CharacteristicZero}{Ring}{}
+%
+\condata{KOERCE}{CoercibleTo}{}{coerce}
+%
+\condata{CLAGG}{Collection}{ConvertibleTo HomogeneousAggregate}{construct find reduce remove removeDuplicates select}
+%
+\condata{CFCAT}{CombinatorialFunctionCategory}{}{binomial factorial permutation}
+%
+\condata{COMBOPC}{CombinatorialOpsCategory}{CombinatorialFunctionCategory}{factorials product summation}
+%
+\condata{COMRING}{CommutativeRing}{BiModule Ring}{}
+%
+\condata{COMPCAT}{ComplexCategory}{CharacteristicNonZero CharacteristicZero CommutativeRing ConvertibleTo
+   DifferentialExtension EuclideanDomain Field FullyEvalableOver FullyLinearlyExplicitRingOver FullyRetractableTo
+   IntegralDomain MonogenicAlgebra OrderedSet PolynomialFactorizationExplicit RadicalCategory
+   TranscendentalFunctionCategory}{abs argument complex conjugate exquo imag imaginary norm polarCoordinates rational
+   rational? rationalIfCan real}
+%
+\condata{KONVERT}{ConvertibleTo}{}{convert}
+%
+\condata{DQAGG}{DequeueAggregate}{QueueAggregate StackAggregate}{bottom! dequeue extractBottom! extractTop! height
+   insertBottom! insertTop! reverse! top!}
+%
+\condata{DIOPS}{DictionaryOperations}{BagAggregate Collection}{dictionary remove! select!}
+%
+\condata{DIAGG}{Dictionary}{DictionaryOperations}{}
+%
+\condata{DIFEXT}{DifferentialExtension}{DifferentialRing PartialDifferentialRing Ring}{D differentiate}
+%
+\condata{DPOLCAT}{DifferentialPolynomialCategory}{DifferentialExtension Evalable InnerEvalable PolynomialCategory
+   RetractableTo}{degree differentialVariables initial isobaric? leader makeVariable order separant weight weights}
+%
+\condata{DIFRING}{DifferentialRing}{Ring}{D differentiate}
+%
+\condata{DVARCAT}{DifferentialVariableCategory}{OrderedSet RetractableTo}{D coerce differentiate makeVariable order
+   variable weight}
+%
+\condata{DIRPCAT}{DirectProductCategory}{AbelianSemiGroup Algebra BiModule CancellationAbelianMonoid CoercibleTo
+   CommutativeRing DifferentialExtension Finite FullyLinearlyExplicitRingOver FullyRetractableTo IndexedAggregate
+   OrderedAbelianMonoidSup OrderedRing VectorSpace}{{\tt *} directProduct dot unitVector}
+%
+\condata{DIVRING}{DivisionRing}{Algebra EntireRing}{{\tt **} inv}
+%
+\condata{DLAGG}{DoublyLinkedAggregate}{RecursiveAggregate}{concat! head last next previous setnext! setprevious! tail}
+%
+\condata{ELEMFUN}{ElementaryFunctionCategory}{}{{\tt **} exp log}
+%
+\condata{ELTAGG}{EltableAggregate}{Eltable}{elt qelt qsetelt! setelt}
+%
+\condata{ELTAB}{Eltable}{}{elt}
+%
+\condata{ENTIRER}{EntireRing}{BiModule Ring}{}
+%
+\condata{EUCDOM}{EuclideanDomain}{PrincipalIdealDomain}{divide euclideanSize extendedEuclidean multiEuclidean quo rem
+   sizeLess?}
+%
+\condata{EVALAB}{Evalable}{}{eval}
+%
+\condata{ES}{ExpressionSpace}{Evalable InnerEvalable OrderedSet RetractableTo}{belong? box definingPolynomial
+   distribute elt eval freeOf? height is? kernel kernels mainKernel map minPoly operator operators paren subst tower}
+%
+\condata{ELAGG}{ExtensibleLinearAggregate}{LinearAggregate}{concat! delete! insert! merge! remove! removeDuplicates!
+   select!}
+%
+\condata{XF}{ExtensionField}{CharacteristicZero Field FieldOfPrimeCharacteristic RetractableTo VectorSpace}{Frobenius
+   algebraic? degree extensionDegree inGroundField? transcendenceDegree transcendent?}
+%
+\condata{FPC}{FieldOfPrimeCharacteristic}{CharacteristicNonZero Field}{discreteLog order primeFrobenius}
+%
+\condata{FIELD}{Field}{DivisionRing EuclideanDomain UniqueFactorizationDomain}{{\tt /}}
+%
+\condata{FILECAT}{FileCategory}{SetCategory}{close! iomode name open read! reopen! write!}
+%
+\condata{FNCAT}{FileNameCategory}{SetCategory}{coerce directory exists? extension filename name new readable? writable?}
+%
+\condata{FAMR}{FiniteAbelianMonoidRing}{AbelianMonoidRing FullyRetractableTo}{coefficients content exquo ground ground?
+   mapExponents minimumDegree numberOfMonomials primitivePart}
+%
+\condata{FAXF}{FiniteAlgebraicExtensionField}{ExtensionField FiniteFieldCategory RetractableTo}{basis coordinates
+   createNormalElement definingPolynomial degree extensionDegree generator minimalPolynomial norm normal? normalElement
+   represents trace}
+%
+\condata{FFIELDC}{FiniteFieldCategory}{FieldOfPrimeCharacteristic Finite StepThrough}{charthRoot conditionP
+   createPrimitiveElement discreteLog factorsOfCyclicGroupSize order primitive? primitiveElement representationType
+   tableForDiscreteLogarithm}
+%
+\condata{FLAGG}{FiniteLinearAggregate}{LinearAggregate OrderedSet}{copyInto! merge position reverse reverse! sort sort!
+   sorted?}
+%
+\condata{FINRALG}{FiniteRankAlgebra}{Algebra CharacteristicNonZero CharacteristicZero}{characteristicPolynomial
+   coordinates discriminant minimalPolynomial norm rank regularRepresentation represents trace traceMatrix}
+%
+\condata{FINAALG}{FiniteRankNonAssociativeAlgebra}{NonAssociativeAlgebra}{JacobiIdentity? JordanAlgebra? alternative?
+   antiAssociative? antiCommutative? associative? associatorDependence commutative? conditionsForIdempotents coordinates
+   flexible? jordanAdmissible? leftAlternative? leftCharacteristicPolynomial leftDiscriminant leftMinimalPolynomial
+   leftNorm leftRecip leftRegularRepresentation leftTrace leftTraceMatrix leftUnit leftUnits lieAdmissible? lieAlgebra?
+   noncommutativeJordanAlgebra? powerAssociative? rank recip represents rightAlternative? rightCharacteristicPolynomial
+   rightDiscriminant rightMinimalPolynomial rightNorm rightRecip rightRegularRepresentation rightTrace rightTraceMatrix
+   rightUnit rightUnits someBasis structuralConstants unit}
+%
+\condata{FSAGG}{FiniteSetAggregate}{Dictionary Finite SetAggregate}{cardinality complement max min universe}
+%
+\condata{FINITE}{Finite}{SetCategory}{index lookup random size}
+%
+\condata{FPS}{FloatingPointSystem}{RealNumberSystem}{base bits decreasePrecision digits exponent float
+   increasePrecision mantissa max order precision}
+%
+\condata{FRAMALG}{FramedAlgebra}{FiniteRankAlgebra}{basis convert coordinates discriminant regularRepresentation
+   represents traceMatrix}
+%
+\condata{FRNAALG}{FramedNonAssociativeAlgebra}{FiniteRankNonAssociativeAlgebra}{apply basis conditionsForIdempotents
+   convert coordinates elt leftDiscriminant leftRankPolynomial leftRegularRepresentation leftTraceMatrix represents
+   rightDiscriminant rightRankPolynomial rightRegularRepresentation rightTraceMatrix structuralConstants}
+%
+\condata{FAMONC}{FreeAbelianMonoidCategory}{CancellationAbelianMonoid RetractableTo}{{\tt *} {\tt +} coefficient
+   highCommonTerms mapCoef mapGen nthCoef nthFactor size terms}
+%
+\condata{FEVALAB}{FullyEvalableOver}{Eltable Evalable InnerEvalable}{map}
+%
+\condata{FLINEXP}{FullyLinearlyExplicitRingOver}{LinearlyExplicitRingOver}{}
+%
+\condata{FPATMAB}{FullyPatternMatchable}{Object PatternMatchable}{}
+%
+\condata{FRETRCT}{FullyRetractableTo}{RetractableTo}{}
+%
+\condata{FFCAT}{FunctionFieldCategory}{MonogenicAlgebra}{D absolutelyIrreducible? branchPoint? branchPointAtInfinity?
+   complementaryBasis differentiate elt genus integral? integralAtInfinity? integralBasis integralBasisAtInfinity
+   integralCoordinates integralDerivationMatrix integralMatrix integralMatrixAtInfinity integralRepresents
+   inverseIntegralMatrix inverseIntegralMatrixAtInfinity nonSingularModel normalizeAtInfinity numberOfComponents
+   primitivePart ramified? ramifiedAtInfinity? rationalPoint? rationalPoints reduceBasisAtInfinity represents singular?
+   singularAtInfinity? yCoordinates}
+%
+\condata{FS}{FunctionSpace}{AbelianGroup AbelianMonoid Algebra CharacteristicNonZero CharacteristicZero ConvertibleTo
+   ExpressionSpace Field FullyLinearlyExplicitRingOver FullyPatternMatchable FullyRetractableTo Group Monoid
+   PartialDifferentialRing Patternable RetractableTo Ring}{{\tt **} {\tt /} applyQuote coerce convert denom denominator
+   eval ground ground? isExpt isMult isPlus isPower isTimes numer numerator univariate variables}
+%
+\condata{GCDDOM}{GcdDomain}{IntegralDomain}{gcd lcm}
+%
+\condata{GRALG}{GradedAlgebra}{GradedModule}{One product}
+%
+\condata{GRMOD}{GradedModule}{RetractableTo SetCategory}{{\tt *} {\tt +} {\tt -} Zero degree}
+%
+\condata{GROUP}{Group}{Monoid}{{\tt **} {\tt /} commutator conjugate inv}
+%
+\condata{HOAGG}{HomogeneousAggregate}{Aggregate SetCategory}{any? count every? map map! member? members parts}
+%
+\condata{HYPCAT}{HyperbolicFunctionCategory}{}{cosh coth csch sech sinh tanh}
+%
+\condata{IXAGG}{IndexedAggregate}{EltableAggregate HomogeneousAggregate}{entries entry? fill! first index? indices
+   maxIndex minIndex swap!}
+%
+\condata{IDPC}{IndexedDirectProductCategory}{SetCategory}{leadingCoefficient leadingSupport map monomial reductum}
+%
+\condata{IEVALAB}{InnerEvalable}{}{eval}
+%
+\condata{INS}{IntegerNumberSystem}{CharacteristicZero CombinatorialFunctionCategory ConvertibleTo DifferentialRing
+   EuclideanDomain LinearlyExplicitRingOver OrderedRing PatternMatchable RealConstant RetractableTo StepThrough
+   UniqueFactorizationDomain}{addmod base bit? copy dec even? hash inc invmod length mask mulmod odd? positiveRemainder
+   powmod random rational rational? rationalIfCan shift submod symmetricRemainder}
+%
+\condata{INTDOM}{IntegralDomain}{Algebra CommutativeRing EntireRing}{associates? exquo unit? unitCanonical unitNormal}
+%
+\condata{KDAGG}{KeyedDictionary}{Dictionary}{key? keys remove! search}
+%
+\condata{LZSTAGG}{LazyStreamAggregate}{StreamAggregate}{complete explicitEntries? explicitlyEmpty? extend frst lazy?
+   lazyEvaluate numberOfComputedEntries remove rst select}
+%
+\condata{LALG}{LeftAlgebra}{LeftModule Ring}{coerce}
+%
+\condata{LMODULE}{LeftModule}{AbelianGroup}{{\tt *}}
+%
+\condata{LNAGG}{LinearAggregate}{Collection IndexedAggregate}{concat delete elt insert map new setelt}
+%
+\condata{LINEXP}{LinearlyExplicitRingOver}{Ring}{reducedSystem}
+%
+\condata{LFCAT}{LiouvillianFunctionCategory}{PrimitiveFunctionCategory TranscendentalFunctionCategory}{Ci Ei Si dilog
+   erf li}
+%
+\condata{LSAGG}{ListAggregate}{ExtensibleLinearAggregate FiniteLinearAggregate StreamAggregate}{list}
+%
+\condata{MATCAT}{MatrixCategory}{TwoDimensionalArrayCategory}{{\tt *} {\tt **} {\tt +} {\tt -} {\tt /} antisymmetric?
+   coerce determinant diagonal? diagonalMatrix elt exquo horizConcat inverse listOfLists matrix minordet nullSpace nullity
+   rank rowEchelon scalarMatrix setelt setsubMatrix! square? squareTop subMatrix swapColumns! swapRows! symmetric?
+   transpose vertConcat zero}
+%
+\condata{MODULE}{Module}{BiModule}{}
+%
+\condata{MONADWU}{MonadWithUnit}{Monad}{{\tt **} One leftPower leftRecip one? recip rightPower rightRecip}
+%
+\condata{MONAD}{Monad}{SetCategory}{{\tt *} {\tt **} leftPower rightPower}
+%
+\condata{MONOGEN}{MonogenicAlgebra}{CommutativeRing ConvertibleTo DifferentialExtension Field Finite
+   FiniteFieldCategory FramedAlgebra FullyLinearlyExplicitRingOver FullyRetractableTo}{convert definingPolynomial
+   derivationCoordinates generator lift reduce}
+%
+\condata{MLO}{MonogenicLinearOperator}{Algebra BiModule Ring}{coefficient degree leadingCoefficient minimumDegree
+   monomial reductum}
+%
+\condata{MONOID}{Monoid}{SemiGroup}{{\tt **} One one? recip}
+%
+\condata{MDAGG}{MultiDictionary}{DictionaryOperations}{duplicates insert! removeDuplicates!}
+%
+\condata{MSAGG}{MultisetAggregate}{MultiDictionary SetAggregate}{}
+%
+\condata{MTSCAT}{MultivariateTaylorSeriesCategory}{Evalable InnerEvalable PartialDifferentialRing PowerSeriesCategory
+   RadicalCategory TranscendentalFunctionCategory}{coefficient extend integrate monomial order polynomial}
+%
+\condata{NAALG}{NonAssociativeAlgebra}{Module NonAssociativeRng}{plenaryPower}
+%
+\condata{NASRING}{NonAssociativeRing}{MonadWithUnit NonAssociativeRng}{characteristic coerce}
+%
+\condata{NARNG}{NonAssociativeRng}{AbelianGroup Monad}{antiCommutator associator commutator}
+%
+\condata{OBJECT}{Object}{}{}
+%
+\condata{OC}{OctonionCategory}{Algebra CharacteristicNonZero CharacteristicZero ConvertibleTo Finite FullyEvalableOver
+   FullyRetractableTo OrderedSet}{abs conjugate imagE imagI imagJ imagK imagi imagj imagk inv norm octon rational
+   rational? rationalIfCan real}
+%
+\condata{A1AGG}{OneDimensionalArrayAggregate}{FiniteLinearAggregate}{}
+%
+\condata{OAGROUP}{OrderedAbelianGroup}{AbelianGroup OrderedCancellationAbelianMonoid}{}
+%
+\condata{OAMONS}{OrderedAbelianMonoidSup}{OrderedCancellationAbelianMonoid}{sup}
+%
+\condata{OAMON}{OrderedAbelianMonoid}{AbelianMonoid OrderedAbelianSemiGroup}{}
+%
+\condata{OASGP}{OrderedAbelianSemiGroup}{AbelianMonoid OrderedSet}{}
+%
+\condata{OCAMON}{OrderedCancellationAbelianMonoid}{CancellationAbelianMonoid OrderedAbelianMonoid}{}
+%
+\condata{ORDFIN}{OrderedFinite}{Finite OrderedSet}{}
+%
+\condata{ORDMON}{OrderedMonoid}{Monoid OrderedSet}{}
+%
+\condata{OMAGG}{OrderedMultisetAggregate}{MultisetAggregate PriorityQueueAggregate}{min}
+%
+\condata{ORDRING}{OrderedRing}{OrderedAbelianGroup OrderedMonoid Ring}{abs negative? positive? sign}
+%
+\condata{ORDSET}{OrderedSet}{SetCategory}{{\tt <} max min}
+%
+\condata{PADICCT}{PAdicIntegerCategory}{CharacteristicZero EuclideanDomain}{approximate complete digits extend moduloP
+   modulus order quotientByP sqrt}
+%
+\condata{PDRING}{PartialDifferentialRing}{Ring}{D differentiate}
+%
+\condata{PTRANFN}{PartialTranscendentalFunctions}{}{acosIfCan acoshIfCan acotIfCan acothIfCan acscIfCan acschIfCan
+   asecIfCan asechIfCan asinIfCan asinhIfCan atanIfCan atanhIfCan cosIfCan coshIfCan cotIfCan cothIfCan cscIfCan cschIfCan
+   expIfCan logIfCan nthRootIfCan secIfCan sechIfCan sinIfCan sinhIfCan tanIfCan tanhIfCan}
+%
+\condata{PATAB}{Patternable}{ConvertibleTo Object}{}
+%
+\condata{PATMAB}{PatternMatchable}{SetCategory}{patternMatch}
+%
+\condata{PERMCAT}{PermutationCategory}{Group OrderedSet}{{\tt <} cycle cycles elt eval orbit}
+%
+\condata{PPCURVE}{PlottablePlaneCurveCategory}{CoercibleTo}{listBranches xRange yRange}
+%
+\condata{PSCURVE}{PlottableSpaceCurveCategory}{CoercibleTo}{listBranches xRange yRange zRange}
+%
+\condata{PTCAT}{PointCategory}{VectorCategory}{convert cross dimension extend length point}
+%
+\condata{POLYCAT}{PolynomialCategory}{ConvertibleTo Evalable FiniteAbelianMonoidRing FullyLinearlyExplicitRingOver
+   GcdDomain InnerEvalable OrderedSet PartialDifferentialRing PatternMatchable PolynomialFactorizationExplicit
+   RetractableTo}{coefficient content degree discriminant isExpt isPlus isTimes mainVariable minimumDegree monicDivide
+   monomial monomials multivariate primitiveMonomials primitivePart resultant squareFree squareFreePart totalDegree
+   univariate variables}
+%
+\condata{PFECAT}{PolynomialFactorizationExplicit}{UniqueFactorizationDomain}{charthRoot conditionP factorPolynomial
+   factorSquareFreePolynomial gcdPolynomial solveLinearPolynomialEquation squareFreePolynomial}
+%
+\condata{PSCAT}{PowerSeriesCategory}{AbelianMonoidRing}{complete monomial pole? variables}
+%
+\condata{PRIMCAT}{PrimitiveFunctionCategory}{}{integral}
+%
+\condata{PID}{PrincipalIdealDomain}{GcdDomain}{expressIdealMember principalIdeal}
+%
+\condata{PRQAGG}{PriorityQueueAggregate}{BagAggregate}{max merge merge!}
+%
+\condata{QUATCAT}{QuaternionCategory}{Algebra CharacteristicNonZero CharacteristicZero ConvertibleTo
+   DifferentialExtension DivisionRing EntireRing FullyEvalableOver FullyLinearlyExplicitRingOver FullyRetractableTo
+   OrderedSet}{abs conjugate imagI imagJ imagK norm quatern rational rational? rationalIfCan real}
+%
+\condata{QUAGG}{QueueAggregate}{BagAggregate}{back dequeue! enqueue! front length rotate!}
+%
+\condata{QFCAT}{QuotientFieldCategory}{Algebra CharacteristicNonZero CharacteristicZero ConvertibleTo
+   DifferentialExtension Field FullyEvalableOver FullyLinearlyExplicitRingOver FullyPatternMatchable OrderedRing
+   OrderedSet Patternable PolynomialFactorizationExplicit RealConstant RetractableTo StepThrough}{{\tt /} ceiling denom
+   denominator floor fractionPart numer numerator random wholePart}
+%
+\condata{RADCAT}{RadicalCategory}{}{{\tt **} nthRoot sqrt}
+%
+\condata{REAL}{RealConstant}{ConvertibleTo}{}
+%
+\condata{RNS}{RealNumberSystem}{CharacteristicZero ConvertibleTo Field OrderedRing PatternMatchable RadicalCategory
+   RealConstant RetractableTo}{abs ceiling floor fractionPart norm round truncate wholePart}
+%
+\condata{RMATCAT}{RectangularMatrixCategory}{BiModule HomogeneousAggregate Module}{{\tt /} antisymmetric? column
+   diagonal? elt exquo listOfLists map matrix maxColIndex maxRowIndex minColIndex minRowIndex ncols nrows nullSpace
+   nullity qelt rank row rowEchelon square? symmetric?}
+%
+\condata{RCAGG}{RecursiveAggregate}{HomogeneousAggregate}{children cyclic? elt leaf? leaves node? nodes setchildren!
+   setelt setvalue! value}
+%
+\condata{RETRACT}{RetractableTo}{}{coerce retract retractIfCan}
+%
+\condata{RMODULE}{RightModule}{AbelianGroup}{{\tt *}}
+%
+\condata{RING}{Ring}{LeftModule Monoid Rng}{characteristic coerce}
+%
+\condata{RNG}{Rng}{AbelianGroup SemiGroup}{}
+%
+\condata{SEGCAT}{SegmentCategory}{SetCategory}{BY SEGMENT convert hi high incr lo low segment}
+%
+\condata{SEGXCAT}{SegmentExpansionCategory}{SegmentCategory}{expand map}
+%
+\condata{SGROUP}{SemiGroup}{SetCategory}{{\tt *} {\tt **}}
+%
+\condata{SETAGG}{SetAggregate}{Collection SetCategory}{{\tt <} brace difference intersect subset? symmetricDifference
+   union}
+%
+\condata{SETCAT}{SetCategory}{CoercibleTo Object}{{\tt =}}
+%
+\condata{SEXCAT}{SExpressionCategory}{SetCategory}{{\tt \#} atom? car cdr convert destruct elt eq expr float float?
+   integer integer? list? null? pair? string string? symbol symbol? uequal}
+%
+\condata{SPFCAT}{SpecialFunctionCategory}{}{Beta Gamma abs airyAi airyBi besselI besselJ besselK besselY digamma
+   polygamma}
+%
+\condata{SMATCAT}{SquareMatrixCategory}{Algebra BiModule DifferentialExtension FullyLinearlyExplicitRingOver
+   FullyRetractableTo Module RectangularMatrixCategory}{{\tt *} {\tt **} determinant diagonal diagonalMatrix
+   diagonalProduct inverse minordet scalarMatrix trace}
+%
+\condata{SKAGG}{StackAggregate}{BagAggregate}{depth pop! push! top}
+%
+\condata{STEP}{StepThrough}{SetCategory}{init nextItem}
+%
+\condata{STAGG}{StreamAggregate}{LinearAggregate UnaryRecursiveAggregate}{explicitlyFinite? possiblyInfinite?}
+%
+\condata{SRAGG}{StringAggregate}{OneDimensionalArrayAggregate}{coerce elt leftTrim lowerCase lowerCase! match match?
+   position prefix? replace rightTrim split substring? suffix? trim upperCase upperCase!}
+%
+\condata{STRICAT}{StringCategory}{StringAggregate}{string}
+%
+\condata{TBAGG}{TableAggregate}{IndexedAggregate KeyedDictionary}{map setelt table}
+%
+\condata{SPACEC}{ThreeSpaceCategory}{SetCategory}{check closedCurve closedCurve? coerce components composite composites
+   copy create3Space curve curve? enterPointData lllip lllp llprop lp lprop merge mesh mesh? modifyPointData
+   numberOfComponents numberOfComposites objects point point? polygon polygon? subspace}
+%
+\condata{TRANFUN}{TranscendentalFunctionCategory}{ArcHyperbolicFunctionCategory ArcTrigonometricFunctionCategory
+   ElementaryFunctionCategory HyperbolicFunctionCategory TrigonometricFunctionCategory}{pi}
+%
+\condata{TRIGCAT}{TrigonometricFunctionCategory}{}{cos cot csc sec sin tan}
+%
+\condata{ARR2CAT}{TwoDimensionalArrayCategory}{HomogeneousAggregate}{column elt fill! map map! maxColIndex maxRowIndex
+   minColIndex minRowIndex ncols new nrows parts qelt qsetelt! row setColumn! setRow! setelt}
+%
+\condata{URAGG}{UnaryRecursiveAggregate}{RecursiveAggregate}{concat concat! cycleEntry cycleLength cycleSplit!
+   cycleTail elt first last rest second setelt setfirst! setlast! setrest! split! tail third}
+%
+\condata{UFD}{UniqueFactorizationDomain}{GcdDomain}{factor prime? squareFree squareFreePart}
+%
+\condata{ULSCAT}{UnivariateLaurentSeriesCategory}{Field RadicalCategory TranscendentalFunctionCategory
+   UnivariatePowerSeriesCategory}{integrate multiplyCoefficients rationalFunction}
+%
+\condata{ULSCCAT}{UnivariateLaurentSeriesConstructorCategory}{QuotientFieldCategory RetractableTo
+   UnivariateLaurentSeriesCategory}{coerce degree laurent removeZeroes taylor taylorIfCan taylorRep}
+%
+\condata{UPOLYC}{UnivariatePolynomialCategory}{DifferentialExtension DifferentialRing Eltable EuclideanDomain
+   PolynomialCategory StepThrough}{D composite differentiate discriminant divideExponents elt integrate makeSUP
+   monicDivide multiplyExponents order pseudoDivide pseudoQuotient pseudoRemainder resultant separate subResultantGcd
+   unmakeSUP vectorise}
+%
+\condata{UPSCAT}{UnivariatePowerSeriesCategory}{DifferentialRing Eltable PowerSeriesCategory}{approximate center elt
+   eval extend multiplyExponents order series terms truncate variable}
+%
+\condata{UPXSCAT}{UnivariatePuiseuxSeriesCategory}{Field RadicalCategory TranscendentalFunctionCategory
+   UnivariatePowerSeriesCategory}{integrate multiplyExponents}
+%
+\condata{UPXSCCA}{UnivariatePuiseuxSeriesConstructorCategory}{RetractableTo UnivariatePuiseuxSeriesCategory}{coerce
+   degree laurent laurentIfCan laurentRep puiseux rationalPower}
+%
+\condata{UTSCAT}{UnivariateTaylorSeriesCategory}{RadicalCategory TranscendentalFunctionCategory
+   UnivariatePowerSeriesCategory}{{\tt **} coefficients integrate multiplyCoefficients polynomial quoByVar series}
+%
+\condata{VECTCAT}{VectorCategory}{OneDimensionalArrayAggregate}{{\tt *} {\tt +} {\tt -} dot zero}
+%
+\condata{VSPACE}{VectorSpace}{Module}{{\tt /} dimension}
+%
+%
+% ----------------------------------------------------------------------
+
+
+
+\setcounter{chapter}{2} % Appendix C
+
+%\twocolumn[%
+
+\chapter{Domains}
+\label{ugAppDomains}
+
+This is a listing of all domains in the Axiom library at the
+time this book was produced.
+Use the Browse facility (described in Chapter 
+\ref{ugBrowse} on page~\pageref{ugBrowse})
+to get more information about these constructors.
+
+This sample entry will help you read the following table:
+
+DomainName{DomainAbbreviation}:{$\hbox{{\sf Category}}_{1}$%
+\ldots$\hbox{{\sf Category}}_{N}$}{\sl with }%
+{$\hbox{{\rm op}}_{1}$\ldots$\hbox{{\rm op}}_{M}$}
+
+where
+
+\begin{tabular}{@{\quad}ll}
+DomainName & is the full domain name, e.g., {\sf Integer}. \\
+DomainAbbreviation & is the domain abbreviation, e.g., {\sf INT}. \\
+$\hbox{{\sf Category}}_{i}$ & is a category to which the domain belongs. \\
+$\hbox{{\rm op}}_{j}$ & is an operation exported by the domain.
+\end{tabular}
+
+\appendix{Domains}
+
+% ----------------------------------------------------------------------
+%\begin{constructorListing}
+% ----------------------------------------------------------------------
+\condata{ALGSC}{AlgebraGivenByStructuralConstants}{FramedNonAssociativeAlgebra LeftModule}{0 {\tt *} {\tt **} {\tt +}
+   {\tt -} {\tt =} JacobiIdentity? JordanAlgebra? alternative? antiAssociative? antiCommutative? antiCommutator apply
+   associative? associator associatorDependence basis coerce commutative? commutator conditionsForIdempotents convert
+   coordinates elt flexible? jordanAdmissible? leftAlternative? leftCharacteristicPolynomial leftDiscriminant
+   leftMinimalPolynomial leftNorm leftPower leftRankPolynomial leftRecip leftRegularRepresentation leftTrace
+   leftTraceMatrix leftUnit leftUnits lieAdmissible? lieAlgebra? noncommutativeJordanAlgebra? plenaryPower
+   powerAssociative? rank recip represents rightAlternative? rightCharacteristicPolynomial rightDiscriminant
+   rightMinimalPolynomial rightNorm rightPower rightRankPolynomial rightRecip rightRegularRepresentation rightTrace
+   rightTraceMatrix rightUnit rightUnits someBasis structuralConstants unit zero?}
+%
+\condata{ALGFF}{AlgebraicFunctionField}{FunctionFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} D
+   absolutelyIrreducible? associates? basis branchPoint? branchPointAtInfinity? characteristic characteristicPolynomial
+   charthRoot coerce complementaryBasis convert coordinates definingPolynomial derivationCoordinates differentiate
+   discriminant divide elt euclideanSize expressIdealMember exquo extendedEuclidean factor gcd generator genus integral?
+   integralAtInfinity? integralBasis integralBasisAtInfinity integralCoordinates integralDerivationMatrix integralMatrix
+   integralMatrixAtInfinity integralRepresents inv inverseIntegralMatrix inverseIntegralMatrixAtInfinity knownInfBasis lcm
+   lift minimalPolynomial multiEuclidean nonSingularModel norm normalizeAtInfinity numberOfComponents one? prime?
+   primitivePart principalIdeal quo ramified? ramifiedAtInfinity? rank rationalPoint? rationalPoints recip reduce
+   reduceBasisAtInfinity reducedSystem regularRepresentation rem represents retract retractIfCan singular?
+   singularAtInfinity? sizeLess? squareFree squareFreePart trace traceMatrix unit? unitCanonical unitNormal yCoordinates
+   zero?}
+%
+\condata{AN}{AlgebraicNumber}{AlgebraicallyClosedField CharacteristicZero ConvertibleTo DifferentialRing
+   ExpressionSpace LinearlyExplicitRingOver RealConstant RetractableTo}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt
+   <} {\tt =} D associates? belong? box characteristic coerce convert definingPolynomial denom differentiate distribute
+   divide elt euclideanSize eval expressIdealMember exquo extendedEuclidean factor freeOf? gcd height inv is? kernel
+   kernels lcm mainKernel map max min minPoly multiEuclidean nthRoot numer one? operator operators paren prime?
+   principalIdeal quo recip reduce reducedSystem rem retract retractIfCan rootOf rootsOf sizeLess? sqrt squareFree
+   squareFreePart subst tower unit? unitCanonical unitNormal zero? zeroOf zerosOf}
+%
+\condata{ANON}{AnonymousFunction}{SetCategory}{{\tt =} coerce}
+%
+\condata{ANTISYM}{AntiSymm}{LeftAlgebra RetractableTo}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} characteristic
+   coefficient coerce degree exp generator homogeneous? leadingBasisTerm leadingCoefficient map one? recip reductum
+   retract retractIfCan retractable? zero?}
+%
+\condata{ANY}{Any}{SetCategory}{{\tt =} any coerce domain domainOf obj objectOf showTypeInOutput}
+%
+\condata{ASTACK}{ArrayStack}{StackAggregate}{{\tt \#} {\tt =} any? arrayStack bag coerce copy count depth empty empty?
+   eq? every? extract! insert! inspect less? map map! member? members more? parts pop! push! size? top}
+%
+\condata{JORDAN}{AssociatedJordanAlgebra}{CoercibleTo FiniteRankNonAssociativeAlgebra FramedNonAssociativeAlgebra
+   NonAssociativeAlgebra}{0 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} JacobiIdentity? JordanAlgebra? alternative?
+   antiAssociative? antiCommutative? antiCommutator apply associative? associator associatorDependence basis coerce
+   commutative? commutator conditionsForIdempotents convert coordinates elt flexible? jordanAdmissible? leftAlternative?
+   leftCharacteristicPolynomial leftDiscriminant leftMinimalPolynomial leftNorm leftPower leftRankPolynomial leftRecip
+   leftRegularRepresentation leftTrace leftTraceMatrix leftUnit leftUnits lieAdmissible? lieAlgebra?
+   noncommutativeJordanAlgebra? plenaryPower powerAssociative? rank recip represents rightAlternative?
+   rightCharacteristicPolynomial rightDiscriminant rightMinimalPolynomial rightNorm rightPower rightRankPolynomial
+   rightRecip rightRegularRepresentation rightTrace rightTraceMatrix rightUnit rightUnits someBasis structuralConstants
+   unit zero?}
+%
+\condata{LIE}{AssociatedLieAlgebra}{CoercibleTo FiniteRankNonAssociativeAlgebra FramedNonAssociativeAlgebra
+   NonAssociativeAlgebra}{0 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} JacobiIdentity? JordanAlgebra? alternative?
+   antiAssociative? antiCommutative? antiCommutator apply associative? associator associatorDependence basis coerce
+   commutative? commutator conditionsForIdempotents convert coordinates elt flexible? jordanAdmissible? leftAlternative?
+   leftCharacteristicPolynomial leftDiscriminant leftMinimalPolynomial leftNorm leftPower leftRankPolynomial leftRecip
+   leftRegularRepresentation leftTrace leftTraceMatrix leftUnit leftUnits lieAdmissible? lieAlgebra?
+   noncommutativeJordanAlgebra? plenaryPower powerAssociative? rank recip represents rightAlternative?
+   rightCharacteristicPolynomial rightDiscriminant rightMinimalPolynomial rightNorm rightPower rightRankPolynomial
+   rightRecip rightRegularRepresentation rightTrace rightTraceMatrix rightUnit rightUnits someBasis structuralConstants
+   unit zero?}
+%
+\condata{ALIST}{AssociationList}{AssociationListAggregate}{{\tt \#} {\tt =} any? assoc bag child? children coerce
+   concat concat! construct copy copyInto! count cycleEntry cycleLength cycleSplit! cycleTail cyclic? delete delete!
+   dictionary distance elt empty empty? entries entry? eq? every? explicitlyFinite? extract! fill! find first index?
+   indices insert insert! inspect key? keys last leaf? less? list map map! maxIndex member? members merge merge! minIndex
+   more? new node? nodes parts position possiblyInfinite? qelt qsetelt! reduce remove remove! removeDuplicates
+   removeDuplicates! rest reverse reverse! search second select select! setchildren! setelt setfirst! setlast! setrest!
+   setvalue! size? sort sort! sorted? split! swap! table tail third value}
+%
+\condata{BBTREE}{BalancedBinaryTree}{BinaryTreeCategory}{{\tt \#} {\tt =} any? balancedBinaryTree children coerce copy
+   count cyclic? elt empty empty? eq? every? leaf? leaves left less? map map! mapDown! mapUp! member? members more? node
+   node? nodes parts right setchildren! setelt setleaves! setleft! setright! setvalue! size? value}
+%
+\condata{BPADIC}{BalancedPAdicInteger}{PAdicIntegerCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} approximate
+   associates? characteristic coerce complete digits divide euclideanSize expressIdealMember exquo extend
+   extendedEuclidean gcd lcm moduloP modulus multiEuclidean one? order principalIdeal quo quotientByP recip rem sizeLess?
+   sqrt unit? unitCanonical unitNormal zero?}
+%
+\condata{BPADICRT}{BalancedPAdicRational}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} D
+   approximate associates? characteristic coerce continuedFraction denom denominator differentiate divide euclideanSize
+   expressIdealMember exquo extendedEuclidean factor fractionPart gcd inv lcm map multiEuclidean numer numerator one?
+   prime? principalIdeal quo recip reducedSystem rem removeZeroes retract retractIfCan sizeLess? squareFree squareFreePart
+   unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{BOP}{BasicOperator}{OrderedSet}{{\tt <} {\tt =} arity assert coerce comparison copy deleteProperty! display
+   equality has? input is? max min name nary? nullary? operator properties property setProperties setProperty unary?
+   weight}
+%
+\condata{BINARY}{BinaryExpansion}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D
+   abs associates? binary ceiling characteristic coerce convert denom denominator differentiate divide euclideanSize
+   expressIdealMember exquo extendedEuclidean factor floor fractionPart gcd init inv lcm map max min multiEuclidean
+   negative? nextItem numer numerator one? patternMatch positive? prime? principalIdeal quo random recip reducedSystem rem
+   retract retractIfCan sign sizeLess? squareFree squareFreePart unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{BSTREE}{BinarySearchTree}{BinaryTreeCategory}{{\tt \#} {\tt =} any? binarySearchTree children coerce copy
+   count cyclic? elt empty empty? eq? every? insert! insertRoot! leaf? leaves left less? map map! member? members more?
+   node node? nodes parts right setchildren! setelt setleft! setright! setvalue! size? split value}
+%
+\condata{BTOURN}{BinaryTournament}{BinaryTreeCategory}{{\tt \#} {\tt =} any? binaryTournament children coerce copy
+   count cyclic? elt empty empty? eq? every? insert! leaf? leaves left less? map map! member? members more? node node?
+   nodes parts right setchildren! setelt setleft! setright! setvalue! size? value}
+%
+\condata{BTREE}{BinaryTree}{BinaryTreeCategory}{{\tt \#} {\tt =} any? binaryTree children coerce copy count cyclic? elt
+   empty empty? eq? every? leaf? leaves left less? map map! member? members more? node node? nodes parts right
+   setchildren! setelt setleft! setright! setvalue! size? value}
+%
+\condata{BITS}{Bits}{BitAggregate}{{\tt \#} {\tt <} {\tt =} {\tt \^{}} and any? bits coerce concat construct convert
+   copy copyInto! count delete elt empty empty? entries entry? eq? every? fill! find first index? indices insert less? map
+   map! max maxIndex member? members merge min minIndex more? nand new nor not or parts position qelt qsetelt! reduce
+   remove removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap! xor}
+%
+\condata{BOOLEAN}{Boolean}{ConvertibleTo Finite OrderedSet}{{\tt <} {\tt =} {\tt \^{}} and coerce convert false implies
+   index lookup max min nand nor not or random size true xor}
+%
+\condata{CARD}{CardinalNumber}{CancellationAbelianMonoid Monoid OrderedSet RetractableTo}{0 1 {\tt *} {\tt **} {\tt +}
+   {\tt -} {\tt <} {\tt =} Aleph coerce countable? finite? generalizedContinuumHypothesisAssumed
+   generalizedContinuumHypothesisAssumed? max min one? recip retract retractIfCan zero?}
+%
+\condata{CARTEN}{CartesianTensor}{GradedAlgebra}{0 1 {\tt *} {\tt +} {\tt -} {\tt =} coerce contract degree elt
+   kroneckerDelta leviCivitaSymbol product rank ravel reindex retract retractIfCan transpose unravel}
+%
+\condata{CCLASS}{CharacterClass}{ConvertibleTo FiniteSetAggregate SetCategory}{{\tt \#} {\tt <} {\tt =} alphabetic
+   alphanumeric any? bag brace cardinality charClass coerce complement construct convert copy count dictionary difference
+   digit empty empty? eq? every? extract! find hexDigit index insert! inspect intersect less? lookup lowerCase map map!
+   max member? members min more? parts random reduce remove remove! removeDuplicates select select! size size? subset?
+   symmetricDifference union universe upperCase}
+%
+\condata{CHAR}{Character}{OrderedFinite}{{\tt <} {\tt =} alphabetic? alphanumeric? char coerce digit? escape hexDigit?
+   index lookup lowerCase lowerCase? max min ord quote random size space upperCase upperCase?}
+%
+\condata{CLIF}{CliffordAlgebra}{Algebra Ring VectorSpace}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =}
+   characteristic coefficient coerce dimension e monomial one? recip zero?}
+%
+\condata{COLOR}{Color}{AbelianSemiGroup}{{\tt *} {\tt +} {\tt =} blue coerce color green hue numberOfHues red yellow}
+%
+\condata{COMM}{Commutator}{SetCategory}{{\tt =} coerce mkcomm}
+%
+\condata{COMPLEX}{Complex}{ComplexCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D abs acos
+   acosh acot acoth acsc acsch argument asec asech asin asinh associates? atan atanh basis characteristic
+   characteristicPolynomial charthRoot coerce complex conditionP conjugate convert coordinates cos cosh cot coth
+   createPrimitiveElement csc csch definingPolynomial derivationCoordinates differentiate discreteLog discriminant divide
+   elt euclideanSize eval exp expressIdealMember exquo extendedEuclidean factor factorPolynomial
+   factorSquareFreePolynomial factorsOfCyclicGroupSize gcd gcdPolynomial generator imag imaginary index init inv lcm lift
+   log lookup map max min minimalPolynomial multiEuclidean nextItem norm nthRoot one? order pi polarCoordinates prime?
+   primeFrobenius primitive? primitiveElement principalIdeal quo random rank rational rational? rationalIfCan real recip
+   reduce reducedSystem regularRepresentation rem representationType represents retract retractIfCan sec sech sin sinh
+   size sizeLess? solveLinearPolynomialEquation sqrt squareFree squareFreePart squareFreePolynomial
+   tableForDiscreteLogarithm tan tanh trace traceMatrix unit? unitCanonical unitNormal zero?}
+%
+\condata{CONTFRAC}{ContinuedFraction}{Algebra Field}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} approximants
+   associates? characteristic coerce complete continuedFraction convergents denominators divide euclideanSize
+   expressIdealMember exquo extend extendedEuclidean factor gcd inv lcm multiEuclidean numerators one? partialDenominators
+   partialNumerators partialQuotients prime? principalIdeal quo recip reducedContinuedFraction reducedForm rem sizeLess?
+   squareFree squareFreePart unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{DBASE}{Database}{SetCategory}{{\tt +} {\tt -} {\tt =} coerce display elt fullDisplay}
+%
+\condata{DFLOAT}{DoubleFloat}{ConvertibleTo DifferentialRing FloatingPointSystem TranscendentalFunctionCategory}{0 1 {\tt *}
+   {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D abs acos acosh acot acoth acsc acsch asec asech asin asinh
+   associates? atan atanh base bits ceiling characteristic coerce convert cos cosh cot coth csc csch decreasePrecision
+   differentiate digits divide euclideanSize exp exp1 exponent expressIdealMember exquo extendedEuclidean factor float
+   floor fractionPart gcd hash increasePrecision inv lcm log log10 log2 mantissa max min multiEuclidean negative? norm
+   nthRoot one? order patternMatch pi positive? precision prime? principalIdeal quo rationalApproximation recip rem
+   retract retractIfCan round sec sech sign sin sinh sizeLess? sqrt squareFree squareFreePart tan tanh truncate unit?
+   unitCanonical unitNormal wholePart zero?}
+%
+\condata{DLIST}{DataList}{ListAggregate}{{\tt \#} {\tt <} {\tt =} any? children coerce concat concat! construct convert
+   copy copyInto! count cycleEntry cycleLength cycleSplit! cycleTail cyclic? datalist delete delete! elt empty empty?
+   entries entry? eq? every? explicitlyFinite? fill! find first index? indices insert insert! last leaf? leaves less? list
+   map map! max maxIndex member? members merge merge! min minIndex more? new node? nodes parts position possiblyInfinite?
+   qelt qsetelt! reduce remove remove! removeDuplicates removeDuplicates! rest reverse reverse! second select select!
+   setchildren! setelt setfirst! setlast! setrest! setvalue! size? sort sort! sorted? split! swap! tail third value}
+%
+\condata{DECIMAL}{DecimalExpansion}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =}
+   D abs associates? ceiling characteristic coerce convert decimal denom denominator differentiate divide euclideanSize
+   expressIdealMember exquo extendedEuclidean factor floor fractionPart gcd init inv lcm map max min multiEuclidean
+   negative? nextItem numer numerator one? patternMatch positive? prime? principalIdeal quo random recip reducedSystem rem
+   retract retractIfCan sign sizeLess? squareFree squareFreePart unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{DHMATRIX}{DenavitHartenbergMatrix}{MatrixCategory}{{\tt \#} {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =}
+   antisymmetric? any? coerce column copy count determinant diagonal? diagonalMatrix elt empty empty? eq? every? exquo
+   fill! horizConcat identity inverse less? listOfLists map map! matrix maxColIndex maxRowIndex member? members
+   minColIndex minRowIndex minordet more? ncols new nrows nullSpace nullity parts qelt qsetelt! rank rotatex rotatey
+   rotatez row rowEchelon scalarMatrix scale setColumn! setRow! setelt setsubMatrix! size? square? squareTop subMatrix
+   swapColumns! swapRows! symmetric? translate transpose vertConcat zero}
+%
+\condata{DEQUEUE}{Dequeue}{DequeueAggregate}{{\tt \#} {\tt =} any? back bag bottom! coerce copy count depth dequeue
+   dequeue! empty empty? enqueue! eq? every? extract! extractBottom! extractTop! front height insert! insertBottom!
+   insertTop! inspect length less? map map! member? members more? parts pop! push! reverse! rotate! size? top top!}
+%
+\condata{DERHAM}{DeRhamComplex}{LeftAlgebra RetractableTo}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} characteristic
+   coefficient coerce degree exteriorDifferential generator homogeneous? leadingBasisTerm leadingCoefficient map one?
+   recip reductum retract retractIfCan retractable? totalDifferential zero?}
+%
+\condata{DSMP}{DifferentialSparseMultivariatePolynomial}{DifferentialPolynomialCategory RetractableTo}{0 1 {\tt *} {\tt
+   **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce
+   conditionP content convert degree differentialVariables differentiate discriminant eval exquo factor factorPolynomial
+   factorSquareFreePolynomial gcd gcdPolynomial ground ground? initial isExpt isPlus isTimes isobaric? lcm leader
+   leadingCoefficient leadingMonomial mainVariable makeVariable map mapExponents max min minimumDegree monicDivide
+   monomial monomial? monomials multivariate numberOfMonomials one? order patternMatch prime? primitiveMonomials
+   primitivePart recip reducedSystem reductum resultant retract retractIfCan separant solveLinearPolynomialEquation
+   squareFree squareFreePart squareFreePolynomial totalDegree unit? unitCanonical unitNormal univariate variables weight
+   weights zero?}
+%
+\condata{DPMM}{DirectProductMatrixModule}{DirectProductCategory LeftModule}{0 1 {\tt \#} {\tt *} {\tt **} {\tt +} {\tt
+   -} {\tt /} {\tt <} {\tt =} D abs any? characteristic coerce copy count differentiate dimension directProduct dot elt
+   empty empty? entries entry? eq? every? fill! first index index? indices less? lookup map map! max maxIndex member?
+   members min minIndex more? negative? one? parts positive? qelt qsetelt! random recip reducedSystem retract retractIfCan
+   setelt sign size size? sup swap! unitVector zero?}
+%
+\condata{DPMO}{DirectProductModule}{DirectProductCategory LeftModule}{0 1 {\tt \#} {\tt *} {\tt **} {\tt +} {\tt -}
+   {\tt /} {\tt <} {\tt =} D abs any? characteristic coerce copy count differentiate dimension directProduct dot elt empty
+   empty? entries entry? eq? every? fill! first index index? indices less? lookup map map! max maxIndex member? members
+   min minIndex more? negative? one? parts positive? qelt qsetelt! random recip reducedSystem retract retractIfCan setelt
+   sign size size? sup swap! unitVector zero?}
+%
+\condata{DIRPROD}{DirectProduct}{DirectProductCategory}{0 1 {\tt \#} {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <}
+   {\tt =} D abs any? characteristic coerce copy count differentiate dimension directProduct dot elt empty empty? entries
+   entry? eq? every? fill! first index index? indices less? lookup map map! max maxIndex member? members min minIndex
+   more? negative? one? parts positive? qelt qsetelt! random recip reducedSystem retract retractIfCan setelt sign size
+   size? sup swap! unitVector zero?}
+%
+\condata{DMP}{DistributedMultivariatePolynomial}{PolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt
+   <} {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce conditionP const content convert
+   degree differentiate discriminant eval exquo factor factorPolynomial factorSquareFreePolynomial gcd gcdPolynomial
+   ground ground? isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial mainVariable map mapExponents max min
+   minimumDegree monicDivide monomial monomial? monomials multivariate numberOfMonomials one? prime? primitiveMonomials
+   primitivePart recip reducedSystem reductum reorder resultant retract retractIfCan solveLinearPolynomialEquation
+   squareFree squareFreePart squareFreePolynomial totalDegree unit? unitCanonical unitNormal univariate variables zero?}
+%
+\condata{DROPT}{DrawOption}{SetCategory}{{\tt =} adaptive clip coerce colorFunction coordinate coordinates curveColor
+   option option? pointColor range ranges space style title toScale tubePoints tubeRadius unit var1Steps var2Steps}
+%
+\condata{EFULS}{ElementaryFunctionsUnivariateLaurentSeries}{PartialTranscendentalFunctions}{{\tt **} acos acosIfCan
+   acosh acoshIfCan acot acotIfCan acoth acothIfCan acsc acscIfCan acsch acschIfCan asec asecIfCan asech asechIfCan asin
+   asinIfCan asinh asinhIfCan atan atanIfCan atanh atanhIfCan cos cosIfCan cosh coshIfCan cot cotIfCan coth cothIfCan csc
+   cscIfCan csch cschIfCan exp expIfCan log logIfCan nthRootIfCan sec secIfCan sech sechIfCan sin sinIfCan sinh sinhIfCan
+   tan tanIfCan tanh tanhIfCan}
+%
+\condata{EFUPXS}{ElementaryFunctionsUnivariatePuiseuxSeries}{PartialTranscendentalFunctions}{{\tt **} acos acosIfCan
+   acosh acoshIfCan acot acotIfCan acoth acothIfCan acsc acscIfCan acsch acschIfCan asec asecIfCan asech asechIfCan asin
+   asinIfCan asinh asinhIfCan atan atanIfCan atanh atanhIfCan cos cosIfCan cosh coshIfCan cot cotIfCan coth cothIfCan csc
+   cscIfCan csch cschIfCan exp expIfCan log logIfCan nthRootIfCan sec secIfCan sech sechIfCan sin sinIfCan sinh sinhIfCan
+   tan tanIfCan tanh tanhIfCan}
+%
+\condata{EQTBL}{EqTable}{TableAggregate}{{\tt \#} {\tt =} any? bag coerce construct copy count dictionary elt empty
+   empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect key? keys less? map map!
+   maxIndex member? members minIndex more? parts qelt qsetelt! reduce remove remove! removeDuplicates search select
+   select! setelt size? swap! table}
+%
+\condata{EQ}{Equation}{CoercibleTo InnerEvalable Object SetCategory}{{\tt *} {\tt **} {\tt +} {\tt -} {\tt =} coerce
+   equation eval lhs map rhs}
+%
+\condata{EMR}{EuclideanModularRing}{EuclideanDomain}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} associates?
+   characteristic coerce divide euclideanSize exQuo expressIdealMember exquo extendedEuclidean gcd inv lcm modulus
+   multiEuclidean one? principalIdeal quo recip reduce rem sizeLess? unit? unitCanonical unitNormal zero?}
+%
+\condata{EXIT}{Exit}{SetCategory}{{\tt =} coerce}
+%
+\condata{EXPR}{Expression}{AlgebraicallyClosedFunctionSpace CombinatorialOpsCategory FunctionSpace
+   LiouvillianFunctionCategory RetractableTo SpecialFunctionCategory TranscendentalFunctionCategory}{0 1 {\tt *} {\tt **}
+   {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} Beta Ci D Ei Gamma Si abs acos acosh acot acoth acsc acsch airyAi airyBi
+   applyQuote asec asech asin asinh associates? atan atanh belong? besselI besselJ besselK besselY binomial box
+   characteristic charthRoot coerce commutator conjugate convert cos cosh cot coth csc csch definingPolynomial denom
+   denominator differentiate digamma dilog distribute divide elt erf euclideanSize eval exp expressIdealMember exquo
+   extendedEuclidean factor factorial factorials freeOf? gcd ground ground? height integral inv is? isExpt isMult isPlus
+   isPower isTimes kernel kernels lcm li log mainKernel map max min minPoly multiEuclidean nthRoot numer numerator one?
+   operator operators paren patternMatch permutation pi polygamma prime? principalIdeal product quo recip reduce
+   reducedSystem rem retract retractIfCan rootOf rootsOf sec sech sin sinh sizeLess? sqrt squareFree squareFreePart subst
+   summation tan tanh tower unit? unitCanonical unitNormal univariate variables zero? zeroOf zerosOf}
+%
+\condata{EAB}{ExtAlgBasis}{OrderedSet}{{\tt <} {\tt =} Nul coerce degree exponents max min}
+%
+\condata{FR}{Factored}{Algebra DifferentialExtension Eltable Evalable FullyEvalableOver FullyRetractableTo GcdDomain
+   InnerEvalable IntegralDomain RealConstant UniqueFactorizationDomain}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} D
+   associates? characteristic coerce convert differentiate elt eval expand exponent exquo factor factorList factors
+   flagFactor gcd irreducibleFactor lcm makeFR map nilFactor nthExponent nthFactor nthFlag numberOfFactors one? prime?
+   primeFactor rational rational? rationalIfCan recip retract retractIfCan sqfrFactor squareFree squareFreePart unit unit?
+   unitCanonical unitNormal unitNormalize zero?}
+%
+\condata{FNAME}{FileName}{FileNameCategory}{{\tt =} coerce directory exists? extension filename name new readable?
+   writable?}
+%
+\condata{FILE}{File}{FileCategory}{{\tt =} close! coerce iomode name open read! readIfCan! reopen! write!}
+%
+\condata{FDIV}{FiniteDivisor}{AbelianGroup}{0 {\tt *} {\tt +} {\tt -} {\tt =} algsplit coerce divisor finiteBasis
+   generator ideal lSpaceBasis mkBasicDiv principal? reduce zero?}
+%
+\condata{FFCGP}{FiniteFieldCyclicGroupExtensionByPolynomial}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt
+   +} {\tt -} {\tt /} {\tt =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP
+   coordinates createNormalElement createPrimitiveElement definingPolynomial degree dimension discreteLog divide
+   euclideanSize expressIdealMember exquo extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator
+   getZechTable inGroundField? index init inv lcm lookup minimalPolynomial multiEuclidean nextItem norm normal?
+   normalElement one? order prime? primeFrobenius primitive? primitiveElement principalIdeal quo random recip rem
+   representationType represents retract retractIfCan size sizeLess? squareFree squareFreePart tableForDiscreteLogarithm
+   trace transcendenceDegree transcendent? unit? unitCanonical unitNormal zero?}
+%
+\condata{FFCGX}{FiniteFieldCyclicGroupExtension}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -}
+   {\tt /} {\tt =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates
+   createNormalElement createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize
+   expressIdealMember exquo extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator getZechTable
+   inGroundField? index init inv lcm lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one?
+   order prime? primeFrobenius primitive? primitiveElement principalIdeal quo random recip rem representationType
+   represents retract retractIfCan size sizeLess? squareFree squareFreePart tableForDiscreteLogarithm trace
+   transcendenceDegree transcendent? unit? unitCanonical unitNormal zero?}
+%
+\condata{FFCG}{FiniteFieldCyclicGroup}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt
+   =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates createNormalElement
+   createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize expressIdealMember exquo
+   extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator getZechTable inGroundField? index init
+   inv lcm lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one? order prime? primeFrobenius
+   primitive? primitiveElement principalIdeal quo random recip rem representationType represents retract retractIfCan size
+   sizeLess? squareFree squareFreePart tableForDiscreteLogarithm trace transcendenceDegree transcendent? unit?
+   unitCanonical unitNormal zero?}
+%
+\condata{FFP}{FiniteFieldExtensionByPolynomial}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -}
+   {\tt /} {\tt =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates
+   createNormalElement createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize
+   expressIdealMember exquo extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator inGroundField?
+   index init inv lcm lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one? order prime?
+   primeFrobenius primitive? primitiveElement principalIdeal quo random recip rem representationType represents retract
+   retractIfCan size sizeLess? squareFree squareFreePart tableForDiscreteLogarithm trace transcendenceDegree transcendent?
+   unit? unitCanonical unitNormal zero?}
+%
+\condata{FFX}{FiniteFieldExtension}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =}
+   Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates createNormalElement
+   createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize expressIdealMember exquo
+   extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator inGroundField? index init inv lcm
+   lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one? order prime? primeFrobenius primitive?
+   primitiveElement principalIdeal quo random recip rem representationType represents retract retractIfCan size sizeLess?
+   squareFree squareFreePart tableForDiscreteLogarithm trace transcendenceDegree transcendent? unit? unitCanonical
+   unitNormal zero?}
+%
+\condata{FFNBP}{FiniteFieldNormalBasisExtensionByPolynomial}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt
+   +} {\tt -} {\tt /} {\tt =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP
+   coordinates createNormalElement createPrimitiveElement definingPolynomial degree dimension discreteLog divide
+   euclideanSize expressIdealMember exquo extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator
+   getMultiplicationMatrix getMultiplicationTable inGroundField? index init inv lcm lookup minimalPolynomial
+   multiEuclidean nextItem norm normal? normalElement one? order prime? primeFrobenius primitive? primitiveElement
+   principalIdeal quo random recip rem representationType represents retract retractIfCan size sizeLess?
+   sizeMultiplication squareFree squareFreePart tableForDiscreteLogarithm trace transcendenceDegree transcendent? unit?
+   unitCanonical unitNormal zero?}
+%
+\condata{FFNBX}{FiniteFieldNormalBasisExtension}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -}
+   {\tt /} {\tt =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates
+   createNormalElement createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize
+   expressIdealMember exquo extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator
+   getMultiplicationMatrix getMultiplicationTable inGroundField? index init inv lcm lookup minimalPolynomial
+   multiEuclidean nextItem norm normal? normalElement one? order prime? primeFrobenius primitive? primitiveElement
+   principalIdeal quo random recip rem representationType represents retract retractIfCan size sizeLess?
+   sizeMultiplication squareFree squareFreePart tableForDiscreteLogarithm trace transcendenceDegree transcendent? unit?
+   unitCanonical unitNormal zero?}
+%
+\condata{FFNB}{FiniteFieldNormalBasis}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt
+   =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates createNormalElement
+   createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize expressIdealMember exquo
+   extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator getMultiplicationMatrix
+   getMultiplicationTable inGroundField? index init inv lcm lookup minimalPolynomial multiEuclidean nextItem norm normal?
+   normalElement one? order prime? primeFrobenius primitive? primitiveElement principalIdeal quo random recip rem
+   representationType represents retract retractIfCan size sizeLess? sizeMultiplication squareFree squareFreePart
+   tableForDiscreteLogarithm trace transcendenceDegree transcendent? unit? unitCanonical unitNormal zero?}
+%
+\condata{FF}{FiniteField}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} Frobenius
+   algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates createNormalElement
+   createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize expressIdealMember exquo
+   extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator inGroundField? index init inv lcm
+   lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one? order prime? primeFrobenius primitive?
+   primitiveElement principalIdeal quo random recip rem representationType represents retract retractIfCan size sizeLess?
+   squareFree squareFreePart tableForDiscreteLogarithm trace transcendenceDegree transcendent? unit? unitCanonical
+   unitNormal zero?}
+%
+\condata{FARRAY}{FlexibleArray}{ExtensibleLinearAggregate OneDimensionalArrayAggregate}{{\tt \#} {\tt <} {\tt =} any?
+   coerce concat concat! construct convert copy copyInto! count delete delete! elt empty empty? entries entry? eq? every?
+   fill! find first flexibleArray index? indices insert insert! less? map map! max maxIndex member? members merge merge!
+   min minIndex more? new parts physicalLength physicalLength! position qelt qsetelt! reduce remove remove!
+   removeDuplicates removeDuplicates! reverse reverse! select select! setelt shrinkable size? sort sort! sorted? swap!}
+%
+\condata{FLOAT}{Float}{CoercibleTo ConvertibleTo DifferentialRing FloatingPointSystem TranscendentalFunctionCategory}{0
+   1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D abs acos acosh acot acoth acsc acsch asec asech asin asinh
+   associates? atan atanh base bits ceiling characteristic coerce convert cos cosh cot coth csc csch decreasePrecision
+   differentiate digits divide euclideanSize exp exp1 exponent expressIdealMember exquo extendedEuclidean factor float
+   floor fractionPart gcd increasePrecision inv lcm log log10 log2 mantissa max min multiEuclidean negative? norm
+   normalize nthRoot one? order outputFixed outputFloating outputGeneral outputSpacing patternMatch pi positive? precision
+   prime? principalIdeal quo rationalApproximation recip relerror rem retract retractIfCan round sec sech shift sign sin
+   sinh sizeLess? sqrt squareFree squareFreePart tan tanh truncate unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{FRIDEAL}{FractionalIdeal}{Group}{1 {\tt *} {\tt **} {\tt /} {\tt =} basis coerce commutator conjugate denom
+   ideal inv minimize norm numer one? randomLC recip}
+%
+\condata{FRAC}{Fraction}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D abs
+   associates? ceiling characteristic charthRoot coerce conditionP convert denom denominator differentiate divide elt
+   euclideanSize eval expressIdealMember exquo extendedEuclidean factor factorPolynomial factorSquareFreePolynomial floor
+   fractionPart gcd gcdPolynomial init inv lcm map max min multiEuclidean negative? nextItem numer numerator one?
+   patternMatch positive? prime? principalIdeal quo random recip reducedSystem rem retract retractIfCan sign sizeLess?
+   solveLinearPolynomialEquation squareFree squareFreePart squareFreePolynomial unit? unitCanonical unitNormal wholePart
+   zero?}
+%
+\condata{FRMOD}{FramedModule}{Monoid}{1 {\tt *} {\tt **} {\tt =} basis coerce module norm one? recip}
+%
+\condata{FAGROUP}{FreeAbelianGroup}{AbelianGroup FreeAbelianMonoidCategory Module OrderedSet}{0 {\tt *} {\tt +} {\tt -}
+   {\tt <} {\tt =} coefficient coerce highCommonTerms mapCoef mapGen max min nthCoef nthFactor retract retractIfCan size
+   terms zero?}
+%
+\condata{FAMONOID}{FreeAbelianMonoid}{FreeAbelianMonoidCategory}{0 {\tt *} {\tt +} {\tt -} {\tt =} coefficient coerce
+   highCommonTerms mapCoef mapGen nthCoef nthFactor retract retractIfCan size terms zero?}
+%
+\condata{FGROUP}{FreeGroup}{Group RetractableTo}{1 {\tt *} {\tt **} {\tt /} {\tt =} coerce commutator conjugate factors
+   inv mapExpon mapGen nthExpon nthFactor one? recip retract retractIfCan size}
+%
+\condata{FM}{FreeModule}{BiModule IndexedDirectProductCategory Module}{0 {\tt *} {\tt +} {\tt -} {\tt =} coerce
+   leadingCoefficient leadingSupport map monomial reductum zero?}
+%
+\condata{FMONOID}{FreeMonoid}{Monoid OrderedSet RetractableTo}{1 {\tt *} {\tt **} {\tt <} {\tt =} coerce divide factors
+   hclf hcrf lquo mapExpon mapGen max min nthExpon nthFactor one? overlap recip retract retractIfCan rquo size}
+%
+\condata{FNLA}{FreeNilpotentLie}{NonAssociativeAlgebra}{0 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} antiCommutator
+   associator coerce commutator deepExpand dimension generator leftPower rightPower shallowExpand zero?}
+%
+\condata{FUNCTION}{FunctionCalled}{SetCategory}{{\tt =} coerce name}
+%
+\condata{GDMP}{GeneralDistributedMultivariatePolynomial}{PolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt
+   /} {\tt <} {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce conditionP const content
+   convert degree differentiate discriminant eval exquo factor factorPolynomial factorSquareFreePolynomial gcd
+   gcdPolynomial ground ground? isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial mainVariable map mapExponents
+   max min minimumDegree monicDivide monomial monomial? monomials multivariate numberOfMonomials one? prime?
+   primitiveMonomials primitivePart recip reducedSystem reductum reorder resultant retract retractIfCan
+   solveLinearPolynomialEquation squareFree squareFreePart squareFreePolynomial totalDegree unit? unitCanonical unitNormal
+   univariate variables zero?}
+%
+\condata{GSTBL}{GeneralSparseTable}{TableAggregate}{{\tt \#} {\tt =} any? bag coerce construct copy count dictionary
+   elt empty empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect key? keys less? map
+   map! maxIndex member? members minIndex more? parts qelt qsetelt! reduce remove remove! removeDuplicates search select
+   select! setelt size? swap! table}
+%
+\condata{GCNAALG}{GenericNonAssociativeAlgebra}{FramedNonAssociativeAlgebra LeftModule}{0 {\tt *} {\tt **} {\tt +} {\tt
+   -} {\tt =} JacobiIdentity? JordanAlgebra? alternative? antiAssociative? antiCommutative? antiCommutator apply
+   associative? associator associatorDependence basis coerce commutative? commutator conditionsForIdempotents convert
+   coordinates elt flexible? generic genericLeftDiscriminant genericLeftMinimalPolynomial genericLeftNorm genericLeftTrace
+   genericLeftTraceForm genericRightDiscriminant genericRightMinimalPolynomial genericRightNorm genericRightTrace
+   genericRightTraceForm jordanAdmissible? leftAlternative? leftCharacteristicPolynomial leftDiscriminant
+   leftMinimalPolynomial leftNorm leftPower leftRankPolynomial leftRecip leftRegularRepresentation leftTrace
+   leftTraceMatrix leftUnit leftUnits lieAdmissible? lieAlgebra? noncommutativeJordanAlgebra? plenaryPower
+   powerAssociative? rank recip represents rightAlternative? rightCharacteristicPolynomial rightDiscriminant
+   rightMinimalPolynomial rightNorm rightPower rightRankPolynomial rightRecip rightRegularRepresentation rightTrace
+   rightTraceMatrix rightUnit rightUnits someBasis structuralConstants unit zero?}
+%
+\condata{GRIMAGE}{GraphImage}{SetCategory}{{\tt =} appendPoint coerce component graphImage key makeGraphImage point
+   pointLists putColorInfo ranges units}
+%
+\condata{HASHTBL}{HashTable}{TableAggregate}{{\tt \#} {\tt =} any? bag coerce construct copy count dictionary elt empty
+   empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect key? keys less? map map!
+   maxIndex member? members minIndex more? parts qelt qsetelt! reduce remove remove! removeDuplicates search select
+   select! setelt size? swap! table}
+%
+\condata{HEAP}{Heap}{PriorityQueueAggregate}{{\tt \#} {\tt =} any? bag coerce copy count empty empty? eq? every?
+   extract! heap insert! inspect less? map map! max member? members merge merge! more? parts size?}
+%
+\condata{HEXADEC}{HexadecimalExpansion}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <}
+   {\tt =} D abs associates? ceiling characteristic coerce convert denom denominator differentiate divide euclideanSize
+   expressIdealMember exquo extendedEuclidean factor floor fractionPart gcd hex init inv lcm map max min multiEuclidean
+   negative? nextItem numer numerator one? patternMatch positive? prime? principalIdeal quo random recip reducedSystem rem
+   retract retractIfCan sign sizeLess? squareFree squareFreePart unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{ICARD}{IndexCard}{OrderedSet}{{\tt <} {\tt =} coerce display elt fullDisplay max min}
+%
+\condata{IBITS}{IndexedBits}{BitAggregate}{{\tt \#} {\tt <} {\tt =} And Not Or {\tt \^{}} and any? coerce concat
+   construct convert copy copyInto! count delete elt empty empty? entries entry? eq? every? fill! find first index?
+   indices insert less? map map! max maxIndex member? members merge min minIndex more? nand new nor not or parts position
+   qelt qsetelt! reduce remove removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap! xor}
+%
+\condata{IDPAG}{IndexedDirectProductAbelianGroup}{AbelianGroup IndexedDirectProductCategory}{0 {\tt *} {\tt +} {\tt -}
+   {\tt =} coerce leadingCoefficient leadingSupport map monomial reductum zero?}
+%
+\condata{IDPAM}{IndexedDirectProductAbelianMonoid}{AbelianMonoid IndexedDirectProductCategory}{0 {\tt *} {\tt +} {\tt
+   =} coerce leadingCoefficient leadingSupport map monomial reductum zero?}
+%
+\condata{IDPO}{IndexedDirectProductObject}{IndexedDirectProductCategory}{{\tt =} coerce leadingCoefficient
+   leadingSupport map monomial reductum}
+%
+\condata{IDPOAMS}{IndexedDirectProductOrderedAbelianMonoidSup}{IndexedDirectProductCategory OrderedAbelianMonoidSup}{0
+   {\tt *} {\tt +} {\tt -} {\tt <} {\tt =} coerce leadingCoefficient leadingSupport map max min monomial reductum sup
+   zero?}
+%
+\condata{IDPOAM}{IndexedDirectProductOrderedAbelianMonoid}{IndexedDirectProductCategory OrderedAbelianMonoid}{0 {\tt *}
+   {\tt +} {\tt <} {\tt =} coerce leadingCoefficient leadingSupport map max min monomial reductum zero?}
+%
+\condata{INDE}{IndexedExponents}{IndexedDirectProductCategory OrderedAbelianMonoidSup}{0 {\tt *} {\tt +} {\tt -} {\tt
+   <} {\tt =} coerce leadingCoefficient leadingSupport map max min monomial reductum sup zero?}
+%
+\condata{IFARRAY}{IndexedFlexibleArray}{ExtensibleLinearAggregate OneDimensionalArrayAggregate}{{\tt \#} {\tt <} {\tt
+   =} any? coerce concat concat! construct convert copy copyInto! count delete delete! elt empty empty? entries entry? eq?
+   every? fill! find first flexibleArray index? indices insert insert! less? map map! max maxIndex member? members merge
+   merge! min minIndex more? new parts physicalLength physicalLength! position qelt qsetelt! reduce remove remove!
+   removeDuplicates removeDuplicates! reverse reverse! select select! setelt shrinkable size? sort sort! sorted? swap!}
+%
+\condata{ILIST}{IndexedList}{ListAggregate}{{\tt \#} {\tt <} {\tt =} any? child? children coerce concat concat!
+   construct convert copy copyInto! count cycleEntry cycleLength cycleSplit! cycleTail cyclic? delete delete! distance elt
+   empty empty? entries entry? eq? every? explicitlyFinite? fill! find first index? indices insert insert! last leaf?
+   less? list map map! max maxIndex member? members merge merge! min minIndex more? new node? nodes parts position
+   possiblyInfinite? qelt qsetelt! reduce remove remove! removeDuplicates removeDuplicates! rest reverse reverse! second
+   select select! setchildren! setelt setfirst! setlast! setrest! setvalue! size? sort sort! sorted? split! swap! tail
+   third value}
+%
+\condata{IMATRIX}{IndexedMatrix}{MatrixCategory}{{\tt \#} {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =}
+   antisymmetric? any? coerce column copy count determinant diagonal? diagonalMatrix elt empty empty? eq? every? exquo
+   fill! horizConcat inverse less? listOfLists map map! matrix maxColIndex maxRowIndex member? members minColIndex
+   minRowIndex minordet more? ncols new nrows nullSpace nullity parts qelt qsetelt! rank row rowEchelon scalarMatrix
+   setColumn! setRow! setelt setsubMatrix! size? square? squareTop subMatrix swapColumns! swapRows! symmetric? transpose
+   vertConcat zero}
+%
+\condata{IARRAY1}{IndexedOneDimensionalArray}{OneDimensionalArrayAggregate}{{\tt \#} {\tt <} {\tt =} any? coerce concat
+   construct convert copy copyInto! count delete elt empty empty? entries entry? eq? every? fill! find first index?
+   indices insert less? map map! max maxIndex member? members merge min minIndex more? new parts position qelt qsetelt!
+   reduce remove removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap!}
+%
+\condata{ISTRING}{IndexedString}{StringAggregate}{{\tt \#} {\tt <} {\tt =} any? coerce concat construct copy copyInto!
+   count delete elt empty empty? entries entry? eq? every? fill! find first hash index? indices insert leftTrim less?
+   lowerCase lowerCase! map map! match? max maxIndex member? members merge min minIndex more? new parts position prefix?
+   qelt qsetelt! reduce remove removeDuplicates replace reverse reverse! rightTrim select setelt size? sort sort! sorted?
+   split substring? suffix? swap! trim upperCase upperCase!}
+%
+\condata{IARRAY2}{IndexedTwoDimensionalArray}{TwoDimensionalArrayCategory}{{\tt \#} {\tt =} any? coerce column copy
+   count elt empty empty? eq? every? fill! less? map map! maxColIndex maxRowIndex member? members minColIndex minRowIndex
+   more? ncols new nrows parts qelt qsetelt! row setColumn! setRow! setelt size?}
+%
+\condata{IVECTOR}{IndexedVector}{VectorCategory}{{\tt \#} {\tt *} {\tt +} {\tt -} {\tt <} {\tt =} any? coerce concat
+   construct convert copy copyInto! count delete dot elt empty empty? entries entry? eq? every? fill! find first index?
+   indices insert less? map map! max maxIndex member? members merge min minIndex more? new parts position qelt qsetelt!
+   reduce remove removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap! zero}
+%
+\condata{ITUPLE}{InfiniteTuple}{CoercibleTo}{coerce construct filterUntil filterWhile generate map select}
+%
+\condata{IFF}{InnerFiniteField}{FiniteAlgebraicExtensionField}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =}
+   Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP coordinates createNormalElement
+   createPrimitiveElement definingPolynomial degree dimension discreteLog divide euclideanSize expressIdealMember exquo
+   extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator inGroundField? index init inv lcm
+   lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one? order prime? primeFrobenius primitive?
+   primitiveElement principalIdeal quo random recip rem representationType represents retract retractIfCan size sizeLess?
+   squareFree squareFreePart tableForDiscreteLogarithm trace transcendenceDegree transcendent? unit? unitCanonical
+   unitNormal zero?}
+%
+\condata{IFAMON}{InnerFreeAbelianMonoid}{FreeAbelianMonoidCategory}{0 {\tt *} {\tt +} {\tt -} {\tt =} coefficient
+   coerce highCommonTerms mapCoef mapGen nthCoef nthFactor retract retractIfCan size terms zero?}
+%
+\condata{IIARRAY2}{InnerIndexedTwoDimensionalArray}{TwoDimensionalArrayCategory}{{\tt \#} {\tt =} any? coerce column
+   copy count elt empty empty? eq? every? fill! less? map map! maxColIndex maxRowIndex member? members minColIndex
+   minRowIndex more? ncols new nrows parts qelt qsetelt! row setColumn! setRow! setelt size?}
+%
+\condata{IPADIC}{InnerPAdicInteger}{PAdicIntegerCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} approximate
+   associates? characteristic coerce complete digits divide euclideanSize expressIdealMember exquo extend
+   extendedEuclidean gcd lcm moduloP modulus multiEuclidean one? order principalIdeal quo quotientByP recip rem sizeLess?
+   sqrt unit? unitCanonical unitNormal zero?}
+%
+\condata{IPF}{InnerPrimeField}{ConvertibleTo FiniteAlgebraicExtensionField FiniteFieldCategory}{0 1 {\tt *} {\tt **}
+   {\tt +} {\tt -} {\tt /} {\tt =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP
+   convert coordinates createNormalElement createPrimitiveElement definingPolynomial degree dimension discreteLog divide
+   euclideanSize expressIdealMember exquo extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator
+   inGroundField? index init inv lcm lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one?
+   order prime? primeFrobenius primitive? primitiveElement principalIdeal quo random recip rem representationType
+   represents retract retractIfCan size sizeLess? squareFree squareFreePart tableForDiscreteLogarithm trace
+   transcendenceDegree transcendent? unit? unitCanonical unitNormal zero?}
+%
+\condata{ITAYLOR}{InnerTaylorSeries}{IntegralDomain Ring}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} associates?
+   characteristic coefficients coerce exquo one? order pole? recip series unit? unitCanonical unitNormal zero?}
+%
+\condata{INFORM}{InputForm}{ConvertibleTo SExpressionCategory}{0 1 {\tt \#} {\tt *} {\tt **} {\tt +} {\tt /} {\tt =}
+   atom? binary car cdr coerce compile convert declare destruct elt eq expr flatten float float? function integer integer?
+   interpret lambda list? null? pair? string string? symbol symbol? uequal unparse}
+%
+\condata{ZMOD}{IntegerMod}{CommutativeRing ConvertibleTo Finite StepThrough}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt
+   =} characteristic coerce convert index init lookup nextItem one? random recip size zero?}
+%
+\condata{INT}{Integer}{ConvertibleTo IntegerNumberSystem}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt <} {\tt =} D abs
+   addmod associates? base binomial bit? characteristic coerce convert copy dec differentiate divide euclideanSize even?
+   expressIdealMember exquo extendedEuclidean factor factorial gcd hash inc init invmod lcm length mask max min mulmod
+   multiEuclidean negative? nextItem odd? one? patternMatch permutation positive? positiveRemainder powmod prime?
+   principalIdeal quo random rational rational? rationalIfCan recip reducedSystem rem retract retractIfCan shift sign
+   sizeLess? squareFree squareFreePart submod symmetricRemainder unit? unitCanonical unitNormal zero?}
+%
+\condata{IR}{IntegrationResult}{Module RetractableTo}{0 {\tt *} {\tt +} {\tt -} {\tt =} D coerce differentiate elem?
+   integral logpart mkAnswer notelem ratpart retract retractIfCan zero?}
+%
+\condata{KERNEL}{Kernel}{CachableSet ConvertibleTo Patternable}{{\tt <} {\tt =} argument coerce convert height is?
+   kernel max min name operator position setPosition symbolIfCan}
+%
+\condata{KAFILE}{KeyedAccessFile}{FileCategory TableAggregate}{{\tt \#} {\tt =} any? bag close! coerce construct copy
+   count dictionary elt empty empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect
+   iomode key? keys less? map map! maxIndex member? members minIndex more? name open pack! parts qelt qsetelt! read!
+   reduce remove remove! removeDuplicates reopen! search select select! setelt size? swap! table write!}
+%
+\condata{LAUPOL}{LaurentPolynomial}{CharacteristicNonZero CharacteristicZero ConvertibleTo DifferentialExtension
+   EuclideanDomain FullyRetractableTo IntegralDomain RetractableTo}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} D
+   associates? characteristic charthRoot coefficient coerce convert degree differentiate divide euclideanSize
+   expressIdealMember exquo extendedEuclidean gcd lcm leadingCoefficient monomial monomial? multiEuclidean one? order
+   principalIdeal quo recip reductum rem retract retractIfCan separate sizeLess? trailingCoefficient unit? unitCanonical
+   unitNormal zero?}
+%
+\condata{LIB}{Library}{TableAggregate}{{\tt \#} {\tt =} any? bag coerce construct copy count dictionary elt empty
+   empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect key? keys less? library map
+   map! maxIndex member? members minIndex more? pack! parts qelt qsetelt! reduce remove remove! removeDuplicates search
+   select select! setelt size? swap! table}
+%
+\condata{LSQM}{LieSquareMatrix}{CoercibleTo FramedNonAssociativeAlgebra SquareMatrixCategory}{0 1 {\tt \#} {\tt *} {\tt
+   **} {\tt +} {\tt -} {\tt /} {\tt =} D JacobiIdentity? JordanAlgebra? alternative? antiAssociative? antiCommutative?
+   antiCommutator antisymmetric? any? apply associative? associator associatorDependence basis characteristic coerce
+   column commutative? commutator conditionsForIdempotents convert coordinates copy count determinant diagonal diagonal?
+   diagonalMatrix diagonalProduct differentiate elt empty empty? eq? every? exquo flexible? inverse jordanAdmissible?
+   leftAlternative? leftCharacteristicPolynomial leftDiscriminant leftMinimalPolynomial leftNorm leftPower
+   leftRankPolynomial leftRecip leftRegularRepresentation leftTrace leftTraceMatrix leftUnit leftUnits less?
+   lieAdmissible? lieAlgebra? listOfLists map map! matrix maxColIndex maxRowIndex member? members minColIndex minRowIndex
+   minordet more? ncols noncommutativeJordanAlgebra? nrows nullSpace nullity one? parts plenaryPower powerAssociative?
+   qelt rank recip reducedSystem represents retract retractIfCan rightAlternative? rightCharacteristicPolynomial
+   rightDiscriminant rightMinimalPolynomial rightNorm rightPower rightRankPolynomial rightRecip rightRegularRepresentation
+   rightTrace rightTraceMatrix rightUnit rightUnits row rowEchelon scalarMatrix size? someBasis square?
+   structuralConstants symmetric? trace unit zero?}
+%
+\condata{LODO}{LinearOrdinaryDifferentialOperator}{MonogenicLinearOperator}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt
+   =} D characteristic coefficient coerce degree elt leadingCoefficient leftDivide leftExactQuotient leftGcd leftLcm
+   leftQuotient leftRemainder minimumDegree monomial one? recip reductum rightDivide rightExactQuotient rightGcd rightLcm
+   rightQuotient rightRemainder zero?}
+%
+\condata{LMOPS}{ListMonoidOps}{RetractableTo SetCategory}{{\tt =} coerce leftMult listOfMonoms makeMulti makeTerm
+   makeUnit mapExpon mapGen nthExpon nthFactor outputForm plus retract retractIfCan reverse reverse! rightMult size}
+%
+\condata{LMDICT}{ListMultiDictionary}{MultiDictionary}{{\tt \#} {\tt =} any? bag coerce construct convert copy count
+   dictionary duplicates duplicates? empty empty? eq? every? extract! find insert! inspect less? map map! member? members
+   more? parts reduce remove remove! removeDuplicates removeDuplicates! select select! size? substitute}
+%
+\condata{LIST}{List}{ListAggregate}{{\tt \#} {\tt <} {\tt =} any? append child? children coerce concat concat! cons
+   construct convert copy copyInto! count cycleEntry cycleLength cycleSplit! cycleTail cyclic? delete delete! distance elt
+   empty empty? entries entry? eq? every? explicitlyFinite? fill! find first index? indices insert insert! last leaf?
+   less? list map map! max maxIndex member? members merge merge! min minIndex more? new nil node? nodes null parts
+   position possiblyInfinite? qelt qsetelt! reduce remove remove! removeDuplicates removeDuplicates! rest reverse reverse!
+   second select select! setDifference setIntersection setUnion setchildren! setelt setfirst! setlast! setrest! setvalue!
+   size? sort sort! sorted? split! swap! tail third value}
+%
+\condata{LA}{LocalAlgebra}{Algebra OrderedRing}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} abs
+   characteristic coerce denom max min negative? numer one? positive? recip sign zero?}
+%
+\condata{LO}{Localize}{Module OrderedAbelianGroup}{0 {\tt *} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} coerce denom max
+   min numer zero?}
+%
+\condata{MKCHSET}{MakeCachableSet}{CachableSet CoercibleTo}{{\tt <} {\tt =} coerce max min position setPosition}
+%
+\condata{MKODRING}{MakeOrdinaryDifferentialRing}{CoercibleTo DifferentialRing}{0 1 {\tt *} {\tt **} {\tt +} {\tt -}
+   {\tt =} D characteristic coerce differentiate one? recip zero?}
+%
+\condata{MATRIX}{Matrix}{MatrixCategory}{{\tt \#} {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} antisymmetric? any?
+   coerce column copy count determinant diagonal? diagonalMatrix elt empty empty? eq? every? exquo fill! horizConcat
+   inverse less? listOfLists map map! matrix maxColIndex maxRowIndex member? members minColIndex minRowIndex minordet
+   more? ncols new nrows nullSpace nullity parts qelt qsetelt! rank row rowEchelon scalarMatrix setColumn! setRow! setelt
+   setsubMatrix! size? square? squareTop subMatrix swapColumns! swapRows! symmetric? transpose vertConcat zero}
+%
+\condata{MODMON}{ModMonic}{Finite UnivariatePolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <}
+   {\tt =} An D UnVectorise Vectorise associates? characteristic charthRoot coefficient coefficients coerce composite
+   computePowers conditionP content degree differentiate discriminant divide divideExponents elt euclideanSize eval
+   expressIdealMember exquo extendedEuclidean factor factorPolynomial factorSquareFreePolynomial gcd gcdPolynomial ground
+   ground? index init integrate isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial lift lookup mainVariable
+   makeSUP map mapExponents max min minimumDegree modulus monicDivide monomial monomial? monomials multiEuclidean
+   multiplyExponents multivariate nextItem numberOfMonomials one? order pow prime? primitiveMonomials primitivePart
+   principalIdeal pseudoDivide pseudoQuotient pseudoRemainder quo random recip reduce reducedSystem reductum rem resultant
+   retract retractIfCan separate setPoly size sizeLess? solveLinearPolynomialEquation squareFree squareFreePart
+   squareFreePolynomial subResultantGcd totalDegree unit? unitCanonical unitNormal univariate unmakeSUP variables
+   vectorise zero?}
+%
+\condata{MODFIELD}{ModularField}{Field}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} associates? characteristic
+   coerce divide euclideanSize exQuo expressIdealMember exquo extendedEuclidean factor gcd inv lcm modulus multiEuclidean
+   one? prime? principalIdeal quo recip reduce rem sizeLess? squareFree squareFreePart unit? unitCanonical unitNormal
+   zero?}
+%
+\condata{MODRING}{ModularRing}{Ring}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} characteristic coerce exQuo inv
+   modulus one? recip reduce zero?}
+%
+\condata{MOEBIUS}{MoebiusTransform}{Group}{1 {\tt *} {\tt **} {\tt /} {\tt =} coerce commutator conjugate eval inv
+   moebius one? recip scale shift}
+%
+\condata{MRING}{MonoidRing}{Algebra CharacteristicNonZero CharacteristicZero Finite RetractableTo Ring}{0 1 {\tt *}
+   {\tt **} {\tt +} {\tt -} {\tt =} characteristic charthRoot coefficient coefficients coerce index leadingCoefficient
+   leadingMonomial lookup map monomial monomial? monomials numberOfMonomials one? random recip reductum retract
+   retractIfCan size terms zero?}
+%
+\condata{MSET}{Multiset}{MultisetAggregate}{{\tt \#} {\tt <} {\tt =} any? bag brace coerce construct convert copy count
+   dictionary difference duplicates empty empty? eq? every? extract! find insert! inspect intersect less? map map! member?
+   members more? multiset parts reduce remove remove! removeDuplicates removeDuplicates! select select! size? subset?
+   symmetricDifference union}
+%
+\condata{MPOLY}{MultivariatePolynomial}{PolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt
+   =} D associates? characteristic charthRoot coefficient coefficients coerce conditionP content convert degree
+   differentiate discriminant eval exquo factor factorPolynomial factorSquareFreePolynomial gcd gcdPolynomial ground
+   ground? isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial mainVariable map mapExponents max min
+   minimumDegree monicDivide monomial monomial? monomials multivariate numberOfMonomials one? prime? primitiveMonomials
+   primitivePart recip reducedSystem reductum resultant retract retractIfCan solveLinearPolynomialEquation squareFree
+   squareFreePart squareFreePolynomial totalDegree unit? unitCanonical unitNormal univariate variables zero?}
+%
+\condata{NDP}{NewDirectProduct}{DirectProductCategory}{0 1 {\tt \#} {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <}
+   {\tt =} D abs any? characteristic coerce copy count differentiate dimension directProduct dot elt empty empty? entries
+   entry? eq? every? fill! first index index? indices less? lookup map map! max maxIndex member? members min minIndex
+   more? negative? one? parts positive? qelt qsetelt! random recip reducedSystem retract retractIfCan setelt sign size
+   size? sup swap! unitVector zero?}
+%
+\condata{NDMP}{NewDistributedMultivariatePolynomial}{PolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /}
+   {\tt <} {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce conditionP const content
+   convert degree differentiate discriminant eval exquo factor factorPolynomial factorSquareFreePolynomial gcd
+   gcdPolynomial ground ground? isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial mainVariable map mapExponents
+   max min minimumDegree monicDivide monomial monomial? monomials multivariate numberOfMonomials one? prime?
+   primitiveMonomials primitivePart recip reducedSystem reductum reorder resultant retract retractIfCan
+   solveLinearPolynomialEquation squareFree squareFreePart squareFreePolynomial totalDegree unit? unitCanonical unitNormal
+   univariate variables zero?}
+%
+\condata{NONE}{None}{SetCategory}{{\tt =} coerce}
+%
+\condata{NNI}{NonNegativeInteger}{Monoid OrderedAbelianMonoidSup}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt <} {\tt =}
+   coerce divide exquo gcd max min one? quo recip rem sup zero?}
+%
+\condata{OCT}{Octonion}{FullyRetractableTo OctonionCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt <} {\tt =} abs
+   characteristic charthRoot coerce conjugate convert elt eval imagE imagI imagJ imagK imagi imagj imagk index inv lookup
+   map max min norm octon one? random rational rational? rationalIfCan real recip retract retractIfCan size zero?}
+%
+\condata{ARRAY1}{OneDimensionalArray}{OneDimensionalArrayAggregate}{{\tt \#} {\tt <} {\tt =} any? coerce concat
+   construct convert copy copyInto! count delete elt empty empty? entries entry? eq? every? fill! find first index?
+   indices insert less? map map! max maxIndex member? members merge min minIndex more? new oneDimensionalArray parts
+   position qelt qsetelt! reduce remove removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap!}
+%
+\condata{ONECOMP}{OnePointCompletion}{AbelianGroup FullyRetractableTo OrderedRing SetCategory}{0 1 {\tt *} {\tt **}
+   {\tt +} {\tt -} {\tt <} {\tt =} abs characteristic coerce finite? infinite? infinity max min negative? one? positive?
+   rational rational? rationalIfCan recip retract retractIfCan sign zero?}
+%
+\condata{OP}{Operator}{Algebra CharacteristicNonZero CharacteristicZero Eltable RetractableTo Ring}{0 1 {\tt *} {\tt
+   **} {\tt +} {\tt -} {\tt =} characteristic charthRoot coerce elt evaluate one? opeval recip retract retractIfCan zero?}
+%
+\condata{OMLO}{OppositeMonogenicLinearOperator}{DifferentialRing MonogenicLinearOperator}{0 1 {\tt *} {\tt **} {\tt +}
+   {\tt -} {\tt =} D characteristic coefficient coerce degree differentiate leadingCoefficient minimumDegree monomial one?
+   op po recip reductum zero?}
+%
+\condata{ORDCOMP}{OrderedCompletion}{AbelianGroup FullyRetractableTo OrderedRing SetCategory}{0 1 {\tt *} {\tt **} {\tt
+   +} {\tt -} {\tt <} {\tt =} abs characteristic coerce finite? infinite? max min minusInfinity negative? one?
+   plusInfinity positive? rational rational? rationalIfCan recip retract retractIfCan sign whatInfinity zero?}
+%
+\condata{ODP}{OrderedDirectProduct}{DirectProductCategory}{0 1 {\tt \#} {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt
+   <} {\tt =} D abs any? characteristic coerce copy count differentiate dimension directProduct dot elt empty empty?
+   entries entry? eq? every? fill! first index index? indices less? lookup map map! max maxIndex member? members min
+   minIndex more? negative? one? parts positive? qelt qsetelt! random recip reducedSystem retract retractIfCan setelt sign
+   size size? sup swap! unitVector zero?}
+%
+\condata{OVAR}{OrderedVariableList}{ConvertibleTo OrderedFinite}{{\tt <} {\tt =} coerce convert index lookup max min
+   random size variable}
+%
+\condata{ODPOL}{OrderlyDifferentialPolynomial}{DifferentialPolynomialCategory RetractableTo}{0 1 {\tt *} {\tt **} {\tt
+   +} {\tt -} {\tt /} {\tt <} {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce conditionP
+   content degree differentialVariables differentiate discriminant eval exquo factor factorPolynomial
+   factorSquareFreePolynomial gcd gcdPolynomial ground ground? initial isExpt isPlus isTimes isobaric? lcm leader
+   leadingCoefficient leadingMonomial mainVariable makeVariable map mapExponents max min minimumDegree monicDivide
+   monomial monomial? monomials multivariate numberOfMonomials one? order prime? primitiveMonomials primitivePart recip
+   reducedSystem reductum resultant retract retractIfCan separant solveLinearPolynomialEquation squareFree squareFreePart
+   squareFreePolynomial totalDegree unit? unitCanonical unitNormal univariate variables weight weights zero?}
+%
+\condata{ODVAR}{OrderlyDifferentialVariable}{DifferentialVariableCategory}{{\tt <} {\tt =} D coerce differentiate
+   makeVariable max min order retract retractIfCan variable weight}
+%
+\condata{ODR}{OrdinaryDifferentialRing}{Algebra DifferentialRing Field}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /}
+   {\tt =} D associates? characteristic coerce differentiate divide euclideanSize expressIdealMember exquo
+   extendedEuclidean factor gcd inv lcm multiEuclidean one? prime? principalIdeal quo recip rem sizeLess? squareFree
+   squareFreePart unit? unitCanonical unitNormal zero?}
+%
+\condata{OSI}{OrdSetInts}{OrderedSet}{{\tt <} {\tt =} coerce max min value}
+%
+\condata{OUTFORM}{OutputForm}{SetCategory}{{\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt <=} {\tt =} {\tt >}
+   {\tt >=} D SEGMENT {\tt \^{}=} and assign blankSeparate box brace bracket center coerce commaSeparate differentiate div
+   dot elt empty exquo hconcat height hspace infix infix? int label left matrix message messagePrint not or outputForm
+   over overbar paren pile postfix prefix presub presuper prime print prod quo quote rarrow rem right root rspace scripts
+   semicolonSeparate slash string sub subHeight sum super superHeight supersub vconcat vspace width zag}
+%
+\condata{PADIC}{PAdicInteger}{PAdicIntegerCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt =} approximate
+   associates? characteristic coerce complete digits divide euclideanSize expressIdealMember exquo extend
+   extendedEuclidean gcd lcm moduloP modulus multiEuclidean one? order principalIdeal quo quotientByP recip rem sizeLess?
+   sqrt unit? unitCanonical unitNormal zero?}
+%
+\condata{PADICRC}{PAdicRationalConstructor}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <}
+   {\tt =} D abs approximate associates? ceiling characteristic charthRoot coerce conditionP continuedFraction convert
+   denom denominator differentiate divide elt euclideanSize eval expressIdealMember exquo extendedEuclidean factor
+   factorPolynomial factorSquareFreePolynomial floor fractionPart gcd gcdPolynomial init inv lcm map max min
+   multiEuclidean negative? nextItem numer numerator one? patternMatch positive? prime? principalIdeal quo random recip
+   reducedSystem rem removeZeroes retract retractIfCan sign sizeLess? solveLinearPolynomialEquation squareFree
+   squareFreePart squareFreePolynomial unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{PADICRAT}{PAdicRational}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} D
+   approximate associates? characteristic coerce continuedFraction denom denominator differentiate divide euclideanSize
+   expressIdealMember exquo extendedEuclidean factor fractionPart gcd inv lcm map multiEuclidean numer numerator one?
+   prime? principalIdeal quo recip reducedSystem rem removeZeroes retract retractIfCan sizeLess? squareFree squareFreePart
+   unit? unitCanonical unitNormal wholePart zero?}
+%
+\condata{PALETTE}{Palette}{SetCategory}{{\tt =} bright coerce dark dim hue light pastel shade}
+%
+\condata{PARPCURV}{ParametricPlaneCurve}{}{coordinate curve}
+%
+\condata{PARSCURV}{ParametricSpaceCurve}{}{coordinate curve}
+%
+\condata{PARSURF}{ParametricSurface}{}{coordinate surface}
+%
+\condata{PFR}{PartialFraction}{Algebra Field}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} associates?
+   characteristic coerce compactFraction divide euclideanSize expressIdealMember exquo extendedEuclidean factor firstDenom
+   firstNumer gcd inv lcm multiEuclidean nthFractionalTerm numberOfFractionalTerms one? padicFraction padicallyExpand
+   partialFraction prime? principalIdeal quo recip rem sizeLess? squareFree squareFreePart unit? unitCanonical unitNormal
+   wholePart zero?}
+%
+\condata{PRTITION}{Partition}{ConvertibleTo OrderedCancellationAbelianMonoid}{0 {\tt *} {\tt +} {\tt -} {\tt <} {\tt =}
+   coerce conjugate convert max min partition pdct powers zero?}
+%
+\condata{PATLRES}{PatternMatchListResult}{SetCategory}{{\tt =} atoms coerce failed failed? lists makeResult new}
+%
+\condata{PATRES}{PatternMatchResult}{SetCategory}{{\tt =} addMatch addMatchRestricted coerce construct destruct failed
+   failed? getMatch insertMatch new satisfy? union}
+%
+\condata{PATTERN}{Pattern}{RetractableTo SetCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt /} {\tt =} addBadValue coerce
+   constant? convert copy depth elt generic? getBadValues hasPredicate? hasTopPredicate? inR? isExpt isList isOp isPlus
+   isPower isQuotient isTimes multiple? optional? optpair patternVariable predicates quoted? resetBadValues retract
+   retractIfCan setPredicates setTopPredicate symbol? topPredicate variables withPredicates}
+%
+\condata{PENDTREE}{PendantTree}{BinaryRecursiveAggregate}{{\tt \#} {\tt =} any? children coerce copy count cyclic? elt
+   empty empty? eq? every? leaf? leaves left less? map map! member? members more? node? nodes parts ptree right
+   setchildren! setelt setleft! setright! setvalue! size? value}
+%
+\condata{PERMGRP}{PermutationGroup}{SetCategory}{{\tt <} {\tt <=} {\tt =} base coerce degree elt generators
+   initializeGroupForWordProblem member? movedPoints orbit orbits order permutationGroup random strongGenerators
+   wordInGenerators wordInStrongGenerators wordsForStrongGenerators}
+%
+\condata{PERM}{Permutation}{PermutationCategory}{1 {\tt *} {\tt **} {\tt /} {\tt <} {\tt =} coerce coerceImages
+   coerceListOfPairs coercePreimagesImages commutator conjugate cycle cyclePartition cycles degree elt eval even?
+   fixedPoints inv listRepresentation max min movedPoints numberOfCycles odd? one? orbit order recip sign sort}
+%
+\condata{HACKPI}{Pi}{CharacteristicZero CoercibleTo ConvertibleTo Field RealConstant RetractableTo}{0 1 {\tt *} {\tt
+   **} {\tt +} {\tt -} {\tt /} {\tt =} associates? characteristic coerce convert divide euclideanSize expressIdealMember
+   exquo extendedEuclidean factor gcd inv lcm multiEuclidean one? pi prime? principalIdeal quo recip rem retract
+   retractIfCan sizeLess? squareFree squareFreePart unit? unitCanonical unitNormal zero?}
+%
+\condata{ACPLOT}{PlaneAlgebraicCurvePlot}{PlottablePlaneCurveCategory}{coerce listBranches makeSketch refine xRange
+   yRange}
+%
+\condata{PLOT3D}{Plot3D}{PlottableSpaceCurveCategory}{adaptive3D? coerce debug3D listBranches maxPoints3D minPoints3D
+   numFunEvals3D plot pointPlot refine screenResolution3D setAdaptive3D setMaxPoints3D setMinPoints3D
+   setScreenResolution3D tRange tValues xRange yRange zRange zoom}
+%
+\condata{PLOT}{Plot}{PlottablePlaneCurveCategory}{adaptive? coerce debug listBranches maxPoints minPoints numFunEvals
+   parametric? plot plotPolar pointPlot refine screenResolution setAdaptive setMaxPoints setMinPoints setScreenResolution
+   tRange xRange yRange zoom}
+%
+\condata{POINT}{Point}{PointCategory}{{\tt \#} {\tt *} {\tt +} {\tt -} {\tt <} {\tt =} any? coerce concat construct
+   convert copy copyInto! count cross delete dimension dot elt empty empty? entries entry? eq? every? extend fill! find
+   first index? indices insert length less? map map! max maxIndex member? members merge min minIndex more? new parts point
+   position qelt qsetelt! reduce remove removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap!
+   zero}
+%
+\condata{IDEAL}{PolynomialIdeals}{SetCategory}{{\tt *} {\tt **} {\tt +} {\tt =} backOldPos coerce contract dimension
+   element? generalPosition generators groebner groebner? groebnerIdeal ideal in? inRadical? intersect leadingIdeal
+   quotient relationsIdeal saturate zeroDim?}
+%
+\condata{PR}{PolynomialRing}{FiniteAbelianMonoidRing}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} associates?
+   characteristic charthRoot coefficient coefficients coerce content degree exquo ground ground? leadingCoefficient
+   leadingMonomial map mapExponents minimumDegree monomial monomial? numberOfMonomials one? primitivePart recip reductum
+   retract retractIfCan unit? unitCanonical unitNormal zero?}
+%
+\condata{POLY}{Polynomial}{PolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D
+   associates? characteristic charthRoot coefficient coefficients coerce conditionP content convert degree differentiate
+   discriminant eval exquo factor factorPolynomial factorSquareFreePolynomial gcd gcdPolynomial ground ground? integrate
+   isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial mainVariable map mapExponents max min minimumDegree
+   monicDivide monomial monomial? monomials multivariate numberOfMonomials one? patternMatch prime? primitiveMonomials
+   primitivePart recip reducedSystem reductum resultant retract retractIfCan solveLinearPolynomialEquation squareFree
+   squareFreePart squareFreePolynomial totalDegree unit? unitCanonical unitNormal univariate variables zero?}
+%
+\condata{PI}{PositiveInteger}{AbelianSemiGroup Monoid OrderedSet}{1 {\tt *} {\tt **} {\tt +} {\tt <} {\tt =} coerce gcd
+   max min one? recip}
+%
+\condata{PF}{PrimeField}{ConvertibleTo FiniteAlgebraicExtensionField FiniteFieldCategory}{0 1 {\tt *} {\tt **} {\tt +}
+   {\tt -} {\tt /} {\tt =} Frobenius algebraic? associates? basis characteristic charthRoot coerce conditionP convert
+   coordinates createNormalElement createPrimitiveElement definingPolynomial degree dimension discreteLog divide
+   euclideanSize expressIdealMember exquo extendedEuclidean extensionDegree factor factorsOfCyclicGroupSize gcd generator
+   inGroundField? index init inv lcm lookup minimalPolynomial multiEuclidean nextItem norm normal? normalElement one?
+   order prime? primeFrobenius primitive? primitiveElement principalIdeal quo random recip rem representationType
+   represents retract retractIfCan size sizeLess? squareFree squareFreePart tableForDiscreteLogarithm trace
+   transcendenceDegree transcendent? unit? unitCanonical unitNormal zero?}
+%
+\condata{PRIMARR}{PrimitiveArray}{OneDimensionalArrayAggregate}{{\tt \#} {\tt <} {\tt =} any? coerce concat construct
+   convert copy copyInto! count delete elt empty empty? entries entry? eq? every? fill! find first index? indices insert
+   less? map map! max maxIndex member? members merge min minIndex more? new parts position qelt qsetelt! reduce remove
+   removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap!}
+%
+\condata{PRODUCT}{Product}{AbelianGroup AbelianMonoid CancellationAbelianMonoid Finite Group Monoid
+   OrderedAbelianMonoidSup OrderedSet SetCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} coerce
+   commutator conjugate index inv lookup makeprod max min one? random recip selectfirst selectsecond size sup zero?}
+%
+\condata{QFORM}{QuadraticForm}{AbelianGroup}{0 {\tt *} {\tt +} {\tt -} {\tt =} coerce elt matrix quadraticForm zero?}
+%
+\condata{QALGSET}{QuasiAlgebraicSet}{CoercibleTo SetCategory}{{\tt =} coerce definingEquations definingInequation
+   empty? idealSimplify quasiAlgebraicSet setStatus simplify}
+%
+\condata{QUAT}{Quaternion}{QuaternionCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt <} {\tt =} D abs
+   characteristic charthRoot coerce conjugate convert differentiate elt eval imagI imagJ imagK inv map max min norm one?
+   quatern rational rational? rationalIfCan real recip reducedSystem retract retractIfCan zero?}
+%
+\condata{QEQUAT}{QueryEquation}{}{equation value variable}
+%
+\condata{QUEUE}{Queue}{QueueAggregate}{{\tt \#} {\tt =} any? back bag coerce copy count dequeue! empty empty? enqueue!
+   eq? every? extract! front insert! inspect length less? map map! member? members more? parts queue rotate! size?}
+%
+\condata{RADFF}{RadicalFunctionField}{FunctionFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} D
+   absolutelyIrreducible? associates? basis branchPoint? branchPointAtInfinity? characteristic characteristicPolynomial
+   charthRoot coerce complementaryBasis convert coordinates definingPolynomial derivationCoordinates differentiate
+   discriminant divide elt euclideanSize expressIdealMember exquo extendedEuclidean factor gcd generator genus integral?
+   integralAtInfinity? integralBasis integralBasisAtInfinity integralCoordinates integralDerivationMatrix integralMatrix
+   integralMatrixAtInfinity integralRepresents inv inverseIntegralMatrix inverseIntegralMatrixAtInfinity lcm lift
+   minimalPolynomial multiEuclidean nonSingularModel norm normalizeAtInfinity numberOfComponents one? prime? primitivePart
+   principalIdeal quo ramified? ramifiedAtInfinity? rank rationalPoint? rationalPoints recip reduce reduceBasisAtInfinity
+   reducedSystem regularRepresentation rem represents retract retractIfCan singular? singularAtInfinity? sizeLess?
+   squareFree squareFreePart trace traceMatrix unit? unitCanonical unitNormal yCoordinates zero?}
+%
+\condata{RADIX}{RadixExpansion}{QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D
+   abs associates? ceiling characteristic coerce convert cycleRagits denom denominator differentiate divide euclideanSize
+   expressIdealMember exquo extendedEuclidean factor floor fractRadix fractRagits fractionPart gcd init inv lcm map max
+   min multiEuclidean negative? nextItem numer numerator one? patternMatch positive? prefixRagits prime? principalIdeal
+   quo random recip reducedSystem rem retract retractIfCan sign sizeLess? squareFree squareFreePart unit? unitCanonical
+   unitNormal wholePart wholeRadix wholeRagits zero?}
+%
+\condata{RMATRIX}{RectangularMatrix}{CoercibleTo RectangularMatrixCategory VectorSpace}{0 {\tt \#} {\tt *} {\tt +} {\tt
+   -} {\tt /} {\tt =} antisymmetric? any? coerce column copy count diagonal? dimension elt empty empty? eq? every? exquo
+   less? listOfLists map map! matrix maxColIndex maxRowIndex member? members minColIndex minRowIndex more? ncols nrows
+   nullSpace nullity parts qelt rank rectangularMatrix row rowEchelon size? square? symmetric? zero?}
+%
+\condata{REF}{Reference}{Object SetCategory}{{\tt =} coerce deref elt ref setelt setref}
+%
+\condata{RULE}{RewriteRule}{Eltable RetractableTo SetCategory}{{\tt =} coerce elt lhs pattern quotedOperators retract
+   retractIfCan rhs rule suchThat}
+%
+\condata{ROMAN}{RomanNumeral}{IntegerNumberSystem}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt <} {\tt =} D abs addmod
+   associates? base binomial bit? characteristic coerce convert copy dec differentiate divide euclideanSize even?
+   expressIdealMember exquo extendedEuclidean factor factorial gcd hash inc init invmod lcm length mask max min mulmod
+   multiEuclidean negative? nextItem odd? one? patternMatch permutation positive? positiveRemainder powmod prime?
+   principalIdeal quo random rational rational? rationalIfCan recip reducedSystem rem retract retractIfCan roman shift
+   sign sizeLess? squareFree squareFreePart submod symmetricRemainder unit? unitCanonical unitNormal zero?}
+%
+\condata{RULECOLD}{RuleCalled}{SetCategory}{{\tt =} coerce name}
+%
+\condata{RULESET}{Ruleset}{Eltable SetCategory}{{\tt =} coerce elt rules ruleset}
+%
+\condata{FORMULA1}{ScriptFormulaFormat1}{Object}{coerce}
+%
+\condata{FORMULA}{ScriptFormulaFormat}{SetCategory}{{\tt =} coerce convert display epilogue formula new prologue
+   setEpilogue! setFormula! setPrologue!}
+%
+\condata{SEGBIND}{SegmentBinding}{SetCategory}{{\tt =} coerce equation segment variable}
+%
+\condata{SEG}{Segment}{SegmentCategory SegmentExpansionCategory}{{\tt =} BY SEGMENT coerce convert expand hi high incr
+   lo low map segment}
+%
+\condata{SCFRAC}{SemiCancelledFraction}{ConvertibleTo QuotientFieldCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt
+   /} {\tt <} {\tt =} D abs associates? ceiling characteristic charthRoot coerce conditionP convert denom denominator
+   differentiate divide elt euclideanSize eval expressIdealMember exquo extendedEuclidean factor factorPolynomial
+   factorSquareFreePolynomial floor fractionPart gcd gcdPolynomial init inv lcm map max min multiEuclidean negative?
+   nextItem normalize numer numerator one? patternMatch positive? prime? principalIdeal quo random recip reducedSystem rem
+   retract retractIfCan sign sizeLess? solveLinearPolynomialEquation squareFree squareFreePart squareFreePolynomial unit?
+   unitCanonical unitNormal wholePart zero?}
+%
+\condata{SDPOL}{SequentialDifferentialPolynomial}{DifferentialPolynomialCategory RetractableTo}{0 1 {\tt *} {\tt **}
+   {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce
+   conditionP content degree differentialVariables differentiate discriminant eval exquo factor factorPolynomial
+   factorSquareFreePolynomial gcd gcdPolynomial ground ground? initial isExpt isPlus isTimes isobaric? lcm leader
+   leadingCoefficient leadingMonomial mainVariable makeVariable map mapExponents max min minimumDegree monicDivide
+   monomial monomial? monomials multivariate numberOfMonomials one? order prime? primitiveMonomials primitivePart recip
+   reducedSystem reductum resultant retract retractIfCan separant solveLinearPolynomialEquation squareFree squareFreePart
+   squareFreePolynomial totalDegree unit? unitCanonical unitNormal univariate variables weight weights zero?}
+%
+\condata{SDVAR}{SequentialDifferentialVariable}{DifferentialVariableCategory}{{\tt <} {\tt =} D coerce differentiate
+   makeVariable max min order retract retractIfCan variable weight}
+%
+\condata{SET}{Set}{FiniteSetAggregate}{{\tt \#} {\tt <} {\tt =} any? bag brace cardinality coerce complement construct
+   convert copy count dictionary difference empty empty? eq? every? extract! find index insert! inspect intersect less?
+   lookup map map! max member? members min more? parts random reduce remove remove! removeDuplicates select select! size
+   size? subset? symmetricDifference union universe}
+%
+\condata{SEXOF}{SExpressionOf}{SExpressionCategory}{{\tt \#} {\tt =} atom? car cdr coerce convert destruct elt eq expr
+   float float? integer integer? list? null? pair? string string? symbol symbol? uequal}
+%
+\condata{SEX}{SExpression}{SExpressionCategory}{{\tt \#} {\tt =} atom? car cdr coerce convert destruct elt eq expr
+   float float? integer integer? list? null? pair? string string? symbol symbol? uequal}
+%
+\condata{SAE}{SimpleAlgebraicExtension}{MonogenicAlgebra}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} D
+   associates? basis characteristic characteristicPolynomial charthRoot coerce conditionP convert coordinates
+   createPrimitiveElement definingPolynomial derivationCoordinates differentiate discreteLog discriminant divide
+   euclideanSize expressIdealMember exquo extendedEuclidean factor factorsOfCyclicGroupSize gcd generator index init inv
+   lcm lift lookup minimalPolynomial multiEuclidean nextItem norm one? order prime? primeFrobenius primitive?
+   primitiveElement principalIdeal quo random rank recip reduce reducedSystem regularRepresentation rem representationType
+   represents retract retractIfCan size sizeLess? squareFree squareFreePart tableForDiscreteLogarithm trace traceMatrix
+   unit? unitCanonical unitNormal zero?}
+%
+\condata{SAOS}{SingletonAsOrderedSet}{OrderedSet}{{\tt <} {\tt =} coerce create max min}
+%
+\condata{SINT}{SingleInteger}{IntegerNumberSystem}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt <} {\tt =} And D Not Or {\tt
+   \^{}} abs addmod and associates? base binomial bit? characteristic coerce convert copy dec differentiate divide
+   euclideanSize even? expressIdealMember exquo extendedEuclidean factor factorial gcd hash inc init invmod lcm length
+   mask max min mulmod multiEuclidean negative? nextItem not odd? one? or patternMatch permutation positive?
+   positiveRemainder powmod prime? principalIdeal quo random rational rational? rationalIfCan recip reducedSystem rem
+   retract retractIfCan shift sign sizeLess? squareFree squareFreePart submod symmetricRemainder unit? unitCanonical
+   unitNormal xor zero?}
+%
+\condata{SMP}{SparseMultivariatePolynomial}{PolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <}
+   {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce conditionP content convert degree
+   differentiate discriminant eval exquo factor factorPolynomial factorSquareFreePolynomial gcd gcdPolynomial ground
+   ground? isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial mainVariable map mapExponents max min
+   minimumDegree monicDivide monomial monomial? monomials multivariate numberOfMonomials one? patternMatch prime?
+   primitiveMonomials primitivePart recip reducedSystem reductum resultant retract retractIfCan
+   solveLinearPolynomialEquation squareFree squareFreePart squareFreePolynomial totalDegree unit? unitCanonical unitNormal
+   univariate variables zero?}
+%
+\condata{SMTS}{SparseMultivariateTaylorSeries}{MultivariateTaylorSeriesCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -}
+   {\tt /} {\tt =} D acos acosh acot acoth acsc acsch asec asech asin asinh associates? atan atanh characteristic
+   charthRoot coefficient coerce complete cos cosh cot coth csc csch csubst degree differentiate eval exp exquo extend
+   fintegrate integrate leadingCoefficient leadingMonomial log map monomial monomial? nthRoot one? order pi pole?
+   polynomial recip reductum sec sech sin sinh sqrt tan tanh unit? unitCanonical unitNormal variables zero?}
+%
+\condata{STBL}{SparseTable}{TableAggregate}{{\tt \#} {\tt =} any? bag coerce construct copy count dictionary elt empty
+   empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect key? keys less? map map!
+   maxIndex member? members minIndex more? parts qelt qsetelt! reduce remove remove! removeDuplicates search select
+   select! setelt size? swap! table}
+%
+\condata{SUP}{SparseUnivariatePolynomial}{UnivariatePolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /}
+   {\tt <} {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce composite conditionP content
+   degree differentiate discriminant divide divideExponents elt euclideanSize eval expressIdealMember exquo
+   extendedEuclidean factor factorPolynomial factorSquareFreePolynomial gcd gcdPolynomial ground ground? init integrate
+   isExpt isPlus isTimes lcm leadingCoefficient leadingMonomial mainVariable makeSUP map mapExponents max min
+   minimumDegree monicDivide monomial monomial? monomials multiEuclidean multiplyExponents multivariate nextItem
+   numberOfMonomials one? order outputForm prime? primitiveMonomials primitivePart principalIdeal pseudoDivide
+   pseudoQuotient pseudoRemainder quo recip reducedSystem reductum rem resultant retract retractIfCan separate sizeLess?
+   solveLinearPolynomialEquation squareFree squareFreePart squareFreePolynomial subResultantGcd totalDegree unit?
+   unitCanonical unitNormal univariate unmakeSUP variables vectorise zero?}
+%
+\condata{SUTS}{SparseUnivariateTaylorSeries}{UnivariateTaylorSeriesCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt
+   /} {\tt =} D acos acosh acot acoth acsc acsch approximate asec asech asin asinh associates? atan atanh center
+   characteristic charthRoot coefficient coefficients coerce complete cos cosh cot coth csc csch degree differentiate elt
+   eval exp exquo extend integrate leadingCoefficient leadingMonomial log map monomial monomial? multiplyCoefficients
+   multiplyExponents nthRoot one? order pi pole? polynomial quoByVar recip reductum sec sech series sin sinh sqrt tan tanh
+   terms truncate unit? unitCanonical unitNormal variable variables zero?}
+%
+\condata{SQMATRIX}{SquareMatrix}{CoercibleTo SquareMatrixCategory}{0 1 {\tt \#} {\tt *} {\tt **} {\tt +} {\tt -} {\tt
+   /} {\tt =} D antisymmetric? any? characteristic coerce column copy count determinant diagonal diagonal? diagonalMatrix
+   diagonalProduct differentiate elt empty empty? eq? every? exquo inverse less? listOfLists map map! matrix maxColIndex
+   maxRowIndex member? members minColIndex minRowIndex minordet more? ncols nrows nullSpace nullity one? parts qelt rank
+   recip reducedSystem retract retractIfCan row rowEchelon scalarMatrix size? square? squareMatrix symmetric? trace
+   transpose zero?}
+%
+\condata{STACK}{Stack}{StackAggregate}{{\tt \#} {\tt =} any? bag coerce copy count depth empty empty? eq? every?
+   extract! insert! inspect less? map map! member? members more? parts pop! push! size? stack top}
+%
+\condata{STREAM}{Stream}{LazyStreamAggregate}{{\tt \#} {\tt =} any? child? children coerce complete concat concat! cons
+   construct convert copy count cycleEntry cycleLength cycleSplit! cycleTail cyclic? delay delete distance elt empty
+   empty? entries entry? eq? every? explicitEntries? explicitlyEmpty? explicitlyFinite? extend fill! filterUntil
+   filterWhile find findCycle first frst generate index? indices insert last lazy? lazyEvaluate leaf? less? map map!
+   maxIndex member? members minIndex more? new node? nodes numberOfComputedEntries output parts possiblyInfinite? qelt
+   qsetelt! reduce remove removeDuplicates repeating repeating? rest rst second select setchildren! setelt setfirst!
+   setlast! setrest! setvalue! showAll? showAllElements size? split! swap! tail third value}
+%
+\condata{STRTBL}{StringTable}{TableAggregate}{{\tt \#} {\tt =} any? bag coerce construct copy count dictionary elt
+   empty empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect key? keys less? map
+   map! maxIndex member? members minIndex more? parts qelt qsetelt! reduce remove remove! removeDuplicates search select
+   select! setelt size? swap! table}
+%
+\condata{STRING}{String}{StringCategory}{{\tt \#} {\tt <} {\tt =} any? coerce concat construct copy copyInto! count
+   delete elt empty empty? entries entry? eq? every? fill! find first index? indices insert leftTrim less? lowerCase
+   lowerCase! map map! match? max maxIndex member? members merge min minIndex more? new parts position prefix? qelt
+   qsetelt! reduce remove removeDuplicates replace reverse reverse! rightTrim select setelt size? sort sort! sorted? split
+   string substring? suffix? swap! trim upperCase upperCase!}
+%
+\condata{COMPPROP}{SubSpaceComponentProperty}{SetCategory}{{\tt =} close closed? coerce copy new solid solid?}
+%
+\condata{SUBSPACE}{SubSpace}{SetCategory}{{\tt =} addPoint addPoint2 addPointLast birth child children closeComponent
+   coerce deepCopy defineProperty extractClosed extractIndex extractPoint extractProperty internal? leaf? level merge
+   modifyPoint new numberOfChildren parent pointData root? separate shallowCopy subspace traverse}
+%
+\condata{SUCH}{SuchThat}{SetCategory}{{\tt =} coerce construct lhs rhs}
+%
+\condata{SYMBOL}{Symbol}{ConvertibleTo OrderedSet PatternMatchable}{{\tt <} {\tt =} argscript coerce convert elt list
+   max min name new patternMatch resetNew script scripted? scripts string subscript superscript}
+%
+\condata{SYMPOLY}{SymmetricPolynomial}{FiniteAbelianMonoidRing}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =}
+   associates? characteristic charthRoot coefficient coefficients coerce content degree exquo ground ground?
+   leadingCoefficient leadingMonomial map mapExponents minimumDegree monomial monomial? numberOfMonomials one?
+   primitivePart recip reductum retract retractIfCan unit? unitCanonical unitNormal zero?}
+%
+\condata{TABLEAU}{Tableau}{Object}{coerce listOfLists tableau}
+%
+\condata{TABLE}{Table}{TableAggregate}{{\tt \#} {\tt =} any? bag coerce construct copy count dictionary elt empty
+   empty? entries entry? eq? every? extract! fill! find first index? indices insert! inspect key? keys less? map map!
+   maxIndex member? members minIndex more? parts qelt qsetelt! reduce remove remove! removeDuplicates search select
+   select! setelt size? swap! table}
+%
+\condata{TS}{TaylorSeries}{MultivariateTaylorSeriesCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt =} D
+   acos acosh acot acoth acsc acsch asec asech asin asinh associates? atan atanh characteristic charthRoot coefficient
+   coerce complete cos cosh cot coth csc csch degree differentiate eval exp exquo extend fintegrate integrate
+   leadingCoefficient leadingMonomial log map monomial monomial? nthRoot one? order pi pole? polynomial recip reductum sec
+   sech sin sinh sqrt tan tanh unit? unitCanonical unitNormal variables zero?}
+%
+\condata{TEX1}{TexFormat1}{Object}{coerce}
+%
+\condata{TEX}{TexFormat}{SetCategory}{{\tt =} coerce convert display epilogue new prologue setEpilogue! setPrologue!
+   setTex! tex}
+%
+\condata{TEXTFILE}{TextFile}{FileCategory}{{\tt =} close! coerce endOfFile? iomode name open read! readIfCan! readLine!
+   readLineIfCan! reopen! write! writeLine!}
+%
+\condata{VIEW3D}{ThreeDimensionalViewport}{SetCategory}{{\tt =} axes clipSurface close coerce colorDef controlPanel
+   diagonals dimensions drawStyle eyeDistance hitherPlane intensity key lighting makeViewport3D modifyPointData move
+   options outlineRender perspective reset resize rotate showClipRegion showRegion subspace title translate
+   viewDeltaXDefault viewDeltaYDefault viewPhiDefault viewThetaDefault viewZoomDefault viewpoint viewport3D write zoom}
+%
+\condata{SPACE3}{ThreeSpace}{ThreeSpaceCategory}{{\tt =} check closedCurve closedCurve? coerce components composite
+   composites copy create3Space curve curve? enterPointData lllip lllp llprop lp lprop merge mesh mesh? modifyPointData
+   numberOfComponents numberOfComposites objects point point? polygon polygon? subspace}
+%
+\condata{TREE}{Tree}{RecursiveAggregate}{{\tt \#} {\tt =} any? children coerce copy count cyclic? elt empty empty? eq?
+   every? leaf? leaves less? map map! member? members more? node? nodes parts setchildren! setelt setvalue! size? tree
+   value}
+%
+\condata{TUBE}{TubePlot}{}{closed? getCurve listLoops open? setClosed tube}
+%
+\condata{TUPLE}{Tuple}{CoercibleTo SetCategory}{{\tt =} coerce length select}
+%
+\condata{ARRAY2}{TwoDimensionalArray}{TwoDimensionalArrayCategory}{{\tt \#} {\tt =} any? coerce column copy count elt
+   empty empty? eq? every? fill! less? map map! maxColIndex maxRowIndex member? members minColIndex minRowIndex more?
+   ncols new nrows parts qelt qsetelt! row setColumn! setRow! setelt size?}
+%
+\condata{VIEW2D}{TwoDimensionalViewport}{SetCategory}{{\tt =} axes close coerce connect controlPanel dimensions
+   getGraph graphState graphStates graphs key makeViewport2D move options points putGraph region reset resize scale show
+   title translate units viewport2D write}
+%
+\condata{ULSCONS}{UnivariateLaurentSeriesConstructor}{UnivariateLaurentSeriesConstructorCategory}{0 1 {\tt *} {\tt **}
+   {\tt +} {\tt -} {\tt /} {\tt <} {\tt =} D abs acos acosh acot acoth acsc acsch approximate asec asech asin asinh
+   associates? atan atanh ceiling center characteristic charthRoot coefficient coerce complete conditionP convert cos cosh
+   cot coth csc csch degree denom denominator differentiate divide elt euclideanSize eval exp expressIdealMember exquo
+   extend extendedEuclidean factor factorPolynomial factorSquareFreePolynomial floor fractionPart gcd gcdPolynomial init
+   integrate inv laurent lcm leadingCoefficient leadingMonomial log map max min monomial monomial? multiEuclidean
+   multiplyCoefficients multiplyExponents negative? nextItem nthRoot numer numerator one? order patternMatch pi pole?
+   positive? prime? principalIdeal quo random rationalFunction recip reducedSystem reductum rem removeZeroes retract
+   retractIfCan sec sech series sign sin sinh sizeLess? solveLinearPolynomialEquation sqrt squareFree squareFreePart
+   squareFreePolynomial tan tanh taylor taylorIfCan taylorRep terms truncate unit? unitCanonical unitNormal variable
+   variables wholePart zero?}
+%
+\condata{ULS}{UnivariateLaurentSeries}{UnivariateLaurentSeriesConstructorCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -}
+   {\tt /} {\tt =} D acos acosh acot acoth acsc acsch approximate asec asech asin asinh associates? atan atanh center
+   characteristic charthRoot coefficient coerce complete cos cosh cot coth csc csch degree denom denominator differentiate
+   divide elt euclideanSize eval exp expressIdealMember exquo extend extendedEuclidean factor gcd integrate inv laurent
+   lcm leadingCoefficient leadingMonomial log map monomial monomial? multiEuclidean multiplyCoefficients multiplyExponents
+   nthRoot numer numerator one? order pi pole? prime? principalIdeal quo rationalFunction recip reducedSystem reductum rem
+   removeZeroes retract retractIfCan sec sech series sin sinh sizeLess? sqrt squareFree squareFreePart tan tanh taylor
+   taylorIfCan taylorRep terms truncate unit? unitCanonical unitNormal variable variables zero?}
+%
+\condata{UP}{UnivariatePolynomial}{UnivariatePolynomialCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt <}
+   {\tt =} D associates? characteristic charthRoot coefficient coefficients coerce composite conditionP content degree
+   differentiate discriminant divide divideExponents elt euclideanSize eval expressIdealMember exquo extendedEuclidean
+   factor factorPolynomial factorSquareFreePolynomial gcd gcdPolynomial ground ground? init integrate isExpt isPlus
+   isTimes lcm leadingCoefficient leadingMonomial mainVariable makeSUP map mapExponents max min minimumDegree monicDivide
+   monomial monomial? monomials multiEuclidean multiplyExponents multivariate nextItem numberOfMonomials one? order prime?
+   primitiveMonomials primitivePart principalIdeal pseudoDivide pseudoQuotient pseudoRemainder quo recip reducedSystem
+   reductum rem resultant retract retractIfCan separate sizeLess? solveLinearPolynomialEquation squareFree squareFreePart
+   squareFreePolynomial subResultantGcd totalDegree unit? unitCanonical unitNormal univariate unmakeSUP variables
+   vectorise zero?}
+%
+\condata{UPXSCONS}{UnivariatePuiseuxSeriesConstructor}{UnivariatePuiseuxSeriesConstructorCategory}{0 1 {\tt *} {\tt **}
+   {\tt +} {\tt -} {\tt /} {\tt =} D acos acosh acot acoth acsc acsch approximate asec asech asin asinh associates? atan
+   atanh center characteristic charthRoot coefficient coerce complete cos cosh cot coth csc csch degree differentiate
+   divide elt euclideanSize eval exp expressIdealMember exquo extend extendedEuclidean factor gcd integrate inv laurent
+   laurentIfCan laurentRep lcm leadingCoefficient leadingMonomial log map monomial monomial? multiEuclidean
+   multiplyExponents nthRoot one? order pi pole? prime? principalIdeal puiseux quo rationalPower recip reductum rem
+   retract retractIfCan sec sech series sin sinh sizeLess? sqrt squareFree squareFreePart tan tanh terms truncate unit?
+   unitCanonical unitNormal variable variables zero?}
+%
+\condata{UPXS}{UnivariatePuiseuxSeries}{UnivariatePuiseuxSeriesConstructorCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt
+   -} {\tt /} {\tt =} D acos acosh acot acoth acsc acsch approximate asec asech asin asinh associates? atan atanh center
+   characteristic charthRoot coefficient coerce complete cos cosh cot coth csc csch degree differentiate divide elt
+   euclideanSize eval exp expressIdealMember exquo extend extendedEuclidean factor gcd integrate inv laurent laurentIfCan
+   laurentRep lcm leadingCoefficient leadingMonomial log map monomial monomial? multiEuclidean multiplyExponents nthRoot
+   one? order pi pole? prime? principalIdeal puiseux quo rationalPower recip reductum rem retract retractIfCan sec sech
+   series sin sinh sizeLess? sqrt squareFree squareFreePart tan tanh terms truncate unit? unitCanonical unitNormal
+   variable variables zero?}
+%
+\condata{UTS}{UnivariateTaylorSeries}{UnivariateTaylorSeriesCategory}{0 1 {\tt *} {\tt **} {\tt +} {\tt -} {\tt /} {\tt
+   =} D acos acosh acot acoth acsc acsch approximate asec asech asin asinh associates? atan atanh center characteristic
+   charthRoot coefficient coefficients coerce complete cos cosh cot coth csc csch degree differentiate elt eval
+   evenlambert exp exquo extend generalLambert integrate invmultisect lagrange lambert leadingCoefficient leadingMonomial
+   log map monomial monomial? multiplyCoefficients multiplyExponents multisect nthRoot oddlambert one? order pi pole?
+   polynomial quoByVar recip reductum revert sec sech series sin sinh sqrt tan tanh terms truncate unit? unitCanonical
+   unitNormal univariatePolynomial variable variables zero?}
+%
+\condata{UNISEG}{UniversalSegment}{SegmentCategory SegmentExpansionCategory}{{\tt =} BY SEGMENT coerce convert expand
+   hasHi hi high incr lo low map segment}
+%
+\condata{VARIABLE}{Variable}{CoercibleTo SetCategory}{{\tt =} coerce variable}
+%
+\condata{VECTOR}{Vector}{VectorCategory}{{\tt \#} {\tt *} {\tt +} {\tt -} {\tt <} {\tt =} any? coerce concat construct
+   convert copy copyInto! count delete dot elt empty empty? entries entry? eq? every? fill! find first index? indices
+   insert less? map map! max maxIndex member? members merge min minIndex more? new parts position qelt qsetelt! reduce
+   remove removeDuplicates reverse reverse! select setelt size? sort sort! sorted? swap! vector zero}
+%
+\condata{VOID}{Void}{}{coerce void}
+%
+%
+% ----------------------------------------------------------------------
+%\end{constructorListing}
+% ----------------------------------------------------------------------
+
+
+
+\setcounter{chapter}{3} % Appendix D
+
+%\twocolumn[%
+\chapter{Packages}
+\label{ugAppPackages}
+
+This is a listing of all packages in the Axiom library at the
+time this book was produced.
+Use the Browse facility (described in Chapter 
+\ref{ugBrowse} on page~\pageref{ugBrowse})
+to get more information about these constructors.
+
+This sample entry will help you read the following table:
+
+PackageName{PackageAbbreviation}:{$\hbox{{\sf Category}}_{1}$%
+\ldots$\hbox{{\sf Category}}_{N}$}{\sl with }%
+{$\hbox{{\rm op}}_{1}$\ldots$\hbox{{\rm op}}_{M}$}
+
+where
+
+\begin{tabular}{@{\quad}ll}
+PackageName & is the full package name, e.g., {\sf PadeApproximantPackage}. \\
+PackageAbbreviation & is the package abbreviation, e.g., {\sf PADEPAC}.\\
+$\hbox{{\sf Category}}_{i}$ & is a category to which the package belongs. \\
+$\hbox{{\rm op}}_{j}$ & is an operation exported by the package.
+\end{tabular}
+
+\appendix{Packages}
+
+% ----------------------------------------------------------------------
+%\begin{constructorListing}
+% ----------------------------------------------------------------------
+\condata{AF}{AlgebraicFunction}{}{{\tt **} belong? definingPolynomial inrootof iroot minPoly operator rootOf}
+%
+\condata{INTHERAL}{AlgebraicHermiteIntegration}{}{HermiteIntegrate}
+%
+\condata{INTALG}{AlgebraicIntegrate}{}{algintegrate palginfieldint palgintegrate}
+%
+\condata{INTAF}{AlgebraicIntegration}{}{algint}
+%
+\condata{ALGMANIP}{AlgebraicManipulations}{}{ratDenom ratPoly rootKerSimp rootSimp rootSplit}
+%
+\condata{ALGMFACT}{AlgebraicMultFact}{}{factor}
+%
+\condata{ALGPKG}{AlgebraPackage}{}{basisOfCenter basisOfCentroid basisOfCommutingElements basisOfLeftAnnihilator
+   basisOfLeftNucleus basisOfLeftNucloid basisOfMiddleNucleus basisOfNucleus basisOfRightAnnihilator basisOfRightNucleus
+   basisOfRightNucloid biRank doubleRank leftRank radicalOfLeftTraceForm rightRank weakBiRank}
+%
+\condata{ALGFACT}{AlgFactor}{}{doublyTransitive? factor split}
+%
+\condata{ANY1}{AnyFunctions1}{}{coerce retract retractIfCan retractable?}
+%
+\condata{APPRULE}{ApplyRules}{}{applyRules localUnquote}
+%
+\condata{PMPRED}{AttachPredicates}{}{suchThat}
+%
+\condata{BALFACT}{BalancedFactorisation}{}{balancedFactorisation}
+%
+\condata{BOP1}{BasicOperatorFunctions1}{}{constantOpIfCan constantOperator derivative evaluate}
+%
+\condata{BEZOUT}{BezoutMatrix}{}{bezoutDiscriminant bezoutMatrix bezoutResultant}
+%
+\condata{BOUNDZRO}{BoundIntegerRoots}{}{integerBound}
+%
+\condata{CARTEN2}{CartesianTensorFunctions2}{}{map reshape}
+%
+\condata{CHVAR}{ChangeOfVariable}{}{chvar eval goodPoint mkIntegral radPoly rootPoly}
+%
+\condata{CHARPOL}{CharacteristicPolynomialPackage}{}{characteristicPolynomial}
+%
+\condata{CVMP}{CoerceVectorMatrixPackage}{}{coerce coerceP}
+%
+\condata{COMBF}{CombinatorialFunction}{}{{\tt **} belong? binomial factorial factorials iibinom iidprod iidsum iifact
+   iiperm iipow ipow operator permutation product summation}
+%
+\condata{CDEN}{CommonDenominator}{}{clearDenominator commonDenominator splitDenominator}
+%
+\condata{COMMONOP}{CommonOperators}{}{operator}
+%
+\condata{COMMUPC}{CommuteUnivariatePolynomialCategory}{}{swap}
+%
+\condata{COMPFACT}{ComplexFactorization}{}{factor}
+%
+\condata{COMPLEX2}{ComplexFunctions2}{}{map}
+%
+\condata{CINTSLPE}{ComplexIntegerSolveLinearPolynomialEquation}{}{solveLinearPolynomialEquation}
+%
+\condata{CRFP}{ComplexRootFindingPackage}{}{complexZeros divisorCascade factor graeffe norm pleskenSplit
+   reciprocalPolynomial rootRadius schwerpunkt setErrorBound startPolynomial}
+%
+\condata{CMPLXRT}{ComplexRootPackage}{}{complexZeros}
+%
+\condata{ODECONST}{ConstantLODE}{}{constDsolve}
+%
+\condata{COORDSYS}{CoordinateSystems}{}{bipolar bipolarCylindrical cartesian conical cylindrical elliptic
+   ellipticCylindrical oblateSpheroidal parabolic parabolicCylindrical paraboloidal polar prolateSpheroidal spherical
+   toroidal}
+%
+\condata{CRAPACK}{CRApackage}{}{chineseRemainder modTree multiEuclideanTree}
+%
+\condata{CYCLES}{CycleIndicators}{}{SFunction alternating cap complete cup cyclic dihedral elementary eval graphs
+   powerSum skewSFunction wreath}
+%
+\condata{CSTTOOLS}{CyclicStreamTools}{}{computeCycleEntry computeCycleLength cycleElt}
+%
+\condata{CYCLOTOM}{CyclotomicPolynomialPackage}{}{cyclotomic cyclotomicDecomposition cyclotomicFactorization}
+%
+\condata{DEGRED}{DegreeReductionPackage}{}{expand reduce}
+%
+\condata{DIOSP}{DiophantineSolutionPackage}{}{dioSolve}
+%
+\condata{DIRPROD2}{DirectProductFunctions2}{}{map reduce scan}
+%
+\condata{DLP}{DiscreteLogarithmPackage}{}{shanksDiscLogAlgorithm}
+%
+\condata{DISPLAY}{DisplayPackage}{}{bright center copies newLine say sayLength}
+%
+\condata{DDFACT}{DistinctDegreeFactorize}{}{distdfact exptMod factor irreducible? separateDegrees separateFactors
+   tracePowMod}
+%
+\condata{DBLRESP}{DoubleResultantPackage}{}{doubleResultant}
+%
+\condata{DRAWHACK}{DrawNumericHack}{}{coerce}
+%
+\condata{DROPT0}{DrawOptionFunctions0}{}{adaptive clipBoolean coordinate curveColorPalette pointColorPalette ranges
+   space style title toScale tubePoints tubeRadius units var1Steps var2Steps}
+%
+\condata{DROPT1}{DrawOptionFunctions1}{}{option}
+%
+\condata{EP}{EigenPackage}{}{characteristicPolynomial eigenvalues eigenvector eigenvectors inteigen}
+%
+\condata{ODEEF}{ElementaryFunctionODESolver}{}{solve}
+%
+\condata{SIGNEF}{ElementaryFunctionSign}{}{sign}
+%
+\condata{EFSTRUC}{ElementaryFunctionStructurePackage}{}{normalize realElementary rischNormalize validExponential}
+%
+\condata{EFUTS}{ElementaryFunctionsUnivariateTaylorSeries}{}{{\tt **} acos acosh acot acoth acsc acsch asec asech asin
+   asinh atan atanh cos cosh cot coth csc csch exp log sec sech sin sincos sinh sinhcosh tan tanh}
+%
+\condata{EF}{ElementaryFunction}{}{acos acosh acot acoth acsc acsch asec asech asin asinh atan atanh belong? cos cosh
+   cot coth csc csch exp iiacos iiacosh iiacot iiacoth iiacsc iiacsch iiasec iiasech iiasin iiasinh iiatan iiatanh iicos
+   iicosh iicot iicoth iicsc iicsch iiexp iilog iisec iisech iisin iisinh iitan iitanh log operator pi sec sech sin sinh
+   specialTrigs tan tanh}
+%
+\condata{INTEF}{ElementaryIntegration}{}{lfextendedint lfextlimint lfinfieldint lfintegrate lflimitedint}
+%
+\condata{RDEEF}{ElementaryRischDE}{}{rischDE}
+%
+\condata{ELFUTS}{EllipticFunctionsUnivariateTaylorSeries}{}{cn dn sn sncndn}
+%
+\condata{EQ2}{EquationFunctions2}{}{map}
+%
+\condata{ERROR}{ErrorFunctions}{}{error}
+%
+\condata{GBEUCLID}{EuclideanGroebnerBasisPackage}{}{euclideanGroebner euclideanNormalForm}
+%
+\condata{EVALCYC}{EvaluateCycleIndicators}{}{eval}
+%
+\condata{EXPR2}{ExpressionFunctions2}{}{map}
+%
+\condata{ES1}{ExpressionSpaceFunctions1}{}{map}
+%
+\condata{ES2}{ExpressionSpaceFunctions2}{}{map}
+%
+\condata{EXPRODE}{ExpressionSpaceODESolver}{}{seriesSolve}
+%
+\condata{EXPR2UPS}{ExpressionToUnivariatePowerSeries}{}{laurent puiseux series taylor}
+%
+\condata{EXPRTUBE}{ExpressionTubePlot}{}{constantToUnaryFunction tubePlot}
+%
+\condata{FR2}{FactoredFunctions2}{}{map}
+%
+\condata{FACTFUNC}{FactoredFunctions}{}{log nthRoot}
+%
+\condata{FRUTIL}{FactoredFunctionUtilities}{}{mergeFactors refine}
+%
+\condata{FACUTIL}{FactoringUtilities}{}{completeEval degree lowerPolynomial normalDeriv raisePolynomial ran variables}
+%
+\condata{FORDER}{FindOrderFinite}{}{order}
+%
+\condata{FDIV2}{FiniteDivisorFunctions2}{}{map}
+%
+\condata{FFF}{FiniteFieldFunctions}{}{createMultiplicationMatrix createMultiplicationTable createZechTable
+   sizeMultiplication}
+%
+\condata{FFHOM}{FiniteFieldHomomorphisms}{}{coerce}
+%
+\condata{FFPOLY2}{FiniteFieldPolynomialPackage2}{}{rootOfIrreduciblePoly}
+%
+\condata{FFPOLY}{FiniteFieldPolynomialPackage}{}{createIrreduciblePoly createNormalPoly createNormalPrimitivePoly
+   createPrimitiveNormalPoly createPrimitivePoly leastAffineMultiple nextIrreduciblePoly nextNormalPoly
+   nextNormalPrimitivePoly nextPrimitiveNormalPoly nextPrimitivePoly normal? numberOfIrreduciblePoly numberOfNormalPoly
+   numberOfPrimitivePoly primitive? random reducedQPowers}
+%
+\condata{FFSLPE}{FiniteFieldSolveLinearPolynomialEquation}{}{solveLinearPolynomialEquation}
+%
+\condata{FLAGG2}{FiniteLinearAggregateFunctions2}{}{map reduce scan}
+%
+\condata{FLASORT}{FiniteLinearAggregateSort}{}{heapSort quickSort shellSort}
+%
+\condata{FSAGG2}{FiniteSetAggregateFunctions2}{}{map reduce scan}
+%
+\condata{FLOATCP}{FloatingComplexPackage}{}{complexRoots complexSolve}
+%
+\condata{FLOATRP}{FloatingRealPackage}{}{realRoots solve}
+%
+\condata{FRIDEAL2}{FractionalIdealFunctions2}{}{map}
+%
+\condata{FRAC2}{FractionFunctions2}{}{map}
+%
+\condata{FSPECF}{FunctionalSpecialFunction}{}{Beta Gamma abs airyAi airyBi belong? besselI besselJ besselK besselY
+   digamma iiGamma iiabs operator polygamma}
+%
+\condata{FFCAT2}{FunctionFieldCategoryFunctions2}{}{map}
+%
+\condata{FFINTBAS}{FunctionFieldIntegralBasis}{}{integralBasis}
+%
+\condata{PMASSFS}{FunctionSpaceAssertions}{}{assert constant multiple optional}
+%
+\condata{PMPREDFS}{FunctionSpaceAttachPredicates}{}{suchThat}
+%
+\condata{FSCINT}{FunctionSpaceComplexIntegration}{}{complexIntegrate internalIntegrate}
+%
+\condata{FS2}{FunctionSpaceFunctions2}{}{map}
+%
+\condata{FSINT}{FunctionSpaceIntegration}{}{integrate}
+%
+\condata{FSPRMELT}{FunctionSpacePrimitiveElement}{}{primitiveElement}
+%
+\condata{FSRED}{FunctionSpaceReduce}{}{bringDown newReduc}
+%
+\condata{SUMFS}{FunctionSpaceSum}{}{sum}
+%
+\condata{FS2UPS}{FunctionSpaceToUnivariatePowerSeries}{}{exprToGenUPS exprToUPS}
+%
+\condata{FSUPFACT}{FunctionSpaceUnivariatePolynomialFactor}{}{ffactor qfactor}
+%
+\condata{GAUSSFAC}{GaussianFactorizationPackage}{}{factor prime? sumSquares}
+%
+\condata{GHENSEL}{GeneralHenselPackage}{}{HenselLift completeHensel}
+%
+\condata{GENPGCD}{GeneralPolynomialGcdPackage}{}{gcdPolynomial randomR}
+%
+\condata{GENUPS}{GenerateUnivariatePowerSeries}{}{laurent puiseux series taylor}
+%
+\condata{GENEEZ}{GenExEuclid}{}{compBound reduction solveid tablePow testModulus}
+%
+\condata{GENUFACT}{GenUFactorize}{}{factor}
+%
+\condata{INTG0}{GenusZeroIntegration}{}{palgLODE0 palgRDE0 palgextint0 palgint0 palglimint0}
+%
+\condata{GOSPER}{GosperSummationMethod}{}{GospersMethod}
+%
+\condata{GRDEF}{GraphicsDefaults}{}{adaptive clipPointsDefault drawToScale maxPoints minPoints screenResolution}
+%
+\condata{GRAY}{GrayCode}{}{firstSubsetGray nextSubsetGray}
+%
+\condata{GBF}{GroebnerFactorizationPackage}{}{factorGroebnerBasis groebnerFactorize}
+%
+\condata{GBINTERN}{GroebnerInternalPackage}{}{credPol critB critBonD critM critMTonD1 critMonD1 critT critpOrder
+   fprindINFO gbasis hMonic lepol makeCrit minGbasis prinb prindINFO prinpolINFO prinshINFO redPo redPol sPol updatD
+   updatF virtualDegree}
+%
+\condata{GB}{GroebnerPackage}{}{groebner normalForm}
+%
+\condata{GROEBSOL}{GroebnerSolve}{}{genericPosition groebSolve testDim}
+%
+\condata{HB}{HallBasis}{}{generate inHallBasis? lfunc}
+%
+\condata{HEUGCD}{HeuGcd}{}{content contprim gcd gcdcofact gcdcofactprim gcdprim lintgcd}
+%
+\condata{IDECOMP}{IdealDecompositionPackage}{}{primaryDecomp prime? radical zeroDimPrimary? zeroDimPrime?}
+%
+\condata{INCRMAPS}{IncrementingMaps}{}{increment incrementBy}
+%
+\condata{ITFUN2}{InfiniteTupleFunctions2}{}{map}
+%
+\condata{ITFUN3}{InfiniteTupleFunctions3}{}{map}
+%
+\condata{INFINITY}{Infinity}{}{infinity minusInfinity plusInfinity}
+%
+\condata{IALGFACT}{InnerAlgFactor}{}{factor}
+%
+\condata{ICDEN}{InnerCommonDenominator}{}{clearDenominator commonDenominator splitDenominator}
+%
+\condata{IMATLIN}{InnerMatrixLinearAlgebraFunctions}{}{determinant inverse nullSpace nullity rank rowEchelon}
+%
+\condata{IMATQF}{InnerMatrixQuotientFieldFunctions}{}{inverse nullSpace nullity rank rowEchelon}
+%
+\condata{INMODGCD}{InnerModularGcd}{}{modularGcd reduction}
+%
+\condata{INNMFACT}{InnerMultFact}{}{factor}
+%
+\condata{INBFF}{InnerNormalBasisFieldFunctions}{}{{\tt *} {\tt **} {\tt /} basis dAndcExp expPot index inv lookup
+   minimalPolynomial norm normal? normalElement pol qPot random repSq setFieldInfo trace xn}
+%
+\condata{INEP}{InnerNumericEigenPackage}{}{charpol innerEigenvectors}
+%
+\condata{INFSP}{InnerNumericFloatSolvePackage}{}{innerSolve innerSolve1 makeEq}
+%
+\condata{INPSIGN}{InnerPolySign}{}{signAround}
+%
+\condata{ISUMP}{InnerPolySum}{}{sum}
+%
+\condata{ITRIGMNP}{InnerTrigonometricManipulations}{}{F2FG FG2F GF2FG explogs2trigs trigs2explogs}
+%
+\condata{INFORM1}{InputFormFunctions1}{}{interpret packageCall}
+%
+\condata{COMBINAT}{IntegerCombinatoricFunctions}{}{binomial factorial multinomial partition permutation stirling1
+   stirling2}
+%
+\condata{INTFACT}{IntegerFactorizationPackage}{}{BasicMethod PollardSmallFactor factor squareFree}
+%
+\condata{ZLINDEP}{IntegerLinearDependence}{}{linearDependenceOverZ linearlyDependentOverZ? solveLinearlyOverQ}
+%
+\condata{INTHEORY}{IntegerNumberTheoryFunctions}{}{bernoulli chineseRemainder divisors euler eulerPhi fibonacci
+   harmonic jacobi legendre moebiusMu numberOfDivisors sumOfDivisors sumOfKthPowerDivisors}
+%
+\condata{PRIMES}{IntegerPrimesPackage}{}{nextPrime prevPrime prime? primes}
+%
+\condata{INTRET}{IntegerRetractions}{}{integer integer? integerIfCan}
+%
+\condata{IROOT}{IntegerRoots}{}{approxNthRoot approxSqrt perfectNthPower? perfectNthRoot perfectSqrt perfectSquare?}
+%
+\condata{IBATOOL}{IntegralBasisTools}{}{diagonalProduct idealiser leastPower}
+%
+\condata{IR2}{IntegrationResultFunctions2}{}{map}
+%
+\condata{IRRF2F}{IntegrationResultRFToFunction}{}{complexExpand complexIntegrate expand integrate split}
+%
+\condata{IR2F}{IntegrationResultToFunction}{}{complexExpand expand split}
+%
+\condata{INTTOOLS}{IntegrationTools}{}{kmax ksec mkPrim union vark varselect}
+%
+\condata{INVLAPLA}{InverseLaplaceTransform}{}{inverseLaplace}
+%
+\condata{IRREDFFX}{IrredPolyOverFiniteField}{}{generateIrredPoly}
+%
+\condata{IRSN}{IrrRepSymNatPackage}{}{dimensionOfIrreducibleRepresentation irreducibleRepresentation}
+%
+\condata{KERNEL2}{KernelFunctions2}{}{constantIfCan constantKernel}
+%
+\condata{KOVACIC}{Kovacic}{}{kovacic}
+%
+\condata{LAPLACE}{LaplaceTransform}{}{laplace}
+%
+\condata{LEADCDET}{LeadingCoefDetermination}{}{distFact polCase}
+%
+\condata{LINDEP}{LinearDependence}{}{linearDependence linearlyDependent? solveLinear}
+%
+\condata{LPEFRAC}{LinearPolynomialEquationByFractions}{}{solveLinearPolynomialEquationByFractions}
+%
+\condata{LSMP}{LinearSystemMatrixPackage}{}{aSolution hasSolution? rank solve}
+%
+\condata{LSPP}{LinearSystemPolynomialPackage}{}{linSolve}
+%
+\condata{LGROBP}{LinGrobnerPackage}{}{anticoord choosemon computeBasis coordinate groebgen intcompBasis linGenPos
+   minPol totolex transform}
+%
+\condata{LF}{LiouvillianFunction}{}{Ci Ei Si belong? dilog erf integral li operator}
+%
+\condata{LIST2}{ListFunctions2}{}{map reduce scan}
+%
+\condata{LIST3}{ListFunctions3}{}{map}
+%
+\condata{LIST2MAP}{ListToMap}{}{match}
+%
+\condata{MKBCFUNC}{MakeBinaryCompiledFunction}{}{binaryFunction compiledFunction}
+%
+\condata{MKFLCFN}{MakeFloatCompiledFunction}{}{makeFloatFunction}
+%
+\condata{MKFUNC}{MakeFunction}{}{function}
+%
+\condata{MKRECORD}{MakeRecord}{}{makeRecord}
+%
+\condata{MKUCFUNC}{MakeUnaryCompiledFunction}{}{compiledFunction unaryFunction}
+%
+\condata{MAPPKG1}{MappingPackage1}{}{{\tt **} coerce fixedPoint id nullary recur}
+%
+\condata{MAPPKG2}{MappingPackage2}{}{const constant curry diag}
+%
+\condata{MAPPKG3}{MappingPackage3}{}{{\tt *} constantLeft constantRight curryLeft curryRight twist}
+%
+\condata{MAPHACK1}{MappingPackageInternalHacks1}{}{iter recur}
+%
+\condata{MAPHACK2}{MappingPackageInternalHacks2}{}{arg1 arg2}
+%
+\condata{MAPHACK3}{MappingPackageInternalHacks3}{}{comp}
+%
+\condata{MATCAT2}{MatrixCategoryFunctions2}{}{map reduce}
+%
+\condata{MCDEN}{MatrixCommonDenominator}{}{clearDenominator commonDenominator splitDenominator}
+%
+\condata{MATLIN}{MatrixLinearAlgebraFunctions}{}{determinant inverse minordet nullSpace nullity rank rowEchelon}
+%
+\condata{MTHING}{MergeThing}{}{mergeDifference}
+%
+\condata{MESH}{MeshCreationRoutinesForThreeDimensions}{}{meshFun2Var meshPar1Var meshPar2Var ptFunc}
+%
+\condata{MDDFACT}{ModularDistinctDegreeFactorizer}{}{ddFact exptMod factor gcd separateFactors}
+%
+\condata{MHROWRED}{ModularHermitianRowReduction}{}{rowEch rowEchelon}
+%
+\condata{MRF2}{MonoidRingFunctions2}{}{map}
+%
+\condata{MSYSCMD}{MoreSystemCommands}{}{systemCommand}
+%
+\condata{MPC2}{MPolyCatFunctions2}{}{map reshape}
+%
+\condata{MPC3}{MPolyCatFunctions3}{}{map}
+%
+\condata{MPRFF}{MPolyCatRationalFunctionFactorizer}{}{factor pushdown pushdterm pushucoef pushuconst pushup totalfract}
+%
+\condata{MRATFAC}{MRationalFactorize}{}{factor}
+%
+\condata{MFINFACT}{MultFiniteFactorize}{}{factor}
+%
+\condata{MMAP}{MultipleMap}{}{map}
+%
+\condata{MULTFACT}{MultivariateFactorize}{}{factor}
+%
+\condata{MLIFT}{MultivariateLifting}{}{corrPoly lifting lifting1}
+%
+\condata{MULTSQFR}{MultivariateSquareFree}{}{squareFree squareFreePrim}
+%
+\condata{NCODIV}{NonCommutativeOperatorDivision}{}{leftDivide leftExactQuotient leftGcd leftLcm leftQuotient
+   leftRemainder}
+%
+\condata{NONE1}{NoneFunctions1}{}{coerce}
+%
+\condata{NODE1}{NonLinearFirstOrderODESolver}{}{solve}
+%
+\condata{NLINSOL}{NonLinearSolvePackage}{}{solve solveInField}
+%
+\condata{NPCOEF}{NPCoef}{}{listexp npcoef}
+%
+\condata{NFINTBAS}{NumberFieldIntegralBasis}{}{discriminant integralBasis}
+%
+\condata{NUMFMT}{NumberFormats}{}{FormatArabic FormatRoman ScanArabic ScanRoman}
+%
+\condata{NTPOLFN}{NumberTheoreticPolynomialFunctions}{}{bernoulliB cyclotomic eulerE}
+%
+\condata{NUMODE}{NumericalOrdinaryDifferentialEquations}{}{rk4 rk4a rk4f rk4qc}
+%
+\condata{NUMQUAD}{NumericalQuadrature}{}{aromberg asimpson atrapezoidal romberg rombergo simpson simpsono trapezoidal
+   trapezoidalo}
+%
+\condata{NCEP}{NumericComplexEigenPackage}{}{characteristicPolynomial complexEigenvalues complexEigenvectors}
+%
+\condata{NCNTFRAC}{NumericContinuedFraction}{}{continuedFraction}
+%
+\condata{NREP}{NumericRealEigenPackage}{}{characteristicPolynomial realEigenvalues realEigenvectors}
+%
+\condata{NUMTUBE}{NumericTubePlot}{}{tube}
+%
+\condata{NUMERIC}{Numeric}{}{complexNumeric numeric}
+%
+\condata{OCTCT2}{OctonionCategoryFunctions2}{}{map}
+%
+\condata{ODEINT}{ODEIntegration}{}{expint int}
+%
+\condata{ODETOOLS}{ODETools}{}{particularSolution variationOfParameters wronskianMatrix}
+%
+\condata{ARRAY12}{OneDimensionalArrayFunctions2}{}{map reduce scan}
+%
+\condata{ONECOMP2}{OnePointCompletionFunctions2}{}{map}
+%
+\condata{OPQUERY}{OperationsQuery}{}{getDatabase}
+%
+\condata{ORDCOMP2}{OrderedCompletionFunctions2}{}{map}
+%
+\condata{ORDFUNS}{OrderingFunctions}{}{pureLex reverseLex totalLex}
+%
+\condata{ORTHPOL}{OrthogonalPolynomialFunctions}{}{ChebyshevU chebyshevT hermiteH laguerreL legendreP}
+%
+\condata{OUT}{OutputPackage}{}{output}
+%
+\condata{PADEPAC}{PadeApproximantPackage}{}{pade}
+%
+\condata{PADE}{PadeApproximants}{}{pade padecf}
+%
+\condata{YSTREAM}{ParadoxicalCombinatorsForStreams}{}{Y}
+%
+\condata{PARTPERM}{PartitionsAndPermutations}{}{conjugate conjugates partitions permutations sequences shuffle
+   shufflein}
+%
+\condata{PATTERN1}{PatternFunctions1}{}{addBadValue badValues predicate satisfy? suchThat}
+%
+\condata{PATTERN2}{PatternFunctions2}{}{map}
+%
+\condata{PMASS}{PatternMatchAssertions}{}{assert constant multiple optional}
+%
+\condata{PMFS}{PatternMatchFunctionSpace}{}{patternMatch}
+%
+\condata{PMINS}{PatternMatchIntegerNumberSystem}{}{patternMatch}
+%
+\condata{PMKERNEL}{PatternMatchKernel}{}{patternMatch}
+%
+\condata{PMLSAGG}{PatternMatchListAggregate}{}{patternMatch}
+%
+\condata{PMPLCAT}{PatternMatchPolynomialCategory}{}{patternMatch}
+%
+\condata{PMDOWN}{PatternMatchPushDown}{}{fixPredicate patternMatch}
+%
+\condata{PMQFCAT}{PatternMatchQuotientFieldCategory}{}{patternMatch}
+%
+\condata{PATRES2}{PatternMatchResultFunctions2}{}{map}
+%
+\condata{PMSYM}{PatternMatchSymbol}{}{patternMatch}
+%
+\condata{PMTOOLS}{PatternMatchTools}{}{patternMatch patternMatchTimes}
+%
+\condata{PATMATCH}{PatternMatch}{}{Is is?}
+%
+\condata{PERMAN}{Permanent}{}{permanent}
+%
+\condata{PGE}{PermutationGroupExamples}{}{abelianGroup alternatingGroup cyclicGroup dihedralGroup janko2 mathieu11
+   mathieu12 mathieu22 mathieu23 mathieu24 rubiksGroup symmetricGroup youngGroup}
+%
+\condata{PICOERCE}{PiCoercions}{}{coerce}
+%
+\condata{PLOT1}{PlotFunctions1}{}{plot plotPolar}
+%
+\condata{PLOTTOOL}{PlotTools}{}{calcRanges}
+%
+\condata{PTFUNC2}{PointFunctions2}{}{map}
+%
+\condata{PTPACK}{PointPackage}{}{color hue phiCoord rCoord shade thetaCoord xCoord yCoord zCoord}
+%
+\condata{PFOQ}{PointsOfFiniteOrderRational}{}{order torsion? torsionIfCan}
+%
+\condata{PFOTOOLS}{PointsOfFiniteOrderTools}{}{badNum doubleDisc getGoodPrime mix polyred}
+%
+\condata{PFO}{PointsOfFiniteOrder}{}{order torsion? torsionIfCan}
+%
+\condata{POLTOPOL}{PolToPol}{}{dmpToNdmp dmpToP ndmpToDmp ndmpToP pToDmp pToNdmp}
+%
+\condata{PGROEB}{PolyGroebner}{}{lexGroebner totalGroebner}
+%
+\condata{PAN2EXPR}{PolynomialAN2Expression}{}{coerce}
+%
+\condata{POLYLIFT}{PolynomialCategoryLifting}{}{map}
+%
+\condata{POLYCATQ}{PolynomialCategoryQuotientFunctions}{}{isExpt isPlus isPower isTimes mainVariable multivariate
+   univariate variables}
+%
+\condata{PFBRU}{PolynomialFactorizationByRecursionUnivariate}{}{bivariateSLPEBR factorByRecursion factorSFBRlcUnit
+   factorSquareFreeByRecursion randomR solveLinearPolynomialEquationByRecursion}
+%
+\condata{PFBR}{PolynomialFactorizationByRecursion}{}{bivariateSLPEBR factorByRecursion factorSFBRlcUnit
+   factorSquareFreeByRecursion randomR solveLinearPolynomialEquationByRecursion}
+%
+\condata{POLY2}{PolynomialFunctions2}{}{map}
+%
+\condata{PGCD}{PolynomialGcdPackage}{}{gcd gcdPrimitive}
+%
+\condata{PINTERPA}{PolynomialInterpolationAlgorithms}{}{LagrangeInterpolation}
+%
+\condata{PINTERP}{PolynomialInterpolation}{}{interpolate}
+%
+\condata{PNTHEORY}{PolynomialNumberTheoryFunctions}{}{bernoulli chebyshevT chebyshevU cyclotomic euler fixedDivisor
+   hermite laguerre legendre}
+%
+\condata{POLYROOT}{PolynomialRoots}{}{froot qroot rroot}
+%
+\condata{SOLVEFOR}{PolynomialSolveByFormulas}{}{aCubic aLinear aQuadratic aQuartic aSolution cubic linear mapSolve
+   quadratic quartic solve}
+%
+\condata{PSQFR}{PolynomialSquareFree}{}{squareFree}
+%
+\condata{POLY2UP}{PolynomialToUnivariatePolynomial}{}{univariate}
+%
+\condata{LIMITPS}{PowerSeriesLimitPackage}{}{complexLimit limit}
+%
+\condata{PRIMARR2}{PrimitiveArrayFunctions2}{}{map reduce scan}
+%
+\condata{PRIMELT}{PrimitiveElement}{}{primitiveElement}
+%
+\condata{ODEPRIM}{PrimitiveRatDE}{}{denomLODE}
+%
+\condata{ODEPRRIC}{PrimitiveRatRicDE}{}{changevar constantCoefficientRicDE denomRicDE leadingCoefficientRicDE polyRicDE
+   singRicDE}
+%
+\condata{PRINT}{PrintPackage}{}{print}
+%
+\condata{INTPAF}{PureAlgebraicIntegration}{}{palgLODE palgRDE palgextint palgint palglimint}
+%
+\condata{ODEPAL}{PureAlgebraicLODE}{}{algDsolve}
+%
+\condata{QALGSET2}{QuasiAlgebraicSet2}{}{radicalSimplify}
+%
+\condata{QUATCT2}{QuaternionCategoryFunctions2}{}{map}
+%
+\condata{QFCAT2}{QuotientFieldCategoryFunctions2}{}{map}
+%
+\condata{REP}{RadicalEigenPackage}{}{eigenMatrix gramschmidt normalise orthonormalBasis radicalEigenvalues
+   radicalEigenvector radicalEigenvectors}
+%
+\condata{SOLVERAD}{RadicalSolvePackage}{}{contractSolve radicalRoots radicalSolve}
+%
+\condata{RADUTIL}{RadixUtilities}{}{radix}
+%
+\condata{RANDSRC}{RandomNumberSource}{}{randnum reseed size}
+%
+\condata{RATFACT}{RationalFactorize}{}{factor}
+%
+\condata{DEFINTRF}{RationalFunctionDefiniteIntegration}{}{integrate}
+%
+\condata{RFFACTOR}{RationalFunctionFactorizer}{}{factorFraction}
+%
+\condata{RFFACT}{RationalFunctionFactor}{}{factor}
+%
+\condata{INTRF}{RationalFunctionIntegration}{}{extendedIntegrate infieldIntegrate internalIntegrate limitedIntegrate}
+%
+\condata{LIMITRF}{RationalFunctionLimitPackage}{}{complexLimit limit}
+%
+\condata{SIGNRF}{RationalFunctionSign}{}{sign}
+%
+\condata{SUMRF}{RationalFunctionSum}{}{sum}
+%
+\condata{RF}{RationalFunction}{}{coerce eval mainVariable multivariate univariate variables}
+%
+\condata{INTRAT}{RationalIntegration}{}{extendedint infieldint integrate limitedint}
+%
+\condata{ODERAT}{RationalLODE}{}{ratDsolve}
+%
+\condata{RATRET}{RationalRetractions}{}{rational rational? rationalIfCan}
+%
+\condata{ODERTRIC}{RationalRicDE}{}{changevar constantCoefficientRicDE polyRicDE ricDsolve singRicDE}
+%
+\condata{RTODETLS}{RatODETools}{}{genericPolynomial}
+%
+\condata{REALSOLV}{RealSolvePackage}{}{realSolve solve}
+%
+\condata{REAL0Q}{RealZeroPackageQ}{}{realZeros refine}
+%
+\condata{REAL0}{RealZeroPackage}{}{midpoint midpoints realZeros refine}
+%
+\condata{RMCAT2}{RectangularMatrixCategoryFunctions2}{}{map reduce}
+%
+\condata{RDIV}{ReducedDivisor}{}{order}
+%
+\condata{ODERED}{ReduceLODE}{}{reduceLODE}
+%
+\condata{REDORDER}{ReductionOfOrder}{}{ReduceOrder}
+%
+\condata{REPDB}{RepeatedDoubling}{}{double}
+%
+\condata{REPSQ}{RepeatedSquaring}{}{expt}
+%
+\condata{REP1}{RepresentationPackage1}{}{antisymmetricTensors createGenericMatrix permutationRepresentation
+   symmetricTensors tensorProduct}
+%
+\condata{REP2}{RepresentationPackage2}{}{areEquivalent? completeEchelonBasis createRandomElement cyclicSubmodule
+   isAbsolutelyIrreducible? meatAxe scanOneDimSubspaces split standardBasisOfCyclicSubmodule}
+%
+\condata{RESLATC}{ResolveLatticeCompletion}{}{coerce}
+%
+\condata{RETSOL}{RetractSolvePackage}{}{solveRetract}
+%
+\condata{SAERFFC}{SAERationalFunctionAlgFactor}{}{factor}
+%
+\condata{SEGBIND2}{SegmentBindingFunctions2}{}{map}
+%
+\condata{SEG2}{SegmentFunctions2}{}{map}
+%
+\condata{SAEFACT}{SimpleAlgebraicExtensionAlgFactor}{}{factor}
+%
+\condata{DFLOATSFUN}{DoubleFloatSpecialFunctions}{}{Beta Gamma airyAi airyBi besselI besselJ besselK besselY digamma
+   hypergeometric0F1 logGamma polygamma}
+%
+\condata{SCACHE}{SortedCache}{}{cache clearCache enterInCache}
+%
+\condata{SUP2}{SparseUnivariatePolynomialFunctions2}{}{map}
+%
+\condata{SPECOUT}{SpecialOutputPackage}{}{outputAsFortran outputAsScript outputAsTex}
+%
+\condata{MATSTOR}{StorageEfficientMatrixOperations}{}{{\tt **} copy! leftScalarTimes! minus! plus! power!
+   rightScalarTimes! times!}
+%
+\condata{STREAM1}{StreamFunctions1}{}{concat}
+%
+\condata{STREAM2}{StreamFunctions2}{}{map reduce scan}
+%
+\condata{STREAM3}{StreamFunctions3}{}{map}
+%
+\condata{STTAYLOR}{StreamTaylorSeriesOperations}{}{{\tt *} {\tt +} {\tt -} {\tt /} addiag coerce compose deriv eval
+   evenlambert gderiv generalLambert int integers integrate invmultisect lagrange lambert lazyGintegrate lazyIntegrate
+   mapdiv mapmult monom multisect nlde oddintegers oddlambert power powern recip revert}
+%
+\condata{STTF}{StreamTranscendentalFunctions}{}{{\tt **} acos acosh acot acoth acsc acsch asec asech asin asinh atan
+   atanh cos cosh cot coth csc csch exp log sec sech sin sincos sinh sinhcosh tan tanh}
+%
+\condata{SUBRESP}{SubResultantPackage}{}{primitivePart subresultantVector}
+%
+\condata{SYMFUNC}{SymmetricFunctions}{}{symFunc}
+%
+\condata{SGCF}{SymmetricGroupCombinatoricFunctions}{}{coleman inverseColeman listYoungTableaus makeYoungTableau
+   nextColeman nextLatticePermutation nextPartition numberOfImproperPartitions subSet unrankImproperPartitions0
+   unrankImproperPartitions1}
+%
+\condata{ODESYS}{SystemODESolver}{}{solveInField triangulate}
+%
+\condata{SYSSOLP}{SystemSolvePackage}{}{solve triangularSystems}
+%
+\condata{TABLBUMP}{TableauxBumpers}{}{bat bat1 bumprow bumptab bumptab1 inverse lex maxrow mr slex tab tab1 untab}
+%
+\condata{TANEXP}{TangentExpansions}{}{tanAn tanNa tanSum}
+%
+\condata{TOOLSIGN}{ToolsForSign}{}{direction nonQsign sign}
+%
+\condata{DRAWCURV}{TopLevelDrawFunctionsForAlgebraicCurves}{}{draw}
+%
+\condata{DRAWCFUN}{TopLevelDrawFunctionsForCompiledFunctions}{}{draw makeObject recolor}
+%
+\condata{DRAW}{TopLevelDrawFunctions}{}{draw makeObject}
+%
+\condata{TOPSP}{TopLevelThreeSpace}{}{createThreeSpace}
+%
+\condata{INTHERTR}{TranscendentalHermiteIntegration}{}{HermiteIntegrate}
+%
+\condata{INTTR}{TranscendentalIntegration}{}{expextendedint expintegrate expintfldpoly explimitedint primextendedint
+   primextintfrac primintegrate primintegratefrac primintfldpoly primlimintfrac primlimitedint}
+%
+\condata{TRMANIP}{TranscendentalManipulations}{}{cos2sec cosh2sech cot2tan cot2trig coth2tanh coth2trigh csc2sin
+   csch2sinh expand expandLog expandPower htrigs removeCosSq removeCoshSq removeSinSq removeSinhSq sec2cos sech2cosh
+   simplify simplifyExp sin2csc sinh2csch tan2cot tan2trig tanh2coth tanh2trigh}
+%
+\condata{RDETR}{TranscendentalRischDE}{}{DSPDE SPDE baseRDE expRDE primRDE}
+%
+\condata{SOLVESER}{TransSolvePackageService}{}{decomposeFunc unvectorise}
+%
+\condata{SOLVETRA}{TransSolvePackage}{}{solve}
+%
+\condata{TRIMAT}{TriangularMatrixOperations}{}{LowTriBddDenomInv UpTriBddDenomInv}
+%
+\condata{TRIGMNIP}{TrigonometricManipulations}{}{complexElementary complexNormalize imag real real? trigs}
+%
+\condata{TUBETOOL}{TubePlotTools}{}{{\tt *} {\tt +} {\tt -} cosSinInfo cross dot loopPoints point unitVector}
+%
+\condata{CLIP}{TwoDimensionalPlotClipping}{}{clip clipParametric clipWithRanges}
+%
+\condata{TWOFACT}{TwoFactorize}{}{generalSqFr generalTwoFactor twoFactor}
+%
+\condata{UNIFACT}{UnivariateFactorize}{}{factor factorSquareFree genFact henselFact henselfact quadratic sqroot
+   trueFactors}
+%
+\condata{ULS2}{UnivariateLaurentSeriesFunctions2}{}{map}
+%
+\condata{UPOLYC2}{UnivariatePolynomialCategoryFunctions2}{}{map}
+%
+\condata{UPCDEN}{UnivariatePolynomialCommonDenominator}{}{clearDenominator commonDenominator splitDenominator}
+%
+\condata{UP2}{UnivariatePolynomialFunctions2}{}{map}
+%
+\condata{UPSQFREE}{UnivariatePolynomialSquareFree}{}{BumInSepFFE squareFree squareFreePart}
+%
+\condata{UPXS2}{UnivariatePuiseuxSeriesFunctions2}{}{map}
+%
+\condata{UTS2}{UnivariateTaylorSeriesFunctions2}{}{map}
+%
+\condata{UTSODE}{UnivariateTaylorSeriesODESolver}{}{mpsode ode ode1 ode2 stFunc1 stFunc2 stFuncN}
+%
+\condata{UNISEG2}{UniversalSegmentFunctions2}{}{map}
+%
+\condata{UDPO}{UserDefinedPartialOrdering}{}{getOrder largest less? more? setOrder userOrdered?}
+%
+\condata{UDVO}{UserDefinedVariableOrdering}{}{getVariableOrder resetVariableOrder setVariableOrder}
+%
+\condata{VECTOR2}{VectorFunctions2}{}{map reduce scan}
+%
+\condata{VIEWDEF}{ViewDefaultsPackage}{}{axesColorDefault lineColorDefault pointColorDefault pointSizeDefault
+   tubePointsDefault tubeRadiusDefault unitsColorDefault var1StepsDefault var2StepsDefault viewDefaults viewPosDefault
+   viewSizeDefault viewWriteAvailable viewWriteDefault}
+%
+\condata{VIEW}{ViewportPackage}{}{coerce drawCurves graphCurves}
+%
+\condata{WEIER}{WeierstrassPreparation}{}{cfirst clikeUniv crest qqq sts2stst weierstrass}
+%
+\condata{WFFINTBS}{WildFunctionFieldIntegralBasis}{}{integralBasis listSquaredFactors}
+%
+%
+% ----------------------------------------------------------------------
+%\end{constructorListing}
+% ----------------------------------------------------------------------
+
+
+\setcounter{chapter}{4} % Appendix E
+%
+{
+%\twocolumn[%
+\chapter{Operations}
+\label{ugAppOperations}
+
+This appendix contains a partial list of Axiom operations
+with brief descriptions.
+For more details, use the Browse facility of HyperDoc:
+enter the name of the operation for which you want more information
+in the input area on the main Browse menu and then click on
+{\bf Operations.}
+
+\vskip \baselineskip
+%]
+\appendix{Operations}
+\def\alt#1#2{{$\lbrace$#1$\mid$#2$\rbrace$}}
+\def\altx#1#2#3{{$\lbrace$#1$\mid$#2$\mid$#3$\rbrace$}}
+\def\opt#1{{$\,\lbrack$#1$\rbrack$}}
+\def\bigLeftBrack{{\tt \[}}
+\def\bigRightBrack{{\tt \]}}
+\def\smallLeftBrack{{\tt \[}}
+\def\smallRightBrack{{\tt \]}}
+\def\optinit#1{{$\lbrack$#1$\rbrack$}}
+\def\optfirst#1{{\lbrack#1\rbrack}}
+\def\from#1{{From {\bf #1}.}}
+\def\consultType#1{{Consult {\bf #1} using Browse for details.}}
+\def\colx#1#2#3{{\lbrack#1,#2,\ldots,#3\rbrack}}
+\def\col#1#2{{\lbrack#1,\ldots,\rbrack}}
+\def\code#1{{\tt #1}}
+\def\Unix{{\bf Unix}}
+\def\Script{IBM SCRIPT Formula Formatter}
+
+\def\smallbreak{{\hfill{\break}}}
+\def\newitem{{\smallbreak}}
+\def\bigitem{{\medbreak}}
+\def\largerbreak{{\hfill{\smallskip\break}}}
+\def\medbreak{{\hfill{\medskip\break}}}
+\def\bigbreak{{\hfill{\bigskip\break}}}
+\long\def\bigopkey#1{{#1}}
+\long\def\opkey#1{{#1}}
+
+\def\and{{\ {\bf and}\ }}
+\def\or{{\ {\bf or}\ }}
+\def\mod{{\ {\bf mod}\ }}
+\def\quo{{\ {\bf quo}\ }}
+\def\rem{{\ {\bf rem}\ }}
+\def\opLeftPren{\nobreak\,{\tt (}}
+\def\opRightPren{\nobreak{\tt )}\allowbreak}
+
+\def\seeType#1{{See {\bf #1} using Browse.}}
+\def\seeAlso#1{{See also #1}.}
+\def\seeOther#1{{For additional information on $#1$, consult Browse.}}
+\def\sayOption#1#2{{This command may be given as a draw option: $#1 == #2$.}}
+\def\seeDetails#1{{Consult {\bf #1} using Browse for details.}}
+
+\long\def\opdataQual#1#2#3#4#5#6{{
+  \opdata{#1}{#2}{#3}{#4}{#5\newitem#6}
+}}
+
+\long\def\opdata#1#2#3#4#5{{
+  %#1 name  #2 number of args #3 sig  #4 con  #5 documentation
+   \hyphenpenalty=1000
+   \exhyphenpenalty=1000
+   \par\vskip 4pt\optitle{#1}\nopagebreak\par\vskip -\parskip\vskip 2pt\nopagebreak\noindent%
+   {\def\TYsize{\SMTYfont}#5}\par}}
+
+\def\keydata#1#2#3#4#5{{\opdata{#1}{#2}{#3}{#4}{#5}}}
+\def\keyop#1{{{\large{$#1$}}}}
+\def\optitle#1{{\bf #1}}
+\def\opand{\optand}
+\def\optand{{\par\vskip -\parskip}}
+\def\optinner#1{{\lbrack#1\rbrack}}
+\def\opname#1{{\tt #1}}
+\def\opoption#1#2{{{\tt #1}$== #2$}}
+
+\long\def\xxdata#1#2#3#4#5{{}}
+
+\def\indented#1{{#1}}
+\def\spadsyscom#1{{#1}}
+
+\sloppy\raggedright
+%\input{oplist}
+
+\fussy
+}\onecolumn
+
+
+\setcounter{chapter}{5} % Appendix F
+
+\chapter{Programs for AXIOM Images}
+\label{ugAppGraphics}
+
+%
+This appendix contains the Axiom programs used to generate
+the images in the gallery color insert of this book.
+All these input files are included
+with the Axiom system.
+To produce the images
+on page 6 of the gallery insert, for example, issue the command:
+\begin{verbatim}
+)read images6
+\end{verbatim}
+
+These images were produced on an IBM RS/6000 model 530 with a
+standard color graphics adapter.  The smooth shaded images
+were made from X Window System screen dumps.
+The remaining images were produced with Axiom-generated
+PostScript output.  The images were reproduced from slides made on an Agfa
+ChromaScript PostScript interpreter with a Matrix Instruments QCR camera.
+
+
+\section{images1.input}
+\label{ugFimagesOne}
+
+
+\begin{verbatim}
+)read tknot                                      Read torus knot program
+
+torusKnot(15,17, 0.1, 6, 700)                    A (15,17) torus knot
+\end{verbatim}
+\index{torus knot}
+
+\newpage
+
+\section{images2.input}
+\label{ugFimagesTwo}
+
+These images illustrate how Newton's method converges when computing the
+\index{Newton iteration}
+complex cube roots of 2.   Each point in the $(x,y)$-plane represents the
+complex number $x + iy,$ which is given as a starting point for Newton's
+method.  The poles in these images represent bad starting values.
+The flat areas are the regions of convergence to the three roots.
+
+\begin{verbatim}
+)read newton                                       Read the programs from
+)read vectors                                      Chapter 10
+f := newtonStep(x**3 - 2)                          Create a Newton's iteration
+                                                   function for $x^3 = 2$
+\end{verbatim}
+
+The function $f^n$ computes $n$ steps of Newton's method.
+
+\begin{verbatim}
+clipValue := 4                              Clip values with magnitude > 4
+drawComplexVectorField(f**3, -3..3, -3..3)  The vector field for $f^3$
+drawComplex(f**3, -3..3, -3..3)             The surface for $f^3$
+drawComplex(f**4, -3..3, -3..3)             The surface for $f^4$
+\end{verbatim}
+
+\section{images3.input}
+\label{ugFimagesThree}
+
+
+\begin{verbatim}
+)r tknot
+for i in 0..4 repeat torusKnot(2, 2 + i/4, 0.5, 25, 250)
+\end{verbatim}
+
+\section{images5.input}
+\label{ugFimagesFive}
+
+
+The parameterization of the Etruscan Venus is due to George Frances.
+\index{Etruscan Venus}
+
+\begin{verbatim}
+venus(a,r,steps) ==
+  surf := (u:DFLOAT, v:DFLOAT): Point DFLOAT +->
+    cv := cos(v)
+    sv := sin(v)
+    cu := cos(u)
+    su := sin(u)
+    x := r * cos(2*u) * cv + sv * cu
+    y := r * sin(2*u) * cv - sv * su
+    z := a * cv
+    point [x,y,z]
+  draw(surf, 0..\%pi, -\%pi..\%pi, var1Steps==steps,
+       var2Steps==steps, title == "Etruscan Venus")
+
+venus(5/2, 13/10, 50)                                  The Etruscan Venus
+\end{verbatim}
+
+The Figure-8 Klein Bottle
+\index{Klein bottle}
+parameterization is from
+``Differential Geometry and Computer Graphics'' by Thomas Banchoff,
+in {\it Perspectives in Mathematics,} Anniversary of Oberwolfasch 1984,
+Birkh\"{a}user-Verlag, Basel, pp. 43-60.
+
+\begin{verbatim}
+klein(x,y) ==
+  cx := cos(x)
+  cy := cos(y)
+  sx := sin(x)
+  sy := sin(y)
+  sx2 := sin(x/2)
+  cx2 := cos(x/2)
+  sq2 := sqrt(2.0@DFLOAT)
+  point [cx * (cx2 * (sq2 + cy) + (sx2 * sy * cy)), _
+         sx * (cx2 * (sq2 + cy) + (sx2 * sy * cy)), _
+         -sx2 * (sq2 + cy) + cx2 * sy * cy]
+
+draw(klein, 0..4*\%pi, 0..2*\%pi, var1Steps==50,       Figure-8 Klein bottle
+     var2Steps==50,title=="Figure Eight Klein Bottle")
+\end{verbatim}
+
+The next two images are examples of generalized tubes.
+
+\begin{verbatim}
+)read ntube
+rotateBy(p, theta) ==                            Rotate a point $p$ by
+  c := cos(theta)                                $\theta$ around the origin
+  s := sin(theta)
+  point [p.1*c - p.2*s, p.1*s + p.2*c]
+
+bcircle t ==                                     A circle in three-space
+  point [3*cos t, 3*sin t, 0]
+
+twist(u, t) ==                                   An ellipse that twists
+  theta := 4*t                                   around four times as
+  p := point [sin u, cos(u)/2]                   $t$ revolves once
+  rotateBy(p, theta)
+
+ntubeDrawOpt(bcircle, twist, 0..2*\%pi, 0..2*\%pi,    Twisted Torus
+             var1Steps == 70, var2Steps == 250)
+
+twist2(u, t) ==                                 Create a twisting circle
+  theta := t
+  p := point [sin u, cos(u)]
+  rotateBy(p, theta)
+
+cf(u,v) == sin(21*u)                           Color function with $21$ stripes
+
+ntubeDrawOpt(bcircle, twist2, 0..2*\%pi, 0..2*\%pi,              Striped Torus
+  colorFunction == cf, var1Steps == 168,
+  var2Steps == 126)
+\end{verbatim}
+
+\section{images6.input}
+\label{ugFimagesSix}
+
+\begin{verbatim}
+gam(x,y) ==                                        The height and color are the
+  g := Gamma complex(x,y)                          real and argument parts
+  point [x,y,max(min(real g, 4), -4), argument g]  of the Gamma function,
+                                                   respectively.
+
+draw(gam, -\%pi..\%pi, -\%pi..\%pi,                The Gamma Function
+     title == "Gamma(x + \%i*y)", _
+     var1Steps == 100, var2Steps == 100)
+
+b(x,y) == Beta(x,y)
+
+draw(b, -3.1..3, -3.1 .. 3, title == "Beta(x,y)")  The Beta Function
+
+atf(x,y) == 
+  a := atan complex(x,y)
+  point [x,y,real a, argument a]
+
+draw(atf, -3.0..\%pi, -3.0..\%pi)                  The Arctangent function
+\end{verbatim}
+\index{function!Gamma}
+\index{function!Euler Beta}
+\index{Euler!Beta function}
+
+
+\section{images7.input}
+\label{ugFimagesSeven}
+
+First we look at the conformal
+\index{conformal map}
+map $z \mapsto z + 1/z$.
+\begin{verbatim}
+)read conformal                                    Read program for drawing
+                                                   conformal maps
+
+f z == z                                           The coordinate grid for the
+                                                   complex plane
+conformalDraw(f, -2..2, -2..2, 9, 9, "cartesian")  Mapping 1: Source
+
+f z == z + 1/z                                     The map $z \mapsto z + 1/z$
+
+conformalDraw(f, -2..2, -2..2, 9, 9, "cartesian")  Mapping 1: Target
+\end{verbatim}
+
+The map $z \mapsto -(z+1)/(z-1)$ maps
+the unit disk to the right half-plane, as shown
+\index{Riemann!sphere}
+on the Riemann sphere.
+
+\begin{verbatim}
+f z == z                                                      The unit disk
+
+riemannConformalDraw(f,0.1..0.99,0..2*\%pi,7,11,"polar")      Mapping 2: Source
+
+f z == -(z+1)/(z-1)                            The map $x \mapsto -(z+1)/(z-1)$
+
+riemannConformalDraw(f,0.1..0.99,0..2*\%pi,7,11,"polar")      Mapping 2: Target
+
+riemannSphereDraw(-4..4, -4..4, 7, 7, "cartesian")       Riemann Sphere Mapping
+\end{verbatim}
+
+\section{images8.input}
+\label{ugFimagesEight}
+
+\begin{verbatim}
+)read dhtri
+)read tetra
+drawPyramid 4                                        Sierpinsky's Tetrahedron
+
+Sierpinsky's Tetrahedron
+)read antoine
+drawRings 2                                                Antoine's Necklace
+
+Aintoine's Necklace
+)read scherk
+drawScherk(3,3)                                      Scherk's Minimal Surface
+
+)read ribbonsnew
+drawRibbons([x**i for i in 1..5], x=-1..1, y=0..2)                Ribbon Plot
+\end{verbatim}
+\index{Scherk's minimal surface}
+
+
+%\input{gallery/conformal.htex}
+\section{conformal.input}
+\label{ugFconformal}
+%
+The functions in this section draw conformal maps both on the
+\index{conformal map}
+plane and on the Riemann sphere.
+\index{Riemann!sphere}
+
+%-- Compile, don't interpret functions.
+%\xmpLine{)set fun comp on}{}
+\begin{verbatim}
+C := Complex DoubleFloat                                    Complex Numbers
+S := Segment DoubleFloat                                    Draw ranges
+R3 := Point DFLOAT                                          Points in 3-space
+\end{verbatim}
+
+{\bf conformalDraw}{\it (f, rRange, tRange, rSteps, tSteps, coord)}
+draws the image of the coordinate grid under {\it f} in the complex plane.
+The grid may be given in either polar or Cartesian coordinates.
+Argument {\it f} is the function to draw;
+{\it rRange} is the range of the radius (in polar) or real (in Cartesian);
+{\it tRange} is the range of $\theta$ (in polar) or imaginary (in Cartesian);
+{\it tSteps, rSteps}, are the number of intervals in the {\it r} and
+$\theta$ directions; and
+{\it coord} is the coordinate system to use (either {\tt "polar"} or
+{\tt "cartesian"}).
+
+\begin{verbatim}
+conformalDraw: (C -> C, S, S, PI, PI, String) -> VIEW3D
+conformalDraw(f,rRange,tRange,rSteps,tSteps,coord) ==
+  transformC :=                               Function for changing an $(x,y)$
+    coord = "polar" => polar2Complex                 pair into a complex number
+    cartesian2Complex
+  cm := makeConformalMap(f, transformC)
+  sp := createThreeSpace()                            Create a fresh space
+  adaptGrid(sp, cm, rRange, tRange, rSteps, tSteps)   Plot the coordinate lines
+  makeViewport3D(sp, "Conformal Map")                 Draw the image
+\end{verbatim}
+
+{\bf riemannConformalDraw}{\it (f, rRange, tRange, rSteps, tSteps, coord)}
+draws the image of the coordinate grid under {\it f} on the Riemann sphere.
+The grid may be given in either polar or Cartesian coordinates.
+Its arguments are the same as those for {\bf conformalDraw}.
+
+\begin{verbatim}
+riemannConformalDraw:(C->C,S,S,PI,PI,String)->VIEW3D
+riemannConformalDraw(f, rRange, tRange,
+                     rSteps, tSteps, coord) ==
+  transformC :=                               Function for changing an $(x,y)$
+    coord = "polar" => polar2Complex          pair into a complex number
+    cartesian2Complex
+  sp := createThreeSpace()                    Create a fresh space
+  cm := makeRiemannConformalMap(f, transformC)
+  adaptGrid(sp, cm, rRange, tRange, rSteps, tSteps)  Plot the coordinate lines
+  curve(sp,[point [0,0,2.0@DFLOAT,0],point [0,0,2.0@DFLOAT,0] ])
+                                                     Add an invisible point at
+  makeViewport3D(sp,"Map on the Riemann Sphere")     the north pole for scaling
+
+adaptGrid(sp, f, uRange, vRange,  uSteps, vSteps) == Plot the coordinate grid
+  delU := (hi(uRange) - lo(uRange))/uSteps         using adaptive plotting for
+  delV := (hi(vRange) - lo(vRange))/vSteps         coordinate lines, and draw
+  uSteps := uSteps + 1; vSteps := vSteps + 1       tubes around the lines
+  u := lo uRange
+  for i in 1..uSteps repeat                    Draw coordinate lines in the $v$
+    c := curryLeft(f,u)                        direction; curve $c$ fixes the
+    cf := (t:DFLOAT):DFLOAT +-> 0              current value of $u$
+    makeObject(c,vRange::SEG Float,colorFunction==cf,
+                                               Draw the $v$ coordinate line
+      space == sp, tubeRadius == .02, tubePoints == 6)
+    u := u + delU
+  v := lo vRange
+  for i in 1..vSteps repeat                    Draw coodinate lines in the $u$
+    c := curryRight(f,v)                       direction; curve $c$ fixes the
+    cf := (t:DFLOAT):DFLOAT +-> 1              current value of $v$
+    makeObject(c,uRange::SEG Float,colorFunction==cf,
+                                               Draw the $u$ coordinate line
+      space == sp, tubeRadius == .02, tubePoints == 6)
+    v := v + delV
+  void()
+
+riemannTransform(z) ==                         Map a point in the complex
+  r := sqrt norm z                             plane to the Riemann sphere
+  cosTheta := (real z)/r
+  sinTheta := (imag z)/r
+  cp := 4*r/(4+r**2)
+  sp := sqrt(1-cp*cp)
+  if r>2 then sp := -sp
+  point [cosTheta*cp, sinTheta*cp, -sp + 1]
+
+cartesian2Complex(r:DFLOAT, i:DFLOAT):C ==    Convert Cartesian coordinates to
+  complex(r, i)                               complex Cartesian form
+
+polar2Complex(r:DFLOAT, th:DFLOAT):C ==       Convert polar coordinates to
+  complex(r*cos(th), r*sin(th))               complex Cartesian form
+
+makeConformalMap(f, transformC) ==            Convert complex function $f$
+  (u:DFLOAT,v:DFLOAT):R3 +->                  to a mapping: 
+                                              (DFLOAT,DFLOAT) $mapsto$ R3
+    z := f transformC(u, v)                   in the complex plane
+    point [real z, imag z, 0.0@DFLOAT]
+
+makeRiemannConformalMap(f, transformC) ==     Convert a complex function $f$
+  (u:DFLOAT, v:DFLOAT):R3 +->                 to a mapping:
+                                              (DFLOAT,DFLOAT) $\mapsto$ R3
+    riemannTransform f transformC(u, v)       on the Riemann sphere
+
+riemannSphereDraw: (S, S, PI, PI, String) -> VIEW3D
+                                              Draw a picture of the mapping
+                                              of the complex plane to
+                                              the Riemann sphere
+riemannSphereDraw(rRange,tRange,rSteps,tSteps,coord) ==
+  transformC :=
+    coord = "polar" => polar2Complex
+    cartesian2Complex
+  grid := (u:DFLOAT, v:DFLOAT): R3 +->                 Coordinate grid function
+    z1 := transformC(u, v)
+    point [real z1, imag z1, 0]
+  sp := createThreeSpace()                                 Create a fresh space
+  adaptGrid(sp, grid, rRange, tRange, rSteps, tSteps)      Draw the flat grid
+  connectingLines(sp,grid,rRange,tRange,rSteps,tSteps)
+  makeObject(riemannSphere,0..2*\%pi,0..\%pi,space==sp)    Draw the sphere
+  f := (z:C):C +-> z
+  cm := makeRiemannConformalMap(f, transformC)
+  adaptGrid(sp, cm, rRange, tRange, rSteps, tSteps)        Draw the sphere grid
+  makeViewport3D(sp, "Riemann Sphere")
+ 
+connectingLines(sp,f,uRange,vRange,uSteps,vSteps) ==
+                                                    Draw the lines that connect
+  delU := (hi(uRange) - lo(uRange))/uSteps          the points in the complex
+  delV := (hi(vRange) - lo(vRange))/vSteps          plane to the north pole
+  uSteps := uSteps + 1; vSteps := vSteps + 1        of the Riemann sphere
+  u := lo uRange
+  for i in 1..uSteps repeat                         For each u
+    v := lo vRange
+    for j in 1..vSteps repeat                       For each v
+      p1 := f(u,v)
+      p2 := riemannTransform complex(p1.1, p1.2)    Project p1 onto the sphere
+      fun := lineFromTo(p1,p2)                      Create a line function
+      cf := (t:DFLOAT):DFLOAT +-> 3
+      makeObject(fun, 0..1,space==sp,tubePoints==4, Draw the connecting line
+                 tubeRadius==0.01,colorFunction==cf)
+      v := v + delV
+    u := u + delU
+  void()
+
+riemannSphere(u,v) ==                              A sphere sitting on the
+  sv := sin(v)                                     complex plane, with radius 1
+  0.99@DFLOAT*(point [cos(u)*sv,sin(u)*sv,cos(v),0.0@DFLOAT])+
+    point [0.0@DFLOAT, 0.0@DFLOAT, 1.0@DFLOAT, 4.0@DFLOAT]
+ 
+lineFromTo(p1, p2) ==                              Create a line function
+  d := p2 - p1                                     that goes from p1 to p2
+  (t:DFLOAT):Point DFLOAT +->
+    p1 + t*d
+\end{verbatim}
+
+%\input{gallery/tknot.htex}
+\section{tknot.input}
+\label{ugFtknot}
+%
+Create a $(p,q)$ torus-knot with radius $r$ around the curve.
+The formula was derived by Larry Lambe.
+
+\begin{verbatim}
+)read ntube
+torusKnot: (DFLOAT, DFLOAT, DFLOAT, PI, PI) -> VIEW3D
+torusKnot(p, q ,r, uSteps, tSteps) ==
+  knot := (t:DFLOAT):Point DFLOAT +->               Function for the torus knot
+    fac := 4/(2.2@DFLOAT-sin(q*t))
+    fac * point [cos(p*t), sin(p*t), cos(q*t)]
+  circle := (u:DFLOAT, t:DFLOAT): Point DFLOAT +->  The cross section
+    r * point [cos u, sin u]
+  ntubeDrawOpt(knot, circle, 0..2*\%pi, 0..2*\%pi,
+                                               Draw the circle around the knot
+               var1Steps == uSteps, var2Steps == tSteps)
+
+\end{verbatim}
+
+%\input{gallery/ntube.htex}
+\section{ntube.input}
+\label{ugFntube}
+%
+The functions in this file create generalized tubes (also known as generalized
+cylinders).
+These functions draw a 2-d curve in the normal
+planes around a 3-d curve.
+
+\begin{verbatim}
+R3 := Point DFLOAT                                        Points in 3-Space
+R2 := Point DFLOAT                                        Points in 2-Space
+S := Segment Float                                        Draw ranges
+                                           Introduce types for functions for:
+ThreeCurve := DFLOAT -> R3                 --the space curve function
+TwoCurve := (DFLOAT, DFLOAT) -> R2         --the plane curve function
+Surface := (DFLOAT, DFLOAT) -> R3          --the surface function
+                                           Frenet frames define a
+FrenetFrame :=                             coordinate system around a
+   Record(value:R3,tangent:R3,normal:R3,binormal:R3)
+                                           point on a space curve
+frame: FrenetFrame                         The current Frenet frame
+                                           for a point on a curve
+\end{verbatim}
+
+{\bf ntubeDraw}{\it (spaceCurve, planeCurve,}
+$u_0 .. u_1,$ $t_0 .. t_1)$
+draws {\it planeCurve} in the normal planes of {\it spaceCurve.}
+The parameter $u_0 .. u_1$ specifies
+the parameter range for {\it planeCurve}
+and $t_0 .. t_1$ specifies the parameter range for {\it spaceCurve}.
+Additionally, the plane curve function takes
+a second parameter: the current parameter of {\it spaceCurve}.
+This allows the plane curve to change shape
+as it goes around the space curve.
+See \ref{ugFimagesFive} for an example of this.
+%
+\begin{verbatim}
+ntubeDraw: (ThreeCurve,TwoCurve,S,S) -> VIEW3D
+ntubeDraw(spaceCurve,planeCurve,uRange,tRange) ==
+  ntubeDrawOpt(spaceCurve, planeCurve, uRange, _
+               tRange, []$List DROPT)
+
+ntubeDrawOpt: (ThreeCurve,TwoCurve,S,S,List DROPT)
+    -> VIEW3D
+ntubeDrawOpt(spaceCurve,planeCurve,uRange,tRange,l) ==
+                                                  This function is similar
+                                                  to ntubeDraw, but takes
+  delT:DFLOAT := (hi(tRange) - lo(tRange))/10000  optional parameters that it
+  oldT:DFLOAT := lo(tRange) - 1                   passes to the draw command
+  fun := ngeneralTube(spaceCurve,planeCurve,delT,oldT)
+  draw(fun, uRange, tRange, l)
+
+\end{verbatim}
+
+{\bf nfrenetFrame}{\it (c, t, delT)}
+numerically computes the Frenet frame
+about the curve {\it c} at {\it t}.
+Parameter {\it delT} is a small number used to
+compute derivatives.
+\begin{verbatim}
+nfrenetFrame(c, t, delT) ==
+  f0 := c(t)
+  f1 := c(t+delT)
+  t0 := f1 - f0                              The tangent
+  n0 := f1 + f0
+  b := cross(t0, n0)                         The binormal
+  n := cross(b,t0)                           The normal
+  ln := length n
+  lb := length b
+  ln = 0 or lb = 0 =>
+      error "Frenet Frame not well defined"
+  n := (1/ln)*n                              Make into unit length vectors
+  b := (1/lb)*b
+  [f0, t0, n, b]$FrenetFrame
+\end{verbatim}
+
+{\bf ngeneralTube}{\it (spaceCurve, planeCurve,}{\it  delT, oltT)}
+creates a function that can be passed to the system axiomFun{draw} command.
+The function is a parameterized surface for the general tube
+around {\it spaceCurve}.  {\it delT} is a small number used to compute
+derivatives. {\it oldT} is used to hold the current value of the
+{\it t} parameter for {\it spaceCurve.}  This is an efficiency measure
+to ensure that frames are only computed once for each value of {\it t}.
+\begin{verbatim}
+ngeneralTube: (ThreeCurve, TwoCurve, DFLOAT, DFLOAT) -> Surface
+ngeneralTube(spaceCurve, planeCurve, delT, oldT) ==
+  free frame                                   Indicate that $frame$ is global
+  (v:DFLOAT, t: DFLOAT): R3 +->
+    if (t $\sim$= oldT) then                      If not already computed
+      frame := nfrenetFrame(spaceCurve, t, delT)  compute new frame
+      oldT := t
+    p := planeCurve(v, t)
+    frame.value + p.1*frame.normal + p.2*frame.binormal
+                                              Project $p$ into the normal plane
+\end{verbatim}
+
+%\input{gallery/dhtri.htex}
+\section{dhtri.input}
+\label{ugFdhtri}
+%
+Create affine transformations (DH matrices) that transform
+a given triangle into another.
+
+\begin{verbatim}
+tri2tri: (List Point DFLOAT, List Point DFLOAT) -> DHMATRIX(DFLOAT)
+                                                Compute a DHMATRIX that
+tri2tri(t1, t2) ==                              transforms $t1$ to $t2,$ where
+  n1 := triangleNormal(t1)                      $t1$ and $t2$ are the vertices
+  n2 := triangleNormal(t2)                      of two triangles in 3-space
+  tet2tet(concat(t1, n1), concat(t2, n2))
+
+tet2tet: (List Point DFLOAT, List Point DFLOAT) -> DHMATRIX(DFLOAT)
+                                                Compute a DHMATRIX that
+tet2tet(t1, t2) ==                              transforms $t1$ to $t2,$
+  m1 := makeColumnMatrix t1                     where $t1$ and $t2$ are the
+  m2 := makeColumnMatrix t2                     vertices of two tetrahedrons
+  m2 * inverse(m1)                              in 3-space
+
+makeColumnMatrix(t) ==                          Put the vertices of a tetra-
+  m := new(4,4,0)$DHMATRIX(DFLOAT)              hedron into matrix form
+  for x in t for i in 1..repeat
+    for j in 1..3 repeat
+      m(j,i) := x.j
+    m(4,i) := 1
+  m
+
+triangleNormal(t) ==                            Compute a vector normal to
+  a := triangleArea t                           the given triangle, whose
+  p1 := t.2 - t.1                               length is the square root
+  p2 := t.3 - t.2                               of the area of the triangle
+  c := cross(p1, p2)
+  len := length(c)
+  len = 0 => error "degenerate triangle!"
+  c := (1/len)*c
+  t.1 + sqrt(a) * c
+
+triangleArea t ==                               Compute the area of a
+  a := length(t.2 - t.1)                        triangle using Heron's
+  b := length(t.3 - t.2)                        formula
+  c := length(t.1 - t.3)
+  s := (a+b+c)/2
+  sqrt(s*(s-a)*(s-b)*(s-c))
+\end{verbatim}
+
+\section{tetra.input}
+\label{ugFtetra}
+%
+%\input{gallery/tetra.htex}
+%\outdent{Sierpinsky's Tetrahedron}
+
+\begin{verbatim}
+)set expose add con DenavitHartenbergMatrix      Bring DH matrices into the
+                                                 environment
+x1:DFLOAT := sqrt(2.0@DFLOAT/3.0@DFLOAT)         Set up the coordinates of the
+x2:DFLOAT := sqrt(3.0@DFLOAT)/6                  corners of the tetrahedron.
+
+p1 := point [-0.5@DFLOAT, -x2, 0.0@DFLOAT]       Some needed points
+p2 := point [0.5@DFLOAT, -x2, 0.0@DFLOAT]
+p3 := point [0.0@DFLOAT, 2*x2, 0.0@DFLOAT]
+p4 := point [0.0@DFLOAT, 0.0@DFLOAT, x1]
+
+baseTriangle  := [p2, p1, p3]                    The base of the tetrahedron
+
+mt  := [0.5@DFLOAT*(p2+p1), 0.5@DFLOAT*(p1+p3), 0.5@DFLOAT*(p3+p2)]
+                                                 The middle triangle inscribed
+                                                 in the base of the tetrahedron
+bt1 := [mt.1, p1, mt.2]                          The bases of the triangles of
+bt2 := [p2, mt.1, mt.3]                          the subdivided tetrahedron
+bt3 := [mt.2, p3, mt.3]
+bt4 := [0.5@DFLOAT*(p2+p4), 0.5@DFLOAT*(p1+p4), 0.5@DFLOAT*(p3+p4)]
+
+tt1 := tri2tri(baseTriangle, bt1)                Create the transformations
+tt2 := tri2tri(baseTriangle, bt2)                that bring the base of the
+tt3 := tri2tri(baseTriangle, bt3)                tetrahedron to the bases of
+tt4 := tri2tri(baseTriangle, bt4)                the subdivided tetrahedron
+
+drawPyramid(n) ==                                Draw a Sierpinsky tetrahedron
+  s := createThreeSpace()                        with $n$ levels of recursive
+  dh := rotatex(0.0@DFLOAT)                      subdivision
+  drawPyramidInner(s, n, dh)
+  makeViewport3D(s, "Sierpinsky Tetrahedron")
+
+drawPyramidInner(s, n, dh) ==                    Recursively draw a Sierpinsky
+  n = 0 => makeTetrahedron(s, dh, n)             tetrahedron
+  drawPyramidInner(s, n-1, dh * tt1)             Draw the 4 recursive pyramids
+  drawPyramidInner(s, n-1, dh * tt2)
+  drawPyramidInner(s, n-1, dh * tt3)
+  drawPyramidInner(s, n-1, dh * tt4)
+
+makeTetrahedron(sp, dh, color) ==                Draw a tetrahedron into the
+  w1 := dh*p1                                    given space with the given
+  w2 := dh*p2                                    color, transforming it by
+  w3 := dh*p3                                    the given DH matrix
+  w4 := dh*p4
+  polygon(sp, [w1, w2, w4])
+  polygon(sp, [w1, w3, w4])
+  polygon(sp, [w2, w3, w4])
+  void()
+\end{verbatim}
+\index{Sierpinsky's Tetrahedron}
+
+
+%\input{gallery/antoine.htex}
+\section{antoine.input}
+\label{ugFantoine}
+%
+Draw Antoine's Necklace.
+\index{Antoine's Necklace}
+Thank you to Matthew Grayson at IBM's T.J Watson Research Center for the idea.
+
+\begin{verbatim}
+)set expose add con DenavitHartenbergMatrix           Bring DH matrices into
+                                                      the environment
+torusRot: DHMATRIX(DFLOAT)                            The  transformation for
+                                                      drawing a sub ring
+
+drawRings(n) ==                                Draw Antoine's Necklace with $n$
+  s := createThreeSpace()                      levels of recursive subdivision
+  dh:DHMATRIX(DFLOAT) := identity()            The number of subrings is $10^n$
+  drawRingsInner(s, n, dh)                     Do the real work
+  makeViewport3D(s, "Antoine's Necklace")
+
+\end{verbatim}
+
+In order to draw Antoine rings, we take one ring, scale it down to
+a smaller size, rotate it around its central axis, translate it
+to the edge of the larger ring and rotate it around the edge to
+a point corresponding to its count (there are 10 positions around
+the edge of the larger ring). For each of these new rings we
+recursively perform the operations, each ring becoming 10 smaller
+rings. Notice how the {\bf DHMATRIX} operations are used to build up
+the proper matrix composing all these transformations.
+
+\begin{verbatim}
+drawRingsInner(s, n, dh) ==                   Recursively draw Antoine's
+  n = 0 =>                                    Necklace
+    drawRing(s, dh)
+    void()
+  t := 0.0@DFLOAT                             Angle around ring
+  p := 0.0@DFLOAT                             Angle of subring from plane
+  tr := 1.0@DFLOAT                            Amount to translate subring
+  inc := 0.1@DFLOAT                           The translation increment
+  for i in 1..10 repeat                       Subdivide into 10 linked rings
+    tr := tr + inc
+    inc := -inc
+    dh' := dh*rotatez(t)*translate(tr,0.0@DFLOAT,0.0@DFLOAT)*
+                                              Transform ring in center
+                                              to a link
+           rotatey(p)*scale(0.35@DFLOAT, 0.48@DFLOAT, 0.4@DFLOAT)
+    drawRingsInner(s, n-1, dh')
+    t := t + 36.0@DFLOAT
+    p := p + 90.0@DFLOAT
+  void()
+
+drawRing(s, dh) ==                            Draw a single ring into
+  free torusRot                               the given subspace,
+  torusRot := dh                              transformed by the given
+                                              DHMATRIX
+  makeObject(torus, 0..2*\%pi, 0..2*\%pi, var1Steps == 6,
+             space == s, var2Steps == 15)
+
+torus(u ,v) ==                                Parameterization of a torus,
+  cu := cos(u)/6                              transformed by the
+                                              DHMATRIX in $torusRot.$
+  torusRot*point [(1+cu)*cos(v),(1+cu)*sin(v),(sin u)/6]
+\end{verbatim}
+
+%\input{gallery/scherk.htex}
+\section{scherk.input}
+\label{ugFscherk}
+%
+
+Scherk's minimal surface, defined by:
+\index{Scherk's minimal surface}
+$e^z \cos(x) = \cos(y)$.
+See: {\it A Comprehensive Introduction to Differential Geometry,} Vol. 3,
+by Michael Spivak, Publish Or Perish, Berkeley, 1979, pp. 249-252.
+
+\begin{verbatim}
+(xOffset, yOffset):DFLOAT                        Offsets for a single piece
+                                                 of Scherk's minimal surface
+
+drawScherk(m,n) ==                               Draw Scherk's minimal surface
+  free xOffset, yOffset                          on an $m$ by $n$ patch
+  space := createThreeSpace()
+  for i in 0..m-1 repeat
+    xOffset := i*\%pi
+    for j in 0 .. n-1 repeat
+      rem(i+j, 2) = 0 => 'iter                   Draw only odd patches
+      yOffset := j*\%pi
+      drawOneScherk(space)                       Draw a patch
+  makeViewport3D(space, "Scherk's Minimal Surface")
+
+scherk1(u,v) ==                                      The first patch that makes
+  x := cos(u)/exp(v)                                 up a single piece of
+  point [xOffset + acos(x), yOffset + u, v, abs(v)]  Scherk's minimal surface
+
+scherk2(u,v) ==                                      The second patch
+  x := cos(u)/exp(v)
+  point [xOffset - acos(x), yOffset + u, v, abs(v)]
+
+scherk3(u,v) ==                                      The third patch
+  x := exp(v) * cos(u)
+  point [xOffset + u, yOffset + acos(x), v, abs(v)]
+
+scherk4(u,v) ==                                      The fourth patch
+  x := exp(v) * cos(u)
+  point [xOffset + u, yOffset - acos(x), v, abs(v)]
+
+drawOneScherk(s) ==                                  Draw the surface by
+                                                     breaking it into four
+                                                     patches and then drawing
+                                                     the patches
+  makeObject(scherk1,-\%pi/2..\%pi/2,0..\%pi/2,space==s,
+             var1Steps == 28, var2Steps == 28)       
+  makeObject(scherk2,-\%pi/2..\%pi/2,0..\%pi/2,space==s,
+             var1Steps == 28, var2Steps == 28)
+  makeObject(scherk3,-\%pi/2..\%pi/2,-\%pi/2..0,space==s,
+             var1Steps == 28, var2Steps == 28)
+  makeObject(scherk4,-\%pi/2..\%pi/2,-\%pi/2..0,space==s,
+             var1Steps == 28, var2Steps == 28)
+  void()
+\end{verbatim}
+
+
+{
+
+\setcounter{chapter}{6} % Appendix G
+\chapter{Glossary}
+\label{ugGlossary}
+
+\appendix{Glossary}
+
+\sloppy
+
+\ourGloss{\glossarySyntaxTerm{!}}{%
+{\it (syntax)}
+Suffix character
+\index{operation!destructive}
+for destructive operations.
+}
+
+\ourGloss{\glossarySyntaxTerm{,}}{%
+{\it (syntax)}
+a separator for items in a {\it tuple},
+for example, to separate arguments of a function $f(x,y)$.
+}
+
+
+\ourGloss{\glossarySyntaxTerm{\tt =>}}{%
+{\it (syntax)}
+the expression $a => b$ is equivalent to $if a
+then$ {\it exit} $b$.
+}
+
+
+\ourGloss{\glossarySyntaxTerm{?}}{%
+1.
+{\it (syntax)} a suffix character for Boolean-valued {\bf function}
+names, for example, {\bf odd?}.
+2.
+Prefix character for ``optional'' pattern variables. For example,
+the pattern $f(x + y)$ does not match the expression $f(7)$,
+but $f(?x + y)$ does, with $x$ matching 0 and $y$ matching 7.
+3.
+The special type {\bf ?} means {\it don't care}.
+For example, the declaration: $x : Polynomial ?$ means
+that values assigned to $x$ must be polynomials over an arbitrary
+{\it underlying domain}.
+}
+
+\ourGloss{\glossaryTerm{abstract datatype}}{%
+a programming language principle used in Axiom where a datatype definition has
+defined in two parts: (1) a {\it public} part describing a set of
+exports,
+principally operations that apply to objects of that
+type, and (2) a {\it private} part describing the implementation of the
+datatype usually in terms of a {\it representation} for objects of
+the type.
+Programs that create and otherwise manipulate objects of the type may
+only do so through its exports.
+The representation and other implementation information is specifically
+hidden.
+}
+
+\ourGloss{\glossaryTerm{abstraction}}{%
+described functionally or conceptually without regard to implementation.
+}
+
+
+\ourGloss{\glossaryTerm{accuracy}}{%
+the degree of exactness of an approximation or measurement.
+In computer algebra systems, computations are typically carried out with
+complete accuracy using integers or rational numbers of indefinite size.
+Domain {\bf Float} provides a function
+\spadfunFrom{precision}{Float} to change the precision for floating-point
+computations. Computations using {\bf DoubleFloat} have a fixed
+precision but uncertain accuracy.
+}
+
+
+\ourGloss{\glossaryTerm{add-chain}}{%
+a hierarchy formed by domain extensions.
+If domain $A$ extends domain $B$ and domain $B$ extends
+domain $C$, then $A$ has {\it add-chain} $B$-$C$.
+}
+
+
+\ourGloss{\glossaryTerm{aggregate}}{%
+a data structure designed to hold multiple values.
+Examples of aggregates are {\bf List}, {\bf Set},
+{\bf Matrix} and {\bf Bits}.
+}
+
+
+\ourGloss{\glossaryTerm{AKCL}}{%
+Austin Kyoto Common LISP, a version of {\it KCL} produced
+by William Schelter, Austin, Texas.
+}
+
+
+\ourGloss{\glossaryTerm{algorithm}}{%
+a step-by-step procedure for a solution of a problem; a program
+}
+
+
+\ourGloss{\glossaryTerm{ancestor}}{%
+(of a domain or category) a category that is a {\it parent}, or
+a {\it parent} of a {\it parent}, and so on.
+See a {\bf Cross Reference} page of a constructor in Browse.
+}
+
+
+\ourGloss{\glossaryTerm{application}}{%
+{\it (syntax)} an expression denoting ``application'' of a function to a
+set of {\it argument} parameters.
+Applications are written as a {\it parameterized form}.
+For example, the form $f(x,y)$ indicates the ``application of the
+function $f$ to the tuple of arguments $x$ and $y$.''
+See also {\it evaluation} and {\it invocation}.
+}
+
+
+\ourGloss{\glossaryTerm{apply}}{%
+See {\it application}.
+}
+
+
+\ourGloss{\glossaryTerm{argument}}{%
+1.
+(actual argument) a value passed to a function at the time of a
+function call; also called an {\it actual
+parameter}. 2.
+(formal argument) a variable used in the definition of a function to
+denote the actual argument passed when the function is called.
+}
+
+
+\ourGloss{\glossaryTerm{arity}}{%
+1.
+(function) the number of arguments.
+2.
+(operator or operation) corresponds to the arity of a function
+implementing the operator or operation.
+}
+
+
+\ourGloss{\glossaryTerm{assignment}}{%
+{\it (syntax)} an expression of the form $x := e$, meaning
+``assign the value of $e$ to $x$.''
+After {\it evaluation}, the {\it variable} $x$
+points to an object obtained by evaluating
+the expression $e$.
+If $x$ has a {\it type} as a result of a previous
+{\it declaration}, the object assigned to $x$ must have
+that type.
+The interpreter must often coerce the
+value of $e$ to make that happen.
+For example, the expression $x : Float := 11$
+first declares $x$ to be a float, then
+forces the interpreter to coerce the integer $11$ to
+$11.0$ in order to assign a floating-point value to $x$.
+}
+
+
+\ourGloss{\glossaryTerm{attribute}}{%
+a name or functional form denoting {\it any} useful computational or mathematical
+property. For example, {\bf commutative($"*"$)} asserts that
+$*$ is commutative.
+Also, {\bf finiteAggregate} is used to assert that an aggregate has
+a finite number of immediate components.
+}
+
+
+\ourGloss{\glossaryTerm{basis}}{%
+{\it (algebra)} $S$ is a basis of a module $M$ over a
+{\it ring} if $S$ generates $M$, and $S$ is linearly
+independent.
+}
+
+
+\ourGloss{\glossaryTerm{benefactor}}{%
+(of a given domain) a domain or package that the given domain explicitly
+references (for example, calls functions from) in its implementation.
+See a {\bf Cross Reference} page of a constructor in Browse.
+}
+
+
+\ourGloss{\glossaryTerm{binary}}{%
+operation or function with {\it arity} 2.
+}
+
+
+\ourGloss{\glossaryTerm{binding}}{%
+the association of a variable with properties such as {\it value}
+and {\it type}.
+The top-level {\it environment} in the interpreter consists of
+bindings for all user variables and functions.
+When a {\it function} is applied to arguments, a local environment
+of bindings is created, one for
+each formal {\it argument} and {\it local variable}.
+}
+
+
+\ourGloss{\glossaryTerm{block}}{%
+{\it (syntax)} a control structure where expressions are sequentially
+evaluated.
+}
+
+
+\ourGloss{\glossaryTerm{body}}{%
+a {\it function body} or {\it loop body}.
+}
+
+
+\ourGloss{\glossaryTerm{boolean}}{%
+objects denoted by the literals {\tt true} and
+{\tt false}; elements of domain {\bf Boolean}.
+\index{Boolean}
+See also {\bf Bits}.
+}
+
+
+\ourGloss{\glossaryTerm{built-in function}}{%
+a {\it function} in the standard Axiom library.
+\index{function!built-in}
+Contrast {\it user function}.
+}
+
+v
+\ourGloss{\glossaryTerm{cache}}{%
+1.
+(noun) a mechanism for immediate retrieval of previously computed data.
+For example, a function that does a lengthy computation might store its
+values in a {\it hash table} using the function argument as
+the key.
+The hash table then serves as a cache for the function (see also
+{\tt )set function cache}).
+Also, when recurrence relations that depend upon $n$
+previous values are compiled, the previous $n$ values are normally
+cached (use {\tt )set functions recurrence} to change this).
+2.
+(verb) to save values in a cache.
+}
+
+
+\ourGloss{\glossaryTerm{capsule}}{%
+the part of the body of a
+{\it domain constructor} that defines the functions implemented by
+the constructor.
+}
+
+
+\ourGloss{\glossaryTerm{case}}{%
+{\it (syntax)} an operator used to evaluate code conditionally based on
+the branch of a {\bf Union}.
+\index{Union}
+For example, if value $u$ is $Union(Integer, "failed")$, the
+conditional expression $if u case Integer then A else B$ evaluates
+$A$ if $u$ is an integer and $B$ otherwise.
+}
+
+
+\ourGloss{\glossaryTerm{Category}}{%
+the distinguished object denoting the type of a category; the class of
+all categories.
+}
+
+
+\ourGloss{\glossaryTerm{category}}{%
+{\it (basic concept)} types denoting
+classes of domains.
+Examples of categories are {\bf Ring} (``the class of all
+rings'') and {\bf Aggregate} (``the class of all aggregates'').
+Categories form a hierarchy (formally, a directed acyclic graph)
+with the distinquished category {\bf Type}
+at the top.
+Each category inherits the properties of all its ancestors.
+Categories optionally provide ``default definitions'' for
+operations they export.
+Categories are defined in Axiom by functions called
+category constructors.
+Technically, a category designates a class of domains with common
+operations and
+attributes but usually with different
+functions
+and representations for its
+constituent objects.
+Categories are always defined using the Axiom library
+language (see also {\it category extension}).
+See also file {\bf catdef.spad} for definitions of basic algebraic
+\index{file!catdef.spad @{\bf catdef.spad}}
+categories in Axiom, {\bf aggcat.spad} for data structure
+\index{file!aggcat.spad @{\bf aggcat.spad}}
+}
+
+
+\ourGloss{\glossaryTerm{category constructor}}{%
+a function that creates categories, described by an abstract datatype in
+\index{constructor!category}
+the Axiom programming language.
+For example, the category constructor {\bf Module} is a function
+that takes a domain parameter $R$ and creates the category ``modules
+over $R$.''
+}
+
+
+\ourGloss{\glossaryTerm{category extension}}{%
+A category $A$ {\it directly extends} a category $B$ if
+its definition has the form $A == B with ...$ or
+$A == Join(...,B,...)$.
+In this case, we also say that $B$ is the {\it parent} of $A$.
+We say that a category $A$ extends $B$ if $B$ is
+an {\it ancestor} of $A$.
+A category $A$ may also directly extend $B$ if
+$B$ appears in a conditional expression within the {\tt Exports} part
+of the definition to the right of a {\tt with}.
+See, for example, file {\bf catdef.spad} for definitions of the
+\index{file!catdef.spad @{\bf catdef.spad}}
+algebra categories in Axiom, {\bf aggcat.spad} for data structure
+\index{file!aggcat.spad @{\bf aggcat.spad}}
+categories.
+}
+
+\ourGloss{\glossaryTerm{category hierarchy}}{%
+hierarchy formed by category extensions.
+The root category is {\bf Type}.
+\index{Type}
+A category can be defined as a {\it Join} of two or more
+categories so as to have multiple parents.
+Categories may also be parameterized so as to allow conditional
+inheritance.
+}
+
+\ourGloss{\glossaryTerm{character}}{%
+1.
+an element of a character set, as represented by a keyboard key.
+2.
+a component of a string.
+For example, the $1$st element of the string $"hello there"$ is the
+character {\it h}.
+}
+
+
+\ourGloss{\glossaryTerm{client}}{%
+(of a given domain) any domain or package that explicitly calls
+functions from the given domain.
+See a {\bf Cross Reference} page of a constructor in Browse.
+}
+
+
+\ourGloss{\glossaryTerm{coercion}}{%
+an automatic transformation of an object of one {\it type} to an
+object of a similar or desired target type.
+In the interpreter, coercions and retractions
+are done
+automatically by the interpreter when a type mismatch occurs.
+Compare {\it conversion}.
+}
+
+
+\ourGloss{\glossaryTerm{comment}}{%
+textual remarks imbedded in code.
+Comments are preceded by a double dash ({\tt --}).
+For Axiom library code, stylized comments for on-line
+documentation are preceded by two plus signs ({\tt ++}).
+}
+
+
+\ourGloss{\glossaryTerm{Common LISP}}{%
+A version of {\it LISP} adopted as an informal standard by major
+users and suppliers of LISP.
+}
+
+
+\ourGloss{\glossaryTerm{compile-time}}{%
+the time when category or domain constructors are compiled.
+Contrast {\it run-time}.
+}
+
+
+\ourGloss{\glossaryTerm{compiler}}{%
+a program that generates low-level code from a higher-level source
+language. Axiom has three compilers.
+A {\it graphics compiler} converts graphical formulas to a compiled
+subroutine so that points can be rapidly produced for graphics commands.
+An {\it interpreter compiler} optionally compiles
+user functions
+when first invoked (use
+{\tt )set functions compile} to turn this feature on).
+A {\it library compiler} compiles all constructors (available on an ``as-is''
+basis for Release 1).
+}
+
+
+\ourGloss{\glossaryTerm{computational object}}{%
+In Axiom, domains are objects.
+This term is used to distinguish the objects that are members of
+domains rather than the domains themselves.
+}
+
+
+\ourGloss{\glossaryTerm{conditional}}{%
+a {\it control structure} of the form $if A then B else C$.
+\index{if}
+The {\it evaluation} of $A$ produces {\tt true} or
+{\tt false}. If {\tt true}, $B$ evaluates to produce a value;
+otherwise $C$ evaluates to produce a value.
+When the value is not required, the $else C$ part can be omitted.
+}
+
+
+\ourGloss{\glossaryTerm{constant}}{%
+{\it (syntax)} a reserved word used in signatures in
+Axiom programming language to signify that an operation always
+returns the same value.
+For example, the signature $0: constant -> \$$ in the source code
+of {\bf AbelianMonoid} tells the Axiom compiler that $0$
+is a constant so that suitable optimizations might be performed.
+}
+
+
+\ourGloss{\glossaryTerm{constructor}}{%
+a {\it function} that creates a {\it category},
+{\it domain}, or {\it package}.
+}
+
+
+\ourGloss{\glossaryTerm{continuation}}{%
+when a line of a program is so long that it must be broken into several
+lines, then all but the first line are called {\it continuation lines}.
+If such a line is given interactively, then each incomplete line must
+end with an underscore.
+}
+
+
+\ourGloss{\glossaryTerm{control structure}}{%
+program structures that can specify a departure from normal sequential
+execution. Axiom has four kinds of control structures:
+blocks, {\it case} statements,
+conditionals, and loops.
+}
+
+
+\ourGloss{\glossaryTerm{conversion}}{%
+the transformation of an object of one {\it type} to one of
+another type.
+Conversions that can be performed automatically by the
+interpreter are called
+coercions. These happen when the
+interpreter encounters a type mismatch and a similar or declared
+target type is needed.
+In general, the user must use the infix operation {\tt ::}
+to cause this transformation.
+}
+
+
+\ourGloss{\glossaryTerm{copying semantics}}{%
+the programming language semantics used in PASCAL
+\index{PASCAL}
+but {\it not} in
+\index{semantics!copying}
+Axiom. See also {\it pointer semantics} for details.
+\index{semantics!pointer}
+}
+
+
+\ourGloss{\glossaryTerm{data structure}}{%
+a structure for storing data in the computer.
+Examples are lists
+and hash tables.
+}
+
+
+\ourGloss{\glossaryTerm{datatype}}{%
+equivalent to {\it domain} in Axiom.
+}
+
+
+\ourGloss{\glossaryTerm{declaration}}{%
+{\it (syntax)} an expression of the form $x : T$ where $T$ is
+some {\it type}.
+A declaration forces all values assigned to
+$x$ to be of that type.
+If a value is of a different type, the interpreter will try to
+coerce the value to type $T$.
+Declarations are necessary in case of ambiguity or when a user wants to
+introduce an unexposed domain.
+}
+
+
+\ourGloss{\glossaryTerm{default definition}}{%
+a function defined by a {\it category}.
+Such definitions appear in category definitions of the form \newline
+$C: Category == T add I$ \newline
+in an optional implementation part $I$ to the
+right of the keyword $add$.
+}
+
+
+\ourGloss{\glossaryTerm{default package}}{%
+an optional {\it package}
+of functions associated with a category.
+Such functions are necessarily defined in terms of other operations
+exported by the category.
+}
+
+
+\ourGloss{\glossaryTerm{definition}}{%
+{\it (syntax)} 1.
+An expression of the form $f(a) == b$ defining function $f$
+with formal arguments
+$a$ and {\it body} $b$;
+equivalent to the statement $f == (a) +-> b$.
+2.
+An expression of the form $a == b$ where $a$ is a
+{\it symbol}, equivalent to $a() == b$.
+See also {\it macro} where a similar substitution is done at
+{\it parse} time.
+}
+
+
+\ourGloss{\glossaryTerm{delimiter}}{%
+a {\it character} that marks the beginning or end of some
+syntactically correct unit in the language, for example,
+{\tt "} for strings, blanks for identifiers.
+}
+
+\ourGloss{\glossaryTerm{dependent}}{%
+(of a given constructor) another constructor that mentions the given
+constructor as an argument or among the types of an exported operation.
+See a {\bf Cross Reference} page of a constructor in Browse.
+}
+
+
+\ourGloss{\glossaryTerm{destructive operation}}{%
+An operation that changes a component or structure of a value.
+\index{operation!destructive}
+In Axiom, destructive operations have names ending
+with an exclamation mark ({\tt !}).
+For example, domain {\bf List} has two operations to reverse
+the elements of a list, one named \spadfunFrom{reverse}{List}
+that returns a copy of the original list with the elements
+reversed, another named \spadfunFrom{reverse}{List} that
+reverses the elements {\it in place,} thus destructively changing
+the original list.
+}
+
+\ourGloss{\glossaryTerm{documentation}}{%
+1.
+on-line or hard-copy descriptions of Axiom; 2.
+text in library code preceded by {\tt ++} comments as opposed to general
+comments preceded by {\tt --}.
+}
+
+
+\ourGloss{\glossaryTerm{domain}}{%
+{\it (basic concept)} a domain corresponds to the usual notion of
+datatypes.
+Examples of domains are
+{\bf List Float} (``lists of floats''),
+{\bf Fraction Polynomial Integer} (``fractions of polynomials of integers''),
+and {\bf Matrix Stream CardinalNumber}
+(``matrices of infinite streams of cardinal numbers'').
+The term {\it domain} actually abbreviates {\it domain of
+computation}.
+Technically, a domain denotes a class of objects, a class of
+operations for creating and otherwise
+manipulating these objects, and a class of
+attributes describing computationally
+useful properties.
+Domains may also define functions for its exported operations,
+often in terms of some {\it representation} for the objects.
+A domain itself is an {\it object} created by a
+{\it function} called a {\it domain constructor}.
+The types of the exported operations of a domain are arbitary; this gives
+rise to a special class of domains called packages.
+}
+
+
+\ourGloss{\glossaryTerm{domain constructor}}{%
+a function that creates domains, described by an abstract datatype in
+\index{constructor!domain}
+the Axiom programming language.
+Simple domains like {\bf Integer} and {\bf Boolean} are
+created by domain constructors with no arguments.
+Most domain constructors take one or more parameters, one usually
+denoting an {\it underlying domain}.
+For example, the domain {\bf Matrix(R)} denotes ``matrices over
+$R$.''
+\index{Mapping}
+Domains {\bf Mapping},
+\index{Record}
+{\bf Record}, and {\bf Union} are
+\index{Union}
+primitive domains.
+All other domains are written in the Axiom programming language
+and can be modified by users with access to the library source code
+and the library compiler.
+}
+
+
+\ourGloss{\glossaryTerm{domain extension}}{%
+a domain constructor $A$ is said to {\it extend} a domain
+constructor $B$ if $A$'s definition has the form $A
+== B add ...$.
+This intuitively means ``functions not defined by $A$ are assumed to
+come from $B$.''
+Successive domain extensions form add-chains
+affecting the
+search order for functions not implemented
+directly by the domain during {\it dynamic lookup}.
+}
+
+
+\ourGloss{\glossaryTerm{dot notation}}{%
+using an infix dot ({\tt .}) for the
+operation {\bf elt}.
+If $u$ is the list $[7,4,-11]$ then both $u(2)$ and
+$u.2$ return $4$.
+Dot notation nests to the left:
+$f.g.h$ is equivalent to $(f.g).h$.
+}
+
+
+\ourGloss{\glossaryTerm{dynamic}}{%
+that which is done at {\it run-time} as opposed to
+{\it compile-time}.
+For example, the interpreter may build a domain ``matrices over
+integers'' dynamically in response to user input.
+However, the compilation of all functions for matrices and
+integers is done during {\it compile-time}.
+Constrast {\it static}.
+}
+
+
+\ourGloss{\glossaryTerm{dynamic lookup}}{%
+In Axiom, a {\it domain} may or may not explicitly provide
+{\it function} definitions for all its exported
+operations. These definitions may instead come from domains
+in the {\it add-chain} or from default packages.
+When a function call is made for an
+operation in the domain, up to five steps are carried out.
+\begin{enumerate}
+\item  If the domain itself implements a function for the operation,
+that function is returned.
+\item  Each of the domains in the {\it add-chain} are searched;
+if one of these domains implements the function, that function is
+returned.
+\item Each of the default packages
+for the
+domain are searched in order of the {\it lineage}.
+If any of the default packages implements the function, the first one
+found is returned.
+\item  Each of the default packages
+for each of the
+domains in the {\it add-chain} are searched in the order of their
+{\it lineage}. If any of the default packages implements the
+function, the first one found is returned.
+\item  If all of the above steps fail, an error message is reported.
+\end{enumerate}
+}
+
+
+\ourGloss{\glossaryTerm{empty}}{%
+the unique value of objects with type {\bf Void}.
+}
+
+
+\ourGloss{\glossaryTerm{environment}}{%
+a set of bindings.
+}
+
+
+\ourGloss{\glossaryTerm{evaluation}}{%
+a systematic process that transforms an {\it expression} into an
+object called the {\it value} of the expression.
+Evaluation may produce side effects.
+}
+
+%tpdclip1
+
+
+\ourGloss{\glossaryTerm{exit}}{%
+{\it (reserved word)} an {\it operator} that forces an exit from
+the current {\it block}.
+For example, the block $(a := 1; if i > 0 then exit a;
+a := 2)$ will prematurely exit at the second statement with value 1 if
+the value of $i$ is greater than zero.
+See {\tt =>} for an alternate syntax.
+}
+
+%tpdhere
+%tpdhere
+%tpdhere
+%tpdhere
+
+\ourGloss{\glossaryTerm{explicit export}}{%
+1.
+(of a domain $D$) any {\it attribute}, {\it operation},
+\index{export!explicit}
+or {\it category} explicitly mentioned in the {\it type}
+exports part $E$ for the domain constructor definition
+$D: E == I$ 2.
+(of a category $C$) any {\it attribute},
+{\it operation}, or {\it category} explicitly mentioned in
+the {\it type} specification part $E$ for the category
+constructor definition $C: {\it Category} == E$
+}
+
+
+\ourGloss{\glossaryTerm{export}}{%
+{\it explicit export} or {\it implicit export} of a domain
+or category
+}
+
+
+\ourGloss{\glossaryTerm{expose}}{%
+some constructors are {\it exposed}, others {\it unexposed}.
+Exposed domains and packages are recognized by the interpreter.
+Use {\tt )set expose} to control what is exposed.
+Unexposed constructors will appear in Browse prefixed by a star (``{\tt *}'').
+}
+
+
+\ourGloss{\glossaryTerm{expression}}{%
+1.
+any syntactically correct program fragment.
+2.
+an element of domain {\bf Expression}.
+}
+
+
+\ourGloss{\glossaryTerm{extend}}{%
+see {\it category extension} or {\it domain extension}.
+}
+
+
+\ourGloss{\glossaryTerm{field}}{%
+{\it (algebra)} a {\it domain} that is a {\it ring} where
+every non-zero element is invertible and where $xy=yx$; a member of
+category {\bf Field}.
+For a complete list of fields, click on {\bf Domains} under {\bf Cross
+Reference} for {\bf Field} in Browse.
+}
+
+
+\ourGloss{\glossaryTerm{file}}{%
+1. a program or collection of data stored on disk, tape or other medium.
+2. an object of a {\bf File} domain.
+}
+
+
+\ourGloss{\glossaryTerm{float}}{%
+a floating-point number with user-specified precision; an element of
+domain {\bf Float}.
+\index{Float}
+Floats are literals written either without an
+exponent (for example, $3.1416$), or with an exponent
+(for example, $3.12E-12$).
+Use function {\it precision} to change the precision of the
+mantissa ($20$ digits by default).
+See also {\it small float}.
+}
+
+
+\ourGloss{\glossaryTerm{formal parameter}}{%
+(of a function) an identifier bound to the value
+of an actual {\it argument} on {\it invocation}.
+In the function definition $f(x,y) == u$, for example, $x$ and
+$y$ are the formal parameters.
+}
+
+
+\ourGloss{\glossaryTerm{frame}}{%
+the basic unit of an interactive session; each frame has its own
+{\it step number}, {\it environment}, and
+{\it history}. In one interactive session, users can create and
+drop frames, and have several active frames simultaneously.
+}
+
+
+\ourGloss{\glossaryTermNoIndex{free}}{%
+{\it (syntax)}
+A keyword used in user-defined functions to declare that
+a variable is a {\it free variable} of that function.
+\index{free}
+For example, the statement $free x$ declares the variable $x$
+within the body of a function $f$ to be a free variable in $f$.
+Without such a declaration, any variable $x$ that appears on the
+left-hand side of an assignment before it is referenced
+is regarded as a {\it local variable} of that function.
+If the intention of the assignment is to give a value to a
+{\it global variable} $x$, the body of that function must
+contain the statement $free x$.
+A variable that is a parameter to the function is always local.
+%This should be a reported bug--->
+%, even
+%if it has a $free$ declaration.
+}
+
+
+\ourGloss{\glossaryTerm{free variable}}{%
+(of a function) a variable that appears in a body of a function but is
+not bound by that function.
+Contrast with {\it local variable}.
+}
+
+\ourGloss{\glossaryTerm{function}}{%
+implementation of {\it operation}.
+A function takes zero or more {\it argument} parameters and
+produces a single return value.
+Functions are objects that can be passed as parameters to
+functions and can be returned as values of functions.
+Functions can also create other functions (see also
+{\bf InputForm}).
+See also {\it application} and {\it invocation}.
+The terms {\it operation} and {\it function} are distinct notions
+in Axiom.
+An operation is an abstraction of a function, described by
+a {\it name} and a {\it signature}.
+A function is created by providing an implementation of that
+operation by Axiom code.
+Consider the example of defining a user-function $fact$ to
+compute the {\bf factorial} of a nonnegative integer.
+The Axiom statement $fact: Integer -> Integer$
+describes the operation, whereas the statement $fact(n) =
+reduce(*,[1..n])$ defines the function.
+See also {\it generic function}.
+}
+
+
+\ourGloss{\glossaryTerm{function body}}{%
+the part of a {\it function}'s definition that is
+evaluated when the function is called at {\it run-time}; the part
+of the function definition to the right of the {\tt ==}.
+}
+
+
+\ourGloss{\glossaryTerm{garbage collection}}{%
+a system function that automatically recycles memory cells from the
+{\it heap}. Axiom is built upon {\it Common LISP} that
+provides this facility.
+}
+
+
+\ourGloss{\glossaryTerm{garbage collector}}{%
+a mechanism for reclaiming storage in the {\it heap}.
+}
+
+
+\ourGloss{\glossaryTerm{Gaussian}}{%
+a complex-valued expression, for example, one with both a real and
+imaginary part; a member of a {\bf Complex} domain.
+}
+
+
+\ourGloss{\glossaryTerm{generic function}}{%
+the use of one function to operate on objects of different types.
+One might regard Axiom as supporting generic
+operations but not generic functions.
+One operation $+: (D, D) -> D$ exists for adding elements in a
+ring; each ring however provides its own type-specific function
+for implementing this operation.
+}
+
+
+\ourGloss{\glossaryTerm{global variable}}{%
+A variable that can be referenced freely by functions.
+\index{variable!global}
+In Axiom, all top-level user-defined variables defined during an
+interactive user session are global variables.
+Axiom does not allow {\it fluid variables}, that is, variables
+\index{variable!fluid}
+bound by a function $f$ that can be referenced by
+functions that $f$ calls.
+}
+
+
+\ourGloss{\glossaryTermNoIndex{Gr\protect\"{o}bner basis}}{%
+{\it (algebra)} a special basis for a polynomial ideal that allows a
+\index{Groebner basis @{Gr\protect\"{o}bner basis}}
+simple test for membership.
+\index{basis!Groebner@{Gr\protect\"{o}bner}}
+It is useful in solving systems of polynomial equations.
+}
+
+
+
+\ourGloss{\glossaryTerm{group}}{%
+{\it (algebra)} a monoid where every element has a multiplicative
+inverse.
+}
+
+
+\ourGloss{\glossaryTerm{hash table}}{%
+a data structure designed for fast lookup of information stored under ``keys''.
+A hash table consists of a set of {\it entries}, each of which
+associates a {\it key} with a {\it value}.
+Finding the object stored under a key can be fast for
+a large number of entries since keys are {\it hashed} into numerical
+codes for fast lookup.
+}
+
+
+\ourGloss{\glossaryTerm{heap}}{%
+1. an area of storage used by data in programs.
+For example, Axiom will use the heap to hold the partial results of
+symbolic computations.
+When cancellations occur, these results remain in the heap until
+garbage collected.
+2. an object of a {\bf Heap} domain.
+}
+
+
+\ourGloss{\glossaryTerm{history}}{%
+a mechanism that records input and output data for an interactive session.
+Using the history facility, users can save computations, review previous
+steps of a computation, and restore a previous interactive session at
+some later time.
+For details, issue the system command {\it )history ?} to the
+interpreter. See also {\it frame}.
+}
+
+
+\ourGloss{\glossaryTerm{ideal}}{%
+{\it (algebra)} a subset of a ring that is closed under addition and
+multiplication by arbitrary ring elements; thus an ideal is
+a module over the ring.
+}
+
+
+\ourGloss{\glossaryTerm{identifier}}{%
+{\it (syntax)} an Axiom name; a {\it literal} of type
+{\bf Symbol}. An identifier begins with an alphabetical character,
+\%, ?, or !, and may be followed by any of these or digits.
+Certain distinguished reserved words are not allowed as
+identifiers but have special meaning in Axiom.
+}
+
+\ourGloss{\glossaryTerm{immutable}}{%
+an object is immutable if it cannot be changed by an
+{\it operation}; it is not a mutable object.
+Algebraic objects are generally immutable: changing an algebraic expression
+involves copying parts of the original object.
+One exception is an object of type {\bf Matrix}.
+Examples of mutable objects are data structures such as those of type
+\index{semantics!pointer}
+{\bf List}. See also {\it pointer semantics}.
+}
+
+
+\ourGloss{\glossaryTerm{implicit export}}{%
+(of a domain or category)
+\index{export!implicit}
+any exported {\it attribute} or {\it operation} or {\it category}
+that is not an {\it explicit export}.
+For example, {\bf Monoid} and {\bf *} are implicit exports of
+{\bf Ring}.
+}
+
+
+\ourGloss{\glossaryTerm{index}}{%
+1.
+a variable that counts the number of times a {\it loop} is
+repeated.
+2. the ``address'' of an element in a data structure (see also category
+{\bf LinearAggregate}).
+}
+
+
+\ourGloss{\glossaryTerm{infix}}{%
+{\it (syntax)} an {\it operator} placed between two
+operands; also called a {\it binary
+operator}.
+For example, in the expression $a + b$, $+$ is the
+infix operator.
+An infix operator may also be used as a {\it prefix}.
+Thus $+(a,b)$ is also permissible in the Axiom
+language.
+Infix operators have a {\it precedence} relative to one another.
+% relative to what?
+}
+
+
+\ourGloss{\glossaryTerm{input area}}{%
+a rectangular area on a HyperDoc screen into which users can enter
+text.
+}
+
+
+\ourGloss{\glossaryTerm{instantiate}}{%
+to build a {\it category}, {\it domain}, or
+{\it package} at run-time.
+}
+
+
+\ourGloss{\glossaryTerm{integer}}{%
+a {\it literal} object of domain {\bf Integer}, the class of
+integers with an unbounded number of digits.
+Integer literals consist of one or more consecutive digits (0-9) with no
+embedded blanks.
+Underscores can be used to separate digits in long integers if
+desirable.
+}
+
+
+\ourGloss{\glossaryTerm{interactive}}{%
+a system where the user interacts with the computer step-by-step.
+}
+
+
+\ourGloss{\glossaryTerm{interpreter}}{%
+the part of Axiom responsible for handling user input
+during an interactive session.
+%The following is a somewhat simplified description of the typical action of
+%the interpreter.
+The interpreter parses the user's input expression to create an
+expression tree, then does a bottom-up traversal of the tree.
+Each subtree encountered that is not a value consists of a root node
+denoting an operation name and one or more leaf nodes denoting
+operands.
+The interpreter resolves type mismatches and uses
+type-inferencing and a library database to determine appropriate types for
+the operands and the result, and an operation to be performed.
+The interpreter next builds a domain to perform the indicated operation,
+and invokes a function from the domain to compute a value.
+The subtree is then replaced by that value and the process continues.
+Once the entire tree has been processed, the value replacing the top
+node of the tree is displayed back to the user as the value of the
+expression.
+}
+
+\ourGloss{\glossaryTerm{invocation}}{%
+(of a function) the run-time process involved in
+evaluating a {\it function}
+{\it application}. This process has two steps.
+First, a local {\it environment} is created where
+formal arguments
+are locally bound by
+{\it assignment} to their respective actual {\it argument}.
+Second, the {\it function body} is evaluated in that local
+environment. The evaluation of a function is terminated either by
+completely evaluating the function body or by the evaluation of a
+{\tt return} expression.
+\index{return}
+}
+
+\ourGloss{\glossaryTerm{iteration}}{%
+repeated evaluation of an expression or a sequence of expressions.
+Iterations use the reserved words
+{\tt for},
+\index{for}
+{\tt while},
+\index{while}
+and {\tt repeat}.
+\index{repeat}
+}
+
+\ourGloss{\glossaryTerm{Join}}{%
+a primitive Axiom function taking two or more categories as
+arguments and producing a category containing all of the operations and
+attributes from the respective categories.
+}
+
+
+\ourGloss{\glossaryTerm{KCL}}{%
+Kyoto Common LISP, a version of {\it Common LISP} that features
+compilation of LISP into the $C$ Programming
+Language.
+}
+
+
+\ourGloss{\glossaryTerm{library}}{%
+In Axiom, a collection of compiled modules respresenting
+{\it category} or {\it domain} constructors.
+}
+
+
+\ourGloss{\glossaryTerm{lineage}}{%
+the sequence of
+default packages
+for a given domain to be
+searched during {\it dynamic lookup}.
+This sequence is computed first by ordering the category
+ancestors of the domain according to their {\it level
+number}, an integer equal to the minimum distance of the domain from
+the category.
+Parents have level 1, parents of parents have level 2, and so on.
+Among categories with equal level numbers, ones that appear in the
+left-most branches of {\tt Join}s in the source code come first.
+See a {\bf Cross Reference} page of a constructor in Browse.
+See also {\it dynamic lookup}.
+}
+
+\ourGloss{\glossaryTerm{LISP}}{%
+acronym for List Processing Language, a language designed for the
+manipulation of non-numerical data.
+The Axiom library is translated into LISP then compiled into
+machine code by an underlying LISP system.
+}
+
+
+\ourGloss{\glossaryTerm{list}}{%
+an object of a {\bf List} domain.
+}
+
+
+\ourGloss{\glossaryTerm{literal}}{%
+an object with a special syntax in the language.
+In Axiom, there are five types of literals:
+booleans,
+integers,
+floats,
+strings, and
+symbols.
+}
+
+
+\ourGloss{\glossaryTerm{local}}{%
+{\it (syntax)}
+A keyword used in user-defined functions to declare that
+a variable is a {\it local variable} of that function.
+Because of default assumptions on variables, such a declaration is
+often not necessary but is available to the user for clarity when appropriate.
+}
+
+\ourGloss{\glossaryTerm{local variable}}{%
+(of a function) a variable bound by that
+function and such that its binding is invisible to any function
+that function calls.
+Also called a {\it lexical} variable.
+By default in the interpreter:
+\begin{enumerate}
+\item
+any variable $x$ that appears on the left-hand side of an
+assignment
+is normally regarded a local variable of that function.
+%The right-hand side of an assignment is looked at before the
+%left-hand side.
+If the intention of an assignment is to change the value of a
+{\it global variable} $x$, the body of the function must then
+contain the statement $free x$.
+\item
+any other variable is regarded as a {\it free variable}.
+\end{enumerate}
+An optional declaration $local x$ is available to declare
+explicitly a variable to be a local variable.
+All formal parameters
+are local variables to the function.
+}
+
+\ourGloss{\glossaryTerm{loop}}{%
+1.
+an expression containing a {\tt repeat}.
+\index{repeat}
+2.
+a collection expression having a
+{\tt for} or a
+\index{for}
+{\tt while},
+\index{while}
+for example, $[f(i) for i in S]$.
+\index{while}
+}
+
+
+\ourGloss{\glossaryTerm{loop body}}{%
+the part of a loop following the {\tt repeat}
+\index{repeat}
+that tells what to do each iteration.
+For example, the body of the loop $for x in S repeat B$ is
+$B$. For a collection expression, the body of the loop precedes the
+initial {\tt for}
+\index{for}
+or {\tt while}.
+\index{while}
+}
+
+
+\ourGloss{\glossaryTerm{macro}}{%
+1. {\it (interactive syntax)}
+An expression of the form $macro a == b$ where $a$ is a
+{\it symbol} causes $a$ to be textually replaced by the
+expression $b$ at {\it parse} time.
+2.
+An expression of the form $macro f(a) == b$ defines a parameterized
+macro expansion for a parameterized form $f$. This macro causes a
+form $f$($x$) to be textually replaced by the expression
+$c$ at parse time, where $c$ is the expression obtained by
+replacing $a$ by $x$ everywhere in $b$.
+See also {\it definition} where a similar substitution is done
+during {\it evaluation}.
+3. {\it (programming language syntax)}
+An expression of the form $a ==> b$ where $a$ is a symbol.
+}
+
+
+\ourGloss{\glossaryTerm{mode}}{%
+a type expression containing a question-mark ({\tt ?}).
+For example, the mode {\sf POLY ?} designates {\it the class of all
+polynomials over an arbitrary ring}.
+}
+
+
+\ourGloss{\glossaryTerm{mutable}}{%
+objects that contain pointers
+to other objects and that
+\index{semantics!pointer}
+have operations defined on them that alter these pointers.
+Contrast {\it immutable}.
+Axiom uses {\it pointer semantics} as does {\it LISP}
+\index{semantics!copying}
+in contrast with many other languages such as PASCAL
+\index{PASCAL}
+that use
+{\it copying semantics}.
+See {\it pointer semantics} for details.
+}
+
+\ourGloss{\glossaryTerm{name}}{%
+1.
+a {\it symbol} denoting a {\it variable}, such as
+the variable $x$.
+2.
+a {\it symbol} denoting an {\it operation},
+that is, the operation $divide: (Integer, Integer) -> Integer$.
+}
+
+
+
+\ourGloss{\glossaryTerm{nullary}}{%
+a function with no arguments, for example,
+{\bf characteristic}; operation or function with {\it arity} zero.
+}
+
+
+
+\ourGloss{\glossaryTerm{object}}{%
+a data entity created or manipulated by programs.
+Elements of domains, functions, and domains themselves are objects.
+The most basic objects are literals; all other objects must
+be created by functions.
+Objects can refer to other objects using pointers
+and can be {\it mutable}.
+}
+
+\ourGloss{\glossaryTerm{object code}}{%
+code that can be directly executed by hardware; also known as {\it
+machine language}.
+}
+
+
+\ourGloss{\glossaryTerm{operand}}{%
+an argument of an {\it operator} (regarding an operator as a
+{\it function}).
+}
+
+
+\ourGloss{\glossaryTerm{operation}}{%
+an abstraction of a {\it function}, described by a
+{\it signature}. For example, $fact:
+NonNegativeInteger -> NonNegativeInteger$ describes an operation for
+``the factorial of a (non-negative) integer.''
+}
+
+
+\ourGloss{\glossaryTerm{operator}}{%
+special reserved words in the language such as $+$ and
+$*$; operators can be either {\it prefix} or
+{\it infix} and have a relative {\it precedence}.
+}
+
+
+\ourGloss{\glossaryTerm{overloading}}{%
+the use of the same name to denote distinct operations; an
+operation is
+identified by a {\it signature} identifying its name, the number
+and types of its arguments, and its return types.
+If two functions can have identical signatures, a {\it package
+call} must be made to distinguish the two.
+}
+
+
+\ourGloss{\glossaryTerm{package}}{%
+a special case of a domain, one for which the exported operations
+depend solely on the parameters
+and other explicit domains (contain no \$).
+Intuitively, packages are collections of
+({\it polymorphic}) functions.
+Facilities for integration, differential equations, solution of
+linear or polynomial equations, and group theory are provided by
+packages.
+}
+
+
+\ourGloss{\glossaryTerm{package call}}{%
+{\it (syntax)} an expression of the form $e \$ P$ where $e$ is
+an {\it application} and $P$ denotes some {\it package}
+(or {\it domain}).
+}
+
+
+\ourGloss{\glossaryTerm{package constructor}}{%
+same
+\index{constructor!package}
+as {\it domain constructor}.
+}
+
+\ourGloss{\glossaryTerm{parameter}}{%
+see {\it argument}.
+}
+
+\ourGloss{\glossaryTerm{parameterized datatype}}{%
+a domain that is built on another, for example, polynomials with integer
+\index{datatype!parameterized}
+coefficients.
+}
+
+
+\ourGloss{\glossaryTerm{parameterized form}}{%
+a expression of the form $f(x,y)$, an {\it application} of a
+function.
+}
+
+\ourGloss{\glossaryTerm{parent}}{%
+(of a domain or category) a category which is explicitly declared in the source code
+definition for the domain either to the left of the {\tt with} or
+as an {\it export} of the domain.
+See {\it category extension}.
+See also a {\bf Cross Reference} page of a constructor in Browse.
+}
+
+
+\ourGloss{\glossaryTerm{parse}}{%
+1.
+(verb) to transform a user input string representing a valid
+Axiom expression into an internal representation as a
+tree-structure; the
+resulting internal representation is then ``interpreted'' by Axiom to
+perform some indicated action.
+}
+
+\ourGloss{\glossaryTerm{partially ordered set}}{%
+a set with a reflexive, transitive and antisymetric {\it binary}
+operation.
+}
+
+
+\ourGloss{\glossaryTerm{pattern matching}}{%
+1.
+(on expressions) Given an expression called the ``subject'' $u$, the
+attempt to rewrite $u$ using a set of ``rewrite rules.''
+Each rule has the form $A == B$ where $A$ indicates an
+expression called a ``pattern'' and $B$ denotes a ``replacement.''
+The meaning of this rule is ``replace $A$ by $B$.''
+If a given pattern $A$ matches a subexpression of $u$, that
+subexpression is replaced by $B$.
+Once rewritten, pattern matching continues until no further changes
+occur. 2.
+(on strings) the attempt to match a string indicating a ``pattern'' to
+another string called a ``subject'', for example, for the purpose of
+identifying a list of names.
+In Browse, users may enter search strings
+for the purpose
+of identifying constructors, operations, and attributes.
+}
+
+\ourGloss{\glossaryTerm{pile}}{%
+alternate syntax for a block, using indentation and column alignment
+(see also {\it block}).
+}
+
+\ourGloss{\glossaryTerm{pointer}}{%
+a reference implemented by a link directed from one object to another in
+the computer memory.
+An object is said to {\it refer} to another if it has a pointer to that
+other object.
+Objects can also refer to themselves (cyclic references are legal).
+\index{semantics!pointer}
+Also more than one object can refer to the same object.
+See also {\it pointer semantics}.
+}
+
+
+\ourGloss{\glossaryTerm{pointer semantics}}{%
+the programming language semantics used in languages such as LISP that
+\index{semantics!copying}
+allow objects to be {\it mutable}.
+\index{semantics!pointer}
+Consider the following sequence of Axiom statements:
+\newline
+$x : Vector Integer := [1,4,7]$ \newline
+$y := x$ \newline
+$swap!(x,2,3)$ \newline
+The function \spadfunFrom{swap}{Vector}
+is used to interchange the second and third value in the list
+$x$, producing the value $[1,7,4]$.
+What value does $y$ have after evaluation of the third statement?
+The answer is different in Axiom than it is in a language with
+{\it copying semantics}.
+In Axiom, first the vector $[1,2,3]$ is created and the variable
+$x$ set to point to this object.
+Let's call this object $V$.
+Next, the variable $y$ is made to point to $V$ just as
+$x$ does.
+Now the third statement interchanges the last 2 elements of $V$
+(the {\tt !} at the end of the name \spadfunFrom{swap}{Vector} tells you
+that this operation is destructive, that is, it changes the elements {\it
+in place}).
+\index{operation!destructive}
+Both $x$ and $y$ perceive this change to $V$.
+\index{semantics!copying}
+Thus both $x$ and $y$ then have the value $[1,7,4]$.
+In PASCAL, the second statement causes a copy of $V$ to be stored
+\index{PASCAL}
+under $y$.
+Thus the change to $V$ made by the third statement does not affect
+$y$.
+}
+
+\newpage
+
+\ourGloss{\glossaryTerm{polymorphic}}{%
+a {\it function} (for example, one implementing an {\it algorithm})
+defined with categorical types so as to be
+applicable over a variety of domains
+(the domains which are members of the categorical types).
+Every Axiom function defined in a domain or package constructor with a
+domain-valued parameter is polymorphic.
+For example, the same matrix $+$ function is used to add
+``matrices over integers'' as ``matrices over matrices over integers.''
+}
+
+\ourGloss{\glossaryTerm{postfix}}{%
+an {\it operator} that follows its single {\it operand}.
+Postfix operators are not available in Axiom.
+}
+
+\ourGloss{\glossaryTerm{precedence}}{%
+{\it (syntax)} refers to the so-called {\it binding power} of an
+operator. For example, $*$ has higher binding power than $+$ so
+that the expression $a + b * c$ is equivalent to $a + (b * c)$.
+}
+
+\ourGloss{\glossaryTerm{precision}}{%
+the number of digits in the specification of a number.
+The operation \spadfunFrom{digits}{Float} sets this for objects
+of {\bf Float}.
+\index{Float}
+}
+
+\ourGloss{\glossaryTerm{predicate}}{%
+1.
+a Boolean-valued function, for example, $odd: Integer -> Boolean$.
+2.
+a Boolean-valued expression.
+}
+
+\ourGloss{\glossaryTerm{prefix}}{%
+{\it (syntax)} an {\it operator} such as $-$
+that is written {\it before} its single {\it operand}.
+Every function of one argument can be used as a prefix operator.
+For example, all of the following have equivalent meaning in
+Axiom: $f(x)$, $f x$, and $f.x$.
+See also {\it dot notation}.
+}
+
+\ourGloss{\glossaryTerm{quote}}{%
+the prefix {\it operator} {\tt '} meaning {\it do not
+evaluate}.
+}
+
+\ourGloss{\glossaryTermNoIndex{Record}}{%
+(basic domain constructor) a domain constructor used to create an
+\index{Record}
+inhomogeneous aggregate composed of pairs of
+selectors and
+values.
+A {\bf Record} domain is written in the form
+$Record(a1: D1, \ldots, an: Dn)$ ($n > 0$) where
+$a1$, \ldots, $an$ are identifiers called the {\it selectors}
+of the record, and $D1$, \ldots, $Dn$ are domains indicating
+the type of the component stored under selector $an$.
+}
+
+\ourGloss{\glossaryTerm{recurrence relation}}{%
+A relation that can be expressed as a function $f$ with some
+argument $n$ which depends on the value of $f$ at $k$
+previous values.
+In most cases, Axiom will rewrite a recurrence relation on
+compilation so as to {\it cache} its previous $k$ values and
+therefore make the computation significantly more efficient.
+}
+
+
+\ourGloss{\glossaryTerm{recursion}}{%
+use of a self-reference within the body of a function.
+Indirect recursion is when a function uses a function below it in the
+call chain.
+}
+
+\ourGloss{\glossaryTerm{recursive}}{%
+1.
+A function that calls itself, either directly or indirectly through
+another function.
+2.
+self-referential.
+See also {\it recursive}.
+}
+
+\ourGloss{\glossaryTerm{reference}}{%
+see {\it pointer}
+}
+
+\ourGloss{\glossaryTerm{relative}}{%
+(of a domain) A package that exports operations relating to the domain,
+in addition to those exported by the domain.
+See a {\bf Cross Reference} page of a constructor in Browse.
+}
+
+%\ourGloss{\glossaryTermNoIndex{Rep}}{%
+%a special identifier used as a {\it local variable} of a domain
+%\index{Rep}
+%constructor body to denote the representation domain for objects of a
+%domain. See {\it representation}.
+%}
+
+\ourGloss{\glossaryTerm{representation}}{%
+a {\it domain} providing a data structure for elements of a
+domain, generally denoted by the special identifier {\it Rep} in
+the Axiom programming language.
+As domains are abstract datatypes,
+this representation is
+not available to users of the domain, only to functions defined in the
+{\it function body} for a domain constructor.
+Any domain can be used as a representation.
+}
+
+\ourGloss{\glossaryTerm{reserved word}}{%
+a special sequence of non-blank characters with special meaning in the
+Axiom language.
+Examples of reserved words are names such as {\tt for},
+\index{for}
+$if$,
+\index{if}
+and $free$,
+\index{free}
+operator names such as
+$+$ and {\bf mod}, special character strings such as
+{\tt ==} and {\tt :=}.
+}
+
+\ourGloss{\glossaryTerm{retraction}}{%
+to move an object in a parameterized domain back to the underlying
+domain, for example to move the object $7$ from a ``fraction of
+integers'' (domain {\bf Fraction Integer}) to ``the integers'' (domain
+{\bf Integer}).
+}
+
+\ourGloss{\glossaryTerm{return}}{%
+when leaving a function, the value of the expression following
+{\tt return}
+\index{return}
+becomes the value of the function.
+}
+
+\ourGloss{\glossaryTerm{ring}}{%
+a set with a commutative addition, associative multiplication, a unit
+element, where multiplication is distributive over addition and subtraction.
+}
+
+\ourGloss{\glossaryTerm{rule}}{%
+{\it (syntax)} 1.
+An expression of the form $rule A == B$ indicating a ``rewrite
+rule.'' 2.
+An expression of the form $rule (R1;...;Rn)$ indicating a set of
+``rewrite rules'' $R1$,...,$Rn$.
+See {\it pattern matching} for details.
+}
+
+
+\ourGloss{\glossaryTerm{run-time}}{%
+the time when computation is done.
+Contrast with {\it compile-time}, and
+{\it dynamic} as opposed to {\it static}.
+For example, the decision of the intepreter to build
+a structure such as ``matrices with power series entries'' in response to
+user input is made at run-time.
+}
+
+
+\ourGloss{\glossaryTerm{run-time check}}{%
+an error-checking that can be done only when the program receives user
+input; for example, confirming that a value is in the proper range for a
+computation.
+}
+
+\ourGloss{\glossaryTerm{search string}}{%
+a string entered into an {\it input area} on a HyperDoc screen.
+}
+
+
+\ourGloss{\glossaryTerm{selector}}{%
+an identifier used to address a component value of a
+{\bf Record} datatype.
+\index{Record}
+}
+
+
+\ourGloss{\glossaryTerm{semantics}}{%
+the relationships between symbols and their meanings.
+The rules for obtaining the {\it meaning} of any syntactically valid
+expression.
+}
+
+\ourGloss{\glossaryTerm{semigroup}}{%
+{\it (algebra)} a {\it monoid} which need not have an identity; it
+is closed and associative.
+}
+
+
+\ourGloss{\glossaryTerm{side effect}}{%
+action that changes a component or structure of a value.
+\index{operation!destructive}
+See {\it destructive operation} for details.
+}
+
+
+\ourGloss{\glossaryTerm{signature}}{%
+{\it (syntax)} an expression describing the type of an {\it operation}.
+A signature has the form $name : source -> target$, where
+$source$ is the type of the arguments of the operation, and
+$target$ is the type of the result.
+}
+
+
+\ourGloss{\glossaryTerm{small float}}{%
+an object of
+the domain {\bf DoubleFloat}
+for floating-point arithmetic as provided by the
+\index{DoubleFloat}
+computer hardware.
+}
+
+
+\ourGloss{\glossaryTerm{small integer}}{%
+an object of
+the domain {\bf SingleInteger}
+for integer arithmetic
+\index{SingleInteger}
+as provided by the computer hardware.
+}
+
+
+\ourGloss{\glossaryTerm{source}}{%
+the {\it type} of the argument of a {\it function}; the type
+expression before the $->$ in a {\it signature}.
+For example, the source of $f : (Integer, Integer) -> Integer$ is
+$(Integer, Integer)$.
+}
+
+
+\ourGloss{\glossaryTerm{sparse}}{%
+data structure whose elements are mostly identical (a sparse matrix is
+one filled mostly with zeroes).
+}
+
+
+\ourGloss{\glossaryTerm{static}}{%
+that computation done before run-time, such as compilation.
+Contrast {\it dynamic}.
+}
+
+
+\ourGloss{\glossaryTerm{step number}}{%
+the number that precedes user input lines in an interactive session;
+the output of user results is also labeled by this number.
+}
+
+
+\ourGloss{\glossaryTerm{stream}}{%
+an object of {\bf Stream(R)}, a generalization of a
+{\it list} to allow an infinite number of elements.
+Elements of a stream are computed ``on demand.''
+Streams are used to implement various forms of power series.
+}
+
+
+\ourGloss{\glossaryTerm{string}}{%
+an object of domain {\bf String}.
+Strings are literals consisting of an arbitrary sequence of
+characters surrounded by double-quotes ({\tt "}),
+for example, $"Look here!"$.
+}
+
+\ourGloss{\glossaryTerm{subdomain}}{%
+{\it (basic concept)} a {\it domain} together with a
+{\it predicate} characterizing the members of the domain
+that belong to the subdomain.
+The exports of a subdomain are usually distinct from the domain
+itself.
+A fundamental assumption however is that values in the subdomain
+are automatically coerceable to values in
+the domain.
+For example, if $n$ and $m$ are declared to be members
+of a subdomain of the integers, then {\it any} {\it binary}
+operation from {\bf Integer} is available on $n$ and
+$m$.
+On the other hand, if the result of that operation is to be
+assigned to, say, $k$, also declared to be of that subdomain,
+a {\it run-time} check is generally necessary to ensure that
+the result belongs to the subdomain.
+}
+
+
+\ourGloss{\glossaryTerm{such that clause}}{%
+{\it (syntax)}
+the use of {\tt |} followed by an expression to filter an
+iteration.
+}
+
+
+\ourGloss{\glossaryTerm{suffix}}{%
+{\it (syntax)} an {\it operator} that is placed after its operand.
+Suffix operators are not allowed in the Axiom language.
+}
+
+
+\ourGloss{\glossaryTerm{symbol}}{%
+objects denoted by {\it identifier} literals; an
+element of domain {\bf Symbol}.
+The interpreter, by default, converts the symbol $x$ into
+{\bf Variable(x)}.
+}
+
+
+\ourGloss{\glossaryTerm{syntax}}{%
+rules of grammar and punctuation for forming correct expressions.
+}
+
+
+\ourGloss{\glossaryTerm{system commands}}{%
+top-level Axiom statements that begin with {\tt )}.
+System commands allow users to query the database, read files, trace
+functions, and so on.
+}
+
+
+\ourGloss{\glossaryTerm{tag}}{%
+an identifier used to discriminate a branch of a {\bf Union} type.
+\index{Union}
+}
+
+
+\ourGloss{\glossaryTerm{target}}{%
+the {\it type} of the result of a {\it function}; the type
+expression following the {\tt ->} in a {\it signature}.
+}
+
+\ourGloss{\glossaryTerm{top-level}}{%
+refers to direct user interactions with the Axiom interpreter.
+}
+
+
+\ourGloss{\glossaryTerm{totally ordered set}}{%
+{\it (algebra)} a partially ordered set where any two elements are
+comparable.
+}
+
+
+\ourGloss{\glossaryTerm{trace}}{%
+use of system function {\tt )trace} to track the arguments passed to
+a function and the values returned.
+}
+
+
+\ourGloss{\glossaryTerm{tuple}}{%
+an expression of two or more other expressions separated by commas,
+for example, $4,7,11$.
+Tuples are also used for multiple arguments both for
+applications (for example, $f(x,y)$) and in
+signatures
+(for example, $(Integer, Integer) ->
+Integer$). A tuple is not a data structure, rather a syntax mechanism for
+grouping expressions.
+}
+
+
+\ourGloss{\glossaryTerm{type}}{%
+The type of any {\it category} is the unique symbol {\it
+Category}.
+The type of a {\it domain} is any {\it category} to
+which the domain belongs.
+The type of any other object is either the (unique) domain to
+which the object belongs or a {\it subdomain} of that domain.
+The type of objects is in general not unique.
+}
+
+\ourGloss{\glossaryTermNoIndex{Type}}{%
+a category with no operations or attributes, of which all other categories
+\index{Type}
+in Axiom are extensions.
+}
+
+\ourGloss{\glossaryTerm{type checking}}{%
+a system function that determines whether the datatype of an object is
+appropriate for a given operation.
+}
+
+
+\ourGloss{\glossaryTerm{type constructor}}{%
+a {\it domain constructor} or {\it category constructor}.
+}
+
+
+\ourGloss{\glossaryTerm{type inference}}{%
+when the interpreter chooses the type for an object based on context.
+For example, if the user interactively issues the definition
+$f(x) == (x + \%i)**2$ then issues $f(2)$, the
+interpreter will infer the type of $f$ to be $Integer ->
+Complex Integer$.
+}
+
+
+\ourGloss{\glossaryTerm{unary}}{%
+operation or function with {\it arity} 1.
+}
+
+
+\ourGloss{\glossaryTerm{underlying domain}}{%
+for a {\it domain} that has a single domain-valued parameter, the
+{\it underlying domain} refers to that parameter.
+For example, the domain ``matrices of integers'' ({\bf Matrix
+Integer}) has underlying domain {\bf Integer}.
+}
+
+
+\ourGloss{\glossaryTermNoIndex{Union}}{%
+(basic domain constructor) a domain constructor used to combine any set
+\index{Union}
+of domains into a single domain.
+A {\bf Union}
+domain is written in the form $Union(a1: D1, ..., an: Dn)$
+($n > 0$) where $a1$, ..., $an$ are identifiers called the
+{\it tags} of the union, and $D1$, ..., $Dn$ are domains called
+the {\it branches} of the union.
+The tags $$ai$$ are optional, but required when two of the
+$$Di$$ are equal, for example,
+$Union(inches: Integer, centimeters: Integer)$. In the interpreter,
+values of union domains are automatically coerced to values in the
+branches and vice-versa as appropriate.
+See also {\it case}.
+}
+
+
+\ourGloss{\glossaryTerm{unit}}{%
+{\it (algebra)} an invertible element.
+}
+
+
+\ourGloss{\glossaryTerm{user function}}{%
+a function defined by a user during an interactive session.
+Contrast {\it built-in function}.
+}
+
+
+\ourGloss{\glossaryTerm{user variable}}{%
+a variable created by the user at top-level during an interactive
+session.
+}
+
+
+\ourGloss{\glossaryTerm{value}}{%
+1.
+the result of evaluating an expression.
+2.
+a property associated with a {\it variable} in a
+{\it binding} in an {\it environment}.
+}
+
+\ourGloss{\glossaryTerm{variable}}{%
+a means of referring to an object, but not an object itself.
+A variable has a name and an associated {\it binding} created by
+{\it evaluation} of Axiom expressions such as
+declarations,
+assignments, and
+definitions.
+In the top-level {\it environment} of the
+interpreter, variables are
+global variables.
+Such variables can be freely referenced in user-defined functions
+although a $free$ declaration is needed to assign values to
+\index{free}
+them. See {\it local variable} for details.
+}
+
+\ourGloss{\glossaryTermNoIndex{Void}}{%
+the type given when the {\it value} and {\it type} of an
+expression are not needed.
+\index{Void}
+Also used when there is no guarantee at run-time that a value and
+predictable mode will result.
+}
+
+
+\ourGloss{\glossaryTerm{wild card}}{%
+a symbol that matches any substring including the empty string; for
+example, the search string ``{\tt *an*}'' matches any word containing the
+consecutive letters ``{\tt a}'' and ``{\tt n}''.
+}
+
+
+\ourGloss{\glossaryTerm{workspace}}{%
+an interactive record of the user input and output held in an
+interactive history file.
+Each user input and corresponding output expression in the workspace has
+a corresponding {\it step number}.
+The current output expression in the workspace is referred to as
+$\%$. The output expression associated with step number $n$ is
+referred to by $\%\%(n)$.
+The $k$-th previous output expression relative to the current step
+number $n$ is referred to by $\%\%(- k)$.
+Each interactive {\it frame} has its own workspace.
+}
+
+}\onecolumn\fussy
+
+
+\vfill
+\eject
+\setcounter{chapter}{7} % Appendix H
+\chapter{License}
+%\appendix{License}
+\begin{verbatim}
+Portions of this document are Copyright by their respective authors.
+All rights reserved by the authors. Used by permission.
+
+Cover art ``Blue Bayou'' Copyright (2004) Jocelyn Guidry 
+
+Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+Text for this document is released under the license:
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+\end{verbatim}
+
+\eject
+\begin{verbatim}
+Testing involves function calls which are intended to fail in
+the normal course of testing. In order to distinguish cases
+where things fail by design you can issue the command
+{\tt )set message test on}. This inhibits the message
+"Daly Bug". You can now distinguish between intentional
+failures which do not contain the "Daly Bug" message and
+unintentional failures which do.
+
+
+RDJ note to RSS: Expressions not statements or lines-- By an
+expression I mean any syntactically correct program fragment.
+Everything in AXIOM is an expression since every fragment has a value
+and a type.  In most languages including LISP, a "statement" is
+different from an expression: it is executed for side-effect only and
+an error is incurred if you assign it a value.  This "gimmick" takes
+care of incomplete expressions such as "if x > 0 then y" in blocks.
+In LISP, "u := (if x > 0 then y)" is illegal but in AXIOM it is legal.
+Also, in AXIOM the value of a repeat loop is void even though you
+might be be able to prove that it always returns a valid value (you
+have an example of this)!  This will be considered a bug not a
+feature. But it is how things stand.  In any case---this point should
+be in a box somewhere since it is key to a user's understanding to the
+language. I am not sure where. You only gain an appreciation for it
+after awhile in chapter 5.
+
+\end{verbatim}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Lamport, Leslie, 
+{\it LaTeX: A Document Preparation System,} \\
+Reading, Massachusetts, 
+Addison-Wesley Publishing Company, Inc., 
+1986. ISBN 0-201-15790-X
+\bibitem{2} Knuth, Donald, {\it The \TeX{}book} \\
+Reading, Massachusetts, 
+Addison-Wesley Publishing Company, Inc., 
+1984. ISBN 0-201-13448-9
+\bibitem{3} Jenks, Richard D. and Sutor, Robert S.,\\
+{\it Axiom, The Scientific Computation System} \\
+Springer-Verlag, New York, NY 1992 ISBN 0-387-97855-0
+\end{thebibliography}
+\end{document}
diff --git a/books/bookvol1.pamphlet b/books/bookvol1.pamphlet
new file mode 100644
index 0000000..25bb7bc
--- /dev/null
+++ b/books/bookvol1.pamphlet
@@ -0,0 +1,14833 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+
+%% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]%
+{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% special meanings for math characters
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+
+\providecommand{\tpd}[5]%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 1: Axiom Tutorial}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\chapter{Axiom Features}
+\label{ch:axiom features}
+\section{Introduction to Axiom}
+Welcome to the world of Axiom.
+We call Axiom a scientific computation system:
+a self-contained toolbox designed to meet
+your scientific programming needs,
+from symbolics, to numerics, to graphics.
+
+This introduction is a quick overview of some of the
+features Axiom offers.
+
+\subsection{Symbolic Computation}
+Axiom provides a wide range of simple commands for symbolic
+mathematical problem solving.  Do you need to solve an equation, to
+expand a series, or to obtain an integral?  If so, just ask Axiom
+to do it.
+
+Given $$\int\left({{1\over{(x^3 \  {(a+b x)}^{1/3})}}}\right)dx$$ 
+we would enter this into Axiom as:
+
+\spadcommand{integrate(1/(x**3 * (a+b*x)**(1/3)),x)}
+which would give the result:
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+-{2 \ {b^2}\ {x^2}\ {\sqrt{3}}\ {\log \left({{{\root{3}\of{a}}\ {{\root{3}\of{{b 
+\  x}+ a}}^2}}+{{{\root{3}\of{a}}^2}\ {\root{3}\of{{b \  x}+ 
+a}}}+ a}\right)}}+ 
+\\
+\\
+\displaystyle
+{4 \ {b^2}\ {x^2}\ {\sqrt{3}}\ {\log \left({{{{\root{3}\of{a}}^
+2}\ {\root{3}\of{{b \  x}+ a}}}- a}\right)}}+ 
+\\
+\\
+\displaystyle
+{{12}\ {b^2}\ {x^2}\ {\arctan \left({{{2 \ {\sqrt{3}}\ {{\root{3}\of{a}}^
+2}\ {\root{3}\of{{b \  x}+ a}}}+{a \ {\sqrt{3}}}}\over{3 \  a}}\right)}}+
+ 
+\\
+\\
+\displaystyle
+{{\left({{12}\  b \  x}-{9 \  a}\right)}\ {\sqrt{3}}\ {\root{3}\of{a}}\ {{\root{3}\of{{b 
+\  x}+ a}}^2}}
+\end{array}
+\right)}\over{{18}\ {a^2}\ {x^2}\ {\sqrt{3}}\ {\root{3}\of{a}}}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+Axiom provides state-of-the-art algebraic machinery to handle your
+most advanced symbolic problems.  
+
+\subsection{Numeric Computation}
+Axiom has a numerical library that includes operations for linear
+algebra, solution of equations, and special functions.  For many of
+these operations, you can select any number of floating point digits
+to be carried out in the computation.
+
+Solve $x^{49}-49x^4+9$ to 49 digits of accuracy.
+First we need to change the default output length of numbers:
+
+\spadcommand{digits(49)}
+and then we execute the command:
+
+\spadcommand{solve(x**49-49*x**4+9 = 0,1.e-49)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+\left[{x = -{0.6546536706904271136718122105095984761851224331
+556}},  \right.
+\\
+\\
+\displaystyle
+\left.{x ={1.086921395653859508493939035954893289009213388763}},
+  \right.
+\\
+\\
+\displaystyle
+\left.{x ={0.654653670725527173969468606613676483536148760766
+1}}\right] 
+\end{array}
+$$
+
+
+\returnType{Type: List Equation Polynomial Float}
+The output of a computation can be converted to FORTRAN to be used
+in a later numerical computation.
+Besides floating point numbers, Axiom provides literally
+dozens of kinds of numbers to compute with.
+These range from various kinds of integers, to fractions, complex
+numbers, quaternions, continued fractions, and to numbers represented
+with an arbitrary base.
+
+What is $10$ to the $90$-th power in base $32$?
+
+\spadcommand{radix(10**90,32)}
+returns:
+
+%\noindent
+{\tt FMM3O955CSEIV0ILKH820CN3I7PICQU0OQMDOFV6TP000000000000000000 }
+\returnType{Type: RadixExpansion 32}
+
+The Axiom numerical library can be enhanced with a
+substantial number of functions from the NAG library of numerical and
+statistical algorithms. These functions will provide coverage of a wide
+range of areas including roots of functions, Fourier transforms, quadrature,
+differential equations, data approximation, non-linear optimization, linear
+algebra, basic statistics, step-wise regression, analysis of variance,
+time series analysis, mathematical programming, and special functions.
+Contact the Numerical Algorithms Group Limited, Oxford, England.
+
+\subsection{Mathematical Structures}
+Axiom also has many kinds of mathematical structures.  These
+range from simple ones (like polynomials and matrices) to more
+esoteric ones (like ideals and Clifford algebras).  Most structures
+allow the construction of arbitrarily complicated ``types.''
+
+Even a simple input expression can
+result in a type with several levels.
+
+\spadcommand{matrix [ [x + \%i,0], [1,-2] ]}
+$$
+\left[
+\begin{array}{cc}
+{x+i} & 0 \\ 
+1 & -2 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Complex Integer}
+
+The ``\%i'' is Axiom's notation for $\sqrt{-1}$.
+
+The Axiom interpreter builds types in response to user input.
+Often, the type of the result is changed in order to be applicable to
+an operation.
+
+The inverse operation requires that elements of the above matrices
+are fractions. However the original elements are polynomials with
+coefficients which are complex numbers ({\bf Complex(Integer)}) in Axiom
+terms. Inverse will coerce these to fractions whose numerator and 
+denominator are polynomials with coefficients which are complex numbers.
+
+\spadcommand{inverse(\%)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over {x+i}} & 0 \\ 
+{1 \over {{2 \  x}+{2 \  i}}} & -{1 \over 2} 
+\end{array}
+\right]
+$$
+\returnType{Type: Union(Matrix Fraction Polynomial Complex Integer,...)}
+
+\subsection{HyperDoc}
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=1, bblly=1, bburx=298, bbury=290]{ps/bookvol1a.ps}
+\caption{Hyperdoc opening menu}
+\label{fig-intro-br}
+\end{figure}
+
+HyperDoc presents you windows on the world of Axiom,
+offering on-line help, examples, tutorials, a browser, and reference
+material.  HyperDoc gives you on-line access to this document in a
+``hypertext'' format.  Words that appear in a different font (for
+example, {\tt Matrix}, {\bf factor}, and
+{\it category}) are generally mouse-active; if you click on one
+with your mouse, HyperDoc shows you a new window for that word.
+
+As another example of a HyperDoc facility, suppose that you want to
+compute the roots of $x^{49} - 49x^4 + 9$ to 49 digits (as in our
+previous example) and you don't know how to tell Axiom to do this.
+The ``basic command'' facility of HyperDoc leads the way.  Through the
+series of HyperDoc windows 
+and mouse clicks, you and
+HyperDoc generate the correct command to issue to compute the answer.
+
+\subsection{Interactive Programming }
+Axiom's interactive programming language lets you define your
+own functions.  A simple example of a user-defined function is one
+that computes the successive Legendre polynomials.  Axiom lets
+you define these polynomials in a piece-wise way.
+\index{Legendre Polynomial}
+The first Legendre polynomial.
+
+\spadcommand{p(0) == 1}
+\returnType{Type: Void}
+The second Legendre polynomial.
+
+\spadcommand{p(1) == x}
+\returnType{Type: Void}
+The $n$-th Legendre polynomial for $(n > 1)$.
+
+\spadcommand{p(n) == ((2*n-1)*x*p(n-1) - (n-1) * p(n-2))/n}
+\returnType{Type: Void}
+
+In addition to letting you define simple functions like this, the
+interactive language can be used to create entire application
+packages.  
+
+The above definitions for $p$ do no computation---they simply
+tell Axiom how to compute $p(k)$ for some positive integer
+$k$.
+
+To actually get a value of a Legendre polynomial, you ask for it.
+
+\index{Legendre polynomials}
+What is the tenth Legendre polynomial?
+
+\spadcommand{p(10)}
+\begin{verbatim}
+   Compiling function p with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function p as a recurrence relation.
+\end{verbatim}
+$$
+{{{46189} \over {256}} \  {x \sp {10}}} -{{{109395} \over {256}} \  {x \sp 
+8}}+{{{45045} \over {128}} \  {x \sp 6}} -{{{15015} \over {128}} \  {x \sp 
+4}}+{{{3465} \over {256}} \  {x \sp 2}} -{{63} \over {256}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+Axiom applies the above pieces for $p$ to obtain the value
+of $p(10)$.  But it does more: it creates an optimized, compiled
+function for $p$.  The function is formed by putting the pieces
+together into a single piece of code.  By {\it compiled}, we mean that
+the function is translated into basic machine-code.  By {\it
+optimized}, we mean that certain transformations are performed on that
+code to make it run faster.  For $p$, Axiom actually
+translates the original definition that is recursive (one that calls
+itself) to one that is iterative (one that consists of a simple loop).
+
+What is the coefficient of $x^{90}$ in $p(90)$?
+
+\index{coefficient}
+\spadcommand{coefficient(p(90),x,90)}
+$$
+{5688265542052017822223458237426581853561497449095175} \over 
+{77371252455336267181195264} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+In general, a user function is type-analyzed and compiled on first use.
+Later, if you use it with a different kind of object, the function
+is recompiled if necessary.
+
+\subsection{Graphics}
+
+You may often want to visualize a symbolic formula or draw a graph
+from a set of numerical values.  To do this, you can call upon the
+Axiom graphics capability.
+
+Axiom is capable of displaying graphs in two or three dimensions
+and multiple curves can be drawn on the same graph. The whole
+graphics package can be driven from interactive commands.
+
+Graphs in Axiom are interactive objects you can manipulate with
+your mouse.  Just click on the graph, and a control panel pops up.
+Using this mouse and the control panel, you can translate, rotate,
+zoom, change the coloring, lighting, shading, and perspective on the
+picture.  You can also generate a PostScript copy of your graph to
+produce hard-copy output.
+
+The graphics package runs as a separate process. It interacts with
+both the Axiom interpreter and the Hyperdoc facility. In Hyperdoc
+you can click on an embedded graph and it will become ``live'' so
+you can rotate and translate it.
+ 
+For example, there is a differential equation known as {\sl Bessel's
+equation} which is
+$$
+z^2 \frac{d^2 y}{dz^2} + z \frac{dy}{dz} + (z^2 - v^2)y = 0
+$$
+
+We can plot a solution to this equation in Axiom with the command:
+\spadcommand{draw(5*besselJ(0,sqrt(x**2+y**2)), x=-20..20, y=-20..20)}
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=233, bbury=223]{ps/bookvol1b.ps}
+\caption{$J_0(\sqrt{x^2+y^2})$ for $-20 \leq x,y \leq 20$}
+\end{figure}
+Draw $J_0(\sqrt{x^2+y^2})$ for $-20 \leq x,y \leq 20$.
+
+\subsection{Data Structures}
+
+A variety of data structures are available for interactive use.  These
+include strings, lists, vectors, sets, multisets, and hash tables.  A
+particularly useful structure for interactive use is the infinite
+stream:
+
+\index{stream}
+Create the infinite stream of derivatives of Legendre polynomials.
+
+\spadcommand{[D(p(i),x) for i in 1..]}
+$$
+\begin{array}{@{}l}
+\displaystyle
+\left[ 1, {3 \  x}, {{{{15}\over 2}\ {x^2}}-{3 \over 2}},
+ {{{{35}\over 2}\ {x^3}}-{{{15}\over 2}\  x}}, {{{{315}\over 
+8}\ {x^4}}-{{{105}\over 4}\ {x^2}}+{{15}\over 8}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{693}\over 8}\ {x^5}}-{{{315}\over 4}\ {x^3}}+{{{105}\over 
+8}\  x}}, {{{{3003}\over{16}}\ {x^6}}-{{{3465}\over{16}}\ {x^
+4}}+{{{945}\over{16}}\ {x^2}}-{{35}\over{16}}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{6435}\over{16}}\ {x^7}}-{{{9009}\over{16}}\ {x^5}}+
+{{{3465}\over{16}}\ {x^3}}-{{{315}\over{16}}\  x}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{109395}\over{128}}\ {x^8}}-{{{45045}\over{32}}\ {x^
+6}}+{{{45045}\over{64}}\ {x^4}}-{{{3465}\over{32}}\ {x^2}}+{{3
+15}\over{128}}},  \right.
+\\
+\\
+\displaystyle
+\left.{{{{230945}\over{128}}\ {x^9}}-{{{109395}\over{32}}\ {x^
+7}}+{{{135135}\over{64}}\ {x^5}}-{{{15015}\over{32}}\ {x^3}}+
+{{{3465}\over{128}}\  x}},  \ldots \right] 
+\end{array}
+$$
+\returnType{Type: Stream Polynomial Fraction Integer}
+
+
+Streams display only a few of their initial elements.  Otherwise, they
+are ``lazy'': they only compute elements when you ask for them.
+
+Data structures are an important component for building application
+software. Advanced users can represent data for applications in an
+optimal fashion.  In all, Axiom offers over forty kinds of
+aggregate data structures, ranging from mutable structures (such as
+cyclic lists and flexible arrays) to storage efficient structures
+(such as bit vectors).  As an example, streams are used as the
+internal data structure for power series.
+
+\index{series}
+What is the series expansion
+of $\log(\cot(x))$
+about $x=\pi/2$?
+%NOTE: The book has a different answer (see p6)
+
+\spadcommand{series(log(cot(x)),x = \%pi/2)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{\log \left({{-{2 \  x}+ \pi}\over 2}\right)}+
+{{1 \over 3}\ {{\left(x -{\pi \over 2}\right)}^2}}+
+{{7 \over{90}}\ {{\left(x -{\pi \over 2}\right)}^4}}+ 
+{{{62}\over{2835}}\ {{\left(x -{\pi \over 2}\right)}^6}}+
+\\
+\\
+\displaystyle
+{{{127}\over{18900}}\ {{\left(x -{\pi \over 2}\right)}^8}}+
+{{{146}\over{66825}}\ {{\left(x -{\pi \over 2}\right)}^{10}}}+ 
+{O \left({{\left(x -{\pi \over 2}\right)}^{11}}\right)}
+\end{array}
+$$
+\returnType{Type: GeneralUnivariatePowerSeries(Expression Integer,x,pi/2)}
+
+Series and streams make no attempt to compute {\it all} their
+elements!  Rather, they stand ready to deliver elements on demand.
+
+What is the coefficient of the $50$-th
+term of this series?
+
+\index{coefficient}
+\spadcommand{coefficient(\%,50)}
+$$
+{44590788901016030052447242300856550965644} \over 
+{7131469286438669111584090881309360354581359130859375} 
+$$
+\returnType{Type: Expression Integer}
+
+\index{\%}
+Note the use of ``\%'' here. This means the value of the last
+expression we computed. In this case it is the long expression
+above. 
+
+\subsection{Pattern Matching}
+
+A convenient facility for symbolic computation is ``pattern
+matching.''  Suppose you have a trigonometric expression and you want
+to transform it to some equivalent form.  Use a $rule$ command to
+describe the transformation rules you \index{rule} need.  Then give
+the rules a name and apply that name as a function to your
+trigonometric expression.
+
+Here we introduce two rewrite rules. These are given in a ``pile''
+syntax using indentation. We store them in a file in the following
+form:
+
+\spadcommand{sinCosExpandRules := rule\\
+\ \ sin(x+y) == sin(x)*cos(y) + sin(y)*cos(x)\\
+\ \  cos(x+y) == cos(x)*cos(y) - sin(x)*sin(y)\\
+\ \  sin(2*x) == 2*sin(x)*cos(x)\\
+\ \  cos(2*x) == cos(x)**2 - sin(x)**2
+}
+
+Then we use the {\bf )read} command to read the {\bf input} file.
+The {\bf )read} command yields:
+\begin{verbatim}
+   {sin(y + x) == cos(x)sin(y) + cos(y)sin(x),
+    cos(y + x) == - sin(x)sin(y) + cos(x)cos(y), 
+    sin(2x) == 2cos(x)sin(x),
+                       2         2
+    cos(2x) == - sin(x)  + cos(x) }
+\end{verbatim}
+\returnType{Type: Ruleset(Integer,Integer,Expression Integer)}
+
+Now we can apply the rules to a simple trigonometric expression.
+
+\spadcommand{sinCosExpandRules(sin(a+2*b+c))}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left(-{{\cos \left({a}\right)}\ {{\sin \left({b}\right)}^2}}-
+{2 \ {\cos \left({b}\right)}\ {\sin \left({a}\right)}\ {\sin 
+\left({b}\right)}}+{{\cos \left({a}\right)}\ {{\cos \left({b}\right)}^
+2}}\right)}\ {\sin \left({c}\right)}}- 
+\\
+\\
+\displaystyle
+{{\cos \left({c}\right)}\ {\sin \left({a}\right)}\ {{\sin \left({b}\right)}^
+2}}+{2 \ {\cos \left({a}\right)}\ {\cos \left({b}\right)}\ {\cos 
+\left({c}\right)}\ {\sin \left({b}\right)}}+ 
+\\
+\\
+\displaystyle
+{{{\cos \left({b}\right)}^2}\ {\cos \left({c}\right)}\ {\sin 
+\left({a}\right)}}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+
+Using {\bf input} files and the {\bf )read} command, 
+you can create your own library of transformation
+rules relevant to your applications, then selectively apply the rules
+you need.
+
+\subsection{Polymorphic Algorithms}
+All components of the Axiom algebra library are written in the
+Axiom library language called {\bf Spad}.\footnote{{\bf Spad} is 
+short for Scratchpad which was the original name of the Axiom system}  
+This language is similar to the
+interactive language except for protocols that authors are obliged to
+follow.  The library language permits you to write ``polymorphic
+algorithms,'' algorithms defined to work in their most natural
+settings and over a variety of types.
+
+Here we define a system of polynomial equations $S$.
+
+\spadcommand{S := [3*x**3 + y + 1 = 0,y**2 = 4]}
+$$
+\left[
+{{y+{3 \  {x \sp 3}}+1}=0},  {{y \sp 2}=4} 
+\right]
+$$
+\returnType{Type: List Equation Polynomial Integer}
+
+And then we solve the system $S$ using rational number arithmetic and
+30 digits of accuracy.
+
+\index{solve}
+\spadcommand{solve(S,1/10**30)}
+$$
+\left[
+{\left[ {y=-2},  {x={{1757879671211184245283070414507} \over 
+{2535301200456458802993406410752}}} 
+\right]},
+ {\left[ {y=2},  {x=-1} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Fraction Integer}
+
+Or we can solve $S$ with the solutions expressed in radicals.
+
+\index{radicalSolve}
+\spadcommand{radicalSolve(S)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+\left[{\left[{y = 2}, {x = - 1}\right]}, {\left[{y = 2}, 
+{x ={{-{\sqrt{- 3}}+ 1}\over 2}}\right]},  \right.
+\\
+\\
+\displaystyle
+\left.{\left[{y = 2}, {x ={{{\sqrt{- 3}}+ 1}\over 2}}\right]},
+ {\left[{y = - 2}, {x ={1 \over{\root{3}\of{3}}}}\right]},
+  \right.
+\\
+\\
+\displaystyle
+\left.{\left[{y = - 2}, {x ={{{{\sqrt{- 1}}\ {\sqrt{3}}}- 1}\over{2 
+\ {\root{3}\of{3}}}}}\right]}, {\left[{y = - 2}, {x ={{-{{\sqrt{-
+ 1}}\ {\sqrt{3}}}- 1}\over{2 \ {\root{3}\of{3}}}}}\right]}\right] 
+\end{array}
+$$
+\returnType{Type: List List Equation Expression Integer}
+
+While these solutions look very different, the results were produced
+by the same internal algorithm!  The internal algorithm actually works
+with equations over any ``field.''  Examples of fields are the
+rational numbers, floating point numbers, rational functions, power
+series, and general expressions involving radicals.
+
+\subsection{Extensibility}
+
+Users and system developers alike can augment the Axiom library,
+all using one common language.  Library code, like interpreter code,
+is compiled into machine binary code for run-time efficiency.
+
+Using this language, you can create new computational types and new
+algorithmic packages.  All library code is polymorphic, described in
+terms of a database of algebraic properties.  By following the
+language protocols, there is an automatic, guaranteed interaction
+between your code and that of colleagues and system implementers.
+
+\subsection{Open Source}
+
+Axiom is completely open source. All of the algebra and all of the
+source code for the interpreter, compiler, graphics, browser, and
+numerics is shipped with the system. There are several websites
+that host Axiom source code.
+
+Axiom is written using Literate Programming\cite{2} so each file is actually
+a document rather than just machine source code. The goal is to make
+the whole system completely literate so people can actually read the
+system and understand it. This is the first volume in a series of books
+that will attempt to reach that goal.
+
+The primary site is the Axiom wiki (http://wiki.axiom-developer.org).
+The wiki is the general support site for Axiom. Wikis allow users to
+interactively modify web pages. On the Axiom site it is possible to 
+type Axiom code directly into the browser to create modified pages
+which are recomputed on the fly.
+
+The wiki also contains links to the Axiom documentation, the Axiom
+mailing list (axiom-developer@nongnu.org), and many other facilities.
+
+Axiom is hosted at the Free Software Foundation site which is\\
+(http://savannah.nongnu.org/projects/axiom).
+
+Axiom is hosted at the Sourceforge site which is\\
+(http://sourceforge.net/projects/axiom).
+
+\vfill\eject
+\chapter{Ten Fundamental Ideas}
+\label{ch:Ten Fundamental Ideas}
+Axiom has both an {\it interactive language} for user
+interactions and a {\it programming language} for building library
+modules.  Like Modula 2, \index{Modula 2} PASCAL, \index{PASCAL}
+FORTRAN, \index{FORTRAN} and Ada, \index{Ada} the programming language
+emphasizes strict type-checking.  Unlike these languages, types in
+Axiom are dynamic objects: they are created at run-time in
+response to user commands.
+
+Here is the idea of the Axiom programming language in a
+nutshell.  Axiom types range from algebraic ones (like
+polynomials, matrices, and power series) to data structures (like
+lists, dictionaries, and input files).  Types combine in any
+meaningful way.  You can build polynomials of matrices, matrices of
+polynomials of power series, hash tables with symbolic keys and
+rational function entries, and so on.
+
+{\it Categories} define algebraic properties to ensure mathematical
+correctness. They ensure, for example, that matrices of polynomials
+are OK, but matrices of input files are not.  Through categories,
+programs can discover that polynomials of continued fractions have a
+commutative multiplication whereas polynomials of matrices do not.
+
+Categories allow algorithms to be defined in their most natural
+setting. For example, an algorithm can be defined to solve polynomial
+equations over {\it any} field.  Likewise a greatest common divisor
+can compute the ``gcd'' of two elements from {\it any} Euclidean
+domain.  Categories foil attempts to compute meaningless ``gcds'', for
+example, of two hashtables.  Categories also enable algorithms to be
+compiled into machine code that can be run with arbitrary types.
+
+The Axiom interactive language is oriented towards ease-of-use.
+The Axiom interpreter uses type-inferencing to deduce the type
+of an object from user input.  Type declarations can generally be
+omitted for common types in the interactive language.
+
+So much for the nutshell.
+Here are these basic ideas described by ten design principles:
+
+\subsection{Types are Defined by Abstract Datatype Programs}
+
+Basic types are called {\it domains of computation}, or,
+simply, {\it domains.}
+\index{domain}
+Domains are defined by Axiom programs of the form:
+
+\begin{verbatim}
+Name(...): Exports == Implementation
+\end{verbatim}
+
+Each domain has a capitalized {\tt Name} that is used to refer to the
+class of its members.  For example, {\tt Integer} denotes ``the
+class of integers,'' {\tt Float}, ``the class of floating point
+numbers,'' and {\tt String}, ``the class of strings.''
+
+The ``{\tt ...}'' part following {\tt Name} lists zero or more
+parameters to the constructor. Some basic ones like {\tt Integer} take
+no parameters.  Others, like {\tt Matrix}, {\tt Polynomial} and 
+{\tt List}, take a single parameter that again must be a domain.  For
+example, {\tt Matrix(Integer)} denotes ``matrices over the integers,''
+{\tt Polynomial (Float)} denotes ``polynomial with floating point
+coefficients,'' and {\tt List (Matrix (Polynomial (Integer)))} denotes
+``lists of matrices of polynomials over the integers.''  There is no
+restriction on the number or type of parameters of a domain
+constructor.
+
+SquareMatrix(2,Integer) is an example of a domain constructor that accepts
+both a particular data value as well as an integer. In this case the
+number 2 specifies the number of rows and columns the square matrix
+will contain. Elements of the matricies are integers.
+
+The {\tt Exports} part specifies operations for creating and
+manipulating objects of the domain.  For example, type
+{\tt Integer} exports constants $0$ and $1$, and
+operations \spadopFrom{+}{Integer}, \spadopFrom{-}{Integer}, and
+\spadopFrom{*}{Integer}.  While these operations are common, others
+such as \spadfunFrom{odd?}{Integer} and \spadfunFrom{bit?}{Integer}
+are not. In addition the Exports section can contain symbols that
+represent properties that can be tested. For example, the Category
+{\tt EntireRing} has the symbol {\tt noZeroDivisors} which asserts
+that if a product is zero then one of the factors must be zero.
+
+The {\tt Implementation} part defines functions that implement the
+exported operations of the domain.  These functions are frequently
+described in terms of another lower-level domain used to represent the
+objects of the domain. Thus the operation of adding two vectors of
+real numbers can be described and implemented using the addition
+operation from {\tt Float}. 
+
+\subsection{The Type of Basic Objects is a Domain or Subdomain}
+
+Every Axiom object belongs to a {\it unique} domain.  The domain
+of an object is also called its {\it type.}  Thus the integer $7$
+has type {\tt Integer} and the string {\tt "daniel"} has type
+{\tt String}.
+
+The type of an object, however, is not unique.  The type of integer
+$7$ is not only {\tt Integer} but {\tt NonNegativeInteger},
+{\tt PositiveInteger}, and possibly, in general, any other
+``subdomain'' of the domain {\tt Integer}.  A {\it subdomain}
+\index{subdomain} is a domain with a ``membership predicate''.
+{\tt PositiveInteger} is a subdomain of {\tt Integer} with the
+predicate ``is the integer $> 0$?''.
+
+Subdomains with names are defined by abstract datatype programs
+similar to those for domains.  The {\it Export} part of a subdomain,
+however, must list a subset of the exports of the domain.  The {\tt
+Implementation} part optionally gives special definitions for
+subdomain objects.
+
+\subsection{Domains Have Types Called Categories}
+
+Domain and subdomains in Axiom are themselves objects that have
+types.  The type of a domain or subdomain is called a {\it category}.
+\index{category} Categories are described by programs of the form:
+
+\begin{verbatim}
+Name(...): Category == Exports
+\end{verbatim}
+The type of every category is the distinguished symbol {\tt Category.}
+The category {\tt Name} is used to designate the class of domains of
+that type.  For example, category {\tt Ring} designates the class
+of all rings.  Like domains, categories can take zero or more
+parameters as indicated by the ``{\tt ...}'' part following {\tt
+Name.}  Two examples are {\tt Module(R)} and
+{\tt MatrixCategory(R,Row,Col)}.
+
+The {\tt Exports} part defines a set of operations.  For example,
+{\tt Ring} exports the operations \spadopFrom{0}{Ring},
+\spadopFrom{1}{Ring}, \spadopFrom{+}{Ring}, \spadopFrom{-}{Ring}, and
+\spadopFrom{*}{Ring}.  Many algebraic domains such as
+{\tt Integer} and {\tt Polynomial (Float)} are rings.
+{\tt String} and {\tt List (R)} (for any domain $R$)
+are not.
+
+Categories serve to ensure the type-correctness.  The definition of
+matrices states {\tt Matrix(R: Ring)} requiring its single parameter
+$R$ to be a ring.  Thus a ``matrix of polynomials'' is allowed,
+but ``matrix of lists'' is not.
+
+Categories say nothing about representation. Domains, which are
+instances of category types, specify representations.
+
+\subsection{Operations Can Refer To Abstract Types}
+
+All operations have prescribed source and target types.  Types can be
+denoted by symbols that stand for domains, called ``symbolic
+domains.''  The following lines of Axiom code use a symbolic
+domain $R$:
+
+\begin{verbatim}
+R: Ring
+power: (R, NonNegativeInteger): R -> R
+power(x, n) == x ** n
+\end{verbatim}
+
+Line 1 declares the symbol $R$ to be a ring.  Line 2 declares the
+type of $power$ in terms of $R$.  From the definition on
+line 3, $power(3,2)$ produces 9 for $x = 3$ and $R =$
+{\tt Integer}.  Also, $power(3.0,2)$ produces $9.0$ for
+$x = 3.0$ and $R =$ {\tt Float}.
+$power("oxford",2)$ however fails since $"oxford"$ has type
+{\tt String} which is not a ring.
+
+Using symbolic domains, algorithms can be defined in their most
+natural or general setting.
+
+\subsection{Categories Form Hierarchies}
+
+Categories form hierarchies (technically, directed-acyclic graphs).  A
+simplified hierarchical world of algebraic categories is shown below.
+At the top of this world is {\tt SetCategory}, the class of
+algebraic sets.  The notions of parents, ancestors, and descendants is
+clear.  Thus ordered sets (domains of category {\tt OrderedSet})
+and rings are also algebraic sets.  Likewise, fields and integral
+domains are rings and algebraic sets.  However fields and integral
+domains are not ordered sets.
+
+\begin{verbatim}
+SetCategory +---- Ring       ---- IntegralDomain ---- Field
+            |
+            +---- Finite     ---+
+            |                    \
+            +---- OrderedSet -----+ OrderedFinite
+\end{verbatim}
+\begin{center}
+Figure 1.  A  simplified category hierarchy.
+\end{center}
+
+\subsection{Domains Belong to Categories by Assertion}
+
+A category designates a class of domains.  Which domains?  You might
+think that {\tt Ring} designates the class of all domains that
+export $0$, $1$, \spadopFrom{+}{Integer},
+\spadopFrom{-}{Integer}, and \spadopFrom{*}{Integer}.  But this is not
+so.  Each domain must {\it assert} which categories it belongs to.
+
+The {\tt Export} part of the definition for {\tt Integer} reads,
+for example:
+
+\begin{verbatim}
+Join(OrderedSet, IntegralDomain,  ...) with ...
+\end{verbatim}
+
+This definition asserts that {\tt Integer} is both an ordered set
+and an integral domain.  In fact, {\tt Integer} does not
+explicitly export constants $0$ and $1$ and operations
+\spadopFrom{+}{Ring}, \spadopFrom{-}{Ring} and \spadopFrom{*}{Ring} at
+all: it inherits them all from $Ring$!  Since
+{\tt IntegralDomain} is a descendant of $Ring$,
+{\tt Integer} is therefore also a ring.
+
+Assertions can be conditional.  For example, {\tt Complex(R)}
+defines its exports by:
+
+\begin{verbatim}
+Ring with ... if R has Field then Field ...
+\end{verbatim}
+Thus {\tt Complex(Float)} is a field but {\tt Complex(Integer)}
+is not since {\tt Integer} is not a field.
+
+You may wonder: ``Why not simply let the set of operations determine
+whether a domain belongs to a given category?''.  Axiom allows
+operation names (for example, {\bf norm}) to have very different
+meanings in different contexts.  The meaning of an operation in
+Axiom is determined by context.  By associating operations with
+categories, operation names can be reused whenever appropriate or
+convenient to do so.  As a simple example, the operation {\tt <}
+might be used to denote lexicographic-comparison in an algorithm.
+However, it is wrong to use the same {\tt <} with this definition
+of absolute-value: $$abs(x) == if\ x < 0\  then -x\ else\ x$$ Such a
+definition for {\tt abs} in Axiom is protected by context:
+argument $x$ is required to be a member of a domain of category
+{\tt OrderedSet}.
+
+\subsection{Packages Are Clusters of Polymorphic Operations}
+
+In Axiom, facilities for symbolic integration, solution of
+equations, and the like are placed in ``packages''.  A {\it package}
+\index{package} is a special kind of domain: one whose exported
+operations depend solely on the parameters of the constructor and/or
+explicit domains. Packages, unlike Domains, do not specify the
+representation.
+
+If you want to use Axiom, for example, to define some algorithms
+for solving equations of polynomials over an arbitrary field $F$,
+you can do so with a package of the form:
+
+\begin{verbatim}
+MySolve(F: Field): Exports == Implementation
+\end{verbatim}
+where {\tt Exports} specifies the {\bf solve} operations
+you wish to export from the domain and the {\tt Implementation}
+defines functions for implementing your algorithms.  Once Axiom has
+compiled your package, your algorithms can then be used for any {\tt F}:
+floating-point numbers, rational numbers, complex rational functions,
+and power series, to name a few.
+
+\subsection{The Interpreter Builds Domains Dynamically}
+
+The Axiom interpreter reads user input then builds whatever types
+it needs to perform the indicated computations.
+For example, to create the matrix
+$$M = \pmatrix{x^2+1&0\cr0&x / 2\cr}$$
+using the command:
+
+\spadcommand{M = [ [x**2+1,0],[0,x / 2] ]::Matrix(POLY(FRAC(INT)))}
+$$
+M={\left[ 
+\begin{array}{cc}
+x^2+1 & 0 \\ 
+0 & x/2
+\end{array}
+\right]}
+$$
+\returnType{Type: Matrix Polynomial Fraction Integer}
+the interpreter first loads the modules {\tt Matrix},
+{\tt Polynomial}, {\tt Fraction}, and {\tt Integer}
+from the library, then builds the {\it domain tower} ``matrices of
+polynomials of rational numbers (i.e. fractions of integers)''.
+
+You can watch the loading process by first typing 
+
+\spadcommand{)set message autoload on}
+In addition to the named
+domains above many additional domains and categories are loaded.
+Most systems are preloaded with such common types. For efficiency
+reasons the most common domains are preloaded but most (there are
+more than 1100 domains, categories, and packages) are not. Once these
+domains are loaded they are immediately available to the interpreter.
+
+Once a domain tower is built, it contains all the operations specific
+to the type. Computation proceeds by calling operations that exist in
+the tower.  For example, suppose that the user asks to square the
+above matrix.  To do this, the function \spadopFrom{*}{Matrix} from
+{\tt Matrix} is passed the matrix $M$ to compute $M * M$.  
+The function is also passed an environment containing $R$
+that, in this case, is {\tt Polynomial (Fraction (Integer))}.
+This results in the successive calling of the \spadopFrom{*}{Fraction}
+operations from {\tt Polynomial}, then from {\tt Fraction},
+and then finally from {\tt Integer}.
+
+Categories play a policing role in the building of domains.  Because
+the argument of {\tt Matrix} is required to be a {\tt Ring},
+Axiom will not build nonsensical types such as ``matrices of
+input files''.
+
+\subsection{Axiom Code is Compiled}
+
+Axiom programs are statically compiled to machine code, then
+placed into library modules.  Categories provide an important role in
+obtaining efficient object code by enabling:
+\begin{itemize}
+\item static type-checking at compile time;
+\item fast linkage to operations in domain-valued parameters;
+\item optimization techniques to be used for partially specified types
+(operations for ``vectors of $R$'', for instance, can be open-coded even
+though {\tt R} is unknown).
+\end{itemize}
+
+\subsection{Axiom is Extensible}
+
+Users and system implementers alike use the Axiom language to
+add facilities to the Axiom library.  The entire Axiom
+library is in fact written in the Axiom source code and
+available for user modification and/or extension.
+
+Axiom's use of abstract datatypes clearly separates the exports
+of a domain (what operations are defined) from its implementation (how
+the objects are represented and operations are defined).  Users of a
+domain can thus only create and manipulate objects through these
+exported operations.  This allows implementers to ``remove and
+replace'' parts of the library safely by newly upgraded (and, we hope,
+correct) implementations without consequence to its users.
+
+Categories protect names by context, making the same names available
+for use in other contexts.  Categories also provide for code-economy.
+Algorithms can be parameterized categorically to characterize their
+correct and most general context.  Once compiled, the same machine
+code is applicable in all such contexts.
+
+Finally, Axiom provides an automatic, guaranteed interaction
+between new and old code.  For example:
+\begin{itemize}
+\item if you write a new algorithm that requires a parameter to be a
+field, then your algorithm will work automatically with every field
+defined in the system; past, present, or future.
+\item if you introduce a new domain constructor that produces a field,
+then the objects of that domain can be used as parameters to any algorithm
+using field objects defined in the system; past, present, or future.
+\end{itemize}
+
+
+Before embarking on the tour, we need to brief those readers working
+interactively with Axiom on some details. 
+
+\chapter{Starting Axiom}
+\label{ch:Starting Axiom}
+
+Welcome to the Axiom environment for interactive computation and
+problem solving.  Consider this chapter a brief, whirlwind tour of the
+Axiom world.  We introduce you to Axiom's graphics and the
+Axiom language.  Then we give a sampling of the large variety of
+facilities in the Axiom system, ranging from the various kinds
+of numbers, to data types (like lists, arrays, and sets) and
+mathematical objects (like matrices, integrals, and differential
+equations).  We include a discussion of system commands and an
+interactive ``undo.''
+\section{Starting Up and Winding Down}
+\label{sec:Starting Up and Winding Down}
+You need to know how to start the Axiom system and how to stop it.
+We assume that Axiom has been correctly installed on your
+machine. Information on how to install Axiom is available on 
+the wiki website\cite{3}.
+
+To begin using Axiom, issue the command {\bf axiom} to the
+operating system shell.
+\index{axiom @{\bf axiom}} There is a brief pause, some start-up
+messages, and then one or more windows appear.
+
+If you are not running Axiom under the X Window System, there is
+only one window (the console).  At the lower left of the screen there
+is a prompt that \index{prompt} looks like
+\begin{verbatim}
+(1) ->
+\end{verbatim}
+
+When you want to enter input to Axiom, you do so on the same
+line after the prompt.  The ``1'' in ``(1)'', also called the equation
+number, is the computation step number and is incremented 
+\index{step number} after you enter Axiom statements.  
+Note, however, that a system command such as {\tt )clear all} 
+may change the step number in other ways.  We talk about step numbers 
+more when we discuss system commands and the workspace history facility.
+
+If you are running Axiom under the X Window System, there may be
+two \index{X Window System} windows: the console window (as just
+described) and the HyperDoc main menu.  \index{Hyper@{HyperDoc}} 
+HyperDoc is a multiple-window hypertext system
+that lets you \index{window} view Axiom documentation and
+examples on-line, execute Axiom expressions, and generate
+graphics.  If you are in a graphical windowing environment, it is
+usually started automatically when Axiom begins.  If it is not
+running, issue {\tt )hd} to start it.  
+
+To interrupt an Axiom computation, hold down the \index{interrupt} 
+{\bf Ctrl} (control) key and press {\bf c}.  This brings you back to 
+the Axiom prompt.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+To exit from Axiom, move to the console window, \index{stopping
+@{stopping Axiom}} type {\tt )quit} \index{exiting @{exiting
+Axiom}} at the input prompt and press the {\bf Enter} key.
+You will probably be prompted with the following
+message:
+\begin{center}
+Please enter {\bf y} or {\bf yes} if you really want to leave the \\
+interactive environment and return to the operating system
+\end{center}
+You should respond {\bf yes}, for example, to exit Axiom.\\
+}
+
+We are purposely vague in describing exactly what your screen looks
+like or what messages Axiom displays.  Axiom runs on a number of
+different machines, operating systems and window environments, and
+these differences all affect the physical look of the system.  You can
+also change the way that Axiom behaves via {\it system commands}
+described later in this chapter and in the Axiom System Commands.
+(Chapter \ref{sec:Axiom System Commands} on 
+page \pageref{sec:Axiom System Commands})
+System commands are special commands, like {\tt )set}, that begin with
+a closing parenthesis and are used to change your environment.  For
+example, you can set a system variable so that you are not prompted
+for confirmation when you want to leave Axiom.
+
+\subsection{Clef}
+\label{sec:Clef}
+If you are using Axiom under the X Window System, the
+\index{Clef} \index{command line editor} Clef command
+line editor is probably available and installed.  With this editor you
+can recall previous lines with the up and down arrow keys.  To move
+forward and backward on a line, use the right and left arrows.  You
+can use the {\bf Insert} key to toggle insert mode on or off.  When
+you are in insert mode, the cursor appears as a large block and if you
+type anything, the characters are inserted into the line without
+deleting the previous ones.
+
+If you press the {\bf Home} key, the cursor moves to the beginning of
+the line and if you press the {\bf End} key, the cursor moves to the
+end of the line.  Pressing {\bf Ctrl-End} deletes all the text from
+the cursor to the end of the line.
+
+Clef also provides Axiom operation name completion for
+\index{operation name completion} a limited set of operations.  If you
+enter a few letters and then press the {\bf Tab} key, Clef tries to
+use those letters as the prefix of an Axiom operation name.  If
+a name appears and it is not what you want, press {\bf Tab} again to
+see another name.
+
+\subsection{Typographic Conventions}
+\label{sec:Typographic Conventions}
+In this document we have followed these typographical conventions:
+\begin{itemize}
+%
+\item Categories, domains and packages are displayed in this font:
+{\tt Ring}, {\tt Integer}, {\tt DiophantineSolutionPackage}.
+%
+\item Prefix operators, infix operators, and punctuation symbols in 
+the Axiom language are displayed in the text like this:
+{\tt +}, {\tt \$}, {\tt +->}.
+%
+\item Axiom expressions or expression fragments are displayed in this font:\\
+{\tt inc(x) == x + 1}.
+%
+\item For clarity of presentation, \TeX{} is often used to format expressions\\
+$g(x)=x^2+1$.
+%
+\item Function names and HyperDoc button names are displayed in the text in
+this font:
+{\bf factor}, {\bf integrate},  {\bf Lighting}.
+%
+\item Italics are used for emphasis and for words defined in the glossary: \\
+{\it category}.
+\end{itemize}
+
+This document contains over many examples of Axiom input and output.  All
+examples were run though Axiom and their output was created in \TeX{}
+form.  We have deleted system
+messages from the example output if those messages are not important
+for the discussions in which the examples appear.
+
+\section{The Axiom Language}
+\label{sec:The Axiom Language}
+The Axiom language is a rich language for performing interactive
+computations and for building components of the Axiom library.
+Here we present only some basic aspects of the language that you need
+to know for the rest of this chapter.  Our discussion here is
+intentionally informal, with details unveiled on an ``as needed''
+basis.  For more information on a particular construct, we suggest you
+consult the index.
+
+\subsection{Arithmetic Expressions}
+\label{sec:Arithmetic Expressions}
+For arithmetic expressions, use the ``{\tt +}'' and ``{\tt -}'' operator
+as in mathematics.  Use ``{\tt *}'' for multiplication, and ``{\tt **}''
+for exponentiation.  To create a fraction, use ``{\tt /}''.  When an
+expression contains several operators, those of highest
+{\it precedence} are evaluated first.  For arithmetic operators,
+``{\tt **}'' has highest precedence, ``{\tt *}'' and ``{\tt /}'' have the
+next highest precedence, and ``{\tt +}'' and ``{\tt -}'' have the lowest
+precedence.
+
+Axiom puts implicit parentheses around operations of higher
+precedence, and groups those of equal precedence from left to right.
+\spadcommand{1 + 2 - 3 / 4 * 3 ** 2 - 1}
+$$
+-{{19} \over 4} 
+$$
+\returnType{Type: Fraction Integer}
+
+The above expression is equivalent to this.
+\spadcommand{((1 + 2) - ((3 / 4) * (3 ** 2))) - 1}
+$$
+-{{19} \over 4} 
+$$
+\returnType{Type: Fraction Integer}
+
+If an expression contains subexpressions enclosed in parentheses,
+the parenthesized subexpressions are evaluated first (from left to
+right, from inside out).
+\spadcommand{1 + 2 - 3/ (4 * 3 ** (2 - 1))}
+$$
+{11} \over 4 
+$$
+\returnType{Type: Fraction Integer}
+
+\subsection{Previous Results}
+\label{sec:Previous Results}
+\index{\%}
+\index{\%\%}
+Use the percent sign ``{\tt \%}'' to refer to the last result.
+\index{result!previous} Also, use ``{\tt \%\%}' to refer to
+previous results.  \index{percentpercent@{\%\%}} ``{\tt \%\%(-1)}'' is
+equivalent to ``{\tt \%}'', ``{\tt \%\%(-2)}'' returns the next to
+the last result, and so on.  ``{\tt \%\%(1)}'' returns the result from
+step number 1, ``{\tt \%\%(2)}'' returns the result from step number 2,
+and so on.  ``{\tt \%\%(0)}'' is not defined.
+
+This is ten to the tenth power.
+\spadcommand{10 ** 10}
+$$
+10000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the last result minus one.
+\spadcommand{\% - 1}
+$$
+9999999999 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the last result.
+\spadcommand{\%\%(-1)}
+$$
+9999999999 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the result from step number 1.
+\spadcommand{\%\%(1)}
+$$
+10000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+\subsection{Some Types}
+\label{sec:Some Types}
+Everything in Axiom has a type.  The type determines what operations
+you can perform on an object and how the object can be used.
+
+Positive integers are given type {\bf PositiveInteger}.
+\spadcommand{8}
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+Negative ones are given type {\bf Integer}.  This fine
+distinction is helpful to the Axiom interpreter.
+
+\spadcommand{-8}
+$$
+-8 
+$$
+\returnType{Type: Integer}
+
+Here a positive integer exponent gives a polynomial result.
+\spadcommand{x**8}
+$$
+x \sp 8 
+$$
+\returnType{Type: Polynomial Integer}
+
+Here a negative integer exponent produces a fraction.
+\spadcommand{x**(-8)}
+$$
+1 \over {x \sp 8} 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+\subsection{Symbols, Variables, Assignments, and Declarations}
+\label{sec:Symbols, Variables, Assignments, and Declarations}
+A {\it symbol} is a literal used for the input of things like
+the ``variables'' in polynomials and power series.
+
+We use the three symbols $x$, $y$, and $z$ in
+entering this polynomial.
+\spadcommand{(x - y*z)**2}
+$$
+{{y \sp 2} \  {z \sp 2}} -{2 \  x \  y \  z}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Integer}
+
+A symbol has a name beginning with an uppercase or lowercase
+alphabetic \index{symbol!naming} character, ``{\tt \%}'', or
+``{\tt !}''.  Successive characters (if any) can be any of the
+above, digits, or ``{\tt ?}''.  Case is distinguished: the symbol
+{\tt points} is different from the symbol {\tt Points}.
+
+A symbol can also be used in Axiom as a {\it variable}.  A variable
+refers to a value.  To {\sl assign} a value to a variable,
+\index{variable!naming} the operator ``{\tt :=}'' \index{assignment}
+is used. Axiom actually has two forms of assignment: 
+{\it immediate assignment}, 
+\index{assignment!immediate}
+\index{immediate assignment}
+as discussed here, and 
+{\it delayed assignment}. 
+\index{assignment!delayed}
+\index{delayed assignment}
+A variable initially has no restrictions on the kinds
+of \index{declaration} values to which it can refer.
+
+This assignment gives the value $4$ (an integer) to
+a variable named $x$.
+\spadcommand{x := 4}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+This gives the value $z + 3/5$ (a polynomial)  to $x$.
+\spadcommand{x := z + 3/5}
+$$
+z+{3 \over 5} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+To restrict the types of objects that can be assigned to a variable,
+use a {\it declaration}
+\spadcommand{y : Integer}
+\returnType{Type: Void}
+
+After a variable is declared to be of some type, only values
+of that type can be assigned to that variable.
+\spadcommand{y := 89}
+$$
+89 
+$$
+\returnType{Type: Integer}
+
+The declaration for $y$ forces values assigned to $y$ to
+be converted to integer values.
+\spadcommand{y := sin \%pi}
+$$
+0 
+$$
+\returnType{Type: Integer}
+
+If no such conversion is possible,
+Axiom refuses to assign a value to $y$.
+\spadcommand{y := 2/3}
+\begin{verbatim}
+   Cannot convert right-hand side of assignment
+   2
+   -
+   3
+
+      to an object of the type Integer of the left-hand side.
+\end{verbatim}
+
+A type declaration can also be given together with an assignment.
+The declaration can assist Axiom in choosing the correct
+operations to apply.
+\spadcommand{f : Float := 2/3}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+Any number of expressions can be given on input line.
+Just separate them by semicolons.
+Only the result of evaluating the last expression is displayed.
+
+These two expressions have the same effect as
+the previous single expression.
+
+\spadcommand{f : Float; f := 2/3}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+The type of a symbol is either {\tt Symbol}
+or {\tt Variable({\it name})} where {\it name} is the name
+of the symbol.
+
+By default, the interpreter
+gives this symbol the type {\tt Variable(q)}.
+
+\spadcommand{q}
+$$
+q 
+$$
+\returnType{Type: Variable q}
+
+When multiple symbols are involved, {\tt Symbol} is used.
+\spadcommand{[q, r]}
+$$
+\left[
+q,  r 
+\right]
+$$
+\returnType{Type: List OrderedVariableList [q,r]}
+
+What happens when you try to use a symbol that is the name of a variable?
+\spadcommand{f}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+Use a single quote ``{\tt '}'' before \index{quote} the name to get the symbol.
+
+\index{quote symbols}
+\index{symbol quoting}
+\spadcommand{'f}
+$$
+f 
+$$
+\returnType{Type: Variable f}
+
+Quoting a name creates a symbol by preventing evaluation of the name
+as a variable.  Experience will teach you when you are most likely
+going to need to use a quote.  We try to point out the location of
+such trouble spots.
+
+\subsection{Conversion}
+\label{sec:Conversion}
+\index{conversion}
+\index{::}
+Objects of one type can usually be ``converted'' to objects of several
+other types.  To {\sl convert} an object to a new type, use the ``{\tt ::}'' 
+infix operator. For example,
+to display an object, it is necessary to convert the object to type
+{\tt OutputForm}.
+
+This produces a polynomial with rational number coefficients.
+
+\spadcommand{p := r**2 + 2/3}
+$$
+{r \sp 2}+{2 \over 3} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+Create a quotient of polynomials with integer coefficients
+by using ``{\tt ::}''.
+
+\spadcommand{p :: Fraction Polynomial Integer }
+$$
+{{3 \  {r \sp 2}}+2} \over 3 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+Some conversions can be performed automatically when Axiom tries
+to evaluate your input.  Others conversions must be explicitly
+requested.
+
+\subsection{Calling Functions}
+\label{sec:Calling Functions}
+As we saw earlier, when you want to add or subtract two values, you
+place the arithmetic operator ``{\tt +}'' or ``{\tt -}'' between the two
+arguments denoting the values.  To use most other Axiom
+operations, however, you use another syntax: \index{function!calling}
+write the name of the operation first, then an open parenthesis, then
+each of the arguments separated by commas, and, finally, a closing
+parenthesis.  If the operation takes only one argument and the
+argument is a number or a symbol, you can omit the parentheses.
+
+This calls the operation {\bf factor} with the single integer argument $120$.
+
+\index{factor}
+\spadcommand{factor(120)}
+$$
+{2 \sp 3} \  3 \  5 
+$$
+\returnType{Type: Factored Integer}
+
+This is a call to {\bf divide} with the two integer arguments
+$125$ and $7$.
+
+\index{divide}
+\spadcommand{divide(125,7)}
+$$
+\left[
+{quotient={17}},  {remainder=6} 
+\right]
+$$
+\returnType{Type: Record(quotient: Integer, remainder: Integer)}
+
+This calls {\bf quatern} with four floating-point arguments.
+\index{quatern}
+\spadcommand{quatern(3.4,5.6,2.9,0.1)}
+$$
+{3.4}+{{5.6} \  i}+{{2.9} \  j}+{{0.1} \  k} 
+$$
+\returnType{Type: Quaternion Float}
+
+This is the same as {\bf factorial}(10).
+\index{factorial}
+\spadcommand{factorial 10}
+$$
+3628800 
+$$
+\returnType{Type: PositiveInteger}
+
+An operations that returns a {\tt Boolean} value (that is,
+{\tt true} or {\tt false}) frequently has a name suffixed with
+a question mark (``?'').  For example, the {\bf even?}
+operation returns {\tt true} if its integer argument is an even
+number, {\tt false} otherwise.
+
+An operation that can be destructive on one or more arguments
+usually has a name ending in a exclamation point (``!'').
+\index{destructive operations}
+This actually means that it is {\it allowed} to update its
+arguments but it is not {\it required} to do so. For example,
+the underlying representation of a collection type may not allow
+the very last element to removed and so an empty object may be
+returned instead. Therefore, it is important that you use the
+object returned by the operation and not rely on a physical
+change having occurred within the object. Usually, destructive
+operations are provided for efficiency reasons.
+
+\subsection{Some Predefined Macros}
+\label{sec:Some Predefined Macros}
+Axiom provides several macros for your convenience. Macros are names
+\index{macro!predefined} (or forms) that expand to larger expressions
+for commonly used values.
+
+\begin{center}
+\begin{tabular}{ll}
+{\it \%i}             &  The square root of -1. \\
+{\it \%e}             &  The base of the natural logarithm. \\
+{\it \%pi}            &  $\pi$. \\
+{\it \%infinity}      &  $\infty$. \\
+{\it \%plusInfinity}  &  $+\infty$. \\
+{\it \%minusInfinity} &  $-\infty$.
+\end{tabular}
+\end{center}
+\index{\%i}
+\index{\%e}
+\index{\%pi}
+\index{pi@{$\pi$ (= \%pi)}}
+\index{\%infinity}
+\index{infinity@{$\infty$ (= \%infinity)}}
+\index{\%plusInfinity}
+\index{\%minusInfinity}
+
+To display all the macros (along with anything you have
+defined in the workspace), issue the system command {\tt )display all}.
+
+\subsection{Long Lines}
+\label{sec:Long Lines}
+When you enter Axiom expressions from your keyboard, there will
+be times when they are too long to fit on one line.  Axiom does
+not care how long your lines are, so you can let them continue from
+the right margin to the left side of the next line.
+
+Alternatively, you may want to enter several shorter lines and have
+Axiom glue them together.  To get this glue, put an underscore
+(\_) at the end of each line you wish to continue.
+\index{\_ escape}
+\begin{verbatim}
+2_
++_
+3
+\end{verbatim}
+is the same as if you had entered
+\begin{verbatim}
+2+3
+\end{verbatim}
+
+Axiom statements in an {\bf input} file
+can use indentation to indicate the program structure .
+
+\subsection{Comments}
+\label{sec:Comments}
+Comment statements begin with two consecutive hyphens or two
+consecutive plus signs and continue until the end of the line.
+
+\index{-- comments}
+\index{++ comments}
+\index{+++ comments}
+The comment beginning with ``{\tt --}'' is ignored by Axiom.
+\spadcommand{2 + 3   -- this is rather simple, no?}
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+There is no way to write long multi-line comments other than starting
+each line with ``{\tt --}'' or ``{\tt ++}''.
+
+\section{Using Axiom as a Pocket Calculator}
+At the simplest level Axiom can be used as a pocket calculator
+where expressions involving numbers and operators are entered 
+directly in infix notation. In this sense the more advanced
+features of the calculator can be regarded as operators (e.g 
+{\bf sin}, {\bf cos}, etc).
+
+\subsection{Basic Arithmetic}
+An example of this might be to calculate the cosine of 2.45 (in radians).
+To do this one would type:
+
+\spadcommand{(1)-> cos 2.45}
+$$
+-{0.7702312540 473073417} 
+$$
+\returnType{Type: Float}
+
+Before proceeding any further it would be best to explain the previous 
+three lines. Axiom presents a  ``(1) {\tt ->} '' prompt (shown here
+but omitted elsewhere)
+when interacting with the user. The full prompt has other 
+text preceding this but it is not relevant here. The number in parenthesis
+is the step number of the input which may be used to refer to the 
+{\sl results} of previous calculations. The step number appears at the start
+of the second line to tell you which step the result belongs to. Since the
+interpreter probably loaded numerous libraries to calculate the result given
+above and listed each one in the prcess, there could easily be several pages
+of text between your input and the answer.
+
+The last line contains the type of the result. The type {\tt Float} is used
+to represent real numbers of arbitrary size and precision (where the user is
+able to define how big arbitrary is -- the default is 20 digits but can be
+as large as your computer system can handle). The type of the result can help
+track down mistakes in your input if you don't get the answer you expected.
+
+Other arithmetic operations such as addition, subtraction, and multiplication
+behave as expected:
+
+\spadcommand{6.93 * 4.1328}
+$$
+28.640304 
+$$
+\returnType{Type: Float}
+
+\spadcommand{6.93 / 4.1328}
+$$
+1.6768292682 926829268 
+$$
+\returnType{Type: Float}
+
+but integer division isn't quite so obvious. For example, if one types:
+
+\spadcommand{4/6}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Integer}
+
+a fractional result is obtained. The function used to display fractions
+attempts to produce the most readable answer. In the example:
+
+\spadcommand{4/2}
+$$
+2 
+$$
+\returnType{Type: Fraction Integer}
+
+the result is stored as the fraction 2/1 but is displayed as the integer 2.
+This fraction could be converted to type {\tt Integer} with no loss of
+information but Axiom will not do so automatically.
+
+\subsection{Type Conversion}
+To obtain the floating point value of a fraction one must convert (
+{\bf conversions} are applied by the user and 
+{\bf coercions} are applied automatically by the interpreter) the result
+to type {\tt Float} using the ``::'' operator as follows: 
+
+\index{:: conversion}
+\spadcommand{(4.6)::Float}
+$$
+4.6 
+$$
+\returnType{Type: Float}
+
+Although Axiom can convert this back to a fraction it might not be the
+same fraction you started with due to rounding errors. For example, the
+following conversion appears to be without error but others might not:
+
+\spadcommand{\%::Fraction Integer}
+$$
+{23} \over 5 
+$$
+\returnType{Type: Fraction Integer}
+
+\index{\%}
+where ``\%'' represents the previous {\it result} (not the calculation).
+
+Although Axiom has the ability to work with floating-point numbers to
+a very high precision it must be remembered that calculations with these
+numbers are {\bf not} exact. Since Axiom is a computer algebra package and
+not a numerical solutions package this should not create too many problems.
+The idea is that the user should use Axiom to do all the necessary symbolic
+manipulation and only at the end should actual numerical results be extracted.
+
+If you bear in mind that Axiom appears to store expressions just as you have
+typed them and does not perform any evalutation of them unless forced to then
+programming in the system will be much easier. It means that anything you
+ask Axiom to do (within reason) will be carried out with complete accuracy.
+
+\index{:: failure}
+In the previous examples the ``::'' operator was used to convert values from
+one type to another. This type conversion is not possible for all values.
+For instance, it is not possible to convert the number 3.4 to an integer
+type since it can't be represented as an integer. The number 4.0 can be 
+converted to an integer type since it has no fractional part.
+
+Conversion from floating point values to integers is performed using the 
+functions {\bf round} and {\bf truncate}. The first of these rounds a 
+floating point number to the nearest integer while the other truncates
+(i.e. removes the fractional part). Both functions return the result as a
+{\bf floating point} number. To extract the fractional part of a floating
+point number use the function {\bf fractionPart} but note that the sign
+of the result depends on the sign of the argument. Axiom obtains the
+fractional partof $x$ using $x - truncate(x)$:
+
+\index{round}
+\spadcommand{round(3.77623)}
+$$
+4.0 
+$$
+\returnType{Type: Float}
+
+\spadcommand{round(-3.77623)}
+$$
+-{4.0} 
+$$
+\returnType{Type: Float}
+
+\index{truncate}
+\spadcommand{truncate(9.235)}
+$$
+9.0 
+$$
+\returnType{Type: Float}
+
+\spadcommand{truncate(-9.654)}
+$$
+-{9.0} 
+$$
+\returnType{Type: Float}
+
+\index{fractionPart}
+\spadcommand{fractionPart(-3.77623)}
+$$
+-{0.77623} 
+$$
+\returnType{Type: Float}
+
+\subsection{Useful Functions}
+To obtain the absolute value of a number the {\bf abs} function can be used.
+This takes a single argument which is usually an integer or a floating point
+value but doesn't necessarily have to be. The sign of a value can be obtained
+via the {\bf sign} function which returns $-1$, $0$, or $1$ depending on the 
+sign of the argument.
+
+\index{abs}
+\spadcommand{abs(4)}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{abs(-3)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{abs(-34254.12314)}
+$$
+34254.12314 
+$$
+\returnType{Type: Float}
+
+\index{sign}
+\spadcommand{sign(-49543.2345346)}
+$$
+-1 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{sign(0)}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+\spadcommand{sign(234235.42354)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Tests on values can be done using various functions which are generally more
+efficient than using relational operators such as $=$ particularly if the 
+value is a matrix. Examples of some of these functions are:
+
+\index{positive?}
+\spadcommand{positive?(-234)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\index{negative?}
+\spadcommand{negative?(-234)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\index{zero?}
+\spadcommand{zero?(42)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\index{one?}
+\spadcommand{one?(1)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\index{odd?}
+\spadcommand{odd?(23)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{odd?(9.435)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\index{even?}
+\spadcommand{even?(-42)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\index{prime?}
+\spadcommand{prime?(37)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{prime?(-37)}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+Some other functions that are quite useful for manipulating numerical values
+are:
+
+\begin{verbatim}
+sin(x)         Sine of x
+cos(x)         Cosine of x
+tan(x)         Tangent of x
+asin(x)        Arcsin of x
+acos(x)        Arccos of x
+atan(x)        Arctangent of x
+gcd(x,y)       Greatest common divisor of x and y
+lcm(x,y)       Lowest common multiple of x and y
+max(x,y)       Maximum of x and y
+min(x,y)       Minimum of x and y
+factorial(x)   Factorial of x
+factor(x)      Prime factors of x
+divide(x,y)    Quotient and remainder of x/y
+\end{verbatim}
+\index{sin}
+\index{cos}
+\index{tan}
+\index{asin}
+\index{acos}
+\index{atan}
+\index{gcd}
+\index{lcm}
+\index{max}
+\index{min}
+\index{factorial}
+\index{factor}
+\index{divide}
+
+Some simple infix and prefix operators:
+\begin{verbatim}
++      Addition             -      Subtraction
+-      Numerical Negation   ~      Logical Negation
+/\     Conjunction (AND)    \/     Disjunction (OR)
+and    Logical AND (/\)     or     Logical OR (\/)
+not    Logical Negation     **     Exponentiation
+*      Multiplication       /      Division
+quo    Quotient             rem    Remainder
+<      less than            >      greater than
+<=     less than or equal   >=     greater than or equal
+\end{verbatim}
+\index{$+$ Addition}
+\index{$-$ Subtraction}
+\index{$-$ Numerical Negation}
+\index{$\tilde{}$ Logical Negation}
+\index{not Logical Negation}
+\index{$**$  Exponentiation}
+\index{$*$ Multiplication}
+\index{$/$ Division}
+\index{quo Quotient}
+\index{rem Remainder}
+\index{$<$ less than}
+\index{$>$ greater than}
+\index{$<=$ less than or equal}
+\index{$>=$ greater than or equal}
+
+Some useful Axiom macros:
+\begin{verbatim}
+%i              The square root of -1
+%e              The base of the natural logarithm
+%pi             Pi
+%infinity       Infinity
+%plusInfinity   Positive Infinity
+%minusInfinity  Negative Infinity
+\end{verbatim}
+
+\section{Using Axiom as a Symbolic Calculator}
+In the previous section all the examples involved numbers and simple
+functions. Also none of the expressions entered were assigned to anything.
+In this section we will move on to simple algebra (i.e. expressions involving
+symbols and other features available on more sophisticated calculators).
+
+\subsection{Expressions Involving Symbols}
+Expressions involving symbols are entered just as they are written down,
+for example:
+
+\index{immediate assignment}
+\index{assignment immediate}
+\spadcommand{xSquared := x**2}
+$$
+x \sp 2 
+$$
+\returnType{Type: Polynomial Integer}
+
+where the assignment operator ``:='' represents immediate assignment. Later
+it will be seen that this form of assignment is not always desirable and
+the use of the delayed assignment operator ``=='' will be introduced. The
+type of the result is {\tt Polynomial Integer} which is used to represent
+polynomials with integer coefficients. Some other examples along similar
+lines are:
+
+\spadcommand{xDummy := 3.21*x**2}
+$$
+{3.21} \  {x \sp 2} 
+$$
+\returnType{Type: Polynomial Float}
+
+\spadcommand{xDummy := x**2.5}
+$$
+{x \sp 2} \  {\sqrt {x}} 
+$$
+\returnType{Type: Expression Float}
+
+\spadcommand{xDummy := x**3.3}
+$$
+{x \sp 3} \  {{\root {{10}} \of {x}} \sp 3} 
+$$
+\returnType{Type: Expression Float}
+
+\spadcommand{xyDummy := x**2 - y**2}
+$$
+-{y \sp 2}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Given that we can define expressions involving symbols, how do we actually
+compute the result when the symbols are assigned values? The answer is to
+use the {\bf eval} function which takes an expression as its first argument
+followed by a list of assignments. For example, to evaluate the expressions
+{\sl XDummy} and {\sl xyDummy} resulting from their respective 
+assignments above we type:
+
+\index{eval}
+\spadcommand{eval(xDummy,x=3)}
+$$
+37.5405075985 29552193 
+$$
+\returnType{Type: Expression Float}
+
+\spadcommand{eval(xyDummy, [x=3, y=2.1])}
+$$
+4.59 
+$$
+\returnType{Type: Polynomial Float}
+
+\subsection{Complex Numbers}
+For many scientific calculations real numbers aren't sufficient and support
+for complex numbers is also required. Complex numbers are handled in an
+intuitive manner. Axiom uses the {\bf \%i} macro to represent
+the square root of $-1$. Thus expressions involving complex numbers are
+entered just like other expressions.
+
+\index{complex numbers}
+\spadcommand{(2/3 + \%i)**3}
+$$
+-{{46} \over {27}}+{{1 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+The real and imaginary parts of a complex number can be extracted using 
+the {\bf real} and {\bf imag} functions and the complex conjugate of a
+number can be obtained using {\bf conjugate}:
+
+\index{real, complex numbers}
+\spadcommand{real(3 + 2*\%i)}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{imag, complex numbers}
+\spadcommand{imag(3+ 2*\%i)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{conjugate, complex numbers}
+\spadcommand{conjugate(3 + 2*\%i)}
+$$
+3 -{2 \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+The function {\bf factor} can also be applied to complex numbers but the
+results aren't quite so obvious as for factoring integer:
+
+\spadcommand{144 + 24*\%i}
+$$
+{144}+{{24} \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+\index{factor, complex numbers}
+\spadcommand{factor(\%)}
+$$
+i \  {{\left( 1+i 
+\right)}
+\sp 6} \  3 \  {\left( 6+i 
+\right)}
+$$
+\returnType{Type: Factored Complex Integer}
+
+\subsection{Number Representations}
+By default all numerical results are displayed in decimal with real numbers
+shown to 20 significant figures. If the integer part of a number is longer
+than 20 digits then nothing after the decimal point is shown and the integer
+part is given in full. To alter the number of digits shown the function
+{\bf digits} can be called. The result returned by this function is the
+previous setting. For example, to find the value of $\pi$ to 40 digits
+we type:
+
+\index{digits function}
+\spadcommand{digits(40)}
+$$
+20 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{\%pi::Float}
+$$
+3.1415926535\ 8979323846\ 2643383279\ 502884197 
+$$
+\returnType{Type: Float}
+
+As can be seen in the example above, there is a gap after every ten digits.
+This can be changed using the {\bf outputSpacing} function where the argument
+is the number of digits to be displayed before a space is inserted. If no
+spaces are desired then use the value $0$. Two other functions controlling
+the appearance of real numbers are {\bf outputFloating} and {\bf outputFixed}.
+The former causes Axiom to display floating-point values in exponent notation
+and the latter causes it to use fixed-point notation. For example:
+
+\index{outputSpacing}
+\index{outputFloating}
+\spadcommand{outputFloating(); \%}
+$$
+0.3141592653 5897932384 6264338327 9502884197 E 1 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputFloating(3); 0.00345}
+$$
+0.345 E -2 
+$$
+\returnType{Type: Float}
+
+\index{outputFixed}
+\spadcommand{outputFixed(); \%}
+$$
+0.00345 
+$$
+\returnType{Type: Float}
+
+\spadcommand{outputFixed(3); \%}
+$$
+0.003 
+$$
+\returnType{Type: Float}
+
+\index{outputGeneral}
+\spadcommand{outputGeneral(); \%}
+$$
+0.00345 
+$$
+\returnType{Type: Float}
+
+\index{; output suppression}
+Note that the semicolon ``;'' in the examples above allows several
+expressions to be entered on one line. The result of the last expression
+is displayed. remember also that the percent symbol ``\%'' is used to
+represent the result of a previous calculation.
+
+To display rational numbers in a base other than 10 the function {\bf radix}
+is used. The first argument of this function is the expression to be 
+displayed and the second is the base to be used.
+
+\index{radix}
+\index{RadixExpansion}
+\spadcommand{radix(10**10,32)}
+$$
+{\rm 9A0NP00 }
+$$
+\returnType{Type: RadixExpansion 32}
+
+\spadcommand{radix(3/21,5)}
+$$
+0.{\overline {032412}} 
+$$
+\returnType{Type: RadixExpansion 5}
+
+Rational numbers can be represented as a repeated decimal expansion using
+the {\bf decimal} function or as a continued fraction using 
+{\bf continuedFraction}. Any attempt to call these functions with irrational
+values will fail.
+
+\index{decimal}
+\index{DecimalExpansion}
+\spadcommand{decimal(22/7)}
+$$
+3.{\overline {142857}} 
+$$
+\returnType{Type: DecimalExpansion}
+
+\index{continuedFraction}
+\spadcommand{continuedFraction(6543/210)}
+$$
+{31}+ \zag{1}{6}+ \zag{1}{2}+ \zag{1}{1}+ \zag{1}{3} 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+Finally, partial fractions in compact and expanded form are available via the
+functions {\bf partialFraction} and {\bf padicFraction} respectively. The
+former takes two arguments, the first being the numerator of the fraction
+and the second being the denominator. The latter function takes a fraction
+and expands it further while the function {\bf compactFraction} does the
+reverse:
+
+\index{partialFraction}
+\spadcommand{partialFraction(234,40)}
+$$
+6 -{3 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\index{padicFraction}
+\spadcommand{padicFraction(\%)}
+$$
+6 -{1 \over 2} -{1 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\index{compactFraction}
+\spadcommand{compactFraction(\%)}
+$$
+6 -{3 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\spadcommand{padicFraction(234/40)}
+$$
+{117} \over {20} 
+$$
+\returnType{Type: PartialFraction Fraction Integer}
+
+To extract parts of a partial fraction the function {\bf nthFractionalTerm}
+is available and returns a partial fraction of one term. To decompose this
+further the numerator can be obtained using {\bf firstNumer} and the 
+denominator with {\bf firstDenom}. The whole part of a partial fraction can
+be retrieved using {\bf wholePart} and the number of fractional parts can
+be found using the function {\bf numberOf FractionalTerms}:
+
+\spadcommand{t := partialFraction(234,40)}
+$$
+6 -{3 \over {2 \sp 2}}+{3 \over 5} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\index{wholePart}
+\spadcommand{wholePart(t)}
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{numberOfFractionalTerms}
+\spadcommand{numberOfFractionalTerms(t)}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{nthFractionalTerm}
+\spadcommand{p := nthFractionalTerm(t,1)}
+$$
+-{3 \over {2 \sp 2}} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+\index{firstNumer}
+\spadcommand{firstNumer(p)}
+$$
+-3 
+$$
+\returnType{Type: Integer}
+
+\index{firstDenom}
+\spadcommand{firstDenom(p)}
+$$
+2 \sp 2 
+$$
+\returnType{Type: Factored Integer}
+
+\subsection{Modular Arithmetic}
+By using the type constructor {\tt PrimeField} it is possible to do 
+arithmetic modulo some prime number. For example, arithmetic module $7$
+can be performed as follows:
+
+\index{PrimeField}
+\spadcommand{x : PrimeField 7 := 5}
+$$
+5 
+$$
+\returnType{Type: PrimeField 7}
+
+\spadcommand{x**5 + 6}
+$$
+2 
+$$
+\returnType{Type: PrimeField 7}
+
+\spadcommand{1/x}
+$$
+3 
+$$
+\returnType{Type: PrimeField 7}
+
+The first example should be read as:
+\begin{center}
+{\tt Let $x$ be of type PrimeField(7) and assign to it the value $5$}
+\end{center}
+
+Note that it is only possible to invert non-zero values if the arithmetic
+is performed modulo a prime number. Thus arithmetic modulo a non-prime
+integer is possible but the reciprocal operation is undefined and will
+generate an error. Attempting to use the {\tt PrimeField} type constructor
+with a non-prime argument will generate an error. An example of non-prime
+modulo arithmetic is:
+
+\index{IntegerMod}
+\spadcommand{y : IntegerMod 8 := 11}
+$$
+3 
+$$
+\returnType{Type: IntegerMod 8}
+
+\spadcommand{y*4 + 27}
+$$
+7 
+$$
+\returnType{Type: IntegerMod 8}
+
+Note that polynomials can be constructed in a similar way:
+
+\spadcommand{(3*a**4 + 27*a - 36)::Polynomial PrimeField 7}
+$$
+{3 \  {a \sp 4}}+{6 \  a}+6 
+$$
+\returnType{Type: Polynomial PrimeField 7}
+
+\section{General Points about Axiom}
+\subsection{Computation Without Output}
+It is sometimes desirable to enter an expression and prevent Axiom from
+displaying the result. To do this the expression should be terminated with
+a semicolon ``;''. In a previous section it was mentioned that a set of 
+expressions separated by semicolons would be evaluated and the result
+of the last one displayed. Thus if a single expression is followed by a
+semicolon no output will be produced (except for its type):
+
+\index{; output suppression}
+\spadcommand{2 + 4*5;}
+\returnType{Type: PositiveInteger}
+
+\subsection{Accessing Earlier Results}
+\index{\%}
+\index{\%\%}
+The ``\%'' macro represents the result of the previous computation. The 
+``\%\%'' macro is available which takes a single integer argument. If the
+argument is positive then it refers to the step number of the calculation
+where the numbering begins from one and can be seen at the end of each
+prompt (the number in parentheses). If the argument is negative then it
+refers to previous results counting backwards from the last result. That is,
+``\%\%(-1)'' is the same as ``\%''. The value of ``\%\%(0)'' is not defined and
+will generate an error if requested.
+
+\subsection{Splitting Expressions Over Several Lines}
+Although Axiom will quite happily accept expressions that are longer than
+the width of the screen (just keep typing without pressing the {\bf Return}
+key) it is often preferable to split the expression being entered at a point
+where it would result in more readable input. To do this the underscore
+``\_'' symbol is placed before the break point and then the {\bf Return}
+key is pressed. The rest of the expression is typed on the next line,
+can be preceeded by any number of whitespace chars, for example:
+\begin{verbatim}
+2_
++_
+3
+\end{verbatim}
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{\_ escape}
+The underscore symbol is an escape character and its presence alters the
+meaning of the characters that follow it. As mentions above whitespace
+following an underscore is ignored (the {\bf Return} key generates a
+whitespace character). Any other character following an underscore loses
+whatever special meaning it may have had. Thus one can create the
+identifier ``a+b'' by typing ``a\_+b'' although this might lead to confusions.
+Also note the result of the following example:
+
+\spadcommand{ThisIsAVeryLong\_\\
+VariableName}
+$$
+ThisIsAVeryLongVariableName 
+$$
+\returnType{Type: Variable ThisIsAVeryLongVariableName}
+
+\subsection{Comments and Descriptions}
+\index{-- comments}
+\index{++ comments}
+\index{+++ comments}
+Comments and descriptions are really only of use in files of Axiom code but
+can be used when the output of an interactive session is being spooled to
+a file (via the system command {\bf )spool}). A comment begins with two
+dashes ``- -'' and continues until the end of the line. Multi-line
+comments are only possible if each individual line begins with two dashes.
+
+Descriptions are the same as comments except that the Axiom compiler will 
+include them in the object files produced and make them available to the
+end user for documentation purposes.
+
+A description is placed {\bf before} a calculation begins with three
+``+++'' signs and a description placed after a calculation begins with
+two plus signs ``++''. The so-called ``plus plus'' comments are used
+within the algebra files and are processed by the compiler to add
+to the documentation. The so-called ``minus minus'' comments are ignored
+everywhere.
+
+\subsection{Control of Result Types}
+\index{:: conversion}
+In earlier sections the type of an expression was converted to another
+via the ``::'' operator. However, this is not the only method for
+converting between types and two other operators need to be introduced
+and explained. 
+
+\index{\$ package calling}
+The first operator is ``\$'' and is used to specify the package to be
+used to calculate the result. Thus:
+
+\spadcommand{(2/3)\$Float}
+$$
+0.6666666666\ 6666666667 
+$$
+\returnType{Type: Float}
+
+tells Axiom to use the ``/'' operator from the {\tt Float} package to
+evaluate the expression $2/3$. This does not necessarily mean that the
+result will be of the same type as the domain from which the operator
+was taken. In the following example the {\bf sign} operator is taken
+from the {\tt Float} package but the result is of type {\tt Integer}.
+
+\spadcommand{sign(2.3)\$Float}
+$$
+1 
+$$
+\returnType{Type: Integer}
+
+\index{type target}
+The other operator is ``@'' which is used to tell Axiom what the desired
+type of the result of the calculation is. In most situations all three
+operators yield the same results but the example below should help 
+distinguish them.
+
+\spadcommand{(2 + 3)::String}
+$$
+\mbox{\tt "5"} 
+$$
+\returnType{Type: String}
+
+\spadcommand{(2 + 3)@String}
+\begin{verbatim}
+An expression involving @ String actually evaluated to one of 
+   type PositiveInteger . Perhaps you should use :: String .
+\end{verbatim}
+
+\spadcommand{(2 + 3)\$String}
+\begin{verbatim}
+   The function + is not implemented in String .
+\end{verbatim}
+
+If an expression {\sl X} is converted using one of the three operators to 
+type {\sl T} the interpretations are:
+
+\index{:: conversion}
+{\bf ::} means explicitly convert {\sl X} to type {\sl T} if possible.
+
+\index{\$ package calling}
+{\bf \$} means use the available operators for type {\sl T} to compute {\sl X}.
+
+\index{type target}
+{\bf @} means choose operators to compute {\sl X} so that the result is of
+type {\sl T}.
+
+\subsection{Using system commands}
+\label{sec:Using system commands}
+We conclude our tour of Axiom with a brief discussion of
+{\it system commands}.  System commands are special statements
+that start with a closing parenthesis ({\tt )}). They are used
+to control or display your Axiom environment, start the
+HyperDoc system, issue operating system commands and leave
+Axiom.  For example, {\tt )system}\index{)system}
+ is used to issue commands
+to the operating system from Axiom.  Here
+is a brief description of some of these commands.  
+
+Perhaps the most important user command is the 
+{\tt )clear all}\index{)clear}
+command that initializes your environment.  Every section and
+subsection in this document has an invisible {\tt )clear all} that is
+read prior to the examples given in the section.  {\tt )clear all}
+gives you a fresh, empty environment with no user variables defined
+and the step number reset to $1$.  The {\tt )clear} command
+can also be used to selectively clear values and properties of system
+variables.
+
+Another useful system command is {\tt )read}.\index{)read}
+A preferred way to
+develop an application in Axiom is to put your interactive
+commands into a file, say {\bf my.input} file.  To get Axiom to
+read this file, you use the system command {\tt )read my.input}.
+If you need to make changes to your approach or definitions, go into
+your favorite editor, change {\bf my.input}, then {\tt )read
+my.input} again.
+
+Other system commands include: {\tt )history},\index{)history}
+ to display
+previous input and/or output lines; {\tt )display},\index{)display}
+ to display
+properties and values of workspace variables; and {\tt )what}.\index{)what}
+
+Issue {\tt )what} to get a list of Axiom objects that
+contain a given substring in their name.
+\spadcommand{)what operations integrate}
+\begin{verbatim}
+
+Operations whose names satisfy the above pattern(s):
+
+HermiteIntegrate       algintegrate           complexIntegrate       
+expintegrate           extendedIntegrate      fintegrate             
+infieldIntegrate       integrate              internalIntegrate      
+internalIntegrate0     lazyGintegrate         lazyIntegrate          
+lfintegrate            limitedIntegrate       monomialIntegrate      
+nagPolygonIntegrate    palgintegrate          pmComplexintegrate     
+pmintegrate            primintegrate          tanintegrate           
+   
+To get more information about an operation such as 
+limitedIntegrate , issue the command )display op limitedIntegrate
+      
+\end{verbatim}
+\subsection{Using undo}
+\label{sec:Undo}
+A useful system command is {\tt )undo}. \index{)undo}
+Sometimes while computing
+interactively with Axiom, you make a mistake and enter an
+incorrect definition or assignment.  Or perhaps you need to try one of
+several alternative approaches, one after another, to find the best
+way to approach an application.  For this, you will find the
+{\it undo} facility of Axiom helpful.
+
+System command {\tt )undo n} means ``undo back to step
+$n$''; it restores the values of user variables to those that
+existed immediately after input expression $n$ was evaluated.
+Similarly, {\tt )undo -n} undoes changes caused by the last
+$n$ input expressions.  Once you have done an {\tt )undo},
+you can continue on from there, or make a change and {\bf redo} all
+your input expressions from the point of the {\tt )undo} forward.
+The {\tt )undo} is completely general: it changes the environment
+like any user expression.  Thus you can {\tt )undo} any previous
+undo.
+
+Here is a sample dialogue between user and Axiom.
+
+``Let me define
+two mutually dependent functions $f$ and $g$ piece-wise.''
+\spadcommand{f(0) == 1; g(0) == 1}
+\returnType{Type: Void}
+
+``Here is the general term for $f$.''
+\spadcommand{f(n) == e/2*f(n-1) - x*g(n-1)}
+\returnType{Type: Void}
+
+``And here is the general term for $g$.''
+\spadcommand{g(n) == -x*f(n-1) + d/3*g(n-1)}
+\returnType{Type: Void}
+
+``What is value of $f(3)$?''
+\spadcommand{f(3)}
+$$
+-{x \sp 3}+{{\left( e+{{1 \over 3} \  d} 
+\right)}
+\  {x \sp 2}}+{{\left( -{{1 \over 4} \  {e \sp 2}} -{{1 \over 6} \  d \  e} 
+-{{1 \over 9} \  {d \sp 2}} 
+\right)}
+\  x}+{{1 \over 8} \  {e \sp 3}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+``Hmm, I think I want to define $f$ differently.
+Undo to the environment right after I defined $f$.''
+\spadcommand{)undo 2}
+
+``Here is how I think I want $f$ to be defined instead.''
+\spadcommand{f(n) == d/3*f(n-1) - x*g(n-1)}
+\begin{verbatim}
+   1 old definition(s) deleted for function or rule f 
+\end{verbatim}
+\returnType{Type: Void}
+
+Redo the computation from expression $3$ forward.
+\spadcommand{)undo )redo}
+\begin{verbatim}
+g(n) == -x*f(n-1) + d/3*g(n-1)
+ 
+                                                                   Type: Void
+f(3)
+ 
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function f with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function f as a recurrence relation.
+
++++ |*1;f;1;G82322;AUX| redefined
+
++++ |*1;f;1;G82322| redefined
+\end{verbatim}
+$$
+-{x \sp 3}+{d \  {x \sp 2}} -{{1 \over 3} \  {d \sp 2} \  x}+{{1 \over {27}} 
+\  {d \sp 3}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+``I want my old definition of
+$f$ after all. Undo the undo and restore
+the environment to that immediately after $(4)$.''
+\spadcommand{)undo 4}
+
+``Check that the value of $f(3)$ is restored.''
+\spadcommand{f(3)}
+\begin{verbatim}
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function g with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function g as a recurrence relation.
+
++++ |*1;g;1;G82322;AUX| redefined
+
++++ |*1;g;1;G82322| redefined
+   Compiling function f with type Integer -> Polynomial Fraction 
+      Integer 
+   Compiling function f as a recurrence relation.
+
++++ |*1;f;1;G82322;AUX| redefined
+
++++ |*1;f;1;G82322| redefined
+\end{verbatim}
+$$
+-{x \sp 3}+{{\left( e+{{1 \over 3} \  d} 
+\right)}
+\  {x \sp 2}}+{{\left( -{{1 \over 4} \  {e \sp 2}} -{{1 \over 6} \  d \  e} 
+-{{1 \over 9} \  {d \sp 2}} 
+\right)}
+\  x}+{{1 \over 8} \  {e \sp 3}} 
+$$
+\returnType{Type: Polynomial Fraction Integer}
+
+After you have gone off on several tangents, then backtracked to
+previous points in your conversation using {\tt )undo}, you might
+want to save all the ``correct'' input commands you issued,
+disregarding those undone.  The system command {\tt )history
+)write mynew.input} writes a clean straight-line program onto the file
+{\bf mynew.input} on your disk.
+
+\section{Data Structures in Axiom}
+This chapter is an overview of {\sl some} of the data structures provided
+by Axiom.
+\subsection{Lists}
+The Axiom {\tt List} type constructor is used to create homogenous lists of
+finite size. The notation for lists and the names of the functions that 
+operate over them are similar to those found in functional languages such
+as ML.
+
+Lists can be created by placing a comma separated list of values inside
+square brackets or if a list with just one element is desired then the
+function {\bf list} is available:
+
+\spadcommand{[4]}
+$$
+\left[
+4 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\index{list}
+\spadcommand{list(4)}
+$$
+\left[
+4 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{[1,2,3,5,7,11]}
+$$
+\left[
+1,  2,  3,  5,  7,  {11} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The function {\bf append} takes two lists as arguments and returns the list
+consisting of the second argument appended to the first. A single element
+can be added to the front of a list using {\bf cons}:
+
+\index{append}
+\spadcommand{append([1,2,3,5],[7,11])}
+$$
+\left[
+1,  2,  3,  5,  7,  {11} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\index{cons}
+\spadcommand{cons(23,[65,42,19])}
+$$
+\left[
+{23},  {65},  {42},  {19} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Lists are accessed sequentially so if Axiom is asked for the value of the
+twentieth element in the list it will move from the start of the list over
+nineteen elements before it reaches the desired element. Each element of a 
+list is stored as a node consisting of the value of the element and a pointer
+to the rest of the list. As a result the two main operations on a list are
+called {\bf first} and {\bf rest}. Both of these functions take a second
+optional argument which specifies the length of the first part of the list:
+
+\index{first}
+\spadcommand{first([1,5,6,2,3])}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{first([1,5,6,2,3],2)}
+$$
+\left[
+1,  5 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\index{rest}
+\spadcommand{rest([1,5,6,2,3])}
+$$
+\left[
+5,  6,  2,  3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{rest([1,5,6,2,3],2)}
+$$
+\left[
+6,  2,  3 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Other functions are {\bf empty?} which tests to see if a list contains no
+elements, {\bf member?} which tests to see if the first argument is a member
+of the second, {\bf reverse} which reverses the order of the list, {\bf sort}
+which sorts a list, and {\bf removeDuplicates} which removes any duplicates.
+The length of a list can be obtained using the ``\#'' operator.
+
+\index{empty?}
+\spadcommand{empty?([7,2,-1,2])}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\index{member?}
+\spadcommand{member?(-1,[7,2,-1,2])}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\index{reverse}
+\spadcommand{reverse([7,2,-1,2])}
+$$
+\left[
+2,  -1,  2,  7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\index{sort}
+\spadcommand{sort([7,2,-1,2])}
+$$
+\left[
+-1,  2,  2,  7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\index{removeDuplicates}
+\spadcommand{removeDuplicates([1,5,3,5,1,1,2])}
+$$
+\left[
+1,  5,  3,  2 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\index{\# list length}
+\spadcommand{\#[7,2,-1,2]}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Lists in Axiom are mutable and so their contents (the elements and the links)
+can be modified in place. Functions that operate over lists in this way have
+names ending in the symbol ``!''. For example, {\bf concat!} takes two lists
+as arguments and appends the second argument to the first (except when the
+first argument is an empty list) and {\bf setrest!} changes the link 
+emanating from the first argument to point to the second argument:
+
+\spadcommand{u := [9,2,4,7]}
+$$
+\left[
+9,  2,  4,  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\index{concat\!}
+\spadcommand{concat!(u,[1,5,42]); u}
+$$
+\left[
+9,  2,  4,  7,  1,  5,  {42} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{endOfu := rest(u,4)}
+$$
+\left[
+1,  5,  {42} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{partOfu := rest(u,2)}
+$$
+\left[
+4,  7,  1,  5,  {42} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\index{setrest\!}
+\spadcommand{setrest!(endOfu,partOfu); u}
+$$
+\left[
+9,  2,  {\overline {4,  7,  1}} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+From this it can be seen that the lists returned by {\bf first} and {\bf rest}
+are pointers to the original list and {\sl not} a copy. Thus great care must
+be taken when dealing with lists in Axiom.
+
+Although the {\sl n}th element of the list {\sl l} can be obtained by 
+applying the {\bf first} function to $n-1$ applications of {\bf rest}
+to {\sl l}, Axiom provides a more useful access method in the form of
+the ``.'' operator:
+
+\spadcommand{u.3}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u.5}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u.6}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{first rest rest u -- Same as u.3}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u.first}
+$$
+9 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{u(3)}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+The operation {\sl u.i} is referred to as {\sl indexing into u} or 
+{\sl elting into u}. The latter term comes from the {\bf elt} function
+which is used to extract elements (the first element of the list is at
+index $1$).
+
+\index{elt}
+\spadcommand{elt(u,4)}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+If a list has no cycles then any attempt to access an element beyond the
+end of the list will generate an error. However, in the example above there
+was a cycle starting at the third element so the access to the sixth
+element wrapped around to give the third element. Since lists are mutable it
+is possible to modify elements directly:
+
+\spadcommand{u.3 := 42; u}
+$$
+\left[
+9,  2,  {\overline {{42},  7,  1}} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Other list operations are:
+\spadcommand{L := [9,3,4,7]; \#L}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{last}
+\spadcommand{last(L)}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{L.last}
+$$
+7 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{L.(\#L - 1)}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+Note that using the ``\#'' operator on a list with cycles causes Axiom to
+enter an infinite loop.
+
+Note that any operation on a list {\sl L} that returns a list ${\sl L}L^{'}$
+will, in general, be such that any changes to ${\sl L}L^{'}$ will have the
+side-effect of altering {\sl L}. For example:
+
+\spadcommand{m := rest(L,2)}
+$$
+\left[
+4,  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{m.1 := 20; L}
+$$
+\left[
+9,  3,  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n := L}
+$$
+\left[
+9,  3,  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n.2 := 99; L}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Thus the only safe way of copying lists is to copy each element from one to
+another and not use the assignment operator:
+
+\index{copy}
+\spadcommand{p := [i for i in n] -- Same as `p := copy(n)'}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{p.2 := 5; p}
+$$
+\left[
+9,  5,  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\spadcommand{n}
+$$
+\left[
+9,  {99},  {20},  7 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+In the previous example a new way of constructing lists was given. This is
+a powerful method which gives the reader more information about the contents
+of the list than before and which is extremely flexible. The example
+
+\spadcommand{[i for i in 1..10]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+should be read as
+
+\begin{center}
+``Using the expression {\sl i}, generate each element of the list by
+iterating the symbol {\sl i} over the range of integers [1,10]''
+\end{center}
+
+To generate the list of the squares of the first ten elements we just use:
+
+\spadcommand{[i**2 for i in 1..10]}
+$$
+\left[
+1,  4,  9,  {16},  {25},  {36},  {49},  {64},  {81},  {100} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+For more complex lists we can apply a condition to the elements that are to
+be placed into the list to obtain a list of even numbers between 0 and 11:
+
+\spadcommand{[i for i in 1..10 | even?(i)]}
+$$
+\left[
+2,  4,  6,  8,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+This example should be read as:
+\begin{center}
+``Using the expression {\sl i}, generate each element of the list
+by iterating the symbol {\sl i} over the range of integers [1,10] such that 
+{\sl i} is even''
+\end{center}
+
+The following achieves the same result:
+
+\spadcommand{[i for i in 2..10 by 2]}
+$$
+\left[
+2,  4,  6,  8,  {10} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+\subsection{Segmented Lists}
+\label{sec:Segmented Lists}
+\index{Segmented Lists}
+A segmented list is one in which some of the elements are ranges of values.
+The {\bf expand} function converts lists of this type into ordinary lists:
+
+\spadcommand{[1..10]}
+$$
+\left[
+{1..{10}} 
+\right]
+$$
+\returnType{Type: List Segment PositiveInteger}
+
+\spadcommand{[1..3,5,6,8..10]}
+$$
+\left[
+{1..3},  {5..5},  {6..6},  {8..{10}} 
+\right]
+$$
+\returnType{Type: List Segment PositiveInteger}
+
+\index{expand}
+\spadcommand{expand(\%)}
+$$
+\left[
+1,  2,  3,  5,  6,  8,  9,  {10} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+If the upper bound of a segment is omitted then a different type of 
+segmented list is obtained and expanding it will produce a stream (which
+will be considered in the next section):
+
+\index{UniversalSegment}
+\spadcommand{[1..]}
+$$
+\left[
+{1..} 
+\right]
+$$
+\returnType{Type: List UniversalSegment PositiveInteger}
+
+\spadcommand{expand(\%)}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10},  \ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+\subsection{Streams}
+\label{sec:Streams}
+\index{Streams}
+Streams are infinite lists which have the ability to calculate the next
+element should it be required. For example, a stream of positive integers
+and a list of prime numbers can be generated by:
+
+\spadcommand{[i for i in 1..]}
+$$
+\left[
+1,  2,  3,  4,  5,  6,  7,  8,  9,  {10},  \ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+\spadcommand{[i for i in 1.. | prime?(i)]}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream PositiveInteger}
+
+In each case the first few elements of the stream are calculated for display
+purposes but the rest of the stream remains unevaluated. The value of items
+in a stream are only calculated when they are needed which gives rise to
+their alternative name of ``lazy lists''.
+
+Another method of creating streams is to use the {\bf generate(f,a)} function.
+This applies its first argument repeatedly onto its second to produce the
+stream $[a,f(a),f(f(a)),f(f(f(a)))\ldots]$. Given that the function
+{\bf nextPrime} returns the lowest prime number greater than its argument we
+can generate a stream of primes as follows:
+
+\index{generate}
+\index{nextPrime}
+\spadcommand{generate(nextPrime,2)\$Stream Integer}
+$$
+\left[
+2,  3,  5,  7,  {11},  {13},  {17},  {19},  {23},  {29},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+\index{Fibonacci}
+As a longer example a stream of Fibonacci numbers will be computed. The
+Fibonacci numbers start at $1$ and each following number is the addition
+of the two numbers that precede it so the Fibonacci sequence is:
+$$1,1,2,3,5,8,\ldots$$. 
+
+Since the generation of any Fibonacci number only relies on knowing the 
+previous two numbers we can look at the series through a window of two
+elements. To create the series the window is placed at the start over
+the values $[1,1]$ and their sum obtained. The window is now shifted to 
+the right by one position and the sum placed into the empty slot of the
+window; the process is then repeated. To implement this we require a 
+function that takes a list of two elements (the current view of the window),
+adds them, and outputs the new window. The result is the function
+$[a,b]$~{\tt ->}~$[b,a+b]$:
+\spadcommand{win : List Integer -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{win(x) == [x.2, x.1 + x.2]}
+\returnType{Type: Void}
+
+\spadcommand{win([1,1])}
+$$
+\left[
+1,  2 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{win(\%)}
+$$
+\left[
+2,  3 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Thus it can be seen that by repeatedly applying {\bf win} to the {\sl results}
+of the previous invocation each element of the series is obtained. Clearly
+{\bf win} is an ideal function to construct streams using the {\bf generate}
+function:
+\spadcommand{fibs := [generate(win,[1,1])]}
+$$
+\left[
+{\left[ 1,  1 
+\right]},
+ {\left[ 1,  2 
+\right]},
+ {\left[ 2,  3 
+\right]},
+ {\left[ 3,  5 
+\right]},
+ {\left[ 5,  8 
+\right]},
+ {\left[ 8,  {13} 
+\right]},
+ {\left[ {13},  {21} 
+\right]},
+ {\left[ {21},  {34} 
+\right]},
+ {\left[ {34},  {55} 
+\right]},
+ {\left[ {55},  {89} 
+\right]},
+ \ldots 
+\right]
+$$
+\returnType{Type: Stream List Integer}
+
+This isn't quite what is wanted -- we need to extract the first element of
+each list and place that in our series:
+\spadcommand{fibs := [i.1 for i in [generate(win,[1,1])] ]}
+$$
+\left[
+1,  1,  2,  3,  5,  8,  {13},  {21},  {34},  {55},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Integer}
+
+Obtaining the 200th Fibonacci number is trivial:
+\spadcommand{fibs.200}
+$$
+280571172992510140037611932413038677189525 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{complete}
+One other function of interest is {\bf complete} which expands a finite
+stream derived from an infinite one (and thus was still stored as an
+infinite stream) to form a finite stream.
+
+\subsection{Arrays, Vectors, Strings, and Bits}
+The simplest array data structure is the {\sl one-dimensional array} which
+can be obtained by applying the {\bf oneDimensionalArray} function to a list:
+
+\index{OneDimensionalArray}
+\spadcommand{oneDimensionalArray([7,2,5,4,1,9])}
+$$
+\left[
+7,  2,  5,  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+One-dimensional array are homogenous (all elements must have the same type)
+and mutable (elements can be changed) like lists but unlike lists they are
+constant in size and have uniform access times (it is just as quick to read
+the last element of a one-dimensional array as it is to read the first; this
+is not true for lists).
+
+Since these arrays are mutable all the warnings that apply to lists apply to
+arrays. That is, it is possible to modify an element in a copy of an array
+and change the original:
+\spadcommand{x := oneDimensionalArray([7,2,5,4,1,9])}
+$$
+\left[
+7,  2,  5,  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{y := x}
+$$
+\left[
+7,  2,  5,  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{y.3 := 20 ; x}
+$$
+\left[
+7,  2,  {20},  4,  1,  9 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+Note that because these arrays are of fixed size the {\bf concat!} function
+cannot be applied to them without generating an error. If arrays of this 
+type are required use the {\bf FlexibleArray} constructor.
+\index{FlexibleArray}
+
+One-dimensional arrays can be created using {\bf new} which specifies the size
+of the array and the initial value for each of the elements. Other operations
+that can be applied to one-dimensional arrays are {\bf map!} which applies
+a mapping onto each element, {\bf swap!} which swaps two elements and
+{\bf copyInto!(a,b,c)} which copies the array {\sl b} onto {\sl a} starting at
+position {\sl c}.
+\spadcommand{a : ARRAY1 PositiveInteger := new(10,3)}
+$$
+\left[
+3,  3,  3,  3,  3,  3,  3,  3,  3,  3 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+(note that {\tt ARRAY1} is an abbreviation for the type 
+{\tt OneDimensionalArray}.) Other types based on one-dimensional arrays are
+{\tt Vector}\index{Vector}, 
+{\tt String}\index{String}, 
+and {\tt Bits}\index{Bits}.
+
+\index{map\!}
+\spadcommand{map!(i +-> i+1,a); a}
+$$
+\left[
+4,  4,  4,  4,  4,  4,  4,  4,  4,  4 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{b := oneDimensionalArray([2,3,4,5,6])}
+$$
+\left[
+2,  3,  4,  5,  6 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\index{swap\!}
+\spadcommand{swap!(b,2,3); b}
+$$
+\left[
+2,  4,  3,  5,  6 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\index{copyInto\!}
+\spadcommand{copyInto!(a,b,3)}
+$$
+\left[
+4,  4,  2,  4,  3,  5,  6,  4,  4,  4 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\spadcommand{a}
+$$
+\left[
+4,  4,  2,  4,  3,  5,  6,  4,  4,  4 
+\right]
+$$
+\returnType{Type: OneDimensionalArray PositiveInteger}
+
+\index{vector}
+\spadcommand{vector([1/2,1/3,1/14])}
+$$
+\left[
+{1 \over 2},  {1 \over 3},  {1 \over {14}} 
+\right]
+$$
+\returnType{Type: Vector Fraction Integer}
+
+\spadcommand{"Hello, World"}
+$$
+\mbox{\tt "Hello, World"} 
+$$
+\returnType{Type: String}
+
+\index{bits}
+\spadcommand{bits(8,true)}
+$$
+\mbox{\tt "11111111"} 
+$$
+\returnType{Type: Bits}
+
+A vector is similar to a one-dimensional array except that if its 
+components belong to a ring then arithmetic operations are provided.
+
+\subsection{Flexible Arrays}
+\label{sec:Flexible Arrays}
+\index{Flexible Arrays}
+Flexible arrays are designed to provide the efficiency of one-dimensional
+arrays while retaining the flexibility of lists. They are implemented by
+allocating a fixed block of storage for the array. If the array needs to
+be expanded then a larger block of storage is allocated and the contents
+of the old block are copied into the new one.
+
+There are several operations that can be applied to this type, most of
+which modify the array in place. As a result these functions all have 
+names ending in ``!''. The {\bf physicalLength} returns the actual length
+of the array as stored in memory while the {\bf physicalLength!} allows this
+value to be changed by the user.
+\spadcommand{f : FARRAY INT := new(6,1)}
+$$
+\left[
+1,  1,  1,  1,  1,  1 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{f.1:=4; f.2:=3 ; f.3:=8 ; f.5:=2 ; f}
+$$
+\left[
+4,  3,  8,  1,  2,  1 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\index{insert\!}
+\spadcommand{insert!(42,f,3); f}
+$$
+\left[
+4,  3,  {42},  8,  1,  2,  1 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{insert!(28,f,8); f}
+$$
+\left[
+4,  3,  {42},  8,  1,  2,  1,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\index{removeDuplicates\!}
+\spadcommand{removeDuplicates!(f)}
+$$
+\left[
+4,  3,  {42},  8,  1,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\index{delete\!}
+\spadcommand{delete!(f,5)}
+$$
+\left[
+4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{g:=f(3..5)}
+$$
+\left[
+{42},  8,  2 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{g.2:=7; f}
+$$
+\left[
+4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\spadcommand{insert!(g,f,1)}
+$$
+\left[
+{42},  7,  2,  4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\index{physicalLength}
+\spadcommand{physicalLength(f)}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{physicalLength\!}
+\spadcommand{physicalLength!(f,20)}
+$$
+\left[
+{42},  7,  2,  4,  3,  {42},  8,  2,  {28} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\index{merge\!}
+\index{sort\!}
+\spadcommand{merge!(sort!(f),sort!(g))}
+$$
+\left[
+2,  2,  2,  3,  4,  7,  7,  8,  {28},  {42},  {42},  
+{42} 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\index{shrinkable}
+\spadcommand{shrinkable(false)\$FlexibleArray(Integer)}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+There are several things to point out concerning these
+examples. First, although flexible arrays are mutable, making copies
+of these arrays creates separate entities. This can be seen by the
+fact that the modification of element {\sl g.2} above did not alter
+{\sl f}. Second, the {\bf merge!}  function can take an extra argument
+before the two arrays are merged. The argument is a comparison
+function and defaults to ``{\tt <=}'' if omitted. Lastly, 
+{\bf shrinkable} tells the system whether or not to let flexible arrays
+contract when elements are deleted from them. An explicit package
+reference must be given as in the example above.
+
+\section{Functions, Choices, and Loops}
+By now the reader should be able to construct simple one-line expressions
+involving variables and different data structures. This section builds on
+this knowledge and shows how to use iteration, make choices, and build
+functions in Axiom. At the moment it is assumed that the reader has a rough
+idea of how types are specified and constructed so that they can follow
+the examples given.
+
+From this point on most examples will be taken from input files. 
+
+\subsection{Reading Code from a File}
+Input files contain code that will be fed to the command prompt. The 
+primary different between the command line and an input file is that
+indentation matters. In an input file you can specify ``piles'' of code
+by using indentation. 
+
+The names of all input files in Axiom should end in ``.input'' otherwise
+Axiom will refuse to read them. 
+
+If an input file is named {\bf foo.input} you can feed the contents of
+the file to the command prompt (as though you typed them) by writing:
+{\bf )read foo.input}\index{)read}.
+
+It is good practice to start each input file with the {\bf )clear all}
+command so that all functions and variables in the current environment
+are erased. 
+\subsection{Blocks}
+\label{sec:Blocks}
+\index{Blocks}
+\index{pile}
+The Axiom constructs that provide looping, choices, and user-defined
+functions all rely on the notion of blocks. A block is a sequence of
+expressions which are evaluated in the order that they appear except
+when it is modified by control expressions such as loops. To leave a
+block prematurely use an expression of the form:
+{\sl BoolExpr}~{\tt =>}~{\sl Expr} 
+where {\sl BoolExpr} is any Axiom expression that has type {\tt Boolean}. 
+The value and type of {\sl Expr} determines the value and type returned 
+by the block.
+
+If blocks are entered at the keyboard (as opposed to reading them from
+a text file) then there is only one way of creating them. The syntax is:
+$$( expression1 ; expression2; \ldots ; expressionN )$$
+
+In an input file a block can be constructed as above or by placing all the
+statements at the same indentation level. When indentation is used to
+indicate program structure the block is called a {\sl pile}. As an example
+of a simple block a list of three integers can be constructed using
+parentheses:
+\spadcommand{( a:=4; b:=1; c:=9; L:=[a,b,c])}
+$$
+\left[
+4,  1,  9 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Doing the same thing using piles in an input file you could type:
+\begin{verbatim}
+L :=
+  a:=4
+  b:=1
+  c:=9
+  [a,b,c]
+\end{verbatim}
+$$
+\left[
+4, 1, 9 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Since blocks have a type and a value they can be used as arguments to 
+functions or as part of other expressions. It should be pointed out that
+the following example is not recommended practice but helps to illustrate
+the idea of blocks and their ability to return values:
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c
+    )
+\end{verbatim}
+$$
+2.8284271247\ 461900976 
+$$
+\returnType{Type: Float}
+
+Note that indentation is {\bf extremely} important. If the example above
+had the pile starting at ``a:='' moved left by two spaces so that the
+``a'' was under the ``('' of the first line then the interpreter would
+signal an error. Furthermore if the closing parenthesis ``)'' is moved 
+up to give
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c)
+\end{verbatim}
+\begin{verbatim}
+  Line   1: sqrt(4.0 +
+           ....A
+  Error  A: Missing mate.
+  Line   2:          a:=3.0
+  Line   3:          b:=1.0
+  Line   4:          c:=a + b
+  Line   5:          c)
+           .........AB
+  Error  A: (from A up to B) Ignored.
+  Error  B: Improper syntax.
+  Error  B: syntax error at top level
+  Error  B: Possibly missing a ) 
+   5 error(s) parsing 
+\end{verbatim}
+then the parser will generate errors. If the parenthesis is shifted right 
+by several spaces so that it is in line with the ``c'' thus:
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c
+         )
+\end{verbatim}
+\begin{verbatim}
+  Line   1: sqrt(4.0 +
+           ....A
+  Error  A: Missing mate.
+  Line   2:          a:=3.0
+  Line   3:          b:=1.0
+  Line   4:          c:=a + b
+  Line   5:          c
+  Line   6:          )
+           .........A
+  Error  A: (from A up to A) Ignored.
+  Error  A: Improper syntax.
+  Error  A: syntax error at top level
+  Error  A: Possibly missing a ) 
+   5 error(s) parsing 
+\end{verbatim}
+a similar error will be raised. Finally, the ``)'' must be indented by 
+at least one space relative to the sqrt thus:
+\begin{verbatim}
+sqrt(4.0 +
+         a:=3.0
+         b:=1.0
+         c:=a + b
+         c
+ )
+\end{verbatim}
+$$
+2.8284271247\ 461900976 
+$$
+\returnType{Type: Float}
+or an error will be generated.
+
+It can be seen that great care needs to be taken when constructing input
+files consisting of piles of expressions. It would seem prudent to add
+one pile at a time and check if it is acceptable before adding more,
+particularly if piles are nested. However, it should be pointed out that
+the use of piles as values for functions is not very readable and so
+perhaps the delicate nature of their interpretation should deter programmers
+from using them in these situations. Using piles should really be restricted
+to constructing functions, etc. and a small amount of rewriting can remove
+the need to use them as arguments. For example, the previous block could
+easily be implemented as:
+\begin{verbatim}
+a:=3.0
+b:=1.0
+c:=a + b
+sqrt(4.0 + c)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+a:=3.0
+\end{verbatim}
+$$
+3.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+b:=1.0
+\end{verbatim}
+$$
+1.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+c:=a + b
+\end{verbatim}
+$$
+4.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+sqrt(4.0 + c)
+\end{verbatim}
+$$
+2.8284271247\ 461900976
+$$
+\returnType{Type: Float}
+
+which achieves the same result and is easier to understand. Note that this
+is still a pile but it is not as fragile as the previous version.
+\subsection{Functions}
+Definitions of functions in Axiom are quite simple providing two things
+are observed. First, the type of the function must either be completely
+specified or completely unspecified. Second, the body of the function is
+assigned to the function identifier using the delayed assignment operator
+``==''.
+\index{delayed assignment}
+\index{assignment delayed}
+
+To specify the type of something the ``:'' operator is used. Thus to define
+a variable {\sl x} to be of type {\tt Fraction Integer} we enter:
+\spadcommand{x : Fraction Integer}
+\returnType{Type: Void}
+
+For functions the method is the same except that the arguments are
+placed in parentheses and the return type is placed after the symbol
+``{\tt ->}''.  Some examples of function definitions taking zero, one,
+two, or three arguments and returning a list of integers are:
+
+\spadcommand{f : () -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{g : (Integer) -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{h : (Integer, Integer) -> List Integer}
+\returnType{Type: Void}
+
+\spadcommand{k : (Integer, Integer, Integer) -> List Integer}
+\returnType{Type: Void}
+
+Now the actual function definitions might be:
+\spadcommand{f() == [\ ]}
+\returnType{Type: Void}
+
+\spadcommand{g(a) == [a]}
+\returnType{Type: Void}
+
+\spadcommand{h(a,b) == [a,b]}
+\returnType{Type: Void}
+
+\spadcommand{k(a,b,c) == [a,b,c]}
+\returnType{Type: Void}
+
+with some invocations of these functions:
+\spadcommand{f()}
+\begin{verbatim}
+   Compiling function f with type () -> List Integer 
+\end{verbatim}
+$$
+\left[\ 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{g(4)}
+\begin{verbatim}
+   Compiling function g with type Integer -> List Integer 
+\end{verbatim}
+$$
+\left[
+4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{h(2,9)}
+\begin{verbatim}
+   Compiling function h with type (Integer,Integer) -> List Integer 
+\end{verbatim}
+$$
+\left[
+2,  9 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\spadcommand{k(-3,42,100)}
+\begin{verbatim}
+   Compiling function k with type (Integer,Integer,Integer) -> List 
+      Integer 
+\end{verbatim}
+$$
+\left[
+-3,  {42},  {100} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+The value returned by a function is either the value of the last expression
+evaluated or the result of a {\bf return} statement. For example, the
+following are effectively the same:
+\spadcommand{p : Integer -> Integer}
+\returnType{Type: Void}
+
+\spadcommand{p x == (a:=1; b:=2; a+b+x)}
+\returnType{Type: Void}
+
+\spadcommand{p x == (a:=1; b:=2; return(a+b+x))}
+\returnType{Type: Void}
+
+Note that a block (pile) is assigned to the function identifier {\bf p} and
+thus all the rules about blocks apply to function definitions. Also there was
+only one argument so the parenthese are not needed.
+
+This is basically all that one needs to know about defining functions in 
+Axiom -- first specify the complete type and then assign a block to the
+function name. The rest of this section is concerned with defining more 
+complex blocks than those in this section and as a result function definitions
+will crop up continually particularly since they are a good way of testing
+examples. Since the block structure is more complex we will use the {\bf pile}
+notation and thus have to use input files to read the piles.
+
+\subsection{Choices}
+\label{sec:Choices}
+\index{Choices}
+\index{$=>$ block exit}
+\index{if-then-else}
+\index{pile}
+Apart from the ``{\tt =>}'' operator that allows a block to exit before the end
+Axiom provides the standard {\bf if-then-else} construct. The general
+syntax is:
+{\center{if {\sl BooleanExpr} then {\sl Expr1} else {\sl Expr2}}}
+
+where ``else {\sl Expr2}'' can be omitted. If the expression {\sl BooleanExpr}
+evaluates to {\tt true} then {\sl Expr1} is executed otherwise {\sl Expr2}
+(if present) will be executed. An example of piles and {\bf if-then-else} is:
+(read from an input file)
+\begin{verbatim}
+h := 2.0
+if h > 3.1 then
+      1.0
+   else
+      z:= cos(h)
+      max(x,0.5)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+h := 2.0
+\end{verbatim}
+$$
+2.0
+$$
+\returnType{Type: Float}
+
+\begin{verbatim}
+if h > 3.1 then
+      1.0
+   else
+      z:= cos(h)
+      max(x,0.5)
+\end{verbatim}
+$$
+x
+$$
+\returnType{Type: Polynomial Float}
+
+Note the indentation -- the ``else'' must be indented relative to the ``if''
+otherwise it will generate an error (Axiom will think there are two piles,
+the second one beginning with ``else'').
+
+Any expression that has type {\tt Boolean} can be used as {\tt BooleanExpr}
+and the most common will be those involving the relational operators ``$>$'',
+``$<$'', and ``=''. Usually the type of an expression involving the equality
+operator ``='' will be {\bf Boolean} but in those situations when it isn't
+you may need to use the ``@'' operator to ensure that it is.
+
+\subsection{Loops}
+\label{sec:Loops}
+\index{Loops}
+Loops in Axiom are regarded as expressions containing another expression 
+called the {\sl loop body}. The loop body is executed zero or more times
+depending on the kind of loop. Loops can be nested to any depth.
+
+\index{Loops repeat}
+\index{repeat Loops}
+\subsubsection{The {\tt repeat} loop}
+The simplest kind of loop provided by Axiom is the {\bf repeat} loop. The 
+general syntax of this is:
+{\center{{\bf repeat} {\sl loopBody}}}
+
+\index{break}
+\index{return}
+This will cause Axiom to execute {\sl loopBody} repeatedly until either a
+{\bf break} or {\bf return} statement is encountered. If {\sl loopBody}
+contains neither of these statements then it will loop forever. The 
+following piece of code will display the numbers from $1$ to $4$:
+\begin{verbatim}
+i:=1
+repeat
+  if i > 4 then break
+  output(i)
+  i:=i+1
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+i:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+repeat
+  if i > 4 then break
+  output(i)
+  i:=i+1
+ 
+   1
+   2
+   3
+   4
+\end{verbatim}
+\returnType{Type: Void}
+
+\index{break}
+\index{return}
+\index{$=>$ block exit}
+It was mentioned that loops will only be left when either a {\bf break} or
+{\bf return} statement is encountered so why can't one use the ``{\tt =>}'' 
+operator? The reason is that the ``{\tt =>}'' operator tells Axiom to leave the
+current block whereas {\bf break} leaves the current loop. The {\bf return}
+statement leaves the current function.
+
+\index{iterate}
+To skip the rest of a loop body and continue the next iteration of the loop
+use the {\bf iterate} statement (the -- starts a comment in Axiom)
+\begin{verbatim}
+i := 0
+repeat
+  i := i + 1
+  if i > 6 then break
+  -- Return to start if i is odd
+  if odd?(i) then iterate
+  output(i)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+i := 0
+\end{verbatim}
+$$
+0
+$$
+\returnType{Type: NonNegativeInteger}
+
+\begin{verbatim}
+repeat
+  i := i + 1
+  if i > 6 then break
+  -- Return to start if i is odd
+  if odd?(i) then iterate
+  output(i)
+ 
+   2
+   4
+   6
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsubsection{The {\tt while} loop}
+\label{sec:The while loop}
+\index{while}
+\index{repeat}
+\index{break}
+\index{$=>$ block exit}
+The while statement extends the basic {\bf repeat} loop to place the control
+of leaving the loop at the start rather than have it buried in the middle.
+Since the body of the loop is still part of a {\bf repeat} loop, {\bf break}
+and ``{\tt =>}'' work in the same way as in the previous section. The general
+syntax of a {\bf while} loop is:
+{\center{while {\sl BoolExpr} repeat {\sl loopBody}}}
+
+As before, {\sl BoolExpr} must be an expression of type {\bf Boolean}. Before
+the body of the loop is executed {\sl BoolExpr} is tested. If it evaluates to
+{\tt true} then the loop body is entered otherwise the loop is terminated.
+Multiple conditions can be applied using the logical operators such as 
+{\bf and} or by using several {\bf while} statements before the {\bf repeat}.
+
+By using {\tt and} in the test we get
+\begin{verbatim}
+x:=1
+y:=1
+while x < 4 and y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+x:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+\begin{verbatim}
+y:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while x < 4 and y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+ 
+   [1,1]
+   [2,3]
+   [3,5]
+\end{verbatim}
+\returnType{Type: Void}
+
+We could use two parallel whiles
+\begin{verbatim}
+x:=1
+y:=1
+while x < 4 while y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+x:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+y:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while x < 4 while y < 10 repeat
+  output [x,y]
+  x := x + 1
+  y := y + 2
+ 
+   [1,1]
+   [2,3]
+   [3,5]
+\end{verbatim}
+\returnType{Type: Void}
+
+Note that the last example using two {\bf while} statements is {\sl not} a
+nested loop but the following one is:
+\begin{verbatim}
+x:=1
+y:=1
+while x < 4 repeat
+  while y < 10 repeat
+    output [x,y]
+    x := x + 1
+    y := y + 2
+\end{verbatim}
+the {\bf )read} yields:
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+y:=1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while x < 4 repeat
+  while y < 10 repeat
+    output [x,y]
+    x := x + 1
+    y := y + 2
+ 
+   [1,1]
+   [2,3]
+   [3,5]
+   [4,7]
+   [5,9]
+\end{verbatim}
+\returnType{Type: Void}
+
+Suppose that, given a matrix of arbitrary size, we find the position and
+value of the first negative element by examining the matrix in row-major 
+order:
+\begin{verbatim}
+m := matrix [ [ 21, 37, 53, 14 ],_
+              [  8, 22,-24, 16 ],_
+              [  2, 10, 15, 14 ],_
+              [ 26, 33, 55,-13 ] ]
+
+lastrow := nrows(m)
+lastcol := ncols(m)
+r := 1
+while r <= lastrow repeat
+  c := 1 -- Index of first column
+  while c <= lastcol repeat
+    if elt(m,r,c) < 0 then
+      output [r,c,elt(m,r,c)]
+      r := lastrow
+      break -- Don't look any further
+    c := c + 1
+  r := r + 1
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+m := matrix [ [ 21, 37, 53, 14 ],_
+              [  8, 22,-24, 16 ],_
+              [  2, 10, 15, 14 ],_
+              [ 26, 33, 55,-13 ] ]
+\end{verbatim} 
+$$
+\left[
+\begin{array}{cccc}
+{21} & {37} & {53} & {14} \\ 
+8 & {22} & -{24} & {16} \\ 
+2 & {10} & {15} & {14} \\ 
+{26} & {33} & {55} & -{13} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+\begin{verbatim}
+lastrow := nrows(m)
+\end{verbatim}
+$$
+4
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+lastcol := ncols(m)
+\end{verbatim}
+$$
+4
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+r := 1
+\end{verbatim}
+$$
+1
+$$
+\returnType{Type: PositiveInteger}
+
+\begin{verbatim}
+while r <= lastrow repeat
+  c := 1 -- Index of first column
+  while c <= lastcol repeat
+    if elt(m,r,c) < 0 then
+      output [r,c,elt(m,r,c)]
+      r := lastrow
+      break -- Don't look any further
+    c := c + 1
+  r := r + 1
+ 
+   [2,3,- 24]
+\end{verbatim}
+\returnType{Type: Void}
+
+\subsubsection{The {\tt for} loop}
+\label{sec:The for loop}
+\index{for}
+\index{for list}
+\index{for segment}
+\index{iterate}
+The last loop statement of interest is the {\bf for} loop. There are two
+ways of creating a {\bf for} loop. The first way uses either a list or
+a segment:
+\begin{center}
+for {\sl var} in {\sl seg} repeat {\sl loopBody}\\
+for {\sl var} in {\sl list} repeat {\sl loopBody}
+\end{center}
+where {\sl var} is an index variable which is iterated over the values in
+{\sl seg} or {\sl list}. The value {\sl seg} is a segment such as $1\ldots10$
+or $1\ldots$ and {\sl list} is a list of some type. For example:
+
+We can {\sl iterate} the block thus:
+\begin{verbatim}
+for i in 1..10 repeat
+  ~prime?(i) => iterate
+  output(i)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for i in 1..10 repeat
+  ~prime?(i) => iterate
+  output(i)
+ 
+   2
+   3
+   5
+   7
+\end{verbatim}
+\returnType{Type: Void}
+
+We can iterate over a list
+\begin{verbatim}
+for w in ["This", "is", "your", "life!"] repeat
+  output(w)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for w in ["This", "is", "your", "life!"] repeat
+  output(w)
+ 
+   This
+   is
+   your
+   life!
+\end{verbatim}
+\returnType{Type: Void}
+
+\index{such that}
+The second form of the {\bf for} loop syntax includes a ``{\bf such that}''
+clause which must be of type {\bf Boolean}:
+\begin{center}
+for {\sl var} | {\sl BoolExpr} in {\sl seg} repeat {\sl loopBody}\\
+for {\sl var} | {\sl BoolExpr} in {\sl list} repeat {\sl loopBody}
+\end{center}
+We can iterate over a segment
+\begin{verbatim}
+for i in 1..10 | prime?(i) repeat
+  output(i)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for i in 1..10 | prime?(i) repeat
+  output(i)
+ 
+   2
+   3
+   5
+   7
+\end{verbatim}
+\returnType{Type: Void}
+
+or over a list
+\begin{verbatim}
+for i in [1,2,3,4,5,6,7,8,9,10] | prime?(i) repeat
+  output(i)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for i in [1,2,3,4,5,6,7,8,9,10] | prime?(i) repeat
+  output(i)
+ 
+   2
+   3
+   5
+   7
+\end{verbatim}
+\returnType{Type: Void}
+
+You can also use a {\bf while} clause:
+\begin{verbatim}
+for i in 1.. while i < 7 repeat
+  if even?(i) then output(i)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for i in 1.. while i < 7 repeat
+  if even?(i) then output(i)
+ 
+   2
+   4
+   6
+\end{verbatim}
+\returnType{Type: Void}
+
+Using the ``{\bf such that}'' clause makes this appear simpler:
+\begin{verbatim}
+for i in 1.. | even?(i) while i < 7 repeat
+  output(i)
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for i in 1.. | even?(i) while i < 7 repeat
+  output(i)
+ 
+   2
+   4
+   6
+\end{verbatim}
+\returnType{Type: Void}
+
+You can use multiple {\bf for} clauses to iterate over several sequences
+in parallel:
+\begin{verbatim}
+for a in 1..4 for b in 5..8 repeat
+  output [a,b]
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for a in 1..4 for b in 5..8 repeat
+  output [a,b]
+ 
+   [1,5]
+   [2,6]
+   [3,7]
+   [4,8]
+\end{verbatim}
+\returnType{Type: Void}
+
+As a general point it should be noted that any symbols referred to in the
+``{\bf such that}'' and {\bf while} clauses must be pre-defined. This 
+either means that the symbols must have been defined in an outer level
+(e.g. in an enclosing loop) or in a {\bf for} clause appearing before the
+``{\bf such that}'' or {\bf while}. For example:
+\begin{verbatim}
+for a in 1..4 repeat
+  for b in 7..9 | prime?(a+b) repeat
+    output [a,b,a+b]
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for a in 1..4 repeat
+  for b in 7..9 | prime?(a+b) repeat
+    output [a,b,a+b]
+ 
+   [2,9,11]
+   [3,8,11]
+   [4,7,11]
+   [4,9,13]
+\end{verbatim}
+\returnType{Type: Void}
+
+\index{for by}
+\index{by for}
+Finally, the {\bf for} statement has a {\bf by} clause to specify the
+step size. This makes it possible to iterate over the segment in
+reverse order:
+\begin{verbatim}
+for a in 1..4 for b in 8..5 by -1 repeat
+  output [a,b]
+\end{verbatim}
+the {\bf )read} yields:
+\begin{verbatim}
+for a in 1..4 for b in 8..5 by -1 repeat
+  output [a,b]
+ 
+   [1,8]
+   [2,7]
+   [3,6]
+   [4,5]
+\end{verbatim}
+\returnType{Type: Void}
+
+Note that without the ``by -1'' the segment 8..5 is empty so there is
+nothing to iterate over and the loop exits immediately.
+
+%\setcounter{chapter}{0} % Chapter 1
+
+\hyphenation{
+multi-set
+Uni-var-iate-Poly-nomial
+Mul-ti-var-iate-Poly-nomial
+Distributed-Mul-ti-var-iate-Poly-nomial
+Homo-gen-eous-Distributed-Mul-ti-var-iate-Poly-nomial
+New-Distributed-Mul-ti-var-iate-Poly-nomial
+General-Distributed-Mul-ti-var-iate-Poly-nomial
+}
+
+
+\section{Numbers}
+\label{sec:Numbers}
+Axiom distinguishes very carefully between different kinds of
+numbers, how they are represented and what their properties are.  Here
+are a sampling of some of these kinds of numbers and some things you
+can do with them.
+
+Integer arithmetic is always exact.
+\spadcommand{11**13 * 13**11 * 17**7 - 19**5 * 23**3}
+$$
+25387751112538918594666224484237298 
+$$
+\returnType{Type: PositiveInteger}
+
+Integers can be represented in factored form.
+\index{factor}
+\spadcommand{factor 643238070748569023720594412551704344145570763243}
+$$
+{{11} \sp {13}} \  {{13} \sp {11}} \  {{17} \sp 7} \  {{19} \sp 5} \  {{23} 
+\sp 3} \  {{29} \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+Results stay factored when you do arithmetic.
+Note that the $12$ is automatically factored for you.
+
+\spadcommand{\% * 12}
+$$
+{2 \sp 2} \  3 \  {{11} \sp {13}} \  {{13} \sp {11}} \  {{17} \sp 7} \  {{19} 
+\sp 5} \  {{23} \sp 3} \  {{29} \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+Integers can also be displayed to bases other than 10.
+This is an integer in base 11.
+
+\index{radix}
+\spadcommand{radix(25937424601,11)}
+$$
+10000000000 
+$$
+\returnType{Type: RadixExpansion 11}
+
+Roman numerals are also available for those special occasions.
+\index{Roman numerals}
+\index{roman}
+\spadcommand{roman(1992)}
+$$
+{\rm MCMXCII }
+$$
+\returnType{Type: RomanNumeral}
+
+Rational number arithmetic is also exact.
+
+\spadcommand{r := 10 + 9/2 + 8/3 + 7/4 + 6/5 + 5/6 + 4/7 + 3/8 + 2/9}
+$$
+{55739} \over {2520} 
+$$
+\returnType{Type: Fraction Integer}
+
+To factor fractions, you have to pmap {\bf factor} onto the numerator
+and denominator.
+
+\index{map}
+\index{factor}
+\spadcommand{map(factor,r)}
+$$
+{{139} \  {401}} \over {{2 \sp 3} \  {3 \sp 2} \  5 \  7} 
+$$
+\returnType{Type: Fraction Factored Integer}
+
+{\tt SingleInteger} refers to machine word-length integers.
+\index{SingleInteger}
+In English, this expression means ``$11$ as a small integer''.
+\spadcommand{11@SingleInteger}
+$$
+11 
+$$
+\returnType{Type: SingleInteger}
+
+Machine double-precision floating-point numbers are also available for
+numeric and graphical applications.
+\index{DoubleFloat}
+\spadcommand{123.21@DoubleFloat}
+$$
+123.21000000000001 
+$$
+\returnType{Type: DoubleFloat}
+
+The normal floating-point type in Axiom, {\tt Float}, is a
+software implementation of floating-point numbers in which the
+exponent and the mantissa may have any number of digits.
+The types {\tt Complex(Float)} and
+{\tt Complex(DoubleFloat)} are the corresponding software
+implementations of complex floating-point numbers.
+
+This is a floating-point approximation to about twenty digits.
+\index{floating point} The ``{\tt ::}'' is used here to change from
+one kind of object (here, a rational number) to another (a
+floating-point number).
+
+\spadcommand{r :: Float}
+$$
+22.1186507936 50793651 
+$$
+\returnType{Type: Float}
+
+Use \spadfunFrom{digits}{Float} to change the number of digits in
+the representation.
+This operation returns the previous value so you can reset it
+later.
+\index{digits}
+\spadcommand{digits(22)}
+$$
+20 
+$$
+\returnType{Type: PositiveInteger}
+
+To $22$ digits of precision, the number
+$e^{\pi {\sqrt {163.0}}}$ appears to be an integer.
+\index{exp}
+\index{\%pi}
+\index{sqrt}
+\spadcommand{exp(\%pi * sqrt 163.0)}
+$$
+26253741 2640768744.0 
+$$
+\returnType{Type: Float}
+
+Increase the precision to forty digits and try again.
+\spadcommand{digits(40);  exp(\%pi * sqrt 163.0)}
+$$
+26253741\ 2640768743.9999999999\ 9925007259\ 76 
+$$
+\returnType{Type: Float}
+
+Here are complex numbers with rational numbers as real and
+\index{complex numbers} imaginary parts.
+\spadcommand{(2/3 + \%i)**3}
+$$
+-{{46} \over {27}}+{{1 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+The standard operations on complex numbers are available.
+\index{conjugate}
+\spadcommand{conjugate \% }
+$$
+-{{46} \over {27}} -{{1 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+You can factor complex integers.
+\index{factor}
+\spadcommand{factor(89 - 23 * \%i)}
+$$
+-{{\left( 1+i 
+\right)}
+\  {{\left( 2+i 
+\right)}
+\sp 2} \  {{\left( 3+{2 \  i} 
+\right)}
+\sp 2}} 
+$$
+\returnType{Type: Factored Complex Integer}
+
+Complex numbers with floating point parts are also available.
+\index{exp}
+\spadcommand{exp(\%pi/4.0 * \%i)}
+$$
+{0.7071067811\ 8654752440\ 0844362104\ 8490392849} + 
+$$
+$$
+{{0.7071067811\ 8654752440\ 0844362104\ 8490392848} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+The real and imaginary parts can be symbolic.
+\index{complex}
+\spadcommand{complex(u,v)}
+$$
+u+{v \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+Of course, you can do complex arithmetic with these also.
+\spadcommand{\% ** 2}
+$$
+-{v \sp 2}+{u \sp 2}+{2 \  u \  v \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+Every rational number has an exact representation as a
+repeating decimal expansion
+\index{decimal}
+\spadcommand{decimal(1/352)}
+$$
+0.{00284}{\overline {09}} 
+$$
+\returnType{Type: DecimalExpansion}
+
+A rational number can also be expressed as a continued fraction.
+
+\index{continuedFraction}
+\spadcommand{continuedFraction(6543/210)}
+$$
+{31}+ \zag{1}{6}+ \zag{1}{2}+ \zag{1}{1}+ \zag{1}{3} 
+$$
+\returnType{Type: ContinuedFraction Integer}
+
+Also, partial fractions can be used and can be displayed in a
+compact format
+\index{partialFraction}
+\index{fraction!partial}
+\spadcommand{partialFraction(1,factorial(10))}
+$$
+{{159} \over {2 \sp 8}} -{{23} \over {3 \sp 4}} -{{12} \over {5 \sp 2}}+{1 
+\over 7} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+or expanded format.
+\index{padicFraction}
+\spadcommand{padicFraction(\%)}
+$$
+{1 \over 2}+{1 \over {2 \sp 4}}+{1 \over {2 \sp 5}}+{1 \over {2 \sp 6}}+{1 
+\over {2 \sp 7}}+{1 \over {2 \sp 8}} -{2 \over {3 \sp 2}} -{1 \over {3 \sp 
+3}} -{2 \over {3 \sp 4}} -{2 \over 5} -{2 \over {5 \sp 2}}+{1 \over 7} 
+$$
+\returnType{Type: PartialFraction Integer}
+
+Like integers, bases (radices) other than ten can be used for rational
+numbers.
+Here we use base eight.
+\index{radix}
+\spadcommand{radix(4/7, 8)}
+$$
+0.{\overline 4} 
+$$
+\returnType{Type: RadixExpansion 8}
+
+Of course, there are complex versions of these as well.
+Axiom decides to make the result a complex rational number.
+\spadcommand{\% + 2/3*\%i}
+$$
+{4 \over 7}+{{2 \over 3} \  i} 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+You can also use Axiom to manipulate fractional powers.
+\index{radical}
+\spadcommand{(5 + sqrt 63 + sqrt 847)**(1/3)}
+$$
+\root {3} \of {{{{14} \  {\sqrt {7}}}+5}} 
+$$
+\returnType{Type: AlgebraicNumber}
+
+You can also compute with integers modulo a prime.
+\index{PrimeField}
+\spadcommand{x : PrimeField 7 := 5}
+$$
+5 
+$$
+\returnType{Type: PrimeField 7}
+
+Arithmetic is then done modulo $7$.
+\spadcommand{x**3}
+$$
+6 
+$$
+\returnType{Type: PrimeField 7}
+
+Since $7$ is prime, you can invert nonzero values.
+\spadcommand{1/x}
+$$
+3 
+$$
+\returnType{Type: PrimeField 7}
+
+You can also compute modulo an integer that is not a prime.
+\index{IntegerMod}
+\spadcommand{y : IntegerMod 6 := 5}
+$$
+5 
+$$
+\returnType{Type: IntegerMod 6}
+
+All of the usual arithmetic operations are available.
+\spadcommand{y**3}
+$$
+5 
+$$
+\returnType{Type: IntegerMod 6}
+
+Inversion is not available if the modulus is not a prime number.
+
+\spadcommand{1/y}
+\begin{verbatim}
+   There are 12 exposed and 13 unexposed library operations named / 
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                                )display op /
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named / 
+      with argument type(s) 
+                               PositiveInteger
+                                IntegerMod 6
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+\end{verbatim}
+
+This defines $a$ to be an algebraic number, that is,
+a root of a polynomial equation.
+\index{rootOf}
+\spadcommand{a := rootOf(a**5 + a**3 + a**2 + 3,a)}
+$$
+a 
+$$
+\returnType{Type: Expression Integer}
+
+Computations with $a$ are reduced according to the polynomial equation.
+\spadcommand{(a + 1)**10}
+$$
+-{{85} \  {a \sp 4}} -{{264} \  {a \sp 3}} -{{378} \  {a \sp 2}} -{{458} \  
+a} -{287} 
+$$
+\returnType{Type: Expression Integer}
+
+Define $b$ to be an algebraic number involving $a$.
+\spadcommand{b := rootOf(b**4 + a,b)}
+$$
+b 
+$$
+\returnType{Type: Expression Integer}
+
+Do some arithmetic.
+\spadcommand{2/(b - 1)}
+$$
+2 \over {b -1} 
+$$
+\returnType{Type: Expression Integer}
+
+To expand and simplify this, call {\it ratDenom}
+to rationalize the denominator.
+\index{ratDenom}
+\spadcommand{ratDenom(\%)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^3}}+{{\left({a^
+4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^2}}+ 
+\\
+\\
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\  b}+{a^4}-{a^
+3}+{2 \ {a^2}}- a + 1 
+\end{array}
+$$
+
+\returnType{Type: Expression Integer}
+
+If we do this, we should get $b$.
+\spadcommand{2/\%+1}
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^3}}+{{\left({a^
+4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^2}}+ 
+\\
+\\
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\  b}+{a^4}-{a^
+3}+{2 \ {a^2}}- a + 3 
+\end{array}
+\right)}\over{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^3}}+{{\left({a^
+4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\ {b^2}}+ 
+\\
+\\
+\displaystyle
+{{\left({a^4}-{a^3}+{2 \ {a^2}}- a + 1 \right)}\  b}+{a^4}-{a^
+3}+{2 \ {a^2}}- a + 1 
+\end{array}
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+But we need to rationalize the denominator again.
+
+\spadcommand{ratDenom(\%)}
+$$
+b 
+$$
+\returnType{Type: Expression Integer}
+
+Types {\tt Quaternion} and {\tt Octonion} are also available.
+Multiplication of quaternions is non-commutative, as expected.
+\index{Quaternion}
+\index{Octonion}
+\index{quatern}
+\spadcommand{q:=quatern(1,2,3,4)*quatern(5,6,7,8) - quatern(5,6,7,8)*quatern(1,2,3,4)}
+$$
+-{8 \  i}+{{16} \  j} -{8 \  k} 
+$$
+\returnType{Type: Quaternion Integer}
+
+\section{Data Structures}
+\label{sec:Data Structures}
+Axiom has a large variety of data structures available.  Many
+data structures are particularly useful for interactive computation
+and others are useful for building applications.  The data structures
+of Axiom are organized into {\sl category hierarchies}.
+
+A {\it list} is the most commonly used data structure in
+Axiom for holding objects all of the same type. The name {\it list} is
+short for ``linked-list of nodes.'' Each node consists of a value
+(\spadfunFrom{first}{List}) and a link (\spadfunFrom{rest}{List}) that
+points to the next node, or to a distinguished value denoting the
+empty list.  To get to, say, the third element, Axiom starts at the
+front of the list, then traverses across two links to the third node.
+
+Write a list of elements using square brackets with commas separating
+the elements.
+\spadcommand{u := [1,-7,11]}
+$$
+\left[
+1,  -7,  {11} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+This is the value at the third node.  Alternatively, you can say $u.3$.
+\index{first}
+\index{rest}
+\spadcommand{first rest rest u}
+$$
+11 
+$$
+\returnType{Type: PositiveInteger}
+
+Many operations are defined on lists, such as: {\bf empty?}, to test
+that a list has no elements; {\bf cons}$(x,l)$, to create a new list
+with {\bf first} element $x$ and {\bf rest} $l$; {\bf reverse}, to
+create a new list with elements in reverse order; and {\bf sort}, to
+arrange elements in order.
+
+An important point about lists is that they are ``mutable'': their
+constituent elements and links can be changed ``in place.''
+To do this, use any of the operations whose names end with the
+character ``{\tt !}''.
+
+The operation \spadfunFrom{concat!}{List}$(u,v)$ replaces the
+last link of the list $u$ to point to some other list $v$.
+Since $u$ refers to the original list, this change is seen by $u$.
+\index{concat\!}
+\spadcommand{concat!(u,[9,1,3,-4]); u}
+$$
+\left[
+1,  -7,  {11},  9,  1,  3,  -4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+A {\it cyclic list} is a list with a ``cycle'': \index{list!cyclic} a
+link pointing back to an earlier node of the list.  \index{cyclic
+list} To create a cycle, first get a node somewhere down the list.
+\spadcommand{lastnode := rest(u,3)}
+$$
+\left[
+9,  1,  3,  -4 
+\right]
+$$
+\returnType{Type: List Integer}
+
+Use \spadfunFrom{setrest!}{List} to change the link emanating from
+that node to point back to an earlier part of the list.
+
+\index{setrest\!}
+\spadcommand{setrest!(lastnode,rest(u,2)); u}
+$$
+\left[
+1,  -7,  {\overline {{11},  9}} 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\index{stream}
+A {\it stream} is a structure that (potentially) has an infinite
+number of distinct elements. Think of a stream as an
+``infinite list'' where elements are computed successively.
+
+Create an infinite stream of factored integers.  Only a certain number
+of initial elements are computed and displayed.
+
+\index{factor}
+\spadcommand{[factor(i) for i in 2.. by 2]}
+$$
+\left[
+2,  {2 \sp 2},  {2 \  3},  {2 \sp 3},  {2 \  5},  {{2 \sp 2} \  3}, 
+ {2 \  7},  {2 \sp 4},  {2 \  {3 \sp 2}},  {{2 \sp 2} \  5},  
+\ldots 
+\right]
+$$
+\returnType{Type: Stream Factored Integer}
+
+Axiom represents streams by a collection of already-computed
+elements together with a function to compute the next element ``on
+demand.''  Asking for the $n$-th element causes elements
+$1$ through $n$ to be evaluated.
+\spadcommand{\%.36}
+$$
+{2 \sp 3} \  {3 \sp 2} 
+$$
+\returnType{Type: Factored Integer}
+
+Streams can also be finite or cyclic.
+They are implemented by a linked list structure similar to lists
+and have many of the same operations.
+For example, {\bf first} and {\bf rest} are used to access
+elements and successive nodes of a stream.
+
+A {\it one-dimensional array} is another data structure used to hold
+objects of the same type. 
+Unlike lists, one-dimensional arrays are inflexible---they are
+\index{array!one-dimensional} implemented using a fixed block of
+storage.  Their advantage is that they give quick and equal access
+time to any element.
+
+A simple way to create a one-dimensional array is to apply the
+operation {\bf oneDimensionalArray} to a list of elements.
+\index{oneDimensionalArray}
+\spadcommand{a := oneDimensionalArray [1, -7, 3, 3/2]}
+$$
+\left[
+1,  -7,  3,  {3 \over 2} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Fraction Integer}
+
+One-dimensional arrays are also mutable: you can change their
+constituent elements ``in place.''
+\spadcommand{a.3 := 11; a}
+$$
+\left[
+1,  -7,  {11},  {3 \over 2} 
+\right]
+$$
+\returnType{Type: OneDimensionalArray Fraction Integer}
+
+However, one-dimensional arrays are not flexible structures.
+You cannot destructively {\bf concat!} them together.
+\spadcommand{concat!(a,oneDimensionalArray [1,-2])}
+\begin{verbatim}
+   There are 5 exposed and 0 unexposed library operations named concat!
+      having 2 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                             )display op concat!
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named 
+      concat! with argument type(s) 
+                    OneDimensionalArray Fraction Integer
+                         OneDimensionalArray Integer
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+\end{verbatim}
+
+Examples of datatypes similar to {\tt OneDimensionalArray}
+are: {\tt Vector}\index{Vector}
+(vectors are mathematical structures
+implemented by one-dimensional arrays), 
+{\tt String}\index{String}
+(arrays of ``characters,'' represented by byte vectors), and
+{\tt Bits}\index{Bits}
+(represented by ``bit vectors'').
+
+A vector of 32 bits, each representing the {\bf Boolean} value
+${\tt true}$.
+\index{bits}
+\spadcommand{bits(32,true)}
+$$
+\mbox{\tt "11111111111111111111111111111111"} 
+$$
+\returnType{Type: Bits}
+
+A {\it flexible array} is
+a cross between a list \index{array!flexible} and a one-dimensional
+array. Like a one-dimensional array, a flexible array occupies a fixed
+block of storage.  Its block of storage, however, has room to expand.
+When it gets full, it grows (a new, larger block of storage is
+allocated); when it has too much room, it contracts.
+
+Create a flexible array of three elements.
+\index{flexibleArray}
+\spadcommand{f := flexibleArray [2, 7, -5]}
+$$
+\left[
+2,  7,  -5 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+Insert some elements between the second and third elements.
+\index{insert\!}
+\spadcommand{insert!(flexibleArray [11, -3],f,2)}
+$$
+\left[
+2,  {11},  -3,  7,  -5 
+\right]
+$$
+\returnType{Type: FlexibleArray Integer}
+
+\index{heap}
+\index{priority queue}
+Flexible arrays are used to implement ``heaps.'' A {\it heap} is an
+example of a data structure called a {\it priority queue}, where
+elements are ordered with respect to one another. A heap
+is organized so as to optimize insertion
+and extraction of maximum elements.  The {\bf extract!} operation
+returns the maximum element of the heap, after destructively removing
+that element and reorganizing the heap so that the next maximum
+element is ready to be delivered.
+
+An easy way to create a heap is to apply the operation {\it heap}
+to a list of values.
+\index{heap}
+\spadcommand{h := heap [-4,7,11,3,4,-7]}
+$$
+\left[
+{11},  4,  7,  -4,  3,  -7 
+\right]
+$$
+\returnType{Type: Heap Integer}
+
+This loop extracts elements one-at-a-time from $h$ until the heap
+is exhausted, returning the elements as a list in the order they were
+extracted.
+\index{extract\!}
+\index{empty?}
+\spadcommand{[extract!(h) while not empty?(h)]}
+$$
+\left[
+{11},  7,  4,  3,  -4,  -7 
+\right]
+$$
+\returnType{Type: List Integer}
+
+A {\it binary tree} is a ``tree'' with at most two branches
+\index{tree} per node: it is either empty, or else is a node
+consisting of a value, and a left and right subtree (again, binary
+trees). Examples of binary tree types are 
+{\tt BinarySearchTree},\index{BinarySearchTree}
+{\tt PendantTree}, \index{PendantTree}
+{\tt TournamentTree}, \index{TournamentTree} and 
+{\tt BalancedBinaryTree}.\index{BalancedBinaryTree}
+
+\index{binary search tree}
+A {\it binary search tree} is a binary tree such that,
+\index{tree!binary search} for each node, the value of the node is
+\index{binary search tree} greater than all values (if any) in the
+left subtree, and less than or equal all values (if any) in the right
+subtree.
+\index{binarySearchTree}
+\spadcommand{binarySearchTree [5,3,2,9,4,7,11]}
+$$
+\left[
+{\left[ 2,  3,  4 
+\right]},
+ 5,  {\left[ 7,  9,  {11} 
+\right]}
+\right]
+$$
+\returnType{Type: BinarySearchTree PositiveInteger}
+
+\index{balanced binary tree}
+A {\it balanced binary tree} is useful for doing modular computations.
+\index{balanced binary tree} Given a list $lm$ of moduli,
+\index{tree!balanced binary} {\bf modTree}$(a,lm)$ produces
+a balanced binary tree with the values $a \bmod m$ at its leaves.
+\index{modTree}
+\spadcommand{modTree(8,[2,3,5,7])}
+$$
+\left[
+0,  2,  3,  1 
+\right]
+$$
+\returnType{Type: List Integer}
+
+\index{set}
+A {\it set} is a collection of elements where duplication and order is
+irrelevant. Sets are always finite and have no
+corresponding structure like streams for infinite collections.
+
+Create sets using braces ``\{`` and ``\}'' rather than brackets.
+
+\index{set}
+\spadcommand{fs := set[1/3,4/5,-1/3,4/5]}
+$$
+\left\{
+-{1 \over 3},  {1 \over 3},  {4 \over 5} 
+\right\}
+$$
+\returnType{Type: Set Fraction Integer}
+
+\index{multiset}
+A {\it multiset} is a set that keeps track of the number of duplicate
+values. 
+
+For all the primes $p$ between 2 and 1000, find the
+distribution of $p \bmod 5$.
+\index{multiset}
+\index{primes}
+\spadcommand{multiset [x rem 5 for x in primes(2,1000)]}
+$$
+\left\{
+0,  {{42} \mbox{\rm : } 3},  {{40} \mbox{\rm : } 1},  {{38} \mbox{\rm : 
+} 4},  {{47} \mbox{\rm : } 2} 
+\right\}
+$$
+\returnType{Type: Multiset Integer}
+
+\index{table}
+A {\it table} is conceptually a set of ``key--value'' pairs and is a
+generalization of a multiset. For examples of tables, see 
+{\tt AssociationList}, \index{AssociationList}
+{\tt HashTable}, \index{HashTable}
+{\tt KeyedAccessFile}, \index{KeyedAccessFile}
+{\tt Library}, \index{Library}
+{\tt SparseTable}, \index{SparseTable}
+{\tt StringTable}, and \index{StringTable}
+{\tt Table}.  The \index{Table}
+domain 
+{\tt Table(Key, Entry)} provides a general-purpose type for
+tables with {\it values} of type $Entry$ indexed by {\it keys} of type
+$Key$.
+
+Compute the above distribution of primes using tables.  First, let
+$t$ denote an empty table of keys and values, each of type {\tt Integer}.
+\index{Table}
+\spadcommand{t : Table(Integer,Integer) := empty()}
+$$
+{\rm table}() 
+$$
+\returnType{Type: Table(Integer,Integer)}
+
+We define a function {\bf howMany} to return the number of values
+of a given modulus $k$ seen so far.  It calls
+{\bf search}$(k,t)$ which returns the number of values
+stored under the key $k$ in table $t$, or {\tt ``failed''}
+if no such value is yet stored in $t$ under $k$.
+
+\index{howMany}
+\index{search}
+In English, this says ``Define $howMany(k)$ as follows.
+First, let $n$ be the value of {\it search}$(k,t)$.
+Then, if $n$ has the value $"failed"$, return the value
+$1$; otherwise return $n + 1$.''
+\spadcommand{howMany(k) == (n:=search(k,t); n case "failed" => 1; n+1)}
+\returnType{Type: Void}
+
+Run through the primes to create the table, then print the table.
+The expression {\tt t.m := howMany(m)} updates the value in table $t$
+stored under key $m$.
+\index{primes}
+\index{rem}
+\spadcommand{for p in primes(2,1000) repeat (m:= p rem 5; t.m:= howMany(m)); t}
+\begin{verbatim}
+   Compiling function howMany with type Integer -> Integer 
+\end{verbatim}
+$$
+{\rm table }
+\left(
+{{2={47}},  {4={38}},  {1={40}},  {3={42}},  {0=1}} 
+\right)
+$$
+\returnType{Type: Table(Integer,Integer)}
+
+\index{record}
+A {\it record} is an example of an inhomogeneous collection of
+objects.A record consists of a
+set of named {\it selectors} that can be used to access its
+components.  \index{Record@{\sf Record}}
+
+Declare that $daniel$ can only be
+assigned a record with two prescribed fields.
+\index{Record}
+\spadcommand{daniel : Record(age : Integer, salary : Float)}
+\returnType{Type: Void}
+
+Give $daniel$ a value, using square brackets to enclose the values of
+the fields.
+\spadcommand{daniel := [28, 32005.12]}
+$$
+\left[
+{age={28}},  {salary={32005.12}} 
+\right]
+$$
+\returnType{Type: Record(age: Integer,salary: Float)}
+
+Give $daniel$ a raise.
+\spadcommand{daniel.salary := 35000; daniel}
+$$
+\left[
+{age={28}},  {salary={35000.0}} 
+\right]
+$$
+\returnType{Type: Record(age: Integer,salary: Float)}
+
+\index{union}
+A {\it union} is a data structure used when objects have multiple
+types.\index{Union@{\sf Union}}
+
+Let $dog$ be either an integer or a string value.
+\index{Union}
+\spadcommand{dog: Union(licenseNumber: Integer, name: String)}
+\returnType{Type: Void}
+
+Give $dog$ a name.
+\spadcommand{dog := "Whisper"}
+$$
+\mbox{\tt "Whisper"} 
+$$
+\returnType{Type: Union(name: String,...)}
+
+All told, there are over forty different data structures in Axiom.
+Using the domain constructors you can add your own data structure or
+extend an existing one.  Choosing the right data structure for your
+application may be the key to obtaining good performance.
+
+\section{Expanding to Higher Dimensions}
+\label{sec:Expanding to Higher Dimensions}
+To get higher dimensional aggregates, you can create one-dimensional
+aggregates with elements that are themselves aggregates, for example,
+lists of lists, one-dimensional arrays of lists of multisets, and so
+on.  For applications requiring two-dimensional homogeneous
+aggregates, you will likely find {\it two-dimensional arrays}
+\index{matrix} and {\it matrices} most useful.
+\index{array!two-dimensional}
+
+The entries in 
+{\tt TwoDimensionalArray} \index{TwoDimensionalArray}
+and {\tt Matrix} \index{Matrix} objects are
+all the same type, except that those for {\tt Matrix} must belong to a
+{\tt Ring}.\index{Ring}  
+You create and access elements in roughly the same way.
+Since matrices have an understood algebraic structure, certain
+algebraic operations are available for matrices but not for arrays.
+Because of this, we limit our discussion here to {\tt Matrix}, that
+can be regarded as an extension of {\tt TwoDimensionalArray}. See {\tt
+TwoDimensionalArray} for more information about arrays.  There are also
+Axiom's linear algebra facilities like, see {\tt Matrix},
+{\tt Permanent}, \index{Permanent}
+{\tt SquareMatrix}, \index{SquareMatrix}
+{\tt Vector}, \index{Vector}
+
+You can create a matrix from a list of lists, \index{matrix!creating}
+where each of the inner lists represents a row of the matrix.
+\index{matrix}
+\spadcommand{m := matrix([ [1,2], [3,4] ])}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+3 & 4 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+The ``collections'' construct is useful for creating matrices whose
+entries are given by formulas.  \index{matrix!Hilbert}
+\spadcommand{matrix([ [1/(i + j - x) for i in 1..4] for j in 1..4])}
+$$
+\left[
+\begin{array}{cccc}
+-{1 \over {x -2}} & -{1 \over {x -3}} & -{1 \over {x -4}} & -{1 \over {x -5}} \\ 
+-{1 \over {x -3}} & -{1 \over {x -4}} & -{1 \over {x -5}} & -{1 \over {x -6}} \\ 
+-{1 \over {x -4}} & -{1 \over {x -5}} & -{1 \over {x -6}} & -{1 \over {x -7}} \\ 
+-{1 \over {x -5}} & -{1 \over {x -6}} & -{1 \over {x -7}} & -{1 \over {x -8}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Polynomial Integer}
+
+Let $vm$ denote the three by three Vandermonde matrix.
+\spadcommand{vm := matrix [ [1,1,1], [x,y,z], [x*x,y*y,z*z] ]}
+$$
+\left[
+\begin{array}{ccc}
+1 & 1 & 1 \\ 
+x & y & z \\ 
+{x \sp 2} & {y \sp 2} & {z \sp 2} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+Use this syntax to extract an entry in the matrix.
+
+\spadcommand{vm(3,3)}
+$$
+z \sp 2 
+$$
+\returnType{Type: Polynomial Integer}
+
+You can also pull out a {\bf row} or a {\bf column}.
+
+\spadcommand{column(vm,2)}
+$$
+\left[
+1,  y,  {y \sp 2} 
+\right]
+$$
+\returnType{Type: Vector Polynomial Integer}
+
+You can do arithmetic.
+
+\spadcommand{vm * vm}
+$$
+\left[
+\begin{array}{ccc}
+{{x \sp 2}+x+1} & {{y \sp 2}+y+1} & {{z \sp 2}+z+1} \\ 
+{{{x \sp 2} \  z}+{x \  y}+x} & {{{y \sp 2} \  z}+{y \sp 2}+x} & {{z \sp 
+3}+{y \  z}+x} \\ 
+{{{x \sp 2} \  {z \sp 2}}+{x \  {y \sp 2}}+{x \sp 2}} & {{{y \sp 2} \  {z \sp 
+2}}+{y \sp 3}+{x \sp 2}} & {{z \sp 4}+{{y \sp 2} \  z}+{x \sp 2}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+You can perform operations such as
+{\bf transpose}, \index{transpose}
+{\bf trace}, and \index{trace}
+{\bf determinant}. \index{determinant}
+\index{factor}
+\spadcommand{factor determinant vm}
+$$
+{\left( y -x 
+\right)}
+\  {\left( z -y 
+\right)}
+\  {\left( z -x 
+\right)}
+$$
+\returnType{Type: Factored Polynomial Integer}
+
+\section{Writing Your Own Functions}
+\label{sec:Writing Your Own Functions}
+Axiom provides you with a very large library of predefined
+operations and objects to compute with.  You can use the Axiom
+library of constructors to create new objects dynamically of quite
+arbitrary complexity.  For example, you can make lists of matrices of
+fractions of polynomials with complex floating point numbers as
+coefficients.  Moreover, the library provides a wealth of operations
+that allow you to create and manipulate these objects.
+
+For many applications, you need to interact with the interpreter and
+write some Axiom programs to tackle your application.
+Axiom allows you to write functions interactively,
+\index{function} thereby effectively extending the system library.
+Here we give a few simple examples.
+
+\index{factorial}
+We begin by looking at several ways that you can define the
+``factorial'' function in Axiom.  The first way is to give a
+\index{function!piece-wise definition} piece-wise definition of the
+function.  \index{piece-wise function definition} This method is best
+for a general recurrence relation since the pieces are gathered
+together and compiled into an efficient iterative function.
+Furthermore, enough previously computed values are automatically saved
+so that a subsequent call to the function can pick up from where it
+left off.
+
+Define the value of {\bf fact} at $0$.
+\spadcommand{fact(0) == 1}
+\returnType{Type: Void}
+
+Define the value of {\bf fact}(n) for general $n$.
+\spadcommand{fact(n) == n*fact(n-1)}
+\returnType{Type: Void}
+
+Ask for the value at $50$.  The resulting function created by
+Axiom computes the value by iteration.
+
+\spadcommand{fact(50)}
+\begin{verbatim}
+   Compiling function fact with type Integer -> Integer 
+   Compiling function fact as a recurrence relation.
+\end{verbatim}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+A second definition uses an {\tt if-then-else} and recursion.
+\spadcommand{fac(n) == if n < 3 then n else n * fac(n - 1)}
+\returnType{Type: Void}
+
+This function is less efficient than the previous version since
+each iteration involves a recursive function call.
+\spadcommand{fac(50)}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+A third version directly uses iteration.
+\spadcommand{fa(n) == (a := 1; for i in 2..n repeat a := a*i; a)}
+\returnType{Type: Void}
+
+This is the least space-consumptive version.
+\spadcommand{fa(50)}
+\begin{verbatim}
+   Compiling function fac with type Integer -> Integer 
+\end{verbatim}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+A final version appears to construct a large list and then reduces over
+it with multiplication.
+\index{reduce}
+\spadcommand{f(n) == reduce(*,[i for i in 2..n])}
+\returnType{Type: Void}
+
+In fact, the resulting computation is optimized into an efficient
+iteration loop equivalent to that of the third version.
+\spadcommand{f(50)}
+\begin{verbatim}
+Compiling function f with type 
+   PositiveInteger -> PositiveInteger 
+\end{verbatim}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+The library version uses an algorithm that is different from the four
+above because it highly optimizes the recurrence relation definition of
+{\bf factorial}.
+
+\index{factorial}
+\spadcommand{factorial(50)}
+$$
+30414093201713378043612608166064768844377641568960512000000000000 
+$$
+\returnType{Type: PositiveInteger}
+
+Remember you are not limited to one-line functions in Axiom.  If you
+place your function definitions in {\bf .input} files
+\index{file!input}, you can have multi-line functions that use
+indentation for grouping.
+
+\index{diagonalMatrix}
+Given $n$ elements, {\bf diagonalMatrix} creates an
+$n$ by $n$ matrix with those elements down the diagonal.
+This function uses a permutation matrix
+\index{permutation matrix}
+that interchanges the $i$th and $j$th rows of a matrix
+by which it is right-multiplied.
+
+This function definition shows a style of definition that can be used
+in {\bf .input} files.  Indentation is used to create {\sl blocks}:
+sequences of expressions that are evaluated in sequence except as
+modified by control statements such as {\tt if-then-else} and {\tt return}.
+
+\begin{verbatim}
+permMat(n, i, j) ==
+  m := diagonalMatrix
+    [(if i = k or j = k then 0 else 1)
+      for k in 1..n]
+  m(i,j) := 1
+  m(j,i) := 1
+  m
+\end{verbatim}
+
+This creates a four by four matrix that interchanges the second and third
+rows.
+\spadcommand{p := permMat(4,2,3)}
+\begin{verbatim}
+   Compiling function permMat with type (PositiveInteger,
+      PositiveInteger,PositiveInteger) -> Matrix Integer 
+\end{verbatim}
+$$
+\left[
+\begin{array}{cccc}
+1 & 0 & 0 & 0 \\ 
+0 & 0 & 1 & 0 \\ 
+0 & 1 & 0 & 0 \\ 
+0 & 0 & 0 & 1 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+Create an example matrix to permute.
+\spadcommand{m := matrix [ [4*i + j for j in 1..4] for i in 0..3]}
+$$
+\left[
+\begin{array}{cccc}
+1 & 2 & 3 & 4 \\ 
+5 & 6 & 7 & 8 \\ 
+9 & {10} & {11} & {12} \\ 
+{13} & {14} & {15} & {16} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+Interchange the second and third rows of m.
+\spadcommand{permMat(4,2,3) * m}
+$$
+\left[
+\begin{array}{cccc}
+1 & 2 & 3 & 4 \\ 
+9 & {10} & {11} & {12} \\ 
+5 & 6 & 7 & 8 \\ 
+{13} & {14} & {15} & {16} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+A function can also be passed as an argument to another function,
+which then applies the function or passes it off to some other
+function that does.  You often have to declare the type of a function
+that has functional arguments.
+
+This declares {\bf t} to be a two-argument function that returns a
+{\tt Float}.  The first argument is a function that takes one
+{\tt Float} argument and returns a {\tt Float}.
+
+\spadcommand{t : (Float -> Float, Float) -> Float}
+\returnType{Type: Void}
+
+This is the definition of {\bf t}.
+
+\spadcommand{t(fun, x) == fun(x)**2 + sin(x)**2}
+\returnType{Type: Void}
+
+We have not defined a {\bf cos} in the workspace. The one from the
+Axiom library will do.
+
+\spadcommand{t(cos, 5.2058)}
+$$
+1.0 
+$$
+\returnType{Type: Float}
+
+Here we define our own (user-defined) function.
+\spadcommand{cosinv(y) == cos(1/y)}
+\returnType{Type: Void}
+
+Pass this function as an argument to {\bf t}.
+\spadcommand{t(cosinv, 5.2058)}
+$$
+1.7392237241\ 8005164925\ 4147684772\ 932520785 
+$$
+\returnType{Type: Float}
+
+Axiom also has pattern matching capabilities for
+\index{simplification}
+simplification
+\index{pattern matching}
+of expressions and for defining new functions by rules.
+For example, suppose that you want to apply regularly a transformation
+that groups together products of radicals:
+$$\sqrt{a}\sqrt{b} \mapsto \sqrt{ab}, \quad
+(\forall a)(\forall b)$$
+Note that such a transformation is not generally correct.
+Axiom never uses it automatically.
+
+Give this rule the name {\bf groupSqrt}.
+\index{groupSqrt}
+\index{rule}
+\spadcommand{groupSqrt := rule(sqrt(a) * sqrt(b) == sqrt(a*b))}
+$$
+{ \%C \  {\sqrt {a}} \  {\sqrt {b}}} \mbox{\rm == } { \%C \  {\sqrt {{a \  
+b}}}} 
+$$
+\returnType{Type: RewriteRule(Integer,Integer,Expression Integer)}
+
+Here is a test expression.
+\spadcommand{a := (sqrt(x) + sqrt(y) + sqrt(z))**4}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left({{\left({4 \  z}+{4 \  y}+{{12}\  x}\right)}\ {\sqrt{y}}}+
+{{\left({4 \  z}+{{12}\  y}+{4 \  x}\right)}\ {\sqrt{x}}}\right)}\ {\sqrt{z}}}+
+ 
+\\
+\\
+\displaystyle
+{{\left({{12}\  z}+{4 \  y}+{4 \  x}\right)}\ {\sqrt{x}}\ {\sqrt{y}}}+
+{z^2}+{{\left({6 \  y}+{6 \  x}\right)}\  z}+{y^2}+{6 \  x \  
+y}+{x^2}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+The rule
+{\bf groupSqrt} successfully simplifies the expression.
+\spadcommand{groupSqrt a}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{{\left({4 \  z}+{4 \  y}+{{12}\  x}\right)}\ {\sqrt{y \  z}}}+
+{{\left({4 \  z}+{{12}\  y}+{4 \  x}\right)}\ {\sqrt{x \  z}}}+
+ 
+\\
+\\
+\displaystyle
+{{\left({{12}\  z}+{4 \  y}+{4 \  x}\right)}\ {\sqrt{x \  y}}}+
+{z^2}+{{\left({6 \  y}+{6 \  x}\right)}\  z}+{y^2}+{6 \  x \  
+y}+{x^2}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+\section{Polynomials}
+\label{sec:Polynomials}
+Polynomials are the commonly used algebraic types in symbolic
+computation.  \index{polynomial} Interactive users of Axiom
+generally only see one type of polynomial they can use: {\tt Polynomial(R)}.
+\index{Polynomial(R)}
+This type represents polynomials in any number of unspecified
+variables over a particular coefficient domain $R$.  This type
+represents its coefficients {\sl sparsely}: only terms with non-zero
+coefficients are represented.
+
+In building applications, many other kinds of polynomial
+representations are useful.  Polynomials may have one variable or
+multiple variables, the variables can be named or unnamed, the
+coefficients can be stored sparsely or densely.  So-called
+``distributed multivariate polynomials'' store polynomials as
+coefficients paired with vectors of exponents.  This type is
+particularly efficient for use in algorithms for solving systems of
+non-linear polynomial equations.
+
+The polynomial constructor most familiar to the interactive user
+is {\tt Polynomial}.
+\spadcommand{(x**2 - x*y**3 +3*y)**2}
+$$
+{{x \sp 2} \  {y \sp 6}} -{6 \  x \  {y \sp 4}} -{2 \  {x \sp 3} \  {y \sp 
+3}}+{9 \  {y \sp 2}}+{6 \  {x \sp 2} \  y}+{x \sp 4} 
+$$
+\returnType{Type: Polynomial Integer}
+
+If you wish to restrict the variables used,
+{\tt UnivariatePolynomial} provides polynomials in one variable.
+\index{UnivariatePolynomial}
+\spadcommand{p: UP(x,INT) := (3*x-1)**2 * (2*x + 8)}
+$$
+{{18} \  {x \sp 3}}+{{60} \  {x \sp 2}} -{{46} \  x}+8 
+$$
+\returnType{Type: UnivariatePolynomial(x,Integer)}
+
+The constructor {\tt MultivariatePolynomial}, which can be abbreviated as 
+MPOLY, provides polynomials in one or more specified variables.
+\index{MultivariatePolynomial}
+\spadcommand{m: MPOLY([x,y],INT) := (x**2-x*y**3+3*y)**2}
+$$
+{x \sp 4} -{2 \  {y \sp 3} \  {x \sp 3}}+{{\left( {y \sp 6}+{6 \  y} 
+\right)}
+\  {x \sp 2}} -{6 \  {y \sp 4} \  x}+{9 \  {y \sp 2}} 
+$$
+\returnType{Type: MultivariatePolynomial([x,y],Integer)}
+
+You can change the way the polynomial appears by modifying the variable
+ordering in the explicit list.
+\spadcommand{m :: MPOLY([y,x],INT)}
+$$
+{{x \sp 2} \  {y \sp 6}} -{6 \  x \  {y \sp 4}} -{2 \  {x \sp 3} \  {y \sp 
+3}}+{9 \  {y \sp 2}}+{6 \  {x \sp 2} \  y}+{x \sp 4} 
+$$
+\returnType{Type: MultivariatePolynomial([y,x],Integer)}
+
+The constructor {\tt DistributedMultivariatePolynomial}, which
+can be abbreviated as DMP, provides
+polynomials in one or more specified variables with the monomials
+ordered lexicographically.
+\index{DistributedMultivariatePolynomial}
+\spadcommand{m :: DMP([y,x],INT)}
+$$
+{{y \sp 6} \  {x \sp 2}} -{6 \  {y \sp 4} \  x} -{2 \  {y \sp 3} \  {x \sp 
+3}}+{9 \  {y \sp 2}}+{6 \  y \  {x \sp 2}}+{x \sp 4} 
+$$
+\returnType{Type: DistributedMultivariatePolynomial([y,x],Integer)}
+
+The constructor \index{HomogeneousDistributedMultivariatePolynomial}
+{\tt HomogeneousDistributedMultivariatePolynomial}, which can be
+abbreviated as HDMP, is similar
+except that the monomials are ordered by total order refined by
+reverse lexicographic order.
+\spadcommand{m :: HDMP([y,x],INT)}
+$$
+{{y \sp 6} \  {x \sp 2}} -{2 \  {y \sp 3} \  {x \sp 3}} -{6 \  {y \sp 4} \  
+x}+{x \sp 4}+{6 \  y \  {x \sp 2}}+{9 \  {y \sp 2}} 
+$$
+\returnType{Type: HomogeneousDistributedMultivariatePolynomial([y,x],Integer)}
+
+More generally, the domain constructor
+{\tt GeneralDistributedMultivariatePolynomial} allows the user to
+provide an arbitrary predicate to define his own term ordering.  These
+last three constructors are typically used in Gr\"{o}bner basis
+\index{Gr\"{o}bner} applications and
+when a flat (that is, non-recursive) display is wanted and the term
+ordering is critical for controlling the computation.
+
+\section{Limits}
+\label{sec:Limits}
+\index{limit}
+Axiom's {\bf limit} function is usually used to evaluate
+limits of quotients where the numerator and denominator \index{limit}
+both tend to zero or both tend to infinity.  To find the limit of an
+expression $f$ as a real variable $x$ tends to a limit
+value $a$, enter {\tt limit(f, x=a)}.  Use
+{\bf complexLimit} if the variable is complex.  
+\index{complexLimit}
+
+You can take limits of functions with parameters.
+\index{limit!of function with parameters}
+\spadcommand{g := csc(a*x) / csch(b*x)}
+$$
+{\csc 
+\left(
+{{a \  x}} 
+\right)}
+\over {\csch 
+\left(
+{{b \  x}} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+As you can see, the limit is expressed in terms of the parameters.
+\spadcommand{limit(g,x=0)}
+$$
+b \over a 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+\index{OrderedCompletion}
+
+A variable may also approach plus or minus infinity:
+\spadcommand{h := (1 + k/x)**x}
+$$
+{{x+k} \over x} \sp x 
+$$
+\returnType{Type: Expression Integer}
+
+\index{\%plusInfinity}
+\index{\%minusInfinity}
+Use {\tt \%plusInfinity} and {\tt \%minusInfinity} to
+denote $\infty$ and $-\infty$.
+\spadcommand{limit(h,x=\%plusInfinity)}
+$$
+e \sp k 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+A function can be defined on both sides of a particular value, but
+may tend to different limits as its variable approaches that value from the
+left and from the right.
+
+\index{limit}
+\index{sqrt}
+\spadcommand{limit(sqrt(y**2)/y,y = 0)}
+$$
+\left[
+{leftHandLimit=-1},  {rightHandLimit=1} 
+\right]
+$$
+\returnType{Type: Union(Record(leftHandLimit: Union(OrderedCompletion Expression Integer,"failed"),rightHandLimit: Union(OrderedCompletion Expression Integer,"failed")),...)}
+
+As $x$ approaches $0$ along the real axis, {\tt exp(-1/x**2)}
+tends to $0$.
+
+\index{limit}
+\index{exp}
+\spadcommand{limit(exp(-1/x**2),x = 0)}
+$$
+0 
+$$
+\returnType{Type: Union(OrderedCompletion Expression Integer,...)}
+
+However, if $x$ is allowed to approach $0$ along any path in the
+complex plane, the limiting value of {\tt exp(-1/x**2)} depends on the
+path taken because the function has an essential singularity at $x=0$.
+This is reflected in the error message returned by the function.
+\index{complexLimit}
+\spadcommand{complexLimit(exp(-1/x**2),x = 0)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+\section{Series}
+\label{sec:Series}
+
+Axiom also provides power series.  \index{series!power} By default,
+Axiom tries to compute and display the first ten elements of a series.
+Use {\tt )set streams calculate} to change the default value to
+something else.  For the purposes of this document, we have used this
+system command to display fewer than ten terms.  
+\index{)set streams calculate}
+
+You can convert a functional expression to a power series by using the
+operation {\bf series}.  In this example, {\tt sin(a*x)} is
+expanded in powers of $(x - 0)$, that is, in powers of $x$.
+
+\index{series}
+\index{sin}
+\index{UnivariatePuiseuxSeries}
+\spadcommand{series(sin(a*x),x = 0)}
+$$
+{a \  x} -{{{a \sp 3} \over 6} \  {x \sp 3}}+{{{a \sp 5} \over {120}} \  {x 
+\sp 5}} -{{{a \sp 7} \over {5040}} \  {x \sp 7}}+{{{a \sp 9} \over {362880}} 
+\  {x \sp 9}} -{{{a \sp {11}} \over {39916800}} \  {x \sp {11}}}+{O 
+\left(
+{{x \sp {12}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+This expression expands {\tt sin(a*x)} in powers of {\tt (x - \%pi/4)}.
+\spadcommand{series(sin(a*x),x = \%pi/4)}
+$$
+{\sin 
+\left({{{a \  \pi} \over 4}}\right)}+
+{a \  {\cos \left({{{a \  \pi} \over 4}} \right)}
+\  {\left( x -{\pi \over 4} \right)}}-
+\hbox{\hskip 2.0cm}
+$$
+$$
+{{{{a \sp 2} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over 2} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 2}} -
+{{{{a \sp 3} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over 6} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 3}} +
+$$
+$$
+{{{{a \sp 4} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over {24}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 4}} +
+{{{{a \sp 5} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over {120}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 5}} -
+$$
+$$
+{{{{a \sp 6} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over {720}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 6}} -
+{{{{a \sp 7} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over {5040}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 7}} +
+$$
+$$
+{{{{a \sp 8} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}\over {40320}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 8}} +
+{{{{a \sp 9} \  {\cos \left({{{a \  \pi} \over 4}} \right)}}\over {362880}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp 9}} -
+$$
+$$
+{{{{a \sp {10}} \  {\sin \left({{{a \  \pi} \over 4}} \right)}}
+\over {3628800}} 
+\  {{\left( x -{\pi \over 4} \right)}\sp {10}}} +
+{O \left({{{\left( x -{\pi \over 4} \right)}\sp {11}}} \right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,pi/4)}
+
+Axiom provides \index{series!Puiseux} {\it Puiseux series:}
+\index{Puiseux series} series with rational number exponents.  The
+first argument to {\bf series} is an in-place function that
+computes the $n$-th coefficient.  (Recall that the
+``{\tt +->}'' is an infix operator meaning ``maps to.'')
+
+\index{factorial}
+\spadcommand{series(n +-> (-1)**((3*n - 4)/6)/factorial(n - 1/3),x=0,4/3..,2)}
+%%NOTE: the paper book shows O(x^4) but Axiom computes O(x^5)
+$$
+{x \sp {4 \over 3}} -{{1 \over 6} \  {x \sp {{10} \over 3}}}+{O 
+\left(
+{{x \sp 5}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+Once you have created a power series, you can perform arithmetic
+operations on that series.  We compute the Taylor expansion of $1/(1-x)$.
+\index{series!Taylor}
+\spadcommand{f := series(1/(1-x),x = 0)}
+$$
+1+x+{x \sp 2}+{x \sp 3}+{x \sp 4}+{x \sp 5}+{x \sp 6}+{x \sp 7}+{x \sp 8}+{x 
+\sp 9}+{x \sp {10}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+Compute the square of the series.
+\spadcommand{f ** 2}
+$$
+1+{2 \  x}+{3 \  {x \sp 2}}+{4 \  {x \sp 3}}+{5 \  {x \sp 4}}+{6 \  {x \sp 
+5}}+{7 \  {x \sp 6}}+{8 \  {x \sp 7}}+{9 \  {x \sp 8}}+{{10} \  {x \sp 
+9}}+{{11} \  {x \sp {10}}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+The usual elementary functions
+({\bf log}, {\bf exp}, trigonometric functions, and so on)
+are defined for power series.
+\spadcommand{f := series(1/(1-x),x = 0)}
+$$
+1+x+{x \sp 2}+{x \sp 3}+{x \sp 4}+{x \sp 5}+{x \sp 6}+{x \sp 7}+{x \sp 8}+{x 
+\sp 9}+{x \sp {10}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\index{log}
+\spadcommand{g := log(f)}
+$$
+\begin{array}{@{}l}
+x+
+{{1 \over 2} \  {x \sp 2}}+
+{{1 \over 3} \  {x \sp 3}}+
+{{1 \over 4} \  {x \sp 4}}+
+{{1 \over 5} \  {x \sp 5}}+
+{{1 \over 6} \  {x \sp 6}}+
+{{1 \over 7} \  {x \sp 7}}+
+\\
+\\
+\displaystyle
+{{1 \over 8} \  {x \sp 8}}+
+{{1 \over 9} \  {x \sp 9}}+
+{{1 \over {10}} \  {x \sp {10}}}+
+{{1 \over {11}} \  {x \sp {11}}}+
+{O \left({{x \sp {12}}} \right)}
+\end{array}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+\index{exp}
+\spadcommand{exp(g)}
+$$
+1+x+{x \sp 2}+{x \sp 3}+{x \sp 4}+{x \sp 5}+{x \sp 6}+{x \sp 7}+{x \sp 8}+{x 
+\sp 9}+{x \sp {10}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariatePuiseuxSeries(Expression Integer,x,0)}
+
+% Warning: currently there are (interpreter) problems with converting
+% rational functions and polynomials to power series.
+
+Here is a way to obtain numerical approximations of
+$e$ from the Taylor series expansion of {\bf exp}(x).
+First create the desired Taylor expansion.
+\index{taylor}
+\spadcommand{f := taylor(exp(x))}
+$$
+1+x+{{1 \over 2} \  {x \sp 2}}+{{1 \over 6} \  {x \sp 3}}+{{1 \over {24}} \  
+{x \sp 4}}+{{1 \over {120}} \  {x \sp 5}}+{{1 \over {720}} \  {x \sp 6}} +
+\hbox{\hskip 1.0cm}
+$$
+$$
+{{1 
+\over {5040}} \  {x \sp 7}} + 
+{{1 \over {40320}} \  {x \sp 8}}+{{1 \over 
+{362880}} \  {x \sp 9}}+{{1 \over {3628800}} \  {x \sp {10}}}+{O 
+\left(
+{{x \sp {11}}} 
+\right)}
+$$
+\returnType{Type: UnivariateTaylorSeries(Expression Integer,x,0)}
+
+Evaluate the series at the value $1.0$.
+% Warning: syntax for evaluating power series may change.
+As you see, you get a sequence of partial sums.
+\index{eval}
+\spadcommand{eval(f,1.0)}
+$$
+\left[
+{1.0},  {2.0},  {2.5},  {2.6666666666 666666667},  \hbox{\hskip 3.0cm}
+\right.
+$$
+$${2.7083333333 333333333},  {2.7166666666 666666667},  \hbox{\hskip 1.0cm}
+$$
+$${2.7180555555 555555556},  {2.7182539682 53968254},  \hbox{\hskip 1.1cm}
+$$
+$$\left.
+{2.7182787698 412698413},  {2.7182815255 731922399},  \ldots 
+\hbox{\hskip 0.4cm}
+\right]
+$$
+\returnType{Type: Stream Expression Float}
+
+\section{Derivatives}
+\label{sec:Derivatives}
+\index{Derivatives}
+Use the Axiom function {\bf D} to differentiate an
+\index{derivative} expression.  \index{differentiation}
+
+To find the derivative of an expression $f$ with respect to a
+variable $x$, enter {\bf D}(f, x).
+
+\index{exp}
+\spadcommand{f := exp exp x}
+$$
+e \sp {e \sp x} 
+$$
+\returnType{Type: Expression Integer}
+
+\index{D Derivatives}
+\spadcommand{D(f, x)}
+$$
+{e \sp x} \  {e \sp {e \sp x}} 
+$$
+\returnType{Type: Expression Integer}
+
+An optional third argument $n$ in {\bf D} asks Axiom for the $n$-th
+derivative of $f$.  This finds the fourth derivative of $f$ with
+respect to $x$.
+
+\spadcommand{D(f, x, 4)}
+$$
+{\left( {{e \sp x} \sp 4}+{6 \  {{e \sp x} \sp 3}}+{7 \  {{e \sp x} \sp 
+2}}+{e \sp x} 
+\right)}
+\  {e \sp {e \sp x}} 
+$$
+\returnType{Type: Expression Integer}
+
+You can also compute partial derivatives by specifying the order of
+\index{differentiation!partial}
+differentiation.
+\index{sin}
+\spadcommand{g := sin(x**2 + y)}
+$$
+\sin 
+\left(
+{{y+{x \sp 2}}} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{D(g, y)}
+$$
+\cos 
+\left(
+{{y+{x \sp 2}}} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{D(g, [y, y, x, x])}
+$$
+{4 \  {x \sp 2} \  {\sin 
+\left(
+{{y+{x \sp 2}}} 
+\right)}}
+-{2 \  {\cos 
+\left(
+{{y+{x \sp 2}}} 
+\right)}}
+$$
+\returnType{Type: Expression Integer}
+
+Axiom can manipulate the derivatives (partial and iterated) of
+\index{differentiation!formal} expressions involving formal operators.
+All the dependencies must be explicit.
+
+This returns $0$ since F (so far) does not explicitly depend on $x$.
+
+\spadcommand{D(F,x)}
+$$
+0 
+$$
+\returnType{Type: Polynomial Integer}
+
+Suppose that we have F a function of $x$, $y$, and $z$,
+where $x$ and $y$ are themselves functions of $z$.
+
+Start by declaring that $F$, $x$, and $y$ are operators.
+\index{operator}
+
+\index{operator function}
+\spadcommand{F := operator 'F; x := operator 'x; y := operator 'y}
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+
+You can use F, $x$, and $y$ in expressions.
+
+\spadcommand{a := F(x z, y z, z**2) + x y(z+1)}
+$$
+{x 
+\left(
+{{y 
+\left(
+{{z+1}} 
+\right)}}
+\right)}+{F
+\left(
+{{x 
+\left(
+{z} 
+\right)},
+ {y 
+\left(
+{z} 
+\right)},
+ {z \sp 2}} 
+\right)}
+$$
+\returnType{Type: Expression Integer}
+
+Differentiate formally with respect to $z$.
+The formal derivatives appearing in $dadz$ are not just formal symbols,
+but do represent the derivatives of $x$, $y$, and F.
+
+\spadcommand{dadz := D(a, z)}
+$$
+\begin{array}{@{}l}
+\displaystyle
+{2 \  z \ {{F_{, 3}}\left({{x \left({z}\right)}, {y \left({z}\right)},
+ {z^2}}\right)}}+{{{y_{\ }^{,}}\left({z}\right)}\ {{F_{, 2}}\left({{x 
+\left({z}\right)}, {y \left({z}\right)}, {z^2}}\right)}}+
+ 
+\\
+\\
+\displaystyle
+{{{x_{\ }^{,}}\left({z}\right)}\ {{F_{, 1}}\left({{x \left({z}\right)},
+ {y \left({z}\right)}, {z^2}}\right)}}+{{{x_{\ }^{,}}\left({y 
+\left({z + 1}\right)}\right)}\ {{y_{\ }^{,}}\left({z + 1}\right)}}
+\end{array}
+$$
+\returnType{Type: Expression Integer}
+
+You can evaluate the above for particular functional values of
+F, $x$, and $y$.  If $x(z)$ is {\bf exp}(z) and $y(z)$ is {\bf log}(z+1), 
+then evaluates {\tt dadz}.
+
+\index{eval}
+\spadcommand{eval(eval(dadz, 'x, z +-> exp z), 'y, z +-> log(z+1))}
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({2 \ {z^2}}+{2 \  z}\right)}\ {{F_{, 3}}\left({{e^z},
+ {\log \left({z + 1}\right)}, {z^2}}\right)}}+
+\\
+\\
+\displaystyle
+{{F_{, 2}}\left({{e^
+z}, {\log \left({z + 1}\right)}, {z^2}}\right)}+ 
+\\
+\\
+\displaystyle
+{{\left(z + 1 \right)}\ {e^z}\ {{F_{, 1}}\left({{e^z}, {\log 
+\left({z + 1}\right)}, {z^2}}\right)}}+ z + 1 
+\end{array}
+\right)}\over{z + 1}
+$$
+\returnType{Type: Expression Integer}
+
+You obtain the same result by first evaluating $a$ and
+then differentiating.
+
+\spadcommand{eval(eval(a, 'x, z +-> exp z), 'y, z +-> log(z+1))}
+$$
+{F 
+\left(
+{{e \sp z},  {\log 
+\left(
+{{z+1}} 
+\right)},
+ {z \sp 2}} 
+\right)}+z+2
+$$
+\returnType{Type: Expression Integer}
+
+\spadcommand{D(\%, z)}
+$$
+{\left(
+\begin{array}{@{}l}
+\displaystyle
+{{\left({2 \ {z^2}}+{2 \  z}\right)}\ {{F_{, 3}}\left({{e^
+z}, {\log \left({z + 1}\right)}, {z^2}}\right)}}+
+\\
+\\
+\displaystyle
+{{F_{, 2}}\left({{e^z}, {\log \left({z + 1}\right)}, {z^2}}\right)}+
+\\
+\\
+\displaystyle
+{{\left(z 
++ 1 \right)}\ {e^z}\ {{F_{, 1}}\left({{e^z}, {\log \left({z 
++ 1}\right)}, {z^2}}\right)}}+ z + 1
+\end{array}
+\right)}
+\over{z + 1}
+$$
+\returnType{Type: Expression Integer}
+
+\section{Integration}
+\label{sec:Integration}
+
+Axiom has extensive library facilities for integration.
+\index{integration}
+
+The first example is the integration of a fraction with denominator
+that factors into a quadratic and a quartic irreducible polynomial.
+The usual partial fraction approach used by most other computer
+algebra systems either fails or introduces expensive unneeded
+algebraic numbers.
+
+We use a factorization-free algorithm.
+\index{integrate}
+\spadcommand{integrate((x**2+2*x+1)/((x+1)**6+1),x)}
+$$
+{\arctan 
+\left(
+{{{x \sp 3}+{3 \  {x \sp 2}}+{3 \  x}+1}} 
+\right)}
+\over 3 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+When real parameters are present, the form of the integral can depend on
+the signs of some expressions.
+
+Rather than query the user or make sign assumptions, Axiom returns
+all possible answers.
+\spadcommand{integrate(1/(x**2 + a),x)}
+$$
+\left[
+{{\log 
+\left(
+{{{{{\left( {x \sp 2} -a 
+\right)}
+\  {\sqrt {-a}}}+{2 \  a \  x}} \over {{x \sp 2}+a}}} 
+\right)}
+\over {2 \  {\sqrt {-a}}}},  {{\arctan 
+\left(
+{{{x \  {\sqrt {a}}} \over a}} 
+\right)}
+\over {\sqrt {a}}} 
+\right]
+$$
+\returnType{Type: Union(List Expression Integer,...)}
+
+The {\bf integrate} operation generally assumes that all
+parameters are real.  The only exception is when the integrand has
+complex valued quantities.
+
+If the parameter is complex instead of real, then the notion of sign
+is undefined and there is a unique answer.  You can request this
+answer by ``prepending'' the word ``complex'' to the command name:
+
+\index{complexIntegrate}
+\spadcommand{complexIntegrate(1/(x**2 + a),x)}
+%%NOTE: the expression in the book is different but they differentiate
+%%to exactly the same answer.
+$$
+{{\log 
+\left(
+{{{{x \  {\sqrt {-a}}}+a} \over {\sqrt {-a}}}} 
+\right)}
+-{\log 
+\left(
+{{{{x \  {\sqrt {-a}}} -a} \over {\sqrt {-a}}}} 
+\right)}}
+\over {2 \  {\sqrt {-a}}} 
+$$
+\returnType{Type: Expression Integer}
+
+The following two examples illustrate the limitations of table-based
+approaches.  The two integrands are very similar, but the answer to
+one of them requires the addition of two new algebraic numbers.
+
+This one is the easy one.
+The next one looks very similar
+but the answer is much more complicated.
+\spadcommand{integrate(x**3 / (a+b*x)**(1/3),x)}
+$$
+{{\left( {{120} \  {b \sp 3} \  {x \sp 3}} -{{135} \  a \  {b \sp 2} \  {x 
+\sp 2}}+{{162} \  {a \sp 2} \  b \  x} -{{243} \  {a \sp 3}} 
+\right)}
+\  {{\root {3} \of {{{b \  x}+a}}} \sp 2}} \over {{440} \  {b \sp 4}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Only an algorithmic approach is guaranteed to find what new constants
+must be added in order to find a solution.
+
+\spadcommand{integrate(1 / (x**3 * (a+b*x)**(1/3)),x)}
+$$
+\left(
+\begin{array}{@{}l}
+-{2 \  {b \sp 2} \  {x \sp 2} \  {\sqrt {3}} \  {\log 
+\left(
+{{{{\root {3} \of {a}} \  {{\root {3} \of {{{b \  x}+a}}} \sp 2}}+{{{\root 
+{3} \of {a}} \sp 2} \  {\root {3} \of {{{b \  x}+a}}}}+a}} 
+\right)}}+
+\\
+\\
+\displaystyle
+{4\  {b \sp 2} \  {x \sp 2} \  {\sqrt {3}} \  {\log 
+\left(
+{{{{{\root {3} \of {a}} \sp 2} \  {\root {3} \of {{{b \  x}+a}}}} -a}} 
+\right)}}+
+\\
+\\
+\displaystyle
+{{12}\  {b \sp 2} \  {x \sp 2} \  {\arctan 
+\left(
+{{{{2 \  {\sqrt {3}} \  {{\root {3} \of {a}} \sp 2} \  {\root {3} \of {{{b \  
+x}+a}}}}+{a \  {\sqrt {3}}}} \over {3 \  a}}} 
+\right)}}+
+\\
+\\
+\displaystyle
+{{\left(
+{{12} \  b \  x} -{9 \  a} 
+\right)}
+\  {\sqrt {3}} \  {\root {3} \of {a}} \  {{\root {3} \of {{{b \  x}+a}}} \sp 
+2}}
+\end{array}
+\right)
+\over {{18} \  {a \sp 2} \  {x \sp 2} \  {\sqrt {3}} \  {\root {3} \of 
+{a}}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Some computer algebra systems use heuristics or table-driven
+approaches to integration.  When these systems cannot determine the
+answer to an integration problem, they reply ``I don't know.''  Axiom
+uses an algorithm which is a {\sl decision procedure} for integration.
+If Axiom returns the original integral that conclusively proves that
+an integral cannot be expressed in terms of elementary functions.
+
+When Axiom returns an integral sign, it has proved that no answer
+exists as an elementary function.
+
+\spadcommand{integrate(log(1 + sqrt(a*x + b)) / x,x)}
+$$
+\int \sp{\displaystyle x} {{{\log 
+\left(
+{{{\sqrt {{b+{ \%Q \  a}}}}+1}} 
+\right)}
+\over \%Q} \  {d \%Q}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Axiom can handle complicated mixed functions much beyond what you
+can find in tables.
+
+Whenever possible, Axiom tries to express the answer using the
+functions present in the integrand.
+
+\index{sinh}
+\index{sqrt}
+\index{cosh}
+\index{integrate}
+\spadcommand{integrate((sinh(1+sqrt(x+b))+2*sqrt(x+b)) / (sqrt(x+b) * (x + cosh(1+sqrt(x + b)))), x)}
+%%NOTE: the book has the same answer with a trailing ``+4'' term.
+%%This term is not generated by Axiom
+$$
+{2 \  {\log 
+\left(
+{{{-{2 \  {\cosh 
+\left(
+{{{\sqrt {{x+b}}}+1}} 
+\right)}}
+-{2 \  x}} \over {{\sinh 
+\left(
+{{{\sqrt {{x+b}}}+1}} 
+\right)}
+-{\cosh 
+\left(
+{{{\sqrt {{x+b}}}+1}} 
+\right)}}}}
+\right)}}
+-{2 \  {\sqrt {{x+b}}}} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+A strong structure-checking algorithm in Axiom finds hidden algebraic
+relationships between functions.
+
+\index{tan}
+\index{atan}
+\spadcommand{integrate(tan(atan(x)/3),x)}
+%%NOTE: the book has a trailing ``+16'' term in the numerator
+%%This is not generated by Axiom
+$$
+\left(
+\begin{array}{@{}l}
+{8 \  {\log 
+\left(
+{{{3 \  {{\tan 
+\left(
+{{{\arctan 
+\left(
+{x} 
+\right)}
+\over 3}} 
+\right)}
+\sp 2}} -1}} 
+\right)}}
+-{3 \  {{\tan 
+\left(
+{{{\arctan 
+\left(
+{x} 
+\right)}
+\over 3}} 
+\right)}
+\sp 2}}+
+\\
+\\
+\displaystyle
+{{18} \  x \  {\tan 
+\left(
+{{{\arctan 
+\left(
+{x} 
+\right)}
+\over 3}} 
+\right)}}
+\end{array}
+\right)
+\over {18} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+The discovery of this algebraic relationship is necessary for correct
+integration of this function.
+Here are the details:
+\begin{enumerate}
+\item
+If $x=\tan t$ and $g=\tan (t/3)$ then the following 
+algebraic relation is true: $${g^3-3xg^2-3g+x=0}$$
+\item
+Integrate $g$ using this algebraic relation; this produces:
+$${{(24g^2 - 8)\log(3g^2 - 1) + (81x^2 + 24)g^2 + 72xg - 27x^2 - 16}
+\over{54g^2 - 18}}$$
+\item
+Rationalize the denominator, producing:
+$${8\log(3g^2-1) - 3g^2 + 18xg + 16} \over {18}$$
+Replace $g$ by the initial definition
+$g = \tan(\arctan(x)/3)$
+to produce the final result.
+\end{enumerate}
+\index{arctan}
+
+This is an example of a mixed function where
+the algebraic layer is over the transcendental one.
+\spadcommand{integrate((x + 1) / (x*(x + log x) ** (3/2)), x)}
+$$
+-{{2 \  {\sqrt {{{\log 
+\left(
+{x} 
+\right)}+x}}}}
+\over {{\log 
+\left(
+{x} 
+\right)}+x}}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+While incomplete for non-elementary functions, Axiom can
+handle some of them.
+\index{exp}
+\index{erf}
+\spadcommand{integrate(exp(-x**2) * erf(x) / (erf(x)**3 - erf(x)**2 - erf(x) + 1),x)}
+$$
+{{{\left( {\erf 
+\left(
+{x} 
+\right)}
+-1 
+\right)}
+\  {\sqrt {\pi}} \  {\log 
+\left(
+{{{{\erf 
+\left(
+{x} 
+\right)}
+-1} \over {{\erf 
+\left(
+{x} 
+\right)}+1}}}
+\right)}}
+-{2 \  {\sqrt {\pi}}}} \over {{8 \  {\erf 
+\left(
+{x} 
+\right)}}
+-8} 
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+\section{Differential Equations}
+\label{sec:Differential Equations}
+The general approach used in integration also carries over to the
+solution of linear differential equations.
+
+Let's solve some differential equations.
+Let $y$ be the unknown function in terms of $x$.
+\index{operator function}
+\spadcommand{y := operator 'y}
+$$
+y 
+$$
+\returnType{Type: BasicOperator}
+\index{BasicOperator}
+
+Here we solve a third order equation with polynomial coefficients.
+\spadcommand{deq := x**3 * D(y x, x, 3) + x**2 * D(y x, x, 2) - 2 * x * D(y x, x) + 2 * y x = 2 * x**4}
+$$
+{{{x \sp 3} \  {{y \sb {{\ }} \sp {,,,}} 
+\left(
+{x} 
+\right)}}+{{x
+\sp 2} \  {{y \sb {{\ }} \sp {,,}} 
+\left(
+{x} 
+\right)}}
+-{2 \  x \  {{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}}+{2
+\  {y 
+\left(
+{x} 
+\right)}}}={2
+\  {x \sp 4}} 
+$$
+\returnType{Type: Equation Expression Integer}
+\index{Equation}
+
+\index{solve}
+\spadcommand{solve(deq, y, x)}
+%%NOTE: the book has a different solution and it appears to be 
+%%less complicated than this one.
+$$
+\begin{array}{@{}l}
+\left[
+{particular={{{x \sp 5} -{{10} \  {x \sp 3}}+{{20} \  {x \sp 2}}+4} \over 
+{{15} \  x}}}, 
+\right.
+\\
+\\
+\displaystyle
+\left.
+{basis={\left[ {{{2 \  {x \sp 3}} -{3 \  {x \sp 2}}+1} 
+\over x},  {{{x \sp 3} -1} \over x},  {{{x \sp 3} -{3 \  {x \sp 2}} -1} 
+\over x} 
+\right]}}
+\right]
+\end{array}
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)}
+
+
+Here we find all the algebraic function solutions of the equation.
+\spadcommand{deq := (x**2 + 1) * D(y x, x, 2) + 3 * x * D(y x, x) + y x = 0}
+$$
+{{{\left( {x \sp 2}+1 
+\right)}
+\  {{y \sb {{\ }} \sp {,,}} 
+\left(
+{x} 
+\right)}}+{3
+\  x \  {{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}}+{y
+\left(
+{x} 
+\right)}}=0
+$$
+\returnType{Type: Equation Expression Integer}
+
+\index{solve}
+\spadcommand{solve(deq, y, x)}
+$$
+\left[
+{particular=0},  
+{basis={\left[ {1 \over {\sqrt {{{x \sp 2}+1}}}},  
+{{\log 
+\left(
+{{{\sqrt {{{x \sp 2}+1}}} -x}} 
+\right)}
+\over {\sqrt {{{x \sp 2}+1}}}} 
+\right]}}
+\right]
+$$
+\returnType{Type: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)}
+
+Coefficients of differential equations can come from arbitrary
+constant fields.  For example, coefficients can contain algebraic
+numbers.
+
+This example has solutions whose logarithmic derivative is an
+algebraic function of degree two.
+
+\spadcommand{eq := 2*x**3 * D(y x,x,2) + 3*x**2 * D(y x,x) - 2 * y x}
+$$
+{2 \  {x \sp 3} \  {{y \sb {{\ }} \sp {,,}} 
+\left(
+{x} 
+\right)}}+{3
+\  {x \sp 2} \  {{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}}
+-{2 \  {y 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: Expression Integer}
+
+\index{solve}
+\spadcommand{solve(eq,y,x).basis}
+$$
+\left[
+{e \sp {\left( -{2 \over {\sqrt {x}}} 
+\right)}},
+ {e \sp {2 \over {\sqrt {x}}}} 
+\right]
+$$
+\returnType{Type: List Expression Integer}
+
+Here's another differential equation to solve.
+\spadcommand{deq := D(y x, x) = y(x) / (x + y(x) * log y x)}
+$$
+{{y \sb {{\ }} \sp {,}} 
+\left(
+{x} 
+\right)}={{y
+\left(
+{x} 
+\right)}
+\over {{{y 
+\left(
+{x} 
+\right)}
+\  {\log 
+\left(
+{{y 
+\left(
+{x} 
+\right)}}
+\right)}}+x}}
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{solve(deq, y, x)}
+$$
+{{{y 
+\left(
+{x} 
+\right)}
+\  {{\log 
+\left(
+{{y 
+\left(
+{x} 
+\right)}}
+\right)}
+\sp 2}} -{2 \  x}} \over {2 \  {y 
+\left(
+{x} 
+\right)}}
+$$
+\returnType{Type: Union(Expression Integer,...)}
+
+Rather than attempting to get a closed form solution of
+a differential equation, you instead might want to find an
+approximate solution in the form of a series.
+
+Let's solve a system of nonlinear first order equations and get a
+solution in power series.  Tell Axiom that $x$ is also an
+operator.
+
+\index{operator function}
+\spadcommand{x := operator 'x}
+$$
+x 
+$$
+\returnType{Type: BasicOperator}
+
+Here are the two equations forming our system.
+\spadcommand{eq1 := D(x(t), t) = 1 + x(t)**2}
+$$
+{{x \sb {{\ }} \sp {,}} 
+\left(
+{t} 
+\right)}={{{x
+\left(
+{t} 
+\right)}
+\sp 2}+1} 
+$$
+\returnType{Type: Equation Expression Integer}
+
+\spadcommand{eq2 := D(y(t), t) = x(t) * y(t)}
+$$
+{{y \sb {{\ }} \sp {,}} 
+\left(
+{t} 
+\right)}={{x
+\left(
+{t} 
+\right)}
+\  {y 
+\left(
+{t} 
+\right)}}
+$$
+\returnType{Type: Equation Expression Integer}
+
+We can solve the system around $t = 0$ with the initial
+conditions $x(0) = 0$ and $y(0) = 1$.  Notice that since
+we give the unknowns in the order $[x, y]$, the answer is a list
+of two series in the order 
+$[{\rm series\ for\ }x(t), {\rm series\ for\ }y(t)]$.
+
+\index{seriesSolve}
+\spadcommand{seriesSolve([eq2, eq1], [x, y], t = 0, [y(0) = 1, x(0) = 0])}
+$$
+\left[
+{\ t+
+{{1 \over 3} \  {t \sp 3}}+
+{{2 \over {15}} \  {t \sp 5}}+
+{{{17} \over {315}} \  {t \sp 7}}+
+{{{62} \over {2835}} \  {t \sp 9}}+
+{O \left({{t \sp {11}}} \right)}},
+\right. 
+\hbox{\hskip 2.0cm}
+$$
+$$
+\hbox{\hskip 0.4cm}
+\left.
+{1+
+{{1 \over 2} \  {t \sp 2}}+
+{{5 \over {24}} \  {t \sp 4}}+
+{{{61} \over {720}} \  {t \sp 6}}+
+{{{277} \over {8064}} \  {t \sp 8}}+
+{{{50521} \over {3628800}} \  {t \sp {10}}}+
+{O \left({{t \sp {11}}}\right)}}
+\right]
+$$
+\returnType{Type: List UnivariateTaylorSeries(Expression Integer,t,0)}
+\index{UnivariateTaylorSeries}
+
+\section{Solution of Equations}
+\label{sec:Solution of Equations}
+Axiom also has state-of-the-art algorithms for the solution of
+systems of polynomial equations.  When the number of equations and
+unknowns is the same, and you have no symbolic coefficients, you can
+use {\bf solve} for real roots and {\bf complexSolve}\index{complexSolve}
+for complex roots.  In each case, you tell Axiom how accurate you
+want your result to be.  All operations in the {\it solve} family
+return answers in the form of a list of solution sets, where each
+solution set is a list of equations.
+
+A system of two equations involving a symbolic parameter $t$.
+\spadcommand{S(t) == [x**2-2*y**2 - t,x*y-y-5*x + 5]}
+\returnType{Type: Void}
+
+Find the real roots of $S(19)$ with
+rational arithmetic, correct to within $1/10^{20}$.
+\spadcommand{solve(S(19),1/10**20)}
+$$
+\left[
+{\left[ {y=5},  {x=-{{2451682632253093442511} \over 
+{295147905179352825856}}} 
+\right]},
+\right.
+$$
+$$
+\left.
+{\left[ {y=5},  {x={{2451682632253093442511} \over 
+{295147905179352825856}}} 
+\right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Fraction Integer}
+
+Find the complex roots of $S(19)$ with floating
+point coefficients to $20$ digits accuracy in the mantissa.
+
+\index{complexSolve}
+\spadcommand{complexSolve(S(19),10.e-20)}
+$$
+\left[
+{\left[ {y={5.0}},  {x={8.3066238629 180748526}} \right]},
+\right.
+$$
+$$
+{\left[ {y={5.0}},  {x=-{8.3066238629 180748526}} \right]},
+$$
+$$
+\left.
+{\left[ {y=-{{3.0} \  i}},  {x={1.0}} \right]},
+{\left[ {y={{3.0} \  i}},  {x={1.0}} \right]}
+\right]
+$$
+\returnType{Type: List List Equation Polynomial Complex Float}
+
+If a system of equations has symbolic coefficients and you want
+a solution in radicals, try {\bf radicalSolve}.
+\index{radicalSolve}
+\spadcommand{radicalSolve(S(a),[x,y])}
+$$
+\left[
+{\left[ {x=-{\sqrt {{a+{50}}}}}, {y=5} \right]},
+{\left[ {x={\sqrt {{a+{50}}}}}, {y=5} \right]},
+\right.
+$$
+$$
+\hbox{\hskip 0.7cm}
+\left.
+{\left[ {x=1}, {y={\sqrt {{{-a+1} \over 2}}}} \right]},
+{\left[ {x=1}, {y=-{\sqrt {{{-a+1} \over 2}}}} \right]}
+\right]
+$$
+\returnType{Type: List List Equation Expression Integer}
+
+For systems of equations with symbolic coefficients, you can apply
+{\bf solve}, listing the variables that you want Axiom to
+solve for.  For polynomial equations, a solution cannot usually be
+expressed solely in terms of the other variables.  Instead, the
+solution is presented as a ``triangular'' system of equations, where
+each polynomial has coefficients involving only the succeeding
+variables. This is analogous to converting a linear system of
+equations to ``triangular form''.
+
+A system of three equations in five variables.
+\spadcommand{eqns := [x**2 - y + z,x**2*z + x**4 - b*y, y**2 *z - a - b*x]}
+$$
+\left[
+{z -y+{x \sp 2}},  {{{x \sp 2} \  z} -{b \  y}+{x \sp 4}},  {{{y \sp 2} \  
+z} -{b \  x} -a} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+Solve the system for unknowns $[x,y,z]$,
+reducing the solution to triangular form.
+\spadcommand{solve(eqns,[x,y,z])}
+$$
+\left[
+{\left[ {x=-{a \over b}},  {y=0},  {z=-{{a \sp 2} \over {b \sp 2}}} 
+\right]},
+\right.
+\hbox{\hskip 10.0cm}
+$$
+$$
+\left.
+\begin{array}{@{}l}
+\left[
+{x={{{z \sp 3}+{2 \  b \  {z \sp 2}}+{{b \sp 2} \  z} -a} \over b}}, 
+{y={z+b}}, 
+\right.
+\hbox{\hskip 10.0cm}
+\\
+\\
+\displaystyle
+{z \sp 6}+{4 \  b \  {z \sp 5}}+
+{6 \  {b \sp 2} \  {z \sp 4}}+
+{{\left( {4 \  {b \sp 3}} -{2 \  a} \right)}\  {z \sp 3}}+
+{{\left( {b \sp 4} -{4 \  a \  b} \right)}\  {z \sp 2}}-
+\hbox{\hskip 4.0cm}
+\\
+\\
+\displaystyle
+\left.
+{2 \  a \  {b \sp 2} \  z} -{b \sp 3}+{a \sp 2}=0
+\right]
+\end{array}
+\right]
+\hbox{\hskip 7.0cm}
+$$
+\returnType{Type: List List Equation Fraction Polynomial Integer}
+
+\chapter{Graphics}
+\label{sec:Graphics}
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=215, bbury=215]{ps/bookvol1c.ps}
+\caption{An Axiom Graphic}
+\end{figure}
+Axiom has a two- and three-dimensional drawing and rendering
+\index{graphics} package that allows you to draw, shade, color,
+rotate, translate, map, clip, scale and combine graphic output of
+Axiom computations.  The graphics interface is capable of
+plotting functions of one or more variables and plotting parametric
+surfaces.  Once the graphics figure appears in a window, move your
+mouse to the window and click.  A control panel appears immediately
+and allows you to interactively transform the object. Refer to the
+original Axiom book\cite{1} and the input files included with Axiom
+for additional examples.
+
+This is an example of Axiom's graphics. From the Control Panel you can
+rescale the plot, turn axes and units on and off and save the image,
+among other things. Axiom is capable of many different kinds of graphs
+in both 2D and 3D settings. Points, lines, planes, wireframe, solids,
+shaded solids, multiple graphs, parametric graphs, tubes, and many
+other kinds of objects can be created and manipulated by the algebra
+and on the control panels.
+
+This is an example of Axiom's three-dimensional plotting.
+It is a graph of the complex arctangent function.
+The image displayed was rotated and had the ``shade'' and ``outline''
+display options set from the 3D Control Panel.
+The PostScript output was produced by clicking on the
+{\bf save} 3D Control Panel button and then
+clicking on the {\bf PS} button.
+
+\spadgraph{draw((x,y) +-> real atan complex(x,y), -\%pi..\%pi, -\%pi..\%pi, colorFunction == (x,y) +-> argument atan complex(x,y))}
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=175, bbury=185]{ps/bookvol1d.ps}
+\caption{$(x,y) \rightarrow real atan complex(x,y), -\pi\ldots\pi, -\pi\ldots\pi$}
+\end{figure}
+
+\subsection{Plotting 2D graphs}
+There are three kinds of 2D graphs of curves defined by
+\begin{enumerate}
+\item a function $y=f(x)$ over a finite interval of $x$
+(page~\pageref{sec:2Dcase1})
+\item parametric equations $x=f(t)$ $y=g(t)$
+(page~\pageref{sec:2Dcase2})
+\item nonsingular solutions in a rectangular region
+(page~\pageref{sec:2Dcase3})
+\end{enumerate}
+
+PostScript
+\index{PostScript} output is available so that Axiom images can be
+printed.\footnote{PostScript is a trademark of Adobe Systems
+Incorporated, registered in the United States.} 
+
+\subsubsection{Plotting 2D graphs of 1 variable}
+\label{sec:2Dcase1}
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a function defined by a formula $f(x)$ is:
+\begin{center}
+{\tt draw(f(x), x = a..b, {\it options})}
+\end{center}
+
+where $a..b$ defines the range of $x$, and where {\it options}
+prescribes zero or more options as described in
+\ref{sec:Two-Dimensional Options} on 
+page~\pageref{sec:Two-Dimensional Options}.  An
+example of an option is $curveColor == bright red().$ An alternative
+format involving functions $f$ and $g$ is also available.\\
+}
+Give the names of the functions and
+drop the variable name specification in the second argument.
+Axiom supplies a default title if one is not given.
+
+\index{sin}
+\index{tan}
+\spadgraph{draw(sin(tan(x)) - tan(sin(x)), x=0..6) }
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=216, bbury=226]{ps/bookvol1e.ps}
+\caption{$sin(tan(x)) - tan(sin(x)), x=0\ldots6$}
+\end{figure}
+
+\subsubsection{Plotting 2D parametric plane curves}
+\label{sec:2Dcase2}
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a two-di\-men\-sion\-al plane curve defined by
+parametric formulas $x = f(t)$ and $y = g(t)$ is:
+\begin{center}
+{\tt draw(curve(f(t), g(t)), t = a..b, {\it options})}
+\end{center}
+
+where $a..b$ defines the range of the independent variable $t$, and
+where {\it options} prescribes zero or more options as described in
+\ref{sec:Three-Dimensional Options} on 
+page~\pageref{sec:Three-Dimensional Options}.  An
+example of an option is $curveColor == bright red().$\\ }
+
+The second kind of two-di\-men\-sion\-al graph are
+\index{parametric plane curve} curves produced by parametric
+equations.  \index{curve!parametric plane} Let $x = f(t)$ and 
+$y = g(t)$ be formulas of two functions $f$ and $g$ as the parameter $t$
+ranges over an interval $[a,b]$.  The function {\bf curve} takes the
+two functions $f$ and $g$ as its parameters.
+
+\spadgraph{draw(curve(sin(t)*sin(2*t)*sin(3*t), sin(4*t)*sin(5*t)*sin(6*t)), t = 0..2*\%pi)}
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=216, bbury=226]{ps/bookvol1f.ps}
+\caption{$curve(sin(t)*sin(2*t)*sin(3*t), sin(4*t)*sin(5*t)*sin(6*t)), t=0..2*\pi$}
+\end{figure}
+
+\subsubsection{Plotting 2D algebraic curves}
+\label{sec:2Dcase3}
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a non-singular solution curve given by
+a polynomial of the form $p(x,y) = 0$ is:
+\begin{center}
+{\tt draw(p(x,y) = 0, x, y, range == [a..b, c..d], {\it options})}
+\end{center}
+
+where the second and third arguments name the first and second
+independent variables of $p$.  A {\tt range} option is always given to
+designate a bounding rectangular region of the plane
+$a \leq x \leq b, c \leq y \leq d$.
+Zero or more additional options as described in
+\ref{sec:Two-Dimensional Options} on 
+page~\pageref{sec:Two-Dimensional Options} may be given.\\
+}
+
+A third kind of two-di\-men\-sion\-al graph is a non-singular
+``solution curve'' \index{curve!plane algebraic} in a rectangular
+region of the plane.  For example:
+
+\spadcommand{p := ((x**2 + y**2 + 1) - 8*x)**2 - (8*(x**2 + y**2 + 1)-4*x-1) }
+$$
+{y \sp 4}+{{\left( {2 \  {x \sp 2}} -{{16} \  x} -6 
+\right)}
+\  {y \sp 2}}+{x \sp 4} -{{16} \  {x \sp 3}}+{{58} \  {x \sp 2}} -{{12} \  x} 
+-6 
+$$
+\returnType{Type: Polynomial Integer}
+\spadgraph{draw(p = 0, x, y, range == [-1..11, -7..7]) }
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=215, bbury=215]{ps/bookvol1g.ps}
+\caption{$p = 0, x, y, range == [-1..11, -7..7]$}
+\end{figure}
+
+A solution curve is a curve defined by a
+polynomial equation $p(x,y) = 0$.  \index{plane algebraic curve}
+Non-singular means that the curve is ``smooth'' in that it does not
+cross itself or come to a point (cusp).  Algebraically, this means
+that for any point $(x,y)$ on the curve, that is, a point such that
+$p(x,y) = 0$, the partial derivatives 
+${{\partial p}\over{\partial x}}(x,y)$ and 
+${{\partial p}\over{\partial y}}(x,y)$ are not both zero.
+\index{curve!smooth} \index{curve!non-singular} \index{smooth curve}
+\index{non-singular curve}
+We require that the polynomial has rational or integral coefficients.
+
+The first argument is always expressed as an equation of the form $p = 0$
+where $p$ is a polynomial.
+
+\subsubsection{Colors}
+\label{sec:colors}
+\index{Colors}
+\index{Palettes}
+The domain {\tt Color} \index{Color} provides operations for
+manipulating \index{graphics!color} colors in two-di\-men\-sion\-al
+graphs.  \index{color} Colors are objects of {\tt Color}.  Each color
+has a {\it hue} and a {\it weight}.  \index{hue} Hues are represented
+by integers that range from $1$ to the
+\spadfunFrom{numberOfHues()}{Color}, normally
+\index{graphics!color!number of hues} $27$.  \index{weight} Weights
+are floats and have the value $1.0$ by default.
+
+\begin{description}
+
+\item[{\bf color}]\funArgs{integer}
+creates a color of hue {\it integer} and weight $1.0$.
+\index{graphics!color!color function}
+\index{color}
+
+\item[{\bf hue}]\funArgs{color}
+returns the hue of {\it color} as an integer.
+\index{graphics!color!hue function}
+\index{hue}
+
+\item[{\bf red}]\funArgs{}
+\funSyntax{blue}{},
+\funSyntax{green}{}, and \funSyntax{yellow}{}
+\index{graphics!color!primary color functions}
+\index{red}
+\index{green}
+\index{blue}
+create colors of that hue with weight $1.0$.
+
+\item[$\hbox{\it color}_{1}$ {\tt +} $\hbox{\it color}_{2}$] returns the
+color that results from additively combining the indicated
+$\hbox{\it color}_{1}$ and $\hbox{\it color}_{2}$.
+Color addition is not commutative: changing the order of the arguments
+produces different results.
+
+\item[{\it integer} {\tt *} {\it color}]
+changes the weight of {\it color} by {\it integer}
+without affecting its hue.
+\index{graphics!color!multiply function}
+For example,
+$red() + 3*yellow()$ produces a color closer to yellow than to red.
+Color multiplication is not associative: changing the order of grouping
+\index{color!multiplication}
+produces different results.
+\end{description}
+
+These functions can be used to change the point and curve colors
+for two- and three-di\-men\-sion\-al graphs.
+Use the {\tt pointColor} option for points.
+
+\subsubsection{Two-Dimensional Options}
+\label{sec:Two-Dimensional Options}
+
+The {\bf draw} commands take an optional list of options, such as {\tt
+title} shown above.  Each option is given by the syntax: 
+{\it name} {\tt ==} {\it value}.  
+Here is a list of the available options in the
+order that they are described below.
+
+\begin{tabular}{ll}
+adaptive    & The {\tt adaptive} option turns adaptive plotting on or off.\\
+\index{adaptive}
+            & Adaptive plotting uses an algorithm that traverses a graph\\
+            &  and computes more points for those parts of the graph \\
+            & with high curvature. The higher the curvature of a region is,\\
+            & the more points the algorithm computes.\\
+            & {\tt adaptive == true} or {\tt adaptive == false}\\
+clip        & The {\tt clip} option turns clipping on or off. If on,\\
+\index{clip}
+            & large values are cut off according to {\bf clipPointsDefault}\\
+            & {\tt clip == true} or {\tt clip == false} or a range\\
+            & {\tt clip == [-2*\%pi..2*\%pi,\%pi..\%pi]}\\
+unit        & The {\tt unit} option sets the intervals to which the axis\\
+\index{unit}
+            & units are plotted according to the indicated steps\\
+            & {\tt unit == [2.0, 1.0]}\\
+curveColor  & The {\tt curveColor} option sets the color of the graph curves\\
+\index{curveColor}
+            & or lines to be the indicated palette and color\\
+            & {\tt curveColor == bright red()} (see pp \pageref{sec:colors}
+ and \pageref{sec:Palette})\\
+range       & The {\tt range} option sets the range of variables in a graph\\
+\index{range}
+            & to be within the ranges for solving plane algebraic curve plots\\
+            & {\tt range=[-2..2,-2..1]}\\
+toScale     & The {\tt toScale} option does plotting to scale if {\tt true}\\
+\index{toScale}
+            & or uses the entire viewport if {\tt false}. The default can\\
+            & be determined using {\bf drawToScale}\\
+            & {\tt toScale == true} or {\tt toScale == false}\\
+pointColor  & The {\tt pointColor} option sets the color of the graph curves\\
+\index{pointColor}
+            & or lines to be the indicated palette and color\\
+           & {\tt pointColor == bright red()} (see page \pageref{sec:colors})\\
+coordinates & The {\tt coordinates} option indicates the coordinate system\\
+\index{coordinates}
+            & in which the graph is plotted. This can be one of:\\
+            & {\bf bipolar}, {\bf bipolarCylindrical}, {\bf cartesian},\\
+            & {\bf conical}, {\bf cylindrical}, {\bf elliptic},\\
+            & {\bf ellipticCylindrical}, {\bf oblateSpheroidal}, \\
+            & {\bf parabolic}, {\bf parabolicCylindrical}, {\bf paraboloidal}\\
+            & {\bf polar}, {\bf prolateSpheroidal}, {\bf spherical}, and\\
+            & {\bf toroidal}\\
+            & {\tt coordinates == polar}
+\end{tabular}
+
+\subsection{Palette}
+\label{sec:Palette}
+\index{graphics!palette}
+
+Domain {\tt Palette} is the domain of shades of colors:
+{\bf dark}, {\bf dim}, {\bf bright}, {\bf pastel}, and {\bf light},
+designated by the integers $1$ through $5$, respectively.
+\index{Palette}
+
+Colors are normally ``bright.''
+
+\spadcommand{shade red()}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+To change the shade of a color, apply the name of a shade to it.
+\index{color!shade}
+\index{shade}
+
+\spadcommand{myFavoriteColor := dark blue() }
+$$
+[{ \mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Dark \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+The expression $shade(color)$
+returns the value of a shade of $color$.
+
+\spadcommand{shade myFavoriteColor }
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+The expression $hue(color)$ returns its hue.
+
+\spadcommand{hue myFavoriteColor }
+$$
+\mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0} 
+$$
+\returnType{Type: Color}
+
+Palettes can be used in specifying colors in two-di\-men\-sion\-al graphs.
+
+\spadgraph{draw(x**2,x=-1..1,curveColor == dark blue())}
+
+% window was 300 x 300
+%\epsffile[0 0 295 295]{ps/23dpal.ps}
+
+
+\subsection{Two-Dimensional Control-Panel}
+\label{sec:Two-Dimensional Control-Panel}
+
+\index{graphics!2D control-panel}
+Once you have created a viewport, move your mouse to the viewport and click
+with your left mouse button to display a control-panel.
+The panel is displayed on the side of the viewport closest to
+where you clicked.  Each of the buttons which toggle on and off show the
+current state of the graph.
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=251, bbury=415]{ps/bookvol1h.ps}
+\caption{Two-dimensional control-panel.}
+\end{figure}
+
+\subsubsection{Transformations}
+\index{graphics!2D control-panel!transformations}
+
+Object transformations are executed from the control-panel by mouse-activated
+potentiometer windows.
+%
+\begin{description}
+%
+\item[Scale:] To scale a graph, click on a mouse button
+\index{graphics!2D control-panel!scale}
+within the {\bf Scale} window in the upper left corner of the control-panel.
+The axes along which the scaling is to occur are indicated by setting the
+toggles above the arrow.
+With {\tt X On} and {\tt Y On} appearing, both axes are selected and scaling
+is uniform.
+If either is not selected, for example, if {\tt X Off} appears, scaling is
+non-uniform.
+%
+\item[Translate:] To translate a graph, click the mouse in the
+\index{graphics!2D control-panel!translate}
+{\bf Translate} window in the direction you wish the graph to move.
+This window is located in the upper right corner of the control-panel.
+Along the top of the {\bf Translate} window are two buttons for selecting
+the direction of translation.
+Translation along both coordinate axes results when {\tt X On} and {\tt Y
+On} appear or along one axis when one is on, for example, {\tt X On} and
+{\tt Y Off} appear.
+\end{description}
+
+\subsubsection{Messages}
+\index{graphics!2D control-panel!messages}
+
+The window directly below the transformation potentiometer windows is
+used to display system messages relating to the viewport and the control-panel.
+The following format is displayed: \newline
+%
+\begin{center}
+[scaleX, scaleY] $>$graph$<$ [translateX, translateY] \newline
+\end{center}
+The two values to the left show the scale factor along the {\tt X} and
+{\tt Y} coordinate axes.  The two values to the right show the distance of
+translation from the center in the {\tt X} and {\tt Y} directions.  The number
+in the center shows which graph in the viewport this data pertains to.
+When multiple graphs exist in the same viewport,
+the graph must be selected (see ``Multiple Graphs,'' below) in
+order for its transformation data to be shown, otherwise the number
+is 1.
+
+\subsubsection{Multiple Graphs}
+
+\index{graphics!2D control-panel!multiple graphs}
+The {\bf Graphs} window contains buttons that allow the placement
+of two-di\-men\-sion\-al graphs into one of nine available slots in any other
+two-di\-men\-sion\-al viewport.
+In the center of the window are numeral buttons from one to nine
+that show whether a graph is displayed in the viewport.
+Below each number button is a button showing whether a graph
+that is present is selected for application of some
+transformation.
+When the caret symbol is displayed, then the graph in that slot
+will be manipulated.
+Initially, the graph for which the viewport is created occupies
+the first slot, is displayed, and is selected.
+%
+%
+\begin{description}
+%
+\item[Clear:]  The {\bf Clear} button deselects every viewport graph slot.
+\index{graphics!2D control-panel!clear}
+A graph slot is reselected by selecting the button below its number.
+%
+\item[Query:]  The {\bf Query} button is used to display the scale and
+\index{graphics!2D control-panel!query}
+translate data for the indicated graph.  When this button is selected the
+message ``Click on the graph to query'' appears.  Select a slot
+number button from the {\bf Graphs} window. The scaling factor and translation
+offset of the graph are then displayed in the message window.
+%
+\item[Pick:]  The {\bf Pick} button is used to select a graph
+\index{graphics!2D control-panel!pick}
+to be placed or dropped into the indicated viewport.  When this button is
+selected, the message ``Click on the graph to pick'' appears.
+Click on the slot with the graph number of the desired
+graph.  The graph information is held waiting for
+you to execute a {\bf Drop} in some other graph.
+%
+\item[Drop:]  Once a graph has been picked up using the {\bf Pick} button,
+\index{graphics!2D control-panel!drop}
+the {\bf Drop} button places it into a new viewport slot.
+The message ``Click on the graph to drop'' appears in the message
+window when the {\bf Drop} button is selected.
+By selecting one of the slot number buttons in the {\bf Graphs}
+window, the graph currently being held is dropped into this slot
+and displayed.
+\end{description}
+
+\subsubsection{Buttons}
+\index{graphics!2D control-panel!buttons}
+
+%
+\begin{description}
+%
+\item[Axes] turns the coordinate axes on or off.
+\index{graphics!2D control-panel!axes}
+%
+\item[Units] turns the units along the {\tt x}
+and {\tt y} axis on or off.
+\index{graphics!2D control-panel!units}
+%
+\item[Box] encloses the area of the viewport graph
+in a bounding box, or removes the box if already enclosed.
+\index{graphics!2D control-panel!box}
+%
+\item[Pts] turns on or off the display of points.
+\index{graphics!2D control-panel!points}
+%
+\item[Lines] turns on or off the display
+of lines connecting points.
+\index{graphics!2D control-panel!lines}
+%
+\item[PS] writes the current viewport contents to
+\index{graphics!2D control-panel!ps}
+a file {\bf axiom2d.ps} or to a name specified in the user's {\bf
+\index{graphics!.Xdefaults!PostScript file name}
+.Xdefaults} file.
+\index{file!.Xdefaults @{\bf .Xdefaults}}
+The file is placed in the directory from which Axiom or the {\bf
+viewalone} program was invoked.
+\index{PostScript}
+%
+\item[Reset] resets the object transformation
+characteristics and attributes back to their initial states.
+\index{graphics!2D control-panel!reset}
+%
+\item[Hide] makes the control-panel disappear.
+\index{graphics!2D control-panel!hide}
+%
+\item[Quit] queries whether the current viewport
+\index{graphics!2D control-panel!quit}
+session should be terminated.
+\end{description}
+
+\subsection{Operations for Two-Dimensional Graphics}
+\label{sec:Operations for Two-Dimensional Graphics}
+
+Here is a summary of useful Axiom operations for two-di\-men\-sion\-al
+graphics.
+Each operation name is followed by a list of arguments.
+Each argument is written as a variable informally named according
+to the type of the argument (for example, {\it integer}).
+If appropriate, a default value for an argument is given in
+parentheses immediately following the name.
+
+%
+\begin{description}
+%
+\item[{\bf adaptive}]\funArgs{\optArg{boolean\argDef{true}}}
+\index{adaptive plotting}
+sets or indicates whether graphs are plotted
+\index{graphics!set 2D defaults!adaptive}
+according to the adaptive refinement algorithm.
+%
+\item[{\bf axesColorDefault}]\funArgs{\optArg{color\argDef{dark blue()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!axes color}
+axes in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf clipPointsDefault}]\funArgs{\optArg{boolean\argDef{false}}}
+sets or
+indicates whether point clipping is
+\index{graphics!set 2D defaults!clip points}
+to be applied as the default for graph plots.
+%
+\item[{\bf drawToScale}]\funArgs{\optArg{boolean\argDef{false}}}
+sets or
+indicates whether the plot of a graph
+\index{graphics!set 2D defaults!to scale}
+is ``to scale'' or uses the entire viewport space as the default.
+%
+\item[{\bf lineColorDefault}]\funArgs{\optArg{color\argDef{pastel yellow()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!line color}
+lines or curves in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf maxPoints}]\funArgs{\optArg{integer\argDef{500}}}
+sets or indicates
+the default maximum number of
+\index{graphics!set 2D defaults!max points}
+possible points to be used when constructing a two-di\-men\-sion\-al graph.
+%
+\item[{\bf minPoints}]\funArgs{\optArg{integer\argDef{21}}}
+sets or indicates the default minimum number of
+\index{graphics!set 2D defaults!min points}
+possible points to be used when constructing a two-di\-men\-sion\-al graph.
+%
+\item[{\bf pointColorDefault}]\funArgs{\optArg{color\argDef{bright red()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!point color}
+points in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf pointSizeDefault}]\funArgs{\optArg{integer\argDef{5}}}
+sets or indicates the default size of the
+\index{graphics!set 2D defaults!point size}
+dot used to plot points in a two-di\-men\-sion\-al graph.
+%
+\item[{\bf screenResolution}]\funArgs{\optArg{integer\argDef{600}}}
+sets or indicates the default screen
+\index{graphics!set 2D defaults!screen resolution}
+resolution constant used in setting the computation limit of adaptively
+\index{adaptive plotting}
+generated curve plots.
+%
+\item[{\bf unitsColorDefault}]\funArgs{\optArg{color\argDef{dim green()}}}
+sets or indicates the default color of the
+\index{graphics!set 2D defaults!units color}
+unit labels in a two-di\-men\-sion\-al graph viewport.
+%
+\item[{\bf viewDefaults}]\funArgs{}
+resets the default settings for the following
+\index{graphics!set 2D defaults!reset viewport}
+attributes:  point color, line color, axes color, units color, point size,
+viewport upper left-hand corner position, and the viewport size.
+%
+\item[{\bf viewPosDefault}]\funArgs{\optArg{list\argDef{[100,100]}}}
+sets or indicates the default position of the
+\index{graphics!set 2D defaults!viewport position}
+upper left-hand corner of a two-di\-men\-sion\-al viewport, relative to the
+display root window.
+The upper left-hand corner of the display is considered to be at the
+(0, 0) position.
+%
+\item[{\bf viewSizeDefault}]\funArgs{\optArg{list\argDef{[200,200]}}}
+sets or
+indicates the default size in which two
+\index{graphics!set 2D defaults!viewport size}
+dimensional viewport windows are shown.
+It is defined by a width and then a height.
+%
+\item[{\bf viewWriteAvailable}]
+\funArgs{\optArg{list\argDef{["pixmap","bitmap", "postscript", "image"]}}}
+indicates the possible file types
+\index{graphics!2D defaults!available viewport writes}
+that can be created with the \spadfunFrom{write}{TwoDimensionalViewport} function.
+%
+\item[{\bf viewWriteDefault}]\funArgs{\optArg{list\argDef{[]}}}
+sets or indicates the default types of files, in
+\index{graphics!set 2D defaults!write viewport}
+addition to the {\bf data} file, that are created when a
+{\bf write} function is executed on a viewport.
+%
+\item[{\bf units}]\funArgs{viewport, integer\argDef{1}, string\argDef{"off"}}
+turns the units on or off for the graph with index {\it integer}.
+%
+\item[{\bf axes}]\funArgs{viewport, integer\argDef{1}, string\argDef{"on"}}
+turns the axes on
+\index{graphics!2D commands!axes}
+or off for the graph with index {\it integer}.
+%
+\item[{\bf close}]\funArgs{viewport}
+closes {\it viewport}.
+\index{graphics!2D commands!close}
+%
+\item[{\bf connect}]\funArgs{viewport, integer\argDef{1}, string\argDef{"on"}}
+declares whether lines
+\index{graphics!2D commands!connect}
+connecting the points are displayed or not.
+%
+\item[{\bf controlPanel}]\funArgs{viewport, string\argDef{"off"}}
+declares
+whether the two-di\-men\-sion\-al control-panel is automatically displayed
+or not.
+%
+\item[{\bf graphs}]\funArgs{viewport}
+returns a list
+\index{graphics!2D commands!graphs}
+describing the state of each graph.
+If the graph state is not being used this is shown by {\tt "undefined"},
+otherwise a description of the graph's contents is shown.
+%
+\item[{\bf graphStates}]\funArgs{viewport}
+displays
+\index{graphics!2D commands!state of graphs}
+a list of all the graph states available for {\it viewport}, giving the
+values for every property.
+%
+\item[{\bf key}]\funArgs{viewport}
+returns the process
+\index{graphics!2D commands!key}
+ID number for {\it viewport}.
+%
+\item[{\bf move}]\funArgs{viewport,
+$integer_{x}$(viewPosDefault),
+$integer_{y}$(viewPosDefault)}
+moves {\it viewport} on the screen so that the
+\index{graphics!2D commands!move}
+upper left-hand corner of {\it viewport} is at the position {\it (x,y)}.
+%
+\item[{\bf options}]\funArgs{\it viewport}
+returns a list
+\index{graphics!2D commands!options}
+of all the {\tt DrawOption}s used by {\it viewport}.
+%
+\item[{\bf points}]\funArgs{viewport, integer\argDef{1}, string\argDef{"on"}}
+specifies whether the graph points for graph {\it integer} are
+\index{graphics!2D commands!points}
+to be displayed or not.
+%
+\item[{\bf region}]\funArgs{viewport, integer\argDef{1}, string\argDef{"off"}}
+declares whether graph {\it integer} is or is not to be displayed
+with a bounding rectangle.
+%
+\item[{\bf reset}]\funArgs{viewport}
+resets all the properties of {\it viewport}.
+%
+\item[{\bf resize}]\funArgs{viewport,
+$integer_{width}$,$integer_{height}$}
+\index{graphics!2D commands!resize}
+resizes {\it viewport} with a new {\it width} and {\it height}.
+%
+\item[{\bf scale}]\funArgs{viewport, $integer_{n}$\argDef{1},
+$integer_{x}$\argDef{0.9}, $integer_{y}$\argDef{0.9}}
+scales values for the
+\index{graphics!2D commands!scale}
+{\it x} and {\it y} coordinates of graph {\it n}.
+%
+\item[{\bf show}]\funArgs{viewport, $integer_{n}$\argDef{1},
+string\argDef{"on"}}
+indicates if graph {\it n} is shown or not.
+%
+\item[{\bf title}]\funArgs{viewport, string\argDef{"Axiom 2D"}}
+designates the title for {\it viewport}.
+%
+\item[{\bf translate}]\funArgs{viewport,
+$integer_{n}$\argDef{1},
+$float_{x}$\argDef{0.0}, $float_{y}$\argDef{0.0}}
+\index{graphics!2D commands!translate}
+causes graph {\it n} to be moved {\it x} and {\it y} units in the respective directions.
+%
+\item[{\bf write}]\funArgs{viewport, $string_{directory}$,
+\optArg{strings}}
+if no third argument is given, writes the {\bf data} file onto the directory
+with extension {\bf data}.
+The third argument can be a single string or a list of strings with some or
+all the entries {\tt "pixmap"}, {\tt "bitmap"}, {\tt "postscript"}, and
+{\tt "image"}.
+\end{description}
+
+\subsection{Building Two-Dimensional Graphs Manually}
+\label{sec:Building Two-Dimensional Graphs Manually}
+
+In this section we demonstrate how to create two-di\-men\-sion\-al graphs from
+lists of points and give an example showing how to read the lists
+of points from a file.
+
+\subsubsection{Creating a Two-Dimensional Viewport from a List of Points}
+
+Axiom creates lists of points in a two-di\-men\-sion\-al viewport by utilizing
+the {\tt GraphImage} and {\tt TwoDimensionalViewport} domains.
+The \spadfunFrom{makeGraphImage}{GraphImage}
+function takes a list of lists of points parameter, a list of colors for
+each point in the graph, a list of colors for each line in the graph, and
+a list of sizes for each point in the graph.
+%
+
+The following expressions create a list of lists of points which will be read
+by Axiom and made into a two-di\-men\-sion\-al viewport.
+
+\spadcommand{p1 := point [1,1]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p2 := point [0,1]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p3 := point [0,0]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p4 := point [1,0]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p5 := point [1,.5]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {0.5} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p6 := point [.5,0]\$(Point DFLOAT) }
+$$
+\left[
+{0.5},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p7 := point [0,0.5]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {0.5} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p8 := point [.5,1]\$(Point DFLOAT) }
+$$
+\left[
+{0.5},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p9 := point [.25,.25]\$(Point DFLOAT) }
+$$
+\left[
+{0.25},  {0.25} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p10 := point [.25,.75]\$(Point DFLOAT) }
+$$
+\left[
+{0.25},  {0.75} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p11 := point [.75,.75]\$(Point DFLOAT) }
+$$
+\left[
+{0.75},  {0.75} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p12 := point [.75,.25]\$(Point DFLOAT) }
+$$
+\left[
+{0.75},  {0.25} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+Finally, here is the list.
+
+\spadcommand{llp := [ [p1,p2], [p2,p3], [p3,p4], [p4,p1], [p5,p6], [p6,p7], [p7,p8], [p8,p5], [p9,p10], [p10,p11], [p11,p12], [p12,p9] ]  }
+$$
+\left[
+{\left[ {\left[ {1.0},  {1.0} 
+\right]},
+ {\left[ {0.0},  {1.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.0},  {1.0} 
+\right]},
+ {\left[ {0.0},  {0.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.0},  {0.0} 
+\right]},
+ {\left[ {1.0},  {0.0} 
+\right]}
+\right]},
+\right.
+$$
+$$
+\left.
+ {\left[ {\left[ {1.0},  {0.0} 
+\right]},
+ {\left[ {1.0},  {1.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {1.0},  {0.5} 
+\right]},
+ {\left[ {0.5},  {0.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.5},  {0.0} 
+\right]},
+ {\left[ {0.0},  {0.5} 
+\right]}
+\right]},
+\right.
+$$
+$$
+\left.
+ {\left[ {\left[ {0.0},  {0.5} 
+\right]},
+ {\left[ {0.5},  {1.0} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.5},  {1.0} 
+\right]},
+ {\left[ {1.0},  {0.5} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.25},  {0.25} 
+\right]},
+ {\left[ {0.25},  {0.75} 
+\right]}
+\right]},
+\right.
+$$
+$$
+\left.
+ {\left[ {\left[ {0.25},  {0.75} 
+\right]},
+ {\left[ {0.75},  {0.75} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.75},  {0.75} 
+\right]},
+ {\left[ {0.75},  {0.25} 
+\right]}
+\right]},
+ {\left[ {\left[ {0.75},  {0.25} 
+\right]},
+ {\left[ {0.25},  {0.25} 
+\right]}
+\right]}
+\right]
+$$
+\returnType{Type: List List Point DoubleFloat}
+
+Now we set the point sizes for all components of the graph.
+
+\spadcommand{size1 := 6::PositiveInteger }
+$$
+6 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{size2 := 8::PositiveInteger }
+$$
+8 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{size3 := 10::PositiveInteger }
+
+\spadcommand{lsize := [size1, size1, size1, size1, size2, size2, size2, size2, size3, size3, size3, size3]  }
+$$
+\left[
+6,  6,  6,  6,  8,  8,  8,  8,  10,  10,  10,  10 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Here are the colors for the points.
+
+\spadcommand{pc1 := pastel red() }
+$$
+[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Pastel \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+\spadcommand{pc2 := dim green() }
+$$
+[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Dim \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+\spadcommand{pc3 := pastel yellow() }
+$$
+[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} \mbox{\rm ] from the } 
+Pastel \mbox{\rm palette} 
+$$
+\returnType{Type: Palette}
+
+\spadcommand{lpc := [pc1, pc1, pc1, pc1, pc2, pc2, pc2, pc2, pc3, pc3, pc3, pc3]  }
+$$
+\left[
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dim \mbox{\rm palette} }, 
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dim \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dim \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dim \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} } 
+\right]
+$$
+\returnType{Type: List Palette}
+
+Here are the colors for the lines.
+
+\spadcommand{lc := [pastel blue(), light yellow(), dim green(), bright red(), light green(), dim yellow(), bright blue(), dark red(), pastel red(), light blue(), dim green(), light yellow()] }
+$$
+\left[
+{[{ \mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Light \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dim \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Bright \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Light \mbox{\rm palette} }, 
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dim \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Bright \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dark \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } 1 \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Pastel \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {22} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Light \mbox{\rm palette} }, 
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {14} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Dim \mbox{\rm palette} },  
+\right.
+$$
+$$
+\left.
+{[{ \mbox{\rm Hue: } {11} \mbox{\rm Weight: } {1.0}} 
+\mbox{\rm ] from the } Light \mbox{\rm palette} } 
+\right]
+$$
+\returnType{Type: List Palette}
+
+Now the {\tt GraphImage} is created according to the component
+specifications indicated above.
+
+\spadcommand{g := makeGraphImage(llp,lpc,lc,lsize)\$GRIMAGE  }
+
+The \spadfunFrom{makeViewport2D}{TwoDimensionalViewport} function now
+creates a {\tt TwoDimensionalViewport} for this graph according to the
+list of options specified within the brackets.
+
+\spadgraph{makeViewport2D(g,[title("Lines")])\$VIEW2D }
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=215, bbury=215]{ps/bookvol1i.ps}
+\caption{The Hand Constructed Line Graph}
+\end{figure}
+
+This example demonstrates the use of the {\tt GraphImage} functions
+\spadfunFrom{component}{GraphImage} and \spadfunFrom{appendPoint}{GraphImage}
+in adding points to an empty {\tt GraphImage}.
+
+\spadcommand{g := graphImage()\$GRIMAGE }
+$$
+\mbox{\rm Graph with } 0 \mbox{\rm point lists} 
+$$
+\returnType{Type: GraphImage}
+
+\spadcommand{p1 := point [0,0]\$(Point DFLOAT) }
+$$
+\left[
+{0.0},  {0.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p2 := point [.25,.25]\$(Point DFLOAT) }
+$$
+\left[
+{0.25},  {0.25} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p3 := point [.5,.5]\$(Point DFLOAT) }
+$$
+\left[
+{0.5},  {0.5} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p4 := point [.75,.75]\$(Point DFLOAT) }
+$$
+\left[
+{0.75},  {0.75} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{p5 := point [1,1]\$(Point DFLOAT) }
+$$
+\left[
+{1.0},  {1.0} 
+\right]
+$$
+\returnType{Type: Point DoubleFloat}
+
+\spadcommand{component(g,p1)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{component(g,p2)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{appendPoint(g,p3)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{appendPoint(g,p4)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{appendPoint(g,p5)\$GRIMAGE}
+\returnType{Type: Void}
+
+\spadcommand{g1 := makeGraphImage(g)\$GRIMAGE  }
+\spadgraph{makeViewport2D(g1,[title("Graph Points")])\$VIEW2D }
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=128, bbury=128]{ps/bookvol1j.ps}
+\caption{Graph Points}
+\end{figure}
+
+A list of points can also be made into a {\tt GraphImage} by using
+the operation \spadfunFrom{coerce}{GraphImage}.  It is equivalent to adding
+each point to $g2$ using \spadfunFrom{component}{GraphImage}.
+
+\spadcommand{g2 := coerce([ [p1],[p2],[p3],[p4],[p5] ])\$GRIMAGE   }
+
+Now, create an empty {\tt TwoDimensionalViewport}.
+
+\spadcommand{v := viewport2D()\$VIEW2D }
+
+\spadcommand{options(v,[title("Just Points")])\$VIEW2D }
+
+Place the graph into the viewport.
+
+\spadcommand{putGraph(v,g2,1)\$VIEW2D }
+
+Take a look.
+
+\spadgraph{makeViewport2D(v)\$VIEW2D }
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=135, bbury=135]{ps/bookvol1k.ps}
+\caption{Just Points}
+\end{figure}
+
+\subsubsection{Creating a Two-Dimensional Viewport of a List of Points from a File}
+
+The following three functions read a list of points from a
+file and then draw the points and the connecting lines. The
+points are stored in the file in readable form as floating point numbers
+(specifically, {\tt DoubleFloat} values) as an alternating
+stream of $x$- and $y$-values. For example,
+\begin{verbatim}
+0.0 0.0     1.0 1.0     2.0 4.0
+3.0 9.0     4.0 16.0    5.0 25.0
+\end{verbatim}
+
+\begin{verbatim}
+drawPoints(lp:List Point DoubleFloat):VIEW2D ==
+  g := graphImage()$GRIMAGE
+  for p in lp repeat
+    component(g,p,pointColorDefault(),lineColorDefault(),
+      pointSizeDefault())
+  gi := makeGraphImage(g)$GRIMAGE
+  makeViewport2D(gi,[title("Points")])$VIEW2D
+
+drawLines(lp:List Point DoubleFloat):VIEW2D ==
+  g := graphImage()$GRIMAGE
+  component(g, lp, pointColorDefault(), lineColorDefault(),
+    pointSizeDefault())$GRIMAGE
+  gi := makeGraphImage(g)$GRIMAGE
+  makeViewport2D(gi,[title("Points")])$VIEW2D
+
+plotData2D(name, title) ==
+  f:File(DFLOAT) := open(name,"input")
+  lp:LIST(Point DFLOAT) := empty()
+  while ((x := readIfCan!(f)) case DFLOAT) repeat
+    y : DFLOAT := read!(f)
+    lp := cons(point [x,y]$(Point DFLOAT), lp)
+    lp
+  close!(f)
+  drawPoints(lp)
+  drawLines(lp)
+\end{verbatim}
+%
+This command will actually create the viewport and the graph if
+the point data is in the file $"file.data"$.
+\begin{verbatim}
+plotData2D("file.data", "2D Data Plot")
+\end{verbatim}
+
+\subsection{Appending a Graph to a Viewport Window Containing a Graph}
+\label{sec:Appending a Graph to a Viewport Window Containing a Graph}
+
+This section demonstrates how to append a two-di\-men\-sion\-al graph to a viewport
+already containing other graphs.
+The default {\bf draw} command places a graph into the first
+{\tt GraphImage} slot position of the {\tt TwoDimensionalViewport}.
+
+We createa a graph in the first slot of a viewport.
+
+\spadcommand{v1 := draw(sin(x),x=0..2*\%pi) }
+
+Then we create a second graph.
+
+\spadcommand{v2 := draw(cos(x),x=0..2*\%pi, curveColor==light red()) }
+
+The operation \spadfunFrom{getGraph}{TwoDimensionalViewport}
+retrieves the {\tt GraphImage} $g1$ from the first slot position
+in the viewport $v1$.
+
+\spadcommand{g1 := getGraph(v1,1) }
+
+Now \spadfunFrom{putGraph}{TwoDimensionalViewport}
+places $g1$ into the the second slot position of $v2$.
+
+\spadcommand{putGraph(v2,g1,2) }
+
+Display the new {\tt TwoDimensionalViewport} containing both graphs.
+
+\spadgraph{makeViewport2D(v2) }
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=135, bbury=135]{ps/bookvol1l.ps}
+\caption{Two graphs on one viewport}
+\end{figure}
+
+In general you can plot up to 9 graphs on the 2D viewport. Each
+graph can be manipulated separately using the 2D control panel. 
+
+The {\bf Pick} and {\bf Drop} buttons on the 2D control panel work
+like cut and paste mechanisms in a windowing environment (except that
+they don't use the clipboard). So it is possible to pick one graph
+and drop it on a different graph.
+
+\subsection{Plotting 3D Graphs}
+There are 3 kinds of three dimensional graphs you can generate:
+\begin{enumerate}
+\item surfaces defined by a function of two real variables
+(page~\pageref{sec:3Dcase1})
+\item space curves and tubes defined by parametric equations
+(page~\pageref{sec:3Dcase2})
+\item surfaces defined by parametric equations
+(page~\pageref{sec:3Dcase3})
+\end{enumerate} 
+\subsubsection{Plotting 3D functions of 2 variables}
+\label{sec:3Dcase1}
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a surface defined by a formula $f(x,y)$
+of two variables $x$ and $y$ is:
+%
+\begin{center}
+{\tt draw(f(x,y), x = a..b, y = c..d, {\it options})}
+\end{center}
+where $a..b$ and $c..d$ define the range of $x$
+and $y$, and where {\it options} prescribes zero or more
+options as described in \ref{sec:Three-Dimensional Options} 
+on page~\pageref{sec:Three-Dimensional Options}.
+An example of an option is $title == "Title of Graph".$
+An alternative format involving a function $f$ is also
+available.\\
+}
+The simplest way to plot a function of two variables is to use a formula.
+With formulas you always precede the range specifications with
+the variable name and an {\tt =} sign.
+
+\spadgraph{draw(cos(x*y),x=-3..3,y=-3..3)}
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=215, bbury=215]{ps/bookvol1m.ps}
+\caption{$cos(x*y),x=-3..3,y=-3..3$}
+\end{figure}
+
+
+\subsubsection{Plotting 3D parametric space curves}
+\label{sec:3Dcase2}
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a three-di\-men\-sion\-al space curve defined by
+parametric formulas $x = f(t)$, $y = g(t)$, and
+$z = h(t)$ is:
+%
+\begin{center}
+{\tt draw(curve(f(t),g(t),h(t)), t = a..b, {\it options})}
+\end{center}
+where $a..b$ defines the range of the independent variable
+$t$, and where {\it options} prescribes zero or more options
+as described in \ref{sec:Three-Dimensional Options} 
+on page~\pageref{sec:Three-Dimensional Options}.
+An example of an option is $title == "Title of Graph".$
+An alternative format involving functions $f$, $g$ and
+$h$ is also available.\\
+}
+
+If you use explicit formulas to draw a space curve, always precede
+the range specification with the variable name and an
+{\tt =} sign.
+
+\spadgraph{draw(curve(5*cos(t), 5*sin(t),t), t=-12..12)}
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=215, bbury=215]{ps/bookvol1n.ps}
+\caption{$curve(5*cos(t), 5*sin(t),t), t=-12..12$}
+\end{figure}
+
+
+\subsubsection{Plotting 3D parametric surfaces}
+\label{sec:3Dcase3}
+\boxed{4.6in}{
+\vskip 0.1cm
+The general format for drawing a three-di\-men\-sion\-al graph defined by
+parametric formulas $x = f(u,v)$, $y = g(u,v)$,
+and $z = h(u,v)$ is:
+%
+\begin{center}
+{\tt draw(surface(f(u,v),g(u,v),h(u,v)), u = a..b, v = c..d, {\it options})}
+\end{center}
+where $a..b$ and $c..d$ define the range of the
+independent variables $u$ and $v$, and where
+{\it options} prescribes zero or more options as described in
+\ref{sec:Three-Dimensional Options} on 
+page~\pageref{sec:Three-Dimensional Options}.
+An example of an option is $title == "Title of Graph".$
+An alternative format involving functions $f$, $g$ and
+$h$ is also available.\\
+}
+This example draws a graph of a surface plotted using the
+parabolic cylindrical coordinate system option.
+\index{coordinate system!parabolic cylindrical}
+The values of the functions supplied to {\bf surface} are
+\index{parabolic cylindrical coordinate system}
+interpreted in coordinates as given by a {\tt coordinates} option,
+here as parabolic cylindrical coordinates.
+
+\spadgraph{draw(surface(u*cos(v), u*sin(v), v*cos(u)), u=-4..4, v=0..\%pi, coordinates== parabolicCylindrical)}
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=215, bbury=215]{ps/bookvol1o.ps}
+\caption{$surface(u*cos(v), u*sin(v), v*cos(u)), u=-4..4, v=0..\pi$}
+\end{figure}
+
+\subsection{Three-Dimensional Options}
+\label{sec:Three-Dimensional Options}
+\index{graphics!3D options}
+The {\bf draw} commands optionally take an optional list of options such
+as {\tt coordinates} as shown in the last example.
+Each option is given by the syntax: $name$ {\tt ==} $value$.
+Here is a list of the available options in the order that they are
+described below:
+
+\begin{tabular}{ll}
+title         & The {\tt title} option gives a title to the graph\\
+              & {\tt title == "Title of Graph"}\\
+coordinates & The {\tt coordinates} option indicates the coordinate system\\
+            & in which the graph is plotted. This can be one of:\\
+            & {\bf bipolar}, {\bf bipolarCylindrical}, {\bf cartesian},\\
+            & {\bf conical}, {\bf cylindrical}, {\bf elliptic},\\
+            & {\bf ellipticCylindrical}, {\bf oblateSpheroidal}, \\
+            & {\bf parabolic}, {\bf parabolicCylindrical}, {\bf paraboloidal}\\
+            & {\bf polar}, {\bf prolateSpheroidal}, {\bf spherical}, and\\
+            & {\bf toroidal}\\
+            & {\tt coordinates == polar}\\
+var1Steps     & The {\tt var1Steps} option specifies the number of intervals\\
+              & to divide a surface plot for the first parameter\\
+              & {\tt var1Steps == 30}\\
+var2Steps     & The {\tt var1Steps} option specifies the number of intervals\\
+              & to divide a surface plot for the second parameter\\
+              & {\tt var2Steps == 30}\\
+style         & The {\tt style} determines which of four rendering algorithms\\
+              & is used for the graph. The choices are {\bf wireMesh},\\
+              & {\bf solid}, {\bf shade}, {\bf smooth}\\
+              & {\tt style == "smooth"}\\
+colorFunction & The {\tt colorFunction} names a function that will be called\\
+              & to determine the color of each point. If we have the function\\
+              & {\tt color2(u,v) == u**2 - v**2} we can call it with\\
+              & {\tt colorFunction == color2}\\
+tubeRadius    & The {\tt tubeRadius} option specifies the radius of the tube\\
+              & that encircles the specified space curve.\\
+              & {\tt tubeRadius == .3}\\
+tubePoints    & The {\tt tubePoints} option specifies the number of vertices\\
+              & defining the polygon that is used to create a tube around the\\
+              & specified space curve. The larger this number is the more\\
+              & cylindrical the tube becomes.\\
+              & {\tt tubePoints == 3}\\
+space         & The {\tt space} option lets you build multiple graphs in\\
+              & three space. To use this option, first create an empty \\
+              & three-space object calling {\bf create3Space} as in:\\
+              & {\tt s:=create3Space()\$(ThreeSpace SF)}\\
+              & and then use the space option thereafter.\\
+              & {\tt space == s}
+\end{tabular}
+
+\subsection{Three-Dimensional Control-Panel}
+\label{sec:Three-Dimensional Control-Panel}
+
+\index{graphics!3D control-panel}
+Once you have created a viewport, move your mouse to the viewport
+and click with your left mouse button.
+This displays a control-panel on the side of the viewport
+that is closest to where you clicked.
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=165, bbury=215]{ps/bookvol1p.ps}
+\caption{Three-dimensional control-panel.}
+\end{figure}
+
+\subsubsection{Transformations}
+
+We recommend you first select the {\bf Bounds} button while
+\index{graphics!3D control-panel!transformations}
+executing transformations since the bounding box displayed
+indicates the object's position as it changes.
+%
+\begin{description}
+%
+\item[Rotate:]  A rotation transformation occurs by clicking the mouse
+\index{graphics!3D control-panel!rotate}
+within the {\bf Rotate} window in the upper left corner of the
+control-panel.
+The rotation is computed in spherical coordinates, using the
+horizontal mouse position to increment or decrement the value of
+the longitudinal angle $\theta$ within the
+range of 0 to 2$\pi$ and the vertical mouse position
+to increment or decrement the value of the latitudinal angle
+$\phi$ within the range of -$\pi$
+to $\pi$.
+The active mode of rotation is displayed in green on a color
+monitor or in clear text on a black and white monitor, while the
+inactive mode is displayed in red for color display or a mottled
+pattern for black and white.
+%
+\begin{description}
+%
+\item[origin:]  The {\bf origin} button indicates that the
+rotation is to occur with respect to the origin of the viewing space, that is
+indicated by the axes.
+%
+\item[object:]  The {\bf object} button indicates that the
+rotation is to occur with respect to the center of volume of the object,
+independent of the axes' origin position.
+\end{description}
+%
+\item[Scale:]  A scaling transformation occurs by clicking the mouse
+\index{graphics!3D control-panel!scale}
+within the {\bf Scale} window in the upper center of the
+control-panel, containing a zoom arrow.
+The axes along which the scaling is to occur are indicated by
+selecting the appropriate button above the zoom arrow window.
+The selected axes are displayed in green on a color monitor or in
+clear text on a black and white monitor, while the unselected axes
+are displayed in red for a color display or a mottled pattern for
+black and white.
+%
+\begin{description}
+%
+\item[uniform:]  Uniform scaling along the {\tt x}, {\tt y}
+and {\tt z} axes occurs when all the axes buttons are selected.
+%
+\item[non-uniform:]  If any of the axes buttons are
+not selected, non-uniform scaling occurs, that is, scaling occurs only in the
+direction of the axes that are selected.
+\end{description}
+%
+\item[Translate:]  Translation occurs by indicating with the mouse in the
+\index{graphics!3D control-panel!translate}
+{\bf Translate} window the direction you want the graph to move.
+This window is located in the upper right corner of the
+control-panel and contains a potentiometer with crossed arrows
+pointing up, down, left and right.
+Along the top of the {\bf Translate} window are three buttons
+({\bf XY},
+{\bf XZ}, and {\bf YZ}) indicating the three orthographic projection planes.
+Each orientates the group as a view into that plane.
+Any translation of the graph occurs only along this plane.
+\end{description}
+
+\subsubsection{Messages}
+
+\index{graphics!3D control-panel!messages}
+
+The window directly below the potentiometer windows for transformations is
+used to display system messages relating to the viewport, the control-panel
+and the current graph displaying status.
+
+\subsubsection{Colormap}
+
+\index{graphics!3D control-panel!color map}
+
+Directly below the message window is the colormap range indicator
+window.
+\index{colormap}
+The Axiom Colormap shows a sampling of the spectrum from
+which hues can be drawn to represent the colors of a surface.
+The Colormap is composed of five shades for each of the hues along
+this spectrum.
+By moving the markers above and below the Colormap, the range of
+hues that are used to color the existing surface are set.
+The bottom marker shows the hue for the low end of the color range
+and the top marker shows the hue for the upper end of the range.
+Setting the bottom and top markers at the same hue results in
+monochromatic smooth shading of the graph when {\bf Smooth} mode is selected.
+At each end of the Colormap are {\bf +} and {\bf -} buttons.
+When clicked on, these increment or decrement the top or bottom
+marker.
+
+\subsubsection{Buttons}
+\index{graphics!3D control-panel!buttons}
+
+Below the Colormap window and to the left are located various
+buttons that determine the characteristics of a graph.
+The buttons along the bottom and right hand side all have special
+meanings; the remaining buttons in the first row indicate the mode
+or style used to display the graph.
+The second row are toggles that turn on or off a property of the
+graph.
+On a color monitor, the property is on if green (clear text, on a
+monochrome monitor) and off if red (mottled pattern, on a
+monochrome monitor).
+Here is a list of their functions.
+%
+\begin{description}
+%
+\item[Wire] displays surface and tube plots as a
+\index{graphics!3D control-panel!wire}
+wireframe image in a single color (blue) with no hidden surfaces removed,
+or displays space curve plots in colors based upon their parametric variables.
+This is the fastest mode for displaying a graph.
+This is very useful when you
+want to find a good orientation of your graph.
+%
+\item[Solid] displays the graph with hidden
+\index{graphics!3D control-panel!solid}
+surfaces removed, drawing each polygon beginning with the furthest
+from the viewer.
+The edges of the polygons are displayed in the hues specified by
+the range in the Colormap window.
+%
+\item[Shade] displays the graph with hidden
+\index{graphics!3D control-panel!shade}
+surfaces removed and with the polygons shaded, drawing each
+polygon beginning with the furthest from the viewer.
+Polygons are shaded in the hues specified by the range in the
+Colormap window using the Phong illumination model.
+\index{Phong!illumination model}
+%
+\item[Smooth] displays the graph using a
+\index{graphics!3D control-panel!smooth}
+renderer that computes the graph one line at a time.
+The location and color of the graph at each visible point on the
+screen are determined and displayed using the Phong illumination
+\index{Phong!illumination model}
+model.
+Smooth shading is done in one of two ways, depending on the range
+selected in the colormap window and the number of colors available
+from the hardware and/or window manager.
+When the top and bottom markers of the colormap range are set to
+different hues, the graph is rendered by dithering between the
+\index{dithering}
+transitions in color hue.
+When the top and bottom markers of the colormap range are set to
+the same hue, the graph is rendered using the Phong smooth shading
+model.
+\index{Phong!smooth shading model}
+However, if enough colors cannot be allocated for this purpose,
+the renderer reverts to the color dithering method until a
+sufficient color supply is available.
+For this reason, it may not be possible to render multiple Phong
+smooth shaded graphs at the same time on some systems.
+%
+\item[Bounds] encloses the entire volume of the
+viewgraph within a bounding box, or removes the box if previously selected.
+\index{graphics!3D control-panel!bounds}
+The region that encloses the entire volume of the viewport graph is displayed.
+%
+\item[Axes] displays Cartesian
+\index{graphics!3D control-panel!axes}
+coordinate axes of the space, or turns them off if previously selected.
+%
+\item[Outline] causes
+\index{graphics!3D control-panel!outline}
+quadrilateral polygons forming the graph surface to be outlined in black when
+the graph is displayed in {\bf Shade} mode.
+%
+\item[BW] converts a color viewport to black and white, or vice-versa.
+\index{graphics!3D control-panel!bw}
+When this button is selected the
+control-panel and viewport switch to an immutable colormap composed of a range
+of grey scale patterns or tiles that are used wherever shading is necessary.
+%
+\item[Light] takes you to a control-panel described below.
+%
+\item[ViewVolume] takes you to another control-panel as described below.
+\index{graphics!3D control-panel!save}
+%
+\item[Save] creates a menu of the possible file types that can
+be written using the control-panel.
+The {\bf Exit} button leaves the save menu.
+The {\bf Pixmap} button writes an Axiom pixmap of
+\index{graphics!3D control-panel!pixmap}
+the current viewport contents.  The file is called {\bf axiom3d.pixmap} and is
+located in the directory from which Axiom or {\bf viewalone} was
+started.
+The {\bf PS} button writes the current viewport contents to
+\index{graphics!3D control-panel!ps}
+PostScript output rather than to the viewport window.
+By default the file is called {\bf axiom3d.ps}; however, if a file
+\index{file!.Xdefaults @{\bf .Xdefaults}}
+name is specified in the user's {\bf .Xdefaults} file it is
+\index{graphics!.Xdefaults!PostScript file name}
+used.
+The file is placed in the directory from which the Axiom or
+{\bf viewalone} session was begun.
+See also the \spadfunFrom{write}{ThreeDimensionalViewport}
+function.
+\index{PostScript}
+%
+\item[Reset] returns the object transformation
+\index{graphics!3D control-panel!reset}
+characteristics back to their initial states.
+%
+\item[Hide] causes the control-panel for the
+\index{graphics!3D control-panel!hide}
+corresponding viewport to disappear from the screen.
+%
+\item[Quit]  queries whether the current viewport
+\index{graphics!3D control-panel!quit}
+session should be terminated.
+\end{description}
+
+\subsubsection{Light}
+
+\index{graphics!3D control-panel!light}
+
+%>>>\begin{figure}[htbp]
+%>>>\begin{picture}(183,252)(-125,0)
+%>>>\special{psfile=ps/3dlight.ps}
+%>>>\end{picture}
+%>>>\caption{Three-Dimensional Lighting Panel.}
+%>>>\end{figure}
+
+The {\bf Light} button changes the control-panel into the
+{\bf Lighting Control-Panel}.  At the top of this panel, the three axes
+are shown with the same orientation as the object.  A light vector from
+the origin of the axes shows the current position of the light source
+relative to the object.  At the bottom of the panel is an {\bf Abort}
+button that cancels any changes to the lighting that were made, and a
+{\bf Return} button that carries out the current set of lighting changes
+on the graph.
+%
+\begin{description}
+%
+\item[XY:]  The {\bf XY} lighting axes window is below the
+\index{graphics!3D control-panel!move xy}
+{\bf Lighting Control-Panel} title and to the left.
+This changes the light vector within the {\bf XY} view plane.
+%
+\item[Z:]  The {\bf Z} lighting axis window is below the
+\index{graphics!3D control-panel!move z}
+{\bf Lighting Control-Panel} title and in the center.  This
+changes the {\bf Z}
+location of the light vector.
+%
+\item[Intensity:]
+Below the {\bf Lighting Control-Panel} title
+\index{graphics!3D control-panel!intensity}
+and to the right is the light intensity meter.
+Moving the intensity indicator down decreases the amount of
+light emitted from the light source.
+When the indicator is at the top of the meter the light source is
+emitting at 100\% intensity.
+At the bottom of the meter the light source is emitting at a level
+slightly above ambient lighting.
+\end{description}
+
+\subsubsection{View Volume}
+
+\index{graphics!3D control-panel!view volume}
+
+The {\bf View Volume} button changes the control-panel into
+the {\bf Viewing Volume Panel}.
+At the bottom of the viewing panel is an {\bf Abort} button that
+cancels any changes to the viewing volume that were made and a
+{\it Return} button that carries out the current set of
+viewing changes to the graph.
+%
+%>>>\begin{figure}[htbp]
+%>>>\begin{picture}(183,252)(-125,0)
+%>>>\special{psfile=ps/3dvolume.ps}
+%>>>\end{picture}
+%>>>\caption{Three-Dimensional Volume Panel.}
+%>>>\end{figure}
+
+\begin{description}
+
+\item[Eye Reference:]  At the top of this panel is the
+\index{graphics!3D control-panel!eye reference}
+{\bf Eye Reference} window.
+It shows a planar projection of the viewing pyramid from the eye
+of the viewer relative to the location of the object.
+This has a bounding region represented by the rectangle on the
+left.
+Below the object rectangle is the {\bf Hither} window.
+By moving the slider in this window the hither clipping plane sets
+\index{hither clipping plane}
+the front of the view volume.
+As a result of this depth clipping all points of the object closer
+to the eye than this hither plane are not shown.
+The {\bf Eye Distance} slider to the right of the {\bf Hither}
+slider is used to change the degree of perspective in the image.
+%
+\item[Clip Volume:]  The {\bf Clip Volume} window is at the
+\index{graphics!3D control-panel!clip volume}
+bottom of the {\bf Viewing Volume Panel}.
+On the right is a {\bf Settings} menu.
+In this menu are buttons to select viewing attributes.
+Selecting the {\bf Perspective} button computes the image using
+perspective projection.
+\index{graphics!3D control-panel!perspective}
+The {\bf Show Region} button indicates whether the clipping region
+of the
+\index{graphics!3D control-panel!show clip region}
+volume is to be drawn in the viewport and the {\bf Clipping On}
+button shows whether the view volume clipping is to be in effect
+when the image
+\index{graphics!3D control-panel!clipping on}
+is drawn.
+The left side of the {\bf Clip Volume} window shows the clipping
+\index{graphics!3D control-panel!clip volume}
+boundary of the graph.
+Moving the knobs along the {\bf X}, {\bf Y}, and {\bf Z} sliders
+adjusts the volume of the clipping region accordingly.
+\end{description}
+
+\subsection{Operations for Three-Dimensional Graphics}
+\label{sec:Operations for Three-Dimensional Graphics}
+
+
+Here is a summary of useful Axiom operations for three-di\-men\-sion\-al
+graphics.
+Each operation name is followed by a list of arguments.
+Each argument is written as a variable informally named according
+to the type of the argument (for example, {\it integer}).
+If appropriate, a default value for an argument is given in
+parentheses immediately following the name.
+
+%
+\bgroup\hbadness = 10001\sloppy
+\begin{description}
+%
+\item[{\bf adaptive3D?}]\funArgs{}
+tests whether space curves are to be plotted
+\index{graphics!plot3d defaults!adaptive}
+according to the
+\index{adaptive plotting}
+adaptive refinement algorithm.
+
+%
+\item[{\bf axes}]\funArgs{viewport, string\argDef{"on"}}
+turns the axes on and off.
+\index{graphics!3D commands!axes}
+
+%
+\item[{\bf close}]\funArgs{viewport}
+closes the viewport.
+\index{graphics!3D commands!close}
+
+%
+\item[{\bf colorDef}]\funArgs{viewport,
+$\hbox{\it color}_{1}$\argDef{1}, $\hbox{\it color}_{2}$\argDef{27}}
+sets the colormap
+\index{graphics!3D commands!define color}
+range to be from
+$\hbox{\it color}_{1}$ to $\hbox{\it color}_{2}$.
+
+%
+\item[{\bf controlPanel}]\funArgs{viewport, string\argDef{"off"}}
+declares whether the
+\index{graphics!3D commands!control-panel}
+control-panel for the viewport is to be displayed or not.
+
+%
+\item[{\bf diagonals}]\funArgs{viewport, string\argDef{"off"}}
+declares whether the
+\index{graphics!3D commands!diagonals}
+polygon outline includes the diagonals or not.
+
+%
+\item[{\bf drawStyle}]\funArgs{viewport, style}
+selects which of four drawing styles
+\index{graphics!3D commands!drawing style}
+are used: {\tt "wireMesh", "solid", "shade",} or {\tt "smooth".}
+
+%
+\item[{\bf eyeDistance}]\funArgs{viewport,float\argDef{500}}
+sets the distance of the eye from the origin of the object
+\index{graphics!3D commands!eye distance}
+for use in the \spadfunFrom{perspective}{ThreeDimensionalViewport}.
+
+%
+\item[{\bf key}]\funArgs{viewport}
+returns the operating
+\index{graphics!3D commands!key}
+system process ID number for the viewport.
+
+%
+\item[{\bf lighting}]\funArgs{viewport,
+$float_{x}$\argDef{-0.5},
+$float_{y}$\argDef{0.5}, $float_{z}$\argDef{0.5}}
+sets the Cartesian
+\index{graphics!3D commands!lighting}
+coordinates of the light source.
+
+%
+\item[{\bf modifyPointData}]\funArgs{viewport,integer,point}
+replaces the coordinates of the point with
+\index{graphics!3D commands!modify point data}
+the index {\it integer} with {\it point}.
+
+%
+\item[{\bf move}]\funArgs{viewport,
+$integer_{x}$\argDef{viewPosDefault},
+$integer_{y}$\argDef{viewPosDefault}}
+moves the upper
+\index{graphics!3D commands!move}
+left-hand corner of the viewport to screen position
+\allowbreak
+({\small $integer_{x}$, $integer_{y}$}).
+
+%
+\item[{\bf options}]\funArgs{viewport}
+returns a list of all current draw options.
+
+%
+\item[{\bf outlineRender}]\funArgs{viewport, string\argDef{"off"}}
+turns polygon outlining
+\index{graphics!3D commands!outline}
+off or on when drawing in {\tt "shade"} mode.
+
+%
+\item[{\bf perspective}]\funArgs{viewport, string\argDef{"on"}}
+turns perspective
+\index{graphics!3D commands!perspective}
+viewing on and off.
+
+%
+\item[{\bf reset}]\funArgs{viewport}
+resets the attributes of a viewport to their
+\index{graphics!3D commands!reset}
+initial settings.
+
+%
+\item[{\bf resize}]\funArgs{viewport,
+$integer_{width}$ \argDef{viewSizeDefault},
+$integer_{height}$ \argDef{viewSizeDefault}}
+resets the width and height
+\index{graphics!3D commands!resize}
+values for a viewport.
+
+%
+\item[{\bf rotate}]\funArgs{viewport,
+$number_{\theta}$\argDef{viewThetaDefapult},
+$number_{\phi}$\argDef{viewPhiDefault}}
+rotates the viewport by rotation angles for longitude
+({\it $\theta$}) and
+latitude ({\it $\phi$}).
+Angles designate radians if given as floats, or degrees if given
+\index{graphics!3D commands!rotate}
+as integers.
+
+%
+\item[{\bf setAdaptive3D}]\funArgs{boolean\argDef{true}}
+sets whether space curves are to be plotted
+\index{graphics!plot3d defaults!set adaptive}
+according to the adaptive
+\index{adaptive plotting}
+refinement algorithm.
+
+%
+\item[{\bf setMaxPoints3D}]\funArgs{integer\argDef{1000}}
+ sets the default maximum number of possible
+\index{graphics!plot3d defaults!set max points}
+points to be used when constructing a three-di\-men\-sion\-al space curve.
+
+%
+\item[{\bf setMinPoints3D}]\funArgs{integer\argDef{49}}
+sets the default minimum number of possible
+\index{graphics!plot3d defaults!set min points}
+points to be used when constructing a three-di\-men\-sion\-al space curve.
+
+%
+\item[{\bf setScreenResolution3D}]\funArgs{integer\argDef{49}}
+sets the default screen resolution constant
+\index{graphics!plot3d defaults!set screen resolution}
+used in setting the computation limit of adaptively
+\index{adaptive plotting}
+generated three-di\-men\-sion\-al space curve plots.
+
+%
+\item[{\bf showRegion}]\funArgs{viewport, string\argDef{"off"}}
+declares whether the bounding
+\index{graphics!3D commands!showRegion}
+box of a graph is shown or not.
+%
+\item[{\bf subspace}]\funArgs{viewport}
+returns the space component.
+%
+\item[{\bf subspace}]\funArgs{viewport, subspace}
+resets the space component
+\index{graphics!3D commands!subspace}
+to {\it subspace}.
+
+%
+\item[{\bf title}]\funArgs{viewport, string}
+gives the viewport the
+\index{graphics!3D commands!title}
+title {\it string}.
+
+%
+\item[{\bf translate}]\funArgs{viewport,
+$float_{x}$\argDef{viewDeltaXDefault},
+$float_{y}$\argDef{viewDeltaYDefault}}
+translates
+\index{graphics!3D commands!translate}
+the object horizontally and vertically relative to the center of the viewport.
+
+%
+\item[{\bf intensity}]\funArgs{viewport,float\argDef{1.0}}
+resets the intensity {\it I} of the light source,
+\index{graphics!3D commands!intensity}
+$0 \le I \le 1.$
+
+%
+\item[{\bf tubePointsDefault}]\funArgs{\optArg{integer\argDef{6}}}
+sets or indicates the default number of
+\index{graphics!3D defaults!tube points}
+vertices defining the polygon that is used to create a tube around
+a space curve.
+
+%
+\item[{\bf tubeRadiusDefault}]\funArgs{\optArg{float\argDef{0.5}}}
+sets or indicates the default radius of
+\index{graphics!3D defaults!tube radius}
+the tube that encircles a space curve.
+
+%
+\item[{\bf var1StepsDefault}]\funArgs{\optArg{integer\argDef{27}}}
+sets or indicates the default number of
+\index{graphics!3D defaults!var1 steps}
+increments into which the grid defining a surface plot is subdivided with
+respect to the first parameter declared in the surface function.
+
+%
+\item[{\bf var2StepsDefault}]\funArgs{\optArg{integer\argDef{27}}}
+sets or indicates the default number of
+\index{graphics!3D defaults!var2 steps}
+increments into which the grid defining a surface plot is subdivided with
+respect to the second parameter declared in the surface function.
+
+%
+\item[{\bf viewDefaults}]\funArgs{{\tt [}$integer_{point}$, 
+$integer_{line}$, $integer_{axes}$,
+$integer_{units}$, $float_{point}$,
+\allowbreak$list_{position}$,
+$list_{size}${\tt ]}}
+resets the default settings for the
+\index{graphics!3D defaults!reset viewport defaults}
+point color, line color, axes color, units color, point size,
+viewport upper left-hand corner position, and the viewport size.
+
+%
+\item[{\bf viewDeltaXDefault}]\funArgs{\optArg{float\argDef{0}}}
+resets the default horizontal offset
+\index{graphics!3D commands!deltaX default}
+from the center of the viewport, 
+or returns the current default offset if no argument is given.
+
+%
+\item[{\bf viewDeltaYDefault}]\funArgs{\optArg{float\argDef{0}}}
+resets the default vertical offset
+\index{graphics!3D commands!deltaY default}
+from the center of the viewport, 
+or returns the current default offset if no argument is given.
+
+%
+\item[{\bf viewPhiDefault}]\funArgs{\optArg{float\argDef{-$\pi$/4}}}
+resets the default latitudinal view angle,
+or returns the current default angle if no argument is given.
+\index{graphics!3D commands!phi default}
+$\phi$ is set to this value.
+
+%
+\item[{\bf viewpoint}]\funArgs{viewport, $float_{x}$,
+$float_{y}$, $float_{z}$}
+sets the viewing position in Cartesian coordinates.
+
+%
+\item[{\bf viewpoint}]\funArgs{viewport,
+$float_{\theta}$,
+$Float_{\phi}$}
+sets the viewing position in spherical coordinates.
+
+%
+\item[{\bf viewpoint}]\funArgs{viewport,
+$Float_{\theta}$,
+$Float_{\phi}$,
+$Float_{scaleFactor}$,
+$Float_{xOffset}$, $Float_{yOffset}$}
+sets the viewing position in spherical coordinates,
+the scale factor, and offsets.
+\index{graphics!3D commands!viewpoint}
+$\theta$ (longitude) and
+$\phi$ (latitude) are in radians.
+
+%
+\item[{\bf viewPosDefault}]\funArgs{\optArg{list\argDef{[0,0]}}}
+sets or indicates the position of the upper
+\index{graphics!3D defaults!viewport position}
+left-hand corner of a two-di\-men\-sion\-al viewport, 
+relative to the display root
+window (the upper left-hand corner of the display is $[0, 0]$).
+
+%
+\item[{\bf viewSizeDefault}]\funArgs{\optArg{list\argDef{[400,400]}}}
+sets or indicates the width and height dimensions
+\index{graphics!3D defaults!viewport size}
+of a viewport.
+
+%
+\item[{\bf viewThetaDefault}]\funArgs{\optArg{float\argDef{$\pi$/4}}}
+resets the default longitudinal view angle,
+or returns the current default angle if no argument is given.
+\index{graphics!3D commands!theta default}
+When a parameter is specified, the default longitudinal view angle
+$\theta$ is set to this value.
+
+%
+\item[{\bf viewWriteAvailable}]\funArgs{\optArg{list\argDef{["pixmap",
+"bitmap", "postscript", "image"]}}}
+indicates the possible file types
+\index{graphics!3D defaults!available viewport writes}
+that can be created with the 
+\spadfunFrom{write}{ThreeDimensionalViewport} function.
+
+%
+\item[{\bf viewWriteDefault}]\funArgs{\optArg{list\argDef{[]}}}
+sets or indicates the default types of files
+that are created in addition to the {\bf data} file when a
+\spadfunFrom{write}{ThreeDimensionalViewport} command
+\index{graphics!3D defaults!viewport writes}
+is executed on a viewport.
+
+%
+\item[{\bf viewScaleDefault}]\funArgs{\optArg{float}}
+sets the default scaling factor, or returns
+\index{graphics!3D commands!scale default}
+the current factor if no argument is given.
+
+%
+\item[{\bf write}]\funArgs{viewport, directory, \optArg{option}}
+writes the file {\bf data} for {\it viewport}
+in the directory {\it directory}.
+An optional third argument specifies a file type (one of {\tt
+pixmap}, {\tt bitmap}, {\tt postscript}, or {\tt image}), or a
+list of file types.
+An additional file is written for each file type listed.
+
+%
+\item[{\bf scale}]\funArgs{viewport, float\argDef{2.5}}
+specifies the scaling factor.
+\index{graphics!3D commands!scale}
+\index{scaling graphs}
+\end{description}
+\egroup
+
+\subsection{Customization using .Xdefaults}
+\label{sec:Customization using .Xdefaults}
+
+\index{graphics!.Xdefaults}
+
+Both the two-di\-men\-sion\-al and 
+three-di\-men\-sion\-al drawing facilities consult
+the {\bf .Xdefaults} file for various defaults.
+\index{file!.Xdefaults @{\bf .Xdefaults}}
+The list of defaults that are recognized by the graphing routines
+is discussed in this section.
+These defaults are preceded by {\tt Axiom.3D.}
+for three-di\-men\-sion\-al viewport defaults, {\tt Axiom.2D.}
+for two-di\-men\-sion\-al viewport defaults, or {\tt Axiom*} (no dot) for
+those defaults that are acceptable to either viewport type.
+
+%
+\begin{description}
+%
+\item[{\tt Axiom*buttonFont:\ \it font}] \ \newline
+This indicates which
+\index{graphics!.Xdefaults!button font}
+font type is used for the button text on the control-panel.
+{\bf Rom11}
+%
+\item[{\tt Axiom.2D.graphFont:\ \it font}] \quad (2D only) \newline
+This indicates
+\index{graphics!.Xdefaults!graph number font}
+which font type is used for displaying the graph numbers and
+slots in the {\bf Graphs} section of the two-di\-men\-sion\-al control-panel.
+{\bf Rom22}
+%
+\item[{\tt Axiom.3D.headerFont:\ \it font}] \ \newline
+This indicates which
+\index{graphics!.Xdefaults!graph label font}
+font type is used for the axes labels and potentiometer
+header names on three-di\-men\-sion\-al viewport windows.
+This is also used for two-di\-men\-sion\-al control-panels for indicating
+which font type is used for potentionmeter header names and
+multiple graph title headers.
+%for example, {\tt Axiom.2D.headerFont: 8x13}.
+{\bf Itl14}
+%
+\item[{\tt Axiom*inverse:\ \it switch}] \ \newline
+This indicates whether the
+\index{graphics!.Xdefaults!inverting background}
+background color is to be inverted from white to black.
+If {\tt on}, the graph viewports use black as the background
+color.
+If {\tt off} or no declaration is made, the graph viewports use a
+white background.
+{\bf off}
+%
+\item[{\tt Axiom.3D.lightingFont:\ \it font}] \quad (3D only) \newline
+This indicates which font type is used for the {\bf x},
+\index{graphics!.Xdefaults!lighting font}
+{\bf y}, and {\bf z} labels of the two lighting axes potentiometers, and for
+the {\bf Intensity} title on the lighting control-panel.
+{\bf Rom10}
+%
+\item[{\tt Axiom.2D.messageFont, Axiom.3D.messageFont:\ \it font}] \ \newline
+These indicate the font type
+\index{graphics!.Xdefaults!message font}
+to be used for the text in the control-panel message window.
+{\bf Rom14}
+%
+\item[{\tt Axiom*monochrome:\ \it switch}] \ \newline
+This indicates whether the
+\index{graphics!.Xdefaults!monochrome}
+graph viewports are to be displayed as if the monitor is black and
+white, that is, a 1 bit plane.
+If {\tt on} is specified, the viewport display is black and white.
+If {\tt off} is specified, or no declaration for this default is
+given, the viewports are displayed in the normal fashion for the
+monitor in use.
+{\bf off}
+%
+\item[{\tt Axiom.2D.postScript:\ \it filename}] \ \newline
+This specifies
+\index{graphics!.Xdefaults!PostScript file name}
+the name of the file that is generated when a 2D PostScript graph
+\index{PostScript}
+is saved.
+{\bf axiom2d.ps}
+%
+\item[{\tt Axiom.3D.postScript:\ \it filename}] \ \newline
+This specifies
+\index{graphics!.Xdefaults!PostScript file name}
+the name of the file that is generated when a 3D PostScript graph
+\index{PostScript}
+is saved.
+{\bf axiom3d.ps}
+%
+\item[{\tt Axiom*titleFont \it font}] \ \newline
+This
+\index{graphics!.Xdefaults!title font}
+indicates which font type is used
+for the title text and, for three-di\-men\-sion\-al graphs,
+in the lighting and viewing-volume control-panel windows.
+\index{graphics!Xdefaults!2d}
+{\bf Rom14}
+%
+\item[{\tt Axiom.2D.unitFont:\ \it font}] \quad (2D only) \newline
+This indicates
+\index{graphics!.Xdefaults!unit label font}
+which font type is used for displaying the unit labels on
+two-di\-men\-sion\-al viewport graphs.
+{\bf 6x10}
+%
+\item[{\tt Axiom.3D.volumeFont:\ \it font}] \quad (3D only) \newline
+This indicates which font type is used for the {\bf x},
+\index{graphics!.Xdefaults!volume label font}
+{\bf y}, and {\bf z} labels of the clipping region sliders; for the
+{\bf Perspective}, {\bf Show Region}, and {\bf Clipping On} buttons under
+{\bf Settings}, and above the windows for the {\bf Hither} and
+{\bf Eye Distance} sliders in the {\bf Viewing Volume Panel} of the
+three-di\-men\-sion\-al control-panel.
+{\bf Rom8}
+\end{description}
+
+
+\chapter{Using Types and Modes}
+\label{sec:Using Types and Modes}
+
+\index{type} 
+\index{mode} 
+In this chapter we look at the key notion of {\it type} and its
+generalization {\it mode}.  We show that every Axiom object has a type
+that determines what you can do with the object.  In particular, we
+explain how to use types to call specific functions from particular
+parts of the library and how types and modes can be used to create new
+objects from old.  We also look at {\tt Record} \index{Record} and
+{\tt Union} \index{Union} types and the special type {\tt Any}
+\index{Any}.  Finally, we give you an idea of how Axiom manipulates
+types and modes internally to resolve ambiguities.
+
+
+\section{The Basic Idea}
+\label{sec:The Basic Idea}
+
+The Axiom world deals with many kinds of objects.  There are
+mathematical objects such as numbers and polynomials, data structure
+objects such as lists and arrays, and graphics objects such as points
+and graphic images.  Functions are objects too.
+
+\index{domain}
+Axiom organizes objects using the notion of domain of computation, or
+simply {\it domain}.  Each domain denotes a class of objects.  The
+class of objects it denotes is usually given by the name of the
+domain: {\tt Integer} \index{Integer}
+for the integers, {\tt Float} \index{Float}
+for floating-point
+numbers, and so on.  The convention is that the first letter of a
+domain name is capitalized.  Similarly, the domain 
+{\tt Polynomial(Integer)} \index{Polynomial(Integer)}
+denotes ``polynomials with integer
+coefficients.''  Also, {\tt Matrix(Float)} \index{Matrix(Float)}
+denotes ``matrices with
+floating-point entries.''
+
+Every basic Axiom object belongs to a unique domain.  The integer $3$
+belongs to the domain {\tt Integer} and the polynomial $x + 3$ belongs
+to the domain {\tt Polynomial(Integer)}.  The domain of an object is
+also called its {\it type}.  Thus we speak of ``the type 
+{\tt Integer}'' and ``the type {\tt Polynomial(Integer)}.''
+
+After an Axiom computation, the type is displayed toward the
+right-hand side of the page (or screen).
+\spadcommand{-3}
+$$
+-3 
+$$
+\returnType{Type: Integer}
+
+Here we create a rational number but it looks like the last result.
+The type however tells you it is different.  You cannot identify the
+type of an object by how Axiom displays the object.
+\spadcommand{-3/1}
+$$
+-3 
+$$
+\returnType{Type: Fraction Integer}
+
+When a computation produces a result of a simpler type, Axiom leaves
+the type unsimplified.  Thus no information is lost.
+\spadcommand{x + 3 - x}
+$$
+3 
+$$
+\returnType{Type: Polynomial Integer}
+
+\index{retract}
+This seldom matters since Axiom retracts the answer to the
+simpler type if it is necessary.
+\spadcommand{factorial(\%)}
+$$
+6 
+$$
+\returnType{Type: Expression Integer}
+
+\index{PositiveInteger}
+When you issue a positive number, the type {\tt PositiveInteger} is
+printed.  Surely, $3$ also has type {\tt Integer}!  The curious reader
+may now have two questions.  First, is the type of an object not
+unique?  Second, how is {\tt PositiveInteger} related to {\tt
+Integer}?
+\spadcommand{3}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+\index{subdomain}
+Any domain can be refined to a {\it subdomain} by a membership 
+{\tt predicate}. A {\tt predicate} is a function that, when applied to an
+object of the domain, returns either {\tt true} or {\tt false}.  For
+example, the domain {\tt Integer} can be refined to the subdomain 
+{\tt PositiveInteger}, the set of integers $x$ such that $x > 0$, by giving
+the Axiom predicate $x +-> x > 0$.  Similarly, Axiom can define
+subdomains such as ``the subdomain of diagonal matrices,'' ``the
+subdomain of lists of length two,'' ``the subdomain of monic
+irreducible polynomials in $x$,'' and so on.  Trivially, any domain is
+a subdomain of itself.
+
+While an object belongs to a unique domain, it can belong to any
+number of subdomains.  Any subdomain of the domain of an object can be
+used as the {\it type} of that object.  The type of $3$ is indeed both
+{\tt Integer} and {\tt PositiveInteger} as well as any other subdomain
+of integer whose predicate is satisfied, such as ``the prime
+integers,'' ``the odd positive integers between 3 and 17,'' and so on.
+
+\subsection{Domain Constructors}
+\label{sec:Domain Constructors}
+
+In Axiom, domains are objects.  You can create them, pass them to
+functions, and, as we'll see later, test them for certain properties.
+
+You ask for a value of a function by applying its name
+to a set of arguments.
+
+To ask for ``the factorial of $7$'' you enter this expression to
+Axiom.  This applies the function {\tt factorial} to the value $7$ to
+compute the result.
+\index{factorial}
+\spadcommand{factorial(7)}
+$$
+5040 
+$$
+\returnType{Type: PositiveInteger}
+
+Enter the type {\tt Polynomial (Integer)} as an expression to Axiom.
+This looks much like a function call as well.  It is!  The result is
+appropriately stated to be of type {\tt Domain}, which according to
+our usual convention, denotes the class of all domains.
+\spadcommand{Polynomial(Integer)}
+$$
+\mbox{\rm Polynomial Integer} 
+$$
+\returnType{Type: Domain}
+\index{Domain}
+
+\index{domain constructor}
+The most basic operation involving domains is that of building a new
+domain from a given one.  To create the domain of ``polynomials over
+the integers,'' Axiom applies the function {\tt Polynomial} to the
+domain {\tt Integer}.  A function like {\tt Polynomial} is called a
+{\it domain constructor} or, \index{constructor!domain} more simply, a
+{\it constructor}.  A domain constructor is a function that creates a
+domain.  An argument to a domain constructor can be another domain or,
+in general, an arbitrary kind of object.  {\tt Polynomial} takes a
+single domain argument while {\tt SquareMatrix} takes a positive
+integer as a first argument to give the matrix 
+dimension and a domain as a second argument to give 
+the type of its components.
+
+What kinds of domains can you use as the argument to {\tt List} 
+or {\tt Polynomial} or {\tt SquareMatrix}?  Well, the last two are
+mathematical in nature.  You want to be able to perform algebraic
+operations like ``{\tt +}'' and ``{\tt *}'' on polynomials and square
+matrices, and operations such as {\bf determinant} on square
+matrices.  So you want to allow polynomials of integers {\it and}
+polynomials of square matrices with complex number coefficients and,
+in general, anything that ``makes sense.'' At the same time, you don't
+want Axiom to be able to build nonsense domains such as ``polynomials
+of strings!''
+
+In contrast to algebraic structures, data structures can hold any kind
+of object.  Operations on lists such as \spadfunFrom{insert}{List},
+\spadfunFrom{delete}{List}, and \spadfunFrom{concat}{List} just
+manipulate the list itself without changing or operating on its
+elements.  Thus you can build {\tt List} over almost any datatype,
+including itself.
+
+Create a complicated algebraic domain.
+\spadcommand{List (List (Matrix (Polynomial (Complex (Fraction (Integer))))))}
+$$
+\mbox{\rm List List Matrix Polynomial Complex Fraction Integer} 
+$$
+\returnType{Type: Domain}
+
+Try to create a meaningless domain.
+\spadcommand{Polynomial(String)}
+\begin{verbatim}
+   Polynomial String is not a valid type.
+\end{verbatim}
+
+\index{category}
+Evidently from our last example, Axiom has some mechanism that tells
+what a constructor can use as an argument.  This brings us to the
+notion of {\it category}.  As domains are objects, they too have a
+domain.  The domain of a domain is a category.  A category is simply a
+type whose members are domains.
+
+\index{Ring}
+A common algebraic category is {\tt Ring}, the class of all domains
+that are ``rings.''  A ring is an algebraic structure with constants
+$0$ and $1$ and operations \spadopFrom{+}{Ring}, \spadopFrom{-}{Ring},
+and \spadopFrom{*}{Ring}.  These operations are assumed ``closed''
+with respect to the domain, meaning that they take two objects of the
+domain and produce a result object also in the domain.  The operations
+are understood to satisfy certain ``axioms,'' certain mathematical
+principles providing the algebraic foundation for rings.  For example,
+the {\it additive inverse axiom} for rings states: \begin{center}
+Every element $x$ has an additive inverse $y$ such that $x + y = 0$.
+\end{center} The prototypical example of a domain that is a ring is
+the integers.  Keep them in mind whenever we mention {\tt Ring}.
+
+Many algebraic domain constructors such as {\tt Complex}, 
+{\tt Polynomial}, {\tt Fraction}, take rings as arguments and return rings
+as values.  You can use the infix operator ``$has$'' to ask a domain
+if it belongs to a particular category.
+
+All numerical types are rings.  Domain constructor {\tt Polynomial}
+builds ``the ring of polynomials over any other ring.''
+\spadcommand{Polynomial(Integer) has Ring}
+$$
+{\rm true}
+$$
+\returnType{Type: Boolean}
+
+Constructor {\tt List} never produces a ring.
+\spadcommand{List(Integer) has Ring}
+$$
+{\rm false}
+$$
+\returnType{Type: Boolean}
+
+The constructor {\tt Matrix(R)} builds ``the domain of all matrices
+over the ring $R$.'' This domain is never a ring since the operations
+``{\tt +}'', ``{\tt -}'', and ``{\tt *}'' on matrices of arbitrary
+shapes are undefined.
+\spadcommand{Matrix(Integer) has Ring}
+$$
+{\rm false}
+$$
+\returnType{Type: Boolean}
+
+Thus you can never build polynomials over matrices.
+\spadcommand{Polynomial(Matrix(Integer))}
+\begin{verbatim}
+   Polynomial Matrix Integer is not a valid type.
+\end{verbatim}
+
+\index{SquareMatrix}
+Use {\tt SquareMatrix(n,R)} instead.  For any positive integer $n$, it
+builds ``the ring of $n$ by $n$ matrices over $R$.''
+\spadcommand{Polynomial(SquareMatrix(7,Complex(Integer)))}
+$$
+\mbox{\rm Polynomial SquareMatrix(7,Complex Integer)} 
+$$
+\returnType{Type: Domain}
+
+\index{Field}
+Another common category is {\tt Field}, the class of all fields.
+\index{field} A field is a ring with additional operations.  For
+example, a field has commutative multiplication and a closed operation
+\spadopFrom{/}{Field} for the division of two elements.  {\tt Integer}
+is not a field since, for example, $3/2$ does not have an integer
+result.  The prototypical example of a field is the rational numbers,
+that is, the domain {\tt Fraction(Integer)}. \index{Fraction(Integer)}
+In general, the
+constructor {\tt Fraction} \index{Fraction}
+takes an IntegralDomain, \index{IntegralDomain}
+which is a ring
+with additional properties, as an argument and returns a field. 
+Other domain constructors, such as {\tt Complex}, build fields only if their
+argument domain is a field.
+
+\index{Gaussian Integers}
+The complex integers (often called the ``Gaussian integers'') do not form
+a field.
+\spadcommand{Complex(Integer) has Field}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\index{Fraction(Complex(Integer))}
+But fractions of complex integers do.
+\spadcommand{Fraction(Complex(Integer)) has Field}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\index{Complex(Fraction(Integer))}
+The algebraically equivalent domain of complex rational numbers is a field
+since domain constructor {\tt Complex} produces a field whenever its
+argument is a field.
+\spadcommand{Complex(Fraction(Integer)) has Field}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+\index{Type}
+\index{Category}
+The most basic category is {\tt Type}.  \index{Type} It denotes the
+class of all domains and subdomains. Note carefully that {\tt Type}
+does not denote the class of all types.  The type of all categories is
+{\tt Category}.  The type of {\tt Type} itself is undefined.  Domain
+constructor {\tt List} is able to build ``lists of elements from
+domain $D$'' for arbitrary $D$ simply by requiring that $D$ belong to
+category {\tt Type}.
+
+Now, you may ask, what exactly is a category?  \index{category} Like
+domains, categories can be defined in the Axiom language.  A category
+is defined by three components:
+%
+\begin{enumerate}
+\item a name (for example, {\tt Ring}),
+used to refer to the class of domains that the category represents;
+\item a set of operations, used to refer to the operations that
+the domains of this class support
+(for example, ``{\tt +}'', ``{\tt -}'', and ``{\tt *}'' for rings); and
+\item an optional list of other categories that this category extends.
+\end{enumerate}
+%
+This last component is a new idea.  And it is key to the design of
+Axiom.  Because categories can extend one another, they form
+hierarchies. All categories are extensions of {\tt Type} and that {\tt Field}
+is an extension of {\tt Ring}.
+
+\index{exports!category}
+\index{category exports}
+The operations supported by the domains of a category are called the
+{\sl exports} of that category because these are the operations made
+available for system-wide use.  The exports of a domain of a given
+category are not only the ones explicitly mentioned by the category.
+Since a category extends other categories, the operations of these
+other categories---and all categories these other categories
+extend---are also exported by the domains.
+
+For example, polynomial domains belong to {\tt PolynomialCategory}.
+This category explicitly mentions some twenty-nine operations on
+polynomials, but it extends eleven other categories (including 
+{\tt Ring}).  As a result, the current system has over one hundred
+operations on polynomials.
+
+If a domain belongs to a category that extends, say, {\tt Ring}, it is
+convenient to say that the domain exports {\tt Ring}.  The name of the
+category thus provides a convenient shorthand for the list of
+operations exported by the category.  Rather than listing operations
+such as \spadopFrom{+}{Ring} and \spadopFrom{*}{Ring} of {\tt Ring}
+each time they are needed, the definition of a type simply asserts
+that it exports category {\tt Ring}.
+
+The category name, however, is more than a shorthand.  The name 
+{\tt Ring}, in fact, implies that the operations exported by rings are
+required to satisfy a set of ``axioms'' associated with the name 
+{\tt Ring}. This subtle but important feature distinguishes Axiom from
+other abstract datatype designs.
+
+Why is it not correct to assume that some type is a ring if it exports
+all of the operations of {\tt Ring}?  Here is why.  Some languages
+such as {\bf APL} \index{APL} denote the {\tt Boolean} constants
+{\tt true} and {\tt false} by the integers $1$ and $0$ respectively, then use
+``{\tt +}'' and ``{\tt *}'' to denote the logical operators {\bf or} and
+{\bf and}.  But with these definitions {\tt Boolean} is not a
+ring since the additive inverse axiom is violated. That is, there is
+no inverse element $a$ such that $1 + a = 0$, or, in the usual terms:
+{\tt true or a = false}.  This alternative definition of {\tt Boolean}
+can be easily and correctly implemented in Axiom, since {\tt Boolean}
+simply does not assert that it is of category {\tt Ring}.  This
+prevents the system from building meaningless domains such as 
+{\tt Polynomial(Boolean)} and then wrongfully applying algorithms that
+presume that the ring axioms hold.
+
+Enough on categories. We now return to our discussion of domains.
+
+\index{exports!Domain}
+Domains {\it export} a set of operations to make them available for
+system-wide use.  {\tt Integer}, for example, exports the operations
+\spadopFrom{+}{Integer} and \spadopFrom{=}{Integer} given by the
+signatures \spadopFrom{+}{Integer}:
+\spadsig{(Integer,Integer)}{Integer} and \spadopFrom{=}{Integer}:
+\spadsig{(Integer,Integer)}{Boolean}, respectively.  Each of these
+operations takes two {\tt Integer} arguments.  The
+\spadopFrom{+}{Integer} operation also returns an {\tt Integer} but
+\spadopFrom{=}{Integer} returns a {\tt Boolean}: {\tt true} or {\tt false}.
+The operations exported by a domain usually manipulate objects of the
+domain---but not always.
+
+The operations of a domain may actually take as arguments, and return
+as values, objects from any domain.  For example, {\tt Fraction
+(Integer)} exports the operations \spadopFrom{/}{Fraction}:
+\spadsig{(Integer,Integer)}{Fraction(Integer)} and
+\spadfunFrom{characteristic}{Fraction}:
+\spadsig{}{NonNegativeInteger}.
+
+Suppose all operations of a domain take as arguments and return as
+values, only objects from {\it other} domains.  \index{package} This
+kind of domain \index{constructor!package} is what Axiom calls a {\it
+package}.
+
+A package does not designate a class of objects at all.  Rather, a
+package is just a collection of operations.  Actually the bulk of the
+Axiom library of algorithms consists of packages.  The facilities for
+factorization; integration; solution of linear, polynomial, and
+differential equations; computation of limits; and so on, are all
+defined in packages.  Domains needed by algorithms can be passed to a
+package as arguments or used by name if they are not ``variable.''
+Packages are useful for defining operations that convert objects of
+one type to another, particularly when these types have different
+parameterizations.  As an example, the package 
+{\tt PolynomialFunction2(R,S)} \index{PolynomialFunction2(R,S)}
+defines operations that convert polynomials
+over a domain $R$ to polynomials over $S$.  To convert an object from
+{\tt Polynomial(Integer)} to {\tt Polynomial(Float)}, Axiom builds the
+package {\tt PolynomialFunctions2(Integer,Float)} in order to create
+the required conversion function.  (This happens ``behind the scenes''
+for you.)
+
+Axiom categories, domains and packages and all their contained
+functions are written in the Axiom programming language, called the
+{\bf Spad} language, and have been
+compiled into machine code.  This is what comprises the Axiom 
+{\it library}.  We will show you how to use these
+domains and their functions and how to write your own functions.
+
+\index{Aldor}
+\index{Aldor!Spad}
+\index{Spad}
+\index{Spad!Aldor}
+There is a second language, called {\bf Aldor}\cite{4} that is 
+compatible with the {\bf Spad} language. They both can create
+programs than can execute under Axiom. Aldor is a standalone
+version of the {\bf Spad} language and contains some additional
+syntax to support standalone programs. In addition, {\bf Aldor}
+includes some new ideas such as post-facto domain extensions.
+
+\section{Writing Types and Modes}
+\label{sec:Writing Types and Modes}
+
+We have already seen in the last section several examples of types.  
+Most of these
+examples had either no arguments (for example, {\tt Integer}) or one
+argument (for example, {\tt Polynomial (Integer)}).  In this section
+we give details about writing arbitrary types.  We then define modes
+and discuss how to write them.  We conclude the section with a
+discussion on constructor abbreviations.
+
+When might you need to write a type or mode?  You need to do so when
+you declare variables.
+\index{PositiveInteger}
+\spadcommand{a : PositiveInteger}
+\returnType{Type: Void}
+
+You need to do so when you declare functions 
+
+\spadcommand{f : Integer -> String}
+\returnType{Type: Void}
+
+You need to do so when you convert an object from one type to another.
+\index{:: conversion}
+\index{Complex(Integer)}
+\spadcommand{factor(2 :: Complex(Integer))}
+$$
+-{i \  {{\left( 1+i 
+\right)}
+\sp 2}} 
+$$
+\returnType{Type: Factored Complex Integer}
+
+\index{\$ package call}
+\spadcommand{(2 = 3)\$Integer}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\index{target type}
+You need to do so when you give computation target type information.
+\spadcommand{(2 = 3)@Boolean}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\subsection{Types with No Arguments}
+\label{sec:Types with No Arguments}
+
+A constructor with no arguments can be written either
+\index{type!using parentheses} with or without
+\index{parentheses!using with types} trailing opening and closing
+parentheses ``{\tt ()}''.
+
+\begin{center}
+{\tt Boolean()} \index{Boolean} is the same as {\tt Boolean} \\
+{\tt Integer()} \index{Integer} is the same as {\tt Integer} \\
+{\tt String()} \index{String} is the same as {\tt String} \\
+{\tt Void()} \index{Void} is the same as {\tt Void} 
+\end{center}
+
+It is customary to omit the parentheses.
+
+\subsection{Types with One Argument}
+\label{sec:Types with One Argument}
+
+A constructor with one argument can frequently be 
+\index{type!using parentheses} written with no 
+\index{parentheses!using with types} parentheses.  Types nest from 
+right to left so that {\tt Complex Fraction Polynomial Integer} 
+is the same as {\tt Complex (Fraction (Polynomial (Integer)))}.  
+You need to use parentheses to force the application of a constructor 
+to the correct argument, but you need not use any more than is necessary 
+to remove ambiguities.
+
+Here are some guidelines for using parentheses (they are possibly slightly
+more restrictive than they need to be).
+
+If the argument is an expression like $2 + 3$
+then you must enclose the argument in parentheses.
+\spadcommand{e : PrimeField(2 + 3)}
+\returnType{Type: Void}
+
+If the type is to be used with package calling
+then you must enclose the argument in parentheses.
+\spadcommand{content(2)\$Polynomial(Integer)}
+$$
+2 
+$$
+\returnType{Type: Integer}
+
+Alternatively, you can write the type without parentheses
+then enclose the whole type expression with parentheses.
+\spadcommand{content(2)\$(Polynomial Complex Fraction Integer)}
+$$
+2 
+$$
+\returnType{Type: Complex Fraction Integer}
+
+If you supply computation target type information 
+then you should enclose the argument in parentheses.
+\spadcommand{(2/3)@Fraction(Polynomial(Integer))}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+If the type itself has parentheses around it and we are not in the
+case of the first example above, then the parentheses can usually be
+omitted.
+\spadcommand{(2/3)@Fraction(Polynomial Integer)}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Polynomial Integer}
+
+If the type is used in a declaration and the argument is a single-word
+type, integer or symbol, then the parentheses can usually be omitted.
+\spadcommand{(d,f,g) : Complex Polynomial Integer}
+\returnType{Type: Void}
+
+\subsection{Types with More Than One Argument}
+\label{sec:Types with More Than One Argument}
+
+If a constructor \index{type!using parentheses} has more than
+\index{parentheses!using with types} one argument, you must use
+parentheses.  Some examples are \\
+
+{\tt UnivariatePolynomial(x, Float)} \index{UnivariatePolynomial} \\ 
+{\tt MultivariatePolynomial([z,w,r], Complex Float)} \\ 
+\index{MultivariatePolynomial}
+{\tt SquareMatrix(3, Integer)} \index{SquareMatrix} \\ 
+{\tt FactoredFunctions2(Integer,Fraction Integer)} 
+\index{FactoredFunctions2}
+
+\subsection{Modes}
+\label{sec:Modes}
+\index{mode}
+A {\it mode} is a type that possibly is a question mark ({\tt ?}) or
+contains one in an argument position.  For example, the following are
+all modes.\\
+
+{\tt ?} \\
+{\tt Polynomial ?} \\
+{\tt Matrix Polynomial ?} \\
+{\tt SquareMatrix(3,?)} \\
+{\tt Integer} \\
+{\tt OneDimensionalArray(Float)}
+\index{OneDimensionalArray}
+
+As is evident from these examples, a mode is a type with a part that
+is not specified (indicated by a question mark).  Only one ``{\tt ?}'' is
+allowed per mode and it must appear in the most deeply nested argument
+that is a type. Thus {\tt ?(Integer)}, {\tt Matrix(? (Polynomial))},
+{\tt SquareMatrix(?, Integer)} (it requires a numeric argument)
+and {\tt SquareMatrix(?, ?)} are all
+invalid.  The question mark must take the place of a domain, not data.
+This rules out, for example, the two {\tt SquareMatrix} expressions.
+
+Modes can be used for declarations and conversions. However, you
+cannot use a mode for package calling or giving target type information.
+
+\subsection{Abbreviations}
+\label{sec:Abbreviations}
+
+Every constructor has an abbreviation that
+\index{abbreviation!constructor} you can freely
+\index{constructor!abbreviation} substitute for the constructor name.
+In some cases, the abbreviation is nothing more than the capitalized
+version of the constructor name.
+
+\boxed{4.6in}{
+
+\vskip 0.1cm
+Aside from allowing types to be written more concisely, abbreviations
+are used by Axiom to name various system files for constructors (such
+as library filenames, test input files and example files).  Here are
+some common abbreviations.
+
+\begin{center}
+\begin{tabular}{ll}
+\small{\tt COMPLEX}   abbreviates {\tt Complex}             &
+\small{\tt DFLOAT}    abbreviates {\tt DoubleFloat}         \\
+\small{\tt EXPR}      abbreviates {\tt Expression}          &
+\small{\tt FLOAT}     abbreviates {\tt Float}               \\
+\small{\tt FRAC}      abbreviates {\tt Fraction}            &
+\small{\tt INT}       abbreviates {\tt Integer}             \\
+\small{\tt MATRIX}    abbreviates {\tt Matrix}              &
+\small{\tt NNI}       abbreviates {\tt NonNegativeInteger}  \\
+\small{\tt PI}        abbreviates {\tt PositiveInteger}     &
+\small{\tt POLY}      abbreviates {\tt Polynomial}          \\
+\small{\tt STRING}    abbreviates {\tt String}              &
+\small{\tt UP}        abbreviates {\tt UnivariatePolynomial}\\
+\end{tabular}
+\end{center}
+\vskip 0.1cm
+}
+
+You can combine both full constructor names and abbreviations in a
+type expression.  Here are some types using abbreviations.
+
+\begin{center}
+\begin{tabular}{rcl}
+{\tt POLY INT} & is the same as & {\tt Polynomial(INT)} \\
+{\tt POLY(Integer)} & is the same as & {\tt Polynomial(Integer)} \\
+{\tt POLY(Integer)} & is the same as & {\tt Polynomial(INT)} \\
+{\tt FRAC(COMPLEX(INT))} & is the same as & {\tt Fraction Complex Integer} \\
+{\tt FRAC(COMPLEX(INT))} & is the same as & {\tt FRAC(Complex Integer)} 
+\end{tabular}
+\end{center}
+
+There are several ways of finding the names of constructors and their
+abbreviations.  For a specific constructor, use {\tt )abbreviation
+query}.  \index{abbreviation} You can also use the {\tt )what} system
+command to see the names and abbreviations of constructors.
+\index{what} 
+
+\index{)abbreviation}
+\index{)abb}
+{\tt )abbreviation query} can be abbreviated (no pun intended) to 
+{\tt )abb q}.
+\spadcommand{)abb q Integer}
+\begin{verbatim}
+   INT abbreviates domain Integer 
+\end{verbatim}
+
+The {\tt )abbreviation query} command lists the constructor name if
+you give the abbreviation.  Issue {\tt )abb q} if you want to see the
+names and abbreviations of all Axiom constructors.  
+\spadcommand{)abb q DMP} 
+\begin{verbatim}
+   DMP abbreviates domain DistributedMultivariatePolynomial 
+\end{verbatim}
+
+Issue this to see all packages whose
+names contain the string ``ode''.  \index{what packages}
+\spadcommand{)what packages ode}
+\begin{verbatim}
+---------------------- Packages -----------------------
+
+Packages with names matching patterns:
+     ode 
+
+ EXPRODE  ExpressionSpaceODESolver     
+ FCPAK1   FortranCodePackage1
+ GRAY     GrayCode                     
+ LODEEF   ElementaryFunctionLODESolver
+ NODE1    NonLinearFirstOrderODESolver 
+ ODECONST ConstantLODE
+ ODEEF    ElementaryFunctionODESolver  
+ ODEINT   ODEIntegration
+ ODEPAL   PureAlgebraicLODE            
+ ODERAT   RationalLODE
+ ODERED   ReduceLODE                   
+ ODESYS   SystemODESolver
+ ODETOOLS ODETools
+ UTSODE   UnivariateTaylorSeriesODESolver
+ UTSODETL UTSodetools
+\end{verbatim}
+
+\section{Declarations}
+\label{sec:Declarations}
+\index{declarations}
+\index{: declaration}
+A {\it declaration} is an expression used to restrict the type of
+values that can be assigned to variables.  A colon ``{\tt :}'' is always
+used after a variable or list of variables to be declared.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+For a single variable, the syntax for declaration is
+\begin{center}
+{\it variableName $:$ typeOrMode}
+\end{center}
+
+For multiple variables, the syntax is
+\begin{center}
+{\tt ($\hbox{\it variableName}_{1}$, $\hbox{\it variableName}_{2}$, 
+\ldots $\hbox{\it variableName}_{N}$): {\it typeOrMode}}
+\end{center}
+\vskip 0.1cm
+}
+
+You can always combine a declaration with an assignment.  When you do,
+it is equivalent to first giving a declaration statement, then giving
+an assignment.  
+
+This declares one variable to have a type.
+\spadcommand{a : Integer}
+\returnType{Type: Void}
+
+This declares several variables to have a type.
+\spadcommand{(b,c) : Integer}
+\returnType{Type: Void}
+
+$a$, $b$ and $c$ can only hold integer values.
+\spadcommand{a := 45}
+$$
+45 
+$$
+\returnType{Type: Integer}
+
+If a value cannot be converted to a declared type,
+an error message is displayed.
+\spadcommand{b := 4/5}
+\begin{verbatim}
+ 
+   Cannot convert right-hand side of assignment
+   4
+   -
+   5
+
+      to an object of the type Integer of the left-hand side.
+\end{verbatim}
+
+This declares a variable with a mode.
+\spadcommand{n : Complex ?}
+\returnType{Type: Void}
+
+This declares several variables with a mode.
+\spadcommand{(p,q,r) : Matrix Polynomial ?}
+\returnType{Type: Void}
+
+This complex object has integer real and imaginary parts.
+\spadcommand{n := -36 + 9 * \%i}
+$$
+-{36}+{9 \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+This complex object has fractional symbolic real and imaginary parts.
+\spadcommand{n := complex(4/(x + y),y/x)}
+$$
+{4 \over {y+x}}+{{y \over x} \  i} 
+$$
+\returnType{Type: Complex Fraction Polynomial Integer}
+
+This matrix has entries that are polynomials with integer
+coefficients.
+\spadcommand{p := [ [1,2],[3,4],[5,6] ]}
+$$
+\left[
+\begin{array}{cc}
+1 & 2 \\ 
+3 & 4 \\ 
+5 & 6 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Integer}
+
+This matrix has a single entry that is a polynomial with
+rational number coefficients.
+\spadcommand{q := [ [x - 2/3] ]}
+$$
+\left[
+\begin{array}{c}
+{x -{2 \over 3}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Fraction Integer}
+
+This matrix has entries that are polynomials with complex integer
+coefficients.
+
+\spadcommand{r := [ [1-\%i*x,7*y+4*\%i] ]}
+$$
+\left[
+\begin{array}{cc}
+{-{i \  x}+1} & {{7 \  y}+{4 \  i}} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Polynomial Complex Integer}
+
+Note the difference between this and the next example.
+This is a complex object with polynomial real and imaginary parts.
+
+\spadcommand{f : COMPLEX POLY ? := (x + y*\%i)**2}
+$$
+-{y \sp 2}+{x \sp 2}+{2 \  x \  y \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+This is a polynomial with complex integer coefficients.  The objects
+are convertible from one to the other.  
+
+\spadcommand{g : POLY COMPLEX ? := (x + y*\%i)**2}
+$$
+-{y \sp 2}+{2 \  i \  x \  y}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Complex Integer}
+
+\section{Records}
+\label{sec:Records}
+
+A {\tt Record} is an object composed of one or more other objects,
+\index{Record} each of which is referenced \index{selector!record}
+with \index{record!selector} a {\it selector}.  Components can all
+belong to the same type or each can have a different type.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for writing a {\tt Record} type is \begin{center} {\tt
+Record($\hbox{\it selector}_{1}$:$\hbox{\it type}_{1}$,
+$\hbox{\it selector}_{2}$:$\hbox{\it type}_{2}$, \ldots,
+$\hbox{\it selector}_{N}$:$\hbox{\it type}_{N}$)} \end{center} You must be
+careful if a selector has the same name as a variable in the
+workspace.  If this occurs, precede the selector name by a single
+\index{quote} quote.\\
+}
+
+Record components are implicitly ordered.  All the components of a
+record can be set at once by assigning the record a bracketed {\it
+tuple} of values of the proper length. For example:
+\spadcommand{r : Record(a:Integer, b: String) := [1, "two"]}  
+$$
+\left[
+{a=1},  {b= \mbox{\tt "two"} } 
+\right]
+$$
+\returnType{Type: Record(a: Integer,b: String)}
+To access a component of a record $r$, write the name $r$, followed by
+a period, followed by a selector.
+\index{. Record selector}
+
+The object returned by this computation is a record with two components: a
+$quotient$ part and a $remainder$ part.
+\spadcommand{u := divide(5,2)}
+$$
+\left[
+{quotient=2},  {remainder=1} 
+\right]
+$$
+\returnType{Type: Record(quotient: Integer,remainder: Integer)}
+
+This is the quotient part.
+\spadcommand{u.quotient}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the remainder part.
+\spadcommand{u.remainder}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+You can use selector expressions on the left-hand side of an assignment
+to change destructively the components of a record.
+\spadcommand{u.quotient := 8978}
+$$
+8978 
+$$
+\returnType{Type: PositiveInteger}
+
+The selected component $quotient$ has the value $8978$, which is what
+is returned by the assignment.  Check that the value of $u$ was
+modified.
+\spadcommand{u}
+$$
+\left[
+{quotient={8978}},  {remainder=1} 
+\right]
+$$
+\returnType{Type: Record(quotient: Integer,remainder: Integer)}
+
+Selectors are evaluated.  Thus you can use variables that evaluate to
+selectors instead of the selectors themselves.
+\spadcommand{s := 'quotient}
+$$
+quotient 
+$$
+\returnType{Type: Variable quotient}
+
+Be careful!  A selector could have the same name as a variable in the
+workspace.  If this occurs, precede the selector name by a single
+quote, as in $u.'quotient$.  \index{selector!quoting}
+\spadcommand{divide(5,2).s}
+$$
+2 
+$$
+\returnType{Type: PositiveInteger}
+
+Here we declare that the value of $bd$ has two components: a string,
+to be accessed via {\tt name}, and an integer, to be accessed via
+{\tt birthdayMonth}.
+\spadcommand{bd : Record(name : String, birthdayMonth : Integer)}
+\returnType{Type: Void}
+
+You must initially set the value of the entire {\tt Record} at once.
+\spadcommand{bd := ["Judith", 3]}
+$$
+\left[
+{name= \mbox{\tt "Judith"} },  {birthdayMonth=3} 
+\right]
+$$
+\returnType{Type: Record(name: String,birthdayMonth: Integer)}
+
+Once set, you can change any of the individual components.
+\spadcommand{bd.name := "Katie"}
+$$
+\mbox{\tt "Katie"} 
+$$
+\returnType{Type: String}
+
+Records may be nested and the selector names can be shared at
+different levels.
+\spadcommand{r : Record(a : Record(b: Integer, c: Integer), b: Integer)}
+\returnType{Type: Void}
+
+The record $r$ has a $b$ selector at two different levels.
+Here is an initial value for $r$.
+\spadcommand{r := [ [1,2], 3 ]}
+$$
+\left[
+{a={\left[ {b=1},  {c=2} 
+\right]}},
+ {b=3} 
+\right]
+$$
+\returnType{Type: Record(a: Record(b: Integer,c: Integer),b: Integer)}
+
+This extracts the $b$ component from the $a$ component of $r$.
+\spadcommand{r.a.b}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+This extracts the $b$ component from $r$.
+\spadcommand{r.b}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+You can also use spaces or parentheses to refer to {\tt Record}
+components.  This is the same as $r.a$.
+\spadcommand{r(a)}
+$$
+\left[
+{b=1},  {c=2} 
+\right]
+$$
+\returnType{Type: Record(b: Integer,c: Integer)}
+This is the same as $r.b$.
+\spadcommand{r b}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+This is the same as $r.b := 10$.
+\spadcommand{r(b) := 10}
+$$
+10 
+$$
+\returnType{Type: PositiveInteger}
+
+Look at $r$ to make sure it was modified.
+\spadcommand{r}
+$$
+\left[
+{a={\left[ {b=1},  {c=2} 
+\right]}},
+ {b={10}} 
+\right]
+$$
+\returnType{Type: Record(a: Record(b: Integer,c: Integer),b: Integer)}
+
+\section{Unions}
+\label{sec:Unions}
+
+Type {\tt Union} is used for objects that can be of any of a specific
+finite set of types.  \index{Union} Two versions of unions are
+available, one with selectors (like records) and one without.
+\index{union}
+
+\subsection{Unions Without Selectors}
+\label{sec:Unions Without Selectors}
+
+The declaration $x : Union(Integer, String, Float)$ states that $x$
+can have values that are integers, strings or ``big'' floats.  If, for
+example, the {\tt Union} object is an integer, the object is said to
+belong to the {\tt Integer} {\it branch} of the {\tt Union}.  Note
+that we are being a bit careless with the language here.  Technically,
+the type of $x$ is always {\tt Union(Integer, String, Float)}.  If it
+belongs to the {\tt Integer} branch, $x$ may be converted to an object
+of type {\tt Integer}.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for writing a {\tt Union} type without selectors is
+\begin{center}
+{\tt Union($\hbox{\it type}_{1}$, $\hbox{\it type}_{2}$, 
+\ldots, $\hbox{\it type}+{N}$)}
+\end{center}
+The types in a union without selectors must be distinct.\\
+}
+
+It is possible to create unions like {\tt Union(Integer, PositiveInteger)} 
+but they are difficult to work with because of the overlap in the branch 
+types.  See below for the rules Axiom uses for converting something into 
+a union object.
+
+The {\tt case} infix \index{case} operator returns a {\tt Boolean} and can
+be used to determine the branch in which an object lies.
+
+This function displays a message stating in which branch of the 
+{\tt Union} the object (defined as $x$ above) lies.
+
+\begin{verbatim}
+sayBranch(x : Union(Integer,String,Float)) : Void  ==
+  output
+    x case Integer => "Integer branch"
+    x case String  => "String branch"
+    "Float branch"
+\end{verbatim}
+
+This tries {\bf sayBranch} with an integer.
+\spadcommand{sayBranch 1}
+\begin{verbatim}
+Compiling function sayBranch with type Union(Integer,String,Float)
+    -> Void 
+ Integer branch
+\end{verbatim}
+\returnType{Type: Void}
+
+This tries {\bf sayBranch} with a string.
+\spadcommand{sayBranch "hello"}
+\begin{verbatim}
+   String branch
+\end{verbatim}
+\returnType{Type: Void}
+
+This tries {\bf sayBranch} with a floating-point number.
+\spadcommand{sayBranch 2.718281828}
+\begin{verbatim}
+   Float branch
+\end{verbatim}
+\returnType{Type: Void}
+
+There are two things of interest about this particular
+example to which we would like to draw your attention.
+\begin{enumerate}
+\item Axiom normally converts a result to the target value
+before passing it to the function.
+If we left the declaration information out of this function definition
+then the {\bf sayBranch} call would have been attempted with an
+{\tt Integer} rather than a {\tt Union}, and an error would have
+resulted.
+\item The types in a {\tt Union} are searched in the order given.
+So if the type were given as
+
+%\noindent
+{\tt sayBranch(x: Union(String,Integer,Float,Any)): Void}
+
+then the result would have been ``String branch'' because there
+is a conversion from {\tt Integer} to {\tt String}.
+\end{enumerate}
+
+Sometimes {\tt Union} types can have extremely long names.  Axiom
+therefore abbreviates the names of unions by printing the type of the
+branch first within the {\tt Union} and then eliding the remaining
+types with an ellipsis ({\tt ...}).
+
+Here the {\tt Integer} branch is displayed first.  Use ``{\tt ::}'' to
+create a {\tt Union} object from an object.
+\spadcommand{78 :: Union(Integer,String)}
+$$
+78 
+$$
+\returnType{Type: Union(Integer,...)}
+
+Here the {\tt String} branch is displayed first.
+\spadcommand{s := "string" :: Union(Integer,String)}
+$$
+\mbox{\tt "string"} 
+$$
+\returnType{Type: Union(String,...)}
+
+Use {\tt typeOf} to see the full and actual {\tt Union} type. \index{typeOf}
+\spadcommand{typeOf s}
+$$
+Union(Integer,String) 
+$$
+\returnType{Type: Domain}
+
+A common operation that returns a union is \spadfunFrom{exquo}{Integer}
+which returns the ``exact quotient'' if the quotient is exact,
+\spadcommand{three := exquo(6,2)}
+$$
+3 
+$$
+\returnType{Type: Union(Integer,...)}
+
+and {\tt "failed"} if the quotient is not exact.
+\spadcommand{exquo(5,2)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+A union with a {\tt "failed"} is frequently used to indicate the failure
+or lack of applicability of an object.  As another example, assign an
+integer a variable $r$ declared to be a rational number.
+\spadcommand{r: FRAC INT := 3}
+$$
+3 
+$$
+\returnType{Type: Fraction Integer}
+
+The operation \spadfunFrom{retractIfCan}{Fraction} tries to retract
+the fraction to the underlying domain {\tt Integer}.  It produces a
+union object.  Here it succeeds.
+\spadcommand{retractIfCan(r)}
+$$
+3 
+$$
+\returnType{Type: Union(Integer,...)}
+
+Assign it a rational number.
+\spadcommand{r := 3/2}
+$$
+3 \over 2 
+$$
+\returnType{Type: Fraction Integer}
+
+Here the retraction fails.
+\spadcommand{retractIfCan(r)}
+$$
+\mbox{\tt "failed"} 
+$$
+\returnType{Type: Union("failed",...)}
+
+\subsection{Unions With Selectors}
+\label{sec:Unions With Selectors}
+
+Like records,
+you can write {\tt Union} types \index{selector!union} with selectors.
+\index{union!selector}
+
+\boxed{4.6in}{
+\vskip 0.1cm
+The syntax for writing a {\tt Union} type with selectors is
+\begin{center}
+{\tt Union($\hbox{\it selector}_{1}$:$\hbox{\it type}_{1}$, 
+$\hbox{\it selector}_{2}$:$\hbox{\it type}_{2}$, \ldots, 
+$\hbox{\it selector}_{N}$:$\hbox{\it type}_{N}$)}
+\end{center}
+You must be careful if a selector has the same name as a variable in
+the workspace.  If this occurs, precede the selector name by a single
+\index{quote} quote.  \index{selector!quoting} It is an error to use a
+selector that does not correspond to the branch of the {\tt Union} in
+which the element actually lies.  \\
+}
+
+Be sure to understand the difference between records and unions with
+selectors.  \index{union!difference from record} Records can have more
+than one component and the selectors are used to refer to the
+components.  \index{record!difference from union} Unions always have
+one component but the type of that one component can vary.  An object
+of type {\tt Record(a: Integer, b: Float, c: String)} contains an
+integer {\it and} a float {\it and} a string.  An object of type 
+{\tt Union(a: Integer, b: Float, c: String)} contains an integer 
+{\it or} a float {\it or} a string.
+
+Here is a version of the {\bf sayBranch} function that
+works with a union with selectors.  It displays a message stating in
+which branch of the {\tt Union} the object lies.
+
+\begin{verbatim}
+sayBranch(x:Union(i:Integer,s:String,f:Float)):Void==
+  output
+    x case i => "Integer branch"
+    x case s  => "String branch"
+    "Float branch"
+\end{verbatim}
+
+Note that {\tt case} uses the selector name as its right-hand argument.
+\index{case} If you accidentally use the branch type on the right-hand
+side of {\tt case}, {\tt false} will be returned.
+
+Declare variable $u$ to have a union type with selectors.
+\spadcommand{u : Union(i : Integer, s : String)}
+\returnType{Type: Void}
+
+Give an initial value to $u$.
+\spadcommand{u := "good morning"}
+$$
+\mbox{\tt "good morning"} 
+$$
+\returnType{Type: Union(s: String,...)}
+
+Use $case$ to determine in which branch of a {\tt Union} an object lies.
+\spadcommand{u case i}
+$$
+{\tt false} 
+$$
+\returnType{Type: Boolean}
+
+\spadcommand{u case s}
+$$
+{\tt true} 
+$$
+\returnType{Type: Boolean}
+
+To access the element in a particular branch, use the selector.
+\spadcommand{u.s}
+$$
+\mbox{\tt "good morning"} 
+$$
+\returnType{Type: String}
+
+\section{The ``Any'' Domain}
+\label{sec:The ``Any'' Domain}
+
+With the exception of objects of type {\tt Record}, all Axiom data
+structures are homogenous, that is, they hold objects all of the same
+type.  \index{Any} If you need to get around this, you can use type
+{\tt Any}.  Using {\tt Any}, for example, you can create lists whose
+elements are integers, rational numbers, strings, and even other
+lists.
+
+Declare $u$ to have type {\tt Any}.
+\spadcommand{u: Any}
+\returnType{Type: Void}
+
+Assign a list of mixed type values to $u$
+\spadcommand{u := [1, 7.2, 3/2, x**2, "wally"]}
+$$
+\left[
+1,  {7.2},  {3 \over 2},  {x \sp 2},  \mbox{\tt "wally"} 
+\right]
+$$
+\returnType{Type: List Any}
+
+When we ask for the elements, Axiom displays these types.
+\spadcommand{u.1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+Actually, these objects belong to {\tt Any} but Axiom
+automatically converts them to their natural types for you.
+\spadcommand{u.3}
+$$
+3 \over 2 
+$$
+\returnType{Type: Fraction Integer}
+
+Since type {\tt Any} can be anything, it can only belong to type 
+{\tt Type}.  Therefore it cannot be used in algebraic domains.
+\spadcommand{v : Matrix(Any)}
+\begin{verbatim}
+   Matrix Any is not a valid type.
+\end{verbatim}
+
+Perhaps you are wondering how Axiom internally represents objects of
+type {\tt Any}.  An object of type {\tt Any} consists not only a data
+part representing its normal value, but also a type part (a 
+{\it badge}) giving \index{badge} its type.  For example, the value $1$ of
+type {\tt PositiveInteger} as an object of type {\tt Any} internally
+looks like $[1,{\tt PositiveInteger()}]$.
+
+When should you use {\tt Any} instead of a {\tt Union} type?  For a
+{\tt Union}, you must know in advance exactly which types you are
+going to
+allow.  For {\tt Any}, anything that comes along can be accommodated.
+
+\section{Conversion}
+\label{sec:Conversion}
+\index{:: conversion}
+\boxed{4.6in}{
+\vskip 0.1cm
+Conversion is the process of changing an object of one type into an
+object of another type.  The syntax for conversion is:
+$$
+{\it object} {\tt ::} {\it newType}
+$$
+}
+
+By default, $3$ has the type {\tt PositiveInteger}.
+\spadcommand{3}
+$$
+3 
+$$
+\returnType{Type: PositiveInteger}
+
+We can change this into an object of type {\tt Fraction Integer}
+by using ``{\tt ::}''.
+\spadcommand{3 :: Fraction Integer}
+$$
+3 
+$$
+\returnType{Type: Fraction Integer}
+
+A {\it coercion} is a special kind of conversion that Axiom is allowed
+to do automatically when you enter an expression.  Coercions are
+usually somewhat safer than more general conversions.  The Axiom
+library contains operations called {\bf coerce} and {\bf convert}.
+Only the {\bf coerce} operations can be used by the interpreter to
+change an object into an object of another type unless you explicitly
+use a {\tt ::}.
+
+By now you will be quite familiar with what types and modes look like.
+It is useful to think of a type or mode as a pattern for what you want
+the result to be.
+
+Let's start with a square matrix of polynomials with complex rational
+number coefficients. \index{SquareMatrix}
+\spadcommand{m : SquareMatrix(2,POLY COMPLEX FRAC INT)}
+\returnType{Type: Void}
+
+\spadcommand{m := matrix [ [x-3/4*\%i,z*y**2+1/2],[3/7*\%i*y**4 - x,12-\%i*9/5] ]}
+$$
+\left[
+\begin{array}{cc}
+{x -{{3 \over 4} \  i}} & {{{y \sp 2} \  z}+{1 \over 2}} \\ 
+{{{3 \over 7} \  i \  {y \sp 4}} -x} & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Polynomial Complex Fraction Integer)}
+
+We first want to interchange the {\tt Complex} and {\tt Fraction}
+layers.  We do the conversion by doing the interchange in the type
+expression.
+\spadcommand{m1 := m :: SquareMatrix(2,POLY FRAC COMPLEX INT)}
+$$
+\left[
+\begin{array}{cc}
+{x -{{3 \  i} \over 4}} & {{{y \sp 2} \  z}+{1 \over 2}} \\ 
+{{{{3 \  i} \over 7} \  {y \sp 4}} -x} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Polynomial Fraction Complex Integer)}
+
+Interchange the {\tt Polynomial} and the {\tt Fraction} levels.
+\spadcommand{m2 := m1 :: SquareMatrix(2,FRAC POLY COMPLEX INT)}
+$$
+\left[
+\begin{array}{cc}
+{{{4 \  x} -{3 \  i}} \over 4} & {{{2 \  {y \sp 2} \  z}+1} \over 2} \\ 
+{{{3 \  i \  {y \sp 4}} -{7 \  x}} \over 7} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Polynomial Complex Integer)}
+
+Interchange the {\tt Polynomial} and the {\tt Complex} levels.
+\spadcommand{m3 := m2 :: SquareMatrix(2,FRAC COMPLEX POLY INT)}
+$$
+\left[
+\begin{array}{cc}
+{{{4 \  x} -{3 \  i}} \over 4} & {{{2 \  {y \sp 2} \  z}+1} \over 2} \\ 
+{{-{7 \  x}+{3 \  {y \sp 4} \  i}} \over 7} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Complex Polynomial Integer)}
+
+All the entries have changed types, although in comparing the
+last two results only the entry in the lower left corner looks different.
+We did all the intermediate steps to show you what Axiom can do.
+
+In fact, we could have combined all these into one conversion.
+\spadcommand{m :: SquareMatrix(2,FRAC COMPLEX POLY INT)}
+$$
+\left[
+\begin{array}{cc}
+{{{4 \  x} -{3 \  i}} \over 4} & {{{2 \  {y \sp 2} \  z}+1} \over 2} \\ 
+{{-{7 \  x}+{3 \  {y \sp 4} \  i}} \over 7} & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Fraction Complex Polynomial Integer)}
+
+There are times when Axiom is not be able to do the conversion in one
+step.  You may need to break up the transformation into several
+conversions in order to get an object of the desired type.
+
+We cannot move either {\tt Fraction} or {\tt Complex} above (or to the
+left of, depending on how you look at it) {\tt SquareMatrix} because
+each of these levels requires that its argument type have commutative
+multiplication, whereas {\tt SquareMatrix} does not. That is because
+{\tt Fraction} requires that its argument belong to the category 
+{\tt IntegralDomain} \index{IntegralDomain}
+and \index{category} {\tt Complex} requires that its
+argument belong to {\tt CommutativeRing}. \index{CommutativeRing} 
+The {\tt Integer} level did not move
+anywhere because it does not allow any arguments.  We also did not
+move the {\tt SquareMatrix} part anywhere, but we could have.
+
+Recall that $m$ looks like this.
+
+\spadcommand{m}
+$$
+\left[
+\begin{array}{cc}
+{x -{{3 \over 4} \  i}} & {{{y \sp 2} \  z}+{1 \over 2}} \\ 
+{{{3 \over 7} \  i \  {y \sp 4}} -x} & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]
+$$
+\returnType{Type: SquareMatrix(2,Polynomial Complex Fraction Integer)}
+
+If we want a polynomial with matrix coefficients rather than a matrix
+with polynomial entries, we can just do the conversion.
+
+\spadcommand{m :: POLY SquareMatrix(2,COMPLEX FRAC INT)}
+$$
+{{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+0 & 0 
+\end{array}
+\right]}
+\  {y \sp 2} \  z}+{{\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+{{3 \over 7} \  i} & 0 
+\end{array}
+\right]}
+\  {y \sp 4}}+{{\left[ 
+\begin{array}{cc}
+1 & 0 \\ 
+-1 & 0 
+\end{array}
+\right]}
+\  x}+{\left[ 
+\begin{array}{cc}
+-{{3 \over 4} \  i} & {1 \over 2} \\ 
+0 & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Polynomial SquareMatrix(2,Complex Fraction Integer)}
+
+We have not yet used modes for any conversions.  Modes are a great
+shorthand for indicating the type of the object you want.  Instead of
+using the long type expression in the last example, we could have
+simply said this.
+
+\spadcommand{m :: POLY ?}
+$$
+{{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+0 & 0 
+\end{array}
+\right]}
+\  {y \sp 2} \  z}+{{\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+{{3 \over 7} \  i} & 0 
+\end{array}
+\right]}
+\  {y \sp 4}}+{{\left[ 
+\begin{array}{cc}
+1 & 0 \\ 
+-1 & 0 
+\end{array}
+\right]}
+\  x}+{\left[ 
+\begin{array}{cc}
+-{{3 \over 4} \  i} & {1 \over 2} \\ 
+0 & {{12} -{{9 \over 5} \  i}} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Polynomial SquareMatrix(2,Complex Fraction Integer)}
+
+We can also indicate more structure if we want the entries of the
+matrices to be fractions.
+
+\spadcommand{m :: POLY SquareMatrix(2,FRAC ?)}
+$$
+{{\left[ 
+\begin{array}{cc}
+0 & 1 \\ 
+0 & 0 
+\end{array}
+\right]}
+\  {y \sp 2} \  z}+{{\left[ 
+\begin{array}{cc}
+0 & 0 \\ 
+{{3 \  i} \over 7} & 0 
+\end{array}
+\right]}
+\  {y \sp 4}}+{{\left[ 
+\begin{array}{cc}
+1 & 0 \\ 
+-1 & 0 
+\end{array}
+\right]}
+\  x}+{\left[ 
+\begin{array}{cc}
+-{{3 \  i} \over 4} & {1 \over 2} \\ 
+0 & {{{60} -{9 \  i}} \over 5} 
+\end{array}
+\right]}
+$$
+\returnType{Type: Polynomial SquareMatrix(2,Fraction Complex Integer)}
+
+\section{Subdomains Again}
+\label{sec:Subdomains Again}
+\index{subdomains}
+A {\it subdomain} {\rm S} of a domain {\rm D} is a domain consisting of
+\begin{enumerate} 
+\item those elements of {\rm D} that satisfy some 
+{\it predicate} (that is, a test that returns {\tt true} or {\tt false}) and 
+\item a subset of the operations of {\rm D}.  
+\end{enumerate} 
+Every domain is a subdomain of itself, trivially satisfying the
+membership test: {\tt true}.
+
+Currently, there are only two system-defined subdomains in Axiom that
+receive substantial use.  {\tt PositiveInteger} and 
+{\tt NonNegativeInteger} are subdomains of {\tt Integer}.  An element $x$
+of {\tt NonNegativeInteger} is an integer that is greater than or
+equal to zero, that is, satisfies $x >= 0$.  An element $x$ of 
+{\tt PositiveInteger} is a nonnegative integer that is, in fact, greater
+than zero, that is, satisfies $x > 0$.  Not all operations from 
+{\tt Integer} are available for these subdomains.  For example, negation
+and subtraction are not provided since the subdomains are not closed
+under those operations.  When you use an integer in an expression,
+Axiom assigns to it the type that is the most specific subdomain whose
+predicate is satisfied.
+
+This is a positive integer.
+\spadcommand{5}
+$$
+5 
+$$
+\returnType{Type: PositiveInteger}
+
+This is a nonnegative integer.
+\spadcommand{0}
+$$
+0 
+$$
+\returnType{Type: NonNegativeInteger}
+
+This is neither of the above.
+\spadcommand{-5}
+$$
+-5 
+$$
+\returnType{Type: Integer}
+
+Furthermore, unless you are assigning an integer to a declared variable
+or using a conversion, any integer result has as type the most
+specific subdomain.
+\spadcommand{(-2) - (-3)}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+\spadcommand{0 :: Integer}
+$$
+0 
+$$
+\returnType{Type: Integer}
+
+\spadcommand{x : NonNegativeInteger := 5}
+$$
+5 
+$$
+\returnType{Type: NonNegativeInteger}
+
+When necessary, Axiom converts an integer object into one belonging to
+a less specific subdomain.  For example, in $3-2$, the arguments to
+\spadopFrom{-}{Integer} are both elements of {\tt PositiveInteger},
+but this type does not provide a subtraction operation.  Neither does
+{\tt NonNegativeInteger}, so $3$ and $2$ are viewed as elements of
+{\tt Integer}, where their difference can be calculated.  The result
+is $1$, which Axiom then automatically assigns the type 
+{\tt PositiveInteger}.
+
+Certain operations are very sensitive to the subdomains to which their
+arguments belong.  This is an element of {\tt PositiveInteger}.
+\spadcommand{2 ** 2}
+$$
+4 
+$$
+\returnType{Type: PositiveInteger}
+
+This is an element of {\tt Fraction Integer}.
+\spadcommand{2 ** (-2)}
+$$
+1 \over 4 
+$$
+\returnType{Type: Fraction Integer}
+
+It makes sense then that this is a list of elements of {\tt
+PositiveInteger}.
+\spadcommand{[10**i for i in 2..5]}
+$$
+\left[
+{100},  {1000},  {10000},  {100000} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+What should the type of {\tt [10**(i-1) for i in 2..5]} be?  On one hand,
+$i-1$ is always an integer greater than zero as $i$ ranges from $2$ to
+$5$ and so $10**i$ is also always a positive integer.  On the other,
+$i-1$ is a very simple function of $i$.  Axiom does not try to analyze
+every such function over the index's range of values to determine
+whether it is always positive or nowhere negative.  For an arbitrary
+Axiom function, this analysis is not possible.
+
+So, to be consistent no such analysis is done and we get this.
+\spadcommand{[10**(i-1) for i in 2..5]}
+$$
+\left[
+{10},  {100},  {1000},  {10000} 
+\right]
+$$
+\returnType{Type: List Fraction Integer}
+
+To get a list of elements of {\tt PositiveInteger} instead, you have
+two choices.  You can use a conversion.
+
+\spadcommand{[10**((i-1) :: PI) for i in 2..5]}
+\begin{verbatim}
+Compiling function G82696 with type Integer -> Boolean 
+Compiling function G82708 with type NonNegativeInteger -> Boolean 
+\end{verbatim}
+$$
+\left[
+{10},  {100},  {1000},  {10000} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+Or you can use {\tt pretend}.  \index{pretend}
+\spadcommand{[10**((i-1) pretend PI) for i in 2..5]}
+$$
+\left[
+{10},  {100},  {1000},  {10000} 
+\right]
+$$
+\returnType{Type: List PositiveInteger}
+
+The operation {\tt pretend} is used to defeat the Axiom type system.
+The expression {\tt object pretend D} means ``make a new object
+(without copying) of type {\tt D} from {\tt object}.''  If 
+{\tt object} were an integer and you told Axiom to pretend it was a list,
+you would probably see a message about a fatal error being caught and
+memory possibly being damaged.  Lists do not have the same internal
+representation as integers!
+
+You use {\tt pretend} at your peril.  \index{peril}
+
+Use $pretend$ with great care!  Axiom trusts you that the value is of
+the specified type.
+
+\spadcommand{(2/3) pretend Complex Integer}
+$$
+2+{3 \  i} 
+$$
+\returnType{Type: Complex Integer}
+
+\section{Package Calling and Target Types}
+\label{sec:Package Calling and Target Types}
+\index{\$ package call}
+Axiom works hard to figure out what you mean by an expression without
+your having to qualify it with type information.  Nevertheless, there
+are times when you need to help it along by providing hints (or even
+orders!) to get Axiom to do what you want.
+
+Declarations using types and modes control the type of the results
+produced.  For example, we can either produce a complex object with
+polynomial real and imaginary parts or a polynomial with complex
+integer coefficients, depending on the declaration.
+
+Package calling is used to tell Axiom to use a particular function
+from a particular part of the library.
+
+Use the \spadopFrom{/}{Fraction} from {\tt Fraction Integer} to create
+a fraction of two integers.
+\spadcommand{2/3}
+$$
+2 \over 3 
+$$
+\returnType{Type: Fraction Integer}
+
+If we wanted a floating point number, we can say ``use the
+\spadopFrom{/}{Float} in {\tt Float}.''
+\spadcommand{(2/3)\$Float}
+$$
+0.6666666666 6666666667 
+$$
+\returnType{Type: Float}
+
+Perhaps we actually wanted a fraction of complex integers.
+\spadcommand{(2/3)\$Fraction(Complex Integer)}
+$$
+2 \over 3 
+$$
+\returnType{Type: Float}
+
+In each case, Axiom used the indicated operations, sometimes first
+needing to convert the two integers into objects of the appropriate type.
+In these examples, ``/'' is written as an infix operator.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+To use package calling with an infix operator, use the following syntax:
+$$(\ arg_1{\rm \ op\ }arg_2\ )\$type$$
+} 
+
+We used, for example, $(2/3)\${\rm Float}$. The expression $2+3+4$
+is equivalent to $(2+3)+4$. Therefore in the expression 
+$(2+3+4)\${\rm Float}$ the second ``+'' comes from the {\rm Float}
+domain. The first ``+'' comes from {\rm Float} because the package
+call causes Axiom to convert $(2+3)$ and $4$ to type
+{\rm Float}. Before the sum is converted, it is given a target type
+of {\rm Float} by Axiom and then evaluated. The target type causes the
+``+'' from {\tt Float} to be used.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+For an operator written before its arguments, you must use parentheses
+around the arguments (even if there is only one), and follow the closing
+parenthesis by a ``\$'' and then the type.
+$$ fun\ (\ arg_1, arg_2, \ldots, arg_N\ )\$type$$
+}
+
+For example, to call the ``minimum'' function from {\rm SmallFloat} on two
+integers, you could write {\bf min}(4,89)\${\tt SmallFloat}. Another use of
+package calling is to tell Axiom to use a library function rather than a
+function you defined. 
+
+\index{target type}
+Sometimes rather than specifying where an operation comes from, you
+just want to say what type the result should be. We say that you provide a
+{\sl target type} for the expression. Instead of using a ``\$'', use a ``@''
+to specify the requested target type. Otherwise, the syntax is the same.
+Note that giving a target type is not the same as explicitly doing a
+conversion. The first says ``try to pick operations so that the result has
+such-and-such a type.'' The second says ``compute the result and then convert
+to an object of such-and-such a type.''
+
+Sometimes it makes sense, as in this expression, to say ``choose the 
+operations in this expression so that the final result is {\rm Float}.
+\spadcommand{(2/3)@Float}
+$$
+0.6666666666 6666666667 
+$$
+\returnType{Type: Float}
+
+Here we used ``{\tt @}'' to say that the target type of the left-hand side
+was {\tt Float}.  In this simple case, there was no real difference
+between using ``{\tt \$}'' and ``{\tt @}''.  
+You can see the difference if you try the following.
+
+This says to try to choose ``{\tt +}'' so that the result is a string.
+Axiom cannot do this.
+\spadcommand{(2 + 3)@String}
+\begin{verbatim} 
+An expression involving @ String actually evaluated to one of 
+   type PositiveInteger . Perhaps you should use :: String .
+\end{verbatim}
+
+This says to get the {\tt +} from {\tt String} and apply it to the two
+integers.  Axiom also cannot do this because there is no {\tt +}
+exported by {\tt String}.
+\spadcommand{(2 + 3)\$String}
+\begin{verbatim}
+   The function + is not implemented in String .
+\end{verbatim}
+
+(By the way, the operation \spadfunFrom{concat}{String} or juxtaposition
+is used to concatenate two strings.)
+\index{String}
+
+When we have more than one operation in an expression, the difference
+is even more evident.  The following two expressions show that Axiom
+uses the target type to create different objects.  
+The ``{\tt +}'', ``{\tt *}'' and ``{\tt **}'' operations are all 
+chosen so that an object of the correct final type is created.
+
+This says that the operations should be chosen so that the result is a
+{\tt Complex} object.
+\spadcommand{((x + y * \%i)**2)@(Complex Polynomial Integer)}
+$$
+-{y \sp 2}+{x \sp 2}+{2 \  x \  y \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+This says that the operations should be chosen so that the result is a
+{\tt Polynomial} object.
+\spadcommand{((x + y * \%i)**2)@(Polynomial Complex Integer)}
+$$
+-{y \sp 2}+{2 \  i \  x \  y}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Complex Integer}
+
+What do you think might happen if we left off all target type and
+package call information in this last example?
+\spadcommand{(x + y * \%i)**2}
+$$
+-{y \sp 2}+{2 \  i \  x \  y}+{x \sp 2} 
+$$
+\returnType{Type: Polynomial Complex Integer}
+
+We can convert it to {\tt Complex} as an afterthought.  But this is
+more work than just saying making what we want in the first place.
+\spadcommand{\% :: Complex ?}
+$$
+-{y \sp 2}+{x \sp 2}+{2 \  x \  y \  i} 
+$$
+\returnType{Type: Complex Polynomial Integer}
+
+Finally, another use of package calling is to qualify fully an
+operation that is passed as an argument to a function.
+
+Start with a small matrix of integers.
+\spadcommand{h := matrix [ [8,6],[-4,9] ]}
+$$
+\left[
+\begin{array}{cc}
+8 & 6 \\ 
+-4 & 9 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Integer}
+
+We want to produce a new matrix that has for entries the
+multiplicative inverses of the entries of $h$.  One way to do this is
+by calling \spadfunFrom{map}{MatrixCategoryFunctions2} with the
+\spadfunFrom{inv}{Fraction} function from {\tt Fraction (Integer)}.
+
+\spadcommand{map(inv\$Fraction(Integer),h)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over 8} & {1 \over 6} \\ 
+-{1 \over 4} & {1 \over 9} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+We could have been a bit less verbose and used abbreviations.
+\spadcommand{map(inv\$FRAC(INT),h)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over 8} & {1 \over 6} \\ 
+-{1 \over 4} & {1 \over 9} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+As it turns out, Axiom is smart enough to know what we mean anyway.
+We can just say this.
+\spadcommand{map(inv,h)}
+$$
+\left[
+\begin{array}{cc}
+{1 \over 8} & {1 \over 6} \\ 
+-{1 \over 4} & {1 \over 9} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Fraction Integer}
+
+\section{Resolving Types}
+\label{sec:Resolving Types}
+
+In this section we briefly describe an internal process by which
+\index{resolve} Axiom determines a type to which two objects of
+possibly different types can be converted.  We do this to give you
+further insight into how Axiom takes your input, analyzes it, and
+produces a result.
+
+What happens when you enter $x + 1$ to Axiom?  Let's look at what you
+get from the two terms of this expression.
+
+This is a symbolic object whose type indicates the name.
+\spadcommand{x}
+$$
+x 
+$$
+\returnType{Type: Variable x}
+
+This is a positive integer.
+\spadcommand{1}
+$$
+1 
+$$
+\returnType{Type: PositiveInteger}
+
+There are no operations in {\tt PositiveInteger} that add positive
+integers to objects of type {\tt Variable(x)} nor are there any in
+{\tt Variable(x)}.  Before it can add the two parts, Axiom must come
+up with a common type to which both $x$ and $1$ can be converted.  We
+say that Axiom must {\it resolve} the two types into a common type.
+In this example, the common type is {\tt Polynomial(Integer)}.
+
+Once this is determined, both parts are converted into polynomials,
+and the addition operation from {\tt Polynomial(Integer)} is used to
+get the answer.
+\spadcommand{x + 1}
+$$
+x+1 
+$$
+\returnType{Type: Polynomial Integer}
+
+Axiom can always resolve two types: if nothing resembling the original
+types can be found, then {\tt Any} is be used.  \index{Any} This is
+fine and useful in some cases.
+
+\spadcommand{["string",3.14159]}
+$$
+\left[
+\mbox{\tt "string"} ,  {3.14159} 
+\right]
+$$
+\returnType{Type: List Any}
+
+In other cases objects of type {\tt Any} can't be used by the
+operations you specified.
+\spadcommand{"string" + 3.14159}
+\begin{verbatim}
+There are 11 exposed and 5 unexposed library operations named + 
+  having 2 argument(s) but none was determined to be applicable. 
+  Use HyperDoc Browse, or issue
+                            )display op +
+  to learn more about the available operations. Perhaps 
+  package-calling the operation or using coercions on the 
+  arguments will allow you to apply the operation.
+ 
+Cannot find a definition or applicable library operation named + 
+  with argument type(s) 
+                               String
+                                Float
+      
+  Perhaps you should use "@" to indicate the required return type, 
+  or "$" to specify which version of the function you need.
+\end{verbatim}
+
+Although this example was contrived, your expressions may need to be
+qualified slightly to help Axiom resolve the types involved.  You may
+need to declare a few variables, do some package calling, provide some
+target type information or do some explicit conversions.
+
+We suggest that you just enter the expression you want evaluated and
+see what Axiom does.  We think you will be impressed with its ability
+to ``do what I mean.''  If Axiom is still being obtuse, give it some
+hints.  As you work with Axiom, you will learn where it needs a little
+help to analyze quickly and perform your computations.
+
+\section{Exposing Domains and Packages}
+\label{sec:Exposing Domains and Packages}
+
+In this section we discuss how Axiom makes some operations available
+to you while hiding others that are meant to be used by developers or
+only in rare cases.  If you are a new user of Axiom, it is likely that
+everything you need is available by default and you may want to skip
+over this section on first reading.
+
+Every \index{constructor!exposed} domain and package in the Axiom
+library \index{constructor!hidden} is \index{exposed!constructor}
+either exposed (meaning that you can use its operations without doing
+anything special) or it is {\it hidden} (meaning you have to either
+package call the operations it contains or
+explicitly expose it to use the operations).  The initial exposure
+status for a constructor is set in the file {\bf exposed.lsp} (see the
+{\it Installer's Note} \index{exposed.lsp @{\bf exposed.lsp}} for
+Axiom \index{file!exposed.lsp @{\bf exposed.lsp}} if you need to know
+the location of this file).  Constructors are collected together in
+\index{group!exposure} {\it exposure groups}.  \index{exposure!group}
+Categories are all in the exposure group ``categories'' and the bulk
+of the basic set of packages and domains that are exposed are in the
+exposure group ``basic.''  Here is an abbreviated sample of the file
+(without the Lisp parentheses):
+
+\begin{verbatim}
+basic
+        AlgebraicNumber                          AN
+        AlgebraGivenByStructuralConstants        ALGSC
+        Any                                      ANY
+        AnyFunctions1                            ANY1
+        BinaryExpansion                          BINARY
+        Boolean                                  BOOLEAN
+        CardinalNumber                           CARD
+        CartesianTensor                          CARTEN
+        Character                                CHAR
+        CharacterClass                           CCLASS
+        CliffordAlgebra                          CLIF
+        Color                                    COLOR
+        Complex                                  COMPLEX
+        ContinuedFraction                        CONTFRAC
+        DecimalExpansion                         DECIMAL
+        ...
+\end{verbatim}
+\begin{verbatim}
+categories
+        AbelianGroup                             ABELGRP
+        AbelianMonoid                            ABELMON
+        AbelianMonoidRing                        AMR
+        AbelianSemiGroup                         ABELSG
+        Aggregate                                AGG
+        Algebra                                  ALGEBRA
+        AlgebraicallyClosedField                 ACF
+        AlgebraicallyClosedFunctionSpace         ACFS
+        ArcHyperbolicFunctionCategory            AHYP
+        ...
+\end{verbatim}
+
+For each constructor in a group, the full name and the abbreviation is
+given.  There are other groups in {\bf exposed.lsp} but initially only
+the constructors in exposure groups ``basic'' ``categories''
+``naglink'' and ``anna'' are exposed.
+
+As an interactive user of Axiom, you do not need to modify this file.
+Instead, use {\tt )set expose} to expose, hide or query the exposure
+status of an individual constructor or exposure group. \index{set expose} 
+The reason for having exposure groups is to be able to expose
+or hide multiple constructors with a single command.  For example, you
+might group together into exposure group ``quantum'' a number of
+domains and packages useful for quantum mechanical computations.
+These probably should not be available to every user, but you want an
+easy way to make the whole collection visible to Axiom when it is
+looking for operations to apply.
+
+If you wanted to hide all the basic constructors available by default,
+you would issue {\tt )set expose drop group basic}.  
+\index{set expose drop group} We do not recommend that you do this.  
+If, however, you discover that you have hidden all the basic constructors, 
+you should issue {\tt )set expose add group basic} to restore your default
+environment.  \index{set expose add group}
+
+It is more likely that you would want to expose or hide individual
+constructors.  We use several operations from 
+{\tt OutputForm}, a domain usually hidden.  To avoid package calling every
+operation from {\tt OutputForm}, we expose the domain and let Axiom
+conclude that those operations should be used.  Use {\tt )set expose
+add constructor} and {\tt )set expose drop constructor} to expose and
+hide a constructor, respectively.  \index{set expose drop constructor}
+You should use the constructor name, not the abbreviation.  The 
+{\tt )set expose} command guides you through these options.  
+\index{set expose add constructor}
+
+If you expose a previously hidden constructor, Axiom exhibits new
+behavior (that was your intention) though you might not expect the
+results that you get.  {\tt OutputForm} is, in fact, one of the worst
+offenders in this regard.  \index{OutputForm} This domain is meant to
+be used by other domains for creating a structure that Axiom knows how
+to display.  It has functions like \spadopFrom{+}{OutputForm} that
+form output representations rather than do mathematical calculations.
+Because of the order in which Axiom looks at constructors when it is
+deciding what operation to apply, {\tt OutputForm} might be used
+instead of what you expect.
+
+This is a polynomial.
+\spadcommand{x + x}
+$$
+2 \  x 
+$$
+\returnType{Type: Polynomial Integer}
+
+Expose {\tt OutputForm}.
+\spadcommand{)set expose add constructor OutputForm }
+\begin{verbatim}
+   OutputForm is now explicitly exposed in frame G82322 
+\end{verbatim}
+
+This is what we get when {\tt OutputForm} is automatically available.
+\spadcommand{x + x}
+$$
+x+x 
+$$
+\returnType{Type: OutputForm}
+
+Hide {\tt OutputForm} so we don't run into problems with any later examples!
+\spadcommand{)set expose drop constructor OutputForm }
+\begin{verbatim}
+   OutputForm is now explicitly hidden in frame G82322 
+\end{verbatim}
+
+Finally, exposure is done on a frame-by-frame basis.  A {\it frame}
+\index{frame!exposure and} is one of possibly several logical Axiom
+workspaces within a physical one, each having its own environment (for
+example, variables and function definitions).  If you have several
+Axiom workspace windows on your screen, they are all different frames,
+automatically created for you by HyperDoc.  Frames can be manually
+created, made active and destroyed by the {\tt )frame} system command.
+\index{frame} They do not share exposure information, so you need to
+use {\tt )set expose} in each one to add or drop constructors from
+view.
+
+\section{Commands for Snooping}
+\label{sec:Commands for Snooping}
+
+To conclude this chapter, we introduce you to some system commands
+that you can use for getting more information about domains, packages,
+categories, and operations.  The most powerful Axiom facility for
+getting information about constructors and operations is the Browse
+component of HyperDoc.  
+
+Use the {\tt )what} system command to see lists of system objects
+whose name contain a particular substring (uppercase or lowercase is
+not significant).  \index{what}
+
+Issue this to see a list of all operations with ``{\tt complex}'' in
+their names.  \index{what operation}
+\spadcommand{)what operation complex}
+\begin{verbatim}
+
+Operations whose names satisfy the above pattern(s):
+
+complex                   complex?                          
+complexEigenvalues        complexEigenvectors               
+complexElementary         complexExpand                     
+complexForm               complexIntegrate                  
+complexLimit              complexNormalize                  
+complexNumeric            complexNumericIfCan               
+complexRoots              complexSolve                      
+complexZeros              createLowComplexityNormalBasis    
+createLowComplexityTable  doubleComplex?                    
+drawComplex               drawComplexVectorField            
+fortranComplex            fortranDoubleComplex              
+pmComplexintegrate                
+   
+To get more information about an operation such as 
+complexZeros, issue the command )display op complexZeros 
+\end{verbatim}
+
+If you want to see all domains with ``{\tt matrix}'' in their names,
+issue this.  \index{what domain}
+\spadcommand{)what domain matrix}
+\begin{verbatim}
+----------------------- Domains -----------------------
+
+Domains with names matching patterns:
+     matrix 
+
+ DHMATRIX DenavitHartenbergMatrix      
+ DPMM     DirectProductMatrixModule
+ IMATRIX  IndexedMatrix                
+ LSQM     LieSquareMatrix
+ M3D      ThreeDimensionalMatrix       
+ MATCAT-  MatrixCategory&
+ MATRIX   Matrix                       
+ RMATCAT- RectangularMatrixCategory&
+ RMATRIX  RectangularMatrix            
+ SMATCAT- SquareMatrixCategory&
+ SQMATRIX SquareMatrix
+\end{verbatim}
+
+Similarly, if you wish to see all packages whose names contain ``{\tt
+gauss}'', enter this.  \index{what packages}
+\spadcommand{)what package gauss}
+\begin{verbatim}
+---------------------- Packages -----------------------
+
+Packages with names matching patterns:
+     gauss 
+
+ GAUSSFAC GaussianFactorizationPackage
+\end{verbatim}
+
+This command shows all the operations that {\tt Any} provides.
+Wherever {\tt \$} appears, it means ``{\tt Any}''.  \index{show}
+\spadcommand{)show Any}
+\begin{verbatim}
+ Any  is a domain constructor
+ Abbreviation for Any is ANY 
+ This constructor is exposed in this frame.
+ Issue )edit /usr/local/axiom/mnt/algebra/any.spad 
+  to see algebra source code for ANY 
+
+--------------------- Operations ----------------------
+ ?=? : (%,%) -> Boolean                
+ any : (SExpression,None) -> %
+ coerce : % -> OutputForm              
+ dom : % -> SExpression
+ domainOf : % -> OutputForm            
+ hash : % -> SingleInteger
+ latex : % -> String                   
+ obj : % -> None
+ objectOf : % -> OutputForm            
+ ?~=? : (%,%) -> Boolean
+ showTypeInOutput : Boolean -> String
+
+\end{verbatim}
+
+This displays all operations with the name {\tt complex}.
+\index{display operation}
+\spadcommand{)display operation complex}
+\begin{verbatim}
+There is one exposed function called complex :
+ [1] (D1,D1) -> D from D if D has COMPCAT D1 and D1 has COMRING
+\end{verbatim}
+
+Let's analyze this output.
+
+First we find out what some of the abbreviations mean.
+\spadcommand{)abbreviation query COMPCAT}
+\begin{verbatim}
+   COMPCAT abbreviates category ComplexCategory 
+\end{verbatim}
+
+\spadcommand{)abbreviation query COMRING}
+\begin{verbatim}
+   COMRING abbreviates category CommutativeRing 
+\end{verbatim}
+
+So if {\tt D1} is a commutative ring (such as the integers or floats) and
+{\tt D} belongs to {\tt ComplexCategory D1}, then there is an operation
+called {\bf complex} that takes two elements of {\tt D1} and creates an
+element of {\tt D}.  The primary example of a constructor implementing
+domains belonging to {\tt ComplexCategory} is {\tt Complex}.  
+
+%\setcounter{chapter}{2}
+
+\chapter{Using HyperDoc}
+\label{sec:Using HyperDoc}
+
+\begin{figure}[htbp]
+\includegraphics[bbllx=14, bblly=14, bburx=365, bbury=240]{ps/bookvol1q.ps}
+\caption{The HyperDoc root window page}
+\end{figure}
+
+HyperDoc is the gateway to Axiom.  \index{HyperDoc} It's both an
+on-line tutorial and an on-line reference manual.  It also enables you
+to use Axiom simply by using the mouse and filling in templates.
+HyperDoc is available to you if you are running Axiom under the X
+Window System.
+
+Pages usually have active areas, marked in {\bf this font} (bold
+face).  As you move the mouse pointer to an active area, the pointer
+changes from a filled dot to an open circle.  The active areas are
+usually linked to other pages.  When you click on an active area, you
+move to the linked page.
+
+\section{Headings}
+\label{sec:Headings}
+Most pages have a standard set of buttons at the top of the page.
+This is what they mean:
+
+\begin{description}
+
+\item[\HelpBitmap] Click on this to get help.  The button only appears
+if there is specific help for the page you are viewing.  You can get
+{\it general} help for HyperDoc by clicking the help button on the
+home page.
+
+\item[\UpBitmap] Click here to go back one page.
+By clicking on this button repeatedly, you can go back several pages and
+then take off in a new direction.
+
+\item[\ReturnBitmap] Go back to the home page, that is, the page on
+which you started.  Use HyperDoc to explore, to make forays into new
+topics.  Don't worry about how to get back.  HyperDoc remembers where
+you came from.  Just click on this button to return.
+
+\item[\ExitBitmap] From the root window (the one that is displayed
+when you start the system) this button leaves the HyperDoc program,
+and it must be restarted if you want to use it again.  From any other
+HyperDoc window, it just makes that one window go away.  You {\it must} 
+use this button to get rid of a window.  If you use the window
+manager ``Close'' button, then all of HyperDoc goes away.
+
+\end{description}
+
+The buttons are not displayed if they are not applicable to the page
+you are viewing.  For example, there is no \ReturnBitmap button on the
+top-level menu.
+
+\section{Key Definitions}
+\label{sec:Key Definitions}
+
+The following keyboard definitions are in effect throughout HyperDoc.
+
+\begin{description}
+\item[F1] Display the main help page.
+\item[F3] Same as \ExitBitmap{}, makes the window go away if you are not at the top-level window or quits the HyperDoc facility if you are at the top-level.
+\item[F5] Rereads the HyperDoc database, if necessary (for system developers).
+\item[F9] Displays this information about key definitions.
+\item[F12] Same as {\bf F3}.
+\item[Up Arrow] Scroll up one line.
+\item[Down Arrow] Scroll down one line.
+\item[Page Up] Scroll up one page.
+\item[Page Down] Scroll down one page.
+\end{description}
+
+\section{Scroll Bars}
+\label{sec:Scroll Bars}
+
+Whenever there is too much text to fit on a page, a 
+{\it scroll \index{scroll bar} bar} 
+automatically appears along the right side.
+
+With a scroll bar, your page becomes an aperture, that is, a window
+into a larger amount of text than can be displayed at one time.  The
+scroll bar lets you move up and down in the text to see different
+parts.  It also shows where the aperture is relative to the whole
+text.  The aperture is indicated by a strip on the scroll bar.
+
+Move the cursor with the mouse to the ``down-arrow'' at the bottom of
+the scroll bar and click.  See that the aperture moves down one line.
+Do it several times.  Each time you click, the aperture moves down one
+line.  Move the mouse to the ``up-arrow'' at the top of the scroll bar
+and click.  The aperture moves up one line each time you click.
+
+Next move the mouse to any position along the middle of the scroll bar
+and click.  HyperDoc attempts to move the top of the aperture to this
+point in the text.
+
+You cannot make the aperture go off the bottom edge.  When the
+aperture is about half the size of text, the lowest you can move the
+aperture is halfway down.
+
+To move up or down one screen at a time, use the \fbox{\bf PageUp} and 
+\fbox{\bf PageDown} keys on your keyboard.  They move the visible part of the
+region up and down one page each time you press them.
+
+If the HyperDoc page does not contain an input area, you can also use
+the \fbox{\bf Home} and \fbox{$\uparrow$} and \fbox{$\downarrow$}
+arrow keys to navigate.  When you press the \fbox{\bf Home} key, the
+screen is positioned at the very top of the page.  Use the
+\fbox{$\uparrow$} and \fbox{$\downarrow$} arrow keys to move the
+screen up and down one line at a time, respectively.
+
+\section{Input Areas}
+\label{sec:Input Areas}
+
+Input areas are boxes where you can put data.
+
+To enter characters, first move your mouse cursor to somewhere within
+the HyperDoc page.  Characters that you type are inserted in front of
+the underscore.  This means that when you type characters at your
+keyboard, they go into this first input area.
+
+The input area grows to accommodate as many characters as you type.
+Use the \fbox{\bf Backspace} key to erase characters to the left.  To
+modify what you type, use the right-arrow \fbox{$\rightarrow$} and
+left-arrow keys \fbox{$\leftarrow$} and the keys \fbox{\bf Insert},
+\fbox{\bf Delete}, \fbox{\bf Home} and \fbox{\bf End}.  These keys are
+found immediately on the right of the standard IBM keyboard.
+
+If you press the \fbox{\bf Home} key, the cursor moves to the
+beginning of the line and if you press the \fbox{\bf End} key, the
+cursor moves to the end of the line.  Pressing 
+\fbox{\bf Ctrl}--\fbox{\bf End} deletes all the text from the 
+cursor to the end of the line.
+
+A page may have more than one input area.  Only one input area has an
+underscore cursor.  When you first see apage, the top-most input area
+contains the cursor.  To type information into another input area, use
+the \fbox{\bf Enter} or \fbox{\bf Tab} key to move from one input area to
+xanother.  To move in the reverse order, use \fbox{\bf Shift}--\fbox{\bf Tab}.
+
+You can also move from one input area to another using your mouse.
+Notice that each input area is active. Click on one of the areas.
+As you can see, the underscore cursor moves to that window.
+
+\section{Radio Buttons and Toggles}
+\label{sec:Radio Buttons and Toggles}
+
+Some pages have {\it radio buttons} and {\it toggles}.
+Radio buttons are a group of buttons like those on car radios: you can
+select only one at a time.
+
+Once you have selected a button, it appears to be inverted and
+contains a checkmark.  To change the selection, move the cursor with
+the mouse to a different radio button and click.
+
+A toggle is an independent button that displays some on/off state.
+When ``on'', the button appears to be inverted and contains a
+checkmark.  When ``off'', the button is raised.
+
+Unlike radio buttons, you can set a group of them any way you like.
+To change toggle the selection, move the cursor with the mouse to the
+button and click.
+
+\section{Search Strings}
+\label{sec:Search Strings}
+
+A {\it search string} is used for searching some database.  To learn
+about search strings, we suggest that you bring up the HyperDoc
+glossary.  To do this from the top-level page of HyperDoc:
+\begin{enumerate}
+\item Click on Reference, bringing up the Axiom Reference page.
+\item Click on Glossary, bringing up the glossary.
+\end{enumerate}
+
+The glossary has an input area at its bottom.  We review the various
+kinds of search strings you can enter to search the glossary.
+
+The simplest search string is a word, for example, {\tt operation}.  A
+word only matches an entry having exactly that spelling.  Enter the
+word {\tt operation} into the input area above then click on 
+{\bf Search}.  As you can see, {\tt operation} matches only one entry,
+namely with {\tt operation} itself.
+
+Normally matching is insensitive to whether the alphabetic characters
+of your search string are in uppercase or lowercase.  Thus 
+{\tt operation} and {\tt OperAtion} both have the same effect.
+%If you prefer that matching be case-sensitive, issue the command
+%{\tt set HHyperName mixedCase} command to the interpreter.
+
+You will very often want to use the wildcard ``{\tt *}'' in your search
+string so as to match multiple entries in the list.  The search key
+``{\tt *}'' matches every entry in the list.  You can also use ``{\tt *}''
+anywhere within a search string to match an arbitrary substring.  Try
+``{\tt cat*}'' for example: enter ``{\tt cat*}'' into the input area and click
+on {\bf Search}.  This matches several entries.
+
+You use any number of wildcards in a search string as long as they are
+not adjacent.  Try search strings such as ``{\tt *dom*}''.  As you see,
+this search string matches ``{\tt domain}'', ``{\tt domain constructor}'',
+``{\tt subdomain}'', and so on.
+
+\subsection{Logical Searches}
+\label{sec:Logical Searches}
+
+For more complicated searches, you can use ``{\tt and}'', ``{\tt or}'', and
+``{\tt not}'' with basic search strings; write logical expressions using
+these three operators just as in the Axiom language.  For example,
+{\tt domain or package} matches the two entries {\tt domain} and 
+{\tt package}.  Similarly, ``{\tt dom* and *con*}'' matches 
+``{\tt domain constructor}'' and others.  Also ``{\tt not *a*}'' matches 
+every entry that does not contain the letter ``{\tt a}'' somewhere.
+
+Use parentheses for grouping.  For example, ``{\tt dom* and (not *con*)}''
+matches ``{\tt domain}'' but not ``{\tt domain constructor}''.
+
+There is no limit to how complex your logical expression can be.
+For example,
+\begin{center}
+{\tt a* or b* or c* or d* or e* and (not *a*)}
+\end{center}
+is a valid expression.
+
+\section{Example Pages}
+\label{sec:Example Pages}
+
+Many pages have Axiom example commands.
+
+Each command has an active ``button'' along the left margin.  When you
+click on this button, the output for the command is ``pasted-in.''
+Click again on the button and you see that the pasted-in output
+disappears.
+
+Maybe you would like to run an example?  To do so, just click on any
+part of its text!  When you do, the example line is copied into a new
+interactive Axiom buffer for this HyperDoc page.
+
+Sometimes one example line cannot be run before you run an earlier one.
+Don't worry---HyperDoc automatically runs all the necessary
+lines in the right order!
+
+The new interactive Axiom buffer disappears when you leave HyperDoc.
+If you want to get rid of it beforehand, use the {\bf Cancel} button
+of the X Window manager or issue the Axiom system command 
+{\tt )close.}  \index{close}
+
+\section{X Window Resources for HyperDoc}
+\label{sec:X Window Resources for HyperDoc}
+
+You can control the appearance of HyperDoc while running under Version
+11 \index{HyperDoc X Window System defaults} of the X Window System by
+placing the following resources \index{X Window System} in the file
+{\bf .Xdefaults} in your home directory.  \index{file!.Xdefaults} 
+In what follows, {\it font} is any valid X11 font name
+\index{font} (for example, {\tt Rom14}) and {\it color} is any valid
+X11 color \index{color} specification (for example, {\tt NavyBlue}).
+For more information about fonts and colors, refer to the X Window
+documentation for your system.
+
+\begin{description}
+\item[{\tt Axiom.hyperdoc.RmFont:} {\it font}] \ \newline
+This is the standard text font.  
+The default value is {\tt Rom14}
+\item[{\tt Axiom.hyperdoc.RmColor:} {\it color}] \ \newline
+This is the standard text color.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.ActiveFont:} {\it font}] \ \newline
+This is the font used for HyperDoc link buttons.  
+The default value is {\tt Bld14}
+\item[{\tt Axiom.hyperdoc.ActiveColor:} {\it color}] \ \newline
+This is the color used for HyperDoc link buttons.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.AxiomFont:} {\it font}] \ \newline
+This is the font used for active Axiom commands.
+The default value is {\tt Bld14}
+\item[{\tt Axiom.hyperdoc.AxiomColor:} {\it color}] \ \newline
+This is the color used for active Axiom commands.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.BoldFont:} {\it font}] \ \newline
+This is the font used for bold face.  
+The default value is {\tt Bld14}
+\item[{\tt Axiom.hyperdoc.BoldColor:} {\it color}] \ \newline
+This is the color used for bold face.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.TtFont:} {\it font}] \ \newline
+This is the font used for Axiom output in HyperDoc.
+This font must be fixed-width.  
+The default value is {\tt Rom14}
+\item[{\tt Axiom.hyperdoc.TtColor:} {\it color}] \ \newline
+This is the color used for Axiom output in HyperDoc.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.EmphasizeFont:} {\it font}] \ \newline
+This is the font used for italics.  
+The default value is {\tt Itl14}
+\item[{\tt Axiom.hyperdoc.EmphasizeColor:} {\it color}] \ \newline
+This is the color used for italics.  
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.InputBackground:} {\it color}] \ \newline
+This is the color used as the background for input areas.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.InputForeground:} {\it color}] \ \newline
+This is the color used as the foreground for input areas.
+The default value is {\tt white}
+\item[{\tt Axiom.hyperdoc.BorderColor:} {\it color}] \ \newline
+This is the color used for drawing border lines.
+The default value is {\tt black}
+\item[{\tt Axiom.hyperdoc.Background:} {\it color}] \ \newline
+This is the color used for the background of all windows.
+The default value is {\tt white}
+\end{description}
+\vfill
+\eject
+
+%\setcounter{chapter}{3}
+
+\chapter{Input Files and Output Styles}
+\label{sec:Input Files and Output Styles}
+
+In this chapter we discuss how to collect Axiom statements
+and commands into files and then read the contents into the
+workspace.
+We also show how to display the results of your computations in
+several different styles including \TeX{}, FORTRAN and
+monospace two-dimensional format.\footnote{\TeX{} is a
+trademark of the American Mathematical Society.}
+
+The printed version of this book uses the Axiom \TeX{} output formatter.
+When we demonstrate a particular output style, we will need to turn
+\TeX{} formatting off and the output style on so that the correct output
+is shown in the text.
+
+\section{Input Files}
+\label{sec:Input Files}
+
+In this section we explain what an {\it input file} is and
+\index{file!input} why you would want to know about it.  We discuss
+where Axiom looks for input files and how you can direct it to look
+elsewhere.  We also show how to read the contents of an input file
+into the {\it workspace} and how to use the {\it history} facility to
+generate an input file from the statements you have entered directly
+into the workspace.
+
+An {\it input} file contains Axiom expressions and system commands.
+Anything that you can enter directly to Axiom can be put into an input
+file.  This is how you save input functions and expressions that you
+wish to read into Axiom more than one time.
+
+To read an input file into Axiom, use the {\tt )read} system command.
+\index{read} For example, you can read a file in a particular
+directory by issuing
+\begin{verbatim}
+)read /spad/src/input/matrix.input
+\end{verbatim}
+
+The ``{\bf .input}'' is optional; this also works:
+\begin{verbatim}
+)read /spad/src/input/matrix
+\end{verbatim}
+
+What happens if you just enter {\tt )read matrix.input} or even {\tt
+)read matrix}?  Axiom looks in your current working directory for
+input files that are not qualified by a directory name.  Typically,
+this directory is the directory from which you invoked Axiom.
+
+To change the current working directory, use the {\tt )cd} system
+command.  The command {\tt {)cd}} by itself shows the current working
+\index{directory!default for searching} directory.  \index{cd} To
+change it to \index{file!input!where found} the {\tt {src/input}}
+subdirectory for user ``babar'', issue
+\begin{verbatim}
+)cd /u/babar/src/input
+\end{verbatim}
+Axiom looks first in this directory for an input file.  If it is not
+found, it looks in the system's directories, assuming you meant some
+input file that was provided with Axiom.
+
+\boxed{4.6in}{
+\vskip 0.1cm
+If you have the Axiom history facility turned on (which it is
+by default), you can save all the lines you have entered into the
+workspace by entering
+
+)history )write
+
+\index{history )write}
+
+Axiom tells you what input file to edit to see your statements.  The
+file is in your home directory or in the directory you specified with
+\index{cd} {\tt {)cd}}.\\
+}
+
+\section{The .axiom.input File}
+\label{sec:The .axiom.input File}
+
+When Axiom starts up, it tries to read the input file {\bf
+.axiom.input}\footnote{{\bf.axiom.input} used to be called 
+{\bf axiom.input} in the NAG version}
+from your home \index{start-up profile file}
+directory. \index{file!start-up profile} It
+there is no {\bf .axiom.input} in your home directory, it reads the
+copy located in its own {\bf src/input} directory.
+\index{file!.axiom.input @{\bf .axiom.input}} The file usually
+contains system commands to personalize your Axiom environment.  In
+the remainder of this section we mention a few things that users
+frequently place in their {\bf .axiom.input} files.
+
+In order to have FORTRAN output always produced from your
+computations, place the system command {\tt )set output fortran on} in
+{\bf .axiom.input}.  \index{quit} If you do not want to be prompted
+for confirmation when you issue the {\tt )quit} system command, place
+{\tt )set quit unprotected} in {\bf .axiom.input}.  
+\index{set quit unprotected} 
+If you then decide that you do want to be prompted, issue
+{\tt )set quit protected}.  \index{set quit protected} This is the
+default setting so that new users do not leave Axiom
+inadvertently. The system command {\tt )pquit} always
+prompts you for confirmation.
+\section{Common Features of Using Output Formats}
+\label{sec:Common Features of Using Output Formats}
+
+In this section we discuss how to start and stop the display
+\index{output formats!common features} of the different output formats
+and how to send the output to the screen or to a file.
+\index{file!sending output to} To fix ideas, we use FORTRAN output
+format for most of the examples.
+
+You can use the {\tt )set output} system \index{output
+formats!starting} command to \index{output formats!stopping} toggle or
+redirect the different kinds of output.  \index{set output} The name
+of the kind of output follows ``output'' in the command.  The names are
+
+\begin{tabular}{@{}ll}
+{\bf fortran} & for FORTRAN output. \\
+{\bf algebra} & for monospace two-dimensional mathematical output. \\
+{\bf tex}     & for \TeX{} output. \\
+{\bf script}  & for IBM Script Formula Format output.
+\end{tabular}
+
+For example, issue {\tt {)set output fortran on}} to turn on FORTRAN
+format and issue {\tt {)set output fortran off}} to turn it off.  By
+default, {\tt algebra} is {\tt on} and all others are {\tt off}.
+\index{set output fortran} When output is started, it is sent to the
+screen.  To send the output to a file, give the file name without
+\index{output formats!sending to file} directory or extension.  Axiom
+appends a file extension depending on the kind of output being
+produced.
+
+Issue this to redirect FORTRAN output to, for example, the file
+{\bf linalg.sfort}.
+\spadcommand{)set output fortran linalg}
+\begin{verbatim}
+   FORTRAN output will be written to file linalg.sfort .
+\end{verbatim}
+
+You must {\it also} turn on the creation of FORTRAN output.
+The above just says where it goes if it is created.
+\spadcommand{)set output fortran on}
+
+In what directory is this output placed?  It goes into the directory
+from which you started Axiom, or if you have used the {\tt {)cd}}
+system command, the one that you specified with {\tt {)cd}}.
+\index{cd} You should use {\tt )cd} before you send the output to the file.
+
+You can always direct output back to the screen by issuing this.
+\index{output formats!sending to screen}
+\spadcommand{)set output fortran console}
+
+Let's make sure FORTRAN formatting is off so that nothing we
+do from now on produces FORTRAN output.
+\spadcommand{)set output fortran off}
+
+We also delete the demonstrated output file we created.
+\spadcommand{)system rm linalg.sfort}
+
+You can abbreviate the words ``{\tt on},'' ``{\tt off},'' and 
+``{\tt console}'' to the minimal number of characters needed to distinguish
+them.  Because of this, you cannot send output to files called 
+{\bf on.sfort, off.sfort, of.sfort, console.sfort, consol.sfort} and so on.
+
+The width of the output on the page is set by \index{output
+formats!line length} {\tt )set output length} for all formats except
+FORTRAN.  \index{set output length} Use {\tt )set fortran fortlength}
+to change the FORTRAN line length from its default value of $72$.
+
+\section{Monospace Two-Dimensional Mathematical Format}
+\label{sec:Monospace Two-Dimensional Mathematical Format}
+
+This is the default output format for Axiom.  
+It is usually on when you start the system.  
+\index{set output algebra} 
+\index{output formats!monospace 2D} 
+\index{monospace 2D output format}
+
+If it is not, issue this.
+\spadcommand{)set output algebra on}
+
+Since the printed version of this book (as opposed to the HyperDoc
+version) shows output produced by the \TeX{} output formatter, let us
+temporarily turn off \TeX{} output.
+\spadcommand{)set output tex off}
+
+Here is an example of what it looks like.
+\spadcommand{matrix [ [i*x**i + j*\%i*y**j for i in 1..2] for j in 3..4]}
+\begin{verbatim}
+
+        +     3           3     2+
+        |3%i y  + x  3%i y  + 2x |
+   (1)  |                        |
+        |     4           4     2|
+        +4%i y  + x  4%i y  + 2x +
+\end{verbatim}
+\returnType{Type: Matrix Polynomial Complex Integer}
+
+Issue this to turn off this kind of formatting.
+\spadcommand{)set output algebra off}
+
+Turn \TeX{} output on again.
+\spadcommand{)set output tex on}
+
+The characters used for the matrix brackets above are rather ugly.
+You get this character set when you issue \index{character set} 
+{\tt )set output characters plain}.  \index{set output characters} This
+character set should be used when you are running on a machine that
+does not support the IBM extended ASCII character set.  If you are
+running on an IBM workstation, for example, issue 
+{\tt )set output characters default} to get better looking output.
+
+\section{TeX Format}
+\label{sec:TeX Format}
+
+Axiom can produce \TeX{} output for your \index{output formats!TeX
+@{\TeX{}}} expressions.  \index{TeX output format @{\TeX{}} output format}
+The output is produced using macros from the \LaTeX{} document
+preparation system by Leslie Lamport\cite{5}. The printed version
+of this book was produced using this formatter.
+
+To turn on \TeX{} output formatting, issue this.
+\index{set output tex}
+\spadcommand{)set output tex on}
+
+Here is an example of its output.
+\begin{verbatim}
+matrix [ [i*x**i + j*\%i*y**j for i in 1..2] for j in 3..4]
+
+$$
+\left[
+\begin{array}{cc}
+{{3 \  i \  {y \sp 3}}+x} & 
+{{3 \  i \  {y \sp 3}}+{2 \  {x \sp 2}}} \\ 
+{{4 \  i \  {y \sp 4}}+x} & 
+{{4 \  i \  {y \sp 4}}+{2 \  {x \sp 2}}} 
+\end{array}
+\right]
+$$
+
+\end{verbatim}
+This formats as
+$$
+\left[
+\begin{array}{cc}
+{{3 \  i \  {y \sp 3}}+x} & 
+{{3 \  i \  {y \sp 3}}+{2 \  {x \sp 2}}} \\ 
+{{4 \  i \  {y \sp 4}}+x} &  
+{{4 \  i \  {y \sp 4}}+{2 \  {x \sp 2}}} 
+\end{array}
+\right]
+$$
+
+To turn \TeX{} output formatting off, issue 
+{\tt {)set output tex off}}.
+The \LaTeX macros in the output generated by Axiom
+are all standard except for the following definitions:
+\begin{verbatim}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+\end{verbatim}
+
+\section{IBM Script Formula Format}
+\label{sec:IBM Script Formula Format}
+
+Axiom can \index{output formats!IBM Script Formula Format} produce IBM
+Script Formula Format output for your 
+\index{IBM Script Formula Format} expressions.
+
+To turn IBM Script Formula Format on, issue this.
+\index{set output script}
+\spadcommand{)set output script on}
+
+Here is an example of its output.
+\begin{verbatim}
+matrix [ [i*x**i + j*%i*y**j for i in 1..2] for j in 3..4]
+
+.eq set blank @
+:df.
+<left lb < < < <3 @@ %i @@ <y sup 3> >+x> here < <3 @@ %i @@
+<y sup 3> >+<2 @@ <x sup 2> > > > habove < < <4 @@ %i @@
+<y sup 4> >+x> here < <4 @@ %i @@ <y sup 4> >+<2 @@
+<x up 2> > > > > right rb>
+:edf.
+\end{verbatim}
+
+To turn IBM Script Formula Format output formatting off, issue this.
+\spadcommand{)set output script off}
+
+\section{FORTRAN Format}
+\label{sec:FORTRAN Format}
+
+In addition to turning FORTRAN output on and off and stating where the
+\index{output formats!FORTRAN} output should be placed, there are many
+options that control the \index{FORTRAN output format} appearance of
+the generated code.  In this section we describe some of the basic
+options.  Issue {\tt )set fortran} to see a full list with their
+current settings.
+
+The output FORTRAN expression usually begins in column 7.  If the
+expression needs more than one line, the ampersand character {\tt \&}
+is used in column 6.  Since some versions of FORTRAN have restrictions
+on the number of lines per statement, Axiom breaks long expressions
+into segments with a maximum of 1320 characters (20 lines of 66
+characters) per segment.  \index{set fortran} If you want to change
+this, say, to 660 characters, issue the system command 
+\index{set fortran explength} {\tt )set fortran explength 660}.  
+\index{FORTRAN output format!breaking into multiple statements} 
+You can turn off the line breaking by issuing {\tt )set fortran segment off}.
+\index{set fortran segment} Various code optimization levels are available.
+
+FORTRAN output is produced after you issue this.
+\index{set output fortran}
+\spadcommand{)set output fortran on}
+
+For the initial examples, we set the optimization level to 0, which is the
+lowest level.
+\index{set fortran optlevel}
+\spadcommand{)set fortran optlevel 0}
+
+The output is usually in columns 7 through 72, although fewer columns
+are used in the following examples so that the output
+\index{FORTRAN output format!line length}
+fits nicely on the page.
+\spadcommand{)set fortran fortlength 60}
+
+By default, the output goes to the screen and is displayed before the
+standard Axiom two-dimensional output.  In this example, an assignment
+to the variable $R1$ was generated because this is the result of step 1.
+\spadcommand{(x+y)**3}
+\begin{verbatim}
+      R1=y**3+3*x*y*y+3*x*x*y+x**3
+\end{verbatim}
+$$
+{y \sp 3}+{3 \  x \  {y \sp 2}}+{3 \  {x \sp 2} \  y}+{x \sp 3} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Here is an example that illustrates the line breaking.
+\spadcommand{(x+y+z)**3}
+\begin{verbatim}
+      R2=z**3+(3*y+3*x)*z*z+(3*y*y+6*x*y+3*x*x)*z+y**3+3*x*y
+     &*y+3*x*x*y+x**3
+\end{verbatim}
+$$
+{z \sp 3}+{{\left( {3 \  y}+{3 \  x} 
+\right)}
+\  {z \sp 2}}+{{\left( {3 \  {y \sp 2}}+{6 \  x \  y}+{3 \  {x \sp 2}} 
+\right)}
+\  z}+{y \sp 3}+{3 \  x \  {y \sp 2}}+{3 \  {x \sp 2} \  y}+{x \sp 3} 
+$$
+\returnType{Type: Polynomial Integer}
+
+Note in the above examples that integers are generally converted to
+\index{FORTRAN output format!integers vs. floats} floating point
+numbers, except in exponents.  This is the default behavior but can be
+turned off by issuing {\tt )set fortran ints2floats off}.  
+\index{set fortran ints2floats} The rules governing when the conversion 
+is done are:
+\begin{enumerate}
+\item If an integer is an exponent, convert it to a floating point
+number if it is greater than 32767 in absolute value, otherwise leave it
+as an integer.
+\item Convert all other integers in an expression to floating point numbers.
+\end{enumerate}
+These rules only govern integers in expressions.  Numbers generated by
+Axiom for $DIMENSION$ statements are also integers.
+
+To set the type of generated FORTRAN data, 
+\index{FORTRAN output format!data types}
+use one of the following:
+\begin{verbatim}
+)set fortran defaulttype REAL
+)set fortran defaulttype INTEGER
+)set fortran defaulttype COMPLEX
+)set fortran defaulttype LOGICAL
+)set fortran defaulttype CHARACTER
+\end{verbatim}
+
+When temporaries are created, they are given a default type of {\tt REAL.}  
+Also, the {\tt REAL} versions of functions are used by default.
+\spadcommand{sin(x)}
+\begin{verbatim}
+      R3=DSIN(x)
+\end{verbatim}
+$$
+\sin 
+\left(
+{x} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+At optimization level 1, Axiom removes common subexpressions.
+\index{FORTRAN output format!optimization level}
+\index{set fortran optlevel}
+\spadcommand{)set fortran optlevel 1}
+
+\spadcommand{(x+y+z)**3}
+\begin{verbatim}
+      T2=y*y
+      T3=x*x
+      R4=z**3+(3*y+3*x)*z*z+(3*T2+6*x*y+3*T3)*z+y**3+3*x*T2+
+     &3*T3*y+x**3
+\end{verbatim}
+$$
+{z \sp 3}+{{\left( {3 \  y}+{3 \  x} 
+\right)}
+\  {z \sp 2}}+{{\left( {3 \  {y \sp 2}}+{6 \  x \  y}+{3 \  {x \sp 2}} 
+\right)}
+\  z}+{y \sp 3}+{3 \  x \  {y \sp 2}}+{3 \  {x \sp 2} \  y}+{x \sp 3} 
+$$
+\returnType{Type: Polynomial Integer}
+
+This changes the precision to {\tt DOUBLE}.  \index{set fortran
+precision double} Substitute {\tt single} for {\tt double}
+\index{FORTRAN output format!precision} to return to single precision.  
+\index{set fortran precision single}
+
+\spadcommand{)set fortran precision double}
+
+Complex constants display the precision.
+\spadcommand{2.3 + 5.6*\%i }
+\begin{verbatim}
+      R5=(2.3D0,5.6D0)
+\end{verbatim}
+$$
+{2.3}+{{5.6} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+The function names that Axiom generates depend on the chosen precision.
+\spadcommand{sin \%e}
+%%NOTE: the book shows DSIN(DEXP(1.0D0))
+\begin{verbatim}
+      R6=DSIN(DEXP(1))
+\end{verbatim}
+$$
+\sin 
+\left(
+{e} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+
+Reset the precision to {\tt single} and look at these two examples again.
+\spadcommand{)set fortran precision single}
+
+\spadcommand{2.3 + 5.6*\%i}
+\begin{verbatim}
+      R7=(2.3,5.6)
+\end{verbatim}
+$$
+{2.3}+{{5.6} \  i} 
+$$
+\returnType{Type: Complex Float}
+
+\spadcommand{sin \%e}
+%%NOTE: the book shows SIN(EXP(1.))
+\begin{verbatim}
+      R8=SIN(EXP(1))
+\end{verbatim}
+$$
+\sin 
+\left(
+{e} 
+\right)
+$$
+\returnType{Type: Expression Integer}
+Expressions that look like lists, streams, sets or matrices cause
+array code to be generated.
+\spadcommand{[x+1,y+1,z+1]}
+\begin{verbatim}
+      T1(1)=x+1
+      T1(2)=y+1
+      T1(3)=z+1
+      R9=T1
+\end{verbatim}
+$$
+\left[
+{x+1}, {y+1}, {z+1} 
+\right]
+$$
+\returnType{Type: List Polynomial Integer}
+
+
+A temporary variable is generated to be the name of the array.
+\index{FORTRAN output format!arrays} This may have to be changed in
+your particular application.
+\spadcommand{set[2,3,4,3,5]}
+\begin{verbatim}
+      T1(1)=2
+      T1(2)=3
+      T1(3)=4
+      T1(4)=5
+      R10=T1
+\end{verbatim}
+$$
+\left\{
+2,  3,  4,  5 
+\right\}
+$$
+\returnType{Type: Set PositiveInteger}
+
+By default, the starting index for generated FORTRAN arrays is $0$.
+\spadcommand{matrix [ [2.3,9.7],[0.0,18.778] ]}
+\begin{verbatim}
+      T1(0,0)=2.3
+      T1(0,1)=9.7
+      T1(1,0)=0.0
+      T1(1,1)=18.778
+      T1
+\end{verbatim}
+$$
+\left[
+\begin{array}{cc}
+{2.3} & {9.7} \\ 
+{0.0} & {18.778} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+To change the starting index for generated FORTRAN arrays to be $1$,
+\index{set fortran startindex} issue this.  This value can only be $0$
+or $1$.
+\spadcommand{)set fortran startindex 1}
+
+Look at the code generated for the matrix again.
+\spadcommand{matrix [ [2.3,9.7],[0.0,18.778] ]}
+\begin{verbatim}
+      T1(1,1)=2.3
+      T1(1,2)=9.7
+      T1(2,1)=0.0
+      T1(2,2)=18.778
+      T1
+\end{verbatim}
+$$
+\left[
+\begin{array}{cc}
+{2.3} & {9.7} \\ 
+{0.0} & {18.778} 
+\end{array}
+\right]
+$$
+\returnType{Type: Matrix Float}
+
+
+%\setcounter{chapter}{0} % Appendix A
+
+\providecommand{\lanb}{{\tt [}}
+\providecommand{\ranb}{{\tt ]}}
+\providecommand{\vertline}{$|$}
+
+\chapter{Axiom System Commands}
+\label{sec:Axiom System Commands}
+
+This chapter describes system commands, the command-line
+facilities used to control the Axiom environment.
+The first section is an introduction and discusses the common
+syntax of the commands available.
+
+\section{Introduction}
+\label{sec:Introduction}
+
+System commands are used to perform Axiom environment
+management.
+Among the commands are those that display what has been defined or
+computed, set up multiple logical Axiom environments
+(frames), clear definitions, read files of expressions and
+commands, show what functions are available, and terminate
+Axiom.
+
+Some commands are restricted: the commands
+\index{set userlevel interpreter}
+\index{set userlevel compiler}
+\index{set userlevel development}
+\begin{verbatim}
+)set userlevel interpreter
+)set userlevel compiler
+)set userlevel development
+\end{verbatim}
+set the user-access level to the three possible choices.
+All commands are available at {\tt development} level and the fewest
+are available at {\tt interpreter} level.
+The default user-level is {\tt interpreter}.
+\index{user-level}
+In addition to the {\tt )set} command 
+you can use the HyperDoc settings facility to change the {\it user-level.}
+
+
+Each command listing begins with one or more syntax pattern descriptions
+plus examples of related commands.
+The syntax descriptions are intended to be easy to read and do not
+necessarily represent the most compact way of specifying all
+possible arguments and options; the descriptions may occasionally
+be redundant.
+
+All system commands begin with a right parenthesis which should be in
+the first available column of the input line (that is, immediately
+after the input prompt, if any).
+System commands may be issued directly to Axiom or be
+included in {\bf .input} files.
+\index{file!input}
+
+A system command {\it argument} is a word that directly
+follows the command name and is not followed or preceded by a
+right parenthesis.
+A system command {\it option} follows the system command and
+is directly preceded by a right parenthesis.
+Options may have arguments: they directly follow the option.
+This example may make it easier to remember what is an option and
+what is an argument:
+
+\begin{center}
+{\tt )syscmd {\it arg1 arg2} )opt1 {\it opt1arg1 opt1arg2} )opt2 {\it opt2arg1} ...}
+\end{center}
+
+In the system command descriptions, optional arguments and options are
+enclosed in brackets (``\lanb'' and ``\ranb'').
+If an argument or option name is in italics, it is
+meant to be a variable and must have some actual value substituted
+for it when the system command call is made.
+For example, the syntax pattern description
+
+\noindent
+{\tt )read} {\it fileName} {\tt \lanb{})quietly\ranb{}}
+
+\noindent
+would imply that you must provide an actual file name for
+{\it fileName} but need not use the {\tt )quietly} option.
+Thus
+\begin{verbatim}
+)read matrix.input
+\end{verbatim}
+is a valid instance of the above pattern.
+
+System command names and options may be abbreviated and may be in
+upper or lower case.
+The case of actual arguments may be significant, depending on the
+particular situation (such as in file names).
+System command names and options may be abbreviated to the minimum
+number of starting letters so that the name or option is unique.
+Thus
+\begin{verbatim}
+)s Integer
+\end{verbatim}
+is not a valid abbreviation for the {\tt )set} command,
+because both {\tt )set} and {\tt )show}
+begin with the letter ``s''.
+Typically, two or three letters are sufficient for disambiguating names.
+In our descriptions of the commands, we have used no abbreviations for
+either command names or options.
+
+In some syntax descriptions we use a vertical line ``\vertline''
+to indicate that you must specify one of the listed choices.
+For example, in
+\begin{verbatim}
+)set output fortran on | off
+\end{verbatim}
+only {\tt on} and {\tt off} are acceptable words for following
+{\tt boot}.
+We also sometimes use ``...'' to indicate that additional arguments
+or options of the listed form are allowed.
+Finally, in the syntax descriptions we may also list the syntax of
+related commands.
+
+\section{)abbreviation}
+
+\index{abbreviation}
+
+
+\par\noindent{\bf User Level Required:} compiler
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )abbreviation query  \lanb{}{\it nameOrAbbrev}\ranb{}}
+
+\item {\tt )abbreviation category  {\it abbrev  fullname} \lanb{})quiet\ranb{}}
+
+\item {\tt )abbreviation domain  {\it abbrev  fullname}   \lanb{})quiet\ranb{}}
+
+\item {\tt )abbreviation package  {\it abbrev  fullname}  \lanb{})quiet\ranb{}}
+
+\item {\tt )abbreviation remove  {\it nameOrAbbrev}}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to query, set and remove abbreviations for category,
+domain and package constructors.
+Every constructor must have a unique abbreviation.
+This abbreviation is part of the name of the subdirectory
+under which the components of the compiled constructor are
+stored.
+%% BEGIN OBSOLETE
+% It is this abbreviation that is used to bring compiled code into
+% Axiom with the {\tt )load} command.
+%% END OBSOLETE
+Furthermore, by issuing this command you
+let the system know what file to load automatically if you use a new
+constructor.
+Abbreviations must start with a letter and then be followed by
+up to seven letters or digits.
+Any letters appearing in the abbreviation must be in uppercase.
+
+When used with the {\tt query} argument,
+\index{abbreviation query}
+this command may be used to list the name
+associated with a  particular abbreviation or the  abbreviation for a
+constructor.
+If no abbreviation or name is given, the names and corresponding
+abbreviations for {\it all} constructors are listed.
+
+The following shows the abbreviation for the constructor {\tt List}:
+\begin{verbatim}
+)abbreviation query List
+\end{verbatim}
+The following shows the constructor name corresponding to the
+abbreviation {\tt NNI}:
+\begin{verbatim}
+)abbreviation query NNI
+\end{verbatim}
+The following lists all constructor names and their abbreviations.
+\begin{verbatim}
+)abbreviation query
+\end{verbatim}
+
+To add an abbreviation for a constructor, use this command with
+{\tt category}, {\tt domain} or {\tt package}.
+\index{abbreviation package}
+\index{abbreviation domain}
+\index{abbreviation category}
+The following add abbreviations to the system for a
+category, domain and package, respectively:
+\begin{verbatim}
+)abbreviation domain   SET Set
+)abbreviation category COMPCAT  ComplexCategory
+)abbreviation package  LIST2MAP ListToMap
+\end{verbatim}
+If the {\tt )quiet} option is used,
+no output is displayed from this command.
+You would normally only define an abbreviation in a library source file.
+If this command is issued for a constructor that has already been loaded, the
+constructor will be reloaded next time it is referenced.  In particular, you
+can use this command to force the automatic reloading of constructors.
+
+To remove an abbreviation, the {\tt remove} argument is used.
+\index{abbreviation remove}
+This is usually
+only used to correct a previous command that set an abbreviation for a
+constructor name.
+If, in fact, the abbreviation does exist, you are prompted
+for confirmation of the removal request.
+Either of the following commands
+will remove the abbreviation {\tt VECTOR2} and the
+constructor name {\tt VectorFunctions2} from the system:
+\begin{verbatim}
+)abbreviation remove VECTOR2
+)abbreviation remove VectorFunctions2
+\end{verbatim}
+
+\par\noindent{\bf Also See:}
+{\tt )compile} 
+
+\section{)boot}
+
+\index{)boot}
+\index{boot}
+
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {{\tt )boot} {\it bootExpression}}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom system developers to execute
+expressions written in the BOOT language.
+For example,
+\begin{verbatim}
+)boot times3(x) == 3*x
+\end{verbatim}
+creates and compiles the Common Lisp function ``times3''
+obtained by translating the BOOT code.
+
+\par\noindent{\bf Also See:}
+{\tt )fin} \index{)fin}
+{\tt )lisp} \index{)lisp},
+{\tt )set} \index{)set}, and
+{\tt )system} \index{)system}.
+
+
+\section{)cd}
+\index{)cd}
+
+\index{cd}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {{\tt )cd} {\it directory}}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command sets the Axiom working current directory.
+The current directory is used for looking for
+input files (for {\tt )read}),
+Axiom library source files (for {\tt )compile}),
+saved history environment files (for {\tt )history )restore}),
+compiled Axiom library files (for {\tt )library}), and
+files to edit (for {\tt )edit}).
+It is also used for writing
+spool files (via {\tt )spool}),
+writing history input files (via {\tt )history )write}) and
+history environment files (via {\tt )history )save}),and
+compiled Axiom library files (via {\tt )compile}).
+\index{read}
+\index{compile}
+\index{history )restore}
+\index{edit}
+\index{spool}
+\index{history )write}
+\index{history )save}
+
+If issued with no argument, this command sets the Axiom
+current directory to your home directory.
+If an argument is used, it must be a valid directory name.
+Except for the ``{\tt )}'' at the beginning of the command,
+this has the same syntax as the operating system {\tt cd} command.
+
+\par\noindent{\bf Also See:}
+{\tt )compile} \index{)compile},
+{\tt )edit} \index{)edit},
+{\tt )history} \index{)history},
+{\tt )library} \index{)library},
+{\tt )read} \index{)read}, and
+{\tt )spool} \index{)spool}.
+
+\section{)close}
+\index{)close}
+\index{close}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )close}
+\item{\tt )close )quietly}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used to close down interpreter client processes.
+Such processes are started by HyperDoc to run Axiom examples
+when you click on their text. When you have finished examining or modifying the
+example and you do not want the extra window around anymore, issue
+\begin{verbatim}
+)close
+\end{verbatim}
+to the Axiom prompt in the window.
+
+If you try to close down the last remaining interpreter client
+process, Axiom will offer to close down the entire Axiom
+session and return you to the operating system by displaying something
+like
+\begin{verbatim}
+   This is the last Axiom session. Do you want to kill Axiom?
+\end{verbatim}
+Type ``{\tt y}'' (followed by the Return key) if this is what you had in mind.
+Type ``{\tt n}'' (followed by the Return key) to cancel the command.
+
+You can use the {\tt )quietly} option to force Axiom to
+close down the interpreter client process without closing down
+the entire Axiom session.
+
+\par\noindent{\bf Also See:}
+{\tt )quit} \index{)quit} and
+{\tt )pquit} \index{)pquit}
+
+
+
+\section{)clear}
+\index{)clear}
+\index{clear}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )clear all}
+\item{\tt )clear completely}
+\item{\tt )clear properties all}
+\item{\tt )clear properties}  {\it obj1 \lanb{}obj2 ...\ranb{}}
+\item{\tt )clear value      all}
+\item{\tt )clear value}     {\it obj1 \lanb{}obj2 ...\ranb{}}
+\item{\tt )clear mode       all}
+\item{\tt )clear mode}      {\it obj1 \lanb{}obj2 ...\ranb{}}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used to remove function and variable declarations, definitions
+and values  from the workspace.
+To  empty the entire workspace  and reset the
+step counter to 1, issue
+\begin{verbatim}
+)clear all
+\end{verbatim}
+To remove everything in the workspace but not reset the step counter, issue
+\begin{verbatim}
+)clear properties all
+\end{verbatim}
+To remove everything about the object {\tt x}, issue
+\begin{verbatim}
+)clear properties x
+\end{verbatim}
+To remove everything about the objects {\tt x, y} and {\tt f}, issue
+\begin{verbatim}
+)clear properties x y f
+\end{verbatim}
+
+The word {\tt properties} may be abbreviated to the single letter
+``{\tt p}''.
+\begin{verbatim}
+)clear p all
+)clear p x
+)clear p x y f
+\end{verbatim}
+All definitions of functions and values of variables may be removed by either
+\begin{verbatim}
+)clear value all
+)clear v all
+\end{verbatim}
+This retains whatever declarations the objects had.  To remove definitions and
+values for the specific objects {\tt x, y} and {\tt f}, issue
+\begin{verbatim}
+)clear value x y f
+)clear v x y f
+\end{verbatim}
+To remove  the declarations  of everything while  leaving the  definitions and
+values, issue
+\begin{verbatim}
+)clear mode  all
+)clear m all
+\end{verbatim}
+To remove declarations for the specific objects {\tt x, y} and {\tt f}, issue
+\begin{verbatim}
+)clear mode x y f
+)clear m x y f
+\end{verbatim}
+The {\tt )display names} and {\tt )display properties} commands  may be used
+to see what is currently in the workspace.
+
+The command
+\begin{verbatim}
+)clear completely
+\end{verbatim}
+does everything that {\tt )clear all} does, and also clears the internal
+system function and constructor caches.
+
+\par\noindent{\bf Also See:}
+{\tt )display} \index{)display},
+{\tt )history} \index{)history}, and
+{\tt )undo} \index{)undo}.
+
+
+\section{)compile}
+\index{)compile}
+\index{compile}
+
+
+\par\noindent{\bf User Level Required:} compiler
+
+\par\noindent{\bf Command Syntax:}
+
+\begin{list}{}
+\item {\tt )compile}
+\item {\tt )compile {\it fileName}}
+\item {\tt )compile {\it fileName}.as}
+\item {\tt )compile {\it directory/fileName}.as}
+\item {\tt )compile {\it fileName}.ao}
+\item {\tt )compile {\it directory/fileName}.ao}
+\item {\tt )compile {\it fileName}.al}
+\item {\tt )compile {\it directory/fileName}.al}
+\item {\tt )compile {\it fileName}.lsp}
+\item {\tt )compile {\it directory/fileName}.lsp}
+\item {\tt )compile {\it fileName}.spad}
+\item {\tt )compile {\it directory/fileName}.spad}
+\item {\tt )compile {\it fileName} )new}
+\item {\tt )compile {\it fileName} )old}
+\item {\tt )compile {\it fileName} )translate}
+\item {\tt )compile {\it fileName} )quiet}
+\item {\tt )compile {\it fileName} )noquiet}
+\item {\tt )compile {\it fileName} )moreargs}
+\item {\tt )compile {\it fileName} )onlyargs}
+\item {\tt )compile {\it fileName} )break}
+\item {\tt )compile {\it fileName} )nobreak}
+\item {\tt )compile {\it fileName} )library}
+\item {\tt )compile {\it fileName} )nolibrary}
+\item {\tt )compile {\it fileName} )vartrace}
+\item {\tt )compile {\it fileName} )constructor} {\it nameOrAbbrev}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+\index{spad}
+\index{aldor}
+You use this command to invoke the {\bf Spad} compiler or the 
+{\bf Aldor} compiler.
+The {\tt )compile} system command is actually a combination of
+Axiom processing and a call to the Aldor compiler.
+It is performing double-duty, acting as a front-end to
+both the Aldor compiler and the Spad compiler.
+(The Spad compiler is written in Lisp and is
+an integral part of the Axiom environment.
+The Aldor compiler is written in C and executed by the operating system
+when called from within Axiom.)
+
+The command compiles files with file extensions {\it .as, .ao}
+and {\it .al} with the
+Aldor compiler and files with file extension {\it .spad} with the
+Spad compiler.
+It also can compile files with file extension {\it .lsp}. These
+are assumed to be Lisp files genererated by the Aldor
+compiler.
+If you omit the file extension, the command looks to see if you
+have specified the {\tt )new} or {\tt )old} option.
+If you have given one of these options, the corresponding compiler
+is used.
+Otherwise, the command first looks in the standard system
+directories for files with extension {\it .as, .ao} and {\it
+.al} and then files with extension {\it .spad}.
+The first file found has the appropriate compiler invoked on it.
+If the command cannot find a matching file, an error message is
+displayed and the command terminates.
+
+The {\tt )translate} option is used to invoke a special version
+of the Spad compiler that will translate a {\it .spad} file
+to a {\it .as} file. That is, the {\it .spad} file will be parsed and
+analyzed and a file using the new syntax will be created. By default,
+the {\it .as} file is created in the same directory as the
+{\it .spad} file. If that directory is not writable, the current
+directory is used. If the current directory is not writable, an
+error message is given and the command terminates.
+Note that {\tt )translate} implies the {\tt )old} option so the
+file extension can safely be omitted. If {\tt )translate} is
+given, all other options are ignored.
+Please be aware that the translation is not necessarily one
+hundred percent complete or correct.
+You should attempt to compile the output with the Aldor compiler
+and make any necessary corrections.
+
+We now describe the options for the new Aldor compiler.
+
+The first thing {\tt )compile} does is look for a source code
+filename among its arguments.
+Thus
+\begin{verbatim}
+)compile mycode.as
+)compile /u/jones/as/mycode.as
+)compile mycode
+\end{verbatim}
+all invoke {\tt )compiler} on the file {\tt
+/u/jones/as/mycode.as} if the current Axiom working
+directory is {\tt /u/jones/as.} (Recall that you can set the
+working directory via the {\tt )cd} command. If you don't set it
+explicitly, it is the directory from which you started
+Axiom.)
+
+This is frequently all you need to compile your file.
+This simple command:
+\begin{enumerate}
+\item Invokes the Aldor compiler and produces Lisp output.
+\item Calls the Lisp compiler if the Aldor compilation was
+successful.
+\item Uses the {\tt )library} command to tell Axiom about
+the contents of your compiled file and arrange to have those
+contents loaded on demand.
+\end{enumerate}
+
+Should you not want the {\tt )library} command automatically
+invoked, call {\tt )compile} with the {\tt )nolibrary} option.
+For example,
+\begin{verbatim}
+)compile mycode.as )nolibrary
+\end{verbatim}
+
+The general description of Aldor command line arguments is in
+the Aldor documentation.
+The default options used by the {\tt )compile} command can be
+viewed and set using the {\tt )set compiler args} Axiom
+system command.
+The current defaults are
+\begin{verbatim}
+-O -Fasy -Fao -Flsp -laxiom -Mno-AXL_W_WillObsolete -DAxiom
+\end{verbatim}
+These options mean:
+\begin{itemize}
+\item {\tt -O}: perform all optimizations,
+\item {\tt -Fasy}: generate a {\tt .asy} file,
+\item {\tt -Fao}: generate a {\tt .ao} file,
+\item {\tt -Flsp}: generate a {\tt .lsp} (Lisp)
+file,
+\index{Lisp!code generation}
+\item {\tt -laxiom}: use the {\tt axiom} library {\tt libaxiom.al},
+\item {\tt -Mno-AXL\_W\_WillObsolete}: do not display messages
+about older generated files becoming obsolete, and
+\item {\tt -DAxiom}: define the global assertion {\tt Axiom} so that the
+Aldor libraries for generating stand-alone code
+are not accidentally used with Axiom.
+\end{itemize}
+
+To supplement these default arguments, use the {\tt )moreargs} option on
+{\tt )compile.}
+For example,
+\begin{verbatim}
+)compile mycode.as )moreargs "-v"
+\end{verbatim}
+uses the default arguments and appends the {\tt -v} (verbose)
+argument flag.
+The additional argument specification {\bf must be enclosed in
+double quotes.}
+
+To completely replace these default arguments for a particular
+use of {\tt )compile}, use the {\tt )onlyargs} option.
+For example,
+\begin{verbatim}
+)compile mycode.as )onlyargs "-v -O"
+\end{verbatim}
+only uses the {\tt -v} (verbose) and {\tt -O} (optimize)
+arguments.
+The argument specification {\bf must be enclosed in double quotes.}
+In this example, Lisp code is not produced and so the compilation
+output will not be available to Axiom.
+
+To completely replace the default arguments for all calls to {\tt
+)compile} within your Axiom session, use {\tt )set compiler args.}
+For example, to use the above arguments for all compilations, issue
+\begin{verbatim}
+)set compiler args "-v -O"
+\end{verbatim}
+Make sure you include the necessary {\tt -l} and {\tt -Y}
+arguments along with those needed for Lisp file creation.
+As above, {\bf the argument specification must be enclosed in double
+quotes.}
+
+By default, the {\tt )library} system command {\it exposes} all
+domains and categories it processes.
+This means that the Axiom intepreter will consider those
+domains and categories when it is trying to resolve a reference
+to a function.
+Sometimes domains and categories should not be exposed.
+For example, a domain may just be used privately by another
+domain and may not be meant for top-level use.
+The {\tt )library} command should still be used, though, so that
+the code will be loaded on demand.
+In this case, you should use the {\tt )nolibrary} option on {\tt
+)compile} and the {\tt )noexpose} option in the {\tt )library}
+command. For example,
+\begin{verbatim}
+)compile mycode.as )nolibrary
+)library mycode )noexpose
+\end{verbatim}
+
+Once you have established your own collection of compiled code,
+you may find it handy to use the {\tt )dir} option on the
+{\tt )library} command.
+This causes {\tt )library} to process all compiled code in the
+specified directory. For example,
+\begin{verbatim}
+)library )dir /u/jones/as/quantum
+\end{verbatim}
+You must give an explicit directory after {\tt )dir}, even if you
+want all compiled code in the current working directory
+processed, e.g.
+\begin{verbatim}
+)library )dir .
+\end{verbatim}
+
+The {\tt )compile} command works with several file extensions. We saw
+above what happens when it is invoked on a file with extension {\tt
+.as.} A {\tt .ao} file is a portable binary compiled version of a
+{\tt .as} file, and {\tt )compile} simply passes the {\tt .ao} file
+onto Aldor. The generated Lisp file is compiled and {\tt )library}
+is automatically called, just as if you had specified a {\tt .as} file.
+
+A {\tt .al} file is an archive file containing {\tt .ao} files. The
+archive is created (on Unix systems) with the {\tt ar} program. When
+{\tt )compile} is given a {\tt .al} file, it creates a directory whose
+name is based on that of the archive. For example, if you issue
+\begin{verbatim}
+)compile mylib.al
+\end{verbatim}
+the directory {\tt mylib.axldir} is created. All
+members of the archive are unarchived into the
+directory and {\tt )compile} is called on each {\tt .ao} file found. It
+is your responsibility to remove the directory and its contents, if you
+choose to do so.
+
+A {\tt .lsp} file is a Lisp source file, presumably, in our context,
+generated by Aldor when called with the {\tt -Flsp} option. When
+{\tt )compile} is used with a {\tt .lsp} file, the Lisp file is
+compiled and {\tt )library} is called. You must also have present a
+{\tt .asy} generated from the same source file.
+
+The following are descriptions of options for the Spad compiler.
+
+You can compile category, domain, and package constructors
+contained in files with file extension {\it .spad}.
+You can compile individual constructors or every constructor
+in a file.
+
+The full filename is remembered between invocations of this command and
+{\tt )edit} commands.
+The sequence of commands
+\begin{verbatim}
+)compile matrix.spad
+)edit
+)compile
+\end{verbatim}
+will call the compiler, edit, and then call the compiler again
+on the file {\bf matrix.spad.}
+If you do not specify a {\it directory,} the working current
+directory is searched for the file.
+If the file is not found, the standard system directories are searched.
+
+If you do not give any options, all constructors within a file are
+compiled.
+Each constructor should have an {\tt )abbreviation} command in
+the file in which it is defined.
+We suggest that you place the {\tt )abbreviation} commands at the
+top of the file in the order in which the constructors are
+defined.
+The list of commands serves as a table of contents for the file.
+\index{abbreviation}
+
+The {\tt )library} option causes directories containing the
+compiled code for each constructor
+to be created in the working current directory.
+The name of such a directory consists of the constructor
+abbreviation and the {\bf .nrlib} file extension.
+For example, the directory containing the compiled code for
+the {\tt MATRIX} constructor is called {\bf MATRIX.nrlib.}
+The {\tt )nolibrary} option says that such files should not
+be created.
+The default is {\tt )library.}
+Note that the semantics of {\tt )library} and {\tt )nolibrary}
+for the new Aldor compiler and for the Spad compiler are
+completely different.
+
+The {\tt )vartrace} option causes the compiler to generate
+extra code for the constructor to support conditional tracing of
+variable assignments. Without
+this option, this code is suppressed and one cannot use
+the {\tt )vars} option for the trace command.
+
+The {\tt )constructor} option is used to
+specify a particular constructor to compile.
+All other constructors in the file are ignored.
+The constructor name or abbreviation follows {\tt )constructor.}
+Thus either
+\begin{verbatim}
+)compile matrix.spad )constructor RectangularMatrix
+\end{verbatim}
+or
+\begin{verbatim}
+)compile matrix.spad )constructor RMATRIX
+\end{verbatim}
+compiles  the {\tt RectangularMatrix} constructor
+defined in {\bf matrix.spad.}
+
+The {\tt )break} and {\tt )nobreak} options determine what
+the Spad compiler does when it encounters an error.
+{\tt )break} is the default and it indicates that processing
+should stop at the first error.
+The value of the {\tt )set break} variable then controls what happens.
+
+
+%% BEGIN OBSOLTE
+% It is important for you to realize that it does not suffice to compile a
+% constructor to use the new code in the interpreter.
+% After compilation, the {\tt )load} command with the
+% {\tt )update} option should be used to bring in the new code
+% and update internal system tables with information about the
+% constructor.
+%% END OBSOLTE
+
+\par\noindent{\bf Also See:}
+{\tt )abbreviation} \index{)abbreviation},
+{\tt )edit} \index{)edit}, and
+{\tt )library} \index{)library}.
+
+
+\section{)display}
+\index{)display}
+\index{display}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )display all}
+\item {\tt )display properties}
+\item {\tt )display properties all}
+\item {\tt )display properties} {\it \lanb{}obj1 \lanb{}obj2 ...\ranb{}\ranb{}}
+\item {\tt )display value all}
+\item {\tt )display value} {\it \lanb{}obj1 \lanb{}obj2 ...\ranb{}\ranb{}}
+\item {\tt )display mode all}
+\item {\tt )display mode} {\it \lanb{}obj1 \lanb{}obj2 ...\ranb{}\ranb{}}
+\item {\tt )display names}
+\item {\tt )display operations} {\it opName}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is  used to display the contents of  the workspace and
+signatures of functions  with a  given  name.
+
+The command
+\begin{verbatim}
+)display names
+\end{verbatim}
+lists the names of all user-defined  objects in the workspace.  This is useful
+if you do  not wish to see everything  about the objects and need  only be
+reminded of their names.
+
+The commands
+\begin{verbatim}
+)display all
+)display properties
+)display properties all
+\end{verbatim}
+all do  the same thing: show  the values and  types and declared modes  of all
+variables in the  workspace.  If you have defined  functions, their signatures
+and definitions will also be displayed.
+
+To show all information about a  particular variable or user functions,
+for example, something named {\tt d}, issue
+\begin{verbatim}
+)display properties d
+\end{verbatim}
+To just show the value (and the type) of {\tt d}, issue
+\begin{verbatim}
+)display value d
+\end{verbatim}
+To just show the declared mode of {\tt d}, issue
+\begin{verbatim}
+)display mode d
+\end{verbatim}
+
+All modemaps for a given operation  may be
+displayed by using {\tt )display operations}.
+A {\it modemap} is a collection of information about  a particular
+reference
+to an  operation.  This  includes the  types of the  arguments and  the return
+value, the  location of the  implementation and  any conditions on  the types.
+The modemap may contain patterns.  The following displays the modemaps for the
+operation \spadfunFrom{complex}{ComplexCategory}:
+\begin{verbatim}
+)d op complex
+\end{verbatim}
+
+\par\noindent{\bf Also See:}
+{\tt )clear} \index{)clear},
+{\tt )history} \index{)history},
+{\tt )set} \index{)set},
+{\tt )show} \index{)show}, and
+{\tt )what} \index{)what}.
+
+
+\section{)edit}
+\index{)edit}
+\index{edit}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{{\tt )edit} [{\it filename}]}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is  used to edit files.
+It works in conjunction  with the {\tt )read}
+and {\tt )compile} commands to remember the name
+of the file on which you are working.
+By specifying the name fully, you  can edit any file you wish.
+Thus
+\begin{verbatim}
+)edit /u/julius/matrix.input
+\end{verbatim}
+will place  you in an editor looking at the  file
+{\tt /u/julius/matrix.input}.
+\index{editing files}
+By default, the editor is {\tt vi},
+\index{vi}
+but if you have an EDITOR shell environment variable defined, that editor
+will be used.
+When Axiom is running under the X Window System,
+it will try to open a separate {\tt xterm} running your editor if
+it thinks one is necessary.
+\index{Korn shell}
+For example, under the Korn shell, if you issue
+\begin{verbatim}
+export EDITOR=emacs
+\end{verbatim}
+then the emacs
+\index{emacs}
+editor will be used by {\tt )edit}.
+
+If you do not specify a file name, the last file you edited,
+read or compiled will be used.
+If there is no ``last file'' you will be placed in the editor editing
+an empty unnamed file.
+
+It is possible to use the {\tt )system} command to edit a file directly.
+For example,
+\begin{verbatim}
+)system emacs /etc/rc.tcpip
+\end{verbatim}
+calls {\tt emacs} to edit the file.
+\index{emacs}
+
+\par\noindent{\bf Also See:}
+{\tt )system} \index{)system},
+{\tt )compile} \index{)compile}, and
+{\tt )read} \index{)read}.
+
+\section{)fin}
+\index{)fin}
+\index{fin}
+
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )fin}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom
+developers to leave the Axiom system and return
+to the underlying Common Lisp system.
+To return to Axiom, issue the
+``{\tt (|spad|)}''
+function call to Common Lisp.
+
+\par\noindent{\bf Also See:}
+{\tt )pquit} \index{)pquit} and
+{\tt )quit} \index{)quit}.
+
+\section{)frame}
+\label{sec:frame}
+\index{)frame}
+\index{frame}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )frame  new  {\it frameName}}
+
+\item{\tt )frame  drop  [{\it frameName}]}
+
+\item{\tt )frame  next}
+
+\item{\tt )frame  last}
+
+\item{\tt )frame  names}
+
+\item{\tt )frame  import {\it frameName} 
+  {\it {\tt [}objectName1 {\tt [}objectName2 ...{\tt]]}}}
+
+\item{\tt )set message frame on | off}
+
+\item{\tt )set message prompt frame}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+A {\it frame} can be thought of as a logical session within the
+physical session that you get when you start the system.  You can
+have as many frames as you want, within the limits of your computer's
+storage, paging space, and so on.
+Each frame has its own {\it step number}, {\it environment} and {\it history.}
+You can have a variable named {\tt a} in one frame and it will
+have nothing to do with anything that might be called {\tt a} in
+any other frame.
+
+Some frames are created by the HyperDoc program and these can
+have pretty strange names, since they are generated automatically.
+\index{frame names}
+To find out the names
+of all frames, issue
+\begin{verbatim}
+)frame names
+\end{verbatim}
+It will indicate the name of the current frame.
+
+You create a new frame
+\index{frame new}
+``{\bf quark}'' by issuing
+\begin{verbatim}
+)frame new quark
+\end{verbatim}
+The history facility can be turned on by issuing either
+{\tt )set history on} or {\tt )history )on}.
+If the history facility is on and you are saving history information
+in a file rather than in the Axiom environment
+then a history file with filename {\bf quark.axh} will
+be created as you enter commands.
+If you wish to go back to what
+you were doing in the
+\index{frame next}
+``{\bf initial}'' frame, use
+\index{frame last}
+\begin{verbatim}
+)frame next
+\end{verbatim}
+or
+\begin{verbatim}
+)frame last
+\end{verbatim}
+to cycle through the ring of available frames to get back to
+``{\bf initial}''.
+
+If you want to throw
+away a frame (say ``{\bf quark}''), issue
+\begin{verbatim}
+)frame drop quark
+\end{verbatim}
+If you omit the name, the current frame is dropped.
+\index{frame drop}
+
+If you do use frames with the history facility on and writing to a file,
+you may want to delete some of the older history files.
+\index{file!history}
+These are directories, so you may want to issue a command like
+{\tt rm -r quark.axh} to the operating system.
+
+You can bring things from another frame by using
+\index{frame import}
+{\tt )frame import}.
+For example, to bring the {\tt f} and {\tt g} from the frame ``{\bf quark}''
+to the current frame, issue
+\begin{verbatim}
+)frame import quark f g
+\end{verbatim}
+If you want everything from the frame ``{\bf quark}'', issue
+\begin{verbatim}
+)frame import quark
+\end{verbatim}
+You will be asked to verify that you really want everything.
+
+There are two {\tt )set} flags
+\index{set message frame}
+to make it easier to tell where you are.
+\begin{verbatim}
+)set message frame on | off
+\end{verbatim}
+will print more messages about frames when it is set on.
+By default, it is off.
+\begin{verbatim}
+)set message prompt frame
+\end{verbatim}
+will give a prompt
+\index{set message prompt frame}
+that looks like
+\begin{verbatim}
+initial (1) ->
+\end{verbatim}
+\index{prompt!with frame name}
+when you start up. In this case, the frame name and step make up the
+prompt.
+
+\par\noindent{\bf Also See:}
+{\tt )history} \index{)history} and
+{\tt )set} \index{)set}.
+
+\section{)hd}
+\index{)hd}
+\index{hd}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )hd} 
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command will start the HyperDoc facility if it is not running.
+Note that if it issues the message:
+\begin{verbatim}
+binding UNIX server socket: Address already in use
+(HyperDoc) Warning: Not connected to AXIOM Server!
+\end{verbatim}
+then you probably already had HyperDoc running and the new
+copy cannot connect. In this circumstance HyperDoc will still
+work but certain interactions with Axiom will not, such as the
+Basic Commands facility.
+
+\section{)help}
+\index{)help}
+\index{help}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )help}
+\item{\tt )help} {\it commandName}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command displays help information about system commands.
+If you issue
+\begin{verbatim}
+)help
+\end{verbatim}
+then this very text will be shown.
+You can also give the name or abbreviation of a system command
+to display information about it.
+For example,
+\begin{verbatim}
+)help clear
+\end{verbatim}
+will display the description of the {\tt )clear} system command.
+
+All this material is available in the Axiom User Guide
+and in HyperDoc.
+In HyperDoc, choose the {\bf Commands} item from the
+{\bf Reference} menu.
+
+
+
+\section{)history}
+\index{)history}
+\index{history}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )history )on}
+
+\item{\tt )history )off}
+
+\item{{\tt )history )write} {\it historyInputFileName}}
+
+\item{\tt )history )show [{\it n}] [both]}
+
+\item{{\tt )history )save} {\it savedHistoryName}}
+
+\item{{\tt )history )restore} [{\it savedHistoryName}]}
+
+\item{\tt )history )reset}
+
+\item{{\tt )history )change} {\it n}}
+
+\item{\tt )history )memory}
+
+\item{\tt )history )file}
+
+\item{\tt \%}
+
+\item{\tt \%\%({\it n})}
+
+\item{\tt )set history on | off}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+The {\it history} facility within Axiom allows you to restore your
+environment to that of another session and recall previous
+computational results.
+Additional commands allow you to review previous
+input lines and to create an {\bf .input} file of the lines typed to
+\index{file!input}
+Axiom.
+
+Axiom saves your input and output if the history facility is
+turned on (which is the default).
+This information is saved if either of
+\begin{verbatim}
+)set history on
+)history )on
+\end{verbatim}
+has been issued.
+Issuing either
+\begin{verbatim}
+)set history off
+)history )off
+\end{verbatim}
+will discontinue the recording of information.
+\index{history )on}
+\index{set history on}
+\index{set history off}
+\index{history )off}
+
+Whether the facility is disabled or not,
+the value of {\tt \%} in Axiom always
+refers to the result of the last computation.
+If you have not yet entered anything,
+{\tt \%} evaluates to an object of type
+{\tt Variable('\%)}.
+The function {\tt \%\%} may be  used to refer
+to other previous results if the history facility is enabled.
+In that case,
+{\tt \%\%(n)} is  the output from step {\tt n} if {\tt n > 0}.
+If {\tt n < 0}, the step is computed relative to the current step.
+Thus {\tt \%\%(-1)} is also the previous step,
+{\tt \%\%(-2)}, is the  step before that, and so on.
+If an invalid step number is given, Axiom will signal an error.
+
+The {\it environment} information can either be saved in a file or entirely in
+memory (the default).
+Each frame has its own history database.
+When it is kept in a file, some of it may also be kept in memory for
+efficiency.
+When the information is saved in a file, the name of the file is
+of the form {\bf FRAME.axh} where ``{\bf FRAME}'' is the name of the
+current frame.
+The history file is placed in the current working directory.
+Note that these history database files are not text files (in fact,
+they are directories themselves), and so are not in human-readable
+format.
+
+The options to the {\tt )history} command are as follows:
+
+\begin{description}
+\item[{\tt )change} {\it n}]
+will set the number of steps that are saved in memory to {\it n}.
+This option only has effect when the history data is maintained in a
+file.
+If you have issued {\tt )history )memory} (or not changed the default)
+there is no need to use {\tt )history )change}.
+\index{history )change}
+
+\item[{\tt )on}]
+will start the recording of information.
+If the workspace is not empty, you will be asked to confirm this
+request.
+If you do so, the workspace will be cleared and history data will begin
+being saved.
+You can also turn the facility on by issuing {\tt )set history on}.
+
+\item[{\tt )off}]
+will stop the recording of information.
+The {\tt )history )show} command will not work after issuing this
+command.
+Note that this command may be issued to save time, as there is some
+performance penalty paid for saving the environment data.
+You can also turn the facility off by issuing {\tt )set history off}.
+
+\item[{\tt )file}]
+indicates that history data should be saved in an external file on disk.
+
+\item[{\tt )memory}]
+indicates that all history data should be kept in memory rather than
+saved in a file.
+Note that if you are computing with very large objects it may not be
+practical to kept this data in memory.
+
+\item[{\tt )reset}]
+will flush the internal list of the most recent workspace calculations
+so that the data structures may be garbage collected by the underlying
+Common Lisp system.
+Like {\tt )history )change}, this option only has real effect when
+history data is being saved in a file.
+
+\item[{\tt )restore} [{\it savedHistoryName}]]
+completely clears the environment and restores it to a saved session, if
+possible.
+The {\tt )save} option below allows you to save a session to a file
+with a given name. If you had issued
+{\tt )history )save jacobi}
+the command
+{\tt )history )restore jacobi}
+would clear the current workspace and load the contents of the named
+saved session. If no saved session name is specified, the system looks
+for a file called {\bf last.axh}.
+
+\item[{\tt )save} {\it savedHistoryName}]
+is used to save  a snapshot of the environment in a file.
+This file is placed in the current working directory.
+Use {\tt )history )restore} to restore the environment to the state
+preserved in the file.
+This option also creates an input file containing all the lines of input
+since you created the workspace frame (for example, by starting your
+Axiom session) or last did a {\tt )clear all} or
+{\tt )clear completely}.
+
+\item[{\tt )show} [{\it n}] [{\tt both}]]
+can show previous input lines and output results.
+{\tt )show} will display up to twenty of the last input lines
+(fewer if you haven't typed in twenty lines).
+{\tt )show} {\it n} will display up to {\it n} of the last input lines.
+{\tt )show both} will display up to five of the last input lines and
+output results.
+{\tt )show} {\it n} {\tt both} will display up to {\it n} of the last
+input lines and output results.
+
+\item[{\tt )write} {\it historyInputFile}]
+creates an {\bf .input} file with the input lines typed since the start
+of the session/frame or the last {\tt )clear all} or {\tt )clear
+completely}.
+If {\it historyInputFileName} does not contain a period (``.'') in the filename,
+{\bf .input} is appended to it.
+For example,
+{\tt )history )write chaos}
+and
+{\tt )history )write chaos.input}
+both write the input lines to a file called {\bf chaos.input} in your
+current working directory.
+If you issued one or more {\tt )undo} commands,
+{\tt )history )write}
+eliminates all
+input lines backtracked over as a result of {\tt )undo}.
+You can edit this file and then use {\tt )read} to have Axiom process
+the contents.
+\end{description}
+
+\par\noindent{\bf Also See:}
+{\tt )frame} \index{)frame},
+{\tt )read} \index{)read},
+{\tt )set} \index{)set}, and
+{\tt )undo} \index{)undo}.
+
+\section{)library}
+\index{)library}
+\index{library}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )library {\it libName1  {\tt [}libName2 ...{\tt ]}}}
+
+\item{\tt )library )dir {\it dirName}}
+
+\item{\tt )library )only {\it objName1  {\tt [}objlib2 ...{\tt ]}}}
+
+\item{\tt )library )noexpose}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command replaces the {\tt )load} system command that
+was available in Axiom releases before version 2.0.
+The {\tt )library} command makes available to Axiom the compiled
+objects in the libraries listed.
+
+For example, if you {\tt )compile dopler.as} in your home
+directory, issue {\tt )library dopler} to have Axiom look
+at the library, determine the category and domain constructors present,
+update the internal database with various properties of the
+constructors, and arrange for the constructors to be
+automatically loaded when needed.
+If the {\tt )noexpose} option has not been given, the
+constructors will be exposed (that is, available) in the current
+frame.
+
+If you compiled a file with the Spad compiler, you will
+have an {\it nrlib} present, for example, {\it DOPLER.nrlib,}
+where {\tt DOPLER} is a constructor abbreviation.
+The command {\tt )library DOPLER} will then do the analysis and
+database updates as above.
+
+To tell the system about all libraries in a directory, use
+{\tt )library )dir dirName} where {\tt dirName} is an explicit
+directory.
+You may specify ``.'' as the directory, which means the current
+directory from which you started the system or the one you set
+via the {\tt )cd} command. The directory name is required.
+
+You may only want to tell the system about particular
+constructors within a library. In this case, use the {\tt )only}
+option. The command {\tt )library dopler )only Test1} will only
+cause the {\sf Test1} constructor to be analyzed, autoloaded,
+etc..
+
+Finally, each constructor in a library  are usually automatically exposed when the
+{\tt )library} command is used. Use the {\tt )noexpose}
+option if you not want them exposed. At a later time you can use
+{\tt )set expose add constructor} to expose any hidden
+constructors.
+
+\par\noindent{\bf Also See:}
+{\tt )cd} \index{)cd},
+{\tt )compile} \index{)compile},
+{\tt )frame} \index{)frame}, and
+{\tt )set} \index{)set}.
+
+\section{)lisp}
+\index{)lisp}
+\index{lisp}
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {{\tt )lisp} [{\it lispExpression}]}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom system developers to have single
+expressions evaluated by the Common Lisp system on which
+Axiom is built.
+The {\it lispExpression} is read by the Common Lisp reader and
+evaluated.
+If this expression is not complete (unbalanced parentheses, say), the reader
+will wait until a complete expression is entered.
+
+Since this command is only useful  for evaluating single expressions, the
+{\tt )fin} command may be used to  drop out  of Axiom  into Common Lisp.
+
+\par\noindent{\bf Also See:}
+{\tt )system} \index{)system},
+{\tt )boot} \index{)boot}, and
+{\tt )fin} \index{)fin}.
+
+\section{)ltrace}
+\index{)ltrace}
+\index{ltrace}
+
+\par\noindent{\bf User Level Required:} development
+
+\par\noindent{\bf Command Syntax:}
+
+This command has the same arguments as options as the
+{\tt )trace} command.
+
+\par\noindent{\bf Command Description:}
+
+This command is used by Axiom system developers to trace
+Common Lisp or
+BOOT functions.
+It is not supported for general use.
+
+\par\noindent{\bf Also See:}
+{\tt )boot} \index{)boot},
+{\tt )lisp} \index{)lisp}, and
+{\tt )trace} \index{)trace}.
+
+\section{)pquit}
+\index{)pquit}
+\index{pquit}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )pquit}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to terminate Axiom  and return to the
+operating system.
+Other than by redoing all your computations or by
+using the {\tt )history )restore}
+command to try to restore your working environment,
+you cannot return to Axiom in the same state.
+
+{\tt )pquit} differs from the {\tt )quit} in that it always asks for
+confirmation that you want to terminate Axiom (the ``p'' is for
+``protected'').
+\index{quit}
+When you enter the {\tt )pquit} command, Axiom responds
+%
+\begin{center}
+ Please enter y or yes if you really want to leave the interactive \\
+ environment and return to the operating system:
+\end{center}
+%
+If you respond with {\tt y} or {\tt yes}, 
+Axiom will terminate and return you to the operating
+system (or the environment from which you invoked the system).
+If you responded with something other than {\tt y} or {\tt yes}, then
+the message
+%
+\begin{center}
+You have chosen to remain in the Axiom interactive environment.
+\end{center}
+%
+will be displayed and, indeed, Axiom would still be running.
+
+\par\noindent{\bf Also See:}
+{\tt )fin} \index{)fin},
+{\tt )history} \index{)history},
+{\tt )close} \index{)close},
+{\tt )quit} \index{)quit}, and
+{\tt )system} \index{)system}.
+
+\section{)quit}
+\index{)quit}
+\index{quit}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )quit}
+\item{\tt )set quit protected | unprotected}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to terminate Axiom  and return to the
+operating system.
+Other than by redoing all your computations or by
+using the {\tt )history )restore}
+command to try to restore your working environment,
+you cannot return to Axiom in the same state.
+
+{\tt )quit} differs from the {\tt )pquit} in that it asks for
+\index{pquit}
+confirmation only if the command
+\begin{verbatim}
+)set quit protected
+\end{verbatim}
+has been issued.
+\index{set quit protected}
+Otherwise, {\tt )quit} will make Axiom terminate and return you
+to the operating system (or the environment from which you invoked the
+system).
+
+The default setting is {\tt )set quit protected} so that {\tt )quit}
+and {\tt )pquit} behave in the same way.
+If you do issue
+\begin{verbatim}
+)set quit unprotected
+\end{verbatim}
+we
+\index{set quit unprotected}
+suggest that you do not (somehow) assign {\tt )quit} to be
+executed when you press, say, a function key.
+
+\par\noindent{\bf Also See:}
+{\tt )fin} \index{)fin},
+{\tt )history} \index{)history},
+{\tt )close} \index{)close},
+{\tt )pquit} \index{)pquit}, and
+{\tt )system} \index{)system}.
+
+\section{)read}
+\index{)read}
+\index{read}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {{\tt )read}  [{\it fileName}]}
+
+\item {{\tt )read}  [{\it fileName}] [{\tt )quiet}] [{\tt )ifthere}]}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+This command is used to read {\bf .input} files into Axiom.
+\index{file!input}
+The command
+\begin{verbatim}
+)read matrix.input
+\end{verbatim}
+will read the contents of the file {\bf matrix.input} into
+Axiom.
+The ``.input'' file extension is optional.
+
+This command remembers the previous file you edited, read or compiled.
+If you do not specify a file name, the previous file will be read.
+
+The {\tt )ifthere} option checks to see whether the {\bf .input} file
+exists.
+If it does not, the  {\tt )read} command does nothing.
+If you do not use this option and the file does not exist,
+you are asked to give the name of an existing {\bf .input} file.
+
+The {\tt )quiet} option suppresses output while the file is being read.
+
+\par\noindent{\bf Also See:}
+{\tt )compile} \index{)compile},
+{\tt )edit} \index{)edit}, and
+{\tt )history} \index{)history}.
+
+\section{)set}
+\index{)set}
+\index{set}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )set}
+\item {\tt )set} {\it label1 {\tt [}... labelN{\tt ]}}
+\item {\tt )set} {\it label1 {\tt [}... labelN{\tt ]} newValue}
+\end{list}
+\par\noindent{\bf Command Description:}
+
+The {\tt )set} command is used to view or set system variables that
+control what messages are displayed, the type of output desired, the
+status of the history facility, the way Axiom user functions are
+cached, and so on.
+Since this collection is very large, we will not discuss them here.
+Rather, we will show how the facility is used.
+We urge you to explore the {\tt )set} options to familiarize yourself
+with how you can modify your Axiom working environment.
+There is a HyperDoc version of this same facility available from the
+main HyperDoc menu.
+
+
+The {\tt )set} command is command-driven with a menu display.
+It is tree-structured.
+To see all top-level nodes, issue {\tt )set} by itself.
+\begin{verbatim}
+)set
+\end{verbatim}
+Variables with values have them displayed near the right margin.
+Subtrees of selections have ``{\tt ...}''
+displayed in the value field.
+For example, there are many kinds of messages, so issue
+{\tt )set message} to see the choices.
+\begin{verbatim}
+)set message
+\end{verbatim}
+The current setting  for the variable that displays
+\index{computation timings!displaying}
+whether computation times
+\index{timings!displaying}
+are displayed is visible in the menu displayed by the last command.
+To see more information, issue
+\begin{verbatim}
+)set message time
+\end{verbatim}
+This shows that time printing is on now.
+To turn it off, issue
+\begin{verbatim}
+)set message time off
+\end{verbatim}
+\index{set message time}
+
+As noted above, not all settings have so many qualifiers.
+For example, to change the {\tt )quit} command to being unprotected
+(that is, you will not be prompted for verification), you need only issue
+\begin{verbatim}
+)set quit unprotected
+\end{verbatim}
+\index{set quit unprotected}
+
+\par\noindent{\bf Also See:}
+{\tt )quit} \index{)quit}.
+
+\section{)show}
+\index{)show}
+\index{show}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item {\tt )show {\it nameOrAbbrev}}
+
+\item {\tt )show {\it nameOrAbbrev} )operations}
+
+\item {\tt )show {\it nameOrAbbrev} )attributes}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+This command displays information about Axiom
+domain, package and category {\it constructors}.
+If no options are given, then the {\tt )operations} option is assumed.
+For example,
+\begin{verbatim}
+)show POLY
+)show POLY )operations
+)show Polynomial
+)show Polynomial )operations
+\end{verbatim}
+each display basic information about the
+{\tt Polynomial} domain constructor and then provide a
+listing of operations.
+Since {\tt Polynomial} requires a {\tt Ring} (for example,
+{\tt Integer}) as argument, the above commands all refer
+to a unspecified ring {\tt R}.
+In the list of operations, {\tt \$} means
+{\tt Polynomial(R)}.
+
+The basic information displayed includes the {\it signature}
+of the constructor (the name and arguments), the constructor
+{\it abbreviation}, the {\it exposure status} of the constructor, and the
+name of the {\it library source file} for the constructor.
+
+If operation information about a specific domain is wanted,
+the full or abbreviated domain name may be used.
+For example,
+\begin{verbatim}
+)show POLY INT
+)show POLY INT )operations
+)show Polynomial Integer
+)show Polynomial Integer )operations
+\end{verbatim}
+are among  the combinations that will
+display the operations exported  by the
+domain {\tt Polynomial(Integer)} (as opposed to the general
+{\it domain constructor} {\tt Polynomial}).
+Attributes may be listed by using the {\tt )attributes} option.
+
+\par\noindent{\bf Also See:}
+{\tt )display} \index{)display},
+{\tt )set} \index{)set}, and
+{\tt )what} \index{)what}.
+
+\section{)spool}
+\index{)spool}
+\index{spool}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{{\tt )spool} [{\it fileName}]}
+\item{\tt )spool}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to save {\it (spool)} all Axiom input and output
+\index{file!spool}
+into a file, called a {\it spool file.}
+You can only have one spool file active at a time.
+To start spool, issue this command with a filename. For example,
+\begin{verbatim}
+)spool integrate.out
+\end{verbatim}
+To stop spooling, issue {\tt )spool} with no filename.
+
+If the filename is qualified with a directory, then the output will
+be placed in that directory.
+If no directory information is given, the spool file will be placed in the
+\index{directory!for spool files}
+{\it current directory.}
+The current directory is the directory from which you started
+Axiom or is the directory you specified using the
+{\tt )cd} command.
+\index{cd}
+
+\par\noindent{\bf Also See:}
+{\tt )cd} \index{)cd}.
+
+\section{)synonym}
+\index{)synonym}
+\index{synonym}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )synonym}
+
+\item{{\tt )synonym} {\it synonym fullCommand}}
+
+\item{\tt )what synonyms}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to create short synonyms for system command expressions.
+For example, the following synonyms  might simplify commands you often
+use.
+\begin{verbatim}
+)synonym save         history )save
+)synonym restore      history )restore
+)synonym mail         system mail
+)synonym ls           system ls
+)synonym fortran      set output fortran
+\end{verbatim}
+Once defined, synonyms can be
+used in place of the longer  command expressions.
+Thus
+\begin{verbatim}
+)fortran on
+\end{verbatim}
+is the same as the longer
+\begin{verbatim}
+)set fortran output on
+\end{verbatim}
+To list all defined synonyms, issue either of
+\begin{verbatim}
+)synonyms
+)what synonyms
+\end{verbatim}
+To list, say, all synonyms that contain the substring
+``{\tt ap}'', issue
+\begin{verbatim}
+)what synonyms ap
+\end{verbatim}
+
+\par\noindent{\bf Also See:}
+{\tt )set} \index{)set} and
+{\tt )what} \index{)what}.
+
+\section{)system}
+\index{)system}
+\index{system}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{{\tt )system} {\it cmdExpression}}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command may be used to issue commands to the operating system while
+remaining in Axiom.
+The {\it cmdExpression} is passed to the operating system for
+execution.
+
+To get an operating system shell, issue, for example,
+{\tt )system sh}.
+When you enter the key combination,
+\fbox{\bf Ctrl}--\fbox{\bf D}
+(pressing and holding the
+\fbox{\bf Ctrl} key and then pressing the
+\fbox{\bf D} key)
+the shell will terminate and you will return to Axiom.
+We do not recommend this way of creating a shell because
+Common Lisp may field some interrupts instead of the shell.
+If possible, use a shell running in another window.
+
+If you execute programs that misbehave you may not be able to return to
+Axiom.
+If this happens, you may have no other choice than to restart
+Axiom and restore the environment via {\tt )history )restore}, if
+possible.
+
+\par\noindent{\bf Also See:}
+{\tt )boot} \index{)boot},
+{\tt )fin} \index{)fin},
+{\tt )lisp} \index{)lisp},
+{\tt )pquit} \index{)pquit}, and
+{\tt )quit} \index{)quit}.
+
+\section{)trace}
+\index{)trace}
+\index{trace}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )trace}
+
+\item{\tt )trace )off}
+
+\item{{\tt )trace} {\it function {\tt [}options{\tt ]}}}
+
+\item{{\tt )trace} {\it constructor {\tt [}options {\tt ]}}}
+
+\item{{\tt )trace} {\it domainOrPackage {\tt [}options {\tt ]}}}
+\end{list}
+%
+where options can be one or more of
+%
+\begin{list}{}
+\item{{\tt )after} {\it S-expression}}
+
+\item{{\tt )before} {\it S-expression}}
+
+\item{\tt )break after}
+
+\item{\tt )break before}
+
+\item{{\tt )cond} {\it S-expression}}
+
+\item{\tt )count}
+
+\item{{\tt )count} {\it n}}
+
+\item{{\tt )depth} {\it n}}
+
+\item{{\tt )local} {\it op1 {\tt [}... opN {\tt ]}}}
+
+\item{\tt )nonquietly}
+
+\item{\tt )nt}
+
+\item{\tt )off}
+
+\item{{\tt )only} {\it listOfDataToDisplay}}
+
+\item{\tt )ops}
+
+\item{{\tt )ops} {\it op1 {\tt [}... opN {\tt ]}}}
+
+\item{\tt )restore}
+
+\item{\tt )stats}
+
+\item{\tt )stats reset}
+
+\item{\tt )timer}
+
+\item{\tt )varbreak}
+
+\item{{\tt )varbreak} {\it var1 {\tt [}... varN {\tt ]}}}
+
+\item{\tt )vars}
+
+\item{{\tt )vars} {\it var1 {\tt [}... varN {\tt ]}}}
+
+\item{\tt )within} {\it executingFunction}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to trace the execution of functions that make
+up the Axiom system, functions defined by users,
+and functions from the system library.
+Almost all options are available for each type of function but
+exceptions will be noted below.
+
+To list all functions, constructors, domains and packages that are
+traced, )issue
+\begin{verbatim}
+)trace
+\end{verbatim}
+To untrace everything that is traced, issue
+\begin{verbatim}
+)trace )off
+\end{verbatim}
+When a function is traced, the default system action is to display
+the arguments to the function and the return value when the
+function is exited.
+Note that if a function is left via an action such as a {\tt THROW}, no
+return value will be displayed.
+Also, optimization of tail recursion may decrease the number of
+times a function is actually invoked and so may cause less trace
+information to be displayed.
+Other information can be displayed or collected when a function is
+traced and this is controlled by the various options.
+Most options will be of interest only to Axiom system
+developers.
+If a domain or package is traced, the default action is to trace
+all functions exported.
+
+Individual interpreter, lisp or boot
+functions can be traced by listing their names after
+{\tt )trace}.
+Any options that are present must follow the functions to be
+traced.
+\begin{verbatim}
+)trace f
+\end{verbatim}
+traces the function {\tt f}.
+To untrace {\tt f}, issue
+\begin{verbatim}
+)trace f )off
+\end{verbatim}
+Note that if a function name contains a special character, it will
+be necessary to escape the character with an underscore
+%
+\begin{verbatim}
+)trace _/D_,1
+\end{verbatim}
+%
+To trace all domains or packages that are or will be created from a particular
+constructor, give the constructor name or abbreviation after
+{\tt )trace}.
+%
+\begin{verbatim}
+)trace MATRIX
+)trace List Integer
+\end{verbatim}
+%
+The first command traces all domains currently instantiated with
+{\tt Matrix}.
+If additional domains are instantiated with this constructor
+(for example, if you have used {\tt Matrix(Integer)} and
+{\tt Matrix(Float)}), they will be automatically traced.
+The second command traces {\tt List(Integer)}.
+It is possible to trace individual functions in a domain or
+package.
+See the {\tt )ops} option below.
+
+The following are the general options for the {\tt )trace}
+command.
+
+%!! system command parser doesn't treat general s-expressions correctly,
+%!! I recommand not documenting )after )before and )cond
+\begin{description}
+%\item[{\tt )after} {\it S-expression}]
+%causes the given Common Lisp {\it S-expression} to be
+%executed after exiting the traced function.
+
+%\item[{\tt )before} {\it S-expression}]
+%causes the given Common Lisp {\it S-expression} to be
+%executed before entering the traced function.
+
+\item[{\tt )break after}]
+causes a Common Lisp break loop to be entered after
+exiting the traced function.
+
+\item[{\tt )break before}]
+causes a Common Lisp break loop to be entered before
+entering the traced function.
+
+\item[{\tt )break}]
+is the same as {\tt )break before}.
+
+%\item[{\tt )cond} {\it S-expression}]
+%causes trace information to be shown only if the given
+%Common Lisp {\it S-expression} evaluates to non-NIL.  For
+%example, the following command causes the system function
+%{\tt resolveTT} to be traced but to have the information
+%displayed only if the value of the variable
+%{\tt \$reportBottomUpFlag} is non-NIL.
+%\begin{verbatim}
+%)trace resolveTT )cond \_\$reportBottomUpFlag}
+%\end{verbatim}
+
+\item[{\tt )count}]
+causes the system to keep a count of the number of times the
+traced function is entered.  The total can be displayed with
+{\tt )trace )stats} and cleared with {\tt )trace )stats reset}.
+
+\item[{\tt )count} {\it n}]
+causes information about the traced function to be displayed for
+the first {\it n} executions.  After the {\it n}-th execution, the
+function is untraced.
+
+\item[{\tt )depth} {\it n}]
+causes trace information to be shown for only {\it n} levels of
+recursion of the traced function.  The command
+\begin{verbatim}
+)trace fib )depth 10
+\end{verbatim}
+will cause the display of only 10 levels of trace information for
+the recursive execution of a user function {\bf fib}.
+
+\item[{\tt )math}]
+causes the function arguments and return value to be displayed in the
+Axiom monospace two-dimensional math format.
+
+\item[{\tt )nonquietly}]
+causes the display of additional messages when a function is
+traced.
+
+\item[{\tt )nt}]
+This suppresses all normal trace information.  This option is
+useful if the {\tt )count} or {\tt )timer} options are used and
+you are interested in the statistics but not the function calling
+information.
+
+\item[{\tt )off}]
+causes untracing of all or specific functions.  Without an
+argument, all functions, constructors, domains and packages are
+untraced.  Otherwise, the given functions and other objects
+are untraced.  To
+immediately retrace the untraced functions, issue {\tt )trace
+)restore}.
+
+\item[{\tt )only} {\it listOfDataToDisplay}]
+causes only specific trace information to be shown.  The items are
+listed by using the following abbreviations:
+\begin{description}
+\item[a]        display all arguments
+\item[v]        display return value
+\item[1]        display first argument
+\item[2]        display second argument
+\item[15]       display the 15th argument, and so on
+\end{description}
+\end{description}
+\begin{description}
+
+\item[{\tt )restore}]
+causes the last untraced functions to be retraced.  If additional
+options are present, they are added to those previously in effect.
+
+\item[{\tt )stats}]
+causes the display of statistics collected by the use of the
+{\tt )count} and {\tt )timer} options.
+
+\item[{\tt )stats reset}]
+resets to 0 the statistics collected by the use of the
+{\tt )count} and {\tt )timer} options.
+
+\item[{\tt )timer}]
+causes the system to keep a count of execution times for the
+traced function.  The total can be displayed with {\tt )trace
+)stats} and cleared with {\tt )trace )stats reset}.
+
+%!! only for lisp, boot, may not work in any case, recommend removing
+%\item[{\tt )varbreak}]
+%causes a Common Lisp break loop to be entered after
+%the assignment to any variable in the traced function.
+
+\item[{\tt )varbreak} {\it var1 {\tt [}... varN {\tt ]}}]
+causes a Common Lisp break loop to be entered after
+the assignment to any of the listed variables in the traced
+function.
+
+\item[{\tt )vars}]
+causes the display of the value of any variable after it is
+assigned in the traced function.
+Note that library code must
+have been compiled using the {\tt )vartrace} option in order
+to support this option.
+
+\item[{\tt )vars} {\it var1 {\tt [}... varN {\tt ]}}]
+causes the display of the value of any of the specified variables
+after they are assigned in the traced function.
+Note that library code must
+have been compiled using the {\tt )vartrace} option in order
+to support this option.
+
+\item[{\tt )within} {\it executingFunction}]
+causes the display of trace information only if the traced
+function is called when the given {\it executingFunction} is running.
+\end{description}
+
+The following are the options for tracing constructors, domains
+and packages.
+
+\begin{description}
+\item[{\tt )local} {\it {\tt [} op1 {\tt [}\ldots opN{\tt ]]}}]
+causes local functions of the constructor to be traced.  Note that
+to untrace an individual local function, you must use the fully
+qualified internal name, using the escape character
+{\tt \_} before the semicolon.
+\begin{verbatim}
+)trace FRAC )local
+)trace FRAC_;cancelGcd )off
+\end{verbatim}
+
+\item[{\tt )ops} {\it op1 {\tt [}... opN {\tt ]}}]
+By default, all operations from a domain or package are traced
+when the domain or package is traced.  This option allows you to
+specify that only particular operations should be traced.  The
+command
+%
+\begin{verbatim}
+)trace Integer )ops min max _+ _-
+\end{verbatim}
+%
+traces four operations from the domain {\tt Integer}.  Since
+{\tt +} and {\tt -} are special
+characters, it is necessary
+to escape them with an underscore.
+\end{description}
+
+\par\noindent{\bf Also See:}
+{\tt )boot} \index{)boot},
+{\tt )lisp} \index{)lisp}, and
+{\tt )ltrace} \index{)ltrace}.
+
+\section{)undo}
+\index{)undo}
+\index{undo}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )undo}
+\item{\tt )undo} {\it integer}
+\item{\tt )undo} {\it integer {\tt [}option {\tt ]}}
+\item{\tt )undo} {\tt )redo}
+\end{list}
+%
+where {\it option} is one of
+%
+\begin{list}{}
+\item{\tt )after}
+
+\item{\tt )before}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to
+restore the state of the user environment to an earlier
+point in the interactive session.
+The argument of an {\tt )undo} is an integer which must designate some
+step number in the interactive session.
+
+\begin{verbatim}
+)undo n
+)undo n )after
+\end{verbatim}
+These commands return the state of the interactive
+environment to that immediately after step {\tt n}.
+If {\tt n} is a positive number, then {\tt n} refers to step nummber
+{\tt n}. If {\tt n} is a negative number, it refers to the {\tt n}-th
+previous command (that is, undoes the effects of the last $-n$
+commands).
+
+A {\tt )clear all} resets the {\tt )undo} facility.
+Otherwise, an {\tt )undo} undoes the effect of {\tt )clear} with
+options {\tt properties}, {\tt value}, and {\tt mode}, and
+that of a previous {\tt undo}.
+If any such system commands are given between steps $n$ and
+$n + 1$ ($n > 0$), their effect is undone
+for {\tt )undo m} for any $0 < m \leq n$..
+
+The command {\tt )undo} is equivalent to {\tt )undo -1} (it undoes
+the effect of the previous user expression).
+The command {\tt )undo 0} undoes any of the above system commands
+issued since the last user expression.
+
+\begin{verbatim}
+)undo n )before
+\end{verbatim}
+This command returns the state of the interactive
+environment to that immediately before step {\tt n}.
+Any {\tt )undo} or {\tt )clear} system commands
+given before step {\tt n} will not be undone.
+
+\begin{verbatim}
+)undo )redo
+\end{verbatim}
+This command reads the file {\tt redo.input}.
+created by the last {\tt )undo} command.
+This file consists of all user input lines, excluding those
+backtracked over due to a previous {\tt )undo}.
+
+\par\noindent{\bf Also See:}
+{\tt )history} \index{)history}.
+The command {\tt )history )write} will eliminate the ``undone'' command
+lines of your program.
+
+\section{)what}
+\index{)what}
+\index{what}
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{{\tt )what categories} {\it pattern1} [{\it pattern2 ...}]}
+
+\item{{\tt )what commands  } {\it pattern1} [{\it pattern2 ...}]}
+
+\item{{\tt )what domains   } {\it pattern1} [{\it pattern2 ...}]}
+
+\item{{\tt )what operations} {\it pattern1} [{\it pattern2 ...}]}
+
+\item{{\tt )what packages  } {\it pattern1} [{\it pattern2 ...}]}
+
+\item{{\tt )what synonym   } {\it pattern1} [{\it pattern2 ...}]}
+
+\item{{\tt )what things    } {\it pattern1} [{\it pattern2 ...}]}
+
+\item{{\tt )apropos        } {\it pattern1} [{\it pattern2 ...}]}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to display lists of things in the system.  The
+patterns are all strings and, if present, restrict the contents of the
+lists.  Only those items that contain one or more of the strings as
+substrings are displayed.  For example,
+\begin{verbatim}
+)what synonym
+\end{verbatim}
+displays all command synonyms,
+\begin{verbatim}
+)what synonym ver
+\end{verbatim}
+displays all command synonyms containing the substring ``{\tt ver}'',
+\begin{verbatim}
+)what synonym ver pr
+\end{verbatim}
+displays all command synonyms
+containing the substring  ``{\tt ver}'' or  the substring
+``{\tt pr}''.
+Output similar to the following will be displayed
+\begin{verbatim}
+---------------- System Command Synonyms -----------------
+
+user-defined synonyms satisfying patterns:
+      ver pr
+
+  )apr ........................... )what things
+  )apropos ....................... )what things
+  )prompt ........................ )set message prompt
+  )version ....................... )lisp *yearweek*
+\end{verbatim}
+
+Several other things can be listed with the {\tt )what} command:
+
+\begin{description}
+\item[{\tt categories}] displays a list of category constructors.
+\index{what categories}
+\item[{\tt commands}]  displays a list of  system commands available  at your
+user-level.
+\index{what commands}
+Your user-level
+\index{user-level}
+is set via the  {\tt )set userlevel} command.
+\index{set userlevel}
+To get a description of a particular command, such as ``{\tt )what}'', issue
+{\tt )help what}.
+\item[{\tt domains}]   displays a list of domain constructors.
+\index{what domains}
+\item[{\tt operations}] displays a list of operations in  the system library.
+\index{what operations}
+It  is recommended that you  qualify this command with one or
+more patterns, as there are thousands of operations available.  For
+example, say you are looking for functions that involve computation of
+eigenvalues.  To find their names, try {\tt )what operations eig}.
+A rather large list of operations  is loaded into the workspace when
+this command  is first issued.  This  list will be deleted  when you
+clear the workspace  via {\tt )clear all} or {\tt )clear completely}.
+It will be re-created if it is needed again.
+\item[{\tt packages}]  displays a list of package constructors.
+\index{what packages}
+\item[{\tt synonym}]  lists system command synonyms.
+\index{what synonym}
+\item[{\tt things}]    displays all  of the  above types for  items containing
+\index{what things}
+the pattern strings as  substrings.
+The command synonym  {\tt )apropos} is equivalent to
+\index{apropos}
+{\tt )what things}.
+\end{description}
+
+\par\noindent{\bf Also See:}
+{\tt )display} \index{)display},
+{\tt )set} \index{)set}, and
+{\tt )show} \index{)show}.
+
+\section{Makefile}
+This book is actually a literate program\cite{2} and can contain 
+executable source code. In particular, the Makefile for this book
+is part of the source of the book and is included below. Axiom 
+uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+<<*>>=
+PROJECT=bookvol1
+TANGLE=/usr/local/bin/NOTANGLE
+WEAVE=/usr/local/bin/NOWEAVE
+LATEX=/usr/bin/latex
+MAKEINDEX=/usr/bin/makeindex
+
+all: 
+	${WEAVE} -t8 -delay ${PROJECT}.pamphlet >${PROJECT}.tex
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+	${MAKEINDEX} ${PROJECT}.idx
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol10.pamphlet b/books/bookvol10.pamphlet
new file mode 100644
index 0000000..089b5b2
--- /dev/null
+++ b/books/bookvol10.pamphlet
@@ -0,0 +1,333 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+
+%% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]%
+{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% special meanings for math characters
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+
+\providecommand{\tpd}[5]%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 10: Axiom Algebra}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\section{Makefile}
+This book is actually a literate program\cite{2} and can contain 
+executable source code. In particular, the Makefile for this book
+is part of the source of the book and is included below. Axiom 
+uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+<<*>>=
+PROJECT=bookvol10
+TANGLE=/usr/local/bin/NOTANGLE
+WEAVE=/usr/local/bin/NOWEAVE
+LATEX=/usr/bin/latex
+MAKEINDEX=/usr/bin/makeindex
+
+all: 
+	${WEAVE} -t8 -delay ${PROJECT}.pamphlet >${PROJECT}.tex
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+	${MAKEINDEX} ${PROJECT}.idx
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol11.pamphlet b/books/bookvol11.pamphlet
new file mode 100644
index 0000000..4213c45
--- /dev/null
+++ b/books/bookvol11.pamphlet
@@ -0,0 +1,50494 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 11: Axiom Browser}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2007 Timothy Daly
+Portions Copyright (c) 2007 Alfredo Portes
+Portions Copyright (c) 2007 Arthur Ralfs
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+This book is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\chapter{Overview}
+This book contains the Firefox browser AJAX routines.
+
+\section{Build Instructions}
+\begin{verbatim}
+  mkdir -p /home/silver/bitmaps
+  cp bookvol11.pamphlet /home/silver
+  cd /home/silver
+  export AXIOM=(where)
+  export PATH=$AXIOM/bin/lib:$AXIOM/bin:$PATH
+  notangle -t8 bookvol11.pamphlet > Makefile
+  make -j 10
+  axiom -nox
+   -> )set mes auto off
+   -> )set out mathml on
+   -> axServer(8085,multiServ)$AXSERV
+
+ Now start your browser and go to:
+   file:///home/silver/rootpage.xhtml
+ and then do:
+   Basic Commands -> Calculus -> Differentiate -> Continue
+   Basic Commands -> Matrix -> Continue
+
+ You should see the result of the differentiate appear inline in the
+ page. You can change the values in the text areas, click continue,
+ and see the new result.
+\end{verbatim}
+
+\section{The Makefile}
+<<*>>=
+TANGLE=${AXIOM}/bin/lib/notangle
+
+%.xhtml: bookvol11.pamphlet
+	@ echo making $*.xhtml
+	@ ${TANGLE} -R"$*.xhtml" bookvol11.pamphlet > $*.xhtml
+
+<<PAGES>>
+
+all: ${PAGES}
+	@ mkdir -p bitmaps
+	@ ${TANGLE} -R"axiom1.bitmap" bookvol11.pamphlet >bitmaps/axiom1.bitmap
+	@ ${TANGLE} -R"rcm3720.input" bookvol11.pamphlet >rcm3720.input
+	@ ${TANGLE} -R"strang.input" bookvol11.pamphlet >strang.input
+	@ ${TANGLE} -R"signatures.txt" bookvol11.pamphlet >signatures.txt
+
+clean:
+	@ rm -f *.xhtml
+	@ rm -f rcm3720.input
+	@ rm -f signatures.txt
+@
+
+\section{Building new pages}
+To add a new page you need to create a page with the default layout below
+and add the name of the page to the PAGES variable below.
+
+Most of the pages have a default layout of the form:
+\begin{verbatim}
+\subsection{pagename.xhtml}
+<<pagename.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Page subtitle goes here</div>
+  <hr/>
+your basic page text goes here.
+<<page foot>>
+@
+\end{verbatim}
+There are several things to observe here:
+<ol>
+ <li>Each page lives in its own subsection and its own chunk.</li>
+ <li>The pagename and the chunkname are the same</li>
+ <li>The chunk includes the @<<standard head>></li>
+ <li>The chunk includes the @<<page head>></li>
+ <li>The chunk includes the @<<page foot>></li>
+</ol>
+The default page layout cannot communicate with Axiom.
+
+\subsection{Communicating with Axiom}
+If your page needs to communicate with Axiom you need to add some
+information in the header of the page.
+The default page that talks to Axiom has the form:
+\begin{verbatim}
+\subsection{pagename.xhtml}
+@<<pagename.xhtml>>=
+@<<standard head>>
+  <script type="text/javascript">
+@<<handlefreevars>>
+@<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+@<<page head>>
+  <div align="center">Page subtitle goes here</div>
+  <hr/>
+your text goes here
+your communication blocks go here
+@<<page foot>>
+\end{verbatim}
+
+\subsection{Handling statements with no free variables}
+Use a makeRequest call with a parameter of the id.
+Note that the div with id of ``ansXX'' will get replaced
+automatically and the ``ans'' prefix is required.
+\begin{verbatim}
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="sin(x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+\end{verbatim}
+
+\subsection{Handling statements with free variables}
+Free variables exist are used in statements but they are defined in
+other statements. To make sure the free variables have the correct
+values you need to include an explicit list of the other ids that
+need to be executed {\sl before} this statement. You do this with 
+a call to ``handleFree''. It expects a list, enclosed in brackets,
+of the ids to execute in order. Be certain that the current id is
+at the end of the list.
+\begin{verbatim}
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p9','p10']);"
+    value="roman y" />
+  <div id="ansp10"><div></div></div>
+ </li>
+\end{verbatim}
+
+\subsection{Handling domain database lookups}
+Use an anchor tag of the form:
+\begin{verbatim}
+<a href="db.xhtml?Vector">Vector</a>
+\end{verbatim}
+This will be interpreted by Axiom to mean that you want to do a
+lookup on a domain, category, or package whose name follows the 
+question mark. Note that the domain name should NOT be an abbreviation.
+
+\subsection{Handling )show domain}
+Use a block containing a showcall of the form:
+\begin{verbatim}
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="showcall('p17');"
+   value=")show DoubleFloat"/>
+  <div id="ansp17"><div></div></div>
+ </li>
+\end{verbatim}
+Note that the ``)show'' must be at the beginning of the line
+and that there can only be one space between the word show and
+the following argument.
+
+\subsection{Handling lisp expressions}
+Use a block containing a lispcall of the form:
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="lispcall('p2');"
+    value="(GETDATABASE '|Matrix| 'CONSTRUCTORMODEMAP)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+Note that this works but you can easily blow away your Axiom 
+session with random statements. Let the coder beware.
+
+\subsection{Handling expressions that have no output}
+Use the CSS class=``noresult'' tag on the input form.
+This causes the item to show up in black text. It is
+still executable and is generally executed by handleFree
+calls because it contains definitions. However, things like
+function definitions in Axiom return no interesting output
+so there is no point in clicking on them.
+\begin{verbatim}
+ <li>
+  <input type="submit" id="p5" class="noresult" 
+    onclick="makeRequest('p5');"
+    value=")set streams calculate 5" />
+  <div id="ansp5"><div></div></div>
+ </li>
+\end{verbatim}
+
+
+\section{Defined Pages}
+Every page in this file is extracted by the Makefile. This is the list
+of pages that will be extracted. It is organized roughly in the hierarchy
+that you see in the browser pages. This is convention and is not required.
+
+The page hierarchy (used by the Makefile) is:
+<<PAGES>>=
+PAGES=rootpage.xhtml \
+        testpage.xhtml \
+        commandline.xhtml \
+          menufileopen.xhtml \
+          menufileread.xhtml \
+          menufilesave.xhtml \
+          menufilesaveas.xhtml \
+          menufileloadlibrary.xhtml \
+          menufileinputfile.xhtml \
+          menufiletogglespool.xhtml \
+          menufileprint.xhtml \
+          menufileexit.xhtml \
+          menueditcopy.xhtml \
+          menueditcopytext.xhtml \
+          menueditcopytex.xhtml \
+          menueditdeleteselection.xhtml \
+          menueditcopyasimage.xhtml \
+          menueditselectiontoimage.xhtml \
+          menueditselectiontoinput.xhtml \
+          menueditcut.xhtml \
+          menueditpaste.xhtml \
+          menuaxiominterrupt.xhtml \
+          menuaxiomrestart.xhtml \
+          menuaxiomclearmemory.xhtml \
+          menuaxiomaddtopath.xhtml \
+          menuaxiomshowfunctions.xhtml \
+          menuaxiomshowdefinition.xhtml \
+          menuaxiomshowvariables.xhtml \
+          menuaxiomdeletefunction.xhtml \
+          menuaxiomdeletevariable.xhtml \
+          menuaxiomtoggletimedisplay.xhtml \
+          menuaxiomset.xhtml \
+          menuaxiomdisplay.xhtml \
+          menuequationssolve.xhtml \
+          menuequationssolvenumerically.xhtml \
+          menuequationsrootsofpolynomial.xhtml \
+          menuequationsrealrootsofpolynmial.xhtml \
+          menuequationssolvelinearsystem.xhtml \
+          menuequationssolvealgebraicsystem.xhtml \
+          menuequationseliminatevariable.xhtml \
+          menuequationssolveode.xhtml \
+          menuequationsinitialvalueproblem1.xhtml \
+          menuequationsinitialvalueproblem2.xhtml \
+          menuequationsboundaryvalueproblem.xhtml \
+          menuequationssolveodewithlaplace.xhtml \
+          menuequationsatvalue.xhtml \
+          menualgebrageneratematrix.xhtml \
+          menualgebraentermatrix.xhtml \
+          menualgebrainvertmatrix.xhtml \
+          menualgebracharacteristicpolynomial.xhtml \
+          menualgebradeterminant.xhtml \
+          menualgebraeigenvalues.xhtml \
+          menualgebraeigenvectors.xhtml \
+          menualgebraadjointmatrix.xhtml \
+          menualgebratransposematrix.xhtml \
+          menualgebramakelist.xhtml \
+          menualgebraapplytolist.xhtml \
+          menualgebramaptolist.xhtml \
+          menualgebrareducelist.xhtml \
+          menualgebramaptomatrix.xhtml \
+          menucalculuslevel3.xhtml \
+            menucalculuslevel3a.xhtml \
+            menucalculuslevel3b.xhtml \
+            menucalculuslevel3c.xhtml \
+          menucalculusintegrate.xhtml \
+          menucalculusrischintegrate.xhtml \
+          menucalculuschangevariable.xhtml \
+          menucalculusdifferentiate.xhtml \
+          menucalculusfindlimit.xhtml \
+          menucalculusgetseries.xhtml \
+          menucalculuspadeapproximation.xhtml \
+          menucalculuscalculussum.xhtml \
+          menucalculuscalculusproduct.xhtml \
+          menucalculuslaplacetransform.xhtml \
+          menucalculusinverselaplacetransform.xhtml \
+          menucalculusgreatestcommondivisor.xhtml \
+          menucalculusleastcommonmultiple.xhtml \
+          menucalculusdividepolynomials.xhtml \
+          menucalculuspartialfractions.xhtml \
+          menucalculuscontinuedfractions.xhtml \
+          menusimplifysimplifyexpression.xhtml \
+          menusimplifysimplifyradicals.xhtml \
+          menusimplifyfactorexpression.xhtml \
+          menusimplifyfactorcomplex.xhtml \
+          menusimplifyexpandexpression.xhtml \
+          menusimplifyexpandlogarithms.xhtml \
+          menusimplifycontractlogarithms.xhtml \
+          menusimplifyfactorialsandgamma.xhtml \
+          menusimplifytrigsimplification.xhtml \
+          menusimplifycomplexsimplification.xhtml \
+          menusimplifysubtitute.xhtml \
+          menusimplifyevaluatenounform.xhtml \
+          menusimplifytogglealgebraicflag.xhtml \
+          menusimplifyaddalgebraicequality.xhtml \
+          menusimplifymoduluscomputation.xhtml \
+          menunumerictogglenumericoutput.xhtml \
+          menunumerictofloat.xhtml \
+          menunumerictobigfloat.xhtml \
+          menunumericsetprecision.xhtml \
+        basiccommand.xhtml \
+        tutorial.xhtml \
+        jenks.xhtml \
+          calculus.xhtml \
+            differentiate.xhtml \
+            indefiniteintegral.xhtml \
+            definiteintegral.xhtml \
+            basiclimit.xhtml \
+              reallimit.xhtml \
+              complexlimit.xhtml \
+              summation.xhtml \
+          bcmatrix.xhtml \
+          bcexpand.xhtml \
+          draw.xhtml \
+            draw2donevariable.xhtml \
+            draw2ddefinedcurve.xhtml \
+            draw2dpolynomialequation.xhtml \
+            draw3dtwovariable.xhtml \
+            draw3ddefinedtube.xhtml \
+            draw3ddefinedsurface.xhtml \
+          series.xhtml \
+            seriesexpand.xhtml \
+            taylorseries.xhtml \
+            laurentseries.xhtml \
+            puiseuxseries.xhtml \
+          solve.xhtml \
+            solvelinearequations.xhtml \
+            solvelinearmatrix.xhtml \
+            solvesystempolynomials.xhtml \
+            solvesinglepolynomial.xhtml \
+        topreferencepage.xhtml \
+          releasenotes.xhtml \
+          usersguidepage.xhtml \
+          aldorusersguidepage.xhtml \
+          foundationlibrarydocpage.xhtml \
+          topicspage.xhtml \
+            cats.xhtml \
+            dlmf.xhtml \
+            dlmfapproximations.xhtml \
+            dlmfasymptoticexpansions.xhtml \
+            dlmfbarnesgfunction.xhtml \
+            dlmfbetafunction.xhtml \
+            dlmfcontinuedfractions.xhtml \
+            dlmfdefinitions.xhtml \
+            dlmffunctionrelations.xhtml \
+            dlmfgraphics.xhtml \
+            dlmfinequalities.xhtml \
+            dlmfinfiniteproducts.xhtml \
+            dlmfintegrals.xhtml \
+            dlmfintegralrepresentations.xhtml \
+            dlmfmathematicalapplications.xhtml \
+            dlmfmethodsofcomputation.xhtml \
+            dlmfmultidimensionalintegral.xhtml \
+            dlmfnotation.xhtml \
+            dlmfphysicalapplications.xhtml \
+            dlmfpolygammafunctions.xhtml \
+            dlmfqgammaandbetafunctions.xhtml \
+            dlmfseriesexpansions.xhtml \
+            dlmfsums.xhtml \
+            dlmfsoftware.xhtml \
+            dlmfspecialvaluesandextrema.xhtml \
+            dlmftables.xhtml \
+          uglangpage.xhtml \
+          examplesexposedpage.xhtml \
+          ugsyscmdpage.xhtml \
+          operations.xhtml \
+          dblookup.xhtml \
+            dbcharacteristic.xhtml \
+              dbcomplexcomplex.xhtml \
+              dbcomplexconjugate.xhtml \
+              dbcomplexfactor.xhtml \
+              dbcompleximag.xhtml \
+              dbcomplexnorm.xhtml \
+              dbcomplexreal.xhtml \
+            dbcomplexdoublefloat.xhtml \
+            dbcomplexfloat.xhtml \
+            dbcomplexinteger.xhtml \
+            dbexpressioninteger.xhtml \
+            dbfractioninteger.xhtml \
+            dbfractionpolynomialinteger.xhtml \
+            dbopacos.xhtml \
+            dbopacosh.xhtml \
+            dbopacot.xhtml \
+            dbopacoth.xhtml \
+            dbopacsc.xhtml \
+            dbopacsch.xhtml \
+            dbopaddmod.xhtml \
+            dbopairyai.xhtml \
+            dbopairybi.xhtml \
+            dbopapproximants.xhtml \
+            dbopasin.xhtml \
+            dbopasinh.xhtml \
+            dbopasec.xhtml \
+            dbopasech.xhtml \
+            dbopatan.xhtml \
+            dbopatanh.xhtml \
+            dbopbernoullib.xhtml \
+            dbopbesseli.xhtml \
+            dbopbesselj.xhtml \
+            dbopbesselk.xhtml \
+            dbopbessely.xhtml \
+            dbopbeta.xhtml \
+            dbopbinary.xhtml \
+            dbopcardinalnumber.xhtml \
+            dbopchebyshevt.xhtml \
+            dbopchebyshevu.xhtml \
+            dbopcoefficient.xhtml \
+            dbopcoefficients.xhtml \
+            dbopcoerce.xhtml \
+            dbopcolumn.xhtml \
+            dbopcompactfraction.xhtml \
+            dbopcomplexeigenvectors.xhtml \
+            dbopcomplexelementary.xhtml \
+            dbopcomplexintegrate.xhtml \
+            dbopcomplexlimit.xhtml \
+            dbopcomplexsolve.xhtml \
+            dbopcontent.xhtml \
+            dbopcontinuedfraction.xhtml \
+            dbopconvergents.xhtml \
+            dbopconvert.xhtml \
+            dbopcopy.xhtml \
+            dbopcos.xhtml \
+            dbopcosh.xhtml \
+            dbopcot.xhtml \
+            dbopcoth.xhtml \
+            dbopcount.xhtml \
+            dbopcountableq.xhtml \
+            dbopcreate3space.xhtml \
+            dbopcsc.xhtml \
+            dbopcsch.xhtml \
+            dbopcurve.xhtml \
+            dbopcycleragits.xhtml \
+            dbopcyclotomic.xhtml \
+            dbopd.xhtml \
+            dbopdecimal.xhtml \
+            dbopdefiningpolynomial.xhtml \
+            dbopdegree.xhtml \
+            dbopdenom.xhtml \
+            dbopdraw.xhtml \
+            dbopdeterminant.xhtml \
+            dbopdiagonalmatrix.xhtml \
+            dbopdigamma.xhtml \
+            dbopdigits.xhtml \
+            dbopdimension.xhtml \
+            dbopdivide.xhtml \
+            dbopdivisors.xhtml \
+            dbopei.xhtml \
+            dbopeigenmatrix.xhtml \
+            dbopeigenvalues.xhtml \
+            dbopeigenvector.xhtml \
+            dbopeigenvectors.xhtml \
+            dbopelt.xhtml \
+            dbopequal.xhtml \
+            dbopeulere.xhtml \
+            dbopeulerphi.xhtml \
+            dbopeval.xhtml \
+            dbopevenq.xhtml \
+            dbopexp.xhtml \
+            dbopexquo.xhtml \
+            dbopfactor.xhtml \
+            dbopfactorfraction.xhtml \
+            dbopfibonacci.xhtml \
+            dbopfiniteq.xhtml \
+            dbopfirstdenom.xhtml \
+            dbopfirstnumer.xhtml \
+            dbopfractragits.xhtml \
+            dbopfractionpart.xhtml \
+            dbopgamma.xhtml \
+            dbopgcd.xhtml \
+            dbophermiteh.xhtml \
+            dbophex.xhtml \
+            dbophorizconcat.xhtml \
+            dbophtrigs.xhtml \
+            dbophypergeometric0f1.xhtml \
+            dbopinteger.xhtml \
+            dbopintegrate.xhtml \
+            dbopinverse.xhtml \
+            dbopinvmod.xhtml \
+            dbopjacobi.xhtml \
+            dboplaguerrel.xhtml \
+            dboplaurent.xhtml \
+            dboplcm.xhtml \
+            dbopleadingcoefficient.xhtml \
+            dbopleadingmonomial.xhtml \
+            dboplegendre.xhtml \
+            dboplength.xhtml \
+            dboplimit.xhtml \
+            dboplog.xhtml \
+            dboploggamma.xhtml \
+            dbopmainvariable.xhtml \
+            dbopmakegraphimage.xhtml \
+            dbopmakeobject.xhtml \
+            dbopmakeviewport3d.xhtml \
+            dbopmap.xhtml \
+            dbopmapbang.xhtml \
+            dbopmatrix.xhtml \
+            dbopmax.xhtml \
+            dbopmemberq.xhtml \
+            dbopmin.xhtml \
+            dbopminimumdegree.xhtml \
+            dbopminus.xhtml \
+            dbopmoebiusmu.xhtml \
+            dbopmonicdivide.xhtml \
+            dbopmulmod.xhtml \
+            dbopncols.xhtml \
+            dbopnegativeq.xhtml \
+            dbopnew.xhtml \
+            dbopnextprime.xhtml \
+            dbopnorm.xhtml \
+            dbopnrows.xhtml \
+            dbopnthfractionalterm.xhtml \
+            dbopnthroot.xhtml \
+            dbopnullity.xhtml \
+            dbopnullspace.xhtml \
+            dbopnumberoffractionalterms.xhtml \
+            dbopnumer.xhtml \
+            dbopnumeric.xhtml \
+            dbopoddq.xhtml \
+            dboponedimensionalarray.xhtml \
+            dbopoperator.xhtml \
+            dboporthonormalbasis.xhtml \
+            dbopoutputfixed.xhtml \
+            dbopoutputfloating.xhtml \
+            dbopoutputgeneral.xhtml \
+            dbopoutputspacing.xhtml \
+            dboppadicfraction.xhtml \
+            dboppartialfraction.xhtml \
+            dboppartialquotients.xhtml \
+            dboppattern.xhtml \
+            dboppermanent.xhtml \
+            dboppi.xhtml \
+            dbopplus.xhtml \
+            dboppolygamma.xhtml \
+            dboppositiveq.xhtml \
+            dboppositiveremainder.xhtml \
+            dbopprefixragits.xhtml \
+            dbopprevprime.xhtml \
+            dbopprimefactor.xhtml \
+            dbopprimeq.xhtml \
+            dbopprimes.xhtml \
+            dboppuiseux.xhtml \
+            dbopqelt.xhtml \
+            dbopqseteltbang.xhtml \
+            dbopquatern.xhtml \
+            dbopquo.xhtml \
+            dbopradicaleigenvectors.xhtml \
+            dbopradicalsolve.xhtml \
+            dboprank.xhtml \
+            dbopratdenom.xhtml \
+            dboprealeigenvectors.xhtml \
+            dboprealelementary.xhtml \
+            dbopreduce.xhtml \
+            dbopreductum.xhtml \
+            dboprem.xhtml \
+            dbopresetvariableorder.xhtml \
+            dbopresultant.xhtml \
+            dboprootof.xhtml \
+            dboprootsimp.xhtml \
+            dboprootsof.xhtml \
+            dbopround.xhtml \
+            dboprow.xhtml \
+            dboprowechelon.xhtml \
+            dbopsetcolumnbang.xhtml \
+            dbopsetelt.xhtml \
+            dbopseteltbang.xhtml \
+            dbopsetrowbang.xhtml \
+            dbopsetsubmatrixbang.xhtml \
+            dbopsign.xhtml \
+            dbopsimplify.xhtml\
+            dbopsec.xhtml \
+            dbopsech.xhtml \
+            dbopseries.xhtml \
+            dbopseriessolve.xhtml \
+            dbopsin.xhtml \
+            dbopsingleintegerand.xhtml \
+            dbopsingleintegernot.xhtml \
+            dbopsingleintegeror.xhtml \
+            dbopsingleintegerxor.xhtml \
+            dbopsinh.xhtml \
+            dbopsetvariableorder.xhtml \
+            dbopsolve.xhtml \
+            dbopsqrt.xhtml \
+            dbopstar.xhtml \
+            dbopstarstar.xhtml \
+            dbopsubmatrix.xhtml \
+            dbopsubmatrix.xhtml \
+            dbopsubmod.xhtml \
+            dbopsurface.xhtml \
+            dbopsumofkthpowerdivisors.xhtml \
+            dboptan.xhtml \
+            dboptanh.xhtml \
+            dboptaylor.xhtml \
+            dboptimes.xhtml \
+            dboptotaldegree.xhtml \
+            dboptrace.xhtml \
+            dboptranspose.xhtml \
+            dboptrigs.xhtml \
+            dboptruncate.xhtml \
+            dbopvariables.xhtml \
+            dbopvectorise.xhtml \
+            dbopvectorspace.xhtml \
+            dbopvertconcat.xhtml \
+            dbopwholepart.xhtml \
+            dbopwholeragits.xhtml \
+            dbopwrite.xhtml \
+            dbopzeroof.xhtml \
+            dbopzerosof.xhtml \
+            dbopzeroq.xhtml \
+            dbpolynomialinteger.xhtml \
+            dbpolynomialfractioninteger.xhtml \
+          systemvariables.xhtml \
+          glossarypage.xhtml \
+          htxtoppage.xhtml \
+          refsearchpage.xhtml \
+        topicspage.xhtml \
+          numberspage.xhtml \
+            numintegers.xhtml \
+              numgeneralinfo.xhtml \
+                numbasicfunctions.xhtml \
+                  numintegerfractions.xhtml \
+                numnumbertheoreticfunctions.xhtml \
+              numfactorization.xhtml \
+              numfunctions.xhtml \
+              numexamples.xhtml \
+              numproblems.xhtml \
+            numfractions.xhtml \
+              numrationalnumbers.xhtml \
+              numquotientfields.xhtml \
+            nummachinefloats.xhtml \
+            numfloat.xhtml \
+              introtofloat.xhtml \
+              conversionfunctions.xhtml \
+              outputfunctions.xhtml \
+              determinantofhilbert.xhtml \
+            numcomplexnumbers.xhtml \
+            numfinitefields.xhtml \
+            numnumericfunctions.xhtml \
+            numcardinalnumbers.xhtml \
+            nummachinesizedintegers.xhtml \
+            numromannumerals.xhtml \
+            numcontinuedfractions.xhtml \
+            numpartialfractions.xhtml \
+            numquaternions.xhtml \
+            numoctonions.xhtml \
+            numrepeatingdecimals.xhtml \
+            numrepeatingbinaryexpansions.xhtml \
+            numrepeatinghexexpansions.xhtml \
+            numotherbases.xhtml \
+          polynomialpage.xhtml \
+            polybasicfunctions.xhtml \
+            polysubstitutions.xhtml \
+            polyfactorization.xhtml \
+              polyfactorization1.xhtml \
+              polyfactorization2.xhtml \
+              polyfactorization3.xhtml \
+              polyfactorization4.xhtml \
+            polygcdandfriends.xhtml \
+            polyroots.xhtml \
+              polyroots1.xhtml \
+              polyroots2.xhtml \
+              polyroots3.xhtml \
+              polyroots4.xhtml \
+            polyspecifictypes.xhtml \
+              polyspecifictypes1.xhtml \
+                factored.xhtml \
+              polyspecifictypes2.xhtml \
+              polyspecifictypes3.xhtml \
+              polyspecifictypes4.xhtml \
+          functionpage.xhtml \
+            funrationalfunctions.xhtml \
+            funalgebraicfunctions.xhtml \
+            funelementaryfunctions.xhtml \
+            funsimplification.xhtml \
+            funpatternmatching.xhtml \
+            funoperatoralgebra.xhtml \
+          equationpage.xhtml \
+            equsystemlinear.xhtml \
+            equdifferential.xhtml \
+              equdifferentiallinear.xhtml \
+              equdifferentialnonlinear.xhtml \
+              equdifferentialpowerseries.xhtml \
+          calculuspage.xhtml \
+            callimits.xhtml \
+            calderivatives.xhtml \
+            calintegrals.xhtml \
+            calmoreintegrals.xhtml \
+            callaplace.xhtml \
+            calseries.xhtml \
+              calseries1.xhtml \
+              calseries2.xhtml \
+              calseries3.xhtml \
+              calseries4.xhtml \
+              calseries5.xhtml \
+              calseries6.xhtml \
+              calseries7.xhtml \
+              calseries8.xhtml \
+          linalgpage.xhtml \
+            linintro.xhtml \
+            lincreate.xhtml \
+            linoperations.xhtml \
+            lineigen.xhtml \
+            linhilbert.xhtml \
+            linpermaent.xhtml \
+            linvectors.xhtml \
+            linsquarematrices.xhtml \
+            lin1darrays.xhtml \
+            lin2darrays.xhtml \
+            linconversion.xhtml \
+          graphicspage.xhtml \
+            graphexamples.xhtml \
+              graphexamplesassorted.xhtml \
+              graphexamplesthreed.xhtml \
+              graphexamplesonevariable.xhtml \
+              graphexamplesparametric.xhtml \
+              graphexamplespolar.xhtml \
+              graphexamplesimplicit.xhtml \
+              graphexampleslistofpoints.xhtml \
+            graph2d.xhtml \
+              graph2dimplicit.xhtml \
+              graph2dlistsofpoints.xhtml \
+              graph2donevariable.xhtml \
+              graph2dparametric.xhtml \
+              graph2dpolar.xhtml \
+            graph3d.xhtml \
+              graph3dobjects.xhtml \
+              graph3dparametric.xhtml \
+              graph3dsurfaces.xhtml \
+              graph3dtubeplots.xhtml \
+              graph3dtwovariables.xhtml \
+            graphviewports.xhtml \
+          algebrapage.xhtml \
+            algnumbertheory.xhtml \
+              algnumbertheorygalois.xhtml \
+            alggrouptheory.xhtml \
+              alggrouptheorygroup.xhtml \
+              alggrouptheoryrepa6.xhtml \
+              alggrouptheoryreptheory.xhtml \
+          cryptopage.xhtml \
+            cryptoclass1.xhtml \
+            cryptoclass2.xhtml \
+            cryptoclass3.xhtml \
+            cryptoclass4.xhtml \
+            cryptoclass5.xhtml \
+            cryptoclass6.xhtml \
+            cryptoclass7.xhtml \
+            cryptoclass8.xhtml \
+            cryptoclass9.xhtml \
+            cryptoclass10.xhtml \
+            cryptoclass11.xhtml \
+          ocwmit18085.xhtml \
+            ocwmit18085lecture1.xhtml \
+            ocwmit18085lecture2.xhtml \
+        man0page.xhtml \
+        topexamplepage.xhtml \
+        topsettingspage.xhtml \
+        axiomfonts.xhtml \
+        pagelist.xhtml \
+        pagematrix.xhtml \
+        pageonedimensionalarray.xhtml \
+        pagepermanent.xhtml \
+        pageset.xhtml \
+        pagesquarematrix.xhtml \
+        pagetable.xhtml \
+        pagetwodimensionalarray.xhtml \
+        pagevector.xhtml 
+
+@
+
+\section{The Standard Layout}
+Generally a page has a standard layout using a couple of chunks
+to minimize the typing. The defined chunks are:
+\begin{itemize}
+\item ``standard head'' which includes the head element, xmlns, meta, and
+title element. It also contains the ``style'' element for CSS information.
+\item ``page head'' contains the banner information
+\item ``page foot'' contains the trailing page information and the
+body-end and html-end tags
+\end{itemize}
+So the basic layout looks like
+\begin{verbatim}
+@<<standard head>>
+    (local and general javascript goes here)
+ </head>
+ <body>
+@<<page head>>
+    (local page definition goes here)
+@<<page foot>>
+\end{verbatim}
+So all you need to worry about are the actual page forms and the
+javascript to fetch those forms.
+
+For ``active pages'', that is those that communicate with Axiom
+they generally define a javascript function called ``commandline''
+which formats the request to be sent to the host. You also need to
+include the ``axiom talker'' chunk. Note that ``axiom talker''
+expects the ``commandline'' function to exist and calls it. Thus,
+for the page that handles differentiation calls to Axiom we add 
+the local javascript:
+\begin{verbatim}
+
+  <script type="text/javascript">
+   function commandline(arg) {
+    return(document.getElementById('comm').value);
+   }
+@<<axiom talker>>
+  </script>
+
+\end{verbatim}
+This defined the ``commandline'' function and embeds the ``axiom talker''.
+The ``commandline'' function knows how to fetch fields from the rest of
+the page and format them into a single Axiom string. This is page
+specific code. For example, this shows a single input line which
+will be sent to the host when the ``Continue'' is pressed:
+\begin{verbatim}
+  <form id="commreq">
+    <p>
+      Type an input command line to Axiom:<br/>
+      <input type="text" id="comm" name="command" size="80"/>
+     @<<continue button>>
+    </p>
+  </form>
+ @<<answer field>>
+\end{verbatim}
+
+Note that the commandline function takes an argument which it gets
+from the caller, makeRequest. This argument can be used to distinguish
+which button was pressed.
+
+The {\bf div} section with {\bf id=``mathAns''} is replaced by the
+result sent from the server.
+
+\section{Cascading Style Sheet}
+\subsection{Standard Style Sheet}
+This is the standard CSS style section that gets included with every
+page. We do this here but it could be a separate style sheet. It 
+hardly matters either way as the style sheet is trivial.
+\begin{verbatim}
+\end{verbatim}
+<<style>>=
+  <style>
+
+   html {
+     background-color: #FFFF66;
+   }
+
+   body { 
+     margin: 0px;
+     padding: 0px;
+   }
+
+   div.command { 
+     color:red;
+   }
+
+   div.center {
+     color:blue;
+   }
+
+   div.reset {
+     visibility:hidden;
+   }
+
+   div.mathml { 
+     color:blue;
+   }
+
+   input.subbut {
+     background-color:#FFFF66;
+     border: 0;
+     color:green;
+     font-family: "Courier New", Courier, monospace;
+   }
+
+   input.noresult {
+     background-color:#FFFF66;
+     border: 0;
+     color:black;
+     font-family: "Courier New", Courier, monospace;
+   }
+
+   span.cmd { 
+     color:green;
+     font-family: "Courier New", Courier, monospace;
+   }
+
+   pre {
+     font-family: "Courier New", Courier, monospace;
+   }
+  </style>
+@
+\subsection{Menu style sheet}
+<<menu style>>=
+ <style>
+
+   form {
+     margin-top: 0;
+     margin-bottom: 0;
+     padding-left: 10px;
+   }
+
+   table.main {
+     background-color: #FFFF66;
+     font-size: 10pt;
+     font-family: arial;
+   }
+
+   .main A:link {
+     font-family: arial;
+     color:#016bbd;
+   }
+
+   .main A:hover {
+     font-family: arial;
+     color: #64747A;
+   }
+
+   .main A:visited {
+     font-family: arial;
+     color:#336699;
+   }
+
+   /* style the outer div to give it width */
+   .menu {
+     font-size:0.85em;
+   }
+
+   /* remove all the bullets, borders and padding 
+      from the default list styling */
+   .menu ul {
+     padding:0;
+     width:1000px;
+     margin:0;
+     list-style-type:none;
+     white-space: normal;
+   }
+
+   .menu ul ul {
+     width:90px;
+   }
+
+   /* float the list to make it horizontal and a relative position 
+      so that you can control the dropdown menu positon */
+   .menu li {
+     float:left;
+     width:90px;
+     position:relative;
+   }
+
+   /* style the links for the top level */
+   .menu a, .menu a:visited {
+     display:block;
+     font-size:12px;
+     text-decoration:none; 
+     font-weight:bold;
+     color:#2952a7;
+     width:99px;
+     height:32px;
+     line-height:29px;
+     border:0px solid #fff;
+     border-width:0px 0px 0 0px;
+     text-align:center;
+   }
+
+   /* style the second level links 
+      if this breaks all the level 2 links appear at once */
+   .menu ul ul a, .menu ul ul a:visited {
+     font-size:10px;
+     font-weight:normal;
+     background:#d4d8bd; 
+     color:#000; 
+     height:auto; 
+     line-height:1em; 
+     padding:5px 10px; 
+     width:78px
+   }
+
+   /* style the top level hover */
+   .menu a:hover, .menu ul ul a:hover{
+     border:1px solid #000;
+     border-width:1px 1px 0 1px;
+   }
+
+   .menu :hover > a, .menu ul ul :hover > a {
+     border:1px solid #000;
+     border-width:1px 1px 0 1px;
+   }
+
+   /* style the second level background */
+   .menu ul ul a.drop, .menu ul ul a.drop:visited {
+     background:#e0d8d0; 
+   }
+
+   /* style the second level hover */
+   .menu ul ul a.drop:hover{
+     background:#c9ba65;
+   }
+
+   .menu ul ul :hover > a.drop {
+     background:#c9ba65;
+   }
+
+   /* style the third level background */
+   .menu ul ul ul a, .menu ul ul ul a:visited {
+     background:#e2dfa8;
+   }
+
+   /* style the third level hover */
+   .menu ul ul ul a:hover {
+     background:#b2ab9b;
+   }
+
+   .menu ul ul ul :hover > a {
+     background:#b2ab9b;
+   }
+
+   /* hide the sub levels and give them a positon absolute 
+      so that they take up no room */
+   .menu ul ul {
+     visibility:hidden;
+     position:absolute;
+     height:0;
+     top:31px;
+     left:0;
+     width:150px;
+   }
+
+   /* position the third level flyout menu */
+   .menu ul ul ul{
+     left:100px; 
+     top:0;
+     width:90px;
+   }
+
+   /* position the third level flyout menu for a left flyout */
+   .menu ul ul ul.left {
+     left:-90px;
+   }
+
+   /* style the table so that it takes no part in the layout - 
+      required for IE to work */
+   .menu table {
+     position:absolute; 
+     top:0; 
+     left:0;
+   }
+
+   /* make the second level visible when hover on 
+     first level list OR link */
+   .menu ul li:hover ul,
+     .menu ul a:hover ul {
+       visibility:visible; 
+   }
+
+   /* keep the third level hidden when you hover on 
+      first level list OR link */
+   .menu ul :hover ul ul {
+     visibility:hidden;
+   }
+
+   /* keep the fourth level hidden when you hover on 
+      second level list OR link */
+   .menu ul :hover ul :hover ul ul {
+     visibility:hidden;
+   }
+
+   /* make the third level visible when you hover over second level list 
+      OR link */
+   .menu ul :hover ul :hover ul { 
+     visibility:visible;
+   }
+
+   /* make the fourth level visible when you hover over third level list 
+      OR link */
+   .menu ul :hover ul :hover ul :hover ul { 
+     visibility:visible;
+   }
+
+ </style>
+@
+\section{standard head}
+This is the standard head section. It is used on pages that do not
+include javascript. Note that it does NOT include the </head> so
+the javascript can be added easily.
+<<standard head>>=
+<?xml version="1.0" encoding="UTF-8"?>
+<html xmlns="http://www.w3.org/1999/xhtml" 
+      xmlns:xlink="http://www.w3.org/1999/xlink"
+      xmlns:m="http://www.w3.org/1998/Math/MathML">
+ <head>
+  <meta http-equiv="Content-Type" content="text/html" charset="us-ascii"/>
+  <title>Axiom Documentation</title>
+<<style>>
+@
+This is the standard page header.
+<<page head>>=
+  <div align="center"><img align="middle" src="doctitle.png"/></div>
+  <hr/>
+@
+This is the standard page foot.
+<<page foot>>=
+ </body>
+</html>
+@
+This is the standard continue button
+<<continue button>>=
+   <center>
+     <input type="button" value="Continue" name="continue" 
+       onclick="javascript:makeRequest('');"/>
+   </center>
+@
+This is where to place the math answer
+<<answer field>>=
+  <div id="mathAns"><div></div></div>
+@
+
+\section{Javascript functions}
+\subsection{Show only mathml}
+This function will show only the mathml result in the response.
+It is useful for particular pages that have lists of equations
+where all you care about are the answers.
+<<showonlymathml>>=
+<![CDATA[
+// The structure returned from Axiom now is
+// <div class="stepnum"></div>
+// <div class="command"></div>
+// <div class="algebra"></div>
+// <div class="mathml"></div>
+// <div class="type"></div>
+// This function will pick up the mathml and put it into 'indiv'
+ function showanswer(mathString,indiv) {
+    var mystr = mathString.split("</div>");
+    var mymathstr = mystr[3].concat("</div>");
+    // this turns the string into a dom fragment
+    var mathRange = document.createRange();
+    var mathBox=document.createElementNS('http://www.w3.org/1999/xhtml','div');
+    mathRange.selectNodeContents(mathBox);
+    var mymath = mathRange.createContextualFragment(mymathstr);
+    mathBox.appendChild(mymath);
+    // now we need to format it properly
+    // and we stick the result into the requested div block as a child.
+    var mathAns = document.getElementById(indiv);
+    mathAns.removeChild(mathAns.firstChild);
+    mathAns.appendChild(mathBox);
+  }
+]]>
+@
+
+\subsection{Show Full Answer}
+This function will show the full answer in the response including the
+step number, the command, the mathml and the type. The algebra portion
+is currently ignored.
+<<showfullanswer>>=
+// The structure returned from Axiom now is
+// <div class="stepnum"></div>
+// <div class="command"></div>
+// <div class="algebra"></div>
+// <div class="mathml"></div>
+// <div class="type"></div>
+// This function will format the output as a console session
+<![CDATA[
+ function showanswer(mathString,indiv) {
+    var mystr = mathString.split("</div>");
+      // first we prepare the step number
+    var mystept1 = mystr[0].lastIndexOf(">");
+    var mystepstr = mystr[0].substr(mystept1+1);
+      // now we get the command
+    var mycmdt1 = mystr[1].lastIndexOf(">");
+    var mycmdstr = mystr[1].substr(mycmdt1+1);
+    var myprompt = '('+mystepstr+') -> '+mycmdstr;
+      // now we handle the mathml
+    var mymathstr = mystr[3].concat("</div>");
+      // and the type, we need to insert the string "Type: "
+    var mytypet1 = mystr[4].lastIndexOf(">");
+    var mytypet2 = mystr[4].substr(mytypet1+1).concat("</div>");
+    var mytypestr = '<div> Type: '.concat(mytypet2);
+      // bang the whole thing together
+    var finaldiv='<div class="command">'+myprompt+'</div>'+mymathstr+mytypestr;
+      // this turns the string into a dom fragment
+    var mathRange = document.createRange();
+    var mathBox=document.createElementNS('http://www.w3.org/1999/xhtml','div');
+    mathRange.selectNodeContents(mathBox);
+    var answer = mathRange.createContextualFragment(finaldiv);
+    mathBox.appendChild(answer);
+      // and we stick the result into the requested div block as a child.
+    var mathAns = document.getElementById(indiv);
+    mathAns.removeChild(mathAns.firstChild);
+    mathAns.appendChild(mathBox);
+ }
+]]>
+@
+
+\subsection{Handle Free Variables}
+<<handlefreevars>>=
+<![CDATA[
+     // This is a hash table of the values we've evaluated.
+     // This is indexed by a string argument. 
+     // A value of 0 means we need to evaluate the expression
+     // A value of 1 means we have evaluated the expression
+   Evaled = new Array();
+     // this says we should modify the page
+   hiding = 'show';
+     // and this is the id of the div tag to modify (defaulted)
+   thediv = 'mathAns';
+     // commandline will mark that its arg has been evaled so we don't repeat
+   function commandline(arg) {
+     Evaled[arg] = 0;  // remember that we have set this value
+     thediv='ans'+arg; // mark where we should put the output
+     var ans = document.getElementById(arg).value;
+     return(ans);
+   }
+   // the function only modifies the page if when we're showing the
+   // final result, otherwise it does nothing.
+   function showanswer(mathString,indiv) {
+     if (hiding == 'show') { // only do something useful if we're showing
+       indiv = thediv;  // override the argument so we can change it
+       var mystr = mathString.split("</div>");
+       for (var i=0; i < mystr.length; i++) {
+         if (mystr[i].indexOf("mathml") > 0) {
+           var mymathstr = mystr[i].concat("</div>");
+         }
+       }
+       // this turns the string into a dom fragment
+       var mathRange = document.createRange();
+       var mathBox=
+               document.createElementNS('http://www.w3.org/1999/xhtml','div');
+       mathRange.selectNodeContents(mathBox);
+       var mymath = mathRange.createContextualFragment(mymathstr);
+       mathBox.appendChild(mymath);
+       // now we need to format it properly
+       // and we stick the result into the requested div block as a child.
+       var mathAns = document.getElementById(indiv);
+       mathAns.removeChild(mathAns.firstChild);
+       mathAns.appendChild(mathBox);
+     }
+   }
+   // this function takes a list of expressions ids to evaluate
+   // the list contains a list of "free" expression ids that need to
+   // be evaluated before the last expression. 
+   // For each expression id, if it has not yet been evaluated we
+   // evaluate it "hidden" otherwise we can skip the expression.
+   // Once we have evaluated all of the free expressions we can
+   // evaluate the final expression and modify the page.
+   function handleFree(arg) {
+     var placename = arg.pop();      // last array val is real
+     var mycnt = arg.length;         // remaining free vars
+       // we handle all of the prerequired expressions quietly
+     hiding = 'hide';
+     for (var i=0; i<mycnt; i++) {   // for each of the free variables
+       if (Evaled[arg[i]] == null) { // if we haven't evaled it
+         Evaled[arg[i]] = 0;         // remember we evaled it
+         makeRequest(arg[i]);        // initialize the free values
+       }
+     }
+       // and now we start talking to the page again
+     hiding = 'show';                // we want to show this
+     thediv = 'ans'+placename;       // at this div id
+     makeRequest(placename);         // and we eval and show it
+   }
+]]>
+@
+\subsection{axiom talker}
+<<axiom talker>>=
+<![CDATA[
+  function ignoreResponse() {}
+  function resetvars() {
+    http_request = new XMLHttpRequest();         
+    http_request.open('POST', '127.0.0.1:8085', true);
+    http_request.onreadystatechange = ignoreResponse;
+    http_request.setRequestHeader('Content-Type', 'text/plain');
+    http_request.send("command=)clear all");
+    return(false);
+  }
+]]>
+ function init() {
+ }
+ function makeRequest(arg) {
+   http_request = new XMLHttpRequest();         
+   var command = commandline(arg);
+   //alert(command);
+   http_request.open('POST', '127.0.0.1:8085', true);
+   http_request.onreadystatechange = handleResponse;
+   http_request.setRequestHeader('Content-Type', 'text/plain');
+   http_request.send("command="+command);
+   return(false);
+ }
+ function lispcall(arg) {
+   http_request = new XMLHttpRequest();         
+   var command = commandline(arg);
+   //alert(command);
+   http_request.open('POST', '127.0.0.1:8085', true);
+   http_request.onreadystatechange = handleResponse;
+   http_request.setRequestHeader('Content-Type', 'text/plain');
+   http_request.send("lispcall="+command);
+   return(false);
+ }
+ function showcall(arg) {
+   http_request = new XMLHttpRequest();         
+   var command = commandline(arg);
+   //alert(command);
+   http_request.open('POST', '127.0.0.1:8085', true);
+   http_request.onreadystatechange = handleResponse;
+   http_request.setRequestHeader('Content-Type', 'text/plain');
+   http_request.send("showcall="+command);
+   return(false);
+ }
+ function interpcall(arg) {
+   http_request = new XMLHttpRequest();         
+   var command = commandline(arg);
+   //alert(command);
+   http_request.open('POST', '127.0.0.1:8085', true);
+   http_request.onreadystatechange = handleResponse;
+   http_request.setRequestHeader('Content-Type', 'text/plain');
+   http_request.send("interpcall="+command);
+   return(false);
+ }
+ function handleResponse() {
+  if (http_request.readyState == 4) {
+   if (http_request.status == 200) {
+    showanswer(http_request.responseText,'mathAns');
+   } else
+   {
+     alert('There was a problem with the request.'+ http_request.statusText);
+   }
+  }
+ }
+
+@
+
+\section{Pages}
+<<testpage.xhtml>>=
+<<standard head>>
+<<menu style>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Test Page</div>
+  <hr/>
+  <div align="center">
+   <!--main menu-->
+   <form method="get" action="foo.xhtml">
+    <table class="mainmenu" border="0" cellspacing="0" cellpadding="0">
+     <tr>
+      <td align="center" valign="middle" nowrap="nowrap">
+       <div class="menu">
+        <ul>
+         <!-- Begin File Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           File<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="file/open.xhtml">
+             Open
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/readfile.xhtml">
+             Read file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/save.xhtml">
+             Save
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/saveas.xhtml">
+             Save as
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/input.xhtml">
+             Embed
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/batchfile.xhtml">
+             Batch file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/exporttohtml.xhtml">
+             Export to html
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/selectfile.xhtml">
+             Select file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/monitorfile.xhtml">
+             Monitor file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/print.xhtml">
+             Print
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="file/exit.xhtml">
+             Exit
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End File Menu -->
+         <!-- Start Edit Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Edit<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="edit/copy.xhtml">
+             Copy
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/copytext.xhtml">
+             Copy text
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/copytex.xhtml">
+             Copy TeX
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/deleteselection.xhtml">
+              Delete selection
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/copyasimage.xhtml">
+             Copy as image     
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/selectiontoimage.xhtml">
+             Selection to image
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/selectiontoinput.xhtml">
+             Selection to input
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/cut.xhtml">
+             Cut               
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/paste.xhtml">
+             Paste
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="edit/print.xhtml">
+             Print
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Edit Menu -->
+         <!-- Start Axiom Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Axiom<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="axiom/interrupt.xhtml">
+             Interrupt
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/restart.xhtml">
+             Restart
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/clearmemory.xhtml">
+             Clear Memory
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/addtopath.xhtml">
+              Add to path
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/showfunctions.xhtml">
+             Show functions
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/showdefinition.xhtml">
+             Show definition
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/showvariables.xhtml">
+             Show variables
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/deletefunction.xhtml">
+             Delete function
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/deletevariable.xhtml">
+             Delete variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/toggletimedisplay.xhtml">
+             Toggle time display
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/change2ddisplay.xhtml">
+             Change 2D display
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="axiom/displaytex.xhtml">
+             Display TeX
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Axiom Menu -->
+         <!-- Start Equations Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Equations<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="equations/solve.xhtml">
+             Solve
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solvenumerically.xhtml">
+             Solve numerically
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/rootsofpolynomial.xhtml">
+             Roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/Real roots of polynmial.xhtml">
+              Real roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solvelinearsystem.xhtml">
+             Solve linear system
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solvealgebraicsystem.xhtml">
+             Solve algebraic system
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/eliminatevariable.xhtml">
+             Eliminate variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solveode.xhtml">
+             Solve ODE
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/initialvalueproblem1.xhtml">
+             Initial value problem (1)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/initialvalueproblem2.xhtml">
+             Initial value problem (2)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/boundaryvalueproblem.xhtml">
+             Boundary value problem
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/solveodewithlaplace.xhtml">
+             Solve ODE with Laplace
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="equations/atvalue.xhtml">
+             At value
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Equations Menu -->
+         <!-- Start Algebra Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Algebra<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="algebra/generatematrix.xhtml">
+             Generate matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/entermatrix.xhtml">
+             Enter matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/invertmatrix.xhtml">
+             Invert matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/characteristicpolynomial.xhtml">
+             Characteristic polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/determinant.xhtml">
+             Determinant
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/eigenvalues.xhtml">
+             Eigenvalues
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/eigenvectors.xhtml">
+             Eigenvectors
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/adjointmatrix.xhtml">
+             Adjoint matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/transposematrix.xhtml">
+             Transpose matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/makelist.xhtml">
+             Make list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/applytolist.xhtml">
+             Apply to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/maptolist.xhtml">
+             Map to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/reducelist.xhtml">
+             Reduce list
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="algebra/maptomatrix.xhtml">
+             Map to matrix
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Algebra Menu -->
+         <!-- Start Calculus Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Calculus<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="calculus/level3.xhtml">
+             Level 3
+            </a>
+            <ul>
+             <li>
+              <a class="drop" href="calculus/integrate.xhtml">
+               Level 3 A
+              </a>
+             </li>
+             <li>
+              <a class="drop" href="calculus/integrate.xhtml">
+               Level 3 B
+              </a>
+             </li>
+             <li>
+              <a class="drop" href="calculus/integrate.xhtml">
+               Level 3 C
+              </a>
+             </li>
+            </ul>
+           </li>
+           <li>
+            <a class="drop" href="calculus/integrate.xhtml">
+             Integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/rischintegrate.xhtml">
+             Risch integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/changevariable.xhtml">
+             Change variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/differentiate.xhtml">
+             Differentiate
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/findlimit.xhtml">
+             Find limit
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/getseries.xhtml">
+             Get series
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/padeapproximation.xhtml">
+             Pade approximation
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/calculussum.xhtml">
+             Calculus sum
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/calculusproduct.xhtml">
+             Calculus product
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/laplacetransform.xhtml">
+             Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/inverselaplacetransform.xhtml">
+             Inverse Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/greatestcommondivisor.xhtml">
+             Greatest common divisor
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/leastcommonmultiple.xhtml">
+             Least common multiple
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/dividepolynomials.xhtml">
+             Divide polynomials
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/partialfractions.xhtml">
+             Partial fractions
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="calculus/continuedfractions.xhtml">
+             Continued fractions
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Calculus Menu -->
+         <!-- Start Simplify Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Simplify<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="simplify/simplifyexpression.xhtml">
+             Simplify expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/simplifyradicals.xhtml">
+             Simplify radicals
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/factorexpression.xhtml">
+             Factor expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/factorcomplex.xhtml">
+             Factor complex
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/expandexpression.xhtml">
+             Expand expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/expandlogarithms.xhtml">
+             Expand logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/contractlogarithms.xhtml">
+             Contract logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/factorialsandgamma.xhtml">
+             Factorials and Gamma
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/trigonometricsimplification.xhtml">
+             Trigonometric simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/complexsimplification.xhtml">
+             Complex simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/subtitute.xhtml">
+             Substitute
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/evaluatenounform.xhtml">
+             Evaluate noun form
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/togglealgebraicflag.xhtml">
+             Toggle algebraic flag
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/addalgebraicequality.xhtml">
+             Add algebraic equality
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="simplify/moduluscomputation.xhtml">
+             Modulus computation
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+         <!-- Start Numeric Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Numeric<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="numeric/togglenumericoutput.xhtml">
+             Toggle numeric output
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="numeric/tofloat.xhtml">
+             To float
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="numeric/tobigfloat.xhtml">
+             To bigfloat
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="numeric/setprecision.xhtml">
+             Set precision
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+        </ul>
+       </div>
+      </td>
+     </tr>
+    </table>
+   </form>
+  </div>
+
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="showcall('p1');"
+   value="Integer" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="showcall('p2');"
+    value="(GETDATABASE '|Matrix| 'CONSTRUCTORMODEMAP)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="showcall('p3');"
+   value="(progn (setq |$options| '((|operations|))) (|show| '|Integer|))" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+   value="summation(i^2,i=a..b)^(d-c)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+   value="summation(i^2^(d-c),i=a..b)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+   value="sum(operator(f) (i)+1,i=1..n)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+   value="sum(operator(f) (i),i=1..n)+1" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+   value="sum(operator(f) (i)+1,i=1..n)^3" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+
+<<page foot>>
+@
+%%A
+\subsection{axiomfonts.xhtml}
+<<axiomfonts.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Special Font Characters</div>
+  <hr/>
+<table>
+ <tr valign="top">
+  <th width="80" align="left">Character</th>
+  <th width="80" align="left">Decimal</th>
+  <th width="80" align="left">Hex</th>
+  <th width="80" align="left">Entity</th>
+  <th align="left">Name</th>
+ </tr>
+ <tr valign="top">
+  <td>&#x00391;</td>
+  <td>913</td>
+  <td>00391</td>
+  <td>&amp;Alpha;</td>
+  <td>greek capital letter alpha</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00392;</td>
+  <td>914</td>
+  <td>00392</td>
+  <td>&amp;Beta;</td>
+  <td>greek capital letter beta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00393;</td>
+  <td>915</td>
+  <td>00393</td>
+  <td>&amp;Gamma;</td>
+  <td>greek capital letter gamma</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00394;</td>
+  <td>916</td>
+  <td>00394</td>
+  <td>&amp;Delta;</td>
+  <td>greek capital letter delta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00395;</td>
+  <td>917</td>
+  <td>00395</td>
+  <td>&amp;Epsilon;</td>
+  <td>greek capital letter epsilon</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00396;</td>
+  <td>918</td>
+  <td>00396</td>
+  <td>&amp;Zeta;</td>
+  <td>greek capital letter zeta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00397;</td>
+  <td>919</td>
+  <td>00397</td>
+  <td>&amp;Eta;</td>
+  <td>greek capital letter eta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00398;</td>
+  <td>920</td>
+  <td>00398</td>
+  <td>&amp;Theta;</td>
+  <td>greek capital letter theta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x00399;</td>
+  <td>921</td>
+  <td>00399</td>
+  <td>&amp;Iota;</td>
+  <td>greek capital letter iota</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0039A;</td>
+  <td>922</td>
+  <td>0039A</td>
+  <td>&amp;Kappa;</td>
+  <td>greek capital letter kappa</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0039B;</td>
+  <td>923</td>
+  <td>0039B</td>
+  <td>&amp;Lambda;</td>
+  <td>greek capital letter lambda</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0039C;</td>
+  <td>924</td>
+  <td>0039C</td>
+  <td>&amp;Mu;</td>
+  <td>greek capital letter mu</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0039D;</td>
+  <td>925</td>
+  <td>0039D</td>
+  <td>&amp;Nu;</td>
+  <td>greek capital letter nu</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0039E;</td>
+  <td>926</td>
+  <td>0039E</td>
+  <td>&amp;Xi;</td>
+  <td>greek capital letter xi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0039F;</td>
+  <td>927</td>
+  <td>0039F</td>
+  <td>&amp;Omicron;</td>
+  <td>greek capital letter omicron</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A0;</td>
+  <td>928</td>
+  <td>003A0</td>
+  <td>&amp;Pi;</td>
+  <td>greek capital letter pi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A1;</td>
+  <td>929</td>
+  <td>003A1</td>
+  <td>&amp;Rho;</td>
+  <td>greek capital letter rho</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A3;</td>
+  <td>931</td>
+  <td>003A3</td>
+  <td>&amp;Sigma;</td>
+  <td>greek capital letter sigma</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A4;</td>
+  <td>932</td>
+  <td>003A4</td>
+  <td>&amp;Tau;</td>
+  <td>greek capital letter tau</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A5;</td>
+  <td>933</td>
+  <td>003A5</td>
+  <td>&amp;Upsilon;</td>
+  <td>greek capital letter upsilon</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A6;</td>
+  <td>934</td>
+  <td>003A6</td>
+  <td>&amp;Phi;</td>
+  <td>greek capital letter phi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A7;</td>
+  <td>935</td>
+  <td>003A7</td>
+  <td>&amp;Chi;</td>
+  <td>greek capital letter chi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A8;</td>
+  <td>936</td>
+  <td>003A8</td>
+  <td>&amp;Psi;</td>
+  <td>greek capital letter psi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003A9;</td>
+  <td>937</td>
+  <td>003A9</td>
+  <td>&amp;Omega;</td>
+  <td>greek capital letter omega</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B1;</td>
+  <td>945</td>
+  <td>003B1</td>
+  <td>&amp;alpha;</td>
+  <td>greek small letter alpha</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B2;</td>
+  <td>946</td>
+  <td>003B2</td>
+  <td>&amp;beta;</td>
+  <td>greek small letter beta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B3;</td>
+  <td>947</td>
+  <td>003B3</td>
+  <td>&amp;gamma;</td>
+  <td>greek small letter gamma</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B4;</td>
+  <td>948</td>
+  <td>003B4</td>
+  <td>&amp;delta;</td>
+  <td>greek small letter delta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B5;</td>
+  <td>949</td>
+  <td>003B5</td>
+  <td>&amp;epsilon;</td>
+  <td>greek small letter epsilon</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B6;</td>
+  <td>950</td>
+  <td>003B6</td>
+  <td>&amp;zeta;</td>
+  <td>greek small letter zeta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B7;</td>
+  <td>951</td>
+  <td>003B7</td>
+  <td>&amp;eta;</td>
+  <td>greek small letter eta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B8;</td>
+  <td>952</td>
+  <td>003B8</td>
+  <td>&amp;theta;</td>
+  <td>greek small letter theta</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003B9;</td>
+  <td>953</td>
+  <td>003B9</td>
+  <td>&amp;iota;</td>
+  <td>greek small letter iota</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003BA;</td>
+  <td>954</td>
+  <td>003BA</td>
+  <td>&amp;kappa;</td>
+  <td>greek small letter kappa</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003BB;</td>
+  <td>955</td>
+  <td>003BB</td>
+  <td>&amp;lambda;</td>
+  <td>greek small letter lambda</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003BC;</td>
+  <td>956</td>
+  <td>003BC</td>
+  <td>&amp;mu;</td>
+  <td>greek small letter mu</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003BD;</td>
+  <td>957</td>
+  <td>003BD</td>
+  <td>&amp;nu;</td>
+  <td>greek small letter nu</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003BE;</td>
+  <td>958</td>
+  <td>003BE</td>
+  <td>&amp;xi;</td>
+  <td>greek small letter xi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003BF;</td>
+  <td>959</td>
+  <td>003BF</td>
+  <td>&amp;omicron;</td>
+  <td>greek small letter omicron</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C0;</td>
+  <td>960</td>
+  <td>003C0</td>
+  <td>&amp;pi;</td>
+  <td>greek small letter pi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C1;</td>
+  <td>961</td>
+  <td>003C1</td>
+  <td>&amp;rho;</td>
+  <td>greek small letter rho</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C2;</td>
+  <td>962</td>
+  <td>003C2</td>
+  <td>&amp;sigmaf;</td>
+  <td>greek small letter final sigma</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C3;</td>
+  <td>963</td>
+  <td>003C3</td>
+  <td>&amp;sigma;</td>
+  <td>greek small letter sigma</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C4;</td>
+  <td>964</td>
+  <td>003C4</td>
+  <td>&amp;tau;</td>
+  <td>greek small letter tau</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C5;</td>
+  <td>965</td>
+  <td>003C5</td>
+  <td>&amp;upsilon;</td>
+  <td>greek small letter upsilon</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C6;</td>
+  <td>966</td>
+  <td>003C6</td>
+  <td>&amp;phi;</td>
+  <td>greek small letter phi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C7;</td>
+  <td>967</td>
+  <td>003C7</td>
+  <td>&amp;chi;</td>
+  <td>greek small letter chi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C8;</td>
+  <td>968</td>
+  <td>003C8</td>
+  <td>&amp;psi;</td>
+  <td>greek small letter psi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C9;</td>
+  <td>969</td>
+  <td>003C9</td>
+  <td>&amp;omega;</td>
+  <td>greek small letter omega</td>
+ </tr>
+ <tr><td>----</td><td>----</td><td>----</td><td>----</td><td>----</td></tr>
+ <tr valign="top">
+  <td>&#x000AF;</td>
+  <td>175</td>
+  <td>000AF</td>
+  <td>&amp;macr;</td>
+  <td>macron</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x000B1;</td>
+  <td>177</td>
+  <td>000B1</td>
+  <td>&amp;plusmn;</td>
+  <td>plus-or-minus sign</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x000D7;</td>
+  <td>215</td>
+  <td>000D7</td>
+  <td></td>
+  <td>multiplication sign</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x000E8;</td>
+  <td>232</td>
+  <td>000E8</td>
+  <td>&amp;egrave;</td>
+  <td>latin small letter e with grave</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003C0;</td>
+  <td>960</td>
+  <td>003C0</td>
+  <td>&amp;pi;</td>
+  <td>greek small letter pi</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x003D5;</td>
+  <td>981</td>
+  <td>003D5</td>
+  <td></td>
+  <td>greek phi symbol</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02026;</td>
+  <td>8230</td>
+  <td>02026</td>
+  <td>&amp;hellip;</td>
+  <td>horizontal ellipsis</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x022EF;</td>
+  <td>8943</td>
+  <td>022EF</td>
+  <td></td>
+  <td>midline horizontal ellipsis</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02032;</td>
+  <td>8242</td>
+  <td>02032</td>
+  <td>&amp;prime;</td>
+  <td>prime</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02061;</td>
+  <td>8289</td>
+  <td>02061</td>
+  <td></td>
+  <td>function application</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02062;</td>
+  <td>8290</td>
+  <td>02062</td>
+  <td></td>
+  <td>invisible times</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02102;</td>
+  <td>8450</td>
+  <td>02102</td>
+  <td></td>
+  <td>doube-struck captial c</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0210D;</td>
+  <td>8461</td>
+  <td>0210D</td>
+  <td></td>
+  <td>double-struck captial h</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02111;</td>
+  <td>8465</td>
+  <td>02111</td>
+  <td>&amp;image;</td>
+  <td>black-letter captial i</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02113;</td>
+  <td>8467</td>
+  <td>02113</td>
+  <td></td>
+  <td>script small l</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02115;</td>
+  <td>8469</td>
+  <td>02115</td>
+  <td></td>
+  <td>double-struck captial n</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02119;</td>
+  <td>8473</td>
+  <td>02119</td>
+  <td></td>
+  <td>double-struck captial p</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0211A;</td>
+  <td>8474</td>
+  <td>0211A</td>
+  <td></td>
+  <td>double-struck captial q</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0211C;</td>
+  <td>8476</td>
+  <td>0211C</td>
+  <td>&amp;real;</td>
+  <td>black-letter captial r</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x0211D;</td>
+  <td>8477</td>
+  <td>0211D</td>
+  <td></td>
+  <td>double-struck captial r</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02124;</td>
+  <td>8484</td>
+  <td>02124</td>
+  <td></td>
+  <td>double-struck captial z</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02145;</td>
+  <td>8517</td>
+  <td>02145</td>
+  <td></td>
+  <td>doube-struck captial d</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02146;</td>
+  <td>8518</td>
+  <td>02146</td>
+  <td></td>
+  <td>double-struck italic small d</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02147;</td>
+  <td>8519</td>
+  <td>02147</td>
+  <td></td>
+  <td>double-struck italic small e</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02148;</td>
+  <td>8520</td>
+  <td>02148</td>
+  <td></td>
+  <td>double-struck italic small i</td>
+ </tr>
+ <tr valign="top">
+  <td>&#x02192;</td>
+  <td>8594</td>
+  <td>02192</td>
+  <td>&amp;rarr;</td>
+  <td>rightwards arrow</td>
+ </tr>
+ <tr><td>----</td><td>----</td><td>----</td><td>----</td><td>----</td></tr>
+ <tr valign="top">
+  <td>&#8704;</td>
+  <td>8704</td>
+  <td>2200</td>
+  <td>&amp;forall;</td>
+  <td>for all</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8705;</td>
+  <td>8705</td>
+  <td>2201</td>
+  <td></td>
+  <td>complement</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8706;</td>
+  <td>8706</td>
+  <td>2202</td>
+  <td>&amp;part;</td>
+  <td>partial differential</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8707;</td>
+  <td>8707</td>
+  <td>2203</td>
+  <td>&amp;exist;</td>
+  <td>there exists</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8708;</td>
+  <td>8708</td>
+  <td>2204</td>
+  <td></td>
+  <td>there does not exist</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8709;</td>
+  <td>8709</td>
+  <td>2205</td>
+  <td>&amp;empty;</td>
+  <td>empty set</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8710;</td>
+  <td>8710</td>
+  <td>2206</td>
+  <td></td>
+  <td>increment</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8711;</td>
+  <td>8711</td>
+  <td>2207</td>
+  <td>&amp;nabla;</td>
+  <td>nabla</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8712;</td>
+  <td>8712</td>
+  <td>2208</td>
+  <td>&amp;isin;</td>
+  <td>element of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8713;</td>
+  <td>8713</td>
+  <td>2209</td>
+  <td>&amp;notin;</td>
+  <td>not an element of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8714;</td>
+  <td>8714</td>
+  <td>220A</td>
+  <td></td>
+  <td>small element of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8715;</td>
+  <td>8715</td>
+  <td>220B</td>
+  <td>&amp;ni;</td>
+  <td>contains as member</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8716;</td>
+  <td>8716</td>
+  <td>220C</td>
+  <td></td>
+  <td>does not contain as member</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8717;</td>
+  <td>8717</td>
+  <td>220D</td>
+  <td></td>
+  <td>small contains as member</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8718;</td>
+  <td>8718</td>
+  <td>220E</td>
+  <td></td>
+  <td>end of proof</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8719;</td>
+  <td>8719</td>
+  <td>220F</td>
+  <td>&amp;prod;</td>
+  <td>n-ary product</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8720;</td>
+  <td>8720</td>
+  <td>2210</td>
+  <td></td>
+  <td>n-ary coproduct</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8721;</td>
+  <td>8721</td>
+  <td>2211</td>
+  <td>&amp;sum;</td>
+  <td>n-ary summation</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8722;</td>
+  <td>8722</td>
+  <td>2212</td>
+  <td>&amp;minus;</td>
+  <td>minus sign</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8723;</td>
+  <td>8723</td>
+  <td>2213</td>
+  <td></td>
+  <td>minus-or-plus sign</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8724;</td>
+  <td>8724</td>
+  <td>2214</td>
+  <td></td>
+  <td>dot plus</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8725;</td>
+  <td>8725</td>
+  <td>2215</td>
+  <td></td>
+  <td>division slash</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8726;</td>
+  <td>8726</td>
+  <td>2216</td>
+  <td></td>
+  <td>set minus</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8727;</td>
+  <td>8727</td>
+  <td>2217</td>
+  <td>&amp;lowast;</td>
+  <td>asterisk operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8728;</td>
+  <td>8728</td>
+  <td>2218</td>
+  <td></td>
+  <td>ring operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8729;</td>
+  <td>8729</td>
+  <td>2219</td>
+  <td></td>
+  <td>bullet operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8730;</td>
+  <td>8730</td>
+  <td>221A</td>
+  <td>&amp;radic;</td>
+  <td>square root</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8731;</td>
+  <td>8731</td>
+  <td>221B</td>
+  <td></td>
+  <td>cube root</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8732;</td>
+  <td>8732</td>
+  <td>221C</td>
+  <td></td>
+  <td>fourth root</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8733;</td>
+  <td>8733</td>
+  <td>221D</td>
+  <td>&amp;prop;</td>
+  <td>proportional to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8734;</td>
+  <td>8734</td>
+  <td>221E</td>
+  <td>&amp;infin;</td>
+  <td>infinity</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8735;</td>
+  <td>8735</td>
+  <td>221F</td>
+  <td></td>
+  <td>right angle</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8736;</td>
+  <td>8736</td>
+  <td>2220</td>
+  <td>&amp;ang;</td>
+  <td>angle</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8737;</td>
+  <td>8737</td>
+  <td>2221</td>
+  <td></td>
+  <td>measured angle</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8738;</td>
+  <td>8738</td>
+  <td>2222</td>
+  <td></td>
+  <td>spherical angle</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8739;</td>
+  <td>8739</td>
+  <td>2223</td>
+  <td></td>
+  <td>divides</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8740;</td>
+  <td>8740</td>
+  <td>2224</td>
+  <td></td>
+  <td>does not divide</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8741;</td>
+  <td>8741</td>
+  <td>2225</td>
+  <td></td>
+  <td>parallel to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8742;</td>
+  <td>8742</td>
+  <td>2226</td>
+  <td></td>
+  <td>not parallel to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8743;</td>
+  <td>8743</td>
+  <td>2227</td>
+  <td>&amp;and;</td>
+  <td>logical and</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8744;</td>
+  <td>8744</td>
+  <td>2228</td>
+  <td>&amp;or;</td>
+  <td>logical or</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8745;</td>
+  <td>8745</td>
+  <td>2229</td>
+  <td>&amp;cap;</td>
+  <td>intersection</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8746;</td>
+  <td>8746</td>
+  <td>222A</td>
+  <td>&amp;cup;</td>
+  <td>union</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8747;</td>
+  <td>8747</td>
+  <td>222B</td>
+  <td>&amp;int;</td>
+  <td>integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8748;</td>
+  <td>8748</td>
+  <td>222C</td>
+  <td></td>
+  <td>double integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8749;</td>
+  <td>8749</td>
+  <td>222D</td>
+  <td></td>
+  <td>triple integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8750;</td>
+  <td>8750</td>
+  <td>222E</td>
+  <td></td>
+  <td>contour integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8751;</td>
+  <td>8751</td>
+  <td>222F</td>
+  <td></td>
+  <td>surface integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8752;</td>
+  <td>8752</td>
+  <td>2230</td>
+  <td></td>
+  <td>volume integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8753;</td>
+  <td>8753</td>
+  <td>2231</td>
+  <td></td>
+  <td>clockwise integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8754;</td>
+  <td>8754</td>
+  <td>2232</td>
+  <td></td>
+  <td>clockwise contour integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8755;</td>
+  <td>8755</td>
+  <td>2233</td>
+  <td></td>
+  <td>anticlockwise contour integral</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8756;</td>
+  <td>8756</td>
+  <td>2234</td>
+  <td>&amp;there4;</td>
+  <td>therefore</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8757;</td>
+  <td>8757</td>
+  <td>2235</td>
+  <td></td>
+  <td>because</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8758;</td>
+  <td>8758</td>
+  <td>2236</td>
+  <td></td>
+  <td>ratio</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8759;</td>
+  <td>8759</td>
+  <td>2237</td>
+  <td></td>
+  <td>proportion</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8760;</td>
+  <td>8760</td>
+  <td>2238</td>
+  <td></td>
+  <td>dot minus</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8761;</td>
+  <td>8761</td>
+  <td>2239</td>
+  <td></td>
+  <td>excess</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8762;</td>
+  <td>8762</td>
+  <td>223A</td>
+  <td></td>
+  <td>geometric proportion</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8763;</td>
+  <td>8763</td>
+  <td>223B</td>
+  <td></td>
+  <td>homothetic</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8764;</td>
+  <td>8764</td>
+  <td>223C</td>
+  <td>&amp;sim;</td>
+  <td>tilde operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8765;</td>
+  <td>8765</td>
+  <td>223D</td>
+  <td></td>
+  <td>reversed tilde</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8766;</td>
+  <td>8766</td>
+  <td>223E</td>
+  <td></td>
+  <td>inverted lazy S</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8767;</td>
+  <td>8767</td>
+  <td>223F</td>
+  <td></td>
+  <td>sine wave</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8768;</td>
+  <td>8768</td>
+  <td>2240</td>
+  <td></td>
+  <td>wreath products</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8769;</td>
+  <td>8769</td>
+  <td>2241</td>
+  <td></td>
+  <td>not tilde</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8770;</td>
+  <td>8770</td>
+  <td>2242</td>
+  <td></td>
+  <td>minus tilde</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8771;</td>
+  <td>8771</td>
+  <td>2243</td>
+  <td></td>
+  <td>asymptotically equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8772;</td>
+  <td>8772</td>
+  <td>2244</td>
+  <td></td>
+  <td>not asymptotically equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8773;</td>
+  <td>8773</td>
+  <td>2245</td>
+  <td>&amp;cong;</td>
+  <td>approximately equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8774;</td>
+  <td>8774</td>
+  <td>2246</td>
+  <td></td>
+  <td>approximately but not actually equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8775;</td>
+  <td>8775</td>
+  <td>2247</td>
+  <td></td>
+  <td>neither approximately nor actually equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8776;</td>
+  <td>8776</td>
+  <td>2248</td>
+  <td>&amp;asymp;</td>
+  <td>almost equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8777;</td>
+  <td>8777</td>
+  <td>2249</td>
+  <td></td>
+  <td>not almost equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8778;</td>
+  <td>8778</td>
+  <td>224A</td>
+  <td></td>
+  <td>almost equal or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8779;</td>
+  <td>8779</td>
+  <td>224B</td>
+  <td></td>
+  <td>triple tilde</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8780;</td>
+  <td>8780</td>
+  <td>224C</td>
+  <td></td>
+  <td>all equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8781;</td>
+  <td>8781</td>
+  <td>224D</td>
+  <td></td>
+  <td>equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8782;</td>
+  <td>8782</td>
+  <td>224E</td>
+  <td></td>
+  <td>geometrically equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8783;</td>
+  <td>8783</td>
+  <td>224F</td>
+  <td></td>
+  <td>difference between</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8784;</td>
+  <td>8784</td>
+  <td>2250</td>
+  <td></td>
+  <td>approaches the limit</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8785;</td>
+  <td>8785</td>
+  <td>2251</td>
+  <td></td>
+  <td>geometrically equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8786;</td>
+  <td>8786</td>
+  <td>2252</td>
+  <td></td>
+  <td>approximately equal to or the image of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8787;</td>
+  <td>8787</td>
+  <td>2253</td>
+  <td></td>
+  <td>image of or approximately equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8788;</td>
+  <td>8788</td>
+  <td>2254</td>
+  <td></td>
+  <td>colon equals</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8789;</td>
+  <td>8789</td>
+  <td>2255</td>
+  <td></td>
+  <td>equals colon</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8790;</td>
+  <td>8790</td>
+  <td>2256</td>
+  <td></td>
+  <td>ring in equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8791;</td>
+  <td>8791</td>
+  <td>2257</td>
+  <td></td>
+  <td>ring equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8792;</td>
+  <td>8792</td>
+  <td>2258</td>
+  <td></td>
+  <td>corresponds to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8793;</td>
+  <td>8793</td>
+  <td>2259</td>
+  <td></td>
+  <td>estimates</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8794;</td>
+  <td>8794</td>
+  <td>225A</td>
+  <td></td>
+  <td>equiangular to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8795;</td>
+  <td>8795</td>
+  <td>225B</td>
+  <td></td>
+  <td>star equals</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8796;</td>
+  <td>8796</td>
+  <td>225C</td>
+  <td></td>
+  <td>delta equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8797;</td>
+  <td>8797</td>
+  <td>225D</td>
+  <td></td>
+  <td>equal to by definition</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8798;</td>
+  <td>8798</td>
+  <td>225E</td>
+  <td></td>
+  <td>measured by</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8799;</td>
+  <td>8799</td>
+  <td>225F</td>
+  <td></td>
+  <td>questioned equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8800;</td>
+  <td>8800</td>
+  <td>2260</td>
+  <td>&amp;ne;</td>
+  <td>not equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8801;</td>
+  <td>8801</td>
+  <td>2261</td>
+  <td>&amp;equiv;</td>
+  <td>identical to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8802;</td>
+  <td>8802</td>
+  <td>2262</td>
+  <td></td>
+  <td>not identical to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8803;</td>
+  <td>8803</td>
+  <td>2263</td>
+  <td></td>
+  <td>strictly equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8804;</td>
+  <td>8804</td>
+  <td>2264</td>
+  <td>&amp;le;</td>
+  <td>less-than or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8805;</td>
+  <td>8805</td>
+  <td>2265</td>
+  <td>&amp;ge;</td>
+  <td>greater-than or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8806;</td>
+  <td>8806</td>
+  <td>2266</td>
+  <td></td>
+  <td>less-than over equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8807;</td>
+  <td>8807</td>
+  <td>2267</td>
+  <td></td>
+  <td>greater-than over equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8808;</td>
+  <td>8808</td>
+  <td>2268</td>
+  <td></td>
+  <td>less-than but not equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8809;</td>
+  <td>8809</td>
+  <td>2269</td>
+  <td></td>
+  <td>greater-than but not equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8810;</td>
+  <td>8810</td>
+  <td>226A</td>
+  <td></td>
+  <td>much less-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8811;</td>
+  <td>8811</td>
+  <td>226B</td>
+  <td></td>
+  <td>much greater-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8812;</td>
+  <td>8812</td>
+  <td>226C</td>
+  <td></td>
+  <td>between</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8813;</td>
+  <td>8813</td>
+  <td>226D</td>
+  <td></td>
+  <td>not equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8814;</td>
+  <td>8814</td>
+  <td>226E</td>
+  <td></td>
+  <td>not less-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8815;</td>
+  <td>8815</td>
+  <td>226F</td>
+  <td></td>
+  <td>not greater-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8816;</td>
+  <td>8816</td>
+  <td>2270</td>
+  <td></td>
+  <td>neither less-than nor equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8817;</td>
+  <td>8817</td>
+  <td>2271</td>
+  <td></td>
+  <td>neither greater-than nor equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8818;</td>
+  <td>8818</td>
+  <td>2272</td>
+  <td></td>
+  <td>less-than or equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8819;</td>
+  <td>8819</td>
+  <td>2273</td>
+  <td></td>
+  <td>greater-than or equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8820;</td>
+  <td>8820</td>
+  <td>2274</td>
+  <td></td>
+  <td>neither less-than nor equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8821;</td>
+  <td>8821</td>
+  <td>2275</td>
+  <td></td>
+  <td>neither greater-than nor equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8822;</td>
+  <td>8822</td>
+  <td>2276</td>
+  <td></td>
+  <td>less-than or greater-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8823;</td>
+  <td>8823</td>
+  <td>2277</td>
+  <td></td>
+  <td>greater-than or less-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8824;</td>
+  <td>8824</td>
+  <td>2278</td>
+  <td></td>
+  <td>neither less-than nor greater-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8825;</td>
+  <td>8825</td>
+  <td>2279</td>
+  <td></td>
+  <td>neither greater-than nor less-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8826;</td>
+  <td>8826</td>
+  <td>227A</td>
+  <td></td>
+  <td>precedes</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8827;</td>
+  <td>8827</td>
+  <td>227B</td>
+  <td></td>
+  <td>succeeds</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8828;</td>
+  <td>8828</td>
+  <td>227C</td>
+  <td></td>
+  <td>precedes or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8829;</td>
+  <td>8829</td>
+  <td>227D</td>
+  <td></td>
+  <td>succeeds or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8830;</td>
+  <td>8830</td>
+  <td>227E</td>
+  <td></td>
+  <td>precedes or equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8831;</td>
+  <td>8831</td>
+  <td>227F</td>
+  <td></td>
+  <td>succeeds or equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8832;</td>
+  <td>8832</td>
+  <td>2280</td>
+  <td></td>
+  <td>does not precede</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8833;</td>
+  <td>8833</td>
+  <td>2281</td>
+  <td></td>
+  <td>does not succeed</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8834;</td>
+  <td>8834</td>
+  <td>2282</td>
+  <td>&amp;sub;</td>
+  <td>subset of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8835;</td>
+  <td>8835</td>
+  <td>2283</td>
+  <td>&amp;sup;</td>
+  <td>superset of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8836;</td>
+  <td>8836</td>
+  <td>2284</td>
+  <td>&amp;nsub;</td>
+  <td>not a subset of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8837;</td>
+  <td>8837</td>
+  <td>2285</td>
+  <td></td>
+  <td>not a superset of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8838;</td>
+  <td>8838</td>
+  <td>2286</td>
+  <td>&amp;sube;</td>
+  <td>subset of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8839;</td>
+  <td>8839</td>
+  <td>2287</td>
+  <td>&amp;supe;</td>
+  <td>superset of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8840;</td>
+  <td>8840</td>
+  <td>2288</td>
+  <td></td>
+  <td>neither a subset of nor equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8841;</td>
+  <td>8841</td>
+  <td>2289</td>
+  <td></td>
+  <td>neither a superset of nor equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8842;</td>
+  <td>8842</td>
+  <td>228A</td>
+  <td></td>
+  <td>subset of with not equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8843;</td>
+  <td>8843</td>
+  <td>228B</td>
+  <td></td>
+  <td>superset of with not equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8844;</td>
+  <td>8844</td>
+  <td>228C</td>
+  <td></td>
+  <td>multiset</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8845;</td>
+  <td>8845</td>
+  <td>228D</td>
+  <td></td>
+  <td>multiset multiplication</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8846;</td>
+  <td>8846</td>
+  <td>228E</td>
+  <td></td>
+  <td>multiset union</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8847;</td>
+  <td>8847</td>
+  <td>228F</td>
+  <td></td>
+  <td>square image of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8848;</td>
+  <td>8848</td>
+  <td>2290</td>
+  <td></td>
+  <td>square original of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8849;</td>
+  <td>8849</td>
+  <td>2291</td>
+  <td></td>
+  <td>square image of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8850;</td>
+  <td>8850</td>
+  <td>2292</td>
+  <td></td>
+  <td>square original of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8851;</td>
+  <td>8851</td>
+  <td>2293</td>
+  <td></td>
+  <td>square cap</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8852;</td>
+  <td>8852</td>
+  <td>2294</td>
+  <td></td>
+  <td>square cup</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8853;</td>
+  <td>8853</td>
+  <td>2295</td>
+  <td>&amp;oplus;</td>
+  <td>circled plus</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8854;</td>
+  <td>8854</td>
+  <td>2296</td>
+  <td></td>
+  <td>circled minus</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8855;</td>
+  <td>8855</td>
+  <td>2297</td>
+  <td>&amp;otimes;</td>
+  <td>circled times</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8856;</td>
+  <td>8856</td>
+  <td>2298</td>
+  <td></td>
+  <td>circled division slash</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8857;</td>
+  <td>8857</td>
+  <td>2299</td>
+  <td></td>
+  <td>circled dot operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8858;</td>
+  <td>8858</td>
+  <td>229A</td>
+  <td></td>
+  <td>circled ring operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8859;</td>
+  <td>8859</td>
+  <td>229B</td>
+  <td></td>
+  <td>circled asterisk operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8860;</td>
+  <td>8860</td>
+  <td>229C</td>
+  <td></td>
+  <td>circled equals</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8861;</td>
+  <td>8861</td>
+  <td>229D</td>
+  <td></td>
+  <td>circled dash</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8862;</td>
+  <td>8862</td>
+  <td>229E</td>
+  <td></td>
+  <td>squared plus</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8863;</td>
+  <td>8863</td>
+  <td>229F</td>
+  <td></td>
+  <td>squared minus</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8864;</td>
+  <td>8864</td>
+  <td>22A0</td>
+  <td></td>
+  <td>squared times</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8865;</td>
+  <td>8865</td>
+  <td>22A1</td>
+  <td></td>
+  <td>squared dot operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8866;</td>
+  <td>8866</td>
+  <td>22A2</td>
+  <td></td>
+  <td>right tack</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8867;</td>
+  <td>8867</td>
+  <td>22A3</td>
+  <td></td>
+  <td>left tack</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8868;</td>
+  <td>8868</td>
+  <td>22A4</td>
+  <td></td>
+  <td>down tack</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8869;</td>
+  <td>8869</td>
+  <td>22A5</td>
+  <td>&amp;perp;</td>
+  <td>up tack</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8870;</td>
+  <td>8870</td>
+  <td>22A6</td>
+  <td></td>
+  <td>assertion</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8871;</td>
+  <td>8871</td>
+  <td>22A7</td>
+  <td></td>
+  <td>models</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8872;</td>
+  <td>8872</td>
+  <td>22A8</td>
+  <td></td>
+  <td>true</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8873;</td>
+  <td>8873</td>
+  <td>22A9</td>
+  <td></td>
+  <td>forces</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8874;</td>
+  <td>8874</td>
+  <td>22AA</td>
+  <td></td>
+  <td>triple vertical bar right turnstile</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8875;</td>
+  <td>8875</td>
+  <td>22AB</td>
+  <td></td>
+  <td>double vertical bar double right turnstile</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8876;</td>
+  <td>8876</td>
+  <td>22AC</td>
+  <td></td>
+  <td>does not prove</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8877;</td>
+  <td>8877</td>
+  <td>22AD</td>
+  <td></td>
+  <td>not true</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8878;</td>
+  <td>8878</td>
+  <td>22AE</td>
+  <td></td>
+  <td>does not force</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8879;</td>
+  <td>8879</td>
+  <td>22AF</td>
+  <td></td>
+  <td>negated double vertical bar double right turnstile</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8880;</td>
+  <td>8880</td>
+  <td>22B0</td>
+  <td></td>
+  <td>precedes under relation</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8881;</td>
+  <td>8881</td>
+  <td>22B1</td>
+  <td></td>
+  <td>succeeds under relation</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8882;</td>
+  <td>8882</td>
+  <td>22B2</td>
+  <td></td>
+  <td>normal subgroup of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8883;</td>
+  <td>8883</td>
+  <td>22B3</td>
+  <td></td>
+  <td>contains as normal subgroup</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8884;</td>
+  <td>8884</td>
+  <td>22B4</td>
+  <td></td>
+  <td>normal subgroup of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8885;</td>
+  <td>8885</td>
+  <td>22B5</td>
+  <td></td>
+  <td>contains as normal subgroup or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8886;</td>
+  <td>8886</td>
+  <td>22B6</td>
+  <td></td>
+  <td>original of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8887;</td>
+  <td>8887</td>
+  <td>22B7</td>
+  <td></td>
+  <td>image of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8888;</td>
+  <td>8888</td>
+  <td>22B8</td>
+  <td></td>
+  <td>multimap</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8889;</td>
+  <td>8889</td>
+  <td>22B9</td>
+  <td></td>
+  <td>hermitian conjugate matrix</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8890;</td>
+  <td>8890</td>
+  <td>22BA</td>
+  <td></td>
+  <td>intercalate</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8891;</td>
+  <td>8891</td>
+  <td>22BB</td>
+  <td></td>
+  <td>xor</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8892;</td>
+  <td>8892</td>
+  <td>22BC</td>
+  <td></td>
+  <td>nand</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8893;</td>
+  <td>8893</td>
+  <td>22BD</td>
+  <td></td>
+  <td>nor</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8894;</td>
+  <td>8894</td>
+  <td>22BE</td>
+  <td></td>
+  <td>right angle with arc</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8895;</td>
+  <td>8895</td>
+  <td>22BF</td>
+  <td></td>
+  <td>right triangle</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8896;</td>
+  <td>8896</td>
+  <td>22C0</td>
+  <td></td>
+  <td>n-ary logical and</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8897;</td>
+  <td>8897</td>
+  <td>22C1</td>
+  <td></td>
+  <td>n-ary logical or</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8898;</td>
+  <td>8898</td>
+  <td>22C2</td>
+  <td></td>
+  <td>n-ary intersection</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8899;</td>
+  <td>8899</td>
+  <td>22C3</td>
+  <td></td>
+  <td>n-ary union</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8900;</td>
+  <td>8900</td>
+  <td>22C4</td>
+  <td></td>
+  <td>diamond operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8901;</td>
+  <td>8901</td>
+  <td>22C5</td>
+  <td>&amp;sdot;</td>
+  <td>dot operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8902;</td>
+  <td>8902</td>
+  <td>22C6</td>
+  <td></td>
+  <td>star operator</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8903;</td>
+  <td>8903</td>
+  <td>22C7</td>
+  <td></td>
+  <td>division times</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8904;</td>
+  <td>8904</td>
+  <td>22C8</td>
+  <td></td>
+  <td>bowtie</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8905;</td>
+  <td>8905</td>
+  <td>22C9</td>
+  <td></td>
+  <td>left normal factor semidirect product</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8906;</td>
+  <td>8906</td>
+  <td>22CA</td>
+  <td></td>
+  <td>right normal factor semidirect product</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8907;</td>
+  <td>8907</td>
+  <td>22CB</td>
+  <td></td>
+  <td>left semidirect product</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8908;</td>
+  <td>8908</td>
+  <td>22CC</td>
+  <td></td>
+  <td>right semidirect product</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8909;</td>
+  <td>8909</td>
+  <td>22CD</td>
+  <td></td>
+  <td>reversed tilde equals</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8910;</td>
+  <td>8910</td>
+  <td>22CE</td>
+  <td></td>
+  <td>curly logical or</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8911;</td>
+  <td>8911</td>
+  <td>22CF</td>
+  <td></td>
+  <td>curly logical and</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8912;</td>
+  <td>8912</td>
+  <td>22D0</td>
+  <td></td>
+  <td>double subset</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8913;</td>
+  <td>8913</td>
+  <td>22D1</td>
+  <td></td>
+  <td>double superset</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8914;</td>
+  <td>8914</td>
+  <td>22D2</td>
+  <td></td>
+  <td>double intersection</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8915;</td>
+  <td>8915</td>
+  <td>22D3</td>
+  <td></td>
+  <td>double union</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8916;</td>
+  <td>8916</td>
+  <td>22D4</td>
+  <td></td>
+  <td>pitchfork</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8917;</td>
+  <td>8917</td>
+  <td>22D5</td>
+  <td></td>
+  <td>equal and parallel to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8918;</td>
+  <td>8918</td>
+  <td>22D6</td>
+  <td></td>
+  <td>less-than with dot</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8919;</td>
+  <td>8919</td>
+  <td>22D7</td>
+  <td></td>
+  <td>greater-than with dot</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8920;</td>
+  <td>8920</td>
+  <td>22D8</td>
+  <td></td>
+  <td>very much less-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8921;</td>
+  <td>8921</td>
+  <td>22D9</td>
+  <td></td>
+  <td>very much greater-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8922;</td>
+  <td>8922</td>
+  <td>22DA</td>
+  <td></td>
+  <td>less-than equal to or greater-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8923;</td>
+  <td>8923</td>
+  <td>22DB</td>
+  <td></td>
+  <td>greater-than equal to or less-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8924;</td>
+  <td>8924</td>
+  <td>22DC</td>
+  <td></td>
+  <td>equal to or less-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8925;</td>
+  <td>8925</td>
+  <td>22DD</td>
+  <td></td>
+  <td>equal to or greater-than</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8926;</td>
+  <td>8926</td>
+  <td>22DE</td>
+  <td></td>
+  <td>equal to or precedes</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8927;</td>
+  <td>8927</td>
+  <td>22DF</td>
+  <td></td>
+  <td>equal to or succeeds</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8928;</td>
+  <td>8928</td>
+  <td>22E0</td>
+  <td></td>
+  <td>does not precede or equal</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8929;</td>
+  <td>8929</td>
+  <td>22E1</td>
+  <td></td>
+  <td>does not succeed or equal</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8930;</td>
+  <td>8930</td>
+  <td>22E2</td>
+  <td></td>
+  <td>not square image of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8931;</td>
+  <td>8931</td>
+  <td>22E3</td>
+  <td></td>
+  <td>not square original of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8932;</td>
+  <td>8932</td>
+  <td>22E4</td>
+  <td></td>
+  <td>square image of or not equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8933;</td>
+  <td>8933</td>
+  <td>22E5</td>
+  <td></td>
+  <td>square original of or not equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8934;</td>
+  <td>8934</td>
+  <td>22E6</td>
+  <td></td>
+  <td>less-than but not equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8935;</td>
+  <td>8935</td>
+  <td>22E7</td>
+  <td></td>
+  <td>greater-than but not equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8936;</td>
+  <td>8936</td>
+  <td>22E8</td>
+  <td></td>
+  <td>precedes but not equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8937;</td>
+  <td>8937</td>
+  <td>22E9</td>
+  <td></td>
+  <td>succeeds but not equivalent to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8938;</td>
+  <td>8938</td>
+  <td>22EA</td>
+  <td></td>
+  <td>not normal subgroup of</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8939;</td>
+  <td>8939</td>
+  <td>22EB</td>
+  <td></td>
+  <td>does not contain as normal subgroup</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8940;</td>
+  <td>8940</td>
+  <td>22EC</td>
+  <td></td>
+  <td>not normal subgroup of or equal to</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8941;</td>
+  <td>8941</td>
+  <td>22ED</td>
+  <td></td>
+  <td>does not contain as normal subgroup or equal</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8942;</td>
+  <td>8942</td>
+  <td>22EE</td>
+  <td></td>
+  <td>vertical ellipsis</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8943;</td>
+  <td>8943</td>
+  <td>22EF</td>
+  <td></td>
+  <td>midline horizontal ellipsis</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8944;</td>
+  <td>8944</td>
+  <td>22F0</td>
+  <td></td>
+  <td>up right diagonal ellipsis</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8945;</td>
+  <td>8945</td>
+  <td>22F1</td>
+  <td></td>
+  <td>down right diagonal ellipsis</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8946;</td>
+  <td>8946</td>
+  <td>22F2</td>
+  <td></td>
+  <td>element of with long horizontal stroke</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8947;</td>
+  <td>8947</td>
+  <td>22F3</td>
+  <td></td>
+  <td>element of with vertical bar at end of horizontal stroke</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8948;</td>
+  <td>8948</td>
+  <td>22F4</td>
+  <td></td>
+  <td>small element of with vertical bar at end of horizontal stroke</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8949;</td>
+  <td>8949</td>
+  <td>22F5</td>
+  <td></td>
+  <td>element of with dot above</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8950;</td>
+  <td>8950</td>
+  <td>22F6</td>
+  <td></td>
+  <td>element of with overbar</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8951;</td>
+  <td>8951</td>
+  <td>22F7</td>
+  <td></td>
+  <td>small element of with overbar</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8952;</td>
+  <td>8952</td>
+  <td>22F8</td>
+  <td></td>
+  <td>element of with underbar</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8953;</td>
+  <td>8953</td>
+  <td>22F9</td>
+  <td></td>
+  <td>element of with two horizontal strokes</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8954;</td>
+  <td>8954</td>
+  <td>22FA</td>
+  <td></td>
+  <td>contains with long horizontal stroke</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8955;</td>
+  <td>8955</td>
+  <td>22FB</td>
+  <td></td>
+  <td>contains with vertical bar at end of horizontal stroke</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8956;</td>
+  <td>8956</td>
+  <td>22FC</td>
+  <td></td>
+  <td>small contains with vertical bar at end of horizontal stroke</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8957;</td>
+  <td>8957</td>
+  <td>22FD</td>
+  <td></td>
+  <td>contains with overbar</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8958;</td>
+  <td>8958</td>
+  <td>22FE</td>
+  <td></td>
+  <td>small contains with overbar</td>
+ </tr>
+ <tr valign="top">
+  <td>&#8959;</td>
+  <td>8959</td>
+  <td>22FF</td>
+  <td></td>
+  <td>z notation bag membership</td>
+ </tr>
+</table>
+<<page foot>>
+@
+
+\subsection{aldorusersguidepage.xhtml}
+<<aldorusersguidepage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+aldorusersguidepage not implemented
+<<page foot>>
+@
+
+\subsection{algebrapage.xhtml}
+<<algebrapage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+Axiom provides various facilities for treating topics in 
+abstract algebra
+  <table>
+   <tr>
+    <td>
+     <a href="algnumbertheory.xhtml">Number Theory</a>
+    </td>
+    <td>
+     Topics in algebraic number theory
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="alggrouptheory.xhtml">Group Theory</a>
+    </td>
+    <td>
+     Permuation groups; representation theory
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{alggrouptheory.xhtml}
+<<alggrouptheory.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Group Theory</div>
+  <hr/>
+Axiom can work with individual permutations, permutation groups and
+do representation theory.
+<ul>
+ <li> <a href="alggrouptheorygroup.xhtml">Info on Group Theory</a></li>
+ <li> <a href="alggrouptheoryreptheory.xhtml">
+      Info on Representation Theory</a></li>
+ <li> <a href="alggrouptheoryrepa6.xhtml">Representations of A6</a><br/>
+      The irreducible representations of the alternating group A6 over
+      fields of characteristic 2.</li>
+</ul>
+<<page foot>>
+@
+
+\subsection{alggrouptheorygroup.xhtml}
+<<alggrouptheorygroup.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Group Theory</div>
+  <hr/>
+A group is a set G together with an associative operation * satisfying
+the axioms of existence of a unit element and an inverse of every
+element of the group. The Axiom category <a href="db.xhtml?Group">Group</a>
+represents this setting. Many data structures in Axiom are groups and
+therefore there is a large variety of examples as fields and polynomials,
+although the main interest there is not a group structure.
+<br/>
+<br/>
+To work with and in groups in a concrete manner some way of representing
+groups has to be chosen. A group can be given as a list of generators and
+as a set of relations. If there are no relations, then we have a free group,
+realized in the domain <a href="db.xhtml?FreeMonoid">FreeMonoid</a> which
+won't be discussed here. We consider permutation groups, where a group is
+realized as a subgroup of the symmetric group of a set, i.e., the group of
+all bijections of a set, the operation being the composition of maps. Indeed,
+every groupo can be realized this way, although this may not be practical.
+<br/>
+<br/>
+Furthermore group elements can be given as invertible matrices. The group
+operation is reflected by matrix multiplication. More precise in 
+representation theory group homomorphisms from a group to general linear 
+groups are constructed. Some algorithms are implemented in Axiom.
+<<page foot>>
+@
+
+\subsection{alggrouptheoryrepa6.xhtml}
+<<alggrouptheoryrepa6.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Representations of A6</div>
+  <hr/>
+In what follows you'll see how to use Axiom to get all the irreducible
+representations of the alternating group A6 over the field with two
+elements (GF 2). First, we generate A6 by a three-cycle: x=(1,2,3) and a
+5-cycle: y=(2,3,4,5,6). Next we have Axiom calculate the permutation
+representation over the integers and over GF 2:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="genA6:LIST PERM INT:=[cycle [1,2,3],cycle [2,3,4,5,6]]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="pRA6:=permutationRepresentation(genA6,6)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Now we apply Parker's 'Meat-Axe' and split it:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="sp0:=meatAxe(pRA6::(LIST MATRIX PF 2))" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+We have found the trivial module as a quotient module and a 
+5-dimensional sub-module. Try to split again:
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4']);"
+    value="sp1:=meatAxe sp0.1" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+and we find a 4-dimensional sub-module and the trivial one again. Now we
+can test if this representation is absolutely irreducible.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5']);"
+    value="isAbsolutelyIrreducible? sp1.2" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+and we see that this 4-dimensional representation is absolutely irreducible.
+So, we have found a second irreducible representation. Now, we construct a
+representation by reducing an irreducible one of the symmetric group S_6
+over the integers mod 2. We take the one labelled by the partition 
+[2,2,1,1] and restrict it to A6:
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p6']);"
+    value="d2211:=irreducibleRepresentation([2,2,1,1],genA6)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p6','p7']);"
+    value="d2211m2:=d2211::(LIST MATRIX PF 2); sp2:=meatAxe d2211m2" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+This gave both a five and a four dimensional representation. Now we take the
+4-dimensional one and we shall see that it is absolutely irreducible:
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p8']);"
+    value="isAbsolutelyIrreducible? sp2.1" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+The two 4-dimensional representations are not equivalent:
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p9']);"
+    value="areEquivalent?(sp1.2,sp2.1)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+So we have found a third irreducible representation. Now we construct a new
+representation using the tensor product and try to split it:
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10']);"
+    value="dA6d16:=tensorProduct(sp1.2,sp2.1); meatAxe dA6d16" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+The representation is irreducible, but it may be not absolutely irreducible.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p11']);"
+    value="isAbsolutelyIrreducible? dA6d16" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+So let's try the same procedure over the field with 4 elements:
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p12']);"
+    value="sp3:=meatAxe(dA6d16::(LIST MATRIX FF(2,2)))" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+Now we find two 8-dimensional representations, dA6d8a and dA6d8b. Both
+are absolutely irreducible.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p12','p13']);"
+    value="isAbsolutelyIrreducible? sp3.1" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p12','p14']);"
+    value="isAbsolutelyIrreducible? sp3.2" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+and they are not equivalent.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p12','p15']);"
+    value="areEquivalent?(sp3.1,sp3.2)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+So we have found five absolutely irreducible representations of A6 in 
+characteristic 2. General theory now tells us that there are no more
+irreducible ones. Here, for future reference are all the absolutely
+irreducible 2-module representations of A6.
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p16']);"
+    value="sp0.2" />
+  <div id="ansp16"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p17']);"
+    value="sp1.2" />
+  <div id="ansp17"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p18']);"
+    value="sp2.1" />
+  <div id="ansp18"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p12','p19']);"
+    value="sp3.1" />
+  <div id="ansp19"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p12','p20']);"
+    value="sp3.2" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+And here again is the irreducible, but not absolutely irreducible
+representations of A6 over GF 2.
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="handleFree(['p1','p6','p7','p10','p21']);"
+    value="dA6d16" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{alggrouptheoryreptheory.xhtml}
+<<alggrouptheoryreptheory.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+Representation theory for finite groups studies finite groups by embedding
+them in a general linear group over a field or an integral domain. Hence,
+we are representing each element of the group by an invertible matrix.
+Two marix representations of a given group are equivalent, if, by changing
+the basis of the underlying space, you can go from one to the other. When
+you change bases, you transform the matrices that are the images of elements
+by conjugating them by an invertible matrix.
+<br/>
+<br/>
+If we can find a subspace which is fixed under the image of the group, then
+there exists a 'base change' after which all the representing matrices are
+in upper triangular block form. The block matrices on the main diagonal give
+a new representation of the group of lower degree. Such a representation is
+said to be 'reducible'.
+<<page foot>>
+@
+
+\subsection{algnumbertheory.xhtml}
+<<algnumbertheory.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Number Theory</div>
+  <hr/>
+Here are some sample computations using Axiom's algebraic number facilities.
+<ul>
+ <li> <a href="algnumbertheorygalois.xhtml">Galois Groups</a><br/>
+      Computation of Galois groups using factorizations over number fields
+ </li>
+ <li> <a href="numfunctions.xhtml">Number Theory Functions</a><br/>
+      Some functions of interest to number theorists
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{algnumbertheorygalois.xhtml}
+<<algnumbertheorygalois.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Computation of Galois Groups</div>
+  <hr/>
+As a sample use of Axiom's algebraic number facilities, we compute the
+Galois group of the polynomial p(x)=x**5-5*x+12
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="p:=x**5-5*x+12" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+We would like to construct a polynomial f(x) such that the splitting field
+of p(x) is generated by one root of f(x). First we construct a polynomial
+r=r(x) such that one root of r(x) generates the filed generatedy by two
+roots of the polynomial p(x). As it will turn out, the field generate by
+two roots of p(x) is, in fact, the splitting field of p(x).
+
+From the proof of the primitive element theorem we know that if a and b
+are algebraic numbers, then the field Q(a,b) is equal to Q(a+k*b) for an
+appropriately chosen integer k. In our case, we construct the minimal 
+polynomial of a[i]-a[j], where a[i] and a[j] are two roots of p(x). We
+construct this polynomial using <a href="dbopresultant.xhtml">resultant</a>.
+The main result we need is that if f(x) is a polynomial with roots a[1]...a[m]
+and g(x) is a polynomial with roots b[1]...b[n], then the polynomial 
+h(x)=resultant(f(y),g(x-y),y) is a polynomial of degree m*n with roots
+a[i]+b[j], 1 &lt;= i &lt;= m, 1 &lt;= j &lt;= n.
+
+For f(x) we use the polynomial p(x). For g(x) we use the polynomial -p(-x).
+Thus, the polynomial we first construct is resultant(p(y),-p(y-x),y).
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="q:=resultant(eval(p,x,y),-eval(p,x,y-x),y)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The roots of q(x) are a[i]-a[j], 1 &lt;= i,j &lt;= 5. Of course, there are
+five pairs (i,j) with i=j, so 0 is a 5-fold root of q(x). Let's get rid of
+this factor.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="q1:=exquo(q,x^5)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Factor the polynomial q1.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4']);"
+    value="factoredQ:=factor q1" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+We see that q1 has two irreducible factors, each of degree 10. (The fact
+that the polynomial q1 has two factors of degree 10 is enough to show that
+the Galois group of p(x) is the diheral group of order 10. (ref:
+McKay, Soicher, Computing Galois Groups over the Rationals, Journal of
+Number Theory 20, 273-281 (1983). We do not assume the results of this
+paper and we continue with the computation.) Note that the type of
+factoredQ is 
+<a href="db.xhtml?Factored(Polnomial(Integer))">
+Factored Polynomial Integer</a>. 
+This is a special data type for
+recording factorizations of polynomials with integer coefficients (see
+<a href="factored.xhtml">Factored</a>). We can access the individual
+factors using the operation <a href="dbopnthfactor.xhtml">nthFactor</a>.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5']);"
+    value="r:=nthFactor(factoredQ,1)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Consider the polynomial r=r(x). This is the minimal polynomial of the
+difference of two roots of p(x). Thus, the splitting field of p(x) 
+contains a subfield of degree 10. We show that this subfield is the 
+splitting field of p(x) by showing that p(x) factors completely over this
+field. First we create a symbolic root of the polynomial r(x). (We
+replaced x by b in the polynomial r so that our symbolic root would
+be printed as b.)
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6']);"
+    value="beta:AN:=rootOf(eval(r,x,b))" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+We next tell Axiom to view p(x) as a univariate polynomial in x with
+algebraic number coefficients. This is accomplished with this type
+declaration:
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7']);"
+    value="p:=p::UP(x,INT)::UP(x,AN)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Factor p(x) over the field Q(beta). (This computation will take some time).
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8']);"
+    value="algFactors:=factor(p,[beta])" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+When factoring over number fields, it is important to specify the field
+over which the polynomial is to be factored, as polynomials have different
+factorizations over different fields. When you use the operation
+<a href="dbopfactor.xhtml">factor</a>, the field over which the polynomial
+is factored is the field generated by
+<ol>
+ <li> the algebraic numbers that appear in the coefficients of the polynomial
+ </li>
+ <li> the algebraic numbers that appear in a list passed as an optional
+      second argument of the operation
+ </li>
+</ol>
+In our case, the coefficients of p are all rational numbers and only beta
+appears in the list, so the field is simply Q(beta). It was necessary to
+give the list [beta] as a second argument of the operations because 
+otherwise the polynomial would have to be factored over the field generated
+by its coefficients, namely the rational numbers.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p9']);"
+    value="factor(p)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+We have shown that the splitting field of p(x) has degree 10. Since the
+symmetric group of degree 5 has only one transitive subgroup of order 10,
+we know that the Galois group of p(x) must be this group, the dihedral
+group of order 10. Rather than stop here, we explicitly compute the action
+of the Galois group on the roots of p(x).
+
+First we assign the roots of p(x) as the values of five variables. We
+can obtain an individual root by negating the constant coefficient of one
+of the factors of p(x).
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p10']);"
+    value="factor1:=nthFactor(algFactors,1)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+   onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p10','p11']);"
+   value="root1:=-coefficient(factor1,0)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+We can obtain a list of all of the roots in this way.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+   onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12']);"
+    value="roots:=[-coefficient(nthFactor(algFactors,i),0) for i in 1..5]" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+The expression -coefficient(nthFactor(algFactors,i),0) is the ith root of p(x)
+and the elements of roots are the ith roots of p(x) as i ranges from 1 to 5.
+Assign the roots as the values of the variables a1..a5.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+   onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13']);"
+    value="(a1,a2,a3,a4,a5):=(roots.1,roots.2,roots.3,roots.4,roots.5)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+Next we express the roots of r(x) as polynomials in beta. We could obtain
+these roots by calling the operation
+<a href="dbopfactor.xhtml">factor</a>. factor(r,[beta]) factors r(x) over
+Q(beta). However, this is a length computation and we can obtain the roots
+of r(x) as differences of the roots a1,...,a5 of p(x). Only ten of these
+differences are roots of r(x) and the other ten are roots of the other
+irreducible factor of q1. We can determine if a given value is a root
+of r(x) by evaluating r(x) at that particular value. (Of course, the order
+in which factors are returned by the operation 
+<a href="dbopfactor.xhtml">factor</a> is unimportant and may change with
+different implementations of the operation. Therefore, we cannot predict
+in advance which differences are roots of r(x) and which are not.) Let's
+look at four examples (two are roots of r(x) and two are not).
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p14']);"
+    value="eval(r,x,a1-a2)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p15']);"
+    value="eval(r,x,a1-a3)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p16']);"
+    value="eval(r,x,a1-a4)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p17']);"
+    value="eval(r,x,a1-a5)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+Take one of the differences that was a root of r(x) and assign it to the
+variable bb. For example, if eval(r,x,a1-a4) returned 0, you would enter this.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p18']);"
+    value="bb:=a1-a4" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+Of course, if the difference is equal to the root beta, you should choose
+another root of r(x).
+
+Automorphisms of the splitting field are given by mapping a generator of
+the field, namely beta, to other roots of its minimal polynomial. Let's
+see what happens when beta is mapped to bb. We compute the images of the
+roots a1,...,a5 under this automorphism.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p19']);"
+    value="aa1:=subst(a1,beta=bb)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p20']);"
+    value="aa2:=subst(a2,beta=bb)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p21']);"
+    value="aa3:=subst(a3,beta=bb)" />
+  <div id="ansp21"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p22']);"
+    value="aa4:=subst(a4,beta=bb)" />
+  <div id="ansp22"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+   onclick=
+    "handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p23']);"
+    value="aa5:=subst(a5,beta=bb)" />
+  <div id="ansp23"><div></div></div>
+ </li>
+</ul>
+Of course, the values aa1,...,aa5 are simply a permutation of the values
+a1,...,a5. Let's find the value of aa1 (execute as many of the following
+five commands as necessary).
+<ul>
+ <li>
+  <input type="submit" id="p24" class="subbut" 
+   onclick=
+"handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p19','p24']);"
+    value="(aa1=a1)::Boolean" />
+  <div id="ansp24"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+   onclick=
+"handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p20','p25']);"
+    value="(aa2=a2)::Boolean" />
+  <div id="ansp25"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p26" class="subbut" 
+   onclick=
+"handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p21','p26']);"
+    value="(aa3=a3)::Boolean" />
+  <div id="ansp26"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p27" class="subbut" 
+   onclick=
+"handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p22','p27']);"
+    value="(aa4=a4)::Boolean" />
+  <div id="ansp27"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p28" class="subbut" 
+   onclick=
+"handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p12','p13','p23','p28']);"
+    value="(aa5=a5)::Boolean" />
+  <div id="ansp28"><div></div></div>
+ </li>
+</ul>
+Proceeding in this fashion, you can find the values of aa2..aa5.
+You have represented the automorphism beta -> bb as a permutation of the
+roots a1,...,a5. If you wish, you can repeat this computation for all the
+roots of r(x) and represent the Galois group of p(x) as a subgroup of the
+symmetric group on five letters.
+
+Here are two other problems that you may attack in a similar fashion:
+<ol>
+ <li> Show that the Galois group of p(x)=x**4+2*x**3-2*x**2-2*x+1 is the
+      dihedral group of order eight. (The splitting field of this polynomial
+      is the Hilbert class field of the quadratic field Q(sqrt(145)).)
+ </li>
+ <li> Show that the Galois group of p(x)=x**6+108 has order 6 and is
+      isomorphic to the symmetric group on three letters. (The splitting
+      field of this polynomial is the spliting field of x**3-2.)
+ </li>    
+</ol>
+<<page foot>>
+@
+
+%%B
+\subsection{basiccommand.xhtml}
+<<basiccommand.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+     <a href="calculus.xhtml">
+      <b>Calculus</b>
+     </a>
+    </td>
+    <td>Compute integrals, derivatives, or limits</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="bcmatrix.xhtml">
+      <b>Matrix</b>
+     </a>
+    </td>
+    <td>Create a matrix</td>
+   </tr>
+   <tr>
+    <td><a href="bcexpand.xhtml"><b>Operations</b></a></td>
+    <td>Expand, factor, simplify, substitute, etc.</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="draw.xhtml">
+      <b>Draw</b>
+     </a>
+    </td>
+    <td>Create 2D or 3D plots.</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="series.xhtml">
+      <b>Series</b>
+     </a>
+    </td>
+    <td>Create a power series</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="solve.xhtml">
+      <b>Solve</b>
+     </a>
+    </td>
+    <td>Solve an equation or system of equations</td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{basiclimit.xhtml}
+<<basiclimit.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+   What kind of limit do you want to compute?:<br/>
+   <a href="reallimit.xhtml">
+    <b>A real limit</b>
+   </a><br/>
+   The limit as the variable approaches a real value along the real axis
+   <br/><br/>
+   <a href="complexlimit.xhtml">
+    <b>A complex limit</b>
+   </a><br/>
+   The limit as the variable approaches a complex value along any path in
+   the complex plane.
+<<page foot>>
+@
+
+\subsection{bcexpand.xhtml}
+<<bcexpand.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+Simplification
+<ul>
+<li>Simplify Expressions</li>
+<li>Simplify Radicals</li>
+<li>Factor Expressions</li>
+<li>Factor Complex</li>
+<li>Expand Expressions</li>
+<li>Expand Logarithms</li>
+<li>Contract Logarithms</li>
+<li>Simpify Trigonometrics</li>
+<li>Reduce Trigonometrics</li>
+<li>Expand Trigonometrics</li>
+<li>Canonical Trigonometrics</li>
+<li>Complex to rectangular</li>
+<li>Complex to polar</li>
+<li>Complex to exponentials</li>
+<li>Exponentials to complex</li>
+</ul>
+Calculus
+<ul>
+<li>Integrate</li>
+<li>Risch Integrate</li>
+<li>Change Variable</li>
+<li>Differentiate</li>
+<li>Find Limit</li>
+<li>Get Series</li>
+<li>Pade Approximation</li>
+<li>Calculate Sum</li>
+<li>Calculate Product</li>
+<li>Laplace Transform</li>
+<li>Inverse Laplace Transform</li>
+<li>Greatest Common Divisor</li>
+<li>Least Common Multiple</li>
+<li>Divide Polynomials</li>
+<li>Partial Fractions</li>
+<li>Continued Fractions</li>
+</ul>
+Algebra
+<ul>
+<li>Generate Matrix</li>
+<li>Enter Matrix</li>
+<li>Invert Matrix</li>
+<li>Characteristic Polynomial</li>
+<li>Determinant</li>
+<li>Eigenvalues</li>
+<li>Eigenvectors</li>
+<li>Adjoint Matrix</li>
+<li>Transpose Matrix</li>
+</ul>
+Equations
+<ul>
+<li>Solve</li>
+<li>Solve Numerically</li>
+<li>Roots of Polynomials</li>
+<li>Real Roots of Polynomials</li>
+<li>Solve Linear Systems</li>
+<li>Solve Algebraic System</li>
+<li>Eliminate Variable</li>
+</ul>
+Ordinary Differential Equations
+<ul>
+<li>Solve ODE</li>
+<li>Solve Initial Value Problem</li>
+<li>Solve Boundary Value Problem</li>
+<li>Solve ODE with Laplace</li>
+</ul>
+Data Structures
+<ul>
+<li>Record</li>
+<li>List</li>
+<li>Set</li>
+</ul>
+<<page foot>>
+@
+
+\subsection{bcmatrix.xhtml}
+<<bcmatrix.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<![CDATA[
+   function byformula() {
+      // find out how many rows and columns, must be positive and nonzero
+    var rcnt = parseInt(document.getElementById('rowcnt').value);
+     if (rcnt <= 0) {
+      alert("Rows must be positive and non-zero -- defaulting to 1");
+      rcnt = 1;
+      document.getElementById('rowcnt').value=1;
+      return(false);
+     }
+    var ccnt = parseInt(document.getElementById('colcnt').value);
+     if (ccnt <= 0) {
+      alert("Columns must be positive and non-zero -- defaulting to 1");
+      ccnt = 1;
+      document.getElementById('colcnt').value=1;
+      return(false);
+     }
+      // remove the question and the buttons
+    var quest = document.getElementById('question');
+    var clicks = document.getElementById('clicks');
+    quest.removeChild(clicks);
+    var tbl = document.getElementById('form2');
+    var tblsize = tbl.rows.length;
+      // make the row variable question
+      // row variable left cell
+    var row = tbl.insertRow(tblsize);
+    var cell = row.insertCell(0);
+    var tnode = document.createTextNode("Enter the row variable");
+    cell.appendChild(tnode);
+      // row variable right cell
+    cell = row.insertCell(1);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'rowvar';
+    tnode.id = 'rowvar';
+    tnode.size=10;
+    tnode.value='i';
+    tnode.tabindex=21;
+    cell.appendChild(tnode);
+      // make the column variable question
+      // column variable left cell
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createTextNode("Enter the column variable");
+    cell.appendChild(tnode);
+      // column variable right cell
+    cell = row.insertCell(1);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'colvar';
+    tnode.id = 'colvar';
+    tnode.size=10;
+    tnode.tabindex=22;
+    tnode.value='j';
+    cell.appendChild(tnode);
+      // make the formula question
+      // column variable left cell
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createTextNode("Enter the formulas for the elements");
+    cell.appendChild(tnode);
+      // formula input field
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'formula1';
+    tnode.id = 'formula1';
+    tnode.size=50;
+    tnode.value = '1/(x-i-j-1)';
+    tnode.tabindex=23;
+    cell.appendChild(tnode);
+      // insert the continue button
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createElement('input');
+    tnode.type = 'button';
+    tnode.id = 'contbutton';
+    tnode.value = 'Continue';
+    tnode.setAttribute("onclick","makeRequest('formula');");
+    tnode.tabindex=24;
+    cell.appendChild(tnode);
+    return(false);
+   }
+   function byelement() {
+      // find out how many rows and columns, must be positive and nonzero
+    var rcnt = parseInt(document.getElementById('rowcnt').value);
+     if (rcnt <= 0) {
+      alert("Rows must be positive and non-zero -- defaulting to 1");
+      rcnt = 1;
+      document.getElementById('rowcnt').value=1;
+      return(false);
+     }
+    var ccnt = parseInt(document.getElementById('colcnt').value);
+     if (ccnt <= 0) {
+      alert("Columns must be positive and non-zero -- defaulting to 1");
+      ccnt = 1;
+      document.getElementById('colcnt').value=1;
+      return(false);
+     }
+      // remove the question and the buttons
+    var quest = document.getElementById('question');
+    var clicks = document.getElementById('clicks');
+    quest.removeChild(clicks);
+      // write "Elements"
+    var tbl = document.getElementById('form2');
+    var tblsize = tbl.rows.length;
+    var row = tbl.insertRow(tblsize);
+    var thecell = row.insertCell(0);
+    var tnode = document.createTextNode("Elements");
+    thecell.appendChild(tnode);
+      // create input boxes for the matrix values
+    tblsize = tblsize + 1;
+    for (var i = 0 ; i < rcnt ; i++) {
+     row = tbl.insertRow(tblsize);
+     for (var j = 0 ; j < ccnt ; j++) {
+      thecell = row.insertCell(j);
+      tnode = document.createElement('input');
+      tnode.type = 'text';
+      tnode.name = 'a'+i+'c'+j;
+      tnode.id = 'a'+i+'c'+j;
+      tnode.size=10;
+      tnode.tabindex=20+(i*10)+j;
+      thecell.appendChild(tnode);
+     }
+     tblsize = tblsize + 1;
+    }
+      // insert the continue button
+    row = tbl.insertRow(tblsize);
+    thecell = row.insertCell(0);
+    tnode = document.createElement('input');
+    tnode.type = 'button';
+    tnode.id = 'contbutton';
+    tnode.value = 'Continue';
+    tnode.setAttribute("onclick","makeRequest('element');");
+    thecell.appendChild(tnode);
+    return(false);
+   }
+   function commandline(arg) {
+    if (arg == 'element') {
+     var rcnt = parseInt(document.getElementById('rowcnt').value);
+     var ccnt = parseInt(document.getElementById('colcnt').value);
+     var cmdhead = 'matrix([';
+     var cmdtail = '])';
+      for (var i = 0 ; i < rcnt ; i++) {
+      var listbody = '[';
+      for (var j = 0 ; j < ccnt ; j++) {
+       var aij = document.getElementById('a'+i+'c'+j).value;
+       listbody = listbody+aij;
+       if (j != (ccnt - 1)) {
+        listbody = listbody+',';
+       }
+      }
+      listbody = listbody+']';
+      if (i != (rcnt - 1)) {
+       listbody = listbody+',';
+      }
+      cmdhead = cmdhead+listbody;
+     }
+     cmd = cmdhead+cmdtail;
+     return(cmd);
+    } else {
+     var rcnt = parseInt(document.getElementById('rowcnt').value);
+     var ccnt = parseInt(document.getElementById('colcnt').value);
+     var cmdhead = 'matrix([[';
+     var cmdtail = '])';
+     var formula = document.getElementById('formula1').value;
+     var rowv = document.getElementById('rowvar').value;
+     var colv = document.getElementById('colvar').value;
+     var cmd = cmdhead+formula+' for '+colv+' in 1..'+ccnt+']'+
+                               ' for '+rowv+' in 1..'+rcnt+cmdtail;
+     return(cmd);
+    }
+   }
+]]>
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+Enter the size of the matrix:
+<table id="form2">
+ <tr>
+  <td size="10">Rows</td>
+  <td><input type="text" id="rowcnt" tabindex="10" size="10" value="2"/></td>
+ </tr>
+ <tr>
+  <td>Columns</td>
+  <td><input type="text" id="colcnt" tabindex="20" size="10" value="3"/></td>
+ </tr>
+</table>
+<div id="question">
+ <div id="clicks">
+  How would you like to enter the matrix elements?
+  <center>
+   <input type="button" value="By Formula" onclick="byformula();"/>
+   <input type="button" value="By Element" onclick="byelement();"/>
+  </center>
+ </div>
+</div>
+<<answer field>>
+<<page foot>>
+@
+
+%%C
+\subsection{calculus.xhtml}
+<<calculus.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+     <a href="differentiate.xhtml">
+      <b>Differentiate</b>
+     </a>
+    </td>
+   </tr>
+   <tr>
+    <td><a href="indefiniteintegral.xhtml">
+      <b>Do an Indefinite Integral</b></a></td>
+   </tr>
+   <tr>
+    <td><a href="definiteintegral.xhtml">
+     <b>Do a Definite Integral</b></a></td>
+   </tr>
+   <tr>
+    <td><a href="basiclimit.xhtml"><b>Find a limit</b></a></td>
+   </tr>
+   <tr>
+    <td><a href="summation.xhtml">
+      <b>Do a summation</b>
+     </a>
+    </td>
+   </tr>
+   <tr>
+    <td><a href="(|bcProduct|).xhtml"><b>Compute a product</b></a></td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{calculuspage.xhtml}
+<<calculuspage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+     <a href="callimits.xhtml">Limits</a>
+    </td>
+    <td>
+     Compute limits of functional expressions
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="calderivatives.xhtml">Derivatives</a>
+    </td>
+    <td>
+     Compute derivatives and partial derivatives
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="calintegrals.xhtml">Integrals</a>
+    </td>
+    <td>
+     Introduction to Axiom's symbolic integration
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="calmoreintegrals.xhtml">More Integrals</a>
+    </td>
+    <td>
+     More information about symbolic integration
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="callaplace.xhtml">Laplace</a>
+    </td>
+    <td>
+     Computing Laplace transforms
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="calseries.xhtml">Series</a>
+    </td>
+    <td>
+     Compute series expansions of expressions
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="equdifferential.xhtml">Differential Equations</a>
+    </td>
+    <td>
+     Solve differential equations
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{calderivatives.xhtml}
+<<calderivatives.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Derivatives</div>
+  <hr/>
+Use the Axiom function <a href="dbopd.xhtml">D</a> to differentiate an
+expression. 
+
+To find the derivative of an expression f with respect to a variable x,
+enter D(f,x).
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="f:=exp exp x" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="D(f,x)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+An optional third argument n in <a href="dbopd.xhtml">D</a> asks Axiom for 
+the nth derivative of f. This finds the fourth derivative of f with 
+respect to x.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="D(f,x,4)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+You can also compute partial derivatives by specifying the order of 
+differentiation.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="g:=sin(x^2+y)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="D(g,y)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p4','p6']);"
+    value="D(g,[y,y,x,x])" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Axiom can manipulate the derivatives (partial or iterated) of expressions
+involving formal operators. All the dependencies must be explicit. This
+returns 0 since F (so far) does not explicitly depend on x.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="D(F,x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Suppose that we have F a function of x, y, and z, where x and y are 
+themselves functions of z. Start by declaring that F, x, and y are
+operators.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="F:=operator 'F; x:=operator 'x; y:=operator 'y" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+You can use F, x, and y in expressions.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p8','p9']);"
+    value="a:=F(x z, y z, z^2)+x y(z+1)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Differentiate formally with respect to z. The formal derivatives appearing
+in dadz are not just formal symbols, but do represent derivatives of x, y, and
+F.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p8','p9','p10']);"
+    value="dadz:=D(a,z)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+You can evaluate the above for particular functional values of F, x, and y.
+If x(z) is exp(z) and y(z) is log(z+1), then this evaluates dadz.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p8','p9','p10','p11']);"
+    value="eval(eval(dadz,'x,z+->exp z),'y,z+->log(z+1))" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+You obtain the same result by first evaluating a and then differentiating.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p8','p9','p10','p12']);"
+    value="m:=eval(eval(a,'x,z+->exp z),'y,z+->log(z+1))" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p8','p9','p10','p12','p13']);"
+    value="D(m,z)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calintegrals.xhtml}
+<<calintegrals.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Integration</div>
+  <hr/>
+Axiom has extensive library facilities for integration.
+
+The first example is the integration of a fraction with a denominator that
+factors into a quadratic and a quartic irreducible polynomial. The usual
+partial fraction approach used by most other computer algebra systems either
+fails or introduces expensive unneeded algebraic numbers.
+
+We use a factorization-free algorithm.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="integrate((x^2+2*x+1)/((x+1)^6+1),x)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+When real parameters are present, the form of the integral can depend on the
+signs of some expressions.
+
+Rather than query the user or make sign assumptions, Axiom returns all
+possible answers.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="integrate(1/(x^2+a),x)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopintegrate.xhtml">integrate</a> operation generally assumes
+that all parameters are real. The only exception is when the integrand has
+complex valued quantities.
+
+If the parameter is complex instead of real, then the notion of sign is
+undefined and there is a unique answer. You can request this answer by
+"prepending" the word "complex" to the command name.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="complexIntegrate(1/(x^2+a),x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The following two examples illustrate the limitations of table-based
+approaches. The two integrands are very similar, but the answer to one of
+them requires the addition of two new algebraic numbers.
+
+This is the easy one. The next one looks very similar but the answer is
+much more complicated.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="integrate(x^3/(a+b*x)^(1/3),x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Only an algorithmic approach is guaranteed to find what new constants must
+be added in order to find a solution.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="integrate(1/(x^3*(a+b*x)^(1/3)),x)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Some computer algebra systems use heuristics or table-driven approaches to
+integration. When these systems cannot determine the answer to an
+integration problem, they reply "I don't know". Axiom uses an algorithm
+for integration that conclusively proves that an integral cannot be expressed
+in terms of elementary functions.
+
+When Axiom returns an integral sign, it has proved that no answer exists as
+an elementary function.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="integrate(log(1+sqrt(a*x+b))/x,x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Axiom can handle complicated mixed functions much beyond what you can find
+in tables. Whenever possible, Axiom tries to express the answer using the
+functions present in the integrand.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="integrate((sinh(1+sqrt(x+b))+2*sqrt(x+b))/(sqrt(x+b)*(x+cosh(1+sqrt(x+b)))),x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+A strong structure-checking algorithm in Axiom finds hidden algebraic 
+relationships between functions.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="integrate(tan(atan(x)/3),x)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+The discovery of this algebraic relationship is necessary for correct
+integration of this function. Here are the details:
+<ol>
+ <li>
+  If x=tan(t) and g=tan(t/3) then the following algebraic relationship is true:
+<pre>
+      g^3 - 3xg^2 - 3g + x = 0    
+</pre>
+ </li>
+ <li>
+  Integrate g using this algebraic relation; this produces:
+<pre>
+((24g^2-8)log(3g^2-1) + (81x^2+24)g^2 + 72xg - 27x^2 - 16) / (54g^2 - 18)
+</pre>
+ </li>
+ <li>
+  Rationalize the denominator, producing:
+<pre>
+     (8log(3g^2-1) - 3g^2 + 18xg + 16)/18
+</pre>
+  Replace g by the initial definition g=tan(arctan(x)/3) to produce the
+final result.
+ </li>
+</ol>
+This is an example of a mixed function where the algebraic layer is over
+the transcendental one.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="integrate((x+1)/(x*(x+log x)^(3/2)),x)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+While incomplete for non-elementary functions, Axiom can handle some of them.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="integrate(exp(-x^2)*erf(x)/(erf(x)^3-erf(x)^2-erf(x)+1),x)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+More examples of Axiom's integration capabilities are discussed in
+<a href="axbook/section-8.8.xhtml">Integration</a>.
+<<page foot>>
+@
+
+\subsection{callaplace.xhtml}
+<<callaplace.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Laplace Transforms</div>
+  <hr/>
+Axiom can compute some forward Laplace transforms, mostly of elementary
+functions not involving logarithms, although some cases of special functions
+are handled. To compute the forward Laplace transform of F(t) with respect
+to t and express the result as f(s), issue the command laplace(F(t),t,s).
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="laplace(sin(a*t)*cosh(a*t)-cos(a*t)*sinh(a*t),t,s)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Here are some other non-trivial examples.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="laplace((exp(a*t)-exp(b*t))/t,t,s)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="laplace(2/t*(1-cos(a*t)),t,s)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="laplace(exp(-a*t)*sin(b*t)/b^2,t,s)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="laplace((cos(a*t)-cos(b*t))/t,t,s)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Axiom also knows about a few special functions.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="laplace(exp(a*t+b)*Ei(c*t),t,s)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="laplace(a*Ci(b*t)+c*Si(d*t),t,s)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+When Axiom does not know about a particular transform, it keeps it as a
+formal transform in the answer.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="laplace(sin(a*t)-a*t*cos(a*t)+exp(t^2),t,s)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{callimits.xhtml}
+<<callimits.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Limits</div>
+  <hr/>
+To compute a limit, you must specify a functional expression, a variable,
+and a limiting value for that variable. If you do not specify a direction,
+Axiom attempts to compute a two-sided limit.
+
+Issue this to compute the limit of (x^2-2*x+2)/(x^2-1) as x approaches 1.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="limit((x^2-3*x+2)/(x^2-1),x=1)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Sometimes the limit when approached from the left is different from the
+limit from the right and, in this case, you may wish to ask for a one-sided
+limit. Also, if you have a function that is only defined on one side of a
+particular value, you can compute a one-sided limit.
+
+The function log(x) is only defined to the right of zero, that is, for
+x>0. Thus, when computing limits of functions involving log(x), you probably
+want a "right-hand" limit.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value='limit(x*log(x),x=0,"right")' />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+When you do not specify "right" or "left" as the optional fourth argument,
+<a href="dboplimit.xhtml">limit</a> tries to compute a two-sided limit.
+Here the limit from the left does not exist, as Axiom indicates when you
+try to take a two-sided limit.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="limit(x*log(x),x=0)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+A function can be defined on both sides of a particular value, but tend to
+different limits as its variable approaches that value from the left and
+from the right. We can construct an example of this as follows: Since 
+sqrt(y^2) is simply the absolute value of y, the function sqrt(y^2)/y is
+simply the sign (+1 or -1) of the nonzero real number y. Therefore,
+sqrt(y^2)/y=-1 for y&#60;0 and sqrt(y^2)/y=+1 for y>0. This is what happens 
+when we take the limit at y=0. The answer returned by Axiom gives both a
+"left-handed" and a "right-handed" limit.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="limit(sqrt(y^2)/y,y=0)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Here is another example, this time using a more complicated function.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="limit(sqrt(1-cos(t))/t,t=0)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+You can compute limits at infinity by passing either "plus infinity" or
+"minus infinity" as the third argument of <a href="dboplimit.xhtml">limit</a>.
+To do this, use the constants %plusInfinity and %minusInfinity.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="limit(sqrt(3*x^2+1)/(5*x),x=%plusInfinity)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="limit(sqrt(3*x^2+1)/(5*x),x=%minusInfinity)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+You can take limits of functions with parameters. As you can see, the limit
+is expressed in terms of the parameters.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="limit(sinh(a*x)/tan(b*x),x=0)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+When you use <a href="dboplimit.xhtml">limit</a>, you are taking the limit
+of a real function of a real variable. When you compute this, Axiom returns
+0 because, as a function of a real variable, sin(1/z) is always between -1
+and 1, so z*sin(1/z) tends to 0 as z tends to 0.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="limit(z*sin(1/z),z=0)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+However, as a function of a complex variable, sin(1/z) is badly behaved
+near 0 (one says that sin(1/z) has an essential singularlity at z=0). When
+viewed as a function of a complex variable, z*sin(1/z) does not approach any
+limit as z tends to 0 in the complex plane. Axiom indicates this when we
+call <a href="dbopcomplexlimit.xhtml">complexLimit</a>.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="complexLimit(z*sin(1/z),z=0)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+You can also take complex limits at infinity, that is, limits of a function
+of z as z approaches infinity on the Riemann sphere. Use the symbol
+%infinity to denote "complex infinity". As above, to compute complex limits
+rather than real limits, use <a href="dbopcomplexlimit.xhtml">complexLimit</a>.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="complexLimit((2+z)/(1-z),z=%infinity)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+In many cases, a limit of a real function of a real variable exists when
+the corresponding complex limit does not. This limit exists.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="makeRequest('p12');"
+    value="limit(sin(x)/x,x=%plusInfinity)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+But this limit does not.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="complexLimit(sin(x)/x,x=%infinity)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calmoreintegrals.xhtml}
+<<calmoreintegrals.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Integration</div>
+  <hr/>
+Integration is the reverse process of differentiation, that is, an integral
+of a function f with respect to a variable x is any function g such that
+D(g,x) is equal to f. The package
+<a href="db.xhtml?FunctionSpaceIntegration">FunctionSpaceIntegration</a>
+provides the top-level integration operation
+<a href="dbopintegrate.xhtml">integrate</a>, for integrating real-valued
+elementary functions.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="integrate(cosh(a*x)*sinh(a*x),x)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Unfortunately, antiderivatives of most functions cannot be expressed in
+terms of elementary functions.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="integrate(log(1+sqrt(a*x+b)),x)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Given an elementary function to integrate, Axiom returns a formal integral
+as above only when it can prove that the integral is not elementary and
+not when it cannot determine the integral. In this rare case it prints a
+message that it cannot determine if an elementary integral exists. Similar
+functions may have antiderivatives that look quite different because the
+form of the antiderivative depends on the sign of a constant that appears
+in the function.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="integrate(1/(x^2-2),x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="integrate(1/(x^2+2),x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+If the integrand contains parameters, then there may be several possible
+antiderivatives, depending on the signs of expressions of the parameters.
+In this case Axiom returns a list of answers that cover all possible cases.
+Here you use the answer involving the square root of a when a>0 and the
+answer involving the square root of -a when a&#60;0.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="integrate(x^2/(x^4-a^2),x)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+If the parameters and the variables of integration can be complex numbers
+rather than real, then the notion of sign is not defined. In this case all
+the possible answers can be expressed as one complex function. To get that
+function, rather than a list of real functions, use
+<a href="dbopcomplexintegrate.xhtml">complexIntegrate</a>, which is provided
+by the package
+<a href="db.xhtml?FunctionSpaceComplexIntegration">
+FunctionSpaceComplexIntegration</a>.
+
+This operation is used for integrating complex-valued elementary functions.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="complexIntegrate(x^2/(x^4-a^2),x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+As with the real case, antiderivatives for most complex-valued functions
+cannot be expressed in terms of elementary functions.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="complexIntegrate(log(1+sqrt(a*x+b))/x,x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Sometimes <a href="dbopintegrate.xhtml">integrate</a> can involve 
+symbolic algebraic numbers such as those returned by 
+<a href="dboprootof.xhtml">rootOf</a>. To see how to work with these
+strange generated symbols (such as %%a0), see
+<a href="axbook/section-8.3.xhtml#subsec-8.3.2">
+Using All Roots of a Polynomial</a>.
+
+Definite integration is the process of computing the area between the x-axis
+and the curve of a function f(x). The fundamental theorem of calculus 
+states that if f is continuous on an interval a..b and such that D(g,x) is
+equal to f, then the definite integral of f for x in the interval a..b is
+equal to g(b)-g(a).
+
+The package
+<a href="db.xhtml?RationalFunctionDefiniteIntegration">
+RationalFunctionDefiniteIntegration</a>
+provides the top-level definite integration operation,
+<a href="dbopintegrate.xhtml">integrate</a>, 
+for integrating real-valued rational functions.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="integrate((x^4-3*x^2+6)/(x^6-5*x^4+5*x^2+4),x=1..2)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Axiom checks beforehand that the function you are integrating is defined on
+the interval a..b, and prints an error message if it finds that this is not
+the case, as in the following example:
+<pre>
+ integrate(1/(x^2-2),x=1..2)
+
+ Error detected within library code:
+ Pole in path of integration
+</pre>
+When parameters are present in the function, the function may or may not be
+defined on the interval of integration.
+
+If this is the case, Axiom issues a warning that a pole might lie in the 
+path of integration, and does not compute the integral.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="integrate(1/(x^2-a),x=1..2)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+If you know that you are using values of the parameter for which the 
+function has no pole in the interval of integration, use the string
+"noPole" as a third argument to <a href="dbopintegrate.xhtml">integrate</a>.
+
+The value here is, of course, incorrect if sqrt(a) is between 1 and 2.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value='integrate(1/(x^2-a),x=1..2,"noPole")' />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calseries.xhtml}
+<<calseries.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Working with Power Series</div>
+  <hr/>
+Axiom has very sophisticated facilities for working with power series.
+Infinite series are represented by a list of the coefficients that have
+already been determined, together with a function for computing the
+additional coefficients if needed. The system command that determines how
+many terms of a series is displayed is
+<pre>
+  )set streams calculate
+</pre>
+By default Axiom will display ten terms. Series can be created from
+expressions, from functions for the series coefficients, and from applications
+of operations on existing series. The most general function for creating
+a series is called <a href="dbopseries.xhtml">series</a>, although you can
+also use 
+<a href="dboptaylor.xhtml">taylor</a>,
+<a href="dboplaurent.xhtml">laurent</a>, and
+<a href="dboppuiseux.xhtml">puiseux</a> in situations where you know what 
+kind of exponents are involved.
+
+For information about solving differential equations in terms of power
+series see
+<a href="axbook/section-8.10.xhtml#subsec-8.10.3">
+Power Series Solutions of Differential Equations</a>
+<ul>
+ <li>
+  <a href="calseries1.xhtml">
+   Creation of Power Series
+  </a>
+ </li>
+ <li>
+  <a href="calseries2.xhtml">
+   Coefficients of Power Series
+  </a>
+ </li>
+ <li>
+  <a href="calseries3.xhtml">
+   Power Series Arithmetic
+  </a>
+ </li>
+ <li>
+  <a href="calseries4.xhtml">
+   Functions on Power Series
+  </a>
+ </li>
+ <li>
+  <a href="calseries5.xhtml">
+   Converting to Power Series
+  </a>
+ </li>
+ <li>
+  <a href="calseries6.xhtml">
+   Power Series from Formulas
+  </a>
+ </li>
+ <li>
+  <a href="calseries7.xhtml">
+   Substituting Numerical Values in Power Series
+  </a>
+ </li>
+ <li>
+  <a href="calseries8.xhtml">
+   Example: Bernoulli Polynomials and Sums of Powers
+  </a>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calseries1.xhtml}
+<<calseries1.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Creation of Power Series</div>
+  <hr/>
+This is the easiest way to create a power series. This tells Axiom that x
+is to be treated as a power series, so funcitons of x are again power series.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="x:=series 'x" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+We didn't say anything about the coefficients of the power series, so the
+coefficients are general expressions over the integers. This allows us to
+introduce denominators, symbolic constants, and other variables as needed.
+Here the coefficents are integers (note that the coefficients are the
+Fibonacci numbers).
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="1/(1-x-x^2)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+This series has coefficients that are rational numbers.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="sin(x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+When you enter this expression you introduce the symbolic constants sin(1)
+and cos(1).
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="sin(1+x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+When you enter the expression the variable a appears in the resulting 
+series expansion.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="sin(a*x)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+You can also convert an expression into a series expansion. This expression
+creates the series expansion of 1/log(v) about v=1. For details and more
+examples see
+<a href="axbook/section-8.9.xhtml#subsec-8.9.5">
+Converting to Power Series</a>
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="series(1/log(v),v=1)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+You can create power series with more general coefficients. You normally
+accomplish this via a type declaration, see 
+<a href="axbook/section-2.3.xhtml">Declarations</a>. See
+<a href="axbook/section-8.9.xhtml#subsec-8.9.4">
+Functions on Power Series</a> for some warnings about working with 
+declared series.
+
+We delcare that y is a one-variable Taylor series 
+(<a href="db.xhtml?UnivariateTaylorSeries">UTS</a> is the abbreviation for
+<a href="db.xhtml?UnivariateTaylorSeries">UnivariateTaylorSeries</a> in the
+variable z with <a href="db.xhtml?Float">FLOAT</a> (that is, floating-point)
+coefficients, centered about 0. Then, by assignment, we obtain the Taylor
+expansion of exp(z) with floating-point coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="y:UTS(FLOAT,'z,0):=exp(z)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+You can also create a power series by giving an explicit formula for the
+nth coefficient. For details and more examples see
+<a href="axbook/section-8.9.xhtml#subsec-8.9.6">
+Power Series from Formulas</a>
+
+To create a series about w=0 whose nth Taylor coefficient is 1/n!, you can
+evaluate this expression. This is the Taylor expansion of exp(w) at w=0.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="series(1/factorial(n),n,w=0)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calseries2.xhtml}
+<<calseries2.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Coefficients of Power Series</div>
+  <hr/>
+You can extract any coefficient from a power series -- even on that
+hasn't been computed yet. This is possible because in Axiom, infinite
+series are represented by a list of the coefficients that have already
+been determined, together with a function for computing additional 
+coefficients. (This is known as lazy evaluation.) When you ask for a
+coefficient that hasn't yet been computed, Axiom computes whatever
+additional coefficients it needs and then stores them in the representation
+of the power series.
+
+Here's an example of how to extract the coefficients of a power series.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="x:=series('x)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="y:=exp(x)*sin(x)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+This coefficient is readily available
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="coefficient(y,6)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+But let's get the fifteenth coefficient of y
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p4']);"
+    value="coefficient(y,15)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+If you look at y then you see that the coefficients up to order 15 have 
+all been computed.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p5']);"
+    value="y" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calseries3.xhtml}
+<<calseries3.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Power Series Arithmetic</div>
+  <hr/>
+You can manipulate power series using the usual arithmetic operations
+<a href="dbopplus.xhtml">+</a>,
+<a href="dbopminus.xhtml">-</a>,
+<a href="dbopstar.xhtml">*</a>, and
+<a href="dbopdivide.xhtml">/</a>.
+
+The results of these operations are also power series.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="x:=series 'x" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="(3+x)/(1+7*x)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+You can also compute f(x)^g(x), where f(x) and g(x) are two power series.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="base:=1/(1-x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p3','p4']);"
+    value="expon:=x*base" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p3','p4','p5']);"
+    value="base^expon" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calseries4.xhtml}
+<<calseries4.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Functions on Power Series</div>
+  <hr/>
+Once you have created a power series, you can apply transcendental 
+functions (for example, 
+<a href="dbopexp.xhtml">exp</a>,
+<a href="dboplog.xhtml">log</a>,
+<a href="dbopsin.xhtml">sin</a>,
+<a href="dboptan.xhtml">tan</a>,
+<a href="dbopcosh.xhtml">cosh</a>, etc.) to it.
+
+To demonstrate this, we first create the power series expansion of the
+rational function x^2/(1-6*x+x^2) about x=0.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="x:=series 'x" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="rat:=x^2/(1-6*x+x^2)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+If you want to compute the series expansion of 
+sin(x^2/1-6*x+x^2) you simply compute the sine of rat.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="sin(rat)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+<hr/>
+<b>Warning:</b> the type of the coefficients of a power series may affect
+the kind of computations that you can do with that series. This can only
+happen when you have made a declaration to specify a series domain with a
+certain type of coefficient.
+<hr/>
+If you evaluate then you have declared that y is a one variable Taylor
+series (<a href="db.xhtml?UnivariateTaylorSeries">UTS</a> is the abbreviation
+for <a href="db.xhtml?UnivariateTaylorSeries">UnivariateTaylorSeries</a>) in
+the variable y with <a href="dbfractioninteger.xhtml">FRAC INT</a> (that is,
+fractions of integers) coefficients, centered about 0.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="y:UTS(FRAC INT,'y,0):='y" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You can now compute certain power series in y, provided that these series
+have rational coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="exp(y)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+You can get examples of such series by applying transcendental functions
+to series in y that have no constant terms.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p4','p5','p6']);"
+    value="tan(y^2)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p4','p5','p7']);"
+    value="cos(y+y^5)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Similarly, you can compute the logarithm of a power series with rational
+coefficients if the constant coefficient is 1.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p4','p5','p8']);"
+    value="log(1+sin(y))" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+If you wanted to apply, say, the operation <a href="dbopexp.xhtml">exp</a> to
+a power series with a nonzero constant coefficient a0, then the constant
+coefficient of the result would be exp(a0), which is not a rationa number.
+Therefore, evaluating exp(2+tan(y)) would generate an error message.
+
+If you want to compute the Taylor expansion of exp(2+tan(y)), you must 
+ensure that the coefficient domain has an operation 
+<a href="dbopexp.xhtml">exp</a> defined for it. An example of such a domain
+is <a href="dbexpressioninteger.xhtml">Expression Integer</a>, the type of
+formal functional expressions over the integers. When working with 
+coefficients of this type
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="z:UTS(EXPR INT,'z,0):='z" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+this presents no problems.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p9','p10']);"
+    value="exp(2+tan(z))" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+Another way to create Taylor series whose coefficients are expressions over
+the integers is to use <a href="dboptaylor.xhtml">taylor</a> which works
+similarly to <a href="dbopseries.xhtml">series</a>. This is equivalent to
+the previous computation, except that now we are using the variable w 
+instead of z.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="w:=taylor 'w" />
+  <div id="ansp11"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p11','p12']);"
+    value="exp(2+tan(w))" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calseries5.xhtml}
+<<calseries5.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Converting to Power Series</div>
+  <hr/>
+The <a href="db.xhtml?ExpressionToUnivariatePowerSeries">
+ExpressionToUnivariatePowerSeries</a> package provides operations for
+computing series expansions of functions. 
+
+Evaluate this to compute the Taylor expansion of sin x about x=0. The first
+argument, sin(x), specifies the function whose series expansion is to be
+computed and the second argument, x=0, specifies that the series is to be
+expanded in powers of (x-0), that is, in powers of x.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="taylor(sin(x),x=0)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Here is the Taylor expansion of sin x about x=%pi/6:
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="taylor(sin(x),x=%pi/6)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The function to be expanded into a series may have variables other than the
+series variable. For example, we may expand tan(x*y) as a Taylor series in x.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="taylor(tan(x*y),x=0)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+or as a Taylor series in y.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="taylor(tan(x*y),y=0)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+A more interesting function it (t*%e^(x*t))/(%e^t-1).
+When we expand this function as a Taylor series in t the nth order
+coefficient is the nth Bernoulli polynomial divided by n!.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="bern:=taylor(t*exp(x*t)/(exp(t)-1),t=0)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Therefore, this and the next expression produce the same result.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p5','p6']);"
+    value="factorial(6)*coefficient(bern,6)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value="bernoulliB(6,x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Technically, a series with terms of negative degree is not considered to
+be a Taylor series, but rather a Laurent series. If you try to compute a
+Taylor series expansion of x/log(x) at x=1 via taylor(x/log(x),x=1) you 
+get an error message. The reason is that the function has a pole at x=1,
+meaning that its series expansion about this point has terms of negative
+degree. A series with finitely many terms of negative degree is called a
+Laurent series. You get the desired series expansion by issuing this.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="laurent(x/log(x),x=1)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Similarly, a series with terms of fractional degree is neither a Taylor
+series nor a Laurent series. Such a series is called a Puiseux series. The
+expression laurent(sqrt(sec(x)),x=3*%pi/2) results in an error message 
+because the series expansion about this point has terms of fractional degree.
+However, this command produces what you want.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="puiseux(sqrt(sec(x)),x=3*%pi/2)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Finally, consider the case of functions that do not have Puiseux expansions
+about certain points. An example of this is x^x about x=0. puiseux(x^x,x=0)
+produces an error message because of the type of singularity of the 
+function at x=0. The general function <a href="dbopseries.xhtml">series</a>
+can be used in this case. Notice that the series returned is not, strictly
+speaking, a power series because of the log(x) in the expansion.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="series(x^x,x=0)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+<hr/>
+The operation <a href="dbopseries.xhtml">series</a> returns the most general
+type of infinite series. The user who is not interested in distinguishing
+between various types of infinite series may wish to use this operation
+exclusively.
+<hr/>
+<<page foot>>
+@
+
+\subsection{calseries6.xhtml}
+<<calseries6.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Power Series from Formulas</div>
+  <hr/>
+The <a href="db.xhtml?GenerateUnivariatePowerSeries">
+GenerateUnivariatePowerSeries</a> package enables you to create power series
+from explicit formulas for their nth coefficients. In what follows, we
+construct series expansions for certain transcendental functions by giving
+forumulas for their coefficients. You can also compute such series 
+expansions directly by simply specifying the function and the point about
+which the series is to be expanded. See
+<a href="axbook/section-8.9.xhtml#subsec-8.9.5">
+Converting to Power Series</a> for more information.
+
+Consider the Taylor expansion of %e^x about x=0:
+<pre>
+  %e^x = 1 + x + x^2/2 + x^3/6 + ... 
+       = sum from n=0 to n=%infinity of x^n/n!
+</pre>
+The nth Taylor coefficient is 1/n!. This is how to create this series in
+Axiom.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="series(n+->1/factorial(n),x=0)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The first argument specifies the formula for the nth coefficient by giving
+a function that maps n to 1/n!. The second argument specifies that the
+series is to be expanded in powers of (x-0), that is, in powers of x. Since
+we did not specify an initial degress, the first term in the series was the
+term of degree 0 (the constant term). Note that the formula was given as
+an anonymous function. These are discussed in
+<a href="axbook/section-6.17.xhtml">Anonymous Functions</a>
+
+Consider the Taylor expansion of log x about x=1:
+<pre>
+ log x = (x-1) - (x-1)^2/2 + (x-1)^3/3 - ... 
+       = sum from n=1 to n=%infinity of (-1_^(n-1) (x-1)^n/n
+</pre>
+If you were to evaluate the expression series(n+->(-1)^(n-1)/n,x=1) you
+would get an error message because Axiom would try to calculate a term of
+degree n=1,... are to be computed.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="series(n+->(-1)^(n-1)/n,x=1,1..)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Next consider the Taylor expansion of an odd function, say, sin(x):
+<pre>
+  sin x = x = x^2/3! + x^5/5! - ...
+</pre>
+Here every other coefficient is zero and we would like to give an explicit
+formula onloy for the odd Taylor coefficients. This is one way to do it.
+The third argument, 1.., specifies that the first term to be computed is
+the term of degree 1. The fourth argument, 2, specifies that we increment
+by 2 to find the degrees of subsequent terms, that is, the next term is of
+degree 1+2, the next of degree 1+2+2, etc.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="series(n+->(-1)^((n-1)/2)/factorial(n),x=0,1..,2)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The initial degree and the increment do not have to be integers. For
+example, this expression produces a series expansion of sin(x^(1/3)).
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="series(n+->(-1)^((3*n-1)/2)/factorial(3*n),x=0,1/3..,2/3)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+While the increment must be positive, the initial degree may be negative.
+This yields the Laurent expansion of csc(x) at x=0.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="cscx:=series(n+->(-1)^((n-1)/2)*2*(2^n-1)*bernoulli(numer(n+1))/factorial(n+1),x=0,-1..,2)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Of course, the reciprocal of this power series is the Taylor expansion of
+sin(x).
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p5','p6']);"
+    value="1/cscx" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+As a final example, here is the Taylor expansion of asin(x) about x=0.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="asinx:=series(n+->binomial(n-1,(n-1)/2)/(n*2^(n-1)),x=0,1..,2)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+When we compute the sine of this series, we get x (in the sense that all
+higher terms computed so far are zero).
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p7','p8']);"
+    value="sin(asinx)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+As we discussed in 
+<a href="calseries5.xhtml">Converting to Power Series</a>, you can also use
+the operations
+<a href="dboptaylor.xhtml">taylor</a>,
+<a href="dboplaurent.xhtml">laurent</a>, and
+<a href="dboppuiseux.xhtml">puiseux</a>, instead of 
+<a href="dbopseries.xhtml">series</a> if you know ahead of time what
+kind of exponents a series has. You can't go wrong with 
+<a href="dbopseries.xhtml">series</a> though.
+<<page foot>>
+@
+
+\subsection{calseries7.xhtml}
+<<calseries7.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Substituting Numerical Values in Power Series</div>
+  <hr/>
+Use <a href="dbopeval.xhtml">eval</a> to substitute a numerical value for a
+variable in a power series. For example, here's a way to obtain numerical
+approximations of %e from the Taylor series expansion of exp(x).
+
+First you create the desired Taylor expansion.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="f:=taylor(exp(x))" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Then you evaluate the series at the value 1.0. The result is a sequence
+of the partial sums.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="eval(f,1.0)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{calseries8.xhtml}
+<<calseries8.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Example: Bernoulli Polynomials and Sums of Powers</div>
+  <hr/>
+Axiom provides operations for computing definite and indefinite sums.
+
+You can compute the sum of the first ten fourth powers by evaluating this.
+This creates a list whose entries are m^4 as m ranges from 1 to 10, and then
+computes the sum of the entries of that list.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="reduce(+,[m^4 for m in 1..10])" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You can also compute a formula for the sum of the first k fourth powers, 
+where k is an unspecified positive integer.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="sum4:=sum(m^4,m=1..k)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+This formula is valid for any positive integer k. For instance, if we 
+replace k by 10, we obtain the number we computed earlier.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="eval(sum4,k=10)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+You can compute a formula for the sum of the first k nth powers in a
+similar fashion. Just replace the 4 in the definition of sum4 by any
+expression not involving k. Axiom computes these formulas using Bernoulli 
+polynomials; we use the rest of this section to describe this method.
+
+First consider this function of t and x.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="f:=t*exp(x*t)/(exp(t)-1)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Since the expressions involved get quite large, we tell Axiom to show us only
+terms of degree up to 5.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="noresult" 
+    onclick="makeRequest('p5');"
+    value=")set streams calculate 5" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+If we look at the Taylor expansion of f(x,t) about t=0, we see that the 
+coefficients of the powers of t are polynomials in x.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p4','p5','p6']);"
+    value="ff:=taylor(f,t=0)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+In fact, the nth coefficient in this series is essentiall the nth Bernoulli
+polynomial: the nth coefficient of the series is 1/n!*Bn(x), where Bn(x) is
+the nth Bernoulli polynomial. Thus, to obtain the nth Bernoulli polynomial,
+we multiply the nth coefficient of the series ff by n!. For example, the
+sixth Bernoulli polynomial is this.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p4','p5','p6','p7']);"
+    value="factorial(6)*coefficient(ff,6)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+We derive some properties of the function f(x,t). First we compute
+f(x+1,t)-f(x-t).
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p4','p8']);"
+    value="g:=eval(f,x=x+1)-f" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+If we normalize g, we see that it has a particularly simple form.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p4','p8','p9']);"
+    value="normalize(g)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+From this it follows that the nth coefficient in the Taylor expansion of
+g(x,t) at t=0 is 1/(n-1)!*x^(n-1). If you want to check this, evaluate the
+next expression.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p4','p5','p8','p9','p10']);"
+    value="taylor(g,t=0)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+However, since 
+<pre>
+  g(x,t)=f(x+1,t)-f(x,t)
+</pre> 
+it follows that the nth coefficient
+is 
+<pre>
+   1/n! * (Bn(x+1) - Bn(x))
+</pre> 
+Equating coefficients, we see that 
+<pre>
+   1/(n-1)! * x^(n-1) = 1/n! * (Bn(x+1) - Bn(x))
+</pre>
+and, therefore
+<pre>
+   x^(n-1) = 1/n * (Bn(x+1) - Bn(x))
+</pre>
+Let's apply this formula repeatedly, letting x vary between two integers
+a and b, with a&#60;b:
+<pre>
+       a^(n-1) = 1/n * (Bn(a+1) - Bn(a))
+   (a+1)^(n-1) = 1/n * (Bn(a+2) - Bn(a+1))
+   (a+2)^(n-1) = 1/n * (Bn(a+3) - Bn(a+2))
+               .
+               .
+   (b-1)^(n-1) = 1/n * (Bn(b)   - Bn(b-1))
+       b^(n-1) = 1/n * (Bn(b+1) - Bn(b))
+</pre>
+When we add these equations we find that the sum of the left-hand sides is
+<pre>
+   sum(m=a..b,m^(n-1)) 
+</pre>
+the sum of the (n-1)-st powers from a to b. The sum
+of the right-hand sides is a "telescoping series". After cancellation, the
+sum is simply 
+<pre>
+   1/n*(Bn(b+1)-Bn(a))
+</pre>
+
+Replacing n by n+1, we have shown that
+<pre>
+   sum(m=a..b,m^n) = 1/(n+1)*(B&#60;n+1>(b+1)-B&#60;n+1>(a))
+</pre>
+
+Let's use this to obtain the formula for the sum of fourth powers. 
+First we obtain the Bernoulli polynomial B5.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p4','p5','p6','p11']);"
+    value="B5:=factorial(5)*coefficient(ff,5)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+To find the sum of the first k 4th powers, we multiply 1/5 by 
+B5(k+1)-B5(1)
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p4','p5','p6','p11','p12']);"
+    value="1/5*(eval(B5,x=k+1)-eval(B5,x=1))" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+This is the same formula that we obtained via sum(m^4,m=1..k)
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p2','p13']);"
+    value="sum4" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+At this point you may want to do the same computation, but with an exponent
+other than 4. For example, you might try to find a formula for the sum of
+the first k 20th powers.
+<<page foot>>
+@
+
+\subsection{cats.xhtml}
+<<cats.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+    CATS -- Computer Algebra Test Suite
+  </div>
+<hr/>
+The Computer Algebra Test Suite is intended to show that Axiom conforms
+to various published standards. Axiom implementations of these functions
+are tested against reference publications. 
+
+In order to show standards compliance we need to examine Axiom's behavior
+against known good results. Where possible, these results are also tested
+against other available computer algebra systems.
+
+The available test suites are:
+<ol>
+ <li><a href="dlmf.xhtml">Gamma Function</a></li>
+</ol>
+<<page foot>>
+@
+
+\subsection{commandline.xhtml}
+<<commandline.xhtml>>=
+<<standard head>>
+<<menu style>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    return(document.getElementById('comm').value);
+   }
+   function popUp(url,widthsize,heightsize) {
+     var widthsize=640;
+     var heightsize=480;
+     var p1 = "toolbar=no";
+     var p2 = ",location=no";
+     var p3 = ",directories=no";
+     var p4 = ",status=no";
+     var p5 = ",menubar=no";
+     var p6 = ",scrollbars=no";
+     var p7 = ",resizable=no";
+     var p8 = ",top="+(window.screen.height-heightsize)/2;
+     var p9 = ",left="+(window.screen.width-widthsize)/2;
+     var pa = ",width="+widthsize;
+     var pb = ",height="+heightsize;
+     var winProps=p1+p2+p3+p4+p5+p6+p7+p8+p9+pa+pb;
+     var popUp = window.open(url,"popup",winProps);
+     popUp.focus();
+   }
+   var card = '{is:"card",'+
+               'title:"",'+
+               'content:"",'+
+               'type:"",'+
+               'visible:"false"}';
+   function newcard(title,content,type,visible) {
+      var c = eval("("+card+")"); 
+      c.title=title;
+      c.content=content;
+      c.type=type;
+      c.visible=visible;
+      return(c);
+   }
+   var pamphlet = '{is:"pamphlet",'+
+                   'head:"",'+
+                   'body:[],'+
+                   'tail:"",'+
+                   'visible:"false"}';
+   function newpamphlet(title,content,type,visible) {
+      var p = eval("("+pamphlet+")"); 
+      p.title=title;
+      p.content=content;
+      p.type=type;
+      p.visible=visible;
+      return(p);
+   }
+   function dump(d) {
+     if (d.is == "card") {
+      return("CARD"+"\n"+
+             "title:  "+d.title+"\n"+
+             "content:"+d.content+"\n"+
+             "visible:"+d.visible+"\n"+
+             "type:   "+d.type);
+     }
+     if (d.is == "pamphlet") {
+      return("PAMPHLET"+"\n"+
+             "title:  "+d.title+"\n"+
+             "content:"+d.content+"\n"+
+             "visible:"+d.visible+"\n"+
+             "type:   "+d.type);
+     }
+   }
+   function makeone() {
+     var p = newpamphlet("makeone",card,"text","true");
+     alert(dumppamphlet(p));
+     alert(dump(p));
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+  <div align="center">
+   <!--main menu-->
+   <form method="get" action="foo.xhtml">
+    <table class="mainmenu" border="0" cellspacing="0" cellpadding="0">
+     <tr>
+      <td align="center" valign="middle" nowrap="nowrap">
+       <div class="menu">
+        <ul>
+         <!-- Begin File Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           File<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileopen.xhtml')">
+             Open
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileread.xhtml')">
+             Read file
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufilesave.xhtml')">
+             Save
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufilesaveas.xhtml')">
+             Save as
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menufileloadlibrary.xhtml')">
+             Load library
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileinputfile.xhtml')">
+             Input file
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menufiletogglespool.xhtml')">
+             Toggle spool
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileprint.xhtml')">
+             Print
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menufileexit.xhtml')">
+             Exit
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End File Menu -->
+         <!-- Start Edit Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Edit<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcopy.xhtml')">
+             Copy
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcopytext.xhtml')">
+             Copy text
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcopytex.xhtml')">
+             Copy TeX
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditdeleteselection.xhtml')">
+              Delete selection
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditcopyasimage.xhtml')">
+             Copy as image     
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditselectiontoimage.xhtml')">
+             Selection to image
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menueditselectiontoinput.xhtml')">
+             Selection to input
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditcut.xhtml')">
+             Cut               
+            </a>
+           </li>
+           <li>
+            <a class="drop" href="javascript:popUp('menueditpaste.xhtml')">
+             Paste
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Edit Menu -->
+         <!-- Start Axiom Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Axiom<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiominterrupt.xhtml')">
+             Interrupt
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menuaxiomrestart.xhtml')">
+             Restart
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomclearmemory.xhtml')">
+             Clear Memory
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomaddtopath.xhtml')">
+              Add to path
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomshowfunctions.xhtml')">
+             Show functions
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomshowdefinition.xhtml')">
+             Show definition
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomshowvariables.xhtml')">
+             Show variables
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomdeletefunction.xhtml')">
+             Delete function
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomdeletevariable.xhtml')">
+             Delete variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomtoggletimedisplay.xhtml')">
+             Toggle time display
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomset.xhtml')">
+             Set ...
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuaxiomdisplay.xhtml')">
+             Display ...
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Axiom Menu -->
+         <!-- Start Equations Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Equations<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolve.xhtml')">
+             Solve
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolvenumerically.xhtml')">
+             Solve numerically
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationsrootsofpolynomial.xhtml')">
+             Roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+                "javascript:popUp('menuequationsrealrootsofpolynmial.xhtml')">
+              Real roots of polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolvelinearsystem.xhtml')">
+             Solve linear system
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationssolvealgebraicsystem.xhtml')">
+             Solve algebraic system
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationseliminatevariable.xhtml')">
+             Eliminate variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationssolveode.xhtml')">
+             Solve ODE
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationsinitialvalueproblem1.xhtml')">
+             Initial value problem (1)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationsinitialvalueproblem2.xhtml')">
+             Initial value problem (2)
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationsboundaryvalueproblem.xhtml')">
+             Boundary value problem
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menuequationssolveodewithlaplace.xhtml')">
+             Solve ODE with Laplace
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menuequationsatvalue.xhtml')">
+             At value
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Equations Menu -->
+         <!-- Start Algebra Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Algebra<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebrageneratematrix.xhtml')">
+             Generate matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraentermatrix.xhtml')">
+             Enter matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebrainvertmatrix.xhtml')">
+             Invert matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menualgebracharacteristicpolynomial.xhtml')">
+             Characteristic polynomial
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebradeterminant.xhtml')">
+             Determinant
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraeigenvalues.xhtml')">
+             Eigenvalues
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraeigenvectors.xhtml')">
+             Eigenvectors
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraadjointmatrix.xhtml')">
+             Adjoint matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebratransposematrix.xhtml')">
+             Transpose matrix
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebramakelist.xhtml')">
+             Make list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebraapplytolist.xhtml')">
+             Apply to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebramaptolist.xhtml')">
+             Map to list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebrareducelist.xhtml')">
+             Reduce list
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menualgebramaptomatrix.xhtml')">
+             Map to matrix
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Algebra Menu -->
+         <!-- Start Calculus Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Calculus<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3.xhtml')">
+             Level 3
+            </a>
+            <ul>
+             <li>
+              <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3a.xhtml')">
+               Level 3 A
+              </a>
+             </li>
+             <li>
+              <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3b.xhtml')">
+               Level 3 B
+              </a>
+             </li>
+             <li>
+              <a class="drop" 
+               href="javascript:popUp('menucalculuslevel3c.xhtml')">
+               Level 3 C
+              </a>
+             </li>
+            </ul>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusintegrate.xhtml')">
+             Integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusrischintegrate.xhtml')">
+             Risch integrate
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuschangevariable.xhtml')">
+             Change variable
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusdifferentiate.xhtml')">
+             Differentiate
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusfindlimit.xhtml')">
+             Find limit
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusgetseries.xhtml')">
+             Get series
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuspadeapproximation.xhtml')">
+             Pade approximation
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuscalculussum.xhtml')">
+             Calculus sum
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuscalculusproduct.xhtml')">
+             Calculus product
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuslaplacetransform.xhtml')">
+             Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menucalculusinverselaplacetransform.xhtml')">
+             Inverse Laplace transform
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menucalculusgreatestcommondivisor.xhtml')">
+             Greatest common divisor
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menucalculusleastcommonmultiple.xhtml')">
+             Least common multiple
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculusdividepolynomials.xhtml')">
+             Divide polynomials
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menucalculuspartialfractions.xhtml')">
+             Partial fractions
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menucalculuscontinuedfractions.xhtml')">
+             Continued fractions
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Calculus Menu -->
+         <!-- Start Simplify Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Simplify<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menusimplifysimplifyexpression.xhtml')">
+             Simplify expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifysimplifyradicals.xhtml')">
+             Simplify radicals
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyfactorexpression.xhtml')">
+             Factor expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyfactorcomplex.xhtml')">
+             Factor complex
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyexpandexpression.xhtml')">
+             Expand expression
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyexpandlogarithms.xhtml')">
+             Expand logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifycontractlogarithms.xhtml')">
+             Contract logarithms
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menusimplifyfactorialsandgamma.xhtml')">
+             Factorials and Gamma
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menusimplifytrigsimplification.xhtml')">
+             Trigonometric simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menusimplifycomplexsimplification.xhtml')">
+             Complex simplification
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifysubtitute.xhtml')">
+             Substitute
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifyevaluatenounform.xhtml')">
+             Evaluate noun form
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+               "javascript:popUp('menusimplifytogglealgebraicflag.xhtml')">
+             Toggle algebraic flag
+            </a>
+           </li>
+           <li>
+            <a class="drop" href=
+              "javascript:popUp('menusimplifyaddalgebraicequality.xhtml')">
+             Add algebraic equality
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menusimplifymoduluscomputation.xhtml')">
+             Modulus computation
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+         <!-- Start Numeric Menu -->
+         <li>
+          <a class="toplevel" href="/">
+           Numeric<!--span class="nabla">&nabla;</span-->
+          </a>
+          <ul>
+           <li>
+            <a class="drop" 
+              href="javascript:popUp('menunumerictogglenumericoutput.xhtml')">
+             Toggle numeric output
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menunumerictofloat.xhtml')">
+             To float
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menunumerictobigfloat.xhtml')">
+             To bigfloat
+            </a>
+           </li>
+           <li>
+            <a class="drop" 
+               href="javascript:popUp('menunumericsetprecision.xhtml')">
+             Set precision
+            </a>
+           </li>
+          </ul>
+         </li>
+         <!-- End Simplify Menu -->
+        </ul>
+       </div>
+      </td>
+     </tr>
+    </table>
+   </form>
+  </div>
+<hr/>
+<a href="javascript:makeone();">makeone</a>
+  <form id="commreq">
+    <p>
+      Type an input command line to Axiom:<br/>
+      <input type="text" id="p1" 
+       onclick="interpcall('p1');"
+       value="integrate(sin(x),x)" 
+       size="80" />
+    </p>
+  </form>
+  <center>
+    <input type="button" value="Continue" name="continue" 
+      onclick="intercall('p1');"/>
+  </center>
+  <div id="mathAns"><div></div></div>
+<<page foot>>
+@
+
+
+\subsection{complexlimit.xhtml}
+<<complexlimit.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    var myform = document.getElementById("form2");
+    var myfunct = myform.expr.value;
+    var myvar = myform.vars.value;
+    var ans = "";
+    // decide what the limit point should be
+    var finite = document.getElementById('finite').checked;
+    if (finite == true) {
+      var myreal = document.getElementById('fpreal').value;
+      var mycomplex = document.getElementById('fpcomplex').value;
+      if (myreal == 0) {
+       if (mycomplex == 0) {
+         ans = 'complexLimit('+myfunct+','+myvar+'=0)';
+       } else {
+         ans = 'complexLimit('+myfunct+','+myvar+'='+mycomplex+'*%i)';
+       }
+      } else {
+       if (mycomplex == 0) {
+         ans = 'complexLimit('+myfunct+','+myvar+'='+myreal+')';
+       } else {
+         ans = 
+          'complexLimit('+myfunct+','+myvar+'='+myreal+'+'+mycomplex+'*%i)';
+       }
+      }
+    } else {
+     ans = 'complexLimit('+myfunct+','+myvar+'=%infinity)';
+    }
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <form id="form2">
+   Enter the function you want to compute the limit of:<br/>
+   <input type="text" id="expr" tabindex="10" size="50" 
+     value="sin(a*x)/tan(b*x)"/><br/>
+   Enter the name of the variable:<br/>
+   <input type="text" id="vars" tabindex="20" value="x"/><br/>
+   <input type="radio" id="finite" tabindex="30" checked="checked" 
+     name="point"/>
+    A finite point: Real part:
+    <input type="text" id="fpreal" tabindex="40" value="0"/>
+    Complex part:
+    <input type="text" id="fpcomplex" tabindex="50" value="0"/><br/>
+   <input type="radio" id="plus" tabindex="60" name="point"/>
+    %infinity<br/>
+  </form>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{conversionfunctions.xhtml}
+<<conversionfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Conversion Functions</div>
+  <hr/>
+You can use conversion (see 
+<a href="axbook/section-9.27.xhtml#subsec-9.27.2">Jenks section 9.27.2</a>)
+to go back and forth between
+<a href="db.xhtml?Integer">Integer</a>,
+<a href="db.xhtml?Fraction(Integer)">Fraction(Integer)</a> and
+<a href="db.xhtml?Float">Float</a>, as appropriate.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="i:=3::Float" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="i::Integer" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="i::Fraction Integer" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Since you are explicitly asking for a conversion, you must take 
+responsibility for any loss of exactness.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="r:=3/7::Float" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="r::Fraction Integer" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+This conversion cannot be performed: use 
+<a href="dboptruncate.xhtml">truncate</a> or
+<a href="dbopround.xhtml">round</a> if that is what you intend.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p4','p6']);"
+    value="r::Integer" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The operations
+<a href="dboptruncate.xhtml">truncate</a> and
+<a href="dbopround.xhtml">round</a> truncate ...
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="truncate 3.6" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+and round to the nearest integral <a href="db.xhtml?Float">Float</a>
+respectively.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="round 3.6" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="truncate(-3.6)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="round(-3.6)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopfractionpart.xhtml">fractionPart</a>
+computes the fractional part of x, that is, x-truncate x.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="fractionPart 3.6" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopdigits.xhtml">digits</a> allows the user to
+set the precision. It returns the previous value it was using.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="makeRequest('p12');"
+    value="digits 40" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="sqrt 0.2" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="makeRequest('p14');"
+    value="pi()$Float" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+The precision is only limited by the computer memory available.
+Calculations at 500 or more digits of precision are not difficult.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="makeRequest('p15');"
+    value="digits 500" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="makeRequest('p16');"
+    value="pi()$Float" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Reset <a href="dbopdigits.xhtml">digits</a> to its default value.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="digits 20" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+Numbers of type <a href="db.xhtml?Float">Float</a> are represented as a record
+of two integers, namely, the mantissa and the exponent where the base
+of the exponent is binary. That is, the floating point number of the
+binary. That is, the floating point number (m,e) represents the number
+m*2**e. A consequence of using a binary base is that decimal numbers
+can not, in general, be represented exactly.
+<<page foot>>
+@
+
+\subsection{crytopage.xhtml}
+<<cryptopage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+</center>
+<hr/>
+<ol>
+ <li> <a href="cryptoclass1.xhtml">
+       Laboratory Class 1: Introduction to Axiom
+      </a>
+ </li>
+ <li> <a href="cryptoclass2.xhtml">
+       Laboratory Class 2: Strings and Values
+      </a>
+ </li>
+ <li> <a href="cryptoclass3.xhtml">
+       Laboratory Class 3: Number Theory
+      </a>
+ </li>
+ <li> <a href="cryptoclass4.xhtml">
+       Laboratory Class 4: Simple Cryptosystems
+      </a>
+ </li>
+ <li> <a href="cryptoclass5.xhtml">
+       Laboratory Class 5: RSA and public-key cryptosystems
+      </a>
+ </li>
+ <li> <a href="cryptoclass6.xhtml">
+       Laboratory Class 6: Digital Signatures
+      </a>
+ </li>
+ <li> <a href="cryptoclass7.xhtml">
+       Laboratory Class 7: Knapsack cryptosystems
+      </a>
+ </li>
+ <li> <a href="cryptoclass8.xhtml">
+       Laboratory Class 8: Modes of Encryption
+      </a>
+ </li>
+ <li> <a href="cryptoclass9.xhtml">
+       Laboratory Class 9: Hash Functions
+      </a>
+ </li>
+</ol>
+<<page foot>>
+@
+
+\subsection{crytoclass1.xhtml}
+<<cryptoclass1.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+  <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+  <h3>Laboratory Class 1: Introduction to Axiom</h3>
+</center>
+<hr/>
+
+<b>Numbers and arithmetic</b>
+
+<ul>
+ <li> You can treat Axiom like a glorified calculator.  Enter the following:
+  <ul>
+   <li> <span class="cmd">3+5</span></li>
+   <li> <span class="cmd">5*7</span></li>
+   <li> <span class="cmd">2^3/3^5</span></li>
+   <li> <span class="cmd">(3^4)^5</span></li>
+   <li> <span class="cmd">3^(4^5)</span></li>
+  </ul>
+ </li>
+ <li> What happens if you enter the last command without the brackets?</li>
+
+ <li> To obtain the factorial <tt>n!</tt>, use the Axiom command 
+      <tt>factorial</tt>:
+  <ul>
+   <li> <span class="cmd">factorial(10)</span></li>
+  </ul>
+ </li>
+ <li> By trial and error, find the smallest number whose factorial 
+      ends in six zeros.
+ </li>
+</ul>
+
+<b>Lists</b>
+
+<ul> 
+ <li> Assignment is done using "<tt>:=</tt>" 
+      where the <i>colon-equals</i> symbols are 
+      used for assigning a particular object to a variable.
+  <ul>
+   <li> <span class="cmd">var:=3</span></li>
+  </ul>
+ </li>
+ <li> Lists are created using square brackets;
+  <ul>
+   <li> <span class="cmd">mylist1:=[k^2 for k in 1..10]</span></li>
+  </ul>
+ </li>
+ <li> We can operate on all elements of a list using the 
+      <tt>reduce</tt> command:
+  <ul>
+   <li> <span class="cmd">reduce(+,mylist1)</span></li>
+   <li> <span class="cmd">reduce(*,mylist2)</span></li>
+  </ul>
+ </li>
+ <li> Of course, these could be done as single commands:
+  <ul>
+   <li> <span class="cmd">reduce(+,[k^2 for k in 1..10])</span></li>
+   <li> <span class="cmd">reduce(*,[1/j for j in 5..15])</span></li>
+  </ul>
+ </li>
+ <li> Notice how the last result is given as a single large fraction.  To
+      obtain a decimal result we can do either of two things:
+  <ol>
+   <li> Convert the output to be of type ``Float'':
+    <ul>
+     <li> <span class="cmd">reduce(*,[1/j for j in 5..15])::Float</span></li>
+     <li> Two colons can be used to change the type of an object.</li>
+    </ul>
+   </li>
+   <li> Use floats in the initial command: 
+    <ul>
+     <li> <span class="cmd">reduce(*,[1.0/j for j in 5..15])</span></li>
+    </ul>
+   </li>
+  </ol>
+ </li>
+ <li> Using lists, add up the first 1000 integers.</li>
+  
+ <li> By trial and error, find the smallest number <i>n</i> for which 
+      the sum of the first <i>n</i> reciprocals is bigger than 8.
+ </li>
+ <li> We can also add numbers by using the <tt>sum</tt> function; here's how
+      to add the first 100 reciprocals:
+  <ul>
+   <li> <span class="cmd">sum(1.0/k,k = 1..100)</span></li>
+  </ul>
+ </li>
+</ul>
+
+<b>Functions and maps</b>
+
+<ul>
+ <li> We shall create a simple function, and apply it to <tt>mylist1</tt> from
+      above:
+  <ul>
+   <li> <span class="cmd">f(x) == x-2</span></li>
+   <li> <span class="cmd">map(f,mylist1)</span></li>
+  </ul>
+ </li>  
+ <li> Supposing we want to subtract 2 from every element of a list without
+      having to create a function first.  In this case we can use the 
+      "mapping" symbols:
+  <ul>
+   <li> <span class="cmd">map(x +-> x-2,mylist1)</span></li>
+  </ul>
+ </li>  
+ <li> Create a list called <tt>nums</tt> containing all the integers from 1 
+      to 100.  Now we shall create a simple function <tt>f(x)</tt> which 
+      returns <tt>x</tt> if it is prime, and 0 otherwise.  The Axiom 
+      function <tt>prime?</tt> tests for primality:
+  <ul>
+   <li> <span class="cmd">f(x)==if prime?(x) then x else 0</span></li>
+  </ul>
+ </li>
+ <li> Now apply this function <tt>f</tt> to <tt>nums</tt>.  
+      Remove all the zeros:
+      <i>(% refers to the output of the last command.)</i>
+  <ul>
+   <li> <span class="cmd">remove(0,%)</span></li>
+  </ul>
+ </li>
+ <li> and determine how many primes there are, using the hash symbol #
+      which can be used to count the number of elements in a list:
+  <ul>
+   <li> <span class="cmd">#%</span></li>
+  </ul>
+ </li>
+ <li> These last commands can be done as a single command:
+  <ul>
+   <li> <span class="cmd">#remove(0,map(f,nums))</span></li>
+  </ul>
+ </li>
+ <li> Use the last command to create a function called <tt>numprimes</tt>
+      which will count the number of primes below any given integer.
+ </li>
+ <li> How many primes are there less than 1000?  Less than 10000?</li>
+  
+ <li> Alternatively, we can list all the primes below 100 by creating our 
+      list using the "such that" operator---a vertical stroke:
+  <ul>
+   <li> <span class="cmd">[k for k in 1..100 | prime?(k)]</span></li>
+  </ul>
+ </li>
+ <li> or we could just return the length of the list:
+  <ul>
+   <li> <span class="cmd">#[k for k in 1..100 | prime?(k)]</span></li>
+  </ul>
+ </li>
+ <li> Use this approach to create a function called <tt>numprimes2</tt>
+      which will count the number of primes below any given integer.
+ </li>
+ <li>How many primes are there less than 2000?  Less than 15000?</li>
+</ul>
+
+<b>Housekeeping</b><br/>
+
+Axiom contains many commands for managing your workspace and your
+environment; such commands are all prefixed with a right parenthesis.
+
+<ul>
+ <li> Sometimes you need to clear a variable, say a variable <tt>x</tt>:
+  <ul>
+   <li> <span class="cmd">)clear properties x</span></li>
+  </ul>
+ </li>
+ <li> Most commands of this sort can be abbreviated using their 
+      first two letters:
+  <ul>
+   <li> <span class="cmd">)cl pr x</span></li>
+  </ul>
+ </li>
+ <li> To clean out everything:
+  <ul>
+   <li> <span class="cmd">)cl all</span></li>
+  </ul>
+ </li>
+ <li> To see what variables you've accumulated over your work:
+  <ul>
+   <li> <span class="cmd">)display names</span></li>
+   <li> <i>or abbreviated as</i> )d n</li>
+  </ul>
+ </li>
+ <li> You may have noticed earlier that Axiom poured out lots 
+      of messages when it first "got going".  These can be turned off:
+  <ul>
+   <li> <span class="cmd">)set messages autoload off</span></li>
+  </ul>
+ </li>
+ <li> Note here that if you just type in "<tt>)set</tt>" or its abbreviation
+      "<tt>)se</tt>", you'll be presented with the list of all the possible
+      options.  Likewise "<tt>)se me</tt>" lists all possible options for
+      messages, and so on.
+ </li>
+ <li> Can you find the command which turns on a time function, 
+      so gives the time to compute each command?
+ </li>
+ <li> The command "<tt>)summary</tt> gives a quick summary of these
+      commands.
+ </li>
+ <li> To quit Axiom, type
+  <ul>
+   <li> <span class="cmd">)quit</span></li>
+  </ul>
+ </li>
+ <li> or its one letter abbreviation "<tt>)q</tt>", followed by <tt>y</tt> to
+      confirm.
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass2.xhtml}
+<<cryptoclass2.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 2: Strings and Values</h3>
+</center>
+<hr/>
+
+<b>Characters and Strings</b>
+
+<ul>
+ <li> All printable characters have a fixed ASCII value; some of which are:
+<br/>
+<pre>
+      Character |  A   B   Y   Z   a   b   y   z
+    ------------+-------------------------------
+    ASCII Value | 65  66  89  90  97  98  121 122
+                |
+      Character |  0   1   8   9   ,   -   .   /
+    ------------+-------------------------------
+    ASCII Value | 48  49  56  57  44  45  46  47 
+</pre>
+ </li>
+ <li> To obtain values 0 to 25 for A to Z, we need to subtract 65 from 
+      the ASCII values.  
+ </li>
+ <li> In Axiom, the <tt>ord</tt> command gives the ASCII value of a
+      character.  Create a string such as:
+  <ul>
+   <li> <span class="cmd">str:="THISISASTRING"</span></li>
+  </ul>
+ </li>
+ <li> A string can be turned into a list of characters using <tt>members</tt>:
+  <ul>
+   <li> <span class="cmd">members(str)</span></li>
+  </ul>
+ </li>
+ <li> This means a string can be turned into a list of ASCII values by 
+      mapping the <tt>ord</tt> function onto the list of members:
+  <ul>
+   <li> <span class="cmd">map(ord,members(str))</span></li>
+  </ul>
+ </li>
+ <li> To obtain values in the 0--25 range, try using an unnamed function:
+  <ul>
+   <li> <span class="cmd">strn:=map(x +-> ord(x)-65,members(str))</span></li>
+  </ul>
+ </li>
+ <li> Use this last command to create a function <tt>str2lst</tt> which will
+      take a string (assumed to be of capital letters, with no spaces or
+      punctuation), and return a list of values between 0 and 25.
+ </li>
+ <li> To go the other way, we first need to add 65 to all elements of
+      <tt>strn</tt>:
+  <ul>
+   <li> <span class="cmd">map(x +-> x+65,strn)</span></li>
+  </ul>
+ </li>
+ <li> Turn this into characters with <tt>char</tt>:
+  <ul>
+   <li> <span class="cmd">map(char,%)</span></li>
+  </ul>
+ </li>
+ <li> These can be done as a single command:
+  <ul>
+   <li> <span class="cmd">map(x +-> char(x+65),strn)</span></li>
+  </ul>
+ </li>
+ <li> To put them all together as a single string we can concatenate them 
+      with the <tt>concat</tt> function from the <tt>String</tt> domain:
+  <ul>
+   <li> <span class="cmd">concat(%)$String</span></li>
+  </ul>
+ </li>
+ <li> In one line:
+  <ul>
+   <li> <span class="cmd">concat(map(x +-> char(x+65),strn))$String</span></li>
+  </ul>
+ </li>
+ <li> Alternatively, we could convert the characters to type <tt>String</tt>
+      before concatenation:
+  <ul>
+   <li> 
+    <span class="cmd">
+     concat(map(x +-> char(x+65)::String,strn))
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Use either version of this last command to create a function
+      <tt>lst2str</tt> which will take a list of values between 0 and 25 and
+      return a string.
+ </li>
+ <li> Create a text file in one of your private directories called
+      <tt>my3720.input</tt> and copy your <tt>str2lst</tt> and 
+      <tt>lst2str</tt> functions to it.
+ </li>
+ <li> You can read command line input from a file with the extension
+      <tt>.input</tt> using the <tt>)read</tt> command:
+  <ul>
+   <li> <span class="cmd">)read my3720</span></li>
+  </ul>
+ </li>
+ <li> The Caesar cipher can be implemented by the following three steps:
+  <ol>
+   <li> Turn the string into a list,</li>
+   <li> Add 3 to every number in the list,</li>
+   <li> Turn this new list back into a string.</li>
+  </ol>
+ </li>
+ <li> To ensure that step (2) remains in the 0--25 range, we need to use the
+      <tt>rem</tt> function.  These can all be put together as:
+  <ul>
+   <li> 
+    <span class="cmd">
+     caesar(str) == lst2str(map(x +-> (x+3) rem 26, str2lst(str)))
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Try this out on a few strings of your choice.</li>
+  
+ <li> By replacing the "<tt>+3</tt>" in the <tt>caesar</tt> function with
+  "<tt>+n</tt>" create a new function called <tt>trans(str,n)</tt> which
+  implements a general translation cipher.
+ </li>
+ <li> Test it out; these two commands should produce the same results.
+  <ul>
+   <li> <span class="cmd">caesar("MYSTRING")</span></li>
+   <li> <span class="cmd">trans("MYSTRING",3)</span></li>
+  </ul>
+ </li>
+ <li> If you like, add the <tt>caesar</tt> and <tt>trans</tt> functions to
+      your <tt>my3720.input</tt> file.
+ </li>
+ <li> Test your <tt>trans</tt> function out on a few other strings and
+      translation values.
+ </li>
+ <li> The <tt>ROT13</tt> cipher is used in Usenet postings to hide information
+      which might be considered offensive.  It is a translation cipher with a
+      shift of 13.  Since 13 is half of 26, this means that encrytion and
+      decryption are exactly the same.  Apply <tt>ROT13</tt> to:
+  <ul>
+   <li> GUVFVFNIRELFREVBHFOHFVARFF</li>
+  </ul>
+ </li>
+ <li> Consider this string which has been produced with a translation cipher.
+      To decrypt it, simply apply all possible shifts until you obtain 
+      understandable text. 
+  <ul>
+   <li> IUDTCUQBBOEKHCEDUO</li>
+  </ul>
+ </li>
+ <li> To apply all the possible shifts do:
+  <ol>
+   <li> <span class="cmd">ct:="IUDTCUQBBOEKHCEDUO"</span></li>
+   <li> <span class="cmd">for i in 1..26 repeat output trans(ct,i)</span></li>
+  </ol>
+ </li>
+ <li> What is the plaintext?</li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass3.xhtml}
+<<cryptoclass3.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 3: Number Theory</h3>
+</center>
+<hr/>
+
+<ul>
+
+ <li> Check out the commands <tt>gcd</tt> and <tt>factor</tt>, and test them
+  on different numbers, small and large.
+ </li>  
+ <li> Axiom provides a few useful commands for taking apart the factors of an
+  object:
+  <ul>
+   <li> <span class="cmd">n:=5040</span></li>
+   <li> <span class="cmd">f:=factor(n)</span></li>
+   <li> <span class="cmd">numf:=numberOfFactors(f)</span></li>
+   <li> <span class="cmd">fs:=[nthFactor(f,i) for i in 1..numf]</span></li>
+   <li> <span class="cmd">es:=[nthExponent(f,i) for i in 1..numf]</span></li>
+   <li> <span class="cmd">reduce(*,[fs.i^es.i for i in 1..numf])</span></li>
+  </ul>
+ </li>
+ <li> The last command simply multiplies all the factors to their powers.</li>
+ 
+ <li> Check out the commands <tt>prime?</tt>, <tt>nextPrime</tt> and
+      <tt>prevPrime</tt>.
+ </li>
+ <li> To compute the <tt>i</tt>-th prime, we can construct a <i>stream</i>
+      (an infinite list) in Axiom:
+  <ul>
+   <li> 
+    <span class="cmd">
+     primes:Stream Integer:=[i for i in 2.. | prime? i]
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Now we can find, for example, the 100-th prime, and the 2500-th prime:
+  <ul>
+   <li> <span class="cmd">primes.100</span></li>
+   <li> <span class="cmd">primes.2500</span></li>
+  </ul>
+ </li>
+ <li> Create random 10 digit primes:
+  <ul>
+   <li> <span class="cmd">p := nextPrime(random(10^10))</span></li>
+   <li> <span class="cmd">q := nextPrime(random(10^10))</span></li>
+  </ul>
+ </li>
+ <li> Now multiply them and factor the product.  How long did it take?</li>
+
+ <li> Try the same thing with 12 digit primes and 15 digit primes.</li>
+  
+ <li> The extended Euclidean algorithm is implemented by the command
+  <tt>extendedEuclidean</tt>.  Here's how to use it:
+  <ul>
+   <li> <span class="cmd">a:=1149</span></li>
+   <li> <span class="cmd">b:=3137</span></li>
+   <li> <span class="cmd">g:=extendedEuclidean(a,b)</span></li>
+   <li> <span class="cmd">s:=g.coef1</span></li>
+   <li> <span class="cmd">t:=g.coef2</span></li>
+  </ul>
+ </li>
+ <li> and now test them:
+  <ul>
+   <li> <span class="cmd">s*a+t*b</span></li>
+  </ul>
+ </li>
+ <li> Try this on a few other numbers.</li>
+  
+ <li> Axiom uses the command <tt>positiveRemainder</tt> instead of
+      <tt>mod</tt> command, so let's define <tt>mod</tt> to be a renaming 
+      of the <tt>positiveRemainder</tt> function:
+  <ul>
+   <li> <span class="cmd">mod ==> positiveRemainder</span></li>
+  </ul>
+ </li>
+ <li> Now the commands <tt>addmod</tt>, <tt>submod</tt>, <tt>mulmod</tt>, and
+      <tt>invmod</tt> can be used to perform modular arithmetic.  Here's a few
+      examples; first a simple modulus calculation:
+  <ul>
+   <li> <span class="cmd">-10 mod 3</span></li>
+  </ul>
+ </li>
+ <li> Addition, subtraction and multiplication mod 14:
+  <ul>
+   <li> <span class="cmd">addmod(10,13,14)</span></li>
+   <li> <span class="cmd">submod(17,23,14)</span></li>
+   <li> <span class="cmd">mulmod(13,27,14)</span></li>
+  </ul>
+ </li>
+ <li> Powers and inverses:
+  <ul>
+   <li> <span class="cmd">powmod(19,237,14)</span></li>
+   <li> <span class="cmd">invmod(11,14)</span></li>
+  </ul>
+ </li>
+ <li> Find out what happens if you try to take an inverse of a number not
+      relatively prime to the modulus:
+  <ul>
+   <li> <span class="cmd">invmod(12,14)</span></li>
+  </ul>
+ </li>
+ <li> Try these command with a few other numbers, and test out the examples in
+  the notes.
+ </li>
+ <li> The second method, which can be more powerful, is to treat all numbers
+  as elements of the residue values 0 to <tt>n-1</tt>.  This can be done with 
+  the <tt>IntegerMod</tt> construction, or its abbreviation <tt>ZMOD</tt>.  
+  Here's a few examples:
+  <ul>
+   <li> <span class="cmd">a:=11::ZMOD 14</span></li>
+  </ul>
+ </li>
+ <li> This declares the variable <tt>a</tt> to be a member of the residue 
+      class modulo 14.  Now all arithmetic including <tt>a</tt> will be 
+      reduced to this same class of values:
+  <ul>
+   <li> <span class="cmd">a+25</span></li>
+   <li> <span class="cmd">a*39</span></li>
+   <li> <span class="cmd">a^537</span></li>
+  </ul>
+ </li>
+ <li> Inversion can be done with the <tt>recip</tt> command:
+  <ul>
+   <li> <span class="cmd">recip(a)</span></li>
+  </ul>
+ </li>  
+ <li> We don't have to define a variable first.  All the above commands could
+      be equivalently written as:
+  <ul>
+   <li> <span class="cmd">(11::ZMOD 14)+25</span></li>
+   <li> <span class="cmd">11::ZMOD 14*39</span></li>
+   <li> <span class="cmd">11::ZMOD 14^537</span></li>
+   <li> <span class="cmd">recip(11::ZMOD 14)</span></li>
+  </ul>
+ </li>  
+ <li> If the modulus is a prime, then division (by non-zero values) is also
+      possible.  Axiom provides the alternative construction 
+      <tt>PrimeField</tt> or more simply <tt>PF</tt>.  For example:
+  <ul>
+   <li> <span class="cmd">a:=7::PF 11</span></li>
+  </ul>
+ </li>
+ <li> All the above arithmetic operations of addition, subtraction, 
+      multiplication and powers work, but now we also have inversion:
+  <ul>
+   <li> <span class="cmd">1/a</span></li>
+  </ul>
+ </li>
+ <li> Using any of the methods you like, test out Fermat's theorem for a large
+      prime <tt>p</tt> and an integer <tt>a</tt>.
+ </li>  
+ <li> Euler's totient function is implemented with <tt>eulerPhi</tt>.  Choose
+      a large integer <tt>n</tt>, a random <tt>a</tt> with 
+      <tt>gcd(a,n)=1</tt> , and test Euler's theorem
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass4.xhtml}
+<<cryptoclass4.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 4: Simple Cryptosystems</h3>
+</center>
+<hr/>
+
+We have experimented with the Caesar cipher and the more general
+translation cipher.  We shall start looking at the Vigen&#x0E8;re cipher.
+The trick is to add the correct letter of the code to the letter of
+the key:
+<pre>
+ Index of plain text i: 1  2  3  4  5  6  7  8
+             Plaintext: W  I  T  H  D  R  A  W
+                   Key: C  O  D  E  C  O  D  E
+        Index of key j: 1  2  3  4  1  2  3  4
+</pre>
+
+The indices of the key repeat 1, 2, 3, 4.  We can get a repetition of
+length four by using a modulus of 4:
+<pre>
+                     i: 1  2  3  4  5  6  7  8
+             i (mod 4): 1  2  3  0  1  2  3  0
+</pre>
+
+What we need to do is to subtract one before the modulus, and add one after:
+<pre>
+                     i: 1  2  3  4  5  6  7  8
+                   i-1: 0  1  2  3  4  5  6  7
+           i-1 (mod 4): 0  1  2  3  0  1  2  3
+       i-1 (mod 4) + 1: 1  2  3  4  1  2  3  4
+</pre>
+
+This means that in the Vigen&#x0E8;re cipher, we add the <i>i</i>-th
+character of the plaintext, and the <i>j</i>-th character of the key, where
+<pre>
+   j=i-1 (mod n) + 1
+</pre>
+with <i>n</i> being the length of the key.
+
+<ul>
+
+ <li> First read in the <tt>rcm3720.input</tt> file you have created:
+  <ul>
+   <li> <span class="cmd">)read rcm3720</span></li>
+  </ul>
+
+  You may have to include the full path here.
+ </li>
+ <li> Enter a plaintext
+  <ul>
+   <li> <span class="cmd">plaintext:="WITHDRAWONEHUNDREDDOLLARS"</span></li>
+  </ul>
+ </li>
+ <li> and a keyword:
+  <ul>
+   <li> <span class="cmd">key := "CODE"</span></li>
+  </ul>
+ </li>
+ <li> Now we can obtain the lengths of the plaintext and key with the hash
+      symbol:
+  <ul>
+   <li> <span class="cmd">pn:=#plaintext</span></li>
+   <li> <span class="cmd">kn:=#key</span></li>
+  </ul>
+ </li>
+ <li> Turn both plaintext and key into lists of numbers:
+  <ul>
+   <li> <span class="cmd">pl:=str2lst(plaintext)</span></li>
+   <li> <span class="cmd">kl:=str2lst(key)</span></li>
+  </ul>
+ </li>  
+ <li> Now we can add them using the formula for <tt>j</tt> above to obtain 
+      the list corresponding to the ciphertext:
+  <ul>
+   <li> 
+    <span class="cmd">
+     cl:=[(pl.i+kl.((i-1) rem kn+1))::ZMOD 26 for i in 1..pn]
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> And obtain the ciphertext (we need to convert our list to a list of
+      integers first):
+  <ul>
+   <li> <span class="cmd">ciphertext:=lst2str(cl::List INT)</span></li>
+  </ul>
+ </li>
+ <li> Try a few other Vigen&#x0E8;re encryptions.</li>
+  
+ <li> To decrypt, we just <i>subtract</i> the key value from the ciphertext
+  value:
+  <ul>
+   <li> 
+    <span class="cmd">
+     pl:=[(cl.i+kl.((i-1) rem kn+1))::ZMOD 26 for i in 1..pn]
+    </span>
+    </li>
+   <li> <span class="cmd">lst2str(pl::List INT)</span></li>
+  </ul>
+ </li>  
+ <li> Now for the Hill (matrix) cipher.  We shall use <tt>3 x 3</tt>
+  matrices, so first create a plaintext whose length is a multiple of 3:
+  <ul>
+   <li> <span class="cmd">plaintext:="WITHDRAWONEHUNDREDDOLLARSXX"</span></li>
+   <li> <span class="cmd">pl:=str2lst(plaintext)</span></li>
+   <li> <span class="cmd">r:=3</span></li>
+   <li> <span class="cmd">c:INT:=#pl/r</span></li>
+  </ul>
+ </li>
+ <li> The values <tt>r</tt> and <tt>c</tt> are the row and column numbers 
+      of the plaintext matrix.
+ </li>  
+ <li> Now put all the plaintext values into a <tt>r x c</tt> matrix:
+  <ul>
+   <li> 
+    <span class="cmd">
+     S:=matrix([[pl.(r*(i-1)+j) for i in 1..c] for j in 1..r])
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Create the key matrix:
+  <ul>
+   <li> 
+    <span class="cmd">
+     M:Matrix ZMOD 26:=matrix([[22,11,19],[15,20,24],[25,21,16]])
+    </span>
+   </li>
+  </ul>
+ </li>  
+ <li> Multiply the two matrices:
+  <ul>
+   <li> <span class="cmd">C:=M*S</span></li>
+  </ul>
+ </li>
+ <li> Notice how the results are automatically reduced modulo 26,
+      because that is how the matrix <tt>M</tt> was defined.
+ </li> 
+ <li> Now we have to read off the elements of <tt>C</tt> into a single list;
+  this can be done by transposing the matrix, and reading off the rows as
+  lists:
+  <ul>
+   <li> 
+    <span class="cmd">
+     CL:=concat(transpose(C)::List List ZMOD 26)
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> And finally turn into ciphertext:
+  <ul>
+   <li> <span class="cmd">lst2str(CL::List INT)</span></li>
+  </ul>
+ </li>
+ <li> Finally, here's how we can invert our matrix <tt>M</tt> modulo 26:
+  <ul>
+   <li> <span class="cmd">adj:=adjoint(M).adjMat</span></li>
+   <li> <span class="cmd">invdet:=recip(determinant(M))</span></li>
+   <li> <span class="cmd">MI:=invdet*adj</span></li>
+  </ul>
+ </li>
+ <li> Or alternatively, as one command:
+  <ul>
+   <li> 
+    <span class="cmd">
+     MI:=recip(determinant(M))*adjoint(M).adjMat
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Check the result:
+  <ul>
+   <li> <span class="cmd">M*MI</span></li>
+  </ul>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass5.xhtml}
+<<cryptoclass5.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 5: RSA and public-key cryptosystems</h3>
+</center>
+<hr/>
+<ul>
+ <li> Read in this file:
+  <ul>
+   <li> 
+    <span class="cmd">
+     )read "S:/Samples/RCM3720/rcm3720.input" )quiet
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> You can leave the "<tt>)quiet</tt>" off if you like.  The file
+  is also available <a href="rcm3720.input">here</a>.  
+  If you obtain it from the
+  website, save it to a place of your choice, and <tt>read</tt> it
+  into your Axiom session using the full path, as shown above.
+ </li>
+ <li> Now create some large primes and their product:
+  <ul>
+   <li> <span class="cmd">r() == rand(2^100)</span></li>
+   <li> <span class="cmd">p:=nextPrime(r())</span></li>
+   <li> <span class="cmd">q:=nextPrime(r())</span></li>
+   <li> <span class="cmd">n:=p*q</span></li>
+  </ul>
+ </li>
+ <li> Choose a value <tt>e</tt> and ensure that it is relatively prime 
+      to your <tt>(p-1)(q-1)</tt>, and determine 
+      <tt>d=e^-1 mod (p-1)(q-1)</tt>.  (Use the <tt>invmod</tt> function here).
+ </li>
+ <li> Create a plaintext:
+  <ul>
+   <li> <span class="cmd">pl:="This is my plaintext."</span></li>
+  </ul>
+ </li>
+ <li> (or any plaintext you like), and convert it to a number using the
+      <tt>str2num</tt> procedure from the file above:
+  <ul>
+    <li> <span class="cmd">pln:=str2num(pl)</span></li>
+  </ul>
+ </li>
+ <li> Encrypt this number using the RSA method:
+  <ul>
+   <li> <span class="cmd">ct:=powmod(pln,e,n)</span></li>
+  </ul>
+ </li>
+ <li> and decrypt the result:
+  <ul>
+   <li> <span class="cmd">decrypt:=powmod(ct,d,n)</span></li>
+   <li> <span class="cmd">num2str(decrypt)</span></li>
+  </ul>  
+ </li>
+ <li> With a friend, swap your public keys and use them to send
+      each other a ciphertext encrypted with your friend's public key.
+ </li>
+ <li> Now decrypt the ciphertext you have received using your private key.</li>
+  
+ <li> Now try Rabin: create two large primes <tt>p</tt> and <tt>q</tt> and 
+      ensure that each is equal to 3 mod 4.  (You might have to run the 
+      <tt>nextPrime</tt> command a few times until you get primes which work.)
+ </li>
+ <li> Create <tt>N=pq</tt> and create a plaintext <tt>pl</tt>, and its 
+      numerical equivalent.
+ </li>
+ <li> Determine the ciphertext <tt>c</tt> by squaring your 
+      number mod <tt>N</tt>.
+ </li>
+ <li> Determine the <tt>s</tt> and <tt>t</tt> for which <tt>sp+tq=1</tt> 
+      by using the <tt>extendedEuclidean</tt> function.
+ </li> 
+ <li> Now follow through the Rabin decryption:
+  <ul>
+   <li> <span class="cmd">cp:=powmod(c,(p+1)/4,N) </span></li>
+   <li> <span class="cmd">cq:=powmod(c,(q+1)/4,N)</span></li>
+   <li> 
+    <span class="cmd">
+     c1:=(s*p*cq+t*q*cp)::ZMOD N,num2str(c1::INT)
+    </span>
+   </li>
+   <li> 
+    <span class="cmd">
+     c2:=(s*p*cq-t*q*cp)::ZMOD N,num2str(c2::INT)
+    </span>
+   </li>
+   <li> 
+    <span class="cmd">
+     c3:=(-s*p*cq-t*q*cp)::ZMOD N,num2str(c3::INT)
+    </span>
+   </li>
+   <li> 
+    <span class="cmd">
+     c4:=(-s*p*cq+t*q*cp)::ZMOD N,num2str(c4::INT)
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> One of the outputs <tt>c1</tt>, <tt>c2</tt>, <tt>c3</tt> and
+      <tt>c4</tt> should produce the correct plaintext; the others should be
+      gibberish.
+ </li>
+ <li> As above, swap public keys with a friend, and use those public
+      keys to encrypt a message to him or her.  Now decrypt the ciphertext
+      you have been given.
+ </li>
+ <li> For the el Gamal system, you need a large prime and a primitive
+      root. Create a large prime <tt>p</tt> and find a primitive root 
+      <tt>a</tt> using.
+  <ul>
+   <li> <span class="cmd">a:=primitiveElement()$PF p</span></li>
+  </ul>
+ </li>
+ <li> The <tt>primitiveElement</tt> command is not very efficient, so
+      if it seems to be taking a long time, abort the computation and try
+      with another prime.
+ </li>
+ <li> Do this in pairs with a friend, so that you each agree on a
+      large prime and a primitive root.
+ </li>
+ <li> Now choose a random value <tt>A</tt>:
+  <ul>
+   <li> <span class="cmd">A:=random(p-1)</span></li>
+  </ul>
+ </li>
+ <li> and create your public key <tt>A1=a^A (mod p)</tt>:
+  <ul>
+   <li> <span class="cmd">A1:=a^A</span></li>
+  </ul>
+ </li>
+ <li> Swap public keys with your friend.</li>
+  
+ <li> Create a plaintext <tt>pl</tt> and its number <tt>pln</tt>, and create
+      the ciphertext as follows (where <tt>A1</tt> is your friend's 
+      public key):
+  <ul>
+   <li> <span class="cmd">k:=random(p-1)</span></li>
+   <li> <span class="cmd">K:=A1^k</span></li>
+   <li> <span class="cmd">C:=[a^k, K*pln]</span></li>
+  </ul>
+ </li>
+ <li> This pair <tt>C</tt> is the ciphertext you send to your friend.</li>
+  
+ <li> Now decrypt the ciphertext you have been sent:
+  <ul>
+   <li> <span class="cmd">K:=C.1 ^ A</span></li>
+   <li> <span class="cmd">m:=C.2/K</span></li>
+   <li> <span class="cmd">num2str(m::INT)</span></li>
+  </ul>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass6.xhtml}
+<<cryptoclass6.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 6: Digital Signatures</h3>
+</center>
+<hr/>
+
+You will need to read in the <a href="rcm3720.input">rcm3720.input</a>
+file for the <tt>str2num</tt> and <tt>num2str</tt> procedures.
+<br/>
+<b>NOTE:</b> To save typing in all the messages and long signature
+numbers, just copy them from <a href="signatures.txt">signatures.txt</a>
+
+<ul>
+
+ <li> For an RSA signature scheme, I provide the public key <i>(n,e)</i>, where
+<pre>
+      137
+   n=2   -1,  e=17
+</pre>
+ </li>
+ <li> This value <tt>n</tt> has two large prime factors. 
+      Use my public key to verify my signature of the following message:
+<pre>
+   This is my text.
+   68767027465671577191073128495082795700768
+</pre>
+ </li> 
+ <li> Now try with the public key
+<pre>
+      67
+  n=(6   - 1)/5,  e=17
+</pre>
+ </li>
+ <li> to verify my signature:
+<pre>
+   Please feed my dog!
+   1703215098456351993605104919259566435843590978852633
+</pre>
+ </li>
+ <li> For a Rabin signature scheme, I provide the public key 
+<pre>
+       74
+   N=(7  -1)/6,
+</pre>
+  which I know can be factorized into two large primes.
+ </li>
+ <li> Check the following message and signature:
+<pre>
+   Arrive Thursday.
+   189479723122534414019783447271411895509
+</pre>
+ </li> 
+  
+ <li> For an El Gamal signature scheme, I choose the next prime after
+<pre>
+     150
+    2
+</pre>
+  which has a primitive root <tt>a=2</tt>.  My public key is
+<pre>
+    B=1369851585774063312693119161120024351761244461
+</pre>
+ </li>
+ <li> Verify the signature
+<pre>
+    Leave AT ONCE!,
+    1389080525305754392111976715361069425353578198
+    1141326468070168229982976133801721430306004477
+</pre>
+ </li> 
+ <li> For a DSS signature, choose <tt>p</tt> to be the next prime after
+<pre>
+     170
+    2     and q=143441505468590696209
+</pre>
+ </li>
+ <li> Verify that <tt>q</tt> is a divisor of <tt>p-1</tt>.
+  
+  A primitive root of <tt>p</tt> is <tt>a=3</tt>.  
+  Use this primitive root to determine
+<pre>
+         (p-1)/q
+    g = a        mod p
+</pre>
+ </li>
+ <li> The public key value is
+<pre>
+    B=1394256880659595564848116770226045673904445792389839.
+</pre>
+ </li>
+ <li> Now using these values, verify this signature:
+<pre>
+    Now's your chance!
+    64609209464638355801
+    13824808741200493330
+</pre>
+ </li>
+ <li> Now exchange some public keys with a friend, and sign messages to each
+      other. Then verify the signatures you have been sent. Make sure you try
+      each of
+  <ul>
+   <li> RSA signatures,</li>
+   <li> Rabin signatures,</li>
+   <li> El Gamal signatures,</li>
+   <li> DSS.</li>
+  </ul>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass7.xhtml}
+<<cryptoclass7.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 7: Knapsack cryptosystems</h3>
+</center>
+<hr/>
+
+You will need to read in the <a href="rcm3720.input">rcm3720.input</a>
+file for various necessary procedures.
+<br/><br/>
+<b>The subset sum problem</b>
+<br/><br/>
+
+We will first experiment with this problem; creating random lists and adding
+up elements from them.
+
+<ul>
+ <li> Start with a list of eight elements:
+  <ul>
+   <li> <span class="cmd">ln:=8</span></li>
+   <li> <span class="cmd">lst:=[random(10^6) for i in 1..ln]</span></li>
+   <li> <span class="cmd">m:=[random(2) for i in 1..ln]</span></li>
+   <li> <span class="cmd">c:=reduce(+,[m.i*lst.i for i in 1..ln])</span></li>
+   <li> <span class="cmd">subsetsum(lst,c)</span></li>
+  </ul>
+ </li>
+ <li> The <tt>subsetsum</tt> command implements a fairly non-efficient 
+      command for attemping to solve the subset sum problem for an 
+      arbitrary list.
+ </li>
+ <li> Try the above commands, but starting with a length <tt>ln</tt> of
+      12. You should find the command is a bit slower this time.  
+      Use this command to time it:
+  <ul>
+   <li> <span class="cmd">)set messages time on</span></li>
+  </ul>
+ </li>
+ <li> Experiment with lengths of 16 and 20.  How long does the
+      <tt>subsetsum</tt> command take for each of these values?
+ </li>
+</ul>
+<br/><br/>
+<b>Superincreasing sequences</b>
+
+<ul>
+ <li> Create a superincreasing sequence with
+  <ul>
+   <li> <span class="cmd">ln:=8</span></li>
+   <li> <span class="cmd">lst:=[random(10^6) for i in 1..ln]</span></li>
+   <li> 
+    <span class="cmd">
+     for i in 2..ln repeat lst.i:=reduce(+,[lst.j for j in 1..i-1])+random(10)+1
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Now create <tt>m</tt> and <tt>c</tt> as above.  This time, solve the
+      problem with
+  <ul>
+   <li> <span class="cmd">siSolve(lst,c)</span></li>
+  </ul>  
+ </li>
+ <li> Now try with larger lengths: 12, 16 and 20, and time the commands each
+      time.
+ </li>
+ <li> What can you say about solving the subset sum problem for general and
+      superincreasing lists?
+ </li>
+</ul>
+<br/><br/>
+<b>The Merkle-Hellman additive knapsack system</b>
+
+<ul>
+ <li> Create a superincreasing list of length <tt>ln</tt> 10, and call it
+  <tt>a</tt>.  Create a new number <tt>N</tt> greater than the sum of all
+  values of <tt>a</tt>.  Check with
+  <ul>
+   <li> <span class="cmd">N>reduce(+,[a.i for i in 1..ln])</span></li>
+  </ul>
+ </li>
+ <li> Now choose (randomly) a value <b>wN</b> and which is
+      relatively prime to <b>N</b>.  Then construct your public key:
+  <ul>
+   <li> <span class="cmd">b:=map(x +-> x*w rem N,a)</span></li>
+  </ul>  
+ </li>
+ <li> Now for an encryption and decryption. Create a random message <tt>m</tt>
+  as above, and encrypt it to a ciphertext <tt>c</tt> using the public key
+  <tt>b</tt>. 
+ </li>
+ <li> Decrypt it as follows:
+  <ul>
+   <li> <span class="cmd">c1:=inv_mod(w,N)*c rem N</span></li>
+   <li> <span class="cmd">siSolve(a,c1)</span></li>
+  </ul>
+ </li>
+ <li> 
+  Experiment with longer lists and messages: 12, 16, 20 or even larger.
+ </li>
+</ul>
+<br/><br/>
+<b>The Merkle-Hellman multiplicative knapsack system</b>
+
+<ul>
+ <li> Choose <tt>a</tt> to be the first ten primes, 
+      and a large prime <tt>p</tt>:
+  <ul>
+   <li> <span class="cmd">a:=[2,3,5,7,11,13,17,19,23,29]</span></li>
+   <li> <span class="cmd">p:=6469785001</span></li>
+  </ul>
+ </li>
+ <li> Check that <tt>p</tt> is greater than the product of all elements of
+      <tt>a</tt>:
+  <ul>
+   <li> <span class="cmd">p>reduce(*,[a.i for i in 1..10])</span></li>
+  </ul>
+ </li>
+ <li> and that <tt>p-1</tt> has only small factors:
+  <ul>
+   <li> <span class="cmd">factor(p-1)</span></li>
+  </ul>
+ </li>
+ <li> Choose as a primitive root the value 34:
+  <ul>
+   <li> <span class="cmd">r:=34</span></li>
+   <li> <span class="cmd">primitive?(r)$PF(p)</span></li>
+  </ul>  
+ </li>  
+ <li> and compute the public key: 
+  <ul>
+   <li> <span class="cmd">b:=map(x +-> discreteLog(r,x)$PF(p),a)</span></li>
+  </ul>  
+ </li>
+ <li> Create a message of length 10, and encrypt it using the public key
+  <tt>b</tt>:
+  <ul>
+   <li> 
+    <span class="cmd">
+     c:=reduce(+,[m.i*b.i::INT for i in 1..ln])
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Decryption is now done with:
+  <ul>
+   <li> <span class="cmd">c1:=powmod(r,c,p)</span></li>
+   <li> <span class="cmd">factor(c1)</span></li>
+  </ul>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass8.xhtml}
+<<cryptoclass8.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 8: Modes of Encryption</h3>
+</center>
+<hr/>
+
+We will investigate the different modes of encryption using the Hill
+(matrix) cryptosystem.  Start off by entering some matrices:
+  <ul>
+   <li> 
+    <span class="cmd">
+     M:=matrix([[15,9,21],[2,10,7],[16,11,12]])::Matrix ZMOD 26
+    </span>
+   </li>
+   <li> 
+    <span class="cmd">
+     MI:=matrix([[7,17,19],[24,0,23],[12,25,10]])::Matrix ZMOD 26
+    </span>
+   </li>
+  </ul>
+
+Check that you've entered everything correctly with
+  <ul>
+   <li> <span class="cmd">M*MI</span></li>
+  </ul>
+
+Note that because the matrices were defined in terms of numbers mod 26,
+their product is automatically reduced mod 26.
+
+Now enter the following column vector:
+  <ul>
+   <li> 
+    <span class="cmd">
+     zero31:=matrix([[0],[0],[0]])::Matrix ZMOD 26
+    </span>
+   </li>
+  </ul>
+ 
+For this lab, rather than fiddling about with translations between 
+letters and numbers, all our work will be done with numbers alone 
+(in the range 0..25).
+
+<br/><br/>
+<b>ECB</b>
+<br/><br/>
+For electronic codebook mode, encryption is performed by multiplying each
+plaintext block by the matrix, and decryption by multiplying each ciphertext
+block by the inverse matrix:
+<pre>
+                  -1
+    C =M.P ,  P =M  C
+     i    i    i     i
+</pre>
+where all arithmetic is performed mod 26.
+
+<ul>
+ <li> Start by entering a plaintext, which will be a list of column vectors:
+  <ul>
+   <li> 
+    <span class="cmd">
+     P:=[matrix([[3*i],[3*i+1],[3*i+2]]) for i in 0..7]
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> and a list which will receive the ciphertext:
+  <ul>
+   <li> <span class="cmd">C:=[zero31 for i in 1..8]</span></li>
+  </ul>
+ </li>
+ <li> and encrypt it: 
+  <ul>
+   <li> <span class="cmd">for i in 1..8 repeat C.i:=M*P.i</span></li>
+  </ul>
+ </li>
+ <li> Now decrypt (first make an empty list <tt>D</tt>):
+  <ul>
+   <li> <span class="cmd">D:=[zero31 for i in 1..8]</span></li>
+   <li> <span class="cmd">for i in 1..8 repeat D.i:=MI*C.i</span></li>
+  </ul>
+ </li>
+ <li> If all has worked out, the list <tt>D</tt> should be the same 
+      plaintext you obtained earlier.
+ </li>
+ <li> Now change one value in the plaintext:
+  <ul>
+   <li> <span class="cmd">Q:=P</span></li>
+   <li> <span class="cmd">Q.3:=matrix([[6],[19],[8]])</span></li>
+  </ul>
+ </li>
+ <li> Now encrypt the new plaintext <tt>Q</tt> to a ciphertext <tt>E</tt>. How
+  does this ciphertext differ from the ciphertext <tt>C</tt> obtained from
+  <tt>P</tt>?
+ </li>
+ <li> Check that you can decrypt <tt>E</tt> to obtain <tt>Q</tt>.</li>
+</ul>
+<br/><br/>
+<b>CBC</b>
+<br/><br/>
+For cipherblock chaining mode, the encryption formula for the Hill
+cryptosystem is
+<pre>
+   C =M(P +C   )
+    i    i  i-1
+</pre>
+and decryption is
+<pre>
+       -1
+   P =M  C -C
+    i     i  i-1
+</pre>
+
+<ul>
+ <li> To enable us to use these formulas, we shall first add an extra column
+  to the front of <tt>P</tt> and <tt>C</tt>:
+  <ul>
+   <li> <span class="cmd">P:=append([zero31],P)</span></li>
+   <li> <span class="cmd">C:=append([zero31],C)</span></li>
+  </ul>
+ </li>
+ <li> And we need to create a initialization vector:
+  <ul>
+   <li> <span class="cmd">IV:=matrix([[random(26)] for i in 1..3])</span></li>
+  </ul>
+ </li>
+ <li> Now for encryption:
+  <ul>
+   <li> <span class="cmd">C.1:=IV</span></li>
+   <li> 
+    <span class="cmd">
+     for i in 2..9 repeat C.i:=M*(P.i+C.(i-1))
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Let's try to decrypt the ciphertext, using the CBC formula:
+  <ul>
+   <li> <span class="cmd">D:=[zero31 for i in 1..9]</span></li>
+   <li>
+    <span class="cmd">
+     for i in 2..9 repeat D.i:=MI*(C.i)-C.(i-1)
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Did it work out?</li>
+  
+ <li> As before, change one value in the plaintext:
+  <ul>
+   <li> <span class="cmd">Q:=P</span></li>
+   <li> <span class="cmd">Q.4:=matrix([[6],[19],[8]])</span></li>
+  </ul>
+ </li>
+ <li> Now encrypt <tt>Q</tt> to <tt>E</tt> following the procedure outlined
+      above.  Compare <tt>E</tt> with <tt>C</tt>---
+      how much difference is there?
+      How does this difference compare with the differences of ciphertexts
+      obtained with ECB?
+ </li>
+ <li> Just to make sure you can do it, decrypt <tt>E</tt> and make sure you
+  end up with a list equal to <tt>Q</tt>.
+ </li>
+</ul>
+<br/><br/>
+<b>OFB</b>
+<br/><br/>
+Output feedback mode works by creating a <i>key stream</i>, and then adding 
+it to the plaintext to obtain the ciphertext.  With the Hill system, and an
+initialization vector <tt>IV</tt>:
+<pre>
+   k =IV,   k =Mk
+    1        i   i-1
+</pre>
+and then
+<pre>
+   c =p +k
+    i  i  i
+</pre>
+
+<ul>
+ <li> First, the key stream:
+  <ul>
+   <li> <span class="cmd">K:=[zero31 for i in 1..9]</span></li>
+   <li> <span class="cmd">K.1:=IV</span></li>
+   <li> <span class="cmd">for i in 2..9 repeat K.i:=M*K.(i-1)</span></li>
+  </ul>
+ </li>
+ <li> and next the encryption:
+  <ul>
+   <li> <span class="cmd">for i in 2..9 repeat C.i:=K.i+P.i</span></li>
+  </ul>
+ </li>
+ <li> What is the formula for decryption?  
+      Apply it to your ciphertext <tt>C</tt>.
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass9.xhtml}
+<<cryptoclass9.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 9: Hash Functions</h3>
+</center>
+<hr/>
+<br/><br/>
+<b>A simple hash</b>
+<br/><br/>
+Given two prime numbers <tt>p</tt> and <tt>q</tt>, and their product 
+<tt>N</tt>, we can define a hash of a number <tt>n</tt> to be
+<pre>
+           n
+   hash = g  (mod N)
+</pre>
+
+This is provably collision resistant, because if we want to find two hashes
+which are equal, then we need to find <tt>m</tt> and <tt>n</tt> for which
+<pre>
+    m    n
+   g  = g  (mod N)
+</pre>
+or that
+<pre>
+    m-n
+   g    = 1 (mod N)
+</pre>
+
+By Euler's theorem, we know that
+<pre>
+    &#x3D5;(N)
+   g         = 1 (mod N)
+</pre>
+
+This means that finding a collision requires finding two numbers 
+<tt>m</tt> and <tt>n</tt> for which
+<pre>
+   m = n (mod &#x3D5;(N))
+</pre>
+
+Since computing &#x3D5;(N) requires a knowledge of the factorization of 
+<tt>N</tt>, this will be hard if <tt>p</tt> and <tt>q</tt> are large.
+
+<ul>
+ <li> Enter the following commands:
+  <ul>
+   <li> <span class="cmd">p:=nextPrime(87654321)</span></li>
+   <li> <span class="cmd">q:=nextPrime(98765432)</span></li>
+   <li> <span class="cmd">N:=p*q</span></li>
+   <li> <span class="cmd">g:=17</span></li>
+  </ul>
+ </li>
+ <li> Read in the utility file <a href="rcm3720.input">rcm3720.input</a></li>
+
+ <li> Now experiment with the following hashes:
+  <ul>
+   <li> <span class="cmd">n:=str2num("A cat")</span></li>
+   <li> <span class="cmd">h:=powmod(g,n,N)</span></li>
+   <li> <span class="cmd">n:=str2num("A bat")</span></li>
+   <li> <span class="cmd">h:=powmod(g,n,N)</span></li>
+  </ul>
+ </li>
+   
+ <li> Even though the strings are very similar, 
+      how similar are the hash values?
+ </li>
+ <li> Experiment with hashing some other strings---some short, some long.</li>
+
+ <li> Read in a text file (any text file, of any length) as follows:</li>
+  <ul>
+   <li> 
+    <span class="cmd">
+     f:TextFile:=open("\full\path\to\file","input")
+    </span>
+   </li>
+   <li> <span class="cmd">str:=""</span></li>
+   <li> 
+    <span class="cmd">
+     while not endOfFile?(f) repeat str:=concat(str,readLine(f));
+    </span>
+   </li>
+  </ul>
+  
+ <li> Now the variable <tt>str</tt> will contain the file as one long string.
+      Hash this string, by converting it to a number first.
+ </li> 
+ <li> Try this with a few different text files, 
+      of different lengths---some short, some long.
+ </li>
+</ul>
+
+<br/><br/>
+<b>A simplified version of MASH</b>
+<br/><br/>
+We shall experiment with a simplified version of the MASH hash function:
+
+ <ol>
+  <li> Start with two prime numbers <tt>p</tt> and <tt>q</tt>, 
+      and their product <tt>N</tt>.
+  </li>
+  <li> Turn the data to be hashed into a single integer <tt>n</tt>.</li>
+  
+  <li> Express <tt>n</tt> as ``digits'' in base <tt>N</tt>:</li>
+<pre>
+                    2      3            q
+   n = a + a N + a N  + a N  + ... + a N
+        0   1     2      3            q
+</pre>
+
+  <li> Start with <tt>H</tt> being the largest prime less than <tt>N</tt>.</li>
+
+  <li> For <tt>i</tt> from 0 to <tt>q</tt></li>
+<pre>
+                     2
+      H &#60;-- (H + a_i)  +H (mod N)
+</pre>
+
+  <li> The final value of <tt>H</tt> is the hash.</li>
+ </ol>
+
+<ul>
+ <li> With <tt>p</tt>, <tt>q</tt> and <tt>N</tt> as before, pick a long 
+      string (or the string from a text file) to be hashed, and turn it 
+      into a number <tt>n</tt>.
+ </li>
+ <li> Determine the ``digits'' in base <tt>N</tt>:
+  <ul>
+   <li> 
+    <span class="cmd">
+     a:=wholeRagits(n::RadixExpansion(N))::List ZMOD N
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> Now create the hash:
+  <ul>
+   <li> <span class="cmd">H:=prevPrime(N)</span></li>  
+   <li> <span class="cmd">for i in 1..#a repeat H:=(H+a.i)^2+H</span></li>  
+  </ul>
+ </li> 
+ <li> Note that since the elements of the list <tt>a</tt> are already 
+      defined as being modulo <tt>N</tt>, we don't have to use a mod 
+      function in this last step.
+ </li>  
+ <li> Create the hashes of a few other strings and files.  What happens if you
+      try to hash a really long text file?
+ </li>  
+ <li> Experiment with hashing using some other (large) primes.</li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass10.xhtml}
+<<cryptoclass10.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 10: The Data Encryption Standard</h3>
+</center>
+<hr/>
+
+The object of this lab will be to build up the necessary functions and
+tools to implement simplified DES (sDES).  All operations will be done on
+binary lists.  Since the definitions of the sDES functions require lists to be
+indexed starting at 0, but in Axiom lists are indexed starting at 1, many of
+the operations will have extra ones added at some stage.
+
+<ul> 
+ <li> Save the file <tt>des.input</tt> to a directory in which you
+      have write access.  Read the file into Axiom, and open up the file
+      with a text editor.  
+ </li>
+
+ <li> Compare the first command <tt>perm(b)</tt> with the initial
+      permutation for sDES defined in page 94 of the notes.  How do the
+      indices in the Axiom command relate to the indices of the
+      permutation in the notes?  
+ </li>
+  
+ <li> Now using the above procedure as a guide, write a procedure called
+      <tt>invperm</tt> to perform the inverse permutation.
+ </li>
+
+ <li> Test this procedure: it should invert the permutation you
+      obtained from the <tt>perm</tt> procedure.  
+ </li>
+  
+<li> The <tt>subkey</tt> procedure creates two lists: one for the
+     first subkey, and one for the second.  Edit the procedure to include
+     the second subkey as given on the bottom of page 95.
+ </li>
+  
+ <li> Write a procedure called <tt>expperm</tt> which implements the
+      expansion permutation on page 96; use the <tt>perm</tt> and
+      <tt>invperm</tt> procedures as guides.
+ </li>
+  
+ <li> Using the <tt>sbox0</tt> procedure as a guide, write a procedure
+      to implement S-box 1.
+ </li>
+  
+ <li> The mixing function shown in figure 8.5 in the notes is
+      implemented as <tt>mix</tt>.  This procedure has been
+      commented.
+ </li>
+  
+ <li> Comment each line of the <tt>feistel</tt> and <tt>sdes</tt>
+      procedures in a similar fashion.
+ </li>
+  
+ <li> Test the <tt>sdes</tt> procedure on the example given in the notes.
+ </li>
+  
+ <li> Modify your procedure to implement sDES decryption, using the
+      scheme given on page 99.
+ </li>
+
+ <li> Test that your decryption procedure works; that it decrypts the
+      ciphertext produced by your encryption procedure to the original
+      plaintext.
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{crytoclass11.xhtml}
+<<cryptoclass11.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<center>
+ <h2>RCM3720 Cryptography, Network and Computer Security</h2>
+ <h3>Laboratory Class 11: Finite Fields</h3>
+</center>
+<hr/>
+
+<ul>
+ <li> Enter the following definition of the finite field 
+<pre>
+           3
+   Z [x]/(x +x+1)
+    2
+</pre>
+  <ul>
+   <li> <span class="cmd">F:=FFP(PF 2,x^3+x+1) </span></li>
+  </ul>
+ </li>
+ <li> To perform field operations, we need to create a generator of the field:
+  a symbol which can be used to generate all elements as polynomials:
+  <ul>
+   <li> <span class="cmd">x:=generator()$F</span>
+    <br/> Now field arithmetic is easy:
+   </li>
+   <li> (x^2+1)(x+1) in the field:
+    <ul>
+     <li> <span class="cmd">(x^2+1)*(x+1)</span> </li>
+    </ul>
+   </li>
+   <li> 1/(x^2+x):
+    <ul>
+     <li> <span class="cmd">1/(x^2+x)</span>
+      <br/>Note that Axiom returns its answer in terms of a dummy variable.
+     </li>
+    </ul>
+   </li>
+   <li> We can also list tables of powers:
+    <ul>
+     <li> 
+      <span class="cmd">
+       for i in 0..7 repeat output (i::String, x^i) 
+      </span>
+     </li>
+    </ul>
+   </li>
+  </ul>
+ </li>
+ <li> Before we enter a new field, we need to clear <tt>x</tt> and its
+  properties:
+  <ul>
+   <li> <span class="cmd">)cl pr x </span></li>
+  </ul>
+  Now for a slightly bigger field: 
+<pre>
+           4  3
+   Z [x]/(x +x +1)
+    2
+</pre>
+  <ul>
+   <li> <span class="cmd">F2:=FFP(PF 2,x^4+x^3+1)</span> </li>
+  </ul>
+  <ul>
+   <li> Create a list of powers of <tt>x</tt>. </li>
+   <li> Evaluate (x^3+x+1)/(x^3+x^2) in this field. </li>
+  </ul>
+ </li>
+ <li> Enter the Rijndael field, 
+<pre>
+         8  4  3
+ Z [x]/(x +x +x +x+1)
+  2
+</pre>
+ and call it <tt>GR</tt>.
+ </li>
+ <li> Determine whether <tt>x</tt> is a primitive element in this field:
+  <ul>
+   <li> <span class="cmd">x:=generator()$GR</span> </li>
+   <li> <span class="cmd">primitive?(x)</span> </li>
+  </ul>
+ </li>
+ <li>
+  Is <tt>x+1</tt> a primitive element?
+ </li>
+ <li> Investigate the workings of MixColumn.  First create the matrix:
+  <ul>
+   <li>
+    <span class="cmd">
+     M:Matrix GR:=matrix([[x,x+1,1,1],[1,x,x+1,1],[1,1,x,x+1],[x+1,1,1,x]])
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li>
+  Instead of multiplying a matrix <tt>C</tt> by <tt>M</tt>, 
+  we shall just look at a single column, created randomly:
+  <ul>
+   <li>
+    <span class="cmd">
+     C:Matrix GR:=matrix([[random()$FR] for j in 1..4]) 
+    </span>
+   </li>
+  </ul>
+ <li>
+ </li>
+  These can be multiplied directly in Axiom:
+  <ul>
+   <li> <span class="cmd">D:=M*C</span> </li>
+  </ul>
+ </li>
+ <li> Remarkably enough, Axiom can operate on matrices over a finite field as
+      easily as it can operate on numerical matrices.  For example, given that
+<pre>
+   D=MC 
+</pre>
+ </li>
+ <li>  it follows that
+<pre>
+      -1
+   C=M  D
+</pre>
+ </li>
+ <li> or that
+<pre>
+    -1
+   M  D-C=0
+</pre>
+ </li>
+ <li> To test this, first create the matrix inverse:
+  <ul>
+   <li> <span class="cmd">MI:=inverse(M)</span> </li>
+  </ul>
+ </li>
+ <li>
+  Now multiply by <tt>D</tt> and subtract <tt>C</tt>.  What does the result
+  tell you about the truth of the final equation?
+ </li>
+ <li> To explore MixColumn a bit more, we shall look at the inverse of
+      <tt>M</tt>.  First, here's a small function which converts from
+      a polynomial to an integer (treating the coefficients of the
+      polynomial as digits of a binary number):
+  <ul>
+   <li>
+    <span class="cmd">
+      poly2int(p)==(tmp:=reverse(coordinates(p)),return 
+          integer wholeRadix(tmp::LIST INT)$RadixExpansion(2))
+    </span>
+   </li>
+  </ul>
+ </li>
+ <li> First check the matrix <tt>M</tt>:
+  <ul>
+   <li> <span class="cmd">map((x +-> poly2int(x)::INT), M)</span></li>
+  </ul>
+ </li>
+ <li>
+  Is this what you should have?
+ </li>
+ <li>
+  Now apply the same command but to <tt>MI</tt> instead of to <tt>M</tt>.
+  What is the result?
+ </li>
+</ul>
+<<page foot>>
+@
+
+%%D
+\subsection{dbopbinary.xhtml}
+<<dbopbinary.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopbinary not implemented
+<<page foot>>
+@
+
+\subsection{dbcharacteristic.xhtml}
+<<dbcharacteristic.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcharacteristic not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexcomplex.xhtml}
+<<dbcomplexcomplex.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexcomplex not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexconjugate.xhtml}
+<<dbcomplexconjugate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexconjugate not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexfactor.xhtml}
+<<dbcomplexfactor.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexfactor not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexdoublefloat.xhtml}
+<<dbcomplexdoublefloat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexdoublefloat not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexfloat.xhtml}
+<<dbcomplexfloat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexfloat not implemented
+<<page foot>>
+@
+
+\subsection{dbcompleximag.xhtml}
+<<dbcompleximag.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcompleximag not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexnorm.xhtml}
+<<dbcomplexnorm.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexnorm not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexreal.xhtml}
+<<dbcomplexreal.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexreal not implemented
+<<page foot>>
+@
+
+\subsection{dbcomplexinteger.xhtml}
+<<dbcomplexinteger.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbcomplexinteger not implemented
+<<page foot>>
+@
+
+\subsection{dbexpressioninteger.xhtml}
+<<dbexpressioninteger.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbexpressioninteger not implemented
+<<page foot>>
+@
+
+\subsection{dbfractioninteger.xhtml}
+<<dbfractioninteger.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbfractioninteger not implemented
+<<page foot>>
+@
+
+\subsection{dbfractionpolynomialinteger.xhtml}
+<<dbfractionpolynomialinteger.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbfractionpolynomialinteger not implemented
+<<page foot>>
+@
+
+\subsection{dblookup.xhtml}
+<<dblookup.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dblookup not implemented
+<<page foot>>
+@
+
+\subsection{dbopacos.xhtml}
+<<dbopacos.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopacos not implemented
+<<page foot>>
+@
+
+\subsection{dbopacosh.xhtml}
+<<dbopacosh.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopacosh not implemented
+<<page foot>>
+@
+
+\subsection{dbopacot.xhtml}
+<<dbopacot.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopacot not implemented
+<<page foot>>
+@
+
+\subsection{dbopacoth.xhtml}
+<<dbopacoth.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopacoth not implemented
+<<page foot>>
+@
+
+\subsection{dbopacsc.xhtml}
+<<dbopacsc.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopacsc not implemented
+<<page foot>>
+@
+
+\subsection{dbopacsch.xhtml}
+<<dbopacsch.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopacsch not implemented
+<<page foot>>
+@
+
+\subsection{dbopaddmod.xhtml}
+<<dbopaddmod.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopaddmod not implemented
+<<page foot>>
+@
+
+\subsection{dbopairyai.xhtml}
+<<dbopairyai.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopairyai not implemented
+<<page foot>>
+@
+
+\subsection{dbopairybi.xhtml}
+<<dbopairybi.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopairybi not implemented
+<<page foot>>
+@
+
+\subsection{dbopapproximants.xhtml}
+<<dbopapproximants.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopapproximants not implemented
+<<page foot>>
+@
+
+\subsection{dbopasin.xhtml}
+<<dbopasin.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopasin not implemented
+<<page foot>>
+@
+
+\subsection{dbopasinh.xhtml}
+<<dbopasinh.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopasinh not implemented
+<<page foot>>
+@
+
+\subsection{dbopasec.xhtml}
+<<dbopasec.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopasec not implemented
+<<page foot>>
+@
+
+\subsection{dbopasech.xhtml}
+<<dbopasech.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopasech not implemented
+<<page foot>>
+@
+
+\subsection{dbopatan.xhtml}
+<<dbopatan.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopatan not implemented
+<<page foot>>
+@
+
+\subsection{dbopatanh.xhtml}
+<<dbopatanh.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopatanh not implemented
+<<page foot>>
+@
+
+\subsection{dbopbernoullib.xhtml}
+<<dbopbernoullib.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopbernoullib not implemented
+<<page foot>>
+@
+
+\subsection{dbopbesseli.xhtml}
+<<dbopbesseli.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopbesseli not implemented
+<<page foot>>
+@
+
+\subsection{dbopbesselj.xhtml}
+<<dbopbesselj.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopbesselj not implemented
+<<page foot>>
+@
+
+\subsection{dbopbesselk.xhtml}
+<<dbopbesselk.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopbesselk not implemented
+<<page foot>>
+@
+
+\subsection{dbopbessely.xhtml}
+<<dbopbessely.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopbessely not implemented
+<<page foot>>
+@
+
+\subsection{dbopbeta.xhtml}
+<<dbopbeta.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopbeta not implemented
+<<page foot>>
+@
+
+\subsection{dbopcardinalnumber.xhtml}
+<<dbopcardinalnumber.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcardinalnumber not implemented
+<<page foot>>
+@
+
+\subsection{dbopchebyshevt.xhtml}
+<<dbopchebyshevt.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopchebyshevt not implemented
+<<page foot>>
+@
+
+\subsection{dbopchebyshevu.xhtml}
+<<dbopchebyshevu.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopchebyshevu not implemented
+<<page foot>>
+@
+
+\subsection{dbopcoefficient.xhtml}
+<<dbopcoefficient.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcoefficient not implemented
+<<page foot>>
+@
+
+\subsection{dbopcoefficients.xhtml}
+<<dbopcoefficients.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcoefficients not implemented
+<<page foot>>
+@
+
+\subsection{dbopcoerce.xhtml}
+<<dbopcoerce.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcoerce not implemented
+<<page foot>>
+@
+
+\subsection{dbopcolumn.xhtml}
+<<dbopcolumn.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcolumn not implemented
+<<page foot>>
+@
+
+\subsection{dbopcompactfraction.xhtml}
+<<dbopcompactfraction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcompactfraction not implemented
+<<page foot>>
+@
+
+\subsection{dbopcomplexeigenvectors.xhtml}
+<<dbopcomplexeigenvectors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcomplexeigenvectors not implemented
+<<page foot>>
+@
+
+\subsection{dbopcomplexelementary.xhtml}
+<<dbopcomplexelementary.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcomplexelementary not implemented
+<<page foot>>
+@
+
+\subsection{dbopcomplexintegrate.xhtml}
+<<dbopcomplexintegrate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcomplexintegrate not implemented
+<<page foot>>
+@
+
+\subsection{dbopcomplexlimit.xhtml}
+<<dbopcomplexlimit.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcomplexlimit not implemented
+<<page foot>>
+@
+
+\subsection{dbopcomplexsolve.xhtml}
+<<dbopcomplexsolve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcomplexsolve not implemented
+<<page foot>>
+@
+
+\subsection{dbopcontent.xhtml}
+<<dbopcontent.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcontent not implemented
+<<page foot>>
+@
+
+\subsection{dbopcontinuedfraction.xhtml}
+<<dbopcontinuedfraction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcontinuedfraction not implemented
+<<page foot>>
+@
+
+\subsection{dbopconvergents.xhtml}
+<<dbopconvergents.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopconvergents not implemented
+<<page foot>>
+@
+
+\subsection{dbopconvert.xhtml}
+<<dbopconvert.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopconvert not implemented
+<<page foot>>
+@
+
+\subsection{dbopcopy.xhtml}
+<<dbopcopy.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcopy not implemented
+<<page foot>>
+@
+
+\subsection{dbopcos.xhtml}
+<<dbopcos.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopcos not implemented
+<<page foot>>
+@
+
+\subsection{dbopcosh.xhtml}
+<<dbopcosh.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopcosh not implemented
+<<page foot>>
+@
+
+\subsection{dbopcot.xhtml}
+<<dbopcot.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcot not implemented
+<<page foot>>
+@
+
+\subsection{dbopcoth.xhtml}
+<<dbopcoth.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcoth not implemented
+<<page foot>>
+@
+
+\subsection{dbopcount.xhtml}
+<<dbopcount.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcount not implemented
+<<page foot>>
+@
+
+\subsection{dbopcountableq.xhtml}
+<<dbopcountableq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcountableq not implemented
+<<page foot>>
+@
+
+\subsection{dbopcreate3space.xhtml}
+<<dbopcreate3space.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopcreate3space not implemented
+<<page foot>>
+@
+\subsection{dbopcsc.xhtml}
+<<dbopcsc.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopcsc not implemented
+<<page foot>>
+@
+
+\subsection{dbopcsch.xhtml}
+<<dbopcsch.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopcsch not implemented
+<<page foot>>
+@
+
+\subsection{dbopcurve.xhtml}
+<<dbopcurve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopcurve not implemented
+<<page foot>>
+@
+\subsection{dbopcycleragits.xhtml}
+<<dbopcycleragits.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopcycleragits not implemented
+<<page foot>>
+@
+
+\subsection{dbopcyclotomic.xhtml}
+<<dbopcyclotomic.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopcyclotomic not implemented
+<<page foot>>
+@
+
+\subsection{dbopd.xhtml}
+<<dbopd.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopd not implemented
+<<page foot>>
+@
+
+\subsection{dbopdecimal.xhtml}
+<<dbopdecimal.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdecimal not implemented
+<<page foot>>
+@
+
+\subsection{dbopdefiningpolynomial.xhtml}
+<<dbopdefiningpolynomial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdefiningpolynomial not implemented
+<<page foot>>
+@
+
+\subsection{dbopdegree.xhtml}
+<<dbopdegree.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdegree not implemented
+<<page foot>>
+@
+
+\subsection{dbopdenom.xhtml}
+<<dbopdenom.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdenom not implemented
+<<page foot>>
+@
+
+\subsection{dbopdraw.xhtml}
+<<dbopdraw.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopdraw not implemented
+<<page foot>>
+@
+
+\subsection{dbopdeterminant.xhtml}
+<<dbopdeterminant.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdeterminant not implemented
+<<page foot>>
+@
+
+\subsection{dbopdiagonalmatrix.xhtml}
+<<dbopdiagonalmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdiagonalmatrix not implemented
+<<page foot>>
+@
+
+\subsection{dbopdigamma.xhtml}
+<<dbopdigamma.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdigamma not implemented
+<<page foot>>
+@
+
+\subsection{dbopdigits.xhtml}
+<<dbopdigits.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdigits not implemented
+<<page foot>>
+@
+
+\subsection{dbopdimension.xhtml}
+<<dbopdimension.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdimension not implemented
+<<page foot>>
+@
+
+\subsection{dbopdivide.xhtml}
+<<dbopdivide.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdivide not implemented
+<<page foot>>
+@
+
+\subsection{dbopdivisors.xhtml}
+<<dbopdivisors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopdivisors not implemented
+<<page foot>>
+@
+
+\subsection{dbopei.xhtml}
+<<dbopei.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopei not implemented
+<<page foot>>
+@
+
+\subsection{dbopeigenmatrix.xhtml}
+<<dbopeigenmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopeigenmatrix not implemented
+<<page foot>>
+@
+
+\subsection{dbopeigenvalues.xhtml}
+<<dbopeigenvalues.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopeigenvalues not implemented
+<<page foot>>
+@
+
+\subsection{dbopeigenvector.xhtml}
+<<dbopeigenvector.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopeigenvector not implemented
+<<page foot>>
+@
+
+\subsection{dbopeigenvectors.xhtml}
+<<dbopeigenvectors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopeigenvectors not implemented
+<<page foot>>
+@
+
+\subsection{dbopelt.xhtml}
+<<dbopelt.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopelt not implemented
+<<page foot>>
+@
+
+\subsection{dbopequal.xhtml}
+<<dbopequal.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopequal not implemented
+<<page foot>>
+@
+
+\subsection{dbopeulere.xhtml}
+<<dbopeulere.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopeulere not implemented
+<<page foot>>
+@
+
+\subsection{dbopeulerphi.xhtml}
+<<dbopeulerphi.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopeulerphi not implemented
+<<page foot>>
+@
+
+\subsection{dbopeval.xhtml}
+<<dbopeval.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopeval not implemented
+<<page foot>>
+@
+
+\subsection{dbopevenq.xhtml}
+<<dbopevenq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopevenq not implemented
+<<page foot>>
+@
+
+\subsection{dbopexp.xhtml}
+<<dbopexp.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopexp not implemented
+<<page foot>>
+@
+
+\subsection{dbopexquo.xhtml}
+<<dbopexquo.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopexquo not implemented
+<<page foot>>
+@
+
+\subsection{dbopfactor.xhtml}
+<<dbopfactor.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfactor not implemented
+<<page foot>>
+@
+
+\subsection{dbopfactorfraction.xhtml}
+<<dbopfactorfraction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfactorfraction not implemented
+<<page foot>>
+@
+
+\subsection{dbopfibonacci.xhtml}
+<<dbopfibonacci.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfibonacci not implemented
+<<page foot>>
+@
+
+\subsection{dbopfiniteq.xhtml}
+<<dbopfiniteq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfiniteq not implemented
+<<page foot>>
+@
+
+\subsection{dbopfirstdenom.xhtml}
+<<dbopfirstdenom.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfirstdenom not implemented
+<<page foot>>
+@
+
+\subsection{dbopfirstnumer.xhtml}
+<<dbopfirstnumer.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfirstnumer not implemented
+<<page foot>>
+@
+
+\subsection{dbopfractragits.xhtml}
+<<dbopfractragits.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopfractragits not implemented
+<<page foot>>
+@
+
+\subsection{dbopfractionpart.xhtml}
+<<dbopfractionpart.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopfractionpart not implemented
+<<page foot>>
+@
+
+\subsection{dbopgamma.xhtml}
+<<dbopgamma.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopgamma not implemented
+<<page foot>>
+@
+
+\subsection{dbopgcd.xhtml}
+<<dbopgcd.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopgcd not implemented
+<<page foot>>
+@
+
+\subsection{dbophermiteh.xhtml}
+<<dbophermiteh.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbophermiteh not implemented
+<<page foot>>
+@
+
+\subsection{dbophex.xhtml}
+<<dbophex.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbophex not implemented
+<<page foot>>
+@
+
+\subsection{dbophorizconcat.xhtml}
+<<dbophorizconcat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbophorizconcat not implemented
+<<page foot>>
+@
+
+\subsection{dbophtrigs.xhtml}
+<<dbophtrigs.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbophtrigs not implemented
+<<page foot>>
+@
+
+\subsection{dbophypergeometric0f1.xhtml}
+<<dbophypergeometric0f1.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbophypergeometric0f1 not implemented
+<<page foot>>
+@
+
+\subsection{dbopinteger.xhtml}
+<<dbopinteger.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopinteger not implemented
+<<page foot>>
+@
+
+\subsection{dbopintegrate.xhtml}
+<<dbopintegrate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopintegrate not implemented
+<<page foot>>
+@
+
+\subsection{dbopinverse.xhtml}
+<<dbopinverse.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopinverse not implemented
+<<page foot>>
+@
+
+\subsection{dbopinvmod.xhtml}
+<<dbopinvmod.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopinvmod not implemented
+<<page foot>>
+@
+
+
+\subsection{dbopjacobi.xhtml}
+<<dbopjacobi.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopjacobi not implemented
+<<page foot>>
+@
+
+\subsection{dboplaguerrel.xhtml}
+<<dboplaguerrel.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dboplaguerrel not implemented
+<<page foot>>
+@
+
+\subsection{dboplaurent.xhtml}
+<<dboplaurent.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboplaurent not implemented
+<<page foot>>
+@
+
+\subsection{dboplcm.xhtml}
+<<dboplcm.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dboplcm not implemented
+<<page foot>>
+@
+
+\subsection{dbopleadingcoefficient.xhtml}
+<<dbopleadingcoefficient.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopleadingcoefficient not implemented
+<<page foot>>
+@
+
+\subsection{dbopleadingmonomial.xhtml}
+<<dbopleadingmonomial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopleadingmonomial not implemented
+<<page foot>>
+@
+
+
+\subsection{dboplegendre.xhtml}
+<<dboplegendre.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboplegendre not implemented
+<<page foot>>
+@
+
+\subsection{dboplength.xhtml}
+<<dboplength.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboplength not implemented
+<<page foot>>
+@
+
+\subsection{dboplimit.xhtml}
+<<dboplimit.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboplimit not implemented
+<<page foot>>
+@
+
+\subsection{dboplog.xhtml}
+<<dboplog.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dboplog not implemented
+<<page foot>>
+@
+
+\subsection{dboploggamma.xhtml}
+<<dboploggamma.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboploggamma not implemented
+<<page foot>>
+@
+
+\subsection{dbopmainvariable.xhtml}
+<<dbopmainvariable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmainvariable not implemented
+<<page foot>>
+@
+
+\subsection{dbopmakegraphimage.xhtml}
+<<dbopmakegraphimage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopmakegraphimage not implemented
+<<page foot>>
+@
+
+\subsection{dbopmakeobject.xhtml}
+<<dbopmakeobject.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopmakeobject not implemented
+<<page foot>>
+@
+
+\subsection{dbopmakeviewport3d.xhtml}
+<<dbopmakeviewport3d.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopmakeviewport3d not implemented
+<<page foot>>
+@
+\subsection{dbopmap.xhtml}
+<<dbopmap.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmap not implemented
+<<page foot>>
+@
+
+\subsection{dbopmapbang.xhtml}
+<<dbopmapbang.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmapbang not implemented
+<<page foot>>
+@
+
+\subsection{dbopmatrix.xhtml}
+<<dbopmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmatrix not implemented
+<<page foot>>
+@
+
+\subsection{dbopmax.xhtml}
+<<dbopmax.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmax not implemented
+<<page foot>>
+@
+
+\subsection{dbopmemberq.xhtml}
+<<dbopmemberq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmemberq not implemented
+<<page foot>>
+@
+
+\subsection{dbopmin.xhtml}
+<<dbopmin.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmin not implemented
+<<page foot>>
+@
+
+\subsection{dbopminimumdegree.xhtml}
+<<dbopminimumdegree.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopminimumdegree not implemented
+<<page foot>>
+@
+
+\subsection{dbopminus.xhtml}
+<<dbopminus.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopminus not implemented
+<<page foot>>
+@
+
+\subsection{dbopmoebiusmu.xhtml}
+<<dbopmoebiusmu.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmoebiusmu.xhtml not implemented
+<<page foot>>
+@
+
+\subsection{dbopmonicdivide.xhtml}
+<<dbopmonicdivide.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmonicdivide not implemented
+<<page foot>>
+@
+
+\subsection{dbopmulmod.xhtml}
+<<dbopmulmod.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopmulmod not implemented
+<<page foot>>
+@
+
+\subsection{dbopncols.xhtml}
+<<dbopncols.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopncols not implemented
+<<page foot>>
+@
+
+\subsection{dbopnegativeq.xhtml}
+<<dbopnegativeq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnegativeq not implemented
+<<page foot>>
+@
+
+\subsection{dbopnew.xhtml}
+<<dbopnew.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnew not implemented
+<<page foot>>
+@
+
+\subsection{dbopnextprime.xhtml}
+<<dbopnextprime.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnextprime not implemented
+<<page foot>>
+@
+
+\subsection{dbopnorm.xhtml}
+<<dbopnorm.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnorm not implemented
+<<page foot>>
+@
+
+\subsection{dbopnrows.xhtml}
+<<dbopnrows.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnrows not implemented
+<<page foot>>
+@
+
+\subsection{dbopnthfractionalterm.xhtml}
+<<dbopnthfractionalterm.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnthfractionalterm not implemented
+<<page foot>>
+@
+
+\subsection{dbopnthroot.xhtml}
+<<dbopnthroot.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnthroot not implemented
+<<page foot>>
+@
+
+\subsection{dbopnumer.xhtml}
+<<dbopnumer.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnumer not implemented
+<<page foot>>
+@
+
+\subsection{dbopnumeric.xhtml}
+<<dbopnumeric.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnumeric not implemented
+<<page foot>>
+@
+
+\subsection{dbopoddq.xhtml}
+<<dbopoddq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopoddq not implemented
+<<page foot>>
+@
+
+\subsection{dboponedimensionalarray.xhtml}
+<<dboponedimensionalarray.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dboponedimensionalarray not implemented
+<<page foot>>
+@
+
+\subsection{dbopoperator.xhtml}
+<<dbopoperator.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopoperator not implemented
+<<page foot>>
+@
+
+\subsection{dboporthonormalbasis.xhtml}
+<<dboporthonormalbasis.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboporthonormalbasis not implemented
+<<page foot>>
+@
+
+\subsection{dbopoutputfixed.xhtml}
+<<dbopoutputfixed.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputfixed not implemented
+<<page foot>>
+@
+
+\subsection{dbopoutputfloating.xhtml}
+<<dbopoutputfloating.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputfloating not implemented
+<<page foot>>
+@
+
+\subsection{dbopoutputgeneral.xhtml}
+<<dbopoutputgeneral.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputgeneral not implemented
+<<page foot>>
+@
+
+\subsection{dbopoutputspacing.xhtml}
+<<dbopoutputspacing.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopoutputspacing not implemented
+<<page foot>>
+@
+
+\subsection{dboppadicfraction.xhtml}
+<<dboppadicfraction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppadicfraction not implemented
+<<page foot>>
+@
+
+\subsection{dbopnullity.xhtml}
+<<dbopnullity.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnullity not implemented
+<<page foot>>
+@
+
+\subsection{dbopnullspace.xhtml}
+<<dbopnullspace.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnullspace not implemented
+<<page foot>>
+@
+
+\subsection{dbopnumberoffractionalterms.xhtml}
+<<dbopnumberoffractionalterms.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopnumberoffractionalterms not implemented
+<<page foot>>
+@
+
+\subsection{dboppartialfraction.xhtml}
+<<dboppartialfraction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppartialfraction not implemented
+<<page foot>>
+@
+
+\subsection{dboppartialquotients.xhtml}
+<<dboppartialquotients.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppartialquotients not implemented
+<<page foot>>
+@
+
+\subsection{dbopplus.xhtml}
+<<dbopplus.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopplus not implemented
+<<page foot>>
+@
+
+\subsection{dboppattern.xhtml}
+<<dboppattern.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppattern not implemented
+<<page foot>>
+@
+
+\subsection{dboppermanent.xhtml}
+<<dboppermanent.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppermanent not implemented
+<<page foot>>
+@
+
+\subsection{dboppi.xhtml}
+<<dboppi.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppi not implemented
+<<page foot>>
+@
+
+\subsection{dboppolygamma.xhtml}
+<<dboppolygamma.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppolygamma not implemented
+<<page foot>>
+@
+
+\subsection{dboppositiveq.xhtml}
+<<dboppositiveq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppositiveq not implemented
+<<page foot>>
+@
+
+\subsection{dboppositiveremainder.xhtml}
+<<dboppositiveremainder.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppositiveremainder not implemented
+<<page foot>>
+@
+
+\subsection{dbopprefixragits.xhtml}
+<<dbopprefixragits.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprefixragits not implemented
+<<page foot>>
+@
+
+\subsection{dbopprevprime.xhtml}
+<<dbopprevprime.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprevprime not implemented
+<<page foot>>
+@
+
+\subsection{dbopprimefactor.xhtml}
+<<dbopprimefactor.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprimefactor not implemented
+<<page foot>>
+@
+
+\subsection{dbopprimeq.xhtml}
+<<dbopprimeq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprimeq not implemented
+<<page foot>>
+@
+
+\subsection{dbopprimes.xhtml}
+<<dbopprimes.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopprimes not implemented
+<<page foot>>
+@
+
+\subsection{dboppuiseux.xhtml}
+<<dboppuiseux.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboppuiseux not implemented
+<<page foot>>
+@
+
+\subsection{dbopqelt.xhtml}
+<<dbopqelt.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopqelt not implemented
+<<page foot>>
+@
+
+\subsection{dbopqseteltbang.xhtml}
+<<dbopqseteltbang.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopqseteltbang not implemented
+<<page foot>>
+@
+
+\subsection{dbopquatern.xhtml}
+<<dbopquatern.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopquatern not implemented
+<<page foot>>
+@
+
+\subsection{dbopradicaleigenvectors.xhtml}
+<<dbopradicaleigenvectors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopradicaleigenvectors not implemented
+<<page foot>>
+@
+
+\subsection{dbopradicalsolve.xhtml}
+<<dbopradicalsolve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopradicalsolve not implemented
+<<page foot>>
+@
+
+\subsection{dboprank.xhtml}
+<<dboprank.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprank not implemented
+<<page foot>>
+@
+
+\subsection{dbopratdenom.xhtml}
+<<dbopratdenom.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopratdenom not implemented
+<<page foot>>
+@
+
+\subsection{dboprealeigenvectors.xhtml}
+<<dboprealeigenvectors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprealeigenvectors not implemented
+<<page foot>>
+@
+
+\subsection{dboprealelementary.xhtml}
+<<dboprealelementary.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprealelementary not implemented
+<<page foot>>
+@
+
+\subsection{dbopreduce.xhtml}
+<<dbopreduce.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopreduce not implemented
+<<page foot>>
+@
+
+\subsection{dbopreductum.xhtml}
+<<dbopreductum.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopreductum not implemented
+<<page foot>>
+@
+
+\subsection{dboprem.xhtml}
+<<dboprem.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprem not implemented
+<<page foot>>
+@
+
+\subsection{dbopquo.xhtml}
+<<dbopquo.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopquo not implemented
+<<page foot>>
+@
+
+\subsection{dbopresetvariableorder.xhtml}
+<<dbopresetvariableorder.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopresetvariableorder not implemented
+<<page foot>>
+@
+
+\subsection{dbopresultant.xhtml}
+<<dbopresultant.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopresultant not implemented
+<<page foot>>
+@
+
+\subsection{dboprootof.xhtml}
+<<dboprootof.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprootof not implemented
+<<page foot>>
+@
+
+\subsection{dboprootsimp.xhtml}
+<<dboprootsimp.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprootsimp not implemented
+<<page foot>>
+@
+
+\subsection{dboprootsof.xhtml}
+<<dboprootsof.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprootsof not implemented
+<<page foot>>
+@
+
+\subsection{dbopseries.xhtml}
+<<dbopseries.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopseries not implemented
+<<page foot>>
+@
+
+\subsection{dbopround.xhtml}
+<<dbopround.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopround not implemented
+<<page foot>>
+@
+
+\subsection{dboprow.xhtml}
+<<dboprow.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprow not implemented
+<<page foot>>
+@
+
+\subsection{dboprowechelon.xhtml}
+<<dboprowechelon.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboprowechelon not implemented
+<<page foot>>
+@
+
+\subsection{dbopsetcolumnbang.xhtml}
+<<dbopsetcolumnbang.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsetcolumnbang not implemented
+<<page foot>>
+@
+
+\subsection{dbopseteltbang.xhtml}
+<<dbopseteltbang.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopseteltbang not implemented
+<<page foot>>
+@
+
+\subsection{dbopsetrowbang.xhtml}
+<<dbopsetrowbang.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsetrowbang not implemented
+<<page foot>>
+@
+
+\subsection{dbopsetelt.xhtml}
+<<dbopsetelt.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsetelt not implemented
+<<page foot>>
+@
+
+\subsection{dbopsetsubmatrixbang.xhtml}
+<<dbopsetsubmatrixbang.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsetsubmatrixbang not implemented
+<<page foot>>
+@
+
+\subsection{dbopsign.xhtml}
+<<dbopsign.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsign not implemented
+<<page foot>>
+@
+
+\subsection{dbopsimplify.xhtml}
+<<dbopsimplify.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsimplify not implemented
+<<page foot>>
+@
+
+\subsection{dbopseriessolve.xhtml}
+<<dbopseriessolve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopseriessolve not implemented
+<<page foot>>
+@
+
+\subsection{dbopsin.xhtml}
+<<dbopsin.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsin not implemented
+<<page foot>>
+@
+
+\subsection{dbopsingleintegerand.xhtml}
+<<dbopsingleintegerand.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsingleintegerand not implemented
+<<page foot>>
+@
+
+\subsection{dbopsingleintegernot.xhtml}
+<<dbopsingleintegernot.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsingleintegernot not implemented
+<<page foot>>
+@
+
+\subsection{dbopsingleintegeror.xhtml}
+<<dbopsingleintegeror.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsingleintegeror not implemented
+<<page foot>>
+@
+
+\subsection{dbopsingleintegerxor.xhtml}
+<<dbopsingleintegerxor.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsingleintegerxor not implemented
+<<page foot>>
+@
+
+\subsection{dbopsec.xhtml}
+<<dbopsec.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopsec not implemented
+<<page foot>>
+@
+
+\subsection{dbopsech.xhtml}
+<<dbopsech.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopsech not implemented
+<<page foot>>
+@
+
+\subsection{dbopsetvariableorder.xhtml}
+<<dbopsetvariableorder.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopsetvariableorder not implemented
+<<page foot>>
+@
+
+\subsection{dbopsinh.xhtml}
+<<dbopsinh.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopsinh not implemented
+<<page foot>>
+@
+
+\subsection{dbopsolve.xhtml}
+<<dbopsolve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsolve not implemented
+<<page foot>>
+@
+
+\subsection{dbopsqrt.xhtml}
+<<dbopsqrt.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsqrt not implemented
+<<page foot>>
+@
+
+\subsection{dbopstar.xhtml}
+<<dbopstar.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+       dbopstar not implemented
+<<page foot>>
+@
+
+\subsection{dbopstarstar.xhtml}
+<<dbopstarstar.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopstarstar not implemented
+<<page foot>>
+@
+
+\subsection{dbopsubmatrix.xhtml}
+<<dbopsubmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsubmatrix not implemented
+<<page foot>>
+@
+
+\subsection{dbopsubmod.xhtml}
+<<dbopsubmod.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopsubmod not implemented
+<<page foot>>
+@
+
+\subsection{dbopsurface.xhtml}
+<<dbopsurface.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopsurface not implemented
+<<page foot>>
+@
+\subsection{dbopsumofkthpowerdivisors.xhtml}
+<<dbopsumofkthpowerdivisors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dbopsumofkthpowerdivisors.xhtml not implemented
+<<page foot>>
+@
+
+\subsection{dboptan.xhtml}
+<<dboptan.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dboptan not implemented
+<<page foot>>
+@
+
+\subsection{dboptanh.xhtml}
+<<dboptanh.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dboptanh not implemented
+<<page foot>>
+@
+
+\subsection{dboptaylor.xhtml}
+<<dboptaylor.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboptaylor not implemented
+<<page foot>>
+@
+
+\subsection{dboptimes.xhtml}
+<<dboptimes.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     dboptimes not implemented
+<<page foot>>
+@
+
+\subsection{dboptotaldegree.xhtml}
+<<dboptotaldegree.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboptotaldegree not implemented
+<<page foot>>
+@
+
+\subsection{dboptrace.xhtml}
+<<dboptrace.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboptrace not implemented
+<<page foot>>
+@
+
+\subsection{dboptranspose.xhtml}
+<<dboptranspose.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboptranspose not implemented
+<<page foot>>
+@
+
+\subsection{dboptrigs.xhtml}
+<<dboptrigs.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dboptrigs not implemented
+<<page foot>>
+@
+
+\subsection{dboptruncate.xhtml}
+<<dboptruncate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dboptruncate not implemented
+<<page foot>>
+@
+
+\subsection{dbopvariables.xhtml}
+<<dbopvariables.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopvariables not implemented
+<<page foot>>
+@
+
+\subsection{dbopvectorise.xhtml}
+<<dbopvectorise.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopvectorise not implemented
+<<page foot>>
+@
+
+\subsection{dbopvectorspace.xhtml}
+<<dbopvectorspace.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopvectorspace not implemented
+<<page foot>>
+@
+
+\subsection{dbopwrite.xhtml}
+<<dbopwrite.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+dbopwrite not implemented
+<<page foot>>
+@
+\subsection{dbopzeroof.xhtml}
+<<dbopzeroof.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopzeroof not implemented
+<<page foot>>
+@
+
+\subsection{dbopzerosof.xhtml}
+<<dbopzerosof.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopzerosof not implemented
+<<page foot>>
+@
+
+\subsection{dbopzeroq.xhtml}
+<<dbopzeroq.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopzeroq not implemented
+<<page foot>>
+@
+
+\subsection{dbopvertconcat.xhtml}
+<<dbopvertconcat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopvertconcat not implemented
+<<page foot>>
+@
+
+\subsection{dbopwholepart.xhtml}
+<<dbopwholepart.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopwholepart not implemented
+<<page foot>>
+@
+
+\subsection{dbpolynomialinteger.xhtml}
+<<dbpolynomialinteger.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbpolynomialinteger not implemented
+<<page foot>>
+@
+
+\subsection{dbpolynomialfractioninteger.xhtml}
+<<dbpolynomialfractioninteger.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbpolynomialfractioninteger not implemented
+<<page foot>>
+@
+
+\subsection{dbopwholeragits.xhtml}
+<<dbopwholeragits.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      dbopwholeragits not implemented
+<<page foot>>
+@
+
+\subsection{definiteintegral.xhtml}
+<<definiteintegral.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    var myform = document.getElementById("form2");
+    var ans='integrate('+myform.expr.value+','+myform.vars.value+'='+
+           myform.lower.value+'..'+myform.upper.value+')';
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <form id="form2">
+   Enter the function you want to integrate:<br/>
+   <input type="text" id="expr" tabindex="10" size="50" 
+     value="1/(x^2+6)"/><br/>
+   Enter the variable of integration:<br/>
+   <input type="text" id="vars" tabindex="20" size="5" value="x"/><br/>
+   Enter a lower limit:<br/>
+   <input type="text" id="lower" tabindex="30" value="%minusInfinity"/><br/>
+   Enter an upper limit:<br/>
+   <input type="text" id="upper" tabindex="40" value="%plusInfinity"/><br/>
+  </form>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+
+@
+
+\subsection{determinantofhilbert.xhtml}
+<<determinantofhilbert.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Example: Determinant of a Hilbert Matrix</div>
+  <hr/>
+Consider the problem of computing the determinant of a 10 by 10 
+Hilbert matrix. The (i,j)-th entry of a Hilbert matrix is given by
+1/(i+j+1).
+
+First do the computation using rational numbers to obtain the exact result.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+  value="a:Matrix FRAC INT:=matrix [ [1/(i+j+1) for j in 0..9] for i in 0..9]"
+   />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+This version of <a href="dbopdeterminant.xhtml">determinant</a> uses 
+Gaussian elimination.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="d:=determinant a" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="d::Float" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Now use hardware floats.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+  value=
+   "b:Matrix DFLOAT:=matrix [ [1/(i+j+1$DFLOAT) for j in 0..9] for i in 0..9]"
+   />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The result given by hardware floats is correct to only four significant
+digits of precision. In the jargon of numerical analysis, the Hilbert
+matrix is said to be "ill-conditioned".
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="determinant b" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Now repeat the computation at a higher precision using 
+<a href="db.xhtml?Float">Float</a>
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="digits 40" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+  value=
+   "c:Matrix Float:=matrix [ [1/(i+j+1$Float) for j in 0..9] for i in 0..9]"
+   />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p7','p8']);"
+    value="determinant c" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Reset <a href="dbopdigits.xhtml">digits</a> to its default value.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="digits 20" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{differentiate.xhtml}
+<<differentiate.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    var myform = document.getElementById("form2");
+    return('differentiate('+myform.expr.value+',['+
+                            myform.vars.value+'],['+
+                            myform.powers.value+'])');
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <form id="form2">
+   Enter the function you want to differentiate:<br/>
+   <input type="text" id="expr" tabindex="10" size="50" value="sin(x*y)"/><br/>
+   List the variables you want to differentiate with respect to:<br/>
+   <input type="text" id="vars" tabindex="20" value="x,y"/><br/>
+   List the number of times you want to differentiate with respect
+   to each variable (leave blank if once for each)<br/>
+   <input type="text" id="powers" tabindex="30" value="1,2"/><br/>
+  </form>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{dlmf.xhtml}
+<<dlmf.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function by R. A. Askey and R. Roy
+  </div>
+  <hr/>
+<p>
+The Gamma function is an extension of the factorial function to 
+real and complex numbers. For positive integers, 
+<m:math display="inline">
+ <m:mi mathvariant="normal">&#x0393;</m:mi>
+ <m:mrow>
+  <m:mo>(</m:mo>
+  <m:mi>n</m:mi>
+  <m:mo>)</m:mo>
+ </m:mrow>
+ <m:mo>=</m:mo>
+ <m:mrow>
+  <m:mo>(</m:mo>
+  <m:mi>n</m:mi>
+  <m:mo>-</m:mo>
+  <m:mn>1</m:mn>
+  <m:mo>)</m:mo>
+  <m:mi mathvariant="normal">!</m:mi>
+ </m:mrow>
+</m:math>.
+</p>
+
+<p>
+These pages explore Axiom's facilities for handling the Gamma function.
+In particular we try to show that Axiom conforms to published standards.
+</p>
+<ul>
+ <li><b>Notation</b></li>
+ <ul>
+  <li><a href="dlmfnotation.xhtml">Notation</a></li>
+ </ul>
+ <li><b>Properties</b></li>
+ <ul>
+  <li><a href="dlmfdefinitions.xhtml">Definitions</a></li>
+  <li><a href="dlmfgraphics.xhtml">Graphics</a></li>
+  <li><a href="dlmfspecialvaluesandextrema.xhtml">
+       Special Values and Extrema</a></li>
+  <li><a href="dlmffunctionrelations.xhtml">Function Relations</a></li>
+  <li><a href="dlmfinequalities.xhtml">Inequalities</a></li>
+  <li><a href="dlmfseriesexpansions.xhtml">Series Expansions</a></li>
+  <li><a href="dlmfinfiniteproducts.xhtml">Infinite Products</a></li>
+  <li><a href="dlmfintegralrepresentations.xhtml">
+       Integral Representations</a></li>
+  <li><a href="dlmfcontinuedfractions.xhtml">Continued Fractions</a></li>
+  <li><a href="dlmfasymptoticexpansions.xhtml">Asymptotic Expansions</a></li>
+  <li><a href="dlmfbetafunction.xhtml">Beta Function</a></li>
+  <li><a href="dlmfintegrals.xhtml">Integrals</a></li>
+  <li><a href="dlmfmultidimensionalintegral.xhtml">
+       Multidimensional Integral</a></li>
+  <li><a href="dlmfpolygammafunctions.xhtml">Polygamma Functions</a></li>
+  <li><a href="dlmfsums.xhtml">Sums</a></li>
+  <li><a href="dlmfbarnesgfunction.xhtml">
+       Barnes <i>G</i>-Function (Double Gamma Function)</a></li>
+  <li><a href="dlmfqgammaandbetafunctions.xhtml">
+       <i>q</i>-Gamma and Beta Functions</a></li>
+ </ul>
+ <li><b>Applications</b></li>
+ <ul>
+  <li><a href="dlmfmathematicalapplications.xhtml">
+      Mathematical Applications</a></li>
+  <li><a href="dlmfphysicalapplications.xhtml">
+      Physical Applications</a></li>
+ </ul>
+ <li><b>Computation</b></li>
+ <ul>
+  <li><a href="dlmfmethodsofcomputation.xhtml">
+      Methods of Computation</a></li>
+  <li><a href="dlmftables.xhtml">Tables</a></li>
+  <li><a href="dlmfapproximations.xhtml">Approximations</a></li>
+  <li>Axiom Software</li>
+ </ul>
+</ul>
+<<page foot>>
+@
+
+\subsection{dlmfapproximations.xhtml}
+<<dlmfapproximations.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Approximations
+  </div>
+  <hr/>
+<h3>Approximations</h3>
+<h6>Contents</h6>
+<ul>
+ <li>Rational Approximations</li>
+ <li>Expansions in Chebyshev Series</li>
+ <li>Approximations in the Complex Plane</li>
+</ul>
+
+<h4>Rational Approximations</h4>
+
+<p>
+ <a href="http://dlmf.nist.gov/Contents/bib/C#cody:1967:ca">
+  Cody and Hillstrom(1967)
+ </a> gives minimax rational approximations for
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>ln</m:mi>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>x</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math> for the ranges 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0.5</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>1.5</m:mn>
+  </m:mrow>
+ </m:math>,
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>1.5</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>4</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>4</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>12</m:mn>
+  </m:mrow>
+ </m:math>; precision is variable.
+ <a href="http://dlmf.nist.gov/Contents/bib/H#hart:1968:ca">
+  Hart <em>et.al.</em>(1968)
+ </a> gives minimax polynomial and rational approximations to
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>ln</m:mi>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>x</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math> in the intervals
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>, 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>8</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>1000</m:mn>
+  </m:mrow>
+ </m:math>, 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>12</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>1000</m:mn>
+  </m:mrow>
+ </m:math>; precision is variable. 
+
+ <a href="http://dlmf.nist.gov/Contents/bib/C#cody:1973:cap">
+  Cody <em>et.al.</em>(1973)
+ </a> gives minimax rational approximations for 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> for the ranges 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0.5</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>3</m:mn>
+  </m:mrow>
+ </m:math> and
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>3</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math>; precision is variable.
+</p>
+
+<p>For additional approximations see 
+ <a href="http://dlmf.nist.gov/Contents/bib/H#hart:1968:ca">
+  Hart <em>et.al.</em>(1968)
+ </a>(Appendix B),
+ <a href="http://dlmf.nist.gov/Contents/bib/L#luke:1975:mfa">
+  Luke(1975)
+ </a>(pp. 22–23), and 
+ <a href="http://dlmf.nist.gov/Contents/bib/W#weniger:2003:dig">
+  Weniger(2003)
+ </a>.
+</p>
+
+<h4>Expansions in Chebyshev Series</h4>
+
+<p>
+ <a href="http://dlmf.nist.gov/Contents/bib/L#luke:1969:sfa2">
+  Luke(1969)
+ </a> 
+ gives the coefficients to 20D for the Chebyshev-series expansions of 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mn>1</m:mn>
+     <m:mo>+</m:mo>
+     <m:mi>x</m:mi>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mfrac bevelled="true">
+   <m:mn>1</m:mn>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mn>1</m:mn>
+      <m:mo>+</m:mo>
+      <m:mi>x</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mfrac>
+ </m:math>,
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mi>x</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>3</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>ln</m:mi>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>x</m:mi>
+      <m:mo>+</m:mo>
+      <m:mn>3</m:mn>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mi>x</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>3</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, and the first six derivatives of 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mi>x</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>3</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> for 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>. These coefficients are reproduced in 
+ <a href="http://dlmf.nist.gov/Contents/bib/L#luke:1975:mfa">
+  Luke(1975)
+ </a>. 
+
+ <a href="http://dlmf.nist.gov/Contents/bib/C#clenshaw:1962:csm">
+  Clenshaw(1962)
+ </a> also gives 20D Chebyshev-series coefficients for 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mn>1</m:mn>
+     <m:mo>+</m:mo>
+     <m:mi>x</m:mi>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> and its reciprocal for 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&#x2264;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>. See 
+ <a href="http://dlmf.nist.gov/Contents/bib/L#luke:1975:mfa">
+  Luke(1975)
+ </a>(pp. 22–23) for additional expansions.
+</p>
+
+<h4>Approximations in the Complex Plane</h4>
+
+<p>Rational approximations for 
+ <m:math display="inline">
+  <m:mfrac bevelled="true">
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>z</m:mi>
+      <m:mo>+</m:mo>
+      <m:mn>1</m:mn>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mrow>
+    <m:mi>A</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>z</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mfrac>
+ </m:math>, where 
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>A</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>z</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mfrac bevelled="true">
+      <m:mn>1</m:mn>
+      <m:mn>2</m:mn>
+     </m:mfrac>
+    </m:msup>
+    <m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>+</m:mo>
+       <m:mi>c</m:mi>
+       <m:mo>+</m:mo>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:mi>z</m:mi>
+      <m:mo>+</m:mo>
+      <m:mn>1</m:mn>
+     </m:mrow>
+    </m:msup>
+    <m:mrow>
+     <m:mi>exp</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>c</m:mi>
+         <m:mo>+</m:mo>
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, and approximations for
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mi>z</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> based on the Padé approximants for two forms of the incomplete 
+  gamma function are in 
+ <a href="http://dlmf.nist.gov/Contents/bib/L#luke:1969:sfa2">
+  Luke(1969)
+ </a>.
+ <a href="http://dlmf.nist.gov/Contents/bib/L#luke:1975:mfa">
+  Luke(1975)
+ </a>(pp. 13–16) provides explicit rational approximations for
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>&#x03C8;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>z</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>+</m:mo>
+   <m:mi>&#x03B3;</m:mi>
+  </m:mrow>
+ </m:math>
+</p>
+<<page foot>>
+@
+
+\subsection{dlmfasymptoticexpansions.xhtml}
+<<dlmfasymptoticexpansions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Asymptotic Expansions
+  </div>
+  <hr/>
+<h3>Asymptotic Expansions</h3>
+
+<h6>Contents</h6>
+<ul>
+ <li>Poincaré-Type Expansions</li>
+ <li>Error Bounds and Exponential Improvement</li>
+ <li>Ratios</li>
+</ul>
+
+<h4>Poincaré-Type Expansions</h4>
+
+<p>As 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2192;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math> in the sector 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C0;</m:mi>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B4;</m:mi>
+    </m:mrow>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:none/>
+      <m:mo>&lt;</m:mo>
+      <m:mi>&#x03C0;</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<a name="equation1"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>ln</m:mi>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>-</m:mo>
+         <m:mstyle displaystyle="false">
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>2</m:mn>
+          </m:mfrac>
+         </m:mstyle>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>ln</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>z</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:msub>
+        <m:mi>B</m:mi>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>k</m:mi>
+        </m:mrow>
+       </m:msub>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>k</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>k</m:mi>
+          </m:mrow>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:msup>
+         <m:mi>z</m:mi>
+         <m:mrow>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>k</m:mi>
+          </m:mrow>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+        </m:msup>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<a name="equation2"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>ln</m:mi>
+      <m:mspace width="0.2em"/>
+      <m:mi>z</m:mi>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:msub>
+        <m:mi>B</m:mi>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>k</m:mi>
+        </m:mrow>
+       </m:msub>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>k</m:mi>
+        <m:msup>
+         <m:mi>z</m:mi>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>k</m:mi>
+         </m:mrow>
+        </m:msup>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>For the Bernoulli numbers 
+ <m:math>
+  <m:msub>
+   <m:mi>B</m:mi>
+   <m:mrow>
+    <m:mn>2</m:mn>
+    <m:mi>k</m:mi>
+   </m:mrow>
+  </m:msub>
+ </m:math>,
+ Also,
+</p>
+
+<a name="equation3"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi>z</m:mi>
+      <m:mi>z</m:mi>
+     </m:msup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mi>z</m:mi>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mfrac bevelled="true">
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:munderover>
+        <m:mo movablelimits="false">&#x2211;</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>0</m:mn>
+        </m:mrow>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:munderover>
+       <m:mfrac>
+        <m:msub>
+         <m:mi>g</m:mi>
+         <m:mi>k</m:mi>
+        </m:msub>
+        <m:msup>
+         <m:mi>z</m:mi>
+         <m:mi>k</m:mi>
+        </m:msup>
+       </m:mfrac>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mn>0</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mn>1</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mn>12</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mn>2</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mn>288</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mn>3</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:mn>139</m:mn>
+      <m:mn>51840</m:mn>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mn>4</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:mn>571</m:mn>
+      <m:mn>24 88320</m:mn>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mn>5</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>1 63879</m:mn>
+     <m:mn>2090 18880</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mn>6</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>52 46819</m:mn>
+     <m:mn>7 52467 96800</m:mn>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>g</m:mi>
+     <m:mi>k</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msqrt>
+      <m:mn>2</m:mn>
+     </m:msqrt>
+     <m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mstyle displaystyle="false">
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+       </m:mstyle>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi>k</m:mi>
+     </m:msub>
+     <m:msub>
+      <m:mi>a</m:mi>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>k</m:mi>
+      </m:mrow>
+     </m:msub>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mrow>
+   <m:msub>
+    <m:mi>a</m:mi>
+    <m:mn>0</m:mn>
+   </m:msub>
+   <m:mo>=</m:mo>
+   <m:mrow> 
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mn>2</m:mn>
+    </m:mfrac>
+    <m:msqrt>
+     <m:mn>2</m:mn>
+    </m:msqrt>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, and
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mn>0</m:mn>
+      </m:msub>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mi>k</m:mi>
+      </m:msub>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mn>1</m:mn>
+      </m:msub>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msub>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>3</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mn>2</m:mn>
+      </m:msub>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>2</m:mn>
+       </m:mrow>
+      </m:msub>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:mfrac>
+      </m:mstyle>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mi>k</m:mi>
+      </m:msub>
+      <m:msub>
+       <m:mi>a</m:mi>
+       <m:mn>0</m:mn>
+      </m:msub>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mstyle displaystyle="false">
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mi>k</m:mi>
+      </m:mfrac>
+     </m:mstyle>
+     <m:msub>
+      <m:mi>a</m:mi>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msub>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<p>
+ <a href="http://dlmf.nist.gov/Contents/bib/W#wrench:1968:cts">
+    Wrench(1968)
+ </a> gives exact values of 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>g</m:mi>
+   <m:mi>k</m:mi>
+  </m:msub>
+ </m:math> up to 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>g</m:mi>
+   <m:mn>20</m:mn>
+  </m:msub>
+ </m:math>.
+ <a href="http://dlmf.nist.gov/Contents/bib/S#spira:1971:cot">
+  Spira(1971)
+ </a> 
+ corrects errors in Wrench's results and also supplies exact and 45D values of 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>g</m:mi>
+   <m:mi>k</m:mi>
+  </m:msub>
+ </m:math> for 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>21</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>22</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+    <m:mo>,</m:mo>
+    <m:mn>30</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math>. For an asymptotic expansion of 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>g</m:mi>
+   <m:mi>k</m:mi>
+  </m:msub>
+ </m:math> as 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>&#x2192;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math> see 
+ <a  href="http://dlmf.nist.gov/Contents/bib/B#boyd:1994:gfa">Boyd(1994)
+ </a>.
+</p>
+
+<p>With the same conditions
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>+</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:msqrt>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mrow>
+     </m:msqrt>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mi>z</m:mi>
+        </m:mrow>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>a</m:mi>
+   <m:mrow> 
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:none/>
+     <m:mo>&gt;</m:mo>
+     <m:mn>0</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>b</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:none/>
+     <m:mo>&#x2208;</m:mo>
+     <m:mi mathvariant="normal">&#x2102;</m:mi>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> are both fixed, and
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>ln</m:mi>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>h</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>z</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>h</m:mi>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mstyle displaystyle="false">
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>2</m:mn>
+          </m:mfrac>
+         </m:mstyle>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>ln</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>z</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>2</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:mrow>
+        <m:msup>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mi>k</m:mi>
+        </m:msup>
+        <m:mrow>
+         <m:msub>
+          <m:mi>B</m:mi>
+          <m:mi>k</m:mi>
+         </m:msub>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mi>h</m:mi>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:msup>
+         <m:mi>z</m:mi>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+        </m:msup>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>h</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:none/>
+      <m:mo>&#x2208;</m:mo>
+      <m:mrow>
+      <m:mo>[</m:mo>
+      <m:mrow>
+       <m:mn>0</m:mn>
+       <m:mo>,</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>]</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> is fixed.
+</p>
+
+<p>Also as 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>y</m:mi>
+   <m:mo>&#x2192;</m:mo>
+   <m:mrow>
+    <m:mo>&#x00B1;</m:mo>
+    <m:mi mathvariant="normal">&#x221E;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow> 
+    <m:mrow>
+     <m:mo>|</m:mo>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>x</m:mi>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>|</m:mo>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:msqrt>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mrow>
+     </m:msqrt>
+     <m:msup>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mi>y</m:mi>
+       <m:mo>|</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>x</m:mi>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mfrac bevelled="true">
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mrow>
+          <m:mo>|</m:mo>
+          <m:mi>y</m:mi>
+          <m:mo>|</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mrow>
+     </m:msup>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>uniformly for bounded real values of 
+ <m:math display="inline">
+  <m:mi>x</m:mi>
+ </m:math>.
+</p>
+
+<h4>Error Bounds and Exponential Improvement</h4>
+
+<p>If the sums in the expansions 
+(<a href="#equation1">Equation 1</a>) and 
+(<a href="#equation2">Equation 2</a>) are terminated at 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mi>n</m:mi>
+    <m:mo>-</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math> (
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>) and 
+ <m:math display="inline">
+  <m:mi>z</m:mi>
+ </m:math> 
+is real and positive, then the remainder terms are bounded in magnitude by 
+the first neglected terms and have the same sign. If 
+ <m:math display="inline">
+  <m:mi>z</m:mi>
+ </m:math> 
+is complex, then the remainder terms are bounded in magnitude by 
+ <m:math display="inline">
+  <m:mrow>
+   <m:msup>
+    <m:mi>sec</m:mi>
+    <m:mrow>
+     <m:mn>2</m:mn>
+     <m:mi>n</m:mi>
+    </m:mrow>
+   </m:msup>
+   <m:mrow>
+    <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+      <m:mrow>
+       <m:mi>ph</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:math> for 
+(<a href="#equation1">Equation 1</a>), and
+ <m:math display="inline">
+  <m:mrow>
+   <m:msup>
+    <m:mi>sec</m:mi>
+    <m:mrow>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mi>n</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+   </m:msup>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mn>2</m:mn>
+     </m:mfrac>
+     <m:mrow>
+      <m:mi>ph</m:mi>
+      <m:mspace width="0.2em"/>
+      <m:mi>z</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> for 
+(<a href="#equation2">Equation 2</a>), times the first neglected terms.</p>
+
+<p>For the remainder term in 
+(<a href="#equation3">Equation 3</a>) write
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi>z</m:mi>
+      <m:mi>z</m:mi>
+     </m:msup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mi>z</m:mi>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mfrac bevelled="true">
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msup>
+     <m:mrow>
+       <m:mo>(</m:mo>
+      <m:mrow>
+        <m:mrow>
+        <m:munderover>
+         <m:mo movablelimits="false">&#x2211;</m:mo>
+          <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>=</m:mo>
+          <m:mn>0</m:mn>
+         </m:mrow>
+         <m:mrow>
+          <m:mi>K</m:mi>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+        </m:munderover>
+        <m:mfrac>
+         <m:msub>
+          <m:mi>g</m:mi>
+          <m:mi>k</m:mi>
+          </m:msub>
+         <m:msup>
+          <m:mi>z</m:mi>
+          <m:mi>k</m:mi>
+          </m:msup>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:msub>
+         <m:mi>R</m:mi>
+         <m:mi>K</m:mi>
+        </m:msub>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mi>z</m:mi>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        </m:mrow>
+       </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>K</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>1</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>3</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<p>Then
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mo>|</m:mo>
+     <m:mrow>
+      <m:msub>
+       <m:mi>R</m:mi>
+       <m:mi>K</m:mi>
+      </m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>|</m:mo>
+    </m:mrow>
+    <m:mo>&#x2264;</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>+</m:mo>
+         <m:mrow>
+          <m:mi>&#x03B6;</m:mi>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mi>K</m:mi>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mi>K</m:mi>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>&#x03C0;</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mrow>
+         <m:mi>K</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+       <m:msup>
+        <m:mrow>
+         <m:mo>|</m:mo>
+         <m:mi>z</m:mi>
+         <m:mo>|</m:mo>
+        </m:mrow>
+        <m:mi>K</m:mi>
+       </m:msup>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:mo movablelimits="false">min</m:mo>
+        <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mrow>
+            <m:mi>sec</m:mi>
+            <m:mrow>
+             <m:mo>(</m:mo>
+             <m:mrow>
+              <m:mi>ph</m:mi>
+              <m:mspace width="0.2em"/>
+              <m:mi>z</m:mi>
+             </m:mrow>
+             <m:mo>)</m:mo>
+            </m:mrow>
+           </m:mrow>
+           <m:mo>,</m:mo>
+           <m:mrow>
+            <m:mn>2</m:mn>
+            <m:msup>
+             <m:mi>K</m:mi>
+             <m:mstyle scriptlevel="+1">
+             <m:mfrac>
+              <m:mn>1</m:mn>
+              <m:mn>2</m:mn>
+             </m:mfrac>
+            </m:mstyle>
+           </m:msup>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mrow>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mn>2</m:mn>
+    </m:mfrac>
+    <m:mi>&#x03C0;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+
+<h4>Ratios</h4>
+
+<p>If 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>a</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:none/>
+     <m:mo>&#x2208;</m:mo>
+     <m:mi mathvariant="normal">&#x2102;</m:mi>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>b</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:none/>
+     <m:mo>&#x2208;</m:mo>
+     <m:mi mathvariant="normal">&#x2102;</m:mi>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> are fixed as 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2192;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math> in
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C0;</m:mi>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B4;</m:mi>
+    </m:mrow>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:none/>
+      <m:mo>&lt;</m:mo>
+      <m:mi>&#x03C0;</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, then
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>a</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>&#x223C;</m:mo>
+    <m:msup>
+     <m:mi>z</m:mi>
+     <m:mrow>
+      <m:mi>a</m:mi>
+      <m:mo>-</m:mo>
+      <m:mi>b</m:mi>
+     </m:mrow>
+    </m:msup>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>a</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mi>z</m:mi>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>0</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:mrow>
+        <m:msub>
+         <m:mi>G</m:mi>
+         <m:mi>k</m:mi>
+        </m:msub>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>,</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:msup>
+        <m:mi>z</m:mi>
+        <m:mi>k</m:mi>
+       </m:msup>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>Also, with the added condition 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>b</m:mi>
+      <m:mo>-</m:mo>
+      <m:mi>a</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>a</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mrow>
+          <m:mrow>
+           <m:mi>a</m:mi>
+           <m:mo>+</m:mo>
+           <m:mi>b</m:mi>
+          </m:mrow>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>0</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:mrow>
+        <m:msub>
+         <m:mi>H</m:mi>
+         <m:mi>k</m:mi>
+        </m:msub>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>,</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>z</m:mi>
+          <m:mo>+</m:mo>
+          <m:mrow>
+           <m:mfrac>
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mrow>
+              <m:mi>a</m:mi>
+              <m:mo>+</m:mo>
+              <m:mi>b</m:mi>
+             </m:mrow>
+             <m:mo>-</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>k</m:mi>
+        </m:mrow>
+       </m:msup>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>Here
+</p>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>G</m:mi>
+      <m:mn>0</m:mn>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>G</m:mi>
+      <m:mn>1</m:mn>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mn>2</m:mn>
+     </m:mfrac>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>G</m:mi>
+      <m:mn>2</m:mn>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mstyle displaystyle="true">
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mn>12</m:mn>
+      </m:mfrac>
+     </m:mstyle>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="true">
+       <m:mtable rowspacing="0.2ex" columnspacing="0.4em">
+        <m:mtr>
+         <m:mtd>
+          <m:mrow>
+           <m:mi>a</m:mi>
+            <m:mo>-</m:mo>
+           <m:mi>b</m:mi>
+           </m:mrow>
+          </m:mtd>
+        </m:mtr>
+         <m:mtr>
+         <m:mtd>
+          <m:mn>2</m:mn>
+          </m:mtd>
+        </m:mtr>
+       </m:mtable>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mn>3</m:mn>
+        <m:msup>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mrow>
+            <m:mi>a</m:mi>
+            <m:mo>+</m:mo>
+            <m:mi>b</m:mi>
+           </m:mrow>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mn>2</m:mn>
+        </m:msup>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>H</m:mi>
+      <m:mn>0</m:mn>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>H</m:mi>
+      <m:mn>1</m:mn>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="true">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>12</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mstyle displaystyle="true">
+        <m:mtable rowspacing="0.2ex" columnspacing="0.4em">
+         <m:mtr>
+          <m:mtd>
+           <m:mrow>
+            <m:mi>a</m:mi>
+            <m:mo>-</m:mo>
+            <m:mi>b</m:mi>
+           </m:mrow>
+          </m:mtd>
+         </m:mtr>
+         <m:mtr>
+          <m:mtd>
+           <m:mn>2</m:mn>
+          </m:mtd>
+         </m:mtr>
+        </m:mtable>
+       </m:mstyle>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>-</m:mo>
+         <m:mi>b</m:mi> 
+        </m:mrow>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>H</m:mi>
+      <m:mn>2</m:mn>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mstyle displaystyle="true">
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mn>240</m:mn>
+      </m:mfrac>
+     </m:mstyle>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="true">
+       <m:mtable rowspacing="0.2ex" columnspacing="0.4em">
+       <m:mtr>
+        <m:mtd>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+        </m:mtd>
+       </m:mtr>
+       <m:mtr>
+        <m:mtd>
+         <m:mn>4</m:mn>
+        </m:mtd>
+       </m:mtr>
+      </m:mtable>
+     </m:mstyle>
+     <m:mo>)</m:mo>
+    </m:mrow>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>+</m:mo>
+      <m:mrow>
+       <m:mn>5</m:mn>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mi>a</m:mi>
+           <m:mo>-</m:mo>
+           <m:mi>b</m:mi>
+          </m:mrow>
+          <m:mo>+</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mn>2</m:mn>
+       </m:msup>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>In terms of generalized Bernoulli polynomials we have for 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>k</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>0</m:mn>
+     <m:mo>,</m:mo>
+     <m:mn>1</m:mn>
+     <m:mo>,</m:mo>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>G</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mtable rowspacing="0.2ex" columnspacing="0.4em">
+       <m:mtr>
+        <m:mtd>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+        </m:mtd>
+       </m:mtr>
+       <m:mtr>
+        <m:mtd>
+         <m:mi>k</m:mi>
+        </m:mtd>
+       </m:mtr>
+      </m:mtable>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:msubsup>
+       <m:mi>B</m:mi>
+       <m:mi>k</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:msubsup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>a</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>H</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mtable rowspacing="0.2ex" columnspacing="0.4em">
+       <m:mtr>
+        <m:mtd>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+        </m:mtd>
+       </m:mtr>
+       <m:mtr>
+        <m:mtd>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>k</m:mi>
+         </m:mrow>
+        </m:mtd>
+       </m:mtr>
+      </m:mtable>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:msubsup>
+       <m:mi>B</m:mi>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>k</m:mi>
+       </m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:msubsup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>a</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>c</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>0</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi>k</m:mi>
+     </m:msup>
+     <m:mfrac>
+      <m:mrow>
+       <m:msub>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>c</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>a</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>k</m:mi>
+       </m:msub>
+       <m:msub>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>c</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>k</m:mi>
+       </m:msub>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mi mathvariant="normal">!</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mrow>
+          <m:mrow>
+           <m:mi>a</m:mi>
+           <m:mo>+</m:mo>
+           <m:mi>b</m:mi>
+          </m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mi>z</m:mi>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>k</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfbarnesgfunction.xhtml}
+<<dlmfbarnesgfunction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Barnes G-Function (Double Gamma Function)
+  </div>
+  <hr/>
+<h3>Barnes 
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">G</m:mi>
+ </m:math>-Function (Double Gamma Function)
+</h3>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>G</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi>G</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>G</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>1</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>G</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>n</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>n</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>2</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>n</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>3</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+     <m:mrow>
+      <m:mn>1</m:mn>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>3</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>G</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mfrac bevelled="true">
+        <m:mi>z</m:mi>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:msup>
+      <m:mrow>
+       <m:mi>exp</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mrow>
+           <m:mstyle displaystyle="false">
+            <m:mfrac>
+             <m:mn>1</m:mn>
+             <m:mn>2</m:mn>
+            </m:mfrac>
+           </m:mstyle>
+           <m:mspace width="0.2em"/>
+           <m:mi>z</m:mi>
+           <m:mspace width="0.2em"/>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mi>z</m:mi>
+             <m:mo>+</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mrow>
+          <m:mstyle displaystyle="false">
+           <m:mfrac>
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+          </m:mstyle>
+          <m:mi>&#x03B3;</m:mi>
+          <m:msup>
+           <m:mi>z</m:mi>
+           <m:mn>2</m:mn>
+          </m:msup>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>&#x00D7;</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>1</m:mn>
+          <m:mo>+</m:mo>
+          <m:mfrac>
+           <m:mi>z</m:mi>
+           <m:mi>k</m:mi>
+          </m:mfrac>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>k</m:mi>
+       </m:msup>
+       <m:mrow>
+        <m:mi>exp</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi>z</m:mi>
+          </m:mrow>
+          <m:mo>+</m:mo>
+          <m:mfrac>
+           <m:msup>
+            <m:mi>z</m:mi>
+            <m:mn>2</m:mn>
+           </m:msup>
+           <m:mrow>
+            <m:mn>2</m:mn>
+            <m:mi>k</m:mi>
+           </m:mrow>
+          </m:mfrac>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>Ln</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi>G</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mspace width="0.2em"/>
+        <m:mi>z</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mrow>
+         <m:mi>ln</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>&#x03C0;</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mspace width="0.2em"/>
+        <m:mi>z</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>z</m:mi>
+          <m:mo>+</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>+</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mi>Ln</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>z</m:mi>
+           <m:mo>+</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mn>0</m:mn>
+       <m:mi>z</m:mi>
+      </m:msubsup>
+      <m:mrow>
+       <m:mi>Ln</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>t</m:mi>
+          <m:mo>+</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mspace width="0.2em"/>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>The 
+ <m:math display="inline">
+  <m:mi>Ln</m:mi>
+ </m:math>'s have their principal values on the positive real axis and are
+             continued via continuity.
+</p>
+
+<p>When 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2192;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math> in 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C0;</m:mi>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B4;</m:mi>
+    </m:mrow>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:none/>
+      <m:mo>&lt;</m:mo>
+      <m:mi>&#x03C0;</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>Ln</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi>G</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>4</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:msup>
+         <m:mi>z</m:mi>
+         <m:mn>2</m:mn>
+        </m:msup>
+       </m:mrow>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>z</m:mi>
+           <m:mo>+</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mstyle displaystyle="false">
+           <m:mfrac>
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+          </m:mstyle>
+          <m:mspace width="0.2em"/>
+          <m:mi>z</m:mi>
+          <m:mspace width="0.2em"/>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mrow>
+            <m:mi>z</m:mi>
+            <m:mo>+</m:mo>
+            <m:mn>1</m:mn>
+           </m:mrow>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mstyle displaystyle="false">
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>12</m:mn>
+          </m:mfrac>
+         </m:mstyle>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mi>Ln</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+        <m:mi>A</m:mi>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:msub>
+        <m:mi>B</m:mi>
+        <m:mrow>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>k</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>2</m:mn>
+        </m:mrow>
+       </m:msub>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>k</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>k</m:mi>
+          </m:mrow>
+          <m:mo>+</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>k</m:mi>
+          </m:mrow>
+          <m:mo>+</m:mo>
+          <m:mn>2</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:msup>
+         <m:mi>z</m:mi>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>k</m:mi>
+         </m:mrow>
+        </m:msup>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+   </m:mrow>
+ </m:math>
+</div>
+
+<p>see 
+<a href="http://dlmf.nist.gov/Contents/bib/F#ferreira:2001:aae">
+ Ferreira and López(2001)
+</a>. This reference also provides bounds for the error term. Here 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>B</m:mi>
+   <m:mrow>
+    <m:mrow>
+     <m:mn>2</m:mn>
+     <m:mi>k</m:mi>
+    </m:mrow>
+    <m:mo>+</m:mo>
+    <m:mn>2</m:mn>
+   </m:mrow>
+  </m:msub>
+ </m:math> is the Bernoulli number,  and 
+ <m:math display="inline">
+  <m:mi>A</m:mi>
+ </m:math> is <em>Glaisher's constant</em>, given by
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>A</m:mi>
+    <m:mo>=</m:mo>
+    <m:msup>
+     <m:mi mathvariant="normal">&#x2147;</m:mi>
+     <m:mi>C</m:mi>
+    </m:msup>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>1.28242 71291 00622 63687</m:mn>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>C</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munder>
+      <m:mo movablelimits="false">lim</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>&#x2192;</m:mo>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:mrow>
+     </m:munder>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mrow>
+         <m:munderover>
+          <m:mo movablelimits="false">&#x2211;</m:mo>
+          <m:mrow>
+           <m:mi>k</m:mi>
+           <m:mo>=</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mi>n</m:mi>
+         </m:munderover>
+         <m:mi>k</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mrow>
+          <m:mi>ln</m:mi>
+          <m:mspace width="0.2em"/>
+          <m:mi>k</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mrow>
+            <m:mstyle displaystyle="false">
+             <m:mfrac>
+              <m:mn>1</m:mn>
+              <m:mn>2</m:mn>
+             </m:mfrac>
+            </m:mstyle>
+            <m:msup>
+             <m:mi>n</m:mi>
+             <m:mn>2</m:mn>
+            </m:msup>
+           </m:mrow>
+           <m:mo>+</m:mo>
+           <m:mrow>
+            <m:mstyle displaystyle="false">
+             <m:mfrac>
+              <m:mn>1</m:mn>
+              <m:mn>2</m:mn>
+             </m:mfrac>
+            </m:mstyle>
+            <m:mi>n</m:mi>
+           </m:mrow>
+           <m:mo>+</m:mo>
+           <m:mstyle displaystyle="false">
+            <m:mfrac>
+             <m:mn>1</m:mn>
+             <m:mn>12</m:mn>
+            </m:mfrac>
+           </m:mstyle>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mspace width="0.2em"/>
+         <m:mrow>
+          <m:mi>ln</m:mi>
+          <m:mspace width="0.2em"/>
+          <m:mi>n</m:mi>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>4</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:msup>
+         <m:mi>n</m:mi>
+         <m:mn>2</m:mn>
+        </m:msup>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mrow>
+       <m:mi>&#x03B3;</m:mi>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:mi>ln</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>&#x03C0;</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mn>12</m:mn>
+     </m:mfrac>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:mrow>
+       <m:msup>
+        <m:mi>&#x03B6;</m:mi>
+        <m:mo>&#x2032;</m:mo>
+       </m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mn>2</m:mn>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:msup>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mn>2</m:mn>
+       </m:msup>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mn>12</m:mn>
+     </m:mfrac>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:msup>
+       <m:mi>&#x03B6;</m:mi>
+       <m:mo>&#x2032;</m:mo>
+      </m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>and 
+ <m:math display="inline">
+  <m:msup>
+   <m:mi>&#x03B6;</m:mi>
+   <m:mo>&#x2032;</m:mo>
+  </m:msup>
+ </m:math> is the derivative of the zeta function
+</p>
+
+<p>For Glaisher's constant see also 
+ <a href="http://dlmf.nist.gov/Contents/bib/G#greene:1982:mft">
+  Greene and Knuth(1982)
+ </a>(p. 100).
+</p>
+<<page foot>>
+@
+
+\subsection{dlmfbetafunction.xhtml}
+<<dlmfbetafunction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Beta Function
+  </div>
+  <hr/>
+<h3>Beta Function</h3>
+
+<p>In this section all fractional powers have their principal values, except 
+where noted otherwise. In the next 4 equations it is assumed
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi> 
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math> and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>b</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>.
+</p>
+
+<h5>Euler's Beta Integral</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">B</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mn>1</m:mn>
+     </m:msubsup>
+     <m:msup>
+      <m:mi>t</m:mi>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>b</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mi>a</m:mi>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mi>b</m:mi>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mfrac bevelled="true">
+       <m:mi>&#x03C0;</m:mi>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msubsup>
+     <m:mrow>
+      <m:msup>
+       <m:mi>sin</m:mi>
+       <m:mrow>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>a</m:mi>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+      <m:mi>&#x03B8;</m:mi>
+     </m:mrow>
+     <m:mrow>
+      <m:msup>
+       <m:mi>cos</m:mi>
+       <m:mrow>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+      <m:mi>&#x03B8;</m:mi>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>&#x03B8;</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mstyle displaystyle="false">
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:mstyle>
+     <m:mrow>
+      <m:mi mathvariant="normal">B</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>,</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mfrac>
+      <m:mrow>
+       <m:msup>
+        <m:mi>t</m:mi>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:mi>t</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>+</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+      </m:msup>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">B</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mn>1</m:mn>
+     </m:msubsup>
+     <m:mfrac>
+      <m:mrow>
+       <m:msup>
+        <m:mi>t</m:mi>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>1</m:mn>
+          <m:mo>-</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mrow>
+         <m:mi>b</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>t</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>z</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+      </m:msup>
+     </m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">B</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>,</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>a</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi>z</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+     </m:msup>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>with 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mi>&#x03C0;</m:mi>
+  </m:mrow>
+ </m:math> and the integration path along the real axis.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mfrac bevelled="true">
+       <m:mi>&#x03C0;</m:mi>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msubsup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>cos</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi>cos</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>b</m:mi>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mi>&#x03C0;</m:mi>
+      <m:msup>
+       <m:mn>2</m:mn>
+       <m:mi>a</m:mi>
+      </m:msup>
+     </m:mfrac>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mrow>
+        <m:mi mathvariant="normal">B</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mfrac>
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mi>a</m:mi>
+             <m:mo>+</m:mo>
+             <m:mi>b</m:mi>
+             <m:mo>+</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>,</m:mo>
+          <m:mrow>
+           <m:mfrac>
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mrow>
+              <m:mi>a</m:mi>
+              <m:mo>-</m:mo>
+              <m:mi>b</m:mi>
+             </m:mrow>
+             <m:mo>+</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi>&#x03C0;</m:mi>
+     </m:msubsup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>sin</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2148;</m:mi>
+       <m:mi>b</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mi>&#x03C0;</m:mi>
+      <m:msup>
+       <m:mn>2</m:mn>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+     </m:mfrac>
+     <m:mfrac>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mfrac bevelled="true">
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:msup>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mrow>
+        <m:mi mathvariant="normal">B</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mfrac>
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mi>a</m:mi>
+             <m:mo>+</m:mo>
+             <m:mi>b</m:mi>
+             <m:mo>+</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>,</m:mo>
+          <m:mrow>
+           <m:mfrac>
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mrow>
+              <m:mi>a</m:mi>
+              <m:mo>-</m:mo>
+              <m:mi>b</m:mi>
+             </m:mrow>
+             <m:mo>+</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mfrac>
+      <m:mrow>
+       <m:mi>cosh</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>b</m:mi>
+         <m:mi>t</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>cosh</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mi>t</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>a</m:mi>
+       </m:mrow>
+      </m:msup>
+     </m:mfrac>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mn>4</m:mn>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">B</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>,</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>-</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x211C;</m:mi>
+     <m:mi>b</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow> 
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:mfrac>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mrow>
+        <m:msup>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>w</m:mi>
+           <m:mo>+</m:mo>
+           <m:mrow>
+            <m:mi mathvariant="normal">&#x2148;</m:mi>
+            <m:mi>t</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mi>a</m:mi>
+        </m:msup>
+        <m:msup>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>z</m:mi>
+           <m:mo>-</m:mo>
+           <m:mrow>
+            <m:mi mathvariant="normal">&#x2148;</m:mi>
+            <m:mi>t</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mi>b</m:mi>
+        </m:msup>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>w</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>-</m:mo>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">B</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>,</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>a</m:mi>
+      <m:mo>+</m:mo>
+      <m:mi>b</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>w</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>The fractional powers have their principal values when 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>w</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math> and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, and are continued via continuity.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mi mathvariant="normal">&#x2148;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mrow>
+        <m:mi>c</m:mi>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x221E;</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>c</m:mi>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x221E;</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+        </m:mrow>
+       </m:mrow>
+      </m:msubsup>
+      <m:msup>
+       <m:mi>t</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>a</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mrow>
+      <m:mi>b</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">B</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>,</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow> 
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>c</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>a</m:mi>
+      <m:mo>+</m:mo>
+      <m:mi>b</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mi mathvariant="normal">&#x2148;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mn>0</m:mn>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>+</m:mo>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:msubsup>
+      <m:msup>
+       <m:mi>t</m:mi>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>t</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>b</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mrow>
+       <m:mi>sin</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mi>&#x03C0;</m:mi>
+     </m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">B</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>,</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <!-- Need a better Axiom graphic for this
+ <img width="302" height="151" alt="" src="bitmaps/12F1.png"/> -->
+</div>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mi>t</m:mi>
+ </m:math>-plane. Contour for first loop integral for the beta function.
+</div>
+
+<p>In the next two equations the fractional powers are continuous on the 
+   integration paths and take their principal values at the beginning.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:msup>
+        <m:mi mathvariant="normal">&#x2147;</m:mi>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>a</m:mi>
+        </m:mrow>
+       </m:msup>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>0</m:mn>
+         <m:mo>+</m:mo>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:msubsup>
+      <m:msup>
+       <m:mi>t</m:mi>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>+</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mi>a</m:mi>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">B</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p> when
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>b</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math>
+  <m:mi>a</m:mi>
+ </m:math> is not an integer and the contour cuts the real axis between
+ <m:math>
+  <m:mrow>
+   <m:mo>-</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math> and the origin.
+</p>
+
+<div align="center">
+ <!-- Need a better Axiom graphic for this
+ <img width="302" height="151" alt="" src="bitmaps/12F2.png"/> -->
+</div>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mi>t</m:mi>
+ </m:math>-plane. Contour for second loop integral for the beta function.
+</div>
+
+<h5>Pochhammer's Integral</h5>
+<p>When 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>a</m:mi>
+    <m:mo>,</m:mo>
+    <m:mi>b</m:mi>
+   </m:mrow>
+   <m:mo>&#x2208;</m:mo>
+   <m:mi mathvariant="normal">&#x2102;</m:mi>
+  </m:mrow>
+ </m:math>
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow> 
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mi>P</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>+</m:mo>
+        </m:mrow>
+        <m:mo>,</m:mo>
+        <m:mrow>
+         <m:mn>0</m:mn>
+         <m:mo>+</m:mo>
+        </m:mrow>
+        <m:mo>,</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+        </m:mrow>
+        <m:mo>,</m:mo>
+        <m:mrow>
+         <m:mn>0</m:mn>
+         <m:mo>-</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:msubsup>
+     <m:msup>
+      <m:mi>t</m:mi>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>b</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mn>4</m:mn>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mi mathvariant="normal">&#x2148;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi>sin</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>a</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>sin</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">B</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>,</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where the contour starts from an arbitrary point  
+ <m:math display="inline">
+  <m:mi>P</m:mi>
+ </m:math> in the interval 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mo>(</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+   <m:mo>)</m:mo>
+  </m:mrow>
+ </m:math>,circles 
+ <m:math display="inline">
+  <m:mn>1</m:mn>
+ </m:math> and then 
+ <m:math display="inline">
+  <m:mn>0</m:mn>
+ </m:math> in the positive sense, circles 
+ <m:math display="inline">
+  <m:mn>1</m:mn>
+ </m:math> and then 
+ <m:math display="inline">
+  <m:mn>0</m:mn>
+ </m:math> in the negative sense, and returns to 
+ <m:math display="inline">
+  <m:mi>P</m:mi>
+ </m:math>. It can always be deformed into the contour shown here.
+</p>
+
+<div align="center">
+ <!-- Need a better Axiom graphic for this
+ <img width="302" height="104" alt="" src="bitmaps/12F3.png"/> -->
+</div>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mi>t</m:mi>
+ </m:math>-plane. Contour for Pochhammer's integral.
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfcontinuedfractions.xhtml}
+<<dlmfcontinuedfractions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Continued Fractions
+  </div>
+  <hr/>
+<h3>Continued Fractions</h3>
+
+<p>For 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mi>z</m:mi>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>+</m:mo>
+      <m:mi>z</m:mi>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>-</m:mo>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mfrac>
+       <m:msub>
+        <m:mi>a</m:mi>
+        <m:mn>0</m:mn>
+       </m:msub>
+       <m:mrow>
+        <m:mrow>
+         <m:mo>+</m:mo>
+         <m:mi>z</m:mi>
+        </m:mrow>
+        <m:mo>+</m:mo>
+       </m:mrow>
+      </m:mfrac>
+      <m:mrow>
+       <m:mfrac>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>+</m:mo>
+          <m:mi>z</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+        </m:mrow>
+       </m:mfrac>
+       <m:mrow>
+        <m:mfrac>
+         <m:msub>
+          <m:mi>a</m:mi>
+          <m:mn>2</m:mn>
+         </m:msub>
+         <m:mrow>
+          <m:mrow>
+           <m:mo>+</m:mo>
+           <m:mi>z</m:mi>
+          </m:mrow>
+          <m:mo>+</m:mo>
+         </m:mrow>
+        </m:mfrac>
+        <m:mrow>
+         <m:mfrac>
+          <m:msub>
+           <m:mi>a</m:mi>
+           <m:mn>3</m:mn>
+          </m:msub>
+          <m:mrow>
+           <m:mrow>
+            <m:mo>+</m:mo>
+            <m:mi>z</m:mi>
+           </m:mrow>
+           <m:mo>+</m:mo>
+          </m:mrow>
+         </m:mfrac>
+         <m:mrow>
+          <m:mfrac>
+           <m:msub>
+            <m:mi>a</m:mi>
+            <m:mn>4</m:mn>
+           </m:msub>
+           <m:mrow>
+            <m:mrow>
+             <m:mo>+</m:mo>
+             <m:mi>z</m:mi>
+            </m:mrow>
+            <m:mo>+</m:mo>
+           </m:mrow>
+          </m:mfrac>
+          <m:mfrac>
+           <m:msub>
+            <m:mi>a</m:mi>
+            <m:mn>5</m:mn>
+           </m:msub>
+           <m:mrow>
+            <m:mi>z</m:mi>
+            <m:mo>+</m:mo>
+           </m:mrow>
+          </m:mfrac>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mn>0</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mn>12</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mn>1</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mn>30</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mn>2</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>53</m:mn>
+     <m:mn>210</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mn>3</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>195</m:mn>
+     <m:mn>371</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mn>4</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>22999</m:mn>
+     <m:mn>22737</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mn>5</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>299 44523</m:mn>
+     <m:mn>197 33142</m:mn>
+    </m:mfrac>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mn>6</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mn>10 95352 41009</m:mn>
+     <m:mn>4 82642 75462</m:mn>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>For rational values of 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>a</m:mi>
+   <m:mn>7</m:mn>
+  </m:msub>
+ </m:math> to 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>a</m:mi>
+   <m:mn>11</m:mn>
+  </m:msub>
+ </m:math> and 40S values of 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>a</m:mi>
+   <m:mn>0</m:mn>
+  </m:msub>
+ </m:math> to 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>a</m:mi>
+   <m:mn>40</m:mn>
+  </m:msub>
+ </m:math>, see 
+<a href="http://dlmf.nist.gov/Contents/bib/C#char:1980:osc">
+   Char(1980)
+</a>. Also see 
+<a href="http://dlmf.nist.gov/Contents/bib/J#jones:1980:con">
+   Jones and Thron(1980)
+</a>(pp. 348–350) and
+<a href="http://dlmf.nist.gov/Contents/bib/L#lorentzen:1992:cfa">
+   Lorentzen and Waadeland(1992)
+</a>(pp. 221–224) for further information.
+</p>
+<<page foot>>
+@
+
+\subsection{dlmfdefinitions.xhtml}
+<<dlmfdefinitions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Definitions
+  </div>
+  <hr/>
+<h3>Definitions</h3>
+<h6>Contents</h6>
+<ul>
+ <li>Gamma and Psi Functions</li>
+ <li>Euler's Constant</li>
+ <li>Pochhammer's Symbol</li>
+</ul>
+<h4>Gamma and Psi Functions</h4>
+<h5>Euler's Integral</h5>
+<m:math display="block">
+ <m:mrow>
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x00393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>z</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:msubsup>
+     <m:mo>&#x222B;</m:mo>
+     <m:mn>0</m:mn>
+     <m:mi mathvariant="normal">&#x221E;</m:mi>
+    </m:msubsup>
+    <m:msup>
+     <m:mi mathvariant="normal">&#x02147;</m:mi>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:msup>
+    <m:msup>
+     <m:mi>t</m:mi>
+     <m:mrow>
+      <m:mi>z</m:mi>
+      <m:mo>-</m:mo>
+      <m:mn>1</m:mn>
+     </m:mrow>
+    </m:msup>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x2146;</m:mi>
+     <m:mi>t</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:mrow>
+</m:math>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+    <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+
+When 
+<m:math display="inline">
+ <m:mrow>
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x211C;</m:mi>
+   <m:mi>z</m:mi>
+  </m:mrow>
+  <m:mo>&#x2264;</m:mo>
+  <m:mn>0</m:mn>
+ </m:mrow>
+</m:math>, 
+
+<m:math display="inline">
+ <m:mrow>
+  <m:mi mathvariant="normal">&#x0393;</m:mi>
+  <m:mrow>
+   <m:mo>(</m:mo>
+   <m:mi>z</m:mi>
+   <m:mo>)</m:mo>
+  </m:mrow>
+ </m:mrow>
+</m:math> is defined by analytic continuation. It is a meromorphic 
+          function with no zeros, and with simple poles of residue 
+
+<m:math display="inline">
+ <m:mfrac bevelled="true">
+  <m:msup>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+   <m:mi>n</m:mi>
+  </m:msup>
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mi mathvariant="normal">!</m:mi>
+  </m:mrow>
+ </m:mfrac>
+</m:math> at 
+
+<m:math display="inline">
+ <m:mrow>
+  <m:mi>z</m:mi>
+  <m:mo>=</m:mo>
+  <m:mrow>
+   <m:mo>-</m:mo>
+   <m:mi>n</m:mi>
+  </m:mrow>
+ </m:mrow>
+</m:math>.  
+
+<m:math display="inline">
+ <m:mfrac bevelled="true">
+  <m:mn>1</m:mn>
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:mfrac>
+</m:math> is entire, with simple zeros at 
+
+<m:math display="inline">
+ <m:mrow>
+  <m:mi>z</m:mi>
+  <m:mo>=</m:mo>
+  <m:mrow>
+   <m:mo>-</m:mo>
+   <m:mi>n</m:mi>
+  </m:mrow>
+ </m:mrow>
+</m:math>.
+
+<p>
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac bevelled="true">
+     <m:mrow>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mo>&#x2032;</m:mo>
+      </m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+</p>
+   
+<p>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> is meromorphic with simple poles of residue 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mo>-</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math> at 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mi>n</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</p>
+
+<h4>Euler's Constant</h4>
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>&#x03B3;</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munder>
+      <m:mo movablelimits="false">lim</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>&#x2192;</m:mo>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:mrow>
+     </m:munder>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mn>3</m:mn>
+        </m:mfrac>
+        <m:mo>+</m:mo>
+        <m:mi mathvariant="normal">&#x2026;</m:mi>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mi>n</m:mi>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mi>ln</m:mi>
+        <m:mi>n</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>0.57721 56649 01532 86060</m:mn>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+
+<h4>Pochhammer's Symbol</h4>
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>a</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mn>0</m:mn>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>a</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mi>n</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi>a</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>2</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>n</m:mi>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math> 
+</div>
+
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>a</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mi>n</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mfrac bevelled="true">
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>n</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mi>a</m:mi>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:math>
+
+<div align="right">
+  <m:math display="inline">
+   <m:mrow>
+    <m:mi>a</m:mi>
+    <m:mo>&#x2260;</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>n</m:mi>
+     </m:mrow>
+     <m:mo>,</m:mo>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>n</m:mi>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mn>1</m:mn>
+     </m:mrow>
+     <m:mo>,</m:mo>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>n</m:mi>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mn>2</m:mn>
+     </m:mrow>
+     <m:mo>,</m:mo>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:math>
+ </div>
+<<page foot>>
+@
+
+\subsection{dlmffunctionrelations.xhtml}
+<<dlmffunctionrelations.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Function Relations
+  </div>
+  <hr/>
+<h3>Functional Relations</h3>
+<h6>Contents</h6>
+<ul>
+ <li>Recurrence</li>
+ <li>Reflection</li>
+ <li>Multiplication</li>
+ <li>Bohr-Mollerup Theorem</li>
+</ul>
+<h4>Recurrence</h4>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+       </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi>z</m:mi>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mi>z</m:mi>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+
+<h4>Reflection</h4>
+<a name="equation3"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac bevelled="true">
+     <m:mi>&#x03C0;</m:mi>
+     <m:mrow>
+      <m:mi>sin</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>&#x0177;</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mfrac bevelled="true">
+      <m:mi>&#x03C0;</m:mi>
+      <m:mrow>
+       <m:mi>tan</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>z</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>&#x0177;</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<h4>Multiplication</h4>
+<div align="left">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mn>2</m:mn>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>z</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mi>&#x03C0;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mfrac bevelled="true">
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="left">
+ <m:math display="inline">
+  <m:mrow> 
+   <m:mrow>
+    <m:mn>3</m:mn>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>3</m:mn>
+       <m:mi>z</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>&#x03C0;</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mn>3</m:mn>
+      <m:mrow>
+       <m:mrow>
+        <m:mn>3</m:mn>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>3</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>2</m:mn>
+          <m:mn>3</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="left">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>n</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mi>z</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>&#x03C0;</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mfrac bevelled="true">
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:mi>n</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msup>
+     <m:msup>
+      <m:mi>n</m:mi>
+      <m:mrow>
+       <m:mrow>
+        <m:mi>n</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>0</m:mn>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>n</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:munderover>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mi>k</m:mi>
+         <m:mi>n</m:mi>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x220F;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:munderover>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mfrac>
+       <m:mi>k</m:mi>
+       <m:mi>n</m:mi>
+      </m:mfrac>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>&#x03C0;</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mfrac bevelled="true">
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>n</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msup>
+     <m:msup>
+      <m:mi>n</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mfrac bevelled="true">
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mrow>
+     </m:msup>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>z</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>&#x03C8;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mi>z</m:mi>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C8;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>z</m:mi>
+           <m:mo>+</m:mo>
+           <m:mstyle displaystyle="false">
+            <m:mfrac>
+             <m:mn>1</m:mn>
+             <m:mn>2</m:mn>
+            </m:mfrac>
+           </m:mstyle>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mi>ln</m:mi>
+      <m:mn>2</m:mn>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mi>z</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mi>n</m:mi>
+      </m:mfrac>
+      <m:mrow>
+       <m:munderover>
+        <m:mo movablelimits="false">&#x2211;</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>0</m:mn>
+        </m:mrow>
+        <m:mrow>
+         <m:mi>n</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:munderover>
+       <m:mi>&#x03C8;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>+</m:mo>
+         <m:mfrac>
+          <m:mi>k</m:mi>
+          <m:mi>n</m:mi>
+         </m:mfrac>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mi>ln</m:mi>
+      <m:mi>n</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<a name="bohrmolleruptheorem"/>
+<h4>Bohr-Mollerup Theorem</h4>
+
+<br/>
+If a positive function 
+<m:math display="inline">
+ <m:mrow>
+  <m:mi>f</m:mi>
+  <m:mrow>
+   <m:mo>(</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>)</m:mo>
+  </m:mrow>
+ </m:mrow>
+</m:math> on 
+<m:math display="inline">
+ <m:mrow>
+  <m:mo>(</m:mo>
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>,</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+  <m:mo>)</m:mo>
+ </m:mrow>
+</m:math> satisfies 
+<m:math display="inline">
+ <m:mrow>
+  <m:mrow>
+   <m:mi>f</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mi>x</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+  <m:mo>=</m:mo>
+  <m:mrow>
+   <m:mi>x</m:mi>
+   <m:mrow>
+    <m:mi>f</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>x</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:mrow>
+</m:math>,
+
+<m:math display="inline">
+ <m:mrow>
+  <m:mrow>
+   <m:mi>f</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mn>1</m:mn>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+  <m:mo>=</m:mo>
+  <m:mn>1</m:mn>
+ </m:mrow>
+</m:math>, and 
+
+<m:math display="inline">
+ <m:mrow>
+  <m:mi>ln</m:mi>
+  <m:mrow>
+   <m:mi>f</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:mrow>
+</m:math> is convex, then
+
+<m:math display="inline">
+ <m:mrow>
+  <m:mrow>
+   <m:mi>f</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+  <m:mo>=</m:mo>
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:mrow>
+</m:math>.
+<<page foot>>
+@
+
+\subsection{dlmfgraphics.xhtml}
+<<dlmfgraphics.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Graphics
+  </div>
+  <hr/>
+<h3>Graphics</h3>
+<h6>Contents</h6>
+<ul>
+ <li>Real Argument</li>
+ <li>The Psi Function</li>
+ <li>Complex Argument</li>
+</ul>
+<h4>Real Argument</h4>
+ <img width="403" height="482" src="bitmaps/gammareal3.png"/>
+ <br/>
+This graph shows the 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> and 
+ <m:math display="inline">
+  <m:mfrac bevelled="true">
+   <m:mn>1</m:mn>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>x</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mfrac>
+ </m:math>.
+
+To create these two graphs in Axiom:
+<pre>
+ -- Draw the first graph in a viewport
+ viewport1:=draw(Gamma(i), i=-4.2..4, adaptive==true, unit==[1.0,1.0])
+ -- Draw the second graph in a viewport
+ viewport2:=draw(1/Gamma(i), i=-4.2..4, adaptive==true, unit==[1.0,1.0])
+ -- Get the Gamma graph from the first viewport and layer it on top
+ putGraph(viewport2,getGraph(viewport1,1),2)
+ -- Remove the points and leave the lines
+ points(viewport2,1,"off")
+ points(viewport2,2,"off")
+ -- Show the combined graph
+ makeViewport2D(viewport2)
+</pre>
+
+ <img width="300" height="176" alt="" src="bitmaps/loggamma.png"/>
+ <br/>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>ln</m:mi>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>x</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>. This function is convex on 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mo>(</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x221E;</m:mi>
+   </m:mrow>
+   <m:mo>)</m:mo>
+  </m:mrow>
+ </m:math>;
+ <br/>
+  compare <a href="dlmffunctionalrelations.xhtml#bohrmolleruptheorem">
+           Functional Relations</a>
+ <p>
+You can construct this graph with the Axiom commands:
+<pre>
+  -- draw the graph of log(Gamma) in a viewport
+  viewport1:=draw(log Gamma(i), i=0..8, adaptive==true, unit==[1.0,1.0])
+  -- turn off the points and leave the lines
+  points(viewport1,1,"off")
+</pre>
+</p>
+ <br/>
+
+ <h4>The Psi Function 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</h4>
+
+<p> This function is a special case of the polygamma function.
+In particular, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>x</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> is equal to polygamma(0,x).
+ </p>
+ <br/>
+ <br/>
+
+ <img width="522" height="556" alt="" src="bitmaps/psi.png"/>
+ <br/>
+You can reconstruct this graph in Axiom by:
+<pre>
+  -- first construct the psi function
+  psi(x)==polygamma(0,x)
+  -- draw the graph in a viewport
+  viewport:=draw(psi(y),y=-3.5..4,adaptive==true)
+  -- make the gradient obvious
+  scale(viewport,1,0.9,22.5)
+  -- and recenter the graph
+  translate(viewport,1,0,-0.02)
+  -- turn off the points and keep the line
+  points(viewport,1,"off")
+</pre>
+
+ <h4>Complex Argument</h4>
+
+ <img width="400" height="400" alt="" src="bitmaps/gammacomplex.png"/>
+ <br/>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>x</m:mi>
+      <m:mo>+</m:mo>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2148;</m:mi>
+       <m:mi>y</m:mi>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+ <br/>
+
+You can reconstruct this image in Axiom with:
+<pre>
+  -- Set up the default viewpoint
+  viewPhiDefault(-%pi/4)
+  -- define the point set function
+  gam(x,y)== 
+    g:=Gamma complex(x,y) 
+    point [x,y,max(min(real g,4),-4), argument g] 
+  -- draw the image and remember the viewport
+  viewport:=draw(gam, -4..4,-3..3,var1Steps==100,var2Steps==100)
+  -- set the color mapping for the image
+  colorDef(viewport,blue(),blue())
+  -- and smoothly shade it
+  drawStyle(viewport,"smooth")
+</pre>
+ <img width="400" height="400" src="bitmaps/gammacomplexinverse.png"/>
+<br/>
+ <m:math display="inline">
+  <m:mfrac bevelled="true">
+   <m:mn>1</m:mn>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>x</m:mi>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2148;</m:mi>
+        <m:mi>y</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mfrac>
+ </m:math>
+ <br/>
+
+<p>
+You can reproduce this image from Axiom with:
+<pre>
+  -- Set up the default viewpoint
+  viewPhiDefault(-%pi/4)
+  -- Define the complex Gamma inverse function
+  gaminv(x,y)== 
+    g:=1/(Gamma complex(x,y)) 
+    point [x,y,max(min(real g,4),-4), argument g]
+  -- draw the 3D image and remember the viewport
+  viewport:=draw(gaminv, -4..4,-3..3,var1Steps==100,var2Steps==100)
+  -- make the image a uniform color
+  colorDef(viewport,blue(),blue())
+  -- and make it pretty
+  drawStyle(viewport,"smooth")
+</pre>
+</p>
+
+
+<p>
+To get these exact images with the colored background you need
+to use GIMP to set the background. The steps I used are:
+<ol>
+<li>Save the image as a pixmap</li>
+<li>Open the saved file in gimp</li>
+<li>Dialogs->Colors->ColorPicker button</li>
+<li>Eyedrop the color of the web page</li>
+<li>Set the color as the foreground on the FG/BG page</li>
+<li>Dialogs->Layers</li>
+<li>Duplicate Layer</li>
+<li>Layer->Stack->Select bottom layer</li>
+<li>Edit->Fill with Foreground color</li>
+<li>(on Layers panel)Select image</li>
+<li>(on Layers panel) Mode->Darken Only</li>
+</ol>
+Note that you may have to use "lighten only" first before it will
+allow you to choose "darken only".
+</p>
+
+<<page foot>>
+@
+
+\subsection{dlmfinequalities.xhtml}
+<<dlmfinequalities.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Inequalities
+  </div>
+  <hr/>
+<h3>Inequalities</h3>
+<h6>Contents</h6>
+<ul>
+ <li>Real Variables</li>
+ <li>Complex Variables</li>
+</ul>
+
+<h4>Real Variables</h4>
+<p>Throughout this subsection 
+<m:math display="inline">
+ <m:mrow>
+  <m:mi>x</m:mi>
+  <m:mo>&gt;</m:mo>
+  <m:mn>0</m:mn>
+ </m:mrow>
+</m:math>.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mn>1</m:mn>
+    <m:mo>&lt;</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>&#x03C0;</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mfrac bevelled="true">
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi>x</m:mi>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>x</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mi>x</m:mi>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>x</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&lt;</m:mo>
+    <m:msup>
+     <m:mi mathvariant="normal">&#x2147;</m:mi>
+     <m:mfrac bevelled="true">
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>12</m:mn>
+        <m:mi>x</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mfrac>
+    </m:msup>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mi>x</m:mi>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>+</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mn>1</m:mn>
+         <m:mi>x</m:mi>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>&#x2264;</m:mo>
+    <m:mn>2</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mi>x</m:mi>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mn>2</m:mn>
+      </m:msup>
+     </m:mfrac>
+     <m:mo>+</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mfrac bevelled="true">
+           <m:mn>1</m:mn>
+           <m:mi>x</m:mi>
+          </m:mfrac>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mn>2</m:mn>
+      </m:msup>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>&#x2264;</m:mo>
+    <m:mn>2</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msup>
+     <m:mi>x</m:mi>
+     <m:mrow>
+      <m:mn>1</m:mn>
+      <m:mo>-</m:mo>
+      <m:mi>s</m:mi>
+     </m:mrow>
+    </m:msup>
+    <m:mo>&lt;</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>x</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>x</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>s</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>&lt;</m:mo>
+    <m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>x</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:mn>1</m:mn>
+      <m:mo>-</m:mo>
+      <m:mi>s</m:mi>
+     </m:mrow>
+    </m:msup>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>s</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>exp</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:mi>s</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow> 
+        <m:mi>&#x03C8;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>x</m:mi>
+          <m:mo>+</m:mo>
+          <m:msup>
+           <m:mi>s</m:mi>
+           <m:mfrac bevelled="true">
+            <m:mn>1</m:mn>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+          </m:msup>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x2264;</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>x</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>x</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>s</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>&#x2264;</m:mo>
+    <m:mrow>
+     <m:mi>exp</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:mi>s</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>&#x03C8;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>x</m:mi>
+          <m:mo>+</m:mo>
+          <m:mrow>
+           <m:mstyle displaystyle="false">
+            <m:mfrac>
+             <m:mn>1</m:mn>
+             <m:mn>2</m:mn>
+            </m:mfrac>
+           </m:mstyle>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mi>s</m:mi>
+             <m:mo>+</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>s</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h4>Complex Variables</h4>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mo>|</m:mo>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>x</m:mi>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>|</m:mo>
+    </m:mrow>
+    <m:mo>&#x2264;</m:mo>
+    <m:mrow>
+     <m:mo>|</m:mo>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>x</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>|</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mo>|</m:mo>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>x</m:mi>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>|</m:mo>
+    </m:mrow>
+    <m:mo>&#x2265;</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>sech</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>&#x03C0;</m:mi>
+          <m:mi>y</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mfrac bevelled="true">
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>x</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2265;</m:mo>
+   <m:mfrac>
+    <m:mn>1</m:mn>
+    <m:mn>2</m:mn>
+   </m:mfrac>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>For 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>b</m:mi>
+    <m:mo>-</m:mo>
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>a</m:mi>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mi>x</m:mi>
+    <m:mo>+</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x2148;</m:mi>
+     <m:mi>y</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math> with 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>x</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mo>&#x2223;</m:mo>
+     <m:mfrac>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>a</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>&#x2223;</m:mo>
+    </m:mrow>
+    <m:mo>&#x2264;</m:mo>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:msup>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>|</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>b</m:mi>
+       <m:mo>-</m:mo>
+       <m:mi>a</m:mi>
+      </m:mrow>
+     </m:msup>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>For 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mo>|</m:mo>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>|</m:mo>
+    </m:mrow>
+    <m:mo>&#x2264;</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>&#x03C0;</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mfrac bevelled="true">
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+     </m:msup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>|</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>x</m:mi>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mfrac bevelled="true">
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mrow>
+          <m:mo>|</m:mo>
+          <m:mi>y</m:mi>
+          <m:mo>|</m:mo>
+         </m:mrow> 
+        </m:mrow>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi>exp</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>6</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:msup>
+         <m:mrow>
+          <m:mo>|</m:mo>
+          <m:mi>z</m:mi>
+          <m:mo>|</m:mo>
+         </m:mrow>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+        </m:msup>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfinfiniteproducts.xhtml}
+<<dlmfinfiniteproducts.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Infinite Products
+  </div>
+  <hr/>
+<h3>Infinite Products</h3>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munder>
+      <m:mo movablelimits="false">lim</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>&#x2192;</m:mo>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:mrow>
+     </m:munder>
+     <m:mfrac>
+      <m:mrow>
+       <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mi mathvariant="normal">!</m:mi>
+      </m:mrow>
+      <m:msup>
+       <m:mi>k</m:mi>
+       <m:mi>z</m:mi>
+      </m:msup>
+     </m:mrow>
+     <m:mrow>
+      <m:mi>z</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x22EF;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>k</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi>z</m:mi>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mi>&#x03B3;</m:mi>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mi>z</m:mi>
+         <m:mi>k</m:mi>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mi>z</m:mi>
+         <m:mi>k</m:mi>
+        </m:mfrac>
+       </m:mrow>
+      </m:msup>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msup>
+     <m:mrow>
+      <m:mo>|</m:mo>
+      <m:mfrac>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mi>x</m:mi>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>x</m:mi>
+          <m:mo>+</m:mo>
+          <m:mrow>
+           <m:mi mathvariant="normal">&#x2148;</m:mi>
+           <m:mi>y</m:mi>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mfrac>
+      <m:mo>|</m:mo>
+     </m:mrow>
+     <m:mn>2</m:mn>
+    </m:msup>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x220F;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>0</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mn>1</m:mn>
+      <m:mo>+</m:mo>
+      <m:mfrac>
+       <m:msup>
+        <m:mi>y</m:mi>
+        <m:mn>2</m:mn>
+       </m:msup>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>x</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>k</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mn>2</m:mn>
+       </m:msup>
+      </m:mfrac>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>x</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mi>m</m:mi>
+     </m:munderover>
+     <m:msub>
+      <m:mi>a</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mi>m</m:mi>
+     </m:munderover>
+     <m:msub>
+      <m:mi>b</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>then
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x220F;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>0</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:mfrac>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:msub>
+          <m:mi>a</m:mi>
+          <m:mn>1</m:mn>
+         </m:msub>
+         <m:mo>+</m:mo>
+         <m:mi>k</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:msub>
+          <m:mi>a</m:mi>
+          <m:mn>2</m:mn>
+         </m:msub>
+         <m:mo>+</m:mo>
+         <m:mi>k</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x22EF;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:msub>
+          <m:mi>a</m:mi>
+          <m:mi>m</m:mi>
+         </m:msub>
+         <m:mo>+</m:mo>
+         <m:mi>k</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:msub>
+          <m:mi>b</m:mi>
+          <m:mn>1</m:mn>
+         </m:msub>
+         <m:mo>+</m:mo>
+         <m:mi>k</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:msub>
+          <m:mi>b</m:mi>
+          <m:mn>2</m:mn>
+         </m:msub>
+         <m:mo>+</m:mo>
+         <m:mi>k</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x22EF;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:msub>
+          <m:mi>b</m:mi>
+          <m:mi>m</m:mi>
+         </m:msub>
+         <m:mo>+</m:mo>
+         <m:mi>k</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>b</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>b</m:mi>
+         <m:mn>2</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x22EF;</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>b</m:mi>
+         <m:mi>m</m:mi>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mn>2</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x22EF;</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mi>m</m:mi>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>provided that none of the 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>b</m:mi>
+   <m:mi>k</m:mi>
+  </m:msub>
+ </m:math>
+ is zero or a negative integer.
+</p>
+<<page foot>>
+@
+
+\subsection{dlmfintegrals.xhtml}
+<<dlmfintegrals.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Integrals
+  </div>
+  <hr/>
+<h3>Integrals</h3>
+
+<a name="equation1"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mi mathvariant="normal">&#x2148;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mrow>
+        <m:mi>c</m:mi>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x221E;</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>c</m:mi>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x221E;</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+        </m:mrow>
+       </m:mrow>
+      </m:msubsup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>s</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>a</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>b</m:mi>
+         <m:mo>-</m:mo>
+         <m:mi>s</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:msup>
+       <m:mi>z</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>s</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>s</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>b</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:msup>
+       <m:mi>z</m:mi>
+       <m:mi>a</m:mi>
+      </m:msup>
+     </m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>+</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+     </m:msup>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>a</m:mi>
+      <m:mo>+</m:mo>
+      <m:mi>b</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x211C;</m:mi>
+     <m:mi>a</m:mi>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mi>c</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>b</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mi>&#x03C0;</m:mi>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:msup>
+       <m:mrow>
+        <m:mo>|</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>a</m:mi>
+           <m:mo>+</m:mo>
+           <m:mrow>
+            <m:mi mathvariant="normal">&#x2148;</m:mi>
+            <m:mi>t</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>|</m:mo>
+       </m:mrow>
+       <m:mn>2</m:mn>
+      </m:msup>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>b</m:mi>
+          </m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>&#x03C0;</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>t</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>a</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mrow>
+         <m:mi>sin</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mi>b</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>a</m:mi>
+      </m:mrow>
+     </m:msup>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>a</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>b</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mi>&#x03C0;</m:mi>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<h5>Barnes's Beta Integral</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>+</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>b</m:mi>
+         <m:mo>+</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>c</m:mi>
+         <m:mo>-</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>d</m:mi>
+         <m:mo>-</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>c</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>d</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>b</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>c</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>b</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>d</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>c</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>d</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow> 
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x211C;</m:mi>
+     <m:mi>a</m:mi>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x211C;</m:mi>
+     <m:mi>b</m:mi>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x211C;</m:mi>
+     <m:mi>c</m:mi>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x211C;</m:mi>
+     <m:mi>d</m:mi>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h5>Ramanujan's Beta Integral</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mfrac>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>b</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>c</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>d</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>b</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>c</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>d</m:mi>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>3</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>d</m:mi>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>b</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>b</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>d</m:mi>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>a</m:mi>
+      <m:mo>+</m:mo>
+      <m:mi>b</m:mi>
+      <m:mo>+</m:mo>
+      <m:mi>c</m:mi>
+      <m:mo>+</m:mo>
+      <m:mi>d</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>3</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<h5>de Branges-Wilson Beta Integral</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>4</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>⁢</m:mo>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:mfrac>
+       <m:mrow>
+        <m:msubsup>
+         <m:mo>&#x220F;</m:mo>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>=</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mn>4</m:mn>
+        </m:msubsup>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:msub>
+            <m:mi>a</m:mi>
+            <m:mi>k</m:mi>
+           </m:msub>
+           <m:mo>+</m:mo>
+           <m:mrow>
+            <m:mi mathvariant="normal">&#x2148;</m:mi>
+            <m:mi>t</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:msub>
+            <m:mi>a</m:mi>
+            <m:mi>k</m:mi>
+           </m:msub>
+           <m:mo>-</m:mo>
+           <m:mrow>
+            <m:mi mathvariant="normal">&#x2148;</m:mi>
+            <m:mi>t</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi mathvariant="normal">&#x2148;</m:mi>
+           <m:mi>t</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mrow>
+            <m:mn>2</m:mn>
+            <m:mi mathvariant="normal">&#x2148;</m:mi>
+            <m:mi>t</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+      </m:mfrac>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:msub>
+       <m:mo>&#x220F;</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>&#x2264;</m:mo>
+        <m:mi>j</m:mi>
+        <m:mo>&lt;</m:mo>
+        <m:mi>k</m:mi>
+        <m:mo>&#x2264;</m:mo>
+        <m:mn>4</m:mn>
+       </m:mrow>
+      </m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mi>j</m:mi>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mi>k</m:mi>
+        </m:msub>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mn>2</m:mn>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mn>3</m:mn>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>a</m:mi>
+         <m:mn>4</m:mn>
+        </m:msub>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:msub>
+      <m:mi>a</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>1</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+    <m:mo>,</m:mo>
+    <m:mn>4</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfintegralrepresentations.xhtml}
+<<dlmfintegralrepresentations.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Integral Representations
+  </div>
+  <hr/>
+<h3>Integral Representations</h3>
+
+<h6>Contents</h6>
+<ul>
+ <li>Gamma Function</li>
+ <li>Psi Function and Euler's Constant</li>
+</ul>
+
+<h4>Gamma Function</h4>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mi>&#x03BC;</m:mi>
+     </m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mi>&#x03BD;</m:mi>
+        <m:mi>&#x03BC;</m:mi>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mi>z</m:mi>
+       <m:mfrac bevelled="true">
+        <m:mi>&#x03BD;</m:mi>
+        <m:mi>&#x03BC;</m:mi>
+       </m:mfrac>
+      </m:msup>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mrow>
+      <m:mi>exp</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:msup>
+          <m:mi>t</m:mi>
+          <m:mi>&#x03BC;</m:mi>
+         </m:msup>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:msup>
+      <m:mi>t</m:mi>
+      <m:mrow>
+       <m:mi>&#x03BD;</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>&#x03BD;</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03BC;</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>. (The fractional powers have their principal values.)
+</p>
+
+<h5>Hankel's Loop Integral</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mi mathvariant="normal">&#x2148;</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>0</m:mn>
+         <m:mo>+</m:mo>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:msubsup>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mi>t</m:mi>
+      </m:msup>
+      <m:msup>
+       <m:mi>t</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where the contour begins at 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mo>-</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math>, circles the origin once in the positive direction, and returns to 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mo>-</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math>. 
+ <m:math display="inline">
+  <m:msup>
+   <m:mi>t</m:mi>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mi>z</m:mi>
+   </m:mrow>
+  </m:msup>
+ </m:math> has its principal value where 
+ <m:math display="inline">
+  <m:mi>t</m:mi>
+ </m:math> crosses the positive real axis, and is continuous. 
+</p>
+
+<div align="center">
+ <!-- need a better Axiom graphic than this
+  <img width="302" height="150" alt="" src="bitmaps/9F1.png"/> -->
+</div>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mi>t</m:mi>
+ </m:math>-plane. Contour for Hankel's loop integral.
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msup>
+      <m:mi>c</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:msup>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mi>t</m:mi>
+       <m:mo>|</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mi>c</m:mi>
+        <m:msup>
+         <m:mi>t</m:mi>
+         <m:mn>2</m:mn>
+        </m:msup>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>c</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where the path is the real axis.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mn>1</m:mn>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:msup>
+       <m:mi>t</m:mi>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>t</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>0</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>k</m:mi>
+       </m:msup>
+       <m:mrow>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>z</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>k</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mi mathvariant="normal">!</m:mi>
+        </m:mrow>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:msup>
+      <m:mi>t</m:mi>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:msup>
+        <m:mi mathvariant="normal">&#x2147;</m:mi>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+       </m:msup>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:munderover>
+         <m:mo movablelimits="false">&#x2211;</m:mo>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>=</m:mo>
+          <m:mn>0</m:mn>
+         </m:mrow>
+         <m:mi>n</m:mi>
+        </m:munderover>
+        <m:mfrac>
+         <m:mrow>
+          <m:msup>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mo>-</m:mo>
+             <m:mn>1</m:mn>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+           <m:mi>k</m:mi>
+          </m:msup>
+          <m:msup>
+           <m:mi>t</m:mi>
+           <m:mi>k</m:mi>
+          </m:msup>
+         </m:mrow>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mi mathvariant="normal">!</m:mi>
+         </m:mrow>
+        </m:mfrac>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:mspace width="0.2em"/>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mi>n</m:mi>
+    </m:mrow>
+    <m:mo>-</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mi>n</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi>cos</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:msup>
+      <m:mi>t</m:mi>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi>cos</m:mi>
+      <m:mspace width="0.2em"/>
+      <m:mi>t</m:mi>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi>sin</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:msup>
+      <m:mi>t</m:mi>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi>sin</m:mi>
+      <m:mspace width="0.2em"/>
+      <m:mi>t</m:mi>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mi>n</m:mi>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi>cos</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>n</m:mi>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mrow>
+      <m:mi>cos</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:msup>
+        <m:mi>t</m:mi>
+        <m:mi>n</m:mi>
+       </m:msup>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>3</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>4</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mi>n</m:mi>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi>sin</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>n</m:mi>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mrow>
+      <m:mi>sin</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:msup>
+        <m:mi>t</m:mi>
+        <m:mi>n</m:mi>
+       </m:msup>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>3</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>4</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<h5>Binet's Formula</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>ln</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>-</m:mo>
+         <m:mstyle displaystyle="false">
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>2</m:mn>
+          </m:mfrac>
+         </m:mstyle>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mi>ln</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>z</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:msubsup>
+        <m:mo>&#x222B;</m:mo>
+        <m:mn>0</m:mn>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:msubsup>
+       <m:mfrac>
+        <m:mrow>
+         <m:mi>arctan</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mfrac bevelled="true">
+           <m:mi>t</m:mi>
+           <m:mi>z</m:mi>
+          </m:mfrac>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mrow>
+         <m:msup>
+          <m:mi mathvariant="normal">&#x2147;</m:mi>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>&#x03C0;</m:mi>
+           <m:mi>t</m:mi>
+          </m:mrow>
+         </m:msup>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:mfrac>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:mi>t</m:mi>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mo>&#x2061;</m:mo>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mfrac bevelled="true">
+    <m:mi>&#x03C0;</m:mi>
+    <m:mn>2</m:mn>
+   </m:mfrac>
+  </m:mrow>
+ </m:math> and the inverse tangent has its principal value.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>ln</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mi>&#x03B3;</m:mi>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mi mathvariant="normal">&#x2148;</m:mi>
+       </m:mrow>
+      </m:mfrac>
+      <m:mrow>
+       <m:msubsup>
+        <m:mo>&#x222B;</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x221E;</m:mi>
+          <m:mspace width="0.2em"/>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x221E;</m:mi>
+          <m:mspace width="0.2em"/>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+         </m:mrow>
+        </m:mrow>
+       </m:msubsup>
+       <m:mfrac>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:msup>
+          <m:mi>z</m:mi>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi>s</m:mi>
+          </m:mrow>
+         </m:msup>
+        </m:mrow>
+        <m:mrow>
+         <m:mi>s</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mrow>
+          <m:mi>sin</m:mi>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mrow>
+            <m:mi>&#x03C0;</m:mi>
+            <m:mi>s</m:mi>
+           </m:mrow>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+        </m:mrow>
+       </m:mfrac>
+       <m:mrow>
+        <m:mi>&#x03B6;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>s</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:mi>s</m:mi>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mo>&#x2061;</m:mo>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mrow>
+    <m:mi>&#x03C0;</m:mi>
+    <m:mo>-</m:mo>
+    <m:mi>&#x03B4;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math> (
+ <m:math display="inline">
+  <m:mrow>
+   <m:none/>
+   <m:mo>&lt;</m:mo>
+   <m:mi>&#x03C0;</m:mi>
+  </m:mrow>
+ </m:math>), 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>1</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>c</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>2</m:mn>
+  </m:mrow>
+ </m:math>, and
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03B6;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>s</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</p>
+
+<p>For additional representations see
+<a href="http://dlmf.nist.gov/Contents/bib/W#whittaker:1927:cma">
+   Whittaker and Watson(1927)</a>
+</p>
+
+<h4>Psi Function and Euler's Constant</h4>
+<p>For 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>z</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mfrac>
+        <m:msup>
+         <m:mi mathvariant="normal">&#x2147;</m:mi>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:msup>
+        <m:mi>t</m:mi>
+       </m:mfrac>
+       <m:mo>-</m:mo>
+       <m:mfrac>
+        <m:msup>
+         <m:mi mathvariant="normal">&#x2147;</m:mi>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mrow>
+           <m:mi>z</m:mi>
+           <m:mi>t</m:mi>
+          </m:mrow>
+         </m:mrow>
+        </m:msup>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:msup>
+          <m:mi mathvariant="normal">&#x2147;</m:mi>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi>t</m:mi>
+          </m:mrow>
+         </m:msup>
+        </m:mrow>
+       </m:mfrac>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>ln</m:mi>
+      <m:mspace width="0.2em"/>
+      <m:mi>z</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mn>0</m:mn>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mi>t</m:mi>
+        </m:mfrac>
+        <m:mo>-</m:mo>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mrow>
+          <m:mn>1</m:mn>
+          <m:mo>-</m:mo>
+          <m:msup>
+           <m:mi mathvariant="normal">&#x2147;</m:mi>
+           <m:mrow>
+            <m:mo>-</m:mo>
+            <m:mi>t</m:mi>
+           </m:mrow>
+          </m:msup>
+         </m:mrow>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mspace width="0.2em"/>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mi>t</m:mi>
+         <m:mi>z</m:mi>
+        </m:mrow>
+       </m:mrow>
+      </m:msup>
+      <m:mspace width="0.2em"/>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:msup>
+        <m:mi mathvariant="normal">&#x2147;</m:mi>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+       </m:msup>
+       <m:mo>-</m:mo>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:msup>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mn>1</m:mn>
+           <m:mo>+</m:mo>
+           <m:mi>t</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mi>z</m:mi>
+        </m:msup>
+       </m:mfrac>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mfrac>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+      <m:mi>t</m:mi>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>ln</m:mi>
+      <m:mspace width="0.2em"/>
+      <m:mi>z</m:mi>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>z</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:msubsup>
+        <m:mo>&#x222B;</m:mo>
+        <m:mn>0</m:mn>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:msubsup>
+       <m:mfrac>
+        <m:mrow>
+         <m:mi>t</m:mi>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2146;</m:mi>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:msup>
+            <m:mi>t</m:mi>
+            <m:mn>2</m:mn>
+           </m:msup>
+           <m:mo>+</m:mo>
+           <m:msup>
+            <m:mi>z</m:mi>
+            <m:mn>2</m:mn>
+           </m:msup>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:msup>
+            <m:mi mathvariant="normal">&#x2147;</m:mi>
+            <m:mrow>
+             <m:mn>2</m:mn>
+             <m:mi>&#x03C0;</m:mi>
+             <m:mi>t</m:mi>
+            </m:mrow>
+           </m:msup>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mfrac>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mi>&#x03B3;</m:mi>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mfrac>
+      <m:mrow>
+       <m:msup>
+        <m:mi mathvariant="normal">&#x2147;</m:mi>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+       </m:msup>
+       <m:mo>-</m:mo>
+       <m:msup>
+        <m:mi mathvariant="normal">&#x2147;</m:mi>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mrow>
+          <m:mi>z</m:mi>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>-</m:mo>
+       <m:msup>
+        <m:mi mathvariant="normal">&#x2147;</m:mi>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+     </m:mfrac>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mn>1</m:mn>
+     </m:msubsup>
+     <m:mfrac>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>-</m:mo>
+       <m:msup>
+        <m:mi>t</m:mi>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>-</m:mo>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>&#x03B3;</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mi mathvariant="normal">&#x2148;</m:mi>
+       </m:mrow>
+      </m:mfrac>
+      <m:mrow>
+       <m:msubsup>
+        <m:mo>&#x222B;</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x221E;</m:mi>
+          <m:mspace width="0.2em"/>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x221E;</m:mi>
+          <m:mspace width="0.2em"/>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+         </m:mrow>
+        </m:mrow>
+       </m:msubsup>
+       <m:mfrac>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:msup>
+          <m:mi>z</m:mi>
+          <m:mrow>
+           <m:mrow>
+            <m:mo>-</m:mo>
+            <m:mi>s</m:mi>
+           </m:mrow>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+         </m:msup>
+        </m:mrow>
+        <m:mrow>
+         <m:mi>sin</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>&#x03C0;</m:mi>
+           <m:mi>s</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mfrac>
+       <m:mrow>
+        <m:mi>&#x03B6;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>s</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mspace width="0.2em"/>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:mi>s</m:mi>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C0;</m:mi>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B4;</m:mi>
+    </m:mrow>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:none/>
+      <m:mo>&lt;</m:mo>
+      <m:mi>&#x03C0;</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math> and 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>1</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>c</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>2</m:mn>
+  </m:mrow>
+ </m:math>.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>&#x03B3;</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mn>0</m:mn>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>t</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mspace width="0.2em"/>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mi>t</m:mi>
+      </m:mrow>
+      <m:mspace width="0.2em"/>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>+</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>-</m:mo>
+       <m:msup>
+        <m:mi mathvariant="normal">&#x2147;</m:mi>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mi>t</m:mi>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mfrac>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>t</m:mi>
+      </m:mrow>
+      <m:mi>t</m:mi>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mn>0</m:mn>
+       <m:mn>1</m:mn>
+      </m:msubsup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:msup>
+         <m:mi mathvariant="normal">&#x2147;</m:mi>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:msup>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mspace width="0.2em"/>
+      <m:mfrac>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mi>t</m:mi>
+      </m:mfrac>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x222B;</m:mo>
+       <m:mn>1</m:mn>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msubsup>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>t</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mfrac>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:mi>t</m:mi>
+       </m:mrow>
+       <m:mi>t</m:mi>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msubsup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mfrac>
+        <m:msup>
+         <m:mi mathvariant="normal">&#x2147;</m:mi>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:msup>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:msup>
+          <m:mi mathvariant="normal">&#x2147;</m:mi>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi>t</m:mi>
+          </m:mrow>
+         </m:msup>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>-</m:mo>
+       <m:mfrac>
+        <m:msup>
+         <m:mi mathvariant="normal">&#x2147;</m:mi>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mi>t</m:mi>
+         </m:mrow>
+        </m:msup>
+        <m:mi>t</m:mi>
+       </m:mfrac>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mspace width="0.2em"/>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfmathematicalapplications.xhtml}
+<<dlmfmathematicalapplications.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Mathematical Applications
+  </div>
+  <hr/>
+<h3>Mathematical Applications</h3>
+<h6>Contents</h6>
+<ul>
+ <li>Summation of Rational Functions</li>
+ <li>Mellin-Barnes Integrals</li>
+ <li>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">n</m:mi>
+ </m:math>-Dimensional Sphere</li>
+</ul>
+
+<h4>Summation of Rational Functions</h4>
+
+<p>As shown in 
+ <a href="http://dlmf.nist.gov/Contents/bib/T#temme:1996:sfi">
+  Temme(1996)
+ </a>(§3.4), the results given in
+ <a href="dlmfseriesexpansions.xhtml">
+  Series Expansions
+ </a> can be used to sum infinite series of rational functions.
+</p>
+
+<h5>Example</h5>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>S</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mstyle displaystyle="false">
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>0</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+     </m:mstyle>
+     <m:msub>
+      <m:mi>a</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mi>k</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mstyle displaystyle="true">
+     <m:mfrac>
+      <m:mi>k</m:mi>
+      <m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mn>3</m:mn>
+          <m:mi>k</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>2</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>k</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mstyle>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>By decomposition into partial fractions</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>a</m:mi>
+     <m:mi>k</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>+</m:mo>
+       <m:mfrac>
+        <m:mn>2</m:mn>
+        <m:mn>3</m:mn>
+       </m:mfrac>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>+</m:mo>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>-</m:mo>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>+</m:mo>
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mrow>
+       </m:mfrac>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>+</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+        </m:mfrac>
+        <m:mo>-</m:mo>
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>+</m:mo>
+          <m:mfrac>
+           <m:mn>2</m:mn>
+           <m:mn>3</m:mn>
+          </m:mfrac>
+         </m:mrow>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>Hence from (
+ <a href="dlmfseriesexpansions.xhtml#equation6">Series Expansions 6
+ </a>), ( Special Values and Extrema
+ <a href="dlmfspecialvaluesandextrema.xhtml#equation13">
+  Equation 13
+ </a> and 
+ <a href="dlmfspecialvaluesandextrema.xhtml#equation19">
+  Equation 19
+ </a>)
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>S</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mstyle displaystyle="false">
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+       </m:mstyle>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:mi>&#x03C8;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>2</m:mn>
+          <m:mn>3</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B3;</m:mi>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mn>3</m:mn>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mn>3</m:mn>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mn>2</m:mn>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>3</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mi>&#x03C0;</m:mi>
+      <m:msqrt>
+       <m:mn>3</m:mn>
+      </m:msqrt>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h4>Mellin-Barnes Integrals</h4>
+<p>Many special functions 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>f</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> can be represented as a <em>Mellin-Barnes integral</em>, that is, 
+  an integral of a product of gamma functions, reciprocals of gamma 
+  functions, and a power of 
+ <m:math display="inline">
+  <m:mi>z</m:mi>
+ </m:math>, the integration contour being doubly-infinite and eventually 
+  parallel to the imaginary axis. The left-hand side of (
+ <a href="dlmfintegrals.xhtml#equation1">
+  Integral Equation 1
+ </a>) is a typical example. By translating the contour parallel to itself 
+ and summing the residues of the integrand, asymptotic expansions of 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>f</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> for large 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mo>|</m:mo>
+   <m:mi>z</m:mi>
+   <m:mo>|</m:mo>
+  </m:mrow>
+ </m:math>, or small 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mo>|</m:mo>
+   <m:mi>z</m:mi>
+   <m:mo>|</m:mo>
+  </m:mrow>
+ </m:math>, can be obtained complete with an integral representation of the 
+  error term. 
+</p>
+
+<h4>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">n</m:mi>
+ </m:math>-Dimensional Sphere</h4>
+
+<p>The volume 
+ <m:math display="inline">
+  <m:mi>V</m:mi>
+ </m:math> and surface area 
+ <m:math display="inline">
+  <m:mi>A</m:mi>
+ </m:math> of the 
+ <m:math display="inline">
+  <m:mi>n</m:mi>
+ </m:math>-dimensional sphere of radius
+ <m:math display="inline">
+  <m:mi>r</m:mi>
+ </m:math> are given by
+</p>
+
+<div align="center">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>V</m:mi>
+    <m:mo>=</m:mo>
+    <m:mstyle displaystyle="true">
+     <m:mfrac>
+      <m:mrow>
+       <m:msup>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mrow>
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+         <m:mi>n</m:mi>
+        </m:mrow>
+       </m:msup>
+       <m:msup>
+        <m:mi>r</m:mi>
+        <m:mi>n</m:mi>
+       </m:msup>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>2</m:mn>
+          </m:mfrac>
+          <m:mi>n</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mstyle>
+   </m:mrow>
+   <m:mo>,</m:mo>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>S</m:mi>
+    <m:mo>=</m:mo>
+    <m:mstyle displaystyle="true">
+     <m:mfrac>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:msup>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mrow>
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+         <m:mi>n</m:mi>
+        </m:mrow>
+       </m:msup>
+       <m:msup>
+        <m:mi>r</m:mi>
+        <m:mrow>
+         <m:mi>n</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+         <m:mi>n</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mfrac>
+    </m:mstyle>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mstyle displaystyle="true">
+      <m:mfrac>
+       <m:mi>n</m:mi>
+       <m:mi>r</m:mi>
+      </m:mfrac>
+     </m:mstyle>
+     <m:mi>V</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfmethodsofcomputation.xhtml}
+<<dlmfmethodsofcomputation.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Methods of Computation
+  </div>
+  <hr/>
+<h3>Methods of Computation</h3>
+
+<p>An effective way of computing 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> 
+in the right half-plane is backward recurrence, beginning with a value 
+generated from the 
+<a href="dlmfasymptoticexpansions.xhtml#equation3">
+ asymptotic expansion
+</a>
+Or we can use forward recurrence, with an 
+<a href="dlmfseriesexpansions.xhtml#equation3">
+ initial value
+</a>.
+For the left half-plane we can continue the backward recurrence or 
+make use of the 
+<a href="dlmffunctionrelations.xhtml#equation3">
+ reflection formula
+</a>.
+</p>
+
+<p>Similarly for 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>ln</m:mi>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x0393;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>z</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, and the polygamma functions.
+</p>
+
+<p>For a comprehensive survey see 
+ <a href="http://dlmf.nist.gov/Contents/bib/V#vanderlaan:1984:csf">
+  van der Laan and Temme(1984)
+ </a>(Chapter III).
+ See also 
+ <a href="http://dlmf.nist.gov/Contents/bib/B#borwein:1992:feg">
+  Borwein and Zucker(1992)
+ </a>.
+</p>
+<<page foot>>
+@
+
+\subsection{dlmfmultidimensionalintegral.xhtml}
+<<dlmfmultidimensionalintegral.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Multidimensional Integral
+  </div>
+  <hr/>
+<h3>Multidimensional Integrals</h3>
+
+<p>Let 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>V</m:mi>
+   <m:mi>n</m:mi>
+  </m:msub>
+ </m:math> be the simplex: 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>t</m:mi>
+     <m:mn>1</m:mn>
+    </m:msub>
+    <m:mo>+</m:mo>
+    <m:msub>
+     <m:mi>t</m:mi>
+     <m:mn>2</m:mn>
+    </m:msub>
+    <m:mo>+</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+    <m:mo>+</m:mo>
+    <m:msub>
+     <m:mi>t</m:mi>
+     <m:mi>n</m:mi>
+    </m:msub>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:msub>
+    <m:mi>t</m:mi>
+    <m:mi>k</m:mi>
+   </m:msub>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>. Then for 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:msub>
+     <m:mi>z</m:mi>
+     <m:mi>k</m:mi>
+    </m:msub>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>1</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mi>n</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mo>&#x222B;</m:mo>
+      <m:msub>
+       <m:mi>V</m:mi>
+       <m:mi>n</m:mi>
+      </m:msub>
+     </m:msub>
+     <m:msubsup>
+      <m:mi>t</m:mi>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:msub>
+        <m:mi>z</m:mi>
+        <m:mn>1</m:mn>
+       </m:msub>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msubsup>
+     <m:msubsup>
+      <m:mi>t</m:mi>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:msub>
+        <m:mi>z</m:mi>
+        <m:mn>2</m:mn>
+       </m:msub>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msubsup>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+     <m:msubsup>
+      <m:mi>t</m:mi>
+      <m:mi>n</m:mi>
+      <m:mrow>
+       <m:msub>
+        <m:mi>z</m:mi>
+        <m:mi>n</m:mi>
+       </m:msub>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msubsup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:msub>
+       <m:mi>t</m:mi>
+       <m:mn>1</m:mn>
+      </m:msub>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:msub>
+       <m:mi>t</m:mi>
+       <m:mn>2</m:mn>
+      </m:msub>
+     </m:mrow>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:msub>
+       <m:mi>t</m:mi>
+       <m:mi>n</m:mi>
+      </m:msub>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>2</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x22EF;</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mi>n</m:mi>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>2</m:mn>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:mi mathvariant="normal">&#x2026;</m:mi>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mi>n</m:mi>
+        </m:msub>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mo>&#x222B;</m:mo>
+      <m:msub>
+       <m:mi>V</m:mi>
+       <m:mi>n</m:mi>
+      </m:msub>
+     </m:msub>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:munderover>
+          <m:mo movablelimits="false">&#x2211;</m:mo>
+          <m:mrow>
+           <m:mi>k</m:mi>
+           <m:mo>=</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mi>n</m:mi>
+         </m:munderover>
+         <m:msub>
+          <m:mi>t</m:mi>
+          <m:mi>k</m:mi>
+         </m:msub>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:msub>
+        <m:mi>z</m:mi>
+        <m:mrow>
+         <m:mi>n</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msub>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:munderover>
+      <m:msubsup>
+       <m:mi>t</m:mi>
+       <m:mi>k</m:mi>
+       <m:mrow>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mi>k</m:mi>
+        </m:msub>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msubsup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:msub>
+        <m:mi>t</m:mi>
+        <m:mi>k</m:mi>
+       </m:msub>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>2</m:mn>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x22EF;</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mrow>
+          <m:mi>n</m:mi>
+          <m:mo>+</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>1</m:mn>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mn>2</m:mn>
+        </m:msub>
+        <m:mo>+</m:mo>
+        <m:mi mathvariant="normal">&#x2026;</m:mi>
+        <m:mo>+</m:mo>
+        <m:msub>
+         <m:mi>z</m:mi>
+         <m:mrow>
+          <m:mi>n</m:mi>
+          <m:mo>+</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+        </m:msub>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h5>Selberg-type Integrals</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0394;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:msub>
+        <m:mi>t</m:mi>
+        <m:mn>1</m:mn>
+       </m:msub>
+       <m:mo>,</m:mo>
+       <m:msub>
+        <m:mi>t</m:mi>
+        <m:mn>2</m:mn>
+       </m:msub>
+       <m:mo>,</m:mo>
+       <m:mi mathvariant="normal">&#x2026;</m:mi>
+       <m:mo>,</m:mo>
+       <m:msub>
+        <m:mi>t</m:mi>
+        <m:mi>n</m:mi>
+       </m:msub>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munder>
+      <m:mo movablelimits="false">&#x220F;</m:mo>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>&#x2264;</m:mo>
+       <m:mi>j</m:mi>
+       <m:mo>&lt;</m:mo>
+       <m:mi>k</m:mi>
+       <m:mo>&#x2264;</m:mo>
+       <m:mi>n</m:mi>
+      </m:mrow>
+     </m:munder>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:msub>
+       <m:mi>t</m:mi>
+       <m:mi>j</m:mi>
+      </m:msub>
+      <m:mo>-</m:mo>
+      <m:msub>
+       <m:mi>t</m:mi>
+       <m:mi>k</m:mi>
+      </m:msub>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>Then
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mo>&#x222B;</m:mo>
+      <m:msup>
+       <m:mrow>
+        <m:mo>[</m:mo>
+        <m:mrow>
+         <m:mn>0</m:mn>
+         <m:mo>,</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>]</m:mo>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:msup>
+     </m:msub>
+     <m:msub>
+      <m:mi>t</m:mi>
+      <m:mn>1</m:mn>
+     </m:msub>
+     <m:msub>
+      <m:mi>t</m:mi>
+      <m:mn>2</m:mn>
+     </m:msub>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+     <m:msub>
+      <m:mi>t</m:mi>
+      <m:mi>m</m:mi>
+     </m:msub>
+     <m:msup>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0394;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:msub>
+           <m:mi>t</m:mi>
+           <m:mn>1</m:mn>
+          </m:msub>
+          <m:mo>,</m:mo>
+          <m:mi mathvariant="normal">&#x2026;</m:mi>
+          <m:mo>,</m:mo>
+          <m:msub>
+           <m:mi>t</m:mi>
+           <m:mi>n</m:mi>
+          </m:msub>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>|</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>c</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:munderover>
+      <m:msubsup>
+       <m:mi>t</m:mi>
+       <m:mi>k</m:mi>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msubsup>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:msub>
+          <m:mi>t</m:mi>
+          <m:mi>k</m:mi>
+         </m:msub>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>b</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:msub>
+        <m:mi>t</m:mi>
+        <m:mi>k</m:mi>
+       </m:msub>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mn>1</m:mn>
+           <m:mo>+</m:mo>
+           <m:mi>c</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:msup>
+     </m:mfrac>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi>m</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>n</m:mi>
+           <m:mo>-</m:mo>
+           <m:mi>k</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mi>c</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mrow>
+            <m:mn>2</m:mn>
+            <m:mi>n</m:mi>
+           </m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi>k</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mi>c</m:mi>
+        </m:mrow>
+       </m:mrow>
+      </m:mfrac>
+      <m:mrow>
+       <m:munderover>
+        <m:mo movablelimits="false">&#x220F;</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:munderover>
+       <m:mfrac>
+        <m:mrow>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x0393;</m:mi>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mrow>
+            <m:mi>a</m:mi>
+            <m:mo>+</m:mo>
+            <m:mrow>
+             <m:mrow>
+              <m:mo>(</m:mo>
+              <m:mrow>
+               <m:mi>n</m:mi>
+               <m:mo>-</m:mo>
+               <m:mi>k</m:mi>
+              </m:mrow>
+              <m:mo>)</m:mo>
+             </m:mrow>
+             <m:mi>c</m:mi>
+            </m:mrow>
+           </m:mrow>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x0393;</m:mi>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mrow>
+            <m:mi>b</m:mi>
+            <m:mo>+</m:mo>
+            <m:mrow>
+             <m:mrow>
+              <m:mo>(</m:mo>
+              <m:mrow>
+               <m:mi>n</m:mi>
+               <m:mo>-</m:mo>
+               <m:mi>k</m:mi>
+              </m:mrow>
+              <m:mo>)</m:mo>
+             </m:mrow>
+             <m:mi>c</m:mi>
+            </m:mrow>
+           </m:mrow>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x0393;</m:mi>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mrow>
+            <m:mn>1</m:mn>
+            <m:mo>+</m:mo>
+            <m:mrow>
+             <m:mi>k</m:mi>
+             <m:mi>c</m:mi>
+            </m:mrow>
+           </m:mrow>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+        </m:mrow>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>a</m:mi>
+           <m:mo>+</m:mo>
+           <m:mi>b</m:mi>
+           <m:mo>+</m:mo>
+           <m:mrow>
+            <m:mrow>
+             <m:mo>(</m:mo>
+             <m:mrow>
+              <m:mrow>
+               <m:mn>2</m:mn>
+               <m:mi>n</m:mi>
+              </m:mrow>
+              <m:mo>-</m:mo>
+              <m:mi>k</m:mi>
+              <m:mo>-</m:mo>
+              <m:mn>1</m:mn>
+             </m:mrow>
+             <m:mo>)</m:mo>
+            </m:mrow>
+            <m:mi>c</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mfrac>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>provided that 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x211C;</m:mi> 
+   <m:mi>a</m:mi>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>b</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>c</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mrow>
+     <m:mo>min</m:mo>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mfrac bevelled="true">
+        <m:mn>1</m:mn>
+        <m:mi>n</m:mi>
+       </m:mfrac>
+       <m:mo>,</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x211C;</m:mi>
+        <m:mfrac bevelled="true">
+         <m:mi>a</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>n</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>,</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x211C;</m:mi>
+        <m:mfrac bevelled="true">
+         <m:mi>b</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>n</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mfrac>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</p>
+
+<p>Secondly,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mo>&#x222B;</m:mo>
+      <m:msup>
+       <m:mrow>
+        <m:mo>[</m:mo>
+        <m:mrow>
+         <m:mn>0</m:mn>
+         <m:mo>,</m:mo>
+         <m:mi mathvariant="normal">&#x221E;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:msup>
+     </m:msub>
+     <m:msub>
+      <m:mi>t</m:mi>
+      <m:mn>1</m:mn>
+     </m:msub>
+     <m:msub>
+      <m:mi>t</m:mi>
+      <m:mn>2</m:mn>
+     </m:msub>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+     <m:msub>
+      <m:mi>t</m:mi>
+      <m:mi>m</m:mi>
+     </m:msub>
+     <m:msup>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0394;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:msub>
+           <m:mi>t</m:mi>
+           <m:mn>1</m:mn>
+          </m:msub>
+          <m:mo>,</m:mo>
+          <m:mi mathvariant="normal">&#x2026;</m:mi>
+          <m:mo>,</m:mo>
+          <m:msub>
+           <m:mi>t</m:mi>
+           <m:mi>n</m:mi>
+          </m:msub>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>|</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>c</m:mi>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:munderover>
+      <m:msubsup>
+       <m:mi>t</m:mi>
+       <m:mi>k</m:mi>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msubsup>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:msub>
+         <m:mi>t</m:mi>
+         <m:mi>k</m:mi>
+        </m:msub>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:msub>
+        <m:mi>t</m:mi>
+        <m:mi>k</m:mi>
+       </m:msub>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x220F;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mi>m</m:mi>
+     </m:munderover>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>n</m:mi>
+          <m:mo>-</m:mo>
+          <m:mi>k</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>c</m:mi>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mfrac>
+      <m:mrow>
+       <m:msubsup>
+        <m:mo>&#x220F;</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:msubsup>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mo></m:mo>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>a</m:mi>
+          <m:mo>+</m:mo>
+          <m:mrow>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mi>n</m:mi>
+             <m:mo>-</m:mo>
+             <m:mi>k</m:mi>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+           <m:mi>c</m:mi>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>1</m:mn>
+          <m:mo>+</m:mo>
+          <m:mrow>
+           <m:mi>k</m:mi>
+           <m:mi>c</m:mi>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mn>1</m:mn>
+           <m:mo>+</m:mo>
+           <m:mi>c</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:msup>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>when 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>,
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>c</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mrow>
+     <m:mo>min</m:mo>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mfrac bevelled="true">
+        <m:mn>1</m:mn>
+        <m:mi>n</m:mi>
+       </m:mfrac>
+       <m:mo>,</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x211C;</m:mi>
+        <m:mfrac bevelled="true">
+         <m:mi>a</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>n</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mfrac>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</p>
+
+<p>Thirdly,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mfrac bevelled="true">
+        <m:mi>n</m:mi>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:msup>
+     </m:mfrac>
+     <m:mrow>
+      <m:msub>
+       <m:mo>&#x222B;</m:mo>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi mathvariant="normal">&#x221E;</m:mi>
+          </m:mrow>
+          <m:mo>,</m:mo>
+          <m:mi mathvariant="normal">&#x221E;</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:msup>
+      </m:msub>
+      <m:msup>
+       <m:mrow>
+        <m:mo>|</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0394;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:msub>
+            <m:mi>t</m:mi>
+            <m:mn>1</m:mn>
+           </m:msub>
+           <m:mo>,</m:mo>
+           <m:mi mathvariant="normal">&#x2026;</m:mi>
+           <m:mo>,</m:mo>
+           <m:msub>
+            <m:mi>t</m:mi>
+            <m:mi>n</m:mi>
+           </m:msub>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>|</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>c</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:munderover>
+        <m:mo movablelimits="false">&#x220F;</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:munderover>
+       <m:mrow>
+        <m:mi>exp</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mrow>
+           <m:mstyle displaystyle="false">
+            <m:mfrac>
+             <m:mn>1</m:mn>
+             <m:mn>2</m:mn>
+            </m:mfrac>
+           </m:mstyle>
+           <m:msubsup>
+            <m:mi>t</m:mi>
+            <m:mi>k</m:mi>
+            <m:mn>2</m:mn>
+           </m:msubsup>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2146;</m:mi>
+        <m:msub>
+         <m:mi>t</m:mi>
+         <m:mi>k</m:mi>
+        </m:msub>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:msubsup>
+       <m:mo>&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:msubsup>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mi>c</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>1</m:mn>
+          <m:mo>+</m:mo>
+          <m:mi>c</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi>n</m:mi>
+     </m:msup>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h5>Dyson's Integral</h5>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:msup>
+     </m:mfrac>
+     <m:mrow>
+      <m:msub>
+       <m:mo>&#x222B;</m:mo>
+       <m:msup>
+        <m:mrow>
+         <m:mo>[</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi>&#x03C0;</m:mi>
+          </m:mrow>
+          <m:mo>,</m:mo>
+          <m:mi>&#x03C0;</m:mi>
+         </m:mrow>
+         <m:mo>]</m:mo>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:msup>
+      </m:msub>
+      <m:munder>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>&#x2264;</m:mo>
+        <m:mi>j</m:mi>
+        <m:mo>&lt;</m:mo>
+        <m:mi>k</m:mi>
+        <m:mo>&#x2264;</m:mo>
+        <m:mi>n</m:mi>
+       </m:mrow>
+      </m:munder>
+      <m:msup>
+       <m:mrow>
+        <m:mo>|</m:mo>
+        <m:mrow>
+         <m:msup>
+          <m:mi mathvariant="normal">&#x2147;</m:mi>
+          <m:mrow>
+           <m:mi mathvariant="normal">&#x2148;</m:mi>
+           <m:msub>
+            <m:mi>&#x03B8;</m:mi>
+            <m:mi>j</m:mi>
+           </m:msub>
+          </m:mrow>
+         </m:msup>
+         <m:mo>-</m:mo>
+         <m:msup>
+          <m:mi mathvariant="normal">&#x2147;</m:mi>
+          <m:mrow>
+           <m:mi mathvariant="normal">&#x2148;</m:mi>
+           <m:msub>
+            <m:mi>&#x03B8;</m:mi>
+            <m:mi>k</m:mi>
+           </m:msub>
+          </m:mrow>
+         </m:msup>
+        </m:mrow>
+        <m:mo>|</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>b</m:mi>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:msub>
+        <m:mi>&#x03B8;</m:mi>
+        <m:mn>1</m:mn>
+       </m:msub>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x22EF;</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:msub>
+        <m:mi>&#x03B8;</m:mi>
+        <m:mi>n</m:mi>
+       </m:msub>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi>b</m:mi>
+         <m:mi>n</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>1</m:mn>
+          <m:mo>+</m:mo>
+          <m:mi>b</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi>n</m:mi>
+     </m:msup>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>b</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mrow>
+    <m:mfrac bevelled="true">
+     <m:mn>1</m:mn>
+     <m:mi>n</m:mi>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfnotation.xhtml}
+<<dlmfnotation.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Digital Library of Mathematical Functions<br/>
+                      The Gamma Function -- Notation
+  </div>
+  <hr/>
+ <div class="content">
+  <div class="section">
+   <h3>Notation</h3>
+   <div class="table" id="T1">
+    <table align="center">
+     <tbody>
+      <tr>
+       <th align="left">
+        <m:math display="inline">
+         <m:mrow>
+          <m:mi>j</m:mi>
+          <m:mo>,</m:mo>
+          <m:mi>m</m:mi>
+          <m:mo>,</m:mo>
+          <m:mi>n</m:mi>
+         </m:mrow>
+        </m:math>
+       </th>
+       <td align="justify">nonnegative integers.</td>
+      </tr>
+      <tr>
+       <th align="left">
+        <m:math display="inline">
+         <m:mi>k</m:mi>
+        </m:math>
+       </th>
+       <td>except in <a href="dlmfphysicalapplications.xhtml">
+                        Physical Applications</a>
+       </td>
+      </tr>
+      <tr>
+       <th align="left">
+        <m:math display="inline">
+         <m:mrow>
+          <m:mi>x</m:mi>
+          <m:mo>,</m:mo>
+          <m:mi>y</m:mi>
+         </m:mrow>
+        </m:math>
+       </th>
+       <td align="justify">real variables.</td>
+      </tr>
+      <tr>
+       <th align="left">
+        <m:math display="inline">
+         <m:mrow>
+          <m:mi>z</m:mi>
+          <m:mo>=</m:mo>
+          <m:mrow>
+           <m:mi>x</m:mi>
+           <m:mo>+</m:mo>
+           <m:mrow>
+            <m:mi mathvariant="normal">&#x2148;</m:mi>
+            <m:mi>y</m:mi>
+           </m:mrow>
+          </m:mrow>
+         </m:mrow>
+        </m:math>
+       </th>
+      <td align="justify">complex variable.</td>
+     </tr>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>,</m:mo>
+         <m:mi>b</m:mi>
+         <m:mo>,</m:mo>
+         <m:mi>q</m:mi>
+         <m:mo>,</m:mo>
+         <m:mi>s</m:mi>
+         <m:mo>,</m:mo>
+         <m:mi>w</m:mi>
+        </m:mrow>
+       </m:math>
+      </th>
+      <td align="justify">real or complex variables with 
+       <m:math display="inline">
+        <m:mrow>
+         <m:mrow>
+          <m:mo>&#x2223;</m:mo>
+          <m:mi>q</m:mi>
+          <m:mo>&#x2223;</m:mo>
+         </m:mrow>
+         <m:mo>&lt;</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:math>.
+      </td>
+     </tr>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mi>&#x03B4;</m:mi>
+       </m:math>
+      </th>
+      <td align="justify">arbitrary small positive constant.</td>
+     </tr>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mi mathvariant="normal">&#x2102;</m:mi>
+       </m:math>
+      </th>
+      <td align="justify">complex plane (excluding infinity).</td>
+     </tr>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mi mathvariant="normal">&#x211D;</m:mi>
+       </m:math>
+      </th>
+      <td align="justify">real line (excluding infinity).</td>
+     </tr>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mstyle scriptlevel="+1">
+          <m:mtable rowspacing="0.2ex" columnspacing="0.4em">
+           <m:mtr>
+            <m:mtd>
+             <m:mi>n</m:mi>
+            </m:mtd>
+           </m:mtr>
+           <m:mtr>
+            <m:mtd>
+             <m:mi>m</m:mi>
+            </m:mtd>
+           </m:mtr>
+          </m:mtable>
+         </m:mstyle>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:math>
+      </th>
+      <td align="justify">binomial coefficient 
+       <m:math display="inline">
+        <m:mfrac>
+         <m:mrow>
+          <m:mi>n</m:mi>
+          <m:mi mathvariant="normal">!</m:mi>
+         </m:mrow>
+         <m:mrow>
+          <m:mrow>
+           <m:mi>m</m:mi>
+           <m:mi mathvariant="normal">!</m:mi>
+          </m:mrow>
+          <m:mrow>
+           <m:mrow>
+            <m:mo>(</m:mo>
+            <m:mrow>
+             <m:mi>n</m:mi>
+             <m:mo>-</m:mo>
+             <m:mi>m</m:mi>
+            </m:mrow>
+            <m:mo>)</m:mo>
+           </m:mrow>
+           <m:mi mathvariant="normal">!</m:mi>
+          </m:mrow>
+         </m:mrow>
+        </m:mfrac>
+       </m:math>.
+      </td>
+     </tr>
+     <tr>
+      <th align="left">empty sums</th>
+      <td align="justify">zero.</td>
+     </tr>
+     <tr>
+      <th align="left">empty products</th>
+      <td align="justify">unity.</td>
+     </tr>
+    </tbody>
+   </table>
+  </div>
+
+  <div class="para" id="p1">
+   <p>The main functions treated in this chapter are the gamma function 
+    <m:math display="inline">
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:math>,the psi function 
+    <m:math display="inline">
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:math>,the beta function 
+    <m:math display="inline">
+     <m:mrow>
+      <m:mi mathvariant="normal">B</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>,</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:math>, and the 
+    <m:math display="inline">
+     <m:mi>q</m:mi>
+    </m:math>-gamma function 
+    <m:math display="inline">
+     <m:mrow>
+      <m:msub>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mi>q</m:mi>
+      </m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:math>.
+   </p>
+  </div>
+
+  <div class="para" id="p2">
+   <p>The notation 
+    <m:math display="inline">
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:math> is due to Legendre. Alternative notations for this function are: 
+    <m:math display="inline">
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x03A0;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:math> (Gauss) and 
+    <m:math display="inline">
+     <m:mrow>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>z</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+    </m:math>. Alternative notations for the psi function are:
+   </p>
+  </div>
+
+  <div class="table" id="T2">
+   <table align="center">
+    <thead>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x03A8;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>z</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:math>
+      </th>
+      <th align="left">Gauss; 
+        <a href="http://dlmf.nist.gov/Contents/bib/J#jahnke:1945:tof">
+         Jahnke and Emde(1945)
+        </a>
+      </th>
+     </tr>
+    </thead>
+    <tbody>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mrow>
+         <m:mi>&#x03A8;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mi>z</m:mi>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:math>
+      </th>
+      <td align="left">
+        <a href="http://dlmf.nist.gov/Contents/bib/W#whittaker:1927:cma">
+         Whittaker and Watson(1927)
+        </a>
+      </td>
+     </tr>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x03A8;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mi>z</m:mi>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:math>
+      </th>
+      <td align="left">
+        <a href="http://dlmf.nist.gov/Contents/bib/D#davis:1933:thm">
+          Davis(1933)
+        </a>
+      </td>
+     </tr>
+     <tr>
+      <th align="left">
+       <m:math display="inline">
+        <m:mrow>
+         <m:mi mathvariant="sans-serif">F</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>z</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:math>
+      </th>
+      <td align="left">
+        <a href="http://dlmf.nist.gov/Contents/bib/P#pairman:1919:tdt">
+         Pairman(1919)
+        </a>
+      </td>
+     </tr>
+    </tbody>
+   </table>
+  </div>
+ </div>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfphysicalapplications.xhtml}
+<<dlmfphysicalapplications.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Physical Applications
+  </div>
+  <hr/>
+<h3>Physical Applications</h3>
+
+<p>Suppose the potential energy of a gas of 
+ <m:math display="inline">
+  <m:mi>n</m:mi>
+ </m:math> point charges with positions
+ <m:math display="inline">
+  <m:mrow>
+   <m:msub>
+    <m:mi>x</m:mi>
+    <m:mn>1</m:mn>
+   </m:msub>
+   <m:mo>,</m:mo>
+   <m:msub>
+    <m:mi>x</m:mi>
+    <m:mn>2</m:mn>
+   </m:msub>
+   <m:mo>,</m:mo>
+   <m:mi mathvariant="normal">&#x2026;</m:mi>
+   <m:mo>,</m:mo>
+   <m:msub>
+    <m:mi>x</m:mi>
+    <m:mi>n</m:mi>
+   </m:msub>
+  </m:mrow>
+ </m:math> and free to move on the infinite line
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>-</m:mo>
+    <m:mi mathvariant="normal">&#x221E;</m:mi>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math>, is given by
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>W</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+      <m:mrow>
+       <m:munderover>
+        <m:mo movablelimits="false">&#x2211;</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2113;</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:munderover>
+       <m:msubsup>
+        <m:mi>x</m:mi>
+        <m:mi mathvariant="normal">&#x2113;</m:mi>
+        <m:mn>2</m:mn>
+       </m:msubsup>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:munder>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>&#x2264;</m:mo>
+        <m:mi mathvariant="normal">&#x2113;</m:mi>
+        <m:mo>&lt;</m:mo>
+        <m:mi>j</m:mi>
+        <m:mo>&#x2264;</m:mo>
+        <m:mi>n</m:mi>
+       </m:mrow>
+      </m:munder>
+      <m:mi>ln</m:mi>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mrow>
+        <m:msub>
+         <m:mi>x</m:mi>
+         <m:mi mathvariant="normal">&#x2113;</m:mi>
+        </m:msub>
+        <m:mo>-</m:mo>
+        <m:msub>
+         <m:mi>x</m:mi>
+         <m:mi>j</m:mi>
+        </m:msub>
+       </m:mrow>
+       <m:mo>|</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>The probability density of the positions when the gas is in thermodynamic
+   equilibrium is:
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>P</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:msub>
+        <m:mi>x</m:mi>
+        <m:mn>1</m:mn>
+       </m:msub>
+       <m:mo>,</m:mo>
+       <m:mi mathvariant="normal">&#x2026;</m:mi>
+       <m:mo>,</m:mo>
+       <m:msub>
+        <m:mi>x</m:mi>
+        <m:mi>n</m:mi>
+       </m:msub>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi>C</m:mi>
+     <m:mrow>
+      <m:mi>exp</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mfrac bevelled="true">
+         <m:mi>W</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>k</m:mi>
+           <m:mi>T</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mfrac>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mi>k</m:mi>
+ </m:math> is the Boltzmann constant,  
+ <m:math display="inline">
+  <m:mi>T</m:mi>
+ </m:math> the temperature and  
+ <m:math display="inline">
+  <m:mi>C</m:mi>
+ </m:math> a constant.
+ Then the partition function (with 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03B2;</m:mi>
+   <m:mo>=</m:mo>
+   <m:mfrac bevelled="true">
+    <m:mn>1</m:mn>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mi>k</m:mi>
+      <m:mi>T</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mfrac>
+  </m:mrow>
+ </m:math>) is given by
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mi>n</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>&#x03B2;</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msub>
+      <m:mo>&#x222B;</m:mo>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x211D;</m:mi>
+       <m:mi>n</m:mi>
+      </m:msup>
+     </m:msub>
+     <m:msup>
+      <m:mi mathvariant="normal">&#x2147;</m:mi>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mi>&#x03B2;</m:mi>
+        <m:mi>W</m:mi>
+       </m:mrow>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x2146;</m:mi>
+      <m:mi>x</m:mi>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>&#x03C0;</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mfrac bevelled="true">
+         <m:mi>n</m:mi>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+       </m:msup>
+       <m:msup>
+        <m:mi>&#x03B2;</m:mi>
+        <m:mrow>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mfrac bevelled="true">
+            <m:mi>n</m:mi>
+            <m:mn>2</m:mn>
+           </m:mfrac>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>-</m:mo>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mfrac bevelled="true">
+           <m:mrow>
+            <m:mi>&#x03B2;</m:mi>
+            <m:mi>n</m:mi>
+            <m:mrow>
+             <m:mo>(</m:mo>
+             <m:mrow>
+              <m:mi>n</m:mi>
+              <m:mo>-</m:mo>
+              <m:mn>1</m:mn>
+             </m:mrow>
+             <m:mo>)</m:mo>
+            </m:mrow>
+           </m:mrow>
+           <m:mn>4</m:mn>
+          </m:mfrac>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+      <m:mo>&#x00D7;</m:mo>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x0393;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mn>1</m:mn>
+           <m:mo>+</m:mo>
+           <m:mrow>
+            <m:mstyle displaystyle="false">
+             <m:mfrac>
+              <m:mn>1</m:mn>
+              <m:mn>2</m:mn>
+             </m:mfrac>
+            </m:mstyle>
+            <m:mi>&#x03B2;</m:mi>
+           </m:mrow>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mi>n</m:mi>
+       </m:mrow>
+      </m:msup>
+     </m:mrow>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x220F;</m:mo>
+       <m:mrow>
+        <m:mi>j</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:munderover>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mstyle displaystyle="false">
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>2</m:mn>
+          </m:mfrac>
+         </m:mstyle>
+         <m:mi>j</m:mi>
+         <m:mi>&#x03B2;</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>For 
+ <m:math display="inline">
+  <m:mi>n</m:mi>
+ </m:math> charges free to move on a circular wire of radius 
+ <m:math display="inline">
+  <m:mn>1</m:mn>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mi>W</m:mi>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:munder>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>&#x2264;</m:mo>
+        <m:mi mathvariant="normal">&#x2113;</m:mi>
+        <m:mo>&lt;</m:mo>
+        <m:mi>j</m:mi>
+        <m:mo>&#x2264;</m:mo>
+        <m:mi>n</m:mi>
+       </m:mrow>
+      </m:munder>
+      <m:mi>ln</m:mi>
+      <m:mrow>
+       <m:mo>|</m:mo>
+       <m:mrow>
+        <m:msup>
+         <m:mi mathvariant="normal">&#x2147;</m:mi>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+          <m:msub>
+           <m:mi>&#x03B8;</m:mi>
+           <m:mi mathvariant="normal">&#x2113;</m:mi>
+          </m:msub>
+         </m:mrow>
+        </m:msup>
+        <m:mo>-</m:mo>
+        <m:msup>
+         <m:mi mathvariant="normal">&#x2147;</m:mi>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+          <m:msub>
+           <m:mi>&#x03B8;</m:mi>
+           <m:mi>j</m:mi>
+          </m:msub>
+         </m:mrow>
+        </m:msup>
+       </m:mrow>
+       <m:mo>|</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>and the partition function is given by</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mi>n</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>&#x03B2;</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>&#x03C0;</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:msup>
+     </m:mfrac>
+     <m:mrow>
+      <m:msub>
+       <m:mo>&#x222B;</m:mo>
+       <m:msup>
+        <m:mrow>
+         <m:mo>[</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mo>-</m:mo>
+           <m:mi>&#x03C0;</m:mi>
+          </m:mrow>
+          <m:mo>,</m:mo>
+          <m:mi>&#x03C0;</m:mi>
+         </m:mrow>
+         <m:mo>]</m:mo>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:msup>
+      </m:msub>
+      <m:msup>
+       <m:mi mathvariant="normal">&#x2147;</m:mi>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mi>&#x03B2;</m:mi>
+         <m:mi>W</m:mi>
+        </m:mrow>
+       </m:mrow>
+      </m:msup>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:msub>
+        <m:mi>&#x03B8;</m:mi>
+        <m:mn>1</m:mn>
+       </m:msub>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x22EF;</m:mi>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:msub>
+        <m:mi>&#x03B8;</m:mi>
+        <m:mi>n</m:mi>
+       </m:msub>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mstyle displaystyle="false">
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>2</m:mn>
+          </m:mfrac>
+         </m:mstyle>
+         <m:mi>n</m:mi>
+         <m:mi>&#x03B2;</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>1</m:mn>
+          <m:mo>+</m:mo>
+          <m:mrow>
+           <m:mstyle displaystyle="false">
+            <m:mfrac>
+             <m:mn>1</m:mn>
+             <m:mn>2</m:mn>
+            </m:mfrac>
+           </m:mstyle>
+           <m:mi>&#x03B2;</m:mi>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>n</m:mi>
+      </m:mrow>
+     </m:msup>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfpolygammafunctions.xhtml}
+<<dlmfpolygammafunctions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Polygamma Functions
+  </div>
+  <hr/>
+<h3>Polygamma Functions</h3>
+
+<p>The functions 
+ <m:math display="inline">
+  <m:mrow>
+   <m:msup>
+    <m:mi>&#x03C8;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>n</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:msup>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>1</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>, are called the <em>polygamma functions</em>. In particular, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:msup>
+    <m:mi>&#x03C8;</m:mi>
+    <m:mo>&#x2032;</m:mo>
+   </m:msup>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> is the <em>trigamma function</em>; 
+ <m:math display="inline">
+  <m:msup>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mi>&#x2032;</m:mi>
+    <m:mi>&#x2032;</m:mi>
+   </m:mrow>
+  </m:msup></m:math>, 
+ <m:math display="inline">
+  <m:msup>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mn>3</m:mn>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:msup>
+ </m:math>, 
+ <m:math display="inline">
+  <m:msup>
+   <m:mi>&#x03C8;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mn>4</m:mn>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:msup>
+ </m:math> are the <em>tetra-,</em> <em>penta-,</em> and 
+ <em>hexagamma functions</em> respectively. Most properties of these 
+ functions follow straightforwardly by differentiation of properties 
+ of the psi function. This includes asymptotic expansions.
+</p>
+
+<p>In the second and third equations,
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>1</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>3</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>; for
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03B6;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mi>n</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+ </m:math> 
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow> 
+    <m:mrow>
+     <m:msup>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mo>&#x2032;</m:mo>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>0</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>z</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mn>2</m:mn>
+      </m:msup>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msup>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>n</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>1</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi>n</m:mi>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+     <m:mrow>
+      <m:mi>&#x03B6;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>n</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msup>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>n</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:msup>
+     <m:mrow>
+      <m:mi>n</m:mi>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:msup>
+        <m:mn>2</m:mn>
+        <m:mrow>
+         <m:mi>n</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mrow>
+      <m:mi>&#x03B6;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>n</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msup>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mo>&#x2032;</m:mo>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>+</m:mo>
+       <m:mstyle displaystyle="false">
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+       </m:mstyle>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:msup>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mn>2</m:mn>
+      </m:msup>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mn>4</m:mn>
+      <m:mrow>
+       <m:munderover>
+        <m:mo movablelimits="false">&#x2211;</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mi>n</m:mi>
+       </m:munderover>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:msup>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mrow>
+            <m:mn>2</m:mn>
+            <m:mi>k</m:mi>
+           </m:mrow>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+         <m:mn>2</m:mn>
+        </m:msup>
+       </m:mfrac>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>As 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2192;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math> in 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mrow>
+     <m:mi>ph</m:mi>
+     <m:mspace width="0.2em"/>
+     <m:mi>z</m:mi>
+    </m:mrow>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2264;</m:mo>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C0;</m:mi>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B4;</m:mi>
+    </m:mrow>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:none/>
+      <m:mo>&lt;</m:mo>
+      <m:mi>&#x03C0;</m:mi>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msup>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mo>&#x2032;</m:mo>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&#x223C;</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mi>z</m:mi>
+     </m:mfrac>
+     <m:mo>+</m:mo>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:msup>
+        <m:mi>z</m:mi>
+        <m:mn>2</m:mn>
+       </m:msup>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:msub>
+        <m:mi>B</m:mi>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>k</m:mi>
+        </m:mrow>
+       </m:msub>
+       <m:msup>
+        <m:mi>z</m:mi>
+        <m:mrow>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mi>k</m:mi>
+         </m:mrow>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfqgammaandbetafunctions.xhtml}
+<<dlmfqgammaandbetafunctions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- q-Gamma and Beta Functions
+  </div>
+  <hr/>
+<h3>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">q</m:mi>
+ </m:math>-Gamma and Beta Functions
+</h3>
+
+<ul>
+ <li>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">q</m:mi>
+ </m:math>-Factorials</li>
+ <li>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">q</m:mi>
+ </m:math>-Gamma Function</li>
+ <li>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">q</m:mi>
+ </m:math>-Beta Function</li>
+</ul>
+
+<h4>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">q</m:mi>
+ </m:math>-Factorials</h4>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mo>;</m:mo>
+       <m:mi>q</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mi>n</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x220F;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>0</m:mn>
+      </m:mrow>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+     </m:munderover>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mn>1</m:mn>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:msup>
+        <m:mi>q</m:mi>
+        <m:mi>k</m:mi>
+       </m:msup>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>1</m:mn>
+    <m:mo>,</m:mo>
+    <m:mn>2</m:mn>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mrow>
+      <m:mi>n</m:mi>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+     <m:mi>q</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>1</m:mn>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>+</m:mo>
+       <m:mi>q</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mi mathvariant="normal">&#x22EF;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>+</m:mo>
+       <m:mi>q</m:mi>
+       <m:mo>+</m:mo>
+       <m:mi mathvariant="normal">&#x2026;</m:mi>
+       <m:mo>+</m:mo>
+       <m:msup>
+        <m:mi>q</m:mi>
+        <m:mrow>
+         <m:mi>n</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>q</m:mi>
+        <m:mspace width="0.2em"/>
+        <m:mo>;</m:mo>
+        <m:mi>q</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi>n</m:mi>
+     </m:msub>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mi>q</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>n</m:mi>
+      </m:mrow>
+     </m:msup>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>When 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mi>q</m:mi>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mspace width="0.2em"/>
+       <m:mo>;</m:mo>
+       <m:mi>q</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mi mathvariant="normal">&#x221E;</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x220F;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>0</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:mo>(</m:mo>
+     <m:mrow>
+      <m:mn>1</m:mn>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:msup>
+        <m:mi>q</m:mi>
+        <m:mi>k</m:mi>
+       </m:msup>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h4>
+ <m:math display="inline">
+ <m:mi mathvariant="bold-italic">q</m:mi></m:math>-Gamma Function</h4>
+
+<p>When 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>q</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac bevelled="true">
+     <m:mrow>
+      <m:msub>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>q</m:mi>
+         <m:mspace width="0.2em"/>
+         <m:mo>;</m:mo>
+         <m:mi>q</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msub>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>-</m:mo>
+         <m:mi>q</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:msup>
+     </m:mrow>
+     <m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:msup>
+         <m:mi>q</m:mi>
+         <m:mi>z</m:mi>
+        </m:msup>
+        <m:mspace width="0.2em"/>
+        <m:mo>;</m:mo>
+        <m:mi>q</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:msub>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>1</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>2</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mrow>
+      <m:mi>n</m:mi>
+      <m:mi mathvariant="normal">!</m:mi>
+     </m:mrow>
+     <m:mi>q</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>z</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>-</m:mo>
+       <m:msup>
+        <m:mi>q</m:mi>
+        <m:mi>z</m:mi>
+       </m:msup>
+      </m:mrow>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>-</m:mo>
+       <m:mi>q</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mrow>
+      <m:msub>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mi>q</m:mi>
+      </m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>Also, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>ln</m:mi>
+   <m:mrow>
+    <m:msub>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mi>q</m:mi>
+    </m:msub>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>x</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math> is convex for 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>x</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, and the analog of the 
+ <a href="dlmffunctionrelations.xhtml#bohrmolleruptheorem">
+  Bohr-Mollerup theorem 
+ </a> holds.
+</p>
+
+<p>If 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>q</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mi>r</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>, then
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>x</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&lt;</m:mo>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>r</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>x</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>when 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math> or when 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>x</m:mi>
+   <m:mo>&gt;</m:mo>
+   <m:mn>2</m:mn>
+  </m:mrow>
+ </m:math>, and
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>x</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>&gt;</m:mo>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mi>r</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>x</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>when 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>1</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>x</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>2</m:mn>
+  </m:mrow>
+ </m:math>.
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:munder>
+      <m:mo movablelimits="false">lim</m:mo>
+      <m:mrow>
+       <m:mi>q</m:mi>
+       <m:mo>&#x2192;</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:munder>
+     <m:mrow>
+      <m:msub>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mi>q</m:mi>
+      </m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>For generalized asymptotic expansions of 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>ln</m:mi>
+   <m:mspace width="0.2em"/>
+   <m:mrow>
+    <m:msub>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mi>q</m:mi>
+    </m:msub>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:mi>z</m:mi>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math> as
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&#x2192;</m:mo>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math> see 
+ <a href="http://dlmf.nist.gov/Contents/bib/O#oldedaalhuis:1994:aef">
+  Olde Daalhuis(1994)
+ </a> and 
+ <a href="http://dlmf.nist.gov/Contents/bib/M#moak:1984:tqa">
+  Moak(1984)
+ </a>.
+</p>
+
+<h4>
+ <m:math display="inline">
+  <m:mi mathvariant="bold-italic">q</m:mi>
+ </m:math>-Beta Function
+</h4>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">B</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mrow>
+       <m:msub>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mi>q</m:mi>
+       </m:msub>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mi>a</m:mi>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mrow>
+       <m:msub>
+        <m:mi mathvariant="normal">&#x0393;</m:mi>
+        <m:mi>q</m:mi>
+       </m:msub>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mi>b</m:mi>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:msub>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mi>q</m:mi>
+      </m:msub>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>a</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>b</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:msub>
+      <m:mi mathvariant="normal">B</m:mi>
+      <m:mi>q</m:mi>
+     </m:msub>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>a</m:mi>
+       <m:mo>,</m:mo>
+       <m:mi>b</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:msubsup>
+      <m:mo>&#x222B;</m:mo>
+      <m:mn>0</m:mn>
+      <m:mn>1</m:mn>
+     </m:msubsup>
+     <m:mfrac>
+      <m:mrow>
+       <m:msup>
+        <m:mi>t</m:mi>
+        <m:mrow>
+         <m:mi>a</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:msup>
+       <m:msub>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mrow>
+           <m:mi>t</m:mi>
+           <m:mi>q</m:mi>
+          </m:mrow>
+          <m:mspace width="0.2em"/>
+          <m:mo>;</m:mo>
+          <m:mi>q</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi mathvariant="normal">&#x221E;</m:mi>
+       </m:msub>
+      </m:mrow>
+      <m:msub>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>t</m:mi>
+          <m:msup>
+           <m:mi>q</m:mi>
+           <m:mi>b</m:mi>
+          </m:msup>
+         </m:mrow>
+         <m:mo>;</m:mo>
+         <m:mi>q</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:msub>
+     </m:mfrac>
+     <m:mrow>
+      <m:msub>
+       <m:mi mathvariant="normal">&#x2146;</m:mi>
+       <m:mi>q</m:mi>
+      </m:msub>
+      <m:mi>t</m:mi>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>q</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>a</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mi mathvariant="normal">&#x211C;</m:mi>
+    <m:mi>b</m:mi>
+   </m:mrow>
+   <m:mo>&gt;</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfseriesexpansions.xhtml}
+<<dlmfseriesexpansions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Series Expansions
+  </div>
+  <hr/>
+<h3>Series Expansions</h3>
+<h6>Contents</h6>
+<ul>
+ <li>Maclaurin Series</li>
+ <li>Other Series</li>
+</ul>
+<h4>Maclaurin Series</h4>
+<p>Throughout this subsection 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>&#x03B6;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mi>k</m:mi>
+    <m:mo>)</m:mo>
+  </m:mrow>
+  </m:mrow>
+ </m:math> is 
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mfrac>
+     <m:mn>1</m:mn>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>z</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:msub>
+      <m:mi>c</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+     <m:msup>
+      <m:mi>z</m:mi>
+      <m:mi>k</m:mi>
+     </m:msup>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>where 
+ <m:math display="inline">
+  <m:mrow>
+   <m:msub>
+    <m:mi>c</m:mi>
+    <m:mn>1</m:mn>
+   </m:msub>
+   <m:mo>=</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>,
+ 
+ <m:math display="inline">
+  <m:mrow>
+   <m:msub>
+    <m:mi>c</m:mi>
+    <m:mn>2</m:mn>
+   </m:msub>
+   <m:mo>=</m:mo>
+   <m:mi>&#x03B3;</m:mi>
+  </m:mrow>
+ </m:math>, and
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>-</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:msub>
+      <m:mi>c</m:mi>
+      <m:mi>k</m:mi>
+     </m:msub>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>&#x03B3;</m:mi>
+         <m:msub>
+          <m:mi>c</m:mi>
+          <m:mrow>
+           <m:mi>k</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+         </m:msub>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mrow>
+          <m:mi>&#x03B6;</m:mi>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mn>2</m:mn>
+           <m:mo>)</m:mo>
+          </m:mrow>
+         </m:mrow>
+         <m:msub>
+          <m:mi>c</m:mi>
+          <m:mrow>
+           <m:mi>k</m:mi>
+           <m:mo>-</m:mo>
+           <m:mn>2</m:mn>
+          </m:mrow>
+         </m:msub>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>+</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>&#x03B6;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mn>3</m:mn>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:msub>
+         <m:mi>c</m:mi>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>-</m:mo>
+          <m:mn>3</m:mn>
+         </m:mrow>
+        </m:msub>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi mathvariant="normal">&#x2026;</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>k</m:mi>
+      </m:msup>
+      <m:mrow>
+       <m:mi>&#x03B6;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:msub>
+       <m:mi>c</m:mi>
+       <m:mn>1</m:mn>
+      </m:msub>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>k</m:mi>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>3</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<p>For 15D numerical values of 
+ <m:math display="inline">
+  <m:msub>
+   <m:mi>c</m:mi>
+   <m:mi>k</m:mi>
+  </m:msub>
+ </m:math> see 
+ <a href="http://dlmf.nist.gov/Contents/bib/#abramowitz:1964:hmf">
+ Abramowitz and Stegun(1964)</a>(p. 256), and
+for 31D values see 
+<a href="http://dlmf.nist.gov/Contents/bib/W#wrench:1968:cts">
+   Wrench(1968)</a>.
+</p>
+
+<a name="equation3"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>ln</m:mi>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mn>1</m:mn>
+         <m:mo>+</m:mo>
+         <m:mi>z</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mi>z</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>-</m:mo>
+        <m:mi>&#x03B3;</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>2</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>k</m:mi>
+      </m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>&#x03B6;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mi>k</m:mi>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mfrac>
+       <m:msup>
+        <m:mi>z</m:mi>
+        <m:mi>k</m:mi>
+       </m:msup>
+       <m:mi>k</m:mi>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mn>2</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>+</m:mo>
+       <m:mi>z</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>&#x03B3;</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>2</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+       <m:mi>k</m:mi>
+      </m:msup>
+      <m:mrow>
+       <m:mi>&#x03B6;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mi>k</m:mi>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:msup>
+       <m:mi>z</m:mi>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:msup>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>,
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mn>1</m:mn>
+       <m:mo>+</m:mo>
+       <m:mi>z</m:mi>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mn>2</m:mn>
+         <m:mi>z</m:mi>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>-</m:mo>
+       <m:mrow>
+        <m:mfrac>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+        <m:mrow>
+         <m:mi>cot</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>&#x03C0;</m:mi>
+           <m:mi>z</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>+</m:mo>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mrow>
+        <m:msup>
+         <m:mi>z</m:mi>
+         <m:mn>2</m:mn>
+        </m:msup>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+      </m:mfrac>
+      <m:mo>+</m:mo>
+      <m:mn>1</m:mn> 
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B3;</m:mi>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi>&#x03B6;</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mrow>
+            <m:mn>2</m:mn>
+            <m:mi>k</m:mi>
+           </m:mrow>
+           <m:mo>+</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:msup>
+       <m:mi>z</m:mi>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>k</m:mi>
+       </m:mrow>
+      </m:msup>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="right">
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow>
+    <m:mo>|</m:mo>
+    <m:mi>z</m:mi>
+    <m:mo>|</m:mo>
+   </m:mrow>
+   <m:mo>&lt;</m:mo>
+   <m:mn>2</m:mn>
+  </m:mrow>
+ </m:math>, 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>&#x00B1;</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>.
+</div>
+
+<p>For 20D numerical values of the coefficients of the Maclaurin series for
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi mathvariant="normal">&#x0393;</m:mi>
+   <m:mrow>
+    <m:mo>(</m:mo>
+    <m:mrow>
+     <m:mi>z</m:mi>
+     <m:mo>+</m:mo>
+     <m:mn>3</m:mn>
+    </m:mrow>
+    <m:mo>)</m:mo>
+   </m:mrow>
+  </m:mrow>
+</m:math> see 
+<a href="http://dlmf.nist.gov/Contents/bib/L#luke:1969:sfa2">
+   Luke(1969)</a>(p. 299).
+</p>
+
+<p>When 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>z</m:mi>
+   <m:mo>&#x2260;</m:mo>
+   <m:mrow>
+    <m:mn>0</m:mn>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>1</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mn>2</m:mn>
+    </m:mrow>
+    <m:mo>,</m:mo>
+    <m:mi mathvariant="normal">&#x2026;</m:mi>
+   </m:mrow>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<a name="equation6"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mi>z</m:mi>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>&#x03B3;</m:mi>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mi>z</m:mi>
+      </m:mfrac>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:mi>z</m:mi>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>k</m:mi>
+          <m:mo>+</m:mo>
+          <m:mi>z</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>&#x03B3;</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>0</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>-</m:mo>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>+</m:mo>
+         <m:mi>z</m:mi>
+        </m:mrow>
+       </m:mfrac>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>and
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mrow>
+         <m:mi>z</m:mi>
+         <m:mo>+</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mi>z</m:mi>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>2</m:mn>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>0</m:mn>
+       </m:mrow>
+       <m:mi mathvariant="normal">&#x221E;</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:msup>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mo>-</m:mo>
+          <m:mn>1</m:mn>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+        <m:mi>k</m:mi>
+       </m:msup>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>+</m:mo>
+        <m:mi>z</m:mi>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>Also,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x2111;</m:mi>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:mfrac>
+      <m:mi>y</m:mi>
+      <m:mrow>
+       <m:msup>
+        <m:mi>k</m:mi>
+        <m:mn>2</m:mn>
+       </m:msup>
+       <m:mo>+</m:mo>
+       <m:msup>
+        <m:mi>y</m:mi>
+        <m:mn>2</m:mn>
+       </m:msup>
+      </m:mrow>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmfsums.xhtml}
+<<dlmfsums.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Sums
+  </div>
+  <hr/>
+<h3>Sums</h3>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mo>-</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+      <m:mi>k</m:mi>
+     </m:msup>
+     <m:mrow>
+      <m:msup>
+       <m:mi>&#x03C8;</m:mi>
+       <m:mo>&#x2032;</m:mo>
+      </m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mi>k</m:mi>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mfrac>
+      <m:msup>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mn>2</m:mn>
+      </m:msup>
+      <m:mn>8</m:mn>
+     </m:mfrac>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:munderover>
+      <m:mo movablelimits="false">&#x2211;</m:mo>
+      <m:mrow>
+       <m:mi>k</m:mi>
+       <m:mo>=</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mi mathvariant="normal">&#x221E;</m:mi>
+     </m:munderover>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mi>k</m:mi>
+     </m:mfrac>
+     <m:mrow>
+      <m:msup>
+       <m:mi>&#x03C8;</m:mi>
+       <m:mo>&#x2032;</m:mo>
+      </m:msup>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>+</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi>&#x03B6;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>3</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+      <m:mrow>
+       <m:msup>
+        <m:mi>&#x03C8;</m:mi>
+        <m:mrow>
+         <m:mi>&#x2032;</m:mi>
+         <m:mi>&#x2032;</m:mi>
+        </m:mrow>
+       </m:msup>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mn>1</m:mn>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>For further sums involving the psi function see
+<a href="http://dlmf.nist.gov/Contents/bib/H#hansen:1975:tsp">
+   Hansen(1975)
+</a>(pp. 360–367). For sums of gamma functions see
+<a href="http://dlmf.nist.gov/Contents/bib/#andrews:1999:sfu">
+   Andrews <em>et.al.</em>(1999)
+</a>(Chapters 2 and 3).
+</p>
+
+<p>For related sums involving finite field analogs of the gamma and 
+beta functions (Gauss and Jacobi sums) see 
+<a href="http://dlmf.nist.gov/Contents/bib/#andrews:1999:sfu">
+ Andrews <em>et.al.</em>(1999)
+</a>(Chapter 1) and
+<a href="http://dlmf.nist.gov/Contents/bib/T#terras:1999:fao">
+ Terras(1999)
+</a>.
+</p>
+<<page foot>>
+@
+
+\subsection{dlmfsoftware.xhtml}
+<<dlmfsoftware.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Software
+  </div>
+  <hr/>
+<<page foot>>
+@
+
+\subsection{dlmfspecialvaluesandextrema.xhtml}
+<<dlmfspecialvaluesandextrema.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Special Values and Extrema
+  </div>
+  <hr/>
+<h3>Special Values and Extrema</h3>
+<h6>Contents</h6>
+ <ul>
+  <li>Gamma Function</li>
+  <li>Psi Function</li>
+  <li>Extrema</li>
+ </ul>
+
+<h4>Gamma Function</h4>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>1</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mn>1</m:mn>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mi>n</m:mi>
+     <m:mi mathvariant="normal">!</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mo>&#x2223;</m:mo>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2148;</m:mi>
+        <m:mi>y</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>&#x2223;</m:mo>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mfrac>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mrow>
+        <m:mi>y</m:mi>
+        <m:mrow>
+         <m:mi>sinh</m:mi>
+         <m:mrow>
+          <m:mo>(</m:mo>
+          <m:mrow>
+           <m:mi>&#x03C0;</m:mi>
+           <m:mi>y</m:mi>
+          </m:mrow>
+          <m:mo>)</m:mo>
+         </m:mrow>
+        </m:mrow>
+       </m:mrow>
+      </m:mfrac>
+      <m:mo>)</m:mo>
+     </m:mrow>
+     <m:mfrac bevelled="true">
+      <m:mn>1</m:mn>
+      <m:mn>2</m:mn>
+     </m:mfrac>
+    </m:msup>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>2</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:msup>
+     <m:mrow>
+      <m:mo>&#x2223;</m:mo>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mstyle displaystyle="false">
+          <m:mfrac>
+           <m:mn>1</m:mn>
+           <m:mn>2</m:mn>
+          </m:mfrac>
+         </m:mstyle>
+         <m:mo>+</m:mo>
+         <m:mrow>
+          <m:mi mathvariant="normal">&#x2148;</m:mi>
+          <m:mi>y</m:mi>
+         </m:mrow>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>&#x2223;</m:mo>
+     </m:mrow>
+     <m:mn>2</m:mn>
+    </m:msup>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mi>&#x03C0;</m:mi>
+     <m:mrow>
+      <m:mi>cosh</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mi>y</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>4</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+     <m:mrow>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>3</m:mn>
+          <m:mn>4</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mo>-</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mfrac>
+     <m:mrow>
+      <m:mi>&#x03C0;</m:mi>
+      <m:msqrt>
+       <m:mn>2</m:mn>
+      </m:msqrt>
+     </m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mi>cosh</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+      <m:mo>+</m:mo>
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x2148;</m:mi>
+       <m:mrow>
+        <m:mi>sinh</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mi>&#x03C0;</m:mi>
+          <m:mi>y</m:mi>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mfrac>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow> 
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:msup>
+     <m:mi>&#x03C0;</m:mi>
+     <m:mfrac bevelled="true">
+      <m:mn>1</m:mn>
+      <m:mn>2</m:mn>
+     </m:mfrac>
+    </m:msup>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>1.77245 38509 05516 02729</m:mn>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>3</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>2.67893 85347 07747 63365</m:mn>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>2</m:mn>
+        <m:mn>3</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>1.35411 79394 26400 41694</m:mn>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>4</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>3.62560 99082 21908 31193</m:mn>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>3</m:mn>
+        <m:mn>4</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mn>1.22541 67024 65177 64512</m:mn>
+     <m:mi mathvariant="normal">&#x2026;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow> 
+     <m:msup>
+      <m:mi mathvariant="normal">&#x0393;</m:mi>
+      <m:mo>&#x2032;</m:mo>
+     </m:msup>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>1</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B3;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h4>Psi Function</h4>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mn>1</m:mn>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B3;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<a name="equation13"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mstyle displaystyle="false">
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+      </m:mstyle>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>&#x03B3;</m:mi>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mn>2</m:mn>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>+</m:mo>
+       <m:mn>1</m:mn>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:munderover>
+       <m:mo movablelimits="false">&#x2211;</m:mo>
+       <m:mrow>
+        <m:mi>k</m:mi>
+        <m:mo>=</m:mo>
+        <m:mn>1</m:mn>
+       </m:mrow>
+       <m:mi>n</m:mi>
+      </m:munderover>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mi>k</m:mi>
+      </m:mfrac>
+     </m:mrow>
+     <m:mo>-</m:mo>
+     <m:mi>&#x03B3;</m:mi>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mrow>
+       <m:mi>n</m:mi>
+       <m:mo>+</m:mo>
+       <m:mstyle displaystyle="false">
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+       </m:mstyle>
+      </m:mrow>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>&#x03B3;</m:mi>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mrow>
+        <m:mi>ln</m:mi>
+        <m:mn>2</m:mn>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mn>2</m:mn>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mn>3</m:mn>
+         </m:mfrac>
+        </m:mstyle>
+        <m:mo>+</m:mo>
+        <m:mi mathvariant="normal">&#x2026;</m:mi>
+        <m:mo>+</m:mo>
+        <m:mstyle displaystyle="false">
+         <m:mfrac>
+          <m:mn>1</m:mn>
+          <m:mrow>
+           <m:mrow>
+            <m:mn>2</m:mn>
+            <m:mi>n</m:mi>
+           </m:mrow>
+           <m:mo>-</m:mo>
+           <m:mn>1</m:mn>
+          </m:mrow>
+         </m:mfrac>
+        </m:mstyle>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mo>&#x2265;</m:mo>
+   <m:mn>1</m:mn>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">ℑ</m:mi>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi mathvariant="normal">&#x2148;</m:mi>
+        <m:mi>y</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mn>1</m:mn>
+      <m:mrow>
+       <m:mn>2</m:mn>
+       <m:mi>y</m:mi>
+      </m:mrow>
+     </m:mfrac>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+      <m:mrow>
+       <m:mi>coth</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">ℑ</m:mi>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mstyle displaystyle="false">
+        <m:mfrac>
+         <m:mn>1</m:mn>
+         <m:mn>2</m:mn>
+        </m:mfrac>
+       </m:mstyle>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mfrac>
+      <m:mi>&#x03C0;</m:mi>
+      <m:mn>2</m:mn>
+     </m:mfrac>
+     <m:mrow>
+      <m:mi>tanh</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mi>y</m:mi>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi mathvariant="normal">ℑ</m:mi>
+     <m:mrow>
+      <m:mi>&#x03C8;</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mrow>
+        <m:mn>1</m:mn>
+        <m:mo>+</m:mo>
+        <m:mrow>
+         <m:mi mathvariant="normal">&#x2148;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+       </m:mrow>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mrow>
+        <m:mn>2</m:mn>
+        <m:mi>y</m:mi>
+       </m:mrow>
+      </m:mfrac>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mi>&#x03C0;</m:mi>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+      <m:mrow>
+       <m:mi>coth</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mrow>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mi>y</m:mi>
+        </m:mrow>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<p>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mn>0</m:mn>
+   <m:mo>&lt;</m:mo>
+   <m:mi>p</m:mi>
+   <m:mo>&lt;</m:mo>
+   <m:mi>q</m:mi>
+  </m:mrow>
+ </m:math> are integers, then
+</p>
+
+<a name="equation19"/>
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:mrow>
+     <m:mi>&#x03C8;</m:mi>
+     <m:mrow>
+      <m:mo>(</m:mo>
+      <m:mfrac>
+       <m:mi>p</m:mi>
+       <m:mi>q</m:mi>
+      </m:mfrac>
+      <m:mo>)</m:mo>
+     </m:mrow>
+    </m:mrow>
+    <m:mo>=</m:mo>
+    <m:mrow> 
+     <m:mrow>
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mi>&#x03B3;</m:mi>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mi>ln</m:mi>
+       <m:mi>q</m:mi>
+      </m:mrow>
+      <m:mo>-</m:mo>
+      <m:mrow>
+       <m:mfrac>
+        <m:mi>&#x03C0;</m:mi>
+        <m:mn>2</m:mn>
+       </m:mfrac>
+       <m:mrow>
+        <m:mi>cot</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mfrac>
+          <m:mrow>
+           <m:mi>&#x03C0;</m:mi>
+           <m:mi>p</m:mi>
+          </m:mrow>
+          <m:mi>q</m:mi>
+         </m:mfrac>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mn>2</m:mn>
+      </m:mfrac>
+      <m:mrow>
+       <m:munderover>
+        <m:mo movablelimits="false">&#x2211;</m:mo>
+        <m:mrow>
+         <m:mi>k</m:mi>
+         <m:mo>=</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+        <m:mrow>
+         <m:mi>q</m:mi>
+         <m:mo>-</m:mo>
+         <m:mn>1</m:mn>
+        </m:mrow>
+       </m:munderover>
+       <m:mrow>
+        <m:mi>cos</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mfrac>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mi>&#x03C0;</m:mi>
+           <m:mi>k</m:mi>
+           <m:mi>p</m:mi>
+          </m:mrow>
+          <m:mi>q</m:mi>
+         </m:mfrac>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+       <m:mrow>
+        <m:mi>ln</m:mi>
+        <m:mrow>
+         <m:mo>(</m:mo>
+         <m:mrow>
+          <m:mn>2</m:mn>
+          <m:mo>-</m:mo>
+          <m:mrow>
+           <m:mn>2</m:mn>
+           <m:mrow>
+            <m:mi>cos</m:mi>
+            <m:mrow>
+             <m:mo>(</m:mo>
+             <m:mfrac>
+              <m:mrow>
+               <m:mn>2</m:mn>
+               <m:mi>&#x03C0;</m:mi>
+               <m:mi>k</m:mi>
+              </m:mrow>
+              <m:mi>q</m:mi>
+             </m:mfrac>
+             <m:mo>)</m:mo>
+            </m:mrow>
+           </m:mrow>
+          </m:mrow>
+         </m:mrow>
+         <m:mo>)</m:mo>
+        </m:mrow>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+
+<h4>Extrema</h4>
+<div>
+ <m:math display="inline">
+  <m:mrow>
+   <m:mrow> 
+    <m:msup>
+     <m:mi mathvariant="normal">&#x0393;</m:mi>
+     <m:mo>&#x2032;</m:mo>
+    </m:msup>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:msub>
+      <m:mi>x</m:mi>
+      <m:mi>n</m:mi>
+     </m:msub>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>=</m:mo>
+   <m:mrow>
+    <m:mi>&#x03C8;</m:mi>
+    <m:mrow>
+     <m:mo>(</m:mo>
+     <m:msub>
+      <m:mi>x</m:mi>
+      <m:mi>n</m:mi>
+     </m:msub>
+     <m:mo>)</m:mo>
+    </m:mrow>
+   </m:mrow>
+   <m:mo>=</m:mo>
+   <m:mn>0</m:mn>
+  </m:mrow>
+ </m:math>.
+</div>
+<br/>
+<div class="center">
+ <table align="center">
+  <thead>
+   <tr>
+    <th align="center" class="b l r t">
+     <m:math display="inline">
+      <m:mi>n</m:mi>
+     </m:math>
+    </th>
+    <th align="center" class="b r t">
+     <m:math display="inline">
+      <m:msub>
+       <m:mi>x</m:mi>
+       <m:mi>n</m:mi>
+      </m:msub>
+     </m:math>
+    </th>
+    <th align="center" class="b r t">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mi mathvariant="normal">&#x0393;</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:msub>
+         <m:mi>x</m:mi>
+         <m:mi>n</m:mi>
+        </m:msub>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:math>
+    </th>
+   </tr>
+  </thead>
+  <tbody>
+   <tr>
+    <th align="right" class="l r">0
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mn>1.46163 21449</m:mn>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mn>0.88560 31944</m:mn>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="l r">1
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>0.50408 30083</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>3.54464 36112</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="l r">2
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>1.57349 84732</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mn>2.30240 72583</m:mn>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="B l r">3
+    </th>
+    <td align="right" class="B r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>2.61072 08875</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="B r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>0.88813 63584</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="l r">4
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>3.63529 33665</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mn>0.24512 75398</m:mn>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="l r">5
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>4.65323 77626</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>0.05277 96396</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="B l r">6
+    </th>
+    <td align="right" class="B r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>5.66716 24513</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="B r">
+     <m:math display="inline">
+      <m:mn>0.00932 45945</m:mn>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="l r">7
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>6.67841 82649</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>0.00139 73966</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="l r">8
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>7.68778 83250</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mn>0.00018 18784</m:mn>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="l r">9
+    </th>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>8.69576 41633</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>0.00002 09253</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+   </tr>
+   <tr>
+    <th align="right" class="b l r">10
+    </th>
+    <td align="right" class="b r">
+     <m:math display="inline">
+      <m:mrow>
+       <m:mo>-</m:mo>
+       <m:mn>9.70267 25406</m:mn>
+      </m:mrow>
+     </m:math>
+    </td>
+    <td align="right" class="b r">
+     <m:math display="inline">
+      <m:mn>0.00000 21574</m:mn>
+     </m:math>
+    </td>
+   </tr>
+  </tbody>
+ </table>
+</div>
+
+<p>As 
+ <m:math display="inline">
+  <m:mrow>
+   <m:mi>n</m:mi>
+   <m:mi mathvariant="normal">&#x221E;</m:mi>
+  </m:mrow>
+ </m:math>,
+</p>
+
+<div align="center">
+ <m:math display="block">
+  <m:mrow>
+   <m:mrow>
+    <m:msub>
+     <m:mi>x</m:mi>
+     <m:mi>n</m:mi>
+    </m:msub>
+    <m:mo>=</m:mo>
+    <m:mrow>
+     <m:mrow>
+      <m:mo>-</m:mo>
+      <m:mi>n</m:mi>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mfrac>
+       <m:mn>1</m:mn>
+       <m:mi>&#x03C0;</m:mi>
+      </m:mfrac>
+      <m:mrow>
+       <m:mi>arctan</m:mi>
+       <m:mrow>
+        <m:mo>(</m:mo>
+        <m:mfrac>
+         <m:mi>&#x03C0;</m:mi>
+         <m:mrow>
+          <m:mi>ln</m:mi>
+          <m:mi>n</m:mi>
+         </m:mrow>
+        </m:mfrac>
+        <m:mo>)</m:mo>
+       </m:mrow>
+      </m:mrow>
+     </m:mrow>
+     <m:mo>+</m:mo>
+     <m:mrow>
+      <m:mi>O</m:mi>
+      <m:mrow>
+       <m:mo>(</m:mo>
+       <m:mfrac>
+        <m:mn>1</m:mn>
+        <m:mrow>
+         <m:mi>n</m:mi>
+         <m:msup>
+          <m:mrow>
+           <m:mo>(</m:mo>
+           <m:mrow>
+            <m:mi>ln</m:mi>
+            <m:mi>n</m:mi>
+           </m:mrow>
+           <m:mo>)</m:mo>
+          </m:mrow>
+          <m:mn>2</m:mn>
+         </m:msup>
+        </m:mrow>
+       </m:mfrac>
+       <m:mo>)</m:mo>
+      </m:mrow>
+     </m:mrow>
+    </m:mrow>
+   </m:mrow>
+  </m:mrow>
+ </m:math>
+</div>
+<<page foot>>
+@
+
+\subsection{dlmftables.xhtml}
+<<dlmftables.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">
+   <a href="http://dlmf.nist.gov">
+    Digital Library of Mathematical Functions
+   </a><br/>
+   The Gamma Function -- Tables
+  </div>
+  <hr/>
+<h3>Tables</h3>
+
+These tables show Axiom's compliance with published standard values.
+In all cases shown here Axiom conforms to the accuracy of the published
+tables.
+
+<ul>
+ <li>The Gamma Function</li>
+ <li>The Psi Function</li>
+</ul>
+
+<h4>The Gamma Function</h4>
+
+This table was constructed from the published values in the 
+Handbook of Mathematical Functions, by Milton Abramowitz
+and Irene A. Stegun, by Dover (1965), pp 267-270.
+
+The first column is the point where the Gamma function is evaluated.
+The second column is the value reported in the Handbook.
+The third column is the actual value computed by Axiom at the given point.
+The fourth column is the difference of Axiom's value and the Handbook value.
+
+<table border="1">
+ <tr>
+  <th>point</th>
+  <th>Handbook Value</th>
+  <th>Axiom Computed Value</th>
+  <th>Difference</th>
+ </tr>
+ <tr>
+  <td>1.000</td>
+  <td>1.0000000000</td>
+  <td>1.</td>
+  <td align="right">0.</td>
+ </tr>
+ <tr>
+  <td>1.005</td>
+  <td>0.9971385354</td>
+  <td>0.9971385352483757</td>
+  <td align="right">-1.51E-10</td>
+ </tr>
+ <tr>
+  <td>1.010</td>
+  <td>0.9943258512</td>
+  <td>0.99432585118631189</td>
+  <td align="right">-2.03E-11</td>
+ </tr>
+ <tr>
+  <td>1.015</td> 
+  <td>0.9915612888</td> 
+  <td>0.99156128884131323</td> 
+  <td align="right">4.14E-11</td>
+ </tr>
+ <tr>
+  <td>1.020</td> 
+  <td>0.9888442033</td> 
+  <td>0.9888442032538789</td> 
+  <td align="right">-4.31E-11</td>
+ </tr>
+ <tr>
+  <td>1.025</td> 
+  <td>0.9861739633</td> 
+  <td>0.98617396313592742</td> 
+  <td align="right">-1.54E-10</td>
+ </tr>
+ <tr>
+  <td>1.030</td> 
+  <td>0.9835499506</td> 
+  <td>0.98354995053928918</td> 
+  <td align="right">-7.59E-11</td>
+ </tr>
+ <tr>
+  <td>1.035</td> 
+  <td>0.9809715606</td> 
+  <td>0.98097156056367696</td> 
+  <td align="right">-4.60E-11</td>
+ </tr>
+ <tr>
+  <td>1.040</td> 
+  <td>0.9784382009</td> 
+  <td>0.9784382009247683</td> 
+  <td align="right"> 3.00E-11</td>
+ </tr>
+ <tr>
+  <td>1.045</td> 
+  <td>0.9759492919</td> 
+  <td>0.97594929183099266</td> 
+  <td align="right">-6.55E-11</td>
+ </tr>
+ <tr>
+  <td>1.050</td> 
+  <td>0.9735042656</td> 
+  <td>0.97350426556841785</td> 
+  <td align="right">-2.72E-11</td>
+ </tr>
+ <tr>
+  <td>1.055</td> 
+  <td>0.9711025663</td> 
+  <td>0.97110256624499502</td> 
+  <td align="right">-6.77E-11</td>
+ </tr>
+ <tr>
+  <td>1.060</td> 
+  <td>0.9687436495</td> 
+  <td>0.96874364951272707</td> 
+  <td align="right">-2.36E-12</td>
+ </tr>
+ <tr>
+  <td>1.065</td> 
+  <td>0.9664269823</td> 
+  <td>0.96642698229777113</td> 
+  <td align="right">-1.37E-11</td>
+ </tr>
+ <tr>
+  <td>1.070</td> 
+  <td>0.9641520425</td> 
+  <td>0.96415204253821729</td> 
+  <td align="right"> 4.61E-11</td>
+ </tr>
+ <tr>
+  <td>1.075</td> 
+  <td>0.9619183189</td> 
+  <td>0.96191831892929192</td> 
+  <td align="right"> 2.31E-11</td>
+ </tr>
+ <tr>
+  <td>1.080</td> 
+  <td>0.9597253107</td> 
+  <td>0.95972531067573963</td> 
+  <td align="right">-3.00E-11</td>
+ </tr>
+ <tr>
+  <td>1.085</td> 
+  <td>0.9575725273</td> 
+  <td>0.95757252725116249</td> 
+  <td align="right">-3.68E-11</td>
+ </tr>
+ <tr>
+  <td>1.090</td> 
+  <td>0.9554594882</td> 
+  <td>0.95545948816407866</td> 
+  <td align="right">-4.24E-11</td>
+ </tr>
+ <tr>
+  <td>1.095</td> 
+  <td>0.9533857227</td> 
+  <td>0.95338572273049704</td> 
+  <td align="right"> 2.34E-11</td>
+ </tr>
+ <tr>
+  <td>1.100</td> 
+  <td>0.9513507699</td> 
+  <td>0.95135076987625944</td> 
+  <td align="right">-2.49E-11</td>
+ </tr>
+ <tr>
+  <td>1.105</td> 
+  <td>0.9493541778</td> 
+  <td>0.94935417782771081</td> 
+  <td align="right"> 2.11E-11</td>
+ </tr>
+ <tr>
+  <td>1.110</td> 
+  <td>0.9473955040</td> 
+  <td>0.94739550404472173</td> 
+  <td align="right"> 5.80E-11</td>
+ </tr>
+ <tr>
+  <td>1.115</td> 
+  <td>0.9454743149</td> 
+  <td>0.94547431492209555</td> 
+  <td align="right"> 1.12E-11</td>
+ </tr>
+ <tr>
+  <td>1.120</td> 
+  <td>0.9435901856</td> 
+  <td>0.94359018561564112</td> 
+  <td align="right"> 1.06E-11</td>
+ </tr>
+ <tr>
+  <td>1.125</td> 
+  <td>0.9417426997</td> 
+  <td>0.94174269984970138</td> 
+  <td align="right"> 1.39E-10</td>
+ </tr>
+ <tr>
+  <td>1.130</td> 
+  <td>0.9399314497</td> 
+  <td>0.93993144972988807</td> 
+  <td align="right"> 1.67E-11</td>
+ </tr>
+ <tr>
+  <td>1.135</td> 
+  <td>0.9381560356</td> 
+  <td>0.93815603556085947</td> 
+  <td align="right">-5.14E-11</td>
+ </tr>
+ <tr>
+  <td>1.140</td> 
+  <td>0.9364160657</td> 
+  <td>0.93641606566898694</td> 
+  <td align="right">-2.97E-11</td>
+ </tr>
+ <tr>
+  <td>1.145</td> 
+  <td>0.9347111562</td> 
+  <td>0.93471115622975964</td> 
+  <td align="right"> 2.05E-11</td>
+ </tr>
+ <tr>
+  <td>1.150</td> 
+  <td>0.9330409311</td> 
+  <td>0.93304093109978414</td> 
+  <td align="right"> 6.51E-12</td>
+ </tr>
+ <tr>
+  <td>1.155</td> 
+  <td>0.9314050217</td> 
+  <td>0.93140502165323868</td> 
+  <td align="right">-3.93E-11</td>
+ </tr>
+ <tr>
+  <td>1.160</td> 
+  <td>0.9298030666</td> 
+  <td>0.92980306664109957</td> 
+  <td align="right"> 4.51E-11</td>
+ </tr>
+ <tr>
+  <td>1.165</td> 
+  <td>0.9282347120</td> 
+  <td>0.92823471196190366</td> 
+  <td align="right">-2.59E-11</td>
+ </tr>
+ <tr>
+  <td>1.170</td> 
+  <td>0.9266996106</td> 
+  <td>0.92669961062266581</td> 
+  <td align="right"> 2.10E-11</td>
+ </tr>
+ <tr>
+  <td>1.175</td> 
+  <td>0.9251974225</td> 
+  <td>0.92519742251686099</td> 
+  <td align="right"> 1.24E-11</td>
+ </tr>
+ <tr>
+  <td>1.180</td> 
+  <td>0.9237278143</td> 
+  <td>0.92372781430006712</td> 
+  <td align="right">-1.17E-11</td>
+ </tr>
+ <tr>
+  <td>1.185</td> 
+  <td>0.9222904591</td> 
+  <td>0.92229045925047382</td> 
+  <td align="right"> 1.49E-10</td>
+ </tr>
+ <tr>
+  <td>1.190</td> 
+  <td>0.9208850371</td> 
+  <td>0.92088503713299241</td> 
+  <td align="right"> 2.60E-11</td>
+ </tr>
+ <tr>
+  <td>1.195</td> 
+  <td>0.9195112341</td> 
+  <td>0.91951123406686597</td> 
+  <td align="right">-2.98E-11</td>
+ </tr>
+ <tr>
+  <td>1.200</td> 
+  <td>0.9181687424</td> 
+  <td>0.91816874239667101</td> 
+  <td align="right">-1.67E-11</td>
+ </tr>
+ <tr>
+  <td>1.205</td> 
+  <td>0.9168572606</td> 
+  <td>0.91685726056661909</td> 
+  <td align="right">-3.28E-11</td>
+ </tr>
+ <tr>
+  <td>1.210</td> 
+  <td>0.9155764930</td> 
+  <td>0.91557649299805532</td> 
+  <td align="right"> 8.85E-12</td>
+ </tr>
+ <tr>
+  <td>1.215</td> 
+  <td>0.9143261400</td> 
+  <td>0.91432614997006778</td> 
+  <td align="right"> 9.98E-9</td>
+ </tr>
+ <tr>
+  <td>1.220</td> 
+  <td>0.9131059475</td> 
+  <td>0.91310594750311536</td> 
+  <td align="right"> 1.37E-11</td>
+ </tr>
+ <tr>
+  <td>1.225</td> 
+  <td>0.9119156071</td> 
+  <td>0.91191560725927312</td> 
+  <td align="right"> 1.49E-10</td>
+ </tr>
+ <tr>
+  <td>1.230</td> 
+  <td>0.9107548564</td> 
+  <td>0.91075485637655895</td> 
+  <td align="right">-1.50E-11</td>
+ </tr>
+ <tr>
+  <td>1.235</td> 
+  <td>0.9096234274</td> 
+  <td>0.90962342744425173</td> 
+  <td align="right"> 4.03E-11</td>
+ </tr>
+ <tr>
+  <td>1.240</td> 
+  <td>0.9085210583</td> 
+  <td>0.90852105834198582</td> 
+  <td align="right"> 4.21E-11</td>
+ </tr>
+ <tr>
+  <td>1.245</td> 
+  <td>0.9074474922</td> 
+  <td>0.90744749215126341</td> 
+  <td align="right">-5.77E-11</td>
+ </tr>
+ <tr>
+  <td>1.250</td>
+  <td>0.9064024771</td> 
+  <td>0.90640247705547716</td> 
+  <td align="right">-3.68E-11</td>
+ </tr>
+ <tr>
+  <td>1.255</td> 
+  <td>0.9053857663</td> 
+  <td>0.90538576624240463</td> 
+  <td align="right">-5.23E-11</td>
+ </tr>
+ <tr>
+  <td>1.260</td> 
+  <td>0.9043971178</td> 
+  <td>0.90439711780910215</td> 
+  <td align="right"> 2.01E-11</td>
+ </tr>
+ <tr>
+  <td>1.265</td> 
+  <td>0.9034362946</td> 
+  <td>0.90343629466913566</td> 
+  <td align="right"> 5.78E-11</td>
+ </tr>
+ <tr>
+  <td>1.270</td> 
+  <td>0.9025030645</td> 
+  <td>0.90250306446208062</td> 
+  <td align="right">-5.13E-11</td>
+ </tr>
+ <tr>
+  <td>1.275</td> 
+  <td>0.9015971994</td> 
+  <td>0.90159719946523187</td> 
+  <td align="right"> 5.66E-11</td>
+ </tr>
+ <tr>
+  <td>1.280</td> 
+  <td>0.9007184765</td> 
+  <td>0.90071847650745973</td> 
+  <td align="right"> 5.78E-13</td>
+ </tr>
+ <tr>
+  <td>1.285</td> 
+  <td>0.8998666769</td> 
+  <td>0.89986667689491762</td> 
+  <td align="right"> 5.55E-12</td>
+ </tr>
+ <tr>
+  <td>1.290</td> 
+  <td>0.8990415863</td> 
+  <td>0.89904158628967101</td> 
+  <td align="right">-3.93E-12</td>
+ </tr>
+ <tr>
+  <td>1.295</td> 
+  <td>0.8982429947</td> 
+  <td>0.89824299468914737</td> 
+  <td align="right">-1.72E-11</td>
+ </tr>
+ <tr>
+  <td>1.300</td> 
+  <td>0.8974706963</td> 
+  <td>0.89747069630804477</td> 
+  <td align="right"> 2.65E-12</td>
+ </tr>
+ <tr>
+  <td>1.305</td> 
+  <td>0.8967244895</td> 
+  <td>0.89672448951215833</td> 
+  <td align="right"> 2.37E-11</td>
+ </tr>
+ <tr>
+  <td>1.310</td> 
+  <td>0.8960041767</td> 
+  <td>0.89600417674396082</td> 
+  <td align="right"> 4.53E-11</td>
+ </tr>
+ <tr>
+  <td>1.315</td> 
+  <td>0.8953095644</td> 
+  <td>0.89530956444995535</td> 
+  <td align="right"> 5.43E-11</td>
+ </tr>
+ <tr>
+  <td>1.320</td> 
+  <td>0.8946404630</td> 
+  <td>0.89464046300975775</td> 
+  <td align="right"> 1.28E-11</td>
+ </tr>
+ <tr>
+  <td>1.325</td> 
+  <td>0.8939966866</td> 
+  <td>0.89399668666686083</td> 
+  <td align="right"> 7.95E-11</td>
+ </tr>
+ <tr>
+  <td>1.330</td> 
+  <td>0.8933780535</td> 
+  <td>0.89337805346103716</td> 
+  <td align="right">-3.97E-11</td>
+ </tr>
+ <tr>
+  <td>1.335</td> 
+  <td>0.8927843850</td> 
+  <td>0.89278438516233538</td> 
+  <td align="right"> 1.51E-10</td>
+ </tr>
+ <tr>
+  <td>1.340</td> 
+  <td>0.8922155072</td> 
+  <td>0.89221550720663356</td> 
+  <td align="right"> 1.43E-11</td>
+ </tr>
+ <tr>
+  <td>1.345</td> 
+  <td>0.8916712485</td> 
+  <td>0.89167124863270442</td> 
+  <td align="right"> 1.24E-10</td>
+ </tr>
+ <tr>
+  <td>1.350</td> 
+  <td>0.8911514420</td> 
+  <td>0.89115144202666452</td> 
+  <td align="right"> 3.78E-11</td>
+ </tr>
+ <tr>
+  <td>1.355</td> 
+  <td>0.8906559235</td> 
+  <td>0.89065592343803057</td> 
+  <td align="right">-5.12E-11</td>
+ </tr>
+ <tr>
+  <td>1.360</td> 
+  <td>0.8901845324</td> 
+  <td>0.8901845323574008</td> 
+  <td align="right">-5.70E-11</td>
+ </tr>
+ <tr>
+  <td>1.365</td> 
+  <td>0.8897371116</td> 
+  <td>0.88973711163470881</td> 
+  <td align="right"> 3.11E-11</td>
+ </tr>
+ <tr>
+  <td>1.370</td> 
+  <td>0.8893135074</td> 
+  <td>0.88931350742948501</td> 
+  <td align="right"> 4.09E-11</td>
+ </tr>
+ <tr>
+  <td>1.375</td> 
+  <td>0.8889135692</td> 
+  <td>0.88891356915622532</td> 
+  <td align="right">-5.89E-11</td>
+ </tr>
+ <tr>
+  <td>1.380</td> 
+  <td>0.8885371494</td> 
+  <td>0.88853714943101736</td> 
+  <td align="right"> 2.03E-11</td>
+ </tr>
+ <tr>
+  <td>1.385</td> 
+  <td>0.8881841041</td> 
+  <td>0.88818410401940351</td> 
+  <td align="right">-9.53E-11</td>
+ </tr>
+ <tr>
+  <td>1.390</td> 
+  <td>0.8878542918</td> 
+  <td>0.88785429178544073</td> 
+  <td align="right">-1.00E-11</td>
+ </tr>
+ <tr>
+  <td>1.395</td> 
+  <td>0.8875475748</td> 
+  <td>0.88754757464193323</td> 
+  <td align="right">-1.49E-10</td>
+ </tr>
+ <tr>
+  <td>1.400</td> 
+  <td>0.8872638175</td> 
+  <td>0.88726381750180738</td> 
+  <td align="right">-7.13E-12</td>
+ </tr>
+ <tr>
+  <td>1.405</td> 
+  <td>0.8870028884</td> 
+  <td>0.88700288823059736</td> 
+  <td align="right">-1.66E-10</td>
+ </tr>
+ <tr>
+  <td>1.410</td> 
+  <td>0.8867646576</td> 
+  <td>0.88676465760002188</td> 
+  <td align="right"> 3.66E-12</td>
+ </tr>
+ <tr>
+  <td>1.415</td> 
+  <td>0.8865489993</td> 
+  <td>0.88654899924499497</td> 
+  <td align="right">-4.45E-11</td>
+ </tr>
+ <tr>
+  <td>1.420</td> 
+  <td>0.8863557896</td> 
+  <td>0.88635578960951567</td> 
+  <td align="right">-1.60E-12</td>
+ </tr>
+ <tr>
+  <td>1.425</td> 
+  <td>0.8861849081</td> 
+  <td>0.88618490791840432</td> 
+  <td align="right">-1.81E-10</td>
+ </tr>
+ <tr>
+  <td>1.430</td> 
+  <td>0.8860362361</td> 
+  <td>0.88603623612466142</td> 
+  <td align="right"> 2.35E-11</td>
+ </tr>
+ <tr>
+  <td>1.435</td> 
+  <td>0.8859096587</td> 
+  <td>0.88590965887072826</td> 
+  <td align="right"> 1.59E-10</td>
+ </tr>
+ <tr>
+  <td>1.440</td> 
+  <td>0.8858050635</td> 
+  <td>0.88580506344804788</td> 
+  <td align="right">-5.45E-11</td>
+ </tr>
+ <tr>
+  <td>1.445</td> 
+  <td>0.8857223397</td> 
+  <td>0.88572233975753722</td> 
+  <td align="right"> 5.12E-11</td>
+ </tr>
+ <tr>
+  <td>1.450</td> 
+  <td>0.8856613803</td> 
+  <td>0.88566138027095553</td> 
+  <td align="right">-3.63E-11</td>
+ </tr>
+ <tr>
+  <td>1.455</td> 
+  <td>0.8856220700</td> 
+  <td>0.88562207999314335</td> 
+  <td align="right"> 9.99E-9</td>
+ </tr>
+ <tr>
+  <td>1.460</td> 
+  <td>0.8856043364</td> 
+  <td>0.88560433642511449</td> 
+  <td align="right"> 3.29E-11</td>
+ </tr>
+ <tr>
+  <td>1.465</td> 
+  <td>0.8856080495</td> 
+  <td>0.88560804952797856</td> 
+  <td align="right"> 4.00E-11</td>
+ </tr>
+ <tr>
+  <td>1.470</td> 
+  <td>0.8856331217</td> 
+  <td>0.88563312168767672</td> 
+  <td align="right">-2.25E-11</td>
+ </tr>
+ <tr>
+  <td>1.475</td> 
+  <td>0.8856794575</td> 
+  <td>0.88567945767984679</td> 
+  <td align="right"> 1.68E-10</td>
+ </tr>
+ <tr>
+  <td>1.480</td> 
+  <td>0.8857469646</td> 
+  <td>0.88574696463853297</td> 
+  <td align="right"> 3.58E-11</td>
+ </tr>
+ <tr>
+  <td>1.485</td> 
+  <td>0.8858355520</td> 
+  <td>0.88583555202000774</td> 
+  <td align="right"> 1.39E-11</td>
+ </tr>
+ <tr>
+  <td>1.490</td> 
+  <td>0.8859451316</td> 
+  <td>0.885945131572484</td> 
+  <td align="right">-2.22E-11</td>
+ </tr>
+ <tr>
+  <td>1.495</td> 
+  <td>0.8860756174</td> 
+  <td>0.88607561730422169</td> 
+  <td align="right">-9.20E-11</td>
+ </tr>
+ <tr>
+  <td>1.500</td> 
+  <td>0.8862269255</td> 
+  <td>0.88622692545275816</td> 
+  <td align="right">-5.14E-11</td>
+ </tr>
+ <tr>
+  <td>1.505</td> 
+  <td>0.8863989744</td> 
+  <td>0.88639897445482596</td> 
+  <td align="right"> 5.62E-11</td>
+ </tr>
+ <tr>
+  <td>1.510</td> 
+  <td>0.8865916850</td> 
+  <td>0.88659168491694862</td> 
+  <td align="right">-8.75E-11</td>
+ </tr>
+ <tr>
+  <td>1.515</td> 
+  <td>0.8868049797</td> 
+  <td>0.88680497958669369</td> 
+  <td align="right">-1.15E-10</td>
+ </tr>
+ <tr>
+  <td>1.520</td> 
+  <td>0.8870387833</td> 
+  <td>0.88703878332457031</td> 
+  <td align="right"> 3.78E-11</td>
+ </tr>
+ <tr>
+  <td>1.525</td> 
+  <td>0.8872930231</td> 
+  <td>0.88729302307655866</td> 
+  <td align="right">-3.89E-11</td>
+ </tr>
+ <tr>
+  <td>1.530</td> 
+  <td>0.8875676278</td> 
+  <td>0.88756762784725507</td> 
+  <td align="right"> 5.05E-11</td>
+ </tr>
+ <tr>
+  <td>1.535</td> 
+  <td>0.8878625287</td> 
+  <td>0.88786252867361892</td> 
+  <td align="right">-2.97E-11</td>
+ </tr>
+ <tr>
+  <td>1.540</td> 
+  <td>0.8881776586</td> 
+  <td>0.88817765859552456</td> 
+  <td align="right">-1.03E-11</td>
+ </tr>
+ <tr>
+  <td>1.545</td> 
+  <td>0.8885129527</td> 
+  <td>0.88851295264558472</td> 
+  <td align="right">-4.41E-11</td>
+ </tr>
+ <tr>
+  <td>1.550</td> 
+  <td>0.8888683478</td> 
+  <td>0.88886834780261559</td> 
+  <td align="right"> 2.74E-12</td>
+ </tr>
+ <tr>
+  <td>1.555</td> 
+  <td>0.8892437830</td> 
+  <td>0.88924378298210571</td> 
+  <td align="right">-1.06E-11</td>
+ </tr>
+ <tr>
+  <td>1.560</td> 
+  <td>0.8896391990</td> 
+  <td>0.88963919900923583</td> 
+  <td align="right">-3.65E-12</td>
+ </tr>
+ <tr>
+  <td>1.565</td> 
+  <td>0.8900545387</td> 
+  <td>0.89005453859597561</td> 
+  <td align="right">-1.04E-10</td>
+ </tr>
+ <tr>
+  <td>1.570</td> 
+  <td>0.8904897463</td> 
+  <td>0.89048974631869759</td> 
+  <td align="right"> 2.61E-11</td>
+ </tr>
+ <tr>
+  <td>1.575</td> 
+  <td>0.8909447686</td> 
+  <td>0.89094476859629979</td> 
+  <td align="right"> 8.93E-12</td>
+ </tr>
+ <tr>
+  <td>1.580</td> 
+  <td>0.8914195537</td> 
+  <td>0.89141955366882042</td> 
+  <td align="right">-2.38E-11</td>
+ </tr>
+ <tr>
+  <td>1.585</td> 
+  <td>0.8919140515</td> 
+  <td>0.8919140515765388</td> 
+  <td align="right"> 8.47E-11</td>
+ </tr>
+ <tr>
+  <td>1.590</td> 
+  <td>0.8924282141</td> 
+  <td>0.8924282141395512</td> 
+  <td align="right"> 3.07E-11</td>
+ </tr>
+ <tr>
+  <td>1.595</td> 
+  <td>0.8929619949</td> 
+  <td>0.89296199493781103</td> 
+  <td align="right"> 4.74E-11</td>
+ </tr>
+ <tr>
+  <td>1.600</td> 
+  <td>0.8935153493</td> 
+  <td>0.89351534928506793</td> 
+  <td align="right">-2.24E-11</td>
+ </tr>
+ <tr>
+  <td>1.605</td> 
+  <td>0.8940882342</td> 
+  <td>0.89408823423580575</td> 
+  <td align="right"> 3.63E-11</td>
+ </tr>
+ <tr>
+  <td>1.610</td> 
+  <td>0.8946806085</td> 
+  <td>0.89468060852796683</td> 
+  <td align="right"> 2.74E-11</td>
+ </tr>
+ <tr>
+  <td>1.615</td> 
+  <td>0.8952924327</td> 
+  <td>0.89529243259029823</td> 
+  <td align="right">-9.74E-11</td>
+ </tr>
+ <tr>
+  <td>1.620</td> 
+  <td>0.8959236685</td> 
+  <td>0.89592366851824745</td> 
+  <td align="right"> 2.86E-11</td>
+ </tr>
+ <tr>
+  <td>1.625</td> 
+  <td>0.8965742800</td> 
+  <td>0.89657428005659789</td> 
+  <td align="right"> 6.46E-11</td>
+ </tr>
+ <tr>
+  <td>1.630</td> 
+  <td>0.8972442326</td> 
+  <td>0.89724423258250552</td> 
+  <td align="right">-7.80E-12</td>
+ </tr>
+ <tr>
+  <td>1.635</td> 
+  <td>0.8979334930</td> 
+  <td>0.89793349308892934</td> 
+  <td align="right"> 9.89E-11</td>
+ </tr>
+ <tr>
+  <td>1.640</td> 
+  <td>0.8986420302</td> 
+  <td>0.89864203016845012</td> 
+  <td align="right">-2.68E-11</td>
+ </tr>
+ <tr>
+  <td>1.645</td> 
+  <td>0.8993698138</td> 
+  <td>0.89936981399746452</td> 
+  <td align="right"> 2.04E-10</td>
+ </tr>
+ <tr>
+  <td>1.650</td> 
+  <td>0.9001168163</td> 
+  <td>0.9001168163207548</td> 
+  <td align="right"> 1.21E-11</td>
+ </tr>
+ <tr>
+  <td>1.655</td> 
+  <td>0.9008830104</td> 
+  <td>0.90088301043641827</td> 
+  <td align="right"> 2.24E-11</td>
+ </tr>
+ <tr>
+  <td>1.660</td> 
+  <td>0.9016683712</td> 
+  <td>0.90166837118115595</td> 
+  <td align="right">-1.49E-11</td>
+ </tr>
+ <tr>
+  <td>1.665</td> 
+  <td>0.9024728748</td> 
+  <td>0.90247287490643413</td> 
+  <td align="right"> 1.16E-10</td>
+ </tr>
+ <tr>
+  <td>1.670</td> 
+  <td>0.9032964995</td> 
+  <td>0.9032964995021503</td> 
+  <td align="right">-1.09E-11</td>
+ </tr>
+ <tr>
+  <td>1.675</td> 
+  <td>0.9041392243</td> 
+  <td>0.90413922432675797</td> 
+  <td align="right"> 3.24E-11</td>
+ </tr>
+ <tr>
+  <td>1.680</td> 
+  <td>0.9050010302</td> 
+  <td>0.90500103023115419</td> 
+  <td align="right"> 4.40E-11</td>
+ </tr>
+ <tr>
+  <td>1.685</td> 
+  <td>0.9058818996</td> 
+  <td>0.90588189953639731</td> 
+  <td align="right">-7.63E-11</td>
+ </tr>
+ <tr>
+  <td>1.690</td> 
+  <td>0.9067818160</td> 
+  <td>0.90678181602099839</td> 
+  <td align="right"> 9.93E-12</td>
+ </tr>
+ <tr>
+  <td>1.695</td> 
+  <td>0.9077007650</td> 
+  <td>0.90770076490852225</td> 
+  <td align="right">-9.63E-11</td>
+ </tr>
+ <tr>
+  <td>1.700</td> 
+  <td>0.9086387329</td> 
+  <td>0.90863873285549646</td> 
+  <td align="right">-5.97E-11</td>
+ </tr>
+ <tr>
+  <td>1.705</td> 
+  <td>0.9095957079</td> 
+  <td>0.90959570793962097</td> 
+  <td align="right"> 4.25E-11</td>
+ </tr>
+ <tr>
+  <td>1.710</td> 
+  <td>0.9105716796</td> 
+  <td>0.9105716796482709</td> 
+  <td align="right"> 5.89E-11</td>
+ </tr>
+ <tr>
+  <td>1.715</td> 
+  <td>0.9115666390</td> 
+  <td>0.91156663886729161</td> 
+  <td align="right">-1.31E-10</td>
+ </tr>
+ <tr>
+  <td>1.720</td> 
+  <td>0.9125805779</td> 
+  <td>0.91258057787007674</td> 
+  <td align="right">-1.93E-11</td>
+ </tr>
+ <tr>
+  <td>1.725</td> 
+  <td>0.9136134904</td> 
+  <td>0.91361349029479011</td> 
+  <td align="right">-1.16E-10</td>
+ </tr>
+ <tr>
+  <td>1.730</td> 
+  <td>0.9146653712</td> 
+  <td>0.91466537118231861</td> 
+  <td align="right">-2.63E-11</td>
+ </tr>
+ <tr>
+  <td>1.735</td> 
+  <td>0.9157362171</td> 
+  <td>0.9157362168940244</td> 
+  <td align="right">-2.15E-10</td>
+ </tr>
+ <tr>
+  <td>1.740</td> 
+  <td>0.9168260252</td> 
+  <td>0.91682602514979106</td> 
+  <td align="right">-5.47E-11</td>
+ </tr>
+ <tr>
+  <td>1.745</td> 
+  <td>0.9179347950</td> 
+  <td>0.91793479500653363</td> 
+  <td align="right"> 8.97E-12</td>
+ </tr>
+ <tr>
+  <td>1.750</td> 
+  <td>0.9190625268</td> 
+  <td>0.91906252684888312</td> 
+  <td align="right"> 3.95E-11</td>
+ </tr>
+ <tr>
+  <td>1.755</td> 
+  <td>0.9202092224</td> 
+  <td>0.92020922238011904</td> 
+  <td align="right">-3.48E-11</td>
+ </tr>
+ <tr>
+  <td>1.760</td> 
+  <td>0.9213748846</td> 
+  <td>0.92137488461334993</td> 
+  <td align="right"> 4.68E-12</td>
+ </tr>
+ <tr>
+  <td>1.765</td> 
+  <td>0.9225595178</td> 
+  <td>0.92255951786293755</td> 
+  <td align="right"> 4.88E-11</td>
+ </tr>
+ <tr>
+  <td>1.770</td> 
+  <td>0.9237631277</td> 
+  <td>0.9237631277361581</td> 
+  <td align="right"> 2.96E-11</td>
+ </tr>
+ <tr>
+  <td>1.775</td> 
+  <td>0.9249857211</td> 
+  <td>0.92498572112510025</td> 
+  <td align="right"> 2.89E-11</td>
+ </tr>
+ <tr>
+  <td>1.780</td> 
+  <td>0.9262273062</td> 
+  <td>0.92622730619879157</td> 
+  <td align="right"> 8.37E-12</td>
+ </tr>
+ <tr>
+  <td>1.785</td> 
+  <td>0.9274878926</td> 
+  <td>0.92748789239555507</td> 
+  <td align="right">-1.97E-10</td>
+ </tr>
+ <tr>
+  <td>1.790</td> 
+  <td>0.9287674904</td> 
+  <td>0.92876749040057904</td> 
+  <td align="right">-3.84E-12</td>
+ </tr>
+ <tr>
+  <td>1.795</td> 
+  <td>0.9300661123</td> 
+  <td>0.93006611219852275</td> 
+  <td align="right">-1.13E-10</td>
+ </tr>
+ <tr>
+  <td>1.800</td> 
+  <td>0.9313837710</td> 
+  <td>0.93138377097715253</td> 
+  <td align="right">-2.97E-11</td>
+ </tr>
+ <tr>
+  <td>1.805</td> 
+  <td>0.9327204811</td> 
+  <td>0.93272048117993289</td> 
+  <td align="right"> 8.20E-11</td>
+ </tr>
+ <tr>
+  <td>1.810</td> 
+  <td>0.9340762585</td> 
+  <td>0.93407625848467779</td> 
+  <td align="right">-2.05E-11</td>
+ </tr>
+ <tr>
+  <td>1.815</td> 
+  <td>0.9354511198</td> 
+  <td>0.93545111979719375</td> 
+  <td align="right"> 8.27E-12</td>
+ </tr>
+ <tr>
+  <td>1.820</td> 
+  <td>0.9368450832</td> 
+  <td>0.93684508324512517</td> 
+  <td align="right"> 4.80E-11</td>
+ </tr>
+ <tr>
+  <td>1.825</td> 
+  <td>0.9382581682</td> 
+  <td>0.93825816817200214</td> 
+  <td align="right">-2.82E-11</td>
+ </tr>
+ <tr>
+  <td>1.830</td> 
+  <td>0.9396903951</td> 
+  <td>0.93969039513148056</td> 
+  <td align="right"> 1.86E-11</td>
+ </tr>
+ <tr>
+  <td>1.835</td> 
+  <td>0.9411417859</td> 
+  <td>0.94114178588178177</td> 
+  <td align="right">-2.64E-11</td>
+ </tr>
+ <tr>
+  <td>1.840</td> 
+  <td>0.9426123634</td> 
+  <td>0.94261236338031951</td> 
+  <td align="right">-2.35E-11</td>
+ </tr>
+ <tr>
+  <td>1.845</td> 
+  <td>0.9441021519</td> 
+  <td>0.94410215177851575</td> 
+  <td align="right">-1.22E-10</td>
+ </tr>
+ <tr>
+  <td>1.850</td> 
+  <td>0.9456111764</td> 
+  <td>0.94561117639912362</td> 
+  <td align="right">-2.02E-12</td>
+ </tr>
+ <tr>
+  <td>1.855</td> 
+  <td>0.9471394637</td> 
+  <td>0.94713946380190617</td> 
+  <td align="right"> 9.43E-11</td>
+ </tr>
+ <tr>
+  <td>1.860</td> 
+  <td>0.9486870417</td> 
+  <td>0.94868704167359708</td> 
+  <td align="right">-2.86E-11</td>
+ </tr>
+ <tr>
+  <td>1.865</td> 
+  <td>0.9502539389</td> 
+  <td>0.95025393889348797</td> 
+  <td align="right">-1.33E-11</td>
+ </tr>
+ <tr>
+  <td>1.870</td> 
+  <td>0.9518401855</td> 
+  <td>0.95184018551169203</td> 
+  <td align="right"> 9.61E-12</td>
+ </tr>
+ <tr>
+  <td>1.875</td> 
+  <td>0.9534458127</td> 
+  <td>0.95344581274503493</td> 
+  <td align="right"> 5.77E-11</td>
+ </tr>
+ <tr>
+  <td>1.880</td> 
+  <td>0.9550708530</td> 
+  <td>0.95507085297311556</td> 
+  <td align="right">-2.73E-11</td>
+ </tr>
+ <tr>
+  <td>1.885</td> 
+  <td>0.9567153398</td> 
+  <td>0.95671533973453671</td> 
+  <td align="right">-6.02E-11</td>
+ </tr>
+ <tr>
+  <td>1.890</td> 
+  <td>0.9583793077</td> 
+  <td>0.95837930772329927</td> 
+  <td align="right"> 1.97E-11</td>
+ </tr>
+ <tr>
+  <td>1.895</td> 
+  <td>0.9600627927</td> 
+  <td>0.960062792785362</td> 
+  <td align="right"> 8.60E-11</td>
+ </tr>
+ <tr>
+  <td>1.900</td> 
+  <td>0.9617658319</td> 
+  <td>0.96176583191536336</td> 
+  <td align="right"> 2.60E-11</td>
+ </tr>
+ <tr>
+  <td>1.905</td> 
+  <td>0.9634884632</td> 
+  <td>0.96348846325350124</td> 
+  <td align="right"> 5.75E-11</td>
+ </tr>
+ <tr>
+  <td>1.910</td> 
+  <td>0.9652307261</td> 
+  <td>0.96523072608257054</td> 
+  <td align="right">-3.05E-11</td>
+ </tr>
+ <tr>
+  <td>1.915</td> 
+  <td>0.9669926608</td> 
+  <td>0.96699266080453206</td> 
+  <td align="right"> 5.78E-13</td>
+ </tr>
+ <tr>
+  <td>1.920</td> 
+  <td>0.9687743090</td> 
+  <td>0.96877430902013406</td> 
+  <td align="right"> 1.66E-11</td>
+ </tr>
+ <tr>
+  <td>1.925</td> 
+  <td>0.9705757134</td> 
+  <td>0.97057571340334281</td> 
+  <td align="right">-3.67E-12</td>
+ </tr>
+ <tr>
+  <td>1.930</td> 
+  <td>0.9723969178</td> 
+  <td>0.9723969177808085</td> 
+  <td align="right">-5.87E-12</td>
+ </tr>
+ <tr>
+  <td>1.935</td> 
+  <td>0.9742379672</td> 
+  <td>0.97423796710926569</td> 
+  <td align="right">-8.59E-11</td>
+ </tr>
+ <tr>
+  <td>1.940</td> 
+  <td>0.9760989075</td> 
+  <td>0.97609890747347727</td> 
+  <td align="right">-2.67E-11</td>
+ </tr>
+ <tr>
+  <td>1.945</td> 
+  <td>0.9779797861</td> 
+  <td>0.97797978608432246</td> 
+  <td align="right">-2.76E-11</td>
+ </tr>
+ <tr>
+  <td>1.950</td> 
+  <td>0.9798806513</td> 
+  <td>0.9798806512770295</td> 
+  <td align="right">-3.65E-11</td>
+ </tr>
+ <tr>
+  <td>1.955</td> 
+  <td>0.9818015524</td> 
+  <td>0.98180155250954815</td> 
+  <td align="right"> 1.02E-10</td>
+ </tr>
+ <tr>
+  <td>1.960</td> 
+  <td>0.9837425404</td> 
+  <td>0.98374254036106346</td> 
+  <td align="right">-5.01E-11</td>
+ </tr>
+ <tr>
+  <td>1.965</td> 
+  <td>0.9857036664</td> 
+  <td>0.985703666530647</td> 
+  <td align="right"> 1.27E-10</td>
+ </tr>
+ <tr>
+  <td>1.970</td> 
+  <td>0.9876849838</td> 
+  <td>0.98768498383604675</td> 
+  <td align="right"> 4.68E-11</td>
+ </tr>
+ <tr>
+  <td>1.975</td> 
+  <td>0.9896865462</td> 
+  <td>0.98968654618919183</td> 
+  <td align="right">-1.77E-11</td>
+ </tr>
+ <tr>
+  <td>1.980</td> 
+  <td>0.9917084087</td> 
+  <td>0.99170840868869103</td> 
+  <td align="right">-3.22E-12</td>
+ </tr>
+ <tr>
+  <td>1.985</td> 
+  <td>0.9937506274</td> 
+  <td>0.9937506274792185</td> 
+  <td align="right"> 6.46E-11</td>
+ </tr>
+ <tr>
+  <td>1.990</td> 
+  <td>0.9958132598</td> 
+  <td>0.99581325984380575</td> 
+  <td align="right"> 4.71E-11</td>
+ </tr>
+ <tr>
+  <td>1.995</td> 
+  <td>0.9978963643</td> 
+  <td>0.99789636418011041</td> 
+  <td align="right">-1.27E-10</td>
+ </tr>
+</table>
+
+
+<h4>The Psi Function</h4>
+
+This table was constructed from the published values in the 
+Handbook of Mathematical Functions, by Milton Abramowitz
+and Irene A. Stegun, by Dover (1965), pp 267-270.
+
+Axiom implements the polygamma function which allows for multiple
+derivatives. The Psi function is a special case of the polygamma
+function for zero derivatives. For the purpose of this table it
+is defined as:
+<pre>
+   Psi(x) == polygamma(0,x)
+</pre>
+
+The first column is the point where the Gamma function is evaluated.
+The second column is the value reported in the Handbook.
+The third column is the actual value computed by Axiom at the given point.
+The fourth column is the difference of Axiom's value and the Handbook value.
+
+<table border="1">
+ <tr>
+  <th>point</th>
+  <th>Handbook Value</th>
+  <th>Axiom Computed Value</th>
+  <th>Difference</th>
+ </tr>
+ <tr>
+  <td>1.000</td>
+  <td>-0.5772156649</td>
+  <td>-0.57721566490153275</td>
+  <td align="right">-1.53E-12</td>
+ </tr>
+ <tr>
+  <td>1.005</td>
+  <td>-0.5690209113</td>
+  <td>-0.56902091134438304</td>
+  <td align="right"> -4.43E-11</td>
+ </tr>
+ <tr>
+  <td>1.010</td>
+  <td>-0.5608854579</td>
+  <td>-0.56088545786867472</td>
+  <td align="right"> 3.13E-11</td>
+ </tr>
+ <tr>
+  <td>1.015</td>
+  <td>-0.5528085156</td>
+  <td>-0.55280851559434629</td>
+  <td align="right"> 5.65E-12</td>
+ </tr>
+ <tr>
+  <td>1.020</td>
+  <td>-0.5447893105</td>
+  <td>-0.54478931045617984</td>
+  <td align="right"> 4.38E-11</td>
+ </tr>
+ <tr>
+  <td>1.025</td>
+  <td>-0.5368270828</td>
+  <td>-0.53682708284938863</td>
+  <td align="right"> -4.93E-11</td>
+ </tr>
+ <tr>
+  <td>1.030</td>
+  <td>-0.5289210873</td>
+  <td>-0.5289210872854303</td>
+  <td align="right"> 1.45E-11</td>
+ </tr>
+ <tr>
+  <td>1.035</td>
+  <td>-0.5210705921</td>
+  <td>-0.52107059205771</td>
+  <td align="right"> 4.22E-11</td>
+ </tr>
+ <tr>
+  <td>1.040</td>
+  <td>-0.5132748789</td>
+  <td>-0.51327487891683021</td>
+  <td align="right"> -1.68E-11</td>
+ </tr>
+ <tr>
+  <td>1.045</td>
+  <td>-0.5055332428</td>
+  <td>-0.50553324275508449</td>
+  <td align="right"> 4.49E-11</td>
+ </tr>
+ <tr>
+  <td>1.050</td>
+  <td>-0.4978449913</td>
+  <td>-0.49784499129987031</td>
+  <td align="right"> 1.29E-13</td>
+ </tr>
+ <tr>
+  <td>1.055</td>
+  <td>-0.4902094448</td>
+  <td>-0.49020944481574569</td>
+  <td align="right"> -1.57E-11</td>
+ </tr>
+ <tr>
+  <td>1.060</td>
+  <td>-0.4826259358</td>
+  <td>-0.48262593581482538</td>
+  <td align="right"> -1.48E-11</td>
+ </tr>
+ <tr>
+  <td>1.065</td>
+  <td>-0.4750938088</td>
+  <td>-0.47509380877526647</td>
+  <td align="right"> 2.47E-11</td>
+ </tr>
+ <tr>
+  <td>1.070</td>
+  <td>-0.4676124199</td>
+  <td>-0.46761241986755342</td>
+  <td align="right"> 3.24E-11</td>
+ </tr>
+ <tr>
+  <td>1.075</td>
+  <td>-0.4601811367</td>
+  <td>-0.4601811366883593</td>
+  <td align="right"> 1.16E-11</td>
+ </tr>
+ <tr>
+  <td>1.080</td>
+  <td>-0.4527993380</td>
+  <td>-0.45279933800171246</td>
+  <td align="right"> -1.71E-12</td>
+ </tr>
+ <tr>
+  <td>1.085</td>
+  <td>-0.4454664135</td>
+  <td>-0.44546641348725191</td>
+  <td align="right"> 1.27E-11</td>
+ </tr>
+ <tr>
+  <td>1.090</td>
+  <td>-0.4381817635</td>
+  <td>-0.43818176349533489</td>
+  <td align="right"> 4.66E-12</td>
+ </tr>
+ <tr>
+  <td>1.095</td>
+  <td>-0.4309447988</td>
+  <td>-0.43094479880878706</td>
+  <td align="right"> -8.78E-12</td>
+ </tr>
+ <tr>
+  <td>1.100</td>
+  <td>-0.4237549404</td>
+  <td>-0.42375494041107653</td>
+  <td align="right"> -1.10E-11</td>
+ </tr>
+ <tr>
+  <td>1.105</td>
+  <td>-0.4166116193</td>
+  <td>-0.41661161926071655</td>
+  <td align="right"> 3.92E-11</td>
+ </tr>
+ <tr>
+  <td>1.110</td>
+  <td>-0.4095142761</td>
+  <td>-0.40951427607169383</td>
+  <td align="right"> 2.83E-11</td>
+ </tr>
+ <tr>
+  <td>1.115</td>
+  <td>-0.4024623611</td>
+  <td>-0.40246236109974648</td>
+  <td align="right"> 2.53E-13</td>
+ </tr>
+ <tr>
+  <td>1.120</td>
+  <td>-0.3954553339</td>
+  <td>-0.39545533393429283</td>
+  <td align="right"> -3.42E-11</td>
+ </tr>
+ <tr>
+  <td>1.125</td>
+  <td>-0.3884926633</td>
+  <td>-0.38849266329585463</td>
+  <td align="right"> 4.14E-12</td>
+ </tr>
+ <tr>
+  <td>1.130</td>
+  <td>-0.3815738268</td>
+  <td>-0.38157382683879215</td>
+  <td align="right"> -3.87E-11</td>
+ </tr>
+ <tr>
+  <td>1.135</td>
+  <td>-0.3746983110</td>
+  <td>-0.37469831095919082</td>
+  <td align="right"> 4.08E-11</td>
+ </tr>
+ <tr>
+  <td>1.140</td>
+  <td>-0.3678656106</td>
+  <td>-0.36786561060774969</td>
+  <td align="right"> -7.74E-12</td>
+ </tr>
+ <tr>
+  <td>1.145</td>
+  <td>-0.3610752291</td>
+  <td>-0.361075229107509</td>
+  <td align="right"> -7.50E-12</td>
+ </tr>
+ <tr>
+  <td>1.150</td>
+  <td>-0.3543266780</td>
+  <td>-0.35432667797627904</td>
+  <td align="right"> 2.37E-11</td>
+ </tr>
+ <tr>
+  <td>1.155</td>
+  <td>-0.3476194768</td>
+  <td>-0.34761947675362337</td>
+  <td align="right"> 4.63E-11</td>
+ </tr>
+ <tr>
+  <td>1.160</td>
+  <td>-0.3409531528</td>
+  <td>-0.34095315283226135</td>
+  <td align="right"> -3.22E-11</td>
+ </tr>
+ <tr>
+  <td>1.165</td>
+  <td>-0.3343272413</td>
+  <td>-0.3343272412937619</td>
+  <td align="right"> 6.23E-12</td>
+ </tr>
+ <tr>
+  <td>1.170</td>
+  <td>-0.3277412847</td>
+  <td>-0.3277412847483927</td>
+  <td align="right"> -4.83E-11</td>
+ </tr>
+ <tr>
+  <td>1.175</td>
+  <td>-0.3211948332</td>
+  <td>-0.3211948331790081</td>
+  <td align="right"> 2.09E-11</td>
+ </tr>
+ <tr>
+  <td>1.180</td>
+  <td>-0.3146874438</td>
+  <td>-0.31468744378886082</td>
+  <td align="right"> 1.11E-11</td>
+ </tr>
+ <tr>
+  <td>1.185</td>
+  <td>-0.3082186809</td>
+  <td>-0.30821868085320625</td>
+  <td align="right"> 4.67E-11</td>
+ </tr>
+ <tr>
+  <td>1.190</td>
+  <td>-0.3017881156</td>
+  <td>-0.30178811557461016</td>
+  <td align="right"> 2.53E-11</td>
+ </tr>
+ <tr>
+  <td>1.195</td>
+  <td>-0.2953953259</td>
+  <td>-0.2953953259418296</td>
+  <td align="right"> -4.18E-11</td>
+ </tr>
+ <tr>
+  <td>1.200</td>
+  <td>-0.2890398966</td>
+  <td>-0.28903989659218843</td>
+  <td align="right"> 7.81E-12</td>
+ </tr>
+ <tr>
+  <td>1.205</td>
+  <td>-0.2827214187</td>
+  <td>-0.28272141867731704</td>
+  <td align="right"> 2.26E-11</td>
+ </tr>
+ <tr>
+  <td>1.210</td>
+  <td>-0.2764394897</td>
+  <td>-0.2764394897321919</td>
+  <td align="right"> -3.21E-11</td>
+ </tr>
+ <tr>
+  <td>1.215</td>
+  <td>-0.2701937135</td>
+  <td>-0.27019371354735244</td>
+  <td align="right"> -4.73E-11</td>
+ </tr>
+ <tr>
+  <td>1.220</td>
+  <td>-0.2639837000</td>
+  <td>-0.26398370004422023</td>
+  <td align="right"> -4.42E-11</td>
+ </tr>
+ <tr>
+  <td>1.225</td>
+  <td>-0.2578090652</td>
+  <td>-0.25780906515343338</td>
+  <td align="right"> 4.65E-11</td>
+ </tr>
+ <tr>
+  <td>1.230</td>
+  <td>-0.2516694307</td>
+  <td>-0.25166943069609982</td>
+  <td align="right"> 3.90E-12</td>
+ </tr>
+ <tr>
+  <td>1.235</td>
+  <td>-0.2455644243</td>
+  <td>-0.24556442426789726</td>
+  <td align="right"> 3.21E-11</td>
+ </tr>
+ <tr>
+  <td>1.240</td>
+  <td>-0.2394936791</td>
+  <td>-0.23949367912593666</td>
+  <td align="right"> -2.59E-11</td>
+ </tr>
+ <tr>
+  <td>1.245</td>
+  <td>-0.2334568341</td>
+  <td>-0.23345683407831253</td>
+  <td align="right"> 2.16E-11</td>
+ </tr>
+ <tr>
+  <td>1.250</td>
+  <td>-0.2274535334</td>
+  <td>-0.22745353337626528</td>
+  <td align="right"> 2.37E-11</td>
+ </tr>
+ <tr>
+  <td>1.255</td>
+  <td>-0.2214834266</td>
+  <td>-0.22148342660888165</td>
+  <td align="right"> -8.88E-12</td>
+ </tr>
+ <tr>
+  <td>1.260</td>
+  <td>-0.2155461686</td>
+  <td>-0.21554616860026521</td>
+  <td align="right"> -2.65E-13</td>
+ </tr>
+ <tr>
+  <td>1.265</td>
+  <td>-0.2096414193</td>
+  <td>-0.20964141930911384</td>
+  <td align="right"> -9.11E-12</td>
+ </tr>
+ <tr>
+  <td>1.270</td>
+  <td>-0.2037688437</td>
+  <td>-0.20376884373062343</td>
+  <td align="right"> -3.06E-11</td>
+ </tr>
+ <tr>
+  <td>1.275</td>
+  <td>-0.1979281118</td>
+  <td>-0.19792811180067393</td>
+  <td align="right"> -6.73E-13</td>
+ </tr>
+ <tr>
+  <td>1.280</td>
+  <td>-0.1921188983</td>
+  <td>-0.19211889830222173</td>
+  <td align="right"> -2.22E-12</td>
+ </tr>
+ <tr>
+  <td>1.285</td>
+  <td>-0.1863408828</td>
+  <td>-0.18634088277384209</td>
+  <td align="right"> 2.61E-11</td>
+ </tr>
+ <tr>
+  <td>1.290</td>
+  <td>-0.1805937494</td>
+  <td>-0.1805937494203691</td>
+  <td align="right"> -2.03E-11</td>
+ </tr>
+ <tr>
+  <td>1.295</td>
+  <td>-0.1748771870</td>
+  <td>-0.17487718702556942</td>
+  <td align="right"> -2.55E-11</td>
+ </tr>
+ <tr>
+  <td>1.300</td>
+  <td>-0.1691908889</td>
+  <td>-0.16919088886679934</td>
+  <td align="right"> 3.32E-11</td>
+ </tr>
+ <tr>
+  <td>1.305</td>
+  <td>-0.1635345526</td>
+  <td>-0.163534552631597</td>
+  <td align="right"> -3.15E-11</td>
+ </tr>
+ <tr>
+  <td>1.310</td>
+  <td>-0.1579078803</td>
+  <td>-0.15790788033614178</td>
+  <td align="right"> -3.61E-11</td>
+ </tr>
+ <tr>
+  <td>1.315</td>
+  <td>-0.1523105782</td>
+  <td>-0.15231057824555994</td>
+  <td align="right"> -4.55E-11</td>
+ </tr>
+ <tr>
+  <td>1.320</td>
+  <td>-0.1467423568</td>
+  <td>-0.1467423567959959</td>
+  <td align="right"> 4.00E-12</td>
+ </tr>
+ <tr>
+  <td>1.325</td>
+  <td>-0.1412029305</td>
+  <td>-0.14120293051842803</td>
+  <td align="right"> -1.84E-11</td>
+ </tr>
+ <tr>
+  <td>1.330</td>
+  <td>-0.1356920180</td>
+  <td>-0.13569201796416941</td>
+  <td align="right"> 3.58E-11</td>
+ </tr>
+ <tr>
+  <td>1.335</td>
+  <td>-0.1302093416</td>
+  <td>-0.13020934163201769</td>
+  <td align="right"> -3.20E-11</td>
+ </tr>
+ <tr>
+  <td>1.340</td>
+  <td>-0.1247546279</td>
+  <td>-0.12475462789700376</td>
+  <td align="right"> 2.99E-12</td>
+ </tr>
+ <tr>
+  <td>1.345</td>
+  <td>-0.1193276069</td>
+  <td>-0.11932760694070754</td>
+  <td align="right"> -4.07E-11</td>
+ </tr>
+ <tr>
+  <td>1.350</td>
+  <td>-0.1139280127</td>
+  <td>-0.11392801268308839</td>
+  <td align="right"> 1.69E-11</td>
+ </tr>
+ <tr>
+  <td>1.355</td>
+  <td>-0.1085555827</td>
+  <td>-0.10855558271580501</td>
+  <td align="right"> -1.58E-11</td>
+ </tr>
+ <tr>
+  <td>1.360</td>
+  <td>-0.1032100582</td>
+  <td>-0.10321005823697738</td>
+  <td align="right"> -3.69E-11</td>
+ </tr>
+ <tr>
+  <td>1.365</td>
+  <td>-0.0978911840</td>
+  <td>-0.097891183987354968</td>
+  <td align="right"> 1.26E-11</td>
+ </tr>
+ <tr>
+  <td>1.370</td>
+  <td>-0.0925987082</td>
+  <td>-0.092598708187860979</td>
+  <td align="right"> 1.21E-11</td>
+ </tr>
+ <tr>
+  <td>1.375</td>
+  <td>-0.0873323825</td>
+  <td>-0.087332382478473081</td>
+  <td align="right"> 2.15E-11</td>
+ </tr>
+ <tr>
+  <td>1.380</td>
+  <td>-0.0820919619</td>
+  <td>-0.082091961858406615</td>
+  <td align="right"> 4.15E-11</td>
+ </tr>
+ <tr>
+  <td>1.385</td>
+  <td>-0.0768772046</td>
+  <td>-0.076877204627574525</td>
+  <td align="right"> -2.75E-11</td>
+ </tr>
+ <tr>
+  <td>1.390</td>
+  <td>-0.0716878723</td>
+  <td>-0.071687872329281643</td>
+  <td align="right"> -2.92E-11</td>
+ </tr>
+ <tr>
+  <td>1.395</td>
+  <td>-0.0665237297</td>
+  <td>-0.066523729694132228</td>
+  <td align="right"> 5.86E-12</td>
+ </tr>
+ <tr>
+  <td>1.400</td>
+  <td>-0.0613845446</td>
+  <td>-0.061384544585116108</td>
+  <td align="right"> 1.48E-11</td>
+ </tr>
+ <tr>
+  <td>1.405</td>
+  <td>-0.0562700879</td>
+  <td>-0.056270087943841696</td>
+  <td align="right"> -4.38E-11</td>
+ </tr>
+ <tr>
+  <td>1.410</td>
+  <td>-0.0511801337</td>
+  <td>-0.051180133737897426</td>
+  <td align="right"> -3.78E-11</td>
+ </tr>
+ <tr>
+  <td>1.415</td>
+  <td>-0.0461144589</td>
+  <td>-0.04.6114458909301992</td>
+  <td align="right"> -9.30E-12</td>
+ </tr>
+ <tr>
+  <td>1.420</td>
+  <td>-0.0410728433</td>
+  <td>-0.041072843324024277</td>
+  <td align="right"> -2.40E-11</td>
+ </tr>
+ <tr>
+  <td>1.425</td>
+  <td>-0.0360550697</td>
+  <td>-0.036055069722547906</td>
+  <td align="right"> -2.25E-11</td>
+ </tr>
+ <tr>
+  <td>1.430</td>
+  <td>-0.0310609237</td>
+  <td>-0.031060923671447194</td>
+  <td align="right"> 2.85E-11</td>
+ </tr>
+ <tr>
+  <td>1.435</td>
+  <td>-0.0260901935</td>
+  <td>-0.02609019351596098</td>
+  <td align="right"> -1.59E-11</td>
+ </tr>
+ <tr>
+  <td>1.440</td>
+  <td>-0.0211426703</td>
+  <td>-0.021142670333530678</td>
+  <td align="right"> -3.35E-11</td>
+ </tr>
+ <tr>
+  <td>1.445</td>
+  <td>-0.0162181479</td>
+  <td>-0.016218147888283685</td>
+  <td align="right"> 1.17E-11</td>
+ </tr>
+ <tr>
+  <td>1.450</td>
+  <td>-0.0113164226</td>
+  <td>-0.011316422586445718</td>
+  <td align="right"> 1.35E-11</td>
+ </tr>
+ <tr>
+  <td>1.455</td>
+  <td>-0.0064372934</td>
+  <td>-0.0064372934326406561</td>
+  <td align="right"> -3.26E-11</td>
+ </tr>
+ <tr>
+  <td>1.460</td>
+  <td>-0.0015805620</td>
+  <td>-0.0015805619870833398</td>
+  <td align="right"> 1.29E-11</td>
+ </tr>
+ <tr>
+  <td>1.465</td>
+  <td>0.0032539677</td>
+  <td>0.0032539676763745362</td>
+  <td align="right"> -2.36E-11</td>
+ </tr>
+ <tr>
+  <td>1.470</td>
+  <td>0.0080664890</td>
+  <td>0.0080664890113649745</td>
+  <td align="right"> 1.13E-11</td>
+ </tr>
+ <tr>
+  <td>1.475</td>
+  <td>0.0128571930</td>
+  <td>0.012857193039295334</td>
+  <td align="right"> 3.92E-11</td>
+ </tr>
+ <tr>
+  <td>1.480</td>
+  <td>0.0176262684</td>
+  <td>0.017626268388849287</td>
+  <td align="right"> -1.11E-11</td>
+ </tr>
+ <tr>
+  <td>1.485</td>
+  <td>0.0223739013</td>
+  <td>0.022373901334705404</td>
+  <td align="right"> 3.47E-11</td>
+ </tr>
+ <tr>
+  <td>1.490</td>
+  <td>0.0271002758</td>
+  <td>0.027100275835486465</td>
+  <td align="right"> 3.54E-11</td>
+ </tr>
+ <tr>
+  <td>1.495</td>
+  <td>0.0318055736</td>
+  <td>0.031805573570971468</td>
+  <td align="right"> -2.90E-11</td>
+ </tr>
+ <tr>
+  <td>1.500</td>
+  <td>0.0364899740</td>
+  <td>0.036489973978576673</td>
+  <td align="right"> -2.14E-11</td>
+ </tr>
+ <tr>
+  <td>1.505</td>
+  <td>0.0411536543</td>
+  <td>0.041153654289123542</td>
+  <td align="right"> -1.08E-11</td>
+ </tr>
+ <tr>
+  <td>1.510</td>
+  <td>0.0457967896</td>
+  <td>0.045796789561914686</td>
+  <td align="right"> -3.80E-11</td>
+ </tr>
+ <tr>
+  <td>1.515</td>
+  <td>0.0504195527</td>
+  <td>0.050419552719128236</td>
+  <td align="right"> 1.91E-11</td>
+ </tr>
+ <tr>
+  <td>1.520</td>
+  <td>0.0550221146</td>
+  <td>0.055022114579551307</td>
+  <td align="right"> -2.04E-11</td>
+ </tr>
+ <tr>
+  <td>1.525</td>
+  <td>0.0596046439</td>
+  <td>0.05960464389166209</td>
+  <td align="right"> -8.33E-12</td>
+ </tr>
+ <tr>
+  <td>1.530</td>
+  <td>0.0641673074</td>
+  <td>0.064167307366077231</td>
+  <td align="right"> -3.39E-11</td>
+ </tr>
+ <tr>
+  <td>1.535</td>
+  <td>0.0687102697</td>
+  <td>0.068710269707385141</td>
+  <td align="right"> 7.38E-12</td>
+ </tr>
+ <tr>
+  <td>1.540</td>
+  <td>0.0732336936</td>
+  <td>0.073233693645366138</td>
+  <td align="right"> 4.53E-11</td>
+ </tr>
+ <tr>
+  <td>1.545</td>
+  <td>0.0777377300</td>
+  <td>0.077737739965624497</td>
+  <td align="right"> 9.96E-9</td>
+ </tr>
+ <tr>
+  <td>1.550</td>
+  <td>0.0822225675</td>
+  <td>0.082222567539644631</td>
+  <td align="right"> 3.96E-11</td>
+ </tr>
+ <tr>
+  <td>1.555</td>
+  <td>0.0866883334</td>
+  <td>0.086688333354268288</td>
+  <td align="right"> -4.57E-11</td>
+ </tr>
+ <tr>
+  <td>1.560</td>
+  <td>0.0911351925</td>
+  <td>0.091135192540635401</td>
+  <td align="right"> 4.06E-11</td>
+ </tr>
+ <tr>
+  <td>1.565</td>
+  <td>0.0955632984</td>
+  <td>0.095563298402570163</td>
+  <td align="right"> 2.57E-12</td>
+ </tr>
+ <tr>
+  <td>1.570</td>
+  <td>0.0999728024</td>
+  <td>0.099972802444444731</td>
+  <td align="right"> 4.44E-11</td>
+ </tr>
+ <tr>
+  <td>1.575</td>
+  <td>0.1043638544</td>
+  <td>0.10436385439851947</td>
+  <td align="right"> -1.48E-12</td>
+ </tr>
+ <tr>
+  <td>1.580</td>
+  <td>0.1087366023</td>
+  <td>0.10873660225178161</td>
+  <td align="right"> -4.82E-11</td>
+ </tr>
+ <tr>
+  <td>1.585</td>
+  <td>0.1130911923</td>
+  <td>0.11309119227228603</td>
+  <td align="right"> -2.77E-11</td>
+ </tr>
+ <tr>
+  <td>1.590</td>
+  <td>0.1174277690</td>
+  <td>0.11742776903501095</td>
+  <td align="right"> 3.50E-11</td>
+ </tr>
+ <tr>
+  <td>1.595</td>
+  <td>0.1217464754</td>
+  <td>0.12174647544723916</td>
+  <td align="right"> 4.72E-11</td>
+ </tr>
+ <tr>
+  <td>1.600</td>
+  <td>0.1260474528</td>
+  <td>0.12604745277347584</td>
+  <td align="right"> -2.65E-11</td>
+ </tr>
+ <tr>
+  <td>1.605</td>
+  <td>0.1303308407</td>
+  <td>0.13033084065991318</td>
+  <td align="right"> -4.00E-11</td>
+ </tr>
+ <tr>
+  <td>1.610</td>
+  <td>0.1345967772</td>
+  <td>0.13459677715844587</td>
+  <td align="right"> -4.15E-11</td>
+ </tr>
+ <tr>
+  <td>1.615</td>
+  <td>0.1388453988</td>
+  <td>0.13884539875025736</td>
+  <td align="right"> -4.97E-11</td>
+ </tr>
+ <tr>
+  <td>1.620</td>
+  <td>0.1430768404</td>
+  <td>0.14307684036898005</td>
+  <td align="right"> -3.10E-11</td>
+ </tr>
+ <tr>
+  <td>1.625</td>
+  <td>0.1472912354</td>
+  <td>0.14729123542343325</td>
+  <td align="right"> 2.34E-11</td>
+ </tr>
+ <tr>
+  <td>1.630</td>
+  <td>0.1514887158</td>
+  <td>0.15148871581995815</td>
+  <td align="right"> 1.99E-11</td>
+ </tr>
+ <tr>
+  <td>1.635</td>
+  <td>0.1556694120</td>
+  <td>0.15566941198435302</td>
+  <td align="right"> -1.56E-11</td>
+ </tr>
+ <tr>
+  <td>1.640</td>
+  <td>0.1598334529</td>
+  <td>0.15983345288341522</td>
+  <td align="right"> -1.65E-11</td>
+ </tr>
+ <tr>
+  <td>1.645</td>
+  <td>0.1639809660</td>
+  <td>0.16398096604610457</td>
+  <td align="right"> 4.61E-11</td>
+ </tr>
+ <tr>
+  <td>1.650</td>
+  <td>0.1681120776</td>
+  <td>0.16811207758432767</td>
+  <td align="right"> -1.56E-11</td>
+ </tr>
+ <tr>
+  <td>1.655</td>
+  <td>0.1722269122</td>
+  <td>0.17222691221335784</td>
+  <td align="right"> 1.33E-11</td>
+ </tr>
+ <tr>
+  <td>1.660</td>
+  <td>0.1763255933</td>
+  <td>0.17632559327189457</td>
+  <td align="right"> -2.81E-11</td>
+ </tr>
+ <tr>
+  <td>1.665</td>
+  <td>0.1804082427</td>
+  <td>0.18040824274177392</td>
+  <td align="right"> 4.17E-11</td>
+ </tr>
+ <tr>
+  <td>1.670</td>
+  <td>0.1844749813</td>
+  <td>0.1844749812673292</td>
+  <td align="right"> -3.26E-11</td>
+ </tr>
+ <tr>
+  <td>1.675</td>
+  <td>0.1885259282</td>
+  <td>0.18852592817442249</td>
+  <td align="right"> -2.55E-11</td>
+ </tr>
+ <tr>
+  <td>1.680</td>
+  <td>0.1925612015</td>
+  <td>0.19256120148913258</td>
+  <td align="right"> -1.08E-11</td>
+ </tr>
+ <tr>
+  <td>1.685</td>
+  <td>0.1965809180</td>
+  <td>0.19658091795613342</td>
+  <td align="right"> -4.38E-11</td>
+ </tr>
+ <tr>
+  <td>1.690</td>
+  <td>0.2005851931</td>
+  <td>0.20058519305674649</td>
+  <td align="right"> -4.32E-11</td>
+ </tr>
+ <tr>
+  <td>1.695</td>
+  <td>0.2045741410</td>
+  <td>0.20457414102668603</td>
+  <td align="right"> 2.66E-11</td>
+ </tr>
+ <tr>
+  <td>1.700</td>
+  <td>0.2085478749</td>
+  <td>0.20854787487349435</td>
+  <td align="right"> -2.65E-11</td>
+ </tr>
+ <tr>
+  <td>1.705</td>
+  <td>0.2125065064</td>
+  <td>0.21250650639368796</td>
+  <td align="right"> -6.31E-12</td>
+ </tr>
+ <tr>
+  <td>1.710</td>
+  <td>0.2164501462</td>
+  <td>0.21645014618960501</td>
+  <td align="right"> -1.03E-11</td>
+ </tr>
+ <tr>
+  <td>1.715</td>
+  <td>0.2203789037</td>
+  <td>0.2203789036859658</td>
+  <td align="right"> -1.40E-11</td>
+ </tr>
+ <tr>
+  <td>1.720</td>
+  <td>0.2242928871</td>
+  <td>0.22429288714615725</td>
+  <td align="right"> 4.61E-11</td>
+ </tr>
+ <tr>
+  <td>1.725</td>
+  <td>0.2281922037</td>
+  <td>0.22819220368823745</td>
+  <td align="right"> -1.17E-11</td>
+ </tr>
+ <tr>
+  <td>1.730</td>
+  <td>0.2320769593</td>
+  <td>0.23207695930067274</td>
+  <td align="right"> 6.72E-13</td>
+ </tr>
+ <tr>
+  <td>1.735</td>
+  <td>0.2359472589</td>
+  <td>0.23594725885781176</td>
+  <td align="right"> -4.21E-11</td>
+ </tr>
+ <tr>
+  <td>1.740</td>
+  <td>0.2398032061</td>
+  <td>0.23980320613509676</td>
+  <td align="right"> 3.50E-11</td>
+ </tr>
+ <tr>
+  <td>1.745</td>
+  <td>0.2436449038</td>
+  <td>0.24364490382402559</td>
+  <td align="right"> 2.40E-11</td>
+ </tr>
+ <tr>
+  <td>1.750</td>
+  <td>0.2474724535</td>
+  <td>0.2474724535468612</td>
+  <td align="right"> 4.68E-11</td>
+ </tr>
+ <tr>
+  <td>1.755</td>
+  <td>0.2512859559</td>
+  <td>0.25128595587109781</td>
+  <td align="right"> -2.89E-11</td>
+ </tr>
+ <tr>
+  <td>1.760</td>
+  <td>0.2550855103</td>
+  <td>0.25508551032368809</td>
+  <td align="right"> 2.36E-11</td>
+ </tr>
+ <tr>
+  <td>1.765</td>
+  <td>0.2588712154</td>
+  <td>0.25887121540503744</td>
+  <td align="right"> 5.03E-12</td>
+ </tr>
+ <tr>
+  <td>1.770</td>
+  <td>0.2626431686</td>
+  <td>0.26264316860276249</td>
+  <td align="right"> 2.76E-12</td>
+ </tr>
+ <tr>
+  <td>1.775</td>
+  <td>0.2664014664</td>
+  <td>0.2664014664052331</td>
+  <td align="right"> 5.23E-12</td>
+ </tr>
+ <tr>
+  <td>1.780</td>
+  <td>0.2701462043</td>
+  <td>0.27014620431488368</td>
+  <td align="right"> 1.48E-11</td>
+ </tr>
+ <tr>
+  <td>1.785</td>
+  <td>0.2738774769</td>
+  <td>0.27387747686131236</td>
+  <td align="right"> -3.86E-11</td>
+ </tr>
+ <tr>
+  <td>1.790</td>
+  <td>0.2775953776</td>
+  <td>0.27759537761416786</td>
+  <td align="right"> 1.41E-11</td>
+ </tr>
+ <tr>
+  <td>1.795</td>
+  <td>0.2812999992</td>
+  <td>0.2812999991958266</td>
+  <td align="right"> -4.17E-12</td>
+ </tr>
+ <tr>
+  <td>1.800</td>
+  <td>0.2849914333</td>
+  <td>0.2849914332938619</td>
+  <td align="right"> -6.13E-12</td>
+ </tr>
+ <tr>
+  <td>1.805</td>
+  <td>0.2886697707</td>
+  <td>0.28866977067331689</td>
+  <td align="right"> -2.66E-11</td>
+ </tr>
+ <tr>
+  <td>1.810</td>
+  <td>0.2923351012</td>
+  <td>0.29233510118877948</td>
+  <td align="right"> -1.12E-11</td>
+ </tr>
+ <tr>
+  <td>1.815</td>
+  <td>0.2959875138</td>
+  <td>0.29598751379626109</td>
+  <td align="right"> -3.73E-12</td>
+ </tr>
+ <tr>
+  <td>1.820</td>
+  <td>0.2996270966</td>
+  <td>0.29962709656488773</td>
+  <td align="right"> -3.51E-11</td>
+ </tr>
+ <tr>
+  <td>1.825</td>
+  <td>0.3032539367</td>
+  <td>0.30325393668840539</td>
+  <td align="right"> -1.15E-11</td>
+ </tr>
+ <tr>
+  <td>1.830</td>
+  <td>0.3068681205</td>
+  <td>0.30686812049650136</td>
+  <td align="right"> -3.49E-12</td>
+ </tr>
+ <tr>
+  <td>1.835</td>
+  <td>0.3104697335</td>
+  <td>0.31046973346594764</td>
+  <td align="right"> -3.40E-11</td>
+ </tr>
+ <tr>
+  <td>1.840</td>
+  <td>0.3140588602</td>
+  <td>0.31405886023156859</td>
+  <td align="right"> 3.15E-11</td>
+ </tr>
+ <tr>
+  <td>1.845</td>
+  <td>0.3176355846</td>
+  <td>0.31763558459703256</td>
+  <td align="right"> -2.96E-12</td>
+ </tr>
+ <tr>
+  <td>1.850</td>
+  <td>0.3211999895</td>
+  <td>0.32119998954547946</td>
+  <td align="right"> 4.54E-11</td>
+ </tr>
+ <tr>
+  <td>1.855</td>
+  <td>0.3247521572</td>
+  <td>0.32475215724997797</td>
+  <td align="right"> 4.99E-11</td>
+ </tr>
+ <tr>
+  <td>1.860</td>
+  <td>0.3282921691</td>
+  <td>0.32829216908382075</td>
+  <td align="right"> -1.61E-11</td>
+ </tr>
+ <tr>
+  <td>1.865</td>
+  <td>0.3318201056</td>
+  <td>0.33182010563065989</td>
+  <td align="right"> 3.06E-11</td>
+ </tr>
+ <tr>
+  <td>1.870</td>
+  <td>0.3353360467</td>
+  <td>0.33533604669448569</td>
+  <td align="right"> -5.51E-12</td>
+ </tr>
+ <tr>
+  <td>1.875</td>
+  <td>0.3388400713</td>
+  <td>0.33884007130944738</td>
+  <td align="right"> 9.44E-12</td>
+ </tr>
+ <tr>
+  <td>1.880</td>
+  <td>0.3423322577</td>
+  <td>0.34233225774952925</td>
+  <td align="right"> 4.95E-11</td>
+ </tr>
+ <tr>
+  <td>1.885</td>
+  <td>0.3458126835</td>
+  <td>0.34581268353806771</td>
+  <td align="right"> 3.80E-11</td>
+ </tr>
+ <tr>
+  <td>1.890</td>
+  <td>0.3492814255</td>
+  <td>0.34928142545713492</td>
+  <td align="right"> -4.28E-11</td>
+ </tr>
+ <tr>
+  <td>1.895</td>
+  <td>0.3527385596</td>
+  <td>0.35273855955676792</td>
+  <td align="right"> -4.32E-11</td>
+ </tr>
+ <tr>
+  <td>1.900</td>
+  <td>0.3561841612</td>
+  <td>0.35618416116406026</td>
+  <td align="right"> -3.59E-11</td>
+ </tr>
+ <tr>
+  <td>1.905</td>
+  <td>0.3596183049</td>
+  <td>0.35961830489211799</td>
+  <td align="right"> -7.88E-12</td>
+ </tr>
+ <tr>
+  <td>1.910</td>
+  <td>0.3630410646</td>
+  <td>0.36304106464888108</td>
+  <td align="right"> 4.88E-11</td>
+ </tr>
+ <tr>
+  <td>1.915</td>
+  <td>0.3664525136</td>
+  <td>0.36645251364580167</td>
+  <td align="right"> 4.58E-11</td>
+ </tr>
+ <tr>
+  <td>1.920</td>
+  <td>0.3698527244</td>
+  <td>0.36985272440640171</td>
+  <td align="right"> 6.40E-12</td>
+ </tr>
+ <tr>
+  <td>1.925</td>
+  <td>0.3732417688</td>
+  <td>0.37324176877469795</td>
+  <td align="right"> -2.53E-11</td>
+ </tr>
+ <tr>
+  <td>1.930</td>
+  <td>0.3766197179</td>
+  <td>0.37661971792349891</td>
+  <td align="right"> 2.34E-11</td>
+ </tr>
+ <tr>
+  <td>1.935</td>
+  <td>0.3799866424</td>
+  <td>0.37998664236258128</td>
+  <td align="right"> -3.74E-11</td>
+ </tr>
+ <tr>
+  <td>1.940</td>
+  <td>0.3833426119</td>
+  <td>0.38334261194674013</td>
+  <td align="right"> 4.67E-11</td>
+ </tr>
+ <tr>
+  <td>1.945</td>
+  <td>0.3866876959</td>
+  <td>0.38668769588372298</td>
+  <td align="right"> -1.62E-11</td>
+ </tr>
+ <tr>
+  <td>1.950</td>
+  <td>0.3900219627</td>
+  <td>0.39002196274204304</td>
+  <td align="right"> 4.20E-11</td>
+ </tr>
+ <tr>
+  <td>1.955</td>
+  <td>0.3933454805</td>
+  <td>0.39334548045868012</td>
+  <td align="right"> -4.13E-11</td>
+ </tr>
+ <tr>
+  <td>1.960</td>
+  <td>0.3966583163</td>
+  <td>0.39665831634666171</td>
+  <td align="right"> 4.66E-11</td>
+ </tr>
+ <tr>
+  <td>1.965</td>
+  <td>0.3999605371</td>
+  <td>0.39996053710254509</td>
+  <td align="right"> 2.54E-12</td>
+ </tr>
+ <tr>
+  <td>1.970</td>
+  <td>0.4032522088</td>
+  <td>0.40325220881377177</td>
+  <td align="right"> 1.37E-11</td>
+ </tr>
+ <tr>
+  <td>1.975</td>
+  <td>0.4065333970</td>
+  <td>0.40653339696592627</td>
+  <td align="right"> -3.40E-11</td>
+ </tr>
+ <tr>
+  <td>1.980</td>
+  <td>0.4098041664</td>
+  <td>0.40980416644989071</td>
+  <td align="right"> 4.98E-11</td>
+ </tr>
+ <tr>
+  <td>1.985</td>
+  <td>0.4130645816</td>
+  <td>0.41306458156888626</td>
+  <td align="right"> -3.11E-11</td>
+ </tr>
+ <tr>
+  <td>1.990</td>
+  <td>0.4163147060</td>
+  <td>0.41631470604541487</td>
+  <td align="right"> 4.54E-11</td>
+ </tr>
+ <tr>
+  <td>1.995</td>
+  <td>0.4195546030</td>
+  <td>0.41955460302810832</td>
+  <td align="right"> 2.81E-11</td>
+ </tr>
+ <tr>
+  <td>2.000</td>
+  <td>0.4227843351</td>
+  <td>0.42278433509846725</td>
+  <td align="right"> -1.53E-12</td>
+ </tr>
+</table>
+<<page foot>>
+@
+
+\subsection{draw.xhtml}
+<<draw.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+      What would you like to draw?
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <center>
+      <b>Two Dimensional Plots</b>
+     </center>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="draw2donevariable.xhtml">
+      A function of one variable
+     </a>
+    </td>
+    <td> 
+     y = f(x)
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="draw2ddefinedcurve.xhtml">
+      A parametrically defined curve
+     </a>
+    </td>
+    <td>
+     (x(t), y(t))
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="draw2dpolynomialequation.xhtml">
+      A solution to a polynomial equation
+     </a>
+    </td>
+    <td>
+     p(x,y) = 0
+    </td>
+   </tr>
+   <tr>
+    <td>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <center>
+      <b>Three Dimensional Plots</b>
+     </center>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="draw3dtwovariable.xhtml">
+      A function of two variable
+     </a>
+    </td>
+    <td>
+     y = f(x,y)
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="draw3ddefinedtube.xhtml">
+      A parametrically defined tube
+     </a>
+    </td>
+    <td>
+     (x(t), y(t), z(t))
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="draw3ddefinedsurface.xhtml">
+      A parametrically defined surface
+     </a>
+    </td>
+    <td>
+     (x(u,v), y(u,v), z(u,v))
+    </td>
+   </tr>
+   <tr>
+    <td>
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{draw2donevariable.xhtml}
+<<draw2donevariable.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc = document.getElementById('function').value;
+    myvar = document.getElementById('var').value;
+    myfrom = document.getElementById('range1').value;
+    myto = document.getElementById('range2').value;
+    mytitle = document.getElementById('title1').value;
+    if (mytitle == "") {
+     ans = 'draw('+myfunc+','+myvar+'='+myfrom+'..'+myto+')';
+    } else {
+     ans = 
+      'draw('+myfunc+','+myvar+'='+myfrom+'..'+myto+',title=="'+mytitle+'")';
+    }
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+ <center>
+  Drawing y=f(x)<br/>
+  where y is the dependent variable and<br/>
+  where x is the independent variable
+ </center>
+  <table>
+   <tr>
+    <td>
+      What function f would you like to draw?
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <input type="text" id="function" size="80" tabindex="10"
+       value="x*cos(x)"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter independent variable and range:<br/>
+     Variable:
+     <input type="text" id="var" size="10" tabindex="30" value="x"/>
+     ranges from:
+     <input type="text" id="range1" size="10" tabindex="40" value="0"/>
+     to:
+     <input type="text" id="range2" size="10" tabindex="45" value="30"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Optionally enter a title for your curve:
+     <input type="text" id="title1" size="20" tabindex="50"
+       value="y=x*cos(x)"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{draw2ddefinedcurve.xhtml}
+<<draw2ddefinedcurve.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc1 = document.getElementById('function1').value;
+    myfunc2 = document.getElementById('function2').value;
+    myvar = document.getElementById('var').value;
+    myfrom = document.getElementById('range1').value;
+    myto = document.getElementById('range2').value;
+    mytitle = document.getElementById('title1').value;
+    if (mytitle == "") {
+     ans=
+      'draw(curve('+myfunc1+','+myfunc2+'),'+myvar+'='+myfrom+'..'+myto+')';
+    } else {
+     ans = 
+      'draw(curve('+myfunc1+','+myfunc2+'),'+myvar+'='+myfrom+'..'+myto+
+            ',title=="'+mytitle+'")';
+    }
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+ <center>
+  Drawing a parametrically defined curve<br/>
+  (f1(t),f2(t))<br/>
+  in terms of two functions f1 and f2<br/>
+  and an independent variable t
+ </center>
+  <table>
+   <tr>
+    <td>
+     Enter the two functions:<br/>
+     Function 1:<br/>
+     <input type="text" id="function1" size="80" tabindex="10"
+       value="-9*sin(4*t/5)"/><br/>
+     Function 2:<br/>
+     <input type="text" id="function2" size="80" tabindex="20"
+       value="8*sin(t)"/><br/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+    Enter the independent variable and range:<br/>
+    Variable: 
+     <input type="text" id="var" size="10" tabindex="30" value="t"/>
+     ranges from:
+     <input type="text" id="range1" size="10" tabindex="40" value="-5*%pi"/>
+     to:
+     <input type="text" id="range2" size="10" tabindex="45" value="5*%pi"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Optionally enter a title for your curve:
+     <input type="text" id="title1" size="20" tabindex="50"
+       value="Lissajous"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{draw2dpolynomialequation.xhtml}
+<<draw2dpolynomialequation.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc = document.getElementById('function1').value;
+    myvar1 = document.getElementById('var1').value;
+    myfrom1 = document.getElementById('range11').value;
+    myto1 = document.getElementById('range21').value;
+    myvar2 = document.getElementById('var2').value;
+    myfrom2 = document.getElementById('range12').value;
+    myto2 = document.getElementById('range22').value;
+    mytitle = document.getElementById('title1').value;
+    if (mytitle == "") {
+     ans=
+      'draw('+myfunc+'=0,'+myvar1+','+myvar2+',range==['+
+            myfrom1+'..'+myto1+','+myfrom2+'..'+myto2+'])';
+    } else {
+     ans=
+      'draw('+myfunc+'=0,'+myvar1+','+myvar2+',range==['+
+         myfrom1+'..'+myto1+','+myfrom2+'..'+myto2+'],title=="'+mytitle+'")';
+    }
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+ <center>
+  Plotting the solution to p(x,y)=0, where<br/>
+  p is a polynomial in two variables x and y
+ </center>
+  <table>
+   <tr>
+    <td>
+     Enter the polynomial p:<br/>
+     <input type="text" id="function1" size="80" tabindex="10"
+       value="y^2+7*x*y-(x^3+16*x)"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+    Enter the variables:<br/>
+    Variable 1: 
+     <input type="text" id="var1" size="10" tabindex="30" value="x"/>
+     ranges from:
+     <input type="text" id="range11" size="10" tabindex="40" value="-15"/>
+     to:
+     <input type="text" id="range21" size="10" tabindex="45" value="10"/><br/>
+    Variable 2: 
+     <input type="text" id="var2" size="10" tabindex="46" value="y"/>
+     ranges from:
+     <input type="text" id="range12" size="10" tabindex="47" value="-10"/>
+     to:
+     <input type="text" id="range22" size="10" tabindex="48" value="50"/><br/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Optionally enter a title for your curve:
+     <input type="text" id="title1" size="20" tabindex="50"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{draw3dtwovariable.xhtml}
+<<draw3dtwovariable.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc = document.getElementById('function1').value;
+    myvar1 = document.getElementById('var1').value;
+    myfrom1 = document.getElementById('range11').value;
+    myto1 = document.getElementById('range21').value;
+    myvar2 = document.getElementById('var2').value;
+    myfrom2 = document.getElementById('range12').value;
+    myto2 = document.getElementById('range22').value;
+    mytitle = document.getElementById('title1').value;
+    if (mytitle == "") {
+     ans=
+      'draw('+myfunc+','+myvar1+'='+myfrom1+'..'+myto1+','+
+                         myvar2+'='+myfrom2+'..'+myto2+')';
+    } else {
+     ans=
+      'draw('+myfunc+','+myvar1+'='+myfrom1+'..'+myto1+','+
+                         myvar2+'='+myfrom2+'..'+myto2+
+                         ',title=="'+mytitle+'")';
+    }
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+ <center>
+  Drawing z=f(x,y)<br/>
+  where z is the dependent variable and<br/>
+  where x, y are the independent variables
+ </center>
+  <table>
+   <tr>
+    <td>
+     What function f which you like to draw?<br/>
+     <input type="text" id="function1" size="80" tabindex="10"
+       value="exp(cos(x-y)-sin(x*y))-2"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+    Enter the independent variables and ranges:<br/>
+    Variable 1: 
+     <input type="text" id="var1" size="10" tabindex="30" value="x"/>
+     ranges from:
+     <input type="text" id="range11" size="10" tabindex="40" value="-5"/>
+     to:
+     <input type="text" id="range21" size="10" tabindex="45" value="5"/><br/>
+    Variable 2: 
+     <input type="text" id="var2" size="10" tabindex="46" value="y"/>
+     ranges from:
+     <input type="text" id="range12" size="10" tabindex="47" value="-5"/>
+     to:
+     <input type="text" id="range22" size="10" tabindex="48" value="5"/><br/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Optionally enter a title for your curve:
+     <input type="text" id="title1" size="20" tabindex="50"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{draw3ddefinedtube.xhtml}
+<<draw3ddefinedtube.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc1 = document.getElementById('function1').value;
+    myfunc2 = document.getElementById('function2').value;
+    myfunc3 = document.getElementById('function3').value;
+    myvar1 = document.getElementById('var1').value;
+    myfrom1 = document.getElementById('range1').value;
+    myto1 = document.getElementById('range2').value;
+    mytitle = document.getElementById('title1').value;
+    if (mytitle == "") {
+     ans=
+      'draw(curve('+myfunc1+','+myfunc2+','+myfunc3+'),'+myvar1+'='+
+        myfrom1+'..'+myto1+',tubeRadius==.25,tubePoints==16)';
+    } else {
+     ans=
+      'draw(curve('+myfunc1+','+myfunc2+','+myfunc3+'),'+myvar1+'='+
+        myfrom1+'..'+myto1+',tubeRadius==.25,tubePoints==16,title=="'+
+        mytitle+'")';
+    }
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+ <center>
+  Drawing a parmetrically defined curve: (f1(t), f2(t), f3(t))<br/>
+  in terms of three functions f1, f2, and f3<br/>
+  and an independent variable t
+ </center>
+  <table>
+   <tr>
+    <td>
+     Enter the three functions of the independent variable:<br/>
+     Function f1: 
+     <input type="text" id="function1" size="70" tabindex="10"
+       value="1.3*cos(2*t)*cos(4*t)+sin(4*t)*cos(t)"/><br/>
+     Function f2: 
+     <input type="text" id="function2" size="70" tabindex="20"
+       value="1.3*sin(2*t)*cos(4*t)-sin(4*t)*sin(t)"/><br/>
+     Function f3: 
+     <input type="text" id="function3" size="70" tabindex="30"
+       value="2.5*cos(4*t)"/><br/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+    Enter the independent variable and range:<br/>
+    Variable: 
+     <input type="text" id="var1" size="10" tabindex="40" value="t"/>
+     ranges from:
+     <input type="text" id="range1" size="10" tabindex="50" value="0"/>
+     to:
+     <input type="text" id="range2" size="10" tabindex="60" value="4*%pi"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Optionally enter a title for your surface:
+     <input type="text" id="title1" size="20" tabindex="70" value="knot"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{draw3ddefinedsurface.xhtml}
+<<draw3ddefinedsurface.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc1 = document.getElementById('function1').value;
+    myfunc2 = document.getElementById('function2').value;
+    myfunc3 = document.getElementById('function3').value;
+    myvar1 = document.getElementById('var1').value;
+    myfrom1 = document.getElementById('range1').value;
+    myto1 = document.getElementById('range2').value;
+    myvar2 = document.getElementById('var11').value;
+    myfrom2 = document.getElementById('range11').value;
+    myto2 = document.getElementById('range21').value;
+    mytitle = document.getElementById('title1').value;
+    if (mytitle == "") {
+     ans=
+      'draw(surface('+myfunc1+','+myfunc2+','+myfunc3+'),'+
+        myvar1+'='+myfrom1+'..'+myto1+','+
+        myvar2+'='+myfrom2+'..'+myto2+')';
+    } else {
+     ans=
+      'draw(surface('+myfunc1+','+myfunc2+','+myfunc3+'),'+
+        myvar1+'='+myfrom1+'..'+myto1+','+
+        myvar2+'='+myfrom2+'..'+myto2+',title=="'+mytitle+'")';
+    }
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+ <center>
+  Drawing a parametrically defined surface<br/>
+  (f1(u,v), f2(u,v), f3(u,v))<br/>
+  in terms of three functions f1, f2, and f3<br/>
+  and two independent variables u and v
+ </center>
+  <table>
+   <tr>
+    <td>
+     Enter the three functions of the independent variable:<br/>
+     Function f1: 
+     <input type="text" id="function1" size="70" tabindex="10"
+       value="u*sin(v)"/><br/>
+     Function f2: 
+     <input type="text" id="function2" size="70" tabindex="20"
+       value="v*cos(u)"/><br/>
+     Function f3: 
+     <input type="text" id="function3" size="70" tabindex="30"
+       value="u*cos(v)"/><br/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+    Enter the independent variables and range:<br/>
+    Variable 1: 
+     <input type="text" id="var1" size="10" tabindex="40" value="u"/>
+     ranges from:
+     <input type="text" id="range1" size="10" tabindex="50" value="-%pi"/>
+     to:
+     <input type="text" id="range2" size="10" tabindex="60" value="%pi"/>
+    <br/>
+    Variable 2: 
+     <input type="text" id="var11" size="10" tabindex="70" value="v"/>
+     ranges from:
+     <input type="text" id="range11" size="10" tabindex="80" value="-%pi/2"/>
+     to:
+     <input type="text" id="range21" size="10" tabindex="90" value="%pi/2"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Optionally enter a title for your surface:
+     <input type="text" id="title1" size="20" tabindex="100"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+%%E
+\subsection{equdifferential.xhtml}
+<<equdifferential.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Solution of Differential Equations</div>
+  <hr/>
+In this section we discuss Axiom's facilities for solving differential 
+equations in closed-form and in series.
+
+Axiom provides facilities for closed-form solution of single differential
+equations of the following kinds:
+<ul>
+ <li>linear ordinary differential equations
+ </li>
+ <li>non-linear first order ordinary differential equations when integrating
+     factors can be found just by integration
+ </li>
+</ul>
+
+For a discussion of the solution of systems of linear and polynomial 
+equations, see <a href="axbook/section-8.5.xhtml">Solution of Linear
+and Polynomial Equations</a>.
+<ul>
+ <li>
+  <a href="equdifferentiallinear.xhtml">
+   Closed-Form Solutions of Linear Differential Equations
+  </a>
+ </li>
+ <li>
+  <a href="equdifferentialnonlinear.xhtml">
+   Closed-Form Solutions of Non-Linear Differential Equations
+  </a>
+ </li>
+ <li>
+  <a href="equdifferentialpowerseries.xhtml">
+   Power Series Solutions of Differential Equations
+  </a>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{equdifferentiallinear.xhtml}
+<<equdifferentiallinear.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">
+   Closed-Form Solutions of Linear Differential Equations
+  </div>
+  <hr/>
+A differential equation is an equation involving an unknown function and
+one or more of its derivatives. The equation is called ordinary if 
+derivatives with respect to only one dependent variable appear in the
+equation (it is called partial otherwise). The package
+<a href="db.xhtml?ElementaryFunctionODESolver">ElementaryFunctionODESolver</a>
+provides the top-level operation
+<a href="dbopsolve.xhtml">solve</a> for finding closed-form solutions of
+ordinary differential equations.
+
+To solve a differential equation, you must first create an operator for the
+unknown function. We let y be the unknown function in terms of x.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="y:=operator 'y" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You then type the equation using <a href="dbopd.xhtml">D</a> to create the
+derivatives of the unknown function y(x) where x is any symbol you choose
+(the so-called dependent variable). This is how you enter the equation
+<pre>
+    y'' + y' + y = 0
+</pre>
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="deq:=D(y x,x,2)+D(y x,x)+y x=0" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The simplest way to invoke the <a href="dbopsolve.xhtml">solve</a> command
+is with three arguments, 
+<ul>
+ <li>the differential equation</li>
+ <li>the operator representing the unknown function</li>
+ <li>the dependent variable</li>
+</ul>
+So, to solve the above equation, we enter this.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="solve(deq,y,x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Since linear ordinary differential equations have infinitely many solutions,
+<a href="dbopsolve.xhtml">solve</a> returns a particular solution f_p and
+a basis f1,..fn for the solutions of the corresponding homogeneous equation.
+Any expression of the form fp+c1 f1+...+cn fn where the ci do not involve the
+dependent variable is also a solution. This is similar to what you get when
+you solve systems of linear algebraic equations.
+
+A way to select a unique solution is to specify initial conditions: choose a
+value a for the dependent variable and specify the values of the unknown
+function and its derivatives at a. If the number of initial conditions is
+equal to the order of the equation, then the solution is unique (if it exists
+in closed form) and <a href="dbopsolve.xhtml">solve</a> tries to find it. To
+specify initial conditions to <a href="dbopsolve.xhtml">solve</a>, use an
+<a href="db.xhtml?Equation">Equation</a> of the form x=a for the third
+parameter instead of the dependent variable, and add a fourth parameter
+consisting of the list of values y(a), y'(a), ...
+
+To find the solution of y''+y=0 satisfying y(0)=y'(0)=1, do this.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="deq:=D(y x,x,2)+y x" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You can omit the "=0" when you enter the equation to be solved.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p4','p5']);"
+    value="solve(deq,y,x=0,[1,1])" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Axiom is not limited to linear differential equations with constant
+coefficients. It can also find solutions when the coefficients are
+rational or algebraic functions of the dependent variable. Furthermore,
+Axiom is not limited by the order of the equation. Axiom can solve the
+following thrid order equations with polynomial coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p6']);"
+    value="deq:=x^3*D(y x,x,3)+x^2*D(y x,x,2)-2*x*D(y x,x)+2*yx=2*x^4" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p6','p7']);"
+    value="solve(deq,y,x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+On the other hand, and in contrast with the operation
+<a href="dbopintegrate.xhtml">integrate</a> it can happen that Axiom finds
+no solution and that some closed-form solution still exists. While it is
+mathematically complicated to describe exactly when the solutions are
+guaranteed to be found, the following statements are correct and form
+good guidelines for linear ordinary differential equations.
+<ul>
+ <li>If the coefficients are constants, Axiom finds a complete basis of
+     solutions (i.e. all solutions).
+ </li>
+ <li>If the coefficients are rational functions in the dependent variable,
+     Axiom ast least finds all solutions that do not involve algebraic
+     functions.
+ </li>
+</ul>
+Note that this last statement does not mean that Axiom does not find the
+solutions that are algebraic functions. It means that it is not guaranteed
+that the algebraic function solutions will be found. This is an example
+where all the algebraic solutions are found.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p8']);"
+    value="deq:=(x^2+1)*D(y x,x,2)+3*x*D(y x,x)+y x=0" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p8','p9']);"
+    value="solve(deq,y,x)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+
+<<page foot>>
+@
+
+\subsection{equdifferentialnonlinear.xhtml}
+<<equdifferentialnonlinear.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">
+   Closed-Form Solutions of Non-Linear Differential Equations
+  </div>
+  <hr/>
+This is an example that shows how to solve a non-linear first order 
+ordinary differential equation manually when an integrating factor can
+be found just by integration. At the end, we show you how to solve it
+directly.
+
+Let's solve the differential equation
+<pre>
+  y' = y/(x + y log y)
+</pre>
+Using the notation
+<pre>
+  m(x,y)+n(x,y)y' = 0
+</pre>
+we have m=-y and n=x+y*log y
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="m:=-y" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="n:=x+y*log y" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+We first check for exactness, that is, does dm/dy=dn/dx?
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="D(m,y)-D(n,x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+This is not zero, so the equation is not exact. Therefore we must look
+for an integrating factor, that is, a function mu(x,y) such that 
+d(mu m)/dy=d(mu n)/dx. Normally, we first search for mu(x,y) depending only
+on x or only on y. Let's search for such a mu(x) first.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="mu:=operator 'mu" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p5']);"
+    value="a:=D(mu(x)*m,y)-D(mu(x)*n,x)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+If the above is zero for a function mu that does not depend on y, then
+mu(x) is an integrating factor.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p5','p6']);"
+    value="solve(a=0,mu,x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The solution depends on y, so there is no integrating factor that depends
+on x only. Let's look for on that depends on y only.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p7']);"
+    value="b:=D(mu(y)*m,y)-D(mu(y)*n,x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p7','p8']);"
+    value="sb:=solve(b=0,mu,y)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+We've found one. The above mu(y) is an integrating factor. We must multiply
+our initial equation (that is, m and n) by the integrating factor.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p7','p8','p9']);"
+    value="intFactor:=sb.basis.1" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p7','p8','p9','p10']);"
+    value="m:=intFactor*m" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p7','p8','p9','p11']);"
+    value="n:=intFactor*n" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+Let's check for exactness.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p7','p8','p9','p10','p11','p12']);"
+    value="D(m,y)-D(n,x)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+We must solve the exact equation, that is, find a function s(x,y) such that
+ds/dx=m and ds/dy=n. We start by writing 
+<pre>
+  s(x,y) = h(y) + integrate(m,x)
+</pre>
+where h(y) is an unknown function of y. This guarantees that ds/dx=m.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="h:=operator 'h" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p1','p2','p4','p7','p8','p9','p10','p13','p14']);"
+    value="sol:=h y+integrate(m,x)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+All we want is to find h(y) such that ds/dy=n.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick=
+     "handleFree(['p1','p2','p4','p7','p8','p9','p10','p13','p14','p15']);"
+    value="dsol:=D(sol,y)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick=
+   "handleFree(['p1','p2','p4','p7','p8','p9','p10','p13','p14','p15','p16']);"
+    value="nsol:=solve(dsol=n,h,y)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+The above particular solution is the h(y) we want, so we just replace h(y)
+by it in the implicit solution.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick=
+"handleFree(['p1','p2','p4','p7','p8','p9','p10','p13','p14','p15','p16','p17']);"
+    value="eval(sol,h y=nsol.particular)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+A first integral of the initial equation is obtained by setting this result
+equal to an arbitrary constant.
+
+Now that we've seen how to solve the equation "by hand" we show you how to 
+do it with the <a href="dbopsolve.xhtml">solve</a> operation. First define
+y to be an operator.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="y:=operator 'y" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+Next we create the differential equation.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p18','p19']);"
+    value="deq:=D(y x,x)=y(x)/(x+y(x)*log y x)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+Finally, we solve it.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p18','p19','p20']);"
+    value="solve(deq,y,x)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{equdifferentialpowerseries.xhtml}
+<<equdifferentialpowerseries.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">
+   Power Series Solutions of Differential Equations
+  </div>
+  <hr/>
+The command to solve differential equations in power series around a
+particular initial point with specific initial conditions is called
+<a href="dbopseriessolve.xhtml">seriesSolve</a>. It can take a variety of
+parameters, so we illustrate its use with some examples.
+
+Since the coefficients of some solutions are quite large, we reset the
+default to compute only seven terms.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="noresult" 
+    onclick="makeRequest('p1');"
+    value=")set streams calculate 7" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You can solve a single nonlinear equation of any order. For example, we 
+solve
+<pre>
+  y''' = sin(y'') * exp(y) + cos(x)
+</pre>
+subject to y(0)=1, y'(0)=0, y''(0)=0
+
+We first tell Axiom that the symbol 'y denotes a new operator.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="y:=operator 'y" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Enter the differential equation using y like any system function.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="eq:=D(y(x),x,3)-sin(D(y(x),x,2))*exp(y(x))=cos(x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Solve it around x=0 with the initial conditions y(0)=1, y'(0)=y''(0)=0.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4']);"
+    value="seriesSolve(eq,y,x=0,[1,0,0])" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You can also solve a system of nonlinear first order equations. For 
+example, we solve a system that has tan(t) and sec(t) as solutions.
+
+We tell Axiom that x is also an operator.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="x:=operator 'x" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Enter the two equations forming our system.
+<ul>
+ <li> <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p5','p6']);"
+    value="eq1:=D(x(t),t)=1+x(t)^2" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p2','p5','p7']);"
+    value="eq2:=D(y(t),t)=x(t)*y(t)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Solve the system around t=0 with the initial conditions x(0)=0 and y(0)=1.
+Notice that since we give the unknowns in the order [x,y], the answer is a
+list of two series in the order [series for x(t), series for y(t)].
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p6','p7','p8']);"
+    value="seriesSolve([eq2,eq1],[x,y],t=0,[y(0)=1,x(0)=0])" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+The order in which we give the equations and the initial conditions has no
+effect on the order of the solution.
+<<page foot>>
+@
+
+\subsection{equationpage.xhtml}
+<<equationpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+Axiom lets you solve equations of various types:
+  <table>
+   <tr>
+    <td>
+     <a href="equsystemlinear.xhtml">
+      Solution of Systems of Linear Equations
+     </a>
+    </td>
+    <td>
+     Solve systems of linear equations
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="polyroots3.xhtml">
+      Solution of a Single Polynomial Equation
+     </a>
+    </td>
+    <td>
+     Find roots of polynomials
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="polyroots4.xhtml">
+      Solution of a System of Polynomial Equations
+     </a>
+    </td>
+    <td>
+     Solve systems of polynomial equations
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="equdifferential.xhtml">
+      Solution of Differential Equations
+     </a>
+    </td>
+    <td>
+     Closed form and series solutions of differential equations
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{equsystemlinear.xhtml}
+<<equsystemlinear.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Solution of Systems of Linear Equations</div>
+  <hr/>
+You can use the operation <a href="dbopsolve.xhtml">solve</a> to solve
+systems of linear equations.
+
+The operation <a href="dbopsolve.xhtml">solve</a> takes two arguments, the
+list of equations and the list of the unknowns to be solved for. A system
+of linear equations need not have a unique solution.
+
+To solve the linear system:
+<pre>
+        x + y + x = 8
+    3*x - 2*y + z = 0
+    x + 2*y + 2*z = 17
+</pre>
+evaluate this expression.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="solve([x+y+x=8,3*x-2*y+z=0,x+2*y+2*z=17],[x,y,z])" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Parameters are given as new variables starting with a percent sign and
+"%" and the variables are expressed in terms of the parameters. If the system
+has no solutions then the empty list is returned.
+
+When you solve the linear system
+<pre>
+      x + 2*y + 3*z = 2
+    2*x + 3*y + 4*z = 2
+    3*x + 4*y + 5*z = 2
+</pre>
+with this expression you get a solution involving a parameter.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="solve([x+2*y+3*z=2,2*x+3*y+4*z=2,3*x+4*y+5*z=2],[x,y,z])" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The system can also be presented as a matrix and a vector. The matrix 
+contains the coefficients of the linear equations and the vector contains
+the numbers appearing on the right-hand sides of the equations. You may 
+input the matrix as a list of rows and the vector as a list of its elements.
+
+To solve the system:
+<pre>
+       x + y + z = 8
+   2*x - 2*y + z = 0
+   x + 2*y + 2*z = 17
+</pre>
+in matrix form you would evaluate this expression.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="solve([[1,1,1],[3,-2,1],[1,2,2]],[8,0,17])" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The solutions are presented as a Record with two components: the component
+particular contains a particular solution of the given system or the item
+"failed" if there are no solutions, the component basis contains a list of
+vectors that are a basis for the space of solutions of the corresponding
+homogeneous system. If the system of linear equations does not have a unique
+solution, then the basis component contains non-trivial vectors.
+
+This happens when you solve the linear system
+<pre>
+    x + 2*y + 3*z = 2
+  2*x + 3*y + 4*z = 2
+  3*x + 4*y + 5*z = 2
+</pre>
+with this command.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="solve([[1,2,3],[2,3,4],[3,4,5]],[2,2,2])" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+All solutions of this system are obtained by adding the particular solution
+with a linear combination of the basis vectors.
+
+When no solution exists then "failed" is returned as the particular 
+component, as follows:
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="solve([[1,2,3],[2,3,4],[3,4,5]],[2,3,2])" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+When you want to solve a system of homogeneous equations (that is, a system
+where the numbers on the right-hand sides of the equations are all zero)
+in the matrix form you can omit the second argument and use the 
+<a href="dbopnullspace.xhtml">nullSpace</a> operation.
+
+This computes the solutions of the following system of equations:
+<pre>
+    x + 2*y + 3*z = 0
+  2*x + 3*y + 4*z = 0
+  3*x + 4*y + 5*z = 0
+</pre>
+The result is given as a list of vectors and these vectors form a basis for
+the solution space.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="nullSpace([[1,2,3],[2,3,4],[3,4,5]])" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+
+<<page foot>>
+@
+
+\subsection{examplesexposedpage.xhtml}
+<<examplesexposedpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      examplesexposedpage not implemented
+<<page foot>>
+@
+
+
+%%F
+\subsection{factored.xhtml}
+<<factored.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+factored not implemented
+<<page foot>>
+@
+
+\subsection{foundationlibrarydocpage.xhtml}
+<<foundationlibrarydocpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      foundationlibrarydocpage not implemented
+<<page foot>>
+@
+
+\subsection{funalgebraicfunctions.xhtml}
+<<funalgebraicfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Algebraic Functions</div>
+  <hr/>
+Algebraic functions are functions defined by algebraic equations. There are
+two ways of constructing them, either by using rational powers or implicitly.
+For rational powers, use <a href="dbopstarstar.xhtml">**</a> or the system
+functions <a href="dbopsqrt.xhtml">sqrt</a> and 
+<a href="dbopnthroot.xhtml">nthRoot</a> for square and nth roots.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="f:=sqrt(1+x^(1/3))" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+To define an algebraic function implicitly use 
+<a href="dboprootof.xhtml">rootOf</a>. The following line defines a function
+y of x satisfying the equation 
+<pre>
+  y^3 = x*y-y^2-x^3+1
+</pre>
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="y:=rootOf(y^3+y^2-x*y+x^3-1,y)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+You can manipulate, differentiate or integrate an implicitly defined
+algebraic function like any other Axiom function.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="differentiate(y,x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Higher powers of algebraic functions are automatically reduced during
+calculations.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="(y+1)^3" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+But denominators are not automatically rationalized.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="g:=inv f" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopratdenom.xhtml">ratDenom</a> to remove the algebraic
+quantities from the denominator.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p5','p6']);"
+    value="ratDenom g" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{funelementaryfunctions.xhtml}
+<<funelementaryfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Elementary Functions</div>
+  <hr/>
+Axiom has most of the usual functions from calculus built-in.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="f:=x*log y * sin(1/(x+y))" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You can substitute values or another elementary function for variables
+with the function eval.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="eval(f,[x=y,y=x])" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+As you can see, the substitutions are made "in parallel" as in the case
+of polynomials. It's also possible to substitute expressions for kernels
+instead of variables.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="eval(f,log y = acosh(x+sqrt y))" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{funoperatoralgebra.xhtml}
+<<funoperatoralgebra.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Operator</div>
+  <hr/>
+Given any ring R, the ring of the <a href="db.xhtml?Integer">Integer</a>
+linear operators over R is called <a href="db.xhtml?Operator">Operator(R)</a>.
+To create an operator over R, first create a basic operator using the
+operation <a href="dbopoperator.xhtml">operator</a>, and then convert it
+to <a href="db.xhtml?Operator">Operator(R)</a> for the R you want. We choose R
+to be the two by two matrices over the integers.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="R:=SQMATRIX(2,INT)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Create the operator tilde on R
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value='t:=operator("tilde")::OP(R)' />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Since  <a href="db.xhtml?Operator">Operator</a> is unexposed we must either
+package-call operations from it, or expose it explicitly. For convenience
+we will do the latter.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value=")set expose add constructor Operator" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+To attach an evaluation function (from R to R) to an operator over R, use
+evaluate(op,f) where op is an operator over R and f is a function R->R.
+This needs to be done only once when the operator is defined. Note that f
+must be <a href="db.xhtml?Integer">Integer</a> linear (that is, 
+<pre>
+  f(ax+y) = a f(x) + f(y)
+</pre>
+for any integer a and any x and y in R). We now attach the transpose map
+to the above operator t.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4']);"
+    value="evaluate(t,m+->transpose m)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Operators can be manipulated formally as in any ring: 
+<a href="dbopplus.xhtml">+</a> is the pointwise addition and 
+<a href="dbopstar.xhtml">*</a> is composition. Any element x of R can
+be converted to an operator op_x over R, and the evaluation function of
+op_x is left-multiplication by x. Multiplying on the left by this matrix
+swaps the two rows.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5']);"
+    value="s:R:=matrix [[0,1],[1,0]]" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Can you guess what is the action of the following operator?
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6']);"
+    value="rho:=t*s" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Hint: applying rho four times gives the identity, so rho^4-1
+should return 0 when applied to any two by two matrix.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7']);"
+    value="z:=rho^4-1" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Now check with this matrix
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p8']);"
+    value="m:R:=matrix [[1,2],[3,4]]" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p9']);"
+    value="z m" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+As you have probably guessed by now, rho acts on matrices by rotating
+the elements clockwise.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p8','p10']);"
+    value="rho m" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p8','p11']);"
+    value="rho rho m" />
+  <div id="ansp11"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p8','p12']);"
+    value="(rho**3) m" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+Do the swapping of rows and transposition commute? We can check by computing
+their bracket.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p8','p13']);"
+    value="b:=t*s-s*t" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+Now apply it to m.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p8','p13','p14']);"
+    value="b m" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+
+Next we demonstrate how to define a differential operator on a polynomial
+ring. This is the recursive definition of the nth Legendre polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="noresult" 
+    onclick="makeRequest('p15');"
+    value="L n==( n=0 => 1 ; n=1 => x ; (2*n-1)/n*x*L(n-1)-(n-1)/n*L(n-2) )" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+Create the differential operator d/dx on polynomials in x over the rational
+numbers.
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p16']);"
+    value='dx:=operator("D")::OP(POLY FRAC INT)' />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Now attach a map to it.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p16','p17']);"
+    value="evaluate(dx,p+->D(p,'x))" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+This is the differential equation satisfied by the nth Legendre polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="noresult" 
+    onclick="handleFree(['p1','p2','p3','p16','p17','p18']);"
+    value="E n == (1-x^2)*dx^2-2*x*dx+n*(n+1)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+Now we verify this for n=15. Here is the polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p15','p19']);"
+    value="L 15" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+Here is the operator.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p16','p17','p18','p20']);"
+    value="E 15" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+Here is the evaluation.
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick=
+ "handleFree(['p1','p2','p3','p15','p16','p17','p18','p19','p20','p21']);"
+    value="(E 15)(L 15)" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{functionpage.xhtml}
+<<functionpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Functions in Axiom</div>
+  <hr/>
+In Axiom, a function is an expression in one or more variables.
+(Think of it as a function of those variables.) You can also
+define a function by rules or use a built-in function. Axiom lets
+you convert expressions to compiled functions.
+  <table>
+   <tr>
+    <td>
+     <a href="funrationalfunctions.xhtml">Rational Functions</a>
+    </td>
+    <td>
+     Quotients of polynomials
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="funalgebraicfunctions.xhtml">Algebraic Functions</a>
+    </td>
+    <td>
+     Those defined by polynomial
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="funelementaryfunctions.xhtml">Elementary Functions</a>
+    </td>
+    <td>
+     The elementary functions of calculus
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="funsimplification.xhtml">Simplification</a>
+    </td>
+    <td>
+     How to simplify expressions
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="funpatternmatching.xhtml">Pattern Matching</a>
+    </td>
+    <td>
+     How to use the pattern matcher
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="funoperatoralgebra.xhtml">Operator Algebra</a>
+    </td>
+    <td>
+     The operator algebra facility
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{funpatternmatching.xhtml}
+<<funpatternmatching.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Rules and Pattern Matching</div>
+  <hr/>
+A common mathematical formula is 
+<pre>
+log(x)+log(y)==log(x*y)
+</pre>
+for any x and y. The presence of the word "any" indicates that x and y
+can stand for arbitrary mathematical expressions in the above formula. You
+can use such mathematical formulas in Axiom to specify "rewrite rules". 
+Rewrite rules are objects in Axiom that can be assigned to variables for
+later use, often for the purpose of simplification. Rewrite rules look like
+ordinary function definitions except that they are preceded by the reserved
+word rule. For example, a rewrite rule for the above formula is:
+<pre>
+  rule log(x) + log(y) == log(x * y)
+</pre>
+Like function definitions, no action is taken when a rewrite rule is issued.
+Think of rewrite rules as functions that take one argument. When a rewrite
+rule A=B is applied to an argument f, its meaning is "rewrite every
+subexpressions of f that matches A by B". The left-and side of a rewrite rule
+is called a <a href="glossarypage.xhtml#p38600">pattern</a>; 
+its right-hand side is
+called its <a href="glossarypage.xhtml#p49000">substitution</a>. 
+
+Create a rewrite rule named logrule. The generated symbol begins with a
+"%" and is a place holder for any other terms that might occur in the sum.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="logrule:=rule log(x)+log(y)==log(x*y)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Create an expression with logarithms.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="f:=log sin x + log x" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Apply logrule to f.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="logrule f" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The meaning of our example rewrite rule is "for all expressions x and y,
+rewrite log(x) and log(y) by log(x*y)". Patterns generally have both operation
+names 
+(here, <a href="dboplog.xhtml">log</a> and <a href="dbopplus.xhtml">+</a>)
+and variables (here, x and y). By default, every operation name stands for
+itself. The <a href="dboplog.xhtml">log</a> matches only "log" and not
+any other operation such as <a href="dbopsin.xhtml">sin</a>. On the other
+hand, variables do not stand for themselves. Rather, a variable denotes a
+<a href="glossarypage.xhtml#p39400">pattern variable</a> 
+that is free to match any expression whatsoever.
+
+When a rewrite rule is applied, a process called 
+<a href="glossarypage.xhtml#p38661">pattern matching</a> 
+goes to work by systematically 
+scanning the subexpressions of the argument. When a subexpression is found
+that "matches" the pattern, the subexpression is replaced by the right hand
+side of the rule. The details of what happens will be covered later.
+
+The customary Axiom notation for patterns is actually a shorthand for a
+longer, more general notation. Pattern variables can be made explicit
+by using a percent ("%") as the first character of the variable name. To
+say that a name stands for itself, you can prefix that name with a quote
+operator ("'"). Although the current Axiom parser does not let you quote
+an operation name, this more general notation gives you an alternative way
+of giving the same rewrite rule:
+<pre>
+  rule log(%x) + log(%y) == log(x*y)
+</pre>
+This longer notation gives you patterns that the standard notation won't
+handle. For example, the rule
+<pre>
+  rule %f(c * 'x) == c*%f(x)
+</pre>
+means "for all f and c, replace f(y) by c*f(x) when y is the product
+of c and the explicit variable x".
+
+Thus the pattern can have several adornments on the names that appear there.
+Normally, all of these adornments are dropped in the substitution on the
+right hand side. To summarize:
+<hr/>
+To enter a single rule in Axiom, use the following syntax:
+<pre>
+  rule lefthandside == righthandside
+</pre>
+The lefthandside is a pattern to be matched and the righthandside is its
+substitution. The rule is an object of type
+<a href="db.xhtml?RewriteRule">RewriteRule</a> that can be assigned to a
+variable and applied to expressions to transform them.
+<hr/>
+Rewrite rules can be collected into rulesets so that a set of rules can be
+applied at once. Here is another simplification rule for logarithms.
+<pre>
+  rule y*log(x) == log(x**y)
+</pre>
+for any x and y. If instead of giving a single rule following the reserved
+word rule you give a "pile" of rules, you create what is called a
+ruleset. Like rules, rulesets are objects in Axiom and can be assigned to
+variables. You will find it useful to group commonly used rules into
+input files, and read them in as needed. Create a ruleset named logrules.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="logrules:=rule (log(x)+log(y)==log(x*y) ; y*log(x)==log(x^y))" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Again, create an expression f containing logarithms.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="f:=a*log(sin x)-2*log x" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Apply the ruleset logrules to f.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p4','p5','p6']);"
+    value="logrules f" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+We have allowed pattern variables to match arbitrary expressions in the
+above examples. Often you want a variable to match onlyh expressions 
+satisfying some predicate. For example, you may want to apply the
+transformation 
+<pre>
+  y*log(x) == log(x^y)
+</pre>
+only when y is an integer. The way to restrict a pattern variable y by a
+predicate f(y) is by using a vertical bar "|", which means "such that",
+in much the same way it is used in function definitions. You do this only
+once but at the earliest (meaning deepest and leftmost) part of the pattern.
+This restricts the logarithmic rule to create integer exponents only.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="logrules2:=rule (log(x)+log(y)==log(x*y) ; (y | integer? y)*log(x)==log(x^y))" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Compare this with the result of applying the previous set of rules.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p5','p8']);"
+    value="f" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p5','p7','p9']);"
+    value="logrules2 f" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+You should be aware that you might need to apply a function like
+<a href="dbopinteger.xhtml">integer</a> within your predicate expression
+to actually apply the test function. Here we use 
+<a href="dbopinteger.xhtml">integer</a> because n has type 
+<a href="dbexpressioninteger.xhtml">Expression Integer</a> but
+<a href="dbopevenq.xhtml">even?</a> is an operation defined on the integers.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="evenRule:=rule cos(x)^(n | integer? n and even? integer n)==(1-sin(x)^2)^(n/2)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+Here is the application of the rule.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p10','p11']);"
+    value="evenRule(cos(x)^2)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+This is an example of some of the usual identities involving products of sines and cosines.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="makeRequest('p12');"
+    value="sinCosProducts:=rule (sin(x)*sin(y)==(cos(x-y)-cos(x+y))/2 ; cos(x)*cos(y)==(cos(x-y)+cos(x+y))/2 ; sin(x)*cos(y)==(sin(x-y)+sin(x+y))/2 )" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="g:=sin(a)*sin(b)+cos(b)*cos(a)+sin(2*z)*cos(2*a)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p12','p13','p14']);"
+    value="sinCosProducts g" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+Another qualification you will often want to use is to allow a pattern to
+match an identity element. Using the pattern x+y, for example, neither x 
+nor y matches the expression 0. Similarly, if a pattern contains a product
+x*y or an exponentiation x^y, then neither x nor y matches 1. If identical
+elements were matched, pattern matching would generally loop. Here is an
+expansion rule for exponentials.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="makeRequest('p15');"
+    value="exprule:=rule exp(a+b)==exp(a)*exp(b)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+This rule would cause infinite rewriting on this if either a or b were
+allowed to match 0.
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p15','p16']);"
+    value="exprule exp x" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+There are occasions when you do want a pattern variable in a sum or product
+to match 0 or 1. If so, prefix its name with a "?" whenever it appears in
+a left-hand side of a rule. For example, consider the following rule for the
+exponential integral
+<pre>
+  integral((y+exp x)/x,x) == integral(y/x,x)+Ei x
+</pre>
+for any x and y. This rule is valid if y=0. One solution is to create a
+<a href="db.xhtml?Ruleset">Ruleset</a> with two rules, one with and one
+without y. A better solution is to use an "optional" pattern variable. 
+Define rule eirule with a pattern variable ?y to indicate that an
+expression may or may not occur.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="eirule:=rule integral((?y+exp x)/x,x)==integral(y/x,x)+Ei x" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+Apply rule eirule to an integral without this term.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="handleFree(['p17','p18']);"
+    value="eirule integral (exp m/m,m)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+Apply rule eirule to an integral with this term.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p17','p19']);"
+    value="eirule integral(sin m+exp m/m,m)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+Here is one final adornment you will find useful. When matching a pattern
+of the form x+y to an expression containing a long sum of the form
+a+...+b, there is no way to predict in advance which subset of the sum
+matches x and which matches y. Aside from efficiency, this is generally
+unimportant since the rule holds for any possible combination of matches
+for x and y. In some situations, however, you many want to say which
+pattern variable is a sum (or product) of several terms, and which should
+match only a single term. To do this, put a prefix colon (":") before the
+pattern variable that you want to match mutliple terms. The remaining rules
+involve operators u and v.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="makeRequest('p20');"
+    value="u:=operator 'u" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+These definitions tell Axiom that u and v are formal operators to be
+used in expressions.
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="makeRequest('p21');"
+    value="v:=operator 'v" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+First define myRule with no restrictions on the pattern variables x and y.
+<ul>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="makeRequest('p22');"
+    value="myRule:=rule u(x+y)==u x + v y" />
+  <div id="ansp22"><div></div></div>
+ </li>
+</ul>
+Apply myRule to an expression.
+<ul>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+    onclick="handleFree(['p20','p21','p22','p23']);"
+    value="myRule u(a+b+c+d)" />
+  <div id="ansp23"><div></div></div>
+ </li>
+</ul>
+Define myOtherRule to match several terms so that the rule gets applied
+recursively.
+<ul>
+ <li>
+  <input type="submit" id="p24" class="subbut" 
+    onclick="makeRequest('p24');"
+    value="myOtherRule:=rule u(:x+y)==u x + v y" />
+  <div id="ansp24"><div></div></div>
+ </li>
+</ul>
+Apply myOtherRule to the same expression
+<ul>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+    onclick="handleFree(['p20','p21','p24','p25']);"
+    value="myOtherRule u(a+b+c+d)" />
+  <div id="ansp25"><div></div></div>
+ </li>
+</ul>
+Here are some final remarks on pattern matching. Pattern matching provides
+a very useful paradigm for solving certain classes of problems, namely, 
+those that involve transformations of one form to another and back. However,
+it is important to recognize its limitations.
+
+First, pattern matching slows down as the number of rules you have to
+apply increases. Thus it is good practice to organize the sets of rules
+you use optimally so that irrelevant rules are never included.
+
+Second, careless use of pattern matching can lead to wrong answers. You
+should avoid pattern matching to handle hidden algebraic relationships
+that can go undetected by other programs. As a simple example, a symbol
+such as "J" can easily be used to represent the square root of -1 or some
+other important algebraic quantity. Many algorithms branch on whether an
+expression is zero or not, then divide by that expression if it is not. If 
+you fail to simplify an expresison involving powers of J to -1, algorithms
+may incorrectly assume an expression is no-zero, take a wrong branch, and
+produce a meaningless result.
+
+Pattern matching should also not be used as a substitute for a domain. In
+Axiom, objects of one domain are transformed to objects of other domains
+using well-defined <a href="dbopcoerce.xhtml">coerce</a> operations. 
+Pattern matching should be used on objects that are all of the same type.
+Thus if your application can be handled by type 
+<a href="db.xhtml?Expression">Expression</a> in Axiom and you think you 
+need pattern matching consider this choice carefully. You may well be
+better served by extending an existing domain or by building a new domain
+of objects for your application.
+<<page foot>>
+@
+
+\subsection{funrationalfunctions.xhtml}
+<<funrationalfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Rational Functions</div>
+  <hr/>
+To create a rational function, just compute the quotient of two
+polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="f:=(x-y)/(x+y)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Use the functions 
+<a href="dbopnumer.xhtml">numer</a> and
+<a href="dbopdenom.xhtml">denom</a> to recover the numerator and
+denominator of a fraction:
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="numer f" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="denom f" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Since these are polynomials, you can apply all of the 
+<a href="polynomialpage.xhtml">polynomial operations</a> to them. 
+You can substitute values or other rational functions for the variables
+using the function <a href="dbopeval.xhtml">eval</a>. The syntax for
+<a href="dbopeval.xhtml">eval</a> is similar to the one for polynomials:
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="eval(f,x=1/x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="eval(f,[x=y,y=x])" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{funsimplification.xhtml}
+<<funsimplification.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Simplification</div>
+  <hr/>
+Simplifying an expression often means different things at different times.
+Axiom offers a large number of "simplification" functions. The most common
+one, which performs the usual trigonometric simplifications is
+<a href="dbopsimplify.xhtml">simplify</a>.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="f:=cos(x)/sin(x)*log(sin(x)^2/(cos(x)^2+sin(x)^2))" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="g:=simplify f" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+If the result of <a href="dbopsimplify.xhtml">simplify</a> is not 
+satisfactory, specific transformations are available. For example, to
+rewrite g in terms of secants and cosecants instead of sines and cosines,
+issues:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="h:=sin2csc cos2sec g" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+To apply the logarithm simplification rules to h, issue:
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4']);"
+    value="h:=expandLog h" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Since the square root of x^2 is the absolute value of x and not x itself,
+algebraic radicals are not automatically simplified, but you can 
+specifically request it by calling 
+<a href="dboprootsimp.xhtml">rootSimp</a>:
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="f1:=sqrt((x+1)^3)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="rootSimp f1" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+There are other transformations which are sometimes useful. Use the 
+functions 
+<a href="dbopcomplexelementary.xhtml">complexElementary</a> and
+<a href="dboptrigs.xhtml">trigs</a> to go back and forth between
+the complex exponential and trigonometric forms of an elementary function.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="g1:=sin(x+cos x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p7','p8']);"
+    value="g2:=complexElementary g1" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p7','p8','p9']);"
+    value="trigs g2" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Similarly, the functions
+<a href="dboprealelementary.xhtml">realElementary</a> and
+<a href="dbophtrigs.xhtml">htrigs</a> convert hyperbolic functions in
+and out of their exponential form.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="h1:=sinh(x+cosh x)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p10','p11']);"
+    value="h2:=realElementary h1" />
+  <div id="ansp11"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p10','p11','p12']);"
+    value="htrigs h2" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+Axiom has other transformations, most of which are in the packages
+<a href="db.xhtml?ElementaryFunctionStructurePackage">
+ElementaryFunctionStructurePackage</a>,
+<a href="db.xhtml?TrigonometricManipulations">
+TrigonometricManipulations</a>,
+<a href="db.xhtml?AlgebraicManipulations">AlgebraicManipulations</a>, and
+<a href="db.xhtml?TranscendentalManipulations">
+TranscendentalManipulations</a>. If you need to apply a simplification
+rule not built into the system you can use Axiom's 
+<a href="funpatternmatching.xhtml">pattern matcher</a>.
+<<page foot>>
+@
+
+
+%%G
+\subsection{glossarypage.xhtml}
+<<glossarypage.xhtml>>=
+<<standard head>>
+ <style>
+  div.glabel    { color:blue; }
+  div.gsyntax   { color:blue; }
+  div.gspad     { color:blue; }
+  div.gfunction { color:blue; }
+  div.gtype     { color:blue; }
+  div.gcmd      { color:blue; }
+ </style>
+ </head>
+ <body>
+<<page head>>
+<ul>
+ <li><a name="p0" class="glabel"/><b>!</b>
+  <div class="gsyntax">(syntax)</div> Suffix character for 
+  <a href="#p14365">destructive operations</a>.
+ </li>
+ <li><a name="p74" class="glabel"/><b>,</b>
+  <div class="gsyntax">(syntax)</div> a separator for items in a 
+  <a href="#p50262">tuple</a>,  e.g. to separate arguments of a function 
+  <div class="gspad">f(x, y)</div>.
+ </li>
+ <li><a name="p210" class="glabel"/><b>=></b>
+  <div class="gsyntax">(syntax)</div> the expression 
+  <div class="gspad">a => b</div> is equivalent to 
+  <div class="gspad">if a then</div> <a href="#p19348">exit</a> 
+  <div class="gspad">b</div>.
+ </li>
+ <li><a name="p317" class="glabel"/><b>?</b>
+  <ol>
+   <li> 
+    <div class="gsyntax">(syntax)</div> a suffix character for 
+    Boolean-valued <div class="gfunction">function</div> names,  
+    e.g. <div class="gfunction">odd?</div>. 
+   </li>
+   <li> 
+    Suffix character for pattern variables. 
+   </li>
+   <li> The special type <div class="gspad">?</div> means 
+    <div class="gsyntax">don't care</div>. For example,  the declaration 
+    <div align="center" class="gspad">x : Polynomial ?</div>  means that 
+    values assigned to <div class="gspad">x</div> must be polynomials over 
+    an arbitrary <a href="#p51532">underlying domain</a>.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p725" class="glabel"/><b>abstract datatype</b>
+  a programming language principle used in Axiom  where a datatype is 
+  defined in two parts: (1) a <div class="gsyntax">public</div> part 
+  describing a set of <a href="#p20171">exports</a>, principally operations
+  that apply to objects of that type,  and (2) a
+  <div class="gsyntax">private</div> part describing the implementation of
+  the datatype usually in terms of a <a href="#p44277">representation</a> for
+  objects of the type. Programs which create and otherwise manipulate objects
+  of the type may only do so through its exports. The representation and
+  other implementation information is specifically hidden.
+ </li>
+ <li><a name="p1287" class="glabel"/><b>abstraction</b>
+  described functionally or conceptually without regard to implementation
+ </li>
+ <li><a name="p1362" class="glabel"/><b>accuracy</b>
+  the degree of exactness of an approximation or measurement. In computer
+  algebra systems,  computations are typically carried out with complete 
+  accuracy using integers or rational numbers of indefinite size. Domain
+  <div class="gtype">Float</div> provides a function
+  <div class="gfunction">precision</div> from
+  <div class="gtype">Float</div> to change the precision for floating point
+  computations. Computations using <div class="gtype">DoubleFloat</div>
+  have a fixed precision but uncertain accuracy.
+ </li>
+ <li><a name="p1794" class="glabel"/><b>add-chain</b>
+  a hierarchy formed by <a href="#p16819">domain extensions</a>. If domain
+  <div class="gspad">A</div> extends domain <div class="gspad">B</div> and
+  domain <div class="gspad">B</div> extends domain <div class="gspad">C</div>,
+  then <div class="gspad">A</div> has <div class="gsyntax">add-chain</div>
+  <div class="gspad">B</div>-<div class="gspad">C</div>.
+ </li>
+ <li><a name="p1993" class="glabel"/><b>aggregate</b>
+  a data structure designed to hold multiple values. Examples of aggregates
+  are <div class="gtype">List</div>,  <div class="gtype">Set</div>, 
+  <div class="gtype">Matrix</div> and <div class="gtype">Bits</div>.
+ </li>
+ <li><a name="p2150" class="glabel"/><b>AKCL</b>
+  Austin Kyoto Common LISP,  a version of
+  <a href="#p30645"><div class="gspad">KCL</div></a> produced by
+  William Schelter, Austin, Texas.
+ </li>
+ <li><a name="p2267" class="glabel"/><b>algorithm</b>
+  a step-by-step procedure for a solution of a problem; a program
+ </li>
+ <li><a name="p2335" class="glabel"/><b>ancestor</b>
+  (of a domain) a category which is a <a href="#p38095">parent</a> of the
+  domain,  or a <a href="#p38095">parent</a> of a
+  <a href="#p38095">parent</a> and so on.
+ </li>
+ <li><a name="p2473" class="glabel"/><b>application</b>
+  <div class="gsyntax">(syntax)</div> an expression denoting "application"
+  of a function to a set of <a href="#p2885">argument</a> parameters.
+  Applications are written as a <a href="#p38004">parameterized form</a>.
+  For example,  the form <div class="gspad">f(x, y)</div> indicates the
+  "application of the function <div class="gspad">f</div> to the tuple of
+  arguments <div class="gspad">x</div> and <div class="gspad">y</div>". 
+  See also <a href="#p19167">evaluation</a> and
+  <a href="#p29675">invocation</a>.
+ </li>
+ <li><a name="p2852" class="glabel"/><b>apply</b>
+  See <a href="#p2473">application</a>.
+ </li>
+ <li><a name="p2885" class="glabel"/><b>argument</b>
+  <ol>
+   <li>
+    (actual argument) a value passed to a function at the time of a
+    <a href="#p22911">function</a> call application; also called an
+    <div class="gsyntax">actual parameter</div>. 
+   </li>
+   <li>
+    (formal argument) a variable used in the definition of a function
+    to denote the actual argument passed when the function is called.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p3173" class="glabel"/><b>arity</b>
+  <ol>
+   <li>
+    (function) the number of arguments. 
+   </li>
+   <li>
+    (operator or operation) corresponds to the arity of a function
+    implementing the operator or operation.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p3322" class="glabel"/><b>assignment</b>
+  <div class="gsyntax">(syntax)</div> an expression of the form
+  <div class="gspad">x := e</div>,  meaning "assign the value of
+  <div class="gspad">e</div> to <div class="gspad">x"</div>. After
+  <a href="#p19167">evaluation</a>,  the <a href="#p52894">variable</a>
+  <div class="gspad">x</div> <a href="#p39600">pointer</a> to an object
+  obtained by evaluating the expression <div class="gspad">e</div>. If
+  <div class="gspad">x</div> has a <a href="#p50664">type</a> as a result
+  of a previous <a href="#p12903">declaration</a>, the object assigned to
+  <div class="gspad">x</div> must have that type. An interpreter must often
+  <a href="#p9572">coercion</a> the value of <div class="gspad">e</div>
+  to make that happen. For example,  in the interpreter,  
+  <div align="center" class="gspad">x : Float := 11</div> first
+  <a href="#p12903">declaration</a> <div class="gspad">x</div> to be a float.
+  This declaration causes the interpreter to coerce 11 to 11.0 in order to
+  assign a floating point value to <div class="gspad">x</div>.
+ </li>
+ <li><a name="p4093" class="glabel"/><b>attribute</b>
+  a name or functional form denoting <div class="gsyntax">any</div> useful
+  computational property. For example,  
+  <div class="gfunction">commutative(<div class="gspad">"*"</div>)</div>
+  asserts that "<div class="gfunction">*</div> is commutative". Also,
+  <div class="gfunction">finiteAggregate</div> is used to assert that an
+  aggregate has a finite number of immediate components.
+ </li>
+ <li><a name="p4380" class="glabel"/><b>basis</b>
+  <div class="gsyntax">(algebra)</div> <div class="gspad">S</div> is a
+  basis of a module <div class="gspad">M</div> over a
+  <a href="#p45405">ring</a> if <div class="gspad">S</div> generates 
+  <div class="gspad">M</div>,  and <div class="gspad">S</div> is linearly
+  independent
+ </li>
+ <li><a name="p4536" class="glabel"/><b>benefactor</b>
+  (of a given domain) a domain or package that the given domain explicitly
+   references (for example,  calls functions from) in its implementation
+ </li>
+ <li><a name="p4684" class="glabel"/><b>binary</b>
+  operation or function with <a href="#p3173">arity</a> 2
+ </li>
+ <li><a name="p4735" class="glabel"/><b>binding</b>
+  the association of a variable with properties such as
+  <a href="#p52710">value</a> and <a href="#p50664">type</a>. The
+  top-level <a href="#p19131">environment</a> in the interpreter consists 
+  of bindings for all user variables and functions. Every
+  <a href="#p22911">function</a> has an associated set of bindings,  one
+  for each formal <a href="#p2885">argument</a> and
+  <a href="#p32278">local variable</a>.
+ </li>
+ <li><a name="p5086" class="glabel"/><b>block</b>
+  <div class="gsyntax">(syntax)</div> a control structure where
+  expressions are sequentially <a href="#p19167">evaluation</a>.
+ </li>
+ <li><a name="p5198" class="glabel"/><b>body</b>
+  a <a href="#p23911">function body</a> or <a href="#p33300">loop body</a>.
+ </li>
+ <li><a name="p5256" class="glabel"/><b>boolean</b>
+  objects denoted by the <a href="#p31774">literals</a>
+  <div class="gspad">true</div> and <div class="gspad">false</div>; 
+  elements of domain <div class="gtype">Boolean</div>. 
+  See also <div class="gtype">Bits</div>.
+ </li>
+ <li><a name="p5399" class="glabel"/><b>built-in function</b>
+  a <a href="#p22911">function</a> in the standard Axiom  library. 
+  Contrast <a href="#p52526">user function</a>.
+ </li>
+ <li><a name="p5499" class="glabel"/><b>cache</b>
+  <ol>
+   <li> 
+    (noun) a mechanism for immediate retrieval of previously computed data.
+    For example,  a function which does a lengthy computation might store
+    its values in a <a href="#p25428">hash table</a> using argument as a
+    key. The hash table then serves as a cache for the function (see also
+    <div class="gcmd">)set function cache</div>). Also,  when
+    <a href="#p43448">recurrence relations</a> which depend upon
+    <div class="gspad">n</div> previous values are compiled,  the previous
+    <div class="gspad">n</div> values are normally cached
+    (use <div class="gcmd">)set functions recurrence</div> to change this). 
+   </li>
+   <li>
+    (verb) to save values in a cache.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p6070" class="glabel"/><b>capsule</b>
+  the part of the <a href="#p23911">function body</a> of a
+  <a href="#p16173">domain constructor</a> that defines the functions 
+  implemented by the constructor.
+ </li>
+ <li><a name="p6220" class="glabel"/><b>case</b>
+  <div class="gsyntax">(syntax)</div> an operator used to
+  conditionally evaluate code based on the branch of a
+  <a href="#p51780">Union</a>. For example,  if value
+  <div class="gspad">u</div> is 
+  <div class="gspad">Union(Integer, "failed")</div>,  the conditional
+  expression <div class="gspad">if u case Integer then A else B</div> 
+  evaluate <div class="gspad">A</div> if <div class="gspad">u</div> is
+  an integer and <div class="gspad">B</div> otherwise.
+ </li>
+ <li><a name="p6537" class="glabel"/><b>Category</b>
+  the distinguished object denoting the type of a category; the class of
+  all categories.
+ </li>
+ <li><a name="p6628" class="glabel"/><b>category</b>
+  <div class="gsyntax">(basic concept)</div> second-order types which
+  serve to define useful "classification worlds" for domains, such as
+  algebraic constructs (e.g. groups, rings, fields), and data structures
+  (e.g. homogeneous aggregates, collections, dictionaries). Examples of
+  categories are <div class="gtype">Ring</div> ("the class of all
+  rings") and <div class="gtype">Aggregate</div> ("the class of all
+  aggregates"). The categories of a given world are arranged in a
+  hierarchy (formally, a directed acyclic graph). Each category inherits
+  the properties of all its ancestors. Thus, for example, the category
+  of ordered rings (<div class="gtype">OrderedRing</div>) inherits the
+  properties of the category of rings (<div class="gtype">Ring</div>)
+  and those of the ordered sets 
+  (<div class="gtype">OrderedSet</div>). Categories provide a database of
+  algebraic knowledge and ensure mathematical correctness, e.g. that
+  "matrices of polynomials" is correct but "polynomials of hash tables"
+  is not, that the multiply operation for "polynomials of continued
+  fractions" is commutative, but that for "matrices of power series" is
+  not. optionally provide "default definitions" for operations they
+  export. Categories are defined in Axiom by functions called 
+  <a href="#p8355">category constructors</a>. Technically, a category
+  designates a class of domains with common 
+  <a href="#p36041">operations</a> and <a href="#p4093">attributes</a> but
+  usually with different <a href="#p22911">functions</a> and 
+  <a href="#p44277">representations</a> for its constituent 
+  <a href="#p35301">objects</a>. Categories are always defined using the
+  Axiom library language (see also 
+  <a href="#p8634">category extension</a>). 
+  See also file <div class="gsyntax">catdef.spad</div>
+  for definitions of basic algebraic categories in Axiom .
+ </li>
+ <li><a name="p8355" class="glabel"/><b>category constructor</b>
+  a function that creates categories, described by an abstract
+  datatype in the Axiom programming language. For example, the category
+  constructor <div class="gtype">Module</div> is a function which takes
+  a domain parameter <div class="gspad">R</div> and creates the category
+  "modules over <div class="gspad">R</div>".
+ </li>
+ <li><a name="p8634" class="glabel"/><b>category extension</b>
+  created by a category definition, an expression usually of the form
+  <div class="gspad">A == B with ...</div>. In English, this means
+  "category A is a <div class="gspad">B</div> with the new operations
+  and attributes as given by ... . See, for example, file 
+  <div class="gsyntax">catdef.spad</div> for a definitions of the algebra
+  categories in Axiom , <div class="gsyntax">aggcat.spad</div> for data
+  structure categories.
+ </li>
+ <li><a name="p8996" class="glabel"/><b>category hierarchy</b>
+  hierarchy formed by category extensions. The root category is 
+  <div class="gtype">Object</div>. A category can be defined as a 
+  <a href="#p30459">Join</a> of two or more categories so as to have
+  multiple <a href="#p38095">parents</a>. Categories may also have
+  parameterized so as to allow conditional inheritance.
+ </li>
+ <li><a name="p9278" class="glabel"/><b>character</b>
+  <ol>
+   <li> 
+    an element of a character set,  as represented by a keyboard key. 
+   </li>
+   <li>
+    a component of a string. For example, the 0th element of the string
+    <div class="gspad">"hello there"</div> is the character 
+    <div class="gsyntax">h</div>.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p9472" class="glabel"/><b>client</b>
+  (of a given domain) any domain or package that explicitly calls
+  functions from the given domain
+ </li>
+ <li><a name="p9572" class="glabel"/><b>coercion</b>
+  an automatic transformation of an object of one 
+  <a href="#p50664">type</a> to an object of a similar or desired target
+  type. In the interpreter, coercions and 
+  <a href="#p45044">retractions</a> are done automatically by the
+  interpreter when a type mismatch occurs. Compare 
+  <a href="#p12242">conversion</a>.
+ </li>
+ <li><a name="p9854" class="glabel"/><b>comment</b>
+  textual remarks imbedded in code. Comments are preceded by a double
+  dash (<div class="gsyntax">--</div>). For Axiom library code,
+  stylized comments for on-line documentation are preceded by a two plus
+  signs (<div class="gsyntax">++</div>).
+ </li>
+ <li><a name="p10064" class="glabel"/><b>Common LISP</b>
+  A version of <a href="#p31518">LISP</a> adopted as an informal
+  standard by major users and suppliers of LISP
+ </li>
+ <li><a name="p10167" class="glabel"/><b>compile-time</b>
+  the time when category or domain constructors are compiled. Contrast
+  <a href="#p45818">run-time</a>.
+ </li>
+ <li><a name="p10262" class="glabel"/><b>compiler</b>
+  a program that generates low-level code from a higher-level source
+  language. Axiom has three compilers. 
+  <ol>
+   <li>
+    A <div class="gsyntax">graphics
+    compiler</div> converts graphical formulas to a compiled subroutine so
+    that points can be rapidly produced for graphics commands. 
+   </li>
+   <li>
+    An <div class="gsyntax">interpreter compiler</div> optionally compiles 
+    <a href="#p52526">user functions</a> when first 
+    <a href="#p29675">invocation</a> 
+    (use <div class="gcmd">)set functions compile</div> 
+    to turn this feature on). 
+   </li>
+   <li> 
+    A <div class="gsyntax">library compiler</div> compiles all 
+    constructors.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p10792" class="glabel"/><b>computational object</b>
+   In Axiom , domains are objects. This term is used to distinquish the
+  objects which are members of domains rather than domains themselves.
+ </li>
+ <li><a name="p10941" class="glabel"/><b>conditional</b>
+  a <a href="#p12001">control structure</a> of the form 
+  <div class="gspad">if A then B else C</div>; The 
+  <a href="#p19167">evaluation</a> of <div class="gspad">A</div> produces
+  <div class="gspad">true</div> or <div class="gspad">false</div>. If
+  <div class="gspad">true</div>, <div class="gspad">B</div> evaluates to
+  produce a value; otherwise <div class="gspad">C</div> evaluates to
+  produce a value. When the value is not used, 
+  <div class="gspad">else C</div> part can be omitted.
+ </li>
+ <li><a name="p11264" class="glabel"/><b>constant</b>
+  <div class="gsyntax">(syntax)</div> a reserved word used in 
+  <a href="#p46813">signatures</a> in Axiom programming language to signify
+  that mark an operation always returns the same value. For example, the
+  signature <div class="gspad">0: constant -> $</div> in the source code
+  of <div class="gtype">AbelianMonoid</div> tells the Axiom compiler
+  that <div class="gspad">0</div> is a constant so that suitable
+  optimizations might be performed.
+ </li>
+ <li><a name="p11642" class="glabel"/><b>constructor</b>
+  a <a href="#p22911">function</a> which creates a 
+  <a href="#p6628">category</a>, <a href="#p15041">domain</a>, or 
+  <a href="#p36778">package</a>.
+ </li>
+ <li><a name="p11755" class="glabel"/><b>continuation</b>
+  when a line of a program is so long that it must be broken into
+  several lines, then all but the first line are called 
+  <div class="gsyntax">continuation lines</div>. If such a line is given
+  interactively, then each incomplete line must end with an underscore.
+ </li>
+ <li><a name="p12001" class="glabel"/><b>control structure</b>
+  program structures which can specify a departure from normal
+  sequential execution. Axiom has four kinds of control structures: 
+  <a href="#p5086">blocks</a>, <a href="#p6220">case</a> statements, 
+  <a href="#p10941">conditionals</a>, and <a href="#p33121">loops</a>.
+ </li>
+ <li><a name="p12242" class="glabel"/><b>conversion</b>
+  the transformation of an object on one <a href="#p50664">type</a> to
+  one of another type. Conversions performed automatically are called 
+  <a href="#p9572">coercions</a>. These happen when the interpreter has a
+  type mismatch and a similar or declared target type is needed. In
+  general, the user must use the infix operation 
+  <div class="gspad">::</div> to cause this transformation.
+ </li>
+ <li><a name="p12604" class="glabel"/><b>copying semantics</b>
+  the programming language semantics used in Pascal but 
+  <div class="gsyntax">not</div> in Axiom . See also 
+  <a href="#p39949">pointer semantics</a> for details.
+ </li>
+ <li><a name="p12740" class="glabel"/><b>data structure</b>
+  a structure for storing data in the computer. Examples are 
+  <a href="#p31730">lists</a> and <a href="#p25428">hash tables</a>.
+ </li>
+ <li><a name="p12850" class="glabel"/><b>datatype</b>
+  equivalent to <a href="#p15041">domain</a> in Axiom .
+ </li>
+ <li><a name="p12903" class="glabel"/><b>declaration</b>
+  <div class="gsyntax">(syntax)</div> an expression of the form 
+  <div class="gspad">x : T</div> where <div class="gspad">T</div> is some
+  <div class="gspad">type</div>. A declaration forces all values 
+  <a href="#p3322">assigned</a> to <div class="gspad">T</div> to be of that
+  type. If a value is of a different type, the interpreter will try to
+  <a href="#p9572">coerce</a> the value to type 
+  <div class="gspad">T</div>. Declarations are necessary in case of 
+  ambiguity or when a user wants to introduce an an 
+  <a href="#p20259">unexposed</a> domain.
+ </li>
+ <li><a name="p13351" class="glabel"/><b>default definition</b>
+  a function defined by a <a href="#p6628">category</a>. Such
+  definitions appear category definitions of the form 
+  <div class="gspad">C: Category == T add I</div> in an optional
+  implmentation part <div class="gspad">I</div> to the right of the
+  keyword <div class="gspad">add</div>.
+ </li>
+ <li><a name="p13571" class="glabel"/><b>default package</b>
+  a optional <a href="#p36778">package</a> of 
+  <a href="#p22911">functions</a> associated with a category. Such
+  functions are necessarily defined in terms over other functions
+  exported by the category.
+ </li>
+ <li><a name="p13754" class="glabel"/><b>definition</b>
+  <div class="gsyntax">(syntax)</div> 
+  <ol>
+   <li> 
+    An expression of the form
+    <div class="gspad">f(a) == b</div> defining function 
+    <div class="gspad">f</div> with <a href="#p21594">formal arguments</a> 
+    <div class="gspad">a</div> and <a href="#p5198">body</a> 
+    <div class="gspad">b</div>; equivalent to the statement 
+    <div class="gspad">f == (a) +-> b</div>. 
+   </li>
+   <li> 
+    An expression of the form 
+    <div class="gspad">a == b</div> where <div class="gspad">a</div> is a 
+    <a href="#p49347">symbol</a>, equivalent to 
+    <div class="gspad">a() == b</div>.
+    See also <a href="#p33585">macro</a> where a similar
+    substitution is done at <a href="#p38242">parse</a> time.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p14178" class="glabel"/><b>delimiter</b>
+  a <a href="#p9278">character</a> which marks the beginning or end of
+  some syntactically correct unit in the language, e.g. " for strings,
+  blanks for identifiers.
+ </li>
+ <li><a name="p14365" class="glabel"/><b>destructive operation</b>
+  An operation which changes a component or structure of a value. In
+  Axiom , all destructive operations have names which end with an
+  exclamation mark (<div class="gsyntax">!</div>). For example, domain
+  <div class="gtype">List</div> has two operations to reverse the
+  elements of a list, one named <div class="gfunction">reverse</div>
+  from <div class="gtype">List</div> which returns a copy of the
+  original list with the elements reversed, another named 
+  <div class="gfunction">reverse!</div> from <div class="gtype">List</div>
+  which reverses the elements <div class="gsyntax">in place</div> thus
+  destructively changing the original list.
+ </li>
+ <li><a name="p14877" class="glabel"/><b>documentation</b>
+  <ol>
+   <li> 
+    on-line or hard copy descriptions of Axiom; 
+   </li>
+   <li> 
+    text in library code preceded by 
+    <div class="gsyntax">++</div> comments as opposed to general comments
+    preceded by <div class="gsyntax">--</div>.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p15041" class="glabel"/><b>domain</b>
+  <div class="gsyntax">(basic concept)</div> a domain corresponds to
+  the usual notion of abstract datatypes: that of a set of values and a
+  set of "exported operations" for the creation and manipulation of
+  these values. Datatypes are parameterized, dynamically constructed,
+  and can combine with others in any meaningful way, e.g. "lists of
+  floats" (<div class="gtype">List Float</div>), "fractions of
+  polynomials with integer coefficients" 
+  (<div class="gtype">Fraction Polynomial Integer</div>), 
+  "matrices of infinite <a href="#p47825">streams</a> of cardinal numbers" 
+  (<div class="gtype">Matrix Stream CardinalNumber</div>). The term 
+  <div class="gsyntax">domain</div> is actually abbreviates 
+  <div class="gsyntax">domain of computation</div>. Technically, a domain
+  denotes a class of objects, a class of 
+  <a href="#p36041">operations</a> for creating and other manipulating
+  these objects, and a class of <a href="#p4093">attributes</a>
+  describing computationally useful properties. Domains also provide 
+  <a href="#p22911">functions</a> for each operation often in terms of some
+  <a href="#p44277">representation</a> for the objects. A domain itself
+  is an <a href="#p35301">object</a> created by a 
+  <a href="#p22911">function</a> called a <a href="#p16173">domain
+  constructor</a>.
+ </li>
+ <li><a name="p16173" class="glabel"/><b>domain constructor</b>
+   a function that creates domains, described by an abstract datatype in
+  the Axiom programming language. Simple domains like 
+  <div class="gtype">Integer</div> and <div class="gtype">Boolean</div> are
+  created by domain constructors with no arguments. Most domain
+  constructors take one or more parameters, one usually denoting an 
+  <a href="#p51532">underlying domain</a>. For example, the domain 
+  <div class="gtype">Matrix(R)</div> denotes "matrices over 
+  <div class="gspad">R"</div>. Domains <div class="gsyntax">Mapping</div>,
+  <div class="gsyntax">Record</div>, and 
+  <div class="gsyntax">Union</div> are primitive domains. All other domains
+  are written in the Axiom programming language and can be modified by
+  users with access to the library source code.
+ </li>
+ <li><a name="p16819" class="glabel"/><b>domain extension</b>
+  a domain constructor <div class="gspad">A</div> is said to 
+  <div class="gsyntax">extend</div> a domain constructor 
+  <div class="gspad">B</div> if <div class="gspad">A</div>
+  <div class="gspad">'s</div> definition has the form 
+  <div class="gspad">A == B add ...</div>. 
+  This intuitively means "functions not defined by <div
+  class="gspad">A</div> are assumed to come from 
+  <div class="gspad">B</div>". Successive domain extensions form 
+  <a href="#p1794">add-chains</a> affecting the the 
+  <a href="#p46200">search order</a> for functions not implemented directly
+  by the domain during <a href="#p17853">dynamic lookup</a>.
+ </li>
+ <li><a name="p17269" class="glabel"/><b>dot notation</b>
+  using an infix dot (<div class="gsyntax">.</div>) for function
+  application. If <div class="gspad">u</div> is the list 
+  <div class="gspad">[7, 4, -11]</div> then both 
+  <div class="gspad">u(2)</div> and <div class="gspad">u.2</div> return
+  4. Dot notation nests to left. Thus <div class="gspad">f . g . h</div>
+  is equivalent to <div class="gspad">(f . g) . h</div>.
+ </li>
+ <li><a name="p17507" class="glabel"/><b>dynamic</b>
+  that which is done at <a href="#p45818">run-time</a> as opposed to 
+  <a href="#p10167">compile-time</a>. For example, the interpreter will
+  build the domain "matrices over integers" dynamically in response to
+  user input. However, the compilation of all functions for matrices and
+  integers is done during <a href="#p10167">compile-time</a>. Constrast
+  <a href="#p47594">static</a>.
+ </li>
+ <li><a name="p17853" class="glabel"/><b>dynamic lookup</b>
+  In Axiom , a <a href="#p17507">domain</a> may or may not explicitly
+  provide <a href="#p22911">function</a> definitions for all of its
+  exported <a href="#p36041">operations</a>. These definitions may
+  instead come from domains in the <a href="#p1794">add-chain</a> or
+  from <a href="#p13571">default packages</a>. When a 
+  <a href="#p2400">function call</a> is made for an operation in the
+  domain, up to five steps are carried out.
+  <ol>
+   <li> 
+    If the domain itself implements a function for the operation,  
+    that function is returned. 
+   </li>
+   <li> 
+    Each of the domains in the <a href="#p1794">add-chain</a> are searched
+    for one which implements the function; if found, the function is returned.
+   </li>
+   <li> 
+    Each of the <a href="#p13571">default packages</a> for the domain are
+    searched in order of the <a href="#p30933">lineage</a>. If any of the
+    default packages implements the function, the first one found is
+    returned.
+   </li>
+   <li> 
+    Each of the <a href="#p13571">default packages</a> for each of the
+    domains in the <a href="#p1794">add-chain</a> are searched in the
+    order of their <a href="#p30933">lineage</a>. If any of the default
+    packages implements the function, the first one found is returned.
+   </li>
+   <li> If all of the above steps fail,  an error message is reported. 
+   </li>
+  </ol>
+ </li>
+ <li><a name="p19071" class="glabel"/><b>empty</b>
+  the unique value of objects with type <div class="gtype">Void</div>.
+ </li>
+ <li><a name="p19131" class="glabel"/><b>environment</b>
+  a set of <a href="#p4735">bindings</a>.
+ </li>
+ <li><a name="p19167" class="glabel"/><b>evaluation</b>
+  a systematic process which transforms an 
+  <a href="#p20659">expression</a> into an object called the 
+  <a href="#p52710">value</a> of the expression. Evaluation may produce 
+  <a href="#p46699">side effects</a>.
+ </li>
+ <li><a name="p19348" class="glabel"/><b>exit</b>
+  <div class="gsyntax">(reserved word)</div> an 
+  <a href="#p36278">operator</a> which forces an exit from the current
+  block. For example, the <a href="#p5086">block</a> 
+  <div class="gspad">(a := 1; if i > 0 then exit a; a := 2)</div> will
+  prematurely exit at the second statement with value 1 if the value of
+  <div class="gspad">i</div> is greater than 0. See 
+  <a href="#p210"><div class="gspad">=></div></a> for an alternate syntax.
+ </li>
+ <li><a name="p19681" class="glabel"/><b>explicit export</b>
+  <ol>
+   <li> 
+    (of a domain <div class="gspad">D</div>) any 
+    <a href="#p4093">attribute</a>, <a href="#p36041">operation</a>, or 
+    <a href="#p6628">category</a> explicitly mentioned in the 
+    <a href="#p50664">type</a> specification part <div class="gspad">T</div>
+    for the domain constructor definition  <div class="gspad">D: T == I</div>
+   </li>
+   <li> 
+    (of a category <div class="gspad">C</div>) any 
+    <a href="#p4093">attribute</a>, <a href="#p36041">operation</a>, or 
+    <a href="#p6628">category</a> explicitly mentioned in the 
+    <a href="#p50664">type</a> specification part <div class="gspad">T</div>
+    for the domain constructor definition 
+    <div class="gspad">C: <a href="#p6537">Category</a> == T</div>
+   </li>
+  </ol>
+ </li>
+ <li><a name="p20171" class="glabel"/><b>export</b>
+   <a href="#p19681">explicit export</a> or <a href="#p27325">implicit
+  export</a> of a domain or category
+ </li>
+ <li><a name="p20259" class="glabel"/><b>expose</b>
+  some constructors are <div class="gsyntax">exposed</div>, others
+  <div class="gsyntax">unexposed</div>. Exposed domains and packages
+  are recognized by the interpreter. Use 
+  <div class="gcmd">)set expose</div> 
+  to control change what is exposed. To see both exposed
+  and unexposed constructors, use the browser with give the system
+  command <div class="gcmd">)set hyperdoc browse exposure
+  on</div>. Unexposed constructors will now appear prefixed by star
+  (<div class="gspad">*</div>).
+ </li>
+ <li><a name="p20659" class="glabel"/><b>expression</b>
+  <ol>
+   <li> any syntactically correct program fragment. 
+   </li>
+   <li> an element of domain <div class="gtype">Expression</div>
+   </li>
+  </ol>
+ </li>
+ <li><a name="p20757" class="glabel"/><b>extend</b>
+  see <a href="#p8634">category extension</a> or <a href="#p16819">domain 
+  extension</a>
+ </li>
+ <li><a name="p20829" class="glabel"/><b>field</b>
+  <div class="gsyntax">(algebra)</div> a <a href="#p17507">domain</a>
+  which is <a href="#p45405">ring</a> where every non-zero element is
+  invertible and where <div class="gspad">xy=yx</div>; a member of
+  category <div class="gtype">Field</div>. For a complete list of
+  fields, click on <div class="gsyntax">Domains</div> under 
+  <div class="gsyntax">Cross Reference</div> for 
+  <div class="gtype">Field</div>.
+ </li>
+ <li><a name="p21109" class="glabel"/><b>file</b>
+  a program or collection of data stored on disk,  tape or other medium.
+ </li>
+ <li><a name="p21186" class="glabel"/><b>float</b>
+  a floating-point number with user-specified precision; an element of
+  domain <div class="gtype">Float</div>. Floats are 
+  <a href="#p31774">literals</a> which are written two ways: without an
+  exponent (e.g. <div class="gspad">3.1416</div>), or with an exponent
+  (e.g. <div class="gspad">3.12E-12</div>). Use function 
+  <a href="#p42318">precision</a> to change the precision of the mantissage
+  (20 digits by default). See also <a href="#p47066">small float</a>.
+ </li>
+ <li><a name="p21594" class="glabel"/><b>formal parameter</b>
+  (of a function) an identifier <a href="#p4735">bound</a> to the value
+  of an actual <a href="#p2885">argument</a> on 
+  <a href="#p29675">invocation</a>. In the function definition 
+  <div class="gspad">f(x, y) == u</div>, for example, 
+  <div class="gspad">x</div> and <div class="gspad">y</div> are the formal
+  parameter.
+ </li>
+ <li><a name="p21847" class="glabel"/><b>frame</b>
+  the basic unit of an interactive session; each frame has its own
+  <a href="#p47691">step number</a>, <a href="#p19131">environment</a>, and
+  <a href="#p26034">history</a>. In one interactive session, users can
+  can create and drop frames, and have several active frames simultaneously.
+ </li>
+ <li><a name="p22113" class="glabel"/><b>free</b>
+   <div class="gsyntax">(syntax)</div> A keyword used in user-defined
+  functions to declare that a variable is a 
+  <a href="#p22739">free variable</a> of that function. 
+  For example, the statement 
+  <div class="gspad">free x</div> declares the variable 
+  <div class="gspad">x</div> within the body of a function 
+  <div class="gspad">f</div> to be a free variable in 
+  <div class="gspad">f</div>. Without such a declaration, any variable 
+  <div class="gspad">x</div> which appears on the left hand side of an
+  assignment is regarded as a <a href="#p32278">local variable</a> of
+  that function. If the intention of the assignment is to give an value
+  to a <a href="#p24833">global variable</a> <div class="gspad">x</div>,
+  the body of that function must contain the statement 
+  <div class="gspad">free x</div>.
+ </li>
+ <li><a name="p22739" class="glabel"/><b>free variable</b>
+   (of a function) a variable which appears in a body of a function but
+  is not <a href="#p4735">bound</a> by that function. See 
+  <a href="#p32278">local variable</a> by default.
+ </li>
+ <li><a name="p22911" class="glabel"/><b>function</b>
+   implementation of <a href="#p36041">operation</a>; it takes zero or
+  more <a href="#p2885">argument</a> parameters and produces zero or
+  more values. Functions are objects which can be passed as parameters
+  to functions and can be returned as values of functions. Functions can
+  also create other functions (see also 
+  <div class="gtype">InputForm</div>). See also 
+  <a href="#p2473">application</a> and 
+  <a href="#p29675">invocation</a>. The terms 
+  <div class="gsyntax">operation</div> and 
+  <div class="gsyntax">function</div> are distinct notions in Axiom . An
+  operation is an abstraction of a function, described by declaring a 
+  <a href="#p46813">signature</a>. A function is created by providing an
+  implementation of that operation by some piece of Axiom code. Consider
+  the example of defining a user-function <div class="gspad">fact</div>
+  to compute the <div class="gfunction">factorial</div> of a nonnegative
+  integer. The Axiom statement 
+  <div class="gspad">fact: Integer -> Integer</div> 
+  describes the operation, whereas the statement 
+  <div class="gspad">fact(n) = reduce(*, [1..n])</div> defines the
+  functions. See also <a href="#p24495">generic function</a>.
+ </li>
+ <li><a name="p23911" class="glabel"/><b>function body</b>
+   the part of a <a href="#p22911">function</a>
+  <div class="gspad">'s</div> definition which is evaluated when the function
+  is called at <a href="#p45818">run-time</a>; the part of the function
+  definition to the right of the <div class="gspad">==</div>.
+ </li>
+ <li><a name="p2400" class="glabel"/><b>function call</b>
+   <div class="gsyntax">(syntax)</div> an expression denoting
+  "application" of a function to a set of <a href="#p2885">argument</a>
+  parameters. Applications are written as a 
+  <a href="#p38004">parameterized form</a>. For example, the form 
+  <div class="gspad">f(x, y)</div> indicates the "application of the function
+  <div class="gspad">f</div> to the tuple of arguments 
+  <div class="gspad">x</div> and <div class="gspad">y</div>". See also 
+  <a href="#p19167">evaluation</a> and <a href="#p29675">invocation</a>.
+ </li>
+ <li><a name="p24123" class="glabel"/><b>garbage collection</b>
+   a system function that automatically recycles memory cells from the
+  <a href="#p25771">heap</a>. Axiom is built upon 
+  <a href="#p10064">Common LISP</a> which provides this facility.
+ </li>
+ <li><a name="p24294" class="glabel"/><b>garbage collector</b>
+  a mechanism for reclaiming storage in the <a href="#p25771">heap</a>.
+ </li>
+ <li><a name="p24359" class="glabel"/><b>Gaussian</b>
+   a complex-valued expression, e.g. one with both a real and imaginary
+  part; a member of a <div class="gtype">Complex</div> domain.
+ </li>
+ <li><a name="p24495" class="glabel"/><b>generic function</b>
+   the use of one function to operate on objects of different types; One
+  might regard Axiom as supporting generic 
+  <a href="#p36041">operations</a> but not generic functions. One operation
+  <div class="gspad">+: (D, D) -> D</div> exists for adding elements in
+  a ring; each ring however provides its own type-specific function for
+  implementing this operation.
+ </li>
+ <li><a name="p24833" class="glabel"/><b>global variable</b>
+   A variable which can be referenced freely by functions. In Axiom ,
+  all top-level user-defined variables defined during an interactive
+  user session are global variables. Axiom does not allow <div
+  class="gsyntax">fluid variables</div>, that is, variables 
+  <a href="#p4735">bound</a> by functions which can be referenced by
+  functions those functions call.
+ </li>
+ <li><a name="p25189" class="glabel"/><b>Groebner basis</b>
+   <div class="gsyntax">(algebra)</div> a special basis for a
+  polynomial ideal that allows a simple test for membership. It is
+  useful in solving systems of polynomial equations.
+ </li>
+ <li><a name="p25348" class="glabel"/><b>group</b>
+   <div class="gsyntax">(algebra)</div> a <a href="#p34266">monoid</a>
+  where every element has a multiplicative inverse.
+ </li>
+ <li><a name="p25428" class="glabel"/><b>hash table</b>
+   A data structure that efficiency maps a given object to another. A
+  hash table consists of a set of <div class="gsyntax">entries</div>,
+  each of which associates a <div class="gsyntax">key</div> with a 
+  <div class="gsyntax">value</div>. Finding the object stored under a key
+  can be very fast even if there are a large number of entries since
+  keys are <div class="gsyntax">hashed</div> into numerical codes for
+  fast lookup.
+ </li>
+ <li><a name="p25771" class="glabel"/><b>heap</b>
+   an area of storage used by data in programs. For example, AXIOM will
+  use the heap to hold the partial results of symbolic
+  computations. When cancellations occur, these results remain in the
+  heap until <a href="#p24294">garbage collected</a>.
+ </li>
+ <li><a name="p26034" class="glabel"/><b>history</b>
+   a mechanism which records the results for an interactive
+  computation. Using the history facility, users can save computations,
+  review previous steps of a computation, and restore a previous
+  interactive session at some later time. For details, issue the system
+  command <div class="gsyntax">)history ?</div> to the interpreter. See
+  also <a href="#p21847">frame</a>.
+ </li>
+ <li><a name="p26380" class="glabel"/><b>ideal</b>
+   <div class="gsyntax">(algebra)</div> a subset of a ring that is
+  closed under addition and multiplication by arbitrary ring elements,
+  i.e. it<div class="gspad">'s</div> a module over the ring.
+ </li>
+ <li><a name="p26553" class="glabel"/><b>identifier</b>
+   <div class="gsyntax">(syntax)</div> an Axiom name; a 
+  <a href="#p31774">literal</a> of type <div class="gtype">Symbol</div>. An
+  identifier begins with an alphabetical character or % and may be
+  followed by alphabetic characters, digits, ? or !. Certain
+  distinquished <a href="#p44698">reserved words</a> are not allowed as
+  identifiers but have special meaning in the Axiom .
+ </li>
+ <li><a name="p26892" class="glabel"/><b>immutable</b>
+   an object is immutable if it cannot be changed by an 
+  <a href="#p36041">operation</a>; not a <a href="#p34398">mutable
+  object</a>. Algebraic objects generally immutable: changing an
+  algebraic expression involves copying parts of the original
+  object. One exception is a matrix object of type 
+  <div class="gtype">Matrix</div>. Examples of mutable objects are data
+  structures such as those of type <div class="gtype">List</div>. See
+  also <a href="#p39949">pointer semantics</a>.
+ </li>
+ <li><a name="p27325" class="glabel"/><b>implicit export</b>
+   (of a domain or category) any <a href="#p4093">attribute</a> or 
+  <a href="#p36041">operation</a> which is either an explicit export or
+  else an explicit export of some category which an explicit category
+  export <a href="#p20757">extends</a>.
+ </li>
+ <li><a name="p27564" class="glabel"/><b>index</b>
+  <ol>
+   <li> 
+    a variable that counts the number of times a 
+    <a href="#p33121">loop</a> is repeated. 
+   </li>
+   <li> 
+    the "address" of an element in a data structure (see also category 
+    <div class="gtype">LinearAggregate</div>).
+   </li>
+  </ol>
+ </li>
+ <li><a name="p27746" class="glabel"/><b>infix</b>
+   <div class="gsyntax">(syntax)</div> an 
+  <a href="#p36278">operator</a> placed between two 
+  <a href="#p35946">operands</a>; also called a 
+  <div class="gsyntax">binary operator</div>, e.g. 
+  <div class="gspad">a + b</div>. An infix operator may also be used as a 
+  <a href="#p42559">prefix</a>, e.g. <div class="gspad">+(a, b)</div> is
+  also permissable in the Axiom language. Infix operators have a
+  relative <a href="#p42098">precedence</a>.
+ </li>
+ <li><a name="p28103" class="glabel"/><b>input area</b>
+  a rectangular area on a screen into which users can enter text.
+ </li>
+ <li><a name="p28185" class="glabel"/><b>instantiate</b>
+  to build a <a href="#p6628">category</a>,  <a href="#p17507">domain</a>,  
+  or <a href="#p36778">package</a> at run-time
+ </li>
+ <li><a name="p28282" class="glabel"/><b>integer</b>
+   a <a href="#p31774">literal</a> object of domain 
+  <div class="gtype">Integer</div>, the class of integers with an unbounded
+  number of digits. Integer literals consist of one or more consecutive
+  digits (0-9) with no embedded blanks. Underscores can be used to
+  separate digits in long integers if desirable.
+ </li>
+ <li><a name="p28570" class="glabel"/><b>interactive</b>
+  a system where the user interacts with the computer step-by-step
+ </li>
+ <li><a name="p28640" class="glabel"/><b>interpreter</b>
+   the subsysystem of Axiom responsible for handling user input during
+  an interactive session. The following somewhat simplified description
+  of the typical action of the interpreter. The interpreter parsers the
+  user<div class="gspad">'s</div> input expression to create an
+  expression tree then does a bottom-up traversal of the tree. Each
+  subtree encountered which is not a value consists of a root node
+  denoting an operation name and one or more leaf nodes denoting 
+  <a href="#p35946">operands</a>. The interpreter resolves type mismatches
+  and uses type-inferencing and a library database to determine
+  appropriate types of the operands and the result, and an operation to
+  be performed. The interpreter then builds a domain to perform the
+  indicated operation, then invokes a function from the domain to
+  compute a value. The subtree is then replaced by that value and the
+  process continues. Once the entire tree has been processed, the value
+  replacing the top node of the tree is displayed back to the user as
+  the value of the expression.
+ </li>
+ <li><a name="p29675" class="glabel"/><b>invocation</b>
+   (of a function) the run-time process involved in 
+  <a href="#p19167">evaluating</a> a <a href="#p22911">function</a> 
+  <a href="#p2473">application</a>. This process has two steps. First, a
+  local <a href="#p19131">environment</a> is created where 
+  <a href="#p21594">formal arguments</a> are locally 
+  <a href="#p4735">bound</a> by <a href="#p3322">assignment</a> to their
+  respective actual <a href="#p2885">argument</a>. Second, the 
+  <a href="#p23911">function body</a> is evaluated in that local
+  environment. The evaluation of a function is terminated either by
+  completely evaluating the function body or by the evaluation of a 
+  <div class="gfunction">return</div> expression.
+ </li>
+ <li><a name="p30286" class="glabel"/><b>iteration</b>
+  repeated evaluation of an expression or a sequence of
+  expressions. Iterations use the reserved words 
+  <div class="gfunction">for</div>, <div class="gfunction">while</div>, and
+  <div class="gfunction">repeat</div>.
+ </li>
+ <li><a name="p30459" class="glabel"/><b>Join</b>
+   a primitive Axiom function taking two or more categories as arguments
+  and producing a category containing all of the operations and
+  attributes from the respective categories.
+ </li>
+ <li><a name="p30645" class="glabel"/><b>KCL</b>
+   Kyoto Common LISP, a version of <a href="#p10064">Common LISP</a>
+  which features compilation of the compilation of LISP into the 
+  <div class="gspad">C</div> Programming Language
+ </li>
+ <li><a name="p30801" class="glabel"/><b>library</b>
+   In Axiom , a coolection of compiled modules respresenting the a 
+  <a href="#p6628">category</a> or <a href="#p17507">domain</a>
+  constructor.
+ </li>
+ <li><a name="p30933" class="glabel"/><b>lineage</b>
+   the sequence of <a href="#p13571">default packages</a> for a given
+  domain to be searched during 
+  <a href="#p17853">dynamic lookup</a>. 
+  This sequence is computed first by ordering the category
+  <a href="#p2335">ancestors</a> of the domain according to their <div
+  class="gsyntax">level number</div>, an integer equal to to the
+  minimum distance of the domain from the category. Parents have level
+  1, parents of parents have level 2, and so on. Among categories with
+  equal level numbers, ones which appear in the left-most branches of
+  <div class="gsyntax">Join</div><div class="gspad">s</div> in the
+  source code come first. See also <a href="#p17853">dynamic lookup</a>.
+ </li>
+ <li><a name="p31518" class="glabel"/><b>LISP</b>
+   acronymn for List Processing Language, a language designed for the
+  manipulation of nonnumerical data. The Axiom library is translated
+  into LISP then compiled into machine code by an underlying LISP.
+ </li>
+ <li><a name="p31730" class="glabel"/><b>list</b>
+  an object of a <div class="gtype">List</div> domain.
+ </li>
+ <li><a name="p31774" class="glabel"/><b>literal</b>
+   an object with a special syntax in the language. In Axiom , there are
+  five types of literals: <a href="#p5256">booleans</a>, 
+  <a href="#p28282">integers</a>, <a href="#p21186">floats</a>, 
+  <a href="#p48077">strings</a>, and <a href="#p49347">symbols</a>.
+ </li>
+ <li><a name="p31998" class="glabel"/><b>local</b>
+   <div class="gsyntax">(syntax)</div> A keyword used in user-defined
+  functions to declare that a variable is a 
+  <a href="#p32278">local variable</a> of that function. 
+  Because of default assumptions on
+  variables, such a declaration is not necessary but is available to the
+  user for clarity when appropriate.
+ </li>
+ <li><a name="p32278" class="glabel"/><b>local variable</b>
+   (of a function) a variable <a href="#p4735">bound</a> by that
+  function and such that its binding is invisible to any function that
+  function calls. Also called a <div class="gsyntax">lexical</div>
+  variable. By default in the interpreter:
+  <ol>
+   <li> 
+    any variable <div class="gspad">x</div> which appears on the left hand
+    side of an assignment is regarded a local variable of that
+    function. If the intention of an assignment is to change the value of
+    a <a href="#p24833">global variable</a> <div class="gspad">x</div>,
+    the body of the function must then contain the statement 
+    <div class="gspad">free x</div>.
+   </li>
+   <li> 
+    any other variable is regarded as a <a href="#p22739">free variable</a>. 
+   </li>
+   <li>
+     An optional declaration <div class="gspad">local x</div> is available
+    to explicitly declare a variable to be a local variable. All 
+    <a href="#p21594">formal parameters</a> to the function can be regarded
+    as local variables to the function.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p33121" class="glabel"/><b>loop</b>
+  <ol>
+   <li> an expression containing a <div class="gfunction">repeat</div>
+   </li>
+   <li> 
+    a collection expression having a <div class="gfunction">for</div> or a
+    <div class="gfunction">while</div>, e.g. 
+    <div class="gspad">[f(i) for i in S]</div>.
+  </li>
+  </ol>
+ </li>
+ <li><a name="p33300" class="glabel"/><b>loop body</b>
+   the part of a loop following the <div class="gfunction">repeat</div>
+  that tells what to do each iteration. For example, the body of the
+  loop <div class="gspad">for x in S repeat B</div> is 
+  <div class="gspad">B</div>. For a collection expression, the body of the
+  loop precedes the initial <div class="gfunction">for</div> or 
+  <div class="gfunction">while</div>.
+ </li>
+ <li><a name="p33585" class="glabel"/><b>macro</b>
+  <ol>
+   <li> 
+    <div class="gsyntax">(syntax)</div> An expression of the form 
+    <div class="gspad">macro a == b</div> where <div class="gspad">a</div> is a
+    <a href="#p49347">symbol</a> causes <div class="gspad">a</div> to be
+    textually replaced by the expression <div class="gspad">b</div> at 
+    <a href="#p38242">parse</a> time.
+   </li>
+   <li> 
+    An expression of the form <div class="gspad">macro f(a) == b</div>
+    defines a parameterized macro expansion for a parameterized form 
+    <div class="gspad">f</div> This macro causes a form 
+    <div class="gspad">f</div>(<div class="gspad">x</div>) to be textually
+    replaced by the expression <div class="gspad">c</div> at parse time,
+    where <div class="gspad">c</div> is the expression obtained by
+    replacing <div class="gspad">a</div> by <div class="gspad">x</div>
+    everywhere in <div class="gspad">b</div>. See also 
+    <a href="#p13754">definition</a> where a similar substitution is done
+    during <a href="#p19167">evaluation</a>.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p34233" class="glabel"/><b>mode</b>
+   a type expression containing a question-mark 
+  (<div class="gsyntax">?</div>). For example, the mode 
+  <div class="gsyntax">P ?</div> designates <div class="gsyntax">the class
+  of all polynomials over an arbitrary ring</div>.
+ </li>
+ <li><a name="p34266" class="glabel"/><b>monoid</b>
+  is a set with a single, associative operation and an identity element
+ </li>
+ <li><a name="p34398" class="glabel"/><b>mutable</b>
+   objects which contain <a href="#p39600">pointers</a> to other objects
+  and which have operations defined on them which alter these
+  pointers. Contrast <a href="#p26892">immutable</a>. Axiom uses 
+  <a href="#p39949">pointer semantics</a> as does 
+  <a href="#p31518">LISP</a> in contrast with many other languages such as
+  Pascal which use <a href="#p12604">copying semantics</a>. See 
+  <a href="#p39949">pointer semantics</a> for details.
+ </li>
+ <li><a name="p34778" class="glabel"/><b>name</b>
+  <ol>
+   <li>
+    a <a href="#p49347">symbol</a> denoting a <a href="#p52894">variable</a>,
+    i.e. the variable <div class="gspad">x</div>. 
+   </li>
+   <li> 
+    a <a href="#p49347">symbol</a> denoting an 
+    <a href="#p36041">operation</a>,  i.e. the operation
+    <div class="gspad">divide: (Integer, Integer) -> Integer</div>.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p35023" class="glabel"/><b>nullary</b>
+  a function with no arguments,  
+  e.g. <div class="gfunction">characteristic</div>.
+ </li>
+ <li><a name="p35104" class="glabel"/><b>nullary</b>
+  operation or function with <a href="#p3173">arity</a> 0
+ </li>
+ <li><a name="p35156" class="glabel"/><b>Object</b>
+   a category with no operations or attributes,  from which most categories
+   in Axiom  are <a href="#p8634">category extensions</a>.
+ </li>
+ <li><a name="p35301" class="glabel"/><b>object</b>
+   a data entity created or manipulated by programs. Elements of
+  domains, functions, and domains themselves are objects. Whereas
+  categories are created by functions, they cannot be dynamically
+  manipulated in the current system and are thus not considered as
+  objects. The most basic objects are <a href="#p31774">literals</a>;
+  all other objects must be created 
+  <a href="#p22911">functions</a>. Objects can refer to other objects using
+  <a href="#p39600">pointers</a>. Axiom language uses 
+  <a href="#p39949">pointer semantics</a> when dealing with 
+  <a href="#p34398">mutable</a> objects.
+ </li>
+ <li><a name="p35854" class="glabel"/><b>object code</b>
+   code which can be directly executed by hardware; also known as 
+  <div class="gsyntax">machine language</div>.
+ </li>
+ <li><a name="p35946" class="glabel"/><b>operand</b>
+   an argument of an <a href="#p36278">operator</a> (regarding an
+  operator as a <a href="#p22911">function</a>).
+ </li>
+ <li><a name="p36041" class="glabel"/><b>operation</b>
+   an abstraction of a <a href="#p22911">function</a>, described by a 
+  <a href="#p46813">signature</a>. For example, 
+  <div align="center" class="gspad">
+   fact: NonNegativeInteger -> NonNegativeInteger
+  </div>
+  describes an operation for "the factorial of a (non-negative) integer".
+ </li>
+ <li><a name="p36278" class="glabel"/><b>operator</b>
+   special reserved words in the language such as 
+  <div class="gfunction">+</div> and <div class="gfunction">*</div>;
+  operators can be either <a href="#p42559">prefix</a> or 
+  <a href="#p27746">infix</a> and have a relative 
+  <a href="#p42098">precedence</a>.
+ </li>
+ <li><a name="p36465" glabel="class"/><b>overloading</b>
+   the use of the same name to denote distinct functions; a function is
+  identified by a <a href="#p46813">signature</a> identifying its name,
+  the number and types of its arguments, and its return types. If two
+  functions can have identical signatures, a
+  <a href="#p37520">package call</a> must be made to distinquish the two.
+ </li>
+ <li><a name="p36778" class="glabel"/><b>package</b>
+   a domain whose exported operations depend solely on the parameters
+  and other explicit domains, e.g. a package for solving systems of
+  equations of polynomials over any field, e.g. floats, rational
+  numbers, complex rational functions, or power series. Facilities for
+  integration, differential equations, solution of linear or polynomial
+  equations, and group theory are provided by "packages". Technically, a
+  package is a domain which has no <a href="#p46813">signature</a>
+  containing the symbol $. While domains intuitively provide
+  computational objects you can compute with, packages intuitively
+  provide functions (<a href="#p41450">polymorphic</a> functions) which
+  will work over a variety of datatypes.
+ </li>
+ <li><a name="p37520" class="glabel"/><b>package call</b>
+   <div class="gsyntax">(syntax)</div> an expression of the form 
+  <div class="gspad">e $ D</div> where <div class="gspad">e</div> is an 
+  <a href="#p2473">application</a> and <div class="gspad">D</div> denotes
+  some <a href="#p36778">package</a> (or <a href="#p17507">domain</a>).
+ </li>
+ <li><a name="p37696" class="glabel"/><b>package call</b>
+   <div class="gsyntax">(syntax)</div> an expression of the form 
+  <div class="gspad">f(x, y)$D</div> used to identify that the function 
+  <div class="gspad">f</div> is to be one from <div class="gspad">D</div>.
+ </li>
+ <li><a name="p37833" class="glabel"/><b>package constructor</b>
+  same as <a href="#p16173">domain constructor</a>.
+ </li>
+ <li><a name="p37878" class="glabel"/><b>parameter</b>
+  see <a href="#p2885">argument</a>
+ </li>
+ <li><a name="p37908" class="glabel"/><b>parameterized datatype</b>
+   a domain that is built on another, for example, polynomials with
+  integer coefficients.
+ </li>
+ <li><a name="p38004" class="glabel"/><b>parameterized form</b>
+   a expression of the form <div class="gspad">f(x, y)</div>, an 
+  <a href="#p2473">application</a> of a function.
+ </li>
+ <li><a name="p38095" class="glabel"/><b>parent</b>
+   (of a domain) a category which is explicitly declared in the source
+  code definition for the domain to be an <a href="#p20171">export</a>
+  of the domain.
+ </li>
+ <li><a name="p38242" class="glabel"/><b>parse</b>
+  <ol>
+   <li>
+     (verb) to produce an internal representation of a user input string;
+    the resultant internal representation is then "interpreted" by Axiom
+    to perform some indicated action.
+   </li>
+   <li>
+    the transformation of a user input string representing a valid Axiom
+    expression into an internal representation as a tree-structure.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p38572" class="glabel"/><b>partially ordered set</b>
+   a set with a reflexive, transitive and antisymetric 
+  <a href="#p4684">binary</a> operation.
+ </li>
+ <li><a name="p38600" class="glabel"/><b>pattern</b>
+  The left hand side of a rewrite rule is called a pattern. Rewrite rules
+  can be used to perform pattern matching, usually for simplification.
+  The right hand side of a rule is called the 
+  <a href="p49000">substitution</a>.
+ </li>
+ <li><a name="p38661" class="glabel"/><b>pattern match</b>
+  <ol>
+   <li>
+     (on expressions) Given a expression called a "subject" 
+    <div class="gspad">u</div>, the attempt to rewrite 
+    <div class="gspad">u</div> using a set of "rewrite rules". Each rule has
+    the form <div class="gspad">A == B</div> where 
+    <div class="gspad">A</div> indicates a expression called a "pattern" and
+    <div class="gspad">B</div> denotes a "replacement". The meaning of
+    this rule is "replace <div class="gspad">A</div> by 
+    <div class="gspad">B"</div>. If a given pattern <div class="gspad">A</div>
+    matches a subexpression of <div class="gspad">u</div>, that
+    subexpression is replaced by <div class="gspad">B</div>. Once
+    rewritten, pattern matching continues until no further changes occur.
+   </li>
+   <li>
+     (on strings) the attempt to match a string indicating a "pattern" to
+    another string called a "subject", for example, for the purpose of
+    identifying a list of names. In a browser, users may enter 
+    <a href="#p46294">search strings</a> for the purpose of identifying
+    constructors, operations, and attributes.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p39400" class="glabel"/><b>pattern variable</b>
+  In a rule a symbol which is not a recognized function acts as a
+  pattern variable and is free to match any subexpression.
+ </li>
+ <li><a name="p39494" class="glabel"/><b>pile</b>
+   alternate syntax for a block, using indentation and column alignment
+  (see also <a href="#p5086">block</a>).
+ </li>
+ <li><a name="p39600" class="glabel"/><b>pointer</b>
+   a reference implemented by a link directed from one object to another
+  in the computer memory. An object is said to 
+  <div class="gsyntax">refer</div> to another if it has a pointer to that
+  other object. Objects can also refer to themselves (cyclic references
+  are legal). Also more than one object can refer to the same
+  object. See also <a href="#p39949">pointer semantics</a>.
+ </li>
+ <li><a name="p39949" class="glabel"/><b>pointer semantics</b>
+   the programming language semantics used in languages such as LISP
+  which allow objects to be <a href="#p34398">mutable</a>. Consider the
+  following sequence of Axiom statements:
+  <ol>
+   <li> <div class="gspad">x : Vector Integer := [1, 4, 7]</div> 
+   </li>
+   <li> <div class="gspad">y := x</div> 
+   </li>
+   <li> <div class="gspad">swap!(x, 2, 3)</div> 
+   </li>
+  </ol>
+  The function <div class="gfunction">swap!</div> from 
+  <div class="gtype">Vector</div> is used to interchange the 2nd and 3rd
+  value in the list <div class="gspad">x</div> producing the value 
+  <div class="gspad">[1, 7, 4]</div>. What value does 
+  <div class="gspad">y</div> have after evaluation of the third statement?
+  The answer is different in Axiom than it is in a language with 
+  <a href="#p12604">copying semantics</a>. In Axiom , first the vector 
+  [1, 2, 3] is created and the variable <div class="gspad">x</div> set to 
+  <a href="#p39600">point</a> to this object. Let
+  <div class="gspad">'s</div> call this object 
+  <div class="gspad">V</div>. Now <div class="gspad">V</div> refers to its 
+  <a href="#p26892">immutable</a> components 1, 2, and 3. Next, the
+  variable <div class="gspad">y</div> is made to point to 
+  <div class="gspad">V</div> just as <div class="gspad">x</div> does. Now the
+  third statement interchanges the last 2 elements of 
+  <div class="gspad">V</div> (the <div class="gsyntax">!</div> at the end of
+  the name <div class="gfunction">swap!</div> from 
+  <div class="gtype">Vector</div> tells you that this operation is
+  destructive, that is, it changes the elements <div class="gsyntax">in
+  place</div>). Both <div class="gspad">x</div> and 
+  <div class="gspad">y</div> perceive this change to 
+  <div class="gspad">V</div>. Thus both <div class="gspad">x</div> and 
+  <div class="gspad">y</div> then have the value 
+  <div class="gspad">[1, 7, 4]</div>. 
+  In Pascal, the second statement causes a copy of 
+  <div class="gspad">V</div> to be stored under 
+  <div class="gspad">y</div>. Thus the change to <div class="gspad">V</div>
+  made by the third statement does not affect 
+  <div class="gspad">y</div>.
+ </li>
+ <li><a name="p41450" class="glabel"/><b>polymorphic</b>
+   a <a href="#p22911">function</a> parameterized by one or more 
+  <a href="#p17507">domains</a>; a <a href="#p2267">algorithm</a> defined
+  <a href="#p6628">categorically</a>. Every function defined in a domain
+  or package constructor with a domain-valued parameter is
+  polymorphic. For example, the same matrix 
+  <div class="gfunction">*</div> function is used to multiply "matrices over
+  integers" as "matrices over matrices over integers"
+ </li>
+ <li><a name="p41972" class="glabel"/><b>postfix</b>
+   an <a href="#p36278">operator</a> that follows its single 
+  <a href="#p35946">operand</a>. Postfix operators are not available in
+  Axiom.
+ </li>
+ <li><a name="p42098" class="glabel"/><b>precedence</b>
+   <div class="gsyntax">(syntax)</div> refers to the so-called 
+  <div class="gsyntax">binding power</div> of an operator. For example, 
+  <div class="gspad">*</div> has higher binding power than 
+  <div class="gspad">+</div> so that the expression
+  <div class="gspad">a + b * c</div> is equivalent to
+  <div class="gspad">a + (b * c)</div>.
+ </li>
+ <li><a name="p42318" class="glabel"/><b>precision</b>
+   the number of digits in the specification of a number, e.g. as set by
+  <div class="gfunction">precision</div> from <div class="gtype">Float</div>.
+ </li>
+ <li><a name="p42440" class="glabel"/><b>predicate</b>
+  <ol>
+   <li> a Boolean valued function,  e.g. 
+        <div class="gspad">odd: Integer -> Boolean</div>. 
+   </li>
+   <li> an Boolean valued expression
+   </li>
+  </ol>
+ </li>
+ <li><a name="p42559" class="glabel"/><b>prefix</b>
+   <div class="gsyntax">(syntax)</div> an 
+  <a href="#p36278">operator</a> such as <div class="gspad">-</div> and
+  <div class="gspad">not</div> that is written 
+  <div class="gsyntax">before</div> its single 
+  <a href="#p35946">operand</a>. Every function of one argument can be used
+  as a prefix operator. For example, all of the following have
+  equivalent meaning in Axiom : <div class="gspad">f(x)</div>, 
+  <div class="gspad">f x</div>, and <div class="gspad">f.x</div>. See also 
+  <a href="#p17269">dot notation</a>.
+ </li>
+ <li><a name="p42917" class="glabel"/><b>quote</b>
+   the prefix <a href="#p36278">operator</a> 
+  <div class="gfunction">'</div> meaning <div class="gsyntax">do not
+  evaluate</div>.
+ </li>
+ <li><a name="p43000" class="glabel"/><b>Record</b>
+   (basic domain constructor) a domain constructor used to create a
+  inhomogeneous aggregate composed of pairs of "selectors" and 
+  <a href="#p52710">values</a>. A Record domain is written in the form 
+  <div class="gspad">Record(a1:D1, ..., an:Dn)</div> 
+  (<div class="gspad">n</div> > 0) where <div class="gspad">a1</div>, ...,
+  <div class="gspad">an</div> are identifiers called the 
+  <div class="gsyntax">selectors</div> of the record, and 
+  <div class="gspad">D1</div>, ..., <div class="gspad">Dn</div> are domains
+  indicating the type of the component stored under selector 
+  <div class="gspad">an</div>.
+ </li>
+ <li><a name="p43448" class="glabel"/><b>recurrence relation</b>
+   A relation which can be expressed as a function 
+  <div class="gspad">f</div> with some argument <div class="gspad">n</div>
+  which depends on the value of <div class="gspad">f</div> at 
+  <div class="gspad">k</div> previous values. In many cases, Axiom will
+  rewrite a recurrence relation on compilation so as to 
+  <a href="#p5499">cache</a> its previous <div class="gspad">k</div> values
+  and therefore make the computation significantly more efficient.
+ </li>
+ <li><a name="p43806" class="glabel"/><b>recursion</b>
+   use of a self-reference within the body of a function. Indirect
+  recursion is when a function uses a function below it in the call
+  chain.
+ </li>
+ <li><a name="p43948" class="glabel"/><b>recursive</b>
+  <ol>
+   <li> A function that calls itself,  either directly or indirectly through
+        another function. 
+   </li>
+   <li> self-referential. See also <a href="#p43948">recursive</a>.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p44097" class="glabel"/><b>reference</b>
+  see <a href="#p39600">pointer</a>
+ </li>
+ <li><a name="p44126" class="glabel"/><b>Rep</b>
+   a special identifier used as <a href="#p32278">local variable</a> of
+  a domain constructor body to denote the representation domain for
+  objects of a domain.
+ </li>
+ <li><a name="p44277" class="glabel"/><b>representation</b>
+   a <a href="#p17507">domain</a> providing a data structure for
+  elements of a domain; generally denoted by the special identifier 
+  <a href="#p44126">Rep</a> in the Axiom programming language. As domains
+  are <a href="#p725">abstract datatypes</a>, this representation is not
+  available to users of the domain, only to functions defined in the 
+  <a href="#p23911">function body</a> for a domain constructor. Any domain
+  can be used as a representation.
+ </li>
+ <li><a name="p44698" class="glabel"/><b>reserved word</b>
+   a special sequence of non-blank characters with special meaning in
+  the Axiom language. Examples of reserved words are names such as 
+  <div class="gfunction">for</div>, <div class="gfunction">if</div>, and 
+  <div class="gfunction">free</div>, operator names such as 
+  <div class="gfunction">+</div> and <div class="gspad">mod</div>, special
+  character strings such as <div class="gspad">==</div> and 
+  <div class="gspad">:=</div>.
+ </li>
+ <li><a name="p45044" class="glabel"/><b>retraction</b>
+   to move an object in a parameterized domain back to the underlying
+  domain, for example to move the object <div class="gspad">7</div> from
+  a "fraction of integers" 
+  (domain <div class="gtype">Fraction Integer</div>) to
+  "the integers" (domain <div class="gtype">Integer</div>).
+ </li>
+ <li><a name="p45280" class="glabel"/><b>return</b>
+   when leaving a function, the value of the expression following 
+  <div class="gfunction">return</div> becomes the value of the function.
+ </li>
+ <li><a name="p45405" class="glabel"/><b>ring</b>
+   a set with a commutative addition, associative multiplication, a unit
+  element, and multiplication distributes over addition and subtraction.
+ </li>
+ <li><a name="p45557" class="glabel"/><b>rule</b>
+   <div class="gsyntax">(syntax)</div> 1. An expression of the form
+  <div class="gspad">rule A == B</div> indicating a "rewrite
+  rule". 2. An expression of the form 
+  <div class="gspad">rule(R1;...;Rn)</div> 
+  indicating a set of "rewrite rules" 
+  <div class="gspad">R1</div>, ..., <div class="gspad">Rn</div>. See 
+  <a href="#p38661">pattern matching</a> for details.
+ </li>
+ <li><a name="p45818" class="glabel"/><b>run-time</b>
+   the time of doing a computation. Contrast 
+  <a href="#p10167">compile-time</a>. rather than prior to it; 
+  <a href="#p17507">dynamic</a> as opposed to 
+  <a href="#p47594">static</a>. For example, the decision of the intepreter
+  to build a structure such as "matrices with power series entries" in
+  response to user input is made at run-time.
+ </li>
+ <li><a name="p46129" class="glabel"/><b>run-time check</b>
+   an error-checking which can be done only when the program receives
+  user input; for example, confirming that a value is in the proper
+  range for a computation.
+ </li>
+ <li><a name="p46200" class="glabel"/><b>search order</b>
+   the sequence of <a href="#p13571">default packages</a> for a given
+  domain to be searched during <a href="#p17853">dynamic
+  lookup</a>. This sequence is computed first by ordering the category
+  <a href="#p2335">ancestors</a> of the domain according to their 
+  <div class="gsyntax">level number</div>, an integer equal to to the
+  minimum distance of the domain from the category. Parents have level
+  1, parents of parents have level 2, and so on. Among categories with
+  equal level numbers, ones which appear in the left-most branches of
+  <div class="gsyntax">Join</div><div class="gspad">s</div> in the
+  source code come first. See also <a href="#p17853">dynamic lookup</a>.
+ </li>
+ <li><a name="p46294" class="glabel"/><b>search string</b>
+  a string entered into an <a href="#p28103">input area</a> on a screen
+ </li>
+ <li><a name="p46372" class="glabel"/><b>selector</b>
+  an identifier used to address a component value of a
+  <a href="p43000">Record</a> datatype.
+ </li>
+ <li><a name="p46454" class="glabel"/><b>semantics</b>
+   the relationships between symbols and their meanings. The rules for
+  obtaining the <div class="gsyntax">meaning</div> of any syntactically
+  valid expression.
+ </li>
+ <li><a name="p46594" class="glabel"/><b>semigroup</b>
+   <div class="gsyntax">(algebra)</div> a <a href="#p34266">monoid</a>
+  which need not have an identity; it is closed and associative.
+ </li>
+ <li><a name="p46699" class="glabel"/><b>side effect</b>
+   action which changes a component or structure of a value. See 
+  <a href="#p14365">destructive operation</a> for details.
+ </li>
+ <li><a name="p46813" class="glabel"/><b>signature</b>
+   <div class="gsyntax">(syntax)</div> an expression describing an 
+  <a href="#p36041">operation</a>. A signature has the form as 
+  <div class="gspad">name : source -> target</div>, where 
+  <div class="gspad">source</div> gives the type of the arguments of the
+  operation, and <div class="gspad">target</div> gives the type of the
+  result.
+ </li>
+ <li><a name="p47066" class="glabel"/><b>small float</b>
+  the domain for hardware floating point arithmetic as provided by the
+  computer hardware.
+ </li>
+ <li><a name="p47159" class="glabel"/><b>small integer</b>
+  the domain for hardware integer arithmetic. as provided by the computer 
+  hardware.
+ </li>
+ <li><a name="p47246" class="glabel"/><b>source</b>
+   the <a href="#p50664">type</a> of the argument of a 
+  <a href="#p22911">function</a>; the type expression before the 
+  <div class="gspad">-></div> in a <a href="#p46813">signature</a>. For
+  example, the source of 
+  <div class="gspad">f : (Integer, Integer) -> Integer</div> 
+  is <div class="gspad">(Integer, Integer)</div>.
+ </li>
+ <li><a name="p47486" class="glabel"/><b>sparse</b>
+   data structure whose elements are mostly identical (a sparse matrix
+  is one filled with mostly zeroes).
+ </li>
+ <li><a name="p47594" class="glabel"/><b>static</b>
+  that computation done before run-time, such as compilation. Contrast
+  <a href="#p17507">dynamic</a>.
+ </li>
+ <li><a name="p47691" class="glabel"/><b>step number</b>
+   the number which precedes user input lines in an interactive session;
+  the output of user results is also labeled by this number.
+ </li>
+ <li><a name="p47825" class="glabel"/><b>stream</b>
+   an object of <div class="gtype">Stream(R)</div>, a generalization of
+  a <a href="#p31730">list</a> to allow an infinite number of
+  elements. Elements of a stream are computed "on demand". Strings are
+  used to implement various forms of power series.
+ </li>
+ <li><a name="p48077" class="glabel"/><b>string</b>
+   an object of domain <div class="gtype">String</div>. Strings are 
+  <a href="#p31774">literals</a> consisting of an arbitrary sequence of 
+  <a href="#p9278">characters</a> surrounded by double-quotes 
+  (<div class="gfunction">"</div>), e.g. 
+  <div class="gspad">"Look here!"</div>.
+ </li>
+ <li><a name="p48303" class="glabel"/><b>subdomain</b>
+   <div class="gsyntax">(basic concept)</div> a 
+  <a href="#p17507">domain</a> together with a 
+  <a href="#p42440">predicate</a> characterizing which members of the
+  domain belong to the subdomain. The exports of a subdomain are usually
+  distinct from the domain itself. A fundamental assumption however is
+  that values in the subdomain are automatically 
+  <a href="#p9572">coerceable</a> to values in the domain. For example, if
+  <div class="gspad">n</div> and <div class="gspad">m</div> are declared
+  to be members of a subdomain of the integers, then 
+  <div class="gsyntax">any</div> <a href="#p4684">binary</a> operation from
+  <div class="gtype">Integer</div> is available on 
+  <div class="gspad">n</div> and <div class="gspad">m</div>. On the other
+  hand, if the result of that operation is to be assigned to, say, 
+  <div class="gspad">k</div>, also declared to be of that subdomain, a 
+  <a href="#p45818">run-time</a> check is generally necessary to ensure
+  that the result belongs to the subdomain.
+ </li>
+ <li><a name="p49000" class="glabel"/><b>substitution</b>
+  The right hand side of a rule is called the substitution.
+  The left hand side of a rewrite rule is called a 
+  <a href="p38600">pattern</a>. Rewrite rules
+  can be used to perform pattern matching, usually for simplification.
+ </li>
+ <li><a name="p49128" class="glabel"/><b>such that clause</b>
+   the use of <div class="gfunction">|</div> followed by an expression
+  to filter an iteration.
+ </li>
+ <li><a name="p49209" class="glabel"/><b>suffix</b>
+   <div class="gsyntax">(syntax)</div> an 
+  <a href="#p36278">operator</a> which placed after its operand. Suffix
+  operators are not allowed in the Axiom language.
+ </li>
+ <li><a name="p49347" class="glabel"/><b>symbol</b>
+   objects denoted by <a href="#p26553">identifier</a> 
+  <a href="#p31774">literals</a>; an element of domain 
+  <div class="gtype">Symbol</div>. The interpreter defaultly converts a
+  symbol <div class="gspad">x</div> into 
+  <div class="gtype">Variable(x)</div>.
+ </li>
+ <li><a name="p49538" class="glabel"/><b>syntax</b>
+  rules of grammar,  punctuation etc. for forming correct expressions.
+ </li>
+ <li><a name="p49613" class="glabel"/><b>system commands</b>
+   top-level Axiom statements that begin with 
+  <div class="gsyntax">)</div>. System commands allow users to query the
+  database, read files, trace functions, and so on.
+ </li>
+ <li><a name="p49773" class="glabel"/><b>tag</b>
+  an identifier used to discriminate a branch of a
+  <a href="#p51780">Union</a> type.
+ </li>
+ <li><a name="p49851" class="glabel"/><b>target</b>
+   the <a href="#p50664">type</a> of the result of a 
+  <a href="#p22911">function</a>; the type expression following the 
+  <div class="gspad">-></div> in a <a href="#p46813">signature</a>.
+ </li>
+ <li><a name="p49990" class="glabel"/><b>top-level</b>
+  refers to direct user interactions with the Axiom  interpreter.
+ </li>
+ <li><a name="p50064" class="glabel"/><b>totally ordered set</b>
+   <div class="gsyntax">(algebra)</div> a partially ordered set where
+  any two elements are comparable.
+ </li>
+ <li><a name="p50148" class="glabel"/><b>trace</b>
+   use of system function <div class="gcmd">)trace</div> to track the
+  arguments passed to a function and the values returned.
+ </li>
+ <li><a name="p50262" class="glabel"/><b>tuple</b>
+   an expression of two or more other expressions separated by commas,
+  e.g. <div class="gspad">4, 7, 11</div>. Tuples are also used for
+  multiple arguments both for <a href="#p2473">applications</a>
+  (e.g. <div class="gspad">f(x, y)</div>) and in 
+  <a href="#p46813">signatures</a> (e.g. 
+  <div class="gspad">(Integer, Integer) -> Integer</div>). 
+  A tuple is not a data structure, rather a
+  syntax mechanism for grouping expressions.
+ </li>
+ <li><a name="p50664" class="glabel"/><b>type</b>
+   The type of any <a href="#p48303">subdomain</a> is the unique symbol
+  <div class="gsyntax">Category</div>. The type of a
+  <a href="#p17507">domain</a> is any <a href="#p6628">category</a> that
+  domain belongs to. The type of any other object is either the (unique)
+  domain that object belongs to or any <a href="#p48303">subdomain</a>
+  of that domain. The type of objects is in general not unique.
+ </li>
+ <li><a name="p51002" class="glabel"/><b>type checking</b>
+  a system function which determines whether the datatype of an object is
+  appropriate for a given operation.
+ </li>
+ <li><a name="p51114" class="glabel"/><b>type constructor</b>
+  a <a href="#p16173">domain constructor</a> or
+  <a href="#p8355">category constructor</a>.
+ </li>
+ <li><a name="p51189" class="glabel"/><b>type inference</b>
+   when the interpreter chooses the type for an object based on
+  context. For example, if the user interactively issues the definition
+  <div align="center" class="gspad">f(x) == (x + %i)**2</div> then
+  issues <div class="gspad">f(2)</div>, the interpreter will infer the
+  type of <div class="gspad">f</div> to be 
+  <div class="gspad">Integer -> Complex Integer</div>.
+ </li>
+ <li><a name="p51480" class="glabel"/><b>unary</b>
+  operation or function with <a href="#p3173">arity</a> 1
+ </li>
+ <li><a name="p51532" class="glabel"/><b>underlying domain</b>
+   for a <a href="#p17507">domain</a> that has a single domain-valued
+  parameter, the <div class="gsyntax">underlying domain</div> refers to
+  that parameter. For example, the domain "matrices of integers" 
+  (<div class="gtype">Matrix Integer</div>) has underlying domain 
+  <div class="gtype">Integer</div>.
+ </li>
+ <li><a name="p51780" class="glabel"/><b>Union</b>
+   <div class="gsyntax">(basic domain constructor)</div> a domain
+  constructor used to combine any set of domains into a single domain. A
+  Union domain is written in the form 
+  <div class="gspad">Union(a1:D1,..., an:Dn)</div> 
+  (<div class="gspad">n</div> > 0) where 
+  <div class="gspad">a1</div>, ..., <div class="gspad">an</div> are
+  identifiers called the <div class="gsyntax">tags</div> of the union,
+  and <div class="gspad">D1</div>, ..., <div class="gspad">Dn</div> are
+  domains called the <div class="gsyntax">branches</div> of the
+  union. The tags <div class="gspad">ai</div> are optional, but required
+  when two of the <div class="gspad">Di</div> are equal, e.g. 
+  <div class="gspad">Union(inches:Integer, centimeters:Integer)</div>. In the
+  interpreter, values of union domains are automatically coerced to
+  values in the branches and vice-versa as appropriate. See also 
+  <a href="#p6220">case</a>.
+ </li>
+ <li><a name="p52482" class="glabel"/><b>unit</b>
+  <div class="gsyntax">(algebra)</div> an invertible element.
+ </li>
+ <li><a name="p52526" class="glabel"/><b>user function</b>
+  a function defined by a user during an interactive session. Contrast
+  <a href="#p5399">built-in function</a>.
+ </li>
+ <li><a name="p52631" class="glabel"/><b>user variable</b>
+  a variable created by the user at top-level during an interactive session
+ </li>
+ <li><a name="p52710" class="glabel"/><b>value</b>
+  <ol>
+   <li>
+    the result of <a href="#p19167">evaluating</a> an expression. 
+   </li>
+   <li> 
+    a property associated with a <a href="#p52894">variable</a> in a
+    <a href="#p4735">binding</a> in an <a href="#p19131">environment</a>.
+   </li>
+  </ol>
+ </li>
+ <li><a name="p52894" class="glabel"/><b>variable</b>
+  a means of referring to an object but itself is not an object. A
+  variable has a name and an associated <a href="#p4735">binding</a>
+  created by <a href="#p19167">evaluation</a> of Axiom expressions such
+  as <a href="#p12903">declarations</a>, 
+  <a href="#p3322">assignments</a>, and 
+  <a href="#p13754">definitions</a>. In the top-level 
+  <a href="#p19131">environment</a> of the interpreter, variables are 
+  <a href="#p24833">global variables</a>. Such variables can be freely
+  referenced in user-defined functions although a 
+  <a href="#p22113">free</a> declaration is needed to assign values to
+  them. See <a href="#p32278">local variable</a> for details.
+ </li>
+ <li><a name="p53484" class="glabel"/><b>Void</b>
+   the type given when the <a href="#p52710">value</a> and <a
+  href="#p50664">type</a> of an expression are not needed. Also used
+  when there is no guarantee at run-time that a value and predictable
+  mode will result.
+ </li>
+ <li><a name="p53681" class="glabel"/><b>wild card</b>
+   a symbol which matches any substring including the empty string; for
+  example, the search string <div class="gsyntax">*an*</div> matches an
+  word containing the consecutive letters <div class="gsyntax">a</div>
+  and <div class="gsyntax">n</div>
+ </li>
+ <li><a name="p53866" class="glabel"/><b>workspace</b>
+   an interactive record of the user input and output held in an
+  interactive history file. Each user input and corresponding output
+  expression in the workspace has a corresponding <a href="#p47691">step
+  number</a>. The current output expression in the workspace is referred
+  to as <div class="gspad">%</div>. The output expression associated
+  with step number <div class="gspad">n</div> is referred to by <div
+  class="gspad">%%(n)</div>. The <div class="gspad">k</div>-th previous
+  output expression relative to the current step number <div
+  class="gspad">n</div> is referred to by <div class="gspad">%%(-
+  k)</div>. Each interactive <a href="#p21847">frame</a> has its own
+  workspace.
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{graphexamples.xhtml}
+<<graphexamples.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Graphics Examples</div>
+  <hr/>
+Here are some examples of Axiom graphics.
+<ul>
+ <li> <a href="graphexamplesassorted.xhtml">Assorted Examples</a><br/>
+   Examples of each type of Axiom Graphics
+ </li>
+ <li> <a href="graphexamplesthreed.xhtml">Three Dimensional Graphics</a><br/>
+   Plot parametrically defined surfaces of three functions.
+ </li>
+ <li> <a href="graphexamplesonevariable.xhtml">
+   Functions of One Variable</a><br/>
+   Plot curves defined by an equation y=f(x)
+ </li>
+ <li> <a href="graphexamplesparametric.xhtml">Parametric Curves</a><br/>
+   Plot curves defined by parametric equations x=f(t), y=f(t)
+ </li>
+ <li> <a href="graphexamplespolar.xhtml">Polar Coordinates</a><br/>
+   Plot curves given in polar form by an equation r=f(&#x003B8;)
+ </li>
+ <li> <a href="graphexamplesimplicit.xhtml">Implicit Curves</a><br/>
+   Plot non-singular curves defined by a polynomial equation
+ </li>
+ <li> <a href="graphexampleslistofpoints.xhtml">Lists of Points</a><br/>
+   Plot lists of points in the (x,y)-plane
+ </li> 
+</ul>
+<<page foot>>
+@
+
+\subsection{graphexamplesassorted.xhtml}
+<<graphexamplesassorted.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Assorted Graphics Examples</div>
+  <hr/>
+Function of two variables: z=f(x,y)
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(sin(x*y),x=-2.5..2.5,y=-2.5..2.5)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Function of one variable: y=f(x)
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="draw(sin tan x - tan sin x,x=0..6)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Plane parametric curve: x=f(t),y=g(t)
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="draw(curve(sin(t)*sin(2*t),sin(3*t)*sin(4*t)),t=0..2*%pi)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Space parametric curve: x=f(t),y=g(t),z=h(t)
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="draw(curve(sin(t)*sin(2*t),sin(3*t)*sin(4*t),sin(5*t)*sin(6*t)),t=0..2*%pi)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Polar coordinates: r=f(&#x003B8;)
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="draw(sin(17*t),t=0..2*%pi,coordinates==polar)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Implicit curves: p(x,y)=0
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="draw(y^2+y=x^3-x,x,y,range==[-2..2,-2..1])" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+
+\subsection{graphexamplesimplicit.xhtml}
+<<graphexamplesimplicit.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Implicit Curves</div>
+  <hr/>
+A Conic Section (Hyperbola)
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(x*y=1,x,y,range==[-3..3,-3..3])" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+An Elliptic Curve
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="draw(y^2+y=x^3-x,x,y,range==[-2..2,-2..1])" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Cartesian Ovals
+<ul>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="p:=((x^2+y^2+1)-8*x)^2-(8*(x^2+y^2+1)-4*x-1)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p3','p4']);"
+    value='draw(p=0,x,y,range==[-1..11,-7..7],title=="Cartesian Ovals")' />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Cassinian Ovals: two loops
+<ul>
+ <li>
+  <input type="submit" id="p5" class="noresult" 
+    onclick="makeRequest('p5');"
+    value="q:=(x^2+y^2+7^2)^2-(6^4+4*7^2*x^2)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p5','p6']);"
+    value='draw(q=0,x,y,range==[-10..10,-4..4],title=="Cassinian Oval")' />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+
+\subsection{graphexampleslistofpoints.xhtml}
+<<graphexampleslistofpoints.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Plotting Lists of Points</div>
+  <hr/>
+<ul>
+ <li>
+  <input type="submit" id="p1" class="noresult" 
+    onclick="makeRequest('p1');"
+    value="p:=map(point,[[1.,1.],[0.,1.],[0.,0.],[1.,0.],[1.,.5],[.5,0.],[0.,.5],[.5,1.],[.25,.25],[.25,.75],[.75,.75],[.75,.25]])" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="noresult" 
+    onclick="makeRequest('p2');"
+    value="llp:=[[p.1,p.2],[p.2,p.3],[p.3,p.4],[p.4,p.1],[p.5,p.6],[p.6,p.7],[p.7,p.8],[p.8,p.5],[p.9,p.10],[p.10,p.11],[p.11,p.12],[p.12,p.9]]" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="lsize:=[6,6,6,6,8,8,8,8,10,10,10,10]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="noresult" 
+    onclick="makeRequest('p4');"
+    value="pc1:=pastel red()" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="noresult" 
+    onclick="makeRequest('p5');"
+    value="pc2:=dim green()" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="noresult" 
+    onclick="makeRequest('p6');"
+    value="pc3:=pastel yellow()" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="noresult" 
+    onclick="makeRequest('p7');"
+    value="lpc:=[pc1,pc1,pc1,pc1,pc2,pc2,pc2,pc2,pc3,pc3,pc3,pc3]" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="noresult" 
+    onclick="makeRequest('p8');"
+    value="lc:=[pastel blue(), light yellow(), dim green(), bright red(), light green(), dim yellow(), bright blue(), dark red(), pastel red(), light blue(), dim green(), light yellow()]" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="noresult" 
+    onclick="makeRequest('p9');"
+    value="g:=makeGraphImage(llp,lpc,lc,lsize)$GRIMAGE" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p9','p10']);"
+    value='makeViewport2D(g,[title("Lines")])$VIEW2D' />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopmakeviewport2d.xhtml">makeViewport2D</a> command takes a
+list of options as a parameter in this example. The string "Lines" is
+designated as the viewport's title.
+<<page foot>>
+@
+
+
+\subsection{graphexamplesonevariable.xhtml}
+<<graphexamplesonevariable.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Functions of One Variable</div>
+  <hr/>
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(sin tan x - tan sin x, x=0..6)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="draw(sin x + cos x, x=0..2*%pi)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="draw(sin(1/x),x=-1..1)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="draw(x*sin(1/x),x=-1..1)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+
+\subsection{graphexamplesparametric.xhtml}
+<<graphexamplesparametric.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Parametric Curves</div>
+  <hr/>
+The Lemnicate of Bernoulli
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(curve(cos(t/(1+sin(t)^2)),sin(t)*cos(t)/(1+sin(t)^2)),t=-%pi..%pi)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Lissajous curve
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="draw(curve(9*sin(3*t/4),8*sin(t)),t=-4*%pi..4*%pi)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+A gnarly closed curve
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="draw(curve(sin(t)*sin(2*t)*sin(3*t),sin(4*t)*sin(5*t)*sin(6*t)),t=0..2*%pi)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Another closed curve
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="draw(curve(cos(4*t)*cos(7*t),cos(4*t)*sin(7*t)),t=0..2*%pi)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+
+\subsection{graphexamplespolar.xhtml}
+<<graphexamplespolar.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Polar Coordinates</div>
+  <hr/>
+A circle
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(1,t=0..2*%pi,coordinates==polar)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+A spiral
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="draw(t,t=0..100,coordinates==polar)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+A Petal Curve
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="draw(sin(4*t),t=0..2*%pi,coordinates==polar)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+A Limacon
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="draw(2+3*sin(t),t=0..2*%pi,coordinates==polar)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{graphexamplesthreed.xhtml}
+<<graphexamplesthreed.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Three Dimensional Graphics</div>
+  <hr/>
+Plots of parametric surfaces defined by functions f(u,v), g(u,v) and h(u,v).
+
+Pear Surface
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value='draw(surface((1+exp(-100*u*u))*sin(%pi*u)*sin(%pi*v),(1+exp(-100*u*u))*sin(%pi*u)*cos(%pi*v),(1+exp(-100*u*u))*cos(%pi*u)),u=0..1,v=0..2,title=="Pear")' />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+
+Trigonometric Screw
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value='draw(surface(x*cos(y),x*sin(y),y*cos(x)),x=-4..4,y=0..2*%pi,var1Steps==40,var2Steps==40,title=="Trigonometric Screw")' />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+
+Etruscan Venus
+<ul>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="a:=1.3*cos(2*x)*cos(y)+sin(y)*cos(x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="noresult" 
+    onclick="makeRequest('p4');"
+    value="b:=1.3*sin(2*x)*cos(y)-sin(y)*sin(x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="noresult" 
+    onclick="makeRequest('p5');"
+    value="c:=2.5*cos(y)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p3','p4','p5','p6']);"
+    value='draw(surface(a,b,c),x=0..%pi,y=-%pi..%pi,var1Steps==40,var2Steps==40,title=="Etruscan Venus")' />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+
+Banchoff Klein Bottle
+<ul>
+ <li>
+  <input type="submit" id="p7" class="noresult" 
+    onclick="makeRequest('p7');"
+    value="f:=cos(x)*(cos(x/2)*(sqrt(2)+cos(y))+(sin(x/2)*sin(y)*cos(y)))" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="noresult" 
+    onclick="makeRequest('p8');"
+    value="g:=sin(x)*(cos(x/2)*(sqrt(2)+cos(y))+(sin(x/2)*sin(y)*cos(y)))" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="noresult" 
+    onclick="makeRequest('p9');"
+    value="h:=-sin(x/2)*(sqrt(2)+cos(y))+cos(x/2)*sin(y)*cos(y)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p7','p8','p9','p10']);"
+    value='draw(surface(f,g,h),x=0..4*%pi,y=0..2*%pi,var1Steps==50,var2Steps==50,title=="Banchoff Klein Bottle")' />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+
+<<page foot>>
+@
+
+\subsection{graphicspage.xhtml}
+<<graphicspage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+Axiom can plot curves and surfaces of various types, as well as
+lists of points in the plane.
+  <table>
+   <tr>
+    <td>
+     <a href="graphexamples.xhtml">Examples</a>
+    </td>
+    <td>
+     See examples of Axiom graphics
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="graph2d.xhtml">2D Graphics</a>
+    </td>
+    <td>
+     Graphics in the real and complex plane
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="graph3d.xhtml">3D Graphics</a>
+    </td>
+    <td>
+     Plot surfaces, curves, or tubes around curves
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="graphviewports.xhtml">Viewports</a>
+    </td>
+    <td>
+     Customize graphics using Viewports
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{graphviewports.xhtml}
+<<graphviewports.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Stand-alone Viewport</div>
+  <hr/>
+To get a viewport on a page, you first need to create on in Axiom and
+write it out to a file that can be called up. For example, we draw a
+saddle function and assign the result to the variable v.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="v:=draw(x*x-y*y,x=-1..1,y=-1..1)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Now that we've created the viewport, we want to write the data out to
+a file. To do this, we use the <a href="dbopwrite.xhtml">write</a> command
+which takes as arguments the viewport to write out, the title of the file
+to be written to, and an optiona argument telling the write command what
+type (or types) of data you want to write (in addition to the ones that
+Axiom writes). The optional argument could be a string, like "pixmap", or
+a list of strings, like ["postscript", "pixmap"]. We need a "bitmap" data
+type to include a graph in a page so in this case, we write the viewport
+and tell it to also write a "pixmap" file:
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value='write(v,"saddle","bitmap")' />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Currently supported file formats are "pixmap", "bitmap", "postscript"
+and "image".
+
+Axiom automatically adds ".view" at the end of the viewport data file
+to specify the file type. The ".view" is actually a directory and 
+contains a bitmap file, usually called image.bm.Z, which is a compressed
+bitmap. Firefox can display bitmap files, as shown here. Clicking on the
+image should start a "live graphics copy" so you can manipulate the image.
+
+<br/>
+<br/>
+<a href="graphics.xhtml?3dobjectgraphicspage9.view">
+<img src="/research2/test/mnt/fedora5/doc/viewports/3dobjectgraphicspage9.view/image.bmp"/>
+</a>
+<<page foot>>
+@
+
+\subsection{graph2d.xhtml}
+<<graph2d.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Two Dimensional Graphics</div>
+  <hr/>
+<ul>
+ <li> <a href="graph2donevariable.xhtml">Functions of One Variable</a><br/>
+      Plot curves defined by an equation y=f(x)
+ </li>
+ <li> <a href="graph2dparametric.xhtml">Parametric Curves</a><br/>
+      Plot curves defined by parametric equations x=f(t), y=g(t)
+ </li>
+ <li> <a href="graph2dpolar.xhtml">Polar Coordinates</a><br/>
+      Plot curves given in polar form by an equation r=f(&#x003B8;)
+ </li>
+ <li> <a href="graph2dimplicit.xhtml">Implicit Curves</a><br/>
+      Plot non-singulare curves defined by a polynomial equation
+ </li>
+ <li> <a href="graph2dlistsofpoints.xhtml">List of Points</a><br/>
+      Plot lists of points in the (x,y)-plane
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{graph2dimplicit.xhtml}
+<<graph2dimplicit.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Implicit Curves</div>
+  <hr/>
+Axiom has facilities for graphing a non-singular algebraic curve in a
+rectangular region of the plane. An algebraic curve is a curve defined by
+a polynomial equation p(x,y)=0. Non-singular means that the curve is
+"smooth" in that it does not cross itself or come to a point (cusp). 
+Algebraically, this means that for any point (a,b) on the curve (i.e.
+a point such that p(a,b)=0), the partial derivatives dp/dx(a,b) and
+dp/dy(a,b) are not both zero. We require that the polynomial have rational
+or integral coefficients. Here is a Cartesian ovals algebraic curve 
+example: 
+<ul>
+ <li>
+  <input type="submit" id="p1" class="noresult" 
+    onclick="makeRequest('p1');"
+    value="p:=((x^2+y^2+1)-8*x)^2-(8*(x^2+y^2+1)-4*x-1)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value='draw(p=0,x,y,range==[-1..11,-7..7],title=="Cartesian Ovals")' />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+A range must be declared for each variable specified in the algebraic
+curve equation.
+<<page foot>>
+@
+
+\subsection{graph2dlistsofpoints.xhtml}
+<<graph2dlistsofpoints.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">List of Points</div>
+  <hr/>
+Axiom has the ability to create lists of points in a two dimensional 
+graphics viewport. This is done by utilizing the 
+<a href="db.xhtml?GraphImage">GraphImage</a> and
+<a href="db.xhtml?TwoDimensionalViewport">TwoDimensionalViewport</a>
+domain facilities.
+
+In this example, the <a href="dbopmakegraphimage.xhtml">makeGraphImage</a>
+takes a list of lists of points parameter, a list of colors for each point
+in the graph, a list of colors for each line in the graph, and a list of
+numbers which indicate the size of each point in the graph. The following
+lines create list of lists of points which can be read be made into two
+dimensional graph images.
+
+First we make a list of points
+<ul>
+ <li>
+  <input type="submit" id="p1" class="noresult" 
+    onclick="makeRequest('p1');"
+    value="p:=map(point,[[1.,1.],[0.,1.],[0.,0.],[1.,0.],[1.,.5],[.5,0.],[0.,.5],[.5,1.],[.25,.25],[.25,.75],[.75,.75],[.75,.25]])" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Then we select pairs of these points which represent the endpoints of lines.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="noresult" 
+    onclick="makeRequest('p2');"
+    value="llp:=[[p.1,p.2],[p.2,p.3],[p.3,p.4],[p.4,p.1],[p.5,p.6],[p.6,p.7],[p.7,p.8],[p.8,p.5],[p.9,p.10],[p.10,p.11],[p.11,p.12],[p.12,p.9]]" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Next we set the point color and size, and the line color for all components
+of the graph.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="lsize:=[6,6,6,6,8,8,8,8,10,10,10,10]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="noresult" 
+    onclick="makeRequest('p4');"
+    value="pc1:=pastel red()" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="noresult" 
+    onclick="makeRequest('p5');"
+    value="pc2:=dim green()" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="noresult" 
+    onclick="makeRequest('p6');"
+    value="pc3:=pastel yellow()" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="noresult" 
+    onclick="makeRequest('p7');"
+    value="lpc:=[pc1,pc1,pc1,pc1,pc2,pc2,pc2,pc2,pc3,pc3,pc3,pc3]" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="noresult" 
+    onclick="makeRequest('p8');"
+    value="lc:=[pastel blue(), light yellow(), dim green(), bright red(), light green(), dim yellow(), bright blue(), dark red(), pastel red(), light blue(), dim green(), light yellow()]" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Now the graph image is created and named according to the component
+specifications indicated above. The 
+<a href="dbopmakeviewport2d.xhtml">makeViewport2D</a> command then
+creates a two dimensional viewport for this graph according to the list
+of options specified within the brackets.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="noresult" 
+    onclick="makeRequest('p9');"
+    value="g:=makeGraphImage(llp,lpc,lc,lsize)$GRIMAGE" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopmakeviewport2d.xhtml">makeViewport2D</a> command takes a
+list of options as a parameter. In this example the string "Lines" is 
+designated as the viewport's title.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p9','p10']);"
+    value='makeViewport2D(g,[title("Lines")])$VIEW2D' />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{graph2donevariable.xhtml}
+<<graph2donevariable.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Functions of One Variable</div>
+  <hr/>
+Here we wish to plot a function y=f(x) on the interval [a,b]. As an 
+example, let's take the function y=sin(tan(x))-tan(sin(x)) on the interval
+[0,6]. Here is the simplest command that will do this:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(sin(tan(x))-tan(sin(x)),x=0..6)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Notice that Axiom compiled a function before the graph was put on the 
+screen. The expression sin(tan(x))-tan(sin(x)) was converted to a compiled
+function so that its value for various values of x could be computed 
+quickly and efficiently. Let's graph the same function on a different
+interval and this time we'll give the graph a title. The title is a string,
+which is an optional argument of the command 'draw'.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+ value='draw(sin(tan(x))-tan(sin(x)),x=10..16,title=="y=sin tan x-tan sin x")'
+  />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Once again the expression sin(tan(x))-tan(sin(x)) was converted to a 
+compiled function before any points were computed. If you want to graph the
+same function on a number of intervals, it's a good idea to write down a
+function definition so that the function only has to be compiled once. 
+Here's an example:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="f(x)==(x-1)*(x-2)*(x-3)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p3','p4']);"
+    value='draw(f,0..2,title=="y=f(x) on [0,2]")' />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p5']);"
+    value='draw(f,0..4,title=="y=f(x) on [0,4]")' />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Notice that our titles can be whatever we want, as long as they are
+encloded by double quotes. However, a title which is too long to fit
+within the viewport title window will be clipped.
+<<page foot>>
+@
+
+\subsection{graph2dparametric.xhtml}
+<<graph2dparametric.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Parametric Curves</div>
+  <hr/>
+One way of producing interesting curves is by using parametric equations.
+Let x=f(t) and y=g(t) for two functions f and g as the parameter t ranges
+over an interval [a,b]. Here's an example:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(curve(sin(t)*sin(2*t)*sin(3*t),sin(4*t)*sin(5*t)*sin(6*t)),t=0..2*%pi)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Here 0..2*%pi represents the interval over which the variable t ranges.
+In the case of parametric curves, Axiom will compile two functions, one for
+each of the functions f and g. You may also put a title on a graph. The
+title may be an arbitrary string and is an optional argument to the
+command 'draw'. For example:
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value='draw(curve(cos(t),sin(t)),t=0..2*%pi,title=="The Unit Circle")' />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+If you plan on plotting x=f(t), y=g(t) as t ranges over several intervals,
+you may want to define functions f and g, so that they need not be
+recompiled every time you create a new graph. Here's an example:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="f(t:SF):SF == sin(3*t/4)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="g(t:SF):SF == sin(t)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p4','p5']);"
+    value="draw(curve(f,g),0..%pi)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p3','p4','p6']);"
+    value="draw(curve(f,g),-%pi..2*%pi)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p3','p4','p7']);"
+    value="draw(curve(f,g),-4*%pi..4*%pi)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+These examples show how the curve changes as the range of the parameter
+t varies.
+<<page foot>>
+@
+
+\subsection{graph2dpolar.xhtml}
+<<graph2dpolar.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Polar Coordinates</div>
+  <hr/>
+Graphs in polar coordinates are given by an equation r=f(&#x003B8;) as
+theta ranges over an interval. This is equivalent to the parametric curve
+x=f(&#x003B8;)*cos(&#x003B8;),y=f(&#x003B8;)*sin(&#x003B8;) as &#x003B8;
+ranges over the same interval. You may create such curves using the
+command 'draw', with the optional argument 'coordinates==polar'. 
+Here are some examples:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value='draw(1,t=0..2*%pi,coordinates==polar,title=="The Unit Circle")' />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+  value='draw(sin(17*t),t=0..2*%pi,coordinates==polar,title=="A Petal Curve")'
+   />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+You may also define your own functions, when you plan on plotting the same
+curve as &#x003B8; varies over several intervals.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="f(t)==cos(4*t/7)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p3','p4']);"
+    value="draw(f,0..2*%pi,coordinates==polar)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p5']);"
+    value="draw(f,0..14*%pi,coordinates==polar)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+For information on plotting graphs in other coordinate systems see the
+pages for the <a href="db.xhtml?CoordinateSystems">CoordinateSystems</a>
+domain.
+<<page foot>>
+@
+
+
+\subsection{graph3d.xhtml}
+<<graph3d.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Three Dimensional Graphing</div>
+  <hr/>
+<ul>
+ <li> <a href="graph3dtwovariables.xhtml">Functions of Two Variables</a><br/>
+      Plot surfaces defined by an equation z=f(x,y)
+ </li>
+ <li> <a href="graph3dparametric.xhtml">Parametric Curves</a><br/>
+      Plot curves defined by equations x=f(t), y=g(t), z=h(t)
+ </li>
+ <li> <a href="graph3dtubeplots.xhtml">Parametric Tube Plots</a><br/>
+      Plot a tube around a parametric space curve
+ </li>
+ <li> <a href="graph3dsurfaces.xhtml">Parametric Surfaces</a><br/>
+      Plot surfaces defined by x=f(u,v), y=g(u,v), z=h(u,v)
+ </li>
+ <li> <a href="graph3dobjects.xhtml">Building Objects</a><br/>
+      Create objects constructed from geometric primitives
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{graph3dobjects.xhtml}
+<<graph3dobjects.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Building Three Dimensional Objects from Primatives</div>
+  <hr/>
+Rather than using the <a href="dbopdraw.xhtml">draw</a> and
+<a href="dbopmakeobject.xhtml">makeObject</a> commands, you can create
+three-dimensional graphs from primitives. Operation 
+<a href="dbopcreate3space.xhtml">create3Space</a> creates a three-space
+object to which points, curves, and polygons can be added using the
+operations from the <a href="db.xhtml?ThreeSpace">ThreeSpace</a> domain.
+The resulting object can then be displayed in a viewport using
+<a href="dbopmakeviewport3d.xhtml">makeViewport3D</a>.
+
+Create the empty three-space object space.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="space:=create3Space()$(ThreeSpace DFLOAT)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Objects can be sent to this space using the operations exported by the
+<a href="db.xhtml?ThreeSpace">ThreeSpace</a> domain. The following examples
+place curves into space.
+
+Add these three curves to the space.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="closedCurve(space,[ [0,30,20],[0,30,30],[0,40,30],[0,40,100],[0,30,100],[0,30,110],[0,60,110],[0,60,100],[0,50,100],[0,50,30],[0,60,30],[0,60,20]])" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="closedCurve(space,[ [80,0,30],[80,0,100],[70,0,110],[40,0,110],[30,0,100],[30,0,90],[40,0,90],[40,0,95],[45,0,100],[65,0,100],[70,0,95],[70,0,35]])" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="closedCurve(space,[ [70,0,35],[65,0,30],[45,0,30],[40,0,35],[40,0,60],[50,0,60],[50,0,70],[30,0,70],[30,0,30],[40,0,20],[70,0,20],[80,0,30]])" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Create and display the viewport using 
+<a href="dbopmakeviewport3d.xhtml">makeViewport3D</a>. Options may also be
+given but here are displayed as a list with values enclosed in parentheses.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5']);"
+    value='makeViewport3D(space,title=="Letters")' />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+<br/>
+<br/>
+Cube Example
+<br/>
+As a second example of the use of primitives, we generate a cube using
+a polygon mesh. It is important to use a consistent orientation of the
+polygons for correct generation of three-dimensional objects.
+
+Again start with an empty three-space object.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="spaceC:=create3Space()$(ThreeSpace DFLOAT)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+For convenience, give the <a href="db.xhtml?DoubleFloat">DoubleFloat</a>
+values +1 and -1 names.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="x:DFLOAT:=1" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="y:DFLOAT:=-1" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Define the vertices of the cube.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p7','p8','p9']);"
+    value="a:=point [x,x,y,1::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p7','p8','p10']);"
+    value="b:=point [y,x,y,4::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p7','p8','p11']);"
+    value="c:=point [y,x,x,8::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p7','p8','p12']);"
+    value="d:=point [x,x,x,12::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p7','p8','p13']);"
+    value="e:=point [x,y,y,16::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p7','p8','p14']);"
+    value="f:=point [y,y,y,20::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p7','p8','p15']);"
+    value="g:=point [y,y,x,24::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p7','p8','p16']);"
+    value="h:=point [x,y,x,27::DFLOAT]$(Point DFLOAT)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Add the faces of the cube as polygons to the space using a consistent
+orientation.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p6','p7','p8','p9','p10','p11','p12','p13','p14','p15','p16','p17']);"
+    value="polygon(spaceC,[d,c,g,h]); polygon(spaceC,[d,h,e,a]); polygon(spaceC,[c,d,a,b]); polygon(spaceC,[g,c,b,f]); polygon(spaceC,[h,g,f,e]); polygon(spaceC,[e,f,b,a])" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+Create and display the viewport.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="handleFree(['p6','p7','p8','p9','p10','p11','p12','p13','p14','p15','p16','p17','p18']);"
+    value='makeViewport3D(spaceC,title=="Cube")' />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{graph3dparametric.xhtml}
+<<graph3dparametric.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Parametric Space Curves</div>
+  <hr/>
+This page describes the plotting in three dimensional space of a curve
+defined by the parametric equations x=f(t), y=g(t), z=h(t), where f,g, and
+h are functions of the parameter t which ranges over a specified interval.
+The basic draw command for this function utilizes either the uncompiled
+functions or compiled functions format and uses the 
+<a href="dbopcurve.xhtml">curve</a> command to specify the three
+functions for the x, y, and z components of the curve. The general format
+for uncompiled functions is:
+<pre>
+   draw(curve(f(t),g(t),h(t)), t=a..b)
+</pre>
+where a..b is the segment defining the interval [a,b] over which the
+parameter t ranges. In this case the functions are not compiled until
+the draw command is executed. Here is an example:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(curve(cos(t),sin(t),t),t=-12..12)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+In the case of compiled functions, the functions are named and compiled
+independently. This is useful if you intend to use the functions often,
+or if the functions are long and complex. The following lines show 
+functions whose parameters are of the type SmallFloat. The functions
+are compiled and stored by Axiom when entered.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="noresult" 
+    onclick="makeRequest('p2');"
+    value="i1(t:SF):SF==sin(t)*cos(3*t/5)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="i2(t:SF):SF==cos(t)*cos(3*t/5)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="noresult" 
+    onclick="makeRequest('p4');"
+    value="i3(t:SF):SF==cos(t)*sin(3*t/5)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Once the functions are compiled the draw command only needs the names of
+the functions to execute. Here is a compiled functions example:
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p3','p4','p5']);"
+    value="draw(curve(i1,i2,i3),0..15*%pi)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Note that the parameter range does not take the variable name as in the
+case of uncompiled functions. It is understood that the indicated range
+applies to the parameter of the functions, which in this case is t.
+<<page foot>>
+@
+
+\subsection{graph3dsurfaces.xhtml}
+<<graph3dsurfaces.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Parametric Surfaces</div>
+  <hr/>
+Graphing a surface defined by x=f(u,v), y=g(u,v), z=h(u,v). This page
+describes plotting of surfaces defined by the parametric equations of two
+variables, x=f(u,v), y=g(u,v), and z=h(u,v), for which the ranges of u and
+v are explicitly defined. The basic draw command for this function utilizes
+either the uncompiled function or compiled function format and uses the
+<a href="dbopsurface.xhtml">surface</a> command to specify the three 
+functions for the x, y, and z components of the surface. The general 
+format for uncompiled functions is:
+<pre>
+    draw(surface(f(u,v),g(u,v),h(u,v)), u=a..b, v=c..d)
+</pre>
+where a..b and c..d are segments defining the intervals [a,b] and [c,d]
+over which the parameters u and v span. In this case the functions are 
+not compiled until the draw command is executed. Here is an example of a
+surface plotted using the parabolic cylindrical coordinate system option:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(surface(u*cos(v),u*sin(v),v*cos(u)),u=-4..4,v=0..2*%pi,coordinates==parabolicCylindrical)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+In the case of compiled functions, the functions are named and compiled
+independentlyh. This is useful if you intend to use the functions often,
+or if the functions are long and complex. The following lines show functions
+whose parameters are of the type SmallFloat. The functions are compiled and
+stored by Axiom when entered.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="noresult" 
+    onclick="makeRequest('p2');"
+    value="n1(u:SF,v:SF):SF == u*cos(v)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="n2(u:SF,v:SF):SF == u*sin(v)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="noresult" 
+    onclick="makeRequest('p4');"
+    value="n3(u:SF,v:SF):SF == u" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Once the function is compiled the draw command only needs the names of
+the functions to execute. Here is a compiled functions example plotted
+using the toroidal coordinate system option:
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p3','p4','p5']);"
+    value="draw(surface(n1,n2,n3),1.0..4.0,1.0..4*%pi,coordinates==toroidal(1$SF))" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Note that the parameter ranges do not take the variable names as in the case
+of uncompiled functions. The variables are entered in the order in which 
+they are defined in the function specification. In this case the first
+range specifies the u-variable and the second range specifies the v-variable.
+<<page foot>>
+@
+
+\subsection{graph3dtubeplots.xhtml}
+<<graph3dtubeplots.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Parametric Tube Plots</div>
+  <hr/>
+This page describes the plotting in three dimensional space of a tube
+around a parametric space curve defined by the parametric equations
+x=f(t), y=g(t), z=h(t), where f, g, and h are functions of the parameter t
+which ranges over a specified interval. The basic draw command for this
+function utilizes either the uncompiled functions or compiled functions
+format and uses the <a href="dbopcurve.xhtml">curve</a> command to specify
+the three functions for the x, y, and z components of the curve. This uses
+the same format as that for space curves except that it requires a
+specification for the radius of the tube. If the radius of the tube is 0,
+then the result is the space curve itself. The general format for 
+uncompiled functions is:
+<pre>
+    draw(curve(f(t),g(t),h(t)),t=a..b,tubeRadius==r)
+</pre>
+where a..b is the segment defining the interval [a,b] over which the
+parameter t ranges, and the tubeRadius is indicated by the variable r. 
+In this case the functions are not compiled until the draw command is
+executed. Here is an example:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(curve(sin(t)*cos(3*t/5),cos(t)*cos(3*t/5),cos(t)*sin(3*t/5)),t=0..15*%pi,tubeRadius==.15)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+In the case of compiled functions, the functions are named and compiled
+independently. This is useful if you intend to use the functions often,
+or if the functions are long and complex. The following lines show 
+functions whose parameters are of the type SmallFloat. The functions are
+compiled and stored by Axiom when entered.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="noresult" 
+    onclick="makeRequest('p2');"
+    value="t1(t:SF):SF==4/(2-sin(3*t))*cos(2*t)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="t2(t:SF):SF==4/(2-sin(3*t))*sin(2*t)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="noresult" 
+    onclick="makeRequest('p4');"
+    value="t3(t:SF):SF==4/(2-sin(3*t))*cos(3*t)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Once the function is compiled the draw command only needs the names of
+the functions to execute. Here is a compiled functions example of a trefoil
+knot:
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p3','p4','p5']);"
+    value="draw(curve(t1,t2,t3),0..2*%pi,tubeRadius==.2)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Note that the parameter range does not take the variable name as in the
+case of uncompiled functions. It is understood that the indicated range
+applies to the parameter of the functions, which in this case is t. 
+Typically, the radius of the tube should be set between 0 and 1. A radius
+of less than 0 results in it's positive counterpart and a radius of greater
+than one cause self-intersection.
+<<page foot>>
+@
+
+\subsection{graph3dtwovariables.xhtml}
+<<graph3dtwovariables.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Functions of Two Variables</div>
+  <hr/>
+This page describes the plotting of surfaces defined by an equation of
+two variables, z=f(x,y), for which the ranges of x and y are explicitly
+defined. The basic draw command for this function utilizes either the
+uncompiled function or compiled function format. The general format for an
+uncompiled function is:
+<pre>
+   draw(f(x,y), x=a..b, y=c..d)
+</pre>
+where a..b and c..d are segments defining the intervals [a,b] and [c,d]
+over which the variables x and y span. In this case, the function is not
+compiled until the draw command is executed. Here is an example:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="draw(cos(x*y),x=-3..3,y=-3..3)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+In the case of a compiled function, the function is named and compiled
+independently. This is useful if you intend to use a function often, or
+if the function is long and complex. The following line shows a function
+whose parameters are of the type SmallFloat. The function is compiled and
+stored by Axiom when it is entered.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="noresult" 
+    onclick="makeRequest('p2');"
+    value="f(x:SF,y:SF):SF==sin(x)*cos(y)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Once the function is compiled the draw command only needs the name of the
+function to execute. Here is a compiled function example:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="draw(f,-%pi..%pi,-%pi..%pi)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Note that the parameter ranges do not take the variable names as in the
+case of uncompiled functions. The variables are entered in the order in
+which they are defined in the function specificationl. In this case the
+first range specifies the x-variable and the second range specifies the
+y-variable.
+<<page foot>>
+@
+
+%%H
+\subsection{htxtoppage.xhtml}
+<<htxtoppage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      htxtoppage not implemented
+<<page foot>>
+@
+
+
+%%I
+\subsection{indefiniteintegral.xhtml}
+<<indefiniteintegral.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    var myform = document.getElementById("form2");
+    return('integrate('+myform.expr.value+','+myform.vars.value+')');
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <form id="form2">
+   Enter the function you want to integrate:<br/>
+   <input type="text" id="expr" tabindex="10" size="50" 
+     value="1/(x^2+6)"/><br/>
+   Enter the variable of integration:
+   <input type="text" id="vars" size="5" tabindex="20" value="x"/><br/>
+  </form>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{introtofloat.xhtml}
+<<introtofloat.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Introduction to Float</div>
+  <hr/>
+Scientific notation is supported for input and output of floating
+point numbers. A floating point number is written as a string of 
+digits containing a decimal point optionally followed by the letter "E",
+and then the exponent. We begin by doing some calculations using
+arbitrary precision floats. The default precision is twenty decimal
+digits.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="1.234" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+A decimal base for the exponent is assumed, so the number 1.234E2 denotes
+1.234*10**2
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="1.234E2" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The normal arithmetic operations are available for floating point numbers.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="sqrt(1.2+2.3/3.4^4.5)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+%%J
+\subsection{jenks.xhtml}
+<<jenks.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+ <center>
+  <a href="axbook/book-contents.xhtml">
+   <img src="axbook/ps/bluebayou.png"/>
+  </a>
+ </center>
+ <center>
+  <h1>
+   <a href="axbook/book-contents.xhtml">
+    AXIOM -- Richard D. Jenks and Robert S. Sutor
+   </a>
+  </h1>
+ </center>
+ <center>
+  <h2>
+   <a href="axbook/book-contents.xhtml">
+    The Scientific Computation System
+   </a>
+  </h2>
+ </center>
+ <center>
+  <h2>
+   <a href="axbook/book-contents.xhtml">
+    Volume 0 -- The Textbook
+   </a>
+  </h2>
+ </center>
+ <a href="axbook/book-contents.xhtml#chapter0">
+  Chapter 0: Introduction to Axiom
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter1">
+  Chapter 1: An Overview of Axiom
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter2">
+ Chapter 2: Using Types and Modes
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter3">
+ Chapter 3: Using HyperDoc
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter4">
+ Chapter 4: Input Files and Output Styles
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter5">
+ Chapter 5: Overview of Interactive Language
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter6">
+ Chapter 6: User-Defined Functions, Macros and Rules
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter7">
+ Chapter 7: Graphics
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter8">
+ Chapter 8: Advanced Problem Solving
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter9">
+ Chapter 9: Some Examples of Domains and Packages
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter10">
+ Chapter 10: Interactive Programming
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter11">
+ Chapter 11: Packages
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter12">
+ Chapter 12: Categories
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter13">
+ Chapter 13: Domains
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter14">
+ Chapter 14: Browse
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter15">
+ Chapter 15: What's New in Axiom Version 2.0
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter17">
+ Chapter 17: Categories
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter18">
+ Chapter 18: Domains
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter19">
+ Chapter 19: Packages
+ </a><br/>
+ <a href="axbook/book-contents.xhtml#chapter21">
+ Chapter 21: Programs for AXIOM Images
+ </a><br/>
+<<page foot>>
+@
+
+%%K
+%%L
+
+\subsection{laurentseries.xhtml}
+<<laurentseries.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc = document.getElementById('function').value;
+    myivar = document.getElementById('ivar').value;
+    mypvar = document.getElementById('pvar').value;
+    myevar = document.getElementById('evar').value;
+    myival = document.getElementById('ival').value;
+    mysval = document.getElementById('sval').value;
+    ans = 'series('+myivar+'+->'+myfunc+','+mypvar+'='+myevar+','+
+         myival+'..,'+mysval+')';
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+      Enter the formula for the general coefficient of the series:
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <input type="text" id="function" size="80" tabindex="10"
+       value="(-1)^(n-1)/(n+2)"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the index variable for your formula:
+     <input type="text" id="ivar" size="10" tabindex="20" value="n"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the power series variable:
+     <input type="text" id="pvar" size="10" tabindex="30" value="x"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the point about which to expand:
+     <input type="text" id="evar" size="10" tabindex="40" value="0"/>
+    </td>
+   </tr>
+  </table>
+For Laurent Series, the exponent of the power series variable ranges
+from an initial value, an arbitrary integer value, to plus
+infinity; the step size is any positive integer.
+  <table>
+   <tr>
+    <td>
+     Enter the initial value of the index (an integer):
+     <input type="text" id="ival" size="10" tabindex="50" value="-1"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the step size (a positive integer):
+     <input type="text" id="sval" size="10" tabindex="60" value="1"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+
+@
+
+\subsection{linalgpage.xhtml}
+<<linalgpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Linear Algebra</div>
+  <hr/>
+  <table>
+   <tr>
+    <td>
+     <a href="linintro.xhtml">Introduction</a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Create and manipulate matrices. Work with the entries of a
+     matrix. Perform matrix arithmetic.
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="lincreate.xhtml">Creating Matrices</a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Create matrices from scratch and from other matrices
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="linoperations.xhtml">Operations on Matrices</a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Algebraic manipulations with matrices. Compute the inverse,
+     determinant, and trace of a matrix. Find the rank, nullspace,
+     and row echelon form of a matrix.
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="lineigen.xhtml">Eigenvalues and Eigenvectors</a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     How to compute eigenvalues and eigenvectors
+    </td>
+   </tr>
+  </table>
+<hr/>
+ <ul>
+  <li>
+   <a href="linhilbert.xhtml">
+    Example: Determinant of a Hilbert Matrix
+   </a>
+  </li>
+  <li>
+   <a href="linpermaent.xhtml">
+    Computing the Permanent
+   </a>
+  </li>
+  <li>
+   <a href="linvectors.xhtml">
+    Working with Vectors
+   </a>
+  </li>
+  <li>
+   <a href="linsquarematrices.xhtml">
+    Working with Square Matrices
+   </a>
+  </li>
+  <li>
+   <a href="lin1darrays.xhtml">
+    Working with One-Dimensional Arrays
+   </a>
+  </li>
+  <li>
+   <a href="lin2darrays.xhtml">
+    Working with Two-Dimensional Arrays
+   </a>
+  </li>
+  <li>
+   <a href="linconversion.xhtml">
+    Conversion (Polynomials of Matrices)
+   </a>
+  </li>
+ </ul>
+<<page foot>>
+@
+
+\subsection{linconversion.xhtml}
+<<linconversion.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Conversion</div>
+  <hr/>
+Conversion is the process of changing an object of one type into an
+object of another type. The syntax for conversion is object::newType.
+<hr/>
+By default, 3 has the type
+<a href="db.xhtml?PositiveInteger">PositiveInteger</a>
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="3" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+We can change thisinto an object of type 
+<a href="db.xhtml?Fraction(Integer)">Fraction Integer</a> by using "::".
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="3::Fraction Integer" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+A coercion is a special kind of conversion that Axiom is allowed to do
+automatically when you enter an expression. Coercions are usually 
+somewhat safer than more general conversions. The Axiom library contains
+operations called 
+<a href="dbopcoerce.xhtml">coerce</a> and
+<a href="dbopconvert.xhtml">convert</a>. Only the
+<a href="dbopcoerce.xhtml">coerce</a> operations can be used by the
+interpreter to change an object into an object of another type unless
+you explicitly use a "::".
+
+By now you will be quite familiar with what types and modes look like.
+It is useful to think of a type or mode as a pattern for what you want
+the result to be. Let's start with a square matrix of polynomials with
+complex rational number coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="noresult" 
+    onclick="makeRequest('p3');"
+    value="m:SquareMatrix(2,POLY COMPLEX FRAC INT)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p3','p4']);"
+    value="m:=matrix [ [x-3/4*%i,z*y^2+1/2],[3/7*%i*y^4-x,12-%i*9/5]]" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+We first want to interchange the <a href="db.xthml?Complex">Complex</a>
+and <a href="db.xhtml?Fraction">Fraction</a> layers. We do the conversion
+by doing the interchange in the type expression.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p4','p5']);"
+    value="m1:=m::SquareMatrix(2,POLY FRAC COMPLEX INT)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Interchange the <a href="db.xhtml?Polynomial">Polynomial</a> and the
+<a href="db.xhtml?Fraction">Fraction</a> levels.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p3','p4','p5','p6']);"
+    value="m2:=m1::SquareMatrix(2,FRAC POLY COMPLEX INT)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Interchange the <a href="db.xhtml?Polynomial">Polynomial</a> and the
+<a href="db.xhtml?Complex">Complex</a> levels.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p3','p4','p5','p6','p7']);"
+    value="m3:=m2::SquareMatrix(2,FRAC COMPLEX POLY INT)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+All the entries have changed types, although in comparing the last two
+results only the entry in the lower left corner looks different. We did
+all the intermediate steps to show you what Axiom can do.
+
+In fact, we could have combined all these into one conversion.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p3','p4','p8']);"
+    value="m::SquareMatrix(2,FRAC COMPLEX POLY INT)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+
+There are times when Axiom is not able to do the conversion in one step.
+You may need to break up the transformation into several conversions in 
+order to get an object of the desired type.
+
+We cannot move either the <a href="db.xhtml?Fraction">Fraction</a> or
+<a href="db.xhtml?Complex">Complex</a> above (or to the left of,
+depending on how you look at it) 
+<a href="db.xhtml?SquareMatrix">SquareMatrix</a> because each of these
+levels requires that its argument type have commutative multiplication,
+whereas <a href="db.xhtml?SquareMatrix">SquareMatrix</a> does not.
+(<a href="db.xhtml?Fraction">Fraction</a> requires that its argument 
+belong to the category 
+<a href="db.xhtml?IntegralDomain">IntegralDomain</a> and 
+<a href="db.xhtml?Complex">Complex</a> requires that its argument belongs to
+<a href="db.xhtml?CommutativeRing">CommutativeRing</a>. See the
+<a href="axbook/section-2.1.xhtml">Jenks section 2.1</a> for a brief
+discussion of categories. The <a href="db.xhtml?Integer">Integer</a> level
+did not move anywhere because it does not allow any arguments. We also did
+not move the <a href="db.xhtml?SquareMatrix">SquareMatrix</a> part
+anywhere, but we could have. Recall that m looks like this:
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p3','p4','p9']);"
+    value="m" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+If we want a polynomial with matrxi coefficients rather than a matrix with
+polynomial entries, we can just do the conversion.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p3','p4','p10']);"
+    value="m::POLY SquareMatrix(2,COMPLEX FRAC INT)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+We have not yet used modes for any conversions. Modes are a great 
+shorthand for indicating the type of the object you want. Instead of
+using the long type expression in the last example we could have 
+simply said this:
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p3','p4','p11']);"
+    value="m::POLY ?" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+We can also indicate more structure if we want the entries of the matrices
+to be fractions.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p3','p4','p12']);"
+    value="m::POLY SquareMatrix(2,FRAC ?)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{lincreate.xhtml}
+<<lincreate.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Creating Matrices</div>
+  <hr/>
+There are many ways to create a matrix from a collection of values or
+from existing matrices.
+
+If the matrix has almost all items equal to the same value, use
+<a href="dbopnew.xhtml">new</a> to create a matrix filled with that value
+and then reset the entries that are different.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="m:Matrix(Integer):=new(3,3,0)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+To change the entry in the second row, third column to 5, use
+<a href="dbopsetelt.xhtml">setelt</a>.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="setelt(m,2,3,5)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+An alternative syntax is to use assignment.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="m(1,2):=10" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The matrix was destructively modified.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="m" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+If you already have the matrix entries as a list of lists, use
+<a href="dbopmatrix.xhtml">matrix</a>.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="matrix [[1,2,3,4],[0,9,8,7]]" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+If the matrix is diagonal, use
+<a href="dbopdiagonalmatrix.xhtml">diagonalMatrix</a>
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="dm:=diagonalMatrix [1,x^2,x^3,x^4,x^5]" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopsetrowbang.xhtml">setRow!</a> and
+<a href="dbopsetcolumnbang.xhtml">setColumn!</a>
+to change a row or column of a matrix.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value="setRow!(dm,5,vector [1,1,1,1,1])" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p7','p8']);"
+    value="setColumn!(dm,2,vector [y,y,y,y,y])" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopcopy.xhtml">copy</a> to make a copy of a matrix.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p6','p7','p8','p9']);"
+    value="cdm:=copy(dm)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+This is useful if you intend to modify a matrix destructively but want a
+copy of the original.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p6','p7','p8','p9','p10']);"
+    value="setelt(dm,4,1,1-x^7)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p6','p7','p8','p9','p10','p11']);"
+    value="[dm,cdm]" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopsubmatrix.xhtml">subMatrix</a>(dm,2,3,2,4) to extract
+part of an existing matrix. The syntax is
+<pre>
+  subMatrix(m,firstrow,lastrow,firstcol,lastcol)
+</pre>
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p6','p7','p8','p9','p10','p11','p12']);"
+    value="subMatrix(dm,2,3,2,4)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+To change a submatrix, use 
+<a href="dbopsetsubmatrixbang.xhtml">setsubMatrix!</a>.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="d:=diagonalMatrix [1.2,-1.3,1.4,-1.5]" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+If e is too big to fit where you specify, an error message is displayed. Use
+<a href="dbopsubmatrix.xhtml">subMatrix</a>.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="makeRequest('p14');"
+    value="e:=matrix [[6.7,9.11],[-31.33,67.19]]" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+This changes the submatrix of d whose upper left corner is at the first row
+and second column and whose size is that of e.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p13','p14','p15']);"
+    value="setsubMatrix!(d,1,2,e)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p13','p14','p15','p16']);"
+    value="d" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Matrices can be joined either horizontally or vertically to make new
+matrices.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="a:=matrix [[1/2,1/3,1/4],[1/5,1/6,1/7]]" />
+  <div id="ansp17"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="b:=matrix [[3/5,3/7,3/11],[3/13,3/17,3/19]]" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbophorizconcat.xhtml">horizConcat</a> to append them side to
+side. The two matrices must have the same number of rows.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p17','p18','p19']);"
+    value="horizConcat(a,b)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopvertconcat.xhtml">vertConcat</a> to stack one upon the
+other. The two matrices must have the same number of columns.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p17','p18','p20']);"
+    value="vab:=vertConcat(a,b)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboptranspose.xhtml">transpose</a> is used to create
+a new matrix by reflection across the main diagonal.
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="handleFree(['p17','p18','p20','p21']);"
+    value="transpose vab" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{lineigen.xhtml}
+<<lineigen.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Computation of Eigenvalues and Eigenvectors</div>
+  <hr/>
+In this section we show you some of Axiom's facilities for computing and
+manipulating eigenvalues and eigenvectors, also called characteristic
+values and characteristic vectors, respectively.
+
+Let's first create a matrix with integer entries.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="m1:=matrix [[1,2,1],[2,1,-2],[1,-2,4]]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+To get a list of the rational eigenvalues, use the operation
+<a href="dbopeigenvalues.xhtml">eigenvalues</a>.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="leig:=eigenvalues(m1)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Given an explicit eigenvalue, 
+<a href="dbopeigenvector.xhtml">eigenvector</a> computes the eigenvectors
+corresponding to it.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="eigenvector(first(leig),m1)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopeigenvectors.xhtml">eigenvectors</a> returns a
+list of pairs of values and vectors. When an eigenvalue is rational, Axiom
+gives you the value explicitly; otherwise, its minimal polynomial is given,
+(the polynomial of lowest degree with the eigenvalues as roots), together
+with a parametric representation of the eigenvector using the eigenvalue.
+This means that if you ask Axiom to <a href="dbopsolve.xhtml">solve</a>
+the minimal polynomial, then you can substitute these roots into the
+parametric form of the corresponding eigenvectors.
+
+You must be aware that unless an exact eigenvalue has been computed, 
+the eigenvector may be badly in error.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="eigenvectors(m1)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Another possibility is to use the operation
+<a href="dbopradicaleigenvectors.xhtml">radicalEigenvectors</a> tries to
+compute explicitly the eignevectors in terms of radicals.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="radicalEigenvectors(m1)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Alternatively, Axiom can compute real or complex approximations to the
+eigenvectors and eigenvalues using the operations
+<a href="dboprealeigenvectors.xhtml">realEigenvectors</a> or
+<a href="dbopcomplexeigenvectors.xhtml">complexEigenvectors</a>. They
+each take an additional argument epsilon to specify the "precision"
+required. In the real case, this means that each approximation will be
+within plus or minus epsilon of the actual result. In the complex case, this
+means that each approximation will be within plus or minus epsilon of the
+actual result in each of the real and imaginary parts.
+
+The precision can be specified as a <a href="db.xhtml?Float">Float</a> if
+the results are desired in floating-point notation, or as
+<a href="dbfractioninteger.xhtml">Fraction Integer</a> if the results are
+to be expressed using rational (or complex rational) numbers.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p6']);"
+    value="realEigenvectors(m1,1/1000)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+If an n by n matrix has n distinct eigenvalues (and therefore n eigenvectors)
+the operation <a href="dbopeigenmatrix.xhtml">eigenMatrix</a> gives you a
+matrix of the eigenvectors.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p7']);"
+    value="eigenMatrix(m1)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="m2:=matrix [[-5,-2],[18,7]]" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p8','p9']);"
+    value="eigenMatrix(m2)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+If a symmetric matrix has a basis of orthonormal eigenvectors, then
+<a href="dboporthonormalbasis.xhtml">orthonormalBasis</a> computes a list
+of these vectors.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="m3:=matrix [[1,2],[2,1]]" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p10','p11']);"
+    value="orthonormalBasis(m3)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{linhilbert.xhtml}
+<<linhilbert.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">An Example: Determinant of a Hilbert Matrix</div>
+  <hr/>
+Consider the problem of computing the determinant of a 10 by 10 Hilbert
+matrix. The (i,j)-th entry of a Hilbert matrix is given by 1/(i+j+1).
+
+First do the computation using rational numbers to obtain the exact result.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+value="a:MATRIX FRAC INT:=matrix [[1/(i+j+1) for j in 0..9] for i in 0..9]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="d:=determinant a" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="d::Float" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value=
+  "b:Matrix DFLOAT:=matrix [[1/(i+j+1$DFLOAT) for j in 0..9] for i in 0..9]"/>
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The result given by hardware floats is correct only to four significant digits
+of precision. In the jargon of numerical analysis, the Hilbert matrix is said
+to be "ill-conditioned".
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="determinant b" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Now repeat the computation at a higher precision using Float.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="digits 40" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value=
+  "c:Matrix Float:=matrix [[1/(i+j+1$Float) for j in 0..9] for i in 0..9]" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p7','p8']);"
+    value="determinant c" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Reset <a href="dbopdigits.xhtml">digits</a> to its default value.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="digits 20" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{linintro.xhtml}
+<<linintro.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Expanding to Higher Dimensions</div>
+  <hr/>
+To get higher dimensional aggregates, you can create one-dimensional 
+aggregates with elements that are themselves aggregates, for example,
+lists of list, one-dimensional arrays of list of multisets, and so on. For
+applications requiring two-dimensional homogeneous aggregates, you will
+likely find two-dimensional arrays and matrices useful.
+
+The entries in <a href="db.xhtml?TwoDimensionalArray">TwoDimensionalArray</a>
+and <a href="?Matrix">Matrix</a> objects are all the same type, 
+except that those for <a href="db.xhtml?Matrix">Matrix</a> must belong to a
+<a href="db.xhtml?Ring">Ring</a>. You create and access elements in roughly
+the same way. Since matrices have an understood algebraic structure, certain
+algebraic operations are available for matrices but not for arrays. Because
+of this, we limit our discussion here to <a href="db.xhtml?Matrix">Matrix</a>,
+that can be regarded as an extension of
+<a href="db.xhtml?TwoDimensionalArray">TwoDimensionalArray</a>. See
+<a href="pagetwodimensionalarray.xhtml">TwoDimensionalArray</a>
+For more
+information about Axiom's linear algebra facilities see
+<a href="pagematrix.xhtml">Matrix</a>,
+<a href="pagepermanent.xhtml">Permanent</a>,
+<a href="pagesquarematrix.xhtml">SquareMatrix</a>,
+<a href="pagevector.xhtml">Vector</a>,
+<a href="axbook/section-8.4.xhtml">
+Computation of Eigenvalues and Eigenvectors</a>, and
+<a href="axbook/section-8.5.xhtml">
+Solution of Linear and Polynomial Equations</a>.
+
+You can create a matrix from a list of lists, where each of the inner
+lists represents a row of the matrix.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="m:=matrix([[1,2],[3,4]])" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The "collections" construct (see
+<a href="axbook/section-5.5.xhtml">
+Creating Lists and Streams with Iterators</a>)
+is useful for creating matrices whose entries are given by formulas.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="matrix([[1/(i+j-x) for i in 1..4] for j in 1..4])" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Let vm denote the three by three Vandermonde matrix.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="vm:=matrix [[1,1,1],[x,y,z],[x*x,y*y,z*z]]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Use this syntax to extract an entry in the matrix.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p3','p4']);"
+    value="vm(3,3)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You can also pull out a <a href="dboprow.xhtml">row</a> or a column.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p5']);"
+    value="column(vm,2)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+You can do arithmetic.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p3','p6']);"
+    value="vm*vm" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+You can perform operations such as 
+<a href="dboptranspose.xhtml">transpose</a>,
+<a href="dboptrace.xhtml">trace</a>, and
+<a href="dbopdeterminant.xhtml">determinant</a>
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p3','p7']);"
+    value="factor determinant vm" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{linoperations.xhtml}
+<<linoperations.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Operations on Matrices</div>
+  <hr/>
+Axiom provides both left and right scalar multiplication.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="m:=matrix [[1,2],[3,4]]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="4*m*(-5)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+You can add, subtract, and multiply matrices provided, of course, that the
+matrices have compatible dimensions. If not, an error message is displayed.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="n:=matrix([[1,0,-2],[-3,5,1]])" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+This following product is defined but n*m is not.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p3','p4']);"
+    value="m*n" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The operations <a href="dbopnrows.xhtml">nrows</a> and
+<a href="dbopncols.xhtml">ncols</a> return the number of rows and
+columns of a matrix. You can extract a row or a column of a matrix using
+the operations <a href="dboprow.xhtml">row</a> and
+<a href="dbopcolumn.xhtml">column</a>. The object returned ia a
+<a href="db.xhtml?Vector">Vector</a>. Here is the third column of the matrix n.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p5']);"
+    value="vec:=column(n,3)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+You can multiply a matrix on the left by a "row vector" and on the right by
+a "column vector".
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p5','p6']);"
+    value="vec*m" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopinverse.xhtml">inverse</a> computes the inverse
+of a matrix if the matrix is invertible, and returns "failed" if not. This
+Hilbert matrix invertible.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="hilb:=matrix([[1/(i+j) for i in 1..3] for j in 1..3])" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p7','p8']);"
+    value="inverse(hilb)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+This matrix is not invertible.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="mm:=matrix([[1,2,3,4],[5,6,7,8],[9,10,11,12],[13,14,15,16]])" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p9','p10']);"
+    value="inverse(mm)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopdeterminant.xhtml">determinant</a> computes the
+determinant of a matrix provided that the entries of the matrix belong to a
+<a href="db.xhtml?CommutativeRing">CommutativeRing</a>. The above matrix mm
+is not invertible and, hence, must have determinant 0.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p9','p11']);"
+    value="determinant(mm)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboptrace.xhtml">trace</a> computes the trace of a
+square matrix.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p9','p12']);"
+    value="trace(mm)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboprank.xhtml">rank</a> computes the rank of a matrix:
+the maximal number of linearly independent rows or columns.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p9','p13']);"
+    value="rank(mm)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopnullity.xhtml">nullity</a> computes the nullity
+of a matrix: the dimension of its null space.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p9','p14']);"
+    value="nullity(mm)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopnullspace.xhtml">nullSpace</a> returns a list 
+containing a basis for the null space of a matrix. Note that the nullity is
+the number of elements in a basis for the null space.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p9','p15']);"
+    value="nullSpace(mm)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboprowechelon.xhtml">rowEchelon</a> returns the row
+echelon form of a matrix. It is easy to see that the rank of this matrix is
+two and that its nullity is also two.
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p9','p16']);"
+    value="rowEchelon(mm)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+For more information see
+<a href="axbook/section-1.6.xhtml">Expanding to Higher Dimensions</a>,
+<a href="axbook/section-8.4.xhtml">
+Computation of Eigenvalues and Eigenvectors</a>, and 
+<a href="axbook/section-9.27.xhtml#subsec-9.27.4">
+An Example: Determinant of a Hilbert Matrix</a>. Also see
+<a href="db.xhtml?Permanent">Permanent</a>,
+<a href="db.xhtml?Vector">Vector</a>,
+<a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a>, and
+<a href="db.xhtml?TwoDimensionalArray">TwoDimensionalArray</a>. Issue the
+system command
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="showcall('p17');"
+   value=")show Matrix"/>
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+to display the full ist of operations defined by 
+<a href="db.xhtml?Matrix">Matrix</a>.
+<<page foot>>
+@
+
+\subsection{linpermaent.xhtml}
+<<linpermaent.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Permanent</div>
+  <hr/>
+The package <a href="db.xhtml?Permanent">Permanent</a> provides the function
+<a href="dboppermanent.xhtml">permanent</a> for square matrices. The
+<a href="dboppermanent.xhtml">permanent</a> of a square matrix can be
+computed in the same way as the determinant by expansion of minors except
+that for the permanent the sign for each element is 1, rather than being 1
+if the row plus column indices is positive and -1 otherwise. This function
+is much more difficult to compute efficiently than the 
+<a href="dbopdeterminant.xhtml">determinant</a>. An example of the use of 
+<a href="dboppermanent.xhtml">permanent</a> is the calculation of the nth
+derangement number, defined to be the number of different possibilities
+for n couples to dance but never with their own spouse. Consider an n by x
+matrix with entries 0 on the diagonal and 1 elsewhere. Think of the rows as
+one-half of each couple (for example, the males) and the columns the other
+half. The permanent of such a matrix gives the desired derangement number.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="noresult" 
+    onclick="makeRequest('p1');"
+    value=
+     "kn n == (r:MATRIX INT:=new(n,n,1); for i in 1..n repeat r.i.i:=0; r)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Here are some derangement numbers, which you see grow quite fast.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="permanent(kn(5)::SQMATRIX(5,INT))" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="[permanent(kn(n)::SQMATRIX(n,INT)) for n in 1..13]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{linsquarematrices.xhtml}
+<<linsquarematrices.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">SquareMatrix</div>
+  <hr/>
+The top level matrix type in Axiom is 
+<a href="db.xhtml?Matrix">Matrix</a>, see
+(<a href="pagematrix.xhtml">Matrix</a>), which provides basic arithmetic
+and linear algebra functions. However, since the matrices can be of any
+size it is not true that any pair can be added or multiplied. Thus
+<a href="db.xhtml?Matrix">Matrix</a> has little algebraic structure.
+
+Sometimes you want to use matrices as coefficients for polynomials or in
+other algebraic contexts. In this case,
+<a href="db.xhtml?SquareMatrix">SquareMatrix</a> should be used. The
+domain <a href="db.xhtml?SquareMatrix">SquareMatrix(n,R)</a> gives the
+ring of n by n square matrices over R.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="m:=squareMatrix [[1,-%i],[%i,4]]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The usual arithmetic operations are available.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="m*m-m" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Square matrices can be used where ring elements are required. For example,
+here is a matrix with matrix entries.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="mm:=squareMatrix [[m,1],[1-m,m^2]]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Or you can construct a polynomial with square matrix coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="p:=(x+m)^2" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+This value can be converted to a square matrix with polynomial coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p4','p5']);"
+    value="p::SquareMatrix(2,?)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+For more information on related topics see 
+<a href="axbook/section-2.2.xhtml#subsec-2.2.4">Modes</a> and
+<a href="pagematrix.xhtml">Matrix</a>. Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="showcall('p6');"
+   value=")show SquareMatrix"/>
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by 
+<a href="db.xhtml?SquareMatrix">SquareMatrix</a>.
+<<page foot>>
+@
+
+\subsection{linvectors.xhtml}
+<<linvectors.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Vector</div>
+  <hr/>
+The <a href="db.xhtml?Vector">Vector</a> domain is used for storing
+data in a one-dimensonal indexed data structure. A vector is a
+homogeneous data structure in that all the components of the vector
+must belong to the same Axiom domain. Each vector has a fixed length
+specified by the user; vectors are not extensible. This domain is
+similar to the 
+<a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a> domain,
+except that when the components of a
+<a href="db.xhtml?Vector">Vector</a> belong to a 
+<a href="db.xhtml?Ring">Ring</a>, arithmetic operations are provided. 
+For more examples of operations that are defined for both 
+<a href="db.xhtml?Vector">Vector</a> and
+<a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a>, see
+<a href="pageonedimensionalarray.xhtml">OneDimensionalArray</a>.
+
+As with the <a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a>
+domain, a 
+<a href="db.xhtml?Vector">Vector</a> can be created by calling the operation
+<a href="dbopnew.xhtml">new</a>, its components can be accessed by calling
+the operations <a href="dbopelt.xhtml">elt</a> and
+<a href="dbopqelt.xhtml">qelt</a>, and its components can be reset by
+calling the operations
+<a href="dbopsetelt.xhtml">setelt</a> and
+<a href="dbopseteltbang.xhtml">setelt!</a>. This creates a vector of 
+integers of length 5 all of whose components are 12.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="u:VECTOR INT:=new(5,12)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+This is how you create a vector from a list of its components.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="v:VECTOR INT:=vector([1,2,3,4,5])" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Indexing for vectors begins at 1. The last element has index equal to
+the length of the vector, which is computed by 
+<a href="dboplength.xhtml">#</a>.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="#(v)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+This is the standard way to use <a href="dbopelt.xhtml">elt</a> to extract
+an element.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="v.2" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+This is the standard way to use setelt to change an element. It is the
+same as if you had typed setelt(v,3,99).
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="v.3:=99" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Now look at v to see the change. You can use 
+<a href="dbopqelt.xhtml">qelt</a> and
+<a href="dbopqseteltbang.xhtml">qsetelt!</a> (instead of
+<a href="dbopelt.xhtml">elt</a> and
+<a href="dbopsetelt.xhtml">setelt</a>, respectively) but only when you
+know that the indexis within the valid range.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p2','p6']);"
+    value="v" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+When the components belong to a 
+<a href="db.xhtml?Ring">Ring</a>, 
+Axiom provides arithmetic operations for
+<a href="db.xhtml?Vector">Vector</a>. These include left and right
+scalar multiplication.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p2','p7']);"
+    value="5*v" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p2','p8']);"
+    value="v*7" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="w:VECTOR INT:=vector([2,3,4,5,6])" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Addition and subtraction are also available
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p2','p9','p10']);"
+    value="v+w" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+Of course, when adding or subtracting, the two vectors must have the 
+same length or an error message is displayed.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p9','p11']);"
+    value="v-w" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+For more information about other aggregate domains, see
+<a href="pagelist.xhtml">List</a>,
+<a href="pagematrix.xhtml">Matrix</a>,
+<a href="pageonedimensionalarray.xhtml">OneDimensionalArray</a>.
+<a href="pageset.xhtml">Set</a>,
+<a href="pagetable.xhtml">Table</a>, and
+<a href="pagetwodimensionalarray.xhtml">TwoDimensionalArray</a>.
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="showcall('p12');"
+   value=")show Vector"/>
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by 
+<a href="db.xhtml?Vector">Vector</a>.
+<<page foot>>
+@
+
+\subsection{lin1darrays.xhtml}
+<<lin1darrays.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">One Dimensional Array</div>
+  <hr/>
+The <a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a> is used
+for storing data in a one-dimensional indexed data structure. Such an array
+is a homogeneous data structure in that all the entries of the array must
+belong to the same Axiom domain. Each array has a fixed length specified
+by the user and arrays are not extensible. The indexing of 
+one-dimensional arrays is one-based. This means that the "first" element of
+an array is given the index 1. See also
+<a href="db.xhtml?Vector">Vector</a> and
+<a href="db.xhtml?FlexibleArray">FlexibleArray</a>. To create a 
+one-dimensional array, apply the operation
+<a href="dboponedimensionalarray.xhtml">oneDimensionalArray</a> to a list.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="oneDimensionalArray [i^2 for i in 1..10]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Another approach is to first create a, a one-dimensional array of 10 0's.
+<a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a> has a 
+convenient abbreviation 
+<a href="db.xhtml?OneDimensionalArray">ARRAY1</a>.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="a:ARRAY1 INT := new(10,0)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Set each ith element to i, then display the result.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="for i in 1..10 repeat a.i:=i ; a" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Square each element by mapping the function i+->i**2 onto each element.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p4']);"
+    value="map!(i+->i^2,a); a" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Reverse the elements in place.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5']);"
+    value="reverse! a" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Swap the 4th and 5th element.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6']);"
+    value="swap!(a,4,5); a" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Sort the elements in place.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7']);"
+    value="sort! a" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Create a new one-dimensional array b containing the last 5 elements of a.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8']);"
+    value="b:=a(6..10)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Replace the first 5 elements of a with those of b.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5','p6','p7','p8','p9']);"
+    value="copyInto!(a,b,1)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{lin2darrays.xhtml}
+<<lin2darrays.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Two Dimensional Array</div>
+  <hr/>
+The <a href="db.xhtml?TwoDimensionalArray">TwoDimensionalArray</a> is used
+for storing data in a two-dimensional data structure indexed by row and by
+column. Such an array is a homogeneous data structure in that all the
+entries of the array must belog to the same Axiom domain (although see
+the <a href="axbook/section-2.6.xhtml">Any</a> domain). Each array has a
+fixed number of rows and columns specified by the user and arrays are not
+extensible. In Axiom, the indexing of two-dimensional arrays is one-based.
+This means that both the "first" row of an array and the "first" column of
+an array are given the index 1. Thus, the entry in the upper left corner
+of an array is in position (1,1).
+
+The operation <a href="dbopnew.xhtml">new</a> creates an array with a
+specified number of rows and columns and fills the components of that
+array with a specified entry. The arguments of this operation specify the
+number of rows, the number of columns, and the entry. This creates a
+five-by-four array of integers, all of which are zero.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="arr:ARRAY2 INT:=new(5,4,0)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The entries of this array can be set to other integers using the
+operation <a href="dbopsetelt.xhtml">setelt</a>.
+
+Issue this to set the element in the upper left corner of this array to 17.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="setelt(arr,1,1,17)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Now the first element of the array is 17.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="arr" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Likewise, elements of an array are extracted using the operation
+<a href="dbopelt.xhtml">elt</a>.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p4']);"
+    value="elt(arr,1,1)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Another way to use these two operations is as follows. This sets the
+element in position (3,2) of the array to 15.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p5']);"
+    value="arr(3,2):=15" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+This extracts the element in position (,32) of the array.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p6']);"
+    value="arr(3,2)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The operations <a href="dbopelt.xhtml">elt</a> and 
+<a href="dbopsetelt.xhtml">setelt</a> come equipped with an error check which 
+verifies that the indices are in the proper ranges. For example, the
+above array has five rows and four columns, so if you ask for the entry
+in position (6,2) with arr(6,2) Axiom displays an error message. If there
+is no need for an error check, you can call the operations
+<a href="dbopqelt.xhtml">qelt</a> and 
+<a href="dbopqseteltbang.xhtml">qsetelt!</a> which provide the same 
+functionality but without the error check. Typically, these operations
+are called in well-tested programs.
+
+The operations <a href="dboprow.xhtml">row</a> and
+<a href="dbopcolumn.xhtml">column</a> extract rows and columns, 
+respectively, and return objects of 
+<a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a> with the
+same underlying element type.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p7']);"
+    value="row(arr,1)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p8']);"
+    value="column(arr,1)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+
+You can determine the dimensions of an array by calling the operations
+<a href="dbopnrows.xhtml">nrows</a> and <a href="dbopncols.xhtml">ncols</a>, 
+which return the number of rows and columns, respectively.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p9']);"
+    value="nrows(arr)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p10']);"
+    value="ncols(arr)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+To apply an operation to every element of an array, use 
+<a href="dbopmap.xhtml">map</a>. This creates a new array. This
+expression negates every element.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11']);"
+    value="map(-,arr)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+This creates an array where all the elements are doubled.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p12']);"
+    value="map((x+->x+x),arr)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+To change the array destructively, use 
+<a href="dbopmapbang.xhtml">map!</a> instead of
+<a href="dbopmap.xhtml">map</a>. If you need to make a copy of any array, 
+use <a href="dbopcopy.xhtml">copy</a>.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p13']);"
+    value="arrc:=copy(arr)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p13','p14']);"
+    value="map!(-,arrc)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p13','p14','p15']);"
+    value="arrc" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p16']);"
+    value="arrc:=copy(arr)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopmemberq.xhtml">member?</a> to see if a given element 
+is in an array.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p17']);"
+    value="member?(17,arr)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p18']);"
+    value="member?(10317,arr)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+To see how many times an element appears in an array, use 
+<a href="dbopcount.xhtml">count</a>.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p19']);"
+    value="count(17,arr)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p20']);"
+    value="count(0,arr)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+
+For more information about the operations available for
+<a href="db.xhtml?TwoDimensionalArray">TwoDimensionalArray</a>, issue
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="makeRequest('p21');"
+    value=")show TwoDimensionalArray" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+For more information on related topics, see
+<a href="pagematrix.xhtml">Matrix</a> and
+<a href="lin1darrays.xhtml">OneDimensionalArray</a>
+<<page foot>>
+@
+
+%%M
+\subsection{man0page.xhtml}
+<<man0page.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+Enter search string (use <b>*</b> for wild card unless counter-indicated):
+  <form>
+   <input type="text" name="searchbox" size="50"/>
+  </form>
+
+  <table>
+   <tr>
+    <td>
+     <a href="(|kSearch| '|\stringvalue{pattern}|).xhtml">
+      <b>Constructors</b>
+     </a>
+    </td>
+    <td>
+     Search for 
+     <a href="(|cSearch| '|\stringvalue{pattern}|)">
+      <b>categories</b>
+     </a>,
+     <a href="(|dSearch| '|\stringvalue{pattern}|)">
+      <b>domains</b>
+     </a>,
+     or 
+     <a href="(|pSearch| '|\stringvalue{pattern}|)">
+      <b>packages</b>
+     </a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="(|oSearch| '|\stringvalue{pattern}|).xhtml">
+      <b>Operations</b>
+     </a>
+    </td>
+    <td>Search for operations.</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="(|aSearch| '|\stringvalue{pattern}|).xhtml">
+      <b>Attributes</b>
+     </a>
+    </td>
+    <td>Search for attributes.</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="(|aokSearch| '|\stringvalue{pattern}|).xhtml">
+      <b>General</b>
+     </a>
+    </td>
+    <td>Search for all three of the above.</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="(|docSearch| '|\stringvalue{pattern}|).xhtml">
+      <b>Documentation</b>
+     </a>
+    </td>
+    <td>Search library documentation.
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="(|genSearch| '|\stringvalue{pattern}|).xhtml">
+      <b>Complete</b>
+     </a>
+    </td>
+    <td>All of the above.
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="(|detailedSearch| '|\stringvalue{pattern}|).xhtml">
+      <b>Selectable</b>
+     </a>
+    </td>
+    <td>Detailed search with selectable options.
+    </td>
+   </tr>
+   <hr/>
+   <tr>
+    <td>
+     <a href="htsearch \stringvalue{pattern}.xhtml">
+      <b>Reference</b>
+     </a>
+    </td>
+    <td>Search Reference documentation (<b>*</b> wild card is not accepted).
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="ugSysCmdPage.xhtml">
+      <b>Commands</b>
+     </a>
+    </td>
+    <td>View system command documentation.
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{menualgebraadjointmatrix.xhtml}
+<<menualgebraadjointmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraadjointmatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraapplytolist.xhtml}
+<<menualgebraapplytolist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraapplytolist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebracharacteristicpolynomial.xhtml}
+<<menualgebracharacteristicpolynomial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebracharacteristicpolynomial not implemented
+<<page foot>>
+@
+
+\subsection{menualgebradeterminant.xhtml}
+<<menualgebradeterminant.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebradeterminant not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraeigenvalues.xhtml}
+<<menualgebraeigenvalues.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraeigenvalues not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraeigenvectors.xhtml}
+<<menualgebraeigenvectors.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraeigenvectors not implemented
+<<page foot>>
+@
+
+\subsection{menualgebraentermatrix.xhtml}
+<<menualgebraentermatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebraentermatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebrainvertmatrix.xhtml}
+<<menualgebrainvertmatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebrainvertmatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebrageneratematrix.xhtml}
+<<menualgebrageneratematrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebrageneratematrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebramakelist.xhtml}
+<<menualgebramakelist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebramakelist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebramaptolist.xhtml}
+<<menualgebramaptolist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebramaptolist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebramaptomatrix.xhtml}
+<<menualgebramaptomatrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebramaptomatrix not implemented
+<<page foot>>
+@
+
+\subsection{menualgebrareducelist.xhtml}
+<<menualgebrareducelist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebrareducelist not implemented
+<<page foot>>
+@
+
+\subsection{menualgebratransposematrix.xhtml}
+<<menualgebratransposematrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menualgebratransposematrix not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomaddtopath.xhtml}
+<<menuaxiomaddtopath.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomaddtopath not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomclearmemory.xhtml}
+<<menuaxiomclearmemory.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomclearmemory not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomdeletefunction.xhtml}
+<<menuaxiomdeletefunction.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomdeletefunction not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomdeletevariable.xhtml}
+<<menuaxiomdeletevariable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomdeletevariable not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiominterrupt.xhtml}
+<<menuaxiominterrupt.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiominterrupt not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomrestart.xhtml}
+<<menuaxiomrestart.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomrestart not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomshowdefinition.xhtml}
+<<menuaxiomshowdefinition.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomshowdefinition not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomdisplay.xhtml}
+<<menuaxiomdisplay.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomdisplay not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomset.xhtml}
+<<menuaxiomset.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomset not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomshowfunctions.xhtml}
+<<menuaxiomshowfunctions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomshowfunctions not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomshowvariables.xhtml}
+<<menuaxiomshowvariables.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomshowvariables not implemented
+<<page foot>>
+@
+
+\subsection{menuaxiomtoggletimedisplay.xhtml}
+<<menuaxiomtoggletimedisplay.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuaxiomtoggletimedisplay not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuscalculussum.xhtml}
+<<menucalculuscalculussum.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuscalculussum not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuscalculusproduct.xhtml}
+<<menucalculuscalculusproduct.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuscalculusproduct not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuschangevariable.xhtml}
+<<menucalculuschangevariable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuschangevariable not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuscontinuedfractions.xhtml}
+<<menucalculuscontinuedfractions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuscontinuedfractions not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusdifferentiate.xhtml}
+<<menucalculusdifferentiate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusdifferentiate not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusdividepolynomials.xhtml}
+<<menucalculusdividepolynomials.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusdividepolynomials not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusfindlimit.xhtml}
+<<menucalculusfindlimit.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusfindlimit not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusgetseries.xhtml}
+<<menucalculusgetseries.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusgetseries not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusgreatestcommondivisor.xhtml}
+<<menucalculusgreatestcommondivisor.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusgreatestcommondivisor not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusleastcommonmultiple.xhtml}
+<<menucalculusleastcommonmultiple.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusleastcommonmultiple not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusintegrate.xhtml}
+<<menucalculusintegrate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusintegrate not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusinverselaplacetransform.xhtml}
+<<menucalculusinverselaplacetransform.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusinverselaplacetransform not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslaplacetransform.xhtml}
+<<menucalculuslaplacetransform.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslaplacetransform not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3.xhtml}
+<<menucalculuslevel3.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3 not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3a.xhtml}
+<<menucalculuslevel3a.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3a not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3b.xhtml}
+<<menucalculuslevel3b.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3b not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuslevel3c.xhtml}
+<<menucalculuslevel3c.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuslevel3c not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuspadeapproximation.xhtml}
+<<menucalculuspadeapproximation.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuspadeapproximation not implemented
+<<page foot>>
+@
+
+\subsection{menucalculuspartialfractions.xhtml}
+<<menucalculuspartialfractions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculuspartialfractions not implemented
+<<page foot>>
+@
+
+\subsection{menucalculusrischintegrate.xhtml}
+<<menucalculusrischintegrate.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menucalculusrischintegrate not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopy.xhtml}
+<<menueditcopy.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopy not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopyasimage.xhtml}
+<<menueditcopyasimage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopyasimage not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopytex.xhtml}
+<<menueditcopytex.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopytex not implemented
+<<page foot>>
+@
+
+\subsection{menueditcopytext.xhtml}
+<<menueditcopytext.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcopytext not implemented
+<<page foot>>
+@
+
+\subsection{menueditcut.xhtml}
+<<menueditcut.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditcut not implemented
+<<page foot>>
+@
+
+\subsection{menueditpaste.xhtml}
+<<menueditpaste.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditpaste not implemented
+<<page foot>>
+@
+
+\subsection{menueditdeleteselection.xhtml}
+<<menueditdeleteselection.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditdeleteselection not implemented
+<<page foot>>
+@
+
+\subsection{menueditselectiontoimage.xhtml}
+<<menueditselectiontoimage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditselectiontoimage not implemented
+<<page foot>>
+@
+
+\subsection{menueditselectiontoinput.xhtml}
+<<menueditselectiontoinput.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menueditselectiontoinput not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsrealrootsofpolynmial.xhtml}
+<<menuequationsrealrootsofpolynmial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsrealrootsofpolynmial not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsatvalue.xhtml}
+<<menuequationsatvalue.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsatvalue not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsboundaryvalueproblem.xhtml}
+<<menuequationsboundaryvalueproblem.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsboundaryvalueproblem not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsinitialvalueproblem1.xhtml}
+<<menuequationsinitialvalueproblem1.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsinitialvalueproblem1 not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsinitialvalueproblem2.xhtml}
+<<menuequationsinitialvalueproblem2.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsinitialvalueproblem2 not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolvealgebraicsystem.xhtml}
+<<menuequationssolvealgebraicsystem.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolvealgebraicsystem not implemented
+<<page foot>>
+@
+
+\subsection{menuequationseliminatevariable.xhtml}
+<<menuequationseliminatevariable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationseliminatevariable not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolvelinearsystem.xhtml}
+<<menuequationssolvelinearsystem.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolvelinearsystem not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolveode.xhtml}
+<<menuequationssolveode.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolveode not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolveodewithlaplace.xhtml}
+<<menuequationssolveodewithlaplace.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolveodewithlaplace not implemented
+<<page foot>>
+@
+
+\subsection{menuequationsrootsofpolynomial.xhtml}
+<<menuequationsrootsofpolynomial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationsrootsofpolynomial not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolve.xhtml}
+<<menuequationssolve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolve not implemented
+<<page foot>>
+@
+
+\subsection{menuequationssolvenumerically.xhtml}
+<<menuequationssolvenumerically.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menuequationssolvenumerically not implemented
+<<page foot>>
+@
+
+\subsection{menufileexit.xhtml}
+<<menufileexit.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileexit not implemented
+<<page foot>>
+@
+
+\subsection{menufileinputfile.xhtml}
+<<menufileinputfile.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileinputfile not implemented
+<<page foot>>
+@
+
+\subsection{menufileloadlibrary.xhtml}
+<<menufileloadlibrary.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileloadlibrary not implemented
+<<page foot>>
+@
+
+\subsection{menufileopen.xhtml}
+<<menufileopen.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileopen not implemented
+<<page foot>>
+@
+
+\subsection{menufileprint.xhtml}
+<<menufileprint.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileprint not implemented
+<<page foot>>
+@
+
+\subsection{menufileread.xhtml}
+<<menufileread.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufileread not implemented
+<<page foot>>
+@
+
+\subsection{menufilesave.xhtml}
+<<menufilesave.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufilesave not implemented
+<<page foot>>
+@
+
+\subsection{menufilesaveas.xhtml}
+<<menufilesaveas.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufilesaveas not implemented
+<<page foot>>
+@
+
+\subsection{menufiletogglespool.xhtml}
+<<menufiletogglespool.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menufiletogglespool not implemented
+<<page foot>>
+@
+
+\subsection{menunumericsetprecision.xhtml}
+<<menunumericsetprecision.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumericsetprecision not implemented
+<<page foot>>
+@
+
+\subsection{menunumerictobigfloat.xhtml}
+<<menunumerictobigfloat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumerictobigfloat not implemented
+<<page foot>>
+@
+
+\subsection{menunumerictofloat.xhtml}
+<<menunumerictofloat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumerictofloat not implemented
+<<page foot>>
+@
+
+\subsection{menunumerictogglenumericoutput.xhtml}
+<<menunumerictogglenumericoutput.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menunumerictogglenumericoutput not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyaddalgebraicequality.xhtml}
+<<menusimplifyaddalgebraicequality.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyaddalgebraicequality not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifycomplexsimplification.xhtml}
+<<menusimplifycomplexsimplification.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifycomplexsimplification not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifycontractlogarithms.xhtml}
+<<menusimplifycontractlogarithms.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifycontractlogarithms not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyevaluatenounform.xhtml}
+<<menusimplifyevaluatenounform.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyevaluatenounform not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyexpandexpression.xhtml}
+<<menusimplifyexpandexpression.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyexpandexpression not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyexpandlogarithms.xhtml}
+<<menusimplifyexpandlogarithms.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyexpandlogarithms not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyfactorialsandgamma.xhtml}
+<<menusimplifyfactorialsandgamma.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyfactorialsandgamma not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyfactorcomplex.xhtml}
+<<menusimplifyfactorcomplex.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyfactorcomplex not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifyfactorexpression.xhtml}
+<<menusimplifyfactorexpression.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifyfactorexpression not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifymoduluscomputation.xhtml}
+<<menusimplifymoduluscomputation.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifymoduluscomputation not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifysimplifyexpression.xhtml}
+<<menusimplifysimplifyexpression.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifysimplifyexpression not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifysubtitute.xhtml}
+<<menusimplifysubtitute.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifysubtitute not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifysimplifyradicals.xhtml}
+<<menusimplifysimplifyradicals.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifysimplifyradicals not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifytogglealgebraicflag.xhtml}
+<<menusimplifytogglealgebraicflag.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+menusimplifytogglealgebraicflag not implemented
+<<page foot>>
+@
+
+\subsection{menusimplifytrigsimplification.xhtml}
+<<menusimplifytrigsimplification.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>> 
+menusimplifytrigsimplification not implemented
+<<page foot>>
+@
+
+%%N
+\subsection{numbasicfunctions.xhtml}
+<<numbasicfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Basic Functions</div>
+  <hr/>
+The size of an integer in Axiom is only limited by the amount of computer
+storage you have available. The usual arithmetic operations are available.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="2^(5678-4856+2*17)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+There are a number of ways of working with the sign of an integer. Let's
+use the x as an example.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="x:=-101" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+First of all, there is the absolute value function.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="abs(x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopsign.xhtml">sign</a> operation returns -1 if its argument
+is negative, 0 if zero and 1 if positive.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="sign(x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You can determine if an integer is negative in several other ways.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="x &lt; 0" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p2','p6']);"
+    value="x &lt;= -1" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p2','p7']);"
+    value="negative?(x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Similarly, you can find out if it is positive.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p2','p8']);"
+    value="x > 0" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p2','p9']);"
+    value="x >= 1" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p2','p10']);"
+    value="positive?(x)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+This is the recommended way of determining whether an integer is zero.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p11']);"
+    value="zero?(x)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+<hr/>
+Use the <a href="dbopzeroq.xhtml">zero?</a> whenever you are testing any
+mathematical object for equality with zero. This is usually more efficient
+than using <a href="dbopequal.xhtml">=</a> (think of matrices: it is easier
+to tell if a matrix is zero by just checking term by term than constructing
+another "zero" amtrix and comparing the two matrices term by term) and also
+avoids the problem that <a href="dbopequal.xhtml">=</a> is usually used
+for creating equations.
+<hr/>
+This is the recommended way of determining whether an integer is equal to one.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p2','p12']);"
+    value="one?(x)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+This syntax is used to test equality using <a href="dbopequal.xhtml">=</a>.
+It says that you want a <a href="db.xhtml?Boolean">Boolean</a> (true or false)
+answer rather than an equation.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p2','p13']);"
+    value="(x=-101)@Boolean" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+The operations <a href="dbopoddq.xhtml">odd?</a> and 
+<a href="dbopevenq.xhtml">even?</a> determine whether an integer is odd
+or even, respectively. They each return a 
+<a href="db.xhtml?Boolean">Boolean</a>
+object.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p2','p14']);"
+    value="odd?(x)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p2','p15']);"
+    value="even?(x)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopgcd.xhtml">gcd</a> computes the greatest common
+divisor of two integers.
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="makeRequest('p16');"
+    value="gcd(56788,43688)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboplcm.xhtml">lcm</a> computes their least common
+multiple.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="lcm(56788,43688)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+To determine the maximum of two integers, use <a href="dbopmax.xhtml">max</a>.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="max(678,567)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+To determine the minimum, use <a href="dbopmin.xhtml">min</a>.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="makeRequest('p20');"
+    value="min(678,567)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopreduce.xhtml">reduce</a> operation is used to extend
+binary operations to more than two arguments. For example, you can use
+<a href="dbopreduce.xhtml">reduce</a> to find the maximum integer in a
+list or compute the least common multiple of all integers in a list.
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="makeRequest('p21');"
+    value="reduce(max,[2,45,-89,78,100,-45])" />
+  <div id="ansp21"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="makeRequest('p22');"
+    value="reduce(min,[2,45,-89,78,100,-45])" />
+  <div id="ansp22"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+    onclick="makeRequest('p23');"
+    value="reduce(gcd,[2,45,-89,78,100,-45])" />
+  <div id="ansp23"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p24" class="subbut" 
+    onclick="makeRequest('p24');"
+    value="reduce(lcm,[2,45,-89,78,100,-45])" />
+  <div id="ansp24"><div></div></div>
+ </li>
+</ul>
+The infix operator "/" is not used to compute the quotient of integers.
+Rather , it is used to create rational numbers as described in
+<a href="numintegerfractions.xhtml">Fractions</a>.
+<ul>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+    onclick="makeRequest('p25');"
+    value="13/4" />
+  <div id="ansp25"><div></div></div>
+ </li>
+</ul>
+The infix operator <a href="dbopquo.xhtml">quo</a> computes the integer
+quotient.
+<ul>
+ <li>
+  <input type="submit" id="p26" class="subbut" 
+    onclick="makeRequest('p26');"
+    value="13 quo 4" />
+  <div id="ansp26"><div></div></div>
+ </li>
+</ul>
+The infix operation <a href="dboprem.xhtml">rem</a> computes the integer
+remainder.
+<ul>
+ <li>
+  <input type="submit" id="p27" class="subbut" 
+    onclick="makeRequest('p27');"
+    value="13 rem 4" />
+  <div id="ansp27"><div></div></div>
+ </li>
+</ul>
+One integer is evenly divisible by another if the remainder is zero.
+The operation <a href="dbopexquo.xhtml">exquo</a> can also be used. See
+<a href="axbook/section-2.5.xhtml">Unions</a> for an example.
+<ul>
+ <li>
+  <input type="submit" id="p28" class="subbut" 
+    onclick="makeRequest('p28');"
+    value="zero?(167604736446952 rem 2003644)" />
+  <div id="ansp28"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopdivide.xhtml">divide</a> returns a record of
+the quotient and remainder and thus is more efficient when both are needed.
+<ul>
+ <li>
+  <input type="submit" id="p29" class="subbut" 
+    onclick="makeRequest('p29');"
+    value="d:=divide(13,4)" />
+  <div id="ansp29"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p30" class="subbut" 
+    onclick="handleFree(['p29','p30']);"
+    value="d.quotient" />
+  <div id="ansp30"><div></div></div>
+ </li>
+</ul>
+Records are discussed in detail in 
+<a href="axbook/section-2.4.xhtml">Records</a>.
+<ul>
+ <li>
+  <input type="submit" id="p31" class="subbut" 
+    onclick="handleFree(['p29','p31']);"
+    value="d.remainder" />
+  <div id="ansp31"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numberspage.xhtml}
+<<numberspage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+The following types of numbers are among those available in Axiom
+  <table>
+   <tr>
+    <td>
+     <a href="numintegers.xhtml">Integers</a>
+    </td>
+    <td>
+     Arithmetic with arbitrarily large integers
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="numfractions.xhtml">Fractions</a>
+    </td>
+    <td>
+     Rational numbers and general fractions
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="nummachinefloats.xhtml">Machine Floats</a>
+    </td>
+    <td>
+     Fixed precision machine floating point
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="numfloat.xhtml">Real Numbers</a>
+    </td>
+    <td>
+     Arbitrary precision decimal arithmetic
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="numcomplexnumbers.xhtml">Complex Numbers</a>
+    </td>
+    <td>
+     Complex numbers in general
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="numfinitefields.xhtml">Finite Fields</a>
+    </td>
+    <td>
+     Arithmetic in characteristic p
+    </td>
+   </tr>
+  </table>
+  <hr/>
+Addtional topics
+ <ul>
+  <li> <a href="numnumericfunctions.xhtml">Numeric Functions</a></li>
+  <li> <a href="numcardinalnumbers.xhtml">Cardinal Numbers</a></li>
+  <li> <a href="nummachinesizedintegers.xhtml">Machine-sized Integers</a></li>
+  <li> <a href="numromannumerals.xhtml">Roman Numerals</a></li>
+  <li> <a href="numcontinuedfractions.xhtml">Continued Fractions</a></li>
+  <li> <a href="numpartialfractions.xhtml">Partial Fractions</a></li>
+  <li> <a href="numquaternions.xhtml">Quaternions</a></li>
+  <li> <a href="numoctonions.xhtml">Octonions</a></li>
+  <li> <a href="numrepeatingdecimals.xhtml">Repeating Decimals</a></li>
+  <li> <a href="numrepeatingbinaryexpansions.xhtml">
+        Repeating Binary Expansions
+       </a>
+  </li>
+  <li> <a href="numrepeatinghexexpansions.xhtml">
+        Repeating Hexadecimal Expansions
+       </a>
+  </li>
+  <li> <a href="numotherbases.xhtml">Expansions in other Bases</a></li>
+ </ul>
+<<page foot>>
+@
+
+\subsection{numcardinalnumbers.xhtml}
+<<numcardinalnumbers.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Cardinal Numbers</div>
+  <hr/>
+The <a href="dbopcardinalnumber.xhtml">CardinalNumber</a> can be used for
+values indicating the cardinality of sets, both finite and infinite. For
+example, the <a href="dbopdimension.xhtml">dimension</a> operation in the
+category <a href="dbopvectorspace.xhtml">VectorSpace</a> returns a cardinal
+number.
+
+The non-negative integers have a natural construction as cardinals
+<pre>
+0=#{ }, 1={0}, 2={0,1}, ..., n={i | 0 &#60;= i &#60; n}
+</pre>
+The fact that 0 acts as a zero for the multiplication of cardinals is
+equivalent to the axiom of choice.
+
+Cardinal numbers can be created by conversion from non-negative integers.
+ <ul>
+  <li>
+   <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+     value="c0:=0::CardinalNumber" />
+   <div id="ansp1"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+     value="c1:=1::CardinalNumber" />
+   <div id="ansp2"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+     value="c2:=2::CardinalNumber" />
+   <div id="ansp3"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+     value="c3:=3::CardinalNumber" />
+   <div id="ansp4"><div></div></div>
+  </li>
+ </ul>
+The can also be obtained as the named cardinal Aleph(n)
+ <ul>
+  <li>
+   <input type="submit" id="p5" class="subbut" onclick="makeRequest('p5');"
+     value="A0:=Aleph 0" />
+   <div id="ansp5"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p6" class="subbut" onclick="makeRequest('p6');"
+     value="A1:=Aleph 1" />
+   <div id="ansp6"><div></div></div>
+  </li>
+ </ul>
+The <a href="dbopfiniteq.xhtml">finite?</a> operation tests whether a value
+is a finite cardinal, that is, a non-negative integer.
+ <ul>
+  <li>
+   <input type="submit" id="p7" class="subbut" 
+     onclick="handleFree(['p3','p7']);"
+     value="finite? c2" />
+   <div id="ansp7"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p8" class="subbut" 
+     onclick="handleFree(['p5','p8']);"
+     value="finite? A0" />
+   <div id="ansp8"><div></div></div>
+  </li>
+ </ul>
+Similarly, the <a href="dbopcountableq.xhtml">countable?</a> operation
+determines whether a value is a countable cardinal, that is, finite or
+Aleph(0).
+ <ul>
+  <li>
+   <input type="submit" id="p9" class="subbut" 
+     onclick="handleFree(['p3','p9']);"
+     value="countable? c2" />
+   <div id="ansp9"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p10" class="subbut" 
+     onclick="handleFree(['p5','p10']);"
+     value="countable? A0" />
+   <div id="ansp10"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p11" class="subbut" 
+     onclick="handleFree(['p6','p11']);"
+     value="countable? A1" />
+   <div id="ansp11"><div></div></div>
+  </li>
+ </ul>
+Arithmetic operations are defined on cardinal numbers as follows:
+<table>
+ <tr>
+  <td>
+   x+y = #(X+Y)
+  </td>
+  <td>
+   cardinality of the disjoint union
+  </td>
+ </tr>
+ <tr>
+  <td>
+   x-y = #(X-Y)
+  </td>
+  <td>
+   cardinality of the relative complement
+  </td>
+ </tr>
+ <tr>
+  <td>
+   x*y = #(X*Y)
+  </td>
+  <td>
+   cardinality of the Cartesian product
+  </td>
+ </tr>
+ <tr>
+  <td>
+   x+*y = #(X**Y)
+  </td>
+  <td>
+   cardinality of the set of maps from Y to X
+  </td>
+ </tr>
+</table>
+Here are some arithmetic examples:
+ <ul>
+  <li>
+   <input type="submit" id="p12" class="subbut" 
+     onclick="handleFree(['p3','p6','p12']);"
+     value="[c2+c2,c1+A1]" />
+   <div id="ansp12"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p13" class="subbut" 
+     onclick="handleFree(['p1','p2','p3','p5','p6','p13']);"
+     value="[c0*c2,c1*c2,c2*c2,c0*A1,c1*A1,c2*A1,A0*A1]" />
+   <div id="ansp13"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p14" class="subbut" 
+     onclick="handleFree(['p1','p2','p3','p6','p14']);"
+     value="[c2**c0,c2**c1,c2**c2,A1**c0,A1**c1,A1**c2]" />
+   <div id="ansp14"><div></div></div>
+  </li>
+ </ul>
+Subtraction is a partial operation; it is not defined when subtracting
+a larger cardinal from a smaller one, nor when subtracting two equal
+infinite cardinals.
+ <ul>
+  <li>
+   <input type="submit" id="p15" class="subbut" 
+     onclick="handleFree(['p2','p3','p4','p5','p6','p15']);"
+     value="[c2-c1,c2-c2,c2-c3,A1-c2,A1-A0,A1-A1]" />
+   <div id="ansp15"><div></div></div>
+  </li>
+ </ul>
+The generalized continuum hypothesis asserts that
+<pre>
+ 2**Aleph i = Aleph(i+1)
+</pre>
+and is independent of the axioms of set theory. (Goedel, The consistency
+of the continuum hypothesis, Ann. Math. Studies, Princeton Univ. Press,
+1940) The <a href="dbopcardinalnumber.xhtml">CardinalNumber</a> domain 
+provides an operation to assert whether the hypothesis is to be assumed.
+ <ul>
+  <li>
+   <input type="submit" id="p16" class="subbut" 
+     onclick="makeRequest('p16');"
+     value="generalizedContinuumHypothesisAssumed true" />
+   <div id="ansp16"><div></div></div>
+  </li>
+ </ul>
+When the generalized continuum hypothesis is assumed, exponentiation to
+a transfinite power is allowed.
+ <ul>
+  <li>
+   <input type="submit" id="p17" class="subbut" 
+     onclick="handleFree(['p1','p2','p3','p5','p6','p17']);"
+     value="[c0**A0,c1**A0,c2**A0,A0**A0,A0**A1,A1**A0,A1**A1]" />
+   <div id="ansp17"><div></div></div>
+  </li>
+ </ul>
+Three commonly encountered cardinal numbers are
+<pre>
+  a = #Z                 countable infinity
+  c = #R                 the continuum
+  f = #{g|g: [0,1]->R}
+</pre>
+In this domain, these values are obtained under the generalized continuum
+hypothesis in this way:
+ <ul>
+  <li>
+   <input type="submit" id="p18" class="subbut" 
+     onclick="makeRequest('p18');"
+     value="a:=Aleph 0" />
+   <div id="ansp18"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p19" class="subbut" 
+     onclick="handleFree(['p18','p19']);"
+     value="c:=2**a" />
+   <div id="ansp19"><div></div></div>
+  </li>
+  <li>
+   <input type="submit" id="p20" class="subbut" 
+     onclick="handleFree(['p18','p19','p20']);"
+     value="f:=2**c" />
+   <div id="ansp20"><div></div></div>
+  </li>
+ </ul>
+<<page foot>>
+@
+
+\subsection{numcomplexnumbers.xhtml}
+<<numcomplexnumbers.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+<div align="center">Complex Numbers</div>
+<hr/>
+The <a href="db.xhtml?Complex">Complex</a> constructor implements 
+complex objects over a commutative ring R. Typically, the ring R is
+<a href="db.xhtml?Integer">Integer</a>,
+<a href="dbfractioninteger.xhtml">Fraction Integer</a>,
+<a href="db.xhtml?Float">Float</a>,
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a>,
+R can also be a symbolic type, like
+<a href="dbpolynomialinteger.xhtml">Polynomial Integer</a>.
+For more information about the numerical and graphical aspects of
+complex numbers, see 
+<a href="axbook/book-contents.xhtml#chapter8">Numeric Functions</a>
+in section 8.1.
+
+Complex objects are created by the
+<a href="dbcomplexcomplex.xhtml">complex</a> operation
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="a:=complex(4/3,5/2)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+    value="b:=complex(4/3,-5/2)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The standard arithmetic operations are available.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="a+b" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p4']);"
+    value="a-b" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p5']);"
+    value="a*b" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+If R is a field, you can also divide the complex objects.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p6']);"
+    value="a/b" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Use a conversion 
+(see <a href="axbook/section-2.7.xhtml">Conversion</a> in 
+section 2.7) to view the last object as a fraction of complex
+integers.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p6','p7']);"
+    value="%::Fraction Complex Integer" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+The predefined macro <tt>%i</tt> is defined to be complex(0,1).
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="3.4+6.7*%i" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+You can also compute the 
+<a href="dbcomplexconjugate.xhtml">conjugate</a> and
+<a href="dbcomplexnorm.xhtml">norm</a> of a complex number.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p9']);"
+    value="conjugate a" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p10']);"
+    value="norm a" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+The <a href="dbcomplexreal.xhtml">real</a> and
+<a href="dbcompleximag.xhtml">imag</a> operations are provided to
+extract the real and imaginary parts, respectively.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p11']);"
+    value="real a" />
+  <div id="ansp11"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p12']);"
+    value="imag a" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+The domain 
+<a href="dbcomplexinteger.xhtml">Complex Integer</a>
+is also called the Gaussian integers. If R is the integers (or, more
+generally, a  
+<a href="db.xhtml?EuclideanDomain">Euclidean Domain</a>),
+you can compute greatest common divisors.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="gcd(12-12*%i,31+27*%i)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+You can also compute least common multiples
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="makeRequest('p14');"
+    value="lcm(13-13*%i,31+27*%i)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+You can <a href="dbcomplexfactor.xhtml">factor</a> Gaussian integers.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="makeRequest('p15');"
+    value="factor(13-13*%i)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="makeRequest('p16');"
+    value="factor complex(2,0)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numcontinuedfractions.xhtml}
+<<numcontinuedfractions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Continued Fractions</div>
+  <hr/>
+Continued fractions have been a fascinating and useful tool in mathematics
+for well over three hundred years. Axiom implements continued fractions
+for fractions of any Euclidean domain. In practice, this usually means
+rational numbers. In this section we demonstrate some of the operations
+available for manipulating both finite and infinite continued fractions.
+It may be helpful if you review
+<a href="db.xhtml?Stream">Stream</a> to remind yourself of some of the 
+operations with streams.
+
+The <a href="db.xhtml?ContinuedFraction">ContinuedFraction</a> domain is a
+field and therefore you can add, subtract, multiply, and divide the
+fractions. The 
+<a href="dbopcontinuedfraction.xhtml">continuedFraction</a> operation 
+converts its fractional argument to a continued fraction.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="c:=continuedFraction(314159/100000)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+This display is the compact form of the bulkier
+<pre>
+  3 +             1
+     ---------------------------
+     7 +            1
+         -----------------------
+         15 +         1
+              ------------------
+              1 +        1
+                  --------------
+                  25 +     1
+                       ---------
+                       1 +   1
+                           -----
+                           7 + 1
+                               -
+                               4
+</pre>
+You can write any rational number in a similar form. The fraction will
+be finite and you can always take the "numerators" to be 1. That is, any
+rational number can be written as a simple, finite continued fraction of
+the form
+<pre>
+a(1) +            1
+     ---------------------------
+  a(2) +            1
+         -----------------------
+       a(3) +         1
+                        .
+                         .
+                          .
+                           1
+
+              -----------------
+              a(n-1) +     1
+                       ---------
+                          a(n)
+</pre>
+The a(i) are called partial quotients and the operation
+<a href="dboppartialquotients.xhtml">partialQuotients</a> creates a
+stream of them.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="partialQuotients c" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+By considering more and more of the fraction, you get the
+<a href="dbopconvergents.xhtml">convergents</a>. For example, the
+first convergent is a(1), the second is a(1)+1/a(2) and so on.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="convergents c" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Since this ia a finite continued fraction, the last convergent is the
+original rational number, in reduced form. The result of
+<a href="dbopapproximants.xhtml">approximants</a> is always an infinite
+stream, though it may just repeat the "last" value.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="approximants c" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Inverting c only changes the partial quotients of its fraction by 
+inserting a 0 at the beginning of the list.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="pq:=partialQuotients(1/c)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Do this to recover the original continued fraction from this list of
+partial quotients. The three argument form of the 
+<a href="dbopcontinuedfraction.xhtml">continuedFraction</a> operation takes
+an element which is the whole part of the fraction, a stream of elements
+which are the denominators of the fraction.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut"
+    onclick="handleFree(['p1','p5','p6']);"
+    value="continuedFraction(first pq,repeating [1],rest pq)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The streams need not be finite for 
+<a href="dbopcontinuedfraction.xhtml">continuedFraction</a>. Can you guess
+which irrational number has the following continued fraction? See the end
+of this section for the answer.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" onclick="makeRequest('p7');"
+    value="z:=continuedFraction(3,repeating [1],repeating [3,6])" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+In 1737 Euler discovered the infinite continued fraction expansion
+<pre>
+ e - 1                 1
+ ----- =  ---------------------------
+p          2 +            1
+              -----------------------
+              6  +         1
+                   ------------------
+                  10 +        1
+                       --------------
+                       14 +  ... 
+</pre>
+We use this expansion to compute rational and floating point 
+approximations of e. (For this and other interesting expansions,
+see C. D. Olds, Continued Fractions, New Mathematical Library,
+Random House, New York, 1963 pp.134-139).
+
+By looking at the above expansion, we see that the whole part is 0
+and the numerators are all equal to 1. This constructs the stream of
+denominators.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" onclick="makeRequest('p8');"
+    value="dens:Stream Integer:=cons(1,generate((x+->x+4),6))" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Therefore this is the continued fraction expansion for (e-1)/2.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p8','p9']);"
+    value="cf:=continuedFraction(0,repeating [1],dens)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+These are the rational number convergents.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut"
+    onclick="handleFree(['p8','p9','p10']);"
+    value="ccf:=convergents cf" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+You can get rational convergents for e by multiplying by 2 and adding 1.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p8','p9','p10','p11']);"
+    value="eConvergents:=[2*e+1 for e in ccf]" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+You can also compute the floating point approximations to these convergents.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut"
+    onclick="handleFree(['p8','p9','p10','p11','p12']);"
+    value="eConvergents::Stream Float" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+Compare this to the value of e computed by the 
+<a href="dbopexp.xhtml">exp</a> operation in 
+<a href="db.xhtml?Float">Float</a>.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" onclick="makeRequest('p13');"
+    value="exp 1.0" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+In about 1658, Lord Brouncker established the following expansion for 4/pi.
+<pre>
+  1 +             1
+     ---------------------------
+     2 +            9
+         -----------------------
+         2  +         25
+              ------------------
+              2 +        49
+                  --------------
+                  2  +     81
+                       ---------
+                       2 +   ...
+</pre>
+Let's use this expansion to compute rational and floating point 
+approximations for pi.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" onclick="makeRequest('p14');"
+    value="cf:=continuedFraction(1,[(2*i+1)^2 for i in 0..],repeating [2])" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p14','p15']);"
+    value="ccf:=convergents cf" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p14','p15','p16']);"
+    value="piConvergents:=[4/p for p in ccf]" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+As you can see, the values are converging to 
+<pre>
+  pi = 3.14159265358979323846..., but not very quickly.
+</pre>
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p14','p15','p16','p17']);"
+    value="piConvergents::Stream Float" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+You need not restrict yourself to continued fractions of integers. Here is
+an expansion for a quotient of Gaussian integers.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" onclick="makeRequest('p18');"
+    value="continuedFraction((-122+597*%i)/(4-4*%i))" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+This is an expansion for a quotient of polynomials in one variable with
+rational number coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" onclick="makeRequest('p19');"
+    value="r:Fraction UnivariatePolynomial(x,Fraction Integer)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p19','p20']);"
+    value="r:=((x-1)*(x-2))/((x-3)*(x-4))" />
+  <div id="ansp20"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="handleFree(['p19','p20','p21']);"
+    value="continuedFraction r" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+To conclude this section, we give you evidence that
+<pre>
+  z =  3 +             1
+          ---------------------------
+          3 +            1
+              -----------------------
+              6 +          1
+                  -------------------
+                   3 +        1
+                       --------------
+                       6  +     1
+                            ---------
+                            3 + ...
+</pre>
+is the expansion of the square root of 11.
+<ul>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="handleFree(['p7','p22']);"
+    value="[i*i for i in convergents(z)]::Stream Float" />
+  <div id="ansp22"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numexamples.xhtml}
+<<numexamples.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Examples</div>
+  <hr/>
+One can show that if an integer of the form 2**k+1 is prime, then k
+must be a power of two.
+
+Pierre Fermat conjectured that every integer of the form 2**(2**n)+1
+is prime. Let's look for a counterexample. First define a function:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="noresult" 
+    onclick="makeRequest('p1');"
+    value="f(n:NNI):INT == 2^(2^n)+1" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Now try commands like:
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="factor f(1)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="factor f(2)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+until you find an integer of this form which is composite. You can also
+try the following command:
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="[factor f(n) for n in 1..6]" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Obviously, Fermat didn't have access to Axiom.
+<<page foot>>
+@
+
+\subsection{numfactorization.xhtml}
+<<numfactorization.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Primes and Factorization</div>
+  <hr/>
+Use the operation <a href="dbopfactor.xhtml">factor</a> to factor integers.
+It returns an object of type <a href="db.xhtml?Factored(Integer)">
+Factored Integer</a>. See <a href="factored.xhtml">Factored</a> for a 
+discussion of the manipulation of factored objects.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="factor 102400" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopprimeq.xhtml">prime?</a> returns true or false
+depending on whether its argument is a prime.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="prime? 7" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="prime? 8" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopnextprime.xhtml">nextPrime</a> returns the 
+least prime number greater than its argument.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="nextPrime 100" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopprevprime.xhtml">prevPrime</a> returns the 
+greatest prime number less than its argument.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="prevPrime 100" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+To compute all primes between two integers (inclusively), use the
+operation <a href="dbopprimes.xhtml">primes</a>.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="primes(100,175)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+You might sometimes want to see the factorization of an integer
+when it is considered a Gaussian (that is, complex) integer. See
+<a href="dbcomplexcomplex.xhtml">Complex</a> for more details.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="factor(2::Complex Integer)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numfinitefields.xhtml}
+<<numfinitefields.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+<div align="center">Finite Fields</div>
+<hr/>
+A <sl>finite field</sl> (also called a <sl>Galois field</sl>) is a finite
+algebraic structure where on can add, multiply, and divide under the same
+laws (for example, commutativity, associativity, or distributivity) as 
+apply to the rational, real, or complex numbers. Unlike those three fields,
+for any finite field there exists a positive prime integer p, called the
+<a href="dbcharacteristic.xhtml">characteristic</a>, such that p*x=0 for 
+any element x in the finite field. In fact, the number of elements in a
+finite filed is a power of the characteristic and for each prime p and
+positive integer n there exists exactly one finite field with p**n elements,
+up to an isomorphism. (For more information about the algebraic structure and
+properties of finite fields, see for example, S. Lang <sl>Algebr</sl>, 
+Second Edition, New York, Addison-Wesley Publishing Company, Inc. 1984,
+ISBN 0 201 05476 6; or R. Lidl, H. Niederreiter, <sl>Finite Fields</sl>,
+Encyclopedia of Mathematics and Its Applications, Vol. 20, Cambridge.
+Cambridge Univ. Press, 1983, ISBN 0 521 30240 4)
+
+When n=1, the field has p elements and is called a <sl>prime field</sl>,
+discussed in 
+<a href="axbook/section-8.11.xhtml#subsec-8.11.1">
+Modular Arithmetic and Prime Fields</a>
+in section 8.11.1. There are several ways of implementing extensions of
+finite fields, and Axiom provides quite a bit of freedom to allow you to
+choose the one that is best for your application. Moreover, we provide
+operations for converting among the different representations of extensions
+and different extensions of a single field. Finally, note that you usually
+need to package call operations from finite fields if the operations do not
+take as an argument an object of the field. See
+<a href="">Package Calling and Target Types</a>
+in section 2.9 for more information on package calling.
+<ul>
+ <li>
+  <a href="axbook/section-8.11.xhtml#subsec-8.11.1">
+   Modular Arithmetic and Prime Fields
+  </a>
+ </li>
+ <li>
+  <a href="axbook/section-8.11.xhtml#subsec-8.11.2">
+   Extensions of Finite Fields
+  </a>
+ </li>
+ <li>
+  <a href="axbook/section-8.11.xhtml#subsec-8.11.3">
+   Irreducible Modulus Polynomial Representations
+  </a>
+ </li>
+ <li>
+  <a href="axbook/section-8.11.xhtml#subsec-8.11.4">
+   Cyclic Group Representations
+  </a>
+ </li>
+ <li>
+  <a href="axbook/section-8.11.xhtml#subsec-8.11.5">
+   Normal Basis Representations
+  </a>
+ </li>
+ <li>
+  <a href="axbook/section-8.11.xhtml#subsec-8.11.6">
+   Conversion Operations for Finite Fields
+  </a>
+ </li>
+ <li>
+  <a href="axbook/section-8.11.xhtml#subsec-8.11.7">
+   Utility Operations for Finite Fields
+  </a>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numfloat.xhtml}
+<<numfloat.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Real Numbers</div>
+  <hr/>
+Axiom provides two kinds of floating point numbers. The domain 
+<a href="db.xhtml?Float">Float</a> 
+(abbreviation <a href="db.xhtml?Float">FLOAT</a>) 
+implements a model of arbitrary precisions floating point numbers. The
+domain
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a> 
+(abbreviation <a href="db.xhtml?DoubleFloat">DFLOAT</a>) 
+is intended to make available hardware floating point arithmetic in Axiom.
+The actual model of floating point 
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a> that Axiom
+provides is system dependent. For example, on the IBM System 370, Axiom
+uses IBM double precision which has fourteen hexadecimal digits of 
+precision or roughly sixteen decimal digits. Arbitrary precision floats
+allow the user to specify the precision at which arithmetic operations 
+are computed. Although this is an attractive facility, it comes at a cost.
+Arbitrary precision floating point arithmetic typically takes twenty to
+two hundred times more time than hardware floating point.
+ 
+For more information about Axiom's numeric and graphic facilities
+see <a href="axbook/book-contents.xhtml#chapter7">Graphics</a> in section 7, 
+<a href="axbook/book-contents.xhtml#chapter8">Numeric Functions</a>
+in section 8.1, and <a href="nummachinefloats.xhtml">DoubleFloat</a>
+<ul>
+ <li>
+  <a href="introtofloat.xhtml">Introduction to Float</a> (see 
+  <a href="axbook/section-9.27.xhtml#subsec-9.27.1">
+   Jenks section 9.27.1
+  </a>)
+ </li>
+ <li>
+  <a href="conversionfunctions.xhtml">Conversion Functions</a> (see
+  <a href="axbook/section-9.27.xhtml#subsec-9.27.2">
+   Jenks section 9.27.2
+  </a>)
+ </li>
+ <li>
+  <a href="outputfunctions.xhtml">Output Functions</a> (see
+  <a href="axbook/section-9.27.xhtml#subsec-9.27.3">
+   Jenks, section 9.27.3
+  </a>)
+ </li>
+ <li>
+  <a href="determinantofhilbert.xhtml">
+   An Example: Determinant of a Hilbert Matrix</a> (see
+  <a href="axbook/section-9.27.xhtml#subsec-9.27.4">
+   Jenks, section 9.27.4
+  </a>)
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numfractions.xhtml}
+<<numfractions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Fractions</div>
+  <hr/>
+Axiom handles fractions in many different contexts and will
+automatically simplify fractions whenever possible. Here are
+some examples:
+ <ul>
+  <li> <input type="submit" id="p1" value="1/4-1/5" class="subbut"
+         onclick="makeRequest('p1');"/>
+       <div id="ansp1"><div></div></div>
+  </li>
+  <li> <input type="submit" id="p2" value="f:=(x^2+1)/(x-1)" class="subbut"
+         onclick="makeRequest('p2');"/>
+       <div id="ansp2"><div></div></div>
+  </li>
+  <li> <input type="submit" id="p3" value="g:=(x^2-3*x+2)/(x+2)" class="subbut"
+         onclick="makeRequest('p3');"/>
+       <div id="ansp3"><div></div></div>
+  </li>
+  <li> <input type="submit" id="p4" value="f*g" class="subbut"
+         onclick="handleFree(['p2','p3','p4']);"/>
+       <div id="ansp4"><div></div></div>
+  </li>
+ </ul>
+ <hr/>
+Additional Topics:
+ <table>
+  <tr>
+   <td>
+    <a href="numrationalnumbers.xhtml">Rational Numbers</a>
+   </td>
+   <td>
+    Quotients of integers
+   </td>
+  </tr>
+  <tr>
+   <td>
+    <a href="numquotientfields.xhtml">Quotient Fields</a>
+   </td>
+   <td>
+    Quotients over an arbitrary integral domain
+   </td>
+  </tr>
+ </table>
+<<page foot>>
+@
+
+\subsection{numfunctions.xhtml}
+<<numfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Integer Number Theory Functions</div>
+  <hr/>
+The <a href="db.xhtml?IntegerNumberTheoryFunctions">
+IntegerNumberTheoryFunctions</a> package contains a variety of
+operations of interest to number theorists. Many of these operations
+deal with divisibility properties of integers (Recall that an integer
+a divides an integer b if there is an integer c such that b=a*c.)
+
+The operation <a href="dbopdivisors.xhtml">divisors</a> returns a list
+of the divisors of an integer
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="div144:=divisors(144)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You can now compute the number of divisors of 144 and the sum of the
+divisors of 144 by counting and summing the elements of the list we
+just created.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="#(div144)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="reduce(+,div144)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Of course, you can compute the number of divisors of an integer n, 
+usually denoted d(n), and the sum of the divisors of an integer n,
+usually denoted &#x003C2;(n), without ever listing the divisors of n.
+
+In Axiom, you can simply call the operations
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="numberOfDivisors(144)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="sumOfDivisors(144)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+The key is that d(n) and &#x003C2;(n) are "multiplicative functions". 
+This means that when n and m are relatively prime, that is, when n and
+m have no factors in common, then d(nm)=d(n)d(m) and &#x003C2;(nm)=
+&#x003C2;(n)&#x003C2;(m). Note that these functions are trivial to 
+compute when n is a prime power and are computed for general n from
+the prime factorization of n. Other examples of multiplicative functions
+are &#x003C2;_k(n), the sum of the k-th powers of the divisors of n and
+&#x003C6;(n), the number of integers between 1 and n which are prime to n.
+The corresponding Axiom operations are called
+<a href="dbopsumofkthpowerdivisors.xhtml">sumOfKthPowerDivisors</a> and
+<a href="dbopeulerphi.xhtml">eulerPhi</a>.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="sumOfKthPowerDivisors(144,2)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="eulerPhi(144)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+
+An interesting function is called &#x003BC;(n), the Moebius mu function,
+defined as 
+<pre>
+        0 if n has a repeated prime factor 
+          (i.e. is divisible by a square)
+  &#x003BC;(n)= 1 if n is 1
+       (-1)^k if n is the product of k distinct primes
+</pre>
+The corresponding Axiom operation is 
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="moebiusMu(2*2*2)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="moebiusMu(1)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="moebiusMu(5*7*13)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+This function occurs in the following theorem:
+<br/>
+<b>Theorem</b>(Moebius Inversion Formula):<br/>
+Let f(n) be a function on the positive integers and let F(n) be defined
+by F(n)=sum of f(n) over d | n where the sum is taken over the positive
+divisors of n. Then the values of f(n) can be recovered from the values
+of F(n):f(n) = sum of &#x003BC;F(n/d) over d|n, where the sum is taken
+over the positive divisors of n.
+
+When f(n)=1, the F(n)=d(n). Thus, if you sum &#x003BC;(d)*d(n/d) over 
+the positive divisors of d of n, you should always get 1.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="noresult" 
+    onclick="makeRequest('p11');"
+    value="f1(n)==reduce(+,[moebiusMu(d)*numberOfDivisors(quo(n,d)) for d in divisors(n)])" />
+  <div id="ansp11"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p11','p12']);"
+    value="f1(200)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p11','p13']);"
+    value="f1(846)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+Similarly, when f(n)=n, then F(n)=&#x003C2;(n). Thus, if you sum 
+&#x003BC;(d)*&#x003C2;(n/d) over the positive divisors d of n, you
+should always get n.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="noresult" 
+    onclick="makeRequest('p14');"
+    value="f2(n)==reduce(+,[moebiusMu(d)*sumOfDivisors(quo(n,d)) for d in divisors(n)])" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p14','p15']);"
+    value="f2(200)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p14','p16']);"
+    value="f2(846)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+The Fibonacci numbers are defined by
+<pre>
+  F(1)=1
+  F(2)=1
+  F(n)=F(n-1)+F(n-2) for n=3,4,...
+</pre>
+The operation <a href="dbopfibonacci.xhtml">fibonacci</a> computes the
+nth Fibonacci number.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="fibonacci(25)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="[fibonacci(n) for n in 1..15]" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+Fibonacci numbers can also be expressed as sums of binomial
+coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="noresult" 
+    onclick="makeRequest('p19');"
+    value="fib(n)==reduce(+,[binomial(n-1-k,k) for k in 0..quo(n-1,2)])" />
+  <div id="ansp19"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p19','p20']);"
+    value="fib(25)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="handleFree(['p19','p21']);"
+    value="[fib(n) for n in 1..15]" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+
+Quadratic symbols can be computed with the operations
+<a href="dboplegendre.xhtml">legendre</a> and
+<a href="dbopjacobi.xhtml">jacobi</a>. The Legendre symbol (a/p) is
+defined for integers a and p with p an odd prime number. By definition,
+<pre>
+        = -1 when a is not a square (mod p)
+  (a/p) =  0 when a is divisible by p
+        = +1 when a is a square (mod p)
+</pre>
+You compute (a/p) via the command legendre(a,p)
+<ul>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="makeRequest('p22');"
+    value="legendre(3,5)" />
+  <div id="ansp22"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+    onclick="makeRequest('p23');"
+    value="legendre(23,691)" />
+  <div id="ansp23"><div></div></div>
+ </li>
+</ul>
+
+The Jacobi symbol (a/n) is the usual extension of the Legendre symbol,
+where n is an arbitrary integer. The most important property of the
+Jacobi symbol is the following: if K is a quadratic field with 
+discriminant d and quadratic character &#x003C7;, the &#x003C7;(n)=(d/n).
+Thus, you can use the Jacobi symbol to compute, say, the class numbers
+of imaginary quadratic fields from a standard class number formula. This
+function computes the class number of the imaginary quadratic field with
+discriminant d.
+<ul>
+ <li>
+  <input type="submit" id="p24" class="noresult" 
+    onclick="makeRequest('p24');"
+    value="h(d)==quo(reduce(+,[jacobi(d,k) for k in 1..quo(-d,2)]),2-jacobi(d,2))" />
+  <div id="ansp24"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+    onclick="handleFree(['p24','p25']);"
+    value="h(-163)" />
+  <div id="ansp25"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p26" class="subbut" 
+    onclick="handleFree(['p24','p26']);"
+    value="h(-499)" />
+  <div id="ansp26"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p27" class="subbut" 
+    onclick="handleFree(['p24','p27']);"
+    value="h(-1832)" />
+  <div id="ansp27"><div></div></div>
+ </li>
+</ul>
+
+<<page foot>>
+@
+
+\subsection{numgeneralinfo.xhtml}
+<<numgeneralinfo.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">General Integer Information</div>
+  <hr/>
+Axiom provides many operations for manipulating arbitrary precision integers.
+In this section we will show some of those that come from 
+<a href="db.xhtml?Integer">Integer</a> itself plus some that are implemented
+in other packages. More examples of integers are in the following sections:
+<a href="axbook/section-1.4.xhtml">Numbers</a>.
+<a href="numfunctions.xhtml">IntegerNumberTheoryFunctions</a>,
+<a href="numrepeatingdecimals.xhtml">DecimalExpansion</a>,
+<a href="numrepeatingbinaryexpansions.xhtml">BinaryExpansion</a>,
+<a href="numrepeatinghexexpansions.xhtml">HexadecimalExpansion</a>, and
+<a href="numotherbases.xhtml">RadixExpansion</a>
+<ul>
+ <li> <a href="numbasicfunctions.xhtml">Basic Functions</a></li>
+ <li> <a href="numnumbertheoreticfunctions.xhtml">
+        Some Number Theoretic Functions</a></li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numintegerfractions.xhtml}
+<<numintegerfractions.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      numintegerfractions not implemented
+<<page foot>>
+@
+
+\subsection{numintegers.xhtml}
+<<numintegers.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Integers</div>
+  <hr/>
+In Axiom, integers can be as large as you like. Try the following
+examples.
+ <ul>
+  <li> <input type="submit" id="p1" value="x:=factorial(200)" class="subbut"
+         onclick="makeRequest('p1');"/>
+       <div id="ansp1"><div></div></div>
+  </li>
+  <li> <input type="submit" id="p2" value="y:=2^90-1" class="subbut"
+         onclick="makeRequest('p2');"/>
+       <div id="ansp2"><div></div></div>
+  </li>
+ </ul>
+Of course, you can now do arithmetic as usual on these (very) large
+integers:
+ <ul>
+  <li> <input type="submit" id="p3" value="x+y" class="subbut"
+         onclick="handleFree(['p1','p2','p3']);"/>
+       <div id="ansp3"><div></div></div>
+  </li>
+  <li> <input type="submit" id="p4" value="x-y" class="subbut"
+         onclick="handleFree(['p1','p2','p4']);"/>
+       <div id="ansp4"><div></div></div>
+  </li>
+  <li> <input type="submit" id="p5" value="x*y" class="subbut"
+         onclick="handleFree(['p1','p2','p5']);"/>
+       <div id="ansp5"><div></div></div>
+  </li>
+ </ul>
+Axiom can factor integers, but numbers with small prime factors
+ <ul>
+  <li> <input type="submit" id="p6" value="factor(x)" class="subbut"
+         onclick="handleFree(['p1','p6']);"/>
+       <div id="ansp6"><div></div></div>
+  </li>
+ </ul>
+will factor more rapidly than numbers with large prime factors.
+ <ul>
+  <li> <input type="submit" id="p7" value="factor(y)" class="subbut"
+         onclick="handleFree(['p2','p7']);"/>
+       <div id="ansp7"><div></div></div>
+  </li>
+ </ul>
+ <hr/>
+Additional topics
+ <table>
+  <tr>
+   <td>
+    <a href="numgeneralinfo.xhtml">General Info</a>
+   </td>
+   <td>
+    General information and examples of integers
+   </td>
+  </tr>
+  <tr>
+   <td>
+    <a href="numfactorization.xhtml">Factorization</a>
+   </td>
+   <td>
+    Primes and factorization
+   </td>
+  </tr>
+  <tr>
+   <td>
+    <a href="numfunctions.xhtml">Functions</a>
+   </td>
+   <td>
+    Number theoretic functions
+   </td>
+  </tr>
+  <tr>
+   <td>
+    <a href="numexamples.xhtml">Examples</a>
+   </td>
+   <td>
+    Examples from number theory
+   </td>
+  </tr>
+  <tr>
+   <td>
+    <a href="numproblems.xhtml">Problems</a>
+   </td>
+   <td>
+    Problems from number theory
+   </td>
+  </tr>
+ </table>
+<<page foot>>
+@
+
+\subsection{nummachinefloats.xhtml}
+<<nummachinefloats.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Machine Floats</div>
+  <hr/>
+Axiom provides two kinds of floating point numbers. The domain 
+<a href="db.xhtml?Float">Float</a> 
+(abbreviation <a href="db.xhtml?Float">FLOAT</a>) 
+implements a model of arbitrary precisions floating point numbers. The
+domain
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a> 
+(abbreviation <a href="db.xhtml?DoubleFloat">DFLOAT</a>) 
+is intended to make available hardware floating point arithmetic in Axiom.
+The actual model of floating point 
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a> that Axiom
+provides is system dependent. For example, on the IBM System 370, Axiom
+uses IBM double precision which has fourteen hexadecimal digits of 
+precision or roughly sixteen decimal digits. Arbitrary precision floats
+allow the user to specify the precision at which arithmetic operations 
+are computed. Although this is an attractive facility, it comes at a cost.
+Arbitrary precision floating point arithmetic typically takes twenty to
+two hundred times more time than hardware floating point.
+
+By default, floating point numbers that you enter into Axiom are of type
+<a href="db.xhtml?Float">Float</a>.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="2.71828" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You must therefore tell Axiom that you want to use 
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a> values and operations. The
+following are some conservative guidelines for getting Axiom to use 
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a>.
+
+To get a value of type <a href="db.xhtml?DoubleFloat">DoubleFloat</a>., 
+use a target with
+    "@", ...
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="2.71828@DoubleFloat" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+a conversion,...
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="2.71828::DoubleFloat" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+or an assignment to a declared variable. It is more efficient if you
+use a target rather than an explicit or implicit conversion.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="eApprox:DoubleFloat:=2.71828" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You also need to declare functions that work with 
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a>.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="noresult" 
+    onclick="makeRequest('p5');"
+    value="avg:List DoubleFloat -> DoubleFloat" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="noresult" 
+    onclick="makeRequest('p6');"
+    value="avg l==(empty? l => 0::DoubleFloat; reduce(_+,l)/#l)"/>
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p5','p6','p7']);"
+    value="avg []" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p5','p6','p8']);"
+    value="avg [3.4,9.7,-6.8]" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Use package calling for operations from 
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a>
+unless the arguments themselves are already of type
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a>.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="cos(3.1415926)$DoubleFloat" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="cos(3.1415926)::DoubleFloat" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+By far, the most common usage of 
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a>
+is for functions to be graphied. For more information about Axiom's
+numerical and graphical facilities, see
+<a href="axbook/book-contents.xhtml#chapter7">Graphics</a>
+in section 7, 
+<a href="axbook/book-contents.xhtml#chapter8">Numeric Functions</a>
+in section 8.1, and
+<a href="numfloat.xhtml">Float</a>
+
+The usual arithmetic and elementary functions are available for
+<a href="db.xhtml?DoubleFloat">DoubleFloat</a>. Use 
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="showcall('p11');"
+   value=")show DoubleFloat"/>
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+to get a list of operations.
+<<page foot>>
+@
+
+\subsection{nummachinesizedintegers.xhtml}
+<<nummachinesizedintegers.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+<div align="center">Machine-sized Integers</div>
+<hr/>
+The <a href="db.xhtml?SingleInteger">SingleInteger</a> is intended to
+provide support in Axiom for machine integer arithmetic. It is generally
+much faster than (bignum) <a href="db.xhtml?Integer">Integer</a> arithmetic
+but suffers from a limited range of values. Since Axiom can be implemented
+on top of various dialects of Lisp, the actual representation of small
+integers may not correspond exactly to the host machines integer
+representation.
+
+You can discover the minimum and maximum values in your implementation by
+using <a href="dbopmin.xhtml">min</a> and <a href="dbopmax.xhtml">max</a>
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="min()$SingleInteger" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+    value="max()$SingleInteger" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+To avoid confusion with <a href="db.xhtml?Integer">Integer</a>, which is
+the default type for integers, you usually need to work with declared
+variables (see <a href="axbook/section-2.3.xhtml">Declarations</a>).
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="a:=1234::SingleInteger" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+or use package calling (see 
+<a href="axbook/section-2.9.xhtml">Package Calling and Target Types</a>).
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+    value="b:=1234$SingleInteger" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+You can add, multiply, and subtract
+<a href="db.xhtml?SingleInteger">SingleInteger</a> objects, and ask for the
+greatest common divisor 
+(<a href="dbopgcd.xhtml">gcd</a>).
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p4','p5']);"
+    value="gcd(a,b)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+The least common multiple 
+(<a href="dboplcm.xhtml">lcm</a>) is also available.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p3','p4','p6']);"
+    value="lcm(a,b)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Operations
+<a href="dbopmulmod.xhtml">mulmod</a>,
+<a href="dbopaddmod.xhtml">addmod</a>,
+<a href="dbopsubmod.xhtml">submod</a>, and
+<a href="dbopinvmod.xhtml">invmod</a>
+are similar -- they provide arithmetic modulo a given small integer.
+Here is 5*6 mod 13.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" onclick="makeRequest('p7');"
+    value="mulmod(5,6,13)$SingleInteger" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+To reduce a small integer modulo a prime, use
+<a href="dboppositiveremainder.xhtml">positiveRemainder</a>
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" onclick="makeRequest('p8');"
+    value="positiveRemainder(37,13)$SingleInteger" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Operations <a href="dbopsingleintegerand.xhtml">And</a>,
+<a href="dbopsingleintegeror.xhtml">Or</a>,
+<a href="dbopsingleintegerxor.xhtml">xor</a>,
+and <a href="dbopsingleintegernot.xhtml">Not</a>
+provide bit level operations on small integers.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" onclick="makeRequest('p9');"
+    value="And(3,4)$SingleInteger" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Use shift(int,numToShift) to shift bits, where int is shifted left if
+numToShift is positive, right if negative.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" onclick="makeRequest('p10');"
+    value="shift(1,4)$SingleInteger" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" onclick="makeRequest('p11');"
+    value="shift(31,-1)$SingleInteger" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+Many other operations are available for small integers, including many of
+those provided for <a href="db.xhtml?Integer">Integer</a>. 
+To see other operations use the system command
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="showcall('p12');"
+   value=")show SingleInteger"/>
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numnumbertheoreticfunctions.xhtml}
+<<numnumbertheoreticfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Some Number Theoretic Functions</div>
+  <hr/>
+Axiom provides several number theoretic operations for integers.
+More examples are in 
+<a href="numfunctions.xhtml">IntegerNumberTheoryFunctions</a>,
+
+The operation <a href="dbopfibonacci.xhtml">fibonacci</a> computes the 
+Fibonacci numbers. The algorithm has a running time O(log(n)**3) for
+argument n.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="[fibonacci(k) for k in 0..]" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboplegendre.xhtml">legendre</a> computes the 
+Legendre symbol for its two integer arguments where the second one is
+prime. If you know the second argument to be prime, use 
+<a href="dbopjacobi.xhtml">jacobi</a> instead where no check is made.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="[legendre(i,11) for i in 0..10]" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopjacobi.xhtml">jacobi</a> computes the Jacobi symbol
+for its two integer arguments. By convention, 0 is returned if the greatest
+common divisor of the numerator and denominator is not 1.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="[jacobi(i,15) for i in 0..9]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopeulerphi.xhtml">eulerPhi</a> compute the values
+of Euler's &#x003C6;-function where &#x003C6;(n) equals the number of
+positive integers less than or equal to n that are relatively prime to the
+positive integer n.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="[eulerPhi i for i in 1..]" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopmoebiusmu.xhtml">moebiusMu</a> computes the 
+Moebius &#x003BC; function.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="[moebiusMu i for i in 1..]" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Although they have somewhat limited utility, Axiom provides Roman numerals.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="a:=roman(78)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="b:=roman(87)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p7','p8']);"
+    value="a+b" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p6','p7','p9']);"
+    value="a*b" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p6','p7','p10']);"
+    value="b rem a" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numnumericfunctions.xhtml}
+<<numnumericfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Numeric Functions</div>
+  <hr/>
+Axiom provides two basic floating point types: 
+<a href="numfloat.xhtml">Float</a> and
+<a href="nummachinefloats.xhtml">DoubleFloat</a>. This section
+describes how to use numerical operations defined on these types and
+the related complex types. As we mentioned in
+<a href="axbook/book-contents.xhtml#chapter1">An Overview of Axiom</a>
+in chapter 1., the 
+<a href="numfloat.xhtml">Float</a> type is a software implementation of
+floating point numbers in which the exponent and the significand may have
+any number of digits. See
+<a href="numfloat.xhtml">Float</a> for detailed information about this 
+domain. The 
+<a href="nummachinefloats.xhtml">DoubleFloat</a> is usually a hardware
+implementation of floating point numbers, corresponding to machine double
+precision. The types 
+<a href="dbcomplexfloat.xhtml">Complex Float</a> and 
+<a href="dbcomplexdoublefloat.xhtml">Complex DoubleFloat</a> are the
+corresponding software implementations of complex floating point numbers.
+In this section the term floating point type means any of these four
+types. The floating point types immplement the basic elementary functions.
+These include (where $ means
+<a href="nummachinefloats.xhtml">DoubleFloat</a>,
+<a href="numfloat.xhtml">Float</a>,
+<a href="dbcomplexfloat.xhtml">Complex Float</a>,
+<a href="dbcomplexdoublefloat.xhtml">Complex DoubleFloat</a>):<br/>
+<a href="dbopexp.xhtml">exp</a>,
+<a href="dboplog.xhtml">log</a>: $ -> $<br/>
+<a href="dbopsin.xhtml">sin</a>,
+<a href="dbopcos.xhtml">cos</a>,
+<a href="dboptan.xhtml">tan</a>,
+<a href="dbopcot.xhtml">cot</a>,
+<a href="dbopsec.xhtml">sec</a>,
+<a href="dbopcsc.xhtml">csc</a>: $ -> $<br/>
+<a href="dbopasin.xhtml">asin</a>,
+<a href="dbopacos.xhtml">acos</a>,
+<a href="dbopatan.xhtml">atan</a>,
+<a href="dbopacot.xhtml">acot</a>,
+<a href="dbopasec.xhtml">asec</a>,
+<a href="dbopacsc.xhtml">acsc</a>: $ -> $<br/>
+<a href="dbopsinh.xhtml">sinh</a>,
+<a href="dbopcosh.xhtml">cosh</a>,
+<a href="dboptanh.xhtml">tanh</a>,
+<a href="dbopcoth.xhtml">coth</a>,
+<a href="dbopsech.xhtml">sech</a>,
+<a href="dbopcsch.xhtml">csch</a>: $ -> $<br/>
+<a href="dbopasinh.xhtml">asinh</a>,
+<a href="dbopacosh.xhtml">acosh</a>,
+<a href="dbopatanh.xhtml">atanh</a>,
+<a href="dbopacoth.xhtml">acoth</a>,
+<a href="dbopasech.xhtml">asech</a>,
+<a href="dbopacsch.xhtml">acsch</a>: $ -> $<br/>
+<a href="dboppi.xhtml">pi</a>: () -> $<br/>
+<a href="dbopsqrt.xhtml">sqrt</a>: $ -> $<br/>
+<a href="dbopnthroot.xhtml">nthRoot</a>: ($,Integer) -> $<br/>
+<a href="dbopstarstar.xhtml">**</a>: ($,Fraction Integer) -> $<br/>
+<a href="dbopstarstar.xhtml">**</a>: ($,$) -> $<br/>
+The handling of roots depends on whether the floating point type is
+real or complex: for the real floating point types, 
+<a href="nummachinefloats.xhtml">DoubleFloat</a> and
+<a href="numfloat.xhtml">Float</a>, if a real root exists the one with 
+the same sign as the radicand is returned; for the complex floating
+point types, the principal value is returned. Also, for real floating
+point types the inverse functions produce errors if the results are not
+real. This includes cases such as asin(1.2), log(-3.2), sqrt(-1,1).
+The default floating point type is <a href="numfloat.xhtml">Float</a>
+or <a href="dbcomplexfloat.xhtml">Complex Float</a>, just use normal
+decimal notation.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="exp(3.1)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+    value="exp(3.1+4.5*%i)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+To evaluate functions using 
+<a href="nummachinefloats.xhtml">DoubleFloat</a> or 
+<a href="dbcomplexdoublefloat.xhtml">Complex DoubleFloat</a>, a 
+declaration or conversion is required.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="(r:DFLOAT:=3.1; t:DFLOAT:=4.5; exp(r+t*%i))" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+    value="exp(3.1::DFLOAT+4.5::DFLOAT*%i)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+A number of special functions are provided by the package
+<a href="db.xhtml?DoubleFloatSpecialFunctions">DoubleFloatSpecialFunctions</a>
+for the machine precision floating point types. The special functions
+provided are listed below, where F stands for the types
+<a href="numfloat.xhtml">Float</a>
+or <a href="dbcomplexfloat.xhtml">Complex Float</a>. The real versions
+of the functions yield an error if the result is not real.
+<ul>
+ <li> 
+  <a href="dbopgamma.xhtml">Gamma</a>: F -> F<br/>
+  Gamma(z) is the Euler gamma
+  function, Gamma(Z), defined by<br/>
+  Gamma(z) = integrate(t^(z-1)*exp(-t),t=0..%infinity)
+ </li>
+ <li>
+  <a href="dbopbeta.xhtml">Beta</a>: F -> F<br/>
+  Beta(u,v) is the Euler Beta
+  function B(u,v), defined by <br/>
+  Beta(u,v)=integrate(t^(u-1)*(1-t)^(b-1),t=0..1)<br/>
+  This is related to Gamma(z) by<br/>
+  Beta(u,v)=Gamma(u)*Gamma(v)/Gamma(u+v)
+ </li>
+ <li>
+  <a href="dboploggamma.xhtml">logGamma</a>: F -> F<br/>
+  logGamma(z) is the natural logarithm of Gamma(z). This can often be
+  computed even if Gamma(z) cannot.
+ </li>
+ <li>
+  <a href="dbopdigamma.xhtml">digamma</a>: F -> F<br/>
+  digamma(z), also called psi(z), is the function psi(z), defined by<br/>
+  psi(z)=Gamma'(z)/Gamma(z)
+ </li>
+ <li>
+ <a href="dboppolygamma.xhtml">polygamma</a>: (NonNegativeInteger, F) -> F<br/>
+  polygamma(n,z) is the n-th derivative of digamma(z)
+ </li>
+ <li>
+  <a href="dbopbesselj.xhtml">besselJ</a>: (F, F) -> F<br/>
+  besselJ(v,z) is the Bessel function of the first kind, J(v,z). This 
+  function satisfies the differential equation<br/>
+  z^(2w)''(z)+zw'(z)+(z^2-v^2)w(z)=0
+ </li>
+ <li>
+  <a href="dbopbessely.xhtml">besselY</a>: (F, F) -> F<br/>
+  besselY(v,z) is the Bessel function of the second kind, Y(v,z). This
+  function satisfies the same differential equation as 
+  <a href="dbopbesselj.xhtml">besselJ</a>. The implementation simply
+  uses the relation<br/>
+  Y(v,z)=(J(v,z)cos(v*%pi)-J(-v,z))/sin(v*%pi)
+ </li>
+ <li>
+  <a href="dbopbesseli.xhtml">besselI</a>: (F, F) -> F<br/>
+  besselI(v,z) if the modifed Bessel function of the first kind, I(v,z).
+  This function satisfies the differential equation<br/>
+  z^2w''(z)+zw'(z)-(z^2+v^2)w(z)=0
+ </li>
+ <li>
+  <a href="dbopbesselk.xhtml">besselK</a>: (F, F) -> F<br/>
+  besselK(v,z) is the modifed Bessel function of the second kind, K(v,z).
+  This function satisfies the same differential equation as
+  <a href="dbopbesseli.xhtml">besselI</a>. The implementation simply uses
+  the relation<br/>
+  K(v,z)=%pi*(I(v,z)-I(-v,z))/(2sin(v*%pi))
+ </li>
+ <li>
+  <a href="dbopairyai.xhtml">airyAi</a>: F -> F<br/>
+  airyAi(z) is the Airy function Ai(z). This function satisfies the
+  differential equation<br/>
+  w''(z)-zw(z)=0<br/>
+  The implementation simply uses the relation<br/>
+  Ai(-z)=1/3*sqrt(z)*(J(-1/3,2/3*z^(3/2))+J(1/3,2/3*z^(3/2)))
+ </li>
+ <li>
+  <a href="dbopairybi.xhtml">airyBi</a>: F -> F<br/>
+  airyBi(z) is the Airy function Bi(z). This function satisfies the
+  same differential equation as airyAi.
+  The implementation simply uses the relation<br/>
+  Bi(-z)=1/3*sqrt(3*z)*(J(-1/3,2/3*z^(3/2))-J(1/3,2/3*z^(3/2)))
+ </li>
+ <li>
+  <a href="dbophypergeometric0f1.xhtml">hypergeometric0F1</a>: (F, F) -> F<br/>
+  hypergeometric0F1(c,z) is the hypergeometric function 0F1(;c;z). The above
+  special functions are defined only for small floating point types. If you
+  give <a href="numfloat.xhtml">Float</a> arguments, they are converted to
+  <a href="nummachinefloats.xhtml">DoubleFloat</a> by Axiom.
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" onclick="makeRequest('p5');"
+    value="Gamma(0.5)^2" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" onclick="makeRequest('p6');"
+    value="(a:=2.1; b:=1.1; besselI(a+%i*b,b*a+1))" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+A number of additional operations may be used to compute numerical
+values. These are special polynomial functions that can be evaluated
+for values in any commutative ring R, and in particular for values in
+any floating-point type. The following operations are provided by the
+package <a href="db.xhtml?OrthogonalPolynomialFunctions">
+OrthogonalPolynomialFunctions</a>:
+<ul>
+ <li> <a href="dbopchebyshevt.xhtml">chebyshevT</a>:
+      (nonNegativeInteger,R) -> R
+   <br/>
+      chebyshevT(n,z) is the nth Chebyshev polynomial of the first kind,
+      T[n](z). These are defined by 
+   <br/>
+      (1-t*z)/(1-2*t*z*t**2)=sum(T[n](z)*t**n,n=0..)
+ </li>
+ <li> <a href="dbopchebyshevu.xhtml">chebyshevU</a>:
+      (nonNegativeInteger,R) -> R
+   <br/>
+      chebyshevU(n,z) is the nth Chebyshev polynomial of the second kind,
+      U[n](z). These are defined by 
+   <br/>
+     1/(1-2*t*z+t**2)=sum(U[n](z)*t**n,n=0..)
+ </li>
+ <li> <a href="dbophermiteh.xhtml">hermiteH</a>:
+      (NonNegativeInteger,R) -> R
+   <br/>
+      hermiteH(n,z) is the nth Hermite polynomial, H[n](z). These are
+      defined by
+   <br/>
+      exp(2*t*z-t**2)=sum(H[n](z)*t**n/n!,n=0..)
+ </li>
+ <li> <a href="dboplaguerrel.xhtml">laguerreL</a>:
+      (NonNegativeInteger,R) -> R
+   <br/>
+       laguerreL(n,z) is the nth Laguerre polynomial, L[n](z). These are
+       defined by      
+   <br/>
+       (exp(-t*z/(1-t))/(1-t)=sum(L[n](z)*t**n/n!,n=0..)
+ </li>
+ <li> <a href="dboplaguerrel.xhtml">laguerreL</a>:
+      (NonNegativeInteger,NonNegativeInteger,R) -> R
+   <br/>
+      labuerreL(m,n,2) is the associated Laguerre polynomial, L&lt;m>[n](z).
+      This is the nth derivative of L[n](z).
+ </li>
+ <li> <a href="dboplegendrep.xhtml">legendreP</a>:
+      (NonNegativeInteger,R) -> R
+   <br/>
+      legendreP(n,z) is the nth Legendre polynomial, P[n](z). These are 
+      defined by
+   <br/>
+    1/sqrt(1-2*z*t+t**2)=sum(P[n](z)*t**n,n=0..)
+ </li>
+</ul>
+<br/>
+<br/>
+These operations require non-negative integers for the indices,
+but otherwise the argument can be given as desired.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="[chebyshevT(i,z) for i in 0..5]" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+The expression chebyshevT(n,z) evaluates to the nth Chebyshev polynomial
+of the first kind.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="chebyshevT(3,5.0+6.0*%i)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="chebyshevT(3,5.0::DoubleFloat)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+The expression chebyshevU(n,z) evaluates to the nth Chebyshev polynomial
+of the second kind.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="[chebyshevU(i,z) for i in 0..5]" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="chebyshevU(3,0.2)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+The expression hermiteH(n,z) evaluates to the nth Hermite polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="makeRequest('p12');"
+    value="[hermiteH(i,z) for i in 0..5]" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="makeRequest('p13');"
+    value="hermiteH(100,1.0)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+The expression laguerreL(n,z) evaluates to the nth Laguerre polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="makeRequest('p14');"
+    value="[laguerreL(i,z) for i in 0..4]" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="makeRequest('p15');"
+    value="laguerreL(4,1.2)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="makeRequest('p16');"
+    value="[laguerreL(j,3,z) for j in 0..4]" />
+  <div id="ansp16"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="makeRequest('p17');"
+    value="laguerreL(1,3,2.1)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+The expression legendreP(n,z) evaluates to the nth Legendre polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="[legendreP(i,z) for i in 0..5]" />
+  <div id="ansp18"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="makeRequest('p19');"
+    value="legendreP(3,3.0*%i)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+<br/>
+<br/>
+Finally, three number-theoretic polynomial operations may be evaluated.
+The following operations are provided by the package
+<a href="db.xhtml?NumberTheoreticPolynomialFunctions">
+NumberTheoreticPolynomialFunctions</a>.
+<ul>
+ <li> <a href="dbopbernoullib.xhtml">bernoulliB</a>:
+      (NonNegativeInteger,R) -> R
+   <br/>
+      bernoulliB(n,z) is the nth Bernoulli polynomial, B[n](z). These are
+      defined by
+   <br/>
+      t*exp(z*t)/(exp t - 1)=sum(B[n](z)*t**n/n! for n=0..)
+ </li>
+ <li> <a href="dbopeulere.xhtml">eulerE</a>:
+      (NonNegativeInteger,R) -> R
+   <br/>
+      eulerE(n,z) is the nth Euler polynomial, E[n](z). These are defined by
+   <br/>
+      2*exp(z*t)/(exp t + 1)=sum(E[n](z)*t**n/n! for n=0..)
+ </li>
+ <li> <a href="dbopcyclotomic.xhtml">cyclotomic</a>:
+      (NonNegativeInteger,R) -> R
+   <br/>
+      cyclotomic(n,z) is the nth cyclotomic polynomial &#x003C6;(n,z).
+      This is the polynomial whose roots are precisely the primitive nth
+      roots of unity. This polynomial has degree given by the Euler
+      totient function &#x003C6;(n).
+ </li>
+</ul>
+
+The expression bernoulliB(n,z) evaluates to the nth Bernoulli polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="makeRequest('p20');"
+    value="bernoulliB(3,z)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="makeRequest('p21');"
+    value="bernoulliB(3,0.7+0.4*%i)" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+The expression eulerE(n,z) evaluates to the nth Euler polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="makeRequest('p22');"
+    value="eulerE(3,z)" />
+  <div id="ansp22"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+    onclick="makeRequest('p23');"
+    value="eulerE(3,0.7+0.4*%i)" />
+  <div id="ansp23"><div></div></div>
+ </li>
+</ul>
+The expression cyclotomic(n,z) evaluates to the nth cyclotomic polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p24" class="subbut" 
+    onclick="makeRequest('p24');"
+    value="cyclotomic(3,z)" />
+  <div id="ansp24"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+    onclick="makeRequest('p25');"
+    value="cyclotomic(3,(-1.0+0.0*%i)**(2/3))" />
+  <div id="ansp25"><div></div></div>
+ </li>
+</ul>
+<br/>
+<br/>
+Drawing complex functions in Axiom is presently somewhat awkward compared
+to drawing real functions. It is necessary to use the 
+<a href="dbopdraw.xhtml">draw</a> operations that operate on functions
+rather than expressions.
+
+This is the complex exponential function. When this is displayed in color,
+the height is the value of the real part of the function and the color is
+the imaginary part. Red indicates large negative imaginary values, green
+indicates imaginary values near zero and blue/violet indicates large
+positive imaginary values.
+<ul>
+ <li>
+  <input type="submit" id="p26" class="subbut" 
+    onclick="makeRequest('p26');"
+    value='draw((x,y)+->real exp complex(x,y),-2..2,-2*%pi..2*%pi,colorFunction==(x,y)+->imag exp complex(x,y),title=="exp(x+%i*y)",style=="smooth")' />
+  <div id="ansp26"><div></div></div>
+ </li>
+</ul>
+This is the complex arctangent function. Again, the height is the real part
+of the function value but here the color indicates the function value's phase.
+The position of the branch cuts are clearly visible and one can see that the
+function is real only for a real argument.
+<ul>
+ <li>
+  <input type="submit" id="p27" class="subbut" 
+    onclick="makeRequest('p27');"
+    value='vp:=draw((x,y)+->real atan complex(x,y),-%pi..%pi,-%pi..%pi,colorFunction==(x,y)+->argument atan complex(x,y),title=="atan(x+%i*y)",style=="shade"); rotate(vp,-160,-45); vp' />
+  <div id="ansp27"><div></div></div>
+ </li>
+</ul>
+This is the complex Gamma function.
+<ul>
+ <li>
+  <input type="submit" id="p28" class="subbut" 
+    onclick="makeRequest('p28');"
+    value='draw((x,y)+->max(min(real Gamma complex(x,y),4),-4),-%pi..%pi,-%pi..%pi,style=="shade",colorFunction==(x,y)+->argument Gamma complex(x,y),title=="Gamma(x+%i*y)",var1Steps==50,var2Steps==50)' />
+  <div id="ansp28"><div></div></div>
+ </li>
+</ul>
+This shows the real Beta function near the origin.
+<ul>
+ <li>
+  <input type="submit" id="p29" class="subbut" 
+    onclick="makeRequest('p29');"
+    value='draw(Beta(x,y)/100,x=-1.6..1.7,y=-1.6..1.7,style=="shade",title=="Beta(x,y)",var1Steps==40,var2Steps==40)' />
+  <div id="ansp29"><div></div></div>
+ </li>
+</ul>
+This is the Bessel function J(alpha,x) for index alpha in the range -6..4 and
+argument x in the range 2..14.
+<ul>
+ <li>
+  <input type="submit" id="p30" class="subbut" 
+    onclick="makeRequest('p30');"
+    value='draw((alpha,x)+->min(max(besselJ(alpha,x+8),-6), 6),-6..4,-6..6,title=="besselJ(alpha,x)",style=="shade",var1Steps==40,var2Steps==40)' />
+  <div id="ansp30"><div></div></div>
+ </li>
+</ul>
+This is the modified Bessel function I(alpha,x) evaluated for various real
+values of the index alpha and fixed argument x=5.
+<ul>
+ <li>
+  <input type="submit" id="p31" class="subbut" 
+    onclick="makeRequest('p31');"
+    value="draw(besselI(alpha,5),alpha=-12..12,unit==[5,20])" />
+  <div id="ansp31"><div></div></div>
+ </li>
+</ul>
+This is similar to the last example except the index alpha takes on complex
+values in a 6x6 rectangle centered on the origin.
+<ul>
+ <li>
+  <input type="submit" id="p32" class="subbut" 
+    onclick="makeRequest('p32');"
+    value='draw((x,y)+->real besselI(complex(x/20,y/20),5),-60..60,-60..60,colorFunction==(x,y)+->argument besselI(complex(x/20,y/20),5),title=="besselI(x+i*y,5)",style=="shade")' />
+  <div id="ansp32"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numoctonions.xhtml}
+<<numoctonions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Octonions</div>
+  <hr/>
+The Octonions, also called the Cayley-Dixon algebra, defined over a
+commutative ring are an eight-dimensional non-associative algebra. Their
+construction from quaternions is similar to the construction of quaternions
+from complex numbers (see <a href="numquaternions.xhtml">Quaternion</a>).
+As <a href="db.xhtml?Octonion">Octonion</a> creates an eight-dimensional
+algebra, you have to give eight components to construct an octonion.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="oci1:=octon(1,2,3,4,5,6,7,8)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+    value="oci2:=octon(7,2,3,-4,5,6,-7,0)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Or you can use two quaternions to create an octonion.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="oci3:=octon(quatern(-7,-12,3,-10),quatern(5,6,9,0))" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+You can easily demonstrate the non-associativity of multiplication.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4']);"
+    value="(oci1*oci2)*oci3-oci1*(oci2*oci3)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+As with the quaternions, we have a real part, the imaginary parts i, j,
+k, and four additional imaginary parts E, I, J, and K. These parts 
+correspond to the canonical basis (1,i,j,k,E,I,J,K). For each basis
+element there is a component operation to extract the coefficient of 
+the basis element for a given octonion.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+value="[real oci1, imagi oci1, imagj oci1, imagk oci1, 
+imagE oci1, imagI oci1, imagJ oci1, imagK oci1]"/>
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+A basis with respect to the quaternions is given by (1,E). However, you 
+might ask, what then are the commuting rules? To answer this, we create
+some generic elements. We do this in Axim by simply changing the ground
+ring from
+<a href="db.xhtml?Integer">Integer</a> to
+<a href="dbpolynomialinteger.xhtml">Polynomial Integer</a>.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" onclick="makeRequest('p6');"
+    value="q:Quaternion Polynomial Integer:=quatern(q1,qi,qj,qk)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" onclick="makeRequest('p7');"
+    value="E:Octonion Polynomial Integer:=octon(0,0,0,0,1,0,0,0)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Note that quaternions are automatically converted to octonions in the
+obvious way.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p7','p8']);"
+    value="q*E" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p6','p7','p9']);"
+    value="E*q" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p6','p10']);"
+    value="q*1$(Octonion Polynomial Integer)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p6','p11']);"
+    value="1$(Octonion Polynomial Integer)*q" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+Finally, we check that the <a href="dbopnorm.xhtml">norm</a>, defined as 
+the sum of the squares of the coefficients, is a multiplicative map.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" onclick="makeRequest('p12');"
+    value="o:Octonion Polynomial Integer:=octon(o1,oi,oj,ok,oE,oI,oJ,oK)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p12','p13']);"
+    value="norm o" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" onclick="makeRequest('p14');"
+    value="p:Octonion Polynomial Integer:=octon(p1,pi,pj,pk,pE,pI,pJ,pK)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+Since the result is 0, the norm is multiplicative
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p12','p14','p15']);"
+    value="norm(o*p)-norm(o)*norm(p)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="showcall('p16');"
+   value=")show Octonion"/>
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+to display the list of operations defined by 
+<a href="db.xhtml?Octonion">Octonion</a>.
+<<page foot>>
+@
+
+\subsection{numotherbases.xhtml}
+<<numotherbases.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Expansions in other Bases</div>
+  <hr/>
+It is possible to expand numbers in general bases. Here we expand
+111 in base 5. This means 
+<pre>
+    2   1   0      2    1  -
+  10 +10 +10  = 4*5 +2*5 +5
+</pre>
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="111::RadixExpansion(5)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You can expand fractions to form repeating expansions.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+    value="(5/24)::RadixExpansion(2)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="(5/24)::RadixExpansion(3)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+    value="(5/24)::RadixExpansion(8)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" onclick="makeRequest('p5');"
+    value="(5/24)::RadixExpansion(10)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+For bases from 11 to 36 the letters A through Z are used.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" onclick="makeRequest('p6');"
+    value="(5/24)::RadixExpansion(12)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" onclick="makeRequest('p7');"
+    value="(5/24)::RadixExpansion(16)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" onclick="makeRequest('p8');"
+    value="(5/24)::RadixExpansion(36)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+For bases greater than 36, the ragits are separated by blanks.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" onclick="makeRequest('p9');"
+    value="(5/24)::RadixExpansion(38)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+The <a href="db.xhtml?RadixExpansion">RadixExpansion</a> type provides 
+operations to obtain the individual ragits. Here is a rational number
+in base 8.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" onclick="makeRequest('p10');"
+    value="a:=(76543/210)::RadixExpansion(8)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopwholeragits.xhtml">wholeRagits</a> returns
+a list of the ragits for the integral part of the number.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p10','p11']);"
+    value="w:=wholeRagits a" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+The operations <a href="dbopprefixragits.xhtml">prefixRagits</a> and 
+<a href="dbopcycleragits.xhtml">cycleRagits</a> returns lists of the
+initial and repeating ragist in the fractional part of the number.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut"
+    onclick="handleFree(['p10','p12']);"
+    value="f0:=prefixRagits a" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut"
+    onclick="handleFree(['p10','p13']);"
+    value="f1:=cycleRagits a" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+You can construct any radix expansion by giving the whole, prefix, and 
+cycle parts. The declaration is necessary to let Axiom know the base 
+of the ragits.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut"
+    onclick="handleFree(['p11','p12','p13','p14']);"
+    value="u:RadixExpansion(8):=wholeRadix(w)+fractRadix(f0,f1)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+If there is no repeating part, then the list [0] should be used.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" onclick="makeRequest('p15');"
+    value="v:RadixExpansion(12):=fractRadix([1,2,3,11],[0])" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+If you are not interested in the repeating nature of the expansion,
+an infinite stream of ragits can be obtained using
+<a href="dbopfractragits.xhtml">fractRagits</a>
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut"
+     onclick="handleFree(['p14','p16']);"
+    value="fractRagits(u)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Of course, it's possible to recover the fraction representation:n
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p10','p17']);"
+    value="a::Fraction(Integer)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="showcall('p18');"
+   value=")show RadixExpansion"/>
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by
+<a href="db.xhtml?RadixExpansion">RadixExpansion</a>. More examples of
+expansions are available in
+<a href="numrepeatingdecimals.xhtml">DecimalExpansion</a>,
+<a href="numrepeatingbinaryexpansions.xhtml">BinaryExpansion</a>, and
+<a href="numrepeatinghexexpansions.xhtml">HexadecimalExpansion</a>
+<<page foot>>
+@
+
+\subsection{numpartialfractions.xhtml}
+<<numpartialfractions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Partial Fractions</div>
+  <hr/>
+A partial fraction is a decomposition of a quotient into a sum of quotients
+where the denominators of the summand are powers of primes. (Most people 
+first encounter partial fractions when they are learning integral calculus.
+For a technical discussion of partial fractions see, for example, Lang's
+Algebra.) For example, the rational number 1/6 is decomposed into 1/2-1/3.
+You can compute partial fractions of quotients of objects from domains
+belonging to the category 
+<a href="db.xhtml?EuclideanDomain">EuclideanDomain</a>. For example,
+<a href="db.xhtml?Integer">Integer</a>,
+<a href="dbcomplexinteger.xhtml">Complex Integer</a>, and
+<a href="db.xhtml?UnivariatePolynomial">
+UnivariatePolynomial(x,Fraction Integer)</a>
+all belong to 
+<a href="db.xhtml?EuclideanDomain">EuclideanDomain</a>. 
+In the examples following, we demonstrate how to decompose quotients of
+each of these kinds of objects into partial fractions. 
+
+It is necessary that we know how to factor the denominator when we want to 
+compute a partial fraction. Although the interpreter can often do this
+automatically, it may be necessary for you to include a call to 
+<a href="dbopfactor.xhtml">factor</a>. In these examples, it is not
+necessary to factor the denominators explicitly. The main operation for
+computing partial fractions is called 
+<a href="dboppartialfraction.xhtml">partialFraction</a> and we use this
+to compute a decomposition of 1/10!. The first argument top
+<a href="dboppartialfraction.xhtml">partialFraction</a> is the numerator
+of the quotient and the second argument is the factored denominator.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="partialFraction(1,factorial 10)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Since the denominators are powers of primes, it may be possible to expand
+the numerators further with respect to those primes. Use the operation
+<a href="dboppadicfraction.xhtml">padicFraction</a> to do this.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+    value="f:=padicFraction(%)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopcompactfraction.xhtml">compactFraction</a>
+returns an expanded fraction into the usual form. The compacted version
+is used internally for computational efficiency.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="compactFraction(f)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+You can add, subtract, multiply, and divide partial fractions. In addition,
+you can extract the parts of the decomposition.
+<a href="dbopnumberoffractionalterms.xhtml">numberOfFractionalTerms</a>
+computes the number of terms in the fractional part. This does not include
+the whole part of the fraction, which you get by calling
+<a href="dbopwholepart.xhtml">wholePart</a>. In this example, the whole part
+is 0.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="numberOfFractionalTerms(f)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The operation 
+<a href="dbopnthfractionalterm.xhtml">nthFractionalTerm</a>
+returns the individual terms in the decomposition. Notice that the object
+returned is a partial fraction itself. 
+<a href="dbopfirstnumer.xhtml">firstNumer</a> and
+<a href="dbopfirstdenom.xhtml">firstDenom</a> extract the numerator and
+denominator of the first term of the fraction.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="nthFractionalTerm(f,3)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Given two gaussian integers (see <a href="db.xhtml?Complex">Complex</a>),
+you can decompose their quotient into a partial fraction.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" onclick="makeRequest('p6');"
+    value="g:=partialFraction(1,-13+14*%i)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+To convert back to a quotient, simply use the conversion
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value="g::Fraction Complex Integer" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+To conclude this section, we compute the decomposition of
+<pre>
+                   1
+     -------------------------------
+                   2       3       4
+     (x + 1)(x + 2) (a + 3) (x + 4)
+</pre>
+The polynomials in this object have type
+<a href="db.xhtml?UnivariatePolynomial">
+UnivariatePolynomial(x,Fraction Integer)</a>.
+We use the <a href="dbopprimefactor.xhtml">primeFactor</a> operation
+(see <a href="db.xhtml?Factored">Factored</a>) to create the denominator
+in factored form directly.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" onclick="makeRequest('p8');"
+   value="u:FR UP(x,FRAC INT):=reduce(*,[primeFactor(x+i,i) for i in 1..4])"/>
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+These are the compact and expanded partial fractions for the quotient.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p8','p9']);"
+    value="pu:=partialFraction(1,u)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p8','p9','p10']);"
+    value="padicFraction pu" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+Also see
+<a href="db.xhtml?FullPartialFractionExpansion">
+FullPartialFractionExpansion</a> for examples of factor-free conversion of
+quotients to full partial fractions.
+
+Issue the system
+command
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="showcall('p11');"
+   value=")show PartialFraction"/>
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by 
+<a href="db.xhtml?PartialFraction">PartialFraction</a>.
+
+<<page foot>>
+@
+
+\subsection{numproblems.xhtml}
+<<numproblems.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Problems</div>
+  <hr/>
+One can show that if an integer of the form 2**k-1 is prime then
+k must be prime. 
+<br/>
+<b>Proof</b>
+Suppose that k=m*n is a non-trivial factorization. Then
+<pre>
+       2^m = 1 (mod (2^m-1))
+   2^(m*n) = 1 (mod (2^m-1))
+  so 2^m-1 is a non-trivial factor of 2^k-1
+</pre>
+
+<b>Problem</b> Find the smallest prime p such that 2**p-1 is not prime
+<br/>
+<b>Answer</b>
+<br/>
+First, define a function:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="noresult" 
+    onclick="makeRequest('p1');"
+    value="f(n:NNI):INT == 2^n-1" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You can try factoring f(p) as p ranges through the set of primes.
+For example,
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="factor f(7)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+This gets tedious after a while, so let's use Axiom's stream facility.
+A streamm is essentially an infinite sequence. First, we create a stream
+consisting of the positive integers:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="ints:=[n for n in 1..]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Now, we create a stream consisting of the primes:
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="primes:=[x for x in ints | prime? x]" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Here is the 25th prime:
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="primes.25" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Next, create the stream of numbers of the form 2**p-1 with p prime:
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p6']);"
+    value="numbers:=[f(n) for n in primes]" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Finally, form the stream of factorizations of the elements of numbers:
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p6','p7']);"
+    value="factors:=[factor n for n in numbers]" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+You can see that the fifth number in the stream (2047=23*89) is the first
+one that has a non-trivial factorization. Since 2**11=2048, the solution
+to the problem is 11.
+
+Here is another way to see that 2047 is the first number in the stream
+that is composite:
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p3','p4','p6','p8']);"
+    value="nums:=[x for x in numbers | not prime? x]" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+<br/><br/>
+<b>Problem</b>: Find the smallest positive integer n such that 
+n**2-n+41 is not prime.
+<br/>
+<b>Answer</b>: When n=41, n**2-n+41=41**2, which certainly isn't prime.
+Is there any smaller integer that works? Here are the first 40 values:
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="numbs:=[n**2-n+41 for n in 0..40]" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Now have Axiom factor the numbers on this list:
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p9','p10']);"
+    value="[factor n for n in numbs]" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+You can see that 41 is the smallest positive integer n such that
+n**2-n+41 is not prime.
+<<page foot>>
+@
+
+\subsection{numquaternions.xhtml}
+<<numquaternions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Quaternions</div>
+  <hr/>
+The domain contructor <a href="db.xhtml?Quaternion">Quaternion</a>
+implements quaternions over commutative rings. 
+
+The basic operation for creating quaternions is 
+<a href="dbopquatern.xhtml">quatern</a>. This is a quaternion
+over the rational numbers.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="q:=quatern(2/11,-8,3/4,1)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The four arguments are the real part, the i imaginary part, 
+the j imaginary part, and the k imaginary part, respectively.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="[real q, imagI q, imagJ q, imagK q]" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Because q is over the rationals (and nonzero), you can invert it.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="inv q" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The usual arithmetic (ring) operations are available.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="q^6" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut"  onclick="makeRequest('p5');"
+    value="r:=quatern(-2,3,23/9,-89)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p5','p6']);"
+    value="q+r" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+In general, multiplication is not commutative.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut"
+    onclick="handleFree(['p1','p5','p7']);"
+    value="q*r-r*q" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+There are no predefined constants for the imaginary i, j, and k parts, 
+but you can easily define them
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" onclick="makeRequest('p8');"
+    value="i:=quatern(0,1,0,0)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" onclick="makeRequest('p9');"
+    value="j:=quatern(0,0,1,0)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" onclick="makeRequest('p10');"
+    value="k:=quatern(0,0,0,1)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+These satisfy the normal identities.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p8','p9','p10','p11']);"
+    value="[i*i,j*j,k*k,i*j,j*k,k*i,q*i]" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+The norm is the quaternion times its conjugate.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p12']);"
+    value="norm q" />
+  <div id="ansp12"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p1','p13']);"
+    value="c:=conjugate q" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p1','p13','p14']);"
+    value="q*c" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+For information on
+related topics, see <a href="db.xhtml?Complex">Complex</a> and
+<a href="db.xhtml?Octonion">Octonion</a>. You can also issue the
+system command
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="showcall('p15');"
+   value=")show Quaternion"/>
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by 
+<a href="db.xhtml?Quaternion">Quaternion</a>.
+<<page foot>>
+@
+
+\subsection{numquotientfields.xhtml}
+<<numquotientfields.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Quotient Fields</div>
+  <hr/>
+The <a href="db.xhtml?Fraction">Fraction</a> domain implements quotients.
+The elements must belong to a domain of category 
+<a href="db.xhtml?IntegralDomain">IntegralDomain</a>: multiplication 
+must be commutative and the product of two non-zero elements must not be
+zero. This allows you to make fractions of most things you would think of,
+but don't expect to create a fraction of two matrices. The abbreviation for
+<a href="db.xhtml?Fraction">Fraction</a> is
+<a href="db.xhtml?Fraction">FRAC</a>.
+
+Use <a href="dbopdivide.xhtml">/</a> to create a fraction.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="a:=11/12" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="b:=23/24" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The standard arithmetic operations are available.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="3-a*b^2+a+b/a" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Extract the numerator and denominator by using 
+<a href="dbopnumer.xhtml">numer</a> and <a href="dbopdenom.xhtml">denom</a>,
+respectively.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="numer(a)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="denom(b)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Operations like 
+<a href="dbopmax.xhtml">max</a>, <a href="dbopmin.xhtml">min</a>,
+<a href="dbopnegativeq.xhtml">negative?</a>,
+<a href="dboppositiveq.xhtml">positive?</a>, and
+<a href="dbopzeroq.xhtml">zero?</a> are all available if they are
+provided for the numerators and denominators. See
+<a href="numintegers.xhtml?Integer">Integer</a> for examples.
+
+Don't expect a useful answer from 
+<a href="dbopfactor.xhtml">factor</a>,
+<a href="dbopgcd.xhtml">gcd</a>, or
+<a href="dboplcm.xhtml">lcm</a> if you apply them to fractions.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="r:=(x^2+2*x+1)/(x^2-2*x+1)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Since all non-zero fractions are invertible, these operations have
+trivial definitions.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value="factor(r)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopmap.xhtml">map</a> to apply 
+<a href="dbopfactor.xhtml">factor</a> to the numerator and denominator,
+which is probably what you mean.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p8']);"
+    value="map(factor,r)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+
+Other forms of fractions are available, Use
+<a href="dbopcontinuedfraction.xhtml">continuedFraction</a>
+to create a continued fraction.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="continuedFraction(7/12)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+Use <a href="dboppartialfraction.xhtml">partialFraction</a> to create a
+partial fraction. 
+See <a href="numcontinuedfractions.xhtml">continuedFraction</a>
+and <a href="numpartialfractions.xhtml">PartialFraction</a> for
+additional information and examples.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="makeRequest('p10');"
+    value="partialFraction(7,12)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+Use conversion to create alternative views of fractions with objects
+moved in and out of the numerator and denominator.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="g:=2/3+4/5*%i" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+Conversion is discussed in detail in 
+<a href="axbook/section-2.7.xhtml">Conversion</a>.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p11','p12']);"
+    value="g::FRAC COMPLEX INT" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numrationalnumbers.xhtml}
+<<numrationalnumbers.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Rational Numbers</div>
+  <hr/>
+Like integers, rational numbers can be arbitrarily large. For example:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="61657^10/999983^12" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Rational numbers will not be converted to decimals unless you explicitly
+ask Axiom to do so. To convert a rational number to a decimal, use the
+function <a href="dbopnumeric.xhtml">numeric</a>. Here's an example:
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="x:=104348/33215" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p2','p3']);"
+    value="numeric x" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+You can find the numerator and denominator of rational numbers using the
+functions <a href="dbopnumer.xhtml">numer</a> and
+<a href="dbopdenom.xhtml">denom</a>, respectively.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p2','p4']);"
+    value="numer(x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p2','p5']);"
+    value="denom(x)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+To factor the numerator and denominator of a fraction, use the following
+command:
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p2','p6']);"
+    value="factor(numer x)/factor(denom x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numrepeatingbinaryexpansions.xhtml}
+<<numrepeatingbinaryexpansions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Repeating Binary Expansions</div>
+  <hr/>
+All rational numbers have repeating binary expansions. Operations to 
+access the individual bits of a binary expansion can be obtained by
+converting the value to 
+<a href="db.xhtml?RadixExpansion">RadixExpansion(2)</a>. More examples
+of expansions are available in
+<a href="numrepeatingdecimals.xhtml">DecimalExpansion</a>,
+<a href="numrepeatinghexexpansions.xhtml">HexadecimalExpansion</a>, and
+<a href="db.xhtml?RadixExpansion">RadixExpansion</a>. 
+
+The expansion (of type 
+<a href="db.xhtml?BinaryExpansion">BinaryExpansion</a>)
+of a rational number is returned by the 
+<a href="dbopbinary.xhtml">binary</a> operation.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="r:=binary(22/7)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Arithmetic is exact.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="r+binary(6/7)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The period of the expansion can be short or long...
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="[binary(1/i) for i in 102..106]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+or very long
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+    value="binary(1/1007)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+These numbers are bona fide algebraic objects.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" onclick="makeRequest('p5');"
+    value="p:=binary(1/4)*x^2+binary(2/3)*x+binary(4/9)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p5','p6']);"
+    value="q:=D(p,x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut"
+    onclick="handleFree(['p5','p6','p7']);"
+    value="g:=gcd(p,q)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{numrepeatingdecimals.xhtml}
+<<numrepeatingdecimals.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Repeating Decimals</div>
+  <hr/>
+All rationals have repeating decimal expansions. Operations to access
+the individual digits of a decimal expansion can be obtained by converting
+the value to <a href="db.xhtml?RadixExpansion">RadixExpansion(10)</a>.
+
+The operation <a href="dbopdecimal.xhtml">decimal</a> is used to create
+this expansion of type
+<a href="db.xhtml?DecimalExpansion">DecimalExpansion</a>.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="r:=decimal(22/7)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Arithmetic is exact.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="r+decimal(6/7)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The period of the expansion can be short or long...
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="[decimal(1/i) for i in 350..354]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+or very long
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+    value="decimal(1/2049)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+These numbers are bona fide algebraic objects.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" onclick="makeRequest('p5');"
+    value="p:=decimal(1/4)*x^2+decimal(2/3)*x+decimal(4/9)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p5','p6']);"
+    value="q:=differentiate(p,x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut"
+    onclick="handleFree(['p5','p6','p7']);"
+    value="g:=gcd(p,q)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+More examples of expansions are available in
+<a href="numrepeatingbinaryexpansions.xhtml">BinaryExpansion</a>,
+<a href="numrepeatinghexexpansions.xhtml">HexadecimalExpansion</a>, and
+<a href="db.xhtml?RadixExpansion">RadixExpansion</a>. Issue the system
+command
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="showcall('p8');"
+   value=")show RadixExpansion"/>
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by
+<a href="db.xhtml?RadixExpansion">RadixExpansion</a>.
+<<page foot>>
+@
+
+\subsection{numrepeatinghexexpansions.xhtml}
+<<numrepeatinghexexpansions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Repeating Hexadecimal Expansions</div>
+  <hr/>
+All rationals have repeating hexadecimals expansions. The operation
+<a href="dbophex.xhtml">hex</a> returns these expansions of type
+<a href="db.xhtml?HexadecimalExpansion">HexadecimalExpansion</a>.
+Operations to access the individual numerals of a hexadecimal expansion
+can be obtained by converting the value to 
+<a href="db.xhtml?RadixExpansion">RadixExpansion(16)</a>. More examples of
+expansions are available in 
+<a href="numrepeatingdecimals.xhtml">DecimalExpansion</a>,
+<a href="numrepeatingbinaryexpansions.xhtml">BinaryExpansion</a>, and 
+<a href="db.xhtml?RadixExpansion">RadixExpansion</a>.
+
+This is a hexadecimal expansion of a rational number.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="r:=hex(22/7)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Arithmetic is exact.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="r+hex(6/7)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The period of the expansion can be short or long...
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="[hex(1/i) for i in 350..354]" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+or very long.
+.<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+    value="hex(1/1007)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+These numbers are bona fide algebraic objects.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" onclick="makeRequest('p5');"
+    value="p:=hex(1/4)*x^2+hex(2/3)*x+hex(4/9)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p5','p6']);"
+    value="q:=D(p,x)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut"
+    onclick="handleFree(['p5','p6','p7']);"
+    value="g:=gcd(p,q)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="showcall('p8');"
+   value=")show HexadecimalExpansion"/>
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by
+<a href="db.xhtml?HexadecimalExpansion">HexadecimalExpansion</a>.
+
+<<page foot>>
+@
+
+\subsection{numromannumerals.xhtml}
+<<numromannumerals.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Roman Numerals</div>
+  <hr/>
+The Roman numeral package was added to Axiom in MCMLXXXVI for use in
+denoting higher order derivatives.
+
+For example, let f be a symbolic operator.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" onclick="makeRequest('p1');"
+    value="f:=operator 'f" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+This is the seventh derivative of f with respect to x
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" onclick="makeRequest('p2');"
+    value="D(f x,x,7)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+You can have integers printed as Roman numerals by declaring variables
+to be of type 
+<a href="db.xhtml?RomanNumeral">RomanNumeral</a> 
+(abbreviation <a href="db.xhtml?RomanNumeral">ROMAN</a>).
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" onclick="makeRequest('p3');"
+    value="a:=roman(1978-1965)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+This package now has a small but devoted group of followers that claim
+this domain has shown its efficacy in many other contexts. They claim
+that Roman numerals are every bit as useful as ordinary integers.
+In a sense, they are correct, because Roman numerals form a ring and
+you can therefore construct polynomials with Roman numeral 
+coefficients, matrices over Roman numerals,etc..
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" onclick="makeRequest('p4');"
+    value="x:UTS(ROMAN,'x,0):=x" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Was Fibonacci Italian or ROMAN?
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="recip(1-x-x^2)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+You can also construct fractions with Roman numeral numerators and 
+denominators, as this matrix Hilberticus illustrates.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" onclick="makeRequest('p6');"
+    value="m:MATRIX FRAC ROMAN" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value="m:=matrix [ [1/(i+j) for i in 1..3] for j in 1..3]" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Note that the inverse of the matrix has integral 
+<a href="db.xhtml?RomanNumeral">ROMAN</a> entries.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p7','p8']);"
+    value="inverse m" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Unfortunately, the spoil-sports say that the fun stops when the
+numbers get big -- mostly because the Romans didn't establish
+conventions about representing very large numbers.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" onclick="makeRequest('p9');"
+    value="y:=factorial 10" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+You work it out!
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p9','p10']);"
+    value="roman y" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="showcall('p11');"
+   value=")show RomanNumeral"/>
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by 
+<a href="db.xhtml?RomanNumeral">RomanNumeral</a>).
+<<page foot>>
+@
+
+%%O
+\subsection{ocwmit18085.xhtml}
+<<ocwmit18085.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+18.085 Mathematical Methods for Engineers I Course Notes
+<hr/>
+These are course notes based on the 
+<a href="http://ocw.mit.edu/OcwWeb/Mathematics/18-085Fall-2005/VideoLectures/index.htm">
+ M.I.T. Open Courseware lectures by Gilbert Strang. 
+</a> 
+<ul>
+ <li>
+  <a href="ocwmit18085lecture1.xhtml">
+   Positive Definite Matrices K=A'CA
+  </a>
+ </li>
+ <li>
+  <a href="ocwmit18085lecture2.xhtml">
+   One-dimensional Applications: A = Difference Matrix
+  </a>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{ocwmit18085lecture1.xhtml}
+<<ocwmit18085lecture1.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+ Positive Definite Matrices K=A'CA
+<hr/>
+In applied mathematics we have 2 basic tasks:
+<ul>
+<li>Find the equations</li>
+<li>Solve the equations</li>
+</ul>
+<h4>Positive Definite Matrices</h4>
+Certain matrices occur frequently in applied math. These three
+matrices (K,T,and M) are canonical examples.
+We have 3 3x3 matrices, 
+<pre>
+K:Matrix(Integer):=[[2,-1,0],[-1,2,-1],[0,-1,2]]
+
+        + 2   - 1   0 +
+        |             |
+        |- 1   2   - 1|
+        |             |
+        + 0   - 1   2 +
+               Type: Matrix Integer
+T:Matrix(Integer):=[[1,-1,0],[-1,2,-1],[0,-1,2]]
+
+        + 1   - 1   0 +
+        |             |
+        |- 1   2   - 1|
+        |             |
+        + 0   - 1   2 +
+               Type: Matrix Integer
+B:Matrix(Integer):=[[1,-1,0],[-1,2,-1],[0,-1,1]]
+
+        + 1   - 1   0 +
+        |             |
+        |- 1   2   - 1|
+        |             |
+        + 0   - 1   1 +
+               Type: Matrix Integer
+</pre>
+These matrices are similar and can be generalized to square matrices
+of order N, with n x n elements. All of these matrices have the same
+element along the diagonal. T (aka Top) differs from K in the first row.
+B (aka Both) differs from K in the first and last row. These represent
+different boundary conditions in the problem.
+
+We can create K(n), T(n) and B(n) with the following commands:
+<pre>
+k(n) == 
+ M := diagonalMatrix([2 for i in 1..n]) 
+ for i in 1..n-1 repeat M(i,i+1):=-1 
+ for i in 1..n-1 repeat M(i+1,i):=-1 
+ M::SquareMatrix(n,Fraction(Integer))
+</pre>
+<pre>
+t(n) == 
+ M:=k(n)
+ N:=M::Matrix(Fraction(Integer)) 
+ qsetelt!(N,1,1,1) 
+ N::SquareMatrix(n,Fraction(Integer))
+</pre>
+<pre>
+b(n) == 
+ M:=k(n)
+ N:=M::Matrix(Fraction(Integer)) 
+ qsetelt!(N,1,1,1) 
+ qsetelt!(N,n,n,1)
+ N::SquareMatrix(n,Fraction(Integer))
+</pre>
+
+K:=k(n) has a few key properties:
+<ul>
+<li> K is symmetric, that is K=K^T</li>
+<li> K might be nonsingular, that is, it is invertible</li>
+<li> K has a non-zero determinant</li>
+<li> K is banded (main diagonal and neighbors)</li>
+<li> K is tri-diagonal (main diagonal and nearest neighbors</li>
+<li> K is extremely sparse</li>
+<li> K has constant diagonals, (shift invariant, time invariant)</li>
+<li> K is Toeplitz (constant diagonal, shows up in filters)</li>
+<li> K is good for Fourier analysis</li>
+</ul>
+
+<h5>The inverse of T</h5>
+If we look at the inverse of the T matrix we see:
+<pre>
+T^-1
+
+        +3  2  1+
+        |       |
+        |2  2  1|
+        |       |
+        +1  1  1+
+               Type: Matrix Fraction Integer
+</pre>
+Notice that these are all integers because the determinant of
+this matrix is 1
+<pre>
+determinant T
+
+     1
+               Type: Fraction Integer
+
+</pre>
+We can check that this matrix is the inverse of T. 
+
+When computing the inverse the row pattern [-1 2 -1] is a 
+``second difference''. The first column of the inverse matrix
+is [3 2 1] which is linear. When we take the second difference
+of a linear object we should get 0. Thus,
+<pre>
+[[-1,2,-1]]::MATRIX(INT)*[[3],[2],[1]]
+
+     [0]
+               Type: Matrix Integer
+
+</pre>
+The third column of the T matrix is linear and constant. If we
+take the second difference of that we also find it is zero:
+<pre>
+ [[-1,2,-1]]::MATRIX(INT)*[[1],[1],[1]]
+
+    [0]
+               Type: Matrix Integer
+</pre>
+and the diagonal element of the unit matrix must be one. So
+the second difference of the second column is:
+<pre>
+ [[-1,2,-1]]::MATRIX(INT)*[[2],[2],[1]]
+
+    [1]
+               Type: Matrix Integer
+</pre>
+So these simple checks show that we're getting the correct 
+row and column values for the identity matrix by multiplying
+T times its inverse.
+
+<br/>
+<h5>The inverse of B</h5>
+If we look for the inverse of the B matrix we can observe
+that the rows sum to zero which implies that it is not
+invertible. Thus it is singular.
+
+K and T are positive definite. B is only positive semi-definite.
+
+If we can find a vector that it takes to zero, that is if we can
+solve for x,y,z in:
+<pre>
+        + 1   - 1   0 + + x +    + 0 +
+        |             | |   |    |   |
+        |- 1   2   - 1| | y | =  | 0 |
+        |             | |   |    |   |
+        + 0   - 1   1 + + z +    + 0 +
+
+</pre>
+The constant vector [1 1 1] solves this equation. When
+the rows sum to zero we are adding each row by a constant
+and thus we add each row times the constant one and we
+get zeros. If the matrix takes some vector to zero it
+cannot have an inverse since if
+<pre>
+   B x = 0
+</pre>
+and x is not zero. If B had an inverse only x=0 would
+solve the equation. Since x=1 solves the equation B has
+no inverse. The vector x is in the nullspace of B. In
+fact any constant vector, e.g. [3 3 3] is in the nullspace.
+Thus the nullspace of B is cx for any constant c.
+
+When doing matrix multiplication one way to think about the
+work is to consider the problem by columns. Thus in the
+multiplication
+<pre>
+        + 1   - 1   0 + + x +    + 0 +
+        |             | |   |    |   |
+        |- 1   2   - 1| | y | =  | 0 |
+        |             | |   |    |   |
+        + 0   - 1   1 + + z +    + 0 +
+
+</pre>
+we can think about this as 
+<pre>
+x*(first column) + y*(second column) + z*(third column).
+</pre>
+and for the constant vector [1 1 1] this means that we
+just need to sum the columns.
+
+Alternatively this can be computed by thinking of the 
+multiplication as 
+<pre>
+ (first row)*(vector)
+ (second row)*(vector)
+ (third row)*(vector)
+</pre>
+
+<br/>
+<h5>The inverse of K</h5>
+Now we consider the K matrix we see the inverse
+<pre>
+K
+
+         + 2   - 1   0 +
+         |             |
+         |- 1   2   - 1|
+         |             |
+         + 0   - 1   2 +
+               Type: SquareMatrix(3,Fraction Integer)
+kinv:=K^-1
+
+         +3  1  1+
+         |-  -  -|
+         |4  2  4|
+         |       |
+         |1     1|
+         |-  1  -|
+         |2     2|
+         |       |
+         |1  1  3|
+         |-  -  -|
+         +4  2  4+
+               Type: SquareMatrix(3,Fraction Integer)
+</pre>
+We can take the determinant of k 
+<pre>
+determinant K
+
+    4
+               Type: Fraction Integer
+</pre>
+Thus there is a constant 1/4 which can be factored out
+<pre>
+4*kinv
+
+         +3  2  1+
+         |       |
+         |2  4  2|
+         |       |
+         +1  2  3+
+               Type: SquareMatrix(3,Fraction Integer)
+</pre>
+Notice that the inverse is a symmetric matrix but not tri-diagonal.
+The inverse is not a sparse matrix so much more computation would
+be involved when using the inverse.
+
+In order to solve the system
+<pre>
+ K u = f
+</pre>
+by elimination which implies multiplying and subtracting rows.
+<pre>
+       K    u  =  f    ==>   U     u  =    f
+</pre>                                        
+For the 2x2 case we see:
+<pre>
+                             +2  -1+        +  f1  +
+    +2  -1+  +x+   +f1+      |     |  +x+   |      |
+    |     |  | | = |  |  ==> |    3|  | | = |   1  |
+    +-1  2+  +y+   +f2+      |0   -|  +y+   |f2+-f1|
+                             +    2+        +   2  +
+
+
+</pre>
+By multiplying row1 by 1/2 and adding it to row2 we create an
+upper triangular matrix U. Since we chose K(1,1), the number 2
+is called the first pivot. K(2,2), the number 3/2, is called 
+the second pivot.
+
+For K 2x2 above is symmetric and invertible (since the pivots
+are all non-zero).
+
+For the K 3x3 case the pivots are 2, 3/2, and 4/3. (The next pivots
+would be 5/4, 6/5, etc. for larger matrices).
+
+For the T 3x3 case the pivots are 1, 1, and 1.
+
+For the B 3x3 case the third pivot would be zero.
+
+<hr/>
+<h5>Generalizing the matrix pivot operations</h5>
+For the 2x2 case we see contruct an elimination matrix E which we can use
+to pre-multipy by K to give us the upper triangular matrix U
+<pre>
+      E     K    =   U
+</pre>
+In detail we see
+<pre>
+
+    +1  0+            +2  -1+
+    |    |  +2  -1+   |     |
+    |1   |  |     | = |    3|
+    |-  1|  +-1  2+   |0   -|
+    +2   +            +    2+
+
+</pre>
+We wish to rewrite this as
+<pre>
+       K = L U 
+</pre>
+
+<hr/>
+<h5>The big 4 solve operations in Linear Algebra</h5>
+<ol>
+<li>Elimination</li>
+<li>Gram-Schmidt Orthoginalization</li>
+<li>Eigenvalues</li>
+<li>Singular Value Decomposition</li>
+</ol>
+Each of these operations is described by a factorization of K.
+Elimination is written 
+<pre>
+  K = L U
+</pre>
+where L is lower triangular and U is upper triangular.
+Thus we need a matrix L which when multiplied by U gives K.
+The required matrix is the inverse of the E matrix above since
+<pre>
+
+1)      E K =     U
+
+     -1        -1
+2)  E   E K = E   U
+
+               -1
+3)      I K = E   U
+
+               -1
+4)  but   L = E
+
+5)  so    K = L U
+</pre>
+Given the matrix operations above we had
+<pre>
+      E       K   =   U
+
+    +1  0+            +2  -1+
+    |    |  +2  -1+   |     |
+    |1   |  |     | = |    3|
+    |-  1|  +-1  2+   |0   -|
+    +2   +            +    2+
+
+</pre>
+and the inverse of E is the same matrix with a minus sign in
+the second row, thus:
+<pre>
+        +  1  0+ 
+   -1   |      | 
+  E   = |  1   | = L 
+        |- -  1| 
+        +  2   + 
+
+</pre>
+
+<hr/>
+<h5>Making the matrices symmetric</h5>
+We would like to preserve the symmetry property which we can
+do with a further decomposition of LU as follows:
+<pre>
+      L        U     =     L        D       U'
+
+  +  1  0+  +2  -1+    +  1  0+  +2  0+  +1   1+
+  |      |  |     |    |      |  |    |  |  - -|
+  |  1   |  |    3|  = |  1   |  |   3|  |    2|
+  |- -  1|  |0   -|    |- -  1|  |0  -|  |     |
+  +  2   +  +    2+    +  2   +  +   2+  +0   1+
+
+</pre>
+So now we have 3 matrices; L is the lower triangular,
+D is symmetric and contains the pivots, and U' is upper triangular and
+is the transpose of the lower. So the real form we have is
+<pre>
+           T
+    L  D  L
+</pre>
+This result will always be symmetric. We can check this by taking
+its transpose. If we get the same matrix we must have a symmetric
+matrix. So the transpose of
+<pre>
+            T  T     TT  T   T        T T        T
+  (  L  D  L  )   = L   D   L   =  L D L  = L D L
+</pre>
+<hr/>
+<h5>Positive Definite Matrices</h5>
+There are several ways to recognize a positive definite matrix.
+First, it must be symmetric. The "positive" aspect comes from
+the pivots, all of which must be positive. Note that T is also
+positive definite. B is positive semi-definite because one of
+the pivots is zero. So
+<pre>
+   positive definite      == all pivots >  0
+   positive semi-definite == all pivots >= 0
+</pre>
+When all the pivots are positive then all the eigenvalues are positive.
+
+So a positive definite matrix K and any non-zero vector X
+<pre>
+    T
+   X  K X  > 0
+</pre>
+X transpose is just a row and X is just a column.
+
+<<page foot>>
+@
+
+\subsection{ocwmit18085lecture2.xhtml}
+<<ocwmit18085lecture2.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+ One-dimensional Applications: A = Difference Matrix
+<hr/>
+<h5>Difference Matrices</h5>
+<hr/>
+<h5>Second Differences</h5>
+<hr/>
+<h5>Stiffness Matrix</h5>
+<hr/>
+<h5>Boundary Conditions</h5>
+<<page foot>>
+@
+
+\subsection{operations.xhtml}
+<<operations.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      operations not implemented
+<<page foot>>
+@
+
+\subsection{outputfunctions.xhtml}
+<<outputfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Output Functions</div>
+  <hr/>
+A number of operations exist for specifying how numbers of type
+<a href="db.xhtml?Float">Float</a> are to be displayed. By default,
+spaces are inserted every ten digits in the output for readability.
+(Not that you cannot include spaces in the input form of a floating
+point number, though you can use underscores.)
+
+Output spacing can be modified with the 
+<a href="dbopoutputspacing.xhtml">outputSpacing</a> operation. This
+inserts no spaces and then displays the value of x.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="outputSpacing 0; x:=sqrt 0.2" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Issue this to have the spaces inserted every 5 digits.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="outputSpacing 5; x" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+By default, the system displays floats in either fixed format or
+scientific format, depending on the magnitude of the number.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="y:=x/10^10" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+A particular format may be requested with the operations
+<a href="dbopoutputfloating.xhtml">outputFloating</a> and
+<a href="dbopoutputfixed.xhtml">outputFixed</a>.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="outputFloating(); x" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="outputFixed(); y" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Additionally, you can ask for n digits to be displayed after the 
+decimal point.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p3','p6']);"
+    value="outputFloating 2; y" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p7']);"
+    value="outputFixed 2; x" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopoutputgeneral.xhtml">outputGeneral</a> function resets
+the output printing to the default behavior.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="outputGeneral()" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+%%P
+\subsection{pagelist.xhtml}
+<<pagelist.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pagelist not implemented
+<<page foot>>
+@
+
+\subsection{pagematrix.xhtml}
+<<pagematrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pagematrix not implemented
+<<page foot>>
+@
+
+\subsection{pageonedimensionalarray.xhtml}
+<<pageonedimensionalarray.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pageonedimensionalarray not implemented
+<<page foot>>
+@
+
+\subsection{pageset.xhtml}
+<<pageset.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pageset not implemented
+<<page foot>>
+@
+
+\subsection{pagetable.xhtml}
+<<pagetable.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pagetable not implemented
+<<page foot>>
+@
+
+\subsection{pagepermanent.xhtml}
+<<pagepermanent.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pagepermanent not implemented
+<<page foot>>
+@
+
+\subsection{pagesquarematrix.xhtml}
+<<pagesquarematrix.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pagesquarematrix not implemented
+<<page foot>>
+@
+
+\subsection{pagetwodimensionalarray.xhtml}
+<<pagetwodimensionalarray.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">TwoDimensionalArray</div>
+  <hr/>
+The <a href="db.xhtml?TwoDimensionalArray">TwoDimensionalArray</a> is used for
+storing data in a two-dimensional data structure indexed by row and column.
+Such an array is a homogeneous data structure in that all the entries of the
+array must belong to the same Axiom domain (although see 
+<a href="axbook/section-2.6.xhtml">The Any Domain</a>). Each array has a fixed 
+number of rows and columns specified by the user and arrays are not 
+extensible. In Axiom, the indexing of two-dimensional arrays is one-based.
+This means that both the "first" row of an array and the "first" column of
+an array are given the index 1. Thus, the entry in the upper left corner
+of an array is in position (1,1).
+
+The operation <a href="dbopnew.xhtml">new</a> creates an array with a 
+specified number of rows and columns and fills the components of that array 
+with a specified entry. The arguments of this operation specify the number
+of rows, the number of columns, and the entry. This creates a five-by-four
+array of integers, all of whose entries are zero.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="arr:ARRAY2 INT:=new(5,4,0)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The entries of this array can be set to other integers using the operation
+<a href="dbopsetelt.xhtml">setelt</a>. 
+
+Issue this to set the element in the upper left corner of this array to 17.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="setelt(arr,1,1,17)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Now the first element of the array is 17.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="arr" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Likewise, elements of an array are extracted using the operation
+<a href="dbopelt.xhtml">elt</a>.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p4']);"
+    value="elt(arr,1,1)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Another way to use these two operations is as follows. This sets the
+element in position (3,2) of the array to 15.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p5']);"
+    value="arr(3,2):=15" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+This extracts the element in position (3,2) of the array.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p6']);"
+    value="arr(3,2)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopelt.xhtml">elt</a> and 
+<a href="dbopsetelt.xhtml">setelt</a> come equipped with an error check
+which verifies that the indices are in the proper ranges. For example,
+the above array has five rows and four columns, so if you ask for the
+entry in position (6,2) with arr(6,2) Axiom displays an error message.
+If there is no need for an error check, you can call the operations
+<a href="dbopqelt.xhtml">qelt</a> and
+<a href="dbopqseteltbang.xhtml">qsetelt!</a> 
+which provide the same functionality
+but without the error check. Typically, these operations are called in
+well-tested programs.
+
+The operations <a href="dboprow.xhtml">row</a> and
+<a href="dbopcolumn.xhtml">column</a> extract rows and columns, respectively,
+and return objects of 
+<a href="db.xhtml?OneDimensionalArray">OneDimensionalArray</a> with the
+same underlying element type.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p7']);"
+    value="row(arr,1)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p8']);"
+    value="column(arr,1)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+You can determine the dimensions of an array by calling the operations
+<a href="dbopnrows.xhtml">nrows</a> and
+<a href="dbopncols.xhtml">ncols</a>, which return the number of rows
+and columns, respectively.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p9']);"
+    value="nrows(arr)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p10']);"
+    value="ncols(arr)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+To apply an operation to every element of an array, use
+<a href="dbopmap.xhtml">map</a>. This creates a new array. This 
+expression negates every element.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11']);"
+    value="map(-,arr)" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+This creates an array where all the elements are doubled.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12']);"
+    value="map((x+->x+x),arr)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+To change the array destructively, use 
+<a href="dbopmapbang.xhtml">map!</a> instead of 
+<a href="dbopmap.xhtml">map</a>.
+If you need to make a copy of an array,
+use <a href="dbopcopy.xhtml">copy</a>.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p13']);"
+    value="arrc:=copy(arr)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p13','p14']);"
+    value="map!(-,arrc)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p13','p14','p15']);"
+    value="arrc" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p16']);"
+    value="arr" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopmemberq.xhtml">member?</a> to see if a given element is in
+an array.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p17']);"
+    value="member?(17,arr)" />
+  <div id="ansp17"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p18']);"
+    value="member?(10317,arr)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+To see how many times an element appears in an array, use 
+<a href="dbopcount.xhtml">count</a>.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p19']);"
+    value="count(17,arr)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p1','p2','p5','p11','p12','p20']);"
+    value="count(0,arr)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+For more information about the operations available for 
+<a href="db.xhtml?TwoDimensionalArray">TwoDimensionalArray</a>, issue
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="showcall('p21');"
+   value=")show TwoDimensionalArray"/>
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+For more information on related topics, see
+<a href="pagematrix.xhtml">Matrix</a> and
+<a href="pageonedimensionalarray.xhtml">OneDimensionalArray</a>.
+<<page foot>>
+@
+
+\subsection{pagevector.xhtml}
+<<pagevector.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      pagevector not implemented
+<<page foot>>
+@
+
+
+\subsection{polybasicfunctions.xhtml}
+<<polybasicfunctions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Basic Operations on Polynomials</div>
+  <hr/>
+You create polynomials using the usual operations of
+<a href="dbopplus.xhtml">+</a>, 
+<a href="dbopminus.xhtml">-</a>, 
+<a href="dboptimes.xhtml">*</a>
+(for multiplication), and 
+<a href="dbopstarstar.xhtml">**</a> (or 
+<a href="dbopstarstar.xhtml">^</a>. Here are two examples:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="p:=a*x**2+b*x*y+c*y**2" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="q:=12*x^2+3*z" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+These operations can also be used to combine polynomials. Try the following:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="p+q" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p4']);"
+    value="p-3*q" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p5']);"
+    value="p**2+p*q" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p6']);"
+    value="r:=(p+q)**2" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+As you can see from the above examples, the variables are ordered by defaults
+<pre>
+  z > y > x > c > b > a
+</pre>
+That is, z is the main variable, then y and so on in reverse alphabetical
+order. You can redefine this ordering (for display purposes) with the
+<a href="dbopsetvariableorder.xhtml">setVariableOrder</a>. For example, the
+following makes a the main variable, then b, and so on:
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="setVariableOrder [a,b,c,x,y,z]" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Now compare the way polynomials are displayed:
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p7','p8']);"
+    value="p" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p2','p7','p9']);"
+    value="q" />
+  <div id="ansp9"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p6','p7','p10']);"
+    value="r" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+To return to the system's default ordering, use
+<a href="dbopresetvariableorder.xhtml">resetVariableOrder</a>.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="makeRequest('p11');"
+    value="resetVariableOrder()" />
+  <div id="ansp11"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p11','p12']);"
+    value="p" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+Polynomial coefficients can be pulled out using the function
+<a href="dbopcoefficient.xhtml">coefficient</a>. For example:
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p2','p13']);"
+    value="coefficient(q,x,2)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+will give you the coefficient of x**2 in the polynomial q. Try these
+commands:
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p6','p14']);"
+    value="coefficient(r,x,3)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p6','p15']);"
+    value="c:=coefficient(r,z,1)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p6','p15','p16']);"
+    value="coefficient(c,x,2)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Coefficients of monomials can be obtained as follows:
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p2','p17']);"
+    value="coefficient(q**2,[x,z],[2,1])" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+This will return the coefficient of x**2*z in the polynomial q**2. Also,
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="handleFree(['p1','p2','p6','p18']);"
+    value="coefficient(r,[x,y],[2,2])" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+will return the coefficient of x**2*y**2 in the polynomial r(x,y).
+<<page foot>>
+@
+
+\subsection{polyfactorization.xhtml}
+<<polyfactorization.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Polynomial Factorization</div>
+  <hr/>
+The Axiom polynomial factorization facilities are available for all
+polynomial types and a wide variety of coefficient domains. Here are
+some examples.
+<ul>
+ <li>
+  <a href="polyfactorization1.xhtml">
+   Integer and Rational Number Coefficients
+  </a>
+ </li>
+ <li>
+  <a href="polyfactorization2.xhtml">
+   Finite Field Coefficients
+  </a>
+ </li>
+ <li>
+  <a href="polyfactorization3.xhtml">
+   Simple Algebraic Extension Field Coefficients
+  </a>
+ </li>
+ <li>
+  <a href="polyfactorization4.xhtml">
+   Factoring Rational Functions
+  </a>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyfactorization1.xhtml}
+<<polyfactorization1.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Integer and Rational Number Coefficients</div>
+  <hr/>
+Polynomials with integer coefficients can be factored.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="v:=(4*x^3+2*y^2+1)*(12*x^5-(1/2)*x^3+12)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="factor v" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Also, Axiom can factor polynomials with rational number coefficients
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="w:=(4*x^3+(2/3)*x^2+1)*(12*x^5-(1/2)*x^3+12)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p3','p4']);"
+    value="factor w" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyfactorization2.xhtml}
+<<polyfactorization2.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Finite Field Coefficients</div>
+  <hr/>
+Polynomials with coefficients in a finite filed can also be factored.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="u:POLY(PF(19)):=3*x^4+2*x^2+15*x+18" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+These include the integers mod p, where p is prime, and extensions of these
+fields.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="factor u" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Convert this to have coefficients in the finite field with 
+19**3 elements. See
+<a href="axbook/section-8.11.xhtml">FiniteFields</a> for more information
+about finite fields.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="factor(u::POLY FFX(PF 19,3))" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyfactorization3.xhtml}
+<<polyfactorization3.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Simple Algebraic Extension Field Coefficients</div>
+  <hr/>
+Polynomials with coefficients in simple algebraic extensions of the 
+rational numbers can be factored. 
+
+Here, aa and bb are symbolic roots of polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="aa:=rootOf(aa^2+aa+1)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="p:=(x^2+aa^2*x+y)*(aa*x^2+aa*x+aa*y^2)^2" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Note that the second argument to factor can be a list of algebraic
+extensions to factor over.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="factor(p,[aa])" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+This factors x^2+3 over the integers.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="factor(x^2+3)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Factor the same polynomial over the field obtained by adjoining aa to the
+rational numbers.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="factor(x^2+3,[aa])" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Factor x^6+108 over the same field.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p6']);"
+    value="factor(x^6+108,[aa])" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="bb:=rootOf(bb^3-2)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p7','p8']);"
+    value="factor(x^6+8,[bb])" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Factor again over the field obtained by adjoining both aa and bb to the 
+rational numbers.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p7','p9']);"
+    value="factor(x^6+108,[aa,bb])" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyfactorization4.xhtml}
+<<polyfactorization4.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Factoring Rational Functions</div>
+  <hr/>
+Since fractions of polynomials form a field, every element (other than zero)
+divides any other, so there is no useful notion of irreducible factors. 
+Thus the <a href="dbopfactor.xhtml">factor</a> operation is not very useful
+for fractions of polynomials.
+
+Instead, there is a specific operation 
+<a href="dbopfactorfraction.xhtml">factorFraction</a> that separately
+factors the numerator and denominator and returns a fraction of the
+factored results.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="factorFraction((x^2-4)/(y^2-4))" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+You can also use <a href="dbopmap.xhtml">map</a>. This expression applies
+the <a href="dbopfactor.xhtml">factor</a> operation to the numerator and
+denominator.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="map(factor,(x^2-4)/(y^2-4))" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polygcdandfriends.xhtml}
+<<polygcdandfriends.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+<div align="center">
+ Greatest Common Divisors, Resultants, and Discriminants
+</div>
+<hr/>
+You can compute the greatest common divisor of two polynomials using the
+function <a href="dbopgcd.xhtml">gcd</a>. Here's an example:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="p:=3*x^8+2*x^7+6*x^2+7*x+2" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="q:=2*x^13+9*x^7+2*x^6+10*x+5" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p2','p3']);"
+    value="gcd(p,q)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+You could also see that p and q have a factor in common by using the
+function <a href="dbopresultant.xhtml">resultant</a>:
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p4']);"
+    value="resultant(p,q,x)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The resultant of two polynomials vanishes precisely when they have a
+factor in common. (In the example above we specified the variable with which
+we wanted to compute the resultant because the polynomials could have
+involved variables other than x.)
+<<page foot>>
+@
+
+\subsection{polynomialpage.xhtml}
+<<polynomialpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Polynomials</div>
+  <hr/>
+<table>
+ <tr>
+  <td>
+   <a href="polybasicfunctions.xhtml">Basic Functions</a>
+  </td>
+  <td>
+   Create and manipulate polynomials
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polysubstitutions.xhtml">Substitutions</a>
+  </td>
+  <td>
+   Evaluate Polynomials
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyfactorization.xhtml">Factorization</a>
+  </td>
+  <td>
+   Factor in different contexts
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polygcdandfriends.xhtml">GCD and Friends</a>
+  </td>
+  <td>
+   Greatest Common Divisors, Resultants, and Discriminants
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyroots.xhtml">Roots</a>
+  </td>
+  <td>
+   Work with and solve for roots
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyspecifictypes.xhtml">Specific Types</a>
+  </td>
+  <td>
+   More specific information
+  </td>
+ </tr>
+</table>
+<<page foot>>
+@
+
+\subsection{polyroots.xhtml}
+<<polyroots.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">Roots of Polynomials</div>
+  <hr/>
+<table>
+ <tr>
+  <td>
+   <a href="polyroots1.xhtml">
+    Using a Single Root of a Polynomial
+   </a>
+  </td>
+  <td>
+   Working with a single root of a polynomial
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyroots2.xhtml">
+    Using All Roots of a Polynomial
+   </a>
+  </td>
+  <td>
+   Working with all the roots of a polynomial
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyroots3.xhtml">
+    Solution of a Single Polynomial Equation
+   </a>
+  </td>
+  <td>
+   Finding the roots of one polynomial
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyroots4.xhtml">
+    Solution of Systems of Polynomial Equations
+   </a>
+  </td>
+  <td>
+   Finding the roots of a system of polynomials
+  </td>
+ </tr>
+</table>
+<<page foot>>
+@
+
+\subsection{polyroots1.xhtml}
+<<polyroots1.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Using a Single Root of a Polynomial</div>
+  <hr/>
+Use <a href="dboprootof.xhtml">rootOf</a> to get a symbolic root of a 
+polynomial. The call rootOf(p,x) returns a root of p(x). 
+
+This creates an algebraic number a, which is a root of the polynomial
+returned in symbolic form.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="aa:=rootOf(a^4+1,a)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+To find the algebraic relation that defines a, use
+<a href="dbopdefiningpolynomial.xhtml">definingPolynomial</a>
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="definingPolynomial aa" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+You can use a in any further expression, including a nested 
+<a href="dboprootof.xhtml">rootOf</a>.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="bb:=rootOf(b^2-aa-1,b)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Higher powers of the roots are automatically reduced during calculations.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p3','p4']);"
+    value="g:=aa+bb" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p3','p4','p5']);"
+    value="g^5" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopzeroof.xhtml">zeroOf</a> is similar to 
+<a href="dboprootof.xhtml">rootOf</a>, except that it may express the
+root using radicals in some cases.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="rootOf(c^2+c+1,c)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="zeroOf(d^2+d+1,d)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="makeRequest('p8');"
+    value="rootOf(e^5-2,e)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="zeroOf(f^5-2,f)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyroots2.xhtml}
+<<polyroots2.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Using All Roots of a Polynomial</div>
+  <hr/>
+Use <a href="dboprootsof.xhtml">rootsOf</a> to get all symbolic roots 
+of a polynomial. The call rootsOf(p,x) returns a list of all the roots
+of p(x). If p(x) has a multiple root of order n, then that root appears
+n times in the list.
+
+Compute all the roots of x^4+1.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="l:=rootsOf(x^4+1,x)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+As a side effect, the variables %x0, %x1, and %x2 are bound to the first
+three roots of x^4+1.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="%x0^5" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Although they all satisfy x^4+1=0, %x0, %x1, and %x2 are different
+algebraic numbers. To find the algebraic relation that defines each of
+them, use <a href="dbopdefiningpolynomial.xhtml">definingPolynomial</a>.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="definingPolynomial %x0" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="definingPolynomial %x1" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p5']);"
+    value="definingPolynomial %x2" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+We can check that the sum and product of the roots of x^4+1 are its
+trace and norm.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p6']);"
+    value="x3:=last l" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p6','p7']);"
+    value="%x0+%x1+%x2+x3" />
+  <div id="ansp7"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p6','p8']);"
+    value="%x0*%x1*%x2*x3" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+Corresponding to the pair of operations
+<a href="dboprootof.xhtml">rootOf</a> and 
+<a href="dbopzeroof.xhtml">zeroOf</a> in 
+<a href="axbook/section-8.5.xhtml#subsec-8.5.2">
+Solution of a Single Polynomial Equation</a>
+there is an operations <a href="dbopzerosof.xhtml">zerosOf</a> that, like
+<a href="dboprootsof.xhtml">rootsOf</a>, computes all the roots of a given
+polynomial, but which expresses some of them in terms of radicals.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="makeRequest('p9');"
+    value="zerosOf(y^4+1,y)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+As you see, only one implicit algebraic number was created (%y1), and its
+defining equation is this. The other three roots are expressed in radicals.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p9','p10']);"
+    value="definingPolynomial %y1" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyroots3.xhtml}
+<<polyroots3.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Solution of a Single Polynomial Equation</div>
+  <hr/>
+Axiom can solve polynomial equations producing either approximate or exact
+solutions. Exact solutions are either members of the ground field or can
+be presented symbolically as roots of irreducible polynomials.
+
+This returns one rational root along with an irreducible polynomial 
+describing the other solutions
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="solve(x^3=8,x)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+If you want solutions expressed in terms of radicals you would use this
+instead.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="radicalSolve(x^3=8,x)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopsolve.xhtml">solve</a> command always returns a value but
+<a href="dbopradicalsolve.xhtml">radicalSolve</a> returns only the solutions
+that it is able to express in terms of radicals.
+
+If the polynomial equation has rational coefficients you can ask for
+approximations to its real roots by calling solve with a second argument
+that specifies the "precision" epsilon. This means that each approximation
+will be within plus or minus epsilon of the actual result.
+
+Notice that the type of second argument controls the type of the result.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="solve(x^4-10*x^3+35*x^2-50*x+25,.0001)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+If you give a floating point precision you get a floating point result.
+If you give the precision as a ration number you get a rational result.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="solve(x^2-2,1/1000)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+If you want approximate complex results you should use the command
+<a href="dbopcomplexsolve.xhtml">complexSolve</a> that takes the same
+precision argument epsilon.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="complexSolve(x^3-2,.0001)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Each approximation will be within plus or minus epsilon of the actual result
+in each of the real and imaginary parts.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="complexSolve(x^2-2*%i+1,1/100)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+Note that if you omit the = from the first argument Axiom generates
+an equation by equating the first argument to zero. Also, when only one
+variable is present in the equation, you do not need to specify the
+variable to be solved for, that is, you can omit the second argument.
+
+Axiom can also solve equations involving rational functions. Solutions
+where the denominator vanishes are discarded.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="radicalSolve(1/x^3+1/x^2+1/x=0,x)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyroots4.xhtml}
+<<polyroots4.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Solution of Systems of Polynomial Equations</div>
+  <hr/>
+Given a system of equations of rational functions with exact coefficients
+<pre>
+     p1(x1,...,xn)
+         .
+         .
+     pm(x1,...,xn)
+</pre>
+Axiom can find numeric or symbolic solutions. The system is first split 
+into irreducible components, then for each component, a triangular system
+of equations is found that reduces the problem to sequential solutions of
+univariate polynomials resulting from substitution of partial solutions
+from the previous stage.
+<pre>
+     q1(x1,...,xn)
+         .
+         .
+     qm(xn)
+</pre>
+Symbolic solutions can be presented using "implicit" algebraic numbers
+defined as roots of irreducible polynomials or in terms of radicals. Axiom
+can also find approximations to the real or complex roots of a system of
+polynomial equations to any user specified accuracy.
+
+The operation <a href="dbopsolve.xhtml">solve</a> for systems is used in
+a way similar to <a href="dbopsolve.xhtml">solve</a> for single equations.
+Instead of a polynomial equation, one has to give a list of equations and
+instead of a single variable to solve for, a list of variables. For 
+solutions of single equations see
+<a href="axbook/section-8.5.xhtml#subsec-8.5.2">
+Solution of a Single Polynomial Equation</a>
+
+Use the operation <a href="dbopsolve.xhtml">solve</a> if you want
+implicitly presented solutions.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="solve([3*x^2+y+1,y^2-4],[x,y])" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="solve([x=y^2-19,y=z^2+x+3,z=3*x],[x,y,z])" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopradialsolve.xhtml">radicalSolve</a> if you want your
+solutions expressed in terms of radicals.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="radicalSolve([3*x^3+y+1,y^2-4],[x,y])" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+To get numeric solutions you only need to give the list of equations and
+the precision desired. The list of variables would be redundant information
+since there can be no parameters for the numerical solver.
+
+If the precision is expressed as a floating point number you get results
+expressed as floats.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="solve([x^2*y-1,x*y^2-2],.01)" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+To get complex numeric solutions, use the operation
+<a href="dbopcomplexsolve.xhtml">complexSolve</a>, which takes the same
+arguments as in the real case.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="makeRequest('p5');"
+    value="complexSolve([x^2*y-1,x*y^2-2],1/1000)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+It is also possible to solve systems of equations in rational functions
+over the rational numbers. Note that [x=0.0,a=0.0] is not returned as
+a solution since the denominator vanishes there.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="solve([x^2/a=a,a=a*x],.001)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+When solving equations with denominators, all solutions where the 
+denominator vanishes are discarded.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="radicalSolve([x^2/a+a+y^3-1,a*y+a+1],[x,y])" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+\subsection{polyspecifictypes.xhtml}
+<<polyspecifictypes.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <div align="center">The Specific Polynomial Types</div>
+  <hr/>
+<table>
+ <tr>
+  <td>
+   <a href="polyspecifictypes1.xhtml">
+    Polynomial
+   </a>
+  </td>
+  <td>
+   The general type
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyspecifictypes2.xhtml">
+    UnivariatePolynomial
+   </a>
+  </td>
+  <td>
+   One variable polynomials
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyspecifictypes3.xhtml">
+    MultivariatePolynomial
+   </a>
+  </td>
+  <td>
+   Multiple variable polynomials, recursive structure
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="polyspecifictypes4.xhtml">
+    DistributedMultivariatePolynomial
+   </a>
+  </td>
+   Multiple variable polynomials, non-recursive structure
+  <td>
+  </td>
+ </tr>
+</table>
+<<page foot>>
+@
+
+\subsection{polyspecifictypes1.xhtml}
+<<polyspecifictypes1.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Polynomial</div>
+  <hr/>
+The domain constructor <a href="db.xhtml?Polynomial">Polynomial</a>
+(abbreviation: <a href="db.xhtml?Polynomial">POLY</a>) provides polynomials
+with an arbitrary number of unspecified variables.
+
+It is used to create the default polynomial domains in Axiom. Here the
+coefficients are integers.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="x+1" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+Here the coefficients have type <a href="db.xhtml?Float">Float</a>.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="z-2.3" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+And here we have a polynomial in two variables with coefficients which 
+have type <a href="dbfractioninteger.xhtml">Fraction Integer</a>
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="y^2-z+3/4" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The representation of objects of domains created by 
+<a href="db.xhtml?Polynomial">Polynomial</a> is that of recursive univariate
+polynomials. (The term univariate means "one variable". The term 
+multivariate means "possibly more than one variable".) This recursive
+structure is sometimes obvious from the display of a polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="r:=y^2+x*y+y" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+In this example, you see that the polynomial is stored as a polynomial in y
+with coefficients that are polynomials in x with integer coefficients. In 
+fact, you really don't need to worry about the representation unless you are
+working on an advanced application where it is critical. The polynomial
+types created from
+<a href="db.xhtml?DistributedMultivariatePolynomial">
+DistributedMultivariatePolynomial</a> and
+<a href="db.xhtml?XDistributedPolynomial">XDistributedPolynomial</a> 
+(discussed in
+<a href="axbook/section-9.16.xhtml">"DistributedMultivariatePolynomial"</a>
+are stored and displayed in a
+non-recursive manner. You see a "flat" display of the above polynomial by
+converting to one of those types.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="r::DMP([y,x],INT)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+We will demonstrate many of the polynomial facilities by using two 
+polynomials with integer coefficients. By default, the interpreter 
+expands polynomial expressions, even if they are written in a factored
+format.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="p:=(y-1)^2*x*z" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+See <a href="axbook/section-9.22.xhtml">Factored</a> 
+to see how to create objects in factored form directly.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="makeRequest('p7');"
+    value="q:=(y-1)*x*(z+5)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+The fully factored form can be recovered by using 
+<a href="dbopfactor.xhtml">factor</a>
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p7','p8']);"
+    value="factor(q)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+This is the same name used for the operation to factor integer.
+Such reuse of names is called 
+<a href="glossarypage.xhtml#p36465">overloading</a> and makes it much
+easier to think of solving problems in general ways. Axiom facilities
+for factoring polynomials created with 
+<a href="db.xhtml?Polynomial">Polynomial</a>
+are currently restricted to the integer and rational number coefficients
+cases. There are more complete facilities for factoring univariate
+polynomials (see 
+<a href="axbook/section-8.2.xhtml">Polynomial Factorization</a>)
+
+The standard arithmetic operations are available for polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p6','p7','p9']);"
+    value="p-q^2" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopgcd.xhtml">gcd</a> is used to compute the 
+greated common divisor of two polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p6','p7','p10']);"
+    value="m:=gcd(p,q)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+In the case of p and q, the gcd is obvious from their definitions.
+We factor the gcd to show this relationship better.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p6','p7','p10','p11']);"
+    value="factor m" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+The least common multiple is computed by using 
+<a href="dboplcm.xhtml">lcm</a>.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p6','p7','p12']);"
+    value="lcm(p,q)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+Use <a href="dbopcontent.xhtml">content</a> to compute the greatest common
+divisor of the coefficients of the polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p6','p13']);"
+    value="content p" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+Many of the operations on polynomials require you to specify a variable.
+For example, <a href="dbopresultant.xhtml">resultant</a> requires you to
+give the variable in which the polynomials should be expressed. This 
+computes the resultant of the values of p and q, considering them as
+polynomials in the variable z. They do not share a root when thought
+of as polynomials in z.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p6','p7','p14']);"
+    value="resultant(p,q,z)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+This value is 0 because as polynomials in x the polynomials have a
+common root.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p6','p7','p15']);"
+    value="resultant(p,q,x)" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+The data type used for the variables created by 
+<a href="db.xhtml?Polynomial">Polynomial</a> is 
+<a href="db.xhtml?Symbol">Symbol</a>. As mentioned above, the representation
+used by <a href="db.xhtml?Polynomial">Polynomial</a> is recursive and so
+there is a main variable for nonconstant polynomials. The operation
+<a href="dbopmainvariable.xhtml">makeVariable</a> returns this variable.
+The return type is actually a union of <a href="db.xhtml?Symbol">Symbol</a>
+and "failed".
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p6','p16']);"
+    value="mainVariable p" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+The latter branch of the union is used if the polynomial has no
+variables, that is, is a constant.
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p6','p17']);"
+    value="ground? p" />
+  <div id="ansp17"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="ground?(1::POLY INT)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+The complete list of variables actually used in a particular polynomial
+is returned by <a href="dbopvariables.xhtml">variables</a>. For constant
+polynomials, this list is empty.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p6','p19']);"
+    value="variables p" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopdegree.xhtml">degree</a> operation returns the degree
+of a polynomial in a specific variable.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="handleFree(['p6','p20']);"
+    value="degree(p,x)" />
+  <div id="ansp20"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="handleFree(['p6','p21']);"
+    value="degree(p,y)" />
+  <div id="ansp21"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="handleFree(['p6','p22']);"
+    value="degree(p,z)" />
+  <div id="ansp22"><div></div></div>
+ </li>
+</ul>
+If you give a list of variables for the second argument, a list of the
+degrees in those variables is returned.
+<ul>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+    onclick="handleFree(['p6','p23']);"
+    value="degree(p,[x,y,z])" />
+  <div id="ansp23"><div></div></div>
+ </li>
+</ul>
+The minimum degree of a variable in a polynomial is computed using
+<a href="dbopminimumdegree.xhtml">minimumDegree</a>.
+<ul>
+ <li>
+  <input type="submit" id="p24" class="subbut" 
+    onclick="handleFree(['p6','p24']);"
+    value="minimumDegree(p,z)" />
+  <div id="ansp24"><div></div></div>
+ </li>
+</ul>
+The total degree of a polynomial is returned by
+<a href="dboptotaldegree.xhtml">totalDegree</a>.
+<ul>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+    onclick="handleFree(['p6','p25']);"
+    value="totalDegree p" />
+  <div id="ansp25"><div></div></div>
+ </li>
+</ul>
+It is often convenient to think of a polynomial as a leading monomial
+plus the remaining terms, using the operation
+<a href="dbopleadingmonomial.xhtml">leadingMonomial</a>
+<ul>
+ <li>
+  <input type="submit" id="p26" class="subbut" 
+    onclick="handleFree(['p6','p26']);"
+    value="leadingMonomial p" />
+  <div id="ansp26"><div></div></div>
+ </li>
+</ul>
+The <a href="dbopreductum.xhtml">reductum</a> operation returns a polynomial
+consisting of the sum of the monomials after the first.
+<ul>
+ <li>
+  <input type="submit" id="p27" class="subbut" 
+    onclick="handleFree(['p6','p27']);"
+    value="reductum p" />
+  <div id="ansp27"><div></div></div>
+ </li>
+</ul>
+These have the obvious relationship that the original polynomial is equal
+to the leading monomial plus the reductum.
+<ul>
+ <li>
+  <input type="submit" id="p28" class="subbut" 
+    onclick="handleFree(['p6','p28']);"
+    value="p-leadingMonomial p - reductum p" />
+  <div id="ansp28"><div></div></div>
+ </li>
+</ul>
+The value returned by <a href="dbopleadingmonomial.xhtml">leadingMonomial</a>
+includes the coefficient of that term. This is extracted by using 
+<a href="dbopleadingcoefficient.xhtml">leadingCoefficient</a> on the 
+original polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p29" class="subbut" 
+    onclick="handleFree(['p6','p29']);"
+    value="leadingCoefficient p" />
+  <div id="ansp29"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopeval.xhtml">eval</a> is used to substitute a 
+value for a varialbe in a polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p30" class="subbut" 
+    onclick="handleFree(['p6','p30']);"
+    value="p" />
+  <div id="ansp30"><div></div></div>
+ </li>
+</ul>
+This value may be another variable, a constant or a polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p31" class="subbut" 
+    onclick="handleFree(['p6','p31']);"
+    value="eval(p,x,w)" />
+  <div id="ansp31"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p32" class="subbut" 
+    onclick="handleFree(['p6','p32']);"
+    value="eval(p,x,1)" />
+  <div id="ansp32"><div></div></div>
+ </li>
+</ul>
+Actually, all the things being substituted are just polynomials, some 
+more trivial than others.
+<ul>
+ <li>
+  <input type="submit" id="p33" class="subbut" 
+    onclick="handleFree(['p6','p33']);"
+    value="eval(p,x,y^2-1)" />
+  <div id="ansp33"><div></div></div>
+ </li>
+</ul>
+Derivatives are computed using the <a href="dbopd.xhtml">D</a> operation.
+<ul>
+ <li>
+  <input type="submit" id="p34" class="subbut" 
+    onclick="handleFree(['p6','p34']);"
+    value="D(p,x)" />
+  <div id="ansp34"><div></div></div>
+ </li>
+</ul>
+The first argument is the polynomial and the second is the variable.
+<ul>
+ <li>
+  <input type="submit" id="p35" class="subbut" 
+    onclick="handleFree(['p6','p35']);"
+    value="D(p,y)" />
+  <div id="ansp35"><div></div></div>
+ </li>
+</ul>
+Even if the polynomial has only one variable, you must specify it.
+<ul>
+ <li>
+  <input type="submit" id="p36" class="subbut" 
+    onclick="handleFree(['p6','p36']);"
+    value="D(p,z)" />
+  <div id="ansp36"><div></div></div>
+ </li>
+</ul>
+Integration of polynomials is similar and the 
+<a href="dbopintegrate.xhtml">integrate</a> operation is used.
+
+Integration requires that the coefficients support division. 
+Consequently, Axiom converts polynomials over the integers to polynomials
+over the rational numbers before integrating them.
+<ul>
+ <li>
+  <input type="submit" id="p37" class="subbut" 
+    onclick="handleFree(['p6','p37']);"
+    value="integrate(p,y)" />
+  <div id="ansp37"><div></div></div>
+ </li>
+</ul>
+It is not possible, in general, to divide two polynomials. In our example
+using polynomials over the integers, the operation
+<a href="dbopmonicdivide.xhtml">monicDivide</a> divides a polynomial by a
+monic polynomial (that is, a polynomial with leading coefficient equal to
+1). The result is a record of the quotient and remainder of the division.
+You must specify the variable in which to express the polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p38" class="subbut" 
+    onclick="handleFree(['p6','p38']);"
+    value="qr:=monicDivide(p,x+1,x)" />
+  <div id="ansp38"><div></div></div>
+ </li>
+</ul>
+The selectors of the components of the record are quotient and
+remainder. Issue this to extract the remainder:
+<ul>
+ <li>
+  <input type="submit" id="p39" class="subbut" 
+    onclick="handleFree(['p6','p38','p39']);"
+    value="qr.remainder" />
+  <div id="ansp39"><div></div></div>
+ </li>
+</ul>
+Now that we can extract the components, we can demonstrate the 
+relationship among them and the arguments to our original expression
+<pre>
+  qr:=monicDivide(p,x+1,x)
+</pre>
+<ul>
+ <li>
+  <input type="submit" id="p40" class="subbut" 
+    onclick="handleFree(['p6','p38','p40']);"
+    value="p-((x+1)*qr.quotient+qr.remainder)" />
+  <div id="ansp40"><div></div></div>
+ </li>
+</ul>
+If the <a href="dbopdivide.xhtml">/</a> operator is used with polynomials,
+a fraction object is created. In this example, the result is an object of
+type 
+<a href="dbfractionpolynomialinteger.xhtml">Fraction Polynomial Integer</a>.
+<ul>
+ <li>
+  <input type="submit" id="p41" class="subbut" 
+    onclick="handleFree(['p6','p7','p41']);"
+    value="p/q" />
+  <div id="ansp41"><div></div></div>
+ </li>
+</ul>
+If you use rational numbers as polynomial coefficients, the resulting
+object is of type 
+<a href="dbpolynomialfractioninteger.xhtml">Polynomial Fraction Integer</a>
+<ul>
+ <li>
+  <input type="submit" id="p42" class="subbut" 
+    onclick="makeRequest('p42');"
+    value="pfi:=(2/3)*x^2-y+4/5" />
+  <div id="ansp42"><div></div></div>
+ </li>
+</ul>
+This can be converted to a fraction of polynomials and back again, if
+required.
+<ul>
+ <li>
+  <input type="submit" id="p43" class="subbut" 
+    onclick="handleFree(['p42','p43']);"
+    value="fpi:=pfi::FRAC POLY INT" />
+  <div id="ansp43"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p44" class="subbut" 
+    onclick="handleFree(['p42','p43','p44']);"
+    value="fpi::POLY FRAC INT" />
+  <div id="ansp44"><div></div></div>
+ </li>
+</ul>
+To convert the coefficients to floating point, map the 
+<a href="dbopnumeric.xhtml">numeric</a> operation on the coefficients
+of the polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p45" class="subbut" 
+    onclick="handleFree(['p42','p45']);"
+    value="map(numeric,pfi)" />
+  <div id="ansp45"><div></div></div>
+ </li>
+</ul>
+For more information on related topcis, see
+<a href="axbook/section-9.83.xhtml">UnivariatePolynomial</a>,
+<a href="axbook/section-9.54.xhtml">MultivariatePolynomial</a>, and
+<a href="axbook/section-9.16.xhtml">DistributedMultivariatePolynomial</a>.
+You can also issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p46" class="subbut" 
+    onclick="showcall('p46');"
+   value=")show Polynomial"/>
+  <div id="ansp46"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by 
+<a href="db.xhtml?Polynomial">Polynomial</a>.
+<<page foot>>
+@
+
+\subsection{polyspecifictypes2.xhtml}
+<<polyspecifictypes2.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">UnivariatePolynomial</div>
+  <hr/>
+The domain constructor 
+<a href="db.xhtml?UnivariatePolynomial">UnivariatePolynomial</a> 
+(abbreviated <a href="db.xhtml?UnivariatePolynomial">UP</a>)
+creates domains of univariate polynomials in a specified variable.
+For example, the domain UP(a1,POLY FRAC INT) provides polynomials in
+the single variable a1 whose coefficients are general polynomials with
+rational number coefficients.
+<hr/>
+<b>Restriction:</b><br/>
+Axiom does not allow you to create types where
+<a href="db.xhtml?UnivariatePolynomial">UnivariatePolynomial</a> 
+is contained in the coefficient type of 
+<a href="db.xhtml?Polynomial">Polynomial</a>.
+Therefore, UP(x,POLY INT) is legal but POLY UP(x,INT) is not.
+<hr/>
+UP(x,INT) is the domain of polynomials in the single variable x with
+integer coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="(p,q):UP(x,INT)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="makeRequest('p2');"
+    value="p:=(3*x-1)^2*2*(2*x+8)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="q:=(1-6*x+9*x^2)^2" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+The usual arithmetic operations are available for univariate polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4']);"
+    value="p^2+p*q" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+The operation 
+<a href="dbopleadingcoefficient.xhtml">leadingCoefficient</a>
+extracts the coefficient of the term of highest degree.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p5']);"
+    value="leadingCoefficient p" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopdegree.xhtml">degree</a> returns the degree of
+the polynomial. Since the polynomial has only one variable, the variable
+is not supplied to operations like <a href="dbopdegree.xhtml">degree</a>.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p2','p6']);"
+    value="degree p" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+The reductum of the polynomial, the polynomial obtained by subtracting
+the term of highest order, is returned by 
+<a href="dbopreductum.xhtml">reductum</a>.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p7']);"
+    value="reductum p" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopgcd.xhtml">gcd</a> computes the greatest common
+divisor of two polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p8']);"
+    value="gcd(p,q)" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboplcm.xhtml">lcm</a> computes the least common 
+multiple.
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p9']);"
+    value="lcm(p,q)" />
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopresultant.xhtml">resultant</a> computes the
+resultant of two univariate polynomials. In the case of p and q, the
+resultant is 0 because they share a common root.
+<ul>
+ <li>
+  <input type="submit" id="p10" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p10']);"
+    value="resultant(p,q)" />
+  <div id="ansp10"><div></div></div>
+ </li>
+</ul>
+To compute the derivative of a univariate polynomial with respect to 
+its variable, use <a href="dbopd.xhtml">D</a>.
+<ul>
+ <li>
+  <input type="submit" id="p11" class="subbut" 
+    onclick="handleFree(['p1','p2','p11']);"
+    value="D p" />
+  <div id="ansp11"><div></div></div>
+ </li>
+</ul>
+Univariate polynomials can also be used as if they were functions.
+To evaluate a univariate polynomial at some point, apply the polynomial
+to the point.
+<ul>
+ <li>
+  <input type="submit" id="p12" class="subbut" 
+    onclick="handleFree(['p1','p2','p12']);"
+    value="p(2)" />
+  <div id="ansp12"><div></div></div>
+ </li>
+</ul>
+The same syntax is used for composing two univariate polynomials, i.e.
+substituting one polynomial for the variable in another. This substitutes q
+for the variable in p.
+<ul>
+ <li>
+  <input type="submit" id="p13" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p13']);"
+    value="p(q)" />
+  <div id="ansp13"><div></div></div>
+ </li>
+</ul>
+This substitutes p for the variable in q.
+<ul>
+ <li>
+  <input type="submit" id="p14" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p14']);"
+    value="q(p)" />
+  <div id="ansp14"><div></div></div>
+ </li>
+</ul>
+To obtain a list of coefficients of the polynomial, use
+<a href="dbopcoefficients.xhtml">coefficients</a>.
+<ul>
+ <li>
+  <input type="submit" id="p15" class="subbut" 
+    onclick="handleFree(['p1','p2','p15']);"
+    value="l:=coefficients p" />
+  <div id="ansp15"><div></div></div>
+ </li>
+</ul>
+From this you can use <a href="dbopgcd.xhtml">gcd</a> and
+<a href="dbopreduce.xhtml">reduce</a> to compute the contents of the
+polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p16" class="subbut" 
+    onclick="handleFree(['p1','p2','p15','p16']);"
+    value="reduce(gcd,l)" />
+  <div id="ansp16"><div></div></div>
+ </li>
+</ul>
+Alternatively (and more easily), you can just call
+<a href="dbopcontent.xhtml">content</a>
+<ul>
+ <li>
+  <input type="submit" id="p17" class="subbut" 
+    onclick="handleFree(['p1','p2','p17']);"
+    value="content p" />
+  <div id="ansp17"><div></div></div>
+ </li>
+</ul>
+Note that the operation <a href="dbopcoefficients.xhtml">coefficients</a>
+omits the zero coefficients from the list. Sometimes it is useful to 
+convert a univariate polynomial to a vector whose i-th position contains
+the degree i-1 coefficient of the polynomial.
+<ul>
+ <li>
+  <input type="submit" id="p18" class="subbut" 
+    onclick="makeRequest('p18');"
+    value="ux:=(x^4+2*x+3)::UP(x,INT)" />
+  <div id="ansp18"><div></div></div>
+ </li>
+</ul>
+To get a complete vector of coefficients, use the operation 
+<a href="dbopvectorise.xhtml">vectorise</a>, which takes a univariate
+polynomial and an integer denoting the length of the desired vector.
+<ul>
+ <li>
+  <input type="submit" id="p19" class="subbut" 
+    onclick="handleFree(['p18','p19']);"
+    value="vectorise(ux,5)" />
+  <div id="ansp19"><div></div></div>
+ </li>
+</ul>
+It is common to want to do something to every term of a polynomial, 
+creating a new polynomial in the process. This is a function for
+iterating across the terms of a polynomial, squaring each term.
+<ul>
+ <li>
+  <input type="submit" id="p20" class="subbut" 
+    onclick="makeRequest('p20');"
+    value="squareTerms(m)==reduce(+,[t^2 for t in monomials m])" />
+  <div id="ansp20"><div></div></div>
+ </li>
+</ul>
+Recall what p looked like.
+<ul>
+ <li>
+  <input type="submit" id="p21" class="subbut" 
+    onclick="handleFree(['p1','p2','p21']);"
+    value="p" />
+  <div id="ansp21"><div></div></div>
+ </li>
+</ul>
+We can demonstrate squareTerms on p.
+<ul>
+ <li>
+  <input type="submit" id="p22" class="subbut" 
+    onclick="handleFree(['p1','p2','p20','p22']);"
+    value="squareTerms p" />
+  <div id="ansp22"><div></div></div>
+ </li>
+</ul>
+When the coefficients of the univariate polynomial belong to a field,
+(for example, when the coefficients are rational numbers, as opposed to
+integers. The important property of a field is that non-zero elements can
+be divided and produce another element. The quotient of the integers 2 and 3
+is not another integer.) It is possible to compute quotients and remainders.
+<ul>
+ <li>
+  <input type="submit" id="p23" class="subbut" 
+    onclick="makeRequest('p23');"
+    value="(r,s):UP(a1,FRAC INT)" />
+  <div id="ansp23"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p24" class="subbut" 
+    onclick="handleFree(['p23','p24']);"
+    value="r:=a1^2-2/3" />
+  <div id="ansp24"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p25" class="subbut" 
+    onclick="handleFree(['p23','p25']);"
+    value="s:=a1+4" />
+  <div id="ansp25"><div></div></div>
+ </li>
+</ul>
+When the coefficients are rational numbers or rational expressions, the
+operation <a href="dbopquo.xhtml">quo</a> computes the quotient of two
+polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p26" class="subbut" 
+    onclick="handleFree(['p23','p24','p25','p26']);"
+    value="r quo s" />
+  <div id="ansp26"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dboprem.xhtml">rem</a> computes the remainder.
+<ul>
+ <li>
+  <input type="submit" id="p27" class="subbut" 
+    onclick="handleFree(['p23','p24','p25','p27']);"
+    value="r rem s" />
+  <div id="ansp27"><div></div></div>
+ </li>
+</ul>
+The operation <a href="dbopdivide.xhtml">divide</a> can be used to return
+a record of both components.
+<ul>
+ <li>
+  <input type="submit" id="p28" class="subbut" 
+    onclick="handleFree(['p23','p24','p25','p28']);"
+    value="d:=divide(r,s)" />
+  <div id="ansp28"><div></div></div>
+ </li>
+</ul>
+Now we check the arithmetic.
+<ul>
+ <li>
+  <input type="submit" id="p29" class="subbut" 
+    onclick="handleFree(['p23','p24','p25','p28','p29']);"
+    value="r-(d.quotient*s+d.remainder)" />
+  <div id="ansp29"><div></div></div>
+ </li>
+</ul>
+It is also possible to integrate univariate polynomials when the 
+coefficients belong to a field.
+<ul>
+ <li>
+  <input type="submit" id="p30" class="subbut" 
+    onclick="handleFree(['p23','p24','p30']);"
+    value="integrate r" />
+  <div id="ansp30"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p31" class="subbut" 
+    onclick="handleFree(['p23','p25','p31']);"
+    value="integrate s" />
+  <div id="ansp31"><div></div></div>
+ </li>
+</ul>
+One application of univariate polynomials is to see expressions in terms of
+a specific variable. We start with a polynomial in a1 whose coefficients are
+quotients of polynomials in b1 and b2.
+<ul>
+ <li>
+  <input type="submit" id="p32" class="subbut" 
+    onclick="makeRequest('p32');"
+    value="t:UP(a1,FRAC POLY INT)" />
+  <div id="ansp32"><div></div></div>
+ </li>
+</ul>
+Since in this case we are not talking about using multivariate polynomials
+in only two variables, we use <a href="db.xhtml?Polynomial">Polynomial</a>.
+We also use <a href="db.xhtml?Fraction">Fraction</a> because we want fractions.
+<ul>
+ <li>
+  <input type="submit" id="p33" class="subbut" 
+    onclick="handleFree(['p32','p33']);"
+    value="t:=a1^2-a1/b2+(b1^2-b1)/(b2+3)" />
+  <div id="ansp33"><div></div></div>
+ </li>
+</ul>
+We push all the variables into a single quotient of polynomials.
+<ul>
+ <li>
+  <input type="submit" id="p34" class="subbut" 
+    onclick="handleFree(['p32','p33','p34']);"
+    value="u:FRAC POLY INT:=t" />
+  <div id="ansp34"><div></div></div>
+ </li>
+</ul>
+Alternatively, we can view this as a polynomial in the variable. This is a
+mode-directed conversion: You indicate as much of the structure as you care
+about and let Axiom decide on the full type and how to do the transformation.
+<ul>
+ <li>
+  <input type="submit" id="p35" class="subbut" 
+    onclick="handleFree(['p32','p33','p34','p35']);"
+    value="u::UP(b1,?)" />
+  <div id="ansp35"><div></div></div>
+ </li>
+</ul>
+See <a href="axbook/section-8.2.xhtml">Polynomial Factorization</a> for a
+discussion of the factorization facilities in Axiom for univariate
+polynomials. For more information on related topics, see
+<a href="axbook/section-1.8.xhtml">Polynomials</a>,
+<a href="axbook/section-2.7.xhtml">Conversion</a>,
+<a href="polyspecifictypes1.xhtml">Polynomial</a>,
+<a href="polyspecifictypes3.xhtml">MultivariatePolynomial</a>, and
+<a href="polyspecifictypes4.xhtml">DistributedMultivariatePolynomial</a>.
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p36" class="subbut" 
+    onclick="showcall('p36');"
+   value=")show UnivariatePolynomial"/>
+  <div id="ansp36"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by
+<a href="db.xhtml?UnivariatePolynomial">UnivariatePolynomial</a>.
+<<page foot>>
+@
+
+\subsection{polyspecifictypes3.xhtml}
+<<polyspecifictypes3.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">MultivariatePolynomial</div>
+  <hr/>
+The domain constructor 
+<a href="db.xhtml?MultivariatePolynomial">MultivariatePolynomial</a> is
+similar to <a href="db.xhtml?Polynomial">Polynomial</a> except that it
+specifies the variables to be used. 
+<a href="db.xhtml?Polynomial">Polynomial</a> are available for 
+<a href="db.xhtml?MultivariatePolynomial">MultivariatePolynomial</a>.
+The abbreviation for 
+<a href="db.xhtml?MultivariatePolynomial">MultivariatePolynomial</a> is
+<a href="db.xhtml?MultivariatePolynomial">MPOLY</a>. The type expressions
+<pre>
+   MultivariatePolynomial([x,y],Integer)
+</pre>
+and
+<pre>
+         MPOLY([x,y],INT)
+</pre>
+refer to the domain of multivariate polynomials in the variables x and y
+where the coefficients are restricted to be integers. The first variable
+specified is the main variable and the display of the polynomial reflects
+this. This polynomial appears with terms in descending powers of the 
+variable x.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="m:MPOLY([x,y],INT):=(x^2-x*y^3+3*y)^2" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+It is easy to see a different variable ordering by doing a conversion.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="m::MPOLY([y,x],INT)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+You can use other, unspecified variables, by using
+<a href="db.xhtml?Polynomial">Polynomial</a> in the coefficient type of
+<a href="db.xhtml?MultivariatePolynomial">MPOLY</a>.
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="p:MPOLY([x,y],POLY INT):=(a^2*x-b*y^2+1)^2" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Conversions can be used to re-express such polynomials in terms of the
+other variables. For example, you can first push all the variables into a
+polynomial with integer coefficients.
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p3','p4']);"
+    value="u:=p::POLY INT" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+Now pull out the variables of interest.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p3','p4','p5']);"
+    value="u::MPOLY([a,b],POLY INT)" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+<hr/>
+<b>Restriction:</b> Axiom does not allow you to create types where
+<a href="db.xhtml?MultivariatePolynomial">MultivariatePolynomial</a> is
+contained in the coefficient type of 
+<a href="db.xhtml?Polynomial">Polynomial</a>. Therefore, 
+<pre>
+     MPOLY([x,y],POLY INT)
+</pre>
+is legal but this is not:
+<pre>
+     POLY MPOLY([x,y],INT)n
+</pre>
+<hr/>
+Multivariate polynomials may be combined with univariate polynomials to 
+create types with special structures.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="q:UP(x,FRAC MPOLY([y,z],INT)):=(x^2-x*(z+1)/y+2)^2" />
+  <div id="ansp6"><div></div></div>
+ </li>
+</ul>
+This is a polynomial in x whose coefficients are quotients of polynomials
+in y and z. Use conversions for the structural rearrangements. z does not
+appear in a denominator and so it can be made the main variable.
+<ul>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p6','p7']);"
+    value="q::UP(z,FRAC MPOLY([x,y],INT))" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Or you can make a multivariate polynomial in x and z whose coefficients
+are fractions in polynomials in y
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p6','p8']);"
+    value="q::MPOLY([x,z],FRAC UP(y,INT))" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+A conversion like 
+<pre>
+  q::MPOLY([x,y],FRAC UP(z,INT))
+</pre>
+is not possible in this example because y appears in the denominator of
+a fraction. As you can see, Axiom provides extraordinary flexibility in
+the manipulation and display of expressions via its conversion facility.
+
+For more information on related topics, see
+<a href="polyspecifictypes1.xhtml">Polynomial</a>,
+<a href="polyspecifictypes2.xhtml">UnivariatePolynomial</a>, and
+<a href="polyspecifictypes4.xhtml">DistributedMultivariatePolynomial</a>.
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="showcall('p9');"
+   value=")show MultivariatePolynomial"/>
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by 
+<a href="db.xhtml?MultivariatePolynomial">MultivariatePolynomial</a>.
+<<page foot>>
+@
+
+\subsection{polyspecifictypes4.xhtml}
+<<polyspecifictypes4.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">DistributedMultivariatePolynomial</div>
+  <hr/>
+<a href="db.xhtml?DistributedMultivariatePolynomial">
+DistributedMultivariatePolynomial</a> and
+<a href="db.xhtml?HomogeneousDistributedMultivariatePolynomial">
+HomogeneousDistributedMultivariatePolynomial</a>, abbreviated
+<a href="db.xhtml?DistributedMultivariatePolynomial">DMP</a> and
+<a href="db.xhtml?HomogeneousDistributedMultivariatePolynomial">HDMP</a>
+repspectively, are very similar to 
+<a href="db.xhtml?MultivariatePolynomial">MultivariatePolynomial</a>
+except that they are represented and displayed in a non-recursive manner.
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="(d1,d2,d3):DMP([z,y,x],FRAC INT)" />
+  <div id="ansp1"><div></div></div>
+ </li>
+</ul>
+The construction 
+<a href="db.xhtml?DistributedMultivariatePolynomial">DMP</a> orders its 
+monomials lexicographically while
+<a href="db.xhtml?HomogeneousDistributedMultivariatePolynomial">HDMP</a>
+orders them by total order refined by reverse lexicographic order.
+<ul>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="d1:=-4*z+4*y^2*x+16*x^2+1" />
+  <div id="ansp2"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="d2:=2*z*y^2+4*x+1" />
+  <div id="ansp3"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="handleFree(['p1','p4']);"
+    value="d3:=2*z*x^2-2*y^2-x" />
+  <div id="ansp4"><div></div></div>
+ </li>
+</ul>
+These constructors are mostly used in Groebner basis calculations.
+<ul>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p5']);"
+    value="groebner [d1,d2,d3]" />
+  <div id="ansp5"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="makeRequest('p6');"
+    value="(n1,n2,n3):HDMP([z,y,x],FRAC INT)" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p6','p7']);"
+    value="(n1,n2,n3):=(d1,d2,d3)" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+Note that we get a different Groebner basis when we use the 
+<a href="db.xhtml?HomogeneousDistributedMultivariatePolynomial">HDMP</a>
+polynomials, as expected.
+<ul>
+ <li>
+  <input type="submit" id="p8" class="subbut" 
+    onclick="handleFree(['p1','p2','p3','p4','p6','p7','p8']);"
+    value="groebner [n1,n2,n3]" />
+  <div id="ansp8"><div></div></div>
+ </li>
+</ul>
+<a href="db.xhtml?GeneralDistributedMultivariatePolynomial">
+GeneralDistributedMultivariatePolynomial</a> is somewhat more flexible in
+the sense that as well as accepting a list of variables to specify the
+variable ordering, it also takes a predicate on exponent vectors to specify
+the term ordering. With this polynomial type the user can experiment with 
+the effect of using completely arbitrary term orderings. This flexibility
+is mostly important for algorithms such as Groebner basis calculations
+which can be very sensitive to term orderings.
+
+For more information on related topics, see
+<a href="axbook/section-1.8.xhtml">Polynomials</a>,
+<a href="axbook/section-2.7.xhtml">Conversion</a>,
+<a href="polyspecifictypes1.xhtml">Polynomial</a>,
+<a href="polyspecifictypes2.xhtml">UnivariatePolynomial</a>. and
+<a href="polyspecifictypes3.xhtml">MultivariatePolynomial</a>, 
+Issue the system command
+<ul>
+ <li>
+  <input type="submit" id="p9" class="subbut" 
+    onclick="showcall('p9');"
+   value=")show DistributedMultivariatePolynomial"/>
+  <div id="ansp9"><div></div></div>
+ </li>
+</ul>
+to display the full list of operations defined by
+<a href="db.xhtml?DistributedMultivariatePolynomial">
+DistributedMultivariatePolynomial</a> and
+<<page foot>>
+@
+
+\subsection{polysubstitutions.xhtml}
+<<polysubstitutions.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<<handlefreevars>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body onload="resetvars();">
+<<page head>>
+  <div align="center">Polynomial Evaluation and Substitution</div>
+  <hr/>
+The function <a href="dbopeval.xhtml">eval</a> is used to substitute values
+into polynomials. Here's an example of how to use it:
+<ul>
+ <li>
+  <input type="submit" id="p1" class="subbut" 
+    onclick="makeRequest('p1');"
+    value="p:=x^2+y^2" />
+  <div id="ansp1"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p2" class="subbut" 
+    onclick="handleFree(['p1','p2']);"
+    value="eval(p,x=5)" />
+  <div id="ansp2"><div></div></div>
+ </li>
+</ul>
+This example would give you the value of the polynomial p at 5. You can 
+also substitute into polynomials with several variables. First, specify
+the polynomial, then give a list of the bindings of the form
+<pre>
+  variable = value
+</pre>
+For examples:
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="handleFree(['p1','p3']);"
+    value="eval(p,[x=a+b,y=c+d])" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+Here x was replaced by a+b, and y was replaced by c+d. 
+<ul>
+ <li>
+  <input type="submit" id="p4" class="subbut" 
+    onclick="makeRequest('p4');"
+    value="q:=x^3+5*x-y^4" />
+  <div id="ansp4"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p5" class="subbut" 
+    onclick="handleFree(['p4','p5']);"
+    value="eval(q,[x=y,y=x])" />
+  <div id="ansp5"><div></div></div>
+ </li>
+</ul>
+Substitution is done "in parallel". That is, Axiom takes q(x,y) and
+returns q(y,x). 
+
+You can also substitute numerical values for some or all of the variables.
+<ul>
+ <li>
+  <input type="submit" id="p6" class="subbut" 
+    onclick="handleFree(['p1','p6']);"
+    value="px:=eval(p,y=sin(2.0))" />
+  <div id="ansp6"><div></div></div>
+ </li>
+ <li>
+  <input type="submit" id="p7" class="subbut" 
+    onclick="handleFree(['p1','p6','p7']);"
+    value="eval(px,x=cos(2.0))" />
+  <div id="ansp7"><div></div></div>
+ </li>
+</ul>
+<<page foot>>
+@
+
+
+\subsection{puiseuxseries.xhtml}
+<<puiseuxseries.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc = document.getElementById('function').value;
+    myivar = document.getElementById('ivar').value;
+    mypvar = document.getElementById('pvar').value;
+    myevar = document.getElementById('evar').value;
+    myival = document.getElementById('ival').value;
+    mysval = document.getElementById('sval').value;
+    ans = 'series('+myivar+'+->'+myfunc+','+mypvar+'='+myevar+','+
+         myival+'..,'+mysval+')';
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+      Enter the formula for the general coefficient of the series:
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <input type="text" id="function" size="80" tabindex="10"
+       value="(-1)^((3*n-4)/6)/factorial(n-1/3)"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the index variable for your formula:
+     <input type="text" id="ivar" size="10" tabindex="20" value="n"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the power series variable:
+     <input type="text" id="pvar" size="10" tabindex="30" value="x"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the point about which to expand:
+     <input type="text" id="evar" size="10" tabindex="40" value="0"/>
+    </td>
+   </tr>
+  </table>
+For Puiseux Series, the exponent of the power series variable ranges
+from an initial value, an arbitrary rational number, to plus
+infinity; the step size is any positive rational number.
+  <table>
+   <tr>
+    <td>
+     Enter the initial value of the index (a rational number):
+     <input type="text" id="ival" size="10" tabindex="50" value="4/3"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the step size (a positive rational number):
+     <input type="text" id="sval" size="10" tabindex="60" value="2"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+
+@
+
+%%Q
+%%R
+\subsection{reallimit.xhtml}
+<<reallimit.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    var myform = document.getElementById("form2");
+    var myfunct = myform.expr.value;
+    var myvar = myform.vars.value;
+    var mypoint = "";
+    // decide what the limit point should be
+    var finite = document.getElementById('finite').checked;
+    if (finite == true) 
+      mypoint = document.getElementById('fpoint').value;
+    if (document.getElementById('plus').checked == true) 
+      mypoint = "%plusInfinity";
+    if (document.getElementById('minus').checked == true) 
+      mypoint = "%minusInfinity"; 
+    // decide what the limit statement is
+    if (document.getElementById('both').checked == true) 
+      ans = 'limit('+myform.expr.value+','+myvar+'='+mypoint+')';
+    // note: ignore direction if limit is %plusInfinity
+    if (document.getElementById('right').checked == true) {
+     if (finite == true) {
+       ans = 'limit('+myform.expr.value+','+myvar+'='+mypoint+',"right")';
+     } else {
+       ans = 'limit('+myform.expr.value+','+myvar+'='+mypoint+')';
+     };
+    };
+    // note: ignore direction if limit is %minutInfinity
+    if (document.getElementById('left').checked == true) {
+     if (finite == true) {
+       ans = 'limit('+myform.expr.value+','+myvar+'='+mypoint+',"left")';
+     } else {
+       ans = 'limit('+myform.expr.value+','+myvar+'='+mypoint+')';
+     };
+    };
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <form id="form2">
+   Enter the function you want to compute the limit of:<br/>
+   <input type="text" id="expr" tabindex="10" size="50" 
+     value="x*sin(1/x)"/><br/>
+   Enter the name of the variable:<br/>
+   <input type="text" id="vars" tabindex="20" value="x"/><br/>
+   <input type="radio" id="finite" tabindex="30" checked="checked" 
+     name="point"/>
+    A finite point
+    <input type="text" id="fpoint" tabindex="20" value="0"/><br/>
+   <input type="radio" id="plus" tabindex="40" name="point"/>
+    %plusInfinity<br/>
+   <input type="radio" id="minus" tabindex="50" name="point"/>
+    %minusInfinity<br/><br/><br/>
+   Compute the limit from:<br/>
+   <input type="radio" id="both" tabindex="60" name="direction"
+     checked="checked"/>
+    both directions<br/>
+   <input type="radio" id="right" tabindex="70" name="direction"/>
+    the right<br/>
+   <input type="radio" id="left" tabindex="80" name="direction"/>
+    the left<br/>
+  </form>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+
+@
+\subsection{refsearchpage.xhtml}
+<<refsearchpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      refsearchpage not implemented
+<<page foot>>
+@
+
+\subsection{releasenotes.xhtml}
+<<releasenotes.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+The <b>November 2007</b> release of Axiom contains
+<ul>
+ <li>
+   New MathML output mode. This mode allows Axiom to output expressions
+   using standard MathML format. This complements the existing ability
+   to output Fortran, IBM script, Latex, OpenMath, and algebra formats.
+ </li>
+ <li>
+   Ninety-five domains have been documented for the )help command. 
+   Type )help to see the list.
+ </li>
+ <li>
+   New regression tests were added to improve the release testing.
+ </li>
+ <li>
+   Hyperdoc can now be restarted. Type )hd
+ </li>
+ <li>
+   Testing has begun against Spiegel's Mathematical Handbook from the
+   Schaum's Outline Series. These tests include Axiom's solutions and
+   have uncovered mistakes in the published text.
+ </li>
+</ul>
+Bug fixes
+<ul>
+ <li>
+   <b>Bug100</b> integrate((z^a+1)^b,z) no longer loops infinitely.
+ </li>
+ <li>
+   <b>Bug101</b> laplace(log(z),z,w) returns "failed" instead of crashing.
+ </li>
+ <li>
+   <b>Bug103</b> solve(z=z,z) returns the correct answer
+ </li>
+</ul>
+Additional information sources:
+<table>
+ <tr>
+  <td>
+   <a href="http://axiom.axiom-developer.org">
+    <b>Online information is available here</b>
+   </a>
+  </td>
+ </tr>
+ <tr>
+  <td>
+   <a href="CHANGELOG.xhtml">
+    The changelog file contains specific file-by-file changes.
+   </a>
+  </td>
+ </tr>
+</table>
+<<page foot>>
+@
+
+\subsection{rootpage.xhtml}
+\begin{verbatim}
+  notangle -R"rootpage.xhtml" bookvol11.pamphlet > rootpage.xhtml
+\end{verbatim}
+<<rootpage.xhtml>>=
+<<standard head>>
+  <style>
+   body { background: url(bigbayou.png) no-repeat; }
+  </style>
+ </head>
+ <body>
+ <center><img src="bitmaps/axiom1.bitmap"/></center>
+  What would you like to do?<br/>
+  <table>
+   <tr>
+    <td>
+     <a href="commandline.xhtml">
+      <b>Any Command</b>
+     </a>
+    </td>
+    <td>Try command line input</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="basiccommand.xhtml">
+      <b>Basic Commands</b>
+     </a>
+    </td>
+    <td>Solve problems by filling in templates</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="jenks.xhtml">
+      <b>Axiom Textbook</b>
+     </a>
+    </td>
+    <td>Read Volume 0 -- The Jenks/Sutor Book</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="tutorial.xhtml">
+      <b>Axiom Tutorial</b>
+     </a>
+    </td>
+    <td>Read Volume 1 -- The Tutorial</td>
+   </tr>
+   <tr>
+    <td>
+     <a href="topreferencepage.xhtml">
+      <b>Reference</b>
+     </a>
+    </td>
+    <td>Scan on-line documentation for AXIOM<br/></td>
+   </tr>
+   <tr>
+    <td>
+     <a href="topicspage.xhtml">
+      <b>Topics</b>
+     </a> 
+    </td>
+    <td> Learn how to use Axiom, by topic<br/></td>
+   </tr>
+   <tr>
+    <td>
+     <a href="man0page.xhtml">
+      <b>Browser</b>
+     </a> 
+    </td>
+    <td> Browse through the AXIOM library<br/></td>
+   </tr>
+   <tr>
+    <td>
+     <a href="topexamplepage.xhtml">
+      <b>Examples</b>
+     </a> 
+    </td>
+    <td> See examples of use of the library<br/></td>
+   </tr>
+   <tr>
+    <td>
+     <a href="topsettingspage.xhtml">
+      <b>Settings</b>
+     </a> 
+    </td>
+    <td> Display and change the system environment<br/></td>
+   </tr>
+   <tr>
+    <td>
+     <a href="releasenotes.xhtml">
+      <b>What's New</b>
+     </a>
+    </td>
+    <td> Enhancements in this version of Axiom<br/></td>
+   </tr>
+   <tr>
+    <td>
+     <a href="axiomfonts.xhtml">
+      <b>Fonts</b>
+     </a>
+    </td>
+    <td> Test Axiom Fonts in your Browser<br/></td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+%%S
+\subsection{series.xhtml}
+<<series.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  Create a series by
+  <table>
+   <tr>
+    <td width="100">
+     <a href="seriesexpand.xhtml">
+      <b>Expansion</b>
+     </a>
+    </td>
+    <td>
+     Expand a function in a series around a point
+    </td>
+   </tr>
+   <tr>
+    <td width="100">
+     <a href="taylorseries.xhtml">
+      <b>Taylor Series</b>
+     </a>
+    </td>
+    <td><br/>
+     Series where the exponent ranges over the integers from a 
+     non-negative integer value to plus infinity by an arbitrary
+     positive integer step size.
+    </td>
+   </tr>
+   <tr>
+    <td width="100">
+     <a href="laurentseries.xhtml">
+      <b>Laurent Series</b>
+     </a>
+    </td>
+    <td><br/>
+     Series where the exponent ranges from an arbitrary integer value
+     to plus infinity by an arbitrary positive integer step size.
+    </td>
+   </tr>
+   <tr>
+    <td width="100">
+     <a href="puiseuxseries.xhtml">
+      <b>Puiseux Series</b>
+     </a>
+    </td>
+    <td><br/>
+     Series where the exponent ranges from an arbitrary rational value
+     to plus infinity by an arbitrary positive rational number step size.
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{seriesexpand.xhtml}
+<<seriesexpand.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc = document.getElementById('function').value;
+    myvar = document.getElementById('var').value;
+    mypoint = document.getElementById('point').value;
+    ans = 'series('+myfunc+','+myvar+'='+mypoint+')';
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+      What function would you like to expand in a power series?
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <input type="text" id="function" size="80" tabindex="10"
+       value="log(cot(x))"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the power series variable:
+     <input type="text" id="var" size="10" tabindex="20" value="x"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Expand around the point:
+     <input type="text" id="point" size="10" tabindex="30" value="%pi/2"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+
+@
+
+\subsection{solve.xhtml}
+<<solve.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+ What do you want to solve?
+  <table>
+   <tr>
+    <td>
+     <a href="solvelinearequations.xhtml">
+      A System of Linear Equations in equation form
+     </a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="solvelinearmatrix.xhtml">
+      A System of Linear Equations in matrix form
+     </a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="solvesystempolynomials.xhtml">
+      A System of Polynomial Equations
+     </a>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <a href="solvesinglepolynomial.xhtml">
+      A Single Polynomial Equation
+     </a>
+    </td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+
+\subsection{solvelinearequations.xhtml}
+<<solvelinearequations.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<![CDATA[
+   function indeps(i) {
+    var ans="";
+    for (var j = 0 ; j < i ; j++) {
+     ans=ans+'x'+j
+     if (j != (i - 1)) ans=ans+',';
+    }
+    return(ans);
+   }
+   function equation(i) {
+    var ans="";
+    for (var j = 0 ; j < i ; j++) {
+     ans=ans+Math.floor(Math.random()*100)+'*x'+j;
+     if (j != (i - 1)) ans=ans+'+';
+    }
+    ans=ans+"="+Math.floor(Math.random()*100);
+    return(ans);
+   }
+   function byelement() {
+      // find out how many rows and columns, must be positive and nonzero
+    var rcnt = parseInt(document.getElementById('rowcnt').value);
+    if (rcnt <= 0) {
+      alert("Rows must be positive and non-zero -- defaulting to 1");
+      rcnt = 1;
+      document.getElementById('rowcnt').value=1;
+      return(false);
+    }
+      // remove the question and the buttons
+    var quest = document.getElementById('question');
+    var clicks = document.getElementById('clicks');
+    quest.removeChild(clicks);
+      // write "Elements"
+    var tbl = document.getElementById('form2');
+    var tblsize = tbl.rows.length;
+    var row = tbl.insertRow(tblsize);
+    var thecell = row.insertCell(0);
+    var tnode = document.createTextNode("Enter the equations:");
+    thecell.appendChild(tnode);
+      // create input boxes for the matrix values
+    for (var i = 0 ; i < rcnt ; i++) {
+     tblsize = tblsize + 1;
+     row = tbl.insertRow(tblsize);
+     thecell = row.insertCell(0);
+     tnode = document.createTextNode('equation '+i+': ');
+     thecell.appendChild(tnode);
+     thecell = row.insertCell(1);
+     tnode = document.createElement('input');
+     tnode.type = 'text';
+     tnode.name = 'a'+i;
+     tnode.id = 'a'+i;
+     tnode.size=50;
+     tnode.value=equation(rcnt);
+     tnode.tabindex=20+i;
+     thecell.appendChild(tnode);
+    }
+      // insert the request for the unknown
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    thecell = row.insertCell(0);
+    tnode = document.createTextNode("Enter the unknowns (comma separated):");
+    thecell.appendChild(tnode);
+    thecell = row.insertCell(1);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'unk';
+    tnode.id = 'unk';
+    tnode.size=10;
+    tnode.value=indeps(rcnt);
+    tnode.tabindex=2000;
+    thecell.appendChild(tnode);
+    tblsize = tblsize + 1;
+      // insert a blank line
+    row = tbl.insertRow(tblsize);
+    thecell = row.insertCell(0);
+    tnode = document.createTextNode("");
+    thecell.appendChild(tnode);
+      // insert the continue button
+    var centnode = document.createElement('center');
+    tbl.parentNode.appendChild(centnode);
+    tnode = document.createElement('input');
+    tnode.type = 'button';
+    tnode.id = 'contbutton';
+    tnode.value = 'Continue';
+    tnode.setAttribute("onclick","makeRequest('');");
+    centnode.appendChild(tnode);
+    return(false);
+   }
+   function commandline(arg) {
+     var rcnt = parseInt(document.getElementById('rowcnt').value);
+     var cmdhead = 'solve(';
+     var cmdtail = '])';
+     var listbody = '[';
+     for (var j = 0 ; j < rcnt ; j++) {
+      var aj = document.getElementById('a'+j).value;
+      listbody = listbody+aj;
+      if (j != (rcnt - 1)) listbody = listbody+',';
+     }
+     listbody = listbody+']';
+     cmdhead = cmdhead+listbody;
+     var ans = cmdhead+',['+document.getElementById('unk').value+cmdtail;
+     alert(ans);
+     return(ans);
+   }
+]]>
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+ <table id="form2">
+  <tr>
+   <td>
+    Enter the number of equations:
+    <input type="text" id="rowcnt" tabindex="10" size="10" value="2"/>
+   </td>
+  </tr>
+ </table>
+ <div id="question">
+  <div id="clicks">
+   <center>
+    <input type="button" value="Continue" onclick="byelement();"/>
+   </center>
+  </div>
+ </div>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{solvelinearmatrix.xhtml}
+<<solvelinearmatrix.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+<![CDATA[
+   function byformula() {
+      // find out how many rows and columns, must be positive and nonzero
+    var rcnt = parseInt(document.getElementById('rowcnt').value);
+     if (rcnt <= 0) {
+      alert("Rows must be positive and non-zero -- defaulting to 1");
+      rcnt = 1;
+      document.getElementById('rowcnt').value=1;
+      return(false);
+     }
+    var ccnt = parseInt(document.getElementById('colcnt').value);
+     if (ccnt <= 0) {
+      alert("Columns must be positive and non-zero -- defaulting to 1");
+      ccnt = 1;
+      document.getElementById('colcnt').value=1;
+      return(false);
+     }
+      // remove the question and the buttons
+    var quest = document.getElementById('question');
+    var clicks = document.getElementById('clicks');
+    quest.removeChild(clicks);
+    var tbl = document.getElementById('form2');
+    var tblsize = tbl.rows.length;
+      // make the row variable question
+      // row variable left cell
+    var row = tbl.insertRow(tblsize);
+    var cell = row.insertCell(0);
+    var tnode = document.createTextNode("Enter the row variable");
+    cell.appendChild(tnode);
+      // row variable right cell
+    cell = row.insertCell(1);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'rowvar';
+    tnode.id = 'rowvar';
+    tnode.size=10;
+    tnode.value='i';
+    tnode.tabindex=21;
+    cell.appendChild(tnode);
+      // make the column variable question
+      // column variable left cell
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createTextNode("Enter the column variable");
+    cell.appendChild(tnode);
+      // column variable right cell
+    cell = row.insertCell(1);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'colvar';
+    tnode.id = 'colvar';
+    tnode.size=10;
+    tnode.tabindex=22;
+    tnode.value='j';
+    cell.appendChild(tnode);
+      // make the formula question
+      // column variable left cell
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createTextNode("Enter the formulas for the elements");
+    cell.appendChild(tnode);
+      // formula input field
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'formula1';
+    tnode.id = 'formula1';
+    tnode.size=50;
+    tnode.value = '1/(x-i-j-1)';
+    tnode.tabindex=23;
+    cell.appendChild(tnode);
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createTextNode("Enter the vector, one per row:");
+    cell.appendChild(tnode);
+      // formula input field
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createElement('input');
+    tnode.type = 'text';
+    tnode.name = 'vec1';
+    tnode.id = 'vec1';
+    tnode.size=70;
+    tnode.value = '3,5';
+    tnode.tabindex=24;
+    cell.appendChild(tnode);
+      // insert the continue button
+    tblsize = tblsize + 1;
+    row = tbl.insertRow(tblsize);
+    cell = row.insertCell(0);
+    tnode = document.createElement('input');
+    tnode.type = 'button';
+    tnode.id = 'contbutton';
+    tnode.value = 'Continue';
+    tnode.setAttribute("onclick","makeRequest('formula');");
+    tnode.tabindex=24;
+    cell.appendChild(tnode);
+    return(false);
+   }
+   function byelement() {
+      // find out how many rows and columns, must be positive and nonzero
+    var rcnt = parseInt(document.getElementById('rowcnt').value);
+     if (rcnt <= 0) {
+      alert("Rows must be positive and non-zero -- defaulting to 1");
+      rcnt = 1;
+      document.getElementById('rowcnt').value=1;
+      return(false);
+     }
+    var ccnt = parseInt(document.getElementById('colcnt').value);
+     if (ccnt <= 0) {
+      alert("Columns must be positive and non-zero -- defaulting to 1");
+      ccnt = 1;
+      document.getElementById('colcnt').value=1;
+      return(false);
+     }
+      // remove the question and the buttons
+    var quest = document.getElementById('question');
+    var clicks = document.getElementById('clicks');
+    quest.removeChild(clicks);
+      // write "Elements"
+    var tbl = document.getElementById('form2');
+    var tblsize = tbl.rows.length;
+    var row = tbl.insertRow(tblsize);
+    var thecell = row.insertCell(0);
+    var tnode = document.createTextNode("Elements");
+    thecell.appendChild(tnode);
+      // create input boxes for the matrix values
+    tblsize = tblsize + 1;
+    for (var i = 0 ; i < rcnt ; i++) {
+     row = tbl.insertRow(tblsize);
+     for (var j = 0 ; j < ccnt ; j++) {
+      thecell = row.insertCell(j);
+      tnode = document.createElement('input');
+      tnode.type = 'text';
+      tnode.name = 'a'+i+'c'+j;
+      tnode.id = 'a'+i+'c'+j;
+      tnode.size=10;
+      tnode.tabindex=20+(i*10)+j;
+      thecell.appendChild(tnode);
+     }
+      thecell = row.insertCell(j);
+      tnode = document.createTextNode(' = ');
+      thecell.appendChild(tnode);
+      thecell = row.insertCell(j+1);
+      tnode = document.createElement('input');
+      tnode.type = 'text';
+      tnode.name = 'k'+i;
+      tnode.id = 'k'+i;
+      tnode.size=10;
+      tnode.value='0';
+      tnode.tabindex=20+(i*10)+j+10;
+      thecell.appendChild(tnode);
+      tblsize = tblsize + 1;
+    }
+      // insert a blank line
+    row = tbl.insertRow(tblsize);
+    thecell = row.insertCell(0);
+    tnode = document.createTextNode("");
+    thecell.appendChild(tnode);
+      // insert the continue button
+    var centnode = document.createElement('center');
+    tbl.parentNode.appendChild(centnode);
+    tnode = document.createElement('input');
+    tnode.type = 'button';
+    tnode.id = 'contbutton';
+    tnode.value = 'Continue';
+    tnode.setAttribute("onclick","makeRequest('element');");
+    centnode.appendChild(tnode);
+    return(false);
+   }
+   function commandline(arg) {
+    if (arg == 'element') {
+     var rcnt = parseInt(document.getElementById('rowcnt').value);
+     var ccnt = parseInt(document.getElementById('colcnt').value);
+      // get the right side vector into list form
+     var vecbody = '[';
+     var homogeneous = true;
+     for (var k = 0 ; k < rcnt ; k++) {
+       var ki = document.getElementById('k'+k).value;
+         // is it homogeneous?
+       if (parseInt(ki) != 0) homogeneous = false;
+       vecbody = vecbody+ki;
+       if (k != (rcnt - 1)) vecbody = vecbody+',';
+     }
+     vecbody = vecbody+']';
+     alert('vecbody='+vecbody);
+       // get the matrix elements, make them into lists of lists
+     var listbody = '';
+     for (var i = 0 ; i < rcnt ; i++) {
+      var listbody = listbody+'[';
+      for (var j = 0 ; j < ccnt ; j++) {
+       var aij = document.getElementById('a'+i+'c'+j).value;
+       listbody = listbody+aij;
+       if (j != (ccnt - 1)) listbody = listbody+',';
+      }
+      listbody = listbody+']';
+      if (i != (rcnt - 1)) listbody = listbody+',';
+     }
+     var matcmd = 'matrix(['+listbody+'])';
+     alert('matcmd='+matcmd);
+      // now we decide whether to compute the nullSpace or solve
+     if (homogeneous == true) 
+       cmd = 'nullSpace('+matcmd+')';
+     else
+       cmd = 'solve('+matcmd+','+vecbody+')';
+     alert(cmd);
+     return(cmd);
+    } else {
+     var rcnt = parseInt(document.getElementById('rowcnt').value);
+     var ccnt = parseInt(document.getElementById('colcnt').value);
+     var vec = '['+document.getElementById('vec1').value+']';
+     var cmdhead = 'matrix([[';
+     var cmdtail = '])';
+     var formula = document.getElementById('formula1').value;
+     var rowv = document.getElementById('rowvar').value;
+     var colv = document.getElementById('colvar').value;
+     var cmd = cmdhead+formula+' for '+colv+' in 1..'+ccnt+']'+
+                               ' for '+rowv+' in 1..'+rcnt+cmdtail;
+     return(cmd);
+    }
+   }
+]]>
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+Enter the size of the matrix:
+<table id="form2">
+ <tr>
+  <td size="10">Rows</td>
+  <td><input type="text" id="rowcnt" tabindex="10" size="10" value="2"/></td>
+ </tr>
+ <tr>
+  <td>Columns</td>
+  <td><input type="text" id="colcnt" tabindex="20" size="10" value="3"/></td>
+ </tr>
+</table>
+<div id="question">
+ <div id="clicks">
+  How would you like to enter the matrix elements?
+  <center>
+   <input type="button" value="By Formula" onclick="byformula();"/>
+   <input type="button" value="By Element" onclick="byelement();"/>
+  </center>
+ </div>
+</div>
+<<answer field>>
+<<page foot>>
+@
+
+
+@
+
+\subsection{solvesinglepolynomial.xhtml}
+<<solvesinglepolynomial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      solvesinglepolynomial.xhtml not implemented
+<<page foot>>
+
+@
+
+\subsection{solvesystempolynomials.xhtml}
+<<solvesystempolynomials.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+     solvesystempolynomials.xhtml  not implemented
+<<page foot>>
+
+@
+
+\subsection{summation.xhtml}
+<<summation.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    var myform = document.getElementById("form2");
+    return('sum('+myform.expr.value+','+myform.vars.value+'='+
+                  myform.lower.value+'..'+myform.upper.value+')');
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <form id="form2">
+   Enter the function you want to sum:<br/>
+   <input type="text" id="expr" tabindex="10" size="50" value="i^3"/><br/>
+   Enter the summation index:
+   <input type="text" id="vars" tabindex="20" value="i" size="5"/><br/>
+   Enter the limits of the sum: From:
+   <input type="text" id="lower" tabindex="30" value="1" size="5"/>
+   To:
+   <input type="text" id="upper" tabindex="40" value="n" size="5"/><br/>
+  </form>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+@
+
+\subsection{systemvariables.xhtml}
+<<systemvariables.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      systemvariables not implemented
+<<page foot>>
+@
+
+
+%%T
+
+\subsection{taylorseries.xhtml}
+<<taylorseries.xhtml>>=
+<<standard head>>
+  <script type="text/javascript">
+   function commandline(arg) {
+    myfunc = document.getElementById('function').value;
+    myivar = document.getElementById('ivar').value;
+    mypvar = document.getElementById('pvar').value;
+    myevar = document.getElementById('evar').value;
+    myival = document.getElementById('ival').value;
+    mysval = document.getElementById('sval').value;
+    ans = 'series('+myivar+'+->'+myfunc+','+mypvar+'='+myevar+','+
+         myival+'..,'+mysval+')';
+    alert(ans);
+    return(ans);
+   }
+<<showfullanswer>>
+<<axiom talker>>
+  </script>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td>
+      Enter the formula for the general coefficient of the series:
+    </td>
+   </tr>
+   <tr>
+    <td>
+     <input type="text" id="function" size="80" tabindex="10"
+       value="1/factorial(i)"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the index variable for your formula:
+     <input type="text" id="ivar" size="10" tabindex="20" value="i"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the power series variable:
+     <input type="text" id="pvar" size="10" tabindex="30" value="x"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the point about which to expand:
+     <input type="text" id="evar" size="10" tabindex="40" value="0"/>
+    </td>
+   </tr>
+  </table>
+For Taylor Series, the exponent of the power series variable ranges
+from an initial value, an arbitrary non-negative integer, to plus
+infinity; the step size is any positive integer.
+  <table>
+   <tr>
+    <td>
+     Enter the initial value of the index (an integer):
+     <input type="text" id="ival" size="10" tabindex="50" value="0"/>
+    </td>
+   </tr>
+   <tr>
+    <td>
+     Enter the step size (a positive integer):
+     <input type="text" id="sval" size="10" tabindex="60" value="1"/>
+    </td>
+   </tr>
+  </table>
+<<continue button>>
+<<answer field>>
+<<page foot>>
+
+@
+
+\subsection{topexamplepage.xhtml}
+<<topexamplepage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td><a href="graphicsexamplepage.xhtml"><b>Graphics</b></a></td>
+    <td>Examples of Axiom Graphics</td>
+   </tr>
+   <tr>
+    <td><a href="examplesexposedpage.xhtml"><b>Domains</b></a></td>
+    <td>Examples of use of Axiom domains and packages</td>
+   </tr>
+   <tr>
+    <td><a href="examplecoverpage.xhtml"><b>Operations</b></a></td>
+    <td>Examples of Axiom Operations, by topic</td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{topicspage.xhtml}
+<<topicspage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td><a href="numberspage.xhtml"><b>Numbers</b></a></td>
+    <td>A look at different types of numbers</td>
+   </tr>
+   <tr>
+    <td><a href="polynomialpage.xhtml"><b>Polynomials</b></a></td>
+    <td>Polynomials in Axiom</td>
+   </tr>
+   <tr>
+    <td><a href="functionpage.xhtml"><b>Functions</b></a></td>
+    <td>Built-in and user-defined functions</td>
+   </tr>
+   <tr>
+    <td><a href="equationpage.xhtml"><b>Solving Equations</b></a></td>
+    <td>Facilities for solving equations</td>
+   </tr>
+   <tr>
+    <td><a href="calculuspage.xhtml"><b>Calculus</b></a></td>
+    <td>Using Axiom to do calculus</td>
+   </tr>
+   <tr>
+    <td><a href="linalgpage.xhtml"><b>Linear Algebra</b></a></td>
+    <td>Axiom's linear algebra facilities</td>
+   </tr>
+   <tr>
+    <td><a href="graphicspage.xhtml"><b>Graphics</b></a></td>
+    <td>Axiom's graphics facilities</td>
+   </tr>
+   <tr>
+    <td><a href="algebrapage.xhtml"><b>Algebra</b></a></td>
+    <td>Axiom's abstract algebra facilities</td>
+   </tr>
+   <tr>
+    <td><a href="cryptopage.xhtml"><b>Cryptography</b></a></td>
+    <td>Alasdair McAndrew's Crytography Course Notes</td>
+   </tr>
+   <tr>
+    <td><a href="ocwmit18085.xhtml"><b>Mathematical Methods</b></a></td>
+    <td>MIT 18-08 Mathematical Methods for Engineers Course Notes</td>
+   </tr>
+   <tr>
+    <td><a href="cats.xhtml"><b>CATS</b></a></td>
+    <td>Computer Algebra Test Suite</td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{topreferencepage.xhtml}
+<<topreferencepage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+  <table>
+   <tr>
+    <td><a href="usersguidepage.xhtml"><b>AXIOM Book</b></a></td>
+    <td>The on-line version of the Jenks/Sutor book.</td>
+   </tr>
+   <tr>
+    <td><a href="aldorusersguidepage.xhtml"><b>Aldor Guide</b></a></td>
+    <td>The on-line Aldor Users Guide.</td>
+   </tr>
+   <tr>
+    <td><a href="foundationlibrarydocpage.xhtml"><b>NAG Library</b></a></td>
+    <td>The on-line NAG Library documentation.</td>
+   </tr>
+   <tr>
+    <td><a href="topicspage.xhtml"><b>Topics</b></a></td>
+    <td>Learn how to use Axiom, by topic.</td>
+   </tr>
+   <tr>
+    <td><a href="uglangpage.xhtml"><b>Language</b></a></td>
+    <td>Introduction to the Axiom language.</td>
+   </tr>
+   <tr>
+    <td><a href="examplesexposedpage.xhtml"><b>Examples</b></a></td>
+    <td>Examples for exposed domains and packages</td>
+   </tr>
+   <tr>
+    <td><a href="ugsyscmdpage.xhtml"><b>Commands</b></a></td>
+    <td>System commands that control your workspace.</td>
+   </tr>
+   <tr>
+    <td><a href="operations.xhtml"><b>Operations</b></a></td>
+    <td>A guide to useful operations</td>
+   </tr>
+   <tr>
+     <td><a href="systemvariables.xhtml"><b>System Variables</b></a></td>
+    <td>View and change a system-defined variable</td>
+   </tr>
+   <tr>
+    <td><a href="glossarypage.xhtml"><b>Glossary</b></a></td>
+    <td>A glossary of Axiom terms.</td>
+   </tr>
+   <tr>
+    <td><a href="htxtoppage.xhtml"><b>HyperDoc</b></a></td>
+    <td>How to write your own HyperDoc pages.</td>
+   </tr>
+   <tr>
+    <td><a href="refsearchpage.xhtml"><b>Search</b></a></td>
+    <td>Reference pages for occurrences of a string.</td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{topsettingspage.xhtml}
+<<topsettingspage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+System commands are used to perform Axiom environment
+management and change Axiom system variables.
+  <hr/>
+  <table>
+   <tr>
+    <td><a href="ugsyscmdpage.xhtml"><b>Commands</b></a></td>
+    <td>System commands that control your environment.</td>
+   </tr>
+   <tr>
+    <td><a href="htSystemVariables.js"><b>Settings</b></a></td>
+    <td>Change an Axiom variable.</td>
+   </tr>
+  </table>
+<<page foot>>
+@
+
+\subsection{tutorial.xhtml}
+<<tutorial.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      tutorial not implemented
+<<page foot>>
+@
+
+%%U
+\subsection{uglangpage.xhtml}
+<<uglangpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      uglangpage not implemented
+<<page foot>>
+@
+
+\subsection{ugsyscmdpage.xhtml}
+<<ugsyscmdpage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      ugsyscmdpage not implemented
+<<page foot>>
+@
+
+
+\subsection{usersguidepage.xhtml}
+<<usersguidepage.xhtml>>=
+<<standard head>>
+ </head>
+ <body>
+<<page head>>
+      usersguidepage not implemented
+<<page foot>>
+@
+
+
+%%V
+%%W
+%%X
+%%Y
+%%Z
+\subsection{rcm3720.input}
+<<rcm3720.input>>=
+str2lst(str) == [ord(str.i)-65 for i in 1..#str]
+
+lst2str(lst) == concat [char(lst.i+65)::String for i in 1..#lst]
+
+str2num(str) ==
+  local strlst
+  strlst:=[ord(str.i) for i in 1..#str]
+  return wholeRadix(strlst)$RadixExpansion(256)::INT
+
+num2str(n) ==
+  local tmp
+  tmp:=wholeRagits(n::RadixExpansion(256))
+  return concat [char(tmp.i)::String for i in 1..#tmp]
+
+superIncreasing?(lst) ==
+  reduce(/\,[lst.i>reduce(+,[lst.j for j in 1..i-1]) for i in 2..#lst])
+
+siSolve(lst,n) ==
+  local res,m,i
+  if not superIncreasing?(lst) then error "The list is not super-increasing"
+  m := n
+  res := [0 for i in 1..#lst]
+  for i in #lst..1 by -1 repeat
+    if lst.i <= m then
+      res.i := 1
+      m := m - lst.i
+      if m = 0 then return res
+  error "Unsolvable"
+
+subsetsum(L:List(INT),N:INT):List(INT) ==
+  local x,Y
+  if N=0 then return([])
+  if N<0 or #L=0 then return([-1])
+  for x in L repeat
+    Y:=subsetsum(remove(x,L),N)
+    if Y~=[-1] then return(Y)
+    Y:=subsetsum(remove(x,L),N-x)
+    if Y~=[-1] then return(cons(x,Y))
+    return([-1])
+@
+
+\subsection{signatures.txt}
+<<signatures.txt>>=
+RSA --- 
+n = 2^137-1 e = 17 
+message = "This is my text." 
+signature = 68767027465671577191073128495082795700768 
+n = (6^67-1)/5 e = 17 
+message = "Please feed my dog!" 
+signature = 1703215098456351993605104919259566435843590978852633 
+
+Rabin ----- 
+n = (3^59-1)/2 
+message = "Leave now." 
+signature = 
+n = (7^47-1)/6 
+message = "Arrive Thursday." 
+signature = 189479723122534414019783447271411895509 
+
+El Gamal -------- 
+p = next prime after 2^150 
+a = 2 
+B = 1369851585774063312693119161120024351761244461 
+message = "Leave AT ONCE!" 
+signature r = 1389080525305754392111976715361069425353578198 
+s = 1141326468070168229982976133801721430306004477 
+
+DSS --- 
+p = next prime after 2^170 
+q = 143441505468590696209 
+g = 672396402136852996799074813867123583326389281120278 
+B = 1394256880659595564848116770226045673904445792389839 
+message = "Now's your chance!" 
+signature r = 64609209464638355801 
+s = 13824808741200493330 
+@
+
+\subsection{strang.input}
+<<strang.input>>=
+rowmatrix(r:List(Fraction(Integer))):Matrix(Fraction(Integer)) ==
+ [r]::Matrix(Fraction(Integer))
+
+columnmatrix(c:List(Fraction(Integer))):Matrix(Fraction(Integer)) ==
+ [[i] for i in c]::Matrix(Fraction(Integer))
+
+k(n) == 
+ M := diagonalMatrix([2 for i in 1..n]) 
+ for i in 1..n-1 repeat M(i,i+1):=-1 
+ for i in 1..n-1 repeat M(i+1,i):=-1 
+ M::SquareMatrix(n,Fraction(Integer))
+
+t(n) == 
+ M:=k(n)
+ N:=M::Matrix(Fraction(Integer)) 
+ qsetelt!(N,1,1,1) 
+ N::SquareMatrix(n,Fraction(Integer))
+
+b(n) == 
+ M:=k(n)
+ N:=M::Matrix(Fraction(Integer)) 
+ qsetelt!(N,1,1,1) 
+ qsetelt!(N,n,n,1)
+ N::SquareMatrix(n,Fraction(Integer))
+
+K:=k(3)
+T:=t(3)
+B:=b(3)
+
+
+@
+\subsection{bitmaps/axiom1.bitmap}
+<<axiom1.bitmap>>=
+#define axiom_width 270
+#define axiom_height 100
+static char axiom_bits[] = {
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x7e, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x80, 0xff, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xc0,
+   0xff, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf0, 0xff, 0x1f,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0x1f, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0x1f, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0xf8, 0xff, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0xe0, 0xff, 0x0f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x80,
+   0xff, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x01,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xfe, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x38, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x80, 0x3f, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0xf2, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x92, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x92, 0x02,
+   0x00, 0xe0, 0x01, 0xf0, 0xff, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x07, 0x00, 0x00, 0xe0, 0xff, 0x01, 0x00, 0x00, 0xe0,
+   0x00, 0xc0, 0x7f, 0x00, 0x00, 0xc0, 0x1f, 0x00, 0xd2, 0x02, 0x00, 0xe0,
+   0xff, 0xff, 0xff, 0x0f, 0xfe, 0xff, 0xff, 0x03, 0xf8, 0xff, 0xff, 0x03,
+   0xe0, 0x07, 0x00, 0x00, 0xfe, 0xff, 0x0f, 0x00, 0x00, 0xf8, 0x01, 0xf8,
+   0xff, 0x03, 0x00, 0xf8, 0xff, 0x01, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xff,
+   0xff, 0x3f, 0xff, 0xff, 0xff, 0x03, 0xf8, 0xff, 0xff, 0x01, 0xf8, 0x07,
+   0x00, 0x80, 0xff, 0xff, 0x3f, 0x00, 0x00, 0xff, 0x01, 0xfe, 0xff, 0x07,
+   0x00, 0xfe, 0xff, 0x03, 0x00, 0x00, 0x00, 0xf0, 0xff, 0xff, 0xff, 0x7f,
+   0xff, 0xff, 0xff, 0x01, 0xf8, 0xff, 0xff, 0xfd, 0xff, 0x07, 0x00, 0xe0,
+   0xff, 0xff, 0x7f, 0x00, 0xff, 0xff, 0x00, 0xff, 0xff, 0x0f, 0x00, 0xff,
+   0xff, 0x03, 0x00, 0x00, 0x00, 0xf0, 0xff, 0x8f, 0xff, 0xff, 0xe0, 0xff,
+   0x7f, 0x00, 0x80, 0xff, 0x3f, 0xfe, 0xff, 0x07, 0x00, 0xf0, 0xff, 0xff,
+   0xff, 0x80, 0xff, 0xff, 0xc0, 0xff, 0xff, 0x1f, 0xc0, 0xff, 0xff, 0x07,
+   0x00, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0xf0, 0xff, 0x81, 0xff, 0x3f, 0x00,
+   0x00, 0xff, 0x07, 0xff, 0xff, 0x03, 0x00, 0xfe, 0xff, 0xff, 0xff, 0xc3,
+   0xff, 0xff, 0xf0, 0xff, 0xff, 0x3f, 0xf0, 0xff, 0xff, 0x0f, 0x00, 0x00,
+   0x00, 0xf0, 0x1f, 0x00, 0xe0, 0xff, 0x01, 0xff, 0x3f, 0x00, 0x00, 0xfe,
+   0x03, 0xe0, 0xff, 0x03, 0x00, 0xff, 0xff, 0xff, 0xff, 0x83, 0xff, 0xff,
+   0xf8, 0xff, 0xff, 0x3f, 0xf8, 0xff, 0xff, 0x1f, 0x00, 0x00, 0x00, 0xf0,
+   0x0f, 0x00, 0xc0, 0xff, 0x01, 0xfe, 0x3f, 0x00, 0x00, 0xfe, 0x01, 0xc0,
+   0xff, 0x03, 0x80, 0xff, 0x00, 0xfc, 0xff, 0x07, 0xf8, 0xff, 0xfc, 0x01,
+   0xff, 0x3f, 0xfe, 0x80, 0xff, 0x1f, 0x00, 0x00, 0x00, 0xf0, 0x07, 0x00,
+   0xc0, 0xff, 0x03, 0xfe, 0x3f, 0x00, 0x00, 0xff, 0x00, 0x80, 0xff, 0x03,
+   0xc0, 0x3f, 0x00, 0xe0, 0xff, 0x0f, 0xe0, 0xff, 0x3f, 0x00, 0xfe, 0xbf,
+   0x3f, 0x00, 0xff, 0x1f, 0x00, 0x00, 0x00, 0xf8, 0x01, 0x00, 0x80, 0xff,
+   0x03, 0xf8, 0x3f, 0x00, 0x80, 0x7f, 0x00, 0x80, 0xff, 0x03, 0xe0, 0x0f,
+   0x00, 0x80, 0xff, 0x1f, 0xe0, 0xff, 0x0f, 0x00, 0xf8, 0xff, 0x0f, 0x00,
+   0xfc, 0x1f, 0x00, 0x00, 0x00, 0xf8, 0x00, 0x00, 0x00, 0xff, 0x03, 0xf8,
+   0x7f, 0x00, 0x80, 0x3f, 0x00, 0x80, 0xff, 0x03, 0xf0, 0x0f, 0x00, 0x00,
+   0xff, 0x1f, 0xe0, 0xff, 0x07, 0x00, 0xf8, 0xff, 0x07, 0x00, 0xfc, 0x1f,
+   0x00, 0x00, 0x00, 0xf8, 0x00, 0x00, 0x00, 0xff, 0x03, 0xf0, 0xff, 0x00,
+   0xc0, 0x1f, 0x00, 0x80, 0xff, 0x03, 0xf8, 0x07, 0x00, 0x00, 0xfe, 0x3f,
+   0xe0, 0xff, 0x07, 0x00, 0xf8, 0xff, 0x03, 0x00, 0xf8, 0x3f, 0x00, 0x00,
+   0x00, 0x78, 0x00, 0x00, 0x00, 0xff, 0x03, 0xe0, 0xff, 0x00, 0xc0, 0x0f,
+   0x00, 0x80, 0xff, 0x03, 0xfc, 0x03, 0x00, 0x00, 0xfc, 0x3f, 0xe0, 0xff,
+   0x03, 0x00, 0xf0, 0xff, 0x01, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x3c,
+   0x00, 0x00, 0x00, 0xff, 0x03, 0xc0, 0xff, 0x01, 0xe0, 0x0f, 0x00, 0x80,
+   0xff, 0x03, 0xfc, 0x03, 0x00, 0x00, 0xfc, 0x3f, 0xe0, 0xff, 0x01, 0x00,
+   0xf0, 0xff, 0x01, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x1c, 0x00, 0x00,
+   0x00, 0xff, 0x03, 0xc0, 0xff, 0x03, 0xf0, 0x07, 0x00, 0x80, 0xff, 0x03,
+   0xfe, 0x01, 0x00, 0x00, 0xf8, 0x7f, 0xe0, 0xff, 0x01, 0x00, 0xf0, 0xff,
+   0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff,
+   0x03, 0x80, 0xff, 0x07, 0xf8, 0x01, 0x00, 0x80, 0xff, 0x03, 0xff, 0x01,
+   0x00, 0x00, 0xf8, 0x7f, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00,
+   0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x03, 0x00,
+   0xff, 0x0f, 0xf8, 0x01, 0x00, 0x80, 0xff, 0x03, 0xff, 0x01, 0x00, 0x00,
+   0xf0, 0x7f, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x03, 0x00, 0xfe, 0x1f,
+   0xf8, 0x00, 0x00, 0x80, 0xff, 0x83, 0xff, 0x00, 0x00, 0x00, 0xf0, 0xff,
+   0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x03, 0x00, 0xfc, 0x3f, 0x7e, 0x00,
+   0x00, 0x80, 0xff, 0xc3, 0xff, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xe0, 0xff,
+   0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0xff, 0x03, 0x00, 0xf8, 0x7f, 0x3e, 0x00, 0x00, 0x80,
+   0xff, 0xc3, 0xff, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xe0, 0xff, 0x00, 0x00,
+   0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0xff, 0x03, 0x00, 0xf8, 0x7f, 0x3f, 0x00, 0x00, 0x80, 0xff, 0xc3,
+   0xff, 0x00, 0x00, 0x00, 0xe0, 0xff, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f,
+   0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff,
+   0x03, 0x00, 0xf0, 0xff, 0x1f, 0x00, 0x00, 0x80, 0xff, 0xc3, 0xff, 0x00,
+   0x00, 0x00, 0xe0, 0xff, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00,
+   0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff, 0x03, 0x00,
+   0xe0, 0xff, 0x0f, 0x00, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x00, 0x00, 0x00,
+   0xc0, 0xff, 0xe1, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f,
+   0x00, 0x00, 0x00, 0x00, 0x80, 0xff, 0xff, 0xff, 0x03, 0x00, 0xc0, 0xff,
+   0x07, 0x00, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x00, 0x00, 0x00, 0xc0, 0xff,
+   0xe1, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00,
+   0x00, 0x00, 0xe0, 0xff, 0x7f, 0xff, 0x03, 0x00, 0x80, 0xff, 0x07, 0x00,
+   0x00, 0x80, 0xff, 0xe3, 0xff, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xe1, 0xff,
+   0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00,
+   0xfc, 0xff, 0x07, 0xff, 0x03, 0x00, 0x80, 0xff, 0x07, 0x00, 0x00, 0x80,
+   0xff, 0xe3, 0xff, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xe1, 0xff, 0x00, 0x00,
+   0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00, 0x00, 0x00, 0xff, 0x3f,
+   0x00, 0xff, 0x03, 0x00, 0x00, 0xff, 0x0f, 0x00, 0x00, 0x80, 0xff, 0xe3,
+   0xff, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f,
+   0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x00, 0xc0, 0xff, 0x07, 0x00, 0xff,
+   0x03, 0x00, 0x00, 0xfe, 0x1f, 0x00, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x00,
+   0x00, 0x00, 0xc0, 0xff, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00,
+   0xf8, 0x3f, 0x00, 0x00, 0x00, 0xe0, 0xff, 0x01, 0x00, 0xff, 0x03, 0x00,
+   0x00, 0xfe, 0x1f, 0x00, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x00, 0x00, 0x00,
+   0xc0, 0xff, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f,
+   0x00, 0x00, 0x00, 0xf0, 0xff, 0x00, 0x00, 0xff, 0x03, 0x00, 0x00, 0xff,
+   0x3f, 0x00, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x00, 0x00, 0x00, 0xc0, 0xff,
+   0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00,
+   0x00, 0xf8, 0x3f, 0x00, 0x00, 0xff, 0x03, 0x00, 0x80, 0xff, 0x7f, 0x00,
+   0x00, 0x80, 0xff, 0xe3, 0xff, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xe0, 0xff,
+   0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x00, 0xfc,
+   0x1f, 0x00, 0x00, 0xff, 0x03, 0x00, 0x80, 0xff, 0xff, 0x00, 0x00, 0x80,
+   0xff, 0xe3, 0xff, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xe0, 0xff, 0x00, 0x00,
+   0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x00, 0xfe, 0x1f, 0x00,
+   0x00, 0xff, 0x03, 0x00, 0xc0, 0xef, 0xff, 0x01, 0x00, 0x80, 0xff, 0xe3,
+   0xff, 0x00, 0x00, 0x00, 0xc0, 0xff, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f,
+   0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x00, 0xfe, 0x0f, 0x00, 0x00, 0xff,
+   0x03, 0x00, 0xe0, 0xc7, 0xff, 0x01, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x01,
+   0x00, 0x00, 0xc0, 0xff, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00,
+   0xf8, 0x1f, 0x00, 0x00, 0x00, 0xff, 0x07, 0x00, 0x00, 0xff, 0x03, 0x00,
+   0xf0, 0x83, 0xff, 0x07, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x01, 0x00, 0x00,
+   0xc0, 0x7f, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f,
+   0x00, 0x00, 0x80, 0xff, 0x07, 0x00, 0x00, 0xff, 0x03, 0x00, 0xf8, 0x83,
+   0xff, 0x0f, 0x00, 0x80, 0xff, 0xe3, 0xff, 0x01, 0x00, 0x00, 0xc0, 0x7f,
+   0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00,
+   0x80, 0xff, 0x07, 0x00, 0x80, 0xff, 0x03, 0x00, 0xf8, 0x01, 0xff, 0x0f,
+   0x00, 0x80, 0xff, 0xc3, 0xff, 0x01, 0x00, 0x00, 0xc0, 0x3f, 0xe0, 0xff,
+   0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x80, 0xff,
+   0x03, 0x00, 0x80, 0xff, 0x03, 0x00, 0xfc, 0x00, 0xfe, 0x1f, 0x00, 0x80,
+   0xff, 0xc3, 0xff, 0x03, 0x00, 0x00, 0xe0, 0x3f, 0xe0, 0xff, 0x00, 0x00,
+   0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x80, 0xff, 0x03, 0x00,
+   0x80, 0xff, 0x03, 0x00, 0xfe, 0x00, 0xfc, 0x3f, 0x00, 0x80, 0xff, 0xc3,
+   0xff, 0x03, 0x00, 0x00, 0xe0, 0x3f, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f,
+   0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x80, 0xff, 0x03, 0x00, 0xc0, 0xff,
+   0x03, 0x00, 0x7f, 0x00, 0xf8, 0x7f, 0x00, 0x80, 0xff, 0xc3, 0xff, 0x07,
+   0x00, 0x00, 0xe0, 0x1f, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00,
+   0xf8, 0x1f, 0x00, 0x00, 0x80, 0xff, 0x03, 0x00, 0xc0, 0xff, 0x03, 0x80,
+   0x3f, 0x00, 0xf8, 0x7f, 0x00, 0x80, 0xff, 0x83, 0xff, 0x07, 0x00, 0x00,
+   0xf0, 0x0f, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f,
+   0x00, 0x00, 0x80, 0xff, 0x03, 0x00, 0xe0, 0xff, 0x03, 0x80, 0x1f, 0x00,
+   0xf0, 0xff, 0x00, 0x80, 0xff, 0x83, 0xff, 0x0f, 0x00, 0x00, 0xf0, 0x0f,
+   0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00,
+   0x80, 0xff, 0x07, 0x00, 0xe0, 0xff, 0x03, 0xc0, 0x1f, 0x00, 0xf0, 0xff,
+   0x01, 0x80, 0xff, 0x83, 0xff, 0x0f, 0x00, 0x00, 0xf0, 0x07, 0xe0, 0xff,
+   0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x80, 0xff,
+   0x07, 0x00, 0xf8, 0xff, 0x03, 0xe0, 0x0f, 0x00, 0xe0, 0xff, 0x03, 0x80,
+   0xff, 0x03, 0xff, 0x3f, 0x00, 0x00, 0xf8, 0x03, 0xe0, 0xff, 0x00, 0x00,
+   0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x80, 0xff, 0x0f, 0x00,
+   0xf8, 0xff, 0x03, 0xf0, 0x07, 0x00, 0xc0, 0xff, 0x07, 0x80, 0xff, 0x03,
+   0xfe, 0x7f, 0x00, 0x00, 0xfc, 0x01, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f,
+   0x00, 0x00, 0xf8, 0x1f, 0x00, 0x00, 0x80, 0xff, 0x1f, 0x00, 0xfe, 0xff,
+   0x07, 0xf8, 0x07, 0x00, 0xc0, 0xff, 0x0f, 0x80, 0xff, 0x03, 0xfe, 0xff,
+   0x00, 0x00, 0xfe, 0x00, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00,
+   0xf8, 0x3f, 0x00, 0x00, 0x80, 0xff, 0x1f, 0x00, 0x7f, 0xff, 0x0f, 0xf8,
+   0x07, 0x00, 0x80, 0xff, 0x1f, 0x80, 0xff, 0x03, 0xfc, 0xff, 0x01, 0x00,
+   0x7f, 0x00, 0xe0, 0xff, 0x00, 0x00, 0xf0, 0x7f, 0x00, 0x00, 0xf8, 0x3f,
+   0x00, 0x00, 0x00, 0xff, 0xff, 0xf1, 0x1f, 0xfe, 0xff, 0xff, 0x03, 0x00,
+   0x80, 0xff, 0x3f, 0xc0, 0xff, 0x07, 0xf8, 0xff, 0x1f, 0xf0, 0x3f, 0x00,
+   0xf0, 0xff, 0x00, 0x00, 0xf8, 0xff, 0x00, 0x00, 0xf8, 0x3f, 0x00, 0x00,
+   0x00, 0xfe, 0xff, 0xff, 0x0f, 0xfe, 0xff, 0xff, 0x03, 0x00, 0x80, 0xff,
+   0x7f, 0xc0, 0xff, 0x07, 0xf8, 0xff, 0xff, 0xff, 0x1f, 0x00, 0xf0, 0xff,
+   0x01, 0x00, 0xf8, 0xff, 0x00, 0x00, 0xfc, 0x7f, 0x00, 0x00, 0x00, 0xfc,
+   0xff, 0xff, 0x07, 0xfe, 0xff, 0xff, 0x07, 0x00, 0xc0, 0xff, 0xff, 0xe0,
+   0xff, 0x1f, 0xf0, 0xff, 0xff, 0xff, 0x0f, 0x00, 0xf8, 0xff, 0x03, 0x00,
+   0xf8, 0xff, 0x01, 0x00, 0xfc, 0xff, 0x00, 0x00, 0x00, 0xf8, 0xff, 0xff,
+   0x01, 0xfc, 0xff, 0xff, 0x0f, 0x00, 0xe0, 0xff, 0xff, 0xfb, 0xff, 0x3f,
+   0xe0, 0xff, 0xff, 0xff, 0x03, 0x00, 0xfe, 0xff, 0x07, 0x00, 0xfc, 0xff,
+   0x07, 0x00, 0xfe, 0xff, 0x01, 0x00, 0x00, 0xf0, 0xff, 0x7f, 0x00, 0xfc,
+   0xff, 0xff, 0x7f, 0x00, 0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0x87, 0xff,
+   0xff, 0xff, 0x00, 0xc0, 0xff, 0xff, 0xff, 0x01, 0xff, 0xff, 0x7f, 0x80,
+   0xff, 0xff, 0x3f, 0x00, 0x00, 0xc0, 0xff, 0x3f, 0x00, 0xf8, 0xff, 0xff,
+   0x3f, 0x00, 0xf8, 0xff, 0xff, 0xff, 0xff, 0xff, 0x03, 0xff, 0xff, 0x3f,
+   0x00, 0xc0, 0xff, 0xff, 0xff, 0x80, 0xff, 0xff, 0x7f, 0xc0, 0xff, 0xff,
+   0x3f, 0x00, 0x00, 0x00, 0xff, 0x0f, 0x00, 0xf0, 0xff, 0x00, 0x1f, 0x00,
+   0xfc, 0x0f, 0xfe, 0xff, 0xcf, 0xff, 0x03, 0xfc, 0xff, 0x0f, 0x00, 0xe0,
+   0xff, 0xff, 0x7f, 0x80, 0xff, 0xff, 0x3f, 0xc0, 0xff, 0xff, 0x3f, 0x00,
+   0x00, 0x00, 0xf8, 0x03, 0x00, 0xc0, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0x01, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x18, 0xc0, 0x01, 0x00, 0x1f, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x3c, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xff, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0xc0, 0xff, 0x03, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0xe0, 0xff, 0x07, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0xf0, 0xff, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8,
+   0xff, 0x1f, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0x1f,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0xf8, 0xff, 0x1f, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0xe0, 0xff, 0x07, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0xc0, 0xff, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0xff, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x7e, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x10, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
+   0x00, 0x00, 0x00, 0x00};
+@
+
+\section{License}
+<<license>>=
+--Copyright (c) 2007 Arthur C. Ralfs
+--All rights reserved.
+--
+--Redistribution and use in source and binary forms, with or without
+--modification, are permitted provided that the following conditions are
+--met:
+--
+--    - Redistributions of source code must retain the above copyright
+--      notice, this list of conditions and the following disclaimer.
+--
+--    - Redistributions in binary form must reproduce the above copyright
+--      notice, this list of conditions and the following disclaimer in
+--      the documentation and/or other materials provided with the
+--      distribution.
+--
+--    - Neither the name of Arthur C. Ralfs nor the
+--      names of its contributors may be used to endorse or promote products
+--      derived from this software without specific prior written permission.
+--
+--THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+--IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+--TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+--PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+--OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+--EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+--PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+--PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+--LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+--NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+--SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
diff --git a/books/bookvol12.pamphlet b/books/bookvol12.pamphlet
new file mode 100644
index 0000000..7c3c8cc
--- /dev/null
+++ b/books/bookvol12.pamphlet
@@ -0,0 +1,483 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+
+%% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]%
+{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% special meanings for math characters
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+
+\providecommand{\tpd}[5]%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 12: Axiom Crystal}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\chapter{Axiom Crystal Design}
+\chapter{Experiments}
+\section{Hide/Show a div element}
+Here we demonstrate the ability to hide or show a named div element.
+<<hide/show a div element>>=
+<html xmlns="http://www.w3.org/1999/xhtml">
+ <head>
+  <meta http-equiv="Content-Type" content="text/xml" charset="us-ascii"/>
+  <style>
+   html { color:#000000; }
+  </style>
+  <script language="JavaScript" type="text/javascript">
+   function hideshow(flag) {
+     var c = document.getElementById('crystal');
+     c.style.display=flag;
+   }
+  </script>
+ </head>
+ <body>
+it works
+  <div id="crystal" style="overflow:hidden;display:none">
+   this is visible
+  </div>
+ </body>
+ <hr/>
+ <a href="javascript:hideshow('none')">Hide</a>
+ <a href="javascript:hideshow('block')">Show</a>
+</html>
+@
+\section{Hide/Show a nested div element}
+Now that we can hide or show a div element we demonstrate the ability
+to hide or show a nested div element.
+<<hide/show a nested div element>>=
+<html xmlns="http://www.w3.org/1999/xhtml">
+ <head>
+  <meta http-equiv="Content-Type" content="text/xml" charset="us-ascii"/>
+  <style>
+   html { color:#000000; }
+  </style>
+  <script language="JavaScript" type="text/javascript">
+   function showhide(id,flag) {
+     var c = document.getElementById(id);
+     c.style.display=flag;
+   }
+   function toggle(id) {
+     var c = document.getElementById(id);
+     if (c.style.display == 'block') {
+       c.style.display='none'
+     } else {
+       c.style.display='block'
+     }
+   }
+  </script>
+ </head>
+ <body>
+it works
+  <div id="crystal" style="overflow:hidden;display:none">
+   <a href="javascript:toggle('facet1','block')">
+    integrate(sin x,x)
+   </a>
+   <div id="facet1" style="overflow:hidden;display:none">
+    <a href="javascript:showhide('facet1','none')">
+    <br/>
+     -cos(x)
+    </a>
+   </div>
+  </div>
+ </body>
+ <hr/>
+ <a href="javascript:showhide('crystal','none')">Hide</a>
+ <a href="javascript:showhide('crystal','block')">Show</a>
+</html>
+@
+\section{Hide/Show a ring of elements}
+Now that we can hide or show a div element we demonstrate the ability
+to hide or show a ring of div elements. There are 3 elements in the
+ring, 'facet1', 'facet2', and 'facet3'. Each facet can open or close
+the associated 'answer' sub-div element.
+<<hide/show a ring of elements>>=
+<html xmlns="http://www.w3.org/1999/xhtml">
+ <head>
+  <meta http-equiv="Content-Type" content="text/xml" charset="us-ascii"/>
+  <style>
+   html { color:#000000; }
+  </style>
+  <script language="JavaScript" type="text/javascript">
+   var circle = ['facet1','facet2','facet3']
+   var here = 'facet1';
+   var herept = 0;
+   function showhide(id,flag) {
+     var c = document.getElementById(id);
+     c.style.display=flag;
+   }
+   function toggle(id) {
+     var c = document.getElementById(id);
+     if (c.style.display == 'block') {
+       c.style.display='none'
+     } else {
+       c.style.display='block'
+     }
+   }
+   /* hide the old, get the next one in the circle, show it */   
+   function docircle() {
+     var c = document.getElementById(here);
+     c.style.display='none'
+     if (herept == 2) {
+       herept = 0 ;
+     } else {
+       herept = herept + 1;
+     }
+     here = circle[herept];
+     c = document.getElementById(here);
+     c.style.display='block'
+   }
+  </script>
+ </head>
+ <body onload="showhide('facet1','block')">
+it works
+  <div id="facet1" style="overflow:hidden;display:none">
+   <a href="javascript:docircle()">
+    integrate(cos x,x)
+   </a>
+   <br/><a href="javascript:toggle('facet1a')">toggle</a>
+   <div id="facet1a" style="overflow:hidden;display:none">
+    <a href="javascript:showhide('facet1a','none')">
+    <br/>
+     <pre>
+     sin(x)
+     </pre>
+    </a>
+   </div>
+  </div>
+  <div id="facet2" style="overflow:hidden;display:none">
+   <a href="javascript:docircle()">
+    integrate(sin x,x)
+   </a>
+   <br/><a href="javascript:toggle('facet2a')">toggle</a>
+   <div id="facet2a" style="overflow:hidden;display:none">
+    <a href="javascript:showhide('facet2a','none')">
+    <br/>
+     <pre>
+     -cos(x)
+     </pre>
+    </a>
+   </div>
+  </div>
+  <div id="facet3" style="overflow:hidden;display:none">
+   <a href="javascript:docircle()">
+    integrate(tan x,x)
+   </a>
+   <br/><a href="javascript:toggle('facet3a')">toggle</a>
+   <div id="facet3a" style="overflow:hidden;display:none">
+    <a href="javascript:showhide('facet3a','none')">
+    <br/>
+     <pre>
+                 2
+       log(tan(x) + 1)
+       ---------------
+               2
+     </pre>
+    </a>
+   </div>
+  </div>
+ </body>
+ <hr/>
+</html>
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\bibitem{7} Winograd, Terry ``Bringing Design to Software",
+ACM Press Books, Addison-Wesley Publishing, 1996
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol2.pamphlet b/books/bookvol2.pamphlet
new file mode 100644
index 0000000..1dc6019
--- /dev/null
+++ b/books/bookvol2.pamphlet
@@ -0,0 +1,333 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+
+%% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]%
+{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% special meanings for math characters
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+
+\providecommand{\tpd}[5]%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 2: Axiom Users Guide}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\section{Makefile}
+This book is actually a literate program\cite{2} and can contain 
+executable source code. In particular, the Makefile for this book
+is part of the source of the book and is included below. Axiom 
+uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+<<*>>=
+PROJECT=bookvol2
+TANGLE=/usr/local/bin/NOTANGLE
+WEAVE=/usr/local/bin/NOWEAVE
+LATEX=/usr/bin/latex
+MAKEINDEX=/usr/bin/makeindex
+
+all: 
+	${WEAVE} -t8 -delay ${PROJECT}.pamphlet >${PROJECT}.tex
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+	${MAKEINDEX} ${PROJECT}.idx
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol3.pamphlet b/books/bookvol3.pamphlet
new file mode 100644
index 0000000..f8ad6f3
--- /dev/null
+++ b/books/bookvol3.pamphlet
@@ -0,0 +1,333 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+
+%% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]%
+{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% special meanings for math characters
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+
+\providecommand{\tpd}[5]%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 3: Axiom Programmers Guide}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\section{Makefile}
+This book is actually a literate program\cite{2} and can contain 
+executable source code. In particular, the Makefile for this book
+is part of the source of the book and is included below. Axiom 
+uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+<<*>>=
+PROJECT=bookvol3
+TANGLE=/usr/local/bin/NOTANGLE
+WEAVE=/usr/local/bin/NOWEAVE
+LATEX=/usr/bin/latex
+MAKEINDEX=/usr/bin/makeindex
+
+all: 
+	${WEAVE} -t8 -delay ${PROJECT}.pamphlet >${PROJECT}.tex
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+	${MAKEINDEX} ${PROJECT}.idx
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol4.pamphlet b/books/bookvol4.pamphlet
new file mode 100644
index 0000000..32abce4
--- /dev/null
+++ b/books/bookvol4.pamphlet
@@ -0,0 +1,4424 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+
+%% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]%
+{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% special meanings for math characters
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+
+\providecommand{\tpd}[5]%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 4: Axiom Developers Guide}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\section{How Axiom Works}
+\subsection{Input and Type Selection}
+First we change the default setting for autoload messages to
+turn off the noise of file loading from the library:
+\begin{verbatim}
+(1) -> )set mes auto off
+\end{verbatim}
+
+Next we tell the interpreter to show us the modemaps used to
+classify input and select types. This is known as ``bottomup''
+messages. We can watch the interpreter ponder the input.
+\begin{verbatim}
+(1) -> )set mes bot on
+\end{verbatim}
+
+Now we give it something nontrivial to ponder.
+\begin{verbatim}
+(1) -> f:=1/(a*x+b)
+\end{verbatim}
+
+After parsing the input Axiom begins to figure out the type
+of the expression. In this case it starts with the multiply 
+operator in the denominator.
+
+Axiom has determined that ``a'' is of type VARIABLE and ``x''
+is of type VARIABLE. It is looking for function of the form
+\begin{verbatim}
+    VARIABLE * VARIABLE
+\end{verbatim}
+so it looks in the domain of the left argument ``a'' which is
+VARIABLE and does not find the required function. Similarly
+it looks in the domain of the right argument ``x'' which is
+VARIABLE and, not surprisingly, does not find the required function.
+
+It tried to promote each VARIABLE to SYMBOL and looks for a way
+to mulitply VARIABLES and SYMBOLS or SYMBOLS and SYMBOLS. Neither
+succeeds.
+\begin{verbatim}
+
+ Function Selection for *
+      Arguments: (VARIABLE a,VARIABLE x) 
+   -> no appropriate * found in Variable a 
+   -> no appropriate * found in Variable x 
+   -> no appropriate * found in Symbol 
+   -> no appropriate * found in Variable a 
+   -> no appropriate * found in Variable x 
+   -> no appropriate * found in Symbol 
+
+ Modemaps from Associated Packages 
+   no modemaps
+\end{verbatim}
+
+Since it cannot find a specific modemap that uses the exact types
+it now expands the search to look for the general modemaps. It
+searches these modemaps in order to try to find one that fits.
+\begin{verbatim}
+
+ Remaining General Modemaps 
+   [1] (D,D1) -> D from D
+            if D has XFALG(D2,D1) and D2 has ORDSET and D1 has RING
+\end{verbatim}
+
+The first match will fail because Symbol does not have RING. We can
+determine this by asking the interpreter:
+\begin{verbatim}
+SYMBOL has RING
+
+   (1)  false
+                                                       Type: Boolean
+\end{verbatim}
+
+The following modemaps will fail for various similar reasons:
+\begin{verbatim}
+   [2] (D1,D) -> D from D
+            if D has XFALG(D1,D2) and D1 has ORDSET and D2 has RING
+   [3] (Integer,D) -> D from D
+            if D has VECTCAT D2 and D2 has TYPE and D2 has ABELGRP
+   [4] (D1,D) -> D from D
+            if D has VECTCAT D1 and D1 has TYPE and D1 has MONOID
+   [5] (D,D1) -> D from D
+            if D has VECTCAT D1 and D1 has TYPE and D1 has MONOID
+   [6] (D,D1) -> D1 from D
+            if D has SMATCAT(D2,D3,D4,D1) and D3 has RING and D4 has 
+            DIRPCAT(D2,D3) and D1 has DIRPCAT(D2,D3)
+   [7] (D1,D) -> D1 from D
+            if D has SMATCAT(D2,D3,D1,D4) and D3 has RING and D1 has 
+            DIRPCAT(D2,D3) and D4 has DIRPCAT(D2,D3)
+   [8] (D,D) -> D from D if D has SGROUP
+   [9] (D,D1) -> D from D if D has RMODULE D1 and D1 has RNG
+   [10] (D,D) -> D from D if D has MONAD
+   [11] (D,D) -> D from D
+            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
+            D1 and D3 has FLAGG D1
+   [12] (D1,D) -> D from D
+            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
+            D1 and D3 has FLAGG D1
+   [13] (D,D1) -> D from D
+            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
+            D1 and D3 has FLAGG D1
+   [14] (Integer,D) -> D from D
+            if D has MATCAT(D2,D3,D4) and D2 has RING and D3 has FLAGG 
+            D2 and D4 has FLAGG D2
+   [15] (D,D1) -> D1 from D
+            if D has MATCAT(D2,D3,D1) and D2 has RING and D3 has FLAGG 
+            D2 and D1 has FLAGG D2
+   [16] (D1,D) -> D1 from D
+            if D has MATCAT(D2,D1,D3) and D2 has RING and D1 has FLAGG 
+            D2 and D3 has FLAGG D2
+   [17] ((D5 -> D6),(D4 -> D5)) -> (D4 -> D6) from MappingPackage3(D4,
+            D5,D6)
+            if D4 has SETCAT and D5 has SETCAT and D6 has SETCAT
+   [18] (D1,D) -> D from D if D has LMODULE D1 and D1 has RNG
+   [19] (PolynomialIdeals(D1,D2,D3,D4),PolynomialIdeals(D1,D2,D3,D4))
+             -> PolynomialIdeals(D1,D2,D3,D4)
+            from PolynomialIdeals(D1,D2,D3,D4)
+            if D1 has FIELD and D2 has OAMONS and D3 has ORDSET and D4 
+            has POLYCAT(D1,D2,D3)
+   [20] (D1,D) -> D from D
+            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
+            
+   [21] (D,D1) -> D from D
+            if D has GRMOD(D1,D2) and D1 has COMRING and D2 has ABELMON
+            
+   [22] (D1,D2) -> D from D
+            if D has FMCAT(D1,D2) and D1 has RING and D2 has SETCAT
+   [23] (D1,D2) -> D from D
+            if D has FAMONC(D2,D1) and D2 has SETCAT and D1 has CABMON
+            
+   [24] (Equation D1,D1) -> Equation D1 from Equation D1
+            if D1 has SGROUP and D1 has TYPE
+   [25] (D1,Equation D1) -> Equation D1 from Equation D1
+            if D1 has SGROUP and D1 has TYPE
+   [26] (D,D1) -> D from D
+            if D has DIRPCAT(D2,D1) and D1 has TYPE and D1 has MONOID
+         
+   [27] (D1,D) -> D from D
+            if D has DIRPCAT(D2,D1) and D1 has TYPE and D1 has MONOID
+         
+   [28] (DenavitHartenbergMatrix D2,Point D2) -> Point D2
+            from DenavitHartenbergMatrix D2
+            if D2 has Join(Field,TranscendentalFunctionCategory)
+   [29] (PositiveInteger,Color) -> Color from Color
+   [30] (DoubleFloat,Color) -> Color from Color
+   [31] (CartesianTensor(D1,D2,D3),CartesianTensor(D1,D2,D3)) -> 
+            CartesianTensor(D1,D2,D3)
+            from CartesianTensor(D1,D2,D3)
+            if D1: INT and D2: NNI and D3 has COMRING
+   [32] (PositiveInteger,D) -> D from D if D has ABELSG
+   [33] (NonNegativeInteger,D) -> D from D if D has ABELMON
+   [34] (Integer,D) -> D from D if D has ABELGRP
+
+\end{verbatim}
+
+Eventually the interpreter decides that it can coerce Symbol to
+Polynomial(Integer). We can do this in the interpreter also:
+\begin{verbatim}
+a::Symbol::POLY(INT)
+
+   (1)  a
+                                                     Type: Polynomial Integer
+\end{verbatim}
+
+And the interpreter can find multiply in POLY(INT):
+\begin{verbatim}
+ 
+ [1]  signature:   (POLY INT,POLY INT) -> POLY INT
+      implemented: slot $$$ from POLY INT
+ [2]  signature:   (POLY INT,POLY INT) -> POLY INT
+      implemented: slot $$$ from POLY INT
+\end{verbatim}
+
+We can see this signature exists by asking the interpreter to show
+us the domain POLY(INT) (truncated here for brevity):
+\begin{verbatim}
+
+)show POLY(INT)
+ Polynomial Integer is a domain constructor.
+ Abbreviation for Polynomial is POLY 
+ This constructor is exposed in this frame.
+ Issue )edit src/algebra/POLY.spad to see algebra source code for POLY 
+
+------------------------------- Operations --------------------------------
+
+ ?*? : (Fraction Integer,%) -> %       ?*? : (Integer,%) -> %
+ ?*? : (PositiveInteger,%) -> %        ?*? : (%,Fraction Integer) -> %
+ ?*? : (%,Integer) -> %                ?*? : (%,%) -> %
+
+\end{verbatim}
+
+Having found multipy the interpreter now starts a search for the operation
+\begin{verbatim}
+     (POLY(INT)) + (VARIABLE)
+\end{verbatim}
+
+It cannot find this modemap 
+\begin{verbatim}
+
+ Function Selection for +
+      Arguments: (POLY INT,VARIABLE b) 
+   -> no appropriate + found in Polynomial Integer 
+   -> no appropriate + found in Variable b 
+   -> no appropriate + found in Variable b 
+ 
+\end{verbatim}
+so it promotes VARIABLE to POLY(INT) and finds the operation:
+\begin{verbatim}
+   (POLY(INT)) + (POLY(INT))
+\end{verbatim}
+
+\begin{verbatim}
+ [1]  signature:   (POLY INT,POLY INT) -> POLY INT
+      implemented: slot $$$ from POLY INT
+ 
+\end{verbatim}
+
+Next it tackles the division operation where the numerator is
+PI (PositiveInteger) and the denominator is POLY(INT). It tries 
+to find
+\begin{verbatim}
+    (PI) / (POLY(INT))
+\end{verbatim}
+
+in PositiveInteger, Polynomial Integer and Integer. All attempts fail.
+\begin{verbatim}
+
+ Function Selection for /
+      Arguments: (PI,POLY INT) 
+   -> no appropriate / found in PositiveInteger 
+   -> no appropriate / found in Polynomial Integer 
+   -> no appropriate / found in Integer 
+   -> no appropriate / found in PositiveInteger 
+   -> no appropriate / found in Polynomial Integer 
+   -> no appropriate / found in Integer 
+
+ Modemaps from Associated Packages 
+   no modemaps
+
+\end{verbatim}
+
+So now it turns to the general modemaps:
+\begin{verbatim}
+ Remaining General Modemaps 
+   [1] (D,D1) -> D from D if D has VSPACE D1 and D1 has FIELD
+   [2] (D,D1) -> D from D
+            if D has RMATCAT(D2,D3,D1,D4,D5) and D1 has RING and D4 has
+            DIRPCAT(D3,D1) and D5 has DIRPCAT(D2,D1) and D1 has FIELD
+         
+   [3] (D1,D1) -> D from D if D has QFCAT D1 and D1 has INTDOM
+   [4] (D,D1) -> D from D
+            if D has MATCAT(D1,D2,D3) and D1 has RING and D2 has FLAGG 
+            D1 and D3 has FLAGG D1 and D1 has FIELD
+   [5] (D,D1) -> D from D
+            if D has LIECAT D1 and D1 has COMRING and D1 has FIELD
+   [6] (D,D) -> D from D if D has GROUP
+   [7] (SparseMultivariatePolynomial(D2,Kernel D),
+            SparseMultivariatePolynomial(D2,Kernel D)) -> D
+            from D if D2 has INTDOM and D2 has ORDSET and D has FS D2
+         
+   [8] (Float,Integer) -> Float from Float
+   [9] (D,D) -> D from D if D has FIELD
+   [10] (D,D) -> D from D
+            if D = EQ D1 and D1 has FIELD and D1 has TYPE or D = EQ D1 
+            and D1 has GROUP and D1 has TYPE
+   [11] (DoubleFloat,Integer) -> DoubleFloat from DoubleFloat
+   [12] (D,D1) -> D from D
+            if D has AMR(D1,D2) and D1 has RING and D2 has OAMON and D1
+            has FIELD
+ 
+\end{verbatim}
+and it eventually promotes PI to FRAC(POLY(INT)) and
+POLY(INT) to FRAC(POLY(INT)) and finds the match:
+\begin{verbatim}
+    (FRAC(POLY(INT))) / (FRAC(POLY(INT)))
+\end{verbatim}
+
+We can ask the intepreter to show us this operation (again, the
+output is truncated for brevity):
+\begin{verbatim}
+ )show FRAC(POLY(INT))
+ Fraction Polynomial Integer is a domain constructor.
+ Abbreviation for Fraction is FRAC 
+ This constructor is exposed in this frame.
+ Issue )edit src/algebra/FRAC.spad to see algebra source code for FRAC 
+
+------------------------------- Operations --------------------------------
+
+ ?*? : (Fraction Integer,%) -> %       ?*? : (Integer,%) -> %
+ ?*? : (PositiveInteger,%) -> %        ?*? : (%,Fraction Integer) -> %
+ ?*? : (%,%) -> %                      ?**? : (%,Integer) -> %
+ ?**? : (%,PositiveInteger) -> %       ?+? : (%,%) -> %
+ ?-? : (%,%) -> %                      -? : % -> %
+ ?/? : (%,%) -> %                      ?<? : (%,%) -> Boolean
+\end{verbatim}
+
+\begin{verbatim}
+ [1]  signature:   (FRAC POLY INT,FRAC POLY INT) -> FRAC POLY INT
+      implemented: slot $$$ from FRAC POLY INT
+ 
+\end{verbatim}
+
+At this point the interpreter has succeeded in finding a type for
+the expression and eventually returns the result badged with the
+appropriate type:
+\begin{verbatim}
+
+           1
+   (1)  -------
+        a x + b
+                                            Type: Fraction Polynomial Integer
+
+\subsection{A simple integral}
+
+Now we will show an integration with successive levels of expansion
+of explanation. We will use the expression above:
+\begin{verbatim}
+(1) -> f:=1/(a*x+b)
+
+           1
+   (1)  -------
+        a x + b
+                                            Type: Fraction Polynomial Integer
+(2) -> integrate(f,x)
+
+        log(a x + b)
+   (2)  ------------
+              a
+                                          Type: Union(Expression Integer,...)
+
+\end{verbatim}
+\subsection{A simple integral, expansion 1 interpreter}
+
+\begin{verbatim}
+(2) -> integrate(f,x)
+\end{verbatim}
+
+Here we assume the previous discussion of modemap handling for the
+expression f and we only look at the modemap handling for the integrate
+function. We are looking for a modemap of the form:
+
+\begin{verbatim}
+      integrate(FRAC(POLY(INT)),VARIABLE x)
+\end{verbatim}
+
+So first we look in the domains of the arguments, that is, in
+Fraction Polynomial Integer, and Variable. Neither one succeeds:
+\begin{verbatim}
+
+ Function Selection for integrate
+      Arguments: (FRAC POLY INT,VARIABLE x) 
+   -> no appropriate integrate found in Fraction Polynomial Integer 
+   -> no appropriate integrate found in Variable x 
+   -> no appropriate integrate found in Fraction Polynomial Integer 
+   -> no appropriate integrate found in Variable x 
+
+ Modemaps from Associated Packages 
+   no modemaps
+
+\end{verbatim}
+
+Next we look at the general modemaps to find one that might work:
+\begin{verbatim}
+ Remaining General Modemaps 
+   [1] (D,D1) -> D from D
+            if D1 = SYMBOL and D has UTSCAT D2 and D2 has RING and D2 
+            has ACFS INT and D2 has PRIMCAT and D2 has TRANFUN and D2 
+            has ALGEBRA FRAC INT or D1 = SYMBOL and D has UTSCAT D2 and
+            D2 has RING and D2 has variables: D2 -> List D1 and D2 has 
+            integrate: (D2,D1) -> D2 and D2 has ALGEBRA FRAC INT
+   [2] (D,D1) -> D from D
+            if D1 = SYMBOL and D has UPXSCAT D2 and D2 has RING and D2 
+            has ACFS INT and D2 has PRIMCAT and D2 has TRANFUN and D2 
+            has ALGEBRA FRAC INT or D1 = SYMBOL and D has UPXSCAT D2 
+            and D2 has RING and D2 has variables: D2 -> List D1 and D2 
+            has integrate: (D2,D1) -> D2 and D2 has ALGEBRA FRAC INT
+         
+   [3] (D,D1) -> D from D
+            if D1 = SYMBOL and D has ULSCAT D2 and D2 has RING and D2 
+            has ACFS INT and D2 has PRIMCAT and D2 has TRANFUN and D2 
+            has ALGEBRA FRAC INT or D1 = SYMBOL and D has ULSCAT D2 and
+            D2 has RING and D2 has variables: D2 -> List D1 and D2 has 
+            integrate: (D2,D1) -> D2 and D2 has ALGEBRA FRAC INT
+   [4] (Polynomial D2,Symbol) -> Polynomial D2 from Polynomial D2
+            if D2 has ALGEBRA FRAC INT and D2 has RING
+   [5] (D,D1) -> D from D
+            if D has MTSCAT(D2,D1) and D2 has RING and D1 has ORDSET 
+            and D2 has ALGEBRA FRAC INT
+   [6] (Fraction Polynomial D4,Symbol) -> Union(Expression D4,List 
+            Expression D4)
+            from IntegrationResultRFToFunction D4
+            if D4 has CHARZ and D4 has Join(GcdDomain,RetractableTo 
+            Integer,OrderedSet,LinearlyExplicitRingOver Integer)
+   [7] (Expression Float,List Segment OrderedCompletion Float) -> 
+            Result
+            from AnnaNumericalIntegrationPackage
+   [8] (Expression Float,Segment OrderedCompletion Float) -> Result
+            from AnnaNumericalIntegrationPackage
+   [9] (GeneralUnivariatePowerSeries(D2,D3,D4),Variable D3) -> 
+            GeneralUnivariatePowerSeries(D2,D3,D4)
+            from GeneralUnivariatePowerSeries(D2,D3,D4)
+            if D3: SYMBOL and D2 has ALGEBRA FRAC INT and D2 has RING 
+            and D4: D2
+   [10] (D2,Symbol) -> Union(D2,List D2) from FunctionSpaceIntegration(
+            D4,D2)
+            if D4 has Join(EuclideanDomain,OrderedSet,
+            CharacteristicZero,RetractableTo Integer,
+            LinearlyExplicitRingOver Integer) and D2 has Join(
+            TranscendentalFunctionCategory,PrimitiveFunctionCategory,
+            AlgebraicallyClosedFunctionSpace D4)
+   [11] (Fraction Polynomial D4,SegmentBinding OrderedCompletion 
+            Fraction Polynomial D4) -> Union(f1: OrderedCompletion Expression
+            D4,f2: List OrderedCompletion Expression D4,fail: failed,
+            pole: potentialPole)
+            from RationalFunctionDefiniteIntegration D4
+            if D4 has Join(EuclideanDomain,OrderedSet,
+            CharacteristicZero,RetractableTo Integer,
+            LinearlyExplicitRingOver Integer)
+   [12] (Fraction Polynomial D4,SegmentBinding OrderedCompletion 
+            Expression D4) -> Union(f1: OrderedCompletion Expression D4,f2: 
+            List OrderedCompletion Expression D4,fail: failed,pole: 
+            potentialPole)
+            from RationalFunctionDefiniteIntegration D4
+            if D4 has Join(EuclideanDomain,OrderedSet,
+            CharacteristicZero,RetractableTo Integer,
+            LinearlyExplicitRingOver Integer)
+   [13] (D2,SegmentBinding OrderedCompletion D2) -> Union(f1: 
+            OrderedCompletion D2,f2: List OrderedCompletion D2,fail: failed,
+            pole: potentialPole)
+            from ElementaryFunctionDefiniteIntegration(D4,D2)
+            if D2 has Join(TranscendentalFunctionCategory,
+            PrimitiveFunctionCategory,AlgebraicallyClosedFunctionSpace 
+            D4) and D4 has Join(EuclideanDomain,OrderedSet,
+            CharacteristicZero,RetractableTo Integer,
+            LinearlyExplicitRingOver Integer)
+
+\end{verbatim}
+Modemap [6] wins because we can construct the first argument
+by matching 
+\begin{verbatim}
+  Fraction Polynomial Integer
+\end{verbatim}
+to
+\begin{verbatim}
+  Fraction Polynomial D4
+\end{verbatim}
+so we can infer that D4 == Integer
+\begin{verbatim}
+
+   [6] (Fraction Polynomial D4,Symbol) -> Union(Expression D4,List 
+            Expression D4)
+            from IntegrationResultRFToFunction D4
+            if D4 has CHARZ and D4 has Join(GcdDomain,RetractableTo 
+            Integer,OrderedSet,LinearlyExplicitRingOver Integer)
+
+\end{verbatim}
+
+Given that match we have two requirements on Integer, both of which
+we can check with the interpreter:
+
+\begin{verbatim}
+INT has CHARZ
+
+   (3)  true
+                                                    Type: Boolean
+(4) -> INT has Join(GcdDomain,RetractableTo Integer,OrderedSet,_
+                     LinearlyExplicitRingOver Integer)
+
+   (4)  true
+                                                    Type: Boolean
+\end{verbatim}
+
+So we have a match
+\begin{verbatim}
+ 
+ [1]  signature:   (FRAC POLY INT,SYMBOL) -> Union(EXPR INT,LIST EXPR INT)
+      implemented: slot (Union (Expression (Integer)) (List (Expression (Integer))))(Fraction (Polynomial (Integer)))(Symbol) from IRRF2F INT
+ [2]  signature:   (EXPR INT,SYMBOL) -> Union(EXPR INT,LIST EXPR INT)
+      implemented: slot (Union (Expression (Integer)) (List (Expression (Integer))))(Expression (Integer))(Symbol) from FSINT(INT,EXPR INT)
+ 
+\end{verbatim}
+
+Now we invoke 
+\begin{verbatim}
+    integrate(FRAC(POLY(INT)),SYMBOL) -> Union(EXPR INT,LIST EXPR INT)
+      from IRRF2F(INT)
+
+    integrate(1/(a*x+b),x)
+
+\end{verbatim}
+can print the result:
+\begin{verbatim}
+
+        log(a x + b)
+   (2)  ------------
+              a
+                                          Type: Union(Expression Integer,...)
+
+\end{verbatim}
+\subsection{A simple integral, expansion 2 integrate}
+Now that we know how the interpreter has matched the input and called
+the function we need to follow the first level call into the function.
+
+Axiom provides a trace tool that will allow us to walk into the function
+invocation and watch what happens. We will follow this same invocation
+path many times, each time we will descend another layer, repeating the
+information as we do.
+
+For now, we look at the domain IRRF2F from irexpand.spad.
+The categorical definition of this domain reads (we remove parts
+of the definition for brevity):
+\begin{verbatim}
+IntegrationResultRFToFunction(R): Exports == Implementation where
+  R: Join(GcdDomain, RetractableTo Integer, OrderedSet,
+           LinearlyExplicitRingOver Integer)
+
+  RF  ==> Fraction Polynomial R
+  F   ==> Expression R
+  IR  ==> IntegrationResult RF
+  OF  ==> OutputForm
+
+  Exports ==> with
+    expand          : IR -> List F
+       ++ expand(i) returns the list of possible real functions
+       ++ corresponding to i.
+    if R has CharacteristicZero then
+      integrate       : (RF, Symbol) -> Union(F, List F)
+        ++ integrate(f, x) returns the integral of \spad{f(x)dx}
+        ++ where x is viewed as a real variable..
+
+  Implementation ==> add
+    import IntegrationTools(R, F)
+    import TrigonometricManipulations(R, F)
+    import IntegrationResultToFunction(R, F)
+
+    toEF: IR -> IntegrationResult F
+
+    toEF i          == map(#1::F, i)$IntegrationResultFunctions2(RF, F)
+    expand i        == expand toEF i
+    complexExpand i == complexExpand toEF i
+
+    if R has CharacteristicZero then
+      import RationalFunctionIntegration(R)
+
+      if R has imaginary: () -> R then 
+        integrate(f, x) == complexIntegrate(f, x)
+      else
+        integrate(f, x) ==
+          l := [mkPrim(real g, x) for g in expand internalIntegrate(f, x)]
+          empty? rest l => first l
+          l
+
+@
+\end{verbatim}
+
+We can see that this domain constructor takes one argument which, in
+this case, is Integer. We've already determined that Integer has the
+required Joins:
+\begin{verbatim}
+(4) -> INT has Join(GcdDomain,RetractableTo Integer,OrderedSet,_
+                     LinearlyExplicitRingOver Integer)
+
+   (4)  true
+                                                    Type: Boolean
+\end{verbatim}
+and we can see that:
+\begin{verbatim}
+(5) -> INT has CharacteristicZero
+
+   (5)  true
+                                                                Type: Boolean
+\end{verbatim}
+so we can match the signature of integrate:
+\begin{verbatim}
+  integrate(Fraction Polynomial Integer, Symbol) -> 
+       Union(Expression Integer, List Expression Integer)
+\end{verbatim}
+
+We can trace this domain and ask to see the output in math form:
+\begin{verbatim}
+(6) -> )trace IRRF2F )math
+ 
+   Packages traced: 
+      IntegrationResultRFToFunction Integer
+   Parameterized constructors traced:
+      IRRF2F
+\end{verbatim}
+and now, when we do the integration, we see the output of the trace:
+\begin{verbatim}
+integrate(1/(a*x+b),x)
+1<enter IntegrationResultRFToFunction.integrate,32 : 
+          1
+ arg1= -------
+       a x + b
+ arg2= x
+ 1<enter IntegrationResultRFToFunction.expand,18 : 
+        1     a x + b
+  arg1= - log(-------)
+        a        a
+ 1>exit  IntegrationResultRFToFunction.expand,18 : 
+       a x + b
+   log(-------)
+          a
+  [------------]
+         a
+1>exit  IntegrationResultRFToFunction.integrate,32 : 
+ log(a x + b)
+ ------------
+       a
+
+        log(a x + b)
+   (6)  ------------
+              a
+                                          Type: Union(Expression Integer,...)
+\end{verbatim}
+
+From this we learn that the arguments to integrate are exactly the
+arguments we supplied and we know the exact types of the arguments
+because they have to match the signature of the function:
+\begin{verbatim}
+1<enter IntegrationResultRFToFunction.integrate,32 : 
+  integrate(, Symbol) -> 
+          1
+ arg1= -------    <== Fraction Polynomial Integer
+       a x + b
+ arg2= x          <== Symbol
+
+\end{verbatim}
+and returns the result
+\begin{verbatim}
+1>exit  IntegrationResultRFToFunction.integrate,32 : 
+ log(a x + b)
+ ------------     <== Union(Expression Integer, List Expression Integer)
+       a
+\end{verbatim}
+\subsection{A simple integral, expansion 2 internalIntegrate}
+If we look at the function definition for integrate:
+\begin{verbatim}
+        integrate(f, x) ==
+          l := [mkPrim(real g, x) for g in expand internalIntegrate(f, x)]
+          empty? rest l => first l
+          l
+\end{verbatim}
+we can see that there is a call to the function 
+\begin{verbatim}
+  internalIntegrate(f, x)
+\end{verbatim}
+and we can compute the types of the arguments since they are exactly
+the types of the integrate function itself:
+\begin{verbatim}
+  internalIntegrate(Fraction Polynomial Integer, Symbol) 
+\end{verbatim}
+and since the return value will be fed to the expand function we
+can look at the signature of expand:
+\begin{verbatim}
+    expand: IntegrationResult Fraction Polynomial Integer ->
+               List Expression Integer
+\end{verbatim}
+and we can get the full signature for internalIntegrate:
+\begin{verbatim}
+  internalIntegrate(Fraction Polynomial Integer, Symbol) ->
+    IntegrationResult Fraction Polynomial Integer
+\end{verbatim}
+
+This comes from the domain
+\begin{verbatim}
+ RationalFunctionIntegration(F): Exports == Implementation where
+   F: Join(IntegralDomain, RetractableTo Integer, CharacteristicZero)
+\end{verbatim}
+where F is Integer.
+\begin{verbatim}
+  SE  ==> Symbol
+  P   ==> Polynomial F
+  Q   ==> Fraction P
+  UP  ==> SparseUnivariatePolynomial Q
+  QF  ==> Fraction UP
+  LGQ ==> List Record(coeff:Q, logand:Q)
+  UQ  ==> Union(Record(ratpart:Q, coeff:Q), "failed")
+  ULQ ==> Union(Record(mainpart:Q, limitedlogs:LGQ), "failed")
+
+  Exports ==> with
+    internalIntegrate: (Q, SE) -> IntegrationResult Q
+       ++ internalIntegrate(f, x) returns g such that \spad{dg/dx = f}.
+  Implementation ==> add
+    import RationalIntegration(Q, UP)
+    import IntegrationResultFunctions2(QF, Q)
+    import PolynomialCategoryQuotientFunctions(IndexedExponents SE,
+                                                       SE, F, P, Q)
+    internalIntegrate(f, x) ==
+      map(multivariate(#1, x), integrate univariate(f, x))
+
+\end{verbatim}
+If we look the signature for internalIntegrate and expand it we see:
+\begin{verbatim}
+    internalIntegrate: (Q, SE) -> IntegrationResult Q
+
+    internalIntegrate: ( Fraction Polynomial Integer, Symbol) ->
+      IntegrationResult Fraction Polynomial Integer
+
+\end{verbatim}
+which is exactly what we need. When we look at the function we see:
+\begin{verbatim}
+    internalIntegrate(f, x) ==
+      map(multivariate(#1, x), integrate univariate(f, x))
+\end{verbatim}
+We can watch the function call by tracing INTRF:
+\begin{verbatim}
+(7) -> )trace INTRF )math
+ 
+   Packages traced: 
+      IntegrationResultRFToFunction Integer, 
+            RationalFunctionIntegration Integer
+   Parameterized constructors traced:
+      IRRF2F, INTRF
+\end{verbatim}
+and we see:
+\begin{verbatim}
+(7) -> integrate(1/(a*x+b),x)
+1<enter IntegrationResultRFToFunction.integrate,32 : 
+          1
+ arg1= -------
+       a x + b
+ arg2= x
+ 1<enter RationalFunctionIntegration.internalIntegrate,25 : 
+           1
+  arg1= -------
+        a x + b
+  arg2= x
+ 1>exit  RationalFunctionIntegration.internalIntegrate,25 : 
+  1     a x + b
+  - log(-------)
+  a        a
+ 1<enter IntegrationResultRFToFunction.expand,18 : 
+        1     a x + b
+  arg1= - log(-------)
+        a        a
+ 1>exit  IntegrationResultRFToFunction.expand,18 : 
+       a x + b
+   log(-------)
+          a
+  [------------]
+         a
+1>exit  IntegrationResultRFToFunction.integrate,32 : 
+ log(a x + b)
+ ------------
+       a
+
+        log(a x + b)
+   (7)  ------------
+              a
+                                          Type: Union(Expression Integer,...)
+\end{verbatim}
+Now we see that internalIntegrate was called with the arguments
+\begin{verbatim}
+ 1<enter RationalFunctionIntegration.internalIntegrate,25 : 
+           1
+  arg1= -------      <== Fraction Polynomial Integer
+        a x + b
+  arg2= x            <== Symbol
+\end{verbatim}
+and returned the values:
+\begin{verbatim}
+ 1>exit  RationalFunctionIntegration.internalIntegrate,25 : 
+  1     a x + b
+  - log(-------)     <== IntegrationResult Fraction Polynomial Integer
+  a        a
+\end{verbatim}
+\subsection{A simple integral, expansion 3 univariate}
+But the internalIntegrate function does its work by calling yet
+other functions, the deepest of which is univariate:
+\begin{verbatim}
+    internalIntegrate(f, x) ==
+      map(multivariate(#1, x), integrate univariate(f, x))
+\end{verbatim}
+Since univariate uses the arguments to the internalIntegrate function
+which has the signature:
+\begin{verbatim}
+    internalIntegrate: ( Fraction Polynomial Integer, Symbol) ->
+\end{verbatim}
+we can determine that we need a univariate function with the signature:
+\begin{verbatim}
+    univariate: ( Fraction Polynomial Integer, Symbol) ->
+\end{verbatim}
+This function is found in PolynomialCategoryQuotientFunctions, POLYCATQ
+which has the form:
+\begin{verbatim}
+PolynomialCategoryQuotientFunctions(E, V, R, P, F):
+ Exports == Implementation where
+  E: OrderedAbelianMonoidSup
+  V: OrderedSet
+  R: Ring
+  P: PolynomialCategory(R, E, V)
+  F: Field with
+    coerce: P -> %
+    numer : % -> P
+    denom : % -> P
+
+  UP  ==> SparseUnivariatePolynomial F
+  RF  ==> Fraction UP
+
+  Exports ==> with
+    variables   : F -> List V
+      ++ variables(f) returns the list of variables appearing
+      ++ in the numerator or the denominator of f.
+    mainVariable: F -> Union(V, "failed")
+      ++ mainVariable(f) returns the highest variable appearing
+      ++ in the numerator or the denominator of f, "failed" if
+      ++ f has no variables.
+    univariate  : (F, V) -> RF
+      ++ univariate(f, v) returns f viewed as a univariate
+      ++ rational function in v.
+  Implementation ==> add
+    P2UP: (P, V) -> UP
+
+    univariate(f, x) == P2UP(numer f, x) / P2UP(denom f, x)
+
+    P2UP(p, x) ==
+      map(#1::F,
+          univariate(p, x))$SparseUnivariatePolynomialFunctions2(P, F)
+\end{verbatim}
+
+So we are calling the function:
+\begin{verbatim}
+ univariate: ( Fraction Polynomial Integer, Symbol) ->
+  Fraction SparseUnivariatePolynomial Field with
+   coerce: PolynomialCategory(Ring, OrderedAbelianMonoidSup, OrderedSet) -> %
+   numer: % -> PolynomialCategory(Ring, OrderedAbelianMonoidSup, OrderedSet)
+   denom: % -> PolynomialCategory(Ring, OrderedAbelianMonoidSup, OrderedSet)
+\end{verbatim}
+which we can see by tracing that domain:
+\begin{verbatim}
+(8) -> )trace POLYCATQ )math
+ 
+   Packages traced: 
+      IntegrationResultRFToFunction Integer, 
+            RationalFunctionIntegration Integer, 
+            PolynomialCategoryQuotientFunctions(IndexedExponents 
+            Kernel Expression Integer,Kernel Expression Integer,
+            Integer,SparseMultivariatePolynomial(Integer,Kernel 
+            Expression Integer),Expression Integer), 
+            PolynomialCategoryQuotientFunctions(IndexedExponents 
+            Symbol,Symbol,Integer,Polynomial Integer,Fraction 
+            Polynomial Integer)
+   Parameterized constructors traced:
+      IRRF2F, INTRF, POLYCATQ
+\end{verbatim}
+which gives the input:
+\begin{verbatim}
+  1<enter PolynomialCategoryQuotientFunctions.univariate,16 : 
+            1
+   arg1= -------  <== Fraction Polynomial Integer
+         a x + b
+   arg2= x        <== Symbol
+\end{verbatim}
+and the output
+\begin{verbatim}
+  1>exit  PolynomialCategoryQuotientFunctions.univariate,16 : 
+     1
+     -
+     a
+   -----   <==   Fraction SparseUnivariatePolynomial Field with
+       b                   coerce: P -> % 
+   ? + -                   numer:  % -> P
+       a                   denom:  % -> P
+\end{verbatim}
+
+It should be clear that univariate divided the numerator and
+denominator by the leading coefficient of the polynomial in
+the denominator. It also replaced ``x'' with the variable ``?''.
+\subsection{A simple integral, expansion 4 integrate}
+When univariate returns, the results are fed to another integrate,
+this time from RationalIntegration (INTRAT). This domain looks like:
+\begin{verbatim}
+RationalIntegration(F, UP): Exports == Implementation where
+  F : Join(Field, CharacteristicZero, RetractableTo Integer)
+  UP: UnivariatePolynomialCategory F
+
+  RF  ==> Fraction UP
+  IR  ==> IntegrationResult RF
+  LLG ==> List Record(coeff:RF, logand:RF)
+  URF ==> Union(Record(ratpart:RF, coeff:RF), "failed")
+  U   ==> Union(Record(mainpart:RF, limitedlogs:LLG), "failed")
+  OF  ==> OutputForm
+
+  Exports ==> with
+    integrate  : RF -> IR
+      ++ integrate(f) returns g such that \spad{g' = f}.
+
+  Implementation ==> add
+    import TranscendentalIntegration(F, UP)
+
+    integrate f ==
+      rec := monomialIntegrate(f, differentiate)
+      integrate(rec.polypart)::RF::IR + rec.ir
+
+\end{verbatim}
+
+This domain was constructed and "brought into scope" in
+RationalFunctionIntegration(F) with the statement
+\begin{verbatim}
+ import RationalIntegration(Fraction Polynomial Integer,
+         SparseUnivariatePolynomial Fraction Polynomial Integer)
+\end{verbatim}
+and the function has the signature
+\begin{verbatim}
+ integrate:
+   Fraction SparseUnivariatePolynomial Fraction Polynomial Integer ->
+    IntegrationResult Fraction 
+                      Fraction Polynomial Integer
+\end{verbatim}
+\begin{verbatim}
+  1<enter RationalIntegration.integrate,32 : 
+           1
+           -
+           a
+   arg1= -----  <== Fraction SparseUnivariatePolynomial
+             b                 Fraction Polynomial Integer
+         ? + -
+             a
+  1>exit  RationalIntegration.integrate,32 : 
+   1         b
+   - log(? + -) <== IntegrationResult Fraction SparseUnivariatePolynomial
+   a         a                 Fraction Polynomial Integer
+\end{verbatim}
+
+\subsection{A simple integral, expansion 5 monomialIntegrate}
+The integrate function is defined as:
+\begin{verbatim}
+ integrate f ==
+   print(outputForm("tpdhere INTRAT 1")@OF)$OF
+   rec := monomialIntegrate(f, differentiate)
+   integrate(rec.polypart)::RF::IR + rec.ir
+\end{verbatim}
+Notice that while ``f'' is an argument to integrate, the ``differentiate''
+function is a free variable. The Axiom compiler will look at all of the
+symbols "in scope" to find its meaning. This code does an import:
+\begin{verbatim}
+  import TranscendentalIntegration(Fraction Polynomial Integer,
+          SparseUnivariatePolynomial Fraction Polynomial Integer)
+\end{verbatim}
+which exports monomialIntegrate
+\begin{verbatim}
+TranscendentalIntegration(F, UP): Exports == Implementation where
+  F  : Field
+  UP : UnivariatePolynomialCategory F
+
+  RF  ==> Fraction UP
+  FF  ==> Record(ratpart:F,  coeff:F)
+  UF  ==> Union(FF,  "failed")
+  IR  ==> IntegrationResult RF
+  REC ==> Record(ir:IR, specpart:RF, polypart:UP)
+
+  Exports ==> with
+    monomialIntegrate : (RF, UP -> UP) -> REC
+      ++ monomialIntegrate(f, ') returns \spad{[ir, s, p]} such that
+      ++ \spad{f = ir' + s + p} and all the squarefree factors of the
+      ++ denominator of s are special w.r.t the derivation '.
+
+ Implementation ==> add
+  import SubResultantPackage(UP, UP2)
+  import MonomialExtensionTools(F, UP)
+  import TranscendentalHermiteIntegration(F, UP)
+  import CommuteUnivariatePolynomialCategory(F, UP, UP2)
+
+  monomialIntegrate(f, derivation) ==
+    zero? f => [0, 0, 0]
+    r := HermiteIntegrate(f, derivation)
+    zero?(inum := numer(r.logpart)) => 
+       [r.answer::IR, r.specpart, r.polypart]
+    iden  := denom(r.logpart)
+    x := monomial(1, 1)$UP
+    resultvec := subresultantVector(UP2UP2 inum -
+                     (x::UP2) * UP2UP2 derivation iden, UP2UP2 iden)
+    respoly := primitivePart leadingCoefficient resultvec 0
+    rec := splitSquarefree(respoly, kappa(#1, derivation))
+    logs:List(LOG) := [
+        [1, UP2UPR(term.factor),
+         UP22UPR swap primitivePart(resultvec(term.exponent),term.factor)]
+               for term in factors(rec.special)]
+    dlog :=
+         ((derivation x) = 1) => r.logpart
+         differentiate(mkAnswer(0, logs, empty()),
+                       differentiate(#1, derivation))
+    (u := retractIfCan(p := r.logpart - dlog)@Union(UP, "failed")) case UP =>
+      [mkAnswer(r.answer, logs, empty), r.specpart, r.polypart + u::UP]
+    [mkAnswer(r.answer, logs, [[p, dummy]]), r.specpart, r.polypart]
+
+\end{verbatim}
+which expands into the type signature:
+\begin{verbatim}
+
+  monomialIntegrate:
+  (Fraction SparseUnivariatePolynomial Fraction Polynomial Integer,
+     SparseUnivariatePolynomial Fraction Polynomial Integer ->
+          SparseUnivariatePolynomial Fraction Polynomial Integer) ->
+    Record(ir: IntegrationResult Fraction 
+                     SparseUnivariatePolynomial Fraction Polynomial Integer,
+           specpart: Fraction  
+                     SparseUnivariatePolynomial Fraction Polynomial Integer,
+           polypart: SparseUnivariatePolynomial Fraction Polynomial Integer)
+      ++ monomialIntegrate(f, ') returns \spad{[ir, s, p]} such that
+      ++ \spad{f = ir' + s + p} and all the squarefree factors of the
+      ++ denominator of s are special w.r.t the derivation '.
+\end{verbatim}
+we can watch this happen:
+\begin{verbatim}
+)trace INTTR )math
+ 
+   Function traced: UnivariatePolynomialCategory 
+   Packages traced: 
+      IntegrationResultRFToFunction Integer, 
+            RationalFunctionIntegration Integer, 
+            RationalIntegration(Fraction Polynomial Integer,
+            SparseUnivariatePolynomial Fraction Polynomial 
+            Integer), PolynomialCategoryQuotientFunctions(
+            IndexedExponents Kernel Expression Integer,Kernel 
+            Expression Integer,Integer,
+            SparseMultivariatePolynomial(Integer,Kernel 
+            Expression Integer),Expression Integer), 
+            PolynomialCategoryQuotientFunctions(IndexedExponents 
+            Symbol,Symbol,Integer,Polynomial Integer,Fraction 
+            Polynomial Integer), TranscendentalIntegration(
+            Fraction Polynomial Integer,
+            SparseUnivariatePolynomial Fraction Polynomial 
+            Integer)
+   Parameterized constructors traced:
+      IRRF2F, INTRF, INTRAT, POLYCATQ, INTTR
+\end{verbatim}
+and we can watch the monomialIntegrate function call
+\begin{verbatim}
+(34) -> integrate(1/(a*x+b),x)
+1<enter IntegrationResultRFToFunction.integrate,32 : 
+          1
+ arg1= -------
+       a x + b
+ arg2= x
+   "tpdhere IRRF2F 1"
+ 1<enter RationalFunctionIntegration.internalIntegrate,25 : 
+           1
+  arg1= -------
+        a x + b
+  arg2= x
+  1<enter PolynomialCategoryQuotientFunctions.univariate,16 : 
+            1
+   arg1= -------
+         a x + b
+   arg2= x
+  1>exit  PolynomialCategoryQuotientFunctions.univariate,16 : 
+     1
+     -
+     a
+   -----
+       b
+   ? + -
+       a
+  1<enter RationalIntegration.integrate,32 : 
+           1
+           -
+           a
+   arg1= -----  <== Fraction SparseUnivariatePolynomial
+             b                 Fraction Polynomial Integer
+         ? + -
+             a
+   1<enter TranscendentalIntegration.monomialIntegrate,81 : 
+            1
+            -
+            a
+    arg1= -----  <== Fraction SparseUnivariatePolynomial
+              b                 Fraction Polynomial Integer
+          ? + -
+              a
+    arg2= theMap(UPOLYC-;differentiate;2S;37,873)
+   1>exit  TranscendentalIntegration.monomialIntegrate,81 : 
+         1         b
+    [ir= - log(? + -),specpart= 0,polypart= 0]
+         a         a
+  1>exit  RationalIntegration.integrate,32 : 
+   1         b
+   - log(? + -)
+   a         a
+ 1>exit  RationalFunctionIntegration.internalIntegrate,25 : 
+  1     a x + b
+  - log(-------)
+  a        a
+1>exit  IntegrationResultRFToFunction.integrate,32 : 
+ log(a x + b)
+ ------------
+       a
+
+         log(a x + b)
+   (34)  ------------
+               a
+                                          Type: Union(Expression Integer,...)
+(35) -> 
+\end{verbatim}
+\subsection{A simple integral, expansion 6 HermiteIntegrate}
+Since ``f'' is not zero we invoke HermiteIntegrate from the domain
+TranscendentalHermiteIntegration which looks like:
+\begin{verbatim}
+TranscendentalHermiteIntegration(F, UP): Exports == Implementation where
+  F  : Field
+  UP : UnivariatePolynomialCategory F
+
+  N   ==> NonNegativeInteger
+  RF  ==> Fraction UP
+  REC ==> Record(answer:RF, lognum:UP, logden:UP)
+  HER ==> Record(answer:RF, logpart:RF, specpart:RF, polypart:UP)
+
+  Exports ==> with
+    HermiteIntegrate: (RF, UP -> UP) -> HER
+         ++ HermiteIntegrate(f, D) returns \spad{[g, h, s, p]}
+         ++ such that \spad{f = Dg + h + s + p},
+         ++ h has a squarefree denominator normal w.r.t. D,
+         ++ and all the squarefree factors of the denominator of s are
+         ++ special w.r.t. D. Furthermore, h and s have no polynomial parts.
+         ++ D is the derivation to use on \spadtype{UP}.
+
+  Implementation ==> add
+    import MonomialExtensionTools(F, UP)
+
+    HermiteIntegrate(f, derivation) ==
+      rec := decompose(f, derivation)
+      hi  := normalHermiteIntegrate(rec.normal, derivation)
+      qr  := divide(hi.lognum, hi.logden)
+      [hi.answer, qr.remainder / hi.logden, rec.special, qr.quotient + rec.poly]
+\end{verbatim}
+The function has the same input signature as monomialIntegrate but a 
+different return signature.
+\begin{verbatim}
+  HermiteIntegrate:
+  (Fraction SparseUnivariatePolynomial Fraction Polynomial Integer,
+     SparseUnivariatePolynomial Fraction Polynomial Integer ->
+          SparseUnivariatePolynomial Fraction Polynomial Integer) ->
+   Record(answer:Fraction SparseUnivariatePolynomial 
+                                                 Fraction Polynomial Integer,
+          logpart:Fraction SparseUnivariatePolynomial 
+                                                 Fraction Polynomial Integer,
+          specpart:Fraction SparseUnivariatePolynomial 
+                                                 Fraction Polynomial Integer, 
+          polypart:SparseUnivariatePolynomial Fraction Polynomial Integer)
+\end{verbatim}
+so we trace this domain
+\begin{verbatim}
+(37) -> )trace INTHERTR )math
+ 
+   Function traced: UnivariatePolynomialCategory 
+   Packages traced: 
+      IntegrationResultRFToFunction Integer, 
+            RationalFunctionIntegration Integer, 
+            RationalIntegration(Fraction Polynomial Integer,
+            SparseUnivariatePolynomial Fraction Polynomial 
+            Integer), PolynomialCategoryQuotientFunctions(
+            IndexedExponents Kernel Expression Integer,Kernel 
+            Expression Integer,Integer,
+            SparseMultivariatePolynomial(Integer,Kernel 
+            Expression Integer),Expression Integer), 
+            PolynomialCategoryQuotientFunctions(IndexedExponents 
+            Symbol,Symbol,Integer,Polynomial Integer,Fraction 
+            Polynomial Integer), TranscendentalIntegration(
+            Fraction Polynomial Integer,
+            SparseUnivariatePolynomial Fraction Polynomial 
+            Integer), TranscendentalHermiteIntegration(Fraction 
+            Polynomial Integer,SparseUnivariatePolynomial 
+            Fraction Polynomial Integer)
+   Parameterized constructors traced:
+      IRRF2F, INTRF, INTRAT, POLYCATQ, INTTR, INTHERTR
+\end{verbatim}
+and now we see
+\begin{verbatim}
+(38) -> integrate(1/(a*x+b),x)
+1<enter IntegrationResultRFToFunction.integrate,32 : 
+          1
+ arg1= -------
+       a x + b
+ arg2= x
+   "tpdhere IRRF2F 1"
+ 1<enter RationalFunctionIntegration.internalIntegrate,25 : 
+           1
+  arg1= -------
+        a x + b
+  arg2= x
+  1<enter RationalIntegration.integrate,32 : 
+           1
+           -
+           a
+   arg1= -----
+             b
+         ? + -
+             a
+   "tpdhere INTRAT 1"
+   1<enter TranscendentalIntegration.monomialIntegrate,81 : 
+            1
+            -
+            a
+    arg1= -----
+              b
+          ? + -
+              a
+    arg2= theMap(UPOLYC-;differentiate;2S;37,873)
+    1<enter TranscendentalHermiteIntegration.HermiteIntegrate,18 : 
+             1
+             -
+             a
+     arg1= -----
+               b
+           ? + -
+               a
+     arg2= theMap(UPOLYC-;differentiate;2S;37,873)
+    1>exit  TranscendentalHermiteIntegration.HermiteIntegrate,18 : 
+                           1
+                           -
+                           a
+     [answer= 0,logpart= -----,specpart= 0,polypart= 0]
+                             b
+                         ? + -
+                             a
+   1>exit  TranscendentalIntegration.monomialIntegrate,81 : 
+         1         b
+    [ir= - log(? + -),specpart= 0,polypart= 0]
+         a         a
+   "tpdhere UPOLYC 1"
+  1>exit  RationalIntegration.integrate,32 : 
+   1         b
+   - log(? + -)
+   a         a
+ 1>exit  RationalFunctionIntegration.internalIntegrate,25 : 
+  1     a x + b
+  - log(-------)
+  a        a
+ 1<enter IntegrationResultRFToFunction.expand,18 : 
+        1     a x + b
+  arg1= - log(-------)
+        a        a
+ 1>exit  IntegrationResultRFToFunction.expand,18 : 
+       a x + b
+   log(-------)
+          a
+  [------------]
+         a
+1>exit  IntegrationResultRFToFunction.integrate,32 : 
+ log(a x + b)
+ ------------
+       a
+
+         log(a x + b)
+   (38)  ------------
+               a
+                                          Type: Union(Expression Integer,...)
+\end{verbatim}
+so HermiteIntegrate did nothing to the input.
+Next we call normalHermiteIntegrate which is a local function
+
+\section{Tools}
+\subsection{svn}
+SVN is a source control system on all platforms. Axiom 'silver' is
+maintained in an SVN archive on sourceforge. This can be pulled from:
+\begin{verbatim}
+svn co https://axiom.svn.sf.net/svnroot/axiom/trunk/axiom axiom
+\end{verbatim}
+\subsection{git}
+Git is a unix-based source code control system. Axiom 'silver' is 
+maintained in a git archive. This can be pulled from:
+\begin{verbatim}
+git-clone ssh://git@axiom-developer.org/home/git/silver
+\end{verbatim}
+the password for the userid git is linus.
+
+\subsection{cvs}
+This assumes that you have set up ssh on the Savannah site.
+CVS does not use a password. You have to log onto the Savannah
+site and set up a public key. This requires you to:
+\begin{itemize}
+\item set up a local public key:
+ssh-keygen -b 1024 -t rsa1
+\item open a browser
+\item nagivate to the savannah page that has your personal keys
+\item open .ssh/identity.pub
+\item cut .ssh/identity.pub
+\item paste it into your personal key list on savannah
+\item go have a beer (the page takes an hour or two to update)
+\end{itemize}
+
+Once you have a working key you can do the cvs login.
+If it prompts you for a password then the key is not working.
+If it prompts you to ``Enter the passphrase for RSA key'' then 
+cvs login will work.
+
+I maintain a directory where I work (call this WORK)
+\begin{verbatim}
+  /home/axiomgnu/new
+\end{verbatim}
+and a directory for CVS (call this GOLD)
+\begin{verbatim}
+  /axiom
+\end{verbatim}
+
+When I want to export a set of changes I do the following steps:
+
+\noindent
+0) MAKE SURE THE ~/.ssh/config FILE IS CORRECT:
+\begin{verbatim}
+    (you should only need to do this once. 
+     you need to change the User= field)
+
+Host *.gnu.org
+  Protocol=1
+  Compression=yes
+  CompressionLevel=3
+  User=axiom
+  StrictHostKeyChecking=no
+  PreferredAuthentications=publickey,password
+  NumberOfPasswordPrompts=2
+\end{verbatim}
+
+\noindent
+1) MAKE SURE THE SHELL VARIABLES ARE OK: 
+\begin{verbatim}
+    (normally set in .bashrc)
+
+export CVS_RSH=ssh
+export CVSROOT=:pserver:axiom@subversions.gnu.org:/cvsroot/axiom
+                        ^^^^^
+                        change this to your id
+\end{verbatim}
+
+\noindent
+2) MAKE SURE YOU'RE LOGGED IN:
+\begin{verbatim}
+ (I keep a session open all the time but it doesn't seem to care
+  if you login again. i'm not sure what login does, actually)
+
+cvs login
+\end{verbatim}
+
+\noindent
+3) GET A FRESH COPY FOR THE FIRST TIME OR AT ANY TIME:
+\begin{verbatim}
+ (you only need to do this the first time but you can erase
+  your whole axiom subtree and refresh it again doing this.
+ 
+  note that i work as root so i can update /.  Most rational
+  people are smarter than me and work as a regular user so
+  you have to change the instructions for cd. But you knew that)
+
+cd /
+cvs co axiom
+\end{verbatim}
+
+\noindent
+4) MAKE SURE THAT GOLD,	MY LOCAL CVS COPY, IS UP TO DATE:
+\begin{verbatim}
+ (I maintain an exact copy of the CVS repository and only make
+  changes to it when i want to export the changes. that way I
+  won't export my working tree by accident. my working tree is
+  normally badly broken.
+
+  The update command makes sure that you have all of the changes
+  other people might have made and checked in. you have to merge
+  your changes so you don't step on other people's work.
+  So be sure to run update BEFORE you copy files to GOLD)     
+
+cd /axiom
+cvs update
+\end{verbatim}
+
+\noindent
+5) COPY CHANGED FILES FROM WORK TO THE GOLD TREE:
+\begin{verbatim}
+ (This is an example for updating the *.daase files.
+  You basically are changing your GOLD tree to reflect the
+  way you want CVS to look once you check in all of the files.)
+
+cd /home/axiomgnu/new
+cp src/share/algebra/*.daase /axiom/src/share/algebra
+\end{verbatim}
+
+\noindent
+6) IF A FILE IS NEW (e.g. src/interp/foo.lisp.pamphlet) THEN:
+\begin{verbatim}
+ (If you create a file you need to "put it under CVS control"
+  CVS only cares about files you explicitly add or delete.
+  If you make a new file and copy it to GOLD you need to do this.
+
+  Don't do the "cvs add" in your WORK directory. The cvs add
+  command updates the files in the CVS directory and you won't
+  have them in your WORK directory. 
+
+  Notice that you do the "cvs add" in the directory where the
+  file was added (hence, the cd commands).
+
+cd /axiom/src/interp
+cvs add -m"some pithy comment" foo.lisp.pamphlet
+cd /axiom
+\end{verbatim}
+
+\noindent
+7) IF A FILE IS DELETED (e.g. src/interp/foo.lisp.pamphlet) THEN:
+\begin{verbatim}
+ (you have to delete the file from the GOLD directory BEFORE you
+  do a "cvs remove". The "cvs remove" will update the files in
+  the CVS directory
+
+  Notice that you do the "cvs remove" in the directory where the
+  file was deleted (hence, the cd commands).
+
+cd /axiom/src/interp
+rm foo.lisp.pamphlet
+cvs remove foo.lisp.pamphlet
+cd /axiom
+\end{verbatim}
+
+\noindent
+8) IF A DIRECTORY IS NEW (e.g. foodir) THEN:
+\begin{verbatim}
+ (this will put "foodir" under CVS control. It will also create
+  foodir/CVS as a directory with a bunch of control files in the
+  foodir/CVS directory. Don't mess with the control files.
+
+ (there are a bunch of special rules about directories.
+  empty directories are not downloaded by update.)
+
+ (NOTE: THERE IS NO WAY TO DELETE A DIRECTORY)
+
+cd /axiom/src
+mkdir foodir
+cvs add -m "pithy comment" foodir
+cd /axiom
+\end{verbatim}
+
+\noindent
+9) EDIT CHANGELOG:
+\begin{verbatim}
+  changelog is already under CVS control so it will get uploaded
+  when you do the checkin.)
+
+cd /axiom
+emacs -nw changelog
+ (add a date, initials, and pithy comment, save it, and exit)
+\end{verbatim}
+
+\noindent
+10) CHECK IN THE CHANGES
+\begin{verbatim}
+ (This will actually change the savannah CVS repository.
+
+  The "cvs ci" command will recurse thru all of the lower
+  subdirectories and look for changed files. It will change
+  the host versions of those files to agree with your copy.
+  If somebody else has changed a file while you were busy
+  developing code then the checkin MAY complain (if it can't
+  merge the changes)
+
+cd /axiom
+cvs ci -m"pithy comment"
+\end{verbatim}
+
+Congrats. You've now done your first change to the production
+image. Please be very careful as this is a world readable copy.
+We don't want to ship nonsense. Test everything. Even trivial
+changes before you upload.
+
+\section{Common Lisps}
+\subsection{GCL}
+Axiom was ported to run under AKCL which was a common lisp 
+developed by Bill Schelter. He started with KCL (Kyoto Common
+Lisp) and, since he lived and worked in Austin, Texas, named
+his version AKCL (Austin-Kyoto Common Lisp). Bill worked under
+contract to the Scratchpad group at IBM Research. I was the
+primary developer for system internals so Bill and I worked
+closely together on a lot of issues. After Axiom was sold to
+NAG Bill continued to develop AKCL and it eventually became
+GCL (Gnu Common Lisp). 
+
+In order to port Axiom to run on GCL we need to do several things.
+First, we need to apply a few patches. These patches enlarge the
+default stack size, remove the startup banner, link with Axiom's
+socket library, and rename collectfn.
+
+The issue with the stack size is probably bogus. At one point the
+system was running out of stack space but the problem was due to 
+a recursive expansion of a macro and no amount of stack space
+would be sufficient. This patch remains at the moment but should
+probably be removed and tested.
+
+The startup banner is an issue because we plan to run under
+various frontend programs like Texmacs and the Magnus ZLC.
+We need to just output a single prompt.
+
+Axiom has a socket library because at the time it was developed under
+AKCL there was no socket code in Lisp. There is still not a standard
+common lisp socket library but I believe all common lisps have a way
+to manipulate sockets. This code should be rewritten in lisp
+and \verb|#+| for each common lisp.
+
+The collectfn file is a major optimization under GCL. When collectfn 
+is loaded and the lisp compiler is run then collectfn will output
+a .fn file. The second time the compiler is invoked the .fn
+file is consulted to determine the actual types of arguments used.
+Function calling is highly optimized using this type information
+so that fast function calling occurs. Axiom should be built one
+time to create the int/*/*.fn files. It should then be rebuilt
+using the cached .fn files. I will automate this process into
+the Makefiles in the future.
+
+GCL implementation will have a major porting problem to brand new
+platforms. The compiler strategy is to output C code, compile it
+using GCC, and dynamically link the machine code to the running
+image. This requires deep knowledge of the symbol tables used
+by the native linker for each system. In general this is a hard
+problem that requires a lot of expertise. Bill Schelter and I
+spent a lot of time and effort making this work for each port.
+The magic knowledge is not written down anywhere and I no longer
+remember the details.
+
+\subsection{CCL}
+When Axiom was sold to NAG it was ported to CCL (Codemist Common
+Lisp) which is not, strictly speaking, a common lisp implementation.
+It contains just enough common lisp to support Axiom and, as I'm
+a great believer in simple code, it only needed a small subset of
+a full common lisp. 
+
+CCL can be considered the best way to get Axiom running on a new
+architecture as the porting issues are minimal.
+
+CCL is a byte-interpreter implementation and has both the
+positive and negative aspects of that design choice. The positive
+aspect is that porting the code to run on new architectures is
+very simple. Once the CCL byte-code interpreter is running 
+then Axiom is running. The saved-system image is pure byte-codes
+and is completely system independent.
+
+The negative aspects are that it is slow and the garbage collector
+appears broken. Compiling the Axiom library files on an file-by-file
+basis takes about 1 hour on GCL and about 12 hours on CCL. Compiling
+all of the Axiom library files in the same image (as opposed to 
+starting a new image per file) still takes about 1 hour on GCL.
+It never finishes in CCL. Indeed it stops doing useful work after
+about the 40th file (out of several hundred).
+
+When Axiom became open source I moved the system back to GCL
+because I could not understand how to build a CCL system. I plan
+to revisit this in the future and document the process so others
+can follow it as well as build Makefiles to automate it.
+
+\subsection{CMU CL}
+CMU CL grew out of the Carnegie-Mellon University SPICE project.
+That project studied the issues involved in building an optimizing
+compiler for common lisp. Axiom, back when it was Scratchpad at IBM,
+ran on CMU CL. Indeed, a lot of the lisp-level optimizations are 
+due to use of the CMU CL compiler and the disassemble function.
+
+\subsection{Franz Lisp}
+Axiom, as Scratchpad, ran on Franz Lisp.
+
+\subsection{Lucid Common Lisp}
+Axiom, as Scratchpad, ran on Lucid Common Lisp.
+
+\subsection{Symbolics Common Lisp}
+Axiom, as Scratchpad, ran on Symbolics Common Lisp.
+
+\subsection{Golden Common Lisp}
+Axiom, as Scratchpad, ran on Golden Common Lisp.
+This was a PC version of Common Lisp which appears to have died.
+
+\subsection{VM/LISP 370}
+Axiom, as Scratchpad, ran on VM/Lisp 370. This was an IBM version
+of lisp and was not a common lisp. The .daase random access
+file format is an artifact of running on this lisp.
+
+\subsection{Maclisp}
+Axiom, as Scratchpad, ran on Maclisp. This was an early MIT version
+of lisp and is not common lisp. Many of the funny function names
+that have slightly different semantics than their common lisp
+counterparts still exist in the system as macros due to this
+lisp. 
+
+\section{Literate Programming}
+The Axiom source code was originally developed at IBM Research.
+It was sold to The Numerical Algorithms Group (NAG) and was on
+the market as a commercial competitor to Mathematica and Maple.
+
+Axiom was withdrawn from the market in 2000 and released as free
+and open source software in 2001. When the Axiom project was
+started on savannah, the GNU Free Software Foundation site the
+source code had been rewritten into ``pamphlet'' files. The reasons
+for this are twofold.
+
+\subsection{Pamphlet files}
+
+When the Axiom code was released it contained few comments. That made
+it very difficult to understand what the code actually did. Unlike
+commercial software there would be no group of individuals who would
+work on the project for its lifetime. Thus there needed to be a way to
+capture the expertise and understanding underlying ongoing
+development. 
+
+Unlike any other piece of free and open source software Axiom will
+still give useful answers 30 years from now. Thus it is important,
+and worthwhile, to invest a large amount of effort into documenting
+how these answers are arrived at and why the algorithms are written
+the way they are.
+
+The pamphlet file format follows Knuth's idea of literate
+programming. Knuth made the observation that a program should be a
+work designed to be read by humans. Making the program readable by
+machine was a secondary consideration. Making documentation primary
+and code secondary was a dramatic shift for a programmer.
+
+Knuth created a file format that combined documentation and code.  He
+created a tool called ``Web'' which had two basic command, tangle and
+weave. The tangle command would be run against a literate document and
+extract the source code, the weave command would be run against the
+literate document and extract the TeX. 
+
+\subsection{noweb}
+
+Knuth's Web tool was specifically designed to use Pascal code. The
+``tangle'' operation would prettyprint the output according to the
+style rules of Pascal.
+
+Axiom was written in a variety of languages, such as C and Lisp,
+and used tools such as Makefiles which have their own syntax. Thus
+Web could not be used directly.
+
+Norman Ramsey had the insight to realize that there was no reason
+why the ``tangle'' command had to know anything about the programming
+language. If you remove the prettyprinting feature but kept the code
+extraction idea then ``tangle'' could be generic.
+
+Ramsey wrote a program called ``noweb'' that was similar in spirit
+to Knuth's Web. It has two commands ``notangle'' and ``noweave'' 
+which perform the extractions but do so in a language neutral manner.
+
+The language neutral feature of noweb made it ideal for Axiom. Using
+noweb every file in the system could be rewritten into literate form.
+
+The noweb program is not a perfect match, however. Axiom does not
+``understand'' pamphlet files using noweb so it cannot extract the
+code directly using the )compile command. This could be addressed by
+writing lisp code which would be able to extract the code chunks
+from a pamphlet and collect them into a file. The src/interp/gclweb.lisp
+program does this.
+
+Axiom pamphlets need an additional step to weave them into standard latex.
+This step is just a syntax question. The noweb program used a syntax
+similar to Knuth and defined chunks between delimiters, thus:
+\begin{verbatim}
+  <<chunkname>>=
+    your code
+  @
+\end{verbatim}
+but this is just a syntactic convention. If the syntax followed the
+rules of latex then the pamphlet files would be pure latex files.
+
+The alternate syntax defines a new latex environment called chunk.
+This chunk environment makes the pamphlet file a pure latex file.
+This eliminates the need for the weave operation. The tangle
+operation only needs to occur while manipulating code, either during
+system build or end user interaction. At both of these times the
+tangle operation can be built into the system and hidden.
+
+The latest changeset introduces two related changes, gclweb and
+axiom.sty.  Together these changes allow optional syntactic changes to
+pamphlets.  These changes will completely eliminate the need to weave
+files since now a pamphlet file can be a valid latex file. Tangle is
+the only remaining command and it will eventually be an option on
+)compile, etc. 
+
+The src/interp/gclweb.lisp file introduces the ability to extract code
+from pamphlet files while inside Axiom. The short description is that
+gclweb will now automatically distinguish the type of chunk style
+(latex or noweb) based on the chunk name. It is a first step to a native
+understanding of pamphlet files. Future work involves integrating it
+into commands like )compile and adding commands like )tangle. 
+
+To tangle a file from within Axiom:
+\begin{verbatim}
+  )lisp (tangle "filename.pamphlet" "<<chunkname>>")
+\end{verbatim}
+which is noweb syntax. Output goes to the console. You can direct the
+output to a file with the optional third argument:
+\begin{verbatim}
+  )lisp (tangle "filename.pamphlet" "<<chunkname>>" "filename.spad")
+\end{verbatim}
+
+If you use the new latex chunk environment the syntax is:
+\begin{verbatim}
+  )lisp (tangle "filename.pamphlet" "chunkname")
+  )lisp (tangle "filename.pamphlet" "chunkname" "filename.spad")
+\end{verbatim}
+
+gclweb distinguishes the input syntax by looking at the first character
+of the chunkname. If it is a '$<$' then noweb is used, otherwise latex.
+
+The src/doc/axiom.sty.pamphlet introduces the new chunk environment.
+This is a completely compatible change and has no impact on existing
+pamphlets. The new syntax makes pamphlet files = tex files so there is
+no need to use weave. The gclweb change has a compatible tangle
+function which can be invoked from inside Axiom.
+
+Noweb syntax of:
+\begin{verbatim}
+  <<chunkname>>=
+    your code goes here
+  @
+\end{verbatim}
+
+can also be written as:
+\begin{verbatim}
+  \begin{chunk}{chunkname}
+    your code goes here
+  \end{chunk}
+\end{verbatim}
+
+One new feature of the latex chunk style is that latex commands
+work within the chunk. To get typeset mathematics use 
+\verb|\(| and \verb|\)|
+
+\begin{verbatim}
+-- This will typeset in a chunk \( x^2+\epsilon \)
+-- And you can format things {\bf bold}
+\end{verbatim}
+
+\section{Databases}
+\subsection{libcheck}
+The databases are built from the .kaf files in the .nrlib directories.
+(.kaf files are random access files).
+
+interp.exposed is a file that names all of the CDPs (Category, Domain,
+and Packages) and classifies them. Only some CDPs are exposed because
+most are used to implement algebra and are not intended to be user level
+functions. Exposing all of the functions causes much ambiguity.
+
+There is a function called libcheck (see src/interp/util.lisp.pamphlet)
+that will check nrlibs vs interp.exposed. This is only partially 
+functional as I see that changes were made to the system which broke
+this function.
+
+The libcheck function requires an absolute pathname to the int directory
+so call it thus:
+\begin{verbatim}
+ --> )lisp (libcheck "/axiom/int/algebra")
+\end{verbatim}
+The main reason this function is broken is that the system now gets
+exposure information from src/algebra/exposed.lsp.pamphlet. It appears
+that interp.exposed.pamphlet is no longer used (although I made sure
+that both files have the same information). I'm going to modify libcheck
+to use exposed.lsp in the future and eliminate all references in the
+system to interp.exposed.
+
+For the moment, however, the libcheck function is quite useful.
+It used to be run during system build because I frequently ran into
+database problems and this function would alert me to that fact.
+I'll add it back into the Makefile once I elide interp.exposed.
+
+\subsection{asq}
+Axiom has several databases which contain information about domains,
+categories, and packages. The databases are in a compressed format and
+are organized as random-access files using numeric index values so it
+is hard to get at the stored information. However, there is a
+command-line query function called asq (pronounced ask) that knows the
+format of the files and can be used for stand-alone queries. For
+instance, if you know the abbreviation for a domain but want to know
+what source file generated that domain you can say:
+\begin{verbatim}
+asq -so FOOBAR
+\end{verbatim}
+and it will tell you the name of the algebra source file that
+defines FOOBAR.
+
+\section{Axiom internal representations}
+\begin{verbatim}
+PRIMITIVE REPRESENTATIONS OF AXIOM OBJECTS
+
+
+There are several primitive representations in axiom. These are:
+
+boolean 
+ this is represented as a lisp boolean
+
+integer
+ this is represented as a lisp integer
+
+small integer
+ this is represented as a lisp integer
+
+small float
+ this is represented as a lisp float
+
+list
+ this is represented as a lisp list
+
+vector
+ this is represented as a lisp vector
+
+record
+ there are 3 cases:
+  records of 1 element are a pair (element . nil)
+  records of 2 element are a pair (element1 . element2)
+  records of 3 or more are a vectors #<a b c...>
+
+mapping
+ mappings are a spadcall objects. they are represented as a pair
+  (lispfn . env) 
+ where the env is usually a type object. A spadcall rips this 
+ pair open and applies the lispfn to its args with env as the 
+ last arg.
+
+union
+ there are 2 cases
+  if the object can be determined by a lisp predicate 
+  (eg integer) then the union is just the object (eg 3) 
+  itself since we can use lisp to decide which branch of 
+  the union the object belongs to. that is, 3 is of the 
+  integer branch in union(list,integer)
+
+  if the object cannot be determined then the object is 
+  wrapped into a pair where the car of the pair is the 
+  union branch name and the cdr of the pair is the object. 
+  that is, given union(a:SUP,b:POLY(INT)) x might be (a . x)
+
+  note: if no tags are given in the union the system uses 
+  consecutive integers, thus union(SUP,POLY(INT)) will give 
+  a pair of (1 . x) or (2 . x) depending on the type of x
+
+other types are built up of compositions of these primitive 
+types. a sparse univariate polynomial (SUP) over the integers
+
+  x**2+1
+
+is represented as
+
+Term := Record(k:NonNegativeInteger,c:R)
+Rep  := List Term
+
+that is, the representation is a list of terms where each term 
+is a record whose first field is a nonnegative integer (the 
+exponent) and the second field is a member of the coefficient 
+ring. since this is a record of length 2 it is represented as 
+a pair. thus, the internal form of this polynomial is:
+
+ ((2 . 1) (0 . 1))
+
+a more complex object (recursively defined) is POLY(INT). given
+
+ x**2+1
+
+as a POLY(INT) we look at its representation and see:
+
+D := SparseUnivariatePolynomial($)
+VPoly := Record(v:VarSet,ts:D)
+Rep := Union(R,VPoly)
+
+so first we find that we are a member of the second form of the 
+union and since this is an untagged union the system uses 2 as 
+the tag. thus the first level of internal representation is:
+
+ ( 2 . <a VPoly object> )
+
+next we need to define the VPoly object. VPolys are records of 
+length 2 so we know they are represented by a pair. the car of 
+the pair is a VarSet. the cdr is a D which is a 
+SparseUnivariatePolynomial. Thus we consider this to be a poly 
+in x (at the top level) and we get:
+
+ ( 2 . ( x . <an SUP>))
+
+the SUP is over the SparseMultivariatePolynomials (SMP) so the 
+representation is recursive. Since an SUP is represented as a 
+list of
+  
+ (non-negative int . coefficient) 
+
+one per term and we have 2 terms we know the next level of 
+structure is:
+
+ ( 2 . ( x . (( 2 . <an SMP> ) ( 0 . <an SMP> ))))
+
+the SMP is just the integers so it fits into the first branch 
+of the union and each SMP looks like:
+
+ ( uniontag . value )
+
+in this case, being the first branch we get
+
+ ( 2 . ( x . (( 2 . ( 1 . 1 )) ( 0 . ( 1 . 1 )))))
+
+as the internal representation of 
+
+ x**2 + 1
+
+what could be easier?
+\end{verbatim}
+
+\section{axiom command}
+The axiom command will eventually be a shell script. At the moment
+it is just a copy of the interpsys image. However the whole Axiom
+system consists of several processes and the axiom command starts
+these processes. The shell script will transparently replace the
+axiom executable image which will be renamed to spadsys.
+
+\section{help command documentation}
+Axiom supports a )help command that takes a single argument.
+This argument is interpreted as the name of a flat ascii file
+which should live in \$AXIOM/doc/src/spadhelp.
+
+\subsection{help documentation for algebra}
+The help documentation for algebra files lives within the algebra
+pamphlet. The help chunk contains the name of the domain, thus:
+
+\begin{verbatim}
+<<thisdomain.help>>=
+====================================================================
+thisdomain examples
+====================================================================
+
+   (documentation for this domain)
+
+  examplefunction foo
+   output
+                Type: thetype
+
+See Also:
+o )show thisdomain
+o $AXIOM/bin/src/doc/algebra/thisfile.spad.dvi
+
+@
+\end{verbatim}
+
+The documentation starts off with the domain enclosed in two lines
+of equal signs. The documentation is free format. Generally the
+functions are indented two spaces, the output is indented 3 spaces,
+and the Type field has been moved toward the center of the line.
+
+The ``See Also:'' section lists the domain with the ``show'' command
+and the path to the source file in dvi format.
+
+\subsection{adding help documentation in Makefile}
+
+There is a section in the src/algebra/Makefile.pamphlet that reads:
+\begin{verbatim}
+SPADHELP=\
+ ${HELP}/AssociationList.help  ${HELP}/BalancedBinaryTree.help \
+\end{verbatim}
+which is essentially a list of all of the algebra help files. Each item
+in this list refers to a stanza that looks like:
+
+\begin{verbatim}
+${HELP}/AssociationList.help: ${IN}/list.spad.pamphlet
+	@echo 7000 create AssociationList.help from ${IN}/list.spad.pamphlet
+	@${TANGLE} -R"AssociationList.help" ${IN}/list.spad.pamphlet \
+            >${HELP}/AssociationList.help
+	@cp ${HELP}/AssociationList.help ${HELP}/ALIST.help
+	@${TANGLE} -R"AssociationList.input" ${IN}/list.spad.pamphlet \
+            >${INPUT}/AssociationList.input
+\end{verbatim}
+
+Notice that the first line has an connection between the help file and 
+the spad file that contains it. The second line gives debugging output
+containing a unique number. The third line extracts the help file. The
+fourth line copies the file with the long name of the domain to a file
+with the abbreviation of the domain so the user can query the domain
+with either form.
+
+\subsection{Using help documentation for regression testing}
+
+The last line extracts an input test file for the algebra. In general
+each help file is used to create an input test file for regression testing.
+
+There is a Makefile variable called REGRESS in the algebra Makefile:
+\begin{verbatim}
+REGRESS=\
+ AssociationList.regress  BalancedBinaryTree.regress \
+\end{verbatim}
+
+This is part of a Makefile that structure within the algebra Makefile.
+This Makefile gets extracted by the Makefile in the input subdirectory.
+Thus there is a connection between the two Makefiles (algebra and input).
+This algebra regression Makefile goes by the chunk name 
+{\bf algebra.regress}. It contains a list of regression files and a 
+single stanza:
+\begin{verbatim}
+%.regress: %.input
+	@ echo algebra regression testing $*
+	@ rm -f $*.output
+	@ echo ')read $*.input' | ${TESTSYS} 
+	@ echo ')lisp (regress "$*.output")' | ${TESTSYS} \
+                | egrep -v '(Timestamp|Version)' | tee $*.regress
+\end{verbatim}
+The input Makefile extracts {\bf algebra.regress} and then calls 
+make to process this file.
+
+This keeps the regression test list in the algebra Makefile.
+
+\subsection{help documentation as algebra test files}
+
+
+\section{debugsys}
+The "debugsys" executable is the "interpsys" image but it is
+built using the interpreted lisp code rather than using compiled
+lisp code. This will make it slower but may, in certain cases,
+give much better feedback in case of errors. If you find you need
+to use debugsys you're really doing deep debugging. It isn't useful
+for much else. It can be started by typing:
+\begin{verbatim}
+export AXIOM=/home/axiomgnu/new/mnt/linux
+/home/axiomgnu/new/obj/linux/bin/debugpsys
+\end{verbatim}
+Notice that this image lives in the "obj" subtree. It is not
+shipped with the "final" system image as only developers could
+find it useful.
+\subsection{debugging hyperdoc}
+Hyperdoc will sometimes exit and also kill the AXIOMsys image with
+no error message. One way to get around this is to replace the 
+AXIOMsys image with the debugsys image:
+\begin{enumerate}
+\item mv \$AXIOM/bin/AXIOMsys \$AXIOM/bin/AXIOMsys.backup\\
+This keeps the failing axiomsys image around for later restoration.
+\item cp obj/sys/bin/debugsys \$AXIOM/bin/AXIOMsys\\
+This puts an interpreted version of axiom in place of the compiled form
+\item axiom\\
+Now we are running a fully interpreted form and the error messages are
+much more informative.
+\end{enumerate}
+\section{Understanding a compiled function}
+Suppose we stop a program at a function call to some low level lisp function,
+say ONEP. We can do that by entering
+\begin{verbatim}
+)trace ONEP )break
+\end{verbatim}
+at the Axiom command prompt. Or at the lisp prompt:
+\begin{verbatim}
+(trace (ONEP :entry (break)))
+\end{verbatim}
+Next we execute some function that will 
+eventually call ONEP thus:
+\begin{verbatim}
+p := numeric %pi
+
+Break: onep
+Broken at ONEP.  Type :H for Help.
+BOOT>>
+\end{verbatim}
+We have stopped and entered a lisp command prompt. We can enter any
+lisp expression here and there are commands that begin with a ``:''
+character. ``:b'' requests a backtrace of the call stack, thus:
+\begin{verbatim}
+BOOT>>:b
+Backtrace: funcall > system:top-level > restart > /read > 
+      |upLET| > eval > |Pi| > |newGoGet| > |newGoGet| > ONEP
+\end{verbatim}
+Here we see that the function ONEP was called by the function newGoGet.
+Notice that the name is surrounded by vertical bars. Vertical bars are
+a common lisp escape sequence used to allow non-standard characters to
+occur in symbol names. Common lisp is not case sensitive. Boot code is
+case sensitive. Thus symbol names that were written in Boot tend to have
+escape sequence characters around the name. 
+
+Now that we see the simple backtrace we can ask for a more complex one.
+The command is ``:bt''. It shows more detail about each level of call
+on the invocation history stack (ihs) including the function name, its
+arguments and the depth of the invocation history stack ([ihs=13]):
+\begin{verbatim}
+BOOT>>:bt
+
+#0   ONEP {1=nil,} [ihs=13]
+#1   newGoGet {g3629=("0" (#<vector 08b34bb4> 45 . |char|)),
+       loc1=#<compiled-function |CHAR;cha...} [ihs=12]
+#2   newGoGet {g3629=("%pi" (#<vector 08b34bec> 0 . |coerce|)),
+       loc1=(#<vector 08b34bec> 0 . |c...} [ihs=11]
+#3   Pi {g109299=nil,loc1=nil,loc2=#<hash-table 082992f4>,
+       loc3=|Pi|,loc4=15,loc5=#<vecto...} [ihs=10]
+#4   EVAL {loc0=nil,loc1=nil,loc2=nil,
+       loc3=#<compiled-function |Pi|>} [ihs=9]
+#5   upLET {t=(#<vector 08b34d04> #<vector 08b34ce8> 
+       (#<vector 08b34ccc> (#<vector 08b34c08...} [ihs=8]
+#6   /READ {loc0=#p"/home/axiomgnu/new/src/input/algbrbf.input",
+       loc1=nil,loc2=nil,loc3=nil,...} [ihs=7]
+#7   RESTART {loc0=((|read| 
+      |/home/axiomgnu/new/src/input/algbrbf.input|)),
+      loc1=|/home/axiomg...} [ihs=6]
+#8   TOP-LEVEL {loc0=nil,loc1=0,loc2=0,loc3=nil,loc4=nil,
+      loc5=nil,loc6=nil,loc7=nil,loc8=nil,lo...} [ihs=5]
+#9   FUNCALL {loc0=#<compiled-function system:top-level>} [ihs=4]
+BOOT>>:bl
+>> (LAMBDA-BLOCK ONEP (&REST X) ...)():
+X        : (1)
+NIL
+\end{verbatim}
+We can ask to see the local variables that are used at the current 
+level of the invocation history stack. The command is ``:bl'' thus:
+\begin{verbatim}
+BOOT>>:bl
+>> (LAMBDA-BLOCK ONEP (&REST X) ...)():
+X        : (1)
+NIL
+\end{verbatim}
+We can move up the stack one level at a time looking at the function
+that called the current function (the previous function) using ``:p'' thus:
+\begin{verbatim}
+BOOT>>:p
+Broken at |NEWGOGET|.
+\end{verbatim}
+And again, we can look at the variables that can be accessed locally:
+\begin{verbatim}
+BOOT>>:bl
+>> newGoGet():
+Local0(G3629): (0 (#<vector 08b34bb4> 45 . char))
+Local(1): #<compiled-function CHAR;char;S$;20>
+Local(2): 0
+Local(3): #<vector 08b233f0>
+Local(4): 1
+NIL
+\end{verbatim}
+Here we see that the function newGoGet is calling 
+CHAR;char;S\$;20 which is a mangled form of 
+the name of the original spad function. To decode this name 
+we can see that the CHAR portion is used to identify the 
+domain where the function lives. This domain, CHAR, comes 
+from the source file ``string.spad'' which ultimately lives in 
+``src/algebra/string.spad.pamphlet''. To discover this we use 
+the Axiom ``asq'' command with the ``-so'' (sourcefile) option 
+at a standard shell prompt (NOT in the lisp prompt) thus:
+\begin{verbatim}
+asq -so CHAR
+string.spad
+\end{verbatim}
+If we look at the code in the string.spad.pamphlet file we find 
+the following code signature:
+\begin{verbatim}
+ char: String   -> %
+  ++ char(s) provides a character from a string s of length one.
+\end{verbatim}
+and it's implementation code:
+\begin{verbatim}
+ char(s:String) ==
+  (#s) = 1 => s(minIndex s) pretend %
+  error "String is not a single character"
+\end{verbatim}
+The string.spad file can be compiled at the command prompt. 
+In particular, we can compile only the CHAR domain out of this 
+file thus:
+\begin{verbatim}
+)co string.spad )con CHAR
+\end{verbatim}
+This will produce a directory called CHAR.NRLIB containing 3 files:
+\begin{verbatim}
+ls CHAR.NRLIB
+code.lsp index.kaf info
+\end{verbatim}
+The info file contains information used by the spad compiler. We can
+ignore it for now.
+
+The index.kaf file contains information that will go into the various
+Axiom database (.daase) files. The kaf file format is a random access
+file. The first entry is an integer that will be an index into the
+file that can be used in an operating system call to seek. In this
+case it will be an index which is the last used byte in the file.
+Go to the last expression in the file and we find:
+\begin{verbatim}
+(
+ ("slot1Info" 0 11302)
+ ("documentation" 0 9179)
+ ("ancestors" 0 9036)
+ ("parents" 0 9010)
+ ("abbreviation" 0 9005)
+ ("predicates" 0 NIL)
+ ("attributes" 0 NIL)
+ ("signaturesAndLocals" 0 8156)
+ ("superDomain" 0 NIL)
+ ("operationAlist" 0 7207)
+ ("modemaps" 0 6037)
+ ("sourceFile" 0 5994)
+ ("constructorCategory" 0 5434)
+ ("constructorModemap" 0 4840)
+ ("constructorKind" 0 4831)
+ ("constructorForm" 0 4817)
+ ("NILADIC" 0 4768)
+ ("compilerInfo" 0 2093)
+ ("loadTimeStuff" 0 20))
+\end{verbatim}
+This is a list of triples. Each triple has two interesting parts, the
+name of the data and the seek index of the data in the index.kaf file.
+So, for instance, if you want to know what source file contains this
+domain you can start at the top of the index.kaf file, move ahead 5994
+bytes and you will be at the start of the string:
+\begin{verbatim}
+"/usr/local/axiom/src/algebra/string.spad"
+\end{verbatim}
+The information in the index.kaf files are collected into the
+special databases (the .daase files). The stand-alone ``asq'' function
+can query these databases and answer questions. The kind of questions
+you can ask are the names in the list above. 
+
+The third file in the CHAR.NRLIB directory is the code.lsp file. This
+is the actual common lisp code that will be executed as a result of
+calling the various spad functions. The spad code from the char command
+was:
+\begin{verbatim}
+	char(s:String) ==
+	  (#s) = 1 => s(minIndex s) pretend %
+	  error "String is not a single character"
+\end{verbatim}
+which got compiled into the common lisp code:
+\begin{verbatim}
+(DEFUN |CHAR;char;S$;20| (|s| |$|)
+ (COND
+  ((EQL (QCSIZE |s|) 1)
+    (SPADCALL |s| 
+      (SPADCALL |s| (QREFELT |$| 47))
+      (QREFELT |$| 48)))
+  ((QUOTE T)
+    (|error| "String is not a single character")))) 
+\end{verbatim}
+To understand what is going on here we need to understand the low level
+details of Axiom's interface to Common Lisp. The ``Q'' functions are
+strongly typed (Quick) versions of standard common lisp functions.
+QCSIZE is defined in src/interp/vmlisp.lisp.pamphlet thus:
+\begin{verbatim}
+(defmacro qcsize (x)
+ `(the fixnum (length (the simple-string ,x))))
+\end{verbatim}
+This macro will compute the length of a string.
+
+QREFELT is defined in the same file as:
+\begin{verbatim}
+(defmacro qrefelt (vec ind)
+ `(svref ,vec ,ind))
+\end{verbatim}
+This macro will return the element of a vector.
+
+SPADCALL is defined in src/interp/macros.lisp.pamphlet as:
+\begin{verbatim}
+(defmacro SPADCALL (&rest L)
+  (let ((args (butlast l)) (fn (car (last l))) (gi (gensym)))
+   `(let ((,gi ,fn)) 
+     (the (values t) (funcall (car ,gi) ,@args (cdr ,gi))))
+   ))
+\end{verbatim}
+This macro will call the last value of the argument list as a function
+and give it everything but the last argument as arguments to the function.
+There are confusing historical reasons for this I won't go into here.
+
+So you can see that these are simply macros that will expand into 
+highly optimizable (the optimizations depend on the abilities of the
+common lisp compiler) common lisp code. 
+
+The common lisp code computes the length of the string s. If the length
+is 1 then we call the minIndex function from string on s. The minIndex
+function is found by looking "in the domain". The compiler changes the
+minIndex function call into a reference into a vector. The 47th element
+of the vector contains the function minIndex. 
+\begin{verbatim}
+      (SPADCALL |s| (QREFELT |$| 47))
+\end{verbatim}
+This code is equivalent (ignoring the gensyms) to the call
+\begin{verbatim}
+(minIndex s)
+\end{verbatim}
+The \$ symbol refers to the domain. At runtime this amounts to a lookup
+of the ``infovec''. The compile-time infovec shown here:
+\begin{verbatim}
+(MAKEPROP
+ (QUOTE |Character|)
+ (QUOTE |infovec|)
+ (LIST
+  (QUOTE
+   #(NIL
+     NIL
+     NIL
+     NIL 
+     NIL
+     NIL
+     (QUOTE |Rep|)
+     (|List| 28)
+     (|PrimitiveArray| 28)
+     (0 . |construct|)
+     (QUOTE |OutChars|)
+     (QUOTE |minChar|)
+     (|Boolean|)
+     |CHAR;=;2$B;1|
+     |CHAR;<;2$B;2|
+     (|NonNegativeInteger|)
+     |CHAR;size;Nni;3|
+     (|Integer|)
+     |CHAR;char;I$;6|
+     (|PositiveInteger|)
+     |CHAR;index;Pi$;4|
+     |CHAR;ord;$I;7|
+     |CHAR;lookup;$Pi;5|
+     (5 . |coerce|)
+     |CHAR;random;$;8|
+     |CHAR;space;$;9|
+     |CHAR;quote;$;10|
+     |CHAR;escape;$;11|
+     (|OutputForm|)
+     |CHAR;coerce;$Of;12|
+     (|CharacterClass|)
+     (10 . |digit|)
+     (|Character|)
+     (14 . |member?|)
+     |CHAR;digit?;$B;13|
+     (20 . |hexDigit|)
+     |CHAR;hexDigit?;$B;14|
+     (24 . |upperCase|)
+     |CHAR;upperCase?;$B;15|
+     (28 . |lowerCase|)
+     |CHAR;lowerCase?;$B;16|
+     (32 . |alphabetic|)
+     |CHAR;alphabetic?;$B;17|
+     (36 . |alphanumeric|)
+     |CHAR;alphanumeric?;$B;18|
+     (|String|)
+     |CHAR;latex;$S;19|
+     (40 . |minIndex|)
+     (45 . |elt|)
+     |CHAR;char;S$;20|
+     |CHAR;upperCase;2$;21|
+     |CHAR;lowerCase;2$;22|
+     (|SingleInteger|)))
+   (QUOTE
+     #(|~=| 51 |upperCase?| 57 |upperCase| 62 |space| 67 
+       |size| 71 |random| 75 |quote| 79 |ord| 83 |min| 88 
+       |max| 94 |lowerCase?| 100 |lowerCase| 105 |lookup| 110 
+       |latex| 115 |index| 120 |hexDigit?| 125 |hash| 130
+       |escape| 135 |digit?| 139 |coerce| 144 |char| 149 
+       |alphanumeric?| 159 |alphabetic?| 164 |>=| 169 |>| 175 
+       |=| 181 |<=| 187 |<| 193))
+   (QUOTE NIL)
+   (CONS
+    (|makeByteWordVec2| 1 (QUOTE (0 0 0 0 0 0)))
+    (CONS
+      (QUOTE #(NIL |OrderedSet&| NIL |SetCategory&| 
+              |BasicType&| NIL))
+      (CONS
+        (QUOTE 
+         #((|OrderedFinite|)
+           (|OrderedSet|)
+           (|Finite|)
+           (|SetCategory|)
+           (|BasicType|)
+           (|CoercibleTo| 28)))
+        (|makeByteWordVec2| 52 
+          (QUOTE 
+            (1 8 0 7 9 1 6 0 17 23 0 30 0 31 2 30 12 32 0 33 
+             0 30 0 35 0 30 0 37 0 30 0 39 0 30 0 41 0 30 0 
+             43 1 45 17 0 47 2 45 32 0 17 48 2 0 12 0 0 1 1 
+             0 12 0 38 1 0 0 0 50 0 0 0 25 0 0 15 16 0 0 0 24
+             0 0 0 26 1 0 17 0 21 2 0 0 0 0 1 2 0 0 0 0 1 1 0 
+             12 0 40 1 0 0 0 51 1 0 19 0 22 1 0 45 0 46 1 0 0 
+             19 20 1 0 12 0 36 1 0 52 0 1 0 0 0 27 1 0 12 0 34 
+             1 0 28 0 29 1 0 0 45 49 1 0 0 17 18 1 0 12 0 44 1 
+             0 12 0 42 2 0 12 0 0 1 2 0 12 0 0 1 2 0 12 0 0 13 
+             2 0 12 0 0 1 2 0 12 0 0 14))))))
+    (QUOTE |lookupComplete|)))
+\end{verbatim}
+Which is a 5 element list. This contains all kinds of information used at
+runtime by the compiled routines. In particular, functions are looked up
+at runtime in the first element of the infovec list. This first element
+contains 53 items (in this domain). Item 47 is
+\begin{verbatim}
+     (40 . |minIndex|)
+\end{verbatim}
+which is the minIndex function we seek. 
+
+At runtime this infovec lives on the property list of the domain name.
+The domain name of CHAR is Character. So we look on the property list
+(a lisp a-list) thus:
+\begin{verbatim}
+BOOT>>(symbol-plist '|Character|)
+
+(SYSTEM:DEBUG (#:G85875)
+ |infovec| (#<vector 08b34380>
+            #<vector 08b34364>
+            NIL
+            (#<bit-vector 08b34310>
+             #<vector 08b34348>
+             #<vector 08b3432c> . #<vector 08b342f4>)
+            |lookupComplete|) 
+ LOADED "/home/axiomgnu/new/mnt/linux/algebra/CHAR.o" 
+ NILADIC T 
+ PNAME "Character" 
+ DATABASE #S(DATABASE 
+             ABBREVIATION CHAR 
+             ANCESTORS NIL 
+             CONSTRUCTOR NIL 
+             CONSTRUCTORCATEGORY 228064 
+             CONSTRUCTORKIND |domain| 
+             CONSTRUCTORMODEMAP 227069 
+             COSIG (NIL) 
+             DEFAULTDOMAIN NIL 
+             MODEMAPS 227404 
+             NILADIC T 
+             OBJECT "CHAR" 
+             OPERATIONALIST 226402 
+             DOCUMENTATION 152634 
+             CONSTRUCTORFORM 152626 
+             ATTRIBUTES 154726 
+             PREDICATES 154731 
+             SOURCEFILE "string.spad" 
+             PARENTS NIL 
+             USERS NIL 
+             DEPENDENTS NIL 
+             SPARE NIL))
+\end{verbatim}
+This list is organized contains many runtime lookup items (notice the 
+PNAME entry is ``Character'', the LOADED entry says where the file came
+from, the DATABASE structure entry has database indicies
+(see daase.lisp.pamphlet for the structure definition), etc).
+
+Lets get the property list
+\begin{verbatim}
+BOOT>>(setq a (symbol-plist '|Character|))
+
+(SYSTEM:DEBUG (#:G85875)
+ |infovec| (#<vector 08b34380>
+            #<vector 08b34364>
+            NIL
+            (#<bit-vector 08b34310>
+             #<vector 08b34348>
+             #<vector 08b3432c> . #<vector 08b342f4>)
+            |lookupComplete|)
+ LOADED "/home/axiomgnu/new/mnt/linux/algebra/CHAR.o"
+ NILADIC T
+ PNAME "Character"
+ DATABASE #S(DATABASE 
+             ABBREVIATION CHAR 
+             ANCESTORS NIL 
+             CONSTRUCTOR NIL 
+             CONSTRUCTORCATEGORY 228064 
+             CONSTRUCTORKIND |domain| 
+             CONSTRUCTORMODEMAP 227069 
+             COSIG (NIL) 
+             DEFAULTDOMAIN NIL 
+             MODEMAPS 227404 
+             NILADIC T 
+             OBJECT "CHAR" 
+             OPERATIONALIST 226402 
+             DOCUMENTATION 152634 
+             CONSTRUCTORFORM 152626 
+             ATTRIBUTES 154726 
+             PREDICATES 154731 
+             SOURCEFILE "string.spad" 
+             PARENTS NIL 
+             USERS NIL 
+             DEPENDENTS NIL 
+             SPARE NIL))
+\end{verbatim}
+Next we get the infovec value
+\begin{verbatim}
+BOOT>>(setq b (fourth a))
+
+(#<vector 08b34380>
+ #<vector 08b34364>
+ NIL
+ (#<bit-vector 08b34310>
+  #<vector 08b34348>
+  #<vector 08b3432c> . #<vector 08b342f4>)
+ |lookupComplete|)
+\end{verbatim}
+Then we get the function table
+\begin{verbatim}
+BOOT>>(setq c (car b))
+
+#<vector 08b34380>
+\end{verbatim}
+In this common lisp (GCL) the array is identified by it's memory address.
+
+Notice that it has the right number of entries:
+\begin{verbatim}
+BOOT>>(length c)
+
+53
+\end{verbatim}
+And we  can ask for the 47th entry thus:
+\begin{verbatim}
+BOOT>>(elt c 47)
+
+(40 . |minIndex|)
+\end{verbatim}
+Later we end up calling the 48th function (which is elt and
+returns the actual character in the string). We ask for it:
+\begin{verbatim}
+BOOT>>(elt c 48)
+
+(45 . |elt|)
+\end{verbatim}
+At this point we've reached the metal. Common lisp will evaluate
+the macro-expanded functions and execute the proper code. Essentially
+the compiler has changed all of our spad code into runtime table lookups.
+
+\section{The axiom.input startup file}
+If you add a file in your home directory called ``.axiom.input'' it will
+be read and executed when Axiom starts. This is useful for various
+reasons including setting various switches. Mine reads:
+\begin{verbatim}
+)lisp (pprint ``running /root/.axiom.input'')
+)set quit unprotected
+)set message autoload off
+)set message startup off
+\end{verbatim}
+You can execute any command in .axiom.input. Be aware that this will
+ALSO be run while you are doing a ``make'' so be careful what you ask to do.
+
+\section{Where are Axiom symbols stored?}
+
+You'd think that your question about where the symbol is interned
+would be easy to answer but it is not. The top level loop uses Bill
+Burge's dreaded zipper parser. You can see it in action by executing
+the following sequence:
+\begin{verbatim}
+
+)lisp (setq $DALYMODE t)    
+  ; this is a special mode of the top level interpreter. If 
+  ; $DALYMODE is true then any top-level form that begins 
+  ; with an open-paren is considered a lisp expression.
+  ; For almost everything I ever do I end up peeking at the 
+  ; lisp so this bit of magic helps.
+(trace |intloopProcessString|) 
+  ; from int-top.boot.pamphlet
+(trace |intloopProcess|)       
+  ; the third argument is the "zippered" input
+(trace |intloopSpadProcess|)   
+  ; now it is all clear, no? sigh.
+(trace |phInterpret|)          
+  ; from int-top.boot.pamphlet
+(trace |intInterpretPform|)   
+  ; from intint.lisp.pamphlet
+(trace |processInteractive|)   
+  ; from i-toplev.boot.pamphlet
+(setq |$reportInstantiations| t) 
+  ; shows what domains were created
+(setq |$monitorNewWorld| t)    
+  ; watch the interpreter resolve operations
+(trace |processInteractive1|)  
+  ; from i-toplev.boot.pamphlet
+
+\end{verbatim}
+ah HA! I remember now. There is the notion of a "frame" which is
+basically a namespace in Axiom or an alist in Common Lisp. It is
+possible to maintain different "frames" and move among them. There
+is the notion of the current frame and it contains all the defined
+variables. At any given time the current frame is available as
+\$InteractiveFrame. This variable is used in processInteractive1.
+If you do:
+\begin{verbatim}
+
+a:=7
+(pprint |$InteractiveFrame|)
+
+\end{verbatim}
+you'll see |a| show up on the alist. When you do the 
+\begin{verbatim}
+
+pgr:=MonoidRing(Polynomial PrimeField 5, Permutation Integer)
+p:pgr:=1
+
+\end{verbatim}
+you'll see |p| show up with 2 other things: (|p| mode value)
+where mode is the "type" of the variable. The value is the
+internal value. In this case MonoidRing has an internal
+representation. You can find out what the internal representation
+of a MonoidRing is by first asking where the source file is:
+\begin{verbatim}
+
+(do this at a shell prompt, not in axiom)
+asq -so MonoidRing ==> mring.spad
+
+     -- or -- in Axiom type:
+
+)show MonoidRing
+
+\end{verbatim}
+and you'll see a line that reads: 
+\begin{verbatim}
+
+Issue )edit (yourpath)/../../src/algebra/mring.spad
+
+\end{verbatim}
+
+If you look in mring.spad.pamphlet you'll see line 91 that reads:
+\begin{verbatim}
+
+   Rep := List Term
+
+\end{verbatim}
+which says that we will store elements of type MonoidRing as a list
+of Term objects. Term is defined in the same file (as a macro, which
+is what '$==>$' means in spad files) on line 43:
+\begin{verbatim}
+
+   Term ==> Record(coef: R, monom: M)
+
+\end{verbatim}
+which means that elements of a MonoidRing are Lists of Records.
+The 'R' is defined on line 42 as the first argument to MonoidRing
+which in this case is ``Polynomial PrimeField 5''. The ``M'' is also
+defined on line 42 as the second argument to MonoidRing and in this
+case is ``Permutation Integer''. So the real representation is
+\begin{verbatim}
+
+  List Record(coef: Polynomial PrimeField 5, 
+              monom: Permutation Integer)
+
+\end{verbatim}
+In the \$InteractiveFrame we printed out you can see in the value
+field that the value is:
+\begin{verbatim}
+
+(|value| 
+  (|MonoidRing| (|Polynomial| (|PrimeField| 5))
+                (|Permutation| (|Integer|)))
+   WRAPPED ((0 . 1) . #<vector 08af33d4>))
+
+\end{verbatim}
+which basically means that we know how the MonoidRing was constructed and
+what it's current value is. The (0 . 1) likely means that this is the
+zeroth (constant) term with a leading coefficient of 1. This is just a
+guess as I haven't decoded the representation of either Polynomial PrimeField 
+or Permutation Integer. You can do the same deconstruction of these two
+domains by setting
+\begin{verbatim}
+
+pi:=Permutation Integer
+z:pi:=1
+
+pp5:=Polynomial PrimeField 5
+w:pp5:=1
+
+and following the same steps as above: 
+ (pprint |$InteractiveFrame|)
+ )show pi
+ (find the source file)
+ (find the representation and decode it)
+
+ (pprint |$InteractiveFrame|)
+ )show pp5
+ (find the source file)
+ (find the representation and decode it)
+
+\end{verbatim}
+Be sure to set \$DALYMODE to nil if you plan to use Axiom for any
+real computation. Otherwise every expression that begins with an
+open-paren will go directly to lisp.
+\section{Translating individual boot files to common lisp}
+
+If you are making changes to boot code it is sometimes helpful to
+check the generated lisp code to ensure it does what you want.
+You can convert an individual boot file to common lisp using the
+boottran::boottocl function:
+\begin{verbatim}
+)fin       -- drop into common lisp
+(boottran::boottocl "foo.boot") 
+\end{verbatim}
+when you do this it creates a foo.clisp file in ../../int/interp
+
+Alternatively if you work from the pamphlet file the process is
+more painful as you have to do
+\begin{verbatim}
+)cd (yourpath)/int/interp
+)sys tangle ../../src/interp/foo.boot.pamphlet >foo.boot
+)fin
+(boottran::boottocl "foo.boot") 
+(restart)
+\end{verbatim}
+The )cd step tells axiom to cd to the int/interp subdirectory.
+The )sys tangle... extracts the boot file from the pamphlet file
+The )fin step drops into common lisp
+The (bootran... converts the foo.boot file to foo.clisp
+The (restart) re-enters the top level loop
+
+\section{Directories}
+For this discussion I assume that you have your system rooted
+at /spad and was build to run on linux. These directories
+may not yet be in the CVS tree but are documented here so they
+make sense when the show up.
+
+\vskip .25in
+\noindent
+The AXIOM variable
+
+The usual setting of the AXIOM variable is /spad/mnt/linux. The
+name is composed of three parts, the rooted path, in this case
+/spad, ``mnt'', and the system you are running, in this case
+linux. Builds for other systems will have other system names.
+
+\vskip .25in
+\noindent
+/spad
+
+This is the usual root directory of the Axiom system. The name is
+historical, a contraction of Scratchpad. This name can be anything
+provided the shell variable AXIOM contains the new prefix. 
+
+\vskip .25in
+\noindent
+/spad/mnt
+
+This is a directory which contains files which are specific to a
+given platform. At a site that contains multiple platforms this
+directory will contain a subdirectory for each type of platform
+(e.g. linux, rios, ps2, rt, sun, etc).
+
+\vskip .25in
+\noindent
+/spad/mnt/linux
+
+This directory contains the complete copy of the Axiom system for
+the linux system. This is the 'mount point' of the system.
+Executable systems (for RedHat) are shipped relative to this
+point. In what follows, the ./ refers to /spad/mnt/linux.
+
+\begin{verbatim}
+********************************************************
+There are several directories explained below. They are:
+
+./bin     -- user executables
+./doc     -- system documentation
+./algebra -- algebra libraries
+./lib     -- system executables
+./etc     -- I haven't a clue....
+********************************************************
+\end{verbatim}
+
+\subsection{The mnt/linux/bin directory}
+\vskip .25in
+\noindent
+./bin
+
+This is a directory of user executable commands, either at the top
+level or thru certain Axiom system calls. Support executables live
+in ./lib
+
+\vskip .25in
+\noindent
+./bin/htadd
+
+This function adds pages to the Hyperdoc database (ht.db, which lives
+in ./doc/hypertex/pages; hypertex, since we have a penchant for these
+things, is an historical name for Hyperdoc. The single word 'lawyers'
+will probably explain away a lot of name changes.)
+
+\vskip .25in
+\noindent
+./bin/spadsys
+
+This is the Axiom interpreter. It is one of the functions started when
+the user invokes the system using the spadsys command. Normally this 
+command is run under the control of sman (./lib/sman) and the console
+is under the control of clef (./bin/clef), the wonderous command-line
+editor. It is possible to start spadsys standalone but it will not
+talk to Hyperdoc or graphics. Users who rlogin or use an ascii-only
+terminal (for historical reasons, no doubt) can profit by invoking
+spadsys directly rather than using ./bin/axiom
+
+\vskip .25in
+\noindent
+./bin/axiom
+
+This is a shell script that spins the world. It kicks off a whole tree
+of processes necessary to perform the X-related magic we do. It expects
+the shell variable AXIOM to be set to the 'mount point' (usually to
+/spad/mnt/linux).
+
+\vskip .25in
+\noindent
+./bin/clef
+
+This is the wonderous command-line editor used by Axiom. It can be used
+in a stand-alone fashion if you wish.
+
+\vskip .25in
+\noindent
+./bin/SPADEDFN
+
+This script is invoked by the spad )fe command. It can be changed to 
+invoke your favorite editor. While you may invoke your editor, it may
+not run (as in, yes, I can invoke the devil but will he come when I 
+call?)
+
+\vskip .25in
+\noindent
+./bin/viewalone
+
+This is a function to run the graphics in a stand-alone fashion. The
+Graphics package (an amazing contribution by several very talented
+people, most notably Jim Wen and Jon Steinbach) is a C program that
+communicates with Axiom thru sockets. It will, however, perform its
+miracles unaided if invoked by the sufficiently chaste...
+
+\vskip .25in
+\noindent
+./bin/hypertex
+
+This is a function to run Hyperdoc (remember the penchant!) stand-alone.
+The Hyperdoc package owes its existence to the efforts of J.M. Wiley and
+Scott Morrison. This function works off 'pages' that live in 
+hypertex pages directory and are referenced in the ``hyperdoc database''
+called ht.db (for historical reasons, but you 
+knew that). It is possible for creative plagerists to figure out how
+to write their own pages and add them to the database (see htadd above),
+thus gaining fame far and wide...
+
+\vskip .25in
+\noindent
+./bin/sys-init.lsp
+
+This is a file of lisp code that gets loaded
+before Axiom starts. Thus, we distribute patches by adding lisp
+(load ...) commands to this file. The sufficiently clever should
+have a field day with this one. (All others should worship the
+sufficiently clever and send them money, eh?)
+
+\vskip .25in
+\noindent
+./bin/init.lsp
+
+This is a file of lisp code loaded if and only if
+you start spadsys in this directory. The user can put a file of this
+name in her home directory and it will get loaded at startup with
+the probable effect of injecting luser errors into the running system.
+sigh.
+
+\subsection{The mnt/linux/doc directory}
+\vskip .25in
+\noindent
+./doc
+
+The doc subdirectory contains system documentation.
+
+\vskip .25in
+\noindent
+./doc/command.list
+
+This is a file of command completions used by clef when you hit the
+tab key. This is a little known feature that will surprise someone
+someday (hopefully pleasantly).
+
+\vskip .25in
+\noindent
+./doc/book
+
+This is an attempt at a book describing Axiom. It represents a 
+combination of fantasy, describing what never will be and history
+(remember the penchant?) describing what was. Any description matching
+what is may be regarded as failure of the imagination and ignored.
+
+\vskip .25in
+\noindent
+./doc/compguide
+
+This is an attempt to describe a compiler that doesn't exist, never
+did exist, and never will exist. It makes for entertaining reading
+so we included it.
+
+\vskip .25in
+\noindent
+./doc/hypertex
+
+This is the fabled Hyperdoc subdirectory where all of the pages and
+the database live, along with several other obscure files needed to
+make the wizards look good.
+
+\vskip .25in
+\noindent
+./doc/hypertex/pages
+
+This is where the 'pages' live. Each file ending in .ht contains
+several pages related, if only by chance, to the same topic. You
+may find it instructive to try to read some of these files. Hyperdoc
+was learned by the 'campfire' method (sitting around the fire 
+passing along historical facts by word of mouth) and will probably
+continue to propagate by the same method. Ye may become th' local
+scribe and soothsayer if ye study the writings here below....
+
+\vskip .25in
+\noindent
+./doc/hypertex/pages/rootpage.ht
+
+This file is the magic 'first page' that gets displayed when
+Hyperdoc starts. There is a macro (see ./doc/hypertex/pages/util.ht)
+called /localinfo which is intended to allow the luser to add
+her own pages without modifying the system copies. How this is
+done was lost when the campfire got rained out.
+
+\vskip .25in
+\noindent
+./doc/hypertex/pages/util.ht
+
+This file contains the macros used to extend the system commands.
+The syntax is hard to learn (it was hard to write, it ought to 
+be hard to learn, eh?).
+
+\vskip .25in
+\noindent
+./doc/hypertex/pages/ht.db
+
+This is the Hyperdoc database. It is updated using ./bin/htadd
+which must be run whenever a page in this directory gets changed.
+The necessary arguments to htadd are obvious to those in the know.
+
+\vskip .25in
+\noindent
+./doc/hypertex/bitmaps
+
+There are several pretty bitmaps used as cursors, buttons and
+general decorations that hide in this directory. 
+
+\vskip .25in
+\noindent
+./doc/hypertex/ht.files
+
+This is a list of some Hyperdoc files. It seems to have no
+purpose in life but it is useful as a koan, as in, What is
+the length of half a list?
+
+\vskip .25in
+\noindent
+./doc/hypertex/ht.db
+
+Another copy of the Hyperdoc database. It isn't clear which
+one is the real one so I guess we keep both. Maybe we'll 
+figure it out at the friday night campfire provided we don't
+get too lit.
+
+\vskip .25in
+\noindent
+./doc/hypertex/gloss.text
+
+The text used in the glossary. Many magic words lie herein.
+Some are spoken only by campfire gurus.
+
+\vskip .25in
+\noindent
+./doc/library
+
+This is a directory of Hyperdoc pages that can be freely smashed,
+trashed and generally played with. It uses the /localinfo connection
+to set up a 'library' containing Hyperdoc pages keyed to your 
+favorite textbook. It is interesting to set the shell variable\\
+HTPATH=/spad/mnt/linux/doc/library:\\
+       /spad/mnt/linux/doc/hypertex/pages\\
+and then start Hyperdoc. See the file ./doc/library/macros.ht
+
+\vskip .25in
+\noindent
+./doc/msgs
+
+This directory contains several 'message databases'; the only one
+of which we seem to care about being s2-us.msgs but I can't swear
+to it.
+
+\vskip .25in
+\noindent
+./doc/spadhelp
+
+This is a directory containing help information for a copy of the
+system that once ran long ago and far away. It is kept for 
+historical reasons (programmers NEVER throw anything away).
+
+\vskip .25in
+\noindent
+./doc/viewports
+
+There are several dozen truly fine pictures in Axiom. We have 
+created them and hidden them here. Hyperdoc will insert them
+at various places (where the text gets too boring, hopefully)
+and you can click on them there. They get snarfed from here.
+It is possible to view them with stand-alone graphics but don't
+ask me how. I missed that campfire due to poisoned marshmellows.
+
+\vskip .25in
+\noindent
+./doc/complang
+
+This directory contains fantasy from the past as opposed to facts 
+from the future. Ignore it.
+
+\vskip .25in
+\noindent
+./doc/ug
+
+This directory left intentionally blank :-) (an old IBM joke).
+
+\vskip .25in
+\noindent
+./doc/tex
+
+These are the files necessary to create the famous goertler document.
+If you figure hou how to use these please send us the instructions
+and we will add a log to the campfire with your name on it (a rare
+honor indeed as luser's names rarely reach the inner circle).
+
+\vskip .25in
+\noindent
+./doc/htex
+
+This directory contains the original tex-like source for the luser's
+guide. There are many functions that munch on these between here and
+paper but this is approximately where they start. If you do your own
+algebra perchance you might document it like this. Figuring out the
+syntax will also get your name into the inner circle (probably 
+connnected with a smirk :-) )
+
+\vskip .25in
+\noindent
+./doc/newug
+
+Please don't ask me. I couldn't begin to guess. You wouldn't believe
+how many 'new' things there are that really aren't. We have more NEW
+things than Madison Avenue has NEW laundry soap.
+
+\vskip .25in
+\noindent
+./doc/gloss.text
+
+This one is here because it is here. Existentially speaking, of course.
+
+\vskip .25in
+\noindent
+./doc/submitted
+
+This was what the htex files said before history was rewritten...
+(and renamed?)
+
+\subsection{The mnt/linux/algebra directory}
+\vskip .25in
+\noindent
+./algebra
+
+This is where all of the interesting action lives.
+Each .NRLIB directory contains 2 files, a code.o and an index.kaf*
+file. The code.o contains the executable algebra that gets loaded
+into the system. The index.kaf* file contains all kinds of things
+like signatures, source paths, properties and dried bat droppings.
+The documentation for each of these can be reached by using the
+BROWSE feature of Hyperdoc. 
+
+\vskip .25in
+\noindent
+./algebra/MODEMAP.daase
+
+This is an inverted database that contains information gleaned from
+the index.kaf* files. Without this there is no way to figure out
+which .NRLIB file to load. This database is opened on startup
+and kept open. 
+
+\vskip .25in
+\noindent
+./algebra/interp.exposed
+
+This is a control file for the interpeter that limits the number
+of places to search for function names. 
+
+*********************************************
+
+\subsection{The mnt/linux/lib directory}
+\vskip .25in
+\noindent
+./lib
+
+This directory contains functions that get loaded by the system.
+Nothing in here is executable by the user but the system needs
+these functions to run.
+
+\vskip .25in
+\noindent
+./lib/htrefs\\
+./lib/htsearch\\
+./lib/hthits
+
+These three functions are used to search the Hyperdoc pages.
+There is no way in the current system to request a search of
+those pages so these files are fascinating examples of history
+in the making...
+
+\vskip .25in
+\noindent
+./lib/hypertex
+
+This is Hyperdoc. What is in a name?
+
+\vskip .25in
+\noindent
+./lib/sman
+
+This is sman, which comes before all. Methinks the name originated
+as a contraction of superman, the name of a stack frame in a system
+long ago and far away (VMLisp) chosen because a certain programmer had a
+penchant for comic books when he was young.
+
+\vskip .25in
+\noindent
+./lib/session\\
+./lib/spadclient
+
+These two files are processes started by sman for some reason or other.
+I can never remember what they do or why. However, the campfire fails
+to smoke if they don't work.
+
+\vskip .25in
+\noindent
+./lib/viewman
+
+This is the controlling function for the graphics. 
+
+\vskip .25in
+\noindent
+./lib/view2d
+
+This is invoked when a 2 dimensional window is requested.
+This is provided mostly for those math majors who never got over
+the insights from flatland.
+
+\vskip .25in
+\noindent
+./lib/view3d
+
+This is invoked when a 3 dimensional window is requested.
+Option IBM3634-A is required to convert your 2 dimensional
+screen to 3 dimensions for realistic viewing. A mathematically
+accurate, if somewhat more achievable, rendering can be had
+on a color or monochrome crt without this upgrade.
+
+\vskip .25in
+\noindent
+./lib/gloss.text\\
+./lib/glosskey.text\\
+./lib/glossdef.text
+
+These are three files related to the glossary. The first (gloss.text)
+is the original glossary text. The second (glosskey.text) is a list
+of terms and pointers into glossdef.text. The third (glossdef.text for
+those math majors who can't count) is a list of definitions and pointers
+back into the second (guess). These files are used by Hyperdoc.
+
+\vskip .25in
+\noindent
+./lib/browsedb.lisp
+
+This is the original file that creates an in-memory hash table used by
+browse. It is used during system build time. We keep it here to ensure
+that the bytes on this section of the disk have a well-defined orientation,
+allowing us to compute the spin vectors of the individual magnetic domains.
+This allows us to give Heisenburg a sense of direction (at least over the
+long run).
+
+\vskip .25in
+\noindent
+./lib/comdb.text\\
+./lib/libdb.text
+
+The first file (comdb.text) contains the so-called $++$ (plus
+plus) comments from the algebra files. It contains pointers into 
+the second file. The second file (libdb.text) contains flags 
+(constructor, operation, attribute) and pointers into the first file. 
+These files are used by browse in Hyperdoc.
+
+\vskip .25in
+\noindent
+./lib/loadmprotect\\
+./lib/mprotect
+
+This set of two files has been mercifully de-installed from the system.
+They will, if used and despite the meaning behind the name, cause 
+random system reboots (yeah, HARDWARE reboots. don't ask me how, I'm
+just the historian).
+
+\vskip .25in
+\noindent
+./lib/SPADEDIT\\
+./lib/fc\\
+./lib/spadbuf\\
+./lib/SPADEDFN\\
+./lib/obey\\
+./lib/ex2ht
+
+I've drawn a blank; intentionally.
+
+\subsection{The mnt/linux/lib directory}
+\vskip .25in
+\noindent
+./etc
+
+This directory intentionally left blank.
+We just can't figure out WHY we intended to leave it blank.
+Historical reasons, no doubt.
+
+\section{The )set command}
+The {\bf )set} command contains many possible options such as:
+\begin{verbatim}
+                     Current Values of )set Variables                      
+
+Variable  Description                              Current Value
+----------------------------------------------------------------
+breakmode execute break processing on error          break 
+compiler  Library compiler options                   ... 
+expose    control interpreter constructor exposure   ... 
+functions some interpreter function options          ... 
+fortran   view and set options for FORTRAN output    ... 
+kernel    library functions built into the kernel for 
+          efficiency ... 
+hyperdoc  options in using HyperDoc                  ... 
+help      view and set some help options             ... 
+history   save workspace values in a history file    on 
+messages  show messages for various system features  ... 
+naglink   options for NAGLink                        ... 
+output    view and set some output options           ... 
+quit      protected or unprotected quit              unprotected 
+streams   set some options for working with streams  ... 
+system    set some system development variables      ... 
+userlevel operation access level of system user      development 
+
+Variables with current values of ... have further 
+sub-options. For example, 
+issue )set  system to see what the options are for system .
+For more information, issue )help set .
+\end{verbatim}
+The table that contains these options lives in setvart.boot.pamphlet.
+The actual code that implements these options is sprinkled around
+but most of the first-level calls resolve to functions in 
+setvars.boot.pamphlet. Thus if you plan to add a new output 
+style to the system, or figure out where a current style is
+broken, these two files are the place to start.
+
+\section{Special Output Formats}
+The first level of special output formatting is handled by
+functions in setvart.boot.pamphlet. This handles the options
+given to the )set command.
+
+\section{Low Level Debugging Techniques}
+It should be observed that Axiom is basically Common Lisp and 
+some very low level techniques can be used to find where problems
+occur in algebra code. This section walks thru a small problem and
+illustrates some techniques that can be used to find bugs. The 
+point of this exercise is to show a few techniques, not to show a
+general method.
+\subsection{The example bug}
+Axiom can generate TeX output by typing:
+\begin{verbatim}
+)set output tex on
+\end{verbatim}
+
+Here we give an example of TeX output that contains a bug:
+\begin{verbatim}
+(1) -> )set output tex on
+(1) -> radix(10**10,32)
+   Loading /axiom/mnt/linux/algebra/RADUTIL.o for package 
+      RadixUtilities 
+   Loading /axiom/mnt/linux/algebra/RADIX.o 
+     for domain RadixExpansion 
+   Loading /axiom/mnt/linux/algebra/ANY1.o 
+     for package AnyFunctions1 
+   Loading /axiom/mnt/linux/algebra/NONE1.o 
+     for package NoneFunctions1 
+   Loading /axiom/mnt/linux/algebra/ANY.o 
+     for domain Any 
+   Loading /axiom/mnt/linux/algebra/SEX.o 
+     for domain SExpression 
+
+   (1)  9A0NP00
+   Loading /axiom/mnt/linux/algebra/TEX.o 
+     for domain TexFormat 
+   Loading /axiom/mnt/linux/algebra/CCLASS.o 
+     for domain CharacterClass 
+   Loading /axiom/mnt/linux/algebra/IBITS.o 
+     for domain IndexedBits 
+   Loading /axiom/mnt/linux/algebra/UNISEG.o 
+     for domain UniversalSegment 
+$$
+9#\A0#\N#\P00 
+\leqno(1)
+$$
+   Loading /axiom/mnt/linux/algebra/VOID.o for domain Void 
+
+                                      Type: RadixExpansion 32
+\end{verbatim}
+The correct output should be:
+\begin{verbatim}
+$$
+9A0NP00 
+\leqno(1)
+$$
+\end{verbatim}
+So we need to figure out where the \#  prefixes are being generated.
+In the above code we can see various domains being loaded. These domains
+are lisp code. Each domain lives in a subdirectory of its own. For example,
+the ANY domain lives in ANY.NRLIB. The ANY.NRLIB directory contains a
+common lisp file named code.lsp. The compiled form of this code ANY.o
+is loaded whenever the domain Any is referenced. We can look at the lisp 
+code:
+\begin{verbatim}
+
+(/VERSIONCHECK 2) 
+
+(PUT (QUOTE |ANY;obj;$N;1|)
+     (QUOTE |SPADreplace|)
+     (QUOTE QCDR)) 
+
+(DEFUN |ANY;obj;$N;1| (|x| $) (QCDR |x|)) 
+
+(PUT (QUOTE |ANY;dom;$Se;2|)
+     (QUOTE |SPADreplace|)
+     (QUOTE QCAR)) 
+
+(DEFUN |ANY;dom;$Se;2| (|x| $) (QCAR |x|)) 
+
+(PUT (QUOTE |ANY;domainOf;$Of;3|)
+     (QUOTE |SPADreplace|)
+     (QUOTE QCAR)) 
+
+(DEFUN |ANY;domainOf;$Of;3| (|x| $) (QCAR |x|)) 
+
+(DEFUN |ANY;=;2$B;4| (|x| |y| $)
+ (COND
+  ((SPADCALL (QCAR |x|) (QCAR |y|) (QREFELT $ 17))
+    (EQ (QCDR |x|) (QCDR |y|)))
+  ((QUOTE T) (QUOTE NIL)))) 
+
+(DEFUN |ANY;objectOf;$Of;5| (|x| $)
+ (|spad2BootCoerce| 
+  (QCDR |x|) 
+  (QCAR |x|) 
+  (SPADCALL 
+   (SPADCALL "OutputForm" (QREFELT $ 21))
+   (QREFELT $ 23)))) 
+
+(DEFUN |ANY;showTypeInOutput;BS;6| (|b| $)
+ (SEQ
+  (SETELT $ 10 (SPADCALL |b| (QREFELT $ 9)))
+  (EXIT
+   (COND 
+    (|b| "Type of object will be displayed in 
+          output of a member of Any")
+    ((QUOTE T) "Type of object will not be displayed in 
+                output of a member of Any"))))) 
+
+(DEFUN |ANY;coerce;$Of;7| (|x| $)
+ (PROG (|obj1| |p| |dom1| #0=#:G1426 |a| #1=#:G1427)
+  (RETURN
+   (SEQ 
+    (LETT |obj1|
+          (SPADCALL |x| (QREFELT $ 24))
+          |ANY;coerce;$Of;7|)
+    (COND
+     ((NULL (SPADCALL (QREFELT $ 10) (QREFELT $ 26)))
+       (EXIT |obj1|)))
+    (LETT |dom1| 
+     (SEQ 
+      (LETT |p|
+       (|prefix2String| (|devaluate| (QCAR |x|)))
+       |ANY;coerce;$Of;7|)
+      (EXIT
+       (COND
+        ((SPADCALL |p| (QREFELT $ 27))
+         (SPADCALL |p| (QREFELT $ 23)))
+        ((QUOTE T) (SPADCALL |p| (QREFELT $ 29))))))
+     |ANY;coerce;$Of;7|)
+    (EXIT
+     (SPADCALL
+      (CONS |obj1|
+       (CONS ":"
+        (PROGN
+         (LETT #0# NIL |ANY;coerce;$Of;7|)
+         (SEQ
+          (LETT |a| NIL |ANY;coerce;$Of;7|)
+          (LETT #1# |dom1| |ANY;coerce;$Of;7|)
+          G190
+          (COND
+           ((OR (ATOM #1#)
+                (PROGN
+                  (LETT |a| (CAR #1#) |ANY;coerce;$Of;7|)
+                  NIL))
+             (GO G191)))
+          (SEQ 
+           (EXIT
+            (LETT #0#
+             (CONS 
+              (SPADCALL |a| (QREFELT $ 30))
+               #0#)
+             |ANY;coerce;$Of;7|)))
+          (LETT #1# (CDR #1#) |ANY;coerce;$Of;7|)
+          (GO G190)
+          G191
+          (EXIT (NREVERSE0 #0#))))))
+      (QREFELT $ 31))))))) 
+
+(DEFUN |ANY;any;SeN$;8| (|domain| |object| $)
+ (SEQ
+  (COND
+   ((|isValidType| |domain|) (CONS |domain| |object|))
+   ((QUOTE T)
+    (SEQ
+     (LETT |domain| (|devaluate| |domain|) |ANY;any;SeN$;8|)
+     (EXIT
+      (COND
+       ((|isValidType| |domain|) (CONS |domain| |object|))
+       ((QUOTE T)
+        (|error| 
+"function any must have a domain as first argument"))))))))) 
+
+(DEFUN |Any| NIL
+ (PROG NIL 
+  (RETURN 
+   (PROG (#0=#:G1432) 
+    (RETURN 
+     (COND 
+      ((LETT #0#
+            (HGET |$ConstructorCache| (QUOTE |Any|))
+            |Any|)
+        (|CDRwithIncrement| (CDAR #0#)))
+      ((QUOTE T)
+        (UNWIND-PROTECT
+         (PROG1
+          (CDDAR 
+           (HPUT |$ConstructorCache| 
+                 (QUOTE |Any|) 
+                 (LIST (CONS NIL (CONS 1 (|Any;|))))))
+          (LETT #0# T |Any|))
+         (COND
+          ((NOT #0#)
+            (HREM |$ConstructorCache| (QUOTE |Any|)))))))))))) 
+
+(DEFUN |Any;| NIL
+ (PROG (|dv$| $ |pv$|)
+  (RETURN
+   (PROGN
+    (LETT |dv$| (QUOTE (|Any|)) . #0=(|Any|))
+    (LETT $ (GETREFV 35) . #0#)
+    (QSETREFV $ 0 |dv$|)
+    (QSETREFV $ 3 (LETT |pv$| (|buildPredVector| 0 0 NIL) . #0#))
+    (|haddProp| |$ConstructorCache| (QUOTE |Any|) NIL (CONS 1 $))
+    (|stuffDomainSlots| $)
+    (QSETREFV $ 6 
+      (|Record| (|:| |dm| (|SExpression|)) (|:| |ob| (|None|))))
+    (QSETREFV $ 10 (SPADCALL (QUOTE NIL) (QREFELT $ 9)))
+    $)))) 
+
+(MAKEPROP (QUOTE |Any|) (QUOTE |infovec|)
+ (LIST 
+  (QUOTE 
+   #(NIL NIL NIL NIL NIL NIL (QUOTE |Rep|)
+     (|Boolean|) (|Reference| 7) (0 . |ref|) 
+     (QUOTE |printTypeInOutputP|) (|None|) 
+     |ANY;obj;$N;1| (|SExpression|) |ANY;dom;$Se;2| 
+     (|OutputForm|) |ANY;domainOf;$Of;3| (5 . =) 
+     |ANY;=;2$B;4| (|String|) (|Symbol|) (11 . |coerce|) 
+     (|List| 20) (16 . |list|) |ANY;objectOf;$Of;5| 
+     |ANY;showTypeInOutput;BS;6| (21 . |deref|) 
+     (26 . |atom?|) (|List| $) (31 . |list|) 
+     (36 . |coerce|) (41 . |hconcat|) |ANY;coerce;$Of;7| 
+     |ANY;any;SeN$;8| (|SingleInteger|)))
+  (QUOTE #(~= 46 |showTypeInOutput| 52 |objectOf| 57 |obj| 
+           62 |latex| 67 |hash| 72 |domainOf| 77 |dom| 82 
+           |coerce| 87 |any| 92 = 98))
+  (QUOTE NIL)
+  (CONS (|makeByteWordVec2| 1 (QUOTE (0 0 0)))
+   (CONS (QUOTE #(|SetCategory&| |BasicType&| NIL))
+    (CONS 
+      (QUOTE #((|SetCategory|) (|BasicType|) (|CoercibleTo| 15)))
+      (|makeByteWordVec2| 34 
+       (QUOTE (1 8 0 7 9 2 13 7 0 0 17 1 20 0 19 21 1 22 0 20 
+               23 1 8 7 0 26 1 13 7 0 27 1 20 28 0 29 1 20 15 
+               0 30 1 15 0 28 31 2 0 7 0 0 1 1 0 19 7 25 1 0 
+               15 0 24 1 0 11 0 12 1 0 19 0 1 1 0 34 0 1 1 0 
+               15 0 16 1 0 13 0 14 1 0 15 0 32 2 0 0 13 11 33 
+               2 0 7 0 0 18))))))
+  (QUOTE |lookupComplete|))) 
+
+(MAKEPROP (QUOTE |Any|) (QUOTE NILADIC) T) 
+\end{verbatim}
+We can ignore this information and focus on the functions that are 
+defined in this file. These functions can be traced with the usual
+common lisp tracing facility. So lets create a file /tmp/debug.lisp
+that contains a trace statement for each DEFUN in ANY.NRLIB/code.lsp.
+It looks like:
+\begin{verbatim}
+(trace |ANY1;retractable?;AB;1|)
+(trace |ANY1;coerce;SA;2|)
+(trace |ANY1;retractIfCan;AU;3|)
+(trace |ANY1;retract;AS;4|)
+(trace |AnyFunctions1|)
+(trace |AnyFunctions1;|)
+\end{verbatim}
+We can now restart the axiom system, rerun the failing expression
+(this will autoload ANY.o; alternatively we could hand-load the
+ANY.NRLIB/code.lsp file), and then load our /tmp/debug.lisp file.
+Now all of the functions in the ANY domain are traced and we can
+watch the trace occur while the expression is evaluated. In this example
+I've created a larger file that traces all of the loaded domains:
+\begin{verbatim}
+(trace |RADUTIL;radix;FIA;1|)
+(trace |RadixUtilities|)
+(trace |RadixUtilities;|)
+
+(trace |RADIX;characteristic;Nni;1|)
+(trace |RADIX;differentiate;2$;2|)
+(trace |RADIX;Zero;$;3|)
+(trace |RADIX;One;$;4|)
+(trace |RADIX;-;2$;5|)
+(trace |RADIX;+;3$;6|)
+(trace |RADIX;-;3$;7|)
+(trace |RADIX;*;I2$;8|)
+(trace |RADIX;*;3$;9|)
+(trace |RADIX;/;3$;10|)
+(trace |RADIX;/;2I$;11|)
+(trace |RADIX;<;2$B;12|)
+(trace |RADIX;=;2$B;13|)
+(trace |RADIX;numer;$I;14|)
+(trace |RADIX;denom;$I;15|)
+(trace |RADIX;coerce;$F;16|)
+(trace |RADIX;coerce;I$;17|)
+(trace |RADIX;coerce;F$;18|)
+(trace |RADIX;retractIfCan;$U;19|)
+(trace |RADIX;retractIfCan;$U;20|)
+(trace |RADIX;ceiling;$I;21|)
+(trace |RADIX;floor;$I;22|)
+(trace |RADIX;wholePart;$I;23|)
+(trace |RADIX;fractionPart;$F;24|)
+(trace |RADIX;wholeRagits;$L;25|)
+(trace |RADIX;fractRagits;$S;26|)
+(trace |RADIX;prefixRagits;$L;27|)
+(trace |RADIX;cycleRagits;$L;28|)
+(trace |RADIX;wholeRadix;L$;29|)
+(trace |RADIX;fractRadix;2L$;30|)
+(trace |RADIX;intToExpr|)
+(trace |RADIX;exprgroup|)
+(trace |RADIX;intgroup|)
+(trace |RADIX;overBar|)
+(trace |RADIX;coerce;$Of;35|)
+(trace |RADIX;checkRagits|)
+(trace |RADIX;radixInt|)
+(trace |RADIX;radixFrac|)
+(trace |RadixExpansion|)
+(trace |RadixExpansion;|)
+
+(trace |ANY1;retractable?;AB;1|)
+(trace |ANY1;coerce;SA;2|)
+(trace |ANY1;retractIfCan;AU;3|)
+(trace |ANY1;retract;AS;4|)
+(trace |AnyFunctions1|)
+(trace |AnyFunctions1;|)
+
+(trace |NONE1;coerce;SN;1|)
+(trace |NoneFunctions1|)
+(trace |NoneFunctions1;|)
+
+(trace |ANY;obj;$N;1|)
+(trace |ANY;dom;$Se;2|)
+(trace |ANY;domainOf;$Of;3|)
+(trace |ANY;=;2$B;4|)
+(trace |ANY;objectOf;$Of;5|)
+(trace |ANY;showTypeInOutput;BS;6|)
+(trace |ANY;coerce;$Of;7|)
+(trace |ANY;any;SeN$;8|)
+(trace |Any|)
+(trace |Any;|)
+
+(trace |SExpression|)
+(trace |SExpression;|)
+
+(trace |TEX;new;$;1|)
+(trace |TEX;newWithNum|)
+(trace |TEX;coerce;Of$;3|)
+(trace |TEX;convert;OfI$;4|)
+(trace |TEX;display;$IV;5|)
+(trace |TEX;display;$V;6|)
+(trace |TEX;prologue;$L;7|)
+(trace |TEX;tex;$L;8|)
+(trace |TEX;epilogue;$L;9|)
+(trace |TEX;setPrologue!;$2L;10|)
+(trace |TEX;setTex!;$2L;11|)
+(trace |TEX;setEpilogue!;$2L;12|)
+(trace |TEX;coerce;$Of;13|)
+(trace |TEX;ungroup|)
+(trace |TEX;postcondition|)
+(trace |TEX;stringify|)
+(trace |TEX;lineConcat|)
+(trace |TEX;splitLong|)
+(trace |TEX;splitLong1|)
+(trace |TEX;group|)
+(trace |TEX;addBraces|)
+(trace |TEX;addBrackets|)
+(trace |TEX;parenthesize|)
+(trace |TEX;precondition|)
+(trace |TEX;formatSpecial|)
+(trace |TEX;formatPlex|)
+(trace |TEX;formatMatrix|)
+(trace |TEX;formatFunction|)
+(trace |TEX;formatNullary|)
+(trace |TEX;formatUnary|)
+(trace |TEX;formatBinary|)
+(trace |TEX;formatNary|)
+(trace |TEX;formatNaryNoGroup|)
+(trace |TEX;formatTex|)
+(trace |TexFormat|)
+(trace |TexFormat;|)
+
+(trace |CCLASS;digit;$;1|)
+(trace |CCLASS;hexDigit;$;2|)
+(trace |CCLASS;upperCase;$;3|)
+(trace |CCLASS;lowerCase;$;4|)
+(trace |CCLASS;alphabetic;$;5|)
+(trace |CCLASS;alphanumeric;$;6|)
+(trace |CCLASS;=;2$B;7|)
+(trace |CCLASS;member?;C$B;8|)
+(trace |CCLASS;union;3$;9|)
+(trace |CCLASS;intersect;3$;10|)
+(trace |CCLASS;difference;3$;11|)
+(trace |CCLASS;complement;2$;12|)
+(trace |CCLASS;convert;$S;13|)
+(trace |CCLASS;convert;$L;14|)
+(trace |CCLASS;charClass;S$;15|)
+(trace |CCLASS;charClass;L$;16|)
+(trace |CCLASS;coerce;$Of;17|)
+(trace |CCLASS;#;$Nni;18|)
+(trace |CCLASS;empty;$;19|)
+(trace |CCLASS;brace;$;20|)
+(trace |CCLASS;insert!;C2$;21|)
+(trace |CCLASS;remove!;C2$;22|)
+(trace |CCLASS;inspect;$C;23|)
+(trace |CCLASS;extract!;$C;24|)
+(trace |CCLASS;map;M2$;25|)
+(trace |CCLASS;map!;M2$;26|)
+(trace |CCLASS;parts;$L;27|)
+(trace |CharacterClass|)
+(trace |CharacterClass;|)
+
+(trace |IBITS;minIndex;$I;1|)
+(trace |IBITS;range|)
+(trace |IBITS;coerce;$Of;3|)
+(trace |IBITS;new;NniB$;4|)
+(trace |IBITS;empty;$;5|)
+(trace |IBITS;copy;2$;6|)
+(trace |IBITS;#;$Nni;7|)
+(trace |IBITS;=;2$B;8|)
+(trace |IBITS;<;2$B;9|)
+(trace |IBITS;and;3$;10|)
+(trace |IBITS;or;3$;11|)
+(trace |IBITS;xor;3$;12|)
+(trace |IBITS;setelt;$I2B;13|)
+(trace |IBITS;elt;$IB;14|)
+(trace |IBITS;Not;2$;15|)
+(trace |IBITS;And;3$;16|)
+(trace |IBITS;Or;3$;17|)
+(trace |IndexedBits|)
+(trace |IndexedBits;|)
+
+(trace |UNISEG;segment;S$;1|)
+(trace |UNISEG;segment;2S$;2|)
+(trace |UNISEG;BY;$I$;3|)
+(trace |UNISEG;lo;$S;4|)
+(trace |UNISEG;low;$S;5|)
+(trace |UNISEG;hasHi;$B;6|)
+(trace |UNISEG;hi;$S;7|)
+(trace |UNISEG;high;$S;8|)
+(trace |UNISEG;incr;$I;9|)
+(trace |UNISEG;SEGMENT;S$;10|)
+(trace |UNISEG;SEGMENT;2S$;11|)
+(trace |UNISEG;coerce;S$;12|)
+(trace |UNISEG;convert;S$;13|)
+(trace |UNISEG;=;2$B;14|)
+(trace |UNISEG;coerce;$Of;15|)
+(trace |UNISEG;expand;$S;16|)
+(trace |UNISEG;map;M$S;17|)
+(trace |UNISEG;plusInc|)
+(trace |UNISEG;expand;LS;19|)
+(trace |UNISEG;expand;LS;19!0|)
+(trace |UniversalSegment|)
+(trace |UniversalSegment;|)
+
+\end{verbatim}
+Now we rerun the function and get the trace output
+\begin{verbatim}
+(2) -> )lisp (load "/axiom/debug.lisp")
+
+Value = T
+(2) -> radix(10**10,32)
+
+  1> (|RadixUtilities|)
+  <1 (|RadixUtilities| #<vector 08b565cc>)
+  1> (|RadixExpansion| 32)
+  <1 (|RadixExpansion| #<vector 08b8cc94>)
+  1> (|AnyFunctions1| #<vector 08b8cc94>)
+  <1 (|AnyFunctions1| #<vector 08b5647c>)
+  1> (|RadixExpansion| 32)
+  <1 (|RadixExpansion| #<vector 08b8cc94>)
+  1> (|RADIX;radixInt| 10000000000 32 #<vector 08b8cc94>)
+  <1 (|RADIX;radixInt| (9 10 0 23 25 0 0))
+  1> (|RADIX;radixFrac| 0 1 32 #<vector 08b8cc94>)
+  <1 (|RADIX;radixFrac| (NIL 0))
+
+  1> (|RadixExpansion| 32)
+  <1 (|RadixExpansion| #<vector 08b8cc94>)
+  1> (|RADIX;intgroup| (9 10 0 23 25 0 0) #<vector 08b8cc94>)
+    2> (|RADIX;intToExpr| 9 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| 9)
+    2> (|RADIX;intToExpr| 10 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| #\A)
+    2> (|RADIX;intToExpr| 0 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| 0)
+    2> (|RADIX;intToExpr| 23 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| #\N)
+    2> (|RADIX;intToExpr| 25 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| #\P)
+    2> (|RADIX;intToExpr| 0 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| 0)
+    2> (|RADIX;intToExpr| 0 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| 0)
+  <1 (|RADIX;intgroup| (CONCAT 9 #\A 0 #\N #\P 0 0))
+  1> (|RADIX;exprgroup| 
+      ((CONCAT 9 #\A 0 #\N #\P 0 0)) #<vector 08b8cc94>)
+  <1 (|RADIX;exprgroup| (CONCAT 9 #\A 0 #\N #\P 0 0))
+   (2)  9A0NP00
+  1> (|TexFormat|)
+  <1 (|TexFormat| #<vector 08b24000>)
+  1> (|TexFormat|)
+  <1 (|TexFormat| #<vector 08b24000>)
+  1> (|TEX;newWithNum| 2 #<vector 08b24000>)
+  <1 (|TEX;newWithNum| #<vector 08b8c284>)
+  1> (|TEX;precondition| 
+       (CONCAT 9 #\A 0 #\N #\P 0 0) #<vector 08b24000>)
+  <1 (|TEX;precondition| (CONCAT 9 #\A 0 #\N #\P 0 0))
+  1> (|TEX;formatTex| 
+       (CONCAT 9 #\A 0 #\N #\P 0 0) 0 #<vector 08b24000>)
+    2> (|TEX;stringify| CONCAT #<vector 08b24000>)
+    <2 (|TEX;stringify| "CONCAT")
+    2> (|TEX;formatSpecial| "CONCAT" 
+         (9 #\A 0 #\N #\P 0 0) 0 #<vector 08b24000>)
+      3> (|TEX;formatNary| "" 
+          (9 #\A 0 #\N #\P 0 0) 0 #<vector 08b24000>)
+        4> (|TEX;formatNaryNoGroup| "" 
+            (9 #\A 0 #\N #\P 0 0) 0 #<vector 08b24000>)
+          5> (|TEX;formatTex| 9 0 #<vector 08b24000>)
+            6> (|TEX;stringify| 9 #<vector 08b24000>)
+            <6 (|TEX;stringify| "9")
+          <5 (|TEX;formatTex| "9")
+          5> (|TEX;formatTex| #\A 0 #<vector 08b24000>)
+            6> (|TEX;stringify| #\A #<vector 08b24000>)
+            <6 (|TEX;stringify| "#\\A")
+            6> (|IBITS;range| 
+                #<bit-vector 0831d930> 35 #<vector 085da658>)
+            <6 (|IBITS;range| 35)
+          <5 (|TEX;formatTex| "#\\A")
+          5> (|TEX;formatTex| 0 0 #<vector 08b24000>)
+            6> (|TEX;stringify| 0 #<vector 08b24000>)
+            <6 (|TEX;stringify| "0")
+          <5 (|TEX;formatTex| "0")
+          5> (|TEX;formatTex| #\N 0 #<vector 08b24000>)
+            6> (|TEX;stringify| #\N #<vector 08b24000>)
+            <6 (|TEX;stringify| "#\\N")
+            6> (|IBITS;range| 
+                #<bit-vector 0831d930> 35 #<vector 085da658>)
+            <6 (|IBITS;range| 35)
+          <5 (|TEX;formatTex| "#\\N")
+          5> (|TEX;formatTex| #\P 0 #<vector 08b24000>)
+            6> (|TEX;stringify| #\P #<vector 08b24000>)
+            <6 (|TEX;stringify| "#\\P")
+            6> (|IBITS;range| 
+                #<bit-vector 0831d930> 35 #<vector 085da658>)
+            <6 (|IBITS;range| 35)
+          <5 (|TEX;formatTex| "#\\P")
+          5> (|TEX;formatTex| 0 0 #<vector 08b24000>)
+            6> (|TEX;stringify| 0 #<vector 08b24000>)
+            <6 (|TEX;stringify| "0")
+          <5 (|TEX;formatTex| "0")
+          5> (|TEX;formatTex| 0 0 #<vector 08b24000>)
+            6> (|TEX;stringify| 0 #<vector 08b24000>)
+            <6 (|TEX;stringify| "0")
+          <5 (|TEX;formatTex| "0")
+        <4 (|TEX;formatNaryNoGroup| "9#\\A0#\\N#\\P00")
+        4> (|TEX;group| "9#\\A0#\\N#\\P00" #<vector 08b24000>)
+        <4 (|TEX;group| "{9#\\A0#\\N#\\P00}")
+      <3 (|TEX;formatNary| "{9#\\A0#\\N#\\P00}")
+    <2 (|TEX;formatSpecial| "{9#\\A0#\\N#\\P00}")
+  <1 (|TEX;formatTex| "{9#\\A0#\\N#\\P00}")
+  1> (|TEX;postcondition| 
+      "{9#\\A0#\\N#\\P00}" #<vector 08b24000>)
+    2> (|TEX;ungroup| "{9#\\A0#\\N#\\P00}" #<vector 08b24000>)
+    <2 (|TEX;ungroup| "9#\\A0#\\N#\\P00")
+  <1 (|TEX;postcondition| "9#\\A0#\\N#\\P00")
+$$
+  1> (|TEX;splitLong| 
+      "9#\\A0#\\N#\\P00" 77 #<vector 08b24000>)
+    2> (|TEX;splitLong1| 
+        "9#\\A0#\\N#\\P00" 77 #<vector 08b24000>)
+      3> (|TEX;lineConcat| 
+          "9#\\A0#\\N#\\P00 " NIL #<vector 08b24000>)
+      <3 (|TEX;lineConcat| ("9#\\A0#\\N#\\P00 "))
+    <2 (|TEX;splitLong1| ("9#\\A0#\\N#\\P00 "))
+  <1 (|TEX;splitLong| ("9#\\A0#\\N#\\P00 "))
+9#\A0#\N#\P00 
+\leqno(2)
+$$
+
+                                      Type: RadixExpansion 32
+\end{verbatim}
+Notice the call that reads:
+\begin{verbatim}
+    2> (|RADIX;intToExpr| 10 #<vector 08b8cc94>)
+    <2 (|RADIX;intToExpr| #\A)
+\end{verbatim}
+This means that calling |RADIX;intToExpr| with the number 10
+and ``the domain vector'' generates the character \#\\A which fails.
+If we had the domain vector in a variable we could hand-execute this
+algebra function directly and watch it fail. So we go to the file
+RADIX.NRLIB/code.lsp which contains the definition of RADIX;intToExpr.
+The definition is:
+\begin{verbatim}
+(DEFUN |RADIX;intToExpr| (|i| $) 
+ (COND 
+  ((< |i| 10) 
+    (SPADCALL |i| (QREFELT $ 66)))
+  ((QUOTE T) 
+    (SPADCALL 
+     (SPADCALL 
+       (QREFELT $ 64) 
+       (+ (- |i| 10) (SPADCALL (QREFELT $ 64) (QREFELT $ 68)))
+       (QREFELT $ 70))
+     (QREFELT $ 71))))) 
+\end{verbatim}
+We can put this definition into our /tmp/debug.lisp file and modify
+it to capture the domain vector passed in the \$ variable thus:
+\begin{verbatim}
+(DEFUN |RADIX;intToExpr| (|i| $) 
+ (setq tpd $) 
+ (COND 
+  ((< |i| 10) 
+    (SPADCALL |i| (QREFELT $ 66)))
+  ((QUOTE T) 
+    (SPADCALL 
+     (SPADCALL 
+       (QREFELT $ 64) 
+       (+ (- |i| 10) (SPADCALL (QREFELT $ 64) (QREFELT $ 68)))
+       (QREFELT $ 70))
+     (QREFELT $ 71))))) 
+\end{verbatim}
+Now when this function is executed the tpd variable will contain the
+value of \$, the domain vector. So we load debug.lisp again
+to redefine RADIX;intToExpr and re-execute the function. The trace
+results will be the same but now the global variable tpd will have
+the domain vector:
+\begin{verbatim}
+(4) -> (identity tpd)
+
+Value = #<vector 08b8cc94>
+\end{verbatim}
+Now we can use common lisp to step the RADIX;intToExpr function:
+\begin{verbatim}
+(4) -> (step (|RADIX;intToExpr| 10 tpd))
+
+Type ? and a newline for help.
+  (|RADIX;intToExpr| 10 ...) ?
+
+Stepper commands:
+n (or N or Newline): advances to the next form.
+s (or S):	     skips the form.
+p (or P):	     pretty-prints the form.
+f (or F) FUNCTION:   skips until the FUNCTION is called.
+q (or Q):	     quits.
+u (or U):	     goes up to the enclosing form.
+e (or E) FORM:	     evaluates the FORM and prints the value(s).
+r (or R) FORM:	     evaluates the FORM and returns the value(s).
+b (or B):	     prints backtrace.
+?:		     prints this.
+
+  (|RADIX;intToExpr| 10 ...) 
+10 
+TPD 
+    = #<vector 08b8cc94>
+    (SYSTEM::TRACE-CALL (QUOTE #:G1624) ...) 
+(QUOTE #:G1624) 
+SYSTEM::ARGS 
+      = (10 #<vector 08b8cc94>)
+      (QUOTE T) 
+(QUOTE T) 
+(QUOTE (CONS # ...)) 
+(QUOTE T) 
+(QUOTE (CONS # ...)) 
+(LET (#) ...) 
+(QUOTE (10 #<vector 08b8cc94>)) 
+T 
+      = T
+  1>  (LET (#) ...) 
+(QUOTE (10 #<vector 08b8cc94>)) 
+(CONS (QUOTE |RADIX;intToExpr|) ...) 
+(QUOTE |RADIX;intToExpr|) 
+SYSTEM::ARGLIST 
+          = (10 #<vector 08b8cc94>)
+        = (|RADIX;intToExpr| 10 ...)
+      = (|RADIX;intToExpr| 10 ...)
+(|RADIX;intToExpr| 10 ...)
+      (SETQ TPD ...) 
+$ 
+        = #<vector 08b8cc94>
+      = #<vector 08b8cc94>
+      (COND (# #) ...) 
+(< |i| ...) 
+|i| 
+          = 10
+          10 
+        = NIL
+        (QUOTE T) 
+(SPADCALL (SPADCALL # ...) ...) 
+(LET (#) ...) 
+(QREFELT $ ...) 
+(SVREF $ ...) 
+$ 
+                = #<vector 08b8cc94>
+                71 
+              = (#<compiled-function |CHAR;coerce;$Of;12|> .
+                  #<vector 08b3901c>)
+            = (#<compiled-function |CHAR;coerce;$Of;12|> . 
+                 #<vector 08b3901c>)
+            (THE (VALUES T) ...) 
+(FUNCALL (CAR #:G1776) ...) 
+(CAR #:G1776) 
+#:G1776 
+                  = (#<compiled-function |CHAR;coerce;$Of;12|> . 
+                      #<vector 08b3901c>)
+                = #<compiled-function |CHAR;coerce;$Of;12|>
+                (SPADCALL (QREFELT $ ...) ...) 
+(LET (#) ...) 
+(QREFELT $ ...) 
+(SVREF $ ...) 
+$ 
+                    = #<vector 08b8cc94>
+                    70 
+                    = (#<compiled-function 
+                        |ISTRING;elt;$IC;30|> . 
+                        #<vector 08b26850>)
+                    = (#<compiled-function 
+                        |ISTRING;elt;$IC;30|> . 
+                        #<vector 08b26850>)
+                    (THE (VALUES T) ...) 
+(FUNCALL (CAR #:G1777) ...) 
+(CAR #:G1777) 
+#:G1777 
+                    = (#<compiled-function 
+                        |ISTRING;elt;$IC;30|> . 
+                        #<vector 08b26850>)
+                    = #<compiled-function |ISTRING;elt;$IC;30|>
+                    (QREFELT $ ...) 
+(SVREF $ ...) 
+$ 
+                    = #<vector 08b8cc94>
+                    64 
+                    = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
+                    = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
+                    (+ (- |i| ...) ...) 
+(- |i| ...) 
+|i| 
+                    = 10
+                    10 
+                    = 0
+                    (SPADCALL (QREFELT $ ...) ...) 
+(LET (#) ...) 
+(QREFELT $ ...) 
+(SVREF $ ...) 
+$ 
+                    = #<vector 08b8cc94>
+                    68 
+                    = (#<compiled-function 
+                        |ISTRING;minIndex;$I;11|> . 
+                        #<vector 08b26850>)
+                    = (#<compiled-function 
+                        |ISTRING;minIndex;$I;11|> . 
+                        #<vector 08b26850>)
+                    (THE (VALUES T) ...) 
+(FUNCALL (CAR #:G1778) ...) 
+(CAR #:G1778) 
+#:G1778 
+                    = (#<compiled-function 
+                        |ISTRING;minIndex;$I;11|> . 
+                        #<vector 08b26850>)
+                    = #<compiled-function 
+                        |ISTRING;minIndex;$I;11|>
+                    (QREFELT $ ...) 
+(SVREF $ ...) 
+$ 
+                    = #<vector 08b8cc94>
+                    64 
+                    = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
+                    = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
+                    (CDR #:G1778) 
+#:G1778 
+                    = (#<compiled-function 
+                        |ISTRING;minIndex;$I;11|> . 
+                        #<vector 08b26850>)
+                    = #<vector 08b26850>
+                    = 1
+                    = 1
+                    = 1
+                    = 1
+                    = 1
+                    (CDR #:G1777) 
+#:G1777 
+                    = (#<compiled-function 
+                        |ISTRING;elt;$IC;30|> . 
+                        #<vector 08b26850>)
+                    = #<vector 08b26850>
+                    = 65
+                    = 65
+                  = 65
+                = 65
+                (CDR #:G1776) 
+#:G1776 
+                  = (#<compiled-function 
+                      |CHAR;coerce;$Of;12|> . 
+                      #<vector 08b3901c>)
+                = #<vector 08b3901c>
+              = #\A
+            = #\A
+          = #\A
+        = #\A
+      = #\A
+  <1  (LET (# #) ...) 
+(QUOTE (10 #<vector 08b8cc94>)) 
+(QUOTE (#\A)) 
+(CONS (QUOTE |RADIX;intToExpr|) ...) 
+(QUOTE |RADIX;intToExpr|) 
+VALUES 
+          = (#\A)
+        = (|RADIX;intToExpr| #\A)
+      = (|RADIX;intToExpr| #\A)
+(|RADIX;intToExpr| #\A)
+    = #\A
+  = #\A
+Value = #\A
+(4) -> 
+\end{verbatim}
+If we examine the source code for this function in int/algebra/radix.spad
+we find:
+\begin{verbatim}
+
+    ALPHAS : String := "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
+
+    intToExpr(i:I): OUT ==
+      -- computes a digit for bases between 11 and 36
+      i < 10 => i :: OUT
+      elt(ALPHAS,(i-10) + minIndex(ALPHAS)) :: OUT
+
+\end{verbatim}
+We do some lookups by hand to find out what functions are being called
+from the domain vectors thus:
+\begin{verbatim}
+(4) -> )lisp (qrefelt tpd 68)
+
+Value = (#<compiled-function 
+         |ISTRING;minIndex;$I;11|> . #<vector 08b26850>)
+
+\end{verbatim}
+
+
+
+
+The \#\\A value appears as a result of a call to 
+CHAR;coerce;\$Of;12. We can look in CHAR.NRLIB/code.lsp
+for this function and continue our descent into the code. The 
+function looks like:
+\begin{verbatim}
+(DEFUN |CHAR;coerce;$Of;12| (|c| $) 
+  (ELT (QREFELT $ 10)
+       (+ (QREFELT $ 11) (SPADCALL |c| (QREFELT $ 21))))) 
+\end{verbatim}
+Again we need to get the domain vector, this time from the CHAR domain.
+The domain vector has all of the information about a domain including
+what functions are referenced and what data values are used. The 
+QREFELT is a "quick elt" function which resolved to a highly
+type optimized function call. The SPADCALL function funcalls the
+second argument to SPADCALL with the first argument to SPADCALL
+effectively giving: 
+\begin{verbatim}
+(funcall (qrefelt $ 21) |c|)
+\end{verbatim}
+So we modify the CHAR;coerce;\$Of;12 function to capture the domain
+vector thus:
+\begin{verbatim}
+(DEFUN |CHAR;coerce;$Of;12| (|c| $)
+   (format t "|CHAR;coerce;$Of;12| called")
+   (setq tpd1 $)
+  (ELT (QREFELT $ 10)
+       (+ (QREFELT $ 11) (SPADCALL |c| (QREFELT $ 21))))) 
+\end{verbatim}
+Again we rerun the failing function and now tpd1 contains the
+domain vector for the domain CHAR:
+
+
+
+
+
+
+\section{Makefile}
+This book is actually a literate program\cite{2} and can contain 
+executable source code. In particular, the Makefile for this book
+is part of the source of the book and is included below. Axiom 
+uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+<<*>>=
+PROJECT=bookvol4
+TANGLE=/usr/local/bin/NOTANGLE
+WEAVE=/usr/local/bin/NOWEAVE
+LATEX=/usr/bin/latex
+MAKEINDEX=/usr/bin/makeindex
+
+all: 
+	${WEAVE} -t8 -delay ${PROJECT}.pamphlet >${PROJECT}.tex
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+	${MAKEINDEX} ${PROJECT}.idx
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
+
diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
new file mode 100644
index 0000000..56ffef1
--- /dev/null
+++ b/books/bookvol5.pamphlet
@@ -0,0 +1,6134 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 5: Axiom Interpreter}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\chapter{The Interpreter}
+The Axiom interpreter is a large common lisp program. 
+It has several forms of interaction and run from
+terminal in a standalone fashion, run under the control of a
+session handler program, run as a web server, or run in a unix
+pipe. 
+\chapter{The Fundamental Data Structures}
+\chapter{Starting Axiom}
+Axiom starts by invoking a function value of the lisp symbol
+[[*top-level-hook*]]. The function invocation path to from this
+point until the prompt is approximates (skipping initializations):
+\begin{verbatim}
+  lisp -> restart
+       -> |spad|
+       -> |runspad|
+       -> |ncTopLevel|
+       -> |ncIntLoop|
+       -> |intloop|
+       -> |SpadInterpretStream|
+       -> |intloopReadConsole|
+\end{verbatim}
+The [[|intloopReadConsole|]] function does tail-recursive calls to
+itself (don't break this) and never exits.
+\section{Variables Used}
+\section{Data Structures}
+\section{Functions}
+\subsection{defun set-restart-hook}
+When a lisp image containing code is reloaded there is a hook to
+allow a function to be called. In our case it is the [[restart]]
+function which is the entry to the Axiom interpreter.
+<<defun set-restart-hook>>=
+(defun set-restart-hook ()
+  #+KCL (setq system::*top-level-hook* 'restart)
+  #+Lucid (setq boot::restart-hook 'restart)
+  'restart
+ )
+
+@
+\subsection{defun restart}
+The restart function is the real root of the world. It sets up memory
+if we are working in a GCL/akcl version of the system. It sets the
+current package to be the ``BOOT'' package which is the standard
+package in which the interpreter runs. It calls initroot \cite{1}
+to set the \$spadroot variable (usually the \$AXIOM variable).
+
+The [[compiler::*compile-verbose*]] flag has been set to nil globally.
+We do not want to know about the microsteps of GCL's compile facility.
+
+The [[compiler::*suppress-compiler-warnings*]] flag has been set to t.
+We do not care that certain generated variables are not used.
+
+The [[compiler::*suppress-compiler-notes*]] flag has been set to t.
+We do not care that tail recursion occurs.
+<<defun restart>>=
+(defun restart ()
+#+:akcl
+  (init-memory-config :cons 500 :fixnum 200 :symbol 500 :package 8
+    :array 400 :string 500 :cfun 100 :cpages 3000 :rpages 1000 :hole 2000)
+#+:akcl (setq compiler::*compile-verbose* nil)
+#+:akcl (setq compiler::*suppress-compiler-warnings* t)
+#+:akcl (setq compiler::*suppress-compiler-notes* t)
+#-:CCL
+  (in-package "BOOT")
+#+:CCL
+  (setq *package* (find-package "BOOT"))
+#+:CCL (setpchar "") ;; Turn off CCL read prompts
+#+(OR :akcl :CCL) (initroot)
+#+:akcl (system:gbc-time 0)
+#+:akcl
+  (when (and $openServerIfTrue (fboundp '|openServer|))
+   (prog (os)
+    (setq os (|openServer| $SpadServerName))
+    (if (zerop os) 
+     (progn 
+      (setq $openServerIfTrue nil) 
+      (setq |$SpadServer| t)))))
+;; We do the following test at runtime to allow us to use the same images
+;; with Saturn and Sman.  MCD 30-11-95
+#+:CCL
+  (when 
+     (and (memq :unix *features*) $openServerIfTrue (fboundp '|openServer|))
+   (prog (os)
+    (setq os (|openServer| $SpadServerName))
+    (if (zerop os) 
+     (progn 
+      (setq $openServerIfTrue nil) 
+      (setq |$SpadServer| t)))))
+  (setq |$IOindex| 1)
+  (setq |$InteractiveFrame| (|makeInitialModemapFrame|))
+  (setq |$printLoadMsgs| t)
+#+(and :lucid :ibm/370)
+  (setq *default-pathname-defaults* "")
+#+:CCL
+  (setq *default-pathname-defaults* (get-current-directory))
+#-(or :CCL (and :lucid :ibm/370))
+  (setq *default-pathname-defaults* (probe-file "./"))
+#+(and :lucid :ibm/370)
+  (setq vmlisp::$current-directory "")
+#-(and :lucid :ibm/370)
+  (setq vmlisp::$current-directory
+     (make-directory *default-pathname-defaults*))
+  (|loadExposureGroupData|)
+  (|statisticsInitialization|)
+  (|initHist|)
+  (|initializeInterpreterFrameRing|)
+
+  (when |$displayStartMsgs| 
+   (|spadStartUpMsgs|))
+  (setq |$currentLine| nil)
+  (restart0)
+  (|readSpadProfileIfThere|)
+  (|spad|))
+
+@
+\subsection{defun spad}
+\begin{verbatim}
+spad() ==
+  -- starts the interpreter but does not read in profiles, etc.
+  $PrintCompilerMessageIfTrue: local
+  $inLispVM : local := nil
+  setOutputAlgebra "%initialize%"
+  runspad()
+  'EndOfSpad
+\end{verbatim}
+<<defun spad>>=
+(defun |spad| () 
+ (prog (|$PrintCompilerMessageIfTrue| |$inLispVM|) 
+  (declare (special |$PrintCompilerMessageIfTrue| |$inLispVM|)) 
+   (return 
+    (progn 
+     (spadlet |$PrintCompilerMessageIfTrue| nil) 
+     (spadlet |$inLispVM| nil) 
+     (|setOutputAlgebra| '|%initialize%|) 
+     (|runspad|) 
+     '|EndOfSpad|))))
+
+@
+\subsection{defun runspad}
+\begin{verbatim}
+runspad() ==
+  mode:='restart
+  while mode='restart repeat
+    resetStackLimits()
+    CATCH($quitTag, CATCH('coerceFailure,
+                  mode:=CATCH('top__level, ncTopLevel())))
+\end{verbatim}
+<<defun runspad>>=
+(defun |runspad| () 
+ (prog (mode) 
+  (return 
+   (seq 
+    (progn 
+     (spadlet mode '|restart|) 
+     (do () 
+         ((null (boot-equal mode '|restart|)) NIL)
+      (seq 
+       (exit 
+        (progn 
+         (|resetStackLimits|) 
+         (catch |$quitTag| 
+          (catch '|coerceFailure| 
+           (spadlet mode (catch '|top_level| (|ncTopLevel|))))))))))))))
+
+@
+\subsection{defun ncTopLevel}
+\begin{verbatim}
+ncTopLevel() ==
+-- Top-level read-parse-eval-print loop for the interpreter.  Uses
+-- the Bill Burge's parser.
+  IN_-STREAM: fluid := CURINSTREAM
+  _*EOF_*: fluid := NIL
+  $InteractiveMode :fluid := true
+  $BOOT: fluid := NIL
+  $NEWSPAD: fluid := true
+  $SPAD: fluid := true
+  $e:fluid := $InteractiveFrame
+  ncIntLoop()
+\end{verbatim}
+<<defun ncTopLevel>>=
+(defun |ncTopLevel| ()
+ (prog (|$e| $spad $newspad $boot |$InteractiveMode| *eof* in-stream) 
+  (declare (special |$e| $spad $newspad $boot |$InteractiveMode| *eof*
+             in-stream |$InteractiveFrame|)) 
+   (return
+    (progn 
+     (setq in-stream curinstream) 
+     (setq *eof* nil) 
+     (setq |$InteractiveMode| t) 
+     (setq $boot nil) 
+     (setq $newspad t) 
+     (setq $spad t) 
+     (setq |$e| |$InteractiveFrame|) 
+     (|ncIntLoop|)))))
+
+@
+\subsection{defun ncIntLoop}
+<<defun ncIntLoop>>=
+(defun |ncIntLoop| ()
+  (let ((curinstream *standard-output*)
+	(curoutstream *standard-input*))
+    (declare (special curinstream curoutstream))
+    (|intloop|)))
+
+@
+\subsection{defun intloop}
+Note that the [[SpadInterpretStream]] function uses a list of 
+three strings as an argument. The values in the list seem to have
+no use and can eventually be removed. 
+\begin{verbatim}
+intloop () ==
+    mode := $intRestart
+    while mode = $intRestart repeat
+      resetStackLimits()
+      mode := CATCH($intTopLevel,
+                    SpadInterpretStream(1, ["TIM", "DALY", "?"], true))
+
+\end{verbatim}
+<<defun intloop>>=
+(defun |intloop| () 
+ (prog (mode) 
+  (declare (special |$intTopLevel| |$intRestart|)) 
+   (return 
+    (progn 
+     (setq mode |$intRestart|) 
+     ((lambda () 
+       (loop 
+        (cond 
+         ((not (equal mode |$intRestart|))
+           (return nil))
+         (t
+           (progn 
+             (|resetStackLimits|) 
+             (setq mode 
+               (catch |$intTopLevel| 
+                 (|SpadInterpretStream| 1 
+                   (list 'tim  'daly '?) t)))))))))))))
+
+@
+\subsection{defun SpadInterpretStream}
+The [[SpadInterpretStream]] function takes three arguments
+\begin{list}{}
+\item [[str]] This is passed as an argument to [[intloopReadConsole]]
+\item [[source]] This is the name of a source file but appears not
+to be used. It is set to the list [[(tim daly ?)]].
+\item [[interactive?]] If this is false then various messages are 
+suppressed and input does not use piles. If this is true then the
+library loading routines might output messages and piles are expected
+on input (as from a file).
+\end{list}
+\begin{verbatim}
+SpadInterpretStream(str, source, interactive?) ==
+    $fn              : local := source
+    pile?                    := not interactive?
+    $libQuiet        : local := not interactive?
+    $newcompMode     : local := false
+--  following seems useless and causes ccl package problems
+--    $InteractiveMode : local := false
+ 
+    $newcompErrorCount: local := 0 -- SMW Feb 2/90.
+                                   -- Used in highComplete, ncHardError etc.
+ 
+    $okToExecuteMachineCode: local := true -- set false on error
+    $inclAssertions: local := ["AIX", "CommonLisp"] -- Jan 28/90
+ 
+ 
+    $lastPos               : local := $nopos   ------------>!!!
+    $erMsgToss             : local := false --------------->!!!
+    $ncMsgList             : local := nil
+ 
+    $systemCommandFunction : local := function InterpExecuteSpadSystemCommand
+    $shoeReadLineFunction  : local := function serverReadLine
+    $promptMsg             : local := 'S2CTP023
+ 
+    interactive? =>
+                PRINC(MKPROMPT())
+                intloopReadConsole('"", str)
+                []
+    intloopInclude (source,0)
+    []
+ 
+    -----------------------------------------------------------------
+\end{verbatim}
+<<defun SpadInterpretStream>>=
+(defun |SpadInterpretStream| (str source interactive?) 
+ (prog (|$promptMsg| |$shoeReadLineFunction| |$systemCommandFunction| 
+        |$ncMsgList| |$erMsgToss| |$lastPos| |$inclAssertions| 
+        |$okToExecuteMachineCode| |$newcompErrorCount| |$newcompMode| 
+        |$libQuiet| |$fn|)
+  (declare (special |$promptMsg| |$shoeReadLineFunction| 
+            |$systemCommandFunction| |$ncMsgList| |$erMsgToss| |$lastPos| 
+            |$inclAssertions| |$okToExecuteMachineCode| |$newcompErrorCount| 
+            |$newcompMode| |$libQuiet| |$fn| |$nopos|))
+   (return 
+    (progn 
+     (setq |$fn| source) 
+     (setq |$libQuiet| (null interactive?)) 
+     (setq |$newcompMode| nil) 
+     (setq |$newcompErrorCount| 0) 
+     (setq |$okToExecuteMachineCode| t) 
+     (setq |$inclAssertions| (list 'aix '|CommonLisp|)) 
+     (setq |$lastPos| |$nopos|) 
+     (setq |$erMsgToss| nil) 
+     (setq |$ncMsgList| nil) 
+     (setq |$systemCommandFunction| #'|InterpExecuteSpadSystemCommand|) 
+     (setq |$shoeReadLineFunction| #'|serverReadLine|) 
+     (setq |$promptMsg| 'S2CTP023) 
+     (cond 
+      (interactive? 
+       (progn 
+        (princ (mkprompt)) 
+        (|intloopReadConsole| "" str) 
+        nil))
+      (t 
+       (progn 
+        (|intloopInclude| source 0) 
+        nil)))))))
+
+@
+\section{The Read-Eval-Print Loop}
+\subsection{defun intloopReadConsole}
+Note that this function relies on the fact that lisp can do tail-recursion.
+The function recursively invokes itself.
+
+The serverReadLine function is a special readline function that handles
+communication with the session manager code, which is a separate process
+running in parallel. 
+
+We read a line from standard input.
+\begin{itemize}
+\item If it is a null line then we exit Axiom.
+\item If it is a zero length line we prompt and recurse
+\item If \$dalymode and open-paren we execute lisp code, prompt and recurse
+The \$dalymode will interpret any input that begins with an open-paren
+as a lisp expression rather than Axiom input. This is useful for debugging
+purposes when most of the input lines will be lisp. Setting \$dalymode
+non-nil will certainly break user expectations and is to be used with 
+caution.
+\item If it is ``)fi'' or ``)fin'' we drop into lisp. Use the (restart)
+      function to return to the interpreter loop.
+\item If it starts with ``)'' we process the command, prompt, and recurse
+\item If it is a command then we remember the current line, process the
+      command, prompt, and recurse.
+\item If the input has a trailing underscore (Axiom line-continuation)
+      then we cut off the continuation character and pass the truncated
+      string to ourselves, prompt, and recurse
+\item otherwise we process the input, prompt, and recurse.
+\end{itemize}
+Notice that all but two paths (a null input or a ``)fi'' or a ``)fin'')
+will end up as a recursive call to ourselves.
+<<defun intloopReadConsole>>=
+(defun |intloopReadConsole| (b n) 
+ (declare (special $dalymode)) 
+ (let (c d pfx input) 
+   (setq input (|serverReadLine| *standard-input*)) 
+   (when (null (stringp input)) (|leaveScratchpad|)) 
+   (when (eql (length input) 0) 
+     (princ (mkprompt)) 
+     (|intloopReadConsole| "" n))
+   (when (and $dalymode (|intloopPrefix?| "(" input))
+     (|intnplisp| input) 
+     (princ (mkprompt)) 
+     (|intloopReadConsole| "" n))
+   (setq pfx (|intloopPrefix?| ")fi" input))
+   (when (and pfx (or (string= pfx ")fi") (string= pfx ")fin")))
+     (throw '|top_level| nil))
+   (when (and (equal b "") (setq d (|intloopPrefix?| ")" input)))
+     (|setCurrentLine| d) 
+     (setq c (|ncloopCommand| d n)) 
+     (princ (mkprompt)) 
+     (|intloopReadConsole| "" c))
+   (setq input (concat b input)) 
+   (when (|ncloopEscaped| input) 
+     (|intloopReadConsole| (subseq input 0 (- (length input) 1)) n))
+   (setq c (|intloopProcessString| input n)) 
+   (princ (mkprompt)) 
+   (|intloopReadConsole| "" c)))
+
+@
+\section{Helper Functions}
+\subsection{defun getenviron}
+<<defun getenviron>>=
+(defun getenviron (shellvar)
+ #+allegro (sys::getenv (string var))
+ #+clisp (ext:getenv (string var))
+ #+(or cmu scl)
+  (cdr 
+   (assoc (string var) ext:*environment-list* :test #'equalp :key #'string))
+ #+(or kcl akcl gcl) (si::getenv (string var))
+ #+lispworks (lw:environment-variable (string var))
+ #+lucid (lcl:environment-variable (string var))
+ #+mcl (ccl::getenv var)
+ #+sbcl (sb-ext:posix-getenv var)
+ )
+@
+
+\subsection{defun init-memory-config}
+Austin-Kyoto Common Lisp (AKCL), now known as Gnu Common Lisp (GCL)
+requires some changes to the default memory setup to run Axiom efficently.
+This function performs those setup commands. 
+<<defun init-memory-config>>=
+(defun init-memory-config (&key
+			   (cons 500)
+			   (fixnum 200)
+			   (symbol 500)
+			   (package 8)
+			   (array 400)
+			   (string 500)
+			   (cfun 100)
+			   (cpages 3000)
+			   (rpages 1000)
+			   (hole 2000) )
+  ;; initialize AKCL memory allocation parameters
+  #+:AKCL
+  (progn
+    (system:allocate 'cons cons)
+    (system:allocate 'fixnum fixnum)
+    (system:allocate 'symbol symbol)
+    (system:allocate 'package package)
+    (system:allocate 'array array)
+    (system:allocate 'string string)
+    (system:allocate 'cfun cfun)
+    (system:allocate-contiguous-pages cpages)
+    (system:allocate-relocatable-pages rpages)
+    (system:set-hole-size hole))
+  #-:AKCL
+  nil)
+
+@
+
+\subsection{defun initroot}
+Sets up the system to use the {\bf AXIOM} shell variable if we can
+and default to the {\bf \$spadroot} variable (which was the value
+of the {\bf AXIOM} shell variable at build time) if we can't.
+<<defun initroot>>=
+(defun initroot (&optional (newroot (BOOT::|getEnv| "AXIOM")))
+  (reroot (or newroot $spadroot (error "setenv AXIOM or (setq $spadroot)"))))
+
+@
+
+\subsection{defun intloopPrefix?}
+If the prefix string is the same as the whole string initial characters
+(ignoring spaces in the whole string) then we return the whole string
+minus any leading spaces.
+<<defun intloopPrefix?>>=
+(defun |intloopPrefix?| (prefix whole)
+ (let ((newprefix (string-left-trim '(#\space) prefix))
+       (newwhole  (string-left-trim '(#\space) whole)))
+  (when (<= (length newprefix) (length newwhole))
+   (when (string= newprefix newwhole :end2 (length prefix))
+    newwhole))))
+
+@
+\subsection{defun loadExposureGroupData}
+<<defun loadExposureGroupData>>=
+#+:AKCL
+(defun |loadExposureGroupData| ()
+ (cond
+  ((load "./exposed" :verbose nil :if-does-not-exist nil)
+    '|done|)
+  ((load (concat (system:getenv "AXIOM") "/algebra/exposed")
+     :verbose nil :if-does-not-exist nil)
+   '|done|)
+  (t '|failed|) ))
+
+#+:CCL
+(defun |loadExposureGroupData| ()
+ (cond
+  ((load "./exposed.lsp" :verbose NIL :if-does-not-exist NIL) '|done|)
+  ((load (concat (BOOT::|getEnv| "AXIOM") "/../../src/algebra/exposed.lsp") 
+    :verbose nil :if-does-not-exist nil) '|done|)
+  (t nil) ))
+
+@
+
+\subsection{make-absolute-filename}
+Prefix a filename with the {\bf AXIOM} shell variable.
+<<defun make-absolute-filename>>=
+(defun make-absolute-filename (name)
+ (concatenate 'string $spadroot name))
+
+@
+
+\subsection{defun makeInitialModemapFrame}
+\begin{verbatim}
+makeInitialModemapFrame() == COPY $InitialModemapFrame
+\end{verbatim}
+<<defun makeInitialModemapFrame>>=
+(defun |makeInitialModemapFrame| ()
+  (copy |$InitialModemapFrame|)) 
+
+@
+
+\subsection{defun ncloopEscaped}
+The ncloopEscaped function will return true if the last non-blank
+character of a line is an underscore, the Axiom line-continuation
+character. Otherwise, it returns nil.
+<<defun ncloopEscaped>>=
+(defun |ncloopEscaped| (x)
+ (let ((l (length x)))
+  (dotimes (i l)
+   (when (char= (char x (- l i 1)) #\_) (return t))
+   (unless (char= (char x (- l i 1)) #\space) (return nil)))))
+
+@
+
+\subsection{defun reclaim}
+Call the garbage collector on various platforms.
+<<defun reclaim>>=
+#+abcl 
+(defun reclaim () (ext::gc))
+#+:allegro
+(defun reclaim () (excl::gc t))
+#+:CCL
+(defun reclaim () (gc))
+#+clisp
+(defun reclaim () (#+lisp=cl ext::gc #-lisp=cl lisp::gc))
+#+(or :cmulisp :cmu)
+(defun reclaim () (ext:gc))
+#+cormanlisp
+(defun reclaim () (cl::gc))
+#+(OR IBCL KCL GCL)
+(defun reclaim () (si::gbc t))
+#+lispworks 
+(defun reclaim () (hcl::normal-gc))
+#+Lucid
+(defun reclaim () (lcl::gc))
+#+sbcl
+(defun reclaim () (sb-ext::gc))
+@
+
+\subsection{defun reroot}
+The reroot function is used to reset the important variables used by
+the system. In particular, these variables are sensitive to the
+{\bf AXIOM} shell variable. That variable is renamed internally to
+be {\bf \$spadroot}. The {\bf reroot} function will change the
+system to use a new root directory and will have the same effect
+as changing the {\bf AXIOM} shell variable and rerunning the system
+from scratch. Note that we have changed from the
+NAG distribution back to the original form. If you need the NAG
+version you can push {\bf :tpd} on the {\bf *features*} variable
+before compiling this file. A correct call looks like:
+\begin{verbatim}
+(in-package "BOOT")
+(reroot "/spad/mnt/${SYS}")
+\end{verbatim}
+where the [[${SYS}]] variable is the same one set at build time.
+<<defun reroot>>=
+(defun reroot (dir)
+  (setq $spadroot dir)
+  (setq $directory-list
+   (mapcar #'make-absolute-filename $relative-directory-list))
+  (setq $library-directory-list
+   (mapcar #'make-absolute-filename $relative-library-directory-list))
+  (setq |$defaultMsgDatabaseName|
+	(pathname (make-absolute-filename "/doc/msgs/s2-us.msgs")))
+  (setq |$msgDatabaseName| ())
+  (setq *default-pathname-defaults*
+	(pathname (make-absolute-filename "")))
+  (setq $current-directory $spadroot))
+
+@
+
+\subsection{defun setCurrentLine}
+Remember the current line. The cases are:
+\begin{itemize}
+\item If there is no \$currentLine set it to the input
+\item Is the current line a string and the input a string?
+      Make them into a list
+\item Is \$currentLine not a cons cell? Make it one.
+\item Is the input a string? Cons it on the end of the list.
+\item Otherwise stick it on the end of the list
+\end{itemize}
+Note I suspect the last two cases do not occur in practice since
+they result in a dotted pair if the input is not a cons. However,
+this is what the current code does so I won't change it.
+<<defun setCurrentLine>>=
+(defun |setCurrentLine| (s)
+ (cond 
+  ((null |$currentLine|) 
+    (setq |$currentLine| s))
+  ((and (stringp |$currentLine|) (stringp s))
+    (setq |$currentLine| (list |$currentLine| s)))
+  ((not (consp |$currentLine|))
+    (setq |$currentLine| (cons |$currentLine| s)))
+  ((stringp s)
+    (rplacd (last |$currentLine|) (cons s nil)))
+  (t 
+    (rplacd (last |$currentLine|) s)))
+ |$currentLine|)
+
+@
+
+\subsection{defun statisticsInitialization}
+<<defun statisticsInitialization>>=
+(defun |statisticsInitialization| () 
+ "initialize the garbage collection timer"
+ #+:akcl (system:gbc-time 0)
+ nil)
+
+@
+\chapter{System Command Handling}
+\subsection{defvar \$systemCommands}
+The system commands are the top-level commands available in Axiom
+that can all be invoked by prefixing the symbol with a closed-paren. 
+Thus, to see they copyright you type:
+\begin{verbatim}
+   )copyright
+\end{verbatim}
+New commands need to be added to this table. The command invoked will
+be the first entry of the pair and the ``user level'' of the command
+will be the second entry. 
+<<initvars>>=
+(defvar |$systemCommands| nil)
+
+(eval-when (eval load)
+ (setq |$systemCommands|
+ '(
+   (|abbreviations|		     . |compiler|   )
+   (|boot|			     . |development|)
+   (|browse|                         . |development|)
+   (|cd|			     . |interpreter|)
+   (|clear|			     . |interpreter|)
+   (|close|			     . |interpreter|)
+   (|compiler|			     . |compiler|   )
+   (|copyright|			     . |interpreter|)
+   (|credits|			     . |interpreter|)
+   (|display|			     . |interpreter|)
+   (|edit|			     . |interpreter|)
+   (|fin|			     . |development|)
+   (|frame|			     . |interpreter|)
+   (|help|			     . |interpreter|)
+   (|history|			     . |interpreter|)
+;; (|input|			     . |interpreter|)
+   (|lisp|			     . |development|)
+   (|library|			     . |interpreter|)
+   (|load|			     . |interpreter|)
+   (|ltrace|			     . |interpreter|)
+   (|pquit|			     . |interpreter|)
+   (|quit|			     . |interpreter|)
+   (|read|			     . |interpreter|)
+   (|savesystem|		     . |interpreter|)
+   (|set|			     . |interpreter|)
+   (|show|			     . |interpreter|)
+   (|spool|			     . |interpreter|)
+   (|summary|			     . |interpreter|)
+   (|synonym|			     . |interpreter|)
+   (|system|			     . |interpreter|)
+   (|trace|			     . |interpreter|)
+   (|undo|			     . |interpreter|)
+   (|what|			     . |interpreter|)
+   (|with|			     . |interpreter|)
+   (|workfiles|			     . |development|)
+   (|zsystemdevelopment| . |interpreter|)
+ )))
+
+@
+
+\subsection{defvar \$SYSCOMMANDS}
+This table is used to look up a symbol to see if it might be a command.
+<<initvars>>=
+(defvar $SYSCOMMANDS nil)
+(eval-when (eval load)
+ (setq $SYSCOMMANDS (mapcar #'car |$systemCommands|)))
+
+@
+\subsection{defvar \$noParseCommands}
+This is a list of the commands which have their arguments passed verbatim.
+Certain functions, such as the lisp function need to be able to handle
+all kinds of input that will not be acceptable to the interpreter. 
+<<initvars>>=
+(defvar |$noParseCommands| nil)
+(eval-when (eval load)
+ (setq |$noParseCommands| 
+ '( |boot|
+    |copyright|
+    |credits|
+    |fin|
+    |lisp|
+    |pquit|
+    |quit|
+    |suspend|
+    |synonym|
+    |system|
+    )))
+
+@
+\subsection{defvar \$tokenCommands}
+This is a list of the commands that expect the interpreter to parse
+their arguments. Thus the history command expects that Axiom will have
+tokenized and validated the input before calling the history function.
+<<initvars>>=
+(defvar |$tokenCommands| nil)
+(eval-when (eval load)
+ (setq |$tokenCommands|
+ '( |abbreviations|
+    |cd|
+    |clear|
+    |close|
+    |compiler|
+    |depends|
+    |display|
+    |edit|
+    |frame|
+    |frame|
+    |help|
+    |history|
+    |input|
+    |library|
+    |load|
+    |ltrace|
+    |read|
+    |savesystem|
+    |set|
+    |spool|
+    |undo|
+    |what|
+    |with|
+    |workfiles|
+    |zsystemdevelopment|
+    )))
+
+@
+
+\subsection{defvar \$InitialCommandSynonymAlist}
+Axiom can create ``synonyms'' for commands. We create an initial table
+of synonyms which are in common use.
+<<initvars>>=
+(defvar |$InitialCommandSynonymAlist| nil)
+(eval-when (eval load)
+ (setq |$InitialCommandSynonymAlist|
+   '(
+       (|?|	     . "what commands")
+       (|ap|	     . "what things")
+       (|apr|	     . "what things")
+       (|apropos|    . "what things")
+       (|cache|	     . "set functions cache")
+       (|cl|	     . "clear")
+       (|cls|	     . "zsystemdevelopment )cls")
+       (|cms|	     . "system")
+       (|co|	     . "compiler")
+       (|d|	     . "display")
+       (|dep|	     . "display dependents")
+       (|dependents| . "display dependents")
+       (|e|	     . "edit")
+       (|expose|     . "set expose add constructor")
+       (|fc|	     . "zsystemdevelopment )c")
+       (|fd|	     . "zsystemdevelopment )d")
+       (|fdt|	     . "zsystemdevelopment )dt")
+       (|fct|	     . "zsystemdevelopment )ct")
+       (|fctl|	     . "zsystemdevelopment )ctl")
+       (|fe|	     . "zsystemdevelopment )e")
+       (|fec|	     . "zsystemdevelopment )ec")
+       (|fect|	     . "zsystemdevelopment )ect")
+       (|fns|	     . "exec spadfn")
+       (|fortran|    . "set output fortran")
+       (|h|	     . "help")
+       (|hd|	     . "system hypertex &")
+       (|kclam|	     . "boot clearClams ( )")
+       (|killcaches| . "boot clearConstructorAndLisplibCaches ( )")
+       (|patch|	     . "zsystemdevelopment )patch")
+       (|pause|	     . "zsystemdevelopment )pause")
+       (|prompt|     . "set message prompt")
+       (|recurrence| . "set functions recurrence")
+       (|restore|    . "history )restore")
+       (|save|	     . "history )save")
+       (|startGraphics|    .  "system $AXIOM/lib/viewman &")
+       (|startNAGLink|     .  "system $AXIOM/lib/nagman &")
+       (|stopGraphics|     .  "lisp (|sockSendSignal| 2 15)")
+       (|stopNAGLink|      .  "lisp (|sockSendSignal| 8 15)")
+       (|time|	     . "set message time")
+       (|type|	     . "set message type")
+       (|unexpose|   . "set expose drop constructor")
+       (|up|	     . "zsystemdevelopment )update")
+       (|version|    . "lisp *yearweek*")
+       (|w|	     . "what")
+       (|wc|	     . "what categories")
+       (|wd|	     . "what domains")
+       (|who|        . "lisp (pprint credits)")
+       (|wp|	     . "what packages")
+       (|ws|	     . "what synonyms")
+)))
+
+@
+\subsection{defvar \$CommandSynonymAlist}
+The actual list of synonyms is initialized to be the same as the 
+above initial list of synonyms. The user synonyms that are added
+during a session are pushed onto this list for later lookup.
+<<initvars>>=
+(defvar |$CommandSynonymAlist| nil)
+(eval-when (eval load)
+ (setq |$CommandSynonymAlist| (copy-alist |$InitialCommandSynonymAlist|)))
+
+@
+
+\subsection{defun ncloopCommand}
+The \$systemCommandFunction is set in SpadInterpretStream
+to point to the function InterpExecuteSpadSystemCommand.
+<<defun ncloopCommand>>=
+(defun |ncloopCommand| (line n)
+ (declare (special |$systemCommandFunction|))
+ (let (a)
+  (cond
+   ((setq a (|ncloopPrefix?| ")include" line))
+     (|ncloopInclude1| a n))
+   (t
+     (funcall |$systemCommandFunction| line)
+     n))))
+
+@
+\subsection{defun ncloopPrefix?}
+If we find the prefix string in the whole string starting at position zero
+we return the remainder of the string without the leading prefix.
+<<defun ncloopPrefix?>>=
+(defun |ncloopPrefix?| (prefix whole)
+ (when (eql (search prefix whole) 0)
+  (subseq whole (length prefix))))
+
+@
+\subsection{defun ncloopInclude1}
+<<defun ncloopInclude1>>=
+(defun |ncloopInclude1| (name n)
+ (let (a)
+  (if (setq a (|ncloopIncFileName| name))
+    (|ncloopInclude| a n)
+    n)))
+
+@
+\subsection{defun ncloopIncFileName}
+Returns the first non-blank substring of the given string.
+<<defun ncloopIncFileName>>=
+(defun |ncloopIncFileName| (string)
+ (let (fn)
+  (unless (setq fn (|incFileName| string))
+   (write-line (concat string " not found")))
+ fn))
+
+@
+
+\subsection{defun ncloopInclude}
+Open the file and read it in. The ncloopInclude0 function is part
+of the parser and lives in int-top.boot.
+<<defun ncloopInclude>>=
+(defun |ncloopInclude| (name n)
+  (with-open-file (st name) (|ncloopInclude0| st name n)))
+
+@
+
+\subsection{defun incFileName}
+Given a string we return the first token from the string which is
+the first non-blank substring.
+<<defun incFileName>>=
+(defun |incFileName| (x)
+  (car (|incBiteOff| x)))
+
+@
+
+\subsection{defun incBiteOff}
+Takes a sequence and returns the a list of the first token and the
+remaining string characters. If there are no remaining string characters
+the second string is of length 0. Effectively it "bites off" the first 
+token in the string. If the string only 0 or more blanks it returns nil.
+<<defun incBiteOff>>=
+(defun |incBiteOff| (x)
+ (let (blank nonblank)
+  (setq x (string x))
+  (when (setq nonblank (position #\space x :test-not #'char=))
+    (setq blank (position #\space x :start nonblank))
+    (if blank
+     (list (subseq x nonblank blank) (subseq x blank))
+     (list (subseq x nonblank) "")))))
+
+@
+\chapter{The History Mechanism}
+\section{)history}
+\index{ugSysCmdhistory}
+
+\index{history}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )history )on}
+\item{\tt )history )off}
+\item{\tt )history )write} {\it historyInputFileName}
+\item{\tt )history )show [{\it n}] [both]}
+\item{\tt )history )save} {\it savedHistoryName}
+\item{\tt )history )restore} [{\it savedHistoryName}]
+\item{\tt )history )reset}
+\item{\tt )history )change} {\it n}
+\item{\tt )history )memory}
+\item{\tt )history )file}
+\item{\tt \%}
+\item{\tt \%\%({\it n})}
+\item{\tt )set history on | off}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+The {\it history} facility within Axiom allows you to restore your
+environment to that of another session and recall previous
+computational results.
+Additional commands allow you to review previous
+input lines and to create an {\bf .input} file of the lines typed to
+\index{file!input}
+Axiom.
+
+Axiom saves your input and output if the history facility is
+turned on (which is the default).
+This information is saved if either of
+\begin{verbatim}
+)set history on
+)history )on
+\end{verbatim}
+has been issued.
+Issuing either
+\begin{verbatim}
+)set history off
+)history )off
+\end{verbatim}
+will discontinue the recording of information.
+\index{history )on}
+\index{set history on}
+\index{set history off}
+\index{history )off}
+
+Whether the facility is disabled or not,
+the value of {\tt \%} in Axiom always
+refers to the result of the last computation.
+If you have not yet entered anything,
+{\tt \%} evaluates to an object of type
+{\tt Variable('\%)}.
+The function {\tt \%\%} may be  used to refer
+to other previous results if the history facility is enabled.
+In that case,
+{\tt \%\%(n)} is  the output from step {\tt n} if {\tt n > 0}.
+If {\tt n < 0}, the step is computed relative to the current step.
+Thus {\tt \%\%(-1)} is also the previous step,
+{\tt \%\%(-2)}, is the  step before that, and so on.
+If an invalid step number is given, Axiom will signal an error.
+
+The {\it environment} information can either be saved in a file or entirely in
+memory (the default).
+Each frame 
+(\ref{ugSysCmdframe} on page~\pageref{ugSysCmdframe})
+has its own history database.
+When it is kept in a file, some of it may also be kept in memory for
+efficiency.
+When the information is saved in a file, the name of the file is
+of the form {\bf FRAME.axh} where ``{\bf FRAME}'' is the name of the
+current frame.
+The history file is placed in the current working directory
+(see \ref{ugSysCmdcd} on page~\pageref{ugSysCmdcd}).
+Note that these history database files are not text files (in fact,
+they are directories themselves), and so are not in human-readable
+format.
+
+The options to the {\tt )history} command are as follows:
+
+\begin{description}
+\item[{\tt )change} {\it n}]
+will set the number of steps that are saved in memory to {\it n}.
+This option only has effect when the history data is maintained in a
+file.
+If you have issued {\tt )history )memory} (or not changed the default)
+there is no need to use {\tt )history )change}.
+\index{history )change}
+
+\item[{\tt )on}]
+will start the recording of information.
+If the workspace is not empty, you will be asked to confirm this
+request.
+If you do so, the workspace will be cleared and history data will begin
+being saved.
+You can also turn the facility on by issuing {\tt )set history on}.
+
+\item[{\tt )off}]
+will stop the recording of information.
+The {\tt )history )show} command will not work after issuing this
+command.
+Note that this command may be issued to save time, as there is some
+performance penalty paid for saving the environment data.
+You can also turn the facility off by issuing {\tt )set history off}.
+
+\item[{\tt )file}]
+indicates that history data should be saved in an external file on disk.
+
+\item[{\tt )memory}]
+indicates that all history data should be kept in memory rather than
+saved in a file.
+Note that if you are computing with very large objects it may not be
+practical to kept this data in memory.
+
+\item[{\tt )reset}]
+will flush the internal list of the most recent workspace calculations
+so that the data structures may be garbage collected by the underlying
+Common Lisp system.
+Like {\tt )history )change}, this option only has real effect when
+history data is being saved in a file.
+
+\item[{\tt )restore} [{\it savedHistoryName}]]
+completely clears the environment and restores it to a saved session, if
+possible.
+The {\tt )save} option below allows you to save a session to a file
+with a given name. If you had issued
+{\tt )history )save jacobi}
+the command
+{\tt )history )restore jacobi}
+would clear the current workspace and load the contents of the named
+saved session. If no saved session name is specified, the system looks
+for a file called {\bf last.axh}.
+
+\item[{\tt )save} {\it savedHistoryName}]
+is used to save  a snapshot of the environment in a file.
+This file is placed in the current working directory
+(see \ref{ugSysCmdcd} on page~\pageref{ugSysCmdcd}).
+Use {\tt )history )restore} to restore the environment to the state
+preserved in the file.
+This option also creates an input file containing all the lines of input
+since you created the workspace frame (for example, by starting your
+Axiom session) or last did a {\tt )clear all} or
+{\tt )clear completely}.
+
+\item[{\tt )show} [{\it n}] [{\tt both}]]
+can show previous input lines and output results.
+{\tt )show} will display up to twenty of the last input lines
+(fewer if you haven't typed in twenty lines).
+{\tt )show} {\it n} will display up to {\it n} of the last input lines.
+{\tt )show both} will display up to five of the last input lines and
+output results.
+{\tt )show} {\it n} {\tt both} will display up to {\it n} of the last
+input lines and output results.
+
+\item[{\tt )write} {\it historyInputFile}]
+creates an {\bf .input} file with the input lines typed since the start
+of the session/frame or the last {\tt )clear all} or {\tt )clear
+completely}.
+If {\it historyInputFileName} does not contain a period (``.'') in the filename,
+{\bf .input} is appended to it.
+For example,
+{\tt )history )write chaos}
+and
+{\tt )history )write chaos.input}
+both write the input lines to a file called {\bf chaos.input} in your
+current working directory.
+If you issued one or more {\tt )undo} commands,
+{\tt )history )write}
+eliminates all
+input lines backtracked over as a result of {\tt )undo}.
+You can edit this file and then use {\tt )read} to have Axiom process
+the contents.
+\end{description}
+
+\par\noindent{\bf Also See:}
+{\tt )frame} \index{ugSysCmdframe},
+{\tt )read} \index{ugSysCmdread},
+{\tt )set} \index{ugSysCmdset}, and
+{\tt )undo} \index{ugSysCmdundo}.
+
+
+History recording is done in two different ways:
+\begin{itemize}
+\item all changes in variable bindings (i.e. previous values) are
+    written to [[$HistList]], which is a circular list
+\item all new bindings (including the binding to [[%]]) are written to a
+    file called [[histFileName()]]
+    one older session is accessible via the file [[$oldHistFileName()]]
+\end{itemize}
+
+\section{Variables Used}
+The following global variables are used:
+\begin{list}{}
+\item [[$HistList]], [[$HistListLen]] and [[$HistListAct]] which is the
+       actual number of ``undoable'' steps)
+\item [[$HistRecord]] collects the input line, all variable bindings
+      and the output of a step, before it is written to the file
+      [[histFileName()]].
+\item [[$HiFiAccess]] is a flag, which is reset by [[)history )off]]
+\end{list}
+The result of step n can be accessed by [[%n]], which is translated
+into a call of [[fetchOutput(n)]]. The 
+[[updateHist]] is called after every interpreter step. The 
+[[putHist]] function records all changes in the environment to [[$HistList]]
+  and [[$HistRecord]]
+ 
+\subsection{Initialized history variables}
+<<initvars>>=
+(defvar |$oldHistoryFileName| '|last| "vm/370 filename name component")
+(defvar |$historyFileType| '|axh|     "vm/370 filename type component")
+(defvar |$historyDirectory| 'A        "vm/370 filename disk component")
+(defvar |$HiFiAccess| t               "t means turn on history mechanism")
+(defvar |$useInternalHistoryTable| t  "t means keep history in core")
+
+@
+\section{Data Structures}
+\section{Functions}
+\subsection{defun makeHistFileName}
+\begin{verbatim}
+makeHistFileName(fname) ==
+  makePathname(fname,$historyFileType,$historyDirectory)
+\end{verbatim}
+<<defun makeHistFileName>>=
+(defun |makeHistFileName| (fname) 
+ (|makePathname| fname |$historyFileType| |$historyDirectory|)) 
+
+@ 
+\subsection{defun oldHistFileName}
+\begin{verbatim}
+oldHistFileName() ==
+  makeHistFileName($oldHistoryFileName)
+\end{verbatim}
+<<defun oldHistFileName>>=
+(defun |oldHistFileName| ()
+ (|makeHistFileName| |$oldHistoryFileName|)) 
+
+@
+\subsection{defun histFileName}
+\begin{verbatim}
+histFileName() ==
+  makeHistFileName($interpreterFrameName)
+\end{verbatim}
+<<defun histFileName>>=
+(defun |histFileName| () 
+ (|makeHistFileName| |$interpreterFrameName|)) 
+
+@
+\subsection{defun histInputFileName}
+\begin{verbatim}
+histInputFileName(fn) ==
+  null fn =>
+    makePathname($interpreterFrameName,'INPUT,$historyDirectory)
+  makePathname(fn,'INPUT,$historyDirectory)
+\end{verbatim}
+<<defun histInputFileName>>=
+(defun |histInputFileName| (fn)
+ (if (null fn)
+    (|makePathname| |$interpreterFrameName| 'input |$historyDirectory|)
+    (|makePathname| fn 'input |$historyDirectory|)))
+@
+
+\subsection{defun initHist}
+\begin{verbatim}
+initHist() ==
+  $useInternalHistoryTable => initHistList()
+  oldFile := oldHistFileName()
+  newFile := histFileName()
+  -- see if history directory is writable
+  histFileErase oldFile
+  if MAKE_-INPUT_-FILENAME newFile then $REPLACE(oldFile,newFile)
+  $HiFiAccess:= 'T
+  initHistList()
+\end{verbatim}
+<<defun initHist>>=
+(defun |initHist| ()
+ (prog (oldFile newFile)
+  (return
+   (cond
+     (|$useInternalHistoryTable| 
+       (|initHistList|))
+     (t
+       (spadlet oldFile (|oldHistFileName|))
+       (spadlet newFile (|histFileName|))
+       (|histFileErase| oldFile)
+       (when (make-input-filename newFile)
+        ($replace oldFile newFile))
+       (spadlet |$HiFiAccess| t)
+       (|initHistList|)))))) 
+ 
+@
+\subsection{defun initHistList}
+\begin{verbatim}
+initHistList() ==
+  -- creates $HistList as a circular list of length $HistListLen
+  -- and $HistRecord
+  $HistListLen:= 20
+  $HistList:= LIST NIL
+  li:= $HistList
+  for i in 1..$HistListLen repeat li:= CONS(NIL,li)
+  RPLACD($HistList,li)
+  $HistListAct:= 0
+  $HistRecord:= NIL
+\end{verbatim}
+<<defun initHistList>>=
+(defun |initHistList| () 
+ (prog (li) 
+  (return 
+   (seq 
+    (progn 
+     (spadlet |$HistListLen| 20) 
+     (spadlet |$HistList| (list nil)) 
+     (spadlet li |$HistList|) 
+     (do ((|i| 1 (qsadd1 |i|))) 
+         ((qsgreaterp |i| |$HistListLen|) nil) 
+      (seq 
+       (exit 
+        (spadlet li (cons nil li)))))
+     (rplacd |$HistList| li) 
+     (spadlet |$HistListAct| 0) 
+     (spadlet |$HistRecord| NIL))))))
+ 
+@
+\subsection{defun history}
+\begin{verbatim}
+history l ==
+  l or null $options => sayKeyedMsg("S2IH0006",NIL) 
+  historySpad2Cmd()
+\end{verbatim}
+<<defun history>>=
+(defun |history| (l) 
+ (cond 
+  ((or l (null |$options|)) 
+    (|sayKeyedMsg| 'S2IH0006 nil)) ; syntax error
+  (t 
+    (|historySpad2Cmd|)))) 
+
+@
+\subsection{defun historySpad2Cmd}
+\begin{verbatim}
+historySpad2Cmd() ==
+  -- history is a system command which can call resetInCoreHist
+  -- and changeHistListLen, and restore last session
+  histOptions:=
+    '(on off yes no change reset restore write save show file memory)
+  opts:= [ [selectOptionLC(opt,histOptions,'optionError),:optargs]
+    for [opt,:optargs] in $options]
+  for [opt,:optargs] in opts repeat
+    opt in '(on yes) =>
+      $HiFiAccess => sayKeyedMsg("S2IH0007",NIL) 
+      $IOindex = 1 =>       -- haven't done anything yet
+        $HiFiAccess:= 'T
+        initHistList()
+        sayKeyedMsg("S2IH0008",NIL) 
+      x := UPCASE queryUserKeyedMsg("S2IH0009",NIL) 
+      MEMQ(STRING2ID_-N(x,1),'(Y YES)) =>
+        histFileErase histFileName()
+        $HiFiAccess:= 'T
+        $options := nil
+        clearSpad2Cmd '(all)
+        sayKeyedMsg("S2IH0008",NIL)
+        initHistList()
+      sayKeyedMsg("S2IH0010",NIL)
+    opt in '(off no) =>
+      null $HiFiAccess => sayKeyedMsg("S2IH0011",NIL)
+      $HiFiAccess:= NIL
+      disableHist()
+      sayKeyedMsg("S2IH0012",NIL)
+    opt = 'file    => setHistoryCore NIL
+    opt = 'memory  => setHistoryCore true
+    opt = 'reset   => resetInCoreHist()
+    opt = 'save    => saveHistory optargs
+    opt = 'show    => showHistory optargs
+    opt = 'change  => changeHistListLen first optargs
+    opt = 'restore => restoreHistory optargs
+    opt = 'write   => writeInputLines(optargs,1)
+  'done
+\end{verbatim}
+<<defun historySpad2Cmd>>=
+(defun |historySpad2Cmd| () 
+ (prog (histOptions opts opt optargs x) 
+  (return 
+   (seq 
+    (progn 
+     (spadlet histOptions 
+       '(|on| |off| |yes| |no| |change| |reset| |restore| |write| 
+         |save| |show| |file| |memory|)) 
+     (spadlet opts 
+      (prog (tmp1) 
+        (spadlet tmp1 nil) 
+        (return 
+         (do ((tmp2 |$options| (cdr tmp2)) (tmp3 NIL))
+             ((or (atom tmp2) 
+                  (progn 
+                    (setq tmp3 (car tmp2)) 
+                    nil) 
+                  (progn 
+                   (progn 
+                    (spadlet opt (car tmp3)) 
+                    (spadlet optargs (cdr tmp3)) 
+                    tmp3) 
+                   nil))
+                (nreverse0 tmp1))
+          (seq 
+           (exit 
+            (setq tmp1 
+             (cons 
+               (cons 
+                 (|selectOptionLC| opt histOptions '|optionError|)
+                 optargs)
+               tmp1)))))))) 
+     (do ((tmp4 opts (cdr tmp4)) (tmp5 nil))
+         ((or (atom tmp4) 
+              (progn 
+                (setq tmp5 (car tmp4))
+                 nil) 
+              (progn 
+               (progn 
+                (spadlet opt (car tmp5)) 
+                (spadlet optargs (cdr tmp5)) 
+                tmp5) 
+               nil))
+           nil)
+       (seq 
+        (exit 
+         (cond 
+          ((|member| opt '(|on| |yes|))
+             (cond 
+              (|$HiFiAccess| 
+                (|sayKeyedMsg| 'S2IH0007 nil)) ; history already on
+              ((eql |$IOindex| 1) 
+                (spadlet |$HiFiAccess| t)
+                (|initHistList|)
+                (|sayKeyedMsg| 'S2IH0008 nil)) ; history now on
+              (t 
+                (spadlet x ; really want to turn history on?
+                  (upcase (|queryUserKeyedMsg| 'S2IH0009 nil)))
+                (cond 
+                 ((memq (string2id-n x 1) '(Y YES)) 
+                   (|histFileErase| (|histFileName|)) 
+                   (spadlet |$HiFiAccess| t)
+                   (spadlet |$options| nil) 
+                   (|clearSpad2Cmd| '(|all|))
+                   (|sayKeyedMsg| 'S2IH0008 nil) ; history now on
+                   (|initHistList|)) 
+                 (t 
+                   (|sayKeyedMsg| 'S2IH0010 nil)))))) ; history still off
+          ((|member| opt '(|off| |no|)) 
+            (cond 
+             ((null |$HiFiAccess|) 
+               (|sayKeyedMsg| 'S2IH0011 nil)) ; history already off
+             (t 
+               (spadlet |$HiFiAccess| nil) 
+               (|disableHist|) 
+               (|sayKeyedMsg| 'S2IH0012 nil)))) ; history now off
+          ((boot-equal opt '|file|)
+             (|setHistoryCore| nil)) 
+          ((boot-equal opt '|memory|)
+             (|setHistoryCore| t)) 
+          ((boot-equal opt '|reset|) 
+             (|resetInCoreHist|)) 
+          ((boot-equal opt '|save|) 
+             (|saveHistory| optargs)) 
+          ((boot-equal opt '|show|) 
+             (|showHistory| optargs)) 
+          ((boot-equal opt '|change|)
+             (|changeHistListLen| (CAR optargs))) 
+          ((boot-equal opt '|restore|)
+             (|restoreHistory| optargs)) 
+          ((boot-equal opt '|write|)
+             (|writeInputLines| optargs 1)))))) 
+     '|done|)))))
+
+@ 
+\subsection{defun setHistoryCore}
+We [[case]] on the [[inCore]] argument value
+\begin{list}{}
+\item If history is already on and is kept in the same location as requested
+(file or memory) then complain.
+\item If history is not in use then start using the file or memory as 
+requested. This is done by simply setting the [[$useInternalHistoryTable]] 
+to the requested value, where [[T]] means use memory and [[NIL]] means
+use a file. We tell the user.
+\item If history should be in memory, that is [[inCore]] is not [[NIL]],
+and the history file already contains information we read the information
+from the file, store it in memory, and erase the history file. We modify
+[[$useInternalHistoryTable]] to [[T]] to indicate that we're maintining
+the history in memory and tell the user.
+\item Otherwise history must be on and in memory. We erase any old history
+file and then write the in-memory history to a new file
+\end{list}
+\begin{verbatim}
+setHistoryCore inCore ==
+  inCore = $useInternalHistoryTable =>
+    sayKeyedMsg((inCore => "S2IH0030"; "S2IH0029"),NIL) 
+  not $HiFiAccess =>
+    $useInternalHistoryTable := inCore
+    inCore => sayKeyedMsg("S2IH0032",NIL)
+    sayKeyedMsg("S2IH0031",NIL)
+  inCore =>
+    $internalHistoryTable := NIL
+    if $IOindex ^= 0 then
+      -- actually put something in there
+      l := LENGTH RKEYIDS histFileName()
+      for i in 1..l repeat
+        vec:= UNWIND_-PROTECT(readHiFi(i),disableHist())
+        $internalHistoryTable := CONS([i,:vec],$internalHistoryTable)
+      histFileErase histFileName()
+    $useInternalHistoryTable := true
+    sayKeyedMsg("S2IH0032",NIL)
+  $HiFiAccess:= 'NIL
+  histFileErase histFileName()
+  str := RDEFIOSTREAM ['(MODE . OUTPUT),['FILE,:histFileName()]]
+  for [n,:rec] in reverse $internalHistoryTable repeat
+    SPADRWRITE(object2Identifier n,rec,str)
+  RSHUT str
+  $HiFiAccess:= 'T
+  $internalHistoryTable := NIL
+  $useInternalHistoryTable := NIL
+  sayKeyedMsg("S2IH0031",NIL)
+\end{verbatim}
+<<defun setHistoryCore>>=
+(defun |setHistoryCore| (inCore) 
+ (prog (l vec str n rec) 
+  (cond 
+   ((boot-equal inCore |$useInternalHistoryTable|) 
+     (if inCore 
+        (|sayKeyedMsg| 'S2IH0030 NIL) ; memory history already in use
+        (|sayKeyedMsg| 'S2IH0029 NIL))) ; file history already in use
+   ((null |$HiFiAccess|) 
+     (spadlet |$useInternalHistoryTable| inCore) 
+     (if inCore 
+        (|sayKeyedMsg| 'S2IH0032 NIL) ; use memory history
+        (|sayKeyedMsg| 'S2IH0031 NIL))) ; use file history
+   (inCore 
+     (spadlet |$internalHistoryTable| nil) 
+     (cond 
+      ((nequal |$IOindex| 0) 
+        (spadlet l (length (rkeyids (|histFileName|)))) 
+        (do ((|i| 1 (qsadd1 |i|)))
+            ((qsgreaterp |i| l) NIL)
+         (seq 
+          (exit 
+           (progn 
+            (spadlet vec (unwind-protect (|readHiFi| |i|) (|disableHist|)))
+            (spadlet |$internalHistoryTable| 
+              (cons (cons |i| vec) |$internalHistoryTable|))))))
+         (|histFileErase| (|histFileName|)))) 
+     (spadlet |$useInternalHistoryTable| t) 
+     (|sayKeyedMsg| 'S2IH0032 nil)) ; use memory history
+   (t 
+     (spadlet |$HiFiAccess| nil)
+     (|histFileErase| (|histFileName|))
+     (spadlet str 
+      (rdefiostream 
+       (cons 
+         '(mode . output) 
+          (cons
+            (cons 'file (|histFileName|))
+             nil))))
+     (do ((tmp0 (reverse |$internalHistoryTable|) (cdr tmp0))
+          (tmp1 NIL))
+         ((or (atom tmp0) 
+              (progn 
+                (setq tmp1 (car tmp0))
+                nil) 
+              (progn 
+               (progn 
+                (spadlet n (car tmp1))
+                (spadlet rec (cdr tmp1))
+                tmp1) 
+               nil)) 
+              nil)
+       (seq 
+        (exit 
+         (spadrwrite (|object2Identifier| n) rec str))))
+     (rshut str)
+     (spadlet |$HiFiAccess| t)
+     (spadlet |$internalHistoryTable| nil)
+     (spadlet |$useInternalHistoryTable| nil)
+     (|sayKeyedMsg| 'S2IH0031 NIL))))) ; use file history
+
+@
+\subsection{defun writeInputLines}
+\begin{verbatim}
+writeInputLines(fn,initial) == 
+  -- writes all input lines into file histInputFileName()
+  not $HiFiAccess => sayKeyedMsg("S2IH0013",NIL) ; history not on
+  null fn =>
+    throwKeyedMsg("S2IH0038", nil) ; missing file name
+  maxn := 72
+  breakChars := [" ","+"]
+  for i in initial..$IOindex - 1 repeat
+    vecl := CAR readHiFi i
+    if STRINGP vecl then vecl := [vecl]
+    for vec in vecl repeat
+      n := SIZE vec
+      while n > maxn repeat
+        -- search backwards for a blank
+        done := nil
+        for j in 1..maxn while ^done repeat
+          k := 1 + maxn - j
+          MEMQ(vec.k,breakChars) =>
+            svec := STRCONC(SUBSTRING(vec,0,k+1),UNDERBAR)
+            lineList := [svec,:lineList]
+            done := true
+            vec := SUBSTRING(vec,k+1,NIL)
+            n := SIZE vec
+        -- in case we can't find a breaking point
+        if ^done then n := 0
+      lineList := [vec,:lineList]
+  file := histInputFileName(fn)
+  histFileErase file
+  inp:= DEFIOSTREAM(['(MODE . OUTPUT),['FILE,:file]],255,0)
+  for x in removeUndoLines NREVERSE lineList repeat WRITE_-LINE(x,inp)
+  -- see file "undo" for definition of removeUndoLines
+  if fn ^= 'redo then sayKeyedMsg("S2IH0014",[namestring file])
+  SHUT inp
+  NIL
+\end{verbatim}
+<<defun writeInputLines>>=
+(defun |writeInputLines| (fn initial) 
+ (prog (maxn breakChars vecl k svec done vec n lineList file inp) 
+  (return 
+   (seq 
+    (cond 
+     ((null |$HiFiAccess|)
+       (|sayKeyedMsg| 'S2IH0013 nil)) ; history is not on
+     ((null fn) 
+       (|throwKeyedMsg| 'S2IH0038 nil)) ; missing file name
+     (t 
+       (spadlet maxn 72)
+       (spadlet breakChars (cons '| | (cons '+ nil)))
+       (do ((tmp0 (spaddifference |$IOindex| 1))
+            (|i| initial (+ |i| 1)))
+           ((> |i| tmp0) nil)
+        (seq 
+         (exit 
+          (progn 
+           (spadlet vecl (car (|readHiFi| |i|)))
+           (cond
+            ((stringp vecl) (spadlet vecl (cons vecl nil))))
+           (do ((tmp1 vecl (cdr tmp1)) (vec nil))
+               ((or (atom tmp1) (progn (setq vec (car tmp1)) nil)) nil)
+            (seq 
+             (exit 
+              (progn 
+               (spadlet n (size vec))
+               (do () 
+                   ((null (> n maxn)) nil) 
+                (seq 
+                 (exit 
+                  (progn 
+                   (spadlet done nil)
+                   (do ((|j| 1 (qsadd1 |j|)))
+                       ((or (qsgreaterp |j| maxn) (null (null done))) nil)
+                    (seq 
+                     (exit 
+                      (progn 
+                       (spadlet k (spaddifference (plus 1 maxn) |j|))
+                       (cond 
+                        ((memq (ELT vec k) breakChars)
+                          (progn 
+                           (spadlet svec (strconc 
+                             (substring vec 0 (plus k 1)) underbar))
+                           (spadlet lineList (cons svec lineList))
+                           (spadlet done t)
+                           (spadlet vec (substring vec (plus k 1) nil))
+                           (spadlet n (size vec)))))))))
+                   (cond 
+                    ((null done) (spadlet n 0))
+                    (t nil))))))
+               (spadlet lineList (cons vec lineList))))))))))
+       (spadlet file (|histInputFileName| fn))
+       (|histFileErase| file)
+       (spadlet inp 
+        (defiostream 
+         (cons 
+          '(mode . output) 
+          (cons (cons 'file file) nil)) 255 0))
+       (do ((tmp2 (|removeUndoLines| (nreverse lineList)) (cdr tmp2))
+            (x nil)) 
+           ((or (atom tmp2) 
+                (progn 
+                 (setq x (car tmp2)) 
+                 nil))
+             nil) 
+        (seq 
+         (exit 
+          (write-line x inp))))
+       (cond 
+        ((nequal fn '|redo|) 
+          (|sayKeyedMsg| 'S2IH0014 ; edit this file to see input lines
+            (cons (|namestring| file) nil))))
+       (shut inp)
+       nil)))))) 
+
+@ 
+\subsection{defun resetInCoreHist}
+\begin{verbatim}
+resetInCoreHist() ==
+  -- removes all pointers from $HistList
+  $HistListAct:= 0
+  for i in 1..$HistListLen repeat
+    $HistList:= CDR $HistList
+    RPLACA($HistList,NIL)
+\end{verbatim}
+<<defun resetInCoreHist>>=
+(defun |resetInCoreHist| () 
+ (seq 
+  (progn 
+   (spadlet |$HistListAct| 0) 
+   (do ((|i| 1 (qsadd1 |i|)))
+       ((qsgreaterp |i| |$HistListLen|) nil)
+    (seq
+     (exit
+      (progn
+       (spadlet |$HistList| (cdr |$HistList|))
+       (rplaca |$HistList| nil)))))))) 
+
+@
+\subsection{defun changeHistListLen}
+\begin{verbatim}
+changeHistListLen(n) ==
+  -- changes the length of $HistList.  n must be nonnegative
+  NULL INTEGERP n => sayKeyedMsg("S2IH0015",[n]) 
+  dif:= n-$HistListLen
+  $HistListLen:= n
+  l:= CDR $HistList
+  if dif > 0 then
+    for i in 1..dif repeat l:= CONS(NIL,l)
+  if dif < 0 then
+    for i in 1..-dif repeat l:= CDR l
+    if $HistListAct > n then $HistListAct:= n
+  RPLACD($HistList,l)
+  'done
+\end{verbatim}
+<<defun changeHistListLen>>=
+(defun |changeHistListLen| (n)
+ (prog (dif l) 
+  (return
+   (seq
+    (cond
+     ((null (integerp n)) 
+       (|sayKeyedMsg| 'S2IH0015 (cons n nil))) ; only positive integers
+     (t 
+       (spadlet dif (spaddifference n |$HistListLen|))
+       (spadlet |$HistListLen| n) 
+       (spadlet l (cdr |$HistList|)) 
+       (cond 
+        ((> dif 0) 
+          (do ((|i| 1 (qsadd1 |i|)))
+              ((qsgreaterp |i| dif) nil)
+           (seq
+            (exit
+             (spadlet l (cons nil l)))))))
+       (cond
+        ((minusp dif)
+          (do ((tmp0 (spaddifference dif)) 
+               (|i| 1 (qsadd1 |i|)))
+              ((qsgreaterp |i| tmp0) nil)
+           (seq
+            (exit
+             (spadlet l (cdr l)))))
+          (cond
+           ((> |$HistListAct| n) (spadlet |$HistListAct| n))
+           (t nil))))
+       (rplacd |$HistList| l) 
+       '|done|)))))) 
+
+@
+\subsection{defun updateHist}
+\begin{verbatim}
+updateHist() ==
+  -- updates the history file and calls updateInCoreHist
+  null $IOindex => nil
+  startTimingProcess 'history
+  updateInCoreHist()
+  if $HiFiAccess then
+    UNWIND_-PROTECT(writeHiFi(),disableHist())
+    $HistRecord:= NIL
+  $IOindex:= $IOindex+1
+  updateCurrentInterpreterFrame()
+  $mkTestInputStack := nil
+  $currentLine := nil
+  stopTimingProcess 'history
+\end{verbatim}
+<<defun updateHist>>=
+(defun |updateHist| () 
+ (cond
+   ((null |$IOindex|) nil)
+   (t 
+     (|startTimingProcess| '|history|)
+     (|updateInCoreHist|)
+     (when |$HiFiAccess| 
+        (unwind-protect (|writeHiFi|) (|disableHist|))
+        (spadlet |$HistRecord| nil))
+     (spadlet |$IOindex| (plus |$IOindex| 1))
+     (|updateCurrentInterpreterFrame|)
+     (spadlet |$mkTestInputStack| nil)
+     (spadlet |$currentLine| nil)
+     (|stopTimingProcess| '|history|)))) 
+
+@
+\subsection{defun updateInCoreHist}
+\begin{verbatim}
+updateInCoreHist() ==
+  -- updates $HistList and $IOindex
+  $HistList:= CDR($HistList)
+  RPLACA($HistList,NIL)
+  if $HistListAct < $HistListLen then $HistListAct:= $HistListAct+1
+\end{verbatim}
+<<defun updateInCoreHist>>=
+(defun |updateInCoreHist| ()
+ (progn
+  (spadlet |$HistList| (cdr |$HistList|))
+  (rplaca |$HistList| nil) 
+  (COND 
+   ((> |$HistListLen| |$HistListAct|) 
+     (spadlet |$HistListAct| (plus |$HistListAct| 1)))
+   (t nil)))) 
+
+@
+\subsection{defun putHist}
+\begin{verbatim}
+putHist(x,prop,val,e) ==
+  -- records new value to $HistRecord and old value to $HistList
+  -- then put is called with e
+  if not (x='%) then recordOldValue(x,prop,get(x,prop,e))
+  if $HiFiAccess then recordNewValue(x,prop,val)
+  putIntSymTab(x,prop,val,e)
+\end{verbatim}
+<<defun putHist>>=
+(defun |putHist| (x prop val e)
+ (progn
+  (when (null (boot-equal x '%))
+    (|recordOldValue| x prop (|get| x prop e)))
+  (when |$HiFiAccess|
+    (|recordNewValue| x prop val))
+  (|putIntSymTab| x prop val e))) 
+
+@
+\subsection{defun recordNewValue}
+\begin{verbatim}
+recordNewValue(x,prop,val) ==
+  startTimingProcess 'history
+  recordNewValue0(x,prop,val)
+  stopTimingProcess 'history
+\end{verbatim}
+<<defun recordNewValue>>=
+(defun |recordNewValue| (x prop val)
+ (progn 
+  (|startTimingProcess| '|history|)
+  (|recordNewValue0| x prop val)
+  (|stopTimingProcess| '|history|))) 
+
+@
+\subsection{defun recordNewValue0}
+\begin{verbatim}
+recordNewValue0(x,prop,val) ==
+  -- writes (prop . val) into $HistRecord
+  -- updateHist writes this stuff out into the history file
+  p1:= ASSQ(x,$HistRecord) =>
+    p2:= ASSQ(prop,CDR p1) =>
+      RPLACD(p2,val)
+    RPLACD(p1,CONS(CONS(prop,val),CDR p1))
+  p:= CONS(x,list CONS(prop,val))
+  $HistRecord:= CONS(p,$HistRecord)
+\end{verbatim}
+<<defun recordNewValue0>>=
+(defun |recordNewValue0| (x prop val)
+ (prog (p1 p2 p)
+  (return 
+   (cond 
+    ((spadlet p1 (ASSQ x |$HistRecord|))
+      (cond 
+       ((spadlet p2 (assq prop (cdr p1))) (rplacd p2 val))
+       (t (rplacd p1 (cons (cons prop val) (cdr p1))))))
+    (t
+      (spadlet p (cons x (list (cons prop val))))
+      (spadlet |$HistRecord| (cons p |$HistRecord|))))))) 
+
+@
+\subsection{defun recordOldValue}
+\begin{verbatim}
+recordOldValue(x,prop,val) ==
+  startTimingProcess 'history
+  recordOldValue0(x,prop,val)
+  stopTimingProcess 'history
+\end{verbatim}
+<<defun recordOldValue>>=
+(defun |recordOldValue| (x prop val)
+ (progn
+  (|startTimingProcess| '|history|)
+  (|recordOldValue0| x prop val)
+  (|stopTimingProcess| '|history|)))
+
+@
+\subsection{defun recordOldValue0}
+\begin{verbatim}
+recordOldValue0(x,prop,val) ==
+  -- writes (prop . val) into $HistList
+  p1:= ASSQ(x,CAR $HistList) =>
+    not ASSQ(prop,CDR p1) =>
+      RPLACD(p1,CONS(CONS(prop,val),CDR p1))
+  p:= CONS(x,list CONS(prop,val))
+  RPLACA($HistList,CONS(p,CAR $HistList))
+\end{verbatim}
+<<defun recordOldValue0>>=
+(defun |recordOldValue0| (x prop val)
+ (prog (p1 p)
+  (return
+   (seq
+    (when (spadlet p1 (assq x (car |$HistList|)))
+      (exit
+        (when (null (assq prop (cdr p1)))
+          (exit
+            (rplacd p1 (cons (cons prop val) (cdr p1)))))))
+    (spadlet p (cons x (list (cons prop val))))
+    (rplaca |$HistList| (cons p (car |$HistList|))))))) 
+
+@
+\subsection{defun undoInCore}
+\begin{verbatim}
+undoInCore(n) ==
+  -- undoes the last n>0 steps using $HistList
+  -- resets $InteractiveFrame
+  li:= $HistList
+  for i in n..$HistListLen repeat li:= CDR li
+  undoChanges(li)
+  n:= $IOindex-n-1
+  n>0 and
+    $HiFiAccess =>
+      vec:= CDR UNWIND_-PROTECT(readHiFi(n),disableHist())
+      val:= ( p:= ASSQ('%,vec) ) and ( p1:= ASSQ('value,CDR p) ) and
+        CDR p1
+    sayKeyedMsg("S2IH0019",[n])
+  $InteractiveFrame:= putHist('%,'value,val,$InteractiveFrame)
+  updateHist()
+\end{verbatim}
+<<defun undoInCore>>=
+(defun |undoInCore| (n)
+ (prog (li vec p p1 val)
+  (return
+   (seq
+    (progn
+     (spadlet li |$HistList|) 
+     (do ((i n (+ i 1)))
+         ((> i |$HistListLen|) nil)
+      (seq
+       (exit
+        (spadlet li (cdr li)))))
+     (|undoChanges| li)
+     (spadlet n (spaddifference (spaddifference |$IOindex| n) 1))
+     (and
+       (> n 0)
+       (cond 
+        (|$HiFiAccess|
+          (spadlet vec 
+           (cdr (unwind-protect (|readHiFi| n) (|disableHist|))))
+          (spadlet val 
+           (and 
+            (spadlet p (assq '% vec))
+            (spadlet p1 (assq '|value| (cdr p)))
+            (cdr p1))))
+        (t 
+          (|sayKeyedMsg| 'S2IH0019 (cons n nil))))) ; no history file
+     (spadlet |$InteractiveFrame| 
+       (|putHist| '% '|value| val |$InteractiveFrame|))
+     (|updateHist|)))))) 
+
+@
+\subsection{defun undoChanges}
+\begin{verbatim}
+undoChanges(li) ==
+  -- undoes all changes of list 'li'
+  if not CDR li = $HistList then undoChanges CDR li
+  for p1 in CAR li repeat
+    x:= CAR p1
+    for p2 in CDR p1 repeat
+      putHist(x,CAR p2,CDR p2,$InteractiveFrame)
+\end{verbatim}
+<<defun undoChanges>>=
+(defun |undoChanges| (li)
+ (prog (x)
+  (return
+   (seq
+    (progn
+     (when (null (boot-equal (cdr li) |$HistList|))
+       (|undoChanges| (cdr li)))
+     (do ((tmp0 (car li) (cdr tmp0)) (p1 NIL))
+         ((or (atom tmp0) (progn (setq p1 (car tmp0)) nil)) nil)
+      (seq
+       (exit
+        (progn
+         (spadlet x (car p1))
+         (do ((tmp1 (cdr p1) (cdr tmp1)) (p2 nil))
+             ((or (atom tmp1) (progn (setq p2 (car tmp1)) nil)) nil)
+          (seq
+           (exit
+            (|putHist| x (car p2) (cdr p2) |$InteractiveFrame|)
+      )))))))))))) 
+
+@
+\subsection{defun undoFromFile}
+\begin{verbatim}
+undoFromFile(n) ==
+  -- makes a clear and redoes all the assignments until step n
+  for [x,:varl] in CAAR $InteractiveFrame repeat
+    for p in varl repeat
+      [prop,:val]:= p
+      val =>
+        if not (x='%) then recordOldValue(x,prop,val)
+        if $HiFiAccess then recordNewValue(x,prop,val)
+        RPLACD(p,NIL)
+  for i in 1..n repeat
+    vec:= UNWIND_-PROTECT(CDR readHiFi(i),disableHist())
+    for p1 in vec repeat
+      x:= CAR p1
+      for p2 in CDR p1 repeat
+        $InteractiveFrame:= putHist(x,CAR p2,CDR p2,$InteractiveFrame)
+  val:= ( p:= ASSQ('%,vec) ) and ( p1:= ASSQ('value,CDR p) ) and CDR p1
+  $InteractiveFrame:= putHist('%,'value,val,$InteractiveFrame)
+  updateHist()
+\end{verbatim}
+<<defun undoFromFile>>=
+(defun |undoFromFile| (n)
+ (prog (varl prop vec x p p1 val)
+  (return
+   (seq
+    (progn
+     (do ((tmp0 (caar |$InteractiveFrame|) (cdr tmp0)) (tmp1 nil))
+         ((or (atom tmp0) 
+              (progn (setq tmp1 (car tmp0)) nil) 
+              (progn
+                (progn
+                 (spadlet x (car tmp1)) 
+                 (spadlet varl (cdr tmp1))
+                 tmp1)
+                 nil))
+               nil)
+      (seq
+       (exit
+        (do ((tmp2 varl (cdr tmp2)) (p nil))
+            ((or (atom tmp2) (progn (setq p (car tmp2)) nil)) nil)
+         (seq
+          (exit
+           (progn
+            (spadlet prop (car p))
+            (spadlet val (cdr p))
+            (when val 
+              (progn
+                (when (null (boot-equal x '%))
+                  (|recordOldValue| x prop val))
+                (when |$HiFiAccess| 
+                  (|recordNewValue| x prop val))
+                (rplacd p nil))))))))))
+     (do ((|i| 1 (qsadd1 |i|)))
+         ((qsgreaterp |i| n) nil)
+      (seq
+       (exit
+        (progn
+         (spadlet vec 
+           (unwind-protect (cdr (|readHiFi| |i|)) (|disableHist|)))
+         (do ((tmp3 vec (cdr tmp3)) (p1 nil))
+             ((or (atom tmp3) (progn (setq p1 (car tmp3)) nil)) nil)
+          (seq
+           (exit
+            (progn
+             (spadlet x (car p1))
+             (do ((tmp4 (cdr p1) (cdr tmp4)) (p2 nil))
+                 ((or (atom tmp4) (progn (setq p2 (car tmp4)) nil)) nil)
+              (seq
+               (exit
+                (spadlet |$InteractiveFrame| 
+                 (|putHist| x (car p2) (CDR p2) |$InteractiveFrame|)
+       ))))))))))))
+     (spadlet val
+      (and 
+       (spadlet p (assq '% vec))
+       (spadlet p1 (assq '|value| (cdr p)))
+       (cdr p1)))
+     (spadlet |$InteractiveFrame| 
+       (|putHist| '% '|value| val |$InteractiveFrame|))
+     (|updateHist|)))))) 
+
+@
+\subsection{defun saveHistory}
+\begin{verbatim}
+saveHistory(fn) ==
+  $seen: local := MAKE_-HASHTABLE 'EQ
+  not $HiFiAccess => sayKeyedMsg("S2IH0016",NIL)
+  not $useInternalHistoryTable and
+    null MAKE_-INPUT_-FILENAME histFileName() => sayKeyedMsg("S2IH0022",NIL)
+  null fn => 
+    throwKeyedMsg("S2IH0037", nil)
+  savefile := makeHistFileName(fn)
+  inputfile := histInputFileName(fn)
+  writeInputLines(fn,1)
+  histFileErase savefile
+ 
+  if $useInternalHistoryTable
+    then
+      saveStr := RDEFIOSTREAM ['(MODE . OUTPUT),['FILE,:savefile]]
+      for [n,:rec] in reverse $internalHistoryTable repeat
+        val := SPADRWRITE0(object2Identifier n,rec,saveStr)
+        val = 'writifyFailed =>
+          sayKeyedMsg("S2IH0035", [n, inputfile]) ; unable to save step
+      RSHUT saveStr
+  sayKeyedMsg("S2IH0018",[namestring(savefile)]) ; saved hist file named
+  nil
+\end{verbatim}
+<<defun saveHistory>>=
+(defun |saveHistory| (fn)
+ (prog (|$seen| savefile inputfile saveStr n rec val)
+  (declare (special |$seen|))
+   (return
+    (seq
+     (progn
+      (spadlet |$seen| (make-hashtable 'eq))
+      (cond 
+       ((null |$HiFiAccess|) 
+         (|sayKeyedMsg| 'S2IH0016 nil)) ; the history file is not on
+       ((and (null |$useInternalHistoryTable|) 
+             (null (make-input-filename (|histFileName|))))
+         (|sayKeyedMsg| 'S2IH0022 nil)) ; no history saved yet
+       ((null fn) 
+         (|throwKeyedMsg| 'S2IH0037 nil)) ; need to specify a history filename
+       (t 
+         (spadlet savefile (|makeHistFileName| fn))
+         (spadlet inputfile (|histInputFileName| fn))
+         (|writeInputLines| fn 1)
+         (|histFileErase| savefile)
+         (when |$useInternalHistoryTable| 
+           (spadlet saveStr 
+             (rdefiostream 
+              (cons '(mode . output) 
+                (cons (cons 'file savefile) nil))))
+           (do ((tmp0 (reverse |$internalHistoryTable|) (cdr tmp0))
+                (tmp1 nil))
+               ((or (atom tmp0) 
+                    (progn (setq tmp1 (car tmp0)) nil)
+                    (progn
+                     (progn
+                      (spadlet n (car tmp1)) 
+                      (spadlet rec (cdr tmp1)) 
+                      tmp1) 
+                     nil)) 
+                    nil)
+            (seq
+             (exit
+              (progn
+               (spadlet val 
+                 (spadrwrite0 (|object2Identifier| n) rec saveStr))
+               (when (boot-equal val '|writifyFailed|)
+                (|sayKeyedMsg| 'S2IH0035 ; can't save the value of step
+                 (cons n (cons inputfile nil))))))))
+           (rshut saveStr))
+         (|sayKeyedMsg| 'S2IH0018 ; saved history file is
+           (cons (|namestring| savefile) nil))
+         nil)))))))
+
+@
+\subsection{defun restoreHistory}
+\begin{verbatim}
+restoreHistory(fn) ==
+  -- uses fn $historyFileType to recover an old session
+  -- if fn = NIL, then use $oldHistoryFileName
+  if null fn then fn' := $oldHistoryFileName
+  else if fn is [fn'] and IDENTP(fn') then fn' := fn'
+       else throwKeyedMsg("S2IH0023",[fn'])
+  restfile := makeHistFileName(fn')
+  null MAKE_-INPUT_-FILENAME restfile =>
+    sayKeyedMsg("S2IH0024",[namestring(restfile)]) ; no history file
+ 
+  -- if clear is changed to be undoable, this should be a reset-clear
+  $options: local := nil
+  clearSpad2Cmd '(all)
+ 
+  curfile := histFileName()
+  histFileErase curfile
+  _$FCOPY(restfile,curfile)
+ 
+  l:= LENGTH RKEYIDS curfile
+  $HiFiAccess:= 'T
+  oldInternal := $useInternalHistoryTable
+  $useInternalHistoryTable := NIL
+  if oldInternal then $internalHistoryTable := NIL
+  for i in 1..l repeat
+    vec:= UNWIND_-PROTECT(readHiFi(i),disableHist())
+    if oldInternal then $internalHistoryTable :=
+      CONS([i,:vec],$internalHistoryTable)
+    LINE:= CAR vec
+    for p1 in CDR vec repeat
+      x:= CAR p1
+      for p2 in CDR p1 repeat
+        $InteractiveFrame:= putHist(x,CAR p2,CDR p2,$InteractiveFrame)
+    updateInCoreHist()
+  $e := $InteractiveFrame
+  for [a,:.] in CAAR $InteractiveFrame repeat
+    get(a,'localModemap,$InteractiveFrame) =>
+      rempropI(a,'localModemap)
+      rempropI(a,'localVars)
+      rempropI(a,'mapBody)
+  $IOindex:= l+1
+  $useInternalHistoryTable := oldInternal
+  sayKeyedMsg("S2IH0025",[namestring(restfile)]) 
+  clearCmdSortedCaches()
+  nil
+\end{verbatim}
+<<defun restoreHistory>>=
+(defun |restoreHistory| (fn)
+ (prog (|$options| fnq restfile curfile l oldInternal vec line x a)
+  (declare (special |$options|))
+   (return
+    (seq
+     (progn
+      (cond 
+        ((null fn)
+          (spadlet fnq |$oldHistoryFileName|))
+        ((and (pairp fn) 
+              (eq (qcdr fn) nil)
+              (progn
+               (spadlet fnq (qcar fn))
+               t)
+              (identp fnq))
+          (spadlet fnq fnq))
+        (t (|throwKeyedMsg| 'S2IH0023 (cons fnq nil)))) ; invalid filename
+      (spadlet restfile (|makeHistFileName| fnq))
+      (cond 
+       ((null (make-input-filename restfile))
+         (|sayKeyedMsg| 'S2IH0024  ; file does not exist
+            (cons (|namestring| restfile) nil)))
+       (t 
+         (spadlet |$options| NIL)
+         (|clearSpad2Cmd| '(|all|))
+         (spadlet curfile (|histFileName|))
+         (|histFileErase| curfile)
+         ($fcopy restfile curfile)
+         (spadlet l (length (rkeyids curfile)))
+         (spadlet |$HiFiAccess| t)
+         (spadlet oldInternal |$useInternalHistoryTable|)
+         (spadlet |$useInternalHistoryTable| nil)
+         (when oldInternal
+           (spadlet |$internalHistoryTable| nil))
+         (do ((|i| 1 (qsadd1 |i|)))
+             ((qsgreaterp |i| l) nil)
+          (seq
+           (exit
+            (progn
+             (spadlet vec (unwind-protect (|readHiFi| |i|) (|disableHist|)))
+             (when oldInternal
+               (spadlet |$internalHistoryTable| 
+                (cons (cons |i| vec) |$internalHistoryTable|)))
+             (spadlet line (car vec))
+             (do ((tmp0 (cdr vec) (cdr tmp0)) (p1 nil))
+                 ((or (atom tmp0) (progn (setq p1 (car tmp0)) nil)) nil)
+              (seq
+               (exit
+                (progn
+                 (spadlet x (car p1))
+                 (do ((tmp1 (cdr p1) (cdr tmp1)) (p2 nil))
+                     ((or (atom tmp1) (progn (setq p2 (car tmp1)) nil)) nil)
+                  (seq
+                   (exit
+                    (spadlet |$InteractiveFrame| 
+                      (|putHist| x 
+                       (car p2) (cdr p2) |$InteractiveFrame|)))))))))
+             (|updateInCoreHist|)))))
+         (spadlet |$e| |$InteractiveFrame|)
+         (seq
+          (do ((tmp2 (caar |$InteractiveFrame|) (cdr tmp2)) (tmp3 nil))
+              ((or (atom tmp2) 
+                   (progn
+                     (setq tmp3 (car tmp2))
+                     nil) 
+                   (progn
+                    (progn
+                      (spadlet a (car tmp3))
+                      tmp3) 
+                      nil))
+                   nil)
+           (seq
+            (exit
+             (when (|get| a '|localModemap| |$InteractiveFrame|)
+              (exit
+               (progn
+                (|rempropI| a '|localModemap|)
+                (|rempropI| a '|localVars|)
+                (|rempropI| a '|mapBody|)))))))
+          (spadlet |$IOindex| (plus l 1))
+          (spadlet |$useInternalHistoryTable| oldInternal)
+          (|sayKeyedMsg| 'S2IH0025 ; workspace restored
+            (cons (|namestring| restfile) nil))
+          (|clearCmdSortedCaches|)
+          nil)))))))) 
+
+@
+\subsection{defun showHistory}
+\begin{verbatim}
+-- the following used to be the show command when that was used to
+-- show history.
+showHistory(arg) ==
+  -- arg can be of form
+  --    NIL          show at most last 20 input lines
+  --    (n)          show at most last n input lines
+  --    (lit)        where lit is an abbreviation for 'input or 'both
+  --                 if 'input, same as NIL
+  --                 if 'both, show last 5 input and outputs
+  --    (n lit)      show last n input lines + last n output lines
+  --                 if lit expands to 'both
+  $evalTimePrint: local:= 0
+  $printTimeSum: local:= 0
+  -- ugh!!! these are needed for timedEvaluateStream
+  -- displays the last n steps, default n=20
+  not $HiFiAccess => sayKeyedMsg("S2IH0026",['show])
+  showInputOrBoth := 'input
+  n := 20
+  nset := nil
+  if arg then
+    arg1 := CAR arg
+    if INTEGERP arg1 then
+      n := arg1
+      nset := true
+      KDR arg => arg1 := CADR arg
+      arg1 := NIL
+    arg1 =>
+      arg2 := selectOptionLC(arg1,'(input both),nil)
+      if arg2
+        then ((showInputOrBoth := arg2) = 'both) and (null nset) => n:= 5
+        else sayMSG
+          concat('"  ",bright arg1,'"is an invalid argument.")
+  if n >= $IOindex then n:= $IOindex-1
+  mini:= $IOindex-n
+  maxi:= $IOindex-1
+  showInputOrBoth = 'both =>
+    UNWIND_-PROTECT(showInOut(mini,maxi),setIOindex(maxi+1))
+  showInput(mini,maxi)
+\end{verbatim}
+<<defun showHistory>>=
+(defun |showHistory| (arg)
+ (prog (|$evalTimePrint| |$printTimeSum| nset arg1 arg2 
+        showInputOrBoth n mini maxi)
+  (declare (special |$evalTimePrint| |$printTimeSum|))
+   (return
+    (seq
+     (progn
+      (spadlet |$evalTimePrint| 0)
+      (spadlet |$printTimeSum| 0)
+      (cond
+       ((null |$HiFiAccess|)
+         (|sayKeyedMsg| 'S2IH0026 (cons '|show| nil))) ; history not on
+       (t
+         (spadlet showInputOrBoth '|input|)
+         (spadlet n 20)
+         (spadlet nset nil)
+         (when arg 
+          (spadlet arg1 (car arg))
+          (when  (integerp arg1)
+           (spadlet n arg1)
+           (spadlet nset t)
+           (cond
+            ((kdr arg) (spadlet arg1 (cadr arg)))
+            (t (spadlet arg1 nil))))
+          (when arg1 
+           (progn
+            (spadlet arg2 (|selectOptionLC| arg1 '(|input| |both|) nil))
+            (seq
+             (cond 
+              (arg2
+                 (when (and (boot-equal 
+                              (spadlet showInputOrBoth arg2) '|both|)
+                            (null nset))
+                   (exit (spadlet n 5))))
+              (t
+                (|sayMSG| 
+                  (|concat| 
+                   (makestring "  ")
+                   (|bright| arg1)
+                   (makestring "is an invalid argument.")))))))))
+         (when (>= n |$IOindex|)
+           (spadlet n (spaddifference |$IOindex| 1)))
+         (spadlet mini (spaddifference |$IOindex| n))
+         (spadlet maxi (spaddifference |$IOindex| 1))
+         (cond 
+           ((boot-equal showInputOrBoth '|both|)
+             (unwind-protect 
+               (|showInOut| mini maxi)
+               (|setIOindex| (plus maxi 1))))
+           (t (|showInput| mini maxi))))))))))
+ 
+@
+\subsection{defun setIOindex}
+\begin{verbatim}
+setIOindex(n) ==
+  -- set $IOindex to n
+  $IOindex:= n
+\end{verbatim}
+<<defun setIOindex>>=
+(defun |setIOindex| (n)
+  (spadlet |$IOindex| n)) 
+
+@
+\subsection{defun showInput}
+\begin{verbatim}
+showInput(mini,maxi) ==
+  -- displays all input lines from mini to maxi
+  for ind in mini..maxi repeat
+    vec:= UNWIND_-PROTECT(readHiFi(ind),disableHist())
+    if ind<10 then TAB 2 else if ind<100 then TAB 1
+    l := CAR vec
+    STRINGP l =>
+      sayMSG ['"   [",ind,'"] ",CAR vec]
+    sayMSG ['"   [",ind,'"] " ]
+    for ln in l repeat
+      sayMSG ['"      ", ln]
+\end{verbatim}
+<<defun showInput>>=
+(defun |showInput| (mini maxi)
+ (prog (vec l)
+  (return
+   (seq
+    (do ((|ind| mini (+ |ind| 1)))
+        ((> |ind| maxi) NIL)
+     (seq
+      (exit
+       (progn
+        (spadlet vec (unwind-protect (|readHiFi| |ind|) (|disableHist|)))
+        (cond
+         ((> 10 |ind|) (tab 2))
+         ((> 100 |ind|) (tab 1))
+         (t nil))
+        (spadlet l (car vec))
+        (cond
+          ((stringp l)
+            (|sayMSG| 
+             (cons 
+              (makestring "   [")
+              (cons |ind| 
+               (cons (makestring "] ")
+                (cons (car vec) nil))))))
+          (t
+            (|sayMSG|
+             (cons (makestring "   [")
+              (cons |ind|
+               (cons (makestring "] ") nil))))
+           (do ((tmp0 l (cdr tmp0)) (|ln| nil))
+               ((or (atom tmp0) (progn (setq |ln| (car tmp0)) nil)) nil)
+            (seq
+             (exit
+              (|sayMSG|
+               (cons (makestring "      ") (cons |ln| nil)))))))))))))))) 
+
+@
+\subsection{defun showInOut}
+\begin{verbatim}
+showInOut(mini,maxi) ==
+  -- displays all steps from mini to maxi
+  for ind in mini..maxi repeat
+    vec:= UNWIND_-PROTECT(readHiFi(ind),disableHist())
+    sayMSG [CAR vec]
+    Alist:= ASSQ('%,CDR vec) =>
+      triple:= CDR ASSQ('value,CDR Alist)
+      $IOindex:= ind
+      spadPrint(objValUnwrap triple,objMode triple)
+\end{verbatim}
+<<defun showInOut>>=
+(defun |showInOut| (mini maxi)
+ (prog (vec Alist triple)
+  (return
+   (seq
+    (do ((ind mini (+ ind 1)))
+        ((> ind maxi) nil)
+     (seq
+      (exit
+       (progn
+        (spadlet vec (unwind-protect (|readHiFi| ind) (|disableHist|)))
+        (|sayMSG| (cons (car vec) nil))
+        (cond
+         ((spadlet Alist (assq '% (cdr vec)))
+          (progn
+           (spadlet triple (cdr (assq '|value| (cdr Alist))))
+           (spadlet |$IOindex| ind)
+           (|spadPrint| 
+             (|objValUnwrap| triple) (|objMode| triple))))))))))))) 
+
+@
+\subsection{defun fetchOutput}
+\begin{verbatim}
+fetchOutput(n) ==
+  -- result is the output of step n
+  (n = -1) and (val := getI("%",'value)) => val
+  $HiFiAccess =>
+    n:=
+      n < 0 => $IOindex+n
+      n
+    n >= $IOindex => throwKeyedMsg("S2IH0001",[n])
+    n < 1        => throwKeyedMsg("S2IH0002",[n])
+    vec:= UNWIND_-PROTECT(readHiFi(n),disableHist())
+    Alist:= ASSQ('%,CDR vec) =>
+      val:= CDR ASSQ('value,CDR Alist) => val
+      throwKeyedMsg("S2IH0003",[n])
+    throwKeyedMsg("S2IH0003",[n])
+  throwKeyedMsg("S2IH0004",NIL)
+\end{verbatim}
+<<defun fetchOutput>>=
+(defun |fetchOutput| (n)
+ (prog (vec Alist val)
+  (return
+   (cond
+    ((and (boot-equal n (spaddifference 1))
+          (spadlet val (|getI| '% '|value|)))
+       val)
+    (|$HiFiAccess|
+     (spadlet n
+      (cond
+       ((minusp n) (plus |$IOindex| n))
+       (t n)))
+     (cond
+      ((>= n |$IOindex|) 
+        (|throwKeyedMsg| 'S2IH0001 (cons n nil))) ; no step n yet
+      ((> 1 n)
+        (|throwKeyedMsg| 'S2IH0002 (cons n nil))) ; only nonzero steps
+      (t
+        (spadlet vec (unwind-protect (|readHiFi| n) (|disableHist|)))
+        (cond
+         ((spadlet Alist (assq '% (cdr vec)))
+           (cond
+             ((spadlet val (cdr (assq '|value| (cdr Alist))))
+               val)
+             (t
+               (|throwKeyedMsg| 'S2IH0003 (cons n nil))))) ; no step value
+         (t (|throwKeyedMsg| 'S2IH0003 (cons n nil))))))) ; no step value
+    (t (|throwKeyedMsg| 'S2IH0004 nil)))))) ; history not on
+
+@
+\subsection{defun readHiFi}
+\begin{verbatim}
+readHiFi(n) ==
+  -- reads the file using index n
+  if $useInternalHistoryTable
+  then
+    pair := assoc(n,$internalHistoryTable)
+    ATOM pair => keyedSystemError("S2IH0034",NIL)
+    vec := QCDR pair
+  else
+    HiFi:= RDEFIOSTREAM ['(MODE . INPUT),['FILE,:histFileName()]]
+    vec:= SPADRREAD(object2Identifier n,HiFi)
+    RSHUT HiFi
+  vec
+\end{verbatim}
+<<defun readHiFi>>=
+(defun |readHiFi| (n)
+ (prog (pair HiFi vec)
+  (return
+   (progn
+    (cond
+     (|$useInternalHistoryTable|
+      (spadlet pair (|assoc| n |$internalHistoryTable|))
+      (cond
+       ((atom pair) 
+         (|keyedSystemError| 'S2IH0034 nil)) ; missing element
+       (t 
+         (spadlet vec (qcdr pair)))))
+     (t
+       (spadlet HiFi
+        (rdefiostream
+         (cons
+          '(mode . input)
+           (cons
+            (cons 'file (|histFileName|)) nil))))
+       (spadlet vec (spadrread (|object2Identifier| n) HiFi))
+       (rshut HiFi)))
+    vec)))) 
+
+@
+\subsection{defun writeHiFi}
+\begin{verbatim}
+writeHiFi() ==
+  -- writes the information of the current step out to history file
+  if $useInternalHistoryTable
+  then
+    $internalHistoryTable := CONS([$IOindex,$currentLine,:$HistRecord],
+      $internalHistoryTable)
+  else
+    HiFi:= RDEFIOSTREAM ['(MODE . OUTPUT),['FILE,:histFileName()]]
+    SPADRWRITE(object2Identifier $IOindex, CONS($currentLine,$HistRecord),HiFi)
+    RSHUT HiFi
+\end{verbatim}
+<<defun writeHiFi>>=
+(defun |writeHiFi| ()
+ (prog (HiFi)
+  (return
+   (cond
+    (|$useInternalHistoryTable|
+     (spadlet |$internalHistoryTable|
+      (cons
+       (cons |$IOindex|
+        (cons |$currentLine| |$HistRecord|))
+        |$internalHistoryTable|)))
+    (t
+      (spadlet HiFi
+        (rdefiostream
+         (cons
+           '(mode . output)
+            (cons (cons 'file (|histFileName|)) nil))))
+      (spadrwrite (|object2Identifier| |$IOindex|)
+        (cons |$currentLine| |$HistRecord|) HiFi)
+      (rshut HiFi)))))) 
+
+@
+\subsection{defun disableHist}
+\begin{verbatim} 
+disableHist() ==
+  -- disables the history mechanism if an error occurred in the protected
+  -- piece of code
+  not $HiFiAccess => histFileErase histFileName()
+  NIL
+\end{verbatim}
+<<defun disableHist>>=
+(defun |disableHist| () 
+ (cond
+  ((null |$HiFiAccess|) 
+    (|histFileErase| (|histFileName|)))
+  (t nil))) 
+
+@
+\subsection{defun writeHistModesAndValues}
+\begin{verbatim}
+writeHistModesAndValues() ==
+  for [a,:.] in CAAR $InteractiveFrame repeat
+    x := get(a,'value,$InteractiveFrame) =>
+      putHist(a,'value,x,$InteractiveFrame)
+    x := get(a,'mode,$InteractiveFrame) =>
+      putHist(a,'mode,x,$InteractiveFrame)
+  NIL
+\end{verbatim}
+<<defun writeHistModesAndValues>>=
+(defun |writeHistModesAndValues| ()
+ (prog (a x)
+  (return
+   (seq
+    (progn
+     (do ((tmp0 (caar |$InteractiveFrame|) (cdr tmp0)) (tmp1 nil))
+         ((or (atom tmp0) 
+              (progn
+                (setq tmp1 (car tmp0))
+                nil)
+              (progn
+                (progn
+                  (spadlet a (car tmp1))
+                  tmp1)
+              nil))
+          nil)
+      (seq
+       (exit
+        (cond
+         ((spadlet x (|get| a '|value| |$InteractiveFrame|))
+           (|putHist| a '|value| x |$InteractiveFrame|))
+         ((spadlet x (|get| a '|mode| |$InteractiveFrame|))
+           (|putHist| a '|mode| x |$InteractiveFrame|))))))
+     nil))))) 
+
+@
+\section{Lisplib output transformations}
+--% Lisplib output transformations
+--  Some types of objects cannot be saved by LISP/VM in lisplibs.
+--  These functions transform an object to a writable form and back.
+--  SMW
+\subsection{defun SPADRWRITE0}
+\begin{verbatim}
+SPADRWRITE0(vec, item, stream) ==
+    val := safeWritify item
+    val = 'writifyFailed => val
+    rwrite(vec, val, stream)
+    item
+\end{verbatim}
+<<defun SPADRWRITE0>>=
+(defun spadrwrite0 (vec item stream)
+ (prog (val)
+  (return
+   (progn
+    (spadlet val (|safeWritify| item))
+    (cond
+     ((boot-equal val '|writifyFailed|) val)
+     (t (|rwrite| vec val stream) item)))))) 
+
+@
+\subsection{defun SPADRWRITE}
+\begin{verbatim}
+SPADRWRITE(vec, item, stream) ==
+  val := SPADRWRITE0(vec, item, stream) 
+  val = 'writifyFailed =>
+    throwKeyedMsg("S2IH0036", nil) ; cannot save value to file
+  item
+\end{verbatim}
+<<defun SPADRWRITE>>=
+(defun spadrwrite (vec item stream)
+ (prog (val)
+  (return
+   (progn
+    (spadlet val (spadrwrite0 vec item stream))
+    (cond
+     ((boot-equal val '|writifyFailed|)
+        (|throwKeyedMsg| 'S2IH0036 nil)) ; cannot save value to file
+     (t item))))))
+
+@
+\subsection{defun SPADRREAD}
+\begin{verbatim}
+SPADRREAD(vec, stream) ==
+    dewritify rread(vec, stream, nil)
+\end{verbatim}
+<<defun SPADRREAD>>=
+(defun spadrread (vec stream)
+ (|dewritify| (|rread| vec stream nil))) 
+
+@ 
+\subsection{defun unwritable?}
+\begin{verbatim}
+unwritable? ob ==
+    PAIRP  ob or VECP ob       => false   -- first for speed
+    COMPILED_-FUNCTION_-P   ob or HASHTABLEP ob => true
+    PLACEP ob or READTABLEP ob => true
+    FLOATP ob => true
+    false
+\end{verbatim}
+<<defun unwritable?>>=
+(defun |unwritable?| (ob)
+ (cond
+  ((or (pairp ob) (vecp ob)) nil)
+  ((or (compiled-function-p ob) (hashtablep ob)) t)
+  ((or (placep ob) (readtablep ob)) t)
+  ((floatp ob) t)
+  (t nil))) 
+
+@
+\subsection{defun writifyComplain}
+\begin{verbatim}
+-- Create a full isomorphic object which can be saved in a lisplib.
+-- Note that  dewritify(writify(x))  preserves UEQUALity of hashtables.
+-- HASHTABLEs go both ways.
+-- READTABLEs cannot presently be transformed back.
+ 
+writifyComplain s ==
+   $writifyComplained  = true => nil
+   $writifyComplained := true
+   sayKeyedMsg("S2IH0027",[s]) 
+\end{verbatim}
+<<defun writifyComplain>>=
+(defun |writifyComplain| (s)
+ (cond 
+   ((boot-equal |$writifyComplained| t) NIL)
+   (t
+    (spadlet |$writifyComplained| t)
+    (|sayKeyedMsg| 'S2IH0027 (cons s nil))))) ; cannot save value
+
+@
+\subsection{defun safeWritify}
+\begin{verbatim}
+safeWritify ob ==
+  CATCH('writifyTag,  writify ob)
+\end{verbatim}
+<<defun safeWritify>>=
+(defun |safeWritify| (ob)
+ (catch '|writifyTag| (|writify| ob))) 
+
+@
+\subsection{defun writify}
+\begin{verbatim}
+writify ob ==
+    not ScanOrPairVec(function(unwritable?), ob) => ob
+    $seen:     local := MAKE_-HASHTABLE 'EQ
+    $writifyComplained: local := false
+ 
+    writifyInner ob where
+        writifyInner ob ==
+            null ob                => nil
+            (e := HGET($seen, ob)) => e
+ 
+            PAIRP ob =>
+                qcar := QCAR ob
+                qcdr := QCDR ob
+                (name := spadClosure? ob) =>
+                   d := writifyInner QCDR ob
+                   nob := ['WRITIFIED_!_!, 'SPADCLOSURE, d, name]
+                   HPUT($seen, ob, nob)
+                   HPUT($seen, nob, nob)
+                   nob
+                (ob is ['LAMBDA_-CLOSURE, ., ., x, :.]) and x =>
+                  THROW('writifyTag, 'writifyFailed)
+                nob := CONS(qcar, qcdr)
+                HPUT($seen, ob, nob)
+                HPUT($seen, nob, nob)
+                qcar := writifyInner qcar
+                qcdr := writifyInner qcdr
+                QRPLACA(nob, qcar)
+                QRPLACD(nob, qcdr)
+                nob
+            VECP ob =>
+                isDomainOrPackage ob =>
+                    d := mkEvalable devaluate ob
+                    nob := ['WRITIFIED_!_!, 'DEVALUATED, writifyInner d]
+                    HPUT($seen, ob, nob)
+                    HPUT($seen, nob, nob)
+                    nob
+                n   := QVMAXINDEX ob
+                nob := MAKE_-VEC(n+1)
+                HPUT($seen, ob, nob)
+                HPUT($seen, nob, nob)
+                for i in 0..n repeat
+                    QSETVELT(nob, i, writifyInner QVELT(ob,i))
+                nob
+            ob = 'WRITIFIED_!_! =>
+                ['WRITIFIED_!_!, 'SELF]
+            -- In CCL constructors are also compiled functions, so we 
+            -- need this line:
+            constructor? ob => ob
+            COMPILED_-FUNCTION_-P ob =>
+                THROW('writifyTag, 'writifyFailed)
+            HASHTABLEP ob =>
+                nob := ['WRITIFIED_!_!]
+                HPUT($seen, ob,  nob)
+                HPUT($seen, nob, nob)
+                keys := HKEYS ob
+                QRPLACD(nob,
+                        ['HASHTABLE,
+                          HASHTABLE_-CLASS ob,
+                            writifyInner keys,
+                              [writifyInner HGET(ob,k) for k in keys]])
+                nob
+            PLACEP ob =>
+                nob := ['WRITIFIED_!_!, 'PLACE]
+                HPUT($seen, ob,  nob)
+                HPUT($seen, nob, nob)
+                nob
+            -- The next three types cause an error on de-writifying.
+            -- Create an object of the right shape, nonetheless.
+            READTABLEP ob =>
+                THROW('writifyTag, 'writifyFailed)
+            -- Default case: return the object itself.
+            STRINGP ob =>
+                EQ(ob, $NullStream) => ['WRITIFIED_!_!, 'NULLSTREAM]
+                EQ(ob, $NonNullStream) => ['WRITIFIED_!_!, 'NONNULLSTREAM]
+                ob
+            FLOATP ob =>
+                ob = READ_-FROM_-STRING STRINGIMAGE ob => ob
+                ['WRITIFIED_!_!, 'FLOAT, ob,:
+                   MULTIPLE_-VALUE_-LIST INTEGER_-DECODE_-FLOAT ob]
+            ob
+\end{verbatim}
+<<defun writify,writifyInner>>=
+(defun |writify,writifyInner| (ob)
+ (prog (e name tmp1 tmp2 tmp3 x qcar qcdr d n keys nob)
+  (return
+   (seq
+    (when (null ob)
+     (exit nil))
+    (when (spadlet e (hget |$seen| ob))
+     (exit e))
+    (when (pairp ob)
+     (exit
+      (seq
+       (spadlet qcar (qcar ob))
+       (spadlet qcdr (qcdr ob))
+       (when (spadlet name (|spadClosure?| ob))
+        (exit
+         (seq
+          (spadlet d (|writify,writifyInner| (qcdr ob)))
+          (spadlet nob 
+           (cons 'writified!!
+            (cons 'spadclosure 
+             (cons d (cons name nil)))))
+          (hput |$seen| ob nob)
+          (hput |$seen| nob nob)
+          (exit nob))))
+       (when 
+        (and 
+         (and (pairp ob)
+              (eq (qcar ob) 'lambda-closure)
+              (progn
+               (spadlet tmp1 (qcdr ob))
+               (and (pairp tmp1)
+                    (progn 
+                     (spadlet tmp2 (qcdr tmp1))
+                     (and 
+                      (pairp tmp2)
+                      (progn 
+                       (spadlet tmp3 (qcdr tmp2))
+                       (and (pairp tmp3)
+                            (progn
+                             (spadlet x (qcar tmp3))
+                             t)))))))) x)
+        (exit
+         (throw '|writifyTag| '|writifyFailed|)))
+       (spadlet nob (cons qcar qcdr))
+       (hput |$seen| ob nob)
+       (hput |$seen| nob nob)
+       (spadlet qcar (|writify,writifyInner| qcar))
+       (spadlet qcdr (|writify,writifyInner| qcdr))
+       (qrplaca nob qcar)
+       (qrplacd nob qcdr)
+       (exit nob))))
+    (when (vecp ob)
+     (exit
+      (seq
+       (when (|isDomainOrPackage| ob)
+        (exit
+         (seq
+          (spadlet d (|mkEvalable| (|devaluate| ob)))
+          (spadlet nob 
+           (cons 'writified!! 
+            (cons 'devaluated 
+             (cons (|writify,writifyInner| d) nil))))
+          (hput |$seen| ob nob)
+          (hput |$seen| nob nob)
+          (exit nob))))
+       (spadlet n (qvmaxindex ob))
+       (spadlet nob (make-vec (plus n 1)))
+       (hput |$seen| ob nob)
+       (hput |$seen| nob nob)
+       (do ((|i| 0 (qsadd1 |i|)))
+           ((qsgreaterp |i| n) NIL)
+        (seq
+         (exit
+          (qsetvelt nob |i| (|writify,writifyInner| (QVELT ob |i|))))))
+       (exit nob))))
+    (when (boot-equal ob 'writified!!)
+     (exit
+      (cons 'writified!! (cons 'self nil))))
+    (when (|constructor?| ob)
+     (exit ob))
+    (when (compiled-function-p ob)
+     (exit
+      (throw '|writifyTag| '|writifyFailed|)))
+    (when (hashtablep ob)
+     (exit
+      (seq
+       (spadlet nob (cons 'writified!! nil))
+       (hput |$seen| ob nob)
+       (hput |$seen| nob nob)
+       (spadlet keys (hkeys ob))
+       (qrplacd nob
+        (cons 
+          'hashtable
+          (cons 
+            (hashtable-class ob)
+            (cons
+              (|writify,writifyInner| keys)
+              (cons
+                (prog (tmp0)
+                  (spadlet tmp0 nil)
+                  (return
+                   (do ((tmp1 keys (cdr tmp1)) (k nil))
+                       ((or (atom tmp1)
+                            (progn
+                             (setq k (car tmp1))
+                              nil))
+                            (nreverse0 tmp0))
+                    (seq
+                     (exit
+                      (setq tmp0 
+                       (cons 
+                         (|writify,writifyInner| (HGET ob k))
+                         tmp0)))))))
+                nil)))))
+       (exit nob))))
+    (when (placep ob)
+     (exit
+      (seq
+       (spadlet nob (cons 'writified!! (cons 'place nil)))
+       (hput |$seen| ob nob)
+       (hput |$seen| nob nob)
+       (exit nob))))
+    (when (readtablep ob)
+     (exit
+      (throw '|writifyTag| '|writifyFailed|)))
+    (when (stringp ob)
+     (exit
+      (seq
+       (when (eq ob |$NullStream|)
+        (exit
+         (cons 'writified!! (cons 'nullstream nil))))
+       (when (eq ob |$NonNullStream|)
+        (exit
+         (cons 'writified!! (cons 'nonnullstream nil))))
+       (exit ob))))
+    (when (floatp ob)
+     (exit
+      (seq
+       (when (boot-equal ob (read-from-string (stringimage ob)))
+        (exit ob))
+       (exit
+        (cons 'writified!!
+         (cons 'float 
+          (cons ob 
+           (multiple-value-list (integer-decode-float ob)))))))))
+    (exit ob))))) 
+
+@
+<<defun writify>>=
+(defun |writify| (ob)
+ (prog (|$seen| |$writifyComplained|)
+  (declare (special |$seen| |$writifyComplained|))
+   (return
+    (cond
+     ((null (|ScanOrPairVec| (|function| |unwritable?|) ob))
+       ob)
+     (t
+      (spadlet |$seen| (make-hashtable 'eq))
+      (spadlet |$writifyComplained| nil)
+      (|writify,writifyInner| ob)))))) 
+
+@
+\subsection{defun spadClosure?}
+\begin{verbatim}
+spadClosure? ob ==
+  fun := QCAR ob
+  not (name := BPINAME fun) => nil
+  vec := QCDR ob
+  not VECP vec => nil
+  name
+\end{verbatim}
+<<defun spadClosure?>>=
+(defun |spadClosure?| (ob)
+ (prog (fun name vec)
+  (return
+   (progn
+    (spadlet fun (qcar ob))
+    (cond 
+     ((null (spadlet name (bpiname fun))) nil)
+     (t
+       (spadlet vec (qcdr ob))
+       (cond
+        ((null (vecp vec)) nil)
+        (t name)))))))) 
+
+@
+\subsection{defun dewritify}
+\begin{verbatim}
+dewritify ob ==
+    (not ScanOrPairVec(function is?, ob)
+            where  is? a == a = 'WRITIFIED_!_!) => ob
+ 
+    $seen:     local := MAKE_-HASHTABLE 'EQ
+ 
+    dewritifyInner ob where
+        dewritifyInner ob ==
+            null ob => nil
+            e := HGET($seen, ob) => e
+ 
+            PAIRP ob and CAR ob = 'WRITIFIED_!_! =>
+                type := ob.1
+                type = 'SELF =>
+                    'WRITIFIED_!_!
+                type = 'BPI =>
+                    oname := ob.2
+                    f :=
+                        INTP oname => EVAL GENSYMMER oname
+                        SYMBOL_-FUNCTION oname
+                    not COMPILED_-FUNCTION_-P f =>
+                        error '"A required BPI does not exist."
+                    #ob > 3 and HASHEQ f ^= ob.3 =>
+                        error '"A required BPI has been redefined."
+                    HPUT($seen, ob, f)
+                    f
+                type = 'HASHTABLE =>
+                    nob := MAKE_-HASHTABLE ob.2
+                    HPUT($seen, ob, nob)
+                    HPUT($seen, nob, nob)
+                    for k in ob.3 for e in ob.4 repeat
+                        HPUT(nob, dewritifyInner k, dewritifyInner e)
+                    nob
+                type = 'DEVALUATED =>
+                    nob := EVAL dewritifyInner ob.2
+                    HPUT($seen, ob, nob)
+                    HPUT($seen, nob, nob)
+                    nob
+                type = 'SPADCLOSURE =>
+                    vec := dewritifyInner ob.2
+                    name := ob.3
+                    not FBOUNDP name => 
+                       error STRCONC('"undefined function: ", SYMBOL_-NAME name)
+                    nob := CONS(SYMBOL_-FUNCTION name, vec)
+                    HPUT($seen, ob, nob)
+                    HPUT($seen, nob, nob)
+                    nob
+                type = 'PLACE =>
+                    nob := READ MAKE_-INSTREAM NIL
+                    HPUT($seen, ob, nob)
+                    HPUT($seen, nob, nob)
+                    nob
+                type = 'READTABLE =>
+                    error '"Cannot de-writify a read table."
+                type = 'NULLSTREAM => $NullStream
+                type = 'NONNULLSTREAM => $NonNullStream
+                type = 'FLOAT =>
+	           [fval, signif, expon, sign] := CDDR ob
+                   fval := SCALE_-FLOAT( FLOAT(signif, fval), expon)
+                   sign<0 => -fval
+                   fval
+                error '"Unknown type to de-writify."
+ 
+            PAIRP ob =>
+                qcar := QCAR ob
+                qcdr := QCDR ob
+                nob  := CONS(qcar, qcdr)
+                HPUT($seen, ob, nob)
+                HPUT($seen, nob, nob)
+                QRPLACA(nob, dewritifyInner qcar)
+                QRPLACD(nob, dewritifyInner qcdr)
+                nob
+            VECP ob =>
+                n   := QVMAXINDEX ob
+                nob := MAKE_-VEC(n+1)
+                HPUT($seen, ob, nob)
+                HPUT($seen, nob, nob)
+                for i in 0..n repeat
+                    QSETVELT(nob, i, dewritifyInner QVELT(ob,i))
+                nob
+            -- Default case: return the object itself.
+            ob
+\end{verbatim}
+<<defun dewritify,is?>>=
+(defun |dewritify,is?| (a)
+ (boot-equal a 'writified!!))
+
+@
+<<defun dewritify,dewritifyInner>>=
+(defun |dewritify,dewritifyInner| (ob)
+ (prog (e type oname f vec name tmp1 signif expon sign fval qcar qcdr n nob)
+  (return
+   (seq
+    (when (null ob) 
+      (exit nil))
+    (when (spadlet e (hget |$seen| ob)) 
+      (exit e))
+    (when (and (pairp ob) (boot-equal (car ob) 'writified!!))
+     (exit
+      (seq
+       (spadlet type (elt ob 1))
+       (when (boot-equal type 'self) 
+        (exit 'writified!!))
+       (when (boot-equal type 'bpi)
+        (exit
+         (seq
+          (spadlet oname (elt ob 2))
+          (spadlet f 
+           (seq 
+            (when (intp oname) (exit (eval (gensymmer oname))))
+            (exit (symbol-function oname))))
+          (when (null (compiled-function-p f))
+           (exit (|error| (makestring "A required BPI does not exist."))))
+          (when (and (> (|#| ob) 3) (nequal (hasheq f) (elt ob 3)))
+           (exit (|error| (makestring "A required BPI has been redefined."))))
+          (hput |$seen| ob f)
+          (exit f))))
+       (when (boot-equal type 'hashtable)
+        (exit
+         (seq
+          (spadlet nob (make-hashtable (elt ob 2)))
+          (hput |$seen| ob nob)
+          (hput |$seen| nob nob)
+          (do ((tmp0 (elt ob 3) (cdr tmp0))
+               (k nil)
+               (tmp1 (elt ob 4) (cdr tmp1))
+               (e nil))
+              ((or (atom tmp0) 
+                   (progn
+                    (setq k (car tmp0))
+                    nil) 
+                   (atom tmp1) 
+                   (progn
+                    (setq e (car tmp1))
+                    nil))
+                   nil)
+           (seq
+            (exit
+             (hput nob (|dewritify,dewritifyInner| k) 
+              (|dewritify,dewritifyInner| e)))))
+          (exit nob))))
+       (when (boot-equal type 'devaluated)
+        (exit
+         (seq
+          (spadlet nob (eval (|dewritify,dewritifyInner| (elt ob 2))))
+          (hput |$seen| ob nob)
+          (hput |$seen| nob nob)
+          (exit nob))))
+       (when (boot-equal type 'spadclosure)
+        (exit
+         (seq
+          (spadlet vec (|dewritify,dewritifyInner| (elt ob 2)))
+          (spadlet name (ELT ob 3))
+          (when (null (fboundp name))
+           (exit
+            (|error| 
+             (strconc (makestring "undefined function: ")
+              (symbol-name name)))))
+          (spadlet nob (cons (symbol-function name) vec))
+          (hput |$seen| ob nob)
+          (hput |$seen| nob nob)
+          (exit nob))))
+       (when (boot-equal type 'place) 
+        (exit
+         (seq
+          (spadlet nob (vmread (make-instream nil)))
+          (hput |$seen| ob nob)
+          (hput |$seen| nob nob)
+          (exit nob))))
+       (when (boot-equal type 'readtable)
+        (exit (|error| (makestring "Cannot de-writify a read table."))))
+       (when (boot-equal type 'nullstream)
+        (exit |$NullStream|))
+       (when (boot-equal type 'nonnullstream) 
+        (exit |$NonNullStream|))
+       (when (boot-equal type 'float) 
+        (exit
+         (seq
+          (progn
+           (spadlet tmp1 (cddr ob))
+           (spadlet fval (car tmp1))
+           (spadlet signif (cadr tmp1))
+           (spadlet expon (caddr tmp1))
+           (spadlet sign (cadddr tmp1))
+           tmp1)
+          (spadlet fval (scale-float (float signif fval) expon))
+          (when (minusp sign)
+           (exit (spaddifference fval)))
+          (exit fval))))
+       (exit (|error| (makestring "Unknown type to de-writify."))))))
+    (when (pairp ob)
+     (exit
+      (seq
+       (spadlet qcar (qcar ob))
+       (spadlet qcdr (qcdr ob))
+       (spadlet nob (cons qcar qcdr))
+       (hput |$seen| ob nob)
+       (hput |$seen| nob nob)
+       (qrplaca nob (|dewritify,dewritifyInner| qcar))
+       (qrplacd nob (|dewritify,dewritifyInner| qcdr))
+       (exit nob))))
+    (when (vecp ob)
+     (exit
+      (seq
+       (spadlet n (qvmaxindex ob))
+       (spadlet nob (make-vec (plus n 1)))
+       (hput |$seen| ob nob)
+       (hput |$seen| nob nob)
+       (do ((|i| 0 (qsadd1 |i|)))
+           ((qsgreaterp |i| n) nil)
+        (seq
+         (exit
+          (qsetvelt nob |i| 
+            (|dewritify,dewritifyInner| (qvelt ob |i|))))))
+       (exit nob))))
+    (exit ob))))) 
+
+@
+<<defun dewritify>>=
+(defun |dewritify| (ob)
+ (prog (|$seen|)
+  (declare (special |$seen|))
+   (return
+    (cond 
+     ((null (|ScanOrPairVec| (|function| |dewritify,is?|) ob))
+       ob)
+     (t
+       (spadlet |$seen| (make-hashtable 'EQ))
+       (|dewritify,dewritifyInner| ob)))))) 
+
+@
+\subsection{defun ScanOrPairVec}
+\begin{verbatim}
+ScanOrPairVec(f, ob) ==
+    $seen:     local := MAKE_-HASHTABLE 'EQ
+ 
+    CATCH('ScanOrPairVecAnswer, ScanOrInner(f, ob)) where
+        ScanOrInner(f, ob) ==
+            HGET($seen, ob) => nil
+            PAIRP ob =>
+                HPUT($seen, ob, true)
+                ScanOrInner(f, QCAR ob)
+                ScanOrInner(f, QCDR ob)
+                nil
+            VECP ob =>
+                HPUT($seen, ob, true)
+                for i in 0..#ob-1 repeat ScanOrInner(f, ob.i)
+                nil
+            FUNCALL(f, ob) =>
+                THROW('ScanOrPairVecAnswer, true)
+            nil
+\end{verbatim}
+<<defun ScanOrPairVec>>=
+(defun |ScanOrPairVec,ScanOrInner| (f ob)
+ (seq
+  (when (hget |$seen| ob) 
+   (exit nil))
+  (when (pairp ob) 
+   (exit
+    (seq
+     (hput |$seen| ob t)
+     (|ScanOrPairVec,ScanOrInner| f (qcar ob))
+     (|ScanOrPairVec,ScanOrInner| f (qcdr ob))
+     (exit nil))))
+  (when (vecp ob) 
+   (exit
+    (seq
+     (hput |$seen| ob t)
+     (do ((tmp0 (spaddifference (|#| ob) 1)) (|i| 0 (qsadd1 |i|)))
+         ((qsgreaterp |i| tmp0) nil)
+      (seq
+       (exit (|ScanOrPairVec,ScanOrInner| f (elt ob |i|)))))
+     (exit nil))))
+  (when (funcall f ob) 
+   (exit
+    (throw '|ScanOrPairVecAnswer| t)))
+  (exit nil))) 
+
+(defun |ScanOrPairVec| (f ob)
+ (prog (|$seen|) 
+  (declare (special |$seen|)) 
+   (return
+    (progn
+     (spadlet |$seen| (make-hashtable 'eq))
+     (catch '|ScanOrPairVecAnswer| (|ScanOrPairVec,ScanOrInner| f ob))))))
+
+@
+\subsection{defun gensymInt}
+\begin{verbatim}
+gensymInt g ==
+  not GENSYMP g => error '"Need a GENSYM"
+  p := PNAME g
+  n := 0
+  for i in 2..#p-1 repeat n := 10 * n + charDigitVal p.i
+  n
+\end{verbatim}
+<<defun gensymInt>>=
+(defun |gensymInt| (g) 
+ (prog (p n)
+  (return
+   (seq
+    (cond 
+     ((null (gensymp g)) 
+       (|error| (makestring "Need a GENSYM")))
+     (t
+       (spadlet p (pname g))
+       (spadlet n 0)
+       (do ((tmp0 (spaddifference (|#| p) 1)) (|i| 2 (qsadd1 |i|)))
+           ((qsgreaterp |i| tmp0) nil)
+        (seq
+         (exit
+          (spadlet n (plus (times 10 n) (|charDigitVal| (elt p |i|)))))))
+       n))))))
+
+@
+\subsection{defun charDigitVal}
+\begin{verbatim}
+charDigitVal c ==
+  digits := '"0123456789"
+  n := -1
+  for i in 0..#digits-1 while n < 0 repeat
+      if c = digits.i then n := i
+  n < 0 => error '"Character is not a digit"
+  n
+\end{verbatim}
+<<defun charDigitVal>>=
+(defun |charDigitVal| (c)
+ (prog (digits n)
+  (return
+   (seq
+    (progn
+     (spadlet digits (makestring "0123456789"))
+     (spadlet n (spaddifference 1)) 
+     (do ((tmp0 (spaddifference (|#| digits) 1)) (|i| 0 (qsadd1 |i|)))
+         ((or (qsgreaterp |i| tmp0) (null (minusp n))) nil)
+      (seq
+       (exit
+        (cond 
+         ((boot-equal c (elt digits |i|)) (spadlet n |i|))
+         (t nil)))))
+     (cond
+      ((minusp n) (|error| (makestring "Character is not a digit")))
+      (t n)))))))
+
+@
+\subsection{defun histFileErase}
+\begin{verbatim}
+histFileErase file ==
+  --OBEY STRCONC('"rm -rf ", file)
+  PROBE_-FILE(file) and DELETE_-FILE(file)
+\end{verbatim}
+<<defun histFileErase>>=
+(defun |histFileErase| (file)
+ (when (probe-file file) 
+  (delete-file file)))
+
+@
+\section{History File Messages}
+<<History File Messages>>=
+S2IH0001
+ You have not reached step %1b yet, and so its value cannot be
+ supplied.
+S2IH0002
+ Cannot supply value for step %1b because 1 is the first step.
+S2IH0003
+ Step %1b has no value.
+S2IH0004
+ The history facility is not on, so you cannot use %b %% %d .
+S2IH0006
+ You have not used the correct syntax for the %b history %d command.
+ Issue %b )help history %d for more information.
+S2IH0007
+ The history facility is already on.
+S2IH0008
+ The history facility is now on.
+S2IH0009
+ Turning on the history facility will clear the contents of the
+ workspace.
+ Please enter %b y %d or %b yes %d if you really want to do this:
+S2IH0010
+ The history facility is still off.
+S2IH0011
+ The history facility is already off.
+S2IH0012
+ The history facility is now off.
+S2IH0013
+ The history facility is not on, so the .input file containing your user input
+ cannot be created.
+S2IH0014
+ Edit %b %1 %d to see the saved input lines.
+S2IH0015
+ The argument %b n %d for %b )history )change n must be a nonnegative
+ integer and your argument, %1b , is not one.
+S2IH0016
+ The history facility is not on, so no information can be saved.
+S2IH0018
+ The saved history file is %1b .
+S2IH0019
+ There is no history file, so value of step %1b is
+ undefined.
+S2IH0022
+ No history information had been saved yet.
+S2IH0023
+ %1b is not a valid filename for the history file.
+S2IH0024
+ History information cannot be restored from %1b because the file does
+ not exist.
+S2IH0025
+ The workspace has been successfully restored from the history file
+ %1b .
+S2IH0026
+ The history facility command %1b cannot be performed because the
+ history facility is not on.
+S2IH0027
+ A value containing a %1b is being saved in a history file or a
+ compiled input file INLIB. This type
+ is not yet usable in other history operations.  You might want to issue
+ %b )history )off %d
+S2IH0029
+ History information is already being maintained in an external file
+ (and not in memory).
+S2IH0030
+ History information is already being maintained in memory (and not
+ in an external file).
+S2IH0031
+ When the history facility is active, history information will be
+ maintained in a file (and not in an internal table).
+S2IH0032
+ When the history facility is active, history information will be
+ maintained in memory (and not in an external file).
+S2IH0034
+ Missing element in internal history table.
+S2IH0035
+ Can't save the value of step number %1b.  You can re-generate this value
+ by running the input file %2b.
+S2IH0036
+ The value specified cannot be saved to a file.
+S2IH0037
+ You must specify a file name to the history save command
+S2IH0038
+ You must specify a file name to the history write command
+@
+
+\chapter{The Frame Mechanism}
+\section{)frame}
+%\label{ugSysCmdframe}
+%\index{frame}
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )frame  new  {\it frameName}}
+\item{\tt )frame  drop  {\it [frameName]}}
+\item{\tt )frame  next}
+\item{\tt )frame  last}
+\item{\tt )frame  names}
+\item{\tt )frame  import {\it frameName} {\it [objectName1 [objectName2 ...]]}}
+\item{\tt )set message frame on | off}
+\item{\tt )set message prompt frame}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+A {\it frame} can be thought of as a logical session within the
+physical session that you get when you start the system.  You can
+have as many frames as you want, within the limits of your computer's
+storage, paging space, and so on.
+Each frame has its own {\it step number}, {\it environment} and {\it history.}
+You can have a variable named {\tt a} in one frame and it will
+have nothing to do with anything that might be called {\tt a} in
+any other frame.
+
+Some frames are created by the HyperDoc program and these can
+have pretty strange names, since they are generated automatically.
+\index{frame names}
+To find out the names
+of all frames, issue
+\begin{verbatim}
+)frame names
+\end{verbatim}
+It will indicate the name of the current frame.
+
+You create a new frame
+\index{frame new}
+``{\bf quark}'' by issuing
+\begin{verbatim}
+)frame new quark
+\end{verbatim}
+The history facility can be turned on by issuing either
+{\tt )set history on} or {\tt )history )on}.
+If the history facility is on and you are saving history information
+in a file rather than in the Axiom environment
+then a history file with filename {\bf quark.axh} will
+be created as you enter commands.
+If you wish to go back to what
+you were doing in the
+\index{frame next}
+``{\bf initial}'' frame, use
+\index{frame last}
+\begin{verbatim}
+)frame next
+\end{verbatim}
+or
+\begin{verbatim}
+)frame last
+\end{verbatim}
+to cycle through the ring of available frames to get back to
+``{\bf initial}''.
+
+If you want to throw
+away a frame (say ``{\bf quark}''), issue
+\begin{verbatim}
+)frame drop quark
+\end{verbatim}
+If you omit the name, the current frame is dropped.
+\index{frame drop}
+
+If you do use frames with the history facility on and writing to a file,
+you may want to delete some of the older history files.
+\index{file!history}
+These are directories, so you may want to issue a command like
+{\tt rm -r quark.axh} to the operating system.
+
+You can bring things from another frame by using
+\index{frame import}
+{\tt )frame import}.
+For example, to bring the {\tt f} and {\tt g} from the frame ``{\bf quark}''
+to the current frame, issue
+\begin{verbatim}
+)frame import quark f g
+\end{verbatim}
+If you want everything from the frame ``{\bf quark}'', issue
+\begin{verbatim}
+)frame import quark
+\end{verbatim}
+You will be asked to verify that you really want everything.
+
+There are two {\tt )set} flags
+\index{set message frame}
+to make it easier to tell where you are.
+\begin{verbatim}
+)set message frame on | off
+\end{verbatim}
+will print more messages about frames when it is set on.
+By default, it is off.
+\begin{verbatim}
+)set message prompt frame
+\end{verbatim}
+will give a prompt
+\index{set message prompt frame}
+that looks like
+\begin{verbatim}
+initial (1) ->
+\end{verbatim}
+\index{prompt!with frame name}
+when you start up. In this case, the frame name and step make up the
+prompt.
+
+\par\noindent{\bf Also See:}
+{\tt )history} \index{ugSysCmdhistory} and
+{\tt )set} \index{ugSysCmdset}.
+
+@
+\section{Variables Used}
+The frame mechanism uses several dollar variables.
+\subsection{Primary variables}
+Primary variables are those which exist solely to make the frame
+mechanism work. 
+
+The \$interpreterFrameName contains a symbol which is the name
+of the current frame in use. 
+
+The \$interpreterFrameRing contains a list of all of the existing
+frames. The first frame on the list is the ``current'' frame. When
+AXIOMsys is started directly there is only one frame named ``initial''.
+
+If the system is started under sman (using the axiom shell script,
+for example), there are two frames, ``initial'' and ``frame0''. In
+this case, ``frame0'' is the current frame. This can cause subtle
+problems because functions defined in the axiom initialization file
+(.axiom.input) will be defined in frame ``initial'' but the current
+frame will be ``frame0''. They will appear to be undefined. However,
+if the user does ``)frame next'' they can switch to the ``initial''
+frame and see the functions correctly defined.
+
+The \$frameMessages variable controls when frame messages will be
+displayed. The variable is initially NIL. It can be set on (T) or off (NIL)
+using the system command:
+\begin{verbatim}
+    )set message frame on | off
+\end{verbatim}
+Setting frame messages on will output a line detailing the 
+current frame after every output is complete. 
+
+\subsection{Used variables}
+
+The frame collects and uses a few top level variables. These are:
+\$InteractiveFrame, \$IOindex, \$HiFiAccess, \$HistList, \$HistListLen,
+\$HistListAct, \$HistRecord, \$internalHistoryTable, and \$localExposureData.
+
+These variables can also be changed by the frame mechanism when the user
+requests changing to a different frame.
+
+\section{Data Structures}
+\subsection{Frames and the Interpreter Frame Ring}
+
+Axiom has the notion of ``frames''. A frame is a data structure which
+holds all the vital data from an Axiom session. There can be multiple
+frames and these live in a top-level variable called
+\$interpreterFrameRing. This variable holds a circular list of frames.
+The parts of a frame and their initial, default values are:
+
+\begin{verbatim}
+  $interpreterFrameName      a string, named on creation
+  $InteractiveFrame          (list (list nil))
+  $IOindex                   an integer, 1
+  $HiFiAccess                $HiFiAccess, see the variable description
+  $HistList                  $HistList, see the variable description
+  $HistListLen               $HistListLen, see the variable description
+  $HistListAct               $HistListAct, see the variable description
+  $HistRecord                $HistRecord, see the variable description
+  $internalHistoryTable      nil
+  $localExposureData         a copy of $localExposureData
+\end{verbatim}
+
+\section{Accessor Functions}
+These could be macros but we wish to export them to the API code
+in the algebra so we keep them as functions.
+\subsection{0th Frame Component -- frameName}
+<<defun frameName>>=
+(defun frameName (frame)
+ (car frame)) 
+
+@
+\subsection{1st Frame Component -- frameInteractive}
+<<defun frameInteractive>>=
+(defun frameInteractive (frame)
+ (nth 1 frame))
+
+@
+\subsection{2nd Frame Component -- frameIOIndex}
+<<defun frameIOIndex>>=
+(defun frameIOIndex (frame)
+ (nth 2 frame))
+
+@
+\subsection{3rd Frame Component -- frameHiFiAccess}
+<<defun frameHiFiAccess>>=
+(defun frameHiFiAccess (frame)
+ (nth 3 frame))
+
+@
+\subsection{4th Frame Component -- frameHistList}
+<<defun frameHistList>>=
+(defun frameHistList (frame)
+ (nth 4 frame))
+
+@
+\subsection{5th Frame Component -- frameHistListLen}
+<<defun frameHistListLen>>=
+(defun frameHistListLen (frame)
+ (nth 5 frame))
+
+@
+\subsection{6th Frame Component -- frameHistListAct}
+<<defun frameHistListAct>>=
+(defun frameHistListAct (frame)
+ (nth 6 frame))
+
+@
+\subsection{7th Frame Component -- frameHistRecord}
+<<defun frameHistRecord>>=
+(defun frameHistRecord (frame)
+ (nth 7 frame))
+
+@
+\subsection{8th Frame Component -- frameHistoryTable}
+<<defun frameHistoryTable>>=
+(defun frameHistoryTable (frame)
+ (nth 8 frame))
+
+@
+\subsection{9th Frame Component -- frameExposureData}
+<<defun frameExposureData>>=
+(defun frameExposureData (frame)
+ (nth 9 frame))
+
+@
+
+\section{Functions}
+\subsection{Initializing the Interpreter Frame Ring}
+
+Now that we know what a frame looks like we need a function to
+initialize the list of frames. This function sets the initial frame
+name to ``initial'' and creates a list of frames containing an empty
+frame. This list is the interpreter frame ring and is not actually
+circular but is managed as a circular list. 
+
+As a final step we update the world from this frame. This has the
+side-effect of resetting all the important global variables to their
+initial values.
+
+<<defun initializeInterpreterFrameRing>>=
+(defun |initializeInterpreterFrameRing| ()
+ (setq |$interpreterFrameName| '|initial|)
+ (setq |$interpreterFrameRing|
+   (list (|emptyInterpreterFrame| |$interpreterFrameName|)))
+ (|updateFromCurrentInterpreterFrame|) nil) 
+
+@
+
+The initial values of an empty frame are created here. This function
+returns a single frame that will be placed in the frame ring.
+
+\subsection{Creating an Empty Frame}
+<<defun emptyInterpreterFrame>>=
+(defun |emptyInterpreterFrame| (name)
+ (list name
+   (list (list nil))
+   1 
+   |$HiFiAccess| 
+   |$HistList| 
+   |$HistListLen| 
+   |$HistListAct| 
+   |$HistRecord| 
+   nil 
+   (copy-seq |$localExposureDataDefault|))) 
+
+@
+\subsection{Collecting up the Environment into a Frame}
+
+We can collect up all the current environment information into
+one frame element with this call. It creates a list of the current
+values of the global variables and returns this as a frame element.
+
+<<defun createCurrentInterpreterFrame>>=
+(defun |createCurrentInterpreterFrame| ()
+ (list 
+   |$interpreterFrameName| 
+   |$InteractiveFrame| 
+   |$IOindex| 
+   |$HiFiAccess| 
+   |$HistList| 
+   |$HistListLen| 
+   |$HistListAct| 
+   |$HistRecord| 
+   |$internalHistoryTable| 
+   |$localExposureData|)) 
+
+@
+\subsection{Updating from the Current Frame}
+
+The frames are kept on a circular list. The first element on that
+list is known as ``the current frame''. This will initialize all
+of the interesting interpreter data structures from that frame.
+
+<<defun updateFromCurrentInterpreterFrame>>=
+(defun |updateFromCurrentInterpreterFrame| ()
+ (let (tmp1)
+  (setq tmp1 (first |$interpreterFrameRing|))
+  (setq |$interpreterFrameName| (nth 0 tmp1))
+  (setq |$InteractiveFrame|     (nth 1 tmp1))
+  (setq |$IOindex|              (nth 2 tmp1))
+  (setq |$HiFiAccess|           (nth 3 tmp1))
+  (setq |$HistList|             (nth 4 tmp1))
+  (setq |$HistListLen|          (nth 5 tmp1))
+  (setq |$HistListAct|          (nth 6 tmp1))
+  (setq |$HistRecord|           (nth 7 tmp1))
+  (setq |$internalHistoryTable| (nth 8 tmp1))
+  (setq |$localExposureData|    (nth 9 tmp1))
+  (when |$frameMessages| 
+   (|sayMessage| 
+    (cons "   Current interpreter frame is called" |$interpreterFrameName|)))))
+
+@
+
+\subsection{Creating a List of all of the Frame Names}
+
+This function simply walks across the frame in the frame ring and
+returns a list of the name of each frame. 
+
+<<defun frameNames>>=
+(defun |frameNames| () 
+ (let (result)
+  (dolist (frame |$interpreterFrameRing|)
+   (push (frameName frame) result))
+  (nreverse result)))
+
+@
+\subsection{Find a Frame in the Frame Ring by Name}
+
+Each frame contains its name as the 0th element.  We simply walk all
+the frames and if we find one we return it.
+
+<<defun findFrameInRing>>=
+(defun |findFrameInRing| (name)
+ (block ()
+  (dolist (frame |$interpreterFrameRing|)
+   (when (eq (frameName frame) name) (return frame)))))
+
+@
+\subsection{Get Named Frame Environment (aka Interactive)}
+
+If the frame is found we return the environment portion of the frame
+otherwise we construct an empty environment and return it.
+
+<<defun frameEnvironment>>=
+(defun |frameEnvironment| (fname)
+ (let ((frame (|findFrameInRing| fname)))
+  (if frame
+   (frameInteractive frame)
+   (list (list nil)))))
+
+@
+\subsection{Update the Current Interpreter Frame}
+
+This function collects the normal contents of the world into a 
+frame object, places it first on the frame list, and then sets
+the current values of the world from the frame object. 
+
+<<defun updateCurrentInterpreterFrame>>=
+(defun |updateCurrentInterpreterFrame| ()
+ (rplaca |$interpreterFrameRing| (|createCurrentInterpreterFrame|))
+ (|updateFromCurrentInterpreterFrame|)
+ nil)
+
+@
+\subsection{defun nextInterpreterFrame}
+
+This function updates the current frame to make sure all of the
+current information is recorded. If there are more frame elements
+in the list then this will destructively move the current frame
+to the end of the list, that is, assume the frame list reads (1 2 3)
+this function will destructively change it to (2 3 1).
+
+Note: the nconc2 function destructively inserts the second list at the
+end of the first.
+
+\begin{verbatim}
+nextInterpreterFrame() ==
+  updateCurrentInterpreterFrame()
+  null rest $interpreterFrameRing => NIL  -- nothing to do
+  $interpreterFrameRing :=
+    NCONC2(rest $interpreterFrameRing,[first $interpreterFrameRing])
+  updateFromCurrentInterpreterFrame()
+\end{verbatim}
+<<defun nextInterpreterFrame>>=
+(defun |nextInterpreterFrame| ()
+ (|updateCurrentInterpreterFrame|)
+  (when (cdr |$interpreterFrameRing|)
+   (setq |$interpreterFrameRing|
+    (nconc2 (cdr |$interpreterFrameRing|) 
+      (list (car |$interpreterFrameRing|))))
+   (|updateFromCurrentInterpreterFrame|)))
+
+@
+\subsection{defun changeToNamedInterpreterFrame}
+\begin{verbatim}
+changeToNamedInterpreterFrame(name) ==
+  updateCurrentInterpreterFrame()
+  frame := findFrameInRing(name)
+  null frame => NIL
+  $interpreterFrameRing := [frame,:NREMOVE($interpreterFrameRing, frame)]
+  updateFromCurrentInterpreterFrame()
+\end{verbatim}
+<<defun changeToNamedInterpreterFrame>>=
+(defun |changeToNamedInterpreterFrame| (name)
+ (prog (frame)
+  (return
+   (progn 
+    (|updateCurrentInterpreterFrame|)
+    (spadlet frame (|findFrameInRing| name))
+    (cond 
+     ((null frame) 
+       nil)
+     (t 
+       (spadlet |$interpreterFrameRing|
+        (cons frame (nremove |$interpreterFrameRing| frame)))
+       (|updateFromCurrentInterpreterFrame|))))))) 
+
+@
+\subsection{defun previousInterpreterFrame}
+\begin{verbatim}
+previousInterpreterFrame() ==
+  updateCurrentInterpreterFrame()
+  null rest $interpreterFrameRing => NIL  -- nothing to do
+  [:b,l] := $interpreterFrameRing
+  $interpreterFrameRing := NCONC2([l],b)
+  updateFromCurrentInterpreterFrame()
+\end{verbatim}
+<<defun previousInterpreterFrame>>=
+(defun |previousInterpreterFrame| ()
+ (prog (tmp1 l b)
+  (return
+   (progn
+    (|updateCurrentInterpreterFrame|)
+    (cond
+     ((null (cdr |$interpreterFrameRing|))
+       nil)
+     (t
+       (spadlet tmp1 (reverse |$interpreterFrameRing|))
+       (spadlet l (car tmp1))
+       (spadlet b (nreverse (cdr tmp1)))
+       (spadlet |$interpreterFrameRing| (nconc2 (cons l nil) b))
+       (|updateFromCurrentInterpreterFrame|))))))) 
+
+@
+\subsection{defun addNewInterpreterFrame}
+\begin{verbatim}
+addNewInterpreterFrame(name) ==
+  null name => throwKeyedMsg("S2IZ0018",NIL)
+  updateCurrentInterpreterFrame()
+  -- see if we already have one by that name
+  for f in $interpreterFrameRing repeat
+    name = frameName(f) => throwKeyedMsg("S2IZ0019",[name])
+  initHistList()
+  $interpreterFrameRing := CONS(emptyInterpreterFrame(name),
+    $interpreterFrameRing)
+  updateFromCurrentInterpreterFrame()
+  _$ERASE histFileName()
+\end{verbatim}
+<<defun addNewInterpreterFrame>>=
+(defun |addNewInterpreterFrame| (name)
+ (seq
+  (cond
+   ((null name)
+    (|throwKeyedMsg| 'S2IZ0018 nil))  ; you must provide a name for new frame
+   (t
+     (|updateCurrentInterpreterFrame|)
+     (seq
+      (do ((tmp0 |$interpreterFrameRing| (cdr tmp0)) (f nil))
+          ((or (atom tmp0) 
+               (progn (setq f (car tmp0)) nil))
+             nil)
+       (seq
+        (exit
+         (when (boot-equal name (frameName f))
+          (exit 
+           (|throwKeyedMsg| 'S2IZ0019 ; existing frame with same name
+            (cons name nil)))))))
+      (|initHistList|)
+      (spadlet |$interpreterFrameRing|
+       (cons (|emptyInterpreterFrame| name) |$interpreterFrameRing|))
+      (|updateFromCurrentInterpreterFrame|)
+      ($erase (|histFileName|))))))) 
+
+@
+\subsection{defun closeInterpreterFrame}
+\begin{verbatim}
+closeInterpreterFrame(name) ==
+  -- if name = NIL then it means the current frame
+  null rest $interpreterFrameRing =>
+    name and (name ^= $interpreterFrameName) =>
+      throwKeyedMsg("S2IZ0020",[$interpreterFrameName])
+    throwKeyedMsg("S2IZ0021",NIL)
+  if null name then $interpreterFrameRing := rest $interpreterFrameRing
+  else   -- find the frame
+    found := nil
+    ifr := NIL
+    for f in $interpreterFrameRing repeat
+      found or (name ^= frameName(f)) => ifr := CONS(f,ifr)
+      found := true
+    not found => throwKeyedMsg("S2IZ0022",[name])
+    _$ERASE makeHistFileName(name)
+    $interpreterFrameRing := nreverse ifr
+  updateFromCurrentInterpreterFrame()
+\end{verbatim}
+<<defun closeInterpreterFrame>>=
+(defun |closeInterpreterFrame| (name)
+ (prog (ifr found)
+  (return
+   (seq
+    (cond
+     ((null (cdr |$interpreterFrameRing|))
+       (cond
+        ((and name (nequal name |$interpreterFrameName|))
+          (|throwKeyedMsg| 'S2IZ0020 ; 1 frame left. not the correct name.
+            (cons |$interpreterFrameName| nil))) 
+        (t (|throwKeyedMsg| 'S2IZ0021 nil)))) ; only 1 frame left, not closed
+     (t
+       (cond
+        ((null name)
+          (spadlet |$interpreterFrameRing| (cdr |$interpreterFrameRing|)))
+        (t 
+          (spadlet found nil)
+          (spadlet ifr nil)
+          (do ((tmp0 |$interpreterFrameRing| (cdr tmp0)) (f nil))
+              ((or (atom tmp0) (progn (setq f (car tmp0)) nil)) nil)
+           (seq
+            (exit
+             (cond
+              ((or found (nequal name (frameName f)))
+                (spadlet ifr (cons f ifr)))
+              (t 
+                (spadlet found t))))))
+          (cond
+           ((null found) 
+              (|throwKeyedMsg| 'S2IZ0022 (cons name nil)))
+           (t
+              ($erase (|makeHistFileName| name))
+              (spadlet |$interpreterFrameRing| (nreverse ifr))))))
+       (|updateFromCurrentInterpreterFrame|))))))) 
+
+@
+\subsection{defun displayFrameNames}
+\begin{verbatim}
+displayFrameNames() ==
+  fs := "append"/[ ['%l,'"     ",:bright frameName f] for f in
+    $interpreterFrameRing]
+  sayKeyedMsg("S2IZ0024",[fs])
+\end{verbatim}
+<<defun displayFrameNames>>=
+(defun |displayFrameNames| ()
+ (prog (fs)
+  (return
+   (seq
+    (progn
+     (spadlet fs
+      (prog (tmp0)
+       (spadlet tmp0 NIL)
+       (return
+        (do ((tmp1 |$interpreterFrameRing| (cdr tmp1)) (f nil))
+            ((or (atom tmp1)
+                 (progn (setq f (car tmp1)) nil))
+               tmp0)
+         (seq
+          (exit
+           (setq tmp0
+            (append tmp0 (cons '|%l| 
+              (cons (makestring "     ") (|bright| (frameName f))))))))))))
+      (|sayKeyedMsg| 'S2IZ0024 (cons fs nil))))))) ; frame names are ...
+
+@
+\subsection{defun importFromFrame}
+\begin{verbatim}
+importFromFrame args ==
+  -- args should have the form [frameName,:varNames]
+  if args and atom args then args := [args]
+  null args => throwKeyedMsg("S2IZ0073",NIL)
+  [fname,:args] := args
+  not member(fname,frameNames()) =>
+    throwKeyedMsg("S2IZ0074",[fname])
+  fname = frameName first $interpreterFrameRing =>
+    throwKeyedMsg("S2IZ0075",NIL)
+  fenv := frameEnvironment fname
+  null args =>
+    x := UPCASE queryUserKeyedMsg("S2IZ0076",[fname])
+    MEMQ(STRING2ID_-N(x,1),'(Y YES)) =>
+      vars := NIL
+      for [v,:props] in CAAR fenv repeat
+        v = "--macros" =>
+          for [m,:.] in props repeat vars := cons(m,vars)
+        vars := cons(v,vars)
+      importFromFrame [fname,:vars]
+    sayKeyedMsg("S2IZ0077",[fname])
+  for v in args repeat
+    plist := GETALIST(CAAR fenv,v)
+    plist =>
+      -- remove anything with the same name in the current frame
+      clearCmdParts ['propert,v]
+      for [prop,:val] in plist repeat
+        putHist(v,prop,val,$InteractiveFrame)
+    (m := get("--macros--",v,fenv)) =>
+      putHist("--macros--",v,m,$InteractiveFrame)
+    sayKeyedMsg("S2IZ0079",[v,fname])
+  sayKeyedMsg("S2IZ0078",[fname])
+\end{verbatim}
+<<defun importFromFrame>>=
+(defun |importFromFrame| (args)
+ (prog (temp1 fname fenv x v props vars plist prop val m)
+  (return
+   (seq
+    (progn
+     (when (and args (atom args))
+       (spadlet args (cons args nil))) 
+     (cond
+      ((null args)
+        (|throwKeyedMsg| 'S2IZ0073 nil)) ; missing frame name
+      (t
+        (spadlet temp1 args)
+        (spadlet fname (car temp1))
+        (spadlet args (cdr temp1))
+        (cond
+         ((null (|member| fname (|frameNames|)))
+           (|throwKeyedMsg| 'S2IZ0074 (cons fname nil))) ; not frame name
+         ((boot-equal fname (frameName (car |$interpreterFrameRing|)))
+           (|throwKeyedMsg| 'S2IZ0075 NIL)) ; cannot import from curr frame
+         (t
+           (spadlet fenv (|frameEnvironment| fname))
+           (cond
+            ((null args)
+              (spadlet x
+                (upcase (|queryUserKeyedMsg| 'S2IZ0076 (cons fname nil))))
+                                             ; import everything?
+              (cond
+               ((memq (string2id-n x 1) '(y yes))
+                 (spadlet vars nil)
+                 (do ((tmp0 (caar fenv) (cdr tmp0)) (tmp1 nil))
+                     ((or (atom tmp0) 
+                          (progn (setq tmp1 (car tmp0)) nil)
+                          (progn 
+                           (progn 
+                            (spadlet v (car tmp1))
+                            (spadlet props (cdr tmp1))
+                            tmp1)
+                           nil))
+                       nil)
+                  (seq
+                   (exit
+                    (cond
+                     ((boot-equal v '|--macros|)
+                       (do ((tmp2 props (cdr tmp2))
+                            (tmp3 nil))
+                           ((or (atom tmp2) 
+                                (progn (setq tmp3 (car tmp2)) nil)
+                                (progn 
+                                 (progn (spadlet m (car tmp3)) tmp3)
+                                 nil))
+                              nil)
+                        (seq
+                         (exit
+                          (spadlet vars (cons m vars))))))
+                     (t (spadlet vars (cons v vars)))))))
+                 (|importFromFrame| (cons fname vars)))
+               (t
+                 (|sayKeyedMsg| 'S2IZ0077 (cons fname nil)))))
+            (t
+             (do ((tmp4 args (cdr tmp4)) (v nil))
+                 ((or (atom tmp4) (progn (setq v (car tmp4)) nil)) nil)
+              (seq
+               (exit
+                (progn
+                 (spadlet plist (getalist (caar fenv) v))
+                 (cond
+                  (plist 
+                   (|clearCmdParts| (cons '|propert| (cons v nil)))
+                   (do ((tmp5 plist (cdr tmp5)) (tmp6 nil))
+                       ((or (atom tmp5)
+                            (progn (setq tmp6 (car tmp5)) nil)
+                            (progn 
+                             (progn 
+                              (spadlet prop (car tmp6))
+                              (spadlet val (cdr tmp6))
+                              tmp6)
+                             nil))
+                          nil)
+                    (seq
+                     (exit (|putHist| v prop val |$InteractiveFrame|)))))
+                  ((spadlet m (|get| '|--macros--| v fenv))
+                    (|putHist| '|--macros--| v m |$InteractiveFrame|))
+                  (t 
+                    (|sayKeyedMsg| 'S2IZ0079 ; frame not found
+                      (cons v (cons fname nil)))))))))
+             (|sayKeyedMsg| 'S2IZ0078 ; import complete
+               (cons fname nil))))))))))))) 
+
+@
+\subsection{defun frame}
+\begin{verbatim}
+-- the system command
+
+frame l == frameSpad2Cmd l
+\end{verbatim}
+<<defun frame>>=
+(defun |frame| (l)
+ (|frameSpad2Cmd| l)) 
+
+@
+\subsection{defun frameSpad2Cmd}
+\begin{verbatim}
+frameSpad2Cmd args ==
+  frameArgs := '(drop import last names new next)
+  $options => throwKeyedMsg("S2IZ0016",['")frame"])
+  null(args) => helpSpad2Cmd ['frame]
+  arg  := selectOptionLC(first args,frameArgs,'optionError)
+  args := rest args
+  if args is [a] then args := a
+  if ATOM args then args := object2Identifier args
+  arg = 'drop  =>
+    args and PAIRP(args) => throwKeyedMsg("S2IZ0017",[args])
+    closeInterpreterFrame(args)
+  arg = 'import =>  importFromFrame args
+  arg = 'last  =>   previousInterpreterFrame()
+  arg = 'names =>   displayFrameNames()
+  arg = 'new   =>
+    args and PAIRP(args) => throwKeyedMsg("S2IZ0017",[args])
+    addNewInterpreterFrame(args)
+  arg = 'next  =>   nextInterpreterFrame()
+
+  NIL
+\end{verbatim}
+<<defun frameSpad2Cmd>>=
+(defun |frameSpad2Cmd| (args)
+ (prog (frameArgs arg a)
+  (return
+   (progn
+    (spadlet frameArgs '(|drop| |import| |last| |names| |new| |next|))
+    (cond
+     (|$options|
+      (|throwKeyedMsg| 'S2IZ0016 ; frame command does not take options
+       (cons (makestring ")frame") nil)))
+     ((null args) 
+       (|helpSpad2Cmd| (cons '|frame| nil)))
+     (t
+       (spadlet arg 
+         (|selectOptionLC| (car args) frameArgs '|optionError|))
+       (spadlet args (cdr args))
+       (cond
+        ((and (pairp args) 
+              (eq (qcdr args) nil)
+              (progn (spadlet a (qcar args)) t))
+          (spadlet args a)))
+       (when (atom args)
+          (spadlet args (|object2Identifier| args)))
+       (cond
+        ((boot-equal arg '|drop|)
+          (cond
+           ((and args (pairp args))
+             (|throwKeyedMsg| 'S2IZ0017 ; not a valid frame name
+               (cons args nil)))
+           (t (|closeInterpreterFrame| args))))
+        ((boot-equal arg '|import|)
+          (|importFromFrame| args))
+        ((boot-equal arg '|last|)
+          (|previousInterpreterFrame|))
+        ((boot-equal arg '|names|)
+          (|displayFrameNames|))
+        ((boot-equal arg '|new|)
+          (cond 
+           ((and args (pairp args))
+             (|throwKeyedMsg| 'S2IZ0017 ; not a valid frame name
+               (cons args nil)))
+           (t
+             (|addNewInterpreterFrame| args))))
+        ((boot-equal arg '|next|)
+          (|nextInterpreterFrame|))
+        (t nil)))))))) 
+
+@
+\section{Frame File Messages}
+<<Frame File Messages>>=
+S2IZ0016
+ The %1b system command takes arguments but no options.
+S2IZ0017
+ %1b is not a valid frame name
+S2IZ0018
+ You must provide a name for the new frame.
+S2IZ0019
+ You cannot use the name %1b for a new frame because an existing
+ frame already has that name.
+S2IZ0020
+ There is only one frame active and therefore that cannot be closed.
+ Furthermore, the frame name you gave is not the name of the current frame.
+ The current frame is called %1b .
+S2IZ0021
+ The current frame is the only active one.  Issue %b )clear all %d to
+ clear its contents.
+S2IZ0022
+ There is no frame called %1b and so your command cannot be
+ processed.
+S2IZ0024
+ The names of the existing frames are: %1 %l
+ The current frame is the first one listed.
+S2IZ0073
+ %b )frame import %d must be followed by the frame name. The names
+ of objects in that frame can then optionally follow the frame name.
+ For example,
+ %ceon %b )frame import calculus %d %ceoff
+ imports all objects in the %b calculus %d frame, and
+ %ceon %b )frame import calculus epsilon delta %d %ceoff
+ imports the objects named %b epsilon %d and %b delta %d from the
+ frame %b calculus %d .
+ Please note that if the current frame contained any information
+ about objects with these names, then that information would be
+ cleared before the import took place.
+S2IZ0074
+ You cannot import anything from the frame %1b because that is not
+ the name of an existing frame.
+S2IZ0075
+ You cannot import from the current frame (nor is there a need!).
+S2IZ0076
+ User verification required:
+ do you really want to import everything from the frame %1b ?
+ If so, please enter %b y %d or %b yes %d :
+S2IZ0077
+ On your request, AXIOM will not import everything from frame %1b.
+S2IZ0078
+ Import from frame %1b is complete. Please issue %b )display all %d
+ if you wish to see the contents of the current frame.
+S2IZ0079
+ AXIOM cannot import %1b from frame %2b because it cannot be found.
+@
+\chapter{The Undo Mechanism}
+\section{)undo}
+\index{ugSysCmdundo}
+
+\index{undo}
+
+
+\par\noindent{\bf User Level Required:} interpreter
+
+\par\noindent{\bf Command Syntax:}
+\begin{list}{}
+\item{\tt )undo}
+\item{\tt )undo} {\it integer}
+\item{\tt )undo} {\it integer [option]}
+\item{\tt )undo} {\tt )redo}
+\end{list}
+%
+where {\it option} is one of
+%
+\begin{list}{}
+\item{\tt )after}
+\item{\tt )before}
+\end{list}
+
+\par\noindent{\bf Command Description:}
+
+This command is used to
+restore the state of the user environment to an earlier
+point in the interactive session.
+The argument of an {\tt )undo} is an integer which must designate some
+step number in the interactive session.
+
+\begin{verbatim}
+)undo n
+)undo n )after
+\end{verbatim}
+These commands return the state of the interactive
+environment to that immediately after step {\tt n}.
+If {\tt n} is a positive number, then {\tt n} refers to step nummber
+{\tt n}. If {\tt n} is a negative number, it refers to the \tt n-th
+previous command (that is, undoes the effects of the last $-n$
+commands).
+
+A {\tt )clear all} resets the {\tt )undo} facility.
+Otherwise, an {\tt )undo} undoes the effect of {\tt )clear} with
+options {\tt properties}, {\tt value}, and {\tt mode}, and
+that of a previous {\tt undo}.
+If any such system commands are given between steps $n$ and
+$n + 1$ ($n > 0$), their effect is undone
+for {\tt )undo m} for any $0 < m \leq n$..
+
+The command {\tt )undo} is equivalent to {\tt )undo -1} (it undoes
+the effect of the previous user expression).
+The command {\tt )undo 0} undoes any of the above system commands
+issued since the last user expression.
+
+\begin{verbatim}
+)undo n )before
+\end{verbatim}
+This command returns the state of the interactive
+environment to that immediately before step {\tt n}.
+Any {\tt )undo} or {\tt )clear} system commands
+given before step {\tt n} will not be undone.
+
+\begin{verbatim}
+)undo )redo
+\end{verbatim}
+This command reads the file {\tt redo.input}.
+created by the last {\tt )undo} command.
+This file consists of all user input lines, excluding those
+backtracked over due to a previous {\tt )undo}.
+
+\par\noindent{\bf Also See:}
+{\tt )history} \index{ugSysCmdhistory}.
+The command {\tt )history )write} will eliminate the ``undone'' command
+lines of your program.
+\section{Variables Used}
+\section{Data Structures}
+[[$frameRecord = [delta1, delta2,... ] ]] where
+[[delta(i)]] contains changes in the ``backwards'' direction.
+Each [[delta(i)]] has the form [[((var . proplist)...)]] where
+proplist denotes an ordinary proplist. For example, an entry
+of the form [[((x (value) (mode (Integer)))...)]] indicates that
+to undo 1 step, [[x]]'s value is cleared and its mode should be set
+to [[(Integer)]].
+
+A [[delta(i)]] of the form [[(systemCommand . delta)]] is a special
+delta indicating changes due to system commands executed between
+the last command and the current command. By recording these deltas
+separately, it is possible to undo to either BEFORE or AFTER
+the command. These special [[delta(i)]]s are given ONLY when a
+a system command is given which alters the environment.
+
+Note: [[recordFrame('system)]] is called before a command is executed, and
+[[recordFrame('normal)]] is called after (see processInteractive1).
+If no changes are found for former, no special entry is given.
+
+The [[$previousBindings]] is a copy of the 
+[[CAAR $InteractiveFrame]]. This is used to
+compute the [[delta(i)]]s stored in [[$frameRecord]].
+\section{Functions}
+\subsection{Initial Undo Variables}
+\begin{verbatim}
+$undoFlag := true     --Default setting for undo is "on"
+$frameRecord  := nil  --Initial setting for frame record
+$previousBindings := nil
+\end{verbatim}
+<<initvars>>=
+(defvar |$undoFlag| t "t means we record undo information")
+(defvar |$frameRecord| nil "a list of value changes") 
+(defvar |$previousBindings| nil "a copy of Interactive Frame info for undo") 
+(defvar |$reportUndo| nil "t means we report the steps undo takes")
+@
+\subsection{defun undo}
+\begin{verbatim}
+undo(l) ==
+--undo takes one option ")redo" which simply reads "redo.input",
+--  a file created by every normal )undo command (see below)
+  undoWhen := 'after
+  if $options is [[key]] then
+    stringPrefix?(s := PNAME key,'"redo") =>
+      $options := nil           --clear $options so that "read" won't see them
+      read '(redo_.input)
+    not stringPrefix?(s,'"before") =>
+       userError '"only option to undo is _")redo_""
+    undoWhen := 'before
+  n :=
+    null l => -1
+    first l
+  if IDENTP n then
+    n := PARSE_-INTEGER PNAME n
+    if not FIXP n then userError '"undo argument must be an integer"
+  $InteractiveFrame := undoSteps(undoCount n,undoWhen)
+  nil
+\end{verbatim}
+<<defun undo>>=
+(defun |undo| (l)
+ (prog (tmp1 key s undoWhen n)
+  (return
+   (progn
+    (spadlet undoWhen '|after|)
+    (when
+      (and (pairp |$options|)
+           (eq (qcdr |$options|) nil)
+           (progn
+            (spadlet tmp1 (qcar |$options|))
+            (and (pairp tmp1)
+                 (eq (qcdr tmp1) nil)
+                 (progn (spadlet key (qcar tmp1)) t)))
+       (cond
+        ((|stringPrefix?| (spadlet s (pname key)) (makestring "redo"))
+          (spadlet |$options| nil) 
+          (|read| '(|redo.input|)))
+        ((null (|stringPrefix?| s (makestring "before")))
+          (|userError| (makestring "only option to undo is \")redo\"")))
+        (t 
+          (spadlet undoWhen '|before|)))))
+    (if (null l)
+      (spadlet n (spaddifference 1))
+      (spadlet n (car l)))
+    (when (identp n)
+      (spadlet n (parse-integer (pname n)))
+      (cond
+       ((null (fixp n)) 
+         (|userError| (makestring "undo argument must be an integer")))
+       (t 
+         nil)))
+    (spadlet |$InteractiveFrame| (|undoSteps| (|undoCount| n) undoWhen))
+    nil)))) 
+
+@
+\subsection{defun recordFrame}
+\begin{verbatim}
+recordFrame(systemNormal) ==
+  null $undoFlag => nil        --do nothing if facility is turned off
+  currentAlist := KAR $frameRecord
+  delta := diffAlist(CAAR $InteractiveFrame,$previousBindings)
+  if systemNormal = 'system then
+    null delta => return nil     --do not record
+    delta := ['systemCommand,:delta]
+  $frameRecord := [delta,:$frameRecord]
+  $previousBindings := --copy all but the individual properties
+    [CONS(CAR x,[CONS(CAR y,CDR y) for y in CDR x]) for x in CAAR $InteractiveFrame]
+  first $frameRecord
+\end{verbatim}
+<<defun recordFrame>>=
+(defun |recordFrame| (systemNormal)
+ (prog (currentAlist delta)
+  (return
+   (seq
+    (cond 
+     ((null |$undoFlag|) nil)
+     (t 
+       (spadlet currentAlist (kar |$frameRecord|))
+       (spadlet delta 
+         (|diffAlist| (caar |$InteractiveFrame|) |$previousBindings|))
+       (cond
+        ((boot-equal systemNormal '|system|)
+          (cond 
+           ((null delta)
+             (return nil))
+           (t
+             (spadlet delta (cons '|systemCommand| delta))))))
+       (spadlet |$frameRecord| (cons delta |$frameRecord|))
+       (spadlet |$previousBindings|
+        (prog (tmp0)
+         (spadlet tmp0 nil)
+         (return
+          (do ((tmp1 (caar |$InteractiveFrame|) (cdr tmp1)) (x nil))
+              ((or (atom tmp1) 
+                   (progn (setq x (car tmp1)) nil))
+                (nreverse0 tmp0))
+           (seq
+            (exit
+             (setq tmp0
+              (cons 
+               (cons 
+                (car x)
+                (prog (tmp2)
+                 (spadlet tmp2 nil)
+                 (return
+                  (do ((tmp3 (cdr x) (cdr tmp3)) (|y| nil))
+                      ((or (atom tmp3) 
+                           (progn (setq |y| (car tmp3)) nil))
+                        (nreverse0 tmp2))
+                   (seq
+                    (exit
+                     (setq tmp2 (cons (cons (car |y|) (cdr |y|)) tmp2))))))))
+                tmp0))))))))
+       (car |$frameRecord|))))))) 
+
+@
+\subsection{defun diffAlist}
+\begin{verbatim}
+diffAlist(new,old) ==
+--record only those properties which are different
+  for (pair := [name,:proplist]) in new repeat
+    -- name has an entry both in new and old world
+    -- (1) if the old world had no proplist for that variable, then
+    --     record NIL as the value of each new property
+    -- (2) if the old world does have a proplist for that variable, then
+    --     a) for each property with a value: give the old value
+    --     b) for each property missing:      give NIL as the old value
+    oldPair := ASSQ(name,old) =>
+      null (oldProplist := CDR oldPair) =>
+      --record old values of new properties as NIL
+        acc := [[name,:[[prop] for [prop,:.] in proplist]],:acc]
+      deltas := nil
+      for (propval := [prop,:val]) in proplist repeat
+        null (oldPropval := ASSOC(prop,oldProplist)) => --missing property
+          deltas := [[prop],:deltas]
+        EQ(CDR oldPropval,val) => 'skip
+        deltas := [oldPropval,:deltas]
+      deltas => acc := [[name,:NREVERSE deltas],:acc]
+    acc := [[name,:[[prop] for [prop,:.] in proplist]],:acc]
+--record properties absent on new list (say, from a )cl all)
+  for (oldPair := [name,:r]) in old repeat
+    r and null LASSQ(name,new) =>
+      acc := [oldPair,:acc]
+    -- name has an entry both in new and old world
+    -- (1) if the new world has no proplist for that variable
+    --     (a) if the old world does, record the old proplist
+    --     (b) if the old world does not, record nothing
+    -- (2) if the new world has a proplist for that variable, it has
+    --     been handled by the first loop.
+  res := NREVERSE acc
+  if BOUNDP '$reportUndo and $reportUndo then reportUndo res
+  res
+\end{verbatim}
+<<defun diffAlist>>=
+(defun |diffAlist| (new old)
+ (prog (proplist oldPair oldProplist val oldPropval deltas prop name r acc res)
+  (return
+   (seq
+    (progn
+     (do ((tmp0 new (cdr tmp0)) (pair nil))
+         ((or (atom tmp0) 
+              (progn (setq pair (car tmp0)) nil)
+              (progn 
+               (progn 
+                (spadlet name (car pair))
+                (spadlet proplist (cdr pair))
+                pair) 
+               nil))
+             nil)
+      (seq
+       (exit
+        (cond
+         ((spadlet oldPair (assq name old))
+          (cond
+           ((null (spadlet oldProplist (cdr oldPair)))
+             (spadlet acc
+              (cons
+               (cons
+                 name 
+                 (prog (tmp1)
+                  (spadlet tmp1 nil)
+                  (return
+                   (do ((tmp2 proplist (cdr tmp2)) (tmp3 nil))
+                       ((or (atom tmp2) 
+                            (progn (setq tmp3 (car tmp2)) nil)
+                            (progn 
+                             (progn (spadlet prop (car tmp3)) tmp3)
+                             nil))
+                         (nreverse0 tmp1))
+                    (seq
+                     (exit
+                      (setq tmp1 (cons (cons prop nil) tmp1))))))))
+               acc)))
+           (t 
+             (spadlet deltas nil)
+             (do ((tmp4 proplist (cdr tmp4)) (|propval| nil))
+                 ((or (atom tmp4) 
+                      (progn (setq |propval| (car tmp4)) nil)
+                      (progn
+                       (progn
+                        (spadlet prop (car |propval|))
+                        (spadlet val (cdr |propval|))
+                        |propval|)
+                       nil))
+                   nil)
+              (seq
+               (exit
+                (cond
+                 ((null (spadlet oldPropval (|assoc| prop oldProplist)))
+                   (spadlet deltas (cons (cons prop nil) deltas)))
+                 ((eq (cdr oldPropval) val) '|skip|)
+                 (t (spadlet deltas (cons oldPropval deltas)))))))
+             (when deltas
+               (spadlet acc 
+                (cons (cons name (nreverse deltas)) acc))))))
+         (t
+           (spadlet acc
+            (cons
+             (cons
+              name
+              (prog (tmp5)
+               (spadlet tmp5 nil)
+               (return
+                (do ((tmp6 proplist (cdr tmp6)) (tmp7 nil))
+                    ((or (atom tmp6) 
+                         (progn (setq tmp7 (CAR tmp6)) nil)
+                         (progn
+                          (progn (spadlet prop (CAR tmp7)) tmp7)
+                          nil))
+                       (nreverse0 tmp5))
+                 (seq
+                  (exit
+                   (setq tmp5 (cons (cons prop nil) tmp5))))))))
+             acc)))))))
+     (seq
+      (do ((tmp8 old (cdr tmp8)) (oldPair nil))
+          ((or (atom tmp8) 
+               (progn (setq oldPair (car tmp8)) nil)
+               (progn
+                (progn
+                 (spadlet name (car oldPair))
+                 (spadlet r (cdr oldPair))
+                 oldPair)
+                nil))
+              nil)
+       (seq
+        (exit
+         (cond
+          ((and r (null (lassq name new)))
+            (exit 
+             (spadlet acc (cons oldPair acc))))))))
+      (spadlet res (nreverse acc))
+      (cond 
+       ((and (boundp '|$reportUndo|) |$reportUndo|)
+         (|reportUndo| res)))
+      (exit res))))))) 
+
+@
+\subsection{defun reportUndo}
+This function is enabled by setting [[|$reportUndo]] to a non-nil value.
+An example of the output generated is:
+\begin{verbatim}
+r := binary(22/7)
+ 
+
+           ___
+   (1)  11.001
+                                                        Type: BinaryExpansion
+Properties of % ::
+  value was: NIL
+  value is:  ((|BinaryExpansion|) WRAPPED . #(1 (1 1) NIL (0 0 1)))
+Properties of r ::
+  value was: NIL
+  value is:  ((|BinaryExpansion|) WRAPPED . #(1 (1 1) NIL (0 0 1)))
+
+\end{verbatim}
+
+\begin{verbatim}
+reportUndo acc ==
+  for [name,:proplist] in acc repeat
+    sayBrightly STRCONC("Properties of ",PNAME name,'" ::")
+    curproplist := LASSOC(name,CAAR $InteractiveFrame)
+    for [prop,:value] in proplist repeat
+      sayBrightlyNT ['"  ",prop,'" was: "]
+      pp value
+      sayBrightlyNT ['"  ",prop,'" is:  "]
+      pp LASSOC(prop,curproplist)
+\end{verbatim}
+<<defun reportUndo>>=
+(defun |reportUndo| (acc)
+ (prog (name proplist curproplist prop value)
+  (return
+   (seq
+    (do ((tmp0 acc (cdr tmp0)) (tmp1 nil))
+        ((or (atom tmp0) 
+             (progn (setq tmp1 (car tmp0)) nil)
+             (progn
+              (progn
+               (spadlet name (car tmp1))
+               (spadlet proplist (cdr tmp1))
+               tmp1)
+              nil))
+            nil)
+     (seq
+      (exit
+       (progn
+        (|sayBrightly|
+          (strconc '|Properties of | (pname name) (makestring " ::")))
+        (spadlet curproplist (lassoc name (caar |$InteractiveFrame|)))
+        (do ((tmp2 proplist (cdr tmp2)) (tmp3 nil))
+            ((or (atom tmp2) 
+                 (progn (setq tmp3 (car tmp2)) nil)
+                 (progn 
+                  (progn 
+                   (spadlet prop (car tmp3))
+                   (spadlet value (cdr tmp3))
+                   tmp3)
+                  nil))
+                nil)
+         (seq
+          (exit
+           (progn
+            (|sayBrightlyNT|
+             (cons
+              (makestring "  ")
+              (cons prop (cons (makestring " was: ") nil))))
+            (|pp| value)
+            (|sayBrightlyNT| 
+             (cons 
+              (makestring "  ") 
+              (cons prop (cons (makestring " is:  ") nil))))
+            (|pp| (lassoc prop curproplist)))))))))))))) 
+
+@
+\subsection{defun clearFrame}
+\begin{verbatim}
+clearFrame() ==
+  clearCmdAll()
+  $frameRecord := nil
+  $previousBindings := nil
+\end{verbatim}
+<<defun clearFrame>>=
+(defun |clearFrame| ()
+ (progn 
+  (|clearCmdAll|)
+  (spadlet |$frameRecord| nil) 
+  (spadlet |$previousBindings| nil))) 
+
+@
+\subsection{defun undoCount}
+\begin{verbatim}
+--=======================================================================
+--              Undoing previous m commands
+--=======================================================================
+undoCount(n) ==  --computes the number of undo's, given $IOindex
+--pp ["IOindex = ",$IOindex]
+  m :=
+    n >= 0 => $IOindex - n - 1
+    -n
+  m >= $IOindex => userError STRCONC('"Magnitude of undo argument must be less than step number (",STRINGIMAGE $IOindex,'").")
+  m
+\end{verbatim}
+<<defun undoCount>>=
+(defun |undoCount| (n)
+ (prog (m)
+  (return
+   (progn
+    (spadlet m 
+     (cond 
+       ((>= n 0) (spaddifference (spaddifference |$IOindex| n) 1))
+       (t (spaddifference n))))
+    (cond
+     ((>= m |$IOindex|)
+       (|userError| 
+        (strconc
+         (makestring 
+           "Magnitude of undo argument must be less than step number (")
+           (stringimage |$IOindex|) (makestring ")."))))
+     (t m)))))) 
+
+@
+\subsection{defun undoSteps}
+\begin{verbatim}
+undoSteps(m,beforeOrAfter) ==
+-- undoes m previous commands; if )before option, then undo one extra at end
+--Example: if $IOindex now is 6 and m = 2 then general layout of $frameRecord,
+--  after the call to recordFrame below will be:
+--  (<change for systemcommands>
+--  (<change for #5> <change for system commands>
+--  (<change for #4> <change for system commands>
+--  (<change for #3> <change for system commands>
+--   <change for #2> <change for system commands>
+--   <change for #1> <change for system commands>) where system
+--  command entries are optional and identified by (systemCommand . change).
+--  For a ")undo 3 )after", m = 2 and undoStep swill restore the environment
+--  up to, but not including <change for #3>.
+--  An "undo 3 )before" will additionally restore <change for #3>.
+--  Thus, the later requires one extra undo at the end.
+  writeInputLines('redo,$IOindex - m)
+  recordFrame('normal)  --do NOT mark this as a system command change
+                       --do this undo FIRST (i=0 case)
+  env := COPY CAAR $InteractiveFrame
+  for i in 0..m for framelist in tails $frameRecord repeat
+    env := undoSingleStep(first framelist,env)
+    framelist is [.,['systemCommand,:systemDelta],:.] =>
+--     pp '"===============> AHA <============="
+       framelist := rest framelist             --undoing system commands given
+       env := undoSingleStep(systemDelta,env)  --  before command line
+    lastTailSeen := framelist
+  if beforeOrAfter = 'before then  --do one additional undo for )before
+    env := undoSingleStep(first rest lastTailSeen,env)
+  $frameRecord := rest $frameRecord --flush the effect of extra recordFrame
+  $InteractiveFrame := LIST LIST env
+\end{verbatim}
+<<defun undoSteps>>=
+(defun |undoSteps| (m beforeOrAfter)
+ (prog (tmp1 tmp2 systemDelta framelist lastTailSeen env)
+  (return
+   (seq
+    (progn
+     (|writeInputLines| '|redo| (spaddifference |$IOindex| m))
+     (|recordFrame| '|normal|)
+     (spadlet env (copy (caar |$InteractiveFrame|)))
+     (do ((|i| 0 (qsadd1 |i|)) (framelist |$frameRecord| (cdr framelist)))
+         ((or (qsgreaterp |i| m) (atom framelist)) nil)
+      (seq
+       (exit
+        (progn
+         (spadlet env (|undoSingleStep| (CAR framelist) env))
+         (cond
+           ((and (pairp framelist) 
+                 (progn
+                  (spadlet tmp1 (qcdr framelist))
+                  (and (pairp tmp1) 
+                       (progn
+                        (spadlet tmp2 (qcar tmp1))
+                        (and (pairp tmp2)
+                             (eq (qcar tmp2) '|systemCommand|)
+                             (progn 
+                              (spadlet systemDelta (qcdr tmp2))
+                              t))))))
+             (spadlet framelist (cdr framelist))
+             (spadlet env (|undoSingleStep| systemDelta env)))
+           (t (spadlet lastTailSeen framelist)))))))
+     (cond
+      ((boot-equal beforeOrAfter '|before|)
+        (spadlet env (|undoSingleStep| (car (cdr lastTailSeen)) env))))
+     (spadlet |$frameRecord| (cdr |$frameRecord|))
+     (spadlet |$InteractiveFrame| (list (list env)))))))) 
+
+@
+\subsection{defun undoSingleStep}
+\begin{verbatim}
+undoSingleStep(changes,env) ==
+--Each change is a name-proplist pair. For each change:
+--  (1) if there exists a proplist in env, then for each prop-value change:
+--      (a) if the prop exists in env, RPLAC in the change value
+--      (b) otherwise, CONS it onto the front of prop-values for that name
+--  (2) add change to the front of env
+--  pp '"----Undoing 1 step--------"
+--  pp changes
+  for (change := [name,:changeList]) in changes repeat
+    if LASSOC('localModemap,changeList) then
+      changeList := undoLocalModemapHack changeList
+    pairlist := ASSQ(name,env) =>
+      proplist := CDR pairlist =>
+        for (pair := [prop,:value]) in changeList repeat
+          node := ASSQ(prop,proplist) => RPLACD(node,value)
+          RPLACD(proplist,[CAR proplist,:CDR proplist])
+          RPLACA(proplist,pair)
+      RPLACD(pairlist,changeList)
+    env := [change,:env]
+  env
+\end{verbatim}
+<<defun undoSingleStep>>=
+(defun |undoSingleStep| (changes env)
+ (prog (name changeList pairlist proplist prop value node)
+  (return
+   (seq
+    (progn
+     (do ((tmp0 changes (cdr tmp0)) (|change| nil))
+         ((or (atom tmp0) 
+              (progn (setq |change| (car tmp0)) nil)
+              (progn 
+               (progn 
+                (spadlet name (car |change|))
+                (spadlet changeList (cdr |change|))
+                |change|)
+               nil))
+             nil)
+      (seq
+       (exit
+        (progn
+         (when (lassoc '|localModemap| changeList)
+           (spadlet changeList (|undoLocalModemapHack| changeList)))
+         (cond
+          ((spadlet pairlist (assq name env))
+            (cond
+             ((spadlet proplist (cdr pairlist))
+               (do ((tmp1 changeList (cdr tmp1)) (pair nil))
+                   ((or (atom tmp1) 
+                        (progn (setq pair (car tmp1)) nil)
+                        (progn
+                         (progn
+                          (spadlet prop (car pair))
+                          (spadlet value (cdr pair))
+                          pair)
+                          nil))
+                        nil)
+                (seq
+                 (exit
+                  (cond
+                   ((spadlet node (assq prop proplist))
+                     (rplacd node value))
+                   (t
+                     (rplacd proplist
+                       (cons (car proplist) (cdr proplist)))
+                     (rplaca proplist pair)))))))
+             (t (rplacd pairlist changeList))))
+          (t 
+            (spadlet env (cons |change| env))))))))
+     env))))) 
+
+@
+\subsection{defun undoLocalModemapHack} 
+\begin{verbatim}
+undoLocalModemapHack changeList ==
+  [newPair for (pair := [name,:value]) in changeList | newPair] where newPair  ==
+     name = 'localModemap => [name]
+     pair
+\end{verbatim}
+<<defun undoLocalModemapHack>>=
+(defun |undoLocalModemapHack| (changeList)
+ (prog (name value)
+  (return
+   (seq
+    (prog (tmp0)
+     (spadlet tmp0 NIL)
+     (return
+      (do ((tmp1 changeList (cdr tmp1)) (pair nil))
+          ((or (atom tmp1) 
+               (progn (setq pair (car tmp1)) nil)
+               (progn
+                (progn
+                 (spadlet name (car pair))
+                 (spadlet value (cdr pair))
+                 pair)
+                nil))
+              (nreverse0 tmp0))
+       (seq
+        (exit
+         (cond
+          ((cond
+             ((boot-equal name '|localModemap|) (cons name nil))
+             (t pair))
+           (setq tmp0 
+            (cons 
+             (cond 
+              ((boot-equal name '|localModemap|) (cons name nil))
+              (t pair)) tmp0))))))))))))) 
+
+@
+\subsection{defun removeUndoLines}
+Removing undo lines from [[)hist )write linelist]]
+\begin{verbatim}
+removeUndoLines u == --called by writeInputLines
+  xtra :=
+    STRINGP $currentLine => [$currentLine]
+    REVERSE $currentLine
+  xtra := [x for x in xtra | not stringPrefix?('")history",x)]
+  u := [:u, :xtra]
+  not (or/[stringPrefix?('")undo",x) for x in u])  => u
+  --(1) reverse the list
+  --(2) walk down the (reversed) list: when >n appears remove:
+  --    (a) system commands
+  --    (b) if n > 0: (replace n by n-1; remove a command; repeat (a-b))
+  savedIOindex := $IOindex  --save value
+  $IOindex := 1
+  for y in tails u repeat
+    (x := first y).0 = char '_) =>
+      stringPrefix?('")undo",s := trimString x) => --parse "undo )option"
+        s1 := trimString SUBSTRING(s,5,nil)
+        if s1 ^= '")redo" then
+          m := charPosition(char '_),s1,0)
+          code :=
+            m < MAXINDEX s1 => s1.(m + 1)
+            char 'a
+          s2 := trimString SUBSTRING(s1,0,m)
+        n :=
+           s1 = '")redo" => 0
+           s2 ^= '"" => undoCount PARSE_-INTEGER s2
+           -1
+        RPLACA(y,CONCAT('">",code,STRINGIMAGE n))
+      nil
+    $IOindex := $IOindex + 1   --referenced by undoCount
+  acc := nil
+  for y in tails NREVERSE u repeat
+    (x := first y).0 = char '_> =>
+      code := x . 1                                 --code = a,b, or r
+      n := PARSE_-INTEGER SUBSTRING(x,2,nil)        --n = number of undo steps
+      y := rest y                                   --kill >n line
+      while y repeat
+        c := first y
+        c.0 = char '_) or c.0 = char '_> => y := rest y  --kill system commands
+        n = 0 => return nil                              --including undos
+        n := n - 1
+        y := rest y                                 --kill command
+      y and code^= char 'b => acc := [c,:acc]       --add last unless )before
+    acc := [x,:acc]
+  $IOindex := savedIOindex
+  acc
+\end{verbatim}
+<<defun removeUndoLines>>=
+(defun |removeUndoLines| (u)
+ (prog (xtra savedIOindex s s1 m s2 x code c n y acc)
+  (return
+   (seq
+    (progn
+     (spadlet xtra 
+      (cond
+       ((stringp |$currentLine|) (cons |$currentLine| nil))
+       (t (reverse |$currentLine|))))
+     (spadlet xtra
+      (prog (tmp0)
+       (spadlet tmp0 nil)
+       (return
+        (do ((tmp1 xtra (cdr tmp1)) (x nil))
+            ((or (atom tmp1)
+                 (progn (setq x (car tmp1)) nil))
+               (nreverse0 tmp0))
+         (seq
+          (exit
+           (cond
+            ((null (|stringPrefix?| (makestring ")history") x))
+              (setq tmp0 (cons x tmp0))))))))))
+     (spadlet u (append u xtra))
+     (cond
+      ((null
+        (prog (tmp2)
+         (spadlet tmp2 nil)
+         (return
+          (do ((tmp3 nil tmp2) (tmp4 u (cdr tmp4)) (x nil))
+              ((or tmp3 (atom tmp4) (progn (setq x (car tmp4)) nil)) tmp2)
+           (seq
+            (exit
+             (setq tmp2 
+               (or tmp2 (|stringPrefix?| (makestring ")undo") x))))))))) u)
+      (t
+        (spadlet savedIOindex |$IOindex|)
+        (spadlet |$IOindex| 1)
+        (do ((y u (cdr y)))
+            ((atom y) nil)
+         (seq
+          (exit
+           (cond
+            ((boot-equal (elt (spadlet x (car y)) 0) (|char| '|)|))
+              (cond
+               ((|stringPrefix?| (makestring ")undo") 
+                                 (spadlet s (|trimString| x)))
+                (spadlet s1 (|trimString| (substring s 5 nil)))
+                (cond
+                  ((nequal s1 (makestring ")redo"))
+                    (spadlet m (|charPosition| (|char| '|)|) s1 0))
+                    (spadlet code
+                     (cond
+                       ((> (maxindex s1) m) (elt s1 (plus m 1)))
+                       (t (|char| '|a|))))
+                    (spadlet s2 (|trimString| (substring s1 0 m)))))
+                (spadlet n
+                 (cond
+                  ((boot-equal s1 (makestring ")redo"))
+                     0)
+                  ((nequal s2 (makestring ""))
+                    (|undoCount| (parse-integer s2)))
+                  (t (spaddifference 1))))
+                (rplaca y
+                  (concat (makestring ">") code (stringimage n))))
+               (t nil)))
+            (t (spadlet |$IOindex| (plus |$IOindex| 1)))))))
+        (spadlet acc nil)
+        (do ((y (nreverse u) (cdr y)))
+            ((atom y) nil)
+         (seq
+          (exit
+           (cond
+            ((boot-equal (elt (spadlet x (car y)) 0) (|char| '>))
+              (spadlet code (elt x 1))
+              (spadlet n (parse-integer (substring x 2 nil)))
+              (spadlet y (cdr y))
+              (do () 
+                  ((null y) nil)
+               (seq
+                (exit
+                 (progn
+                  (spadlet c (car y))
+                  (cond 
+                   ((or (boot-equal (elt c 0) (|char| '|)|))
+                        (boot-equal (elt c 0) (|char| '>)))
+                     (spadlet y (cdr y)))
+                   ((eql n 0)
+                     (return nil))
+                   (t
+                     (spadlet n (spaddifference n 1))
+                     (spadlet y (cdr y))))))))
+              (cond
+               ((and y (nequal code (|char| '|b|)))
+                 (spadlet acc (cons c acc)))))
+            (t (spadlet acc (cons x acc)))))))
+        (spadlet |$IOindex| savedIOindex)
+        acc))))))) 
+
+@
+
+\chapter{The Spad Server Mechanism}
+<<initvars>>=
+(defvar $openServerIfTrue t "t means try starting an open server")
+(defconstant $SpadServerName "/tmp/.d" "the name of the spad server socket")
+(defvar |$SpadServer| nil "t means Scratchpad acts as a remote server")
+
+@
+
+\chapter{The Help Browser Mechanism}
+The Axiom book on the help browser is a complete rewrite of the 
+hyperdoc mechanism. There are several components that were needed
+to make this function. Most of the web browser components are
+described in bookvol11.pamphlet. This portion describes some of
+the design issues needed to support the interface.
+
+The axServer command takes a port (defaulting to 8085) and a
+program to handle the browser interaction (defaulting to multiServ).
+The axServer function opens the port, constructs the stream, and
+passes the stream to multiServ. The multiServ loop processes one
+interaction at a time.
+
+So the basic process is that the Axiom ``)browse'' command opens a
+socket and listens for http requests. Based on the type of request
+(either 'GET' or 'POST') and the content of the request, which is
+one of:
+\begin{itemize}
+\item command - algebra request/response
+\item lispcall - a lisp s-expression to be evaluated
+\item showcall - an Axiom )show command
+\end{itemize}
+the multiServ function will call a handler function to evaluate
+the command line and construct a response. GET requests result
+in a new browser page. POST requests result in an inline result.
+
+Most responses contain the fields:
+\begin{itemize}
+\item stepnum - this is the Axiom step number 
+\item command - this is the original command from the browser
+\item algebra - this is the Axiom 2D algebra output
+\item mathml - this is the MathML version of the Axiom algebra
+\item type - this is the type of the Axiom result
+\end{itemize}
+
+\section{Browsers, MathML, and Fonts}
+This work has the Firefox browser as its target. Firefox has built-in
+support for MathML, javascript, and XMLHttpRequest handling. More details
+are available in bookvol11.pamphlet but the very basic machinery for 
+communication with the browser involves a dance between the browser
+and the multiServ function (see the axserver.spad.pamphlet). 
+
+In particular, a simple request is embedded in a web page as:
+\begin{verbatim}
+<ul>
+ <li>
+  <input type="submit" id="p3" class="subbut" 
+    onclick="makeRequest('p3');"
+    value="sin(x)" />
+  <div id="ansp3"><div></div></div>
+ </li>
+</ul>
+\end{verbatim}
+which says that this is an html ``input'' field of type ``submit''.
+The CSS display class is ``subbut'' which is of a different color
+than the surrounding text to make it obvious that you can click on
+this field. Clickable fields that have no response text are of class
+``noresult''.
+
+The javascript call to ``makeRequest'' gives the ``id'' of this input
+field, which must be unique in the page, as an argument. In this case,
+the argument is 'p3'. The ``value'' field holds the display text which
+will be passed back to Axiom as a command.
+
+When the result arrives the ``showanswer'' function will select out
+the mathml field of the response, construct the ``id'' of the html
+div to hold the response by concatenating the string ``ans'' (answer)
+to the ``id'' of the request resulting, in this case, as ``ansp3''.
+The ``showanswer'' function will find this div and replace it with a
+div containing the mathml result.
+
+The ``makeRequest'' function is:
+\begin{verbatim}
+ function makeRequest(arg) {
+   http_request = new XMLHttpRequest();         
+   var command = commandline(arg);
+   //alert(command);
+   http_request.open('POST', '127.0.0.1:8085', true);
+   http_request.onreadystatechange = handleResponse;
+   http_request.setRequestHeader('Content-Type', 'text/plain');
+   http_request.send("command="+command);
+   return(false);
+\end{verbatim}
+It contains a request to open a local server connection to Axiom,
+sets ``handleResponse'' as the function to call on reply, sets up
+the type of request, fills in the command field, and sends off the
+http request.
+
+When a response is received, the ``handleResponse'' function checks
+for the correct reply state, strips out the important text, and
+calls ``showanswer''.
+\begin{verbatim}
+ function handleResponse() {
+  if (http_request.readyState == 4) {
+   if (http_request.status == 200) {
+    showanswer(http_request.responseText,'mathAns');
+   } else
+   {
+     alert('There was a problem with the request.'+ http_request.statusText);
+   }
+  }
+ }
+\end{verbatim}
+See bookvol11.pamphlet for further details.
+
+\section{The axServer/multiServ loop}
+The basic call to start an Axiom browser listener is:
+\begin{verbatim}
+  )set message autoload off
+  )set output mathml on
+  axServer(8085,multiServ)$AXSERV
+\end{verbatim}
+
+This call sets the port, opens a socket, attaches it to a stream,
+and then calls ``multiServ'' with that stream. The ``multiServ''
+function loops serving web responses to that port.
+
+\section{The )browse command}
+In order to make the whole process cleaner the function ``)browse''
+handles the details. This code creates the command-line function for )browse
+
+The browse function does the internal equivalent of the following 3 command
+line statments:
+\begin{verbatim}
+  )set message autoload off
+  )set output mathml on
+  axServer(8085,multiServ)$AXSERV
+\end{verbatim}
+which causes Axiom to start serving web pages on port 8085
+
+For those unfamiliar with calling algebra from lisp there are a 
+few points to mention. 
+
+The loadLib needs to be called to load the algebra code into the image.
+Normally this is automatic but we are not using the interpreter so
+we need to do this ``by hand''.
+
+Each algebra file contains a "constructor function" which builds the
+domain, which is a vector, and then caches the vector so that every
+call to the contructor returns an EQ vector, that is, the same vector.
+In this case, we call the constructor $\vert$AxiomServer$\vert$
+
+The axServer function was mangled internally to 
+$\vert$AXSERV;axServer;IMV;2$\vert$.
+The multiServ function was mangled to $\vert$AXSERV;multiServ;SeV;3$\vert$
+Note well that if you change axserver.spad these names might change
+which will generate the error message along the lines of:
+\begin{verbatim}
+    System error:
+    The function $\vert$AXSERV;axServer;IMV;2$\vert$ is undefined.
+\end{verbatim}
+
+To fix this you need to look at int/algebra/AXSERV.nrlib/code.lsp
+and find the new mangled function name. A better solution would
+be to dynamically look up the surface names in the domain vector.
+
+Each Axiom function expects the domain vector as the last argument.
+This is not obvious from the call as the interpreter supplies it.
+We must do that ``by hand''.
+
+We don't call the multiServ function. We pass it as a parameter to
+the axServer function. When it does get called by the SPADCALL
+macro it needs to be a lisp pair whose car is the function and
+whose cdr is the domain vector. We construct that pair here as
+the second argument to axServer. The third, hidden, argument to
+axServer is the domain vector which we supply ``by hand''.
+
+The socket can be supplied on the command line but defaults to 8085.
+Axiom supplies the arguments as a list.
+<<defun browse>>=
+(defun |browse| (socket)
+ (let (axserv browser)
+  (if socket 
+    (setq socket (car socket))
+    (setq socket 8085))
+  (|set| '(|mes| |auto| |off|))
+  (|set| '(|out| |mathml| |on|))
+  (|loadLib| '|AxiomServer|)
+  (setq axserv (|AxiomServer|))
+  (setq browser 
+   (|AXSERV;axServer;IMV;2| socket
+    (cons #'|AXSERV;multiServ;SeV;3| axserv) axserv))))
+
+@
+Now we have to bolt it into Axiom. This involves two lookups.
+
+We create the lisp pair 
+\begin{verbatim}
+(|browse| . |development|)
+\end{verbatim} 
+and cons it into the \$systemCommands command table.  This allows the
+command to be executed in development mode.  This lookup decides if
+this command is allowed. It also has the side-effect of putting the
+command into the \$SYSCOMMANDS variable which is used to determine
+if the token is a command.
+
+\section{The server support code}
+
+\chapter{Axiom Build-time Functions}
+\subsection{defun spad-save}
+The {\bf spad-save} function is just a cover function for more
+lisp system specific save functions. There is no standard name
+for saving a lisp image so we make one and conditionalize it
+at compile time.
+
+This function is passed the name of an image that will be saved.
+The saved image contains all of the loaded functions.
+
+This is used in the [[src/interp/Makefile.pamphlet]] in three places:
+\begin{list}{}
+\item creating depsys, an image for compiling axiom.
+
+Some of the Common Lisp code we compile uses macros which
+are assumed to be available at compile time. The {\bf DEPSYS}
+image is created to contain the compile time environment
+and saved. We pipe compile commands into this environment
+to compile from Common Lisp to machine dependent code.
+\begin{verbatim}
+DEPSYS=	${OBJ}/${SYS}/bin/depsys
+\end{verbatim}
+
+\item creating savesys, an image for running axiom.
+
+Once we've compile all of the Common Lisp files we fire up
+a clean lisp image called {\bf LOADSYS}, load all of the
+final executable code and save it out as {\bf SAVESYS}.
+The {\bf SAVESYS} image is copied to the [[${MNT}/${SYS}/bin]]
+subdirectory and becomes the axiom executable image.
+\begin{verbatim}
+LOADSYS= ${OBJ}/${SYS}/bin/lisp
+SAVESYS= ${OBJ}/${SYS}/bin/interpsys
+AXIOMSYS= ${MNT}/${SYS}/bin/AXIOMsys
+\end{verbatim}
+
+
+\item creating debugsys, an image with all interpreted functions loaded.
+
+Occasionally we need to really get into the system internals.
+The best way to do this is to run almost all of the lisp code
+interpreted rather than compiled (note that cfuns.lisp and sockio.lisp
+still need to be loaded in compiled form as they depend on the 
+loader to link with lisp internals). This image is nothing more
+than a load of the file src/interp/debugsys.lisp.pamphlet. If
+you need to make test modifications you can add code to that
+file and it will show up here.
+\begin{verbatim}
+DEBUGSYS=${OBJ}/${SYS}/bin/debugsys
+\end{verbatim}
+\end{list}
+<<defun spad-save>>=
+(defun user::spad-save (save-file)
+  (setq |$SpadServer| nil)
+  (setq $openServerIfTrue t)
+#+:AKCL
+  (system::save-system save-file)
+#+:allegro
+  (if (fboundp 'boot::restart)
+   (excl::dumplisp :name save-file :restart-function #'boot::restart)
+   (excl::dumplisp :name save-file))
+#+Lucid
+  (if (fboundp 'boot::restart)
+   (sys::disksave save-file :restart-function #'boot::restart)
+   (sys::disksave save-file))
+#+:CCL
+  (preserve)
+)
+
+@
+
+\chapter{The Interpreter}
+<<Interpreter>>=
+(in-package "BOOT")
+<<initvars>>
+
+
+<<defun addNewInterpreterFrame>>
+
+<<defun browse>>
+
+<<defun changeHistListLen>>
+<<defun changeToNamedInterpreterFrame>>
+<<defun charDigitVal>>
+<<defun clearFrame>>
+<<defun closeInterpreterFrame>>
+<<defun createCurrentInterpreterFrame>>
+
+<<defun dewritify>>
+<<defun dewritify,dewritifyInner>>
+<<defun dewritify,is?>>
+<<defun diffAlist>>
+<<defun disableHist>>
+<<defun displayFrameNames>>
+
+<<defun emptyInterpreterFrame>>
+
+<<defun fetchOutput>>
+<<defun findFrameInRing>>
+<<defun frame>>
+<<defun frameEnvironment>>
+<<defun frameExposureData>>
+<<defun frameHiFiAccess>>
+<<defun frameHistList>>
+<<defun frameHistListAct>>
+<<defun frameHistListLen>>
+<<defun frameHistoryTable>>
+<<defun frameHistRecord>>
+<<defun frameInteractive>>
+<<defun frameIOIndex>>
+<<defun frameName>>
+<<defun frameNames>>
+<<defun frameSpad2Cmd>>
+
+<<defun getenviron>>
+<<defun gensymInt>>
+
+<<defun histFileErase>>
+<<defun history>>
+<<defun histFileName>>
+<<defun histInputFileName>>
+<<defun historySpad2Cmd>>
+
+<<defun incBiteOff>>
+<<defun incFileName>>
+<<defun importFromFrame>>
+<<defun init-memory-config>>
+<<defun initHist>>
+<<defun initHistList>>
+<<defun initializeInterpreterFrameRing>>
+<<defun initroot>>
+<<defun intloop>>
+<<defun intloopPrefix?>>
+<<defun intloopReadConsole>>
+
+<<defun loadExposureGroupData>>
+
+<<defun make-absolute-filename>>
+<<defun makeHistFileName>>
+<<defun makeInitialModemapFrame>>
+
+<<defun ncIntLoop>>
+<<defun ncloopCommand>>
+<<defun ncloopEscaped>>
+<<defun ncloopInclude>>
+<<defun ncloopInclude1>>
+<<defun ncloopIncFileName>>
+<<defun ncloopPrefix?>>
+<<defun ncTopLevel>>
+<<defun nextInterpreterFrame>>
+
+<<defun oldHistFileName>>
+
+<<defun previousInterpreterFrame>>
+<<defun putHist>>
+
+<<defun readHiFi>>
+<<defun reclaim>>
+<<defun recordNewValue>>
+<<defun recordNewValue0>>
+<<defun recordOldValue>>
+<<defun recordOldValue0>>
+<<defun recordFrame>>
+<<defun removeUndoLines>>
+<<defun reportUndo>>
+<<defun reroot>>
+<<defun resetInCoreHist>>
+<<defun restart>>
+<<defun restoreHistory>>
+<<defun runspad>>
+
+<<defun safeWritify>>
+<<defun saveHistory>>
+<<defun ScanOrPairVec>>
+<<defun setCurrentLine>>
+<<defun setHistoryCore>>
+<<defun set-restart-hook>>
+<<defun showInOut>>
+<<defun showInput>>
+<<defun setIOindex>>
+<<defun showHistory>>
+<<defun spad>>
+<<defun spad-save>>
+<<defun spadClosure?>>
+<<defun SpadInterpretStream>>
+<<defun SPADRREAD>>
+<<defun SPADRWRITE>>
+<<defun SPADRWRITE0>>
+<<defun statisticsInitialization>>
+
+<<defun undo>>
+<<defun undoChanges>>
+<<defun undoCount>>
+<<defun undoFromFile>>
+<<defun undoInCore>>
+<<defun undoLocalModemapHack>>
+<<defun undoSingleStep>>
+<<defun undoSteps>>
+<<defun unwritable?>>
+<<defun updateCurrentInterpreterFrame>>
+<<defun updateFromCurrentInterpreterFrame>>
+<<defun updateHist>>
+<<defun updateInCoreHist>>
+
+<<defun writify>>
+<<defun writify,writifyInner>>
+<<defun writifyComplain>>
+<<defun writeHiFi>>
+<<defun writeHistModesAndValues>>
+<<defun writeInputLines>>
+
+@
+\chapter{The Global Variables}
+\section{Star Global Variables}
+\begin{tabular}{lll}
+NAME                        & SET              & USE \\
+*default-pathname-defaults* & reroot           & restart \\
+*eof*                       & ncTopLevel       & \\
+*features*                  &                  & restart \\
+*package*                   &                  & restart \\
+*standard-input*            &                  & ncIntLoop \\
+*standard-output*           &                  & ncIntLoop \\
+*top-level-hook*            & set-restart-hook & \\
+\end{tabular}
+\subsection{*default-pathname-defaults*}
+The [[*default-pathname-defaults*]] variable is set by
+[[make-absolute-filename]] called on the empty string. This has
+the effect of setting the value to the [[AXIOM]] variable as this
+function just concatenates the [[AXIOM]] variable onto the given string.
+We pass this string to the common lisp [[pathname]] function to set it
+to a real pathname.
+
+The [[*default-pathname-defaults*]] defaults common lisp variable is
+set in [[restart]] to the current directory in most cases. If we are
+working in Lucid Common Lisp ([[:lucid]]) on an IBM/370 mainframe
+([[:ibm/370]]) then it is set to the empty string. Using Lucid on a 
+mainframe seems to use the variable [[vmlisp::$current-directory]].
+
+\subsection{*eof*}
+The [[*eof*]] variable is set to [[NIL]] in [[ncTopLevel]].
+\subsection{*features*}
+The [[*features*]] variable from common lisp is tested for the presence
+of the [[:unix]] keyword. Apparently this controls the use of Saturn,
+a previous Axiom frontend. The Saturn frontend was never released as
+open source and so this test and the associated variables are probably
+not used.
+
+\subsection{*package*}
+The [[*package*]] variable, from common lisp, is set in [[restart]]
+to the [[BOOT]] package where the intepreter lives.
+\subsection{*standard-input*}
+The [[*standard-input*]] common lisp variable is used to set the 
+[[curinstream]] variable in [[ncIntLoop]]. 
+
+This variable is an argument to [[serverReadLine]] in
+the [[intloopReadConsole]] function.
+
+\subsection{*standard-output*}
+The [[*standard-output*]] common lisp variable is used to set the 
+[[curoutstream]] variable in [[ncIntLoop]].
+
+\subsection{*top-level-hook*}
+The [[*top-level-hook*]] common lisp variable contains the name of
+a function to invoke when an image is started. In our case it is
+called [[restart]]. This is the entry point to the Axiom interpreter.
+
+\section{Dollar Global Variables}
+\begin{tabular}{lll}
+NAME                         & SET                 & USE \\
+\$boot                       & ncTopLevel          & \\
+coerceFailure                &                     & runspad \\
+curinstream                  & ncIntLoop           & \\
+curoutstream                 & ncIntLoop           & \\
+vmlisp::\$current-directory  & restart             & \\
+                             & reroot              & \\
+\$currentLine                & restart             & removeUndoLines \\
+\$dalymode                   &                     & intloopReadConsole \\
+\$defaultMsgDatabaseName     & reroot              & \\
+\$directory-list             & reroot              & \\
+\$displayStartMsgs           &                     & restart \\
+\$e                          & ncTopLevel          & \\
+\$erMsgToss                  & SpadInterpretStream & \\
+\$fn                         & SpadInterpretStream & \\
+\$frameRecord                & initvars            & \\
+                             & clearFrame          & \\
+                             & undoSteps           & undoSteps \\
+                             & recordFrame         & recordFrame \\
+\$HiFiAccess                 & initHist            & historySpad2Cmd \\
+                             & historySpad2Cmd     & \\
+                             &                     & setHistoryCore \\
+\$HistList                   & initHist            & \\
+\$HistListAct                & initHist            & \\
+\$HistListLen                & initHistList        & \\
+\$HistRecord                 & initHistList        & \\
+\$historyDirectory           &                     & makeHistFileName \\
+                             &                     & makeHistFileName \\
+\$historyFileType            & initvars           & histInputFileName \\
+\$inclAssertions             & SpadInterpretStream & \\
+\$inLispVM                   & spad                & \\
+\$InteractiveFrame           & restart             & ncTopLevel \\
+                             & undo                & recordFrame \\
+                             & undoSteps           & undoSteps \\
+                             &                     & reportUndo \\
+\$InteractiveMode            & ncTopLevel          & \\
+\$internalHistoryTable       & initvars            & \\
+\$interpreterFrameName       & initializeInterpreterFrameRing & \\
+\$interpreterFrameRing       & initializeInterpreterFrameRing & \\
+\$InitialModemapFrame        &                     & makeInitialModemapFrame \\
+\$intRestart                 &                     & intloop \\
+\$intTopLevel                & intloop             & \\
+\$IOindex                    & restart             & historySpad2Cmd \\
+                             & removeUndoLines     & undoCount \\
+\$genValue                   & bookvol5            & i-toplev \\
+                             &                     & i-analy \\
+                             &                     & i-syscmd \\
+                             &                     & i-spec1 \\
+                             &                     & i-spec2 \\
+                             &                     & i-map \\
+\$lastPos                    & SpadInterpretStream & \\
+\$libQuiet                   & SpadInterpretStream & \\
+\$library-directory-list     & reroot              & \\
+\$msgDatabaseName            & reroot              * \\
+\$ncMsgList                  & SpadInterpretStream & \\
+\$newcompErrorCount          & SpadInterpretStream & \\
+\$newcompMode                & SpadInterpretStream & \\
+\$newspad                    & ncTopLevel          & \\
+\$nopos                      &                     & SpadInterpretStream \\
+\$okToExecuteMachineCode     & SpadInterpretStream & \\
+\$oldHistoryFileName         & initvars            & oldHistFileName \\
+\$openServerIfTrue           & restart             & restart \\
+                             & spad-save           & \\
+                             & initvars            & \\
+\$options                    &                     & history \\
+                             & historySpad2Cmd     & historySpad2Cmd \\
+                             &                     & undo \\
+\$previousBindings           & initvars            & \\
+                             & clearFrame          & \\
+                             & recordFrame         & recordFrame \\
+\$printLoadMsgs              & restart             & \\
+\$PrintCompilerMessageIfTrue & spad                & \\
+\$promptMsg                  & SpadInterpretStream & \\
+\$relative-directory-list    &                     & reroot \\
+\$relative-library-directory-list &                & reroot \\
+\$reportUndo                 & initvars            & diffAlist \\
+\$shoeReadLineFunction       & SpadInterpretStream & \\
+\$spad                       & ncTopLevel          & \\
+\$spadroot                   & reroot              & initroot \\
+                             &                     & make-absolute-filename \\
+                             &                     & reroot \\
+\$SpadServer                 & restart             & \\
+\$SpadServerName             & initvars            & restart \\
+\$systemCommandFunction      & SpadInterpretStream & \\
+top\_level                   &                     & runspad \\
+\$quitTag                    &                     & runspad \\
+\$useInternalHistoryTable    & initvars            & initHist \\
+                             & setHistoryCore      & setHistoryCore \\
+\$undoFlag                   & initvars            & recordFrame \\
+\end{tabular}
+
+\subsection{\$boot}
+The [[$boot]] variable is set to [[NIL]] in [[ncTopLevel]].
+
+\subsection{coerceFailure}
+The [[coerceFailure]] symbol is a catch tag used in [[runspad]]
+to catch an exit from [[ncTopLevel]].
+
+\subsection{curinstream}
+The [[curinstream]] variable is set to the value of the 
+[[*standard-input*]] common lisp
+variable in [[ncIntLoop]]. While not using the
+``dollar'' convention this variable is still ``global''.
+
+\subsection{curinstream}
+The [[curoutstream]] variable is set to the value of the 
+[[*standard-output*]] common lisp variable in [[ncIntLoop]].
+While not using the ``dollar'' convention this variable is still ``global''.
+
+\subsection{vmlisp::\$current-directory}
+When running in Lucid Common Lisp ([[:lucid]]) on an IBM/370 mainframe
+([[:ibm/370]]) this variable is used in place of the 
+[[*default-pathname-defaults*]] common lisp variable. 
+Otherwise this variable is
+set to the empty string in [[restart]]. 
+
+The [[reroot]] function sets this variable to the value of
+[[$spadroot]] which itself has the value of the argument to the
+[[reroot]] function. Since the argument to the [[reroot]] function is
+an string which represents an absolute pathname pointing to AXIOM the
+net result is that the [[$current-directory]] is set to point to the
+shell [[AXIOM]] variable.
+
+So during execute both [[$current-directory]] and [[$spadroot]] reflect
+the value of the [[AXIOM]] shell variable.
+
+\subsection{\$currentLine}
+The [[$currentLine]] line is set to [[NIL]] in [[restart]].
+It is used in [[removeUndoLines]] in the undo mechanism.
+
+\subsection{\$dalymode}
+The [[$dalymode]] variable is used in a case statement in 
+[[intloopReadConsole]]. This variable can be set to any non-nil
+value. When not nil the interpreter will send any line that begins
+with an ``[[(]]'' to be sent to the underlying lisp. This is useful
+for debugging Axiom. The normal value of this variable is [[NIL]].
+
+This variable was created as an alternative to prefixing every lisp
+command with [[)lisp]]. When doing a lot of debugging this is tedious
+and error prone. This variable was created to shortcut that process.
+Clearly it breaks some semantics of the language accepted by the
+interpreter as parens are used for grouping expressions.
+
+\subsection{\$defaultMsgDatabaseName}
+The [[$defaultMsgDatabaseName]] is the absolute path to the 
+[[s2-us.msgs]] file which contains all of the english language
+messages output by the system.
+
+\subsection{\$directory-list}
+The [[$directory-list]] is a list of absolute directory names.
+These names are made absolute by mapping the [[make-absolute-filename]]
+over the variable [[$relative-directory-list]].
+
+\subsection{\$displayStartMsgs}
+The [[$displayStartMsgs]] variable is used in [[restart]] but is not
+set so this is likely a bug.
+
+\subsection{\$e}
+The [[$e]] variable is set to the value of
+[[$InteractiveFrame]] which is set in [[restart]] to the value of the
+call to the [[makeInitialModemapFrame]] function. This function simply
+returns a copy of the variable [[$InitialModemapFrame]].
+
+Thus [[$e]] is a copy of the variable [[$InitialModemapFrame]].
+
+This variable is used in the undo mechanism.
+
+\subsection{\$erMsgToss}
+The [[$erMsgToss]] variable is set to [[NIL]] in [[SpadInterpretStream]].
+
+\subsection{\$fn}
+The [[$fn]] variable is set in [[SpadInterpretStream]]. It is set to
+the second argument which is a list. It appears that this list has the
+same structure as an argument to the LispVM [[rdefiostream]] function.
+
+\subsection{\$frameRecord}
+[[$frameRecord = [delta1, delta2,... ] ]] where
+[[delta(i)]] contains changes in the ``backwards'' direction.
+Each [[delta(i)]] has the form [[((var . proplist)...)]] where
+proplist denotes an ordinary proplist. For example, an entry
+of the form [[((x (value) (mode (Integer)))...)]] indicates that
+to undo 1 step, [[x]]'s value is cleared and its mode should be set
+to [[(Integer)]].
+
+A [[delta(i)]] of the form [[(systemCommand . delta)]] is a special
+delta indicating changes due to system commands executed between
+the last command and the current command. By recording these deltas
+separately, it is possible to undo to either BEFORE or AFTER
+the command. These special [[delta(i)]]s are given ONLY when a
+a system command is given which alters the environment.
+
+Note: [[recordFrame('system)]] is called before a command is executed, and
+[[recordFrame('normal)]] is called after (see processInteractive1).
+If no changes are found for former, no special entry is given.
+
+This is part of the undo mechanism.
+
+\subsection{\$genValue}
+If the [[$genValue]] variable is true then evaluate generated code,
+otherwise leave code unevaluated. If [[$genValue]] is false then we
+are compiling. This variable is only defined and used locally.
+<<initvars>>=
+(defvar |$genValue| nil "evaluate generated code if true")
+
+@
+
+\subsection{\$HiFiAccess}
+The [[$HiFiAccess]] is set by [[initHist]] to [[T]]. It is a flag
+used by the history mechanism to record whether the history function
+is currently on. It can be reset by using the axiom
+command
+\begin{verbatim}
+  )history off
+\end{verbatim}
+It appears that the name means ``History File Access''.
+
+The [[$HiFiAccess]] variable is used by [[historySpad2Cmd]] to check
+whether history is turned on. [[T]] means it is, [[NIL]] means it is not.
+
+\subsection{\$HistList}
+Thie [[$HistList]] variable is set by [[initHistList]] to an initial
+value of [[NIL]] elements. The last element of the list is smashed to
+point to the first element to make the list circular.
+This is a circular list of length [[$HistListLen]].
+
+\subsection{\$HistListAct}
+The [[$HistListAct]] variable is set by [[initHistList]] to [[0]].
+This variable holds the actual number of elements in the history list.
+This is the number of ``undoable'' steps.
+
+\subsection{\$HistListLen}
+The [[$HistListLen]] variable is set by [[initHistList]] to [[20]].
+This is the length of a circular list maintained in the variable
+[[$HistList]].
+
+\subsection{\$HistRecord}
+The [[$HistRecord]] variable is set by [[initHistList]] to [[NIL]].
+[[$HistRecord]] collects the input line, all variable bindings
+and the output of a step, before it is written to the file named by
+the function [[histFileName]].
+
+\subsection{\$historyFileType}
+The [[$historyFileType]] is set at load time by a call to 
+[[initvars]] to a value of ``[[axh]]''. It appears that this
+is intended to be used as a filetype extension.
+It is part of the history mechanism. It is used in [[makeHistFileName]]
+as part of the history file name.
+
+\subsection{\$inclAssertions}
+The [[$inclAssertions]] is set 
+in the function [[SpadInterpretStream]] to the list [[(aix |CommonLisp|)]]
+
+\subsection{\$internalHistoryTable}
+The [[$internalHistoryTable]] variable is set at load time by a call to
+[[initvars]] to a value of [[NIL]].
+It is part of the history mechanism.
+
+\subsection{\$interpreterFrameName}
+The [[$interpreterFrameName]] variable, set in 
+[[initializeInterpreterFrameRing]] to the constant
+[[initial]] to indicate that this is the initial (default) frame.
+
+Frames are structures that capture all of the variables defined in a
+session. There can be multiple frames and the user can freely switch
+between them. Frames are kept in a ring data structure so you can 
+move around the ring.
+
+\subsection{\$interpreterFrameRing}
+The [[$interpreterFrameRing]] is set to a pair whose car is set to
+the result of [[emptyInterpreterFrame]]
+
+\subsection{\$InitialModemapFrame}
+This variable is copied and returned by the function 
+[[makeInitialModemapFrame]]. There is no initial value so this
+is probably a bug.
+
+\subsection{\$inLispVM}
+The [[$inLispVM]] is set to [[NIL]] in [[spad]]. LispVM is a
+non-common lisp that runs on IBM/370 mainframes. This is probably dead
+code.  It appears that this list has the same structure as an argument
+to the LispVM [[rdefiostream]] function.
+
+\subsection{\$InteractiveFrame}
+The [[$InteractiveFrame]] is set in [[restart]] to the value of the
+call to the [[makeInitialModemapFrame]] function. This function simply
+returns a copy of the variable [[$InitialModemapFrame]]
+
+\subsection{\$InteractiveMode}
+The [[$InteractiveMode]] is set to [[T]] in [[ncTopLevel]].
+
+\subsection{\$intRestart}
+The [[$intRestart]] variable is used in [[intloop]] but has no value.
+This is probably a bug. While the variable's value is unchanged the
+system will continually reenter the [[SpadInterpretStream]] function.
+
+\subsection{\$intTopLevel}
+The [[$intTopLevel]] is a catch tag. Throwing to this tags which is
+caught in the [[intloop]] will 
+restart the [[SpadInterpretStream]] function.
+
+\subsection{\$IOindex}
+The [[$IOindex]] index variable is set to [[1]] in [[restart]].
+This variable is used in the [[historySpad2Cmd]] function in the
+history mechanism. It is set in the [[removeUndoLines]] function
+in the undo mechanism.
+
+This is used in the undo mechanism in function [[undoCount]]
+to compute the number of undos. You can't undo more actions then
+have already happened.
+
+\subsection{\$lastPos}
+The [[$lastPos]] variable is set in [[SpadInterpretStream]]
+to the value of the [[$nopos]] variable.
+Since [[$nopos]] appears to have no value
+this is likely a bug.
+
+\subsection{\$libQuiet}
+The [[$libQuiet]] variable is set to the third argument of the
+[[SpadInterpretStream]] function. This is passed from [[intloop]]
+with the value of [[T]]. This variable appears to be intended to
+control the printing of library loading messages which would need
+to be suppressed if input was coming from a file.
+
+\subsection{\$library-directory-list}
+The [[$library-directory-list]] variable is set by [[reroot]] by
+mapping the function [[make-absolute-filename]] across the 
+[[$relative-library-directory-list]] variable which is not yet set so this
+is probably a bug.
+
+\subsection{\$msgDatabaseName}
+The [[$msgDatabaseName]] is set to [[NIL]] in [[reroot]].
+
+\subsection{\$ncMsgList}
+The [[$ncMsgList]] is set to [[NIL]] in [[SpadInterpretStream]].
+
+\subsection{\$newcompErrorCount}
+The [[$newcompErrorCount]] is set to [[0]] in [[SpadInterpretStream]].
+
+\subsection{\$newcompMode}
+The [[$newcompMode]] is set to [[NIL]] in [[SpadInterpretStream]].
+
+\subsection{\$newspad}
+The [[$newspad]] is set to [[T]] in [[ncTopLevel]].
+
+\subsection{\$nopos}
+The [[$nopos]] variable is used in [[SpadInterpretStream]] but does
+not appear to have a value and is likely a bug.
+
+\subsection{\$oldHistoryFileName}
+The [[$oldHistoryFileName]] is set at load time by a call to 
+[[initvars]] to a value of ``[[last]]''. 
+It is part of the history mechanism. It is used in the function
+[[oldHistFileName]] and [[restoreHistory]].
+
+\subsection{\$okToExecuteMachineCode}
+The [[$okToExecuteMachineCode]] is set to [[T]] in [[SpadInterpretStream]].
+
+\subsection{\$options}
+The [[$options]] variable is tested by the [[history]] function.
+If it is [[NIL]] then output the message 
+\begin{verbatim}
+  You have not used the correct syntax for the history command.
+  Issue )help history for more information.
+\end{verbatim}
+
+The [[$options]] variable is tested in the [[historySpad2Cmd]] function.
+It appears to record the options that were given to a spad command on
+the input line. The function [[selectOptionLC]] appears to take a list
+off options to scan.
+
+This variable is not yet set and is probably a bug.
+
+\subsection{\$previousBindings}
+The [[$previousBindings]] is a copy of the 
+[[CAAR $InteractiveFrame]]. This is used to
+compute the [[delta(i)]]s stored in [[$frameRecord]].
+This is part of the undo mechanism.
+
+\subsection{\$printLoadMsgs}
+The [[$printLoadMsgs]] variable is set to [[T]] in [[restart]].
+
+\subsection{\$PrintCompilerMessageIfTrue}
+The [[$PrintCompilerMessageIfTrue]] variable is set to [[NIL]] in [[spad]].
+
+\subsection{\$openServerIfTrue}
+The [[$openServerIfTrue]] is tested in [[restart]] before it has been
+set (and is thus a bug). It appears to control whether the interpreter
+will be used as an open server, probably for OpenMath use.
+
+If an open server is not requested then this variable to [[NIL]]
+
+\subsection{\$promptMsg}
+The [[$promptMsg]] variable is set to the constant [[S2CTP023]]. This 
+constant points to a message in [[src/doc/msgs/s2-us.msgs]]. This message
+does nothing but print the argument value.
+
+\subsection{\$relative-directory-list}
+The [[$relative-directory-list]] is used in [[reroot]] to create 
+[[$directory-list]] which is a list of absolute directory names.
+It is not yet set and is probably a bug.
+
+\subsection{\$relative-library-directory-list}
+The [[$relative-library-directory-list]] is used in [[reroot]] to create
+a list of absolute directory names from [[$library-directory-list]] (which is 
+It is not yet set and is probably a bug).
+
+\subsection{\$reportUndo}
+The [[$reportUndo]] variable is used in [[diffAlist]]. It was not normally
+bound but has been set to [[T]] in [[initvars]]. If the variable is set
+to [[T]] then we call [[reportUndo]].
+
+It is part of the undo mechanism.
+
+\subsection{\$shoeReadLineFunction}
+The [[$shoeReadLineFunction]] is set in [[SpadInterpretStream]]
+to point to the 
+[[serverReadLine]] 
+
+\subsection{\$spadroot}
+The [[$spadroot]] variable is the internal name for the [[AXIOM]]
+shell variable. 
+
+The [[$spadroot]] variable is set in [[reroot]] to the value of the
+argument. The argument is expected to be a directory name. 
+
+The [[$spadroot]] variable is tested in [[initroot]].
+
+The [[$spadroot]] variable is used by the function 
+[[make-absolute-filename]]. It concatenates this variable to the 
+front of a relative pathname to make it absolute.
+\subsection{\$spad}
+The [[$spad]] variable is set to [[T]] in [[ncTopLevel]].
+
+\subsection{\$SpadServer}
+If an open server is not requested then this variable to [[T]].
+It has no value before this time (and is thus a bug).
+
+\subsection{\$SpadServerName}
+The [[$SpadServerName]] is passed to the [[openServer]] function, if the
+function exists. 
+
+\subsection{\$systemCommandFunction}
+The [[$systemCommandFunction]] is set in [[SpadInterpretStream]]
+to point to the function
+[[InterpExecuteSpadSystemCommand]].
+
+\subsection{top\_level}
+The [[top\_level]] symbol is a catch tag used in [[runspad]]
+to catch an exit from [[ncTopLevel]].
+
+\subsection{\$quitTag}
+The [[$quitTag]] is used as a variable in a [[catch]] block. 
+It appears that it can be thrown somewhere below [[ncTopLevel]].
+
+\subsection{\$useInternalHistoryTable}
+The [[$useInternalHistoryTable]] variable is set at load time by a call to
+[[initvars]] to a value of [[NIL]]. It is part of the history mechanism.
+
+\subsection{\$undoFlag}
+The [[$undoFlag]] is used in [[recordFrame]] to decide whether to do
+undo recording. It is initially set to [[T]] in [[initvars]].
+This is part of the undo mechanism.
+
+\chapter{Makefile.bookvol5}
+<<*>>=
+LATEX=/usr/bin/latex
+LISP=${AXIOM}/obj/linux/bin/lisp
+TANGLE=/usr/local/bin/NOTANGLE
+WEAVE=/usr/local/bin/NOWEAVE -delay
+
+all: bookvol5
+	@echo 0 done
+
+bookvol5: bookvol5.pamphlet
+	@echo 1 extracting the bookvol5reter
+	${WEAVE} bookvol5.pamphlet >bookvol5.tex
+	${LATEX} bookvol5.tex
+	${LATEX} bookvol5.tex
+	${TANGLE} -R"Interpreter" bookvol5.pamphlet >bookvol5.lisp
+
+remake:	
+	@echo 2 rebuilding the makefile
+	@${TANGLE} bookvol5.pamphlet >Makefile.bookvol5
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem nothing
+\end{thebibliography}
+\end{document}
diff --git a/books/bookvol6.pamphlet b/books/bookvol6.pamphlet
new file mode 100644
index 0000000..4c44735
--- /dev/null
+++ b/books/bookvol6.pamphlet
@@ -0,0 +1,7170 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 6: Axiom Command}}
+\end{titlepage}
+\pagenumbering{roman}
+
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group 
+Ltd. All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or 
+without modification, are permitted provided that the following 
+conditions are met:
+\begin{itemize}
+\item Redistributions of source code must retain the above 
+      copyright notice, this list of conditions and the following 
+      disclaimer.
+
+\item Redistributions in binary form must reproduce the above 
+      copyright notice, this list of conditions and the following 
+      disclaimer in the documentation and/or other materials 
+      provided with the distribution.
+
+\item Neither the name of The Numerical ALgorithms Group Ltd. nor 
+      the names of its contributors may be used to endorse or promote 
+      products derived from this software without specific prior 
+      written permission.
+\end{itemize}
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND 
+CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, 
+INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
+MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE 
+DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR 
+CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
+INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, 
+BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; 
+LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER 
+CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT 
+LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN 
+ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
+POSSIBILITY OF SUCH DAMAGE.
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\chapter{Overview}
+The axiom system consists of a set of processes managed by the
+superman process.  The superman process, called sman, is normally
+invoked from the axiom shell script in order to start a tree of
+subprocesses.
+
+The {\tt axiom} command is a shell script that collects the 
+command line options for the {\tt sman} process, sets some shell
+variables, and then invokes {\tt sman}. 
+
+The {\tt sman} process starts the following tree of processes:
+\begin{verbatim}
+     --xterm---bash---sman-|-AXIOMsys
+                           |-clef---spadclient
+                           |-hypertex
+                           |-session
+                           |-sman
+                           |-viewman
+\end{verbatim}
+
+\chapter{The axiom Command}
+The {\tt axiom} command starts everything for Axiom. The options
+for the {\tt axiom} command are:
+\begin{verbatim}
+axiom
+  [-ht    |-noht]      whether to use HyperDoc
+  [-gr    |-nogr]      whether to use Graphics
+  [-clef  |-noclef]    whether to use Clef
+  [-nonag |-nag]       whether to use NAG
+  [-noiw  |-iw]        start in interpreter in a separate window
+  [-ihere |-noihere]   start an interpreter in this window
+  [-nox]               don't use X Windows
+  [-go  |-nogo]        whether to start system
+  [-ws wsname]         use named workspace
+  [-list]              list workspaces only
+  [-grprog fname]      use named program for Graphics
+  [-nagprog fname]     use named program for Nag
+  [-htprog fname]      use named program for HyperDoc
+  [-clefprog fname]    use named program for Clef
+  [-sessionprog fname] use named program for session
+  [-clientprog fname]  use named program for spadclient
+  [-h]                 show usage
+\end{verbatim}
+
+In detail, the command options are:
+\subsection{[-ht $\vert$ -noht]}
+\begin{verbatim}
+  [-ht    |-noht]      whether to use HyperDoc
+\end{verbatim}
+{\tt Hyperdoc}\cite{7} is the documentation tool for Axiom. The
+{\tt -ht} option, enabled by default, will start this tool.
+See Jenks\cite{1} Chapter 3 for further information on the 
+{\tt hyperdoc} subsystem.
+
+\subsection{[-gr $\vert$ -nogr]}
+\begin{verbatim}
+  [-gr    |-nogr]      whether to use Graphics
+\end{verbatim}
+The {\tt graphics}\cite{8} subsystem is enabled using the 
+{\tt -gr} option, enabled by default. Graphics will appear as a
+result of a draw command, such as
+\begin{verbatim}
+ draw(sin(x),x=0..1)
+\end{verbatim}
+Note that attempting to use draw commands when the graphics is
+disabled will simply hang the interpreter waiting for a response.
+See Jenks\cite{1} Chapter 7 for further information on the 
+{\tt graphics} subsystem.
+
+\subsection{[-clef $\vert$ -noclef]}
+\begin{verbatim}
+  [-clef  |-noclef]    whether to use Clef
+\end{verbatim}
+The {\tt clef} (Command Line Edit Facility) allows for command completion.
+The list of command completion strings is in the last chapter of this
+document. If {\tt clef}, enabled by default, is running then you can type:
+\begin{verbatim}
+ x:Dena<tab>
+\end{verbatim}
+and this will automatically be expanded to:
+\begin{verbatim}
+ x:DenavitHartenbergMatrix
+\end{verbatim}
+
+The {\tt clef} program also allows command line editing. The commands are
+special keyboard keys.
+\begin{itemize}
+\item HOME move to beginning of the line
+\item END move to the end of the line
+\item CTRL-END delete to end of the line
+\item TAB command completion (multiple tabs give new choices)
+\item UPARROW move back thru commands
+\item DOWNARROW move forward thru commands
+\item LEFTARROW move left on the line
+\item RIGHTARROW move right on the line
+\item INSERT toggle insert/overstrike
+\end{itemize}
+See Jenks\cite{1} page 21 for further information on the {\tt clef} command.
+
+\subsection{[-nonag $\vert$ -nag]}
+\begin{verbatim}
+  [-nonag |-nag]       whether to use NAG
+\end{verbatim}
+The {\tt nag} option, disabled by default, will attempt to start
+the {\tt nagman} program in the \$AXIOM/lib subdirectory. Since
+the open source version does not include the NAG numeric libraries
+this option does not work.
+
+\subsection{[-noiw $\vert$ -iw]}
+\begin{verbatim}
+  [-noiw  |-iw]        start in interpreter in a separate window
+\end{verbatim}
+The {\tt iw} option, disabled by default, will start a second
+interpreter in its own window with its own frame. The fact that
+the second interpreter is in its own frame can be seen using the
+{\tt )frame} command. For instance, if you type
+\begin{verbatim}
+ axiom -iw
+\end{verbatim}
+there will be two interpreter windows available, one in the current
+window and one in a new window. In the current window if you type:
+\begin{verbatim}
+ )frame names
+\end{verbatim}
+you will see:
+\begin{verbatim}
+   The names of the existing frames are:
+            frame0 
+            frame1 
+            initial 
+      The current frame is the first one listed.
+\end{verbatim}
+
+In the second window, if you type
+\begin{verbatim}
+ )frame names
+\end{verbatim}
+you will see:
+\begin{verbatim}
+   The names of the existing frames are:
+            frame1 
+            frame0 
+            initial 
+      The current frame is the first one listed.
+\end{verbatim}
+Setting
+\begin{verbatim}
+ x:=3
+\end{verbatim}
+in the second window will set the variable $x$ in the frame {\tt frame1}.
+Switching to the first window and typing:
+\begin{verbatim}
+ x
+\end{verbatim}
+gives:
+\begin{verbatim}
+
+   (1)  x
+                             Type: Variable x
+\end{verbatim}
+since the first window is in {\tt frame0} and the variable $x$ is
+defined in {\tt frame1}.
+But we can switch frames in the first window using
+\begin{verbatim}
+ )frame next
+\end{verbatim}
+and then
+\begin{verbatim}
+ x
+\end{verbatim}
+gives:
+\begin{verbatim}
+
+   (2)  3
+                             Type: PositiveInteger
+\end{verbatim}
+and now the two windows share the same frame space. 
+See Jenks\cite{1} page 579 for further information on the {\tt frame} command.
+
+\subsection{[-ihere $\vert$ -noihere]}
+\begin{verbatim}
+  [-ihere |-noihere]   start an interpreter in this window
+\end{verbatim}
+This option determines whether Axiom will start in the current window.
+Using this option alone is not particularly useful and it is generally
+used in combination with the {\tt -iw} option:
+\begin{verbatim}
+ axiom -noihere -iw &
+\end{verbatim}
+
+However, used alone, as in:
+\begin{verbatim}
+ axiom -noihere &
+\end{verbatim}
+it will start Axiom and show the Hyperdoc window. Graphics will also
+work from the Hyperdoc pages.
+
+\subsection{[-nox]}
+\begin{verbatim}
+  [-nox]               don't use X Windows
+\end{verbatim}
+allows Axiom to start the interpreter without Hyperdoc or the graphics
+subsystem. This is useful for starting Axiom in an emacs buffer.
+
+\subsection{[-go $\vert$ -nogo]}
+\begin{verbatim}
+  [-go  |-nogo]        whether to start system
+\end{verbatim}
+uses the {\tt -go} option, enabled by default, controls whether
+the system starts from the command line. If the {\tt -nogo}
+option is chosen the system prints the command line that would
+have been issued. This is useful for finding out what the command
+line options to {\tt sman} will be. For instance:
+\begin{verbatim}
+ axiom -nogo -iw
+\end{verbatim}
+does not start Axiom but types out:
+\begin{verbatim}
+Would now start the processes.
+exec ~/mnt/linux/bin/sman -iw -ws ~/mnt/linux/bin/AXIOMsys
+\end{verbatim}
+
+\subsection{[-ws wsname]}
+\begin{verbatim}
+  [-ws wsname]         use named workspace
+\end{verbatim}
+In the {\tt -nogo} command above you can see that the default
+workspace name is 
+\begin{verbatim}
+-ws ~/mnt/linux/bin/AXIOMsys
+\end{verbatim}
+This option allows you to change that. This is useful for
+debugging new system builds. During build a debugging version
+of Axiom is created in the {\tt obj/linux/bin} directory. The
+{\tt debugsys} image uses interpreted lisp code rather than
+compiled code. This makes it possible to do deep debugging. To
+use this workspace you would incant:
+\begin{verbatim}
+ cd youraxiombuild
+ export AXIOM=`pwd`/mnt/linux
+ export PATH=$AXIOM/bin:$PATH
+ axiom -ws obj/linux/bin/debugsys
+\end{verbatim}
+
+
+\subsection{[-list]}
+\begin{verbatim}
+  [-list]              list workspaces only
+\end{verbatim}
+shows you the executable workspaces. Generally in a built system
+there is only one, called\\
+{\tt \$AXIOM/bin/AXIOMsys}.
+
+\subsection{[-grprog fname]}
+\begin{verbatim}
+  [-grprog fname]      use named program for Graphics
+\end{verbatim}
+allows you to specify which program to use for the graphics.
+By default this is\\
+{\tt \$AXIOM/lib/viewman}.
+
+\subsection{[-nagprog fname]}
+\begin{verbatim}
+  [-nagprog fname]     use named program for Nag
+\end{verbatim}
+allows you to specify which program to use for the NAG library
+connection. By default this is\\
+{\tt \$AXIOM/lib/nagman} but it is disabled by default.
+
+\subsection{[-htprog fname]}
+\begin{verbatim}
+  [-htprog fname]      use named program for Hyperdoc
+\end{verbatim}
+allows you tp specify which program to use for Hyperdoc. By
+default it is\\
+{\tt \$AXIOM/bin/hypertex -s}.
+
+\subsection{[-clefprog fname]}
+\begin{verbatim}
+  [-clefprog fname]    use named program for Clef
+\end{verbatim}
+allows you to specify which program to use for clef. By default
+it is\\ 
+{\tt \$AXIOM/bin/clef -f \$AXIOM/lib/command.list -e}.
+
+\subsection{[-sessionprog fname]}
+\begin{verbatim}
+  [-sessionprog fname] use named program for session
+\end{verbatim}
+allows you to specify the session manager program. By default it is\\
+{\tt \$AXIOM/lib/session}.
+
+\subsection{[-clientprog fname]}
+\begin{verbatim}
+  [-clientprog fname]  use named program for spadclient
+\end{verbatim}
+allows you to specify the spadclient program. By default it is\\
+{\tt \$AXIOM/lib/spadclient}.
+
+\subsection{[-h]}
+\begin{verbatim}
+  [-h]                 show usage
+\end{verbatim}
+
+<<axiomcmd>>=
+#!/bin/sh
+
+@
+The {\tt MALLOCTYPE} shell variable is an {\tt IBM} {\tt AIX}
+shell variable that controls buckets based extensions in the default
+memory allocator which may enhance performance. AIX uses a new
+memory management routine that does not zero {\tt malloc} memory
+and does not round up to the nearest power of 2, unlike most non-AIX
+systems. This can cause failures so we protect against that here.
+See the AIX Performance Tuning Guide\cite{9} for details.
+<<axiomcmd>>=
+
+MALLOCTYPE=3.1
+export MALLOCTYPE
+
+@
+The {\tt nagman} process needs to know the hostname
+<<axiomcmd>>=
+HOST=`hostname`
+export HOST
+
+@
+There are 4 basic utilities used by this script.
+The {\tt ciao} script for immediate exit:
+<<axiomcmd>>=
+ciao() {
+	echo "Goodbye."
+	exit 1
+}
+
+@
+The {\tt needsubopt} script which is used to issue an error message
+when one of the command line options requires an option:
+<<axiomcmd>>=
+needsubopt () {
+	echo "The $1 option requires an argument."
+	ciao
+}
+@
+The {\tt showuse} script which gives basic command line help:
+<<axiomcmd>>=
+showuse() {
+echo "axiom"
+echo "  [-ht    |-noht]      whether to use HyperDoc"
+echo "  [-gr    |-nogr]      whether to use Graphics"
+echo "  [-clef  |-noclef]    whether to use Clef"
+echo "  [-nonag |-nag]       whether to use NAG"
+echo "  [-noiw  |-iw]        start in interpreter in a separate window"
+echo "  [-ihere |-noihere]   start an interpreter in this window"
+echo "  [-nox]               don't use X Windows"
+echo "  [-go  |-nogo]        whether to start system"
+echo "  [-ws wsname]         use named workspace"
+echo "  [-list]              list workspaces only"
+echo "  [-grprog fname]      use named program for Graphics"
+echo "  [-nagprog fname]     use named program for Nag"
+echo "  [-htprog fname]      use named program for HyperDoc"
+echo "  [-clefprog fname]    use named program for Clef"
+echo "  [-sessionprog fname] use named program for session"
+echo "  [-clientprog fname]  use named program for spadclient"
+echo "  [-h]                 show usage"
+}
+
+@
+List the various workspaces if asked.
+<<axiomcmd>>=
+listwspaces()
+{
+        echo "$1"
+        ls -l $2 | grep "sys$"
+        echo ""
+}
+
+@
+Step 1. Ensure the environment is set.
+
+Just process ``-h''. If it exists in the command line then we
+print out the simple command line help menu.
+<<axiomcmd>>=
+
+if [ "$*" = "-h" ] ; then
+     showuse
+fi
+@
+
+We assume that Axiom is installed in the standard place on
+a linux system. We will modify this assumption as we process
+the environment and command line. The term {\tt spad} is an
+historical shortened version of the name {\tt scratchpad},
+the original name of the {\tt Axiom} system.
+<<axiomcmd>>=
+SPADDEFAULT=/usr/local/axiom/mnt/linux
+
+@
+If the {\tt \$AXIOM} shell variable is set then we use it.\\
+If not, then if the {\tt \$SPAD} shell variable is set then we use it.\\
+If not, then we try to use the default value above.\\
+If not, we simply fail.
+<<axiomcmd>>=
+if [ "$SPAD" = "" ] ; then
+  if [ "$AXIOM" = "" ] ; then
+    SPAD=$SPADDEFAULT
+    echo "AXIOM variable is not set"
+    echo "assuming AXIOM = $SPAD"
+    AXIOM=$SPAD
+    export AXIOM
+  else
+    SPAD=$AXIOM
+  fi
+  export SPAD
+else
+  if [ "$AXIOM" = "" ] ; then
+    echo "AXIOM variable is not set"
+    echo "but SPAD = $SPAD"
+    echo "Using AXIOM = $SPAD"
+    AXIOM=$SPAD
+    export AXIOM
+  else
+    if [ ! "$SPAD" = "$AXIOM" ] ; then
+       echo "ignoring SPAD variable"
+       SPAD=$AXIOM
+    fi
+  fi
+fi
+
+@
+If we get here then all attempts to find axiom have failed
+so we complain and exit.
+<<axiomcmd>>=
+if [ ! -d "$SPAD" ] ; then
+  echo "The directory for Axiom, $SPAD, does not exist."
+  ciao
+fi
+
+@
+If we get here we now
+know where axiom lives. We need to see if we can find the
+Aldor compiler. Aldor is optional and is not part of the open source
+version of Axiom due to license issues. However you can install it
+under the location specified by the {\tt \$AXIOMXLROOT} shell variable.
+If the compiler is found we add it to the {\tt PATH}.
+This shell variable defaults to the location:\\
+{\tt \$AXIOM/compiler}
+<<axiomcmd>>=
+if [ "$AXIOMXLROOT" = "" ] ; then 
+AXIOMXLROOT=${AXIOM}/compiler
+fi
+export AXIOMXLROOT
+PATH=$AXIOM/bin:$AXIOMXLROOT/bin:${PATH}
+export PATH
+
+@
+Name the workspace directories.
+<<axiomcmd>>=
+rootwsdir=$SPAD/bin
+
+@
+Step 2. Process command line arguments.
+
+First we set up the defaults for command-line arguments.
+We don't want just a list by default
+<<axiomcmd>>=
+list=no
+
+@
+We default to actually executing the workspace.
+<<axiomcmd>>=
+go=yes
+
+@
+We default to the {\tt AXIOMsys} workspace.
+<<axiomcmd>>=
+wsname=AXIOMsys
+
+@
+And all other options are unset.
+<<axiomcmd>>=
+otheropts=""
+
+@
+For each option on the command line do
+<<axiomcmd>>=
+while [ "$*" != "" ] ; do
+@
+<<axiomcmd>>=
+
+	case $1 in
+@
+If the user specified list anywhere then we give the workspace list
+and exit.
+<<axiomcmd>>=
+
+        -list)  list=yes
+                go=no;;
+@
+If the user specified {\tt go} or {\tt nogo} we handle that case
+<<axiomcmd>>=
+	-go)	go=yes ;;
+	-nogo)	go=no ;;
+
+@
+The workspace option requires an argument which follows immediately.
+If the argument is missing we complain and exit.
+<<axiomcmd>>=
+	-ws)
+		if [ "$2" = "" ] ; then needsubopt "$1" ; fi
+		shift
+		wsname="$1"
+		;;
+
+@
+We can specify the various subprograms to use.
+<<axiomcmd>>=
+	-nagprog|-grprog|-htprog|-clefprog|-sessionprog|-clientprog)
+		if [ "$2" = "" ] ; then needsubopt "$1" ; fi
+		otheropts="$otheropts  $1 $2"
+		shift
+		;;
+@
+These options were not explained earlier and are only for developer use.
+<<axiomcmd>>=
+        -paste|-rm|-rv)
+		if [ "$2" = "" ] ; then needsubopt "$1" ; fi
+		otheropts="$otheropts  $1 $2"
+		shift
+		;;
+@
+We handle the various [{\tt -option} $\vert$ {\tt -nooption}] cases
+<<axiomcmd>>=
+	-clef|-noclef|-gr|-nogr|-ht|-noht|-iw|-noiw)
+		otheropts="$otheropts $1"
+		;;
+        -ihere|-noihere|-nox|-nag|-nonag)
+		otheropts="$otheropts $1"
+		;;
+@
+The user wanted help so we will not execute.
+<<axiomcmd>>=
+	-h)
+		go=no
+		;;
+@
+The user is confused. Complain and exit.
+<<axiomcmd>>=
+	*)	echo "Unknown option: $1"
+		echo "To use a specific workspace use, e.g.: spad -ws $1"
+		ciao
+		;;
+	esac
+@
+Move to the next option and loop.
+<<axiomcmd>>=
+
+	shift
+done
+
+@
+Step 3. Handle options that require special case handling.
+
+The user just wanted to know what workspaces are available.
+<<axiomcmd>>=
+if [ $list = yes ] ; then
+ listwspaces "AXIOM workspaces in \$AXIOM/bin = $rootwsdir: " $rootwsdir
+fi
+
+@
+Try to ensure a suitable workspace on this host.
+<<axiomcmd>>=
+if [ `expr $wsname : '.*/.*'` = 0 ] ; then
+	serverws=$rootwsdir/$wsname
+else
+	serverws=$wsname
+fi
+@
+If we can't find the executable then we complain and exit.
+<<axiomcmd>>=
+
+if [ ! -x $serverws ] ; then
+        echo "Cannot find the executable $serverws"
+	showuse
+	ciao
+fi
+@
+The user just wanted to see what would happen so we output the
+command line and exit.
+<<axiomcmd>>=
+if [ $go = no ] ; then
+	echo "Would now start the processes."
+	echo exec $SPAD/bin/sman $otheropts -ws $serverws
+	exit 0
+fi
+@
+All of the options have been processed so we start {\tt sman}
+<<axiomcmd>>=
+exec $SPAD/bin/sman $otheropts -ws $serverws
+
+@
+\chapter{The {\tt sman} program}
+\section{sman.h}
+The spad\_proc structure holds information about the process id
+of a child process, what to do when it dies, and the shell command
+line necessary to restart the process. There is a linked list of
+these structures which maintains the process list for axiom.
+<<sman.h>>=
+/* Process control definitions.  Used by fork_you and spawn_of_hell */
+
+/* When a process dies it kills off everything else */
+#define Die 1
+/* When a process dies, do nothing */
+#define NadaDelShitsky  2
+/* When a process dies start it up again */
+#define DoItAgain       3
+/* When hypertex dies, clean its socket */
+#define CleanHypertexSocket 4
+
+typedef struct spad_proc {
+  int	proc_id;	/* process id of child */
+  int	death_action;	/* one of the above constants */
+  char	*command;	/* sh command line to restart the process */
+  struct spad_proc *next;
+} SpadProcess;
+
+@
+\section{sman}
+\subsection{includes}
+<<sman.includes>>=
+#include <stdlib.h>
+#include <unistd.h>
+#include <string.h>
+#include <stdio.h>
+#include <pwd.h>
+#include <fcntl.h>
+#include <termios.h>
+#include <errno.h>
+#include <sys/time.h>
+#include <sys/wait.h>
+#include <signal.h>
+
+#if defined(SUN4OS5platform) || defined(HP10platform)
+#include <sys/stropts.h>
+#endif
+
+#include "com.h"
+#include "bsdsignal.h"
+#include "sman.h"
+
+#include "bsdsignal.h1"
+#include "sockio-c.h1"
+#include "openpty.h1"
+#include "sman.h1"
+
+@
+\subsection{variables}
+<<sman.variables>>=
+char *ws_path;                  /* location of the AXIOM executable */
+int start_clef;			/* start clef under spad */
+int start_graphics;		/* start the viewman */
+int start_nagman;               /* start the nagman */
+int start_ht;			/* start hypertex */
+int start_spadclient;		/* Start the client spad buffer */
+int start_local_spadclient;	/* Start the client spad buffer */
+int use_X;			/* Use the X windows environment */
+int server_num;			/* AXIOM server number */
+@
+We add a debug flag so we can print information about what [[sman]]
+is trying to do. This change is pervasive as it touches nearly every
+routine.
+<<sman.variables>>=
+int tpd=0;                      /* to-print-debug information */
+
+/************************************************/
+/* definitions of programs which sman can start */
+/************************************************/
+
+<<the viewman command line>>
+<<the nagman command line>>
+<<the hypertex command line>>
+<<the clef command line>>
+<<the session manager command line>>
+<<the spadclient command line>>
+char *PasteFile = NULL;
+char *MakeRecordFile = NULL;
+char *VerifyRecordFile = NULL;
+
+SpadProcess *spad_process_list = NULL;
+/***************************/
+/* sman defaults file name */
+/***************************/
+
+#define SpadDefaultFile "spadprof.input"
+
+char ClefCommandLine[256];
+
+#define BufSize      4096 	/* size of communication buffer */
+char big_bad_buf[BufSize];      /* big I/O buffer */
+
+Sock *session_io = NULL;        /* socket connecting to session manager */
+
+/***********************************************************/
+/* Some characters used and externally defined in edible.h */
+/***********************************************************/
+
+unsigned char  _INTR, _QUIT, _ERASE, _KILL, _EOF, _EOL, _RES1, _RES2;
+
+/*************************************/
+/* Stuff for opening pseudo-terminal */
+/*************************************/
+
+int ptsNum, ptcNum;
+char ptsPath[20], ptcPath[20];
+
+char **new_envp;                /* new environment for AXIOM */
+int child_pid;                  /* child's process id */
+struct termios oldbuf;           /* the original settings */
+struct termios childbuf;         /* terminal structure for user i/o */
+
+int nagman_signal=0;
+int death_signal = 0;
+
+@
+\subsection{process\_arguments}
+<<sman.processarguments>>=
+static void
+process_arguments(int argc,char ** argv)
+{
+  int arg;
+  if (tpd == 1) fprintf(stderr,"sman:process_arguments entered\n");
+  for (arg = 1; arg < argc; arg++) {
+    if      (strcmp(argv[arg], "-debug")      == 0)
+      tpd = 1;
+    else if (strcmp(argv[arg], "-noclef")      == 0)
+      start_clef = 0;
+    else if (strcmp(argv[arg], "-clef")        == 0)
+      start_clef = 1;
+    else if (strcmp(argv[arg], "-gr")          == 0)
+      start_graphics = 1;
+    else if (strcmp(argv[arg], "-nogr")        == 0)
+      start_graphics = 0;
+    else if (strcmp(argv[arg], "-nag")          == 0)
+      start_nagman = 1;
+    else if (strcmp(argv[arg], "-nonag")        == 0)
+      start_nagman = 0;
+    else if (strcmp(argv[arg], "-ht")          == 0)
+      start_ht = 1;
+    else if (strcmp(argv[arg], "-noht")        == 0)
+      start_ht = 0;
+    else if (strcmp(argv[arg], "-iw")          == 0)
+      start_spadclient = 1;
+    else if (strcmp(argv[arg], "-ihere")       == 0)
+      start_local_spadclient = 1;
+    else if (strcmp(argv[arg], "-noihere")     == 0)
+      start_local_spadclient = 0;
+    else if (strcmp(argv[arg], "-noiw")        == 0)
+      start_spadclient = 0;
+    else if (strcmp(argv[arg], "-ws")          == 0)
+      ws_path = argv[++arg];
+    else if (strcmp(argv[arg], "-comp")        == 0)
+      ws_path = "$AXIOM/etc/images/comp";
+    else if (strcmp(argv[arg], "-nox")         == 0)
+      {
+	use_X = 0;
+	start_local_spadclient = 1;
+	start_spadclient = 0;
+	start_ht = 0;
+	start_graphics = 0;
+      }
+    else if (strcmp(argv[arg], "-grprog")      == 0)
+      GraphicsProgram = argv[++arg];
+    else if (strcmp(argv[arg], "-nagprog")      == 0)
+      NagManagerProgram = argv[++arg];
+    else if (strcmp(argv[arg], "-htprog")      == 0)
+      HypertexProgram = argv[++arg];
+    else if (strcmp(argv[arg], "-clefprog")    == 0) {
+      strcpy(ClefCommandLine,argv[++arg]);
+    ClefProgram = 
+        strcat(ClefCommandLine, " -f $AXIOM/lib/command.list -e ");
+    }
+    else if (strcmp(argv[arg], "-sessionprog") == 0)
+      SessionManagerProgram = argv[++arg];
+    else if (strcmp(argv[arg], "-clientprog")  == 0)
+      SpadClientProgram = argv[++arg];
+    else if (strcmp(argv[arg], "-rm")  == 0)
+      MakeRecordFile = argv[++arg];
+    else if (strcmp(argv[arg], "-rv")  == 0)
+      VerifyRecordFile = argv[++arg];
+    else if (strcmp(argv[arg], "-paste")  == 0)
+      PasteFile = argv[++arg];
+    else {
+      fprintf(stderr, "Usage: sman <-clef|-noclef> <-gr|-nogr> <-ht|-noht>");
+      fprintf(stderr, " <-iw|-noiw> <-nag|-nonag> <-nox> <-comp>");
+      fprintf(stderr, " <-ws spad_workspace> <-grprog path> <-htprog path>");
+      fprintf(stderr, " <-clefprog path> <-sessionprog path> <-nagprog path>");
+      fprintf(stderr, " <-clientprog path>\n");
+      exit(-1);
+    }
+  }
+  if (tpd == 1)
+  { fprintf(stderr,"  sman ");
+    if (start_clef == 0)
+      fprintf(stderr,"-noclef ");
+    else
+      fprintf(stderr,"-clef ");
+    if (start_graphics == 0)
+      fprintf(stderr,"-nogr ");
+    else
+      fprintf(stderr,"-gr ");
+    if (start_nagman == 0)
+      fprintf(stderr,"-nonag ");
+    else
+      fprintf(stderr,"-nag ");
+    if (start_ht == 0)
+      fprintf(stderr,"-noht ");
+    else
+      fprintf(stderr,"-ht ");
+    if (start_spadclient == 0)
+      fprintf(stderr,"-noiw ");
+    else
+      fprintf(stderr,"-iw ");
+    if (start_local_spadclient == 0)
+      fprintf(stderr,"-noihere ");
+    else
+      fprintf(stderr,"-ihere ");
+    if (start_local_spadclient == 0)
+      fprintf(stderr,"-noihere ");
+    else
+      fprintf(stderr,"-ihere ");
+    if (use_X == 0)
+      fprintf(stderr,"-nox ");
+    fprintf(stderr,"-ws ");
+    fprintf(stderr,"'%s' ",ws_path);
+    fprintf(stderr,"-grprog ");
+    fprintf(stderr,"'%s' ",GraphicsProgram);
+    fprintf(stderr,"-nagprog ");
+    fprintf(stderr,"'%s' ",NagManagerProgram);
+    fprintf(stderr,"-htprog ");
+    fprintf(stderr,"'%s' ",HypertexProgram);
+    fprintf(stderr,"-clefprog ");
+    fprintf(stderr,"'%s' ",ClefCommandLine);
+    fprintf(stderr,"-sessionprog ");
+    fprintf(stderr,"'%s' ",SessionManagerProgram);
+    fprintf(stderr,"-clientprog ");
+    fprintf(stderr,"'%s' ",SpadClientProgram);
+    fprintf(stderr,"-rm ");
+    fprintf(stderr,"'%s' ",MakeRecordFile);
+    fprintf(stderr,"-rv ");
+    fprintf(stderr,"'%s' ",VerifyRecordFile);
+    fprintf(stderr,"-paste ");
+    fprintf(stderr,"'%s' ",PasteFile);
+    fprintf(stderr,"\n");
+  }
+  if (tpd == 1) fprintf(stderr,"sman:process_arguments exit\n");
+}
+
+@
+\subsection{should\_I\_clef}
+<<sman.shouldIclef>>=
+static int 
+should_I_clef(void)
+{
+  return(1);
+}
+
+@
+\subsection{in\_X}
+<<sman.inX>>=
+static int 
+in_X(void)
+{
+  if (getenv("DISPLAY")) return 1;
+  return 0;
+}
+
+@
+\subsection{set\_up\_defaults}
+These are the default values for sman. A '1' value means that
+sman will try to start the given process, a '0' value means not
+starting the process.
+
+We do not have replacement code for the [[nagman]] process nor
+do we have a copy of the [[nag fortran library]] to test the process.
+Until this changes we set [[start_nagman = 0]] in order to disable
+starting this process by default.
+<<sman.setupdefaults>>=
+static  void
+set_up_defaults(void)
+{
+  if (tpd == 1) fprintf(stderr,"sman:set_up_defaults entered\n");
+  start_clef = should_I_clef();
+  start_graphics = 1;
+  start_nagman = 0;
+  start_ht = 1;
+  start_spadclient = 0;
+  start_local_spadclient = 1;
+  use_X = isatty(0) && in_X();
+  ws_path = "$AXIOM/bin/AXIOMsys";
+  if (tpd == 1) fprintf(stderr,"sman:set_up_defaults exit\n");
+}
+
+@
+\subsection{process\_options}
+<<sman.processoptions>>=
+static void
+process_options(int argc, char **argv)
+{
+  if (tpd == 1) fprintf(stderr,"sman:process_options entered\n");
+  set_up_defaults();
+  process_arguments(argc, argv);
+  if (tpd == 1) fprintf(stderr,"sman:process_options exit\n");
+}
+
+@
+\subsection{death\_handler}
+<<sman.deathhandler>>=
+static void
+death_handler(int sig)
+{
+  death_signal = 1;
+}
+
+@
+\subsection{nagman\_handler}
+<<sman.nagmanhandler>>=
+static void 
+nagman_handler(int sig)
+{
+  nagman_signal=1;
+}
+
+@
+\subsection{sman\_catch\_signals}
+<<sman.smancatchsignals>>=
+static void
+sman_catch_signals(void)
+{
+  
+  /* Set up the signal handlers for sman */
+  bsdSignal(SIGINT,  SIG_IGN,RestartSystemCalls);
+  bsdSignal(SIGTERM, death_handler,RestartSystemCalls);
+  bsdSignal(SIGQUIT, death_handler,RestartSystemCalls);
+  bsdSignal(SIGHUP,  death_handler,RestartSystemCalls);
+  bsdSignal(SIGILL,  death_handler,RestartSystemCalls);
+  bsdSignal(SIGTRAP, death_handler,RestartSystemCalls);
+  bsdSignal(SIGIOT,  death_handler,RestartSystemCalls);
+  bsdSignal(SIGBUS,  death_handler,RestartSystemCalls);
+  bsdSignal(SIGSEGV, death_handler,RestartSystemCalls);
+  /* don't restart wait call on SIGUSR1  */
+  bsdSignal(SIGUSR1, nagman_handler,DontRestartSystemCalls); 
+  /* ONLY nagman should send this.
+     If an error (such as C-c) interrupts a NAGLINK call, nagman
+     gets a signal to clean up. We need to start another nagman 
+     almost immediately to process the next NAGLINK request.
+     Since nagman takes a while to clean up, we treat it specially.
+     nagman should send a signal (USR1) to sman.
+     sman should respond by spawning a new nagman.
+     
+     so nagman is NOT a DoItAgain but a NadaDelShitsky.
+     
+     The USR1 mechanism does not work for HPUX 9 - use DoItAgain 
+     */
+
+}
+
+@
+\subsection{fix\_env}
+insert SPADSERVER and SPADNUM variables into the environemnt
+<<sman.fixenv>>=
+static void
+fix_env(char **envp, int spadnum)
+{
+  int len, i;
+  char *sn;
+  for(len = 0; envp[len] != NULL; len++);
+  new_envp = (char **) malloc((len + 3) * sizeof(char *));
+  new_envp[0] = "SPADSERVER=TRUE";
+  sn = (char *) malloc(20 * sizeof(char));
+  sprintf(sn, "SPADNUM=%d", spadnum);
+  new_envp[1] = sn;
+  for(i=0; i<=len; i++)
+    new_envp[i+2] = envp[i];
+}
+
+@
+\subsection{init\_term\_io}
+<<sman.inittermio>>=
+static void
+init_term_io(void)
+{
+  if(!isatty(0)) return;
+  if( tcgetattr(0, &oldbuf) == -1) {
+    perror("getting termios");
+    return ; 			/*  exit(-1); */
+  }
+  if( tcgetattr(0, &childbuf) == -1) {
+    perror("getting termios");
+    return ; 			/*   exit(-1); */
+  }
+  _INTR = oldbuf.c_cc[VINTR];
+  _QUIT = oldbuf.c_cc[VQUIT];
+  _ERASE = oldbuf.c_cc[VERASE];
+  _KILL = oldbuf.c_cc[VKILL];
+  _EOF = oldbuf.c_cc[VEOF];
+  _EOL = oldbuf.c_cc[VEOL];
+}
+
+@
+\subsection{strPrefix}
+<<sman.strPrefix>>=
+static char *
+strPrefix(char *prefix,char * s)
+{
+  while (*prefix != '\0' && *prefix == *s) {
+    prefix++;
+    s++;
+  }
+  if (*prefix == '\0') return s;
+  return NULL;
+}
+
+@
+\subsection{check\_spad\_proc}
+<<sman.checkspadproc>>=
+static void
+check_spad_proc(char *file, char *prefix)
+{
+  char *num;
+  int pid;
+  if ((num = strPrefix(prefix, file))) {
+    pid = atoi(num);
+    if (pid > 2) {
+      kill(pid, 0);
+      if (kill(pid, 0) == -1 && errno == ESRCH) {
+	unlink(file);
+      }
+    }
+  }
+}
+
+@
+\subsection{clean\_up\_old\_sockets}
+<<sman.cleanupoldsockets>>=
+static void
+clean_up_old_sockets(void)
+{
+  char com[512], tmp_file[128];
+  FILE *file;
+  int len;
+  sprintf(tmp_file, "/tmp/socks.%d", server_num);
+  sprintf(com, "ls /tmp/.d* /tmp/.s* /tmp/.i* /tmp/.h* 2> %s > %s",
+	  tmp_file, tmp_file);
+  system(com);
+  file = fopen(tmp_file, "r");
+  if (file == NULL) {
+    fprintf(stderr, "Can't open socket listing file\n");
+    return;
+  }
+  while(fgets(com, 512, file) != NULL) {
+    len = strlen(com);
+    if (len) com[len-1] = '\0';
+    else break;
+    check_spad_proc(com, "/tmp/.d");
+    check_spad_proc(com, "/tmp/.s");
+    check_spad_proc(com, "/tmp/.i");
+    check_spad_proc(com, "/tmp/.h");
+  }
+  fclose(file);
+  unlink(tmp_file);
+}
+
+@
+\subsection{fork\_you}
+<<sman.forkyou>>=
+static SpadProcess *
+fork_you(int death_action)
+{
+  /* fork a new process, giving it a default death action */
+  /* return NULL in child, SpadProcess in parent          */
+  int child_pid = fork();
+  SpadProcess *proc;
+  if (!child_pid) return NULL;
+  proc = (SpadProcess *) malloc(sizeof(SpadProcess));
+  proc->proc_id = child_pid;
+  proc->death_action = death_action;
+  proc->command = NULL;
+  proc->next = spad_process_list;
+  spad_process_list = proc;
+  return proc;
+}
+
+@
+\subsection{exec\_command\_env}
+Note that the next-to-last argument of {\tt execle} must be an
+explicit NULL pointer. The previous naked 0 value was not correct.
+<<sman.execcommandenv>>=
+static void
+exec_command_env(char *command,char ** env)
+{
+  char new_command[512];
+  sprintf(new_command, "exec %s", command);
+  execle("/bin/sh","/bin/sh", "-c", new_command, (char *)0, env);
+}
+
+@
+\subsection{spawn\_of\_hell}
+<<sman.spawnofhell>>=
+static SpadProcess *
+spawn_of_hell(char *command, int death_action)
+{
+  SpadProcess *proc = fork_you(death_action);
+  if (proc != NULL) {
+    proc->command = command;
+    return proc;
+  }
+  exec_command_env(command, new_envp);
+  return NULL;
+}
+
+@
+\subsection{start\_the\_spadclient}
+run a AXIOM client in the main process
+<<sman.startthespadclient>>=
+static void
+start_the_spadclient(void)
+{
+  char command[256];
+  if (start_clef)
+#ifdef RIOSplatform
+    sprintf(command, 
+	    "aixterm -sb -sl 500 -name axiomclient -n AXIOM -T AXIOM -e %s %s",
+	    ClefProgram, SpadClientProgram);
+#else
+  sprintf(command, 
+	  "xterm -sb -sl 500 -name axiomclient -n AXIOM -T AXIOM -e %s %s",
+	  ClefProgram, SpadClientProgram);
+#endif
+  else
+#ifdef RIOSplatform
+    sprintf(command, 
+	    "aixterm -sb -sl 500 -name axiomclient -n AXIOM -T AXIOM -e %s", 
+	    SpadClientProgram);
+#else
+  sprintf(command, 
+	  "xterm -sb -sl 500 -name axiomclient -n AXIOM -T AXIOM -e %s", 
+	  SpadClientProgram);
+#endif
+  if (tpd == 1) 
+    fprintf(stderr,"sman:start_the_spadclient: %s\n",command);
+  spawn_of_hell(command, NadaDelShitsky);
+}
+
+@
+\subsection{start\_the\_local\_spadclient}
+<<sman.startthelocalspadclient>>=
+static void
+start_the_local_spadclient(void)
+{
+  char command[256];
+  if (start_clef)
+    sprintf(command, "%s  %s", ClefProgram, SpadClientProgram);
+  else
+    sprintf(command, "%s", SpadClientProgram);
+  if (tpd == 1) 
+    fprintf(stderr,"sman:start_the_local_spadclient: %s\n",command);
+  spawn_of_hell(command, NadaDelShitsky);
+}
+
+@
+\subsection{start\_the\_nagman}
+<<sman.startthenagman>>=
+static void
+start_the_nagman(void)
+{
+#if defined(HP9platform)
+  spawn_of_hell(NagManagerProgram,DoItAgain);
+#else
+  spawn_of_hell(NagManagerProgram,NadaDelShitsky );
+#endif
+}
+
+@
+\subsection{start\_the\_session\_manager}
+<<sman.startthesessionmanager>>=
+static void
+start_the_session_manager(void)
+{
+  spawn_of_hell(SessionManagerProgram, Die);
+}
+
+@
+\subsection{start\_the\_hypertex}
+<<sman.startthehypertex>>=
+static void
+start_the_hypertex(void)
+{
+  char prog[512];
+
+  if (PasteFile){
+    sprintf(prog, "%s -k -ip %s", HypertexProgram, PasteFile);
+    spawn_of_hell(prog, NadaDelShitsky);
+  }
+  else if (MakeRecordFile){
+    sprintf(prog, "%s -k -rm %s", HypertexProgram,MakeRecordFile );
+    spawn_of_hell(prog, NadaDelShitsky);
+  }
+  else if (VerifyRecordFile){
+    sprintf(prog, "%s -k -rv %s", HypertexProgram, VerifyRecordFile);
+    spawn_of_hell(prog, NadaDelShitsky);
+  }
+  /* If we restart hyperdoc from the axiom command prompt */
+  else spawn_of_hell(HypertexProgram, CleanHypertexSocket);
+}
+
+@
+\subsection{start\_the\_graphics}
+<<sman.startthegraphics>>=
+static void
+start_the_graphics(void)
+{
+  spawn_of_hell(GraphicsProgram, DoItAgain);
+}
+
+@
+\subsection{fork\_Axiom}
+<<sman.forkAxiom>>=
+/* Start the AXIOM session in a separate process, */
+/* using a pseudo-terminal to catch all input and output */
+static void 
+fork_Axiom(void)
+{
+  char augmented_ws_path[256];  /* will append directory path */
+  char *tmp_pointer;
+  SpadProcess *proc;
+
+  proc =  fork_you(Die);
+  child_pid = (proc == NULL ? 0 : proc->proc_id);
+  switch(child_pid) {
+  case -1 :
+    fprintf(stderr, "Can't create a new process \n");
+    exit(0);
+  case 0:
+    /* Dissasociate from my parents group so all my child processes */
+    /* look at my terminal as the controlling terminal for the      */
+    /* group                                                        */
+
+    if(setsid() < 0) {
+      perror("Dissassociating from parents group");
+      exit(-1);
+    }
+
+    close(ptsNum);
+    /* Now reopen the server side, so that pg, su, etc. work properly */
+
+    if ((ptsNum =  open(ptsPath, O_RDWR)) < 0 ) {
+      perror("fork_Axiom: Failed to reopen server");
+      exit(-1);
+    }
+#if defined(SUN4OS5platform) || defined(HP10platform)
+    ioctl(ptsNum,I_PUSH,"ptem");
+    ioctl(ptsNum,I_PUSH,"ldterm");
+#endif
+
+    /* since I am the child, I can close ptc, and dup pts for all its */
+    /* standard descriptors                                           */
+
+    if( (dup2(ptsNum, 0) == -1) ||
+        (dup2(ptsNum, 1) == -1) ||
+        (dup2(ptsNum, 2) == -1)  ) {
+      perror("trying to dupe the child");
+      exit(-1);
+    }
+    close(ptcNum);
+    close(ptsNum);
+
+
+    /* I also have to turn off echoing, since I am echoing all the */
+    /* input myself                  */
+
+    childbuf.c_lflag &= ~ECHO;
+    if( tcsetattr(0, TCSAFLUSH, &childbuf) == -1) {
+      perror("setting the term buffer");
+      exit(-1); 
+    }
+    strcpy(augmented_ws_path,ws_path);          /* write the name    */
+    strcat(augmented_ws_path," ");              /* space             */
+    strcat(augmented_ws_path,ws_path);          /* name again        */
+    tmp_pointer = (char *)
+      strrchr(augmented_ws_path,'/');      /*pointer to last /  */
+    *(++tmp_pointer) = '\0';
+    exec_command_env(augmented_ws_path, new_envp);
+
+    /*    fprintf(stderr, "Cannot execute the %s system.\n", ws_path); */
+
+    exit(0);
+  }
+}
+
+@
+\subsection{start\_the\_Axiom}
+<<sman.starttheAxiom>>=
+static void
+start_the_Axiom(char **envp)
+{
+  server_num = make_server_number();
+  clean_up_old_sockets();
+  if (server_num == -1) {
+    fprintf(stderr, "could not get an AXIOM server number\n");
+    exit(-1);
+  }
+  if (ptyopen(&ptcNum, &ptsNum, ptcPath, ptsPath) == -1) {
+    perror("start_the_Axiom: ptyopen failed");
+    exit(-1);
+  }
+  fix_env(envp, server_num);
+  fork_Axiom();
+  close(ptsNum);
+}
+
+@
+\subsection{clean\_up\_sockets}
+In order to be able to restart hyperdoc from the axiom command prompt
+we need to remove the socket for this server.
+<<sman.cleanupsockets>>=
+static void
+clean_hypertex_socket(void)
+{
+   char name[256];
+   sprintf(name, "%s%d", MenuServerName, server_num);
+   unlink(name); 
+}
+
+static void
+clean_up_sockets(void)
+{
+  char name[256];
+  sprintf(name, "%s%d", SpadServer, server_num);
+  unlink(name);
+  sprintf(name, "%s%d", SessionServer, server_num);
+  unlink(name);
+  sprintf(name, "%s%d", SessionIOName, server_num);
+  unlink(name);
+  clean_hypertex_socket();
+}
+
+@
+\subsection{read\_from\_spad\_io}
+<<sman.readfromspadio>>=
+static void
+read_from_spad_io(int ptcNum)
+{
+  int ret_code = 0, i=0;
+  static int mes_len =0; 
+  ret_code = read(ptcNum, big_bad_buf, BufSize);
+  if (ret_code == -1) {
+    clean_up_sockets();
+    exit(-1);
+  }
+  if (session_io == NULL) {
+    if (ret_code < mes_len)
+      mes_len -= ret_code;
+    else {
+      if (mes_len > 0) {
+	i = mes_len;
+	mes_len = 0;
+      }
+      else
+	i = 0;
+      ret_code = write(1, big_bad_buf+i, ret_code-i);
+    }
+  }
+  else
+    ret_code = swrite(session_io, big_bad_buf, ret_code,
+		      "writing to session man");
+  if (ret_code == -1) {
+    perror("writing output to session manager");
+    clean_up_sockets();
+    exit(-1);
+  }
+}
+
+@
+\subsection{read\_from\_manager}
+<<sman.readfrommanager>>=
+static void
+read_from_manager(int ptcNum)
+{
+  int ret_code;
+  ret_code = sread(session_io, big_bad_buf, BufSize, "reading session io");
+  if (ret_code == -1) {
+    return;
+  }
+  ret_code = write(ptcNum, big_bad_buf, ret_code);
+  if (ret_code == -1) {
+    return;
+  }
+}
+
+@
+\subsection{manage\_spad\_io}
+<<sman.managespadio>>=
+static void
+manage_spad_io(int ptcNum)
+{
+  int ret_code, i, p;
+  fd_set rd;
+  while (1) {
+    rd = socket_mask;
+    FD_SET(ptcNum, &rd);
+    if (session_io != NULL)
+      FD_SET(session_io->socket, &rd);
+    ret_code = sselect(FD_SETSIZE, &rd, 0, 0, NULL);
+    if (ret_code == -1) {
+      perror("Session manager select");
+      clean_up_sockets();
+      exit(-1);
+    }
+    if (FD_ISSET(ptcNum, &rd)) {
+      read_from_spad_io(ptcNum);
+    }
+    for(i=0; i<2; i++) {
+      if (server[i].socket > 0 && FD_ISSET(server[i].socket, &rd)) {
+	p = accept_connection(server+i);
+	switch(p) {
+	case SessionIO:
+	  session_io = purpose_table[SessionIO];
+	  /*  printf("connected session manager\n\r");*/
+	  printf("\n");
+	  break;
+	default:
+	  printf("sman: Unkown connection request type: %d\n", p);
+	  break;
+	}
+      }
+    }
+    if (session_io != NULL && FD_ISSET(session_io->socket, &rd)) {
+      read_from_manager(ptcNum);
+    }
+  }
+}
+
+@
+\subsection{init\_spad\_process\_list}
+<<sman.initspadprocesslist>>=
+static void
+init_spad_process_list(void)
+{
+  spad_process_list = NULL;
+}
+
+@
+\subsection{print\_spad\_process\_list}
+<<sman.printspadprocesslist>>=
+#if 0
+static void
+print_spad_process_list()
+{
+  SpadProcess *proc;
+  for(proc = spad_process_list; proc != NULL; proc = proc->next)
+    fprintf(stderr, "proc_id = %d, death_action = %d\n", proc->proc_id,
+	    proc->death_action);
+}
+#endif
+
+@
+\subsection{find\_child}
+<<sman.findchild>>=
+static SpadProcess *
+find_child(int proc_id)
+{
+  SpadProcess *proc;
+  for(proc = spad_process_list; proc != NULL; proc = proc->next)
+    if (proc->proc_id == proc_id) return proc;
+  return NULL;
+}
+
+@
+\subsection{kill\_all\_children}
+<<sman.killallchildren>>=
+static void
+kill_all_children(void)
+{
+  char name[256];
+  SpadProcess *proc;
+  
+  
+  for(proc = spad_process_list; proc != NULL; proc = proc->next) {
+    kill(proc->proc_id, SIGTERM);
+  }
+  sprintf(name, "/tmp/hyper%d.input",server_num);
+  unlink(name);
+
+}
+
+@
+\subsection{clean\_up\_terminal}
+<<sman.cleanupterminal>>=
+static void
+clean_up_terminal(void)
+{
+  tcsetattr(0, TCSAFLUSH, &oldbuf);
+}
+
+@
+\subsection{monitor\_children}
+<<sman.monitorchildren>>=
+static void
+monitor_children(void)
+{
+  int dead_baby, stat;
+  SpadProcess *proc;
+  while (1) {
+    stat = 0;
+    dead_baby = wait(&stat);
+    /* Check the value of dead_baby, since wait may have returned
+       a pid but subsequently we have received a signal.  Yeuch! 
+       In order to restart hyperdoc from the axiom command prompt
+       we no longer call clean_up_terminal */
+    if (dead_baby == -1 && death_signal) {
+      kill_all_children();
+      clean_up_sockets();
+      sleep(2);
+      exit(0);
+    }
+    /* Check the value of dead_baby, since wait may have returned
+       a pid but subsequently we have received a signal.  Yeuch! */
+    if(dead_baby == -1 && nagman_signal) {
+      nagman_signal=0;
+      spawn_of_hell(NagManagerProgram,NadaDelShitsky);
+      continue;
+    }
+
+    if (dead_baby == -1) {
+      fprintf(stderr, "sman: wait returned -1\n");
+      continue;
+    }
+    proc = find_child(dead_baby);
+    if (proc == NULL) {
+      /*      fprintf(stderr, "sman: %d is not known to be a child process\n",
+	      dead_baby);
+	      */
+      continue;
+    }
+    switch(proc->death_action) {
+    /* In order to restart hyperdoc from the axiom command prompt
+       we no longer call clean_up_terminal. Instead we've added a
+       case to just clean up the socket. */
+    case Die:
+      kill_all_children();
+      clean_up_sockets();
+      sleep(2);
+      exit(0);
+    case NadaDelShitsky:
+      break;
+    case DoItAgain:
+      spawn_of_hell(proc->command, DoItAgain);
+      break;
+    case CleanHypertexSocket:
+      clean_hypertex_socket();
+      break;
+    }
+  }
+}
+
+@
+\subsection{main sman}
+The main procedure should return an [[int]]. We change the return value
+here and in [[src/include/sman.h1]].
+<<sman.result>>=
+  return(0);
+@
+<<sman.main>>=
+int
+main(int argc, char *argv[],char *envp[])
+{
+  if (tpd == 1) fprintf(stderr,"sman:main entered\n");
+  bsdSignal(SIGINT,  SIG_IGN,RestartSystemCalls);
+  process_options(argc, argv);
+
+  init_term_io();
+  init_spad_process_list();
+  start_the_Axiom(envp);
+  if (open_server(SessionIOName) == -2) {
+    fprintf(stderr, "Fatal error opening I/O socket\n");
+    clean_up_sockets();
+    exit(-1);
+  }
+  start_the_session_manager();
+  if (start_spadclient)       start_the_spadclient();
+  if (start_local_spadclient) start_the_local_spadclient();
+  if (start_nagman)           start_the_nagman();
+  if (start_ht)               start_the_hypertex();
+  if (start_graphics)         start_the_graphics();
+  sleep(1);
+
+  if (fork_you(Die) != NULL) {
+    sman_catch_signals();
+    monitor_children();
+    exit(0);
+  }
+  manage_spad_io(ptcNum);
+  if (tpd == 1) fprintf(stderr,"sman:main exit\n");
+<<sman.result>>
+}
+
+@
+\subsection{sman}
+<<sman>>=
+#define _SMAN_C
+
+<<sman.includes>>
+<<sman.variables>>
+<<sman.processarguments>>
+<<sman.shouldIclef>>
+<<sman.inX>>
+<<sman.setupdefaults>>
+<<sman.processoptions>>
+<<sman.deathhandler>>
+<<sman.nagmanhandler>>
+<<sman.smancatchsignals>>
+<<sman.fixenv>>
+<<sman.inittermio>>
+<<sman.strPrefix>>
+<<sman.checkspadproc>>
+<<sman.cleanupoldsockets>>
+<<sman.forkyou>>
+<<sman.execcommandenv>>
+<<sman.spawnofhell>>
+<<sman.startthespadclient>>
+<<sman.startthelocalspadclient>>
+<<sman.startthenagman>>
+<<sman.startthesessionmanager>>
+<<sman.startthehypertex>>
+<<sman.startthegraphics>>
+<<sman.forkAxiom>>
+<<sman.starttheAxiom>>
+<<sman.cleanupsockets>>
+<<sman.readfromspadio>>
+<<sman.readfrommanager>>
+<<sman.managespadio>>
+<<sman.initspadprocesslist>>
+<<sman.printspadprocesslist>>
+<<sman.findchild>>
+<<sman.killallchildren>>
+<<sman.cleanupterminal>>
+<<sman.monitorchildren>>
+<<sman.main>>
+
+@
+\chapter{Support Routines}
+\section{Command Completion}
+Hyperdoc has the ability to do command completion. The known commands
+are listed, one entry per line, in a file called command.list. 
+\chapter{The {\tt viewman} program}
+<<the viewman command line>>=
+char *GraphicsProgram = "$AXIOM/lib/viewman";
+@
+\chapter{The {\tt nagman} program}
+<<the nagman command line>>=
+char *NagManagerProgram = "$AXIOM/lib/nagman";
+@
+\section{nag.x}
+<<nag.nag.x>>=
+
+/*
+ * msg.x: Remote message printing protocol
+ */
+const MAXASP = 10;
+
+/*
+ * the nago structure is essentially a variable length string
+ */
+
+struct nago {
+  opaque z <>;
+  };
+struct nagerr {
+nago p;
+nago q;
+};
+
+struct host{
+nago h <>;
+};
+
+struct nagst {
+
+/* Okay, if you understand this bit you know the essentials of how the link
+ * works. h <> is an array of nago, which is an array of fortran source 
+ * code, the length of the array being the no. of asps (0 for most routines).
+ * y is the actual (XDR) input data for the routine. nm is the name of the
+ * routine. id is a tag identifying the host/axiom session. Finally per is a
+ * number telling whether or not to erase old fortran files on the remote
+ * machine (persistence - the number per distinct fortran files will be 
+ * stored, any more than this and earlier ones will be deleted.
+ */
+
+  nago h <>;
+  nago y;
+  nago nm;
+  nago id;
+  int per;
+  };
+program NAGPROG {
+   version NAGVERS {
+       nagerr CALLNAG(nagst) = 1;
+       nago NAGMON(int)=2;
+       void AXEND(nago)=3;
+   } = 1;
+/*
+ * the following number is very important. It tells the 
+ * portmapper what number to register the nag daemon under.
+ * There are rules about which number to pick - check SUN
+ * technical info for more details
+ */
+} = 100088;
+
+
+@
+\section{nagman}
+\subsection{includes}
+<<nag.includes>>=
+#include <unistd.h>
+#include <stdlib.h>
+#include <stdio.h> 
+#include <string.h>
+#include <errno.h>
+#include <termios.h>
+#include <signal.h>
+#include <sys/time.h>
+#include <sys/stat.h>
+#include <sys/socket.h>
+#include <sys/un.h>
+#include <rpc/rpc.h>     /* always needed */ 
+#include <fcntl.h>
+#include <netinet/in.h>
+#include <arpa/inet.h>
+#include <netdb.h>
+#include "nag.h"  /* generated by rpcgen */
+#include "com.h"
+#include "bsdsignal.h"
+#include "sockio-c.h1"
+#include "bsdsignal.h1"
+#include "nagman.h1"
+
+@
+\subsection{variables}
+<<nag.variables>>=
+#ifdef ALPHAplatform
+extern int getdomainname( char *, int );
+#endif
+#ifdef SUN4OS5platform
+extern int getdomainname( char *, int );
+extern int gethostname( char *, int );
+#endif
+
+nagerr * callnag_1(nagst *,CLIENT *);
+nago * nagmon_1(int *,CLIENT *);
+void * axend_1(nago *,CLIENT *);
+
+#define DO 1
+#define DONT 0
+
+int hnum, vmax;
+char *datafile, *resultsfile;
+
+struct hostnode {
+  char * name;
+  struct hostnode *next; 
+} *hlist=NULL;
+
+nagst nag4;
+Sock *sock1;
+
+@
+\subsection{term}
+this code runs when the user quits axiom. before nagman dies, it does
+an rpc call to nagd to tell it to get rid of files etc. The rpc call in
+question is [[axend_1]]
+we also send a USR1 to sman to beget another nagman
+<<nag.term>>=
+static void 
+term(int sig)
+{
+  CLIENT *cld;
+  void *res;
+  struct hostnode *pnode;
+
+#ifndef HP9platform /* can't figure out a way to do this on HP/UX 9 */
+  kill(atoi(getenv("SPADNUM")) , SIGUSR1);
+#endif
+
+
+  if(hnum!=0)
+    {
+      unlink(datafile);
+      unlink(resultsfile);
+    }
+
+  for(pnode=hlist;pnode!=NULL;pnode=pnode->next)
+    {
+      cld=clnt_create(pnode->name,NAGPROG, NAGVERS, "tcp");
+      if (cld == NULL)
+	goto NOHOST;
+
+      res=axend_1(&(nag4.id),cld);
+    NOHOST:
+      clnt_destroy(cld);
+    }
+  exit(0);
+}
+
+@
+\subsection{size\_of\_file}
+<<nag.sizeoffile>>=
+static long 
+size_of_file(char *filename)
+{
+  struct stat buf_stat;
+
+  stat(filename,&buf_stat);
+  return (buf_stat.st_size);
+
+}
+
+@
+\subsection{rpcloop}
+<<nag.rpcloop>>=
+static void 
+rpcloop(void)
+{
+  CLIENT *cl;
+  int res,j,v=0,u,showMessage;
+  long i;
+  register struct hostent *alias1, *alias2;
+  struct in_addr *addrnum;
+  u_long junk;
+  struct timeval tv;
+  nagerr *result;
+  char *Buf , *buf1;
+  char *ffile[MAXASP];
+  char routine[12], naghost[256];
+  FILE *nfp1, *nfp2, *nfp3;
+  struct hostnode *phost;
+  int fd;
+  
+  for (;;)
+    {
+      
+      if((Buf=get_string(sock1))==NULL) term(1); /* one string carries all */
+      
+      if(hnum!=0)
+	{
+	  /* call parameters */
+	  free(nag4.nm.z.z_val); /* the routine name */
+	  free(nag4.y.z.z_val);  /* the XDR data */
+	  for(i=0;i<v;i++)
+	    {
+	      unlink(ffile[i]);
+	      free(ffile[i]); /* the asp filenames */
+	      free(nag4.h.h_val[i].z.z_val); /* the asps themselves*/
+	    }
+	  free(nag4.h.h_val); /* the asps array */
+	  unlink(datafile);
+	  unlink(resultsfile);
+	  free(resultsfile);
+	  free(datafile);
+	  vmax= (v>vmax)? v : vmax;
+	}
+      
+      
+      
+      
+      buf1=strtok(Buf," ");
+      if (buf1) strcpy(naghost,buf1);
+      else printf("can't parse the naghost\n");
+      /* INFO         printf("%s\n",naghost);*/
+      
+      buf1=strtok(NULL," ");
+      if (buf1) strcpy(routine,buf1);
+      else printf("can't parse the routine\n");
+      /* INFO         printf("%s\n",routine);*/
+      
+      /* make copy of filenames because we will reuse Buf before deleting the files*/
+      buf1=strtok(NULL," ");
+      if (buf1) resultsfile=strdup(buf1);
+      else printf("can't parse the resultsfile file\n");	
+      /* INFO         printf("%s\n",resultsfile);*/
+      
+      buf1=strtok(NULL," ");  
+      if (buf1) datafile=strdup(buf1); 
+      else printf("can't parse the datafile file\n");  
+      /* INFO         printf("%s\n",datafile);*/
+      
+      buf1=strtok(NULL," ");
+      if (buf1) nag4.per=atoi(buf1);
+      else printf("can't parse the persistence\n");
+      /* INFO         printf("%d\n",nag4.per);*/
+      
+      buf1=strtok(NULL," ");
+      if (buf1) {
+	if (!strcmp(buf1,"on")) showMessage=DO;
+	else showMessage=DONT;
+      }
+      else printf("can't parse the messages flag\n");
+      /* INFO         printf("%s\n",buf1);*/
+      
+      v=0; /* asp counter */
+      while( (buf1=strtok(NULL," ")) )
+	{
+	  ffile[v++]=strdup(buf1);
+	  /* INFO 	      	printf("%s\n",ffile[v-1]);*/
+	}
+      
+      /* INFO  	printf("number of asps seen %d\n",v);*/
+      
+      if(showMessage==DO) printf("nagman:acknowledging request for %s\n",routine);
+      
+      res=0;  /* prepare result integer to be sent to Lisp */
+      
+      if((nfp3=fopen(resultsfile,"w"))==NULL)
+	{
+	  printf("can't open output file\n");
+	  goto END;
+	}
+      
+      /* nag4.h is the XDR array of asp text */
+      nag4.h.h_len=v;
+      nag4.h.h_val=(nago *)malloc((v)*sizeof(nago));
+      
+      
+      /* get asp text in call argument */
+      for(u=0;u<v;u++)
+	{
+	  /* this should be done by mmap */
+	  if((nfp1=fopen(ffile[u],"r"))==NULL)
+	    {
+	      fprintf(stderr,"can't open asp file %s\n",ffile[u]);
+	      fclose(nfp1);
+	      goto END;
+	    }
+	  fclose(nfp1);
+	  i=size_of_file(ffile[u]);
+
+	  /* allocs memory for the file */
+	  nag4.h.h_val[u].z.z_val= (char *)malloc((i+1)*sizeof(char)); 
+	  
+	  fd=open(ffile[u],O_RDONLY);
+	  read(fd,nag4.h.h_val[u].z.z_val,i);
+	  close(fd);
+	  /* make null-term. string */
+	  nag4.h.h_val[u].z.z_val[i]='\0'; 
+	  /* set the length */
+	  nag4.h.h_val[u].z.z_len=strlen(nag4.h.h_val[u].z.z_val); 
+	}
+      
+      
+      nag4.nm.z.z_val=strdup(routine);
+      nag4.nm.z.z_len=strlen(routine);
+      
+      /* get XDR data in call argument */
+      /* should be done by mmap */
+      if((nfp2=fopen(datafile,"r"))==NULL)
+	{
+	  fprintf(stderr,"can't open data file\n");
+	  fclose(nfp2);
+	  goto END;
+	}
+      
+      fclose(nfp2);
+      i=size_of_file(datafile);
+      nag4.y.z.z_val=(char *)malloc(i*sizeof(char));
+      
+      fd=open(datafile,O_RDONLY);
+      read(fd,nag4.y.z.z_val,i);
+      close(fd);
+      nag4.y.z.z_len=i;
+      
+      
+      /*
+       * Create client "handle" used for calling MESSAGEPROG on
+       * the server designated on the command line.  We tell
+       * the RPC package to use the "tcp" protocol when
+       * contacting the server.
+       */
+      
+      /* update naghost by lookup */
+      
+      if ((junk = inet_addr(naghost))!=-1)
+	{
+	  addrnum=(struct in_addr *)junk;
+	  if((alias2=gethostbyaddr((char *)&addrnum,
+				   sizeof(addrnum),
+				   AF_INET))!=NULL)
+	    strcpy(naghost,alias2->h_name);
+	  else
+	    if((alias1=gethostbyname(naghost))!=NULL)
+	      strcpy(naghost,alias1->h_name);
+	}
+      else
+	if((alias1=gethostbyname(naghost))!=NULL)
+	  strcpy(naghost,alias1->h_name);
+      
+      
+      
+      
+      cl = clnt_create(naghost, NAGPROG, NAGVERS, "tcp");
+      if (cl == NULL)
+	{
+	  /*
+	   * Couldn't establish connection with server.
+	   * Print error message and die.
+	   */
+	  clnt_pcreateerror(naghost);
+	  goto END;
+	}
+      else
+	if (showMessage==DO)
+	  printf("nagman:connection successful to %s\n",naghost);
+      
+      /*
+       * this number here sets the "timeout" for the rpc call. after this number
+       * of seconds, the call will quit if no response is received
+       *
+       */
+      
+      tv.tv_sec=1000000;
+      tv.tv_usec=0;
+      clnt_control(cl,CLSET_TIMEOUT,(char *)&tv);
+      
+      
+      result = callnag_1(&nag4, cl);
+      
+      for(phost=hlist;phost!=NULL;phost=phost->next)
+	{
+	  /*
+	   * hlist is the "hostlist" of sites that have been contacted by nagman.
+	   * here we check if this call is contacting a new site, and if so add it
+	   * to the hostlist
+	   *
+	   */
+	  
+	  if(!strcmp(phost->name,naghost))
+	    goto SKIP;
+	}
+      
+      if(hnum==0) {
+	hlist=(struct hostnode *)malloc(sizeof(struct hostnode));
+	hlist->name=strdup(naghost);
+	hlist->next=NULL;
+      }
+      
+      else {
+	phost=(struct hostnode *)malloc(sizeof(struct hostnode));
+	phost->name=strdup(naghost);
+	phost->next=hlist;
+	hlist=phost;
+      }
+      hnum++;
+      
+      
+    SKIP:
+      if (result == NULL)
+	{
+	  /*
+	   * An error occurred while calling the server.
+	   * Print error message and die.
+	   */
+	  if (showMessage==DO)
+	    printf("nagman:no results (error) from %s\n",naghost);
+	  clnt_perror(cl,naghost);
+	  clnt_destroy(cl);
+	  goto END;
+	}
+      
+      /*
+       * (*result).p is the part of the result with the XDRed results in it 
+       * (numbers). (*result).q is the part with (text) error messages that 
+       * have come from the NAG library. If there is neither an XDR result,
+       * nor a text error message from the library, then something is wrong
+       * so we just print out the "no result or error returned" message.
+       *
+       */
+      
+      else if ((*result).p.z.z_len==0)
+	{
+	  if((*result).q.z.z_len==0)
+	    {
+	      if (showMessage==DO)
+		printf("nagman:empty result (error) from %s\n",naghost);
+	      clnt_destroy(cl);
+	      goto END;
+	    }
+	  else
+	    {
+	      if (showMessage==DO)
+		printf("nagman:receiving results from %s\n\n",naghost);
+	      for(j=0;j<(*result).q.z.z_len;j++)
+		printf("%c",(*result).q.z.z_val[j]);
+	      clnt_destroy(cl);
+	      goto END;
+	    }
+	}
+      else
+	if (showMessage==DO)
+	  printf("nagman:receiving results from %s\n\n",naghost);
+      
+      if (showMessage==DO)
+	fwrite(result->q.z.z_val,sizeof(char),result->q.z.z_len,stdout);
+      
+      /*INFO		printf("\nRESULTS of length %d\n",(*result).p.z.z_len);*/
+      
+      fwrite(result->p.z.z_val,sizeof(char),result->p.z.z_len, nfp3);
+      res=1;
+      clnt_destroy(cl);
+      
+      /*
+       * in case of any type of error, a goto END in the above code causes
+       * nagman to skip here and return to AXIOM
+       *
+       */
+      
+      
+    END:
+      fclose(nfp3);
+      /*
+       * if everything has gone alright, send_int returns the integer res=1. If
+       * not it returns res=0. This is detected by the boot code which acts 
+       * accordingly.
+       */
+      send_int(sock1,res);
+      free(Buf);
+    }
+  
+  
+}
+
+@
+\subsection{catchSignals}
+catchSignals sets up signal handling. If nagman gets a sigterm it does not
+die but goes back to rpcloop
+<<nag.catchSignals>>=
+static void 
+catchSignals(void)
+{
+  bsdSignal(SIGTERM,term,RestartSystemCalls);
+  bsdSignal(SIGSEGV,term,RestartSystemCalls);
+}
+
+@
+\subsection{main nagman}
+<<nag.main>>=
+void 
+main(int argc,char **argv)
+{
+  char this[256],*hname,*dname,*spadnum;
+  int stat;
+ 
+  catchSignals();
+  stat=gethostname(this,256);
+  if (stat!=0) perror("gethostname");
+  hname=strdup(this);
+
+  stat=getdomainname(this,256);
+  if (stat!=0) perror("getdomainname");
+  dname=strdup(this);
+  spadnum=getenv("SPADNUM");
+  if (spadnum==0) {
+    fprintf(stderr,"nagman error: SPADNUM is not in the environment\n");
+    exit(0);
+  }
+
+  /* some machines return a full name from hostname 
+     need to check hname has a . in it */
+
+  if  (strchr(hname,'.'))
+    /* '.' found */
+    sprintf(this,"%s_%i",hname,atoi(spadnum));
+  else
+    /* substring not found */
+    sprintf(this,"%s.%s_%i",hname,dname,atoi(spadnum));
+
+  /* this must contain the Internet address of the current host */
+  nag4.id.z.z_val=strdup(this);
+  nag4.id.z.z_len=strlen(nag4.id.z.z_val);
+  hnum=0;
+  vmax=0;
+  /*
+   * this line sets up a socket for communication with the lisp
+   */
+
+  sock1 = connect_to_local_server(SpadServer, DebugWindow, 120 /*seconds*/);
+  if (!sock1) exit(0);
+
+  rpcloop();
+}
+
+@
+\subsection{nagman}
+<<nagman>>=
+#define _NAGMAN_C
+<<nag.includes>>
+<<nag.variables>>
+<<nag.term>>
+<<nag.sizeoffile>>
+<<nag.rpcloop>>
+<<nag.catchSignals>>
+<<nag.main>>
+@
+
+\chapter{The {\tt hypertex} program}
+<<the hypertex command line>>=
+char *HypertexProgram = "$AXIOM/bin/hypertex -s";
+@
+\chapter{The {\tt clef} program}
+<<the clef command line>>=
+char *ClefProgram = "$AXIOM/bin/clef -f $AXIOM/lib/command.list -e ";
+@
+\chapter{The {\tt session} program}
+<<the session manager command line>>=
+char *SessionManagerProgram = "$AXIOM/lib/session";
+@
+\section{session}
+\subsection{includes}
+<<ses.includes>>=
+#include <stdlib.h>
+#include <sys/time.h>
+#include <stdio.h>
+#include <string.h>
+#include <signal.h>
+#ifdef SGIplatform
+#include <bstring.h>
+#endif
+#include "com.h"
+#include "bsdsignal.h"
+#include "sockio-c.h1"
+#include "bsdsignal.h1"
+#include "session.h1"
+
+@
+\subsection{variables}
+<<ses.variables>>=
+#define BufSize		4096	/* size of communication buffer */
+
+typedef struct sock_list {      /* linked list of Sock */
+  Sock Socket;
+  struct sock_list *next;
+} Sock_List;
+
+Sock *spad_io = (Sock *) 0;	   /* to_server socket for SessionIO */
+Sock *spad_server = (Sock *) 0;    /* to_server socket for SpadServer    */
+Sock *menu_client = (Sock *) 0;	   /* to_client socket for MenuServerName  */
+Sock *active_session = (Sock *) 0; /* pointer to currently active session */
+
+Sock_List *plSock = (Sock_List *) 0;
+
+char big_bad_buf[BufSize];	/* big I/O buffer */
+int num_active_clients = 0;	/* number of InterpWindows attached */
+int reading_output = 0;
+fd_set session_socket_mask;
+
+@
+\subsection{usr1\_handler}
+<<ses.usr1handler>>=
+static void 
+usr1_handler(int sig)
+{
+  return;
+}
+
+@
+\subsection{usr2\_handler}
+SIGUSR2 is generated by spadclients.
+We interpret it as an interrupt for the Lisp.
+<<ses.usr2handler>>=
+static void 
+usr2_handler(int sig)
+{
+  send_signal(spad_server, SIGINT);
+  return;
+}
+
+@
+\subsection{term\_handler}
+<<ses.termhandler>>=
+static void 
+term_handler(int sig)
+{
+  exit(1);
+}
+
+@
+\subsection{pr}
+<<ses.pr>>=
+static void
+pr()
+{
+  Sock_List *pSock;
+  
+  fprintf(stderr,"The socket list:\n");
+  for(pSock=plSock;pSock!=(Sock_List *)0;pSock=pSock->next){
+    fprintf(stderr,"(%d,%d,%d)\t",
+      pSock->Socket.pid, 2<<(pSock->Socket.socket), pSock->Socket.frame);
+  }
+  fprintf(stderr,"\n");
+}
+
+@
+\subsection{close\_client}
+<<ses.closeclient>>=
+static void
+close_client(int frame)
+{
+  Sock_List *pSock,*locSock;
+  int socket_fd;
+  
+  /* we will check for frame equality,
+     kill with send_signal,
+     notify HyperTex so that it updates its list (if it's a spadbuf),
+     repair the list,
+     unset the active_session,
+     update num_active_clients
+     */
+  
+  
+  /* first check head */
+#ifdef DEBUG
+fprintf(stderr,"close_client(%d)\n",frame);
+#endif
+  
+  if ( (plSock) && (plSock->Socket.frame == frame) ){
+    socket_fd = plSock->Socket.socket;
+    send_signal((Sock *)plSock, SIGTERM);
+    if ( menu_client != (Sock *) 0){
+      send_int(menu_client,CloseClient);
+      send_int(menu_client,(*plSock).Socket.pid);
+    } 
+#ifdef DEBUG
+fprintf(stderr,"trying to clear %u\n",socket_fd);
+#endif
+    FD_CLR(socket_fd,&session_socket_mask);
+    locSock = plSock;
+    if ((*plSock).next == (Sock_List *) 0) 
+      {plSock = (Sock_List *) 0;}
+    else
+      {plSock = plSock->next;}
+    active_session = (Sock *) 0;
+    num_active_clients--;
+    free(locSock);
+  }
+  
+  /* now check the rest */
+  
+  else {
+    for (pSock=plSock; pSock->next != (Sock_List *) 0 ; pSock=pSock->next)
+      if (pSock->next->Socket.frame == frame){
+	socket_fd = pSock->next->Socket.socket;
+	send_signal((Sock *)pSock->next, SIGTERM);
+	if ( menu_client != (Sock *) 0){
+	  send_int(menu_client,CloseClient);
+	  send_int(menu_client,(*plSock).Socket.pid);
+	}
+#ifdef DEBUG
+fprintf(stderr,"trying to clear %u\n",socket_fd);
+#endif
+	FD_CLR(socket_fd,&session_socket_mask);
+	locSock = pSock->next;
+	if (  pSock->next->next == (Sock_List *) 0  )
+	  { pSock->next= (Sock_List *) 0;}
+	else
+	  { pSock->next = pSock->next->next;}
+	num_active_clients--;
+	active_session = (Sock *) 0;
+	free(locSock);
+	break;
+      }
+  }
+#ifdef DEBUG
+pr();
+#endif
+}
+
+@
+\subsection{read\_SpadServer\_command}
+<<ses.readSpadServercommand>>=
+static void 
+read_SpadServer_command(void)
+{
+  int cmd, frame, num;
+  cmd  = get_int(spad_server);
+  switch (cmd) {
+  case EndOfOutput:
+    if (menu_client != (Sock *) 0) send_signal(menu_client, SIGUSR2); 
+    if (reading_output != 0) reading_output = 0;
+    break;
+  case QueryClients:
+    /*  don't count MenuServer */
+    num =  num_active_clients ;
+    send_int(spad_server, num);
+    break;
+  case CloseClient:
+    frame = get_int(spad_server);
+    if (frame != -1) close_client(frame); 
+    break;
+  case SendXEventToHyperTeX:
+    break;
+  default:
+    fprintf(stderr, "session : unknown command from SpadServer %d\n", cmd);
+    break;
+  }
+}
+
+@
+\subsection{test\_sock\_for\_process}
+<<ses.testsockforprocess>>=
+static int
+test_sock_for_process(Sock *sock)
+{
+  if (sock == (Sock *)0 ) return -1;
+  return kill(sock->pid, 0);
+}
+
+@
+\subsection{read\_menu\_client\_command}
+<<ses.readmenuclientcommand>>=
+static void
+read_menu_client_command(void)
+{
+  int cmd,frame, i,socket_fd;
+  Sock_List *pSock;
+  
+  /* save it for possible clearing */
+  socket_fd =  menu_client->socket;
+
+  if (test_sock_for_process(menu_client) == -1) {
+    FD_CLR(socket_fd,&session_socket_mask);
+    menu_client = (Sock *) 0; 
+    reading_output = 0;
+    return;
+  }
+  cmd = get_int(menu_client);
+  switch(cmd) {
+  case -1:		/* socket closed */
+    FD_CLR(socket_fd,&session_socket_mask);
+    menu_client = (Sock *) 0;
+    reading_output = 0;
+    break;
+  case SwitchFrames:
+#ifdef DEBUG
+fprintf(stderr,"menu:SwitchFrames\n");
+#endif
+    frame = get_int(menu_client);
+    send_int(spad_server, SwitchFrames);
+    send_int(spad_server, frame);
+    for(i=0,pSock=plSock; pSock != (Sock_List *) 0 ; i++,pSock=pSock->next)
+      if ((pSock->Socket.frame == frame)) {
+	active_session = (Sock *)pSock;
+	reading_output = 1;
+	break;
+      }
+    if (i == num_active_clients) {
+      /* fprintf(stderr, "Couldn't find socket for frame %d\n", frame); */
+    }
+    break;
+  case QuerySpad:
+#ifdef DEBUG
+fprintf(stderr,"menu:QuerySpad\n");
+#endif
+    send_int(menu_client, reading_output);
+    break;
+  default:
+    fprintf(stderr, "session : unknown command from MenuServer: %d\n", cmd);
+    menu_client = (Sock *) 0;
+    break;
+  }
+}
+
+@
+\subsection{read\_from\_spad\_io}
+<<ses.readfromspadio>>=
+static void
+read_from_spad_io(void)
+{
+  int ret_code;
+  ret_code = sread(spad_io, big_bad_buf, BufSize, "session: stdout socket");
+  if (ret_code == -1) return;
+  if(active_session != (Sock *) 0) {
+    ret_code = swrite(active_session, big_bad_buf, ret_code,
+		      NULL);
+  }
+}
+
+@
+\subsection{kill\_spad}
+<<ses.killspad>>=
+static void
+kill_spad(void)
+{
+  int i;
+  Sock_List *pSock;
+  
+  send_signal(spad_server, SIGTERM);
+  for  (pSock=plSock,i=0;
+	(i<num_active_clients) && (pSock != (Sock_List *) 0); 
+	i++,pSock=pSock->next) {
+    if ((pSock->Socket).socket != 0)
+      send_signal((Sock *)pSock, SIGTERM);
+  }
+  if (menu_client != (Sock *) 0) send_signal(menu_client, SIGTERM);
+  exit(0);
+}
+
+@
+\subsection{accept\_session\_connection}
+<<ses.acceptsessionconnection>>=
+static int
+accept_session_connection(Sock *server_sock)
+{
+  int sock_fd, ret_code;
+  Sock_List *pls;
+  
+  /* Could be three things : KillSpad MenuServer InterpWindow  */
+  
+  pls = (Sock_List *) malloc(sizeof (Sock_List));
+  sock_fd = accept(server_sock->socket, 0, 0);
+  if (sock_fd == -1) {
+    perror("session : accepting connection");
+    return -1;
+  }
+  (pls->Socket).socket = sock_fd;
+    get_socket_type((Sock *)pls);
+    
+    switch((pls->Socket).purpose) {
+    case KillSpad:
+      kill_spad();
+      return KillSpad;
+      free(pls);
+    case MenuServer:
+#ifdef DEBUG
+      fprintf(stderr,"session: accepted MenuServer , fd = %d\n",sock_fd);
+#endif
+      menu_client = &(pls->Socket);
+      FD_SET(menu_client->socket, &session_socket_mask);
+      return MenuServer;
+    case InterpWindow:
+#ifdef DEBUG
+      fprintf(stderr,"session: accepted InterpWindow , fd = %d\n",sock_fd);
+#endif
+      
+      /* new Sock is put at the head of the list */
+      if (plSock == (Sock_List *)0 ) {
+	plSock = pls;
+	plSock->next = (Sock_List *)0 ;
+      }
+      else{
+	pls->next = plSock;
+	plSock = pls;
+      }
+      
+      /* we need to maintain session_socket_mask here 
+         since we roll our own accept */
+      
+      FD_SET(plSock->Socket.socket, &session_socket_mask);
+      send_int(spad_server, CreateFrame);
+      {
+          int command = get_int(spad_server);
+          /* XXX hack -- the whole protocol looks broken, we just
+          try to detect losage */
+          if (command != CreateFrameAnswer) {
+              fprintf(stderr, "session: non-fatal, got out of sync "
+                               "with Spad server\n  (lost race)\n");
+          /*    exit(1); */
+          }
+      }
+      plSock->Socket.frame = get_int(spad_server);
+      active_session = (Sock *)plSock;
+      get_string_buf(spad_server, big_bad_buf, BufSize);
+      ret_code = swrite((Sock *)plSock, big_bad_buf, strlen(big_bad_buf)+1,
+			"session: writing to InterpWindow");
+      if (ret_code == -1) 
+	return -1;
+      num_active_clients++;
+#ifdef DEBUG
+pr();
+#endif
+      return plSock->Socket.purpose;
+    }
+    return (-1);
+}
+
+@
+\subsection{read\_from\_session}
+<<ses.readfromsession>>=
+static void
+read_from_session(Sock *sock)
+{
+  int ret_code;
+  if (sock != active_session) {
+    send_int(spad_server, SwitchFrames);
+    send_int(spad_server, sock->frame);
+  }
+  active_session = sock;
+  ret_code = sread(sock, big_bad_buf, BufSize, 
+		   "session: reading InterpWindow");
+  if (ret_code == -1) {
+    active_session = (Sock *) 0;
+    reading_output = 0;
+    return;
+  }
+  ret_code = swrite(spad_io, big_bad_buf, ret_code,
+		    "session: writing SessionIO");
+  if (ret_code == -1) {
+    active_session = (Sock *)0 ;
+    reading_output = 0;
+    return;
+  }
+  reading_output = 1;
+}
+
+@
+\subsection{manage\_sessions}
+<<ses.managesessions>>=
+static void
+manage_sessions(void)
+{
+  int ret_code;
+  fd_set rd, wr, ex;
+  Sock_List  *pSock;
+  
+  reading_output = 0;
+  while (1) {
+    FD_ZERO(&rd);
+    FD_ZERO(&wr);
+    FD_ZERO(&ex);
+
+    /* Allow server socket and all connections if not waiting for output
+       socket_mask is maintained by libspad.a  */
+#ifdef DEBUG
+fprintf(stderr,"session_socket_mask=%u ",*((long *)session_socket_mask.fds_bits));
+#endif
+    rd = session_socket_mask;
+    if (!reading_output) {
+      rd = session_socket_mask;
+    }
+
+    /* Allow the active_session if set */
+    if (active_session) FD_SET(active_session->socket, &rd);
+#ifdef DEBUG
+fprintf(stderr,"[rd=%u ",*((long *)rd.fds_bits));
+#endif
+
+    ret_code = sselect(FD_SETSIZE, &rd, &wr, &ex, NULL);
+    if (ret_code == -1) {
+	break;
+    }
+#ifdef DEBUG
+fprintf(stderr,"rd=%u]\n",*((long *)rd.fds_bits));
+#endif
+    
+    if ((menu_client != (Sock *) 0)  && FD_ISSET(menu_client->socket, &rd)) {
+      /* MenuServer wants to talk */
+      read_menu_client_command(); }
+    
+    
+    if (FD_ISSET(spad_io->socket, &rd)) {
+      /* Lisp has output */
+      read_from_spad_io(); }
+    
+    
+    if (FD_ISSET(server[1].socket, &rd)) {
+      /* Someone wants to connect to our server socket */
+      accept_session_connection(server+1); }
+    
+    
+    for(pSock=plSock; pSock != (Sock_List *) 0 ; pSock=pSock->next) {
+      if ((active_session == (Sock *)pSock || !reading_output) &&
+	  (pSock->Socket).socket>0 && FD_ISSET(pSock->Socket.socket, &rd)) {
+	/* An InterpWindow */
+	read_from_session((Sock *)pSock); }
+    }
+    
+    
+    if (FD_ISSET(spad_server->socket, &rd)) {
+      /* The Lisp socket */
+      read_SpadServer_command(); }
+  }
+}
+
+@
+\subsection{main sessionmanager}
+<<ses.main>>=
+int
+main(void)
+{
+
+#ifdef DEBUG2
+  /* delay for attaching with debugger before interesting things happen */
+  sleep(30);
+#endif
+
+ /* spad_server connects to Lisp server socket         
+    read_SpadServer_command handles requests */
+  spad_server = connect_to_local_server(SpadServer, SessionManager, Forever);
+  if (spad_server == (Sock *) 0) {
+    fprintf(stderr, "session: Cannot connect to AXIOM server!\n");
+    exit(0);
+  }
+  else {
+#ifdef DEBUG
+    fprintf(stderr, "session: connected SpadServer , fd = %d\n",
+	    spad_server->socket);
+#endif  
+    FD_SET(spad_server->socket, &session_socket_mask);
+  }
+
+
+  /* spad_io connects to SessionIOName server socket
+    this is Lisp std IO read_from_spad_io handles requests */
+  spad_io = connect_to_local_server(SessionIOName, SessionIO, Forever);
+  if (spad_io == (Sock *) 0) {
+    fprintf(stderr, "session: Cannot connect to AXIOM IO!\n");
+    exit(0);
+  }
+  else {
+#ifdef DEBUG
+    fprintf(stderr,"session: connected SessionIOName , fd = %d\n",
+	    spad_io->socket);
+#endif  
+    FD_SET(spad_io->socket, &session_socket_mask);
+  }
+  bsdSignal(SIGUSR2, usr2_handler,DontRestartSystemCalls);
+  bsdSignal(SIGUSR1, usr1_handler,RestartSystemCalls);
+  bsdSignal(SIGINT,  SIG_IGN,RestartSystemCalls);
+  bsdSignal(SIGTERM, term_handler,RestartSystemCalls);
+
+  /* open_server opens the server socket so that we can accept connections
+    we expect connections from spadbuf/spadclient(purpose:InterpWindow) 
+    and hypertex (MenuServer) */
+
+  if (open_server(SessionServer) == -2) {
+    fprintf(stderr, "session: Cannot make server socket!\n");
+    exit(-1);
+  }
+  else {
+#ifdef DEBUG
+    fprintf(stderr, "session: opened SessionServer , fd = %d\n",
+	    server[1].socket);
+#endif  
+    FD_SET(server[1].socket,&session_socket_mask);
+  }
+  manage_sessions();
+  return(0);
+}
+
+@
+\subsection{session}
+<<session>>=
+/* #define DEBUG */
+#define _SESSION_C
+
+<<ses.includes>>
+<<ses.variables>>
+<<ses.usr1handler>>
+<<ses.usr2handler>>
+<<ses.termhandler>>
+<<ses.pr>>
+<<ses.closeclient>>
+<<ses.readSpadServercommand>>
+<<ses.testsockforprocess>>
+<<ses.readmenuclientcommand>>
+<<ses.readfromspadio>>
+<<ses.killspad>>
+<<ses.acceptsessionconnection>>
+<<ses.readfromsession>>
+<<ses.managesessions>>
+<<ses.main>>
+
+@
+\chapter{The {\tt spadclient} program}
+<<the spadclient command line>>=
+char *SpadClientProgram = "$AXIOM/lib/spadclient";
+@
+\section{spadclient}
+<<spadclient>>=
+#define _SPADCLIENT_C
+
+#include <stdio.h>
+#include <signal.h>
+#include "com.h"
+#include "bsdsignal.h"
+
+#include "bsdsignal.h1"
+#include "sockio-c.h1"
+#include "spadclient.h1"
+
+Sock *sock;
+
+static void 
+inter_handler(int sig)
+{
+  send_signal(sock, SIGUSR2);
+  fflush(stderr);
+}
+
+
+int 
+main(void)
+{
+  sock = connect_to_local_server(SessionServer, InterpWindow, Forever);
+  bsdSignal(SIGINT, inter_handler,RestartSystemCalls); 
+  remote_stdio(sock);
+  return(0);
+}
+
+@
+\chapter{The Command Completion List}
+<<command.list>>=
+-
+/
+/\
+^
+^=
+~
+~=
+*
+**
+\/
+#
++
+<
+<=
+=
+>
+>=
+0
+1
+abelianGroup
+abs
+absolutelyIrreducible?
+accuracyIF
+acos
+acosh
+acoshIfCan
+acosIfCan
+acot
+acoth
+acothIfCan
+acotIfCan
+acsc
+acsch
+acschIfCan
+acscIfCan
+aCubic
+adaptive
+adaptive?
+adaptive3D?
+addBadValue
+addChild!
+addData!
+addField!
+addiag
+addMatch
+addMatchRestricted
+addmod
+addPoint
+addPoint2
+addPointLast
+adjoint
+airyAi
+airyBi
+Aleph
+algDsolve
+algebraic?
+algebraicCoefficients?
+algebraicDecompose
+algebraicOf
+algebraicSort
+algebraicVariables
+algint
+algintegrate
+algSplitSimple
+aLinear
+allRootsOf
+alphabetic
+alphabetic?
+alphanumeric
+alphanumeric?
+alternating
+alternatingGroup
+alternative?
+An
+AND
+And
+and
+anfactor
+antiAssociative?
+antiCommutative?
+antiCommutator
+anticoord
+antisymmetric?
+antisymmetricTensors
+any
+any?
+append
+appendPoint
+apply
+applyQuote
+applyRules
+approximants
+approximate
+approxNthRoot
+approxSqrt
+aQuadratic
+aQuartic
+areEquivalent?
+arg1
+arg2
+argscript
+argument
+argumentList!
+argumentListOf
+arity
+aromberg
+arrayStack
+asec
+asech
+asechIfCan
+asecIfCan
+asimpson
+asin
+asinh
+asinhIfCan
+asinIfCan
+aspFilename
+assert
+assign
+assoc
+associatedEquations
+associatedSystem
+associates?
+associative?
+associator
+associatorDependence
+atan
+atanh
+atanhIfCan
+atanIfCan
+atom?
+atoms
+atrapezoidal
+att2Result
+augment
+autoReduced?
+axes
+axesColorDefault
+B1solve
+back
+backOldPos
+badNum
+badValues
+bag
+balancedBinaryTree
+balancedFactorisation
+bandedHessian
+bandedJacobian
+base
+baseRDE
+baseRDEsys
+BasicMethod
+basicSet
+basis
+basisOfCenter
+basisOfCentroid
+basisOfCommutingElements
+basisOfLeftAnnihilator
+basisOfLeftNucleus
+basisOfLeftNucloid
+basisOfMiddleNucleus
+basisOfNucleus
+basisOfRightAnnihilator
+basisOfRightNucleus
+basisOfRightNucloid
+bat
+bat1
+beauzamyBound
+belong?
+bernoulli
+bernoulliB
+besselI
+besselJ
+besselK
+besselY
+Beta
+bezoutDiscriminant
+bezoutMatrix
+bezoutResultant
+bfEntry
+bfKeys
+binary
+binaryFunction
+binarySearchTree
+binaryTournament
+binaryTree
+binomial
+binomThmExpt
+bipolar
+bipolarCylindrical
+biRank
+birth
+bit?
+bitCoef
+bitLength
+bits
+bitTruth
+bivariate?
+bivariatePolynomials
+bivariateSLPEBR
+blankSeparate
+block
+blue
+bombieriNorm
+bool
+bool?
+bottom!
+boundOfCauchy
+box
+brace
+bracket
+branchIfCan
+branchPoint?
+branchPointAtInfinity?
+bright
+brillhartIrreducible?
+brillhartTrials
+bringDown
+bsolve
+btwFact
+bubbleSort!
+build
+BumInSepFFE
+bumprow
+bumptab
+bumptab1
+BY
+c02aff
+c02agf
+c05adf
+c05nbf
+c05pbf
+c06eaf
+c06ebf
+c06ecf
+c06ekf
+c06fpf
+c06fqf
+c06frf
+c06fuf
+c06gbf
+c06gcf
+c06gqf
+c06gsf
+cache
+cAcos
+cAcosh
+cAcot
+cAcoth
+cAcsc
+cAcsch
+calcRanges
+call
+cap
+car
+cardinality
+cartesian
+cAsec
+cAsech
+cAsin
+cAsinh
+cAtan
+cAtanh
+cCos
+cCosh
+cCot
+cCoth
+cCsc
+cCsch
+cdr
+ceiling
+center
+central?
+certainlySubVariety?
+cExp
+cfirst
+chainSubResultants
+changeBase
+changeMeasure
+changeName
+changeNameToObjf
+changeThreshhold
+changeVar
+changeWeightLevel
+char
+character?
+characteristic
+characteristicPolynomial
+characteristicSerie
+characteristicSet
+charClass
+charpol
+charthRoot
+chebyshevT
+chebyshevU
+check
+checkCxResult
+checkForZero
+checkMxCDF
+checkMxDF
+checkPrecision
+checkResult
+checkRur
+child
+child?
+children
+chineseRemainder
+chiSquare
+chiSquare1
+choosemon
+chvar
+Ci
+className
+clearCache
+clearDenominator
+clearFortranOutputStack
+clearTable!
+clearTheFTable
+clearTheIFTable
+clearTheSymbolTable
+clikeUniv
+clip
+clipBoolean
+clipParametric
+clipPointsDefault
+clipSurface
+clipWithRanges
+cLog
+close
+close!
+closeComponent
+closed?
+closedCurve
+closedCurve?
+cn
+code
+coef
+coefChoose
+coefficient
+coefficients
+coerce
+coerceImages
+coerceListOfPairs
+coerceP
+coercePreimagesImages
+coHeight
+coleman
+collect
+collectQuasiMonic
+collectUnder
+collectUpper
+color
+colorDef
+colorFunction
+column
+combineFeatureCompatibility
+commaSeparate
+comment
+common
+commonDenominator
+commutative?
+commutativeEquality
+commutator
+comp
+compactFraction
+companionBlocks
+comparison
+compBound
+compdegd
+compile
+compiledFunction
+complement
+complementaryBasis
+complete
+completeEchelonBasis
+completeEval
+completeHensel
+completeHermite
+completeSmith
+complex
+complex?
+complexEigenvalues
+complexEigenvectors
+complexElementary
+complexExpand
+complexForm
+complexIntegrate
+complexLimit
+complexNormalize
+complexNumeric
+complexNumericIfCan
+complexRoots
+complexSolve
+complexZeros
+component
+components
+compose
+composite
+composites
+computeBasis
+computeCycleEntry
+computeCycleLength
+computeInt
+computePowers
+concat
+concat!
+cond
+condition
+conditionP
+conditions
+conditionsForIdempotents
+conical
+conjHerm
+conjug
+conjugate
+conjugates
+connect
+connect?
+cons
+consnewpol
+const
+constant
+constant?
+constantCoefficientRicDE
+constantIfCan
+constantKernel
+constantLeft
+constantOperator
+constantOpIfCan
+constantRight
+constantToUnaryFunction
+constDsolve
+construct
+contains?
+content
+continue
+continuedFraction
+contract
+contractSolve
+controlPanel
+convergents
+convert
+coord
+coordinate
+coordinates
+copies
+copy
+copy!
+copyInto!
+corrPoly
+cos
+cos2sec
+cosh
+cosh2sech
+coshIfCan
+cosIfCan
+cosSinInfo
+cot
+cot2tan
+cot2trig
+coth
+coth2tanh
+coth2trigh
+cothIfCan
+cotIfCan
+count
+countable?
+countRealRoots
+countRealRootsMultiple
+cPower
+cRationalPower
+create
+create3Space
+createGenericMatrix
+createIrreduciblePoly
+createLowComplexityNormalBasis
+createLowComplexityTable
+createMultiplicationMatrix
+createMultiplicationTable
+createNormalElement
+createNormalPoly
+createNormalPrimitivePoly
+createPrimitiveElement
+createPrimitiveNormalPoly
+createPrimitivePoly
+createRandomElement
+createThreeSpace
+createZechTable
+credPol
+crest
+critB
+critBonD
+critM
+critMonD1
+critMTonD1
+critpOrder
+critT
+cross
+crushedSet
+csc
+csc2sin
+csch
+csch2sinh
+cschIfCan
+cscIfCan
+cSec
+cSech
+cSin
+cSinh
+csubst
+cTan
+cTanh
+cubic
+cup
+currentSubProgram
+curry
+curryLeft
+curryRight
+curve
+curve?
+curveColor
+curveColorPalette
+cycle
+cycleElt
+cycleEntry
+cycleLength
+cyclePartition
+cycleRagits
+cycles
+cycleSplit!
+cycleTail
+cyclic
+cyclic?
+cyclicCopy
+cyclicEntries
+cyclicEqual?
+cyclicGroup
+cyclicParents
+cyclicSubmodule
+cyclotomic
+cyclotomicDecomposition
+cyclotomicFactorization
+cylindrical
+D
+d01ajf
+d01akf
+d01alf
+d01amf
+d01anf
+d01apf
+d01aqf
+d01asf
+d01bbf
+d01fcf
+d01gaf
+d01gbf
+d02bbf
+d02bhf
+d02cjf
+d02ejf
+d02gaf
+d02gbf
+d02kef
+d02raf
+d03edf
+d03eef
+d03faf
+dAndcExp
+dark
+datalist
+ddFact
+debug
+debug3D
+dec
+decimal
+declare
+declare!
+decompose
+decomposeFunc
+decrease
+decreasePrecision
+deepCopy
+deepestInitial
+deepestTail
+deepExpand
+defineProperty
+definingEquations
+definingInequation
+definingPolynomial
+degree
+degreePartition
+degreeSubResultant
+degreeSubResultantEuclidean
+delay
+delete
+delete!
+deleteProperty!
+deleteRoutine!
+delta
+denom
+denominator
+denominators
+denomLODE
+denomRicDE
+depth
+dequeue
+dequeue!
+deref
+deriv
+derivationCoordinates
+derivative
+destruct
+determinant
+df2ef
+df2fi
+df2mf
+df2st
+dflist
+dfRange
+diag
+diagonal
+diagonal?
+diagonalMatrix
+diagonalProduct
+diagonals
+dictionary
+diff
+difference
+differentialVariables
+differentiate
+digamma
+digit
+digit?
+digits
+dihedral
+dihedralGroup
+dilog
+dim
+dimension
+dimensionOfIrreducibleRepresentation
+dimensions
+dimensionsOf
+diophantineSystem
+dioSolve
+direction
+directory
+directProduct
+directSum
+discreteLog
+discriminant
+discriminantEuclidean
+display
+dispose!
+distance
+distdfact
+distFact
+distribute
+div
+divergence
+divide
+divideExponents
+divideIfCan
+divideIfCan!
+divisor
+divisorCascade
+divisors
+dmp2rfi
+dmpToHdmp
+dmpToP
+dn
+dom
+domainOf
+dominantTerm
+dot
+double
+double?
+doubleComplex?
+doubleDisc
+doubleRank
+doubleResultant
+doublyTransitive?
+draw
+drawComplex
+drawComplexVectorField
+drawCurves
+drawStyle
+drawToScale
+droot
+duplicates
+duplicates?
+e
+e01baf
+e01bef
+e01bff
+e01bgf
+e01bhf
+e01daf
+e01saf
+e01sbf
+e01sef
+e01sff
+e02adf
+e02aef
+e02agf
+e02ahf
+e02ajf
+e02akf
+e02baf
+e02bbf
+e02bcf
+e02bdf
+e02bef
+e02daf
+e02dcf
+e02ddf
+e02def
+e02dff
+e02gaf
+e02zaf
+e04dgf
+e04fdf
+e04gcf
+e04jaf
+e04mbf
+e04naf
+e04ucf
+e04ycf
+edf2df
+edf2ef
+edf2efi
+edf2fi
+ef2edf
+Ei
+eigenMatrix
+eigenvalues
+eigenvector
+eigenvectors
+eisensteinIrreducible?
+elColumn2!
+elem?
+element?
+elementary
+elements
+elliptic
+elliptic?
+ellipticCylindrical
+elRow1!
+elRow2!
+elt
+empty
+empty?
+endOfFile?
+endSubProgram
+enqueue!
+enterInCache
+enterPointData
+entries
+entry
+entry?
+enumerate
+epilogue
+EQ
+eq
+eq?
+equality
+equation
+erf
+error
+errorInfo
+errorKind
+escape
+euclideanGroebner
+euclideanNormalForm
+euclideanSize
+euler
+eulerE
+eulerPhi
+eval
+evaluate
+evaluateInverse
+even?
+evenInfiniteProduct
+evenlambert
+every?
+exactQuotient
+exactQuotient!
+exists?
+exp
+exp1
+expand
+expandLog
+expandPower
+expandTrigProducts
+expenseOfEvaluation
+expenseOfEvaluationIF
+expextendedint
+expIfCan
+expint
+expintegrate
+expintfldpoly
+explicitEntries?
+explicitlyEmpty?
+explicitlyFinite?
+explimitedint
+explogs2trigs
+exponent
+exponential
+exponential1
+exponentialOrder
+exponents
+expPot
+expr
+expressIdealMember
+exprHasAlgebraicWeight
+exprHasLogarithmicWeights
+exprHasWeightCosWXorSinWX
+exprToGenUPS
+exprToUPS
+exprToXXP
+expt
+exptMod
+exQuo
+exquo
+extend
+extendedEuclidean
+extendedint
+extendedIntegrate
+extendedResultant
+extendedSubResultantGcd
+extendIfCan
+extension
+extensionDegree
+exteriorDifferential
+external?
+externalList
+extract!
+extractBottom!
+extractClosed
+extractIfCan
+extractIndex
+extractPoint
+extractProperty
+extractSplittingLeaf
+extractTop!
+eyeDistance
+F
+f01brf
+f01bsf
+f01maf
+f01mcf
+f01qcf
+f01qdf
+f01qef
+f01rcf
+f01rdf
+f01ref
+f02aaf
+f02abf
+f02adf
+f02aef
+f02aff
+f02agf
+f02ajf
+f02akf
+f02awf
+f02axf
+f02bbf
+f02bjf
+f02fjf
+f02wef
+f02xef
+f04adf
+f04arf
+f04asf
+f04atf
+f04axf
+f04faf
+f04jgf
+f04maf
+f04mbf
+f04mcf
+f04qaf
+f07adf
+f07aef
+f07fdf
+f07fef
+f2df
+F2FG
+f2st
+factor
+factor1
+factorAndSplit
+factorByRecursion
+factorFraction
+factorGroebnerBasis
+factorial
+factorials
+factorList
+factorOfDegree
+factorPolynomial
+factors
+factorset
+factorSFBRlcUnit
+factorsOfCyclicGroupSize
+factorsOfDegree
+factorSquareFree
+factorSquareFreeByRecursion
+factorSquareFreePolynomial
+failed
+failed?
+false
+ffactor
+FG2F
+fglmIfCan
+fi2df
+fibonacci
+field
+fields
+figureUnits
+filename
+fill!
+fillPascalTriangle
+filterUntil
+filterWhile
+find
+findCycle
+finite?
+finiteBasis
+finiteBound
+fintegrate
+first
+firstDenom
+firstNumer
+firstSubsetGray
+firstUncouplingMatrix
+fixedDivisor
+fixedPoint
+fixedPointExquo
+fixedPoints
+fixPredicate
+flagFactor
+flatten
+flexible?
+flexibleArray
+float
+float?
+floatlist
+floatlist?
+floor
+fmecg
+forLoop
+FormatArabic
+FormatRoman
+formula
+fortran
+fortranCarriageReturn
+fortranCharacter
+fortranCompilerName
+fortranComplex
+fortranDouble
+fortranDoubleComplex
+fortranInteger
+fortranLinkerArgs
+fortranLiteral
+fortranLiteralLine
+fortranLogical
+fortranReal
+fortranTypeOf
+fprindINFO
+fracPart
+fractionFreeGauss!
+fractionPart
+fractRadix
+fractRagits
+freeOf?
+Frobenius
+frobenius
+front
+froot
+frst
+fTable
+fullDisplay
+fullPartialFraction
+function
+functionIsContinuousAtEndPoints
+functionIsFracPolynomial?
+functionIsOscillatory
+Gamma
+gbasis
+gcd
+gcdcofact
+gcdcofactprim
+gcdPolynomial
+gcdprim
+gcdPrimitive
+gderiv
+GE
+generalInfiniteProduct
+generalizedContinuumHypothesisAssumed
+generalizedContinuumHypothesisAssumed?
+generalizedEigenvector
+generalizedEigenvectors
+generalizedInverse
+generalLambert
+generalPosition
+generalSqFr
+generalTwoFactor
+generate
+generateIrredPoly
+generator
+generators
+generic
+generic?
+genericLeftDiscriminant
+genericLeftMinimalPolynomial
+genericLeftNorm
+genericLeftTrace
+genericLeftTraceForm
+genericPosition
+genericRightDiscriminant
+genericRightMinimalPolynomial
+genericRightNorm
+genericRightTrace
+genericRightTraceForm
+genus
+geometric
+getBadValues
+getButtonValue
+getCode
+getCurve
+getDatabase
+getExplanations
+getGoodPrime
+getGraph
+gethi
+getlo
+getMatch
+getMeasure
+getMultiplicationMatrix
+getMultiplicationTable
+getOrder
+getPickedPoints
+getRef
+getStream
+getVariableOrder
+getZechTable
+GF2FG
+goodnessOfFit
+goodPoint
+GospersMethod
+goto
+gradient
+graeffe
+gramschmidt
+graphCurves
+graphImage
+graphs
+graphState
+graphStates
+green
+groebgen
+groebner
+groebner?
+groebnerFactorize
+groebnerIdeal
+groebSolve
+ground
+ground?
+GT
+halfExtendedResultant1
+halfExtendedResultant2
+halfExtendedSubResultantGcd1
+halfExtendedSubResultantGcd2
+harmonic
+has?
+hash
+hasHi
+hasoln
+hasPredicate?
+hasSolution?
+hasTopPredicate?
+Hausdorff
+hclf
+hconcat
+hcrf
+hdmpToDmp
+hdmpToP
+head
+headReduce
+headReduced?
+headRemainder
+heap
+heapSort
+height
+henselFact
+HenselLift
+hermite
+hermiteH
+HermiteIntegrate
+hessian
+hex
+hexDigit
+hexDigit?
+hi
+high
+highCommonTerms
+hitherPlane
+hMonic
+HMS
+homogeneous?
+horizConcat
+hspace
+htrigs
+hue
+hyperelliptic
+hypergeometric0F1
+iCompose
+id
+ideal
+idealiser
+idealiserMatrix
+idealSimplify
+identification
+identity
+identityMatrix
+identitySquareMatrix
+iExquo
+iflist2Result
+iFTable
+ignore?
+iiabs
+iiacos
+iiacosh
+iiacot
+iiacoth
+iiacsc
+iiacsch
+iiasec
+iiasech
+iiasin
+iiasinh
+iiatan
+iiatanh
+iibinom
+iicos
+iicosh
+iicot
+iicoth
+iicsc
+iicsch
+iidprod
+iidsum
+iiexp
+iifact
+iiGamma
+iilog
+iiperm
+iipow
+iisec
+iisech
+iisin
+iisinh
+iisqrt2
+iisqrt3
+iitan
+iitanh
+imag
+imagE
+imagI
+imagi
+imaginary
+imagJ
+imagj
+imagK
+imagk
+implies
+in?
+inc
+incr
+increase
+increasePrecision
+increment
+incrementBy
+incrementKthElement
+index
+index?
+indices
+indiceSubResultant
+indiceSubResultantEuclidean
+indicialEquation
+indicialEquationAtInfinity
+indicialEquations
+inf
+infieldint
+infieldIntegrate
+infinite?
+infiniteProduct
+infinity
+infinityNorm
+infix
+infix?
+infLex?
+infRittWu?
+inGroundField?
+inHallBasis?
+init
+initial
+initializeGroupForWordProblem
+initiallyReduce
+initiallyReduced?
+initials
+initTable!
+innerEigenvectors
+innerint
+innerSolve
+innerSolve1
+input
+inR?
+inRadical?
+inrootof
+insert
+insert!
+insertBottom!
+insertionSort!
+insertMatch
+insertRoot!
+insertTop!
+inspect
+int
+int?
+intChoose
+intcompBasis
+integer
+integer?
+integerBound
+integerIfCan
+integers
+integral
+integral?
+integralAtInfinity?
+integralBasis
+integralBasisAtInfinity
+integralCoordinates
+integralDerivationMatrix
+integralLastSubResultant
+integralMatrix
+integralMatrixAtInfinity
+integralRepresents
+integrate
+intensity
+intermediateResultsIF
+internal?
+internalAugment
+internalDecompose
+internalInfRittWu?
+internalIntegrate
+internalIntegrate0
+internalLastSubResultant
+internalSubPolSet?
+internalSubQuasiComponent?
+internalZeroSetSplit
+interpolate
+interpret
+interpretString
+interReduce
+intersect
+interval
+intlist
+intlist?
+intPatternMatch
+inv
+inverse
+inverseColeman
+inverseIntegralMatrix
+inverseIntegralMatrixAtInfinity
+inverseLaplace
+invertible?
+invertibleElseSplit?
+invertibleSet
+invertIfCan
+invmod
+invmultisect
+invWrite
+iomode
+ipow
+iprint
+iroot
+irreducible?
+irreducibleFactor
+irreducibleFactors
+irreducibleRepresentation
+Is
+is?
+isAbsolutelyIrreducible?
+isExpt
+isList
+isMult
+isobaric?
+isOp
+isPlus
+isPower
+isQuotient
+isTimes
+iter
+iteratedInitials
+jacobi
+jacobian
+jacobiIdentity?
+janko2
+jordanAdmissible?
+jordanAlgebra?
+karatsuba
+karatsubaDivide
+karatsubaOnce
+kernel
+kernels
+key
+key?
+keys
+kmax
+knownInfBasis
+kovacic
+kroneckerDelta
+KrullNumber
+ksec
+label
+lagrange
+LagrangeInterpolation
+laguerre
+laguerreL
+lambda
+lambert
+laplace
+laplacian
+largest
+last
+lastSubResultant
+lastSubResultantElseSplit
+lastSubResultantEuclidean
+latex
+laurent
+laurentIfCan
+laurentRep
+Lazard
+Lazard2
+LazardQuotient
+LazardQuotient2
+lazy?
+lazyEvaluate
+lazyGintegrate
+lazyIntegrate
+lazyIrreducibleFactors
+lazyPquo
+lazyPrem
+lazyPremWithDefault
+lazyPseudoDivide
+lazyPseudoQuotient
+lazyPseudoRemainder
+lazyResidueClass
+lazyVariations
+lcm
+ldf2lst
+ldf2vmf
+LE
+leader
+leadingBasisTerm
+leadingCoefficient
+leadingCoefficientRicDE
+leadingExponent
+leadingIdeal
+leadingIndex
+leadingMonomial
+leadingSupport
+leadingTerm
+leaf?
+leastAffineMultiple
+leastMonomial
+leastPower
+leaves
+left
+leftAlternative?
+leftCharacteristicPolynomial
+leftDiscriminant
+leftDivide
+leftExactQuotient
+leftExtendedGcd
+leftFactor
+leftFactorIfCan
+leftGcd
+leftLcm
+leftMinimalPolynomial
+leftMult
+leftNorm
+leftOne
+leftPower
+leftQuotient
+leftRank
+leftRankPolynomial
+leftRecip
+leftRegularRepresentation
+leftRemainder
+leftScalarTimes!
+leftTrace
+leftTraceMatrix
+leftTrim
+leftUnit
+leftUnits
+leftZero
+legendre
+legendreP
+lend!
+length
+lepol
+less?
+level
+leviCivitaSymbol
+lex
+lexGroebner
+lexico
+lexTriangular
+lfextendedint
+lfextlimint
+lfinfieldint
+lfintegrate
+lflimitedint
+lfunc
+lhs
+li
+library
+lieAdmissible?
+lieAlgebra?
+LiePoly
+LiePolyIfCan
+lift
+lifting
+lifting1
+light
+lighting
+limit
+limitedint
+limitedIntegrate
+limitPlus
+linear
+linear?
+linearAssociatedExp
+linearAssociatedLog
+linearAssociatedOrder
+linearDependence
+linearDependenceOverZ
+linearlyDependent?
+linearlyDependentOverZ?
+linearMatrix
+linearPart
+linearPolynomials
+linears
+lineColorDefault
+linGenPos
+linkToFortran
+linSolve
+lintgcd
+list
+list?
+listBranches
+listConjugateBases
+listexp
+listLoops
+listOfLists
+listOfMonoms
+ListOfTerms
+listRepresentation
+lists
+listYoungTableaus
+lllip
+lllp
+llprop
+lo
+localAbs
+localIntegralBasis
+localReal?
+localUnquote
+LODO2FUN
+log
+log10
+log2
+logGamma
+logical?
+logIfCan
+logpart
+lookup
+loopPoints
+low
+lowerCase
+lowerCase!
+lowerCase?
+lowerPolynomial
+LowTriBddDenomInv
+lp
+lprop
+lquo
+lSpaceBasis
+lstart!
+LT
+lyndon
+lyndon?
+LyndonBasis
+LyndonCoordinates
+lyndonIfCan
+LyndonWordsList
+LyndonWordsList1
+magnitude
+mainCharacterization
+mainCoefficients
+mainContent
+mainDefiningPolynomial
+mainForm
+mainKernel
+mainMonomial
+mainMonomials
+mainPrimitivePart
+mainSquareFreePart
+mainValue
+mainVariable
+mainVariable?
+mainVariables
+make
+makeCos
+makeCrit
+makeEq
+makeFloatFunction
+makeFR
+makeGraphImage
+makeMulti
+makeObject
+makeop
+makeprod
+makeRecord
+makeResult
+makeSceneGraph
+makeSeries
+makeSin
+makeSketch
+makeSUP
+makeTerm
+makeUnit
+makeVariable
+makeViewport2D
+makeViewport3D
+makeYoungTableau
+makingStats?
+mantissa
+map
+map!
+mapBivariate
+mapCoef
+mapdiv
+mapDown!
+mapExpon
+mapExponents
+mapGen
+mapMatrixIfCan
+mapmult
+mapSolve
+mapUnivariate
+mapUnivariateIfCan
+mapUp!
+mask
+mat
+match
+match?
+mathieu11
+mathieu12
+mathieu22
+mathieu23
+mathieu24
+matrix
+matrixConcat3D
+matrixDimensions
+matrixGcd
+max
+maxColIndex
+maxdeg
+maximumExponent
+maxIndex
+maxint
+maxPoints
+maxPoints3D
+maxrank
+maxrow
+maxRowIndex
+mdeg
+measure
+measure2Result
+meatAxe
+medialSet
+member?
+members
+merge
+merge!
+mergeDifference
+mergeFactors
+mesh
+mesh?
+meshFun2Var
+meshPar1Var
+meshPar2Var
+message
+messagePrint
+middle
+midpoint
+midpoints
+mightHaveRoots
+min
+minColIndex
+mindeg
+mindegTerm
+minGbasis
+minimalPolynomial
+minimize
+minimumDegree
+minimumExponent
+minIndex
+minordet
+minPoints
+minPoints3D
+minPol
+minPoly
+minrank
+minRowIndex
+minset
+minus!
+minusInfinity
+mirror
+mix
+mkAnswer
+mkcomm
+mkIntegral
+mkPrim
+modifyPoint
+modifyPointData
+modTree
+modularFactor
+modularGcd
+modularGcdPrimitive
+module
+moduleSum
+moduloP
+modulus
+moebius
+moebiusMu
+monic?
+monicCompleteDecompose
+monicDecomposeIfCan
+monicDivide
+monicLeftDivide
+monicModulo
+monicRightDivide
+monicRightFactorIfCan
+monom
+monomial
+monomial?
+monomialIntegrate
+monomialIntPoly
+monomials
+monomRDE
+monomRDEsys
+more?
+moreAlgebraic?
+morphism
+move
+movedPoints
+mpsode
+mr
+mulmod
+multiEuclidean
+multiEuclideanTree
+multinomial
+multiple
+multiple?
+multiplyCoefficients
+multiplyExponents
+multisect
+multiset
+multivariate
+multMonom
+musserTrials
+mvar
+myDegree
+nagCosInt
+nagDAiryAi
+nagDAiryBi
+nagDFT
+nagEigenvalues
+nagEigenvectors
+nagEllipticIntegralRC
+nagEllipticIntegralRD
+nagEllipticIntegralRF
+nagEllipticIntegralRJ
+nagErf
+nagErfC
+nagExpInt
+nagFresnelC
+nagFresnelS
+nagHankelH1
+nagHankelH2
+nagHermitianDFT
+nagHermitianInverseDFT
+nagIncompleteGammaP
+nagIncompleteGammaQ
+nagInverseDFT
+nagKelvinBei
+nagKelvinBer
+nagKelvinKei
+nagKelvinKer
+nagMin
+nagPolygonIntegrate
+nagScaledDAiryAi
+nagScaledDAiryBi
+nagScaledHankelH1
+nagScaledHankelH2
+nagSinInt
+name
+nand
+nary?
+ncols
+negative?
+neglist
+new
+newLine
+newReduc
+newSubProgram
+newTypeLists
+next
+nextColeman
+nextIrreduciblePoly
+nextItem
+nextLatticePermutation
+nextNormalPoly
+nextNormalPrimitivePoly
+nextPartition
+nextPrime
+nextPrimitiveNormalPoly
+nextPrimitivePoly
+nextsousResultant2
+nextSublist
+nextsubResultant2
+nextSubsetGray
+nil
+nilFactor
+nlde
+node
+node?
+nodeOf?
+nodes
+noKaratsuba
+noLinearFactor?
+noncommutativeJordanAlgebra?
+nonLinearPart
+nonQsign
+nonSingularModel
+nor
+norm
+normal
+normal?
+normal01
+normalDenom
+normalDeriv
+normalElement
+normalForm
+normalise
+normalize
+normalizeAtInfinity
+normalized?
+normalizedAssociate
+normalizedDivide
+normalizeIfCan
+normDeriv2
+normFactors
+normInvertible?
+NOT
+Not
+not
+notelem
+npcoef
+nrows
+nsqfree
+nthCoef
+nthExpon
+nthExponent
+nthFactor
+nthFlag
+nthFractionalTerm
+nthr
+nthRoot
+nthRootIfCan
+Nul
+null
+null?
+nullary
+nullary?
+nullity
+nullSpace
+number?
+numberOfChildren
+numberOfComponents
+numberOfComposites
+numberOfComputedEntries
+numberOfCycles
+numberOfDivisors
+numberOfFactors
+numberOfFractionalTerms
+numberOfHues
+numberOfImproperPartitions
+numberOfIrreduciblePoly
+numberOfMonomials
+numberOfNormalPoly
+numberOfOperations
+numberOfPrimitivePoly
+numberOfVariables
+numer
+numerator
+numerators
+numeric
+numericalIntegration
+numericalOptimization
+numericIfCan
+numFunEvals
+numFunEvals3D
+obj
+objectOf
+objects
+oblateSpheroidal
+ocf2ocdf
+octon
+odd?
+oddInfiniteProduct
+oddintegers
+oddlambert
+ode
+ode1
+ode2
+ODESolve
+OMbindTCP
+OMclose
+OMcloseConn
+OMconnectTCP
+OMconnInDevice
+OMconnOutDevice
+OMencodingBinary
+OMencodingSGML
+OMencodingUnknown
+OMencodingXML
+omError
+OMgetApp
+OMgetAtp
+OMgetAttr
+OMgetBind
+OMgetBVar
+OMgetEndApp
+OMgetEndAtp
+OMgetEndAttr
+OMgetEndBind
+OMgetEndBVar
+OMgetEndError
+OMgetEndObject
+OMgetError
+OMgetFloat
+OMgetInteger
+OMgetObject
+OMgetString
+OMgetSymbol
+OMgetType
+OMgetVariable
+OMlistCDs
+OMlistSymbols
+OMmakeConn
+OMopenFile
+OMopenString
+OMParseError?
+OMputApp
+OMputAtp
+OMputAttr
+OMputBind
+OMputBVar
+OMputEndApp
+OMputEndAtp
+OMputEndAttr
+OMputEndBind
+OMputEndBVar
+OMputEndError
+OMputEndObject
+OMputError
+OMputFloat
+OMputInteger
+OMputObject
+OMputString
+OMputSymbol
+OMputVariable
+OMread
+OMReadError?
+OMreadFile
+OMreadStr
+OMreceive
+OMsend
+OMserve
+OMsetEncoding
+OMsupportsCD?
+OMsupportsSymbol?
+OMunhandledSymbol
+OMUnknownCD?
+OMUnknownSymbol?
+OMwrite
+one?
+oneDimensionalArray
+op
+open
+open?
+operation
+operator
+operators
+opeval
+optAttributes
+optimize
+option
+option?
+optional
+optional?
+options
+optpair
+OR
+Or
+or
+orbit
+orbits
+ord
+order
+orthonormalBasis
+outerProduct
+outlineRender
+output
+outputArgs
+outputAsFortran
+outputAsScript
+outputAsTex
+outputFixed
+outputFloating
+outputForm
+outputGeneral
+outputList
+outputMeasure
+outputSpacing
+over
+overbar
+overlabel
+overlap
+overset?
+pack!
+packageCall
+packHS
+pade
+padecf
+padicallyExpand
+padicFraction
+pair?
+palgextint
+palgextint0
+palginfieldint
+palgint
+palgint0
+palgintegrate
+palglimint
+palglimint0
+palgLODE
+palgLODE0
+palgRDE
+palgRDE0
+parabolic
+parabolicCylindrical
+paraboloidal
+parametersOf
+parametric?
+ParCond
+ParCondList
+paren
+parent
+partialDenominators
+partialFraction
+partialNumerators
+partialQuotients
+particularSolution
+partition
+partitions
+parts
+pascalTriangle
+pastel
+pattern
+patternMatch
+patternMatchTimes
+patternVariable
+pdct
+PDESolve
+pdf2df
+pdf2ef
+perfectNthPower?
+perfectNthRoot
+perfectSqrt
+perfectSquare?
+permanent
+permutation
+permutationGroup
+permutationRepresentation
+permutations
+perspective
+phiCoord
+pHS
+physicalLength
+physicalLength!
+pi
+pile
+plenaryPower
+pleskenSplit
+plot
+plotPolar
+plus
+plus!
+plusInfinity
+pmComplexintegrate
+pmintegrate
+po
+point
+point?
+pointColor
+pointColorDefault
+pointColorPalette
+pointData
+pointlist
+pointlist?
+pointLists
+pointPlot
+points
+pointSizeDefault
+poisson
+pol
+polar
+polarCoordinates
+polCase
+pole?
+PollardSmallFactor
+polygamma
+polygon
+polygon?
+polynomial
+polynomialZeros
+polyPart
+polyRDE
+polyred
+polyRicDE
+pomopo!
+pop!
+popFortranOutputStack
+position
+position!
+positive?
+positiveRemainder
+positiveSolve
+possiblyInfinite?
+possiblyNewVariety?
+postfix
+pow
+power
+power!
+powerAssociative?
+powern
+powers
+powerSum
+powmod
+pquo
+pr2dmp
+precision
+predicate
+predicates
+prefix
+prefix?
+prefixRagits
+prem
+prepareDecompose
+prepareSubResAlgo
+preprocess
+presub
+presuper
+previous
+prevPrime
+primaryDecomp
+prime
+prime?
+primeFactor
+primeFrobenius
+primes
+primextendedint
+primextintfrac
+primintegrate
+primintfldpoly
+primitive?
+primitiveElement
+primitiveMonomials
+primitivePart
+primitivePart!
+primlimintfrac
+primlimitedint
+primPartElseUnitCanonical
+primPartElseUnitCanonical!
+prinb
+principal?
+principalIdeal
+prindINFO
+prinpolINFO
+prinshINFO
+print
+printCode
+printHeader
+printInfo
+printInfo!
+printingInfo?
+printStatement
+printStats!
+printTypes
+probablyZeroDim?
+problemPoints
+processTemplate
+prod
+product
+prolateSpheroidal
+prologue
+properties
+property
+pseudoDivide
+pseudoQuotient
+pseudoRemainder
+psolve
+ptFunc
+pToDmp
+pToHdmp
+ptree
+puiseux
+pureLex
+purelyAlgebraic?
+purelyAlgebraicLeadingMonomial?
+purelyTranscendental?
+push!
+pushdown
+pushdterm
+pushFortranOutputStack
+pushucoef
+pushuconst
+pushup
+put!
+putColorInfo
+putGraph
+qelt
+qfactor
+qinterval
+qPot
+qqq
+qroot
+qsetelt!
+quadratic
+quadratic?
+quadraticForm
+quadraticNorm
+quartic
+quasiAlgebraicSet
+quasiComponent
+quasiMonic?
+quasiMonicPolynomials
+quasiRegular
+quasiRegular?
+quatern
+queue
+quickSort
+quickWrite
+quo
+quoByVar
+quote
+quoted?
+quotedOperators
+quotient
+quotientByP
+radical
+radicalEigenvalues
+radicalEigenvector
+radicalEigenvectors
+radicalOfLeftTraceForm
+radicalRoots
+radicalSimplify
+radicalSolve
+radix
+radPoly
+raisePolynomial
+ramified?
+ramifiedAtInfinity?
+ran
+randnum
+random
+randomLC
+randomR
+range
+rangeIsFinite
+rangePascalTriangle
+ranges
+rank
+rarrow
+ratDenom
+ratDsolve
+rational
+rational?
+rationalApproximation
+rationalFunction
+rationalIfCan
+rationalPoint?
+rationalPoints
+rationalPower
+ratpart
+ratPoly
+ravel
+rCoord
+rdHack1
+rdregime
+read
+read!
+readable?
+readIfCan!
+readLine!
+readLineIfCan!
+real
+real?
+realEigenvalues
+realEigenvectors
+realElementary
+realRoots
+realSolve
+realZeros
+recip
+reciprocalPolynomial
+recolor
+recoverAfterFail
+rectangularMatrix
+recur
+red
+redmat
+redPo
+redPol
+redpps
+reduce
+reduceBasisAtInfinity
+reduceByQuasiMonic
+reduced?
+reducedContinuedFraction
+reducedDiscriminant
+reducedForm
+reducedQPowers
+reducedSystem
+reduceLODE
+ReduceOrder
+reduction
+reductum
+ref
+refine
+regime
+region
+regularRepresentation
+reindex
+relationsIdeal
+relativeApprox
+relerror
+rem
+remainder
+RemainderList
+remove
+remove!
+removeConstantTerm
+removeCoshSq
+removeCosSq
+removeDuplicates
+removeDuplicates!
+removeIrreducibleRedundantFactors
+removeRedundantFactors
+removeRedundantFactorsInContents
+removeRedundantFactorsInPols
+removeRoughlyRedundantFactorsInContents
+removeRoughlyRedundantFactorsInPol
+removeRoughlyRedundantFactorsInPols
+removeSinhSq
+removeSinSq
+removeSquaresIfCan
+removeSuperfluousCases
+removeSuperfluousQuasiComponents
+removeZero
+removeZeroes
+rename
+rename!
+render
+renderToFile!
+reopen!
+reorder
+repeating
+repeating?
+repeatUntilLoop
+replace
+replaceKthElement
+representationType
+represents
+repSq
+reseed
+reset
+reset!
+resetAttributeButtons
+resetBadValues
+resetNew
+resetVariableOrder
+reshape
+resize
+rest
+restorePrecision
+result
+resultant
+resultantEuclidean
+resultantEuclideannaif
+resultantnaif
+resultantReduit
+resultantReduitEuclidean
+retract
+retractable?
+retractIfCan
+returns
+returnType!
+returnTypeOf
+reverse
+reverse!
+reverseLex
+revert
+rewriteIdealWithHeadRemainder
+rewriteIdealWithQuasiMonicGenerators
+rewriteIdealWithRemainder
+rewriteSetByReducingWithParticularGenerators
+rewriteSetWithReduction
+RF2UTS
+rhs
+ricDsolve
+ridHack1
+right
+rightAlternative?
+rightCharacteristicPolynomial
+rightDiscriminant
+rightDivide
+rightExactQuotient
+rightExtendedGcd
+rightFactorCandidate
+rightFactorIfCan
+rightGcd
+rightLcm
+rightMinimalPolynomial
+rightMult
+rightNorm
+rightOne
+rightPower
+rightQuotient
+rightRank
+rightRankPolynomial
+rightRecip
+rightRegularRepresentation
+rightRemainder
+rightScalarTimes!
+rightTrace
+rightTraceMatrix
+rightTrim
+rightUnit
+rightUnits
+rightZero
+rischDE
+rischDEsys
+rischNormalize
+RittWuCompare
+rk4
+rk4a
+rk4f
+rk4qc
+roman
+romberg
+rombergo
+root
+root?
+rootBound
+rootKerSimp
+rootNormalize
+rootOf
+rootOfIrreduciblePoly
+rootPoly
+rootPower
+rootProduct
+rootRadius
+rootSimp
+rootsOf
+rootSplit
+rotate
+rotate!
+rotatex
+rotatey
+rotatez
+roughBase?
+roughBasicSet
+roughEqualIdeals?
+roughSubIdeal?
+roughUnitIdeal?
+round
+routines
+row
+rowEch
+rowEchelon
+rowEchelonLocal
+rowEchLocal
+rquo
+rroot
+rspace
+rst
+rubiksGroup
+rule
+rules
+ruleset
+rur
+s01eaf
+s13aaf
+s13acf
+s13adf
+s14aaf
+s14abf
+s14baf
+s15adf
+s15aef
+s17acf
+s17adf
+s17aef
+s17aff
+s17agf
+s17ahf
+s17ajf
+s17akf
+s17dcf
+s17def
+s17dgf
+s17dhf
+s17dlf
+s18acf
+s18adf
+s18aef
+s18aff
+s18dcf
+s18def
+s19aaf
+s19abf
+s19acf
+s19adf
+s20acf
+s20adf
+s21baf
+s21bbf
+s21bcf
+s21bdf
+safeCeiling
+safeFloor
+safetyMargin
+sample
+satisfy?
+saturate
+save
+say
+sayLength
+scalarMatrix
+scalarTypeOf
+scale
+scaleRoots
+scan
+ScanArabic
+ScanFloatIgnoreSpaces
+ScanFloatIgnoreSpacesIfCan
+scanOneDimSubspaces
+ScanRoman
+schema
+schwerpunkt
+screenResolution
+screenResolution3D
+script
+scripted?
+scripts
+sdf2lst
+se2rfi
+search
+sec
+sec2cos
+sech
+sech2cosh
+sechIfCan
+secIfCan
+second
+seed
+SEGMENT
+segment
+select
+select!
+selectAndPolynomials
+selectFiniteRoutines
+selectfirst
+selectIntegrationRoutines
+selectMultiDimensionalRoutines
+selectNonFiniteRoutines
+selectODEIVPRoutines
+selectOptimizationRoutines
+selectOrPolynomials
+selectPDERoutines
+selectPolynomials
+selectsecond
+selectSumOfSquaresRoutines
+semicolonSeparate
+semiDegreeSubResultantEuclidean
+semiDiscriminantEuclidean
+semiIndiceSubResultantEuclidean
+semiLastSubResultantEuclidean
+semiResultantEuclidean1
+semiResultantEuclidean2
+semiResultantEuclideannaif
+semiResultantReduitEuclidean
+semiSubResultantGcdEuclidean1
+semiSubResultantGcdEuclidean2
+separant
+separate
+separateDegrees
+separateFactors
+sequences
+series
+seriesSolve
+seriesToOutputForm
+set
+setAdaptive
+setAdaptive3D
+setAttributeButtonStep
+setButtonValue
+setchildren!
+setClipValue
+setClosed
+setColumn!
+setCondition!
+setDifference
+setelt
+setelt!
+setEmpty!
+setEpilogue!
+setErrorBound
+setFieldInfo
+setfirst!
+setFormula!
+setImagSteps
+setIntersection
+setLabelValue
+setlast!
+setleaves!
+setleft!
+setLegalFortranSourceExtensions
+setMaxPoints
+setMaxPoints3D
+setMinPoints
+setMinPoints3D
+setnext!
+setOfMinN
+setOrder
+setPoly
+setPosition
+setPredicates
+setprevious!
+setPrologue!
+setProperties
+setProperty
+setRealSteps
+setref
+setrest!
+setright!
+setRow!
+setScreenResolution
+setScreenResolution3D
+setStatus
+setStatus!
+setsubMatrix!
+setTex!
+setTopPredicate
+setUnion
+setValue!
+setvalue!
+setVariableOrder
+SFunction
+sh
+shade
+shallowCopy
+shallowExpand
+shanksDiscLogAlgorithm
+shellSort
+shift
+shiftLeft
+shiftRight
+shiftRoots
+show
+showAll?
+showAllElements
+showArrayValues
+showAttributes
+showClipRegion
+showFortranOutputStack
+showIntensityFunctions
+showRegion
+showScalarValues
+showTheFTable
+showTheIFTable
+showTheRoutinesTable
+showTheSymbolTable
+showTypeInOutput
+shrinkable
+shuffle
+shufflein
+Si
+sign
+signAround
+simpleBounds?
+simplify
+simplifyExp
+simplifyLog
+simplifyPower
+simpson
+simpsono
+sin
+sin?
+sin2csc
+sincos
+singleFactorBound
+singRicDE
+singular?
+singularAtInfinity?
+singularitiesOf
+sinh
+sinh2csch
+sinhcosh
+sinhIfCan
+sinIfCan
+size
+size?
+sizeLess?
+sizeMultiplication
+sizePascalTriangle
+skewSFunction
+slash
+slex
+smith
+sn
+sncndn
+socf2socdf
+solid
+solid?
+solve
+solve1
+solveid
+solveInField
+solveLinear
+solveLinearlyOverQ
+solveLinearPolynomialEquation
+solveLinearPolynomialEquationByFractions
+solveLinearPolynomialEquationByRecursion
+solveRetract
+someBasis
+sort
+sort!
+sortConstraints
+sorted?
+space
+sparsityIF
+specialTrigs
+spherical
+split
+split!
+splitConstant
+splitDenominator
+splitLinear
+splitNodeOf!
+splitSquarefree
+sPol
+sqfree
+sqfrFactor
+sqrt
+square?
+squareFree
+squareFreeFactors
+squareFreeLexTriangular
+squareFreePart
+squareFreePolynomial
+squareFreePrim
+squareMatrix
+squareTop
+stack
+standardBasisOfCyclicSubmodule
+start!
+startPolynomial
+startStats!
+startTable!
+startTableGcd!
+startTableInvSet!
+status
+stFunc1
+stFunc2
+stFuncN
+stiffnessAndStabilityFactor
+stiffnessAndStabilityOfODEIF
+stirling1
+stirling2
+stop
+stop!
+stopMusserTrials
+stopTable!
+stopTableGcd!
+stopTableInvSet!
+stoseIntegralLastSubResultant
+stoseInternalLastSubResultant
+stoseInvertible?
+stoseInvertible?reg
+stoseInvertibleSet
+stoseInvertibleSetreg
+stoseInvertibleSetsqfreg
+stoseInvertible?sqfreg
+stoseLastSubResultant
+stosePrepareSubResAlgo
+stoseSquareFreePart
+string
+string?
+stripCommentsAndBlanks
+strongGenerators
+stronglyReduce
+stronglyReduced?
+structuralConstants
+sts2stst
+SturmHabicht
+SturmHabichtCoefficients
+SturmHabichtMultiple
+SturmHabichtSequence
+sturmSequence
+sturmVariationsOf
+style
+sub
+subCase?
+subHeight
+subMatrix
+submod
+subNode?
+subNodeOf?
+subPolSet?
+subQuasiComponent?
+subResultantChain
+subResultantGcd
+subResultantGcdEuclidean
+subResultantsChain
+subresultantSequence
+subresultantVector
+subscript
+subscriptedVariables
+subSet
+subset?
+subspace
+subst
+substitute
+substring?
+subtractIfCan
+subTriSet?
+suchThat
+suffix?
+sum
+summation
+sumOfDivisors
+sumOfKthPowerDivisors
+sumOfSquares
+sumSquares
+sup
+supDimElseRittWu?
+super
+superHeight
+superscript
+supersub
+supRittWu?
+surface
+swap
+swap!
+swapColumns!
+swapRows!
+sylvesterMatrix
+sylvesterSequence
+symbol
+symbol?
+symbolIfCan
+symbolTable
+symbolTableOf
+symFunc
+symmetric?
+symmetricDifference
+symmetricGroup
+symmetricPower
+symmetricProduct
+symmetricRemainder
+symmetricSquare
+symmetricTensors
+systemCommand
+systemSizeIF
+t
+tab
+tab1
+table
+tableau
+tableForDiscreteLogarithm
+tablePow
+tail
+tan
+tan2cot
+tan2trig
+tanAn
+tanh
+tanh2coth
+tanh2trigh
+tanhIfCan
+tanIfCan
+tanintegrate
+tanNa
+tanQ
+tanSum
+taylor
+taylorIfCan
+taylorQuoByVar
+taylorRep
+tensorProduct
+terms
+test
+testDim
+testModulus
+tex
+thetaCoord
+third
+timer
+times
+times!
+title
+top
+top!
+topFortranOutputStack
+topPredicate
+toroidal
+torsion?
+torsionIfCan
+toScale
+toseInvertible?
+toseInvertibleSet
+toseLastSubResultant
+toseSquareFreePart
+totalDegree
+totalDifferential
+totalfract
+totalGroebner
+totalLex
+totolex
+tower
+trace
+trace2PowMod
+traceMatrix
+tracePowMod
+trailingCoefficient
+tRange
+transcendenceDegree
+transcendent?
+transcendentalDecompose
+transform
+translate
+transpose
+trapezoidal
+trapezoidalo
+traverse
+tree
+triangSolve
+triangular?
+triangularSystems
+triangulate
+trigs
+trigs2explogs
+trim
+trivialIdeal?
+true
+trueEqual
+trunc
+truncate
+tryFunctionalDecomposition
+tryFunctionalDecomposition?
+tube
+tubePlot
+tubePoints
+tubePointsDefault
+tubeRadius
+tubeRadiusDefault
+tValues
+twist
+twoFactor
+typeList
+typeLists
+unary?
+unaryFunction
+uncouplingMatrices
+unexpand
+uniform
+uniform01
+union
+uniqueID
+unit
+unit?
+unitCanonical
+unitNormal
+unitNormalize
+units
+unitsColorDefault
+unitVector
+univariate
+univariate?
+univariatePolynomial
+univariatePolynomials
+univariatePolynomialsGcds
+univariateSolve
+univcase
+universe
+unmakeSUP
+unparse
+unprotectedRemoveRedundantFactors
+unrankImproperPartitions0
+unrankImproperPartitions1
+unravel
+untab
+UnVectorise
+unvectorise
+UP2ifCan
+UP2UTS
+updatD
+update
+upDateBranches
+updateStatus!
+updatF
+upperCase
+upperCase!
+upperCase?
+UpTriBddDenomInv
+useEisensteinCriterion
+useEisensteinCriterion?
+useNagFunctions
+userOrdered?
+useSingleFactorBound
+useSingleFactorBound?
+usingTable?
+UTS2UP
+validExponential
+value
+var1Steps
+var1StepsDefault
+var2Steps
+var2StepsDefault
+variable
+variables
+variationOfParameters
+vark
+varList
+varselect
+vconcat
+vector
+Vectorise
+vectorise
+vedf2vef
+vertConcat
+viewDefaults
+viewDeltaXDefault
+viewDeltaYDefault
+viewPhiDefault
+viewpoint
+viewport2D
+viewport3D
+viewPosDefault
+viewSizeDefault
+viewThetaDefault
+viewWriteAvailable
+viewWriteDefault
+viewZoomDefault
+virtualDegree
+void
+vput!
+vspace
+vstart!
+walkTree
+weakBiRank
+weierstrass
+weight
+weighted
+weights
+whatInfinity
+whileLoop
+wholePart
+wholeRadix
+wholeRagits
+width
+withPredicates
+wordInGenerators
+wordInStrongGenerators
+wordsForStrongGenerators
+wreath
+writable?
+write
+write!
+writeLine!
+wronskianMatrix
+wrregime
+xCoord
+xn
+xor
+xRange
+Y
+yCoord
+yCoordinates
+yellow
+youngGroup
+yRange
+zag
+zCoord
+zero
+zero?
+zeroDim?
+zeroDimensional?
+zeroDimPrimary?
+zeroDimPrime?
+zeroMatrix
+zeroOf
+zeroSetSplit
+zeroSetSplitIntoTriangularSystems
+zerosOf
+zeroSquareMatrix
+zeroVector
+zoom
+zRange
+AbelianGroup
+AbelianMonoid
+AbelianMonoidRing
+AbelianSemiGroup
+Aggregate
+Algebra
+AlgebraicallyClosedField
+AlgebraicallyClosedFunctionSpace
+ArcHyperbolicFunctionCategory
+ArcTrigonometricFunctionCategory
+AssociationListAggregate
+AttributeRegistry
+BagAggregate
+BasicType
+BiModule
+BinaryRecursiveAggregate
+BinaryTreeCategory
+BitAggregate
+CachableSet
+CancellationAbelianMonoid
+CharacteristicNonZero
+CharacteristicZero
+CoercibleTo
+Collection
+CombinatorialFunctionCategory
+CombinatorialOpsCategory
+CommutativeRing
+ComplexCategory
+ConvertibleTo
+DequeueAggregate
+Dictionary
+DictionaryOperations
+DifferentialExtension
+DifferentialPolynomialCategory
+DifferentialRing
+DifferentialVariableCategory
+DirectProductCategory
+DivisionRing
+DoublyLinkedAggregate
+ElementaryFunctionCategory
+Eltable
+EltableAggregate
+EntireRing
+EuclideanDomain
+Evalable
+ExpressionSpace
+ExtensibleLinearAggregate
+ExtensionField
+Field
+FieldOfPrimeCharacteristic
+FileCategory
+FileNameCategory
+Finite
+FiniteAbelianMonoidRing
+FiniteAlgebraicExtensionField
+FiniteDivisorCategory
+FiniteFieldCategory
+FiniteLinearAggregate
+FiniteRankAlgebra
+FiniteRankNonAssociativeAlgebra
+FiniteSetAggregate
+FloatingPointSystem
+FortranFunctionCategory
+FortranMachineTypeCategory
+FortranMatrixCategory
+FortranMatrixFunctionCategory
+FortranProgramCategory
+FortranVectorCategory
+FortranVectorFunctionCategory
+FramedAlgebra
+FramedNonAssociativeAlgebra
+FreeAbelianMonoidCategory
+FreeLieAlgebra
+FreeModuleCat
+FullyEvalableOver
+FullyLinearlyExplicitRingOver
+FullyPatternMatchable
+FullyRetractableTo
+FunctionFieldCategory
+FunctionSpace
+GcdDomain
+GradedAlgebra
+GradedModule
+Group
+HomogeneousAggregate
+HyperbolicFunctionCategory
+IndexedAggregate
+IndexedDirectProductCategory
+InnerEvalable
+IntegerNumberSystem
+IntegralDomain
+IntervalCategory
+IVLeafNodeCategory
+IVNodeCategory
+KeyedDictionary
+LazyStreamAggregate
+LeftAlgebra
+LeftModule
+LieAlgebra
+LinearAggregate
+LinearlyExplicitRingOver
+LinearOrdinaryDifferentialOperatorCategory
+LiouvillianFunctionCategory
+ListAggregate
+Logic
+MatrixCategory
+Module
+Monad
+MonadWithUnit
+MonogenicAlgebra
+MonogenicLinearOperator
+Monoid
+MultiDictionary
+MultisetAggregate
+MultivariateTaylorSeriesCategory
+NonAssociativeAlgebra
+NonAssociativeRing
+NonAssociativeRng
+NormalizedTriangularSetCategory
+NumericalIntegrationCategory
+NumericalOptimizationCategory
+OctonionCategory
+OneDimensionalArrayAggregate
+OpenMath
+OrderedAbelianGroup
+OrderedAbelianMonoid
+OrderedAbelianMonoidSup
+OrderedAbelianSemiGroup
+OrderedCancellationAbelianMonoid
+OrderedFinite
+OrderedIntegralDomain
+OrderedMonoid
+OrderedMultisetAggregate
+OrderedRing
+OrderedSet
+OrdinaryDifferentialEquationsSolverCategory
+PAdicIntegerCategory
+PartialDifferentialEquationsSolverCategory
+PartialDifferentialRing
+PartialTranscendentalFunctions
+Patternable
+PatternMatchable
+PermutationCategory
+PlottablePlaneCurveCategory
+PlottableSpaceCurveCategory
+PointCategory
+PolynomialCategory
+PolynomialFactorizationExplicit
+PolynomialSetCategory
+PowerSeriesCategory
+PrimitiveFunctionCategory
+PrincipalIdealDomain
+PriorityQueueAggregate
+QuaternionCategory
+QueueAggregate
+QuotientFieldCategory
+RadicalCategory
+RealClosedField
+RealConstant
+RealNumberSystem
+RealRootCharacterizationCategory
+RectangularMatrixCategory
+RecursiveAggregate
+RecursivePolynomialCategory
+RegularTriangularSetCategory
+RetractableTo
+RightModule
+Ring
+Rng
+SegmentCategory
+SegmentExpansionCategory
+SemiGroup
+SetAggregate
+SetCategory
+SExpressionCategory
+SpecialFunctionCategory
+SquareFreeNormalizedTriangularSetCategory
+SquareFreeRegularTriangularSetCategory
+SquareMatrixCategory
+StackAggregate
+StepThrough
+StreamAggregate
+StringAggregate
+StringCategory
+TableAggregate
+ThreeSpaceCategory
+TranscendentalFunctionCategory
+TriangularSetCategory
+TrigonometricFunctionCategory
+TwoDimensionalArrayCategory
+Type
+UnaryRecursiveAggregate
+UniqueFactorizationDomain
+UnivariateLaurentSeriesCategory
+UnivariateLaurentSeriesConstructorCategory
+UnivariatePolynomialCategory
+UnivariatePowerSeriesCategory
+UnivariatePuiseuxSeriesCategory
+UnivariatePuiseuxSeriesConstructorCategory
+UnivariateSkewPolynomialCategory
+UnivariateTaylorSeriesCategory
+VectorCategory
+VectorSpace
+XAlgebra
+XFreeAlgebra
+XPolynomialsCat
+AlgebraGivenByStructuralConstants
+AlgebraicFunctionField
+AlgebraicNumber
+AnonymousFunction
+AntiSymm
+Any
+ArrayStack
+Asp1
+Asp10
+Asp12
+Asp19
+Asp20
+Asp24
+Asp27
+Asp28
+Asp29
+Asp30
+Asp31
+Asp33
+Asp34
+Asp35
+Asp4
+Asp41
+Asp42
+Asp49
+Asp50
+Asp55
+Asp6
+Asp7
+Asp73
+Asp74
+Asp77
+Asp78
+Asp8
+Asp80
+Asp9
+AssociatedJordanAlgebra
+AssociatedLieAlgebra
+AssociationList
+AttributeButtons
+Automorphism
+BalancedBinaryTree
+BalancedPAdicInteger
+BalancedPAdicRational
+BasicFunctions
+BasicOperator
+BinaryExpansion
+BinaryFile
+BinarySearchTree
+BinaryTournament
+BinaryTree
+Bits
+Boolean
+CardinalNumber
+CartesianTensor
+Character
+CharacterClass
+CliffordAlgebra
+Color
+Commutator
+Complex
+ContinuedFraction
+d01ajfAnnaType
+d01akfAnnaType
+d01alfAnnaType
+d01amfAnnaType
+d01anfAnnaType
+d01apfAnnaType
+d01aqfAnnaType
+d01asfAnnaType
+d01fcfAnnaType
+d01gbfAnnaType
+d01TransformFunctionType
+d02bbfAnnaType
+d02bhfAnnaType
+d02cjfAnnaType
+d02ejfAnnaType
+d03eefAnnaType
+d03fafAnnaType
+Database
+DataList
+DecimalExpansion
+DenavitHartenbergMatrix
+Dequeue
+DeRhamComplex
+DifferentialSparseMultivariatePolynomial
+DirectProduct
+DirectProductMatrixModule
+DirectProductModule
+DistributedMultivariatePolynomial
+DoubleFloat
+DrawOption
+e04dgfAnnaType
+e04fdfAnnaType
+e04gcfAnnaType
+e04jafAnnaType
+e04mbfAnnaType
+e04nafAnnaType
+e04ucfAnnaType
+ElementaryFunctionsUnivariateLaurentSeries
+ElementaryFunctionsUnivariatePuiseuxSeries
+Enumeration
+EqTable
+Equation
+EuclideanModularRing
+Exit
+ExponentialExpansion
+ExponentialOfUnivariatePuiseuxSeries
+Expression
+ExtAlgBasis
+Factored
+File
+FileName
+FiniteDivisor
+FiniteField
+FiniteFieldCyclicGroup
+FiniteFieldCyclicGroupExtension
+FiniteFieldCyclicGroupExtensionByPolynomial
+FiniteFieldExtension
+FiniteFieldExtensionByPolynomial
+FiniteFieldNormalBasis
+FiniteFieldNormalBasisExtension
+FiniteFieldNormalBasisExtensionByPolynomial
+FlexibleArray
+Float
+FormalFraction
+FortranCode
+FortranExpression
+FortranProgram
+FortranScalarType
+FortranTemplate
+FortranType
+FourierComponent
+FourierSeries
+Fraction
+FractionalIdeal
+FramedModule
+FreeAbelianGroup
+FreeAbelianMonoid
+FreeGroup
+FreeModule
+FreeModule1
+FreeMonoid
+FreeNilpotentLie
+FullPartialFractionExpansion
+FunctionCalled
+GeneralDistributedMultivariatePolynomial
+GeneralModulePolynomial
+GeneralPolynomialSet
+GeneralSparseTable
+GeneralTriangularSet
+GeneralUnivariatePowerSeries
+GenericNonAssociativeAlgebra
+GraphImage
+HashTable
+Heap
+HexadecimalExpansion
+HomogeneousDirectProduct
+HomogeneousDistributedMultivariatePolynomial
+HyperellipticFiniteDivisor
+IndexCard
+IndexedBits
+IndexedDirectProductAbelianGroup
+IndexedDirectProductAbelianMonoid
+IndexedDirectProductObject
+IndexedDirectProductOrderedAbelianMonoid
+IndexedDirectProductOrderedAbelianMonoidSup
+IndexedExponents
+IndexedFlexibleArray
+IndexedList
+IndexedMatrix
+IndexedOneDimensionalArray
+IndexedString
+IndexedTwoDimensionalArray
+IndexedVector
+InfiniteTuple
+InnerAlgebraicNumber
+InnerFiniteField
+InnerFreeAbelianMonoid
+InnerIndexedTwoDimensionalArray
+InnerPAdicInteger
+InnerPrimeField
+InnerSparseUnivariatePowerSeries
+InnerTable
+InnerTaylorSeries
+InputForm
+Integer
+IntegerMod
+IntegrationFunctionsTable
+IntegrationResult
+Interval
+InventorDataSink
+InventorRenderPackage
+InventorViewPort
+IVBaseColor
+IVBasicNode
+IVCoordinate3
+IVCoordinate4
+IVFaceSet
+IVField
+IVGroup
+IVIndexedLineSet
+IVNodeConnection
+IVNodeObject
+IVPointSet
+IVQuadMesh
+IVSeparator
+IVSimpleInnerNode
+IVUtilities
+IVValue
+Kernel
+KeyedAccessFile
+LaurentPolynomial
+Library
+LieExponentials
+LiePolynomial
+LieSquareMatrix
+LinearOrdinaryDifferentialOperator
+LinearOrdinaryDifferentialOperator1
+LinearOrdinaryDifferentialOperator2
+List
+ListMonoidOps
+ListMultiDictionary
+LocalAlgebra
+Localize
+LyndonWord
+MachineComplex
+MachineFloat
+MachineInteger
+Magma
+MakeCachableSet
+Mapping
+Matrix
+ModMonic
+ModularField
+ModularRing
+ModuleMonomial
+ModuleOperator
+MoebiusTransform
+MonoidRing
+Multiset
+MultivariatePolynomial
+NagDiscreteFourierTransformInterfacePackage
+NagEigenInterfacePackage
+NagOptimisationInterfacePackage
+NagQuadratureInterfacePackage
+NagResultChecks
+NagSpecialFunctionsInterfacePackage
+NewSparseMultivariatePolynomial
+NewSparseUnivariatePolynomial
+None
+NonNegativeInteger
+NumericalIntegrationProblem
+NumericalODEProblem
+NumericalOptimizationProblem
+NumericalPDEProblem
+Octonion
+ODEIntensityFunctionsTable
+OneDimensionalArray
+OnePointCompletion
+OpenMathConnection
+OpenMathDevice
+OpenMathEncoding
+OpenMathError
+OpenMathErrorKind
+Operator
+OppositeMonogenicLinearOperator
+OrderedCompletion
+OrderedDirectProduct
+OrderedFreeMonoid
+OrderedVariableList
+OrderlyDifferentialPolynomial
+OrderlyDifferentialVariable
+OrdinaryDifferentialRing
+OrdinaryWeightedPolynomials
+OrdSetInts
+OutputForm
+PackedHermitianSequence
+PAdicInteger
+PAdicRational
+PAdicRationalConstructor
+Palette
+ParametricPlaneCurve
+ParametricSpaceCurve
+ParametricSurface
+PartialFraction
+Partition
+Pattern
+PatternMatchListResult
+PatternMatchResult
+PendantTree
+Permutation
+PermutationGroup
+Pi
+PlaneAlgebraicCurvePlot
+Plot
+Plot3D
+PoincareBirkhoffWittLyndonBasis
+Point
+Polynomial
+PolynomialIdeals
+PolynomialRing
+PositiveInteger
+PrimeField
+PrimitiveArray
+Product
+QuadraticForm
+QuasiAlgebraicSet
+Quaternion
+QueryEquation
+Queue
+RadicalFunctionField
+RadixExpansion
+RealClosure
+Record
+RectangularMatrix
+Reference
+RegularChain
+RegularTriangularSet
+RenderTools
+ResidueRing
+Result
+RewriteRule
+RightOpenIntervalRootCharacterization
+RomanNumeral
+RoutinesTable
+RuleCalled
+Ruleset
+ScriptFormulaFormat
+Segment
+SegmentBinding
+SequentialDifferentialPolynomial
+SequentialDifferentialVariable
+Set
+SetOfMIntegersInOneToN
+SExpression
+SExpressionOf
+SimpleAlgebraicExtension
+SimpleFortranProgram
+SingleInteger
+SingletonAsOrderedSet
+SparseMultivariatePolynomial
+SparseMultivariateTaylorSeries
+SparseTable
+SparseUnivariateLaurentSeries
+SparseUnivariatePolynomial
+SparseUnivariatePuiseuxSeries
+SparseUnivariateSkewPolynomial
+SparseUnivariateTaylorSeries
+SplitHomogeneousDirectProduct
+SplittingNode
+SplittingTree
+SquareFreeRegularTriangularSet
+SquareMatrix
+Stack
+Stream
+String
+StringTable
+SubSpace
+SubSpaceComponentProperty
+SuchThat
+Switch
+Symbol
+SymbolTable
+SymmetricPolynomial
+Table
+Tableau
+TaylorSeries
+TexFormat
+TextFile
+TheSymbolTable
+ThreeDimensionalMatrix
+ThreeDimensionalViewport
+ThreeSpace
+Timer
+Tree
+TubePlot
+Tuple
+TwoDimensionalArray
+TwoDimensionalViewport
+Union
+UnivariateLaurentSeries
+UnivariateLaurentSeriesConstructor
+UnivariatePolynomial
+UnivariatePuiseuxSeries
+UnivariatePuiseuxSeriesConstructor
+UnivariatePuiseuxSeriesWithExponentialSingularity
+UnivariateSkewPolynomial
+UnivariateTaylorSeries
+UniversalSegment
+Variable
+Vector
+Void
+WeightedPolynomials
+WuWenTsunTriangularSet
+XDistributedPolynomial
+XPBWPolynomial
+XPolynomial
+XPolynomialRing
+XRecursivePolynomial
+AlgebraicFunction
+AlgebraicHermiteIntegration
+AlgebraicIntegrate
+AlgebraicIntegration
+AlgebraicManipulations
+AlgebraicMultFact
+AlgebraPackage
+AlgFactor
+AnnaNumericalIntegrationPackage
+AnnaNumericalOptimizationPackage
+AnnaOrdinaryDifferentialEquationPackage
+AnnaPartialDifferentialEquationPackage
+AnyFunctions1
+ApplyRules
+ApplyUnivariateSkewPolynomial
+AssociatedEquations
+AttachPredicates
+BalancedFactorisation
+BasicOperatorFunctions1
+BezoutMatrix
+BoundIntegerRoots
+BrillhartTests
+CartesianTensorFunctions2
+ChangeOfVariable
+CharacteristicPolynomialInMonogenicalAlgebra
+CharacteristicPolynomialPackage
+ChineseRemainderToolsForIntegralBases
+CoerceVectorMatrixPackage
+CombinatorialFunction
+CommonDenominator
+CommonOperators
+CommuteUnivariatePolynomialCategory
+ComplexFactorization
+ComplexFunctions2
+ComplexIntegerSolveLinearPolynomialEquation
+ComplexPattern
+ComplexPatternMatch
+ComplexRootFindingPackage
+ComplexRootPackage
+ComplexTrigonometricManipulations
+ConstantLODE
+CoordinateSystems
+CRApackage
+CycleIndicators
+CyclicStreamTools
+CyclotomicPolynomialPackage
+d01AgentsPackage
+d01WeightsPackage
+d02AgentsPackage
+d03AgentsPackage
+DefiniteIntegrationTools
+DegreeReductionPackage
+DiophantineSolutionPackage
+DirectProductFunctions2
+DiscreteLogarithmPackage
+DisplayPackage
+DistinctDegreeFactorize
+DoubleFloatSpecialFunctions
+DoubleResultantPackage
+DrawComplex
+DrawNumericHack
+DrawOptionFunctions0
+DrawOptionFunctions1
+e04AgentsPackage
+EigenPackage
+ElementaryFunction
+ElementaryFunctionDefiniteIntegration
+ElementaryFunctionLODESolver
+ElementaryFunctionODESolver
+ElementaryFunctionSign
+ElementaryFunctionStructurePackage
+ElementaryIntegration
+ElementaryRischDE
+ElementaryRischDESystem
+EllipticFunctionsUnivariateTaylorSeries
+EquationFunctions2
+ErrorFunctions
+EuclideanGroebnerBasisPackage
+EvaluateCycleIndicators
+ExpertSystemContinuityPackage
+ExpertSystemContinuityPackage1
+ExpertSystemToolsPackage
+ExpertSystemToolsPackage1
+ExpertSystemToolsPackage2
+ExpressionFunctions2
+ExpressionSpaceFunctions1
+ExpressionSpaceFunctions2
+ExpressionSpaceODESolver
+ExpressionToOpenMath
+ExpressionToUnivariatePowerSeries
+ExpressionTubePlot
+FactoredFunctions
+FactoredFunctions2
+FactoredFunctionUtilities
+FactoringUtilities
+FGLMIfCanPackage
+FindOrderFinite
+FiniteDivisorFunctions2
+FiniteFieldFunctions
+FiniteFieldHomomorphisms
+FiniteFieldPolynomialPackage
+FiniteFieldPolynomialPackage2
+FiniteFieldSolveLinearPolynomialEquation
+FiniteLinearAggregateFunctions2
+FiniteLinearAggregateSort
+FiniteSetAggregateFunctions2
+FloatingComplexPackage
+FloatingRealPackage
+FortranCodePackage1
+FortranOutputStackPackage
+FortranPackage
+FractionalIdealFunctions2
+FractionFunctions2
+FramedNonAssociativeAlgebraFunctions2
+FunctionalSpecialFunction
+FunctionFieldCategoryFunctions2
+FunctionFieldIntegralBasis
+FunctionSpaceAssertions
+FunctionSpaceAttachPredicates
+FunctionSpaceComplexIntegration
+FunctionSpaceFunctions2
+FunctionSpaceIntegration
+FunctionSpacePrimitiveElement
+FunctionSpaceReduce
+FunctionSpaceSum
+FunctionSpaceToExponentialExpansion
+FunctionSpaceToUnivariatePowerSeries
+FunctionSpaceUnivariatePolynomialFactor
+GaloisGroupFactorizationUtilities
+GaloisGroupFactorizer
+GaloisGroupPolynomialUtilities
+GaloisGroupUtilities
+GaussianFactorizationPackage
+GeneralHenselPackage
+GeneralizedMultivariateFactorize
+GeneralPolynomialGcdPackage
+GenerateUnivariatePowerSeries
+GenExEuclid
+GenUFactorize
+GenusZeroIntegration
+GosperSummationMethod
+GraphicsDefaults
+GrayCode
+GroebnerFactorizationPackage
+GroebnerInternalPackage
+GroebnerPackage
+GroebnerSolve
+HallBasis
+HeuGcd
+IdealDecompositionPackage
+IncrementingMaps
+InfiniteProductCharacteristicZero
+InfiniteProductFiniteField
+InfiniteProductPrimeField
+InfiniteTupleFunctions2
+InfiniteTupleFunctions3
+Infinity
+InnerAlgFactor
+InnerCommonDenominator
+InnerMatrixLinearAlgebraFunctions
+InnerMatrixQuotientFieldFunctions
+InnerModularGcd
+InnerMultFact
+InnerNormalBasisFieldFunctions
+InnerNumericEigenPackage
+InnerNumericFloatSolvePackage
+InnerPolySign
+InnerPolySum
+InnerTrigonometricManipulations
+InputFormFunctions1
+IntegerBits
+IntegerCombinatoricFunctions
+IntegerFactorizationPackage
+IntegerLinearDependence
+IntegerNumberTheoryFunctions
+IntegerPrimesPackage
+IntegerRetractions
+IntegerRoots
+IntegerSolveLinearPolynomialEquation
+IntegralBasisPolynomialTools
+IntegralBasisTools
+IntegrationResultFunctions2
+IntegrationResultRFToFunction
+IntegrationResultToFunction
+IntegrationTools
+InternalPrintPackage
+InternalRationalUnivariateRepresentationPackage
+InverseLaplaceTransform
+IrredPolyOverFiniteField
+IrrRepSymNatPackage
+KernelFunctions2
+Kovacic
+LaplaceTransform
+LazardSetSolvingPackage
+LeadingCoefDetermination
+LexTriangularPackage
+LinearDependence
+LinearOrdinaryDifferentialOperatorFactorizer
+LinearOrdinaryDifferentialOperatorsOps
+LinearPolynomialEquationByFractions
+LinearSystemMatrixPackage
+LinearSystemMatrixPackage1
+LinearSystemPolynomialPackage
+LinGroebnerPackage
+LiouvillianFunction
+ListFunctions2
+ListFunctions3
+ListToMap
+MakeBinaryCompiledFunction
+MakeFloatCompiledFunction
+MakeFunction
+MakeRecord
+MakeUnaryCompiledFunction
+MappingPackage1
+MappingPackage2
+MappingPackage3
+MappingPackageInternalHacks1
+MappingPackageInternalHacks2
+MappingPackageInternalHacks3
+MatrixCategoryFunctions2
+MatrixCommonDenominator
+MatrixLinearAlgebraFunctions
+MergeThing
+MeshCreationRoutinesForThreeDimensions
+ModularDistinctDegreeFactorizer
+ModularHermitianRowReduction
+MonoidRingFunctions2
+MonomialExtensionTools
+MoreSystemCommands
+MPolyCatFunctions2
+MPolyCatFunctions3
+MPolyCatPolyFactorizer
+MPolyCatRationalFunctionFactorizer
+MRationalFactorize
+MultFiniteFactorize
+MultipleMap
+MultiVariableCalculusFunctions
+MultivariateFactorize
+MultivariateLifting
+MultivariateSquareFree
+NagEigenPackage
+NagFittingPackage
+NagIntegrationPackage
+NagInterpolationPackage
+NagLapack
+NagLinearEquationSolvingPackage
+NAGLinkSupportPackage
+NagMatrixOperationsPackage
+NagOptimisationPackage
+NagOrdinaryDifferentialEquationsPackage
+NagPartialDifferentialEquationsPackage
+NagPolynomialRootsPackage
+NagRootFindingPackage
+NagSeriesSummationPackage
+NagSpecialFunctionsPackage
+NewSparseUnivariatePolynomialFunctions2
+NonCommutativeOperatorDivision
+NoneFunctions1
+NonLinearFirstOrderODESolver
+NonLinearSolvePackage
+NormalizationPackage
+NormInMonogenicAlgebra
+NormRetractPackage
+NPCoef
+NumberFieldIntegralBasis
+NumberFormats
+NumberTheoreticPolynomialFunctions
+Numeric
+NumericalOrdinaryDifferentialEquations
+NumericalQuadrature
+NumericComplexEigenPackage
+NumericContinuedFraction
+NumericRealEigenPackage
+NumericTubePlot
+OctonionCategoryFunctions2
+ODEIntegration
+ODETools
+OneDimensionalArrayFunctions2
+OnePointCompletionFunctions2
+OpenMathPackage
+OpenMathServerPackage
+OperationsQuery
+OrderedCompletionFunctions2
+OrderingFunctions
+OrthogonalPolynomialFunctions
+OutputPackage
+PadeApproximantPackage
+PadeApproximants
+PAdicWildFunctionFieldIntegralBasis
+ParadoxicalCombinatorsForStreams
+ParametricLinearEquations
+ParametricPlaneCurveFunctions2
+ParametricSpaceCurveFunctions2
+ParametricSurfaceFunctions2
+PartialFractionPackage
+PartitionsAndPermutations
+PatternFunctions1
+PatternFunctions2
+PatternMatch
+PatternMatchAssertions
+PatternMatchFunctionSpace
+PatternMatchIntegerNumberSystem
+PatternMatchIntegration
+PatternMatchKernel
+PatternMatchListAggregate
+PatternMatchPolynomialCategory
+PatternMatchPushDown
+PatternMatchQuotientFieldCategory
+PatternMatchResultFunctions2
+PatternMatchSymbol
+PatternMatchTools
+Permanent
+PermutationGroupExamples
+PiCoercions
+PlotFunctions1
+PlotTools
+PointFunctions2
+PointPackage
+PointsOfFiniteOrder
+PointsOfFiniteOrderRational
+PointsOfFiniteOrderTools
+PolToPol
+PolyGroebner
+PolynomialAN2Expression
+PolynomialCategoryLifting
+PolynomialCategoryQuotientFunctions
+PolynomialComposition
+PolynomialDecomposition
+PolynomialFactorizationByRecursion
+PolynomialFactorizationByRecursionUnivariate
+PolynomialFunctions2
+PolynomialGcdPackage
+PolynomialInterpolation
+PolynomialInterpolationAlgorithms
+PolynomialNumberTheoryFunctions
+PolynomialRoots
+PolynomialSetUtilitiesPackage
+PolynomialSolveByFormulas
+PolynomialSquareFree
+PolynomialToUnivariatePolynomial
+PowerSeriesLimitPackage
+PrecomputedAssociatedEquations
+PrimitiveArrayFunctions2
+PrimitiveElement
+PrimitiveRatDE
+PrimitiveRatRicDE
+PrintPackage
+PseudoLinearNormalForm
+PseudoRemainderSequence
+PureAlgebraicIntegration
+PureAlgebraicLODE
+PushVariables
+QuasiAlgebraicSet2
+QuasiComponentPackage
+QuaternionCategoryFunctions2
+QuotientFieldCategoryFunctions2
+RadicalEigenPackage
+RadicalSolvePackage
+RadixUtilities
+RandomDistributions
+RandomFloatDistributions
+RandomIntegerDistributions
+RandomNumberSource
+RationalFactorize
+RationalFunction
+RationalFunctionDefiniteIntegration
+RationalFunctionFactor
+RationalFunctionFactorizer
+RationalFunctionIntegration
+RationalFunctionLimitPackage
+RationalFunctionSign
+RationalFunctionSum
+RationalIntegration
+RationalLODE
+RationalRetractions
+RationalRicDE
+RationalUnivariateRepresentationPackage
+RealPolynomialUtilitiesPackage
+RealSolvePackage
+RealZeroPackage
+RealZeroPackageQ
+RectangularMatrixCategoryFunctions2
+ReducedDivisor
+ReduceLODE
+ReductionOfOrder
+RegularSetDecompositionPackage
+RegularTriangularSetGcdPackage
+RepeatedDoubling
+RepeatedSquaring
+RepresentationPackage1
+RepresentationPackage2
+ResolveLatticeCompletion
+RetractSolvePackage
+SAERationalFunctionAlgFactor
+ScriptFormulaFormat1
+SegmentBindingFunctions2
+SegmentFunctions2
+SimpleAlgebraicExtensionAlgFactor
+SimplifyAlgebraicNumberConvertPackage
+SmithNormalForm
+SortedCache
+SortPackage
+SparseUnivariatePolynomialFunctions2
+SpecialOutputPackage
+SquareFreeQuasiComponentPackage
+SquareFreeRegularSetDecompositionPackage
+SquareFreeRegularTriangularSetGcdPackage
+StorageEfficientMatrixOperations
+StreamFunctions1
+StreamFunctions2
+StreamFunctions3
+StreamInfiniteProduct
+StreamTaylorSeriesOperations
+StreamTranscendentalFunctions
+StreamTranscendentalFunctionsNonCommutative
+StructuralConstantsPackage
+SturmHabichtPackage
+SubResultantPackage
+SupFractionFactorizer
+SymmetricFunctions
+SymmetricGroupCombinatoricFunctions
+SystemODESolver
+SystemSolvePackage
+TableauxBumpers
+TabulatedComputationPackage
+TangentExpansions
+TemplateUtilities
+TexFormat1
+ToolsForSign
+TopLevelDrawFunctions
+TopLevelDrawFunctionsForAlgebraicCurves
+TopLevelDrawFunctionsForCompiledFunctions
+TopLevelDrawFunctionsForPoints
+TopLevelThreeSpace
+TranscendentalHermiteIntegration
+TranscendentalIntegration
+TranscendentalManipulations
+TranscendentalRischDE
+TranscendentalRischDESystem
+TransSolvePackage
+TransSolvePackageService
+TriangularMatrixOperations
+TrigonometricManipulations
+TubePlotTools
+TwoDimensionalPlotClipping
+TwoFactorize
+UnivariateFactorize
+UnivariateLaurentSeriesFunctions2
+UnivariatePolynomialCategoryFunctions2
+UnivariatePolynomialCommonDenominator
+UnivariatePolynomialDecompositionPackage
+UnivariatePolynomialDivisionPackage
+UnivariatePolynomialFunctions2
+UnivariatePolynomialMultiplicationPackage
+UnivariatePolynomialSquareFree
+UnivariatePuiseuxSeriesFunctions2
+UnivariateSkewPolynomialCategoryOps
+UnivariateTaylorSeriesFunctions2
+UnivariateTaylorSeriesODESolver
+UniversalSegmentFunctions2
+UserDefinedPartialOrdering
+UserDefinedVariableOrdering
+UTSodetools
+VectorFunctions2
+ViewDefaultsPackage
+ViewportPackage
+WeierstrassPreparation
+WildFunctionFieldIntegralBasis
+XExponentialPackage
+ZeroDimensionalSolvePackage
+@
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. \\
+``Axiom -- The Scientific Computation System''\\
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''\\
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie,\\
+``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman\\
+``Noweb -- A Simple, Extensible Tool for Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\bibitem{7} Axiom Book Volume 7 -- Hyperdoc\\
+{\bf file://usr/local/axiom/src/hyper/bookvol7.pamphlet}
+\bibitem{8} Axiom Book Volume 8 -- Graphics\\
+{\bf file://usr/local/axiom/src/graph/bookvol8.pamphlet}
+\bibitem{9} AIX Version 3.2 and 4 Performance Tuning Guide\\
+{\bf 
+http://www.rs6000.ibm.com/doc\_link/en\_US/\\
+{\hbox {\hskip 1.0cm}}a\_doc\_lib/aixbman/prftungd/toc.htm}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
new file mode 100644
index 0000000..9dcb878
--- /dev/null
+++ b/books/bookvol7.pamphlet
@@ -0,0 +1,1277 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 7: Axiom Hyperdoc}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\chapter{Overview}
+This book contains the hyperdoc routines for Axiom.
+\chapter{Support Routines}
+\chapter{Hyperdoc}
+\section{hyper.h}
+The [[hypertex]] function, of which this is the top level, is a browser
+for Axiom information. It works off a database of pages. The pages are
+stored in the [[$AXIOM/doc/hypertex/pages]] subdirectory and there is
+a key file called [[ht.db]] in that subdirectory which contains 
+critical information about each page. If you add or delete pages you
+must rerun the [[htadd]] command.
+(See the [[htadd]] command in [[src/hyper/htadd.pamphlet]].)
+
+Generally, if you add or delete pages you can recreate a proper 
+[[pages/ht.db]] file by doing:
+\begin{verbatim}
+cd $AXIOM/doc/hypertex
+htadd -f pages -n pages/*
+\end{verbatim}
+
+
+The [[hypertex]] function looks in [[$AXIOM/doc/hypertex/pages]] by
+default. This can be over-ridden by setting the [[HTPATH]] shell
+variable to point to the desired directory containing the pages and
+the ht.db file.
+<<hyper.h>>=
+<<license>>
+#ifndef _HYPER_H_
+#define _HYPER_H_ 1
+
+#include <stdio.h>
+#include <stdlib.h>
+#include <unistd.h>
+#include <limits.h>
+
+#include <X11/Xlib.h>
+#include <X11/Xutil.h>
+#include <X11/Xos.h>
+
+#include "com.h"
+#include "token.h"
+#include "hash.h"
+
+#define boolean unsigned short int
+
+#ifndef TRUE
+#define TRUE   ((boolean) 0x1)
+#endif
+#ifndef FALSE
+#define FALSE  ((boolean) 0x0)
+#endif
+
+/* Struct forward declarations */
+
+struct text_node;
+struct input_box;
+struct input_window;
+struct paste_node;
+struct radio_boxes;
+struct group_item;
+
+#define Scrollupbutton	   1
+#define Scrolldownbutton   2
+#define Noopbutton	   6
+
+#define Scrolling 1
+#define Header	  2
+#define Footer	  3
+#define Title	  4
+
+#ifndef HTADD
+extern int MenuServerOpened;
+
+/* These are all the colors one can use in HyperDoc. */
+
+extern int  gActiveColor,
+	    gAxiomColor,
+	    gBackgroundColor,
+	    gBfColor,
+	    gControlBackgroundColor,
+	    gControlForegroundColor,
+	    gEmColor,
+	    gInputBackgroundColor,
+	    gInputForegroundColor,
+	    gItColor,
+	    gRmColor,
+	    gSlColor,
+	    gTtColor;
+
+/* These are all the different fonts one can use in HyperDoc. */
+
+extern XFontStruct  *gActiveFont,
+		    *gAxiomFont,
+		    *gBfFont,
+		    *gEmFont,
+		    *gInputFont,
+		    *gItFont,
+		    *gRmFont,
+		    *gSlFont,
+		    *gTitleFont,
+		    *gTtFont;
+
+
+#endif
+
+
+/** I am implementing a state node stack, this is the structure I store **/
+
+typedef struct state_node {
+ int last_ch, last_token, input_type;
+ long fpos, keyword_fpos;
+ long page_start_fpos;
+ Token token;
+ char *input_string;
+ FILE *cfile;
+ int keyword;
+ struct state_node *next;
+} StateNode;
+
+#ifndef HTADD
+/** pointer to the top of the state node graph **/
+extern StateNode *top_state_node;
+#endif
+
+
+/* structure for a hyper text link */
+typedef struct hyper_link {
+  int type;			/* Memolink, Spadlink, Downlink etc. */
+  Window win;			/* X11 window containing active area */
+  union {
+    struct text_node *node;	/* ID of link to which link refers */
+    struct input_box *box;
+    struct input_window *string;
+    struct paste_node *paste;	/* the paste node area */
+  } reference;
+  int x,y;			/* relative position inside page */
+} HyperLink;
+
+
+typedef struct if_node {
+    struct text_node *cond;		   /* the condition nodes*/
+    struct text_node *thennode;
+    struct text_node *elsenode;
+} IfNode;
+
+typedef struct item_stack {
+    int indent;
+    int item_indent;
+    int in_item;
+    struct item_stack *next;
+} ItemStack;
+
+typedef struct paste_node {
+   char *name;
+   int where;		     /* where should I be parsing from? */
+   short int hasbutton;
+   short int haspaste;
+   struct group_item *group;
+   ItemStack *item_stack;
+   struct text_node *arg_node;
+   struct text_node *end_node;
+   struct text_node *begin_node;
+   struct input_window *paste_item;
+} PasteNode;
+
+/* Structure for formatted hypertext */
+
+typedef struct text_node {
+  short	 type;			/* type of node (text, link, etc.) */
+  int x,y, width, height;	/* relative location on screen */
+  int space;			/* was there space in front of me ? */
+  union {
+    char *text;			/* piece of text to display */
+    struct text_node *node;	/* argument text */
+    struct if_node *ifnode;
+  } data;
+  HyperLink *link;		/* link for active text */
+  union {
+    Pixmap pm;			/* pixmap for bit images */
+    XImage *xi;			/* pixmap image */
+  } image;
+  struct text_node *next;	/* next node in formatted text */
+} TextNode;
+
+/** Structure used to store pixmaps and bitmaps **/
+
+typedef struct image_struct {
+   int width,height;   /** It's width and height **/
+   union {
+     Pixmap pm;
+     XImage *xi;
+   } image;
+   char *filename;	 /** The filename used to reference it **/
+} ImageStruct;
+
+/* Structure for locating HyperDoc pages in a source file */
+
+typedef struct {
+  char *name;		/* file name */
+  long	pos;		/* position in file */
+  int	ln;		/* the line number */
+} FilePosition;
+
+/*** The structure needed for storing a macro **/
+
+typedef struct macro_store {
+  short int loaded;
+  FilePosition fpos;
+  char *name;
+  char *macro_string;
+  short number_parameters;
+} MacroStore;
+
+
+/** Structure needed for storing a patch **/
+typedef struct patch_store {
+  short int loaded;
+  FilePosition fpos;
+  char *name;
+  char *string;
+} PatchStore;
+
+/*  Here are the structures needed for doing input to HyperDoc windows. */
+
+typedef struct line_struct {
+   char *buffer;
+   int changed;	     /* Has the line changed */
+   int line_number;
+   int buff_pntr;
+   int len;
+   struct line_struct *prev, *next;
+} LineStruct;
+
+typedef struct input_window {
+  char *name;			/* symbol name		      **/
+  int size;			 /* the length of the window   **/
+  int cursor_x;			 /* x-coordinate for the cursor **/
+  int entered;			 /* tells me whether I have typed here
+						    before	 */
+  int num_lines;		 /* number of lines needed to store
+				      buffer			 */
+  LineStruct *lines;
+  LineStruct *curr_line;	 /* the current line on which the cursor */
+  Window win;
+  struct input_window  *next;
+}  InputItem;
+
+
+/* structure for storing input boxes **/
+typedef struct input_box {
+    char *name;
+    ImageStruct *selected, *unselected;
+    short int picked;
+    struct input_box  *next;
+    struct radio_boxes *rbs;
+    Window win;
+} InputBox;
+
+typedef struct radio_boxes {
+     char *name;
+     InputBox *boxes;
+     ImageStruct *selected, *unselected;
+     int width, height;
+     struct radio_boxes *next;
+} RadioBoxes;
+
+/* Structure for spadcommand dependencies hash table entries */
+typedef struct spadcom_depend {
+  char *label;			/* dependency label */
+  TextNode *spadcom;		/* spadcommand defining the label */
+  short executed;		/* true iff spadcommand has benn executed */
+} SpadcomDepend;
+
+typedef struct button_list {
+  int		x0,y0,x1,y1;
+  HyperLink		*link;
+  Window		win;
+  struct button_list	*next;
+} ButtonList;
+
+/* Stucture for unformatted hyper text page */
+
+typedef struct hyperdoc_page {
+  short type;			/* Normal, Quitbutton, Upbutton etc.	   */
+  char *name;			/* ID of page				   */
+  char *filename;		/* The name of the file in which the page
+				   occurs, Null if not			   */
+  int scroll_off;	      /* The offset in the scrolling region	   */
+  int bot_scroll_margin;	/* bottom of the scrolling region	   */
+  int top_scroll_margin;	/* top of the scrolling region		   */
+  TextNode *title;		/* the title of the page		   */
+  TextNode *header;		/* formatted version of page		   */
+  TextNode *scrolling;		/* Top of scrolling region		   */
+  TextNode *footer;		/* top of non-scrolling region at bottom   */
+  Sock *sock;			/* socket connection for spad buffer	   */
+  HashTable *fLinkHashTable;	     /* active link hash table			*/
+  ButtonList *s_button_list;	/* active buttons on page		   */
+  ButtonList *button_list;	/* active buttons on page		   */
+  HashTable *depend_hash;	/* Hash tables of spadcommand dependencies */
+  InputItem *input_list;	/* List of input structures		   */
+  InputItem *current_item;	/* a pntr to the currently active item	   */
+  HashTable *box_hash;		/* place where all the boxes are stored	   */
+  RadioBoxes *radio_boxes;	/* a linked list of radio boxes		   */
+  short page_flags;		/* A list of flags for the page		   */
+  char *helppage;		/* the name of the helppage		   */
+} HyperDocPage;
+
+/* Structure for an unloaded page */
+
+typedef struct unloaded_page {
+  short type;			/* indicator of unloaded page */
+  char *name;			/* name of page */
+  FilePosition fpos;		/* where to find the page */
+} UnloadedPage;
+
+/* Structure for a HyperDoc Window */
+
+typedef struct {
+  Window fMainWindow;		/* The main text field window.		 */
+  Window fScrollWindow;		/* The scrolling area of the window	 */
+  Window fDisplayedWindow;	/* The current window of the above two,	 */
+				/*   being filled by display		 */
+
+  Window fScrollUpWindow;	/* Window for scrolling up a line	 */
+  Window fScrollDownWindow;	/* Window for scrolling down a line	 */
+
+  Window scrollbar;		/* the window for scrolling		 */
+  Window scroller;		/* the scroller window			 */
+
+  Window fTitleBarButton1;	/* 1st titlebar bitmap button		 */
+  Window fTitleBarButton2;	/* 2nd titlebar bitmap button		 */
+  Window fTitleBarButton3;	/* 3rd titlebar bitmap button		 */
+  Window fTitleBarButton4;	/* 4th titlebar bitmap button		 */
+
+  int fScrollerTopPos;		/* where the top of the scroller is	 */
+  int fScrollerHeight;		/* the height of the scroller		 */
+  int fScrollBarHeight;		/* the height for the scrollbar		 */
+
+  int scrollwidth;		/* the width of the scrolling area	 */
+  int scrollheight;		/* the height of the scrolling area	 */
+  int scrollupy;		/* Current y position of the scroll up	 */
+				/*	  button			 */
+  int scrolldowny;		/* Current y position of the scroll	 */
+				/*	  downbutton			 */
+  int scrollbary;		/* Current y position of teh scrollbar	 */
+  int scrollx;			/* X coordinates for all of the above	 */
+  int border_width;		/* Width of the border			 */
+  HyperDocPage *page;		/* currently displayed page		 */
+  int width, height;		/* in pixels				 */
+  int columns;			/* Width in characters, only setable	 */
+				/*	for form pages			 */
+  HyperDocPage **fMemoStack;	/* stack of memo links */
+  HyperDocPage **fDownLinkStack;/* stack of down links */
+
+  int *fDownLinkStackTop;	/* stack of down links */
+  int fMemoStackIndex;		  /* memo stack pointer */
+  int fDownLinkStackIndex;	  /* downlink stack pointer */
+
+  HashTable *fWindowHashTable;	/* hash table of active subwindows */
+  HashTable *fPageHashTable;	/* hash table of HyperDoc pages */
+  HashTable *fPasteHashTable;	/* hash table for paste in areas */
+  HashTable *fMacroHashTable;	/* hash table of HyperDoc macros */
+  HashTable *fCondHashTable;	/* hash table for values	 */
+  HashTable *fPatchHashTable;	/* hash table for patch locations */
+
+  int fAxiomFrame;		/* Axiom frame number initializing window */
+  GC fStandardGC;		/* Graphics context for window */
+  GC fInputGC;			/* Graphics context for the input windows */
+  GC fCursorGC;			/* Graphics context for the cursors	  */
+  GC fControlGC;		/* Graphics context for the buttons	  */
+  Cursor fDisplayedCursor;	/* The currently displayed cursor	   */
+} HDWindow;
+
+/* Structure for identifying appropriate link hash tables */
+
+typedef struct {
+  int code;			/* code of active area */
+  HyperDocPage *page;		/* page for which hash table applies */
+} LinkHashID;
+
+/*** Flags for the page ***/
+
+#define NOLINES 0000001		 /* Ibid, for the bottom of the page	  ***/
+
+
+/* external variables and functions.  See the source file for a description
+ of their purposes */
+
+extern HashTable gSessionHashTable;   /* hash table of HD windows */
+
+extern HDWindow *gParentWindow;	      /* the parent window. The one that
+					* appears when you first start HD */
+
+extern HyperLink *quitLink; /** a special link to the protected quit page **/
+
+
+#ifndef HTADD
+/* From hyper.c */
+extern int	gXScreenNumber;
+extern Display *gXDisplay;
+extern int gSwitch_to_mono;
+extern unsigned long * spadColors;
+extern int gIsEndOfOutput;
+extern HDWindow *gWindow;
+extern Sock *session_server;
+extern Sock *spad_socket;
+extern HashTable gFileHashTable;
+extern HashTable gImageHashTable;	    /* A global hash table for images */
+extern Cursor gNormalCursor;	      /* The normal mouse cursor		*/
+extern Cursor gActiveCursor;	      /* The cursor in active regions		*/
+extern Cursor gBusyCursor;	      /* The clock cursor for when I am busy	*/
+extern int gIsAxiomServer;	      /* true iff HyperDoc is acting as an Axiom server */
+extern int    gArgc;		      /* original argc from main */
+extern char **gArgv;		      /* original argv from main */
+/* from lex.c */
+extern long fpos, keyword_fpos;
+extern Token token;
+extern int last_token, input_type, last_ch;
+extern char *input_string;
+extern FILE *cfile;
+/* from input.c */
+extern XImage *picked;
+extern int picked_height;
+extern int picked_width;
+extern XImage *unpicked;
+extern int unpicked_height;
+extern int unpicked_width;
+/* from display.c */
+extern int line_height;
+extern int need_scroll_up_button;
+extern int scrolling;
+extern int need_scroll_down_button;
+extern int space_width;
+#endif 
+
+/* Here are some of the functions and constants declared and needed in
+      htadd.c							 ******/
+
+#define NoChar	 -9999
+#define temp_dir "/tmp/"
+#define db_file_name "ht.db"
+#define def_spad "/usr/local/axiom"
+
+
+/* Types of HyperDoc pages */
+
+#define UlUnknownPage	 9993 /*I hate this hack, but I have to know whether*/
+#define UnknownPage	 9994 /*this page has been loaded or not.	    */
+#define ErrorPage	 9995
+#define Unixfd		 9996
+#define SpadGen		 9997
+#define Normal		 9998
+#define UnloadedPageType 9999
+
+/* Commands from Axiom */
+
+#define EndOfPage	 99
+#define SendLine         98
+#define StartPage	 97	     /* A normal HyperDoc page */
+#define LinkToPage	 96
+#define PopUpPage	 95	     /* A pop-up page	       */
+#define PopUpNamedPage	 94
+#define KillPage	 93
+#define ReplacePage	 92
+#define ReplaceNamedPage 91
+#define SpadError	 90
+
+/* Constants declaring size of page stacks */
+
+#define MaxMemoDepth	25		/* max nesting level for memolinks */
+#define MaxDownlinkDepth 50		/* max downlink nesting depth */
+
+/* Constants defining the size of various hash tables */
+
+#define PageHashSize	 1000
+#define FileHashSize	 30
+#define SessionHashSize	 10
+#define MacroHashSize	 100
+#define ImageHashSize	 100
+#define CondHashSize	 100
+#define BoxHashSize	 20
+#define PasteHashSize	 100
+#define PatchHashSize	 100
+
+/* A couple of macros for memo and down links */
+
+#define need_up_button \
+  (gWindow->fMemoStackIndex ? gWindow->fDownLinkStackIndex >= \
+   gWindow->fDownLinkStackTop[gWindow->fMemoStackIndex-1] \
+   : gWindow->fDownLinkStackIndex)
+
+#define need_return_button (gWindow->fMemoStackIndex)
+
+#define need_help_button (gWindow->page->helppage != NULL)
+
+#define max(x,y) ((x) > (y) ? (x) : (y))
+
+
+#define pick_box(box) fill_box(box->win, box->selected)
+#define unpick_box(box) fill_box(box->win, box->unselected)
+
+#define TopLevelHelpPage  "ugHyperPage"
+#define NoMoreHelpPage	  "NoMoreHelpPage"
+#define KeyDefsHelpPage	  "ugHyperKeysPage"
+#define InputAreaHelpPage "ugHyperInputPage"
+
+/* definitions for connecting to the Axiom server */
+
+#define Connected	0
+#define NotConnected	1
+#define SpadBusy	2
+
+/* some GUI-dependent stuff */
+
+#define BeepAtTheUser()		/* (XBell(gXDisplay,  5)) */
+#define LoudBeepAtTheUser()	/* (XBell(gXDisplay, 50)) */
+
+
+/***	  default fonts	     ***/
+
+#if defined(RTplatform) || defined(PS2platform) || defined(RIOSplatform) || defined(AIX370platform)
+#define RmFontDefault	      "Rom14"
+#define TtFontDefault	      "Erg14"
+#define ActiveFontDefault     "Bld14"
+#define AxiomFontDefault      "Erg14"
+#define EmphasizeFontDefault  "Itl14"
+#define BoldFontDefault	      "Bld14"
+#endif
+
+#if defined(SUNplatform) || defined (SUN4OS5platform) || defined(SGIplatform) || defined (HP9platform)  || defined(HP10platform) || defined (ALPHAplatform) || defined(LINUXplatform) || defined(MACOSXplatform) || defined(BSDplatform)
+#define RmFontDefault	      "-adobe-courier-medium-r-normal--18-*-*-*-m-*-iso8859-1"
+#define TtFontDefault	      "-adobe-courier-medium-r-normal--18-*-*-*-m-*-iso8859-1"
+#define ActiveFontDefault     "-adobe-courier-bold-r-normal--18-*-*-*-m-*-iso8859-1"
+#define AxiomFontDefault      "-adobe-courier-bold-o-normal--18-*-*-*-m-*-iso8859-1"
+#define EmphasizeFontDefault  "-adobe-courier-medium-o-normal--18-*-*-*-m-*-iso8859-1"
+#define BoldFontDefault	      "-adobe-courier-bold-r-normal--18-*-*-*-m-*-iso8859-1"
+#endif
+
+
+
+
+
+
+typedef struct group_item {
+    int cur_color;
+    XFontStruct *cur_font;
+    int center;
+    struct group_item *next;
+} GroupItem;
+
+
+extern GroupItem   *gTopOfGroupStack;
+
+
+typedef struct cond_node {
+   char *label;
+   char *cond;
+} CondNode;
+
+typedef struct parameter_list_type {
+    char          **list;       /** The parameters in string form **/
+    short           number;     /** How many parameters are there **/
+    struct parameter_list_type *next;
+}              *ParameterList;
+
+#endif
+@
+\section{hyper.c}
+<<hyper.c>>=
+/*
+ * This is the main module of the HyperDoc program. It contains the main
+ * routine which initializes all the X stuff, and the tables. Then it passes
+ * control over to the main event loop.
+ */
+
+/* #define DEBUG         1 */
+
+/* Include all the needed include files  */
+#define _HYPER_C
+#include "debug.h"
+
+
+#include "hyper.h"
+
+#include <sys/signal.h>
+#include <sys/types.h>
+#include <sys/wait.h>
+#include <setjmp.h>
+#include <X11/cursorfont.h>
+
+#include "keyin.h"
+#include "initx.h"
+#include "event.h"
+#include "parse-aux.h"
+#include "bsdsignal.h"
+
+#include "all-hyper-proto.h1"
+#include "sockio-c.h1"
+#include "bsdsignal.h1"
+/*
+ * Here is a flag used to tell me whether I made a good connection to the
+ * menu server. Needed so I don't send spad commands when I should not
+ */
+
+int MenuServerOpened = 1;
+
+/* include icon bitmap data */
+
+#define BITMAPDEPTH 1
+
+/* X11 display and screen variables */
+
+Display *gXDisplay;
+int      gXScreenNumber;
+
+/*
+ * Information about the top level HyperDoc window
+ */
+
+HDWindow *gWindow = NULL;      /* the current window */
+HDWindow *gParentWindow =NULL; /* the parent window. The one that appears
+                                 * when you first start HyperDoc       */
+
+HashTable gSessionHashTable;   /* hash table of HD windows */
+HashTable init_page_hash;       /* initial hash table of HD pages */
+HashTable init_macro_hash;      /* initial hash table of HD macros */
+HashTable init_patch_hash;      /* initial hash table of HD patches */
+
+/* The various Cursors we use */
+
+Cursor gNormalCursor;          /* The normal mouse cursor                */
+Cursor gActiveCursor;          /* The cursor in active regions           */
+Cursor gBusyCursor;            /* The clock cursor for when I am busy    */
+
+
+HashTable gFileHashTable;            /* hash table of HyperDoc files */
+HashTable gImageHashTable;           /* hash table for images */
+
+
+/* Some things needed for Handling interupts properly                      */
+
+int gIsEndOfOutput;              /* set to true when spad has finished output */
+int received_window_request = 0;/* true iff Spad wants a pop-up    */
+int in_next_event = 0;          /* true when in XNextEvent                 */
+int make_input_file = 0;        /* true when making input files from ht */
+int make_patch_files = 0;       /* true when making patch files from ht */
+int gmake_record_file= 0;       /* true when making record files from ht */
+int gverify_record_file = 0;    /* true when verifying record files from ht */
+int gverify_dates = 0;          /* true when we want hypertex to verify ht.db dates */
+
+Sock *session_server;           /* socket connecting to session manager */
+
+int gIsAxiomServer = 0;        /* true iff HyperDoc is acting as a   */
+                                /* an Axiom server */
+
+int kill_spad = 0;              /* kill spad when finished with paste file */
+
+int gSwitch_to_mono=0;         /* will be set to 1 if at any time we don't have 
+				enough colours for the images. We will know this 
+				when read_pixmap_file returns -1. We will use this 
+				when deciding what to do in case of \inputimage */
+
+int gTtFontIs850=0;            /* a flag that tells us if the Tt font is a IBM pagecode 850
+				font and hence supports the graphics chars
+                                set when the TtFont is opened*/
+
+/*
+ * Global copies of the command line arguments, so they never have to be
+ * passed as parameters. This is also so any child process starting up also
+ * has the same values.
+ */
+
+int gArgc;
+char **gArgv;
+
+char **input_file_list;
+int input_file_count;
+
+/*
+ * SIGUSR2 is raised by the spadbuf program when it is done with the current
+ * command
+ */
+
+void 
+sigusr2_handler(int sig)
+{
+  gIsEndOfOutput = 1;
+  return ;
+}
+
+void
+sigcld_handler(int sig)
+{
+
+    /* why were we waiting after the child had already died ?? 
+      because we don't want zombies */
+  
+  int x;
+  wait(&x);
+
+}
+
+extern jmp_buf env;
+
+
+/* Clean up spad sockets on exit */
+void
+clean_socket(void )
+{
+    char name[256];
+
+    make_server_name(name, MenuServerName);
+    unlink(name);
+}
+
+/*
+ * initialize hash tables, signal handlers and windows, then call the main
+ * event handling loop
+ */
+
+int
+main(int argc, char **argv)
+{
+    int ret_status;
+
+    /* Initialize some global values */
+/*    fprintf(stderr,"hyper:main:entered\n");*/
+    gArgc = argc;
+    gArgv = argv;
+    gIsEndOfOutput = 1;
+
+/*    fprintf(stderr,"hyper:main:calling  check_arguments\n");*/
+    check_arguments();
+/*    fprintf(stderr,"hyper:main:returned check_arguments\n");*/
+
+    /*
+     * initialize the hash tables for the files and the windows and images
+     */
+/*    fprintf(stderr,"hyper:main:calling  init_hash\n");*/
+    init_hash();
+/*    fprintf(stderr,"hyper:main:returned init_hash\n");*/
+
+    /*
+     * initialize the parser keyword hash table
+     */
+/*    fprintf(stderr,"hyper:main:calling  parser_init\n");*/
+    parser_init();
+/*    fprintf(stderr,"hyper:main:returned parser_init\n");*/
+
+/*    fprintf(stderr,"hyper:main:calling  read_ht_db\n");*/
+    read_ht_db(&init_page_hash, &init_macro_hash, &init_patch_hash);
+/*    fprintf(stderr,"hyper:main:returned read_ht_db\n");*/
+
+    /*
+     * Now initialize x. This includes opening the display, setting the
+     * screen and display global values, and also gets all the fonts and
+     * colors we will need.
+     */
+
+    if (!make_input_file && !gmake_record_file && !gverify_record_file) {
+/*        fprintf(stderr,"hyper:main:calling  initializeWindowSystem\n");*/
+        initializeWindowSystem();
+/*        fprintf(stderr,"hyper:main:returned initializeWindowSystem\n");*/
+
+        /*
+         * Initialize some of the global values used by the input string
+         * routines
+         */
+/*        fprintf(stderr,"hyper:main:calling  init_keyin\n");*/
+        init_keyin();
+/*        fprintf(stderr,"hyper:main:returned init_keyin\n");*/
+
+        /*
+         * regardless of what else happened, we should always pop up an
+         * initial window.
+         */
+
+/*        fprintf(stderr,"hyper:main:calling  init_top_window\n");*/
+        ret_status = init_top_window("RootPage");
+/*        fprintf(stderr,"hyper:main:returned init_top_window\n");*/
+        gParentWindow = gWindow;
+        if (ret_status == -1) {
+            fprintf(stderr, 
+               "(HyperDoc) Could not find RootPage for top-level window.\n");
+            exit(-1);
+        }
+
+        /*
+         * Tell it how to handle the user defined signals I may get
+         */
+        bsdSignal(SIGUSR2, sigusr2_handler,RestartSystemCalls);
+        bsdSignal(SIGUSR1, SIG_IGN,RestartSystemCalls);
+#if defined(BSDplatform) || defined(MACOSXplatform)
+        bsdSignal(SIGCHLD, sigcld_handler,RestartSystemCalls);
+#else
+        bsdSignal(SIGCLD, sigcld_handler,RestartSystemCalls);
+#endif
+        bsdSignal(SIGINT, SIG_IGN,RestartSystemCalls);
+
+        /*
+         * Now go to the main event loop. I will never return, so just end
+         * the main routine after that
+         */
+
+        /*
+         * make an input file if requested
+         */
+    }
+    else {
+
+        /*
+         * Try to establish all the socket connections I need. If I am an
+         * gIsAxiomServer and the routine fails, it will exit for me
+         */
+/*        fprintf(stderr,"hyper:main:in else case\n");*/
+/*        fprintf(stderr,"hyper:main:calling  make_server_connections\n");*/
+        make_server_connections();
+/*        fprintf(stderr,"hyper:main:returned make_server_connections\n");*/
+
+
+        if (make_input_file) ht2_input();
+        if (gmake_record_file) make_record();
+        if (gverify_record_file) verify_record();
+        exit(0);
+    }
+
+    /*
+     * Try to establish all the socket connections I need. If I am an
+     * gIsAxiomServer and the routine fails, it will exit for me
+     */
+/*    fprintf(stderr,"hyper:main:calling  make_server_connections\n");*/
+    make_server_connections();
+/*    fprintf(stderr,"hyper:main:returned make_server_connections\n");*/
+
+
+/*    fprintf(stderr,"hyper:main:calling  mainEventLoop\n");*/
+    mainEventLoop();
+/*    fprintf(stderr,"hyper:main:returned mainEventLoop\n");*/
+
+    return 0;
+}
+
+/*
+ * Initializes the hash table for Files, and Windows
+ */
+
+static void
+init_hash(void)
+{
+    hash_init(&gFileHashTable, 
+	      FileHashSize,
+	      (EqualFunction)string_equal, 
+	      (HashcodeFunction) string_hash);
+    hash_init(&gSessionHashTable, 
+	      SessionHashSize, 
+	      (EqualFunction) window_equal, 
+	      (HashcodeFunction) window_code);
+    hash_init(&gImageHashTable, 
+	      ImageHashSize, 
+	      (EqualFunction) string_equal, 
+	      (HashcodeFunction) string_hash);
+}
+
+/* initialize the HyperDoc page hierarchy data structures */
+
+void
+init_page_structs(HDWindow *w)
+{
+    int i;
+
+    w->fMemoStackIndex = 0;
+    for (i = 0; i < MaxMemoDepth; i++) {
+        w->fMemoStack[i] = NULL;
+        w->fDownLinkStackTop[i] = 0;
+    }
+    w->fDownLinkStackIndex = 0;
+    for (i = 0; i < MaxDownlinkDepth; i++)
+        w->fDownLinkStack[i] = NULL;
+}
+
+static void
+check_arguments(void)
+{
+  int i;
+  
+  /*
+   * Now check the command line arguments, to see if I am supposed to be a
+   * server or not
+   */
+  for (i = 1; i < gArgc; i++) {
+    if (gArgv[i][0] == '-')
+      switch (gArgv[i][1]) {
+      case 'p':
+	gverify_dates=1;
+	break;
+      case 's':
+	if (!MenuServerOpened) {
+	  fprintf(stderr, "(HyperDoc) Server already in use.\n");
+	  exit(-1);
+	}
+	gIsAxiomServer = 1;
+	break;
+      case 'i':
+	if (gArgv[i][2] == 'p')
+	  make_patch_files = 1;
+	make_input_file = 1;
+	input_file_list = gArgv + i + 1;
+	input_file_count = gArgc - i - 1;
+	break;
+      case 'k':
+	kill_spad = 1;
+	break;
+      case 'r':
+	if (gArgv[i][2] == 'm')
+	  gmake_record_file=1;
+	else if (gArgv[i][2] == 'v')
+	  gverify_record_file=1;
+	else 
+	  fprintf(stderr, "(HyperDoc) v or m must follow -r\n");
+	input_file_list = gArgv + i + 1;
+	input_file_count = gArgc - i - 1;
+	break;
+      default:
+	fprintf(stderr, "(HyperDoc) Unexpected Command Line Argument %s\n", gArgv[i]);
+	fprintf(stderr, "           Usage: hypertex [-s]\n");
+	break;
+      }
+  }
+}
+
+static void
+make_server_connections(void)
+{
+    int i, wait_time;
+
+    /*
+     * Try to open the menuserver socket, if I can not, then set a flag
+     */
+
+    if (open_server(MenuServerName) == -2) {
+        fprintf(stderr, "(HyperDoc) Warning: Not connected to AXIOM Server!\n");
+        MenuServerOpened = 0;
+    }
+    else
+        MenuServerOpened = 1;
+
+
+    /*
+     * If I have opened the MenuServer socket, then I should also try to open
+     * the SpadServer socket, so I can send stuff right to SPAD.
+     */
+
+    if (MenuServerOpened) {
+
+        /*
+         * If I am a ht server, then I should not continue on unless I
+         * establish some sort of connection
+         */
+
+        /*
+         * Modified on 11/20 so that it prints an error message every ten for
+         * ten tries at opeing the socket. If it fails all ten times, it
+         * gives up and exits.
+         */
+
+        if (!gIsAxiomServer)
+            wait_time = 2;
+        else
+            wait_time = 1000;
+
+        for (i = 0, spad_socket = NULL; i < 2 && spad_socket == NULL; i++) {
+            spad_socket = connect_to_local_server(SpadServer,
+                                                  MenuServer, wait_time);
+            if (gIsAxiomServer && spad_socket == NULL)
+                fprintf(stderr, "(HyperDoc) Error opening AXIOM server. Retrying ...\n");
+            else
+                i = 11;
+        }
+        if (! spad_socket) {
+            fprintf(stderr, "(HyperDoc) Couldn't connect to AXIOM server!\n");
+            if (!gIsAxiomServer)
+                MenuServerOpened = 0;
+            else {
+                fprintf(stderr, "(HyperDoc) Couldn't connect to AXIOM server!\n");
+                exit(-1);
+            }
+        }
+        else {
+
+            /*
+             * Do the same thing for the SessionServer
+             */
+
+            for (i = 0, session_server = NULL; i < 2 && session_server == NULL
+                 ; i++) {
+                session_server =
+                    connect_to_local_server(SessionServer, MenuServer,
+                                            wait_time);
+                if (gIsAxiomServer && session_server == NULL) {
+                    fprintf(stderr,
+                            "(HyperDoc) Error opening SessionServer, Retrying ...\n");
+                }
+                else
+                    i = 11;
+            }
+            if (session_server == NULL) {
+                fprintf(stderr, "(HyperDoc) Connection attempt to session manager timed out.\n");
+                if (gIsAxiomServer) {
+                    fprintf(stderr,
+                            "(HyperDoc) Server unable to connect to session server\n");
+                    exit(-1);
+                }
+                else {
+                    MenuServerOpened = 0;
+                }
+            }
+        }
+    }
+}
+@
+\section{License}
+<<license>>=
+/*
+Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+*/
+
+@
+<<*>>=
+<<license>>
+<<hyper.c>>
+@ 
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol8.pamphlet b/books/bookvol8.pamphlet
new file mode 100644
index 0000000..eed4adb
--- /dev/null
+++ b/books/bookvol8.pamphlet
@@ -0,0 +1,219 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 8: Axiom Graphics}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\chapter{Overview}
+This book contains the hyperdoc routines for Axiom.
+\chapter{Support Routines}
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
new file mode 100644
index 0000000..4acb8b2
--- /dev/null
+++ b/books/bookvol9.pamphlet
@@ -0,0 +1,333 @@
+\documentclass{book}
+\usepackage{axiom}
+\usepackage{makeidx}
+\makeindex
+\usepackage{graphicx}
+% struggle with latex figure-floating behavior
+\renewcommand\floatpagefraction{.9}
+\renewcommand\topfraction{.9}
+\renewcommand\bottomfraction{.9}
+\renewcommand\textfraction{.1}
+\setcounter{totalnumber}{50}
+\setcounter{topnumber}{50}
+\setcounter{bottomnumber}{50}
+
+
+%% spadgraph are the actual text that you type at the axiom prompt for draw
+\providecommand{\spadgraph}[1]%
+{\begin{flushleft}{\tt #1}\end{flushleft}\vskip .1cm }
+
+% spadfunFrom records the function name and domain in the index
+\providecommand{\spadfunFrom}[2]%
+{{\bf #1}\index{#1 @\begingroup \string\bf{} #1 \endgroup}\index{#2}}
+
+%% spadsig gives the standard -> notation for signatures
+\providecommand{\spadsig}[2]{{\sf #1 $\rightarrow$ #2}}
+
+% special meanings for math characters
+\providecommand{\N}{\mbox{\bbold N}}
+\providecommand{\Natural}{\mbox{\bbold N}}
+\providecommand{\Z}{\mbox{\bbold Z}}
+\providecommand{\Integer}{\mbox{\bbold Z}}
+\providecommand{\Rational}{\mbox{\bbold Q}}
+\providecommand{\Q}{\mbox{\bbold Q}}
+\providecommand{\Complex}{\mbox{\bbold C}}
+\providecommand{\C}{{\mathcal C}}
+\providecommand{\Real}{\mbox{\bbold R}}
+\providecommand{\F}{{\mathcal F}}
+\providecommand{\R}{{\mathcal R}}
+
+% draw a box around a text block
+\providecommand\boxed[2]{%
+\begin{center}
+\begin{tabular}{|c|}
+\hline
+\begin{minipage}{#1}
+\normalsize
+{#2}
+\end{minipage}\\
+\hline
+\end{tabular}
+\end{center}}
+
+\providecommand{\optArg}[1]{{{\tt [}{#1}{\tt ]}}}
+\providecommand{\argDef}[1]{{\tt ({#1})}}
+\providecommand{\funSyntax}[2]{{\bf #1}{\tt ({\small\it{#2}})}}
+\providecommand{\funArgs}[1]{{\tt ({\small\it {#1}})}\newline}
+\providecommand{\condata}[4]{{\bf #1} {\bf #2} {\bf #3} {\bf #4}}
+
+\def\glossaryTerm#1{{\bf #1}\index{#1}}
+\def\glossaryTermNoIndex#1{{\bf #1}}
+\def\glossarySyntaxTerm#1{{\tt #1}\index{#1}}
+\long\def\ourGloss#1#2{\par\pagebreak[3]{#1}\newline{#2}}
+\def\csch{\mathop{\rm csch}\nolimits}
+
+\def\erf{\mathop{\rm erf}\nolimits}
+
+\def\zag#1#2{
+  {{\hfill \left. {#1} \right|}
+   \over
+   {\left| {#2} \right. \hfill}
+  }
+}
+
+
+% these bitmaps are used by HyperDoc
+\newdimen\commentWidth 
+\commentWidth=11pc
+\newdimen\colGutterWidth 
+\colGutterWidth=1pc
+\newdimen\baseLeftSkip
+\baseLeftSkip=\commentWidth \advance\baseLeftSkip by \colGutterWidth
+
+\providecommand\ExitBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/exit.ps}\end{picture}}}
+
+\providecommand\ReturnBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/home.ps}\end{picture}}}
+
+\providecommand\HelpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/help.ps}\end{picture}}}
+
+\providecommand\UpBitmap%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(50,16)(0,0)\special{psfile=ps/up.ps}\end{picture}}}
+
+\providecommand{\tpd}[5]%
+{{\setlength{\unitlength}{0.01in}%
+\begin{picture}(#1,#2)(#3,#4)\special{psfile=#5}\end{picture}}}
+
+\begin{document}
+\begin{titlepage}
+\center{\includegraphics{ps/axiomfront.ps}}
+\vskip 0.1in
+\includegraphics{ps/bluebayou.ps}\\
+\vskip 0.1in
+{\Huge{The 30 Year Horizon}}
+\vskip 0.1in
+$$
+\begin{array}{lll}
+Manuel\ Bronstein      & William\ Burge   & Timothy\ Daly \\
+James\ Davenport       & Michael\ Dewar   & Martin\ Dunstan \\
+Albrecht\ Fortenbacher & Patrizia\ Gianni & Johannes\ Grabmeier \\
+Jocelyn\ Guidry        & Richard\ Jenks   & Larry\ Lambe \\
+Michael\ Monagan       & Scott\ Morrison  & William\ Sit \\
+Jonathan\ Steinbach    & Robert\ Sutor    & Barry\ Trager \\
+Stephen\ Watt          & Jim\ Wen         & Clifton\ Williamson
+\end{array}
+$$
+\center{\large{Volume 9: Axiom Compiler}}
+\end{titlepage}
+\pagenumbering{roman}
+\begin{verbatim}
+Portions Copyright (c) 2005 Timothy Daly
+
+The Blue Bayou image Copyright (c) 2004 Jocelyn Guidry
+
+Portions Copyright (c) 2004 Martin Dunstan
+
+Portions Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
+All rights reserved.
+
+This book and the Axiom software is licensed as follows:
+
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are
+met:
+
+    - Redistributions of source code must retain the above copyright
+      notice, this list of conditions and the following disclaimer.
+
+    - Redistributions in binary form must reproduce the above copyright
+      notice, this list of conditions and the following disclaimer in
+      the documentation and/or other materials provided with the
+      distribution.
+
+    - Neither the name of The Numerical ALgorithms Group Ltd. nor the
+      names of its contributors may be used to endorse or promote products
+      derived from this software without specific prior written permission.
+
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
+IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
+PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
+OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+\end{verbatim}
+
+Inclusion of names in the list of credits is based on historical
+information and is as accurate as possible. Inclusion of names
+does not in any way imply an endorsement but represents historical
+influence on Axiom development.
+\vfill
+\eject
+\begin{tabular}{lll}
+Cyril Alberga         & Roy Adler             & Richard Anderson\\
+George Andrews        & Henry Baker           & Stephen Balzac\\
+Yurij Baransky        & David R. Barton       & Gerald Baumgartner\\
+Gilbert Baumslag      & Fred Blair            & Vladimir Bondarenko\\
+Mark Botch            & Alexandre Bouyer      & Peter A. Broadbery\\
+Martin Brock          & Manuel Bronstein      & Florian Bundschuh\\
+William Burge         & Quentin Carpent       & Bob Caviness\\
+Bruce Char            & Cheekai Chin          & David V. Chudnovsky\\
+Gregory V. Chudnovsky & Josh Cohen            & Christophe Conil\\
+Don Coppersmith       & George Corliss        & Robert Corless\\
+Gary Cornell          & Meino Cramer          & Claire Di Crescenzo\\
+Timothy Daly Sr.      & Timothy Daly Jr.      & James H. Davenport\\
+Jean Della Dora       & Gabriel Dos Reis      & Michael Dewar\\
+Claire DiCrescendo    & Sam Dooley            & Lionel Ducos\\
+Martin Dunstan        & Brian Dupee           & Dominique Duval\\
+Robert Edwards        & Heow Eide-Goodman     & Lars Erickson\\
+Richard Fateman       & Bertfried Fauser      & Stuart Feldman\\
+Brian Ford            & Albrecht Fortenbacher & George Frances\\
+Constantine Frangos   & Timothy Freeman       & Korrinn Fu\\
+Marc Gaetano          & Rudiger Gebauer       & Kathy Gerber\\
+Patricia Gianni       & Holger Gollan         & Teresa Gomez-Diaz\\
+Laureano Gonzalez-Vega& Stephen Gortler       & Johannes Grabmeier\\
+Matt Grayson          & James Griesmer        & Vladimir Grinberg\\
+Oswald Gschnitzer     & Jocelyn Guidry        & Steve Hague\\
+Vilya Harvey          & Satoshi Hamaguchi     & Martin Hassner\\
+Ralf Hemmecke         & Henderson             & Antoine Hersen\\
+Pietro Iglio          & Richard Jenks         & Kai Kaminski\\
+Grant Keady           & Tony Kennedy          & Paul Kosinski\\
+Klaus Kusche          & Bernhard Kutzler      & Larry Lambe\\
+Frederic Lehobey      & Michel Levaud         & Howard Levy\\
+Rudiger Loos          & Michael Lucks         & Richard Luczak\\
+Camm Maguire          & Bob McElrath          & Michael McGettrick\\
+Ian Meikle            & David Mentre          & Victor S. Miller\\
+Gerard Milmeister     & Mohammed Mobarak      & H. Michael Moeller\\
+Michael Monagan       & Marc Moreno-Maza      & Scott Morrison\\
+Mark Murray           & William Naylor        & C. Andrew Neff\\
+John Nelder           & Godfrey Nolan         & Arthur Norman\\
+Jinzhong Niu          & Michael O'Connor      & Kostas Oikonomou\\
+Julian A. Padget      & Bill Page             & Jaap Weel\\
+Susan Pelzel          & Michel Petitot        & Didier Pinchon\\
+Claude Quitte         & Norman Ramsey         & Michael Richardson\\
+Renaud Rioboo         & Jean Rivlin           & Nicolas Robidoux\\
+Simon Robinson        & Michael Rothstein     & Martin Rubey\\
+Philip Santas         & Alfred Scheerhorn     & William Schelter\\
+Gerhard Schneider     & Martin Schoenert      & Marshall Schor\\
+Fritz Schwarz         & Nick Simicich         & William Sit\\
+Elena Smirnova        & Jonathan Steinbach    & Christine Sundaresan\\
+Robert Sutor          & Moss E. Sweedler      & Eugene Surowitz\\
+James Thatcher        & Baldir Thomas         & Mike Thomas\\
+Dylan Thurston        & Barry Trager          & Themos T. Tsikas\\
+Gregory Vanuxem       & Bernhard Wall         & Stephen Watt\\
+Juergen Weiss         & M. Weller             & Mark Wegman\\
+James Wen             & Thorsten Werther      & Michael Wester\\
+John M. Wiley         & Berhard Will          & Clifton J. Williamson\\
+Stephen Wilson        & Shmuel Winograd       & Robert Wisbauer\\
+Sandra Wityak         & Waldemar Wiwianka     & Knut Wolf\\
+Clifford Yapp         & David Yun             & Richard Zippel\\
+Evelyn Zoernack       & Bruno Zuercher        & Dan Zwillinger 
+\end{tabular}
+\eject
+\tableofcontents
+\vfill
+\eject
+\setlength{\parindent}{0em}
+\setlength{\parskip}{1ex}
+{\Large{\bf New Foreword}}
+\vskip .25in
+
+On October 1, 2001 Axiom was withdrawn from the market and ended
+life as a commercial product.
+On September 3, 2002 Axiom was released under the Modified BSD
+license, including this document.
+On August 27, 2003 Axiom was released as free and open source
+software available for download from the Free Software Foundation's
+website, Savannah.
+
+Work on Axiom has had the generous support of the Center for 
+Algorithms and Interactive Scientific Computation (CAISS) at
+City College of New York. Special thanks go to Dr. Gilbert 
+Baumslag for his support of the long term goal.
+
+The online version of this documentation is roughly 1000 pages.
+In order to make printed versions we've broken it up into three
+volumes. The first volume is tutorial in nature. The second volume
+is for programmers. The third volume is reference material. We've
+also added a fourth volume for developers. All of these changes
+represent an experiment in print-on-demand delivery of documentation.
+Time will tell whether the experiment succeeded.
+
+Axiom has been in existence for over thirty years. It is estimated to
+contain about three hundred man-years of research and has, as of
+September 3, 2003, 143 people listed in the credits. All of these
+people have contributed directly or indirectly to making Axiom
+available.  Axiom is being passed to the next generation. I'm looking
+forward to future milestones.
+
+With that in mind I've introduced the theme of the ``30 year horizon''.
+We must invent the tools that support the Computational Mathematician
+working 30 years from now. How will research be done when every bit of
+mathematical knowledge is online and instantly available? What happens
+when we scale Axiom by a factor of 100, giving us 1.1 million domains?
+How can we integrate theory with code? How will we integrate theorems
+and proofs of the mathematics with space-time complexity proofs and
+running code? What visualization tools are needed? How do we support
+the conceptual structures and semantics of mathematics in effective
+ways? How do we support results from the sciences? How do we teach
+the next generation to be effective Computational Mathematicians?
+
+The ``30 year horizon'' is much nearer than it appears.
+
+\vskip .25in
+%\noindent
+Tim Daly\\
+CAISS, City College of New York\\
+November 10, 2003 ((iHy))
+\vfill
+\eject
+\pagenumbering{arabic}
+\setcounter{chapter}{0} % Chapter 1
+\section{Makefile}
+This book is actually a literate program\cite{2} and can contain 
+executable source code. In particular, the Makefile for this book
+is part of the source of the book and is included below. Axiom 
+uses the ``noweb'' literate programming system by Norman Ramsey\cite{6}.
+<<*>>=
+PROJECT=bookvol9
+TANGLE=/usr/local/bin/NOTANGLE
+WEAVE=/usr/local/bin/NOWEAVE
+LATEX=/usr/bin/latex
+MAKEINDEX=/usr/bin/makeindex
+
+all: 
+	${WEAVE} -t8 -delay ${PROJECT}.pamphlet >${PROJECT}.tex
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+	${MAKEINDEX} ${PROJECT}.idx
+	${LATEX} ${PROJECT}.tex 2>/dev/null 1>/dev/null
+
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Jenks, R.J. and Sutor, R.S. 
+``Axiom -- The Scientific Computation System''
+Springer-Verlag New York (1992)
+ISBN 0-387-97855-0
+\bibitem{2} Knuth, Donald E., ``Literate Programming''
+Center for the Study of Language and Information
+ISBN 0-937073-81-4
+Stanford CA (1992) 
+\bibitem{3} Page, William, ``The Axiom Wiki Website''\\
+{\bf http://wiki.axiom-developer.org}
+\bibitem{4} Watt, Stephen, ``Aldor'',\\
+{\bf http://www.aldor.org}
+\bibitem{5} Lamport, Leslie, ``Latex -- A Document Preparation System'',
+Addison-Wesley, New York ISBN 0-201-52983-1
+\bibitem{6} Ramsey, Norman ``Noweb -- A Simple, Extensible Tool for
+Literate Programming''\\
+{\bf http://www.eecs.harvard.edu/ $\tilde{}$nr/noweb}
+\end{thebibliography}
+\printindex
+\end{document}
diff --git a/books/ps/23dcola.ps b/books/ps/23dcola.ps
new file mode 100644
index 0000000..e4dc23e
--- /dev/null
+++ b/books/ps/23dcola.ps
@@ -0,0 +1,347 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	244	0	244	psDrawLine
+	globalGC1	128	259	128	0	psDrawLine
+	globalGC1	11 13	3 3	0 360	12 14	psFillArc
+	globalGC1	12	14	12	14	psDrawLine
+	globalGC1	11 13	3 3	0 360	12 14	psFillArc
+	globalGC1	17	33	12	14	psDrawLine
+	globalGC1	16 32	3 3	0 360	17 33	psFillArc
+	globalGC1	22	51	17	33	psDrawLine
+	globalGC1	21 50	3 3	0 360	22 51	psFillArc
+	globalGC1	27	68	22	51	psDrawLine
+	globalGC1	26 67	3 3	0 360	27 68	psFillArc
+	globalGC1	32	84	27	68	psDrawLine
+	globalGC1	31 83	3 3	0 360	32 84	psFillArc
+	globalGC1	36	100	32	84	psDrawLine
+	globalGC1	35 99	3 3	0 360	36 100	psFillArc
+	globalGC1	41	115	36	100	psDrawLine
+	globalGC1	40 114	3 3	0 360	41 115	psFillArc
+	globalGC1	46	129	41	115	psDrawLine
+	globalGC1	45 128	3 3	0 360	46 129	psFillArc
+	globalGC1	51	142	46	129	psDrawLine
+	globalGC1	50 141	3 3	0 360	51 142	psFillArc
+	globalGC1	56	154	51	142	psDrawLine
+	globalGC1	55 153	3 3	0 360	56 154	psFillArc
+	globalGC1	60	166	56	154	psDrawLine
+	globalGC1	59 165	3 3	0 360	60 166	psFillArc
+	globalGC1	65	177	60	166	psDrawLine
+	globalGC1	64 176	3 3	0 360	65 177	psFillArc
+	globalGC1	70	187	65	177	psDrawLine
+	globalGC1	69 186	3 3	0 360	70 187	psFillArc
+	globalGC1	75	196	70	187	psDrawLine
+	globalGC1	74 195	3 3	0 360	75 196	psFillArc
+	globalGC1	80	204	75	196	psDrawLine
+	globalGC1	79 203	3 3	0 360	80 204	psFillArc
+	globalGC1	84	212	80	204	psDrawLine
+	globalGC1	83 211	3 3	0 360	84 212	psFillArc
+	globalGC1	89	219	84	212	psDrawLine
+	globalGC1	88 218	3 3	0 360	89 219	psFillArc
+	globalGC1	94	225	89	219	psDrawLine
+	globalGC1	93 224	3 3	0 360	94 225	psFillArc
+	globalGC1	99	230	94	225	psDrawLine
+	globalGC1	98 229	3 3	0 360	99 230	psFillArc
+	globalGC1	104	234	99	230	psDrawLine
+	globalGC1	103 233	3 3	0 360	104 234	psFillArc
+	globalGC1	108	238	104	234	psDrawLine
+	globalGC1	107 237	3 3	0 360	108 238	psFillArc
+	globalGC1	113	241	108	238	psDrawLine
+	globalGC1	112 240	3 3	0 360	113 241	psFillArc
+	globalGC1	118	243	113	241	psDrawLine
+	globalGC1	117 242	3 3	0 360	118 243	psFillArc
+	globalGC1	123	244	118	243	psDrawLine
+	globalGC1	122 243	3 3	0 360	123 244	psFillArc
+	globalGC1	127	244	123	244	psDrawLine
+	globalGC1	126 243	3 3	0 360	127 244	psFillArc
+	globalGC1	132	244	127	244	psDrawLine
+	globalGC1	131 243	3 3	0 360	132 244	psFillArc
+	globalGC1	137	243	132	244	psDrawLine
+	globalGC1	136 242	3 3	0 360	137 243	psFillArc
+	globalGC1	142	241	137	243	psDrawLine
+	globalGC1	141 240	3 3	0 360	142 241	psFillArc
+	globalGC1	147	238	142	241	psDrawLine
+	globalGC1	146 237	3 3	0 360	147 238	psFillArc
+	globalGC1	151	234	147	238	psDrawLine
+	globalGC1	150 233	3 3	0 360	151 234	psFillArc
+	globalGC1	156	230	151	234	psDrawLine
+	globalGC1	155 229	3 3	0 360	156 230	psFillArc
+	globalGC1	161	225	156	230	psDrawLine
+	globalGC1	160 224	3 3	0 360	161 225	psFillArc
+	globalGC1	166	219	161	225	psDrawLine
+	globalGC1	165 218	3 3	0 360	166 219	psFillArc
+	globalGC1	171	212	166	219	psDrawLine
+	globalGC1	170 211	3 3	0 360	171 212	psFillArc
+	globalGC1	175	204	171	212	psDrawLine
+	globalGC1	174 203	3 3	0 360	175 204	psFillArc
+	globalGC1	180	196	175	204	psDrawLine
+	globalGC1	179 195	3 3	0 360	180 196	psFillArc
+	globalGC1	185	187	180	196	psDrawLine
+	globalGC1	184 186	3 3	0 360	185 187	psFillArc
+	globalGC1	190	177	185	187	psDrawLine
+	globalGC1	189 176	3 3	0 360	190 177	psFillArc
+	globalGC1	195	166	190	177	psDrawLine
+	globalGC1	194 165	3 3	0 360	195 166	psFillArc
+	globalGC1	199	154	195	166	psDrawLine
+	globalGC1	198 153	3 3	0 360	199 154	psFillArc
+	globalGC1	204	142	199	154	psDrawLine
+	globalGC1	203 141	3 3	0 360	204 142	psFillArc
+	globalGC1	209	129	204	142	psDrawLine
+	globalGC1	208 128	3 3	0 360	209 129	psFillArc
+	globalGC1	214	115	209	129	psDrawLine
+	globalGC1	213 114	3 3	0 360	214 115	psFillArc
+	globalGC1	219	100	214	115	psDrawLine
+	globalGC1	218 99	3 3	0 360	219 100	psFillArc
+	globalGC1	223	84	219	100	psDrawLine
+	globalGC1	222 83	3 3	0 360	223 84	psFillArc
+	globalGC1	228	68	223	84	psDrawLine
+	globalGC1	227 67	3 3	0 360	228 68	psFillArc
+	globalGC1	233	51	228	68	psDrawLine
+	globalGC1	232 50	3 3	0 360	233 51	psFillArc
+	globalGC1	238	33	233	51	psDrawLine
+	globalGC1	237 32	3 3	0 360	238 33	psFillArc
+	globalGC1	243	14	238	33	psDrawLine
+	globalGC1	242 13	3 3	0 360	243 14	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/23dcolb.ps b/books/ps/23dcolb.ps
new file mode 100644
index 0000000..e4dc23e
--- /dev/null
+++ b/books/ps/23dcolb.ps
@@ -0,0 +1,347 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	244	0	244	psDrawLine
+	globalGC1	128	259	128	0	psDrawLine
+	globalGC1	11 13	3 3	0 360	12 14	psFillArc
+	globalGC1	12	14	12	14	psDrawLine
+	globalGC1	11 13	3 3	0 360	12 14	psFillArc
+	globalGC1	17	33	12	14	psDrawLine
+	globalGC1	16 32	3 3	0 360	17 33	psFillArc
+	globalGC1	22	51	17	33	psDrawLine
+	globalGC1	21 50	3 3	0 360	22 51	psFillArc
+	globalGC1	27	68	22	51	psDrawLine
+	globalGC1	26 67	3 3	0 360	27 68	psFillArc
+	globalGC1	32	84	27	68	psDrawLine
+	globalGC1	31 83	3 3	0 360	32 84	psFillArc
+	globalGC1	36	100	32	84	psDrawLine
+	globalGC1	35 99	3 3	0 360	36 100	psFillArc
+	globalGC1	41	115	36	100	psDrawLine
+	globalGC1	40 114	3 3	0 360	41 115	psFillArc
+	globalGC1	46	129	41	115	psDrawLine
+	globalGC1	45 128	3 3	0 360	46 129	psFillArc
+	globalGC1	51	142	46	129	psDrawLine
+	globalGC1	50 141	3 3	0 360	51 142	psFillArc
+	globalGC1	56	154	51	142	psDrawLine
+	globalGC1	55 153	3 3	0 360	56 154	psFillArc
+	globalGC1	60	166	56	154	psDrawLine
+	globalGC1	59 165	3 3	0 360	60 166	psFillArc
+	globalGC1	65	177	60	166	psDrawLine
+	globalGC1	64 176	3 3	0 360	65 177	psFillArc
+	globalGC1	70	187	65	177	psDrawLine
+	globalGC1	69 186	3 3	0 360	70 187	psFillArc
+	globalGC1	75	196	70	187	psDrawLine
+	globalGC1	74 195	3 3	0 360	75 196	psFillArc
+	globalGC1	80	204	75	196	psDrawLine
+	globalGC1	79 203	3 3	0 360	80 204	psFillArc
+	globalGC1	84	212	80	204	psDrawLine
+	globalGC1	83 211	3 3	0 360	84 212	psFillArc
+	globalGC1	89	219	84	212	psDrawLine
+	globalGC1	88 218	3 3	0 360	89 219	psFillArc
+	globalGC1	94	225	89	219	psDrawLine
+	globalGC1	93 224	3 3	0 360	94 225	psFillArc
+	globalGC1	99	230	94	225	psDrawLine
+	globalGC1	98 229	3 3	0 360	99 230	psFillArc
+	globalGC1	104	234	99	230	psDrawLine
+	globalGC1	103 233	3 3	0 360	104 234	psFillArc
+	globalGC1	108	238	104	234	psDrawLine
+	globalGC1	107 237	3 3	0 360	108 238	psFillArc
+	globalGC1	113	241	108	238	psDrawLine
+	globalGC1	112 240	3 3	0 360	113 241	psFillArc
+	globalGC1	118	243	113	241	psDrawLine
+	globalGC1	117 242	3 3	0 360	118 243	psFillArc
+	globalGC1	123	244	118	243	psDrawLine
+	globalGC1	122 243	3 3	0 360	123 244	psFillArc
+	globalGC1	127	244	123	244	psDrawLine
+	globalGC1	126 243	3 3	0 360	127 244	psFillArc
+	globalGC1	132	244	127	244	psDrawLine
+	globalGC1	131 243	3 3	0 360	132 244	psFillArc
+	globalGC1	137	243	132	244	psDrawLine
+	globalGC1	136 242	3 3	0 360	137 243	psFillArc
+	globalGC1	142	241	137	243	psDrawLine
+	globalGC1	141 240	3 3	0 360	142 241	psFillArc
+	globalGC1	147	238	142	241	psDrawLine
+	globalGC1	146 237	3 3	0 360	147 238	psFillArc
+	globalGC1	151	234	147	238	psDrawLine
+	globalGC1	150 233	3 3	0 360	151 234	psFillArc
+	globalGC1	156	230	151	234	psDrawLine
+	globalGC1	155 229	3 3	0 360	156 230	psFillArc
+	globalGC1	161	225	156	230	psDrawLine
+	globalGC1	160 224	3 3	0 360	161 225	psFillArc
+	globalGC1	166	219	161	225	psDrawLine
+	globalGC1	165 218	3 3	0 360	166 219	psFillArc
+	globalGC1	171	212	166	219	psDrawLine
+	globalGC1	170 211	3 3	0 360	171 212	psFillArc
+	globalGC1	175	204	171	212	psDrawLine
+	globalGC1	174 203	3 3	0 360	175 204	psFillArc
+	globalGC1	180	196	175	204	psDrawLine
+	globalGC1	179 195	3 3	0 360	180 196	psFillArc
+	globalGC1	185	187	180	196	psDrawLine
+	globalGC1	184 186	3 3	0 360	185 187	psFillArc
+	globalGC1	190	177	185	187	psDrawLine
+	globalGC1	189 176	3 3	0 360	190 177	psFillArc
+	globalGC1	195	166	190	177	psDrawLine
+	globalGC1	194 165	3 3	0 360	195 166	psFillArc
+	globalGC1	199	154	195	166	psDrawLine
+	globalGC1	198 153	3 3	0 360	199 154	psFillArc
+	globalGC1	204	142	199	154	psDrawLine
+	globalGC1	203 141	3 3	0 360	204 142	psFillArc
+	globalGC1	209	129	204	142	psDrawLine
+	globalGC1	208 128	3 3	0 360	209 129	psFillArc
+	globalGC1	214	115	209	129	psDrawLine
+	globalGC1	213 114	3 3	0 360	214 115	psFillArc
+	globalGC1	219	100	214	115	psDrawLine
+	globalGC1	218 99	3 3	0 360	219 100	psFillArc
+	globalGC1	223	84	219	100	psDrawLine
+	globalGC1	222 83	3 3	0 360	223 84	psFillArc
+	globalGC1	228	68	223	84	psDrawLine
+	globalGC1	227 67	3 3	0 360	228 68	psFillArc
+	globalGC1	233	51	228	68	psDrawLine
+	globalGC1	232 50	3 3	0 360	233 51	psFillArc
+	globalGC1	238	33	233	51	psDrawLine
+	globalGC1	237 32	3 3	0 360	238 33	psFillArc
+	globalGC1	243	14	238	33	psDrawLine
+	globalGC1	242 13	3 3	0 360	243 14	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/23dpal.ps b/books/ps/23dpal.ps
new file mode 100644
index 0000000..e4dc23e
--- /dev/null
+++ b/books/ps/23dpal.ps
@@ -0,0 +1,347 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	244	0	244	psDrawLine
+	globalGC1	128	259	128	0	psDrawLine
+	globalGC1	11 13	3 3	0 360	12 14	psFillArc
+	globalGC1	12	14	12	14	psDrawLine
+	globalGC1	11 13	3 3	0 360	12 14	psFillArc
+	globalGC1	17	33	12	14	psDrawLine
+	globalGC1	16 32	3 3	0 360	17 33	psFillArc
+	globalGC1	22	51	17	33	psDrawLine
+	globalGC1	21 50	3 3	0 360	22 51	psFillArc
+	globalGC1	27	68	22	51	psDrawLine
+	globalGC1	26 67	3 3	0 360	27 68	psFillArc
+	globalGC1	32	84	27	68	psDrawLine
+	globalGC1	31 83	3 3	0 360	32 84	psFillArc
+	globalGC1	36	100	32	84	psDrawLine
+	globalGC1	35 99	3 3	0 360	36 100	psFillArc
+	globalGC1	41	115	36	100	psDrawLine
+	globalGC1	40 114	3 3	0 360	41 115	psFillArc
+	globalGC1	46	129	41	115	psDrawLine
+	globalGC1	45 128	3 3	0 360	46 129	psFillArc
+	globalGC1	51	142	46	129	psDrawLine
+	globalGC1	50 141	3 3	0 360	51 142	psFillArc
+	globalGC1	56	154	51	142	psDrawLine
+	globalGC1	55 153	3 3	0 360	56 154	psFillArc
+	globalGC1	60	166	56	154	psDrawLine
+	globalGC1	59 165	3 3	0 360	60 166	psFillArc
+	globalGC1	65	177	60	166	psDrawLine
+	globalGC1	64 176	3 3	0 360	65 177	psFillArc
+	globalGC1	70	187	65	177	psDrawLine
+	globalGC1	69 186	3 3	0 360	70 187	psFillArc
+	globalGC1	75	196	70	187	psDrawLine
+	globalGC1	74 195	3 3	0 360	75 196	psFillArc
+	globalGC1	80	204	75	196	psDrawLine
+	globalGC1	79 203	3 3	0 360	80 204	psFillArc
+	globalGC1	84	212	80	204	psDrawLine
+	globalGC1	83 211	3 3	0 360	84 212	psFillArc
+	globalGC1	89	219	84	212	psDrawLine
+	globalGC1	88 218	3 3	0 360	89 219	psFillArc
+	globalGC1	94	225	89	219	psDrawLine
+	globalGC1	93 224	3 3	0 360	94 225	psFillArc
+	globalGC1	99	230	94	225	psDrawLine
+	globalGC1	98 229	3 3	0 360	99 230	psFillArc
+	globalGC1	104	234	99	230	psDrawLine
+	globalGC1	103 233	3 3	0 360	104 234	psFillArc
+	globalGC1	108	238	104	234	psDrawLine
+	globalGC1	107 237	3 3	0 360	108 238	psFillArc
+	globalGC1	113	241	108	238	psDrawLine
+	globalGC1	112 240	3 3	0 360	113 241	psFillArc
+	globalGC1	118	243	113	241	psDrawLine
+	globalGC1	117 242	3 3	0 360	118 243	psFillArc
+	globalGC1	123	244	118	243	psDrawLine
+	globalGC1	122 243	3 3	0 360	123 244	psFillArc
+	globalGC1	127	244	123	244	psDrawLine
+	globalGC1	126 243	3 3	0 360	127 244	psFillArc
+	globalGC1	132	244	127	244	psDrawLine
+	globalGC1	131 243	3 3	0 360	132 244	psFillArc
+	globalGC1	137	243	132	244	psDrawLine
+	globalGC1	136 242	3 3	0 360	137 243	psFillArc
+	globalGC1	142	241	137	243	psDrawLine
+	globalGC1	141 240	3 3	0 360	142 241	psFillArc
+	globalGC1	147	238	142	241	psDrawLine
+	globalGC1	146 237	3 3	0 360	147 238	psFillArc
+	globalGC1	151	234	147	238	psDrawLine
+	globalGC1	150 233	3 3	0 360	151 234	psFillArc
+	globalGC1	156	230	151	234	psDrawLine
+	globalGC1	155 229	3 3	0 360	156 230	psFillArc
+	globalGC1	161	225	156	230	psDrawLine
+	globalGC1	160 224	3 3	0 360	161 225	psFillArc
+	globalGC1	166	219	161	225	psDrawLine
+	globalGC1	165 218	3 3	0 360	166 219	psFillArc
+	globalGC1	171	212	166	219	psDrawLine
+	globalGC1	170 211	3 3	0 360	171 212	psFillArc
+	globalGC1	175	204	171	212	psDrawLine
+	globalGC1	174 203	3 3	0 360	175 204	psFillArc
+	globalGC1	180	196	175	204	psDrawLine
+	globalGC1	179 195	3 3	0 360	180 196	psFillArc
+	globalGC1	185	187	180	196	psDrawLine
+	globalGC1	184 186	3 3	0 360	185 187	psFillArc
+	globalGC1	190	177	185	187	psDrawLine
+	globalGC1	189 176	3 3	0 360	190 177	psFillArc
+	globalGC1	195	166	190	177	psDrawLine
+	globalGC1	194 165	3 3	0 360	195 166	psFillArc
+	globalGC1	199	154	195	166	psDrawLine
+	globalGC1	198 153	3 3	0 360	199 154	psFillArc
+	globalGC1	204	142	199	154	psDrawLine
+	globalGC1	203 141	3 3	0 360	204 142	psFillArc
+	globalGC1	209	129	204	142	psDrawLine
+	globalGC1	208 128	3 3	0 360	209 129	psFillArc
+	globalGC1	214	115	209	129	psDrawLine
+	globalGC1	213 114	3 3	0 360	214 115	psFillArc
+	globalGC1	219	100	214	115	psDrawLine
+	globalGC1	218 99	3 3	0 360	219 100	psFillArc
+	globalGC1	223	84	219	100	psDrawLine
+	globalGC1	222 83	3 3	0 360	223 84	psFillArc
+	globalGC1	228	68	223	84	psDrawLine
+	globalGC1	227 67	3 3	0 360	228 68	psFillArc
+	globalGC1	233	51	228	68	psDrawLine
+	globalGC1	232 50	3 3	0 360	233 51	psFillArc
+	globalGC1	238	33	233	51	psDrawLine
+	globalGC1	237 32	3 3	0 360	238 33	psFillArc
+	globalGC1	243	14	238	33	psDrawLine
+	globalGC1	242 13	3 3	0 360	243 14	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2d1vara.ps b/books/ps/2d1vara.ps
new file mode 100644
index 0000000..054f66a
--- /dev/null
+++ b/books/ps/2d1vara.ps
@@ -0,0 +1,1535 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	12	259	12	0	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	12	129	12	129	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	17	129	12	129	psDrawLine
+	globalGC1	16 128	3 3	0 360	17 129	psFillArc
+	globalGC1	22	129	17	129	psDrawLine
+	globalGC1	21 128	3 3	0 360	22 129	psFillArc
+	globalGC1	27	129	22	129	psDrawLine
+	globalGC1	26 128	3 3	0 360	27 129	psFillArc
+	globalGC1	32	129	27	129	psDrawLine
+	globalGC1	31 128	3 3	0 360	32 129	psFillArc
+	globalGC1	36	129	32	129	psDrawLine
+	globalGC1	35 128	3 3	0 360	36 129	psFillArc
+	globalGC1	41	129	36	129	psDrawLine
+	globalGC1	40 128	3 3	0 360	41 129	psFillArc
+	globalGC1	43	130	41	129	psDrawLine
+	globalGC1	42 129	3 3	0 360	43 130	psFillArc
+	globalGC1	46	131	43	130	psDrawLine
+	globalGC1	45 130	3 3	0 360	46 131	psFillArc
+	globalGC1	47	131	46	131	psDrawLine
+	globalGC1	46 130	3 3	0 360	47 131	psFillArc
+	globalGC1	48	132	47	131	psDrawLine
+	globalGC1	47 131	3 3	0 360	48 132	psFillArc
+	globalGC1	50	133	48	132	psDrawLine
+	globalGC1	49 132	3 3	0 360	50 133	psFillArc
+	globalGC1	51	134	50	133	psDrawLine
+	globalGC1	50 133	3 3	0 360	51 134	psFillArc
+	globalGC1	53	139	51	134	psDrawLine
+	globalGC1	52 138	3 3	0 360	53 139	psFillArc
+	globalGC1	56	147	53	139	psDrawLine
+	globalGC1	55 146	3 3	0 360	56 147	psFillArc
+	globalGC1	58	161	56	147	psDrawLine
+	globalGC1	57 160	3 3	0 360	58 161	psFillArc
+	globalGC1	59	172	58	161	psDrawLine
+	globalGC1	58 171	3 3	0 360	59 172	psFillArc
+	globalGC1	60	186	59	172	psDrawLine
+	globalGC1	59 185	3 3	0 360	60 186	psFillArc
+	globalGC1	62	203	60	186	psDrawLine
+	globalGC1	61 202	3 3	0 360	62 203	psFillArc
+	globalGC1	63	221	62	203	psDrawLine
+	globalGC1	62 220	3 3	0 360	63 221	psFillArc
+	globalGC1	63	230	63	221	psDrawLine
+	globalGC1	62 229	3 3	0 360	63 230	psFillArc
+	globalGC1	64	237	63	230	psDrawLine
+	globalGC1	63 236	3 3	0 360	64 237	psFillArc
+	globalGC1	64	240	64	237	psDrawLine
+	globalGC1	63 239	3 3	0 360	64 240	psFillArc
+	globalGC1	65	241	64	240	psDrawLine
+	globalGC1	64 240	3 3	0 360	65 241	psFillArc
+	globalGC1	65	241	65	241	psDrawLine
+	globalGC1	64 240	3 3	0 360	65 241	psFillArc
+	globalGC1	65	241	65	241	psDrawLine
+	globalGC1	64 240	3 3	0 360	65 241	psFillArc
+	globalGC1	65	240	65	241	psDrawLine
+	globalGC1	64 239	3 3	0 360	65 240	psFillArc
+	globalGC1	65	239	65	240	psDrawLine
+	globalGC1	64 238	3 3	0 360	65 239	psFillArc
+	globalGC1	66	229	65	239	psDrawLine
+	globalGC1	65 228	3 3	0 360	66 229	psFillArc
+	globalGC1	66	209	66	229	psDrawLine
+	globalGC1	65 208	3 3	0 360	66 209	psFillArc
+	globalGC1	67	181	66	209	psDrawLine
+	globalGC1	66 180	3 3	0 360	67 181	psFillArc
+	globalGC1	67	167	67	181	psDrawLine
+	globalGC1	66 166	3 3	0 360	67 167	psFillArc
+	globalGC1	68	156	67	167	psDrawLine
+	globalGC1	67 155	3 3	0 360	68 156	psFillArc
+	globalGC1	68	153	68	156	psDrawLine
+	globalGC1	67 152	3 3	0 360	68 153	psFillArc
+	globalGC1	68	153	68	153	psDrawLine
+	globalGC1	67 152	3 3	0 360	68 153	psFillArc
+	globalGC1	68	153	68	153	psDrawLine
+	globalGC1	67 152	3 3	0 360	68 153	psFillArc
+	globalGC1	68	154	68	153	psDrawLine
+	globalGC1	67 153	3 3	0 360	68 154	psFillArc
+	globalGC1	68	155	68	154	psDrawLine
+	globalGC1	67 154	3 3	0 360	68 155	psFillArc
+	globalGC1	68	161	68	155	psDrawLine
+	globalGC1	67 160	3 3	0 360	68 161	psFillArc
+	globalGC1	68	182	68	161	psDrawLine
+	globalGC1	67 181	3 3	0 360	68 182	psFillArc
+	globalGC1	69	213	68	182	psDrawLine
+	globalGC1	68 212	3 3	0 360	69 213	psFillArc
+	globalGC1	69	229	69	213	psDrawLine
+	globalGC1	68 228	3 3	0 360	69 229	psFillArc
+	globalGC1	69	240	69	229	psDrawLine
+	globalGC1	68 239	3 3	0 360	69 240	psFillArc
+	globalGC1	69	243	69	240	psDrawLine
+	globalGC1	68 242	3 3	0 360	69 243	psFillArc
+	globalGC1	69	243	69	243	psDrawLine
+	globalGC1	68 242	3 3	0 360	69 243	psFillArc
+	globalGC1	69	244	69	243	psDrawLine
+	globalGC1	68 243	3 3	0 360	69 244	psFillArc
+	globalGC1	69	243	69	244	psDrawLine
+	globalGC1	68 242	3 3	0 360	69 243	psFillArc
+	globalGC1	69	242	69	243	psDrawLine
+	globalGC1	68 241	3 3	0 360	69 242	psFillArc
+	globalGC1	69	237	69	242	psDrawLine
+	globalGC1	68 236	3 3	0 360	69 237	psFillArc
+	globalGC1	69	219	69	237	psDrawLine
+	globalGC1	68 218	3 3	0 360	69 219	psFillArc
+	globalGC1	70	193	69	219	psDrawLine
+	globalGC1	69 192	3 3	0 360	70 193	psFillArc
+	globalGC1	70	167	70	193	psDrawLine
+	globalGC1	69 166	3 3	0 360	70 167	psFillArc
+	globalGC1	70	158	70	167	psDrawLine
+	globalGC1	69 157	3 3	0 360	70 158	psFillArc
+	globalGC1	70	155	70	158	psDrawLine
+	globalGC1	69 154	3 3	0 360	70 155	psFillArc
+	globalGC1	70	154	70	155	psDrawLine
+	globalGC1	69 153	3 3	0 360	70 154	psFillArc
+	globalGC1	70	154	70	154	psDrawLine
+	globalGC1	69 153	3 3	0 360	70 154	psFillArc
+	globalGC1	70	157	70	154	psDrawLine
+	globalGC1	69 156	3 3	0 360	70 157	psFillArc
+	globalGC1	70	167	70	157	psDrawLine
+	globalGC1	69 166	3 3	0 360	70 167	psFillArc
+	globalGC1	70	184	70	167	psDrawLine
+	globalGC1	69 183	3 3	0 360	70 184	psFillArc
+	globalGC1	70	206	70	184	psDrawLine
+	globalGC1	69 205	3 3	0 360	70 206	psFillArc
+	globalGC1	70	226	70	206	psDrawLine
+	globalGC1	69 225	3 3	0 360	70 226	psFillArc
+	globalGC1	70	241	70	226	psDrawLine
+	globalGC1	69 240	3 3	0 360	70 241	psFillArc
+	globalGC1	70	243	70	241	psDrawLine
+	globalGC1	69 242	3 3	0 360	70 243	psFillArc
+	globalGC1	70	244	70	243	psDrawLine
+	globalGC1	69 243	3 3	0 360	70 244	psFillArc
+	globalGC1	70	244	70	244	psDrawLine
+	globalGC1	69 243	3 3	0 360	70 244	psFillArc
+	globalGC1	70	243	70	244	psDrawLine
+	globalGC1	69 242	3 3	0 360	70 243	psFillArc
+	globalGC1	70	238	70	243	psDrawLine
+	globalGC1	69 237	3 3	0 360	70 238	psFillArc
+	globalGC1	71	229	70	238	psDrawLine
+	globalGC1	70 228	3 3	0 360	71 229	psFillArc
+	globalGC1	71	202	71	229	psDrawLine
+	globalGC1	70 201	3 3	0 360	71 202	psFillArc
+	globalGC1	71	172	71	202	psDrawLine
+	globalGC1	70 171	3 3	0 360	71 172	psFillArc
+	globalGC1	71	161	71	172	psDrawLine
+	globalGC1	70 160	3 3	0 360	71 161	psFillArc
+	globalGC1	71	157	71	161	psDrawLine
+	globalGC1	70 156	3 3	0 360	71 157	psFillArc
+	globalGC1	71	154	71	157	psDrawLine
+	globalGC1	70 153	3 3	0 360	71 154	psFillArc
+	globalGC1	71	154	71	154	psDrawLine
+	globalGC1	70 153	3 3	0 360	71 154	psFillArc
+	globalGC1	71	155	71	154	psDrawLine
+	globalGC1	70 154	3 3	0 360	71 155	psFillArc
+	globalGC1	71	164	71	155	psDrawLine
+	globalGC1	70 163	3 3	0 360	71 164	psFillArc
+	globalGC1	71	180	71	164	psDrawLine
+	globalGC1	70 179	3 3	0 360	71 180	psFillArc
+	globalGC1	71	200	71	180	psDrawLine
+	globalGC1	70 199	3 3	0 360	71 200	psFillArc
+	globalGC1	71	221	71	200	psDrawLine
+	globalGC1	70 220	3 3	0 360	71 221	psFillArc
+	globalGC1	71	237	71	221	psDrawLine
+	globalGC1	70 236	3 3	0 360	71 237	psFillArc
+	globalGC1	71	242	71	237	psDrawLine
+	globalGC1	70 241	3 3	0 360	71 242	psFillArc
+	globalGC1	71	244	71	242	psDrawLine
+	globalGC1	70 243	3 3	0 360	71 244	psFillArc
+	globalGC1	71	243	71	244	psDrawLine
+	globalGC1	70 242	3 3	0 360	71 243	psFillArc
+	globalGC1	71	238	71	243	psDrawLine
+	globalGC1	70 237	3 3	0 360	71 238	psFillArc
+	globalGC1	71	219	71	238	psDrawLine
+	globalGC1	70 218	3 3	0 360	71 219	psFillArc
+	globalGC1	71	193	71	219	psDrawLine
+	globalGC1	70 192	3 3	0 360	71 193	psFillArc
+	globalGC1	71	167	71	193	psDrawLine
+	globalGC1	70 166	3 3	0 360	71 167	psFillArc
+	globalGC1	71	159	71	167	psDrawLine
+	globalGC1	70 158	3 3	0 360	71 159	psFillArc
+	globalGC1	71	154	71	159	psDrawLine
+	globalGC1	70 153	3 3	0 360	71 154	psFillArc
+	globalGC1	71	155	71	154	psDrawLine
+	globalGC1	70 154	3 3	0 360	71 155	psFillArc
+	globalGC1	71	162	71	155	psDrawLine
+	globalGC1	70 161	3 3	0 360	71 162	psFillArc
+	globalGC1	71	189	71	162	psDrawLine
+	globalGC1	70 188	3 3	0 360	71 189	psFillArc
+	globalGC1	71	223	71	189	psDrawLine
+	globalGC1	70 222	3 3	0 360	71 223	psFillArc
+	globalGC1	71	236	71	223	psDrawLine
+	globalGC1	70 235	3 3	0 360	71 236	psFillArc
+	globalGC1	71	243	71	236	psDrawLine
+	globalGC1	70 242	3 3	0 360	71 243	psFillArc
+	globalGC1	71	243	71	243	psDrawLine
+	globalGC1	70 242	3 3	0 360	71 243	psFillArc
+	globalGC1	71	233	71	243	psDrawLine
+	globalGC1	70 232	3 3	0 360	71 233	psFillArc
+	globalGC1	71	216	71	233	psDrawLine
+	globalGC1	70 215	3 3	0 360	71 216	psFillArc
+	globalGC1	71	195	71	216	psDrawLine
+	globalGC1	70 194	3 3	0 360	71 195	psFillArc
+	globalGC1	71	174	71	195	psDrawLine
+	globalGC1	70 173	3 3	0 360	71 174	psFillArc
+	globalGC1	71	159	71	174	psDrawLine
+	globalGC1	70 158	3 3	0 360	71 159	psFillArc
+	globalGC1	71	154	71	159	psDrawLine
+	globalGC1	70 153	3 3	0 360	71 154	psFillArc
+	globalGC1	71	161	71	154	psDrawLine
+	globalGC1	70 160	3 3	0 360	71 161	psFillArc
+	globalGC1	71	180	71	161	psDrawLine
+	globalGC1	70 179	3 3	0 360	71 180	psFillArc
+	globalGC1	72	206	71	180	psDrawLine
+	globalGC1	71 205	3 3	0 360	72 206	psFillArc
+	globalGC1	72	230	72	206	psDrawLine
+	globalGC1	71 229	3 3	0 360	72 230	psFillArc
+	globalGC1	72	238	72	230	psDrawLine
+	globalGC1	71 237	3 3	0 360	72 238	psFillArc
+	globalGC1	72	243	72	238	psDrawLine
+	globalGC1	71 242	3 3	0 360	72 243	psFillArc
+	globalGC1	72	240	72	243	psDrawLine
+	globalGC1	71 239	3 3	0 360	72 240	psFillArc
+	globalGC1	72	219	72	240	psDrawLine
+	globalGC1	71 218	3 3	0 360	72 219	psFillArc
+	globalGC1	72	189	72	219	psDrawLine
+	globalGC1	71 188	3 3	0 360	72 189	psFillArc
+	globalGC1	72	163	72	189	psDrawLine
+	globalGC1	71 162	3 3	0 360	72 163	psFillArc
+	globalGC1	72	154	72	163	psDrawLine
+	globalGC1	71 153	3 3	0 360	72 154	psFillArc
+	globalGC1	72	171	72	154	psDrawLine
+	globalGC1	71 170	3 3	0 360	72 171	psFillArc
+	globalGC1	72	204	72	171	psDrawLine
+	globalGC1	71 203	3 3	0 360	72 204	psFillArc
+	globalGC1	72	236	72	204	psDrawLine
+	globalGC1	71 235	3 3	0 360	72 236	psFillArc
+	globalGC1	72	243	72	236	psDrawLine
+	globalGC1	71 242	3 3	0 360	72 243	psFillArc
+	globalGC1	72	217	72	243	psDrawLine
+	globalGC1	71 216	3 3	0 360	72 217	psFillArc
+	globalGC1	72	176	72	217	psDrawLine
+	globalGC1	71 175	3 3	0 360	72 176	psFillArc
+	globalGC1	72	154	72	176	psDrawLine
+	globalGC1	71 153	3 3	0 360	72 154	psFillArc
+	globalGC1	72	175	72	154	psDrawLine
+	globalGC1	71 174	3 3	0 360	72 175	psFillArc
+	globalGC1	72	221	72	175	psDrawLine
+	globalGC1	71 220	3 3	0 360	72 221	psFillArc
+	globalGC1	72	244	72	221	psDrawLine
+	globalGC1	71 243	3 3	0 360	72 244	psFillArc
+	globalGC1	72	213	72	244	psDrawLine
+	globalGC1	71 212	3 3	0 360	72 213	psFillArc
+	globalGC1	72	163	72	213	psDrawLine
+	globalGC1	71 162	3 3	0 360	72 163	psFillArc
+	globalGC1	72	164	72	163	psDrawLine
+	globalGC1	71 163	3 3	0 360	72 164	psFillArc
+	globalGC1	72	221	72	164	psDrawLine
+	globalGC1	71 220	3 3	0 360	72 221	psFillArc
+	globalGC1	72	241	72	221	psDrawLine
+	globalGC1	71 240	3 3	0 360	72 241	psFillArc
+	globalGC1	72	184	72	241	psDrawLine
+	globalGC1	71 183	3 3	0 360	72 184	psFillArc
+	globalGC1	72	158	72	184	psDrawLine
+	globalGC1	71 157	3 3	0 360	72 158	psFillArc
+	globalGC1	72	223	72	158	psDrawLine
+	globalGC1	71 222	3 3	0 360	72 223	psFillArc
+	globalGC1	72	230	72	223	psDrawLine
+	globalGC1	71 229	3 3	0 360	72 230	psFillArc
+	globalGC1	72	157	72	230	psDrawLine
+	globalGC1	71 156	3 3	0 360	72 157	psFillArc
+	globalGC1	72	204	72	157	psDrawLine
+	globalGC1	71 203	3 3	0 360	72 204	psFillArc
+	globalGC1	72	232	72	204	psDrawLine
+	globalGC1	71 231	3 3	0 360	72 232	psFillArc
+	globalGC1	72	154	72	232	psDrawLine
+	globalGC1	71 153	3 3	0 360	72 154	psFillArc
+	globalGC1	72	235	72	154	psDrawLine
+	globalGC1	71 234	3 3	0 360	72 235	psFillArc
+	globalGC1	72	179	72	235	psDrawLine
+	globalGC1	71 178	3 3	0 360	72 179	psFillArc
+	globalGC1	72	210	72	179	psDrawLine
+	globalGC1	71 209	3 3	0 360	72 210	psFillArc
+	globalGC1	72	187	72	210	psDrawLine
+	globalGC1	71 186	3 3	0 360	72 187	psFillArc
+	globalGC1	72	222	72	187	psDrawLine
+	globalGC1	71 221	3 3	0 360	72 222	psFillArc
+	globalGC1	72	159	72	222	psDrawLine
+	globalGC1	71 158	3 3	0 360	72 159	psFillArc
+	globalGC1	72	240	72	159	psDrawLine
+	globalGC1	71 239	3 3	0 360	72 240	psFillArc
+	globalGC1	72	207	72	240	psDrawLine
+	globalGC1	71 206	3 3	0 360	72 207	psFillArc
+	globalGC1	72	157	72	207	psDrawLine
+	globalGC1	71 156	3 3	0 360	72 157	psFillArc
+	globalGC1	72	161	72	157	psDrawLine
+	globalGC1	71 160	3 3	0 360	72 161	psFillArc
+	globalGC1	72	169	72	161	psDrawLine
+	globalGC1	71 168	3 3	0 360	72 169	psFillArc
+	globalGC1	72	158	72	169	psDrawLine
+	globalGC1	71 157	3 3	0 360	72 158	psFillArc
+	globalGC1	72	169	72	158	psDrawLine
+	globalGC1	71 168	3 3	0 360	72 169	psFillArc
+	globalGC1	72	244	72	169	psDrawLine
+	globalGC1	71 243	3 3	0 360	72 244	psFillArc
+	globalGC1	72	156	72	244	psDrawLine
+	globalGC1	71 155	3 3	0 360	72 156	psFillArc
+	globalGC1	72	175	72	156	psDrawLine
+	globalGC1	71 174	3 3	0 360	72 175	psFillArc
+	globalGC1	72	158	72	175	psDrawLine
+	globalGC1	71 157	3 3	0 360	72 158	psFillArc
+	globalGC1	72	237	72	158	psDrawLine
+	globalGC1	71 236	3 3	0 360	72 237	psFillArc
+	globalGC1	72	231	72	237	psDrawLine
+	globalGC1	71 230	3 3	0 360	72 231	psFillArc
+	globalGC1	72	154	72	231	psDrawLine
+	globalGC1	71 153	3 3	0 360	72 154	psFillArc
+	globalGC1	72	243	72	154	psDrawLine
+	globalGC1	71 242	3 3	0 360	72 243	psFillArc
+	globalGC1	72	231	72	243	psDrawLine
+	globalGC1	71 230	3 3	0 360	72 231	psFillArc
+	globalGC1	73	174	72	231	psDrawLine
+	globalGC1	72 173	3 3	0 360	73 174	psFillArc
+	globalGC1	73	157	73	174	psDrawLine
+	globalGC1	72 156	3 3	0 360	73 157	psFillArc
+	globalGC1	73	239	73	157	psDrawLine
+	globalGC1	72 238	3 3	0 360	73 239	psFillArc
+	globalGC1	73	205	73	239	psDrawLine
+	globalGC1	72 204	3 3	0 360	73 205	psFillArc
+	globalGC1	73	244	73	205	psDrawLine
+	globalGC1	72 243	3 3	0 360	73 244	psFillArc
+	globalGC1	73	213	73	244	psDrawLine
+	globalGC1	72 212	3 3	0 360	73 213	psFillArc
+	globalGC1	73	229	73	213	psDrawLine
+	globalGC1	72 228	3 3	0 360	73 229	psFillArc
+	globalGC1	73	200	73	229	psDrawLine
+	globalGC1	72 199	3 3	0 360	73 200	psFillArc
+	globalGC1	73	244	73	200	psDrawLine
+	globalGC1	72 243	3 3	0 360	73 244	psFillArc
+	globalGC1	73	240	73	244	psDrawLine
+	globalGC1	72 239	3 3	0 360	73 240	psFillArc
+	globalGC1	73	242	73	240	psDrawLine
+	globalGC1	72 241	3 3	0 360	73 242	psFillArc
+	globalGC1	73	219	73	242	psDrawLine
+	globalGC1	72 218	3 3	0 360	73 219	psFillArc
+	globalGC1	73	198	73	219	psDrawLine
+	globalGC1	72 197	3 3	0 360	73 198	psFillArc
+	globalGC1	73	171	73	198	psDrawLine
+	globalGC1	72 170	3 3	0 360	73 171	psFillArc
+	globalGC1	73	234	73	171	psDrawLine
+	globalGC1	72 233	3 3	0 360	73 234	psFillArc
+	globalGC1	73	214	73	234	psDrawLine
+	globalGC1	72 213	3 3	0 360	73 214	psFillArc
+	globalGC1	73	244	73	214	psDrawLine
+	globalGC1	72 243	3 3	0 360	73 244	psFillArc
+	globalGC1	73	155	73	244	psDrawLine
+	globalGC1	72 154	3 3	0 360	73 155	psFillArc
+	globalGC1	73	234	73	155	psDrawLine
+	globalGC1	72 233	3 3	0 360	73 234	psFillArc
+	globalGC1	73	238	73	234	psDrawLine
+	globalGC1	72 237	3 3	0 360	73 238	psFillArc
+	globalGC1	73	225	73	238	psDrawLine
+	globalGC1	72 224	3 3	0 360	73 225	psFillArc
+	globalGC1	73	235	73	225	psDrawLine
+	globalGC1	72 234	3 3	0 360	73 235	psFillArc
+	globalGC1	73	243	73	235	psDrawLine
+	globalGC1	72 242	3 3	0 360	73 243	psFillArc
+	globalGC1	73	195	73	243	psDrawLine
+	globalGC1	72 194	3 3	0 360	73 195	psFillArc
+	globalGC1	73	157	73	195	psDrawLine
+	globalGC1	72 156	3 3	0 360	73 157	psFillArc
+	globalGC1	73	238	73	157	psDrawLine
+	globalGC1	72 237	3 3	0 360	73 238	psFillArc
+	globalGC1	73	179	73	238	psDrawLine
+	globalGC1	72 178	3 3	0 360	73 179	psFillArc
+	globalGC1	73	208	73	179	psDrawLine
+	globalGC1	72 207	3 3	0 360	73 208	psFillArc
+	globalGC1	73	190	73	208	psDrawLine
+	globalGC1	72 189	3 3	0 360	73 190	psFillArc
+	globalGC1	73	218	73	190	psDrawLine
+	globalGC1	72 217	3 3	0 360	73 218	psFillArc
+	globalGC1	73	165	73	218	psDrawLine
+	globalGC1	72 164	3 3	0 360	73 165	psFillArc
+	globalGC1	73	244	73	165	psDrawLine
+	globalGC1	72 243	3 3	0 360	73 244	psFillArc
+	globalGC1	73	165	73	244	psDrawLine
+	globalGC1	72 164	3 3	0 360	73 165	psFillArc
+	globalGC1	73	196	73	165	psDrawLine
+	globalGC1	72 195	3 3	0 360	73 196	psFillArc
+	globalGC1	73	240	73	196	psDrawLine
+	globalGC1	72 239	3 3	0 360	73 240	psFillArc
+	globalGC1	73	167	73	240	psDrawLine
+	globalGC1	72 166	3 3	0 360	73 167	psFillArc
+	globalGC1	73	177	73	167	psDrawLine
+	globalGC1	72 176	3 3	0 360	73 177	psFillArc
+	globalGC1	73	241	73	177	psDrawLine
+	globalGC1	72 240	3 3	0 360	73 241	psFillArc
+	globalGC1	73	213	73	241	psDrawLine
+	globalGC1	72 212	3 3	0 360	73 213	psFillArc
+	globalGC1	73	157	73	213	psDrawLine
+	globalGC1	72 156	3 3	0 360	73 157	psFillArc
+	globalGC1	73	179	73	157	psDrawLine
+	globalGC1	72 178	3 3	0 360	73 179	psFillArc
+	globalGC1	73	235	73	179	psDrawLine
+	globalGC1	72 234	3 3	0 360	73 235	psFillArc
+	globalGC1	73	235	73	235	psDrawLine
+	globalGC1	72 234	3 3	0 360	73 235	psFillArc
+	globalGC1	73	184	73	235	psDrawLine
+	globalGC1	72 183	3 3	0 360	73 184	psFillArc
+	globalGC1	73	154	73	184	psDrawLine
+	globalGC1	72 153	3 3	0 360	73 154	psFillArc
+	globalGC1	73	178	73	154	psDrawLine
+	globalGC1	72 177	3 3	0 360	73 178	psFillArc
+	globalGC1	73	224	73	178	psDrawLine
+	globalGC1	72 223	3 3	0 360	73 224	psFillArc
+	globalGC1	73	244	73	224	psDrawLine
+	globalGC1	72 243	3 3	0 360	73 244	psFillArc
+	globalGC1	73	222	73	244	psDrawLine
+	globalGC1	72 221	3 3	0 360	73 222	psFillArc
+	globalGC1	74	181	73	222	psDrawLine
+	globalGC1	73 180	3 3	0 360	74 181	psFillArc
+	globalGC1	74	155	74	181	psDrawLine
+	globalGC1	73 154	3 3	0 360	74 155	psFillArc
+	globalGC1	74	163	74	155	psDrawLine
+	globalGC1	73 162	3 3	0 360	74 163	psFillArc
+	globalGC1	74	194	74	163	psDrawLine
+	globalGC1	73 193	3 3	0 360	74 194	psFillArc
+	globalGC1	74	228	74	194	psDrawLine
+	globalGC1	73 227	3 3	0 360	74 228	psFillArc
+	globalGC1	74	244	74	228	psDrawLine
+	globalGC1	73 243	3 3	0 360	74 244	psFillArc
+	globalGC1	74	235	74	244	psDrawLine
+	globalGC1	73 234	3 3	0 360	74 235	psFillArc
+	globalGC1	74	209	74	235	psDrawLine
+	globalGC1	73 208	3 3	0 360	74 209	psFillArc
+	globalGC1	74	178	74	209	psDrawLine
+	globalGC1	73 177	3 3	0 360	74 178	psFillArc
+	globalGC1	74	158	74	178	psDrawLine
+	globalGC1	73 157	3 3	0 360	74 158	psFillArc
+	globalGC1	74	155	74	158	psDrawLine
+	globalGC1	73 154	3 3	0 360	74 155	psFillArc
+	globalGC1	74	169	74	155	psDrawLine
+	globalGC1	73 168	3 3	0 360	74 169	psFillArc
+	globalGC1	74	193	74	169	psDrawLine
+	globalGC1	73 192	3 3	0 360	74 193	psFillArc
+	globalGC1	74	218	74	193	psDrawLine
+	globalGC1	73 217	3 3	0 360	74 218	psFillArc
+	globalGC1	74	237	74	218	psDrawLine
+	globalGC1	73 236	3 3	0 360	74 237	psFillArc
+	globalGC1	74	244	74	237	psDrawLine
+	globalGC1	73 243	3 3	0 360	74 244	psFillArc
+	globalGC1	74	239	74	244	psDrawLine
+	globalGC1	73 238	3 3	0 360	74 239	psFillArc
+	globalGC1	74	223	74	239	psDrawLine
+	globalGC1	73 222	3 3	0 360	74 223	psFillArc
+	globalGC1	74	203	74	223	psDrawLine
+	globalGC1	73 202	3 3	0 360	74 203	psFillArc
+	globalGC1	74	182	74	203	psDrawLine
+	globalGC1	73 181	3 3	0 360	74 182	psFillArc
+	globalGC1	74	165	74	182	psDrawLine
+	globalGC1	73 164	3 3	0 360	74 165	psFillArc
+	globalGC1	74	156	74	165	psDrawLine
+	globalGC1	73 155	3 3	0 360	74 156	psFillArc
+	globalGC1	74	155	74	156	psDrawLine
+	globalGC1	73 154	3 3	0 360	74 155	psFillArc
+	globalGC1	74	162	74	155	psDrawLine
+	globalGC1	73 161	3 3	0 360	74 162	psFillArc
+	globalGC1	74	175	74	162	psDrawLine
+	globalGC1	73 174	3 3	0 360	74 175	psFillArc
+	globalGC1	74	210	74	175	psDrawLine
+	globalGC1	73 209	3 3	0 360	74 210	psFillArc
+	globalGC1	74	237	74	210	psDrawLine
+	globalGC1	73 236	3 3	0 360	74 237	psFillArc
+	globalGC1	74	243	74	237	psDrawLine
+	globalGC1	73 242	3 3	0 360	74 243	psFillArc
+	globalGC1	74	244	74	243	psDrawLine
+	globalGC1	73 243	3 3	0 360	74 244	psFillArc
+	globalGC1	74	239	74	244	psDrawLine
+	globalGC1	73 238	3 3	0 360	74 239	psFillArc
+	globalGC1	74	231	74	239	psDrawLine
+	globalGC1	73 230	3 3	0 360	74 231	psFillArc
+	globalGC1	74	205	74	231	psDrawLine
+	globalGC1	73 204	3 3	0 360	74 205	psFillArc
+	globalGC1	74	178	74	205	psDrawLine
+	globalGC1	73 177	3 3	0 360	74 178	psFillArc
+	globalGC1	74	160	74	178	psDrawLine
+	globalGC1	73 159	3 3	0 360	74 160	psFillArc
+	globalGC1	74	155	74	160	psDrawLine
+	globalGC1	73 154	3 3	0 360	74 155	psFillArc
+	globalGC1	74	154	74	155	psDrawLine
+	globalGC1	73 153	3 3	0 360	74 154	psFillArc
+	globalGC1	74	156	74	154	psDrawLine
+	globalGC1	73 155	3 3	0 360	74 156	psFillArc
+	globalGC1	74	161	74	156	psDrawLine
+	globalGC1	73 160	3 3	0 360	74 161	psFillArc
+	globalGC1	74	178	74	161	psDrawLine
+	globalGC1	73 177	3 3	0 360	74 178	psFillArc
+	globalGC1	74	198	74	178	psDrawLine
+	globalGC1	73 197	3 3	0 360	74 198	psFillArc
+	globalGC1	74	219	74	198	psDrawLine
+	globalGC1	73 218	3 3	0 360	74 219	psFillArc
+	globalGC1	74	234	74	219	psDrawLine
+	globalGC1	73 233	3 3	0 360	74 234	psFillArc
+	globalGC1	74	239	74	234	psDrawLine
+	globalGC1	73 238	3 3	0 360	74 239	psFillArc
+	globalGC1	74	243	74	239	psDrawLine
+	globalGC1	73 242	3 3	0 360	74 243	psFillArc
+	globalGC1	74	244	74	243	psDrawLine
+	globalGC1	73 243	3 3	0 360	74 244	psFillArc
+	globalGC1	75	243	74	244	psDrawLine
+	globalGC1	74 242	3 3	0 360	75 243	psFillArc
+	globalGC1	75	241	75	243	psDrawLine
+	globalGC1	74 240	3 3	0 360	75 241	psFillArc
+	globalGC1	75	237	75	241	psDrawLine
+	globalGC1	74 236	3 3	0 360	75 237	psFillArc
+	globalGC1	75	211	75	237	psDrawLine
+	globalGC1	74 210	3 3	0 360	75 211	psFillArc
+	globalGC1	75	181	75	211	psDrawLine
+	globalGC1	74 180	3 3	0 360	75 181	psFillArc
+	globalGC1	75	160	75	181	psDrawLine
+	globalGC1	74 159	3 3	0 360	75 160	psFillArc
+	globalGC1	75	155	75	160	psDrawLine
+	globalGC1	74 154	3 3	0 360	75 155	psFillArc
+	globalGC1	75	154	75	155	psDrawLine
+	globalGC1	74 153	3 3	0 360	75 154	psFillArc
+	globalGC1	75	154	75	154	psDrawLine
+	globalGC1	74 153	3 3	0 360	75 154	psFillArc
+	globalGC1	75	155	75	154	psDrawLine
+	globalGC1	74 154	3 3	0 360	75 155	psFillArc
+	globalGC1	75	157	75	155	psDrawLine
+	globalGC1	74 156	3 3	0 360	75 157	psFillArc
+	globalGC1	75	163	75	157	psDrawLine
+	globalGC1	74 162	3 3	0 360	75 163	psFillArc
+	globalGC1	75	181	75	163	psDrawLine
+	globalGC1	74 180	3 3	0 360	75 181	psFillArc
+	globalGC1	75	203	75	181	psDrawLine
+	globalGC1	74 202	3 3	0 360	75 203	psFillArc
+	globalGC1	75	223	75	203	psDrawLine
+	globalGC1	74 222	3 3	0 360	75 223	psFillArc
+	globalGC1	75	237	75	223	psDrawLine
+	globalGC1	74 236	3 3	0 360	75 237	psFillArc
+	globalGC1	75	241	75	237	psDrawLine
+	globalGC1	74 240	3 3	0 360	75 241	psFillArc
+	globalGC1	75	242	75	241	psDrawLine
+	globalGC1	74 241	3 3	0 360	75 242	psFillArc
+	globalGC1	75	243	75	242	psDrawLine
+	globalGC1	74 242	3 3	0 360	75 243	psFillArc
+	globalGC1	75	244	75	243	psDrawLine
+	globalGC1	74 243	3 3	0 360	75 244	psFillArc
+	globalGC1	75	243	75	244	psDrawLine
+	globalGC1	74 242	3 3	0 360	75 243	psFillArc
+	globalGC1	75	236	75	243	psDrawLine
+	globalGC1	74 235	3 3	0 360	75 236	psFillArc
+	globalGC1	76	211	75	236	psDrawLine
+	globalGC1	75 210	3 3	0 360	76 211	psFillArc
+	globalGC1	76	184	76	211	psDrawLine
+	globalGC1	75 183	3 3	0 360	76 184	psFillArc
+	globalGC1	76	164	76	184	psDrawLine
+	globalGC1	75 163	3 3	0 360	76 164	psFillArc
+	globalGC1	76	157	76	164	psDrawLine
+	globalGC1	75 156	3 3	0 360	76 157	psFillArc
+	globalGC1	76	154	76	157	psDrawLine
+	globalGC1	75 153	3 3	0 360	76 154	psFillArc
+	globalGC1	76	154	76	154	psDrawLine
+	globalGC1	75 153	3 3	0 360	76 154	psFillArc
+	globalGC1	76	154	76	154	psDrawLine
+	globalGC1	75 153	3 3	0 360	76 154	psFillArc
+	globalGC1	76	154	76	154	psDrawLine
+	globalGC1	75 153	3 3	0 360	76 154	psFillArc
+	globalGC1	76	156	76	154	psDrawLine
+	globalGC1	75 155	3 3	0 360	76 156	psFillArc
+	globalGC1	76	165	76	156	psDrawLine
+	globalGC1	75 164	3 3	0 360	76 165	psFillArc
+	globalGC1	77	179	76	165	psDrawLine
+	globalGC1	76 178	3 3	0 360	77 179	psFillArc
+	globalGC1	77	211	77	179	psDrawLine
+	globalGC1	76 210	3 3	0 360	77 211	psFillArc
+	globalGC1	77	233	77	211	psDrawLine
+	globalGC1	76 232	3 3	0 360	77 233	psFillArc
+	globalGC1	77	240	77	233	psDrawLine
+	globalGC1	76 239	3 3	0 360	77 240	psFillArc
+	globalGC1	77	242	77	240	psDrawLine
+	globalGC1	76 241	3 3	0 360	77 242	psFillArc
+	globalGC1	77	243	77	242	psDrawLine
+	globalGC1	76 242	3 3	0 360	77 243	psFillArc
+	globalGC1	77	243	77	243	psDrawLine
+	globalGC1	76 242	3 3	0 360	77 243	psFillArc
+	globalGC1	78	243	77	243	psDrawLine
+	globalGC1	77 242	3 3	0 360	78 243	psFillArc
+	globalGC1	78	240	78	243	psDrawLine
+	globalGC1	77 239	3 3	0 360	78 240	psFillArc
+	globalGC1	78	216	78	240	psDrawLine
+	globalGC1	77 215	3 3	0 360	78 216	psFillArc
+	globalGC1	79	187	78	216	psDrawLine
+	globalGC1	78 186	3 3	0 360	79 187	psFillArc
+	globalGC1	80	166	79	187	psDrawLine
+	globalGC1	79 165	3 3	0 360	80 166	psFillArc
+	globalGC1	80	154	80	166	psDrawLine
+	globalGC1	79 153	3 3	0 360	80 154	psFillArc
+	globalGC1	80	152	80	154	psDrawLine
+	globalGC1	79 151	3 3	0 360	80 152	psFillArc
+	globalGC1	81	151	80	152	psDrawLine
+	globalGC1	80 150	3 3	0 360	81 151	psFillArc
+	globalGC1	81	152	81	151	psDrawLine
+	globalGC1	80 151	3 3	0 360	81 152	psFillArc
+	globalGC1	81	153	81	152	psDrawLine
+	globalGC1	80 152	3 3	0 360	81 153	psFillArc
+	globalGC1	82	159	81	153	psDrawLine
+	globalGC1	81 158	3 3	0 360	82 159	psFillArc
+	globalGC1	83	175	82	159	psDrawLine
+	globalGC1	82 174	3 3	0 360	83 175	psFillArc
+	globalGC1	84	191	83	175	psDrawLine
+	globalGC1	83 190	3 3	0 360	84 191	psFillArc
+	globalGC1	87	213	84	191	psDrawLine
+	globalGC1	86 212	3 3	0 360	87 213	psFillArc
+	globalGC1	88	220	87	213	psDrawLine
+	globalGC1	87 219	3 3	0 360	88 220	psFillArc
+	globalGC1	89	224	88	220	psDrawLine
+	globalGC1	88 223	3 3	0 360	89 224	psFillArc
+	globalGC1	90	225	89	224	psDrawLine
+	globalGC1	89 224	3 3	0 360	90 225	psFillArc
+	globalGC1	90	226	90	225	psDrawLine
+	globalGC1	89 225	3 3	0 360	90 226	psFillArc
+	globalGC1	91	227	90	226	psDrawLine
+	globalGC1	90 226	3 3	0 360	91 227	psFillArc
+	globalGC1	92	227	91	227	psDrawLine
+	globalGC1	91 226	3 3	0 360	92 227	psFillArc
+	globalGC1	93	226	92	227	psDrawLine
+	globalGC1	92 225	3 3	0 360	93 226	psFillArc
+	globalGC1	93	226	93	226	psDrawLine
+	globalGC1	92 225	3 3	0 360	93 226	psFillArc
+	globalGC1	94	225	93	226	psDrawLine
+	globalGC1	93 224	3 3	0 360	94 225	psFillArc
+	globalGC1	95	224	94	225	psDrawLine
+	globalGC1	94 223	3 3	0 360	95 224	psFillArc
+	globalGC1	96	221	95	224	psDrawLine
+	globalGC1	95 220	3 3	0 360	96 221	psFillArc
+	globalGC1	99	216	96	221	psDrawLine
+	globalGC1	98 215	3 3	0 360	99 216	psFillArc
+	globalGC1	104	203	99	216	psDrawLine
+	globalGC1	103 202	3 3	0 360	104 203	psFillArc
+	globalGC1	108	190	104	203	psDrawLine
+	globalGC1	107 189	3 3	0 360	108 190	psFillArc
+	globalGC1	113	178	108	190	psDrawLine
+	globalGC1	112 177	3 3	0 360	113 178	psFillArc
+	globalGC1	118	165	113	178	psDrawLine
+	globalGC1	117 164	3 3	0 360	118 165	psFillArc
+	globalGC1	123	153	118	165	psDrawLine
+	globalGC1	122 152	3 3	0 360	123 153	psFillArc
+	globalGC1	128	142	123	153	psDrawLine
+	globalGC1	127 141	3 3	0 360	128 142	psFillArc
+	globalGC1	132	130	128	142	psDrawLine
+	globalGC1	131 129	3 3	0 360	132 130	psFillArc
+	globalGC1	137	119	132	130	psDrawLine
+	globalGC1	136 118	3 3	0 360	137 119	psFillArc
+	globalGC1	142	108	137	119	psDrawLine
+	globalGC1	141 107	3 3	0 360	142 108	psFillArc
+	globalGC1	147	96	142	108	psDrawLine
+	globalGC1	146 95	3 3	0 360	147 96	psFillArc
+	globalGC1	152	84	147	96	psDrawLine
+	globalGC1	151 83	3 3	0 360	152 84	psFillArc
+	globalGC1	156	71	152	84	psDrawLine
+	globalGC1	155 70	3 3	0 360	156 71	psFillArc
+	globalGC1	161	58	156	71	psDrawLine
+	globalGC1	160 57	3 3	0 360	161 58	psFillArc
+	globalGC1	166	45	161	58	psDrawLine
+	globalGC1	165 44	3 3	0 360	166 45	psFillArc
+	globalGC1	168	39	166	45	psDrawLine
+	globalGC1	167 38	3 3	0 360	168 39	psFillArc
+	globalGC1	171	35	168	39	psDrawLine
+	globalGC1	170 34	3 3	0 360	171 35	psFillArc
+	globalGC1	172	33	171	35	psDrawLine
+	globalGC1	171 32	3 3	0 360	172 33	psFillArc
+	globalGC1	173	32	172	33	psDrawLine
+	globalGC1	172 31	3 3	0 360	173 32	psFillArc
+	globalGC1	174	31	173	32	psDrawLine
+	globalGC1	173 30	3 3	0 360	174 31	psFillArc
+	globalGC1	175	31	174	31	psDrawLine
+	globalGC1	174 30	3 3	0 360	175 31	psFillArc
+	globalGC1	175	32	175	31	psDrawLine
+	globalGC1	174 31	3 3	0 360	175 32	psFillArc
+	globalGC1	176	32	175	32	psDrawLine
+	globalGC1	175 31	3 3	0 360	176 32	psFillArc
+	globalGC1	176	33	176	32	psDrawLine
+	globalGC1	175 32	3 3	0 360	176 33	psFillArc
+	globalGC1	177	34	176	33	psDrawLine
+	globalGC1	176 33	3 3	0 360	177 34	psFillArc
+	globalGC1	178	38	177	34	psDrawLine
+	globalGC1	177 37	3 3	0 360	178 38	psFillArc
+	globalGC1	180	54	178	38	psDrawLine
+	globalGC1	179 53	3 3	0 360	180 54	psFillArc
+	globalGC1	183	82	180	54	psDrawLine
+	globalGC1	182 81	3 3	0 360	183 82	psFillArc
+	globalGC1	184	98	183	82	psDrawLine
+	globalGC1	183 97	3 3	0 360	184 98	psFillArc
+	globalGC1	185	104	184	98	psDrawLine
+	globalGC1	184 103	3 3	0 360	185 104	psFillArc
+	globalGC1	185	106	185	104	psDrawLine
+	globalGC1	184 105	3 3	0 360	185 106	psFillArc
+	globalGC1	185	107	185	106	psDrawLine
+	globalGC1	184 106	3 3	0 360	185 107	psFillArc
+	globalGC1	185	107	185	107	psDrawLine
+	globalGC1	184 106	3 3	0 360	185 107	psFillArc
+	globalGC1	185	107	185	107	psDrawLine
+	globalGC1	184 106	3 3	0 360	185 107	psFillArc
+	globalGC1	186	106	185	107	psDrawLine
+	globalGC1	185 105	3 3	0 360	186 106	psFillArc
+	globalGC1	186	105	186	106	psDrawLine
+	globalGC1	185 104	3 3	0 360	186 105	psFillArc
+	globalGC1	186	94	186	105	psDrawLine
+	globalGC1	185 93	3 3	0 360	186 94	psFillArc
+	globalGC1	187	74	186	94	psDrawLine
+	globalGC1	186 73	3 3	0 360	187 74	psFillArc
+	globalGC1	188	46	187	74	psDrawLine
+	globalGC1	187 45	3 3	0 360	188 46	psFillArc
+	globalGC1	188	31	188	46	psDrawLine
+	globalGC1	187 30	3 3	0 360	188 31	psFillArc
+	globalGC1	188	20	188	31	psDrawLine
+	globalGC1	187 19	3 3	0 360	188 20	psFillArc
+	globalGC1	188	16	188	20	psDrawLine
+	globalGC1	187 15	3 3	0 360	188 16	psFillArc
+	globalGC1	188	15	188	16	psDrawLine
+	globalGC1	187 14	3 3	0 360	188 15	psFillArc
+	globalGC1	189	16	188	15	psDrawLine
+	globalGC1	188 15	3 3	0 360	189 16	psFillArc
+	globalGC1	189	21	189	16	psDrawLine
+	globalGC1	188 20	3 3	0 360	189 21	psFillArc
+	globalGC1	189	41	189	21	psDrawLine
+	globalGC1	188 40	3 3	0 360	189 41	psFillArc
+	globalGC1	189	71	189	41	psDrawLine
+	globalGC1	188 70	3 3	0 360	189 71	psFillArc
+	globalGC1	190	99	189	71	psDrawLine
+	globalGC1	189 98	3 3	0 360	190 99	psFillArc
+	globalGC1	190	103	190	99	psDrawLine
+	globalGC1	189 102	3 3	0 360	190 103	psFillArc
+	globalGC1	190	104	190	103	psDrawLine
+	globalGC1	189 103	3 3	0 360	190 104	psFillArc
+	globalGC1	190	104	190	104	psDrawLine
+	globalGC1	189 103	3 3	0 360	190 104	psFillArc
+	globalGC1	190	104	190	104	psDrawLine
+	globalGC1	189 103	3 3	0 360	190 104	psFillArc
+	globalGC1	190	104	190	104	psDrawLine
+	globalGC1	189 103	3 3	0 360	190 104	psFillArc
+	globalGC1	190	101	190	104	psDrawLine
+	globalGC1	189 100	3 3	0 360	190 101	psFillArc
+	globalGC1	190	85	190	101	psDrawLine
+	globalGC1	189 84	3 3	0 360	190 85	psFillArc
+	globalGC1	190	61	190	85	psDrawLine
+	globalGC1	189 60	3 3	0 360	190 61	psFillArc
+	globalGC1	190	33	190	61	psDrawLine
+	globalGC1	189 32	3 3	0 360	190 33	psFillArc
+	globalGC1	190	22	190	33	psDrawLine
+	globalGC1	189 21	3 3	0 360	190 22	psFillArc
+	globalGC1	191	15	190	22	psDrawLine
+	globalGC1	190 14	3 3	0 360	191 15	psFillArc
+	globalGC1	191	14	191	15	psDrawLine
+	globalGC1	190 13	3 3	0 360	191 14	psFillArc
+	globalGC1	191	15	191	14	psDrawLine
+	globalGC1	190 14	3 3	0 360	191 15	psFillArc
+	globalGC1	191	17	191	15	psDrawLine
+	globalGC1	190 16	3 3	0 360	191 17	psFillArc
+	globalGC1	191	21	191	17	psDrawLine
+	globalGC1	190 20	3 3	0 360	191 21	psFillArc
+	globalGC1	191	35	191	21	psDrawLine
+	globalGC1	190 34	3 3	0 360	191 35	psFillArc
+	globalGC1	191	55	191	35	psDrawLine
+	globalGC1	190 54	3 3	0 360	191 55	psFillArc
+	globalGC1	191	77	191	55	psDrawLine
+	globalGC1	190 76	3 3	0 360	191 77	psFillArc
+	globalGC1	191	95	191	77	psDrawLine
+	globalGC1	190 94	3 3	0 360	191 95	psFillArc
+	globalGC1	191	101	191	95	psDrawLine
+	globalGC1	190 100	3 3	0 360	191 101	psFillArc
+	globalGC1	191	103	191	101	psDrawLine
+	globalGC1	190 102	3 3	0 360	191 103	psFillArc
+	globalGC1	191	104	191	103	psDrawLine
+	globalGC1	190 103	3 3	0 360	191 104	psFillArc
+	globalGC1	191	104	191	104	psDrawLine
+	globalGC1	190 103	3 3	0 360	191 104	psFillArc
+	globalGC1	191	103	191	104	psDrawLine
+	globalGC1	190 102	3 3	0 360	191 103	psFillArc
+	globalGC1	191	98	191	103	psDrawLine
+	globalGC1	190 97	3 3	0 360	191 98	psFillArc
+	globalGC1	191	77	191	98	psDrawLine
+	globalGC1	190 76	3 3	0 360	191 77	psFillArc
+	globalGC1	191	47	191	77	psDrawLine
+	globalGC1	190 46	3 3	0 360	191 47	psFillArc
+	globalGC1	191	21	191	47	psDrawLine
+	globalGC1	190 20	3 3	0 360	191 21	psFillArc
+	globalGC1	191	17	191	21	psDrawLine
+	globalGC1	190 16	3 3	0 360	191 17	psFillArc
+	globalGC1	191	14	191	17	psDrawLine
+	globalGC1	190 13	3 3	0 360	191 14	psFillArc
+	globalGC1	191	14	191	14	psDrawLine
+	globalGC1	190 13	3 3	0 360	191 14	psFillArc
+	globalGC1	191	15	191	14	psDrawLine
+	globalGC1	190 14	3 3	0 360	191 15	psFillArc
+	globalGC1	191	24	191	15	psDrawLine
+	globalGC1	190 23	3 3	0 360	191 24	psFillArc
+	globalGC1	191	40	191	24	psDrawLine
+	globalGC1	190 39	3 3	0 360	191 40	psFillArc
+	globalGC1	192	60	191	40	psDrawLine
+	globalGC1	191 59	3 3	0 360	192 60	psFillArc
+	globalGC1	192	81	192	60	psDrawLine
+	globalGC1	191 80	3 3	0 360	192 81	psFillArc
+	globalGC1	192	97	192	81	psDrawLine
+	globalGC1	191 96	3 3	0 360	192 97	psFillArc
+	globalGC1	192	102	192	97	psDrawLine
+	globalGC1	191 101	3 3	0 360	192 102	psFillArc
+	globalGC1	192	104	192	102	psDrawLine
+	globalGC1	191 103	3 3	0 360	192 104	psFillArc
+	globalGC1	192	103	192	104	psDrawLine
+	globalGC1	191 102	3 3	0 360	192 103	psFillArc
+	globalGC1	192	98	192	103	psDrawLine
+	globalGC1	191 97	3 3	0 360	192 98	psFillArc
+	globalGC1	192	79	192	98	psDrawLine
+	globalGC1	191 78	3 3	0 360	192 79	psFillArc
+	globalGC1	192	52	192	79	psDrawLine
+	globalGC1	191 51	3 3	0 360	192 52	psFillArc
+	globalGC1	192	27	192	52	psDrawLine
+	globalGC1	191 26	3 3	0 360	192 27	psFillArc
+	globalGC1	192	18	192	27	psDrawLine
+	globalGC1	191 17	3 3	0 360	192 18	psFillArc
+	globalGC1	192	14	192	18	psDrawLine
+	globalGC1	191 13	3 3	0 360	192 14	psFillArc
+	globalGC1	192	15	192	14	psDrawLine
+	globalGC1	191 14	3 3	0 360	192 15	psFillArc
+	globalGC1	192	22	192	15	psDrawLine
+	globalGC1	191 21	3 3	0 360	192 22	psFillArc
+	globalGC1	192	49	192	22	psDrawLine
+	globalGC1	191 48	3 3	0 360	192 49	psFillArc
+	globalGC1	192	83	192	49	psDrawLine
+	globalGC1	191 82	3 3	0 360	192 83	psFillArc
+	globalGC1	192	96	192	83	psDrawLine
+	globalGC1	191 95	3 3	0 360	192 96	psFillArc
+	globalGC1	192	103	192	96	psDrawLine
+	globalGC1	191 102	3 3	0 360	192 103	psFillArc
+	globalGC1	192	102	192	103	psDrawLine
+	globalGC1	191 101	3 3	0 360	192 102	psFillArc
+	globalGC1	192	93	192	102	psDrawLine
+	globalGC1	191 92	3 3	0 360	192 93	psFillArc
+	globalGC1	192	76	192	93	psDrawLine
+	globalGC1	191 75	3 3	0 360	192 76	psFillArc
+	globalGC1	192	55	192	76	psDrawLine
+	globalGC1	191 54	3 3	0 360	192 55	psFillArc
+	globalGC1	192	34	192	55	psDrawLine
+	globalGC1	191 33	3 3	0 360	192 34	psFillArc
+	globalGC1	192	19	192	34	psDrawLine
+	globalGC1	191 18	3 3	0 360	192 19	psFillArc
+	globalGC1	192	14	192	19	psDrawLine
+	globalGC1	191 13	3 3	0 360	192 14	psFillArc
+	globalGC1	192	22	192	14	psDrawLine
+	globalGC1	191 21	3 3	0 360	192 22	psFillArc
+	globalGC1	192	41	192	22	psDrawLine
+	globalGC1	191 40	3 3	0 360	192 41	psFillArc
+	globalGC1	192	66	192	41	psDrawLine
+	globalGC1	191 65	3 3	0 360	192 66	psFillArc
+	globalGC1	192	90	192	66	psDrawLine
+	globalGC1	191 89	3 3	0 360	192 90	psFillArc
+	globalGC1	192	103	192	90	psDrawLine
+	globalGC1	191 102	3 3	0 360	192 103	psFillArc
+	globalGC1	192	99	192	103	psDrawLine
+	globalGC1	191 98	3 3	0 360	192 99	psFillArc
+	globalGC1	192	79	192	99	psDrawLine
+	globalGC1	191 78	3 3	0 360	192 79	psFillArc
+	globalGC1	192	48	192	79	psDrawLine
+	globalGC1	191 47	3 3	0 360	192 48	psFillArc
+	globalGC1	192	22	192	48	psDrawLine
+	globalGC1	191 21	3 3	0 360	192 22	psFillArc
+	globalGC1	192	14	192	22	psDrawLine
+	globalGC1	191 13	3 3	0 360	192 14	psFillArc
+	globalGC1	192	31	192	14	psDrawLine
+	globalGC1	191 30	3 3	0 360	192 31	psFillArc
+	globalGC1	192	65	192	31	psDrawLine
+	globalGC1	191 64	3 3	0 360	192 65	psFillArc
+	globalGC1	192	96	192	65	psDrawLine
+	globalGC1	191 95	3 3	0 360	192 96	psFillArc
+	globalGC1	192	102	192	96	psDrawLine
+	globalGC1	191 101	3 3	0 360	192 102	psFillArc
+	globalGC1	192	76	192	102	psDrawLine
+	globalGC1	191 75	3 3	0 360	192 76	psFillArc
+	globalGC1	192	35	192	76	psDrawLine
+	globalGC1	191 34	3 3	0 360	192 35	psFillArc
+	globalGC1	192	14	192	35	psDrawLine
+	globalGC1	191 13	3 3	0 360	192 14	psFillArc
+	globalGC1	192	35	192	14	psDrawLine
+	globalGC1	191 34	3 3	0 360	192 35	psFillArc
+	globalGC1	192	82	192	35	psDrawLine
+	globalGC1	191 81	3 3	0 360	192 82	psFillArc
+	globalGC1	192	104	192	82	psDrawLine
+	globalGC1	191 103	3 3	0 360	192 104	psFillArc
+	globalGC1	192	72	192	104	psDrawLine
+	globalGC1	191 71	3 3	0 360	192 72	psFillArc
+	globalGC1	193	22	192	72	psDrawLine
+	globalGC1	192 21	3 3	0 360	193 22	psFillArc
+	globalGC1	193	25	193	22	psDrawLine
+	globalGC1	192 24	3 3	0 360	193 25	psFillArc
+	globalGC1	193	81	193	25	psDrawLine
+	globalGC1	192 80	3 3	0 360	193 81	psFillArc
+	globalGC1	193	100	193	81	psDrawLine
+	globalGC1	192 99	3 3	0 360	193 100	psFillArc
+	globalGC1	193	42	193	100	psDrawLine
+	globalGC1	192 41	3 3	0 360	193 42	psFillArc
+	globalGC1	193	18	193	42	psDrawLine
+	globalGC1	192 17	3 3	0 360	193 18	psFillArc
+	globalGC1	193	84	193	18	psDrawLine
+	globalGC1	192 83	3 3	0 360	193 84	psFillArc
+	globalGC1	193	89	193	84	psDrawLine
+	globalGC1	192 88	3 3	0 360	193 89	psFillArc
+	globalGC1	193	17	193	89	psDrawLine
+	globalGC1	192 16	3 3	0 360	193 17	psFillArc
+	globalGC1	193	23	193	17	psDrawLine
+	globalGC1	192 22	3 3	0 360	193 23	psFillArc
+	globalGC1	193	65	193	23	psDrawLine
+	globalGC1	192 64	3 3	0 360	193 65	psFillArc
+	globalGC1	193	91	193	65	psDrawLine
+	globalGC1	192 90	3 3	0 360	193 91	psFillArc
+	globalGC1	193	14	193	91	psDrawLine
+	globalGC1	192 13	3 3	0 360	193 14	psFillArc
+	globalGC1	193	96	193	14	psDrawLine
+	globalGC1	192 95	3 3	0 360	193 96	psFillArc
+	globalGC1	193	36	193	96	psDrawLine
+	globalGC1	192 35	3 3	0 360	193 36	psFillArc
+	globalGC1	193	73	193	36	psDrawLine
+	globalGC1	192 72	3 3	0 360	193 73	psFillArc
+	globalGC1	193	44	193	73	psDrawLine
+	globalGC1	192 43	3 3	0 360	193 44	psFillArc
+	globalGC1	193	84	193	44	psDrawLine
+	globalGC1	192 83	3 3	0 360	193 84	psFillArc
+	globalGC1	193	17	193	84	psDrawLine
+	globalGC1	192 16	3 3	0 360	193 17	psFillArc
+	globalGC1	193	98	193	17	psDrawLine
+	globalGC1	192 97	3 3	0 360	193 98	psFillArc
+	globalGC1	193	70	193	98	psDrawLine
+	globalGC1	192 69	3 3	0 360	193 70	psFillArc
+	globalGC1	193	18	193	70	psDrawLine
+	globalGC1	192 17	3 3	0 360	193 18	psFillArc
+	globalGC1	193	18	193	18	psDrawLine
+	globalGC1	192 17	3 3	0 360	193 18	psFillArc
+	globalGC1	193	25	193	18	psDrawLine
+	globalGC1	192 24	3 3	0 360	193 25	psFillArc
+	globalGC1	193	16	193	25	psDrawLine
+	globalGC1	192 15	3 3	0 360	193 16	psFillArc
+	globalGC1	193	34	193	16	psDrawLine
+	globalGC1	192 33	3 3	0 360	193 34	psFillArc
+	globalGC1	193	104	193	34	psDrawLine
+	globalGC1	192 103	3 3	0 360	193 104	psFillArc
+	globalGC1	193	19	193	104	psDrawLine
+	globalGC1	192 18	3 3	0 360	193 19	psFillArc
+	globalGC1	193	27	193	19	psDrawLine
+	globalGC1	192 26	3 3	0 360	193 27	psFillArc
+	globalGC1	193	14	193	27	psDrawLine
+	globalGC1	192 13	3 3	0 360	193 14	psFillArc
+	globalGC1	193	102	193	14	psDrawLine
+	globalGC1	192 101	3 3	0 360	193 102	psFillArc
+	globalGC1	193	100	193	102	psDrawLine
+	globalGC1	192 99	3 3	0 360	193 100	psFillArc
+	globalGC1	193	19	193	100	psDrawLine
+	globalGC1	192 18	3 3	0 360	193 19	psFillArc
+	globalGC1	193	89	193	19	psDrawLine
+	globalGC1	192 88	3 3	0 360	193 89	psFillArc
+	globalGC1	193	104	193	89	psDrawLine
+	globalGC1	192 103	3 3	0 360	193 104	psFillArc
+	globalGC1	193	79	193	104	psDrawLine
+	globalGC1	192 78	3 3	0 360	193 79	psFillArc
+	globalGC1	193	72	193	79	psDrawLine
+	globalGC1	192 71	3 3	0 360	193 72	psFillArc
+	globalGC1	193	45	193	72	psDrawLine
+	globalGC1	192 44	3 3	0 360	193 45	psFillArc
+	globalGC1	193	95	193	45	psDrawLine
+	globalGC1	192 94	3 3	0 360	193 95	psFillArc
+	globalGC1	193	14	193	95	psDrawLine
+	globalGC1	192 13	3 3	0 360	193 14	psFillArc
+	globalGC1	193	28	193	14	psDrawLine
+	globalGC1	192 27	3 3	0 360	193 28	psFillArc
+	globalGC1	193	16	193	28	psDrawLine
+	globalGC1	192 15	3 3	0 360	193 16	psFillArc
+	globalGC1	193	104	193	16	psDrawLine
+	globalGC1	192 103	3 3	0 360	193 104	psFillArc
+	globalGC1	193	14	193	104	psDrawLine
+	globalGC1	192 13	3 3	0 360	193 14	psFillArc
+	globalGC1	193	20	193	14	psDrawLine
+	globalGC1	192 19	3 3	0 360	193 20	psFillArc
+	globalGC1	193	41	193	20	psDrawLine
+	globalGC1	192 40	3 3	0 360	193 41	psFillArc
+	globalGC1	193	20	193	41	psDrawLine
+	globalGC1	192 19	3 3	0 360	193 20	psFillArc
+	globalGC1	193	80	193	20	psDrawLine
+	globalGC1	192 79	3 3	0 360	193 80	psFillArc
+	globalGC1	193	89	193	80	psDrawLine
+	globalGC1	192 88	3 3	0 360	193 89	psFillArc
+	globalGC1	193	31	193	89	psDrawLine
+	globalGC1	192 30	3 3	0 360	193 31	psFillArc
+	globalGC1	193	87	193	31	psDrawLine
+	globalGC1	192 86	3 3	0 360	193 87	psFillArc
+	globalGC1	193	57	193	87	psDrawLine
+	globalGC1	192 56	3 3	0 360	193 57	psFillArc
+	globalGC1	193	43	193	57	psDrawLine
+	globalGC1	192 42	3 3	0 360	193 43	psFillArc
+	globalGC1	193	85	193	43	psDrawLine
+	globalGC1	192 84	3 3	0 360	193 85	psFillArc
+	globalGC1	194	64	193	85	psDrawLine
+	globalGC1	193 63	3 3	0 360	194 64	psFillArc
+	globalGC1	194	104	194	64	psDrawLine
+	globalGC1	193 103	3 3	0 360	194 104	psFillArc
+	globalGC1	194	17	194	104	psDrawLine
+	globalGC1	193 16	3 3	0 360	194 17	psFillArc
+	globalGC1	194	97	194	17	psDrawLine
+	globalGC1	193 96	3 3	0 360	194 97	psFillArc
+	globalGC1	194	94	194	97	psDrawLine
+	globalGC1	193 93	3 3	0 360	194 94	psFillArc
+	globalGC1	194	92	194	94	psDrawLine
+	globalGC1	193 91	3 3	0 360	194 92	psFillArc
+	globalGC1	194	103	194	92	psDrawLine
+	globalGC1	193 102	3 3	0 360	194 103	psFillArc
+	globalGC1	194	59	194	103	psDrawLine
+	globalGC1	193 58	3 3	0 360	194 59	psFillArc
+	globalGC1	194	16	194	59	psDrawLine
+	globalGC1	193 15	3 3	0 360	194 16	psFillArc
+	globalGC1	194	96	194	16	psDrawLine
+	globalGC1	193 95	3 3	0 360	194 96	psFillArc
+	globalGC1	194	41	194	96	psDrawLine
+	globalGC1	193 40	3 3	0 360	194 41	psFillArc
+	globalGC1	194	65	194	41	psDrawLine
+	globalGC1	193 64	3 3	0 360	194 65	psFillArc
+	globalGC1	194	52	194	65	psDrawLine
+	globalGC1	193 51	3 3	0 360	194 52	psFillArc
+	globalGC1	194	75	194	52	psDrawLine
+	globalGC1	193 74	3 3	0 360	194 75	psFillArc
+	globalGC1	194	26	194	75	psDrawLine
+	globalGC1	193 25	3 3	0 360	194 26	psFillArc
+	globalGC1	194	103	194	26	psDrawLine
+	globalGC1	193 102	3 3	0 360	194 103	psFillArc
+	globalGC1	194	23	194	103	psDrawLine
+	globalGC1	193 22	3 3	0 360	194 23	psFillArc
+	globalGC1	194	58	194	23	psDrawLine
+	globalGC1	193 57	3 3	0 360	194 58	psFillArc
+	globalGC1	194	99	194	58	psDrawLine
+	globalGC1	193 98	3 3	0 360	194 99	psFillArc
+	globalGC1	194	26	194	99	psDrawLine
+	globalGC1	193 25	3 3	0 360	194 26	psFillArc
+	globalGC1	194	38	194	26	psDrawLine
+	globalGC1	193 37	3 3	0 360	194 38	psFillArc
+	globalGC1	194	101	194	38	psDrawLine
+	globalGC1	193 100	3 3	0 360	194 101	psFillArc
+	globalGC1	194	72	194	101	psDrawLine
+	globalGC1	193 71	3 3	0 360	194 72	psFillArc
+	globalGC1	194	16	194	72	psDrawLine
+	globalGC1	193 15	3 3	0 360	194 16	psFillArc
+	globalGC1	194	40	194	16	psDrawLine
+	globalGC1	193 39	3 3	0 360	194 40	psFillArc
+	globalGC1	194	95	194	40	psDrawLine
+	globalGC1	193 94	3 3	0 360	194 95	psFillArc
+	globalGC1	194	94	194	95	psDrawLine
+	globalGC1	193 93	3 3	0 360	194 94	psFillArc
+	globalGC1	194	43	194	94	psDrawLine
+	globalGC1	193 42	3 3	0 360	194 43	psFillArc
+	globalGC1	194	14	194	43	psDrawLine
+	globalGC1	193 13	3 3	0 360	194 14	psFillArc
+	globalGC1	194	39	194	14	psDrawLine
+	globalGC1	193 38	3 3	0 360	194 39	psFillArc
+	globalGC1	194	85	194	39	psDrawLine
+	globalGC1	193 84	3 3	0 360	194 85	psFillArc
+	globalGC1	194	104	194	85	psDrawLine
+	globalGC1	193 103	3 3	0 360	194 104	psFillArc
+	globalGC1	194	81	194	104	psDrawLine
+	globalGC1	193 80	3 3	0 360	194 81	psFillArc
+	globalGC1	194	40	194	81	psDrawLine
+	globalGC1	193 39	3 3	0 360	194 40	psFillArc
+	globalGC1	194	15	194	40	psDrawLine
+	globalGC1	193 14	3 3	0 360	194 15	psFillArc
+	globalGC1	194	23	194	15	psDrawLine
+	globalGC1	193 22	3 3	0 360	194 23	psFillArc
+	globalGC1	194	55	194	23	psDrawLine
+	globalGC1	193 54	3 3	0 360	194 55	psFillArc
+	globalGC1	194	88	194	55	psDrawLine
+	globalGC1	193 87	3 3	0 360	194 88	psFillArc
+	globalGC1	194	104	194	88	psDrawLine
+	globalGC1	193 103	3 3	0 360	194 104	psFillArc
+	globalGC1	194	95	194	104	psDrawLine
+	globalGC1	193 94	3 3	0 360	194 95	psFillArc
+	globalGC1	194	68	194	95	psDrawLine
+	globalGC1	193 67	3 3	0 360	194 68	psFillArc
+	globalGC1	194	38	194	68	psDrawLine
+	globalGC1	193 37	3 3	0 360	194 38	psFillArc
+	globalGC1	194	18	194	38	psDrawLine
+	globalGC1	193 17	3 3	0 360	194 18	psFillArc
+	globalGC1	194	15	194	18	psDrawLine
+	globalGC1	193 14	3 3	0 360	194 15	psFillArc
+	globalGC1	194	29	194	15	psDrawLine
+	globalGC1	193 28	3 3	0 360	194 29	psFillArc
+	globalGC1	194	53	194	29	psDrawLine
+	globalGC1	193 52	3 3	0 360	194 53	psFillArc
+	globalGC1	194	78	194	53	psDrawLine
+	globalGC1	193 77	3 3	0 360	194 78	psFillArc
+	globalGC1	194	97	194	78	psDrawLine
+	globalGC1	193 96	3 3	0 360	194 97	psFillArc
+	globalGC1	194	104	194	97	psDrawLine
+	globalGC1	193 103	3 3	0 360	194 104	psFillArc
+	globalGC1	194	98	194	104	psDrawLine
+	globalGC1	193 97	3 3	0 360	194 98	psFillArc
+	globalGC1	194	83	194	98	psDrawLine
+	globalGC1	193 82	3 3	0 360	194 83	psFillArc
+	globalGC1	194	62	194	83	psDrawLine
+	globalGC1	193 61	3 3	0 360	194 62	psFillArc
+	globalGC1	194	41	194	62	psDrawLine
+	globalGC1	193 40	3 3	0 360	194 41	psFillArc
+	globalGC1	195	24	194	41	psDrawLine
+	globalGC1	194 23	3 3	0 360	195 24	psFillArc
+	globalGC1	195	15	195	24	psDrawLine
+	globalGC1	194 14	3 3	0 360	195 15	psFillArc
+	globalGC1	195	15	195	15	psDrawLine
+	globalGC1	194 14	3 3	0 360	195 15	psFillArc
+	globalGC1	195	22	195	15	psDrawLine
+	globalGC1	194 21	3 3	0 360	195 22	psFillArc
+	globalGC1	195	35	195	22	psDrawLine
+	globalGC1	194 34	3 3	0 360	195 35	psFillArc
+	globalGC1	195	70	195	35	psDrawLine
+	globalGC1	194 69	3 3	0 360	195 70	psFillArc
+	globalGC1	195	97	195	70	psDrawLine
+	globalGC1	194 96	3 3	0 360	195 97	psFillArc
+	globalGC1	195	103	195	97	psDrawLine
+	globalGC1	194 102	3 3	0 360	195 103	psFillArc
+	globalGC1	195	104	195	103	psDrawLine
+	globalGC1	194 103	3 3	0 360	195 104	psFillArc
+	globalGC1	195	99	195	104	psDrawLine
+	globalGC1	194 98	3 3	0 360	195 99	psFillArc
+	globalGC1	195	90	195	99	psDrawLine
+	globalGC1	194 89	3 3	0 360	195 90	psFillArc
+	globalGC1	195	65	195	90	psDrawLine
+	globalGC1	194 64	3 3	0 360	195 65	psFillArc
+	globalGC1	195	38	195	65	psDrawLine
+	globalGC1	194 37	3 3	0 360	195 38	psFillArc
+	globalGC1	195	20	195	38	psDrawLine
+	globalGC1	194 19	3 3	0 360	195 20	psFillArc
+	globalGC1	195	15	195	20	psDrawLine
+	globalGC1	194 14	3 3	0 360	195 15	psFillArc
+	globalGC1	195	14	195	15	psDrawLine
+	globalGC1	194 13	3 3	0 360	195 14	psFillArc
+	globalGC1	195	16	195	14	psDrawLine
+	globalGC1	194 15	3 3	0 360	195 16	psFillArc
+	globalGC1	195	21	195	16	psDrawLine
+	globalGC1	194 20	3 3	0 360	195 21	psFillArc
+	globalGC1	195	38	195	21	psDrawLine
+	globalGC1	194 37	3 3	0 360	195 38	psFillArc
+	globalGC1	195	48	195	38	psDrawLine
+	globalGC1	194 47	3 3	0 360	195 48	psFillArc
+	globalGC1	195	59	195	48	psDrawLine
+	globalGC1	194 58	3 3	0 360	195 59	psFillArc
+	globalGC1	195	79	195	59	psDrawLine
+	globalGC1	194 78	3 3	0 360	195 79	psFillArc
+	globalGC1	195	94	195	79	psDrawLine
+	globalGC1	194 93	3 3	0 360	195 94	psFillArc
+	globalGC1	195	103	195	94	psDrawLine
+	globalGC1	194 102	3 3	0 360	195 103	psFillArc
+	globalGC1	195	104	195	103	psDrawLine
+	globalGC1	194 103	3 3	0 360	195 104	psFillArc
+	globalGC1	195	103	195	104	psDrawLine
+	globalGC1	194 102	3 3	0 360	195 103	psFillArc
+	globalGC1	195	101	195	103	psDrawLine
+	globalGC1	194 100	3 3	0 360	195 101	psFillArc
+	globalGC1	195	97	195	101	psDrawLine
+	globalGC1	194 96	3 3	0 360	195 97	psFillArc
+	globalGC1	195	86	195	97	psDrawLine
+	globalGC1	194 85	3 3	0 360	195 86	psFillArc
+	globalGC1	195	71	195	86	psDrawLine
+	globalGC1	194 70	3 3	0 360	195 71	psFillArc
+	globalGC1	195	55	195	71	psDrawLine
+	globalGC1	194 54	3 3	0 360	195 55	psFillArc
+	globalGC1	195	28	195	55	psDrawLine
+	globalGC1	194 27	3 3	0 360	195 28	psFillArc
+	globalGC1	195	20	195	28	psDrawLine
+	globalGC1	194 19	3 3	0 360	195 20	psFillArc
+	globalGC1	195	15	195	20	psDrawLine
+	globalGC1	194 14	3 3	0 360	195 15	psFillArc
+	globalGC1	195	14	195	15	psDrawLine
+	globalGC1	194 13	3 3	0 360	195 14	psFillArc
+	globalGC1	195	14	195	14	psDrawLine
+	globalGC1	194 13	3 3	0 360	195 14	psFillArc
+	globalGC1	196	15	195	14	psDrawLine
+	globalGC1	195 14	3 3	0 360	196 15	psFillArc
+	globalGC1	196	17	196	15	psDrawLine
+	globalGC1	195 16	3 3	0 360	196 17	psFillArc
+	globalGC1	196	32	196	17	psDrawLine
+	globalGC1	195 31	3 3	0 360	196 32	psFillArc
+	globalGC1	196	53	196	32	psDrawLine
+	globalGC1	195 52	3 3	0 360	196 53	psFillArc
+	globalGC1	196	74	196	53	psDrawLine
+	globalGC1	195 73	3 3	0 360	196 74	psFillArc
+	globalGC1	196	91	196	74	psDrawLine
+	globalGC1	195 90	3 3	0 360	196 91	psFillArc
+	globalGC1	196	101	196	91	psDrawLine
+	globalGC1	195 100	3 3	0 360	196 101	psFillArc
+	globalGC1	196	104	196	101	psDrawLine
+	globalGC1	195 103	3 3	0 360	196 104	psFillArc
+	globalGC1	196	104	196	104	psDrawLine
+	globalGC1	195 103	3 3	0 360	196 104	psFillArc
+	globalGC1	196	103	196	104	psDrawLine
+	globalGC1	195 102	3 3	0 360	196 103	psFillArc
+	globalGC1	196	100	196	103	psDrawLine
+	globalGC1	195 99	3 3	0 360	196 100	psFillArc
+	globalGC1	196	79	196	100	psDrawLine
+	globalGC1	195 78	3 3	0 360	196 79	psFillArc
+	globalGC1	196	51	196	79	psDrawLine
+	globalGC1	195 50	3 3	0 360	196 51	psFillArc
+	globalGC1	197	28	196	51	psDrawLine
+	globalGC1	196 27	3 3	0 360	197 28	psFillArc
+	globalGC1	197	16	197	28	psDrawLine
+	globalGC1	196 15	3 3	0 360	197 16	psFillArc
+	globalGC1	197	15	197	16	psDrawLine
+	globalGC1	196 14	3 3	0 360	197 15	psFillArc
+	globalGC1	197	14	197	15	psDrawLine
+	globalGC1	196 13	3 3	0 360	197 14	psFillArc
+	globalGC1	197	15	197	14	psDrawLine
+	globalGC1	196 14	3 3	0 360	197 15	psFillArc
+	globalGC1	197	15	197	15	psDrawLine
+	globalGC1	196 14	3 3	0 360	197 15	psFillArc
+	globalGC1	197	18	197	15	psDrawLine
+	globalGC1	196 17	3 3	0 360	197 18	psFillArc
+	globalGC1	197	23	197	18	psDrawLine
+	globalGC1	196 22	3 3	0 360	197 23	psFillArc
+	globalGC1	197	37	197	23	psDrawLine
+	globalGC1	196 36	3 3	0 360	197 37	psFillArc
+	globalGC1	197	68	197	37	psDrawLine
+	globalGC1	196 67	3 3	0 360	197 68	psFillArc
+	globalGC1	198	93	197	68	psDrawLine
+	globalGC1	197 92	3 3	0 360	198 93	psFillArc
+	globalGC1	198	100	198	93	psDrawLine
+	globalGC1	197 99	3 3	0 360	198 100	psFillArc
+	globalGC1	198	104	198	100	psDrawLine
+	globalGC1	197 103	3 3	0 360	198 104	psFillArc
+	globalGC1	198	105	198	104	psDrawLine
+	globalGC1	197 104	3 3	0 360	198 105	psFillArc
+	globalGC1	198	105	198	105	psDrawLine
+	globalGC1	197 104	3 3	0 360	198 105	psFillArc
+	globalGC1	198	105	198	105	psDrawLine
+	globalGC1	197 104	3 3	0 360	198 105	psFillArc
+	globalGC1	198	103	198	105	psDrawLine
+	globalGC1	197 102	3 3	0 360	198 103	psFillArc
+	globalGC1	199	81	198	103	psDrawLine
+	globalGC1	198 80	3 3	0 360	199 81	psFillArc
+	globalGC1	200	52	199	81	psDrawLine
+	globalGC1	199 51	3 3	0 360	200 52	psFillArc
+	globalGC1	200	31	200	52	psDrawLine
+	globalGC1	199 30	3 3	0 360	200 31	psFillArc
+	globalGC1	201	20	200	31	psDrawLine
+	globalGC1	200 19	3 3	0 360	201 20	psFillArc
+	globalGC1	201	18	201	20	psDrawLine
+	globalGC1	200 17	3 3	0 360	201 18	psFillArc
+	globalGC1	201	18	201	18	psDrawLine
+	globalGC1	200 17	3 3	0 360	201 18	psFillArc
+	globalGC1	201	17	201	18	psDrawLine
+	globalGC1	200 16	3 3	0 360	201 17	psFillArc
+	globalGC1	201	17	201	17	psDrawLine
+	globalGC1	200 16	3 3	0 360	201 17	psFillArc
+	globalGC1	202	18	201	17	psDrawLine
+	globalGC1	201 17	3 3	0 360	202 18	psFillArc
+	globalGC1	202	20	202	18	psDrawLine
+	globalGC1	201 19	3 3	0 360	202 20	psFillArc
+	globalGC1	203	36	202	20	psDrawLine
+	globalGC1	202 35	3 3	0 360	203 36	psFillArc
+	globalGC1	204	54	203	36	psDrawLine
+	globalGC1	203 53	3 3	0 360	204 54	psFillArc
+	globalGC1	207	85	204	54	psDrawLine
+	globalGC1	206 84	3 3	0 360	207 85	psFillArc
+	globalGC1	209	104	207	85	psDrawLine
+	globalGC1	208 103	3 3	0 360	209 104	psFillArc
+	globalGC1	212	115	209	104	psDrawLine
+	globalGC1	211 114	3 3	0 360	212 115	psFillArc
+	globalGC1	214	122	212	115	psDrawLine
+	globalGC1	213 121	3 3	0 360	214 122	psFillArc
+	globalGC1	215	124	214	122	psDrawLine
+	globalGC1	214 123	3 3	0 360	215 124	psFillArc
+	globalGC1	216	125	215	124	psDrawLine
+	globalGC1	215 124	3 3	0 360	216 125	psFillArc
+	globalGC1	218	126	216	125	psDrawLine
+	globalGC1	217 125	3 3	0 360	218 126	psFillArc
+	globalGC1	219	127	218	126	psDrawLine
+	globalGC1	218 126	3 3	0 360	219 127	psFillArc
+	globalGC1	221	128	219	127	psDrawLine
+	globalGC1	220 127	3 3	0 360	221 128	psFillArc
+	globalGC1	224	128	221	128	psDrawLine
+	globalGC1	223 127	3 3	0 360	224 128	psFillArc
+	globalGC1	228	129	224	128	psDrawLine
+	globalGC1	227 128	3 3	0 360	228 129	psFillArc
+	globalGC1	233	129	228	129	psDrawLine
+	globalGC1	232 128	3 3	0 360	233 129	psFillArc
+	globalGC1	238	129	233	129	psDrawLine
+	globalGC1	237 128	3 3	0 360	238 129	psFillArc
+	globalGC1	243	129	238	129	psDrawLine
+	globalGC1	242 128	3 3	0 360	243 129	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2d1varb.ps b/books/ps/2d1varb.ps
new file mode 100644
index 0000000..880f01f
--- /dev/null
+++ b/books/ps/2d1varb.ps
@@ -0,0 +1,1527 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	-371	259	-371	0	psDrawLine
+	globalGC1	11 74	3 3	0 360	12 75	psFillArc
+	globalGC1	12	75	12	75	psDrawLine
+	globalGC1	11 74	3 3	0 360	12 75	psFillArc
+	globalGC1	17	62	12	75	psDrawLine
+	globalGC1	16 61	3 3	0 360	17 62	psFillArc
+	globalGC1	22	49	17	62	psDrawLine
+	globalGC1	21 48	3 3	0 360	22 49	psFillArc
+	globalGC1	24	42	22	49	psDrawLine
+	globalGC1	23 41	3 3	0 360	24 42	psFillArc
+	globalGC1	27	37	24	42	psDrawLine
+	globalGC1	26 36	3 3	0 360	27 37	psFillArc
+	globalGC1	28	35	27	37	psDrawLine
+	globalGC1	27 34	3 3	0 360	28 35	psFillArc
+	globalGC1	29	33	28	35	psDrawLine
+	globalGC1	28 32	3 3	0 360	29 33	psFillArc
+	globalGC1	30	32	29	33	psDrawLine
+	globalGC1	29 31	3 3	0 360	30 32	psFillArc
+	globalGC1	32	31	30	32	psDrawLine
+	globalGC1	31 30	3 3	0 360	32 31	psFillArc
+	globalGC1	32	31	32	31	psDrawLine
+	globalGC1	31 30	3 3	0 360	32 31	psFillArc
+	globalGC1	33	32	32	31	psDrawLine
+	globalGC1	32 31	3 3	0 360	33 32	psFillArc
+	globalGC1	33	33	33	32	psDrawLine
+	globalGC1	32 32	3 3	0 360	33 33	psFillArc
+	globalGC1	34	34	33	33	psDrawLine
+	globalGC1	33 33	3 3	0 360	34 34	psFillArc
+	globalGC1	35	38	34	34	psDrawLine
+	globalGC1	34 37	3 3	0 360	35 38	psFillArc
+	globalGC1	36	44	35	38	psDrawLine
+	globalGC1	35 43	3 3	0 360	36 44	psFillArc
+	globalGC1	39	66	36	44	psDrawLine
+	globalGC1	38 65	3 3	0 360	39 66	psFillArc
+	globalGC1	40	81	39	66	psDrawLine
+	globalGC1	39 80	3 3	0 360	40 81	psFillArc
+	globalGC1	41	97	40	81	psDrawLine
+	globalGC1	40 96	3 3	0 360	41 97	psFillArc
+	globalGC1	42	103	41	97	psDrawLine
+	globalGC1	41 102	3 3	0 360	42 103	psFillArc
+	globalGC1	42	106	42	103	psDrawLine
+	globalGC1	41 105	3 3	0 360	42 106	psFillArc
+	globalGC1	42	107	42	106	psDrawLine
+	globalGC1	41 106	3 3	0 360	42 107	psFillArc
+	globalGC1	43	107	42	107	psDrawLine
+	globalGC1	42 106	3 3	0 360	43 107	psFillArc
+	globalGC1	43	105	43	107	psDrawLine
+	globalGC1	42 104	3 3	0 360	43 105	psFillArc
+	globalGC1	43	96	43	105	psDrawLine
+	globalGC1	42 95	3 3	0 360	43 96	psFillArc
+	globalGC1	44	77	43	96	psDrawLine
+	globalGC1	43 76	3 3	0 360	44 77	psFillArc
+	globalGC1	45	49	44	77	psDrawLine
+	globalGC1	44 48	3 3	0 360	45 49	psFillArc
+	globalGC1	45	22	45	49	psDrawLine
+	globalGC1	44 21	3 3	0 360	45 22	psFillArc
+	globalGC1	45	18	45	22	psDrawLine
+	globalGC1	44 17	3 3	0 360	45 18	psFillArc
+	globalGC1	46	16	45	18	psDrawLine
+	globalGC1	45 15	3 3	0 360	46 16	psFillArc
+	globalGC1	46	15	46	16	psDrawLine
+	globalGC1	45 14	3 3	0 360	46 15	psFillArc
+	globalGC1	46	15	46	15	psDrawLine
+	globalGC1	45 14	3 3	0 360	46 15	psFillArc
+	globalGC1	46	15	46	15	psDrawLine
+	globalGC1	45 14	3 3	0 360	46 15	psFillArc
+	globalGC1	46	18	46	15	psDrawLine
+	globalGC1	45 17	3 3	0 360	46 18	psFillArc
+	globalGC1	46	35	46	18	psDrawLine
+	globalGC1	45 34	3 3	0 360	46 35	psFillArc
+	globalGC1	47	63	46	35	psDrawLine
+	globalGC1	46 62	3 3	0 360	47 63	psFillArc
+	globalGC1	47	93	47	63	psDrawLine
+	globalGC1	46 92	3 3	0 360	47 93	psFillArc
+	globalGC1	47	103	47	93	psDrawLine
+	globalGC1	46 102	3 3	0 360	47 103	psFillArc
+	globalGC1	47	104	47	103	psDrawLine
+	globalGC1	46 103	3 3	0 360	47 104	psFillArc
+	globalGC1	47	104	47	104	psDrawLine
+	globalGC1	46 103	3 3	0 360	47 104	psFillArc
+	globalGC1	47	104	47	104	psDrawLine
+	globalGC1	46 103	3 3	0 360	47 104	psFillArc
+	globalGC1	47	104	47	104	psDrawLine
+	globalGC1	46 103	3 3	0 360	47 104	psFillArc
+	globalGC1	47	101	47	104	psDrawLine
+	globalGC1	46 100	3 3	0 360	47 101	psFillArc
+	globalGC1	47	94	47	101	psDrawLine
+	globalGC1	46 93	3 3	0 360	47 94	psFillArc
+	globalGC1	47	74	47	94	psDrawLine
+	globalGC1	46 73	3 3	0 360	47 74	psFillArc
+	globalGC1	48	46	47	74	psDrawLine
+	globalGC1	47 45	3 3	0 360	48 46	psFillArc
+	globalGC1	48	22	48	46	psDrawLine
+	globalGC1	47 21	3 3	0 360	48 22	psFillArc
+	globalGC1	48	15	48	22	psDrawLine
+	globalGC1	47 14	3 3	0 360	48 15	psFillArc
+	globalGC1	48	14	48	15	psDrawLine
+	globalGC1	47 13	3 3	0 360	48 14	psFillArc
+	globalGC1	48	15	48	14	psDrawLine
+	globalGC1	47 14	3 3	0 360	48 15	psFillArc
+	globalGC1	48	17	48	15	psDrawLine
+	globalGC1	47 16	3 3	0 360	48 17	psFillArc
+	globalGC1	48	22	48	17	psDrawLine
+	globalGC1	47 21	3 3	0 360	48 22	psFillArc
+	globalGC1	48	36	48	22	psDrawLine
+	globalGC1	47 35	3 3	0 360	48 36	psFillArc
+	globalGC1	48	55	48	36	psDrawLine
+	globalGC1	47 54	3 3	0 360	48 55	psFillArc
+	globalGC1	48	77	48	55	psDrawLine
+	globalGC1	47 76	3 3	0 360	48 77	psFillArc
+	globalGC1	48	95	48	77	psDrawLine
+	globalGC1	47 94	3 3	0 360	48 95	psFillArc
+	globalGC1	48	101	48	95	psDrawLine
+	globalGC1	47 100	3 3	0 360	48 101	psFillArc
+	globalGC1	48	103	48	101	psDrawLine
+	globalGC1	47 102	3 3	0 360	48 103	psFillArc
+	globalGC1	48	104	48	103	psDrawLine
+	globalGC1	47 103	3 3	0 360	48 104	psFillArc
+	globalGC1	48	103	48	104	psDrawLine
+	globalGC1	47 102	3 3	0 360	48 103	psFillArc
+	globalGC1	48	98	48	103	psDrawLine
+	globalGC1	47 97	3 3	0 360	48 98	psFillArc
+	globalGC1	48	77	48	98	psDrawLine
+	globalGC1	47 76	3 3	0 360	48 77	psFillArc
+	globalGC1	49	46	48	77	psDrawLine
+	globalGC1	48 45	3 3	0 360	49 46	psFillArc
+	globalGC1	49	20	49	46	psDrawLine
+	globalGC1	48 19	3 3	0 360	49 20	psFillArc
+	globalGC1	49	17	49	20	psDrawLine
+	globalGC1	48 16	3 3	0 360	49 17	psFillArc
+	globalGC1	49	14	49	17	psDrawLine
+	globalGC1	48 13	3 3	0 360	49 14	psFillArc
+	globalGC1	49	14	49	14	psDrawLine
+	globalGC1	48 13	3 3	0 360	49 14	psFillArc
+	globalGC1	49	16	49	14	psDrawLine
+	globalGC1	48 15	3 3	0 360	49 16	psFillArc
+	globalGC1	49	24	49	16	psDrawLine
+	globalGC1	48 23	3 3	0 360	49 24	psFillArc
+	globalGC1	49	40	49	24	psDrawLine
+	globalGC1	48 39	3 3	0 360	49 40	psFillArc
+	globalGC1	49	60	49	40	psDrawLine
+	globalGC1	48 59	3 3	0 360	49 60	psFillArc
+	globalGC1	49	81	49	60	psDrawLine
+	globalGC1	48 80	3 3	0 360	49 81	psFillArc
+	globalGC1	49	97	49	81	psDrawLine
+	globalGC1	48 96	3 3	0 360	49 97	psFillArc
+	globalGC1	49	102	49	97	psDrawLine
+	globalGC1	48 101	3 3	0 360	49 102	psFillArc
+	globalGC1	49	104	49	102	psDrawLine
+	globalGC1	48 103	3 3	0 360	49 104	psFillArc
+	globalGC1	49	98	49	104	psDrawLine
+	globalGC1	48 97	3 3	0 360	49 98	psFillArc
+	globalGC1	49	79	49	98	psDrawLine
+	globalGC1	48 78	3 3	0 360	49 79	psFillArc
+	globalGC1	49	52	49	79	psDrawLine
+	globalGC1	48 51	3 3	0 360	49 52	psFillArc
+	globalGC1	49	27	49	52	psDrawLine
+	globalGC1	48 26	3 3	0 360	49 27	psFillArc
+	globalGC1	49	18	49	27	psDrawLine
+	globalGC1	48 17	3 3	0 360	49 18	psFillArc
+	globalGC1	49	14	49	18	psDrawLine
+	globalGC1	48 13	3 3	0 360	49 14	psFillArc
+	globalGC1	49	15	49	14	psDrawLine
+	globalGC1	48 14	3 3	0 360	49 15	psFillArc
+	globalGC1	49	22	49	15	psDrawLine
+	globalGC1	48 21	3 3	0 360	49 22	psFillArc
+	globalGC1	49	50	49	22	psDrawLine
+	globalGC1	48 49	3 3	0 360	49 50	psFillArc
+	globalGC1	49	84	49	50	psDrawLine
+	globalGC1	48 83	3 3	0 360	49 84	psFillArc
+	globalGC1	49	97	49	84	psDrawLine
+	globalGC1	48 96	3 3	0 360	49 97	psFillArc
+	globalGC1	49	103	49	97	psDrawLine
+	globalGC1	48 102	3 3	0 360	49 103	psFillArc
+	globalGC1	49	102	49	103	psDrawLine
+	globalGC1	48 101	3 3	0 360	49 102	psFillArc
+	globalGC1	49	92	49	102	psDrawLine
+	globalGC1	48 91	3 3	0 360	49 92	psFillArc
+	globalGC1	49	75	49	92	psDrawLine
+	globalGC1	48 74	3 3	0 360	49 75	psFillArc
+	globalGC1	49	54	49	75	psDrawLine
+	globalGC1	48 53	3 3	0 360	49 54	psFillArc
+	globalGC1	49	33	49	54	psDrawLine
+	globalGC1	48 32	3 3	0 360	49 33	psFillArc
+	globalGC1	49	18	49	33	psDrawLine
+	globalGC1	48 17	3 3	0 360	49 18	psFillArc
+	globalGC1	49	22	49	18	psDrawLine
+	globalGC1	48 21	3 3	0 360	49 22	psFillArc
+	globalGC1	49	41	49	22	psDrawLine
+	globalGC1	48 40	3 3	0 360	49 41	psFillArc
+	globalGC1	49	67	49	41	psDrawLine
+	globalGC1	48 66	3 3	0 360	49 67	psFillArc
+	globalGC1	49	91	49	67	psDrawLine
+	globalGC1	48 90	3 3	0 360	49 91	psFillArc
+	globalGC1	49	103	49	91	psDrawLine
+	globalGC1	48 102	3 3	0 360	49 103	psFillArc
+	globalGC1	49	99	49	103	psDrawLine
+	globalGC1	48 98	3 3	0 360	49 99	psFillArc
+	globalGC1	50	78	49	99	psDrawLine
+	globalGC1	49 77	3 3	0 360	50 78	psFillArc
+	globalGC1	50	47	50	78	psDrawLine
+	globalGC1	49 46	3 3	0 360	50 47	psFillArc
+	globalGC1	50	21	50	47	psDrawLine
+	globalGC1	49 20	3 3	0 360	50 21	psFillArc
+	globalGC1	50	14	50	21	psDrawLine
+	globalGC1	49 13	3 3	0 360	50 14	psFillArc
+	globalGC1	50	32	50	14	psDrawLine
+	globalGC1	49 31	3 3	0 360	50 32	psFillArc
+	globalGC1	50	66	50	32	psDrawLine
+	globalGC1	49 65	3 3	0 360	50 66	psFillArc
+	globalGC1	50	97	50	66	psDrawLine
+	globalGC1	49 96	3 3	0 360	50 97	psFillArc
+	globalGC1	50	102	50	97	psDrawLine
+	globalGC1	49 101	3 3	0 360	50 102	psFillArc
+	globalGC1	50	75	50	102	psDrawLine
+	globalGC1	49 74	3 3	0 360	50 75	psFillArc
+	globalGC1	50	34	50	75	psDrawLine
+	globalGC1	49 33	3 3	0 360	50 34	psFillArc
+	globalGC1	50	14	50	34	psDrawLine
+	globalGC1	49 13	3 3	0 360	50 14	psFillArc
+	globalGC1	50	37	50	14	psDrawLine
+	globalGC1	49 36	3 3	0 360	50 37	psFillArc
+	globalGC1	50	83	50	37	psDrawLine
+	globalGC1	49 82	3 3	0 360	50 83	psFillArc
+	globalGC1	50	104	50	83	psDrawLine
+	globalGC1	49 103	3 3	0 360	50 104	psFillArc
+	globalGC1	50	70	50	104	psDrawLine
+	globalGC1	49 69	3 3	0 360	50 70	psFillArc
+	globalGC1	50	21	50	70	psDrawLine
+	globalGC1	49 20	3 3	0 360	50 21	psFillArc
+	globalGC1	50	26	50	21	psDrawLine
+	globalGC1	49 25	3 3	0 360	50 26	psFillArc
+	globalGC1	50	83	50	26	psDrawLine
+	globalGC1	49 82	3 3	0 360	50 83	psFillArc
+	globalGC1	50	99	50	83	psDrawLine
+	globalGC1	49 98	3 3	0 360	50 99	psFillArc
+	globalGC1	50	40	50	99	psDrawLine
+	globalGC1	49 39	3 3	0 360	50 40	psFillArc
+	globalGC1	50	19	50	40	psDrawLine
+	globalGC1	49 18	3 3	0 360	50 19	psFillArc
+	globalGC1	50	86	50	19	psDrawLine
+	globalGC1	49 85	3 3	0 360	50 86	psFillArc
+	globalGC1	50	86	50	86	psDrawLine
+	globalGC1	49 85	3 3	0 360	50 86	psFillArc
+	globalGC1	50	16	50	86	psDrawLine
+	globalGC1	49 15	3 3	0 360	50 16	psFillArc
+	globalGC1	50	69	50	16	psDrawLine
+	globalGC1	49 68	3 3	0 360	50 69	psFillArc
+	globalGC1	50	88	50	69	psDrawLine
+	globalGC1	49 87	3 3	0 360	50 88	psFillArc
+	globalGC1	50	14	50	88	psDrawLine
+	globalGC1	49 13	3 3	0 360	50 14	psFillArc
+	globalGC1	50	32	50	14	psDrawLine
+	globalGC1	49 31	3 3	0 360	50 32	psFillArc
+	globalGC1	50	77	50	32	psDrawLine
+	globalGC1	49 76	3 3	0 360	50 77	psFillArc
+	globalGC1	50	39	50	77	psDrawLine
+	globalGC1	49 38	3 3	0 360	50 39	psFillArc
+	globalGC1	50	89	50	39	psDrawLine
+	globalGC1	49 88	3 3	0 360	50 89	psFillArc
+	globalGC1	50	15	50	89	psDrawLine
+	globalGC1	49 14	3 3	0 360	50 15	psFillArc
+	globalGC1	50	94	50	15	psDrawLine
+	globalGC1	49 93	3 3	0 360	50 94	psFillArc
+	globalGC1	50	78	50	94	psDrawLine
+	globalGC1	49 77	3 3	0 360	50 78	psFillArc
+	globalGC1	50	22	50	78	psDrawLine
+	globalGC1	49 21	3 3	0 360	50 22	psFillArc
+	globalGC1	50	15	50	22	psDrawLine
+	globalGC1	49 14	3 3	0 360	50 15	psFillArc
+	globalGC1	50	19	50	15	psDrawLine
+	globalGC1	49 18	3 3	0 360	50 19	psFillArc
+	globalGC1	50	14	50	19	psDrawLine
+	globalGC1	49 13	3 3	0 360	50 14	psFillArc
+	globalGC1	50	46	50	14	psDrawLine
+	globalGC1	49 45	3 3	0 360	50 46	psFillArc
+	globalGC1	50	99	50	46	psDrawLine
+	globalGC1	49 98	3 3	0 360	50 99	psFillArc
+	globalGC1	50	30	50	99	psDrawLine
+	globalGC1	49 29	3 3	0 360	50 30	psFillArc
+	globalGC1	50	16	50	30	psDrawLine
+	globalGC1	49 15	3 3	0 360	50 16	psFillArc
+	globalGC1	50	17	50	16	psDrawLine
+	globalGC1	49 16	3 3	0 360	50 17	psFillArc
+	globalGC1	50	101	50	17	psDrawLine
+	globalGC1	49 100	3 3	0 360	50 101	psFillArc
+	globalGC1	50	101	50	101	psDrawLine
+	globalGC1	49 100	3 3	0 360	50 101	psFillArc
+	globalGC1	50	52	50	101	psDrawLine
+	globalGC1	49 51	3 3	0 360	50 52	psFillArc
+	globalGC1	50	39	50	52	psDrawLine
+	globalGC1	49 38	3 3	0 360	50 39	psFillArc
+	globalGC1	50	61	50	39	psDrawLine
+	globalGC1	49 60	3 3	0 360	50 61	psFillArc
+	globalGC1	50	83	50	61	psDrawLine
+	globalGC1	49 82	3 3	0 360	50 83	psFillArc
+	globalGC1	50	50	50	83	psDrawLine
+	globalGC1	49 49	3 3	0 360	50 50	psFillArc
+	globalGC1	50	101	50	50	psDrawLine
+	globalGC1	49 100	3 3	0 360	50 101	psFillArc
+	globalGC1	50	55	50	101	psDrawLine
+	globalGC1	49 54	3 3	0 360	50 55	psFillArc
+	globalGC1	50	22	50	55	psDrawLine
+	globalGC1	49 21	3 3	0 360	50 22	psFillArc
+	globalGC1	51	18	50	22	psDrawLine
+	globalGC1	50 17	3 3	0 360	51 18	psFillArc
+	globalGC1	51	102	51	18	psDrawLine
+	globalGC1	50 101	3 3	0 360	51 102	psFillArc
+	globalGC1	51	78	51	102	psDrawLine
+	globalGC1	50 77	3 3	0 360	51 78	psFillArc
+	globalGC1	51	89	51	78	psDrawLine
+	globalGC1	50 88	3 3	0 360	51 89	psFillArc
+	globalGC1	51	40	51	89	psDrawLine
+	globalGC1	50 39	3 3	0 360	51 40	psFillArc
+	globalGC1	51	89	51	40	psDrawLine
+	globalGC1	50 88	3 3	0 360	51 89	psFillArc
+	globalGC1	51	102	51	89	psDrawLine
+	globalGC1	50 101	3 3	0 360	51 102	psFillArc
+	globalGC1	51	92	51	102	psDrawLine
+	globalGC1	50 91	3 3	0 360	51 92	psFillArc
+	globalGC1	51	14	51	92	psDrawLine
+	globalGC1	50 13	3 3	0 360	51 14	psFillArc
+	globalGC1	51	94	51	14	psDrawLine
+	globalGC1	50 93	3 3	0 360	51 94	psFillArc
+	globalGC1	51	80	51	94	psDrawLine
+	globalGC1	50 79	3 3	0 360	51 80	psFillArc
+	globalGC1	51	48	51	80	psDrawLine
+	globalGC1	50 47	3 3	0 360	51 48	psFillArc
+	globalGC1	51	88	51	48	psDrawLine
+	globalGC1	50 87	3 3	0 360	51 88	psFillArc
+	globalGC1	51	70	51	88	psDrawLine
+	globalGC1	50 69	3 3	0 360	51 70	psFillArc
+	globalGC1	51	64	51	70	psDrawLine
+	globalGC1	50 63	3 3	0 360	51 64	psFillArc
+	globalGC1	51	45	51	64	psDrawLine
+	globalGC1	50 44	3 3	0 360	51 45	psFillArc
+	globalGC1	51	99	51	45	psDrawLine
+	globalGC1	50 98	3 3	0 360	51 99	psFillArc
+	globalGC1	51	25	51	99	psDrawLine
+	globalGC1	50 24	3 3	0 360	51 25	psFillArc
+	globalGC1	51	102	51	25	psDrawLine
+	globalGC1	50 101	3 3	0 360	51 102	psFillArc
+	globalGC1	51	86	51	102	psDrawLine
+	globalGC1	50 85	3 3	0 360	51 86	psFillArc
+	globalGC1	51	85	51	86	psDrawLine
+	globalGC1	50 84	3 3	0 360	51 85	psFillArc
+	globalGC1	51	104	51	85	psDrawLine
+	globalGC1	50 103	3 3	0 360	51 104	psFillArc
+	globalGC1	51	66	51	104	psDrawLine
+	globalGC1	50 65	3 3	0 360	51 66	psFillArc
+	globalGC1	51	14	51	66	psDrawLine
+	globalGC1	50 13	3 3	0 360	51 14	psFillArc
+	globalGC1	51	92	51	14	psDrawLine
+	globalGC1	50 91	3 3	0 360	51 92	psFillArc
+	globalGC1	51	46	51	92	psDrawLine
+	globalGC1	50 45	3 3	0 360	51 46	psFillArc
+	globalGC1	51	60	51	46	psDrawLine
+	globalGC1	50 59	3 3	0 360	51 60	psFillArc
+	globalGC1	51	57	51	60	psDrawLine
+	globalGC1	50 56	3 3	0 360	51 57	psFillArc
+	globalGC1	51	71	51	57	psDrawLine
+	globalGC1	50 70	3 3	0 360	51 71	psFillArc
+	globalGC1	51	29	51	71	psDrawLine
+	globalGC1	50 28	3 3	0 360	51 29	psFillArc
+	globalGC1	51	103	51	29	psDrawLine
+	globalGC1	50 102	3 3	0 360	51 103	psFillArc
+	globalGC1	51	21	51	103	psDrawLine
+	globalGC1	50 20	3 3	0 360	51 21	psFillArc
+	globalGC1	51	61	51	21	psDrawLine
+	globalGC1	50 60	3 3	0 360	51 61	psFillArc
+	globalGC1	51	98	51	61	psDrawLine
+	globalGC1	50 97	3 3	0 360	51 98	psFillArc
+	globalGC1	51	24	51	98	psDrawLine
+	globalGC1	50 23	3 3	0 360	51 24	psFillArc
+	globalGC1	51	40	51	24	psDrawLine
+	globalGC1	50 39	3 3	0 360	51 40	psFillArc
+	globalGC1	51	102	51	40	psDrawLine
+	globalGC1	50 101	3 3	0 360	51 102	psFillArc
+	globalGC1	51	69	51	102	psDrawLine
+	globalGC1	50 68	3 3	0 360	51 69	psFillArc
+	globalGC1	51	15	51	69	psDrawLine
+	globalGC1	50 14	3 3	0 360	51 15	psFillArc
+	globalGC1	51	42	51	15	psDrawLine
+	globalGC1	50 41	3 3	0 360	51 42	psFillArc
+	globalGC1	51	96	51	42	psDrawLine
+	globalGC1	50 95	3 3	0 360	51 96	psFillArc
+	globalGC1	51	93	51	96	psDrawLine
+	globalGC1	50 92	3 3	0 360	51 93	psFillArc
+	globalGC1	51	41	51	93	psDrawLine
+	globalGC1	50 40	3 3	0 360	51 41	psFillArc
+	globalGC1	51	14	51	41	psDrawLine
+	globalGC1	50 13	3 3	0 360	51 14	psFillArc
+	globalGC1	51	40	51	14	psDrawLine
+	globalGC1	50 39	3 3	0 360	51 40	psFillArc
+	globalGC1	51	86	51	40	psDrawLine
+	globalGC1	50 85	3 3	0 360	51 86	psFillArc
+	globalGC1	51	104	51	86	psDrawLine
+	globalGC1	50 103	3 3	0 360	51 104	psFillArc
+	globalGC1	51	79	51	104	psDrawLine
+	globalGC1	50 78	3 3	0 360	51 79	psFillArc
+	globalGC1	51	38	51	79	psDrawLine
+	globalGC1	50 37	3 3	0 360	51 38	psFillArc
+	globalGC1	51	15	51	38	psDrawLine
+	globalGC1	50 14	3 3	0 360	51 15	psFillArc
+	globalGC1	51	24	51	15	psDrawLine
+	globalGC1	50 23	3 3	0 360	51 24	psFillArc
+	globalGC1	51	56	51	24	psDrawLine
+	globalGC1	50 55	3 3	0 360	51 56	psFillArc
+	globalGC1	51	89	51	56	psDrawLine
+	globalGC1	50 88	3 3	0 360	51 89	psFillArc
+	globalGC1	52	104	51	89	psDrawLine
+	globalGC1	51 103	3 3	0 360	52 104	psFillArc
+	globalGC1	52	94	52	104	psDrawLine
+	globalGC1	51 93	3 3	0 360	52 94	psFillArc
+	globalGC1	52	67	52	94	psDrawLine
+	globalGC1	51 66	3 3	0 360	52 67	psFillArc
+	globalGC1	52	37	52	67	psDrawLine
+	globalGC1	51 36	3 3	0 360	52 37	psFillArc
+	globalGC1	52	17	52	37	psDrawLine
+	globalGC1	51 16	3 3	0 360	52 17	psFillArc
+	globalGC1	52	15	52	17	psDrawLine
+	globalGC1	51 14	3 3	0 360	52 15	psFillArc
+	globalGC1	52	30	52	15	psDrawLine
+	globalGC1	51 29	3 3	0 360	52 30	psFillArc
+	globalGC1	52	54	52	30	psDrawLine
+	globalGC1	51 53	3 3	0 360	52 54	psFillArc
+	globalGC1	52	79	52	54	psDrawLine
+	globalGC1	51 78	3 3	0 360	52 79	psFillArc
+	globalGC1	52	98	52	79	psDrawLine
+	globalGC1	51 97	3 3	0 360	52 98	psFillArc
+	globalGC1	52	104	52	98	psDrawLine
+	globalGC1	51 103	3 3	0 360	52 104	psFillArc
+	globalGC1	52	98	52	104	psDrawLine
+	globalGC1	51 97	3 3	0 360	52 98	psFillArc
+	globalGC1	52	82	52	98	psDrawLine
+	globalGC1	51 81	3 3	0 360	52 82	psFillArc
+	globalGC1	52	61	52	82	psDrawLine
+	globalGC1	51 60	3 3	0 360	52 61	psFillArc
+	globalGC1	52	40	52	61	psDrawLine
+	globalGC1	51 39	3 3	0 360	52 40	psFillArc
+	globalGC1	52	24	52	40	psDrawLine
+	globalGC1	51 23	3 3	0 360	52 24	psFillArc
+	globalGC1	52	15	52	24	psDrawLine
+	globalGC1	51 14	3 3	0 360	52 15	psFillArc
+	globalGC1	52	15	52	15	psDrawLine
+	globalGC1	51 14	3 3	0 360	52 15	psFillArc
+	globalGC1	52	36	52	15	psDrawLine
+	globalGC1	51 35	3 3	0 360	52 36	psFillArc
+	globalGC1	52	70	52	36	psDrawLine
+	globalGC1	51 69	3 3	0 360	52 70	psFillArc
+	globalGC1	52	97	52	70	psDrawLine
+	globalGC1	51 96	3 3	0 360	52 97	psFillArc
+	globalGC1	52	103	52	97	psDrawLine
+	globalGC1	51 102	3 3	0 360	52 103	psFillArc
+	globalGC1	52	104	52	103	psDrawLine
+	globalGC1	51 103	3 3	0 360	52 104	psFillArc
+	globalGC1	52	99	52	104	psDrawLine
+	globalGC1	51 98	3 3	0 360	52 99	psFillArc
+	globalGC1	52	90	52	99	psDrawLine
+	globalGC1	51 89	3 3	0 360	52 90	psFillArc
+	globalGC1	52	64	52	90	psDrawLine
+	globalGC1	51 63	3 3	0 360	52 64	psFillArc
+	globalGC1	52	38	52	64	psDrawLine
+	globalGC1	51 37	3 3	0 360	52 38	psFillArc
+	globalGC1	52	19	52	38	psDrawLine
+	globalGC1	51 18	3 3	0 360	52 19	psFillArc
+	globalGC1	52	15	52	19	psDrawLine
+	globalGC1	51 14	3 3	0 360	52 15	psFillArc
+	globalGC1	52	14	52	15	psDrawLine
+	globalGC1	51 13	3 3	0 360	52 14	psFillArc
+	globalGC1	52	16	52	14	psDrawLine
+	globalGC1	51 15	3 3	0 360	52 16	psFillArc
+	globalGC1	52	21	52	16	psDrawLine
+	globalGC1	51 20	3 3	0 360	52 21	psFillArc
+	globalGC1	52	38	52	21	psDrawLine
+	globalGC1	51 37	3 3	0 360	52 38	psFillArc
+	globalGC1	52	59	52	38	psDrawLine
+	globalGC1	51 58	3 3	0 360	52 59	psFillArc
+	globalGC1	52	79	52	59	psDrawLine
+	globalGC1	51 78	3 3	0 360	52 79	psFillArc
+	globalGC1	52	95	52	79	psDrawLine
+	globalGC1	51 94	3 3	0 360	52 95	psFillArc
+	globalGC1	52	103	52	95	psDrawLine
+	globalGC1	51 102	3 3	0 360	52 103	psFillArc
+	globalGC1	52	104	52	103	psDrawLine
+	globalGC1	51 103	3 3	0 360	52 104	psFillArc
+	globalGC1	52	103	52	104	psDrawLine
+	globalGC1	51 102	3 3	0 360	52 103	psFillArc
+	globalGC1	52	101	52	103	psDrawLine
+	globalGC1	51 100	3 3	0 360	52 101	psFillArc
+	globalGC1	52	97	52	101	psDrawLine
+	globalGC1	51 96	3 3	0 360	52 97	psFillArc
+	globalGC1	53	85	52	97	psDrawLine
+	globalGC1	52 84	3 3	0 360	53 85	psFillArc
+	globalGC1	53	55	53	85	psDrawLine
+	globalGC1	52 54	3 3	0 360	53 55	psFillArc
+	globalGC1	53	28	53	55	psDrawLine
+	globalGC1	52 27	3 3	0 360	53 28	psFillArc
+	globalGC1	53	20	53	28	psDrawLine
+	globalGC1	52 19	3 3	0 360	53 20	psFillArc
+	globalGC1	53	15	53	20	psDrawLine
+	globalGC1	52 14	3 3	0 360	53 15	psFillArc
+	globalGC1	53	14	53	15	psDrawLine
+	globalGC1	52 13	3 3	0 360	53 14	psFillArc
+	globalGC1	53	14	53	14	psDrawLine
+	globalGC1	52 13	3 3	0 360	53 14	psFillArc
+	globalGC1	53	15	53	14	psDrawLine
+	globalGC1	52 14	3 3	0 360	53 15	psFillArc
+	globalGC1	53	17	53	15	psDrawLine
+	globalGC1	52 16	3 3	0 360	53 17	psFillArc
+	globalGC1	53	32	53	17	psDrawLine
+	globalGC1	52 31	3 3	0 360	53 32	psFillArc
+	globalGC1	53	53	53	32	psDrawLine
+	globalGC1	52 52	3 3	0 360	53 53	psFillArc
+	globalGC1	53	74	53	53	psDrawLine
+	globalGC1	52 73	3 3	0 360	53 74	psFillArc
+	globalGC1	53	91	53	74	psDrawLine
+	globalGC1	52 90	3 3	0 360	53 91	psFillArc
+	globalGC1	53	101	53	91	psDrawLine
+	globalGC1	52 100	3 3	0 360	53 101	psFillArc
+	globalGC1	53	104	53	101	psDrawLine
+	globalGC1	52 103	3 3	0 360	53 104	psFillArc
+	globalGC1	53	104	53	104	psDrawLine
+	globalGC1	52 103	3 3	0 360	53 104	psFillArc
+	globalGC1	53	104	53	104	psDrawLine
+	globalGC1	52 103	3 3	0 360	53 104	psFillArc
+	globalGC1	53	103	53	104	psDrawLine
+	globalGC1	52 102	3 3	0 360	53 103	psFillArc
+	globalGC1	53	100	53	103	psDrawLine
+	globalGC1	52 99	3 3	0 360	53 100	psFillArc
+	globalGC1	53	91	53	100	psDrawLine
+	globalGC1	52 90	3 3	0 360	53 91	psFillArc
+	globalGC1	54	65	53	91	psDrawLine
+	globalGC1	53 64	3 3	0 360	54 65	psFillArc
+	globalGC1	54	39	54	65	psDrawLine
+	globalGC1	53 38	3 3	0 360	54 39	psFillArc
+	globalGC1	54	21	54	39	psDrawLine
+	globalGC1	53 20	3 3	0 360	54 21	psFillArc
+	globalGC1	54	16	54	21	psDrawLine
+	globalGC1	53 15	3 3	0 360	54 16	psFillArc
+	globalGC1	54	15	54	16	psDrawLine
+	globalGC1	53 14	3 3	0 360	54 15	psFillArc
+	globalGC1	54	14	54	15	psDrawLine
+	globalGC1	53 13	3 3	0 360	54 14	psFillArc
+	globalGC1	54	15	54	14	psDrawLine
+	globalGC1	53 14	3 3	0 360	54 15	psFillArc
+	globalGC1	54	18	54	15	psDrawLine
+	globalGC1	53 17	3 3	0 360	54 18	psFillArc
+	globalGC1	54	30	54	18	psDrawLine
+	globalGC1	53 29	3 3	0 360	54 30	psFillArc
+	globalGC1	55	61	54	30	psDrawLine
+	globalGC1	54 60	3 3	0 360	55 61	psFillArc
+	globalGC1	55	88	55	61	psDrawLine
+	globalGC1	54 87	3 3	0 360	55 88	psFillArc
+	globalGC1	55	103	55	88	psDrawLine
+	globalGC1	54 102	3 3	0 360	55 103	psFillArc
+	globalGC1	55	105	55	103	psDrawLine
+	globalGC1	54 104	3 3	0 360	55 105	psFillArc
+	globalGC1	56	105	55	105	psDrawLine
+	globalGC1	55 104	3 3	0 360	56 105	psFillArc
+	globalGC1	56	102	56	105	psDrawLine
+	globalGC1	55 101	3 3	0 360	56 102	psFillArc
+	globalGC1	56	97	56	102	psDrawLine
+	globalGC1	55 96	3 3	0 360	56 97	psFillArc
+	globalGC1	56	84	56	97	psDrawLine
+	globalGC1	55 83	3 3	0 360	56 84	psFillArc
+	globalGC1	57	56	56	84	psDrawLine
+	globalGC1	56 55	3 3	0 360	57 56	psFillArc
+	globalGC1	57	33	57	56	psDrawLine
+	globalGC1	56 32	3 3	0 360	57 33	psFillArc
+	globalGC1	58	21	57	33	psDrawLine
+	globalGC1	57 20	3 3	0 360	58 21	psFillArc
+	globalGC1	58	18	58	21	psDrawLine
+	globalGC1	57 17	3 3	0 360	58 18	psFillArc
+	globalGC1	59	17	58	18	psDrawLine
+	globalGC1	58 16	3 3	0 360	59 17	psFillArc
+	globalGC1	59	17	59	17	psDrawLine
+	globalGC1	58 16	3 3	0 360	59 17	psFillArc
+	globalGC1	59	18	59	17	psDrawLine
+	globalGC1	58 17	3 3	0 360	59 18	psFillArc
+	globalGC1	59	18	59	18	psDrawLine
+	globalGC1	58 17	3 3	0 360	59 18	psFillArc
+	globalGC1	59	20	59	18	psDrawLine
+	globalGC1	58 19	3 3	0 360	59 20	psFillArc
+	globalGC1	60	34	59	20	psDrawLine
+	globalGC1	59 33	3 3	0 360	60 34	psFillArc
+	globalGC1	62	53	60	34	psDrawLine
+	globalGC1	61 52	3 3	0 360	62 53	psFillArc
+	globalGC1	63	70	62	53	psDrawLine
+	globalGC1	62 69	3 3	0 360	63 70	psFillArc
+	globalGC1	65	95	63	70	psDrawLine
+	globalGC1	64 94	3 3	0 360	65 95	psFillArc
+	globalGC1	68	110	65	95	psDrawLine
+	globalGC1	67 109	3 3	0 360	68 110	psFillArc
+	globalGC1	70	119	68	110	psDrawLine
+	globalGC1	69 118	3 3	0 360	70 119	psFillArc
+	globalGC1	71	121	70	119	psDrawLine
+	globalGC1	70 120	3 3	0 360	71 121	psFillArc
+	globalGC1	72	123	71	121	psDrawLine
+	globalGC1	71 122	3 3	0 360	72 123	psFillArc
+	globalGC1	74	125	72	123	psDrawLine
+	globalGC1	73 124	3 3	0 360	74 125	psFillArc
+	globalGC1	75	126	74	125	psDrawLine
+	globalGC1	74 125	3 3	0 360	75 126	psFillArc
+	globalGC1	77	127	75	126	psDrawLine
+	globalGC1	76 126	3 3	0 360	77 127	psFillArc
+	globalGC1	80	128	77	127	psDrawLine
+	globalGC1	79 127	3 3	0 360	80 128	psFillArc
+	globalGC1	84	129	80	128	psDrawLine
+	globalGC1	83 128	3 3	0 360	84 129	psFillArc
+	globalGC1	89	129	84	129	psDrawLine
+	globalGC1	88 128	3 3	0 360	89 129	psFillArc
+	globalGC1	94	129	89	129	psDrawLine
+	globalGC1	93 128	3 3	0 360	94 129	psFillArc
+	globalGC1	99	129	94	129	psDrawLine
+	globalGC1	98 128	3 3	0 360	99 129	psFillArc
+	globalGC1	104	129	99	129	psDrawLine
+	globalGC1	103 128	3 3	0 360	104 129	psFillArc
+	globalGC1	108	129	104	129	psDrawLine
+	globalGC1	107 128	3 3	0 360	108 129	psFillArc
+	globalGC1	113	129	108	129	psDrawLine
+	globalGC1	112 128	3 3	0 360	113 129	psFillArc
+	globalGC1	118	129	113	129	psDrawLine
+	globalGC1	117 128	3 3	0 360	118 129	psFillArc
+	globalGC1	123	129	118	129	psDrawLine
+	globalGC1	122 128	3 3	0 360	123 129	psFillArc
+	globalGC1	128	129	123	129	psDrawLine
+	globalGC1	127 128	3 3	0 360	128 129	psFillArc
+	globalGC1	132	129	128	129	psDrawLine
+	globalGC1	131 128	3 3	0 360	132 129	psFillArc
+	globalGC1	137	129	132	129	psDrawLine
+	globalGC1	136 128	3 3	0 360	137 129	psFillArc
+	globalGC1	140	129	137	129	psDrawLine
+	globalGC1	139 128	3 3	0 360	140 129	psFillArc
+	globalGC1	142	130	140	129	psDrawLine
+	globalGC1	141 129	3 3	0 360	142 130	psFillArc
+	globalGC1	144	130	142	130	psDrawLine
+	globalGC1	143 129	3 3	0 360	144 130	psFillArc
+	globalGC1	146	131	144	130	psDrawLine
+	globalGC1	145 130	3 3	0 360	146 131	psFillArc
+	globalGC1	147	132	146	131	psDrawLine
+	globalGC1	146 131	3 3	0 360	147 132	psFillArc
+	globalGC1	148	133	147	132	psDrawLine
+	globalGC1	147 132	3 3	0 360	148 133	psFillArc
+	globalGC1	149	134	148	133	psDrawLine
+	globalGC1	148 133	3 3	0 360	149 134	psFillArc
+	globalGC1	152	139	149	134	psDrawLine
+	globalGC1	151 138	3 3	0 360	152 139	psFillArc
+	globalGC1	154	146	152	139	psDrawLine
+	globalGC1	153 145	3 3	0 360	154 146	psFillArc
+	globalGC1	156	160	154	146	psDrawLine
+	globalGC1	155 159	3 3	0 360	156 160	psFillArc
+	globalGC1	158	171	156	160	psDrawLine
+	globalGC1	157 170	3 3	0 360	158 171	psFillArc
+	globalGC1	159	184	158	171	psDrawLine
+	globalGC1	158 183	3 3	0 360	159 184	psFillArc
+	globalGC1	160	201	159	184	psDrawLine
+	globalGC1	159 200	3 3	0 360	160 201	psFillArc
+	globalGC1	161	219	160	201	psDrawLine
+	globalGC1	160 218	3 3	0 360	161 219	psFillArc
+	globalGC1	162	236	161	219	psDrawLine
+	globalGC1	161 235	3 3	0 360	162 236	psFillArc
+	globalGC1	163	238	162	236	psDrawLine
+	globalGC1	162 237	3 3	0 360	163 238	psFillArc
+	globalGC1	163	240	163	238	psDrawLine
+	globalGC1	162 239	3 3	0 360	163 240	psFillArc
+	globalGC1	163	240	163	240	psDrawLine
+	globalGC1	162 239	3 3	0 360	163 240	psFillArc
+	globalGC1	163	241	163	240	psDrawLine
+	globalGC1	162 240	3 3	0 360	163 241	psFillArc
+	globalGC1	163	241	163	241	psDrawLine
+	globalGC1	162 240	3 3	0 360	163 241	psFillArc
+	globalGC1	164	240	163	241	psDrawLine
+	globalGC1	163 239	3 3	0 360	164 240	psFillArc
+	globalGC1	164	232	164	240	psDrawLine
+	globalGC1	163 231	3 3	0 360	164 232	psFillArc
+	globalGC1	165	215	164	232	psDrawLine
+	globalGC1	164 214	3 3	0 360	165 215	psFillArc
+	globalGC1	165	188	165	215	psDrawLine
+	globalGC1	164 187	3 3	0 360	165 188	psFillArc
+	globalGC1	166	173	165	188	psDrawLine
+	globalGC1	165 172	3 3	0 360	166 173	psFillArc
+	globalGC1	166	161	166	173	psDrawLine
+	globalGC1	165 160	3 3	0 360	166 161	psFillArc
+	globalGC1	166	156	166	161	psDrawLine
+	globalGC1	165 155	3 3	0 360	166 156	psFillArc
+	globalGC1	166	155	166	156	psDrawLine
+	globalGC1	165 154	3 3	0 360	166 155	psFillArc
+	globalGC1	166	153	166	155	psDrawLine
+	globalGC1	165 152	3 3	0 360	166 153	psFillArc
+	globalGC1	166	153	166	153	psDrawLine
+	globalGC1	165 152	3 3	0 360	166 153	psFillArc
+	globalGC1	166	153	166	153	psDrawLine
+	globalGC1	165 152	3 3	0 360	166 153	psFillArc
+	globalGC1	166	153	166	153	psDrawLine
+	globalGC1	165 152	3 3	0 360	166 153	psFillArc
+	globalGC1	166	154	166	153	psDrawLine
+	globalGC1	165 153	3 3	0 360	166 154	psFillArc
+	globalGC1	167	155	166	154	psDrawLine
+	globalGC1	166 154	3 3	0 360	167 155	psFillArc
+	globalGC1	167	170	167	155	psDrawLine
+	globalGC1	166 169	3 3	0 360	167 170	psFillArc
+	globalGC1	167	197	167	170	psDrawLine
+	globalGC1	166 196	3 3	0 360	167 197	psFillArc
+	globalGC1	167	229	167	197	psDrawLine
+	globalGC1	166 228	3 3	0 360	167 229	psFillArc
+	globalGC1	168	240	167	229	psDrawLine
+	globalGC1	167 239	3 3	0 360	168 240	psFillArc
+	globalGC1	168	243	168	240	psDrawLine
+	globalGC1	167 242	3 3	0 360	168 243	psFillArc
+	globalGC1	168	244	168	243	psDrawLine
+	globalGC1	167 243	3 3	0 360	168 244	psFillArc
+	globalGC1	168	244	168	244	psDrawLine
+	globalGC1	167 243	3 3	0 360	168 244	psFillArc
+	globalGC1	168	243	168	244	psDrawLine
+	globalGC1	167 242	3 3	0 360	168 243	psFillArc
+	globalGC1	168	242	168	243	psDrawLine
+	globalGC1	167 241	3 3	0 360	168 242	psFillArc
+	globalGC1	168	237	168	242	psDrawLine
+	globalGC1	167 236	3 3	0 360	168 237	psFillArc
+	globalGC1	168	219	168	237	psDrawLine
+	globalGC1	167 218	3 3	0 360	168 219	psFillArc
+	globalGC1	168	193	168	219	psDrawLine
+	globalGC1	167 192	3 3	0 360	168 193	psFillArc
+	globalGC1	168	166	168	193	psDrawLine
+	globalGC1	167 165	3 3	0 360	168 166	psFillArc
+	globalGC1	168	157	168	166	psDrawLine
+	globalGC1	167 156	3 3	0 360	168 157	psFillArc
+	globalGC1	168	155	168	157	psDrawLine
+	globalGC1	167 154	3 3	0 360	168 155	psFillArc
+	globalGC1	168	154	168	155	psDrawLine
+	globalGC1	167 153	3 3	0 360	168 154	psFillArc
+	globalGC1	168	154	168	154	psDrawLine
+	globalGC1	167 153	3 3	0 360	168 154	psFillArc
+	globalGC1	169	157	168	154	psDrawLine
+	globalGC1	168 156	3 3	0 360	169 157	psFillArc
+	globalGC1	169	167	169	157	psDrawLine
+	globalGC1	168 166	3 3	0 360	169 167	psFillArc
+	globalGC1	169	185	169	167	psDrawLine
+	globalGC1	168 184	3 3	0 360	169 185	psFillArc
+	globalGC1	169	206	169	185	psDrawLine
+	globalGC1	168 205	3 3	0 360	169 206	psFillArc
+	globalGC1	169	227	169	206	psDrawLine
+	globalGC1	168 226	3 3	0 360	169 227	psFillArc
+	globalGC1	169	241	169	227	psDrawLine
+	globalGC1	168 240	3 3	0 360	169 241	psFillArc
+	globalGC1	169	243	169	241	psDrawLine
+	globalGC1	168 242	3 3	0 360	169 243	psFillArc
+	globalGC1	169	244	169	243	psDrawLine
+	globalGC1	168 243	3 3	0 360	169 244	psFillArc
+	globalGC1	169	244	169	244	psDrawLine
+	globalGC1	168 243	3 3	0 360	169 244	psFillArc
+	globalGC1	169	243	169	244	psDrawLine
+	globalGC1	168 242	3 3	0 360	169 243	psFillArc
+	globalGC1	169	238	169	243	psDrawLine
+	globalGC1	168 237	3 3	0 360	169 238	psFillArc
+	globalGC1	169	229	169	238	psDrawLine
+	globalGC1	168 228	3 3	0 360	169 229	psFillArc
+	globalGC1	169	202	169	229	psDrawLine
+	globalGC1	168 201	3 3	0 360	169 202	psFillArc
+	globalGC1	169	172	169	202	psDrawLine
+	globalGC1	168 171	3 3	0 360	169 172	psFillArc
+	globalGC1	169	160	169	172	psDrawLine
+	globalGC1	168 159	3 3	0 360	169 160	psFillArc
+	globalGC1	169	157	169	160	psDrawLine
+	globalGC1	168 156	3 3	0 360	169 157	psFillArc
+	globalGC1	169	154	169	157	psDrawLine
+	globalGC1	168 153	3 3	0 360	169 154	psFillArc
+	globalGC1	169	154	169	154	psDrawLine
+	globalGC1	168 153	3 3	0 360	169 154	psFillArc
+	globalGC1	169	156	169	154	psDrawLine
+	globalGC1	168 155	3 3	0 360	169 156	psFillArc
+	globalGC1	169	164	169	156	psDrawLine
+	globalGC1	168 163	3 3	0 360	169 164	psFillArc
+	globalGC1	169	180	169	164	psDrawLine
+	globalGC1	168 179	3 3	0 360	169 180	psFillArc
+	globalGC1	169	201	169	180	psDrawLine
+	globalGC1	168 200	3 3	0 360	169 201	psFillArc
+	globalGC1	169	221	169	201	psDrawLine
+	globalGC1	168 220	3 3	0 360	169 221	psFillArc
+	globalGC1	169	230	169	221	psDrawLine
+	globalGC1	168 229	3 3	0 360	169 230	psFillArc
+	globalGC1	170	238	169	230	psDrawLine
+	globalGC1	169 237	3 3	0 360	170 238	psFillArc
+	globalGC1	170	242	170	238	psDrawLine
+	globalGC1	169 241	3 3	0 360	170 242	psFillArc
+	globalGC1	170	244	170	242	psDrawLine
+	globalGC1	169 243	3 3	0 360	170 244	psFillArc
+	globalGC1	170	243	170	244	psDrawLine
+	globalGC1	169 242	3 3	0 360	170 243	psFillArc
+	globalGC1	170	238	170	243	psDrawLine
+	globalGC1	169 237	3 3	0 360	170 238	psFillArc
+	globalGC1	170	219	170	238	psDrawLine
+	globalGC1	169 218	3 3	0 360	170 219	psFillArc
+	globalGC1	170	192	170	219	psDrawLine
+	globalGC1	169 191	3 3	0 360	170 192	psFillArc
+	globalGC1	170	167	170	192	psDrawLine
+	globalGC1	169 166	3 3	0 360	170 167	psFillArc
+	globalGC1	170	158	170	167	psDrawLine
+	globalGC1	169 157	3 3	0 360	170 158	psFillArc
+	globalGC1	170	154	170	158	psDrawLine
+	globalGC1	169 153	3 3	0 360	170 154	psFillArc
+	globalGC1	170	156	170	154	psDrawLine
+	globalGC1	169 155	3 3	0 360	170 156	psFillArc
+	globalGC1	170	162	170	156	psDrawLine
+	globalGC1	169 161	3 3	0 360	170 162	psFillArc
+	globalGC1	170	190	170	162	psDrawLine
+	globalGC1	169 189	3 3	0 360	170 190	psFillArc
+	globalGC1	170	224	170	190	psDrawLine
+	globalGC1	169 223	3 3	0 360	170 224	psFillArc
+	globalGC1	170	237	170	224	psDrawLine
+	globalGC1	169 236	3 3	0 360	170 237	psFillArc
+	globalGC1	170	244	170	237	psDrawLine
+	globalGC1	169 243	3 3	0 360	170 244	psFillArc
+	globalGC1	170	242	170	244	psDrawLine
+	globalGC1	169 241	3 3	0 360	170 242	psFillArc
+	globalGC1	170	232	170	242	psDrawLine
+	globalGC1	169 231	3 3	0 360	170 232	psFillArc
+	globalGC1	170	215	170	232	psDrawLine
+	globalGC1	169 214	3 3	0 360	170 215	psFillArc
+	globalGC1	170	194	170	215	psDrawLine
+	globalGC1	169 193	3 3	0 360	170 194	psFillArc
+	globalGC1	170	173	170	194	psDrawLine
+	globalGC1	169 172	3 3	0 360	170 173	psFillArc
+	globalGC1	170	158	170	173	psDrawLine
+	globalGC1	169 157	3 3	0 360	170 158	psFillArc
+	globalGC1	170	154	170	158	psDrawLine
+	globalGC1	169 153	3 3	0 360	170 154	psFillArc
+	globalGC1	170	163	170	154	psDrawLine
+	globalGC1	169 162	3 3	0 360	170 163	psFillArc
+	globalGC1	170	182	170	163	psDrawLine
+	globalGC1	169 181	3 3	0 360	170 182	psFillArc
+	globalGC1	170	208	170	182	psDrawLine
+	globalGC1	169 207	3 3	0 360	170 208	psFillArc
+	globalGC1	170	231	170	208	psDrawLine
+	globalGC1	169 230	3 3	0 360	170 231	psFillArc
+	globalGC1	170	239	170	231	psDrawLine
+	globalGC1	169 238	3 3	0 360	170 239	psFillArc
+	globalGC1	170	244	170	239	psDrawLine
+	globalGC1	169 243	3 3	0 360	170 244	psFillArc
+	globalGC1	170	239	170	244	psDrawLine
+	globalGC1	169 238	3 3	0 360	170 239	psFillArc
+	globalGC1	170	217	170	239	psDrawLine
+	globalGC1	169 216	3 3	0 360	170 217	psFillArc
+	globalGC1	170	187	170	217	psDrawLine
+	globalGC1	169 186	3 3	0 360	170 187	psFillArc
+	globalGC1	170	161	170	187	psDrawLine
+	globalGC1	169 160	3 3	0 360	170 161	psFillArc
+	globalGC1	170	155	170	161	psDrawLine
+	globalGC1	169 154	3 3	0 360	170 155	psFillArc
+	globalGC1	170	173	170	155	psDrawLine
+	globalGC1	169 172	3 3	0 360	170 173	psFillArc
+	globalGC1	170	207	170	173	psDrawLine
+	globalGC1	169 206	3 3	0 360	170 207	psFillArc
+	globalGC1	170	237	170	207	psDrawLine
+	globalGC1	169 236	3 3	0 360	170 237	psFillArc
+	globalGC1	170	242	170	237	psDrawLine
+	globalGC1	169 241	3 3	0 360	170 242	psFillArc
+	globalGC1	170	214	170	242	psDrawLine
+	globalGC1	169 213	3 3	0 360	170 214	psFillArc
+	globalGC1	170	173	170	214	psDrawLine
+	globalGC1	169 172	3 3	0 360	170 173	psFillArc
+	globalGC1	170	154	170	173	psDrawLine
+	globalGC1	169 153	3 3	0 360	170 154	psFillArc
+	globalGC1	170	178	170	154	psDrawLine
+	globalGC1	169 177	3 3	0 360	170 178	psFillArc
+	globalGC1	170	224	170	178	psDrawLine
+	globalGC1	169 223	3 3	0 360	170 224	psFillArc
+	globalGC1	170	244	170	224	psDrawLine
+	globalGC1	169 243	3 3	0 360	170 244	psFillArc
+	globalGC1	170	209	170	244	psDrawLine
+	globalGC1	169 208	3 3	0 360	170 209	psFillArc
+	globalGC1	170	160	170	209	psDrawLine
+	globalGC1	169 159	3 3	0 360	170 160	psFillArc
+	globalGC1	170	167	170	160	psDrawLine
+	globalGC1	169 166	3 3	0 360	170 167	psFillArc
+	globalGC1	170	225	170	167	psDrawLine
+	globalGC1	169 224	3 3	0 360	170 225	psFillArc
+	globalGC1	170	239	170	225	psDrawLine
+	globalGC1	169 238	3 3	0 360	170 239	psFillArc
+	globalGC1	170	179	170	239	psDrawLine
+	globalGC1	169 178	3 3	0 360	170 179	psFillArc
+	globalGC1	171	160	170	179	psDrawLine
+	globalGC1	170 159	3 3	0 360	171 160	psFillArc
+	globalGC1	171	228	171	160	psDrawLine
+	globalGC1	170 227	3 3	0 360	171 228	psFillArc
+	globalGC1	171	225	171	228	psDrawLine
+	globalGC1	170 224	3 3	0 360	171 225	psFillArc
+	globalGC1	171	184	171	225	psDrawLine
+	globalGC1	170 183	3 3	0 360	171 184	psFillArc
+	globalGC1	171	155	171	184	psDrawLine
+	globalGC1	170 154	3 3	0 360	171 155	psFillArc
+	globalGC1	171	211	171	155	psDrawLine
+	globalGC1	170 210	3 3	0 360	171 211	psFillArc
+	globalGC1	171	227	171	211	psDrawLine
+	globalGC1	170 226	3 3	0 360	171 227	psFillArc
+	globalGC1	171	155	171	227	psDrawLine
+	globalGC1	170 154	3 3	0 360	171 155	psFillArc
+	globalGC1	171	171	171	155	psDrawLine
+	globalGC1	170 170	3 3	0 360	171 171	psFillArc
+	globalGC1	171	220	171	171	psDrawLine
+	globalGC1	170 219	3 3	0 360	171 220	psFillArc
+	globalGC1	171	177	171	220	psDrawLine
+	globalGC1	170 176	3 3	0 360	171 177	psFillArc
+	globalGC1	171	231	171	177	psDrawLine
+	globalGC1	170 230	3 3	0 360	171 231	psFillArc
+	globalGC1	171	155	171	231	psDrawLine
+	globalGC1	170 154	3 3	0 360	171 155	psFillArc
+	globalGC1	171	232	171	155	psDrawLine
+	globalGC1	170 231	3 3	0 360	171 232	psFillArc
+	globalGC1	171	221	171	232	psDrawLine
+	globalGC1	170 220	3 3	0 360	171 221	psFillArc
+	globalGC1	171	165	171	221	psDrawLine
+	globalGC1	170 164	3 3	0 360	171 165	psFillArc
+	globalGC1	171	155	171	165	psDrawLine
+	globalGC1	170 154	3 3	0 360	171 155	psFillArc
+	globalGC1	171	157	171	155	psDrawLine
+	globalGC1	170 156	3 3	0 360	171 157	psFillArc
+	globalGC1	171	154	171	157	psDrawLine
+	globalGC1	170 153	3 3	0 360	171 154	psFillArc
+	globalGC1	171	193	171	154	psDrawLine
+	globalGC1	170 192	3 3	0 360	171 193	psFillArc
+	globalGC1	171	236	171	193	psDrawLine
+	globalGC1	170 235	3 3	0 360	171 236	psFillArc
+	globalGC1	171	177	171	236	psDrawLine
+	globalGC1	170 176	3 3	0 360	171 177	psFillArc
+	globalGC1	171	154	171	177	psDrawLine
+	globalGC1	170 153	3 3	0 360	171 154	psFillArc
+	globalGC1	171	163	171	154	psDrawLine
+	globalGC1	170 162	3 3	0 360	171 163	psFillArc
+	globalGC1	171	235	171	163	psDrawLine
+	globalGC1	170 234	3 3	0 360	171 235	psFillArc
+	globalGC1	171	233	171	235	psDrawLine
+	globalGC1	170 232	3 3	0 360	171 233	psFillArc
+	globalGC1	171	213	171	233	psDrawLine
+	globalGC1	170 212	3 3	0 360	171 213	psFillArc
+	globalGC1	171	160	171	213	psDrawLine
+	globalGC1	170 159	3 3	0 360	171 160	psFillArc
+	globalGC1	171	169	171	160	psDrawLine
+	globalGC1	170 168	3 3	0 360	171 169	psFillArc
+	globalGC1	171	178	171	169	psDrawLine
+	globalGC1	170 177	3 3	0 360	171 178	psFillArc
+	globalGC1	171	155	171	178	psDrawLine
+	globalGC1	170 154	3 3	0 360	171 155	psFillArc
+	globalGC1	171	157	171	155	psDrawLine
+	globalGC1	170 156	3 3	0 360	171 157	psFillArc
+	globalGC1	171	243	171	157	psDrawLine
+	globalGC1	170 242	3 3	0 360	171 243	psFillArc
+	globalGC1	171	213	171	243	psDrawLine
+	globalGC1	170 212	3 3	0 360	171 213	psFillArc
+	globalGC1	171	172	171	213	psDrawLine
+	globalGC1	170 171	3 3	0 360	171 172	psFillArc
+	globalGC1	171	180	171	172	psDrawLine
+	globalGC1	170 179	3 3	0 360	171 180	psFillArc
+	globalGC1	171	243	171	180	psDrawLine
+	globalGC1	170 242	3 3	0 360	171 243	psFillArc
+	globalGC1	171	186	171	243	psDrawLine
+	globalGC1	170 185	3 3	0 360	171 186	psFillArc
+	globalGC1	171	154	171	186	psDrawLine
+	globalGC1	170 153	3 3	0 360	171 154	psFillArc
+	globalGC1	171	162	171	154	psDrawLine
+	globalGC1	170 161	3 3	0 360	171 162	psFillArc
+	globalGC1	171	233	171	162	psDrawLine
+	globalGC1	170 232	3 3	0 360	171 233	psFillArc
+	globalGC1	171	175	171	233	psDrawLine
+	globalGC1	170 174	3 3	0 360	171 175	psFillArc
+	globalGC1	171	206	171	175	psDrawLine
+	globalGC1	170 205	3 3	0 360	171 206	psFillArc
+	globalGC1	171	239	171	206	psDrawLine
+	globalGC1	170 238	3 3	0 360	171 239	psFillArc
+	globalGC1	171	170	171	239	psDrawLine
+	globalGC1	170 169	3 3	0 360	171 170	psFillArc
+	globalGC1	171	239	171	170	psDrawLine
+	globalGC1	170 238	3 3	0 360	171 239	psFillArc
+	globalGC1	171	223	171	239	psDrawLine
+	globalGC1	170 222	3 3	0 360	171 223	psFillArc
+	globalGC1	171	193	171	223	psDrawLine
+	globalGC1	170 192	3 3	0 360	171 193	psFillArc
+	globalGC1	171	176	171	193	psDrawLine
+	globalGC1	170 175	3 3	0 360	171 176	psFillArc
+	globalGC1	171	235	171	176	psDrawLine
+	globalGC1	170 234	3 3	0 360	171 235	psFillArc
+	globalGC1	171	170	171	235	psDrawLine
+	globalGC1	170 169	3 3	0 360	171 170	psFillArc
+	globalGC1	171	244	171	170	psDrawLine
+	globalGC1	170 243	3 3	0 360	171 244	psFillArc
+	globalGC1	171	221	171	244	psDrawLine
+	globalGC1	170 220	3 3	0 360	171 221	psFillArc
+	globalGC1	172	206	171	221	psDrawLine
+	globalGC1	171 205	3 3	0 360	172 206	psFillArc
+	globalGC1	172	221	172	206	psDrawLine
+	globalGC1	171 220	3 3	0 360	172 221	psFillArc
+	globalGC1	172	244	172	221	psDrawLine
+	globalGC1	171 243	3 3	0 360	172 244	psFillArc
+	globalGC1	172	210	172	244	psDrawLine
+	globalGC1	171 209	3 3	0 360	172 210	psFillArc
+	globalGC1	172	154	172	210	psDrawLine
+	globalGC1	171 153	3 3	0 360	172 154	psFillArc
+	globalGC1	172	230	172	154	psDrawLine
+	globalGC1	171 229	3 3	0 360	172 230	psFillArc
+	globalGC1	172	190	172	230	psDrawLine
+	globalGC1	171 189	3 3	0 360	172 190	psFillArc
+	globalGC1	172	198	172	190	psDrawLine
+	globalGC1	171 197	3 3	0 360	172 198	psFillArc
+	globalGC1	172	200	172	198	psDrawLine
+	globalGC1	171 199	3 3	0 360	172 200	psFillArc
+	globalGC1	172	209	172	200	psDrawLine
+	globalGC1	171 208	3 3	0 360	172 209	psFillArc
+	globalGC1	172	243	172	209	psDrawLine
+	globalGC1	171 242	3 3	0 360	172 243	psFillArc
+	globalGC1	172	160	172	243	psDrawLine
+	globalGC1	171 159	3 3	0 360	172 160	psFillArc
+	globalGC1	172	203	172	160	psDrawLine
+	globalGC1	171 202	3 3	0 360	172 203	psFillArc
+	globalGC1	172	237	172	203	psDrawLine
+	globalGC1	171 236	3 3	0 360	172 237	psFillArc
+	globalGC1	172	163	172	237	psDrawLine
+	globalGC1	171 162	3 3	0 360	172 163	psFillArc
+	globalGC1	172	182	172	163	psDrawLine
+	globalGC1	171 181	3 3	0 360	172 182	psFillArc
+	globalGC1	172	243	172	182	psDrawLine
+	globalGC1	171 242	3 3	0 360	172 243	psFillArc
+	globalGC1	172	208	172	243	psDrawLine
+	globalGC1	171 207	3 3	0 360	172 208	psFillArc
+	globalGC1	172	155	172	208	psDrawLine
+	globalGC1	171 154	3 3	0 360	172 155	psFillArc
+	globalGC1	172	183	172	155	psDrawLine
+	globalGC1	171 182	3 3	0 360	172 183	psFillArc
+	globalGC1	172	237	172	183	psDrawLine
+	globalGC1	171 236	3 3	0 360	172 237	psFillArc
+	globalGC1	172	232	172	237	psDrawLine
+	globalGC1	171 231	3 3	0 360	172 232	psFillArc
+	globalGC1	172	181	172	232	psDrawLine
+	globalGC1	171 180	3 3	0 360	172 181	psFillArc
+	globalGC1	172	154	172	181	psDrawLine
+	globalGC1	171 153	3 3	0 360	172 154	psFillArc
+	globalGC1	172	181	172	154	psDrawLine
+	globalGC1	171 180	3 3	0 360	172 181	psFillArc
+	globalGC1	172	227	172	181	psDrawLine
+	globalGC1	171 226	3 3	0 360	172 227	psFillArc
+	globalGC1	172	244	172	227	psDrawLine
+	globalGC1	171 243	3 3	0 360	172 244	psFillArc
+	globalGC1	172	219	172	244	psDrawLine
+	globalGC1	171 218	3 3	0 360	172 219	psFillArc
+	globalGC1	172	178	172	219	psDrawLine
+	globalGC1	171 177	3 3	0 360	172 178	psFillArc
+	globalGC1	172	155	172	178	psDrawLine
+	globalGC1	171 154	3 3	0 360	172 155	psFillArc
+	globalGC1	172	164	172	155	psDrawLine
+	globalGC1	171 163	3 3	0 360	172 164	psFillArc
+	globalGC1	172	197	172	164	psDrawLine
+	globalGC1	171 196	3 3	0 360	172 197	psFillArc
+	globalGC1	172	230	172	197	psDrawLine
+	globalGC1	171 229	3 3	0 360	172 230	psFillArc
+	globalGC1	172	244	172	230	psDrawLine
+	globalGC1	171 243	3 3	0 360	172 244	psFillArc
+	globalGC1	172	234	172	244	psDrawLine
+	globalGC1	171 233	3 3	0 360	172 234	psFillArc
+	globalGC1	172	206	172	234	psDrawLine
+	globalGC1	171 205	3 3	0 360	172 206	psFillArc
+	globalGC1	172	176	172	206	psDrawLine
+	globalGC1	171 175	3 3	0 360	172 176	psFillArc
+	globalGC1	172	157	172	176	psDrawLine
+	globalGC1	171 156	3 3	0 360	172 157	psFillArc
+	globalGC1	172	156	172	157	psDrawLine
+	globalGC1	171 155	3 3	0 360	172 156	psFillArc
+	globalGC1	172	170	172	156	psDrawLine
+	globalGC1	171 169	3 3	0 360	172 170	psFillArc
+	globalGC1	172	195	172	170	psDrawLine
+	globalGC1	171 194	3 3	0 360	172 195	psFillArc
+	globalGC1	172	220	172	195	psDrawLine
+	globalGC1	171 219	3 3	0 360	172 220	psFillArc
+	globalGC1	172	238	172	220	psDrawLine
+	globalGC1	171 237	3 3	0 360	172 238	psFillArc
+	globalGC1	172	244	172	238	psDrawLine
+	globalGC1	171 243	3 3	0 360	172 244	psFillArc
+	globalGC1	172	238	172	244	psDrawLine
+	globalGC1	171 237	3 3	0 360	172 238	psFillArc
+	globalGC1	172	222	172	238	psDrawLine
+	globalGC1	171 221	3 3	0 360	172 222	psFillArc
+	globalGC1	172	201	172	222	psDrawLine
+	globalGC1	171 200	3 3	0 360	172 201	psFillArc
+	globalGC1	172	180	172	201	psDrawLine
+	globalGC1	171 179	3 3	0 360	172 180	psFillArc
+	globalGC1	172	164	172	180	psDrawLine
+	globalGC1	171 163	3 3	0 360	172 164	psFillArc
+	globalGC1	172	155	172	164	psDrawLine
+	globalGC1	171 154	3 3	0 360	172 155	psFillArc
+	globalGC1	172	155	172	155	psDrawLine
+	globalGC1	171 154	3 3	0 360	172 155	psFillArc
+	globalGC1	173	176	172	155	psDrawLine
+	globalGC1	172 175	3 3	0 360	173 176	psFillArc
+	globalGC1	173	211	173	176	psDrawLine
+	globalGC1	172 210	3 3	0 360	173 211	psFillArc
+	globalGC1	173	237	173	211	psDrawLine
+	globalGC1	172 236	3 3	0 360	173 237	psFillArc
+	globalGC1	173	243	173	237	psDrawLine
+	globalGC1	172 242	3 3	0 360	173 243	psFillArc
+	globalGC1	173	244	173	243	psDrawLine
+	globalGC1	172 243	3 3	0 360	173 244	psFillArc
+	globalGC1	173	239	173	244	psDrawLine
+	globalGC1	172 238	3 3	0 360	173 239	psFillArc
+	globalGC1	173	230	173	239	psDrawLine
+	globalGC1	172 229	3 3	0 360	173 230	psFillArc
+	globalGC1	173	204	173	230	psDrawLine
+	globalGC1	172 203	3 3	0 360	173 204	psFillArc
+	globalGC1	173	178	173	204	psDrawLine
+	globalGC1	172 177	3 3	0 360	173 178	psFillArc
+	globalGC1	173	159	173	178	psDrawLine
+	globalGC1	172 158	3 3	0 360	173 159	psFillArc
+	globalGC1	173	155	173	159	psDrawLine
+	globalGC1	172 154	3 3	0 360	173 155	psFillArc
+	globalGC1	173	154	173	155	psDrawLine
+	globalGC1	172 153	3 3	0 360	173 154	psFillArc
+	globalGC1	173	156	173	154	psDrawLine
+	globalGC1	172 155	3 3	0 360	173 156	psFillArc
+	globalGC1	173	162	173	156	psDrawLine
+	globalGC1	172 161	3 3	0 360	173 162	psFillArc
+	globalGC1	173	178	173	162	psDrawLine
+	globalGC1	172 177	3 3	0 360	173 178	psFillArc
+	globalGC1	173	199	173	178	psDrawLine
+	globalGC1	172 198	3 3	0 360	173 199	psFillArc
+	globalGC1	173	219	173	199	psDrawLine
+	globalGC1	172 218	3 3	0 360	173 219	psFillArc
+	globalGC1	173	235	173	219	psDrawLine
+	globalGC1	172 234	3 3	0 360	173 235	psFillArc
+	globalGC1	173	240	173	235	psDrawLine
+	globalGC1	172 239	3 3	0 360	173 240	psFillArc
+	globalGC1	173	243	173	240	psDrawLine
+	globalGC1	172 242	3 3	0 360	173 243	psFillArc
+	globalGC1	173	244	173	243	psDrawLine
+	globalGC1	172 243	3 3	0 360	173 244	psFillArc
+	globalGC1	173	243	173	244	psDrawLine
+	globalGC1	172 242	3 3	0 360	173 243	psFillArc
+	globalGC1	173	241	173	243	psDrawLine
+	globalGC1	172 240	3 3	0 360	173 241	psFillArc
+	globalGC1	173	237	173	241	psDrawLine
+	globalGC1	172 236	3 3	0 360	173 237	psFillArc
+	globalGC1	173	211	173	237	psDrawLine
+	globalGC1	172 210	3 3	0 360	173 211	psFillArc
+	globalGC1	173	180	173	211	psDrawLine
+	globalGC1	172 179	3 3	0 360	173 180	psFillArc
+	globalGC1	173	159	173	180	psDrawLine
+	globalGC1	172 158	3 3	0 360	173 159	psFillArc
+	globalGC1	173	155	173	159	psDrawLine
+	globalGC1	172 154	3 3	0 360	173 155	psFillArc
+	globalGC1	173	154	173	155	psDrawLine
+	globalGC1	172 153	3 3	0 360	173 154	psFillArc
+	globalGC1	173	154	173	154	psDrawLine
+	globalGC1	172 153	3 3	0 360	173 154	psFillArc
+	globalGC1	173	155	173	154	psDrawLine
+	globalGC1	172 154	3 3	0 360	173 155	psFillArc
+	globalGC1	173	157	173	155	psDrawLine
+	globalGC1	172 156	3 3	0 360	173 157	psFillArc
+	globalGC1	173	163	173	157	psDrawLine
+	globalGC1	172 162	3 3	0 360	173 163	psFillArc
+	globalGC1	174	182	173	163	psDrawLine
+	globalGC1	173 181	3 3	0 360	174 182	psFillArc
+	globalGC1	174	204	174	182	psDrawLine
+	globalGC1	173 203	3 3	0 360	174 204	psFillArc
+	globalGC1	174	223	174	204	psDrawLine
+	globalGC1	173 222	3 3	0 360	174 223	psFillArc
+	globalGC1	174	237	174	223	psDrawLine
+	globalGC1	173 236	3 3	0 360	174 237	psFillArc
+	globalGC1	174	241	174	237	psDrawLine
+	globalGC1	173 240	3 3	0 360	174 241	psFillArc
+	globalGC1	174	242	174	241	psDrawLine
+	globalGC1	173 241	3 3	0 360	174 242	psFillArc
+	globalGC1	174	243	174	242	psDrawLine
+	globalGC1	173 242	3 3	0 360	174 243	psFillArc
+	globalGC1	174	244	174	243	psDrawLine
+	globalGC1	173 243	3 3	0 360	174 244	psFillArc
+	globalGC1	174	243	174	244	psDrawLine
+	globalGC1	173 242	3 3	0 360	174 243	psFillArc
+	globalGC1	174	236	174	243	psDrawLine
+	globalGC1	173 235	3 3	0 360	174 236	psFillArc
+	globalGC1	174	211	174	236	psDrawLine
+	globalGC1	173 210	3 3	0 360	174 211	psFillArc
+	globalGC1	174	184	174	211	psDrawLine
+	globalGC1	173 183	3 3	0 360	174 184	psFillArc
+	globalGC1	174	163	174	184	psDrawLine
+	globalGC1	173 162	3 3	0 360	174 163	psFillArc
+	globalGC1	175	157	174	163	psDrawLine
+	globalGC1	174 156	3 3	0 360	175 157	psFillArc
+	globalGC1	175	155	175	157	psDrawLine
+	globalGC1	174 154	3 3	0 360	175 155	psFillArc
+	globalGC1	175	154	175	155	psDrawLine
+	globalGC1	174 153	3 3	0 360	175 154	psFillArc
+	globalGC1	175	154	175	154	psDrawLine
+	globalGC1	174 153	3 3	0 360	175 154	psFillArc
+	globalGC1	175	154	175	154	psDrawLine
+	globalGC1	174 153	3 3	0 360	175 154	psFillArc
+	globalGC1	175	154	175	154	psDrawLine
+	globalGC1	174 153	3 3	0 360	175 154	psFillArc
+	globalGC1	175	156	175	154	psDrawLine
+	globalGC1	174 155	3 3	0 360	175 156	psFillArc
+	globalGC1	175	165	175	156	psDrawLine
+	globalGC1	174 164	3 3	0 360	175 165	psFillArc
+	globalGC1	175	196	175	165	psDrawLine
+	globalGC1	174 195	3 3	0 360	175 196	psFillArc
+	globalGC1	176	224	175	196	psDrawLine
+	globalGC1	175 223	3 3	0 360	176 224	psFillArc
+	globalGC1	176	240	176	224	psDrawLine
+	globalGC1	175 239	3 3	0 360	176 240	psFillArc
+	globalGC1	176	243	176	240	psDrawLine
+	globalGC1	175 242	3 3	0 360	176 243	psFillArc
+	globalGC1	176	243	176	243	psDrawLine
+	globalGC1	175 242	3 3	0 360	176 243	psFillArc
+	globalGC1	176	243	176	243	psDrawLine
+	globalGC1	175 242	3 3	0 360	176 243	psFillArc
+	globalGC1	176	240	176	243	psDrawLine
+	globalGC1	175 239	3 3	0 360	176 240	psFillArc
+	globalGC1	176	236	176	240	psDrawLine
+	globalGC1	175 235	3 3	0 360	176 236	psFillArc
+	globalGC1	177	223	176	236	psDrawLine
+	globalGC1	176 222	3 3	0 360	177 223	psFillArc
+	globalGC1	177	194	177	223	psDrawLine
+	globalGC1	176 193	3 3	0 360	177 194	psFillArc
+	globalGC1	178	170	177	194	psDrawLine
+	globalGC1	177 169	3 3	0 360	178 170	psFillArc
+	globalGC1	179	156	178	170	psDrawLine
+	globalGC1	178 155	3 3	0 360	179 156	psFillArc
+	globalGC1	179	153	179	156	psDrawLine
+	globalGC1	178 152	3 3	0 360	179 153	psFillArc
+	globalGC1	179	151	179	153	psDrawLine
+	globalGC1	178 150	3 3	0 360	179 151	psFillArc
+	globalGC1	179	151	179	151	psDrawLine
+	globalGC1	178 150	3 3	0 360	179 151	psFillArc
+	globalGC1	180	152	179	151	psDrawLine
+	globalGC1	179 151	3 3	0 360	180 152	psFillArc
+	globalGC1	180	155	180	152	psDrawLine
+	globalGC1	179 154	3 3	0 360	180 155	psFillArc
+	globalGC1	180	158	180	155	psDrawLine
+	globalGC1	179 157	3 3	0 360	180 158	psFillArc
+	globalGC1	182	173	180	158	psDrawLine
+	globalGC1	181 172	3 3	0 360	182 173	psFillArc
+	globalGC1	183	189	182	173	psDrawLine
+	globalGC1	182 188	3 3	0 360	183 189	psFillArc
+	globalGC1	185	212	183	189	psDrawLine
+	globalGC1	184 211	3 3	0 360	185 212	psFillArc
+	globalGC1	186	219	185	212	psDrawLine
+	globalGC1	185 218	3 3	0 360	186 219	psFillArc
+	globalGC1	188	223	186	219	psDrawLine
+	globalGC1	187 222	3 3	0 360	188 223	psFillArc
+	globalGC1	188	225	188	223	psDrawLine
+	globalGC1	187 224	3 3	0 360	188 225	psFillArc
+	globalGC1	189	226	188	225	psDrawLine
+	globalGC1	188 225	3 3	0 360	189 226	psFillArc
+	globalGC1	189	226	189	226	psDrawLine
+	globalGC1	188 225	3 3	0 360	189 226	psFillArc
+	globalGC1	190	227	189	226	psDrawLine
+	globalGC1	189 226	3 3	0 360	190 227	psFillArc
+	globalGC1	191	227	190	227	psDrawLine
+	globalGC1	190 226	3 3	0 360	191 227	psFillArc
+	globalGC1	192	226	191	227	psDrawLine
+	globalGC1	191 225	3 3	0 360	192 226	psFillArc
+	globalGC1	194	224	192	226	psDrawLine
+	globalGC1	193 223	3 3	0 360	194 224	psFillArc
+	globalGC1	195	222	194	224	psDrawLine
+	globalGC1	194 221	3 3	0 360	195 222	psFillArc
+	globalGC1	200	210	195	222	psDrawLine
+	globalGC1	199 209	3 3	0 360	200 210	psFillArc
+	globalGC1	204	197	200	210	psDrawLine
+	globalGC1	203 196	3 3	0 360	204 197	psFillArc
+	globalGC1	209	184	204	197	psDrawLine
+	globalGC1	208 183	3 3	0 360	209 184	psFillArc
+	globalGC1	214	172	209	184	psDrawLine
+	globalGC1	213 171	3 3	0 360	214 172	psFillArc
+	globalGC1	219	160	214	172	psDrawLine
+	globalGC1	218 159	3 3	0 360	219 160	psFillArc
+	globalGC1	224	148	219	160	psDrawLine
+	globalGC1	223 147	3 3	0 360	224 148	psFillArc
+	globalGC1	228	137	224	148	psDrawLine
+	globalGC1	227 136	3 3	0 360	228 137	psFillArc
+	globalGC1	233	125	228	137	psDrawLine
+	globalGC1	232 124	3 3	0 360	233 125	psFillArc
+	globalGC1	238	114	233	125	psDrawLine
+	globalGC1	237 113	3 3	0 360	238 114	psFillArc
+	globalGC1	243	102	238	114	psDrawLine
+	globalGC1	242 101	3 3	0 360	243 102	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2d1vard.ps b/books/ps/2d1vard.ps
new file mode 100644
index 0000000..6ac18bb
--- /dev/null
+++ b/books/ps/2d1vard.ps
@@ -0,0 +1,414 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	300	151	0	151	psDrawLine
+	globalGC1	6	303	6	0	psDrawLine
+	unitGC	62	153	62	149	psDrawLine
+	unitGC	50	166	(0.80)	(window)	psDrawIStr
+	unitGC	118	153	118	149	psDrawLine
+	unitGC	106	166	(1.60)	(window)	psDrawIStr
+	unitGC	174	153	174	149	psDrawLine
+	unitGC	162	166	(2.40)	(window)	psDrawIStr
+	unitGC	230	153	230	149	psDrawLine
+	unitGC	218	166	(3.20)	(window)	psDrawIStr
+	unitGC	286	153	286	149	psDrawLine
+	unitGC	274	166	(4.00)	(window)	psDrawIStr
+	unitGC	8	94	4	94	psDrawLine
+	unitGC	-30	99	(2.40)	(window)	psDrawIStr
+	unitGC	8	37	4	37	psDrawLine
+	unitGC	-30	42	(4.80)	(window)	psDrawIStr
+	unitGC	8	207	4	207	psDrawLine
+	unitGC	-39	212	(-2.40)	(window)	psDrawIStr
+	unitGC	8	263	4	263	psDrawLine
+	unitGC	-39	268	(-4.80)	(window)	psDrawIStr
+	globalGC1	5 290	3 3	0 360	6 291	psFillArc
+	globalGC1	6	291	6	291	psDrawLine
+	globalGC1	5 290	3 3	0 360	6 291	psFillArc
+	globalGC1	12	271	6	291	psDrawLine
+	globalGC1	11 270	3 3	0 360	12 271	psFillArc
+	globalGC1	18	252	12	271	psDrawLine
+	globalGC1	17 251	3 3	0 360	18 252	psFillArc
+	globalGC1	23	235	18	252	psDrawLine
+	globalGC1	22 234	3 3	0 360	23 235	psFillArc
+	globalGC1	29	220	23	235	psDrawLine
+	globalGC1	28 219	3 3	0 360	29 220	psFillArc
+	globalGC1	35	207	29	220	psDrawLine
+	globalGC1	34 206	3 3	0 360	35 207	psFillArc
+	globalGC1	41	195	35	207	psDrawLine
+	globalGC1	40 194	3 3	0 360	41 195	psFillArc
+	globalGC1	47	184	41	195	psDrawLine
+	globalGC1	46 183	3 3	0 360	47 184	psFillArc
+	globalGC1	53	175	47	184	psDrawLine
+	globalGC1	52 174	3 3	0 360	53 175	psFillArc
+	globalGC1	59	167	53	175	psDrawLine
+	globalGC1	58 166	3 3	0 360	59 167	psFillArc
+	globalGC1	64	161	59	167	psDrawLine
+	globalGC1	63 160	3 3	0 360	64 161	psFillArc
+	globalGC1	70	155	64	161	psDrawLine
+	globalGC1	69 154	3 3	0 360	70 155	psFillArc
+	globalGC1	76	151	70	155	psDrawLine
+	globalGC1	75 150	3 3	0 360	76 151	psFillArc
+	globalGC1	82	148	76	151	psDrawLine
+	globalGC1	81 147	3 3	0 360	82 148	psFillArc
+	globalGC1	88	145	82	148	psDrawLine
+	globalGC1	87 144	3 3	0 360	88 145	psFillArc
+	globalGC1	94	143	88	145	psDrawLine
+	globalGC1	93 142	3 3	0 360	94 143	psFillArc
+	globalGC1	99	142	94	143	psDrawLine
+	globalGC1	98 141	3 3	0 360	99 142	psFillArc
+	globalGC1	105	142	99	142	psDrawLine
+	globalGC1	104 141	3 3	0 360	105 142	psFillArc
+	globalGC1	111	142	105	142	psDrawLine
+	globalGC1	110 141	3 3	0 360	111 142	psFillArc
+	globalGC1	117	143	111	142	psDrawLine
+	globalGC1	116 142	3 3	0 360	117 143	psFillArc
+	globalGC1	123	144	117	143	psDrawLine
+	globalGC1	122 143	3 3	0 360	123 144	psFillArc
+	globalGC1	129	145	123	144	psDrawLine
+	globalGC1	128 144	3 3	0 360	129 145	psFillArc
+	globalGC1	135	147	129	145	psDrawLine
+	globalGC1	134 146	3 3	0 360	135 147	psFillArc
+	globalGC1	140	149	135	147	psDrawLine
+	globalGC1	139 148	3 3	0 360	140 149	psFillArc
+	globalGC1	146	151	140	149	psDrawLine
+	globalGC1	145 150	3 3	0 360	146 151	psFillArc
+	globalGC1	152	153	146	151	psDrawLine
+	globalGC1	151 152	3 3	0 360	152 153	psFillArc
+	globalGC1	158	155	152	153	psDrawLine
+	globalGC1	157 154	3 3	0 360	158 155	psFillArc
+	globalGC1	164	156	158	155	psDrawLine
+	globalGC1	163 155	3 3	0 360	164 156	psFillArc
+	globalGC1	170	158	164	156	psDrawLine
+	globalGC1	169 157	3 3	0 360	170 158	psFillArc
+	globalGC1	176	159	170	158	psDrawLine
+	globalGC1	175 158	3 3	0 360	176 159	psFillArc
+	globalGC1	181	160	176	159	psDrawLine
+	globalGC1	180 159	3 3	0 360	181 160	psFillArc
+	globalGC1	187	160	181	160	psDrawLine
+	globalGC1	186 159	3 3	0 360	187 160	psFillArc
+	globalGC1	193	160	187	160	psDrawLine
+	globalGC1	192 159	3 3	0 360	193 160	psFillArc
+	globalGC1	199	159	193	160	psDrawLine
+	globalGC1	198 158	3 3	0 360	199 159	psFillArc
+	globalGC1	205	157	199	159	psDrawLine
+	globalGC1	204 156	3 3	0 360	205 157	psFillArc
+	globalGC1	211	154	205	157	psDrawLine
+	globalGC1	210 153	3 3	0 360	211 154	psFillArc
+	globalGC1	217	151	211	154	psDrawLine
+	globalGC1	216 150	3 3	0 360	217 151	psFillArc
+	globalGC1	222	147	217	151	psDrawLine
+	globalGC1	221 146	3 3	0 360	222 147	psFillArc
+	globalGC1	228	141	222	147	psDrawLine
+	globalGC1	227 140	3 3	0 360	228 141	psFillArc
+	globalGC1	234	135	228	141	psDrawLine
+	globalGC1	233 134	3 3	0 360	234 135	psFillArc
+	globalGC1	240	127	234	135	psDrawLine
+	globalGC1	239 126	3 3	0 360	240 127	psFillArc
+	globalGC1	246	118	240	127	psDrawLine
+	globalGC1	245 117	3 3	0 360	246 118	psFillArc
+	globalGC1	252	107	246	118	psDrawLine
+	globalGC1	251 106	3 3	0 360	252 107	psFillArc
+	globalGC1	257	95	252	107	psDrawLine
+	globalGC1	256 94	3 3	0 360	257 95	psFillArc
+	globalGC1	263	82	257	95	psDrawLine
+	globalGC1	262 81	3 3	0 360	263 82	psFillArc
+	globalGC1	269	67	263	82	psDrawLine
+	globalGC1	268 66	3 3	0 360	269 67	psFillArc
+	globalGC1	275	50	269	67	psDrawLine
+	globalGC1	274 49	3 3	0 360	275 50	psFillArc
+	globalGC1	281	31	275	50	psDrawLine
+	globalGC1	280 30	3 3	0 360	281 31	psFillArc
+	globalGC1	287	11	281	31	psDrawLine
+	globalGC1	286 10	3 3	0 360	287 11	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2dctrl.ps b/books/ps/2dctrl.ps
new file mode 100644
index 0000000..1787bf4
--- /dev/null
+++ b/books/ps/2dctrl.ps
@@ -0,0 +1,722 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 127.588757 104.120003 484.411243 718.120003
+%%Creator: xwd2ps
+%%CreationDate: Sun Dec  1 15:51:11 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  258, height = 445, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 260, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 445
+%   starting column = 1
+%   ending column = 258
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  258 445 8
+  [258 0 0 -445 0 445]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+matrix currentmatrix
+2.03 inch 3.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+dbdb70
+2f4f4f
+d4d8e8
+23238e
+d3d3d3
+ff0000
+757780
+46474d
+b4b8c5
+236b8e
+238e6b
+2f2f4f
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+c0c0c0
+a52a2a
+0000ff
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+e06fe0
+efc4ef
+360536
+3f063f
+480748
+510851
+5b095b
+640a64
+6d0b6d
+760c76
+800d80
+890e89
+920f92
+9b109b
+a411a4
+ae12ae
+b713b7
+c014c0
+c915c9
+d216d2
+dc17dc
+e518e5
+e621e6
+e72be7
+e834e8
+e93de9
+ea46ea
+eb4feb
+ec59ec
+ed62ed
+ee6bee
+ef74ef
+f07df0
+f187f1
+f290f2
+f399f3
+f4a2f4
+f5acf5
+f6b5f6
+f7bef7
+f8c7f8
+f9d0f9
+fadafa
+fbe3fb
+fcecfc
+fdf5fd
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010200000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000102000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010100000100001e010000bc0100001f01010000001f010100bb0101001e010100000100001e010000bc0100001f01010000001f010100bb0101001e01
+0100000100001e010000bc0100001f01010000001f010100bb0101001e010100000100001e010000bc0100001f01010000000701ef00060101000001000006010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+00000001000000010000000100000001000000010000000100000001000000010000000100000701010000000701010015010100a301010015010100150101000601010000010000
+0601000016010000a401000016010000160100000701010000000701010015010100a3010100150101001501010006010100000100000601000016010000a4010000160100000401
+000000010000000100000001000000010000000100000001000000010000020100000701010000000701010015010100a301010015010100020100000d01000002010100060101000001
+000006010000160100000e0102000001000015010000170103000c0106001d0103000d010400020105000b0100001601000012010000020100000701010000000701010015010100
+0c0101000001020015010000190101000d010100010102001e0101000c0101000101020002010100010101000a01010015010100020100000d010000020101000601010000010000
+06010000160100000c0101000201010014010100190101000d010100020101001e0101000c01010002010100020101000201010009010000160100001201000002010000070101000000
+07010100150101000b0101000301000014010100190101000d010100020101001e0101000c0100000301010002010100020101000901010015010100020100000d01000002010100
+0601010000010000060100000401000000010000000100000001000000010000000100000001000000010000020100000c0101000301000002010300020101000001020002010600
+010101000001030003010300050101000d010100020101000101040002010100000102000401030005010100110101000201010002010100090100000a0100000001000008010000
+120100000201000007010100000007010100020100000d010000020101000b0101000601010001010100020101000101010003010100050102000101010001010100010101000401
+01000d010100010102000001010002010100020101000101010002010100010101000401010011010100020101000201010009010100080100000101000008010100020100000d01
+00000201010006010100000100000601000012010000020100000c010100050101000301010001010100010101000301010005010100020101000001010003010100030101000d01
+050001010100020101000201010001010100010101000201010004010100100101000301010002010100090100000c01000008010000120100000201000007010100000007010100
+02010f00020101000b0101000501010003010100010101000101010003010100050101000501010003010100030101000d0101000801030002010100010101000101060004010100
+0f0101000401010002010100090101000801030008010100020100000d01000002010100060101000001000006010000160100000c01010003010000000101000301010001010100
+0101010003010100050101000501010003010100030101000d0101000601010001010100020101000101010001010100090101000e01010005010100020101000901000016010000
+120100000201000007010100000007010100150101000b010100030100000001010003010100010101000101010003010100050101000501010003010100030101000d0101000501
+010002010100020101000101010001010100090101000d01010006010100020101000901010015010100020100000d01000002010100060101000001000006010000160100000d01
+010001010100010101000101010002010100010101000301010001010000020101000601010001010100040101000d01010005010100010102000201010001010100020101000201
+0000040101000c0101000301000002010100010101000a01000016010000120100000201000007010100000007010100150101000d01030003010300020102000001030003010200
+0201040005010300030105000a0103000501020001010100000102000001030002010300030105000a010600010105000b01010015010100020100000d01000002010100060101000001
+0000060100001601000089010500140100001601000012010000020100000701010000000701010015010100a30101001501010002010f0002010100060101000001000006010000
+16010000a401000016010000160100000701010000000701010015010100a30101001501010015010100060101000001000006010000000116000001a40000011600000116000701
+0100ff0001000001000000010000000100000001000000010100eb0100000001000000010000000100000001000000010000000007010100ec010000060101000001000006010100
+eb01000007010100000007010100ec010000060101000001000006010100540102270f01002720010427020105275301000007010100000007010100550101270e0102271e010127
+01010227020101270101012753010000060101000001000006010100550101270f0100271f0101270201012702010127020101275101000007010100000007010100540103272f01
+0027030101270201012702010127520100000601010000010000060101005401002700010127020102270101022701010327050103270201002700010127000101270f0101270201
+0127020101275101000007010100000007010100540100270001012703010127010101270401012704010127010101270101012700010127000101270e0101270201012702010127
+52010000060101000001000006010100540100270101012703010127000100270501012703010127030101270001012700010127000101270d010127030101270201012751010000
+0701010000000701010053010527040101270601012703010127030101270001012700010127000101270c0101270401012702010127520100000601010000010000060101005301
+002702010127040101270601012703010127030101270001012700010127000101270b01012705010127020101275101000007010100000007010100530100270301012702010027
+000101270501012703010127030101270001012700010127000101270a01012706010127020101275201000006010100000100000601010052010127030101270101012701010127
+040101270401012701010127010101270001012700010127090101270301002702010127010101275201000007010100000007010100520102270101022700010227010102270101
+052703010327020101270001012700010127090106270101052754010000060101000001000006010100880105275c01000007010100000007010100ec0100000601010000010000
+06010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb010000070101000000
+07010100ec010000060101000001000006010100eb0100000701010000000701ed000001000006010100000100000601ee0007010100000007010100ec0100000601010000010000
+06010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb010000070101000000
+07010100ec010000060101000001000006010100eb010000070101000000070101002801023100010031140102314101073126010231320100000601010000010000060101002701
+0131010101311501013141010131000101310001013127010131100100311f0100000701010000000701010026010131030100311501013141010031010101310101003127010131
+100100312001000006010100000100000601010026010131190101314501013129010131100101311f01000007010100000007010100260102310601033104010331040101310601
+033139010131040101310101023103010331020101310101013104010331040101310601033103010531030103311601000006010100000100000601010027010231030102310101
+013102010131010101310301013104010231010101313801013103010031000102310101013101010131010101310001003100010031000103310101023101010131030101310501
+013101010131030101310401023101010131140100000701010000000701010028010231020101310201003107010131020102310401013102010131380101310501023101010131
+050101310201023100010131010101310201003103010231090101310301013104010131020101311501000006010100000100000601010029010231000101310901033103010131
+0401013102010131390101310501013107010331030101310101013102010131060101310701033104010131030101310201013115010000070101000000070101002a0101310001
+0131070101310101013103010131040104313a0101310601013105010131010101310201013102010031040102310401013105010131010101310301013104010431180100000601
+01000001000006010100250100310301013100010131060101310201013102010131050101313d010131050101310501013102010131020101310101013102010031020101310201
+0131050101310201013103010131040101311a0100000701010000000701010025010131010101310201013102010031010101310101023100010031000101310101003103010131
+020100313801013105010131050101310101023100010031000101310101013100010231010102310201013101010031020101310101023100010031010101310101003102010131
+020100311601000006010100000100000601010025010031000102310401033103010231010101310201023105010331380103310401013106010231010101310001013103010131
+0101033105010231040102310101013103010231040103311601000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000
+060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100
+eb0100000701010000000701010004013552020135520401355203013552030100000601010000010000060101000401005233010052020100523301005204010052330100520301
+005233010052020100000701010000000701010004010052330100520201005233010052040100523301005203010052330100520301000006010100000100000601010004010052
+330100520201005233010052040100523301005203010052330100520201000007010100000007010100040100523301005202010052330100520401005233010052030100523301
+005203010000060101000001000006010100040100523301005202010052330100520401005233010052030100523301005202010000070101000000070101000401005233010052
+02010052330100520401005233010052030100523301005203010000060101000001000006010100040100520401014e0201014e0a01034e18010052020100520501014e0101014e
+0a01034e18010052040100520401014e0201014e0a01034e18010052030100520501014e0101014e0a01034e180100520201000007010100000007010100040100520401014e0201
+014e0901054e17010052020100520501014e0101014e0901054e17010052040100520401014e0201014e0901054e17010052030100520501014e0101014e0901054e170100520301
+0000060101000001000006010100040100520401014e0201014e0901014e0101014e0001014e0001024e10010052020100520501014e0101014e0901014e0101014e0001014e0001
+024e10010052040100520401014e0201014e0901014e0101014e0001014e0001024e10010052030100520501014e0101014e0901014e0101014e0001014e0001024e100100520201
+000007010100000007010100040100520501014e0001014e0a01014e0101014e0001064e0f010052020100520501014e0101014e0901014e0101014e0001064e0f01005204010052
+0501014e0001014e0a01014e0101014e0001064e0f010052030100520501014e0101014e0901014e0101014e0001064e0f0100520301000006010100000100000601010004010052
+0601024e0b01014e0101014e0001014e0201014e0f010052020100520501014e0101014e0901014e0101014e0001014e0201014e0f010052040100520601024e0b01014e0101014e
+0001014e0201014e0f010052030100520501014e0101014e0901014e0101014e0001014e0201014e0f0100520201000007010100000007010100040100520701004e0c01014e0101
+014e0001014e0201014e0f010052020100520601034e0a01014e0101014e0001014e0201014e0f010052040100520701004e0c01014e0101014e0001014e0201014e0f0100520301
+00520601034e0a01014e0101014e0001014e0201014e0f01005203010000060101000001000006010100040100520601024e0b01014e0101014e0001014e0201014e0f0100520201
+00520701014e0b01014e0101014e0001014e0201014e0f010052040100520601024e0b01014e0101014e0001014e0201014e0f010052030100520701014e0b01014e0101014e0001
+014e0201014e0f0100520201000007010100000007010100040100520501014e0001014e0a01014e0101014e0001014e0201014e0f010052020100520701014e0b01014e0101014e
+0001014e0201014e0f010052040100520501014e0001014e0a01014e0101014e0001014e0201014e0f010052030100520701014e0b01014e0101014e0001014e0201014e0f010052
+03010000060101000001000006010100040100520401014e0201014e0901054e0001014e0201014e0f010052020100520701014e0b01054e0001014e0201014e0f01005204010052
+0401014e0201014e0901054e0001014e0201014e0f010052030100520701014e0b01054e0001014e0201014e0f0100520201000007010100000007010100040100520401014e0201
+014e0a01034e0101014e0201014e0f010052020100520701014e0c01034e0101014e0201014e0f010052040100520401014e0201014e0a01034e0101014e0201014e0f0100520301
+00520701014e0c01034e0101014e0201014e0f0100520301000006010100000100000601010004010052330100520201005233010052040100523301005203010052330100520201
+000007010100000007010100040100523301005202010052330100520401005233010052030100523301005203010000060101000001000006010100040100523301005202010052
+330100520401005233010052030100523301005202010000070101000000070101000401005233010052020100523301005204010052330100520301005233010052030100000601
+010000010000060101000401005233010052020100523301005204010052330100520301005233010052020100000701010000000701010004010052330100520201005233010052
+0401005233010052030100523301005203010000060101000001000006010100040100523301005202010052330100520401005233010052030100523301005202010000070101000000
+070101000401005233010052020100523301005204010052330100520301005233010052030100000601010000010000060101000401355202013552040135520301355202010000
+07010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb010000070101000000070101000401
+6e5204016e52040100000601010000010000060101000401005235010052350100520401005235010052350100520301000007010100000007010100040100523501005235010052
+040100523501001d3501005204010000060101000001000006010100040100523501005235010052040100523401001d0052001d3401005203010000070101000000070101000401
+00523501005235010052040100523401001d0052001d3401005204010000060101000001000006010100040100523501005235010052040100523301001d000100520001001d3301
+00520301000007010100000007010100040100523501005235010052040100523301001d000100520101001d32010052040100000601010000010000060101000401005235010052
+35010052040100523201001d010100520101001d320100520301000007010100000007010100040100523501005235010052040100523101001d020100520201001d310100520401
+0000060101000001000006010100040100523501005235010052040100523101001d020100520201001d310100520301000007010100000007010100040100523501005235010052
+040100523001021d010100520101021d3001005204010000060101000001000006010100040100523501005235010052040100523201001d010100520101001d3201005203010000
+07010100000007010100040100523501005235010052040100523201001d010100520101001d32010052040100000601010000010000060101000401005235010052350100520401
+00523201001d010100520101001d320100520301000007010100000007010100040100523501007735010052040100523201001d010100520101001d3201005204010000060101000001
+00000601010004010052340100770052007734010052040100523201001d010100520101001d32010052030100000701010000000701010004010052330100770001005200010077
+33010052040100523201001d010100520101001d32010052040100000601010000010000060101000401005232010077010100520101007732010052040100523201001d01010052
+0101001d3201005203010000070101000000070101000401005231010077020100520201007731010052040100523201001d010100520101001d3201005204010000060101000001
+0000060101000401005230010077030100520301007730010052040100523201001d010100520101001d320100520301000007010100000007010100040100522f01007704010052
+040100772f010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100522e01007705010052050100772e010052040100523201001d
+010100520101001d320100520301000007010100000007010100040100522d01007706010052060100772d010052040100523201001d010100520101001d32010052040100000601
+01000001000006010100040100522c01057702010052020105772c010052040100523201001d010100520101001d3201005203010000070101000000070101000401005231010077
+020100520201007731010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100523001007703010052030100773001005204010052
+3201001d010100520101001d3201005203010000070101000000070101000401005230010077030100520301007730010052040100523201001d010100520101001d320100520401
+00000601010000010000060101000401005230010077030100520301007730010052040100523201001d010100520101001d32010052030100000701010000000701010004010052
+2f01007704010052040100772f010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100522f01007704010052040100772f010052
+040100523201001d010100520101001d320100520301000007010100000007010100040100522f01007704010052040100772f010052040100523201001d010100520101001d3201
+005204010000060101000001000006010100040100522e01007705010052050100772e010052040100523201001d010100520101001d320100520301000007010100000007010100
+040100522e01007705010052050100772e010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100522e0100770501005205010077
+2e010052040100523201001d010100520101001d320100520301000007010100000007010100040100522e01007705010052060100772d010052040100523201001d010100520101
+001d3201005204010000060101000001000006010100040100522d01007706010052060100772d010052040100521701001d1901001d010100520101001d1901001d170100520301
+000007010100000007010100040100522d01007706010052060100772d010052040100521501021d1901001d010100520101001d1901021d15010052040100000601010000010000
+06010100040100522d01007706010052060100772d010052040100521301011d01011b1d0101005201011b1d0101001d140100520301000007010100000007010100040100522c01
+007707010052070100772c010052040100521201001d210100522001011d1201005204010000060101000001000006010100040100522c01007707010052070100772c0100520401
+00521001011d220100522201011d10010052030100000701010000000701010004012d520077105200772d5204011052001d4a52001d105204010000060101000001000006010100
+040100522b01007708010052080100772b010052040100521001011d220100522201011d100100520301000007010100000007010100040100522b01007708010052080100772b01
+0052040100521201011d200100522101001d1201005204010000060101000001000006010100040100522b01007708010052080100772b010052040100521401001d01011b1d0101
+005201011b1d0101011d130100520301000007010100000007010100040100522a01007709010052090100772a010052040100521501021d1901001d010100520101001d1901021d
+1501005204010000060101000001000006010100040100521d010d770901005209010d771d010052040100521701001d1901001d010100520101001d1901001d1701005203010000
+07010100000007010100040100521e01007715010052150100771e010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100521f01
+007714010052140100771f010052040100523201001d010100520101001d320100520301000007010100000007010100040100522001007713010052130100772001005204010052
+3201001d010100520101001d32010052040100000601010000010000060101000401005221010077120100521201007721010052040100523201001d010100520101001d32010052
+03010000070101000000070101000401005222010077110100521101007722010052040100523201001d010100520101001d32010052040100000601010000010000060101000401
+005223010077100100521001007723010052040100523201001d010100520101001d32010052030100000701010000000701010004010052240100770f0100520f01007724010052
+040100523201001d010100520101001d320100520401000006010100000100000601010004010052250100770e0100520e01007725010052040100523201001d010100520101001d
+32010052030100000701010000000701010004010052260100770d0100520d01007726010052040100523201001d010100520101001d320100520401000006010100000100000601
+010004010052270100770c0100520c01007727010052040100523201001d010100520101001d32010052030100000701010000000701010004010052280100770b0100520b010077
+28010052040100523201001d010100520101001d320100520401000006010100000100000601010004010052290100770a0100520a01007729010052040100523201001d01010052
+0101001d320100520301000007010100000007010100040100522a01007709010052090100772a010052040100523201001d010100520101001d3201005204010000060101000001
+000006010100040100522b01007708010052080100772b010052040100523201001d010100520101001d320100520301000007010100000007010100040100522c01007707010052
+070100772c010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100522d01007706010052060100772d010052040100523201001d
+010100520101001d320100520301000007010100000007010100040100522e01007705010052050100772e010052040100523201001d010100520101001d32010052040100000601
+01000001000006010100040100522f01007704010052040100772f010052040100523201001d010100520101001d3201005203010000070101000000070101000401005230010077
+030100520301007730010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100523101007702010052020100773101005204010052
+3201001d010100520101001d3201005203010000070101000000070101000401005232010077010100520101007732010052040100523201001d010100520101001d320100520401
+00000601010000010000060101000401005233010077000100520001007733010052040100523201001d010100520101001d32010052030100000701010000000701010004010052
+340100770052007734010052040100523201001d010100520101001d3201005204010000060101000001000006010100040100523501007735010052040100523201001d01010052
+0101001d320100520301000007010100000007010100040100523501005235010052040100523001021d010100520101021d30010052040100000601010000010000060101000401
+00523501005235010052040100523101001d020100520201001d310100520301000007010100000007010100040100523501005235010052040100523101001d020100520201001d
+3101005204010000060101000001000006010100040100523501005235010052040100523201001d010100520101001d320100520301000007010100000007010100040100523501
+005235010052040100523201001d010100520001001d3301005204010000060101000001000006010100040100523501005235010052040100523301001d000100520001001d3301
+00520301000007010100000007010100040100523501005235010052040100523401001d0052001d3401005204010000060101000001000006010100040100523501005235010052
+040100523401001d0052001d340100520301000007010100000007010100040100523501005235010052040100523501001d35010052040100000601010000010000060101000401
+00523501005235010052040100523501005235010052030100000701010000000701010004016e5204016e5204010000060101000001000006010100eb0100000701010000000701
+0100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001
+00000601ee000701010000000701ed0000010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb010000070101000000
+07010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001
+000006010100eb0100000701010000000701010004220c0102220d010322170102220d0103220401042218010022170104221e010222290102220401022200010000060101000001
+00000601010001220e010022010101220b0101220101012215010022010101220b010122010101220601012217010122170101222001002201010122270100220101012206010000
+0701010000000701010001220e010022010101220b0101220201012214010022010101220b0101220201012205010122160102221701012220010022010101222701002201010122
+0701000006010100000100000601010001220d010122020101220a0101220201012213010122020101220a01012202010122050101220b01012207010322090101220b0101221f01
+0122020101222501012202010122050100000701010000000701010001220d010122020101220a0101220201012213010122020101220a01012202010122050101220b0103220701
+0122070103220b0101221f0101220201012225010122020101220601000006010100000100000601010001220d010122020101220b0101220101012213010122020101220b010122
+01010122050101220d01032205010122050103220d0101221f010122020101222501012202010122050100000701010000000701010001220d010122020101220c01042213010122
+020101220c010422050101220f01032203010122030103220f0101221601072200010122020101221c01072200010122020101220601000006010100000100000601010001220d01
+0122020101220e01022213010122020101220e010222050101220f01032203010122030103220f0101221601072200010122020101221c0107220001012202010122050100000701
+010000000701010001220d010122020101220e01012214010122020101220e010122060101220d01032205010122050103220d0101221f0101220201012225010122020101220601
+000006010100000100000601010001220d010122020101220e01012214010122020101220e010122060101220b01032207010122070103220b0101221f0101220201012225010122
+02010122050100000701010000000701010001220e010122010100220501002207010122060100220e010122010100220501002207010122070101220b0101220901012209010122
+0b01012220010122010100220501002220010122010100220701000006010100000100000601010001220e010122010100220401022205010122060102220d010122010100220401
+0222050101220801012216010422150101222001012201010022040102221f01012201010022060100000701010000000701010004220c0102220601002205010122080101220e01
+022206010022050101220601042215010522150104221e01022206010122200102220401022200010000060101000001000006010100210100220a0101221e0100226d0101222b01
+0000070101000000070101002c0101228d0101222d010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb0100000701
+0100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec01000006010100000100000601ee000701010000000701ed0000010000060101000001
+000006010100eb01000007010100000007010100ec010000060101000001000006010100eb010000070101000000070101005e0103151d0102156801000006010100000100000601
+01005c010215010101151d01011567010000070101000000070101005b010215020100151e010115680100000601010000010000060101005b0101152201011568010000070101000000
+070101005a01021506010115010102150301031503010115000101150301011500010015050103155d0100000601010000010000060101005a010115060100150001021501010115
+0101011501010115010100150001011500010115020102150001001502010215010101155b010000070101000000070101005a010115080102150101011505010115030101150001
+0115020101150101001502010115020100155d0100000601010000010000060101005a01011501010315020101150701031504010015010101150101011501010115030101155f01
+00000701010000000701010004013152230101150301011502010115050101150101011503010115010101150101011501010115040102152f012852050100000601010000010000
+06010100040100522f01005223010115020101150201011505010115020101150301011500010115020100150101011503010015020101152e0100522601005204010000070101000000
+07010100040100522f010052240101150101011502010115050101150101021500010015010101150001011501010115010101150001001500010115010102152e01005226010052
+05010000060101000001000006010100040100522f0100522501041502010115060102150101011501010415020101150201011502010315300100522601005204010000070101000000
+07010100040100522f0100523f010115440100522601005205010000060101000001000006010100040100522f0100523f0101154401005226010052040100000701010000000701
+0100040100520301055d250100523e010315430100520201055d1d01005205010000060101000001000006010100040100520201065d0201015d20010052860100520201065d0201
+015d0b01015d090100520401000007010100000007010100040100520201015d0701015d0401045d0201045d0201015d0001025d05010052860100520201015d0201015d0201015d
+0501035d0101015d0901005205010000060101000001000006010100040100520201015d0701015d0301065d0101055d0101055d05010052860100520201015d0201015d0901055d
+0001015d0201005d050100520401000007010100000007010100040100520201015d0701015d0301015d0201015d0501015d0101025d08010052860100520201015d0201015d0201
+015d0301015d0201015d0001015d0101015d0501005205010000060101000001000006010100040100520201015d0701015d0301065d0101055d0101015d09010052860100520201
+065d0201015d0301015d0501015d0001015d060100520401000007010100000007010100040100520201015d0701015d0301055d0101065d0101015d09010052860100520201055d
+0301015d0301015d0501035d0701005205010000060101000001000006010100040100520201015d0701015d0301015d0501015d0201015d0101015d09010052860100520201015d
+0701015d0301015d0201015d0001035d070100520401000007010100000007010100040100520201065d0201015d0301065d0001065d0101015d09010052860100520201015d0701
+015d0401055d0001015d0001015d0601005205010000060101000001000006010100040100520301055d0101035d0301045d0201055d0101015d09010052860100520201015d0601
+035d0401035d0101015d0101015d050100520401000007010100000007010100040100522f010052860100522601005205010000060101000001000006010100040100522f010052
+86010052260100520401000007010100000007010100040100522f010052860100522601005205010000060101000001000006010100040100522f0100524f010067350100522601
+00520401000007010100000007010100040100522f0100524d010167360100522601005205010000060101000001000006010100040100522f010052110100160601046707010367
+0a010167040108670601016705010967030103670701036713010052260100520401000007010100000007010100040100522f010052100101160501076704010667080101670401
+076706010167060109670201056705010567120100522601005205010000060101000001000006010100040100522f0100520f010216040102670201026703010267010102670701
+02670401066706010167060109670201026701010267030102670101026711010052260100520401000007010100000007010100040131520e010316040102670301026702010167
+0301026706010267040101670a0102670601006706010167010102670301026702010167030101671101285205010000060101000001000006010100440104160401016704010267
+020101670301026705010367040101670a0101670e010167020102670301026701010267030102673e0100000701010000000701010043010016010102160b010267080102670501
+036704010167090102670e010167020102670301026701010267030102673f010000060101000001000006010100460102160b010267070102670501046704010167000102670501
+02670d010267020103670201016702010267030102673e01000007010100000007010100040131520f0102160b010167070102670601046704010667030107670901016704010367
+0001016703010267030102671001285205010000060101000001000006010100040100522f0100520f0102160a010267050103670601016700010267040102670101026702010867
+0701026705010467050102670101036710010052260100520401000007010100000007010100040100522f0100520f0102160a010167060104670501006701010267040101670301
+02670101036701010267070102670601046704010867100100522601005205010000060101000001000006010100040100522f0100520f010216090101670a010267030101670101
+02670a0102670101026703010267060101670601016700010367040103670001026710010052260100520401000007010100000007010100040100522f0100520f01021609010167
+0b01026702010067020102670a010267010102670301026705010267050101670201036708010167110100522601005205010000060101000001000006010100040100522f010052
+0f010216080101670c01026701010a670701026701010267030102670501026704010267030102670701026711010052260100520401000007010100000007010100040100520301
+045d260100520f010216070101670d01026701010a6707010267010102670301026704010267050102670301026707010167120100520201055d1d01005205010000060101000001
+000006010100040100520201065d250100520f0102160601016704010067010101670401026706010267030100670401026703010167030101670501026705010267030102670601
+0267120100520201065d1c0100520401000007010100000007010100040100520201015d0201015d0101015d0101015d0101045d0201015d0001025d0d0100520f01021605010867
+0201016702010267070102670301016702010367030102670101026705010267060102670101026707010167130100520201015d0201015d0101015d0001025d0201035d0201045d
+0501005205010000060101000001000006010100040100520201015d0201015d0101015d0101015d0001065d0101055d0001015d0201015d050100520f0102160401096702010767
+070102670401066705010567050103670701056707010167140100520201015d0201015d0101055d0101055d0001065d040100520401000007010100000007010100040100520201
+015d0201015d0101015d0101015d0001015d0201015d0101025d0301015d0201015d050100520d010616020109670401036708010467040104670701036706010367080103670701
+0167150100520201015d0201015d0101025d0401015d0101015d0001015d0201015d0401005205010000060101000001000006010100040100520201015d0201015d0101015d0101
+015d0001065d0101015d0401015d0201015d050100526d010167160100520201015d0201015d0101015d0501015d0101015d0001015d0201015d0401005204010000070101000000
+07010100040100520201015d0001005d0001015d0101015d0101015d0001055d0201015d0401015d0201015d050100526c010067180100520201015d0201015d0101015d0501015d
+0101015d0001015d0201015d0401005205010000060101000001000006010100040100520201015d0001035d0101015d0101015d0001015d0601015d0401065d0501005286010052
+0201015d0201015d0101015d0501015d0101015d0001065d040100520401000007010100000007010100040100520201065d0101055d0001065d0101015d0501055d050100528601
+00520201065d0101015d0501055d0001055d0501005205010000060101000001000006010100040100520301055d0201035d0201045d0201015d0901015d05010052860100520201
+055d0201015d0601035d0101015d090100520401000007010100000007010100040100520701015d1801065d05010052860100521a01015d09010052050100000601010000010000
+06010100040100522201055d06010052860100521a01015d090100520401000007010100000007010100040100522f01005286010052260100520501000006010100000100000601
+0100040100522f01005286010052260100520401000007010100000007010100040100522f010052860100522601005205010000060101000001000006010100040100522f010052
+0e01031673010052260100520401000007010100000007010100040100522f0100520d010516720100522601005205010000060101000001000006010100040100522f0100520c01
+02160101021671010052260100520401000007010100000007010100040131520b010216030102167001285205010000060101000001000006010100eb0100000701010000000701
+0100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001
+0000060101004e010a6700010a6700010a6700010a6700010a6700010a6700010a6700010a673d010000070101000000070101004e010a6700010a6700010a6700010a6700010a67
+00010a6700010a6700010a673e010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100
+ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb0100000701010000000701ed00000100000601010000010000
+0601ee0007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb0100000701010000000701
+0100ec01000006010100000100000601010004015a5203015a5203012452030100000701010000000701010004010052580100520301005258010052030100522201005204010000
+060101000001000006010100040100525801005203010052580100520301005222010052030100000701010000000701010004010052580100520301005258010052030100522201
+005204010000060101000001000006010100040100525801005203010052580100520301005222010052030100000701010000000701010004010052580100520301005258010052
+030100522201005204010000060101000001000006010100040100525801005203010052580100520301005222010052030100000701010000000701010004010052580100520301
+005258010052030100522201005204010000060101000001000006010100040100525801005203010052580100520301005222010052030100000701010000000701010004010052
+0d01023f2401033f1e010052030100520701013f0201013f2a01033f1a0100520301005208010526020104260b01005204010000060101000001000006010100040100520c01043f
+2201053f1d010052030100520701013f0201013f0a01013f0501013f1401053f0201023f0401023f0b0100520301005208010626000105260b010052030100000701010000000701
+0100040100520b01013f0201013f0001013f0201013f0101043f0301033f0a01013f0101013f0001013f0001023f16010052030100520701013f0201013f0001013f0001023f0301
+013f0501013f0501033f0a01013f0101013f0101043f0201043f0a010052030100520801012602010126000101260f01005204010000060101000001000006010100040100520b01
+013f0201013f0001013f0201013f0001063f0101043f0a01013f0101013f0001063f15010052030100520701013f0201013f0001063f0901053f0101043f0a01013f0101013f0101
+013f0501013f0d010052030100520801012602010126000101260f0100520301000007010100000007010100040100520b01013f0201013f0101013f0001013f0101013f0201013f
+0101013f0d01013f0101013f0001013f0201013f15010052030100520701013f0201013f0001013f0201013f0201013f0401053f0101013f0d01013f0101013f0101013f0501013f
+0d010052030100520801012602010126000105260b01005204010000060101000001000006010100040100520b01063f0201023f0201063f0101033f0b01013f0101013f0001013f
+0201013f15010052030100520701013f0201013f0001013f0201013f0201013f0501013f0401033f0b01013f0101013f0001043f0201043f0b010052030100520801062601010526
+0a0100520301000007010100000007010100040100520b01063f0201023f0201053f0301033f0a01013f0101013f0001013f0201013f15010052030100520701013f0201013f0001
+013f0201013f0201013f0501013f0501033f0a01013f0101013f0001043f0201043f0b0100520301005208010526060101260a010052040100000601010000010000060101000401
+00520b01013f0201013f0101013f0001013f0101013f0a01013f0901013f0101013f0001013f0201013f15010052030100520701013f0201013f0001013f0201013f0201013f0501
+013f0801013f0901013f0101013f0101013f0501013f0d01005203010052080101260a0101260a0100520301000007010100000007010100040100520b01013f0201013f0001013f
+0201013f0001063f0101053f0901053f0001013f0201013f15010052030100520701063f0001013f0201013f0201013f0501023f0301053f0901053f0101013f0501013f0d010052
+0301005208010126050106260a01005204010000060101000001000006010100040100520b01013f0201013f0001013f0201013f0101043f0201043f0b01033f0101013f0201013f
+15010052030100520801043f0101013f0201013f0101033f0401023f0301043f0b01033f0201013f0501013f0d0100520301005208010126050105260b01005203010000070101000000
+070101000401005258010052030100524001013f0501013f0d0100520301005222010052040100000601010000010000060101000401005258010052030100525801005203010052
+220100520301000007010100000007010100040100525801005203010052580100520301005222010052040100000601010000010000060101000401005258010052030100525801
+005203010052220100520301000007010100000007010100040100525801005203010052580100520301005222010052040100000601010000010000060101000401005258010052
+030100525801005203010052220100520301000007010100000007010100040100525801005203010052580100520301005222010052040100000601010000010000060101000401
+005258010052030100525801005203010052220100520301000007010100000007010100040100525801005203010052580100520301005222010052040100000601010000010000
+060101000401005258010052030100525801005203010052220100520301000007010100000007010100040100525801005203010052580100520301005222010052040100000601
+0100000100000601010004015a5203015a52030124520301000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec0100000601
+01000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100040142520201435203015452040100000601
+010000010000060101000401005240010052020100524101005203010052520100520301000007010100000007010100040100524001005202010052410100520301005252010052
+040100000601010000010000060101000401005240010052020100524101005203010052520100520301000007010100000007010100040100524001005202010052410100520301
+005252010052040100000601010000010000060101000401005240010052020100524101005203010052520100520301000007010100000007010100040100524001005202010052
+410100520301005252010052040100000601010000010000060101000401005240010052020100524101005203010052520100520301000007010100000007010100040100524001
+0052020100524101005203010052520100520401000006010100000100000601010004010052030105111b0103111601005202010052030105111b01031117010052030100520501
+01112e010311170100520301000007010100000007010100040100520301061119010511020102110401021107010052020100520301061102010111140105111601005203010052
+050101110601011124010511160100520401000006010100000100000601010004010052030101110201011102010311010101110201011109010111010101110101041102010411
+0601005202010052030101110201011102010111050103110a0101110101011100010111000102110f01005203010052050101110601011103010111000102110201041103010311
+0a0101110101011100010111000102110f01005203010000070101000000070101000401005203010111020101110101051100010111020101110901011101010111010101110501
+01110901005202010052030101110201011101010511010104110a01011101010111000106110e01005203010052050101110c01061100010611010104110a010111010101110001
+06110e010052040100000601010000010000060101000401005203010611010101110101011101010111000101110a01011101010111010101110501011109010052020100520301
+01110201011101010511010101110d0101110101011100010111020101110e01005203010052050101110601011103010111020101110001011102010111010101110d0101110101
+011100010111020101110e010052030100000701010000000701010004010052030105110201011101010111020102110b0101110101011100010411020104110701005202010052
+0301061102010111040103110b0101110101011100010111020101110e010052030100520501011106010111030101110201011100010611010103110b0101110101011100010111
+020101110e010052040100000601010000010000060101000401005203010111020101110101011101010111020102110b0101110101011100010411020104110701005202010052
+0301051103010111050103110a0101110101011100010111020101110e010052030100520501011106010111030101110201011100010511030103110a0101110101011100010111
+020101110e0100520301000007010100000007010100040100520301011102010111010101110101011101010111000101110a010111010101110101011105010111090100520201
+0052030101110701011108010111090101110101011100010111020101110e0100520301005205010111060101110301011102010111000101110a01011109010111010101110001
+0111020101110e0100520401000006010100000100000601010004010052030106110101051100010111020101110901051101010111050101110901005202010052030101110701
+0211030105110901051100010111020101110e010052030100520501051102010111030101110201011100010611010105110901051100010111020101110e010052030100000701
+010000000701010004010052030105110301031101010111020101110a010311020101110501011109010052020100520301011107010211030104110b0103110101011102010111
+0e010052030100520501051101010311020101110201011101010411020104110b01031101010111020101110e01005204010000060101000001000006010100040100522c010111
+050101110901005202010052410100520301005252010052030100000701010000000701010004010052400100520201005241010052030100525201005204010000060101000001
+000006010100040100524001005202010052410100520301005252010052030100000701010000000701010004010052400100520201005241010052030100525201005204010000
+060101000001000006010100040100524001005202010052410100520301005252010052030100000701010000000701010004010052400100520201005241010052030100525201
+005204010000060101000001000006010100040100524001005202010052410100520301005252010052030100000701010000000701010004010052400100520201005241010052
+030100525201005204010000060101000001000006010100040100524001005202010052410100520301005252010052030100000701010000000701010004010052400100520201
+005241010052030100525201005204010000060101000001000006010100040100524001005202010052410100520301005252010052030100000701010000000701010004014252
+020143520301545204010000060101000001000006010100eb01000007010100000007010100ec010000060101000001000006010100eb01000007010100000007010100ec010000
+06010100000100000601010004013c52030158524c01000007010100000007010100040100523a010052030100525601005204014600010100000601010000010000060101000401
+00523a010052030100525601005204010000440100000001000007010100000007010100040100523a01005203010052560100520401000044010000010100000601010000010000
+06010100040100523a010052030100525601005204010000440100000001000007010100000007010100040100523a01005203010052560100520401000044010000010100000601
+01000001000006010100040100523a01005203010052560100520401000003013d52020100000001000007010100000007010100040100523a010052030100525601005204010000
+030100523b0100520201000001010000060101000001000006010100040100523a010052030100525601005204010000030100523b01005202010000000100000701010000000701
+0100040100520901044e2b010052030100520201014e0201014e0d01014e1001054e2501005204010000030100523b01005202010000010100000601010000010000060101000401
+00520901054e1a01014e0d010052030100520201014e0201014e0201014e0801014e1001064e1a01014e0701005204010000030100523b0100520201000000010000070101000000
+07010100040100520901014e0101014e0101044e0301034e0201044e0301014e0d010052030100520201014e0201014e0201014e0801014e0101044e0901014e0201014e0101044e
+0101014e0001024e0201044e0301014e0701005204010000030100523b01005202010000010100000601010000010900040100520901014e0101014e0001064e0101044e0101064e
+0101054e0a010052030100520201014e0201014e0901024e0001014e0001064e0801014e0201014e0101054e0001064e0001064e0201014e0701005204010000030100520d010415
+2801005202010000000100000001080000000001000000010000000100000001000000010000040100520901014e0101014e0001014e0201014e0101014e0401014e0201014e0101
+054e0a010052030100520201014e0201014e0201014e0301064e0001014e0201014e0801014e0201014e0501014e0001014e0201014e0001014e0201014e0201014e070100520401
+0000030100520c0106150a01011505010115120100520201000001010000000100000001000000010000000101000001000006010100040100520901044e0101064e0101034e0201
+064e0201014e0d010052030100520201064e0201014e0301014e0201014e0001064e0801064e0101054e0001014e0201014e0001064e0201014e0701005204010000030100520c01
+0115020101150101011501010115020101150501011512010052020100000001000007010100000007010100040100520901034e0201054e0301034e0101054e0301014e0d010052
+030100520201064e0201014e0301014e0201014e0001054e0901054e0101064e0001014e0201014e0001054e0301014e0701005204010000030100520c0101150201011501010115
+01010115090105150f0100520201000001010000060101000001000006010100040100520901014e0001014e0101014e0a01014e0001014e0701014e0d010052030100520201014e
+0201014e0201014e0301014e0201014e0001014e0d01014e0501014e0201014e0001014e0201014e0001014e0701014e0701005204010000030100520c0101150201011501010115
+0101011502010115040105150f010052020100000001000007010100000007010100040100520901014e0101014e0001064e0101054e0001064e0201024e0c010052030100520201
+014e0201014e0201014e0301064e0001064e0801014e0501064e0001014e0201014e0001064e0201014e0701005204010000030100520c0101150201011501010115010101150201
+011505010115120100520201000001010000060101000001000006010100040100520901014e0101014e0101044e0201044e0201044e0301024e0c010052030100520201014e0201
+014e0101034e0301054e0101044e0901014e0601054e0001014e0201014e0101044e0201034e0601005204010000030100520c010115000100150001011501010115010101150201
+01150501011512010052020100000001000007010100000007010100040100523a010052030100525601005204010000030100520c01011500010315010101150101011502010115
+05010115120100520201000001010000060101000001000006010100040100523a010052030100525601005204010000030100520c01061501010515020101150501021511010052
+020100000001000007010100000007010100040100523a010052030100525601005204010000030100520d0105150201031502010315040102151101005202010000010100000601
+01000001000006010100040100523a010052030100525601005204010000030100521101011527010052020100000001000007010100000007010100040100523a01005203010052
+5601005204010000030100523b0100520201000001010000060101000001000006010100040100523a010052030100525601005204010000030100523b0100520201000000010000
+07010100000007010100040100523a010052030100525601005204010000030100523b0100520201000001010000060101000001000006010100040100523a010052030100525601
+005204010000030100523b010052020100000001000007010100000007010100040100523a010052030100525601005204010000030100523b0100520201000001010000060101000001
+000006010100040100523a010052030100525601005204010000030100523b010052020100000001000007010100000007010100040100523a010052030100525601005204010000
+030100523b010052020100000101000006010100000100000601010004013c52030158520401000003013d52020100000001000007010100000007010100a3010000440100000101
+0000060101000001000006010100a3010000440100000001000007010100000007010100a30100004401000001010000060101000001000006010100a301460000010000070101000000
+07010100ec01000006010100000100000601020000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000070101000000070101000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+00000001000000010000000100000001000000010000000100000001000000010000000100000001000006010100000100001e010000bc0100001f01010000001f010100bb010100
+1e010100000100001e010000bc0100001f01010000001f010100bb0101001e010100000100001e010000bc0100001f01010000001f010100bb0101001e010100000100001e010000
+bc0100001f01010000000001ff000001ff000000
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/2doptad.ps b/books/ps/2doptad.ps
new file mode 100644
index 0000000..51c9d7c
--- /dev/null
+++ b/books/ps/2doptad.ps
@@ -0,0 +1,347 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	127	259	127	0	psDrawLine
+	globalGC1	11 147	3 3	0 360	12 148	psFillArc
+	globalGC1	12	148	12	148	psDrawLine
+	globalGC1	11 147	3 3	0 360	12 148	psFillArc
+	globalGC1	17	149	12	148	psDrawLine
+	globalGC1	16 148	3 3	0 360	17 149	psFillArc
+	globalGC1	22	150	17	149	psDrawLine
+	globalGC1	21 149	3 3	0 360	22 150	psFillArc
+	globalGC1	27	151	22	150	psDrawLine
+	globalGC1	26 150	3 3	0 360	27 151	psFillArc
+	globalGC1	32	152	27	151	psDrawLine
+	globalGC1	31 151	3 3	0 360	32 152	psFillArc
+	globalGC1	36	153	32	152	psDrawLine
+	globalGC1	35 152	3 3	0 360	36 153	psFillArc
+	globalGC1	41	154	36	153	psDrawLine
+	globalGC1	40 153	3 3	0 360	41 154	psFillArc
+	globalGC1	46	156	41	154	psDrawLine
+	globalGC1	45 155	3 3	0 360	46 156	psFillArc
+	globalGC1	51	157	46	156	psDrawLine
+	globalGC1	50 156	3 3	0 360	51 157	psFillArc
+	globalGC1	56	159	51	157	psDrawLine
+	globalGC1	55 158	3 3	0 360	56 159	psFillArc
+	globalGC1	60	161	56	159	psDrawLine
+	globalGC1	59 160	3 3	0 360	60 161	psFillArc
+	globalGC1	65	164	60	161	psDrawLine
+	globalGC1	64 163	3 3	0 360	65 164	psFillArc
+	globalGC1	70	167	65	164	psDrawLine
+	globalGC1	69 166	3 3	0 360	70 167	psFillArc
+	globalGC1	75	170	70	167	psDrawLine
+	globalGC1	74 169	3 3	0 360	75 170	psFillArc
+	globalGC1	80	174	75	170	psDrawLine
+	globalGC1	79 173	3 3	0 360	80 174	psFillArc
+	globalGC1	84	179	80	174	psDrawLine
+	globalGC1	83 178	3 3	0 360	84 179	psFillArc
+	globalGC1	89	184	84	179	psDrawLine
+	globalGC1	88 183	3 3	0 360	89 184	psFillArc
+	globalGC1	94	192	89	184	psDrawLine
+	globalGC1	93 191	3 3	0 360	94 192	psFillArc
+	globalGC1	99	201	94	192	psDrawLine
+	globalGC1	98 200	3 3	0 360	99 201	psFillArc
+	globalGC1	104	212	99	201	psDrawLine
+	globalGC1	103 211	3 3	0 360	104 212	psFillArc
+	globalGC1	108	227	104	212	psDrawLine
+	globalGC1	107 226	3 3	0 360	108 227	psFillArc
+	globalGC1	113	244	108	227	psDrawLine
+	globalGC1	112 243	3 3	0 360	113 244	psFillArc
+	globalGC1	118	243	113	244	psDrawLine
+	globalGC1	117 242	3 3	0 360	118 243	psFillArc
+	globalGC1	123	53	118	243	psDrawLine
+	globalGC1	122 52	3 3	0 360	123 53	psFillArc
+	globalGC1	127	35	123	53	psDrawLine
+	globalGC1	126 34	3 3	0 360	127 35	psFillArc
+	globalGC1	132	205	127	35	psDrawLine
+	globalGC1	131 204	3 3	0 360	132 205	psFillArc
+	globalGC1	137	15	132	205	psDrawLine
+	globalGC1	136 14	3 3	0 360	137 15	psFillArc
+	globalGC1	142	14	137	15	psDrawLine
+	globalGC1	141 13	3 3	0 360	142 14	psFillArc
+	globalGC1	147	31	142	14	psDrawLine
+	globalGC1	146 30	3 3	0 360	147 31	psFillArc
+	globalGC1	151	46	147	31	psDrawLine
+	globalGC1	150 45	3 3	0 360	151 46	psFillArc
+	globalGC1	156	57	151	46	psDrawLine
+	globalGC1	155 56	3 3	0 360	156 57	psFillArc
+	globalGC1	161	66	156	57	psDrawLine
+	globalGC1	160 65	3 3	0 360	161 66	psFillArc
+	globalGC1	166	74	161	66	psDrawLine
+	globalGC1	165 73	3 3	0 360	166 74	psFillArc
+	globalGC1	171	79	166	74	psDrawLine
+	globalGC1	170 78	3 3	0 360	171 79	psFillArc
+	globalGC1	175	84	171	79	psDrawLine
+	globalGC1	174 83	3 3	0 360	175 84	psFillArc
+	globalGC1	180	88	175	84	psDrawLine
+	globalGC1	179 87	3 3	0 360	180 88	psFillArc
+	globalGC1	185	91	180	88	psDrawLine
+	globalGC1	184 90	3 3	0 360	185 91	psFillArc
+	globalGC1	190	94	185	91	psDrawLine
+	globalGC1	189 93	3 3	0 360	190 94	psFillArc
+	globalGC1	195	97	190	94	psDrawLine
+	globalGC1	194 96	3 3	0 360	195 97	psFillArc
+	globalGC1	199	99	195	97	psDrawLine
+	globalGC1	198 98	3 3	0 360	199 99	psFillArc
+	globalGC1	204	100	199	99	psDrawLine
+	globalGC1	203 99	3 3	0 360	204 100	psFillArc
+	globalGC1	209	102	204	100	psDrawLine
+	globalGC1	208 101	3 3	0 360	209 102	psFillArc
+	globalGC1	214	104	209	102	psDrawLine
+	globalGC1	213 103	3 3	0 360	214 104	psFillArc
+	globalGC1	219	105	214	104	psDrawLine
+	globalGC1	218 104	3 3	0 360	219 105	psFillArc
+	globalGC1	223	106	219	105	psDrawLine
+	globalGC1	222 105	3 3	0 360	223 106	psFillArc
+	globalGC1	228	107	223	106	psDrawLine
+	globalGC1	227 106	3 3	0 360	228 107	psFillArc
+	globalGC1	233	108	228	107	psDrawLine
+	globalGC1	232 107	3 3	0 360	233 108	psFillArc
+	globalGC1	238	109	233	108	psDrawLine
+	globalGC1	237 108	3 3	0 360	238 109	psFillArc
+	globalGC1	243	110	238	109	psDrawLine
+	globalGC1	242 109	3 3	0 360	243 110	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptcp.ps b/books/ps/2doptcp.ps
new file mode 100644
index 0000000..0900056
--- /dev/null
+++ b/books/ps/2doptcp.ps
@@ -0,0 +1,551 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	127	259	127	0	psDrawLine
+	globalGC1	213 243	3 3	0 360	214 244	psFillArc
+	globalGC1	214	244	214	244	psDrawLine
+	globalGC1	213 243	3 3	0 360	214 244	psFillArc
+	globalGC1	214	213	214	244	psDrawLine
+	globalGC1	213 212	3 3	0 360	214 213	psFillArc
+	globalGC1	214	192	214	213	psDrawLine
+	globalGC1	213 191	3 3	0 360	214 192	psFillArc
+	globalGC1	214	171	214	192	psDrawLine
+	globalGC1	213 170	3 3	0 360	214 171	psFillArc
+	globalGC1	214	160	214	171	psDrawLine
+	globalGC1	213 159	3 3	0 360	214 160	psFillArc
+	globalGC1	214	150	214	160	psDrawLine
+	globalGC1	213 149	3 3	0 360	214 150	psFillArc
+	globalGC1	214	145	214	150	psDrawLine
+	globalGC1	213 144	3 3	0 360	214 145	psFillArc
+	globalGC1	215	139	214	145	psDrawLine
+	globalGC1	214 138	3 3	0 360	215 139	psFillArc
+	globalGC1	215	137	215	139	psDrawLine
+	globalGC1	214 136	3 3	0 360	215 137	psFillArc
+	globalGC1	216	134	215	137	psDrawLine
+	globalGC1	215 133	3 3	0 360	216 134	psFillArc
+	globalGC1	216	133	216	134	psDrawLine
+	globalGC1	215 132	3 3	0 360	216 133	psFillArc
+	globalGC1	217	132	216	133	psDrawLine
+	globalGC1	216 131	3 3	0 360	217 132	psFillArc
+	globalGC1	219	131	217	132	psDrawLine
+	globalGC1	218 130	3 3	0 360	219 131	psFillArc
+	globalGC1	221	130	219	131	psDrawLine
+	globalGC1	220 129	3 3	0 360	221 130	psFillArc
+	globalGC1	223	130	221	130	psDrawLine
+	globalGC1	222 129	3 3	0 360	223 130	psFillArc
+	globalGC1	228	129	223	130	psDrawLine
+	globalGC1	227 128	3 3	0 360	228 129	psFillArc
+	globalGC1	233	129	228	129	psDrawLine
+	globalGC1	232 128	3 3	0 360	233 129	psFillArc
+	globalGC1	238	129	233	129	psDrawLine
+	globalGC1	237 128	3 3	0 360	238 129	psFillArc
+	globalGC1	243	129	238	129	psDrawLine
+	globalGC1	242 128	3 3	0 360	243 129	psFillArc
+	globalGC1	155 243	3 3	0 360	156 244	psFillArc
+	globalGC1	156	244	156	244	psDrawLine
+	globalGC1	155 243	3 3	0 360	156 244	psFillArc
+	globalGC1	156	213	156	244	psDrawLine
+	globalGC1	155 212	3 3	0 360	156 213	psFillArc
+	globalGC1	156	192	156	213	psDrawLine
+	globalGC1	155 191	3 3	0 360	156 192	psFillArc
+	globalGC1	157	171	156	192	psDrawLine
+	globalGC1	156 170	3 3	0 360	157 171	psFillArc
+	globalGC1	157	160	157	171	psDrawLine
+	globalGC1	156 159	3 3	0 360	157 160	psFillArc
+	globalGC1	157	150	157	160	psDrawLine
+	globalGC1	156 149	3 3	0 360	157 150	psFillArc
+	globalGC1	157	145	157	150	psDrawLine
+	globalGC1	156 144	3 3	0 360	157 145	psFillArc
+	globalGC1	157	139	157	145	psDrawLine
+	globalGC1	156 138	3 3	0 360	157 139	psFillArc
+	globalGC1	157	137	157	139	psDrawLine
+	globalGC1	156 136	3 3	0 360	157 137	psFillArc
+	globalGC1	158	134	157	137	psDrawLine
+	globalGC1	157 133	3 3	0 360	158 134	psFillArc
+	globalGC1	159	133	158	134	psDrawLine
+	globalGC1	158 132	3 3	0 360	159 133	psFillArc
+	globalGC1	160	132	159	133	psDrawLine
+	globalGC1	159 131	3 3	0 360	160 132	psFillArc
+	globalGC1	161	131	160	132	psDrawLine
+	globalGC1	160 130	3 3	0 360	161 131	psFillArc
+	globalGC1	163	130	161	131	psDrawLine
+	globalGC1	162 129	3 3	0 360	163 130	psFillArc
+	globalGC1	166	130	163	130	psDrawLine
+	globalGC1	165 129	3 3	0 360	166 130	psFillArc
+	globalGC1	171	129	166	130	psDrawLine
+	globalGC1	170 128	3 3	0 360	171 129	psFillArc
+	globalGC1	175	129	171	129	psDrawLine
+	globalGC1	174 128	3 3	0 360	175 129	psFillArc
+	globalGC1	180	129	175	129	psDrawLine
+	globalGC1	179 128	3 3	0 360	180 129	psFillArc
+	globalGC1	185	129	180	129	psDrawLine
+	globalGC1	184 128	3 3	0 360	185 129	psFillArc
+	globalGC1	190	129	185	129	psDrawLine
+	globalGC1	189 128	3 3	0 360	190 129	psFillArc
+	globalGC1	195	129	190	129	psDrawLine
+	globalGC1	194 128	3 3	0 360	195 129	psFillArc
+	globalGC1	199	128	195	129	psDrawLine
+	globalGC1	198 127	3 3	0 360	199 128	psFillArc
+	globalGC1	204	128	199	128	psDrawLine
+	globalGC1	203 127	3 3	0 360	204 128	psFillArc
+	globalGC1	207	128	204	128	psDrawLine
+	globalGC1	206 127	3 3	0 360	207 128	psFillArc
+	globalGC1	209	127	207	128	psDrawLine
+	globalGC1	208 126	3 3	0 360	209 127	psFillArc
+	globalGC1	210	126	209	127	psDrawLine
+	globalGC1	209 125	3 3	0 360	210 126	psFillArc
+	globalGC1	211	125	210	126	psDrawLine
+	globalGC1	210 124	3 3	0 360	211 125	psFillArc
+	globalGC1	212	124	211	125	psDrawLine
+	globalGC1	211 123	3 3	0 360	212 124	psFillArc
+	globalGC1	213	121	212	124	psDrawLine
+	globalGC1	212 120	3 3	0 360	213 121	psFillArc
+	globalGC1	213	119	213	121	psDrawLine
+	globalGC1	212 118	3 3	0 360	213 119	psFillArc
+	globalGC1	213	113	213	119	psDrawLine
+	globalGC1	212 112	3 3	0 360	213 113	psFillArc
+	globalGC1	213	108	213	113	psDrawLine
+	globalGC1	212 107	3 3	0 360	213 108	psFillArc
+	globalGC1	214	98	213	108	psDrawLine
+	globalGC1	213 97	3 3	0 360	214 98	psFillArc
+	globalGC1	214	87	214	98	psDrawLine
+	globalGC1	213 86	3 3	0 360	214 87	psFillArc
+	globalGC1	214	66	214	87	psDrawLine
+	globalGC1	213 65	3 3	0 360	214 66	psFillArc
+	globalGC1	214	45	214	66	psDrawLine
+	globalGC1	213 44	3 3	0 360	214 45	psFillArc
+	globalGC1	214	14	214	45	psDrawLine
+	globalGC1	213 13	3 3	0 360	214 14	psFillArc
+	globalGC1	98 243	3 3	0 360	99 244	psFillArc
+	globalGC1	99	244	99	244	psDrawLine
+	globalGC1	98 243	3 3	0 360	99 244	psFillArc
+	globalGC1	99	213	99	244	psDrawLine
+	globalGC1	98 212	3 3	0 360	99 213	psFillArc
+	globalGC1	99	192	99	213	psDrawLine
+	globalGC1	98 191	3 3	0 360	99 192	psFillArc
+	globalGC1	99	171	99	192	psDrawLine
+	globalGC1	98 170	3 3	0 360	99 171	psFillArc
+	globalGC1	99	160	99	171	psDrawLine
+	globalGC1	98 159	3 3	0 360	99 160	psFillArc
+	globalGC1	99	150	99	160	psDrawLine
+	globalGC1	98 149	3 3	0 360	99 150	psFillArc
+	globalGC1	99	145	99	150	psDrawLine
+	globalGC1	98 144	3 3	0 360	99 145	psFillArc
+	globalGC1	100	139	99	145	psDrawLine
+	globalGC1	99 138	3 3	0 360	100 139	psFillArc
+	globalGC1	100	137	100	139	psDrawLine
+	globalGC1	99 136	3 3	0 360	100 137	psFillArc
+	globalGC1	101	134	100	137	psDrawLine
+	globalGC1	100 133	3 3	0 360	101 134	psFillArc
+	globalGC1	101	133	101	134	psDrawLine
+	globalGC1	100 132	3 3	0 360	101 133	psFillArc
+	globalGC1	102	132	101	133	psDrawLine
+	globalGC1	101 131	3 3	0 360	102 132	psFillArc
+	globalGC1	104	131	102	132	psDrawLine
+	globalGC1	103 130	3 3	0 360	104 131	psFillArc
+	globalGC1	106	130	104	131	psDrawLine
+	globalGC1	105 129	3 3	0 360	106 130	psFillArc
+	globalGC1	108	130	106	130	psDrawLine
+	globalGC1	107 129	3 3	0 360	108 130	psFillArc
+	globalGC1	113	129	108	130	psDrawLine
+	globalGC1	112 128	3 3	0 360	113 129	psFillArc
+	globalGC1	118	129	113	129	psDrawLine
+	globalGC1	117 128	3 3	0 360	118 129	psFillArc
+	globalGC1	123	129	118	129	psDrawLine
+	globalGC1	122 128	3 3	0 360	123 129	psFillArc
+	globalGC1	127	129	123	129	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	132	129	127	129	psDrawLine
+	globalGC1	131 128	3 3	0 360	132 129	psFillArc
+	globalGC1	137	129	132	129	psDrawLine
+	globalGC1	136 128	3 3	0 360	137 129	psFillArc
+	globalGC1	142	128	137	129	psDrawLine
+	globalGC1	141 127	3 3	0 360	142 128	psFillArc
+	globalGC1	147	128	142	128	psDrawLine
+	globalGC1	146 127	3 3	0 360	147 128	psFillArc
+	globalGC1	149	128	147	128	psDrawLine
+	globalGC1	148 127	3 3	0 360	149 128	psFillArc
+	globalGC1	151	127	149	128	psDrawLine
+	globalGC1	150 126	3 3	0 360	151 127	psFillArc
+	globalGC1	153	126	151	127	psDrawLine
+	globalGC1	152 125	3 3	0 360	153 126	psFillArc
+	globalGC1	154	125	153	126	psDrawLine
+	globalGC1	153 124	3 3	0 360	154 125	psFillArc
+	globalGC1	154	124	154	125	psDrawLine
+	globalGC1	153 123	3 3	0 360	154 124	psFillArc
+	globalGC1	155	121	154	124	psDrawLine
+	globalGC1	154 120	3 3	0 360	155 121	psFillArc
+	globalGC1	155	119	155	121	psDrawLine
+	globalGC1	154 118	3 3	0 360	155 119	psFillArc
+	globalGC1	156	113	155	119	psDrawLine
+	globalGC1	155 112	3 3	0 360	156 113	psFillArc
+	globalGC1	156	108	156	113	psDrawLine
+	globalGC1	155 107	3 3	0 360	156 108	psFillArc
+	globalGC1	156	98	156	108	psDrawLine
+	globalGC1	155 97	3 3	0 360	156 98	psFillArc
+	globalGC1	156	87	156	98	psDrawLine
+	globalGC1	155 86	3 3	0 360	156 87	psFillArc
+	globalGC1	156	66	156	87	psDrawLine
+	globalGC1	155 65	3 3	0 360	156 66	psFillArc
+	globalGC1	156	45	156	66	psDrawLine
+	globalGC1	155 44	3 3	0 360	156 45	psFillArc
+	globalGC1	156	14	156	45	psDrawLine
+	globalGC1	155 13	3 3	0 360	156 14	psFillArc
+	globalGC1	40 243	3 3	0 360	41 244	psFillArc
+	globalGC1	41	244	41	244	psDrawLine
+	globalGC1	40 243	3 3	0 360	41 244	psFillArc
+	globalGC1	41	213	41	244	psDrawLine
+	globalGC1	40 212	3 3	0 360	41 213	psFillArc
+	globalGC1	41	192	41	213	psDrawLine
+	globalGC1	40 191	3 3	0 360	41 192	psFillArc
+	globalGC1	41	171	41	192	psDrawLine
+	globalGC1	40 170	3 3	0 360	41 171	psFillArc
+	globalGC1	41	160	41	171	psDrawLine
+	globalGC1	40 159	3 3	0 360	41 160	psFillArc
+	globalGC1	42	150	41	160	psDrawLine
+	globalGC1	41 149	3 3	0 360	42 150	psFillArc
+	globalGC1	42	145	42	150	psDrawLine
+	globalGC1	41 144	3 3	0 360	42 145	psFillArc
+	globalGC1	42	139	42	145	psDrawLine
+	globalGC1	41 138	3 3	0 360	42 139	psFillArc
+	globalGC1	42	137	42	139	psDrawLine
+	globalGC1	41 136	3 3	0 360	42 137	psFillArc
+	globalGC1	43	134	42	137	psDrawLine
+	globalGC1	42 133	3 3	0 360	43 134	psFillArc
+	globalGC1	44	133	43	134	psDrawLine
+	globalGC1	43 132	3 3	0 360	44 133	psFillArc
+	globalGC1	45	132	44	133	psDrawLine
+	globalGC1	44 131	3 3	0 360	45 132	psFillArc
+	globalGC1	46	131	45	132	psDrawLine
+	globalGC1	45 130	3 3	0 360	46 131	psFillArc
+	globalGC1	48	130	46	131	psDrawLine
+	globalGC1	47 129	3 3	0 360	48 130	psFillArc
+	globalGC1	51	130	48	130	psDrawLine
+	globalGC1	50 129	3 3	0 360	51 130	psFillArc
+	globalGC1	56	129	51	130	psDrawLine
+	globalGC1	55 128	3 3	0 360	56 129	psFillArc
+	globalGC1	60	129	56	129	psDrawLine
+	globalGC1	59 128	3 3	0 360	60 129	psFillArc
+	globalGC1	65	129	60	129	psDrawLine
+	globalGC1	64 128	3 3	0 360	65 129	psFillArc
+	globalGC1	70	129	65	129	psDrawLine
+	globalGC1	69 128	3 3	0 360	70 129	psFillArc
+	globalGC1	75	129	70	129	psDrawLine
+	globalGC1	74 128	3 3	0 360	75 129	psFillArc
+	globalGC1	80	129	75	129	psDrawLine
+	globalGC1	79 128	3 3	0 360	80 129	psFillArc
+	globalGC1	84	128	80	129	psDrawLine
+	globalGC1	83 127	3 3	0 360	84 128	psFillArc
+	globalGC1	89	128	84	128	psDrawLine
+	globalGC1	88 127	3 3	0 360	89 128	psFillArc
+	globalGC1	92	128	89	128	psDrawLine
+	globalGC1	91 127	3 3	0 360	92 128	psFillArc
+	globalGC1	94	127	92	128	psDrawLine
+	globalGC1	93 126	3 3	0 360	94 127	psFillArc
+	globalGC1	95	126	94	127	psDrawLine
+	globalGC1	94 125	3 3	0 360	95 126	psFillArc
+	globalGC1	96	125	95	126	psDrawLine
+	globalGC1	95 124	3 3	0 360	96 125	psFillArc
+	globalGC1	97	124	96	125	psDrawLine
+	globalGC1	96 123	3 3	0 360	97 124	psFillArc
+	globalGC1	97	121	97	124	psDrawLine
+	globalGC1	96 120	3 3	0 360	97 121	psFillArc
+	globalGC1	98	119	97	121	psDrawLine
+	globalGC1	97 118	3 3	0 360	98 119	psFillArc
+	globalGC1	98	113	98	119	psDrawLine
+	globalGC1	97 112	3 3	0 360	98 113	psFillArc
+	globalGC1	98	108	98	113	psDrawLine
+	globalGC1	97 107	3 3	0 360	98 108	psFillArc
+	globalGC1	98	98	98	108	psDrawLine
+	globalGC1	97 97	3 3	0 360	98 98	psFillArc
+	globalGC1	98	87	98	98	psDrawLine
+	globalGC1	97 86	3 3	0 360	98 87	psFillArc
+	globalGC1	99	66	98	87	psDrawLine
+	globalGC1	98 65	3 3	0 360	99 66	psFillArc
+	globalGC1	99	45	99	66	psDrawLine
+	globalGC1	98 44	3 3	0 360	99 45	psFillArc
+	globalGC1	99	14	99	45	psDrawLine
+	globalGC1	98 13	3 3	0 360	99 14	psFillArc
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	12	129	12	129	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	17	129	12	129	psDrawLine
+	globalGC1	16 128	3 3	0 360	17 129	psFillArc
+	globalGC1	22	129	17	129	psDrawLine
+	globalGC1	21 128	3 3	0 360	22 129	psFillArc
+	globalGC1	27	128	22	129	psDrawLine
+	globalGC1	26 127	3 3	0 360	27 128	psFillArc
+	globalGC1	32	128	27	128	psDrawLine
+	globalGC1	31 127	3 3	0 360	32 128	psFillArc
+	globalGC1	34	128	32	128	psDrawLine
+	globalGC1	33 127	3 3	0 360	34 128	psFillArc
+	globalGC1	36	127	34	128	psDrawLine
+	globalGC1	35 126	3 3	0 360	36 127	psFillArc
+	globalGC1	38	126	36	127	psDrawLine
+	globalGC1	37 125	3 3	0 360	38 126	psFillArc
+	globalGC1	39	125	38	126	psDrawLine
+	globalGC1	38 124	3 3	0 360	39 125	psFillArc
+	globalGC1	39	124	39	125	psDrawLine
+	globalGC1	38 123	3 3	0 360	39 124	psFillArc
+	globalGC1	40	121	39	124	psDrawLine
+	globalGC1	39 120	3 3	0 360	40 121	psFillArc
+	globalGC1	40	119	40	121	psDrawLine
+	globalGC1	39 118	3 3	0 360	40 119	psFillArc
+	globalGC1	41	113	40	119	psDrawLine
+	globalGC1	40 112	3 3	0 360	41 113	psFillArc
+	globalGC1	41	108	41	113	psDrawLine
+	globalGC1	40 107	3 3	0 360	41 108	psFillArc
+	globalGC1	41	98	41	108	psDrawLine
+	globalGC1	40 97	3 3	0 360	41 98	psFillArc
+	globalGC1	41	87	41	98	psDrawLine
+	globalGC1	40 86	3 3	0 360	41 87	psFillArc
+	globalGC1	41	66	41	87	psDrawLine
+	globalGC1	40 65	3 3	0 360	41 66	psFillArc
+	globalGC1	41	45	41	66	psDrawLine
+	globalGC1	40 44	3 3	0 360	41 45	psFillArc
+	globalGC1	41	14	41	45	psDrawLine
+	globalGC1	40 13	3 3	0 360	41 14	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptcpr.ps b/books/ps/2doptcpr.ps
new file mode 100644
index 0000000..35a3570
--- /dev/null
+++ b/books/ps/2doptcpr.ps
@@ -0,0 +1,434 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	300	151	0	151	psDrawLine
+	globalGC1	149	303	149	0	psDrawLine
+	unitGC	150	153	150	149	psDrawLine
+	unitGC	138	166	(0.00)	(window)	psDrawIStr
+	unitGC	190	153	190	149	psDrawLine
+	unitGC	178	166	(2.00)	(window)	psDrawIStr
+	unitGC	230	153	230	149	psDrawLine
+	unitGC	218	166	(4.00)	(window)	psDrawIStr
+	unitGC	270	153	270	149	psDrawLine
+	unitGC	258	166	(6.00)	(window)	psDrawIStr
+	unitGC	106	153	106	149	psDrawLine
+	unitGC	91	166	(-2.00)	(window)	psDrawIStr
+	unitGC	62	153	62	149	psDrawLine
+	unitGC	47	166	(-4.00)	(window)	psDrawIStr
+	unitGC	18	153	18	149	psDrawLine
+	unitGC	3	166	(-6.00)	(window)	psDrawIStr
+	unitGC	151	107	147	107	psDrawLine
+	unitGC	113	112	(1.00)	(window)	psDrawIStr
+	unitGC	151	63	147	63	psDrawLine
+	unitGC	113	68	(2.00)	(window)	psDrawIStr
+	unitGC	151	19	147	19	psDrawLine
+	unitGC	113	24	(3.00)	(window)	psDrawIStr
+	unitGC	151	195	147	195	psDrawLine
+	unitGC	104	200	(-1.00)	(window)	psDrawIStr
+	unitGC	151	238	147	238	psDrawLine
+	unitGC	104	243	(-2.00)	(window)	psDrawIStr
+	unitGC	151	281	147	281	psDrawLine
+	unitGC	104	286	(-3.00)	(window)	psDrawIStr
+	globalGC1	260 12	3 3	0 360	261 13	psFillArc
+	globalGC1	261	13	261	13	psDrawLine
+	globalGC1	260 12	3 3	0 360	261 13	psFillArc
+	globalGC1	262	36	261	13	psDrawLine
+	globalGC1	261 35	3 3	0 360	262 36	psFillArc
+	globalGC1	265	63	262	36	psDrawLine
+	globalGC1	264 62	3 3	0 360	265 63	psFillArc
+	globalGC1	270	89	265	63	psDrawLine
+	globalGC1	269 88	3 3	0 360	270 89	psFillArc
+	globalGC1	276	100	270	89	psDrawLine
+	globalGC1	275 99	3 3	0 360	276 100	psFillArc
+	globalGC1	282	105	276	100	psDrawLine
+	globalGC1	281 104	3 3	0 360	282 105	psFillArc
+	globalGC1	288	107	282	105	psDrawLine
+	globalGC1	287 106	3 3	0 360	288 107	psFillArc
+	globalGC1	190 288	3 3	0 360	191 289	psFillArc
+	globalGC1	191	289	191	289	psDrawLine
+	globalGC1	190 288	3 3	0 360	191 289	psFillArc
+	globalGC1	193	266	191	289	psDrawLine
+	globalGC1	192 265	3 3	0 360	193 266	psFillArc
+	globalGC1	196	239	193	266	psDrawLine
+	globalGC1	195 238	3 3	0 360	196 239	psFillArc
+	globalGC1	201	213	196	239	psDrawLine
+	globalGC1	200 212	3 3	0 360	201 213	psFillArc
+	globalGC1	207	202	201	213	psDrawLine
+	globalGC1	206 201	3 3	0 360	207 202	psFillArc
+	globalGC1	213	197	207	202	psDrawLine
+	globalGC1	212 196	3 3	0 360	213 197	psFillArc
+	globalGC1	219	195	213	197	psDrawLine
+	globalGC1	218 194	3 3	0 360	219 195	psFillArc
+	globalGC1	224	197	219	195	psDrawLine
+	globalGC1	223 196	3 3	0 360	224 197	psFillArc
+	globalGC1	230	202	224	197	psDrawLine
+	globalGC1	229 201	3 3	0 360	230 202	psFillArc
+	globalGC1	236	213	230	202	psDrawLine
+	globalGC1	235 212	3 3	0 360	236 213	psFillArc
+	globalGC1	242	239	236	213	psDrawLine
+	globalGC1	241 238	3 3	0 360	242 239	psFillArc
+	globalGC1	244	266	242	239	psDrawLine
+	globalGC1	243 265	3 3	0 360	244 266	psFillArc
+	globalGC1	246	289	244	266	psDrawLine
+	globalGC1	245 288	3 3	0 360	246 289	psFillArc
+	globalGC1	121 12	3 3	0 360	122 13	psFillArc
+	globalGC1	122	13	122	13	psDrawLine
+	globalGC1	121 12	3 3	0 360	122 13	psFillArc
+	globalGC1	124	36	122	13	psDrawLine
+	globalGC1	123 35	3 3	0 360	124 36	psFillArc
+	globalGC1	126	63	124	36	psDrawLine
+	globalGC1	125 62	3 3	0 360	126 63	psFillArc
+	globalGC1	132	89	126	63	psDrawLine
+	globalGC1	131 88	3 3	0 360	132 89	psFillArc
+	globalGC1	138	100	132	89	psDrawLine
+	globalGC1	137 99	3 3	0 360	138 100	psFillArc
+	globalGC1	144	105	138	100	psDrawLine
+	globalGC1	143 104	3 3	0 360	144 105	psFillArc
+	globalGC1	149	107	144	105	psDrawLine
+	globalGC1	148 106	3 3	0 360	149 107	psFillArc
+	globalGC1	155	105	149	107	psDrawLine
+	globalGC1	154 104	3 3	0 360	155 105	psFillArc
+	globalGC1	161	100	155	105	psDrawLine
+	globalGC1	160 99	3 3	0 360	161 100	psFillArc
+	globalGC1	167	89	161	100	psDrawLine
+	globalGC1	166 88	3 3	0 360	167 89	psFillArc
+	globalGC1	173	63	167	89	psDrawLine
+	globalGC1	172 62	3 3	0 360	173 63	psFillArc
+	globalGC1	175	36	173	63	psDrawLine
+	globalGC1	174 35	3 3	0 360	175 36	psFillArc
+	globalGC1	177	13	175	36	psDrawLine
+	globalGC1	176 12	3 3	0 360	177 13	psFillArc
+	globalGC1	52 288	3 3	0 360	53 289	psFillArc
+	globalGC1	53	289	53	289	psDrawLine
+	globalGC1	52 288	3 3	0 360	53 289	psFillArc
+	globalGC1	55	266	53	289	psDrawLine
+	globalGC1	54 265	3 3	0 360	55 266	psFillArc
+	globalGC1	57	239	55	266	psDrawLine
+	globalGC1	56 238	3 3	0 360	57 239	psFillArc
+	globalGC1	63	213	57	239	psDrawLine
+	globalGC1	62 212	3 3	0 360	63 213	psFillArc
+	globalGC1	69	202	63	213	psDrawLine
+	globalGC1	68 201	3 3	0 360	69 202	psFillArc
+	globalGC1	75	197	69	202	psDrawLine
+	globalGC1	74 196	3 3	0 360	75 197	psFillArc
+	globalGC1	80	195	75	197	psDrawLine
+	globalGC1	79 194	3 3	0 360	80 195	psFillArc
+	globalGC1	86	197	80	195	psDrawLine
+	globalGC1	85 196	3 3	0 360	86 197	psFillArc
+	globalGC1	92	202	86	197	psDrawLine
+	globalGC1	91 201	3 3	0 360	92 202	psFillArc
+	globalGC1	98	213	92	202	psDrawLine
+	globalGC1	97 212	3 3	0 360	98 213	psFillArc
+	globalGC1	103	239	98	213	psDrawLine
+	globalGC1	102 238	3 3	0 360	103 239	psFillArc
+	globalGC1	106	266	103	239	psDrawLine
+	globalGC1	105 265	3 3	0 360	106 266	psFillArc
+	globalGC1	108	289	106	266	psDrawLine
+	globalGC1	107 288	3 3	0 360	108 289	psFillArc
+	globalGC1	10 106	3 3	0 360	11 107	psFillArc
+	globalGC1	11	107	11	107	psDrawLine
+	globalGC1	10 106	3 3	0 360	11 107	psFillArc
+	globalGC1	17	105	11	107	psDrawLine
+	globalGC1	16 104	3 3	0 360	17 105	psFillArc
+	globalGC1	23	100	17	105	psDrawLine
+	globalGC1	22 99	3 3	0 360	23 100	psFillArc
+	globalGC1	29	89	23	100	psDrawLine
+	globalGC1	28 88	3 3	0 360	29 89	psFillArc
+	globalGC1	34	63	29	89	psDrawLine
+	globalGC1	33 62	3 3	0 360	34 63	psFillArc
+	globalGC1	37	36	34	63	psDrawLine
+	globalGC1	36 35	3 3	0 360	37 36	psFillArc
+	globalGC1	38	13	37	36	psDrawLine
+	globalGC1	37 12	3 3	0 360	38 13	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptcvc.ps b/books/ps/2doptcvc.ps
new file mode 100644
index 0000000..d91c991
--- /dev/null
+++ b/books/ps/2doptcvc.ps
@@ -0,0 +1,363 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	127	259	127	0	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	12	129	12	129	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	17	144	12	129	psDrawLine
+	globalGC1	16 143	3 3	0 360	17 144	psFillArc
+	globalGC1	22	159	17	144	psDrawLine
+	globalGC1	21 158	3 3	0 360	22 159	psFillArc
+	globalGC1	27	173	22	159	psDrawLine
+	globalGC1	26 172	3 3	0 360	27 173	psFillArc
+	globalGC1	32	187	27	173	psDrawLine
+	globalGC1	31 186	3 3	0 360	32 187	psFillArc
+	globalGC1	36	199	32	187	psDrawLine
+	globalGC1	35 198	3 3	0 360	36 199	psFillArc
+	globalGC1	41	210	36	199	psDrawLine
+	globalGC1	40 209	3 3	0 360	41 210	psFillArc
+	globalGC1	46	220	41	210	psDrawLine
+	globalGC1	45 219	3 3	0 360	46 220	psFillArc
+	globalGC1	51	229	46	220	psDrawLine
+	globalGC1	50 228	3 3	0 360	51 229	psFillArc
+	globalGC1	56	235	51	229	psDrawLine
+	globalGC1	55 234	3 3	0 360	56 235	psFillArc
+	globalGC1	60	240	56	235	psDrawLine
+	globalGC1	59 239	3 3	0 360	60 240	psFillArc
+	globalGC1	63	242	60	240	psDrawLine
+	globalGC1	62 241	3 3	0 360	63 242	psFillArc
+	globalGC1	65	243	63	242	psDrawLine
+	globalGC1	64 242	3 3	0 360	65 243	psFillArc
+	globalGC1	68	244	65	243	psDrawLine
+	globalGC1	67 243	3 3	0 360	68 244	psFillArc
+	globalGC1	70	244	68	244	psDrawLine
+	globalGC1	69 243	3 3	0 360	70 244	psFillArc
+	globalGC1	72	244	70	244	psDrawLine
+	globalGC1	71 243	3 3	0 360	72 244	psFillArc
+	globalGC1	75	243	72	244	psDrawLine
+	globalGC1	74 242	3 3	0 360	75 243	psFillArc
+	globalGC1	77	242	75	243	psDrawLine
+	globalGC1	76 241	3 3	0 360	77 242	psFillArc
+	globalGC1	80	240	77	242	psDrawLine
+	globalGC1	79 239	3 3	0 360	80 240	psFillArc
+	globalGC1	84	235	80	240	psDrawLine
+	globalGC1	83 234	3 3	0 360	84 235	psFillArc
+	globalGC1	89	229	84	235	psDrawLine
+	globalGC1	88 228	3 3	0 360	89 229	psFillArc
+	globalGC1	94	220	89	229	psDrawLine
+	globalGC1	93 219	3 3	0 360	94 220	psFillArc
+	globalGC1	99	210	94	220	psDrawLine
+	globalGC1	98 209	3 3	0 360	99 210	psFillArc
+	globalGC1	104	199	99	210	psDrawLine
+	globalGC1	103 198	3 3	0 360	104 199	psFillArc
+	globalGC1	108	187	104	199	psDrawLine
+	globalGC1	107 186	3 3	0 360	108 187	psFillArc
+	globalGC1	113	173	108	187	psDrawLine
+	globalGC1	112 172	3 3	0 360	113 173	psFillArc
+	globalGC1	118	159	113	173	psDrawLine
+	globalGC1	117 158	3 3	0 360	118 159	psFillArc
+	globalGC1	123	144	118	159	psDrawLine
+	globalGC1	122 143	3 3	0 360	123 144	psFillArc
+	globalGC1	127	129	123	144	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	132	114	127	129	psDrawLine
+	globalGC1	131 113	3 3	0 360	132 114	psFillArc
+	globalGC1	137	99	132	114	psDrawLine
+	globalGC1	136 98	3 3	0 360	137 99	psFillArc
+	globalGC1	142	85	137	99	psDrawLine
+	globalGC1	141 84	3 3	0 360	142 85	psFillArc
+	globalGC1	147	71	142	85	psDrawLine
+	globalGC1	146 70	3 3	0 360	147 71	psFillArc
+	globalGC1	151	59	147	71	psDrawLine
+	globalGC1	150 58	3 3	0 360	151 59	psFillArc
+	globalGC1	156	48	151	59	psDrawLine
+	globalGC1	155 47	3 3	0 360	156 48	psFillArc
+	globalGC1	161	38	156	48	psDrawLine
+	globalGC1	160 37	3 3	0 360	161 38	psFillArc
+	globalGC1	166	29	161	38	psDrawLine
+	globalGC1	165 28	3 3	0 360	166 29	psFillArc
+	globalGC1	171	23	166	29	psDrawLine
+	globalGC1	170 22	3 3	0 360	171 23	psFillArc
+	globalGC1	175	18	171	23	psDrawLine
+	globalGC1	174 17	3 3	0 360	175 18	psFillArc
+	globalGC1	178	16	175	18	psDrawLine
+	globalGC1	177 15	3 3	0 360	178 16	psFillArc
+	globalGC1	180	15	178	16	psDrawLine
+	globalGC1	179 14	3 3	0 360	180 15	psFillArc
+	globalGC1	183	14	180	15	psDrawLine
+	globalGC1	182 13	3 3	0 360	183 14	psFillArc
+	globalGC1	185	14	183	14	psDrawLine
+	globalGC1	184 13	3 3	0 360	185 14	psFillArc
+	globalGC1	187	14	185	14	psDrawLine
+	globalGC1	186 13	3 3	0 360	187 14	psFillArc
+	globalGC1	190	15	187	14	psDrawLine
+	globalGC1	189 14	3 3	0 360	190 15	psFillArc
+	globalGC1	192	16	190	15	psDrawLine
+	globalGC1	191 15	3 3	0 360	192 16	psFillArc
+	globalGC1	195	18	192	16	psDrawLine
+	globalGC1	194 17	3 3	0 360	195 18	psFillArc
+	globalGC1	199	23	195	18	psDrawLine
+	globalGC1	198 22	3 3	0 360	199 23	psFillArc
+	globalGC1	204	29	199	23	psDrawLine
+	globalGC1	203 28	3 3	0 360	204 29	psFillArc
+	globalGC1	209	38	204	29	psDrawLine
+	globalGC1	208 37	3 3	0 360	209 38	psFillArc
+	globalGC1	214	48	209	38	psDrawLine
+	globalGC1	213 47	3 3	0 360	214 48	psFillArc
+	globalGC1	219	59	214	48	psDrawLine
+	globalGC1	218 58	3 3	0 360	219 59	psFillArc
+	globalGC1	223	71	219	59	psDrawLine
+	globalGC1	222 70	3 3	0 360	223 71	psFillArc
+	globalGC1	228	85	223	71	psDrawLine
+	globalGC1	227 84	3 3	0 360	228 85	psFillArc
+	globalGC1	233	99	228	85	psDrawLine
+	globalGC1	232 98	3 3	0 360	233 99	psFillArc
+	globalGC1	238	114	233	99	psDrawLine
+	globalGC1	237 113	3 3	0 360	238 114	psFillArc
+	globalGC1	243	129	238	114	psDrawLine
+	globalGC1	242 128	3 3	0 360	243 129	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptplr.ps b/books/ps/2doptplr.ps
new file mode 100644
index 0000000..553c212
--- /dev/null
+++ b/books/ps/2doptplr.ps
@@ -0,0 +1,795 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	141	0	141	psDrawLine
+	globalGC1	128	259	128	0	psDrawLine
+	globalGC1	127 140	3 3	0 360	128 141	psFillArc
+	globalGC1	128	141	128	141	psDrawLine
+	globalGC1	127 140	3 3	0 360	128 141	psFillArc
+	globalGC1	147	140	128	141	psDrawLine
+	globalGC1	146 139	3 3	0 360	147 140	psFillArc
+	globalGC1	166	138	147	140	psDrawLine
+	globalGC1	165 137	3 3	0 360	166 138	psFillArc
+	globalGC1	184	135	166	138	psDrawLine
+	globalGC1	183 134	3 3	0 360	184 135	psFillArc
+	globalGC1	200	131	184	135	psDrawLine
+	globalGC1	199 130	3 3	0 360	200 131	psFillArc
+	globalGC1	215	126	200	131	psDrawLine
+	globalGC1	214 125	3 3	0 360	215 126	psFillArc
+	globalGC1	226	120	215	126	psDrawLine
+	globalGC1	225 119	3 3	0 360	226 120	psFillArc
+	globalGC1	235	114	226	120	psDrawLine
+	globalGC1	234 113	3 3	0 360	235 114	psFillArc
+	globalGC1	238	112	235	114	psDrawLine
+	globalGC1	237 111	3 3	0 360	238 112	psFillArc
+	globalGC1	240	109	238	112	psDrawLine
+	globalGC1	239 108	3 3	0 360	240 109	psFillArc
+	globalGC1	242	106	240	109	psDrawLine
+	globalGC1	241 105	3 3	0 360	242 106	psFillArc
+	globalGC1	242	105	242	106	psDrawLine
+	globalGC1	241 104	3 3	0 360	242 105	psFillArc
+	globalGC1	243	104	242	105	psDrawLine
+	globalGC1	242 103	3 3	0 360	243 104	psFillArc
+	globalGC1	243	103	243	104	psDrawLine
+	globalGC1	242 102	3 3	0 360	243 103	psFillArc
+	globalGC1	243	102	243	103	psDrawLine
+	globalGC1	242 101	3 3	0 360	243 102	psFillArc
+	globalGC1	242	101	243	102	psDrawLine
+	globalGC1	241 100	3 3	0 360	242 101	psFillArc
+	globalGC1	242	100	242	101	psDrawLine
+	globalGC1	241 99	3 3	0 360	242 100	psFillArc
+	globalGC1	241	99	242	100	psDrawLine
+	globalGC1	240 98	3 3	0 360	241 99	psFillArc
+	globalGC1	240	98	241	99	psDrawLine
+	globalGC1	239 97	3 3	0 360	240 98	psFillArc
+	globalGC1	238	97	240	98	psDrawLine
+	globalGC1	237 96	3 3	0 360	238 97	psFillArc
+	globalGC1	235	96	238	97	psDrawLine
+	globalGC1	234 95	3 3	0 360	235 96	psFillArc
+	globalGC1	231	96	235	96	psDrawLine
+	globalGC1	230 95	3 3	0 360	231 96	psFillArc
+	globalGC1	221	96	231	96	psDrawLine
+	globalGC1	220 95	3 3	0 360	221 96	psFillArc
+	globalGC1	209	98	221	96	psDrawLine
+	globalGC1	208 97	3 3	0 360	209 98	psFillArc
+	globalGC1	180	109	209	98	psDrawLine
+	globalGC1	179 108	3 3	0 360	180 109	psFillArc
+	globalGC1	164	117	180	109	psDrawLine
+	globalGC1	163 116	3 3	0 360	164 117	psFillArc
+	globalGC1	147	127	164	117	psDrawLine
+	globalGC1	146 126	3 3	0 360	147 127	psFillArc
+	globalGC1	131	138	147	127	psDrawLine
+	globalGC1	130 137	3 3	0 360	131 138	psFillArc
+	globalGC1	115	151	131	138	psDrawLine
+	globalGC1	114 150	3 3	0 360	115 151	psFillArc
+	globalGC1	100	164	115	151	psDrawLine
+	globalGC1	99 163	3 3	0 360	100 164	psFillArc
+	globalGC1	87	178	100	164	psDrawLine
+	globalGC1	86 177	3 3	0 360	87 178	psFillArc
+	globalGC1	76	191	87	178	psDrawLine
+	globalGC1	75 190	3 3	0 360	76 191	psFillArc
+	globalGC1	67	204	76	191	psDrawLine
+	globalGC1	66 203	3 3	0 360	67 204	psFillArc
+	globalGC1	60	216	67	204	psDrawLine
+	globalGC1	59 215	3 3	0 360	60 216	psFillArc
+	globalGC1	56	226	60	216	psDrawLine
+	globalGC1	55 225	3 3	0 360	56 226	psFillArc
+	globalGC1	55	231	56	226	psDrawLine
+	globalGC1	54 230	3 3	0 360	55 231	psFillArc
+	globalGC1	54	234	55	231	psDrawLine
+	globalGC1	53 233	3 3	0 360	54 234	psFillArc
+	globalGC1	54	238	54	234	psDrawLine
+	globalGC1	53 237	3 3	0 360	54 238	psFillArc
+	globalGC1	54	239	54	238	psDrawLine
+	globalGC1	53 238	3 3	0 360	54 239	psFillArc
+	globalGC1	55	240	54	239	psDrawLine
+	globalGC1	54 239	3 3	0 360	55 240	psFillArc
+	globalGC1	55	241	55	240	psDrawLine
+	globalGC1	54 240	3 3	0 360	55 241	psFillArc
+	globalGC1	56	242	55	241	psDrawLine
+	globalGC1	55 241	3 3	0 360	56 242	psFillArc
+	globalGC1	56	243	56	242	psDrawLine
+	globalGC1	55 242	3 3	0 360	56 243	psFillArc
+	globalGC1	57	244	56	243	psDrawLine
+	globalGC1	56 243	3 3	0 360	57 244	psFillArc
+	globalGC1	58	244	57	244	psDrawLine
+	globalGC1	57 243	3 3	0 360	58 244	psFillArc
+	globalGC1	59	244	58	244	psDrawLine
+	globalGC1	58 243	3 3	0 360	59 244	psFillArc
+	globalGC1	60	244	59	244	psDrawLine
+	globalGC1	59 243	3 3	0 360	60 244	psFillArc
+	globalGC1	62	244	60	244	psDrawLine
+	globalGC1	61 243	3 3	0 360	62 244	psFillArc
+	globalGC1	65	243	62	244	psDrawLine
+	globalGC1	64 242	3 3	0 360	65 243	psFillArc
+	globalGC1	68	241	65	243	psDrawLine
+	globalGC1	67 240	3 3	0 360	68 241	psFillArc
+	globalGC1	75	236	68	241	psDrawLine
+	globalGC1	74 235	3 3	0 360	75 236	psFillArc
+	globalGC1	92	216	75	236	psDrawLine
+	globalGC1	91 215	3 3	0 360	92 216	psFillArc
+	globalGC1	101	202	92	216	psDrawLine
+	globalGC1	100 201	3 3	0 360	101 202	psFillArc
+	globalGC1	110	185	101	202	psDrawLine
+	globalGC1	109 184	3 3	0 360	110 185	psFillArc
+	globalGC1	118	168	110	185	psDrawLine
+	globalGC1	117 167	3 3	0 360	118 168	psFillArc
+	globalGC1	125	148	118	168	psDrawLine
+	globalGC1	124 147	3 3	0 360	125 148	psFillArc
+	globalGC1	131	129	125	148	psDrawLine
+	globalGC1	130 128	3 3	0 360	131 129	psFillArc
+	globalGC1	136	109	131	129	psDrawLine
+	globalGC1	135 108	3 3	0 360	136 109	psFillArc
+	globalGC1	139	90	136	109	psDrawLine
+	globalGC1	138 89	3 3	0 360	139 90	psFillArc
+	globalGC1	141	71	139	90	psDrawLine
+	globalGC1	140 70	3 3	0 360	141 71	psFillArc
+	globalGC1	140	41	141	71	psDrawLine
+	globalGC1	139 40	3 3	0 360	140 41	psFillArc
+	globalGC1	138	29	140	41	psDrawLine
+	globalGC1	137 28	3 3	0 360	138 29	psFillArc
+	globalGC1	137	25	138	29	psDrawLine
+	globalGC1	136 24	3 3	0 360	137 25	psFillArc
+	globalGC1	135	21	137	25	psDrawLine
+	globalGC1	134 20	3 3	0 360	135 21	psFillArc
+	globalGC1	133	18	135	21	psDrawLine
+	globalGC1	132 17	3 3	0 360	133 18	psFillArc
+	globalGC1	132	17	133	18	psDrawLine
+	globalGC1	131 16	3 3	0 360	132 17	psFillArc
+	globalGC1	131	16	132	17	psDrawLine
+	globalGC1	130 15	3 3	0 360	131 16	psFillArc
+	globalGC1	130	15	131	16	psDrawLine
+	globalGC1	129 14	3 3	0 360	130 15	psFillArc
+	globalGC1	129	14	130	15	psDrawLine
+	globalGC1	128 13	3 3	0 360	129 14	psFillArc
+	globalGC1	128	14	129	14	psDrawLine
+	globalGC1	127 13	3 3	0 360	128 14	psFillArc
+	globalGC1	128	14	128	14	psDrawLine
+	globalGC1	127 13	3 3	0 360	128 14	psFillArc
+	globalGC1	127	14	128	14	psDrawLine
+	globalGC1	126 13	3 3	0 360	127 14	psFillArc
+	globalGC1	126	14	127	14	psDrawLine
+	globalGC1	125 13	3 3	0 360	126 14	psFillArc
+	globalGC1	125	15	126	14	psDrawLine
+	globalGC1	124 14	3 3	0 360	125 15	psFillArc
+	globalGC1	124	16	125	15	psDrawLine
+	globalGC1	123 15	3 3	0 360	124 16	psFillArc
+	globalGC1	123	17	124	16	psDrawLine
+	globalGC1	122 16	3 3	0 360	123 17	psFillArc
+	globalGC1	122	18	123	17	psDrawLine
+	globalGC1	121 17	3 3	0 360	122 18	psFillArc
+	globalGC1	120	21	122	18	psDrawLine
+	globalGC1	119 20	3 3	0 360	120 21	psFillArc
+	globalGC1	118	25	120	21	psDrawLine
+	globalGC1	117 24	3 3	0 360	118 25	psFillArc
+	globalGC1	117	29	118	25	psDrawLine
+	globalGC1	116 28	3 3	0 360	117 29	psFillArc
+	globalGC1	115	41	117	29	psDrawLine
+	globalGC1	114 40	3 3	0 360	115 41	psFillArc
+	globalGC1	114	71	115	41	psDrawLine
+	globalGC1	113 70	3 3	0 360	114 71	psFillArc
+	globalGC1	116	90	114	71	psDrawLine
+	globalGC1	115 89	3 3	0 360	116 90	psFillArc
+	globalGC1	119	109	116	90	psDrawLine
+	globalGC1	118 108	3 3	0 360	119 109	psFillArc
+	globalGC1	124	129	119	109	psDrawLine
+	globalGC1	123 128	3 3	0 360	124 129	psFillArc
+	globalGC1	130	148	124	129	psDrawLine
+	globalGC1	129 147	3 3	0 360	130 148	psFillArc
+	globalGC1	137	168	130	148	psDrawLine
+	globalGC1	136 167	3 3	0 360	137 168	psFillArc
+	globalGC1	145	185	137	168	psDrawLine
+	globalGC1	144 184	3 3	0 360	145 185	psFillArc
+	globalGC1	154	202	145	185	psDrawLine
+	globalGC1	153 201	3 3	0 360	154 202	psFillArc
+	globalGC1	163	216	154	202	psDrawLine
+	globalGC1	162 215	3 3	0 360	163 216	psFillArc
+	globalGC1	172	227	163	216	psDrawLine
+	globalGC1	171 226	3 3	0 360	172 227	psFillArc
+	globalGC1	180	236	172	227	psDrawLine
+	globalGC1	179 235	3 3	0 360	180 236	psFillArc
+	globalGC1	187	241	180	236	psDrawLine
+	globalGC1	186 240	3 3	0 360	187 241	psFillArc
+	globalGC1	190	243	187	241	psDrawLine
+	globalGC1	189 242	3 3	0 360	190 243	psFillArc
+	globalGC1	193	244	190	243	psDrawLine
+	globalGC1	192 243	3 3	0 360	193 244	psFillArc
+	globalGC1	195	244	193	244	psDrawLine
+	globalGC1	194 243	3 3	0 360	195 244	psFillArc
+	globalGC1	196	244	195	244	psDrawLine
+	globalGC1	195 243	3 3	0 360	196 244	psFillArc
+	globalGC1	197	244	196	244	psDrawLine
+	globalGC1	196 243	3 3	0 360	197 244	psFillArc
+	globalGC1	198	244	197	244	psDrawLine
+	globalGC1	197 243	3 3	0 360	198 244	psFillArc
+	globalGC1	199	243	198	244	psDrawLine
+	globalGC1	198 242	3 3	0 360	199 243	psFillArc
+	globalGC1	199	242	199	243	psDrawLine
+	globalGC1	198 241	3 3	0 360	199 242	psFillArc
+	globalGC1	200	241	199	242	psDrawLine
+	globalGC1	199 240	3 3	0 360	200 241	psFillArc
+	globalGC1	200	240	200	241	psDrawLine
+	globalGC1	199 239	3 3	0 360	200 240	psFillArc
+	globalGC1	201	238	200	240	psDrawLine
+	globalGC1	200 237	3 3	0 360	201 238	psFillArc
+	globalGC1	201	234	201	238	psDrawLine
+	globalGC1	200 233	3 3	0 360	201 234	psFillArc
+	globalGC1	199	226	201	234	psDrawLine
+	globalGC1	198 225	3 3	0 360	199 226	psFillArc
+	globalGC1	188	204	199	226	psDrawLine
+	globalGC1	187 203	3 3	0 360	188 204	psFillArc
+	globalGC1	179	191	188	204	psDrawLine
+	globalGC1	178 190	3 3	0 360	179 191	psFillArc
+	globalGC1	168	178	179	191	psDrawLine
+	globalGC1	167 177	3 3	0 360	168 178	psFillArc
+	globalGC1	155	164	168	178	psDrawLine
+	globalGC1	154 163	3 3	0 360	155 164	psFillArc
+	globalGC1	140	151	155	164	psDrawLine
+	globalGC1	139 150	3 3	0 360	140 151	psFillArc
+	globalGC1	124	138	140	151	psDrawLine
+	globalGC1	123 137	3 3	0 360	124 138	psFillArc
+	globalGC1	108	127	124	138	psDrawLine
+	globalGC1	107 126	3 3	0 360	108 127	psFillArc
+	globalGC1	91	117	108	127	psDrawLine
+	globalGC1	90 116	3 3	0 360	91 117	psFillArc
+	globalGC1	75	109	91	117	psDrawLine
+	globalGC1	74 108	3 3	0 360	75 109	psFillArc
+	globalGC1	46	98	75	109	psDrawLine
+	globalGC1	45 97	3 3	0 360	46 98	psFillArc
+	globalGC1	34	96	46	98	psDrawLine
+	globalGC1	33 95	3 3	0 360	34 96	psFillArc
+	globalGC1	24	96	34	96	psDrawLine
+	globalGC1	23 95	3 3	0 360	24 96	psFillArc
+	globalGC1	20	96	24	96	psDrawLine
+	globalGC1	19 95	3 3	0 360	20 96	psFillArc
+	globalGC1	17	97	20	96	psDrawLine
+	globalGC1	16 96	3 3	0 360	17 97	psFillArc
+	globalGC1	16	98	17	97	psDrawLine
+	globalGC1	15 97	3 3	0 360	16 98	psFillArc
+	globalGC1	15	98	16	98	psDrawLine
+	globalGC1	14 97	3 3	0 360	15 98	psFillArc
+	globalGC1	14	99	15	98	psDrawLine
+	globalGC1	13 98	3 3	0 360	14 99	psFillArc
+	globalGC1	13	100	14	99	psDrawLine
+	globalGC1	12 99	3 3	0 360	13 100	psFillArc
+	globalGC1	13	101	13	100	psDrawLine
+	globalGC1	12 100	3 3	0 360	13 101	psFillArc
+	globalGC1	12	102	13	101	psDrawLine
+	globalGC1	11 101	3 3	0 360	12 102	psFillArc
+	globalGC1	12	103	12	102	psDrawLine
+	globalGC1	11 102	3 3	0 360	12 103	psFillArc
+	globalGC1	12	104	12	103	psDrawLine
+	globalGC1	11 103	3 3	0 360	12 104	psFillArc
+	globalGC1	13	106	12	104	psDrawLine
+	globalGC1	12 105	3 3	0 360	13 106	psFillArc
+	globalGC1	15	109	13	106	psDrawLine
+	globalGC1	14 108	3 3	0 360	15 109	psFillArc
+	globalGC1	20	114	15	109	psDrawLine
+	globalGC1	19 113	3 3	0 360	20 114	psFillArc
+	globalGC1	29	120	20	114	psDrawLine
+	globalGC1	28 119	3 3	0 360	29 120	psFillArc
+	globalGC1	55	131	29	120	psDrawLine
+	globalGC1	54 130	3 3	0 360	55 131	psFillArc
+	globalGC1	71	135	55	131	psDrawLine
+	globalGC1	70 134	3 3	0 360	71 135	psFillArc
+	globalGC1	89	138	71	135	psDrawLine
+	globalGC1	88 137	3 3	0 360	89 138	psFillArc
+	globalGC1	108	140	89	138	psDrawLine
+	globalGC1	107 139	3 3	0 360	108 140	psFillArc
+	globalGC1	128	141	108	140	psDrawLine
+	globalGC1	127 140	3 3	0 360	128 141	psFillArc
+	globalGC1	147	140	128	141	psDrawLine
+	globalGC1	146 139	3 3	0 360	147 140	psFillArc
+	globalGC1	166	138	147	140	psDrawLine
+	globalGC1	165 137	3 3	0 360	166 138	psFillArc
+	globalGC1	184	135	166	138	psDrawLine
+	globalGC1	183 134	3 3	0 360	184 135	psFillArc
+	globalGC1	200	131	184	135	psDrawLine
+	globalGC1	199 130	3 3	0 360	200 131	psFillArc
+	globalGC1	215	126	200	131	psDrawLine
+	globalGC1	214 125	3 3	0 360	215 126	psFillArc
+	globalGC1	226	120	215	126	psDrawLine
+	globalGC1	225 119	3 3	0 360	226 120	psFillArc
+	globalGC1	235	114	226	120	psDrawLine
+	globalGC1	234 113	3 3	0 360	235 114	psFillArc
+	globalGC1	238	112	235	114	psDrawLine
+	globalGC1	237 111	3 3	0 360	238 112	psFillArc
+	globalGC1	240	109	238	112	psDrawLine
+	globalGC1	239 108	3 3	0 360	240 109	psFillArc
+	globalGC1	242	106	240	109	psDrawLine
+	globalGC1	241 105	3 3	0 360	242 106	psFillArc
+	globalGC1	242	105	242	106	psDrawLine
+	globalGC1	241 104	3 3	0 360	242 105	psFillArc
+	globalGC1	243	104	242	105	psDrawLine
+	globalGC1	242 103	3 3	0 360	243 104	psFillArc
+	globalGC1	243	103	243	104	psDrawLine
+	globalGC1	242 102	3 3	0 360	243 103	psFillArc
+	globalGC1	243	102	243	103	psDrawLine
+	globalGC1	242 101	3 3	0 360	243 102	psFillArc
+	globalGC1	242	101	243	102	psDrawLine
+	globalGC1	241 100	3 3	0 360	242 101	psFillArc
+	globalGC1	242	100	242	101	psDrawLine
+	globalGC1	241 99	3 3	0 360	242 100	psFillArc
+	globalGC1	241	99	242	100	psDrawLine
+	globalGC1	240 98	3 3	0 360	241 99	psFillArc
+	globalGC1	240	98	241	99	psDrawLine
+	globalGC1	239 97	3 3	0 360	240 98	psFillArc
+	globalGC1	238	97	240	98	psDrawLine
+	globalGC1	237 96	3 3	0 360	238 97	psFillArc
+	globalGC1	235	96	238	97	psDrawLine
+	globalGC1	234 95	3 3	0 360	235 96	psFillArc
+	globalGC1	231	96	235	96	psDrawLine
+	globalGC1	230 95	3 3	0 360	231 96	psFillArc
+	globalGC1	221	96	231	96	psDrawLine
+	globalGC1	220 95	3 3	0 360	221 96	psFillArc
+	globalGC1	209	98	221	96	psDrawLine
+	globalGC1	208 97	3 3	0 360	209 98	psFillArc
+	globalGC1	180	109	209	98	psDrawLine
+	globalGC1	179 108	3 3	0 360	180 109	psFillArc
+	globalGC1	164	117	180	109	psDrawLine
+	globalGC1	163 116	3 3	0 360	164 117	psFillArc
+	globalGC1	147	127	164	117	psDrawLine
+	globalGC1	146 126	3 3	0 360	147 127	psFillArc
+	globalGC1	131	138	147	127	psDrawLine
+	globalGC1	130 137	3 3	0 360	131 138	psFillArc
+	globalGC1	115	151	131	138	psDrawLine
+	globalGC1	114 150	3 3	0 360	115 151	psFillArc
+	globalGC1	100	164	115	151	psDrawLine
+	globalGC1	99 163	3 3	0 360	100 164	psFillArc
+	globalGC1	87	178	100	164	psDrawLine
+	globalGC1	86 177	3 3	0 360	87 178	psFillArc
+	globalGC1	76	191	87	178	psDrawLine
+	globalGC1	75 190	3 3	0 360	76 191	psFillArc
+	globalGC1	67	204	76	191	psDrawLine
+	globalGC1	66 203	3 3	0 360	67 204	psFillArc
+	globalGC1	60	216	67	204	psDrawLine
+	globalGC1	59 215	3 3	0 360	60 216	psFillArc
+	globalGC1	56	226	60	216	psDrawLine
+	globalGC1	55 225	3 3	0 360	56 226	psFillArc
+	globalGC1	55	231	56	226	psDrawLine
+	globalGC1	54 230	3 3	0 360	55 231	psFillArc
+	globalGC1	54	234	55	231	psDrawLine
+	globalGC1	53 233	3 3	0 360	54 234	psFillArc
+	globalGC1	54	238	54	234	psDrawLine
+	globalGC1	53 237	3 3	0 360	54 238	psFillArc
+	globalGC1	54	239	54	238	psDrawLine
+	globalGC1	53 238	3 3	0 360	54 239	psFillArc
+	globalGC1	55	240	54	239	psDrawLine
+	globalGC1	54 239	3 3	0 360	55 240	psFillArc
+	globalGC1	55	241	55	240	psDrawLine
+	globalGC1	54 240	3 3	0 360	55 241	psFillArc
+	globalGC1	56	242	55	241	psDrawLine
+	globalGC1	55 241	3 3	0 360	56 242	psFillArc
+	globalGC1	56	243	56	242	psDrawLine
+	globalGC1	55 242	3 3	0 360	56 243	psFillArc
+	globalGC1	57	244	56	243	psDrawLine
+	globalGC1	56 243	3 3	0 360	57 244	psFillArc
+	globalGC1	58	244	57	244	psDrawLine
+	globalGC1	57 243	3 3	0 360	58 244	psFillArc
+	globalGC1	59	244	58	244	psDrawLine
+	globalGC1	58 243	3 3	0 360	59 244	psFillArc
+	globalGC1	60	244	59	244	psDrawLine
+	globalGC1	59 243	3 3	0 360	60 244	psFillArc
+	globalGC1	62	244	60	244	psDrawLine
+	globalGC1	61 243	3 3	0 360	62 244	psFillArc
+	globalGC1	65	243	62	244	psDrawLine
+	globalGC1	64 242	3 3	0 360	65 243	psFillArc
+	globalGC1	68	241	65	243	psDrawLine
+	globalGC1	67 240	3 3	0 360	68 241	psFillArc
+	globalGC1	75	236	68	241	psDrawLine
+	globalGC1	74 235	3 3	0 360	75 236	psFillArc
+	globalGC1	92	216	75	236	psDrawLine
+	globalGC1	91 215	3 3	0 360	92 216	psFillArc
+	globalGC1	101	202	92	216	psDrawLine
+	globalGC1	100 201	3 3	0 360	101 202	psFillArc
+	globalGC1	110	185	101	202	psDrawLine
+	globalGC1	109 184	3 3	0 360	110 185	psFillArc
+	globalGC1	118	168	110	185	psDrawLine
+	globalGC1	117 167	3 3	0 360	118 168	psFillArc
+	globalGC1	125	148	118	168	psDrawLine
+	globalGC1	124 147	3 3	0 360	125 148	psFillArc
+	globalGC1	131	129	125	148	psDrawLine
+	globalGC1	130 128	3 3	0 360	131 129	psFillArc
+	globalGC1	136	109	131	129	psDrawLine
+	globalGC1	135 108	3 3	0 360	136 109	psFillArc
+	globalGC1	139	90	136	109	psDrawLine
+	globalGC1	138 89	3 3	0 360	139 90	psFillArc
+	globalGC1	141	71	139	90	psDrawLine
+	globalGC1	140 70	3 3	0 360	141 71	psFillArc
+	globalGC1	140	41	141	71	psDrawLine
+	globalGC1	139 40	3 3	0 360	140 41	psFillArc
+	globalGC1	138	29	140	41	psDrawLine
+	globalGC1	137 28	3 3	0 360	138 29	psFillArc
+	globalGC1	137	25	138	29	psDrawLine
+	globalGC1	136 24	3 3	0 360	137 25	psFillArc
+	globalGC1	135	21	137	25	psDrawLine
+	globalGC1	134 20	3 3	0 360	135 21	psFillArc
+	globalGC1	133	18	135	21	psDrawLine
+	globalGC1	132 17	3 3	0 360	133 18	psFillArc
+	globalGC1	132	17	133	18	psDrawLine
+	globalGC1	131 16	3 3	0 360	132 17	psFillArc
+	globalGC1	131	16	132	17	psDrawLine
+	globalGC1	130 15	3 3	0 360	131 16	psFillArc
+	globalGC1	130	15	131	16	psDrawLine
+	globalGC1	129 14	3 3	0 360	130 15	psFillArc
+	globalGC1	129	14	130	15	psDrawLine
+	globalGC1	128 13	3 3	0 360	129 14	psFillArc
+	globalGC1	128	14	129	14	psDrawLine
+	globalGC1	127 13	3 3	0 360	128 14	psFillArc
+	globalGC1	128	14	128	14	psDrawLine
+	globalGC1	127 13	3 3	0 360	128 14	psFillArc
+	globalGC1	127	14	128	14	psDrawLine
+	globalGC1	126 13	3 3	0 360	127 14	psFillArc
+	globalGC1	126	14	127	14	psDrawLine
+	globalGC1	125 13	3 3	0 360	126 14	psFillArc
+	globalGC1	125	15	126	14	psDrawLine
+	globalGC1	124 14	3 3	0 360	125 15	psFillArc
+	globalGC1	124	16	125	15	psDrawLine
+	globalGC1	123 15	3 3	0 360	124 16	psFillArc
+	globalGC1	123	17	124	16	psDrawLine
+	globalGC1	122 16	3 3	0 360	123 17	psFillArc
+	globalGC1	122	18	123	17	psDrawLine
+	globalGC1	121 17	3 3	0 360	122 18	psFillArc
+	globalGC1	120	21	122	18	psDrawLine
+	globalGC1	119 20	3 3	0 360	120 21	psFillArc
+	globalGC1	118	25	120	21	psDrawLine
+	globalGC1	117 24	3 3	0 360	118 25	psFillArc
+	globalGC1	117	29	118	25	psDrawLine
+	globalGC1	116 28	3 3	0 360	117 29	psFillArc
+	globalGC1	115	41	117	29	psDrawLine
+	globalGC1	114 40	3 3	0 360	115 41	psFillArc
+	globalGC1	114	71	115	41	psDrawLine
+	globalGC1	113 70	3 3	0 360	114 71	psFillArc
+	globalGC1	116	90	114	71	psDrawLine
+	globalGC1	115 89	3 3	0 360	116 90	psFillArc
+	globalGC1	119	109	116	90	psDrawLine
+	globalGC1	118 108	3 3	0 360	119 109	psFillArc
+	globalGC1	124	129	119	109	psDrawLine
+	globalGC1	123 128	3 3	0 360	124 129	psFillArc
+	globalGC1	130	148	124	129	psDrawLine
+	globalGC1	129 147	3 3	0 360	130 148	psFillArc
+	globalGC1	137	168	130	148	psDrawLine
+	globalGC1	136 167	3 3	0 360	137 168	psFillArc
+	globalGC1	145	185	137	168	psDrawLine
+	globalGC1	144 184	3 3	0 360	145 185	psFillArc
+	globalGC1	154	202	145	185	psDrawLine
+	globalGC1	153 201	3 3	0 360	154 202	psFillArc
+	globalGC1	163	216	154	202	psDrawLine
+	globalGC1	162 215	3 3	0 360	163 216	psFillArc
+	globalGC1	172	227	163	216	psDrawLine
+	globalGC1	171 226	3 3	0 360	172 227	psFillArc
+	globalGC1	180	236	172	227	psDrawLine
+	globalGC1	179 235	3 3	0 360	180 236	psFillArc
+	globalGC1	187	241	180	236	psDrawLine
+	globalGC1	186 240	3 3	0 360	187 241	psFillArc
+	globalGC1	190	243	187	241	psDrawLine
+	globalGC1	189 242	3 3	0 360	190 243	psFillArc
+	globalGC1	193	244	190	243	psDrawLine
+	globalGC1	192 243	3 3	0 360	193 244	psFillArc
+	globalGC1	195	244	193	244	psDrawLine
+	globalGC1	194 243	3 3	0 360	195 244	psFillArc
+	globalGC1	196	244	195	244	psDrawLine
+	globalGC1	195 243	3 3	0 360	196 244	psFillArc
+	globalGC1	197	244	196	244	psDrawLine
+	globalGC1	196 243	3 3	0 360	197 244	psFillArc
+	globalGC1	198	244	197	244	psDrawLine
+	globalGC1	197 243	3 3	0 360	198 244	psFillArc
+	globalGC1	199	243	198	244	psDrawLine
+	globalGC1	198 242	3 3	0 360	199 243	psFillArc
+	globalGC1	199	242	199	243	psDrawLine
+	globalGC1	198 241	3 3	0 360	199 242	psFillArc
+	globalGC1	200	241	199	242	psDrawLine
+	globalGC1	199 240	3 3	0 360	200 241	psFillArc
+	globalGC1	200	240	200	241	psDrawLine
+	globalGC1	199 239	3 3	0 360	200 240	psFillArc
+	globalGC1	201	238	200	240	psDrawLine
+	globalGC1	200 237	3 3	0 360	201 238	psFillArc
+	globalGC1	201	234	201	238	psDrawLine
+	globalGC1	200 233	3 3	0 360	201 234	psFillArc
+	globalGC1	199	226	201	234	psDrawLine
+	globalGC1	198 225	3 3	0 360	199 226	psFillArc
+	globalGC1	188	204	199	226	psDrawLine
+	globalGC1	187 203	3 3	0 360	188 204	psFillArc
+	globalGC1	179	191	188	204	psDrawLine
+	globalGC1	178 190	3 3	0 360	179 191	psFillArc
+	globalGC1	168	178	179	191	psDrawLine
+	globalGC1	167 177	3 3	0 360	168 178	psFillArc
+	globalGC1	155	164	168	178	psDrawLine
+	globalGC1	154 163	3 3	0 360	155 164	psFillArc
+	globalGC1	140	151	155	164	psDrawLine
+	globalGC1	139 150	3 3	0 360	140 151	psFillArc
+	globalGC1	124	138	140	151	psDrawLine
+	globalGC1	123 137	3 3	0 360	124 138	psFillArc
+	globalGC1	108	127	124	138	psDrawLine
+	globalGC1	107 126	3 3	0 360	108 127	psFillArc
+	globalGC1	91	117	108	127	psDrawLine
+	globalGC1	90 116	3 3	0 360	91 117	psFillArc
+	globalGC1	75	109	91	117	psDrawLine
+	globalGC1	74 108	3 3	0 360	75 109	psFillArc
+	globalGC1	46	98	75	109	psDrawLine
+	globalGC1	45 97	3 3	0 360	46 98	psFillArc
+	globalGC1	34	96	46	98	psDrawLine
+	globalGC1	33 95	3 3	0 360	34 96	psFillArc
+	globalGC1	24	96	34	96	psDrawLine
+	globalGC1	23 95	3 3	0 360	24 96	psFillArc
+	globalGC1	20	96	24	96	psDrawLine
+	globalGC1	19 95	3 3	0 360	20 96	psFillArc
+	globalGC1	17	97	20	96	psDrawLine
+	globalGC1	16 96	3 3	0 360	17 97	psFillArc
+	globalGC1	16	98	17	97	psDrawLine
+	globalGC1	15 97	3 3	0 360	16 98	psFillArc
+	globalGC1	15	98	16	98	psDrawLine
+	globalGC1	14 97	3 3	0 360	15 98	psFillArc
+	globalGC1	14	99	15	98	psDrawLine
+	globalGC1	13 98	3 3	0 360	14 99	psFillArc
+	globalGC1	13	100	14	99	psDrawLine
+	globalGC1	12 99	3 3	0 360	13 100	psFillArc
+	globalGC1	13	101	13	100	psDrawLine
+	globalGC1	12 100	3 3	0 360	13 101	psFillArc
+	globalGC1	12	102	13	101	psDrawLine
+	globalGC1	11 101	3 3	0 360	12 102	psFillArc
+	globalGC1	12	103	12	102	psDrawLine
+	globalGC1	11 102	3 3	0 360	12 103	psFillArc
+	globalGC1	12	104	12	103	psDrawLine
+	globalGC1	11 103	3 3	0 360	12 104	psFillArc
+	globalGC1	13	106	12	104	psDrawLine
+	globalGC1	12 105	3 3	0 360	13 106	psFillArc
+	globalGC1	15	109	13	106	psDrawLine
+	globalGC1	14 108	3 3	0 360	15 109	psFillArc
+	globalGC1	20	114	15	109	psDrawLine
+	globalGC1	19 113	3 3	0 360	20 114	psFillArc
+	globalGC1	29	120	20	114	psDrawLine
+	globalGC1	28 119	3 3	0 360	29 120	psFillArc
+	globalGC1	55	131	29	120	psDrawLine
+	globalGC1	54 130	3 3	0 360	55 131	psFillArc
+	globalGC1	71	135	55	131	psDrawLine
+	globalGC1	70 134	3 3	0 360	71 135	psFillArc
+	globalGC1	89	138	71	135	psDrawLine
+	globalGC1	88 137	3 3	0 360	89 138	psFillArc
+	globalGC1	108	140	89	138	psDrawLine
+	globalGC1	107 139	3 3	0 360	108 140	psFillArc
+	globalGC1	128	141	108	140	psDrawLine
+	globalGC1	127 140	3 3	0 360	128 141	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptptc.ps b/books/ps/2doptptc.ps
new file mode 100644
index 0000000..d91c991
--- /dev/null
+++ b/books/ps/2doptptc.ps
@@ -0,0 +1,363 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	127	259	127	0	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	12	129	12	129	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	17	144	12	129	psDrawLine
+	globalGC1	16 143	3 3	0 360	17 144	psFillArc
+	globalGC1	22	159	17	144	psDrawLine
+	globalGC1	21 158	3 3	0 360	22 159	psFillArc
+	globalGC1	27	173	22	159	psDrawLine
+	globalGC1	26 172	3 3	0 360	27 173	psFillArc
+	globalGC1	32	187	27	173	psDrawLine
+	globalGC1	31 186	3 3	0 360	32 187	psFillArc
+	globalGC1	36	199	32	187	psDrawLine
+	globalGC1	35 198	3 3	0 360	36 199	psFillArc
+	globalGC1	41	210	36	199	psDrawLine
+	globalGC1	40 209	3 3	0 360	41 210	psFillArc
+	globalGC1	46	220	41	210	psDrawLine
+	globalGC1	45 219	3 3	0 360	46 220	psFillArc
+	globalGC1	51	229	46	220	psDrawLine
+	globalGC1	50 228	3 3	0 360	51 229	psFillArc
+	globalGC1	56	235	51	229	psDrawLine
+	globalGC1	55 234	3 3	0 360	56 235	psFillArc
+	globalGC1	60	240	56	235	psDrawLine
+	globalGC1	59 239	3 3	0 360	60 240	psFillArc
+	globalGC1	63	242	60	240	psDrawLine
+	globalGC1	62 241	3 3	0 360	63 242	psFillArc
+	globalGC1	65	243	63	242	psDrawLine
+	globalGC1	64 242	3 3	0 360	65 243	psFillArc
+	globalGC1	68	244	65	243	psDrawLine
+	globalGC1	67 243	3 3	0 360	68 244	psFillArc
+	globalGC1	70	244	68	244	psDrawLine
+	globalGC1	69 243	3 3	0 360	70 244	psFillArc
+	globalGC1	72	244	70	244	psDrawLine
+	globalGC1	71 243	3 3	0 360	72 244	psFillArc
+	globalGC1	75	243	72	244	psDrawLine
+	globalGC1	74 242	3 3	0 360	75 243	psFillArc
+	globalGC1	77	242	75	243	psDrawLine
+	globalGC1	76 241	3 3	0 360	77 242	psFillArc
+	globalGC1	80	240	77	242	psDrawLine
+	globalGC1	79 239	3 3	0 360	80 240	psFillArc
+	globalGC1	84	235	80	240	psDrawLine
+	globalGC1	83 234	3 3	0 360	84 235	psFillArc
+	globalGC1	89	229	84	235	psDrawLine
+	globalGC1	88 228	3 3	0 360	89 229	psFillArc
+	globalGC1	94	220	89	229	psDrawLine
+	globalGC1	93 219	3 3	0 360	94 220	psFillArc
+	globalGC1	99	210	94	220	psDrawLine
+	globalGC1	98 209	3 3	0 360	99 210	psFillArc
+	globalGC1	104	199	99	210	psDrawLine
+	globalGC1	103 198	3 3	0 360	104 199	psFillArc
+	globalGC1	108	187	104	199	psDrawLine
+	globalGC1	107 186	3 3	0 360	108 187	psFillArc
+	globalGC1	113	173	108	187	psDrawLine
+	globalGC1	112 172	3 3	0 360	113 173	psFillArc
+	globalGC1	118	159	113	173	psDrawLine
+	globalGC1	117 158	3 3	0 360	118 159	psFillArc
+	globalGC1	123	144	118	159	psDrawLine
+	globalGC1	122 143	3 3	0 360	123 144	psFillArc
+	globalGC1	127	129	123	144	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	132	114	127	129	psDrawLine
+	globalGC1	131 113	3 3	0 360	132 114	psFillArc
+	globalGC1	137	99	132	114	psDrawLine
+	globalGC1	136 98	3 3	0 360	137 99	psFillArc
+	globalGC1	142	85	137	99	psDrawLine
+	globalGC1	141 84	3 3	0 360	142 85	psFillArc
+	globalGC1	147	71	142	85	psDrawLine
+	globalGC1	146 70	3 3	0 360	147 71	psFillArc
+	globalGC1	151	59	147	71	psDrawLine
+	globalGC1	150 58	3 3	0 360	151 59	psFillArc
+	globalGC1	156	48	151	59	psDrawLine
+	globalGC1	155 47	3 3	0 360	156 48	psFillArc
+	globalGC1	161	38	156	48	psDrawLine
+	globalGC1	160 37	3 3	0 360	161 38	psFillArc
+	globalGC1	166	29	161	38	psDrawLine
+	globalGC1	165 28	3 3	0 360	166 29	psFillArc
+	globalGC1	171	23	166	29	psDrawLine
+	globalGC1	170 22	3 3	0 360	171 23	psFillArc
+	globalGC1	175	18	171	23	psDrawLine
+	globalGC1	174 17	3 3	0 360	175 18	psFillArc
+	globalGC1	178	16	175	18	psDrawLine
+	globalGC1	177 15	3 3	0 360	178 16	psFillArc
+	globalGC1	180	15	178	16	psDrawLine
+	globalGC1	179 14	3 3	0 360	180 15	psFillArc
+	globalGC1	183	14	180	15	psDrawLine
+	globalGC1	182 13	3 3	0 360	183 14	psFillArc
+	globalGC1	185	14	183	14	psDrawLine
+	globalGC1	184 13	3 3	0 360	185 14	psFillArc
+	globalGC1	187	14	185	14	psDrawLine
+	globalGC1	186 13	3 3	0 360	187 14	psFillArc
+	globalGC1	190	15	187	14	psDrawLine
+	globalGC1	189 14	3 3	0 360	190 15	psFillArc
+	globalGC1	192	16	190	15	psDrawLine
+	globalGC1	191 15	3 3	0 360	192 16	psFillArc
+	globalGC1	195	18	192	16	psDrawLine
+	globalGC1	194 17	3 3	0 360	195 18	psFillArc
+	globalGC1	199	23	195	18	psDrawLine
+	globalGC1	198 22	3 3	0 360	199 23	psFillArc
+	globalGC1	204	29	199	23	psDrawLine
+	globalGC1	203 28	3 3	0 360	204 29	psFillArc
+	globalGC1	209	38	204	29	psDrawLine
+	globalGC1	208 37	3 3	0 360	209 38	psFillArc
+	globalGC1	214	48	209	38	psDrawLine
+	globalGC1	213 47	3 3	0 360	214 48	psFillArc
+	globalGC1	219	59	214	48	psDrawLine
+	globalGC1	218 58	3 3	0 360	219 59	psFillArc
+	globalGC1	223	71	219	59	psDrawLine
+	globalGC1	222 70	3 3	0 360	223 71	psFillArc
+	globalGC1	228	85	223	71	psDrawLine
+	globalGC1	227 84	3 3	0 360	228 85	psFillArc
+	globalGC1	233	99	228	85	psDrawLine
+	globalGC1	232 98	3 3	0 360	233 99	psFillArc
+	globalGC1	238	114	233	99	psDrawLine
+	globalGC1	237 113	3 3	0 360	238 114	psFillArc
+	globalGC1	243	129	238	114	psDrawLine
+	globalGC1	242 128	3 3	0 360	243 129	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptrga.ps b/books/ps/2doptrga.ps
new file mode 100644
index 0000000..c9026a7
--- /dev/null
+++ b/books/ps/2doptrga.ps
@@ -0,0 +1,433 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	92	0	92	psDrawLine
+	globalGC1	129	259	129	0	psDrawLine
+	unitGC	185	94	185	90	psDrawLine
+	unitGC	173	107	(1.00)	(window)	psDrawIStr
+	unitGC	241	94	241	90	psDrawLine
+	unitGC	229	107	(2.00)	(window)	psDrawIStr
+	unitGC	73	94	73	90	psDrawLine
+	unitGC	58	107	(-1.00)	(window)	psDrawIStr
+	unitGC	16	94	16	90	psDrawLine
+	unitGC	1	107	(-2.00)	(window)	psDrawIStr
+	unitGC	131	17	127	17	psDrawLine
+	unitGC	93	22	(1.00)	(window)	psDrawIStr
+	unitGC	131	166	127	166	psDrawLine
+	unitGC	84	171	(-1.00)	(window)	psDrawIStr
+	unitGC	131	240	127	240	psDrawLine
+	unitGC	84	245	(-2.00)	(window)	psDrawIStr
+	globalGC1	96 68	3 3	0 360	97 69	psFillArc
+	globalGC1	97	69	97	69	psDrawLine
+	globalGC1	96 68	3 3	0 360	97 69	psFillArc
+	globalGC1	90	71	97	69	psDrawLine
+	globalGC1	89 70	3 3	0 360	90 71	psFillArc
+	globalGC1	83	75	90	71	psDrawLine
+	globalGC1	82 74	3 3	0 360	83 75	psFillArc
+	globalGC1	77	84	83	75	psDrawLine
+	globalGC1	76 83	3 3	0 360	77 84	psFillArc
+	globalGC1	73	93	77	84	psDrawLine
+	globalGC1	72 92	3 3	0 360	73 93	psFillArc
+	globalGC1	70	102	73	93	psDrawLine
+	globalGC1	69 101	3 3	0 360	70 102	psFillArc
+	globalGC1	68	111	70	102	psDrawLine
+	globalGC1	67 110	3 3	0 360	68 111	psFillArc
+	globalGC1	67	120	68	111	psDrawLine
+	globalGC1	66 119	3 3	0 360	67 120	psFillArc
+	globalGC1	67	129	67	120	psDrawLine
+	globalGC1	66 128	3 3	0 360	67 129	psFillArc
+	globalGC1	67	129	67	129	psDrawLine
+	globalGC1	66 128	3 3	0 360	67 129	psFillArc
+	globalGC1	67	138	67	129	psDrawLine
+	globalGC1	66 137	3 3	0 360	67 138	psFillArc
+	globalGC1	68	147	67	138	psDrawLine
+	globalGC1	67 146	3 3	0 360	68 147	psFillArc
+	globalGC1	70	156	68	147	psDrawLine
+	globalGC1	69 155	3 3	0 360	70 156	psFillArc
+	globalGC1	73	165	70	156	psDrawLine
+	globalGC1	72 164	3 3	0 360	73 165	psFillArc
+	globalGC1	77	174	73	165	psDrawLine
+	globalGC1	76 173	3 3	0 360	77 174	psFillArc
+	globalGC1	83	183	77	174	psDrawLine
+	globalGC1	82 182	3 3	0 360	83 183	psFillArc
+	globalGC1	90	187	83	183	psDrawLine
+	globalGC1	89 186	3 3	0 360	90 187	psFillArc
+	globalGC1	97	189	90	187	psDrawLine
+	globalGC1	96 188	3 3	0 360	97 189	psFillArc
+	globalGC1	110	185	97	189	psDrawLine
+	globalGC1	109 184	3 3	0 360	110 185	psFillArc
+	globalGC1	116	180	110	185	psDrawLine
+	globalGC1	115 179	3 3	0 360	116 180	psFillArc
+	globalGC1	123	174	116	180	psDrawLine
+	globalGC1	122 173	3 3	0 360	123 174	psFillArc
+	globalGC1	130	165	123	174	psDrawLine
+	globalGC1	129 164	3 3	0 360	130 165	psFillArc
+	globalGC1	136	156	130	165	psDrawLine
+	globalGC1	135 155	3 3	0 360	136 156	psFillArc
+	globalGC1	140	147	136	156	psDrawLine
+	globalGC1	139 146	3 3	0 360	140 147	psFillArc
+	globalGC1	143	138	140	147	psDrawLine
+	globalGC1	142 137	3 3	0 360	143 138	psFillArc
+	globalGC1	144	129	143	138	psDrawLine
+	globalGC1	143 128	3 3	0 360	144 129	psFillArc
+	globalGC1	143	120	144	129	psDrawLine
+	globalGC1	142 119	3 3	0 360	143 120	psFillArc
+	globalGC1	141	111	143	120	psDrawLine
+	globalGC1	140 110	3 3	0 360	141 111	psFillArc
+	globalGC1	136	102	141	111	psDrawLine
+	globalGC1	135 101	3 3	0 360	136 102	psFillArc
+	globalGC1	131	93	136	102	psDrawLine
+	globalGC1	130 92	3 3	0 360	131 93	psFillArc
+	globalGC1	124	85	131	93	psDrawLine
+	globalGC1	123 84	3 3	0 360	124 85	psFillArc
+	globalGC1	117	78	124	85	psDrawLine
+	globalGC1	116 77	3 3	0 360	117 78	psFillArc
+	globalGC1	110	74	117	78	psDrawLine
+	globalGC1	109 73	3 3	0 360	110 74	psFillArc
+	globalGC1	104	70	110	74	psDrawLine
+	globalGC1	103 69	3 3	0 360	104 70	psFillArc
+	globalGC1	97	69	104	70	psDrawLine
+	globalGC1	96 68	3 3	0 360	97 69	psFillArc
+	globalGC1	214 16	3 3	0 360	215 17	psFillArc
+	globalGC1	215	17	215	17	psDrawLine
+	globalGC1	214 16	3 3	0 360	215 17	psFillArc
+	globalGC1	213	21	215	17	psDrawLine
+	globalGC1	212 20	3 3	0 360	213 21	psFillArc
+	globalGC1	209	30	213	21	psDrawLine
+	globalGC1	208 29	3 3	0 360	209 30	psFillArc
+	globalGC1	206	39	209	30	psDrawLine
+	globalGC1	205 38	3 3	0 360	206 39	psFillArc
+	globalGC1	202	48	206	39	psDrawLine
+	globalGC1	201 47	3 3	0 360	202 48	psFillArc
+	globalGC1	199	57	202	48	psDrawLine
+	globalGC1	198 56	3 3	0 360	199 57	psFillArc
+	globalGC1	195	66	199	57	psDrawLine
+	globalGC1	194 65	3 3	0 360	195 66	psFillArc
+	globalGC1	192	75	195	66	psDrawLine
+	globalGC1	191 74	3 3	0 360	192 75	psFillArc
+	globalGC1	188	84	192	75	psDrawLine
+	globalGC1	187 83	3 3	0 360	188 84	psFillArc
+	globalGC1	185	93	188	84	psDrawLine
+	globalGC1	184 92	3 3	0 360	185 93	psFillArc
+	globalGC1	182	102	185	93	psDrawLine
+	globalGC1	181 101	3 3	0 360	182 102	psFillArc
+	globalGC1	179	111	182	102	psDrawLine
+	globalGC1	178 110	3 3	0 360	179 111	psFillArc
+	globalGC1	177	120	179	111	psDrawLine
+	globalGC1	176 119	3 3	0 360	177 120	psFillArc
+	globalGC1	176	129	177	120	psDrawLine
+	globalGC1	175 128	3 3	0 360	176 129	psFillArc
+	globalGC1	178	142	176	129	psDrawLine
+	globalGC1	177 141	3 3	0 360	178 142	psFillArc
+	globalGC1	180	151	178	142	psDrawLine
+	globalGC1	179 150	3 3	0 360	180 151	psFillArc
+	globalGC1	183	160	180	151	psDrawLine
+	globalGC1	182 159	3 3	0 360	183 160	psFillArc
+	globalGC1	186	169	183	160	psDrawLine
+	globalGC1	185 168	3 3	0 360	186 169	psFillArc
+	globalGC1	190	178	186	169	psDrawLine
+	globalGC1	189 177	3 3	0 360	190 178	psFillArc
+	globalGC1	194	187	190	178	psDrawLine
+	globalGC1	193 186	3 3	0 360	194 187	psFillArc
+	globalGC1	197	196	194	187	psDrawLine
+	globalGC1	196 195	3 3	0 360	197 196	psFillArc
+	globalGC1	201	205	197	196	psDrawLine
+	globalGC1	200 204	3 3	0 360	201 205	psFillArc
+	globalGC1	204	214	201	205	psDrawLine
+	globalGC1	203 213	3 3	0 360	204 214	psFillArc
+	globalGC1	208	223	204	214	psDrawLine
+	globalGC1	207 222	3 3	0 360	208 223	psFillArc
+	globalGC1	211	232	208	223	psDrawLine
+	globalGC1	210 231	3 3	0 360	211 232	psFillArc
+	globalGC1	215	241	211	232	psDrawLine
+	globalGC1	214 240	3 3	0 360	215 241	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptrgb.ps b/books/ps/2doptrgb.ps
new file mode 100644
index 0000000..21850e8
--- /dev/null
+++ b/books/ps/2doptrgb.ps
@@ -0,0 +1,420 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	128	259	128	0	psDrawLine
+	unitGC	128	131	128	127	psDrawLine
+	unitGC	116	144	(0.00)	(window)	psDrawIStr
+	unitGC	166	131	166	127	psDrawLine
+	unitGC	154	144	(0.50)	(window)	psDrawIStr
+	unitGC	204	131	204	127	psDrawLine
+	unitGC	192	144	(1.00)	(window)	psDrawIStr
+	unitGC	242	131	242	127	psDrawLine
+	unitGC	230	144	(1.50)	(window)	psDrawIStr
+	unitGC	89	131	89	127	psDrawLine
+	unitGC	74	144	(-0.50)	(window)	psDrawIStr
+	unitGC	50	131	50	127	psDrawLine
+	unitGC	35	144	(-1.00)	(window)	psDrawIStr
+	unitGC	11	131	11	127	psDrawLine
+	unitGC	-4	144	(-1.50)	(window)	psDrawIStr
+	unitGC	130	90	126	90	psDrawLine
+	unitGC	92	95	(0.50)	(window)	psDrawIStr
+	unitGC	130	51	126	51	psDrawLine
+	unitGC	92	56	(1.00)	(window)	psDrawIStr
+	unitGC	130	12	126	12	psDrawLine
+	unitGC	92	17	(1.50)	(window)	psDrawIStr
+	unitGC	130	167	126	167	psDrawLine
+	unitGC	83	172	(-0.50)	(window)	psDrawIStr
+	unitGC	130	205	126	205	psDrawLine
+	unitGC	83	210	(-1.00)	(window)	psDrawIStr
+	unitGC	130	243	126	243	psDrawLine
+	unitGC	83	248	(-1.50)	(window)	psDrawIStr
+	globalGC1	127 51	3 3	0 360	128 52	psFillArc
+	globalGC1	128	52	128	52	psDrawLine
+	globalGC1	127 51	3 3	0 360	128 52	psFillArc
+	globalGC1	120	53	128	52	psDrawLine
+	globalGC1	119 52	3 3	0 360	120 53	psFillArc
+	globalGC1	111	54	120	53	psDrawLine
+	globalGC1	110 53	3 3	0 360	111 54	psFillArc
+	globalGC1	102	57	111	54	psDrawLine
+	globalGC1	101 56	3 3	0 360	102 57	psFillArc
+	globalGC1	93	61	102	57	psDrawLine
+	globalGC1	92 60	3 3	0 360	93 61	psFillArc
+	globalGC1	83	66	93	61	psDrawLine
+	globalGC1	82 65	3 3	0 360	83 66	psFillArc
+	globalGC1	74	74	83	66	psDrawLine
+	globalGC1	73 73	3 3	0 360	74 74	psFillArc
+	globalGC1	66	83	74	74	psDrawLine
+	globalGC1	65 82	3 3	0 360	66 83	psFillArc
+	globalGC1	60	92	66	83	psDrawLine
+	globalGC1	59 91	3 3	0 360	60 92	psFillArc
+	globalGC1	56	101	60	92	psDrawLine
+	globalGC1	55 100	3 3	0 360	56 101	psFillArc
+	globalGC1	53	111	56	101	psDrawLine
+	globalGC1	52 110	3 3	0 360	53 111	psFillArc
+	globalGC1	51	120	53	111	psDrawLine
+	globalGC1	50 119	3 3	0 360	51 120	psFillArc
+	globalGC1	51	129	51	120	psDrawLine
+	globalGC1	50 128	3 3	0 360	51 129	psFillArc
+	globalGC1	51	136	51	129	psDrawLine
+	globalGC1	50 135	3 3	0 360	51 136	psFillArc
+	globalGC1	52	145	51	136	psDrawLine
+	globalGC1	51 144	3 3	0 360	52 145	psFillArc
+	globalGC1	55	155	52	145	psDrawLine
+	globalGC1	54 154	3 3	0 360	55 155	psFillArc
+	globalGC1	59	164	55	155	psDrawLine
+	globalGC1	58 163	3 3	0 360	59 164	psFillArc
+	globalGC1	65	173	59	164	psDrawLine
+	globalGC1	64 172	3 3	0 360	65 173	psFillArc
+	globalGC1	72	182	65	173	psDrawLine
+	globalGC1	71 181	3 3	0 360	72 182	psFillArc
+	globalGC1	81	190	72	182	psDrawLine
+	globalGC1	80 189	3 3	0 360	81 190	psFillArc
+	globalGC1	91	196	81	190	psDrawLine
+	globalGC1	90 195	3 3	0 360	91 196	psFillArc
+	globalGC1	100	201	91	196	psDrawLine
+	globalGC1	99 200	3 3	0 360	100 201	psFillArc
+	globalGC1	109	204	100	201	psDrawLine
+	globalGC1	108 203	3 3	0 360	109 204	psFillArc
+	globalGC1	118	205	109	204	psDrawLine
+	globalGC1	117 204	3 3	0 360	118 205	psFillArc
+	globalGC1	128	206	118	205	psDrawLine
+	globalGC1	127 205	3 3	0 360	128 206	psFillArc
+	globalGC1	135	205	128	206	psDrawLine
+	globalGC1	134 204	3 3	0 360	135 205	psFillArc
+	globalGC1	144	204	135	205	psDrawLine
+	globalGC1	143 203	3 3	0 360	144 204	psFillArc
+	globalGC1	153	201	144	204	psDrawLine
+	globalGC1	152 200	3 3	0 360	153 201	psFillArc
+	globalGC1	162	197	153	201	psDrawLine
+	globalGC1	161 196	3 3	0 360	162 197	psFillArc
+	globalGC1	172	192	162	197	psDrawLine
+	globalGC1	171 191	3 3	0 360	172 192	psFillArc
+	globalGC1	181	184	172	192	psDrawLine
+	globalGC1	180 183	3 3	0 360	181 184	psFillArc
+	globalGC1	189	175	181	184	psDrawLine
+	globalGC1	188 174	3 3	0 360	189 175	psFillArc
+	globalGC1	195	166	189	175	psDrawLine
+	globalGC1	194 165	3 3	0 360	195 166	psFillArc
+	globalGC1	199	157	195	166	psDrawLine
+	globalGC1	198 156	3 3	0 360	199 157	psFillArc
+	globalGC1	202	147	199	157	psDrawLine
+	globalGC1	201 146	3 3	0 360	202 147	psFillArc
+	globalGC1	204	138	202	147	psDrawLine
+	globalGC1	203 137	3 3	0 360	204 138	psFillArc
+	globalGC1	204	129	204	138	psDrawLine
+	globalGC1	203 128	3 3	0 360	204 129	psFillArc
+	globalGC1	204	122	204	129	psDrawLine
+	globalGC1	203 121	3 3	0 360	204 122	psFillArc
+	globalGC1	203	113	204	122	psDrawLine
+	globalGC1	202 112	3 3	0 360	203 113	psFillArc
+	globalGC1	200	103	203	113	psDrawLine
+	globalGC1	199 102	3 3	0 360	200 103	psFillArc
+	globalGC1	196	94	200	103	psDrawLine
+	globalGC1	195 93	3 3	0 360	196 94	psFillArc
+	globalGC1	190	85	196	94	psDrawLine
+	globalGC1	189 84	3 3	0 360	190 85	psFillArc
+	globalGC1	183	76	190	85	psDrawLine
+	globalGC1	182 75	3 3	0 360	183 76	psFillArc
+	globalGC1	174	68	183	76	psDrawLine
+	globalGC1	173 67	3 3	0 360	174 68	psFillArc
+	globalGC1	164	62	174	68	psDrawLine
+	globalGC1	163 61	3 3	0 360	164 62	psFillArc
+	globalGC1	155	57	164	62	psDrawLine
+	globalGC1	154 56	3 3	0 360	155 57	psFillArc
+	globalGC1	146	54	155	57	psDrawLine
+	globalGC1	145 53	3 3	0 360	146 54	psFillArc
+	globalGC1	137	53	146	54	psDrawLine
+	globalGC1	136 52	3 3	0 360	137 53	psFillArc
+	globalGC1	128	52	137	53	psDrawLine
+	globalGC1	127 51	3 3	0 360	128 52	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptsc.ps b/books/ps/2doptsc.ps
new file mode 100644
index 0000000..9e81b7b
--- /dev/null
+++ b/books/ps/2doptsc.ps
@@ -0,0 +1,436 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	300	151	0	151	psDrawLine
+	globalGC1	154	303	154	0	psDrawLine
+	unitGC	198	153	198	149	psDrawLine
+	unitGC	186	166	(1.00)	(window)	psDrawIStr
+	unitGC	242	153	242	149	psDrawLine
+	unitGC	230	166	(2.00)	(window)	psDrawIStr
+	unitGC	286	153	286	149	psDrawLine
+	unitGC	274	166	(3.00)	(window)	psDrawIStr
+	unitGC	108	153	108	149	psDrawLine
+	unitGC	93	166	(-1.00)	(window)	psDrawIStr
+	unitGC	62	153	62	149	psDrawLine
+	unitGC	47	166	(-2.00)	(window)	psDrawIStr
+	unitGC	16	153	16	149	psDrawLine
+	unitGC	1	166	(-3.00)	(window)	psDrawIStr
+	unitGC	156	106	152	106	psDrawLine
+	unitGC	118	111	(1.00)	(window)	psDrawIStr
+	unitGC	156	61	152	61	psDrawLine
+	unitGC	118	66	(2.00)	(window)	psDrawIStr
+	unitGC	156	16	152	16	psDrawLine
+	unitGC	118	21	(3.00)	(window)	psDrawIStr
+	unitGC	156	195	152	195	psDrawLine
+	unitGC	109	200	(-1.00)	(window)	psDrawIStr
+	unitGC	156	239	152	239	psDrawLine
+	unitGC	109	244	(-2.00)	(window)	psDrawIStr
+	unitGC	156	283	152	283	psDrawLine
+	unitGC	109	288	(-3.00)	(window)	psDrawIStr
+	globalGC1	13 150	3 3	0 360	14 151	psFillArc
+	globalGC1	14	151	14	151	psDrawLine
+	globalGC1	13 150	3 3	0 360	14 151	psFillArc
+	globalGC1	20	157	14	151	psDrawLine
+	globalGC1	19 156	3 3	0 360	20 157	psFillArc
+	globalGC1	26	162	20	157	psDrawLine
+	globalGC1	25 161	3 3	0 360	26 162	psFillArc
+	globalGC1	32	168	26	162	psDrawLine
+	globalGC1	31 167	3 3	0 360	32 168	psFillArc
+	globalGC1	37	173	32	168	psDrawLine
+	globalGC1	36 172	3 3	0 360	37 173	psFillArc
+	globalGC1	43	178	37	173	psDrawLine
+	globalGC1	42 177	3 3	0 360	43 178	psFillArc
+	globalGC1	49	182	43	178	psDrawLine
+	globalGC1	48 181	3 3	0 360	49 182	psFillArc
+	globalGC1	55	186	49	182	psDrawLine
+	globalGC1	54 185	3 3	0 360	55 186	psFillArc
+	globalGC1	61	189	55	186	psDrawLine
+	globalGC1	60 188	3 3	0 360	61 189	psFillArc
+	globalGC1	66	192	61	189	psDrawLine
+	globalGC1	65 191	3 3	0 360	66 192	psFillArc
+	globalGC1	72	194	66	192	psDrawLine
+	globalGC1	71 193	3 3	0 360	72 194	psFillArc
+	globalGC1	75	195	72	194	psDrawLine
+	globalGC1	74 194	3 3	0 360	75 195	psFillArc
+	globalGC1	78	195	75	195	psDrawLine
+	globalGC1	77 194	3 3	0 360	78 195	psFillArc
+	globalGC1	81	195	78	195	psDrawLine
+	globalGC1	80 194	3 3	0 360	81 195	psFillArc
+	globalGC1	84	195	81	195	psDrawLine
+	globalGC1	83 194	3 3	0 360	84 195	psFillArc
+	globalGC1	87	195	84	195	psDrawLine
+	globalGC1	86 194	3 3	0 360	87 195	psFillArc
+	globalGC1	90	195	87	195	psDrawLine
+	globalGC1	89 194	3 3	0 360	90 195	psFillArc
+	globalGC1	93	195	90	195	psDrawLine
+	globalGC1	92 194	3 3	0 360	93 195	psFillArc
+	globalGC1	96	194	93	195	psDrawLine
+	globalGC1	95 193	3 3	0 360	96 194	psFillArc
+	globalGC1	101	192	96	194	psDrawLine
+	globalGC1	100 191	3 3	0 360	101 192	psFillArc
+	globalGC1	107	189	101	192	psDrawLine
+	globalGC1	106 188	3 3	0 360	107 189	psFillArc
+	globalGC1	113	186	107	189	psDrawLine
+	globalGC1	112 185	3 3	0 360	113 186	psFillArc
+	globalGC1	119	182	113	186	psDrawLine
+	globalGC1	118 181	3 3	0 360	119 182	psFillArc
+	globalGC1	125	178	119	182	psDrawLine
+	globalGC1	124 177	3 3	0 360	125 178	psFillArc
+	globalGC1	130	173	125	178	psDrawLine
+	globalGC1	129 172	3 3	0 360	130 173	psFillArc
+	globalGC1	136	168	130	173	psDrawLine
+	globalGC1	135 167	3 3	0 360	136 168	psFillArc
+	globalGC1	142	162	136	168	psDrawLine
+	globalGC1	141 161	3 3	0 360	142 162	psFillArc
+	globalGC1	148	157	142	162	psDrawLine
+	globalGC1	147 156	3 3	0 360	148 157	psFillArc
+	globalGC1	154	151	148	157	psDrawLine
+	globalGC1	153 150	3 3	0 360	154 151	psFillArc
+	globalGC1	159	145	154	151	psDrawLine
+	globalGC1	158 144	3 3	0 360	159 145	psFillArc
+	globalGC1	165	139	159	145	psDrawLine
+	globalGC1	164 138	3 3	0 360	165 139	psFillArc
+	globalGC1	171	134	165	139	psDrawLine
+	globalGC1	170 133	3 3	0 360	171 134	psFillArc
+	globalGC1	177	129	171	134	psDrawLine
+	globalGC1	176 128	3 3	0 360	177 129	psFillArc
+	globalGC1	183	124	177	129	psDrawLine
+	globalGC1	182 123	3 3	0 360	183 124	psFillArc
+	globalGC1	189	120	183	124	psDrawLine
+	globalGC1	188 119	3 3	0 360	189 120	psFillArc
+	globalGC1	194	116	189	120	psDrawLine
+	globalGC1	193 115	3 3	0 360	194 116	psFillArc
+	globalGC1	200	113	194	116	psDrawLine
+	globalGC1	199 112	3 3	0 360	200 113	psFillArc
+	globalGC1	206	110	200	113	psDrawLine
+	globalGC1	205 109	3 3	0 360	206 110	psFillArc
+	globalGC1	212	108	206	110	psDrawLine
+	globalGC1	211 107	3 3	0 360	212 108	psFillArc
+	globalGC1	215	107	212	108	psDrawLine
+	globalGC1	214 106	3 3	0 360	215 107	psFillArc
+	globalGC1	218	107	215	107	psDrawLine
+	globalGC1	217 106	3 3	0 360	218 107	psFillArc
+	globalGC1	221	107	218	107	psDrawLine
+	globalGC1	220 106	3 3	0 360	221 107	psFillArc
+	globalGC1	223	107	221	107	psDrawLine
+	globalGC1	222 106	3 3	0 360	223 107	psFillArc
+	globalGC1	226	107	223	107	psDrawLine
+	globalGC1	225 106	3 3	0 360	226 107	psFillArc
+	globalGC1	229	107	226	107	psDrawLine
+	globalGC1	228 106	3 3	0 360	229 107	psFillArc
+	globalGC1	232	107	229	107	psDrawLine
+	globalGC1	231 106	3 3	0 360	232 107	psFillArc
+	globalGC1	235	108	232	107	psDrawLine
+	globalGC1	234 107	3 3	0 360	235 108	psFillArc
+	globalGC1	241	110	235	108	psDrawLine
+	globalGC1	240 109	3 3	0 360	241 110	psFillArc
+	globalGC1	247	113	241	110	psDrawLine
+	globalGC1	246 112	3 3	0 360	247 113	psFillArc
+	globalGC1	252	116	247	113	psDrawLine
+	globalGC1	251 115	3 3	0 360	252 116	psFillArc
+	globalGC1	258	120	252	116	psDrawLine
+	globalGC1	257 119	3 3	0 360	258 120	psFillArc
+	globalGC1	264	124	258	120	psDrawLine
+	globalGC1	263 123	3 3	0 360	264 124	psFillArc
+	globalGC1	270	129	264	124	psDrawLine
+	globalGC1	269 128	3 3	0 360	270 129	psFillArc
+	globalGC1	276	134	270	129	psDrawLine
+	globalGC1	275 133	3 3	0 360	276 134	psFillArc
+	globalGC1	282	139	276	134	psDrawLine
+	globalGC1	281 138	3 3	0 360	282 139	psFillArc
+	globalGC1	287	145	282	139	psDrawLine
+	globalGC1	286 144	3 3	0 360	287 145	psFillArc
+	globalGC1	293	151	287	145	psDrawLine
+	globalGC1	292 150	3 3	0 360	293 151	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2doptut.ps b/books/ps/2doptut.ps
new file mode 100644
index 0000000..303089b
--- /dev/null
+++ b/books/ps/2doptut.ps
@@ -0,0 +1,644 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	128	259	128	0	psDrawLine
+	unitGC	128	131	128	127	psDrawLine
+	unitGC	116	144	(0.00)	(window)	psDrawIStr
+	unitGC	178	131	178	127	psDrawLine
+	unitGC	166	144	(4.00)	(window)	psDrawIStr
+	unitGC	228	131	228	127	psDrawLine
+	unitGC	216	144	(8.00)	(window)	psDrawIStr
+	unitGC	76	131	76	127	psDrawLine
+	unitGC	61	144	(-4.00)	(window)	psDrawIStr
+	unitGC	24	131	24	127	psDrawLine
+	unitGC	9	144	(-8.00)	(window)	psDrawIStr
+	unitGC	130	99	126	99	psDrawLine
+	unitGC	92	104	(2.00)	(window)	psDrawIStr
+	unitGC	130	69	126	69	psDrawLine
+	unitGC	92	74	(4.00)	(window)	psDrawIStr
+	unitGC	130	39	126	39	psDrawLine
+	unitGC	92	44	(6.00)	(window)	psDrawIStr
+	unitGC	130	9	126	9	psDrawLine
+	unitGC	92	14	(8.00)	(window)	psDrawIStr
+	unitGC	130	157	126	157	psDrawLine
+	unitGC	83	162	(-2.00)	(window)	psDrawIStr
+	unitGC	130	185	126	185	psDrawLine
+	unitGC	83	190	(-4.00)	(window)	psDrawIStr
+	unitGC	130	213	126	213	psDrawLine
+	unitGC	83	218	(-6.00)	(window)	psDrawIStr
+	unitGC	130	241	126	241	psDrawLine
+	unitGC	83	246	(-8.00)	(window)	psDrawIStr
+	globalGC1	127 128	3 3	0 360	128 129	psFillArc
+	globalGC1	128	129	128	129	psDrawLine
+	globalGC1	127 128	3 3	0 360	128 129	psFillArc
+	globalGC1	105	99	128	129	psDrawLine
+	globalGC1	104 98	3 3	0 360	105 99	psFillArc
+	globalGC1	83	71	105	99	psDrawLine
+	globalGC1	82 70	3 3	0 360	83 71	psFillArc
+	globalGC1	63	48	83	71	psDrawLine
+	globalGC1	62 47	3 3	0 360	63 48	psFillArc
+	globalGC1	46	29	63	48	psDrawLine
+	globalGC1	45 28	3 3	0 360	46 29	psFillArc
+	globalGC1	38	23	46	29	psDrawLine
+	globalGC1	37 22	3 3	0 360	38 23	psFillArc
+	globalGC1	32	18	38	23	psDrawLine
+	globalGC1	31 17	3 3	0 360	32 18	psFillArc
+	globalGC1	29	16	32	18	psDrawLine
+	globalGC1	28 15	3 3	0 360	29 16	psFillArc
+	globalGC1	26	15	29	16	psDrawLine
+	globalGC1	25 14	3 3	0 360	26 15	psFillArc
+	globalGC1	23	14	26	15	psDrawLine
+	globalGC1	22 13	3 3	0 360	23 14	psFillArc
+	globalGC1	21	14	23	14	psDrawLine
+	globalGC1	20 13	3 3	0 360	21 14	psFillArc
+	globalGC1	20	14	21	14	psDrawLine
+	globalGC1	19 13	3 3	0 360	20 14	psFillArc
+	globalGC1	19	14	20	14	psDrawLine
+	globalGC1	18 13	3 3	0 360	19 14	psFillArc
+	globalGC1	18	14	19	14	psDrawLine
+	globalGC1	17 13	3 3	0 360	18 14	psFillArc
+	globalGC1	17	15	18	14	psDrawLine
+	globalGC1	16 14	3 3	0 360	17 15	psFillArc
+	globalGC1	16	15	17	15	psDrawLine
+	globalGC1	15 14	3 3	0 360	16 15	psFillArc
+	globalGC1	16	16	16	15	psDrawLine
+	globalGC1	15 15	3 3	0 360	16 16	psFillArc
+	globalGC1	15	17	16	16	psDrawLine
+	globalGC1	14 16	3 3	0 360	15 17	psFillArc
+	globalGC1	15	18	15	17	psDrawLine
+	globalGC1	14 17	3 3	0 360	15 18	psFillArc
+	globalGC1	13	23	15	18	psDrawLine
+	globalGC1	12 22	3 3	0 360	13 23	psFillArc
+	globalGC1	12	29	13	23	psDrawLine
+	globalGC1	11 28	3 3	0 360	12 29	psFillArc
+	globalGC1	15	48	12	29	psDrawLine
+	globalGC1	14 47	3 3	0 360	15 48	psFillArc
+	globalGC1	21	71	15	48	psDrawLine
+	globalGC1	20 70	3 3	0 360	21 71	psFillArc
+	globalGC1	32	99	21	71	psDrawLine
+	globalGC1	31 98	3 3	0 360	32 99	psFillArc
+	globalGC1	46	129	32	99	psDrawLine
+	globalGC1	45 128	3 3	0 360	46 129	psFillArc
+	globalGC1	63	159	46	129	psDrawLine
+	globalGC1	62 158	3 3	0 360	63 159	psFillArc
+	globalGC1	83	187	63	159	psDrawLine
+	globalGC1	82 186	3 3	0 360	83 187	psFillArc
+	globalGC1	105	210	83	187	psDrawLine
+	globalGC1	104 209	3 3	0 360	105 210	psFillArc
+	globalGC1	128	229	105	210	psDrawLine
+	globalGC1	127 228	3 3	0 360	128 229	psFillArc
+	globalGC1	139	235	128	229	psDrawLine
+	globalGC1	138 234	3 3	0 360	139 235	psFillArc
+	globalGC1	150	240	139	235	psDrawLine
+	globalGC1	149 239	3 3	0 360	150 240	psFillArc
+	globalGC1	161	243	150	240	psDrawLine
+	globalGC1	160 242	3 3	0 360	161 243	psFillArc
+	globalGC1	172	244	161	243	psDrawLine
+	globalGC1	171 243	3 3	0 360	172 244	psFillArc
+	globalGC1	182	243	172	244	psDrawLine
+	globalGC1	181 242	3 3	0 360	182 243	psFillArc
+	globalGC1	192	240	182	243	psDrawLine
+	globalGC1	191 239	3 3	0 360	192 240	psFillArc
+	globalGC1	201	235	192	240	psDrawLine
+	globalGC1	200 234	3 3	0 360	201 235	psFillArc
+	globalGC1	209	229	201	235	psDrawLine
+	globalGC1	208 228	3 3	0 360	209 229	psFillArc
+	globalGC1	223	210	209	229	psDrawLine
+	globalGC1	222 209	3 3	0 360	223 210	psFillArc
+	globalGC1	234	187	223	210	psDrawLine
+	globalGC1	233 186	3 3	0 360	234 187	psFillArc
+	globalGC1	240	159	234	187	psDrawLine
+	globalGC1	239 158	3 3	0 360	240 159	psFillArc
+	globalGC1	243	129	240	159	psDrawLine
+	globalGC1	242 128	3 3	0 360	243 129	psFillArc
+	globalGC1	240	99	243	129	psDrawLine
+	globalGC1	239 98	3 3	0 360	240 99	psFillArc
+	globalGC1	234	71	240	99	psDrawLine
+	globalGC1	233 70	3 3	0 360	234 71	psFillArc
+	globalGC1	223	48	234	71	psDrawLine
+	globalGC1	222 47	3 3	0 360	223 48	psFillArc
+	globalGC1	217	38	223	48	psDrawLine
+	globalGC1	216 37	3 3	0 360	217 38	psFillArc
+	globalGC1	209	29	217	38	psDrawLine
+	globalGC1	208 28	3 3	0 360	209 29	psFillArc
+	globalGC1	201	23	209	29	psDrawLine
+	globalGC1	200 22	3 3	0 360	201 23	psFillArc
+	globalGC1	192	18	201	23	psDrawLine
+	globalGC1	191 17	3 3	0 360	192 18	psFillArc
+	globalGC1	182	15	192	18	psDrawLine
+	globalGC1	181 14	3 3	0 360	182 15	psFillArc
+	globalGC1	172	14	182	15	psDrawLine
+	globalGC1	171 13	3 3	0 360	172 14	psFillArc
+	globalGC1	161	15	172	14	psDrawLine
+	globalGC1	160 14	3 3	0 360	161 15	psFillArc
+	globalGC1	150	18	161	15	psDrawLine
+	globalGC1	149 17	3 3	0 360	150 18	psFillArc
+	globalGC1	128	29	150	18	psDrawLine
+	globalGC1	127 28	3 3	0 360	128 29	psFillArc
+	globalGC1	105	48	128	29	psDrawLine
+	globalGC1	104 47	3 3	0 360	105 48	psFillArc
+	globalGC1	83	71	105	48	psDrawLine
+	globalGC1	82 70	3 3	0 360	83 71	psFillArc
+	globalGC1	63	99	83	71	psDrawLine
+	globalGC1	62 98	3 3	0 360	63 99	psFillArc
+	globalGC1	46	129	63	99	psDrawLine
+	globalGC1	45 128	3 3	0 360	46 129	psFillArc
+	globalGC1	32	159	46	129	psDrawLine
+	globalGC1	31 158	3 3	0 360	32 159	psFillArc
+	globalGC1	21	187	32	159	psDrawLine
+	globalGC1	20 186	3 3	0 360	21 187	psFillArc
+	globalGC1	15	210	21	187	psDrawLine
+	globalGC1	14 209	3 3	0 360	15 210	psFillArc
+	globalGC1	13	220	15	210	psDrawLine
+	globalGC1	12 219	3 3	0 360	13 220	psFillArc
+	globalGC1	12	229	13	220	psDrawLine
+	globalGC1	11 228	3 3	0 360	12 229	psFillArc
+	globalGC1	13	235	12	229	psDrawLine
+	globalGC1	12 234	3 3	0 360	13 235	psFillArc
+	globalGC1	14	238	13	235	psDrawLine
+	globalGC1	13 237	3 3	0 360	14 238	psFillArc
+	globalGC1	15	240	14	238	psDrawLine
+	globalGC1	14 239	3 3	0 360	15 240	psFillArc
+	globalGC1	15	241	15	240	psDrawLine
+	globalGC1	14 240	3 3	0 360	15 241	psFillArc
+	globalGC1	16	242	15	241	psDrawLine
+	globalGC1	15 241	3 3	0 360	16 242	psFillArc
+	globalGC1	16	243	16	242	psDrawLine
+	globalGC1	15 242	3 3	0 360	16 243	psFillArc
+	globalGC1	17	243	16	243	psDrawLine
+	globalGC1	16 242	3 3	0 360	17 243	psFillArc
+	globalGC1	18	244	17	243	psDrawLine
+	globalGC1	17 243	3 3	0 360	18 244	psFillArc
+	globalGC1	19	244	18	244	psDrawLine
+	globalGC1	18 243	3 3	0 360	19 244	psFillArc
+	globalGC1	20	244	19	244	psDrawLine
+	globalGC1	19 243	3 3	0 360	20 244	psFillArc
+	globalGC1	21	244	20	244	psDrawLine
+	globalGC1	20 243	3 3	0 360	21 244	psFillArc
+	globalGC1	23	244	21	244	psDrawLine
+	globalGC1	22 243	3 3	0 360	23 244	psFillArc
+	globalGC1	26	243	23	244	psDrawLine
+	globalGC1	25 242	3 3	0 360	26 243	psFillArc
+	globalGC1	32	240	26	243	psDrawLine
+	globalGC1	31 239	3 3	0 360	32 240	psFillArc
+	globalGC1	46	229	32	240	psDrawLine
+	globalGC1	45 228	3 3	0 360	46 229	psFillArc
+	globalGC1	63	210	46	229	psDrawLine
+	globalGC1	62 209	3 3	0 360	63 210	psFillArc
+	globalGC1	83	187	63	210	psDrawLine
+	globalGC1	82 186	3 3	0 360	83 187	psFillArc
+	globalGC1	105	159	83	187	psDrawLine
+	globalGC1	104 158	3 3	0 360	105 159	psFillArc
+	globalGC1	128	129	105	159	psDrawLine
+	globalGC1	127 128	3 3	0 360	128 129	psFillArc
+	globalGC1	150	99	128	129	psDrawLine
+	globalGC1	149 98	3 3	0 360	150 99	psFillArc
+	globalGC1	172	71	150	99	psDrawLine
+	globalGC1	171 70	3 3	0 360	172 71	psFillArc
+	globalGC1	192	48	172	71	psDrawLine
+	globalGC1	191 47	3 3	0 360	192 48	psFillArc
+	globalGC1	209	29	192	48	psDrawLine
+	globalGC1	208 28	3 3	0 360	209 29	psFillArc
+	globalGC1	217	23	209	29	psDrawLine
+	globalGC1	216 22	3 3	0 360	217 23	psFillArc
+	globalGC1	223	18	217	23	psDrawLine
+	globalGC1	222 17	3 3	0 360	223 18	psFillArc
+	globalGC1	226	16	223	18	psDrawLine
+	globalGC1	225 15	3 3	0 360	226 16	psFillArc
+	globalGC1	229	15	226	16	psDrawLine
+	globalGC1	228 14	3 3	0 360	229 15	psFillArc
+	globalGC1	232	14	229	15	psDrawLine
+	globalGC1	231 13	3 3	0 360	232 14	psFillArc
+	globalGC1	234	14	232	14	psDrawLine
+	globalGC1	233 13	3 3	0 360	234 14	psFillArc
+	globalGC1	235	14	234	14	psDrawLine
+	globalGC1	234 13	3 3	0 360	235 14	psFillArc
+	globalGC1	236	14	235	14	psDrawLine
+	globalGC1	235 13	3 3	0 360	236 14	psFillArc
+	globalGC1	237	14	236	14	psDrawLine
+	globalGC1	236 13	3 3	0 360	237 14	psFillArc
+	globalGC1	238	15	237	14	psDrawLine
+	globalGC1	237 14	3 3	0 360	238 15	psFillArc
+	globalGC1	239	15	238	15	psDrawLine
+	globalGC1	238 14	3 3	0 360	239 15	psFillArc
+	globalGC1	239	16	239	15	psDrawLine
+	globalGC1	238 15	3 3	0 360	239 16	psFillArc
+	globalGC1	240	17	239	16	psDrawLine
+	globalGC1	239 16	3 3	0 360	240 17	psFillArc
+	globalGC1	240	18	240	17	psDrawLine
+	globalGC1	239 17	3 3	0 360	240 18	psFillArc
+	globalGC1	242	23	240	18	psDrawLine
+	globalGC1	241 22	3 3	0 360	242 23	psFillArc
+	globalGC1	243	29	242	23	psDrawLine
+	globalGC1	242 28	3 3	0 360	243 29	psFillArc
+	globalGC1	240	48	243	29	psDrawLine
+	globalGC1	239 47	3 3	0 360	240 48	psFillArc
+	globalGC1	234	71	240	48	psDrawLine
+	globalGC1	233 70	3 3	0 360	234 71	psFillArc
+	globalGC1	223	99	234	71	psDrawLine
+	globalGC1	222 98	3 3	0 360	223 99	psFillArc
+	globalGC1	209	129	223	99	psDrawLine
+	globalGC1	208 128	3 3	0 360	209 129	psFillArc
+	globalGC1	192	159	209	129	psDrawLine
+	globalGC1	191 158	3 3	0 360	192 159	psFillArc
+	globalGC1	172	187	192	159	psDrawLine
+	globalGC1	171 186	3 3	0 360	172 187	psFillArc
+	globalGC1	150	210	172	187	psDrawLine
+	globalGC1	149 209	3 3	0 360	150 210	psFillArc
+	globalGC1	128	229	150	210	psDrawLine
+	globalGC1	127 228	3 3	0 360	128 229	psFillArc
+	globalGC1	116	235	128	229	psDrawLine
+	globalGC1	115 234	3 3	0 360	116 235	psFillArc
+	globalGC1	105	240	116	235	psDrawLine
+	globalGC1	104 239	3 3	0 360	105 240	psFillArc
+	globalGC1	94	243	105	240	psDrawLine
+	globalGC1	93 242	3 3	0 360	94 243	psFillArc
+	globalGC1	83	244	94	243	psDrawLine
+	globalGC1	82 243	3 3	0 360	83 244	psFillArc
+	globalGC1	73	243	83	244	psDrawLine
+	globalGC1	72 242	3 3	0 360	73 243	psFillArc
+	globalGC1	63	240	73	243	psDrawLine
+	globalGC1	62 239	3 3	0 360	63 240	psFillArc
+	globalGC1	54	235	63	240	psDrawLine
+	globalGC1	53 234	3 3	0 360	54 235	psFillArc
+	globalGC1	46	229	54	235	psDrawLine
+	globalGC1	45 228	3 3	0 360	46 229	psFillArc
+	globalGC1	32	210	46	229	psDrawLine
+	globalGC1	31 209	3 3	0 360	32 210	psFillArc
+	globalGC1	21	187	32	210	psDrawLine
+	globalGC1	20 186	3 3	0 360	21 187	psFillArc
+	globalGC1	15	159	21	187	psDrawLine
+	globalGC1	14 158	3 3	0 360	15 159	psFillArc
+	globalGC1	12	129	15	159	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	15	99	12	129	psDrawLine
+	globalGC1	14 98	3 3	0 360	15 99	psFillArc
+	globalGC1	21	71	15	99	psDrawLine
+	globalGC1	20 70	3 3	0 360	21 71	psFillArc
+	globalGC1	32	48	21	71	psDrawLine
+	globalGC1	31 47	3 3	0 360	32 48	psFillArc
+	globalGC1	38	38	32	48	psDrawLine
+	globalGC1	37 37	3 3	0 360	38 38	psFillArc
+	globalGC1	46	29	38	38	psDrawLine
+	globalGC1	45 28	3 3	0 360	46 29	psFillArc
+	globalGC1	54	23	46	29	psDrawLine
+	globalGC1	53 22	3 3	0 360	54 23	psFillArc
+	globalGC1	63	18	54	23	psDrawLine
+	globalGC1	62 17	3 3	0 360	63 18	psFillArc
+	globalGC1	73	15	63	18	psDrawLine
+	globalGC1	72 14	3 3	0 360	73 15	psFillArc
+	globalGC1	83	14	73	15	psDrawLine
+	globalGC1	82 13	3 3	0 360	83 14	psFillArc
+	globalGC1	94	15	83	14	psDrawLine
+	globalGC1	93 14	3 3	0 360	94 15	psFillArc
+	globalGC1	105	18	94	15	psDrawLine
+	globalGC1	104 17	3 3	0 360	105 18	psFillArc
+	globalGC1	128	29	105	18	psDrawLine
+	globalGC1	127 28	3 3	0 360	128 29	psFillArc
+	globalGC1	150	48	128	29	psDrawLine
+	globalGC1	149 47	3 3	0 360	150 48	psFillArc
+	globalGC1	172	71	150	48	psDrawLine
+	globalGC1	171 70	3 3	0 360	172 71	psFillArc
+	globalGC1	192	99	172	71	psDrawLine
+	globalGC1	191 98	3 3	0 360	192 99	psFillArc
+	globalGC1	209	129	192	99	psDrawLine
+	globalGC1	208 128	3 3	0 360	209 129	psFillArc
+	globalGC1	223	159	209	129	psDrawLine
+	globalGC1	222 158	3 3	0 360	223 159	psFillArc
+	globalGC1	234	187	223	159	psDrawLine
+	globalGC1	233 186	3 3	0 360	234 187	psFillArc
+	globalGC1	240	210	234	187	psDrawLine
+	globalGC1	239 209	3 3	0 360	240 210	psFillArc
+	globalGC1	242	220	240	210	psDrawLine
+	globalGC1	241 219	3 3	0 360	242 220	psFillArc
+	globalGC1	243	229	242	220	psDrawLine
+	globalGC1	242 228	3 3	0 360	243 229	psFillArc
+	globalGC1	242	235	243	229	psDrawLine
+	globalGC1	241 234	3 3	0 360	242 235	psFillArc
+	globalGC1	241	238	242	235	psDrawLine
+	globalGC1	240 237	3 3	0 360	241 238	psFillArc
+	globalGC1	240	240	241	238	psDrawLine
+	globalGC1	239 239	3 3	0 360	240 240	psFillArc
+	globalGC1	240	241	240	240	psDrawLine
+	globalGC1	239 240	3 3	0 360	240 241	psFillArc
+	globalGC1	239	242	240	241	psDrawLine
+	globalGC1	238 241	3 3	0 360	239 242	psFillArc
+	globalGC1	239	243	239	242	psDrawLine
+	globalGC1	238 242	3 3	0 360	239 243	psFillArc
+	globalGC1	238	243	239	243	psDrawLine
+	globalGC1	237 242	3 3	0 360	238 243	psFillArc
+	globalGC1	237	244	238	243	psDrawLine
+	globalGC1	236 243	3 3	0 360	237 244	psFillArc
+	globalGC1	236	244	237	244	psDrawLine
+	globalGC1	235 243	3 3	0 360	236 244	psFillArc
+	globalGC1	235	244	236	244	psDrawLine
+	globalGC1	234 243	3 3	0 360	235 244	psFillArc
+	globalGC1	234	244	235	244	psDrawLine
+	globalGC1	233 243	3 3	0 360	234 244	psFillArc
+	globalGC1	232	244	234	244	psDrawLine
+	globalGC1	231 243	3 3	0 360	232 244	psFillArc
+	globalGC1	229	243	232	244	psDrawLine
+	globalGC1	228 242	3 3	0 360	229 243	psFillArc
+	globalGC1	223	240	229	243	psDrawLine
+	globalGC1	222 239	3 3	0 360	223 240	psFillArc
+	globalGC1	209	229	223	240	psDrawLine
+	globalGC1	208 228	3 3	0 360	209 229	psFillArc
+	globalGC1	192	210	209	229	psDrawLine
+	globalGC1	191 209	3 3	0 360	192 210	psFillArc
+	globalGC1	172	187	192	210	psDrawLine
+	globalGC1	171 186	3 3	0 360	172 187	psFillArc
+	globalGC1	150	159	172	187	psDrawLine
+	globalGC1	149 158	3 3	0 360	150 159	psFillArc
+	globalGC1	128	129	150	159	psDrawLine
+	globalGC1	127 128	3 3	0 360	128 129	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2dpaca.ps b/books/ps/2dpaca.ps
new file mode 100644
index 0000000..0d906fb
--- /dev/null
+++ b/books/ps/2dpaca.ps
@@ -0,0 +1,525 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	300	151	0	151	psDrawLine
+	globalGC1	39	303	39	0	psDrawLine
+	unitGC	88	153	88	149	psDrawLine
+	unitGC	76	166	(2.19)	(window)	psDrawIStr
+	unitGC	137	153	137	149	psDrawLine
+	unitGC	125	166	(4.37)	(window)	psDrawIStr
+	unitGC	186	153	186	149	psDrawLine
+	unitGC	174	166	(6.56)	(window)	psDrawIStr
+	unitGC	235	153	235	149	psDrawLine
+	unitGC	223	166	(8.74)	(window)	psDrawIStr
+	unitGC	284	153	284	149	psDrawLine
+	unitGC	269	166	(10.93)	(window)	psDrawIStr
+	unitGC	41	104	37	104	psDrawLine
+	unitGC	3	109	(2.39)	(window)	psDrawIStr
+	unitGC	41	57	37	57	psDrawLine
+	unitGC	3	62	(4.78)	(window)	psDrawIStr
+	unitGC	41	10	37	10	psDrawLine
+	unitGC	3	15	(7.18)	(window)	psDrawIStr
+	unitGC	41	197	37	197	psDrawLine
+	unitGC	-6	202	(-2.39)	(window)	psDrawIStr
+	unitGC	41	243	37	243	psDrawLine
+	unitGC	-6	248	(-4.78)	(window)	psDrawIStr
+	unitGC	41	289	37	289	psDrawLine
+	unitGC	-6	294	(-7.18)	(window)	psDrawIStr
+	globalGC1	147 35	3 3	0 360	148 36	psFillArc
+	globalGC1	148	36	148	36	psDrawLine
+	globalGC1	147 35	3 3	0 360	148 36	psFillArc
+	globalGC1	138	36	148	36	psDrawLine
+	globalGC1	137 35	3 3	0 360	138 36	psFillArc
+	globalGC1	127	37	138	36	psDrawLine
+	globalGC1	126 36	3 3	0 360	127 37	psFillArc
+	globalGC1	116	39	127	37	psDrawLine
+	globalGC1	115 38	3 3	0 360	116 39	psFillArc
+	globalGC1	105	42	116	39	psDrawLine
+	globalGC1	104 41	3 3	0 360	105 42	psFillArc
+	globalGC1	94	46	105	42	psDrawLine
+	globalGC1	93 45	3 3	0 360	94 46	psFillArc
+	globalGC1	84	52	94	46	psDrawLine
+	globalGC1	83 51	3 3	0 360	84 52	psFillArc
+	globalGC1	73	58	84	52	psDrawLine
+	globalGC1	72 57	3 3	0 360	73 58	psFillArc
+	globalGC1	61	68	73	58	psDrawLine
+	globalGC1	60 67	3 3	0 360	61 68	psFillArc
+	globalGC1	53	77	61	68	psDrawLine
+	globalGC1	52 76	3 3	0 360	53 77	psFillArc
+	globalGC1	46	86	53	77	psDrawLine
+	globalGC1	45 85	3 3	0 360	46 86	psFillArc
+	globalGC1	41	95	46	86	psDrawLine
+	globalGC1	40 94	3 3	0 360	41 95	psFillArc
+	globalGC1	37	105	41	95	psDrawLine
+	globalGC1	36 104	3 3	0 360	37 105	psFillArc
+	globalGC1	35	114	37	105	psDrawLine
+	globalGC1	34 113	3 3	0 360	35 114	psFillArc
+	globalGC1	33	123	35	114	psDrawLine
+	globalGC1	32 122	3 3	0 360	33 123	psFillArc
+	globalGC1	33	132	33	123	psDrawLine
+	globalGC1	32 131	3 3	0 360	33 132	psFillArc
+	globalGC1	33	132	33	132	psDrawLine
+	globalGC1	32 131	3 3	0 360	33 132	psFillArc
+	globalGC1	33	142	33	132	psDrawLine
+	globalGC1	32 141	3 3	0 360	33 142	psFillArc
+	globalGC1	34	151	33	142	psDrawLine
+	globalGC1	33 150	3 3	0 360	34 151	psFillArc
+	globalGC1	34	151	34	151	psDrawLine
+	globalGC1	33 150	3 3	0 360	34 151	psFillArc
+	globalGC1	33	160	34	151	psDrawLine
+	globalGC1	32 159	3 3	0 360	33 160	psFillArc
+	globalGC1	33	170	33	160	psDrawLine
+	globalGC1	32 169	3 3	0 360	33 170	psFillArc
+	globalGC1	33	170	33	170	psDrawLine
+	globalGC1	32 169	3 3	0 360	33 170	psFillArc
+	globalGC1	33	179	33	170	psDrawLine
+	globalGC1	32 178	3 3	0 360	33 179	psFillArc
+	globalGC1	35	188	33	179	psDrawLine
+	globalGC1	34 187	3 3	0 360	35 188	psFillArc
+	globalGC1	37	198	35	188	psDrawLine
+	globalGC1	36 197	3 3	0 360	37 198	psFillArc
+	globalGC1	41	207	37	198	psDrawLine
+	globalGC1	40 206	3 3	0 360	41 207	psFillArc
+	globalGC1	46	216	41	207	psDrawLine
+	globalGC1	45 215	3 3	0 360	46 216	psFillArc
+	globalGC1	53	225	46	216	psDrawLine
+	globalGC1	52 224	3 3	0 360	53 225	psFillArc
+	globalGC1	62	235	53	225	psDrawLine
+	globalGC1	61 234	3 3	0 360	62 235	psFillArc
+	globalGC1	72	243	62	235	psDrawLine
+	globalGC1	71 242	3 3	0 360	72 243	psFillArc
+	globalGC1	83	250	72	243	psDrawLine
+	globalGC1	82 249	3 3	0 360	83 250	psFillArc
+	globalGC1	94	255	83	250	psDrawLine
+	globalGC1	93 254	3 3	0 360	94 255	psFillArc
+	globalGC1	105	260	94	255	psDrawLine
+	globalGC1	104 259	3 3	0 360	105 260	psFillArc
+	globalGC1	116	263	105	260	psDrawLine
+	globalGC1	115 262	3 3	0 360	116 263	psFillArc
+	globalGC1	126	265	116	263	psDrawLine
+	globalGC1	125 264	3 3	0 360	126 265	psFillArc
+	globalGC1	137	266	126	265	psDrawLine
+	globalGC1	136 265	3 3	0 360	137 266	psFillArc
+	globalGC1	148	266	137	266	psDrawLine
+	globalGC1	147 265	3 3	0 360	148 266	psFillArc
+	globalGC1	152	266	148	266	psDrawLine
+	globalGC1	151 265	3 3	0 360	152 266	psFillArc
+	globalGC1	163	266	152	266	psDrawLine
+	globalGC1	162 265	3 3	0 360	163 266	psFillArc
+	globalGC1	173	264	163	266	psDrawLine
+	globalGC1	172 263	3 3	0 360	173 264	psFillArc
+	globalGC1	184	262	173	264	psDrawLine
+	globalGC1	183 261	3 3	0 360	184 262	psFillArc
+	globalGC1	195	259	184	262	psDrawLine
+	globalGC1	194 258	3 3	0 360	195 259	psFillArc
+	globalGC1	206	254	195	259	psDrawLine
+	globalGC1	205 253	3 3	0 360	206 254	psFillArc
+	globalGC1	217	249	206	254	psDrawLine
+	globalGC1	216 248	3 3	0 360	217 249	psFillArc
+	globalGC1	227	242	217	249	psDrawLine
+	globalGC1	226 241	3 3	0 360	227 242	psFillArc
+	globalGC1	238	234	227	242	psDrawLine
+	globalGC1	237 233	3 3	0 360	238 234	psFillArc
+	globalGC1	248	225	238	234	psDrawLine
+	globalGC1	247 224	3 3	0 360	248 225	psFillArc
+	globalGC1	256	216	248	225	psDrawLine
+	globalGC1	255 215	3 3	0 360	256 216	psFillArc
+	globalGC1	263	207	256	216	psDrawLine
+	globalGC1	262 206	3 3	0 360	263 207	psFillArc
+	globalGC1	268	197	263	207	psDrawLine
+	globalGC1	267 196	3 3	0 360	268 197	psFillArc
+	globalGC1	272	188	268	197	psDrawLine
+	globalGC1	271 187	3 3	0 360	272 188	psFillArc
+	globalGC1	275	179	272	188	psDrawLine
+	globalGC1	274 178	3 3	0 360	275 179	psFillArc
+	globalGC1	277	170	275	179	psDrawLine
+	globalGC1	276 169	3 3	0 360	277 170	psFillArc
+	globalGC1	279	160	277	170	psDrawLine
+	globalGC1	278 159	3 3	0 360	279 160	psFillArc
+	globalGC1	279	151	279	160	psDrawLine
+	globalGC1	278 150	3 3	0 360	279 151	psFillArc
+	globalGC1	279	148	279	151	psDrawLine
+	globalGC1	278 147	3 3	0 360	279 148	psFillArc
+	globalGC1	278	139	279	148	psDrawLine
+	globalGC1	277 138	3 3	0 360	278 139	psFillArc
+	globalGC1	277	129	278	139	psDrawLine
+	globalGC1	276 128	3 3	0 360	277 129	psFillArc
+	globalGC1	274	120	277	129	psDrawLine
+	globalGC1	273 119	3 3	0 360	274 120	psFillArc
+	globalGC1	271	111	274	120	psDrawLine
+	globalGC1	270 110	3 3	0 360	271 111	psFillArc
+	globalGC1	266	102	271	111	psDrawLine
+	globalGC1	265 101	3 3	0 360	266 102	psFillArc
+	globalGC1	261	92	266	102	psDrawLine
+	globalGC1	260 91	3 3	0 360	261 92	psFillArc
+	globalGC1	254	83	261	92	psDrawLine
+	globalGC1	253 82	3 3	0 360	254 83	psFillArc
+	globalGC1	245	74	254	83	psDrawLine
+	globalGC1	244 73	3 3	0 360	245 74	psFillArc
+	globalGC1	234	65	245	74	psDrawLine
+	globalGC1	233 64	3 3	0 360	234 65	psFillArc
+	globalGC1	224	57	234	65	psDrawLine
+	globalGC1	223 56	3 3	0 360	224 57	psFillArc
+	globalGC1	213	51	224	57	psDrawLine
+	globalGC1	212 50	3 3	0 360	213 51	psFillArc
+	globalGC1	202	46	213	51	psDrawLine
+	globalGC1	201 45	3 3	0 360	202 46	psFillArc
+	globalGC1	191	42	202	46	psDrawLine
+	globalGC1	190 41	3 3	0 360	191 42	psFillArc
+	globalGC1	180	39	191	42	psDrawLine
+	globalGC1	179 38	3 3	0 360	180 39	psFillArc
+	globalGC1	170	37	180	39	psDrawLine
+	globalGC1	169 36	3 3	0 360	170 37	psFillArc
+	globalGC1	159	36	170	37	psDrawLine
+	globalGC1	158 35	3 3	0 360	159 36	psFillArc
+	globalGC1	148	36	159	36	psDrawLine
+	globalGC1	147 35	3 3	0 360	148 36	psFillArc
+	globalGC1	103 111	3 3	0 360	104 112	psFillArc
+	globalGC1	104	112	104	112	psDrawLine
+	globalGC1	103 111	3 3	0 360	104 112	psFillArc
+	globalGC1	100	112	104	112	psDrawLine
+	globalGC1	99 111	3 3	0 360	100 112	psFillArc
+	globalGC1	90	114	100	112	psDrawLine
+	globalGC1	89 113	3 3	0 360	90 114	psFillArc
+	globalGC1	79	117	90	114	psDrawLine
+	globalGC1	78 116	3 3	0 360	79 117	psFillArc
+	globalGC1	68	123	79	117	psDrawLine
+	globalGC1	67 122	3 3	0 360	68 123	psFillArc
+	globalGC1	58	132	68	123	psDrawLine
+	globalGC1	57 131	3 3	0 360	58 132	psFillArc
+	globalGC1	52	142	58	132	psDrawLine
+	globalGC1	51 141	3 3	0 360	52 142	psFillArc
+	globalGC1	50	151	52	142	psDrawLine
+	globalGC1	49 150	3 3	0 360	50 151	psFillArc
+	globalGC1	50	155	50	151	psDrawLine
+	globalGC1	49 154	3 3	0 360	50 155	psFillArc
+	globalGC1	53	164	50	155	psDrawLine
+	globalGC1	52 163	3 3	0 360	53 164	psFillArc
+	globalGC1	61	173	53	164	psDrawLine
+	globalGC1	60 172	3 3	0 360	61 173	psFillArc
+	globalGC1	72	181	61	173	psDrawLine
+	globalGC1	71 180	3 3	0 360	72 181	psFillArc
+	globalGC1	83	186	72	181	psDrawLine
+	globalGC1	82 185	3 3	0 360	83 186	psFillArc
+	globalGC1	93	189	83	186	psDrawLine
+	globalGC1	92 188	3 3	0 360	93 189	psFillArc
+	globalGC1	104	190	93	189	psDrawLine
+	globalGC1	103 189	3 3	0 360	104 190	psFillArc
+	globalGC1	106	190	104	190	psDrawLine
+	globalGC1	105 189	3 3	0 360	106 190	psFillArc
+	globalGC1	117	189	106	190	psDrawLine
+	globalGC1	116 188	3 3	0 360	117 189	psFillArc
+	globalGC1	127	185	117	189	psDrawLine
+	globalGC1	126 184	3 3	0 360	127 185	psFillArc
+	globalGC1	138	179	127	185	psDrawLine
+	globalGC1	137 178	3 3	0 360	138 179	psFillArc
+	globalGC1	147	170	138	179	psDrawLine
+	globalGC1	146 169	3 3	0 360	147 170	psFillArc
+	globalGC1	151	160	147	170	psDrawLine
+	globalGC1	150 159	3 3	0 360	151 160	psFillArc
+	globalGC1	153	151	151	160	psDrawLine
+	globalGC1	152 150	3 3	0 360	153 151	psFillArc
+	globalGC1	152	142	153	151	psDrawLine
+	globalGC1	151 141	3 3	0 360	152 142	psFillArc
+	globalGC1	147	133	152	142	psDrawLine
+	globalGC1	146 132	3 3	0 360	147 133	psFillArc
+	globalGC1	137	122	147	133	psDrawLine
+	globalGC1	136 121	3 3	0 360	137 122	psFillArc
+	globalGC1	126	116	137	122	psDrawLine
+	globalGC1	125 115	3 3	0 360	126 116	psFillArc
+	globalGC1	115	113	126	116	psDrawLine
+	globalGC1	114 112	3 3	0 360	115 113	psFillArc
+	globalGC1	104	112	115	113	psDrawLine
+	globalGC1	103 111	3 3	0 360	104 112	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2dppca.ps b/books/ps/2dppca.ps
new file mode 100644
index 0000000..1e5bcd7
--- /dev/null
+++ b/books/ps/2dppca.ps
@@ -0,0 +1,1051 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	127	259	127	0	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	127	129	127	129	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	128	125	127	129	psDrawLine
+	globalGC1	127 124	3 3	0 360	128 125	psFillArc
+	globalGC1	129	116	128	125	psDrawLine
+	globalGC1	128 115	3 3	0 360	129 116	psFillArc
+	globalGC1	130	102	129	116	psDrawLine
+	globalGC1	129 101	3 3	0 360	130 102	psFillArc
+	globalGC1	133	82	130	102	psDrawLine
+	globalGC1	132 81	3 3	0 360	133 82	psFillArc
+	globalGC1	136	60	133	82	psDrawLine
+	globalGC1	135 59	3 3	0 360	136 60	psFillArc
+	globalGC1	141	39	136	60	psDrawLine
+	globalGC1	140 38	3 3	0 360	141 39	psFillArc
+	globalGC1	144	30	141	39	psDrawLine
+	globalGC1	143 29	3 3	0 360	144 30	psFillArc
+	globalGC1	147	23	144	30	psDrawLine
+	globalGC1	146 22	3 3	0 360	147 23	psFillArc
+	globalGC1	148	20	147	23	psDrawLine
+	globalGC1	147 19	3 3	0 360	148 20	psFillArc
+	globalGC1	150	17	148	20	psDrawLine
+	globalGC1	149 16	3 3	0 360	150 17	psFillArc
+	globalGC1	152	16	150	17	psDrawLine
+	globalGC1	151 15	3 3	0 360	152 16	psFillArc
+	globalGC1	153	15	152	16	psDrawLine
+	globalGC1	152 14	3 3	0 360	153 15	psFillArc
+	globalGC1	154	14	153	15	psDrawLine
+	globalGC1	153 13	3 3	0 360	154 14	psFillArc
+	globalGC1	155	14	154	14	psDrawLine
+	globalGC1	154 13	3 3	0 360	155 14	psFillArc
+	globalGC1	156	14	155	14	psDrawLine
+	globalGC1	155 13	3 3	0 360	156 14	psFillArc
+	globalGC1	157	14	156	14	psDrawLine
+	globalGC1	156 13	3 3	0 360	157 14	psFillArc
+	globalGC1	158	14	157	14	psDrawLine
+	globalGC1	157 13	3 3	0 360	158 14	psFillArc
+	globalGC1	159	14	158	14	psDrawLine
+	globalGC1	158 13	3 3	0 360	159 14	psFillArc
+	globalGC1	160	15	159	14	psDrawLine
+	globalGC1	159 14	3 3	0 360	160 15	psFillArc
+	globalGC1	162	16	160	15	psDrawLine
+	globalGC1	161 15	3 3	0 360	162 16	psFillArc
+	globalGC1	166	20	162	16	psDrawLine
+	globalGC1	165 19	3 3	0 360	166 20	psFillArc
+	globalGC1	171	27	166	20	psDrawLine
+	globalGC1	170 26	3 3	0 360	171 27	psFillArc
+	globalGC1	180	46	171	27	psDrawLine
+	globalGC1	179 45	3 3	0 360	180 46	psFillArc
+	globalGC1	190	70	180	46	psDrawLine
+	globalGC1	189 69	3 3	0 360	190 70	psFillArc
+	globalGC1	200	94	190	70	psDrawLine
+	globalGC1	199 93	3 3	0 360	200 94	psFillArc
+	globalGC1	209	114	200	94	psDrawLine
+	globalGC1	208 113	3 3	0 360	209 114	psFillArc
+	globalGC1	214	123	209	114	psDrawLine
+	globalGC1	213 122	3 3	0 360	214 123	psFillArc
+	globalGC1	218	129	214	123	psDrawLine
+	globalGC1	217 128	3 3	0 360	218 129	psFillArc
+	globalGC1	223	133	218	129	psDrawLine
+	globalGC1	222 132	3 3	0 360	223 133	psFillArc
+	globalGC1	225	135	223	133	psDrawLine
+	globalGC1	224 134	3 3	0 360	225 135	psFillArc
+	globalGC1	226	136	225	135	psDrawLine
+	globalGC1	225 135	3 3	0 360	226 136	psFillArc
+	globalGC1	228	136	226	136	psDrawLine
+	globalGC1	227 135	3 3	0 360	228 136	psFillArc
+	globalGC1	230	137	228	136	psDrawLine
+	globalGC1	229 136	3 3	0 360	230 137	psFillArc
+	globalGC1	232	136	230	137	psDrawLine
+	globalGC1	231 135	3 3	0 360	232 136	psFillArc
+	globalGC1	233	136	232	136	psDrawLine
+	globalGC1	232 135	3 3	0 360	233 136	psFillArc
+	globalGC1	235	135	233	136	psDrawLine
+	globalGC1	234 134	3 3	0 360	235 135	psFillArc
+	globalGC1	236	133	235	135	psDrawLine
+	globalGC1	235 132	3 3	0 360	236 133	psFillArc
+	globalGC1	238	130	236	133	psDrawLine
+	globalGC1	237 129	3 3	0 360	238 130	psFillArc
+	globalGC1	242	123	238	130	psDrawLine
+	globalGC1	241 122	3 3	0 360	242 123	psFillArc
+	globalGC1	242	120	242	123	psDrawLine
+	globalGC1	241 119	3 3	0 360	242 120	psFillArc
+	globalGC1	243	118	242	120	psDrawLine
+	globalGC1	242 117	3 3	0 360	243 118	psFillArc
+	globalGC1	243	117	243	118	psDrawLine
+	globalGC1	242 116	3 3	0 360	243 117	psFillArc
+	globalGC1	243	116	243	117	psDrawLine
+	globalGC1	242 115	3 3	0 360	243 116	psFillArc
+	globalGC1	242	116	243	116	psDrawLine
+	globalGC1	241 115	3 3	0 360	242 116	psFillArc
+	globalGC1	242	115	242	116	psDrawLine
+	globalGC1	241 114	3 3	0 360	242 115	psFillArc
+	globalGC1	242	115	242	115	psDrawLine
+	globalGC1	241 114	3 3	0 360	242 115	psFillArc
+	globalGC1	242	115	242	115	psDrawLine
+	globalGC1	241 114	3 3	0 360	242 115	psFillArc
+	globalGC1	242	116	242	115	psDrawLine
+	globalGC1	241 115	3 3	0 360	242 116	psFillArc
+	globalGC1	241	116	242	116	psDrawLine
+	globalGC1	240 115	3 3	0 360	241 116	psFillArc
+	globalGC1	240	117	241	116	psDrawLine
+	globalGC1	239 116	3 3	0 360	240 117	psFillArc
+	globalGC1	238	120	240	117	psDrawLine
+	globalGC1	237 119	3 3	0 360	238 120	psFillArc
+	globalGC1	232	129	238	120	psDrawLine
+	globalGC1	231 128	3 3	0 360	232 129	psFillArc
+	globalGC1	224	142	232	129	psDrawLine
+	globalGC1	223 141	3 3	0 360	224 142	psFillArc
+	globalGC1	214	156	224	142	psDrawLine
+	globalGC1	213 155	3 3	0 360	214 156	psFillArc
+	globalGC1	209	162	214	156	psDrawLine
+	globalGC1	208 161	3 3	0 360	209 162	psFillArc
+	globalGC1	203	168	209	162	psDrawLine
+	globalGC1	202 167	3 3	0 360	203 168	psFillArc
+	globalGC1	196	171	203	168	psDrawLine
+	globalGC1	195 170	3 3	0 360	196 171	psFillArc
+	globalGC1	193	173	196	171	psDrawLine
+	globalGC1	192 172	3 3	0 360	193 173	psFillArc
+	globalGC1	189	174	193	173	psDrawLine
+	globalGC1	188 173	3 3	0 360	189 174	psFillArc
+	globalGC1	185	174	189	174	psDrawLine
+	globalGC1	184 173	3 3	0 360	185 174	psFillArc
+	globalGC1	182	174	185	174	psDrawLine
+	globalGC1	181 173	3 3	0 360	182 174	psFillArc
+	globalGC1	174	172	182	174	psDrawLine
+	globalGC1	173 171	3 3	0 360	174 172	psFillArc
+	globalGC1	167	168	174	172	psDrawLine
+	globalGC1	166 167	3 3	0 360	167 168	psFillArc
+	globalGC1	159	163	167	168	psDrawLine
+	globalGC1	158 162	3 3	0 360	159 163	psFillArc
+	globalGC1	143	147	159	163	psDrawLine
+	globalGC1	142 146	3 3	0 360	143 147	psFillArc
+	globalGC1	127	129	143	147	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	112	111	127	129	psDrawLine
+	globalGC1	111 110	3 3	0 360	112 111	psFillArc
+	globalGC1	105	104	112	111	psDrawLine
+	globalGC1	104 103	3 3	0 360	105 104	psFillArc
+	globalGC1	98	98	105	104	psDrawLine
+	globalGC1	97 97	3 3	0 360	98 98	psFillArc
+	globalGC1	95	96	98	98	psDrawLine
+	globalGC1	94 95	3 3	0 360	95 96	psFillArc
+	globalGC1	92	94	95	96	psDrawLine
+	globalGC1	91 93	3 3	0 360	92 94	psFillArc
+	globalGC1	89	93	92	94	psDrawLine
+	globalGC1	88 92	3 3	0 360	89 93	psFillArc
+	globalGC1	86	92	89	93	psDrawLine
+	globalGC1	85 91	3 3	0 360	86 92	psFillArc
+	globalGC1	83	92	86	92	psDrawLine
+	globalGC1	82 91	3 3	0 360	83 92	psFillArc
+	globalGC1	80	92	83	92	psDrawLine
+	globalGC1	79 91	3 3	0 360	80 92	psFillArc
+	globalGC1	78	93	80	92	psDrawLine
+	globalGC1	77 92	3 3	0 360	78 93	psFillArc
+	globalGC1	75	95	78	93	psDrawLine
+	globalGC1	74 94	3 3	0 360	75 95	psFillArc
+	globalGC1	70	99	75	95	psDrawLine
+	globalGC1	69 98	3 3	0 360	70 99	psFillArc
+	globalGC1	66	105	70	99	psDrawLine
+	globalGC1	65 104	3 3	0 360	66 105	psFillArc
+	globalGC1	60	122	66	105	psDrawLine
+	globalGC1	59 121	3 3	0 360	60 122	psFillArc
+	globalGC1	57	140	60	122	psDrawLine
+	globalGC1	56 139	3 3	0 360	57 140	psFillArc
+	globalGC1	56	157	57	140	psDrawLine
+	globalGC1	55 156	3 3	0 360	56 157	psFillArc
+	globalGC1	56	164	56	157	psDrawLine
+	globalGC1	55 163	3 3	0 360	56 164	psFillArc
+	globalGC1	58	170	56	164	psDrawLine
+	globalGC1	57 169	3 3	0 360	58 170	psFillArc
+	globalGC1	58	172	58	170	psDrawLine
+	globalGC1	57 171	3 3	0 360	58 172	psFillArc
+	globalGC1	59	173	58	172	psDrawLine
+	globalGC1	58 172	3 3	0 360	59 173	psFillArc
+	globalGC1	61	174	59	173	psDrawLine
+	globalGC1	60 173	3 3	0 360	61 174	psFillArc
+	globalGC1	62	175	61	174	psDrawLine
+	globalGC1	61 174	3 3	0 360	62 175	psFillArc
+	globalGC1	63	175	62	175	psDrawLine
+	globalGC1	62 174	3 3	0 360	63 175	psFillArc
+	globalGC1	65	175	63	175	psDrawLine
+	globalGC1	64 174	3 3	0 360	65 175	psFillArc
+	globalGC1	67	174	65	175	psDrawLine
+	globalGC1	66 173	3 3	0 360	67 174	psFillArc
+	globalGC1	69	173	67	174	psDrawLine
+	globalGC1	68 172	3 3	0 360	69 173	psFillArc
+	globalGC1	73	169	69	173	psDrawLine
+	globalGC1	72 168	3 3	0 360	73 169	psFillArc
+	globalGC1	78	165	73	169	psDrawLine
+	globalGC1	77 164	3 3	0 360	78 165	psFillArc
+	globalGC1	88	153	78	165	psDrawLine
+	globalGC1	87 152	3 3	0 360	88 153	psFillArc
+	globalGC1	101	141	88	153	psDrawLine
+	globalGC1	100 140	3 3	0 360	101 141	psFillArc
+	globalGC1	107	136	101	141	psDrawLine
+	globalGC1	106 135	3 3	0 360	107 136	psFillArc
+	globalGC1	114	132	107	136	psDrawLine
+	globalGC1	113 131	3 3	0 360	114 132	psFillArc
+	globalGC1	121	130	114	132	psDrawLine
+	globalGC1	120 129	3 3	0 360	121 130	psFillArc
+	globalGC1	124	129	121	130	psDrawLine
+	globalGC1	123 128	3 3	0 360	124 129	psFillArc
+	globalGC1	127	129	124	129	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	131	129	127	129	psDrawLine
+	globalGC1	130 128	3 3	0 360	131 129	psFillArc
+	globalGC1	134	130	131	129	psDrawLine
+	globalGC1	133 129	3 3	0 360	134 130	psFillArc
+	globalGC1	141	132	134	130	psDrawLine
+	globalGC1	140 131	3 3	0 360	141 132	psFillArc
+	globalGC1	148	136	141	132	psDrawLine
+	globalGC1	147 135	3 3	0 360	148 136	psFillArc
+	globalGC1	154	141	148	136	psDrawLine
+	globalGC1	153 140	3 3	0 360	154 141	psFillArc
+	globalGC1	167	153	154	141	psDrawLine
+	globalGC1	166 152	3 3	0 360	167 153	psFillArc
+	globalGC1	177	165	167	153	psDrawLine
+	globalGC1	176 164	3 3	0 360	177 165	psFillArc
+	globalGC1	182	169	177	165	psDrawLine
+	globalGC1	181 168	3 3	0 360	182 169	psFillArc
+	globalGC1	186	173	182	169	psDrawLine
+	globalGC1	185 172	3 3	0 360	186 173	psFillArc
+	globalGC1	188	174	186	173	psDrawLine
+	globalGC1	187 173	3 3	0 360	188 174	psFillArc
+	globalGC1	190	175	188	174	psDrawLine
+	globalGC1	189 174	3 3	0 360	190 175	psFillArc
+	globalGC1	192	175	190	175	psDrawLine
+	globalGC1	191 174	3 3	0 360	192 175	psFillArc
+	globalGC1	193	175	192	175	psDrawLine
+	globalGC1	192 174	3 3	0 360	193 175	psFillArc
+	globalGC1	194	174	193	175	psDrawLine
+	globalGC1	193 173	3 3	0 360	194 174	psFillArc
+	globalGC1	196	173	194	174	psDrawLine
+	globalGC1	195 172	3 3	0 360	196 173	psFillArc
+	globalGC1	197	172	196	173	psDrawLine
+	globalGC1	196 171	3 3	0 360	197 172	psFillArc
+	globalGC1	197	170	197	172	psDrawLine
+	globalGC1	196 169	3 3	0 360	197 170	psFillArc
+	globalGC1	199	164	197	170	psDrawLine
+	globalGC1	198 163	3 3	0 360	199 164	psFillArc
+	globalGC1	199	157	199	164	psDrawLine
+	globalGC1	198 156	3 3	0 360	199 157	psFillArc
+	globalGC1	198	140	199	157	psDrawLine
+	globalGC1	197 139	3 3	0 360	198 140	psFillArc
+	globalGC1	195	122	198	140	psDrawLine
+	globalGC1	194 121	3 3	0 360	195 122	psFillArc
+	globalGC1	192	113	195	122	psDrawLine
+	globalGC1	191 112	3 3	0 360	192 113	psFillArc
+	globalGC1	189	105	192	113	psDrawLine
+	globalGC1	188 104	3 3	0 360	189 105	psFillArc
+	globalGC1	185	99	189	105	psDrawLine
+	globalGC1	184 98	3 3	0 360	185 99	psFillArc
+	globalGC1	182	97	185	99	psDrawLine
+	globalGC1	181 96	3 3	0 360	182 97	psFillArc
+	globalGC1	180	95	182	97	psDrawLine
+	globalGC1	179 94	3 3	0 360	180 95	psFillArc
+	globalGC1	177	93	180	95	psDrawLine
+	globalGC1	176 92	3 3	0 360	177 93	psFillArc
+	globalGC1	175	92	177	93	psDrawLine
+	globalGC1	174 91	3 3	0 360	175 92	psFillArc
+	globalGC1	172	92	175	92	psDrawLine
+	globalGC1	171 91	3 3	0 360	172 92	psFillArc
+	globalGC1	169	92	172	92	psDrawLine
+	globalGC1	168 91	3 3	0 360	169 92	psFillArc
+	globalGC1	166	93	169	92	psDrawLine
+	globalGC1	165 92	3 3	0 360	166 93	psFillArc
+	globalGC1	163	94	166	93	psDrawLine
+	globalGC1	162 93	3 3	0 360	163 94	psFillArc
+	globalGC1	157	98	163	94	psDrawLine
+	globalGC1	156 97	3 3	0 360	157 98	psFillArc
+	globalGC1	143	111	157	98	psDrawLine
+	globalGC1	142 110	3 3	0 360	143 111	psFillArc
+	globalGC1	127	129	143	111	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	112	147	127	129	psDrawLine
+	globalGC1	111 146	3 3	0 360	112 147	psFillArc
+	globalGC1	96	163	112	147	psDrawLine
+	globalGC1	95 162	3 3	0 360	96 163	psFillArc
+	globalGC1	88	168	96	163	psDrawLine
+	globalGC1	87 167	3 3	0 360	88 168	psFillArc
+	globalGC1	81	172	88	168	psDrawLine
+	globalGC1	80 171	3 3	0 360	81 172	psFillArc
+	globalGC1	77	173	81	172	psDrawLine
+	globalGC1	76 172	3 3	0 360	77 173	psFillArc
+	globalGC1	73	174	77	173	psDrawLine
+	globalGC1	72 173	3 3	0 360	73 174	psFillArc
+	globalGC1	70	174	73	174	psDrawLine
+	globalGC1	69 173	3 3	0 360	70 174	psFillArc
+	globalGC1	66	174	70	174	psDrawLine
+	globalGC1	65 173	3 3	0 360	66 174	psFillArc
+	globalGC1	59	171	66	174	psDrawLine
+	globalGC1	58 170	3 3	0 360	59 171	psFillArc
+	globalGC1	52	168	59	171	psDrawLine
+	globalGC1	51 167	3 3	0 360	52 168	psFillArc
+	globalGC1	46	162	52	168	psDrawLine
+	globalGC1	45 161	3 3	0 360	46 162	psFillArc
+	globalGC1	41	156	46	162	psDrawLine
+	globalGC1	40 155	3 3	0 360	41 156	psFillArc
+	globalGC1	31	142	41	156	psDrawLine
+	globalGC1	30 141	3 3	0 360	31 142	psFillArc
+	globalGC1	23	129	31	142	psDrawLine
+	globalGC1	22 128	3 3	0 360	23 129	psFillArc
+	globalGC1	17	120	23	129	psDrawLine
+	globalGC1	16 119	3 3	0 360	17 120	psFillArc
+	globalGC1	15	117	17	120	psDrawLine
+	globalGC1	14 116	3 3	0 360	15 117	psFillArc
+	globalGC1	14	116	15	117	psDrawLine
+	globalGC1	13 115	3 3	0 360	14 116	psFillArc
+	globalGC1	13	116	14	116	psDrawLine
+	globalGC1	12 115	3 3	0 360	13 116	psFillArc
+	globalGC1	13	115	13	116	psDrawLine
+	globalGC1	12 114	3 3	0 360	13 115	psFillArc
+	globalGC1	13	116	13	115	psDrawLine
+	globalGC1	12 115	3 3	0 360	13 116	psFillArc
+	globalGC1	12	116	13	116	psDrawLine
+	globalGC1	11 115	3 3	0 360	12 116	psFillArc
+	globalGC1	12	117	12	116	psDrawLine
+	globalGC1	11 116	3 3	0 360	12 117	psFillArc
+	globalGC1	13	120	12	117	psDrawLine
+	globalGC1	12 119	3 3	0 360	13 120	psFillArc
+	globalGC1	13	123	13	120	psDrawLine
+	globalGC1	12 122	3 3	0 360	13 123	psFillArc
+	globalGC1	15	127	13	123	psDrawLine
+	globalGC1	14 126	3 3	0 360	15 127	psFillArc
+	globalGC1	17	130	15	127	psDrawLine
+	globalGC1	16 129	3 3	0 360	17 130	psFillArc
+	globalGC1	18	132	17	130	psDrawLine
+	globalGC1	17 131	3 3	0 360	18 132	psFillArc
+	globalGC1	19	133	18	132	psDrawLine
+	globalGC1	18 132	3 3	0 360	19 133	psFillArc
+	globalGC1	20	135	19	133	psDrawLine
+	globalGC1	19 134	3 3	0 360	20 135	psFillArc
+	globalGC1	22	136	20	135	psDrawLine
+	globalGC1	21 135	3 3	0 360	22 136	psFillArc
+	globalGC1	23	136	22	136	psDrawLine
+	globalGC1	22 135	3 3	0 360	23 136	psFillArc
+	globalGC1	25	137	23	136	psDrawLine
+	globalGC1	24 136	3 3	0 360	25 137	psFillArc
+	globalGC1	27	136	25	137	psDrawLine
+	globalGC1	26 135	3 3	0 360	27 136	psFillArc
+	globalGC1	28	136	27	136	psDrawLine
+	globalGC1	27 135	3 3	0 360	28 136	psFillArc
+	globalGC1	29	136	28	136	psDrawLine
+	globalGC1	28 135	3 3	0 360	29 136	psFillArc
+	globalGC1	30	135	29	136	psDrawLine
+	globalGC1	29 134	3 3	0 360	30 135	psFillArc
+	globalGC1	32	133	30	135	psDrawLine
+	globalGC1	31 132	3 3	0 360	32 133	psFillArc
+	globalGC1	37	129	32	133	psDrawLine
+	globalGC1	36 128	3 3	0 360	37 129	psFillArc
+	globalGC1	46	114	37	129	psDrawLine
+	globalGC1	45 113	3 3	0 360	46 114	psFillArc
+	globalGC1	55	94	46	114	psDrawLine
+	globalGC1	54 93	3 3	0 360	55 94	psFillArc
+	globalGC1	65	70	55	94	psDrawLine
+	globalGC1	64 69	3 3	0 360	65 70	psFillArc
+	globalGC1	75	46	65	70	psDrawLine
+	globalGC1	74 45	3 3	0 360	75 46	psFillArc
+	globalGC1	84	27	75	46	psDrawLine
+	globalGC1	83 26	3 3	0 360	84 27	psFillArc
+	globalGC1	89	20	84	27	psDrawLine
+	globalGC1	88 19	3 3	0 360	89 20	psFillArc
+	globalGC1	91	18	89	20	psDrawLine
+	globalGC1	90 17	3 3	0 360	91 18	psFillArc
+	globalGC1	93	16	91	18	psDrawLine
+	globalGC1	92 15	3 3	0 360	93 16	psFillArc
+	globalGC1	95	15	93	16	psDrawLine
+	globalGC1	94 14	3 3	0 360	95 15	psFillArc
+	globalGC1	96	14	95	15	psDrawLine
+	globalGC1	95 13	3 3	0 360	96 14	psFillArc
+	globalGC1	97	14	96	14	psDrawLine
+	globalGC1	96 13	3 3	0 360	97 14	psFillArc
+	globalGC1	98	14	97	14	psDrawLine
+	globalGC1	97 13	3 3	0 360	98 14	psFillArc
+	globalGC1	99	14	98	14	psDrawLine
+	globalGC1	98 13	3 3	0 360	99 14	psFillArc
+	globalGC1	100	14	99	14	psDrawLine
+	globalGC1	99 13	3 3	0 360	100 14	psFillArc
+	globalGC1	101	14	100	14	psDrawLine
+	globalGC1	100 13	3 3	0 360	101 14	psFillArc
+	globalGC1	102	15	101	14	psDrawLine
+	globalGC1	101 14	3 3	0 360	102 15	psFillArc
+	globalGC1	103	16	102	15	psDrawLine
+	globalGC1	102 15	3 3	0 360	103 16	psFillArc
+	globalGC1	105	17	103	16	psDrawLine
+	globalGC1	104 16	3 3	0 360	105 17	psFillArc
+	globalGC1	108	23	105	17	psDrawLine
+	globalGC1	107 22	3 3	0 360	108 23	psFillArc
+	globalGC1	111	30	108	23	psDrawLine
+	globalGC1	110 29	3 3	0 360	111 30	psFillArc
+	globalGC1	114	39	111	30	psDrawLine
+	globalGC1	113 38	3 3	0 360	114 39	psFillArc
+	globalGC1	119	60	114	39	psDrawLine
+	globalGC1	118 59	3 3	0 360	119 60	psFillArc
+	globalGC1	122	82	119	60	psDrawLine
+	globalGC1	121 81	3 3	0 360	122 82	psFillArc
+	globalGC1	125	102	122	82	psDrawLine
+	globalGC1	124 101	3 3	0 360	125 102	psFillArc
+	globalGC1	127	125	125	102	psDrawLine
+	globalGC1	126 124	3 3	0 360	127 125	psFillArc
+	globalGC1	127	129	127	125	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	128	133	127	129	psDrawLine
+	globalGC1	127 132	3 3	0 360	128 133	psFillArc
+	globalGC1	129	142	128	133	psDrawLine
+	globalGC1	128 141	3 3	0 360	129 142	psFillArc
+	globalGC1	130	156	129	142	psDrawLine
+	globalGC1	129 155	3 3	0 360	130 156	psFillArc
+	globalGC1	133	176	130	156	psDrawLine
+	globalGC1	132 175	3 3	0 360	133 176	psFillArc
+	globalGC1	136	198	133	176	psDrawLine
+	globalGC1	135 197	3 3	0 360	136 198	psFillArc
+	globalGC1	141	219	136	198	psDrawLine
+	globalGC1	140 218	3 3	0 360	141 219	psFillArc
+	globalGC1	144	228	141	219	psDrawLine
+	globalGC1	143 227	3 3	0 360	144 228	psFillArc
+	globalGC1	147	235	144	228	psDrawLine
+	globalGC1	146 234	3 3	0 360	147 235	psFillArc
+	globalGC1	148	238	147	235	psDrawLine
+	globalGC1	147 237	3 3	0 360	148 238	psFillArc
+	globalGC1	150	241	148	238	psDrawLine
+	globalGC1	149 240	3 3	0 360	150 241	psFillArc
+	globalGC1	152	242	150	241	psDrawLine
+	globalGC1	151 241	3 3	0 360	152 242	psFillArc
+	globalGC1	153	243	152	242	psDrawLine
+	globalGC1	152 242	3 3	0 360	153 243	psFillArc
+	globalGC1	154	244	153	243	psDrawLine
+	globalGC1	153 243	3 3	0 360	154 244	psFillArc
+	globalGC1	155	244	154	244	psDrawLine
+	globalGC1	154 243	3 3	0 360	155 244	psFillArc
+	globalGC1	156	244	155	244	psDrawLine
+	globalGC1	155 243	3 3	0 360	156 244	psFillArc
+	globalGC1	157	244	156	244	psDrawLine
+	globalGC1	156 243	3 3	0 360	157 244	psFillArc
+	globalGC1	158	244	157	244	psDrawLine
+	globalGC1	157 243	3 3	0 360	158 244	psFillArc
+	globalGC1	159	244	158	244	psDrawLine
+	globalGC1	158 243	3 3	0 360	159 244	psFillArc
+	globalGC1	160	243	159	244	psDrawLine
+	globalGC1	159 242	3 3	0 360	160 243	psFillArc
+	globalGC1	162	242	160	243	psDrawLine
+	globalGC1	161 241	3 3	0 360	162 242	psFillArc
+	globalGC1	166	238	162	242	psDrawLine
+	globalGC1	165 237	3 3	0 360	166 238	psFillArc
+	globalGC1	171	231	166	238	psDrawLine
+	globalGC1	170 230	3 3	0 360	171 231	psFillArc
+	globalGC1	180	212	171	231	psDrawLine
+	globalGC1	179 211	3 3	0 360	180 212	psFillArc
+	globalGC1	190	188	180	212	psDrawLine
+	globalGC1	189 187	3 3	0 360	190 188	psFillArc
+	globalGC1	200	164	190	188	psDrawLine
+	globalGC1	199 163	3 3	0 360	200 164	psFillArc
+	globalGC1	209	144	200	164	psDrawLine
+	globalGC1	208 143	3 3	0 360	209 144	psFillArc
+	globalGC1	214	135	209	144	psDrawLine
+	globalGC1	213 134	3 3	0 360	214 135	psFillArc
+	globalGC1	218	129	214	135	psDrawLine
+	globalGC1	217 128	3 3	0 360	218 129	psFillArc
+	globalGC1	223	125	218	129	psDrawLine
+	globalGC1	222 124	3 3	0 360	223 125	psFillArc
+	globalGC1	225	123	223	125	psDrawLine
+	globalGC1	224 122	3 3	0 360	225 123	psFillArc
+	globalGC1	226	122	225	123	psDrawLine
+	globalGC1	225 121	3 3	0 360	226 122	psFillArc
+	globalGC1	228	121	226	122	psDrawLine
+	globalGC1	227 120	3 3	0 360	228 121	psFillArc
+	globalGC1	230	121	228	121	psDrawLine
+	globalGC1	229 120	3 3	0 360	230 121	psFillArc
+	globalGC1	232	122	230	121	psDrawLine
+	globalGC1	231 121	3 3	0 360	232 122	psFillArc
+	globalGC1	233	122	232	122	psDrawLine
+	globalGC1	232 121	3 3	0 360	233 122	psFillArc
+	globalGC1	235	123	233	122	psDrawLine
+	globalGC1	234 122	3 3	0 360	235 123	psFillArc
+	globalGC1	236	124	235	123	psDrawLine
+	globalGC1	235 123	3 3	0 360	236 124	psFillArc
+	globalGC1	238	128	236	124	psDrawLine
+	globalGC1	237 127	3 3	0 360	238 128	psFillArc
+	globalGC1	242	135	238	128	psDrawLine
+	globalGC1	241 134	3 3	0 360	242 135	psFillArc
+	globalGC1	242	138	242	135	psDrawLine
+	globalGC1	241 137	3 3	0 360	242 138	psFillArc
+	globalGC1	243	140	242	138	psDrawLine
+	globalGC1	242 139	3 3	0 360	243 140	psFillArc
+	globalGC1	243	141	243	140	psDrawLine
+	globalGC1	242 140	3 3	0 360	243 141	psFillArc
+	globalGC1	243	142	243	141	psDrawLine
+	globalGC1	242 141	3 3	0 360	243 142	psFillArc
+	globalGC1	242	142	243	142	psDrawLine
+	globalGC1	241 141	3 3	0 360	242 142	psFillArc
+	globalGC1	242	142	242	142	psDrawLine
+	globalGC1	241 141	3 3	0 360	242 142	psFillArc
+	globalGC1	242	142	242	142	psDrawLine
+	globalGC1	241 141	3 3	0 360	242 142	psFillArc
+	globalGC1	242	142	242	142	psDrawLine
+	globalGC1	241 141	3 3	0 360	242 142	psFillArc
+	globalGC1	242	142	242	142	psDrawLine
+	globalGC1	241 141	3 3	0 360	242 142	psFillArc
+	globalGC1	241	142	242	142	psDrawLine
+	globalGC1	240 141	3 3	0 360	241 142	psFillArc
+	globalGC1	240	141	241	142	psDrawLine
+	globalGC1	239 140	3 3	0 360	240 141	psFillArc
+	globalGC1	238	138	240	141	psDrawLine
+	globalGC1	237 137	3 3	0 360	238 138	psFillArc
+	globalGC1	232	129	238	138	psDrawLine
+	globalGC1	231 128	3 3	0 360	232 129	psFillArc
+	globalGC1	224	116	232	129	psDrawLine
+	globalGC1	223 115	3 3	0 360	224 116	psFillArc
+	globalGC1	214	102	224	116	psDrawLine
+	globalGC1	213 101	3 3	0 360	214 102	psFillArc
+	globalGC1	209	95	214	102	psDrawLine
+	globalGC1	208 94	3 3	0 360	209 95	psFillArc
+	globalGC1	203	90	209	95	psDrawLine
+	globalGC1	202 89	3 3	0 360	203 90	psFillArc
+	globalGC1	196	87	203	90	psDrawLine
+	globalGC1	195 86	3 3	0 360	196 87	psFillArc
+	globalGC1	193	85	196	87	psDrawLine
+	globalGC1	192 84	3 3	0 360	193 85	psFillArc
+	globalGC1	189	84	193	85	psDrawLine
+	globalGC1	188 83	3 3	0 360	189 84	psFillArc
+	globalGC1	185	84	189	84	psDrawLine
+	globalGC1	184 83	3 3	0 360	185 84	psFillArc
+	globalGC1	182	84	185	84	psDrawLine
+	globalGC1	181 83	3 3	0 360	182 84	psFillArc
+	globalGC1	174	86	182	84	psDrawLine
+	globalGC1	173 85	3 3	0 360	174 86	psFillArc
+	globalGC1	167	90	174	86	psDrawLine
+	globalGC1	166 89	3 3	0 360	167 90	psFillArc
+	globalGC1	159	95	167	90	psDrawLine
+	globalGC1	158 94	3 3	0 360	159 95	psFillArc
+	globalGC1	143	111	159	95	psDrawLine
+	globalGC1	142 110	3 3	0 360	143 111	psFillArc
+	globalGC1	127	129	143	111	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	112	147	127	129	psDrawLine
+	globalGC1	111 146	3 3	0 360	112 147	psFillArc
+	globalGC1	105	154	112	147	psDrawLine
+	globalGC1	104 153	3 3	0 360	105 154	psFillArc
+	globalGC1	98	160	105	154	psDrawLine
+	globalGC1	97 159	3 3	0 360	98 160	psFillArc
+	globalGC1	95	162	98	160	psDrawLine
+	globalGC1	94 161	3 3	0 360	95 162	psFillArc
+	globalGC1	92	164	95	162	psDrawLine
+	globalGC1	91 163	3 3	0 360	92 164	psFillArc
+	globalGC1	89	165	92	164	psDrawLine
+	globalGC1	88 164	3 3	0 360	89 165	psFillArc
+	globalGC1	86	166	89	165	psDrawLine
+	globalGC1	85 165	3 3	0 360	86 166	psFillArc
+	globalGC1	83	166	86	166	psDrawLine
+	globalGC1	82 165	3 3	0 360	83 166	psFillArc
+	globalGC1	80	166	83	166	psDrawLine
+	globalGC1	79 165	3 3	0 360	80 166	psFillArc
+	globalGC1	78	165	80	166	psDrawLine
+	globalGC1	77 164	3 3	0 360	78 165	psFillArc
+	globalGC1	75	163	78	165	psDrawLine
+	globalGC1	74 162	3 3	0 360	75 163	psFillArc
+	globalGC1	70	159	75	163	psDrawLine
+	globalGC1	69 158	3 3	0 360	70 159	psFillArc
+	globalGC1	66	153	70	159	psDrawLine
+	globalGC1	65 152	3 3	0 360	66 153	psFillArc
+	globalGC1	60	136	66	153	psDrawLine
+	globalGC1	59 135	3 3	0 360	60 136	psFillArc
+	globalGC1	57	118	60	136	psDrawLine
+	globalGC1	56 117	3 3	0 360	57 118	psFillArc
+	globalGC1	56	101	57	118	psDrawLine
+	globalGC1	55 100	3 3	0 360	56 101	psFillArc
+	globalGC1	56	94	56	101	psDrawLine
+	globalGC1	55 93	3 3	0 360	56 94	psFillArc
+	globalGC1	58	88	56	94	psDrawLine
+	globalGC1	57 87	3 3	0 360	58 88	psFillArc
+	globalGC1	58	86	58	88	psDrawLine
+	globalGC1	57 85	3 3	0 360	58 86	psFillArc
+	globalGC1	59	85	58	86	psDrawLine
+	globalGC1	58 84	3 3	0 360	59 85	psFillArc
+	globalGC1	61	83	59	85	psDrawLine
+	globalGC1	60 82	3 3	0 360	61 83	psFillArc
+	globalGC1	62	83	61	83	psDrawLine
+	globalGC1	61 82	3 3	0 360	62 83	psFillArc
+	globalGC1	63	83	62	83	psDrawLine
+	globalGC1	62 82	3 3	0 360	63 83	psFillArc
+	globalGC1	65	83	63	83	psDrawLine
+	globalGC1	64 82	3 3	0 360	65 83	psFillArc
+	globalGC1	67	84	65	83	psDrawLine
+	globalGC1	66 83	3 3	0 360	67 84	psFillArc
+	globalGC1	69	85	67	84	psDrawLine
+	globalGC1	68 84	3 3	0 360	69 85	psFillArc
+	globalGC1	73	89	69	85	psDrawLine
+	globalGC1	72 88	3 3	0 360	73 89	psFillArc
+	globalGC1	78	93	73	89	psDrawLine
+	globalGC1	77 92	3 3	0 360	78 93	psFillArc
+	globalGC1	88	105	78	93	psDrawLine
+	globalGC1	87 104	3 3	0 360	88 105	psFillArc
+	globalGC1	101	117	88	105	psDrawLine
+	globalGC1	100 116	3 3	0 360	101 117	psFillArc
+	globalGC1	107	122	101	117	psDrawLine
+	globalGC1	106 121	3 3	0 360	107 122	psFillArc
+	globalGC1	114	126	107	122	psDrawLine
+	globalGC1	113 125	3 3	0 360	114 126	psFillArc
+	globalGC1	121	128	114	126	psDrawLine
+	globalGC1	120 127	3 3	0 360	121 128	psFillArc
+	globalGC1	124	129	121	128	psDrawLine
+	globalGC1	123 128	3 3	0 360	124 129	psFillArc
+	globalGC1	127	129	124	129	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	131	129	127	129	psDrawLine
+	globalGC1	130 128	3 3	0 360	131 129	psFillArc
+	globalGC1	134	128	131	129	psDrawLine
+	globalGC1	133 127	3 3	0 360	134 128	psFillArc
+	globalGC1	141	126	134	128	psDrawLine
+	globalGC1	140 125	3 3	0 360	141 126	psFillArc
+	globalGC1	148	122	141	126	psDrawLine
+	globalGC1	147 121	3 3	0 360	148 122	psFillArc
+	globalGC1	154	117	148	122	psDrawLine
+	globalGC1	153 116	3 3	0 360	154 117	psFillArc
+	globalGC1	167	105	154	117	psDrawLine
+	globalGC1	166 104	3 3	0 360	167 105	psFillArc
+	globalGC1	177	93	167	105	psDrawLine
+	globalGC1	176 92	3 3	0 360	177 93	psFillArc
+	globalGC1	182	89	177	93	psDrawLine
+	globalGC1	181 88	3 3	0 360	182 89	psFillArc
+	globalGC1	186	85	182	89	psDrawLine
+	globalGC1	185 84	3 3	0 360	186 85	psFillArc
+	globalGC1	188	84	186	85	psDrawLine
+	globalGC1	187 83	3 3	0 360	188 84	psFillArc
+	globalGC1	190	83	188	84	psDrawLine
+	globalGC1	189 82	3 3	0 360	190 83	psFillArc
+	globalGC1	192	83	190	83	psDrawLine
+	globalGC1	191 82	3 3	0 360	192 83	psFillArc
+	globalGC1	193	83	192	83	psDrawLine
+	globalGC1	192 82	3 3	0 360	193 83	psFillArc
+	globalGC1	194	83	193	83	psDrawLine
+	globalGC1	193 82	3 3	0 360	194 83	psFillArc
+	globalGC1	196	85	194	83	psDrawLine
+	globalGC1	195 84	3 3	0 360	196 85	psFillArc
+	globalGC1	197	86	196	85	psDrawLine
+	globalGC1	196 85	3 3	0 360	197 86	psFillArc
+	globalGC1	197	88	197	86	psDrawLine
+	globalGC1	196 87	3 3	0 360	197 88	psFillArc
+	globalGC1	199	94	197	88	psDrawLine
+	globalGC1	198 93	3 3	0 360	199 94	psFillArc
+	globalGC1	199	101	199	94	psDrawLine
+	globalGC1	198 100	3 3	0 360	199 101	psFillArc
+	globalGC1	198	118	199	101	psDrawLine
+	globalGC1	197 117	3 3	0 360	198 118	psFillArc
+	globalGC1	195	136	198	118	psDrawLine
+	globalGC1	194 135	3 3	0 360	195 136	psFillArc
+	globalGC1	192	145	195	136	psDrawLine
+	globalGC1	191 144	3 3	0 360	192 145	psFillArc
+	globalGC1	189	153	192	145	psDrawLine
+	globalGC1	188 152	3 3	0 360	189 153	psFillArc
+	globalGC1	185	159	189	153	psDrawLine
+	globalGC1	184 158	3 3	0 360	185 159	psFillArc
+	globalGC1	182	161	185	159	psDrawLine
+	globalGC1	181 160	3 3	0 360	182 161	psFillArc
+	globalGC1	180	163	182	161	psDrawLine
+	globalGC1	179 162	3 3	0 360	180 163	psFillArc
+	globalGC1	177	165	180	163	psDrawLine
+	globalGC1	176 164	3 3	0 360	177 165	psFillArc
+	globalGC1	175	166	177	165	psDrawLine
+	globalGC1	174 165	3 3	0 360	175 166	psFillArc
+	globalGC1	172	166	175	166	psDrawLine
+	globalGC1	171 165	3 3	0 360	172 166	psFillArc
+	globalGC1	169	166	172	166	psDrawLine
+	globalGC1	168 165	3 3	0 360	169 166	psFillArc
+	globalGC1	166	165	169	166	psDrawLine
+	globalGC1	165 164	3 3	0 360	166 165	psFillArc
+	globalGC1	163	164	166	165	psDrawLine
+	globalGC1	162 163	3 3	0 360	163 164	psFillArc
+	globalGC1	157	160	163	164	psDrawLine
+	globalGC1	156 159	3 3	0 360	157 160	psFillArc
+	globalGC1	143	147	157	160	psDrawLine
+	globalGC1	142 146	3 3	0 360	143 147	psFillArc
+	globalGC1	127	129	143	147	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	112	111	127	129	psDrawLine
+	globalGC1	111 110	3 3	0 360	112 111	psFillArc
+	globalGC1	96	95	112	111	psDrawLine
+	globalGC1	95 94	3 3	0 360	96 95	psFillArc
+	globalGC1	88	90	96	95	psDrawLine
+	globalGC1	87 89	3 3	0 360	88 90	psFillArc
+	globalGC1	81	86	88	90	psDrawLine
+	globalGC1	80 85	3 3	0 360	81 86	psFillArc
+	globalGC1	77	85	81	86	psDrawLine
+	globalGC1	76 84	3 3	0 360	77 85	psFillArc
+	globalGC1	73	84	77	85	psDrawLine
+	globalGC1	72 83	3 3	0 360	73 84	psFillArc
+	globalGC1	70	84	73	84	psDrawLine
+	globalGC1	69 83	3 3	0 360	70 84	psFillArc
+	globalGC1	66	84	70	84	psDrawLine
+	globalGC1	65 83	3 3	0 360	66 84	psFillArc
+	globalGC1	59	87	66	84	psDrawLine
+	globalGC1	58 86	3 3	0 360	59 87	psFillArc
+	globalGC1	52	90	59	87	psDrawLine
+	globalGC1	51 89	3 3	0 360	52 90	psFillArc
+	globalGC1	46	95	52	90	psDrawLine
+	globalGC1	45 94	3 3	0 360	46 95	psFillArc
+	globalGC1	41	102	46	95	psDrawLine
+	globalGC1	40 101	3 3	0 360	41 102	psFillArc
+	globalGC1	31	116	41	102	psDrawLine
+	globalGC1	30 115	3 3	0 360	31 116	psFillArc
+	globalGC1	23	129	31	116	psDrawLine
+	globalGC1	22 128	3 3	0 360	23 129	psFillArc
+	globalGC1	17	138	23	129	psDrawLine
+	globalGC1	16 137	3 3	0 360	17 138	psFillArc
+	globalGC1	15	141	17	138	psDrawLine
+	globalGC1	14 140	3 3	0 360	15 141	psFillArc
+	globalGC1	14	142	15	141	psDrawLine
+	globalGC1	13 141	3 3	0 360	14 142	psFillArc
+	globalGC1	13	142	14	142	psDrawLine
+	globalGC1	12 141	3 3	0 360	13 142	psFillArc
+	globalGC1	13	142	13	142	psDrawLine
+	globalGC1	12 141	3 3	0 360	13 142	psFillArc
+	globalGC1	13	142	13	142	psDrawLine
+	globalGC1	12 141	3 3	0 360	13 142	psFillArc
+	globalGC1	12	142	13	142	psDrawLine
+	globalGC1	11 141	3 3	0 360	12 142	psFillArc
+	globalGC1	12	141	12	142	psDrawLine
+	globalGC1	11 140	3 3	0 360	12 141	psFillArc
+	globalGC1	13	138	12	141	psDrawLine
+	globalGC1	12 137	3 3	0 360	13 138	psFillArc
+	globalGC1	13	135	13	138	psDrawLine
+	globalGC1	12 134	3 3	0 360	13 135	psFillArc
+	globalGC1	15	131	13	135	psDrawLine
+	globalGC1	14 130	3 3	0 360	15 131	psFillArc
+	globalGC1	17	128	15	131	psDrawLine
+	globalGC1	16 127	3 3	0 360	17 128	psFillArc
+	globalGC1	18	126	17	128	psDrawLine
+	globalGC1	17 125	3 3	0 360	18 126	psFillArc
+	globalGC1	19	124	18	126	psDrawLine
+	globalGC1	18 123	3 3	0 360	19 124	psFillArc
+	globalGC1	20	123	19	124	psDrawLine
+	globalGC1	19 122	3 3	0 360	20 123	psFillArc
+	globalGC1	22	122	20	123	psDrawLine
+	globalGC1	21 121	3 3	0 360	22 122	psFillArc
+	globalGC1	23	122	22	122	psDrawLine
+	globalGC1	22 121	3 3	0 360	23 122	psFillArc
+	globalGC1	25	121	23	122	psDrawLine
+	globalGC1	24 120	3 3	0 360	25 121	psFillArc
+	globalGC1	27	121	25	121	psDrawLine
+	globalGC1	26 120	3 3	0 360	27 121	psFillArc
+	globalGC1	28	122	27	121	psDrawLine
+	globalGC1	27 121	3 3	0 360	28 122	psFillArc
+	globalGC1	29	122	28	122	psDrawLine
+	globalGC1	28 121	3 3	0 360	29 122	psFillArc
+	globalGC1	30	123	29	122	psDrawLine
+	globalGC1	29 122	3 3	0 360	30 123	psFillArc
+	globalGC1	32	125	30	123	psDrawLine
+	globalGC1	31 124	3 3	0 360	32 125	psFillArc
+	globalGC1	37	129	32	125	psDrawLine
+	globalGC1	36 128	3 3	0 360	37 129	psFillArc
+	globalGC1	46	144	37	129	psDrawLine
+	globalGC1	45 143	3 3	0 360	46 144	psFillArc
+	globalGC1	55	164	46	144	psDrawLine
+	globalGC1	54 163	3 3	0 360	55 164	psFillArc
+	globalGC1	65	188	55	164	psDrawLine
+	globalGC1	64 187	3 3	0 360	65 188	psFillArc
+	globalGC1	75	212	65	188	psDrawLine
+	globalGC1	74 211	3 3	0 360	75 212	psFillArc
+	globalGC1	84	231	75	212	psDrawLine
+	globalGC1	83 230	3 3	0 360	84 231	psFillArc
+	globalGC1	89	238	84	231	psDrawLine
+	globalGC1	88 237	3 3	0 360	89 238	psFillArc
+	globalGC1	91	240	89	238	psDrawLine
+	globalGC1	90 239	3 3	0 360	91 240	psFillArc
+	globalGC1	93	242	91	240	psDrawLine
+	globalGC1	92 241	3 3	0 360	93 242	psFillArc
+	globalGC1	95	243	93	242	psDrawLine
+	globalGC1	94 242	3 3	0 360	95 243	psFillArc
+	globalGC1	96	244	95	243	psDrawLine
+	globalGC1	95 243	3 3	0 360	96 244	psFillArc
+	globalGC1	97	244	96	244	psDrawLine
+	globalGC1	96 243	3 3	0 360	97 244	psFillArc
+	globalGC1	98	244	97	244	psDrawLine
+	globalGC1	97 243	3 3	0 360	98 244	psFillArc
+	globalGC1	99	244	98	244	psDrawLine
+	globalGC1	98 243	3 3	0 360	99 244	psFillArc
+	globalGC1	100	244	99	244	psDrawLine
+	globalGC1	99 243	3 3	0 360	100 244	psFillArc
+	globalGC1	101	244	100	244	psDrawLine
+	globalGC1	100 243	3 3	0 360	101 244	psFillArc
+	globalGC1	102	243	101	244	psDrawLine
+	globalGC1	101 242	3 3	0 360	102 243	psFillArc
+	globalGC1	103	242	102	243	psDrawLine
+	globalGC1	102 241	3 3	0 360	103 242	psFillArc
+	globalGC1	105	241	103	242	psDrawLine
+	globalGC1	104 240	3 3	0 360	105 241	psFillArc
+	globalGC1	108	235	105	241	psDrawLine
+	globalGC1	107 234	3 3	0 360	108 235	psFillArc
+	globalGC1	111	228	108	235	psDrawLine
+	globalGC1	110 227	3 3	0 360	111 228	psFillArc
+	globalGC1	114	219	111	228	psDrawLine
+	globalGC1	113 218	3 3	0 360	114 219	psFillArc
+	globalGC1	119	198	114	219	psDrawLine
+	globalGC1	118 197	3 3	0 360	119 198	psFillArc
+	globalGC1	122	176	119	198	psDrawLine
+	globalGC1	121 175	3 3	0 360	122 176	psFillArc
+	globalGC1	125	156	122	176	psDrawLine
+	globalGC1	124 155	3 3	0 360	125 156	psFillArc
+	globalGC1	127	133	125	156	psDrawLine
+	globalGC1	126 132	3 3	0 360	127 133	psFillArc
+	globalGC1	127	129	127	133	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2dppcb.ps b/books/ps/2dppcb.ps
new file mode 100644
index 0000000..12ffb78
--- /dev/null
+++ b/books/ps/2dppcb.ps
@@ -0,0 +1,414 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	300	151	0	151	psDrawLine
+	globalGC1	150	303	150	0	psDrawLine
+	unitGC	150	153	150	149	psDrawLine
+	unitGC	138	166	(0.00)	(window)	psDrawIStr
+	unitGC	207	153	207	149	psDrawLine
+	unitGC	195	166	(0.40)	(window)	psDrawIStr
+	unitGC	264	153	264	149	psDrawLine
+	unitGC	252	166	(0.80)	(window)	psDrawIStr
+	unitGC	92	153	92	149	psDrawLine
+	unitGC	77	166	(-0.40)	(window)	psDrawIStr
+	unitGC	34	153	34	149	psDrawLine
+	unitGC	19	166	(-0.80)	(window)	psDrawIStr
+	unitGC	152	93	148	93	psDrawLine
+	unitGC	114	98	(0.40)	(window)	psDrawIStr
+	unitGC	152	35	148	35	psDrawLine
+	unitGC	114	40	(0.80)	(window)	psDrawIStr
+	unitGC	152	209	148	209	psDrawLine
+	unitGC	105	214	(-0.40)	(window)	psDrawIStr
+	unitGC	152	266	148	266	psDrawLine
+	unitGC	105	271	(-0.80)	(window)	psDrawIStr
+	globalGC1	293 150	3 3	0 360	294 151	psFillArc
+	globalGC1	294	151	294	151	psDrawLine
+	globalGC1	293 150	3 3	0 360	294 151	psFillArc
+	globalGC1	293	132	294	151	psDrawLine
+	globalGC1	292 131	3 3	0 360	293 132	psFillArc
+	globalGC1	289	114	293	132	psDrawLine
+	globalGC1	288 113	3 3	0 360	289 114	psFillArc
+	globalGC1	283	96	289	114	psDrawLine
+	globalGC1	282 95	3 3	0 360	283 96	psFillArc
+	globalGC1	275	79	283	96	psDrawLine
+	globalGC1	274 78	3 3	0 360	275 79	psFillArc
+	globalGC1	264	63	275	79	psDrawLine
+	globalGC1	263 62	3 3	0 360	264 63	psFillArc
+	globalGC1	252	49	264	63	psDrawLine
+	globalGC1	251 48	3 3	0 360	252 49	psFillArc
+	globalGC1	238	36	252	49	psDrawLine
+	globalGC1	237 35	3 3	0 360	238 36	psFillArc
+	globalGC1	222	26	238	36	psDrawLine
+	globalGC1	221 25	3 3	0 360	222 26	psFillArc
+	globalGC1	205	17	222	26	psDrawLine
+	globalGC1	204 16	3 3	0 360	205 17	psFillArc
+	globalGC1	187	11	205	17	psDrawLine
+	globalGC1	186 10	3 3	0 360	187 11	psFillArc
+	globalGC1	168	8	187	11	psDrawLine
+	globalGC1	167 7	3 3	0 360	168 8	psFillArc
+	globalGC1	149	6	168	8	psDrawLine
+	globalGC1	148 5	3 3	0 360	149 6	psFillArc
+	globalGC1	131	8	149	6	psDrawLine
+	globalGC1	130 7	3 3	0 360	131 8	psFillArc
+	globalGC1	112	11	131	8	psDrawLine
+	globalGC1	111 10	3 3	0 360	112 11	psFillArc
+	globalGC1	94	17	112	11	psDrawLine
+	globalGC1	93 16	3 3	0 360	94 17	psFillArc
+	globalGC1	77	26	94	17	psDrawLine
+	globalGC1	76 25	3 3	0 360	77 26	psFillArc
+	globalGC1	61	36	77	26	psDrawLine
+	globalGC1	60 35	3 3	0 360	61 36	psFillArc
+	globalGC1	47	49	61	36	psDrawLine
+	globalGC1	46 48	3 3	0 360	47 49	psFillArc
+	globalGC1	35	63	47	49	psDrawLine
+	globalGC1	34 62	3 3	0 360	35 63	psFillArc
+	globalGC1	24	79	35	63	psDrawLine
+	globalGC1	23 78	3 3	0 360	24 79	psFillArc
+	globalGC1	16	96	24	79	psDrawLine
+	globalGC1	15 95	3 3	0 360	16 96	psFillArc
+	globalGC1	10	114	16	96	psDrawLine
+	globalGC1	9 113	3 3	0 360	10 114	psFillArc
+	globalGC1	6	132	10	114	psDrawLine
+	globalGC1	5 131	3 3	0 360	6 132	psFillArc
+	globalGC1	5	151	6	132	psDrawLine
+	globalGC1	4 150	3 3	0 360	5 151	psFillArc
+	globalGC1	6	170	5	151	psDrawLine
+	globalGC1	5 169	3 3	0 360	6 170	psFillArc
+	globalGC1	10	188	6	170	psDrawLine
+	globalGC1	9 187	3 3	0 360	10 188	psFillArc
+	globalGC1	16	206	10	188	psDrawLine
+	globalGC1	15 205	3 3	0 360	16 206	psFillArc
+	globalGC1	24	223	16	206	psDrawLine
+	globalGC1	23 222	3 3	0 360	24 223	psFillArc
+	globalGC1	35	239	24	223	psDrawLine
+	globalGC1	34 238	3 3	0 360	35 239	psFillArc
+	globalGC1	47	253	35	239	psDrawLine
+	globalGC1	46 252	3 3	0 360	47 253	psFillArc
+	globalGC1	61	266	47	253	psDrawLine
+	globalGC1	60 265	3 3	0 360	61 266	psFillArc
+	globalGC1	77	276	61	266	psDrawLine
+	globalGC1	76 275	3 3	0 360	77 276	psFillArc
+	globalGC1	94	285	77	276	psDrawLine
+	globalGC1	93 284	3 3	0 360	94 285	psFillArc
+	globalGC1	112	291	94	285	psDrawLine
+	globalGC1	111 290	3 3	0 360	112 291	psFillArc
+	globalGC1	131	294	112	291	psDrawLine
+	globalGC1	130 293	3 3	0 360	131 294	psFillArc
+	globalGC1	149	296	131	294	psDrawLine
+	globalGC1	148 295	3 3	0 360	149 296	psFillArc
+	globalGC1	168	294	149	296	psDrawLine
+	globalGC1	167 293	3 3	0 360	168 294	psFillArc
+	globalGC1	187	291	168	294	psDrawLine
+	globalGC1	186 290	3 3	0 360	187 291	psFillArc
+	globalGC1	205	285	187	291	psDrawLine
+	globalGC1	204 284	3 3	0 360	205 285	psFillArc
+	globalGC1	222	276	205	285	psDrawLine
+	globalGC1	221 275	3 3	0 360	222 276	psFillArc
+	globalGC1	238	266	222	276	psDrawLine
+	globalGC1	237 265	3 3	0 360	238 266	psFillArc
+	globalGC1	252	253	238	266	psDrawLine
+	globalGC1	251 252	3 3	0 360	252 253	psFillArc
+	globalGC1	264	239	252	253	psDrawLine
+	globalGC1	263 238	3 3	0 360	264 239	psFillArc
+	globalGC1	275	223	264	239	psDrawLine
+	globalGC1	274 222	3 3	0 360	275 223	psFillArc
+	globalGC1	283	206	275	223	psDrawLine
+	globalGC1	282 205	3 3	0 360	283 206	psFillArc
+	globalGC1	289	188	283	206	psDrawLine
+	globalGC1	288 187	3 3	0 360	289 188	psFillArc
+	globalGC1	293	170	289	188	psDrawLine
+	globalGC1	292 169	3 3	0 360	293 170	psFillArc
+	globalGC1	294	151	293	170	psDrawLine
+	globalGC1	293 150	3 3	0 360	294 151	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2dppcc.ps b/books/ps/2dppcc.ps
new file mode 100644
index 0000000..6f86ea9
--- /dev/null
+++ b/books/ps/2dppcc.ps
@@ -0,0 +1,424 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	300	280	0	280	psDrawLine
+	globalGC1	7	303	7	0	psDrawLine
+	unitGC	61	282	61	278	psDrawLine
+	unitGC	49	295	(0.20)	(window)	psDrawIStr
+	unitGC	115	282	115	278	psDrawLine
+	unitGC	103	295	(0.40)	(window)	psDrawIStr
+	unitGC	169	282	169	278	psDrawLine
+	unitGC	157	295	(0.60)	(window)	psDrawIStr
+	unitGC	223	282	223	278	psDrawLine
+	unitGC	211	295	(0.80)	(window)	psDrawIStr
+	unitGC	277	282	277	278	psDrawLine
+	unitGC	265	295	(1.00)	(window)	psDrawIStr
+	unitGC	9	226	5	226	psDrawLine
+	unitGC	-29	231	(0.20)	(window)	psDrawIStr
+	unitGC	9	172	5	172	psDrawLine
+	unitGC	-29	177	(0.40)	(window)	psDrawIStr
+	unitGC	9	118	5	118	psDrawLine
+	unitGC	-29	123	(0.60)	(window)	psDrawIStr
+	unitGC	9	64	5	64	psDrawLine
+	unitGC	-29	69	(0.80)	(window)	psDrawIStr
+	unitGC	9	10	5	10	psDrawLine
+	unitGC	-29	15	(1.00)	(window)	psDrawIStr
+	globalGC1	6 279	3 3	0 360	7 280	psFillArc
+	globalGC1	7	280	7	280	psDrawLine
+	globalGC1	6 279	3 3	0 360	7 280	psFillArc
+	globalGC1	20	262	7	280	psDrawLine
+	globalGC1	19 261	3 3	0 360	20 262	psFillArc
+	globalGC1	33	245	20	262	psDrawLine
+	globalGC1	32 244	3 3	0 360	33 245	psFillArc
+	globalGC1	46	227	33	245	psDrawLine
+	globalGC1	45 226	3 3	0 360	46 227	psFillArc
+	globalGC1	59	210	46	227	psDrawLine
+	globalGC1	58 209	3 3	0 360	59 210	psFillArc
+	globalGC1	72	193	59	210	psDrawLine
+	globalGC1	71 192	3 3	0 360	72 193	psFillArc
+	globalGC1	85	177	72	193	psDrawLine
+	globalGC1	84 176	3 3	0 360	85 177	psFillArc
+	globalGC1	98	161	85	177	psDrawLine
+	globalGC1	97 160	3 3	0 360	98 161	psFillArc
+	globalGC1	110	145	98	161	psDrawLine
+	globalGC1	109 144	3 3	0 360	110 145	psFillArc
+	globalGC1	122	130	110	145	psDrawLine
+	globalGC1	121 129	3 3	0 360	122 130	psFillArc
+	globalGC1	134	116	122	130	psDrawLine
+	globalGC1	133 115	3 3	0 360	134 116	psFillArc
+	globalGC1	146	102	134	116	psDrawLine
+	globalGC1	145 101	3 3	0 360	146 102	psFillArc
+	globalGC1	157	89	146	102	psDrawLine
+	globalGC1	156 88	3 3	0 360	157 89	psFillArc
+	globalGC1	168	77	157	89	psDrawLine
+	globalGC1	167 76	3 3	0 360	168 77	psFillArc
+	globalGC1	178	66	168	77	psDrawLine
+	globalGC1	177 65	3 3	0 360	178 66	psFillArc
+	globalGC1	188	56	178	66	psDrawLine
+	globalGC1	187 55	3 3	0 360	188 56	psFillArc
+	globalGC1	198	46	188	56	psDrawLine
+	globalGC1	197 45	3 3	0 360	198 46	psFillArc
+	globalGC1	207	38	198	46	psDrawLine
+	globalGC1	206 37	3 3	0 360	207 38	psFillArc
+	globalGC1	215	31	207	38	psDrawLine
+	globalGC1	214 30	3 3	0 360	215 31	psFillArc
+	globalGC1	224	24	215	31	psDrawLine
+	globalGC1	223 23	3 3	0 360	224 24	psFillArc
+	globalGC1	231	19	224	24	psDrawLine
+	globalGC1	230 18	3 3	0 360	231 19	psFillArc
+	globalGC1	238	15	231	19	psDrawLine
+	globalGC1	237 14	3 3	0 360	238 15	psFillArc
+	globalGC1	245	12	238	15	psDrawLine
+	globalGC1	244 11	3 3	0 360	245 12	psFillArc
+	globalGC1	251	11	245	12	psDrawLine
+	globalGC1	250 10	3 3	0 360	251 11	psFillArc
+	globalGC1	256	10	251	11	psDrawLine
+	globalGC1	255 9	3 3	0 360	256 10	psFillArc
+	globalGC1	259	10	256	10	psDrawLine
+	globalGC1	258 9	3 3	0 360	259 10	psFillArc
+	globalGC1	261	11	259	10	psDrawLine
+	globalGC1	260 10	3 3	0 360	261 11	psFillArc
+	globalGC1	263	11	261	11	psDrawLine
+	globalGC1	262 10	3 3	0 360	263 11	psFillArc
+	globalGC1	265	12	263	11	psDrawLine
+	globalGC1	264 11	3 3	0 360	265 12	psFillArc
+	globalGC1	267	14	265	12	psDrawLine
+	globalGC1	266 13	3 3	0 360	267 14	psFillArc
+	globalGC1	269	15	267	14	psDrawLine
+	globalGC1	268 14	3 3	0 360	269 15	psFillArc
+	globalGC1	270	17	269	15	psDrawLine
+	globalGC1	269 16	3 3	0 360	270 17	psFillArc
+	globalGC1	272	19	270	17	psDrawLine
+	globalGC1	271 18	3 3	0 360	272 19	psFillArc
+	globalGC1	274	24	272	19	psDrawLine
+	globalGC1	273 23	3 3	0 360	274 24	psFillArc
+	globalGC1	275	31	274	24	psDrawLine
+	globalGC1	274 30	3 3	0 360	275 31	psFillArc
+	globalGC1	276	38	275	31	psDrawLine
+	globalGC1	275 37	3 3	0 360	276 38	psFillArc
+	globalGC1	277	46	276	38	psDrawLine
+	globalGC1	276 45	3 3	0 360	277 46	psFillArc
+	globalGC1	276	56	277	46	psDrawLine
+	globalGC1	275 55	3 3	0 360	276 56	psFillArc
+	globalGC1	275	66	276	56	psDrawLine
+	globalGC1	274 65	3 3	0 360	275 66	psFillArc
+	globalGC1	274	77	275	66	psDrawLine
+	globalGC1	273 76	3 3	0 360	274 77	psFillArc
+	globalGC1	272	89	274	77	psDrawLine
+	globalGC1	271 88	3 3	0 360	272 89	psFillArc
+	globalGC1	269	102	272	89	psDrawLine
+	globalGC1	268 101	3 3	0 360	269 102	psFillArc
+	globalGC1	265	116	269	102	psDrawLine
+	globalGC1	264 115	3 3	0 360	265 116	psFillArc
+	globalGC1	261	130	265	116	psDrawLine
+	globalGC1	260 129	3 3	0 360	261 130	psFillArc
+	globalGC1	256	145	261	130	psDrawLine
+	globalGC1	255 144	3 3	0 360	256 145	psFillArc
+	globalGC1	251	161	256	145	psDrawLine
+	globalGC1	250 160	3 3	0 360	251 161	psFillArc
+	globalGC1	245	177	251	161	psDrawLine
+	globalGC1	244 176	3 3	0 360	245 177	psFillArc
+	globalGC1	238	193	245	177	psDrawLine
+	globalGC1	237 192	3 3	0 360	238 193	psFillArc
+	globalGC1	231	210	238	193	psDrawLine
+	globalGC1	230 209	3 3	0 360	231 210	psFillArc
+	globalGC1	224	227	231	210	psDrawLine
+	globalGC1	223 226	3 3	0 360	224 227	psFillArc
+	globalGC1	215	245	224	227	psDrawLine
+	globalGC1	214 244	3 3	0 360	215 245	psFillArc
+	globalGC1	207	262	215	245	psDrawLine
+	globalGC1	206 261	3 3	0 360	207 262	psFillArc
+	globalGC1	198	280	207	262	psDrawLine
+	globalGC1	197 279	3 3	0 360	198 280	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/2dppce.ps b/books/ps/2dppce.ps
new file mode 100644
index 0000000..a54a6ca
--- /dev/null
+++ b/books/ps/2dppce.ps
@@ -0,0 +1,571 @@
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	24	259	256	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	256	129	0	129	psDrawLine
+	globalGC1	128	259	128	0	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	127	129	127	129	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	105	99	127	129	psDrawLine
+	globalGC1	104 98	3 3	0 360	105 99	psFillArc
+	globalGC1	83	71	105	99	psDrawLine
+	globalGC1	82 70	3 3	0 360	83 71	psFillArc
+	globalGC1	63	48	83	71	psDrawLine
+	globalGC1	62 47	3 3	0 360	63 48	psFillArc
+	globalGC1	46	29	63	48	psDrawLine
+	globalGC1	45 28	3 3	0 360	46 29	psFillArc
+	globalGC1	38	23	46	29	psDrawLine
+	globalGC1	37 22	3 3	0 360	38 23	psFillArc
+	globalGC1	32	18	38	23	psDrawLine
+	globalGC1	31 17	3 3	0 360	32 18	psFillArc
+	globalGC1	29	16	32	18	psDrawLine
+	globalGC1	28 15	3 3	0 360	29 16	psFillArc
+	globalGC1	26	15	29	16	psDrawLine
+	globalGC1	25 14	3 3	0 360	26 15	psFillArc
+	globalGC1	23	14	26	15	psDrawLine
+	globalGC1	22 13	3 3	0 360	23 14	psFillArc
+	globalGC1	21	14	23	14	psDrawLine
+	globalGC1	20 13	3 3	0 360	21 14	psFillArc
+	globalGC1	20	14	21	14	psDrawLine
+	globalGC1	19 13	3 3	0 360	20 14	psFillArc
+	globalGC1	19	14	20	14	psDrawLine
+	globalGC1	18 13	3 3	0 360	19 14	psFillArc
+	globalGC1	18	14	19	14	psDrawLine
+	globalGC1	17 13	3 3	0 360	18 14	psFillArc
+	globalGC1	17	15	18	14	psDrawLine
+	globalGC1	16 14	3 3	0 360	17 15	psFillArc
+	globalGC1	16	15	17	15	psDrawLine
+	globalGC1	15 14	3 3	0 360	16 15	psFillArc
+	globalGC1	16	16	16	15	psDrawLine
+	globalGC1	15 15	3 3	0 360	16 16	psFillArc
+	globalGC1	15	17	16	16	psDrawLine
+	globalGC1	14 16	3 3	0 360	15 17	psFillArc
+	globalGC1	15	18	15	17	psDrawLine
+	globalGC1	14 17	3 3	0 360	15 18	psFillArc
+	globalGC1	13	23	15	18	psDrawLine
+	globalGC1	12 22	3 3	0 360	13 23	psFillArc
+	globalGC1	12	29	13	23	psDrawLine
+	globalGC1	11 28	3 3	0 360	12 29	psFillArc
+	globalGC1	15	48	12	29	psDrawLine
+	globalGC1	14 47	3 3	0 360	15 48	psFillArc
+	globalGC1	21	71	15	48	psDrawLine
+	globalGC1	20 70	3 3	0 360	21 71	psFillArc
+	globalGC1	32	99	21	71	psDrawLine
+	globalGC1	31 98	3 3	0 360	32 99	psFillArc
+	globalGC1	46	129	32	99	psDrawLine
+	globalGC1	45 128	3 3	0 360	46 129	psFillArc
+	globalGC1	63	159	46	129	psDrawLine
+	globalGC1	62 158	3 3	0 360	63 159	psFillArc
+	globalGC1	83	187	63	159	psDrawLine
+	globalGC1	82 186	3 3	0 360	83 187	psFillArc
+	globalGC1	105	210	83	187	psDrawLine
+	globalGC1	104 209	3 3	0 360	105 210	psFillArc
+	globalGC1	127	229	105	210	psDrawLine
+	globalGC1	126 228	3 3	0 360	127 229	psFillArc
+	globalGC1	139	235	127	229	psDrawLine
+	globalGC1	138 234	3 3	0 360	139 235	psFillArc
+	globalGC1	150	240	139	235	psDrawLine
+	globalGC1	149 239	3 3	0 360	150 240	psFillArc
+	globalGC1	161	243	150	240	psDrawLine
+	globalGC1	160 242	3 3	0 360	161 243	psFillArc
+	globalGC1	172	244	161	243	psDrawLine
+	globalGC1	171 243	3 3	0 360	172 244	psFillArc
+	globalGC1	182	243	172	244	psDrawLine
+	globalGC1	181 242	3 3	0 360	182 243	psFillArc
+	globalGC1	192	240	182	243	psDrawLine
+	globalGC1	191 239	3 3	0 360	192 240	psFillArc
+	globalGC1	201	235	192	240	psDrawLine
+	globalGC1	200 234	3 3	0 360	201 235	psFillArc
+	globalGC1	209	229	201	235	psDrawLine
+	globalGC1	208 228	3 3	0 360	209 229	psFillArc
+	globalGC1	223	210	209	229	psDrawLine
+	globalGC1	222 209	3 3	0 360	223 210	psFillArc
+	globalGC1	234	187	223	210	psDrawLine
+	globalGC1	233 186	3 3	0 360	234 187	psFillArc
+	globalGC1	240	159	234	187	psDrawLine
+	globalGC1	239 158	3 3	0 360	240 159	psFillArc
+	globalGC1	243	129	240	159	psDrawLine
+	globalGC1	242 128	3 3	0 360	243 129	psFillArc
+	globalGC1	240	99	243	129	psDrawLine
+	globalGC1	239 98	3 3	0 360	240 99	psFillArc
+	globalGC1	234	71	240	99	psDrawLine
+	globalGC1	233 70	3 3	0 360	234 71	psFillArc
+	globalGC1	223	48	234	71	psDrawLine
+	globalGC1	222 47	3 3	0 360	223 48	psFillArc
+	globalGC1	217	38	223	48	psDrawLine
+	globalGC1	216 37	3 3	0 360	217 38	psFillArc
+	globalGC1	209	29	217	38	psDrawLine
+	globalGC1	208 28	3 3	0 360	209 29	psFillArc
+	globalGC1	201	23	209	29	psDrawLine
+	globalGC1	200 22	3 3	0 360	201 23	psFillArc
+	globalGC1	192	18	201	23	psDrawLine
+	globalGC1	191 17	3 3	0 360	192 18	psFillArc
+	globalGC1	182	15	192	18	psDrawLine
+	globalGC1	181 14	3 3	0 360	182 15	psFillArc
+	globalGC1	172	14	182	15	psDrawLine
+	globalGC1	171 13	3 3	0 360	172 14	psFillArc
+	globalGC1	161	15	172	14	psDrawLine
+	globalGC1	160 14	3 3	0 360	161 15	psFillArc
+	globalGC1	150	18	161	15	psDrawLine
+	globalGC1	149 17	3 3	0 360	150 18	psFillArc
+	globalGC1	128	29	150	18	psDrawLine
+	globalGC1	127 28	3 3	0 360	128 29	psFillArc
+	globalGC1	105	48	128	29	psDrawLine
+	globalGC1	104 47	3 3	0 360	105 48	psFillArc
+	globalGC1	83	71	105	48	psDrawLine
+	globalGC1	82 70	3 3	0 360	83 71	psFillArc
+	globalGC1	63	99	83	71	psDrawLine
+	globalGC1	62 98	3 3	0 360	63 99	psFillArc
+	globalGC1	46	129	63	99	psDrawLine
+	globalGC1	45 128	3 3	0 360	46 129	psFillArc
+	globalGC1	32	159	46	129	psDrawLine
+	globalGC1	31 158	3 3	0 360	32 159	psFillArc
+	globalGC1	21	187	32	159	psDrawLine
+	globalGC1	20 186	3 3	0 360	21 187	psFillArc
+	globalGC1	15	210	21	187	psDrawLine
+	globalGC1	14 209	3 3	0 360	15 210	psFillArc
+	globalGC1	13	220	15	210	psDrawLine
+	globalGC1	12 219	3 3	0 360	13 220	psFillArc
+	globalGC1	12	229	13	220	psDrawLine
+	globalGC1	11 228	3 3	0 360	12 229	psFillArc
+	globalGC1	13	235	12	229	psDrawLine
+	globalGC1	12 234	3 3	0 360	13 235	psFillArc
+	globalGC1	14	238	13	235	psDrawLine
+	globalGC1	13 237	3 3	0 360	14 238	psFillArc
+	globalGC1	15	240	14	238	psDrawLine
+	globalGC1	14 239	3 3	0 360	15 240	psFillArc
+	globalGC1	15	241	15	240	psDrawLine
+	globalGC1	14 240	3 3	0 360	15 241	psFillArc
+	globalGC1	16	242	15	241	psDrawLine
+	globalGC1	15 241	3 3	0 360	16 242	psFillArc
+	globalGC1	16	243	16	242	psDrawLine
+	globalGC1	15 242	3 3	0 360	16 243	psFillArc
+	globalGC1	17	243	16	243	psDrawLine
+	globalGC1	16 242	3 3	0 360	17 243	psFillArc
+	globalGC1	18	244	17	243	psDrawLine
+	globalGC1	17 243	3 3	0 360	18 244	psFillArc
+	globalGC1	19	244	18	244	psDrawLine
+	globalGC1	18 243	3 3	0 360	19 244	psFillArc
+	globalGC1	20	244	19	244	psDrawLine
+	globalGC1	19 243	3 3	0 360	20 244	psFillArc
+	globalGC1	21	244	20	244	psDrawLine
+	globalGC1	20 243	3 3	0 360	21 244	psFillArc
+	globalGC1	23	244	21	244	psDrawLine
+	globalGC1	22 243	3 3	0 360	23 244	psFillArc
+	globalGC1	26	243	23	244	psDrawLine
+	globalGC1	25 242	3 3	0 360	26 243	psFillArc
+	globalGC1	32	240	26	243	psDrawLine
+	globalGC1	31 239	3 3	0 360	32 240	psFillArc
+	globalGC1	46	229	32	240	psDrawLine
+	globalGC1	45 228	3 3	0 360	46 229	psFillArc
+	globalGC1	63	210	46	229	psDrawLine
+	globalGC1	62 209	3 3	0 360	63 210	psFillArc
+	globalGC1	83	187	63	210	psDrawLine
+	globalGC1	82 186	3 3	0 360	83 187	psFillArc
+	globalGC1	105	159	83	187	psDrawLine
+	globalGC1	104 158	3 3	0 360	105 159	psFillArc
+	globalGC1	127	129	105	159	psDrawLine
+	globalGC1	126 128	3 3	0 360	127 129	psFillArc
+	globalGC1	150	99	127	129	psDrawLine
+	globalGC1	149 98	3 3	0 360	150 99	psFillArc
+	globalGC1	172	71	150	99	psDrawLine
+	globalGC1	171 70	3 3	0 360	172 71	psFillArc
+	globalGC1	192	48	172	71	psDrawLine
+	globalGC1	191 47	3 3	0 360	192 48	psFillArc
+	globalGC1	209	29	192	48	psDrawLine
+	globalGC1	208 28	3 3	0 360	209 29	psFillArc
+	globalGC1	217	23	209	29	psDrawLine
+	globalGC1	216 22	3 3	0 360	217 23	psFillArc
+	globalGC1	223	18	217	23	psDrawLine
+	globalGC1	222 17	3 3	0 360	223 18	psFillArc
+	globalGC1	226	16	223	18	psDrawLine
+	globalGC1	225 15	3 3	0 360	226 16	psFillArc
+	globalGC1	229	15	226	16	psDrawLine
+	globalGC1	228 14	3 3	0 360	229 15	psFillArc
+	globalGC1	232	14	229	15	psDrawLine
+	globalGC1	231 13	3 3	0 360	232 14	psFillArc
+	globalGC1	234	14	232	14	psDrawLine
+	globalGC1	233 13	3 3	0 360	234 14	psFillArc
+	globalGC1	235	14	234	14	psDrawLine
+	globalGC1	234 13	3 3	0 360	235 14	psFillArc
+	globalGC1	236	14	235	14	psDrawLine
+	globalGC1	235 13	3 3	0 360	236 14	psFillArc
+	globalGC1	237	14	236	14	psDrawLine
+	globalGC1	236 13	3 3	0 360	237 14	psFillArc
+	globalGC1	238	15	237	14	psDrawLine
+	globalGC1	237 14	3 3	0 360	238 15	psFillArc
+	globalGC1	239	15	238	15	psDrawLine
+	globalGC1	238 14	3 3	0 360	239 15	psFillArc
+	globalGC1	239	16	239	15	psDrawLine
+	globalGC1	238 15	3 3	0 360	239 16	psFillArc
+	globalGC1	240	17	239	16	psDrawLine
+	globalGC1	239 16	3 3	0 360	240 17	psFillArc
+	globalGC1	240	18	240	17	psDrawLine
+	globalGC1	239 17	3 3	0 360	240 18	psFillArc
+	globalGC1	242	23	240	18	psDrawLine
+	globalGC1	241 22	3 3	0 360	242 23	psFillArc
+	globalGC1	243	29	242	23	psDrawLine
+	globalGC1	242 28	3 3	0 360	243 29	psFillArc
+	globalGC1	240	48	243	29	psDrawLine
+	globalGC1	239 47	3 3	0 360	240 48	psFillArc
+	globalGC1	234	71	240	48	psDrawLine
+	globalGC1	233 70	3 3	0 360	234 71	psFillArc
+	globalGC1	223	99	234	71	psDrawLine
+	globalGC1	222 98	3 3	0 360	223 99	psFillArc
+	globalGC1	209	129	223	99	psDrawLine
+	globalGC1	208 128	3 3	0 360	209 129	psFillArc
+	globalGC1	192	159	209	129	psDrawLine
+	globalGC1	191 158	3 3	0 360	192 159	psFillArc
+	globalGC1	172	187	192	159	psDrawLine
+	globalGC1	171 186	3 3	0 360	172 187	psFillArc
+	globalGC1	150	210	172	187	psDrawLine
+	globalGC1	149 209	3 3	0 360	150 210	psFillArc
+	globalGC1	128	229	150	210	psDrawLine
+	globalGC1	127 228	3 3	0 360	128 229	psFillArc
+	globalGC1	116	235	128	229	psDrawLine
+	globalGC1	115 234	3 3	0 360	116 235	psFillArc
+	globalGC1	105	240	116	235	psDrawLine
+	globalGC1	104 239	3 3	0 360	105 240	psFillArc
+	globalGC1	94	243	105	240	psDrawLine
+	globalGC1	93 242	3 3	0 360	94 243	psFillArc
+	globalGC1	83	244	94	243	psDrawLine
+	globalGC1	82 243	3 3	0 360	83 244	psFillArc
+	globalGC1	73	243	83	244	psDrawLine
+	globalGC1	72 242	3 3	0 360	73 243	psFillArc
+	globalGC1	63	240	73	243	psDrawLine
+	globalGC1	62 239	3 3	0 360	63 240	psFillArc
+	globalGC1	54	235	63	240	psDrawLine
+	globalGC1	53 234	3 3	0 360	54 235	psFillArc
+	globalGC1	46	229	54	235	psDrawLine
+	globalGC1	45 228	3 3	0 360	46 229	psFillArc
+	globalGC1	32	210	46	229	psDrawLine
+	globalGC1	31 209	3 3	0 360	32 210	psFillArc
+	globalGC1	21	187	32	210	psDrawLine
+	globalGC1	20 186	3 3	0 360	21 187	psFillArc
+	globalGC1	15	159	21	187	psDrawLine
+	globalGC1	14 158	3 3	0 360	15 159	psFillArc
+	globalGC1	12	129	15	159	psDrawLine
+	globalGC1	11 128	3 3	0 360	12 129	psFillArc
+	globalGC1	15	99	12	129	psDrawLine
+	globalGC1	14 98	3 3	0 360	15 99	psFillArc
+	globalGC1	21	71	15	99	psDrawLine
+	globalGC1	20 70	3 3	0 360	21 71	psFillArc
+	globalGC1	32	48	21	71	psDrawLine
+	globalGC1	31 47	3 3	0 360	32 48	psFillArc
+	globalGC1	38	38	32	48	psDrawLine
+	globalGC1	37 37	3 3	0 360	38 38	psFillArc
+	globalGC1	46	29	38	38	psDrawLine
+	globalGC1	45 28	3 3	0 360	46 29	psFillArc
+	globalGC1	54	23	46	29	psDrawLine
+	globalGC1	53 22	3 3	0 360	54 23	psFillArc
+	globalGC1	63	18	54	23	psDrawLine
+	globalGC1	62 17	3 3	0 360	63 18	psFillArc
+	globalGC1	73	15	63	18	psDrawLine
+	globalGC1	72 14	3 3	0 360	73 15	psFillArc
+	globalGC1	83	14	73	15	psDrawLine
+	globalGC1	82 13	3 3	0 360	83 14	psFillArc
+	globalGC1	94	15	83	14	psDrawLine
+	globalGC1	93 14	3 3	0 360	94 15	psFillArc
+	globalGC1	105	18	94	15	psDrawLine
+	globalGC1	104 17	3 3	0 360	105 18	psFillArc
+	globalGC1	127	29	105	18	psDrawLine
+	globalGC1	126 28	3 3	0 360	127 29	psFillArc
+	globalGC1	150	48	127	29	psDrawLine
+	globalGC1	149 47	3 3	0 360	150 48	psFillArc
+	globalGC1	172	71	150	48	psDrawLine
+	globalGC1	171 70	3 3	0 360	172 71	psFillArc
+	globalGC1	192	99	172	71	psDrawLine
+	globalGC1	191 98	3 3	0 360	192 99	psFillArc
+	globalGC1	209	129	192	99	psDrawLine
+	globalGC1	208 128	3 3	0 360	209 129	psFillArc
+	globalGC1	223	159	209	129	psDrawLine
+	globalGC1	222 158	3 3	0 360	223 159	psFillArc
+	globalGC1	234	187	223	159	psDrawLine
+	globalGC1	233 186	3 3	0 360	234 187	psFillArc
+	globalGC1	240	210	234	187	psDrawLine
+	globalGC1	239 209	3 3	0 360	240 210	psFillArc
+	globalGC1	242	220	240	210	psDrawLine
+	globalGC1	241 219	3 3	0 360	242 220	psFillArc
+	globalGC1	243	229	242	220	psDrawLine
+	globalGC1	242 228	3 3	0 360	243 229	psFillArc
+	globalGC1	242	235	243	229	psDrawLine
+	globalGC1	241 234	3 3	0 360	242 235	psFillArc
+	globalGC1	241	238	242	235	psDrawLine
+	globalGC1	240 237	3 3	0 360	241 238	psFillArc
+	globalGC1	240	240	241	238	psDrawLine
+	globalGC1	239 239	3 3	0 360	240 240	psFillArc
+	globalGC1	240	241	240	240	psDrawLine
+	globalGC1	239 240	3 3	0 360	240 241	psFillArc
+	globalGC1	239	242	240	241	psDrawLine
+	globalGC1	238 241	3 3	0 360	239 242	psFillArc
+	globalGC1	239	243	239	242	psDrawLine
+	globalGC1	238 242	3 3	0 360	239 243	psFillArc
+	globalGC1	238	243	239	243	psDrawLine
+	globalGC1	237 242	3 3	0 360	238 243	psFillArc
+	globalGC1	237	244	238	243	psDrawLine
+	globalGC1	236 243	3 3	0 360	237 244	psFillArc
+	globalGC1	236	244	237	244	psDrawLine
+	globalGC1	235 243	3 3	0 360	236 244	psFillArc
+	globalGC1	235	244	236	244	psDrawLine
+	globalGC1	234 243	3 3	0 360	235 244	psFillArc
+	globalGC1	234	244	235	244	psDrawLine
+	globalGC1	233 243	3 3	0 360	234 244	psFillArc
+	globalGC1	232	244	234	244	psDrawLine
+	globalGC1	231 243	3 3	0 360	232 244	psFillArc
+	globalGC1	229	243	232	244	psDrawLine
+	globalGC1	228 242	3 3	0 360	229 243	psFillArc
+	globalGC1	223	240	229	243	psDrawLine
+	globalGC1	222 239	3 3	0 360	223 240	psFillArc
+	globalGC1	209	229	223	240	psDrawLine
+	globalGC1	208 228	3 3	0 360	209 229	psFillArc
+	globalGC1	192	210	209	229	psDrawLine
+	globalGC1	191 209	3 3	0 360	192 210	psFillArc
+	globalGC1	172	187	192	210	psDrawLine
+	globalGC1	171 186	3 3	0 360	172 187	psFillArc
+	globalGC1	150	159	172	187	psDrawLine
+	globalGC1	149 158	3 3	0 360	150 159	psFillArc
+	globalGC1	128	129	150	159	psDrawLine
+	globalGC1	127 128	3 3	0 360	128 129	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3d2vara.ps b/books/ps/3d2vara.ps
new file mode 100644
index 0000000..b4fc170
--- /dev/null
+++ b/books/ps/3d2vara.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	49	208	229	82	psDrawLine
+	globGC	(X)	44	213	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	250	208	70	82	psDrawLine
+	globGC	(Y)	255	213	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	32	149	213	psDrawLine
+	globGC	(Z)	154	27	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.562500	setForeground
+	renderGC
+	145	62
+	154	62
+	149	70
+	4	145	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	62
+	149	70
+	3	145	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	51
+	159	49
+	154	62
+	4	149	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	49
+	154	62
+	3	149	51	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	49
+	149	51
+	145	62
+	4	140	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	51
+	145	62
+	3	140	49	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	62
+	145	62
+	149	51
+	4	154	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	62
+	149	51
+	3	154	62	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	98
+	192	98
+	187	92
+	4	183	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	98
+	187	92
+	3	183	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	92
+	178	87
+	183	98
+	4	187	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	87
+	183	98
+	3	187	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	87
+	187	92
+	183	78
+	4	178	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	92
+	183	78
+	3	178	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	98
+	116	98
+	112	92
+	4	107	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	98
+	112	92
+	3	107	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	121	87
+	112	92
+	116	98
+	4	121	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	92
+	116	98
+	3	121	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	92
+	121	87
+	116	78
+	4	112	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	87
+	116	78
+	3	112	92	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	188	100
+	198	95
+	192	98
+	4	188	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	95
+	192	98
+	3	188	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	98
+	183	98
+	188	100
+	4	192	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	98
+	188	100
+	3	192	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	95
+	111	100
+	107	98
+	4	101	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	100
+	107	98
+	3	101	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	98
+	107	98
+	111	100
+	4	116	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	98
+	111	100
+	3	116	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	102
+	188	100
+	183	98
+	4	178	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	100
+	183	98
+	3	178	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	98
+	173	95
+	178	102
+	4	183	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	95
+	178	102
+	3	183	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	95
+	183	98
+	178	87
+	4	173	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	98
+	178	87
+	3	173	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	100
+	121	102
+	116	98
+	4	111	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	116	98
+	3	111	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	126	95
+	116	98
+	121	102
+	4	126	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	98
+	121	102
+	3	126	95	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	116	98
+	126	95
+	121	87
+	4	116	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	95
+	121	87
+	3	116	98	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	40
+	154	40
+	149	51
+	4	145	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	40
+	149	51
+	3	145	40	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	49
+	149	51
+	154	40
+	4	159	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	51
+	154	40
+	3	159	49	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	51
+	140	49
+	145	40
+	4	149	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	49
+	145	40
+	3	149	51	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	154	40
+	164	38
+	159	49
+	4	154	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	38
+	159	49
+	3	154	40	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	135	38
+	145	40
+	140	49
+	4	135	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	40
+	140	49
+	3	135	38	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	101
+	178	102
+	173	95
+	4	169	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	102
+	173	95
+	3	169	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	95
+	164	92
+	169	101
+	4	173	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	92
+	169	101
+	3	173	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	92
+	173	95
+	169	82
+	4	164	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	95
+	169	82
+	3	164	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	87
+	169	82
+	173	95
+	4	178	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	82
+	173	95
+	3	178	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	102
+	130	101
+	126	95
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	101
+	126	95
+	3	121	102	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	135	92
+	126	95
+	130	101
+	4	135	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	95
+	130	101
+	3	135	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	95
+	135	92
+	130	82
+	4	126	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	92
+	130	82
+	3	126	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	82
+	121	87
+	126	95
+	4	130	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	87
+	126	95
+	3	130	82	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	174	104
+	183	101
+	178	102
+	4	174	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	101
+	178	102
+	3	174	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	100
+	178	102
+	183	101
+	4	188	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	102
+	183	101
+	3	188	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	102
+	169	101
+	174	104
+	4	178	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	101
+	174	104
+	3	178	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	101
+	125	104
+	121	102
+	4	116	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	104
+	121	102
+	3	116	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	101
+	121	102
+	125	104
+	4	130	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	125	104
+	3	130	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	102
+	111	100
+	116	101
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	100
+	116	101
+	3	121	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	105
+	174	104
+	169	101
+	4	164	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	104
+	169	101
+	3	164	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	101
+	159	100
+	164	105
+	4	169	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	100
+	164	105
+	3	169	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	100
+	169	101
+	164	92
+	4	159	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	101
+	164	92
+	3	159	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	104
+	135	105
+	130	101
+	4	125	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	105
+	130	101
+	3	125	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	100
+	130	101
+	135	105
+	4	140	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	101
+	135	105
+	3	140	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	101
+	140	100
+	135	92
+	4	130	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	100
+	135	92
+	3	130	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	82
+	178	87
+	174	71
+	4	169	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	87
+	174	71
+	3	169	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	78
+	174	71
+	178	87
+	4	183	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	71
+	178	87
+	3	183	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	87
+	130	82
+	125	71
+	4	121	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	82
+	125	71
+	3	121	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	71
+	116	78
+	121	87
+	4	125	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	78
+	121	87
+	3	125	71	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	101
+	194	94
+	188	100
+	4	183	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	94
+	188	100
+	3	183	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	95
+	188	100
+	194	94
+	4	198	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	100
+	194	94
+	3	198	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	94
+	116	101
+	111	100
+	4	105	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	101
+	111	100
+	3	105	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	100
+	101	95
+	105	94
+	4	111	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	95
+	105	94
+	3	111	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	105
+	164	105
+	159	100
+	4	154	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	105
+	159	100
+	3	154	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	100
+	149	100
+	154	105
+	4	159	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	154	105
+	3	159	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	100
+	159	100
+	154	91
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	100
+	154	91
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	92
+	154	91
+	159	100
+	4	164	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	91
+	159	100
+	3	164	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	105
+	145	105
+	140	100
+	4	135	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	105
+	140	100
+	3	135	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	100
+	140	100
+	145	105
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	100
+	145	105
+	3	149	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	100
+	149	100
+	145	91
+	4	140	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	145	91
+	3	140	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	91
+	135	92
+	140	100
+	4	145	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	92
+	140	100
+	3	145	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	105
+	154	105
+	149	100
+	4	145	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	105
+	149	100
+	3	145	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	91
+	145	91
+	149	100
+	4	154	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	91
+	149	100
+	3	154	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	91
+	164	92
+	159	79
+	4	154	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	92
+	159	79
+	3	154	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	82
+	159	79
+	164	92
+	4	169	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	79
+	164	92
+	3	169	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	92
+	145	91
+	140	79
+	4	135	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	91
+	140	79
+	3	135	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	79
+	130	82
+	135	92
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	82
+	135	92
+	3	140	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	107
+	159	106
+	154	105
+	4	149	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	106
+	154	105
+	3	149	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	105
+	154	105
+	159	106
+	4	164	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	105
+	159	106
+	3	164	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	106
+	149	107
+	145	105
+	4	140	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	107
+	145	105
+	3	140	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	105
+	145	105
+	149	107
+	4	154	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	105
+	149	107
+	3	154	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	105
+	135	105
+	140	106
+	4	145	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	105
+	140	106
+	3	145	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	71
+	183	78
+	179	59
+	4	174	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	78
+	179	59
+	3	174	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	78
+	125	71
+	120	59
+	4	116	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	71
+	120	59
+	3	116	78	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	106
+	169	105
+	164	105
+	4	159	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	105
+	164	105
+	3	159	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	104
+	164	105
+	169	105
+	4	174	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	105
+	169	105
+	3	174	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	105
+	140	106
+	135	105
+	4	130	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	106
+	135	105
+	3	130	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	105
+	125	104
+	130	105
+	4	135	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	104
+	130	105
+	3	135	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	91
+	154	91
+	149	78
+	4	145	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	91
+	149	78
+	3	145	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	79
+	149	78
+	154	91
+	4	159	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	78
+	154	91
+	3	159	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	78
+	140	79
+	145	91
+	4	149	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	145	91
+	3	149	78	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	105
+	179	101
+	174	104
+	4	169	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	101
+	174	104
+	3	169	105	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	183	101
+	174	104
+	179	101
+	4	183	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	104
+	179	101
+	3	183	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	101
+	130	105
+	125	104
+	4	120	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	105
+	125	104
+	3	120	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	104
+	116	101
+	120	101
+	4	125	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	101
+	120	101
+	3	125	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	79
+	169	82
+	164	66
+	4	159	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	82
+	164	66
+	3	159	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	71
+	164	66
+	169	82
+	4	174	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	66
+	169	82
+	3	174	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	82
+	140	79
+	135	66
+	4	130	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	135	66
+	3	130	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	66
+	125	71
+	130	82
+	4	135	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	71
+	130	82
+	3	135	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	94
+	204	83
+	198	95
+	4	194	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	83
+	198	95
+	3	194	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	83
+	105	94
+	101	95
+	4	95	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	94
+	101	95
+	3	95	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	101
+	189	94
+	183	101
+	4	179	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	94
+	183	101
+	3	179	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	94
+	183	101
+	189	94
+	4	194	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	101
+	189	94
+	3	194	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	94
+	120	101
+	116	101
+	4	110	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	101
+	116	101
+	3	110	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	101
+	105	94
+	110	94
+	4	116	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	94
+	110	94
+	3	116	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	105
+	154	105
+	149	107
+	4	145	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	105
+	149	107
+	3	145	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	106
+	149	107
+	154	105
+	4	159	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	107
+	154	105
+	3	159	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	107
+	140	106
+	145	105
+	4	149	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	106
+	145	105
+	3	149	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	78
+	159	79
+	154	63
+	4	149	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	79
+	154	63
+	3	149	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	66
+	154	63
+	159	79
+	4	164	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	63
+	159	79
+	3	164	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	79
+	149	78
+	145	63
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	78
+	145	63
+	3	140	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	63
+	135	66
+	140	79
+	4	145	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	66
+	140	79
+	3	145	63	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	105
+	164	104
+	159	106
+	4	154	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	104
+	159	106
+	3	154	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	105
+	159	106
+	164	104
+	4	169	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	106
+	164	104
+	3	169	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	104
+	145	105
+	140	106
+	4	135	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	105
+	140	106
+	3	135	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	106
+	130	105
+	135	104
+	4	140	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	105
+	135	104
+	3	140	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	63
+	145	63
+	149	78
+	4	154	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	63
+	149	78
+	3	154	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	66
+	174	71
+	169	53
+	4	164	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	71
+	169	53
+	3	164	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	59
+	169	53
+	174	71
+	4	179	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	53
+	174	71
+	3	179	59	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	71
+	135	66
+	130	53
+	4	125	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	66
+	130	53
+	3	125	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	53
+	120	59
+	125	71
+	4	130	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	59
+	125	71
+	3	130	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	104
+	174	100
+	169	105
+	4	164	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	100
+	169	105
+	3	164	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	101
+	169	105
+	174	100
+	4	179	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	105
+	174	100
+	3	179	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	100
+	135	104
+	130	105
+	4	125	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	104
+	130	105
+	3	125	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	105
+	120	101
+	125	100
+	4	130	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	101
+	125	100
+	3	130	105	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	35
+	159	35
+	154	40
+	4	149	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	35
+	154	40
+	3	149	35	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	164	38
+	154	40
+	159	35
+	4	164	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	40
+	159	35
+	3	164	38	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	35
+	149	35
+	145	40
+	4	140	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	35
+	145	40
+	3	140	35	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	154	40
+	145	40
+	149	35
+	4	154	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	40
+	149	35
+	3	154	40	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	40
+	135	38
+	140	35
+	4	145	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	38
+	140	35
+	3	145	40	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	94
+	200	83
+	194	94
+	4	189	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	83
+	194	94
+	3	189	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	83
+	194	94
+	200	83
+	4	204	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	94
+	200	83
+	3	204	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	83
+	110	94
+	105	94
+	4	99	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	94
+	105	94
+	3	99	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	94
+	95	83
+	99	83
+	4	105	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	83
+	99	83
+	3	105	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	100
+	185	93
+	179	101
+	4	174	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	93
+	179	101
+	3	174	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	94
+	179	101
+	185	93
+	4	189	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	101
+	185	93
+	3	189	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	93
+	125	100
+	120	101
+	4	114	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	100
+	120	101
+	3	114	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	101
+	110	94
+	114	93
+	4	120	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	94
+	114	93
+	3	120	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	63
+	164	66
+	159	50
+	4	154	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	66
+	159	50
+	3	154	63	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	53
+	159	50
+	164	66
+	4	169	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	50
+	164	66
+	3	169	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	66
+	145	63
+	140	50
+	4	135	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	63
+	140	50
+	3	135	66	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	50
+	130	53
+	135	66
+	4	140	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	53
+	135	66
+	3	140	50	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	35
+	169	34
+	164	38
+	4	159	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	34
+	164	38
+	3	159	35	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	34
+	140	35
+	135	38
+	4	130	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	35
+	135	38
+	3	130	34	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	53
+	179	59
+	174	42
+	4	169	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	59
+	174	42
+	3	169	53	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	120	59
+	130	53
+	125	42
+	4	120	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	53
+	125	42
+	3	120	59	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	103
+	160	102
+	154	105
+	4	149	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	154	105
+	3	149	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	104
+	154	105
+	160	102
+	4	164	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	105
+	160	102
+	3	164	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	102
+	149	103
+	145	105
+	4	139	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	103
+	145	105
+	3	139	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	105
+	145	105
+	149	103
+	4	154	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	105
+	149	103
+	3	154	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	105
+	135	104
+	139	102
+	4	145	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	104
+	139	102
+	3	145	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	63
+	154	63
+	149	49
+	4	145	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	63
+	149	49
+	3	145	63	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	50
+	149	49
+	154	63
+	4	159	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	49
+	154	63
+	3	159	50	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	149	49
+	140	50
+	145	63
+	4	149	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	50
+	145	63
+	3	149	49	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	102
+	170	98
+	164	104
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	98
+	164	104
+	3	160	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	100
+	164	104
+	170	98
+	4	174	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	104
+	170	98
+	3	174	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	98
+	139	102
+	135	104
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	102
+	135	104
+	3	129	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	104
+	125	100
+	129	98
+	4	135	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	100
+	129	98
+	3	135	104	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	50
+	169	53
+	164	39
+	4	159	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	53
+	164	39
+	3	159	50	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	42
+	164	39
+	169	53
+	4	174	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	39
+	169	53
+	3	174	42	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	130	53
+	140	50
+	134	39
+	4	130	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	50
+	134	39
+	3	130	53	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	39
+	125	42
+	130	53
+	4	134	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	42
+	130	53
+	3	134	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	93
+	195	84
+	189	94
+	4	185	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	84
+	189	94
+	3	185	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	83
+	189	94
+	195	84
+	4	200	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	94
+	195	84
+	3	200	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	84
+	114	93
+	110	94
+	4	104	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	93
+	110	94
+	3	104	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	94
+	99	83
+	104	84
+	4	110	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	83
+	104	84
+	3	110	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	98
+	180	92
+	174	100
+	4	170	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	92
+	174	100
+	3	170	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	93
+	174	100
+	180	92
+	4	185	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	100
+	180	92
+	3	185	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	92
+	129	98
+	125	100
+	4	119	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	125	100
+	3	119	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	100
+	114	93
+	119	92
+	4	125	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	93
+	119	92
+	3	125	100	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	49
+	159	50
+	155	38
+	4	149	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	50
+	155	38
+	3	149	49	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	164	39
+	155	38
+	159	50
+	4	164	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	38
+	159	50
+	3	164	39	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	50
+	149	49
+	144	38
+	4	140	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	49
+	144	38
+	3	140	50	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	144	38
+	134	39
+	140	50
+	4	144	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	39
+	140	50
+	3	144	38	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	38
+	155	38
+	149	35
+	4	144	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	38
+	149	35
+	3	144	38	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	35
+	149	35
+	155	38
+	4	159	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	35
+	155	38
+	3	159	35	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	35
+	140	35
+	144	38
+	4	149	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	35
+	144	38
+	3	149	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	39
+	174	42
+	169	34
+	4	164	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	42
+	169	34
+	3	164	39	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	125	42
+	134	39
+	130	34
+	4	125	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	39
+	130	34
+	3	125	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	38
+	164	39
+	159	35
+	4	155	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	39
+	159	35
+	3	155	38	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	34
+	159	35
+	164	39
+	4	169	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	35
+	164	39
+	3	169	34	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	39
+	144	38
+	140	35
+	4	134	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	38
+	140	35
+	3	134	39	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	35
+	130	34
+	134	39
+	4	140	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	34
+	134	39
+	3	140	35	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	38
+	144	38
+	149	49
+	4	155	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	38
+	149	49
+	3	155	38	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	83
+	211	70
+	204	83
+	4	200	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	70
+	204	83
+	3	200	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	70
+	99	83
+	95	83
+	4	88	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	83
+	95	83
+	3	88	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	99
+	155	99
+	149	103
+	4	144	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	99
+	149	103
+	3	144	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	102
+	149	103
+	155	99
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	103
+	155	99
+	3	160	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	103
+	139	102
+	144	99
+	4	149	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	102
+	144	99
+	3	149	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	99
+	165	96
+	160	102
+	4	155	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	96
+	160	102
+	3	155	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	98
+	160	102
+	165	96
+	4	170	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	165	96
+	3	170	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	96
+	144	99
+	139	102
+	4	134	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	99
+	139	102
+	3	134	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	102
+	129	98
+	134	96
+	4	139	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	134	96
+	3	139	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	92
+	191	84
+	185	93
+	4	180	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	84
+	185	93
+	3	180	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	84
+	185	93
+	191	84
+	4	195	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	93
+	191	84
+	3	195	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	84
+	119	92
+	114	93
+	4	108	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	92
+	114	93
+	3	108	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	93
+	104	84
+	108	84
+	4	114	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	84
+	108	84
+	3	114	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	236	130
+	246	129
+	240	128
+	4	236	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	129
+	240	128
+	3	236	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	128
+	231	118
+	236	130
+	4	240	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	118
+	236	130
+	3	240	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	118
+	240	128
+	235	118
+	4	231	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	128
+	235	118
+	3	231	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	129
+	63	130
+	59	128
+	4	53	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	130
+	59	128
+	3	53	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	118
+	59	128
+	63	130
+	4	68	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	128
+	63	130
+	3	68	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	128
+	68	118
+	63	118
+	4	59	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	118
+	63	118
+	3	59	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	96
+	175	91
+	170	98
+	4	165	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	91
+	170	98
+	3	165	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	92
+	170	98
+	175	91
+	4	180	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	98
+	175	91
+	3	180	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	91
+	134	96
+	129	98
+	4	124	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	96
+	129	98
+	3	124	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	98
+	119	92
+	124	91
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	92
+	124	91
+	3	129	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	84
+	207	72
+	200	83
+	4	195	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	72
+	200	83
+	3	195	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	70
+	200	83
+	207	72
+	4	211	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	83
+	207	72
+	3	211	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	72
+	104	84
+	99	83
+	4	92	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	84
+	99	83
+	3	92	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	83
+	88	70
+	92	72
+	4	99	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	70
+	92	72
+	3	99	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	118
+	228	100
+	231	118
+	4	235	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	100
+	231	118
+	3	235	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	228	100
+	235	118
+	232	100
+	4	228	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	118
+	232	100
+	3	228	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	100
+	63	118
+	68	118
+	4	71	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	118
+	68	118
+	3	71	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	118
+	71	100
+	67	100
+	4	63	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	100
+	67	100
+	3	63	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	131
+	241	135
+	236	130
+	4	232	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	135
+	236	130
+	3	232	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	129
+	236	130
+	241	135
+	4	246	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	130
+	241	135
+	3	246	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	130
+	227	118
+	232	131
+	4	236	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	118
+	232	131
+	3	236	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	118
+	236	130
+	231	118
+	4	227	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	130
+	231	118
+	3	227	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	58	135
+	67	131
+	63	130
+	4	58	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	131
+	63	130
+	3	58	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	118
+	63	130
+	67	131
+	4	72	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	130
+	67	131
+	3	72	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	130
+	72	118
+	68	118
+	4	63	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	118
+	68	118
+	3	63	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	130
+	53	129
+	58	135
+	4	63	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	129
+	58	135
+	3	63	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	135
+	254	120
+	246	129
+	4	241	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	120
+	246	129
+	3	241	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	120
+	58	135
+	53	129
+	4	45	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	135
+	53	129
+	3	45	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	91
+	186	84
+	180	92
+	4	175	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	84
+	180	92
+	3	175	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	84
+	180	92
+	186	84
+	4	191	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	92
+	186	84
+	3	191	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	84
+	124	91
+	119	92
+	4	113	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	91
+	119	92
+	3	113	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	92
+	108	84
+	113	84
+	4	119	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	84
+	113	84
+	3	119	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	95
+	160	94
+	155	99
+	4	149	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	94
+	155	99
+	3	149	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	96
+	155	99
+	160	94
+	4	165	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	99
+	160	94
+	3	165	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	94
+	149	95
+	144	99
+	4	139	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	95
+	144	99
+	3	139	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	99
+	144	99
+	149	95
+	4	155	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	99
+	149	95
+	3	155	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	99
+	134	96
+	139	94
+	4	144	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	96
+	139	94
+	3	144	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	237	139
+	248	131
+	241	135
+	4	237	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	131
+	241	135
+	3	237	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	254	120
+	241	135
+	248	131
+	4	254	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	135
+	248	131
+	3	254	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	135
+	232	131
+	237	139
+	4	241	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	131
+	237	139
+	3	241	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	131
+	62	139
+	58	135
+	4	51	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	139
+	58	135
+	3	51	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	131
+	58	135
+	62	139
+	4	67	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	135
+	62	139
+	3	67	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	135
+	45	120
+	51	131
+	4	58	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	120
+	51	131
+	3	58	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	84
+	202	74
+	195	84
+	4	191	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	74
+	195	84
+	3	191	84	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	207	72
+	195	84
+	202	74
+	4	207	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	84
+	202	74
+	3	207	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	74
+	108	84
+	104	84
+	4	97	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	84
+	104	84
+	3	97	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	84
+	92	72
+	97	74
+	4	104	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	72
+	97	74
+	3	104	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	94
+	170	90
+	165	96
+	4	160	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	90
+	165	96
+	3	160	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	91
+	165	96
+	170	90
+	4	175	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	96
+	170	90
+	3	175	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	90
+	139	94
+	134	96
+	4	129	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	94
+	134	96
+	3	129	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	96
+	124	91
+	129	90
+	4	134	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	91
+	129	90
+	3	134	96	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	231	118
+	223	100
+	227	118
+	4	231	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	100
+	227	118
+	3	231	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	100
+	231	118
+	228	100
+	4	223	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	118
+	228	100
+	3	223	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	100
+	68	118
+	72	118
+	4	76	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	118
+	72	118
+	3	76	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	118
+	76	100
+	71	100
+	4	68	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	100
+	71	100
+	3	68	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	232	142
+	243	139
+	237	139
+	4	232	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	139
+	237	139
+	3	232	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	248	131
+	237	139
+	243	139
+	4	248	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	139
+	243	139
+	3	248	131	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	237	139
+	227	132
+	232	142
+	4	237	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	132
+	232	142
+	3	237	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	132
+	237	139
+	232	131
+	4	227	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	139
+	232	131
+	3	227	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	56	139
+	67	142
+	62	139
+	4	56	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	142
+	62	139
+	3	56	139	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	72	132
+	62	139
+	67	142
+	4	72	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	139
+	67	142
+	3	72	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	62	139
+	72	132
+	67	131
+	4	62	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	132
+	67	131
+	3	62	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	139
+	51	131
+	56	139
+	4	62	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	131
+	56	139
+	3	62	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	131
+	223	117
+	227	132
+	4	232	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	117
+	227	132
+	3	232	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	117
+	232	131
+	227	118
+	4	223	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	131
+	227	118
+	3	223	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	117
+	67	131
+	72	132
+	4	76	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	131
+	72	132
+	3	76	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	131
+	76	117
+	72	118
+	4	67	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	117
+	72	118
+	3	67	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	100
+	224	82
+	228	100
+	4	232	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	82
+	228	100
+	3	232	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	82
+	232	100
+	228	80
+	4	224	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	100
+	228	80
+	3	224	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	82
+	67	100
+	71	100
+	4	75	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	100
+	71	100
+	3	75	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	100
+	75	82
+	71	80
+	4	67	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	82
+	71	80
+	3	67	100	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	207	72
+	218	63
+	211	70
+	4	207	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	63
+	211	70
+	3	207	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	63
+	92	72
+	88	70
+	4	81	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	72
+	88	70
+	3	81	63	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	90
+	181	85
+	175	91
+	4	170	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	85
+	175	91
+	3	170	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	84
+	175	91
+	181	85
+	4	186	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	91
+	181	85
+	3	186	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	85
+	129	90
+	124	91
+	4	118	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	90
+	124	91
+	3	118	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	91
+	113	84
+	118	85
+	4	124	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	84
+	118	85
+	3	124	91	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	186	84
+	197	76
+	191	84
+	4	186	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	76
+	191	84
+	3	186	84	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	202	74
+	191	84
+	197	76
+	4	202	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	84
+	197	76
+	3	202	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	76
+	113	84
+	108	84
+	4	102	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	84
+	108	84
+	3	102	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	84
+	97	74
+	102	76
+	4	108	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	74
+	102	76
+	3	108	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	143
+	238	146
+	232	142
+	4	228	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	146
+	232	142
+	3	228	143	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	243	139
+	232	142
+	238	146
+	4	243	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	142
+	238	146
+	3	243	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	142
+	223	131
+	228	143
+	4	232	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	131
+	228	143
+	3	232	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	131
+	232	142
+	227	132
+	4	223	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	142
+	227	132
+	3	223	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	61	146
+	71	143
+	67	142
+	4	61	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	143
+	67	142
+	3	61	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	131
+	67	142
+	71	143
+	4	76	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	142
+	71	143
+	3	76	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	142
+	76	131
+	72	132
+	4	67	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	131
+	72	132
+	3	67	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	142
+	56	139
+	61	146
+	4	67	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	139
+	61	146
+	3	67	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	118
+	219	101
+	223	117
+	4	227	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	101
+	223	117
+	3	227	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	101
+	227	118
+	223	100
+	4	219	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	118
+	223	100
+	3	219	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	101
+	72	118
+	76	117
+	4	80	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	118
+	76	117
+	3	80	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	118
+	80	101
+	76	100
+	4	72	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	101
+	76	100
+	3	72	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	92
+	155	92
+	149	95
+	4	144	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	92
+	149	95
+	3	144	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	94
+	149	95
+	155	92
+	4	160	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	95
+	155	92
+	3	160	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	95
+	139	94
+	144	92
+	4	149	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	94
+	144	92
+	3	149	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	238	146
+	251	133
+	243	139
+	4	238	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	133
+	243	139
+	3	238	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	121
+	243	139
+	251	133
+	4	257	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	139
+	251	133
+	3	257	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	139
+	257	121
+	248	131
+	4	243	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	121
+	248	131
+	3	243	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	133
+	61	146
+	56	139
+	4	48	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	146
+	56	139
+	3	48	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	139
+	42	121
+	48	133
+	4	56	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	121
+	48	133
+	3	56	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	121
+	56	139
+	51	131
+	4	42	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	139
+	51	131
+	3	42	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	132
+	219	117
+	223	131
+	4	227	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	117
+	223	131
+	3	227	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	117
+	227	132
+	223	117
+	4	219	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	132
+	223	117
+	3	219	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	117
+	72	132
+	76	131
+	4	80	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	132
+	76	131
+	3	80	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	132
+	80	117
+	76	117
+	4	72	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	117
+	76	117
+	3	72	132	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	233	150
+	245	144
+	238	146
+	4	233	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	144
+	238	146
+	3	233	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	251	133
+	238	146
+	245	144
+	4	251	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	146
+	245	144
+	3	251	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	146
+	228	143
+	233	150
+	4	238	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	143
+	233	150
+	3	238	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	144
+	66	150
+	61	146
+	4	54	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	61	146
+	3	54	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	71	143
+	61	146
+	66	150
+	4	71	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	146
+	66	150
+	3	71	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	146
+	48	133
+	54	144
+	4	61	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	133
+	54	144
+	3	61	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	92
+	165	90
+	160	94
+	4	155	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	90
+	160	94
+	3	155	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	90
+	160	94
+	165	90
+	4	170	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	94
+	165	90
+	3	170	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	90
+	144	92
+	139	94
+	4	134	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	92
+	139	94
+	3	134	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	94
+	129	90
+	134	90
+	4	139	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	90
+	134	90
+	3	139	94	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	202	74
+	213	66
+	207	72
+	4	202	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	66
+	207	72
+	3	202	74	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	218	63
+	207	72
+	213	66
+	4	218	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	72
+	213	66
+	3	218	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	66
+	97	74
+	92	72
+	4	86	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	74
+	92	72
+	3	86	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	72
+	81	63
+	86	66
+	4	92	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	63
+	86	66
+	3	92	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	108
+	248	131
+	257	121
+	4	264	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	131
+	257	121
+	3	264	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	131
+	264	108
+	254	120
+	4	248	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	108
+	254	120
+	3	248	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	51	131
+	35	108
+	42	121
+	4	51	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	108
+	42	121
+	3	51	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	35	108
+	51	131
+	45	120
+	4	35	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	131
+	45	120
+	3	35	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	100
+	219	84
+	223	100
+	4	228	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	84
+	223	100
+	3	228	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	84
+	228	100
+	224	82
+	4	219	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	100
+	224	82
+	3	219	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	84
+	71	100
+	76	100
+	4	80	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	100
+	76	100
+	3	80	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	100
+	80	84
+	75	82
+	4	71	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	84
+	75	82
+	3	71	100	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	181	85
+	192	78
+	186	84
+	4	181	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	78
+	186	84
+	3	181	85	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	197	76
+	186	84
+	192	78
+	4	197	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	84
+	192	78
+	3	197	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	78
+	118	85
+	113	84
+	4	107	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	85
+	113	84
+	3	107	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	84
+	102	76
+	107	78
+	4	113	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	76
+	107	78
+	3	113	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	142
+	233	150
+	228	143
+	4	224	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	150
+	228	143
+	3	224	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	143
+	219	130
+	224	142
+	4	228	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	130
+	224	142
+	3	228	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	130
+	228	143
+	223	131
+	4	219	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	143
+	223	131
+	3	219	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	66	150
+	75	142
+	71	143
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	142
+	71	143
+	3	66	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	130
+	71	143
+	75	142
+	4	80	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	143
+	75	142
+	3	80	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	143
+	80	130
+	76	131
+	4	71	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	130
+	76	131
+	3	71	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	152
+	239	152
+	233	150
+	4	229	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	152
+	233	150
+	3	229	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	245	144
+	233	150
+	239	152
+	4	245	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	150
+	239	152
+	3	245	144	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	233	150
+	224	142
+	229	152
+	4	233	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	142
+	229	152
+	3	233	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	60	152
+	70	152
+	66	150
+	4	60	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	152
+	66	150
+	3	60	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	75	142
+	66	150
+	70	152
+	4	75	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	70	152
+	3	75	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	150
+	54	144
+	60	152
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	144
+	60	152
+	3	66	150	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	165	90
+	176	85
+	170	90
+	4	165	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	85
+	170	90
+	3	165	90	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	181	85
+	170	90
+	176	85
+	4	181	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	90
+	176	85
+	3	181	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	85
+	134	90
+	129	90
+	4	123	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	90
+	129	90
+	3	123	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	90
+	118	85
+	123	85
+	4	129	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	85
+	123	85
+	3	129	90	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	197	76
+	208	69
+	202	74
+	4	197	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	69
+	202	74
+	3	197	76	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	213	66
+	202	74
+	208	69
+	4	213	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	74
+	208	69
+	3	213	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	69
+	102	76
+	97	74
+	4	90	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	76
+	97	74
+	3	90	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	74
+	86	66
+	90	69
+	4	97	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	66
+	90	69
+	3	97	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	80
+	219	69
+	224	82
+	4	228	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	69
+	224	82
+	3	228	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	69
+	228	80
+	224	66
+	4	219	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	80
+	224	66
+	3	219	69	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	80	69
+	71	80
+	75	82
+	4	80	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	80
+	75	82
+	3	80	69	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	71	80
+	80	69
+	75	66
+	4	71	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	69
+	75	66
+	3	71	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	117
+	214	101
+	219	117
+	4	223	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	101
+	219	117
+	3	223	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	101
+	223	117
+	219	101
+	4	214	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	117
+	219	101
+	3	214	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	101
+	76	117
+	80	117
+	4	85	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	117
+	80	117
+	3	85	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	117
+	85	101
+	80	101
+	4	76	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	101
+	80	101
+	3	76	117	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	131
+	215	116
+	219	130
+	4	223	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	116
+	219	130
+	3	223	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	116
+	223	131
+	219	117
+	4	215	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	131
+	219	117
+	3	215	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	116
+	76	131
+	80	130
+	4	84	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	131
+	80	130
+	3	84	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	131
+	84	116
+	80	117
+	4	76	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	116
+	80	117
+	3	76	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	100
+	215	86
+	219	101
+	4	223	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	86
+	219	101
+	3	223	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	86
+	223	100
+	219	84
+	4	215	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	100
+	219	84
+	3	215	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	86
+	76	100
+	80	101
+	4	84	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	100
+	80	101
+	3	84	86	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	76	100
+	84	86
+	80	84
+	4	76	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	86
+	80	84
+	3	76	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	66
+	224	66
+	218	63
+	4	213	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	66
+	218	63
+	3	213	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	66
+	86	66
+	81	63
+	4	75	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	66
+	81	63
+	3	75	66	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	234	158
+	247	150
+	239	152
+	4	234	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	150
+	239	152
+	3	234	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	137
+	239	152
+	247	150
+	4	253	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	152
+	247	150
+	3	253	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	152
+	253	137
+	245	144
+	4	239	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	137
+	245	144
+	3	239	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	239	152
+	229	152
+	234	158
+	4	239	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	152
+	234	158
+	3	239	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	150
+	65	158
+	60	152
+	4	52	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	158
+	60	152
+	3	52	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	152
+	60	152
+	65	158
+	4	70	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	152
+	65	158
+	3	70	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	152
+	46	137
+	52	150
+	4	60	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	137
+	52	150
+	3	60	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	137
+	60	152
+	54	144
+	4	46	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	152
+	54	144
+	3	46	137	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	176	85
+	187	80
+	181	85
+	4	176	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	80
+	181	85
+	3	176	85	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	192	78
+	181	85
+	187	80
+	4	192	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	85
+	187	80
+	3	192	78	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	80
+	123	85
+	118	85
+	4	112	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	85
+	118	85
+	3	112	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	85
+	107	78
+	112	80
+	4	118	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	78
+	112	80
+	3	118	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	152
+	234	158
+	229	152
+	4	225	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	158
+	229	152
+	3	225	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	152
+	220	141
+	225	152
+	4	229	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	141
+	225	152
+	3	229	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	141
+	229	152
+	224	142
+	4	220	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	152
+	224	142
+	3	220	141	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	65	158
+	74	152
+	70	152
+	4	65	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	152
+	70	152
+	3	65	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	141
+	70	152
+	74	152
+	4	79	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	152
+	74	152
+	3	79	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	152
+	79	141
+	75	142
+	4	70	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	141
+	75	142
+	3	70	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	90
+	160	89
+	155	92
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	89
+	155	92
+	3	149	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	165	90
+	155	92
+	160	89
+	4	165	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	92
+	160	89
+	3	165	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	89
+	149	90
+	144	92
+	4	139	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	144	92
+	3	139	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	92
+	144	92
+	149	90
+	4	155	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	92
+	149	90
+	3	155	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	92
+	134	90
+	139	89
+	4	144	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	90
+	139	89
+	3	144	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	260	123
+	245	144
+	253	137
+	4	260	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	144
+	253	137
+	3	260	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	144
+	260	123
+	251	133
+	4	245	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	123
+	251	133
+	3	245	144	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	144
+	39	123
+	46	137
+	4	54	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	123
+	46	137
+	3	54	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	123
+	54	144
+	48	133
+	4	39	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	144
+	48	133
+	3	39	123	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	192	78
+	204	72
+	197	76
+	4	192	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	72
+	197	76
+	3	192	78	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	208	69
+	197	76
+	204	72
+	4	208	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	76
+	204	72
+	3	208	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	72
+	107	78
+	102	76
+	4	95	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	78
+	102	76
+	3	95	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	76
+	90	69
+	95	72
+	4	102	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	69
+	95	72
+	3	102	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	160
+	241	160
+	234	158
+	4	230	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	160
+	234	158
+	3	230	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	247	150
+	234	158
+	241	160
+	4	247	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	158
+	241	160
+	3	247	150	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	234	158
+	225	152
+	230	160
+	4	234	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	152
+	230	160
+	3	234	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	58	160
+	69	160
+	65	158
+	4	58	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	160
+	65	158
+	3	58	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	74	152
+	65	158
+	69	160
+	4	74	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	158
+	69	160
+	3	74	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	158
+	52	150
+	58	160
+	4	65	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	150
+	58	160
+	3	65	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	142
+	215	128
+	220	141
+	4	224	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	128
+	220	141
+	3	224	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	128
+	224	142
+	219	130
+	4	215	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	142
+	219	130
+	3	215	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	128
+	75	142
+	79	141
+	4	84	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	142
+	79	141
+	3	84	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	142
+	84	128
+	80	130
+	4	75	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	128
+	80	130
+	3	75	142	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	160	89
+	171	86
+	165	90
+	4	160	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	86
+	165	90
+	3	160	89	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	176	85
+	165	90
+	171	86
+	4	176	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	90
+	171	86
+	3	176	85	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	128	86
+	139	89
+	134	90
+	4	128	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	89
+	134	90
+	3	128	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	90
+	123	85
+	128	86
+	4	134	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	85
+	128	86
+	3	134	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	82
+	214	72
+	219	84
+	4	224	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	72
+	219	84
+	3	224	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	72
+	224	82
+	219	69
+	4	214	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	82
+	219	69
+	3	214	72	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	85	72
+	75	82
+	80	84
+	4	85	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	82
+	80	84
+	3	85	72	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	75	82
+	85	72
+	80	69
+	4	75	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	72
+	80	69
+	3	75	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	66
+	213	66
+	219	69
+	4	224	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	66
+	219	69
+	3	224	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	66
+	75	66
+	80	69
+	4	86	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	66
+	80	69
+	3	86	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	69
+	219	69
+	213	66
+	4	208	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	69
+	213	66
+	3	208	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	69
+	90	69
+	86	66
+	4	80	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	69
+	86	66
+	3	80	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	109
+	251	133
+	260	123
+	4	266	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	133
+	260	123
+	3	266	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	133
+	266	109
+	257	121
+	4	251	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	109
+	257	121
+	3	251	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	133
+	33	109
+	39	123
+	4	48	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	109
+	39	123
+	3	48	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	33	109
+	48	133
+	42	121
+	4	33	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	133
+	42	121
+	3	33	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	117
+	210	102
+	215	116
+	4	219	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	102
+	215	116
+	3	219	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	102
+	219	117
+	214	101
+	4	210	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	117
+	214	101
+	3	210	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	102
+	80	117
+	84	116
+	4	89	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	117
+	84	116
+	3	89	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	117
+	89	102
+	85	101
+	4	80	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	102
+	85	101
+	3	80	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	101
+	210	88
+	214	101
+	4	219	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	88
+	214	101
+	3	219	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	88
+	219	101
+	215	86
+	4	210	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	101
+	215	86
+	3	210	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	89	88
+	80	101
+	85	101
+	4	89	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	101
+	85	101
+	3	89	88	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	80	101
+	89	88
+	84	86
+	4	80	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	88
+	84	86
+	3	80	101	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	171	86
+	182	82
+	176	85
+	4	171	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	82
+	176	85
+	3	171	86	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	187	80
+	176	85
+	182	82
+	4	187	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	85
+	182	82
+	3	187	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	82
+	128	86
+	123	85
+	4	117	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	86
+	123	85
+	3	117	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	85
+	112	80
+	117	82
+	4	123	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	80
+	117	82
+	3	123	85	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	187	80
+	198	75
+	192	78
+	4	187	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	75
+	192	78
+	3	187	80	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	204	72
+	192	78
+	198	75
+	4	204	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	78
+	198	75
+	3	204	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	75
+	112	80
+	107	78
+	4	100	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	80
+	107	78
+	3	100	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	78
+	95	72
+	100	75
+	4	107	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	72
+	100	75
+	3	107	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	130
+	210	115
+	215	128
+	4	219	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	115
+	215	128
+	3	219	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	115
+	219	130
+	215	116
+	4	210	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	130
+	215	116
+	3	210	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	115
+	80	130
+	84	128
+	4	89	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	130
+	84	128
+	3	89	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	130
+	89	115
+	84	116
+	4	80	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	115
+	84	116
+	3	80	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	160
+	236	166
+	230	160
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	166
+	230	160
+	3	226	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	160
+	230	160
+	236	166
+	4	241	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	160
+	236	166
+	3	241	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	160
+	221	150
+	226	160
+	4	230	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	150
+	226	160
+	3	230	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	150
+	230	160
+	225	152
+	4	221	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	160
+	225	152
+	3	221	150	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	63	166
+	73	160
+	69	160
+	4	63	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	69	160
+	3	63	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	150
+	69	160
+	73	160
+	4	78	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	160
+	73	160
+	3	78	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	160
+	78	150
+	74	152
+	4	69	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	150
+	74	152
+	3	69	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	160
+	58	160
+	63	166
+	4	69	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	160
+	63	166
+	3	69	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	69
+	208	69
+	214	72
+	4	219	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	69
+	214	72
+	3	219	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	69
+	80	69
+	85	72
+	4	90	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	69
+	85	72
+	3	90	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	72
+	214	72
+	208	69
+	4	204	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	72
+	208	69
+	3	204	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	72
+	95	72
+	90	69
+	4	85	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	72
+	90	69
+	3	85	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	84
+	209	75
+	215	86
+	4	219	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	75
+	215	86
+	3	219	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	75
+	219	84
+	214	72
+	4	209	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	84
+	214	72
+	3	209	75	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	90	75
+	80	84
+	84	86
+	4	90	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	84
+	84	86
+	3	90	75	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	80	84
+	90	75
+	85	72
+	4	80	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	75
+	85	72
+	3	80	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	294	160
+	290	134
+	293	153
+	4	294	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	134
+	293	153
+	3	294	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	134
+	294	160
+	291	145
+	4	290	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	160
+	291	145
+	3	290	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	9	134
+	5	160
+	6	153
+	4	9	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	160
+	6	153
+	3	9	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	5	160
+	9	134
+	8	145
+	4	5	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	134
+	8	145
+	3	5	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	236	166
+	248	158
+	241	160
+	4	236	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	158
+	241	160
+	3	236	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	255	144
+	241	160
+	248	158
+	4	255	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	160
+	248	158
+	3	255	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	160
+	255	144
+	247	150
+	4	241	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	144
+	247	150
+	3	241	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	158
+	63	166
+	58	160
+	4	51	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	166
+	58	160
+	3	51	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	160
+	44	144
+	51	158
+	4	58	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	144
+	51	158
+	3	58	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	44	144
+	58	160
+	52	150
+	4	44	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	160
+	52	150
+	3	44	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	152
+	216	138
+	221	150
+	4	225	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	138
+	221	150
+	3	225	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	138
+	225	152
+	220	141
+	4	216	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	152
+	220	141
+	3	216	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	138
+	74	152
+	78	150
+	4	83	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	152
+	78	150
+	3	83	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	152
+	83	138
+	79	141
+	4	74	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	138
+	79	141
+	3	74	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	144	89
+	155	89
+	149	90
+	4	144	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	89
+	149	90
+	3	144	89	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	160	89
+	149	90
+	155	89
+	4	160	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	155	89
+	3	160	89	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	90
+	139	89
+	144	89
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	89
+	144	89
+	3	149	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	97
+	257	121
+	266	109
+	4	273	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	121
+	266	109
+	3	273	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	257	121
+	273	97
+	264	108
+	4	257	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	97
+	264	108
+	3	257	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	121
+	26	97
+	33	109
+	4	42	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	97
+	33	109
+	3	42	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	26	97
+	42	121
+	35	108
+	4	26	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	121
+	35	108
+	3	26	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	168
+	242	168
+	236	166
+	4	231	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	168
+	236	166
+	3	231	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	248	158
+	236	166
+	242	168
+	4	248	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	166
+	242	168
+	3	248	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	236	166
+	226	160
+	231	168
+	4	236	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	231	168
+	3	236	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	57	168
+	68	168
+	63	166
+	4	57	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	168
+	63	166
+	3	57	168	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	73	160
+	63	166
+	68	168
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	166
+	68	168
+	3	73	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	166
+	51	158
+	57	168
+	4	63	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	158
+	57	168
+	3	63	166	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	155	89
+	166	87
+	160	89
+	4	155	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	87
+	160	89
+	3	155	89	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	171	86
+	160	89
+	166	87
+	4	171	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	89
+	166	87
+	3	171	86	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	133	87
+	144	89
+	139	89
+	4	133	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	89
+	139	89
+	3	133	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	89
+	128	86
+	133	87
+	4	139	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	86
+	133	87
+	3	139	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	128
+	247	150
+	255	144
+	4	262	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	150
+	255	144
+	3	262	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	150
+	262	128
+	253	137
+	4	247	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	128
+	253	137
+	3	247	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	52	150
+	37	128
+	44	144
+	4	52	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	128
+	44	144
+	3	52	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	37	128
+	52	150
+	46	137
+	4	37	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	150
+	46	137
+	3	37	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	72
+	204	72
+	209	75
+	4	214	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	72
+	209	75
+	3	214	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	72
+	85	72
+	90	75
+	4	95	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	72
+	90	75
+	3	95	72	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	141
+	211	127
+	216	138
+	4	220	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	127
+	216	138
+	3	220	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	211	127
+	220	141
+	215	128
+	4	211	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	141
+	215	128
+	3	211	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	127
+	79	141
+	83	138
+	4	88	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	141
+	83	138
+	3	88	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	141
+	88	127
+	84	128
+	4	79	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	127
+	84	128
+	3	79	141	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	82
+	193	79
+	187	80
+	4	182	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	79
+	187	80
+	3	182	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	198	75
+	187	80
+	193	79
+	4	198	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	80
+	193	79
+	3	198	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	79
+	117	82
+	112	80
+	4	106	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	82
+	112	80
+	3	106	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	80
+	100	75
+	106	79
+	4	112	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	75
+	106	79
+	3	112	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	75
+	209	75
+	204	72
+	4	198	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	75
+	204	72
+	3	198	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	75
+	100	75
+	95	72
+	4	90	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	75
+	95	72
+	3	90	75	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	166	87
+	177	85
+	171	86
+	4	166	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	85
+	171	86
+	3	166	87	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	182	82
+	171	86
+	177	85
+	4	182	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	86
+	177	85
+	3	182	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	85
+	133	87
+	128	86
+	4	122	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	87
+	128	86
+	3	122	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	86
+	117	82
+	122	85
+	4	128	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	82
+	122	85
+	3	128	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	101
+	205	90
+	210	102
+	4	214	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	90
+	210	102
+	3	214	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	90
+	214	101
+	210	88
+	4	205	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	101
+	210	88
+	3	205	90	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	90
+	85	101
+	89	102
+	4	94	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	101
+	89	102
+	3	94	90	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	85	101
+	94	90
+	89	88
+	4	85	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	90
+	89	88
+	3	85	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	86
+	204	79
+	210	88
+	4	215	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	79
+	210	88
+	3	215	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	79
+	215	86
+	209	75
+	4	204	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	86
+	209	75
+	3	204	79	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	95	79
+	84	86
+	89	88
+	4	95	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	86
+	89	88
+	3	95	79	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	84	86
+	95	79
+	90	75
+	4	84	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	79
+	90	75
+	3	84	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	116
+	205	103
+	210	115
+	4	215	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	103
+	210	115
+	3	215	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	103
+	215	116
+	210	102
+	4	205	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	116
+	210	102
+	3	205	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	103
+	84	116
+	89	115
+	4	94	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	116
+	89	115
+	3	94	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	116
+	94	103
+	89	102
+	4	84	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	103
+	89	102
+	3	84	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	291	145
+	287	116
+	290	134
+	4	291	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	116
+	290	134
+	3	291	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	116
+	291	145
+	289	125
+	4	287	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	145
+	289	125
+	3	287	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	116
+	8	145
+	9	134
+	4	12	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	8	145
+	9	134
+	3	12	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	8	145
+	12	116
+	10	125
+	4	8	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	116
+	10	125
+	3	8	145	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	237	174
+	249	168
+	242	168
+	4	237	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	168
+	242	168
+	3	237	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	256	153
+	242	168
+	249	168
+	4	256	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	168
+	249	168
+	3	256	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	168
+	256	153
+	248	158
+	4	242	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	153
+	248	158
+	3	242	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	242	168
+	231	168
+	237	174
+	4	242	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	168
+	237	174
+	3	242	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	168
+	62	174
+	57	168
+	4	50	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	174
+	57	168
+	3	50	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	168
+	57	168
+	62	174
+	4	68	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	168
+	62	174
+	3	68	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	168
+	43	153
+	50	168
+	4	57	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	153
+	50	168
+	3	57	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	43	153
+	57	168
+	51	158
+	4	43	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	168
+	51	158
+	3	43	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	113
+	253	137
+	262	128
+	4	269	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	137
+	262	128
+	3	269	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	137
+	269	113
+	260	123
+	4	253	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	113
+	260	123
+	3	253	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	46	137
+	30	113
+	37	128
+	4	46	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	113
+	37	128
+	3	46	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	30	113
+	46	137
+	39	123
+	4	30	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	137
+	39	123
+	3	30	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	75
+	198	75
+	204	79
+	4	209	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	75
+	204	79
+	3	209	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	75
+	90	75
+	95	79
+	4	100	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	75
+	95	79
+	3	100	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	166
+	237	174
+	231	168
+	4	227	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	174
+	231	168
+	3	227	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	168
+	222	157
+	227	166
+	4	231	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	157
+	227	166
+	3	231	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	157
+	231	168
+	226	160
+	4	222	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	168
+	226	160
+	3	222	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	62	174
+	72	166
+	68	168
+	4	62	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	166
+	68	168
+	3	62	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	157
+	68	168
+	72	166
+	4	77	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	168
+	72	166
+	3	77	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	168
+	77	157
+	73	160
+	4	68	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	157
+	73	160
+	3	68	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	79
+	204	79
+	198	75
+	4	193	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	79
+	198	75
+	3	193	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	79
+	106	79
+	100	75
+	4	95	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	79
+	100	75
+	3	95	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	160
+	217	146
+	222	157
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	146
+	222	157
+	3	226	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	146
+	226	160
+	221	150
+	4	217	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	221	150
+	3	217	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	146
+	73	160
+	77	157
+	4	82	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	77	157
+	3	82	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	160
+	82	146
+	78	150
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	146
+	78	150
+	3	73	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	128
+	205	115
+	211	127
+	4	215	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	115
+	211	127
+	3	215	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	115
+	215	128
+	210	115
+	4	205	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	128
+	210	115
+	3	205	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	115
+	84	128
+	88	127
+	4	94	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	128
+	88	127
+	3	94	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	128
+	94	115
+	89	115
+	4	84	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	115
+	89	115
+	3	84	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	85
+	188	82
+	182	82
+	4	177	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	82
+	182	82
+	3	177	85	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	193	79
+	182	82
+	188	82
+	4	193	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	82
+	188	82
+	3	193	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	82
+	122	85
+	117	82
+	4	111	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	85
+	117	82
+	3	111	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	82
+	106	79
+	111	82
+	4	117	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	79
+	111	82
+	3	117	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	90
+	161	89
+	155	89
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	89
+	155	89
+	3	149	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	87
+	155	89
+	161	89
+	4	166	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	89
+	161	89
+	3	166	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	89
+	149	90
+	144	89
+	4	138	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	144	89
+	3	138	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	89
+	144	89
+	149	90
+	4	155	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	89
+	149	90
+	3	155	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	89
+	133	87
+	138	89
+	4	144	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	87
+	138	89
+	3	144	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	174
+	243	177
+	237	174
+	4	233	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	177
+	237	174
+	3	233	174	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	249	168
+	237	174
+	243	177
+	4	249	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	174
+	243	177
+	3	249	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	174
+	227	166
+	233	174
+	4	237	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	166
+	233	174
+	3	237	174	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	56	177
+	66	174
+	62	174
+	4	56	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	174
+	62	174
+	3	56	177	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	72	166
+	62	174
+	66	174
+	4	72	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	174
+	66	174
+	3	72	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	62	174
+	50	168
+	56	177
+	4	62	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	168
+	56	177
+	3	62	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	263	136
+	248	158
+	256	153
+	4	263	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	158
+	256	153
+	3	263	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	158
+	263	136
+	255	144
+	4	248	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	136
+	255	144
+	3	248	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	51	158
+	36	136
+	43	153
+	4	51	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	136
+	43	153
+	3	51	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	36	136
+	51	158
+	44	144
+	4	36	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	158
+	44	144
+	3	36	136	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	210	88
+	199	82
+	205	90
+	4	210	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	82
+	205	90
+	3	210	88	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	82
+	210	88
+	204	79
+	4	199	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	88
+	204	79
+	3	199	82	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	100	82
+	89	88
+	94	90
+	4	100	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	88
+	94	90
+	3	100	82	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	89	88
+	100	82
+	95	79
+	4	89	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	82
+	95	79
+	3	89	88	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	150
+	211	136
+	217	146
+	4	221	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	136
+	217	146
+	3	221	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	211	136
+	221	150
+	216	138
+	4	211	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	150
+	216	138
+	3	211	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	136
+	78	150
+	82	146
+	4	88	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	150
+	82	146
+	3	88	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	150
+	88	136
+	83	138
+	4	78	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	136
+	83	138
+	3	78	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	161	89
+	172	87
+	166	87
+	4	161	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	87
+	166	87
+	3	161	89	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	177	85
+	166	87
+	172	87
+	4	177	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	87
+	172	87
+	3	177	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	87
+	138	89
+	133	87
+	4	127	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	89
+	133	87
+	3	127	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	87
+	122	85
+	127	87
+	4	133	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	85
+	127	87
+	3	133	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	102
+	200	93
+	205	103
+	4	210	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	93
+	205	103
+	3	210	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	93
+	210	102
+	205	90
+	4	200	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	102
+	205	90
+	3	200	93	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	99	93
+	89	102
+	94	103
+	4	99	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	102
+	94	103
+	3	99	93	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	89	102
+	99	93
+	94	90
+	4	89	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	93
+	94	90
+	3	89	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	79
+	193	79
+	199	82
+	4	204	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	79
+	199	82
+	3	204	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	79
+	95	79
+	100	82
+	4	106	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	79
+	100	82
+	3	106	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	82
+	199	82
+	193	79
+	4	188	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	82
+	193	79
+	3	188	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	82
+	111	82
+	106	79
+	4	100	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	82
+	106	79
+	3	100	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	87
+	183	85
+	177	85
+	4	172	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	85
+	177	85
+	3	172	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	82
+	177	85
+	183	85
+	4	188	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	85
+	183	85
+	3	188	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	85
+	127	87
+	122	85
+	4	116	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	87
+	122	85
+	3	116	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	85
+	111	82
+	116	85
+	4	122	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	82
+	116	85
+	3	122	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	115
+	200	104
+	205	115
+	4	210	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	104
+	205	115
+	3	210	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	104
+	210	115
+	205	103
+	4	200	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	115
+	205	103
+	3	200	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	104
+	89	115
+	94	115
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	115
+	94	115
+	3	99	104	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	89	115
+	99	104
+	94	103
+	4	89	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	94	103
+	3	89	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	275	102
+	260	123
+	269	113
+	4	275	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	123
+	269	113
+	3	275	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	123
+	275	102
+	266	109
+	4	260	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	102
+	266	109
+	3	260	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	123
+	24	102
+	30	113
+	4	39	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	102
+	30	113
+	3	39	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	102
+	39	123
+	33	109
+	4	24	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	123
+	33	109
+	3	24	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	138
+	206	125
+	211	136
+	4	216	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	125
+	211	136
+	3	216	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	125
+	216	138
+	211	127
+	4	206	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	138
+	211	127
+	3	206	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	125
+	83	138
+	88	136
+	4	93	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	138
+	88	136
+	3	93	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	138
+	93	125
+	88	127
+	4	83	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	125
+	88	127
+	3	83	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	238	181
+	250	179
+	243	177
+	4	238	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	179
+	243	177
+	3	238	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	257	165
+	243	177
+	250	179
+	4	257	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	177
+	250	179
+	3	257	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	177
+	257	165
+	249	168
+	4	243	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	165
+	249	168
+	3	243	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	177
+	233	174
+	238	181
+	4	243	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	174
+	238	181
+	3	243	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	179
+	61	181
+	56	177
+	4	49	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	181
+	56	177
+	3	49	179	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	66	174
+	56	177
+	61	181
+	4	66	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	177
+	61	181
+	3	66	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	177
+	42	165
+	49	179
+	4	56	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	165
+	49	179
+	3	56	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	42	165
+	56	177
+	50	168
+	4	42	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	177
+	50	168
+	3	42	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	293	153
+	289	124
+	293	141
+	4	293	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	124
+	293	141
+	3	293	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	289	124
+	293	153
+	290	134
+	4	289	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	153
+	290	134
+	3	289	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	10	124
+	6	153
+	6	141
+	4	10	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	153
+	6	141
+	3	10	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	6	153
+	10	124
+	9	134
+	4	6	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	124
+	9	134
+	3	6	153	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	205	90
+	194	85
+	200	93
+	4	205	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	85
+	200	93
+	3	205	90	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	194	85
+	205	90
+	199	82
+	4	194	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	90
+	199	82
+	3	194	85	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	105	85
+	94	90
+	99	93
+	4	105	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	90
+	99	93
+	3	105	85	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	90
+	105	85
+	100	82
+	4	94	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	85
+	100	82
+	3	94	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	82
+	188	82
+	194	85
+	4	199	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	82
+	194	85
+	3	199	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	82
+	100	82
+	105	85
+	4	111	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	82
+	105	85
+	3	111	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	91
+	155	91
+	149	90
+	4	144	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	149	90
+	3	144	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	89
+	149	90
+	155	91
+	4	161	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	155	91
+	3	161	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	90
+	138	89
+	144	91
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	89
+	144	91
+	3	149	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	85
+	194	85
+	188	82
+	4	183	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	85
+	188	82
+	3	183	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	85
+	116	85
+	111	82
+	4	105	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	85
+	111	82
+	3	105	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	147
+	249	168
+	257	165
+	4	265	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	168
+	257	165
+	3	265	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	249	168
+	265	147
+	256	153
+	4	249	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	147
+	256	153
+	3	249	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	168
+	34	147
+	42	165
+	4	50	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	147
+	42	165
+	3	50	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	34	147
+	50	168
+	43	153
+	4	34	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	168
+	43	153
+	3	34	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	120
+	255	144
+	263	136
+	4	271	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	144
+	263	136
+	3	271	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	144
+	271	120
+	262	128
+	4	255	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	120
+	262	128
+	3	255	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	44	144
+	28	120
+	36	136
+	4	44	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	120
+	36	136
+	3	44	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	120
+	44	144
+	37	128
+	4	28	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	144
+	37	128
+	3	28	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	91
+	166	90
+	161	89
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	90
+	161	89
+	3	155	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	87
+	161	89
+	166	90
+	4	172	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	89
+	166	90
+	3	172	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	90
+	144	91
+	138	89
+	4	133	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	91
+	138	89
+	3	133	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	89
+	127	87
+	133	90
+	4	138	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	87
+	133	90
+	3	138	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	171
+	238	181
+	233	174
+	4	229	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	181
+	233	174
+	3	229	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	174
+	223	162
+	229	171
+	4	233	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	162
+	229	171
+	3	233	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	162
+	233	174
+	227	166
+	4	223	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	174
+	227	166
+	3	223	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	61	181
+	70	171
+	66	174
+	4	61	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	171
+	66	174
+	3	61	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	162
+	66	174
+	70	171
+	4	76	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	174
+	70	171
+	3	76	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	174
+	76	162
+	72	166
+	4	66	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	162
+	72	166
+	3	66	174	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	227	166
+	218	152
+	223	162
+	4	227	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	152
+	223	162
+	3	227	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	218	152
+	227	166
+	222	157
+	4	218	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	166
+	222	157
+	3	218	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	152
+	72	166
+	76	162
+	4	81	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	166
+	76	162
+	3	81	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	166
+	81	152
+	77	157
+	4	72	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	152
+	77	157
+	3	72	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	127
+	201	115
+	206	125
+	4	211	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	115
+	206	125
+	3	211	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	115
+	211	127
+	205	115
+	4	201	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	127
+	205	115
+	3	201	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	115
+	88	127
+	93	125
+	4	98	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	127
+	93	125
+	3	98	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	127
+	98	115
+	94	115
+	4	88	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	115
+	94	115
+	3	88	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	103
+	194	95
+	200	104
+	4	205	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	95
+	200	104
+	3	205	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	95
+	205	103
+	200	93
+	4	194	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	103
+	200	93
+	3	194	95	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	104	95
+	94	103
+	99	104
+	4	104	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	103
+	99	104
+	3	104	95	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	103
+	104	95
+	99	93
+	4	94	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	95
+	99	93
+	3	94	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	90
+	178	89
+	172	87
+	4	166	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	89
+	172	87
+	3	166	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	85
+	172	87
+	178	89
+	4	183	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	87
+	178	89
+	3	183	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	89
+	133	90
+	127	87
+	4	121	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	90
+	127	87
+	3	121	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	87
+	116	85
+	121	89
+	4	127	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	85
+	121	89
+	3	127	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	179
+	244	186
+	238	181
+	4	234	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	186
+	238	181
+	3	234	179	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	250	179
+	238	181
+	244	186
+	4	250	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	181
+	244	186
+	3	250	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	181
+	229	171
+	234	179
+	4	238	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	171
+	234	179
+	3	238	181	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	55	186
+	65	179
+	61	181
+	4	55	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	179
+	61	181
+	3	55	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	171
+	61	181
+	65	179
+	4	70	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	181
+	65	179
+	3	70	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	181
+	49	179
+	55	186
+	4	61	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	179
+	55	186
+	3	61	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	222	157
+	212	142
+	218	152
+	4	222	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	142
+	218	152
+	3	222	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	212	142
+	222	157
+	217	146
+	4	212	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	157
+	217	146
+	3	212	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	142
+	77	157
+	81	152
+	4	87	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	157
+	81	152
+	3	87	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	157
+	87	142
+	82	146
+	4	77	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	142
+	82	146
+	3	77	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	289	125
+	282	104
+	287	116
+	4	289	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	104
+	287	116
+	3	289	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	282	104
+	289	125
+	286	106
+	4	282	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	125
+	286	106
+	3	282	104	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	17	104
+	10	125
+	12	116
+	4	17	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	125
+	12	116
+	3	17	104	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	10	125
+	17	104
+	13	106
+	4	10	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	104
+	13	106
+	3	10	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	281	96
+	266	109
+	275	102
+	4	281	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	109
+	275	102
+	3	281	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	266	109
+	281	96
+	273	97
+	4	266	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	96
+	273	97
+	3	266	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	109
+	18	96
+	24	102
+	4	33	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	96
+	24	102
+	3	33	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	18	96
+	33	109
+	26	97
+	4	18	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	109
+	26	97
+	3	18	96	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	189	89
+	200	93
+	194	85
+	4	189	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	93
+	194	85
+	3	189	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	85
+	183	85
+	189	89
+	4	194	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	85
+	189	89
+	3	194	85	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	93
+	110	89
+	105	85
+	4	99	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	89
+	105	85
+	3	99	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	85
+	105	85
+	110	89
+	4	116	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	85
+	110	89
+	3	116	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	89
+	189	89
+	183	85
+	4	178	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	89
+	183	85
+	3	178	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	89
+	121	89
+	116	85
+	4	110	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	89
+	116	85
+	3	110	89	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	200	93
+	189	89
+	194	95
+	4	200	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	89
+	194	95
+	3	200	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	110	89
+	99	93
+	104	95
+	4	110	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	93
+	104	95
+	3	110	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	186
+	257	178
+	250	179
+	4	244	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	178
+	250	179
+	3	244	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	160
+	250	179
+	257	178
+	4	265	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	179
+	257	178
+	3	265	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	179
+	265	160
+	257	165
+	4	250	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	160
+	257	165
+	3	250	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	42	178
+	55	186
+	49	179
+	4	42	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	186
+	49	179
+	3	42	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	179
+	34	160
+	42	178
+	4	49	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	160
+	42	178
+	3	49	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	34	160
+	49	179
+	42	165
+	4	34	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	179
+	42	165
+	3	34	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	187
+	251	190
+	244	186
+	4	240	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	190
+	244	186
+	3	240	187	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	257	178
+	244	186
+	251	190
+	4	257	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	186
+	251	190
+	3	257	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	244	186
+	234	179
+	240	187
+	4	244	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	179
+	240	187
+	3	244	186	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	48	190
+	59	187
+	55	186
+	4	48	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	187
+	55	186
+	3	48	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	65	179
+	55	186
+	59	187
+	4	65	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	186
+	59	187
+	3	65	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	186
+	42	178
+	48	190
+	4	55	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	178
+	48	190
+	3	55	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	115
+	195	106
+	201	115
+	4	205	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	106
+	201	115
+	3	205	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	106
+	205	115
+	200	104
+	4	195	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	115
+	200	104
+	3	195	106	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	104	106
+	94	115
+	98	115
+	4	104	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	115
+	98	115
+	3	104	106	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	115
+	104	106
+	99	104
+	4	94	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	106
+	99	104
+	3	94	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	146
+	207	133
+	212	142
+	4	217	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	133
+	212	142
+	3	217	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	133
+	217	146
+	211	136
+	4	207	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	146
+	211	136
+	3	207	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	133
+	82	146
+	87	142
+	4	92	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	146
+	87	142
+	3	92	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	146
+	92	133
+	88	136
+	4	82	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	133
+	88	136
+	3	82	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	93
+	161	93
+	155	91
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	93
+	155	91
+	3	149	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	90
+	155	91
+	161	93
+	4	166	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	161	93
+	3	166	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	93
+	149	93
+	144	91
+	4	138	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	144	91
+	3	138	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	91
+	144	91
+	149	93
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	91
+	149	93
+	3	155	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	91
+	133	90
+	138	93
+	4	144	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	90
+	138	93
+	3	144	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	93
+	172	92
+	166	90
+	4	161	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	92
+	166	90
+	3	161	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	89
+	166	90
+	172	92
+	4	178	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	90
+	172	92
+	3	178	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	92
+	138	93
+	133	90
+	4	127	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	93
+	133	90
+	3	127	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	90
+	121	89
+	127	92
+	4	133	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	89
+	127	92
+	3	133	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	129
+	256	153
+	265	147
+	4	273	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	153
+	265	147
+	3	273	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	153
+	273	129
+	263	136
+	4	256	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	129
+	263	136
+	3	256	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	43	153
+	26	129
+	34	147
+	4	43	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	129
+	34	147
+	3	43	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	26	129
+	43	153
+	36	136
+	4	26	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	153
+	36	136
+	3	26	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	92
+	194	95
+	189	89
+	4	183	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	95
+	189	89
+	3	183	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	89
+	178	89
+	183	92
+	4	189	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	89
+	183	92
+	3	189	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	95
+	116	92
+	110	89
+	4	104	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	92
+	110	89
+	3	104	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	89
+	110	89
+	116	92
+	4	121	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	89
+	116	92
+	3	121	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	92
+	183	92
+	178	89
+	4	172	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	92
+	178	89
+	3	172	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	92
+	127	92
+	121	89
+	4	116	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	92
+	121	89
+	3	116	92	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	277	109
+	262	128
+	271	120
+	4	277	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	128
+	271	120
+	3	277	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	262	128
+	277	109
+	269	113
+	4	262	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	109
+	269	113
+	3	262	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	128
+	22	109
+	28	120
+	4	37	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	109
+	28	120
+	3	37	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	22	109
+	37	128
+	30	113
+	4	22	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	128
+	30	113
+	3	22	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	104
+	189	98
+	195	106
+	4	200	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	98
+	195	106
+	3	200	104	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	189	98
+	200	104
+	194	95
+	4	189	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	104
+	194	95
+	3	189	98	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	98
+	99	104
+	104	106
+	4	110	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	104	106
+	3	110	98	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	99	104
+	110	98
+	104	95
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	98
+	104	95
+	3	99	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	136
+	201	124
+	207	133
+	4	211	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	124
+	207	133
+	3	211	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	124
+	211	136
+	206	125
+	4	201	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	136
+	206	125
+	3	201	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	124
+	88	136
+	92	133
+	4	98	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	136
+	92	133
+	3	98	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	136
+	98	124
+	93	125
+	4	88	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	124
+	93	125
+	3	88	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	95
+	183	92
+	189	98
+	4	194	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	92
+	189	98
+	3	194	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	92
+	104	95
+	110	98
+	4	116	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	95
+	110	98
+	3	116	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	194
+	258	192
+	251	190
+	4	246	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	192
+	251	190
+	3	246	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	265	176
+	251	190
+	258	192
+	4	265	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	190
+	258	192
+	3	265	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	251	190
+	265	176
+	257	178
+	4	251	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	176
+	257	178
+	3	251	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	190
+	240	187
+	246	194
+	4	251	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	187
+	246	194
+	3	251	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	41	192
+	53	194
+	48	190
+	4	41	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	194
+	48	190
+	3	41	192	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	59	187
+	48	190
+	53	194
+	4	59	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	190
+	53	194
+	3	59	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	190
+	34	176
+	41	192
+	4	48	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	176
+	41	192
+	3	48	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	34	176
+	48	190
+	42	178
+	4	34	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	190
+	42	178
+	3	34	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	290	134
+	284	112
+	289	124
+	4	290	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	112
+	289	124
+	3	290	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	284	112
+	290	134
+	287	116
+	4	284	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	134
+	287	116
+	3	284	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	15	112
+	9	134
+	10	124
+	4	15	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	134
+	10	124
+	3	15	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	9	134
+	15	112
+	12	116
+	4	9	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	112
+	12	116
+	3	9	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	96
+	155	96
+	149	93
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	96
+	149	93
+	3	144	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	93
+	149	93
+	155	96
+	4	161	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	155	96
+	3	161	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	93
+	138	93
+	144	96
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	93
+	144	96
+	3	149	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	96
+	167	96
+	161	93
+	4	155	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	96
+	161	93
+	3	155	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	92
+	161	93
+	167	96
+	4	172	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	93
+	167	96
+	3	172	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	96
+	144	96
+	138	93
+	4	132	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	138	93
+	3	132	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	93
+	127	92
+	132	96
+	4	138	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	92
+	132	96
+	3	138	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	125
+	195	115
+	201	124
+	4	206	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	115
+	201	124
+	3	206	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	115
+	206	125
+	201	115
+	4	195	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	125
+	201	115
+	3	195	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	115
+	93	125
+	98	124
+	4	104	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	125
+	98	124
+	3	104	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	125
+	104	115
+	98	115
+	4	93	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	115
+	98	115
+	3	93	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	141
+	257	165
+	265	160
+	4	274	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	165
+	265	160
+	3	274	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	165
+	274	141
+	265	147
+	4	257	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	141
+	265	147
+	3	257	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	42	165
+	25	141
+	34	160
+	4	42	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	141
+	34	160
+	3	42	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	25	141
+	42	165
+	34	147
+	4	25	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	165
+	34	147
+	3	25	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	96
+	189	98
+	183	92
+	4	178	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	98
+	183	92
+	3	178	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	92
+	172	92
+	178	96
+	4	183	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	92
+	178	96
+	3	183	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	98
+	121	96
+	116	92
+	4	110	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	96
+	116	92
+	3	110	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	92
+	116	92
+	121	96
+	4	127	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	92
+	121	96
+	3	127	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	96
+	178	96
+	172	92
+	4	167	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	96
+	172	92
+	3	167	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	96
+	132	96
+	127	92
+	4	121	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	96
+	127	92
+	3	121	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	173
+	240	187
+	234	179
+	4	231	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	187
+	234	179
+	3	231	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	179
+	225	164
+	231	173
+	4	234	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	164
+	231	173
+	3	234	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	164
+	234	179
+	229	171
+	4	225	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	179
+	229	171
+	3	225	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	187
+	68	173
+	65	179
+	4	59	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	173
+	65	179
+	3	59	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	164
+	65	179
+	68	173
+	4	74	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	179
+	68	173
+	3	74	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	179
+	74	164
+	70	171
+	4	65	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	164
+	70	171
+	3	65	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	181
+	246	194
+	240	187
+	4	237	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	194
+	240	187
+	3	237	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	240	187
+	231	173
+	237	181
+	4	240	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	173
+	237	181
+	3	240	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	53	194
+	62	181
+	59	187
+	4	53	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	181
+	59	187
+	3	53	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	173
+	59	187
+	62	181
+	4	68	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	187
+	62	181
+	3	68	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	115
+	190	107
+	195	115
+	4	201	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	107
+	195	115
+	3	201	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	190	107
+	201	115
+	195	106
+	4	190	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	115
+	195	106
+	3	190	107	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	109	107
+	98	115
+	104	115
+	4	109	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	115
+	104	115
+	3	109	107	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	98	115
+	109	107
+	104	106
+	4	98	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	107
+	104	106
+	3	98	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	171
+	220	156
+	225	164
+	4	229	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	156
+	225	164
+	3	229	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	156
+	229	171
+	223	162
+	4	220	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	171
+	223	162
+	3	220	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	156
+	70	171
+	74	164
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	171
+	74	164
+	3	79	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	171
+	79	156
+	76	162
+	4	70	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	76	162
+	3	70	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	286	106
+	275	102
+	282	104
+	4	286	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	102
+	282	104
+	3	286	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	275	102
+	286	106
+	281	96
+	4	275	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	106
+	281	96
+	3	275	102	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	24	102
+	13	106
+	17	104
+	4	24	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	106
+	17	104
+	3	24	102	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	13	106
+	24	102
+	18	96
+	4	13	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	102
+	18	96
+	3	13	106	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	184	101
+	195	106
+	189	98
+	4	184	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	106
+	189	98
+	3	184	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	98
+	178	96
+	184	101
+	4	189	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	96
+	184	101
+	3	189	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	104	106
+	115	101
+	110	98
+	4	104	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	101
+	110	98
+	3	104	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	96
+	110	98
+	115	101
+	4	121	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	98
+	115	101
+	3	121	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	274	155
+	257	178
+	265	176
+	4	274	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	178
+	265	176
+	3	274	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	178
+	274	155
+	265	160
+	4	257	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	155
+	265	160
+	3	257	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	42	178
+	25	155
+	34	176
+	4	42	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	155
+	34	176
+	3	42	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	25	155
+	42	178
+	34	160
+	4	25	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	178
+	34	160
+	3	25	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	106
+	184	101
+	190	107
+	4	195	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	101
+	190	107
+	3	195	106	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	115	101
+	104	106
+	109	107
+	4	115	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	106
+	109	107
+	3	115	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	162
+	214	147
+	220	156
+	4	223	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	147
+	220	156
+	3	223	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	147
+	223	162
+	218	152
+	4	214	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	162
+	218	152
+	3	214	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	147
+	76	162
+	79	156
+	4	85	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	162
+	79	156
+	3	85	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	162
+	85	147
+	81	152
+	4	76	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	147
+	81	152
+	3	76	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	282	104
+	269	113
+	277	109
+	4	282	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	113
+	277	109
+	3	282	104	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	269	113
+	282	104
+	275	102
+	4	269	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	104
+	275	102
+	3	269	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	30	113
+	17	104
+	22	109
+	4	30	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	104
+	22	109
+	3	30	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	104
+	30	113
+	24	102
+	4	17	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	113
+	24	102
+	3	17	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	189
+	252	199
+	246	194
+	4	243	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	199
+	246	194
+	3	243	189	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	258	192
+	246	194
+	252	199
+	4	258	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	194
+	252	199
+	3	258	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	194
+	237	181
+	243	189
+	4	246	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	181
+	243	189
+	3	246	194	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	47	199
+	56	189
+	53	194
+	4	47	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	189
+	53	194
+	3	47	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	181
+	53	194
+	56	189
+	4	62	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	194
+	56	189
+	3	62	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	194
+	41	192
+	47	199
+	4	53	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	192
+	47	199
+	3	53	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	161	100
+	155	96
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	100
+	155	96
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	96
+	155	96
+	161	100
+	4	167	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	96
+	161	100
+	3	167	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	100
+	149	100
+	144	96
+	4	138	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	144	96
+	3	138	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	96
+	144	96
+	149	100
+	4	155	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	149	100
+	3	155	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	96
+	132	96
+	138	100
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	96
+	138	100
+	3	144	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	100
+	184	101
+	178	96
+	4	172	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	101
+	178	96
+	3	172	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	96
+	167	96
+	172	100
+	4	178	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	96
+	172	100
+	3	178	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	101
+	127	100
+	121	96
+	4	115	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	100
+	121	96
+	3	115	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	96
+	121	96
+	127	100
+	4	132	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	96
+	127	100
+	3	132	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	100
+	172	100
+	167	96
+	4	161	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	100
+	167	96
+	3	161	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	100
+	138	100
+	132	96
+	4	127	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	100
+	132	96
+	3	127	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	279	117
+	263	136
+	273	129
+	4	279	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	136
+	273	129
+	3	279	117	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	263	136
+	279	117
+	271	120
+	4	263	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	117
+	271	120
+	3	263	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	136
+	20	117
+	26	129
+	4	36	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	117
+	26	129
+	3	36	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	20	117
+	36	136
+	28	120
+	4	20	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	136
+	28	120
+	3	20	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	152
+	208	139
+	214	147
+	4	218	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	139
+	214	147
+	3	218	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	139
+	218	152
+	212	142
+	4	208	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	152
+	212	142
+	3	208	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	139
+	81	152
+	85	147
+	4	91	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	152
+	85	147
+	3	91	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	152
+	91	139
+	87	142
+	4	81	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	139
+	87	142
+	3	81	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	199
+	243	189
+	249	197
+	4	252	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	189
+	249	197
+	3	252	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	189
+	47	199
+	50	197
+	4	56	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	199
+	50	197
+	3	56	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	142
+	202	131
+	208	139
+	4	212	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	131
+	208	139
+	3	212	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	131
+	212	142
+	207	133
+	4	202	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	142
+	207	133
+	3	202	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	131
+	87	142
+	91	139
+	4	97	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	142
+	91	139
+	3	97	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	142
+	97	131
+	92	133
+	4	87	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	131
+	92	133
+	3	87	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	178	104
+	190	107
+	184	101
+	4	178	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	107
+	184	101
+	3	178	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	101
+	172	100
+	178	104
+	4	184	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	100
+	178	104
+	3	184	101	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	109	107
+	121	104
+	115	101
+	4	109	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	104
+	115	101
+	3	109	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	100
+	115	101
+	121	104
+	4	127	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	101
+	121	104
+	3	127	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	133
+	196	123
+	202	131
+	4	207	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	123
+	202	131
+	3	207	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	123
+	207	133
+	201	124
+	4	196	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	133
+	201	124
+	3	196	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	103	123
+	92	133
+	97	131
+	4	103	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	133
+	97	131
+	3	103	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	92	133
+	103	123
+	98	124
+	4	92	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	123
+	98	124
+	3	92	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	293	141
+	287	120
+	292	130
+	4	293	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	120
+	292	130
+	3	293	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	287	120
+	293	141
+	289	124
+	4	287	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	141
+	289	124
+	3	287	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	12	120
+	6	141
+	7	130
+	4	12	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	141
+	7	130
+	3	12	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	6	141
+	12	120
+	10	124
+	4	6	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	120
+	10	124
+	3	6	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	103
+	155	103
+	149	100
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	149	100
+	3	144	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	100
+	149	100
+	155	103
+	4	161	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	155	103
+	3	161	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	138	100
+	144	103
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	100
+	144	103
+	3	149	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	103
+	178	104
+	172	100
+	4	167	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	104
+	172	100
+	3	167	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	100
+	161	100
+	167	103
+	4	172	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	100
+	167	103
+	3	172	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	104
+	132	103
+	127	100
+	4	121	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	103
+	127	100
+	3	121	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	100
+	127	100
+	132	103
+	4	138	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	100
+	132	103
+	3	138	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	103
+	167	103
+	161	100
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	103
+	161	100
+	3	155	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	103
+	144	103
+	138	100
+	4	132	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	138	100
+	3	132	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	287	116
+	277	109
+	284	112
+	4	287	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	109
+	284	112
+	3	287	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	277	109
+	287	116
+	282	104
+	4	277	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	116
+	282	104
+	3	277	109	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	22	109
+	12	116
+	15	112
+	4	22	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	116
+	15	112
+	3	22	109	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	12	116
+	22	109
+	17	104
+	4	12	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	109
+	17	104
+	3	12	116	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	184	110
+	195	115
+	190	107
+	4	184	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	115
+	190	107
+	3	184	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	107
+	178	104
+	184	110
+	4	190	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	104
+	184	110
+	3	190	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	115
+	115	110
+	109	107
+	4	104	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	110
+	109	107
+	3	104	115	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	121	104
+	109	107
+	115	110
+	4	121	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	107
+	115	110
+	3	121	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	124
+	190	116
+	196	123
+	4	201	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	116
+	196	123
+	3	201	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	116
+	201	124
+	195	115
+	4	190	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	124
+	195	115
+	3	190	116	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	109	116
+	98	124
+	103	123
+	4	109	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	124
+	103	123
+	3	109	116	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	98	124
+	109	116
+	104	115
+	4	98	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	116
+	104	115
+	3	98	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	115
+	184	110
+	190	116
+	4	195	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	110
+	190	116
+	3	195	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	115	110
+	104	115
+	109	116
+	4	115	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	115
+	109	116
+	3	115	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	281	126
+	265	147
+	274	141
+	4	281	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	147
+	274	141
+	3	281	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	265	147
+	281	126
+	273	129
+	4	265	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	126
+	273	129
+	3	265	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	34	147
+	18	126
+	25	141
+	4	34	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	126
+	25	141
+	3	34	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	18	126
+	34	147
+	26	129
+	4	18	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	147
+	26	129
+	3	18	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	108
+	184	110
+	178	104
+	4	173	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	110
+	178	104
+	3	173	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	104
+	167	103
+	173	108
+	4	178	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	103
+	173	108
+	3	178	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	110
+	126	108
+	121	104
+	4	115	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	108
+	121	104
+	3	115	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	103
+	121	104
+	126	108
+	4	132	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	104
+	126	108
+	3	132	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	284	112
+	271	120
+	279	117
+	4	284	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	120
+	279	117
+	3	284	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	271	120
+	284	112
+	277	109
+	4	271	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	112
+	277	109
+	3	271	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	120
+	15	112
+	20	117
+	4	28	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	112
+	20	117
+	3	28	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	15	112
+	28	120
+	22	109
+	4	15	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	120
+	22	109
+	3	15	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	107
+	173	108
+	167	103
+	4	161	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	108
+	167	103
+	3	161	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	103
+	155	103
+	161	107
+	4	167	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	161	107
+	3	167	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	108
+	138	107
+	132	103
+	4	126	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	107
+	132	103
+	3	126	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	103
+	132	103
+	138	107
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	103
+	138	107
+	3	144	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	107
+	161	107
+	155	103
+	4	149	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	107
+	155	103
+	3	149	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	107
+	149	107
+	144	103
+	4	138	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	107
+	144	103
+	3	138	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	103
+	144	103
+	149	107
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	149	107
+	3	155	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	283	137
+	265	160
+	274	155
+	4	283	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	160
+	274	155
+	3	283	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	265	160
+	283	137
+	274	141
+	4	265	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	137
+	274	141
+	3	265	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	34	160
+	16	137
+	25	155
+	4	34	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	137
+	25	155
+	3	34	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	16	137
+	34	160
+	25	141
+	4	16	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	160
+	25	141
+	3	16	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	112
+	190	116
+	184	110
+	4	179	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	116
+	184	110
+	3	179	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	110
+	173	108
+	179	112
+	4	184	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	108
+	179	112
+	3	184	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	109	116
+	120	112
+	115	110
+	4	109	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	112
+	115	110
+	3	109	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	108
+	115	110
+	120	112
+	4	126	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	110
+	120	112
+	3	126	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	118
+	196	123
+	190	116
+	4	185	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	123
+	190	116
+	3	185	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	116
+	179	112
+	185	118
+	4	190	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	112
+	185	118
+	3	190	116	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	103	123
+	114	118
+	109	116
+	4	103	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	118
+	109	116
+	3	103	123	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	112
+	109	116
+	114	118
+	4	120	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	116
+	114	118
+	3	120	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	111
+	179	112
+	173	108
+	4	167	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	112
+	173	108
+	3	167	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	108
+	161	107
+	167	111
+	4	173	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	107
+	167	111
+	3	173	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	112
+	132	111
+	126	108
+	4	120	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	111
+	126	108
+	3	120	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	107
+	126	108
+	132	111
+	4	138	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	108
+	132	111
+	3	138	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	111
+	167	111
+	161	107
+	4	155	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	111
+	161	107
+	3	155	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	107
+	149	107
+	155	111
+	4	161	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	107
+	155	111
+	3	161	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	111
+	144	111
+	138	107
+	4	132	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	111
+	138	107
+	3	132	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	107
+	138	107
+	144	111
+	4	149	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	107
+	144	111
+	3	149	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	289	124
+	279	117
+	287	120
+	4	289	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	117
+	287	120
+	3	289	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	117
+	289	124
+	284	112
+	4	279	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	124
+	284	112
+	3	279	117	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	20	117
+	10	124
+	12	120
+	4	20	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	124
+	12	120
+	3	20	117	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	10	124
+	20	117
+	15	112
+	4	10	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	117
+	15	112
+	3	10	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	111
+	155	111
+	149	107
+	4	144	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	111
+	149	107
+	3	144	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	234	172
+	243	189
+	237	181
+	4	234	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	189
+	237	181
+	3	234	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	181
+	228	164
+	234	172
+	4	237	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	164
+	234	172
+	3	237	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	164
+	237	181
+	231	173
+	4	228	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	181
+	231	173
+	3	228	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	189
+	65	172
+	62	181
+	4	56	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	172
+	62	181
+	3	56	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	164
+	62	181
+	65	172
+	4	71	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	181
+	65	172
+	3	71	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	181
+	71	164
+	68	173
+	4	62	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	164
+	68	173
+	3	62	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	240	180
+	249	197
+	243	189
+	4	240	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	197
+	243	189
+	3	240	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	189
+	234	172
+	240	180
+	4	243	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	172
+	240	180
+	3	243	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	197
+	59	180
+	56	189
+	4	50	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	180
+	56	189
+	3	50	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	172
+	56	189
+	59	180
+	4	65	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	189
+	59	180
+	3	65	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	173
+	222	157
+	228	164
+	4	231	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	157
+	228	164
+	3	231	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	157
+	231	173
+	225	164
+	4	222	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	173
+	225	164
+	3	222	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	157
+	68	173
+	71	164
+	4	77	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	173
+	71	164
+	3	77	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	173
+	77	157
+	74	164
+	4	68	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	157
+	74	164
+	3	68	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	123
+	202	131
+	196	123
+	4	191	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	131
+	196	123
+	3	191	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	123
+	185	118
+	191	123
+	4	196	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	118
+	191	123
+	3	196	123	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	97	131
+	108	123
+	103	123
+	4	97	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	123
+	103	123
+	3	97	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	118
+	103	123
+	108	123
+	4	114	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	123
+	108	123
+	3	114	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	164
+	216	150
+	222	157
+	4	225	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	150
+	222	157
+	3	225	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	150
+	225	164
+	220	156
+	4	216	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	164
+	220	156
+	3	216	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	150
+	74	164
+	77	157
+	4	83	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	164
+	77	157
+	3	83	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	164
+	83	150
+	79	156
+	4	74	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	150
+	79	156
+	3	74	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	249	197
+	240	180
+	247	187
+	4	249	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	180
+	247	187
+	3	249	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	180
+	50	197
+	52	187
+	4	59	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	197
+	52	187
+	3	59	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	156
+	209	143
+	216	150
+	4	220	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	143
+	216	150
+	3	220	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	143
+	220	156
+	214	147
+	4	209	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	156
+	214	147
+	3	209	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	143
+	79	156
+	83	150
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	83	150
+	3	90	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	156
+	90	143
+	85	147
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	85	147
+	3	79	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	129
+	208	139
+	202	131
+	4	197	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	139
+	202	131
+	3	197	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	131
+	191	123
+	197	129
+	4	202	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	123
+	197	129
+	3	202	131	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	91	139
+	102	129
+	97	131
+	4	91	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	129
+	97	131
+	3	91	139	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	108	123
+	97	131
+	102	129
+	4	108	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	131
+	102	129
+	3	108	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	147
+	203	136
+	209	143
+	4	214	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	136
+	209	143
+	3	214	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	136
+	214	147
+	208	139
+	4	203	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	147
+	208	139
+	3	203	136	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	96	136
+	85	147
+	90	143
+	4	96	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	147
+	90	143
+	3	96	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	147
+	96	136
+	91	139
+	4	85	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	136
+	91	139
+	3	85	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	139
+	197	129
+	203	136
+	4	208	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	129
+	203	136
+	3	208	139	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	102	129
+	91	139
+	96	136
+	4	102	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	139
+	96	136
+	3	102	129	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	287	120
+	273	129
+	281	126
+	4	287	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	129
+	281	126
+	3	287	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	273	129
+	287	120
+	279	117
+	4	273	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	120
+	279	117
+	3	273	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	26	129
+	12	120
+	18	126
+	4	26	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	120
+	18	126
+	3	26	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	12	120
+	26	129
+	20	117
+	4	12	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	129
+	20	117
+	3	12	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	116
+	185	118
+	179	112
+	4	173	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	118
+	179	112
+	3	173	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	112
+	167	111
+	173	116
+	4	179	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	111
+	173	116
+	3	179	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	118
+	126	116
+	120	112
+	4	114	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	116
+	120	112
+	3	114	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	111
+	120	112
+	126	116
+	4	132	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	112
+	126	116
+	3	132	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	115
+	173	116
+	167	111
+	4	161	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	116
+	167	111
+	3	161	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	111
+	155	111
+	161	115
+	4	167	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	111
+	161	115
+	3	167	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	116
+	138	115
+	132	111
+	4	126	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	115
+	132	111
+	3	126	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	111
+	132	111
+	138	115
+	4	144	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	111
+	138	115
+	3	144	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	115
+	161	115
+	155	111
+	4	149	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	115
+	155	111
+	3	149	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	115
+	149	115
+	144	111
+	4	138	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	115
+	144	111
+	3	138	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	111
+	144	111
+	149	115
+	4	155	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	111
+	149	115
+	3	155	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	120
+	191	123
+	185	118
+	4	179	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	123
+	185	118
+	3	179	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	118
+	173	116
+	179	120
+	4	185	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	116
+	179	120
+	3	185	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	108	123
+	120	120
+	114	118
+	4	108	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	120
+	114	118
+	3	108	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	116
+	114	118
+	120	120
+	4	126	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	118
+	120	120
+	3	126	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	289	127
+	274	141
+	283	137
+	4	289	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	141
+	283	137
+	3	289	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	274	141
+	289	127
+	281	126
+	4	274	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	127
+	281	126
+	3	274	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	141
+	10	127
+	16	137
+	4	25	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	127
+	16	137
+	3	25	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	10	127
+	25	141
+	18	126
+	4	10	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	141
+	18	126
+	3	10	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	119
+	179	120
+	173	116
+	4	167	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	120
+	173	116
+	3	167	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	116
+	161	115
+	167	119
+	4	173	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	115
+	167	119
+	3	173	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	120
+	132	119
+	126	116
+	4	120	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	119
+	126	116
+	3	120	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	115
+	126	116
+	132	119
+	4	138	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	116
+	132	119
+	3	138	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	119
+	167	119
+	161	115
+	4	155	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	119
+	161	115
+	3	155	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	115
+	149	115
+	155	119
+	4	161	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	115
+	155	119
+	3	161	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	119
+	144	119
+	138	115
+	4	132	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	119
+	138	115
+	3	132	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	115
+	138	115
+	144	119
+	4	149	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	115
+	144	119
+	3	149	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	119
+	155	119
+	149	115
+	4	144	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	119
+	149	115
+	3	144	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	125
+	197	129
+	191	123
+	4	185	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	129
+	191	123
+	3	185	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	123
+	179	120
+	185	125
+	4	191	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	120
+	185	125
+	3	191	123	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	102	129
+	114	125
+	108	123
+	4	102	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	125
+	108	123
+	3	102	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	120
+	108	123
+	114	125
+	4	120	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	123
+	114	125
+	3	120	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	292	130
+	281	126
+	289	127
+	4	292	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	126
+	289	127
+	3	292	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	281	126
+	292	130
+	287	120
+	4	281	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	130
+	287	120
+	3	281	126	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	18	126
+	7	130
+	10	127
+	4	18	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	130
+	10	127
+	3	18	126	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	7	130
+	18	126
+	12	120
+	4	7	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	126
+	12	120
+	3	7	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	130
+	203	136
+	197	129
+	4	192	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	136
+	197	129
+	3	192	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	129
+	185	125
+	192	130
+	4	197	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	125
+	192	130
+	3	197	129	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	96	136
+	107	130
+	102	129
+	4	96	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	130
+	102	129
+	3	96	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	114	125
+	102	129
+	107	130
+	4	114	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	129
+	107	130
+	3	114	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	123
+	185	125
+	179	120
+	4	174	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	125
+	179	120
+	3	174	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	120
+	167	119
+	174	123
+	4	179	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	119
+	174	123
+	3	179	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	125
+	125	123
+	120	120
+	4	114	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	123
+	120	120
+	3	114	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	119
+	120	120
+	125	123
+	4	132	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	120
+	125	123
+	3	132	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	123
+	174	123
+	167	119
+	4	162	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	123
+	167	119
+	3	162	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	119
+	155	119
+	162	123
+	4	167	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	119
+	162	123
+	3	167	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	123
+	137	123
+	132	119
+	4	125	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	123
+	132	119
+	3	125	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	119
+	132	119
+	137	123
+	4	144	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	119
+	137	123
+	3	144	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	123
+	162	123
+	155	119
+	4	149	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	123
+	155	119
+	3	149	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	123
+	149	123
+	144	119
+	4	137	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	123
+	144	119
+	3	137	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	119
+	144	119
+	149	123
+	4	155	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	119
+	149	123
+	3	155	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	135
+	209	143
+	203	136
+	4	198	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	143
+	203	136
+	3	198	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	136
+	192	130
+	198	135
+	4	203	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	130
+	198	135
+	3	203	136	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	90	143
+	101	135
+	96	136
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	135
+	96	136
+	3	90	143	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	107	130
+	96	136
+	101	135
+	4	107	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	136
+	101	135
+	3	107	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	140
+	216	150
+	209	143
+	4	205	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	150
+	209	143
+	3	205	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	143
+	198	135
+	205	140
+	4	209	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	135
+	205	140
+	3	209	143	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	83	150
+	94	140
+	90	143
+	4	83	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	140
+	90	143
+	3	83	150	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	101	135
+	90	143
+	94	140
+	4	101	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	94	140
+	3	101	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	128
+	192	130
+	185	125
+	4	180	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	130
+	185	125
+	3	180	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	125
+	174	123
+	180	128
+	4	185	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	123
+	180	128
+	3	185	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	130
+	119	128
+	114	125
+	4	107	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	128
+	114	125
+	3	107	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	123
+	114	125
+	119	128
+	4	125	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	125
+	119	128
+	3	125	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	233
+	156	233
+	149	226
+	4	143	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	233
+	149	226
+	3	143	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	226
+	149	226
+	156	233
+	4	162	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	226
+	156	233
+	3	162	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	226
+	162	226
+	156	217
+	4	149	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	226
+	156	217
+	3	149	226	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	226
+	137	226
+	143	233
+	4	149	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	226
+	143	233
+	3	149	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	226
+	149	226
+	143	217
+	4	137	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	226
+	143	217
+	3	137	226	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	217
+	143	217
+	149	226
+	4	156	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	149	226
+	3	156	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	146
+	222	157
+	216	150
+	4	211	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	157
+	216	150
+	3	211	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	150
+	205	140
+	211	146
+	4	216	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	140
+	211	146
+	3	216	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	77	157
+	88	146
+	83	150
+	4	77	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	146
+	83	150
+	3	77	157	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	140
+	83	150
+	88	146
+	4	94	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	150
+	88	146
+	3	94	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	233
+	168	233
+	162	226
+	4	156	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	233
+	162	226
+	3	156	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	224
+	162	226
+	168	233
+	4	174	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	226
+	168	233
+	3	174	224	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	226
+	174	224
+	168	216
+	4	162	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	224
+	168	216
+	3	162	226	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	216
+	156	217
+	162	226
+	4	168	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	217
+	162	226
+	3	168	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	233
+	143	233
+	137	226
+	4	131	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	233
+	137	226
+	3	131	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	226
+	125	224
+	131	233
+	4	137	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	224
+	131	233
+	3	137	226	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	224
+	137	226
+	131	216
+	4	125	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	226
+	131	216
+	3	125	224	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	217
+	131	216
+	137	226
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	216
+	137	226
+	3	143	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	217
+	168	216
+	162	205
+	4	156	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	216
+	162	205
+	3	156	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	217
+	156	217
+	149	206
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	217
+	149	206
+	3	143	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	205
+	149	206
+	156	217
+	4	162	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	206
+	156	217
+	3	162	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	216
+	143	217
+	137	205
+	4	131	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	137	205
+	3	131	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	206
+	137	205
+	143	217
+	4	149	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	205
+	143	217
+	3	149	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	128
+	156	128
+	149	123
+	4	143	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	128
+	149	123
+	3	143	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	123
+	149	123
+	156	128
+	4	162	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	123
+	156	128
+	3	162	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	123
+	137	123
+	143	128
+	4	149	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	123
+	143	128
+	3	149	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	128
+	180	128
+	174	123
+	4	168	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	128
+	174	123
+	3	168	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	123
+	162	123
+	168	128
+	4	174	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	123
+	168	128
+	3	174	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	128
+	131	128
+	125	123
+	4	119	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	128
+	125	123
+	3	119	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	123
+	125	123
+	131	128
+	4	137	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	123
+	131	128
+	3	137	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	128
+	168	128
+	162	123
+	4	156	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	128
+	162	123
+	3	156	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	128
+	143	128
+	137	123
+	4	131	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	128
+	137	123
+	3	131	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	151
+	228	164
+	222	157
+	4	218	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	164
+	222	157
+	3	218	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	157
+	211	146
+	218	151
+	4	222	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	146
+	218	151
+	3	222	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	164
+	81	151
+	77	157
+	4	71	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	151
+	77	157
+	3	71	164	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	88	146
+	77	157
+	81	151
+	4	88	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	157
+	81	151
+	3	88	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	233
+	180	232
+	174	224
+	4	168	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	232
+	174	224
+	3	168	233	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	221
+	174	224
+	180	232
+	4	186	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	224
+	180	232
+	3	186	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	224
+	186	221
+	180	212
+	4	174	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	221
+	180	212
+	3	174	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	212
+	168	216
+	174	224
+	4	180	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	216
+	174	224
+	3	180	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	232
+	131	233
+	125	224
+	4	119	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	233
+	125	224
+	3	119	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	224
+	113	221
+	119	232
+	4	125	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	221
+	119	232
+	3	125	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	221
+	125	224
+	119	212
+	4	113	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	224
+	119	212
+	3	113	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	216
+	119	212
+	125	224
+	4	131	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	212
+	125	224
+	3	131	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	236
+	162	236
+	156	233
+	4	149	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	236
+	156	233
+	3	149	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	233
+	156	233
+	162	236
+	4	168	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	233
+	162	236
+	3	168	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	236
+	149	236
+	143	233
+	4	137	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	236
+	143	233
+	3	137	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	233
+	143	233
+	149	236
+	4	156	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	233
+	149	236
+	3	156	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	233
+	131	233
+	137	236
+	4	143	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	233
+	137	236
+	3	143	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	236
+	174	237
+	168	233
+	4	162	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	237
+	168	233
+	3	162	236	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	180	232
+	168	233
+	174	237
+	4	180	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	233
+	174	237
+	3	180	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	125	237
+	137	236
+	131	233
+	4	125	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	236
+	131	233
+	3	125	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	233
+	119	232
+	125	237
+	4	131	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	232
+	125	237
+	3	131	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	216
+	180	212
+	174	202
+	4	168	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	212
+	174	202
+	3	168	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	202
+	162	205
+	168	216
+	4	174	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	205
+	168	216
+	3	174	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	212
+	131	216
+	125	202
+	4	119	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	216
+	125	202
+	3	119	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	205
+	125	202
+	131	216
+	4	137	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	202
+	131	216
+	3	137	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	157
+	234	172
+	228	164
+	4	224	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	172
+	228	164
+	3	224	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	164
+	218	151
+	224	157
+	4	228	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	151
+	224	157
+	3	228	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	172
+	75	157
+	71	164
+	4	65	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	157
+	71	164
+	3	65	172	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	81	151
+	71	164
+	75	157
+	4	81	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	164
+	75	157
+	3	81	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	132
+	198	135
+	192	130
+	4	186	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	135
+	192	130
+	3	186	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	130
+	180	128
+	186	132
+	4	192	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	128
+	186	132
+	3	192	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	135
+	113	132
+	107	130
+	4	101	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	132
+	107	130
+	3	101	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	128
+	107	130
+	113	132
+	4	119	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	130
+	113	132
+	3	119	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	206
+	162	205
+	156	194
+	4	149	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	205
+	156	194
+	3	149	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	205
+	149	206
+	143	194
+	4	137	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	206
+	143	194
+	3	137	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	194
+	143	194
+	149	206
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	194
+	149	206
+	3	156	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	237
+	186	238
+	180	232
+	4	174	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	238
+	180	232
+	3	174	237	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	192	229
+	180	232
+	186	238
+	4	192	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	232
+	186	238
+	3	192	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	180	232
+	192	229
+	186	221
+	4	180	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	229
+	186	221
+	3	180	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	238
+	125	237
+	119	232
+	4	113	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	237
+	119	232
+	3	113	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	232
+	107	229
+	113	238
+	4	119	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	229
+	113	238
+	3	119	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	229
+	119	232
+	113	221
+	4	107	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	232
+	113	221
+	3	107	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	163
+	240	180
+	234	172
+	4	231	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	180
+	234	172
+	3	231	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	172
+	224	157
+	231	163
+	4	234	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	157
+	231	163
+	3	234	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	180
+	68	163
+	65	172
+	4	59	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	163
+	65	172
+	3	59	180	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	75	157
+	65	172
+	68	163
+	4	75	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	172
+	68	163
+	3	75	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	205
+	174	202
+	168	192
+	4	162	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	202
+	168	192
+	3	162	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	192
+	156	194
+	162	205
+	4	168	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	162	205
+	3	168	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	202
+	137	205
+	131	192
+	4	125	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	205
+	131	192
+	3	125	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	194
+	131	192
+	137	205
+	4	143	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	192
+	137	205
+	3	143	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	169
+	247	187
+	240	180
+	4	238	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	187
+	240	180
+	3	238	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	180
+	231	163
+	238	169
+	4	240	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	163
+	238	169
+	3	240	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	187
+	61	169
+	59	180
+	4	52	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	169
+	59	180
+	3	52	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	163
+	59	180
+	61	169
+	4	68	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	180
+	61	169
+	3	68	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	133
+	162	133
+	156	128
+	4	149	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	133
+	156	128
+	3	149	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	128
+	156	128
+	162	133
+	4	168	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	128
+	162	133
+	3	168	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	133
+	149	133
+	143	128
+	4	137	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	133
+	143	128
+	3	137	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	128
+	143	128
+	149	133
+	4	156	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	128
+	149	133
+	3	156	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	128
+	131	128
+	137	133
+	4	143	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	128
+	137	133
+	3	143	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	132
+	186	132
+	180	128
+	4	174	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	132
+	180	128
+	3	174	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	128
+	168	128
+	174	132
+	4	180	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	128
+	174	132
+	3	180	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	132
+	125	132
+	119	128
+	4	113	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	132
+	119	128
+	3	113	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	128
+	119	128
+	125	132
+	4	131	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	128
+	125	132
+	3	131	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	133
+	174	132
+	168	128
+	4	162	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	132
+	168	128
+	3	162	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	132
+	137	133
+	131	128
+	4	125	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	133
+	131	128
+	3	125	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	187
+	238	169
+	244	176
+	4	247	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	169
+	244	176
+	3	247	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	169
+	52	187
+	55	176
+	4	61	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	187
+	55	176
+	3	61	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	214
+	186	221
+	192	229
+	4	199	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	221
+	192	229
+	3	199	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	221
+	199	214
+	193	205
+	4	186	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	214
+	193	205
+	3	186	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	205
+	180	212
+	186	221
+	4	193	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	212
+	186	221
+	3	193	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	221
+	100	214
+	107	229
+	4	113	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	214
+	107	229
+	3	113	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	214
+	113	221
+	106	205
+	4	100	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	221
+	106	205
+	3	100	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	212
+	106	205
+	113	221
+	4	119	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	205
+	113	221
+	3	119	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	240
+	192	242
+	186	238
+	4	180	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	242
+	186	238
+	3	180	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	237
+	186	238
+	192	242
+	4	198	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	238
+	192	242
+	3	198	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	238
+	198	237
+	192	229
+	4	186	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	237
+	192	229
+	3	186	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	238
+	174	237
+	180	240
+	4	186	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	237
+	180	240
+	3	186	238	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	107	242
+	119	240
+	113	238
+	4	107	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	240
+	113	238
+	3	107	242	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	125	237
+	113	238
+	119	240
+	4	125	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	238
+	119	240
+	3	125	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	238
+	101	237
+	107	242
+	4	113	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	237
+	107	242
+	3	113	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	237
+	113	238
+	107	229
+	4	101	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	238
+	107	229
+	3	101	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	136
+	205	140
+	198	135
+	4	193	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	140
+	198	135
+	3	193	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	135
+	186	132
+	193	136
+	4	198	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	132
+	193	136
+	3	198	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	94	140
+	106	136
+	101	135
+	4	94	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	136
+	101	135
+	3	94	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	132
+	101	135
+	106	136
+	4	113	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	135
+	106	136
+	3	113	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	223
+	192	229
+	198	237
+	4	205	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	229
+	198	237
+	3	205	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	229
+	205	223
+	199	214
+	4	192	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	223
+	199	214
+	3	192	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	229
+	94	223
+	101	237
+	4	107	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	223
+	101	237
+	3	107	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	223
+	107	229
+	100	214
+	4	94	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	229
+	100	214
+	3	94	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	212
+	193	205
+	187	196
+	4	180	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	205
+	187	196
+	3	180	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	196
+	174	202
+	180	212
+	4	187	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	202
+	180	212
+	3	187	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	205
+	119	212
+	112	196
+	4	106	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	212
+	112	196
+	3	106	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	202
+	112	196
+	119	212
+	4	125	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	196
+	119	212
+	3	125	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	194
+	168	192
+	162	182
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	192
+	162	182
+	3	156	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	194
+	156	194
+	149	183
+	4	143	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	149	183
+	3	143	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	182
+	149	183
+	156	194
+	4	162	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	183
+	156	194
+	3	162	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	192
+	143	194
+	137	182
+	4	131	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	194
+	137	182
+	3	131	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	183
+	137	182
+	143	194
+	4	149	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	182
+	143	194
+	3	149	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	237
+	180	240
+	174	237
+	4	168	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	240
+	174	237
+	3	168	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	237
+	162	236
+	168	237
+	4	174	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	236
+	168	237
+	3	174	237	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	119	240
+	131	237
+	125	237
+	4	119	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	237
+	125	237
+	3	119	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	236
+	125	237
+	131	237
+	4	137	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	237
+	131	237
+	3	137	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	202
+	187	196
+	180	187
+	4	174	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	196
+	180	187
+	3	174	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	187
+	168	192
+	174	202
+	4	180	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	192
+	174	202
+	3	180	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	196
+	125	202
+	119	187
+	4	112	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	202
+	119	187
+	3	112	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	192
+	119	187
+	125	202
+	4	131	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	187
+	125	202
+	3	131	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	242
+	205	243
+	198	237
+	4	192	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	243
+	198	237
+	3	192	242	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	211	231
+	198	237
+	205	243
+	4	211	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	237
+	205	243
+	3	211	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	237
+	211	231
+	205	223
+	4	198	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	231
+	205	223
+	3	198	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	243
+	107	242
+	101	237
+	4	94	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	242
+	101	237
+	3	94	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	237
+	88	231
+	94	243
+	4	101	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	231
+	94	243
+	3	101	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	231
+	101	237
+	94	223
+	4	88	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	237
+	94	223
+	3	88	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	139
+	156	139
+	149	133
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	139
+	149	133
+	3	143	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	133
+	149	133
+	156	139
+	4	162	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	133
+	156	139
+	3	162	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	133
+	137	133
+	143	139
+	4	149	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	133
+	143	139
+	3	149	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	236
+	168	237
+	162	236
+	4	156	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	237
+	162	236
+	3	156	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	236
+	149	236
+	156	236
+	4	162	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	236
+	156	236
+	3	162	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	237
+	143	236
+	137	236
+	4	131	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	236
+	137	236
+	3	131	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	236
+	137	236
+	143	236
+	4	149	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	236
+	143	236
+	3	149	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	139
+	168	138
+	162	133
+	4	156	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	138
+	162	133
+	3	156	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	132
+	162	133
+	168	138
+	4	174	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	133
+	168	138
+	3	174	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	138
+	143	139
+	137	133
+	4	131	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	137	133
+	3	131	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	133
+	125	132
+	131	138
+	4	137	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	132
+	131	138
+	3	137	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	236
+	156	236
+	149	236
+	4	143	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	236
+	149	236
+	3	143	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	136
+	193	136
+	186	132
+	4	180	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	136
+	186	132
+	3	180	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	132
+	174	132
+	180	136
+	4	186	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	132
+	180	136
+	3	186	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	136
+	119	136
+	113	132
+	4	106	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	136
+	113	132
+	3	106	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	132
+	113	132
+	119	136
+	4	125	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	132
+	119	136
+	3	125	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	138
+	180	136
+	174	132
+	4	168	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	136
+	174	132
+	3	168	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	136
+	131	138
+	125	132
+	4	119	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	138
+	125	132
+	3	119	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	192
+	180	187
+	174	178
+	4	168	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	187
+	174	178
+	3	168	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	178
+	162	182
+	168	192
+	4	174	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	182
+	168	192
+	3	174	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	187
+	131	192
+	125	178
+	4	119	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	192
+	125	178
+	3	119	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	182
+	125	178
+	131	192
+	4	137	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	178
+	131	192
+	3	137	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	141
+	211	146
+	205	140
+	4	199	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	146
+	205	140
+	3	199	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	140
+	193	136
+	199	141
+	4	205	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	136
+	199	141
+	3	205	140	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	88	146
+	100	141
+	94	140
+	4	88	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	141
+	94	140
+	3	88	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	136
+	94	140
+	100	141
+	4	106	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	140
+	100	141
+	3	106	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	183
+	162	182
+	156	172
+	4	149	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	182
+	156	172
+	3	149	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	182
+	149	183
+	143	172
+	4	137	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	183
+	143	172
+	3	137	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	172
+	143	172
+	149	183
+	4	156	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	172
+	149	183
+	3	156	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	243
+	192	242
+	199	245
+	4	205	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	242
+	199	245
+	3	205	243	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	242
+	94	243
+	100	245
+	4	107	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	243
+	100	245
+	3	107	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	145
+	162	145
+	156	139
+	4	149	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	145
+	156	139
+	3	149	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	138
+	156	139
+	162	145
+	4	168	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	139
+	162	145
+	3	168	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	145
+	149	145
+	143	139
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	145
+	143	139
+	3	137	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	139
+	143	139
+	149	145
+	4	156	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	149	145
+	3	156	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	139
+	131	138
+	137	145
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	138
+	137	145
+	3	143	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	182
+	174	178
+	168	169
+	4	162	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	178
+	168	169
+	3	162	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	169
+	156	172
+	162	182
+	4	168	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	172
+	162	182
+	3	168	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	178
+	137	182
+	131	169
+	4	125	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	182
+	131	169
+	3	125	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	172
+	131	169
+	137	182
+	4	143	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	169
+	137	182
+	3	143	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	240
+	199	245
+	192	242
+	4	187	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	245
+	192	242
+	3	187	240	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	242
+	180	240
+	187	240
+	4	192	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	240
+	187	240
+	3	192	242	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	100	245
+	112	240
+	107	242
+	4	100	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	240
+	107	242
+	3	100	245	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	119	240
+	107	242
+	112	240
+	4	119	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	242
+	112	240
+	3	119	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	145
+	174	143
+	168	138
+	4	162	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	143
+	168	138
+	3	162	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	136
+	168	138
+	174	143
+	4	180	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	138
+	174	143
+	3	180	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	143
+	137	145
+	131	138
+	4	125	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	131	138
+	3	125	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	138
+	119	136
+	125	143
+	4	131	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	136
+	125	143
+	3	131	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	145
+	218	151
+	211	146
+	4	206	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	151
+	211	146
+	3	206	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	146
+	199	141
+	206	145
+	4	211	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	141
+	206	145
+	3	211	146	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	81	151
+	93	145
+	88	146
+	4	81	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	145
+	88	146
+	3	81	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	100	141
+	88	146
+	93	145
+	4	100	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	146
+	93	145
+	3	100	141	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	172
+	168	169
+	162	161
+	4	156	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	169
+	162	161
+	3	156	172	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	172
+	156	172
+	149	162
+	4	143	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	172
+	149	162
+	3	143	172	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	162	161
+	149	162
+	156	172
+	4	162	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	162
+	156	172
+	3	162	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	169
+	143	172
+	137	161
+	4	131	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	172
+	137	161
+	3	131	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	162
+	137	161
+	143	172
+	4	149	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	161
+	143	172
+	3	149	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	153
+	156	153
+	149	145
+	4	143	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	153
+	149	145
+	3	143	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	145
+	149	145
+	156	153
+	4	162	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	145
+	156	153
+	3	162	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	145
+	137	145
+	143	153
+	4	149	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	143	153
+	3	149	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	141
+	199	141
+	193	136
+	4	187	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	141
+	193	136
+	3	187	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	136
+	180	136
+	187	141
+	4	193	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	136
+	187	141
+	3	193	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	141
+	112	141
+	106	136
+	4	100	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	141
+	106	136
+	3	100	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	136
+	106	136
+	112	141
+	4	119	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	136
+	112	141
+	3	119	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	143
+	187	141
+	180	136
+	4	174	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	141
+	180	136
+	3	174	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	141
+	125	143
+	119	136
+	4	112	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	143
+	119	136
+	3	112	141	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	153
+	168	151
+	162	145
+	4	156	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	151
+	162	145
+	3	156	153	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	143
+	162	145
+	168	151
+	4	174	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	145
+	168	151
+	3	174	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	151
+	143	153
+	137	145
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	153
+	137	145
+	3	131	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	145
+	125	143
+	131	151
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	143
+	131	151
+	3	137	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	204
+	199	214
+	205	223
+	4	213	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	214
+	205	223
+	3	213	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	214
+	213	204
+	206	196
+	4	199	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	204
+	206	196
+	3	199	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	196
+	193	205
+	199	214
+	4	206	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	205
+	199	214
+	3	206	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	214
+	86	204
+	94	223
+	4	100	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	204
+	94	223
+	3	100	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	204
+	100	214
+	93	196
+	4	86	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	214
+	93	196
+	3	86	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	205
+	93	196
+	100	214
+	4	106	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	196
+	100	214
+	3	106	205	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	149	162
+	162	161
+	156	153
+	4	149	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	161
+	156	153
+	3	149	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	137	161
+	149	162
+	143	153
+	4	137	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	162
+	143	153
+	3	137	161	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	156	153
+	143	153
+	149	162
+	4	156	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	153
+	149	162
+	3	156	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	212
+	205	223
+	211	231
+	4	219	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	223
+	211	231
+	3	219	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	223
+	219	212
+	213	204
+	4	205	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	212
+	213	204
+	3	205	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	223
+	80	212
+	88	231
+	4	94	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	212
+	88	231
+	3	94	223	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	212
+	94	223
+	86	204
+	4	80	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	223
+	86	204
+	3	80	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	205
+	206	196
+	200	188
+	4	193	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	196
+	200	188
+	3	193	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	188
+	187	196
+	193	205
+	4	200	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	196
+	193	205
+	3	200	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	196
+	106	205
+	99	188
+	4	93	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	205
+	99	188
+	3	93	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	196
+	99	188
+	106	205
+	4	112	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	188
+	106	205
+	3	112	196	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	168	151
+	156	153
+	162	161
+	4	168	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	153
+	162	161
+	3	168	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	153
+	131	151
+	137	161
+	4	143	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	137	161
+	3	143	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	196
+	200	188
+	193	180
+	4	187	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	188
+	193	180
+	3	187	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	180
+	180	187
+	187	196
+	4	193	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	187
+	187	196
+	3	193	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	188
+	112	196
+	106	180
+	4	99	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	196
+	106	180
+	3	99	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	187
+	106	180
+	112	196
+	4	119	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	180
+	112	196
+	3	119	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	236
+	187	240
+	180	240
+	4	175	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	240
+	180	240
+	3	175	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	240
+	168	237
+	175	236
+	4	180	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	237
+	175	236
+	3	180	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	240
+	124	236
+	119	240
+	4	112	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	236
+	119	240
+	3	112	240	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	237
+	119	240
+	124	236
+	4	131	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	240
+	124	236
+	3	131	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	187
+	193	180
+	187	172
+	4	180	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	180
+	187	172
+	3	180	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	172
+	174	178
+	180	187
+	4	187	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	178
+	180	187
+	3	187	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	180
+	119	187
+	112	172
+	4	106	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	187
+	112	172
+	3	106	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	178
+	112	172
+	119	187
+	4	125	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	172
+	119	187
+	3	125	178	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	174	158
+	162	161
+	168	169
+	4	174	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	161
+	168	169
+	3	174	158	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	162	161
+	174	158
+	168	151
+	4	162	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	158
+	168	151
+	3	162	161	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	137	161
+	125	158
+	131	169
+	4	137	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	158
+	131	169
+	3	137	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	158
+	137	161
+	131	151
+	4	125	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	161
+	131	151
+	3	125	158	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	174	178
+	187	172
+	181	165
+	4	174	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	172
+	181	165
+	3	174	178	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	181	165
+	168	169
+	174	178
+	4	181	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	169
+	174	178
+	3	181	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	172
+	125	178
+	118	165
+	4	112	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	178
+	118	165
+	3	112	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	169
+	118	165
+	125	178
+	4	131	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	165
+	125	178
+	3	131	169	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	168	169
+	181	165
+	174	158
+	4	168	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	165
+	174	158
+	3	168	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	165
+	131	169
+	125	158
+	4	118	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	169
+	125	158
+	3	118	165	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	168	151
+	181	148
+	174	143
+	4	168	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	148
+	174	143
+	3	168	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	141
+	174	143
+	181	148
+	4	187	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	143
+	181	148
+	3	187	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	148
+	131	151
+	125	143
+	4	118	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	125	143
+	3	118	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	143
+	112	141
+	118	148
+	4	125	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	141
+	118	148
+	3	125	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	150
+	224	157
+	218	151
+	4	213	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	157
+	218	151
+	3	213	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	151
+	206	145
+	213	150
+	4	218	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	145
+	213	150
+	3	218	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	75	157
+	86	150
+	81	151
+	4	75	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	150
+	81	151
+	3	75	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	145
+	81	151
+	86	150
+	4	93	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	151
+	86	150
+	3	93	145	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	181	148
+	168	151
+	174	158
+	4	181	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	151
+	174	158
+	3	181	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	151
+	118	148
+	125	158
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	148
+	125	158
+	3	131	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	145
+	206	145
+	199	141
+	4	193	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	145
+	199	141
+	3	193	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	141
+	187	141
+	193	145
+	4	199	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	141
+	193	145
+	3	199	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	145
+	106	145
+	100	141
+	4	93	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	145
+	100	141
+	3	93	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	141
+	100	141
+	106	145
+	4	112	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	141
+	106	145
+	3	112	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	148
+	193	145
+	187	141
+	4	181	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	145
+	187	141
+	3	181	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	145
+	118	148
+	112	141
+	4	106	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	148
+	112	141
+	3	106	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	232
+	175	236
+	168	237
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	236
+	168	237
+	3	162	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	237
+	156	236
+	162	232
+	4	168	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	236
+	162	232
+	3	168	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	236
+	137	232
+	131	237
+	4	124	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	232
+	131	237
+	3	124	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	236
+	131	237
+	137	232
+	4	143	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	237
+	137	232
+	3	143	236	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	187	154
+	174	158
+	181	165
+	4	187	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	158
+	181	165
+	3	187	154	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	174	158
+	187	154
+	181	148
+	4	174	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	154
+	181	148
+	3	174	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	158
+	112	154
+	118	165
+	4	125	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	154
+	118	165
+	3	125	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	154
+	125	158
+	118	148
+	4	112	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	158
+	118	148
+	3	112	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	245
+	187	240
+	195	239
+	4	199	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	240
+	195	239
+	3	199	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	240
+	100	245
+	104	239
+	4	112	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	245
+	104	239
+	3	112	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	155
+	231	163
+	224	157
+	4	219	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	163
+	224	157
+	3	219	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	157
+	213	150
+	219	155
+	4	224	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	150
+	219	155
+	3	224	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	68	163
+	80	155
+	75	157
+	4	68	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	155
+	75	157
+	3	68	163	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	86	150
+	75	157
+	80	155
+	4	86	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	157
+	80	155
+	3	86	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	193	145
+	181	148
+	187	154
+	4	193	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	148
+	187	154
+	3	193	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	148
+	106	145
+	112	154
+	4	118	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	145
+	112	154
+	3	118	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	231
+	162	232
+	156	236
+	4	149	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	156	236
+	3	149	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	232
+	149	231
+	143	236
+	4	137	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	231
+	143	236
+	3	137	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	236
+	143	236
+	149	231
+	4	156	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	236
+	149	231
+	3	156	236	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	194	159
+	181	165
+	187	172
+	4	194	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	165
+	187	172
+	3	194	159	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	181	165
+	194	159
+	187	154
+	4	181	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	159
+	187	154
+	3	181	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	165
+	105	159
+	112	172
+	4	118	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	159
+	112	172
+	3	118	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	159
+	118	165
+	112	154
+	4	105	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	165
+	112	154
+	3	105	159	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	200	165
+	187	172
+	193	180
+	4	200	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	172
+	193	180
+	3	200	165	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	187	172
+	200	165
+	194	159
+	4	187	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	165
+	194	159
+	3	187	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	172
+	99	165
+	106	180
+	4	112	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	165
+	106	180
+	3	112	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	165
+	112	172
+	105	159
+	4	99	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	172
+	105	159
+	3	99	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	160
+	238	169
+	231	163
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	169
+	231	163
+	3	226	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	163
+	219	155
+	226	160
+	4	231	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	155
+	226	160
+	3	231	163	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	61	169
+	73	160
+	68	163
+	4	61	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	68	163
+	3	61	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	80	155
+	68	163
+	73	160
+	4	80	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	163
+	73	160
+	3	80	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	150
+	213	150
+	206	145
+	4	200	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	150
+	206	145
+	3	200	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	145
+	193	145
+	200	150
+	4	206	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	145
+	200	150
+	3	206	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	150
+	99	150
+	93	145
+	4	86	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	150
+	93	145
+	3	86	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	145
+	93	145
+	99	150
+	4	106	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	145
+	99	150
+	3	106	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	154
+	200	150
+	193	145
+	4	187	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	150
+	193	145
+	3	187	154	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	99	150
+	112	154
+	106	145
+	4	99	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	154
+	106	145
+	3	99	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	200	150
+	187	154
+	194	159
+	4	200	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	154
+	194	159
+	3	200	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	154
+	99	150
+	105	159
+	4	112	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	150
+	105	159
+	3	112	154	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	207	171
+	193	180
+	200	188
+	4	207	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	180
+	200	188
+	3	207	171	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	193	180
+	207	171
+	200	165
+	4	193	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	171
+	200	165
+	3	193	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	180
+	92	171
+	99	188
+	4	106	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	171
+	99	188
+	3	106	180	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	171
+	106	180
+	99	165
+	4	92	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	180
+	99	165
+	3	92	171	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	178
+	200	188
+	206	196
+	4	214	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	188
+	206	196
+	3	214	178	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	200	188
+	214	178
+	207	171
+	4	200	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	178
+	207	171
+	3	200	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	188
+	85	178
+	93	196
+	4	99	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	178
+	93	196
+	3	99	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	178
+	99	188
+	92	171
+	4	85	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	188
+	92	171
+	3	85	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	165
+	244	176
+	238	169
+	4	234	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	176
+	238	169
+	3	234	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	169
+	226	160
+	234	165
+	4	238	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	234	165
+	3	238	169	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	55	176
+	65	165
+	61	169
+	4	55	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	165
+	61	169
+	3	55	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	73	160
+	61	169
+	65	165
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	169
+	65	165
+	3	73	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	233
+	195	239
+	187	240
+	4	182	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	239
+	187	240
+	3	182	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	240
+	175	236
+	182	233
+	4	187	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	236
+	182	233
+	3	187	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	239
+	117	233
+	112	240
+	4	104	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	233
+	112	240
+	3	104	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	236
+	112	240
+	117	233
+	4	124	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	240
+	117	233
+	3	124	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	184
+	206	196
+	213	204
+	4	220	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	196
+	213	204
+	3	220	184	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	206	196
+	220	184
+	214	178
+	4	206	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	184
+	214	178
+	3	206	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	196
+	79	184
+	86	204
+	4	93	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	184
+	86	204
+	3	93	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	184
+	93	196
+	85	178
+	4	79	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	196
+	85	178
+	3	79	184	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	207	155
+	194	159
+	200	165
+	4	207	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	159
+	200	165
+	3	207	155	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	159
+	207	155
+	200	150
+	4	194	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	155
+	200	150
+	3	194	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	159
+	92	155
+	99	165
+	4	105	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	155
+	99	165
+	3	105	159	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	92	155
+	105	159
+	99	150
+	4	92	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	159
+	99	150
+	3	92	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	191
+	213	204
+	219	212
+	4	227	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	204
+	219	212
+	3	227	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	204
+	227	191
+	220	184
+	4	213	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	191
+	220	184
+	3	213	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	204
+	72	191
+	80	212
+	4	86	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	191
+	80	212
+	3	86	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	191
+	86	204
+	79	184
+	4	72	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	204
+	79	184
+	3	72	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	155
+	219	155
+	213	150
+	4	207	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	155
+	213	150
+	3	207	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	150
+	200	150
+	207	155
+	4	213	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	150
+	207	155
+	3	213	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	155
+	92	155
+	86	150
+	4	80	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	155
+	86	150
+	3	80	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	150
+	86	150
+	92	155
+	4	99	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	150
+	92	155
+	3	99	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	176
+	234	165
+	241	170
+	4	244	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	165
+	241	170
+	3	244	176	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	65	165
+	55	176
+	58	170
+	4	65	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	176
+	58	170
+	3	65	165	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	214	160
+	200	165
+	207	171
+	4	214	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	165
+	207	171
+	3	214	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	200	165
+	214	160
+	207	155
+	4	200	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	160
+	207	155
+	3	200	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	165
+	85	160
+	92	171
+	4	99	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	160
+	92	171
+	3	99	165	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	85	160
+	99	165
+	92	155
+	4	85	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	165
+	92	155
+	3	85	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	160
+	226	160
+	219	155
+	4	214	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	219	155
+	3	214	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	155
+	207	155
+	214	160
+	4	219	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	155
+	214	160
+	3	219	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	160
+	85	160
+	80	155
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	160
+	80	155
+	3	73	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	155
+	80	155
+	85	160
+	4	92	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	155
+	85	160
+	3	92	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	228
+	182	233
+	175	236
+	4	169	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	233
+	175	236
+	3	169	228	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	236
+	162	232
+	169	228
+	4	175	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	169	228
+	3	175	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	233
+	130	228
+	124	236
+	4	117	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	228
+	124	236
+	3	117	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	232
+	124	236
+	130	228
+	4	137	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	236
+	130	228
+	3	137	232	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	221	165
+	207	171
+	214	178
+	4	221	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	171
+	214	178
+	3	221	165	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	207	171
+	221	165
+	214	160
+	4	207	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	165
+	214	160
+	3	207	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	171
+	78	165
+	85	178
+	4	92	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	85	178
+	3	92	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	165
+	92	171
+	85	160
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	171
+	85	160
+	3	78	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	225
+	169	228
+	162	232
+	4	156	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	228
+	162	232
+	3	156	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	232
+	149	231
+	156	225
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	231
+	156	225
+	3	162	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	228
+	143	225
+	137	232
+	4	130	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	225
+	137	232
+	3	130	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	231
+	137	232
+	143	225
+	4	149	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	232
+	143	225
+	3	149	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	165
+	234	165
+	226	160
+	4	221	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	165
+	226	160
+	3	221	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	160
+	214	160
+	221	165
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	160
+	221	165
+	3	226	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	165
+	78	165
+	73	160
+	4	65	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	73	160
+	3	65	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	160
+	73	160
+	78	165
+	4	85	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	78	165
+	3	85	160	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	228	170
+	214	178
+	220	184
+	4	228	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	178
+	220	184
+	3	228	170	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	214	178
+	228	170
+	221	165
+	4	214	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	170
+	221	165
+	3	214	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	178
+	71	170
+	79	184
+	4	85	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	170
+	79	184
+	3	85	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	170
+	85	178
+	78	165
+	4	71	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	178
+	78	165
+	3	71	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	225
+	156	225
+	149	231
+	4	143	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	225
+	149	231
+	3	143	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	239
+	182	233
+	190	229
+	4	195	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	233
+	190	229
+	3	195	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	233
+	104	239
+	109	229
+	4	117	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	239
+	109	229
+	3	117	233	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	235	175
+	220	184
+	227	191
+	4	235	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	184
+	227	191
+	3	235	175	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	220	184
+	235	175
+	228	170
+	4	220	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	175
+	228	170
+	3	220	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	184
+	64	175
+	72	191
+	4	79	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	175
+	72	191
+	3	79	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	64	175
+	79	184
+	71	170
+	4	64	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	184
+	71	170
+	3	64	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	170
+	241	170
+	234	165
+	4	228	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	170
+	234	165
+	3	228	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	165
+	221	165
+	228	170
+	4	234	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	165
+	228	170
+	3	234	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	170
+	71	170
+	65	165
+	4	58	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	170
+	65	165
+	3	58	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	165
+	65	165
+	71	170
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	165
+	71	170
+	3	78	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	170
+	228	170
+	235	175
+	4	241	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	170
+	235	175
+	3	241	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	170
+	58	170
+	64	175
+	4	71	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	170
+	64	175
+	3	71	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	223
+	190	229
+	182	233
+	4	177	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	229
+	182	233
+	3	177	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	233
+	169	228
+	177	223
+	4	182	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	228
+	177	223
+	3	182	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	229
+	122	223
+	117	233
+	4	109	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	223
+	117	233
+	3	109	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	228
+	117	233
+	122	223
+	4	130	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	233
+	122	223
+	3	130	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	220
+	177	223
+	169	228
+	4	163	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	223
+	169	228
+	3	163	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	228
+	156	225
+	163	220
+	4	169	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	225
+	163	220
+	3	169	228	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	122	223
+	136	220
+	130	228
+	4	122	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	220
+	130	228
+	3	122	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	225
+	130	228
+	136	220
+	4	143	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	228
+	136	220
+	3	143	225	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	276
+	143	276
+	149	292
+	4	156	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	276
+	149	292
+	3	156	276	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	219
+	163	220
+	156	225
+	4	149	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	220
+	156	225
+	3	149	219	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	136	220
+	149	219
+	143	225
+	4	136	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	219
+	143	225
+	3	136	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	225
+	143	225
+	149	219
+	4	156	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	225
+	149	219
+	3	156	225	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	229
+	177	223
+	185	221
+	4	190	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	223
+	185	221
+	3	190	229	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	122	223
+	109	229
+	114	221
+	4	122	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	229
+	114	221
+	3	122	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	276
+	156	276
+	149	256
+	4	143	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	276
+	149	256
+	3	143	276	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	255
+	149	256
+	156	276
+	4	163	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	256
+	156	276
+	3	163	255	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	256
+	136	255
+	143	276
+	4	149	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	255
+	143	276
+	3	149	256	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	218
+	185	221
+	177	223
+	4	171	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	221
+	177	223
+	3	171	218	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	177	223
+	163	220
+	171	218
+	4	177	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	220
+	171	218
+	3	177	223	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	114	221
+	128	218
+	122	223
+	4	114	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	218
+	122	223
+	3	114	221	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	136	220
+	122	223
+	128	218
+	4	136	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	223
+	128	218
+	3	136	220	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	157	217
+	171	218
+	163	220
+	4	157	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	218
+	163	220
+	3	157	217	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	163	220
+	149	219
+	157	217
+	4	163	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	219
+	157	217
+	3	163	220	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	128	218
+	142	217
+	136	220
+	4	128	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	217
+	136	220
+	3	128	218	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	219
+	136	220
+	142	217
+	4	149	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	220
+	142	217
+	3	149	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	217
+	157	217
+	149	219
+	4	142	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	217
+	149	219
+	3	142	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	256
+	163	255
+	157	236
+	4	149	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	255
+	157	236
+	3	149	256	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	255
+	149	256
+	142	236
+	4	136	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	256
+	142	236
+	3	136	255	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	157	236
+	142	236
+	149	256
+	4	157	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	236
+	149	256
+	3	157	236	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	171	234
+	157	236
+	163	255
+	4	171	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	236
+	163	255
+	3	171	234	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	142	236
+	128	234
+	136	255
+	4	142	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	234
+	136	255
+	3	142	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	221
+	171	218
+	178	222
+	4	185	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	218
+	178	222
+	3	185	221	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	128	218
+	114	221
+	121	222
+	4	128	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	221
+	121	222
+	3	128	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	222
+	178	222
+	171	218
+	4	164	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	222
+	171	218
+	3	164	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	218
+	157	217
+	164	222
+	4	171	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	217
+	164	222
+	3	171	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	222
+	135	222
+	128	218
+	4	121	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	222
+	128	218
+	3	121	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	217
+	128	218
+	135	222
+	4	142	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	218
+	135	222
+	3	142	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	223
+	164	222
+	157	217
+	4	149	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	222
+	157	217
+	3	149	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	222
+	149	223
+	142	217
+	4	135	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	223
+	142	217
+	3	135	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	217
+	142	217
+	149	223
+	4	157	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	217
+	149	223
+	3	157	217	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	157	236
+	171	234
+	164	222
+	4	157	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	234
+	164	222
+	3	157	236	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	142	236
+	157	236
+	149	223
+	4	142	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	236
+	149	223
+	3	142	236	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	164	222
+	149	223
+	157	236
+	4	164	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	223
+	157	236
+	3	164	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	234
+	142	236
+	135	222
+	4	128	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	236
+	135	222
+	3	128	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	223
+	135	222
+	142	236
+	4	149	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	222
+	142	236
+	3	149	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	222
+	164	222
+	171	234
+	4	178	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	222
+	171	234
+	3	178	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	222
+	121	222
+	128	234
+	4	135	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	222
+	128	234
+	3	135	222	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3d2varb.ps b/books/ps/3d2varb.ps
new file mode 100644
index 0000000..3e42ed1
--- /dev/null
+++ b/books/ps/3d2varb.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	52	221	227	97	psDrawLine
+	globGC	(X)	47	226	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	247	221	72	97	psDrawLine
+	globGC	(Y)	252	226	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	48	150	226	psDrawLine
+	globGC	(Z)	155	43	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.750000	setForeground
+	renderGC
+	145	62
+	154	67
+	150	65
+	4	145	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	67
+	150	65
+	3	145	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	65
+	159	70
+	154	67
+	4	150	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	70
+	154	67
+	3	150	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	67
+	145	62
+	150	65
+	4	154	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	62
+	150	65
+	3	154	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	68
+	163	73
+	159	70
+	4	154	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	73
+	159	70
+	3	154	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	70
+	150	65
+	154	68
+	4	159	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	65
+	154	68
+	3	159	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	60
+	150	65
+	145	62
+	4	140	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	65
+	145	62
+	3	140	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	72
+	168	76
+	163	73
+	4	159	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	76
+	163	73
+	3	159	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	73
+	154	68
+	159	72
+	4	163	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	68
+	159	72
+	3	163	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	63
+	154	68
+	150	65
+	4	145	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	68
+	150	65
+	3	145	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	65
+	140	60
+	145	63
+	4	150	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	60
+	145	63
+	3	150	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	75
+	173	78
+	168	76
+	4	164	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	78
+	168	76
+	3	164	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	76
+	159	72
+	164	75
+	4	168	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	72
+	164	75
+	3	168	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	66
+	159	72
+	154	68
+	4	150	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	72
+	154	68
+	3	150	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	68
+	145	63
+	150	66
+	4	154	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	63
+	150	66
+	3	154	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	58
+	145	63
+	140	60
+	4	135	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	63
+	140	60
+	3	135	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	79
+	178	81
+	173	78
+	4	168	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	81
+	173	78
+	3	168	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	78
+	164	75
+	168	79
+	4	173	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	75
+	168	79
+	3	173	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	70
+	164	75
+	159	72
+	4	154	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	75
+	159	72
+	3	154	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	72
+	150	66
+	154	70
+	4	159	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	66
+	154	70
+	3	159	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	61
+	150	66
+	145	63
+	4	140	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	66
+	145	63
+	3	140	61	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	63
+	135	58
+	140	61
+	4	145	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	58
+	140	61
+	3	145	63	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	75
+	168	79
+	164	75
+	4	159	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	79
+	164	75
+	3	159	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	75
+	154	70
+	159	75
+	4	164	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	70
+	159	75
+	3	164	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	83
+	183	84
+	178	81
+	4	173	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	84
+	178	81
+	3	173	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	81
+	168	79
+	173	83
+	4	178	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	79
+	173	83
+	3	178	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	65
+	154	70
+	150	66
+	4	145	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	70
+	150	66
+	3	145	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	66
+	140	61
+	145	65
+	4	150	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	61
+	145	65
+	3	150	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	80
+	173	83
+	168	79
+	4	164	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	83
+	168	79
+	3	164	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	79
+	159	75
+	164	80
+	4	168	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	75
+	164	80
+	3	168	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	57
+	140	61
+	135	58
+	4	130	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	61
+	135	58
+	3	130	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	87
+	188	87
+	183	84
+	4	178	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	87
+	183	84
+	3	178	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	84
+	173	83
+	178	87
+	4	183	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	83
+	178	87
+	3	183	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	70
+	159	75
+	154	70
+	4	150	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	75
+	154	70
+	3	150	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	70
+	145	65
+	150	70
+	4	154	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	65
+	150	70
+	3	154	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	85
+	178	87
+	173	83
+	4	169	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	87
+	173	83
+	3	169	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	83
+	164	80
+	169	85
+	4	173	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	80
+	169	85
+	3	173	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	75
+	164	80
+	159	75
+	4	154	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	80
+	159	75
+	3	154	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	75
+	150	70
+	154	75
+	4	159	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	70
+	154	75
+	3	159	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	60
+	145	65
+	140	61
+	4	135	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	65
+	140	61
+	3	135	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	61
+	130	57
+	135	60
+	4	140	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	57
+	135	60
+	3	140	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	91
+	183	92
+	178	87
+	4	174	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	92
+	178	87
+	3	174	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	87
+	178	87
+	183	92
+	4	188	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	87
+	183	92
+	3	188	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	87
+	169	85
+	174	91
+	4	178	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	85
+	174	91
+	3	178	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	92
+	193	90
+	188	87
+	4	183	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	90
+	188	87
+	3	183	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	81
+	169	85
+	164	80
+	4	159	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	85
+	164	80
+	3	159	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	80
+	154	75
+	159	81
+	4	164	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	75
+	159	81
+	3	164	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	88
+	174	91
+	169	85
+	4	164	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	91
+	169	85
+	3	164	88	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	169	85
+	159	81
+	164	88
+	4	169	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	81
+	164	88
+	3	169	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	64
+	150	70
+	145	65
+	4	140	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	70
+	145	65
+	3	140	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	65
+	135	60
+	140	64
+	4	145	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	60
+	140	64
+	3	145	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	96
+	188	96
+	183	92
+	4	178	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	96
+	183	92
+	3	178	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	90
+	183	92
+	188	96
+	4	193	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	92
+	188	96
+	3	193	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	92
+	174	91
+	178	96
+	4	183	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	91
+	178	96
+	3	183	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	94
+	178	96
+	174	91
+	4	169	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	96
+	174	91
+	3	169	94	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	174	91
+	164	88
+	169	94
+	4	174	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	88
+	169	94
+	3	174	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	57
+	135	60
+	130	57
+	4	125	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	60
+	130	57
+	3	125	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	70
+	154	75
+	150	70
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	75
+	150	70
+	3	145	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	70
+	140	64
+	145	70
+	4	150	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	64
+	145	70
+	3	150	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	96
+	198	93
+	193	90
+	4	188	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	93
+	193	90
+	3	188	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	101
+	183	101
+	178	96
+	4	174	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	101
+	178	96
+	3	174	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	96
+	178	96
+	183	101
+	4	188	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	96
+	183	101
+	3	188	96	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	178	96
+	169	94
+	174	101
+	4	178	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	94
+	174	101
+	3	178	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	101
+	193	100
+	188	96
+	4	183	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	100
+	188	96
+	3	183	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	93
+	188	96
+	193	100
+	4	198	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	96
+	193	100
+	3	198	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	76
+	159	81
+	154	75
+	4	150	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	81
+	154	75
+	3	150	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	75
+	145	70
+	150	76
+	4	154	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	150	76
+	3	154	75	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	154	83
+	164	88
+	159	81
+	4	154	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	88
+	159	81
+	3	154	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	81
+	150	76
+	154	83
+	4	159	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	76
+	154	83
+	3	159	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	107
+	188	106
+	183	101
+	4	179	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	106
+	183	101
+	3	179	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	100
+	183	101
+	188	106
+	4	193	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	101
+	188	106
+	3	193	100	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	101
+	174	101
+	179	107
+	4	183	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	101
+	179	107
+	3	183	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	159	90
+	169	94
+	164	88
+	4	159	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	94
+	164	88
+	3	159	90	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	88
+	154	83
+	159	90
+	4	164	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	83
+	159	90
+	3	164	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	60
+	140	64
+	135	60
+	4	130	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	64
+	135	60
+	3	130	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	60
+	125	57
+	130	60
+	4	135	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	57
+	130	60
+	3	135	60	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	97
+	174	101
+	169	94
+	4	164	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	101
+	169	94
+	3	164	97	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	169	94
+	159	90
+	164	97
+	4	169	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	90
+	164	97
+	3	169	94	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	169	105
+	179	107
+	174	101
+	4	169	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	107
+	174	101
+	3	169	105	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	174	101
+	164	97
+	169	105
+	4	174	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	97
+	169	105
+	3	174	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	100
+	203	96
+	198	93
+	4	193	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	96
+	198	93
+	3	193	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	106
+	198	104
+	193	100
+	4	188	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	104
+	193	100
+	3	188	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	96
+	193	100
+	198	104
+	4	203	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	100
+	198	104
+	3	203	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	112
+	184	113
+	179	107
+	4	174	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	113
+	179	107
+	3	174	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	106
+	179	107
+	184	113
+	4	188	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	107
+	184	113
+	3	188	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	107
+	169	105
+	174	112
+	4	179	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	105
+	174	112
+	3	179	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	113
+	193	111
+	188	106
+	4	184	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	111
+	188	106
+	3	184	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	104
+	188	106
+	193	111
+	4	198	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	106
+	193	111
+	3	198	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	118
+	188	118
+	184	113
+	4	179	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	118
+	184	113
+	3	179	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	111
+	184	113
+	188	118
+	4	193	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	113
+	188	118
+	3	193	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	113
+	174	112
+	179	118
+	4	184	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	112
+	179	118
+	3	184	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	65
+	145	70
+	140	64
+	4	135	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	140	64
+	3	135	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	64
+	130	60
+	135	65
+	4	140	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	60
+	135	65
+	3	140	64	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	116
+	179	118
+	174	112
+	4	169	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	118
+	174	112
+	3	169	116	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	174	112
+	164	109
+	169	116
+	4	174	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	109
+	169	116
+	3	174	112	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	109
+	174	112
+	169	105
+	4	164	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	112
+	169	105
+	3	164	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	58
+	130	60
+	125	57
+	4	120	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	60
+	125	57
+	3	120	58	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	169	105
+	159	101
+	164	109
+	4	169	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	164	109
+	3	169	105	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	159	101
+	169	105
+	164	97
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	105
+	164	97
+	3	159	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	123
+	184	124
+	179	118
+	4	174	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	124
+	179	118
+	3	174	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	118
+	179	118
+	184	124
+	4	188	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	118
+	184	124
+	3	188	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	118
+	169	116
+	174	123
+	4	179	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	116
+	174	123
+	3	179	118	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	97
+	154	93
+	159	101
+	4	164	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	93
+	159	101
+	3	164	97	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	154	93
+	164	97
+	159	90
+	4	154	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	97
+	159	90
+	3	154	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	118
+	198	115
+	193	111
+	4	188	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	193	111
+	3	188	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	108
+	193	111
+	198	115
+	4	203	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	111
+	198	115
+	3	203	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	111
+	203	108
+	198	104
+	4	193	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	108
+	198	104
+	3	193	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	70
+	150	76
+	145	70
+	4	140	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	76
+	145	70
+	3	140	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	70
+	135	65
+	140	70
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	65
+	140	70
+	3	145	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	124
+	194	123
+	188	118
+	4	184	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	123
+	188	118
+	3	184	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	115
+	188	118
+	194	123
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	118
+	194	123
+	3	198	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	99
+	198	104
+	203	108
+	4	208	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	104
+	203	108
+	3	208	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	104
+	208	99
+	203	96
+	4	198	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	99
+	203	96
+	3	198	104	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	159	90
+	150	85
+	154	93
+	4	159	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	85
+	154	93
+	3	159	90	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	85
+	159	90
+	154	83
+	4	150	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	90
+	154	83
+	3	150	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	77
+	154	83
+	150	76
+	4	145	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	83
+	150	76
+	3	145	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	76
+	140	70
+	145	77
+	4	150	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	70
+	145	77
+	3	150	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	130
+	189	129
+	184	124
+	4	179	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	129
+	184	124
+	3	179	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	123
+	184	124
+	189	129
+	4	194	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	124
+	189	129
+	3	194	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	124
+	174	123
+	179	130
+	4	184	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	123
+	179	130
+	3	184	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	83
+	145	77
+	150	85
+	4	154	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	77
+	150	85
+	3	154	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	128
+	179	130
+	174	123
+	4	169	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	130
+	174	123
+	3	169	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	123
+	164	120
+	169	128
+	4	174	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	120
+	169	128
+	3	174	123	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	120
+	174	123
+	169	116
+	4	164	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	123
+	169	116
+	3	164	120	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	169	116
+	159	112
+	164	120
+	4	169	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	112
+	164	120
+	3	169	116	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	159	112
+	169	116
+	164	109
+	4	159	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	116
+	164	109
+	3	159	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	129
+	199	127
+	194	123
+	4	189	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	127
+	194	123
+	3	189	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	119
+	194	123
+	199	127
+	4	204	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	123
+	199	127
+	3	204	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	123
+	204	119
+	198	115
+	4	194	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	119
+	198	115
+	3	194	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	134
+	184	135
+	179	130
+	4	174	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	135
+	179	130
+	3	174	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	129
+	179	130
+	184	135
+	4	189	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	130
+	184	135
+	3	189	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	130
+	169	128
+	174	134
+	4	179	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	128
+	174	134
+	3	179	130	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	109
+	154	104
+	159	112
+	4	164	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	104
+	159	112
+	3	164	109	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	154	104
+	164	109
+	159	101
+	4	154	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	109
+	159	101
+	3	154	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	135
+	194	134
+	189	129
+	4	184	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	134
+	189	129
+	3	184	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	127
+	189	129
+	194	134
+	4	199	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	129
+	194	134
+	3	199	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	61
+	135	65
+	130	60
+	4	125	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	65
+	130	60
+	3	125	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	60
+	120	58
+	125	61
+	4	130	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	58
+	125	61
+	3	130	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	111
+	198	115
+	204	119
+	4	209	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	204	119
+	3	209	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	115
+	209	111
+	203	108
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	111
+	203	108
+	3	198	115	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	159	101
+	150	95
+	154	104
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	95
+	154	104
+	3	159	101	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	95
+	159	101
+	154	93
+	4	150	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	154	93
+	3	150	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	103
+	203	108
+	209	111
+	4	214	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	108
+	209	111
+	3	214	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	108
+	214	103
+	208	99
+	4	203	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	103
+	208	99
+	3	203	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	140
+	189	139
+	184	135
+	4	179	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	139
+	184	135
+	3	179	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	134
+	184	135
+	189	139
+	4	194	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	135
+	189	139
+	3	194	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	135
+	174	134
+	179	140
+	4	184	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	134
+	179	140
+	3	184	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	131
+	174	134
+	169	128
+	4	164	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	134
+	169	128
+	3	164	131	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	169	128
+	159	124
+	164	131
+	4	169	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	124
+	164	131
+	3	169	128	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	159	124
+	169	128
+	164	120
+	4	159	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	128
+	164	120
+	3	159	124	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	154	93
+	145	87
+	150	95
+	4	154	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	87
+	150	95
+	3	154	93	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	87
+	154	93
+	150	85
+	4	145	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	93
+	150	85
+	3	145	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	60
+	125	61
+	120	58
+	4	115	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	61
+	120	58
+	3	115	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	66
+	140	70
+	135	65
+	4	130	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	70
+	135	65
+	3	130	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	65
+	125	61
+	130	66
+	4	135	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	61
+	130	66
+	3	135	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	138
+	179	140
+	174	134
+	4	169	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	140
+	174	134
+	3	169	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	134
+	164	131
+	169	138
+	4	174	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	131
+	169	138
+	3	174	134	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	164	120
+	154	116
+	159	124
+	4	164	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	116
+	159	124
+	3	164	120	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	154	116
+	164	120
+	159	112
+	4	154	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	120
+	159	112
+	3	154	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	134
+	204	130
+	199	127
+	4	194	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	130
+	199	127
+	3	194	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	122
+	199	127
+	204	130
+	4	209	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	127
+	204	130
+	3	209	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	127
+	209	122
+	204	119
+	4	199	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	122
+	204	119
+	3	199	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	139
+	199	137
+	194	134
+	4	189	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	137
+	194	134
+	3	189	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	130
+	194	134
+	199	137
+	4	204	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	134
+	199	137
+	3	204	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	85
+	140	79
+	145	87
+	4	150	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	145	87
+	3	150	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	79
+	150	85
+	145	77
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	85
+	145	77
+	3	140	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	72
+	145	77
+	140	70
+	4	135	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	77
+	140	70
+	3	135	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	70
+	130	66
+	135	72
+	4	140	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	66
+	135	72
+	3	140	70	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	159	112
+	150	107
+	154	116
+	4	159	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	107
+	154	116
+	3	159	112	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	107
+	159	112
+	154	104
+	4	150	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	112
+	154	104
+	3	150	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	114
+	204	119
+	209	122
+	4	214	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	119
+	209	122
+	3	214	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	119
+	214	114
+	209	111
+	4	204	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	114
+	209	111
+	3	204	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	77
+	135	72
+	140	79
+	4	145	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	72
+	140	79
+	3	145	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	143
+	184	144
+	179	140
+	4	174	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	144
+	179	140
+	3	174	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	139
+	179	140
+	184	144
+	4	189	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	140
+	184	144
+	3	189	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	140
+	169	138
+	174	143
+	4	179	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	138
+	174	143
+	3	179	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	144
+	194	143
+	189	139
+	4	184	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	143
+	189	139
+	3	184	144	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	199	137
+	189	139
+	194	143
+	4	199	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	139
+	194	143
+	3	199	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	61	138
+	70	135
+	66	132
+	4	61	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	135
+	66	132
+	3	61	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	75	128
+	66	132
+	70	135
+	4	75	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	132
+	70	135
+	3	75	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	132
+	75	128
+	71	125
+	4	66	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	128
+	71	125
+	3	66	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	106
+	209	111
+	214	114
+	4	219	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	111
+	214	114
+	3	219	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	111
+	219	106
+	214	103
+	4	209	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	106
+	214	103
+	3	209	111	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	154	104
+	145	98
+	150	107
+	4	154	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	98
+	150	107
+	3	154	104	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	145	98
+	154	104
+	150	95
+	4	145	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	104
+	150	95
+	3	145	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	120
+	71	125
+	75	128
+	4	80	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	125
+	75	128
+	3	80	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	125
+	80	120
+	75	117
+	4	71	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	120
+	75	117
+	3	71	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	55	144
+	65	141
+	61	138
+	4	55	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	141
+	61	138
+	3	55	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	70	135
+	61	138
+	65	141
+	4	70	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	138
+	65	141
+	3	70	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	64
+	130	66
+	125	61
+	4	120	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	66
+	125	61
+	3	120	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	61
+	115	60
+	120	64
+	4	125	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	60
+	120	64
+	3	125	61	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	134
+	169	138
+	164	131
+	4	159	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	138
+	164	131
+	3	159	134	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	131
+	154	127
+	159	134
+	4	164	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	159	134
+	3	164	131	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	154	127
+	164	131
+	159	124
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	131
+	159	124
+	3	154	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	112
+	75	117
+	80	120
+	4	85	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	117
+	80	120
+	3	85	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	117
+	85	112
+	80	108
+	4	75	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	112
+	80	108
+	3	75	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	140
+	174	143
+	169	138
+	4	164	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	143
+	169	138
+	3	164	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	138
+	159	134
+	164	140
+	4	169	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	134
+	164	140
+	3	169	138	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	159	124
+	150	119
+	154	127
+	4	159	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	119
+	154	127
+	3	159	124	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	119
+	159	124
+	154	116
+	4	150	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	124
+	154	116
+	3	150	119	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	95
+	140	90
+	145	98
+	4	150	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	90
+	145	98
+	3	150	95	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	90
+	150	95
+	145	87
+	4	140	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	95
+	145	87
+	3	140	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	148
+	189	148
+	184	144
+	4	179	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	148
+	184	144
+	3	179	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	143
+	184	144
+	189	148
+	4	194	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	144
+	189	148
+	3	194	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	144
+	174	143
+	179	148
+	4	184	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	143
+	179	148
+	3	184	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	64
+	120	64
+	115	60
+	4	110	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	64
+	115	60
+	3	110	64	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	137
+	209	133
+	204	130
+	4	199	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	133
+	204	130
+	3	199	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	125
+	204	130
+	209	133
+	4	214	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	130
+	209	133
+	3	214	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	130
+	214	125
+	209	122
+	4	204	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	125
+	209	122
+	3	204	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	143
+	204	139
+	199	137
+	4	194	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	139
+	199	137
+	3	194	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	133
+	199	137
+	204	139
+	4	209	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	137
+	204	139
+	3	209	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	50	148
+	60	147
+	55	144
+	4	50	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	147
+	55	144
+	3	50	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	65	141
+	55	144
+	60	147
+	4	65	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	144
+	60	147
+	3	65	141	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	154	116
+	144	110
+	150	119
+	4	154	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	110
+	150	119
+	3	154	116	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	144	110
+	154	116
+	150	107
+	4	144	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	116
+	150	107
+	3	144	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	117
+	209	122
+	214	125
+	4	220	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	122
+	214	125
+	3	220	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	122
+	220	117
+	214	114
+	4	209	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	117
+	214	114
+	3	209	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	103
+	80	108
+	85	112
+	4	89	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	108
+	85	112
+	3	89	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	108
+	89	103
+	85	100
+	4	80	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	103
+	85	100
+	3	80	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	146
+	179	148
+	174	143
+	4	169	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	148
+	174	143
+	3	169	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	143
+	164	140
+	169	146
+	4	174	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	140
+	169	146
+	3	174	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	69
+	135	72
+	130	66
+	4	125	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	72
+	130	66
+	3	125	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	66
+	120	64
+	125	69
+	4	130	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	64
+	125	69
+	3	130	66	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	87
+	134	82
+	140	90
+	4	145	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	82
+	140	90
+	3	145	87	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	82
+	145	87
+	140	79
+	4	134	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	87
+	140	79
+	3	134	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	148
+	200	145
+	194	143
+	4	189	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	145
+	194	143
+	3	189	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	139
+	194	143
+	200	145
+	4	204	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	143
+	200	145
+	3	204	139	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	140	79
+	129	75
+	134	82
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	75
+	134	82
+	3	140	79	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	75
+	140	79
+	135	72
+	4	129	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	135	72
+	3	129	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	72
+	125	69
+	129	75
+	4	135	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	69
+	129	75
+	3	135	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	109
+	214	114
+	220	117
+	4	225	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	114
+	220	117
+	3	225	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	114
+	225	109
+	219	106
+	4	214	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	109
+	219	106
+	3	214	114	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	107
+	139	102
+	144	110
+	4	150	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	102
+	144	110
+	3	150	107	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	102
+	150	107
+	145	98
+	4	139	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	107
+	145	98
+	3	139	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	65	141
+	74	137
+	70	135
+	4	65	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	137
+	70	135
+	3	65	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	130
+	70	135
+	74	137
+	4	79	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	135
+	74	137
+	3	79	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	135
+	79	130
+	75	128
+	4	70	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	130
+	75	128
+	3	70	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	95
+	85	100
+	89	103
+	4	94	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	100
+	89	103
+	3	94	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	100
+	94	95
+	90	91
+	4	85	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	95
+	90	91
+	3	85	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	123
+	75	128
+	79	130
+	4	84	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	128
+	79	130
+	3	84	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	128
+	84	123
+	80	120
+	4	75	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	123
+	80	120
+	3	75	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	69
+	114	68
+	110	64
+	4	105	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	68
+	110	64
+	3	105	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	64
+	110	64
+	114	68
+	4	120	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	64
+	114	68
+	3	120	64	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	60	147
+	69	143
+	65	141
+	4	60	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	143
+	65	141
+	3	60	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	74	137
+	65	141
+	69	143
+	4	74	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	141
+	69	143
+	3	74	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	68
+	125	69
+	120	64
+	4	114	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	69
+	120	64
+	3	114	68	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	44	151
+	54	151
+	50	148
+	4	44	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	50	148
+	3	44	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	60	147
+	50	148
+	54	151
+	4	60	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	148
+	54	151
+	3	60	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	151
+	185	152
+	179	148
+	4	175	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	152
+	179	148
+	3	175	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	148
+	179	148
+	185	152
+	4	189	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	148
+	185	152
+	3	189	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	148
+	169	146
+	175	151
+	4	179	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	146
+	175	151
+	3	179	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	115
+	80	120
+	84	123
+	4	89	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	120
+	84	123
+	3	89	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	120
+	89	115
+	85	112
+	4	80	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	115
+	85	112
+	3	80	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	136
+	164	140
+	159	134
+	4	155	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	140
+	159	134
+	3	155	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	134
+	150	129
+	155	136
+	4	159	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	129
+	155	136
+	3	159	134	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	129
+	159	134
+	154	127
+	4	150	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	134
+	154	127
+	3	150	129	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	145	98
+	134	94
+	139	102
+	4	145	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	94
+	139	102
+	3	145	98	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	94
+	145	98
+	140	90
+	4	134	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	98
+	140	90
+	3	134	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	152
+	195	150
+	189	148
+	4	185	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	150
+	189	148
+	3	185	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	145
+	189	148
+	195	150
+	4	200	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	148
+	195	150
+	3	200	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	87
+	90	91
+	94	95
+	4	99	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	91
+	94	95
+	3	99	87	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	90	91
+	99	87
+	95	83
+	4	90	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	87
+	95	83
+	3	90	91	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	154	127
+	144	121
+	150	129
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	121
+	150	129
+	3	154	127	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	144	121
+	154	127
+	150	119
+	4	144	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	150	119
+	3	144	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	142
+	169	146
+	164	140
+	4	160	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	146
+	164	140
+	3	160	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	140
+	155	136
+	160	142
+	4	164	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	136
+	160	142
+	3	164	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	100	76
+	109	73
+	105	69
+	4	100	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	73
+	105	69
+	3	100	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	68
+	105	69
+	109	73
+	4	114	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	69
+	109	73
+	3	114	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	107
+	85	112
+	89	115
+	4	94	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	112
+	89	115
+	3	94	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	112
+	94	107
+	89	103
+	4	85	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	107
+	89	103
+	3	85	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	139
+	215	135
+	209	133
+	4	204	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	135
+	209	133
+	3	204	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	128
+	209	133
+	215	135
+	4	220	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	133
+	215	135
+	3	220	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	133
+	220	128
+	214	125
+	4	209	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	128
+	214	125
+	3	209	133	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	119
+	139	113
+	144	121
+	4	150	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	144	121
+	3	150	119	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	113
+	150	119
+	144	110
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	119
+	144	110
+	3	139	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	54	151
+	64	149
+	60	147
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	149
+	60	147
+	3	54	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	69	143
+	60	147
+	64	149
+	4	69	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	147
+	64	149
+	3	69	143	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	104	79
+	95	83
+	99	87
+	4	104	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	83
+	99	87
+	3	104	79	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	95	83
+	104	79
+	100	76
+	4	95	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	79
+	100	76
+	3	95	83	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	140	90
+	129	86
+	134	94
+	4	140	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	134	94
+	3	140	90	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	129	86
+	140	90
+	134	82
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	90
+	134	82
+	3	129	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	145
+	210	141
+	204	139
+	4	200	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	141
+	204	139
+	3	200	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	135
+	204	139
+	210	141
+	4	215	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	139
+	210	141
+	3	215	135	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	109	73
+	100	76
+	104	79
+	4	109	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	76
+	104	79
+	3	109	73	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	119	73
+	129	75
+	125	69
+	4	119	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	75
+	125	69
+	3	119	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	69
+	114	68
+	119	73
+	4	125	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	68
+	119	73
+	3	125	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	120
+	214	125
+	220	128
+	4	225	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	125
+	220	128
+	3	225	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	125
+	225	120
+	220	117
+	4	214	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	120
+	220	117
+	3	214	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	148
+	175	151
+	169	146
+	4	165	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	151
+	169	146
+	3	165	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	146
+	160	142
+	165	148
+	4	169	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	142
+	165	148
+	3	169	146	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	134	82
+	124	79
+	129	86
+	4	134	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	129	86
+	3	134	82	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	124	79
+	134	82
+	129	75
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	82
+	129	75
+	3	124	79	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	75
+	119	73
+	124	79
+	4	129	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	73
+	124	79
+	3	129	75	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	144	110
+	134	105
+	139	113
+	4	144	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	105
+	139	113
+	3	144	110	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	105
+	144	110
+	139	102
+	4	134	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	110
+	139	102
+	3	134	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	73
+	119	73
+	114	68
+	4	109	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	73
+	114	68
+	3	109	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	112
+	220	117
+	225	120
+	4	230	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	117
+	225	120
+	3	230	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	117
+	230	112
+	225	109
+	4	220	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	112
+	225	109
+	3	220	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	99
+	89	103
+	94	107
+	4	99	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	103
+	94	107
+	3	99	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	103
+	99	99
+	94	95
+	4	89	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	99
+	94	95
+	3	89	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	195	150
+	205	147
+	200	145
+	4	195	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	147
+	200	145
+	3	195	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	141
+	200	145
+	205	147
+	4	210	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	145
+	205	147
+	3	210	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	154
+	190	154
+	185	152
+	4	180	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	154
+	185	152
+	3	180	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	150
+	185	152
+	190	154
+	4	195	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	152
+	190	154
+	3	195	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	152
+	175	151
+	180	154
+	4	185	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	151
+	180	154
+	3	185	152	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	102
+	129	98
+	134	105
+	4	139	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	134	105
+	3	139	102	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	129	98
+	139	102
+	134	94
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	102
+	134	94
+	3	129	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	38	154
+	48	154
+	44	151
+	4	38	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	154
+	44	151
+	3	38	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	54	151
+	44	151
+	48	154
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	151
+	48	154
+	3	54	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	74	137
+	84	132
+	79	130
+	4	74	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	79	130
+	3	74	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	125
+	79	130
+	84	132
+	4	89	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	130
+	84	132
+	3	89	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	130
+	89	125
+	84	123
+	4	79	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	125
+	84	123
+	3	79	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	91
+	94	95
+	99	99
+	4	104	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	95
+	99	99
+	3	104	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	94	95
+	104	91
+	99	87
+	4	94	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	91
+	99	87
+	3	94	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	69	143
+	79	139
+	74	137
+	4	69	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	139
+	74	137
+	3	69	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	132
+	74	137
+	79	139
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	137
+	79	139
+	3	84	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	48	154
+	58	153
+	54	151
+	4	48	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	153
+	54	151
+	3	48	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	64	149
+	54	151
+	58	153
+	4	64	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	58	153
+	3	64	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	104	79
+	114	78
+	109	73
+	4	104	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	78
+	109	73
+	3	104	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	73
+	109	73
+	114	78
+	4	119	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	73
+	114	78
+	3	119	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	118
+	84	123
+	89	125
+	4	94	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	123
+	89	125
+	3	94	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	123
+	94	118
+	89	115
+	4	84	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	118
+	89	115
+	3	84	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	78
+	124	79
+	119	73
+	4	114	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	119	73
+	3	114	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	152
+	180	154
+	175	151
+	4	170	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	154
+	175	151
+	3	170	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	151
+	165	148
+	170	152
+	4	175	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	148
+	170	152
+	3	175	151	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	109	84
+	99	87
+	104	91
+	4	109	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	87
+	104	91
+	3	109	84	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	99	87
+	109	84
+	104	79
+	4	99	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	84
+	104	79
+	3	99	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	64	149
+	73	144
+	69	143
+	4	64	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	69	143
+	3	64	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	139
+	69	143
+	73	144
+	4	79	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	143
+	73	144
+	3	79	139	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	114	78
+	104	79
+	109	84
+	4	114	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	79
+	109	84
+	3	114	78	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	134	94
+	124	90
+	129	98
+	4	134	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	90
+	129	98
+	3	134	94	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	124	90
+	134	94
+	129	86
+	4	124	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	94
+	129	86
+	3	124	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	131
+	155	136
+	150	129
+	4	144	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	136
+	150	129
+	3	144	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	129
+	139	124
+	144	131
+	4	150	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	144	131
+	3	150	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	124
+	150	129
+	144	121
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	129
+	144	121
+	3	139	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	110
+	89	115
+	94	118
+	4	99	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	115
+	94	118
+	3	99	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	115
+	99	110
+	94	107
+	4	89	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	110
+	94	107
+	3	89	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	154
+	200	152
+	195	150
+	4	190	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	152
+	195	150
+	3	190	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	147
+	195	150
+	200	152
+	4	205	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	150
+	200	152
+	3	205	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	137
+	160	142
+	155	136
+	4	150	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	142
+	155	136
+	3	150	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	136
+	144	131
+	150	137
+	4	155	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	131
+	150	137
+	3	155	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	84
+	129	86
+	124	79
+	4	119	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	124	79
+	3	119	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	79
+	114	78
+	119	84
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	78
+	119	84
+	3	124	79	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	86
+	119	84
+	124	90
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	84
+	124	90
+	3	129	86	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	121
+	134	117
+	139	124
+	4	144	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	117
+	139	124
+	3	144	121	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	117
+	144	121
+	139	113
+	4	134	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	121
+	139	113
+	3	134	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	143
+	165	148
+	160	142
+	4	155	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	148
+	160	142
+	3	155	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	142
+	150	137
+	155	143
+	4	160	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	137
+	155	143
+	3	160	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	103
+	94	107
+	99	110
+	4	104	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	107
+	99	110
+	3	104	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	107
+	104	103
+	99	99
+	4	94	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	103
+	99	99
+	3	94	107	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	113
+	129	109
+	134	117
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	109
+	134	117
+	3	139	113	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	129	109
+	139	113
+	134	105
+	4	129	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	134	105
+	3	129	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	109	84
+	119	84
+	114	78
+	4	109	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	84
+	114	78
+	3	109	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	135
+	226	129
+	220	128
+	4	215	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	129
+	220	128
+	3	215	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	123
+	220	128
+	226	129
+	4	231	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	128
+	226	129
+	3	231	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	128
+	231	123
+	225	120
+	4	220	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	123
+	225	120
+	3	220	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	210	141
+	221	136
+	215	135
+	4	210	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	136
+	215	135
+	3	210	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	129
+	215	135
+	221	136
+	4	226	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	135
+	221	136
+	3	226	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	58	153
+	68	150
+	64	149
+	4	58	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	150
+	64	149
+	3	58	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	144
+	64	149
+	68	150
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	149
+	68	150
+	3	73	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	116
+	225	120
+	231	123
+	4	236	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	120
+	231	123
+	3	236	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	120
+	236	116
+	230	112
+	4	225	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	116
+	230	112
+	3	225	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	96
+	99	99
+	104	103
+	4	109	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	99
+	104	103
+	3	109	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	99
+	109	96
+	104	91
+	4	99	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	96
+	104	91
+	3	99	99	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	105
+	124	102
+	129	109
+	4	134	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	102
+	129	109
+	3	134	105	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	102
+	134	105
+	129	98
+	4	124	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	105
+	129	98
+	3	124	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	147
+	216	142
+	210	141
+	4	205	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	142
+	210	141
+	3	205	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	136
+	210	141
+	216	142
+	4	221	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	141
+	216	142
+	3	221	136	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	104	91
+	114	89
+	109	84
+	4	104	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	89
+	109	84
+	3	104	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	119	84
+	109	84
+	114	89
+	4	119	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	84
+	114	89
+	3	119	84	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	114	89
+	104	91
+	109	96
+	4	114	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	91
+	109	96
+	3	114	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	89
+	124	90
+	119	84
+	4	114	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	90
+	119	84
+	3	114	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	148
+	170	152
+	165	148
+	4	160	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	152
+	165	148
+	3	160	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	148
+	155	143
+	160	148
+	4	165	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	143
+	160	148
+	3	165	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	98
+	119	95
+	124	102
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	95
+	124	102
+	3	129	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	95
+	129	98
+	124	90
+	4	119	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	124	90
+	3	119	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	90
+	114	89
+	119	95
+	4	124	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	89
+	119	95
+	3	124	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	42	157
+	52	156
+	48	154
+	4	42	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	156
+	48	154
+	3	42	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	58	153
+	48	154
+	52	156
+	4	58	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	154
+	52	156
+	3	58	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	48	154
+	38	154
+	42	157
+	4	48	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	154
+	42	157
+	3	48	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	156
+	185	157
+	180	154
+	4	175	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	157
+	180	154
+	3	175	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	154
+	180	154
+	185	157
+	4	190	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	154
+	185	157
+	3	190	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	154
+	170	152
+	175	156
+	4	180	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	152
+	175	156
+	3	180	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	157
+	196	155
+	190	154
+	4	185	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	155
+	190	154
+	3	185	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	152
+	190	154
+	196	155
+	4	200	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	154
+	196	155
+	3	200	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	152
+	211	147
+	205	147
+	4	200	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	147
+	205	147
+	3	200	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	142
+	205	147
+	211	147
+	4	216	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	147
+	211	147
+	3	216	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	96
+	119	95
+	114	89
+	4	109	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	95
+	114	89
+	3	109	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	132
+	93	127
+	89	125
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	127
+	89	125
+	3	84	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	121
+	89	125
+	93	127
+	4	98	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	125
+	93	127
+	3	98	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	125
+	98	121
+	94	118
+	4	89	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	121
+	94	118
+	3	89	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	155
+	42	157
+	38	154
+	4	32	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	157
+	38	154
+	3	32	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	139
+	88	133
+	84	132
+	4	79	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	133
+	84	132
+	3	79	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	127
+	84	132
+	88	133
+	4	93	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	88	133
+	3	93	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	114
+	94	118
+	98	121
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	118
+	98	121
+	3	104	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	118
+	104	114
+	99	110
+	4	94	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	99	110
+	3	94	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	107
+	99	110
+	104	114
+	4	109	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	110
+	104	114
+	3	109	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	110
+	109	107
+	104	103
+	4	99	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	107
+	104	103
+	3	99	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	103
+	114	101
+	109	96
+	4	104	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	101
+	109	96
+	3	104	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	95
+	109	96
+	114	101
+	4	119	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	96
+	114	101
+	3	119	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	52	156
+	62	154
+	58	153
+	4	52	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	154
+	58	153
+	3	52	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	150
+	58	153
+	62	154
+	4	68	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	153
+	62	154
+	3	68	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	101
+	104	103
+	109	107
+	4	114	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	103
+	109	107
+	3	114	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	144
+	83	139
+	79	139
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	139
+	79	139
+	3	73	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	133
+	79	139
+	83	139
+	4	88	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	139
+	83	139
+	3	88	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	101
+	124	102
+	119	95
+	4	114	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	102
+	119	95
+	3	114	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	126
+	144	131
+	139	124
+	4	134	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	131
+	139	124
+	3	134	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	124
+	129	120
+	134	126
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	120
+	134	126
+	3	139	124	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	129	120
+	139	124
+	134	117
+	4	129	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	134	117
+	3	129	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	117
+	124	113
+	129	120
+	4	134	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	113
+	129	120
+	3	134	117	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	113
+	134	117
+	129	109
+	4	124	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	117
+	129	109
+	3	124	113	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	119	107
+	129	109
+	124	102
+	4	119	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	109
+	124	102
+	3	119	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	102
+	114	101
+	119	107
+	4	124	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	101
+	119	107
+	3	124	102	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	109
+	119	107
+	124	113
+	4	129	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	107
+	124	113
+	3	129	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	153
+	175	156
+	170	152
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	156
+	170	152
+	3	165	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	152
+	160	148
+	165	153
+	4	170	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	148
+	165	153
+	3	170	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	132
+	150	137
+	144	131
+	4	139	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	137
+	144	131
+	3	139	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	131
+	134	126
+	139	132
+	4	144	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	126
+	139	132
+	3	144	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	138
+	155	143
+	150	137
+	4	144	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	143
+	150	137
+	3	144	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	137
+	139	132
+	144	138
+	4	150	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	132
+	144	138
+	3	150	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	150
+	77	145
+	73	144
+	4	68	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	145
+	73	144
+	3	68	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	83	139
+	73	144
+	77	145
+	4	83	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	77	145
+	3	83	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	107
+	119	107
+	114	101
+	4	109	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	107
+	114	101
+	3	109	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	155
+	206	152
+	200	152
+	4	196	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	152
+	200	152
+	3	196	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	147
+	200	152
+	206	152
+	4	211	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	152
+	206	152
+	3	211	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	123
+	242	119
+	236	116
+	4	231	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	119
+	236	116
+	3	231	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	129
+	237	125
+	231	123
+	4	226	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	125
+	231	123
+	3	226	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	119
+	231	123
+	237	125
+	4	242	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	123
+	237	125
+	3	242	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	136
+	232	131
+	226	129
+	4	221	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	131
+	226	129
+	3	221	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	125
+	226	129
+	232	131
+	4	237	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	129
+	232	131
+	3	237	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	114
+	114	112
+	109	107
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	112
+	109	107
+	3	104	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	107
+	109	107
+	114	112
+	4	119	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	107
+	114	112
+	3	119	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	143
+	160	148
+	155	143
+	4	150	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	148
+	155	143
+	3	150	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	143
+	144	138
+	150	143
+	4	155	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	138
+	150	143
+	3	155	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	142
+	227	137
+	221	136
+	4	216	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	137
+	221	136
+	3	216	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	131
+	221	136
+	227	137
+	4	232	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	136
+	227	137
+	3	232	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	112
+	124	113
+	119	107
+	4	114	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	113
+	119	107
+	3	114	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	121
+	108	118
+	104	114
+	4	98	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	118
+	104	114
+	3	98	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	112
+	104	114
+	108	118
+	4	114	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	108	118
+	3	114	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	159
+	191	158
+	185	157
+	4	180	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	158
+	185	157
+	3	180	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	155
+	185	157
+	191	158
+	4	196	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	157
+	191	158
+	3	196	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	157
+	175	156
+	180	159
+	4	185	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	156
+	180	159
+	3	185	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	154
+	72	150
+	68	150
+	4	62	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	150
+	68	150
+	3	62	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	145
+	68	150
+	72	150
+	4	77	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	150
+	72	150
+	3	77	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	36	158
+	46	159
+	42	157
+	4	36	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	159
+	42	157
+	3	36	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	156
+	42	157
+	46	159
+	4	52	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	157
+	46	159
+	3	52	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	157
+	32	155
+	36	158
+	4	42	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	155
+	36	158
+	3	42	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	127
+	103	123
+	98	121
+	4	93	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	123
+	98	121
+	3	93	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	118
+	98	121
+	103	123
+	4	108	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	121
+	103	123
+	3	108	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	119	118
+	129	120
+	124	113
+	4	119	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	120
+	124	113
+	3	119	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	113
+	114	112
+	119	118
+	4	124	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	112
+	119	118
+	3	124	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	46	159
+	56	157
+	52	156
+	4	46	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	157
+	52	156
+	3	46	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	62	154
+	52	156
+	56	157
+	4	62	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	156
+	56	157
+	3	62	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	147
+	222	142
+	216	142
+	4	211	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	142
+	216	142
+	3	211	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	137
+	216	142
+	222	142
+	4	227	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	142
+	222	142
+	3	227	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	133
+	98	129
+	93	127
+	4	88	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	129
+	93	127
+	3	88	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	123
+	93	127
+	98	129
+	4	103	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	127
+	98	129
+	3	103	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	157
+	180	159
+	175	156
+	4	170	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	159
+	175	156
+	3	170	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	156
+	165	153
+	170	157
+	4	175	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	170	157
+	3	175	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	124	123
+	134	126
+	129	120
+	4	124	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	126
+	129	120
+	3	124	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	120
+	119	118
+	124	123
+	4	129	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	118
+	124	123
+	3	129	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	118
+	119	118
+	114	112
+	4	108	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	118
+	114	112
+	3	108	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	148
+	165	153
+	160	148
+	4	155	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	160	148
+	3	155	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	148
+	150	143
+	155	148
+	4	160	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	143
+	155	148
+	3	160	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	158
+	201	156
+	196	155
+	4	191	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	156
+	196	155
+	3	191	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	152
+	196	155
+	201	156
+	4	206	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	155
+	201	156
+	3	206	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	125
+	247	122
+	242	119
+	4	237	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	122
+	242	119
+	3	237	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	139
+	93	134
+	88	133
+	4	83	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	134
+	88	133
+	3	83	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	129
+	88	133
+	93	134
+	4	98	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	133
+	93	134
+	3	98	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	128
+	139	132
+	134	126
+	4	129	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	132
+	134	126
+	3	129	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	126
+	124	123
+	129	128
+	4	134	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	123
+	129	128
+	3	134	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	155
+	36	158
+	32	155
+	4	25	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	158
+	32	155
+	3	25	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	152
+	217	147
+	211	147
+	4	206	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	147
+	211	147
+	3	206	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	142
+	211	147
+	217	147
+	4	222	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	147
+	217	147
+	3	222	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	123
+	113	122
+	108	118
+	4	103	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	122
+	108	118
+	3	103	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	118
+	108	118
+	113	122
+	4	119	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	118
+	113	122
+	3	119	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	131
+	243	127
+	237	125
+	4	232	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	127
+	237	125
+	3	232	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	247	122
+	237	125
+	243	127
+	4	247	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	125
+	243	127
+	3	247	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	133
+	144	138
+	139	132
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	138
+	139	132
+	3	134	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	132
+	129	128
+	134	133
+	4	139	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	128
+	134	133
+	3	139	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	56	157
+	66	154
+	62	154
+	4	56	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	154
+	62	154
+	3	56	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	150
+	62	154
+	66	154
+	4	72	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	154
+	66	154
+	3	72	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	145
+	87	140
+	83	139
+	4	77	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	83	139
+	3	77	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	134
+	83	139
+	87	140
+	4	93	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	139
+	87	140
+	3	93	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	122
+	124	123
+	119	118
+	4	113	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	123
+	119	118
+	3	113	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	153
+	170	157
+	165	153
+	4	160	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	157
+	165	153
+	3	160	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	153
+	155	148
+	160	153
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	148
+	160	153
+	3	165	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	137
+	238	132
+	232	131
+	4	227	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	132
+	232	131
+	3	227	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	127
+	232	131
+	238	132
+	4	243	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	131
+	238	132
+	3	243	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	138
+	150	143
+	144	138
+	4	139	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	143
+	144	138
+	3	139	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	138
+	134	133
+	139	138
+	4	144	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	139	138
+	3	144	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	129
+	108	126
+	103	123
+	4	98	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	126
+	103	123
+	3	98	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	122
+	103	123
+	108	126
+	4	113	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	123
+	108	126
+	3	113	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	150
+	82	144
+	77	145
+	4	72	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	144
+	77	145
+	3	72	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	140
+	77	145
+	82	144
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	145
+	82	144
+	3	87	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	126
+	129	128
+	124	123
+	4	118	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	128
+	124	123
+	3	118	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	123
+	113	122
+	118	126
+	4	124	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	122
+	118	126
+	3	124	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	156
+	212	151
+	206	152
+	4	201	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	151
+	206	152
+	3	201	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	147
+	206	152
+	212	151
+	4	217	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	152
+	212	151
+	3	217	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	127
+	253	126
+	247	122
+	4	243	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	126
+	247	122
+	3	243	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	40	160
+	50	160
+	46	159
+	4	40	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	160
+	46	159
+	3	40	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	157
+	46	159
+	50	160
+	4	56	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	159
+	50	160
+	3	56	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	159
+	36	158
+	40	160
+	4	46	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	158
+	40	160
+	3	46	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	142
+	233	137
+	227	137
+	4	222	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	137
+	227	137
+	3	222	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	132
+	227	137
+	233	137
+	4	238	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	137
+	233	137
+	3	238	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	159
+	186	160
+	180	159
+	4	176	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	160
+	180	159
+	3	176	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	158
+	180	159
+	186	160
+	4	191	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	159
+	186	160
+	3	191	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	159
+	170	157
+	176	159
+	4	180	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	157
+	176	159
+	3	180	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	126
+	118	126
+	113	122
+	4	108	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	126
+	113	122
+	3	108	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	160
+	197	159
+	191	158
+	4	186	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	159
+	191	158
+	3	186	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	156
+	191	158
+	197	159
+	4	201	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	158
+	197	159
+	3	201	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	134
+	103	131
+	98	129
+	4	93	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	131
+	98	129
+	3	93	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	126
+	98	129
+	103	131
+	4	108	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	129
+	103	131
+	3	108	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	143
+	155	148
+	150	143
+	4	144	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	148
+	150	143
+	3	144	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	143
+	139	138
+	144	143
+	4	150	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	138
+	144	143
+	3	150	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	29	158
+	40	160
+	36	158
+	4	29	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	160
+	36	158
+	3	29	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	158
+	25	155
+	29	158
+	4	36	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	155
+	29	158
+	3	36	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	130
+	134	133
+	129	128
+	4	123	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	129	128
+	3	123	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	128
+	118	126
+	123	130
+	4	129	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	126
+	123	130
+	3	129	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	50	160
+	60	157
+	56	157
+	4	50	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	157
+	56	157
+	3	50	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	154
+	56	157
+	60	157
+	4	66	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	157
+	60	157
+	3	66	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	154
+	76	149
+	72	150
+	4	66	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	149
+	72	150
+	3	66	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	144
+	72	150
+	76	149
+	4	82	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	150
+	76	149
+	3	82	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	147
+	228	142
+	222	142
+	4	217	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	142
+	222	142
+	3	217	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	137
+	222	142
+	228	142
+	4	233	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	142
+	228	142
+	3	233	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	132
+	249	130
+	243	127
+	4	238	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	130
+	243	127
+	3	238	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	126
+	243	127
+	249	130
+	4	253	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	127
+	249	130
+	3	253	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	156
+	176	159
+	170	157
+	4	165	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	159
+	170	157
+	3	165	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	157
+	160	153
+	165	156
+	4	170	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	153
+	165	156
+	3	170	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	140
+	97	135
+	93	134
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	135
+	93	134
+	3	87	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	131
+	93	134
+	97	135
+	4	103	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	134
+	97	135
+	3	103	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	159
+	207	155
+	201	156
+	4	197	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	155
+	201	156
+	3	197	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	151
+	201	156
+	207	155
+	4	212	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	156
+	207	155
+	3	212	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	148
+	160	153
+	155	148
+	4	150	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	153
+	155	148
+	3	150	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	148
+	144	143
+	150	148
+	4	155	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	143
+	150	148
+	3	155	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	131
+	113	129
+	108	126
+	4	103	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	129
+	108	126
+	3	103	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	126
+	108	126
+	113	129
+	4	118	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	126
+	113	129
+	3	118	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	129
+	123	130
+	118	126
+	4	113	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	130
+	118	126
+	3	113	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	134
+	139	138
+	134	133
+	4	128	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	138
+	134	133
+	3	128	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	133
+	123	130
+	128	134
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	130
+	128	134
+	3	134	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	130
+	259	129
+	253	126
+	4	249	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	129
+	253	126
+	3	249	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	18	154
+	29	158
+	25	155
+	4	18	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	158
+	25	155
+	3	18	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	151
+	223	146
+	217	147
+	4	212	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	146
+	217	147
+	3	212	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	142
+	217	147
+	223	146
+	4	228	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	147
+	223	146
+	3	228	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	137
+	244	133
+	238	132
+	4	233	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	133
+	238	132
+	3	233	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	130
+	238	132
+	244	133
+	4	249	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	132
+	244	133
+	3	249	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	144
+	91	139
+	87	140
+	4	82	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	139
+	87	140
+	3	82	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	135
+	87	140
+	91	139
+	4	97	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	91	139
+	3	97	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	157
+	70	153
+	66	154
+	4	60	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	153
+	66	154
+	3	60	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	149
+	66	154
+	70	153
+	4	76	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	154
+	70	153
+	3	76	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	138
+	144	143
+	139	138
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	143
+	139	138
+	3	134	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	138
+	128	134
+	134	138
+	4	139	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	134
+	134	138
+	3	139	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	162
+	192	161
+	186	160
+	4	181	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	161
+	186	160
+	3	181	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	159
+	186	160
+	192	161
+	4	197	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	160
+	192	161
+	3	197	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	160
+	176	159
+	181	162
+	4	186	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	159
+	181	162
+	3	186	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	135
+	107	132
+	103	131
+	4	97	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	132
+	103	131
+	3	97	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	129
+	103	131
+	107	132
+	4	113	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	131
+	107	132
+	3	113	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	161
+	44	162
+	40	160
+	4	33	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	162
+	40	160
+	3	33	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	160
+	40	160
+	44	162
+	4	50	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	160
+	44	162
+	3	50	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	160
+	29	158
+	33	161
+	4	40	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	158
+	33	161
+	3	40	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	152
+	165	156
+	160	153
+	4	155	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	156
+	160	153
+	3	155	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	153
+	150	148
+	155	152
+	4	160	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	148
+	155	152
+	3	160	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	162
+	54	160
+	50	160
+	4	44	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	160
+	50	160
+	3	44	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	157
+	50	160
+	54	160
+	4	60	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	160
+	54	160
+	3	60	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	132
+	128	134
+	123	130
+	4	118	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	134
+	123	130
+	3	118	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	130
+	113	129
+	118	132
+	4	123	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	129
+	118	132
+	3	123	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	160
+	181	162
+	176	159
+	4	171	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	162
+	176	159
+	3	171	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	159
+	165	156
+	171	160
+	4	176	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	156
+	171	160
+	3	176	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	142
+	240	137
+	233	137
+	4	228	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	137
+	233	137
+	3	228	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	133
+	233	137
+	240	137
+	4	244	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	137
+	240	137
+	3	244	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	149
+	86	144
+	82	144
+	4	76	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	144
+	82	144
+	3	76	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	139
+	82	144
+	86	144
+	4	91	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	144
+	86	144
+	3	91	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	133
+	255	132
+	249	130
+	4	244	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	132
+	249	130
+	3	244	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	259	129
+	249	130
+	255	132
+	4	259	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	130
+	255	132
+	3	259	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	132
+	265	133
+	259	129
+	4	255	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	133
+	259	129
+	3	255	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	161
+	203	159
+	197	159
+	4	192	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	159
+	197	159
+	3	192	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	155
+	197	159
+	203	159
+	4	207	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	159
+	203	159
+	3	207	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	155
+	219	150
+	212	151
+	4	207	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	150
+	212	151
+	3	207	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	146
+	212	151
+	219	150
+	4	223	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	151
+	219	150
+	3	223	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	132
+	118	132
+	113	129
+	4	107	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	132
+	113	129
+	3	107	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	22	158
+	33	161
+	29	158
+	4	22	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	161
+	29	158
+	3	22	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	29	158
+	18	154
+	22	158
+	4	29	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	154
+	22	158
+	3	29	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	142
+	150	148
+	144	143
+	4	139	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	148
+	144	143
+	3	139	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	143
+	134	138
+	139	142
+	4	144	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	139	142
+	3	144	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	139
+	102	136
+	97	135
+	4	91	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	136
+	97	135
+	3	91	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	132
+	97	135
+	102	136
+	4	107	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	135
+	102	136
+	3	107	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	160
+	64	157
+	60	157
+	4	54	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	157
+	60	157
+	3	54	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	153
+	60	157
+	64	157
+	4	70	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	157
+	64	157
+	3	70	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	146
+	235	141
+	228	142
+	4	223	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	141
+	228	142
+	3	223	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	137
+	228	142
+	235	141
+	4	240	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	142
+	235	141
+	3	240	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	135
+	134	138
+	128	134
+	4	123	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	128	134
+	3	123	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	134
+	118	132
+	123	135
+	4	128	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	132
+	123	135
+	3	128	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	156
+	171	160
+	165	156
+	4	160	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	160
+	165	156
+	3	160	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	156
+	155	152
+	160	156
+	4	165	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	152
+	160	156
+	3	165	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	153
+	80	148
+	76	149
+	4	70	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	148
+	76	149
+	3	70	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	144
+	76	149
+	80	148
+	4	86	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	149
+	80	148
+	3	86	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	137
+	251	135
+	244	133
+	4	240	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	135
+	244	133
+	3	240	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	255	132
+	244	133
+	251	135
+	4	255	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	133
+	251	135
+	3	255	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	159
+	214	154
+	207	155
+	4	203	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	154
+	207	155
+	3	203	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	150
+	207	155
+	214	154
+	4	219	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	155
+	214	154
+	3	219	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	134
+	271	136
+	265	133
+	4	261	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	136
+	265	133
+	3	261	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	133
+	255	132
+	261	134
+	4	265	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	132
+	261	134
+	3	265	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	146
+	155	152
+	150	148
+	4	144	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	152
+	150	148
+	3	144	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	148
+	139	142
+	144	146
+	4	150	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	142
+	144	146
+	3	150	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	136
+	112	134
+	107	132
+	4	102	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	134
+	107	132
+	3	102	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	132
+	107	132
+	112	134
+	4	118	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	132
+	112	134
+	3	118	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	134
+	123	135
+	118	132
+	4	112	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	135
+	118	132
+	3	112	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	144
+	96	139
+	91	139
+	4	86	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	139
+	91	139
+	3	86	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	136
+	91	139
+	96	139
+	4	102	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	139
+	96	139
+	3	102	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	135
+	261	134
+	255	132
+	4	251	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	134
+	255	132
+	3	251	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	163
+	48	163
+	44	162
+	4	37	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	163
+	44	162
+	3	37	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	160
+	44	162
+	48	163
+	4	54	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	162
+	48	163
+	3	54	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	162
+	33	161
+	37	163
+	4	44	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	161
+	37	163
+	3	44	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	10	153
+	22	158
+	18	154
+	4	10	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	158
+	18	154
+	3	10	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	162
+	187	163
+	181	162
+	4	176	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	163
+	181	162
+	3	176	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	161
+	181	162
+	187	163
+	4	192	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	162
+	187	163
+	3	192	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	162
+	171	160
+	176	162
+	4	181	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	160
+	176	162
+	3	181	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	163
+	198	161
+	192	161
+	4	187	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	161
+	192	161
+	3	187	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	159
+	192	161
+	198	161
+	4	203	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	161
+	198	161
+	3	203	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	150
+	230	145
+	223	146
+	4	219	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	145
+	223	146
+	3	219	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	141
+	223	146
+	230	145
+	4	235	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	146
+	230	145
+	3	235	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	26	161
+	37	163
+	33	161
+	4	26	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	163
+	33	161
+	3	26	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	33	161
+	22	158
+	26	161
+	4	33	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	158
+	26	161
+	3	33	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	138
+	139	142
+	134	138
+	4	128	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	142
+	134	138
+	3	128	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	138
+	123	135
+	128	138
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	135
+	128	138
+	3	134	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	157
+	74	152
+	70	153
+	4	64	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	152
+	70	153
+	3	64	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	148
+	70	153
+	74	152
+	4	80	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	153
+	74	152
+	3	80	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	163
+	58	160
+	54	160
+	4	48	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	160
+	54	160
+	3	48	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	64	157
+	54	160
+	58	160
+	4	64	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	160
+	58	160
+	3	64	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	141
+	246	138
+	240	137
+	4	235	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	138
+	240	137
+	3	235	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	251	135
+	240	137
+	246	138
+	4	251	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	137
+	246	138
+	3	251	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	159
+	176	162
+	171	160
+	4	166	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	162
+	171	160
+	3	166	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	160
+	160	156
+	166	159
+	4	171	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	156
+	166	159
+	3	171	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	150
+	160	156
+	155	152
+	4	150	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	156
+	155	152
+	3	150	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	152
+	144	146
+	150	150
+	4	155	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	146
+	150	150
+	3	155	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	137
+	278	140
+	271	136
+	4	268	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	140
+	271	136
+	3	268	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	136
+	261	134
+	268	137
+	4	271	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	134
+	268	137
+	3	271	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	148
+	90	143
+	86	144
+	4	80	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	86	144
+	3	80	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	139
+	86	144
+	90	143
+	4	96	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	144
+	90	143
+	3	96	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	161
+	209	158
+	203	159
+	4	198	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	158
+	203	159
+	3	198	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	154
+	203	159
+	209	158
+	4	214	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	159
+	209	158
+	3	214	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	139
+	106	136
+	102	136
+	4	96	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	136
+	102	136
+	3	96	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	134
+	102	136
+	106	136
+	4	112	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	136
+	106	136
+	3	112	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	154
+	225	149
+	219	150
+	4	214	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	149
+	219	150
+	3	214	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	145
+	219	150
+	225	149
+	4	230	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	150
+	225	149
+	3	230	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	14	157
+	26	161
+	22	158
+	4	14	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	161
+	22	158
+	3	14	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	22	158
+	10	153
+	14	157
+	4	22	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	153
+	14	157
+	3	22	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	136
+	128	138
+	123	135
+	4	117	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	138
+	123	135
+	3	117	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	135
+	112	134
+	117	136
+	4	123	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	134
+	117	136
+	3	123	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	142
+	144	146
+	139	142
+	4	133	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	146
+	139	142
+	3	133	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	142
+	128	138
+	133	142
+	4	139	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	138
+	133	142
+	3	139	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	138
+	257	136
+	251	135
+	4	246	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	136
+	251	135
+	3	246	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	134
+	251	135
+	257	136
+	4	261	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	135
+	257	136
+	3	261	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	136
+	268	137
+	261	134
+	4	257	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	137
+	261	134
+	3	257	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	136
+	117	136
+	112	134
+	4	106	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	136
+	112	134
+	3	106	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	160
+	68	155
+	64	157
+	4	58	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	155
+	64	157
+	3	58	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	152
+	64	157
+	68	155
+	4	74	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	157
+	68	155
+	3	74	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	145
+	242	141
+	235	141
+	4	230	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	141
+	235	141
+	3	230	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	246	138
+	235	141
+	242	141
+	4	246	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	141
+	242	141
+	3	246	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	154
+	166	159
+	160	156
+	4	155	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	159
+	160	156
+	3	155	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	160	156
+	150	150
+	155	154
+	4	160	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	150
+	155	154
+	3	160	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	164
+	193	164
+	187	163
+	4	182	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	164
+	187	163
+	3	182	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	161
+	187	163
+	193	164
+	4	198	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	163
+	193	164
+	3	198	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	163
+	176	162
+	182	164
+	4	187	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	162
+	182	164
+	3	187	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	152
+	84	146
+	80	148
+	4	74	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	146
+	80	148
+	3	74	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	143
+	80	148
+	84	146
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	148
+	84	146
+	3	90	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	274	140
+	284	144
+	278	140
+	4	274	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	144
+	278	140
+	3	274	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	140
+	268	137
+	274	140
+	4	278	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	137
+	274	140
+	3	278	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	30	163
+	41	164
+	37	163
+	4	30	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	164
+	37	163
+	3	30	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	163
+	37	163
+	41	164
+	4	48	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	163
+	41	164
+	3	48	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	37	163
+	26	161
+	30	163
+	4	37	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	161
+	30	163
+	3	37	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	164
+	52	163
+	48	163
+	4	41	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	163
+	48	163
+	3	41	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	160
+	48	163
+	52	163
+	4	58	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	163
+	52	163
+	3	58	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	162
+	182	164
+	176	162
+	4	171	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	164
+	176	162
+	3	171	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	162
+	166	159
+	171	162
+	4	176	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	159
+	171	162
+	3	176	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	143
+	101	139
+	96	139
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	139
+	96	139
+	3	90	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	136
+	96	139
+	101	139
+	4	106	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	139
+	101	139
+	3	106	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	158
+	220	153
+	214	154
+	4	209	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	153
+	214	154
+	3	209	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	149
+	214	154
+	220	153
+	4	225	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	154
+	220	153
+	3	225	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	145
+	150	150
+	144	146
+	4	139	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	150
+	144	146
+	3	139	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	146
+	133	142
+	139	145
+	4	144	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	142
+	139	145
+	3	144	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	164
+	204	161
+	198	161
+	4	193	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	161
+	198	161
+	3	193	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	158
+	198	161
+	204	161
+	4	209	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	161
+	204	161
+	3	209	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	138
+	133	142
+	128	138
+	4	122	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	142
+	128	138
+	3	122	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	138
+	117	136
+	122	138
+	4	128	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	136
+	122	138
+	3	128	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	19	160
+	30	163
+	26	161
+	4	19	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	163
+	26	161
+	3	19	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	26	161
+	14	157
+	19	160
+	4	26	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	157
+	19	160
+	3	26	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	2	152
+	14	157
+	10	153
+	4	2	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	157
+	10	153
+	3	2	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	149
+	237	144
+	230	145
+	4	225	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	144
+	230	145
+	3	225	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	141
+	230	145
+	237	144
+	4	242	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	145
+	237	144
+	3	242	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	141
+	253	138
+	246	138
+	4	242	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	138
+	246	138
+	3	242	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	257	136
+	246	138
+	253	138
+	4	257	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	138
+	253	138
+	3	257	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	163
+	62	159
+	58	160
+	4	52	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	159
+	58	160
+	3	52	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	155
+	58	160
+	62	159
+	4	68	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	160
+	62	159
+	3	68	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	138
+	274	140
+	268	137
+	4	264	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	140
+	268	137
+	3	264	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	137
+	257	136
+	264	138
+	4	268	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	136
+	264	138
+	3	268	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	155
+	78	150
+	74	152
+	4	68	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	150
+	74	152
+	3	68	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	146
+	74	152
+	78	150
+	4	84	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	152
+	78	150
+	3	84	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	139
+	111	137
+	106	136
+	4	101	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	137
+	106	136
+	3	101	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	136
+	106	136
+	111	137
+	4	117	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	136
+	111	137
+	3	117	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	281	143
+	290	148
+	284	144
+	4	281	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	148
+	284	144
+	3	281	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	284	144
+	274	140
+	281	143
+	4	284	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	140
+	281	143
+	3	284	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	137
+	122	138
+	117	136
+	4	111	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	138
+	117	136
+	3	111	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	160	158
+	171	162
+	166	159
+	4	160	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	162
+	166	159
+	3	160	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	159
+	155	154
+	160	158
+	4	166	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	154
+	160	158
+	3	166	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	138
+	264	138
+	257	136
+	4	253	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	138
+	257	136
+	3	253	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	149
+	155	154
+	150	150
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	154
+	150	150
+	3	144	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	150
+	139	145
+	144	149
+	4	150	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	145
+	144	149
+	3	150	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	146
+	95	142
+	90	143
+	4	84	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	142
+	90	143
+	3	84	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	139
+	90	143
+	95	142
+	4	101	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	95	142
+	3	101	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	161
+	215	157
+	209	158
+	4	204	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	157
+	209	158
+	3	204	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	153
+	209	158
+	215	157
+	4	220	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	158
+	215	157
+	3	220	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	141
+	139	145
+	133	142
+	4	128	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	145
+	133	142
+	3	128	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	142
+	122	138
+	128	141
+	4	133	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	138
+	128	141
+	3	133	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	6	155
+	19	160
+	14	157
+	4	6	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	160
+	14	157
+	3	6	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	14	157
+	2	152
+	6	155
+	4	14	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	2	152
+	6	155
+	3	14	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	153
+	232	147
+	225	149
+	4	220	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	147
+	225	149
+	3	220	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	237	144
+	225	149
+	232	147
+	4	237	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	149
+	232	147
+	3	237	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	35	166
+	45	165
+	41	164
+	4	35	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	165
+	41	164
+	3	35	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	163
+	41	164
+	45	165
+	4	52	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	164
+	45	165
+	3	52	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	164
+	30	163
+	35	166
+	4	41	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	163
+	35	166
+	3	41	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	165
+	188	166
+	182	164
+	4	177	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	166
+	182	164
+	3	177	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	164
+	182	164
+	188	166
+	4	193	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	164
+	188	166
+	3	193	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	164
+	171	162
+	177	165
+	4	182	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	162
+	177	165
+	3	182	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	166
+	199	164
+	193	164
+	4	188	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	164
+	193	164
+	3	188	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	161
+	193	164
+	199	164
+	4	204	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	164
+	199	164
+	3	204	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	144
+	248	140
+	242	141
+	4	237	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	140
+	242	141
+	3	237	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	138
+	242	141
+	248	140
+	4	253	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	141
+	248	140
+	3	253	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	163
+	35	166
+	30	163
+	4	23	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	166
+	30	163
+	3	23	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	30	163
+	19	160
+	23	163
+	4	30	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	160
+	23	163
+	3	30	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	159
+	72	154
+	68	155
+	4	62	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	154
+	68	155
+	3	62	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	150
+	68	155
+	72	154
+	4	78	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	155
+	72	154
+	3	78	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	287	146
+	297	152
+	290	148
+	4	287	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	297	152
+	290	148
+	3	287	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	290	148
+	281	143
+	287	146
+	4	290	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	143
+	287	146
+	3	290	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	165
+	56	163
+	52	163
+	4	45	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	163
+	52	163
+	3	45	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	159
+	52	163
+	56	163
+	4	62	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	163
+	56	163
+	3	62	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	139
+	281	143
+	274	140
+	4	271	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	143
+	274	140
+	3	271	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	140
+	264	138
+	271	139
+	4	274	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	138
+	271	139
+	3	274	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	166	162
+	177	165
+	171	162
+	4	166	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	165
+	171	162
+	3	166	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	162
+	160	158
+	166	162
+	4	171	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	158
+	166	162
+	3	171	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	142
+	105	139
+	101	139
+	4	95	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	139
+	101	139
+	3	95	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	137
+	101	139
+	105	139
+	4	111	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	139
+	105	139
+	3	111	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	160	158
+	155	154
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	158
+	155	154
+	3	150	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	154
+	144	149
+	150	153
+	4	155	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	150	153
+	3	155	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	150
+	89	145
+	84	146
+	4	78	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	145
+	84	146
+	3	78	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	142
+	84	146
+	89	145
+	4	95	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	146
+	89	145
+	3	95	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	139
+	128	141
+	122	138
+	4	116	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	141
+	122	138
+	3	116	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	138
+	111	137
+	116	139
+	4	122	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	137
+	116	139
+	3	122	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	164
+	210	161
+	204	161
+	4	199	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	161
+	204	161
+	3	199	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	157
+	204	161
+	210	161
+	4	215	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	161
+	210	161
+	3	215	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	140
+	260	139
+	253	138
+	4	248	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	139
+	253	138
+	3	248	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	264	138
+	253	138
+	260	139
+	4	264	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	138
+	260	139
+	3	264	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	139
+	271	139
+	264	138
+	4	260	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	139
+	264	138
+	3	260	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	157
+	227	151
+	220	153
+	4	215	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	151
+	220	153
+	3	215	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	232	147
+	220	153
+	227	151
+	4	232	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	153
+	227	151
+	3	232	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	144
+	144	149
+	139	145
+	4	133	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	139	145
+	3	133	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	145
+	128	141
+	133	144
+	4	139	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	141
+	133	144
+	3	139	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	139
+	116	139
+	111	137
+	4	105	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	139
+	111	137
+	3	105	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	11	159
+	23	163
+	19	160
+	4	11	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	163
+	19	160
+	3	11	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	19	160
+	6	155
+	11	159
+	4	19	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	155
+	11	159
+	3	19	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	147
+	244	143
+	237	144
+	4	232	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	143
+	237	144
+	3	232	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	248	140
+	237	144
+	244	143
+	4	248	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	144
+	244	143
+	3	248	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	297	152
+	287	146
+	294	150
+	4	297	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	146
+	294	150
+	3	297	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	56	163
+	66	158
+	62	159
+	4	56	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	62	159
+	3	56	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	154
+	62	159
+	66	158
+	4	72	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	159
+	66	158
+	3	72	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	277	142
+	287	146
+	281	143
+	4	277	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	146
+	281	143
+	3	277	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	143
+	271	139
+	277	142
+	4	281	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	139
+	277	142
+	3	281	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	167
+	194	167
+	188	166
+	4	183	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	167
+	188	166
+	3	183	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	164
+	188	166
+	194	167
+	4	199	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	166
+	194	167
+	3	199	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	166
+	177	165
+	183	167
+	4	188	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	165
+	183	167
+	3	188	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	157
+	166	162
+	160	158
+	4	155	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	162
+	160	158
+	3	155	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	158
+	150	153
+	155	157
+	4	160	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	155	157
+	3	160	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	154
+	83	149
+	78	150
+	4	72	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	149
+	78	150
+	3	72	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	145
+	78	150
+	83	149
+	4	89	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	150
+	83	149
+	3	89	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	27	167
+	39	167
+	35	166
+	4	27	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	167
+	35	166
+	3	27	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	165
+	35	166
+	39	167
+	4	45	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	166
+	39	167
+	3	45	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	35	166
+	23	163
+	27	167
+	4	35	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	163
+	27	167
+	3	35	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	39	167
+	49	166
+	45	165
+	4	39	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	166
+	45	165
+	3	39	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	163
+	45	165
+	49	166
+	4	56	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	165
+	49	166
+	3	56	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	145
+	99	141
+	95	142
+	4	89	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	95	142
+	3	89	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	139
+	95	142
+	99	141
+	4	105	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	142
+	99	141
+	3	105	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	165
+	183	167
+	177	165
+	4	172	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	167
+	177	165
+	3	172	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	165
+	166	162
+	172	165
+	4	177	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	162
+	172	165
+	3	177	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	210	161
+	222	155
+	215	157
+	4	210	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	155
+	215	157
+	3	210	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	151
+	215	157
+	222	155
+	4	227	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	157
+	222	155
+	3	227	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	147
+	150	153
+	144	149
+	4	138	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	144	149
+	3	138	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	149
+	133	144
+	138	147
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	144
+	138	147
+	3	144	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	167
+	205	164
+	199	164
+	4	194	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	164
+	199	164
+	3	194	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	161
+	199	164
+	205	164
+	4	210	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	164
+	205	164
+	3	210	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	140
+	133	144
+	128	141
+	4	122	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	144
+	128	141
+	3	122	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	141
+	116	139
+	122	140
+	4	128	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	139
+	122	140
+	3	128	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	15	163
+	27	167
+	23	163
+	4	15	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	167
+	23	163
+	3	15	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	23	163
+	11	159
+	15	163
+	4	23	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	159
+	15	163
+	3	23	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	244	143
+	256	140
+	248	140
+	4	244	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	140
+	248	140
+	3	244	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	260	139
+	248	140
+	256	140
+	4	260	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	140
+	256	140
+	3	260	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	151
+	239	146
+	232	147
+	4	227	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	146
+	232	147
+	3	227	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	244	143
+	232	147
+	239	146
+	4	244	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	147
+	239	146
+	3	244	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	267	140
+	277	142
+	271	139
+	4	267	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	142
+	271	139
+	3	267	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	271	139
+	260	139
+	267	140
+	4	271	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	139
+	267	140
+	3	271	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	166
+	60	162
+	56	163
+	4	49	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	162
+	56	163
+	3	49	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	158
+	56	163
+	60	162
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	163
+	60	162
+	3	66	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	141
+	110	140
+	105	139
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	140
+	105	139
+	3	99	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	139
+	105	139
+	110	140
+	4	116	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	139
+	110	140
+	3	116	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	140
+	122	140
+	116	139
+	4	110	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	140
+	116	139
+	3	110	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	256	140
+	267	140
+	260	139
+	4	256	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	140
+	260	139
+	3	256	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	158
+	76	153
+	72	154
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	153
+	72	154
+	3	66	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	149
+	72	154
+	76	153
+	4	83	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	154
+	76	153
+	3	83	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	284	145
+	294	150
+	287	146
+	4	284	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	150
+	287	146
+	3	284	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	287	146
+	277	142
+	284	145
+	4	287	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	142
+	284	145
+	3	287	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	161
+	172	165
+	166	162
+	4	161	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	165
+	166	162
+	3	161	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	162
+	155	157
+	161	161
+	4	166	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	157
+	161	161
+	3	166	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	83	149
+	93	144
+	89	145
+	4	83	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	144
+	89	145
+	3	83	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	141
+	89	145
+	93	144
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	145
+	93	144
+	3	99	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	164
+	217	160
+	210	161
+	4	205	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	160
+	210	161
+	3	205	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	155
+	210	161
+	217	160
+	4	222	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	161
+	217	160
+	3	222	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	151
+	155	157
+	150	153
+	4	144	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	157
+	150	153
+	3	144	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	138	147
+	144	151
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	147
+	144	151
+	3	150	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	32	170
+	43	169
+	39	167
+	4	32	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	169
+	39	167
+	3	32	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	49	166
+	39	167
+	43	169
+	4	49	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	167
+	43	169
+	3	49	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	167
+	27	167
+	32	170
+	4	39	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	167
+	32	170
+	3	39	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	143
+	138	147
+	133	144
+	4	127	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	147
+	133	144
+	3	127	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	144
+	122	140
+	127	143
+	4	133	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	140
+	127	143
+	3	133	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	169
+	189	170
+	183	167
+	4	178	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	170
+	183	167
+	3	178	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	167
+	183	167
+	189	170
+	4	194	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	167
+	189	170
+	3	194	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	167
+	172	165
+	178	169
+	4	183	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	165
+	178	169
+	3	183	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	170
+	200	168
+	194	167
+	4	189	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	168
+	194	167
+	3	189	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	164
+	194	167
+	200	168
+	4	205	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	167
+	200	168
+	3	205	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	155
+	234	150
+	227	151
+	4	222	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	150
+	227	151
+	3	222	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	239	146
+	227	151
+	234	150
+	4	239	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	151
+	234	150
+	3	239	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	20	167
+	32	170
+	27	167
+	4	20	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	170
+	27	167
+	3	20	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	27	167
+	15	163
+	20	167
+	4	27	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	163
+	20	167
+	3	27	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	239	146
+	251	142
+	244	143
+	4	239	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	142
+	244	143
+	3	239	146	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	256	140
+	244	143
+	251	142
+	4	256	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	143
+	251	142
+	3	256	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	169
+	54	167
+	49	166
+	4	43	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	167
+	49	166
+	3	43	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	162
+	49	166
+	54	167
+	4	60	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	166
+	54	167
+	3	60	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	162
+	70	157
+	66	158
+	4	60	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	157
+	66	158
+	3	60	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	153
+	66	158
+	70	157
+	4	76	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	70	157
+	3	76	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	294	150
+	284	145
+	291	149
+	4	294	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	145
+	291	149
+	3	294	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	274	142
+	284	145
+	277	142
+	4	274	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	145
+	277	142
+	3	274	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	277	142
+	267	140
+	274	142
+	4	277	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	140
+	274	142
+	3	277	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	166
+	178	169
+	172	165
+	4	166	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	169
+	172	165
+	3	166	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	165
+	161	161
+	166	166
+	4	172	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	161
+	166	166
+	3	172	165	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	144
+	104	141
+	99	141
+	4	93	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	141
+	99	141
+	3	93	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	110	140
+	99	141
+	104	141
+	4	110	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	104	141
+	3	110	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	156
+	161	161
+	155	157
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	161
+	155	157
+	3	150	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	157
+	144	151
+	150	156
+	4	155	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	151
+	150	156
+	3	155	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	76	153
+	87	147
+	83	149
+	4	76	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	147
+	83	149
+	3	76	153	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	144
+	83	149
+	87	147
+	4	93	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	149
+	87	147
+	3	93	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	168
+	212	164
+	205	164
+	4	200	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	164
+	205	164
+	3	200	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	160
+	205	164
+	212	164
+	4	217	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	164
+	212	164
+	3	217	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	141
+	127	143
+	122	140
+	4	116	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	143
+	122	140
+	3	116	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	140
+	110	140
+	116	141
+	4	122	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	140
+	116	141
+	3	122	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	251	142
+	263	141
+	256	140
+	4	251	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	141
+	256	140
+	3	251	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	267	140
+	256	140
+	263	141
+	4	267	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	140
+	263	141
+	3	267	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	263	141
+	274	142
+	267	140
+	4	263	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	142
+	267	140
+	3	263	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	160
+	229	154
+	222	155
+	4	217	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	154
+	222	155
+	3	217	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	150
+	222	155
+	229	154
+	4	234	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	155
+	229	154
+	3	234	150	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	141
+	116	141
+	110	140
+	4	104	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	141
+	110	140
+	3	104	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	146
+	144	151
+	138	147
+	4	132	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	151
+	138	147
+	3	132	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	147
+	127	143
+	132	146
+	4	138	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	143
+	132	146
+	3	138	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	167
+	64	162
+	60	162
+	4	54	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	162
+	60	162
+	3	54	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	157
+	60	162
+	64	162
+	4	70	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	162
+	64	162
+	3	70	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	234	150
+	246	145
+	239	146
+	4	234	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	145
+	239	146
+	3	234	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	251	142
+	239	146
+	246	145
+	4	251	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	146
+	246	145
+	3	251	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	172
+	195	172
+	189	170
+	4	183	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	172
+	189	170
+	3	183	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	168
+	189	170
+	195	172
+	4	200	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	170
+	195	172
+	3	200	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	170
+	178	169
+	183	172
+	4	189	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	169
+	183	172
+	3	189	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	25	172
+	36	172
+	32	170
+	4	25	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	172
+	32	170
+	3	25	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	169
+	32	170
+	36	172
+	4	43	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	170
+	36	172
+	3	43	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	32	170
+	20	167
+	25	172
+	4	32	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	167
+	25	172
+	3	32	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	172
+	47	171
+	43	169
+	4	36	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	171
+	43	169
+	3	36	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	167
+	43	169
+	47	171
+	4	54	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	169
+	47	171
+	3	54	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	161
+	166	166
+	161	161
+	4	155	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	166
+	161	161
+	3	155	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	161
+	150	156
+	155	161
+	4	161	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	155	161
+	3	161	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	170
+	183	172
+	178	169
+	4	172	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	172
+	178	169
+	3	172	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	169
+	166	166
+	172	170
+	4	178	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	166
+	172	170
+	3	178	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	281	144
+	291	149
+	284	145
+	4	281	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	149
+	284	145
+	3	281	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	284	145
+	274	142
+	281	144
+	4	284	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	142
+	281	144
+	3	284	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	70	157
+	81	152
+	76	153
+	4	70	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	152
+	76	153
+	3	70	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	87	147
+	76	153
+	81	152
+	4	87	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	153
+	81	152
+	3	87	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	172
+	206	169
+	200	168
+	4	195	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	169
+	200	168
+	3	195	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	164
+	200	168
+	206	169
+	4	212	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	168
+	206	169
+	3	212	164	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	87	147
+	98	143
+	93	144
+	4	87	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	143
+	93	144
+	3	87	147	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	104	141
+	93	144
+	98	143
+	4	104	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	144
+	98	143
+	3	104	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	164
+	224	159
+	217	160
+	4	212	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	159
+	217	160
+	3	212	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	154
+	217	160
+	224	159
+	4	229	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	160
+	224	159
+	3	229	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	150
+	150	156
+	144	151
+	4	138	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	144	151
+	3	138	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	151
+	132	146
+	138	150
+	4	144	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	146
+	138	150
+	3	144	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	143
+	132	146
+	127	143
+	4	121	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	146
+	127	143
+	3	121	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	143
+	116	141
+	121	143
+	4	127	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	141
+	121	143
+	3	127	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	171
+	58	167
+	54	167
+	4	47	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	167
+	54	167
+	3	47	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	162
+	54	167
+	58	167
+	4	64	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	167
+	58	167
+	3	64	162	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	246	145
+	258	142
+	251	142
+	4	246	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	142
+	251	142
+	3	246	145	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	263	141
+	251	142
+	258	142
+	4	263	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	142
+	258	142
+	3	263	141	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	229	154
+	241	149
+	234	150
+	4	229	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	149
+	234	150
+	3	229	154	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	246	145
+	234	150
+	241	149
+	4	246	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	150
+	241	149
+	3	246	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	166
+	172	170
+	166	166
+	4	161	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	170
+	166	166
+	3	161	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	166
+	155	161
+	161	166
+	4	166	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	161
+	161	166
+	3	166	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	270	142
+	281	144
+	274	142
+	4	270	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	144
+	274	142
+	3	270	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	274	142
+	263	141
+	270	142
+	4	274	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	141
+	270	142
+	3	274	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	162
+	75	156
+	70	157
+	4	64	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	156
+	70	157
+	3	64	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	81	152
+	70	157
+	75	156
+	4	81	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	157
+	75	156
+	3	81	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	98	143
+	109	142
+	104	141
+	4	98	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	142
+	104	141
+	3	98	143	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	116	141
+	104	141
+	109	142
+	4	116	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	141
+	109	142
+	3	116	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	142
+	121	143
+	116	141
+	4	109	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	143
+	116	141
+	3	109	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	291	149
+	281	144
+	288	148
+	4	291	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	144
+	288	148
+	3	291	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	258	142
+	270	142
+	263	141
+	4	258	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	142
+	263	141
+	3	258	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	29	176
+	41	175
+	36	172
+	4	29	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	175
+	36	172
+	3	29	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	171
+	36	172
+	41	175
+	4	47	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	172
+	41	175
+	3	47	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	172
+	25	172
+	29	176
+	4	36	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	172
+	29	176
+	3	36	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	169
+	218	165
+	212	164
+	4	206	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	165
+	212	164
+	3	206	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	159
+	212	164
+	218	165
+	4	224	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	164
+	218	165
+	3	224	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	175
+	189	176
+	183	172
+	4	178	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	176
+	183	172
+	3	178	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	172
+	183	172
+	189	176
+	4	195	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	172
+	189	176
+	3	195	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	172
+	172	170
+	178	175
+	4	183	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	170
+	178	175
+	3	183	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	176
+	201	174
+	195	172
+	4	189	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	174
+	195	172
+	3	189	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	169
+	195	172
+	201	174
+	4	206	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	172
+	201	174
+	3	206	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	155
+	155	161
+	150	156
+	4	144	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	161
+	150	156
+	3	144	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	156
+	138	150
+	144	155
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	150
+	144	155
+	3	150	156	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	81	152
+	92	147
+	87	147
+	4	81	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	147
+	87	147
+	3	81	152	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	98	143
+	87	147
+	92	147
+	4	98	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	147
+	92	147
+	3	98	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	175
+	52	173
+	47	171
+	4	41	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	173
+	47	171
+	3	41	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	167
+	47	171
+	52	173
+	4	58	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	171
+	52	173
+	3	58	167	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	224	159
+	236	154
+	229	154
+	4	224	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	154
+	229	154
+	3	224	159	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	241	149
+	229	154
+	236	154
+	4	241	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	154
+	236	154
+	3	241	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	146
+	138	150
+	132	146
+	4	126	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	150
+	132	146
+	3	126	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	146
+	121	143
+	126	146
+	4	132	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	143
+	126	146
+	3	132	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	172
+	178	175
+	172	170
+	4	167	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	175
+	172	170
+	3	167	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	170
+	161	166
+	167	172
+	4	172	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	166
+	167	172
+	3	172	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	58	167
+	69	162
+	64	162
+	4	58	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	162
+	64	162
+	3	58	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	75	156
+	64	162
+	69	162
+	4	75	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	162
+	69	162
+	3	75	156	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	241	149
+	254	145
+	246	145
+	4	241	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	145
+	246	145
+	3	241	149	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	258	142
+	246	145
+	254	145
+	4	258	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	145
+	254	145
+	3	258	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	174
+	213	171
+	206	169
+	4	201	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	171
+	206	169
+	3	201	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	165
+	206	169
+	213	171
+	4	218	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	169
+	213	171
+	3	218	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	161
+	161	166
+	155	161
+	4	150	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	166
+	155	161
+	3	150	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	161
+	144	155
+	150	161
+	4	155	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	155
+	150	161
+	3	155	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	277	144
+	288	148
+	281	144
+	4	277	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	148
+	281	144
+	3	277	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	281	144
+	270	142
+	277	144
+	4	281	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	142
+	277	144
+	3	281	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	180
+	196	180
+	189	176
+	4	184	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	180
+	189	176
+	3	184	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	174
+	189	176
+	196	180
+	4	201	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	176
+	196	180
+	3	201	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	176
+	178	175
+	184	180
+	4	189	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	175
+	184	180
+	3	189	176	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	75	156
+	86	151
+	81	152
+	4	75	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	151
+	81	152
+	3	75	156	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	92	147
+	81	152
+	86	151
+	4	92	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	152
+	86	151
+	3	92	147	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	92	147
+	103	144
+	98	143
+	4	92	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	144
+	98	143
+	3	92	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	109	142
+	98	143
+	103	144
+	4	109	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	143
+	103	144
+	3	109	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	175
+	29	176
+	34	180
+	4	41	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	176
+	34	180
+	3	41	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	180
+	46	178
+	41	175
+	4	34	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	178
+	41	175
+	3	34	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	173
+	41	175
+	46	178
+	4	52	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	175
+	46	178
+	3	52	173	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	218	165
+	231	159
+	224	159
+	4	218	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	159
+	224	159
+	3	218	165	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	236	154
+	224	159
+	231	159
+	4	236	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	159
+	231	159
+	3	236	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	173
+	62	168
+	58	167
+	4	52	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	168
+	58	167
+	3	52	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	162
+	58	167
+	62	168
+	4	69	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	167
+	62	168
+	3	69	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	144
+	126	146
+	121	143
+	4	115	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	146
+	121	143
+	3	115	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	143
+	109	142
+	115	144
+	4	121	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	142
+	115	144
+	3	121	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	178
+	184	180
+	178	175
+	4	173	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	180
+	178	175
+	3	173	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	175
+	167	172
+	173	178
+	4	178	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	172
+	173	178
+	3	178	175	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	254	145
+	266	143
+	258	142
+	4	254	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	143
+	258	142
+	3	254	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	270	142
+	258	142
+	266	143
+	4	270	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	142
+	266	143
+	3	270	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	150
+	144	155
+	138	150
+	4	132	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	155
+	138	150
+	3	132	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	150
+	126	146
+	132	150
+	4	138	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	146
+	132	150
+	3	138	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	266	143
+	277	144
+	270	142
+	4	266	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	144
+	270	142
+	3	266	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	180
+	207	177
+	201	174
+	4	196	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	177
+	201	174
+	3	196	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	171
+	201	174
+	207	177
+	4	213	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	174
+	207	177
+	3	213	171	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	144
+	115	144
+	109	142
+	4	103	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	144
+	109	142
+	3	103	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	167
+	167	172
+	161	166
+	4	155	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	172
+	161	166
+	3	155	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	166
+	150	161
+	155	167
+	4	161	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	161
+	155	167
+	3	161	166	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	236	154
+	249	149
+	241	149
+	4	236	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	149
+	241	149
+	3	236	154	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	254	145
+	241	149
+	249	149
+	4	254	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	149
+	249	149
+	3	254	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	171
+	225	165
+	218	165
+	4	213	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	165
+	218	165
+	3	213	171	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	231	159
+	218	165
+	225	165
+	4	231	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	165
+	225	165
+	3	231	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	178
+	56	175
+	52	173
+	4	46	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	175
+	52	173
+	3	46	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	168
+	52	173
+	56	175
+	4	62	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	173
+	56	175
+	3	62	168	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	69	162
+	79	156
+	75	156
+	4	69	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	75	156
+	3	69	162	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	86	151
+	75	156
+	79	156
+	4	86	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	156
+	79	156
+	3	86	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	288	148
+	277	144
+	284	148
+	4	288	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	144
+	284	148
+	3	288	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	178
+	34	180
+	39	184
+	4	46	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	180
+	39	184
+	3	46	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	173
+	173	178
+	167	172
+	4	161	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	178
+	167	172
+	3	161	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	172
+	155	167
+	161	173
+	4	167	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	167
+	161	173
+	3	167	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	184
+	190	185
+	184	180
+	4	179	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	185
+	184	180
+	3	179	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	180
+	184	180
+	190	185
+	4	196	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	180
+	190	185
+	3	196	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	180
+	173	178
+	179	184
+	4	184	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	178
+	179	184
+	3	184	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	185
+	202	183
+	196	180
+	4	190	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	183
+	196	180
+	3	190	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	177
+	196	180
+	202	183
+	4	207	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	180
+	202	183
+	3	207	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	155
+	150	161
+	144	155
+	4	138	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	161
+	144	155
+	3	138	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	155
+	132	150
+	138	155
+	4	144	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	150
+	138	155
+	3	144	155	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	86	151
+	97	147
+	92	147
+	4	86	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	147
+	92	147
+	3	86	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	103	144
+	92	147
+	97	147
+	4	103	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	147
+	97	147
+	3	103	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	177
+	220	172
+	213	171
+	4	207	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	172
+	213	171
+	3	207	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	165
+	213	171
+	220	172
+	4	225	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	171
+	220	172
+	3	225	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	146
+	132	150
+	126	146
+	4	120	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	150
+	126	146
+	3	120	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	146
+	115	144
+	120	146
+	4	126	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	144
+	120	146
+	3	126	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	184
+	50	182
+	46	178
+	4	39	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	182
+	46	178
+	3	39	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	175
+	46	178
+	50	182
+	4	56	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	178
+	50	182
+	3	56	175	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	62	168
+	73	163
+	69	162
+	4	62	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	163
+	69	162
+	3	62	168	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	79	156
+	69	162
+	73	163
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	162
+	73	163
+	3	79	156	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	231	159
+	243	154
+	236	154
+	4	231	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	154
+	236	154
+	3	231	159	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	249	149
+	236	154
+	243	154
+	4	249	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	154
+	243	154
+	3	249	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	249	149
+	261	146
+	254	145
+	4	249	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	146
+	254	145
+	3	249	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	266	143
+	254	145
+	261	146
+	4	266	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	145
+	261	146
+	3	266	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	181
+	179	184
+	173	178
+	4	167	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	184
+	173	178
+	3	167	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	178
+	161	173
+	167	181
+	4	173	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	173
+	167	181
+	3	173	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	273	146
+	284	148
+	277	144
+	4	273	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	148
+	277	144
+	3	273	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	277	144
+	266	143
+	273	146
+	4	277	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	143
+	273	146
+	3	277	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	161
+	155	167
+	150	161
+	4	144	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	167
+	150	161
+	3	144	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	161
+	138	155
+	144	161
+	4	150	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	155
+	144	161
+	3	150	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	183
+	214	180
+	207	177
+	4	202	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	180
+	207	177
+	3	202	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	172
+	207	177
+	214	180
+	4	220	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	177
+	214	180
+	3	220	172	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	147
+	108	145
+	103	144
+	4	97	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	145
+	103	144
+	3	97	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	144
+	103	144
+	108	145
+	4	115	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	144
+	108	145
+	3	115	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	190
+	196	190
+	190	185
+	4	185	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	190
+	190	185
+	3	185	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	183
+	190	185
+	196	190
+	4	202	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	185
+	196	190
+	3	202	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	185
+	179	184
+	185	190
+	4	190	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	184
+	185	190
+	3	190	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	145
+	120	146
+	115	144
+	4	108	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	146
+	115	144
+	3	108	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	175
+	67	169
+	62	168
+	4	56	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	169
+	62	168
+	3	56	175	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	73	163
+	62	168
+	67	169
+	4	73	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	168
+	67	169
+	3	73	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	261	146
+	273	146
+	266	143
+	4	261	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	146
+	266	143
+	3	261	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	182
+	39	184
+	44	189
+	4	50	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	184
+	44	189
+	3	50	182	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	79	156
+	91	151
+	86	151
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	151
+	86	151
+	3	79	156	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	97	147
+	86	151
+	91	151
+	4	97	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	151
+	91	151
+	3	97	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	188
+	185	190
+	179	184
+	4	173	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	190
+	179	184
+	3	173	188	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	184
+	167	181
+	173	188
+	4	179	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	181
+	173	188
+	3	179	184	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	225	165
+	238	160
+	231	159
+	4	225	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	160
+	231	159
+	3	225	165	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	243	154
+	231	159
+	238	160
+	4	243	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	159
+	238	160
+	3	243	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	190
+	208	187
+	202	183
+	4	196	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	187
+	202	183
+	3	196	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	180
+	202	183
+	208	187
+	4	214	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	183
+	208	187
+	3	214	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	168
+	161	173
+	155	167
+	4	150	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	173
+	155	167
+	3	150	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	167
+	144	161
+	150	168
+	4	155	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	161
+	150	168
+	3	155	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	182
+	61	177
+	56	175
+	4	50	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	177
+	56	175
+	3	50	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	169
+	56	175
+	61	177
+	4	67	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	175
+	61	177
+	3	67	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	151
+	138	155
+	132	150
+	4	126	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	155
+	132	150
+	3	126	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	150
+	120	146
+	126	151
+	4	132	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	146
+	126	151
+	3	132	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	195
+	191	196
+	185	190
+	4	179	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	196
+	185	190
+	3	179	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	190
+	185	190
+	191	196
+	4	196	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	190
+	191	196
+	3	196	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	190
+	173	188
+	179	195
+	4	185	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	188
+	179	195
+	3	185	190	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	220	172
+	232	167
+	225	165
+	4	220	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	167
+	225	165
+	3	220	172	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	238	160
+	225	165
+	232	167
+	4	238	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	165
+	232	167
+	3	238	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	243	154
+	256	150
+	249	149
+	4	243	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	150
+	249	149
+	3	243	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	261	146
+	249	149
+	256	150
+	4	261	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	149
+	256	150
+	3	261	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	176
+	167	181
+	161	173
+	4	155	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	181
+	161	173
+	3	155	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	173
+	150	168
+	155	176
+	4	161	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	168
+	155	176
+	3	161	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	44	189
+	55	185
+	50	182
+	4	44	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	185
+	50	182
+	3	44	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	177
+	50	182
+	55	185
+	4	61	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	182
+	55	185
+	3	61	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	196
+	202	195
+	196	190
+	4	191	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	195
+	196	190
+	3	191	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	187
+	196	190
+	202	195
+	4	208	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	190
+	202	195
+	3	208	187	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	73	163
+	84	157
+	79	156
+	4	73	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	157
+	79	156
+	3	73	163	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	91	151
+	79	156
+	84	157
+	4	91	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	84	157
+	3	91	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	284	148
+	273	146
+	280	149
+	4	284	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	146
+	280	149
+	3	284	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	184
+	173	188
+	167	181
+	4	161	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	188
+	167	181
+	3	161	184	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	167	181
+	155	176
+	161	184
+	4	167	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	176
+	161	184
+	3	167	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	180
+	227	174
+	220	172
+	4	214	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	174
+	220	172
+	3	214	180	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	232	167
+	220	172
+	227	174
+	4	232	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	172
+	227	174
+	3	232	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	185
+	44	189
+	49	193
+	4	55	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	189
+	49	193
+	3	55	185	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	91	151
+	102	149
+	97	147
+	4	91	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	149
+	97	147
+	3	91	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	145
+	97	147
+	102	149
+	4	108	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	147
+	102	149
+	3	108	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	156
+	144	161
+	138	155
+	4	132	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	161
+	138	155
+	3	132	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	155
+	126	151
+	132	156
+	4	138	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	151
+	132	156
+	3	138	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	203
+	197	202
+	191	196
+	4	185	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	202
+	191	196
+	3	185	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	195
+	191	196
+	197	202
+	4	202	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	196
+	197	202
+	3	202	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	196
+	179	195
+	185	203
+	4	191	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	195
+	185	203
+	3	191	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	192
+	179	195
+	173	188
+	4	167	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	195
+	173	188
+	3	167	192	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	173	188
+	161	184
+	167	192
+	4	173	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	184
+	167	192
+	3	173	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	148
+	126	151
+	120	146
+	4	114	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	151
+	120	146
+	3	114	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	146
+	108	145
+	114	148
+	4	120	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	145
+	114	148
+	3	120	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	187
+	221	183
+	214	180
+	4	208	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	183
+	214	180
+	3	208	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	174
+	214	180
+	221	183
+	4	227	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	180
+	221	183
+	3	227	174	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	67	169
+	78	164
+	73	163
+	4	67	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	164
+	73	163
+	3	67	169	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	84	157
+	73	163
+	78	164
+	4	84	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	163
+	78	164
+	3	84	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	256	150
+	268	148
+	261	146
+	4	256	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	148
+	261	146
+	3	256	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	146
+	261	146
+	268	148
+	4	273	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	146
+	268	148
+	3	273	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	201
+	185	203
+	179	195
+	4	173	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	203
+	179	195
+	3	173	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	195
+	167	192
+	173	201
+	4	179	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	192
+	173	201
+	3	179	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	195
+	215	191
+	208	187
+	4	202	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	191
+	208	187
+	3	202	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	183
+	208	187
+	215	191
+	4	221	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	187
+	215	191
+	3	221	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	268	148
+	280	149
+	273	146
+	4	268	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	149
+	273	146
+	3	268	148	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	238	160
+	251	155
+	243	154
+	4	238	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	155
+	243	154
+	3	238	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	256	150
+	243	154
+	251	155
+	4	256	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	154
+	251	155
+	3	256	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	149
+	114	148
+	108	145
+	4	102	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	148
+	108	145
+	3	102	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	202
+	209	200
+	202	195
+	4	197	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	200
+	202	195
+	3	197	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	191
+	202	195
+	209	200
+	4	215	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	195
+	209	200
+	3	215	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	209
+	191	210
+	185	203
+	4	179	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	210
+	185	203
+	3	179	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	202
+	185	203
+	191	210
+	4	197	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	203
+	191	210
+	3	197	202	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	185	203
+	173	201
+	179	209
+	4	185	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	201
+	179	209
+	3	185	203	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	61	177
+	72	171
+	67	169
+	4	61	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	171
+	67	169
+	3	61	177	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	78	164
+	67	169
+	72	171
+	4	78	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	169
+	72	171
+	3	78	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	162
+	150	168
+	144	161
+	4	138	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	168
+	144	161
+	3	138	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	161
+	132	156
+	138	162
+	4	144	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	156
+	138	162
+	3	144	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	210
+	203	208
+	197	202
+	4	191	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	208
+	197	202
+	3	191	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	200
+	197	202
+	203	208
+	4	209	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	202
+	203	208
+	3	209	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	185
+	66	180
+	61	177
+	4	55	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	180
+	61	177
+	3	55	185	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	72	171
+	61	177
+	66	180
+	4	72	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	177
+	66	180
+	3	72	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	193
+	60	189
+	55	185
+	4	49	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	189
+	55	185
+	3	49	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	180
+	55	185
+	60	189
+	4	66	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	185
+	60	189
+	3	66	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	189
+	49	193
+	54	198
+	4	60	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	193
+	54	198
+	3	60	189	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	84	157
+	96	153
+	91	151
+	4	84	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	153
+	91	151
+	3	84	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	102	149
+	91	151
+	96	153
+	4	102	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	151
+	96	153
+	3	102	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	217
+	197	217
+	191	210
+	4	185	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	217
+	191	210
+	3	185	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	208
+	191	210
+	197	217
+	4	203	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	210
+	197	217
+	3	203	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	210
+	179	209
+	185	217
+	4	191	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	209
+	185	217
+	3	191	210	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	232	167
+	245	161
+	238	160
+	4	232	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	161
+	238	160
+	3	232	167	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	251	155
+	238	160
+	245	161
+	4	251	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	160
+	245	161
+	3	251	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	170
+	155	176
+	150	168
+	4	144	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	176
+	150	168
+	3	144	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	168
+	138	162
+	144	170
+	4	150	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	162
+	144	170
+	3	150	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	178
+	161	184
+	155	176
+	4	150	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	184
+	155	176
+	3	150	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	176
+	144	170
+	150	178
+	4	155	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	170
+	150	178
+	3	155	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	152
+	132	156
+	126	151
+	4	120	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	156
+	126	151
+	3	120	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	151
+	114	148
+	120	152
+	4	126	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	148
+	120	152
+	3	126	151	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	167	206
+	179	209
+	173	201
+	4	167	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	209
+	173	201
+	3	167	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	201
+	161	197
+	167	206
+	4	173	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	197
+	167	206
+	3	173	201	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	161	197
+	173	201
+	167	192
+	4	161	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	201
+	167	192
+	3	161	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	215
+	185	217
+	179	209
+	4	173	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	217
+	179	209
+	3	173	215	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	209
+	167	206
+	173	215
+	4	179	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	206
+	173	215
+	3	179	209	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	167	192
+	155	187
+	161	197
+	4	167	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	187
+	161	197
+	3	167	192	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	155	187
+	167	192
+	161	184
+	4	155	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	192
+	161	184
+	3	155	187	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	161	184
+	150	178
+	155	187
+	4	161	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	178
+	155	187
+	3	161	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	223
+	191	224
+	185	217
+	4	179	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	224
+	185	217
+	3	179	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	217
+	185	217
+	191	224
+	4	197	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	217
+	191	224
+	3	197	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	217
+	173	215
+	179	223
+	4	185	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	215
+	179	223
+	3	185	217	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	227	174
+	239	169
+	232	167
+	4	227	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	169
+	232	167
+	3	227	174	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	245	161
+	232	167
+	239	169
+	4	245	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	167
+	239	169
+	3	245	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	217
+	209	214
+	203	208
+	4	197	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	214
+	203	208
+	3	197	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	205
+	203	208
+	209	214
+	4	215	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	208
+	209	214
+	3	215	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	208
+	215	205
+	209	200
+	4	203	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	205
+	209	200
+	3	203	208	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	251	155
+	263	152
+	256	150
+	4	251	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	152
+	256	150
+	3	251	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	268	148
+	256	150
+	263	152
+	4	268	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	150
+	263	152
+	3	268	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	224
+	203	223
+	197	217
+	4	191	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	223
+	197	217
+	3	191	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	214
+	197	217
+	203	223
+	4	209	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	217
+	203	223
+	3	209	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	195
+	209	200
+	215	205
+	4	221	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	200
+	215	205
+	3	221	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	200
+	221	195
+	215	191
+	4	209	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	195
+	215	191
+	3	209	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	186
+	215	191
+	221	195
+	4	227	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	191
+	221	195
+	3	227	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	191
+	227	186
+	221	183
+	4	215	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	186
+	221	183
+	3	215	191	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	183
+	233	177
+	227	174
+	4	221	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	177
+	227	174
+	3	221	183	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	239	169
+	227	174
+	233	177
+	4	239	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	174
+	233	177
+	3	239	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	280	149
+	268	148
+	275	152
+	4	280	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	148
+	275	152
+	3	280	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	177
+	221	183
+	227	186
+	4	233	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	183
+	227	186
+	3	233	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	231
+	197	231
+	191	224
+	4	185	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	231
+	191	224
+	3	185	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	223
+	191	224
+	197	231
+	4	203	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	224
+	197	231
+	3	203	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	224
+	179	223
+	185	231
+	4	191	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	223
+	185	231
+	3	191	224	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	78	164
+	89	159
+	84	157
+	4	78	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	159
+	84	157
+	3	78	164	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	96	153
+	84	157
+	89	159
+	4	96	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	157
+	89	159
+	3	96	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	153
+	108	151
+	102	149
+	4	96	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	151
+	102	149
+	3	96	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	148
+	102	149
+	108	151
+	4	114	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	149
+	108	151
+	3	114	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	151
+	120	152
+	114	148
+	4	108	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	152
+	114	148
+	3	108	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	263	152
+	275	152
+	268	148
+	4	263	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	152
+	268	148
+	3	263	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	230
+	185	231
+	179	223
+	4	173	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	231
+	179	223
+	3	173	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	223
+	167	220
+	173	230
+	4	179	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	220
+	173	230
+	3	179	223	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	220
+	179	223
+	173	215
+	4	167	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	223
+	173	215
+	3	167	220	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	215
+	161	211
+	167	220
+	4	173	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	211
+	167	220
+	3	173	215	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	161	211
+	173	215
+	167	206
+	4	161	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	215
+	167	206
+	3	161	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	158
+	138	162
+	132	156
+	4	125	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	162
+	132	156
+	3	125	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	156
+	120	152
+	125	158
+	4	132	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	152
+	125	158
+	3	132	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	238
+	191	239
+	185	231
+	4	179	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	239
+	185	231
+	3	179	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	231
+	185	231
+	191	239
+	4	197	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	231
+	191	239
+	3	197	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	231
+	173	230
+	179	238
+	4	185	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	230
+	179	238
+	3	185	231	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	193
+	54	198
+	60	202
+	4	65	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	198
+	60	202
+	3	65	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	198
+	65	193
+	60	189
+	4	54	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	193
+	60	189
+	3	54	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	231
+	209	229
+	203	223
+	4	197	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	229
+	203	223
+	3	197	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	219
+	203	223
+	209	229
+	4	215	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	223
+	209	229
+	3	215	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	223
+	215	219
+	209	214
+	4	203	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	219
+	209	214
+	3	203	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	239
+	203	237
+	197	231
+	4	191	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	237
+	197	231
+	3	191	239	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	229
+	197	231
+	203	237
+	4	209	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	231
+	203	237
+	3	209	229	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	72	171
+	83	166
+	78	164
+	4	72	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	166
+	78	164
+	3	72	171	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	89	159
+	78	164
+	83	166
+	4	89	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	164
+	83	166
+	3	89	159	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	167	206
+	156	201
+	161	211
+	4	167	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	201
+	161	211
+	3	167	206	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	156	201
+	167	206
+	161	197
+	4	156	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	206
+	161	197
+	3	156	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	210
+	209	214
+	215	219
+	4	222	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	214
+	215	219
+	3	222	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	214
+	222	210
+	215	205
+	4	209	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	210
+	215	205
+	3	209	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	183
+	60	189
+	65	193
+	4	71	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	189
+	65	193
+	3	71	183	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	189
+	71	183
+	66	180
+	4	60	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	183
+	66	180
+	3	60	189	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	245	161
+	258	157
+	251	155
+	4	245	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	157
+	251	155
+	3	245	161	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	263	152
+	251	155
+	258	157
+	4	263	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	155
+	258	157
+	3	263	152	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	66	180
+	77	174
+	72	171
+	4	66	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	174
+	72	171
+	3	66	180	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	83	166
+	72	171
+	77	174
+	4	83	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	171
+	77	174
+	3	83	166	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	77	174
+	66	180
+	71	183
+	4	77	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	180
+	71	183
+	3	77	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	245
+	197	245
+	191	239
+	4	185	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	245
+	191	239
+	3	185	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	237
+	191	239
+	197	245
+	4	203	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	239
+	197	245
+	3	203	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	239
+	179	238
+	185	245
+	4	191	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	238
+	185	245
+	3	191	239	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	161	197
+	150	191
+	156	201
+	4	161	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	191
+	156	201
+	3	161	197	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	150	191
+	161	197
+	155	187
+	4	150	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	197
+	155	187
+	3	150	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	200
+	215	205
+	222	210
+	4	228	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	205
+	222	210
+	3	228	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	205
+	228	200
+	221	195
+	4	215	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	200
+	221	195
+	3	215	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	165
+	144	170
+	138	162
+	4	131	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	170
+	138	162
+	3	131	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	162
+	125	158
+	131	165
+	4	138	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	158
+	131	165
+	3	138	162	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	155	187
+	143	182
+	150	191
+	4	155	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	182
+	150	191
+	3	155	187	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	182
+	155	187
+	150	178
+	4	143	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	187
+	150	178
+	3	143	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	235
+	179	238
+	173	230
+	4	168	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	238
+	173	230
+	3	168	235	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	230
+	162	226
+	168	235
+	4	173	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	226
+	168	235
+	3	173	230	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	162	226
+	173	230
+	167	220
+	4	162	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	230
+	167	220
+	3	162	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	244
+	185	245
+	179	238
+	4	174	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	245
+	179	238
+	3	174	244	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	238
+	168	235
+	174	244
+	4	179	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	235
+	174	244
+	3	179	238	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	173
+	150	178
+	144	170
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	178
+	144	170
+	3	137	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	170
+	131	165
+	137	173
+	4	144	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	165
+	137	173
+	3	144	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	89	159
+	101	156
+	96	153
+	4	89	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	156
+	96	153
+	3	89	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	151
+	96	153
+	101	156
+	4	108	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	153
+	101	156
+	3	108	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	190
+	221	195
+	228	200
+	4	234	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	195
+	228	200
+	3	234	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	195
+	234	190
+	227	186
+	4	221	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	190
+	227	186
+	3	221	195	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	178
+	137	173
+	143	182
+	4	150	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	143	182
+	3	150	178	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	167	220
+	156	216
+	162	226
+	4	167	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	216
+	162	226
+	3	167	220	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	216
+	167	220
+	161	211
+	4	156	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	220
+	161	211
+	3	156	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	245
+	210	243
+	203	237
+	4	197	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	243
+	203	237
+	3	197	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	234
+	203	237
+	210	243
+	4	216	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	237
+	210	243
+	3	216	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	237
+	216	234
+	209	229
+	4	203	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	234
+	209	229
+	3	203	237	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	239	169
+	252	164
+	245	161
+	4	239	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	164
+	245	161
+	3	239	169	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	258	157
+	245	161
+	252	164
+	4	258	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	161
+	252	164
+	3	258	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	224
+	209	229
+	216	234
+	4	222	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	229
+	216	234
+	3	222	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	229
+	222	224
+	215	219
+	4	209	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	224
+	215	219
+	3	209	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	156
+	125	158
+	120	152
+	4	113	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	158
+	120	152
+	3	113	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	152
+	108	151
+	113	156
+	4	120	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	151
+	113	156
+	3	120	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	251
+	192	252
+	185	245
+	4	180	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	252
+	185	245
+	3	180	251	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	245
+	185	245
+	192	252
+	4	197	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	245
+	192	252
+	3	197	245	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	245
+	174	244
+	180	251
+	4	185	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	244
+	180	251
+	3	185	245	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	240	180
+	227	186
+	234	190
+	4	240	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	186
+	234	190
+	3	240	180	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	227	186
+	240	180
+	233	177
+	4	227	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	180
+	233	177
+	3	227	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	192	252
+	204	251
+	197	245
+	4	192	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	251
+	197	245
+	3	192	252	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	243
+	197	245
+	204	251
+	4	210	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	245
+	204	251
+	3	210	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	258	157
+	270	155
+	263	152
+	4	258	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	155
+	263	152
+	3	258	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	275	152
+	263	152
+	270	155
+	4	275	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	152
+	270	155
+	3	275	152	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	233	177
+	246	172
+	239	169
+	4	233	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	172
+	239	169
+	3	233	177	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	252	164
+	239	169
+	246	172
+	4	252	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	169
+	246	172
+	3	252	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	214
+	215	219
+	222	224
+	4	228	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	219
+	222	224
+	3	228	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	219
+	228	214
+	222	210
+	4	215	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	214
+	222	210
+	3	215	219	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	246	172
+	233	177
+	240	180
+	4	246	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	177
+	240	180
+	3	246	172	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	161	211
+	150	206
+	156	216
+	4	161	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	206
+	156	216
+	3	161	211	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	150	206
+	161	211
+	156	201
+	4	150	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	211
+	156	201
+	3	150	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	197
+	60	202
+	65	207
+	4	71	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	202
+	65	207
+	3	71	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	202
+	71	197
+	65	193
+	4	60	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	197
+	65	193
+	3	60	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	156
+	113	156
+	108	151
+	4	101	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	156
+	108	151
+	3	101	156	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	83	166
+	95	162
+	89	159
+	4	83	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	162
+	89	159
+	3	83	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	156
+	89	159
+	95	162
+	4	101	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	159
+	95	162
+	3	101	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	204
+	222	210
+	228	214
+	4	235	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	210
+	228	214
+	3	235	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	210
+	235	204
+	228	200
+	4	222	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	204
+	228	200
+	3	222	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	187
+	65	193
+	71	197
+	4	77	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	193
+	71	197
+	3	77	187	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	65	193
+	77	187
+	71	183
+	4	65	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	187
+	71	183
+	3	65	193	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	258
+	198	258
+	192	252
+	4	186	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	258
+	192	252
+	3	186	258	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	251
+	192	252
+	198	258
+	4	204	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	252
+	198	258
+	3	204	251	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	252
+	180	251
+	186	258
+	4	192	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	251
+	186	258
+	3	192	252	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	201
+	143	196
+	150	206
+	4	156	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	196
+	150	206
+	3	156	201	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	196
+	156	201
+	150	191
+	4	143	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	201
+	150	191
+	3	143	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	248
+	180	251
+	174	244
+	4	168	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	251
+	174	244
+	3	168	248	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	174	244
+	162	240
+	168	248
+	4	174	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	240
+	168	248
+	3	174	244	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	162	240
+	174	244
+	168	235
+	4	162	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	244
+	168	235
+	3	162	240	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	168	235
+	156	230
+	162	240
+	4	168	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	230
+	162	240
+	3	168	235	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	156	230
+	168	235
+	162	226
+	4	156	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	235
+	162	226
+	3	156	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	161
+	131	165
+	125	158
+	4	119	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	165
+	125	158
+	3	119	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	158
+	113	156
+	119	161
+	4	125	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	156
+	119	161
+	3	125	158	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	83	178
+	71	183
+	77	187
+	4	83	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	183
+	77	187
+	3	83	178	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	71	183
+	83	178
+	77	174
+	4	71	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	178
+	77	174
+	3	71	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	256
+	186	258
+	180	251
+	4	174	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	258
+	180	251
+	3	174	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	251
+	168	248
+	174	256
+	4	180	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	248
+	174	256
+	3	180	251	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	77	174
+	89	169
+	83	166
+	4	77	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	169
+	83	166
+	3	77	174	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	95	162
+	83	166
+	89	169
+	4	95	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	166
+	89	169
+	3	95	162	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	162	226
+	150	221
+	156	230
+	4	162	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	221
+	156	230
+	3	162	226	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	150	221
+	162	226
+	156	216
+	4	150	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	226
+	156	216
+	3	150	221	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	252	164
+	265	161
+	258	157
+	4	252	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	161
+	258	157
+	3	252	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	270	155
+	258	157
+	265	161
+	4	270	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	157
+	265	161
+	3	270	155	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	150	191
+	137	186
+	143	196
+	4	150	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	186
+	143	196
+	3	150	191	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	137	186
+	150	191
+	143	182
+	4	137	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	191
+	143	182
+	3	137	186	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	89	169
+	77	174
+	83	178
+	4	89	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	174
+	83	178
+	3	89	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	194
+	228	200
+	235	204
+	4	241	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	200
+	235	204
+	3	241	194	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	200
+	241	194
+	234	190
+	4	228	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	194
+	234	190
+	3	228	200	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	125	168
+	137	173
+	131	165
+	4	125	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	131	165
+	3	125	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	165
+	119	161
+	125	168
+	4	131	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	161
+	125	168
+	3	131	165	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	182
+	131	177
+	137	186
+	4	143	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	177
+	137	186
+	3	143	182	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	131	177
+	143	182
+	137	173
+	4	131	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	182
+	137	173
+	3	131	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	162
+	107	160
+	101	156
+	4	95	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	160
+	101	156
+	3	95	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	156
+	101	156
+	107	160
+	4	113	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	156
+	107	160
+	3	113	156	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	156	216
+	143	210
+	150	221
+	4	156	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	210
+	150	221
+	3	156	216	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	210
+	156	216
+	150	206
+	4	143	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	216
+	150	206
+	3	143	210	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	173
+	125	168
+	131	177
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	168
+	131	177
+	3	137	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	202
+	65	207
+	70	212
+	4	76	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	207
+	70	212
+	3	76	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	207
+	76	202
+	71	197
+	4	65	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	202
+	71	197
+	3	65	207	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	247	185
+	234	190
+	241	194
+	4	247	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	190
+	241	194
+	3	247	185	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	234	190
+	247	185
+	240	180
+	4	234	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	185
+	240	180
+	3	234	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	160
+	119	161
+	113	156
+	4	107	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	161
+	113	156
+	3	107	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	263
+	192	264
+	186	258
+	4	180	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	264
+	186	258
+	3	180	263	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	258
+	186	258
+	192	264
+	4	198	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	258
+	192	264
+	3	198	258	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	258
+	174	256
+	180	263
+	4	186	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	256
+	180	263
+	3	186	258	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	246	172
+	259	168
+	252	164
+	4	246	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	168
+	252	164
+	3	246	172	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	265	161
+	252	164
+	259	168
+	4	265	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	164
+	259	168
+	3	265	161	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	253	176
+	240	180
+	247	185
+	4	253	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	180
+	247	185
+	3	253	176	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	240	180
+	253	176
+	246	172
+	4	240	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	176
+	246	172
+	3	240	180	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	259	168
+	246	172
+	253	176
+	4	259	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	172
+	253	176
+	3	259	168	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	206
+	137	200
+	143	210
+	4	150	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	200
+	143	210
+	3	150	206	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	200
+	150	206
+	143	196
+	4	137	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	206
+	143	196
+	3	137	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	192
+	71	197
+	76	202
+	4	82	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	197
+	76	202
+	3	82	192	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	71	197
+	82	192
+	77	187
+	4	71	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	192
+	77	187
+	3	71	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	252
+	174	256
+	168	248
+	4	162	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	256
+	168	248
+	3	162	252	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	248
+	156	244
+	162	252
+	4	168	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	244
+	162	252
+	3	168	248	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	244
+	168	248
+	162	240
+	4	156	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	248
+	162	240
+	3	156	244	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	162	240
+	150	235
+	156	244
+	4	162	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	235
+	156	244
+	3	162	240	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	150	235
+	162	240
+	156	230
+	4	150	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	240
+	156	230
+	3	150	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	89	169
+	101	166
+	95	162
+	4	89	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	166
+	95	162
+	3	89	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	160
+	95	162
+	101	166
+	4	107	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	162
+	101	166
+	3	107	160	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	156	230
+	143	225
+	150	235
+	4	156	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	225
+	150	235
+	3	156	230	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	225
+	156	230
+	150	221
+	4	143	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	230
+	150	221
+	3	143	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	260
+	180	263
+	174	256
+	4	168	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	263
+	174	256
+	3	168	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	256
+	162	252
+	168	260
+	4	174	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	252
+	168	260
+	3	174	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	166
+	125	168
+	119	161
+	4	113	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	168
+	119	161
+	3	113	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	161
+	107	160
+	113	166
+	4	119	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	160
+	113	166
+	3	119	161	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	88	182
+	77	187
+	82	192
+	4	88	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	187
+	82	192
+	3	88	182	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	77	187
+	88	182
+	83	178
+	4	77	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	182
+	83	178
+	3	77	187	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	196
+	131	191
+	137	200
+	4	143	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	191
+	137	200
+	3	143	196	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	131	191
+	143	196
+	137	186
+	4	131	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	196
+	137	186
+	3	131	191	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	83	178
+	94	174
+	89	169
+	4	83	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	174
+	89	169
+	3	83	178	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	101	166
+	89	169
+	94	174
+	4	101	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	169
+	94	174
+	3	101	166	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	94	174
+	83	178
+	88	182
+	4	94	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	178
+	88	182
+	3	94	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	264
+	180	263
+	186	269
+	4	192	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	263
+	186	269
+	3	192	264	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	166
+	113	166
+	107	160
+	4	101	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	166
+	107	160
+	3	101	166	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	150	221
+	137	215
+	143	225
+	4	150	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	215
+	143	225
+	3	150	221	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	215
+	150	221
+	143	210
+	4	137	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	221
+	143	210
+	3	137	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	207
+	70	212
+	76	217
+	4	82	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	212
+	76	217
+	3	82	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	212
+	82	207
+	76	202
+	4	70	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	207
+	76	202
+	3	70	212	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	137	186
+	125	181
+	131	191
+	4	137	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	181
+	131	191
+	3	137	186	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	125	181
+	137	186
+	131	177
+	4	125	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	186
+	131	177
+	3	125	181	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	119	173
+	131	177
+	125	168
+	4	119	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	177
+	125	168
+	3	119	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	168
+	113	166
+	119	173
+	4	125	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	166
+	119	173
+	3	125	168	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	131	177
+	119	173
+	125	181
+	4	131	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	173
+	125	181
+	3	131	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	267
+	186	269
+	180	263
+	4	174	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	269
+	180	263
+	3	174	267	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	263
+	168	260
+	174	267
+	4	180	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	260
+	174	267
+	3	180	263	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	210
+	131	206
+	137	215
+	4	143	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	137	215
+	3	143	210	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	131	206
+	143	210
+	137	200
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	210
+	137	200
+	3	131	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	197
+	76	202
+	82	207
+	4	88	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	202
+	82	207
+	3	88	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	202
+	88	197
+	82	192
+	4	76	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	197
+	82	192
+	3	76	202	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	174
+	106	172
+	101	166
+	4	94	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	172
+	101	166
+	3	94	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	166
+	101	166
+	106	172
+	4	113	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	166
+	106	172
+	3	113	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	172
+	119	173
+	113	166
+	4	106	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	173
+	113	166
+	3	106	172	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	248
+	162	252
+	156	244
+	4	150	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	252
+	156	244
+	3	150	248	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	244
+	143	239
+	150	248
+	4	156	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	239
+	150	248
+	3	156	244	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	239
+	156	244
+	150	235
+	4	143	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	244
+	150	235
+	3	143	239	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	188
+	82	192
+	88	197
+	4	94	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	192
+	88	197
+	3	94	188	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	82	192
+	94	188
+	88	182
+	4	82	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	188
+	88	182
+	3	82	192	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	200
+	125	196
+	131	206
+	4	137	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	196
+	131	206
+	3	137	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	125	196
+	137	200
+	131	191
+	4	125	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	200
+	131	191
+	3	125	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	256
+	168	260
+	162	252
+	4	156	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	260
+	162	252
+	3	156	256	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	252
+	150	248
+	156	256
+	4	162	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	248
+	156	256
+	3	162	252	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	235
+	137	230
+	143	239
+	4	150	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	230
+	143	239
+	3	150	235	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	137	230
+	150	235
+	143	225
+	4	137	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	235
+	143	225
+	3	137	230	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	88	182
+	100	180
+	94	174
+	4	88	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	180
+	94	174
+	3	88	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	172
+	94	174
+	100	180
+	4	106	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	174
+	100	180
+	3	106	172	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	100	180
+	88	182
+	94	188
+	4	100	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	182
+	94	188
+	3	100	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	191
+	119	187
+	125	196
+	4	131	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	187
+	125	196
+	3	131	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	187
+	131	191
+	125	181
+	4	119	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	191
+	125	181
+	3	119	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	212
+	76	217
+	81	222
+	4	87	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	217
+	81	222
+	3	87	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	217
+	87	212
+	82	207
+	4	76	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	212
+	82	207
+	3	76	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	179
+	125	181
+	119	173
+	4	112	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	181
+	119	173
+	3	112	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	173
+	106	172
+	112	179
+	4	119	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	172
+	112	179
+	3	119	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	263
+	174	267
+	168	260
+	4	162	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	267
+	168	260
+	3	162	263	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	260
+	156	256
+	162	263
+	4	168	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	256
+	162	263
+	3	168	260	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	269
+	174	267
+	181	273
+	4	186	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	267
+	181	273
+	3	186	269	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	225
+	131	221
+	137	230
+	4	143	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	221
+	137	230
+	3	143	225	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	131	221
+	143	225
+	137	215
+	4	131	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	225
+	137	215
+	3	131	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	181
+	112	179
+	119	187
+	4	125	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	179
+	119	187
+	3	125	181	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	100	180
+	112	179
+	106	172
+	4	100	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	179
+	106	172
+	3	100	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	203
+	82	207
+	87	212
+	4	94	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	207
+	87	212
+	3	94	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	82	207
+	94	203
+	88	197
+	4	82	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	203
+	88	197
+	3	82	207	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	137	215
+	125	211
+	131	221
+	4	137	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	211
+	131	221
+	3	137	215	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	125	211
+	137	215
+	131	206
+	4	125	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	215
+	131	206
+	3	125	211	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	100	194
+	88	197
+	94	203
+	4	100	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	197
+	94	203
+	3	100	194	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	88	197
+	100	194
+	94	188
+	4	88	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	194
+	94	188
+	3	88	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	270
+	181	273
+	174	267
+	4	168	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	273
+	174	267
+	3	168	270	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	267
+	162	263
+	168	270
+	4	174	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	263
+	168	270
+	3	174	267	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	188
+	106	186
+	100	180
+	4	94	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	186
+	100	180
+	3	94	188	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	179
+	100	180
+	106	186
+	4	112	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	180
+	106	186
+	3	112	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	206
+	118	202
+	125	211
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	202
+	125	211
+	3	131	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	202
+	131	206
+	125	196
+	4	118	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	125	196
+	3	118	202	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	186
+	119	187
+	112	179
+	4	106	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	187
+	112	179
+	3	106	186	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	106	186
+	94	188
+	100	194
+	4	106	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	188
+	100	194
+	3	106	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	196
+	112	194
+	118	202
+	4	125	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	194
+	118	202
+	3	125	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	194
+	125	196
+	119	187
+	4	112	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	196
+	119	187
+	3	112	194	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	187
+	106	186
+	112	194
+	4	119	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	186
+	112	194
+	3	119	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	218
+	81	222
+	87	227
+	4	93	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	222
+	87	227
+	3	93	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	222
+	93	218
+	87	212
+	4	81	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	218
+	87	212
+	3	81	222	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	243
+	150	248
+	143	239
+	4	137	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	248
+	143	239
+	3	137	243	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	239
+	131	234
+	137	243
+	4	143	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	234
+	137	243
+	3	143	239	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	131	234
+	143	239
+	137	230
+	4	131	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	239
+	137	230
+	3	131	234	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	100	194
+	112	194
+	106	186
+	4	100	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	194
+	106	186
+	3	100	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	251
+	156	256
+	150	248
+	4	143	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	256
+	150	248
+	3	143	251	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	248
+	137	243
+	143	251
+	4	150	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	243
+	143	251
+	3	150	248	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	230
+	124	226
+	131	234
+	4	137	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	226
+	131	234
+	3	137	230	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	226
+	137	230
+	131	221
+	4	124	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	230
+	131	221
+	3	124	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	209
+	87	212
+	93	218
+	4	100	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	212
+	93	218
+	3	100	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	212
+	100	209
+	94	203
+	4	87	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	209
+	94	203
+	3	87	212	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	203
+	106	201
+	100	194
+	4	94	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	201
+	100	194
+	3	94	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	194
+	100	194
+	106	201
+	4	112	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	194
+	106	201
+	3	112	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	258
+	162	263
+	156	256
+	4	150	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	263
+	156	256
+	3	150	258	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	256
+	143	251
+	150	258
+	4	156	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	251
+	150	258
+	3	156	256	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	201
+	94	203
+	100	209
+	4	106	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	203
+	100	209
+	3	106	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	221
+	118	217
+	124	226
+	4	131	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	217
+	124	226
+	3	131	221	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	217
+	131	221
+	125	211
+	4	118	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	221
+	125	211
+	3	118	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	201
+	118	202
+	112	194
+	4	106	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	202
+	112	194
+	3	106	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	211
+	112	209
+	118	217
+	4	125	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	209
+	118	217
+	3	125	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	209
+	125	211
+	118	202
+	4	112	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	211
+	118	202
+	3	112	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	273
+	168	270
+	175	276
+	4	181	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	270
+	175	276
+	3	181	273	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	202
+	106	201
+	112	209
+	4	118	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	201
+	112	209
+	3	118	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	266
+	168	270
+	162	263
+	4	156	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	270
+	162	263
+	3	156	266	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	263
+	150	258
+	156	266
+	4	162	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	258
+	156	266
+	3	162	263	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	209
+	112	209
+	106	201
+	4	100	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	209
+	106	201
+	3	100	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	218
+	106	216
+	100	209
+	4	93	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	216
+	100	209
+	3	93	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	209
+	100	209
+	106	216
+	4	112	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	209
+	106	216
+	3	112	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	216
+	118	217
+	112	209
+	4	106	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	217
+	112	209
+	3	106	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	227
+	99	224
+	93	218
+	4	87	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	224
+	93	218
+	3	87	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	216
+	93	218
+	99	224
+	4	106	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	218
+	99	224
+	3	106	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	224
+	87	227
+	93	232
+	4	99	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	227
+	93	232
+	3	99	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	224
+	124	226
+	118	217
+	4	112	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	226
+	118	217
+	3	112	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	217
+	106	216
+	112	224
+	4	118	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	216
+	112	224
+	3	118	217	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	231
+	131	234
+	124	226
+	4	118	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	234
+	124	226
+	3	118	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	226
+	112	224
+	118	231
+	4	124	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	224
+	118	231
+	3	124	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	272
+	175	276
+	168	270
+	4	162	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	276
+	168	270
+	3	162	272	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	270
+	156	266
+	162	272
+	4	168	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	266
+	162	272
+	3	168	270	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	239
+	137	243
+	131	234
+	4	124	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	243
+	131	234
+	3	124	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	234
+	118	231
+	124	239
+	4	131	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	231
+	124	239
+	3	131	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	224
+	112	224
+	106	216
+	4	99	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	224
+	106	216
+	3	99	224	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	130	246
+	143	251
+	137	243
+	4	130	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	251
+	137	243
+	3	130	246	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	243
+	124	239
+	130	246
+	4	137	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	239
+	130	246
+	3	137	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	254
+	150	258
+	143	251
+	4	137	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	258
+	143	251
+	3	137	254	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	251
+	130	246
+	137	254
+	4	143	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	246
+	137	254
+	3	143	251	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	232
+	105	230
+	99	224
+	4	93	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	230
+	99	224
+	3	93	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	224
+	99	224
+	105	230
+	4	112	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	224
+	105	230
+	3	112	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	230
+	118	231
+	112	224
+	4	105	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	231
+	112	224
+	3	105	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	230
+	93	232
+	99	237
+	4	105	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	232
+	99	237
+	3	105	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	261
+	156	266
+	150	258
+	4	143	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	266
+	150	258
+	3	143	261	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	258
+	137	254
+	143	261
+	4	150	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	254
+	143	261
+	3	150	258	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	276
+	162	272
+	169	278
+	4	175	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	272
+	169	278
+	3	175	276	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	237
+	124	239
+	118	231
+	4	111	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	239
+	118	231
+	3	111	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	231
+	105	230
+	111	237
+	4	118	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	230
+	111	237
+	3	118	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	237
+	111	237
+	105	230
+	4	99	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	237
+	105	230
+	3	99	237	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	267
+	162	272
+	156	266
+	4	150	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	272
+	156	266
+	3	150	267	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	266
+	143	261
+	150	267
+	4	156	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	261
+	150	267
+	3	156	266	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	243
+	130	246
+	124	239
+	4	118	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	246
+	124	239
+	3	118	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	239
+	111	237
+	118	243
+	4	124	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	237
+	118	243
+	3	124	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	250
+	137	254
+	130	246
+	4	124	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	254
+	130	246
+	3	124	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	246
+	118	243
+	124	250
+	4	130	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	243
+	124	250
+	3	130	246	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	237
+	99	237
+	105	242
+	4	111	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	237
+	105	242
+	3	111	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	242
+	118	243
+	111	237
+	4	105	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	243
+	111	237
+	3	105	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	274
+	169	278
+	162	272
+	4	156	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	278
+	162	272
+	3	156	274	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	272
+	150	267
+	156	274
+	4	162	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	267
+	156	274
+	3	162	272	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	130	256
+	143	261
+	137	254
+	4	130	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	261
+	137	254
+	3	130	256	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	254
+	124	250
+	130	256
+	4	137	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	250
+	130	256
+	3	137	254	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	248
+	124	250
+	118	243
+	4	111	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	250
+	118	243
+	3	111	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	243
+	105	242
+	111	248
+	4	118	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	242
+	111	248
+	3	118	243	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	262
+	150	267
+	143	261
+	4	136	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	267
+	143	261
+	3	136	262	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	261
+	130	256
+	136	262
+	4	143	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	256
+	136	262
+	3	143	261	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	278
+	156	274
+	163	280
+	4	169	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	274
+	163	280
+	3	169	278	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	253
+	130	256
+	124	250
+	4	117	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	256
+	124	250
+	3	117	253	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	250
+	111	248
+	117	253
+	4	124	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	248
+	117	253
+	3	124	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	269
+	156	274
+	150	267
+	4	143	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	274
+	150	267
+	3	143	269	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	267
+	136	262
+	143	269
+	4	150	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	262
+	143	269
+	3	150	267	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	259
+	136	262
+	130	256
+	4	123	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	262
+	130	256
+	3	123	259	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	256
+	117	253
+	123	259
+	4	130	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	253
+	123	259
+	3	130	256	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	275
+	163	280
+	156	274
+	4	150	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	280
+	156	274
+	3	150	275	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	274
+	143	269
+	150	275
+	4	156	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	269
+	150	275
+	3	156	274	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	264
+	143	269
+	136	262
+	4	130	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	269
+	136	262
+	3	130	264	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	262
+	123	259
+	130	264
+	4	136	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	259
+	130	264
+	3	136	262	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	280
+	150	275
+	156	281
+	4	163	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	275
+	156	281
+	3	163	280	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	270
+	150	275
+	143	269
+	4	136	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	275
+	143	269
+	3	136	270	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	269
+	130	264
+	136	270
+	4	143	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	264
+	136	270
+	3	143	269	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	276
+	156	281
+	150	275
+	4	143	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	281
+	150	275
+	3	143	276	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	275
+	136	270
+	143	276
+	4	150	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	270
+	143	276
+	3	150	275	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	281
+	143	276
+	150	282
+	4	156	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	276
+	150	282
+	3	156	281	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dbuilda.ps b/books/ps/3dbuilda.ps
new file mode 100644
index 0000000..cd42f38
--- /dev/null
+++ b/books/ps/3dbuilda.ps
@@ -0,0 +1,444 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	8	262	257	94	psDrawLine
+	globGC	(X)	3	267	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	283	262	33	94	psDrawLine
+	globGC	(Y)	288	267	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	145	18	145	283	psDrawLine
+	globGC	(Z)	150	13	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	162	163	162	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	167	162	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	125	167	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	121	168	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	115	162	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	126	163	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	132	180	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	129	180	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	171	174	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	174	173	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	180	178	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	169	178	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	140	101	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	130	99	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	119	104	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	121	122	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	128	128	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	131	128	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	128	123	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	127	122	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	134	119	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	139	108	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	175	105	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	182	106	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	176	106	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	169	109	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	164	121	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	149	123	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	153	123	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	147	117	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	140	117	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	163	129	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	173	129	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	184	124	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	182	107	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	175	101	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	130	184	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	145	186	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	155	211	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	174	217	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	175	215	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	180	212	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	198	215	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	199	213	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	188	207	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	182	190	188	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	188	190	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	184	190	188	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	191	205	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	179	208	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	174	209	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	164	206	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	158	191	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	168	191	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	167	206	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	155	209	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	149	210	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	140	207	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	188	192	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	182	190	188	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	192	190	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	157	66	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	153	60	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	192	67	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	196	95	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	184	89	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	190	80	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	184	70	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	180	70	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	169	76	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	207	68	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	211	72	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	157	225	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	161	230	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	206	237	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	177	246	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	270	182	263	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	236	270	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	232	263	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	199	256	232	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	217	260	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	213	248	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	183	241	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	215	234	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	211	231	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	20	182	28	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	177	20	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	205	28	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	47	165	52	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	161	47	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	215	54	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	220	59	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	29	193	53	220	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	232	29	193	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	236	34	232	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dbuildb.ps b/books/ps/3dbuildb.ps
new file mode 100644
index 0000000..8ab0c30
--- /dev/null
+++ b/books/ps/3dbuildb.ps
@@ -0,0 +1,444 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	69	199	213	97	psDrawLine
+	globGC	(X)	64	204	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	230	199	86	97	psDrawLine
+	globGC	(Y)	235	204	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	57	149	203	psDrawLine
+	globGC	(Z)	154	52	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.750000	setForeground
+	renderGC
+	149	123
+	43	195
+	256	195
+	4	149	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	123
+	43	195
+	256	195
+	4	149	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	123
+	8	71
+	43	195
+	4	149	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	123
+	8	71
+	43	195
+	4	149	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	4
+	8	71
+	149	123
+	4	149	4	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	4
+	8	71
+	149	123
+	4	149	4	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	195
+	149	4
+	149	123
+	4	256	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	195
+	149	4
+	149	123
+	4	256	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	195
+	43	195
+	149	298
+	4	256	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	195
+	43	195
+	149	298
+	4	256	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	291	71
+	149	4
+	256	195
+	4	291	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	71
+	149	4
+	256	195
+	4	291	71	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	298
+	291	71
+	256	195
+	4	149	298	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	298
+	291	71
+	256	195
+	4	149	298	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	43	195
+	149	180
+	149	298
+	4	43	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	195
+	149	180
+	149	298
+	4	43	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	8	71
+	149	180
+	43	195
+	4	8	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	8	71
+	149	180
+	43	195
+	4	8	71	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	4
+	149	180
+	8	71
+	4	149	4	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	4
+	149	180
+	8	71
+	4	149	4	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	291	71
+	149	180
+	149	4
+	4	291	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	71
+	149	180
+	149	4
+	4	291	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	180
+	291	71
+	149	298
+	4	149	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	180
+	291	71
+	149	298
+	4	149	180	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dctrl.ps b/books/ps/3dctrl.ps
new file mode 100644
index 0000000..96d543d
--- /dev/null
+++ b/books/ps/3dctrl.ps
@@ -0,0 +1,770 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 83.579775 104.120003 528.420225 718.120003
+%%Creator: xwd2ps
+%%CreationDate: Sun Dec  1 17:24:32 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  322, height = 445, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 324, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 445
+%   starting column = 1
+%   ending column = 322
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  322 445 8
+  [322 0 0 -445 0 445]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+matrix currentmatrix
+2.53 inch 3.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+dbdb70
+2f4f4f
+d4d8e8
+757780
+46474d
+b4b8c5
+236b8e
+0000ff
+238e6b
+2f2f4f
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001020000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001020000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010100000100001e010000fc0100001f0101000000
+1f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e0101000001
+00001e010000fc0100001f01010000000701ff002f000601010000010000060100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000007010100000007010100
+15010100e3010100150101001501010006010100000100000601000016010000e401000016010000160100000701010000000701010015010100e301010015010100150101000601
+0100000100000601000016010000e4010000160100000401000000010000000100000001000000010000000100000001000000010000020100000701010000000701010015010100
+e301010015010100020100000d01000002010100060101000001000006010000160100002e0102000001000015010000170103000c0106001d0103000d010400020105002b010000
+16010000120100000201000007010100000007010100150101002c0101000001020015010000190101000d010100010102001e0101000c0101000101020002010100010101002a01
+010015010100020100000d01000002010100060101000001000006010000160100002c0101000201010014010100190101000d010100020101001e0101000c010000030101000201
+0100020101002901000016010000120100000201000007010100000007010100150101002b0101000301000014010100190101000d010100020101001e0101001101010002010100
+020101002901010015010100020100000d01000002010100060101000001000006010000040100000001000000010000000100000001000000010000000100000001000002010000
+2c0101000301000002010300020101000001020002010600010101000001030003010300050101000d01010002010100010104000201010000010200040103000501010010010100
+0301010002010100290100000a0100000001000008010000120100000201000007010100000007010100020100000d010000020101002b0101000601010001010100020101000101
+01000301010005010200010101000101010001010100040101000d01010001010200000101000201010002010100010101000201010001010100040101000e010200040101000201
+010029010100080100000101000008010100020100000d0100000201010006010100000100000601000012010000020100002c010100050101000301010001010100010101000301
+010005010100020101000001010003010100030101000d01050001010100020101000201010001010100010101000201010004010100100101000301010002010100290100000c01
+00000801000012010000020100000701010000000701010002010f00020101002b010100050101000301010001010100010101000301010005010100050101000301010003010100
+0d0101000801030002010100010101000101060004010100110101000201010002010100290101000801030008010100020100000d01000002010100060101000001000006010000
+160100002c010100030100000001010003010100010101000101010003010100050101000501010003010100030101000d0101000601010001010100020101000101010001010100
+090101001101010002010100020101002901000016010000120100000201000007010100000007010100150101002b01010003010000000101000301010001010100010101000301
+0100050101000501010003010100030101000d0101000501010002010100020101000101010001010100090101001101010002010100020101002901010015010100020100000d01
+000002010100060101000001000006010000160100002d01010001010100010101000101010002010100010101000301010001010000020101000601010001010100040101000d01
+0100050101000101020002010100010101000201010002010000040101000c0100000301010002010100010101002a01000016010000120100000201000007010100000007010100
+150101002d010300030103000201020000010300030102000201040005010300030105000a0103000501020001010100000102000001030002010300030105000a01010001010100
+020105002b01010015010100020100000d0100000201010006010100000100000601000016010000aa01030035010000160100001201000002010000070101000000070101001501
+0100e30101001501010002010f000201010006010100000100000601000016010000e401000016010000160100000701010000000701010015010100e30101001501010015010100
+060101000001000006010000000116000001e400000116000001160007010100ff0041000001000000010000000100000001000000010100ff012b01000000010000000100000001
+00000001000000010000000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601010074010225
+0f01002520010425020105257301000007010100000007010100750101250e0102251e01012501010225020101250101012573010000060101000001000006010100750101250f01
+00251f010025030101250201012502010125710100000701010000000701010074010325340101250201012502010125720100000601010000010000060101007401002500010125
+020102250101022501010325050103250201002500010125000101250e01012503010125020101257101000007010100000007010100740100250001012503010125010101250401
+012504010125010101250101012500010125000101250b01022504010125020101257201000006010100000100000601010074010025010101250301012500010025050101250301
+0125030101250001012500010125000101250d0101250301012502010125710100000701010000000701010073010525040101250601012503010125030101250001012500010125
+000101250e0101250201012502010125720100000601010000010000060101007301002502010125040101250601012503010125030101250001012500010125000101250e010125
+02010125020101257101000007010100000007010100730100250301012502010025000101250501012503010125030101250001012500010125000101250e010125020101250201
+012572010000060101000001000006010100720101250301012501010125010101250401012504010125010101250101012500010125000101250901002503010125020101250101
+0125720100000701010000000701010072010225010102250001022501010225010105250301032502010125000101250001012509010125010101250201052574010000060101000001
+000006010100a90103257d01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c0100000601010000010000
+06010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100
+ff012b0100000701010000000701ff002d000001000006010100000100000601ff002e0007010100000007010100ff012c010000060101000001000006010100ff012b0100000701
+0100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+07010100ff012c010000060101000001000006010100ff012b010000070101000000070101002401052f5601022f0001002f1401022f2b01072f2601022f2f010000060101000001
+0000060101002501012f0101012f0d01002f1001002f3301012f0101012f1501012f2b01012f0001012f0001012f2701012f1001002f1c010000070101000000070101002501012f
+0101012f0d01002f1001002f3201012f0301002f1501012f2b01002f0101012f0101002f2701012f1001002f1d0100000601010000010000060101002501012f0101012f0c01012f
+0f01012f3201012f1901012f2f01012f2901012f1001012f1c010000070101000000070101002401012f0101012f0401022f0301052f0301032f0301052f0301032f2801022f0601
+032f0401032f0401012f0601032f2301012f0401012f0101022f0301032f0201012f0101012f0401032f0401012f0601032f0301052f0301032f1301000006010100000100000601
+01002401012f0101012f0201012f0101012f0301012f0501012f0101012f0301012f0401022f0101012f2801022f0301022f0101012f0201012f0101012f0301012f0401022f0101
+012f2201012f0301002f0001022f0101012f0101012f0101012f0001002f0001002f0001032f0101022f0101012f0301012f0501012f0101012f0301012f0401022f0101012f1101
+0000070101000000070101002401042f0301012f0101012f0301012f0901012f0301012f0401012f0201012f2901022f0201012f0201002f0701012f0201022f0401012f0201012f
+2201012f0501022f0101012f0501012f0201022f0001012f0101012f0201002f0301022f0901012f0301012f0401012f0201012f120100000601010000010000060101002401032f
+0301012f0201012f0301012f0601032f0401012f0301012f0201012f2b01022f0001012f0901032f0301012f0401012f0201012f2301012f0501012f0701032f0301012f0101012f
+0201012f0601012f0701032f0401012f0301012f0201012f12010000070101000000070101002301012f0001012f0301012f0201012f0201012f0501012f0101012f0301012f0401
+042f2e01012f0001012f0701012f0101012f0301012f0401042f2401012f0601012f0501012f0101012f0201012f0201002f0401022f0401012f0501012f0101012f0301012f0401
+042f150100000601010000010000060101002301012f0101012f0201012f0101012f0301012f0401012f0201012f0301012f0401012f2c01002f0301012f0001012f0601012f0201
+012f0201012f0501012f2701012f0501012f0501012f0201012f0201012f0101012f0201002f0201012f0201012f0501012f0201012f0301012f0401012f17010000070101000000
+070101002301012f0101012f0201012f0101012f0301012f0101002f0101012f0101022f0001002f0101012f0101002f0201012f0201002f2701012f0101012f0201012f0201002f
+0101012f0101022f0001002f0001012f0101002f0301012f0201002f2201012f0501012f0501012f0101022f0001002f0001012f0101012f0001022f0101022f0201012f0101002f
+0201012f0101022f0001002f0101012f0101002f0201012f0201002f130100000601010000010000060101002201032f0101012f0201022f0601022f0301022f0101012f0301022f
+0401032f2801002f0001022f0401032f0301022f0101012f0201022f0501032f2201032f0401012f0601022f0101012f0001012f0301012f0101032f0501022f0401022f0101012f
+0301022f0401032f1301000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601
+0100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff01
+2b010000070101000000070101000401355a0201355a0401115a0101115a0101115a0501225a0201225a0201225a040100000601010000010000060101000401005a3301005a0201
+005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a03010000070101000000070101000401005a
+3301005a0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a040100000601010000010000
+060101000401005a3301005a0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a03010000
+070101000000070101000401005a3301005a0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001
+005a040100000601010000010000060101000401005a3301005a0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001
+005a0201005a2001005a03010000070101000000070101000401005a3301005a0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a
+0201005a2001005a0201005a2001005a040100000601010000010000060101000401005a3301005a0201005a080101162801005a0401005a0f01005a0101005a0f01005a0101005a
+0f01005a0501005a2001005a0201005a2001005a0201005a2001005a03010000070101000000070101000401005a1201014c0d01014c0e01005a0201005a08010116090101161301
+01160601005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a040100000601010000010000060101000401
+005a0201034c0201014c0001024c0201014c0401024c0001014c0201014c0301014c0001024c0401005a0201005a0201031601010116090101160201041603010316030101160601
+005a0401005a0201014c0201014c0501005a0101005a0f01005a0101005a0301054c0501005a0501005a07010124020101241101005a0201005a0701012402010124010105240901
+005a0201005a100105240901005a03010000070101000000070101000401005a0101054c0101054c0801064c0801064c0301005a0201005a01010516000105160901061601010516
+010105160301005a0401005a0201014c0201014c0501005a0101005a0201014c0201014c0501005a0101005a0301054c0501005a0501005a07010124020101240001012402010124
+0901005a0201005a0701012402010124010105240901005a0201005a0701012402010124010105240901005a040100000601010000010000060101000401005a0101014c0101014c
+0101024c0501014c0301014c0201014c0201014c0301014c0201014c0301005a0201005a010101160101011600010616040101160101011602010116000101160201011601010516
+0301005a0401005a0301014c0001014c0601005a0101005a0201014c0201014c0501005a0101005a0701014c0501005a0501005a080101240001012401010124020101240901005a
+0201005a0801012400010124060101240901005a0201005a0701012402010124050101240901005a03010000070101000000070101000401005a0101014c0101014c0101014c0601
+014c0301014c0201014c0201014c0301014c0201014c0301005a0201005a01010116010101160001011602010116040101160101061600010116070101160601005a0401005a0401
+024c0701005a0101005a0201014c0201014c0501005a0101005a0601014c0601005a0501005a0901022402010124020101240901005a0201005a09010224060101240a01005a0201
+005a0701012402010124040101240a01005a040100000601010000010000060101000401005a0101014c0101014c0101014c0601014c0301014c0201014c0201014c0301014c0201
+014c0301005a0201005a01010116010101160001011602010116040101160101051601010116070101160601005a0401005a0401024c0701005a0101005a0201014c0201014c0501
+005a0101005a0501014c0701005a0501005a0901022402010124020101240901005a0201005a09010224050101240b01005a0201005a0701012402010124030101240b01005a0301
+0000070101000000070101000401005a0101014c0101014c0101014c0601014c0301064c0201014c0301014c0201014c0301005a0201005a01010116010101160001011602010116
+04010116010101160501011602010116020101160601005a0401005a0301014c0001014c0601005a0101005a0201064c0501005a0101005a0401014c0801005a0501005a08010124
+00010124010106240901005a0201005a0801012400010124030101240c01005a0201005a07010624020101240c01005a040100000601010000010000060101000401005a0101054c
+0101014c0601014c0401054c0201014c0301014c0201014c0301005a0201005a0101051600010616040101160101061601010516020102160501005a0401005a0201014c0201014c
+0501005a0101005a0301054c0501005a0101005a0301054c0501005a0501005a0701012402010124010105240901005a0201005a0701012402010124010105240901005a0201005a
+08010524010105240901005a03010000070101000000070101000401005a0201034c0201014c0501034c0701014c0101034c0201014c0201014c0301005a0201005a020103160101
+0516050101160201041603010316030102160501005a0401005a0201014c0201014c0501005a0101005a0701014c0501005a0101005a0301054c0501005a0501005a070101240201
+0124050101240901005a0201005a0701012402010124010105240901005a0201005a0c010124010105240901005a040100000601010000010000060101000401005a1801064c1301
+005a0201005a110104161c01005a0401005a0f01005a0101005a0201064c0501005a0101005a0f01005a0501005a0f0106240901005a0201005a2001005a0201005a070106241101
+005a03010000070101000000070101000401005a1801054c1401005a0201005a120102161d01005a0401005a0f01005a0101005a0201054c0601005a0101005a0f01005a0501005a
+0f0105240a01005a0201005a2001005a0201005a070105241201005a040100000601010000010000060101000401005a3301005a0201005a3301005a0401005a0f01005a0101005a
+0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a03010000070101000000070101000401005a3301005a0201005a3301005a0401005a0f01
+005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a040100000601010000010000060101000401005a3301005a0201005a3301
+005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a03010000070101000000070101000401005a3301005a
+0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a04010000060101000001000006010100
+0401005a3301005a0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a03010000070101000000
+070101000401005a3301005a0201005a3301005a0401005a0f01005a0101005a0f01005a0101005a0f01005a0501005a2001005a0201005a2001005a0201005a2001005a04010000
+0601010000010000060101000401355a0201355a0401115a0101115a0101115a0501225a0201225a0201225a0301000007010100000007010100ff012c0100000601010000010000
+06010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b0100000701010000000701010004016e5a04013a5a04016e5a040100000601
+010000010000060101000401005a3501005a3501005a0401005a1b01005a1b01005a0401005a3501005a3501005a03010000070101000000070101000401005a33010165005a0265
+3201005a0401005a1b01005a1b01005a0401005a3501005a3501005a040100000601010000010000060101000401005a2d0105650101005a020105652c01005a0401005a1b01005a
+1b01005a0401005a3401001b005a001b3401005a03010000070101000000070101000401005a290103650701005a080103652801005a0401005a1b01005a1b01005a0401005a3401
+001b005a001b3401005a040100000601010000010000060101000401005a270101650b01005a0c0101652601005a0401005a1b01005a1b01005a0401005a3301001b0001005a0001
+001b3301005a03010000070101000000070101000401005a250101650d01005a0e0101652401005a0401005a1b01005a1b01005a0401005a3301001b0001005a0101001b3201005a
+040100000601010000010000060101000401005a230101650f01005a100101652201005a0401005a1b01005a1b01005a0401005a3201001b0101005a0101001b3201005a03010000
+070101000000070101000401005a210101651101005a120101652001005a0401005a1b01005a1b01005a0401005a3101001b0201005a0201001b3101005a04010000060101000001
+0000060101000401005a1f0101651301005a140100651f01005a0401005a1b01005a1b01005a0401005a3101001b0201005a0201001b3101005a0301000007010100000007010100
+0401005a1e0100651501005a150100651e01005a0401005a1b01005a1b01005a0401005a3001021b0101005a0101021b3001005a040100000601010000010000060101000401005a
+1d0100651601005a160100651d01005a0401005a1b01005a1b01005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a1c0100651701
+005a170100651c01005a0401005a1b01005a1b01005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a1b0100651801005a1801
+00651b01005a0401005a1b01005a1b01005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a1a0100651901005a190100651a01005a
+0401005a1b01005a1b01005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a190100651a01005a1a0100651901005a0401005a
+1a010075005a00751a01005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a180100651b01005a1b0100651801005a0401005a1901
+00750001005a000100751901005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a170100651c01005a1c0100651701005a0401
+005a180100750101005a010100751801005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a160100651d01005a1d0100651601005a
+0401005a170100750201005a020100751701005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a150100651e01005a1d010065
+1601005a0401005a160100750301005a030100751601005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a150100651e01005a1e01
+00651501005a0401005a150100750401005a040100751501005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a140100651f01
+005a1e0100651501005a0401005a140100750501005a050100751401005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a14010065
+1f01005a1f0100651401005a0401005a130100750601005a060100751301005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a
+130100652001005a1f0100651401005a0401005a120105750201005a020105751201005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401
+005a130100652001005a200100651301005a0401005a170100750201005a020100751701005a0401005a3201001b0101005a0101001b3201005a0401000006010100000100000601
+01000401005a120100652101005a200100651301005a0401005a160100750301005a030100751601005a0401005a3201001b0101005a0101001b3201005a03010000070101000000
+070101000401005a120100652101005a210100651201005a0401005a160100750301005a030100751601005a0401005a3201001b0101005a0101001b3201005a04010000060101000001
+0000060101000401005a110100652201005a210100651201005a0401005a160100750301005a030100751601005a0401005a3201001b0101005a0101001b3201005a030100000701
+01000000070101000401005a110100652201005a220100651101005a0401005a150100750401005a040100751501005a0401005a3201001b0101005a0101001b3201005a04010000
+0601010000010000060101000401005a110100652201005a220100651101005a0401005a150100750401005a040100751501005a0401005a3201001b0101005a0101001b3201005a
+03010000070101000000070101000401005a110100652201005a220100651101005a0401005a150100750401005a040100751501005a0401005a3201001b0101005a0101001b3201
+005a040100000601010000010000060101000401005a100100652301005a220100651101005a0401005a140100750501005a050100751401005a0401005a3201001b0101005a0101
+001b3201005a03010000070101000000070101000401005a100100652301005a230100651001005a0401005a140100750501005a050100751401005a0401005a3201001b0101005a
+0101001b3201005a040100000601010000010000060101000401005a100100652301005a230100651001005a0401005a140100750501005a050100751401005a0401005a3201001b
+0101005a0101001b3201005a03010000070101000000070101000401005a100100652301005a230100651001005a0401005a140100750501005a060100751301005a0401005a3201
+001b0101005a0101001b3201005a040100000601010000010000060101000401005a100100652301005a230100651001005a0401005a130100750601005a060100751301005a0401
+005a1701001b1901001b0101005a0101001b1901001b1701005a03010000070101000000070101000401005a100100652301005a230100651001005a0401005a130100750601005a
+060100751301005a0401005a1501021b1901001b0101005a0101001b1901021b1501005a040100000601010000010000060101000401005a0f0100652401005a230100651001005a
+0401005a130100750601005a060100751301005a0401005a1301011b01011b1b0101005a01011b1b0101001b1401005a03010000070101000000070101000401005a0f0100652401
+005a240100650f01005a0401005a120100750701005a070100751201005a0401005a1201001b2101005a2001011b1201005a040100000601010000010000060101000401005a0f01
+00652401005a240100650f01005a0401005a120100750701005a070100751201005a0401005a1001011b2201005a2201011b1001005a030100000701010000000701010004016e5a
+04013a5a04016e5a040100000601010000010000060101000401005a0f0100652401005a240100650f01005a0401005a110100750801005a080100751101005a0401005a1001011b
+2201005a2201011b1001005a03010000070101000000070101000401005a0f0100652401005a240100650f01005a0401005a110100750801005a080100751101005a0401005a1201
+011b2001005a2101001b1201005a040100000601010000010000060101000401005a100100652301005a240100650f01005a0401005a110100750801005a080100751101005a0401
+005a1401001b01011b1b0101005a01011b1b0101011b1301005a03010000070101000000070101000401005a100100652301005a230100651001005a0401005a100100750901005a
+090100751001005a0401005a1501021b1901001b0101005a0101001b1901021b1501005a040100000601010000010000060101000401005a100100652301005a230100651001005a
+0401005a03010d750901005a09010d750301005a0401005a1701001b1901001b0101005a0101001b1901001b1701005a03010000070101000000070101000401005a100100652301
+005a230100651001005a0401005a040100751501005a150100750401005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a1001
+00652301005a230100651001005a0401005a050100751401005a140100750501005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a
+100100652301005a230100651001005a0401005a060100751301005a130100750601005a0401005a3201001b0101005a0101001b3201005a04010000060101000001000006010100
+0401005a110100652201005a230100651001005a0401005a070100751201005a120100750701005a0401005a3201001b0101005a0101001b3201005a030100000701010000000701
+01000401005a110100652201005a220100651101005a0401005a080100751101005a110100750801005a0401005a3201001b0101005a0101001b3201005a04010000060101000001
+0000060101000401005a110100652201005a220100651101005a0401005a090100751001005a100100750901005a0401005a3201001b0101005a0101001b3201005a030100000701
+01000000070101000401005a110100652201005a220100651101005a0401005a0a0100750f01005a0f0100750a01005a0401005a3201001b0101005a0101001b3201005a04010000
+0601010000010000060101000401005a120100652101005a220100651101005a0401005a0b0100750e01005a0e0100750b01005a0401005a3201001b0101005a0101001b3201005a
+03010000070101000000070101000401005a120100652101005a210100651201005a0401005a0c0100750d01005a0d0100750c01005a0401005a3201001b0101005a0101001b3201
+005a040100000601010000010000060101000401005a130100652001005a210100651201005a0401005a0d0100750c01005a0c0100750d01005a0401005a3201001b0101005a0101
+001b3201005a03010000070101000000070101000401005a130100652001005a200100651301005a0401005a0e0100750b01005a0b0100750e01005a0401005a3201001b0101005a
+0101001b3201005a040100000601010000010000060101000401005a140100651f01005a200100651301005a0401005a0f0100750a01005a0a0100750f01005a0401005a3201001b
+0101005a0101001b3201005a03010000070101000000070101000401005a140100651f01005a1f0100651401005a0401005a100100750901005a090100751001005a0401005a3201
+001b0101005a0101001b3201005a040100000601010000010000060101000401005a150100651e01005a1f0100651401005a0401005a110100750801005a080100751101005a0401
+005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a150100651e01005a1e0100651501005a0401005a120100750701005a070100751201005a
+0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a160100651d01005a1e0100651501005a0401005a130100750601005a06010075
+1301005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a160100651d01005a1d0100651601005a0401005a140100750501005a0501
+00751401005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a170100651c01005a1c0100651701005a0401005a150100750401
+005a040100751501005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a180100651b01005a1b0100651801005a0401005a16010075
+0301005a030100751601005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a190100651a01005a1a0100651901005a0401005a
+170100750201005a020100751701005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a1a0100651901005a190100651a01005a0401
+005a180100750101005a010100751801005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a1b0100651801005a180100651b01
+005a0401005a190100750001005a000100751901005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a1c0100651701005a17010065
+1c01005a0401005a1a010075005a00751a01005a0401005a3201001b0101005a0101001b3201005a040100000601010000010000060101000401005a1d0100651601005a16010065
+1d01005a0401005a1b01005a1b01005a0401005a3201001b0101005a0101001b3201005a03010000070101000000070101000401005a1e0100651501005a150100651e01005a0401
+005a1b01005a1b01005a0401005a3001021b0101005a0101021b3001005a040100000601010000010000060101000401005a1f0100651401005a130101651f01005a0401005a1b01
+005a1b01005a0401005a3101001b0201005a0201001b3101005a03010000070101000000070101000401005a200101651201005a110101652101005a0401005a1b01005a1b01005a
+0401005a3101001b0201005a0201001b3101005a040100000601010000010000060101000401005a220101651001005a0f0101652301005a0401005a1b01005a1b01005a0401005a
+3201001b0101005a0101001b3201005a03010000070101000000070101000401005a240101650e01005a0d0101652501005a0401005a1b01005a1b01005a0401005a3201001b0101
+005a0001001b3301005a040100000601010000010000060101000401005a260101650c01005a0b0101652701005a0401005a1b01005a1b01005a0401005a3301001b0001005a0001
+001b3301005a03010000070101000000070101000401005a280103650801005a070103652901005a0401005a1b01005a1b01005a0401005a3401001b005a001b3401005a04010000
+0601010000010000060101000401005a2c0105650201005a010105652d01005a0401005a1b01005a1b01005a0401005a3401001b005a001b3401005a030100000701010000000701
+01000401005a32010265005a01653301005a0401005a1b01005a1b01005a0401005a3501005a3501005a040100000601010000010000060101000401005a3501005a3501005a0401
+005a1b01005a1b01005a0401005a3501005a3501005a030100000701010000000701010004016e5a04013a5a04016e5a04010000060101000001000006010100ff012b0100000701
+0100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+0701ff002d000001000006010100000100000601ff002e0007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01
+0000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c0100000601
+01000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001
+000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601
+0100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff01
+2b01000007010100000007010100740102390f010039200104390201053974010000060101000001000006010100750101390e0102391e0101390101023902010139010101397201
+000007010100000007010100750101390f0100391f010039030101390201013902010139720100000601010000010000060101007401033934010139020101390201013971010000
+070101000000070101007401003900010139020102390101023901010339050103390201003900010139000101390e01013903010139020101397201000006010100000100000601
+0100740100390001013903010139010101390401013904010139010101390101013900010139000101390b0102390401013902010139710100000701010000000701010074010039
+0101013903010139000100390501013903010139030101390001013900010139000101390d0101390301013902010139720100000601010000010000060101007301053904010139
+0601013903010139030101390001013900010139000101390e0101390201013902010139710100000701010000000701010073010039020101390401013906010139030101390301
+01390001013900010139000101390e010139020101390201013972010000060101000001000006010100730100390301013902010039000101390501013903010139030101390001
+013900010139000101390e01013902010139020101397101000007010100000007010100720101390301013901010139010101390401013904010139010101390101013900010139
+000101390901003903010139020101390101013973010000060101000001000006010100720102390101023900010239010102390101053903010339020101390001013900010139
+0901013901010139020105397301000007010100000007010100a90103397e010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001
+000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601
+0100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff01
+2b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000
+07010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+07010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100
+ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601ff002e000701010000000701ff002d00000100000601
+01000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001
+000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100fc0100122d01000007010100000007010100fc0100122e010000060101000001
+000006010100fc0100122d01000007010100000007010100fc0100122e010000060101000001000006010100fc0100122d01000007010100000007010100fc0100122e0100000601
+01000001000006010100fc0100121b0101160f01000007010100000007010100fc0100121b0101161001000006010100000100000601010008010516ed010012190105160d010000
+0701010000000701010008010516ed010012190105160e010000060101000001000006010100fc0100121b0101160f01000007010100000007010100fc0100121b01011610010000
+060101000001000006010100fc0100122d01000007010100000007010100fc0100122e010000060101000001000006010100fc0100122d01000007010100000007010100fc010012
+2e010000060101000001000006010100280107110716071b07200725072a072f07340739073e07430748074d07520757075c07610766076b07700775077a077f078406890d0f0293
+2a01000007010100000007010100280107110716071b07200725072a072f07340739073e07430748074d07520757075c07610766076b07700775047a190f0089078e07932b010000
+060101000001000006010100280107110716071b07200725072a072f07340739073e07430748074d07520757075c07610766026b190f027a077f07840789078e07932a0100000701
+0100000007010100280107110716071b07200725072a072f07340739073e07430748074d07520757005c190f046b07700775077a077f07840789078e07932b010000060101000001
+000006010100280107110716071b07200725072a072f07340739073e07430648190f065c07610766076b07700775077a077f07840789078e07932a01000007010100000007010100
+280107110716071b07200725072a072f07340439190f0048074d07520757075c07610766076b07700775077a077f07840789078e07932b0100000601010000010000060101002801
+07110716071b07200725022a190f0239073e07430748074d07520757075c07610766076b07700775077a077f07840789078e07932a01000007010100000007010100280107110716
+001b190f042a072f07340739073e07430748074d07520757075c07610766076b07700775077a077f07840789078e07932b0100000601010000010000060101002c010c0ff1010000
+070101000000070101002c010012fe0100000601010000010000060101002c010012fd010000070101000000070101002c010012fe0100000601010000010000060101002c010012
+fd010000070101000000070101002c010012fe0100000601010000010000060101002c010012fd010000070101000000070101002c010012fe010000060101000001000006010100
+2c010012fd010000070101000000070101002c010012fe0100000601010000010000060101002c010012fd010000070101000000070101002c010012fe0100000601010000010000
+060101002c010012fd010000070101000000070101002c010012fe0100000601010000010000060101002c010012fd010000070101000000070101002c010012eb01011610010000
+0601010000010000060101002c010012eb0101160f0100000701010000000701010008010516ff01080105160e01000006010100000100000601010008010516ff01080105160d01
+000007010100000007010100ff011901011610010000060101000001000006010100ff01190101160f01000007010100000007010100ff012c010000060101000001000006010100
+ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01
+00000701010000000701ff002d000001000006010100000100000601ff002e0007010100000007010100ea01000040010000060101000001000006010100ea0100003f0100000701
+0100000007010100ea01000040010000060101000001000006010100ea0100003f0100000701010000000701010004012d5a0301355a0301355a03013b5a030100000301355a0601
+00000601010000010000060101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a0501000007010100000007010100
+0401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a060100000601010000010000060101000401005a2b01005a0301005a
+3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a05010000070101000000070101000401005a2b01005a0301005a3301005a0301005a3301005a0301
+005a3901005a030100000301005a3301005a060100000601010000010000060101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301
+005a3301005a05010000070101000000070101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a06010000060101000001
+0000060101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a05010000070101000000070101000401005a2b01005a
+0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a060100000601010000010000060101000401005a2b01005a0301005a3301005a0301005a
+3301005a0301005a3901005a030100000301005a3301005a05010000070101000000070101000401005a0401012a0201012a1f01005a0301005a0501042a1e01012a0701005a0301
+005a0501042a0201012a1101012a0f01005a0301005a0401042a2201012a0a01005a030100000301005a0501046b2801005a060100000601010000010000060101000401005a0401
+012a0201012a0201012a1a01005a0301005a0401052a0b01012a0501012a0801012a0701005a0301005a0401052a0201012a1101012a0f01005a0301005a0301052a1b01012a0401
+012a0a01005a030100000301005a0501056b1a01016b0a01005a05010000070101000000070101000401005a0401012a0201012a0201012a0401012a0001022a0101042a0801005a
+0301005a0401012a0701032a0301012a0501012a0801012a0701005a0301005a0401012a0601012a0501042a0601012a0101042a0801005a0301005a0301012a0601012a0001012a
+0301032a0301032a0301012a0401012a0a01005a030100000301005a0501016b0101016b0101046b0301036b0201046b0301016b0a01005a06010000060101000001000006010100
+0401005a0401012a0201012a0901052a0001062a0701005a0301005a0401012a0601052a0201012a0c01022a0001012a0701005a0301005a0401012a0601012a0501052a0101022a
+0001012a0001062a0701005a0301005a0301012a0501022a0001022a0101052a0101052a0101052a0101012a0a01005a030100000301005a0501016b0101016b0001066b0101046b
+0101066b0101056b0701005a05010000070101000000070101000401005a0401012a0201012a0201012a0401022a0301012a0201012a0701005a0301005a0401052a0201012a0101
+012a0201012a0501012a0301062a0701005a0301005a0401052a0201042a0601012a0001062a0001012a0201012a0701005a0301005a0301052a0101062a0101012a0101012a0101
+012a0101012a0101052a0101042a0701005a030100000301005a0501016b0101016b0001016b0201016b0101016b0401016b0201016b0101056b0701005a06010000060101000001
+0000060101000401005a0401012a0001002a0001012a0201012a0401012a0401062a0701005a0301005a0501052a0101012a0101012a0201012a0501012a0301012a0201012a0701
+005a0301005a0501052a0101052a0101052a0001012a0201012a0001062a0701005a0301005a0401052a0001012a0001002a0001012a0101012a0101012a0101012a0101012a0201
+012a0401052a0601005a030100000301005a0501046b0101066b0101036b0201066b0201016b0a01005a05010000070101000000070101000401005a0401012a0001002a0001012a
+0201012a0401012a0401052a0801005a0301005a0901012a0101012a0101012a0201012a0501012a0301012a0201012a0701005a0301005a0901012a0101012a0101012a0001062a
+0001012a0201012a0001052a0801005a0301005a0801012a0001012a0001002a0001012a0101012a0101012a0101012a0101012a0201012a0401012a0101012a0601005a03010000
+0301005a0501036b0201056b0301036b0101056b0301016b0a01005a060100000601010000010000060101000401005a0401062a0201012a0401012a0401012a0c01005a0301005a
+0901012a0101012a0101012a0201012a0501012a0301012a0201012a0701005a0301005a0901012a0101012a0101012a0001012a0201012a0001012a0201012a0001012a0c01005a
+0301005a0801012a0001012a0201012a0101012a0101012a0101012a0101012a0201012a0401012a0101012a0601005a030100000301005a0501016b0001016b0101016b0a01016b
+0001016b0701016b0a01005a05010000070101000000070101000401005a0401062a0201012a0401012a0401062a0701005a0301005a0401062a0101052a0201012a0501012a0301
+062a0701005a0301005a0401062a0101012a0101012a0001062a0001062a0001062a0701005a0301005a0301062a0001012a0201012a0101052a0101052a0201022a0301012a0101
+012a0601005a030100000301005a0501016b0101016b0001066b0101056b0001066b0201026b0901005a060100000601010000010000060101000401005a0501012a0001012a0201
+032a0301012a0501042a0801005a0301005a0401052a0301032a0201032a0301032a0301052a0701005a0301005a0401052a0201012a0101012a0101052a0101052a0101042a0801
+005a0301005a0301052a0101012a0201012a0201032a0301032a0301022a0301012a0101012a0601005a030100000301005a0501016b0101016b0101046b0201046b0201046b0301
+026b0901005a05010000070101000000070101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a06010000060101000001
+0000060101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a05010000070101000000070101000401005a2b01005a
+0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a060100000601010000010000060101000401005a2b01005a0301005a3301005a0301005a
+3301005a0301005a3901005a030100000301005a3301005a05010000070101000000070101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a0301
+00000301005a3301005a060100000601010000010000060101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a0501
+0000070101000000070101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a06010000060101000001000006010100
+0401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a3301005a05010000070101000000070101000401005a2b01005a0301005a3301
+005a0301005a3301005a0301005a3901005a030100000301005a3301005a060100000601010000010000060101000401005a2b01005a0301005a3301005a0301005a3301005a0301
+005a3901005a030100000301005a3301005a05010000070101000000070101000401005a2b01005a0301005a3301005a0301005a3301005a0301005a3901005a030100000301005a
+3301005a0601000006010100000100000601010004012d5a0301355a0301355a03013b5a030100000301355a0501000007010100000007010100ea01000040010000060101000001
+000006010100ea0100003f0100000701010000000701010004013a5a0301315a0301465a0301215a030100000301355a060100000601010000010000060101000401005a3801005a
+0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a05010000070101000000070101000401005a3801005a0301005a2f01005a0301005a4401
+005a0301005a1f01005a030100000301005a3301005a060100000601010000010000060101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a0301
+00000301005a3301005a05010000070101000000070101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a06010000
+0601010000010000060101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a05010000070101000000070101000401
+005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a060100000601010000010000060101000401005a3801005a0301005a2f01
+005a0301005a4401005a0301005a1f01005a030100000301005a3301005a05010000070101000000070101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a
+1f01005a030100000301005a3301005a060100000601010000010000060101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a
+3301005a05010000070101000000070101000401005a030105161e0101160d01005a0301005a0801024c2301005a0301005a070103163801005a0301005a06010516010101160201
+01160901005a030100000301005a0801016b0201016b0d01016b1301005a060100000601010000010000060101000401005a030106161d0101160d01005a0301005a0701044c2201
+005a0301005a060105160a01011605010116050101161a01005a0301005a0601061600010116020101160901005a030100000301005a0801016b0201016b0201016b0801016b1301
+005a05010000070101000000070101000401005a0301011602010116020103160201011601010116000101160001021606010116020103160601005a0301005a0601014c0201014c
+0001014c0201014c0101044c0301034c0a01005a0301005a060101160101011601010116010101160201011605010116050101160301011600010216020104160801005a0301005a
+060101160201011600010116020101160901005a030100000301005a0801016b0201016b0201016b0801016b0101046b0c01005a060100000601010000010000060101000401005a
+0301011602010116010105160101011601010116000106160101021600010116010104160601005a0301005a0601014c0201014c0001014c0201014c0001064c0101044c0a01005a
+0301005a0601011601010116010101160101011601010516020101160b010616000106160701005a0301005a060101160201011600010116020101160901005a030100000301005a
+0801016b0201016b0901026b0001016b0001066b0b01005a05010000070101000000070101000401005a030106160101011601010116010101160101011600010116020101160001
+0616010101160901005a0301005a0601014c0201014c0101014c0001014c0101014c0201014c0101014c0d01005a0301005a06010116010101160101011601010116010105160201
+011605010116030101160201011600010116020101160701005a0301005a0601061600010116020101160901005a030100000301005a0801016b0201016b0201016b0301066b0001
+016b0201016b0b01005a060100000601010000010000060101000401005a030105160201011601010116010101160101011600010116020101160001011602010116010103160701
+005a0301005a0601064c0201024c0201064c0101034c0b01005a0301005a060101160101011601010116010101160201011605010116050101160301011602010116000106160701
+005a0301005a060105160101011600010016000101160901005a030100000301005a0801066b0201016b0301016b0201016b0001066b0b01005a0501000007010100000007010100
+0401005a03010116020101160101011601010116010101160101011600010116020101160001011602010116020103160601005a0301005a0601064c0201024c0201054c0301034c
+0a01005a0301005a060101160101011601010116010101160201011605010116050101160301011602010116000105160801005a0301005a06010116020101160001011600010016
+000101160901005a030100000301005a0801066b0201016b0301016b0201016b0001056b0c01005a060100000601010000010000060101000401005a030101160201011601010116
+01010116010101160101011600010116020101160001011602010116050101160501005a0301005a0601014c0201014c0101014c0001014c0101014c0a01014c0901005a0301005a
+060101160101011601010116010101160201011605010116050101160301011602010116000101160c01005a0301005a0601011602010116000106160901005a030100000301005a
+0801016b0201016b0201016b0301016b0201016b0001016b1001005a05010000070101000000070101000401005a0301061601010516010105160001011602010116000106160101
+05160501005a0301005a0601014c0201014c0001014c0201014c0001064c0101054c0901005a0301005a060105160101051602010216040101160501011603010116020101160001
+06160701005a0301005a06010616000106160901005a030100000301005a0801016b0201016b0201016b0301066b0001066b0b01005a060100000601010000010000060101000401
+005a030105160301031603010316010101160201011601010516010104160601005a0301005a0601014c0201014c0001014c0201014c0101044c0201044c0a01005a0301005a0701
+0316030103160301021603010316030103160201011602010116010104160801005a0301005a0601051602010116000101160a01005a030100000301005a0801016b0201016b0101
+036b0301056b0101046b0c01005a05010000070101000000070101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a
+060100000601010000010000060101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a050100000701010000000701
+01000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a060100000601010000010000060101000401005a3801005a0301
+005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a05010000070101000000070101000401005a3801005a0301005a2f01005a0301005a4401005a
+0301005a1f01005a030100000301005a3301005a060100000601010000010000060101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a03010000
+0301005a3301005a05010000070101000000070101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a060100000601
+010000010000060101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a05010000070101000000070101000401005a
+3801005a0301005a2f01005a0301005a4401005a0301005a1f01005a030100000301005a3301005a060100000601010000010000060101000401005a3801005a0301005a2f01005a
+0301005a4401005a0301005a1f01005a030100000301005a3301005a05010000070101000000070101000401005a3801005a0301005a2f01005a0301005a4401005a0301005a1f01
+005a030100000301005a3301005a0601000006010100000100000601010004013a5a0301315a0301465a0301215a030100000301355a0501000007010100000007010100ea010000
+40010000060101000001000006010100ea0100003f010000070101000000070101000401415a0301645a0301325a030100000301355a060100000601010000010000060101000401
+005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a05010000070101000000070101000401005a3f01005a0301005a6201005a0301005a3001005a
+030100000301005a3301005a060100000601010000010000060101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a05010000070101000000
+070101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a060100000601010000010000060101000401005a3f01005a0301005a6201005a
+0301005a3001005a030100000301005a3301005a05010000070101000000070101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a0601
+00000601010000010000060101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a05010000070101000000070101000401005a3f01005a
+0301005a6201005a0301005a3001005a030100000301005a3301005a060100000601010000010000060101000401005a3f01005a0301005a6201005a0301005a3001005a03010000
+0301005a3301005a05010000070101000000070101000401005a0b01016b1501016b1901005a0301005a0401016b0201016b2001016b0201016b2e01005a0301005a0801046b2201
+005a030100000301005a090104162401005a0601000006010100000109000401005a0b01016b0601016b0c01016b0601016b1001005a0301005a0401016b0201016b0201016b1b01
+016b0201016b0a01016b2101005a0301005a0701056b2201005a030100000301005a080106160a010116050101160e01005a05010000000108000000000100000001000000010000
+00010000000100000401005a0b01016b0601016b0401026b0001016b0101016b0601016b1001005a0301005a0401016b0201016b0201016b0401046b0101016b0201016b0801016b
+0201016b0201036b0301016b0401016b0101016b0101016b0001016b0201046b0701005a0301005a0701016b0601046b0101016b0201016b0101046b0a01005a030100000301005a
+0801011602010116010101160101011602010116050101160e01005a060100000001000000010000000100000001010000010000060101000401005a0b01016b0c01066b0101016b
+0501056b0d01005a0301005a0401016b0201016b0801066b0001016b0201016b0801016b0201016b0101056b0201016b0401016b0101016b0001026b0001026b0001066b0601005a
+0301005a0701016b0601056b0001016b0201016b0001066b0901005a030100000301005a08010116020101160101011601010116090105160b01005a050100000701010000000701
+01000401005a0b01016b0601016b0301016b0201016b0101046b0201056b0d01005a0301005a0501016b0001016b0301016b0301016b0201016b0001016b0201016b0901016b0001
+016b0201016b0101016b0201016b0401016b0101016b0001066b0001016b0201016b0601005a0301005a0701056b0601016b0001016b0201016b0001016b0201016b0901005a0301
+00000301005a0801011602010116010101160101011602010116040105160b01005a060100000601010000010000060101000401005a0b01016b0601016b0301016b0201016b0101
+056b0201016b1001005a0301005a0501016b0001016b0301016b0301066b0001016b0201016b0901016b0001016b0201016b0101016b0201016b0401016b0101016b0001016b0001
+006b0001016b0001066b0601005a0301005a0801056b0101056b0001016b0201016b0001066b0901005a030100000301005a08010116020101160101011601010116020101160501
+01160e01005a05010000070101000000070101000401005a0b01016b0601016b0301016b0201016b0101016b0101016b0201016b1001005a0301005a0501016b0001016b0301016b
+0301056b0101016b0001006b0001016b0901016b0001016b0201016b0101016b0201016b0401016b0101016b0001016b0001006b0001016b0001056b0701005a0301005a0c01016b
+0001066b0001016b0201016b0001056b0a01005a030100000301005a080101160001001600010116010101160101011602010116050101160e01005a060100000601010000010000
+060101000401005a0b01016b0601016b0301066b0101016b0101016b0201016b1001005a0301005a0601026b0401016b0301016b0501016b0001006b0001016b0a01026b0301016b
+0101016b0201016b0401016b0101016b0001016b0201016b0001016b0b01005a0301005a0c01016b0001016b0201016b0101016b0001016b0101016b0e01005a030100000301005a
+0801011600010316010101160101011602010116050101160e01005a05010000070101000000070101000401005a0b01056b0201016b0401056b0101016b0101016b0201026b0f01
+005a0301005a0601026b0401016b0301066b0001066b0a01026b0301056b0201016b0401056b0001016b0201016b0001066b0601005a0301005a0701066b0001066b0201026b0201
+066b0901005a030100000301005a080106160101051602010116050102160d01005a060100000601010000010000060101000401005a0b01056b0101036b0701016b0101016b0101
+016b0201026b0f01005a0301005a0701006b0401036b0301046b0201016b0001016b0c01006b0501036b0201036b0401036b0101016b0201016b0101046b0701005a0301005a0701
+056b0201056b0301006b0401046b0a01005a030100000301005a090105160201031602010316040102160d01005a05010000070101000000070101000401005a1a01066b1d01005a
+0301005a6201005a0301005a3001005a030100000301005a0d0101162301005a060100000601010000010000060101000401005a1a01056b1e01005a0301005a6201005a0301005a
+3001005a030100000301005a3301005a05010000070101000000070101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a060100000601
+010000010000060101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a05010000070101000000070101000401005a3f01005a0301005a
+6201005a0301005a3001005a030100000301005a3301005a060100000601010000010000060101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a
+3301005a05010000070101000000070101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a060100000601010000010000060101000401
+005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a05010000070101000000070101000401005a3f01005a0301005a6201005a0301005a3001005a
+030100000301005a3301005a060100000601010000010000060101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a05010000070101000000
+070101000401005a3f01005a0301005a6201005a0301005a3001005a030100000301005a3301005a060100000601010000010000060101000401415a0301645a0301325a03010000
+0301355a0501000007010100000007010100ea01000040010000060101000001000006010100ea0100003f01000007010100000007010100ea010000400100000601010000010000
+060102000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000701010000000701010000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000060101000001
+00001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01
+010000001f010100fb0101001e010100000100001e010000fc0100001f01010000000001ff003f000001ff004000
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/3dgamma11.ps b/books/ps/3dgamma11.ps
new file mode 100644
index 0000000..1aace4a
--- /dev/null
+++ b/books/ps/3dgamma11.ps
@@ -0,0 +1,52320 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDraw:
+%		psDraw
+%		vlist[0].y
+%		vlist[0].x
+%		n
+%		...
+%		vlist[n].y
+%		vlist[n].x
+%		graphics-context dictionary
+% to draw lines connecting points in vlist[0] to vlist[n]
+
+/psDraw
+        {	gsave
+                newpath
+                yVal moveto		%% set currentpoint
+                1 sub {			%% loop to draw lines.
+                        yVal lineto
+                } repeat
+		begin installGC stroke end  %% draw in foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psDrawFilled
+%		vlist[0].y
+%		vlist[0].x
+%		n
+%		...
+%		vlist[n].y
+%		vlist[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points and fills the
+% region with background color (default: 1, or white).
+
+/psDrawFilled
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	6	263	259	72	psDrawLine
+	globGC	(X)	1	268	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	286	263	34	72	psDrawLine
+	globGC	(Y)	291	268	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	146	19	146	258	psDrawLine
+	globGC	(Z)	151	14	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globGC	0.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	1	0	1	opaqueGC	setLineAttributes
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	92
+	146	91
+	3	148	92	psDrawFilled
+	opaqueGC
+	145	92
+	146	91
+	3	148	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	92
+	146	93
+	3	145	92	psDrawFilled
+	opaqueGC
+	148	92
+	146	93
+	3	145	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	93
+	145	92
+	3	146	93	psDrawFilled
+	opaqueGC
+	143	93
+	145	92
+	3	146	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	93
+	148	92
+	3	150	93	psDrawFilled
+	opaqueGC
+	146	93
+	148	92
+	3	150	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	93
+	145	94
+	3	143	93	psDrawFilled
+	opaqueGC
+	146	93
+	145	94
+	3	143	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	94
+	143	93
+	3	145	94	psDrawFilled
+	opaqueGC
+	141	94
+	143	93
+	3	145	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	93
+	148	94
+	3	146	93	psDrawFilled
+	opaqueGC
+	150	93
+	148	94
+	3	146	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	94
+	146	93
+	3	148	94	psDrawFilled
+	opaqueGC
+	145	94
+	146	93
+	3	148	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	94
+	150	93
+	3	152	94	psDrawFilled
+	opaqueGC
+	148	94
+	150	93
+	3	152	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	94
+	143	95
+	3	141	94	psDrawFilled
+	opaqueGC
+	145	94
+	143	95
+	3	141	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	95
+	141	94
+	3	143	95	psDrawFilled
+	opaqueGC
+	139	95
+	141	94
+	3	143	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	94
+	146	95
+	3	145	94	psDrawFilled
+	opaqueGC
+	148	94
+	146	95
+	3	145	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	95
+	145	94
+	3	146	95	psDrawFilled
+	opaqueGC
+	143	95
+	145	94
+	3	146	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	94
+	150	95
+	3	148	94	psDrawFilled
+	opaqueGC
+	152	94
+	150	95
+	3	148	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	95
+	148	94
+	3	150	95	psDrawFilled
+	opaqueGC
+	146	95
+	148	94
+	3	150	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	95
+	152	94
+	3	153	95	psDrawFilled
+	opaqueGC
+	150	95
+	152	94
+	3	153	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	95
+	141	97
+	3	139	95	psDrawFilled
+	opaqueGC
+	143	95
+	141	97
+	3	139	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	97
+	139	95
+	3	141	97	psDrawFilled
+	opaqueGC
+	138	97
+	139	95
+	3	141	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	95
+	145	97
+	3	143	95	psDrawFilled
+	opaqueGC
+	146	95
+	145	97
+	3	143	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	97
+	143	95
+	3	145	97	psDrawFilled
+	opaqueGC
+	141	97
+	143	95
+	3	145	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	95
+	148	97
+	3	146	95	psDrawFilled
+	opaqueGC
+	150	95
+	148	97
+	3	146	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	97
+	146	95
+	3	148	97	psDrawFilled
+	opaqueGC
+	145	97
+	146	95
+	3	148	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	95
+	152	97
+	3	150	95	psDrawFilled
+	opaqueGC
+	153	95
+	152	97
+	3	150	95	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	97
+	150	95
+	3	152	97	psDrawFilled
+	opaqueGC
+	148	97
+	150	95
+	3	152	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	97
+	153	95
+	3	155	97	psDrawFilled
+	opaqueGC
+	152	97
+	153	95
+	3	155	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	97
+	139	98
+	3	138	97	psDrawFilled
+	opaqueGC
+	141	97
+	139	98
+	3	138	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	98
+	138	97
+	3	139	98	psDrawFilled
+	opaqueGC
+	136	98
+	138	97
+	3	139	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	97
+	143	98
+	3	141	97	psDrawFilled
+	opaqueGC
+	145	97
+	143	98
+	3	141	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	98
+	141	97
+	3	143	98	psDrawFilled
+	opaqueGC
+	139	98
+	141	97
+	3	143	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	97
+	146	98
+	3	145	97	psDrawFilled
+	opaqueGC
+	148	97
+	146	98
+	3	145	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	98
+	145	97
+	3	146	98	psDrawFilled
+	opaqueGC
+	143	98
+	145	97
+	3	146	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	97
+	150	98
+	3	148	97	psDrawFilled
+	opaqueGC
+	152	97
+	150	98
+	3	148	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	98
+	148	97
+	3	150	98	psDrawFilled
+	opaqueGC
+	146	98
+	148	97
+	3	150	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	97
+	153	98
+	3	152	97	psDrawFilled
+	opaqueGC
+	155	97
+	153	98
+	3	152	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	98
+	152	97
+	3	153	98	psDrawFilled
+	opaqueGC
+	150	98
+	152	97
+	3	153	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	98
+	155	97
+	3	157	98	psDrawFilled
+	opaqueGC
+	153	98
+	155	97
+	3	157	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	98
+	138	99
+	3	136	98	psDrawFilled
+	opaqueGC
+	139	98
+	138	99
+	3	136	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	99
+	136	98
+	3	138	99	psDrawFilled
+	opaqueGC
+	134	99
+	136	98
+	3	138	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	98
+	141	99
+	3	139	98	psDrawFilled
+	opaqueGC
+	143	98
+	141	99
+	3	139	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	99
+	139	98
+	3	141	99	psDrawFilled
+	opaqueGC
+	138	99
+	139	98
+	3	141	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	98
+	145	99
+	3	143	98	psDrawFilled
+	opaqueGC
+	146	98
+	145	99
+	3	143	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	99
+	143	98
+	3	145	99	psDrawFilled
+	opaqueGC
+	141	99
+	143	98
+	3	145	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	98
+	148	99
+	3	146	98	psDrawFilled
+	opaqueGC
+	150	98
+	148	99
+	3	146	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	99
+	146	98
+	3	148	99	psDrawFilled
+	opaqueGC
+	145	99
+	146	98
+	3	148	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	98
+	152	99
+	3	150	98	psDrawFilled
+	opaqueGC
+	153	98
+	152	99
+	3	150	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	99
+	150	98
+	3	152	99	psDrawFilled
+	opaqueGC
+	148	99
+	150	98
+	3	152	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	98
+	155	99
+	3	153	98	psDrawFilled
+	opaqueGC
+	157	98
+	155	99
+	3	153	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	99
+	153	98
+	3	155	99	psDrawFilled
+	opaqueGC
+	152	99
+	153	98
+	3	155	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	99
+	157	98
+	3	159	99	psDrawFilled
+	opaqueGC
+	155	99
+	157	98
+	3	159	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	99
+	136	100
+	3	134	99	psDrawFilled
+	opaqueGC
+	138	99
+	136	100
+	3	134	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	100
+	134	99
+	3	136	100	psDrawFilled
+	opaqueGC
+	132	100
+	134	99
+	3	136	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	99
+	139	100
+	3	138	99	psDrawFilled
+	opaqueGC
+	141	99
+	139	100
+	3	138	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	100
+	138	99
+	3	139	100	psDrawFilled
+	opaqueGC
+	136	100
+	138	99
+	3	139	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	99
+	143	100
+	3	141	99	psDrawFilled
+	opaqueGC
+	145	99
+	143	100
+	3	141	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	100
+	141	99
+	3	143	100	psDrawFilled
+	opaqueGC
+	139	100
+	141	99
+	3	143	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	99
+	146	100
+	3	145	99	psDrawFilled
+	opaqueGC
+	148	99
+	146	100
+	3	145	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	100
+	145	99
+	3	146	100	psDrawFilled
+	opaqueGC
+	143	100
+	145	99
+	3	146	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	99
+	150	100
+	3	148	99	psDrawFilled
+	opaqueGC
+	152	99
+	150	100
+	3	148	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	100
+	148	99
+	3	150	100	psDrawFilled
+	opaqueGC
+	146	100
+	148	99
+	3	150	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	99
+	153	100
+	3	152	99	psDrawFilled
+	opaqueGC
+	155	99
+	153	100
+	3	152	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	100
+	152	99
+	3	153	100	psDrawFilled
+	opaqueGC
+	150	100
+	152	99
+	3	153	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	99
+	157	100
+	3	155	99	psDrawFilled
+	opaqueGC
+	159	99
+	157	100
+	3	155	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	100
+	155	99
+	3	157	100	psDrawFilled
+	opaqueGC
+	153	100
+	155	99
+	3	157	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	100
+	159	99
+	3	160	100	psDrawFilled
+	opaqueGC
+	157	100
+	159	99
+	3	160	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	100
+	134	102
+	3	132	100	psDrawFilled
+	opaqueGC
+	136	100
+	134	102
+	3	132	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	102
+	132	100
+	3	134	102	psDrawFilled
+	opaqueGC
+	131	102
+	132	100
+	3	134	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	100
+	138	102
+	3	136	100	psDrawFilled
+	opaqueGC
+	139	100
+	138	102
+	3	136	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	102
+	136	100
+	3	138	102	psDrawFilled
+	opaqueGC
+	134	102
+	136	100
+	3	138	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	100
+	141	102
+	3	139	100	psDrawFilled
+	opaqueGC
+	143	100
+	141	102
+	3	139	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	102
+	139	100
+	3	141	102	psDrawFilled
+	opaqueGC
+	138	102
+	139	100
+	3	141	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	100
+	145	102
+	3	143	100	psDrawFilled
+	opaqueGC
+	146	100
+	145	102
+	3	143	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	102
+	143	100
+	3	145	102	psDrawFilled
+	opaqueGC
+	141	102
+	143	100
+	3	145	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	100
+	148	102
+	3	146	100	psDrawFilled
+	opaqueGC
+	150	100
+	148	102
+	3	146	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	102
+	146	100
+	3	148	102	psDrawFilled
+	opaqueGC
+	145	102
+	146	100
+	3	148	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	100
+	152	102
+	3	150	100	psDrawFilled
+	opaqueGC
+	153	100
+	152	102
+	3	150	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	102
+	150	100
+	3	152	102	psDrawFilled
+	opaqueGC
+	148	102
+	150	100
+	3	152	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	100
+	155	101
+	3	153	100	psDrawFilled
+	opaqueGC
+	157	100
+	155	101
+	3	153	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	102
+	153	100
+	3	155	101	psDrawFilled
+	opaqueGC
+	152	102
+	153	100
+	3	155	101	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	100
+	159	101
+	3	157	100	psDrawFilled
+	opaqueGC
+	160	100
+	159	101
+	3	157	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	101
+	157	100
+	3	159	101	psDrawFilled
+	opaqueGC
+	155	101
+	157	100
+	3	159	101	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	101
+	160	100
+	3	162	101	psDrawFilled
+	opaqueGC
+	159	101
+	160	100
+	3	162	101	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	102
+	132	103
+	3	131	102	psDrawFilled
+	opaqueGC
+	134	102
+	132	103
+	3	131	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	103
+	131	102
+	3	132	103	psDrawFilled
+	opaqueGC
+	129	103
+	131	102
+	3	132	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	102
+	136	103
+	3	134	102	psDrawFilled
+	opaqueGC
+	138	102
+	136	103
+	3	134	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	103
+	134	102
+	3	136	103	psDrawFilled
+	opaqueGC
+	132	103
+	134	102
+	3	136	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	102
+	139	103
+	3	138	102	psDrawFilled
+	opaqueGC
+	141	102
+	139	103
+	3	138	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	103
+	138	102
+	3	139	103	psDrawFilled
+	opaqueGC
+	136	103
+	138	102
+	3	139	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	102
+	143	103
+	3	141	102	psDrawFilled
+	opaqueGC
+	145	102
+	143	103
+	3	141	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	103
+	141	102
+	3	143	103	psDrawFilled
+	opaqueGC
+	139	103
+	141	102
+	3	143	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	102
+	146	103
+	3	145	102	psDrawFilled
+	opaqueGC
+	148	102
+	146	103
+	3	145	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	103
+	145	102
+	3	146	103	psDrawFilled
+	opaqueGC
+	143	103
+	145	102
+	3	146	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	102
+	150	103
+	3	148	102	psDrawFilled
+	opaqueGC
+	152	102
+	150	103
+	3	148	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	103
+	148	102
+	3	150	103	psDrawFilled
+	opaqueGC
+	146	103
+	148	102
+	3	150	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	101
+	153	103
+	3	152	102	psDrawFilled
+	opaqueGC
+	155	101
+	153	103
+	3	152	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	103
+	152	102
+	3	153	103	psDrawFilled
+	opaqueGC
+	150	103
+	152	102
+	3	153	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	101
+	157	103
+	3	155	101	psDrawFilled
+	opaqueGC
+	159	101
+	157	103
+	3	155	101	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	103
+	155	101
+	3	157	103	psDrawFilled
+	opaqueGC
+	153	103
+	155	101
+	3	157	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	101
+	160	103
+	3	159	101	psDrawFilled
+	opaqueGC
+	162	101
+	160	103
+	3	159	101	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	103
+	159	101
+	3	160	103	psDrawFilled
+	opaqueGC
+	157	103
+	159	101
+	3	160	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	103
+	162	101
+	3	164	103	psDrawFilled
+	opaqueGC
+	160	103
+	162	101
+	3	164	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	103
+	131	104
+	3	129	103	psDrawFilled
+	opaqueGC
+	132	103
+	131	104
+	3	129	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	104
+	129	103
+	3	131	104	psDrawFilled
+	opaqueGC
+	127	104
+	129	103
+	3	131	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	103
+	134	104
+	3	132	103	psDrawFilled
+	opaqueGC
+	136	103
+	134	104
+	3	132	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	104
+	132	103
+	3	134	104	psDrawFilled
+	opaqueGC
+	131	104
+	132	103
+	3	134	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	103
+	138	104
+	3	136	103	psDrawFilled
+	opaqueGC
+	139	103
+	138	104
+	3	136	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	104
+	136	103
+	3	138	104	psDrawFilled
+	opaqueGC
+	134	104
+	136	103
+	3	138	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	103
+	141	104
+	3	139	103	psDrawFilled
+	opaqueGC
+	143	103
+	141	104
+	3	139	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	104
+	139	103
+	3	141	104	psDrawFilled
+	opaqueGC
+	138	104
+	139	103
+	3	141	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	103
+	145	104
+	3	143	103	psDrawFilled
+	opaqueGC
+	146	103
+	145	104
+	3	143	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	104
+	143	103
+	3	145	104	psDrawFilled
+	opaqueGC
+	141	104
+	143	103
+	3	145	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	103
+	148	104
+	3	146	103	psDrawFilled
+	opaqueGC
+	150	103
+	148	104
+	3	146	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	104
+	146	103
+	3	148	104	psDrawFilled
+	opaqueGC
+	145	104
+	146	103
+	3	148	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	103
+	152	104
+	3	150	103	psDrawFilled
+	opaqueGC
+	153	103
+	152	104
+	3	150	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	104
+	150	103
+	3	152	104	psDrawFilled
+	opaqueGC
+	148	104
+	150	103
+	3	152	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	103
+	155	104
+	3	153	103	psDrawFilled
+	opaqueGC
+	157	103
+	155	104
+	3	153	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	104
+	153	103
+	3	155	104	psDrawFilled
+	opaqueGC
+	152	104
+	153	103
+	3	155	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	103
+	159	104
+	3	157	103	psDrawFilled
+	opaqueGC
+	160	103
+	159	104
+	3	157	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	104
+	157	103
+	3	159	104	psDrawFilled
+	opaqueGC
+	155	104
+	157	103
+	3	159	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	103
+	162	104
+	3	160	103	psDrawFilled
+	opaqueGC
+	164	103
+	162	104
+	3	160	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	104
+	160	103
+	3	162	104	psDrawFilled
+	opaqueGC
+	159	104
+	160	103
+	3	162	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	104
+	164	103
+	3	166	104	psDrawFilled
+	opaqueGC
+	162	104
+	164	103
+	3	166	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	104
+	129	105
+	3	127	104	psDrawFilled
+	opaqueGC
+	131	104
+	129	105
+	3	127	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	105
+	127	104
+	3	129	105	psDrawFilled
+	opaqueGC
+	125	105
+	127	104
+	3	129	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	104
+	132	105
+	3	131	104	psDrawFilled
+	opaqueGC
+	134	104
+	132	105
+	3	131	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	105
+	131	104
+	3	132	105	psDrawFilled
+	opaqueGC
+	129	105
+	131	104
+	3	132	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	104
+	136	105
+	3	134	104	psDrawFilled
+	opaqueGC
+	138	104
+	136	105
+	3	134	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	105
+	134	104
+	3	136	105	psDrawFilled
+	opaqueGC
+	132	105
+	134	104
+	3	136	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	104
+	139	105
+	3	138	104	psDrawFilled
+	opaqueGC
+	141	104
+	139	105
+	3	138	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	105
+	138	104
+	3	139	105	psDrawFilled
+	opaqueGC
+	136	105
+	138	104
+	3	139	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	104
+	143	105
+	3	141	104	psDrawFilled
+	opaqueGC
+	145	104
+	143	105
+	3	141	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	105
+	141	104
+	3	143	105	psDrawFilled
+	opaqueGC
+	139	105
+	141	104
+	3	143	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	104
+	146	105
+	3	145	104	psDrawFilled
+	opaqueGC
+	148	104
+	146	105
+	3	145	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	105
+	145	104
+	3	146	105	psDrawFilled
+	opaqueGC
+	143	105
+	145	104
+	3	146	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	104
+	150	105
+	3	148	104	psDrawFilled
+	opaqueGC
+	152	104
+	150	105
+	3	148	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	105
+	148	104
+	3	150	105	psDrawFilled
+	opaqueGC
+	146	105
+	148	104
+	3	150	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	104
+	153	105
+	3	152	104	psDrawFilled
+	opaqueGC
+	155	104
+	153	105
+	3	152	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	105
+	152	104
+	3	153	105	psDrawFilled
+	opaqueGC
+	150	105
+	152	104
+	3	153	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	104
+	157	105
+	3	155	104	psDrawFilled
+	opaqueGC
+	159	104
+	157	105
+	3	155	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	105
+	155	104
+	3	157	105	psDrawFilled
+	opaqueGC
+	153	105
+	155	104
+	3	157	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	104
+	160	105
+	3	159	104	psDrawFilled
+	opaqueGC
+	162	104
+	160	105
+	3	159	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	105
+	159	104
+	3	160	105	psDrawFilled
+	opaqueGC
+	157	105
+	159	104
+	3	160	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	104
+	164	105
+	3	162	104	psDrawFilled
+	opaqueGC
+	166	104
+	164	105
+	3	162	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	105
+	162	104
+	3	164	105	psDrawFilled
+	opaqueGC
+	160	105
+	162	104
+	3	164	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	105
+	166	104
+	3	168	105	psDrawFilled
+	opaqueGC
+	164	105
+	166	104
+	3	168	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	105
+	127	106
+	3	125	105	psDrawFilled
+	opaqueGC
+	129	105
+	127	106
+	3	125	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	106
+	125	105
+	3	127	106	psDrawFilled
+	opaqueGC
+	123	106
+	125	105
+	3	127	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	105
+	130	106
+	3	129	105	psDrawFilled
+	opaqueGC
+	132	105
+	130	106
+	3	129	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	106
+	129	105
+	3	130	106	psDrawFilled
+	opaqueGC
+	127	106
+	129	105
+	3	130	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	105
+	134	106
+	3	132	105	psDrawFilled
+	opaqueGC
+	136	105
+	134	106
+	3	132	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	106
+	132	105
+	3	134	106	psDrawFilled
+	opaqueGC
+	130	106
+	132	105
+	3	134	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	105
+	138	106
+	3	136	105	psDrawFilled
+	opaqueGC
+	139	105
+	138	106
+	3	136	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	106
+	136	105
+	3	138	106	psDrawFilled
+	opaqueGC
+	134	106
+	136	105
+	3	138	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	105
+	141	106
+	3	139	105	psDrawFilled
+	opaqueGC
+	143	105
+	141	106
+	3	139	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	106
+	139	105
+	3	141	106	psDrawFilled
+	opaqueGC
+	138	106
+	139	105
+	3	141	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	105
+	145	106
+	3	143	105	psDrawFilled
+	opaqueGC
+	146	105
+	145	106
+	3	143	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	106
+	143	105
+	3	145	106	psDrawFilled
+	opaqueGC
+	141	106
+	143	105
+	3	145	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	105
+	148	106
+	3	146	105	psDrawFilled
+	opaqueGC
+	150	105
+	148	106
+	3	146	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	106
+	146	105
+	3	148	106	psDrawFilled
+	opaqueGC
+	145	106
+	146	105
+	3	148	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	105
+	152	106
+	3	150	105	psDrawFilled
+	opaqueGC
+	153	105
+	152	106
+	3	150	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	106
+	150	105
+	3	152	106	psDrawFilled
+	opaqueGC
+	148	106
+	150	105
+	3	152	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	105
+	155	106
+	3	153	105	psDrawFilled
+	opaqueGC
+	157	105
+	155	106
+	3	153	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	106
+	153	105
+	3	155	106	psDrawFilled
+	opaqueGC
+	152	106
+	153	105
+	3	155	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	105
+	159	106
+	3	157	105	psDrawFilled
+	opaqueGC
+	160	105
+	159	106
+	3	157	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	106
+	157	105
+	3	159	106	psDrawFilled
+	opaqueGC
+	155	106
+	157	105
+	3	159	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	105
+	162	106
+	3	160	105	psDrawFilled
+	opaqueGC
+	164	105
+	162	106
+	3	160	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	106
+	160	105
+	3	162	106	psDrawFilled
+	opaqueGC
+	159	106
+	160	105
+	3	162	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	105
+	166	106
+	3	164	105	psDrawFilled
+	opaqueGC
+	168	105
+	166	106
+	3	164	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	106
+	164	105
+	3	166	106	psDrawFilled
+	opaqueGC
+	162	106
+	164	105
+	3	166	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	106
+	168	105
+	3	169	106	psDrawFilled
+	opaqueGC
+	166	106
+	168	105
+	3	169	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	106
+	125	108
+	3	123	106	psDrawFilled
+	opaqueGC
+	127	106
+	125	108
+	3	123	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	108
+	123	106
+	3	125	108	psDrawFilled
+	opaqueGC
+	122	108
+	123	106
+	3	125	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	106
+	129	108
+	3	127	106	psDrawFilled
+	opaqueGC
+	130	106
+	129	108
+	3	127	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	108
+	127	106
+	3	129	108	psDrawFilled
+	opaqueGC
+	125	108
+	127	106
+	3	129	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	106
+	132	108
+	3	130	106	psDrawFilled
+	opaqueGC
+	134	106
+	132	108
+	3	130	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	108
+	130	106
+	3	132	108	psDrawFilled
+	opaqueGC
+	129	108
+	130	106
+	3	132	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	106
+	136	108
+	3	134	106	psDrawFilled
+	opaqueGC
+	138	106
+	136	108
+	3	134	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	108
+	134	106
+	3	136	108	psDrawFilled
+	opaqueGC
+	132	108
+	134	106
+	3	136	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	106
+	139	108
+	3	138	106	psDrawFilled
+	opaqueGC
+	141	106
+	139	108
+	3	138	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	108
+	138	106
+	3	139	108	psDrawFilled
+	opaqueGC
+	136	108
+	138	106
+	3	139	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	106
+	143	108
+	3	141	106	psDrawFilled
+	opaqueGC
+	145	106
+	143	108
+	3	141	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	108
+	141	106
+	3	143	108	psDrawFilled
+	opaqueGC
+	139	108
+	141	106
+	3	143	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	106
+	146	108
+	3	145	106	psDrawFilled
+	opaqueGC
+	148	106
+	146	108
+	3	145	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	108
+	145	106
+	3	146	108	psDrawFilled
+	opaqueGC
+	143	108
+	145	106
+	3	146	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	106
+	150	108
+	3	148	106	psDrawFilled
+	opaqueGC
+	152	106
+	150	108
+	3	148	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	108
+	148	106
+	3	150	108	psDrawFilled
+	opaqueGC
+	146	108
+	148	106
+	3	150	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	106
+	153	108
+	3	152	106	psDrawFilled
+	opaqueGC
+	155	106
+	153	108
+	3	152	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	108
+	152	106
+	3	153	108	psDrawFilled
+	opaqueGC
+	150	108
+	152	106
+	3	153	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	106
+	157	108
+	3	155	106	psDrawFilled
+	opaqueGC
+	159	106
+	157	108
+	3	155	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	108
+	155	106
+	3	157	108	psDrawFilled
+	opaqueGC
+	153	108
+	155	106
+	3	157	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	106
+	161	108
+	3	159	106	psDrawFilled
+	opaqueGC
+	162	106
+	161	108
+	3	159	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	108
+	159	106
+	3	161	108	psDrawFilled
+	opaqueGC
+	157	108
+	159	106
+	3	161	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	106
+	164	108
+	3	162	106	psDrawFilled
+	opaqueGC
+	166	106
+	164	108
+	3	162	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	108
+	162	106
+	3	164	108	psDrawFilled
+	opaqueGC
+	161	108
+	162	106
+	3	164	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	106
+	168	108
+	3	166	106	psDrawFilled
+	opaqueGC
+	169	106
+	168	108
+	3	166	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	108
+	166	106
+	3	168	108	psDrawFilled
+	opaqueGC
+	164	108
+	166	106
+	3	168	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	108
+	169	106
+	3	171	108	psDrawFilled
+	opaqueGC
+	168	108
+	169	106
+	3	171	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	108
+	123	109
+	3	122	108	psDrawFilled
+	opaqueGC
+	125	108
+	123	109
+	3	122	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	109
+	122	108
+	3	123	109	psDrawFilled
+	opaqueGC
+	120	109
+	122	108
+	3	123	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	108
+	127	109
+	3	125	108	psDrawFilled
+	opaqueGC
+	129	108
+	127	109
+	3	125	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	109
+	125	108
+	3	127	109	psDrawFilled
+	opaqueGC
+	123	109
+	125	108
+	3	127	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	108
+	130	109
+	3	129	108	psDrawFilled
+	opaqueGC
+	132	108
+	130	109
+	3	129	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	109
+	129	108
+	3	130	109	psDrawFilled
+	opaqueGC
+	127	109
+	129	108
+	3	130	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	108
+	134	109
+	3	132	108	psDrawFilled
+	opaqueGC
+	136	108
+	134	109
+	3	132	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	109
+	132	108
+	3	134	109	psDrawFilled
+	opaqueGC
+	130	109
+	132	108
+	3	134	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	108
+	137	109
+	3	136	108	psDrawFilled
+	opaqueGC
+	139	108
+	137	109
+	3	136	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	109
+	136	108
+	3	137	109	psDrawFilled
+	opaqueGC
+	134	109
+	136	108
+	3	137	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	108
+	141	109
+	3	139	108	psDrawFilled
+	opaqueGC
+	143	108
+	141	109
+	3	139	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	109
+	139	108
+	3	141	109	psDrawFilled
+	opaqueGC
+	137	109
+	139	108
+	3	141	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	108
+	145	109
+	3	143	108	psDrawFilled
+	opaqueGC
+	146	108
+	145	109
+	3	143	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	109
+	143	108
+	3	145	109	psDrawFilled
+	opaqueGC
+	141	109
+	143	108
+	3	145	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	108
+	148	109
+	3	146	108	psDrawFilled
+	opaqueGC
+	150	108
+	148	109
+	3	146	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	109
+	146	108
+	3	148	109	psDrawFilled
+	opaqueGC
+	145	109
+	146	108
+	3	148	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	108
+	152	109
+	3	150	108	psDrawFilled
+	opaqueGC
+	153	108
+	152	109
+	3	150	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	109
+	150	108
+	3	152	109	psDrawFilled
+	opaqueGC
+	148	109
+	150	108
+	3	152	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	108
+	155	109
+	3	153	108	psDrawFilled
+	opaqueGC
+	157	108
+	155	109
+	3	153	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	109
+	153	108
+	3	155	109	psDrawFilled
+	opaqueGC
+	152	109
+	153	108
+	3	155	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	108
+	159	109
+	3	157	108	psDrawFilled
+	opaqueGC
+	161	108
+	159	109
+	3	157	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	109
+	157	108
+	3	159	109	psDrawFilled
+	opaqueGC
+	155	109
+	157	108
+	3	159	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	108
+	162	109
+	3	161	108	psDrawFilled
+	opaqueGC
+	164	108
+	162	109
+	3	161	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	109
+	161	108
+	3	162	109	psDrawFilled
+	opaqueGC
+	159	109
+	161	108
+	3	162	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	108
+	166	109
+	3	164	108	psDrawFilled
+	opaqueGC
+	168	108
+	166	109
+	3	164	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	109
+	164	108
+	3	166	109	psDrawFilled
+	opaqueGC
+	162	109
+	164	108
+	3	166	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	108
+	169	109
+	3	168	108	psDrawFilled
+	opaqueGC
+	171	108
+	169	109
+	3	168	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	109
+	168	108
+	3	169	109	psDrawFilled
+	opaqueGC
+	166	109
+	168	108
+	3	169	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	109
+	171	108
+	3	173	109	psDrawFilled
+	opaqueGC
+	169	109
+	171	108
+	3	173	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	109
+	122	110
+	3	120	109	psDrawFilled
+	opaqueGC
+	123	109
+	122	110
+	3	120	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	110
+	120	109
+	3	122	110	psDrawFilled
+	opaqueGC
+	118	110
+	120	109
+	3	122	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	109
+	125	110
+	3	123	109	psDrawFilled
+	opaqueGC
+	127	109
+	125	110
+	3	123	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	110
+	123	109
+	3	125	110	psDrawFilled
+	opaqueGC
+	122	110
+	123	109
+	3	125	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	109
+	129	110
+	3	127	109	psDrawFilled
+	opaqueGC
+	130	109
+	129	110
+	3	127	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	110
+	127	109
+	3	129	110	psDrawFilled
+	opaqueGC
+	125	110
+	127	109
+	3	129	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	109
+	132	110
+	3	130	109	psDrawFilled
+	opaqueGC
+	134	109
+	132	110
+	3	130	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	110
+	130	109
+	3	132	110	psDrawFilled
+	opaqueGC
+	129	110
+	130	109
+	3	132	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	109
+	136	110
+	3	134	109	psDrawFilled
+	opaqueGC
+	137	109
+	136	110
+	3	134	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	110
+	134	109
+	3	136	110	psDrawFilled
+	opaqueGC
+	132	110
+	134	109
+	3	136	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	109
+	139	110
+	3	137	109	psDrawFilled
+	opaqueGC
+	141	109
+	139	110
+	3	137	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	110
+	137	109
+	3	139	110	psDrawFilled
+	opaqueGC
+	136	110
+	137	109
+	3	139	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	109
+	143	110
+	3	141	109	psDrawFilled
+	opaqueGC
+	145	109
+	143	110
+	3	141	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	110
+	141	109
+	3	143	110	psDrawFilled
+	opaqueGC
+	139	110
+	141	109
+	3	143	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	109
+	146	110
+	3	145	109	psDrawFilled
+	opaqueGC
+	148	109
+	146	110
+	3	145	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	110
+	145	109
+	3	146	110	psDrawFilled
+	opaqueGC
+	143	110
+	145	109
+	3	146	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	109
+	150	110
+	3	148	109	psDrawFilled
+	opaqueGC
+	152	109
+	150	110
+	3	148	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	110
+	148	109
+	3	150	110	psDrawFilled
+	opaqueGC
+	146	110
+	148	109
+	3	150	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	109
+	153	110
+	3	152	109	psDrawFilled
+	opaqueGC
+	155	109
+	153	110
+	3	152	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	110
+	152	109
+	3	153	110	psDrawFilled
+	opaqueGC
+	150	110
+	152	109
+	3	153	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	109
+	157	110
+	3	155	109	psDrawFilled
+	opaqueGC
+	159	109
+	157	110
+	3	155	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	110
+	155	109
+	3	157	110	psDrawFilled
+	opaqueGC
+	153	110
+	155	109
+	3	157	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	109
+	161	110
+	3	159	109	psDrawFilled
+	opaqueGC
+	162	109
+	161	110
+	3	159	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	110
+	159	109
+	3	161	110	psDrawFilled
+	opaqueGC
+	157	110
+	159	109
+	3	161	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	109
+	164	110
+	3	162	109	psDrawFilled
+	opaqueGC
+	166	109
+	164	110
+	3	162	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	110
+	162	109
+	3	164	110	psDrawFilled
+	opaqueGC
+	161	110
+	162	109
+	3	164	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	109
+	168	110
+	3	166	109	psDrawFilled
+	opaqueGC
+	169	109
+	168	110
+	3	166	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	110
+	166	109
+	3	168	110	psDrawFilled
+	opaqueGC
+	164	110
+	166	109
+	3	168	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	109
+	171	110
+	3	169	109	psDrawFilled
+	opaqueGC
+	173	109
+	171	110
+	3	169	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	110
+	169	109
+	3	171	110	psDrawFilled
+	opaqueGC
+	168	110
+	169	109
+	3	171	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	110
+	173	109
+	3	175	110	psDrawFilled
+	opaqueGC
+	171	110
+	173	109
+	3	175	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	110
+	120	112
+	3	118	110	psDrawFilled
+	opaqueGC
+	122	110
+	120	112
+	3	118	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	112
+	118	110
+	3	120	112	psDrawFilled
+	opaqueGC
+	116	112
+	118	110
+	3	120	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	110
+	123	112
+	3	122	110	psDrawFilled
+	opaqueGC
+	125	110
+	123	112
+	3	122	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	112
+	122	110
+	3	123	112	psDrawFilled
+	opaqueGC
+	120	112
+	122	110
+	3	123	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	110
+	127	111
+	3	125	110	psDrawFilled
+	opaqueGC
+	129	110
+	127	111
+	3	125	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	112
+	125	110
+	3	127	111	psDrawFilled
+	opaqueGC
+	123	112
+	125	110
+	3	127	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	110
+	130	111
+	3	129	110	psDrawFilled
+	opaqueGC
+	132	110
+	130	111
+	3	129	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	111
+	129	110
+	3	130	111	psDrawFilled
+	opaqueGC
+	127	111
+	129	110
+	3	130	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	110
+	134	111
+	3	132	110	psDrawFilled
+	opaqueGC
+	136	110
+	134	111
+	3	132	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	111
+	132	110
+	3	134	111	psDrawFilled
+	opaqueGC
+	130	111
+	132	110
+	3	134	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	110
+	137	111
+	3	136	110	psDrawFilled
+	opaqueGC
+	139	110
+	137	111
+	3	136	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	111
+	136	110
+	3	137	111	psDrawFilled
+	opaqueGC
+	134	111
+	136	110
+	3	137	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	110
+	141	111
+	3	139	110	psDrawFilled
+	opaqueGC
+	143	110
+	141	111
+	3	139	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	111
+	139	110
+	3	141	111	psDrawFilled
+	opaqueGC
+	137	111
+	139	110
+	3	141	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	110
+	145	111
+	3	143	110	psDrawFilled
+	opaqueGC
+	146	110
+	145	111
+	3	143	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	111
+	143	110
+	3	145	111	psDrawFilled
+	opaqueGC
+	141	111
+	143	110
+	3	145	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	110
+	148	111
+	3	146	110	psDrawFilled
+	opaqueGC
+	150	110
+	148	111
+	3	146	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	111
+	146	110
+	3	148	111	psDrawFilled
+	opaqueGC
+	145	111
+	146	110
+	3	148	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	110
+	152	111
+	3	150	110	psDrawFilled
+	opaqueGC
+	153	110
+	152	111
+	3	150	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	111
+	150	110
+	3	152	111	psDrawFilled
+	opaqueGC
+	148	111
+	150	110
+	3	152	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	110
+	155	111
+	3	153	110	psDrawFilled
+	opaqueGC
+	157	110
+	155	111
+	3	153	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	111
+	153	110
+	3	155	111	psDrawFilled
+	opaqueGC
+	152	111
+	153	110
+	3	155	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	110
+	159	111
+	3	157	110	psDrawFilled
+	opaqueGC
+	161	110
+	159	111
+	3	157	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	111
+	157	110
+	3	159	111	psDrawFilled
+	opaqueGC
+	155	111
+	157	110
+	3	159	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	110
+	162	111
+	3	161	110	psDrawFilled
+	opaqueGC
+	164	110
+	162	111
+	3	161	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	111
+	161	110
+	3	162	111	psDrawFilled
+	opaqueGC
+	159	111
+	161	110
+	3	162	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	110
+	166	111
+	3	164	110	psDrawFilled
+	opaqueGC
+	168	110
+	166	111
+	3	164	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	111
+	164	110
+	3	166	111	psDrawFilled
+	opaqueGC
+	162	111
+	164	110
+	3	166	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	110
+	169	111
+	3	168	110	psDrawFilled
+	opaqueGC
+	171	110
+	169	111
+	3	168	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	111
+	168	110
+	3	169	111	psDrawFilled
+	opaqueGC
+	166	111
+	168	110
+	3	169	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	110
+	173	111
+	3	171	110	psDrawFilled
+	opaqueGC
+	175	110
+	173	111
+	3	171	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	111
+	171	110
+	3	173	111	psDrawFilled
+	opaqueGC
+	169	111
+	171	110
+	3	173	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	111
+	175	110
+	3	177	111	psDrawFilled
+	opaqueGC
+	173	111
+	175	110
+	3	177	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	112
+	118	113
+	3	116	112	psDrawFilled
+	opaqueGC
+	120	112
+	118	113
+	3	116	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	113
+	116	112
+	3	118	113	psDrawFilled
+	opaqueGC
+	114	113
+	116	112
+	3	118	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	112
+	121	113
+	3	120	112	psDrawFilled
+	opaqueGC
+	123	112
+	121	113
+	3	120	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	113
+	120	112
+	3	121	113	psDrawFilled
+	opaqueGC
+	118	113
+	120	112
+	3	121	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	111
+	125	113
+	3	123	112	psDrawFilled
+	opaqueGC
+	127	111
+	125	113
+	3	123	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	113
+	123	112
+	3	125	113	psDrawFilled
+	opaqueGC
+	121	113
+	123	112
+	3	125	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	111
+	129	113
+	3	127	111	psDrawFilled
+	opaqueGC
+	130	111
+	129	113
+	3	127	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	113
+	127	111
+	3	129	113	psDrawFilled
+	opaqueGC
+	125	113
+	127	111
+	3	129	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	111
+	132	113
+	3	130	111	psDrawFilled
+	opaqueGC
+	134	111
+	132	113
+	3	130	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	113
+	130	111
+	3	132	113	psDrawFilled
+	opaqueGC
+	129	113
+	130	111
+	3	132	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	111
+	136	113
+	3	134	111	psDrawFilled
+	opaqueGC
+	137	111
+	136	113
+	3	134	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	113
+	134	111
+	3	136	113	psDrawFilled
+	opaqueGC
+	132	113
+	134	111
+	3	136	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	111
+	139	113
+	3	137	111	psDrawFilled
+	opaqueGC
+	141	111
+	139	113
+	3	137	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	113
+	137	111
+	3	139	113	psDrawFilled
+	opaqueGC
+	136	113
+	137	111
+	3	139	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	111
+	143	113
+	3	141	111	psDrawFilled
+	opaqueGC
+	145	111
+	143	113
+	3	141	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	113
+	141	111
+	3	143	113	psDrawFilled
+	opaqueGC
+	139	113
+	141	111
+	3	143	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	111
+	146	113
+	3	145	111	psDrawFilled
+	opaqueGC
+	148	111
+	146	113
+	3	145	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	113
+	145	111
+	3	146	113	psDrawFilled
+	opaqueGC
+	143	113
+	145	111
+	3	146	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	111
+	150	113
+	3	148	111	psDrawFilled
+	opaqueGC
+	152	111
+	150	113
+	3	148	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	113
+	148	111
+	3	150	113	psDrawFilled
+	opaqueGC
+	146	113
+	148	111
+	3	150	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	111
+	153	113
+	3	152	111	psDrawFilled
+	opaqueGC
+	155	111
+	153	113
+	3	152	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	113
+	152	111
+	3	153	113	psDrawFilled
+	opaqueGC
+	150	113
+	152	111
+	3	153	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	111
+	157	113
+	3	155	111	psDrawFilled
+	opaqueGC
+	159	111
+	157	113
+	3	155	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	113
+	155	111
+	3	157	113	psDrawFilled
+	opaqueGC
+	153	113
+	155	111
+	3	157	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	111
+	161	113
+	3	159	111	psDrawFilled
+	opaqueGC
+	162	111
+	161	113
+	3	159	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	113
+	159	111
+	3	161	113	psDrawFilled
+	opaqueGC
+	157	113
+	159	111
+	3	161	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	111
+	164	112
+	3	162	111	psDrawFilled
+	opaqueGC
+	166	111
+	164	112
+	3	162	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	113
+	162	111
+	3	164	112	psDrawFilled
+	opaqueGC
+	161	113
+	162	111
+	3	164	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	111
+	168	112
+	3	166	111	psDrawFilled
+	opaqueGC
+	169	111
+	168	112
+	3	166	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	112
+	166	111
+	3	168	112	psDrawFilled
+	opaqueGC
+	164	112
+	166	111
+	3	168	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	111
+	171	112
+	3	169	111	psDrawFilled
+	opaqueGC
+	173	111
+	171	112
+	3	169	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	112
+	169	111
+	3	171	112	psDrawFilled
+	opaqueGC
+	168	112
+	169	111
+	3	171	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	111
+	175	112
+	3	173	111	psDrawFilled
+	opaqueGC
+	177	111
+	175	112
+	3	173	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	112
+	173	111
+	3	175	112	psDrawFilled
+	opaqueGC
+	171	112
+	173	111
+	3	175	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	112
+	177	111
+	3	178	112	psDrawFilled
+	opaqueGC
+	175	112
+	177	111
+	3	178	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	113
+	116	114
+	3	114	113	psDrawFilled
+	opaqueGC
+	118	113
+	116	114
+	3	114	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	114
+	114	113
+	3	116	114	psDrawFilled
+	opaqueGC
+	112	114
+	114	113
+	3	116	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	113
+	120	114
+	3	118	113	psDrawFilled
+	opaqueGC
+	121	113
+	120	114
+	3	118	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	114
+	118	113
+	3	120	114	psDrawFilled
+	opaqueGC
+	116	114
+	118	113
+	3	120	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	113
+	123	114
+	3	121	113	psDrawFilled
+	opaqueGC
+	125	113
+	123	114
+	3	121	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	114
+	121	113
+	3	123	114	psDrawFilled
+	opaqueGC
+	120	114
+	121	113
+	3	123	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	113
+	127	114
+	3	125	113	psDrawFilled
+	opaqueGC
+	129	113
+	127	114
+	3	125	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	114
+	125	113
+	3	127	114	psDrawFilled
+	opaqueGC
+	123	114
+	125	113
+	3	127	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	113
+	130	114
+	3	129	113	psDrawFilled
+	opaqueGC
+	132	113
+	130	114
+	3	129	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	114
+	129	113
+	3	130	114	psDrawFilled
+	opaqueGC
+	127	114
+	129	113
+	3	130	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	113
+	134	114
+	3	132	113	psDrawFilled
+	opaqueGC
+	136	113
+	134	114
+	3	132	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	114
+	132	113
+	3	134	114	psDrawFilled
+	opaqueGC
+	130	114
+	132	113
+	3	134	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	113
+	137	114
+	3	136	113	psDrawFilled
+	opaqueGC
+	139	113
+	137	114
+	3	136	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	114
+	136	113
+	3	137	114	psDrawFilled
+	opaqueGC
+	134	114
+	136	113
+	3	137	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	113
+	141	114
+	3	139	113	psDrawFilled
+	opaqueGC
+	143	113
+	141	114
+	3	139	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	114
+	139	113
+	3	141	114	psDrawFilled
+	opaqueGC
+	137	114
+	139	113
+	3	141	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	113
+	145	114
+	3	143	113	psDrawFilled
+	opaqueGC
+	146	113
+	145	114
+	3	143	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	114
+	143	113
+	3	145	114	psDrawFilled
+	opaqueGC
+	141	114
+	143	113
+	3	145	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	113
+	148	114
+	3	146	113	psDrawFilled
+	opaqueGC
+	150	113
+	148	114
+	3	146	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	114
+	146	113
+	3	148	114	psDrawFilled
+	opaqueGC
+	145	114
+	146	113
+	3	148	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	113
+	152	114
+	3	150	113	psDrawFilled
+	opaqueGC
+	153	113
+	152	114
+	3	150	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	114
+	150	113
+	3	152	114	psDrawFilled
+	opaqueGC
+	148	114
+	150	113
+	3	152	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	113
+	155	114
+	3	153	113	psDrawFilled
+	opaqueGC
+	157	113
+	155	114
+	3	153	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	114
+	153	113
+	3	155	114	psDrawFilled
+	opaqueGC
+	152	114
+	153	113
+	3	155	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	113
+	159	114
+	3	157	113	psDrawFilled
+	opaqueGC
+	161	113
+	159	114
+	3	157	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	114
+	157	113
+	3	159	114	psDrawFilled
+	opaqueGC
+	155	114
+	157	113
+	3	159	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	112
+	162	114
+	3	161	113	psDrawFilled
+	opaqueGC
+	164	112
+	162	114
+	3	161	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	114
+	161	113
+	3	162	114	psDrawFilled
+	opaqueGC
+	159	114
+	161	113
+	3	162	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	112
+	166	114
+	3	164	112	psDrawFilled
+	opaqueGC
+	168	112
+	166	114
+	3	164	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	114
+	164	112
+	3	166	114	psDrawFilled
+	opaqueGC
+	162	114
+	164	112
+	3	166	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	112
+	170	113
+	3	168	112	psDrawFilled
+	opaqueGC
+	171	112
+	170	113
+	3	168	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	114
+	168	112
+	3	170	113	psDrawFilled
+	opaqueGC
+	166	114
+	168	112
+	3	170	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	112
+	173	113
+	3	171	112	psDrawFilled
+	opaqueGC
+	175	112
+	173	113
+	3	171	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	113
+	171	112
+	3	173	113	psDrawFilled
+	opaqueGC
+	170	113
+	171	112
+	3	173	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	112
+	177	113
+	3	175	112	psDrawFilled
+	opaqueGC
+	178	112
+	177	113
+	3	175	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	113
+	175	112
+	3	177	113	psDrawFilled
+	opaqueGC
+	173	113
+	175	112
+	3	177	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	113
+	178	112
+	3	180	113	psDrawFilled
+	opaqueGC
+	177	113
+	178	112
+	3	180	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	114
+	114	115
+	3	112	114	psDrawFilled
+	opaqueGC
+	116	114
+	114	115
+	3	112	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	115
+	112	114
+	3	114	115	psDrawFilled
+	opaqueGC
+	111	115
+	112	114
+	3	114	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	114
+	118	115
+	3	116	114	psDrawFilled
+	opaqueGC
+	120	114
+	118	115
+	3	116	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	115
+	116	114
+	3	118	115	psDrawFilled
+	opaqueGC
+	114	115
+	116	114
+	3	118	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	114
+	121	115
+	3	120	114	psDrawFilled
+	opaqueGC
+	123	114
+	121	115
+	3	120	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	115
+	120	114
+	3	121	115	psDrawFilled
+	opaqueGC
+	118	115
+	120	114
+	3	121	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	114
+	125	115
+	3	123	114	psDrawFilled
+	opaqueGC
+	127	114
+	125	115
+	3	123	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	115
+	123	114
+	3	125	115	psDrawFilled
+	opaqueGC
+	121	115
+	123	114
+	3	125	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	114
+	128	115
+	3	127	114	psDrawFilled
+	opaqueGC
+	130	114
+	128	115
+	3	127	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	115
+	127	114
+	3	128	115	psDrawFilled
+	opaqueGC
+	125	115
+	127	114
+	3	128	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	114
+	132	115
+	3	130	114	psDrawFilled
+	opaqueGC
+	134	114
+	132	115
+	3	130	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	115
+	130	114
+	3	132	115	psDrawFilled
+	opaqueGC
+	128	115
+	130	114
+	3	132	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	114
+	136	115
+	3	134	114	psDrawFilled
+	opaqueGC
+	137	114
+	136	115
+	3	134	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	115
+	134	114
+	3	136	115	psDrawFilled
+	opaqueGC
+	132	115
+	134	114
+	3	136	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	114
+	139	115
+	3	137	114	psDrawFilled
+	opaqueGC
+	141	114
+	139	115
+	3	137	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	115
+	137	114
+	3	139	115	psDrawFilled
+	opaqueGC
+	136	115
+	137	114
+	3	139	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	114
+	143	115
+	3	141	114	psDrawFilled
+	opaqueGC
+	145	114
+	143	115
+	3	141	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	115
+	141	114
+	3	143	115	psDrawFilled
+	opaqueGC
+	139	115
+	141	114
+	3	143	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	114
+	146	115
+	3	145	114	psDrawFilled
+	opaqueGC
+	148	114
+	146	115
+	3	145	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	115
+	145	114
+	3	146	115	psDrawFilled
+	opaqueGC
+	143	115
+	145	114
+	3	146	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	114
+	150	115
+	3	148	114	psDrawFilled
+	opaqueGC
+	152	114
+	150	115
+	3	148	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	115
+	148	114
+	3	150	115	psDrawFilled
+	opaqueGC
+	146	115
+	148	114
+	3	150	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	114
+	154	115
+	3	152	114	psDrawFilled
+	opaqueGC
+	155	114
+	154	115
+	3	152	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	115
+	152	114
+	3	154	115	psDrawFilled
+	opaqueGC
+	150	115
+	152	114
+	3	154	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	114
+	157	115
+	3	155	114	psDrawFilled
+	opaqueGC
+	159	114
+	157	115
+	3	155	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	115
+	155	114
+	3	157	115	psDrawFilled
+	opaqueGC
+	154	115
+	155	114
+	3	157	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	114
+	161	115
+	3	159	114	psDrawFilled
+	opaqueGC
+	162	114
+	161	115
+	3	159	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	115
+	159	114
+	3	161	115	psDrawFilled
+	opaqueGC
+	157	115
+	159	114
+	3	161	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	114
+	164	115
+	3	162	114	psDrawFilled
+	opaqueGC
+	166	114
+	164	115
+	3	162	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	115
+	162	114
+	3	164	115	psDrawFilled
+	opaqueGC
+	161	115
+	162	114
+	3	164	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	113
+	168	115
+	3	166	114	psDrawFilled
+	opaqueGC
+	170	113
+	168	115
+	3	166	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	115
+	166	114
+	3	168	115	psDrawFilled
+	opaqueGC
+	164	115
+	166	114
+	3	168	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	113
+	171	115
+	3	170	113	psDrawFilled
+	opaqueGC
+	173	113
+	171	115
+	3	170	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	115
+	170	113
+	3	171	115	psDrawFilled
+	opaqueGC
+	168	115
+	170	113
+	3	171	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	113
+	175	114
+	3	173	113	psDrawFilled
+	opaqueGC
+	177	113
+	175	114
+	3	173	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	115
+	173	113
+	3	175	114	psDrawFilled
+	opaqueGC
+	171	115
+	173	113
+	3	175	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	113
+	179	114
+	3	177	113	psDrawFilled
+	opaqueGC
+	180	113
+	179	114
+	3	177	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	114
+	177	113
+	3	179	114	psDrawFilled
+	opaqueGC
+	175	114
+	177	113
+	3	179	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	114
+	180	113
+	3	182	114	psDrawFilled
+	opaqueGC
+	179	114
+	180	113
+	3	182	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	115
+	112	117
+	3	111	115	psDrawFilled
+	opaqueGC
+	114	115
+	112	117
+	3	111	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	117
+	111	115
+	3	112	117	psDrawFilled
+	opaqueGC
+	109	117
+	111	115
+	3	112	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	115
+	116	117
+	3	114	115	psDrawFilled
+	opaqueGC
+	118	115
+	116	117
+	3	114	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	117
+	114	115
+	3	116	117	psDrawFilled
+	opaqueGC
+	112	117
+	114	115
+	3	116	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	115
+	120	117
+	3	118	115	psDrawFilled
+	opaqueGC
+	121	115
+	120	117
+	3	118	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	117
+	118	115
+	3	120	117	psDrawFilled
+	opaqueGC
+	116	117
+	118	115
+	3	120	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	115
+	123	117
+	3	121	115	psDrawFilled
+	opaqueGC
+	125	115
+	123	117
+	3	121	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	117
+	121	115
+	3	123	117	psDrawFilled
+	opaqueGC
+	120	117
+	121	115
+	3	123	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	115
+	127	117
+	3	125	115	psDrawFilled
+	opaqueGC
+	128	115
+	127	117
+	3	125	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	117
+	125	115
+	3	127	117	psDrawFilled
+	opaqueGC
+	123	117
+	125	115
+	3	127	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	115
+	130	117
+	3	128	115	psDrawFilled
+	opaqueGC
+	132	115
+	130	117
+	3	128	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	117
+	128	115
+	3	130	117	psDrawFilled
+	opaqueGC
+	127	117
+	128	115
+	3	130	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	115
+	134	116
+	3	132	115	psDrawFilled
+	opaqueGC
+	136	115
+	134	116
+	3	132	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	117
+	132	115
+	3	134	116	psDrawFilled
+	opaqueGC
+	130	117
+	132	115
+	3	134	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	115
+	137	116
+	3	136	115	psDrawFilled
+	opaqueGC
+	139	115
+	137	116
+	3	136	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	116
+	136	115
+	3	137	116	psDrawFilled
+	opaqueGC
+	134	116
+	136	115
+	3	137	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	115
+	141	116
+	3	139	115	psDrawFilled
+	opaqueGC
+	143	115
+	141	116
+	3	139	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	116
+	139	115
+	3	141	116	psDrawFilled
+	opaqueGC
+	137	116
+	139	115
+	3	141	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	115
+	145	116
+	3	143	115	psDrawFilled
+	opaqueGC
+	146	115
+	145	116
+	3	143	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	116
+	143	115
+	3	145	116	psDrawFilled
+	opaqueGC
+	141	116
+	143	115
+	3	145	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	115
+	148	116
+	3	146	115	psDrawFilled
+	opaqueGC
+	150	115
+	148	116
+	3	146	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	116
+	146	115
+	3	148	116	psDrawFilled
+	opaqueGC
+	145	116
+	146	115
+	3	148	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	115
+	152	116
+	3	150	115	psDrawFilled
+	opaqueGC
+	154	115
+	152	116
+	3	150	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	116
+	150	115
+	3	152	116	psDrawFilled
+	opaqueGC
+	148	116
+	150	115
+	3	152	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	115
+	155	116
+	3	154	115	psDrawFilled
+	opaqueGC
+	157	115
+	155	116
+	3	154	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	116
+	154	115
+	3	155	116	psDrawFilled
+	opaqueGC
+	152	116
+	154	115
+	3	155	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	115
+	159	116
+	3	157	115	psDrawFilled
+	opaqueGC
+	161	115
+	159	116
+	3	157	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	116
+	157	115
+	3	159	116	psDrawFilled
+	opaqueGC
+	155	116
+	157	115
+	3	159	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	115
+	162	116
+	3	161	115	psDrawFilled
+	opaqueGC
+	164	115
+	162	116
+	3	161	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	116
+	161	115
+	3	162	116	psDrawFilled
+	opaqueGC
+	159	116
+	161	115
+	3	162	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	115
+	166	116
+	3	164	115	psDrawFilled
+	opaqueGC
+	168	115
+	166	116
+	3	164	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	116
+	164	115
+	3	166	116	psDrawFilled
+	opaqueGC
+	162	116
+	164	115
+	3	166	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	115
+	170	116
+	3	168	115	psDrawFilled
+	opaqueGC
+	171	115
+	170	116
+	3	168	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	116
+	168	115
+	3	170	116	psDrawFilled
+	opaqueGC
+	166	116
+	168	115
+	3	170	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	114
+	173	115
+	3	171	115	psDrawFilled
+	opaqueGC
+	175	114
+	173	115
+	3	171	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	116
+	171	115
+	3	173	115	psDrawFilled
+	opaqueGC
+	170	116
+	171	115
+	3	173	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	114
+	177	115
+	3	175	114	psDrawFilled
+	opaqueGC
+	179	114
+	177	115
+	3	175	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	115
+	175	114
+	3	177	115	psDrawFilled
+	opaqueGC
+	173	115
+	175	114
+	3	177	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	114
+	180	115
+	3	179	114	psDrawFilled
+	opaqueGC
+	182	114
+	180	115
+	3	179	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	115
+	179	114
+	3	180	115	psDrawFilled
+	opaqueGC
+	177	115
+	179	114
+	3	180	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	117
+	111	118
+	3	109	117	psDrawFilled
+	opaqueGC
+	112	117
+	111	118
+	3	109	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	118
+	109	117
+	3	111	118	psDrawFilled
+	opaqueGC
+	107	118
+	109	117
+	3	111	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	117
+	114	118
+	3	112	117	psDrawFilled
+	opaqueGC
+	116	117
+	114	118
+	3	112	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	118
+	112	117
+	3	114	118	psDrawFilled
+	opaqueGC
+	111	118
+	112	117
+	3	114	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	117
+	118	118
+	3	116	117	psDrawFilled
+	opaqueGC
+	120	117
+	118	118
+	3	116	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	118
+	116	117
+	3	118	118	psDrawFilled
+	opaqueGC
+	114	118
+	116	117
+	3	118	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	117
+	121	118
+	3	120	117	psDrawFilled
+	opaqueGC
+	123	117
+	121	118
+	3	120	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	118
+	120	117
+	3	121	118	psDrawFilled
+	opaqueGC
+	118	118
+	120	117
+	3	121	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	117
+	125	118
+	3	123	117	psDrawFilled
+	opaqueGC
+	127	117
+	125	118
+	3	123	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	118
+	123	117
+	3	125	118	psDrawFilled
+	opaqueGC
+	121	118
+	123	117
+	3	125	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	117
+	128	118
+	3	127	117	psDrawFilled
+	opaqueGC
+	130	117
+	128	118
+	3	127	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	118
+	127	117
+	3	128	118	psDrawFilled
+	opaqueGC
+	125	118
+	127	117
+	3	128	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	116
+	132	118
+	3	130	117	psDrawFilled
+	opaqueGC
+	134	116
+	132	118
+	3	130	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	118
+	130	117
+	3	132	118	psDrawFilled
+	opaqueGC
+	128	118
+	130	117
+	3	132	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	116
+	136	118
+	3	134	116	psDrawFilled
+	opaqueGC
+	137	116
+	136	118
+	3	134	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	118
+	134	116
+	3	136	118	psDrawFilled
+	opaqueGC
+	132	118
+	134	116
+	3	136	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	116
+	139	118
+	3	137	116	psDrawFilled
+	opaqueGC
+	141	116
+	139	118
+	3	137	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	118
+	137	116
+	3	139	118	psDrawFilled
+	opaqueGC
+	136	118
+	137	116
+	3	139	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	116
+	143	118
+	3	141	116	psDrawFilled
+	opaqueGC
+	145	116
+	143	118
+	3	141	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	118
+	141	116
+	3	143	118	psDrawFilled
+	opaqueGC
+	139	118
+	141	116
+	3	143	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	116
+	146	118
+	3	145	116	psDrawFilled
+	opaqueGC
+	148	116
+	146	118
+	3	145	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	118
+	145	116
+	3	146	118	psDrawFilled
+	opaqueGC
+	143	118
+	145	116
+	3	146	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	116
+	150	118
+	3	148	116	psDrawFilled
+	opaqueGC
+	152	116
+	150	118
+	3	148	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	118
+	148	116
+	3	150	118	psDrawFilled
+	opaqueGC
+	146	118
+	148	116
+	3	150	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	115
+	182	114
+	3	184	114	psDrawFilled
+	opaqueGC
+	180	115
+	182	114
+	3	184	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	116
+	154	117
+	3	152	116	psDrawFilled
+	opaqueGC
+	155	116
+	154	117
+	3	152	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	118
+	152	116
+	3	154	117	psDrawFilled
+	opaqueGC
+	150	118
+	152	116
+	3	154	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	116
+	157	117
+	3	155	116	psDrawFilled
+	opaqueGC
+	159	116
+	157	117
+	3	155	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	117
+	155	116
+	3	157	117	psDrawFilled
+	opaqueGC
+	154	117
+	155	116
+	3	157	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	116
+	161	117
+	3	159	116	psDrawFilled
+	opaqueGC
+	162	116
+	161	117
+	3	159	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	117
+	159	116
+	3	161	117	psDrawFilled
+	opaqueGC
+	157	117
+	159	116
+	3	161	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	116
+	164	117
+	3	162	116	psDrawFilled
+	opaqueGC
+	166	116
+	164	117
+	3	162	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	117
+	162	116
+	3	164	117	psDrawFilled
+	opaqueGC
+	161	117
+	162	116
+	3	164	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	116
+	168	117
+	3	166	116	psDrawFilled
+	opaqueGC
+	170	116
+	168	117
+	3	166	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	117
+	166	116
+	3	168	117	psDrawFilled
+	opaqueGC
+	164	117
+	166	116
+	3	168	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	115
+	171	117
+	3	170	116	psDrawFilled
+	opaqueGC
+	173	115
+	171	117
+	3	170	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	117
+	170	116
+	3	171	117	psDrawFilled
+	opaqueGC
+	168	117
+	170	116
+	3	171	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	115
+	175	116
+	3	173	115	psDrawFilled
+	opaqueGC
+	177	115
+	175	116
+	3	173	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	117
+	173	115
+	3	175	116	psDrawFilled
+	opaqueGC
+	171	117
+	173	115
+	3	175	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	118
+	109	119
+	3	107	118	psDrawFilled
+	opaqueGC
+	111	118
+	109	119
+	3	107	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	119
+	107	118
+	3	109	119	psDrawFilled
+	opaqueGC
+	105	119
+	107	118
+	3	109	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	118
+	112	119
+	3	111	118	psDrawFilled
+	opaqueGC
+	114	118
+	112	119
+	3	111	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	119
+	111	118
+	3	112	119	psDrawFilled
+	opaqueGC
+	109	119
+	111	118
+	3	112	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	118
+	116	119
+	3	114	118	psDrawFilled
+	opaqueGC
+	118	118
+	116	119
+	3	114	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	119
+	114	118
+	3	116	119	psDrawFilled
+	opaqueGC
+	112	119
+	114	118
+	3	116	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	118
+	119	119
+	3	118	118	psDrawFilled
+	opaqueGC
+	121	118
+	119	119
+	3	118	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	119
+	118	118
+	3	119	119	psDrawFilled
+	opaqueGC
+	116	119
+	118	118
+	3	119	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	118
+	123	119
+	3	121	118	psDrawFilled
+	opaqueGC
+	125	118
+	123	119
+	3	121	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	119
+	121	118
+	3	123	119	psDrawFilled
+	opaqueGC
+	119	119
+	121	118
+	3	123	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	118
+	127	119
+	3	125	118	psDrawFilled
+	opaqueGC
+	128	118
+	127	119
+	3	125	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	119
+	125	118
+	3	127	119	psDrawFilled
+	opaqueGC
+	123	119
+	125	118
+	3	127	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	118
+	130	119
+	3	128	118	psDrawFilled
+	opaqueGC
+	132	118
+	130	119
+	3	128	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	119
+	128	118
+	3	130	119	psDrawFilled
+	opaqueGC
+	127	119
+	128	118
+	3	130	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	118
+	134	119
+	3	132	118	psDrawFilled
+	opaqueGC
+	136	118
+	134	119
+	3	132	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	119
+	132	118
+	3	134	119	psDrawFilled
+	opaqueGC
+	130	119
+	132	118
+	3	134	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	118
+	137	119
+	3	136	118	psDrawFilled
+	opaqueGC
+	139	118
+	137	119
+	3	136	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	119
+	136	118
+	3	137	119	psDrawFilled
+	opaqueGC
+	134	119
+	136	118
+	3	137	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	118
+	141	119
+	3	139	118	psDrawFilled
+	opaqueGC
+	143	118
+	141	119
+	3	139	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	119
+	139	118
+	3	141	119	psDrawFilled
+	opaqueGC
+	137	119
+	139	118
+	3	141	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	115
+	179	116
+	3	177	115	psDrawFilled
+	opaqueGC
+	180	115
+	179	116
+	3	177	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	116
+	177	115
+	3	179	116	psDrawFilled
+	opaqueGC
+	175	116
+	177	115
+	3	179	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	118
+	145	119
+	3	143	118	psDrawFilled
+	opaqueGC
+	146	118
+	145	119
+	3	143	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	119
+	143	118
+	3	145	119	psDrawFilled
+	opaqueGC
+	141	119
+	143	118
+	3	145	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	118
+	148	119
+	3	146	118	psDrawFilled
+	opaqueGC
+	150	118
+	148	119
+	3	146	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	119
+	146	118
+	3	148	119	psDrawFilled
+	opaqueGC
+	145	119
+	146	118
+	3	148	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	117
+	152	119
+	3	150	118	psDrawFilled
+	opaqueGC
+	154	117
+	152	119
+	3	150	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	119
+	150	118
+	3	152	119	psDrawFilled
+	opaqueGC
+	148	119
+	150	118
+	3	152	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	117
+	155	119
+	3	154	117	psDrawFilled
+	opaqueGC
+	157	117
+	155	119
+	3	154	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	119
+	154	117
+	3	155	119	psDrawFilled
+	opaqueGC
+	152	119
+	154	117
+	3	155	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	114
+	182	115
+	3	180	115	psDrawFilled
+	opaqueGC
+	184	114
+	182	115
+	3	180	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	116
+	180	115
+	3	182	115	psDrawFilled
+	opaqueGC
+	179	116
+	180	115
+	3	182	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	117
+	159	118
+	3	157	117	psDrawFilled
+	opaqueGC
+	161	117
+	159	118
+	3	157	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	119
+	157	117
+	3	159	118	psDrawFilled
+	opaqueGC
+	155	119
+	157	117
+	3	159	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	117
+	163	118
+	3	161	117	psDrawFilled
+	opaqueGC
+	164	117
+	163	118
+	3	161	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	118
+	161	117
+	3	163	118	psDrawFilled
+	opaqueGC
+	159	118
+	161	117
+	3	163	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	117
+	166	118
+	3	164	117	psDrawFilled
+	opaqueGC
+	168	117
+	166	118
+	3	164	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	118
+	164	117
+	3	166	118	psDrawFilled
+	opaqueGC
+	163	118
+	164	117
+	3	166	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	115
+	184	114
+	3	186	114	psDrawFilled
+	opaqueGC
+	182	115
+	184	114
+	3	186	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	117
+	170	118
+	3	168	117	psDrawFilled
+	opaqueGC
+	171	117
+	170	118
+	3	168	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	118
+	168	117
+	3	170	118	psDrawFilled
+	opaqueGC
+	166	118
+	168	117
+	3	170	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	119
+	107	120
+	3	105	119	psDrawFilled
+	opaqueGC
+	109	119
+	107	120
+	3	105	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	120
+	105	119
+	3	107	120	psDrawFilled
+	opaqueGC
+	103	120
+	105	119
+	3	107	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	119
+	110	120
+	3	109	119	psDrawFilled
+	opaqueGC
+	112	119
+	110	120
+	3	109	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	120
+	109	119
+	3	110	120	psDrawFilled
+	opaqueGC
+	107	120
+	109	119
+	3	110	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	119
+	114	120
+	3	112	119	psDrawFilled
+	opaqueGC
+	116	119
+	114	120
+	3	112	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	120
+	112	119
+	3	114	120	psDrawFilled
+	opaqueGC
+	110	120
+	112	119
+	3	114	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	119
+	118	120
+	3	116	119	psDrawFilled
+	opaqueGC
+	119	119
+	118	120
+	3	116	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	120
+	116	119
+	3	118	120	psDrawFilled
+	opaqueGC
+	114	120
+	116	119
+	3	118	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	119
+	121	120
+	3	119	119	psDrawFilled
+	opaqueGC
+	123	119
+	121	120
+	3	119	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	120
+	119	119
+	3	121	120	psDrawFilled
+	opaqueGC
+	118	120
+	119	119
+	3	121	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	119
+	125	120
+	3	123	119	psDrawFilled
+	opaqueGC
+	127	119
+	125	120
+	3	123	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	120
+	123	119
+	3	125	120	psDrawFilled
+	opaqueGC
+	121	120
+	123	119
+	3	125	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	116
+	173	117
+	3	171	117	psDrawFilled
+	opaqueGC
+	175	116
+	173	117
+	3	171	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	118
+	171	117
+	3	173	117	psDrawFilled
+	opaqueGC
+	170	118
+	171	117
+	3	173	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	119
+	128	120
+	3	127	119	psDrawFilled
+	opaqueGC
+	130	119
+	128	120
+	3	127	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	120
+	127	119
+	3	128	120	psDrawFilled
+	opaqueGC
+	125	120
+	127	119
+	3	128	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	119
+	132	120
+	3	130	119	psDrawFilled
+	opaqueGC
+	134	119
+	132	120
+	3	130	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	120
+	130	119
+	3	132	120	psDrawFilled
+	opaqueGC
+	128	120
+	130	119
+	3	132	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	119
+	136	120
+	3	134	119	psDrawFilled
+	opaqueGC
+	137	119
+	136	120
+	3	134	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	120
+	134	119
+	3	136	120	psDrawFilled
+	opaqueGC
+	132	120
+	134	119
+	3	136	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	119
+	139	120
+	3	137	119	psDrawFilled
+	opaqueGC
+	141	119
+	139	120
+	3	137	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	120
+	137	119
+	3	139	120	psDrawFilled
+	opaqueGC
+	136	120
+	137	119
+	3	139	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	119
+	143	120
+	3	141	119	psDrawFilled
+	opaqueGC
+	145	119
+	143	120
+	3	141	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	120
+	141	119
+	3	143	120	psDrawFilled
+	opaqueGC
+	139	120
+	141	119
+	3	143	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	119
+	146	120
+	3	145	119	psDrawFilled
+	opaqueGC
+	148	119
+	146	120
+	3	145	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	120
+	145	119
+	3	146	120	psDrawFilled
+	opaqueGC
+	143	120
+	145	119
+	3	146	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	119
+	150	120
+	3	148	119	psDrawFilled
+	opaqueGC
+	152	119
+	150	120
+	3	148	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	120
+	148	119
+	3	150	120	psDrawFilled
+	opaqueGC
+	146	120
+	148	119
+	3	150	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	116
+	177	117
+	3	175	116	psDrawFilled
+	opaqueGC
+	179	116
+	177	117
+	3	175	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	117
+	175	116
+	3	177	117	psDrawFilled
+	opaqueGC
+	173	117
+	175	116
+	3	177	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	119
+	154	120
+	3	152	119	psDrawFilled
+	opaqueGC
+	155	119
+	154	120
+	3	152	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	120
+	152	119
+	3	154	120	psDrawFilled
+	opaqueGC
+	150	120
+	152	119
+	3	154	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	118
+	157	120
+	3	155	119	psDrawFilled
+	opaqueGC
+	159	118
+	157	120
+	3	155	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	120
+	155	119
+	3	157	120	psDrawFilled
+	opaqueGC
+	154	120
+	155	119
+	3	157	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	118
+	161	119
+	3	159	118	psDrawFilled
+	opaqueGC
+	163	118
+	161	119
+	3	159	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	120
+	159	118
+	3	161	119	psDrawFilled
+	opaqueGC
+	157	120
+	159	118
+	3	161	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	115
+	181	116
+	3	179	116	psDrawFilled
+	opaqueGC
+	182	115
+	181	116
+	3	179	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	117
+	179	116
+	3	181	116	psDrawFilled
+	opaqueGC
+	177	117
+	179	116
+	3	181	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	118
+	164	119
+	3	163	118	psDrawFilled
+	opaqueGC
+	166	118
+	164	119
+	3	163	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	119
+	163	118
+	3	164	119	psDrawFilled
+	opaqueGC
+	161	119
+	163	118
+	3	164	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	118
+	168	119
+	3	166	118	psDrawFilled
+	opaqueGC
+	170	118
+	168	119
+	3	166	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	119
+	166	118
+	3	168	119	psDrawFilled
+	opaqueGC
+	164	119
+	166	118
+	3	168	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	120
+	105	122
+	3	103	120	psDrawFilled
+	opaqueGC
+	107	120
+	105	122
+	3	103	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	122
+	103	120
+	3	105	122	psDrawFilled
+	opaqueGC
+	101	122
+	103	120
+	3	105	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	120
+	109	122
+	3	107	120	psDrawFilled
+	opaqueGC
+	110	120
+	109	122
+	3	107	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	122
+	107	120
+	3	109	122	psDrawFilled
+	opaqueGC
+	105	122
+	107	120
+	3	109	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	120
+	112	122
+	3	110	120	psDrawFilled
+	opaqueGC
+	114	120
+	112	122
+	3	110	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	122
+	110	120
+	3	112	122	psDrawFilled
+	opaqueGC
+	109	122
+	110	120
+	3	112	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	120
+	116	122
+	3	114	120	psDrawFilled
+	opaqueGC
+	118	120
+	116	122
+	3	114	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	122
+	114	120
+	3	116	122	psDrawFilled
+	opaqueGC
+	112	122
+	114	120
+	3	116	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	120
+	119	122
+	3	118	120	psDrawFilled
+	opaqueGC
+	121	120
+	119	122
+	3	118	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	122
+	118	120
+	3	119	122	psDrawFilled
+	opaqueGC
+	116	122
+	118	120
+	3	119	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	120
+	123	122
+	3	121	120	psDrawFilled
+	opaqueGC
+	125	120
+	123	122
+	3	121	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	122
+	121	120
+	3	123	122	psDrawFilled
+	opaqueGC
+	119	122
+	121	120
+	3	123	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	120
+	127	122
+	3	125	120	psDrawFilled
+	opaqueGC
+	128	120
+	127	122
+	3	125	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	122
+	125	120
+	3	127	122	psDrawFilled
+	opaqueGC
+	123	122
+	125	120
+	3	127	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	120
+	130	122
+	3	128	120	psDrawFilled
+	opaqueGC
+	132	120
+	130	122
+	3	128	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	122
+	128	120
+	3	130	122	psDrawFilled
+	opaqueGC
+	127	122
+	128	120
+	3	130	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	114
+	184	115
+	3	182	115	psDrawFilled
+	opaqueGC
+	186	114
+	184	115
+	3	182	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	116
+	182	115
+	3	184	115	psDrawFilled
+	opaqueGC
+	181	116
+	182	115
+	3	184	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	120
+	134	121
+	3	132	120	psDrawFilled
+	opaqueGC
+	136	120
+	134	121
+	3	132	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	122
+	132	120
+	3	134	121	psDrawFilled
+	opaqueGC
+	130	122
+	132	120
+	3	134	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	120
+	137	121
+	3	136	120	psDrawFilled
+	opaqueGC
+	139	120
+	137	121
+	3	136	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	121
+	136	120
+	3	137	121	psDrawFilled
+	opaqueGC
+	134	121
+	136	120
+	3	137	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	117
+	172	118
+	3	170	118	psDrawFilled
+	opaqueGC
+	173	117
+	172	118
+	3	170	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	119
+	170	118
+	3	172	118	psDrawFilled
+	opaqueGC
+	168	119
+	170	118
+	3	172	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	120
+	141	121
+	3	139	120	psDrawFilled
+	opaqueGC
+	143	120
+	141	121
+	3	139	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	121
+	139	120
+	3	141	121	psDrawFilled
+	opaqueGC
+	137	121
+	139	120
+	3	141	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	120
+	145	121
+	3	143	120	psDrawFilled
+	opaqueGC
+	146	120
+	145	121
+	3	143	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	121
+	143	120
+	3	145	121	psDrawFilled
+	opaqueGC
+	141	121
+	143	120
+	3	145	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	120
+	148	121
+	3	146	120	psDrawFilled
+	opaqueGC
+	150	120
+	148	121
+	3	146	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	121
+	146	120
+	3	148	121	psDrawFilled
+	opaqueGC
+	145	121
+	146	120
+	3	148	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	120
+	152	121
+	3	150	120	psDrawFilled
+	opaqueGC
+	154	120
+	152	121
+	3	150	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	121
+	150	120
+	3	152	121	psDrawFilled
+	opaqueGC
+	148	121
+	150	120
+	3	152	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	117
+	175	118
+	3	173	117	psDrawFilled
+	opaqueGC
+	177	117
+	175	118
+	3	173	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	118
+	173	117
+	3	175	118	psDrawFilled
+	opaqueGC
+	172	118
+	173	117
+	3	175	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	120
+	155	121
+	3	154	120	psDrawFilled
+	opaqueGC
+	157	120
+	155	121
+	3	154	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	121
+	154	120
+	3	155	121	psDrawFilled
+	opaqueGC
+	152	121
+	154	120
+	3	155	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	115
+	186	114
+	3	188	114	psDrawFilled
+	opaqueGC
+	184	115
+	186	114
+	3	188	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	119
+	159	120
+	3	157	120	psDrawFilled
+	opaqueGC
+	161	119
+	159	120
+	3	157	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	121
+	157	120
+	3	159	120	psDrawFilled
+	opaqueGC
+	155	121
+	157	120
+	3	159	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	119
+	163	120
+	3	161	119	psDrawFilled
+	opaqueGC
+	164	119
+	163	120
+	3	161	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	120
+	161	119
+	3	163	120	psDrawFilled
+	opaqueGC
+	159	120
+	161	119
+	3	163	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	116
+	179	117
+	3	177	117	psDrawFilled
+	opaqueGC
+	181	116
+	179	117
+	3	177	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	118
+	177	117
+	3	179	117	psDrawFilled
+	opaqueGC
+	175	118
+	177	117
+	3	179	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	122
+	103	123
+	3	101	122	psDrawFilled
+	opaqueGC
+	105	122
+	103	123
+	3	101	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	123
+	101	122
+	3	103	123	psDrawFilled
+	opaqueGC
+	99	123
+	101	122
+	3	103	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	122
+	107	123
+	3	105	122	psDrawFilled
+	opaqueGC
+	109	122
+	107	123
+	3	105	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	123
+	105	122
+	3	107	123	psDrawFilled
+	opaqueGC
+	103	123
+	105	122
+	3	107	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	122
+	110	123
+	3	109	122	psDrawFilled
+	opaqueGC
+	112	122
+	110	123
+	3	109	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	123
+	109	122
+	3	110	123	psDrawFilled
+	opaqueGC
+	107	123
+	109	122
+	3	110	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	122
+	114	123
+	3	112	122	psDrawFilled
+	opaqueGC
+	116	122
+	114	123
+	3	112	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	123
+	112	122
+	3	114	123	psDrawFilled
+	opaqueGC
+	110	123
+	112	122
+	3	114	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	122
+	117	123
+	3	116	122	psDrawFilled
+	opaqueGC
+	119	122
+	117	123
+	3	116	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	123
+	116	122
+	3	117	123	psDrawFilled
+	opaqueGC
+	114	123
+	116	122
+	3	117	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	122
+	121	123
+	3	119	122	psDrawFilled
+	opaqueGC
+	123	122
+	121	123
+	3	119	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	123
+	119	122
+	3	121	123	psDrawFilled
+	opaqueGC
+	117	123
+	119	122
+	3	121	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	122
+	125	123
+	3	123	122	psDrawFilled
+	opaqueGC
+	127	122
+	125	123
+	3	123	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	123
+	123	122
+	3	125	123	psDrawFilled
+	opaqueGC
+	121	123
+	123	122
+	3	125	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	122
+	128	123
+	3	127	122	psDrawFilled
+	opaqueGC
+	130	122
+	128	123
+	3	127	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	123
+	127	122
+	3	128	123	psDrawFilled
+	opaqueGC
+	125	123
+	127	122
+	3	128	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	119
+	166	120
+	3	164	119	psDrawFilled
+	opaqueGC
+	168	119
+	166	120
+	3	164	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	120
+	164	119
+	3	166	120	psDrawFilled
+	opaqueGC
+	163	120
+	164	119
+	3	166	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	121
+	132	123
+	3	130	122	psDrawFilled
+	opaqueGC
+	134	121
+	132	123
+	3	130	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	123
+	130	122
+	3	132	123	psDrawFilled
+	opaqueGC
+	128	123
+	130	122
+	3	132	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	121
+	136	123
+	3	134	121	psDrawFilled
+	opaqueGC
+	137	121
+	136	123
+	3	134	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	123
+	134	121
+	3	136	123	psDrawFilled
+	opaqueGC
+	132	123
+	134	121
+	3	136	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	121
+	139	123
+	3	137	121	psDrawFilled
+	opaqueGC
+	141	121
+	139	123
+	3	137	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	123
+	137	121
+	3	139	123	psDrawFilled
+	opaqueGC
+	136	123
+	137	121
+	3	139	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	121
+	143	122
+	3	141	121	psDrawFilled
+	opaqueGC
+	145	121
+	143	122
+	3	141	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	123
+	141	121
+	3	143	122	psDrawFilled
+	opaqueGC
+	139	123
+	141	121
+	3	143	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	121
+	146	122
+	3	145	121	psDrawFilled
+	opaqueGC
+	148	121
+	146	122
+	3	145	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	122
+	145	121
+	3	146	122	psDrawFilled
+	opaqueGC
+	143	122
+	145	121
+	3	146	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	118
+	170	119
+	3	168	119	psDrawFilled
+	opaqueGC
+	172	118
+	170	119
+	3	168	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	120
+	168	119
+	3	170	119	psDrawFilled
+	opaqueGC
+	166	120
+	168	119
+	3	170	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	115
+	183	116
+	3	181	116	psDrawFilled
+	opaqueGC
+	184	115
+	183	116
+	3	181	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	117
+	181	116
+	3	183	116	psDrawFilled
+	opaqueGC
+	179	117
+	181	116
+	3	183	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	121
+	150	122
+	3	148	121	psDrawFilled
+	opaqueGC
+	152	121
+	150	122
+	3	148	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	122
+	148	121
+	3	150	122	psDrawFilled
+	opaqueGC
+	146	122
+	148	121
+	3	150	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	121
+	154	122
+	3	152	121	psDrawFilled
+	opaqueGC
+	155	121
+	154	122
+	3	152	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	122
+	152	121
+	3	154	122	psDrawFilled
+	opaqueGC
+	150	122
+	152	121
+	3	154	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	118
+	173	119
+	3	172	118	psDrawFilled
+	opaqueGC
+	175	118
+	173	119
+	3	172	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	119
+	172	118
+	3	173	119	psDrawFilled
+	opaqueGC
+	170	119
+	172	118
+	3	173	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	120
+	157	122
+	3	155	121	psDrawFilled
+	opaqueGC
+	159	120
+	157	122
+	3	155	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	122
+	155	121
+	3	157	122	psDrawFilled
+	opaqueGC
+	154	122
+	155	121
+	3	157	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	123
+	101	124
+	3	99	123	psDrawFilled
+	opaqueGC
+	103	123
+	101	124
+	3	99	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	124
+	99	123
+	3	101	124	psDrawFilled
+	opaqueGC
+	98	124
+	99	123
+	3	101	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	123
+	105	124
+	3	103	123	psDrawFilled
+	opaqueGC
+	107	123
+	105	124
+	3	103	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	124
+	103	123
+	3	105	124	psDrawFilled
+	opaqueGC
+	101	124
+	103	123
+	3	105	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	123
+	108	124
+	3	107	123	psDrawFilled
+	opaqueGC
+	110	123
+	108	124
+	3	107	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	124
+	107	123
+	3	108	124	psDrawFilled
+	opaqueGC
+	105	124
+	107	123
+	3	108	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	120
+	161	121
+	3	159	120	psDrawFilled
+	opaqueGC
+	163	120
+	161	121
+	3	159	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	122
+	159	120
+	3	161	121	psDrawFilled
+	opaqueGC
+	157	122
+	159	120
+	3	161	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	123
+	112	124
+	3	110	123	psDrawFilled
+	opaqueGC
+	114	123
+	112	124
+	3	110	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	124
+	110	123
+	3	112	124	psDrawFilled
+	opaqueGC
+	108	124
+	110	123
+	3	112	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	123
+	116	124
+	3	114	123	psDrawFilled
+	opaqueGC
+	117	123
+	116	124
+	3	114	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	124
+	114	123
+	3	116	124	psDrawFilled
+	opaqueGC
+	112	124
+	114	123
+	3	116	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	123
+	119	124
+	3	117	123	psDrawFilled
+	opaqueGC
+	121	123
+	119	124
+	3	117	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	124
+	117	123
+	3	119	124	psDrawFilled
+	opaqueGC
+	116	124
+	117	123
+	3	119	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	123
+	123	124
+	3	121	123	psDrawFilled
+	opaqueGC
+	125	123
+	123	124
+	3	121	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	124
+	121	123
+	3	123	124	psDrawFilled
+	opaqueGC
+	119	124
+	121	123
+	3	123	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	123
+	126	124
+	3	125	123	psDrawFilled
+	opaqueGC
+	128	123
+	126	124
+	3	125	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	124
+	125	123
+	3	126	124	psDrawFilled
+	opaqueGC
+	123	124
+	125	123
+	3	126	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	123
+	130	124
+	3	128	123	psDrawFilled
+	opaqueGC
+	132	123
+	130	124
+	3	128	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	124
+	128	123
+	3	130	124	psDrawFilled
+	opaqueGC
+	126	124
+	128	123
+	3	130	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	117
+	177	118
+	3	175	118	psDrawFilled
+	opaqueGC
+	179	117
+	177	118
+	3	175	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	119
+	175	118
+	3	177	118	psDrawFilled
+	opaqueGC
+	173	119
+	175	118
+	3	177	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	114
+	186	114
+	3	184	115	psDrawFilled
+	opaqueGC
+	188	114
+	186	114
+	3	184	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	116
+	184	115
+	3	186	114	psDrawFilled
+	opaqueGC
+	183	116
+	184	115
+	3	186	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	123
+	134	124
+	3	132	123	psDrawFilled
+	opaqueGC
+	136	123
+	134	124
+	3	132	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	124
+	132	123
+	3	134	124	psDrawFilled
+	opaqueGC
+	130	124
+	132	123
+	3	134	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	123
+	137	124
+	3	136	123	psDrawFilled
+	opaqueGC
+	139	123
+	137	124
+	3	136	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	124
+	136	123
+	3	137	124	psDrawFilled
+	opaqueGC
+	134	124
+	136	123
+	3	137	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	120
+	164	121
+	3	163	120	psDrawFilled
+	opaqueGC
+	166	120
+	164	121
+	3	163	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	121
+	163	120
+	3	164	121	psDrawFilled
+	opaqueGC
+	161	121
+	163	120
+	3	164	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	122
+	141	124
+	3	139	123	psDrawFilled
+	opaqueGC
+	143	122
+	141	124
+	3	139	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	124
+	139	123
+	3	141	124	psDrawFilled
+	opaqueGC
+	137	124
+	139	123
+	3	141	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	122
+	145	123
+	3	143	122	psDrawFilled
+	opaqueGC
+	146	122
+	145	123
+	3	143	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	124
+	143	122
+	3	145	123	psDrawFilled
+	opaqueGC
+	141	124
+	143	122
+	3	145	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	122
+	148	123
+	3	146	122	psDrawFilled
+	opaqueGC
+	150	122
+	148	123
+	3	146	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	123
+	146	122
+	3	148	123	psDrawFilled
+	opaqueGC
+	145	123
+	146	122
+	3	148	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	119
+	168	120
+	3	166	120	psDrawFilled
+	opaqueGC
+	170	119
+	168	120
+	3	166	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	121
+	166	120
+	3	168	120	psDrawFilled
+	opaqueGC
+	164	121
+	166	120
+	3	168	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	122
+	152	123
+	3	150	122	psDrawFilled
+	opaqueGC
+	154	122
+	152	123
+	3	150	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	123
+	150	122
+	3	152	123	psDrawFilled
+	opaqueGC
+	148	123
+	150	122
+	3	152	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	116
+	181	117
+	3	179	117	psDrawFilled
+	opaqueGC
+	183	116
+	181	117
+	3	179	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	118
+	179	117
+	3	181	117	psDrawFilled
+	opaqueGC
+	177	118
+	179	117
+	3	181	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	122
+	155	123
+	3	154	122	psDrawFilled
+	opaqueGC
+	157	122
+	155	123
+	3	154	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	123
+	154	122
+	3	155	123	psDrawFilled
+	opaqueGC
+	152	123
+	154	122
+	3	155	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	124
+	99	126
+	3	98	124	psDrawFilled
+	opaqueGC
+	101	124
+	99	126
+	3	98	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	126
+	98	124
+	3	99	126	psDrawFilled
+	opaqueGC
+	96	126
+	98	124
+	3	99	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	124
+	103	126
+	3	101	124	psDrawFilled
+	opaqueGC
+	105	124
+	103	126
+	3	101	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	126
+	101	124
+	3	103	126	psDrawFilled
+	opaqueGC
+	99	126
+	101	124
+	3	103	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	119
+	172	119
+	3	170	119	psDrawFilled
+	opaqueGC
+	173	119
+	172	119
+	3	170	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	120
+	170	119
+	3	172	119	psDrawFilled
+	opaqueGC
+	168	120
+	170	119
+	3	172	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	124
+	107	126
+	3	105	124	psDrawFilled
+	opaqueGC
+	108	124
+	107	126
+	3	105	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	126
+	105	124
+	3	107	126	psDrawFilled
+	opaqueGC
+	103	126
+	105	124
+	3	107	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	124
+	110	125
+	3	108	124	psDrawFilled
+	opaqueGC
+	112	124
+	110	125
+	3	108	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	126
+	108	124
+	3	110	125	psDrawFilled
+	opaqueGC
+	107	126
+	108	124
+	3	110	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	124
+	114	125
+	3	112	124	psDrawFilled
+	opaqueGC
+	116	124
+	114	125
+	3	112	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	125
+	112	124
+	3	114	125	psDrawFilled
+	opaqueGC
+	110	125
+	112	124
+	3	114	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	114
+	188	114
+	3	190	112	psDrawFilled
+	opaqueGC
+	186	114
+	188	114
+	3	190	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	124
+	117	125
+	3	116	124	psDrawFilled
+	opaqueGC
+	119	124
+	117	125
+	3	116	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	125
+	116	124
+	3	117	125	psDrawFilled
+	opaqueGC
+	114	125
+	116	124
+	3	117	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	124
+	121	125
+	3	119	124	psDrawFilled
+	opaqueGC
+	123	124
+	121	125
+	3	119	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	125
+	119	124
+	3	121	125	psDrawFilled
+	opaqueGC
+	117	125
+	119	124
+	3	121	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	124
+	125	125
+	3	123	124	psDrawFilled
+	opaqueGC
+	126	124
+	125	125
+	3	123	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	125
+	123	124
+	3	125	125	psDrawFilled
+	opaqueGC
+	121	125
+	123	124
+	3	125	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	121
+	159	122
+	3	157	122	psDrawFilled
+	opaqueGC
+	161	121
+	159	122
+	3	157	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	123
+	157	122
+	3	159	122	psDrawFilled
+	opaqueGC
+	155	123
+	157	122
+	3	159	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	124
+	128	125
+	3	126	124	psDrawFilled
+	opaqueGC
+	130	124
+	128	125
+	3	126	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	125
+	126	124
+	3	128	125	psDrawFilled
+	opaqueGC
+	125	125
+	126	124
+	3	128	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	124
+	132	125
+	3	130	124	psDrawFilled
+	opaqueGC
+	134	124
+	132	125
+	3	130	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	125
+	130	124
+	3	132	125	psDrawFilled
+	opaqueGC
+	128	125
+	130	124
+	3	132	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	124
+	135	125
+	3	134	124	psDrawFilled
+	opaqueGC
+	137	124
+	135	125
+	3	134	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	125
+	134	124
+	3	135	125	psDrawFilled
+	opaqueGC
+	132	125
+	134	124
+	3	135	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	124
+	139	125
+	3	137	124	psDrawFilled
+	opaqueGC
+	141	124
+	139	125
+	3	137	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	125
+	137	124
+	3	139	125	psDrawFilled
+	opaqueGC
+	135	125
+	137	124
+	3	139	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	121
+	163	122
+	3	161	121	psDrawFilled
+	opaqueGC
+	164	121
+	163	122
+	3	161	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	122
+	161	121
+	3	163	122	psDrawFilled
+	opaqueGC
+	159	122
+	161	121
+	3	163	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	123
+	143	125
+	3	141	124	psDrawFilled
+	opaqueGC
+	145	123
+	143	125
+	3	141	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	125
+	141	124
+	3	143	125	psDrawFilled
+	opaqueGC
+	139	125
+	141	124
+	3	143	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	118
+	175	118
+	3	173	119	psDrawFilled
+	opaqueGC
+	177	118
+	175	118
+	3	173	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	119
+	173	119
+	3	175	118	psDrawFilled
+	opaqueGC
+	172	119
+	173	119
+	3	175	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	123
+	146	124
+	3	145	123	psDrawFilled
+	opaqueGC
+	148	123
+	146	124
+	3	145	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	125
+	145	123
+	3	146	124	psDrawFilled
+	opaqueGC
+	143	125
+	145	123
+	3	146	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	114
+	185	114
+	3	183	116	psDrawFilled
+	opaqueGC
+	186	114
+	185	114
+	3	183	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	117
+	183	116
+	3	185	114	psDrawFilled
+	opaqueGC
+	181	117
+	183	116
+	3	185	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	123
+	150	124
+	3	148	123	psDrawFilled
+	opaqueGC
+	152	123
+	150	124
+	3	148	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	124
+	148	123
+	3	150	124	psDrawFilled
+	opaqueGC
+	146	124
+	148	123
+	3	150	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	120
+	166	121
+	3	164	121	psDrawFilled
+	opaqueGC
+	168	120
+	166	121
+	3	164	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	122
+	164	121
+	3	166	121	psDrawFilled
+	opaqueGC
+	163	122
+	164	121
+	3	166	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	126
+	97	127
+	3	96	126	psDrawFilled
+	opaqueGC
+	99	126
+	97	127
+	3	96	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	127
+	96	126
+	3	97	127	psDrawFilled
+	opaqueGC
+	94	127
+	96	126
+	3	97	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	126
+	101	127
+	3	99	126	psDrawFilled
+	opaqueGC
+	103	126
+	101	127
+	3	99	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	127
+	99	126
+	3	101	127	psDrawFilled
+	opaqueGC
+	97	127
+	99	126
+	3	101	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	123
+	154	124
+	3	152	123	psDrawFilled
+	opaqueGC
+	155	123
+	154	124
+	3	152	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	124
+	152	123
+	3	154	124	psDrawFilled
+	opaqueGC
+	150	124
+	152	123
+	3	154	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	126
+	105	127
+	3	103	126	psDrawFilled
+	opaqueGC
+	107	126
+	105	127
+	3	103	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	127
+	103	126
+	3	105	127	psDrawFilled
+	opaqueGC
+	101	127
+	103	126
+	3	105	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	125
+	108	127
+	3	107	126	psDrawFilled
+	opaqueGC
+	110	125
+	108	127
+	3	107	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	127
+	107	126
+	3	108	127	psDrawFilled
+	opaqueGC
+	105	127
+	107	126
+	3	108	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	125
+	112	127
+	3	110	125	psDrawFilled
+	opaqueGC
+	114	125
+	112	127
+	3	110	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	127
+	110	125
+	3	112	127	psDrawFilled
+	opaqueGC
+	108	127
+	110	125
+	3	112	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	125
+	116	127
+	3	114	125	psDrawFilled
+	opaqueGC
+	117	125
+	116	127
+	3	114	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	127
+	114	125
+	3	116	127	psDrawFilled
+	opaqueGC
+	112	127
+	114	125
+	3	116	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	125
+	119	127
+	3	117	125	psDrawFilled
+	opaqueGC
+	121	125
+	119	127
+	3	117	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	127
+	117	125
+	3	119	127	psDrawFilled
+	opaqueGC
+	116	127
+	117	125
+	3	119	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	117
+	179	117
+	3	177	118	psDrawFilled
+	opaqueGC
+	181	117
+	179	117
+	3	177	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	118
+	177	118
+	3	179	117	psDrawFilled
+	opaqueGC
+	175	118
+	177	118
+	3	179	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	125
+	123	127
+	3	121	125	psDrawFilled
+	opaqueGC
+	125	125
+	123	127
+	3	121	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	127
+	121	125
+	3	123	127	psDrawFilled
+	opaqueGC
+	119	127
+	121	125
+	3	123	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	125
+	126	126
+	3	125	125	psDrawFilled
+	opaqueGC
+	128	125
+	126	126
+	3	125	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	127
+	125	125
+	3	126	126	psDrawFilled
+	opaqueGC
+	123	127
+	125	125
+	3	126	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	125
+	130	126
+	3	128	125	psDrawFilled
+	opaqueGC
+	132	125
+	130	126
+	3	128	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	126
+	128	125
+	3	130	126	psDrawFilled
+	opaqueGC
+	126	126
+	128	125
+	3	130	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	122
+	157	123
+	3	155	123	psDrawFilled
+	opaqueGC
+	159	122
+	157	123
+	3	155	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	124
+	155	123
+	3	157	123	psDrawFilled
+	opaqueGC
+	154	124
+	155	123
+	3	157	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	119
+	170	120
+	3	168	120	psDrawFilled
+	opaqueGC
+	172	119
+	170	120
+	3	168	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	121
+	168	120
+	3	170	120	psDrawFilled
+	opaqueGC
+	166	121
+	168	120
+	3	170	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	125
+	134	126
+	3	132	125	psDrawFilled
+	opaqueGC
+	135	125
+	134	126
+	3	132	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	126
+	132	125
+	3	134	126	psDrawFilled
+	opaqueGC
+	130	126
+	132	125
+	3	134	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	125
+	137	126
+	3	135	125	psDrawFilled
+	opaqueGC
+	139	125
+	137	126
+	3	135	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	126
+	135	125
+	3	137	126	psDrawFilled
+	opaqueGC
+	134	126
+	135	125
+	3	137	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	125
+	141	126
+	3	139	125	psDrawFilled
+	opaqueGC
+	143	125
+	141	126
+	3	139	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	126
+	139	125
+	3	141	126	psDrawFilled
+	opaqueGC
+	137	126
+	139	125
+	3	141	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	122
+	161	123
+	3	159	122	psDrawFilled
+	opaqueGC
+	163	122
+	161	123
+	3	159	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	123
+	159	122
+	3	161	123	psDrawFilled
+	opaqueGC
+	157	123
+	159	122
+	3	161	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	124
+	145	126
+	3	143	125	psDrawFilled
+	opaqueGC
+	146	124
+	145	126
+	3	143	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	126
+	143	125
+	3	145	126	psDrawFilled
+	opaqueGC
+	141	126
+	143	125
+	3	145	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	118
+	174	119
+	3	172	119	psDrawFilled
+	opaqueGC
+	175	118
+	174	119
+	3	172	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	120
+	172	119
+	3	174	119	psDrawFilled
+	opaqueGC
+	170	120
+	172	119
+	3	174	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	124
+	148	125
+	3	146	124	psDrawFilled
+	opaqueGC
+	150	124
+	148	125
+	3	146	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	126
+	146	124
+	3	148	125	psDrawFilled
+	opaqueGC
+	145	126
+	146	124
+	3	148	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	127
+	96	128
+	3	94	127	psDrawFilled
+	opaqueGC
+	97	127
+	96	128
+	3	94	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	128
+	94	127
+	3	96	128	psDrawFilled
+	opaqueGC
+	92	128
+	94	127
+	3	96	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	127
+	99	128
+	3	97	127	psDrawFilled
+	opaqueGC
+	101	127
+	99	128
+	3	97	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	128
+	97	127
+	3	99	128	psDrawFilled
+	opaqueGC
+	96	128
+	97	127
+	3	99	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	127
+	103	128
+	3	101	127	psDrawFilled
+	opaqueGC
+	105	127
+	103	128
+	3	101	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	128
+	101	127
+	3	103	128	psDrawFilled
+	opaqueGC
+	99	128
+	101	127
+	3	103	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	127
+	106	128
+	3	105	127	psDrawFilled
+	opaqueGC
+	108	127
+	106	128
+	3	105	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	128
+	105	127
+	3	106	128	psDrawFilled
+	opaqueGC
+	103	128
+	105	127
+	3	106	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	114
+	183	115
+	3	181	117	psDrawFilled
+	opaqueGC
+	185	114
+	183	115
+	3	181	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	117
+	181	117
+	3	183	115	psDrawFilled
+	opaqueGC
+	179	117
+	181	117
+	3	183	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	127
+	110	128
+	3	108	127	psDrawFilled
+	opaqueGC
+	112	127
+	110	128
+	3	108	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	128
+	108	127
+	3	110	128	psDrawFilled
+	opaqueGC
+	106	128
+	108	127
+	3	110	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	121
+	165	122
+	3	163	122	psDrawFilled
+	opaqueGC
+	166	121
+	165	122
+	3	163	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	123
+	163	122
+	3	165	122	psDrawFilled
+	opaqueGC
+	161	123
+	163	122
+	3	165	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	112
+	188	110
+	3	186	114	psDrawFilled
+	opaqueGC
+	190	112
+	188	110
+	3	186	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	114
+	186	114
+	3	188	110	psDrawFilled
+	opaqueGC
+	185	114
+	186	114
+	3	188	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	127
+	114	128
+	3	112	127	psDrawFilled
+	opaqueGC
+	116	127
+	114	128
+	3	112	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	128
+	112	127
+	3	114	128	psDrawFilled
+	opaqueGC
+	110	128
+	112	127
+	3	114	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	127
+	117	128
+	3	116	127	psDrawFilled
+	opaqueGC
+	119	127
+	117	128
+	3	116	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	128
+	116	127
+	3	117	128	psDrawFilled
+	opaqueGC
+	114	128
+	116	127
+	3	117	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	124
+	152	125
+	3	150	124	psDrawFilled
+	opaqueGC
+	154	124
+	152	125
+	3	150	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	125
+	150	124
+	3	152	125	psDrawFilled
+	opaqueGC
+	148	125
+	150	124
+	3	152	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	127
+	121	128
+	3	119	127	psDrawFilled
+	opaqueGC
+	123	127
+	121	128
+	3	119	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	128
+	119	127
+	3	121	128	psDrawFilled
+	opaqueGC
+	117	128
+	119	127
+	3	121	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	126
+	125	128
+	3	123	127	psDrawFilled
+	opaqueGC
+	126	126
+	125	128
+	3	123	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	128
+	123	127
+	3	125	128	psDrawFilled
+	opaqueGC
+	121	128
+	123	127
+	3	125	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	126
+	128	128
+	3	126	126	psDrawFilled
+	opaqueGC
+	130	126
+	128	128
+	3	126	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	128
+	126	126
+	3	128	128	psDrawFilled
+	opaqueGC
+	125	128
+	126	126
+	3	128	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	126
+	132	127
+	3	130	126	psDrawFilled
+	opaqueGC
+	134	126
+	132	127
+	3	130	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	128
+	130	126
+	3	132	127	psDrawFilled
+	opaqueGC
+	128	128
+	130	126
+	3	132	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	123
+	155	124
+	3	154	124	psDrawFilled
+	opaqueGC
+	157	123
+	155	124
+	3	154	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	125
+	154	124
+	3	155	124	psDrawFilled
+	opaqueGC
+	152	125
+	154	124
+	3	155	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	126
+	135	127
+	3	134	126	psDrawFilled
+	opaqueGC
+	137	126
+	135	127
+	3	134	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	127
+	134	126
+	3	135	127	psDrawFilled
+	opaqueGC
+	132	127
+	134	126
+	3	135	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	117
+	177	118
+	3	175	118	psDrawFilled
+	opaqueGC
+	179	117
+	177	118
+	3	175	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	119
+	175	118
+	3	177	118	psDrawFilled
+	opaqueGC
+	174	119
+	175	118
+	3	177	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	126
+	139	127
+	3	137	126	psDrawFilled
+	opaqueGC
+	141	126
+	139	127
+	3	137	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	127
+	137	126
+	3	139	127	psDrawFilled
+	opaqueGC
+	135	127
+	137	126
+	3	139	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	120
+	168	121
+	3	166	121	psDrawFilled
+	opaqueGC
+	170	120
+	168	121
+	3	166	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	122
+	166	121
+	3	168	121	psDrawFilled
+	opaqueGC
+	165	122
+	166	121
+	3	168	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	126
+	143	127
+	3	141	126	psDrawFilled
+	opaqueGC
+	145	126
+	143	127
+	3	141	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	127
+	141	126
+	3	143	127	psDrawFilled
+	opaqueGC
+	139	127
+	141	126
+	3	143	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	123
+	159	124
+	3	157	123	psDrawFilled
+	opaqueGC
+	161	123
+	159	124
+	3	157	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	124
+	157	123
+	3	159	124	psDrawFilled
+	opaqueGC
+	155	124
+	157	123
+	3	159	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	125
+	146	126
+	3	145	126	psDrawFilled
+	opaqueGC
+	148	125
+	146	126
+	3	145	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	127
+	145	126
+	3	146	126	psDrawFilled
+	opaqueGC
+	143	127
+	145	126
+	3	146	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	128
+	94	129
+	3	92	128	psDrawFilled
+	opaqueGC
+	96	128
+	94	129
+	3	92	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	129
+	92	128
+	3	94	129	psDrawFilled
+	opaqueGC
+	90	129
+	92	128
+	3	94	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	128
+	97	129
+	3	96	128	psDrawFilled
+	opaqueGC
+	99	128
+	97	129
+	3	96	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	129
+	96	128
+	3	97	129	psDrawFilled
+	opaqueGC
+	94	129
+	96	128
+	3	97	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	128
+	101	129
+	3	99	128	psDrawFilled
+	opaqueGC
+	103	128
+	101	129
+	3	99	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	129
+	99	128
+	3	101	129	psDrawFilled
+	opaqueGC
+	97	129
+	99	128
+	3	101	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	128
+	105	129
+	3	103	128	psDrawFilled
+	opaqueGC
+	106	128
+	105	129
+	3	103	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	129
+	103	128
+	3	105	129	psDrawFilled
+	opaqueGC
+	101	129
+	103	128
+	3	105	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	128
+	108	129
+	3	106	128	psDrawFilled
+	opaqueGC
+	110	128
+	108	129
+	3	106	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	129
+	106	128
+	3	108	129	psDrawFilled
+	opaqueGC
+	105	129
+	106	128
+	3	108	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	128
+	112	129
+	3	110	128	psDrawFilled
+	opaqueGC
+	114	128
+	112	129
+	3	110	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	129
+	110	128
+	3	112	129	psDrawFilled
+	opaqueGC
+	108	129
+	110	128
+	3	112	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	128
+	115	129
+	3	114	128	psDrawFilled
+	opaqueGC
+	117	128
+	115	129
+	3	114	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	129
+	114	128
+	3	115	129	psDrawFilled
+	opaqueGC
+	112	129
+	114	128
+	3	115	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	128
+	119	129
+	3	117	128	psDrawFilled
+	opaqueGC
+	121	128
+	119	129
+	3	117	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	129
+	117	128
+	3	119	129	psDrawFilled
+	opaqueGC
+	115	129
+	117	128
+	3	119	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	128
+	123	129
+	3	121	128	psDrawFilled
+	opaqueGC
+	125	128
+	123	129
+	3	121	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	129
+	121	128
+	3	123	129	psDrawFilled
+	opaqueGC
+	119	129
+	121	128
+	3	123	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	125
+	150	126
+	3	148	125	psDrawFilled
+	opaqueGC
+	152	125
+	150	126
+	3	148	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	126
+	148	125
+	3	150	126	psDrawFilled
+	opaqueGC
+	146	126
+	148	125
+	3	150	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	119
+	172	119
+	3	170	120	psDrawFilled
+	opaqueGC
+	174	119
+	172	119
+	3	170	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	121
+	170	120
+	3	172	119	psDrawFilled
+	opaqueGC
+	168	121
+	170	120
+	3	172	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	128
+	126	129
+	3	125	128	psDrawFilled
+	opaqueGC
+	128	128
+	126	129
+	3	125	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	129
+	125	128
+	3	126	129	psDrawFilled
+	opaqueGC
+	123	129
+	125	128
+	3	126	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	122
+	163	123
+	3	161	123	psDrawFilled
+	opaqueGC
+	165	122
+	163	123
+	3	161	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	124
+	161	123
+	3	163	123	psDrawFilled
+	opaqueGC
+	159	124
+	161	123
+	3	163	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	127
+	130	129
+	3	128	128	psDrawFilled
+	opaqueGC
+	132	127
+	130	129
+	3	128	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	129
+	128	128
+	3	130	129	psDrawFilled
+	opaqueGC
+	126	129
+	128	128
+	3	130	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	115
+	181	116
+	3	179	117	psDrawFilled
+	opaqueGC
+	183	115
+	181	116
+	3	179	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	118
+	179	117
+	3	181	116	psDrawFilled
+	opaqueGC
+	177	118
+	179	117
+	3	181	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	110
+	190	112
+	3	192	108	psDrawFilled
+	opaqueGC
+	188	110
+	190	112
+	3	192	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	127
+	134	128
+	3	132	127	psDrawFilled
+	opaqueGC
+	135	127
+	134	128
+	3	132	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	129
+	132	127
+	3	134	128	psDrawFilled
+	opaqueGC
+	130	129
+	132	127
+	3	134	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	124
+	154	125
+	3	152	125	psDrawFilled
+	opaqueGC
+	155	124
+	154	125
+	3	152	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	126
+	152	125
+	3	154	125	psDrawFilled
+	opaqueGC
+	150	126
+	152	125
+	3	154	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	127
+	137	128
+	3	135	127	psDrawFilled
+	opaqueGC
+	139	127
+	137	128
+	3	135	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	128
+	135	127
+	3	137	128	psDrawFilled
+	opaqueGC
+	134	128
+	135	127
+	3	137	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	110
+	187	111
+	3	185	114	psDrawFilled
+	opaqueGC
+	188	110
+	187	111
+	3	185	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	115
+	185	114
+	3	187	111	psDrawFilled
+	opaqueGC
+	183	115
+	185	114
+	3	187	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	127
+	141	128
+	3	139	127	psDrawFilled
+	opaqueGC
+	143	127
+	141	128
+	3	139	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	128
+	139	127
+	3	141	128	psDrawFilled
+	opaqueGC
+	137	128
+	139	127
+	3	141	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	121
+	166	121
+	3	165	122	psDrawFilled
+	opaqueGC
+	168	121
+	166	121
+	3	165	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	123
+	165	122
+	3	166	121	psDrawFilled
+	opaqueGC
+	163	123
+	165	122
+	3	166	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	129
+	92	131
+	3	90	129	psDrawFilled
+	opaqueGC
+	94	129
+	92	131
+	3	90	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	131
+	90	129
+	3	92	131	psDrawFilled
+	opaqueGC
+	88	131
+	90	129
+	3	92	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	129
+	95	131
+	3	94	129	psDrawFilled
+	opaqueGC
+	97	129
+	95	131
+	3	94	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	131
+	94	129
+	3	95	131	psDrawFilled
+	opaqueGC
+	92	131
+	94	129
+	3	95	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	124
+	157	124
+	3	155	124	psDrawFilled
+	opaqueGC
+	159	124
+	157	124
+	3	155	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	125
+	155	124
+	3	157	124	psDrawFilled
+	opaqueGC
+	154	125
+	155	124
+	3	157	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	129
+	99	131
+	3	97	129	psDrawFilled
+	opaqueGC
+	101	129
+	99	131
+	3	97	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	131
+	97	129
+	3	99	131	psDrawFilled
+	opaqueGC
+	95	131
+	97	129
+	3	99	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	129
+	103	131
+	3	101	129	psDrawFilled
+	opaqueGC
+	105	129
+	103	131
+	3	101	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	131
+	101	129
+	3	103	131	psDrawFilled
+	opaqueGC
+	99	131
+	101	129
+	3	103	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	126
+	145	127
+	3	143	127	psDrawFilled
+	opaqueGC
+	146	126
+	145	127
+	3	143	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	128
+	143	127
+	3	145	127	psDrawFilled
+	opaqueGC
+	141	128
+	143	127
+	3	145	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	129
+	106	131
+	3	105	129	psDrawFilled
+	opaqueGC
+	108	129
+	106	131
+	3	105	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	131
+	105	129
+	3	106	131	psDrawFilled
+	opaqueGC
+	103	131
+	105	129
+	3	106	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	118
+	176	118
+	3	174	119	psDrawFilled
+	opaqueGC
+	177	118
+	176	118
+	3	174	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	119
+	174	119
+	3	176	118	psDrawFilled
+	opaqueGC
+	172	119
+	174	119
+	3	176	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	129
+	110	130
+	3	108	129	psDrawFilled
+	opaqueGC
+	112	129
+	110	130
+	3	108	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	131
+	108	129
+	3	110	130	psDrawFilled
+	opaqueGC
+	106	131
+	108	129
+	3	110	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	129
+	114	130
+	3	112	129	psDrawFilled
+	opaqueGC
+	115	129
+	114	130
+	3	112	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	130
+	112	129
+	3	114	130	psDrawFilled
+	opaqueGC
+	110	130
+	112	129
+	3	114	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	129
+	117	130
+	3	115	129	psDrawFilled
+	opaqueGC
+	119	129
+	117	130
+	3	115	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	130
+	115	129
+	3	117	130	psDrawFilled
+	opaqueGC
+	114	130
+	115	129
+	3	117	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	129
+	121	130
+	3	119	129	psDrawFilled
+	opaqueGC
+	123	129
+	121	130
+	3	119	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	130
+	119	129
+	3	121	130	psDrawFilled
+	opaqueGC
+	117	130
+	119	129
+	3	121	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	129
+	124	130
+	3	123	129	psDrawFilled
+	opaqueGC
+	126	129
+	124	130
+	3	123	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	130
+	123	129
+	3	124	130	psDrawFilled
+	opaqueGC
+	121	130
+	123	129
+	3	124	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	126
+	148	127
+	3	146	126	psDrawFilled
+	opaqueGC
+	150	126
+	148	127
+	3	146	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	127
+	146	126
+	3	148	127	psDrawFilled
+	opaqueGC
+	145	127
+	146	126
+	3	148	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	129
+	128	130
+	3	126	129	psDrawFilled
+	opaqueGC
+	130	129
+	128	130
+	3	126	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	130
+	126	129
+	3	128	130	psDrawFilled
+	opaqueGC
+	124	130
+	126	129
+	3	128	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	120
+	197	120
+	3	199	124	psDrawFilled
+	opaqueGC
+	196	120
+	197	120
+	3	199	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	124
+	197	124
+	3	196	120	psDrawFilled
+	opaqueGC
+	199	124
+	197	124
+	3	196	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	124
+	199	124
+	3	201	126	psDrawFilled
+	opaqueGC
+	197	124
+	199	124
+	3	201	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	128
+	132	130
+	3	130	129	psDrawFilled
+	opaqueGC
+	134	128
+	132	130
+	3	130	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	130
+	130	129
+	3	132	130	psDrawFilled
+	opaqueGC
+	128	130
+	130	129
+	3	132	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	123
+	161	123
+	3	159	124	psDrawFilled
+	opaqueGC
+	163	123
+	161	123
+	3	159	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	124
+	159	124
+	3	161	123	psDrawFilled
+	opaqueGC
+	157	124
+	159	124
+	3	161	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	126
+	199	127
+	3	197	124	psDrawFilled
+	opaqueGC
+	201	126
+	199	127
+	3	197	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	127
+	201	126
+	3	203	128	psDrawFilled
+	opaqueGC
+	199	127
+	201	126
+	3	203	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	128
+	135	129
+	3	134	128	psDrawFilled
+	opaqueGC
+	137	128
+	135	129
+	3	134	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	130
+	134	128
+	3	135	129	psDrawFilled
+	opaqueGC
+	132	130
+	134	128
+	3	135	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	125
+	152	126
+	3	150	126	psDrawFilled
+	opaqueGC
+	154	125
+	152	126
+	3	150	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	127
+	150	126
+	3	152	126	psDrawFilled
+	opaqueGC
+	148	127
+	150	126
+	3	152	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	119
+	170	120
+	3	168	121	psDrawFilled
+	opaqueGC
+	172	119
+	170	120
+	3	168	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	121
+	168	121
+	3	170	120	psDrawFilled
+	opaqueGC
+	166	121
+	168	121
+	3	170	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	111
+	185	113
+	3	183	115	psDrawFilled
+	opaqueGC
+	187	111
+	185	113
+	3	183	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	116
+	183	115
+	3	185	113	psDrawFilled
+	opaqueGC
+	181	116
+	183	115
+	3	185	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	128
+	139	129
+	3	137	128	psDrawFilled
+	opaqueGC
+	141	128
+	139	129
+	3	137	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	129
+	137	128
+	3	139	129	psDrawFilled
+	opaqueGC
+	135	129
+	137	128
+	3	139	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	114
+	196	116
+	3	197	120	psDrawFilled
+	opaqueGC
+	194	114
+	196	116
+	3	197	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	120
+	196	120
+	3	194	114	psDrawFilled
+	opaqueGC
+	197	120
+	196	120
+	3	194	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	116
+	179	117
+	3	177	118	psDrawFilled
+	opaqueGC
+	181	116
+	179	117
+	3	177	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	118
+	177	118
+	3	179	117	psDrawFilled
+	opaqueGC
+	176	118
+	177	118
+	3	179	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	128
+	201	129
+	3	199	127	psDrawFilled
+	opaqueGC
+	203	128
+	201	129
+	3	199	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	129
+	203	128
+	3	205	130	psDrawFilled
+	opaqueGC
+	201	129
+	203	128
+	3	205	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	131
+	90	132
+	3	88	131	psDrawFilled
+	opaqueGC
+	92	131
+	90	132
+	3	88	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	132
+	88	131
+	3	90	132	psDrawFilled
+	opaqueGC
+	86	132
+	88	131
+	3	90	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	131
+	93	132
+	3	92	131	psDrawFilled
+	opaqueGC
+	95	131
+	93	132
+	3	92	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	132
+	92	131
+	3	93	132	psDrawFilled
+	opaqueGC
+	90	132
+	92	131
+	3	93	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	131
+	97	132
+	3	95	131	psDrawFilled
+	opaqueGC
+	99	131
+	97	132
+	3	95	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	132
+	95	131
+	3	97	132	psDrawFilled
+	opaqueGC
+	93	132
+	95	131
+	3	97	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	131
+	101	132
+	3	99	131	psDrawFilled
+	opaqueGC
+	103	131
+	101	132
+	3	99	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	132
+	99	131
+	3	101	132	psDrawFilled
+	opaqueGC
+	97	132
+	99	131
+	3	101	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	131
+	104	132
+	3	103	131	psDrawFilled
+	opaqueGC
+	106	131
+	104	132
+	3	103	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	132
+	103	131
+	3	104	132	psDrawFilled
+	opaqueGC
+	101	132
+	103	131
+	3	104	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	130
+	108	132
+	3	106	131	psDrawFilled
+	opaqueGC
+	110	130
+	108	132
+	3	106	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	132
+	106	131
+	3	108	132	psDrawFilled
+	opaqueGC
+	104	132
+	106	131
+	3	108	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	130
+	112	132
+	3	110	130	psDrawFilled
+	opaqueGC
+	114	130
+	112	132
+	3	110	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	132
+	110	130
+	3	112	132	psDrawFilled
+	opaqueGC
+	108	132
+	110	130
+	3	112	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	127
+	143	129
+	3	141	128	psDrawFilled
+	opaqueGC
+	145	127
+	143	129
+	3	141	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	129
+	141	128
+	3	143	129	psDrawFilled
+	opaqueGC
+	139	129
+	141	128
+	3	143	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	130
+	115	132
+	3	114	130	psDrawFilled
+	opaqueGC
+	117	130
+	115	132
+	3	114	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	132
+	114	130
+	3	115	132	psDrawFilled
+	opaqueGC
+	112	132
+	114	130
+	3	115	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	124
+	156	125
+	3	154	125	psDrawFilled
+	opaqueGC
+	157	124
+	156	125
+	3	154	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	126
+	154	125
+	3	156	125	psDrawFilled
+	opaqueGC
+	152	126
+	154	125
+	3	156	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	130
+	119	131
+	3	117	130	psDrawFilled
+	opaqueGC
+	121	130
+	119	131
+	3	117	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	132
+	117	130
+	3	119	131	psDrawFilled
+	opaqueGC
+	115	132
+	117	130
+	3	119	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	121
+	165	122
+	3	163	123	psDrawFilled
+	opaqueGC
+	166	121
+	165	122
+	3	163	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	123
+	163	123
+	3	165	122	psDrawFilled
+	opaqueGC
+	161	123
+	163	123
+	3	165	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	130
+	123	131
+	3	121	130	psDrawFilled
+	opaqueGC
+	124	130
+	123	131
+	3	121	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	131
+	121	130
+	3	123	131	psDrawFilled
+	opaqueGC
+	119	131
+	121	130
+	3	123	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	130
+	126	131
+	3	124	130	psDrawFilled
+	opaqueGC
+	128	130
+	126	131
+	3	124	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	131
+	124	130
+	3	126	131	psDrawFilled
+	opaqueGC
+	123	131
+	124	130
+	3	126	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	127
+	146	128
+	3	145	127	psDrawFilled
+	opaqueGC
+	148	127
+	146	128
+	3	145	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	129
+	145	127
+	3	146	128	psDrawFilled
+	opaqueGC
+	143	129
+	145	127
+	3	146	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	130
+	203	131
+	3	201	129	psDrawFilled
+	opaqueGC
+	205	130
+	203	131
+	3	201	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	131
+	205	130
+	3	207	132	psDrawFilled
+	opaqueGC
+	203	131
+	205	130
+	3	207	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	130
+	130	131
+	3	128	130	psDrawFilled
+	opaqueGC
+	132	130
+	130	131
+	3	128	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	131
+	128	130
+	3	130	131	psDrawFilled
+	opaqueGC
+	126	131
+	128	130
+	3	130	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	118
+	174	118
+	3	172	119	psDrawFilled
+	opaqueGC
+	176	118
+	174	118
+	3	172	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	120
+	172	119
+	3	174	118	psDrawFilled
+	opaqueGC
+	170	120
+	172	119
+	3	174	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	129
+	134	131
+	3	132	130	psDrawFilled
+	opaqueGC
+	135	129
+	134	131
+	3	132	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	131
+	132	130
+	3	134	131	psDrawFilled
+	opaqueGC
+	130	131
+	132	130
+	3	134	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	123
+	159	124
+	3	157	124	psDrawFilled
+	opaqueGC
+	161	123
+	159	124
+	3	157	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	125
+	157	124
+	3	159	124	psDrawFilled
+	opaqueGC
+	156	125
+	157	124
+	3	159	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	125
+	197	124
+	3	199	127	psDrawFilled
+	opaqueGC
+	196	125
+	197	124
+	3	199	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	127
+	198	128
+	3	196	125	psDrawFilled
+	opaqueGC
+	199	127
+	198	128
+	3	196	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	128
+	199	127
+	3	201	129	psDrawFilled
+	opaqueGC
+	198	128
+	199	127
+	3	201	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	126
+	150	127
+	3	148	127	psDrawFilled
+	opaqueGC
+	152	126
+	150	127
+	3	148	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	128
+	148	127
+	3	150	127	psDrawFilled
+	opaqueGC
+	146	128
+	148	127
+	3	150	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	129
+	137	130
+	3	135	129	psDrawFilled
+	opaqueGC
+	139	129
+	137	130
+	3	135	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	131
+	135	129
+	3	137	130	psDrawFilled
+	opaqueGC
+	134	131
+	135	129
+	3	137	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	121
+	196	120
+	3	197	124	psDrawFilled
+	opaqueGC
+	194	121
+	196	120
+	3	197	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	124
+	196	125
+	3	194	121	psDrawFilled
+	opaqueGC
+	197	124
+	196	125
+	3	194	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	132
+	88	133
+	3	86	132	psDrawFilled
+	opaqueGC
+	90	132
+	88	133
+	3	86	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	133
+	86	132
+	3	88	133	psDrawFilled
+	opaqueGC
+	84	133
+	86	132
+	3	88	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	132
+	92	133
+	3	90	132	psDrawFilled
+	opaqueGC
+	93	132
+	92	133
+	3	90	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	133
+	90	132
+	3	92	133	psDrawFilled
+	opaqueGC
+	88	133
+	90	132
+	3	92	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	132
+	95	133
+	3	93	132	psDrawFilled
+	opaqueGC
+	97	132
+	95	133
+	3	93	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	133
+	93	132
+	3	95	133	psDrawFilled
+	opaqueGC
+	92	133
+	93	132
+	3	95	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	132
+	99	133
+	3	97	132	psDrawFilled
+	opaqueGC
+	101	132
+	99	133
+	3	97	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	133
+	97	132
+	3	99	133	psDrawFilled
+	opaqueGC
+	95	133
+	97	132
+	3	99	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	132
+	102	133
+	3	101	132	psDrawFilled
+	opaqueGC
+	104	132
+	102	133
+	3	101	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	133
+	101	132
+	3	102	133	psDrawFilled
+	opaqueGC
+	99	133
+	101	132
+	3	102	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	132
+	106	133
+	3	104	132	psDrawFilled
+	opaqueGC
+	108	132
+	106	133
+	3	104	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	133
+	104	132
+	3	106	133	psDrawFilled
+	opaqueGC
+	102	133
+	104	132
+	3	106	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	113
+	183	115
+	3	181	116	psDrawFilled
+	opaqueGC
+	185	113
+	183	115
+	3	181	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	117
+	181	116
+	3	183	115	psDrawFilled
+	opaqueGC
+	179	117
+	181	116
+	3	183	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	132
+	110	133
+	3	108	132	psDrawFilled
+	opaqueGC
+	112	132
+	110	133
+	3	108	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	133
+	108	132
+	3	110	133	psDrawFilled
+	opaqueGC
+	106	133
+	108	132
+	3	110	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	129
+	199	130
+	3	198	128	psDrawFilled
+	opaqueGC
+	201	129
+	199	130
+	3	198	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	130
+	201	129
+	3	203	131	psDrawFilled
+	opaqueGC
+	199	130
+	201	129
+	3	203	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	132
+	113	133
+	3	112	132	psDrawFilled
+	opaqueGC
+	115	132
+	113	133
+	3	112	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	133
+	112	132
+	3	113	133	psDrawFilled
+	opaqueGC
+	110	133
+	112	132
+	3	113	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	129
+	141	130
+	3	139	129	psDrawFilled
+	opaqueGC
+	143	129
+	141	130
+	3	139	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	130
+	139	129
+	3	141	130	psDrawFilled
+	opaqueGC
+	137	130
+	139	129
+	3	141	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	120
+	168	120
+	3	166	121	psDrawFilled
+	opaqueGC
+	170	120
+	168	120
+	3	166	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	122
+	166	121
+	3	168	120	psDrawFilled
+	opaqueGC
+	165	122
+	166	121
+	3	168	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	132
+	205	133
+	3	203	131	psDrawFilled
+	opaqueGC
+	207	132
+	205	133
+	3	203	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	133
+	207	132
+	3	209	133	psDrawFilled
+	opaqueGC
+	205	133
+	207	132
+	3	209	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	131
+	117	133
+	3	115	132	psDrawFilled
+	opaqueGC
+	119	131
+	117	133
+	3	115	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	133
+	115	132
+	3	117	133	psDrawFilled
+	opaqueGC
+	113	133
+	115	132
+	3	117	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	131
+	121	133
+	3	119	131	psDrawFilled
+	opaqueGC
+	123	131
+	121	133
+	3	119	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	133
+	119	131
+	3	121	133	psDrawFilled
+	opaqueGC
+	117	133
+	119	131
+	3	121	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	87
+	194	110
+	3	196	116	psDrawFilled
+	opaqueGC
+	194	87
+	194	110
+	3	196	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	116
+	194	114
+	3	194	87	psDrawFilled
+	opaqueGC
+	196	116
+	194	114
+	3	194	87	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	125
+	154	126
+	3	152	126	psDrawFilled
+	opaqueGC
+	156	125
+	154	126
+	3	152	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	127
+	152	126
+	3	154	126	psDrawFilled
+	opaqueGC
+	150	127
+	152	126
+	3	154	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	131
+	124	132
+	3	123	131	psDrawFilled
+	opaqueGC
+	126	131
+	124	132
+	3	123	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	133
+	123	131
+	3	124	132	psDrawFilled
+	opaqueGC
+	121	133
+	123	131
+	3	124	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	128
+	145	129
+	3	143	129	psDrawFilled
+	opaqueGC
+	146	128
+	145	129
+	3	143	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	130
+	143	129
+	3	145	129	psDrawFilled
+	opaqueGC
+	141	130
+	143	129
+	3	145	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	131
+	128	132
+	3	126	131	psDrawFilled
+	opaqueGC
+	130	131
+	128	132
+	3	126	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	132
+	126	131
+	3	128	132	psDrawFilled
+	opaqueGC
+	124	132
+	126	131
+	3	128	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	122
+	163	123
+	3	161	123	psDrawFilled
+	opaqueGC
+	165	122
+	163	123
+	3	161	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	124
+	161	123
+	3	163	123	psDrawFilled
+	opaqueGC
+	159	124
+	161	123
+	3	163	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	131
+	201	132
+	3	199	130	psDrawFilled
+	opaqueGC
+	203	131
+	201	132
+	3	199	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	132
+	203	131
+	3	205	133	psDrawFilled
+	opaqueGC
+	201	132
+	203	131
+	3	205	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	117
+	178	117
+	3	176	118	psDrawFilled
+	opaqueGC
+	179	117
+	178	117
+	3	176	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	118
+	176	118
+	3	178	117	psDrawFilled
+	opaqueGC
+	174	118
+	176	118
+	3	178	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	131
+	132	132
+	3	130	131	psDrawFilled
+	opaqueGC
+	134	131
+	132	132
+	3	130	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	132
+	130	131
+	3	132	132	psDrawFilled
+	opaqueGC
+	128	132
+	130	131
+	3	132	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	115
+	194	114
+	3	196	120	psDrawFilled
+	opaqueGC
+	192	115
+	194	114
+	3	196	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	120
+	194	121
+	3	192	115	psDrawFilled
+	opaqueGC
+	196	120
+	194	121
+	3	192	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	133
+	86	134
+	3	84	133	psDrawFilled
+	opaqueGC
+	88	133
+	86	134
+	3	84	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	135
+	84	133
+	3	86	134	psDrawFilled
+	opaqueGC
+	82	135
+	84	133
+	3	86	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	133
+	90	134
+	3	88	133	psDrawFilled
+	opaqueGC
+	92	133
+	90	134
+	3	88	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	134
+	88	133
+	3	90	134	psDrawFilled
+	opaqueGC
+	86	134
+	88	133
+	3	90	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	130
+	135	131
+	3	134	131	psDrawFilled
+	opaqueGC
+	137	130
+	135	131
+	3	134	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	132
+	134	131
+	3	135	131	psDrawFilled
+	opaqueGC
+	132	132
+	134	131
+	3	135	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	133
+	93	134
+	3	92	133	psDrawFilled
+	opaqueGC
+	95	133
+	93	134
+	3	92	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	134
+	92	133
+	3	93	134	psDrawFilled
+	opaqueGC
+	90	134
+	92	133
+	3	93	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	133
+	207	134
+	3	205	133	psDrawFilled
+	opaqueGC
+	209	133
+	207	134
+	3	205	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	134
+	209	133
+	3	210	135	psDrawFilled
+	opaqueGC
+	207	134
+	209	133
+	3	210	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	133
+	97	134
+	3	95	133	psDrawFilled
+	opaqueGC
+	99	133
+	97	134
+	3	95	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	134
+	95	133
+	3	97	134	psDrawFilled
+	opaqueGC
+	93	134
+	95	133
+	3	97	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	127
+	148	128
+	3	146	128	psDrawFilled
+	opaqueGC
+	150	127
+	148	128
+	3	146	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	129
+	146	128
+	3	148	128	psDrawFilled
+	opaqueGC
+	145	129
+	146	128
+	3	148	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	133
+	101	134
+	3	99	133	psDrawFilled
+	opaqueGC
+	102	133
+	101	134
+	3	99	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	134
+	99	133
+	3	101	134	psDrawFilled
+	opaqueGC
+	97	134
+	99	133
+	3	101	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	133
+	104	134
+	3	102	133	psDrawFilled
+	opaqueGC
+	106	133
+	104	134
+	3	102	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	134
+	102	133
+	3	104	134	psDrawFilled
+	opaqueGC
+	101	134
+	102	133
+	3	104	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	124
+	157	125
+	3	156	125	psDrawFilled
+	opaqueGC
+	159	124
+	157	125
+	3	156	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	126
+	156	125
+	3	157	125	psDrawFilled
+	opaqueGC
+	154	126
+	156	125
+	3	157	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	133
+	108	134
+	3	106	133	psDrawFilled
+	opaqueGC
+	110	133
+	108	134
+	3	106	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	134
+	106	133
+	3	108	134	psDrawFilled
+	opaqueGC
+	104	134
+	106	133
+	3	108	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	126
+	196	125
+	3	198	128	psDrawFilled
+	opaqueGC
+	194	126
+	196	125
+	3	198	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	128
+	196	129
+	3	194	126	psDrawFilled
+	opaqueGC
+	198	128
+	196	129
+	3	194	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	129
+	198	128
+	3	199	130	psDrawFilled
+	opaqueGC
+	196	129
+	198	128
+	3	199	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	108
+	192	85
+	3	188	110	psDrawFilled
+	opaqueGC
+	192	108
+	192	85
+	3	188	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	111
+	188	110
+	3	192	85	psDrawFilled
+	opaqueGC
+	187	111
+	188	110
+	3	192	85	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	133
+	112	134
+	3	110	133	psDrawFilled
+	opaqueGC
+	113	133
+	112	134
+	3	110	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	134
+	110	133
+	3	112	134	psDrawFilled
+	opaqueGC
+	108	134
+	110	133
+	3	112	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	133
+	115	134
+	3	113	133	psDrawFilled
+	opaqueGC
+	117	133
+	115	134
+	3	113	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	134
+	113	133
+	3	115	134	psDrawFilled
+	opaqueGC
+	112	134
+	113	133
+	3	115	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	130
+	139	131
+	3	137	130	psDrawFilled
+	opaqueGC
+	141	130
+	139	131
+	3	137	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	131
+	137	130
+	3	139	131	psDrawFilled
+	opaqueGC
+	135	131
+	137	130
+	3	139	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	133
+	203	134
+	3	201	132	psDrawFilled
+	opaqueGC
+	205	133
+	203	134
+	3	201	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	134
+	205	133
+	3	207	134	psDrawFilled
+	opaqueGC
+	203	134
+	205	133
+	3	207	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	130
+	198	131
+	3	196	129	psDrawFilled
+	opaqueGC
+	199	130
+	198	131
+	3	196	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	131
+	199	130
+	3	201	132	psDrawFilled
+	opaqueGC
+	198	131
+	199	130
+	3	201	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	133
+	119	134
+	3	117	133	psDrawFilled
+	opaqueGC
+	121	133
+	119	134
+	3	117	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	134
+	117	133
+	3	119	134	psDrawFilled
+	opaqueGC
+	115	134
+	117	133
+	3	119	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	122
+	194	121
+	3	196	125	psDrawFilled
+	opaqueGC
+	192	122
+	194	121
+	3	196	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	125
+	194	126
+	3	192	122	psDrawFilled
+	opaqueGC
+	196	125
+	194	126
+	3	192	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	118
+	172	118
+	3	170	120	psDrawFilled
+	opaqueGC
+	174	118
+	172	118
+	3	170	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	120
+	170	120
+	3	172	118	psDrawFilled
+	opaqueGC
+	168	120
+	170	120
+	3	172	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	132
+	123	134
+	3	121	133	psDrawFilled
+	opaqueGC
+	124	132
+	123	134
+	3	121	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	134
+	121	133
+	3	123	134	psDrawFilled
+	opaqueGC
+	119	134
+	121	133
+	3	123	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	132
+	126	133
+	3	124	132	psDrawFilled
+	opaqueGC
+	128	132
+	126	133
+	3	124	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	134
+	124	132
+	3	126	133	psDrawFilled
+	opaqueGC
+	123	134
+	124	132
+	3	126	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	126
+	152	127
+	3	150	127	psDrawFilled
+	opaqueGC
+	154	126
+	152	127
+	3	150	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	128
+	150	127
+	3	152	127	psDrawFilled
+	opaqueGC
+	148	128
+	150	127
+	3	152	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	115
+	181	116
+	3	179	117	psDrawFilled
+	opaqueGC
+	183	115
+	181	116
+	3	179	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	117
+	179	117
+	3	181	116	psDrawFilled
+	opaqueGC
+	178	117
+	179	117
+	3	181	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	129
+	143	130
+	3	141	130	psDrawFilled
+	opaqueGC
+	145	129
+	143	130
+	3	141	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	131
+	141	130
+	3	143	130	psDrawFilled
+	opaqueGC
+	139	131
+	141	130
+	3	143	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	120
+	167	120
+	3	165	122	psDrawFilled
+	opaqueGC
+	168	120
+	167	120
+	3	165	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	123
+	165	122
+	3	167	120	psDrawFilled
+	opaqueGC
+	163	123
+	165	122
+	3	167	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	132
+	200	133
+	3	198	131	psDrawFilled
+	opaqueGC
+	201	132
+	200	133
+	3	198	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	133
+	201	132
+	3	203	134	psDrawFilled
+	opaqueGC
+	200	133
+	201	132
+	3	203	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	132
+	130	133
+	3	128	132	psDrawFilled
+	opaqueGC
+	132	132
+	130	133
+	3	128	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	133
+	128	132
+	3	130	133	psDrawFilled
+	opaqueGC
+	126	133
+	128	132
+	3	130	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	135
+	209	136
+	3	207	134	psDrawFilled
+	opaqueGC
+	210	135
+	209	136
+	3	207	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	136
+	210	135
+	3	212	136	psDrawFilled
+	opaqueGC
+	209	136
+	210	135
+	3	212	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	134
+	84	136
+	3	82	135	psDrawFilled
+	opaqueGC
+	86	134
+	84	136
+	3	82	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	136
+	82	135
+	3	84	136	psDrawFilled
+	opaqueGC
+	80	136
+	82	135
+	3	84	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	134
+	88	136
+	3	86	134	psDrawFilled
+	opaqueGC
+	90	134
+	88	136
+	3	86	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	136
+	86	134
+	3	88	136	psDrawFilled
+	opaqueGC
+	84	136
+	86	134
+	3	88	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	123
+	161	123
+	3	159	124	psDrawFilled
+	opaqueGC
+	163	123
+	161	123
+	3	159	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	125
+	159	124
+	3	161	123	psDrawFilled
+	opaqueGC
+	157	125
+	159	124
+	3	161	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	134
+	91	136
+	3	90	134	psDrawFilled
+	opaqueGC
+	93	134
+	91	136
+	3	90	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	136
+	90	134
+	3	91	136	psDrawFilled
+	opaqueGC
+	88	136
+	90	134
+	3	91	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	134
+	95	136
+	3	93	134	psDrawFilled
+	opaqueGC
+	97	134
+	95	136
+	3	93	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	136
+	93	134
+	3	95	136	psDrawFilled
+	opaqueGC
+	91	136
+	93	134
+	3	95	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	134
+	205	136
+	3	203	134	psDrawFilled
+	opaqueGC
+	207	134
+	205	136
+	3	203	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	136
+	207	134
+	3	209	136	psDrawFilled
+	opaqueGC
+	205	136
+	207	134
+	3	209	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	131
+	134	133
+	3	132	132	psDrawFilled
+	opaqueGC
+	135	131
+	134	133
+	3	132	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	133
+	132	132
+	3	134	133	psDrawFilled
+	opaqueGC
+	130	133
+	132	132
+	3	134	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	134
+	99	136
+	3	97	134	psDrawFilled
+	opaqueGC
+	101	134
+	99	136
+	3	97	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	136
+	97	134
+	3	99	136	psDrawFilled
+	opaqueGC
+	95	136
+	97	134
+	3	99	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	134
+	102	136
+	3	101	134	psDrawFilled
+	opaqueGC
+	104	134
+	102	136
+	3	101	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	136
+	101	134
+	3	102	136	psDrawFilled
+	opaqueGC
+	99	136
+	101	134
+	3	102	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	134
+	106	135
+	3	104	134	psDrawFilled
+	opaqueGC
+	108	134
+	106	135
+	3	104	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	136
+	104	134
+	3	106	135	psDrawFilled
+	opaqueGC
+	102	136
+	104	134
+	3	106	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	85
+	192	108
+	3	194	110	psDrawFilled
+	opaqueGC
+	192	85
+	192	108
+	3	194	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	128
+	146	129
+	3	145	129	psDrawFilled
+	opaqueGC
+	148	128
+	146	129
+	3	145	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	130
+	145	129
+	3	146	129	psDrawFilled
+	opaqueGC
+	143	130
+	145	129
+	3	146	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	134
+	110	135
+	3	108	134	psDrawFilled
+	opaqueGC
+	112	134
+	110	135
+	3	108	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	135
+	108	134
+	3	110	135	psDrawFilled
+	opaqueGC
+	106	135
+	108	134
+	3	110	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	134
+	113	135
+	3	112	134	psDrawFilled
+	opaqueGC
+	115	134
+	113	135
+	3	112	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	135
+	112	134
+	3	113	135	psDrawFilled
+	opaqueGC
+	110	135
+	112	134
+	3	113	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	134
+	201	135
+	3	200	133	psDrawFilled
+	opaqueGC
+	203	134
+	201	135
+	3	200	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	135
+	203	134
+	3	205	136	psDrawFilled
+	opaqueGC
+	201	135
+	203	134
+	3	205	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	134
+	117	135
+	3	115	134	psDrawFilled
+	opaqueGC
+	119	134
+	117	135
+	3	115	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	135
+	115	134
+	3	117	135	psDrawFilled
+	opaqueGC
+	113	135
+	115	134
+	3	117	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	131
+	137	132
+	3	135	131	psDrawFilled
+	opaqueGC
+	139	131
+	137	132
+	3	135	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	133
+	135	131
+	3	137	132	psDrawFilled
+	opaqueGC
+	134	133
+	135	131
+	3	137	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	125
+	156	126
+	3	154	126	psDrawFilled
+	opaqueGC
+	157	125
+	156	126
+	3	154	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	127
+	154	126
+	3	156	126	psDrawFilled
+	opaqueGC
+	152	127
+	154	126
+	3	156	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	113
+	187	111
+	3	189	101	psDrawFilled
+	opaqueGC
+	185	113
+	187	111
+	3	189	101	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	101
+	187	111
+	3	185	113	psDrawFilled
+	opaqueGC
+	189	101
+	187	111
+	3	185	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	115
+	185	113
+	3	187	111	psDrawFilled
+	opaqueGC
+	183	115
+	185	113
+	3	187	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	85
+	189	101
+	3	187	111	psDrawFilled
+	opaqueGC
+	192	85
+	189	101
+	3	187	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	117
+	192	115
+	3	194	121	psDrawFilled
+	opaqueGC
+	191	117
+	192	115
+	3	194	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	121
+	192	122
+	3	191	117	psDrawFilled
+	opaqueGC
+	194	121
+	192	122
+	3	191	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	127
+	194	126
+	3	196	129	psDrawFilled
+	opaqueGC
+	192	127
+	194	126
+	3	196	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	129
+	194	130
+	3	192	127	psDrawFilled
+	opaqueGC
+	196	129
+	194	130
+	3	192	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	130
+	196	129
+	3	198	131	psDrawFilled
+	opaqueGC
+	194	130
+	196	129
+	3	198	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	134
+	121	135
+	3	119	134	psDrawFilled
+	opaqueGC
+	123	134
+	121	135
+	3	119	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	135
+	119	134
+	3	121	135	psDrawFilled
+	opaqueGC
+	117	135
+	119	134
+	3	121	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	131
+	196	132
+	3	194	130	psDrawFilled
+	opaqueGC
+	198	131
+	196	132
+	3	194	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	132
+	198	131
+	3	200	133	psDrawFilled
+	opaqueGC
+	196	132
+	198	131
+	3	200	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	133
+	124	135
+	3	123	134	psDrawFilled
+	opaqueGC
+	126	133
+	124	135
+	3	123	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	135
+	123	134
+	3	124	135	psDrawFilled
+	opaqueGC
+	121	135
+	123	134
+	3	124	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	136
+	211	137
+	3	209	136	psDrawFilled
+	opaqueGC
+	212	136
+	211	137
+	3	209	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	137
+	212	136
+	3	214	138	psDrawFilled
+	opaqueGC
+	211	137
+	212	136
+	3	214	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	117
+	176	115
+	3	174	118	psDrawFilled
+	opaqueGC
+	178	117
+	176	115
+	3	174	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	118
+	174	118
+	3	176	115	psDrawFilled
+	opaqueGC
+	172	118
+	174	118
+	3	176	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	123
+	192	122
+	3	194	126	psDrawFilled
+	opaqueGC
+	191	123
+	192	122
+	3	194	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	126
+	192	127
+	3	191	123	psDrawFilled
+	opaqueGC
+	194	126
+	192	127
+	3	191	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	130
+	141	131
+	3	139	131	psDrawFilled
+	opaqueGC
+	143	130
+	141	131
+	3	139	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	132
+	139	131
+	3	141	131	psDrawFilled
+	opaqueGC
+	137	132
+	139	131
+	3	141	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	127
+	150	128
+	3	148	128	psDrawFilled
+	opaqueGC
+	152	127
+	150	128
+	3	148	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	129
+	148	128
+	3	150	128	psDrawFilled
+	opaqueGC
+	146	129
+	148	128
+	3	150	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	136
+	207	137
+	3	205	136	psDrawFilled
+	opaqueGC
+	209	136
+	207	137
+	3	205	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	137
+	209	136
+	3	211	137	psDrawFilled
+	opaqueGC
+	207	137
+	209	136
+	3	211	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	133
+	128	134
+	3	126	133	psDrawFilled
+	opaqueGC
+	130	133
+	128	134
+	3	126	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	135
+	126	133
+	3	128	134	psDrawFilled
+	opaqueGC
+	124	135
+	126	133
+	3	128	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	133
+	198	134
+	3	196	132	psDrawFilled
+	opaqueGC
+	200	133
+	198	134
+	3	196	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	134
+	200	133
+	3	201	135	psDrawFilled
+	opaqueGC
+	198	134
+	200	133
+	3	201	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	111
+	185	114
+	3	183	115	psDrawFilled
+	opaqueGC
+	187	111
+	185	114
+	3	183	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	116
+	183	115
+	3	185	114	psDrawFilled
+	opaqueGC
+	181	116
+	183	115
+	3	185	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	136
+	82	137
+	3	80	136	psDrawFilled
+	opaqueGC
+	84	136
+	82	137
+	3	80	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	137
+	80	136
+	3	82	137	psDrawFilled
+	opaqueGC
+	78	137
+	80	136
+	3	82	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	136
+	86	137
+	3	84	136	psDrawFilled
+	opaqueGC
+	88	136
+	86	137
+	3	84	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	137
+	84	136
+	3	86	137	psDrawFilled
+	opaqueGC
+	82	137
+	84	136
+	3	86	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	136
+	89	137
+	3	88	136	psDrawFilled
+	opaqueGC
+	91	136
+	89	137
+	3	88	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	137
+	88	136
+	3	89	137	psDrawFilled
+	opaqueGC
+	86	137
+	88	136
+	3	89	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	136
+	93	137
+	3	91	136	psDrawFilled
+	opaqueGC
+	95	136
+	93	137
+	3	91	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	137
+	91	136
+	3	93	137	psDrawFilled
+	opaqueGC
+	89	137
+	91	136
+	3	93	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	136
+	203	137
+	3	201	135	psDrawFilled
+	opaqueGC
+	205	136
+	203	137
+	3	201	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	137
+	205	136
+	3	207	137	psDrawFilled
+	opaqueGC
+	203	137
+	205	136
+	3	207	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	136
+	97	137
+	3	95	136	psDrawFilled
+	opaqueGC
+	99	136
+	97	137
+	3	95	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	137
+	95	136
+	3	97	137	psDrawFilled
+	opaqueGC
+	93	137
+	95	136
+	3	97	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	110
+	194	87
+	3	192	85	psDrawFilled
+	opaqueGC
+	194	110
+	194	87
+	3	192	85	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	136
+	100	137
+	3	99	136	psDrawFilled
+	opaqueGC
+	102	136
+	100	137
+	3	99	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	137
+	99	136
+	3	100	137	psDrawFilled
+	opaqueGC
+	97	137
+	99	136
+	3	100	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	133
+	132	134
+	3	130	133	psDrawFilled
+	opaqueGC
+	134	133
+	132	134
+	3	130	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	134
+	130	133
+	3	132	134	psDrawFilled
+	opaqueGC
+	128	134
+	130	133
+	3	132	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	135
+	104	137
+	3	102	136	psDrawFilled
+	opaqueGC
+	106	135
+	104	137
+	3	102	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	137
+	102	136
+	3	104	137	psDrawFilled
+	opaqueGC
+	100	137
+	102	136
+	3	104	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	118
+	170	117
+	3	168	120	psDrawFilled
+	opaqueGC
+	172	118
+	170	117
+	3	168	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	120
+	168	120
+	3	170	117	psDrawFilled
+	opaqueGC
+	167	120
+	168	120
+	3	170	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	120
+	165	121
+	3	163	123	psDrawFilled
+	opaqueGC
+	167	120
+	165	121
+	3	163	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	123
+	163	123
+	3	165	121	psDrawFilled
+	opaqueGC
+	161	123
+	163	123
+	3	165	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	135
+	108	137
+	3	106	135	psDrawFilled
+	opaqueGC
+	110	135
+	108	137
+	3	106	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	137
+	106	135
+	3	108	137	psDrawFilled
+	opaqueGC
+	104	137
+	106	135
+	3	108	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	135
+	111	136
+	3	110	135	psDrawFilled
+	opaqueGC
+	113	135
+	111	136
+	3	110	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	137
+	110	135
+	3	111	136	psDrawFilled
+	opaqueGC
+	108	137
+	110	135
+	3	111	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	129
+	145	130
+	3	143	130	psDrawFilled
+	opaqueGC
+	146	129
+	145	130
+	3	143	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	131
+	143	130
+	3	145	130	psDrawFilled
+	opaqueGC
+	141	131
+	143	130
+	3	145	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	123
+	159	124
+	3	157	125	psDrawFilled
+	opaqueGC
+	161	123
+	159	124
+	3	157	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	126
+	157	125
+	3	159	124	psDrawFilled
+	opaqueGC
+	156	126
+	157	125
+	3	159	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	135
+	115	136
+	3	113	135	psDrawFilled
+	opaqueGC
+	117	135
+	115	136
+	3	113	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	136
+	113	135
+	3	115	136	psDrawFilled
+	opaqueGC
+	111	136
+	113	135
+	3	115	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	135
+	200	136
+	3	198	134	psDrawFilled
+	opaqueGC
+	201	135
+	200	136
+	3	198	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	136
+	201	135
+	3	203	137	psDrawFilled
+	opaqueGC
+	200	136
+	201	135
+	3	203	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	132
+	135	133
+	3	134	133	psDrawFilled
+	opaqueGC
+	137	132
+	135	133
+	3	134	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	134
+	134	133
+	3	135	133	psDrawFilled
+	opaqueGC
+	132	134
+	134	133
+	3	135	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	135
+	119	136
+	3	117	135	psDrawFilled
+	opaqueGC
+	121	135
+	119	136
+	3	117	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	136
+	117	135
+	3	119	136	psDrawFilled
+	opaqueGC
+	115	136
+	117	135
+	3	119	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	138
+	213	139
+	3	211	137	psDrawFilled
+	opaqueGC
+	214	138
+	213	139
+	3	211	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	139
+	214	138
+	3	216	139	psDrawFilled
+	opaqueGC
+	213	139
+	214	138
+	3	216	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	119
+	191	117
+	3	192	122	psDrawFilled
+	opaqueGC
+	189	119
+	191	117
+	3	192	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	122
+	191	123
+	3	189	119	psDrawFilled
+	opaqueGC
+	192	122
+	191	123
+	3	189	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	135
+	122	136
+	3	121	135	psDrawFilled
+	opaqueGC
+	124	135
+	122	136
+	3	121	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	136
+	121	135
+	3	122	136	psDrawFilled
+	opaqueGC
+	119	136
+	121	135
+	3	122	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	137
+	209	139
+	3	207	137	psDrawFilled
+	opaqueGC
+	211	137
+	209	139
+	3	207	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	139
+	211	137
+	3	213	139	psDrawFilled
+	opaqueGC
+	209	139
+	211	137
+	3	213	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	126
+	154	126
+	3	152	127	psDrawFilled
+	opaqueGC
+	156	126
+	154	126
+	3	152	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	128
+	152	127
+	3	154	126	psDrawFilled
+	opaqueGC
+	150	128
+	152	127
+	3	154	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	116
+	180	115
+	3	178	117	psDrawFilled
+	opaqueGC
+	181	116
+	180	115
+	3	178	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	115
+	178	117
+	3	180	115	psDrawFilled
+	opaqueGC
+	176	115
+	178	117
+	3	180	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	127
+	192	127
+	3	194	130	psDrawFilled
+	opaqueGC
+	191	127
+	192	127
+	3	194	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	130
+	192	130
+	3	191	127	psDrawFilled
+	opaqueGC
+	194	130
+	192	130
+	3	191	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	130
+	194	130
+	3	196	132	psDrawFilled
+	opaqueGC
+	192	130
+	194	130
+	3	196	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	132
+	194	133
+	3	192	130	psDrawFilled
+	opaqueGC
+	196	132
+	194	133
+	3	192	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	133
+	196	132
+	3	198	134	psDrawFilled
+	opaqueGC
+	194	133
+	196	132
+	3	198	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	137
+	205	139
+	3	203	137	psDrawFilled
+	opaqueGC
+	207	137
+	205	139
+	3	203	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	139
+	207	137
+	3	209	139	psDrawFilled
+	opaqueGC
+	205	139
+	207	137
+	3	209	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	134
+	126	135
+	3	124	135	psDrawFilled
+	opaqueGC
+	128	134
+	126	135
+	3	124	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	136
+	124	135
+	3	126	135	psDrawFilled
+	opaqueGC
+	122	136
+	124	135
+	3	126	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	131
+	139	132
+	3	137	132	psDrawFilled
+	opaqueGC
+	141	131
+	139	132
+	3	137	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	133
+	137	132
+	3	139	132	psDrawFilled
+	opaqueGC
+	135	133
+	137	132
+	3	139	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	103
+	194	87
+	3	194	114	psDrawFilled
+	opaqueGC
+	191	103
+	194	87
+	3	194	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	114
+	192	115
+	3	191	103	psDrawFilled
+	opaqueGC
+	194	114
+	192	115
+	3	191	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	137
+	80	138
+	3	78	137	psDrawFilled
+	opaqueGC
+	82	137
+	80	138
+	3	78	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	138
+	78	137
+	3	80	138	psDrawFilled
+	opaqueGC
+	76	138
+	78	137
+	3	80	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	137
+	84	138
+	3	82	137	psDrawFilled
+	opaqueGC
+	86	137
+	84	138
+	3	82	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	138
+	82	137
+	3	84	138	psDrawFilled
+	opaqueGC
+	80	138
+	82	137
+	3	84	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	137
+	87	138
+	3	86	137	psDrawFilled
+	opaqueGC
+	89	137
+	87	138
+	3	86	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	138
+	86	137
+	3	87	138	psDrawFilled
+	opaqueGC
+	84	138
+	86	137
+	3	87	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	134
+	196	135
+	3	194	133	psDrawFilled
+	opaqueGC
+	198	134
+	196	135
+	3	194	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	135
+	198	134
+	3	200	136	psDrawFilled
+	opaqueGC
+	196	135
+	198	134
+	3	200	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	128
+	148	129
+	3	146	129	psDrawFilled
+	opaqueGC
+	150	128
+	148	129
+	3	146	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	130
+	146	129
+	3	148	129	psDrawFilled
+	opaqueGC
+	145	130
+	146	129
+	3	148	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	137
+	91	138
+	3	89	137	psDrawFilled
+	opaqueGC
+	93	137
+	91	138
+	3	89	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	138
+	89	137
+	3	91	138	psDrawFilled
+	opaqueGC
+	87	138
+	89	137
+	3	91	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	137
+	95	138
+	3	93	137	psDrawFilled
+	opaqueGC
+	97	137
+	95	138
+	3	93	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	138
+	93	137
+	3	95	138	psDrawFilled
+	opaqueGC
+	91	138
+	93	137
+	3	95	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	123
+	191	123
+	3	192	127	psDrawFilled
+	opaqueGC
+	189	123
+	191	123
+	3	192	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	127
+	191	127
+	3	189	123	psDrawFilled
+	opaqueGC
+	192	127
+	191	127
+	3	189	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	137
+	202	138
+	3	200	136	psDrawFilled
+	opaqueGC
+	203	137
+	202	138
+	3	200	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	138
+	203	137
+	3	205	139	psDrawFilled
+	opaqueGC
+	202	138
+	203	137
+	3	205	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	137
+	98	138
+	3	97	137	psDrawFilled
+	opaqueGC
+	100	137
+	98	138
+	3	97	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	138
+	97	137
+	3	98	138	psDrawFilled
+	opaqueGC
+	95	138
+	97	137
+	3	98	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	134
+	130	135
+	3	128	134	psDrawFilled
+	opaqueGC
+	132	134
+	130	135
+	3	128	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	135
+	128	134
+	3	130	135	psDrawFilled
+	opaqueGC
+	126	135
+	128	134
+	3	130	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	137
+	102	138
+	3	100	137	psDrawFilled
+	opaqueGC
+	104	137
+	102	138
+	3	100	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	138
+	100	137
+	3	102	138	psDrawFilled
+	opaqueGC
+	98	138
+	100	137
+	3	102	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	137
+	106	138
+	3	104	137	psDrawFilled
+	opaqueGC
+	108	137
+	106	138
+	3	104	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	138
+	104	137
+	3	106	138	psDrawFilled
+	opaqueGC
+	102	138
+	104	137
+	3	106	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	136
+	110	138
+	3	108	137	psDrawFilled
+	opaqueGC
+	111	136
+	110	138
+	3	108	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	138
+	108	137
+	3	110	138	psDrawFilled
+	opaqueGC
+	106	138
+	108	137
+	3	110	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	136
+	113	138
+	3	111	136	psDrawFilled
+	opaqueGC
+	115	136
+	113	138
+	3	111	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	138
+	111	136
+	3	113	138	psDrawFilled
+	opaqueGC
+	110	138
+	111	136
+	3	113	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	114
+	183	115
+	3	181	116	psDrawFilled
+	opaqueGC
+	185	114
+	183	115
+	3	181	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	115
+	181	116
+	3	183	115	psDrawFilled
+	opaqueGC
+	180	115
+	181	116
+	3	183	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	130
+	143	131
+	3	141	131	psDrawFilled
+	opaqueGC
+	145	130
+	143	131
+	3	141	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	132
+	141	131
+	3	143	131	psDrawFilled
+	opaqueGC
+	139	132
+	141	131
+	3	143	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	139
+	215	140
+	3	213	139	psDrawFilled
+	opaqueGC
+	216	139
+	215	140
+	3	213	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	140
+	216	139
+	3	218	140	psDrawFilled
+	opaqueGC
+	215	140
+	216	139
+	3	218	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	133
+	133	134
+	3	132	134	psDrawFilled
+	opaqueGC
+	135	133
+	133	134
+	3	132	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	135
+	132	134
+	3	133	134	psDrawFilled
+	opaqueGC
+	130	135
+	132	134
+	3	133	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	136
+	198	137
+	3	196	135	psDrawFilled
+	opaqueGC
+	200	136
+	198	137
+	3	196	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	137
+	200	136
+	3	202	138	psDrawFilled
+	opaqueGC
+	198	137
+	200	136
+	3	202	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	136
+	117	137
+	3	115	136	psDrawFilled
+	opaqueGC
+	119	136
+	117	137
+	3	115	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	138
+	115	136
+	3	117	137	psDrawFilled
+	opaqueGC
+	113	138
+	115	136
+	3	117	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	139
+	211	140
+	3	209	139	psDrawFilled
+	opaqueGC
+	213	139
+	211	140
+	3	209	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	140
+	213	139
+	3	215	140	psDrawFilled
+	opaqueGC
+	211	140
+	213	139
+	3	215	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	121
+	163	121
+	3	161	123	psDrawFilled
+	opaqueGC
+	165	121
+	163	121
+	3	161	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	124
+	161	123
+	3	163	121	psDrawFilled
+	opaqueGC
+	159	124
+	161	123
+	3	163	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	139
+	207	140
+	3	205	139	psDrawFilled
+	opaqueGC
+	209	139
+	207	140
+	3	205	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	140
+	209	139
+	3	211	140	psDrawFilled
+	opaqueGC
+	207	140
+	209	139
+	3	211	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	136
+	121	137
+	3	119	136	psDrawFilled
+	opaqueGC
+	122	136
+	121	137
+	3	119	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	137
+	119	136
+	3	121	137	psDrawFilled
+	opaqueGC
+	117	137
+	119	136
+	3	121	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	124
+	157	124
+	3	156	126	psDrawFilled
+	opaqueGC
+	159	124
+	157	124
+	3	156	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	126
+	156	126
+	3	157	124	psDrawFilled
+	opaqueGC
+	154	126
+	156	126
+	3	157	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	120
+	189	119
+	3	191	123	psDrawFilled
+	opaqueGC
+	187	120
+	189	119
+	3	191	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	123
+	189	123
+	3	187	120	psDrawFilled
+	opaqueGC
+	191	123
+	189	123
+	3	187	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	117
+	169	117
+	3	167	120	psDrawFilled
+	opaqueGC
+	170	117
+	169	117
+	3	167	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	121
+	167	120
+	3	169	117	psDrawFilled
+	opaqueGC
+	165	121
+	167	120
+	3	169	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	139
+	203	140
+	3	202	138	psDrawFilled
+	opaqueGC
+	205	139
+	203	140
+	3	202	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	140
+	205	139
+	3	207	140	psDrawFilled
+	opaqueGC
+	203	140
+	205	139
+	3	207	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	135
+	124	137
+	3	122	136	psDrawFilled
+	opaqueGC
+	126	135
+	124	137
+	3	122	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	137
+	122	136
+	3	124	137	psDrawFilled
+	opaqueGC
+	121	137
+	122	136
+	3	124	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	115
+	174	113
+	3	172	118	psDrawFilled
+	opaqueGC
+	176	115
+	174	113
+	3	172	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	117
+	172	118
+	3	174	113	psDrawFilled
+	opaqueGC
+	170	117
+	172	118
+	3	174	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	126
+	152	127
+	3	150	128	psDrawFilled
+	opaqueGC
+	154	126
+	152	127
+	3	150	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	129
+	150	128
+	3	152	127	psDrawFilled
+	opaqueGC
+	148	129
+	150	128
+	3	152	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	132
+	137	133
+	3	135	133	psDrawFilled
+	opaqueGC
+	139	132
+	137	133
+	3	135	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	134
+	135	133
+	3	137	133	psDrawFilled
+	opaqueGC
+	133	134
+	135	133
+	3	137	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	131
+	192	130
+	3	194	133	psDrawFilled
+	opaqueGC
+	191	131
+	192	130
+	3	194	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	133
+	192	134
+	3	191	131	psDrawFilled
+	opaqueGC
+	194	133
+	192	134
+	3	191	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	134
+	194	133
+	3	196	135	psDrawFilled
+	opaqueGC
+	192	134
+	194	133
+	3	196	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	138
+	78	139
+	3	76	138	psDrawFilled
+	opaqueGC
+	80	138
+	78	139
+	3	76	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	139
+	76	138
+	3	78	139	psDrawFilled
+	opaqueGC
+	74	139
+	76	138
+	3	78	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	138
+	82	139
+	3	80	138	psDrawFilled
+	opaqueGC
+	84	138
+	82	139
+	3	80	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	139
+	80	138
+	3	82	139	psDrawFilled
+	opaqueGC
+	78	139
+	80	138
+	3	82	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	138
+	86	139
+	3	84	138	psDrawFilled
+	opaqueGC
+	87	138
+	86	139
+	3	84	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	139
+	84	138
+	3	86	139	psDrawFilled
+	opaqueGC
+	82	139
+	84	138
+	3	86	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	138
+	89	139
+	3	87	138	psDrawFilled
+	opaqueGC
+	91	138
+	89	139
+	3	87	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	139
+	87	138
+	3	89	139	psDrawFilled
+	opaqueGC
+	86	139
+	87	138
+	3	89	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	138
+	93	139
+	3	91	138	psDrawFilled
+	opaqueGC
+	95	138
+	93	139
+	3	91	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	139
+	91	138
+	3	93	139	psDrawFilled
+	opaqueGC
+	89	139
+	91	138
+	3	93	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	127
+	191	127
+	3	192	130	psDrawFilled
+	opaqueGC
+	189	127
+	191	127
+	3	192	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	130
+	191	131
+	3	189	127	psDrawFilled
+	opaqueGC
+	192	130
+	191	131
+	3	189	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	138
+	97	139
+	3	95	138	psDrawFilled
+	opaqueGC
+	98	138
+	97	139
+	3	95	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	139
+	95	138
+	3	97	139	psDrawFilled
+	opaqueGC
+	93	139
+	95	138
+	3	97	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	138
+	200	139
+	3	198	137	psDrawFilled
+	opaqueGC
+	202	138
+	200	139
+	3	198	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	139
+	202	138
+	3	203	140	psDrawFilled
+	opaqueGC
+	200	139
+	202	138
+	3	203	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	138
+	100	139
+	3	98	138	psDrawFilled
+	opaqueGC
+	102	138
+	100	139
+	3	98	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	139
+	98	138
+	3	100	139	psDrawFilled
+	opaqueGC
+	97	139
+	98	138
+	3	100	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	135
+	194	136
+	3	192	134	psDrawFilled
+	opaqueGC
+	196	135
+	194	136
+	3	192	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	136
+	196	135
+	3	198	137	psDrawFilled
+	opaqueGC
+	194	136
+	196	135
+	3	198	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	115
+	191	117
+	3	189	112	psDrawFilled
+	opaqueGC
+	192	115
+	191	117
+	3	189	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	116
+	189	112
+	3	191	117	psDrawFilled
+	opaqueGC
+	187	116
+	189	112
+	3	191	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	117
+	189	119
+	3	187	116	psDrawFilled
+	opaqueGC
+	191	117
+	189	119
+	3	187	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	135
+	128	136
+	3	126	135	psDrawFilled
+	opaqueGC
+	130	135
+	128	136
+	3	126	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	137
+	126	135
+	3	128	136	psDrawFilled
+	opaqueGC
+	124	137
+	126	135
+	3	128	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	112
+	191	103
+	3	192	115	psDrawFilled
+	opaqueGC
+	189	112
+	191	103
+	3	192	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	129
+	146	130
+	3	145	130	psDrawFilled
+	opaqueGC
+	148	129
+	146	130
+	3	145	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	131
+	145	130
+	3	146	130	psDrawFilled
+	opaqueGC
+	143	131
+	145	130
+	3	146	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	138
+	104	139
+	3	102	138	psDrawFilled
+	opaqueGC
+	106	138
+	104	139
+	3	102	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	139
+	102	138
+	3	104	139	psDrawFilled
+	opaqueGC
+	100	139
+	102	138
+	3	104	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	138
+	108	139
+	3	106	138	psDrawFilled
+	opaqueGC
+	110	138
+	108	139
+	3	106	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	139
+	106	138
+	3	108	139	psDrawFilled
+	opaqueGC
+	104	139
+	106	138
+	3	108	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	114
+	187	111
+	3	189	112	psDrawFilled
+	opaqueGC
+	185	114
+	187	111
+	3	189	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	112
+	187	116
+	3	185	114	psDrawFilled
+	opaqueGC
+	189	112
+	187	116
+	3	185	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	115
+	185	114
+	3	187	116	psDrawFilled
+	opaqueGC
+	183	115
+	185	114
+	3	187	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	140
+	216	142
+	3	215	140	psDrawFilled
+	opaqueGC
+	218	140
+	216	142
+	3	215	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	142
+	218	140
+	3	220	142	psDrawFilled
+	opaqueGC
+	216	142
+	218	140
+	3	220	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	138
+	111	139
+	3	110	138	psDrawFilled
+	opaqueGC
+	113	138
+	111	139
+	3	110	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	139
+	110	138
+	3	111	139	psDrawFilled
+	opaqueGC
+	108	139
+	110	138
+	3	111	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	140
+	213	142
+	3	211	140	psDrawFilled
+	opaqueGC
+	215	140
+	213	142
+	3	211	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	142
+	215	140
+	3	216	142	psDrawFilled
+	opaqueGC
+	213	142
+	215	140
+	3	216	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	140
+	209	142
+	3	207	140	psDrawFilled
+	opaqueGC
+	211	140
+	209	142
+	3	207	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	142
+	211	140
+	3	213	142	psDrawFilled
+	opaqueGC
+	209	142
+	211	140
+	3	213	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	123
+	189	123
+	3	191	127	psDrawFilled
+	opaqueGC
+	187	123
+	189	123
+	3	191	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	127
+	189	127
+	3	187	123	psDrawFilled
+	opaqueGC
+	191	127
+	189	127
+	3	187	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	137
+	115	139
+	3	113	138	psDrawFilled
+	opaqueGC
+	117	137
+	115	139
+	3	113	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	139
+	113	138
+	3	115	139	psDrawFilled
+	opaqueGC
+	111	139
+	113	138
+	3	115	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	134
+	132	135
+	3	130	135	psDrawFilled
+	opaqueGC
+	133	134
+	132	135
+	3	130	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	136
+	130	135
+	3	132	135	psDrawFilled
+	opaqueGC
+	128	136
+	130	135
+	3	132	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	131
+	141	132
+	3	139	132	psDrawFilled
+	opaqueGC
+	143	131
+	141	132
+	3	139	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	133
+	139	132
+	3	141	132	psDrawFilled
+	opaqueGC
+	137	133
+	139	132
+	3	141	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	137
+	196	139
+	3	194	136	psDrawFilled
+	opaqueGC
+	198	137
+	196	139
+	3	194	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	139
+	198	137
+	3	200	139	psDrawFilled
+	opaqueGC
+	196	139
+	198	137
+	3	200	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	140
+	205	141
+	3	203	140	psDrawFilled
+	opaqueGC
+	207	140
+	205	141
+	3	203	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	141
+	207	140
+	3	209	142	psDrawFilled
+	opaqueGC
+	205	141
+	207	140
+	3	209	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	137
+	119	138
+	3	117	137	psDrawFilled
+	opaqueGC
+	121	137
+	119	138
+	3	117	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	139
+	117	137
+	3	119	138	psDrawFilled
+	opaqueGC
+	115	139
+	117	137
+	3	119	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	117
+	187	116
+	3	189	119	psDrawFilled
+	opaqueGC
+	185	117
+	187	116
+	3	189	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	119
+	187	120
+	3	185	117	psDrawFilled
+	opaqueGC
+	189	119
+	187	120
+	3	185	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	140
+	202	141
+	3	200	139	psDrawFilled
+	opaqueGC
+	203	140
+	202	141
+	3	200	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	141
+	203	140
+	3	205	141	psDrawFilled
+	opaqueGC
+	202	141
+	203	140
+	3	205	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	111
+	189	101
+	3	191	103	psDrawFilled
+	opaqueGC
+	187	111
+	189	101
+	3	191	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	103
+	189	112
+	3	187	111	psDrawFilled
+	opaqueGC
+	191	103
+	189	112
+	3	187	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	137
+	122	138
+	3	121	137	psDrawFilled
+	opaqueGC
+	124	137
+	122	138
+	3	121	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	138
+	121	137
+	3	122	138	psDrawFilled
+	opaqueGC
+	119	138
+	121	137
+	3	122	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	139
+	76	141
+	3	74	139	psDrawFilled
+	opaqueGC
+	78	139
+	76	141
+	3	74	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	141
+	74	139
+	3	76	141	psDrawFilled
+	opaqueGC
+	72	141
+	74	139
+	3	76	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	139
+	80	141
+	3	78	139	psDrawFilled
+	opaqueGC
+	82	139
+	80	141
+	3	78	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	141
+	78	139
+	3	80	141	psDrawFilled
+	opaqueGC
+	76	141
+	78	139
+	3	80	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	133
+	135	134
+	3	133	134	psDrawFilled
+	opaqueGC
+	137	133
+	135	134
+	3	133	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	135
+	133	134
+	3	135	134	psDrawFilled
+	opaqueGC
+	132	135
+	133	134
+	3	135	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	139
+	84	141
+	3	82	139	psDrawFilled
+	opaqueGC
+	86	139
+	84	141
+	3	82	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	141
+	82	139
+	3	84	141	psDrawFilled
+	opaqueGC
+	80	141
+	82	139
+	3	84	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	139
+	87	141
+	3	86	139	psDrawFilled
+	opaqueGC
+	89	139
+	87	141
+	3	86	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	141
+	86	139
+	3	87	141	psDrawFilled
+	opaqueGC
+	84	141
+	86	139
+	3	87	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	139
+	91	141
+	3	89	139	psDrawFilled
+	opaqueGC
+	93	139
+	91	141
+	3	89	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	141
+	89	139
+	3	91	141	psDrawFilled
+	opaqueGC
+	87	141
+	89	139
+	3	91	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	121
+	161	122
+	3	159	124	psDrawFilled
+	opaqueGC
+	163	121
+	161	122
+	3	159	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	124
+	159	124
+	3	161	122	psDrawFilled
+	opaqueGC
+	157	124
+	159	124
+	3	161	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	139
+	95	141
+	3	93	139	psDrawFilled
+	opaqueGC
+	97	139
+	95	141
+	3	93	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	141
+	93	139
+	3	95	141	psDrawFilled
+	opaqueGC
+	91	141
+	93	139
+	3	95	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	124
+	156	125
+	3	154	126	psDrawFilled
+	opaqueGC
+	157	124
+	156	125
+	3	154	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	127
+	154	126
+	3	156	125	psDrawFilled
+	opaqueGC
+	152	127
+	154	126
+	3	156	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	139
+	198	140
+	3	196	139	psDrawFilled
+	opaqueGC
+	200	139
+	198	140
+	3	196	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	140
+	200	139
+	3	202	141	psDrawFilled
+	opaqueGC
+	198	140
+	200	139
+	3	202	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	139
+	98	140
+	3	97	139	psDrawFilled
+	opaqueGC
+	100	139
+	98	140
+	3	97	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	141
+	97	139
+	3	98	140	psDrawFilled
+	opaqueGC
+	95	141
+	97	139
+	3	98	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	136
+	126	137
+	3	124	137	psDrawFilled
+	opaqueGC
+	128	136
+	126	137
+	3	124	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	138
+	124	137
+	3	126	137	psDrawFilled
+	opaqueGC
+	122	138
+	124	137
+	3	126	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	127
+	150	128
+	3	148	129	psDrawFilled
+	opaqueGC
+	152	127
+	150	128
+	3	148	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	130
+	148	129
+	3	150	128	psDrawFilled
+	opaqueGC
+	146	130
+	148	129
+	3	150	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	139
+	102	140
+	3	100	139	psDrawFilled
+	opaqueGC
+	104	139
+	102	140
+	3	100	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	140
+	100	139
+	3	102	140	psDrawFilled
+	opaqueGC
+	98	140
+	100	139
+	3	102	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	116
+	185	117
+	3	183	115	psDrawFilled
+	opaqueGC
+	187	116
+	185	117
+	3	183	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	142
+	218	143
+	3	216	142	psDrawFilled
+	opaqueGC
+	220	142
+	218	143
+	3	216	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	143
+	220	142
+	3	222	143	psDrawFilled
+	opaqueGC
+	218	143
+	220	142
+	3	222	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	131
+	191	131
+	3	192	134	psDrawFilled
+	opaqueGC
+	189	131
+	191	131
+	3	192	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	134
+	191	135
+	3	189	131	psDrawFilled
+	opaqueGC
+	192	134
+	191	135
+	3	189	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	135
+	192	134
+	3	194	136	psDrawFilled
+	opaqueGC
+	191	135
+	192	134
+	3	194	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	142
+	215	143
+	3	213	142	psDrawFilled
+	opaqueGC
+	216	142
+	215	143
+	3	213	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	143
+	216	142
+	3	218	143	psDrawFilled
+	opaqueGC
+	215	143
+	216	142
+	3	218	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	139
+	106	140
+	3	104	139	psDrawFilled
+	opaqueGC
+	108	139
+	106	140
+	3	104	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	140
+	104	139
+	3	106	140	psDrawFilled
+	opaqueGC
+	102	140
+	104	139
+	3	106	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	119
+	187	120
+	3	189	123	psDrawFilled
+	opaqueGC
+	185	119
+	187	120
+	3	189	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	123
+	187	123
+	3	185	119	psDrawFilled
+	opaqueGC
+	189	123
+	187	123
+	3	185	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	142
+	211	143
+	3	209	142	psDrawFilled
+	opaqueGC
+	213	142
+	211	143
+	3	209	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	143
+	213	142
+	3	215	143	psDrawFilled
+	opaqueGC
+	211	143
+	213	142
+	3	215	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	136
+	193	137
+	3	191	135	psDrawFilled
+	opaqueGC
+	194	136
+	193	137
+	3	191	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	137
+	194	136
+	3	196	139	psDrawFilled
+	opaqueGC
+	193	137
+	194	136
+	3	196	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	130
+	145	131
+	3	143	131	psDrawFilled
+	opaqueGC
+	146	130
+	145	131
+	3	143	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	132
+	143	131
+	3	145	131	psDrawFilled
+	opaqueGC
+	141	132
+	143	131
+	3	145	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	117
+	167	117
+	3	165	121	psDrawFilled
+	opaqueGC
+	169	117
+	167	117
+	3	165	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	121
+	165	121
+	3	167	117	psDrawFilled
+	opaqueGC
+	163	121
+	165	121
+	3	167	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	139
+	109	140
+	3	108	139	psDrawFilled
+	opaqueGC
+	111	139
+	109	140
+	3	108	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	140
+	108	139
+	3	109	140	psDrawFilled
+	opaqueGC
+	106	140
+	108	139
+	3	109	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	115
+	178	112
+	3	176	115	psDrawFilled
+	opaqueGC
+	180	115
+	178	112
+	3	176	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	113
+	176	115
+	3	178	112	psDrawFilled
+	opaqueGC
+	174	113
+	176	115
+	3	178	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	142
+	207	143
+	3	205	141	psDrawFilled
+	opaqueGC
+	209	142
+	207	143
+	3	205	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	143
+	209	142
+	3	211	143	psDrawFilled
+	opaqueGC
+	207	143
+	209	142
+	3	211	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	127
+	189	127
+	3	191	131	psDrawFilled
+	opaqueGC
+	187	127
+	189	127
+	3	191	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	131
+	189	131
+	3	187	127	psDrawFilled
+	opaqueGC
+	191	131
+	189	131
+	3	187	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	139
+	113	140
+	3	111	139	psDrawFilled
+	opaqueGC
+	115	139
+	113	140
+	3	111	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	140
+	111	139
+	3	113	140	psDrawFilled
+	opaqueGC
+	109	140
+	111	139
+	3	113	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	115
+	182	114
+	3	180	115	psDrawFilled
+	opaqueGC
+	183	115
+	182	114
+	3	180	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	114
+	183	115
+	3	185	117	psDrawFilled
+	opaqueGC
+	182	114
+	183	115
+	3	185	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	141
+	204	143
+	3	202	141	psDrawFilled
+	opaqueGC
+	205	141
+	204	143
+	3	202	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	143
+	205	141
+	3	207	143	psDrawFilled
+	opaqueGC
+	204	143
+	205	141
+	3	207	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	135
+	130	137
+	3	128	136	psDrawFilled
+	opaqueGC
+	132	135
+	130	137
+	3	128	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	137
+	128	136
+	3	130	137	psDrawFilled
+	opaqueGC
+	126	137
+	128	136
+	3	130	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	132
+	139	133
+	3	137	133	psDrawFilled
+	opaqueGC
+	141	132
+	139	133
+	3	137	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	134
+	137	133
+	3	139	133	psDrawFilled
+	opaqueGC
+	135	134
+	137	133
+	3	139	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	139
+	194	140
+	3	193	137	psDrawFilled
+	opaqueGC
+	196	139
+	194	140
+	3	193	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	140
+	196	139
+	3	198	140	psDrawFilled
+	opaqueGC
+	194	140
+	196	139
+	3	198	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	138
+	117	139
+	3	115	139	psDrawFilled
+	opaqueGC
+	119	138
+	117	139
+	3	115	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	140
+	115	139
+	3	117	139	psDrawFilled
+	opaqueGC
+	113	140
+	115	139
+	3	117	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	141
+	200	142
+	3	198	140	psDrawFilled
+	opaqueGC
+	202	141
+	200	142
+	3	198	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	142
+	202	141
+	3	204	143	psDrawFilled
+	opaqueGC
+	200	142
+	202	141
+	3	204	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	112
+	180	115
+	3	182	114	psDrawFilled
+	opaqueGC
+	178	112
+	180	115
+	3	182	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	138
+	120	139
+	3	119	138	psDrawFilled
+	opaqueGC
+	122	138
+	120	139
+	3	119	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	139
+	119	138
+	3	120	139	psDrawFilled
+	opaqueGC
+	117	139
+	119	138
+	3	120	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	141
+	78	142
+	3	76	141	psDrawFilled
+	opaqueGC
+	80	141
+	78	142
+	3	76	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	141
+	74	142
+	3	72	141	psDrawFilled
+	opaqueGC
+	76	141
+	74	142
+	3	72	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	142
+	76	141
+	3	78	142	psDrawFilled
+	opaqueGC
+	74	142
+	76	141
+	3	78	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	142
+	72	141
+	3	74	142	psDrawFilled
+	opaqueGC
+	70	142
+	72	141
+	3	74	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	141
+	82	142
+	3	80	141	psDrawFilled
+	opaqueGC
+	84	141
+	82	142
+	3	80	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	142
+	80	141
+	3	82	142	psDrawFilled
+	opaqueGC
+	78	142
+	80	141
+	3	82	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	141
+	85	142
+	3	84	141	psDrawFilled
+	opaqueGC
+	87	141
+	85	142
+	3	84	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	142
+	84	141
+	3	85	142	psDrawFilled
+	opaqueGC
+	82	142
+	84	141
+	3	85	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	134
+	133	136
+	3	132	135	psDrawFilled
+	opaqueGC
+	135	134
+	133	136
+	3	132	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	137
+	132	135
+	3	133	136	psDrawFilled
+	opaqueGC
+	130	137
+	132	135
+	3	133	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	141
+	89	142
+	3	87	141	psDrawFilled
+	opaqueGC
+	91	141
+	89	142
+	3	87	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	142
+	87	141
+	3	89	142	psDrawFilled
+	opaqueGC
+	85	142
+	87	141
+	3	89	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	113
+	173	111
+	3	170	117	psDrawFilled
+	opaqueGC
+	174	113
+	173	111
+	3	170	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	117
+	170	117
+	3	173	111	psDrawFilled
+	opaqueGC
+	169	117
+	170	117
+	3	173	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	141
+	93	142
+	3	91	141	psDrawFilled
+	opaqueGC
+	95	141
+	93	142
+	3	91	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	142
+	91	141
+	3	93	142	psDrawFilled
+	opaqueGC
+	89	142
+	91	141
+	3	93	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	143
+	220	145
+	3	218	143	psDrawFilled
+	opaqueGC
+	222	143
+	220	145
+	3	218	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	145
+	222	143
+	3	224	145	psDrawFilled
+	opaqueGC
+	220	145
+	222	143
+	3	224	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	115
+	185	117
+	3	187	120	psDrawFilled
+	opaqueGC
+	184	115
+	185	117
+	3	187	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	120
+	185	119
+	3	184	115	psDrawFilled
+	opaqueGC
+	187	120
+	185	119
+	3	184	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	143
+	217	144
+	3	215	143	psDrawFilled
+	opaqueGC
+	218	143
+	217	144
+	3	215	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	144
+	218	143
+	3	220	145	psDrawFilled
+	opaqueGC
+	217	144
+	218	143
+	3	220	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	140
+	96	142
+	3	95	141	psDrawFilled
+	opaqueGC
+	98	140
+	96	142
+	3	95	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	142
+	95	141
+	3	96	142	psDrawFilled
+	opaqueGC
+	93	142
+	95	141
+	3	96	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	140
+	196	142
+	3	194	140	psDrawFilled
+	opaqueGC
+	198	140
+	196	142
+	3	194	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	142
+	198	140
+	3	200	142	psDrawFilled
+	opaqueGC
+	196	142
+	198	140
+	3	200	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	122
+	187	123
+	3	189	127	psDrawFilled
+	opaqueGC
+	185	122
+	187	123
+	3	189	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	127
+	187	127
+	3	185	122	psDrawFilled
+	opaqueGC
+	189	127
+	187	127
+	3	185	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	143
+	213	144
+	3	211	143	psDrawFilled
+	opaqueGC
+	215	143
+	213	144
+	3	211	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	144
+	215	143
+	3	217	144	psDrawFilled
+	opaqueGC
+	213	144
+	215	143
+	3	217	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	137
+	124	139
+	3	122	138	psDrawFilled
+	opaqueGC
+	126	137
+	124	139
+	3	122	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	139
+	122	138
+	3	124	139	psDrawFilled
+	opaqueGC
+	120	139
+	122	138
+	3	124	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	140
+	100	142
+	3	98	140	psDrawFilled
+	opaqueGC
+	102	140
+	100	142
+	3	98	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	142
+	98	140
+	3	100	142	psDrawFilled
+	opaqueGC
+	96	142
+	98	140
+	3	100	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	143
+	209	144
+	3	207	143	psDrawFilled
+	opaqueGC
+	211	143
+	209	144
+	3	207	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	144
+	211	143
+	3	213	144	psDrawFilled
+	opaqueGC
+	209	144
+	211	143
+	3	213	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	140
+	104	141
+	3	102	140	psDrawFilled
+	opaqueGC
+	106	140
+	104	141
+	3	102	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	142
+	102	140
+	3	104	141	psDrawFilled
+	opaqueGC
+	100	142
+	102	140
+	3	104	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	143
+	206	144
+	3	204	143	psDrawFilled
+	opaqueGC
+	207	143
+	206	144
+	3	204	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	144
+	207	143
+	3	209	144	psDrawFilled
+	opaqueGC
+	206	144
+	207	143
+	3	209	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	140
+	107	141
+	3	106	140	psDrawFilled
+	opaqueGC
+	109	140
+	107	141
+	3	106	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	141
+	106	140
+	3	107	141	psDrawFilled
+	opaqueGC
+	104	141
+	106	140
+	3	107	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	128
+	148	128
+	3	146	130	psDrawFilled
+	opaqueGC
+	150	128
+	148	128
+	3	146	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	131
+	146	130
+	3	148	128	psDrawFilled
+	opaqueGC
+	145	131
+	146	130
+	3	148	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	117
+	184	115
+	3	182	114	psDrawFilled
+	opaqueGC
+	185	117
+	184	115
+	3	182	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	145	131
+	143	132
+	3	141	132	psDrawFilled
+	opaqueGC
+	145	131
+	143	132
+	3	141	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	133
+	141	132
+	3	143	132	psDrawFilled
+	opaqueGC
+	139	133
+	141	132
+	3	143	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	125
+	154	125
+	3	152	127	psDrawFilled
+	opaqueGC
+	156	125
+	154	125
+	3	152	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	128
+	152	127
+	3	154	125	psDrawFilled
+	opaqueGC
+	150	128
+	152	127
+	3	154	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	143
+	202	144
+	3	200	142	psDrawFilled
+	opaqueGC
+	204	143
+	202	144
+	3	200	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	144
+	204	143
+	3	206	144	psDrawFilled
+	opaqueGC
+	202	144
+	204	143
+	3	206	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	135
+	191	135
+	3	193	137	psDrawFilled
+	opaqueGC
+	189	135
+	191	135
+	3	193	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	137
+	191	138
+	3	189	135	psDrawFilled
+	opaqueGC
+	193	137
+	191	138
+	3	189	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	138
+	193	137
+	3	194	140	psDrawFilled
+	opaqueGC
+	191	138
+	193	137
+	3	194	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	140
+	111	141
+	3	109	140	psDrawFilled
+	opaqueGC
+	113	140
+	111	141
+	3	109	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	141
+	109	140
+	3	111	141	psDrawFilled
+	opaqueGC
+	107	141
+	109	140
+	3	111	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	132
+	189	131
+	3	191	135	psDrawFilled
+	opaqueGC
+	187	132
+	189	131
+	3	191	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	135
+	189	135
+	3	187	132	psDrawFilled
+	opaqueGC
+	191	135
+	189	135
+	3	187	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	137
+	128	138
+	3	126	137	psDrawFilled
+	opaqueGC
+	130	137
+	128	138
+	3	126	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	139
+	126	137
+	3	128	138	psDrawFilled
+	opaqueGC
+	124	139
+	126	137
+	3	128	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	122
+	159	122
+	3	157	124	psDrawFilled
+	opaqueGC
+	161	122
+	159	122
+	3	157	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	125
+	157	124
+	3	159	122	psDrawFilled
+	opaqueGC
+	156	125
+	157	124
+	3	159	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	139
+	115	141
+	3	113	140	psDrawFilled
+	opaqueGC
+	117	139
+	115	141
+	3	113	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	141
+	113	140
+	3	115	141	psDrawFilled
+	opaqueGC
+	111	141
+	113	140
+	3	115	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	133
+	137	134
+	3	135	134	psDrawFilled
+	opaqueGC
+	139	133
+	137	134
+	3	135	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	136
+	135	134
+	3	137	134	psDrawFilled
+	opaqueGC
+	133	136
+	135	134
+	3	137	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	140
+	193	141
+	3	191	138	psDrawFilled
+	opaqueGC
+	194	140
+	193	141
+	3	191	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	141
+	194	140
+	3	196	142	psDrawFilled
+	opaqueGC
+	193	141
+	194	140
+	3	196	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	142
+	198	143
+	3	196	142	psDrawFilled
+	opaqueGC
+	200	142
+	198	143
+	3	196	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	143
+	200	142
+	3	202	144	psDrawFilled
+	opaqueGC
+	198	143
+	200	142
+	3	202	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	117
+	165	118
+	3	163	121	psDrawFilled
+	opaqueGC
+	167	117
+	165	118
+	3	163	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	122
+	163	121
+	3	165	118	psDrawFilled
+	opaqueGC
+	161	122
+	163	121
+	3	165	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	139
+	119	140
+	3	117	139	psDrawFilled
+	opaqueGC
+	120	139
+	119	140
+	3	117	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	141
+	117	139
+	3	119	140	psDrawFilled
+	opaqueGC
+	115	141
+	117	139
+	3	119	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	145
+	222	146
+	3	220	145	psDrawFilled
+	opaqueGC
+	224	145
+	222	146
+	3	220	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	146
+	224	145
+	3	226	146	psDrawFilled
+	opaqueGC
+	222	146
+	224	145
+	3	226	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	145
+	219	146
+	3	217	144	psDrawFilled
+	opaqueGC
+	220	145
+	219	146
+	3	217	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	146
+	220	145
+	3	222	146	psDrawFilled
+	opaqueGC
+	219	146
+	220	145
+	3	222	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	127
+	187	127
+	3	189	131	psDrawFilled
+	opaqueGC
+	185	127
+	187	127
+	3	189	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	131
+	187	132
+	3	185	127	psDrawFilled
+	opaqueGC
+	189	131
+	187	132
+	3	185	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	142
+	76	143
+	3	74	142	psDrawFilled
+	opaqueGC
+	78	142
+	76	143
+	3	74	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	142
+	72	143
+	3	70	142	psDrawFilled
+	opaqueGC
+	74	142
+	72	143
+	3	70	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	143
+	74	142
+	3	76	143	psDrawFilled
+	opaqueGC
+	72	143
+	74	142
+	3	76	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	142
+	80	143
+	3	78	142	psDrawFilled
+	opaqueGC
+	82	142
+	80	143
+	3	78	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	143
+	78	142
+	3	80	143	psDrawFilled
+	opaqueGC
+	76	143
+	78	142
+	3	80	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	144
+	215	146
+	3	213	144	psDrawFilled
+	opaqueGC
+	217	144
+	215	146
+	3	213	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	146
+	217	144
+	3	219	146	psDrawFilled
+	opaqueGC
+	215	146
+	217	144
+	3	219	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	143
+	70	142
+	3	72	143	psDrawFilled
+	opaqueGC
+	68	143
+	70	142
+	3	72	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	142
+	83	143
+	3	82	142	psDrawFilled
+	opaqueGC
+	85	142
+	83	143
+	3	82	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	143
+	82	142
+	3	83	143	psDrawFilled
+	opaqueGC
+	80	143
+	82	142
+	3	83	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	142
+	87	143
+	3	85	142	psDrawFilled
+	opaqueGC
+	89	142
+	87	143
+	3	85	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	143
+	85	142
+	3	87	143	psDrawFilled
+	opaqueGC
+	83	143
+	85	142
+	3	87	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	136
+	132	137
+	3	130	137	psDrawFilled
+	opaqueGC
+	133	136
+	132	137
+	3	130	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	138
+	130	137
+	3	132	137	psDrawFilled
+	opaqueGC
+	128	138
+	130	137
+	3	132	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	144
+	211	146
+	3	209	144	psDrawFilled
+	opaqueGC
+	213	144
+	211	146
+	3	209	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	146
+	213	144
+	3	215	146	psDrawFilled
+	opaqueGC
+	211	146
+	213	144
+	3	215	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	142
+	91	143
+	3	89	142	psDrawFilled
+	opaqueGC
+	93	142
+	91	143
+	3	89	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	143
+	89	142
+	3	91	143	psDrawFilled
+	opaqueGC
+	87	143
+	89	142
+	3	91	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	142
+	94	143
+	3	93	142	psDrawFilled
+	opaqueGC
+	96	142
+	94	143
+	3	93	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	143
+	93	142
+	3	94	143	psDrawFilled
+	opaqueGC
+	91	143
+	93	142
+	3	94	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	144
+	208	146
+	3	206	144	psDrawFilled
+	opaqueGC
+	209	144
+	208	146
+	3	206	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	146
+	209	144
+	3	211	146	psDrawFilled
+	opaqueGC
+	208	146
+	209	144
+	3	211	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	142
+	195	143
+	3	193	141	psDrawFilled
+	opaqueGC
+	196	142
+	195	143
+	3	193	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	143
+	196	142
+	3	198	143	psDrawFilled
+	opaqueGC
+	195	143
+	196	142
+	3	198	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	139
+	122	140
+	3	120	139	psDrawFilled
+	opaqueGC
+	124	139
+	122	140
+	3	120	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	140
+	120	139
+	3	122	140	psDrawFilled
+	opaqueGC
+	119	140
+	120	139
+	3	122	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	142
+	98	143
+	3	96	142	psDrawFilled
+	opaqueGC
+	100	142
+	98	143
+	3	96	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	143
+	96	142
+	3	98	143	psDrawFilled
+	opaqueGC
+	94	143
+	96	142
+	3	98	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	116
+	185	119
+	3	187	123	psDrawFilled
+	opaqueGC
+	184	116
+	185	119
+	3	187	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	123
+	185	122
+	3	184	116	psDrawFilled
+	opaqueGC
+	187	123
+	185	122
+	3	184	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	144
+	204	145
+	3	202	144	psDrawFilled
+	opaqueGC
+	206	144
+	204	145
+	3	202	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	145
+	206	144
+	3	208	146	psDrawFilled
+	opaqueGC
+	204	145
+	206	144
+	3	208	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	141
+	102	143
+	3	100	142	psDrawFilled
+	opaqueGC
+	104	141
+	102	143
+	3	100	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	143
+	100	142
+	3	102	143	psDrawFilled
+	opaqueGC
+	98	143
+	100	142
+	3	102	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	141
+	106	142
+	3	104	141	psDrawFilled
+	opaqueGC
+	107	141
+	106	142
+	3	104	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	143
+	104	141
+	3	106	142	psDrawFilled
+	opaqueGC
+	102	143
+	104	141
+	3	106	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	144
+	200	145
+	3	198	143	psDrawFilled
+	opaqueGC
+	202	144
+	200	145
+	3	198	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	145
+	202	144
+	3	204	145	psDrawFilled
+	opaqueGC
+	200	145
+	202	144
+	3	204	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	141
+	109	142
+	3	107	141	psDrawFilled
+	opaqueGC
+	111	141
+	109	142
+	3	107	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	142
+	107	141
+	3	109	142	psDrawFilled
+	opaqueGC
+	106	142
+	107	141
+	3	109	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	138
+	126	139
+	3	124	139	psDrawFilled
+	opaqueGC
+	128	138
+	126	139
+	3	124	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	140
+	124	139
+	3	126	139	psDrawFilled
+	opaqueGC
+	122	140
+	124	139
+	3	126	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	132
+	141	133
+	3	139	133	psDrawFilled
+	opaqueGC
+	143	132
+	141	133
+	3	139	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	134
+	139	133
+	3	141	133	psDrawFilled
+	opaqueGC
+	137	134
+	139	133
+	3	141	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	128
+	146	129
+	3	145	131	psDrawFilled
+	opaqueGC
+	148	128
+	146	129
+	3	145	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	132
+	145	131
+	3	146	129	psDrawFilled
+	opaqueGC
+	143	132
+	145	131
+	3	146	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	141
+	113	142
+	3	111	141	psDrawFilled
+	opaqueGC
+	115	141
+	113	142
+	3	111	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	142
+	111	141
+	3	113	142	psDrawFilled
+	opaqueGC
+	109	142
+	111	141
+	3	113	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	136
+	189	135
+	3	191	138	psDrawFilled
+	opaqueGC
+	187	136
+	189	135
+	3	191	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	138
+	189	139
+	3	187	136	psDrawFilled
+	opaqueGC
+	191	138
+	189	139
+	3	187	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	139
+	191	138
+	3	193	141	psDrawFilled
+	opaqueGC
+	189	139
+	191	138
+	3	193	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	134
+	135	135
+	3	133	136	psDrawFilled
+	opaqueGC
+	137	134
+	135	135
+	3	133	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	137
+	133	136
+	3	135	135	psDrawFilled
+	opaqueGC
+	132	137
+	133	136
+	3	135	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	143
+	196	145
+	3	195	143	psDrawFilled
+	opaqueGC
+	198	143
+	196	145
+	3	195	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	145
+	198	143
+	3	200	145	psDrawFilled
+	opaqueGC
+	196	145
+	198	143
+	3	200	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	125
+	152	125
+	3	150	128	psDrawFilled
+	opaqueGC
+	154	125
+	152	125
+	3	150	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	128
+	150	128
+	3	152	125	psDrawFilled
+	opaqueGC
+	148	128
+	150	128
+	3	152	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	141
+	191	142
+	3	189	139	psDrawFilled
+	opaqueGC
+	193	141
+	191	142
+	3	189	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	142
+	193	141
+	3	195	143	psDrawFilled
+	opaqueGC
+	191	142
+	193	141
+	3	195	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	146
+	224	147
+	3	222	146	psDrawFilled
+	opaqueGC
+	226	146
+	224	147
+	3	222	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	147
+	226	146
+	3	228	147	psDrawFilled
+	opaqueGC
+	224	147
+	226	146
+	3	228	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	146
+	221	147
+	3	219	146	psDrawFilled
+	opaqueGC
+	222	146
+	221	147
+	3	219	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	147
+	222	146
+	3	224	147	psDrawFilled
+	opaqueGC
+	221	147
+	222	146
+	3	224	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	140
+	117	141
+	3	115	141	psDrawFilled
+	opaqueGC
+	119	140
+	117	141
+	3	115	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	142
+	115	141
+	3	117	141	psDrawFilled
+	opaqueGC
+	113	142
+	115	141
+	3	117	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	132
+	187	132
+	3	189	135	psDrawFilled
+	opaqueGC
+	185	132
+	187	132
+	3	189	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	135
+	187	136
+	3	185	132	psDrawFilled
+	opaqueGC
+	189	135
+	187	136
+	3	185	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	146
+	217	147
+	3	215	146	psDrawFilled
+	opaqueGC
+	219	146
+	217	147
+	3	215	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	147
+	219	146
+	3	221	147	psDrawFilled
+	opaqueGC
+	217	147
+	219	146
+	3	221	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	146
+	213	147
+	3	211	146	psDrawFilled
+	opaqueGC
+	215	146
+	213	147
+	3	211	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	147
+	215	146
+	3	217	147	psDrawFilled
+	opaqueGC
+	213	147
+	215	146
+	3	217	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	111
+	171	110
+	3	169	117	psDrawFilled
+	opaqueGC
+	173	111
+	171	110
+	3	169	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	117
+	169	117
+	3	171	110	psDrawFilled
+	opaqueGC
+	167	117
+	169	117
+	3	171	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	146
+	209	147
+	3	208	146	psDrawFilled
+	opaqueGC
+	211	146
+	209	147
+	3	208	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	147
+	211	146
+	3	213	147	psDrawFilled
+	opaqueGC
+	209	147
+	211	146
+	3	213	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	120
+	185	122
+	3	187	127	psDrawFilled
+	opaqueGC
+	184	120
+	185	122
+	3	187	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	127
+	185	127
+	3	184	120	psDrawFilled
+	opaqueGC
+	187	127
+	185	127
+	3	184	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	143
+	78	144
+	3	76	143	psDrawFilled
+	opaqueGC
+	80	143
+	78	144
+	3	76	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	143
+	74	144
+	3	72	143	psDrawFilled
+	opaqueGC
+	76	143
+	74	144
+	3	72	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	144
+	76	143
+	3	78	144	psDrawFilled
+	opaqueGC
+	74	144
+	76	143
+	3	78	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	146
+	206	147
+	3	204	145	psDrawFilled
+	opaqueGC
+	208	146
+	206	147
+	3	204	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	147
+	208	146
+	3	209	147	psDrawFilled
+	opaqueGC
+	206	147
+	208	146
+	3	209	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	143
+	81	144
+	3	80	143	psDrawFilled
+	opaqueGC
+	83	143
+	81	144
+	3	80	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	144
+	80	143
+	3	81	144	psDrawFilled
+	opaqueGC
+	78	144
+	80	143
+	3	81	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	143
+	70	144
+	3	68	143	psDrawFilled
+	opaqueGC
+	72	143
+	70	144
+	3	68	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	144
+	72	143
+	3	74	144	psDrawFilled
+	opaqueGC
+	70	144
+	72	143
+	3	74	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	137
+	130	138
+	3	128	138	psDrawFilled
+	opaqueGC
+	132	137
+	130	138
+	3	128	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	139
+	128	138
+	3	130	138	psDrawFilled
+	opaqueGC
+	126	139
+	128	138
+	3	130	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	144
+	68	143
+	3	70	144	psDrawFilled
+	opaqueGC
+	66	144
+	68	143
+	3	70	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	143
+	85	144
+	3	83	143	psDrawFilled
+	opaqueGC
+	87	143
+	85	144
+	3	83	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	144
+	83	143
+	3	85	144	psDrawFilled
+	opaqueGC
+	81	144
+	83	143
+	3	85	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	143
+	89	144
+	3	87	143	psDrawFilled
+	opaqueGC
+	91	143
+	89	144
+	3	87	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	144
+	87	143
+	3	89	144	psDrawFilled
+	opaqueGC
+	85	144
+	87	143
+	3	89	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	122
+	158	122
+	3	156	125	psDrawFilled
+	opaqueGC
+	159	122
+	158	122
+	3	156	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	125
+	156	125
+	3	158	122	psDrawFilled
+	opaqueGC
+	154	125
+	156	125
+	3	158	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	143
+	92	144
+	3	91	143	psDrawFilled
+	opaqueGC
+	94	143
+	92	144
+	3	91	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	144
+	91	143
+	3	92	144	psDrawFilled
+	opaqueGC
+	89	144
+	91	143
+	3	92	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	140
+	120	141
+	3	119	140	psDrawFilled
+	opaqueGC
+	122	140
+	120	141
+	3	119	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	141
+	119	140
+	3	120	141	psDrawFilled
+	opaqueGC
+	117	141
+	119	140
+	3	120	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	145
+	202	147
+	3	200	145	psDrawFilled
+	opaqueGC
+	204	145
+	202	147
+	3	200	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	147
+	204	145
+	3	206	147	psDrawFilled
+	opaqueGC
+	202	147
+	204	145
+	3	206	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	143
+	96	144
+	3	94	143	psDrawFilled
+	opaqueGC
+	98	143
+	96	144
+	3	94	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	144
+	94	143
+	3	96	144	psDrawFilled
+	opaqueGC
+	92	144
+	94	143
+	3	96	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	114
+	180	109
+	3	178	112	psDrawFilled
+	opaqueGC
+	182	114
+	180	109
+	3	178	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	109
+	182	114
+	3	184	115	psDrawFilled
+	opaqueGC
+	180	109
+	182	114
+	3	184	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	143
+	193	144
+	3	191	142	psDrawFilled
+	opaqueGC
+	195	143
+	193	144
+	3	191	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	144
+	195	143
+	3	196	145	psDrawFilled
+	opaqueGC
+	193	144
+	195	143
+	3	196	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	143
+	100	144
+	3	98	143	psDrawFilled
+	opaqueGC
+	102	143
+	100	144
+	3	98	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	144
+	98	143
+	3	100	144	psDrawFilled
+	opaqueGC
+	96	144
+	98	143
+	3	100	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	142
+	104	144
+	3	102	143	psDrawFilled
+	opaqueGC
+	106	142
+	104	144
+	3	102	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	144
+	102	143
+	3	104	144	psDrawFilled
+	opaqueGC
+	100	144
+	102	143
+	3	104	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	145
+	198	146
+	3	196	145	psDrawFilled
+	opaqueGC
+	200	145
+	198	146
+	3	196	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	146
+	200	145
+	3	202	147	psDrawFilled
+	opaqueGC
+	198	146
+	200	145
+	3	202	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	118
+	163	118
+	3	161	122	psDrawFilled
+	opaqueGC
+	165	118
+	163	118
+	3	161	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	122
+	161	122
+	3	163	118	psDrawFilled
+	opaqueGC
+	159	122
+	161	122
+	3	163	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	110
+	184	115
+	3	185	119	psDrawFilled
+	opaqueGC
+	182	110
+	184	115
+	3	185	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	119
+	184	116
+	3	182	110	psDrawFilled
+	opaqueGC
+	185	119
+	184	116
+	3	182	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	142
+	107	143
+	3	106	142	psDrawFilled
+	opaqueGC
+	109	142
+	107	143
+	3	106	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	144
+	106	142
+	3	107	143	psDrawFilled
+	opaqueGC
+	104	144
+	106	142
+	3	107	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	139
+	124	140
+	3	122	140	psDrawFilled
+	opaqueGC
+	126	139
+	124	140
+	3	122	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	141
+	122	140
+	3	124	140	psDrawFilled
+	opaqueGC
+	120	141
+	122	140
+	3	124	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	126
+	185	127
+	3	187	132	psDrawFilled
+	opaqueGC
+	184	126
+	185	127
+	3	187	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	132
+	185	132
+	3	184	126	psDrawFilled
+	opaqueGC
+	187	132
+	185	132
+	3	184	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	133
+	139	134
+	3	137	134	psDrawFilled
+	opaqueGC
+	141	133
+	139	134
+	3	137	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	135
+	137	134
+	3	139	134	psDrawFilled
+	opaqueGC
+	135	135
+	137	134
+	3	139	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	142
+	111	143
+	3	109	142	psDrawFilled
+	opaqueGC
+	113	142
+	111	143
+	3	109	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	143
+	109	142
+	3	111	143	psDrawFilled
+	opaqueGC
+	107	143
+	109	142
+	3	111	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	112
+	176	105
+	3	174	113	psDrawFilled
+	opaqueGC
+	178	112
+	176	105
+	3	174	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	111
+	174	113
+	3	176	105	psDrawFilled
+	opaqueGC
+	173	111
+	174	113
+	3	176	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	145
+	195	146
+	3	193	144	psDrawFilled
+	opaqueGC
+	196	145
+	195	146
+	3	193	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	146
+	196	145
+	3	198	146	psDrawFilled
+	opaqueGC
+	195	146
+	196	145
+	3	198	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	147
+	226	149
+	3	224	147	psDrawFilled
+	opaqueGC
+	228	147
+	226	149
+	3	224	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	149
+	228	147
+	3	230	149	psDrawFilled
+	opaqueGC
+	226	149
+	228	147
+	3	230	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	129
+	144	130
+	3	143	132	psDrawFilled
+	opaqueGC
+	146	129
+	144	130
+	3	143	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	133
+	143	132
+	3	144	130	psDrawFilled
+	opaqueGC
+	141	133
+	143	132
+	3	144	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	147
+	223	149
+	3	221	147	psDrawFilled
+	opaqueGC
+	224	147
+	223	149
+	3	221	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	149
+	224	147
+	3	226	149	psDrawFilled
+	opaqueGC
+	223	149
+	224	147
+	3	226	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	135
+	133	137
+	3	132	137	psDrawFilled
+	opaqueGC
+	135	135
+	133	137
+	3	132	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	138
+	132	137
+	3	133	137	psDrawFilled
+	opaqueGC
+	130	138
+	132	137
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	147
+	219	149
+	3	217	147	psDrawFilled
+	opaqueGC
+	221	147
+	219	149
+	3	217	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	149
+	221	147
+	3	223	149	psDrawFilled
+	opaqueGC
+	219	149
+	221	147
+	3	223	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	147
+	215	149
+	3	213	147	psDrawFilled
+	opaqueGC
+	217	147
+	215	149
+	3	213	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	149
+	217	147
+	3	219	149	psDrawFilled
+	opaqueGC
+	215	149
+	217	147
+	3	219	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	147
+	211	149
+	3	209	147	psDrawFilled
+	opaqueGC
+	213	147
+	211	149
+	3	209	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	149
+	213	147
+	3	215	149	psDrawFilled
+	opaqueGC
+	211	149
+	213	147
+	3	215	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	141
+	115	143
+	3	113	142	psDrawFilled
+	opaqueGC
+	117	141
+	115	143
+	3	113	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	143
+	113	142
+	3	115	143	psDrawFilled
+	opaqueGC
+	111	143
+	113	142
+	3	115	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	147
+	208	148
+	3	206	147	psDrawFilled
+	opaqueGC
+	209	147
+	208	148
+	3	206	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	148
+	209	147
+	3	211	149	psDrawFilled
+	opaqueGC
+	208	148
+	209	147
+	3	211	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	137
+	187	136
+	3	189	139	psDrawFilled
+	opaqueGC
+	185	137
+	187	136
+	3	189	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	139
+	187	140
+	3	185	137	psDrawFilled
+	opaqueGC
+	189	139
+	187	140
+	3	185	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	140
+	189	139
+	3	191	142	psDrawFilled
+	opaqueGC
+	187	140
+	189	139
+	3	191	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	142
+	189	143
+	3	187	140	psDrawFilled
+	opaqueGC
+	191	142
+	189	143
+	3	187	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	143
+	191	142
+	3	193	144	psDrawFilled
+	opaqueGC
+	189	143
+	191	142
+	3	193	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	147
+	204	148
+	3	202	147	psDrawFilled
+	opaqueGC
+	206	147
+	204	148
+	3	202	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	148
+	206	147
+	3	208	148	psDrawFilled
+	opaqueGC
+	204	148
+	206	147
+	3	208	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	138
+	128	139
+	3	126	139	psDrawFilled
+	opaqueGC
+	130	138
+	128	139
+	3	126	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	140
+	126	139
+	3	128	139	psDrawFilled
+	opaqueGC
+	124	140
+	126	139
+	3	128	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	115
+	182	110
+	3	180	109	psDrawFilled
+	opaqueGC
+	184	115
+	182	110
+	3	180	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	144
+	79	145
+	3	78	144	psDrawFilled
+	opaqueGC
+	81	144
+	79	145
+	3	78	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	144
+	76	145
+	3	74	144	psDrawFilled
+	opaqueGC
+	78	144
+	76	145
+	3	74	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	145
+	78	144
+	3	79	145	psDrawFilled
+	opaqueGC
+	76	145
+	78	144
+	3	79	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	144
+	72	145
+	3	70	144	psDrawFilled
+	opaqueGC
+	74	144
+	72	145
+	3	70	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	145
+	74	144
+	3	76	145	psDrawFilled
+	opaqueGC
+	72	145
+	74	144
+	3	76	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	144
+	83	145
+	3	81	144	psDrawFilled
+	opaqueGC
+	85	144
+	83	145
+	3	81	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	145
+	81	144
+	3	83	145	psDrawFilled
+	opaqueGC
+	79	145
+	81	144
+	3	83	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	125
+	150	126
+	3	148	128	psDrawFilled
+	opaqueGC
+	152	125
+	150	126
+	3	148	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	129
+	148	128
+	3	150	126	psDrawFilled
+	opaqueGC
+	146	129
+	148	128
+	3	150	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	144
+	68	145
+	3	66	144	psDrawFilled
+	opaqueGC
+	70	144
+	68	145
+	3	66	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	145
+	70	144
+	3	72	145	psDrawFilled
+	opaqueGC
+	68	145
+	70	144
+	3	72	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	147
+	200	148
+	3	198	146	psDrawFilled
+	opaqueGC
+	202	147
+	200	148
+	3	198	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	148
+	202	147
+	3	204	148	psDrawFilled
+	opaqueGC
+	200	148
+	202	147
+	3	204	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	144
+	87	145
+	3	85	144	psDrawFilled
+	opaqueGC
+	89	144
+	87	145
+	3	85	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	145
+	85	144
+	3	87	145	psDrawFilled
+	opaqueGC
+	83	145
+	85	144
+	3	87	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	145
+	66	144
+	3	68	145	psDrawFilled
+	opaqueGC
+	64	145
+	66	144
+	3	68	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	141
+	118	142
+	3	117	141	psDrawFilled
+	opaqueGC
+	120	141
+	118	142
+	3	117	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	143
+	117	141
+	3	118	142	psDrawFilled
+	opaqueGC
+	115	143
+	117	141
+	3	118	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	144
+	91	145
+	3	89	144	psDrawFilled
+	opaqueGC
+	92	144
+	91	145
+	3	89	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	145
+	89	144
+	3	91	145	psDrawFilled
+	opaqueGC
+	87	145
+	89	144
+	3	91	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	144
+	94	145
+	3	92	144	psDrawFilled
+	opaqueGC
+	96	144
+	94	145
+	3	92	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	145
+	92	144
+	3	94	145	psDrawFilled
+	opaqueGC
+	91	145
+	92	144
+	3	94	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	144
+	191	145
+	3	189	143	psDrawFilled
+	opaqueGC
+	193	144
+	191	145
+	3	189	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	145
+	193	144
+	3	195	146	psDrawFilled
+	opaqueGC
+	191	145
+	193	144
+	3	195	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	132
+	185	132
+	3	187	136	psDrawFilled
+	opaqueGC
+	184	132
+	185	132
+	3	187	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	136
+	185	137
+	3	184	132	psDrawFilled
+	opaqueGC
+	187	136
+	185	137
+	3	184	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	144
+	98	145
+	3	96	144	psDrawFilled
+	opaqueGC
+	100	144
+	98	145
+	3	96	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	145
+	96	144
+	3	98	145	psDrawFilled
+	opaqueGC
+	94	145
+	96	144
+	3	98	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	146
+	197	148
+	3	195	146	psDrawFilled
+	opaqueGC
+	198	146
+	197	148
+	3	195	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	148
+	198	146
+	3	200	148	psDrawFilled
+	opaqueGC
+	197	148
+	198	146
+	3	200	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	144
+	102	145
+	3	100	144	psDrawFilled
+	opaqueGC
+	104	144
+	102	145
+	3	100	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	145
+	100	144
+	3	102	145	psDrawFilled
+	opaqueGC
+	98	145
+	100	144
+	3	102	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	110
+	169	112
+	3	167	117	psDrawFilled
+	opaqueGC
+	171	110
+	169	112
+	3	167	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	118
+	167	117
+	3	169	112	psDrawFilled
+	opaqueGC
+	165	118
+	167	117
+	3	169	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	143
+	105	145
+	3	104	144	psDrawFilled
+	opaqueGC
+	107	143
+	105	145
+	3	104	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	145
+	104	144
+	3	105	145	psDrawFilled
+	opaqueGC
+	102	145
+	104	144
+	3	105	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	140
+	122	141
+	3	120	141	psDrawFilled
+	opaqueGC
+	124	140
+	122	141
+	3	120	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	142
+	120	141
+	3	122	141	psDrawFilled
+	opaqueGC
+	118	142
+	120	141
+	3	122	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	230	149
+	228	150
+	3	226	149	psDrawFilled
+	opaqueGC
+	230	149
+	228	150
+	3	226	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	150
+	230	149
+	3	232	150	psDrawFilled
+	opaqueGC
+	228	150
+	230	149
+	3	232	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	149
+	225	150
+	3	223	149	psDrawFilled
+	opaqueGC
+	226	149
+	225	150
+	3	223	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	150
+	226	149
+	3	228	150	psDrawFilled
+	opaqueGC
+	225	150
+	226	149
+	3	228	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	149
+	221	150
+	3	219	149	psDrawFilled
+	opaqueGC
+	223	149
+	221	150
+	3	219	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	150
+	223	149
+	3	225	150	psDrawFilled
+	opaqueGC
+	221	150
+	223	149
+	3	225	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	105
+	178	112
+	3	180	109	psDrawFilled
+	opaqueGC
+	176	105
+	178	112
+	3	180	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	149
+	217	150
+	3	215	149	psDrawFilled
+	opaqueGC
+	219	149
+	217	150
+	3	215	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	150
+	219	149
+	3	221	150	psDrawFilled
+	opaqueGC
+	217	150
+	219	149
+	3	221	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	143
+	109	144
+	3	107	143	psDrawFilled
+	opaqueGC
+	111	143
+	109	144
+	3	107	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	145
+	107	143
+	3	109	144	psDrawFilled
+	opaqueGC
+	105	145
+	107	143
+	3	109	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	149
+	213	150
+	3	211	149	psDrawFilled
+	opaqueGC
+	215	149
+	213	150
+	3	211	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	150
+	215	149
+	3	217	150	psDrawFilled
+	opaqueGC
+	213	150
+	215	149
+	3	217	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	122
+	156	121
+	3	154	125	psDrawFilled
+	opaqueGC
+	158	122
+	156	121
+	3	154	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	125
+	154	125
+	3	156	121	psDrawFilled
+	opaqueGC
+	152	125
+	154	125
+	3	156	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	134
+	137	135
+	3	135	135	psDrawFilled
+	opaqueGC
+	139	134
+	137	135
+	3	135	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	135	135
+	3	137	135	psDrawFilled
+	opaqueGC
+	133	137
+	135	135
+	3	137	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	149
+	210	150
+	3	208	148	psDrawFilled
+	opaqueGC
+	211	149
+	210	150
+	3	208	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	150
+	211	149
+	3	213	150	psDrawFilled
+	opaqueGC
+	210	150
+	211	149
+	3	213	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	101
+	192	85
+	3	194	87	psDrawFilled
+	opaqueGC
+	189	101
+	192	85
+	3	194	87	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	87
+	191	103
+	3	189	101	psDrawFilled
+	opaqueGC
+	194	87
+	191	103
+	3	189	101	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	146
+	193	147
+	3	191	145	psDrawFilled
+	opaqueGC
+	195	146
+	193	147
+	3	191	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	147
+	195	146
+	3	197	148	psDrawFilled
+	opaqueGC
+	193	147
+	195	146
+	3	197	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	131	138
+	3	130	138	psDrawFilled
+	opaqueGC
+	133	137
+	131	138
+	3	130	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	139
+	130	138
+	3	131	138	psDrawFilled
+	opaqueGC
+	128	139
+	130	138
+	3	131	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	148
+	206	150
+	3	204	148	psDrawFilled
+	opaqueGC
+	208	148
+	206	150
+	3	204	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	150
+	208	148
+	3	210	150	psDrawFilled
+	opaqueGC
+	206	150
+	208	148
+	3	210	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	109
+	184	116
+	3	185	122	psDrawFilled
+	opaqueGC
+	182	109
+	184	116
+	3	185	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	122
+	184	120
+	3	182	109	psDrawFilled
+	opaqueGC
+	185	122
+	184	120
+	3	182	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	130
+	143	131
+	3	141	133	psDrawFilled
+	opaqueGC
+	144	130
+	143	131
+	3	141	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	134
+	141	133
+	3	143	131	psDrawFilled
+	opaqueGC
+	139	134
+	141	133
+	3	143	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	143
+	113	144
+	3	111	143	psDrawFilled
+	opaqueGC
+	115	143
+	113	144
+	3	111	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	144
+	111	143
+	3	113	144	psDrawFilled
+	opaqueGC
+	109	144
+	111	143
+	3	113	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	148
+	202	150
+	3	200	148	psDrawFilled
+	opaqueGC
+	204	148
+	202	150
+	3	200	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	150
+	204	148
+	3	206	150	psDrawFilled
+	opaqueGC
+	202	150
+	204	148
+	3	206	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	139
+	126	140
+	3	124	140	psDrawFilled
+	opaqueGC
+	128	139
+	126	140
+	3	124	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	141
+	124	140
+	3	126	140	psDrawFilled
+	opaqueGC
+	122	141
+	124	140
+	3	126	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	148
+	199	149
+	3	197	148	psDrawFilled
+	opaqueGC
+	200	148
+	199	149
+	3	197	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	149
+	200	148
+	3	202	150	psDrawFilled
+	opaqueGC
+	199	149
+	200	148
+	3	202	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	141
+	187	140
+	3	189	143	psDrawFilled
+	opaqueGC
+	186	141
+	187	140
+	3	189	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	143
+	187	144
+	3	186	141	psDrawFilled
+	opaqueGC
+	189	143
+	187	144
+	3	186	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	144
+	189	143
+	3	191	145	psDrawFilled
+	opaqueGC
+	187	144
+	189	143
+	3	191	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	118
+	161	118
+	3	159	122	psDrawFilled
+	opaqueGC
+	163	118
+	161	118
+	3	159	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	122
+	159	122
+	3	161	118	psDrawFilled
+	opaqueGC
+	158	122
+	159	122
+	3	161	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	118
+	184	120
+	3	185	127	psDrawFilled
+	opaqueGC
+	182	118
+	184	120
+	3	185	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	127
+	184	126
+	3	182	118	psDrawFilled
+	opaqueGC
+	185	127
+	184	126
+	3	182	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	137
+	185	137
+	3	187	140	psDrawFilled
+	opaqueGC
+	184	137
+	185	137
+	3	187	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	140
+	186	141
+	3	184	137	psDrawFilled
+	opaqueGC
+	187	140
+	186	141
+	3	184	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	142
+	117	143
+	3	115	143	psDrawFilled
+	opaqueGC
+	118	142
+	117	143
+	3	115	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	144
+	115	143
+	3	117	143	psDrawFilled
+	opaqueGC
+	113	144
+	115	143
+	3	117	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	145
+	77	146
+	3	76	145	psDrawFilled
+	opaqueGC
+	79	145
+	77	146
+	3	76	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	145
+	74	146
+	3	72	145	psDrawFilled
+	opaqueGC
+	76	145
+	74	146
+	3	72	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	146
+	76	145
+	3	77	146	psDrawFilled
+	opaqueGC
+	74	146
+	76	145
+	3	77	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	145
+	81	146
+	3	79	145	psDrawFilled
+	opaqueGC
+	83	145
+	81	146
+	3	79	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	146
+	79	145
+	3	81	146	psDrawFilled
+	opaqueGC
+	77	146
+	79	145
+	3	81	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	145
+	70	146
+	3	68	145	psDrawFilled
+	opaqueGC
+	72	145
+	70	146
+	3	68	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	146
+	72	145
+	3	74	146	psDrawFilled
+	opaqueGC
+	70	146
+	72	145
+	3	74	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	145
+	85	146
+	3	83	145	psDrawFilled
+	opaqueGC
+	87	145
+	85	146
+	3	83	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	146
+	83	145
+	3	85	146	psDrawFilled
+	opaqueGC
+	81	146
+	83	145
+	3	85	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	145
+	66	146
+	3	64	145	psDrawFilled
+	opaqueGC
+	68	145
+	66	146
+	3	64	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	146
+	68	145
+	3	70	146	psDrawFilled
+	opaqueGC
+	66	146
+	68	145
+	3	70	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	145
+	89	146
+	3	87	145	psDrawFilled
+	opaqueGC
+	91	145
+	89	146
+	3	87	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	146
+	87	145
+	3	89	146	psDrawFilled
+	opaqueGC
+	85	146
+	87	145
+	3	89	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	126
+	184	126
+	3	185	132	psDrawFilled
+	opaqueGC
+	182	126
+	184	126
+	3	185	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	132
+	184	132
+	3	182	126	psDrawFilled
+	opaqueGC
+	185	132
+	184	132
+	3	182	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	146
+	64	145
+	3	66	146	psDrawFilled
+	opaqueGC
+	62	146
+	64	145
+	3	66	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	145
+	92	146
+	3	91	145	psDrawFilled
+	opaqueGC
+	94	145
+	92	146
+	3	91	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	146
+	91	145
+	3	92	146	psDrawFilled
+	opaqueGC
+	89	146
+	91	145
+	3	92	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	145
+	96	146
+	3	94	145	psDrawFilled
+	opaqueGC
+	98	145
+	96	146
+	3	94	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	146
+	94	145
+	3	96	146	psDrawFilled
+	opaqueGC
+	92	146
+	94	145
+	3	96	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	145
+	189	146
+	3	187	144	psDrawFilled
+	opaqueGC
+	191	145
+	189	146
+	3	187	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	146
+	191	145
+	3	193	147	psDrawFilled
+	opaqueGC
+	189	146
+	191	145
+	3	193	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	148
+	195	149
+	3	193	147	psDrawFilled
+	opaqueGC
+	197	148
+	195	149
+	3	193	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	149
+	197	148
+	3	199	149	psDrawFilled
+	opaqueGC
+	195	149
+	197	148
+	3	199	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	126
+	148	127
+	3	146	129	psDrawFilled
+	opaqueGC
+	150	126
+	148	127
+	3	146	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	130
+	146	129
+	3	148	127	psDrawFilled
+	opaqueGC
+	144	130
+	146	129
+	3	148	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	145
+	100	146
+	3	98	145	psDrawFilled
+	opaqueGC
+	102	145
+	100	146
+	3	98	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	146
+	98	145
+	3	100	146	psDrawFilled
+	opaqueGC
+	96	146
+	98	145
+	3	100	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	232	150
+	230	151
+	3	228	150	psDrawFilled
+	opaqueGC
+	232	150
+	230	151
+	3	228	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	230	151
+	232	150
+	3	234	152	psDrawFilled
+	opaqueGC
+	230	151
+	232	150
+	3	234	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	150
+	227	151
+	3	225	150	psDrawFilled
+	opaqueGC
+	228	150
+	227	151
+	3	225	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	151
+	228	150
+	3	230	151	psDrawFilled
+	opaqueGC
+	227	151
+	228	150
+	3	230	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	150
+	223	151
+	3	221	150	psDrawFilled
+	opaqueGC
+	225	150
+	223	151
+	3	221	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	151
+	225	150
+	3	227	151	psDrawFilled
+	opaqueGC
+	223	151
+	225	150
+	3	227	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	150
+	219	151
+	3	217	150	psDrawFilled
+	opaqueGC
+	221	150
+	219	151
+	3	217	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	151
+	221	150
+	3	223	151	psDrawFilled
+	opaqueGC
+	219	151
+	221	150
+	3	223	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	141
+	120	143
+	3	118	142	psDrawFilled
+	opaqueGC
+	122	141
+	120	143
+	3	118	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	143
+	118	142
+	3	120	143	psDrawFilled
+	opaqueGC
+	117	143
+	118	142
+	3	120	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	145
+	103	146
+	3	102	145	psDrawFilled
+	opaqueGC
+	105	145
+	103	146
+	3	102	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	146
+	102	145
+	3	103	146	psDrawFilled
+	opaqueGC
+	100	146
+	102	145
+	3	103	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	150
+	215	151
+	3	213	150	psDrawFilled
+	opaqueGC
+	217	150
+	215	151
+	3	213	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	151
+	217	150
+	3	219	151	psDrawFilled
+	opaqueGC
+	215	151
+	217	150
+	3	219	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	150
+	212	151
+	3	210	150	psDrawFilled
+	opaqueGC
+	213	150
+	212	151
+	3	210	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	151
+	213	150
+	3	215	151	psDrawFilled
+	opaqueGC
+	212	151
+	213	150
+	3	215	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	150
+	208	151
+	3	206	150	psDrawFilled
+	opaqueGC
+	210	150
+	208	151
+	3	206	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	151
+	210	150
+	3	212	151	psDrawFilled
+	opaqueGC
+	208	151
+	210	150
+	3	212	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	133
+	184	132
+	3	185	137	psDrawFilled
+	opaqueGC
+	182	133
+	184	132
+	3	185	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	137
+	184	137
+	3	182	133	psDrawFilled
+	opaqueGC
+	185	137
+	184	137
+	3	182	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	144
+	107	145
+	3	105	145	psDrawFilled
+	opaqueGC
+	109	144
+	107	145
+	3	105	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	146
+	105	145
+	3	107	145	psDrawFilled
+	opaqueGC
+	103	146
+	105	145
+	3	107	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	150
+	204	151
+	3	202	150	psDrawFilled
+	opaqueGC
+	206	150
+	204	151
+	3	202	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	151
+	206	150
+	3	208	151	psDrawFilled
+	opaqueGC
+	204	151
+	206	150
+	3	208	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	135
+	135	136
+	3	133	137	psDrawFilled
+	opaqueGC
+	137	135
+	135	136
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	138
+	133	137
+	3	135	136	psDrawFilled
+	opaqueGC
+	131	138
+	133	137
+	3	135	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	138
+	130	139
+	3	128	139	psDrawFilled
+	opaqueGC
+	131	138
+	130	139
+	3	128	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	140
+	128	139
+	3	130	139	psDrawFilled
+	opaqueGC
+	126	140
+	128	139
+	3	130	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	147
+	191	148
+	3	189	146	psDrawFilled
+	opaqueGC
+	193	147
+	191	148
+	3	189	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	148
+	193	147
+	3	195	149	psDrawFilled
+	opaqueGC
+	191	148
+	193	147
+	3	195	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	150
+	200	151
+	3	199	149	psDrawFilled
+	opaqueGC
+	202	150
+	200	151
+	3	199	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	151
+	202	150
+	3	204	151	psDrawFilled
+	opaqueGC
+	200	151
+	202	150
+	3	204	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	144
+	111	145
+	3	109	144	psDrawFilled
+	opaqueGC
+	113	144
+	111	145
+	3	109	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	145
+	109	144
+	3	111	145	psDrawFilled
+	opaqueGC
+	107	145
+	109	144
+	3	111	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	112
+	167	113
+	3	165	118	psDrawFilled
+	opaqueGC
+	169	112
+	167	113
+	3	165	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	118
+	165	118
+	3	167	113	psDrawFilled
+	opaqueGC
+	163	118
+	165	118
+	3	167	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	131
+	141	132
+	3	139	134	psDrawFilled
+	opaqueGC
+	143	131
+	141	132
+	3	139	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	135
+	139	134
+	3	141	132	psDrawFilled
+	opaqueGC
+	137	135
+	139	134
+	3	141	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	149
+	197	151
+	3	195	149	psDrawFilled
+	opaqueGC
+	199	149
+	197	151
+	3	195	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	151
+	199	149
+	3	200	151	psDrawFilled
+	opaqueGC
+	197	151
+	199	149
+	3	200	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	140
+	124	142
+	3	122	141	psDrawFilled
+	opaqueGC
+	126	140
+	124	142
+	3	122	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	143
+	122	141
+	3	124	142	psDrawFilled
+	opaqueGC
+	120	143
+	122	141
+	3	124	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	143
+	115	145
+	3	113	144	psDrawFilled
+	opaqueGC
+	117	143
+	115	145
+	3	113	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	145
+	113	144
+	3	115	145	psDrawFilled
+	opaqueGC
+	111	145
+	113	144
+	3	115	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	121
+	154	121
+	3	152	125	psDrawFilled
+	opaqueGC
+	156	121
+	154	121
+	3	152	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	126
+	152	125
+	3	154	121	psDrawFilled
+	opaqueGC
+	150	126
+	152	125
+	3	154	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	142
+	186	141
+	3	187	144	psDrawFilled
+	opaqueGC
+	184	142
+	186	141
+	3	187	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	144
+	186	145
+	3	184	142	psDrawFilled
+	opaqueGC
+	187	144
+	186	145
+	3	184	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	145
+	187	144
+	3	189	146	psDrawFilled
+	opaqueGC
+	186	145
+	187	144
+	3	189	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	146
+	79	147
+	3	77	146	psDrawFilled
+	opaqueGC
+	81	146
+	79	147
+	3	77	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	146
+	75	147
+	3	74	146	psDrawFilled
+	opaqueGC
+	77	146
+	75	147
+	3	74	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	147
+	77	146
+	3	79	147	psDrawFilled
+	opaqueGC
+	75	147
+	77	146
+	3	79	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	146
+	83	147
+	3	81	146	psDrawFilled
+	opaqueGC
+	85	146
+	83	147
+	3	81	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	147
+	81	146
+	3	83	147	psDrawFilled
+	opaqueGC
+	79	147
+	81	146
+	3	83	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	146
+	72	147
+	3	70	146	psDrawFilled
+	opaqueGC
+	74	146
+	72	147
+	3	70	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	147
+	74	146
+	3	75	147	psDrawFilled
+	opaqueGC
+	72	147
+	74	146
+	3	75	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	146
+	87	147
+	3	85	146	psDrawFilled
+	opaqueGC
+	89	146
+	87	147
+	3	85	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	147
+	85	146
+	3	87	147	psDrawFilled
+	opaqueGC
+	83	147
+	85	146
+	3	87	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	146
+	68	147
+	3	66	146	psDrawFilled
+	opaqueGC
+	70	146
+	68	147
+	3	66	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	147
+	70	146
+	3	72	147	psDrawFilled
+	opaqueGC
+	68	147
+	70	146
+	3	72	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	149
+	193	150
+	3	191	148	psDrawFilled
+	opaqueGC
+	195	149
+	193	150
+	3	191	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	150
+	195	149
+	3	197	151	psDrawFilled
+	opaqueGC
+	193	150
+	195	149
+	3	197	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	146
+	90	147
+	3	89	146	psDrawFilled
+	opaqueGC
+	92	146
+	90	147
+	3	89	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	147
+	89	146
+	3	90	147	psDrawFilled
+	opaqueGC
+	87	147
+	89	146
+	3	90	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	146
+	64	147
+	3	62	146	psDrawFilled
+	opaqueGC
+	66	146
+	64	147
+	3	62	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	147
+	66	146
+	3	68	147	psDrawFilled
+	opaqueGC
+	64	147
+	66	146
+	3	68	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	234	152
+	232	153
+	3	230	151	psDrawFilled
+	opaqueGC
+	234	152
+	232	153
+	3	230	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	232	153
+	234	152
+	3	236	153	psDrawFilled
+	opaqueGC
+	232	153
+	234	152
+	3	236	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	146
+	94	147
+	3	92	146	psDrawFilled
+	opaqueGC
+	96	146
+	94	147
+	3	92	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	147
+	92	146
+	3	94	147	psDrawFilled
+	opaqueGC
+	90	147
+	92	146
+	3	94	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	230	151
+	229	153
+	3	227	151	psDrawFilled
+	opaqueGC
+	230	151
+	229	153
+	3	227	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	153
+	230	151
+	3	232	153	psDrawFilled
+	opaqueGC
+	229	153
+	230	151
+	3	232	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	151
+	225	153
+	3	223	151	psDrawFilled
+	opaqueGC
+	227	151
+	225	153
+	3	223	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	153
+	227	151
+	3	229	153	psDrawFilled
+	opaqueGC
+	225	153
+	227	151
+	3	229	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	147
+	62	146
+	3	64	147	psDrawFilled
+	opaqueGC
+	60	147
+	62	146
+	3	64	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	151
+	221	153
+	3	219	151	psDrawFilled
+	opaqueGC
+	223	151
+	221	153
+	3	219	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	153
+	223	151
+	3	225	153	psDrawFilled
+	opaqueGC
+	221	153
+	223	151
+	3	225	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	138
+	184	137
+	3	186	141	psDrawFilled
+	opaqueGC
+	182	138
+	184	137
+	3	186	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	141
+	184	142
+	3	182	138	psDrawFilled
+	opaqueGC
+	186	141
+	184	142
+	3	182	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	146
+	187	147
+	3	186	145	psDrawFilled
+	opaqueGC
+	189	146
+	187	147
+	3	186	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	147
+	189	146
+	3	191	148	psDrawFilled
+	opaqueGC
+	187	147
+	189	146
+	3	191	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	151
+	217	153
+	3	215	151	psDrawFilled
+	opaqueGC
+	219	151
+	217	153
+	3	215	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	153
+	219	151
+	3	221	153	psDrawFilled
+	opaqueGC
+	217	153
+	219	151
+	3	221	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	151
+	214	153
+	3	212	151	psDrawFilled
+	opaqueGC
+	215	151
+	214	153
+	3	212	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	153
+	215	151
+	3	217	153	psDrawFilled
+	opaqueGC
+	214	153
+	215	151
+	3	217	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	146
+	98	147
+	3	96	146	psDrawFilled
+	opaqueGC
+	100	146
+	98	147
+	3	96	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	147
+	96	146
+	3	98	147	psDrawFilled
+	opaqueGC
+	94	147
+	96	146
+	3	98	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	151
+	210	153
+	3	208	151	psDrawFilled
+	opaqueGC
+	212	151
+	210	153
+	3	208	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	153
+	212	151
+	3	214	153	psDrawFilled
+	opaqueGC
+	210	153
+	212	151
+	3	214	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	143
+	118	144
+	3	117	143	psDrawFilled
+	opaqueGC
+	120	143
+	118	144
+	3	117	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	145
+	117	143
+	3	118	144	psDrawFilled
+	opaqueGC
+	115	145
+	117	143
+	3	118	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	151
+	206	153
+	3	204	151	psDrawFilled
+	opaqueGC
+	208	151
+	206	153
+	3	204	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	153
+	208	151
+	3	210	153	psDrawFilled
+	opaqueGC
+	206	153
+	208	151
+	3	210	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	127
+	146	128
+	3	144	130	psDrawFilled
+	opaqueGC
+	148	127
+	146	128
+	3	144	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	131
+	144	130
+	3	146	128	psDrawFilled
+	opaqueGC
+	143	131
+	144	130
+	3	146	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	146
+	101	147
+	3	100	146	psDrawFilled
+	opaqueGC
+	103	146
+	101	147
+	3	100	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	147
+	100	146
+	3	101	147	psDrawFilled
+	opaqueGC
+	98	147
+	100	146
+	3	101	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	151
+	202	153
+	3	200	151	psDrawFilled
+	opaqueGC
+	204	151
+	202	153
+	3	200	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	153
+	204	151
+	3	206	153	psDrawFilled
+	opaqueGC
+	202	153
+	204	151
+	3	206	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	136
+	133	137
+	3	131	138	psDrawFilled
+	opaqueGC
+	135	136
+	133	137
+	3	131	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	139
+	131	138
+	3	133	137	psDrawFilled
+	opaqueGC
+	130	139
+	131	138
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	139
+	128	140
+	3	126	140	psDrawFilled
+	opaqueGC
+	130	139
+	128	140
+	3	126	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	142
+	126	140
+	3	128	140	psDrawFilled
+	opaqueGC
+	124	142
+	126	140
+	3	128	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	145
+	105	147
+	3	103	146	psDrawFilled
+	opaqueGC
+	107	145
+	105	147
+	3	103	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	147
+	103	146
+	3	105	147	psDrawFilled
+	opaqueGC
+	101	147
+	103	146
+	3	105	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	151
+	199	152
+	3	197	151	psDrawFilled
+	opaqueGC
+	200	151
+	199	152
+	3	197	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	152
+	200	151
+	3	202	153	psDrawFilled
+	opaqueGC
+	199	152
+	200	151
+	3	202	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	148
+	189	149
+	3	187	147	psDrawFilled
+	opaqueGC
+	191	148
+	189	149
+	3	187	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	149
+	191	148
+	3	193	150	psDrawFilled
+	opaqueGC
+	189	149
+	191	148
+	3	193	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	127
+	182	126
+	3	184	132	psDrawFilled
+	opaqueGC
+	180	127
+	182	126
+	3	184	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	132
+	182	133
+	3	180	127	psDrawFilled
+	opaqueGC
+	184	132
+	182	133
+	3	180	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	145
+	109	146
+	3	107	145	psDrawFilled
+	opaqueGC
+	111	145
+	109	146
+	3	107	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	147
+	107	145
+	3	109	146	psDrawFilled
+	opaqueGC
+	105	147
+	107	145
+	3	109	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	151
+	195	152
+	3	193	150	psDrawFilled
+	opaqueGC
+	197	151
+	195	152
+	3	193	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	152
+	197	151
+	3	199	152	psDrawFilled
+	opaqueGC
+	195	152
+	197	151
+	3	199	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	118
+	160	117
+	3	158	122	psDrawFilled
+	opaqueGC
+	161	118
+	160	117
+	3	158	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	121
+	158	122
+	3	160	117	psDrawFilled
+	opaqueGC
+	156	121
+	158	122
+	3	160	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	142
+	122	143
+	3	120	143	psDrawFilled
+	opaqueGC
+	124	142
+	122	143
+	3	120	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	144
+	120	143
+	3	122	143	psDrawFilled
+	opaqueGC
+	118	144
+	120	143
+	3	122	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	133
+	182	133
+	3	184	137	psDrawFilled
+	opaqueGC
+	180	133
+	182	133
+	3	184	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	137
+	182	138
+	3	180	133	psDrawFilled
+	opaqueGC
+	184	137
+	182	138
+	3	180	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	132
+	139	133
+	3	137	135	psDrawFilled
+	opaqueGC
+	141	132
+	139	133
+	3	137	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	136
+	137	135
+	3	139	133	psDrawFilled
+	opaqueGC
+	135	136
+	137	135
+	3	139	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	105
+	175	96
+	3	173	111	psDrawFilled
+	opaqueGC
+	176	105
+	175	96
+	3	173	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	110
+	173	111
+	3	175	96	psDrawFilled
+	opaqueGC
+	171	110
+	173	111
+	3	175	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	145
+	113	146
+	3	111	145	psDrawFilled
+	opaqueGC
+	115	145
+	113	146
+	3	111	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	146
+	111	145
+	3	113	146	psDrawFilled
+	opaqueGC
+	109	146
+	111	145
+	3	113	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	236	153
+	234	154
+	3	232	153	psDrawFilled
+	opaqueGC
+	236	153
+	234	154
+	3	232	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	234	154
+	236	153
+	3	238	154	psDrawFilled
+	opaqueGC
+	234	154
+	236	153
+	3	238	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	232	153
+	231	154
+	3	229	153	psDrawFilled
+	opaqueGC
+	232	153
+	231	154
+	3	229	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	154
+	232	153
+	3	234	154	psDrawFilled
+	opaqueGC
+	231	154
+	232	153
+	3	234	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	117
+	182	118
+	3	184	126	psDrawFilled
+	opaqueGC
+	180	117
+	182	118
+	3	184	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	126
+	182	126
+	3	180	117	psDrawFilled
+	opaqueGC
+	184	126
+	182	126
+	3	180	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	153
+	227	154
+	3	225	153	psDrawFilled
+	opaqueGC
+	229	153
+	227	154
+	3	225	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	154
+	229	153
+	3	231	154	psDrawFilled
+	opaqueGC
+	227	154
+	229	153
+	3	231	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	153
+	223	154
+	3	221	153	psDrawFilled
+	opaqueGC
+	225	153
+	223	154
+	3	221	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	154
+	225	153
+	3	227	154	psDrawFilled
+	opaqueGC
+	223	154
+	225	153
+	3	227	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	153
+	219	154
+	3	217	153	psDrawFilled
+	opaqueGC
+	221	153
+	219	154
+	3	217	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	154
+	221	153
+	3	223	154	psDrawFilled
+	opaqueGC
+	219	154
+	221	153
+	3	223	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	94
+	182	110
+	3	184	116	psDrawFilled
+	opaqueGC
+	181	94
+	182	110
+	3	184	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	116
+	182	109
+	3	181	94	psDrawFilled
+	opaqueGC
+	184	116
+	182	109
+	3	181	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	153
+	216	154
+	3	214	153	psDrawFilled
+	opaqueGC
+	217	153
+	216	154
+	3	214	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	154
+	217	153
+	3	219	154	psDrawFilled
+	opaqueGC
+	216	154
+	217	153
+	3	219	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	150
+	191	151
+	3	189	149	psDrawFilled
+	opaqueGC
+	193	150
+	191	151
+	3	189	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	151
+	193	150
+	3	195	152	psDrawFilled
+	opaqueGC
+	191	151
+	193	150
+	3	195	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	153
+	212	154
+	3	210	153	psDrawFilled
+	opaqueGC
+	214	153
+	212	154
+	3	210	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	154
+	214	153
+	3	216	154	psDrawFilled
+	opaqueGC
+	212	154
+	214	153
+	3	216	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	153
+	208	154
+	3	206	153	psDrawFilled
+	opaqueGC
+	210	153
+	208	154
+	3	206	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	154
+	210	153
+	3	212	154	psDrawFilled
+	opaqueGC
+	208	154
+	210	153
+	3	212	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	147
+	81	148
+	3	79	147	psDrawFilled
+	opaqueGC
+	83	147
+	81	148
+	3	79	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	147
+	77	148
+	3	75	147	psDrawFilled
+	opaqueGC
+	79	147
+	77	148
+	3	75	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	148
+	79	147
+	3	81	148	psDrawFilled
+	opaqueGC
+	77	148
+	79	147
+	3	81	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	147
+	85	148
+	3	83	147	psDrawFilled
+	opaqueGC
+	87	147
+	85	148
+	3	83	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	148
+	83	147
+	3	85	148	psDrawFilled
+	opaqueGC
+	81	148
+	83	147
+	3	85	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	147
+	73	148
+	3	72	147	psDrawFilled
+	opaqueGC
+	75	147
+	73	148
+	3	72	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	148
+	75	147
+	3	77	148	psDrawFilled
+	opaqueGC
+	73	148
+	75	147
+	3	77	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	147
+	70	148
+	3	68	147	psDrawFilled
+	opaqueGC
+	72	147
+	70	148
+	3	68	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	148
+	72	147
+	3	73	148	psDrawFilled
+	opaqueGC
+	70	148
+	72	147
+	3	73	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	147
+	88	148
+	3	87	147	psDrawFilled
+	opaqueGC
+	90	147
+	88	148
+	3	87	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	148
+	87	147
+	3	88	148	psDrawFilled
+	opaqueGC
+	85	148
+	87	147
+	3	88	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	143
+	184	142
+	3	186	145	psDrawFilled
+	opaqueGC
+	182	143
+	184	142
+	3	186	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	145
+	184	146
+	3	182	143	psDrawFilled
+	opaqueGC
+	186	145
+	184	146
+	3	182	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	146
+	186	145
+	3	187	147	psDrawFilled
+	opaqueGC
+	184	146
+	186	145
+	3	187	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	153
+	204	154
+	3	202	153	psDrawFilled
+	opaqueGC
+	206	153
+	204	154
+	3	202	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	154
+	206	153
+	3	208	154	psDrawFilled
+	opaqueGC
+	204	154
+	206	153
+	3	208	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	147
+	66	148
+	3	64	147	psDrawFilled
+	opaqueGC
+	68	147
+	66	148
+	3	64	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	148
+	68	147
+	3	70	148	psDrawFilled
+	opaqueGC
+	66	148
+	68	147
+	3	70	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	147
+	92	148
+	3	90	147	psDrawFilled
+	opaqueGC
+	94	147
+	92	148
+	3	90	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	148
+	90	147
+	3	92	148	psDrawFilled
+	opaqueGC
+	88	148
+	90	147
+	3	92	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	147
+	186	148
+	3	184	146	psDrawFilled
+	opaqueGC
+	187	147
+	186	148
+	3	184	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	148
+	187	147
+	3	189	149	psDrawFilled
+	opaqueGC
+	186	148
+	187	147
+	3	189	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	147
+	62	148
+	3	60	147	psDrawFilled
+	opaqueGC
+	64	147
+	62	148
+	3	60	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	148
+	64	147
+	3	66	148	psDrawFilled
+	opaqueGC
+	62	148
+	64	147
+	3	66	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	144
+	116	145
+	3	115	145	psDrawFilled
+	opaqueGC
+	118	144
+	116	145
+	3	115	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	146
+	115	145
+	3	116	145	psDrawFilled
+	opaqueGC
+	113	146
+	115	145
+	3	116	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	147
+	96	148
+	3	94	147	psDrawFilled
+	opaqueGC
+	98	147
+	96	148
+	3	94	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	148
+	94	147
+	3	96	148	psDrawFilled
+	opaqueGC
+	92	148
+	94	147
+	3	96	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	153
+	201	154
+	3	199	152	psDrawFilled
+	opaqueGC
+	202	153
+	201	154
+	3	199	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	154
+	202	153
+	3	204	154	psDrawFilled
+	opaqueGC
+	201	154
+	202	153
+	3	204	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	113
+	165	113
+	3	163	118	psDrawFilled
+	opaqueGC
+	167	113
+	165	113
+	3	163	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	118
+	163	118
+	3	165	113	psDrawFilled
+	opaqueGC
+	161	118
+	163	118
+	3	165	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	58	148
+	60	147
+	3	62	148	psDrawFilled
+	opaqueGC
+	58	148
+	60	147
+	3	62	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	121
+	152	122
+	3	150	126	psDrawFilled
+	opaqueGC
+	154	121
+	152	122
+	3	150	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	127
+	150	126
+	3	152	122	psDrawFilled
+	opaqueGC
+	148	127
+	150	126
+	3	152	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	147
+	100	148
+	3	98	147	psDrawFilled
+	opaqueGC
+	101	147
+	100	148
+	3	98	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	148
+	98	147
+	3	100	148	psDrawFilled
+	opaqueGC
+	96	148
+	98	147
+	3	100	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	139
+	182	138
+	3	184	142	psDrawFilled
+	opaqueGC
+	180	139
+	182	138
+	3	184	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	142
+	182	143
+	3	180	139	psDrawFilled
+	opaqueGC
+	184	142
+	182	143
+	3	180	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	140
+	126	142
+	3	124	142	psDrawFilled
+	opaqueGC
+	128	140
+	126	142
+	3	124	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	143
+	124	142
+	3	126	142	psDrawFilled
+	opaqueGC
+	122	143
+	124	142
+	3	126	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	131	139
+	3	130	139	psDrawFilled
+	opaqueGC
+	133	137
+	131	139
+	3	130	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	140
+	130	139
+	3	131	139	psDrawFilled
+	opaqueGC
+	128	140
+	130	139
+	3	131	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	152
+	197	154
+	3	195	152	psDrawFilled
+	opaqueGC
+	199	152
+	197	154
+	3	195	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	154
+	199	152
+	3	201	154	psDrawFilled
+	opaqueGC
+	197	154
+	199	152
+	3	201	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	128
+	144	129
+	3	143	131	psDrawFilled
+	opaqueGC
+	146	128
+	144	129
+	3	143	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	132
+	143	131
+	3	144	129	psDrawFilled
+	opaqueGC
+	141	132
+	143	131
+	3	144	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	147
+	103	148
+	3	101	147	psDrawFilled
+	opaqueGC
+	105	147
+	103	148
+	3	101	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	148
+	101	147
+	3	103	148	psDrawFilled
+	opaqueGC
+	100	148
+	101	147
+	3	103	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	149
+	188	151
+	3	186	148	psDrawFilled
+	opaqueGC
+	189	149
+	188	151
+	3	186	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	151
+	189	149
+	3	191	151	psDrawFilled
+	opaqueGC
+	188	151
+	189	149
+	3	191	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	152
+	193	153
+	3	191	151	psDrawFilled
+	opaqueGC
+	195	152
+	193	153
+	3	191	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	153
+	195	152
+	3	197	154	psDrawFilled
+	opaqueGC
+	193	153
+	195	152
+	3	197	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	146
+	107	147
+	3	105	147	psDrawFilled
+	opaqueGC
+	109	146
+	107	147
+	3	105	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	148
+	105	147
+	3	107	147	psDrawFilled
+	opaqueGC
+	103	148
+	105	147
+	3	107	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	143
+	120	144
+	3	118	144	psDrawFilled
+	opaqueGC
+	122	143
+	120	144
+	3	118	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	145
+	118	144
+	3	120	144	psDrawFilled
+	opaqueGC
+	116	145
+	118	144
+	3	120	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	133
+	137	134
+	3	135	136	psDrawFilled
+	opaqueGC
+	139	133
+	137	134
+	3	135	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	135	136
+	3	137	134	psDrawFilled
+	opaqueGC
+	133	137
+	135	136
+	3	137	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	100
+	182	109
+	3	184	120	psDrawFilled
+	opaqueGC
+	181	100
+	182	109
+	3	184	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	120
+	182	118
+	3	181	100	psDrawFilled
+	opaqueGC
+	184	120
+	182	118
+	3	181	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	238	154
+	236	156
+	3	234	154	psDrawFilled
+	opaqueGC
+	238	154
+	236	156
+	3	234	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	236	156
+	238	154
+	3	240	156	psDrawFilled
+	opaqueGC
+	236	156
+	238	154
+	3	240	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	234	154
+	233	156
+	3	231	154	psDrawFilled
+	opaqueGC
+	234	154
+	233	156
+	3	231	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	233	156
+	234	154
+	3	236	156	psDrawFilled
+	opaqueGC
+	233	156
+	234	154
+	3	236	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	154
+	229	156
+	3	227	154	psDrawFilled
+	opaqueGC
+	231	154
+	229	156
+	3	227	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	156
+	231	154
+	3	233	156	psDrawFilled
+	opaqueGC
+	229	156
+	231	154
+	3	233	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	154
+	225	156
+	3	223	154	psDrawFilled
+	opaqueGC
+	227	154
+	225	156
+	3	223	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	156
+	227	154
+	3	229	156	psDrawFilled
+	opaqueGC
+	225	156
+	227	154
+	3	229	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	154
+	221	156
+	3	219	154	psDrawFilled
+	opaqueGC
+	223	154
+	221	156
+	3	219	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	156
+	223	154
+	3	225	156	psDrawFilled
+	opaqueGC
+	221	156
+	223	154
+	3	225	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	154
+	218	156
+	3	216	154	psDrawFilled
+	opaqueGC
+	219	154
+	218	156
+	3	216	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	156
+	219	154
+	3	221	156	psDrawFilled
+	opaqueGC
+	218	156
+	219	154
+	3	221	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	154
+	214	156
+	3	212	154	psDrawFilled
+	opaqueGC
+	216	154
+	214	156
+	3	212	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	156
+	216	154
+	3	218	156	psDrawFilled
+	opaqueGC
+	214	156
+	216	154
+	3	218	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	146
+	111	147
+	3	109	146	psDrawFilled
+	opaqueGC
+	113	146
+	111	147
+	3	109	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	147
+	109	146
+	3	111	147	psDrawFilled
+	opaqueGC
+	107	147
+	109	146
+	3	111	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	154
+	210	156
+	3	208	154	psDrawFilled
+	opaqueGC
+	212	154
+	210	156
+	3	208	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	156
+	212	154
+	3	214	156	psDrawFilled
+	opaqueGC
+	210	156
+	212	154
+	3	214	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	154
+	206	156
+	3	204	154	psDrawFilled
+	opaqueGC
+	208	154
+	206	156
+	3	204	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	156
+	208	154
+	3	210	156	psDrawFilled
+	opaqueGC
+	206	156
+	208	154
+	3	210	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	151
+	190	153
+	3	188	151	psDrawFilled
+	opaqueGC
+	191	151
+	190	153
+	3	188	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	153
+	191	151
+	3	193	153	psDrawFilled
+	opaqueGC
+	190	153
+	191	151
+	3	193	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	127
+	180	127
+	3	182	133	psDrawFilled
+	opaqueGC
+	178	127
+	180	127
+	3	182	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	133
+	180	133
+	3	178	127	psDrawFilled
+	opaqueGC
+	182	133
+	180	133
+	3	178	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	154
+	203	155
+	3	201	154	psDrawFilled
+	opaqueGC
+	204	154
+	203	155
+	3	201	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	155
+	204	154
+	3	206	156	psDrawFilled
+	opaqueGC
+	203	155
+	204	154
+	3	206	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	134
+	180	133
+	3	182	138	psDrawFilled
+	opaqueGC
+	178	134
+	180	133
+	3	182	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	138
+	180	139
+	3	178	134	psDrawFilled
+	opaqueGC
+	182	138
+	180	139
+	3	178	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	109
+	179	92
+	3	176	105	psDrawFilled
+	opaqueGC
+	180	109
+	179	92
+	3	176	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	92
+	180	109
+	3	182	110	psDrawFilled
+	opaqueGC
+	179	92
+	180	109
+	3	182	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	154
+	199	155
+	3	197	154	psDrawFilled
+	opaqueGC
+	201	154
+	199	155
+	3	197	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	155
+	201	154
+	3	203	155	psDrawFilled
+	opaqueGC
+	199	155
+	201	154
+	3	203	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	148
+	83	149
+	3	81	148	psDrawFilled
+	opaqueGC
+	85	148
+	83	149
+	3	81	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	148
+	79	149
+	3	77	148	psDrawFilled
+	opaqueGC
+	81	148
+	79	149
+	3	77	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	149
+	81	148
+	3	83	149	psDrawFilled
+	opaqueGC
+	79	149
+	81	148
+	3	83	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	148
+	75	149
+	3	73	148	psDrawFilled
+	opaqueGC
+	77	148
+	75	149
+	3	73	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	149
+	77	148
+	3	79	149	psDrawFilled
+	opaqueGC
+	75	149
+	77	148
+	3	79	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	145
+	114	146
+	3	113	146	psDrawFilled
+	opaqueGC
+	116	145
+	114	146
+	3	113	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	147
+	113	146
+	3	114	146	psDrawFilled
+	opaqueGC
+	111	147
+	113	146
+	3	114	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	148
+	86	149
+	3	85	148	psDrawFilled
+	opaqueGC
+	88	148
+	86	149
+	3	85	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	149
+	85	148
+	3	86	149	psDrawFilled
+	opaqueGC
+	83	149
+	85	148
+	3	86	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	148
+	71	149
+	3	70	148	psDrawFilled
+	opaqueGC
+	73	148
+	71	149
+	3	70	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	149
+	73	148
+	3	75	149	psDrawFilled
+	opaqueGC
+	71	149
+	73	148
+	3	75	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	148
+	90	149
+	3	88	148	psDrawFilled
+	opaqueGC
+	92	148
+	90	149
+	3	88	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	149
+	88	148
+	3	90	149	psDrawFilled
+	opaqueGC
+	86	149
+	88	148
+	3	90	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	148
+	68	149
+	3	66	148	psDrawFilled
+	opaqueGC
+	70	148
+	68	149
+	3	66	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	149
+	70	148
+	3	71	149	psDrawFilled
+	opaqueGC
+	68	149
+	70	148
+	3	71	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	143
+	182	143
+	3	184	146	psDrawFilled
+	opaqueGC
+	180	143
+	182	143
+	3	184	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	146
+	182	147
+	3	180	143	psDrawFilled
+	opaqueGC
+	184	146
+	182	147
+	3	180	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	147
+	184	146
+	3	186	148	psDrawFilled
+	opaqueGC
+	182	147
+	184	146
+	3	186	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	139
+	129	140
+	3	128	140	psDrawFilled
+	opaqueGC
+	131	139
+	129	140
+	3	128	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	142
+	128	140
+	3	129	140	psDrawFilled
+	opaqueGC
+	126	142
+	128	140
+	3	129	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	148
+	184	149
+	3	182	147	psDrawFilled
+	opaqueGC
+	186	148
+	184	149
+	3	182	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	149
+	186	148
+	3	188	151	psDrawFilled
+	opaqueGC
+	184	149
+	186	148
+	3	188	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	142
+	124	143
+	3	122	143	psDrawFilled
+	opaqueGC
+	126	142
+	124	143
+	3	122	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	144
+	122	143
+	3	124	143	psDrawFilled
+	opaqueGC
+	120	144
+	122	143
+	3	124	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	148
+	94	149
+	3	92	148	psDrawFilled
+	opaqueGC
+	96	148
+	94	149
+	3	92	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	149
+	92	148
+	3	94	149	psDrawFilled
+	opaqueGC
+	90	149
+	92	148
+	3	94	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	154
+	195	155
+	3	193	153	psDrawFilled
+	opaqueGC
+	197	154
+	195	155
+	3	193	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	155
+	197	154
+	3	199	155	psDrawFilled
+	opaqueGC
+	195	155
+	197	154
+	3	199	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	148
+	64	149
+	3	62	148	psDrawFilled
+	opaqueGC
+	66	148
+	64	149
+	3	62	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	149
+	66	148
+	3	68	149	psDrawFilled
+	opaqueGC
+	64	149
+	66	148
+	3	68	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	148
+	98	149
+	3	96	148	psDrawFilled
+	opaqueGC
+	100	148
+	98	149
+	3	96	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	149
+	96	148
+	3	98	149	psDrawFilled
+	opaqueGC
+	94	149
+	96	148
+	3	98	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	148
+	60	149
+	3	58	148	psDrawFilled
+	opaqueGC
+	62	148
+	60	149
+	3	58	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	149
+	62	148
+	3	64	149	psDrawFilled
+	opaqueGC
+	60	149
+	62	148
+	3	64	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	129
+	143	130
+	3	141	132	psDrawFilled
+	opaqueGC
+	144	129
+	143	130
+	3	141	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	133
+	141	132
+	3	143	130	psDrawFilled
+	opaqueGC
+	139	133
+	141	132
+	3	143	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	56	149
+	58	148
+	3	60	149	psDrawFilled
+	opaqueGC
+	56	149
+	58	148
+	3	60	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	148
+	101	149
+	3	100	148	psDrawFilled
+	opaqueGC
+	103	148
+	101	149
+	3	100	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	149
+	100	148
+	3	101	149	psDrawFilled
+	opaqueGC
+	98	149
+	100	148
+	3	101	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	151
+	186	152
+	3	184	149	psDrawFilled
+	opaqueGC
+	188	151
+	186	152
+	3	184	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	152
+	188	151
+	3	190	153	psDrawFilled
+	opaqueGC
+	186	152
+	188	151
+	3	190	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	153
+	191	155
+	3	190	153	psDrawFilled
+	opaqueGC
+	193	153
+	191	155
+	3	190	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	155
+	193	153
+	3	195	155	psDrawFilled
+	opaqueGC
+	191	155
+	193	153
+	3	195	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	122
+	150	122
+	3	148	127	psDrawFilled
+	opaqueGC
+	152	122
+	150	122
+	3	148	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	128
+	148	127
+	3	150	122	psDrawFilled
+	opaqueGC
+	146	128
+	148	127
+	3	150	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	117
+	158	115
+	3	156	121	psDrawFilled
+	opaqueGC
+	160	117
+	158	115
+	3	156	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	121
+	156	121
+	3	158	115	psDrawFilled
+	opaqueGC
+	154	121
+	156	121
+	3	158	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	139
+	180	139
+	3	182	143	psDrawFilled
+	opaqueGC
+	178	139
+	180	139
+	3	182	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	143
+	180	143
+	3	178	139	psDrawFilled
+	opaqueGC
+	182	143
+	180	143
+	3	178	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	144
+	118	146
+	3	116	145	psDrawFilled
+	opaqueGC
+	120	144
+	118	146
+	3	116	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	146
+	116	145
+	3	118	146	psDrawFilled
+	opaqueGC
+	114	146
+	116	145
+	3	118	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	147
+	105	149
+	3	103	148	psDrawFilled
+	opaqueGC
+	107	147
+	105	149
+	3	103	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	149
+	103	148
+	3	105	149	psDrawFilled
+	opaqueGC
+	101	149
+	103	148
+	3	105	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	134
+	135	136
+	3	133	137	psDrawFilled
+	opaqueGC
+	137	134
+	135	136
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	139
+	133	137
+	3	135	136	psDrawFilled
+	opaqueGC
+	131	139
+	133	137
+	3	135	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	240	156
+	238	157
+	3	236	156	psDrawFilled
+	opaqueGC
+	240	156
+	238	157
+	3	236	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	238	157
+	240	156
+	3	242	157	psDrawFilled
+	opaqueGC
+	238	157
+	240	156
+	3	242	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	236	156
+	235	157
+	3	233	156	psDrawFilled
+	opaqueGC
+	236	156
+	235	157
+	3	233	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	235	157
+	236	156
+	3	238	157	psDrawFilled
+	opaqueGC
+	235	157
+	236	156
+	3	238	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	233	156
+	231	157
+	3	229	156	psDrawFilled
+	opaqueGC
+	233	156
+	231	157
+	3	229	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	157
+	233	156
+	3	235	157	psDrawFilled
+	opaqueGC
+	231	157
+	233	156
+	3	235	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	156
+	227	157
+	3	225	156	psDrawFilled
+	opaqueGC
+	229	156
+	227	157
+	3	225	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	157
+	229	156
+	3	231	157	psDrawFilled
+	opaqueGC
+	227	157
+	229	156
+	3	231	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	156
+	223	157
+	3	221	156	psDrawFilled
+	opaqueGC
+	225	156
+	223	157
+	3	221	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	157
+	225	156
+	3	227	157	psDrawFilled
+	opaqueGC
+	223	157
+	225	156
+	3	227	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	156
+	220	157
+	3	218	156	psDrawFilled
+	opaqueGC
+	221	156
+	220	157
+	3	218	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	157
+	221	156
+	3	223	157	psDrawFilled
+	opaqueGC
+	220	157
+	221	156
+	3	223	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	156
+	216	157
+	3	214	156	psDrawFilled
+	opaqueGC
+	218	156
+	216	157
+	3	214	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	157
+	218	156
+	3	220	157	psDrawFilled
+	opaqueGC
+	216	157
+	218	156
+	3	220	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	156
+	212	157
+	3	210	156	psDrawFilled
+	opaqueGC
+	214	156
+	212	157
+	3	210	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	157
+	214	156
+	3	216	157	psDrawFilled
+	opaqueGC
+	212	157
+	214	156
+	3	216	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	118
+	180	117
+	3	182	126	psDrawFilled
+	opaqueGC
+	179	118
+	180	117
+	3	182	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	126
+	180	127
+	3	179	118	psDrawFilled
+	opaqueGC
+	182	126
+	180	127
+	3	179	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	156
+	208	157
+	3	206	156	psDrawFilled
+	opaqueGC
+	210	156
+	208	157
+	3	206	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	157
+	210	156
+	3	212	157	psDrawFilled
+	opaqueGC
+	208	157
+	210	156
+	3	212	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	156
+	205	157
+	3	203	155	psDrawFilled
+	opaqueGC
+	206	156
+	205	157
+	3	203	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	157
+	206	156
+	3	208	157	psDrawFilled
+	opaqueGC
+	205	157
+	206	156
+	3	208	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	96
+	173	96
+	3	171	110	psDrawFilled
+	opaqueGC
+	175	96
+	173	96
+	3	171	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	112
+	171	110
+	3	173	96	psDrawFilled
+	opaqueGC
+	169	112
+	171	110
+	3	173	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	147
+	109	148
+	3	107	147	psDrawFilled
+	opaqueGC
+	111	147
+	109	148
+	3	107	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	149
+	107	147
+	3	109	148	psDrawFilled
+	opaqueGC
+	105	149
+	107	147
+	3	109	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	155
+	201	157
+	3	199	155	psDrawFilled
+	opaqueGC
+	203	155
+	201	157
+	3	199	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	157
+	203	155
+	3	205	157	psDrawFilled
+	opaqueGC
+	201	157
+	203	155
+	3	205	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	110
+	181	94
+	3	179	92	psDrawFilled
+	opaqueGC
+	182	110
+	181	94
+	3	179	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	153
+	188	154
+	3	186	152	psDrawFilled
+	opaqueGC
+	190	153
+	188	154
+	3	186	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	154
+	190	153
+	3	191	155	psDrawFilled
+	opaqueGC
+	188	154
+	190	153
+	3	191	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	155
+	197	157
+	3	195	155	psDrawFilled
+	opaqueGC
+	199	155
+	197	157
+	3	195	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	157
+	199	155
+	3	201	157	psDrawFilled
+	opaqueGC
+	197	157
+	199	155
+	3	201	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	140
+	128	141
+	3	126	142	psDrawFilled
+	opaqueGC
+	129	140
+	128	141
+	3	126	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	143
+	126	142
+	3	128	141	psDrawFilled
+	opaqueGC
+	124	143
+	126	142
+	3	128	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	146
+	112	148
+	3	111	147	psDrawFilled
+	opaqueGC
+	114	146
+	112	148
+	3	111	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	148
+	111	147
+	3	112	148	psDrawFilled
+	opaqueGC
+	109	148
+	111	147
+	3	112	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	143
+	122	145
+	3	120	144	psDrawFilled
+	opaqueGC
+	124	143
+	122	145
+	3	120	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	146
+	120	144
+	3	122	145	psDrawFilled
+	opaqueGC
+	118	146
+	120	144
+	3	122	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	155
+	193	156
+	3	191	155	psDrawFilled
+	opaqueGC
+	195	155
+	193	156
+	3	191	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	156
+	195	155
+	3	197	157	psDrawFilled
+	opaqueGC
+	193	156
+	195	155
+	3	197	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	113
+	163	112
+	3	161	118	psDrawFilled
+	opaqueGC
+	165	113
+	163	112
+	3	161	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	117
+	161	118
+	3	163	112	psDrawFilled
+	opaqueGC
+	160	117
+	161	118
+	3	163	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	149
+	84	150
+	3	83	149	psDrawFilled
+	opaqueGC
+	86	149
+	84	150
+	3	83	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	149
+	81	150
+	3	79	149	psDrawFilled
+	opaqueGC
+	83	149
+	81	150
+	3	79	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	150
+	83	149
+	3	84	150	psDrawFilled
+	opaqueGC
+	81	150
+	83	149
+	3	84	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	149
+	77	150
+	3	75	149	psDrawFilled
+	opaqueGC
+	79	149
+	77	150
+	3	75	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	150
+	79	149
+	3	81	150	psDrawFilled
+	opaqueGC
+	77	150
+	79	149
+	3	81	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	149
+	88	150
+	3	86	149	psDrawFilled
+	opaqueGC
+	90	149
+	88	150
+	3	86	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	150
+	86	149
+	3	88	150	psDrawFilled
+	opaqueGC
+	84	150
+	86	149
+	3	88	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	149
+	73	150
+	3	71	149	psDrawFilled
+	opaqueGC
+	75	149
+	73	150
+	3	71	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	150
+	75	149
+	3	77	150	psDrawFilled
+	opaqueGC
+	73	150
+	75	149
+	3	77	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	148
+	182	147
+	3	184	149	psDrawFilled
+	opaqueGC
+	180	148
+	182	147
+	3	184	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	149
+	182	150
+	3	180	148	psDrawFilled
+	opaqueGC
+	184	149
+	182	150
+	3	180	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	150
+	184	149
+	3	186	152	psDrawFilled
+	opaqueGC
+	182	150
+	184	149
+	3	186	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	149
+	92	150
+	3	90	149	psDrawFilled
+	opaqueGC
+	94	149
+	92	150
+	3	90	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	150
+	90	149
+	3	92	150	psDrawFilled
+	opaqueGC
+	88	150
+	90	149
+	3	92	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	149
+	69	150
+	3	68	149	psDrawFilled
+	opaqueGC
+	71	149
+	69	150
+	3	68	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	150
+	71	149
+	3	73	150	psDrawFilled
+	opaqueGC
+	69	150
+	71	149
+	3	73	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	144
+	180	143
+	3	182	147	psDrawFilled
+	opaqueGC
+	178	144
+	180	143
+	3	182	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	147
+	180	148
+	3	178	144	psDrawFilled
+	opaqueGC
+	182	147
+	180	148
+	3	178	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	128
+	178	127
+	3	180	133	psDrawFilled
+	opaqueGC
+	177	128
+	178	127
+	3	180	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	133
+	178	134
+	3	177	128	psDrawFilled
+	opaqueGC
+	180	133
+	178	134
+	3	177	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	134
+	178	134
+	3	180	139	psDrawFilled
+	opaqueGC
+	177	134
+	178	134
+	3	180	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	139
+	178	139
+	3	177	134	psDrawFilled
+	opaqueGC
+	180	139
+	178	139
+	3	177	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	149
+	65	150
+	3	64	149	psDrawFilled
+	opaqueGC
+	68	149
+	65	150
+	3	64	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	150
+	68	149
+	3	69	150	psDrawFilled
+	opaqueGC
+	65	150
+	68	149
+	3	69	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	149
+	96	150
+	3	94	149	psDrawFilled
+	opaqueGC
+	98	149
+	96	150
+	3	94	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	150
+	94	149
+	3	96	150	psDrawFilled
+	opaqueGC
+	92	150
+	94	149
+	3	96	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	155
+	190	156
+	3	188	154	psDrawFilled
+	opaqueGC
+	191	155
+	190	156
+	3	188	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	156
+	191	155
+	3	193	156	psDrawFilled
+	opaqueGC
+	190	156
+	191	155
+	3	193	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	130
+	141	131
+	3	139	133	psDrawFilled
+	opaqueGC
+	143	130
+	141	131
+	3	139	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	134
+	139	133
+	3	141	131	psDrawFilled
+	opaqueGC
+	137	134
+	139	133
+	3	141	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	242	157
+	240	159
+	3	238	157	psDrawFilled
+	opaqueGC
+	242	157
+	240	159
+	3	238	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	238	157
+	237	159
+	3	235	157	psDrawFilled
+	opaqueGC
+	238	157
+	237	159
+	3	235	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	237	159
+	238	157
+	3	240	159	psDrawFilled
+	opaqueGC
+	237	159
+	238	157
+	3	240	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	235	157
+	233	159
+	3	231	157	psDrawFilled
+	opaqueGC
+	235	157
+	233	159
+	3	231	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	233	159
+	235	157
+	3	237	159	psDrawFilled
+	opaqueGC
+	233	159
+	235	157
+	3	237	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	157
+	229	159
+	3	227	157	psDrawFilled
+	opaqueGC
+	231	157
+	229	159
+	3	227	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	159
+	231	157
+	3	233	159	psDrawFilled
+	opaqueGC
+	229	159
+	231	157
+	3	233	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	157
+	225	159
+	3	223	157	psDrawFilled
+	opaqueGC
+	227	157
+	225	159
+	3	223	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	159
+	227	157
+	3	229	159	psDrawFilled
+	opaqueGC
+	225	159
+	227	157
+	3	229	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	149
+	62	150
+	3	60	149	psDrawFilled
+	opaqueGC
+	64	149
+	62	150
+	3	60	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	150
+	64	149
+	3	65	150	psDrawFilled
+	opaqueGC
+	62	150
+	64	149
+	3	65	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	157
+	222	159
+	3	220	157	psDrawFilled
+	opaqueGC
+	223	157
+	222	159
+	3	220	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	159
+	223	157
+	3	225	159	psDrawFilled
+	opaqueGC
+	222	159
+	223	157
+	3	225	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	152
+	184	153
+	3	182	150	psDrawFilled
+	opaqueGC
+	186	152
+	184	153
+	3	182	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	153
+	186	152
+	3	188	154	psDrawFilled
+	opaqueGC
+	184	153
+	186	152
+	3	188	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	136
+	133	137
+	3	131	139	psDrawFilled
+	opaqueGC
+	135	136
+	133	137
+	3	131	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	140
+	131	139
+	3	133	137	psDrawFilled
+	opaqueGC
+	129	140
+	131	139
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	157
+	218	159
+	3	216	157	psDrawFilled
+	opaqueGC
+	220	157
+	218	159
+	3	216	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	159
+	220	157
+	3	222	159	psDrawFilled
+	opaqueGC
+	218	159
+	220	157
+	3	222	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	149
+	99	150
+	3	98	149	psDrawFilled
+	opaqueGC
+	101	149
+	99	150
+	3	98	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	150
+	98	149
+	3	99	150	psDrawFilled
+	opaqueGC
+	96	150
+	98	149
+	3	99	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	157
+	214	158
+	3	212	157	psDrawFilled
+	opaqueGC
+	216	157
+	214	158
+	3	212	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	158
+	216	157
+	3	218	159	psDrawFilled
+	opaqueGC
+	214	158
+	216	157
+	3	218	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	146
+	116	147
+	3	114	146	psDrawFilled
+	opaqueGC
+	118	146
+	116	147
+	3	114	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	148
+	114	146
+	3	116	147	psDrawFilled
+	opaqueGC
+	112	148
+	114	146
+	3	116	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	157
+	210	158
+	3	208	157	psDrawFilled
+	opaqueGC
+	212	157
+	210	158
+	3	208	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	158
+	212	157
+	3	214	158	psDrawFilled
+	opaqueGC
+	210	158
+	212	157
+	3	214	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	157
+	207	158
+	3	205	157	psDrawFilled
+	opaqueGC
+	208	157
+	207	158
+	3	205	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	158
+	208	157
+	3	210	158	psDrawFilled
+	opaqueGC
+	207	158
+	208	157
+	3	210	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	149
+	58	150
+	3	56	149	psDrawFilled
+	opaqueGC
+	60	149
+	58	150
+	3	56	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	58	150
+	60	149
+	3	62	150	psDrawFilled
+	opaqueGC
+	58	150
+	60	149
+	3	62	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	157
+	203	158
+	3	201	157	psDrawFilled
+	opaqueGC
+	205	157
+	203	158
+	3	201	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	158
+	205	157
+	3	207	158	psDrawFilled
+	opaqueGC
+	203	158
+	205	157
+	3	207	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	149
+	103	150
+	3	101	149	psDrawFilled
+	opaqueGC
+	105	149
+	103	150
+	3	101	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	150
+	101	149
+	3	103	150	psDrawFilled
+	opaqueGC
+	99	150
+	101	149
+	3	103	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	122
+	148	123
+	3	146	128	psDrawFilled
+	opaqueGC
+	150	122
+	148	123
+	3	146	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	129
+	146	128
+	3	148	123	psDrawFilled
+	opaqueGC
+	144	129
+	146	128
+	3	148	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	96
+	171	103
+	3	169	112	psDrawFilled
+	opaqueGC
+	173	96
+	171	103
+	3	169	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	113
+	169	112
+	3	171	103	psDrawFilled
+	opaqueGC
+	167	113
+	169	112
+	3	171	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	54	149
+	56	149
+	3	58	150	psDrawFilled
+	opaqueGC
+	54	149
+	56	149
+	3	58	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	157
+	199	158
+	3	197	157	psDrawFilled
+	opaqueGC
+	201	157
+	199	158
+	3	197	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	158
+	201	157
+	3	203	158	psDrawFilled
+	opaqueGC
+	199	158
+	201	157
+	3	203	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	140
+	178	139
+	3	180	143	psDrawFilled
+	opaqueGC
+	177	140
+	178	139
+	3	180	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	143
+	178	144
+	3	177	140	psDrawFilled
+	opaqueGC
+	180	143
+	178	144
+	3	177	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	148
+	107	149
+	3	105	149	psDrawFilled
+	opaqueGC
+	109	148
+	107	149
+	3	105	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	150
+	105	149
+	3	107	149	psDrawFilled
+	opaqueGC
+	103	150
+	105	149
+	3	107	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	157
+	195	158
+	3	193	156	psDrawFilled
+	opaqueGC
+	197	157
+	195	158
+	3	193	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	158
+	197	157
+	3	199	158	psDrawFilled
+	opaqueGC
+	195	158
+	197	157
+	3	199	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	154
+	186	155
+	3	184	153	psDrawFilled
+	opaqueGC
+	188	154
+	186	155
+	3	184	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	155
+	188	154
+	3	190	156	psDrawFilled
+	opaqueGC
+	186	155
+	188	154
+	3	190	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	141
+	126	143
+	3	124	143	psDrawFilled
+	opaqueGC
+	128	141
+	126	143
+	3	124	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	145
+	124	143
+	3	126	143	psDrawFilled
+	opaqueGC
+	122	145
+	124	143
+	3	126	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	145
+	120	146
+	3	118	146	psDrawFilled
+	opaqueGC
+	122	145
+	120	146
+	3	118	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	147
+	118	146
+	3	120	146	psDrawFilled
+	opaqueGC
+	116	147
+	118	146
+	3	120	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	156
+	192	158
+	3	190	156	psDrawFilled
+	opaqueGC
+	193	156
+	192	158
+	3	190	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	158
+	193	156
+	3	195	158	psDrawFilled
+	opaqueGC
+	192	158
+	193	156
+	3	195	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	148
+	111	149
+	3	109	148	psDrawFilled
+	opaqueGC
+	112	148
+	111	149
+	3	109	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	149
+	109	148
+	3	111	149	psDrawFilled
+	opaqueGC
+	107	149
+	109	148
+	3	111	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	120
+	179	118
+	3	180	127	psDrawFilled
+	opaqueGC
+	177	120
+	179	118
+	3	180	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	127
+	178	127
+	3	177	120	psDrawFilled
+	opaqueGC
+	180	127
+	178	127
+	3	177	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	131	139
+	3	129	140	psDrawFilled
+	opaqueGC
+	133	137
+	131	139
+	3	129	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	141
+	129	140
+	3	131	139	psDrawFilled
+	opaqueGC
+	128	141
+	129	140
+	3	131	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	240	159
+	239	160
+	3	237	159	psDrawFilled
+	opaqueGC
+	240	159
+	239	160
+	3	237	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	237	159
+	235	160
+	3	233	159	psDrawFilled
+	opaqueGC
+	237	159
+	235	160
+	3	233	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	235	160
+	237	159
+	3	239	160	psDrawFilled
+	opaqueGC
+	235	160
+	237	159
+	3	239	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	233	159
+	231	160
+	3	229	159	psDrawFilled
+	opaqueGC
+	233	159
+	231	160
+	3	229	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	160
+	233	159
+	3	235	160	psDrawFilled
+	opaqueGC
+	231	160
+	233	159
+	3	235	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	159
+	227	160
+	3	225	159	psDrawFilled
+	opaqueGC
+	229	159
+	227	160
+	3	225	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	160
+	229	159
+	3	231	160	psDrawFilled
+	opaqueGC
+	227	160
+	229	159
+	3	231	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	159
+	224	160
+	3	222	159	psDrawFilled
+	opaqueGC
+	225	159
+	224	160
+	3	222	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	160
+	225	159
+	3	227	160	psDrawFilled
+	opaqueGC
+	224	160
+	225	159
+	3	227	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	115
+	156	114
+	3	154	121	psDrawFilled
+	opaqueGC
+	158	115
+	156	114
+	3	154	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	122
+	154	121
+	3	156	114	psDrawFilled
+	opaqueGC
+	152	122
+	154	121
+	3	156	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	159
+	220	160
+	3	218	159	psDrawFilled
+	opaqueGC
+	222	159
+	220	160
+	3	218	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	160
+	222	159
+	3	224	160	psDrawFilled
+	opaqueGC
+	220	160
+	222	159
+	3	224	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	159
+	216	160
+	3	214	158	psDrawFilled
+	opaqueGC
+	218	159
+	216	160
+	3	214	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	160
+	218	159
+	3	220	160	psDrawFilled
+	opaqueGC
+	216	160
+	218	159
+	3	220	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	158
+	212	160
+	3	210	158	psDrawFilled
+	opaqueGC
+	214	158
+	212	160
+	3	210	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	160
+	214	158
+	3	216	160	psDrawFilled
+	opaqueGC
+	212	160
+	214	158
+	3	216	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	149
+	180	148
+	3	182	150	psDrawFilled
+	opaqueGC
+	178	149
+	180	148
+	3	182	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	150
+	180	152
+	3	178	149	psDrawFilled
+	opaqueGC
+	182	150
+	180	152
+	3	178	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	152
+	182	150
+	3	184	153	psDrawFilled
+	opaqueGC
+	180	152
+	182	150
+	3	184	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	156
+	188	157
+	3	186	155	psDrawFilled
+	opaqueGC
+	190	156
+	188	157
+	3	186	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	157
+	190	156
+	3	192	158	psDrawFilled
+	opaqueGC
+	188	157
+	190	156
+	3	192	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	158
+	209	160
+	3	207	158	psDrawFilled
+	opaqueGC
+	210	158
+	209	160
+	3	207	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	160
+	210	158
+	3	212	160	psDrawFilled
+	opaqueGC
+	209	160
+	210	158
+	3	212	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	150
+	82	151
+	3	81	150	psDrawFilled
+	opaqueGC
+	84	150
+	82	151
+	3	81	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	150
+	78	151
+	3	77	150	psDrawFilled
+	opaqueGC
+	81	150
+	78	151
+	3	77	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	151
+	81	150
+	3	82	151	psDrawFilled
+	opaqueGC
+	78	151
+	81	150
+	3	82	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	150
+	86	151
+	3	84	150	psDrawFilled
+	opaqueGC
+	88	150
+	86	151
+	3	84	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	151
+	84	150
+	3	86	151	psDrawFilled
+	opaqueGC
+	82	151
+	84	150
+	3	86	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	150
+	75	151
+	3	73	150	psDrawFilled
+	opaqueGC
+	77	150
+	75	151
+	3	73	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	151
+	77	150
+	3	78	151	psDrawFilled
+	opaqueGC
+	75	151
+	77	150
+	3	78	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	158
+	205	160
+	3	203	158	psDrawFilled
+	opaqueGC
+	207	158
+	205	160
+	3	203	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	160
+	207	158
+	3	209	160	psDrawFilled
+	opaqueGC
+	205	160
+	207	158
+	3	209	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	150
+	90	151
+	3	88	150	psDrawFilled
+	opaqueGC
+	92	150
+	90	151
+	3	88	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	151
+	88	150
+	3	90	151	psDrawFilled
+	opaqueGC
+	86	151
+	88	150
+	3	90	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	131
+	139	132
+	3	137	134	psDrawFilled
+	opaqueGC
+	141	131
+	139	132
+	3	137	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	136
+	137	134
+	3	139	132	psDrawFilled
+	opaqueGC
+	135	136
+	137	134
+	3	139	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	147
+	114	148
+	3	112	148	psDrawFilled
+	opaqueGC
+	116	147
+	114	148
+	3	112	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	149
+	112	148
+	3	114	148	psDrawFilled
+	opaqueGC
+	111	149
+	112	148
+	3	114	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	150
+	71	151
+	3	69	150	psDrawFilled
+	opaqueGC
+	73	150
+	71	151
+	3	69	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	151
+	73	150
+	3	75	151	psDrawFilled
+	opaqueGC
+	71	151
+	73	150
+	3	75	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	150
+	94	151
+	3	92	150	psDrawFilled
+	opaqueGC
+	96	150
+	94	151
+	3	92	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	151
+	92	150
+	3	94	151	psDrawFilled
+	opaqueGC
+	90	151
+	92	150
+	3	94	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	96
+	176	105
+	3	179	92	psDrawFilled
+	opaqueGC
+	175	96
+	176	105
+	3	179	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	158
+	201	160
+	3	199	158	psDrawFilled
+	opaqueGC
+	203	158
+	201	160
+	3	199	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	160
+	203	158
+	3	205	160	psDrawFilled
+	opaqueGC
+	201	160
+	203	158
+	3	205	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	153
+	182	154
+	3	180	152	psDrawFilled
+	opaqueGC
+	184	153
+	182	154
+	3	180	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	154
+	184	153
+	3	186	155	psDrawFilled
+	opaqueGC
+	182	154
+	184	153
+	3	186	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	103
+	169	107
+	3	167	113	psDrawFilled
+	opaqueGC
+	171	103
+	169	107
+	3	167	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	113
+	167	113
+	3	169	107	psDrawFilled
+	opaqueGC
+	165	113
+	167	113
+	3	169	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	145
+	178	144
+	3	180	148	psDrawFilled
+	opaqueGC
+	177	145
+	178	144
+	3	180	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	148
+	178	149
+	3	177	145	psDrawFilled
+	opaqueGC
+	180	148
+	178	149
+	3	177	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	150
+	67	151
+	3	65	150	psDrawFilled
+	opaqueGC
+	69	150
+	67	151
+	3	65	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	151
+	69	150
+	3	71	151	psDrawFilled
+	opaqueGC
+	67	151
+	69	150
+	3	71	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	150
+	97	151
+	3	96	150	psDrawFilled
+	opaqueGC
+	99	150
+	97	151
+	3	96	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	151
+	96	150
+	3	97	151	psDrawFilled
+	opaqueGC
+	94	151
+	96	150
+	3	97	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	158
+	197	159
+	3	195	158	psDrawFilled
+	opaqueGC
+	199	158
+	197	159
+	3	195	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	159
+	199	158
+	3	201	160	psDrawFilled
+	opaqueGC
+	197	159
+	199	158
+	3	201	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	150
+	63	151
+	3	62	150	psDrawFilled
+	opaqueGC
+	65	150
+	63	151
+	3	62	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	63	151
+	65	150
+	3	67	151	psDrawFilled
+	opaqueGC
+	63	151
+	65	150
+	3	67	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	150
+	101	151
+	3	99	150	psDrawFilled
+	opaqueGC
+	103	150
+	101	151
+	3	99	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	151
+	99	150
+	3	101	151	psDrawFilled
+	opaqueGC
+	97	151
+	99	150
+	3	101	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	158
+	194	159
+	3	192	158	psDrawFilled
+	opaqueGC
+	195	158
+	194	159
+	3	192	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	159
+	195	158
+	3	197	159	psDrawFilled
+	opaqueGC
+	194	159
+	195	158
+	3	197	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	150
+	60	151
+	3	58	150	psDrawFilled
+	opaqueGC
+	62	150
+	60	151
+	3	58	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	151
+	62	150
+	3	63	151	psDrawFilled
+	opaqueGC
+	60	151
+	62	150
+	3	63	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	143
+	124	145
+	3	122	145	psDrawFilled
+	opaqueGC
+	126	143
+	124	145
+	3	122	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	146
+	122	145
+	3	124	145	psDrawFilled
+	opaqueGC
+	120	146
+	122	145
+	3	124	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	134
+	177	134
+	3	178	139	psDrawFilled
+	opaqueGC
+	175	134
+	177	134
+	3	178	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	139
+	177	140
+	3	175	134	psDrawFilled
+	opaqueGC
+	178	139
+	177	140
+	3	175	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	123
+	146	124
+	3	144	129	psDrawFilled
+	opaqueGC
+	148	123
+	146	124
+	3	144	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	130
+	144	129
+	3	146	124	psDrawFilled
+	opaqueGC
+	143	130
+	144	129
+	3	146	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	155
+	184	156
+	3	182	154	psDrawFilled
+	opaqueGC
+	186	155
+	184	156
+	3	182	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	156
+	186	155
+	3	188	157	psDrawFilled
+	opaqueGC
+	184	156
+	186	155
+	3	188	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	127
+	177	128
+	3	178	134	psDrawFilled
+	opaqueGC
+	175	127
+	177	128
+	3	178	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	134
+	177	134
+	3	175	127	psDrawFilled
+	opaqueGC
+	178	134
+	177	134
+	3	175	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	149
+	105	150
+	3	103	150	psDrawFilled
+	opaqueGC
+	107	149
+	105	150
+	3	103	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	151
+	103	150
+	3	105	150	psDrawFilled
+	opaqueGC
+	101	151
+	103	150
+	3	105	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	58	150
+	56	150
+	3	54	149	psDrawFilled
+	opaqueGC
+	58	150
+	56	150
+	3	54	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	56	150
+	58	150
+	3	60	151	psDrawFilled
+	opaqueGC
+	56	150
+	58	150
+	3	60	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	100
+	181	100
+	3	182	118	psDrawFilled
+	opaqueGC
+	179	100
+	181	100
+	3	182	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	118
+	180	117
+	3	179	100	psDrawFilled
+	opaqueGC
+	182	118
+	180	117
+	3	179	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	146
+	118	147
+	3	116	147	psDrawFilled
+	opaqueGC
+	120	146
+	118	147
+	3	116	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	148
+	116	147
+	3	118	147	psDrawFilled
+	opaqueGC
+	114	148
+	116	147
+	3	118	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	158
+	190	159
+	3	188	157	psDrawFilled
+	opaqueGC
+	192	158
+	190	159
+	3	188	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	159
+	192	158
+	3	194	159	psDrawFilled
+	opaqueGC
+	190	159
+	192	158
+	3	194	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	52	150
+	54	149
+	3	56	150	psDrawFilled
+	opaqueGC
+	52	150
+	54	149
+	3	56	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	139
+	129	141
+	3	128	141	psDrawFilled
+	opaqueGC
+	131	139
+	129	141
+	3	128	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	143
+	128	141
+	3	129	141	psDrawFilled
+	opaqueGC
+	126	143
+	128	141
+	3	129	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	140
+	177	140
+	3	178	144	psDrawFilled
+	opaqueGC
+	175	140
+	177	140
+	3	178	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	144
+	177	145
+	3	175	140	psDrawFilled
+	opaqueGC
+	178	144
+	177	145
+	3	175	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	149
+	109	150
+	3	107	149	psDrawFilled
+	opaqueGC
+	111	149
+	109	150
+	3	107	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	150
+	107	149
+	3	109	150	psDrawFilled
+	opaqueGC
+	105	150
+	107	149
+	3	109	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	239	160
+	237	161
+	3	235	160	psDrawFilled
+	opaqueGC
+	239	160
+	237	161
+	3	235	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	235	160
+	233	161
+	3	231	160	psDrawFilled
+	opaqueGC
+	235	160
+	233	161
+	3	231	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	233	161
+	235	160
+	3	237	161	psDrawFilled
+	opaqueGC
+	233	161
+	235	160
+	3	237	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	160
+	229	161
+	3	227	160	psDrawFilled
+	opaqueGC
+	231	160
+	229	161
+	3	227	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	161
+	231	160
+	3	233	161	psDrawFilled
+	opaqueGC
+	229	161
+	231	160
+	3	233	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	227	160
+	226	161
+	3	224	160	psDrawFilled
+	opaqueGC
+	227	160
+	226	161
+	3	224	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	161
+	227	160
+	3	229	161	psDrawFilled
+	opaqueGC
+	226	161
+	227	160
+	3	229	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	160
+	222	161
+	3	220	160	psDrawFilled
+	opaqueGC
+	224	160
+	222	161
+	3	220	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	161
+	224	160
+	3	226	161	psDrawFilled
+	opaqueGC
+	222	161
+	224	160
+	3	226	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	160
+	218	161
+	3	216	160	psDrawFilled
+	opaqueGC
+	220	160
+	218	161
+	3	216	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	161
+	220	160
+	3	222	161	psDrawFilled
+	opaqueGC
+	218	161
+	220	160
+	3	222	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	160
+	214	161
+	3	212	160	psDrawFilled
+	opaqueGC
+	216	160
+	214	161
+	3	212	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	161
+	216	160
+	3	218	161	psDrawFilled
+	opaqueGC
+	214	161
+	216	160
+	3	218	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	160
+	211	161
+	3	209	160	psDrawFilled
+	opaqueGC
+	212	160
+	211	161
+	3	209	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	161
+	212	160
+	3	214	161	psDrawFilled
+	opaqueGC
+	211	161
+	212	160
+	3	214	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	160
+	207	161
+	3	205	160	psDrawFilled
+	opaqueGC
+	209	160
+	207	161
+	3	205	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	161
+	209	160
+	3	211	161	psDrawFilled
+	opaqueGC
+	207	161
+	209	160
+	3	211	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	160
+	203	161
+	3	201	160	psDrawFilled
+	opaqueGC
+	205	160
+	203	161
+	3	201	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	161
+	205	160
+	3	207	161	psDrawFilled
+	opaqueGC
+	203	161
+	205	160
+	3	207	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	132
+	137	133
+	3	135	136	psDrawFilled
+	opaqueGC
+	139	132
+	137	133
+	3	135	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	135	136
+	3	137	133	psDrawFilled
+	opaqueGC
+	133	137
+	135	136
+	3	137	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	157
+	186	158
+	3	184	156	psDrawFilled
+	opaqueGC
+	188	157
+	186	158
+	3	184	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	158
+	188	157
+	3	190	159	psDrawFilled
+	opaqueGC
+	186	158
+	188	157
+	3	190	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	160
+	199	161
+	3	197	159	psDrawFilled
+	opaqueGC
+	201	160
+	199	161
+	3	197	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	161
+	201	160
+	3	203	161	psDrawFilled
+	opaqueGC
+	199	161
+	201	160
+	3	203	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	148
+	112	149
+	3	111	149	psDrawFilled
+	opaqueGC
+	114	148
+	112	149
+	3	111	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	150
+	111	149
+	3	112	149	psDrawFilled
+	opaqueGC
+	109	150
+	111	149
+	3	112	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	149
+	178	149
+	3	180	152	psDrawFilled
+	opaqueGC
+	177	149
+	178	149
+	3	180	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	152
+	178	153
+	3	177	149	psDrawFilled
+	opaqueGC
+	180	152
+	178	153
+	3	177	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	153
+	180	152
+	3	182	154	psDrawFilled
+	opaqueGC
+	178	153
+	180	152
+	3	182	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	159
+	195	161
+	3	194	159	psDrawFilled
+	opaqueGC
+	197	159
+	195	161
+	3	194	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	161
+	197	159
+	3	199	161	psDrawFilled
+	opaqueGC
+	195	161
+	197	159
+	3	199	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	154
+	180	155
+	3	178	153	psDrawFilled
+	opaqueGC
+	182	154
+	180	155
+	3	178	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	155
+	182	154
+	3	184	156	psDrawFilled
+	opaqueGC
+	180	155
+	182	154
+	3	184	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	120
+	177	120
+	3	178	127	psDrawFilled
+	opaqueGC
+	175	120
+	177	120
+	3	178	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	127
+	177	128
+	3	175	120	psDrawFilled
+	opaqueGC
+	178	127
+	177	128
+	3	175	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	151
+	84	152
+	3	82	151	psDrawFilled
+	opaqueGC
+	86	151
+	84	152
+	3	82	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	151
+	80	152
+	3	78	151	psDrawFilled
+	opaqueGC
+	82	151
+	80	152
+	3	78	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	152
+	82	151
+	3	84	152	psDrawFilled
+	opaqueGC
+	80	152
+	82	151
+	3	84	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	112
+	162	109
+	3	160	117	psDrawFilled
+	opaqueGC
+	163	112
+	162	109
+	3	160	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	115
+	160	117
+	3	162	109	psDrawFilled
+	opaqueGC
+	158	115
+	160	117
+	3	162	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	151
+	88	152
+	3	86	151	psDrawFilled
+	opaqueGC
+	90	151
+	88	152
+	3	86	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	152
+	86	151
+	3	88	152	psDrawFilled
+	opaqueGC
+	84	152
+	86	151
+	3	88	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	151
+	76	152
+	3	75	151	psDrawFilled
+	opaqueGC
+	78	151
+	76	152
+	3	75	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	152
+	78	151
+	3	80	152	psDrawFilled
+	opaqueGC
+	76	152
+	78	151
+	3	80	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	151
+	92	152
+	3	90	151	psDrawFilled
+	opaqueGC
+	94	151
+	92	152
+	3	90	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	152
+	90	151
+	3	92	152	psDrawFilled
+	opaqueGC
+	88	152
+	90	151
+	3	92	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	145
+	122	146
+	3	120	146	psDrawFilled
+	opaqueGC
+	124	145
+	122	146
+	3	120	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	147
+	120	146
+	3	122	146	psDrawFilled
+	opaqueGC
+	118	147
+	120	146
+	3	122	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	159
+	192	161
+	3	190	159	psDrawFilled
+	opaqueGC
+	194	159
+	192	161
+	3	190	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	161
+	194	159
+	3	195	161	psDrawFilled
+	opaqueGC
+	192	161
+	194	159
+	3	195	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	151
+	73	152
+	3	71	151	psDrawFilled
+	opaqueGC
+	75	151
+	73	152
+	3	71	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	152
+	75	151
+	3	76	152	psDrawFilled
+	opaqueGC
+	73	152
+	75	151
+	3	76	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	151
+	95	152
+	3	94	151	psDrawFilled
+	opaqueGC
+	97	151
+	95	152
+	3	94	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	152
+	94	151
+	3	95	152	psDrawFilled
+	opaqueGC
+	92	152
+	94	151
+	3	95	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	146
+	177	145
+	3	178	149	psDrawFilled
+	opaqueGC
+	175	146
+	177	145
+	3	178	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	149
+	177	149
+	3	175	146	psDrawFilled
+	opaqueGC
+	178	149
+	177	149
+	3	175	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	151
+	69	152
+	3	67	151	psDrawFilled
+	opaqueGC
+	71	151
+	69	152
+	3	67	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	152
+	71	151
+	3	73	152	psDrawFilled
+	opaqueGC
+	69	152
+	71	151
+	3	73	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	151
+	99	152
+	3	97	151	psDrawFilled
+	opaqueGC
+	101	151
+	99	152
+	3	97	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	152
+	97	151
+	3	99	152	psDrawFilled
+	opaqueGC
+	95	152
+	97	151
+	3	99	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	156
+	182	158
+	3	180	155	psDrawFilled
+	opaqueGC
+	184	156
+	182	158
+	3	180	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	158
+	184	156
+	3	186	158	psDrawFilled
+	opaqueGC
+	182	158
+	184	156
+	3	186	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	141
+	127	142
+	3	126	143	psDrawFilled
+	opaqueGC
+	129	141
+	127	142
+	3	126	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	145
+	126	143
+	3	127	142	psDrawFilled
+	opaqueGC
+	124	145
+	126	143
+	3	127	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	151
+	65	152
+	3	63	151	psDrawFilled
+	opaqueGC
+	67	151
+	65	152
+	3	63	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	152
+	67	151
+	3	69	152	psDrawFilled
+	opaqueGC
+	65	152
+	67	151
+	3	69	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	114
+	154	114
+	3	152	122	psDrawFilled
+	opaqueGC
+	156	114
+	154	114
+	3	152	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	122
+	152	122
+	3	154	114	psDrawFilled
+	opaqueGC
+	150	122
+	152	122
+	3	154	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	124
+	144	125
+	3	143	130	psDrawFilled
+	opaqueGC
+	146	124
+	144	125
+	3	143	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	131
+	143	130
+	3	144	125	psDrawFilled
+	opaqueGC
+	141	131
+	143	130
+	3	144	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	147
+	116	149
+	3	114	148	psDrawFilled
+	opaqueGC
+	118	147
+	116	149
+	3	114	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	149
+	114	148
+	3	116	149	psDrawFilled
+	opaqueGC
+	112	149
+	114	148
+	3	116	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	159
+	188	160
+	3	186	158	psDrawFilled
+	opaqueGC
+	190	159
+	188	160
+	3	186	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	160
+	190	159
+	3	192	161	psDrawFilled
+	opaqueGC
+	188	160
+	190	159
+	3	192	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	150
+	103	152
+	3	101	151	psDrawFilled
+	opaqueGC
+	105	150
+	103	152
+	3	101	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	152
+	101	151
+	3	103	152	psDrawFilled
+	opaqueGC
+	99	152
+	101	151
+	3	103	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	63	151
+	61	151
+	3	60	151	psDrawFilled
+	opaqueGC
+	63	151
+	61	151
+	3	60	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	61	151
+	63	151
+	3	65	152	psDrawFilled
+	opaqueGC
+	61	151
+	63	151
+	3	65	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	107
+	167	108
+	3	165	113	psDrawFilled
+	opaqueGC
+	169	107
+	167	108
+	3	165	113	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	112
+	165	113
+	3	167	108	psDrawFilled
+	opaqueGC
+	163	112
+	165	113
+	3	167	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	237	161
+	235	163
+	3	233	161	psDrawFilled
+	opaqueGC
+	237	161
+	235	163
+	3	233	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	233	161
+	231	163
+	3	229	161	psDrawFilled
+	opaqueGC
+	233	161
+	231	163
+	3	229	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	163
+	233	161
+	3	235	163	psDrawFilled
+	opaqueGC
+	231	163
+	233	161
+	3	235	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	229	161
+	228	163
+	3	226	161	psDrawFilled
+	opaqueGC
+	229	161
+	228	163
+	3	226	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	163
+	229	161
+	3	231	163	psDrawFilled
+	opaqueGC
+	228	163
+	229	161
+	3	231	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	161
+	224	163
+	3	222	161	psDrawFilled
+	opaqueGC
+	226	161
+	224	163
+	3	222	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	163
+	226	161
+	3	228	163	psDrawFilled
+	opaqueGC
+	224	163
+	226	161
+	3	228	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	161
+	220	163
+	3	218	161	psDrawFilled
+	opaqueGC
+	222	161
+	220	163
+	3	218	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	163
+	222	161
+	3	224	163	psDrawFilled
+	opaqueGC
+	220	163
+	222	161
+	3	224	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	161
+	216	163
+	3	214	161	psDrawFilled
+	opaqueGC
+	218	161
+	216	163
+	3	214	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	163
+	218	161
+	3	220	163	psDrawFilled
+	opaqueGC
+	216	163
+	218	161
+	3	220	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	161
+	213	163
+	3	211	161	psDrawFilled
+	opaqueGC
+	214	161
+	213	163
+	3	211	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	163
+	214	161
+	3	216	163	psDrawFilled
+	opaqueGC
+	213	163
+	214	161
+	3	216	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	161
+	209	163
+	3	207	161	psDrawFilled
+	opaqueGC
+	211	161
+	209	163
+	3	207	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	163
+	211	161
+	3	213	163	psDrawFilled
+	opaqueGC
+	209	163
+	211	161
+	3	213	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	133
+	135	135
+	3	133	137	psDrawFilled
+	opaqueGC
+	137	133
+	135	135
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	139
+	133	137
+	3	135	135	psDrawFilled
+	opaqueGC
+	131	139
+	133	137
+	3	135	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	161
+	205	163
+	3	203	161	psDrawFilled
+	opaqueGC
+	207	161
+	205	163
+	3	203	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	163
+	207	161
+	3	209	163	psDrawFilled
+	opaqueGC
+	205	163
+	207	161
+	3	209	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	151
+	57	151
+	3	56	150	psDrawFilled
+	opaqueGC
+	60	151
+	57	151
+	3	56	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	57	151
+	60	151
+	3	61	151	psDrawFilled
+	opaqueGC
+	57	151
+	60	151
+	3	61	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	161
+	201	163
+	3	199	161	psDrawFilled
+	opaqueGC
+	203	161
+	201	163
+	3	199	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	163
+	203	161
+	3	205	163	psDrawFilled
+	opaqueGC
+	201	163
+	203	161
+	3	205	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	150
+	107	151
+	3	105	150	psDrawFilled
+	opaqueGC
+	109	150
+	107	151
+	3	105	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	152
+	105	150
+	3	107	151	psDrawFilled
+	opaqueGC
+	103	152
+	105	150
+	3	107	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	161
+	197	162
+	3	195	161	psDrawFilled
+	opaqueGC
+	199	161
+	197	162
+	3	195	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	162
+	199	161
+	3	201	163	psDrawFilled
+	opaqueGC
+	197	162
+	199	161
+	3	201	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	134
+	175	134
+	3	177	140	psDrawFilled
+	opaqueGC
+	173	134
+	175	134
+	3	177	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	140
+	175	140
+	3	173	134	psDrawFilled
+	opaqueGC
+	177	140
+	175	140
+	3	173	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	158
+	184	160
+	3	182	158	psDrawFilled
+	opaqueGC
+	186	158
+	184	160
+	3	182	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	160
+	186	158
+	3	188	160	psDrawFilled
+	opaqueGC
+	184	160
+	186	158
+	3	188	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	56	150
+	54	151
+	3	52	150	psDrawFilled
+	opaqueGC
+	56	150
+	54	151
+	3	52	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	54	151
+	56	150
+	3	57	151	psDrawFilled
+	opaqueGC
+	54	151
+	56	150
+	3	57	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	161
+	194	162
+	3	192	161	psDrawFilled
+	opaqueGC
+	195	161
+	194	162
+	3	192	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	162
+	195	161
+	3	197	162	psDrawFilled
+	opaqueGC
+	194	162
+	195	161
+	3	197	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	141
+	175	140
+	3	177	145	psDrawFilled
+	opaqueGC
+	173	141
+	175	140
+	3	177	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	145
+	175	146
+	3	173	141	psDrawFilled
+	opaqueGC
+	177	145
+	175	146
+	3	173	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	149
+	110	151
+	3	109	150	psDrawFilled
+	opaqueGC
+	112	149
+	110	151
+	3	109	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	151
+	109	150
+	3	110	151	psDrawFilled
+	opaqueGC
+	107	151
+	109	150
+	3	110	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	146
+	120	148
+	3	118	147	psDrawFilled
+	opaqueGC
+	122	146
+	120	148
+	3	118	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	149
+	118	147
+	3	120	148	psDrawFilled
+	opaqueGC
+	116	149
+	118	147
+	3	120	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	126
+	175	127
+	3	177	134	psDrawFilled
+	opaqueGC
+	173	126
+	175	127
+	3	177	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	134
+	175	134
+	3	173	126	psDrawFilled
+	opaqueGC
+	177	134
+	175	134
+	3	173	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	50	150
+	52	150
+	3	54	151	psDrawFilled
+	opaqueGC
+	50	150
+	52	150
+	3	54	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	150
+	177	149
+	3	178	153	psDrawFilled
+	opaqueGC
+	175	150
+	177	149
+	3	178	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	153
+	177	154
+	3	175	150	psDrawFilled
+	opaqueGC
+	178	153
+	177	154
+	3	175	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	154
+	178	153
+	3	180	155	psDrawFilled
+	opaqueGC
+	177	154
+	178	153
+	3	180	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	161
+	190	162
+	3	188	160	psDrawFilled
+	opaqueGC
+	192	161
+	190	162
+	3	188	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	162
+	192	161
+	3	194	162	psDrawFilled
+	opaqueGC
+	190	162
+	192	161
+	3	194	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	155
+	179	156
+	3	177	154	psDrawFilled
+	opaqueGC
+	180	155
+	179	156
+	3	177	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	156
+	180	155
+	3	182	158	psDrawFilled
+	opaqueGC
+	179	156
+	180	155
+	3	182	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	142
+	126	144
+	3	124	145	psDrawFilled
+	opaqueGC
+	127	142
+	126	144
+	3	124	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	146
+	124	145
+	3	126	144	psDrawFilled
+	opaqueGC
+	122	146
+	124	145
+	3	126	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	135
+	133	137
+	3	131	139	psDrawFilled
+	opaqueGC
+	135	135
+	133	137
+	3	131	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	141
+	131	139
+	3	133	137	psDrawFilled
+	opaqueGC
+	129	141
+	131	139
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	152
+	86	153
+	3	84	152	psDrawFilled
+	opaqueGC
+	88	152
+	86	153
+	3	84	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	152
+	82	153
+	3	80	152	psDrawFilled
+	opaqueGC
+	84	152
+	82	153
+	3	80	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	153
+	84	152
+	3	86	153	psDrawFilled
+	opaqueGC
+	82	153
+	84	152
+	3	86	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	152
+	90	153
+	3	88	152	psDrawFilled
+	opaqueGC
+	92	152
+	90	153
+	3	88	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	153
+	88	152
+	3	90	153	psDrawFilled
+	opaqueGC
+	86	153
+	88	152
+	3	90	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	152
+	78	153
+	3	76	152	psDrawFilled
+	opaqueGC
+	80	152
+	78	153
+	3	76	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	153
+	80	152
+	3	82	153	psDrawFilled
+	opaqueGC
+	78	153
+	80	152
+	3	82	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	158
+	180	159
+	3	179	156	psDrawFilled
+	opaqueGC
+	182	158
+	180	159
+	3	179	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	159
+	182	158
+	3	184	160	psDrawFilled
+	opaqueGC
+	180	159
+	182	158
+	3	184	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	160
+	186	161
+	3	184	160	psDrawFilled
+	opaqueGC
+	188	160
+	186	161
+	3	184	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	161
+	188	160
+	3	190	162	psDrawFilled
+	opaqueGC
+	186	161
+	188	160
+	3	190	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	152
+	93	153
+	3	92	152	psDrawFilled
+	opaqueGC
+	95	152
+	93	153
+	3	92	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	153
+	92	152
+	3	93	153	psDrawFilled
+	opaqueGC
+	90	153
+	92	152
+	3	93	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	235	163
+	233	164
+	3	231	163	psDrawFilled
+	opaqueGC
+	235	163
+	233	164
+	3	231	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	231	163
+	230	164
+	3	228	163	psDrawFilled
+	opaqueGC
+	231	163
+	230	164
+	3	228	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	230	164
+	231	163
+	3	233	164	psDrawFilled
+	opaqueGC
+	230	164
+	231	163
+	3	233	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	149
+	114	150
+	3	112	149	psDrawFilled
+	opaqueGC
+	116	149
+	114	150
+	3	112	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	151
+	112	149
+	3	114	150	psDrawFilled
+	opaqueGC
+	110	151
+	112	149
+	3	114	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	163
+	226	164
+	3	224	163	psDrawFilled
+	opaqueGC
+	228	163
+	226	164
+	3	224	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	164
+	228	163
+	3	230	164	psDrawFilled
+	opaqueGC
+	226	164
+	228	163
+	3	230	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	163
+	222	164
+	3	220	163	psDrawFilled
+	opaqueGC
+	224	163
+	222	164
+	3	220	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	164
+	224	163
+	3	226	164	psDrawFilled
+	opaqueGC
+	222	164
+	224	163
+	3	226	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	146
+	175	146
+	3	177	149	psDrawFilled
+	opaqueGC
+	173	146
+	175	146
+	3	177	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	149
+	175	150
+	3	173	146	psDrawFilled
+	opaqueGC
+	177	149
+	175	150
+	3	173	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	152
+	74	153
+	3	73	152	psDrawFilled
+	opaqueGC
+	76	152
+	74	153
+	3	73	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	153
+	76	152
+	3	78	153	psDrawFilled
+	opaqueGC
+	74	153
+	76	152
+	3	78	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	163
+	218	164
+	3	216	163	psDrawFilled
+	opaqueGC
+	220	163
+	218	164
+	3	216	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	164
+	220	163
+	3	222	164	psDrawFilled
+	opaqueGC
+	218	164
+	220	163
+	3	222	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	163
+	215	164
+	3	213	163	psDrawFilled
+	opaqueGC
+	216	163
+	215	164
+	3	213	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	164
+	216	163
+	3	218	164	psDrawFilled
+	opaqueGC
+	215	164
+	216	163
+	3	218	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	163
+	211	164
+	3	209	163	psDrawFilled
+	opaqueGC
+	213	163
+	211	164
+	3	209	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	164
+	213	163
+	3	215	164	psDrawFilled
+	opaqueGC
+	211	164
+	213	163
+	3	215	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	163
+	207	164
+	3	205	163	psDrawFilled
+	opaqueGC
+	209	163
+	207	164
+	3	205	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	164
+	209	163
+	3	211	164	psDrawFilled
+	opaqueGC
+	207	164
+	209	163
+	3	211	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	152
+	97	153
+	3	95	152	psDrawFilled
+	opaqueGC
+	99	152
+	97	153
+	3	95	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	153
+	95	152
+	3	97	153	psDrawFilled
+	opaqueGC
+	93	153
+	95	152
+	3	97	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	152
+	71	153
+	3	69	152	psDrawFilled
+	opaqueGC
+	73	152
+	71	153
+	3	69	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	153
+	73	152
+	3	74	153	psDrawFilled
+	opaqueGC
+	71	153
+	73	152
+	3	74	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	125
+	143	126
+	3	141	131	psDrawFilled
+	opaqueGC
+	144	125
+	143	126
+	3	141	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	132
+	141	131
+	3	143	126	psDrawFilled
+	opaqueGC
+	139	132
+	141	131
+	3	143	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	163
+	203	164
+	3	201	163	psDrawFilled
+	opaqueGC
+	205	163
+	203	164
+	3	201	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	164
+	205	163
+	3	207	164	psDrawFilled
+	opaqueGC
+	203	164
+	205	163
+	3	207	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	107
+	179	100
+	3	180	117	psDrawFilled
+	opaqueGC
+	177	107
+	179	100
+	3	180	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	117
+	179	118
+	3	177	107	psDrawFilled
+	opaqueGC
+	180	117
+	179	118
+	3	177	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	163
+	199	164
+	3	197	162	psDrawFilled
+	opaqueGC
+	201	163
+	199	164
+	3	197	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	164
+	201	163
+	3	203	164	psDrawFilled
+	opaqueGC
+	199	164
+	201	163
+	3	203	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	22
+	181	94
+	3	182	109	psDrawFilled
+	opaqueGC
+	182	22
+	181	94
+	3	182	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	109
+	181	100
+	3	182	22	psDrawFilled
+	opaqueGC
+	182	109
+	181	100
+	3	182	22	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	152
+	67	152
+	3	65	152	psDrawFilled
+	opaqueGC
+	69	152
+	67	152
+	3	65	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	152
+	69	152
+	3	71	153	psDrawFilled
+	opaqueGC
+	67	152
+	69	152
+	3	71	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	152
+	101	153
+	3	99	152	psDrawFilled
+	opaqueGC
+	103	152
+	101	153
+	3	99	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	153
+	99	152
+	3	101	153	psDrawFilled
+	opaqueGC
+	97	153
+	99	152
+	3	101	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	114
+	152	115
+	3	150	122	psDrawFilled
+	opaqueGC
+	154	114
+	152	115
+	3	150	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	123
+	150	122
+	3	152	115	psDrawFilled
+	opaqueGC
+	148	123
+	150	122
+	3	152	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	162
+	196	164
+	3	194	162	psDrawFilled
+	opaqueGC
+	197	162
+	196	164
+	3	194	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	164
+	197	162
+	3	199	164	psDrawFilled
+	opaqueGC
+	196	164
+	197	162
+	3	199	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	119
+	175	120
+	3	177	128	psDrawFilled
+	opaqueGC
+	173	119
+	175	120
+	3	177	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	128
+	175	127
+	3	173	119	psDrawFilled
+	opaqueGC
+	177	128
+	175	127
+	3	173	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	152
+	63	152
+	3	61	151	psDrawFilled
+	opaqueGC
+	65	152
+	63	152
+	3	61	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	63	152
+	65	152
+	3	67	152	psDrawFilled
+	opaqueGC
+	63	152
+	65	152
+	3	67	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	160
+	182	161
+	3	180	159	psDrawFilled
+	opaqueGC
+	184	160
+	182	161
+	3	180	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	161
+	184	160
+	3	186	161	psDrawFilled
+	opaqueGC
+	182	161
+	184	160
+	3	186	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	151
+	105	152
+	3	103	152	psDrawFilled
+	opaqueGC
+	107	151
+	105	152
+	3	103	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	153
+	103	152
+	3	105	152	psDrawFilled
+	opaqueGC
+	101	153
+	103	152
+	3	105	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	162
+	192	164
+	3	190	162	psDrawFilled
+	opaqueGC
+	194	162
+	192	164
+	3	190	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	164
+	194	162
+	3	196	164	psDrawFilled
+	opaqueGC
+	192	164
+	194	162
+	3	196	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	144
+	124	146
+	3	122	146	psDrawFilled
+	opaqueGC
+	126	144
+	124	146
+	3	122	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	148
+	122	146
+	3	124	146	psDrawFilled
+	opaqueGC
+	120	148
+	122	146
+	3	124	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	61	151
+	59	152
+	3	57	151	psDrawFilled
+	opaqueGC
+	61	151
+	59	152
+	3	57	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	59	152
+	61	151
+	3	63	152	psDrawFilled
+	opaqueGC
+	59	152
+	61	151
+	3	63	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	148
+	118	149
+	3	116	149	psDrawFilled
+	opaqueGC
+	120	148
+	118	149
+	3	116	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	150
+	116	149
+	3	118	149	psDrawFilled
+	opaqueGC
+	114	150
+	116	149
+	3	118	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	131	139
+	3	129	141	psDrawFilled
+	opaqueGC
+	133	137
+	131	139
+	3	129	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	142
+	129	141
+	3	131	139	psDrawFilled
+	opaqueGC
+	127	142
+	129	141
+	3	131	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	162
+	188	163
+	3	186	161	psDrawFilled
+	opaqueGC
+	190	162
+	188	163
+	3	186	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	163
+	190	162
+	3	192	164	psDrawFilled
+	opaqueGC
+	188	163
+	190	162
+	3	192	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	151
+	108	152
+	3	107	151	psDrawFilled
+	opaqueGC
+	110	151
+	108	152
+	3	107	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	152
+	107	151
+	3	108	152	psDrawFilled
+	opaqueGC
+	105	152
+	107	151
+	3	108	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	57	151
+	55	151
+	3	54	151	psDrawFilled
+	opaqueGC
+	57	151
+	55	151
+	3	54	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	55	151
+	57	151
+	3	59	152	psDrawFilled
+	opaqueGC
+	55	151
+	57	151
+	3	59	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	155
+	177	154
+	3	179	156	psDrawFilled
+	opaqueGC
+	175	155
+	177	154
+	3	179	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	156
+	177	158
+	3	175	155	psDrawFilled
+	opaqueGC
+	179	156
+	177	158
+	3	175	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	158
+	179	156
+	3	180	159	psDrawFilled
+	opaqueGC
+	177	158
+	179	156
+	3	180	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	151
+	175	150
+	3	177	154	psDrawFilled
+	opaqueGC
+	173	151
+	175	150
+	3	177	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	154
+	175	155
+	3	173	151	psDrawFilled
+	opaqueGC
+	177	154
+	175	155
+	3	173	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	141
+	173	141
+	3	175	146	psDrawFilled
+	opaqueGC
+	171	141
+	173	141
+	3	175	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	146
+	173	146
+	3	171	141	psDrawFilled
+	opaqueGC
+	175	146
+	173	146
+	3	171	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	233	164
+	232	166
+	3	230	164	psDrawFilled
+	opaqueGC
+	233	164
+	232	166
+	3	230	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	230	164
+	228	166
+	3	226	164	psDrawFilled
+	opaqueGC
+	230	164
+	228	166
+	3	226	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	166
+	230	164
+	3	232	166	psDrawFilled
+	opaqueGC
+	228	166
+	230	164
+	3	232	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	164
+	224	166
+	3	222	164	psDrawFilled
+	opaqueGC
+	226	164
+	224	166
+	3	222	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	166
+	226	164
+	3	228	166	psDrawFilled
+	opaqueGC
+	224	166
+	226	164
+	3	228	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	164
+	220	166
+	3	218	164	psDrawFilled
+	opaqueGC
+	222	164
+	220	166
+	3	218	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	166
+	222	164
+	3	224	166	psDrawFilled
+	opaqueGC
+	220	166
+	222	164
+	3	224	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	218	164
+	217	166
+	3	215	164	psDrawFilled
+	opaqueGC
+	218	164
+	217	166
+	3	215	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	166
+	218	164
+	3	220	166	psDrawFilled
+	opaqueGC
+	217	166
+	218	164
+	3	220	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	164
+	213	166
+	3	211	164	psDrawFilled
+	opaqueGC
+	215	164
+	213	166
+	3	211	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	166
+	215	164
+	3	217	166	psDrawFilled
+	opaqueGC
+	213	166
+	215	164
+	3	217	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	164
+	209	166
+	3	207	164	psDrawFilled
+	opaqueGC
+	211	164
+	209	166
+	3	207	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	166
+	211	164
+	3	213	166	psDrawFilled
+	opaqueGC
+	209	166
+	211	164
+	3	213	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	134
+	173	134
+	3	175	140	psDrawFilled
+	opaqueGC
+	171	134
+	173	134
+	3	175	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	140
+	173	141
+	3	171	134	psDrawFilled
+	opaqueGC
+	175	140
+	173	141
+	3	171	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	161
+	184	163
+	3	182	161	psDrawFilled
+	opaqueGC
+	186	161
+	184	163
+	3	182	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	163
+	186	161
+	3	188	163	psDrawFilled
+	opaqueGC
+	184	163
+	186	161
+	3	188	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	164
+	205	166
+	3	203	164	psDrawFilled
+	opaqueGC
+	207	164
+	205	166
+	3	203	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	166
+	207	164
+	3	209	166	psDrawFilled
+	opaqueGC
+	205	166
+	207	164
+	3	209	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	159
+	179	160
+	3	177	158	psDrawFilled
+	opaqueGC
+	180	159
+	179	160
+	3	177	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	160
+	180	159
+	3	182	161	psDrawFilled
+	opaqueGC
+	179	160
+	180	159
+	3	182	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	54	151
+	51	151
+	3	50	150	psDrawFilled
+	opaqueGC
+	54	151
+	51	151
+	3	50	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	51	151
+	54	151
+	3	55	151	psDrawFilled
+	opaqueGC
+	51	151
+	54	151
+	3	55	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	164
+	201	165
+	3	199	164	psDrawFilled
+	opaqueGC
+	203	164
+	201	165
+	3	199	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	165
+	203	164
+	3	205	166	psDrawFilled
+	opaqueGC
+	201	165
+	203	164
+	3	205	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	150
+	112	151
+	3	110	151	psDrawFilled
+	opaqueGC
+	114	150
+	112	151
+	3	110	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	152
+	110	151
+	3	112	151	psDrawFilled
+	opaqueGC
+	108	152
+	110	151
+	3	112	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	164
+	198	165
+	3	196	164	psDrawFilled
+	opaqueGC
+	199	164
+	198	165
+	3	196	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	165
+	199	164
+	3	201	165	psDrawFilled
+	opaqueGC
+	198	165
+	199	164
+	3	201	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	111
+	177	107
+	3	179	118	psDrawFilled
+	opaqueGC
+	175	111
+	177	107
+	3	179	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	118
+	177	120
+	3	175	111	psDrawFilled
+	opaqueGC
+	179	118
+	177	120
+	3	175	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	126
+	141	127
+	3	139	132	psDrawFilled
+	opaqueGC
+	143	126
+	141	127
+	3	139	132	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	133
+	139	132
+	3	141	127	psDrawFilled
+	opaqueGC
+	137	133
+	139	132
+	3	141	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	139
+	129	141
+	3	127	142	psDrawFilled
+	opaqueGC
+	131	139
+	129	141
+	3	127	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	144
+	127	142
+	3	129	141	psDrawFilled
+	opaqueGC
+	126	144
+	127	142
+	3	129	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	164
+	194	165
+	3	192	164	psDrawFilled
+	opaqueGC
+	196	164
+	194	165
+	3	192	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	165
+	196	164
+	3	198	165	psDrawFilled
+	opaqueGC
+	194	165
+	196	164
+	3	198	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	147
+	173	146
+	3	175	150	psDrawFilled
+	opaqueGC
+	171	147
+	173	146
+	3	175	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	150
+	173	151
+	3	171	147	psDrawFilled
+	opaqueGC
+	175	150
+	173	151
+	3	171	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	153
+	87	154
+	3	86	153	psDrawFilled
+	opaqueGC
+	90	153
+	87	154
+	3	86	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	153
+	84	154
+	3	82	153	psDrawFilled
+	opaqueGC
+	86	153
+	84	154
+	3	82	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	154
+	86	153
+	3	87	154	psDrawFilled
+	opaqueGC
+	84	154
+	86	153
+	3	87	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	153
+	91	154
+	3	90	153	psDrawFilled
+	opaqueGC
+	93	153
+	91	154
+	3	90	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	154
+	90	153
+	3	91	154	psDrawFilled
+	opaqueGC
+	87	154
+	90	153
+	3	91	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	153
+	80	154
+	3	78	153	psDrawFilled
+	opaqueGC
+	82	153
+	80	154
+	3	78	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	154
+	82	153
+	3	84	154	psDrawFilled
+	opaqueGC
+	80	154
+	82	153
+	3	84	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	153
+	95	154
+	3	93	153	psDrawFilled
+	opaqueGC
+	97	153
+	95	154
+	3	93	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	154
+	93	153
+	3	95	154	psDrawFilled
+	opaqueGC
+	91	154
+	93	153
+	3	95	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	153
+	76	154
+	3	74	153	psDrawFilled
+	opaqueGC
+	78	153
+	76	154
+	3	74	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	154
+	78	153
+	3	80	154	psDrawFilled
+	opaqueGC
+	76	154
+	78	153
+	3	80	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	146
+	122	148
+	3	120	148	psDrawFilled
+	opaqueGC
+	124	146
+	122	148
+	3	120	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	149
+	120	148
+	3	122	148	psDrawFilled
+	opaqueGC
+	118	149
+	120	148
+	3	122	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	115
+	150	117
+	3	148	123	psDrawFilled
+	opaqueGC
+	152	115
+	150	117
+	3	148	123	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	124
+	148	123
+	3	150	117	psDrawFilled
+	opaqueGC
+	146	124
+	148	123
+	3	150	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	164
+	190	165
+	3	188	163	psDrawFilled
+	opaqueGC
+	192	164
+	190	165
+	3	188	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	165
+	192	164
+	3	194	165	psDrawFilled
+	opaqueGC
+	190	165
+	192	164
+	3	194	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	153
+	72	153
+	3	71	153	psDrawFilled
+	opaqueGC
+	74	153
+	72	153
+	3	71	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	153
+	74	153
+	3	76	154	psDrawFilled
+	opaqueGC
+	72	153
+	74	153
+	3	76	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	161
+	181	162
+	3	179	160	psDrawFilled
+	opaqueGC
+	182	161
+	181	162
+	3	179	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	162
+	182	161
+	3	184	163	psDrawFilled
+	opaqueGC
+	181	162
+	182	161
+	3	184	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	153
+	99	154
+	3	97	153	psDrawFilled
+	opaqueGC
+	101	153
+	99	154
+	3	97	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	154
+	97	153
+	3	99	154	psDrawFilled
+	opaqueGC
+	95	154
+	97	153
+	3	99	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	109
+	160	105
+	3	158	115	psDrawFilled
+	opaqueGC
+	162	109
+	160	105
+	3	158	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	114
+	158	115
+	3	160	105	psDrawFilled
+	opaqueGC
+	156	114
+	158	115
+	3	160	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	125
+	173	126
+	3	175	134	psDrawFilled
+	opaqueGC
+	171	125
+	173	126
+	3	175	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	134
+	173	134
+	3	171	125	psDrawFilled
+	opaqueGC
+	175	134
+	173	134
+	3	171	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	149
+	116	150
+	3	114	150	psDrawFilled
+	opaqueGC
+	118	149
+	116	150
+	3	114	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	151
+	114	150
+	3	116	150	psDrawFilled
+	opaqueGC
+	112	151
+	114	150
+	3	116	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	153
+	68	153
+	3	67	152	psDrawFilled
+	opaqueGC
+	71	153
+	68	153
+	3	67	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	153
+	71	153
+	3	72	153	psDrawFilled
+	opaqueGC
+	68	153
+	71	153
+	3	72	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	152
+	103	153
+	3	101	153	psDrawFilled
+	opaqueGC
+	105	152
+	103	153
+	3	101	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	154
+	101	153
+	3	103	153	psDrawFilled
+	opaqueGC
+	99	154
+	101	153
+	3	103	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	163
+	186	165
+	3	184	163	psDrawFilled
+	opaqueGC
+	188	163
+	186	165
+	3	184	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	165
+	188	163
+	3	190	165	psDrawFilled
+	opaqueGC
+	186	165
+	188	163
+	3	190	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	108
+	166	106
+	3	163	112	psDrawFilled
+	opaqueGC
+	167	108
+	166	106
+	3	163	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	109
+	163	112
+	3	166	106	psDrawFilled
+	opaqueGC
+	162	109
+	163	112
+	3	166	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	152
+	65	153
+	3	63	152	psDrawFilled
+	opaqueGC
+	67	152
+	65	153
+	3	63	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	153
+	67	152
+	3	68	153	psDrawFilled
+	opaqueGC
+	65	153
+	67	152
+	3	68	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	232	166
+	230	167
+	3	228	166	psDrawFilled
+	opaqueGC
+	232	166
+	230	167
+	3	228	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	166
+	226	167
+	3	224	166	psDrawFilled
+	opaqueGC
+	228	166
+	226	167
+	3	224	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	167
+	228	166
+	3	230	167	psDrawFilled
+	opaqueGC
+	226	167
+	228	166
+	3	230	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	166
+	222	167
+	3	220	166	psDrawFilled
+	opaqueGC
+	224	166
+	222	167
+	3	220	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	167
+	224	166
+	3	226	167	psDrawFilled
+	opaqueGC
+	222	167
+	224	166
+	3	226	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	141
+	127	144
+	3	126	144	psDrawFilled
+	opaqueGC
+	129	141
+	127	144
+	3	126	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	146
+	126	144
+	3	127	144	psDrawFilled
+	opaqueGC
+	124	146
+	126	144
+	3	127	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	220	166
+	219	167
+	3	217	166	psDrawFilled
+	opaqueGC
+	220	166
+	219	167
+	3	217	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	167
+	220	166
+	3	222	167	psDrawFilled
+	opaqueGC
+	219	167
+	220	166
+	3	222	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	152
+	106	153
+	3	105	152	psDrawFilled
+	opaqueGC
+	108	152
+	106	153
+	3	105	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	153
+	105	152
+	3	106	153	psDrawFilled
+	opaqueGC
+	103	153
+	105	152
+	3	106	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	166
+	215	167
+	3	213	166	psDrawFilled
+	opaqueGC
+	217	166
+	215	167
+	3	213	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	167
+	217	166
+	3	219	167	psDrawFilled
+	opaqueGC
+	215	167
+	217	166
+	3	219	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	166
+	211	167
+	3	209	166	psDrawFilled
+	opaqueGC
+	213	166
+	211	167
+	3	209	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	167
+	213	166
+	3	215	167	psDrawFilled
+	opaqueGC
+	211	167
+	213	166
+	3	215	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	166
+	207	167
+	3	205	166	psDrawFilled
+	opaqueGC
+	209	166
+	207	167
+	3	205	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	167
+	209	166
+	3	211	167	psDrawFilled
+	opaqueGC
+	207	167
+	209	166
+	3	211	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	156
+	175	155
+	3	177	158	psDrawFilled
+	opaqueGC
+	173	156
+	175	155
+	3	177	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	158
+	175	159
+	3	173	156	psDrawFilled
+	opaqueGC
+	177	158
+	175	159
+	3	173	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	159
+	177	158
+	3	179	160	psDrawFilled
+	opaqueGC
+	175	159
+	177	158
+	3	179	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	166
+	203	167
+	3	201	165	psDrawFilled
+	opaqueGC
+	205	166
+	203	167
+	3	201	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	167
+	205	166
+	3	207	167	psDrawFilled
+	opaqueGC
+	203	167
+	205	166
+	3	207	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	63	152
+	61	152
+	3	59	152	psDrawFilled
+	opaqueGC
+	63	152
+	61	152
+	3	59	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	61	152
+	63	152
+	3	65	153	psDrawFilled
+	opaqueGC
+	61	152
+	63	152
+	3	65	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	165
+	200	167
+	3	198	165	psDrawFilled
+	opaqueGC
+	201	165
+	200	167
+	3	198	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	167
+	201	165
+	3	203	167	psDrawFilled
+	opaqueGC
+	200	167
+	201	165
+	3	203	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	163
+	182	164
+	3	181	162	psDrawFilled
+	opaqueGC
+	184	163
+	182	164
+	3	181	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	164
+	184	163
+	3	186	165	psDrawFilled
+	opaqueGC
+	182	164
+	184	163
+	3	186	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	152
+	173	151
+	3	175	155	psDrawFilled
+	opaqueGC
+	171	152
+	173	151
+	3	175	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	155
+	173	156
+	3	171	152	psDrawFilled
+	opaqueGC
+	175	155
+	173	156
+	3	171	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	127
+	139	129
+	3	137	133	psDrawFilled
+	opaqueGC
+	141	127
+	139	129
+	3	137	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	135
+	137	133
+	3	139	129	psDrawFilled
+	opaqueGC
+	135	135
+	137	133
+	3	139	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	112
+	175	111
+	3	177	120	psDrawFilled
+	opaqueGC
+	173	112
+	175	111
+	3	177	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	120
+	175	120
+	3	173	112	psDrawFilled
+	opaqueGC
+	177	120
+	175	120
+	3	173	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	165
+	196	167
+	3	194	165	psDrawFilled
+	opaqueGC
+	198	165
+	196	167
+	3	194	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	167
+	198	165
+	3	200	167	psDrawFilled
+	opaqueGC
+	196	167
+	198	165
+	3	200	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	160
+	177	161
+	3	175	159	psDrawFilled
+	opaqueGC
+	179	160
+	177	161
+	3	175	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	161
+	179	160
+	3	181	162	psDrawFilled
+	opaqueGC
+	177	161
+	179	160
+	3	181	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	151
+	110	152
+	3	108	152	psDrawFilled
+	opaqueGC
+	112	151
+	110	152
+	3	108	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	153
+	108	152
+	3	110	152	psDrawFilled
+	opaqueGC
+	106	153
+	108	152
+	3	110	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	59	152
+	57	152
+	3	55	151	psDrawFilled
+	opaqueGC
+	59	152
+	57	152
+	3	55	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	57	152
+	59	152
+	3	61	152	psDrawFilled
+	opaqueGC
+	57	152
+	59	152
+	3	61	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	165
+	192	167
+	3	190	165	psDrawFilled
+	opaqueGC
+	194	165
+	192	167
+	3	190	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	167
+	194	165
+	3	196	167	psDrawFilled
+	opaqueGC
+	192	167
+	194	165
+	3	196	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	142
+	171	141
+	3	173	146	psDrawFilled
+	opaqueGC
+	169	142
+	171	141
+	3	173	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	146
+	171	147
+	3	169	142	psDrawFilled
+	opaqueGC
+	173	146
+	171	147
+	3	169	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	148
+	120	149
+	3	118	149	psDrawFilled
+	opaqueGC
+	122	148
+	120	149
+	3	118	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	150
+	118	149
+	3	120	149	psDrawFilled
+	opaqueGC
+	116	150
+	118	149
+	3	120	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	165
+	188	166
+	3	186	165	psDrawFilled
+	opaqueGC
+	190	165
+	188	166
+	3	186	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	166
+	190	165
+	3	192	167	psDrawFilled
+	opaqueGC
+	188	166
+	190	165
+	3	192	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	116
+	173	119
+	3	175	127	psDrawFilled
+	opaqueGC
+	171	116
+	173	119
+	3	175	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	127
+	173	126
+	3	171	116	psDrawFilled
+	opaqueGC
+	175	127
+	173	126
+	3	171	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	148
+	171	147
+	3	173	151	psDrawFilled
+	opaqueGC
+	169	148
+	171	147
+	3	173	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	151
+	171	152
+	3	169	148	psDrawFilled
+	opaqueGC
+	173	151
+	171	152
+	3	169	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	162
+	179	163
+	3	177	161	psDrawFilled
+	opaqueGC
+	181	162
+	179	163
+	3	177	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	163
+	181	162
+	3	182	164	psDrawFilled
+	opaqueGC
+	179	163
+	181	162
+	3	182	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	55	151
+	53	151
+	3	51	151	psDrawFilled
+	opaqueGC
+	55	151
+	53	151
+	3	51	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	53	151
+	55	151
+	3	57	152	psDrawFilled
+	opaqueGC
+	53	151
+	55	151
+	3	57	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	144
+	125	146
+	3	124	146	psDrawFilled
+	opaqueGC
+	127	144
+	125	146
+	3	124	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	148
+	124	146
+	3	125	146	psDrawFilled
+	opaqueGC
+	122	148
+	124	146
+	3	125	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	117
+	148	118
+	3	146	124	psDrawFilled
+	opaqueGC
+	150	117
+	148	118
+	3	146	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	125
+	146	124
+	3	148	118	psDrawFilled
+	opaqueGC
+	144	125
+	146	124
+	3	148	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	134
+	171	134
+	3	173	141	psDrawFilled
+	opaqueGC
+	169	134
+	171	134
+	3	173	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	141
+	171	141
+	3	169	134	psDrawFilled
+	opaqueGC
+	173	141
+	171	141
+	3	169	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	150
+	114	152
+	3	112	151	psDrawFilled
+	opaqueGC
+	116	150
+	114	152
+	3	112	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	152
+	112	151
+	3	114	152	psDrawFilled
+	opaqueGC
+	110	152
+	112	151
+	3	114	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	154
+	89	155
+	3	87	154	psDrawFilled
+	opaqueGC
+	91	154
+	89	155
+	3	87	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	154
+	85	155
+	3	84	154	psDrawFilled
+	opaqueGC
+	87	154
+	85	155
+	3	84	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	155
+	87	154
+	3	89	155	psDrawFilled
+	opaqueGC
+	85	155
+	87	154
+	3	89	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	165
+	184	166
+	3	182	164	psDrawFilled
+	opaqueGC
+	186	165
+	184	166
+	3	182	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	166
+	186	165
+	3	188	166	psDrawFilled
+	opaqueGC
+	184	166
+	186	165
+	3	188	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	154
+	82	154
+	3	80	154	psDrawFilled
+	opaqueGC
+	84	154
+	82	154
+	3	80	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	154
+	84	154
+	3	85	155	psDrawFilled
+	opaqueGC
+	82	154
+	84	154
+	3	85	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	154
+	93	155
+	3	91	154	psDrawFilled
+	opaqueGC
+	95	154
+	93	155
+	3	91	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	155
+	91	154
+	3	93	155	psDrawFilled
+	opaqueGC
+	89	155
+	91	154
+	3	93	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	129
+	137	131
+	3	135	135	psDrawFilled
+	opaqueGC
+	139	129
+	137	131
+	3	135	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	135	135
+	3	137	131	psDrawFilled
+	opaqueGC
+	133	137
+	135	135
+	3	137	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	154
+	78	154
+	3	76	154	psDrawFilled
+	opaqueGC
+	80	154
+	78	154
+	3	76	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	154
+	80	154
+	3	82	154	psDrawFilled
+	opaqueGC
+	78	154
+	80	154
+	3	82	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	154
+	97	154
+	3	95	154	psDrawFilled
+	opaqueGC
+	99	154
+	97	154
+	3	95	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	155
+	95	154
+	3	97	154	psDrawFilled
+	opaqueGC
+	93	155
+	95	154
+	3	97	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	230	167
+	228	169
+	3	226	167	psDrawFilled
+	opaqueGC
+	230	167
+	228	169
+	3	226	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	167
+	224	169
+	3	222	167	psDrawFilled
+	opaqueGC
+	226	167
+	224	169
+	3	222	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	169
+	226	167
+	3	228	169	psDrawFilled
+	opaqueGC
+	224	169
+	226	167
+	3	228	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	222	167
+	221	169
+	3	219	167	psDrawFilled
+	opaqueGC
+	222	167
+	221	169
+	3	219	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	169
+	222	167
+	3	224	169	psDrawFilled
+	opaqueGC
+	221	169
+	222	167
+	3	224	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	167
+	217	169
+	3	215	167	psDrawFilled
+	opaqueGC
+	219	167
+	217	169
+	3	215	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	169
+	219	167
+	3	221	169	psDrawFilled
+	opaqueGC
+	217	169
+	219	167
+	3	221	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	167
+	213	169
+	3	211	167	psDrawFilled
+	opaqueGC
+	215	167
+	213	169
+	3	211	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	169
+	215	167
+	3	217	169	psDrawFilled
+	opaqueGC
+	213	169
+	215	167
+	3	217	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	167
+	209	169
+	3	207	167	psDrawFilled
+	opaqueGC
+	211	167
+	209	169
+	3	207	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	169
+	211	167
+	3	213	169	psDrawFilled
+	opaqueGC
+	209	169
+	211	167
+	3	213	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	167
+	205	168
+	3	203	167	psDrawFilled
+	opaqueGC
+	207	167
+	205	168
+	3	203	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	168
+	207	167
+	3	209	169	psDrawFilled
+	opaqueGC
+	205	168
+	207	167
+	3	209	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	154
+	74	154
+	3	72	153	psDrawFilled
+	opaqueGC
+	76	154
+	74	154
+	3	72	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	154
+	76	154
+	3	78	154	psDrawFilled
+	opaqueGC
+	74	154
+	76	154
+	3	78	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	153
+	101	154
+	3	99	154	psDrawFilled
+	opaqueGC
+	103	153
+	101	154
+	3	99	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	154
+	99	154
+	3	101	154	psDrawFilled
+	opaqueGC
+	97	154
+	99	154
+	3	101	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	167
+	202	168
+	3	200	167	psDrawFilled
+	opaqueGC
+	203	167
+	202	168
+	3	200	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	168
+	203	167
+	3	205	168	psDrawFilled
+	opaqueGC
+	202	168
+	203	167
+	3	205	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	167
+	198	168
+	3	196	167	psDrawFilled
+	opaqueGC
+	200	167
+	198	168
+	3	196	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	168
+	200	167
+	3	202	168	psDrawFilled
+	opaqueGC
+	198	168
+	200	167
+	3	202	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	153
+	70	154
+	3	68	153	psDrawFilled
+	opaqueGC
+	72	153
+	70	154
+	3	68	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	154
+	72	153
+	3	74	154	psDrawFilled
+	opaqueGC
+	70	154
+	72	153
+	3	74	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	164
+	181	165
+	3	179	163	psDrawFilled
+	opaqueGC
+	182	164
+	181	165
+	3	179	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	165
+	182	164
+	3	184	166	psDrawFilled
+	opaqueGC
+	181	165
+	182	164
+	3	184	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	157
+	173	156
+	3	175	159	psDrawFilled
+	opaqueGC
+	171	157
+	173	156
+	3	175	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	159
+	173	160
+	3	171	157	psDrawFilled
+	opaqueGC
+	175	159
+	173	160
+	3	171	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	160
+	175	159
+	3	177	161	psDrawFilled
+	opaqueGC
+	173	160
+	175	159
+	3	177	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	167
+	194	168
+	3	192	167	psDrawFilled
+	opaqueGC
+	196	167
+	194	168
+	3	192	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	168
+	196	167
+	3	198	168	psDrawFilled
+	opaqueGC
+	194	168
+	196	167
+	3	198	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	153
+	104	154
+	3	103	153	psDrawFilled
+	opaqueGC
+	106	153
+	104	154
+	3	103	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	154
+	103	153
+	3	104	154	psDrawFilled
+	opaqueGC
+	101	154
+	103	153
+	3	104	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	154
+	171	152
+	3	173	156	psDrawFilled
+	opaqueGC
+	169	154
+	171	152
+	3	173	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	156
+	171	157
+	3	169	154	psDrawFilled
+	opaqueGC
+	173	156
+	171	157
+	3	169	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	153
+	66	153
+	3	65	153	psDrawFilled
+	opaqueGC
+	68	153
+	66	153
+	3	65	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	153
+	68	153
+	3	70	154	psDrawFilled
+	opaqueGC
+	66	153
+	68	153
+	3	70	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	167
+	190	168
+	3	188	166	psDrawFilled
+	opaqueGC
+	192	167
+	190	168
+	3	188	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	168
+	192	167
+	3	194	168	psDrawFilled
+	opaqueGC
+	190	168
+	192	167
+	3	194	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	161
+	175	162
+	3	173	160	psDrawFilled
+	opaqueGC
+	177	161
+	175	162
+	3	173	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	162
+	177	161
+	3	179	163	psDrawFilled
+	opaqueGC
+	175	162
+	177	161
+	3	179	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	131
+	135	134
+	3	133	137	psDrawFilled
+	opaqueGC
+	137	131
+	135	134
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	139
+	133	137
+	3	135	134	psDrawFilled
+	opaqueGC
+	131	139
+	133	137
+	3	135	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	149
+	118	151
+	3	116	150	psDrawFilled
+	opaqueGC
+	120	149
+	118	151
+	3	116	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	152
+	116	150
+	3	118	151	psDrawFilled
+	opaqueGC
+	114	152
+	116	150
+	3	118	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	146
+	123	148
+	3	122	148	psDrawFilled
+	opaqueGC
+	125	146
+	123	148
+	3	122	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	149
+	122	148
+	3	123	148	psDrawFilled
+	opaqueGC
+	120	149
+	122	148
+	3	123	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	152
+	108	154
+	3	106	153	psDrawFilled
+	opaqueGC
+	110	152
+	108	154
+	3	106	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	154
+	106	153
+	3	108	154	psDrawFilled
+	opaqueGC
+	104	154
+	106	153
+	3	108	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	166
+	186	168
+	3	184	166	psDrawFilled
+	opaqueGC
+	188	166
+	186	168
+	3	184	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	168
+	188	166
+	3	190	168	psDrawFilled
+	opaqueGC
+	186	168
+	188	166
+	3	190	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	153
+	62	153
+	3	61	152	psDrawFilled
+	opaqueGC
+	65	153
+	62	153
+	3	61	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	153
+	65	153
+	3	66	153	psDrawFilled
+	opaqueGC
+	62	153
+	65	153
+	3	66	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	107
+	171	103
+	3	173	93	psDrawFilled
+	opaqueGC
+	169	107
+	171	103
+	3	173	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	93
+	171	103
+	3	169	107	psDrawFilled
+	opaqueGC
+	173	93
+	171	103
+	3	169	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	108
+	169	107
+	3	171	103	psDrawFilled
+	opaqueGC
+	167	108
+	169	107
+	3	171	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	143
+	169	142
+	3	171	147	psDrawFilled
+	opaqueGC
+	167	143
+	169	142
+	3	171	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	147
+	169	148
+	3	167	143	psDrawFilled
+	opaqueGC
+	171	147
+	169	148
+	3	167	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	163
+	177	165
+	3	175	162	psDrawFilled
+	opaqueGC
+	179	163
+	177	165
+	3	175	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	165
+	179	163
+	3	181	165	psDrawFilled
+	opaqueGC
+	177	165
+	179	163
+	3	181	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	134
+	133	137
+	3	131	139	psDrawFilled
+	opaqueGC
+	135	134
+	133	137
+	3	131	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	141
+	131	139
+	3	133	137	psDrawFilled
+	opaqueGC
+	129	141
+	131	139
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	124
+	171	125
+	3	173	134	psDrawFilled
+	opaqueGC
+	169	124
+	171	125
+	3	173	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	134
+	171	134
+	3	169	124	psDrawFilled
+	opaqueGC
+	173	134
+	171	134
+	3	169	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	110
+	173	112
+	3	175	120	psDrawFilled
+	opaqueGC
+	171	110
+	173	112
+	3	175	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	120
+	173	119
+	3	171	110	psDrawFilled
+	opaqueGC
+	175	120
+	173	119
+	3	171	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	166
+	183	167
+	3	181	165	psDrawFilled
+	opaqueGC
+	184	166
+	183	167
+	3	181	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	167
+	184	166
+	3	186	168	psDrawFilled
+	opaqueGC
+	183	167
+	184	166
+	3	186	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	61	152
+	59	153
+	3	57	152	psDrawFilled
+	opaqueGC
+	61	152
+	59	153
+	3	57	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	59	153
+	61	152
+	3	62	153	psDrawFilled
+	opaqueGC
+	59	153
+	61	152
+	3	62	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	228	169
+	226	170
+	3	224	169	psDrawFilled
+	opaqueGC
+	228	169
+	226	170
+	3	224	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	224	169
+	223	170
+	3	221	169	psDrawFilled
+	opaqueGC
+	224	169
+	223	170
+	3	221	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	170
+	224	169
+	3	226	170	psDrawFilled
+	opaqueGC
+	223	170
+	224	169
+	3	226	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	149
+	169	148
+	3	171	152	psDrawFilled
+	opaqueGC
+	167	149
+	169	148
+	3	171	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	152
+	169	154
+	3	167	149	psDrawFilled
+	opaqueGC
+	171	152
+	169	154
+	3	167	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	169
+	219	170
+	3	217	169	psDrawFilled
+	opaqueGC
+	221	169
+	219	170
+	3	217	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	170
+	221	169
+	3	223	170	psDrawFilled
+	opaqueGC
+	219	170
+	221	169
+	3	223	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	169
+	215	170
+	3	213	169	psDrawFilled
+	opaqueGC
+	217	169
+	215	170
+	3	213	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	170
+	217	169
+	3	219	170	psDrawFilled
+	opaqueGC
+	215	170
+	217	169
+	3	219	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	152
+	112	153
+	3	110	152	psDrawFilled
+	opaqueGC
+	114	152
+	112	153
+	3	110	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	154
+	110	152
+	3	112	153	psDrawFilled
+	opaqueGC
+	108	154
+	110	152
+	3	112	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	169
+	211	170
+	3	209	169	psDrawFilled
+	opaqueGC
+	213	169
+	211	170
+	3	209	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	170
+	213	169
+	3	215	170	psDrawFilled
+	opaqueGC
+	211	170
+	213	169
+	3	215	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	169
+	207	170
+	3	205	168	psDrawFilled
+	opaqueGC
+	209	169
+	207	170
+	3	205	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	170
+	209	169
+	3	211	170	psDrawFilled
+	opaqueGC
+	207	170
+	209	169
+	3	211	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	118
+	146	119
+	3	144	125	psDrawFilled
+	opaqueGC
+	148	118
+	146	119
+	3	144	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	143	126
+	144	125
+	3	146	119	psDrawFilled
+	opaqueGC
+	143	126
+	144	125
+	3	146	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	168
+	204	170
+	3	202	168	psDrawFilled
+	opaqueGC
+	205	168
+	204	170
+	3	202	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	170
+	205	168
+	3	207	170	psDrawFilled
+	opaqueGC
+	204	170
+	205	168
+	3	207	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	168
+	200	170
+	3	198	168	psDrawFilled
+	opaqueGC
+	202	168
+	200	170
+	3	198	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	170
+	202	168
+	3	204	170	psDrawFilled
+	opaqueGC
+	200	170
+	202	168
+	3	204	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	131	140
+	3	129	141	psDrawFilled
+	opaqueGC
+	133	137
+	131	140
+	3	129	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	144
+	129	141
+	3	131	140	psDrawFilled
+	opaqueGC
+	127	144
+	129	141
+	3	131	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	168
+	196	170
+	3	194	168	psDrawFilled
+	opaqueGC
+	198	168
+	196	170
+	3	194	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	170
+	198	168
+	3	200	170	psDrawFilled
+	opaqueGC
+	196	170
+	198	168
+	3	200	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	168
+	192	170
+	3	190	168	psDrawFilled
+	opaqueGC
+	194	168
+	192	170
+	3	190	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	170
+	194	168
+	3	196	170	psDrawFilled
+	opaqueGC
+	192	170
+	194	168
+	3	196	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	57	152
+	55	152
+	3	53	151	psDrawFilled
+	opaqueGC
+	57	152
+	55	152
+	3	53	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	55	152
+	57	152
+	3	59	153	psDrawFilled
+	opaqueGC
+	55	152
+	57	152
+	3	59	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	148
+	122	149
+	3	120	149	psDrawFilled
+	opaqueGC
+	123	148
+	122	149
+	3	120	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	151
+	120	149
+	3	122	149	psDrawFilled
+	opaqueGC
+	118	151
+	120	149
+	3	122	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	165
+	179	167
+	3	177	165	psDrawFilled
+	opaqueGC
+	181	165
+	179	167
+	3	177	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	167
+	181	165
+	3	183	167	psDrawFilled
+	opaqueGC
+	179	167
+	181	165
+	3	183	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	135
+	169	134
+	3	171	141	psDrawFilled
+	opaqueGC
+	167	135
+	169	134
+	3	171	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	141
+	169	142
+	3	167	135	psDrawFilled
+	opaqueGC
+	171	141
+	169	142
+	3	167	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	155
+	91	155
+	3	89	155	psDrawFilled
+	opaqueGC
+	93	155
+	91	155
+	3	89	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	155
+	87	155
+	3	85	155	psDrawFilled
+	opaqueGC
+	89	155
+	87	155
+	3	85	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	155
+	89	155
+	3	91	155	psDrawFilled
+	opaqueGC
+	87	155
+	89	155
+	3	91	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	155
+	83	155
+	3	82	154	psDrawFilled
+	opaqueGC
+	85	155
+	83	155
+	3	82	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	155
+	85	155
+	3	87	155	psDrawFilled
+	opaqueGC
+	83	155
+	85	155
+	3	87	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	154
+	95	155
+	3	93	155	psDrawFilled
+	opaqueGC
+	97	154
+	95	155
+	3	93	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	155
+	93	155
+	3	95	155	psDrawFilled
+	opaqueGC
+	91	155
+	93	155
+	3	95	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	158
+	171	157
+	3	173	160	psDrawFilled
+	opaqueGC
+	169	158
+	171	157
+	3	173	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	160
+	171	161
+	3	169	158	psDrawFilled
+	opaqueGC
+	173	160
+	171	161
+	3	169	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	161
+	173	160
+	3	175	162	psDrawFilled
+	opaqueGC
+	171	161
+	173	160
+	3	175	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	168
+	188	169
+	3	186	168	psDrawFilled
+	opaqueGC
+	190	168
+	188	169
+	3	186	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	169
+	190	168
+	3	192	170	psDrawFilled
+	opaqueGC
+	188	169
+	190	168
+	3	192	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	154
+	80	155
+	3	78	154	psDrawFilled
+	opaqueGC
+	82	154
+	80	155
+	3	78	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	155
+	82	154
+	3	83	155	psDrawFilled
+	opaqueGC
+	80	155
+	82	154
+	3	83	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	154
+	99	155
+	3	97	154	psDrawFilled
+	opaqueGC
+	101	154
+	99	155
+	3	97	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	155
+	97	154
+	3	99	155	psDrawFilled
+	opaqueGC
+	95	155
+	97	154
+	3	99	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	151
+	116	152
+	3	114	152	psDrawFilled
+	opaqueGC
+	118	151
+	116	152
+	3	114	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	153
+	114	152
+	3	116	152	psDrawFilled
+	opaqueGC
+	112	153
+	114	152
+	3	116	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	140
+	129	143
+	3	127	144	psDrawFilled
+	opaqueGC
+	131	140
+	129	143
+	3	127	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	146
+	127	144
+	3	129	143	psDrawFilled
+	opaqueGC
+	125	146
+	127	144
+	3	129	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	105
+	158	100
+	3	156	114	psDrawFilled
+	opaqueGC
+	160	105
+	158	100
+	3	156	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	114
+	156	114
+	3	158	100	psDrawFilled
+	opaqueGC
+	154	114
+	156	114
+	3	158	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	154
+	76	155
+	3	74	154	psDrawFilled
+	opaqueGC
+	78	154
+	76	155
+	3	74	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	155
+	78	154
+	3	80	155	psDrawFilled
+	opaqueGC
+	76	155
+	78	154
+	3	80	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	162
+	173	164
+	3	171	161	psDrawFilled
+	opaqueGC
+	175	162
+	173	164
+	3	171	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	164
+	175	162
+	3	177	165	psDrawFilled
+	opaqueGC
+	173	164
+	175	162
+	3	177	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	155
+	169	154
+	3	171	157	psDrawFilled
+	opaqueGC
+	167	155
+	169	154
+	3	171	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	157
+	169	158
+	3	167	155	psDrawFilled
+	opaqueGC
+	171	157
+	169	158
+	3	167	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	154
+	102	155
+	3	101	154	psDrawFilled
+	opaqueGC
+	104	154
+	102	155
+	3	101	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	155
+	101	154
+	3	102	155	psDrawFilled
+	opaqueGC
+	99	155
+	101	154
+	3	102	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	168
+	185	169
+	3	183	167	psDrawFilled
+	opaqueGC
+	186	168
+	185	169
+	3	183	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	169
+	186	168
+	3	188	169	psDrawFilled
+	opaqueGC
+	185	169
+	186	168
+	3	188	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	103
+	169	105
+	3	167	108	psDrawFilled
+	opaqueGC
+	171	103
+	169	105
+	3	167	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	106
+	167	108
+	3	169	105	psDrawFilled
+	opaqueGC
+	166	106
+	167	108
+	3	169	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	154
+	72	154
+	3	70	154	psDrawFilled
+	opaqueGC
+	74	154
+	72	154
+	3	70	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	154
+	74	154
+	3	76	155	psDrawFilled
+	opaqueGC
+	72	154
+	74	154
+	3	76	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	154
+	106	155
+	3	104	154	psDrawFilled
+	opaqueGC
+	108	154
+	106	155
+	3	104	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	155
+	104	154
+	3	106	155	psDrawFilled
+	opaqueGC
+	102	155
+	104	154
+	3	106	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	165
+	175	166
+	3	173	164	psDrawFilled
+	opaqueGC
+	177	165
+	175	166
+	3	173	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	166
+	177	165
+	3	179	167	psDrawFilled
+	opaqueGC
+	175	166
+	177	165
+	3	179	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	226	170
+	225	172
+	3	223	170	psDrawFilled
+	opaqueGC
+	226	170
+	225	172
+	3	223	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	170
+	221	172
+	3	219	170	psDrawFilled
+	opaqueGC
+	223	170
+	221	172
+	3	219	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	172
+	223	170
+	3	225	172	psDrawFilled
+	opaqueGC
+	221	172
+	223	170
+	3	225	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	170
+	217	171
+	3	215	170	psDrawFilled
+	opaqueGC
+	219	170
+	217	171
+	3	215	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	171
+	219	170
+	3	221	172	psDrawFilled
+	opaqueGC
+	217	171
+	219	170
+	3	221	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	170
+	213	171
+	3	211	170	psDrawFilled
+	opaqueGC
+	215	170
+	213	171
+	3	211	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	171
+	215	170
+	3	217	171	psDrawFilled
+	opaqueGC
+	213	171
+	215	170
+	3	217	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	154
+	68	154
+	3	66	153	psDrawFilled
+	opaqueGC
+	70	154
+	68	154
+	3	66	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	154
+	70	154
+	3	72	154	psDrawFilled
+	opaqueGC
+	68	154
+	70	154
+	3	72	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	170
+	209	171
+	3	207	170	psDrawFilled
+	opaqueGC
+	211	170
+	209	171
+	3	207	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	171
+	211	170
+	3	213	171	psDrawFilled
+	opaqueGC
+	209	171
+	211	170
+	3	213	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	143
+	127	145
+	3	125	146	psDrawFilled
+	opaqueGC
+	129	143
+	127	145
+	3	125	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	148
+	125	146
+	3	127	145	psDrawFilled
+	opaqueGC
+	123	148
+	125	146
+	3	127	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	167
+	181	169
+	3	179	167	psDrawFilled
+	opaqueGC
+	183	167
+	181	169
+	3	179	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	169
+	183	167
+	3	185	169	psDrawFilled
+	opaqueGC
+	181	169
+	183	167
+	3	185	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	170
+	206	171
+	3	204	170	psDrawFilled
+	opaqueGC
+	207	170
+	206	171
+	3	204	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	171
+	207	170
+	3	209	171	psDrawFilled
+	opaqueGC
+	206	171
+	207	170
+	3	209	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	103
+	173	96
+	3	177	56	psDrawFilled
+	opaqueGC
+	171	103
+	173	96
+	3	177	56	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	56
+	173	93
+	3	171	103	psDrawFilled
+	opaqueGC
+	177	56
+	173	93
+	3	171	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	170
+	202	171
+	3	200	170	psDrawFilled
+	opaqueGC
+	204	170
+	202	171
+	3	200	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	171
+	204	170
+	3	206	171	psDrawFilled
+	opaqueGC
+	202	171
+	204	170
+	3	206	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	170
+	198	171
+	3	196	170	psDrawFilled
+	opaqueGC
+	200	170
+	198	171
+	3	196	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	171
+	200	170
+	3	202	171	psDrawFilled
+	opaqueGC
+	198	171
+	200	170
+	3	202	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	144
+	167	143
+	3	169	148	psDrawFilled
+	opaqueGC
+	166	144
+	167	143
+	3	169	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	148
+	167	149
+	3	166	144	psDrawFilled
+	opaqueGC
+	169	148
+	167	149
+	3	166	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	153
+	110	154
+	3	108	154	psDrawFilled
+	opaqueGC
+	112	153
+	110	154
+	3	108	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	155
+	108	154
+	3	110	154	psDrawFilled
+	opaqueGC
+	106	155
+	108	154
+	3	110	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	170
+	194	171
+	3	192	170	psDrawFilled
+	opaqueGC
+	196	170
+	194	171
+	3	192	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	171
+	196	170
+	3	198	171	psDrawFilled
+	opaqueGC
+	194	171
+	196	170
+	3	198	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	150
+	167	149
+	3	169	154	psDrawFilled
+	opaqueGC
+	166	150
+	167	149
+	3	169	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	154
+	167	155
+	3	166	150	psDrawFilled
+	opaqueGC
+	169	154
+	167	155
+	3	166	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	153
+	64	154
+	3	62	153	psDrawFilled
+	opaqueGC
+	66	153
+	64	154
+	3	62	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	154
+	66	153
+	3	68	154	psDrawFilled
+	opaqueGC
+	64	154
+	66	153
+	3	68	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	149
+	120	151
+	3	118	151	psDrawFilled
+	opaqueGC
+	122	149
+	120	151
+	3	118	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	152
+	118	151
+	3	120	151	psDrawFilled
+	opaqueGC
+	116	152
+	118	151
+	3	120	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	170
+	190	171
+	3	188	169	psDrawFilled
+	opaqueGC
+	192	170
+	190	171
+	3	188	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	171
+	192	170
+	3	194	171	psDrawFilled
+	opaqueGC
+	190	171
+	192	170
+	3	194	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	119
+	144	120
+	3	143	126	psDrawFilled
+	opaqueGC
+	146	119
+	144	120
+	3	143	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	127
+	143	126
+	3	144	120	psDrawFilled
+	opaqueGC
+	141	127
+	143	126
+	3	144	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	111
+	171	116
+	3	173	126	psDrawFilled
+	opaqueGC
+	170	111
+	171	116
+	3	173	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	126
+	171	125
+	3	170	111	psDrawFilled
+	opaqueGC
+	173	126
+	171	125
+	3	170	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	167
+	177	168
+	3	175	166	psDrawFilled
+	opaqueGC
+	179	167
+	177	168
+	3	175	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	168
+	179	167
+	3	181	169	psDrawFilled
+	opaqueGC
+	177	168
+	179	167
+	3	181	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	169
+	186	171
+	3	185	169	psDrawFilled
+	opaqueGC
+	188	169
+	186	171
+	3	185	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	171
+	188	169
+	3	190	171	psDrawFilled
+	opaqueGC
+	186	171
+	188	169
+	3	190	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	153
+	60	153
+	3	59	153	psDrawFilled
+	opaqueGC
+	62	153
+	60	153
+	3	59	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	153
+	62	153
+	3	64	154	psDrawFilled
+	opaqueGC
+	60	153
+	62	153
+	3	64	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	145
+	125	148
+	3	123	148	psDrawFilled
+	opaqueGC
+	127	145
+	125	148
+	3	123	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	149
+	123	148
+	3	125	148	psDrawFilled
+	opaqueGC
+	122	149
+	123	148
+	3	125	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	159
+	169	158
+	3	171	161	psDrawFilled
+	opaqueGC
+	167	159
+	169	158
+	3	171	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	161
+	169	162
+	3	167	159	psDrawFilled
+	opaqueGC
+	171	161
+	169	162
+	3	167	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	162
+	171	161
+	3	173	164	psDrawFilled
+	opaqueGC
+	169	162
+	171	161
+	3	173	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	152
+	114	154
+	3	112	153	psDrawFilled
+	opaqueGC
+	116	152
+	114	154
+	3	112	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	154
+	112	153
+	3	114	154	psDrawFilled
+	opaqueGC
+	110	154
+	112	153
+	3	114	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	164
+	171	165
+	3	169	162	psDrawFilled
+	opaqueGC
+	173	164
+	171	165
+	3	169	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	165
+	173	164
+	3	175	166	psDrawFilled
+	opaqueGC
+	171	165
+	173	164
+	3	175	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	169
+	183	170
+	3	181	169	psDrawFilled
+	opaqueGC
+	185	169
+	183	170
+	3	181	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	170
+	185	169
+	3	186	171	psDrawFilled
+	opaqueGC
+	183	170
+	185	169
+	3	186	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	136
+	167	135
+	3	169	142	psDrawFilled
+	opaqueGC
+	166	136
+	167	135
+	3	169	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	142
+	167	143
+	3	166	136	psDrawFilled
+	opaqueGC
+	169	142
+	167	143
+	3	166	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	156
+	167	155
+	3	169	158	psDrawFilled
+	opaqueGC
+	166	156
+	167	155
+	3	169	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	158
+	167	159
+	3	166	156	psDrawFilled
+	opaqueGC
+	169	158
+	167	159
+	3	166	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	155
+	93	156
+	3	91	155	psDrawFilled
+	opaqueGC
+	95	155
+	93	156
+	3	91	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	155
+	89	156
+	3	87	155	psDrawFilled
+	opaqueGC
+	91	155
+	89	156
+	3	87	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	156
+	91	155
+	3	93	156	psDrawFilled
+	opaqueGC
+	89	156
+	91	155
+	3	93	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	225	172
+	223	173
+	3	221	172	psDrawFilled
+	opaqueGC
+	225	172
+	223	173
+	3	221	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	155
+	85	156
+	3	83	155	psDrawFilled
+	opaqueGC
+	87	155
+	85	156
+	3	83	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	156
+	87	155
+	3	89	156	psDrawFilled
+	opaqueGC
+	85	156
+	87	155
+	3	89	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	172
+	219	173
+	3	217	171	psDrawFilled
+	opaqueGC
+	221	172
+	219	173
+	3	217	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	173
+	221	172
+	3	223	173	psDrawFilled
+	opaqueGC
+	219	173
+	221	172
+	3	223	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	155
+	97	156
+	3	95	155	psDrawFilled
+	opaqueGC
+	99	155
+	97	156
+	3	95	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	156
+	95	155
+	3	97	156	psDrawFilled
+	opaqueGC
+	93	156
+	95	155
+	3	97	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	124
+	169	124
+	3	171	134	psDrawFilled
+	opaqueGC
+	168	124
+	169	124
+	3	171	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	134
+	169	134
+	3	168	124	psDrawFilled
+	opaqueGC
+	171	134
+	169	134
+	3	168	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	171
+	215	173
+	3	213	171	psDrawFilled
+	opaqueGC
+	217	171
+	215	173
+	3	213	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	173
+	217	171
+	3	219	173	psDrawFilled
+	opaqueGC
+	215	173
+	217	171
+	3	219	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	59	153
+	56	152
+	3	55	152	psDrawFilled
+	opaqueGC
+	59	153
+	56	152
+	3	55	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	56	152
+	59	153
+	3	60	153	psDrawFilled
+	opaqueGC
+	56	152
+	59	153
+	3	60	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	171
+	211	173
+	3	209	171	psDrawFilled
+	opaqueGC
+	213	171
+	211	173
+	3	209	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	173
+	213	171
+	3	215	173	psDrawFilled
+	opaqueGC
+	211	173
+	213	171
+	3	215	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	209	171
+	208	173
+	3	206	171	psDrawFilled
+	opaqueGC
+	209	171
+	208	173
+	3	206	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	173
+	209	171
+	3	211	173	psDrawFilled
+	opaqueGC
+	208	173
+	209	171
+	3	211	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	106
+	164	100
+	3	162	109	psDrawFilled
+	opaqueGC
+	166	106
+	164	100
+	3	162	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	105
+	162	109
+	3	164	100	psDrawFilled
+	opaqueGC
+	160	105
+	162	109
+	3	164	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	171
+	204	173
+	3	202	171	psDrawFilled
+	opaqueGC
+	206	171
+	204	173
+	3	202	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	173
+	206	171
+	3	208	173	psDrawFilled
+	opaqueGC
+	204	173
+	206	171
+	3	208	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	155
+	81	156
+	3	80	155	psDrawFilled
+	opaqueGC
+	83	155
+	81	156
+	3	80	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	156
+	83	155
+	3	85	156	psDrawFilled
+	opaqueGC
+	81	156
+	83	155
+	3	85	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	155
+	100	156
+	3	99	155	psDrawFilled
+	opaqueGC
+	102	155
+	100	156
+	3	99	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	156
+	99	155
+	3	100	156	psDrawFilled
+	opaqueGC
+	97	156
+	99	155
+	3	100	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	171
+	200	173
+	3	198	171	psDrawFilled
+	opaqueGC
+	202	171
+	200	173
+	3	198	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	173
+	202	171
+	3	204	173	psDrawFilled
+	opaqueGC
+	200	173
+	202	171
+	3	204	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	166
+	173	167
+	3	171	165	psDrawFilled
+	opaqueGC
+	175	166
+	173	167
+	3	171	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	167
+	175	166
+	3	177	168	psDrawFilled
+	opaqueGC
+	173	167
+	175	166
+	3	177	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	169
+	179	170
+	3	177	168	psDrawFilled
+	opaqueGC
+	181	169
+	179	170
+	3	177	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	170
+	181	169
+	3	183	170	psDrawFilled
+	opaqueGC
+	179	170
+	181	169
+	3	183	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	171
+	196	173
+	3	194	171	psDrawFilled
+	opaqueGC
+	198	171
+	196	173
+	3	194	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	173
+	198	171
+	3	200	173	psDrawFilled
+	opaqueGC
+	196	173
+	198	171
+	3	200	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	155
+	77	155
+	3	76	155	psDrawFilled
+	opaqueGC
+	80	155
+	77	155
+	3	76	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	155
+	80	155
+	3	81	156	psDrawFilled
+	opaqueGC
+	77	155
+	80	155
+	3	81	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	155
+	104	156
+	3	102	155	psDrawFilled
+	opaqueGC
+	106	155
+	104	156
+	3	102	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	156
+	102	155
+	3	104	156	psDrawFilled
+	opaqueGC
+	100	156
+	102	155
+	3	104	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	92
+	180	20
+	3	175	96	psDrawFilled
+	opaqueGC
+	179	92
+	180	20
+	3	175	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	96
+	175	96
+	3	180	20	psDrawFilled
+	opaqueGC
+	173	96
+	175	96
+	3	180	20	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	171
+	192	173
+	3	190	171	psDrawFilled
+	opaqueGC
+	194	171
+	192	173
+	3	190	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	173
+	194	171
+	3	196	173	psDrawFilled
+	opaqueGC
+	192	173
+	194	171
+	3	196	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	151
+	118	153
+	3	116	152	psDrawFilled
+	opaqueGC
+	120	151
+	118	153
+	3	116	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	154
+	116	152
+	3	118	153	psDrawFilled
+	opaqueGC
+	114	154
+	116	152
+	3	118	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	148
+	123	150
+	3	122	149	psDrawFilled
+	opaqueGC
+	125	148
+	123	150
+	3	122	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	151
+	122	149
+	3	123	150	psDrawFilled
+	opaqueGC
+	120	151
+	122	149
+	3	123	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	155
+	74	155
+	3	72	154	psDrawFilled
+	opaqueGC
+	76	155
+	74	155
+	3	72	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	155
+	76	155
+	3	77	155	psDrawFilled
+	opaqueGC
+	74	155
+	76	155
+	3	77	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	171
+	188	172
+	3	186	171	psDrawFilled
+	opaqueGC
+	190	171
+	188	172
+	3	186	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	172
+	190	171
+	3	192	173	psDrawFilled
+	opaqueGC
+	188	172
+	190	171
+	3	192	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	145
+	166	144
+	3	167	149	psDrawFilled
+	opaqueGC
+	164	145
+	166	144
+	3	167	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	149
+	166	150
+	3	164	145	psDrawFilled
+	opaqueGC
+	167	149
+	166	150
+	3	164	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	152
+	166	150
+	3	167	155	psDrawFilled
+	opaqueGC
+	164	152
+	166	150
+	3	167	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	155
+	166	156
+	3	164	152	psDrawFilled
+	opaqueGC
+	167	155
+	166	156
+	3	164	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	154
+	108	155
+	3	106	155	psDrawFilled
+	opaqueGC
+	110	154
+	108	155
+	3	106	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	156
+	106	155
+	3	108	155	psDrawFilled
+	opaqueGC
+	104	156
+	106	155
+	3	108	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	171
+	185	172
+	3	183	170	psDrawFilled
+	opaqueGC
+	186	171
+	185	172
+	3	183	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	172
+	186	171
+	3	188	172	psDrawFilled
+	opaqueGC
+	185	172
+	186	171
+	3	188	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	168
+	175	169
+	3	173	167	psDrawFilled
+	opaqueGC
+	177	168
+	175	169
+	3	173	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	169
+	177	168
+	3	179	170	psDrawFilled
+	opaqueGC
+	175	169
+	177	168
+	3	179	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	154
+	70	155
+	3	68	154	psDrawFilled
+	opaqueGC
+	72	154
+	70	155
+	3	68	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	155
+	72	154
+	3	74	155	psDrawFilled
+	opaqueGC
+	70	155
+	72	154
+	3	74	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	100
+	156	99
+	3	154	114	psDrawFilled
+	opaqueGC
+	158	100
+	156	99
+	3	154	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	115
+	154	114
+	3	156	99	psDrawFilled
+	opaqueGC
+	152	115
+	154	114
+	3	156	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	120
+	142	120
+	3	141	127	psDrawFilled
+	opaqueGC
+	144	120
+	142	120
+	3	141	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	129
+	141	127
+	3	142	120	psDrawFilled
+	opaqueGC
+	139	129
+	141	127
+	3	142	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	107
+	175	111
+	3	173	104	psDrawFilled
+	opaqueGC
+	177	107
+	175	111
+	3	173	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	107
+	173	104
+	3	175	111	psDrawFilled
+	opaqueGC
+	171	107
+	173	104
+	3	175	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	111
+	173	112
+	3	171	107	psDrawFilled
+	opaqueGC
+	175	111
+	173	112
+	3	171	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	104
+	171	110
+	3	173	119	psDrawFilled
+	opaqueGC
+	170	104
+	171	110
+	3	173	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	119
+	171	116
+	3	170	104	psDrawFilled
+	opaqueGC
+	173	119
+	171	116
+	3	170	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	161
+	167	159
+	3	169	162	psDrawFilled
+	opaqueGC
+	166	161
+	167	159
+	3	169	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	162
+	167	164
+	3	166	161	psDrawFilled
+	opaqueGC
+	169	162
+	167	164
+	3	166	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	164
+	169	162
+	3	171	165	psDrawFilled
+	opaqueGC
+	167	164
+	169	162
+	3	171	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	170
+	181	172
+	3	179	170	psDrawFilled
+	opaqueGC
+	183	170
+	181	172
+	3	179	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	172
+	183	170
+	3	185	172	psDrawFilled
+	opaqueGC
+	181	172
+	183	170
+	3	185	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	154
+	112	155
+	3	110	154	psDrawFilled
+	opaqueGC
+	114	154
+	112	155
+	3	110	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	155
+	110	154
+	3	112	155	psDrawFilled
+	opaqueGC
+	108	155
+	110	154
+	3	112	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	154
+	66	154
+	3	64	154	psDrawFilled
+	opaqueGC
+	68	154
+	66	154
+	3	64	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	154
+	68	154
+	3	70	155	psDrawFilled
+	opaqueGC
+	66	154
+	68	154
+	3	70	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	165
+	169	166
+	3	167	164	psDrawFilled
+	opaqueGC
+	171	165
+	169	166
+	3	167	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	166
+	171	165
+	3	173	167	psDrawFilled
+	opaqueGC
+	169	166
+	171	165
+	3	173	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	223	173
+	221	174
+	3	219	173	psDrawFilled
+	opaqueGC
+	223	173
+	221	174
+	3	219	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	173
+	217	174
+	3	215	173	psDrawFilled
+	opaqueGC
+	219	173
+	217	174
+	3	215	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	174
+	219	173
+	3	221	174	psDrawFilled
+	opaqueGC
+	217	174
+	219	173
+	3	221	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	173
+	213	174
+	3	211	173	psDrawFilled
+	opaqueGC
+	215	173
+	213	174
+	3	211	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	174
+	215	173
+	3	217	174	psDrawFilled
+	opaqueGC
+	213	174
+	215	173
+	3	217	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	211	173
+	210	174
+	3	208	173	psDrawFilled
+	opaqueGC
+	211	173
+	210	174
+	3	208	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	174
+	211	173
+	3	213	174	psDrawFilled
+	opaqueGC
+	210	174
+	211	173
+	3	213	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	173
+	206	174
+	3	204	173	psDrawFilled
+	opaqueGC
+	208	173
+	206	174
+	3	204	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	174
+	208	173
+	3	210	174	psDrawFilled
+	opaqueGC
+	206	174
+	208	173
+	3	210	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	157
+	166	156
+	3	167	159	psDrawFilled
+	opaqueGC
+	164	157
+	166	156
+	3	167	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	159
+	166	161
+	3	164	157	psDrawFilled
+	opaqueGC
+	167	159
+	166	161
+	3	164	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	173
+	202	174
+	3	200	173	psDrawFilled
+	opaqueGC
+	204	173
+	202	174
+	3	200	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	174
+	204	173
+	3	206	174	psDrawFilled
+	opaqueGC
+	202	174
+	204	173
+	3	206	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	173
+	198	174
+	3	196	173	psDrawFilled
+	opaqueGC
+	200	173
+	198	174
+	3	196	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	174
+	200	173
+	3	202	174	psDrawFilled
+	opaqueGC
+	198	174
+	200	173
+	3	202	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	150
+	121	152
+	3	120	151	psDrawFilled
+	opaqueGC
+	123	150
+	121	152
+	3	120	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	153
+	120	151
+	3	121	152	psDrawFilled
+	opaqueGC
+	118	153
+	120	151
+	3	121	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	173
+	194	174
+	3	192	173	psDrawFilled
+	opaqueGC
+	196	173
+	194	174
+	3	192	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	174
+	196	173
+	3	198	174	psDrawFilled
+	opaqueGC
+	194	174
+	196	173
+	3	198	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	137
+	166	136
+	3	167	143	psDrawFilled
+	opaqueGC
+	164	137
+	166	136
+	3	167	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	143
+	166	144
+	3	164	137	psDrawFilled
+	opaqueGC
+	167	143
+	166	144
+	3	164	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	170
+	177	171
+	3	175	169	psDrawFilled
+	opaqueGC
+	179	170
+	177	171
+	3	175	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	171
+	179	170
+	3	181	172	psDrawFilled
+	opaqueGC
+	177	171
+	179	170
+	3	181	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	167
+	171	169
+	3	169	166	psDrawFilled
+	opaqueGC
+	173	167
+	171	169
+	3	169	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	169
+	173	167
+	3	175	169	psDrawFilled
+	opaqueGC
+	171	169
+	173	167
+	3	175	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	154
+	62	154
+	3	60	153	psDrawFilled
+	opaqueGC
+	64	154
+	62	154
+	3	60	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	154
+	64	154
+	3	66	154	psDrawFilled
+	opaqueGC
+	62	154
+	64	154
+	3	66	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	173
+	190	174
+	3	188	172	psDrawFilled
+	opaqueGC
+	192	173
+	190	174
+	3	188	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	174
+	192	173
+	3	194	174	psDrawFilled
+	opaqueGC
+	190	174
+	192	173
+	3	194	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	153
+	116	154
+	3	114	154	psDrawFilled
+	opaqueGC
+	118	153
+	116	154
+	3	114	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	155
+	114	154
+	3	116	154	psDrawFilled
+	opaqueGC
+	112	155
+	114	154
+	3	116	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	143
+	131	140
+	3	133	138	psDrawFilled
+	opaqueGC
+	129	143
+	131	140
+	3	133	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	138
+	131	142
+	3	129	143	psDrawFilled
+	opaqueGC
+	133	138
+	131	142
+	3	129	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	145
+	129	143
+	3	131	142	psDrawFilled
+	opaqueGC
+	127	145
+	129	143
+	3	131	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	172
+	187	174
+	3	185	172	psDrawFilled
+	opaqueGC
+	188	172
+	187	174
+	3	185	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	174
+	188	172
+	3	190	174	psDrawFilled
+	opaqueGC
+	187	174
+	188	172
+	3	190	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	140
+	133	137
+	3	135	133	psDrawFilled
+	opaqueGC
+	131	140
+	133	137
+	3	135	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	133
+	133	138
+	3	131	140	psDrawFilled
+	opaqueGC
+	135	133
+	133	138
+	3	131	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	142
+	129	145
+	3	127	145	psDrawFilled
+	opaqueGC
+	131	142
+	129	145
+	3	127	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	148
+	127	145
+	3	129	145	psDrawFilled
+	opaqueGC
+	125	148
+	127	145
+	3	129	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	156
+	95	157
+	3	93	156	psDrawFilled
+	opaqueGC
+	97	156
+	95	157
+	3	93	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	156
+	91	157
+	3	89	156	psDrawFilled
+	opaqueGC
+	93	156
+	91	157
+	3	89	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	157
+	93	156
+	3	95	157	psDrawFilled
+	opaqueGC
+	91	157
+	93	156
+	3	95	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	156
+	87	157
+	3	85	156	psDrawFilled
+	opaqueGC
+	89	156
+	87	157
+	3	85	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	157
+	89	156
+	3	91	157	psDrawFilled
+	opaqueGC
+	87	157
+	89	156
+	3	91	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	156
+	98	157
+	3	97	156	psDrawFilled
+	opaqueGC
+	100	156
+	98	157
+	3	97	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	157
+	97	156
+	3	98	157	psDrawFilled
+	opaqueGC
+	95	157
+	97	156
+	3	98	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	120
+	141	121
+	3	139	129	psDrawFilled
+	opaqueGC
+	142	120
+	141	121
+	3	139	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	131
+	139	129
+	3	141	121	psDrawFilled
+	opaqueGC
+	137	131
+	139	129
+	3	141	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	156
+	83	156
+	3	81	156	psDrawFilled
+	opaqueGC
+	85	156
+	83	156
+	3	81	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	156
+	85	156
+	3	87	157	psDrawFilled
+	opaqueGC
+	83	156
+	85	156
+	3	87	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	172
+	183	174
+	3	181	172	psDrawFilled
+	opaqueGC
+	185	172
+	183	174
+	3	181	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	174
+	185	172
+	3	187	174	psDrawFilled
+	opaqueGC
+	183	174
+	185	172
+	3	187	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	156
+	102	157
+	3	100	156	psDrawFilled
+	opaqueGC
+	104	156
+	102	157
+	3	100	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	157
+	100	156
+	3	102	157	psDrawFilled
+	opaqueGC
+	98	157
+	100	156
+	3	102	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	153
+	164	152
+	3	166	156	psDrawFilled
+	opaqueGC
+	162	153
+	164	152
+	3	166	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	156
+	164	157
+	3	162	153	psDrawFilled
+	opaqueGC
+	166	156
+	164	157
+	3	162	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	153
+	58	153
+	3	56	152	psDrawFilled
+	opaqueGC
+	60	153
+	58	153
+	3	56	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	58	153
+	60	153
+	3	62	154	psDrawFilled
+	opaqueGC
+	58	153
+	60	153
+	3	62	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	137
+	135	134
+	3	137	129	psDrawFilled
+	opaqueGC
+	133	137
+	135	134
+	3	137	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	129
+	135	133
+	3	133	137	psDrawFilled
+	opaqueGC
+	137	129
+	135	133
+	3	133	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	169
+	173	171
+	3	171	169	psDrawFilled
+	opaqueGC
+	175	169
+	173	171
+	3	171	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	171
+	175	169
+	3	177	171	psDrawFilled
+	opaqueGC
+	173	171
+	175	169
+	3	177	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	146
+	164	145
+	3	166	150	psDrawFilled
+	opaqueGC
+	162	146
+	164	145
+	3	166	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	150
+	164	152
+	3	162	146	psDrawFilled
+	opaqueGC
+	166	150
+	164	152
+	3	162	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	99
+	154	103
+	3	152	115	psDrawFilled
+	opaqueGC
+	156	99
+	154	103
+	3	152	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	117
+	152	115
+	3	154	103	psDrawFilled
+	opaqueGC
+	150	117
+	152	115
+	3	154	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	104
+	171	107
+	3	173	112	psDrawFilled
+	opaqueGC
+	170	104
+	171	107
+	3	173	112	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	112
+	171	110
+	3	170	104	psDrawFilled
+	opaqueGC
+	173	112
+	171	110
+	3	170	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	125
+	168	124
+	3	169	134	psDrawFilled
+	opaqueGC
+	166	125
+	168	124
+	3	169	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	134
+	167	135
+	3	166	125	psDrawFilled
+	opaqueGC
+	169	134
+	167	135
+	3	166	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	145
+	127	148
+	3	125	148	psDrawFilled
+	opaqueGC
+	129	145
+	127	148
+	3	125	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	150
+	125	148
+	3	127	148	psDrawFilled
+	opaqueGC
+	123	150
+	125	148
+	3	127	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	156
+	79	156
+	3	77	155	psDrawFilled
+	opaqueGC
+	81	156
+	79	156
+	3	77	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	156
+	81	156
+	3	83	156	psDrawFilled
+	opaqueGC
+	79	156
+	81	156
+	3	83	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	155
+	106	156
+	3	104	156	psDrawFilled
+	opaqueGC
+	108	155
+	106	156
+	3	104	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	157
+	104	156
+	3	106	156	psDrawFilled
+	opaqueGC
+	102	157
+	104	156
+	3	106	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	172
+	179	173
+	3	177	171	psDrawFilled
+	opaqueGC
+	181	172
+	179	173
+	3	177	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	173
+	181	172
+	3	183	174	psDrawFilled
+	opaqueGC
+	179	173
+	181	172
+	3	183	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	221	174
+	219	176
+	3	217	174	psDrawFilled
+	opaqueGC
+	221	174
+	219	176
+	3	217	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	174
+	215	176
+	3	213	174	psDrawFilled
+	opaqueGC
+	217	174
+	215	176
+	3	213	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	176
+	217	174
+	3	219	176	psDrawFilled
+	opaqueGC
+	215	176
+	217	174
+	3	219	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	162
+	166	161
+	3	167	164	psDrawFilled
+	opaqueGC
+	164	162
+	166	161
+	3	167	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	164
+	166	165
+	3	164	162	psDrawFilled
+	opaqueGC
+	167	164
+	166	165
+	3	164	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	165
+	167	164
+	3	169	166	psDrawFilled
+	opaqueGC
+	166	165
+	167	164
+	3	169	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	213	174
+	212	176
+	3	210	174	psDrawFilled
+	opaqueGC
+	213	174
+	212	176
+	3	210	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	176
+	213	174
+	3	215	176	psDrawFilled
+	opaqueGC
+	212	176
+	213	174
+	3	215	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	134
+	137	131
+	3	139	124	psDrawFilled
+	opaqueGC
+	135	134
+	137	131
+	3	139	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	124
+	137	129
+	3	135	134	psDrawFilled
+	opaqueGC
+	139	124
+	137	129
+	3	135	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	155
+	75	156
+	3	74	155	psDrawFilled
+	opaqueGC
+	77	155
+	75	156
+	3	74	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	156
+	77	155
+	3	79	156	psDrawFilled
+	opaqueGC
+	75	156
+	77	155
+	3	79	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	174
+	208	176
+	3	206	174	psDrawFilled
+	opaqueGC
+	210	174
+	208	176
+	3	206	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	176
+	210	174
+	3	212	176	psDrawFilled
+	opaqueGC
+	208	176
+	210	174
+	3	212	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	121
+	139	124
+	3	137	131	psDrawFilled
+	opaqueGC
+	141	121
+	139	124
+	3	137	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	152
+	119	153
+	3	118	153	psDrawFilled
+	opaqueGC
+	121	152
+	119	153
+	3	118	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	154
+	118	153
+	3	119	153	psDrawFilled
+	opaqueGC
+	116	154
+	118	153
+	3	119	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	174
+	204	176
+	3	202	174	psDrawFilled
+	opaqueGC
+	206	174
+	204	176
+	3	202	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	176
+	206	174
+	3	208	176	psDrawFilled
+	opaqueGC
+	204	176
+	206	174
+	3	208	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	100
+	177	107
+	3	175	94	psDrawFilled
+	opaqueGC
+	179	100
+	177	107
+	3	175	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	104
+	175	94
+	3	177	107	psDrawFilled
+	opaqueGC
+	173	104
+	175	94
+	3	177	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	166
+	167	167
+	3	166	165	psDrawFilled
+	opaqueGC
+	169	166
+	167	167
+	3	166	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	167
+	169	166
+	3	171	169	psDrawFilled
+	opaqueGC
+	167	167
+	169	166
+	3	171	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	174
+	200	176
+	3	198	174	psDrawFilled
+	opaqueGC
+	202	174
+	200	176
+	3	198	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	176
+	202	174
+	3	204	176	psDrawFilled
+	opaqueGC
+	200	176
+	202	174
+	3	204	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	155
+	110	156
+	3	108	155	psDrawFilled
+	opaqueGC
+	112	155
+	110	156
+	3	108	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	156
+	108	155
+	3	110	156	psDrawFilled
+	opaqueGC
+	106	156
+	108	155
+	3	110	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	174
+	196	176
+	3	194	174	psDrawFilled
+	opaqueGC
+	198	174
+	196	176
+	3	194	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	176
+	198	174
+	3	200	176	psDrawFilled
+	opaqueGC
+	196	176
+	198	174
+	3	200	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	20
+	177	56
+	3	173	96	psDrawFilled
+	opaqueGC
+	180	20
+	177	56
+	3	173	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	158
+	164	157
+	3	166	161	psDrawFilled
+	opaqueGC
+	162	158
+	164	157
+	3	166	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	161
+	164	162
+	3	162	158	psDrawFilled
+	opaqueGC
+	166	161
+	164	162
+	3	162	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	174
+	192	176
+	3	190	174	psDrawFilled
+	opaqueGC
+	194	174
+	192	176
+	3	190	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	176
+	194	174
+	3	196	176	psDrawFilled
+	opaqueGC
+	192	176
+	194	174
+	3	196	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	105
+	168	102
+	3	166	106	psDrawFilled
+	opaqueGC
+	169	105
+	168	102
+	3	166	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	100
+	166	106
+	3	168	102	psDrawFilled
+	opaqueGC
+	164	100
+	166	106
+	3	168	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	155
+	71	155
+	3	70	155	psDrawFilled
+	opaqueGC
+	74	155
+	71	155
+	3	70	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	155
+	74	155
+	3	75	156	psDrawFilled
+	opaqueGC
+	71	155
+	74	155
+	3	75	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	148
+	125	150
+	3	123	150	psDrawFilled
+	opaqueGC
+	127	148
+	125	150
+	3	123	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	152
+	123	150
+	3	125	150	psDrawFilled
+	opaqueGC
+	121	152
+	123	150
+	3	125	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	171
+	175	173
+	3	173	171	psDrawFilled
+	opaqueGC
+	177	171
+	175	173
+	3	173	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	173
+	177	171
+	3	179	173	psDrawFilled
+	opaqueGC
+	175	173
+	177	171
+	3	179	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	174
+	189	175
+	3	187	174	psDrawFilled
+	opaqueGC
+	190	174
+	189	175
+	3	187	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	175
+	190	174
+	3	192	176	psDrawFilled
+	opaqueGC
+	189	175
+	190	174
+	3	192	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	169
+	169	170
+	3	167	167	psDrawFilled
+	opaqueGC
+	171	169
+	169	170
+	3	167	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	170
+	171	169
+	3	173	171	psDrawFilled
+	opaqueGC
+	169	170
+	171	169
+	3	173	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	103
+	152	108
+	3	150	117	psDrawFilled
+	opaqueGC
+	154	103
+	152	108
+	3	150	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	118
+	150	117
+	3	152	108	psDrawFilled
+	opaqueGC
+	148	118
+	150	117
+	3	152	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	20
+	179	92
+	3	181	94	psDrawFilled
+	opaqueGC
+	180	20
+	179	92
+	3	181	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	174
+	185	175
+	3	183	174	psDrawFilled
+	opaqueGC
+	187	174
+	185	175
+	3	183	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	175
+	187	174
+	3	189	175	psDrawFilled
+	opaqueGC
+	185	175
+	187	174
+	3	189	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	154
+	114	155
+	3	112	155	psDrawFilled
+	opaqueGC
+	116	154
+	114	155
+	3	112	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	156
+	112	155
+	3	114	155	psDrawFilled
+	opaqueGC
+	110	156
+	112	155
+	3	114	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	138
+	164	137
+	3	166	144	psDrawFilled
+	opaqueGC
+	162	138
+	164	137
+	3	166	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	144
+	164	145
+	3	162	138	psDrawFilled
+	opaqueGC
+	166	144
+	164	145
+	3	162	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	155
+	67	155
+	3	66	154	psDrawFilled
+	opaqueGC
+	70	155
+	67	155
+	3	66	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	155
+	70	155
+	3	71	155	psDrawFilled
+	opaqueGC
+	67	155
+	70	155
+	3	71	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	107
+	170	111
+	3	171	125	psDrawFilled
+	opaqueGC
+	168	107
+	170	111
+	3	171	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	125
+	169	124
+	3	168	107	psDrawFilled
+	opaqueGC
+	171	125
+	169	124
+	3	168	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	174
+	181	175
+	3	179	173	psDrawFilled
+	opaqueGC
+	183	174
+	181	175
+	3	179	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	175
+	183	174
+	3	185	175	psDrawFilled
+	opaqueGC
+	181	175
+	183	174
+	3	185	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	171
+	171	172
+	3	169	170	psDrawFilled
+	opaqueGC
+	173	171
+	171	172
+	3	169	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	172
+	173	171
+	3	175	173	psDrawFilled
+	opaqueGC
+	171	172
+	173	171
+	3	175	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	154
+	162	153
+	3	164	157	psDrawFilled
+	opaqueGC
+	160	154
+	162	153
+	3	164	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	157
+	162	158
+	3	160	154	psDrawFilled
+	opaqueGC
+	164	157
+	162	158
+	3	160	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	103
+	173	93
+	3	175	94	psDrawFilled
+	opaqueGC
+	171	103
+	173	93
+	3	175	94	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	94
+	173	104
+	3	171	103	psDrawFilled
+	opaqueGC
+	175	94
+	173	104
+	3	171	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	105
+	171	103
+	3	173	104	psDrawFilled
+	opaqueGC
+	169	105
+	171	103
+	3	173	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	150
+	123	152
+	3	121	152	psDrawFilled
+	opaqueGC
+	125	150
+	123	152
+	3	121	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	153
+	121	152
+	3	123	152	psDrawFilled
+	opaqueGC
+	119	153
+	121	152
+	3	123	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	147
+	162	146
+	3	164	152	psDrawFilled
+	opaqueGC
+	160	147
+	162	146
+	3	164	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	152
+	162	153
+	3	160	147	psDrawFilled
+	opaqueGC
+	164	152
+	162	153
+	3	160	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	219	176
+	217	177
+	3	215	176	psDrawFilled
+	opaqueGC
+	219	176
+	217	177
+	3	215	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	215	176
+	214	177
+	3	212	176	psDrawFilled
+	opaqueGC
+	215	176
+	214	177
+	3	212	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	177
+	215	176
+	3	217	177	psDrawFilled
+	opaqueGC
+	214	177
+	215	176
+	3	217	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	176
+	210	177
+	3	208	176	psDrawFilled
+	opaqueGC
+	212	176
+	210	177
+	3	208	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	177
+	212	176
+	3	214	177	psDrawFilled
+	opaqueGC
+	210	177
+	212	176
+	3	214	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	154
+	64	154
+	3	62	154	psDrawFilled
+	opaqueGC
+	66	154
+	64	154
+	3	62	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	154
+	66	154
+	3	67	155	psDrawFilled
+	opaqueGC
+	64	154
+	66	154
+	3	67	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	176
+	206	177
+	3	204	176	psDrawFilled
+	opaqueGC
+	208	176
+	206	177
+	3	204	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	177
+	208	176
+	3	210	177	psDrawFilled
+	opaqueGC
+	206	177
+	208	176
+	3	210	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	173
+	177	174
+	3	175	173	psDrawFilled
+	opaqueGC
+	179	173
+	177	174
+	3	175	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	174
+	179	173
+	3	181	175	psDrawFilled
+	opaqueGC
+	177	174
+	179	173
+	3	181	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	153
+	117	155
+	3	116	154	psDrawFilled
+	opaqueGC
+	119	153
+	117	155
+	3	116	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	155
+	116	154
+	3	117	155	psDrawFilled
+	opaqueGC
+	114	155
+	116	154
+	3	117	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	176
+	202	177
+	3	200	176	psDrawFilled
+	opaqueGC
+	204	176
+	202	177
+	3	200	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	177
+	204	176
+	3	206	177	psDrawFilled
+	opaqueGC
+	202	177
+	204	176
+	3	206	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	104
+	171	107
+	3	169	105	psDrawFilled
+	opaqueGC
+	173	104
+	171	107
+	3	169	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	102
+	169	105
+	3	171	107	psDrawFilled
+	opaqueGC
+	168	102
+	169	105
+	3	171	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	176
+	198	177
+	3	196	176	psDrawFilled
+	opaqueGC
+	200	176
+	198	177
+	3	196	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	177
+	200	176
+	3	202	177	psDrawFilled
+	opaqueGC
+	198	177
+	200	176
+	3	202	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	163
+	164	162
+	3	166	165	psDrawFilled
+	opaqueGC
+	162	163
+	164	162
+	3	166	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	165
+	164	166
+	3	162	163	psDrawFilled
+	opaqueGC
+	166	165
+	164	166
+	3	162	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	166
+	166	165
+	3	167	167	psDrawFilled
+	opaqueGC
+	164	166
+	166	165
+	3	167	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	157
+	96	157
+	3	95	157	psDrawFilled
+	opaqueGC
+	98	157
+	96	157
+	3	95	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	157
+	92	157
+	3	91	157	psDrawFilled
+	opaqueGC
+	95	157
+	92	157
+	3	91	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	157
+	95	157
+	3	96	157	psDrawFilled
+	opaqueGC
+	92	157
+	95	157
+	3	96	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	176
+	194	177
+	3	192	176	psDrawFilled
+	opaqueGC
+	196	176
+	194	177
+	3	192	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	177
+	196	176
+	3	198	177	psDrawFilled
+	opaqueGC
+	194	177
+	196	176
+	3	198	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	157
+	100	157
+	3	98	157	psDrawFilled
+	opaqueGC
+	102	157
+	100	157
+	3	98	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	157
+	98	157
+	3	100	157	psDrawFilled
+	opaqueGC
+	96	157
+	98	157
+	3	100	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	157
+	89	157
+	3	87	157	psDrawFilled
+	opaqueGC
+	91	157
+	89	157
+	3	87	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	157
+	91	157
+	3	92	157	psDrawFilled
+	opaqueGC
+	89	157
+	91	157
+	3	92	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	167
+	166	169
+	3	164	166	psDrawFilled
+	opaqueGC
+	167	167
+	166	169
+	3	164	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	169
+	167	167
+	3	169	170	psDrawFilled
+	opaqueGC
+	166	169
+	167	167
+	3	169	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	127
+	166	125
+	3	167	135	psDrawFilled
+	opaqueGC
+	164	127
+	166	125
+	3	167	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	135
+	166	136
+	3	164	127	psDrawFilled
+	opaqueGC
+	167	135
+	166	136
+	3	164	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	176
+	191	177
+	3	189	175	psDrawFilled
+	opaqueGC
+	192	176
+	191	177
+	3	189	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	177
+	192	176
+	3	194	177	psDrawFilled
+	opaqueGC
+	191	177
+	192	176
+	3	194	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	58
+	182	22
+	3	181	100	psDrawFilled
+	opaqueGC
+	179	58
+	182	22
+	3	181	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	100
+	179	100
+	3	179	58	psDrawFilled
+	opaqueGC
+	181	100
+	179	100
+	3	179	58	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	156
+	104	157
+	3	102	157	psDrawFilled
+	opaqueGC
+	106	156
+	104	157
+	3	102	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	157
+	102	157
+	3	104	157	psDrawFilled
+	opaqueGC
+	100	157
+	102	157
+	3	104	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	157
+	85	157
+	3	83	156	psDrawFilled
+	opaqueGC
+	87	157
+	85	157
+	3	83	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	157
+	87	157
+	3	89	157	psDrawFilled
+	opaqueGC
+	85	157
+	87	157
+	3	89	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	108
+	150	111
+	3	148	118	psDrawFilled
+	opaqueGC
+	152	108
+	150	111
+	3	148	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	119
+	148	118
+	3	150	111	psDrawFilled
+	opaqueGC
+	146	119
+	148	118
+	3	150	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	160
+	162	158
+	3	164	162	psDrawFilled
+	opaqueGC
+	160	160
+	162	158
+	3	164	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	162
+	162	163
+	3	160	160	psDrawFilled
+	opaqueGC
+	164	162
+	162	163
+	3	160	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	175
+	187	177
+	3	185	175	psDrawFilled
+	opaqueGC
+	189	175
+	187	177
+	3	185	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	177
+	189	175
+	3	191	177	psDrawFilled
+	opaqueGC
+	187	177
+	189	175
+	3	191	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	173
+	173	174
+	3	171	172	psDrawFilled
+	opaqueGC
+	175	173
+	173	174
+	3	171	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	174
+	175	173
+	3	177	174	psDrawFilled
+	opaqueGC
+	173	174
+	175	173
+	3	177	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	156
+	81	157
+	3	79	156	psDrawFilled
+	opaqueGC
+	83	156
+	81	157
+	3	79	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	157
+	83	156
+	3	85	157	psDrawFilled
+	opaqueGC
+	81	157
+	83	156
+	3	85	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	156
+	108	157
+	3	106	156	psDrawFilled
+	opaqueGC
+	110	156
+	108	157
+	3	106	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	157
+	106	156
+	3	108	157	psDrawFilled
+	opaqueGC
+	104	157
+	106	156
+	3	108	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	62	154
+	60	153
+	3	58	153	psDrawFilled
+	opaqueGC
+	62	154
+	60	153
+	3	58	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	60	153
+	62	154
+	3	64	154	psDrawFilled
+	opaqueGC
+	60	153
+	62	154
+	3	64	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	94
+	182	22
+	3	180	20	psDrawFilled
+	opaqueGC
+	181	94
+	182	22
+	3	180	20	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	170
+	168	171
+	3	166	169	psDrawFilled
+	opaqueGC
+	169	170
+	168	171
+	3	166	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	171
+	169	170
+	3	171	172	psDrawFilled
+	opaqueGC
+	168	171
+	169	170
+	3	171	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	175
+	183	177
+	3	181	175	psDrawFilled
+	opaqueGC
+	185	175
+	183	177
+	3	181	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	177
+	185	175
+	3	187	177	psDrawFilled
+	opaqueGC
+	183	177
+	185	175
+	3	187	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	156
+	77	156
+	3	75	156	psDrawFilled
+	opaqueGC
+	79	156
+	77	156
+	3	75	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	156
+	79	156
+	3	81	157	psDrawFilled
+	opaqueGC
+	77	156
+	79	156
+	3	81	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	155
+	112	157
+	3	110	156	psDrawFilled
+	opaqueGC
+	114	155
+	112	157
+	3	110	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	157
+	110	156
+	3	112	157	psDrawFilled
+	opaqueGC
+	108	157
+	110	156
+	3	112	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	152
+	121	154
+	3	119	153	psDrawFilled
+	opaqueGC
+	123	152
+	121	154
+	3	119	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	155
+	119	153
+	3	121	154	psDrawFilled
+	opaqueGC
+	117	155
+	119	153
+	3	121	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	175
+	179	176
+	3	177	174	psDrawFilled
+	opaqueGC
+	181	175
+	179	176
+	3	177	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	176
+	181	175
+	3	183	177	psDrawFilled
+	opaqueGC
+	179	176
+	181	175
+	3	183	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	139
+	162	138
+	3	164	145	psDrawFilled
+	opaqueGC
+	160	139
+	162	138
+	3	164	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	145
+	162	146
+	3	160	139	psDrawFilled
+	opaqueGC
+	164	145
+	162	146
+	3	160	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	148
+	129	145
+	3	131	144	psDrawFilled
+	opaqueGC
+	127	148
+	129	145
+	3	131	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	144
+	129	148
+	3	127	148	psDrawFilled
+	opaqueGC
+	131	144
+	129	148
+	3	127	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	150
+	127	148
+	3	129	148	psDrawFilled
+	opaqueGC
+	125	150
+	127	148
+	3	129	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	156
+	160	154
+	3	162	158	psDrawFilled
+	opaqueGC
+	158	156
+	160	154
+	3	162	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	158
+	160	160
+	3	158	156	psDrawFilled
+	opaqueGC
+	162	158
+	160	160
+	3	158	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	172
+	169	173
+	3	168	171	psDrawFilled
+	opaqueGC
+	171	172
+	169	173
+	3	168	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	173
+	171	172
+	3	173	174	psDrawFilled
+	opaqueGC
+	169	173
+	171	172
+	3	173	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	145
+	131	142
+	3	133	140	psDrawFilled
+	opaqueGC
+	129	145
+	131	142
+	3	133	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	140
+	131	144
+	3	129	145	psDrawFilled
+	opaqueGC
+	133	140
+	131	144
+	3	129	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	156
+	73	156
+	3	71	155	psDrawFilled
+	opaqueGC
+	75	156
+	73	156
+	3	71	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	156
+	75	156
+	3	77	156	psDrawFilled
+	opaqueGC
+	73	156
+	75	156
+	3	77	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	217	177
+	216	179
+	3	214	177	psDrawFilled
+	opaqueGC
+	217	177
+	216	179
+	3	214	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	177
+	212	179
+	3	210	177	psDrawFilled
+	opaqueGC
+	214	177
+	212	179
+	3	210	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	179
+	214	177
+	3	216	179	psDrawFilled
+	opaqueGC
+	212	179
+	214	177
+	3	216	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	177
+	208	179
+	3	206	177	psDrawFilled
+	opaqueGC
+	210	177
+	208	179
+	3	206	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	179
+	210	177
+	3	212	179	psDrawFilled
+	opaqueGC
+	208	179
+	210	177
+	3	212	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	177
+	204	179
+	3	202	177	psDrawFilled
+	opaqueGC
+	206	177
+	204	179
+	3	202	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	179
+	206	177
+	3	208	179	psDrawFilled
+	opaqueGC
+	204	179
+	206	177
+	3	208	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	107
+	170	104
+	3	168	102	psDrawFilled
+	opaqueGC
+	171	107
+	170	104
+	3	168	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	177
+	200	179
+	3	198	177	psDrawFilled
+	opaqueGC
+	202	177
+	200	179
+	3	198	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	179
+	202	177
+	3	204	179	psDrawFilled
+	opaqueGC
+	200	179
+	202	177
+	3	204	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	149
+	160	147
+	3	162	153	psDrawFilled
+	opaqueGC
+	158	149
+	160	147
+	3	162	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	153
+	160	154
+	3	158	149	psDrawFilled
+	opaqueGC
+	162	153
+	160	154
+	3	158	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	177
+	196	179
+	3	194	177	psDrawFilled
+	opaqueGC
+	198	177
+	196	179
+	3	194	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	179
+	198	177
+	3	200	179	psDrawFilled
+	opaqueGC
+	196	179
+	198	177
+	3	200	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	174
+	175	176
+	3	173	174	psDrawFilled
+	opaqueGC
+	177	174
+	175	176
+	3	173	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	176
+	177	174
+	3	179	176	psDrawFilled
+	opaqueGC
+	175	176
+	177	174
+	3	179	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	155
+	116	156
+	3	114	155	psDrawFilled
+	opaqueGC
+	117	155
+	116	156
+	3	114	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	157
+	114	155
+	3	116	156	psDrawFilled
+	opaqueGC
+	112	157
+	114	155
+	3	116	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	177
+	193	179
+	3	191	177	psDrawFilled
+	opaqueGC
+	194	177
+	193	179
+	3	191	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	179
+	194	177
+	3	196	179	psDrawFilled
+	opaqueGC
+	193	179
+	194	177
+	3	196	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	148
+	127	150
+	3	125	150	psDrawFilled
+	opaqueGC
+	129	148
+	127	150
+	3	125	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	152
+	125	150
+	3	127	150	psDrawFilled
+	opaqueGC
+	123	152
+	125	150
+	3	127	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	165
+	162	163
+	3	164	166	psDrawFilled
+	opaqueGC
+	160	165
+	162	163
+	3	164	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	166
+	162	168
+	3	160	165	psDrawFilled
+	opaqueGC
+	164	166
+	162	168
+	3	160	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	168
+	164	166
+	3	166	169	psDrawFilled
+	opaqueGC
+	162	168
+	164	166
+	3	166	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	177
+	189	178
+	3	187	177	psDrawFilled
+	opaqueGC
+	191	177
+	189	178
+	3	187	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	178
+	191	177
+	3	193	179	psDrawFilled
+	opaqueGC
+	189	178
+	191	177
+	3	193	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	169
+	164	170
+	3	162	168	psDrawFilled
+	opaqueGC
+	166	169
+	164	170
+	3	162	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	170
+	166	169
+	3	168	171	psDrawFilled
+	opaqueGC
+	164	170
+	166	169
+	3	168	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	155
+	69	155
+	3	67	155	psDrawFilled
+	opaqueGC
+	71	155
+	69	155
+	3	67	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	155
+	71	155
+	3	73	156	psDrawFilled
+	opaqueGC
+	69	155
+	71	155
+	3	73	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	142
+	133	138
+	3	135	135	psDrawFilled
+	opaqueGC
+	131	142
+	133	138
+	3	135	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	135
+	133	140
+	3	131	142	psDrawFilled
+	opaqueGC
+	135	135
+	133	140
+	3	131	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	177
+	185	178
+	3	183	177	psDrawFilled
+	opaqueGC
+	187	177
+	185	178
+	3	183	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	178
+	187	177
+	3	189	178	psDrawFilled
+	opaqueGC
+	185	178
+	187	177
+	3	189	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	161
+	160	160
+	3	162	163	psDrawFilled
+	opaqueGC
+	158	161
+	160	160
+	3	162	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	163
+	160	165
+	3	158	161	psDrawFilled
+	opaqueGC
+	162	163
+	160	165
+	3	158	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	128
+	164	127
+	3	166	136	psDrawFilled
+	opaqueGC
+	162	128
+	164	127
+	3	166	136	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	136
+	164	137
+	3	162	128	psDrawFilled
+	opaqueGC
+	166	136
+	164	137
+	3	162	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	174
+	171	175
+	3	169	173	psDrawFilled
+	opaqueGC
+	173	174
+	171	175
+	3	169	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	175
+	173	174
+	3	175	176	psDrawFilled
+	opaqueGC
+	171	175
+	173	174
+	3	175	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	177
+	181	178
+	3	179	176	psDrawFilled
+	opaqueGC
+	183	177
+	181	178
+	3	179	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	178
+	183	177
+	3	185	178	psDrawFilled
+	opaqueGC
+	181	178
+	183	177
+	3	185	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	111
+	148	111
+	3	146	119	psDrawFilled
+	opaqueGC
+	150	111
+	148	111
+	3	146	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	120
+	146	119
+	3	148	111	psDrawFilled
+	opaqueGC
+	144	120
+	146	119
+	3	148	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	171
+	166	172
+	3	164	170	psDrawFilled
+	opaqueGC
+	168	171
+	166	172
+	3	164	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	172
+	168	171
+	3	169	173	psDrawFilled
+	opaqueGC
+	166	172
+	168	171
+	3	169	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	154
+	119	155
+	3	117	155	psDrawFilled
+	opaqueGC
+	121	154
+	119	155
+	3	117	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	156
+	117	155
+	3	119	155	psDrawFilled
+	opaqueGC
+	116	156
+	117	155
+	3	119	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	150
+	125	153
+	3	123	152	psDrawFilled
+	opaqueGC
+	127	150
+	125	153
+	3	123	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	154
+	123	152
+	3	125	153	psDrawFilled
+	opaqueGC
+	121	154
+	123	152
+	3	125	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	157
+	98	158
+	3	96	157	psDrawFilled
+	opaqueGC
+	100	157
+	98	158
+	3	96	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	157
+	94	158
+	3	92	157	psDrawFilled
+	opaqueGC
+	96	157
+	94	158
+	3	92	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	158
+	96	157
+	3	98	158	psDrawFilled
+	opaqueGC
+	94	158
+	96	157
+	3	98	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	157
+	102	158
+	3	100	157	psDrawFilled
+	opaqueGC
+	104	157
+	102	158
+	3	100	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	158
+	100	157
+	3	102	158	psDrawFilled
+	opaqueGC
+	98	158
+	100	157
+	3	102	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	155
+	65	154
+	3	64	154	psDrawFilled
+	opaqueGC
+	67	155
+	65	154
+	3	64	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	154
+	67	155
+	3	69	155	psDrawFilled
+	opaqueGC
+	65	154
+	67	155
+	3	69	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	157
+	90	158
+	3	89	157	psDrawFilled
+	opaqueGC
+	92	157
+	90	158
+	3	89	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	158
+	92	157
+	3	94	158	psDrawFilled
+	opaqueGC
+	90	158
+	92	157
+	3	94	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	157
+	106	158
+	3	104	157	psDrawFilled
+	opaqueGC
+	108	157
+	106	158
+	3	104	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	158
+	104	157
+	3	106	158	psDrawFilled
+	opaqueGC
+	102	158
+	104	157
+	3	106	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	176
+	177	178
+	3	175	176	psDrawFilled
+	opaqueGC
+	179	176
+	177	178
+	3	175	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	178
+	179	176
+	3	181	178	psDrawFilled
+	opaqueGC
+	177	178
+	179	176
+	3	181	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	157
+	86	158
+	3	85	157	psDrawFilled
+	opaqueGC
+	89	157
+	86	158
+	3	85	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	158
+	89	157
+	3	90	158	psDrawFilled
+	opaqueGC
+	86	158
+	89	157
+	3	90	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	216	179
+	214	180
+	3	212	179	psDrawFilled
+	opaqueGC
+	216	179
+	214	180
+	3	212	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	157
+	158	156
+	3	160	160	psDrawFilled
+	opaqueGC
+	156	157
+	158	156
+	3	160	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	160
+	158	161
+	3	156	157	psDrawFilled
+	opaqueGC
+	160	160
+	158	161
+	3	156	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	179
+	210	180
+	3	208	179	psDrawFilled
+	opaqueGC
+	212	179
+	210	180
+	3	208	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	180
+	212	179
+	3	214	180	psDrawFilled
+	opaqueGC
+	210	180
+	212	179
+	3	214	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	179
+	206	180
+	3	204	179	psDrawFilled
+	opaqueGC
+	208	179
+	206	180
+	3	204	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	180
+	208	179
+	3	210	180	psDrawFilled
+	opaqueGC
+	206	180
+	208	179
+	3	210	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	90
+	170	104
+	3	171	116	psDrawFilled
+	opaqueGC
+	168	90
+	170	104
+	3	171	116	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	116
+	170	111
+	3	168	90	psDrawFilled
+	opaqueGC
+	171	116
+	170	111
+	3	168	90	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	179
+	202	180
+	3	200	179	psDrawFilled
+	opaqueGC
+	204	179
+	202	180
+	3	200	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	180
+	204	179
+	3	206	180	psDrawFilled
+	opaqueGC
+	202	180
+	204	179
+	3	206	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	157
+	110	158
+	3	108	157	psDrawFilled
+	opaqueGC
+	112	157
+	110	158
+	3	108	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	158
+	108	157
+	3	110	158	psDrawFilled
+	opaqueGC
+	106	158
+	108	157
+	3	110	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	140
+	160	139
+	3	162	146	psDrawFilled
+	opaqueGC
+	158	140
+	160	139
+	3	162	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	146
+	160	147
+	3	158	140	psDrawFilled
+	opaqueGC
+	162	146
+	160	147
+	3	158	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	179
+	198	180
+	3	196	179	psDrawFilled
+	opaqueGC
+	200	179
+	198	180
+	3	196	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	180
+	200	179
+	3	202	180	psDrawFilled
+	opaqueGC
+	198	180
+	200	179
+	3	202	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	173
+	168	175
+	3	166	172	psDrawFilled
+	opaqueGC
+	169	173
+	168	175
+	3	166	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	175
+	169	173
+	3	171	175	psDrawFilled
+	opaqueGC
+	168	175
+	169	173
+	3	171	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	157
+	83	157
+	3	81	157	psDrawFilled
+	opaqueGC
+	85	157
+	83	157
+	3	81	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	157
+	85	157
+	3	86	158	psDrawFilled
+	opaqueGC
+	83	157
+	85	157
+	3	86	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	196	179
+	195	180
+	3	193	179	psDrawFilled
+	opaqueGC
+	196	179
+	195	180
+	3	193	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	180
+	196	179
+	3	198	180	psDrawFilled
+	opaqueGC
+	195	180
+	196	179
+	3	198	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	151
+	158	149
+	3	160	154	psDrawFilled
+	opaqueGC
+	156	151
+	158	149
+	3	160	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	154
+	158	156
+	3	156	151	psDrawFilled
+	opaqueGC
+	160	154
+	158	156
+	3	156	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	94
+	179	58
+	3	179	100	psDrawFilled
+	opaqueGC
+	175	94
+	179	58
+	3	179	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	138
+	135	133
+	3	137	128	psDrawFilled
+	opaqueGC
+	133	138
+	135	133
+	3	137	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	128
+	135	135
+	3	133	138	psDrawFilled
+	opaqueGC
+	137	128
+	135	135
+	3	133	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	176
+	173	177
+	3	171	175	psDrawFilled
+	opaqueGC
+	175	176
+	173	177
+	3	171	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	177
+	175	176
+	3	177	178	psDrawFilled
+	opaqueGC
+	173	177
+	175	176
+	3	177	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	179
+	191	180
+	3	189	178	psDrawFilled
+	opaqueGC
+	193	179
+	191	180
+	3	189	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	180
+	193	179
+	3	195	180	psDrawFilled
+	opaqueGC
+	191	180
+	193	179
+	3	195	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	93
+	170	104
+	3	171	110	psDrawFilled
+	opaqueGC
+	168	93
+	170	104
+	3	171	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	110
+	170	104
+	3	168	93	psDrawFilled
+	opaqueGC
+	171	110
+	170	104
+	3	168	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	64	154
+	61	153
+	3	60	153	psDrawFilled
+	opaqueGC
+	64	154
+	61	153
+	3	60	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	61	153
+	64	154
+	3	65	154	psDrawFilled
+	opaqueGC
+	61	153
+	64	154
+	3	65	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	178
+	187	180
+	3	185	178	psDrawFilled
+	opaqueGC
+	189	178
+	187	180
+	3	185	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	180
+	189	178
+	3	191	180	psDrawFilled
+	opaqueGC
+	187	180
+	189	178
+	3	191	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	156
+	114	157
+	3	112	157	psDrawFilled
+	opaqueGC
+	116	156
+	114	157
+	3	112	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	158
+	112	157
+	3	114	157	psDrawFilled
+	opaqueGC
+	110	158
+	112	157
+	3	114	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	166
+	160	165
+	3	162	168	psDrawFilled
+	opaqueGC
+	158	166
+	160	165
+	3	162	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	168
+	160	169
+	3	158	166	psDrawFilled
+	opaqueGC
+	162	168
+	160	169
+	3	158	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	169
+	162	168
+	3	164	170	psDrawFilled
+	opaqueGC
+	160	169
+	162	168
+	3	164	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	157
+	79	157
+	3	77	156	psDrawFilled
+	opaqueGC
+	81	157
+	79	157
+	3	77	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	157
+	81	157
+	3	83	157	psDrawFilled
+	opaqueGC
+	79	157
+	81	157
+	3	83	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	153
+	123	155
+	3	121	154	psDrawFilled
+	opaqueGC
+	125	153
+	123	155
+	3	121	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	155
+	121	154
+	3	123	155	psDrawFilled
+	opaqueGC
+	119	155
+	121	154
+	3	123	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	170
+	162	171
+	3	160	169	psDrawFilled
+	opaqueGC
+	164	170
+	162	171
+	3	160	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	171
+	164	170
+	3	166	172	psDrawFilled
+	opaqueGC
+	162	171
+	164	170
+	3	166	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	178
+	183	180
+	3	181	178	psDrawFilled
+	opaqueGC
+	185	178
+	183	180
+	3	181	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	180
+	185	178
+	3	187	180	psDrawFilled
+	opaqueGC
+	183	180
+	185	178
+	3	187	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	163
+	158	161
+	3	160	165	psDrawFilled
+	opaqueGC
+	156	163
+	158	161
+	3	160	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	165
+	158	166
+	3	156	163	psDrawFilled
+	opaqueGC
+	160	165
+	158	166
+	3	156	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	106
+	168	107
+	3	169	124	psDrawFilled
+	opaqueGC
+	166	106
+	168	107
+	3	169	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	124
+	168	124
+	3	166	106	psDrawFilled
+	opaqueGC
+	169	124
+	168	124
+	3	166	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	100
+	162	86
+	3	160	105	psDrawFilled
+	opaqueGC
+	164	100
+	162	86
+	3	160	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	100
+	160	105
+	3	162	86	psDrawFilled
+	opaqueGC
+	158	100
+	160	105
+	3	162	86	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	175
+	170	177
+	3	168	175	psDrawFilled
+	opaqueGC
+	171	175
+	170	177
+	3	168	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	177
+	171	175
+	3	173	177	psDrawFilled
+	opaqueGC
+	170	177
+	171	175
+	3	173	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	178
+	179	179
+	3	177	178	psDrawFilled
+	opaqueGC
+	181	178
+	179	179
+	3	177	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	179
+	181	178
+	3	183	180	psDrawFilled
+	opaqueGC
+	179	179
+	181	178
+	3	183	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	156
+	75	156
+	3	73	156	psDrawFilled
+	opaqueGC
+	77	156
+	75	156
+	3	73	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	156
+	77	156
+	3	79	157	psDrawFilled
+	opaqueGC
+	75	156
+	77	156
+	3	79	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	155
+	117	157
+	3	116	156	psDrawFilled
+	opaqueGC
+	119	155
+	117	157
+	3	116	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	157
+	116	156
+	3	117	157	psDrawFilled
+	opaqueGC
+	114	157
+	116	156
+	3	117	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	129
+	162	128
+	3	164	137	psDrawFilled
+	opaqueGC
+	160	129
+	162	128
+	3	164	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	137
+	162	138
+	3	160	129	psDrawFilled
+	opaqueGC
+	164	137
+	162	138
+	3	160	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	172
+	164	174
+	3	162	171	psDrawFilled
+	opaqueGC
+	166	172
+	164	174
+	3	162	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	174
+	166	172
+	3	168	175	psDrawFilled
+	opaqueGC
+	164	174
+	166	172
+	3	168	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	159
+	156	157
+	3	158	161	psDrawFilled
+	opaqueGC
+	154	159
+	156	157
+	3	158	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	161
+	156	163
+	3	154	159	psDrawFilled
+	opaqueGC
+	158	161
+	156	163
+	3	154	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	178
+	175	179
+	3	173	177	psDrawFilled
+	opaqueGC
+	177	178
+	175	179
+	3	173	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	179
+	177	178
+	3	179	179	psDrawFilled
+	opaqueGC
+	175	179
+	177	178
+	3	179	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	214	180
+	212	182
+	3	210	180	psDrawFilled
+	opaqueGC
+	214	180
+	212	182
+	3	210	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	148
+	131	144
+	3	133	144	psDrawFilled
+	opaqueGC
+	129	148
+	131	144
+	3	133	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	144
+	131	148
+	3	129	148	psDrawFilled
+	opaqueGC
+	133	144
+	131	148
+	3	129	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	150
+	129	148
+	3	131	148	psDrawFilled
+	opaqueGC
+	127	150
+	129	148
+	3	131	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	180
+	208	182
+	3	206	180	psDrawFilled
+	opaqueGC
+	210	180
+	208	182
+	3	206	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	182
+	210	180
+	3	212	182	psDrawFilled
+	opaqueGC
+	208	182
+	210	180
+	3	212	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	180
+	204	182
+	3	202	180	psDrawFilled
+	opaqueGC
+	206	180
+	204	182
+	3	202	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	182
+	206	180
+	3	208	182	psDrawFilled
+	opaqueGC
+	204	182
+	206	180
+	3	208	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	148
+	129	151
+	3	127	150	psDrawFilled
+	opaqueGC
+	131	148
+	129	151
+	3	127	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	153
+	127	150
+	3	129	151	psDrawFilled
+	opaqueGC
+	125	153
+	127	150
+	3	129	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	180
+	200	182
+	3	198	180	psDrawFilled
+	opaqueGC
+	202	180
+	200	182
+	3	198	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	182
+	202	180
+	3	204	182	psDrawFilled
+	opaqueGC
+	200	182
+	202	180
+	3	204	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	153
+	156	151
+	3	158	156	psDrawFilled
+	opaqueGC
+	154	153
+	156	151
+	3	158	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	156
+	156	157
+	3	154	153	psDrawFilled
+	opaqueGC
+	158	156
+	156	157
+	3	154	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	198	180
+	197	182
+	3	195	180	psDrawFilled
+	opaqueGC
+	198	180
+	197	182
+	3	195	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	182
+	198	180
+	3	200	182	psDrawFilled
+	opaqueGC
+	197	182
+	198	180
+	3	200	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	156
+	71	155
+	3	69	155	psDrawFilled
+	opaqueGC
+	73	156
+	71	155
+	3	69	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	155
+	73	156
+	3	75	156	psDrawFilled
+	opaqueGC
+	71	155
+	73	156
+	3	75	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	180
+	193	182
+	3	191	180	psDrawFilled
+	opaqueGC
+	195	180
+	193	182
+	3	191	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	182
+	195	180
+	3	197	182	psDrawFilled
+	opaqueGC
+	193	182
+	195	180
+	3	197	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	175
+	166	176
+	3	164	174	psDrawFilled
+	opaqueGC
+	168	175
+	166	176
+	3	164	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	176
+	168	175
+	3	170	177	psDrawFilled
+	opaqueGC
+	166	176
+	168	175
+	3	170	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	142
+	158	140
+	3	160	147	psDrawFilled
+	opaqueGC
+	156	142
+	158	140
+	3	160	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	147
+	158	149
+	3	156	142	psDrawFilled
+	opaqueGC
+	160	147
+	158	149
+	3	156	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	180
+	189	181
+	3	187	180	psDrawFilled
+	opaqueGC
+	191	180
+	189	181
+	3	187	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	181
+	191	180
+	3	193	182	psDrawFilled
+	opaqueGC
+	189	181
+	191	180
+	3	193	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	155
+	121	156
+	3	119	155	psDrawFilled
+	opaqueGC
+	123	155
+	121	156
+	3	119	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	157
+	119	155
+	3	121	156	psDrawFilled
+	opaqueGC
+	117	157
+	119	155
+	3	121	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	177
+	171	179
+	3	170	177	psDrawFilled
+	opaqueGC
+	173	177
+	171	179
+	3	170	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	179
+	173	177
+	3	175	179	psDrawFilled
+	opaqueGC
+	171	179
+	173	177
+	3	175	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	158
+	100	159
+	3	98	158	psDrawFilled
+	opaqueGC
+	102	158
+	100	159
+	3	98	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	158
+	96	159
+	3	94	158	psDrawFilled
+	opaqueGC
+	98	158
+	96	159
+	3	94	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	159
+	98	158
+	3	100	159	psDrawFilled
+	opaqueGC
+	96	159
+	98	158
+	3	100	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	158
+	104	159
+	3	102	158	psDrawFilled
+	opaqueGC
+	106	158
+	104	159
+	3	102	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	159
+	102	158
+	3	104	159	psDrawFilled
+	opaqueGC
+	100	159
+	102	158
+	3	104	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	111
+	146	110
+	3	144	120	psDrawFilled
+	opaqueGC
+	148	111
+	146	110
+	3	144	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	120
+	144	120
+	3	146	110	psDrawFilled
+	opaqueGC
+	142	120
+	144	120
+	3	146	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	180
+	185	181
+	3	183	180	psDrawFilled
+	opaqueGC
+	187	180
+	185	181
+	3	183	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	181
+	187	180
+	3	189	181	psDrawFilled
+	opaqueGC
+	185	181
+	187	180
+	3	189	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	151
+	127	153
+	3	125	153	psDrawFilled
+	opaqueGC
+	129	151
+	127	153
+	3	125	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	155
+	125	153
+	3	127	153	psDrawFilled
+	opaqueGC
+	123	155
+	125	153
+	3	127	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	144
+	133	140
+	3	135	139	psDrawFilled
+	opaqueGC
+	131	144
+	133	140
+	3	135	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	139
+	133	144
+	3	131	144	psDrawFilled
+	opaqueGC
+	135	139
+	133	144
+	3	131	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	168
+	158	166
+	3	160	169	psDrawFilled
+	opaqueGC
+	156	168
+	158	166
+	3	160	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	169
+	158	170
+	3	156	168	psDrawFilled
+	opaqueGC
+	160	169
+	158	170
+	3	156	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	170
+	160	169
+	3	162	171	psDrawFilled
+	opaqueGC
+	158	170
+	160	169
+	3	162	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	158
+	92	158
+	3	90	158	psDrawFilled
+	opaqueGC
+	94	158
+	92	158
+	3	90	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	158
+	94	158
+	3	96	159	psDrawFilled
+	opaqueGC
+	92	158
+	94	158
+	3	96	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	158
+	108	159
+	3	106	158	psDrawFilled
+	opaqueGC
+	110	158
+	108	159
+	3	106	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	159
+	106	158
+	3	108	159	psDrawFilled
+	opaqueGC
+	104	159
+	106	158
+	3	108	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	133
+	137	129
+	3	139	120	psDrawFilled
+	opaqueGC
+	135	133
+	137	129
+	3	139	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	120
+	137	128
+	3	135	133	psDrawFilled
+	opaqueGC
+	139	120
+	137	128
+	3	135	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	164
+	156	163
+	3	158	166	psDrawFilled
+	opaqueGC
+	154	164
+	156	163
+	3	158	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	166
+	156	168
+	3	154	164	psDrawFilled
+	opaqueGC
+	158	166
+	156	168
+	3	154	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	180
+	181	181
+	3	179	179	psDrawFilled
+	opaqueGC
+	183	180
+	181	181
+	3	179	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	181
+	183	180
+	3	185	181	psDrawFilled
+	opaqueGC
+	181	181
+	183	180
+	3	185	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	171
+	160	173
+	3	158	170	psDrawFilled
+	opaqueGC
+	162	171
+	160	173
+	3	158	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	173
+	162	171
+	3	164	174	psDrawFilled
+	opaqueGC
+	160	173
+	162	171
+	3	164	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	158
+	88	158
+	3	86	158	psDrawFilled
+	opaqueGC
+	90	158
+	88	158
+	3	86	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	158
+	90	158
+	3	92	158	psDrawFilled
+	opaqueGC
+	88	158
+	90	158
+	3	92	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	155
+	67	155
+	3	65	154	psDrawFilled
+	opaqueGC
+	69	155
+	67	155
+	3	65	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	155
+	69	155
+	3	71	155	psDrawFilled
+	opaqueGC
+	67	155
+	69	155
+	3	71	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	157
+	112	159
+	3	110	158	psDrawFilled
+	opaqueGC
+	114	157
+	112	159
+	3	110	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	159
+	110	158
+	3	112	159	psDrawFilled
+	opaqueGC
+	108	159
+	110	158
+	3	112	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	179
+	177	181
+	3	175	179	psDrawFilled
+	opaqueGC
+	179	179
+	177	181
+	3	175	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	181
+	179	179
+	3	181	181	psDrawFilled
+	opaqueGC
+	177	181
+	179	179
+	3	181	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	177
+	168	178
+	3	166	176	psDrawFilled
+	opaqueGC
+	170	177
+	168	178
+	3	166	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	178
+	170	177
+	3	171	179	psDrawFilled
+	opaqueGC
+	168	178
+	170	177
+	3	171	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	158
+	84	158
+	3	83	157	psDrawFilled
+	opaqueGC
+	86	158
+	84	158
+	3	83	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	158
+	86	158
+	3	88	158	psDrawFilled
+	opaqueGC
+	84	158
+	86	158
+	3	88	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	161
+	154	159
+	3	156	163	psDrawFilled
+	opaqueGC
+	152	161
+	154	159
+	3	156	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	163
+	154	164
+	3	152	161	psDrawFilled
+	opaqueGC
+	156	163
+	154	164
+	3	152	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	157
+	115	158
+	3	114	157	psDrawFilled
+	opaqueGC
+	117	157
+	115	158
+	3	114	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	159
+	114	157
+	3	115	158	psDrawFilled
+	opaqueGC
+	112	159
+	114	157
+	3	115	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	174
+	162	175
+	3	160	173	psDrawFilled
+	opaqueGC
+	164	174
+	162	175
+	3	160	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	175
+	164	174
+	3	166	176	psDrawFilled
+	opaqueGC
+	162	175
+	164	174
+	3	166	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	155
+	154	153
+	3	156	157	psDrawFilled
+	opaqueGC
+	152	155
+	154	153
+	3	156	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	157
+	154	159
+	3	152	155	psDrawFilled
+	opaqueGC
+	156	157
+	154	159
+	3	152	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	153
+	125	156
+	3	123	155	psDrawFilled
+	opaqueGC
+	127	153
+	125	156
+	3	123	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	156
+	123	155
+	3	125	156	psDrawFilled
+	opaqueGC
+	121	156
+	123	155
+	3	125	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	212	182
+	210	183
+	3	208	182	psDrawFilled
+	opaqueGC
+	212	182
+	210	183
+	3	208	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	182
+	206	183
+	3	204	182	psDrawFilled
+	opaqueGC
+	208	182
+	206	183
+	3	204	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	183
+	208	182
+	3	210	183	psDrawFilled
+	opaqueGC
+	206	183
+	208	182
+	3	210	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	130
+	160	129
+	3	162	138	psDrawFilled
+	opaqueGC
+	158	130
+	160	129
+	3	162	138	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	138
+	160	139
+	3	158	130	psDrawFilled
+	opaqueGC
+	162	138
+	160	139
+	3	158	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	204	182
+	202	183
+	3	200	182	psDrawFilled
+	opaqueGC
+	204	182
+	202	183
+	3	200	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	183
+	204	182
+	3	206	183	psDrawFilled
+	opaqueGC
+	202	183
+	204	182
+	3	206	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	179
+	173	180
+	3	171	179	psDrawFilled
+	opaqueGC
+	175	179
+	173	180
+	3	171	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	180
+	175	179
+	3	177	181	psDrawFilled
+	opaqueGC
+	173	180
+	175	179
+	3	177	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	200	182
+	199	183
+	3	197	182	psDrawFilled
+	opaqueGC
+	200	182
+	199	183
+	3	197	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	183
+	200	182
+	3	202	183	psDrawFilled
+	opaqueGC
+	199	183
+	200	182
+	3	202	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	157
+	80	157
+	3	79	157	psDrawFilled
+	opaqueGC
+	83	157
+	80	157
+	3	79	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	157
+	83	157
+	3	84	158	psDrawFilled
+	opaqueGC
+	80	157
+	83	157
+	3	84	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	182
+	195	183
+	3	193	182	psDrawFilled
+	opaqueGC
+	197	182
+	195	183
+	3	193	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	183
+	197	182
+	3	199	183	psDrawFilled
+	opaqueGC
+	195	183
+	197	182
+	3	199	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	102
+	166	92
+	3	164	100	psDrawFilled
+	opaqueGC
+	168	102
+	166	92
+	3	164	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	92
+	168	102
+	3	170	104	psDrawFilled
+	opaqueGC
+	166	92
+	168	102
+	3	170	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	154
+	63	154
+	3	61	153	psDrawFilled
+	opaqueGC
+	65	154
+	63	154
+	3	61	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	63	154
+	65	154
+	3	67	155	psDrawFilled
+	opaqueGC
+	63	154
+	65	154
+	3	67	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	182
+	191	183
+	3	189	181	psDrawFilled
+	opaqueGC
+	193	182
+	191	183
+	3	189	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	183
+	193	182
+	3	195	183	psDrawFilled
+	opaqueGC
+	191	183
+	193	182
+	3	195	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	144
+	156	142
+	3	158	149	psDrawFilled
+	opaqueGC
+	154	144
+	156	142
+	3	158	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	149
+	156	151
+	3	154	144	psDrawFilled
+	opaqueGC
+	158	149
+	156	151
+	3	154	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	156
+	119	158
+	3	117	157	psDrawFilled
+	opaqueGC
+	121	156
+	119	158
+	3	117	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	158
+	117	157
+	3	119	158	psDrawFilled
+	opaqueGC
+	115	158
+	117	157
+	3	119	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	181
+	187	183
+	3	185	181	psDrawFilled
+	opaqueGC
+	189	181
+	187	183
+	3	185	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	183
+	189	181
+	3	191	183	psDrawFilled
+	opaqueGC
+	187	183
+	189	181
+	3	191	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	176
+	164	177
+	3	162	175	psDrawFilled
+	opaqueGC
+	166	176
+	164	177
+	3	162	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	177
+	166	176
+	3	168	178	psDrawFilled
+	opaqueGC
+	164	177
+	166	176
+	3	168	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	140
+	135	135
+	3	137	133	psDrawFilled
+	opaqueGC
+	133	140
+	135	135
+	3	137	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	133
+	135	139
+	3	133	140	psDrawFilled
+	opaqueGC
+	137	133
+	135	139
+	3	133	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	171	179
+	170	180
+	3	168	178	psDrawFilled
+	opaqueGC
+	171	179
+	170	180
+	3	168	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	180
+	171	179
+	3	173	180	psDrawFilled
+	opaqueGC
+	170	180
+	171	179
+	3	173	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	181
+	183	183
+	3	181	181	psDrawFilled
+	opaqueGC
+	185	181
+	183	183
+	3	181	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	183
+	185	181
+	3	187	183	psDrawFilled
+	opaqueGC
+	183	183
+	185	181
+	3	187	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	157
+	76	156
+	3	75	156	psDrawFilled
+	opaqueGC
+	79	157
+	76	156
+	3	75	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	156
+	79	157
+	3	80	157	psDrawFilled
+	opaqueGC
+	76	156
+	79	157
+	3	80	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	169
+	156	168
+	3	158	170	psDrawFilled
+	opaqueGC
+	154	169
+	156	168
+	3	158	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	170
+	156	172
+	3	154	169	psDrawFilled
+	opaqueGC
+	158	170
+	156	172
+	3	154	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	172
+	158	170
+	3	160	173	psDrawFilled
+	opaqueGC
+	156	172
+	158	170
+	3	160	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	166
+	154	164
+	3	156	168	psDrawFilled
+	opaqueGC
+	152	166
+	154	164
+	3	156	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	168
+	154	169
+	3	152	166	psDrawFilled
+	opaqueGC
+	156	168
+	154	169
+	3	152	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	181
+	179	183
+	3	177	181	psDrawFilled
+	opaqueGC
+	181	181
+	179	183
+	3	177	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	183
+	181	181
+	3	183	183	psDrawFilled
+	opaqueGC
+	179	183
+	181	181
+	3	183	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	157
+	152	155
+	3	154	159	psDrawFilled
+	opaqueGC
+	150	157
+	152	155
+	3	154	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	159
+	152	161
+	3	150	157	psDrawFilled
+	opaqueGC
+	154	159
+	152	161
+	3	150	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	151
+	131	148
+	3	133	149	psDrawFilled
+	opaqueGC
+	129	151
+	131	148
+	3	133	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	149
+	131	152
+	3	129	151	psDrawFilled
+	opaqueGC
+	133	149
+	131	152
+	3	129	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	153
+	129	151
+	3	131	152	psDrawFilled
+	opaqueGC
+	127	153
+	129	151
+	3	131	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	110
+	166	106
+	3	168	124	psDrawFilled
+	opaqueGC
+	164	110
+	166	106
+	3	168	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	124
+	166	125
+	3	164	110	psDrawFilled
+	opaqueGC
+	168	124
+	166	125
+	3	164	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	173
+	158	174
+	3	156	172	psDrawFilled
+	opaqueGC
+	160	173
+	158	174
+	3	156	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	174
+	160	173
+	3	162	175	psDrawFilled
+	opaqueGC
+	158	174
+	160	173
+	3	162	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	156
+	123	157
+	3	121	156	psDrawFilled
+	opaqueGC
+	125	156
+	123	157
+	3	121	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	158
+	121	156
+	3	123	157	psDrawFilled
+	opaqueGC
+	119	158
+	121	156
+	3	123	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	163
+	152	161
+	3	154	164	psDrawFilled
+	opaqueGC
+	150	163
+	152	161
+	3	154	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	164
+	152	166
+	3	150	163	psDrawFilled
+	opaqueGC
+	154	164
+	152	166
+	3	150	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	148
+	133	144
+	3	135	145	psDrawFilled
+	opaqueGC
+	131	148
+	133	144
+	3	135	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	145
+	133	149
+	3	131	148	psDrawFilled
+	opaqueGC
+	135	145
+	133	149
+	3	131	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	181
+	175	182
+	3	173	180	psDrawFilled
+	opaqueGC
+	177	181
+	175	182
+	3	173	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	182
+	177	181
+	3	179	183	psDrawFilled
+	opaqueGC
+	175	182
+	177	181
+	3	179	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	152
+	129	155
+	3	127	153	psDrawFilled
+	opaqueGC
+	131	152
+	129	155
+	3	127	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	156
+	127	153
+	3	129	155	psDrawFilled
+	opaqueGC
+	125	156
+	127	153
+	3	129	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	178
+	166	179
+	3	164	177	psDrawFilled
+	opaqueGC
+	168	178
+	166	179
+	3	164	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	179
+	168	178
+	3	170	180	psDrawFilled
+	opaqueGC
+	166	179
+	168	178
+	3	170	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	156
+	73	156
+	3	71	155	psDrawFilled
+	opaqueGC
+	75	156
+	73	156
+	3	71	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	156
+	75	156
+	3	76	156	psDrawFilled
+	opaqueGC
+	73	156
+	75	156
+	3	76	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	159
+	106	160
+	3	104	159	psDrawFilled
+	opaqueGC
+	108	159
+	106	160
+	3	104	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	159
+	102	159
+	3	100	159	psDrawFilled
+	opaqueGC
+	104	159
+	102	159
+	3	100	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	159
+	104	159
+	3	106	160	psDrawFilled
+	opaqueGC
+	102	159
+	104	159
+	3	106	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	147
+	154	144
+	3	156	151	psDrawFilled
+	opaqueGC
+	152	147
+	154	144
+	3	156	151	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	151
+	154	153
+	3	152	147	psDrawFilled
+	opaqueGC
+	156	151
+	154	153
+	3	152	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	159
+	98	159
+	3	96	159	psDrawFilled
+	opaqueGC
+	100	159
+	98	159
+	3	96	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	159
+	100	159
+	3	102	159	psDrawFilled
+	opaqueGC
+	98	159
+	100	159
+	3	102	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	159
+	110	160
+	3	108	159	psDrawFilled
+	opaqueGC
+	112	159
+	110	160
+	3	108	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	160
+	108	159
+	3	110	160	psDrawFilled
+	opaqueGC
+	106	160
+	108	159
+	3	110	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	210	183
+	208	185
+	3	206	183	psDrawFilled
+	opaqueGC
+	210	183
+	208	185
+	3	206	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	175
+	160	176
+	3	158	174	psDrawFilled
+	opaqueGC
+	162	175
+	160	176
+	3	158	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	176
+	162	175
+	3	164	177	psDrawFilled
+	opaqueGC
+	160	176
+	162	175
+	3	164	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	206	183
+	205	185
+	3	202	183	psDrawFilled
+	opaqueGC
+	206	183
+	205	185
+	3	202	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	185
+	206	183
+	3	208	185	psDrawFilled
+	opaqueGC
+	205	185
+	206	183
+	3	208	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	202	183
+	201	185
+	3	199	183	psDrawFilled
+	opaqueGC
+	202	183
+	201	185
+	3	199	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	185
+	202	183
+	3	205	185	psDrawFilled
+	opaqueGC
+	201	185
+	202	183
+	3	205	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	159
+	94	159
+	3	92	158	psDrawFilled
+	opaqueGC
+	96	159
+	94	159
+	3	92	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	159
+	96	159
+	3	98	159	psDrawFilled
+	opaqueGC
+	94	159
+	96	159
+	3	98	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	129
+	139	124
+	3	140	111	psDrawFilled
+	opaqueGC
+	137	129
+	139	124
+	3	140	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	111
+	139	120
+	3	137	129	psDrawFilled
+	opaqueGC
+	140	111
+	139	120
+	3	137	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	183
+	197	185
+	3	195	183	psDrawFilled
+	opaqueGC
+	199	183
+	197	185
+	3	195	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	185
+	199	183
+	3	201	185	psDrawFilled
+	opaqueGC
+	197	185
+	199	183
+	3	201	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	104
+	168	93
+	3	166	92	psDrawFilled
+	opaqueGC
+	170	104
+	168	93
+	3	166	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	158
+	113	159
+	3	112	159	psDrawFilled
+	opaqueGC
+	115	158
+	113	159
+	3	112	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	160
+	112	159
+	3	113	159	psDrawFilled
+	opaqueGC
+	110	160
+	112	159
+	3	113	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	180
+	172	182
+	3	170	180	psDrawFilled
+	opaqueGC
+	173	180
+	172	182
+	3	170	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	182
+	173	180
+	3	175	182	psDrawFilled
+	opaqueGC
+	172	182
+	173	180
+	3	175	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	183
+	193	185
+	3	191	183	psDrawFilled
+	opaqueGC
+	195	183
+	193	185
+	3	191	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	185
+	195	183
+	3	197	185	psDrawFilled
+	opaqueGC
+	193	185
+	195	183
+	3	197	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	110
+	144	108
+	3	142	120	psDrawFilled
+	opaqueGC
+	146	110
+	144	108
+	3	142	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	121
+	142	120
+	3	144	108	psDrawFilled
+	opaqueGC
+	141	121
+	142	120
+	3	144	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	183
+	189	185
+	3	187	183	psDrawFilled
+	opaqueGC
+	191	183
+	189	185
+	3	187	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	185
+	191	183
+	3	193	185	psDrawFilled
+	opaqueGC
+	189	185
+	191	183
+	3	193	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	158
+	90	159
+	3	88	158	psDrawFilled
+	opaqueGC
+	92	158
+	90	159
+	3	88	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	159
+	92	158
+	3	94	159	psDrawFilled
+	opaqueGC
+	90	159
+	92	158
+	3	94	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	159
+	150	157
+	3	152	161	psDrawFilled
+	opaqueGC
+	148	159
+	150	157
+	3	152	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	161
+	150	163
+	3	148	159	psDrawFilled
+	opaqueGC
+	152	161
+	150	163
+	3	148	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	183
+	185	184
+	3	183	183	psDrawFilled
+	opaqueGC
+	187	183
+	185	184
+	3	183	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	184
+	187	183
+	3	189	185	psDrawFilled
+	opaqueGC
+	185	184
+	187	183
+	3	189	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	158
+	117	159
+	3	115	158	psDrawFilled
+	opaqueGC
+	119	158
+	117	159
+	3	115	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	159
+	115	158
+	3	117	159	psDrawFilled
+	opaqueGC
+	113	159
+	115	158
+	3	117	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	155
+	127	157
+	3	125	156	psDrawFilled
+	opaqueGC
+	129	155
+	127	157
+	3	125	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	157
+	125	156
+	3	127	157	psDrawFilled
+	opaqueGC
+	123	157
+	125	156
+	3	127	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	173	93
+	177	56
+	3	179	58	psDrawFilled
+	opaqueGC
+	173	93
+	177	56
+	3	179	58	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	58
+	175	94
+	3	173	93	psDrawFilled
+	opaqueGC
+	179	58
+	175	94
+	3	173	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	130
+	158	130
+	3	160	139	psDrawFilled
+	opaqueGC
+	156	130
+	158	130
+	3	160	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	139
+	158	140
+	3	156	130	psDrawFilled
+	opaqueGC
+	160	139
+	158	140
+	3	156	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	155
+	69	155
+	3	67	155	psDrawFilled
+	opaqueGC
+	71	155
+	69	155
+	3	67	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	155
+	71	155
+	3	73	156	psDrawFilled
+	opaqueGC
+	69	155
+	71	155
+	3	73	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	177
+	162	179
+	3	160	176	psDrawFilled
+	opaqueGC
+	164	177
+	162	179
+	3	160	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	179
+	164	177
+	3	166	179	psDrawFilled
+	opaqueGC
+	162	179
+	164	177
+	3	166	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	150
+	152	147
+	3	154	153	psDrawFilled
+	opaqueGC
+	150	150
+	152	147
+	3	154	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	153
+	152	155
+	3	150	150	psDrawFilled
+	opaqueGC
+	154	153
+	152	155
+	3	150	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	183
+	181	184
+	3	179	183	psDrawFilled
+	opaqueGC
+	183	183
+	181	184
+	3	179	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	184
+	183	183
+	3	185	184	psDrawFilled
+	opaqueGC
+	181	184
+	183	183
+	3	185	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	158
+	86	158
+	3	84	158	psDrawFilled
+	opaqueGC
+	88	158
+	86	158
+	3	84	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	158
+	88	158
+	3	90	159	psDrawFilled
+	opaqueGC
+	86	158
+	88	158
+	3	90	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	168
+	152	166
+	3	154	169	psDrawFilled
+	opaqueGC
+	150	168
+	152	166
+	3	154	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	169
+	152	170
+	3	150	168	psDrawFilled
+	opaqueGC
+	154	169
+	152	170
+	3	150	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	170
+	154	169
+	3	156	172	psDrawFilled
+	opaqueGC
+	152	170
+	154	169
+	3	156	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	180
+	168	181
+	3	166	179	psDrawFilled
+	opaqueGC
+	170	180
+	168	181
+	3	166	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	181
+	170	180
+	3	172	182	psDrawFilled
+	opaqueGC
+	168	181
+	170	180
+	3	172	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	144
+	135	139
+	3	137	139	psDrawFilled
+	opaqueGC
+	133	144
+	135	139
+	3	137	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	139
+	135	145
+	3	133	144	psDrawFilled
+	opaqueGC
+	137	139
+	135	145
+	3	133	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	172
+	154	173
+	3	152	170	psDrawFilled
+	opaqueGC
+	156	172
+	154	173
+	3	152	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	173
+	156	172
+	3	158	174	psDrawFilled
+	opaqueGC
+	154	173
+	156	172
+	3	158	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	165
+	150	163
+	3	152	166	psDrawFilled
+	opaqueGC
+	148	165
+	150	163
+	3	152	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	166
+	150	168
+	3	148	165	psDrawFilled
+	opaqueGC
+	152	166
+	150	168
+	3	148	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	183
+	177	184
+	3	175	182	psDrawFilled
+	opaqueGC
+	179	183
+	177	184
+	3	175	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	184
+	179	183
+	3	181	184	psDrawFilled
+	opaqueGC
+	177	184
+	179	183
+	3	181	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	157
+	121	159
+	3	119	158	psDrawFilled
+	opaqueGC
+	123	157
+	121	159
+	3	119	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	159
+	119	158
+	3	121	159	psDrawFilled
+	opaqueGC
+	117	159
+	119	158
+	3	121	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	115
+	164	110
+	3	166	125	psDrawFilled
+	opaqueGC
+	162	115
+	164	110
+	3	166	125	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	125
+	164	127
+	3	162	115	psDrawFilled
+	opaqueGC
+	166	125
+	164	127
+	3	162	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	174
+	156	176
+	3	154	173	psDrawFilled
+	opaqueGC
+	158	174
+	156	176
+	3	154	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	176
+	158	174
+	3	160	176	psDrawFilled
+	opaqueGC
+	156	176
+	158	174
+	3	160	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	158
+	82	158
+	3	80	157	psDrawFilled
+	opaqueGC
+	84	158
+	82	158
+	3	80	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	158
+	84	158
+	3	86	158	psDrawFilled
+	opaqueGC
+	82	158
+	84	158
+	3	86	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	153
+	150	150
+	3	152	155	psDrawFilled
+	opaqueGC
+	148	153
+	150	150
+	3	152	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	155
+	150	157
+	3	148	153	psDrawFilled
+	opaqueGC
+	152	155
+	150	157
+	3	148	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	175	182
+	174	184
+	3	172	182	psDrawFilled
+	opaqueGC
+	175	182
+	174	184
+	3	172	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	184
+	175	182
+	3	177	184	psDrawFilled
+	opaqueGC
+	174	184
+	175	182
+	3	177	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	152
+	133	149
+	3	135	150	psDrawFilled
+	opaqueGC
+	131	152
+	133	149
+	3	135	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	150
+	133	153
+	3	131	152	psDrawFilled
+	opaqueGC
+	135	150
+	133	153
+	3	131	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	155
+	131	152
+	3	133	153	psDrawFilled
+	opaqueGC
+	129	155
+	131	152
+	3	133	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	162
+	148	159
+	3	150	163	psDrawFilled
+	opaqueGC
+	146	162
+	148	159
+	3	150	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	163
+	148	165
+	3	146	162	psDrawFilled
+	opaqueGC
+	150	163
+	148	165
+	3	146	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	179
+	164	181
+	3	162	179	psDrawFilled
+	opaqueGC
+	166	179
+	164	181
+	3	162	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	181
+	166	179
+	3	168	181	psDrawFilled
+	opaqueGC
+	164	181
+	166	179
+	3	168	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	208	185
+	207	186
+	3	205	185	psDrawFilled
+	opaqueGC
+	208	185
+	207	186
+	3	205	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	185
+	203	186
+	3	201	185	psDrawFilled
+	opaqueGC
+	205	185
+	203	186
+	3	201	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	186
+	205	185
+	3	207	186	psDrawFilled
+	opaqueGC
+	203	186
+	205	185
+	3	207	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	185
+	199	186
+	3	197	185	psDrawFilled
+	opaqueGC
+	201	185
+	199	186
+	3	197	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	186
+	201	185
+	3	203	186	psDrawFilled
+	opaqueGC
+	199	186
+	201	185
+	3	203	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	67	155
+	65	154
+	3	63	154	psDrawFilled
+	opaqueGC
+	67	155
+	65	154
+	3	63	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	65	154
+	67	155
+	3	69	155	psDrawFilled
+	opaqueGC
+	65	154
+	67	155
+	3	69	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	157
+	125	159
+	3	123	157	psDrawFilled
+	opaqueGC
+	127	157
+	125	159
+	3	123	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	159
+	123	157
+	3	125	159	psDrawFilled
+	opaqueGC
+	121	159
+	123	157
+	3	125	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	86
+	164	100
+	3	166	92	psDrawFilled
+	opaqueGC
+	162	86
+	164	100
+	3	166	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	185
+	195	186
+	3	193	185	psDrawFilled
+	opaqueGC
+	197	185
+	195	186
+	3	193	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	186
+	197	185
+	3	199	186	psDrawFilled
+	opaqueGC
+	195	186
+	197	185
+	3	199	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	153
+	131	156
+	3	129	155	psDrawFilled
+	opaqueGC
+	133	153
+	131	156
+	3	129	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	157
+	129	155
+	3	131	156	psDrawFilled
+	opaqueGC
+	127	157
+	129	155
+	3	131	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	176
+	158	178
+	3	156	176	psDrawFilled
+	opaqueGC
+	160	176
+	158	178
+	3	156	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	178
+	160	176
+	3	162	179	psDrawFilled
+	opaqueGC
+	158	178
+	160	176
+	3	162	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	185
+	191	186
+	3	189	185	psDrawFilled
+	opaqueGC
+	193	185
+	191	186
+	3	189	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	186
+	193	185
+	3	195	186	psDrawFilled
+	opaqueGC
+	191	186
+	193	185
+	3	195	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	156
+	148	153
+	3	150	157	psDrawFilled
+	opaqueGC
+	146	156
+	148	153
+	3	150	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	157
+	148	159
+	3	146	156	psDrawFilled
+	opaqueGC
+	150	157
+	148	159
+	3	146	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	182
+	170	183
+	3	168	181	psDrawFilled
+	opaqueGC
+	172	182
+	170	183
+	3	168	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	183
+	172	182
+	3	174	184	psDrawFilled
+	opaqueGC
+	170	183
+	172	182
+	3	174	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	157
+	78	157
+	3	76	156	psDrawFilled
+	opaqueGC
+	80	157
+	78	157
+	3	76	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	157
+	80	157
+	3	82	158	psDrawFilled
+	opaqueGC
+	78	157
+	80	157
+	3	82	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	185
+	187	186
+	3	185	184	psDrawFilled
+	opaqueGC
+	189	185
+	187	186
+	3	185	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	186
+	189	185
+	3	191	186	psDrawFilled
+	opaqueGC
+	187	186
+	189	185
+	3	191	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	149
+	135	145
+	3	137	146	psDrawFilled
+	opaqueGC
+	133	149
+	135	145
+	3	137	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	146
+	135	150
+	3	133	149	psDrawFilled
+	opaqueGC
+	137	146
+	135	150
+	3	133	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	135
+	137	128
+	3	138	122	psDrawFilled
+	opaqueGC
+	135	135
+	137	128
+	3	138	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	122
+	137	133
+	3	135	135	psDrawFilled
+	opaqueGC
+	138	122
+	137	133
+	3	135	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	124
+	141	121
+	3	142	107	psDrawFilled
+	opaqueGC
+	139	124
+	141	121
+	3	142	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	107
+	140	111
+	3	139	124	psDrawFilled
+	opaqueGC
+	142	107
+	140	111
+	3	139	124	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	184
+	183	186
+	3	181	184	psDrawFilled
+	opaqueGC
+	185	184
+	183	186
+	3	181	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	186
+	185	184
+	3	187	186	psDrawFilled
+	opaqueGC
+	183	186
+	185	184
+	3	187	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	108
+	142	107
+	3	141	121	psDrawFilled
+	opaqueGC
+	144	108
+	142	107
+	3	141	121	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	118
+	162	115
+	3	164	127	psDrawFilled
+	opaqueGC
+	160	118
+	162	115
+	3	164	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	127
+	162	128
+	3	160	118	psDrawFilled
+	opaqueGC
+	164	127
+	162	128
+	3	160	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	160
+	107	160
+	3	106	160	psDrawFilled
+	opaqueGC
+	110	160
+	107	160
+	3	106	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	160
+	104	160
+	3	102	159	psDrawFilled
+	opaqueGC
+	106	160
+	104	160
+	3	102	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	160
+	106	160
+	3	107	160	psDrawFilled
+	opaqueGC
+	104	160
+	106	160
+	3	107	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	159
+	111	160
+	3	110	160	psDrawFilled
+	opaqueGC
+	113	159
+	111	160
+	3	110	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	160
+	110	160
+	3	111	160	psDrawFilled
+	opaqueGC
+	107	160
+	110	160
+	3	111	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	169
+	150	168
+	3	152	170	psDrawFilled
+	opaqueGC
+	148	169
+	150	168
+	3	152	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	170
+	150	172
+	3	148	169	psDrawFilled
+	opaqueGC
+	152	170
+	150	172
+	3	148	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	172
+	152	170
+	3	154	173	psDrawFilled
+	opaqueGC
+	150	172
+	152	170
+	3	154	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	184
+	179	186
+	3	177	184	psDrawFilled
+	opaqueGC
+	181	184
+	179	186
+	3	177	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	186
+	181	184
+	3	183	186	psDrawFilled
+	opaqueGC
+	179	186
+	181	184
+	3	183	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	159
+	100	160
+	3	98	159	psDrawFilled
+	opaqueGC
+	102	159
+	100	160
+	3	98	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	160
+	102	159
+	3	104	160	psDrawFilled
+	opaqueGC
+	100	160
+	102	159
+	3	104	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	166
+	148	165
+	3	150	168	psDrawFilled
+	opaqueGC
+	146	166
+	148	165
+	3	150	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	168
+	148	169
+	3	146	166	psDrawFilled
+	opaqueGC
+	150	168
+	148	169
+	3	146	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	158
+	146	156
+	3	148	159	psDrawFilled
+	opaqueGC
+	144	158
+	146	156
+	3	148	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	159
+	146	162
+	3	144	158	psDrawFilled
+	opaqueGC
+	148	159
+	146	162
+	3	144	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	156
+	129	158
+	3	127	157	psDrawFilled
+	opaqueGC
+	131	156
+	129	158
+	3	127	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	159
+	127	157
+	3	129	158	psDrawFilled
+	opaqueGC
+	125	159
+	127	157
+	3	129	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	159
+	115	160
+	3	113	159	psDrawFilled
+	opaqueGC
+	117	159
+	115	160
+	3	113	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	160
+	113	159
+	3	115	160	psDrawFilled
+	opaqueGC
+	111	160
+	113	159
+	3	115	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	179
+	160	180
+	3	158	178	psDrawFilled
+	opaqueGC
+	162	179
+	160	180
+	3	158	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	180
+	162	179
+	3	164	181	psDrawFilled
+	opaqueGC
+	160	180
+	162	179
+	3	164	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	181
+	166	183
+	3	164	181	psDrawFilled
+	opaqueGC
+	168	181
+	166	183
+	3	164	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	183
+	168	181
+	3	170	183	psDrawFilled
+	opaqueGC
+	166	183
+	168	181
+	3	170	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	173
+	152	174
+	3	150	172	psDrawFilled
+	opaqueGC
+	154	173
+	152	174
+	3	150	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	174
+	154	173
+	3	156	176	psDrawFilled
+	opaqueGC
+	152	174
+	154	173
+	3	156	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	131
+	156	130
+	3	158	140	psDrawFilled
+	opaqueGC
+	154	131
+	156	130
+	3	158	140	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	140
+	156	142
+	3	154	131	psDrawFilled
+	opaqueGC
+	158	140
+	156	142
+	3	154	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	159
+	96	160
+	3	94	159	psDrawFilled
+	opaqueGC
+	98	159
+	96	160
+	3	94	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	160
+	98	159
+	3	100	160	psDrawFilled
+	opaqueGC
+	96	160
+	98	159
+	3	100	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	164
+	146	162
+	3	148	165	psDrawFilled
+	opaqueGC
+	144	164
+	146	162
+	3	148	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	165
+	146	166
+	3	144	164	psDrawFilled
+	opaqueGC
+	148	165
+	146	166
+	3	144	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	184
+	176	185
+	3	174	184	psDrawFilled
+	opaqueGC
+	177	184
+	176	185
+	3	174	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	185
+	177	184
+	3	179	186	psDrawFilled
+	opaqueGC
+	176	185
+	177	184
+	3	179	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	156
+	74	156
+	3	73	156	psDrawFilled
+	opaqueGC
+	76	156
+	74	156
+	3	73	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	156
+	76	156
+	3	78	157	psDrawFilled
+	opaqueGC
+	74	156
+	76	156
+	3	78	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	159
+	119	160
+	3	117	159	psDrawFilled
+	opaqueGC
+	121	159
+	119	160
+	3	117	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	160
+	117	159
+	3	119	160	psDrawFilled
+	opaqueGC
+	115	160
+	117	159
+	3	119	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	159
+	92	159
+	3	90	159	psDrawFilled
+	opaqueGC
+	94	159
+	92	159
+	3	90	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	159
+	94	159
+	3	96	160	psDrawFilled
+	opaqueGC
+	92	159
+	94	159
+	3	96	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	176
+	154	177
+	3	152	174	psDrawFilled
+	opaqueGC
+	156	176
+	154	177
+	3	152	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	177
+	156	176
+	3	158	178	psDrawFilled
+	opaqueGC
+	154	177
+	156	176
+	3	158	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	159
+	123	160
+	3	121	159	psDrawFilled
+	opaqueGC
+	125	159
+	123	160
+	3	121	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	160
+	121	159
+	3	123	160	psDrawFilled
+	opaqueGC
+	119	160
+	121	159
+	3	123	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	153
+	135	150
+	3	137	152	psDrawFilled
+	opaqueGC
+	133	153
+	135	150
+	3	137	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	152
+	135	155
+	3	133	153	psDrawFilled
+	opaqueGC
+	137	152
+	135	155
+	3	133	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	156
+	133	153
+	3	135	155	psDrawFilled
+	opaqueGC
+	131	156
+	133	153
+	3	135	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	184
+	172	185
+	3	170	183	psDrawFilled
+	opaqueGC
+	174	184
+	172	185
+	3	170	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	185
+	174	184
+	3	176	185	psDrawFilled
+	opaqueGC
+	172	185
+	174	184
+	3	176	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	207	186
+	205	188
+	3	203	186	psDrawFilled
+	opaqueGC
+	207	186
+	205	188
+	3	203	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	161
+	144	158
+	3	146	162	psDrawFilled
+	opaqueGC
+	142	161
+	144	158
+	3	146	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	162
+	144	164
+	3	142	161	psDrawFilled
+	opaqueGC
+	146	162
+	144	164
+	3	142	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	186
+	201	188
+	3	199	186	psDrawFilled
+	opaqueGC
+	203	186
+	201	188
+	3	199	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	188
+	203	186
+	3	205	188	psDrawFilled
+	opaqueGC
+	201	188
+	203	186
+	3	205	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	186
+	197	188
+	3	195	186	psDrawFilled
+	opaqueGC
+	199	186
+	197	188
+	3	195	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	188
+	199	186
+	3	201	188	psDrawFilled
+	opaqueGC
+	197	188
+	199	186
+	3	201	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	155
+	133	158
+	3	131	156	psDrawFilled
+	opaqueGC
+	135	155
+	133	158
+	3	131	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	158
+	131	156
+	3	133	158	psDrawFilled
+	opaqueGC
+	129	158
+	131	156
+	3	133	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	186
+	193	188
+	3	191	186	psDrawFilled
+	opaqueGC
+	195	186
+	193	188
+	3	191	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	188
+	195	186
+	3	197	188	psDrawFilled
+	opaqueGC
+	193	188
+	195	186
+	3	197	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	181
+	162	182
+	3	160	180	psDrawFilled
+	opaqueGC
+	164	181
+	162	182
+	3	160	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	182
+	164	181
+	3	166	183	psDrawFilled
+	opaqueGC
+	162	182
+	164	181
+	3	166	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	139
+	137	133
+	3	139	131	psDrawFilled
+	opaqueGC
+	135	139
+	137	133
+	3	139	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	131
+	137	139
+	3	135	139	psDrawFilled
+	opaqueGC
+	139	131
+	137	139
+	3	135	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	159
+	88	159
+	3	86	158	psDrawFilled
+	opaqueGC
+	90	159
+	88	159
+	3	86	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	159
+	90	159
+	3	92	159	psDrawFilled
+	opaqueGC
+	88	159
+	90	159
+	3	92	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	186
+	189	188
+	3	187	186	psDrawFilled
+	opaqueGC
+	191	186
+	189	188
+	3	187	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	188
+	191	186
+	3	193	188	psDrawFilled
+	opaqueGC
+	189	188
+	191	186
+	3	193	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	145
+	137	139
+	3	139	141	psDrawFilled
+	opaqueGC
+	135	145
+	137	139
+	3	139	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	141
+	137	146
+	3	135	145	psDrawFilled
+	opaqueGC
+	139	141
+	137	146
+	3	135	145	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	158
+	127	160
+	3	125	159	psDrawFilled
+	opaqueGC
+	129	158
+	127	160
+	3	125	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	160
+	125	159
+	3	127	160	psDrawFilled
+	opaqueGC
+	123	160
+	125	159
+	3	127	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	178
+	156	179
+	3	154	177	psDrawFilled
+	opaqueGC
+	158	178
+	156	179
+	3	154	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	179
+	158	178
+	3	160	180	psDrawFilled
+	opaqueGC
+	156	179
+	158	178
+	3	160	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	150
+	137	146
+	3	139	149	psDrawFilled
+	opaqueGC
+	135	150
+	137	146
+	3	139	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	149
+	137	152
+	3	135	150	psDrawFilled
+	opaqueGC
+	139	149
+	137	152
+	3	135	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	186
+	185	187
+	3	183	186	psDrawFilled
+	opaqueGC
+	187	186
+	185	187
+	3	183	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	187
+	187	186
+	3	189	188	psDrawFilled
+	opaqueGC
+	185	187
+	187	186
+	3	189	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	118
+	160	118
+	3	162	128	psDrawFilled
+	opaqueGC
+	158	118
+	160	118
+	3	162	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	128
+	160	129
+	3	158	118	psDrawFilled
+	opaqueGC
+	162	128
+	160	129
+	3	158	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	156
+	70	155
+	3	69	155	psDrawFilled
+	opaqueGC
+	73	156
+	70	155
+	3	69	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	155
+	73	156
+	3	74	156	psDrawFilled
+	opaqueGC
+	70	155
+	73	156
+	3	74	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	183
+	168	185
+	3	166	183	psDrawFilled
+	opaqueGC
+	170	183
+	168	185
+	3	166	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	185
+	170	183
+	3	172	185	psDrawFilled
+	opaqueGC
+	168	185
+	170	183
+	3	172	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	153
+	146	156
+	3	144	152	psDrawFilled
+	opaqueGC
+	148	153
+	146	156
+	3	144	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	155
+	144	152
+	3	146	156	psDrawFilled
+	opaqueGC
+	142	155
+	144	152
+	3	146	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	156
+	144	158
+	3	142	155	psDrawFilled
+	opaqueGC
+	146	156
+	144	158
+	3	142	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	186
+	181	187
+	3	179	186	psDrawFilled
+	opaqueGC
+	183	186
+	181	187
+	3	179	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	187
+	183	186
+	3	185	187	psDrawFilled
+	opaqueGC
+	181	187
+	183	186
+	3	185	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	150
+	148	153
+	3	146	148	psDrawFilled
+	opaqueGC
+	150	150
+	148	153
+	3	146	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	152
+	146	148
+	3	148	153	psDrawFilled
+	opaqueGC
+	144	152
+	146	148
+	3	148	153	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	168
+	146	166
+	3	148	169	psDrawFilled
+	opaqueGC
+	144	168
+	146	166
+	3	148	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	169
+	146	171
+	3	144	168	psDrawFilled
+	opaqueGC
+	148	169
+	146	171
+	3	144	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	171
+	148	169
+	3	150	172	psDrawFilled
+	opaqueGC
+	146	171
+	148	169
+	3	150	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	158
+	142	155
+	3	144	158	psDrawFilled
+	opaqueGC
+	141	158
+	142	155
+	3	144	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	158
+	142	161
+	3	141	158	psDrawFilled
+	opaqueGC
+	144	158
+	142	161
+	3	141	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	165
+	144	164
+	3	146	166	psDrawFilled
+	opaqueGC
+	142	165
+	144	164
+	3	146	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	166
+	144	168
+	3	142	165	psDrawFilled
+	opaqueGC
+	146	166
+	144	168
+	3	142	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	172
+	148	173
+	3	146	171	psDrawFilled
+	opaqueGC
+	150	172
+	148	173
+	3	146	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	173
+	150	172
+	3	152	174	psDrawFilled
+	opaqueGC
+	148	173
+	150	172
+	3	152	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	158
+	84	158
+	3	82	158	psDrawFilled
+	opaqueGC
+	86	158
+	84	158
+	3	82	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	158
+	86	158
+	3	88	159	psDrawFilled
+	opaqueGC
+	84	158
+	86	158
+	3	88	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	158
+	131	160
+	3	129	158	psDrawFilled
+	opaqueGC
+	133	158
+	131	160
+	3	129	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	160
+	129	158
+	3	131	160	psDrawFilled
+	opaqueGC
+	127	160
+	129	158
+	3	131	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	179	186
+	178	187
+	3	176	185	psDrawFilled
+	opaqueGC
+	179	186
+	178	187
+	3	176	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	187
+	179	186
+	3	181	187	psDrawFilled
+	opaqueGC
+	178	187
+	179	186
+	3	181	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	134
+	154	131
+	3	156	142	psDrawFilled
+	opaqueGC
+	152	134
+	154	131
+	3	156	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	142
+	154	144
+	3	152	134	psDrawFilled
+	opaqueGC
+	156	142
+	154	144
+	3	152	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	70
+	168	90
+	3	170	111	psDrawFilled
+	opaqueGC
+	167	70
+	168	90
+	3	170	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	111
+	168	107
+	3	167	70	psDrawFilled
+	opaqueGC
+	170	111
+	168	107
+	3	167	70	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	163
+	142	161
+	3	144	164	psDrawFilled
+	opaqueGC
+	141	163
+	142	161
+	3	144	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	164
+	142	165
+	3	141	163	psDrawFilled
+	opaqueGC
+	144	164
+	142	165
+	3	141	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	155
+	137	152
+	3	139	155	psDrawFilled
+	opaqueGC
+	135	155
+	137	152
+	3	139	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	155
+	137	158
+	3	135	155	psDrawFilled
+	opaqueGC
+	139	155
+	137	158
+	3	135	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	158
+	135	155
+	3	137	158	psDrawFilled
+	opaqueGC
+	133	158
+	135	155
+	3	137	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	180
+	158	181
+	3	156	179	psDrawFilled
+	opaqueGC
+	160	180
+	158	181
+	3	156	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	181
+	160	180
+	3	162	182	psDrawFilled
+	opaqueGC
+	158	181
+	160	180
+	3	162	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	147
+	150	150
+	3	148	143	psDrawFilled
+	opaqueGC
+	152	147
+	150	150
+	3	148	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	148
+	148	143
+	3	150	150	psDrawFilled
+	opaqueGC
+	146	148
+	148	143
+	3	150	150	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	174
+	150	176
+	3	148	173	psDrawFilled
+	opaqueGC
+	152	174
+	150	176
+	3	148	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	176
+	152	174
+	3	154	177	psDrawFilled
+	opaqueGC
+	150	176
+	152	174
+	3	154	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	183
+	164	184
+	3	162	182	psDrawFilled
+	opaqueGC
+	166	183
+	164	184
+	3	162	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	184
+	166	183
+	3	168	185	psDrawFilled
+	opaqueGC
+	164	184
+	166	183
+	3	168	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	160
+	141	158
+	3	142	161	psDrawFilled
+	opaqueGC
+	139	160
+	141	158
+	3	142	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	161
+	141	163
+	3	139	160	psDrawFilled
+	opaqueGC
+	142	161
+	141	163
+	3	139	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	185
+	174	187
+	3	172	185	psDrawFilled
+	opaqueGC
+	176	185
+	174	187
+	3	172	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	187
+	176	185
+	3	178	187	psDrawFilled
+	opaqueGC
+	174	187
+	176	185
+	3	178	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	152
+	139	149
+	3	141	152	psDrawFilled
+	opaqueGC
+	137	152
+	139	149
+	3	141	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	152
+	139	155
+	3	137	152	psDrawFilled
+	opaqueGC
+	141	152
+	139	155
+	3	137	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	158
+	135	160
+	3	133	158	psDrawFilled
+	opaqueGC
+	137	158
+	135	160
+	3	133	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	160
+	133	158
+	3	135	160	psDrawFilled
+	opaqueGC
+	131	160
+	133	158
+	3	135	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	160
+	113	162
+	3	111	160	psDrawFilled
+	opaqueGC
+	115	160
+	113	162
+	3	111	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	160
+	109	161
+	3	107	160	psDrawFilled
+	opaqueGC
+	111	160
+	109	161
+	3	107	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	161
+	111	160
+	3	113	162	psDrawFilled
+	opaqueGC
+	109	161
+	111	160
+	3	113	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	160
+	117	162
+	3	115	160	psDrawFilled
+	opaqueGC
+	119	160
+	117	162
+	3	115	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	162
+	115	160
+	3	117	162	psDrawFilled
+	opaqueGC
+	113	162
+	115	160
+	3	117	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	155
+	141	158
+	3	139	155	psDrawFilled
+	opaqueGC
+	142	155
+	141	158
+	3	139	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	158
+	139	155
+	3	141	158	psDrawFilled
+	opaqueGC
+	137	158
+	139	155
+	3	141	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	158
+	139	160
+	3	137	158	psDrawFilled
+	opaqueGC
+	141	158
+	139	160
+	3	137	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	160
+	105	161
+	3	104	160	psDrawFilled
+	opaqueGC
+	107	160
+	105	161
+	3	104	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	161
+	107	160
+	3	109	161	psDrawFilled
+	opaqueGC
+	105	161
+	107	160
+	3	109	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	152
+	142	155
+	3	141	152	psDrawFilled
+	opaqueGC
+	144	152
+	142	155
+	3	141	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	155
+	141	152
+	3	142	155	psDrawFilled
+	opaqueGC
+	139	155
+	141	152
+	3	142	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	144
+	152	147
+	3	150	139	psDrawFilled
+	opaqueGC
+	154	144
+	152	147
+	3	150	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	143
+	150	139
+	3	152	147	psDrawFilled
+	opaqueGC
+	148	143
+	150	139
+	3	152	147	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	160
+	121	162
+	3	119	160	psDrawFilled
+	opaqueGC
+	123	160
+	121	162
+	3	119	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	162
+	119	160
+	3	121	162	psDrawFilled
+	opaqueGC
+	117	162
+	119	160
+	3	121	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	86
+	161	66
+	3	158	100	psDrawFilled
+	opaqueGC
+	162	86
+	161	66
+	3	158	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	99
+	158	100
+	3	161	66	psDrawFilled
+	opaqueGC
+	156	99
+	158	100
+	3	161	66	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	158
+	80	157
+	3	78	157	psDrawFilled
+	opaqueGC
+	82	158
+	80	157
+	3	78	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	157
+	82	158
+	3	84	158	psDrawFilled
+	opaqueGC
+	80	157
+	82	158
+	3	84	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	177
+	152	178
+	3	150	176	psDrawFilled
+	opaqueGC
+	154	177
+	152	178
+	3	150	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	178
+	154	177
+	3	156	179	psDrawFilled
+	opaqueGC
+	152	178
+	154	177
+	3	156	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	69	155
+	66	154
+	3	65	154	psDrawFilled
+	opaqueGC
+	69	155
+	66	154
+	3	65	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	66	154
+	69	155
+	3	70	155	psDrawFilled
+	opaqueGC
+	66	154
+	69	155
+	3	70	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	205	188
+	203	189
+	3	201	188	psDrawFilled
+	opaqueGC
+	205	188
+	203	189
+	3	201	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	160
+	137	158
+	3	139	160	psDrawFilled
+	opaqueGC
+	135	160
+	137	158
+	3	139	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	139
+	152	134
+	3	154	144	psDrawFilled
+	opaqueGC
+	150	139
+	152	134
+	3	154	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	188
+	199	189
+	3	197	188	psDrawFilled
+	opaqueGC
+	201	188
+	199	189
+	3	197	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	189
+	201	188
+	3	203	189	psDrawFilled
+	opaqueGC
+	199	189
+	201	188
+	3	203	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	160
+	101	161
+	3	100	160	psDrawFilled
+	opaqueGC
+	104	160
+	101	161
+	3	100	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	161
+	104	160
+	3	105	161	psDrawFilled
+	opaqueGC
+	101	161
+	104	160
+	3	105	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	185
+	170	186
+	3	168	185	psDrawFilled
+	opaqueGC
+	172	185
+	170	186
+	3	168	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	186
+	172	185
+	3	174	187	psDrawFilled
+	opaqueGC
+	170	186
+	172	185
+	3	174	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	188
+	195	189
+	3	193	188	psDrawFilled
+	opaqueGC
+	197	188
+	195	189
+	3	193	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	189
+	197	188
+	3	199	189	psDrawFilled
+	opaqueGC
+	195	189
+	197	188
+	3	199	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	160
+	125	162
+	3	123	160	psDrawFilled
+	opaqueGC
+	127	160
+	125	162
+	3	123	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	162
+	123	160
+	3	125	162	psDrawFilled
+	opaqueGC
+	121	162
+	123	160
+	3	125	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	188
+	191	189
+	3	189	188	psDrawFilled
+	opaqueGC
+	193	188
+	191	189
+	3	189	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	189
+	193	188
+	3	195	189	psDrawFilled
+	opaqueGC
+	191	189
+	193	188
+	3	195	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	146
+	139	141
+	3	141	144	psDrawFilled
+	opaqueGC
+	137	146
+	139	141
+	3	141	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	144
+	139	149
+	3	137	146	psDrawFilled
+	opaqueGC
+	141	144
+	139	149
+	3	137	146	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	188
+	187	189
+	3	185	187	psDrawFilled
+	opaqueGC
+	189	188
+	187	189
+	3	185	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	189
+	189	188
+	3	191	189	psDrawFilled
+	opaqueGC
+	187	189
+	189	188
+	3	191	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	160
+	137	162
+	3	135	160	psDrawFilled
+	opaqueGC
+	139	160
+	137	162
+	3	135	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	162
+	139	160
+	3	141	163	psDrawFilled
+	opaqueGC
+	137	162
+	139	160
+	3	141	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	111
+	152	108
+	3	154	96	psDrawFilled
+	opaqueGC
+	150	111
+	152	108
+	3	154	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	96
+	152	102
+	3	150	111	psDrawFilled
+	opaqueGC
+	154	96
+	152	102
+	3	150	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	111
+	150	111
+	3	152	102	psDrawFilled
+	opaqueGC
+	148	111
+	150	111
+	3	152	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	160
+	129	162
+	3	127	160	psDrawFilled
+	opaqueGC
+	131	160
+	129	162
+	3	127	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	162
+	127	160
+	3	129	162	psDrawFilled
+	opaqueGC
+	125	162
+	127	160
+	3	129	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	160
+	98	160
+	3	96	160	psDrawFilled
+	opaqueGC
+	100	160
+	98	160
+	3	96	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	160
+	100	160
+	3	101	161	psDrawFilled
+	opaqueGC
+	98	160
+	100	160
+	3	101	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	182
+	160	183
+	3	158	181	psDrawFilled
+	opaqueGC
+	162	182
+	160	183
+	3	158	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	183
+	162	182
+	3	164	184	psDrawFilled
+	opaqueGC
+	160	183
+	162	182
+	3	164	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	163
+	139	165
+	3	137	162	psDrawFilled
+	opaqueGC
+	141	163
+	139	165
+	3	137	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	165
+	141	163
+	3	142	165	psDrawFilled
+	opaqueGC
+	139	165
+	141	163
+	3	142	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	165
+	141	167
+	3	139	165	psDrawFilled
+	opaqueGC
+	142	165
+	141	167
+	3	139	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	167
+	142	165
+	3	144	168	psDrawFilled
+	opaqueGC
+	141	167
+	142	165
+	3	144	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	187
+	183	189
+	3	181	187	psDrawFilled
+	opaqueGC
+	185	187
+	183	189
+	3	181	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	189
+	185	187
+	3	187	189	psDrawFilled
+	opaqueGC
+	183	189
+	185	187
+	3	187	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	108
+	154	103
+	3	156	84	psDrawFilled
+	opaqueGC
+	152	108
+	154	103
+	3	156	84	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	84
+	154	96
+	3	152	108	psDrawFilled
+	opaqueGC
+	156	84
+	154	96
+	3	152	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	168
+	142	170
+	3	141	167	psDrawFilled
+	opaqueGC
+	144	168
+	142	170
+	3	141	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	170
+	144	168
+	3	146	171	psDrawFilled
+	opaqueGC
+	142	170
+	144	168
+	3	146	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	148
+	144	152
+	3	142	148	psDrawFilled
+	opaqueGC
+	146	148
+	144	152
+	3	142	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	152
+	142	148
+	3	144	152	psDrawFilled
+	opaqueGC
+	141	152
+	142	148
+	3	144	152	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	160
+	133	162
+	3	131	160	psDrawFilled
+	opaqueGC
+	135	160
+	133	162
+	3	131	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	162
+	131	160
+	3	133	162	psDrawFilled
+	opaqueGC
+	129	162
+	131	160
+	3	133	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	162
+	135	160
+	3	137	162	psDrawFilled
+	opaqueGC
+	133	162
+	135	160
+	3	137	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	148
+	141	152
+	3	139	149	psDrawFilled
+	opaqueGC
+	142	148
+	141	152
+	3	139	149	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	179
+	154	180
+	3	152	178	psDrawFilled
+	opaqueGC
+	156	179
+	154	180
+	3	152	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	180
+	156	179
+	3	158	181	psDrawFilled
+	opaqueGC
+	154	180
+	156	179
+	3	158	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	171
+	144	172
+	3	142	170	psDrawFilled
+	opaqueGC
+	146	171
+	144	172
+	3	142	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	172
+	146	171
+	3	148	173	psDrawFilled
+	opaqueGC
+	144	172
+	146	171
+	3	148	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	185
+	166	186
+	3	164	184	psDrawFilled
+	opaqueGC
+	168	185
+	166	186
+	3	164	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	186
+	168	185
+	3	170	186	psDrawFilled
+	opaqueGC
+	166	186
+	168	185
+	3	170	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	181	187
+	180	189
+	3	178	187	psDrawFilled
+	opaqueGC
+	181	187
+	180	189
+	3	178	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	189
+	181	187
+	3	183	189	psDrawFilled
+	opaqueGC
+	180	189
+	181	187
+	3	183	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	160
+	94	160
+	3	92	159	psDrawFilled
+	opaqueGC
+	96	160
+	94	160
+	3	92	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	160
+	96	160
+	3	98	160	psDrawFilled
+	opaqueGC
+	94	160
+	96	160
+	3	98	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	149
+	141	144
+	3	142	148	psDrawFilled
+	opaqueGC
+	139	149
+	141	144
+	3	142	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	157
+	76	156
+	3	74	156	psDrawFilled
+	opaqueGC
+	78	157
+	76	156
+	3	74	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	156
+	78	157
+	3	80	157	psDrawFilled
+	opaqueGC
+	76	156
+	78	157
+	3	80	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	173
+	146	175
+	3	144	172	psDrawFilled
+	opaqueGC
+	148	173
+	146	175
+	3	144	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	175
+	148	173
+	3	150	176	psDrawFilled
+	opaqueGC
+	146	175
+	148	173
+	3	150	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	117
+	158	118
+	3	160	129	psDrawFilled
+	opaqueGC
+	156	117
+	158	118
+	3	160	129	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	129
+	158	130
+	3	156	117	psDrawFilled
+	opaqueGC
+	160	129
+	158	130
+	3	156	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	187
+	176	189
+	3	174	187	psDrawFilled
+	opaqueGC
+	178	187
+	176	189
+	3	174	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	189
+	178	187
+	3	180	189	psDrawFilled
+	opaqueGC
+	176	189
+	178	187
+	3	180	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	162
+	135	164
+	3	133	162	psDrawFilled
+	opaqueGC
+	137	162
+	135	164
+	3	133	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	164
+	137	162
+	3	139	165	psDrawFilled
+	opaqueGC
+	135	164
+	137	162
+	3	139	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	176
+	148	177
+	3	146	175	psDrawFilled
+	opaqueGC
+	150	176
+	148	177
+	3	146	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	177
+	150	176
+	3	152	178	psDrawFilled
+	opaqueGC
+	148	177
+	150	176
+	3	152	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	159
+	90	159
+	3	88	159	psDrawFilled
+	opaqueGC
+	92	159
+	90	159
+	3	88	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	159
+	92	159
+	3	94	160	psDrawFilled
+	opaqueGC
+	90	159
+	92	159
+	3	94	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	181
+	156	183
+	3	154	180	psDrawFilled
+	opaqueGC
+	158	181
+	156	183
+	3	154	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	183
+	158	181
+	3	160	183	psDrawFilled
+	opaqueGC
+	156	183
+	158	181
+	3	160	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	187
+	172	188
+	3	170	186	psDrawFilled
+	opaqueGC
+	174	187
+	172	188
+	3	170	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	188
+	174	187
+	3	176	189	psDrawFilled
+	opaqueGC
+	172	188
+	174	187
+	3	176	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	184
+	162	185
+	3	160	183	psDrawFilled
+	opaqueGC
+	164	184
+	162	185
+	3	160	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	185
+	164	184
+	3	166	186	psDrawFilled
+	opaqueGC
+	162	185
+	164	184
+	3	166	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	165
+	137	166
+	3	135	164	psDrawFilled
+	opaqueGC
+	139	165
+	137	166
+	3	135	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	166
+	139	165
+	3	141	167	psDrawFilled
+	opaqueGC
+	137	166
+	139	165
+	3	141	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	162
+	131	164
+	3	129	162	psDrawFilled
+	opaqueGC
+	133	162
+	131	164
+	3	129	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	164
+	133	162
+	3	135	164	psDrawFilled
+	opaqueGC
+	131	164
+	133	162
+	3	135	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	203	189
+	201	191
+	3	199	189	psDrawFilled
+	opaqueGC
+	203	189
+	201	191
+	3	199	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	189
+	197	191
+	3	195	189	psDrawFilled
+	opaqueGC
+	199	189
+	197	191
+	3	195	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	191
+	199	189
+	3	201	191	psDrawFilled
+	opaqueGC
+	197	191
+	199	189
+	3	201	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	162
+	127	163
+	3	125	162	psDrawFilled
+	opaqueGC
+	129	162
+	127	163
+	3	125	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	163
+	129	162
+	3	131	164	psDrawFilled
+	opaqueGC
+	127	163
+	129	162
+	3	131	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	61
+	168	93
+	3	170	104	psDrawFilled
+	opaqueGC
+	167	61
+	168	93
+	3	170	104	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	104
+	168	90
+	3	167	61	psDrawFilled
+	opaqueGC
+	170	104
+	168	90
+	3	167	61	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	189
+	193	191
+	3	191	189	psDrawFilled
+	opaqueGC
+	195	189
+	193	191
+	3	191	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	191
+	195	189
+	3	197	191	psDrawFilled
+	opaqueGC
+	193	191
+	195	189
+	3	197	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	162
+	123	163
+	3	121	162	psDrawFilled
+	opaqueGC
+	125	162
+	123	163
+	3	121	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	163
+	125	162
+	3	127	163	psDrawFilled
+	opaqueGC
+	123	163
+	125	162
+	3	127	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	167
+	139	169
+	3	137	166	psDrawFilled
+	opaqueGC
+	141	167
+	139	169
+	3	137	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	169
+	141	167
+	3	142	170	psDrawFilled
+	opaqueGC
+	139	169
+	141	167
+	3	142	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	162
+	119	163
+	3	117	162	psDrawFilled
+	opaqueGC
+	121	162
+	119	163
+	3	117	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	163
+	121	162
+	3	123	163	psDrawFilled
+	opaqueGC
+	119	163
+	121	162
+	3	123	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	178
+	150	179
+	3	148	177	psDrawFilled
+	opaqueGC
+	152	178
+	150	179
+	3	148	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	179
+	152	178
+	3	154	180	psDrawFilled
+	opaqueGC
+	150	179
+	152	178
+	3	154	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	189
+	189	191
+	3	187	189	psDrawFilled
+	opaqueGC
+	191	189
+	189	191
+	3	187	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	191
+	191	189
+	3	193	191	psDrawFilled
+	opaqueGC
+	189	191
+	191	189
+	3	193	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	162
+	115	163
+	3	113	162	psDrawFilled
+	opaqueGC
+	117	162
+	115	163
+	3	113	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	163
+	117	162
+	3	119	163	psDrawFilled
+	opaqueGC
+	115	163
+	117	162
+	3	119	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	186
+	168	188
+	3	166	186	psDrawFilled
+	opaqueGC
+	170	186
+	168	188
+	3	166	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	188
+	170	186
+	3	172	188	psDrawFilled
+	opaqueGC
+	168	188
+	170	186
+	3	172	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	143
+	146	148
+	3	144	142	psDrawFilled
+	opaqueGC
+	148	143
+	146	148
+	3	144	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	148
+	144	142
+	3	146	148	psDrawFilled
+	opaqueGC
+	142	148
+	144	142
+	3	146	148	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	156
+	72	155
+	3	70	155	psDrawFilled
+	opaqueGC
+	74	156
+	72	155
+	3	70	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	155
+	74	156
+	3	76	156	psDrawFilled
+	opaqueGC
+	72	155
+	74	156
+	3	76	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	139
+	139	131
+	3	140	133	psDrawFilled
+	opaqueGC
+	137	139
+	139	131
+	3	140	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	133
+	139	141
+	3	137	139	psDrawFilled
+	opaqueGC
+	140	133
+	139	141
+	3	137	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	162
+	111	162
+	3	109	161	psDrawFilled
+	opaqueGC
+	113	162
+	111	162
+	3	109	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	162
+	113	162
+	3	115	163	psDrawFilled
+	opaqueGC
+	111	162
+	113	162
+	3	115	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	189
+	185	191
+	3	183	189	psDrawFilled
+	opaqueGC
+	187	189
+	185	191
+	3	183	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	191
+	187	189
+	3	189	191	psDrawFilled
+	opaqueGC
+	185	191
+	187	189
+	3	189	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	159
+	86	159
+	3	84	158	psDrawFilled
+	opaqueGC
+	88	159
+	86	159
+	3	84	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	159
+	88	159
+	3	90	159	psDrawFilled
+	opaqueGC
+	86	159
+	88	159
+	3	90	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	170
+	141	171
+	3	139	169	psDrawFilled
+	opaqueGC
+	142	170
+	141	171
+	3	139	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	171
+	142	170
+	3	144	172	psDrawFilled
+	opaqueGC
+	141	171
+	142	170
+	3	144	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	161
+	107	162
+	3	105	161	psDrawFilled
+	opaqueGC
+	109	161
+	107	162
+	3	105	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	162
+	109	161
+	3	111	162	psDrawFilled
+	opaqueGC
+	107	162
+	109	161
+	3	111	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	183	189
+	182	190
+	3	180	189	psDrawFilled
+	opaqueGC
+	183	189
+	182	190
+	3	180	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	190
+	183	189
+	3	185	191	psDrawFilled
+	opaqueGC
+	182	190
+	183	189
+	3	185	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	128
+	139	120
+	3	140	105	psDrawFilled
+	opaqueGC
+	137	128
+	139	120
+	3	140	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	105
+	138	122
+	3	137	128	psDrawFilled
+	opaqueGC
+	140	105
+	138	122
+	3	137	128	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	142
+	142	148
+	3	141	144	psDrawFilled
+	opaqueGC
+	144	142
+	142	148
+	3	141	144	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	183
+	158	185
+	3	156	183	psDrawFilled
+	opaqueGC
+	160	183
+	158	185
+	3	156	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	185
+	160	183
+	3	162	185	psDrawFilled
+	opaqueGC
+	158	185
+	160	183
+	3	162	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	164
+	133	166
+	3	131	164	psDrawFilled
+	opaqueGC
+	135	164
+	133	166
+	3	131	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	166
+	135	164
+	3	137	166	psDrawFilled
+	opaqueGC
+	133	166
+	135	164
+	3	137	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	172
+	142	174
+	3	141	171	psDrawFilled
+	opaqueGC
+	144	172
+	142	174
+	3	141	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	174
+	144	172
+	3	146	175	psDrawFilled
+	opaqueGC
+	142	174
+	144	172
+	3	146	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	189
+	178	190
+	3	176	189	psDrawFilled
+	opaqueGC
+	180	189
+	178	190
+	3	176	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	190
+	180	189
+	3	182	190	psDrawFilled
+	opaqueGC
+	178	190
+	180	189
+	3	182	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	103
+	156	99
+	3	159	66	psDrawFilled
+	opaqueGC
+	154	103
+	156	99
+	3	159	66	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	66
+	156	84
+	3	154	103	psDrawFilled
+	opaqueGC
+	159	66
+	156	84
+	3	154	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	161
+	103	162
+	3	101	161	psDrawFilled
+	opaqueGC
+	105	161
+	103	162
+	3	101	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	162
+	105	161
+	3	107	162	psDrawFilled
+	opaqueGC
+	103	162
+	105	161
+	3	107	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	180
+	152	182
+	3	150	179	psDrawFilled
+	opaqueGC
+	154	180
+	152	182
+	3	150	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	182
+	154	180
+	3	156	183	psDrawFilled
+	opaqueGC
+	152	182
+	154	180
+	3	156	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	186
+	164	187
+	3	162	185	psDrawFilled
+	opaqueGC
+	166	186
+	164	187
+	3	162	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	187
+	166	186
+	3	168	188	psDrawFilled
+	opaqueGC
+	164	187
+	166	186
+	3	168	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	102
+	150	103
+	3	148	111	psDrawFilled
+	opaqueGC
+	152	102
+	150	103
+	3	148	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	110
+	148	111
+	3	150	103	psDrawFilled
+	opaqueGC
+	146	110
+	148	111
+	3	150	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	175
+	144	176
+	3	142	174	psDrawFilled
+	opaqueGC
+	146	175
+	144	176
+	3	142	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	176
+	146	175
+	3	148	177	psDrawFilled
+	opaqueGC
+	144	176
+	146	175
+	3	148	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	189
+	174	190
+	3	172	188	psDrawFilled
+	opaqueGC
+	176	189
+	174	190
+	3	172	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	190
+	176	189
+	3	178	190	psDrawFilled
+	opaqueGC
+	174	190
+	176	189
+	3	178	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	164
+	129	165
+	3	127	163	psDrawFilled
+	opaqueGC
+	131	164
+	129	165
+	3	127	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	165
+	131	164
+	3	133	166	psDrawFilled
+	opaqueGC
+	129	165
+	131	164
+	3	133	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	166
+	135	168
+	3	133	166	psDrawFilled
+	opaqueGC
+	137	166
+	135	168
+	3	133	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	168
+	137	166
+	3	139	169	psDrawFilled
+	opaqueGC
+	135	168
+	137	166
+	3	139	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	161
+	99	161
+	3	98	160	psDrawFilled
+	opaqueGC
+	101	161
+	99	161
+	3	98	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	161
+	101	161
+	3	103	162	psDrawFilled
+	opaqueGC
+	99	161
+	101	161
+	3	103	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	158
+	82	158
+	3	80	157	psDrawFilled
+	opaqueGC
+	84	158
+	82	158
+	3	80	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	158
+	84	158
+	3	86	159	psDrawFilled
+	opaqueGC
+	82	158
+	84	158
+	3	86	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	163
+	125	165
+	3	123	163	psDrawFilled
+	opaqueGC
+	127	163
+	125	165
+	3	123	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	165
+	127	163
+	3	129	165	psDrawFilled
+	opaqueGC
+	125	165
+	127	163
+	3	129	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	177
+	146	178
+	3	144	176	psDrawFilled
+	opaqueGC
+	148	177
+	146	178
+	3	144	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	178
+	148	177
+	3	150	179	psDrawFilled
+	opaqueGC
+	146	178
+	148	177
+	3	150	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	188
+	170	190
+	3	168	188	psDrawFilled
+	opaqueGC
+	172	188
+	170	190
+	3	168	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	190
+	172	188
+	3	174	190	psDrawFilled
+	opaqueGC
+	170	190
+	172	188
+	3	174	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	155
+	68	154
+	3	66	154	psDrawFilled
+	opaqueGC
+	70	155
+	68	154
+	3	66	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	68	154
+	70	155
+	3	72	155	psDrawFilled
+	opaqueGC
+	68	154
+	70	155
+	3	72	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	185
+	160	187
+	3	158	185	psDrawFilled
+	opaqueGC
+	162	185
+	160	187
+	3	158	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	187
+	162	185
+	3	164	187	psDrawFilled
+	opaqueGC
+	160	187
+	162	185
+	3	164	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	183
+	154	184
+	3	152	182	psDrawFilled
+	opaqueGC
+	156	183
+	154	184
+	3	152	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	184
+	156	183
+	3	158	185	psDrawFilled
+	opaqueGC
+	154	184
+	156	183
+	3	158	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	169
+	137	170
+	3	135	168	psDrawFilled
+	opaqueGC
+	139	169
+	137	170
+	3	135	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	170
+	139	169
+	3	141	171	psDrawFilled
+	opaqueGC
+	137	170
+	139	169
+	3	141	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	201	191
+	199	192
+	3	197	191	psDrawFilled
+	opaqueGC
+	201	191
+	199	192
+	3	197	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	191
+	195	192
+	3	193	191	psDrawFilled
+	opaqueGC
+	197	191
+	195	192
+	3	193	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	192
+	197	191
+	3	199	192	psDrawFilled
+	opaqueGC
+	195	192
+	197	191
+	3	199	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	160
+	95	161
+	3	94	160	psDrawFilled
+	opaqueGC
+	98	160
+	95	161
+	3	94	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	161
+	98	160
+	3	99	161	psDrawFilled
+	opaqueGC
+	95	161
+	98	160
+	3	99	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	191
+	191	192
+	3	189	191	psDrawFilled
+	opaqueGC
+	193	191
+	191	192
+	3	189	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	192
+	193	191
+	3	195	192	psDrawFilled
+	opaqueGC
+	191	192
+	193	191
+	3	195	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	163
+	121	164
+	3	119	163	psDrawFilled
+	opaqueGC
+	123	163
+	121	164
+	3	119	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	164
+	123	163
+	3	125	165	psDrawFilled
+	opaqueGC
+	121	164
+	123	163
+	3	125	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	137
+	141	144
+	3	139	141	psDrawFilled
+	opaqueGC
+	142	137
+	141	144
+	3	139	141	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	144
+	142	137
+	3	144	142	psDrawFilled
+	opaqueGC
+	141	144
+	142	137
+	3	144	142	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	191
+	187	192
+	3	185	191	psDrawFilled
+	opaqueGC
+	189	191
+	187	192
+	3	185	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	192
+	189	191
+	3	191	192	psDrawFilled
+	opaqueGC
+	187	192
+	189	191
+	3	191	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	141
+	140	133
+	3	142	137	psDrawFilled
+	opaqueGC
+	139	141
+	140	133
+	3	142	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	166
+	131	167
+	3	129	165	psDrawFilled
+	opaqueGC
+	133	166
+	131	167
+	3	129	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	167
+	133	166
+	3	135	168	psDrawFilled
+	opaqueGC
+	131	167
+	133	166
+	3	135	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	133
+	138	122
+	3	140	117	psDrawFilled
+	opaqueGC
+	137	133
+	138	122
+	3	140	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	117
+	139	131
+	3	137	133	psDrawFilled
+	opaqueGC
+	140	117
+	139	131
+	3	137	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	141	171
+	139	173
+	3	137	170	psDrawFilled
+	opaqueGC
+	141	171
+	139	173
+	3	137	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	173
+	141	171
+	3	142	174	psDrawFilled
+	opaqueGC
+	139	173
+	141	171
+	3	142	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	185	191
+	184	192
+	3	182	190	psDrawFilled
+	opaqueGC
+	185	191
+	184	192
+	3	182	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	192
+	185	191
+	3	187	192	psDrawFilled
+	opaqueGC
+	184	192
+	185	191
+	3	187	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	188
+	166	189
+	3	164	187	psDrawFilled
+	opaqueGC
+	168	188
+	166	189
+	3	164	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	189
+	168	188
+	3	170	190	psDrawFilled
+	opaqueGC
+	166	189
+	168	188
+	3	170	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	163
+	117	164
+	3	115	163	psDrawFilled
+	opaqueGC
+	119	163
+	117	164
+	3	115	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	164
+	119	163
+	3	121	164	psDrawFilled
+	opaqueGC
+	117	164
+	119	163
+	3	121	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	179
+	148	181
+	3	146	178	psDrawFilled
+	opaqueGC
+	150	179
+	148	181
+	3	146	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	181
+	150	179
+	3	152	182	psDrawFilled
+	opaqueGC
+	148	181
+	150	179
+	3	152	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	66
+	159	66
+	3	156	99	psDrawFilled
+	opaqueGC
+	161	66
+	159	66
+	3	156	99	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	115
+	156	117
+	3	158	130	psDrawFilled
+	opaqueGC
+	154	115
+	156	117
+	3	158	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	130
+	156	130
+	3	154	115	psDrawFilled
+	opaqueGC
+	158	130
+	156	130
+	3	154	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	157
+	78	157
+	3	76	156	psDrawFilled
+	opaqueGC
+	80	157
+	78	157
+	3	76	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	157
+	80	157
+	3	82	158	psDrawFilled
+	opaqueGC
+	78	157
+	80	157
+	3	82	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	190
+	180	192
+	3	178	190	psDrawFilled
+	opaqueGC
+	182	190
+	180	192
+	3	178	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	192
+	182	190
+	3	184	192	psDrawFilled
+	opaqueGC
+	180	192
+	182	190
+	3	184	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	163
+	113	164
+	3	111	162	psDrawFilled
+	opaqueGC
+	115	163
+	113	164
+	3	111	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	164
+	115	163
+	3	117	164	psDrawFilled
+	opaqueGC
+	113	164
+	115	163
+	3	117	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	139
+	148	143
+	3	146	135	psDrawFilled
+	opaqueGC
+	150	139
+	148	143
+	3	146	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	142
+	146	135
+	3	148	143	psDrawFilled
+	opaqueGC
+	144	142
+	146	135
+	3	148	143	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	160
+	91	160
+	3	90	159	psDrawFilled
+	opaqueGC
+	94	160
+	91	160
+	3	90	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	160
+	94	160
+	3	95	161	psDrawFilled
+	opaqueGC
+	91	160
+	94	160
+	3	95	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	174
+	140	175
+	3	139	173	psDrawFilled
+	opaqueGC
+	142	174
+	140	175
+	3	139	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	175
+	142	174
+	3	144	176	psDrawFilled
+	opaqueGC
+	140	175
+	142	174
+	3	144	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	185
+	156	186
+	3	154	184	psDrawFilled
+	opaqueGC
+	158	185
+	156	186
+	3	154	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	186
+	158	185
+	3	160	187	psDrawFilled
+	opaqueGC
+	156	186
+	158	185
+	3	160	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	190
+	176	192
+	3	174	190	psDrawFilled
+	opaqueGC
+	178	190
+	176	192
+	3	174	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	192
+	178	190
+	3	180	192	psDrawFilled
+	opaqueGC
+	176	192
+	178	190
+	3	180	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	165
+	127	167
+	3	125	165	psDrawFilled
+	opaqueGC
+	129	165
+	127	167
+	3	125	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	167
+	129	165
+	3	131	167	psDrawFilled
+	opaqueGC
+	127	167
+	129	165
+	3	131	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	162
+	109	163
+	3	107	162	psDrawFilled
+	opaqueGC
+	111	162
+	109	163
+	3	107	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	163
+	111	162
+	3	113	164	psDrawFilled
+	opaqueGC
+	109	163
+	111	162
+	3	113	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	168
+	133	169
+	3	131	167	psDrawFilled
+	opaqueGC
+	135	168
+	133	169
+	3	131	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	169
+	135	168
+	3	137	170	psDrawFilled
+	opaqueGC
+	133	169
+	135	168
+	3	137	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	187
+	162	189
+	3	160	187	psDrawFilled
+	opaqueGC
+	164	187
+	162	189
+	3	160	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	189
+	164	187
+	3	166	189	psDrawFilled
+	opaqueGC
+	162	189
+	164	187
+	3	166	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	182
+	150	183
+	3	148	181	psDrawFilled
+	opaqueGC
+	152	182
+	150	183
+	3	148	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	183
+	152	182
+	3	154	184	psDrawFilled
+	opaqueGC
+	150	183
+	152	182
+	3	154	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	190
+	172	191
+	3	170	190	psDrawFilled
+	opaqueGC
+	174	190
+	172	191
+	3	170	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	191
+	174	190
+	3	176	192	psDrawFilled
+	opaqueGC
+	172	191
+	174	190
+	3	176	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	176
+	142	177
+	3	140	175	psDrawFilled
+	opaqueGC
+	144	176
+	142	177
+	3	140	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	177
+	144	176
+	3	146	178	psDrawFilled
+	opaqueGC
+	142	177
+	144	176
+	3	146	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	162
+	105	163
+	3	103	162	psDrawFilled
+	opaqueGC
+	107	162
+	105	163
+	3	103	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	163
+	107	162
+	3	109	163	psDrawFilled
+	opaqueGC
+	105	163
+	107	162
+	3	109	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	159
+	87	159
+	3	86	159	psDrawFilled
+	opaqueGC
+	90	159
+	87	159
+	3	86	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	159
+	90	159
+	3	91	160	psDrawFilled
+	opaqueGC
+	87	159
+	90	159
+	3	91	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	165
+	123	166
+	3	121	164	psDrawFilled
+	opaqueGC
+	125	165
+	123	166
+	3	121	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	166
+	125	165
+	3	127	167	psDrawFilled
+	opaqueGC
+	123	166
+	125	165
+	3	127	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	170
+	135	172
+	3	133	169	psDrawFilled
+	opaqueGC
+	137	170
+	135	172
+	3	133	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	172
+	137	170
+	3	139	173	psDrawFilled
+	opaqueGC
+	135	172
+	137	170
+	3	139	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	199	192
+	197	194
+	3	195	192	psDrawFilled
+	opaqueGC
+	199	192
+	197	194
+	3	195	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	190
+	168	191
+	3	166	189	psDrawFilled
+	opaqueGC
+	170	190
+	168	191
+	3	166	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	191
+	170	190
+	3	172	191	psDrawFilled
+	opaqueGC
+	168	191
+	170	190
+	3	172	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	192
+	193	194
+	3	191	192	psDrawFilled
+	opaqueGC
+	195	192
+	193	194
+	3	191	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	194
+	195	192
+	3	197	194	psDrawFilled
+	opaqueGC
+	193	194
+	195	192
+	3	197	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	178
+	144	180
+	3	142	177	psDrawFilled
+	opaqueGC
+	146	178
+	144	180
+	3	142	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	180
+	146	178
+	3	148	181	psDrawFilled
+	opaqueGC
+	144	180
+	146	178
+	3	148	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	156
+	74	155
+	3	72	155	psDrawFilled
+	opaqueGC
+	76	156
+	74	155
+	3	72	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	155
+	76	156
+	3	78	157	psDrawFilled
+	opaqueGC
+	74	155
+	76	156
+	3	78	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	192
+	189	194
+	3	187	192	psDrawFilled
+	opaqueGC
+	191	192
+	189	194
+	3	187	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	194
+	191	192
+	3	193	194	psDrawFilled
+	opaqueGC
+	189	194
+	191	192
+	3	193	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	187
+	158	188
+	3	156	186	psDrawFilled
+	opaqueGC
+	160	187
+	158	188
+	3	156	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	188
+	160	187
+	3	162	189	psDrawFilled
+	opaqueGC
+	158	188
+	160	187
+	3	162	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	184
+	152	185
+	3	150	183	psDrawFilled
+	opaqueGC
+	154	184
+	152	185
+	3	150	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	185
+	154	184
+	3	156	186	psDrawFilled
+	opaqueGC
+	152	185
+	154	184
+	3	156	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	187	192
+	186	194
+	3	184	192	psDrawFilled
+	opaqueGC
+	187	192
+	186	194
+	3	184	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	194
+	187	192
+	3	189	194	psDrawFilled
+	opaqueGC
+	186	194
+	187	192
+	3	189	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	167
+	129	169
+	3	127	167	psDrawFilled
+	opaqueGC
+	131	167
+	129	169
+	3	127	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	169
+	131	167
+	3	133	169	psDrawFilled
+	opaqueGC
+	129	169
+	131	167
+	3	133	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	162
+	101	162
+	3	99	161	psDrawFilled
+	opaqueGC
+	103	162
+	101	162
+	3	99	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	162
+	103	162
+	3	105	163	psDrawFilled
+	opaqueGC
+	101	162
+	103	162
+	3	105	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	135
+	144	142
+	3	142	137	psDrawFilled
+	opaqueGC
+	146	135
+	144	142
+	3	142	137	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	164
+	119	166
+	3	117	164	psDrawFilled
+	opaqueGC
+	121	164
+	119	166
+	3	117	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	166
+	121	164
+	3	123	166	psDrawFilled
+	opaqueGC
+	119	166
+	121	164
+	3	123	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	192
+	182	194
+	3	180	192	psDrawFilled
+	opaqueGC
+	184	192
+	182	194
+	3	180	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	194
+	184	192
+	3	186	194	psDrawFilled
+	opaqueGC
+	182	194
+	184	192
+	3	186	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	173
+	137	174
+	3	135	172	psDrawFilled
+	opaqueGC
+	139	173
+	137	174
+	3	135	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	174
+	139	173
+	3	140	175	psDrawFilled
+	opaqueGC
+	137	174
+	139	173
+	3	140	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	189
+	164	191
+	3	162	189	psDrawFilled
+	opaqueGC
+	166	189
+	164	191
+	3	162	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	191
+	166	189
+	3	168	191	psDrawFilled
+	opaqueGC
+	164	191
+	166	189
+	3	168	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	192
+	178	193
+	3	176	192	psDrawFilled
+	opaqueGC
+	180	192
+	178	193
+	3	176	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	193
+	180	192
+	3	182	194	psDrawFilled
+	opaqueGC
+	178	193
+	180	192
+	3	182	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	181
+	146	182
+	3	144	180	psDrawFilled
+	opaqueGC
+	148	181
+	146	182
+	3	144	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	182
+	148	181
+	3	150	183	psDrawFilled
+	opaqueGC
+	146	182
+	148	181
+	3	150	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	159
+	83	158
+	3	82	158	psDrawFilled
+	opaqueGC
+	86	159
+	83	158
+	3	82	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	158
+	86	159
+	3	87	159	psDrawFilled
+	opaqueGC
+	83	158
+	86	159
+	3	87	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	164
+	115	165
+	3	113	164	psDrawFilled
+	opaqueGC
+	117	164
+	115	165
+	3	113	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	165
+	117	164
+	3	119	166	psDrawFilled
+	opaqueGC
+	115	165
+	117	164
+	3	119	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	192
+	174	193
+	3	172	191	psDrawFilled
+	opaqueGC
+	176	192
+	174	193
+	3	172	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	193
+	176	192
+	3	178	193	psDrawFilled
+	opaqueGC
+	174	193
+	176	192
+	3	178	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	161
+	97	161
+	3	95	161	psDrawFilled
+	opaqueGC
+	99	161
+	97	161
+	3	95	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	161
+	99	161
+	3	101	162	psDrawFilled
+	opaqueGC
+	97	161
+	99	161
+	3	101	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	175
+	139	176
+	3	137	174	psDrawFilled
+	opaqueGC
+	140	175
+	139	176
+	3	137	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	176
+	140	175
+	3	142	177	psDrawFilled
+	opaqueGC
+	139	176
+	140	175
+	3	142	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	169
+	131	171
+	3	129	169	psDrawFilled
+	opaqueGC
+	133	169
+	131	171
+	3	129	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	171
+	133	169
+	3	135	172	psDrawFilled
+	opaqueGC
+	131	171
+	133	169
+	3	135	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	167
+	125	168
+	3	123	166	psDrawFilled
+	opaqueGC
+	127	167
+	125	168
+	3	123	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	168
+	127	167
+	3	129	169	psDrawFilled
+	opaqueGC
+	125	168
+	127	167
+	3	129	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	186
+	154	187
+	3	152	185	psDrawFilled
+	opaqueGC
+	156	186
+	154	187
+	3	152	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	187
+	156	186
+	3	158	188	psDrawFilled
+	opaqueGC
+	154	187
+	156	186
+	3	158	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	189
+	160	190
+	3	158	188	psDrawFilled
+	opaqueGC
+	162	189
+	160	190
+	3	158	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	190
+	162	189
+	3	164	191	psDrawFilled
+	opaqueGC
+	160	190
+	162	189
+	3	164	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	191
+	170	193
+	3	168	191	psDrawFilled
+	opaqueGC
+	172	191
+	170	193
+	3	168	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	193
+	172	191
+	3	174	193	psDrawFilled
+	opaqueGC
+	170	193
+	172	191
+	3	174	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	164
+	111	164
+	3	109	163	psDrawFilled
+	opaqueGC
+	113	164
+	111	164
+	3	109	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	164
+	113	164
+	3	115	165	psDrawFilled
+	opaqueGC
+	111	164
+	113	164
+	3	115	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	183
+	148	184
+	3	146	182	psDrawFilled
+	opaqueGC
+	150	183
+	148	184
+	3	146	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	184
+	150	183
+	3	152	185	psDrawFilled
+	opaqueGC
+	148	184
+	150	183
+	3	152	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	72	155
+	70	154
+	3	68	154	psDrawFilled
+	opaqueGC
+	72	155
+	70	154
+	3	68	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	70	154
+	72	155
+	3	74	155	psDrawFilled
+	opaqueGC
+	70	154
+	72	155
+	3	74	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	177
+	140	179
+	3	139	176	psDrawFilled
+	opaqueGC
+	142	177
+	140	179
+	3	139	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	179
+	142	177
+	3	144	180	psDrawFilled
+	opaqueGC
+	140	179
+	142	177
+	3	144	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	197	194
+	195	195
+	3	193	194	psDrawFilled
+	opaqueGC
+	197	194
+	195	195
+	3	193	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	134
+	150	139
+	3	148	127	psDrawFilled
+	opaqueGC
+	152	134
+	150	139
+	3	148	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	135
+	148	127
+	3	150	139	psDrawFilled
+	opaqueGC
+	146	135
+	148	127
+	3	150	139	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	193	194
+	191	195
+	3	189	194	psDrawFilled
+	opaqueGC
+	193	194
+	191	195
+	3	189	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	195
+	193	194
+	3	195	195	psDrawFilled
+	opaqueGC
+	191	195
+	193	194
+	3	195	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	161
+	93	161
+	3	91	160	psDrawFilled
+	opaqueGC
+	95	161
+	93	161
+	3	91	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	161
+	95	161
+	3	97	161	psDrawFilled
+	opaqueGC
+	93	161
+	95	161
+	3	97	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	172
+	133	173
+	3	131	171	psDrawFilled
+	opaqueGC
+	135	172
+	133	173
+	3	131	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	173
+	135	172
+	3	137	174	psDrawFilled
+	opaqueGC
+	133	173
+	135	172
+	3	137	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	166
+	121	167
+	3	119	166	psDrawFilled
+	opaqueGC
+	123	166
+	121	167
+	3	119	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	167
+	123	166
+	3	125	168	psDrawFilled
+	opaqueGC
+	121	167
+	123	166
+	3	125	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	114
+	154	115
+	3	156	130	psDrawFilled
+	opaqueGC
+	152	114
+	154	115
+	3	156	130	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	130
+	154	131
+	3	152	114	psDrawFilled
+	opaqueGC
+	156	130
+	154	131
+	3	152	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	189	194
+	188	195
+	3	186	194	psDrawFilled
+	opaqueGC
+	189	194
+	188	195
+	3	186	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	195
+	189	194
+	3	191	195	psDrawFilled
+	opaqueGC
+	188	195
+	189	194
+	3	191	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	191
+	166	192
+	3	164	191	psDrawFilled
+	opaqueGC
+	168	191
+	166	192
+	3	164	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	192
+	168	191
+	3	170	193	psDrawFilled
+	opaqueGC
+	166	192
+	168	191
+	3	170	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	158
+	79	157
+	3	78	157	psDrawFilled
+	opaqueGC
+	82	158
+	79	157
+	3	78	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	157
+	82	158
+	3	83	158	psDrawFilled
+	opaqueGC
+	79	157
+	82	158
+	3	83	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	163
+	107	164
+	3	105	163	psDrawFilled
+	opaqueGC
+	109	163
+	107	164
+	3	105	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	164
+	109	163
+	3	111	164	psDrawFilled
+	opaqueGC
+	107	164
+	109	163
+	3	111	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	194
+	184	195
+	3	182	194	psDrawFilled
+	opaqueGC
+	186	194
+	184	195
+	3	182	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	195
+	186	194
+	3	188	195	psDrawFilled
+	opaqueGC
+	184	195
+	186	194
+	3	188	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	180
+	142	181
+	3	140	179	psDrawFilled
+	opaqueGC
+	144	180
+	142	181
+	3	140	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	181
+	144	180
+	3	146	182	psDrawFilled
+	opaqueGC
+	142	181
+	144	180
+	3	146	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	169
+	127	170
+	3	125	168	psDrawFilled
+	opaqueGC
+	129	169
+	127	170
+	3	125	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	170
+	129	169
+	3	131	171	psDrawFilled
+	opaqueGC
+	127	170
+	129	169
+	3	131	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	188
+	156	189
+	3	154	187	psDrawFilled
+	opaqueGC
+	158	188
+	156	189
+	3	154	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	189
+	158	188
+	3	160	190	psDrawFilled
+	opaqueGC
+	156	189
+	158	188
+	3	160	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	103
+	148	98
+	3	146	110	psDrawFilled
+	opaqueGC
+	150	103
+	148	98
+	3	146	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	108
+	146	110
+	3	148	98	psDrawFilled
+	opaqueGC
+	144	108
+	146	110
+	3	148	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	194
+	180	195
+	3	178	193	psDrawFilled
+	opaqueGC
+	182	194
+	180	195
+	3	178	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	195
+	182	194
+	3	184	195	psDrawFilled
+	opaqueGC
+	180	195
+	182	194
+	3	184	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	185
+	150	186
+	3	148	184	psDrawFilled
+	opaqueGC
+	152	185
+	150	186
+	3	148	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	186
+	152	185
+	3	154	187	psDrawFilled
+	opaqueGC
+	150	186
+	152	185
+	3	154	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	174
+	135	175
+	3	133	173	psDrawFilled
+	opaqueGC
+	137	174
+	135	175
+	3	133	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	175
+	137	174
+	3	139	176	psDrawFilled
+	opaqueGC
+	135	175
+	137	174
+	3	139	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	193
+	176	195
+	3	174	193	psDrawFilled
+	opaqueGC
+	178	193
+	176	195
+	3	174	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	195
+	178	193
+	3	180	195	psDrawFilled
+	opaqueGC
+	176	195
+	178	193
+	3	180	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	191
+	162	192
+	3	160	190	psDrawFilled
+	opaqueGC
+	164	191
+	162	192
+	3	160	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	192
+	164	191
+	3	166	192	psDrawFilled
+	opaqueGC
+	162	192
+	164	191
+	3	166	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	166
+	117	166
+	3	115	165	psDrawFilled
+	opaqueGC
+	119	166
+	117	166
+	3	115	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	166
+	119	166
+	3	121	167	psDrawFilled
+	opaqueGC
+	117	166
+	119	166
+	3	121	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	163
+	103	163
+	3	101	162	psDrawFilled
+	opaqueGC
+	105	163
+	103	163
+	3	101	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	163
+	105	163
+	3	107	164	psDrawFilled
+	opaqueGC
+	103	163
+	105	163
+	3	107	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	160
+	89	160
+	3	87	159	psDrawFilled
+	opaqueGC
+	91	160
+	89	160
+	3	87	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	160
+	91	160
+	3	93	161	psDrawFilled
+	opaqueGC
+	89	160
+	91	160
+	3	93	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	182
+	144	183
+	3	142	181	psDrawFilled
+	opaqueGC
+	146	182
+	144	183
+	3	142	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	183
+	146	182
+	3	148	184	psDrawFilled
+	opaqueGC
+	144	183
+	146	182
+	3	148	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	193
+	172	195
+	3	170	193	psDrawFilled
+	opaqueGC
+	174	193
+	172	195
+	3	170	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	195
+	174	193
+	3	176	195	psDrawFilled
+	opaqueGC
+	172	195
+	174	193
+	3	176	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	176
+	137	177
+	3	135	175	psDrawFilled
+	opaqueGC
+	139	176
+	137	177
+	3	135	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	177
+	139	176
+	3	140	179	psDrawFilled
+	opaqueGC
+	137	177
+	139	176
+	3	140	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	171
+	129	172
+	3	127	170	psDrawFilled
+	opaqueGC
+	131	171
+	129	172
+	3	127	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	172
+	131	171
+	3	133	173	psDrawFilled
+	opaqueGC
+	129	172
+	131	171
+	3	133	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	168
+	123	169
+	3	121	167	psDrawFilled
+	opaqueGC
+	125	168
+	123	169
+	3	121	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	169
+	125	168
+	3	127	170	psDrawFilled
+	opaqueGC
+	123	169
+	125	168
+	3	127	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	187
+	152	189
+	3	150	186	psDrawFilled
+	opaqueGC
+	154	187
+	152	189
+	3	150	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	189
+	154	187
+	3	156	189	psDrawFilled
+	opaqueGC
+	152	189
+	154	187
+	3	156	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	193
+	168	194
+	3	166	192	psDrawFilled
+	opaqueGC
+	170	193
+	168	194
+	3	166	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	194
+	170	193
+	3	172	195	psDrawFilled
+	opaqueGC
+	168	194
+	170	193
+	3	172	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	70
+	167	70
+	3	168	107	psDrawFilled
+	opaqueGC
+	165	70
+	167	70
+	3	168	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	107
+	166	106
+	3	165	70	psDrawFilled
+	opaqueGC
+	168	107
+	166	106
+	3	165	70	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	190
+	158	191
+	3	156	189	psDrawFilled
+	opaqueGC
+	160	190
+	158	191
+	3	156	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	191
+	160	190
+	3	162	192	psDrawFilled
+	opaqueGC
+	158	191
+	160	190
+	3	162	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	165
+	113	166
+	3	111	164	psDrawFilled
+	opaqueGC
+	115	165
+	113	166
+	3	111	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	166
+	115	165
+	3	117	166	psDrawFilled
+	opaqueGC
+	113	166
+	115	165
+	3	117	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	157
+	75	156
+	3	74	155	psDrawFilled
+	opaqueGC
+	78	157
+	75	156
+	3	74	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	156
+	78	157
+	3	79	157	psDrawFilled
+	opaqueGC
+	75	156
+	78	157
+	3	79	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	195	195
+	194	197
+	3	191	195	psDrawFilled
+	opaqueGC
+	195	195
+	194	197
+	3	191	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	162
+	99	162
+	3	97	161	psDrawFilled
+	opaqueGC
+	101	162
+	99	162
+	3	97	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	162
+	101	162
+	3	103	163	psDrawFilled
+	opaqueGC
+	99	162
+	101	162
+	3	103	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	191	195
+	190	197
+	3	188	195	psDrawFilled
+	opaqueGC
+	191	195
+	190	197
+	3	188	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	197
+	191	195
+	3	194	197	psDrawFilled
+	opaqueGC
+	190	197
+	191	195
+	3	194	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	184
+	146	185
+	3	144	183	psDrawFilled
+	opaqueGC
+	148	184
+	146	185
+	3	144	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	185
+	148	184
+	3	150	186	psDrawFilled
+	opaqueGC
+	146	185
+	148	184
+	3	150	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	195
+	186	197
+	3	184	195	psDrawFilled
+	opaqueGC
+	188	195
+	186	197
+	3	184	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	197
+	188	195
+	3	190	197	psDrawFilled
+	opaqueGC
+	186	197
+	188	195
+	3	190	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	179
+	138	180
+	3	137	177	psDrawFilled
+	opaqueGC
+	140	179
+	138	180
+	3	137	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	180
+	140	179
+	3	142	181	psDrawFilled
+	opaqueGC
+	138	180
+	140	179
+	3	142	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	115
+	160	118
+	3	158	106	psDrawFilled
+	opaqueGC
+	162	115
+	160	118
+	3	158	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	107
+	158	106
+	3	160	118	psDrawFilled
+	opaqueGC
+	156	107
+	158	106
+	3	160	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	118
+	158	118
+	3	156	107	psDrawFilled
+	opaqueGC
+	160	118
+	158	118
+	3	156	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	131
+	140	117
+	3	142	119	psDrawFilled
+	opaqueGC
+	139	131
+	140	117
+	3	142	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	119
+	140	133
+	3	139	131	psDrawFilled
+	opaqueGC
+	142	119
+	140	133
+	3	139	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	126
+	142	137
+	3	140	133	psDrawFilled
+	opaqueGC
+	144	126
+	142	137
+	3	140	133	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	137
+	144	126
+	3	146	135	psDrawFilled
+	opaqueGC
+	142	137
+	144	126
+	3	146	135	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	131
+	152	134
+	3	150	118	psDrawFilled
+	opaqueGC
+	154	131
+	152	134
+	3	150	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	127
+	150	118
+	3	152	134	psDrawFilled
+	opaqueGC
+	148	127
+	150	118
+	3	152	134	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	195
+	182	197
+	3	180	195	psDrawFilled
+	opaqueGC
+	184	195
+	182	197
+	3	180	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	197
+	184	195
+	3	186	197	psDrawFilled
+	opaqueGC
+	182	197
+	184	195
+	3	186	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	192
+	164	194
+	3	162	192	psDrawFilled
+	opaqueGC
+	166	192
+	164	194
+	3	162	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	194
+	166	192
+	3	168	194	psDrawFilled
+	opaqueGC
+	164	194
+	166	192
+	3	168	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	159
+	85	158
+	3	83	158	psDrawFilled
+	opaqueGC
+	87	159
+	85	158
+	3	83	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	158
+	87	159
+	3	89	160	psDrawFilled
+	opaqueGC
+	85	158
+	87	159
+	3	89	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	173
+	131	174
+	3	129	172	psDrawFilled
+	opaqueGC
+	133	173
+	131	174
+	3	129	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	174
+	133	173
+	3	135	175	psDrawFilled
+	opaqueGC
+	131	174
+	133	173
+	3	135	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	110
+	162	115
+	3	160	100	psDrawFilled
+	opaqueGC
+	164	110
+	162	115
+	3	160	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	106
+	160	100
+	3	162	115	psDrawFilled
+	opaqueGC
+	158	106
+	160	100
+	3	162	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	118
+	152	114
+	3	154	131	psDrawFilled
+	opaqueGC
+	150	118
+	152	114
+	3	154	131	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	195
+	178	196
+	3	176	195	psDrawFilled
+	opaqueGC
+	180	195
+	178	196
+	3	176	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	196
+	180	195
+	3	182	197	psDrawFilled
+	opaqueGC
+	178	196
+	180	195
+	3	182	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	167
+	119	168
+	3	117	166	psDrawFilled
+	opaqueGC
+	121	167
+	119	168
+	3	117	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	168
+	121	167
+	3	123	169	psDrawFilled
+	opaqueGC
+	119	168
+	121	167
+	3	123	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	164
+	109	165
+	3	107	164	psDrawFilled
+	opaqueGC
+	111	164
+	109	165
+	3	107	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	165
+	111	164
+	3	113	166	psDrawFilled
+	opaqueGC
+	109	165
+	111	164
+	3	113	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	189
+	154	191
+	3	152	189	psDrawFilled
+	opaqueGC
+	156	189
+	154	191
+	3	152	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	191
+	156	189
+	3	158	191	psDrawFilled
+	opaqueGC
+	154	191
+	156	189
+	3	158	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	170
+	125	171
+	3	123	169	psDrawFilled
+	opaqueGC
+	127	170
+	125	171
+	3	123	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	171
+	127	170
+	3	129	172	psDrawFilled
+	opaqueGC
+	125	171
+	127	170
+	3	129	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	181
+	140	182
+	3	138	180	psDrawFilled
+	opaqueGC
+	142	181
+	140	182
+	3	138	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	182
+	142	181
+	3	144	183	psDrawFilled
+	opaqueGC
+	140	182
+	142	181
+	3	144	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	195
+	174	196
+	3	172	195	psDrawFilled
+	opaqueGC
+	176	195
+	174	196
+	3	172	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	196
+	176	195
+	3	178	196	psDrawFilled
+	opaqueGC
+	174	196
+	176	195
+	3	178	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	186
+	148	188
+	3	146	185	psDrawFilled
+	opaqueGC
+	150	186
+	148	188
+	3	146	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	188
+	150	186
+	3	152	189	psDrawFilled
+	opaqueGC
+	148	188
+	150	186
+	3	152	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	161
+	95	161
+	3	93	161	psDrawFilled
+	opaqueGC
+	97	161
+	95	161
+	3	93	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	161
+	97	161
+	3	99	162	psDrawFilled
+	opaqueGC
+	95	161
+	97	161
+	3	99	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	192
+	160	193
+	3	158	191	psDrawFilled
+	opaqueGC
+	162	192
+	160	193
+	3	158	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	193
+	162	192
+	3	164	194	psDrawFilled
+	opaqueGC
+	160	193
+	162	192
+	3	164	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	139	120
+	140	111
+	3	142	80	psDrawFilled
+	opaqueGC
+	139	120
+	140	111
+	3	142	80	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	80
+	140	105
+	3	139	120	psDrawFilled
+	opaqueGC
+	142	80
+	140	105
+	3	139	120	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	175
+	133	176
+	3	131	174	psDrawFilled
+	opaqueGC
+	135	175
+	133	176
+	3	131	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	176
+	135	175
+	3	137	177	psDrawFilled
+	opaqueGC
+	133	176
+	135	175
+	3	137	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	92
+	165	59
+	3	162	86	psDrawFilled
+	opaqueGC
+	166	92
+	165	59
+	3	162	86	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	59
+	166	92
+	3	168	93	psDrawFilled
+	opaqueGC
+	165	59
+	166	92
+	3	168	93	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	195
+	170	196
+	3	168	194	psDrawFilled
+	opaqueGC
+	172	195
+	170	196
+	3	168	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	196
+	172	195
+	3	174	196	psDrawFilled
+	opaqueGC
+	170	196
+	172	195
+	3	174	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	164
+	105	164
+	3	103	163	psDrawFilled
+	opaqueGC
+	107	164
+	105	164
+	3	103	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	164
+	107	164
+	3	109	165	psDrawFilled
+	opaqueGC
+	105	164
+	107	164
+	3	109	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	74	155
+	71	154
+	3	70	154	psDrawFilled
+	opaqueGC
+	74	155
+	71	154
+	3	70	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	71	154
+	74	155
+	3	75	156	psDrawFilled
+	opaqueGC
+	71	154
+	74	155
+	3	75	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	183
+	142	184
+	3	140	182	psDrawFilled
+	opaqueGC
+	144	183
+	142	184
+	3	140	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	184
+	144	183
+	3	146	185	psDrawFilled
+	opaqueGC
+	142	184
+	144	183
+	3	146	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	166
+	115	167
+	3	113	166	psDrawFilled
+	opaqueGC
+	117	166
+	115	167
+	3	113	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	167
+	117	166
+	3	119	168	psDrawFilled
+	opaqueGC
+	115	167
+	117	166
+	3	119	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	158
+	81	157
+	3	79	157	psDrawFilled
+	opaqueGC
+	83	158
+	81	157
+	3	79	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	157
+	83	158
+	3	85	158	psDrawFilled
+	opaqueGC
+	81	157
+	83	158
+	3	85	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	194
+	166	196
+	3	164	194	psDrawFilled
+	opaqueGC
+	168	194
+	166	196
+	3	164	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	196
+	168	194
+	3	170	196	psDrawFilled
+	opaqueGC
+	166	196
+	168	194
+	3	170	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	194	197
+	192	198
+	3	190	197	psDrawFilled
+	opaqueGC
+	194	197
+	192	198
+	3	190	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	177
+	135	179
+	3	133	176	psDrawFilled
+	opaqueGC
+	137	177
+	135	179
+	3	133	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	179
+	137	177
+	3	138	180	psDrawFilled
+	opaqueGC
+	135	179
+	137	177
+	3	138	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	172
+	127	173
+	3	125	171	psDrawFilled
+	opaqueGC
+	129	172
+	127	173
+	3	125	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	173
+	129	172
+	3	131	174	psDrawFilled
+	opaqueGC
+	127	173
+	129	172
+	3	131	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	197
+	188	198
+	3	186	197	psDrawFilled
+	opaqueGC
+	190	197
+	188	198
+	3	186	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	198
+	190	197
+	3	192	198	psDrawFilled
+	opaqueGC
+	188	198
+	190	197
+	3	192	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	189
+	150	190
+	3	148	188	psDrawFilled
+	opaqueGC
+	152	189
+	150	190
+	3	148	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	190
+	152	189
+	3	154	191	psDrawFilled
+	opaqueGC
+	150	190
+	152	189
+	3	154	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	191
+	156	193
+	3	154	191	psDrawFilled
+	opaqueGC
+	158	191
+	156	193
+	3	154	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	193
+	158	191
+	3	160	193	psDrawFilled
+	opaqueGC
+	156	193
+	158	191
+	3	160	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	197
+	184	198
+	3	182	197	psDrawFilled
+	opaqueGC
+	186	197
+	184	198
+	3	182	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	198
+	186	197
+	3	188	198	psDrawFilled
+	opaqueGC
+	184	198
+	186	197
+	3	188	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	169
+	121	170
+	3	119	168	psDrawFilled
+	opaqueGC
+	123	169
+	121	170
+	3	119	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	170
+	123	169
+	3	125	171	psDrawFilled
+	opaqueGC
+	121	170
+	123	169
+	3	125	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	133
+	142	119
+	3	144	126	psDrawFilled
+	opaqueGC
+	140	133
+	142	119
+	3	144	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	161
+	91	160
+	3	89	160	psDrawFilled
+	opaqueGC
+	93	161
+	91	160
+	3	89	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	160
+	93	161
+	3	95	161	psDrawFilled
+	opaqueGC
+	91	160
+	93	161
+	3	95	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	197
+	180	198
+	3	178	196	psDrawFilled
+	opaqueGC
+	182	197
+	180	198
+	3	178	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	198
+	182	197
+	3	184	198	psDrawFilled
+	opaqueGC
+	180	198
+	182	197
+	3	184	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	127
+	146	135
+	3	144	126	psDrawFilled
+	opaqueGC
+	148	127
+	146	135
+	3	144	126	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	185
+	144	187
+	3	142	184	psDrawFilled
+	opaqueGC
+	146	185
+	144	187
+	3	142	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	187
+	146	185
+	3	148	188	psDrawFilled
+	opaqueGC
+	144	187
+	146	185
+	3	148	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	194
+	162	195
+	3	160	193	psDrawFilled
+	opaqueGC
+	164	194
+	162	195
+	3	160	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	195
+	164	194
+	3	166	196	psDrawFilled
+	opaqueGC
+	162	195
+	164	194
+	3	166	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	196
+	176	198
+	3	174	196	psDrawFilled
+	opaqueGC
+	178	196
+	176	198
+	3	174	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	198
+	178	196
+	3	180	198	psDrawFilled
+	opaqueGC
+	176	198
+	178	196
+	3	180	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	180
+	137	181
+	3	135	179	psDrawFilled
+	opaqueGC
+	138	180
+	137	181
+	3	135	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	181
+	138	180
+	3	140	182	psDrawFilled
+	opaqueGC
+	137	181
+	138	180
+	3	140	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	163
+	101	163
+	3	99	162	psDrawFilled
+	opaqueGC
+	103	163
+	101	163
+	3	99	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	163
+	103	163
+	3	105	164	psDrawFilled
+	opaqueGC
+	101	163
+	103	163
+	3	105	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	106
+	164	110
+	3	162	88	psDrawFilled
+	opaqueGC
+	166	106
+	164	110
+	3	162	88	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	100
+	162	88
+	3	164	110	psDrawFilled
+	opaqueGC
+	160	100
+	162	88
+	3	164	110	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	103
+	156	107
+	3	158	118	psDrawFilled
+	opaqueGC
+	154	103
+	156	107
+	3	158	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	118
+	156	117
+	3	154	103	psDrawFilled
+	opaqueGC
+	158	118
+	156	117
+	3	154	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	166
+	111	166
+	3	109	165	psDrawFilled
+	opaqueGC
+	113	166
+	111	166
+	3	109	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	166
+	113	166
+	3	115	167	psDrawFilled
+	opaqueGC
+	111	166
+	113	166
+	3	115	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	174
+	129	175
+	3	127	173	psDrawFilled
+	opaqueGC
+	131	174
+	129	175
+	3	127	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	175
+	131	174
+	3	133	176	psDrawFilled
+	opaqueGC
+	129	175
+	131	174
+	3	133	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	196
+	172	198
+	3	170	196	psDrawFilled
+	opaqueGC
+	174	196
+	172	198
+	3	170	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	198
+	174	196
+	3	176	198	psDrawFilled
+	opaqueGC
+	172	198
+	174	196
+	3	176	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	191
+	152	192
+	3	150	190	psDrawFilled
+	opaqueGC
+	154	191
+	152	192
+	3	150	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	192
+	154	191
+	3	156	193	psDrawFilled
+	opaqueGC
+	152	192
+	154	191
+	3	156	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	93
+	167	61
+	3	165	59	psDrawFilled
+	opaqueGC
+	168	93
+	167	61
+	3	165	59	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	193
+	158	195
+	3	156	193	psDrawFilled
+	opaqueGC
+	160	193
+	158	195
+	3	156	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	195
+	160	193
+	3	162	195	psDrawFilled
+	opaqueGC
+	158	195
+	160	193
+	3	162	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	182
+	138	183
+	3	137	181	psDrawFilled
+	opaqueGC
+	140	182
+	138	183
+	3	137	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	183
+	140	182
+	3	142	184	psDrawFilled
+	opaqueGC
+	138	183
+	140	182
+	3	142	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	188
+	146	189
+	3	144	187	psDrawFilled
+	opaqueGC
+	148	188
+	146	189
+	3	144	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	189
+	148	188
+	3	150	190	psDrawFilled
+	opaqueGC
+	146	189
+	148	188
+	3	150	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	171
+	123	172
+	3	121	170	psDrawFilled
+	opaqueGC
+	125	171
+	123	172
+	3	121	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	172
+	125	171
+	3	127	173	psDrawFilled
+	opaqueGC
+	123	172
+	125	171
+	3	127	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	168
+	117	169
+	3	115	167	psDrawFilled
+	opaqueGC
+	119	168
+	117	169
+	3	115	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	169
+	119	168
+	3	121	170	psDrawFilled
+	opaqueGC
+	117	169
+	119	168
+	3	121	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	196
+	168	197
+	3	166	196	psDrawFilled
+	opaqueGC
+	170	196
+	168	197
+	3	166	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	197
+	170	196
+	3	172	198	psDrawFilled
+	opaqueGC
+	168	197
+	170	196
+	3	172	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	157
+	77	156
+	3	75	156	psDrawFilled
+	opaqueGC
+	79	157
+	77	156
+	3	75	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	156
+	79	157
+	3	81	157	psDrawFilled
+	opaqueGC
+	77	156
+	79	157
+	3	81	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	160
+	87	159
+	3	85	158	psDrawFilled
+	opaqueGC
+	89	160
+	87	159
+	3	85	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	159
+	89	160
+	3	91	160	psDrawFilled
+	opaqueGC
+	87	159
+	89	160
+	3	91	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	176
+	131	177
+	3	129	175	psDrawFilled
+	opaqueGC
+	133	176
+	131	177
+	3	129	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	177
+	133	176
+	3	135	179	psDrawFilled
+	opaqueGC
+	131	177
+	133	176
+	3	135	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	192	198
+	190	200
+	3	188	198	psDrawFilled
+	opaqueGC
+	192	198
+	190	200
+	3	188	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	162
+	97	162
+	3	95	161	psDrawFilled
+	opaqueGC
+	99	162
+	97	162
+	3	95	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	162
+	99	162
+	3	101	163	psDrawFilled
+	opaqueGC
+	97	162
+	99	162
+	3	101	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	165
+	107	165
+	3	105	164	psDrawFilled
+	opaqueGC
+	109	165
+	107	165
+	3	105	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	165
+	109	165
+	3	111	166	psDrawFilled
+	opaqueGC
+	107	165
+	109	165
+	3	111	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	198
+	186	200
+	3	184	198	psDrawFilled
+	opaqueGC
+	188	198
+	186	200
+	3	184	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	200
+	188	198
+	3	190	200	psDrawFilled
+	opaqueGC
+	186	200
+	188	198
+	3	190	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	196
+	164	197
+	3	162	195	psDrawFilled
+	opaqueGC
+	166	196
+	164	197
+	3	162	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	197
+	166	196
+	3	168	197	psDrawFilled
+	opaqueGC
+	164	197
+	166	196
+	3	168	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	198
+	182	200
+	3	180	198	psDrawFilled
+	opaqueGC
+	184	198
+	182	200
+	3	180	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	200
+	184	198
+	3	186	200	psDrawFilled
+	opaqueGC
+	182	200
+	184	198
+	3	186	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	184
+	140	185
+	3	138	183	psDrawFilled
+	opaqueGC
+	142	184
+	140	185
+	3	138	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	185
+	142	184
+	3	144	187	psDrawFilled
+	opaqueGC
+	140	185
+	142	184
+	3	144	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	88
+	165	70
+	3	166	106	psDrawFilled
+	opaqueGC
+	162	88
+	165	70
+	3	166	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	193
+	154	194
+	3	152	192	psDrawFilled
+	opaqueGC
+	156	193
+	154	194
+	3	152	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	194
+	156	193
+	3	158	195	psDrawFilled
+	opaqueGC
+	154	194
+	156	193
+	3	158	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	198
+	178	200
+	3	176	198	psDrawFilled
+	opaqueGC
+	180	198
+	178	200
+	3	176	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	200
+	180	198
+	3	182	200	psDrawFilled
+	opaqueGC
+	178	200
+	180	198
+	3	182	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	190
+	148	191
+	3	146	189	psDrawFilled
+	opaqueGC
+	150	190
+	148	191
+	3	146	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	191
+	150	190
+	3	152	192	psDrawFilled
+	opaqueGC
+	148	191
+	150	190
+	3	152	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	179
+	133	180
+	3	131	177	psDrawFilled
+	opaqueGC
+	135	179
+	133	180
+	3	131	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	180
+	135	179
+	3	137	181	psDrawFilled
+	opaqueGC
+	133	180
+	135	179
+	3	137	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	173
+	125	174
+	3	123	172	psDrawFilled
+	opaqueGC
+	127	173
+	125	174
+	3	123	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	174
+	127	173
+	3	129	175	psDrawFilled
+	opaqueGC
+	125	174
+	127	173
+	3	129	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	198
+	174	199
+	3	172	198	psDrawFilled
+	opaqueGC
+	176	198
+	174	199
+	3	172	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	199
+	176	198
+	3	178	200	psDrawFilled
+	opaqueGC
+	174	199
+	176	198
+	3	178	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	167
+	113	168
+	3	111	166	psDrawFilled
+	opaqueGC
+	115	167
+	113	168
+	3	111	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	168
+	115	167
+	3	117	169	psDrawFilled
+	opaqueGC
+	113	168
+	115	167
+	3	117	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	195
+	160	196
+	3	158	195	psDrawFilled
+	opaqueGC
+	162	195
+	160	196
+	3	158	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	196
+	162	195
+	3	164	197	psDrawFilled
+	opaqueGC
+	160	196
+	162	195
+	3	164	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	170
+	119	171
+	3	117	169	psDrawFilled
+	opaqueGC
+	121	170
+	119	171
+	3	117	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	171
+	121	170
+	3	123	172	psDrawFilled
+	opaqueGC
+	119	171
+	121	170
+	3	123	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	187
+	142	188
+	3	140	185	psDrawFilled
+	opaqueGC
+	144	187
+	142	188
+	3	140	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	188
+	144	187
+	3	146	189	psDrawFilled
+	opaqueGC
+	142	188
+	144	187
+	3	146	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	198
+	170	199
+	3	168	197	psDrawFilled
+	opaqueGC
+	172	198
+	170	199
+	3	168	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	199
+	172	198
+	3	174	199	psDrawFilled
+	opaqueGC
+	170	199
+	172	198
+	3	174	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	137	181
+	135	182
+	3	133	180	psDrawFilled
+	opaqueGC
+	137	181
+	135	182
+	3	133	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	182
+	137	181
+	3	138	183	psDrawFilled
+	opaqueGC
+	135	182
+	137	181
+	3	138	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	164
+	103	164
+	3	101	163	psDrawFilled
+	opaqueGC
+	105	164
+	103	164
+	3	101	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	164
+	105	164
+	3	107	165	psDrawFilled
+	opaqueGC
+	103	164
+	105	164
+	3	107	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	161
+	93	161
+	3	91	160	psDrawFilled
+	opaqueGC
+	95	161
+	93	161
+	3	91	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	161
+	95	161
+	3	97	162	psDrawFilled
+	opaqueGC
+	93	161
+	95	161
+	3	97	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	158
+	83	158
+	3	81	157	psDrawFilled
+	opaqueGC
+	85	158
+	83	158
+	3	81	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	158
+	85	158
+	3	87	159	psDrawFilled
+	opaqueGC
+	83	158
+	85	158
+	3	87	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	175
+	127	176
+	3	125	174	psDrawFilled
+	opaqueGC
+	129	175
+	127	176
+	3	125	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	176
+	129	175
+	3	131	177	psDrawFilled
+	opaqueGC
+	127	176
+	129	175
+	3	131	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	156
+	73	154
+	3	71	154	psDrawFilled
+	opaqueGC
+	75	156
+	73	154
+	3	71	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	73	154
+	75	156
+	3	77	156	psDrawFilled
+	opaqueGC
+	73	154
+	75	156
+	3	77	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	192
+	150	193
+	3	148	191	psDrawFilled
+	opaqueGC
+	152	192
+	150	193
+	3	148	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	193
+	152	192
+	3	154	194	psDrawFilled
+	opaqueGC
+	150	193
+	152	192
+	3	154	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	197
+	166	199
+	3	164	197	psDrawFilled
+	opaqueGC
+	168	197
+	166	199
+	3	164	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	199
+	168	197
+	3	170	199	psDrawFilled
+	opaqueGC
+	166	199
+	168	197
+	3	170	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	195
+	156	196
+	3	154	194	psDrawFilled
+	opaqueGC
+	158	195
+	156	196
+	3	154	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	196
+	158	195
+	3	160	196	psDrawFilled
+	opaqueGC
+	156	196
+	158	195
+	3	160	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	122
+	140	105
+	3	142	85	psDrawFilled
+	opaqueGC
+	138	122
+	140	105
+	3	142	85	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	85
+	140	117
+	3	138	122	psDrawFilled
+	opaqueGC
+	142	85
+	140	117
+	3	138	122	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	98
+	146	87
+	3	144	108	psDrawFilled
+	opaqueGC
+	148	98
+	146	87
+	3	144	108	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	107
+	144	108
+	3	146	87	psDrawFilled
+	opaqueGC
+	142	107
+	144	108
+	3	146	87	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	190	200
+	188	202
+	3	186	200	psDrawFilled
+	opaqueGC
+	190	200
+	188	202
+	3	186	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	189
+	144	190
+	3	142	188	psDrawFilled
+	opaqueGC
+	146	189
+	144	190
+	3	142	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	190
+	146	189
+	3	148	191	psDrawFilled
+	opaqueGC
+	144	190
+	146	189
+	3	148	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	200
+	184	201
+	3	182	200	psDrawFilled
+	opaqueGC
+	186	200
+	184	201
+	3	182	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	201
+	186	200
+	3	188	202	psDrawFilled
+	opaqueGC
+	184	201
+	186	200
+	3	188	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	183
+	136	184
+	3	135	182	psDrawFilled
+	opaqueGC
+	138	183
+	136	184
+	3	135	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	184
+	138	183
+	3	140	185	psDrawFilled
+	opaqueGC
+	136	184
+	138	183
+	3	140	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	166
+	109	167
+	3	107	165	psDrawFilled
+	opaqueGC
+	111	166
+	109	167
+	3	107	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	167
+	111	166
+	3	113	168	psDrawFilled
+	opaqueGC
+	109	167
+	111	166
+	3	113	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	200
+	180	201
+	3	178	200	psDrawFilled
+	opaqueGC
+	182	200
+	180	201
+	3	178	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	201
+	182	200
+	3	184	201	psDrawFilled
+	opaqueGC
+	180	201
+	182	200
+	3	184	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	197
+	162	198
+	3	160	196	psDrawFilled
+	opaqueGC
+	164	197
+	162	198
+	3	160	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	198
+	164	197
+	3	166	199	psDrawFilled
+	opaqueGC
+	162	198
+	164	197
+	3	166	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	172
+	121	173
+	3	119	171	psDrawFilled
+	opaqueGC
+	123	172
+	121	173
+	3	119	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	173
+	123	172
+	3	125	174	psDrawFilled
+	opaqueGC
+	121	173
+	123	172
+	3	125	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	102
+	154	96
+	3	156	87	psDrawFilled
+	opaqueGC
+	152	102
+	154	96
+	3	156	87	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	87
+	154	96
+	3	152	102	psDrawFilled
+	opaqueGC
+	156	87
+	154	96
+	3	152	102	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	103
+	152	102
+	3	154	96	psDrawFilled
+	opaqueGC
+	150	103
+	152	102
+	3	154	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	177
+	129	178
+	3	127	176	psDrawFilled
+	opaqueGC
+	131	177
+	129	178
+	3	127	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	178
+	131	177
+	3	133	180	psDrawFilled
+	opaqueGC
+	129	178
+	131	177
+	3	133	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	200
+	176	201
+	3	174	199	psDrawFilled
+	opaqueGC
+	178	200
+	176	201
+	3	174	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	201
+	178	200
+	3	180	201	psDrawFilled
+	opaqueGC
+	176	201
+	178	200
+	3	180	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	169
+	115	169
+	3	113	168	psDrawFilled
+	opaqueGC
+	117	169
+	115	169
+	3	113	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	169
+	117	169
+	3	119	171	psDrawFilled
+	opaqueGC
+	115	169
+	117	169
+	3	119	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	163
+	99	163
+	3	97	162	psDrawFilled
+	opaqueGC
+	101	163
+	99	163
+	3	97	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	163
+	101	163
+	3	103	164	psDrawFilled
+	opaqueGC
+	99	163
+	101	163
+	3	103	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	194
+	152	195
+	3	150	193	psDrawFilled
+	opaqueGC
+	154	194
+	152	195
+	3	150	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	195
+	154	194
+	3	156	196	psDrawFilled
+	opaqueGC
+	152	195
+	154	194
+	3	156	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	199
+	172	201
+	3	170	199	psDrawFilled
+	opaqueGC
+	174	199
+	172	201
+	3	170	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	201
+	174	199
+	3	176	201	psDrawFilled
+	opaqueGC
+	172	201
+	174	199
+	3	176	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	185
+	138	186
+	3	136	184	psDrawFilled
+	opaqueGC
+	140	185
+	138	186
+	3	136	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	186
+	140	185
+	3	142	188	psDrawFilled
+	opaqueGC
+	138	186
+	140	185
+	3	142	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	160
+	89	160
+	3	87	159	psDrawFilled
+	opaqueGC
+	91	160
+	89	160
+	3	87	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	160
+	91	160
+	3	93	161	psDrawFilled
+	opaqueGC
+	89	160
+	91	160
+	3	93	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	191
+	146	192
+	3	144	190	psDrawFilled
+	opaqueGC
+	148	191
+	146	192
+	3	144	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	192
+	148	191
+	3	150	193	psDrawFilled
+	opaqueGC
+	146	192
+	148	191
+	3	150	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	196
+	158	198
+	3	156	196	psDrawFilled
+	opaqueGC
+	160	196
+	158	198
+	3	156	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	198
+	160	196
+	3	162	198	psDrawFilled
+	opaqueGC
+	158	198
+	160	196
+	3	162	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	199
+	168	201
+	3	166	199	psDrawFilled
+	opaqueGC
+	170	199
+	168	201
+	3	166	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	201
+	170	199
+	3	172	201	psDrawFilled
+	opaqueGC
+	168	201
+	170	199
+	3	172	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	133	180
+	131	180
+	3	129	178	psDrawFilled
+	opaqueGC
+	133	180
+	131	180
+	3	129	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	180
+	133	180
+	3	135	182	psDrawFilled
+	opaqueGC
+	131	180
+	133	180
+	3	135	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	157
+	79	156
+	3	77	156	psDrawFilled
+	opaqueGC
+	81	157
+	79	156
+	3	77	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	156
+	81	157
+	3	83	158	psDrawFilled
+	opaqueGC
+	79	156
+	81	157
+	3	83	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	174
+	123	175
+	3	121	173	psDrawFilled
+	opaqueGC
+	125	174
+	123	175
+	3	121	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	175
+	125	174
+	3	127	176	psDrawFilled
+	opaqueGC
+	123	175
+	125	174
+	3	127	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	165
+	105	165
+	3	103	164	psDrawFilled
+	opaqueGC
+	107	165
+	105	165
+	3	103	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	165
+	107	165
+	3	109	167	psDrawFilled
+	opaqueGC
+	105	165
+	107	165
+	3	109	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	188
+	140	189
+	3	138	186	psDrawFilled
+	opaqueGC
+	142	188
+	140	189
+	3	138	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	189
+	142	188
+	3	144	190	psDrawFilled
+	opaqueGC
+	140	189
+	142	188
+	3	144	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	199
+	164	200
+	3	162	198	psDrawFilled
+	opaqueGC
+	166	199
+	164	200
+	3	162	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	200
+	166	199
+	3	168	201	psDrawFilled
+	opaqueGC
+	164	200
+	166	199
+	3	168	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	188	202
+	186	203
+	3	184	201	psDrawFilled
+	opaqueGC
+	188	202
+	186	203
+	3	184	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	171
+	117	171
+	3	115	169	psDrawFilled
+	opaqueGC
+	119	171
+	117	171
+	3	115	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	171
+	119	171
+	3	121	173	psDrawFilled
+	opaqueGC
+	117	171
+	119	171
+	3	121	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	201
+	182	203
+	3	180	201	psDrawFilled
+	opaqueGC
+	184	201
+	182	203
+	3	180	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	203
+	184	201
+	3	186	203	psDrawFilled
+	opaqueGC
+	182	203
+	184	201
+	3	186	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	135	182
+	132	183
+	3	131	180	psDrawFilled
+	opaqueGC
+	135	182
+	132	183
+	3	131	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	183
+	135	182
+	3	136	184	psDrawFilled
+	opaqueGC
+	132	183
+	135	182
+	3	136	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	196
+	154	197
+	3	152	195	psDrawFilled
+	opaqueGC
+	156	196
+	154	197
+	3	152	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	197
+	156	196
+	3	158	198	psDrawFilled
+	opaqueGC
+	154	197
+	156	196
+	3	158	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	193
+	148	194
+	3	146	192	psDrawFilled
+	opaqueGC
+	150	193
+	148	194
+	3	146	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	194
+	150	193
+	3	152	195	psDrawFilled
+	opaqueGC
+	148	194
+	150	193
+	3	152	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	168
+	111	168
+	3	109	167	psDrawFilled
+	opaqueGC
+	113	168
+	111	168
+	3	109	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	168
+	113	168
+	3	115	169	psDrawFilled
+	opaqueGC
+	111	168
+	113	168
+	3	115	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	92
+	154	103
+	3	156	117	psDrawFilled
+	opaqueGC
+	152	92
+	154	103
+	3	156	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	117
+	154	115
+	3	152	92	psDrawFilled
+	opaqueGC
+	156	117
+	154	115
+	3	152	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	201
+	178	203
+	3	176	201	psDrawFilled
+	opaqueGC
+	180	201
+	178	203
+	3	176	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	203
+	180	201
+	3	182	203	psDrawFilled
+	opaqueGC
+	178	203
+	180	201
+	3	182	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	162
+	95	162
+	3	93	161	psDrawFilled
+	opaqueGC
+	97	162
+	95	162
+	3	93	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	162
+	97	162
+	3	99	163	psDrawFilled
+	opaqueGC
+	95	162
+	97	162
+	3	99	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	176
+	125	177
+	3	123	175	psDrawFilled
+	opaqueGC
+	127	176
+	125	177
+	3	123	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	177
+	127	176
+	3	129	178	psDrawFilled
+	opaqueGC
+	125	177
+	127	176
+	3	129	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	198
+	160	200
+	3	158	198	psDrawFilled
+	opaqueGC
+	162	198
+	160	200
+	3	158	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	200
+	162	198
+	3	164	200	psDrawFilled
+	opaqueGC
+	160	200
+	162	198
+	3	164	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	201
+	174	203
+	3	172	201	psDrawFilled
+	opaqueGC
+	176	201
+	174	203
+	3	172	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	203
+	176	201
+	3	178	203	psDrawFilled
+	opaqueGC
+	174	203
+	176	201
+	3	178	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	190
+	142	191
+	3	140	189	psDrawFilled
+	opaqueGC
+	144	190
+	142	191
+	3	140	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	191
+	144	190
+	3	146	192	psDrawFilled
+	opaqueGC
+	142	191
+	144	190
+	3	146	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	159
+	85	158
+	3	83	158	psDrawFilled
+	opaqueGC
+	87	159
+	85	158
+	3	83	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	158
+	87	159
+	3	89	160	psDrawFilled
+	opaqueGC
+	85	158
+	87	159
+	3	89	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	184
+	134	185
+	3	132	183	psDrawFilled
+	opaqueGC
+	136	184
+	134	185
+	3	132	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	185
+	136	184
+	3	138	186	psDrawFilled
+	opaqueGC
+	134	185
+	136	184
+	3	138	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	201
+	170	202
+	3	168	201	psDrawFilled
+	opaqueGC
+	172	201
+	170	202
+	3	168	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	202
+	172	201
+	3	174	203	psDrawFilled
+	opaqueGC
+	170	202
+	172	201
+	3	174	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	96
+	152	97
+	3	150	103	psDrawFilled
+	opaqueGC
+	154	96
+	152	97
+	3	150	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	98
+	150	103
+	3	152	97	psDrawFilled
+	opaqueGC
+	148	98
+	150	103
+	3	152	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	195
+	150	196
+	3	148	194	psDrawFilled
+	opaqueGC
+	152	195
+	150	196
+	3	148	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	196
+	152	195
+	3	154	197	psDrawFilled
+	opaqueGC
+	150	196
+	152	195
+	3	154	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	164
+	101	164
+	3	99	163	psDrawFilled
+	opaqueGC
+	103	164
+	101	164
+	3	99	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	164
+	103	164
+	3	105	165	psDrawFilled
+	opaqueGC
+	101	164
+	103	164
+	3	105	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	129	178
+	127	179
+	3	125	177	psDrawFilled
+	opaqueGC
+	129	178
+	127	179
+	3	125	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	179
+	129	178
+	3	131	180	psDrawFilled
+	opaqueGC
+	127	179
+	129	178
+	3	131	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	173
+	119	173
+	3	117	171	psDrawFilled
+	opaqueGC
+	121	173
+	119	173
+	3	117	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	173
+	121	173
+	3	123	175	psDrawFilled
+	opaqueGC
+	119	173
+	121	173
+	3	123	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	111
+	142	107
+	3	144	73	psDrawFilled
+	opaqueGC
+	140	111
+	142	107
+	3	144	73	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	73
+	142	80
+	3	140	111	psDrawFilled
+	opaqueGC
+	144	73
+	142	80
+	3	140	111	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	198
+	156	199
+	3	154	197	psDrawFilled
+	opaqueGC
+	158	198
+	156	199
+	3	154	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	199
+	158	198
+	3	160	200	psDrawFilled
+	opaqueGC
+	156	199
+	158	198
+	3	160	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	201
+	166	202
+	3	164	200	psDrawFilled
+	opaqueGC
+	168	201
+	166	202
+	3	164	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	202
+	168	201
+	3	170	202	psDrawFilled
+	opaqueGC
+	166	202
+	168	201
+	3	170	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	77	156
+	75	154
+	3	73	154	psDrawFilled
+	opaqueGC
+	77	156
+	75	154
+	3	73	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	75	154
+	77	156
+	3	79	156	psDrawFilled
+	opaqueGC
+	75	154
+	77	156
+	3	79	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	66
+	162	86
+	3	165	59	psDrawFilled
+	opaqueGC
+	161	66
+	162	86
+	3	165	59	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	192
+	144	193
+	3	142	191	psDrawFilled
+	opaqueGC
+	146	192
+	144	193
+	3	142	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	193
+	146	192
+	3	148	194	psDrawFilled
+	opaqueGC
+	144	193
+	146	192
+	3	148	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	186
+	136	187
+	3	134	185	psDrawFilled
+	opaqueGC
+	138	186
+	136	187
+	3	134	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	187
+	138	186
+	3	140	189	psDrawFilled
+	opaqueGC
+	136	187
+	138	186
+	3	140	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	167
+	107	167
+	3	105	165	psDrawFilled
+	opaqueGC
+	109	167
+	107	167
+	3	105	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	167
+	109	167
+	3	111	168	psDrawFilled
+	opaqueGC
+	107	167
+	109	167
+	3	111	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	169
+	113	170
+	3	111	168	psDrawFilled
+	opaqueGC
+	115	169
+	113	170
+	3	111	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	170
+	115	169
+	3	117	171	psDrawFilled
+	opaqueGC
+	113	170
+	115	169
+	3	117	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	186	203
+	184	205
+	3	182	203	psDrawFilled
+	opaqueGC
+	186	203
+	184	205
+	3	182	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	200
+	162	202
+	3	160	200	psDrawFilled
+	opaqueGC
+	164	200
+	162	202
+	3	160	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	202
+	164	200
+	3	166	202	psDrawFilled
+	opaqueGC
+	162	202
+	164	200
+	3	166	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	203
+	180	204
+	3	178	203	psDrawFilled
+	opaqueGC
+	182	203
+	180	204
+	3	178	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	204
+	182	203
+	3	184	205	psDrawFilled
+	opaqueGC
+	180	204
+	182	203
+	3	184	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	161
+	91	160
+	3	89	160	psDrawFilled
+	opaqueGC
+	93	161
+	91	160
+	3	89	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	160
+	93	161
+	3	95	162	psDrawFilled
+	opaqueGC
+	91	160
+	93	161
+	3	95	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	131	180
+	128	181
+	3	127	179	psDrawFilled
+	opaqueGC
+	131	180
+	128	181
+	3	127	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	181
+	131	180
+	3	132	183	psDrawFilled
+	opaqueGC
+	128	181
+	131	180
+	3	132	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	203
+	176	204
+	3	174	203	psDrawFilled
+	opaqueGC
+	178	203
+	176	204
+	3	174	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	204
+	178	203
+	3	180	204	psDrawFilled
+	opaqueGC
+	176	204
+	178	203
+	3	180	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	189
+	138	190
+	3	136	187	psDrawFilled
+	opaqueGC
+	140	189
+	138	190
+	3	136	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	190
+	140	189
+	3	142	191	psDrawFilled
+	opaqueGC
+	138	190
+	140	189
+	3	142	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	197
+	152	198
+	3	150	196	psDrawFilled
+	opaqueGC
+	154	197
+	152	198
+	3	150	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	198
+	154	197
+	3	156	199	psDrawFilled
+	opaqueGC
+	152	198
+	154	197
+	3	156	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	175
+	121	175
+	3	119	173	psDrawFilled
+	opaqueGC
+	123	175
+	121	175
+	3	119	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	175
+	123	175
+	3	125	177	psDrawFilled
+	opaqueGC
+	121	175
+	123	175
+	3	125	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	96
+	156	84
+	3	159	60	psDrawFilled
+	opaqueGC
+	154	96
+	156	84
+	3	159	60	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	60
+	156	87
+	3	154	96	psDrawFilled
+	opaqueGC
+	159	60
+	156	87
+	3	154	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	194
+	146	195
+	3	144	193	psDrawFilled
+	opaqueGC
+	148	194
+	146	195
+	3	144	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	195
+	148	194
+	3	150	196	psDrawFilled
+	opaqueGC
+	146	195
+	148	194
+	3	150	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	203
+	172	204
+	3	170	202	psDrawFilled
+	opaqueGC
+	174	203
+	172	204
+	3	170	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	204
+	174	203
+	3	176	204	psDrawFilled
+	opaqueGC
+	172	204
+	174	203
+	3	176	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	200
+	158	201
+	3	156	199	psDrawFilled
+	opaqueGC
+	160	200
+	158	201
+	3	156	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	201
+	160	200
+	3	162	202	psDrawFilled
+	opaqueGC
+	158	201
+	160	200
+	3	162	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	118
+	148	127
+	3	146	109	psDrawFilled
+	opaqueGC
+	150	118
+	148	127
+	3	146	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	126
+	146	109
+	3	148	127	psDrawFilled
+	opaqueGC
+	144	126
+	146	109
+	3	148	127	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	83	158
+	81	156
+	3	79	156	psDrawFilled
+	opaqueGC
+	83	158
+	81	156
+	3	79	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	156
+	83	158
+	3	85	158	psDrawFilled
+	opaqueGC
+	81	156
+	83	158
+	3	85	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	183
+	130	184
+	3	128	181	psDrawFilled
+	opaqueGC
+	132	183
+	130	184
+	3	128	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	184
+	132	183
+	3	134	185	psDrawFilled
+	opaqueGC
+	130	184
+	132	183
+	3	134	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	163
+	97	163
+	3	95	162	psDrawFilled
+	opaqueGC
+	99	163
+	97	163
+	3	95	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	163
+	99	163
+	3	101	164	psDrawFilled
+	opaqueGC
+	97	163
+	99	163
+	3	101	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	202
+	168	204
+	3	166	202	psDrawFilled
+	opaqueGC
+	170	202
+	168	204
+	3	166	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	204
+	170	202
+	3	172	204	psDrawFilled
+	opaqueGC
+	168	204
+	170	202
+	3	172	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	87
+	144	73
+	3	142	107	psDrawFilled
+	opaqueGC
+	146	87
+	144	73
+	3	142	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	191
+	140	192
+	3	138	190	psDrawFilled
+	opaqueGC
+	142	191
+	140	192
+	3	138	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	192
+	142	191
+	3	144	193	psDrawFilled
+	opaqueGC
+	140	192
+	142	191
+	3	144	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	171
+	115	172
+	3	113	170	psDrawFilled
+	opaqueGC
+	117	171
+	115	172
+	3	113	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	172
+	117	171
+	3	119	173	psDrawFilled
+	opaqueGC
+	115	172
+	117	171
+	3	119	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	109
+	144	126
+	3	142	119	psDrawFilled
+	opaqueGC
+	146	109
+	144	126
+	3	142	119	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	125	177
+	123	177
+	3	121	175	psDrawFilled
+	opaqueGC
+	125	177
+	123	177
+	3	121	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	177
+	125	177
+	3	127	179	psDrawFilled
+	opaqueGC
+	123	177
+	125	177
+	3	127	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	202
+	164	203
+	3	162	202	psDrawFilled
+	opaqueGC
+	166	202
+	164	203
+	3	162	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	203
+	166	202
+	3	168	204	psDrawFilled
+	opaqueGC
+	164	203
+	166	202
+	3	168	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	165
+	103	165
+	3	101	164	psDrawFilled
+	opaqueGC
+	105	165
+	103	165
+	3	101	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	165
+	105	165
+	3	107	167	psDrawFilled
+	opaqueGC
+	103	165
+	105	165
+	3	107	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	185
+	132	186
+	3	130	184	psDrawFilled
+	opaqueGC
+	134	185
+	132	186
+	3	130	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	186
+	134	185
+	3	136	187	psDrawFilled
+	opaqueGC
+	132	186
+	134	185
+	3	136	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	196
+	148	197
+	3	146	195	psDrawFilled
+	opaqueGC
+	150	196
+	148	197
+	3	146	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	197
+	150	196
+	3	152	198	psDrawFilled
+	opaqueGC
+	148	197
+	150	196
+	3	152	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	168
+	109	168
+	3	107	167	psDrawFilled
+	opaqueGC
+	111	168
+	109	168
+	3	107	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	168
+	111	168
+	3	113	170	psDrawFilled
+	opaqueGC
+	109	168
+	111	168
+	3	113	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	199
+	154	200
+	3	152	198	psDrawFilled
+	opaqueGC
+	156	199
+	154	200
+	3	152	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	200
+	156	199
+	3	158	201	psDrawFilled
+	opaqueGC
+	154	200
+	156	199
+	3	158	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	184	205
+	182	206
+	3	180	204	psDrawFilled
+	opaqueGC
+	184	205
+	182	206
+	3	180	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	204
+	178	206
+	3	176	204	psDrawFilled
+	opaqueGC
+	180	204
+	178	206
+	3	176	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	206
+	180	204
+	3	182	206	psDrawFilled
+	opaqueGC
+	178	206
+	180	204
+	3	182	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	160
+	87	159
+	3	85	158	psDrawFilled
+	opaqueGC
+	89	160
+	87	159
+	3	85	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	159
+	89	160
+	3	91	160	psDrawFilled
+	opaqueGC
+	87	159
+	89	160
+	3	91	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	100
+	158	106
+	3	156	98	psDrawFilled
+	opaqueGC
+	160	100
+	158	106
+	3	156	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	98
+	156	98
+	3	158	106	psDrawFilled
+	opaqueGC
+	154	98
+	156	98
+	3	158	106	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	106
+	156	107
+	3	154	98	psDrawFilled
+	opaqueGC
+	158	106
+	156	107
+	3	154	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	193
+	142	194
+	3	140	192	psDrawFilled
+	opaqueGC
+	144	193
+	142	194
+	3	140	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	194
+	144	193
+	3	146	195	psDrawFilled
+	opaqueGC
+	142	194
+	144	193
+	3	146	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	202
+	160	203
+	3	158	201	psDrawFilled
+	opaqueGC
+	162	202
+	160	203
+	3	158	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	203
+	162	202
+	3	164	203	psDrawFilled
+	opaqueGC
+	160	203
+	162	202
+	3	164	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	204
+	174	206
+	3	172	204	psDrawFilled
+	opaqueGC
+	176	204
+	174	206
+	3	172	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	206
+	176	204
+	3	178	206	psDrawFilled
+	opaqueGC
+	174	206
+	176	204
+	3	178	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	127	179
+	124	180
+	3	123	177	psDrawFilled
+	opaqueGC
+	127	179
+	124	180
+	3	123	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	180
+	127	179
+	3	128	181	psDrawFilled
+	opaqueGC
+	124	180
+	127	179
+	3	128	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	187
+	134	188
+	3	132	186	psDrawFilled
+	opaqueGC
+	136	187
+	134	188
+	3	132	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	188
+	136	187
+	3	138	190	psDrawFilled
+	opaqueGC
+	134	188
+	136	187
+	3	138	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	119	173
+	116	174
+	3	115	172	psDrawFilled
+	opaqueGC
+	119	173
+	116	174
+	3	115	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	174
+	119	173
+	3	121	175	psDrawFilled
+	opaqueGC
+	116	174
+	119	173
+	3	121	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	204
+	170	205
+	3	168	204	psDrawFilled
+	opaqueGC
+	172	204
+	170	205
+	3	168	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	205
+	172	204
+	3	174	206	psDrawFilled
+	opaqueGC
+	170	205
+	172	204
+	3	174	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	198
+	150	199
+	3	148	197	psDrawFilled
+	opaqueGC
+	152	198
+	150	199
+	3	148	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	199
+	152	198
+	3	154	200	psDrawFilled
+	opaqueGC
+	150	199
+	152	198
+	3	154	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	162
+	93	161
+	3	91	160	psDrawFilled
+	opaqueGC
+	95	162
+	93	161
+	3	91	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	161
+	95	162
+	3	97	163	psDrawFilled
+	opaqueGC
+	93	161
+	95	162
+	3	97	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	201
+	156	202
+	3	154	200	psDrawFilled
+	opaqueGC
+	158	201
+	156	202
+	3	154	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	202
+	158	201
+	3	160	203	psDrawFilled
+	opaqueGC
+	156	202
+	158	201
+	3	160	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	204
+	166	205
+	3	164	203	psDrawFilled
+	opaqueGC
+	168	204
+	166	205
+	3	164	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	205
+	168	204
+	3	170	205	psDrawFilled
+	opaqueGC
+	166	205
+	168	204
+	3	170	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	195
+	144	196
+	3	142	194	psDrawFilled
+	opaqueGC
+	146	195
+	144	196
+	3	142	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	196
+	146	195
+	3	148	197	psDrawFilled
+	opaqueGC
+	144	196
+	146	195
+	3	148	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	79	156
+	76	154
+	3	75	154	psDrawFilled
+	opaqueGC
+	79	156
+	76	154
+	3	75	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	76	154
+	79	156
+	3	81	156	psDrawFilled
+	opaqueGC
+	76	154
+	79	156
+	3	81	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	181
+	126	182
+	3	124	180	psDrawFilled
+	opaqueGC
+	128	181
+	126	182
+	3	124	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	182
+	128	181
+	3	130	184	psDrawFilled
+	opaqueGC
+	126	182
+	128	181
+	3	130	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	190
+	136	191
+	3	134	188	psDrawFilled
+	opaqueGC
+	138	190
+	136	191
+	3	134	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	191
+	138	190
+	3	140	192	psDrawFilled
+	opaqueGC
+	136	191
+	138	190
+	3	140	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	170
+	110	170
+	3	109	168	psDrawFilled
+	opaqueGC
+	113	170
+	110	170
+	3	109	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	170
+	113	170
+	3	115	172	psDrawFilled
+	opaqueGC
+	110	170
+	113	170
+	3	115	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	164
+	98	164
+	3	97	163	psDrawFilled
+	opaqueGC
+	101	164
+	98	164
+	3	97	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	164
+	101	164
+	3	103	165	psDrawFilled
+	opaqueGC
+	98	164
+	101	164
+	3	103	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	167
+	104	167
+	3	103	165	psDrawFilled
+	opaqueGC
+	107	167
+	104	167
+	3	103	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	167
+	107	167
+	3	109	168	psDrawFilled
+	opaqueGC
+	104	167
+	107	167
+	3	109	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	203
+	162	205
+	3	160	203	psDrawFilled
+	opaqueGC
+	164	203
+	162	205
+	3	160	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	205
+	164	203
+	3	166	205	psDrawFilled
+	opaqueGC
+	162	205
+	164	203
+	3	166	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	121	175
+	118	176
+	3	116	174	psDrawFilled
+	opaqueGC
+	121	175
+	118	176
+	3	116	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	176
+	121	175
+	3	123	177	psDrawFilled
+	opaqueGC
+	118	176
+	121	175
+	3	123	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	206
+	180	208
+	3	178	206	psDrawFilled
+	opaqueGC
+	182	206
+	180	208
+	3	178	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	184
+	128	184
+	3	126	182	psDrawFilled
+	opaqueGC
+	130	184
+	128	184
+	3	126	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	184
+	130	184
+	3	132	186	psDrawFilled
+	opaqueGC
+	128	184
+	130	184
+	3	132	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	192
+	138	193
+	3	136	191	psDrawFilled
+	opaqueGC
+	140	192
+	138	193
+	3	136	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	193
+	140	192
+	3	142	194	psDrawFilled
+	opaqueGC
+	138	193
+	140	192
+	3	142	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	206
+	176	207
+	3	174	206	psDrawFilled
+	opaqueGC
+	178	206
+	176	207
+	3	174	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	207
+	178	206
+	3	180	208	psDrawFilled
+	opaqueGC
+	176	207
+	178	206
+	3	180	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	200
+	152	202
+	3	150	199	psDrawFilled
+	opaqueGC
+	154	200
+	152	202
+	3	150	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	202
+	154	200
+	3	156	202	psDrawFilled
+	opaqueGC
+	152	202
+	154	200
+	3	156	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	197
+	146	198
+	3	144	196	psDrawFilled
+	opaqueGC
+	148	197
+	146	198
+	3	144	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	198
+	148	197
+	3	150	199	psDrawFilled
+	opaqueGC
+	146	198
+	148	197
+	3	150	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	158
+	82	157
+	3	81	156	psDrawFilled
+	opaqueGC
+	85	158
+	82	157
+	3	81	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	157
+	85	158
+	3	87	159	psDrawFilled
+	opaqueGC
+	82	157
+	85	158
+	3	87	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	206
+	172	207
+	3	170	205	psDrawFilled
+	opaqueGC
+	174	206
+	172	207
+	3	170	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	207
+	174	206
+	3	176	207	psDrawFilled
+	opaqueGC
+	172	207
+	174	206
+	3	176	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	203
+	158	204
+	3	156	202	psDrawFilled
+	opaqueGC
+	160	203
+	158	204
+	3	156	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	204
+	160	203
+	3	162	205	psDrawFilled
+	opaqueGC
+	158	204
+	160	203
+	3	162	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	186
+	130	187
+	3	128	184	psDrawFilled
+	opaqueGC
+	132	186
+	130	187
+	3	128	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	187
+	132	186
+	3	134	188	psDrawFilled
+	opaqueGC
+	130	187
+	132	186
+	3	134	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	123	177
+	120	178
+	3	118	176	psDrawFilled
+	opaqueGC
+	123	177
+	120	178
+	3	118	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	178
+	123	177
+	3	124	180	psDrawFilled
+	opaqueGC
+	120	178
+	123	177
+	3	124	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	205
+	168	207
+	3	166	205	psDrawFilled
+	opaqueGC
+	170	205
+	168	207
+	3	166	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	207
+	170	205
+	3	172	207	psDrawFilled
+	opaqueGC
+	168	207
+	170	205
+	3	172	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	90
+	154	98
+	3	156	107	psDrawFilled
+	opaqueGC
+	152	90
+	154	98
+	3	156	107	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	107
+	154	103
+	3	152	90	psDrawFilled
+	opaqueGC
+	156	107
+	154	103
+	3	152	90	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	172
+	112	172
+	3	110	170	psDrawFilled
+	opaqueGC
+	115	172
+	112	172
+	3	110	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	172
+	115	172
+	3	116	174	psDrawFilled
+	opaqueGC
+	112	172
+	115	172
+	3	116	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	194
+	140	195
+	3	138	193	psDrawFilled
+	opaqueGC
+	142	194
+	140	195
+	3	138	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	195
+	142	194
+	3	144	196	psDrawFilled
+	opaqueGC
+	140	195
+	142	194
+	3	144	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	160
+	88	159
+	3	87	159	psDrawFilled
+	opaqueGC
+	91	160
+	88	159
+	3	87	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	159
+	91	160
+	3	93	161	psDrawFilled
+	opaqueGC
+	88	159
+	91	160
+	3	93	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	31
+	167	61
+	3	168	90	psDrawFilled
+	opaqueGC
+	166	31
+	167	61
+	3	168	90	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	90
+	167	70
+	3	166	31	psDrawFilled
+	opaqueGC
+	168	90
+	167	70
+	3	166	31	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	205
+	164	207
+	3	162	205	psDrawFilled
+	opaqueGC
+	166	205
+	164	207
+	3	162	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	207
+	166	205
+	3	168	207	psDrawFilled
+	opaqueGC
+	164	207
+	166	205
+	3	168	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	199
+	148	201
+	3	146	198	psDrawFilled
+	opaqueGC
+	150	199
+	148	201
+	3	146	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	201
+	150	199
+	3	152	202	psDrawFilled
+	opaqueGC
+	148	201
+	150	199
+	3	152	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	151	77
+	152	92
+	3	154	115	psDrawFilled
+	opaqueGC
+	151	77
+	152	92
+	3	154	115	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	115
+	152	114
+	3	151	77	psDrawFilled
+	opaqueGC
+	154	115
+	152	114
+	3	151	77	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	202
+	154	204
+	3	152	202	psDrawFilled
+	opaqueGC
+	156	202
+	154	204
+	3	152	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	204
+	156	202
+	3	158	204	psDrawFilled
+	opaqueGC
+	154	204
+	156	202
+	3	158	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	188
+	132	189
+	3	130	187	psDrawFilled
+	opaqueGC
+	134	188
+	132	189
+	3	130	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	189
+	134	188
+	3	136	191	psDrawFilled
+	opaqueGC
+	132	189
+	134	188
+	3	136	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	168
+	106	168
+	3	104	167	psDrawFilled
+	opaqueGC
+	109	168
+	106	168
+	3	104	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	168
+	109	168
+	3	110	170	psDrawFilled
+	opaqueGC
+	106	168
+	109	168
+	3	110	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	180
+	122	180
+	3	120	178	psDrawFilled
+	opaqueGC
+	124	180
+	122	180
+	3	120	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	180
+	124	180
+	3	126	182	psDrawFilled
+	opaqueGC
+	122	180
+	124	180
+	3	126	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	163
+	94	162
+	3	93	161	psDrawFilled
+	opaqueGC
+	97	163
+	94	162
+	3	93	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	162
+	97	163
+	3	98	164	psDrawFilled
+	opaqueGC
+	94	162
+	97	163
+	3	98	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	180	208
+	178	209
+	3	176	207	psDrawFilled
+	opaqueGC
+	180	208
+	178	209
+	3	176	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	165
+	100	165
+	3	98	164	psDrawFilled
+	opaqueGC
+	103	165
+	100	165
+	3	98	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	165
+	103	165
+	3	104	167	psDrawFilled
+	opaqueGC
+	100	165
+	103	165
+	3	104	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	196
+	142	197
+	3	140	195	psDrawFilled
+	opaqueGC
+	144	196
+	142	197
+	3	140	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	197
+	144	196
+	3	146	198	psDrawFilled
+	opaqueGC
+	142	197
+	144	196
+	3	146	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	205
+	160	206
+	3	158	204	psDrawFilled
+	opaqueGC
+	162	205
+	160	206
+	3	158	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	206
+	162	205
+	3	164	207	psDrawFilled
+	opaqueGC
+	160	206
+	162	205
+	3	164	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	207
+	174	209
+	3	172	207	psDrawFilled
+	opaqueGC
+	176	207
+	174	209
+	3	172	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	209
+	176	207
+	3	178	209	psDrawFilled
+	opaqueGC
+	174	209
+	176	207
+	3	178	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	191
+	134	191
+	3	132	189	psDrawFilled
+	opaqueGC
+	136	191
+	134	191
+	3	132	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	191
+	136	191
+	3	138	193	psDrawFilled
+	opaqueGC
+	134	191
+	136	191
+	3	138	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	174
+	114	174
+	3	112	172	psDrawFilled
+	opaqueGC
+	116	174
+	114	174
+	3	112	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	174
+	116	174
+	3	118	176	psDrawFilled
+	opaqueGC
+	114	174
+	116	174
+	3	118	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	88
+	160	100
+	3	158	89	psDrawFilled
+	opaqueGC
+	162	88
+	160	100
+	3	158	89	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	98
+	158	89
+	3	160	100	psDrawFilled
+	opaqueGC
+	156	98
+	158	89
+	3	160	100	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	117
+	142	85
+	3	144	86	psDrawFilled
+	opaqueGC
+	140	117
+	142	85
+	3	144	86	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	86
+	142	119
+	3	140	117	psDrawFilled
+	opaqueGC
+	144	86
+	142	119
+	3	140	117	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	207
+	170	209
+	3	168	207	psDrawFilled
+	opaqueGC
+	172	207
+	170	209
+	3	168	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	209
+	172	207
+	3	174	209	psDrawFilled
+	opaqueGC
+	170	209
+	172	207
+	3	174	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	182
+	124	182
+	3	122	180	psDrawFilled
+	opaqueGC
+	126	182
+	124	182
+	3	122	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	182
+	126	182
+	3	128	184	psDrawFilled
+	opaqueGC
+	124	182
+	126	182
+	3	128	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	202
+	150	203
+	3	148	201	psDrawFilled
+	opaqueGC
+	152	202
+	150	203
+	3	148	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	203
+	152	202
+	3	154	204	psDrawFilled
+	opaqueGC
+	150	203
+	152	202
+	3	154	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	204
+	156	205
+	3	154	204	psDrawFilled
+	opaqueGC
+	158	204
+	156	205
+	3	154	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	205
+	158	204
+	3	160	206	psDrawFilled
+	opaqueGC
+	156	205
+	158	204
+	3	160	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	81	156
+	78	154
+	3	76	154	psDrawFilled
+	opaqueGC
+	81	156
+	78	154
+	3	76	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	78	154
+	81	156
+	3	82	157	psDrawFilled
+	opaqueGC
+	78	154
+	81	156
+	3	82	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	198
+	144	200
+	3	142	197	psDrawFilled
+	opaqueGC
+	146	198
+	144	200
+	3	142	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	200
+	146	198
+	3	148	201	psDrawFilled
+	opaqueGC
+	144	200
+	146	198
+	3	148	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	207
+	166	208
+	3	164	207	psDrawFilled
+	opaqueGC
+	168	207
+	166	208
+	3	164	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	208
+	168	207
+	3	170	209	psDrawFilled
+	opaqueGC
+	166	208
+	168	207
+	3	170	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	193
+	136	194
+	3	134	191	psDrawFilled
+	opaqueGC
+	138	193
+	136	194
+	3	134	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	194
+	138	193
+	3	140	195	psDrawFilled
+	opaqueGC
+	136	194
+	138	193
+	3	140	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	184
+	126	185
+	3	124	182	psDrawFilled
+	opaqueGC
+	128	184
+	126	185
+	3	124	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	185
+	128	184
+	3	130	187	psDrawFilled
+	opaqueGC
+	126	185
+	128	184
+	3	130	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	170
+	108	170
+	3	106	168	psDrawFilled
+	opaqueGC
+	110	170
+	108	170
+	3	106	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	170
+	110	170
+	3	112	172	psDrawFilled
+	opaqueGC
+	108	170
+	110	170
+	3	112	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	176
+	116	176
+	3	114	174	psDrawFilled
+	opaqueGC
+	118	176
+	116	176
+	3	114	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	176
+	118	176
+	3	120	178	psDrawFilled
+	opaqueGC
+	116	176
+	118	176
+	3	120	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	207
+	162	208
+	3	160	206	psDrawFilled
+	opaqueGC
+	164	207
+	162	208
+	3	160	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	208
+	164	207
+	3	166	208	psDrawFilled
+	opaqueGC
+	162	208
+	164	207
+	3	166	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	159
+	84	157
+	3	82	157	psDrawFilled
+	opaqueGC
+	87	159
+	84	157
+	3	82	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	157
+	87	159
+	3	88	159	psDrawFilled
+	opaqueGC
+	84	157
+	87	159
+	3	88	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	195
+	138	196
+	3	136	194	psDrawFilled
+	opaqueGC
+	140	195
+	138	196
+	3	136	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	196
+	140	195
+	3	142	197	psDrawFilled
+	opaqueGC
+	138	196
+	140	195
+	3	142	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	96
+	156	87
+	3	158	89	psDrawFilled
+	opaqueGC
+	154	96
+	156	87
+	3	158	89	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	89
+	156	98
+	3	154	96	psDrawFilled
+	opaqueGC
+	158	89
+	156	98
+	3	154	96	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	97
+	154	96
+	3	156	98	psDrawFilled
+	opaqueGC
+	152	97
+	154	96
+	3	156	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	204
+	152	205
+	3	150	203	psDrawFilled
+	opaqueGC
+	154	204
+	152	205
+	3	150	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	205
+	154	204
+	3	156	205	psDrawFilled
+	opaqueGC
+	152	205
+	154	204
+	3	156	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	178	209
+	176	211
+	3	174	209	psDrawFilled
+	opaqueGC
+	178	209
+	176	211
+	3	174	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	187
+	128	187
+	3	126	185	psDrawFilled
+	opaqueGC
+	130	187
+	128	187
+	3	126	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	187
+	130	187
+	3	132	189	psDrawFilled
+	opaqueGC
+	128	187
+	130	187
+	3	132	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	201
+	146	202
+	3	144	200	psDrawFilled
+	opaqueGC
+	148	201
+	146	202
+	3	144	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	202
+	148	201
+	3	150	203	psDrawFilled
+	opaqueGC
+	146	202
+	148	201
+	3	150	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	167
+	102	166
+	3	100	165	psDrawFilled
+	opaqueGC
+	104	167
+	102	166
+	3	100	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	166
+	104	167
+	3	106	168	psDrawFilled
+	opaqueGC
+	102	166
+	104	167
+	3	106	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	161
+	90	160
+	3	88	159	psDrawFilled
+	opaqueGC
+	93	161
+	90	160
+	3	88	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	160
+	93	161
+	3	94	162	psDrawFilled
+	opaqueGC
+	90	160
+	93	161
+	3	94	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	209
+	172	210
+	3	170	209	psDrawFilled
+	opaqueGC
+	174	209
+	172	210
+	3	170	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	210
+	174	209
+	3	176	211	psDrawFilled
+	opaqueGC
+	172	210
+	174	209
+	3	176	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	206
+	158	207
+	3	156	205	psDrawFilled
+	opaqueGC
+	160	206
+	158	207
+	3	156	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	207
+	160	206
+	3	162	208	psDrawFilled
+	opaqueGC
+	158	207
+	160	206
+	3	162	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	164
+	96	163
+	3	94	162	psDrawFilled
+	opaqueGC
+	98	164
+	96	163
+	3	94	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	163
+	98	164
+	3	100	165	psDrawFilled
+	opaqueGC
+	96	163
+	98	164
+	3	100	165	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	119
+	144	86
+	3	146	109	psDrawFilled
+	opaqueGC
+	142	119
+	144	86
+	3	146	109	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	178
+	118	178
+	3	116	176	psDrawFilled
+	opaqueGC
+	120	178
+	118	178
+	3	116	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	178
+	120	178
+	3	122	180	psDrawFilled
+	opaqueGC
+	118	178
+	120	178
+	3	122	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	209
+	168	210
+	3	166	208	psDrawFilled
+	opaqueGC
+	170	209
+	168	210
+	3	166	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	210
+	170	209
+	3	172	210	psDrawFilled
+	opaqueGC
+	168	210
+	170	209
+	3	172	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	189
+	130	189
+	3	128	187	psDrawFilled
+	opaqueGC
+	132	189
+	130	189
+	3	128	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	189
+	132	189
+	3	134	191	psDrawFilled
+	opaqueGC
+	130	189
+	132	189
+	3	134	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	197
+	140	198
+	3	138	196	psDrawFilled
+	opaqueGC
+	142	197
+	140	198
+	3	138	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	198
+	142	197
+	3	144	200	psDrawFilled
+	opaqueGC
+	140	198
+	142	197
+	3	144	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	97
+	150	89
+	3	148	98	psDrawFilled
+	opaqueGC
+	152	97
+	150	89
+	3	148	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	87
+	148	98
+	3	150	89	psDrawFilled
+	opaqueGC
+	146	87
+	148	98
+	3	150	89	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	172
+	110	172
+	3	108	170	psDrawFilled
+	opaqueGC
+	112	172
+	110	172
+	3	108	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	172
+	112	172
+	3	114	174	psDrawFilled
+	opaqueGC
+	110	172
+	112	172
+	3	114	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	114
+	150	118
+	3	148	84	psDrawFilled
+	opaqueGC
+	152	114
+	150	118
+	3	148	84	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	109
+	148	84
+	3	150	118	psDrawFilled
+	opaqueGC
+	146	109
+	148	84
+	3	150	118	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	208
+	164	210
+	3	162	208	psDrawFilled
+	opaqueGC
+	166	208
+	164	210
+	3	162	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	210
+	166	208
+	3	168	210	psDrawFilled
+	opaqueGC
+	164	210
+	166	208
+	3	168	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	203
+	148	204
+	3	146	202	psDrawFilled
+	opaqueGC
+	150	203
+	148	204
+	3	146	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	204
+	150	203
+	3	152	205	psDrawFilled
+	opaqueGC
+	148	204
+	150	203
+	3	152	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	205
+	154	207
+	3	152	205	psDrawFilled
+	opaqueGC
+	156	205
+	154	207
+	3	152	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	207
+	156	205
+	3	158	207	psDrawFilled
+	opaqueGC
+	154	207
+	156	205
+	3	158	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	180
+	120	180
+	3	118	178	psDrawFilled
+	opaqueGC
+	122	180
+	120	180
+	3	118	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	180
+	122	180
+	3	124	182	psDrawFilled
+	opaqueGC
+	120	180
+	122	180
+	3	124	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	191
+	132	192
+	3	130	189	psDrawFilled
+	opaqueGC
+	134	191
+	132	192
+	3	130	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	192
+	134	191
+	3	136	194	psDrawFilled
+	opaqueGC
+	132	192
+	134	191
+	3	136	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	200
+	142	200
+	3	140	198	psDrawFilled
+	opaqueGC
+	144	200
+	142	200
+	3	140	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	200
+	144	200
+	3	146	202	psDrawFilled
+	opaqueGC
+	142	200
+	144	200
+	3	146	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	208
+	160	209
+	3	158	207	psDrawFilled
+	opaqueGC
+	162	208
+	160	209
+	3	158	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	209
+	162	208
+	3	164	210	psDrawFilled
+	opaqueGC
+	160	209
+	162	208
+	3	164	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	98
+	154	98
+	3	152	97	psDrawFilled
+	opaqueGC
+	156	98
+	154	98
+	3	152	97	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	176	211
+	174	212
+	3	172	210	psDrawFilled
+	opaqueGC
+	176	211
+	174	212
+	3	172	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	168
+	104	168
+	3	102	166	psDrawFilled
+	opaqueGC
+	106	168
+	104	168
+	3	102	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	168
+	106	168
+	3	108	170	psDrawFilled
+	opaqueGC
+	104	168
+	106	168
+	3	108	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	182
+	122	183
+	3	120	180	psDrawFilled
+	opaqueGC
+	124	182
+	122	183
+	3	120	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	183
+	124	182
+	3	126	185	psDrawFilled
+	opaqueGC
+	122	183
+	124	182
+	3	126	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	194
+	134	194
+	3	132	192	psDrawFilled
+	opaqueGC
+	136	194
+	134	194
+	3	132	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	194
+	136	194
+	3	138	196	psDrawFilled
+	opaqueGC
+	134	194
+	136	194
+	3	138	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	174
+	112	174
+	3	110	172	psDrawFilled
+	opaqueGC
+	114	174
+	112	174
+	3	110	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	174
+	114	174
+	3	116	176	psDrawFilled
+	opaqueGC
+	112	174
+	114	174
+	3	116	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	210
+	170	212
+	3	168	210	psDrawFilled
+	opaqueGC
+	172	210
+	170	212
+	3	168	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	212
+	172	210
+	3	174	212	psDrawFilled
+	opaqueGC
+	170	212
+	172	210
+	3	174	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	205
+	150	206
+	3	148	204	psDrawFilled
+	opaqueGC
+	152	205
+	150	206
+	3	148	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	206
+	152	205
+	3	154	207	psDrawFilled
+	opaqueGC
+	150	206
+	152	205
+	3	154	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	157
+	80	155
+	3	78	154	psDrawFilled
+	opaqueGC
+	82	157
+	80	155
+	3	78	154	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	80	155
+	82	157
+	3	84	157	psDrawFilled
+	opaqueGC
+	80	155
+	82	157
+	3	84	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	207
+	156	209
+	3	154	207	psDrawFilled
+	opaqueGC
+	158	207
+	156	209
+	3	154	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	209
+	158	207
+	3	160	209	psDrawFilled
+	opaqueGC
+	156	209
+	158	207
+	3	160	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	165
+	98	164
+	3	96	163	psDrawFilled
+	opaqueGC
+	100	165
+	98	164
+	3	96	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	164
+	100	165
+	3	102	166	psDrawFilled
+	opaqueGC
+	98	164
+	100	165
+	3	102	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	185
+	124	185
+	3	122	183	psDrawFilled
+	opaqueGC
+	126	185
+	124	185
+	3	122	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	185
+	126	185
+	3	128	187	psDrawFilled
+	opaqueGC
+	124	185
+	126	185
+	3	128	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	202
+	144	203
+	3	142	200	psDrawFilled
+	opaqueGC
+	146	202
+	144	203
+	3	142	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	203
+	146	202
+	3	148	204	psDrawFilled
+	opaqueGC
+	144	203
+	146	202
+	3	148	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	210
+	166	212
+	3	164	210	psDrawFilled
+	opaqueGC
+	168	210
+	166	212
+	3	164	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	212
+	168	210
+	3	170	212	psDrawFilled
+	opaqueGC
+	166	212
+	168	210
+	3	170	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	89
+	152	97
+	3	154	98	psDrawFilled
+	opaqueGC
+	150	89
+	152	97
+	3	154	98	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	84
+	151	77
+	3	152	114	psDrawFilled
+	opaqueGC
+	148	84
+	151	77
+	3	152	114	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	196
+	136	197
+	3	134	194	psDrawFilled
+	opaqueGC
+	138	196
+	136	197
+	3	134	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	197
+	138	196
+	3	140	198	psDrawFilled
+	opaqueGC
+	136	197
+	138	196
+	3	140	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	159
+	86	158
+	3	84	157	psDrawFilled
+	opaqueGC
+	88	159
+	86	158
+	3	84	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	158
+	88	159
+	3	90	160	psDrawFilled
+	opaqueGC
+	86	158
+	88	159
+	3	90	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	162
+	92	161
+	3	90	160	psDrawFilled
+	opaqueGC
+	94	162
+	92	161
+	3	90	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	161
+	94	162
+	3	96	163	psDrawFilled
+	opaqueGC
+	92	161
+	94	162
+	3	96	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	176
+	114	176
+	3	112	174	psDrawFilled
+	opaqueGC
+	116	176
+	114	176
+	3	112	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	176
+	116	176
+	3	118	178	psDrawFilled
+	opaqueGC
+	114	176
+	116	176
+	3	118	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	210
+	162	211
+	3	160	209	psDrawFilled
+	opaqueGC
+	164	210
+	162	211
+	3	160	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	211
+	164	210
+	3	166	212	psDrawFilled
+	opaqueGC
+	162	211
+	164	210
+	3	166	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	187
+	126	187
+	3	124	185	psDrawFilled
+	opaqueGC
+	128	187
+	126	187
+	3	124	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	187
+	128	187
+	3	130	189	psDrawFilled
+	opaqueGC
+	126	187
+	128	187
+	3	130	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	170
+	106	170
+	3	104	168	psDrawFilled
+	opaqueGC
+	108	170
+	106	170
+	3	104	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	170
+	108	170
+	3	110	172	psDrawFilled
+	opaqueGC
+	106	170
+	108	170
+	3	110	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	207
+	152	208
+	3	150	206	psDrawFilled
+	opaqueGC
+	154	207
+	152	208
+	3	150	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	208
+	154	207
+	3	156	209	psDrawFilled
+	opaqueGC
+	152	208
+	154	207
+	3	156	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	198
+	138	199
+	3	136	197	psDrawFilled
+	opaqueGC
+	140	198
+	138	199
+	3	136	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	199
+	140	198
+	3	142	200	psDrawFilled
+	opaqueGC
+	138	199
+	140	198
+	3	142	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	204
+	146	205
+	3	144	203	psDrawFilled
+	opaqueGC
+	148	204
+	146	205
+	3	144	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	205
+	148	204
+	3	150	206	psDrawFilled
+	opaqueGC
+	146	205
+	148	204
+	3	150	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	174	212
+	172	214
+	3	170	212	psDrawFilled
+	opaqueGC
+	174	212
+	172	214
+	3	170	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	189
+	128	190
+	3	126	187	psDrawFilled
+	opaqueGC
+	130	189
+	128	190
+	3	126	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	190
+	130	189
+	3	132	192	psDrawFilled
+	opaqueGC
+	128	190
+	130	189
+	3	132	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	209
+	158	211
+	3	156	209	psDrawFilled
+	opaqueGC
+	160	209
+	158	211
+	3	156	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	211
+	160	209
+	3	162	211	psDrawFilled
+	opaqueGC
+	158	211
+	160	209
+	3	162	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	178
+	116	178
+	3	114	176	psDrawFilled
+	opaqueGC
+	118	178
+	116	178
+	3	114	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	178
+	118	178
+	3	120	180	psDrawFilled
+	opaqueGC
+	116	178
+	118	178
+	3	120	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	212
+	168	213
+	3	166	212	psDrawFilled
+	opaqueGC
+	170	212
+	168	213
+	3	166	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	213
+	170	212
+	3	172	214	psDrawFilled
+	opaqueGC
+	168	213
+	170	212
+	3	172	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	200
+	140	201
+	3	138	199	psDrawFilled
+	opaqueGC
+	142	200
+	140	201
+	3	138	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	201
+	142	200
+	3	144	203	psDrawFilled
+	opaqueGC
+	140	201
+	142	200
+	3	144	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	98
+	152	90
+	3	150	89	psDrawFilled
+	opaqueGC
+	154	98
+	152	90
+	3	150	89	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	192
+	130	192
+	3	128	190	psDrawFilled
+	opaqueGC
+	132	192
+	130	192
+	3	128	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	192
+	132	192
+	3	134	194	psDrawFilled
+	opaqueGC
+	130	192
+	132	192
+	3	134	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	166
+	100	166
+	3	98	164	psDrawFilled
+	opaqueGC
+	102	166
+	100	166
+	3	98	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	166
+	102	166
+	3	104	168	psDrawFilled
+	opaqueGC
+	100	166
+	102	166
+	3	104	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	212
+	164	213
+	3	162	211	psDrawFilled
+	opaqueGC
+	166	212
+	164	213
+	3	162	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	213
+	166	212
+	3	168	213	psDrawFilled
+	opaqueGC
+	164	213
+	166	212
+	3	168	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	206
+	148	207
+	3	146	205	psDrawFilled
+	opaqueGC
+	150	206
+	148	207
+	3	146	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	207
+	150	206
+	3	152	208	psDrawFilled
+	opaqueGC
+	148	207
+	150	206
+	3	152	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	209
+	154	210
+	3	152	208	psDrawFilled
+	opaqueGC
+	156	209
+	154	210
+	3	152	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	210
+	156	209
+	3	158	211	psDrawFilled
+	opaqueGC
+	154	210
+	156	209
+	3	158	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	180
+	118	180
+	3	116	178	psDrawFilled
+	opaqueGC
+	120	180
+	118	180
+	3	116	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	180
+	120	180
+	3	122	183	psDrawFilled
+	opaqueGC
+	118	180
+	120	180
+	3	122	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	172
+	108	171
+	3	106	170	psDrawFilled
+	opaqueGC
+	110	172
+	108	171
+	3	106	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	171
+	110	172
+	3	112	174	psDrawFilled
+	opaqueGC
+	108	171
+	110	172
+	3	112	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	84
+	159	66
+	3	161	31	psDrawFilled
+	opaqueGC
+	156	84
+	159	66
+	3	161	31	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	31
+	159	60
+	3	156	84	psDrawFilled
+	opaqueGC
+	161	31
+	159	60
+	3	156	84	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	194
+	132	195
+	3	130	192	psDrawFilled
+	opaqueGC
+	134	194
+	132	195
+	3	130	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	195
+	134	194
+	3	136	197	psDrawFilled
+	opaqueGC
+	132	195
+	134	194
+	3	136	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	163
+	94	162
+	3	92	161	psDrawFilled
+	opaqueGC
+	96	163
+	94	162
+	3	92	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	162
+	96	163
+	3	98	164	psDrawFilled
+	opaqueGC
+	94	162
+	96	163
+	3	98	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	203
+	142	204
+	3	140	201	psDrawFilled
+	opaqueGC
+	144	203
+	142	204
+	3	140	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	204
+	144	203
+	3	146	205	psDrawFilled
+	opaqueGC
+	142	204
+	144	203
+	3	146	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	211
+	160	212
+	3	158	211	psDrawFilled
+	opaqueGC
+	162	211
+	160	212
+	3	158	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	212
+	162	211
+	3	164	213	psDrawFilled
+	opaqueGC
+	160	212
+	162	211
+	3	164	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	183
+	120	183
+	3	118	180	psDrawFilled
+	opaqueGC
+	122	183
+	120	183
+	3	118	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	183
+	122	183
+	3	124	185	psDrawFilled
+	opaqueGC
+	120	183
+	122	183
+	3	124	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	160
+	88	158
+	3	86	158	psDrawFilled
+	opaqueGC
+	90	160
+	88	158
+	3	86	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	158
+	90	160
+	3	92	161	psDrawFilled
+	opaqueGC
+	88	158
+	90	160
+	3	92	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	157
+	82	155
+	3	80	155	psDrawFilled
+	opaqueGC
+	84	157
+	82	155
+	3	80	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	82	155
+	84	157
+	3	86	158	psDrawFilled
+	opaqueGC
+	82	155
+	84	157
+	3	86	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	172	214
+	170	215
+	3	168	213	psDrawFilled
+	opaqueGC
+	172	214
+	170	215
+	3	168	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	197
+	134	197
+	3	132	195	psDrawFilled
+	opaqueGC
+	136	197
+	134	197
+	3	132	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	197
+	136	197
+	3	138	199	psDrawFilled
+	opaqueGC
+	134	197
+	136	197
+	3	138	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	208
+	150	209
+	3	148	207	psDrawFilled
+	opaqueGC
+	152	208
+	150	209
+	3	148	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	209
+	152	208
+	3	154	210	psDrawFilled
+	opaqueGC
+	150	209
+	152	208
+	3	154	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	174
+	110	173
+	3	108	171	psDrawFilled
+	opaqueGC
+	112	174
+	110	173
+	3	108	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	173
+	112	174
+	3	114	176	psDrawFilled
+	opaqueGC
+	110	173
+	112	174
+	3	114	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	211
+	156	212
+	3	154	210	psDrawFilled
+	opaqueGC
+	158	211
+	156	212
+	3	154	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	212
+	158	211
+	3	160	212	psDrawFilled
+	opaqueGC
+	156	212
+	158	211
+	3	160	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	185
+	122	185
+	3	120	183	psDrawFilled
+	opaqueGC
+	124	185
+	122	185
+	3	120	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	185
+	124	185
+	3	126	187	psDrawFilled
+	opaqueGC
+	122	185
+	124	185
+	3	126	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	168	213
+	166	215
+	3	164	213	psDrawFilled
+	opaqueGC
+	168	213
+	166	215
+	3	164	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	215
+	168	213
+	3	170	215	psDrawFilled
+	opaqueGC
+	166	215
+	168	213
+	3	170	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	151	62
+	152	90
+	3	154	103	psDrawFilled
+	opaqueGC
+	151	62
+	152	90
+	3	154	103	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	103
+	152	92
+	3	151	62	psDrawFilled
+	opaqueGC
+	154	103
+	152	92
+	3	151	62	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	205
+	144	206
+	3	142	204	psDrawFilled
+	opaqueGC
+	146	205
+	144	206
+	3	142	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	206
+	146	205
+	3	148	207	psDrawFilled
+	opaqueGC
+	144	206
+	146	205
+	3	148	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	168
+	102	167
+	3	100	166	psDrawFilled
+	opaqueGC
+	104	168
+	102	167
+	3	100	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	167
+	104	168
+	3	106	170	psDrawFilled
+	opaqueGC
+	102	167
+	104	168
+	3	106	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	199
+	136	200
+	3	134	197	psDrawFilled
+	opaqueGC
+	138	199
+	136	200
+	3	134	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	200
+	138	199
+	3	140	201	psDrawFilled
+	opaqueGC
+	136	200
+	138	199
+	3	140	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	187
+	124	188
+	3	122	185	psDrawFilled
+	opaqueGC
+	126	187
+	124	188
+	3	122	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	188
+	126	187
+	3	128	190	psDrawFilled
+	opaqueGC
+	124	188
+	126	187
+	3	128	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	213
+	162	214
+	3	160	212	psDrawFilled
+	opaqueGC
+	164	213
+	162	214
+	3	160	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	214
+	164	213
+	3	166	215	psDrawFilled
+	opaqueGC
+	162	214
+	164	213
+	3	166	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	210
+	152	211
+	3	150	209	psDrawFilled
+	opaqueGC
+	154	210
+	152	211
+	3	150	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	211
+	154	210
+	3	156	212	psDrawFilled
+	opaqueGC
+	152	211
+	154	210
+	3	156	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	176
+	112	175
+	3	110	173	psDrawFilled
+	opaqueGC
+	114	176
+	112	175
+	3	110	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	175
+	114	176
+	3	116	178	psDrawFilled
+	opaqueGC
+	112	175
+	114	176
+	3	116	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	201
+	138	202
+	3	136	200	psDrawFilled
+	opaqueGC
+	140	201
+	138	202
+	3	136	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	202
+	140	201
+	3	142	204	psDrawFilled
+	opaqueGC
+	138	202
+	140	201
+	3	142	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	190
+	126	190
+	3	124	188	psDrawFilled
+	opaqueGC
+	128	190
+	126	190
+	3	124	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	190
+	128	190
+	3	130	192	psDrawFilled
+	opaqueGC
+	126	190
+	128	190
+	3	130	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	207
+	146	208
+	3	144	206	psDrawFilled
+	opaqueGC
+	148	207
+	146	208
+	3	144	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	208
+	148	207
+	3	150	209	psDrawFilled
+	opaqueGC
+	146	208
+	148	207
+	3	150	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	105
+	142	80
+	3	144	42	psDrawFilled
+	opaqueGC
+	140	105
+	142	80
+	3	144	42	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	42
+	142	85
+	3	140	105	psDrawFilled
+	opaqueGC
+	144	42
+	142	85
+	3	140	105	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	212
+	158	214
+	3	156	212	psDrawFilled
+	opaqueGC
+	160	212
+	158	214
+	3	156	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	214
+	160	212
+	3	162	214	psDrawFilled
+	opaqueGC
+	158	214
+	160	212
+	3	162	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	164
+	96	163
+	3	94	162	psDrawFilled
+	opaqueGC
+	98	164
+	96	163
+	3	94	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	163
+	98	164
+	3	100	166	psDrawFilled
+	opaqueGC
+	96	163
+	98	164
+	3	100	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	170	215
+	169	217
+	3	166	215	psDrawFilled
+	opaqueGC
+	170	215
+	169	217
+	3	166	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	192
+	128	193
+	3	126	190	psDrawFilled
+	opaqueGC
+	130	192
+	128	193
+	3	126	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	193
+	130	192
+	3	132	195	psDrawFilled
+	opaqueGC
+	128	193
+	130	192
+	3	132	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	87
+	159	60
+	3	161	62	psDrawFilled
+	opaqueGC
+	156	87
+	159	60
+	3	161	62	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	62
+	158	89
+	3	156	87	psDrawFilled
+	opaqueGC
+	161	62
+	158	89
+	3	156	87	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	170
+	104	169
+	3	102	167	psDrawFilled
+	opaqueGC
+	106	170
+	104	169
+	3	102	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	169
+	106	170
+	3	108	171	psDrawFilled
+	opaqueGC
+	104	169
+	106	170
+	3	108	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	178
+	114	178
+	3	112	175	psDrawFilled
+	opaqueGC
+	116	178
+	114	178
+	3	112	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	178
+	116	178
+	3	118	180	psDrawFilled
+	opaqueGC
+	114	178
+	116	178
+	3	118	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	204
+	140	204
+	3	138	202	psDrawFilled
+	opaqueGC
+	142	204
+	140	204
+	3	138	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	204
+	142	204
+	3	144	206	psDrawFilled
+	opaqueGC
+	140	204
+	142	204
+	3	144	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	215
+	164	216
+	3	162	214	psDrawFilled
+	opaqueGC
+	166	215
+	164	216
+	3	162	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	216
+	166	215
+	3	169	217	psDrawFilled
+	opaqueGC
+	164	216
+	166	215
+	3	169	217	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	161
+	90	159
+	3	88	158	psDrawFilled
+	opaqueGC
+	92	161
+	90	159
+	3	88	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	159
+	92	161
+	3	94	162	psDrawFilled
+	opaqueGC
+	90	159
+	92	161
+	3	94	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	209
+	148	210
+	3	146	208	psDrawFilled
+	opaqueGC
+	150	209
+	148	210
+	3	146	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	210
+	150	209
+	3	152	211	psDrawFilled
+	opaqueGC
+	148	210
+	150	209
+	3	152	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	212
+	154	213
+	3	152	211	psDrawFilled
+	opaqueGC
+	156	212
+	154	213
+	3	152	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	213
+	156	212
+	3	158	214	psDrawFilled
+	opaqueGC
+	154	213
+	156	212
+	3	158	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	195
+	130	195
+	3	128	193	psDrawFilled
+	opaqueGC
+	132	195
+	130	195
+	3	128	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	195
+	132	195
+	3	134	197	psDrawFilled
+	opaqueGC
+	130	195
+	132	195
+	3	134	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	180
+	116	180
+	3	114	178	psDrawFilled
+	opaqueGC
+	118	180
+	116	180
+	3	114	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	180
+	118	180
+	3	120	183	psDrawFilled
+	opaqueGC
+	116	180
+	118	180
+	3	120	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	86	158
+	84	155
+	3	82	155	psDrawFilled
+	opaqueGC
+	86	158
+	84	155
+	3	82	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	84	155
+	86	158
+	3	88	158	psDrawFilled
+	opaqueGC
+	84	155
+	86	158
+	3	88	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	162	214
+	160	216
+	3	158	214	psDrawFilled
+	opaqueGC
+	162	214
+	160	216
+	3	158	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	216
+	162	214
+	3	164	216	psDrawFilled
+	opaqueGC
+	160	216
+	162	214
+	3	164	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	206
+	142	207
+	3	140	204	psDrawFilled
+	opaqueGC
+	144	206
+	142	207
+	3	140	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	207
+	144	206
+	3	146	208	psDrawFilled
+	opaqueGC
+	142	207
+	144	206
+	3	146	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	197
+	132	198
+	3	130	195	psDrawFilled
+	opaqueGC
+	134	197
+	132	198
+	3	130	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	198
+	134	197
+	3	136	200	psDrawFilled
+	opaqueGC
+	132	198
+	134	197
+	3	136	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	171
+	106	171
+	3	104	169	psDrawFilled
+	opaqueGC
+	108	171
+	106	171
+	3	104	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	171
+	108	171
+	3	110	173	psDrawFilled
+	opaqueGC
+	106	171
+	108	171
+	3	110	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	183
+	118	183
+	3	116	180	psDrawFilled
+	opaqueGC
+	120	183
+	118	183
+	3	116	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	183
+	120	183
+	3	122	185	psDrawFilled
+	opaqueGC
+	118	183
+	120	183
+	3	122	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	166
+	98	164
+	3	96	163	psDrawFilled
+	opaqueGC
+	100	166
+	98	164
+	3	96	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	164
+	100	166
+	3	102	167	psDrawFilled
+	opaqueGC
+	98	164
+	100	166
+	3	102	167	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	211
+	150	212
+	3	148	210	psDrawFilled
+	opaqueGC
+	152	211
+	150	212
+	3	148	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	212
+	152	211
+	3	154	213	psDrawFilled
+	opaqueGC
+	150	212
+	152	211
+	3	154	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	200
+	134	200
+	3	132	198	psDrawFilled
+	opaqueGC
+	136	200
+	134	200
+	3	132	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	200
+	136	200
+	3	138	202	psDrawFilled
+	opaqueGC
+	134	200
+	136	200
+	3	138	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	89
+	161	62
+	3	162	88	psDrawFilled
+	opaqueGC
+	158	89
+	161	62
+	3	162	88	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	214
+	156	215
+	3	154	213	psDrawFilled
+	opaqueGC
+	158	214
+	156	215
+	3	154	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	215
+	158	214
+	3	160	216	psDrawFilled
+	opaqueGC
+	156	215
+	158	214
+	3	160	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	169	217
+	167	218
+	3	164	216	psDrawFilled
+	opaqueGC
+	169	217
+	167	218
+	3	164	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	208
+	144	209
+	3	142	207	psDrawFilled
+	opaqueGC
+	146	208
+	144	209
+	3	142	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	209
+	146	208
+	3	148	210	psDrawFilled
+	opaqueGC
+	144	209
+	146	208
+	3	148	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	185
+	120	185
+	3	118	183	psDrawFilled
+	opaqueGC
+	122	185
+	120	185
+	3	118	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	185
+	122	185
+	3	124	188	psDrawFilled
+	opaqueGC
+	120	185
+	122	185
+	3	124	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	70
+	162	88
+	3	161	62	psDrawFilled
+	opaqueGC
+	165	70
+	162	88
+	3	161	62	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	202
+	136	203
+	3	134	200	psDrawFilled
+	opaqueGC
+	138	202
+	136	203
+	3	134	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	203
+	138	202
+	3	140	204	psDrawFilled
+	opaqueGC
+	136	203
+	138	202
+	3	140	204	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	164	216
+	163	218
+	3	160	216	psDrawFilled
+	opaqueGC
+	164	216
+	163	218
+	3	160	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	218
+	164	216
+	3	167	218	psDrawFilled
+	opaqueGC
+	163	218
+	164	216
+	3	167	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	188
+	122	188
+	3	120	185	psDrawFilled
+	opaqueGC
+	124	188
+	122	188
+	3	120	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	188
+	124	188
+	3	126	190	psDrawFilled
+	opaqueGC
+	122	188
+	124	188
+	3	126	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	173
+	108	173
+	3	106	171	psDrawFilled
+	opaqueGC
+	110	173
+	108	173
+	3	106	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	173
+	110	173
+	3	112	175	psDrawFilled
+	opaqueGC
+	108	173
+	110	173
+	3	112	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	177	56
+	180	20
+	3	182	22	psDrawFilled
+	opaqueGC
+	177	56
+	180	20
+	3	182	22	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	182	22
+	179	58
+	3	177	56	psDrawFilled
+	opaqueGC
+	182	22
+	179	58
+	3	177	56	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	213
+	152	214
+	3	150	212	psDrawFilled
+	opaqueGC
+	154	213
+	152	214
+	3	150	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	214
+	154	213
+	3	156	215	psDrawFilled
+	opaqueGC
+	152	214
+	154	213
+	3	156	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	162
+	92	160
+	3	90	159	psDrawFilled
+	opaqueGC
+	94	162
+	92	160
+	3	90	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	160
+	94	162
+	3	96	163	psDrawFilled
+	opaqueGC
+	92	160
+	94	162
+	3	96	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	210
+	146	211
+	3	144	209	psDrawFilled
+	opaqueGC
+	148	210
+	146	211
+	3	144	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	211
+	148	210
+	3	150	212	psDrawFilled
+	opaqueGC
+	146	211
+	148	210
+	3	150	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	190
+	124	190
+	3	122	188	psDrawFilled
+	opaqueGC
+	126	190
+	124	190
+	3	122	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	190
+	126	190
+	3	128	193	psDrawFilled
+	opaqueGC
+	124	190
+	126	190
+	3	128	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	204
+	138	205
+	3	136	203	psDrawFilled
+	opaqueGC
+	140	204
+	138	205
+	3	136	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	205
+	140	204
+	3	142	207	psDrawFilled
+	opaqueGC
+	138	205
+	140	204
+	3	142	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	160	216
+	158	217
+	3	156	215	psDrawFilled
+	opaqueGC
+	160	216
+	158	217
+	3	156	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	217
+	160	216
+	3	163	218	psDrawFilled
+	opaqueGC
+	158	217
+	160	216
+	3	163	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	167
+	100	166
+	3	98	164	psDrawFilled
+	opaqueGC
+	102	167
+	100	166
+	3	98	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	166
+	102	167
+	3	104	169	psDrawFilled
+	opaqueGC
+	100	166
+	102	167
+	3	104	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	193
+	126	193
+	3	124	190	psDrawFilled
+	opaqueGC
+	128	193
+	126	193
+	3	124	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	193
+	128	193
+	3	130	195	psDrawFilled
+	opaqueGC
+	126	193
+	128	193
+	3	130	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	175
+	110	175
+	3	108	173	psDrawFilled
+	opaqueGC
+	112	175
+	110	175
+	3	108	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	175
+	112	175
+	3	114	178	psDrawFilled
+	opaqueGC
+	110	175
+	112	175
+	3	114	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	88	158
+	85	156
+	3	84	155	psDrawFilled
+	opaqueGC
+	88	158
+	85	156
+	3	84	155	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	85	156
+	88	158
+	3	90	159	psDrawFilled
+	opaqueGC
+	85	156
+	88	158
+	3	90	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	218
+	165	219
+	3	163	218	psDrawFilled
+	opaqueGC
+	167	218
+	165	219
+	3	163	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	207
+	140	207
+	3	138	205	psDrawFilled
+	opaqueGC
+	142	207
+	140	207
+	3	138	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	207
+	142	207
+	3	144	209	psDrawFilled
+	opaqueGC
+	140	207
+	142	207
+	3	144	209	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	195
+	128	195
+	3	126	193	psDrawFilled
+	opaqueGC
+	130	195
+	128	195
+	3	126	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	195
+	130	195
+	3	132	198	psDrawFilled
+	opaqueGC
+	128	195
+	130	195
+	3	132	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	215
+	154	216
+	3	152	214	psDrawFilled
+	opaqueGC
+	156	215
+	154	216
+	3	152	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	216
+	156	215
+	3	158	217	psDrawFilled
+	opaqueGC
+	154	216
+	156	215
+	3	158	217	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	212
+	148	213
+	3	146	211	psDrawFilled
+	opaqueGC
+	150	212
+	148	213
+	3	146	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	213
+	150	212
+	3	152	214	psDrawFilled
+	opaqueGC
+	148	213
+	150	212
+	3	152	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	178
+	112	177
+	3	110	175	psDrawFilled
+	opaqueGC
+	114	178
+	112	177
+	3	110	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	177
+	114	178
+	3	116	180	psDrawFilled
+	opaqueGC
+	112	177
+	114	178
+	3	116	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	198
+	130	198
+	3	128	195	psDrawFilled
+	opaqueGC
+	132	198
+	130	198
+	3	128	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	198
+	132	198
+	3	134	200	psDrawFilled
+	opaqueGC
+	130	198
+	132	198
+	3	134	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	218
+	161	219
+	3	158	217	psDrawFilled
+	opaqueGC
+	163	218
+	161	219
+	3	158	217	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	219
+	163	218
+	3	165	219	psDrawFilled
+	opaqueGC
+	161	219
+	163	218
+	3	165	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	209
+	142	210
+	3	140	207	psDrawFilled
+	opaqueGC
+	144	209
+	142	210
+	3	140	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	210
+	144	209
+	3	146	211	psDrawFilled
+	opaqueGC
+	142	210
+	144	209
+	3	146	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	84
+	146	109
+	3	144	86	psDrawFilled
+	opaqueGC
+	148	84
+	146	109
+	3	144	86	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	169
+	102	168
+	3	100	166	psDrawFilled
+	opaqueGC
+	104	169
+	102	168
+	3	100	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	168
+	104	169
+	3	106	171	psDrawFilled
+	opaqueGC
+	102	168
+	104	169
+	3	106	171	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	200
+	132	200
+	3	130	198	psDrawFilled
+	opaqueGC
+	134	200
+	132	200
+	3	130	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	200
+	134	200
+	3	136	203	psDrawFilled
+	opaqueGC
+	132	200
+	134	200
+	3	136	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	96	163
+	94	161
+	3	92	160	psDrawFilled
+	opaqueGC
+	96	163
+	94	161
+	3	92	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	161
+	96	163
+	3	98	164	psDrawFilled
+	opaqueGC
+	94	161
+	96	163
+	3	98	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	180
+	114	180
+	3	112	177	psDrawFilled
+	opaqueGC
+	116	180
+	114	180
+	3	112	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	180
+	116	180
+	3	118	183	psDrawFilled
+	opaqueGC
+	114	180
+	116	180
+	3	118	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	214
+	150	215
+	3	148	213	psDrawFilled
+	opaqueGC
+	152	214
+	150	215
+	3	148	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	215
+	152	214
+	3	154	216	psDrawFilled
+	opaqueGC
+	150	215
+	152	214
+	3	154	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	158	217
+	156	218
+	3	154	216	psDrawFilled
+	opaqueGC
+	158	217
+	156	218
+	3	154	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	218
+	158	217
+	3	161	219	psDrawFilled
+	opaqueGC
+	156	218
+	158	217
+	3	161	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	203
+	134	203
+	3	132	200	psDrawFilled
+	opaqueGC
+	136	203
+	134	203
+	3	132	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	203
+	136	203
+	3	138	205	psDrawFilled
+	opaqueGC
+	134	203
+	136	203
+	3	138	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	183
+	116	182
+	3	114	180	psDrawFilled
+	opaqueGC
+	118	183
+	116	182
+	3	114	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	182
+	118	183
+	3	120	185	psDrawFilled
+	opaqueGC
+	116	182
+	118	183
+	3	120	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	211
+	144	212
+	3	142	210	psDrawFilled
+	opaqueGC
+	146	211
+	144	212
+	3	142	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	212
+	146	211
+	3	148	213	psDrawFilled
+	opaqueGC
+	144	212
+	146	211
+	3	148	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	219
+	163	221
+	3	161	219	psDrawFilled
+	opaqueGC
+	165	219
+	163	221
+	3	161	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	185
+	118	185
+	3	116	182	psDrawFilled
+	opaqueGC
+	120	185
+	118	185
+	3	116	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	185
+	120	185
+	3	122	188	psDrawFilled
+	opaqueGC
+	118	185
+	120	185
+	3	122	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	205
+	136	205
+	3	134	203	psDrawFilled
+	opaqueGC
+	138	205
+	136	205
+	3	134	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	205
+	138	205
+	3	140	207	psDrawFilled
+	opaqueGC
+	136	205
+	138	205
+	3	140	207	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	171
+	104	169
+	3	102	168	psDrawFilled
+	opaqueGC
+	106	171
+	104	169
+	3	102	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	169
+	106	171
+	3	108	173	psDrawFilled
+	opaqueGC
+	104	169
+	106	171
+	3	108	173	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	216
+	152	217
+	3	150	215	psDrawFilled
+	opaqueGC
+	154	216
+	152	217
+	3	150	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	217
+	154	216
+	3	156	218	psDrawFilled
+	opaqueGC
+	152	217
+	154	216
+	3	156	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	90	159
+	87	157
+	3	85	156	psDrawFilled
+	opaqueGC
+	90	159
+	87	157
+	3	85	156	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	87	157
+	90	159
+	3	92	160	psDrawFilled
+	opaqueGC
+	87	157
+	90	159
+	3	92	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	188
+	120	187
+	3	118	185	psDrawFilled
+	opaqueGC
+	122	188
+	120	187
+	3	118	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	187
+	122	188
+	3	124	190	psDrawFilled
+	opaqueGC
+	120	187
+	122	188
+	3	124	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	213
+	146	214
+	3	144	212	psDrawFilled
+	opaqueGC
+	148	213
+	146	214
+	3	144	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	214
+	148	213
+	3	150	215	psDrawFilled
+	opaqueGC
+	146	214
+	148	213
+	3	150	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	219
+	159	220
+	3	156	218	psDrawFilled
+	opaqueGC
+	161	219
+	159	220
+	3	156	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	220
+	161	219
+	3	163	221	psDrawFilled
+	opaqueGC
+	159	220
+	161	219
+	3	163	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	207
+	138	208
+	3	136	205	psDrawFilled
+	opaqueGC
+	140	207
+	138	208
+	3	136	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	208
+	140	207
+	3	142	210	psDrawFilled
+	opaqueGC
+	138	208
+	140	207
+	3	142	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	190
+	122	190
+	3	120	187	psDrawFilled
+	opaqueGC
+	124	190
+	122	190
+	3	120	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	190
+	124	190
+	3	126	193	psDrawFilled
+	opaqueGC
+	122	190
+	124	190
+	3	126	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	98	164
+	95	163
+	3	94	161	psDrawFilled
+	opaqueGC
+	98	164
+	95	163
+	3	94	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	163
+	98	164
+	3	100	166	psDrawFilled
+	opaqueGC
+	95	163
+	98	164
+	3	100	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	193
+	124	193
+	3	122	190	psDrawFilled
+	opaqueGC
+	126	193
+	124	193
+	3	122	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	193
+	126	193
+	3	128	195	psDrawFilled
+	opaqueGC
+	124	193
+	126	193
+	3	128	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	173
+	106	172
+	3	104	169	psDrawFilled
+	opaqueGC
+	108	173
+	106	172
+	3	104	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	172
+	108	173
+	3	110	175	psDrawFilled
+	opaqueGC
+	106	172
+	108	173
+	3	110	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	156	218
+	154	219
+	3	152	217	psDrawFilled
+	opaqueGC
+	156	218
+	154	219
+	3	152	217	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	219
+	156	218
+	3	159	220	psDrawFilled
+	opaqueGC
+	154	219
+	156	218
+	3	159	220	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	210
+	140	210
+	3	138	208	psDrawFilled
+	opaqueGC
+	142	210
+	140	210
+	3	138	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	210
+	142	210
+	3	144	212	psDrawFilled
+	opaqueGC
+	140	210
+	142	210
+	3	144	212	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	195
+	126	195
+	3	124	193	psDrawFilled
+	opaqueGC
+	128	195
+	126	195
+	3	124	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	195
+	128	195
+	3	130	198	psDrawFilled
+	opaqueGC
+	126	195
+	128	195
+	3	130	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	215
+	148	216
+	3	146	214	psDrawFilled
+	opaqueGC
+	150	215
+	148	216
+	3	146	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	216
+	150	215
+	3	152	217	psDrawFilled
+	opaqueGC
+	148	216
+	150	215
+	3	152	217	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	221
+	161	222
+	3	159	220	psDrawFilled
+	opaqueGC
+	163	221
+	161	222
+	3	159	220	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	198
+	128	198
+	3	126	195	psDrawFilled
+	opaqueGC
+	130	198
+	128	198
+	3	126	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	198
+	130	198
+	3	132	200	psDrawFilled
+	opaqueGC
+	128	198
+	130	198
+	3	132	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	175
+	108	174
+	3	106	172	psDrawFilled
+	opaqueGC
+	110	175
+	108	174
+	3	106	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	174
+	110	175
+	3	112	177	psDrawFilled
+	opaqueGC
+	108	174
+	110	175
+	3	112	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	89
+	148	60
+	3	146	87	psDrawFilled
+	opaqueGC
+	150	89
+	148	60
+	3	146	87	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	60
+	150	89
+	3	152	90	psDrawFilled
+	opaqueGC
+	148	60
+	150	89
+	3	152	90	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	212
+	142	213
+	3	140	210	psDrawFilled
+	opaqueGC
+	144	212
+	142	213
+	3	140	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	213
+	144	212
+	3	146	214	psDrawFilled
+	opaqueGC
+	142	213
+	144	212
+	3	146	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	200
+	130	201
+	3	128	198	psDrawFilled
+	opaqueGC
+	132	200
+	130	201
+	3	128	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	201
+	132	200
+	3	134	203	psDrawFilled
+	opaqueGC
+	130	201
+	132	200
+	3	134	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	100	166
+	97	164
+	3	95	163	psDrawFilled
+	opaqueGC
+	100	166
+	97	164
+	3	95	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	164
+	100	166
+	3	102	168	psDrawFilled
+	opaqueGC
+	97	164
+	100	166
+	3	102	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	217
+	150	218
+	3	148	216	psDrawFilled
+	opaqueGC
+	152	217
+	150	218
+	3	148	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	218
+	152	217
+	3	154	219	psDrawFilled
+	opaqueGC
+	150	218
+	152	217
+	3	154	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	92	160
+	89	158
+	3	87	157	psDrawFilled
+	opaqueGC
+	92	160
+	89	158
+	3	87	157	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	89	158
+	92	160
+	3	94	161	psDrawFilled
+	opaqueGC
+	89	158
+	92	160
+	3	94	161	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	220
+	157	221
+	3	154	219	psDrawFilled
+	opaqueGC
+	159	220
+	157	221
+	3	154	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	221
+	159	220
+	3	161	222	psDrawFilled
+	opaqueGC
+	157	221
+	159	220
+	3	161	222	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	203
+	132	203
+	3	130	201	psDrawFilled
+	opaqueGC
+	134	203
+	132	203
+	3	130	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	203
+	134	203
+	3	136	205	psDrawFilled
+	opaqueGC
+	132	203
+	134	203
+	3	136	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	177
+	110	176
+	3	108	174	psDrawFilled
+	opaqueGC
+	112	177
+	110	176
+	3	108	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	176
+	112	177
+	3	114	180	psDrawFilled
+	opaqueGC
+	110	176
+	112	177
+	3	114	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	214
+	144	215
+	3	142	213	psDrawFilled
+	opaqueGC
+	146	214
+	144	215
+	3	142	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	215
+	146	214
+	3	148	216	psDrawFilled
+	opaqueGC
+	144	215
+	146	214
+	3	148	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	205
+	134	206
+	3	132	203	psDrawFilled
+	opaqueGC
+	136	205
+	134	206
+	3	132	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	206
+	136	205
+	3	138	208	psDrawFilled
+	opaqueGC
+	134	206
+	136	205
+	3	138	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	180
+	112	179
+	3	110	176	psDrawFilled
+	opaqueGC
+	114	180
+	112	179
+	3	110	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	179
+	114	180
+	3	116	182	psDrawFilled
+	opaqueGC
+	112	179
+	114	180
+	3	116	182	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	73
+	146	87
+	3	148	60	psDrawFilled
+	opaqueGC
+	144	73
+	146	87
+	3	148	60	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	154	219
+	152	221
+	3	150	218	psDrawFilled
+	opaqueGC
+	154	219
+	152	221
+	3	150	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	221
+	154	219
+	3	157	221	psDrawFilled
+	opaqueGC
+	152	221
+	154	219
+	3	157	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	90
+	151	62
+	3	148	60	psDrawFilled
+	opaqueGC
+	152	90
+	151	62
+	3	148	60	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	208
+	136	208
+	3	134	206	psDrawFilled
+	opaqueGC
+	138	208
+	136	208
+	3	134	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	208
+	138	208
+	3	140	210	psDrawFilled
+	opaqueGC
+	136	208
+	138	208
+	3	140	210	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	182
+	114	181
+	3	112	179	psDrawFilled
+	opaqueGC
+	116	182
+	114	181
+	3	112	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	181
+	116	182
+	3	118	185	psDrawFilled
+	opaqueGC
+	114	181
+	116	182
+	3	118	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	222
+	159	223
+	3	157	221	psDrawFilled
+	opaqueGC
+	161	222
+	159	223
+	3	157	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	102	168
+	99	166
+	3	97	164	psDrawFilled
+	opaqueGC
+	102	168
+	99	166
+	3	97	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	166
+	102	168
+	3	104	169	psDrawFilled
+	opaqueGC
+	99	166
+	102	168
+	3	104	169	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	216
+	146	217
+	3	144	215	psDrawFilled
+	opaqueGC
+	148	216
+	146	217
+	3	144	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	217
+	148	216
+	3	150	218	psDrawFilled
+	opaqueGC
+	146	217
+	148	216
+	3	150	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	185
+	116	184
+	3	114	181	psDrawFilled
+	opaqueGC
+	118	185
+	116	184
+	3	114	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	184
+	118	185
+	3	120	187	psDrawFilled
+	opaqueGC
+	116	184
+	118	185
+	3	120	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	210
+	138	211
+	3	136	208	psDrawFilled
+	opaqueGC
+	140	210
+	138	211
+	3	136	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	211
+	140	210
+	3	142	213	psDrawFilled
+	opaqueGC
+	138	211
+	140	210
+	3	142	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	187
+	118	186
+	3	116	184	psDrawFilled
+	opaqueGC
+	120	187
+	118	186
+	3	116	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	186
+	120	187
+	3	122	190	psDrawFilled
+	opaqueGC
+	118	186
+	120	187
+	3	122	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	94	161
+	91	159
+	3	89	158	psDrawFilled
+	opaqueGC
+	94	161
+	91	159
+	3	89	158	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	91	159
+	94	161
+	3	95	163	psDrawFilled
+	opaqueGC
+	91	159
+	94	161
+	3	95	163	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	221
+	155	223
+	3	152	221	psDrawFilled
+	opaqueGC
+	157	221
+	155	223
+	3	152	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	223
+	157	221
+	3	159	223	psDrawFilled
+	opaqueGC
+	155	223
+	157	221
+	3	159	223	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	190
+	120	189
+	3	118	186	psDrawFilled
+	opaqueGC
+	122	190
+	120	189
+	3	118	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	189
+	122	190
+	3	124	193	psDrawFilled
+	opaqueGC
+	120	189
+	122	190
+	3	124	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	218
+	148	219
+	3	146	217	psDrawFilled
+	opaqueGC
+	150	218
+	148	219
+	3	146	217	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	219
+	150	218
+	3	152	221	psDrawFilled
+	opaqueGC
+	148	219
+	150	218
+	3	152	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	193
+	122	192
+	3	120	189	psDrawFilled
+	opaqueGC
+	124	193
+	122	192
+	3	120	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	192
+	124	193
+	3	126	195	psDrawFilled
+	opaqueGC
+	122	192
+	124	193
+	3	126	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	213
+	140	213
+	3	138	211	psDrawFilled
+	opaqueGC
+	142	213
+	140	213
+	3	138	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	213
+	142	213
+	3	144	215	psDrawFilled
+	opaqueGC
+	140	213
+	142	213
+	3	144	215	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	104	169
+	101	168
+	3	99	166	psDrawFilled
+	opaqueGC
+	104	169
+	101	168
+	3	99	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	168
+	104	169
+	3	106	172	psDrawFilled
+	opaqueGC
+	101	168
+	104	169
+	3	106	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	165	59
+	163	30
+	3	161	66	psDrawFilled
+	opaqueGC
+	165	59
+	163	30
+	3	161	66	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	66
+	161	66
+	3	163	30	psDrawFilled
+	opaqueGC
+	159	66
+	161	66
+	3	163	30	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	195
+	124	195
+	3	122	192	psDrawFilled
+	opaqueGC
+	126	195
+	124	195
+	3	122	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	195
+	126	195
+	3	128	198	psDrawFilled
+	opaqueGC
+	124	195
+	126	195
+	3	128	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	198
+	126	198
+	3	124	195	psDrawFilled
+	opaqueGC
+	128	198
+	126	198
+	3	124	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	198
+	128	198
+	3	130	201	psDrawFilled
+	opaqueGC
+	126	198
+	128	198
+	3	130	201	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	215
+	142	216
+	3	140	213	psDrawFilled
+	opaqueGC
+	144	215
+	142	216
+	3	140	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	216
+	144	215
+	3	146	217	psDrawFilled
+	opaqueGC
+	142	216
+	144	215
+	3	146	217	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	201
+	128	200
+	3	126	198	psDrawFilled
+	opaqueGC
+	130	201
+	128	200
+	3	126	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	200
+	130	201
+	3	132	203	psDrawFilled
+	opaqueGC
+	128	200
+	130	201
+	3	132	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	221
+	150	222
+	3	148	219	psDrawFilled
+	opaqueGC
+	152	221
+	150	222
+	3	148	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	222
+	152	221
+	3	155	223	psDrawFilled
+	opaqueGC
+	150	222
+	152	221
+	3	155	223	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	223
+	157	225
+	3	155	223	psDrawFilled
+	opaqueGC
+	159	223
+	157	225
+	3	155	223	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	106	172
+	103	170
+	3	101	168	psDrawFilled
+	opaqueGC
+	106	172
+	103	170
+	3	101	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	170
+	106	172
+	3	108	174	psDrawFilled
+	opaqueGC
+	103	170
+	106	172
+	3	108	174	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	203
+	130	203
+	3	128	200	psDrawFilled
+	opaqueGC
+	132	203
+	130	203
+	3	128	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	203
+	132	203
+	3	134	206	psDrawFilled
+	opaqueGC
+	130	203
+	132	203
+	3	134	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	163
+	93	160
+	3	91	159	psDrawFilled
+	opaqueGC
+	95	163
+	93	160
+	3	91	159	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	93	160
+	95	163
+	3	97	164	psDrawFilled
+	opaqueGC
+	93	160
+	95	163
+	3	97	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	206
+	132	206
+	3	130	203	psDrawFilled
+	opaqueGC
+	134	206
+	132	206
+	3	130	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	206
+	134	206
+	3	136	208	psDrawFilled
+	opaqueGC
+	132	206
+	134	206
+	3	136	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	217
+	144	218
+	3	142	216	psDrawFilled
+	opaqueGC
+	146	217
+	144	218
+	3	142	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	218
+	146	217
+	3	148	219	psDrawFilled
+	opaqueGC
+	144	218
+	146	217
+	3	148	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	108	174
+	105	172
+	3	103	170	psDrawFilled
+	opaqueGC
+	108	174
+	105	172
+	3	103	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	172
+	108	174
+	3	110	176	psDrawFilled
+	opaqueGC
+	105	172
+	108	174
+	3	110	176	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	208
+	134	208
+	3	132	206	psDrawFilled
+	opaqueGC
+	136	208
+	134	208
+	3	132	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	208
+	136	208
+	3	138	211	psDrawFilled
+	opaqueGC
+	134	208
+	136	208
+	3	138	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	223
+	152	224
+	3	150	222	psDrawFilled
+	opaqueGC
+	155	223
+	152	224
+	3	150	222	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	224
+	155	223
+	3	157	225	psDrawFilled
+	opaqueGC
+	152	224
+	155	223
+	3	157	225	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	219
+	146	220
+	3	144	218	psDrawFilled
+	opaqueGC
+	148	219
+	146	220
+	3	144	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	220
+	148	219
+	3	150	222	psDrawFilled
+	opaqueGC
+	146	220
+	148	219
+	3	150	222	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	211
+	136	211
+	3	134	208	psDrawFilled
+	opaqueGC
+	138	211
+	136	211
+	3	134	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	211
+	138	211
+	3	140	213	psDrawFilled
+	opaqueGC
+	136	211
+	138	211
+	3	140	213	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	110	176
+	107	175
+	3	105	172	psDrawFilled
+	opaqueGC
+	110	176
+	107	175
+	3	105	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	175
+	110	176
+	3	112	179	psDrawFilled
+	opaqueGC
+	107	175
+	110	176
+	3	112	179	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	30
+	161	31
+	3	159	66	psDrawFilled
+	opaqueGC
+	163	30
+	161	31
+	3	159	66	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	213
+	138	214
+	3	136	211	psDrawFilled
+	opaqueGC
+	140	213
+	138	214
+	3	136	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	214
+	140	213
+	3	142	216	psDrawFilled
+	opaqueGC
+	138	214
+	140	213
+	3	142	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	164
+	95	162
+	3	93	160	psDrawFilled
+	opaqueGC
+	97	164
+	95	162
+	3	93	160	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	95	162
+	97	164
+	3	99	166	psDrawFilled
+	opaqueGC
+	95	162
+	97	164
+	3	99	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	112	179
+	109	177
+	3	107	175	psDrawFilled
+	opaqueGC
+	112	179
+	109	177
+	3	107	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	177
+	112	179
+	3	114	181	psDrawFilled
+	opaqueGC
+	109	177
+	112	179
+	3	114	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	157	225
+	155	226
+	3	152	224	psDrawFilled
+	opaqueGC
+	157	225
+	155	226
+	3	152	224	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	222
+	148	223
+	3	146	220	psDrawFilled
+	opaqueGC
+	150	222
+	148	223
+	3	146	220	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	223
+	150	222
+	3	152	224	psDrawFilled
+	opaqueGC
+	148	223
+	150	222
+	3	152	224	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	149	42
+	151	62
+	3	152	92	psDrawFilled
+	opaqueGC
+	149	42
+	151	62
+	3	152	92	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	92
+	151	77
+	3	149	42	psDrawFilled
+	opaqueGC
+	152	92
+	151	77
+	3	149	42	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	181
+	111	180
+	3	109	177	psDrawFilled
+	opaqueGC
+	114	181
+	111	180
+	3	109	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	180
+	114	181
+	3	116	184	psDrawFilled
+	opaqueGC
+	111	180
+	114	181
+	3	116	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	216
+	140	216
+	3	138	214	psDrawFilled
+	opaqueGC
+	142	216
+	140	216
+	3	138	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	216
+	142	216
+	3	144	218	psDrawFilled
+	opaqueGC
+	140	216
+	142	216
+	3	144	218	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	184
+	114	183
+	3	111	180	psDrawFilled
+	opaqueGC
+	116	184
+	114	183
+	3	111	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	183
+	116	184
+	3	118	186	psDrawFilled
+	opaqueGC
+	114	183
+	116	184
+	3	118	186	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	186
+	116	185
+	3	114	183	psDrawFilled
+	opaqueGC
+	118	186
+	116	185
+	3	114	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	185
+	118	186
+	3	120	189	psDrawFilled
+	opaqueGC
+	116	185
+	118	186
+	3	120	189	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	189
+	118	188
+	3	116	185	psDrawFilled
+	opaqueGC
+	120	189
+	118	188
+	3	116	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	188
+	120	189
+	3	122	192	psDrawFilled
+	opaqueGC
+	118	188
+	120	189
+	3	122	192	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	192
+	120	191
+	3	118	188	psDrawFilled
+	opaqueGC
+	122	192
+	120	191
+	3	118	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	191
+	122	192
+	3	124	195	psDrawFilled
+	opaqueGC
+	120	191
+	122	192
+	3	124	195	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	218
+	142	219
+	3	140	216	psDrawFilled
+	opaqueGC
+	144	218
+	142	219
+	3	140	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	219
+	144	218
+	3	146	220	psDrawFilled
+	opaqueGC
+	142	219
+	144	218
+	3	146	220	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	152	224
+	150	225
+	3	148	223	psDrawFilled
+	opaqueGC
+	152	224
+	150	225
+	3	148	223	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	225
+	152	224
+	3	155	226	psDrawFilled
+	opaqueGC
+	150	225
+	152	224
+	3	155	226	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	195
+	122	194
+	3	120	191	psDrawFilled
+	opaqueGC
+	124	195
+	122	194
+	3	120	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	194
+	124	195
+	3	126	198	psDrawFilled
+	opaqueGC
+	122	194
+	124	195
+	3	126	198	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	166
+	97	164
+	3	95	162	psDrawFilled
+	opaqueGC
+	99	166
+	97	164
+	3	95	162	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	97	164
+	99	166
+	3	101	168	psDrawFilled
+	opaqueGC
+	97	164
+	99	166
+	3	101	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	198
+	124	197
+	3	122	194	psDrawFilled
+	opaqueGC
+	126	198
+	124	197
+	3	122	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	197
+	126	198
+	3	128	200	psDrawFilled
+	opaqueGC
+	124	197
+	126	198
+	3	128	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	200
+	126	200
+	3	124	197	psDrawFilled
+	opaqueGC
+	128	200
+	126	200
+	3	124	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	200
+	128	200
+	3	130	203	psDrawFilled
+	opaqueGC
+	126	200
+	128	200
+	3	130	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	203
+	128	203
+	3	126	200	psDrawFilled
+	opaqueGC
+	130	203
+	128	203
+	3	126	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	203
+	130	203
+	3	132	206	psDrawFilled
+	opaqueGC
+	128	203
+	130	203
+	3	132	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	33
+	166	31
+	3	167	70	psDrawFilled
+	opaqueGC
+	163	33
+	166	31
+	3	167	70	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	70
+	165	70
+	3	163	33	psDrawFilled
+	opaqueGC
+	167	70
+	165	70
+	3	163	33	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	220
+	144	221
+	3	142	219	psDrawFilled
+	opaqueGC
+	146	220
+	144	221
+	3	142	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	221
+	146	220
+	3	148	223	psDrawFilled
+	opaqueGC
+	144	221
+	146	220
+	3	148	223	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	206
+	130	206
+	3	128	203	psDrawFilled
+	opaqueGC
+	132	206
+	130	206
+	3	128	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	206
+	132	206
+	3	134	208	psDrawFilled
+	opaqueGC
+	130	206
+	132	206
+	3	134	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	155	226
+	153	227
+	3	150	225	psDrawFilled
+	opaqueGC
+	155	226
+	153	227
+	3	150	225	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	208
+	132	208
+	3	130	206	psDrawFilled
+	opaqueGC
+	134	208
+	132	208
+	3	130	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	208
+	134	208
+	3	136	211	psDrawFilled
+	opaqueGC
+	132	208
+	134	208
+	3	136	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	168
+	99	166
+	3	97	164	psDrawFilled
+	opaqueGC
+	101	168
+	99	166
+	3	97	164	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	99	166
+	101	168
+	3	103	170	psDrawFilled
+	opaqueGC
+	99	166
+	101	168
+	3	103	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	211
+	134	211
+	3	132	208	psDrawFilled
+	opaqueGC
+	136	211
+	134	211
+	3	132	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	211
+	136	211
+	3	138	214	psDrawFilled
+	opaqueGC
+	134	211
+	136	211
+	3	138	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	223
+	146	223
+	3	144	221	psDrawFilled
+	opaqueGC
+	148	223
+	146	223
+	3	144	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	223
+	148	223
+	3	150	225	psDrawFilled
+	opaqueGC
+	146	223
+	148	223
+	3	150	225	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	214
+	136	214
+	3	134	211	psDrawFilled
+	opaqueGC
+	138	214
+	136	214
+	3	134	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	214
+	138	214
+	3	140	216	psDrawFilled
+	opaqueGC
+	136	214
+	138	214
+	3	140	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	170
+	101	168
+	3	99	166	psDrawFilled
+	opaqueGC
+	103	170
+	101	168
+	3	99	166	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	101	168
+	103	170
+	3	105	172	psDrawFilled
+	opaqueGC
+	101	168
+	103	170
+	3	105	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	216
+	138	216
+	3	136	214	psDrawFilled
+	opaqueGC
+	140	216
+	138	216
+	3	136	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	216
+	140	216
+	3	142	219	psDrawFilled
+	opaqueGC
+	138	216
+	140	216
+	3	142	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	225
+	148	226
+	3	146	223	psDrawFilled
+	opaqueGC
+	150	225
+	148	226
+	3	146	223	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	226
+	150	225
+	3	153	227	psDrawFilled
+	opaqueGC
+	148	226
+	150	225
+	3	153	227	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	30
+	165	59
+	3	167	61	psDrawFilled
+	opaqueGC
+	163	30
+	165	59
+	3	167	61	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	172
+	103	170
+	3	101	168	psDrawFilled
+	opaqueGC
+	105	172
+	103	170
+	3	101	168	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	103	170
+	105	172
+	3	107	175	psDrawFilled
+	opaqueGC
+	103	170
+	105	172
+	3	107	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	219
+	140	219
+	3	138	216	psDrawFilled
+	opaqueGC
+	142	219
+	140	219
+	3	138	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	219
+	142	219
+	3	144	221	psDrawFilled
+	opaqueGC
+	140	219
+	142	219
+	3	144	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	62
+	163	33
+	3	165	70	psDrawFilled
+	opaqueGC
+	161	62
+	163	33
+	3	165	70	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	153	227
+	150	228
+	3	148	226	psDrawFilled
+	opaqueGC
+	153	227
+	150	228
+	3	148	226	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	175
+	105	172
+	3	103	170	psDrawFilled
+	opaqueGC
+	107	175
+	105	172
+	3	103	170	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	105	172
+	107	175
+	3	109	177	psDrawFilled
+	opaqueGC
+	105	172
+	107	175
+	3	109	177	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	221
+	142	221
+	3	140	219	psDrawFilled
+	opaqueGC
+	144	221
+	142	221
+	3	140	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	221
+	144	221
+	3	146	223	psDrawFilled
+	opaqueGC
+	142	221
+	144	221
+	3	146	223	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	177
+	107	175
+	3	105	172	psDrawFilled
+	opaqueGC
+	109	177
+	107	175
+	3	105	172	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	107	175
+	109	177
+	3	111	180	psDrawFilled
+	opaqueGC
+	107	175
+	109	177
+	3	111	180	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	180
+	109	178
+	3	107	175	psDrawFilled
+	opaqueGC
+	111	180
+	109	178
+	3	107	175	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	109	178
+	111	180
+	3	114	183	psDrawFilled
+	opaqueGC
+	109	178
+	111	180
+	3	114	183	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	223
+	144	224
+	3	142	221	psDrawFilled
+	opaqueGC
+	146	223
+	144	224
+	3	142	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	224
+	146	223
+	3	148	226	psDrawFilled
+	opaqueGC
+	144	224
+	146	223
+	3	148	226	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	114	183
+	111	181
+	3	109	178	psDrawFilled
+	opaqueGC
+	114	183
+	111	181
+	3	109	178	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	111	181
+	114	183
+	3	116	185	psDrawFilled
+	opaqueGC
+	111	181
+	114	183
+	3	116	185	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	167	61
+	166	31
+	3	163	30	psDrawFilled
+	opaqueGC
+	167	61
+	166	31
+	3	163	30	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	116	185
+	113	184
+	3	111	181	psDrawFilled
+	opaqueGC
+	116	185
+	113	184
+	3	111	181	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	113	184
+	116	185
+	3	118	188	psDrawFilled
+	opaqueGC
+	113	184
+	116	185
+	3	118	188	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	193
+	122	194
+	3	124	197	psDrawFilled
+	opaqueGC
+	120	193
+	122	194
+	3	124	197	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	197
+	122	196
+	3	120	193	psDrawFilled
+	opaqueGC
+	124	197
+	122	196
+	3	120	193	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	196
+	124	197
+	3	126	200	psDrawFilled
+	opaqueGC
+	122	196
+	124	197
+	3	126	200	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	117	190
+	120	191
+	3	122	194	psDrawFilled
+	opaqueGC
+	117	190
+	120	191
+	3	122	194	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	122	194
+	120	193
+	3	117	190	psDrawFilled
+	opaqueGC
+	122	194
+	120	193
+	3	117	190	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	200
+	124	199
+	3	122	196	psDrawFilled
+	opaqueGC
+	126	200
+	124	199
+	3	122	196	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	124	199
+	126	200
+	3	128	203	psDrawFilled
+	opaqueGC
+	124	199
+	126	200
+	3	128	203	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	118	188
+	115	187
+	3	113	184	psDrawFilled
+	opaqueGC
+	118	188
+	115	187
+	3	113	184	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	115	187
+	118	188
+	3	120	191	psDrawFilled
+	opaqueGC
+	115	187
+	118	188
+	3	120	191	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	120	191
+	117	190
+	3	115	187	psDrawFilled
+	opaqueGC
+	120	191
+	117	190
+	3	115	187	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	203
+	126	202
+	3	124	199	psDrawFilled
+	opaqueGC
+	128	203
+	126	202
+	3	124	199	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	126	202
+	128	203
+	3	130	206	psDrawFilled
+	opaqueGC
+	126	202
+	128	203
+	3	130	206	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	206
+	128	205
+	3	126	202	psDrawFilled
+	opaqueGC
+	130	206
+	128	205
+	3	126	202	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	128	205
+	130	206
+	3	132	208	psDrawFilled
+	opaqueGC
+	128	205
+	130	206
+	3	132	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	208
+	130	208
+	3	128	205	psDrawFilled
+	opaqueGC
+	132	208
+	130	208
+	3	128	205	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	130	208
+	132	208
+	3	134	211	psDrawFilled
+	opaqueGC
+	130	208
+	132	208
+	3	134	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	211
+	132	211
+	3	130	208	psDrawFilled
+	opaqueGC
+	134	211
+	132	211
+	3	130	208	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	132	211
+	134	211
+	3	136	214	psDrawFilled
+	opaqueGC
+	132	211
+	134	211
+	3	136	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	226
+	146	226
+	3	144	224	psDrawFilled
+	opaqueGC
+	148	226
+	146	226
+	3	144	224	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	226
+	148	226
+	3	150	228	psDrawFilled
+	opaqueGC
+	146	226
+	148	226
+	3	150	228	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	214
+	134	214
+	3	132	211	psDrawFilled
+	opaqueGC
+	136	214
+	134	214
+	3	132	211	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	134	214
+	136	214
+	3	138	216	psDrawFilled
+	opaqueGC
+	134	214
+	136	214
+	3	138	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	216
+	136	216
+	3	134	214	psDrawFilled
+	opaqueGC
+	138	216
+	136	216
+	3	134	214	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	136	216
+	138	216
+	3	140	219	psDrawFilled
+	opaqueGC
+	136	216
+	138	216
+	3	140	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	150	228
+	148	229
+	3	146	226	psDrawFilled
+	opaqueGC
+	150	228
+	148	229
+	3	146	226	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	219
+	138	219
+	3	136	216	psDrawFilled
+	opaqueGC
+	140	219
+	138	219
+	3	136	216	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	138	219
+	140	219
+	3	142	221	psDrawFilled
+	opaqueGC
+	138	219
+	140	219
+	3	142	221	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	221
+	140	222
+	3	138	219	psDrawFilled
+	opaqueGC
+	142	221
+	140	222
+	3	138	219	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	140	222
+	142	221
+	3	144	224	psDrawFilled
+	opaqueGC
+	140	222
+	142	221
+	3	144	224	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	224
+	142	224
+	3	140	222	psDrawFilled
+	opaqueGC
+	144	224
+	142	224
+	3	140	222	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	224
+	144	224
+	3	146	226	psDrawFilled
+	opaqueGC
+	142	224
+	144	224
+	3	146	226	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	226
+	144	227
+	3	142	224	psDrawFilled
+	opaqueGC
+	146	226
+	144	227
+	3	142	224	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	227
+	146	226
+	3	148	229	psDrawFilled
+	opaqueGC
+	144	227
+	146	226
+	3	148	229	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	80
+	144	73
+	3	146	41	psDrawFilled
+	opaqueGC
+	142	80
+	144	73
+	3	146	41	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	41
+	144	42
+	3	142	80	psDrawFilled
+	opaqueGC
+	146	41
+	144	42
+	3	142	80	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	229
+	146	229
+	3	144	227	psDrawFilled
+	opaqueGC
+	148	229
+	146	229
+	3	144	227	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	142	85
+	144	42
+	3	146	44	psDrawFilled
+	opaqueGC
+	142	85
+	144	42
+	3	146	44	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	44
+	144	86
+	3	142	85	psDrawFilled
+	opaqueGC
+	146	44
+	144	86
+	3	142	85	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	159	60
+	161	31
+	3	163	33	psDrawFilled
+	opaqueGC
+	159	60
+	161	31
+	3	163	33	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	163	33
+	161	62
+	3	159	60	psDrawFilled
+	opaqueGC
+	163	33
+	161	62
+	3	159	60	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	86
+	146	44
+	3	148	84	psDrawFilled
+	opaqueGC
+	144	86
+	146	44
+	3	148	84	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	148	60
+	146	41
+	3	144	73	psDrawFilled
+	opaqueGC
+	148	60
+	146	41
+	3	144	73	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	151	77
+	148	84
+	3	146	44	psDrawFilled
+	opaqueGC
+	151	77
+	148	84
+	3	146	44	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	44
+	149	42
+	3	151	77	psDrawFilled
+	opaqueGC
+	146	44
+	149	42
+	3	151	77	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	146	41
+	148	60
+	3	151	62	psDrawFilled
+	opaqueGC
+	146	41
+	148	60
+	3	151	62	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	151	62
+	149	42
+	3	146	41	psDrawFilled
+	opaqueGC
+	151	62
+	149	42
+	3	146	41	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	161	31
+	163	30
+	3	166	31	psDrawFilled
+	opaqueGC
+	161	31
+	163	30
+	3	166	31	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	166	31
+	163	33
+	3	161	31	psDrawFilled
+	opaqueGC
+	166	31
+	163	33
+	3	161	31	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	144	42
+	146	41
+	3	149	42	psDrawFilled
+	opaqueGC
+	144	42
+	146	41
+	3	149	42	psDraw
+	globGC	1.000000	setForeground
+	opaqueGC	0.000000	setForeground
+	globGC
+	149	42
+	146	44
+	3	144	42	psDrawFilled
+	opaqueGC
+	149	42
+	146	44
+	3	144	42	psDraw
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dlight.ps b/books/ps/3dlight.ps
new file mode 100644
index 0000000..062084d
--- /dev/null
+++ b/books/ps/3dlight.ps
@@ -0,0 +1,647 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 83.579775 104.120003 528.420225 718.120003
+%%Creator: xwd2ps
+%%CreationDate: Sun Dec  1 17:24:46 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  322, height = 445, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 324, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 445
+%   starting column = 1
+%   ending column = 322
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  322 445 8
+  [322 0 0 -445 0 445]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+matrix currentmatrix
+2.53 inch 3.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+dbdb70
+2f4f4f
+d4d8e8
+757780
+46474d
+b4b8c5
+236b8e
+0000ff
+238e6b
+2f2f4f
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001020000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001020000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010100000100001e010000fc0100001f0101000000
+1f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e0101000001
+00001e010000fc0100001f01010000000701ff002f000601010000010000060100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000007010100000007010100
+15010100e3010100150101001501010006010100000100000601000016010000e401000016010000160100000701010000000701010015010100e301010015010100150101000601
+0100000100000601000016010000e4010000160100000401000000010000000100000001000000010000000100000001000000010000020100000701010000000701010015010100
+e301010015010100020100000d01000002010100060101000001000006010000160100002e0102000001000015010000170103000c0106001d0103000d010400020105002b010000
+16010000120100000201000007010100000007010100150101002c0101000001020015010000190101000d010100010102001e0101000c0101000101020002010100010101002a01
+010015010100020100000d01000002010100060101000001000006010000160100002c0101000201010014010100190101000d010100020101001e0101000c010000030101000201
+0100020101002901000016010000120100000201000007010100000007010100150101002b0101000301000014010100190101000d010100020101001e0101001101010002010100
+020101002901010015010100020100000d01000002010100060101000001000006010000040100000001000000010000000100000001000000010000000100000001000002010000
+2c0101000301000002010300020101000001020002010600010101000001030003010300050101000d01010002010100010104000201010000010200040103000501010010010100
+0301010002010100290100000a0100000001000008010000120100000201000007010100000007010100020100000d010000020101002b0101000601010001010100020101000101
+01000301010005010200010101000101010001010100040101000d01010001010200000101000201010002010100010101000201010001010100040101000e010200040101000201
+010029010100080100000101000008010100020100000d0100000201010006010100000100000601000012010000020100002c010100050101000301010001010100010101000301
+010005010100020101000001010003010100030101000d01050001010100020101000201010001010100010101000201010004010100100101000301010002010100290100000c01
+00000801000012010000020100000701010000000701010002010f00020101002b010100050101000301010001010100010101000301010005010100050101000301010003010100
+0d0101000801030002010100010101000101060004010100110101000201010002010100290101000801030008010100020100000d01000002010100060101000001000006010000
+160100002c010100030100000001010003010100010101000101010003010100050101000501010003010100030101000d0101000601010001010100020101000101010001010100
+090101001101010002010100020101002901000016010000120100000201000007010100000007010100150101002b01010003010000000101000301010001010100010101000301
+0100050101000501010003010100030101000d0101000501010002010100020101000101010001010100090101001101010002010100020101002901010015010100020100000d01
+000002010100060101000001000006010000160100002d01010001010100010101000101010002010100010101000301010001010000020101000601010001010100040101000d01
+0100050101000101020002010100010101000201010002010000040101000c0100000301010002010100010101002a01000016010000120100000201000007010100000007010100
+150101002d010300030103000201020000010300030102000201040005010300030105000a0103000501020001010100000102000001030002010300030105000a01010001010100
+020105002b01010015010100020100000d0100000201010006010100000100000601000016010000aa01030035010000160100001201000002010000070101000000070101001501
+0100e30101001501010002010f000201010006010100000100000601000016010000e401000016010000160100000701010000000701010015010100e30101001501010015010100
+060101000001000006010000000116000001e400000116000001160007010100ff0041000001000000010000000100000001000000010100ff012b01000000010000000100000001
+00000001000000010000000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601010074010225
+0f01002520010425020105257301000007010100000007010100750101250e0102251e01012501010225020101250101012573010000060101000001000006010100750101250f01
+00251f010025030101250201012502010125710100000701010000000701010074010325340101250201012502010125720100000601010000010000060101007401002500010125
+020102250101022501010325050103250201002500010125000101250e01012503010125020101257101000007010100000007010100740100250001012503010125010101250401
+012504010125010101250101012500010125000101250b01022504010125020101257201000006010100000100000601010074010025010101250301012500010025050101250301
+0125030101250001012500010125000101250d0101250301012502010125710100000701010000000701010073010525040101250601012503010125030101250001012500010125
+000101250e0101250201012502010125720100000601010000010000060101007301002502010125040101250601012503010125030101250001012500010125000101250e010125
+02010125020101257101000007010100000007010100730100250301012502010025000101250501012503010125030101250001012500010125000101250e010125020101250201
+012572010000060101000001000006010100720101250301012501010125010101250401012504010125010101250101012500010125000101250901002503010125020101250101
+0125720100000701010000000701010072010225010102250001022501010225010105250301032502010125000101250001012509010125010101250201052574010000060101000001
+000006010100a90103257d01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c0100000601010000010000
+06010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100
+ff012b0100000701010000000701ff002d000001000006010100000100000601ff002e0007010100000007010100ff012c010000060101000001000006010100ff012b0100000701
+0100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+07010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100
+ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01
+0000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c0100000601
+01000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001
+000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601
+0100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff01
+2b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000
+070101000000070101009301005a970100000601010000010000060101009301005a96010000070101000000070101009301005a970100000601010000010000060101009301005a
+0001001694010000070101000000070101009301005a01010116930100000601010000010000060101009301005a0301001691010000070101000000070101009301005a02010116
+920100000601010000010000060101009301005a0201001692010000070101000000070101009301005a02010016930100000601010000010000060101009301005a020100169201
+0000070101000000070101009301005a02010016930100000601010000010000060101009301005a96010000070101000000070101009301005a9701000006010100000100000601
+01009301005a96010000070101000000070101009301005a970100000601010000010000060101009301005a96010000070101000000070101005e01005a3301005a3201005a6301
+00000601010000010000060101005f01015a3101005a3001015a63010000070101000000070101006101005a3001005a2f01005a660100000601010000010000060101006201015a
+2e01005a2d01015a66010000070101000000070101006401005a2d01005a2c01005a690100000601010000010000060101006501005a2c01005a2b01005a69010000070101000000
+070101006601015a2a01005a2901015a6b0100000601010000010000060101006801005a2901005a2801005a6c010000070101000000070101006901015a2701005a2601015a6e01
+00000601010000010000060101006b01005a2601005a2501005a6f010000070101000000070101006c01015a2401005a2301015a710100000601010000010000060101006e01005a
+2301005a2201005a72010000070101000000070101006f01005a2201005a2101005a0c010012660100000601010000010000060101007001015a2001005a1f01015a0b0101120065
+65010000070101000000070101007201005a1f01005a1e01005a0b01011201010065660100000601010000010000060101007301015a1d01005a1c01015a0a010112030100656501
+0000070101000000070101007501005a1c01005a1b01005a0a01011205010065660100000601010000010000060101007601015a1a01005a1901015a090101120701006565010000
+070101000000070101007801005a1901005a1801005a0901011209010065660100000601010000010000060101007901015a1701005a16010065005a080101120b01006565010000
+070101000000070101007b01005a1601005a1501005a00010165050101120d010065660100000601010000010000060101007c01005a1501005a1401005a03010065020101120f01
+006565010000070101000000070101007d01015a1301005a1201015a05010065011211010065660100000601010000010000060101007f01005a1201005a1101005a060101120165
+1101006565010000070101000000070101008001015a1001005a0f01015a050101120301006510010065660100000601010000010000060101008201005a0f01005a0e01005a0501
+0112060101650e01006565010000070101000000070101008301015a0d01005a0c01015a040101120a0100650d010065660100000601010000010000060101008501005a0c01005a
+0b01005a040101120d0100650c01006565010000070101000000070101008601005a0b01005a0a01005a03010112100101650a010065660100000601010000010000060101008701
+015a0901005a0801015a02010112140100650901006565010000070101000000070101008901005a0801005a0701005a020101121701006508010065660100000601010000010000
+060101008a01015a0601005a0501015a010101121a0101650601006565010000070101000000070101008c01005a0501005a0401005a010101121e01006505010065660100000601
+010000010000060101008d01015a0301005a0201015a00010112210101650301006565010000070101000000070101008f01005a0201005a0101005a000101122501006502010065
+660100000601010000010000060101009001015a0001025a0112280100650101006565010000070101000000070101009201015a01122b0102656601000006010100000100000601
+01009201005a00122f01006565010000070101000000070101009001015a0001025a2b010165670100000601010000010000060101008f01005a0201005a0101005a290100656801
+0000070101000000070101008d01015a0301005a0201015a250101656a0100000601010000010000060101008c01005a0501005a0401005a230100656b0100000701010000000701
+01008a01015a0601005a0501015a1f0101656d0100000601010000010000060101008901005a0801005a0701005a1d0100656e010000070101000000070101008701015a0901005a
+0801015a19010165700100000601010000010000060101008601005a0b01005a0a01005a1701006571010000070101000000070101008501005a0c01005a0b01005a150100657301
+00000601010000010000060101008301015a0d01005a0c01015a1101016573010000070101000000070101008201005a0f01005a0e01005a0f010065760100000601010000010000
+060101008001015a1001005a0f01015a0b01016576010000070101000000070101007f01005a1201005a1101005a09010065790100000601010000010000060101007d01015a1301
+005a1201015a0501016579010000070101000000070101007c01005a1501005a1401005a030100657c0100000601010000010000060101007b01005a1601005a1501005a00010165
+7c010000070101000000070101007901015a1701005a16010065005a7e0100000601010000010000060101007801005a1901005a1801005a7c010000070101000000070101007601
+015a1a01005a1901015a7b0100000601010000010000060101007501005a1c01005a1b01005a79010000070101000000070101007301015a1d01005a1c01015a78010000060101000001
+0000060101007201005a1f01005a1e01005a76010000070101000000070101007001015a2001005a1f01015a750100000601010000010000060101006f01005a2201005a2101005a
+73010000070101000000070101006e01005a2301005a2201005a730100000601010000010000060101006c01015a2401005a2301015a70010000070101000000070101006b01005a
+2601005a2501005a70010000060101000001000006010100630100160401015a2701005a2601015a6d01000007010100000007010100620100160401005a2901005a2801005a0301
+001668010000060101000001000006010100610101160201015a2a01005a2901015a0101001667010000070101000000070101006001021600010016005a2c01005a2b01005a0001
+001601010016650100000601010000010000060101006101001600010016005a2d01005a2c01005a000102166401000007010100000007010100600100160001015a2e01005a2d01
+015a000100166501000006010100000100000601010060010016005a3001005a2f01005a001664010000070101000000070101005f01015a3101005a2f010116005a640100000601
+010000010000060101005e01005a3301005a2f0101160001005a62010000070101000000070101009301005a2f010016660100000601010000010000060101009301005a96010000
+070101000000070101009301005a970100000601010000010000060101009301005a96010000070101000000070101009301005a970100000601010000010000060101009301005a
+96010000070101000000070101009301005a970100000601010000010000060101009301005a96010000070101000000070101009301005a97010000060101000001000006010100
+9301005a96010000070101000000070101009301005a970100000601010000010000060101009301005a96010000070101000000070101009301005a970100000601010000010000
+060101009301005a96010000070101000000070101009301005a970100000601010000010000060101009301005a9601000007010100000007010100ff012c010000060101000001
+000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601
+0100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff01
+2b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000
+07010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+07010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100
+ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01
+0000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c0100000601
+01000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001
+00000601ff002e000701010000000701ff002d0000010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff01
+2b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100330103390701
+00390d0102390801003907010039220102390001003915010039170103390c0106391d010339350100000701010000000701010034010139070102390d0101390801003906010239
+200101390001023915010039190101390d010139010102391e0101393601000006010100000100000601010034010139080100390e01013907010139070100392001013902010139
+14010139190101390d010139020101391e0101393501000007010100000007010100340101391801013907010139290101390301003914010139190101390d010139020101391e01
+01393601000006010100000100000601010034010139060103390401033900010139010104390201063902010339030101390001023903010339000101390a010139030100390201
+0339020101390001023902010639010101390001033903010339050101390d0101390201013901010439020101390001023904010339050101393501000007010100000007010100
+34010139080101390301013901010139000100390101023900010139030101390701013904010139010101390101013901010139000100390a010139060101390101013902010139
+010101390301013905010239010101390101013901010139040101390d010139010102390001013902010139020101390101013902010139010101390401013936010000060101000001
+0000060101003401013908010139030101390101013903010139010101390301013907010139040101390101013901010139010101390c0101390501013903010139010101390101
+01390301013905010139020101390001013903010139030101390d010539010101390201013902010139010101390101013902010139040101393501000007010100000007010100
+3401013908010139030101390101013903010139010101390301013907010139040101390101013901010139010101390c0101390501013903010139010101390101013903010139
+050101390501013903010139030101390d01013908010339020101390101013901010639040101393601000006010100000100000601010034010139080101390401033904010139
+0101013903010139070101390401013901010139020103390d010139030100390001013903010139010101390101013903010139050101390501013903010139030101390d010139
+060101390101013902010139010101390101013909010139350100000701010000000701010034010139030100390301013903010039080101390101013903010139070101390401
+0139010101390101003911010139030100390001013903010139010101390101013903010139050101390501013903010139030101390d0101390501013902010139020101390101
+013901010139090101393601000006010100000100000601010034010139020101390301013903010539030101390101013903010139010100390401013904010139010101390101
+05390d01013901010139010101390101013902010139010101390301013901010039020101390601013901010139040101390d010139050101390101023902010139010101390201
+013902010039040101393501000007010100000007010100330107390101053902010539010102390001033903010239030105390101023900010339010105390d01033903010339
+0201023900010339030102390201043905010339030105390a0103390501023901010139000102390001033902010339030105393401000006010100000100000601010045010039
+040100392501003904010039b10100000701010000000701010045010139020101392501013902010139b20100000601010000010000060101004601043927010439b20100000701
+0100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+0701ff002d000001000006010100000100000601ff002e0007010100000007010100e401010045010000060101000001000006010100e40101004401000007010100000007010100
+e401010045010000060101000001000006010100e40101004401000007010100000007010100e40101004501000006010100000100000601010049010116010102165f0106162c01
+0100440100000701010000000701010049010116020101165f010116010101162d01010038010566060100000601010000010000060101004a01011600010116630101162e010100
+3a01016607010000070101000000070101004a01011600010116620101162f0101003a010166080100000601010000010000060101004b01021662010116010101162c0101003a01
+016607010000070101000000070101004b010116620106162c0101003a010166080100000601010000010000060101004b010116960101003a010166070100000701010000000701
+010049010216970101002b01024d0b0101660801000006010100000100000601010049010116980101002501054d0101004d0b010166070100000701010000000701010013013666
+005a366611011c66005a1c661401010012010a390301034d0701004d0901056606010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066
+14010100120100391001054d0201004d1501000007010100000007010100130100663501005a35010066110100661b01005a1b01006614010100120100391601034d160100000601
+01000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a3501006611010066
+1b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066140101001201003930010000070101000000
+07010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a
+1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b01006614010100120100393101000006010100000100000601
+0100130100663501005a35010066110100661b01005a1b010066140101001201003924010166000102660501000007010100000007010100130100663501005a3501006611010066
+1b01005a1b0100661401010012010039250101660101016605010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039
+25010166010101660401000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039250101660101016605010000060101000001
+000006010100130100663501005a35010066110100661b01005a1b010066140101001201003925010166010101660401000007010100000007010100130100663501005a35010066
+110100661b01005a1b0100661401010012010039240102660101016605010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100
+120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501
+005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039
+31010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a3501
+0066110100661b01005a1b01006614010100120100392701006608010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066140101001201
+0039260101660701000007010100000007010100130100663501005a35010066110100661b01005a1b01006614010100120100392601016608010000060101000001000006010100
+130100663501005a35010066110100661b01005a1b0100661401010012010039240105660501000007010100000007010100130100663501005a35010066110100661b01005a1b01
+006614010100120100392601016608010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066140101001201003926010166070100000701
+0100000007010100130100663501005a35010066110100661b01005a1b01006614010100120100392601016608010000060101000001000006010100130100663501005a35010066
+110100661b01005a1b010066140101001201063920010166000101660401000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201
+00392701026606010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039300100000701010000000701010013010066
+3501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100
+120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501
+005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039
+31010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a3501
+0066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100392501
+04660501000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039240101660201016605010000060101000001000006010100
+130100663501005a35010066110100661b01005a1b0100661401010012010039240106660401000007010100000007010100130100663501005a35010066110100661b01005a1b01
+00661401010012010039240101660a010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066140101001201003924010166020101660401
+000007010100000007010100130100663501005a35010066110100661b01005a1b01006614010100120100392501046606010000060101000001000006010100130100663501005a
+35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b01006614010100120100393101
+0000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066
+110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066140101001201003930010000
+07010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a350100661101
+00661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a350100660201021600010216070100661b01005a1b0100661401010012010039
+31010000060101000001000006010100130100663501005a350100660301011600010116080100661b01005a1b0100661401010012010039240101660001026605010000070101000000
+07010100130100663501005a3501006604010216090100661b01005a1b0100661401010012010039250101660101016605010000060101000001000006010100130100663501005a
+3501006604010216090100661b01005a1b010066140101001201003925010166010101660401000007010100000007010100130100663501005a3501006603010116000101160801
+00661b01005a1b010066140101001201003925010166010101660501000006010100000100000601010013016e5a0201021600010216070100660d011c5a0d010066140101001201
+0a391b010166010101660401000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039240102660101016605010000060101000001
+000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a
+1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039300100000701010000000701
+0100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b01
+006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100
+130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401
+01001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039250105660401000007010100000007010100
+130100663501005a35010066110100661b01005a1b0100661401010012010039240101660201016605010000060101000001000006010100130100663501005a3501006611010066
+1b01005a1b0100661401010012010039250102660701000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039270102660601
+0000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100392401016601010266040100000701010000000701010013010066
+3501005a35010066110100661b01005a1b01006614010100120100392401056606010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066
+14010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039310100000601010000010000060101001301
+00663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b01006614010100
+1201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501
+005a35010066110100661b01005a1b01006614010100120100392701016607010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401
+010012010039270101660601000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100
+130100663501005a35010066110100661b01005a1b0100661401010012010039250103660601000007010100000007010100130100663501005a35010066110100661b01005a1b01
+006614010100120100392701016607010000060101000001000006010100130100663501005a35010066110100661b01005a1b010066140101001201003927010166060100000701
+0100000007010100130100663501005a35010066110100661b01005a1b01006614010100120106392101016607010000060101000001000006010100130100663501005a35010066
+110100661b01005a1b0100661401010012010039270101660601000007010100000007010100130100663501005a35010066110100661b01005a1b01006614010100120100392501
+056605010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a
+35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039
+3001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a3501
+0066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003927010066
+08010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039260101660701000007010100000007010100130100663501
+005a35010066110100661b01005a1b01006614010100120100392601016608010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401
+010012010039240105660501000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003926010166080100000601010000010000
+06010100130100663501005a35010066110100661b01005a1b0100661401010012010039260101660701000007010100000007010100130100663501005a35010066110100661b01
+005a1b01006614010100120100392601016608010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039260101660001
+01660401000007010100000007010100130100663501005a35010066110100661b01005a1b0100661401010012010039270102660601000006010100000100000601010013010066
+3501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201
+003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a
+35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a35010066110100661b01005a1b0100661401010012010039
+3001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000060101000001000006010100130100663501005a3501
+0066110100661b01005a1b01006614010100120100393001000007010100000007010100130100663501005a35010066110100661b01005a1b010066140101001201003931010000
+060101000001000006010100130100663501005a35010066110100661b01005a1b010066140101001201003924010166010102660401000007010100000007010100130100663501
+005a35010066110100661b01005a1b0100661401010012010039240101660201016605010000060101000001000006010100130100663501005a35010066110100661b01005a1b01
+006614010100120100392501016600010166050100000701010000000701010013013666005a366611011c66005a1c661401010012010a391b0101660001016606010000060101000001
+000006010100e40101003a0102660601000007010100000007010100e40101003a01016608010000060101000001000006010100e40101003a010166070100000701010000000701
+0100e40101003801026609010000060101000001000006010100e401010038010166090100000701010000000701ff002d000001000006010100000100000601ff002e00070101000000
+07010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100
+ff012c01000006010100000100000601010023016e5a06016e5a22010000070101000000070101002301005a6c01005a0601005a6c01005a23010000060101000001000006010100
+2301005a6c01005a0601005a6c01005a22010000070101000000070101002301005a6c01005a0601005a6c01005a230100000601010000010000060101002301005a6c01005a0601
+005a6c01005a22010000070101000000070101002301005a6c01005a0601005a6c01005a2301000006010100000109002301005a2301022f0201012f4001005a0601005a1e010420
+4801005a2201000000010800000000010000000100000001000000010000000100002301005a2201042f0101012f1701012f2601005a0601005a1e0105200a0101203a01005a2301
+00000001000000010000000100000001010000010000060101002301005a2101012f0201012f0001012f0701032f0201012f0001022f0201012f2601005a0601005a1e0101200101
+012001010420030101200401012001010120010101200001022000010120000102202001005a22010000070101000000070101002301005a2101012f0201012f0001052f0201052f
+0101052f0101052f2301005a0601005a1e010120010101200001062001010520010101200101012001010520000106201f01005a230100000601010000010000060101002301005a
+2101012f0201012f0001062f0101012f0101012f0101022f0401052f2301005a0601005a1e0101200101012000010120020101200101052001010120010101200101022003010120
+020101201f01005a22010000070101000000070101002301005a2101062f0001012f0201012f0101012f0101012f0101012f0601012f2601005a0601005a1e010420010106200201
+012004010120010101200101012004010120020101201f01005a230100000601010000010000060101002301005a2101062f0001012f0201012f0101012f0101012f0101012f0601
+012f2601005a0601005a1e010320020105200301012004010120010101200101012004010120020101201f01005a22010000070101000000070101002301005a2101012f0201012f
+0001012f0201012f0101012f0101012f0101012f0601012f2601005a0601005a1e01012000010120010101200701012004010120010101200101012004010120020101201f01005a
+230100000601010000010000060101002301005a2101012f0201012f0001062f0101052f0101012f0601022f2501005a0601005a1e01012001010120000106200201022003010520
+0101012004010120020101201f01005a22010000070101000000070101002301005a2101012f0201012f0001052f0301032f0201012f0601022f2501005a0601005a1e0101200101
+01200101042003010220040103200201012004010120020101201f01005a230100000601010000010000060101002301005a6c01005a0601005a6c01005a22010000070101000000
+070101002301005a6c01005a0601005a6c01005a230100000601010000010000060101002301005a6c01005a0601005a6c01005a22010000070101000000070101002301005a6c01
+005a0601005a6c01005a230100000601010000010000060101002301005a6c01005a0601005a6c01005a22010000070101000000070101002301005a6c01005a0601005a6c01005a
+230100000601010000010000060101002301005a6c01005a0601005a6c01005a22010000070101000000070101002301005a6c01005a0601005a6c01005a23010000060101000001
+00000601010023016e5a06016e5a2201000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001
+000006010100ff012b01000007010100000007010100ff012c0100000601010000010000060102000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000701010000000701
+010000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+00000001000000010000000100000001000000010000000100000001000006010100000100001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000
+fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01010000000001
+ff003f000001ff004000
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/3dmult1a.ps b/books/ps/3dmult1a.ps
new file mode 100644
index 0000000..56d2556
--- /dev/null
+++ b/books/ps/3dmult1a.ps
@@ -0,0 +1,16041 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	21	244	251	82	psDrawLine
+	globGC	(X)	16	249	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	278	244	48	82	psDrawLine
+	globGC	(Y)	283	249	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	18	149	250	psDrawLine
+	globGC	(Z)	154	13	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.562500	setForeground
+	renderGC
+	137	151
+	147	124
+	147	150
+	4	137	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	124
+	147	150
+	3	137	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	124
+	147	150
+	147	124
+	4	158	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	150
+	147	124
+	3	158	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	150
+	158	124
+	157	150
+	4	147	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	124
+	157	150
+	3	147	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	150
+	140	177
+	137	151
+	4	147	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	177
+	137	151
+	3	147	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	177
+	147	150
+	148	176
+	4	140	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	150
+	148	176
+	3	140	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	150
+	148	176
+	147	150
+	4	157	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	147	150
+	3	157	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	125
+	157	150
+	158	124
+	4	170	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	150
+	158	124
+	3	170	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	150
+	170	125
+	166	151
+	4	157	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	125
+	166	151
+	3	157	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	176
+	157	150
+	155	177
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	150
+	155	177
+	3	148	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	151
+	155	177
+	157	150
+	4	166	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	177
+	157	150
+	3	166	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	152
+	135	124
+	137	151
+	4	128	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	124
+	137	151
+	3	128	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	124
+	137	151
+	135	124
+	4	147	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	151
+	135	124
+	3	147	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	151
+	133	178
+	128	152
+	4	137	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	178
+	128	152
+	3	137	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	178
+	137	151
+	140	177
+	4	133	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	151
+	140	177
+	3	133	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	127
+	166	151
+	170	125
+	4	181	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	151
+	170	125
+	3	181	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	151
+	181	127
+	176	153
+	4	166	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	127
+	176	153
+	3	166	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	177
+	166	151
+	162	177
+	4	155	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	151
+	162	177
+	3	155	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	153
+	162	177
+	166	151
+	4	176	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	177
+	166	151
+	3	176	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	154
+	124	126
+	128	152
+	4	119	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	126
+	128	152
+	3	119	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	124
+	128	152
+	124	126
+	4	135	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	152
+	124	126
+	3	135	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	152
+	126	180
+	119	154
+	4	128	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	180
+	119	154
+	3	128	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	180
+	128	152
+	133	178
+	4	126	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	152
+	133	178
+	3	126	180	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	176
+	144	203
+	140	177
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	203
+	140	177
+	3	148	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	203
+	148	176
+	148	202
+	4	144	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	148	202
+	3	144	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	177
+	148	202
+	148	176
+	4	155	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	202
+	148	176
+	3	155	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	202
+	155	177
+	153	202
+	4	148	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	177
+	153	202
+	3	148	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	177
+	153	202
+	155	177
+	4	162	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	202
+	155	177
+	3	162	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	177
+	139	203
+	133	178
+	4	140	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	203
+	133	178
+	3	140	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	203
+	140	177
+	144	203
+	4	139	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	177
+	144	203
+	3	139	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	130
+	176	153
+	181	127
+	4	192	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	153
+	181	127
+	3	192	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	153
+	192	130
+	185	155
+	4	176	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	130
+	185	155
+	3	176	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	177
+	176	153
+	169	179
+	4	162	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	153
+	169	179
+	3	162	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	155
+	169	179
+	176	153
+	4	185	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	179
+	176	153
+	3	185	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	202
+	162	177
+	158	203
+	4	153	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	177
+	158	203
+	3	153	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	179
+	158	203
+	162	177
+	4	169	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	203
+	162	177
+	3	169	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	178
+	135	204
+	126	180
+	4	133	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	204
+	126	180
+	3	133	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	204
+	133	178
+	139	203
+	4	135	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	178
+	139	203
+	3	135	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	124
+	146	98
+	147	124
+	4	135	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	98
+	147	124
+	3	135	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	98
+	147	124
+	146	98
+	4	159	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	124
+	146	98
+	3	159	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	124
+	159	98
+	158	124
+	4	147	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	98
+	158	124
+	3	147	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	99
+	158	124
+	159	98
+	4	172	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	124
+	159	98
+	3	172	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	124
+	172	99
+	170	125
+	4	158	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	99
+	170	125
+	3	158	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	157
+	112	128
+	119	154
+	4	110	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	128
+	119	154
+	3	110	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	126
+	119	154
+	112	128
+	4	124	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	154
+	112	128
+	3	124	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	154
+	119	182
+	110	157
+	4	119	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	182
+	110	157
+	3	119	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	182
+	119	154
+	126	180
+	4	119	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	154
+	126	180
+	3	119	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	179
+	185	155
+	176	181
+	4	169	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	155
+	176	181
+	3	169	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	203
+	169	179
+	162	204
+	4	158	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	179
+	162	204
+	3	158	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	181
+	162	204
+	169	179
+	4	176	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	204
+	169	179
+	3	176	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	126
+	133	99
+	135	124
+	4	124	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	99
+	135	124
+	3	124	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	98
+	135	124
+	133	99
+	4	146	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	124
+	133	99
+	3	146	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	102
+	170	125
+	172	99
+	4	185	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	125
+	172	99
+	3	185	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	125
+	185	102
+	181	127
+	4	170	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	102
+	181	127
+	3	170	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	180
+	131	206
+	119	182
+	4	126	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	119	182
+	3	126	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	206
+	126	180
+	135	204
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	180
+	135	204
+	3	131	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	134
+	185	155
+	192	130
+	4	203	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	155
+	192	130
+	3	203	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	155
+	203	134
+	194	159
+	4	185	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	134
+	194	159
+	3	185	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	159
+	176	181
+	185	155
+	4	194	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	181
+	185	155
+	3	194	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	128
+	120	100
+	124	126
+	4	112	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	100
+	124	126
+	3	112	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	99
+	124	126
+	120	100
+	4	133	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	126
+	120	100
+	3	133	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	181
+	194	159
+	183	183
+	4	176	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	159
+	183	183
+	3	176	181	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	204
+	176	181
+	166	205
+	4	162	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	181
+	166	205
+	3	162	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	183
+	166	205
+	176	181
+	4	183	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	205
+	176	181
+	3	183	183	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	101	161
+	102	132
+	110	157
+	4	101	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	132
+	110	157
+	3	101	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	128
+	110	157
+	102	132
+	4	112	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	157
+	102	132
+	3	112	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	110	157
+	113	185
+	101	161
+	4	110	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	185
+	101	161
+	3	110	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	113	185
+	110	157
+	119	182
+	4	113	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	157
+	119	182
+	3	113	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	105
+	181	127
+	185	102
+	4	197	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	127
+	185	102
+	3	197	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	127
+	197	105
+	192	130
+	4	181	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	105
+	192	130
+	3	181	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	182
+	127	208
+	113	185
+	4	119	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	208
+	113	185
+	3	119	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	208
+	119	182
+	131	206
+	4	127	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	182
+	131	206
+	3	127	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	138
+	194	159
+	203	134
+	4	213	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	159
+	203	134
+	3	213	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	159
+	213	138
+	202	163
+	4	194	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	138
+	202	163
+	3	194	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	163
+	183	183
+	194	159
+	4	202	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	183
+	194	159
+	3	202	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	132
+	108	103
+	112	128
+	4	102	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	103
+	112	128
+	3	102	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	100
+	112	128
+	108	103
+	4	120	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	128
+	108	103
+	3	120	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	183	183
+	202	163
+	189	187
+	4	183	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	163
+	189	187
+	3	183	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	205
+	183	183
+	170	207
+	4	166	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	183
+	170	207
+	3	166	205	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	187
+	170	207
+	183	183
+	4	189	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	207
+	183	183
+	3	189	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	107	188
+	101	161
+	113	185
+	4	107	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	161
+	113	185
+	3	107	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	185
+	123	210
+	107	188
+	4	113	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	210
+	107	188
+	3	113	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	210
+	113	185
+	127	208
+	4	123	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	185
+	127	208
+	3	123	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	109
+	192	130
+	197	105
+	4	209	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	130
+	197	105
+	3	209	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	130
+	209	109
+	203	134
+	4	192	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	109
+	203	134
+	3	192	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	93	165
+	91	136
+	101	161
+	4	93	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	136
+	101	161
+	3	93	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	102	132
+	101	161
+	91	136
+	4	102	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	161
+	91	136
+	3	102	132	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	101	161
+	107	188
+	93	165
+	4	101	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	188
+	93	165
+	3	101	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	202
+	148	227
+	144	203
+	4	148	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	227
+	144	203
+	3	148	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	227
+	148	202
+	149	227
+	4	148	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	202
+	149	227
+	3	148	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	202
+	149	227
+	148	202
+	4	153	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	227
+	148	202
+	3	153	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	227
+	153	202
+	151	227
+	4	149	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	202
+	151	227
+	3	149	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	203
+	151	227
+	153	202
+	4	158	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	227
+	153	202
+	3	158	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	203
+	146	227
+	139	203
+	4	144	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	227
+	139	203
+	3	144	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	227
+	144	203
+	148	227
+	4	146	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	203
+	148	227
+	3	146	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	227
+	158	203
+	152	227
+	4	151	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	203
+	152	227
+	3	151	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	204
+	152	227
+	158	203
+	4	162	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	227
+	158	203
+	3	162	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	203
+	144	228
+	135	204
+	4	139	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	228
+	135	204
+	3	139	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	228
+	139	203
+	146	227
+	4	144	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	203
+	146	227
+	3	144	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	168
+	189	187
+	202	163
+	4	210	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	187
+	202	163
+	3	210	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	187
+	210	168
+	195	190
+	4	189	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	168
+	195	190
+	3	189	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	207
+	189	187
+	174	209
+	4	170	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	187
+	174	209
+	3	170	207	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	190
+	174	209
+	189	187
+	4	195	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	209
+	189	187
+	3	195	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	227
+	162	204
+	154	227
+	4	152	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	204
+	154	227
+	3	152	227	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	205
+	154	227
+	162	204
+	4	166	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	227
+	162	204
+	3	166	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	136
+	96	107
+	102	132
+	4	91	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	107
+	102	132
+	3	91	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	103
+	102	132
+	96	107
+	4	108	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	132
+	96	107
+	3	108	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	204
+	143	228
+	131	206
+	4	135	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	228
+	131	206
+	3	135	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	228
+	135	204
+	144	228
+	4	143	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	204
+	144	228
+	3	143	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	144
+	202	163
+	213	138
+	4	222	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	163
+	213	138
+	3	222	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	163
+	222	144
+	210	168
+	4	202	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	144
+	210	168
+	3	202	163	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	227
+	166	205
+	155	228
+	4	154	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	205
+	155	228
+	3	154	227	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	207
+	155	228
+	166	205
+	4	170	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	228
+	166	205
+	3	170	207	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	101	192
+	93	165
+	107	188
+	4	101	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	165
+	107	188
+	3	101	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	188
+	119	213
+	101	192
+	4	107	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	213
+	101	192
+	3	107	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	213
+	107	188
+	123	210
+	4	119	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	188
+	123	210
+	3	119	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	99
+	146	74
+	146	98
+	4	133	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	74
+	146	98
+	3	133	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	74
+	146	98
+	146	74
+	4	160	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	98
+	146	74
+	3	160	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	98
+	160	74
+	159	98
+	4	146	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	74
+	159	98
+	3	146	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	76
+	159	98
+	160	74
+	4	174	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	98
+	160	74
+	3	174	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	98
+	174	76
+	172	99
+	4	159	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	76
+	172	99
+	3	159	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	206
+	142	229
+	127	208
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	127	208
+	3	131	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	229
+	131	206
+	143	228
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	143	228
+	3	142	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	114
+	203	134
+	209	109
+	4	221	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	134
+	209	109
+	3	221	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	134
+	221	114
+	213	138
+	4	203	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	114
+	213	138
+	3	203	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	100
+	132	75
+	133	99
+	4	120	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	75
+	133	99
+	3	120	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	74
+	133	99
+	132	75
+	4	146	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	99
+	132	75
+	3	146	74	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	228
+	170	207
+	157	228
+	4	155	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	207
+	157	228
+	3	155	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	209
+	157	228
+	170	207
+	4	174	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	228
+	170	207
+	3	174	209	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	86	170
+	82	141
+	93	165
+	4	86	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	141
+	93	165
+	3	86	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	91	136
+	93	165
+	82	141
+	4	91	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	165
+	82	141
+	3	91	136	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	93	165
+	101	192
+	86	170
+	4	93	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	192
+	86	170
+	3	93	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	78
+	172	99
+	174	76
+	4	187	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	99
+	174	76
+	3	187	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	99
+	187	78
+	185	102
+	4	172	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	78
+	185	102
+	3	172	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	209
+	195	190
+	178	211
+	4	174	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	190
+	178	211
+	3	174	209	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	181	214
+	195	190
+	178	211
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	190
+	178	211
+	3	181	214	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	195	190
+	181	214
+	200	194
+	4	195	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	200	194
+	3	195	190	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	200	194
+	210	168
+	195	190
+	4	200	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	168
+	195	190
+	3	200	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	208
+	140	230
+	123	210
+	4	127	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	230
+	123	210
+	3	127	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	230
+	127	208
+	142	229
+	4	140	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	208
+	142	229
+	3	140	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	103
+	119	77
+	120	100
+	4	108	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	77
+	120	100
+	3	108	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	75
+	120	100
+	119	77
+	4	132	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	100
+	119	77
+	3	132	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	141
+	84	111
+	91	136
+	4	82	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	111
+	91	136
+	3	82	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	107
+	91	136
+	84	111
+	4	96	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	136
+	84	111
+	3	96	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	228
+	174	209
+	158	229
+	4	157	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	209
+	158	229
+	3	157	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	211
+	158	229
+	174	209
+	4	178	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	229
+	174	209
+	3	178	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	197
+	86	170
+	101	192
+	4	96	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	170
+	101	192
+	3	96	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	192
+	116	215
+	96	197
+	4	101	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	215
+	96	197
+	3	101	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	215
+	101	192
+	119	213
+	4	116	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	192
+	119	213
+	3	116	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	168
+	200	194
+	217	173
+	4	210	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	194
+	217	173
+	3	210	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	173
+	222	144
+	210	168
+	4	217	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	144
+	210	168
+	3	217	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	81
+	185	102
+	187	78
+	4	200	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	102
+	187	78
+	3	200	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	102
+	200	81
+	197	105
+	4	185	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	81
+	197	105
+	3	185	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	210
+	139	230
+	119	213
+	4	123	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	230
+	119	213
+	3	123	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	230
+	123	210
+	140	230
+	4	139	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	210
+	140	230
+	3	139	230	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	229
+	178	211
+	159	230
+	4	158	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	211
+	159	230
+	3	158	229	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	231
+	178	211
+	159	230
+	4	160	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	211
+	159	230
+	3	160	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	211
+	160	231
+	181	214
+	4	178	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	231
+	181	214
+	3	178	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	120
+	213	138
+	221	114
+	4	231	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	138
+	221	114
+	3	231	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	138
+	231	120
+	222	144
+	4	213	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	120
+	222	144
+	3	213	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	107
+	105	79
+	108	103
+	4	96	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	79
+	108	103
+	3	96	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	77
+	108	103
+	105	79
+	4	119	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	103
+	105	79
+	3	119	77	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	184	217
+	200	194
+	181	214
+	4	184	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	194
+	181	214
+	3	184	217	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	200	194
+	184	217
+	205	199
+	4	200	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	217
+	205	199
+	3	200	194	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	205	199
+	217	173
+	200	194
+	4	205	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	173
+	200	194
+	3	205	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	176
+	73	147
+	86	170
+	4	79	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	147
+	86	170
+	3	79	176	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	141
+	86	170
+	73	147
+	4	82	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	170
+	73	147
+	3	82	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	86	170
+	96	197
+	79	176
+	4	86	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	197
+	79	176
+	3	86	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	213
+	138	231
+	116	215
+	4	119	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	231
+	116	215
+	3	119	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	231
+	119	213
+	139	230
+	4	138	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	213
+	139	230
+	3	138	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	85
+	197	105
+	200	81
+	4	213	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	105
+	200	81
+	3	213	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	105
+	213	85
+	209	109
+	4	197	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	85
+	209	109
+	3	197	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	232
+	181	214
+	160	231
+	4	161	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	160	231
+	3	161	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	214
+	161	232
+	184	217
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	232
+	184	217
+	3	181	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	202
+	79	176
+	96	197
+	4	92	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	176
+	96	197
+	3	92	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	197
+	114	218
+	92	202
+	4	96	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	218
+	92	202
+	3	96	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	218
+	96	197
+	116	215
+	4	114	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	197
+	116	215
+	3	114	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	147
+	73	117
+	82	141
+	4	73	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	117
+	82	141
+	3	73	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	111
+	82	141
+	73	117
+	4	84	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	141
+	73	117
+	3	84	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	173
+	205	199
+	223	179
+	4	217	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	199
+	223	179
+	3	217	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	144
+	217	173
+	231	150
+	4	222	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	173
+	231	150
+	3	222	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	179
+	231	150
+	217	173
+	4	223	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	150
+	217	173
+	3	223	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	215
+	137	232
+	114	218
+	4	116	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	232
+	114	218
+	3	116	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	232
+	116	215
+	138	231
+	4	137	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	215
+	138	231
+	3	137	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	111
+	92	83
+	96	107
+	4	84	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	83
+	96	107
+	3	84	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	79
+	96	107
+	92	83
+	4	105	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	107
+	92	83
+	3	105	79	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	220
+	205	199
+	184	217
+	4	186	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	199
+	184	217
+	3	186	220	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	205	199
+	186	220
+	209	204
+	4	205	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	220
+	209	204
+	3	205	199	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	204
+	223	179
+	205	199
+	4	209	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	179
+	205	199
+	3	209	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	233
+	184	217
+	161	232
+	4	162	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	217
+	161	232
+	3	162	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	217
+	162	233
+	186	220
+	4	184	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	233
+	186	220
+	3	184	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	150
+	231	120
+	222	144
+	4	231	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	120
+	222	144
+	3	231	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	227
+	152	249
+	148	227
+	4	149	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	249
+	148	227
+	3	149	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	249
+	149	227
+	150	249
+	4	152	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	227
+	150	249
+	3	152	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	227
+	150	249
+	149	227
+	4	151	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	249
+	149	227
+	3	151	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	249
+	151	227
+	148	249
+	4	150	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	227
+	148	249
+	3	150	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	227
+	148	249
+	151	227
+	4	152	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	249
+	151	227
+	3	152	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	227
+	153	249
+	146	227
+	4	148	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	249
+	146	227
+	3	148	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	249
+	148	227
+	152	249
+	4	153	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	227
+	152	249
+	3	153	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	249
+	152	227
+	147	249
+	4	148	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	227
+	147	249
+	3	148	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	227
+	147	249
+	152	227
+	4	154	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	249
+	152	227
+	3	154	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	227
+	155	248
+	144	228
+	4	146	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	248
+	144	228
+	3	146	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	248
+	146	227
+	153	249
+	4	155	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	227
+	153	249
+	3	155	248	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	182
+	64	154
+	79	176
+	4	73	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	154
+	79	176
+	3	73	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	147
+	79	176
+	64	154
+	4	73	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	176
+	64	154
+	3	73	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	176
+	92	202
+	73	182
+	4	79	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	202
+	73	182
+	3	79	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	249
+	154	227
+	145	248
+	4	147	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	227
+	145	248
+	3	147	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	228
+	145	248
+	154	227
+	4	155	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	248
+	154	227
+	3	155	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	90
+	209	109
+	213	85
+	4	225	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	109
+	213	85
+	3	225	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	109
+	225	90
+	221	114
+	4	209	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	90
+	221	114
+	3	209	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	222
+	92	202
+	114	218
+	4	112	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	202
+	114	218
+	3	112	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	218
+	137	234
+	112	222
+	4	114	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	234
+	112	222
+	3	114	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	234
+	114	218
+	137	232
+	4	137	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	218
+	137	232
+	3	137	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	228
+	156	248
+	143	228
+	4	144	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	248
+	143	228
+	3	144	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	248
+	144	228
+	155	248
+	4	156	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	228
+	155	248
+	3	156	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	248
+	155	228
+	144	248
+	4	145	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	228
+	144	248
+	3	145	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	228
+	144	248
+	155	228
+	4	157	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	248
+	155	228
+	3	157	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	207
+	73	182
+	92	202
+	4	88	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	182
+	92	202
+	3	88	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	202
+	112	222
+	88	207
+	4	92	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	222
+	88	207
+	3	92	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	228
+	158	247
+	142	229
+	4	143	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	247
+	142	229
+	3	143	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	247
+	143	228
+	156	248
+	4	158	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	228
+	156	248
+	3	158	247	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	248
+	157	228
+	142	247
+	4	144	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	228
+	142	247
+	3	144	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	229
+	142	247
+	157	228
+	4	158	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	247
+	157	228
+	3	158	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	229
+	159	246
+	140	230
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	246
+	140	230
+	3	142	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	246
+	142	229
+	158	247
+	4	159	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	158	247
+	3	159	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	247
+	158	229
+	141	247
+	4	142	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	229
+	141	247
+	3	142	247	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	230
+	141	247
+	158	229
+	4	159	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	247
+	158	229
+	3	159	230	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	234
+	186	220
+	162	233
+	4	163	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	220
+	162	233
+	3	163	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	220
+	163	234
+	188	224
+	4	186	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	234
+	188	224
+	3	186	220	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	188	224
+	209	204
+	186	220
+	4	188	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	204
+	186	220
+	3	188	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	230
+	160	245
+	139	230
+	4	140	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	245
+	139	230
+	3	140	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	245
+	140	230
+	159	246
+	4	160	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	230
+	159	246
+	3	160	245	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	64	154
+	63	123
+	73	147
+	4	64	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	123
+	73	147
+	3	64	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	117
+	73	147
+	63	123
+	4	73	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	147
+	63	123
+	3	73	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	245
+	159	230
+	140	246
+	4	138	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	230
+	140	246
+	3	138	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	230
+	138	245
+	160	231
+	4	159	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	245
+	160	231
+	3	159	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	247
+	159	230
+	140	246
+	4	141	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	230
+	140	246
+	3	141	247	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	117
+	80	88
+	84	111
+	4	73	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	88
+	84	111
+	3	73	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	83
+	84	111
+	80	88
+	4	92	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	111
+	80	88
+	3	92	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	230
+	161	244
+	138	231
+	4	139	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	244
+	138	231
+	3	139	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	244
+	139	230
+	160	245
+	4	161	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	230
+	160	245
+	3	161	244	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	223	179
+	209	204
+	229	185
+	4	223	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	204
+	229	185
+	3	223	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	150
+	223	179
+	239	157
+	4	231	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	179
+	239	157
+	3	231	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	185
+	239	157
+	223	179
+	4	229	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	157
+	223	179
+	3	229	185	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	204
+	188	224
+	212	210
+	4	209	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	224
+	212	210
+	3	209	204	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	212	210
+	229	185
+	209	204
+	4	212	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	185
+	209	204
+	3	212	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	225
+	88	207
+	112	222
+	4	110	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	207
+	112	222
+	3	110	225	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	222
+	136	235
+	110	225
+	4	112	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	235
+	110	225
+	3	112	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	235
+	112	222
+	137	234
+	4	136	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	222
+	137	234
+	3	136	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	244
+	160	231
+	138	245
+	4	138	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	231
+	138	245
+	3	138	244	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	231
+	138	244
+	161	232
+	4	160	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	244
+	161	232
+	3	160	231	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	231
+	162	243
+	137	232
+	4	138	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	243
+	137	232
+	3	138	231	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	243
+	138	231
+	161	244
+	4	162	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	231
+	161	244
+	3	162	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	75
+	146	53
+	146	74
+	4	132	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	53
+	146	74
+	3	132	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	53
+	146	74
+	146	53
+	4	160	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	74
+	146	53
+	3	160	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	74
+	160	53
+	160	74
+	4	146	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	53
+	160	74
+	3	146	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	242
+	161	232
+	138	244
+	4	137	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	232
+	138	244
+	3	137	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	232
+	137	242
+	162	233
+	4	161	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	242
+	162	233
+	3	161	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	54
+	160	74
+	160	53
+	4	174	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	74
+	160	53
+	3	174	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	74
+	174	54
+	174	76
+	4	160	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	54
+	174	76
+	3	160	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	232
+	163	242
+	137	234
+	4	137	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	242
+	137	234
+	3	137	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	242
+	137	232
+	162	243
+	4	163	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	232
+	162	243
+	3	163	242	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	235
+	188	224
+	163	234
+	4	163	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	224
+	163	234
+	3	163	235	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	224
+	163	235
+	190	227
+	4	188	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	235
+	190	227
+	3	188	224	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	227
+	212	210
+	188	224
+	4	190	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	210
+	188	224
+	3	190	227	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	77
+	132	53
+	132	75
+	4	119	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	53
+	132	75
+	3	119	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	53
+	132	75
+	132	53
+	4	146	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	75
+	132	53
+	3	146	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	241
+	162	233
+	137	242
+	4	136	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	233
+	137	242
+	3	136	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	233
+	136	241
+	163	234
+	4	162	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	241
+	163	234
+	3	162	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	212
+	68	189
+	88	207
+	4	86	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	189
+	88	207
+	3	86	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	182
+	88	207
+	68	189
+	4	73	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	207
+	68	189
+	3	73	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	207
+	110	225
+	86	212
+	4	88	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	225
+	86	212
+	3	88	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	97
+	221	114
+	225	90
+	4	237	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	114
+	225	90
+	3	237	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	114
+	237	97
+	231	120
+	4	221	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	97
+	231	120
+	3	221	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	120
+	231	150
+	241	127
+	4	231	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	150
+	241	127
+	3	231	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	157
+	241	127
+	231	150
+	4	239	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	127
+	231	150
+	3	239	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	234
+	163	241
+	136	235
+	4	137	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	241
+	136	235
+	3	137	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	241
+	137	234
+	163	242
+	4	163	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	234
+	163	242
+	3	163	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	56
+	174	76
+	174	54
+	4	188	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	76
+	174	54
+	3	188	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	76
+	188	56
+	187	78
+	4	174	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	56
+	187	78
+	3	174	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	189
+	57	161
+	73	182
+	4	68	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	161
+	73	182
+	3	68	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	64	154
+	73	182
+	57	161
+	4	64	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	182
+	57	161
+	3	64	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	240
+	163	234
+	136	241
+	4	136	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	234
+	136	241
+	3	136	240	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	234
+	136	240
+	163	235
+	4	163	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	240
+	163	235
+	3	163	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	229
+	86	212
+	110	225
+	4	109	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	212
+	110	225
+	3	109	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	225
+	136	236
+	109	229
+	4	110	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	236
+	109	229
+	3	110	225	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	236
+	110	225
+	136	235
+	4	136	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	225
+	136	235
+	3	136	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	235
+	163	239
+	136	236
+	4	136	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	239
+	136	236
+	3	136	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	239
+	136	235
+	163	241
+	4	163	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	235
+	163	241
+	3	163	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	79
+	118	55
+	119	77
+	4	105	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	55
+	119	77
+	3	105	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	53
+	119	77
+	118	55
+	4	132	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	77
+	118	55
+	3	132	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	239
+	163	235
+	136	240
+	4	136	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	235
+	136	240
+	3	136	239	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	235
+	136	239
+	163	237
+	4	163	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	239
+	163	237
+	3	163	235	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	237
+	190	227
+	163	235
+	4	163	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	227
+	163	235
+	3	163	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	237
+	109	229
+	136	236
+	4	136	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	229
+	136	236
+	3	136	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	236
+	163	238
+	136	237
+	4	136	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	238
+	136	237
+	3	136	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	238
+	136	236
+	163	239
+	4	163	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	236
+	163	239
+	3	163	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	227
+	163	237
+	191	231
+	4	190	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	237
+	191	231
+	3	190	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	212	210
+	190	227
+	215	215
+	4	212	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	227
+	215	215
+	3	212	210	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	231
+	215	215
+	190	227
+	4	191	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	215
+	190	227
+	3	191	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	185
+	212	210
+	233	193
+	4	229	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	210
+	233	193
+	3	229	185	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	215
+	233	193
+	212	210
+	4	215	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	193
+	212	210
+	3	215	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	59
+	187	78
+	188	56
+	4	201	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	78
+	188	56
+	3	201	59	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	78
+	201	59
+	200	81
+	4	187	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	59
+	200	81
+	3	187	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	237
+	163	237
+	136	239
+	4	136	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	237
+	136	239
+	3	136	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	237
+	136	237
+	163	238
+	4	163	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	237
+	163	238
+	3	163	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	238
+	191	231
+	163	237
+	4	163	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	231
+	163	237
+	3	163	238	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	63	123
+	68	93
+	73	117
+	4	63	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	93
+	73	117
+	3	63	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	88
+	73	117
+	68	93
+	4	80	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	117
+	68	93
+	3	80	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	57	161
+	53	131
+	64	154
+	4	57	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	131
+	64	154
+	3	57	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	123
+	64	154
+	53	131
+	4	63	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	154
+	53	131
+	3	63	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	239
+	108	233
+	136	237
+	4	136	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	233
+	136	237
+	3	136	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	229
+	136	237
+	108	233
+	4	109	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	237
+	108	233
+	3	109	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	157
+	229	185
+	245	165
+	4	239	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	185
+	245	165
+	3	239	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	193
+	245	165
+	229	185
+	4	233	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	165
+	229	185
+	3	233	193	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	231
+	163	238
+	191	235
+	4	191	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	238
+	191	235
+	3	191	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	239
+	191	235
+	163	238
+	4	163	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	235
+	163	238
+	3	163	239	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	233
+	84	218
+	109	229
+	4	108	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	218
+	109	229
+	3	108	233	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	212
+	109	229
+	84	218
+	4	86	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	229
+	84	218
+	3	86	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	83
+	104	58
+	105	79
+	4	92	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	58
+	105	79
+	3	92	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	55
+	105	79
+	104	58
+	4	118	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	79
+	104	58
+	3	118	55	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	240
+	108	237
+	136	239
+	4	136	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	237
+	136	239
+	3	136	240	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	233
+	136	239
+	108	237
+	4	108	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	239
+	108	237
+	3	108	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	218
+	64	196
+	86	212
+	4	84	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	196
+	86	212
+	3	84	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	189
+	86	212
+	64	196
+	4	68	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	212
+	64	196
+	3	68	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	235
+	163	239
+	191	238
+	4	191	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	239
+	191	238
+	3	191	235	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	241
+	191	238
+	163	239
+	4	163	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	238
+	163	239
+	3	163	241	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	241
+	109	240
+	136	240
+	4	136	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	240
+	136	240
+	3	136	241	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	237
+	136	240
+	109	240
+	4	108	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	240
+	109	240
+	3	108	237	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	215
+	191	231
+	216	221
+	4	215	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	231
+	216	221
+	3	215	215	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	235
+	216	221
+	191	231
+	4	191	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	221
+	191	231
+	3	191	235	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	127
+	237	97
+	231	120
+	4	241	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	97
+	231	120
+	3	241	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	238
+	163	241
+	190	242
+	4	191	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	241
+	190	242
+	3	191	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	242
+	190	242
+	163	241
+	4	163	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	242
+	163	241
+	3	163	242	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	64
+	200	81
+	201	59
+	4	214	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	81
+	201	59
+	3	214	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	81
+	214	64
+	213	85
+	4	200	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	64
+	213	85
+	3	200	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	242
+	110	244
+	136	241
+	4	137	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	244
+	136	241
+	3	137	242	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	240
+	136	241
+	110	244
+	4	109	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	241
+	110	244
+	3	109	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	196
+	51	169
+	68	189
+	4	64	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	169
+	68	189
+	3	64	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	57	161
+	68	189
+	51	169
+	4	57	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	189
+	51	169
+	3	57	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	127
+	239	157
+	250	134
+	4	241	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	157
+	250	134
+	3	241	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	165
+	250	134
+	239	157
+	4	245	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	134
+	239	157
+	3	245	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	242
+	163	242
+	189	246
+	4	190	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	242
+	189	246
+	3	190	242	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	243
+	189	246
+	163	242
+	4	162	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	246
+	163	242
+	3	162	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	237
+	82	224
+	108	233
+	4	108	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	224
+	108	233
+	3	108	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	218
+	108	233
+	82	224
+	4	84	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	233
+	82	224
+	3	84	218	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	193
+	215	215
+	237	200
+	4	233	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	215
+	237	200
+	3	233	193	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	216	221
+	237	200
+	215	215
+	4	216	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	200
+	215	215
+	3	216	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	244
+	111	248
+	137	242
+	4	138	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	248
+	137	242
+	3	138	244	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	244
+	137	242
+	111	248
+	4	110	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	242
+	111	248
+	3	110	244	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	246
+	162	243
+	187	250
+	4	189	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	243
+	187	250
+	3	189	246	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	244
+	187	250
+	162	243
+	4	161	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	250
+	162	243
+	3	161	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	88
+	91	61
+	92	83
+	4	80	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	61
+	92	83
+	3	80	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	58
+	92	83
+	91	61
+	4	104	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	83
+	91	61
+	3	104	58	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	245
+	113	251
+	138	244
+	4	138	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	251
+	138	244
+	3	138	245	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	248
+	138	244
+	113	251
+	4	111	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	244
+	113	251
+	3	111	248	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	216	221
+	191	235
+	217	227
+	4	216	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	235
+	217	227
+	3	216	221	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	238
+	217	227
+	191	235
+	4	191	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	227
+	191	235
+	3	191	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	250
+	161	244
+	184	253
+	4	187	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	244
+	184	253
+	3	187	250	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	245
+	184	253
+	161	244
+	4	160	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	253
+	161	244
+	3	160	245	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	53	131
+	57	100
+	63	123
+	4	53	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	100
+	63	123
+	3	53	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	93
+	63	123
+	57	100
+	4	68	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	123
+	57	100
+	3	68	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	246
+	116	255
+	138	245
+	4	140	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	255
+	138	245
+	3	140	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	251
+	138	245
+	116	255
+	4	113	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	245
+	116	255
+	3	113	251	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	253
+	160	245
+	181	256
+	4	184	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	245
+	181	256
+	3	184	253	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	246
+	181	256
+	160	245
+	4	159	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	256
+	160	245
+	3	159	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	224
+	61	204
+	84	218
+	4	82	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	204
+	84	218
+	3	82	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	196
+	84	218
+	61	204
+	4	64	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	218
+	61	204
+	3	64	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	165
+	233	193
+	251	173
+	4	245	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	193
+	251	173
+	3	245	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	200
+	251	173
+	233	193
+	4	237	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	173
+	233	193
+	3	237	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	255
+	140	246
+	119	258
+	4	116	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	246
+	119	258
+	3	116	255	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	246
+	123	260
+	141	247
+	4	140	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	260
+	141	247
+	3	140	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	260
+	140	246
+	119	258
+	4	123	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	246
+	119	258
+	3	123	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	169
+	45	139
+	57	161
+	4	51	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	139
+	57	161
+	3	51	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	53	131
+	57	161
+	45	139
+	4	53	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	161
+	45	139
+	3	53	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	240
+	82	230
+	108	237
+	4	109	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	230
+	108	237
+	3	109	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	224
+	108	237
+	82	230
+	4	82	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	237
+	82	230
+	3	82	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	69
+	213	85
+	214	64
+	4	227	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	85
+	214	64
+	3	227	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	85
+	227	69
+	225	90
+	4	213	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	69
+	225	90
+	3	213	85	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	256
+	159	246
+	178	259
+	4	181	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	246
+	178	259
+	3	181	256	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	247
+	178	259
+	159	246
+	4	158	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	259
+	159	246
+	3	158	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	247
+	127	263
+	142	247
+	4	141	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	263
+	142	247
+	3	141	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	263
+	141	247
+	123	260
+	4	127	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	247
+	123	260
+	3	127	263	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	259
+	158	247
+	174	261
+	4	178	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	247
+	174	261
+	3	178	259	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	248
+	174	261
+	158	247
+	4	156	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	261
+	158	247
+	3	156	248	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	247
+	131	265
+	144	248
+	4	142	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	265
+	144	248
+	3	142	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	265
+	142	247
+	127	263
+	4	131	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	247
+	127	263
+	3	131	265	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	261
+	156	248
+	170	264
+	4	174	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	248
+	170	264
+	3	174	261	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	248
+	170	264
+	156	248
+	4	155	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	264
+	156	248
+	3	155	248	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	227
+	191	238
+	217	233
+	4	217	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	238
+	217	233
+	3	217	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	242
+	217	233
+	191	238
+	4	190	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	233
+	191	238
+	3	190	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	248
+	136	266
+	145	248
+	4	144	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	266
+	145	248
+	3	144	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	266
+	144	248
+	131	265
+	4	136	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	248
+	131	265
+	3	136	266	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	264
+	155	248
+	165	265
+	4	170	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	248
+	165	265
+	3	170	264	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	249
+	165	265
+	155	248
+	4	153	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	265
+	155	248
+	3	153	249	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	237	200
+	216	221
+	239	208
+	4	237	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	221
+	239	208
+	3	237	200	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	227
+	239	208
+	216	221
+	4	217	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	208
+	216	221
+	3	217	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	248
+	141	267
+	147	249
+	4	145	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	267
+	147	249
+	3	145	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	267
+	145	248
+	136	266
+	4	141	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	248
+	136	266
+	3	141	267	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	265
+	153	249
+	161	267
+	4	165	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	249
+	161	267
+	3	165	265	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	249
+	161	267
+	153	249
+	4	152	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	267
+	153	249
+	3	152	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	97
+	241	127
+	247	104
+	4	237	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	127
+	247	104
+	3	237	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	134
+	247	104
+	241	127
+	4	250	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	104
+	241	127
+	3	250	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	249
+	146	268
+	148	249
+	4	147	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	268
+	148	249
+	3	147	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	268
+	147	249
+	141	267
+	4	146	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	249
+	141	267
+	3	146	268	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	267
+	152	249
+	156	267
+	4	161	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	249
+	156	267
+	3	161	267	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	249
+	156	267
+	152	249
+	4	150	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	267
+	152	249
+	3	150	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	249
+	151	268
+	150	249
+	4	148	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	268
+	150	249
+	3	148	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	268
+	148	249
+	146	268
+	4	151	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	249
+	146	268
+	3	151	268	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	267
+	150	249
+	151	268
+	4	156	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	249
+	151	268
+	3	156	267	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	93
+	78	66
+	80	88
+	4	68	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	66
+	80	88
+	3	68	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	61
+	80	88
+	78	66
+	4	91	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	88
+	78	66
+	3	91	61	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	204
+	45	178
+	64	196
+	4	61	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	178
+	64	196
+	3	61	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	169
+	64	196
+	45	178
+	4	51	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	196
+	45	178
+	3	51	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	244
+	83	237
+	109	240
+	4	110	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	237
+	109	240
+	3	110	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	230
+	109	240
+	83	237
+	4	82	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	240
+	83	237
+	3	82	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	134
+	245	165
+	258	143
+	4	250	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	165
+	258	143
+	3	250	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	173
+	258	143
+	245	165
+	4	251	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	143
+	245	165
+	3	251	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	230
+	59	212
+	82	224
+	4	82	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	212
+	82	224
+	3	82	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	204
+	82	224
+	59	212
+	4	61	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	224
+	59	212
+	3	61	204	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	233
+	190	242
+	216	240
+	4	217	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	242
+	216	240
+	3	217	233	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	246
+	216	240
+	190	242
+	4	189	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	240
+	190	242
+	3	189	246	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	75
+	225	90
+	227	69
+	4	238	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	90
+	227	69
+	3	238	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	90
+	238	75
+	237	97
+	4	225	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	75
+	237	97
+	3	225	90	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	45	139
+	47	108
+	53	131
+	4	45	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	108
+	53	131
+	3	45	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	57	100
+	53	131
+	47	108
+	4	57	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	131
+	47	108
+	3	57	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	251	173
+	237	200
+	256	182
+	4	251	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	200
+	256	182
+	3	251	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	208
+	256	182
+	237	200
+	4	239	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	182
+	237	200
+	3	239	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	248
+	84	243
+	110	244
+	4	111	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	243
+	110	244
+	3	111	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	237
+	110	244
+	84	243
+	4	83	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	244
+	84	243
+	3	83	237	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	178
+	38	147
+	51	169
+	4	45	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	147
+	51	169
+	3	45	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	139
+	51	169
+	38	147
+	4	45	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	169
+	38	147
+	3	45	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	208
+	217	227
+	241	216
+	4	239	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	227
+	241	216
+	3	239	208	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	233
+	241	216
+	217	227
+	4	217	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	216
+	217	227
+	3	217	233	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	216	240
+	189	246
+	214	246
+	4	216	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	246
+	214	246
+	3	216	240	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	187	250
+	214	246
+	189	246
+	4	187	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	246
+	189	246
+	3	187	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	53
+	146	35
+	146	53
+	4	132	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	35
+	146	53
+	3	132	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	35
+	146	53
+	146	35
+	4	160	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	53
+	146	35
+	3	160	35	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	53
+	160	35
+	160	53
+	4	146	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	35
+	160	53
+	3	146	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	36
+	160	53
+	160	35
+	4	173	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	53
+	160	35
+	3	173	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	53
+	173	36
+	174	54
+	4	160	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	36
+	174	54
+	3	160	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	100
+	66	72
+	68	93
+	4	57	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	72
+	68	93
+	3	57	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	66
+	68	93
+	66	72
+	4	78	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	93
+	66	72
+	3	78	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	55
+	132	35
+	132	53
+	4	118	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	35
+	132	53
+	3	118	55	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	35
+	132	53
+	132	35
+	4	146	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	53
+	132	35
+	3	146	35	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	251
+	87	249
+	111	248
+	4	113	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	249
+	111	248
+	3	113	251	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	243
+	111	248
+	87	249
+	4	84	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	248
+	87	249
+	3	84	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	212
+	42	187
+	61	204
+	4	59	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	187
+	61	204
+	3	59	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	178
+	61	204
+	42	187
+	4	45	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	204
+	42	187
+	3	45	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	38
+	174	54
+	173	36
+	4	187	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	54
+	173	36
+	3	187	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	54
+	187	38
+	188	56
+	4	174	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	38
+	188	56
+	3	174	54	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	104
+	250	134
+	257	112
+	4	247	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	134
+	257	112
+	3	247	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	258	143
+	257	112
+	250	134
+	4	258	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	112
+	250	134
+	3	258	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	237
+	58	220
+	82	230
+	4	83	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	220
+	82	230
+	3	83	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	212
+	82	230
+	58	220
+	4	59	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	230
+	58	220
+	3	59	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	58
+	119	37
+	118	55
+	4	104	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	37
+	118	55
+	3	104	58	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	35
+	118	55
+	119	37
+	4	132	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	55
+	119	37
+	3	132	35	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	214	246
+	187	250
+	211	252
+	4	214	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	250
+	211	252
+	3	214	246	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	184	253
+	211	252
+	187	250
+	4	184	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	252
+	187	250
+	3	184	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	143
+	251	173
+	265	152
+	4	258	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	173
+	265	152
+	3	258	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	182
+	265	152
+	251	173
+	4	256	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	152
+	251	173
+	3	256	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	104
+	238	75
+	237	97
+	4	247	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	75
+	237	97
+	3	247	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	41
+	188	56
+	187	38
+	4	200	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	56
+	187	38
+	3	200	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	56
+	200	41
+	201	59
+	4	188	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	41
+	201	59
+	3	188	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	255
+	90	254
+	113	251
+	4	116	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	254
+	113	251
+	3	116	255	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	249
+	113	251
+	90	254
+	4	87	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	251
+	90	254
+	3	87	249	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	216
+	217	233
+	241	224
+	4	241	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	233
+	241	224
+	3	241	216	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	216	240
+	241	224
+	217	233
+	4	216	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	224
+	217	233
+	3	216	240	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	256	182
+	239	208
+	259	191
+	4	256	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	208
+	259	191
+	3	256	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	216
+	259	191
+	239	208
+	4	241	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	191
+	239	208
+	3	241	216	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	211	252
+	184	253
+	207	257
+	4	211	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	253
+	207	257
+	3	211	252	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	181	256
+	207	257
+	184	253
+	4	181	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	257
+	184	253
+	3	181	256	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	61
+	106	40
+	104	58
+	4	91	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	40
+	104	58
+	3	91	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	37
+	104	58
+	106	40
+	4	119	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	58
+	106	40
+	3	119	37	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	38	147
+	37	116
+	45	139
+	4	38	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	116
+	45	139
+	3	38	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	47	108
+	45	139
+	37	116
+	4	47	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	139
+	37	116
+	3	47	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	258
+	94	260
+	116	255
+	4	119	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	260
+	116	255
+	3	119	258	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	254
+	116	255
+	94	260
+	4	90	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	255
+	94	260
+	3	90	254	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	243
+	59	228
+	83	237
+	4	84	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	228
+	83	237
+	3	84	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	220
+	83	237
+	59	228
+	4	58	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	237
+	59	228
+	3	58	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	187
+	32	157
+	45	178
+	4	42	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	157
+	45	178
+	3	42	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	147
+	45	178
+	32	157
+	4	38	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	178
+	32	157
+	3	38	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	108
+	55	78
+	57	100
+	4	47	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	78
+	57	100
+	3	47	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	72
+	57	100
+	55	78
+	4	66	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	100
+	55	78
+	3	66	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	45
+	201	59
+	200	41
+	4	212	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	59
+	200	41
+	3	212	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	59
+	212	45
+	214	64
+	4	201	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	45
+	214	64
+	3	201	59	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	207	257
+	181	256
+	202	262
+	4	207	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	256
+	202	262
+	3	207	257	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	259
+	202	262
+	181	256
+	4	178	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	262
+	181	256
+	3	178	259	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	220
+	39	196
+	59	212
+	4	58	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	196
+	59	212
+	3	58	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	187
+	59	212
+	39	196
+	4	42	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	212
+	39	196
+	3	42	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	260
+	119	258
+	99	265
+	4	94	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	258
+	99	265
+	3	94	260	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	258
+	105	269
+	123	260
+	4	119	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	269
+	123	260
+	3	119	258	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	269
+	119	258
+	99	265
+	4	105	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	258
+	99	265
+	3	105	269	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	224
+	216	240
+	239	233
+	4	241	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	240
+	239	233
+	3	241	224	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	214	246
+	239	233
+	216	240
+	4	214	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	233
+	216	240
+	3	214	246	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	66
+	93	43
+	91	61
+	4	78	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	43
+	91	61
+	3	78	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	40
+	91	61
+	93	43
+	4	106	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	61
+	93	43
+	3	106	40	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	112
+	258	143
+	266	120
+	4	257	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	143
+	266	120
+	3	257	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	265	152
+	266	120
+	258	143
+	4	265	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	120
+	258	143
+	3	265	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	262
+	178	259
+	197	267
+	4	202	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	259
+	197	267
+	3	202	262	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	261
+	197	267
+	178	259
+	4	174	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	267
+	178	259
+	3	174	261	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	75
+	247	104
+	249	82
+	4	238	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	104
+	249	82
+	3	238	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	112
+	249	82
+	247	104
+	4	257	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	82
+	247	104
+	3	257	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	152
+	256	182
+	270	162
+	4	265	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	182
+	270	162
+	3	265	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	191
+	270	162
+	256	182
+	4	259	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	162
+	256	182
+	3	259	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	260
+	112	273
+	127	263
+	4	123	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	273
+	127	263
+	3	123	260	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	273
+	123	260
+	105	269
+	4	112	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	260
+	105	269
+	3	112	273	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	259	191
+	241	216
+	261	201
+	4	259	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	216
+	261	201
+	3	259	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	224
+	261	201
+	241	216
+	4	241	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	201
+	241	216
+	3	241	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	50
+	214	64
+	212	45
+	4	224	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	64
+	212	45
+	3	224	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	64
+	224	50
+	227	69
+	4	214	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	50
+	227	69
+	3	214	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	249
+	61	237
+	84	243
+	4	87	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	237
+	84	243
+	3	87	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	228
+	84	243
+	61	237
+	4	59	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	243
+	61	237
+	3	59	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	267
+	174	261
+	190	271
+	4	197	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	261
+	190	271
+	3	197	267	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	264
+	190	271
+	174	261
+	4	170	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	271
+	174	261
+	3	170	264	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	263
+	119	277
+	131	265
+	4	127	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	277
+	131	265
+	3	127	263	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	277
+	127	263
+	112	273
+	4	119	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	263
+	112	273
+	3	119	277	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	32	157
+	30	125
+	38	147
+	4	32	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	125
+	38	147
+	3	32	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	37	116
+	38	147
+	30	125
+	4	37	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	147
+	30	125
+	3	37	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	271
+	170	264
+	184	275
+	4	190	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	264
+	184	275
+	3	190	271	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	265
+	184	275
+	170	264
+	4	165	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	275
+	170	264
+	3	165	265	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	72
+	81	47
+	78	66
+	4	66	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	47
+	78	66
+	3	66	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	43
+	78	66
+	81	47
+	4	93	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	66
+	81	47
+	3	93	43	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	233
+	214	246
+	237	241
+	4	239	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	246
+	237	241
+	3	239	233	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	211	252
+	237	241
+	214	246
+	4	211	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	241
+	214	246
+	3	211	252	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	116
+	45	85
+	47	108
+	4	37	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	85
+	47	108
+	3	37	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	78
+	47	108
+	45	85
+	4	55	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	108
+	45	85
+	3	55	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	265
+	127	279
+	136	266
+	4	131	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	279
+	136	266
+	3	131	265	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	279
+	131	265
+	119	277
+	4	127	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	265
+	119	277
+	3	127	279	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	196
+	27	167
+	42	187
+	4	39	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	167
+	42	187
+	3	39	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	32	157
+	42	187
+	27	167
+	4	32	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	187
+	27	167
+	3	32	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	228
+	38	206
+	58	220
+	4	59	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	206
+	58	220
+	3	59	228	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	196
+	58	220
+	38	206
+	4	39	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	220
+	38	206
+	3	39	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	275
+	165	265
+	176	278
+	4	184	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	265
+	176	278
+	3	184	275	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	267
+	176	278
+	165	265
+	4	161	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	278
+	165	265
+	3	161	267	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	266
+	135	281
+	141	267
+	4	136	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	281
+	141	267
+	3	136	266	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	281
+	136	266
+	127	279
+	4	135	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	266
+	127	279
+	3	135	281	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	278
+	161	267
+	168	280
+	4	176	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	267
+	168	280
+	3	176	278	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	267
+	168	280
+	161	267
+	4	156	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	280
+	161	267
+	3	156	267	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	267
+	143	282
+	146	268
+	4	141	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	282
+	146	268
+	3	141	267	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	282
+	141	267
+	135	281
+	4	143	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	267
+	135	281
+	3	143	282	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	254
+	64	245
+	87	249
+	4	90	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	245
+	87	249
+	3	90	254	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	237
+	87	249
+	64	245
+	4	61	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	249
+	64	245
+	3	61	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	280
+	156	267
+	160	282
+	4	168	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	267
+	160	282
+	3	168	280	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	268
+	160	282
+	156	267
+	4	151	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	282
+	156	267
+	3	151	268	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	268
+	152	282
+	151	268
+	4	146	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	282
+	151	268
+	3	146	268	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	282
+	146	268
+	143	282
+	4	152	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	268
+	143	282
+	3	152	282	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	55
+	227	69
+	224	50
+	4	235	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	69
+	224	50
+	3	235	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	69
+	235	55
+	238	75
+	4	227	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	55
+	238	75
+	3	227	69	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	282
+	151	268
+	152	282
+	4	160	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	268
+	152	282
+	3	160	282	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	266	120
+	265	152
+	273	130
+	4	266	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	152
+	273	130
+	3	266	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	270	162
+	273	130
+	265	152
+	4	270	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	130
+	265	152
+	3	270	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	82
+	257	112
+	259	89
+	4	249	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	112
+	259	89
+	3	249	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	120
+	259	89
+	257	112
+	4	266	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	89
+	257	112
+	3	266	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	261	201
+	241	224
+	261	211
+	4	261	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	224
+	261	211
+	3	261	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	233
+	261	211
+	241	224
+	4	239	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	211
+	241	224
+	3	239	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	162
+	259	191
+	274	172
+	4	270	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	191
+	274	172
+	3	270	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	201
+	274	172
+	259	191
+	4	261	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	172
+	259	191
+	3	261	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	237	241
+	211	252
+	233	249
+	4	237	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	252
+	233	249
+	3	237	241	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	207	257
+	233	249
+	211	252
+	4	207	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	249
+	211	252
+	3	207	257	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	78
+	69	53
+	66	72
+	4	55	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	53
+	66	72
+	3	55	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	47
+	66	72
+	69	53
+	4	81	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	72
+	69	53
+	3	81	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	260
+	68	253
+	90	254
+	4	94	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	253
+	90	254
+	3	94	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	245
+	90	254
+	68	253
+	4	64	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	254
+	68	253
+	3	64	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	237
+	38	216
+	59	228
+	4	61	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	216
+	59	228
+	3	61	237	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	206
+	59	228
+	38	216
+	4	38	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	228
+	38	216
+	3	38	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	27	167
+	23	135
+	32	157
+	4	27	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	135
+	32	157
+	3	27	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	30	125
+	32	157
+	23	135
+	4	30	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	157
+	23	135
+	3	30	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	125
+	35	94
+	37	116
+	4	30	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	94
+	37	116
+	3	30	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	85
+	37	116
+	35	94
+	4	45	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	116
+	35	94
+	3	45	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	206
+	24	177
+	39	196
+	4	38	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	177
+	39	196
+	3	38	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	27	167
+	39	196
+	24	177
+	4	27	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	196
+	24	177
+	3	27	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	82
+	235	55
+	238	75
+	4	249	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	55
+	238	75
+	3	249	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	35
+	146	22
+	146	35
+	4	132	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	22
+	146	35
+	3	132	35	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	22
+	146	35
+	146	22
+	4	159	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	35
+	146	22
+	3	159	22	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	35
+	159	22
+	160	35
+	4	146	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	22
+	160	35
+	3	146	35	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	249
+	207	257
+	228	256
+	4	233	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	257
+	228	256
+	3	233	249	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	262
+	228	256
+	207	257
+	4	202	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	256
+	207	257
+	3	202	262	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	23
+	160	35
+	159	22
+	4	171	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	35
+	159	22
+	3	171	23	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	35
+	171	23
+	173	36
+	4	160	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	23
+	173	36
+	3	160	35	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	119	37
+	134	22
+	132	35
+	4	119	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	22
+	132	35
+	3	119	37	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	22
+	132	35
+	134	22
+	4	146	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	35
+	134	22
+	3	146	22	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	25
+	173	36
+	171	23
+	4	183	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	36
+	171	23
+	3	183	25	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	36
+	183	25
+	187	38
+	4	173	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	25
+	187	38
+	3	173	36	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	261	211
+	239	233
+	260	221
+	4	261	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	233
+	260	221
+	3	261	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	241
+	260	221
+	239	233
+	4	237	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	221
+	239	233
+	3	237	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	265
+	74	260
+	94	260
+	4	99	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	260
+	94	260
+	3	99	265	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	253
+	94	260
+	74	260
+	4	68	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	260
+	74	260
+	3	68	253	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	106	40
+	122	24
+	119	37
+	4	106	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	24
+	119	37
+	3	106	40	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	22
+	119	37
+	122	24
+	4	134	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	37
+	122	24
+	3	134	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	85
+	58	59
+	55	78
+	4	45	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	59
+	55	78
+	3	45	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	53
+	55	78
+	58	59
+	4	69	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	78
+	58	59
+	3	69	53	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	130
+	270	162
+	279	140
+	4	273	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	162
+	279	140
+	3	273	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	274	172
+	279	140
+	270	162
+	4	274	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	140
+	270	162
+	3	274	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	89
+	266	120
+	268	98
+	4	259	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	120
+	268	98
+	3	259	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	130
+	268	98
+	266	120
+	4	273	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	98
+	266	120
+	3	273	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	27
+	187	38
+	183	25
+	4	195	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	38
+	183	25
+	3	195	27	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	38
+	195	27
+	200	41
+	4	187	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	27
+	200	41
+	3	187	38	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	274	172
+	261	201
+	276	183
+	4	274	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	201
+	276	183
+	3	274	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	211
+	276	183
+	261	201
+	4	261	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	183
+	261	201
+	3	261	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	256
+	202	262
+	222	264
+	4	228	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	262
+	222	264
+	3	228	256	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	197	267
+	222	264
+	202	262
+	4	197	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	264
+	202	262
+	3	197	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	245
+	40	226
+	61	237
+	4	64	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	226
+	61	237
+	3	64	245	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	216
+	61	237
+	40	226
+	4	38	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	237
+	40	226
+	3	38	216	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	43
+	110	26
+	106	40
+	4	93	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	26
+	106	40
+	3	93	43	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	122	24
+	106	40
+	110	26
+	4	122	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	40
+	110	26
+	3	122	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	260
+	99	265
+	81	267
+	4	74	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	265
+	81	267
+	3	74	260	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	265
+	89	273
+	105	269
+	4	99	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	273
+	105	269
+	3	99	265	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	273
+	99	265
+	81	267
+	4	89	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	265
+	81	267
+	3	89	273	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	55
+	249	82
+	246	62
+	4	235	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	82
+	246	62
+	3	235	55	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	259	89
+	246	62
+	249	82
+	4	259	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	62
+	249	82
+	3	259	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	31
+	200	41
+	195	27
+	4	207	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	41
+	195	27
+	3	207	31	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	41
+	207	31
+	212	45
+	4	200	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	31
+	212	45
+	3	200	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	23	135
+	27	103
+	30	125
+	4	23	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	103
+	30	125
+	3	23	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	35	94
+	30	125
+	27	103
+	4	35	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	125
+	27	103
+	3	35	94	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	24	177
+	18	145
+	27	167
+	4	24	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	145
+	27	167
+	3	24	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	135
+	27	167
+	18	145
+	4	23	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	167
+	18	145
+	3	23	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	264
+	197	267
+	214	270
+	4	222	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	267
+	214	270
+	3	222	264	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	271
+	214	270
+	197	267
+	4	190	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	270
+	197	267
+	3	190	271	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	216
+	22	188
+	38	206
+	4	38	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	188
+	38	206
+	3	38	216	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	24	177
+	38	206
+	22	188
+	4	24	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	206
+	22	188
+	3	24	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	260	221
+	237	241
+	257	231
+	4	260	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	241
+	257	231
+	3	260	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	233	249
+	257	231
+	237	241
+	4	233	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	231
+	237	241
+	3	233	249	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	81	47
+	98	29
+	93	43
+	4	81	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	29
+	93	43
+	3	81	47	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	26
+	93	43
+	98	29
+	4	110	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	43
+	98	29
+	3	110	26	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	269
+	98	279
+	112	273
+	4	105	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	279
+	112	273
+	3	105	269	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	279
+	105	269
+	89	273
+	4	98	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	269
+	89	273
+	3	98	279	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	94
+	48	65
+	45	85
+	4	35	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	65
+	45	85
+	3	35	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	59
+	45	85
+	48	65
+	4	58	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	85
+	48	65
+	3	58	59	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	35
+	212	45
+	207	31
+	4	217	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	45
+	207	31
+	3	217	35	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	45
+	217	35
+	224	50
+	4	212	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	35
+	224	50
+	3	212	45	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	270
+	190	271
+	206	276
+	4	214	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	271
+	206	276
+	3	214	270	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	275
+	206	276
+	190	271
+	4	184	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	276
+	190	271
+	3	184	275	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	253
+	44	236
+	64	245
+	4	68	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	236
+	64	245
+	3	68	253	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	40	226
+	64	245
+	44	236
+	4	40	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	245
+	44	236
+	3	40	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	183
+	261	211
+	277	194
+	4	276	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	211
+	277	194
+	3	276	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	221
+	277	194
+	261	211
+	4	260	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	194
+	261	211
+	3	260	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	98
+	273	130
+	275	107
+	4	268	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	130
+	275	107
+	3	268	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	279	140
+	275	107
+	273	130
+	4	279	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	107
+	273	130
+	3	279	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	279	140
+	274	172
+	283	151
+	4	279	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	172
+	283	151
+	3	279	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	276	183
+	283	151
+	274	172
+	4	276	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	151
+	274	172
+	3	276	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	273
+	108	283
+	119	277
+	4	112	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	283
+	119	277
+	3	112	273	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	283
+	112	273
+	98	279
+	4	108	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	273
+	98	279
+	3	108	283	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	69	53
+	87	33
+	81	47
+	4	69	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	33
+	81	47
+	3	69	53	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	98	29
+	81	47
+	87	33
+	4	98	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	47
+	87	33
+	3	98	29	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	276
+	184	275
+	197	281
+	4	206	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	275
+	197	281
+	3	206	276	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	278
+	197	281
+	184	275
+	4	176	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	281
+	184	275
+	3	176	278	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	62
+	259	89
+	255	69
+	4	246	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	89
+	255	69
+	3	246	62	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	98
+	255	69
+	259	89
+	4	268	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	69
+	259	89
+	3	268	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	257	231
+	233	249
+	253	241
+	4	257	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	249
+	253	241
+	3	257	231	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	256
+	253	241
+	233	249
+	4	228	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	241
+	233	249
+	3	228	256	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	277
+	118	287
+	127	279
+	4	119	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	287
+	127	279
+	3	119	277	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	287
+	119	277
+	108	283
+	4	118	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	277
+	108	283
+	3	118	287	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	40	226
+	23	199
+	38	216
+	4	40	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	199
+	38	216
+	3	40	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	22	188
+	38	216
+	23	199
+	4	22	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	216
+	23	199
+	3	22	188	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	281
+	176	278
+	186	285
+	4	197	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	278
+	186	285
+	3	197	281	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	280
+	186	285
+	176	278
+	4	168	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	285
+	176	278
+	3	168	280	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	40
+	224	50
+	217	35
+	4	228	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	50
+	217	35
+	3	228	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	50
+	228	40
+	235	55
+	4	224	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	40
+	235	55
+	3	224	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	18	145
+	21	112
+	23	135
+	4	18	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	112
+	23	135
+	3	18	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	27	103
+	23	135
+	21	112
+	4	27	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	135
+	21	112
+	3	27	103	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	22	188
+	14	156
+	24	177
+	4	22	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	156
+	24	177
+	3	22	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	18	145
+	24	177
+	14	156
+	4	18	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	177
+	14	156
+	3	18	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	279
+	129	289
+	135	281
+	4	127	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	289
+	135	281
+	3	127	279	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	289
+	127	279
+	118	287
+	4	129	289	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	279
+	118	287
+	3	129	289	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	285
+	168	280
+	175	288
+	4	186	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	280
+	175	288
+	3	186	285	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	282
+	175	288
+	168	280
+	4	160	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	288
+	168	280
+	3	160	282	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	260
+	49	245
+	68	253
+	4	74	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	245
+	68	253
+	3	74	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	44	236
+	68	253
+	49	245
+	4	44	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	253
+	49	245
+	3	44	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	281
+	141	291
+	143	282
+	4	135	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	291
+	143	282
+	3	135	281	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	291
+	135	281
+	129	289
+	4	141	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	281
+	129	289
+	3	141	291	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	27	103
+	39	73
+	35	94
+	4	27	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	73
+	35	94
+	3	27	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	65
+	35	94
+	39	73
+	4	48	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	94
+	39	73
+	3	48	65	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	288
+	160	282
+	164	290
+	4	175	288	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	282
+	164	290
+	3	175	288	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	282
+	164	290
+	160	282
+	4	152	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	290
+	160	282
+	3	152	282	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	58	59
+	76	37
+	69	53
+	4	58	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	37
+	69	53
+	3	58	59	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	87	33
+	69	53
+	76	37
+	4	87	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	53
+	76	37
+	3	87	33	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	282
+	152	291
+	152	282
+	4	143	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	291
+	152	282
+	3	143	282	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	291
+	143	282
+	141	291
+	4	152	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	282
+	141	291
+	3	152	291	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	290
+	152	282
+	152	291
+	4	164	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	282
+	152	291
+	3	164	290	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	277	194
+	260	221
+	276	205
+	4	277	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	221
+	276	205
+	3	277	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	231
+	276	205
+	260	221
+	4	257	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	205
+	260	221
+	3	257	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	253	241
+	228	256
+	247	250
+	4	253	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	256
+	247	250
+	3	253	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	264
+	247	250
+	228	256
+	4	222	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	250
+	228	256
+	3	222	264	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	275	107
+	279	140
+	281	117
+	4	275	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	140
+	281	117
+	3	275	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	283	151
+	281	117
+	279	140
+	4	283	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	117
+	279	140
+	3	283	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	283	151
+	276	183
+	286	162
+	4	283	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	183
+	286	162
+	3	283	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	277	194
+	286	162
+	276	183
+	4	277	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	162
+	276	183
+	3	277	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	62
+	228	40
+	235	55
+	4	246	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	40
+	235	55
+	3	246	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	69
+	268	98
+	264	77
+	4	255	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	98
+	264	77
+	3	255	69	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	275	107
+	264	77
+	268	98
+	4	275	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	77
+	268	98
+	3	275	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	267
+	56	254
+	74	260
+	4	81	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	254
+	74	260
+	3	81	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	49	245
+	74	260
+	56	254
+	4	49	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	260
+	56	254
+	3	49	245	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	44	236
+	25	210
+	40	226
+	4	44	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	210
+	40	226
+	3	44	236	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	199
+	40	226
+	25	210
+	4	23	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	226
+	25	210
+	3	23	199	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	48	65
+	67	43
+	58	59
+	4	48	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	43
+	58	59
+	3	48	65	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	76	37
+	58	59
+	67	43
+	4	76	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	59
+	67	43
+	3	76	37	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	22
+	147	14
+	146	22
+	4	134	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	14
+	146	22
+	3	134	22	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	157	15
+	146	22
+	147	14
+	4	157	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	22
+	147	14
+	3	157	15	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	22
+	157	15
+	159	22
+	4	146	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	15
+	159	22
+	3	146	22	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	23	199
+	13	167
+	22	188
+	4	23	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	167
+	22	188
+	3	23	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	14	156
+	22	188
+	13	167
+	4	14	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	188
+	13	167
+	3	14	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	14	156
+	15	123
+	18	145
+	4	14	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	123
+	18	145
+	3	14	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	21	112
+	18	145
+	15	123
+	4	21	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	145
+	15	123
+	3	21	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	250
+	222	264
+	239	259
+	4	247	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	264
+	239	259
+	3	247	250	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	270
+	239	259
+	222	264
+	4	214	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	259
+	222	264
+	3	214	270	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	15
+	159	22
+	157	15
+	4	168	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	22
+	157	15
+	3	168	15	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	22
+	168	15
+	171	23
+	4	159	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	15
+	171	23
+	3	159	22	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	122	24
+	136	15
+	134	22
+	4	122	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	15
+	134	22
+	3	122	24	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	14
+	134	22
+	136	15
+	4	147	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	22
+	136	15
+	3	147	14	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	21	112
+	32	81
+	27	103
+	4	21	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	81
+	27	103
+	3	21	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	73
+	27	103
+	32	81
+	4	39	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	103
+	32	81
+	3	39	73	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	17
+	171	23
+	168	15
+	4	178	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	23
+	168	15
+	3	178	17	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	23
+	178	17
+	183	25
+	4	171	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	17
+	183	25
+	3	171	23	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	205
+	257	231
+	273	216
+	4	276	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	231
+	273	216
+	3	276	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	241
+	273	216
+	257	231
+	4	253	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	216
+	257	231
+	3	253	241	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	26
+	126	16
+	122	24
+	4	110	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	16
+	122	24
+	3	110	26	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	136	15
+	122	24
+	126	16
+	4	136	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	24
+	126	16
+	3	136	15	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	40
+	246	62
+	237	46
+	4	228	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	62
+	237	46
+	3	228	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	69
+	237	46
+	246	62
+	4	255	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	46
+	246	62
+	3	255	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	254
+	81	267
+	64	263
+	4	56	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	267
+	64	263
+	3	56	254	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	267
+	74	271
+	89	273
+	4	81	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	271
+	89	273
+	3	81	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	271
+	81	267
+	64	263
+	4	74	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	267
+	64	263
+	3	74	271	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	19
+	183	25
+	178	17
+	4	188	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	25
+	178	17
+	3	188	19	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	25
+	188	19
+	195	27
+	4	183	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	19
+	195	27
+	3	183	25	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	98	29
+	116	18
+	110	26
+	4	98	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	18
+	110	26
+	3	98	29	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	126	16
+	110	26
+	116	18
+	4	126	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	26
+	116	18
+	3	126	16	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	162
+	277	194
+	287	173
+	4	286	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	194
+	287	173
+	3	286	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	276	205
+	287	173
+	277	194
+	4	276	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	173
+	277	194
+	3	276	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	281	117
+	283	151
+	286	128
+	4	281	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	151
+	286	128
+	3	281	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	286	162
+	286	128
+	283	151
+	4	286	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	128
+	283	151
+	3	286	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	259
+	214	270
+	230	267
+	4	239	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	270
+	230	267
+	3	239	259	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	276
+	230	267
+	214	270
+	4	206	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	267
+	214	270
+	3	206	276	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	77
+	275	107
+	271	86
+	4	264	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	107
+	271	86
+	3	264	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	281	117
+	271	86
+	275	107
+	4	281	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	86
+	275	107
+	3	281	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	245
+	28	222
+	44	236
+	4	49	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	222
+	44	236
+	3	49	245	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	25	210
+	44	236
+	28	222
+	4	25	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	236
+	28	222
+	3	25	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	39	73
+	58	49
+	48	65
+	4	39	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	49
+	48	65
+	3	39	73	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	43
+	48	65
+	58	49
+	4	67	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	65
+	58	49
+	3	67	43	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	22
+	195	27
+	188	19
+	4	197	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	27
+	188	19
+	3	197	22	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	27
+	197	22
+	207	31
+	4	195	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	22
+	207	31
+	3	195	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	273
+	85	277
+	98	279
+	4	89	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	277
+	98	279
+	3	89	273	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	277
+	89	273
+	74	271
+	4	85	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	273
+	74	271
+	3	85	277	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	87	33
+	106	20
+	98	29
+	4	87	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	20
+	98	29
+	3	87	33	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	116	18
+	98	29
+	106	20
+	4	116	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	29
+	106	20
+	3	116	18	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	25	210
+	13	179
+	23	199
+	4	25	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	179
+	23	199
+	3	25	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	13	167
+	23	199
+	13	179
+	4	13	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	199
+	13	179
+	3	13	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	267
+	206	276
+	220	274
+	4	230	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	276
+	220	274
+	3	230	267	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	281
+	220	274
+	206	276
+	4	197	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	274
+	206	276
+	3	197	281	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	216
+	253	241
+	268	227
+	4	273	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	241
+	268	227
+	3	273	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	250
+	268	227
+	253	241
+	4	247	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	227
+	253	241
+	3	247	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	13	167
+	12	133
+	14	156
+	4	13	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	133
+	14	156
+	3	13	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	15	123
+	14	156
+	12	133
+	4	15	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	156
+	12	133
+	3	15	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	46
+	255	69
+	245	52
+	4	237	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	69
+	245	52
+	3	237	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	77
+	245	52
+	255	69
+	4	264	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	52
+	255	69
+	3	264	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	25
+	207	31
+	197	22
+	4	206	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	31
+	197	22
+	3	206	25	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	31
+	206	25
+	217	35
+	4	207	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	25
+	217	35
+	3	207	31	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	15	123
+	25	90
+	21	112
+	4	15	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	90
+	21	112
+	3	15	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	32	81
+	21	112
+	25	90
+	4	32	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	112
+	25	90
+	3	32	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	279
+	97	283
+	108	283
+	4	98	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	283
+	108	283
+	3	98	279	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	283
+	98	279
+	85	277
+	4	97	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	279
+	85	277
+	3	97	283	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	76	37
+	97	24
+	87	33
+	4	76	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	24
+	87	33
+	3	76	37	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	106	20
+	87	33
+	97	24
+	4	106	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	33
+	97	24
+	3	106	20	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	274
+	197	281
+	208	280
+	4	220	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	281
+	208	280
+	3	220	274	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	285
+	208	280
+	197	281
+	4	186	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	280
+	197	281
+	3	186	285	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	254
+	34	232
+	49	245
+	4	56	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	232
+	49	245
+	3	56	254	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	222
+	49	245
+	34	232
+	4	28	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	245
+	34	232
+	3	28	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	32	81
+	50	56
+	39	73
+	4	32	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	56
+	39	73
+	3	32	81	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	58	49
+	39	73
+	50	56
+	4	58	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	73
+	50	56
+	3	58	49	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	173
+	276	205
+	286	185
+	4	287	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	205
+	286	185
+	3	287	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	273	216
+	286	185
+	276	205
+	4	273	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	185
+	276	205
+	3	273	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	30
+	217	35
+	206	25
+	4	215	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	35
+	206	25
+	3	215	30	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	35
+	215	30
+	228	40
+	4	217	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	30
+	228	40
+	3	217	35	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	286	128
+	286	162
+	288	139
+	4	286	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	162
+	288	139
+	3	286	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	287	173
+	288	139
+	286	162
+	4	287	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	139
+	286	162
+	3	287	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	283
+	110	288
+	118	287
+	4	108	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	288
+	118	287
+	3	108	283	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	288
+	108	283
+	97	283
+	4	110	288	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	283
+	97	283
+	3	110	288	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	86
+	281	117
+	277	95
+	4	271	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	117
+	277	95
+	3	271	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	128
+	277	95
+	281	117
+	4	286	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	95
+	281	117
+	3	286	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	280
+	186	285
+	195	286
+	4	208	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	285
+	195	286
+	3	208	280	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	288
+	195	286
+	186	285
+	4	175	288	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	286
+	186	285
+	3	175	288	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	227
+	247	250
+	261	238
+	4	268	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	250
+	261	238
+	3	268	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	259
+	261	238
+	247	250
+	4	239	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	238
+	247	250
+	3	239	259	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	67	43
+	88	27
+	76	37
+	4	67	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	27
+	76	37
+	3	67	43	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	97	24
+	76	37
+	88	27
+	4	97	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	37
+	88	27
+	3	97	24	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	287
+	124	291
+	129	289
+	4	118	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	291
+	129	289
+	3	118	287	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	291
+	118	287
+	110	288
+	4	124	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	287
+	110	288
+	3	124	291	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	52
+	264	77
+	253	59
+	4	245	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	77
+	253	59
+	3	245	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	86
+	253	59
+	264	77
+	4	271	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	59
+	264	77
+	3	271	86	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	28	222
+	15	191
+	25	210
+	4	28	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	191
+	25	210
+	3	28	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	13	179
+	25	210
+	15	191
+	4	13	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	210
+	15	191
+	3	13	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	286
+	175	288
+	182	289
+	4	195	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	288
+	182	289
+	3	195	286	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	290
+	182	289
+	175	288
+	4	164	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	289
+	175	288
+	3	164	290	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	289
+	139	293
+	141	291
+	4	129	289	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	293
+	141	291
+	3	129	289	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	293
+	129	289
+	124	291
+	4	139	293	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	289
+	124	291
+	3	139	293	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	13	179
+	10	145
+	13	167
+	4	13	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	145
+	13	167
+	3	13	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	133
+	13	167
+	10	145
+	4	12	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	167
+	10	145
+	3	12	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	46
+	215	30
+	228	40
+	4	237	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	30
+	228	40
+	3	237	46	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	133
+	20	100
+	15	123
+	4	12	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	100
+	15	123
+	3	12	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	90
+	15	123
+	20	100
+	4	25	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	123
+	20	100
+	3	25	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	289
+	164	290
+	168	292
+	4	182	289	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	290
+	168	292
+	3	182	289	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	291
+	168	292
+	164	290
+	4	152	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	292
+	164	290
+	3	152	291	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	64	263
+	42	243
+	56	254
+	4	64	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	243
+	56	254
+	3	64	263	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	34	232
+	56	254
+	42	243
+	4	34	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	254
+	42	243
+	3	34	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	291
+	153	293
+	152	291
+	4	141	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	293
+	152	291
+	3	141	291	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	293
+	141	291
+	139	293
+	4	153	293	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	291
+	139	293
+	3	153	293	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	292
+	152	291
+	153	293
+	4	168	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	291
+	153	293
+	3	168	292	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	25	90
+	43	63
+	32	81
+	4	25	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	63
+	32	81
+	3	25	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	50	56
+	32	81
+	43	63
+	4	50	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	81
+	43	63
+	3	50	56	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	58	49
+	80	32
+	67	43
+	4	58	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	32
+	67	43
+	3	58	49	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	88	27
+	67	43
+	80	32
+	4	88	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	43
+	80	32
+	3	88	27	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	185
+	273	216
+	283	197
+	4	286	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	216
+	283	197
+	3	286	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	227
+	283	197
+	273	216
+	4	268	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	197
+	273	216
+	3	268	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	238
+	239	259
+	253	248
+	4	261	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	259
+	253	248
+	3	261	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	267
+	253	248
+	239	259
+	4	230	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	248
+	239	259
+	3	230	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	288	139
+	287	173
+	289	150
+	4	288	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	173
+	289	150
+	3	288	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	286	185
+	289	150
+	287	173
+	4	286	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	150
+	287	173
+	3	286	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	277	95
+	286	128
+	281	105
+	4	277	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	128
+	281	105
+	3	277	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	288	139
+	281	105
+	286	128
+	4	288	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	105
+	286	128
+	3	288	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	30
+	237	46
+	222	34
+	4	215	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	46
+	222	34
+	3	215	30	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	52
+	222	34
+	237	46
+	4	245	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	34
+	237	46
+	3	245	52	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	59
+	271	86
+	259	67
+	4	253	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	86
+	259	67
+	3	253	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	95
+	259	67
+	271	86
+	4	277	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	67
+	271	86
+	3	277	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	243
+	64	263
+	51	252
+	4	42	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	263
+	51	252
+	3	42	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	263
+	62	261
+	74	271
+	4	64	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	261
+	74	271
+	3	64	263	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	261
+	64	263
+	51	252
+	4	62	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	263
+	51	252
+	3	62	261	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	34	232
+	19	202
+	28	222
+	4	34	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	202
+	28	222
+	3	34	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	15	191
+	28	222
+	19	202
+	4	15	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	222
+	19	202
+	3	15	191	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	15
+	148	14
+	147	14
+	4	136	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	14
+	147	14
+	3	136	15	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	15
+	147	14
+	148	14
+	4	155	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	14
+	148	14
+	3	155	15	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	14
+	155	15
+	157	15
+	4	147	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	15
+	157	15
+	3	147	14	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	15
+	157	15
+	155	15
+	4	163	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	15
+	155	15
+	3	163	15	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	15
+	163	15
+	168	15
+	4	157	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	15
+	168	15
+	3	157	15	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	16
+	140	15
+	136	15
+	4	126	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	15
+	136	15
+	3	126	16	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	14
+	136	15
+	140	15
+	4	148	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	15
+	140	15
+	3	148	14	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	16
+	168	15
+	163	15
+	4	170	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	15
+	163	15
+	3	170	16	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	15
+	170	16
+	178	17
+	4	168	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	16
+	178	17
+	3	168	15	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	50	56
+	73	37
+	58	49
+	4	50	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	37
+	58	49
+	3	50	56	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	80	32
+	58	49
+	73	37
+	4	80	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	49
+	73	37
+	3	80	32	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	15	191
+	10	156
+	13	179
+	4	15	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	156
+	13	179
+	3	15	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	10	145
+	13	179
+	10	156
+	4	10	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	179
+	10	156
+	3	10	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	10	145
+	17	110
+	12	133
+	4	10	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	110
+	12	133
+	3	10	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	20	100
+	12	133
+	17	110
+	4	20	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	133
+	17	110
+	3	20	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	116	18
+	132	16
+	126	16
+	4	116	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	16
+	126	16
+	3	116	18	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	15
+	126	16
+	132	16
+	4	140	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	16
+	132	16
+	3	140	15	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	248
+	230	267
+	242	257
+	4	253	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	267
+	242	257
+	3	253	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	274
+	242	257
+	230	267
+	4	220	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	257
+	230	267
+	3	220	274	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	18
+	178	17
+	170	16
+	4	177	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	17
+	170	16
+	3	177	18	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	17
+	177	18
+	188	19
+	4	178	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	18
+	188	19
+	3	178	17	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	20	100
+	37	71
+	25	90
+	4	20	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	71
+	25	90
+	3	20	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	43	63
+	25	90
+	37	71
+	4	43	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	90
+	37	71
+	3	43	63	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	283	197
+	268	227
+	278	208
+	4	283	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	227
+	278	208
+	3	283	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	238
+	278	208
+	268	227
+	4	261	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	208
+	268	227
+	3	261	238	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	106	20
+	125	17
+	116	18
+	4	106	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	17
+	116	18
+	3	106	20	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	16
+	116	18
+	125	17
+	4	132	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	18
+	125	17
+	3	132	16	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	34
+	245	52
+	229	39
+	4	222	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	52
+	229	39
+	3	222	34	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	59
+	229	39
+	245	52
+	4	253	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	39
+	245	52
+	3	253	59	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	271
+	75	269
+	85	277
+	4	74	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	269
+	85	277
+	3	74	271	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	269
+	74	271
+	62	261
+	4	75	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	271
+	62	261
+	3	75	269	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	20
+	188	19
+	177	18
+	4	184	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	19
+	177	18
+	3	184	20	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	19
+	184	20
+	197	22
+	4	188	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	20
+	197	22
+	3	188	19	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	289	150
+	286	185
+	288	162
+	4	289	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	185
+	288	162
+	3	289	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	283	197
+	288	162
+	286	185
+	4	283	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	162
+	286	185
+	3	283	197	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	97	24
+	118	19
+	106	20
+	4	97	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	19
+	106	20
+	3	97	24	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	125	17
+	106	20
+	118	19
+	4	125	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	20
+	118	19
+	3	125	17	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	281	105
+	288	139
+	283	115
+	4	281	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	139
+	283	115
+	3	281	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	289	150
+	283	115
+	288	139
+	4	289	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	115
+	288	139
+	3	289	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	257
+	220	274
+	231	265
+	4	242	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	274
+	231	265
+	3	242	257	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	280
+	231	265
+	220	274
+	4	208	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	265
+	220	274
+	3	208	280	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	67
+	277	95
+	264	75
+	4	259	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	95
+	264	75
+	3	259	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	105
+	264	75
+	277	95
+	4	281	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	75
+	277	95
+	3	281	105	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	42	243
+	25	214
+	34	232
+	4	42	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	214
+	34	232
+	3	42	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	19	202
+	34	232
+	25	214
+	4	19	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	232
+	25	214
+	3	19	202	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	43	63
+	67	42
+	50	56
+	4	43	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	42
+	50	56
+	3	43	63	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	73	37
+	50	56
+	67	42
+	4	73	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	56
+	67	42
+	3	73	37	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	23
+	197	22
+	184	20
+	4	191	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	22
+	184	20
+	3	191	23	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	22
+	191	23
+	206	25
+	4	197	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	23
+	206	25
+	3	197	22	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	277
+	89	275
+	97	283
+	4	85	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	275
+	97	283
+	3	85	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	275
+	85	277
+	75	269
+	4	89	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	277
+	75	269
+	3	89	275	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	88	27
+	111	21
+	97	24
+	4	88	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	21
+	97	24
+	3	88	27	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	19
+	97	24
+	111	21
+	4	118	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	24
+	111	21
+	3	118	19	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	19	202
+	12	168
+	15	191
+	4	19	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	168
+	15	191
+	3	19	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	10	156
+	15	191
+	12	168
+	4	10	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	191
+	12	168
+	3	10	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	39
+	253	59
+	235	45
+	4	229	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	59
+	235	45
+	3	229	39	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	259	67
+	235	45
+	253	59
+	4	259	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	45
+	253	59
+	3	259	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	10	156
+	15	121
+	10	145
+	4	10	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	121
+	10	145
+	3	10	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	110
+	10	145
+	15	121
+	4	17	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	145
+	15	121
+	3	17	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	26
+	206	25
+	191	23
+	4	197	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	25
+	191	23
+	3	197	26	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	25
+	197	26
+	215	30
+	4	206	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	26
+	215	30
+	3	206	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	265
+	208	280
+	217	272
+	4	231	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	280
+	217	272
+	3	231	265	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	286
+	217	272
+	208	280
+	4	195	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	272
+	208	280
+	3	195	286	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	208
+	261	238
+	270	219
+	4	278	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	238
+	270	219
+	3	278	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	253	248
+	270	219
+	261	238
+	4	253	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	219
+	261	238
+	3	253	248	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	17	110
+	33	79
+	20	100
+	4	17	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	79
+	20	100
+	3	17	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	37	71
+	20	100
+	33	79
+	4	37	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	100
+	33	79
+	3	37	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	283
+	104	281
+	110	288
+	4	97	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	281
+	110	288
+	3	97	283	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	281
+	97	283
+	89	275
+	4	104	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	283
+	89	275
+	3	104	281	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	80	32
+	105	24
+	88	27
+	4	80	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	24
+	88	27
+	3	80	32	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	111	21
+	88	27
+	105	24
+	4	111	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	27
+	105	24
+	3	111	21	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	37	71
+	61	48
+	43	63
+	4	37	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	48
+	43	63
+	3	37	71	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	67	42
+	43	63
+	61	48
+	4	67	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	63
+	61	48
+	3	67	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	272
+	195	286
+	203	278
+	4	217	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	286
+	203	278
+	3	217	272	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	289
+	203	278
+	195	286
+	4	182	289	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	278
+	195	286
+	3	182	289	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	51	252
+	33	225
+	42	243
+	4	51	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	225
+	42	243
+	3	51	252	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	25	214
+	42	243
+	33	225
+	4	25	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	243
+	33	225
+	3	25	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	288	162
+	283	197
+	285	173
+	4	288	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	197
+	285	173
+	3	288	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	208
+	285	173
+	283	197
+	4	278	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	173
+	283	197
+	3	278	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	34
+	197	26
+	215	30
+	4	222	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	26
+	215	30
+	3	222	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	75
+	281	105
+	268	83
+	4	264	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	105
+	268	83
+	3	264	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	283	115
+	268	83
+	281	105
+	4	283	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	83
+	281	105
+	3	283	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	283	115
+	289	150
+	284	126
+	4	283	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	150
+	284	126
+	3	283	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	288	162
+	284	126
+	289	150
+	4	288	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	126
+	289	150
+	3	288	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	288
+	120	284
+	124	291
+	4	110	288	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	284
+	124	291
+	3	110	288	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	284
+	110	288
+	104	281
+	4	120	284	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	288
+	104	281
+	3	120	284	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	278
+	182	289
+	187	283
+	4	203	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	289
+	187	283
+	3	203	278	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	292
+	187	283
+	182	289
+	4	168	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	283
+	182	289
+	3	168	292	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	73	37
+	99	27
+	80	32
+	4	73	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	27
+	80	32
+	3	73	37	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	105	24
+	80	32
+	99	27
+	4	105	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	32
+	99	27
+	3	105	24	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	45
+	259	67
+	240	51
+	4	235	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	67
+	240	51
+	3	235	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	264	75
+	240	51
+	259	67
+	4	264	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	51
+	259	67
+	3	264	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	291
+	137	286
+	139	293
+	4	124	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	286
+	139	293
+	3	124	291	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	286
+	124	291
+	120	284
+	4	137	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	291
+	120	284
+	3	137	286	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	219
+	253	248
+	261	230
+	4	270	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	248
+	261	230
+	3	270	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	257
+	261	230
+	253	248
+	4	242	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	230
+	253	248
+	3	242	257	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	283
+	168	292
+	170	285
+	4	187	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	292
+	170	285
+	3	187	283	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	293
+	170	285
+	168	292
+	4	153	293	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	285
+	168	292
+	3	153	293	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	293
+	154	287
+	153	293
+	4	139	293	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	287
+	153	293
+	3	139	293	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	287
+	139	293
+	137	286
+	4	154	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	293
+	137	286
+	3	154	287	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	214
+	16	179
+	19	202
+	4	25	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	179
+	19	202
+	3	25	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	168
+	19	202
+	16	179
+	4	12	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	202
+	16	179
+	3	12	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	285
+	153	293
+	154	287
+	4	170	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	293
+	154	287
+	3	170	285	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	26
+	222	34
+	202	29
+	4	197	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	34
+	202	29
+	3	197	26	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	39
+	202	29
+	222	34
+	4	229	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	29
+	222	34
+	3	229	39	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	15	121
+	30	88
+	17	110
+	4	15	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	88
+	17	110
+	3	15	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	33	79
+	17	110
+	30	88
+	4	33	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	110
+	30	88
+	3	33	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	168
+	15	131
+	10	156
+	4	12	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	131
+	10	156
+	3	12	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	15	121
+	10	156
+	15	131
+	4	15	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	156
+	15	131
+	3	15	121	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	33	79
+	56	55
+	37	71
+	4	33	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	55
+	37	71
+	3	33	79	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	61	48
+	37	71
+	56	55
+	4	61	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	71
+	56	55
+	3	61	48	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	33	225
+	51	252
+	43	235
+	4	33	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	252
+	43	235
+	3	33	225	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	252
+	55	244
+	62	261
+	4	51	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	244
+	62	261
+	3	51	252	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	244
+	51	252
+	43	235
+	4	55	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	252
+	43	235
+	3	55	244	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	42
+	94	31
+	73	37
+	4	67	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	31
+	73	37
+	3	67	42	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	99	27
+	73	37
+	94	31
+	4	99	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	37
+	94	31
+	3	99	27	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	285	173
+	278	208
+	280	185
+	4	285	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	208
+	280	185
+	3	285	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	219
+	280	185
+	278	208
+	4	270	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	185
+	278	208
+	3	270	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	83
+	283	115
+	270	92
+	4	268	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	115
+	270	92
+	3	268	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	284	126
+	270	92
+	283	115
+	4	284	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	92
+	283	115
+	3	284	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	284	126
+	288	162
+	283	136
+	4	284	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	162
+	283	136
+	3	284	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	285	173
+	283	136
+	288	162
+	4	285	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	136
+	288	162
+	3	285	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	29
+	229	39
+	207	33
+	4	202	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	39
+	207	33
+	3	202	29	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	45
+	207	33
+	229	39
+	4	235	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	33
+	229	39
+	3	235	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	230
+	242	257
+	250	240
+	4	261	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	257
+	250	240
+	3	261	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	265
+	250	240
+	242	257
+	4	231	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	240
+	242	257
+	3	231	265	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	51
+	264	75
+	244	58
+	4	240	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	75
+	244	58
+	3	240	51	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	268	83
+	244	58
+	264	75
+	4	268	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	58
+	264	75
+	3	268	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	15
+	148	23
+	148	14
+	4	140	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	23
+	148	14
+	3	140	15	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	23
+	148	14
+	148	23
+	4	153	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	14
+	148	23
+	3	153	23	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	14
+	153	23
+	155	15
+	4	148	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	23
+	155	15
+	3	148	14	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	23
+	155	15
+	153	23
+	4	157	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	15
+	153	23
+	3	157	23	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	15
+	157	23
+	163	15
+	4	155	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	23
+	163	15
+	3	155	15	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	16
+	144	23
+	140	15
+	4	132	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	23
+	140	15
+	3	132	16	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	23
+	140	15
+	144	23
+	4	148	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	15
+	144	23
+	3	148	23	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	24
+	163	15
+	157	23
+	4	161	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	15
+	157	23
+	3	161	24	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	15
+	161	24
+	170	16
+	4	163	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	24
+	170	16
+	3	163	15	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	17
+	140	24
+	132	16
+	4	125	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	24
+	132	16
+	3	125	17	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	23
+	132	16
+	140	24
+	4	144	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	16
+	140	24
+	3	144	23	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	61	48
+	90	35
+	67	42
+	4	61	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	35
+	67	42
+	3	61	48	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	31
+	67	42
+	90	35
+	4	94	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	42
+	90	35
+	3	94	31	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	261
+	69	252
+	75	269
+	4	62	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	252
+	75	269
+	3	62	261	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	252
+	62	261
+	55	244
+	4	69	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	261
+	55	244
+	3	69	252	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	225
+	22	190
+	25	214
+	4	33	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	190
+	25	214
+	3	33	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	16	179
+	25	214
+	22	190
+	4	16	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	214
+	22	190
+	3	16	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	25
+	170	16
+	161	24
+	4	164	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	16
+	161	24
+	3	164	25	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	16
+	164	25
+	177	18
+	4	170	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	25
+	177	18
+	3	170	16	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	15	131
+	29	97
+	15	121
+	4	15	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	97
+	15	121
+	3	15	131	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	30	88
+	15	121
+	29	97
+	4	30	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	121
+	29	97
+	3	30	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	19
+	136	24
+	125	17
+	4	118	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	24
+	125	17
+	3	118	19	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	24
+	125	17
+	136	24
+	4	140	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	17
+	136	24
+	3	140	24	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	30	88
+	53	61
+	33	79
+	4	30	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	61
+	33	79
+	3	30	88	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	56	55
+	33	79
+	53	61
+	4	56	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	79
+	53	61
+	3	56	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	16	179
+	17	142
+	12	168
+	4	16	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	142
+	12	168
+	3	16	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	15	131
+	12	168
+	17	142
+	4	15	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	168
+	17	142
+	3	15	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	26
+	177	18
+	164	25
+	4	168	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	18
+	164	25
+	3	168	26	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	18
+	168	26
+	184	20
+	4	177	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	26
+	184	20
+	3	177	18	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	33
+	235	45
+	211	37
+	4	207	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	45
+	211	37
+	3	207	33	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	51
+	211	37
+	235	45
+	4	240	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	37
+	235	45
+	3	240	51	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	240
+	231	265
+	237	249
+	4	250	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	265
+	237	249
+	3	250	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	272
+	237	249
+	231	265
+	4	217	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	249
+	231	265
+	3	217	272	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	21
+	133	25
+	118	19
+	4	111	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	25
+	118	19
+	3	111	21	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	24
+	118	19
+	133	25
+	4	136	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	19
+	133	25
+	3	136	24	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	27
+	184	20
+	168	26
+	4	172	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	20
+	168	26
+	3	172	27	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	20
+	172	27
+	191	23
+	4	184	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	27
+	191	23
+	3	184	20	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	280	185
+	270	219
+	273	196
+	4	280	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	219
+	273	196
+	3	280	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	230
+	273	196
+	270	219
+	4	261	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	196
+	270	219
+	3	261	230	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	24
+	129	27
+	111	21
+	4	105	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	27
+	111	21
+	3	105	24	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	25
+	111	21
+	129	27
+	4	133	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	21
+	129	27
+	3	133	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	58
+	268	83
+	247	65
+	4	244	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	83
+	247	65
+	3	244	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	92
+	247	65
+	268	83
+	4	270	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	65
+	268	83
+	3	270	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	269
+	84	259
+	89	275
+	4	75	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	259
+	89	275
+	3	75	269	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	259
+	75	269
+	69	252
+	4	84	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	269
+	69	252
+	3	84	259	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	56	55
+	86	39
+	61	48
+	4	56	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	39
+	61	48
+	3	56	55	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	90	35
+	61	48
+	86	39
+	4	90	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	48
+	86	39
+	3	90	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	92
+	284	126
+	271	102
+	4	270	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	126
+	271	102
+	3	270	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	283	136
+	271	102
+	284	126
+	4	283	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	102
+	284	126
+	3	283	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	283	136
+	285	173
+	280	147
+	4	283	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	173
+	280	147
+	3	283	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	185
+	280	147
+	285	173
+	4	280	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	147
+	285	173
+	3	280	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	29
+	191	23
+	172	27
+	4	175	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	23
+	172	27
+	3	175	29	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	23
+	175	29
+	197	26
+	4	191	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	29
+	197	26
+	3	191	23	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	249
+	217	272
+	223	256
+	4	237	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	272
+	223	256
+	3	237	249	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	278
+	223	256
+	217	272
+	4	203	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	256
+	217	272
+	3	203	278	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	27
+	126	28
+	105	24
+	4	99	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	28
+	105	24
+	3	99	27	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	27
+	105	24
+	126	28
+	4	129	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	24
+	126	28
+	3	129	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	235
+	30	201
+	33	225
+	4	43	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	201
+	33	225
+	3	43	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	190
+	33	225
+	30	201
+	4	22	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	225
+	30	201
+	3	22	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	37
+	240	51
+	215	41
+	4	211	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	51
+	215	41
+	3	211	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	58
+	215	41
+	240	51
+	4	244	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	41
+	240	51
+	3	244	58	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	29	97
+	51	68
+	30	88
+	4	29	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	68
+	30	88
+	3	29	97	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	53	61
+	30	88
+	51	68
+	4	53	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	88
+	51	68
+	3	53	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	29
+	175	29
+	197	26
+	4	202	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	29
+	197	26
+	3	202	29	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	275
+	100	265
+	104	281
+	4	89	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	265
+	104	281
+	3	89	275	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	265
+	89	275
+	84	259
+	4	100	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	275
+	84	259
+	3	100	265	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	17	142
+	29	106
+	15	131
+	4	17	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	106
+	15	131
+	3	17	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	29	97
+	15	131
+	29	106
+	4	29	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	131
+	29	106
+	3	29	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	190
+	21	152
+	16	179
+	4	22	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	152
+	16	179
+	3	22	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	142
+	16	179
+	21	152
+	4	17	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	179
+	21	152
+	3	17	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	31
+	123	30
+	99	27
+	4	94	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	30
+	99	27
+	3	94	31	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	28
+	99	27
+	123	30
+	4	126	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	27
+	123	30
+	3	126	28	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	53	61
+	83	43
+	56	55
+	4	53	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	43
+	56	55
+	3	53	61	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	86	39
+	56	55
+	83	43
+	4	86	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	55
+	83	43
+	3	86	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	256
+	203	278
+	207	262
+	4	223	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	278
+	207	262
+	3	223	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	283
+	207	262
+	203	278
+	4	187	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	262
+	203	278
+	3	187	283	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	196
+	261	230
+	264	206
+	4	273	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	230
+	264	206
+	3	273	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	240
+	264	206
+	261	230
+	4	250	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	206
+	261	230
+	3	250	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	29
+	202	29
+	178	31
+	4	175	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	29
+	178	31
+	3	175	29	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	33
+	178	31
+	202	29
+	4	207	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	31
+	202	29
+	3	207	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	65
+	270	92
+	249	72
+	4	247	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	92
+	249	72
+	3	247	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	102
+	249	72
+	270	92
+	4	271	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	72
+	270	92
+	3	271	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	281
+	118	269
+	120	284
+	4	104	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	269
+	120	284
+	3	104	281	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	269
+	104	281
+	100	265
+	4	118	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	281
+	100	265
+	3	118	269	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	102
+	283	136
+	269	111
+	4	271	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	136
+	269	111
+	3	271	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	280	147
+	269	111
+	283	136
+	4	280	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	111
+	283	136
+	3	280	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	41
+	244	58
+	217	46
+	4	215	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	58
+	217	46
+	3	215	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	65
+	217	46
+	244	58
+	4	247	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	46
+	244	58
+	3	247	65	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	90	35
+	120	32
+	94	31
+	4	90	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	32
+	94	31
+	3	90	35	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	30
+	94	31
+	120	32
+	4	123	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	31
+	120	32
+	3	123	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	262
+	187	283
+	190	267
+	4	207	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	283
+	190	267
+	3	207	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	285
+	190	267
+	187	283
+	4	170	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	267
+	187	283
+	3	170	285	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	280	147
+	280	185
+	275	158
+	4	280	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	185
+	275	158
+	3	280	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	196
+	275	158
+	280	185
+	4	273	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	158
+	280	185
+	3	273	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	201
+	43	235
+	41	211
+	4	30	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	235
+	41	211
+	3	30	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	235
+	53	220
+	55	244
+	4	43	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	220
+	55	244
+	3	43	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	220
+	43	235
+	41	211
+	4	53	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	235
+	41	211
+	3	53	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	284
+	136	271
+	137	286
+	4	120	284	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	271
+	137	286
+	3	120	284	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	271
+	120	284
+	118	269
+	4	136	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	284
+	118	269
+	3	136	271	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	31
+	207	33
+	180	33
+	4	178	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	33
+	180	33
+	3	178	31	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	37
+	180	33
+	207	33
+	4	211	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	33
+	207	33
+	3	211	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	267
+	170	285
+	172	270
+	4	190	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	285
+	172	270
+	3	190	267	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	287
+	172	270
+	170	285
+	4	154	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	270
+	170	285
+	3	154	287	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	29	106
+	50	75
+	29	97
+	4	29	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	75
+	29	97
+	3	29	106	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	51	68
+	29	97
+	50	75
+	4	51	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	97
+	50	75
+	3	51	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	286
+	154	271
+	154	287
+	4	137	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	271
+	154	287
+	3	137	286	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	271
+	137	286
+	136	271
+	4	154	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	286
+	136	271
+	3	154	271	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	270
+	154	287
+	154	271
+	4	172	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	287
+	154	271
+	3	172	270	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	68
+	81	48
+	53	61
+	4	51	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	48
+	53	61
+	3	51	68	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	83	43
+	53	61
+	81	48
+	4	83	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	61
+	81	48
+	3	83	43	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	39
+	118	34
+	90	35
+	4	86	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	34
+	90	35
+	3	86	39	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	32
+	90	35
+	118	34
+	4	120	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	35
+	118	34
+	3	120	32	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	21	152
+	31	115
+	17	142
+	4	21	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	115
+	17	142
+	3	21	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	29	106
+	17	142
+	31	115
+	4	29	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	142
+	31	115
+	3	29	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	206
+	250	240
+	253	216
+	4	264	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	240
+	253	216
+	3	264	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	249
+	253	216
+	250	240
+	4	237	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	216
+	250	240
+	3	237	249	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	201
+	27	163
+	22	190
+	4	30	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	163
+	22	190
+	3	30	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	21	152
+	22	190
+	27	163
+	4	21	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	190
+	27	163
+	3	21	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	33
+	211	37
+	182	35
+	4	180	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	37
+	182	35
+	3	180	33	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	41
+	182	35
+	211	37
+	4	215	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	35
+	211	37
+	3	215	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	46
+	247	65
+	219	51
+	4	217	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	65
+	219	51
+	3	217	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	72
+	219	51
+	247	65
+	4	249	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	51
+	247	65
+	3	249	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	72
+	271	102
+	249	79
+	4	249	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	102
+	249	79
+	3	249	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	111
+	249	79
+	271	102
+	4	269	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	79
+	271	102
+	3	269	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	244
+	67	229
+	69	252
+	4	55	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	229
+	69	252
+	3	55	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	229
+	55	244
+	53	220
+	4	67	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	244
+	53	220
+	3	67	229	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	83	43
+	116	36
+	86	39
+	4	83	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	36
+	86	39
+	3	83	43	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	34
+	86	39
+	116	36
+	4	118	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	39
+	116	36
+	3	118	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	111
+	280	147
+	266	120
+	4	269	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	147
+	266	120
+	3	269	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	158
+	266	120
+	280	147
+	4	275	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	120
+	280	147
+	3	275	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	275	158
+	273	196
+	268	168
+	4	275	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	196
+	268	168
+	3	275	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	206
+	268	168
+	273	196
+	4	264	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	168
+	273	196
+	3	264	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	23
+	149	40
+	148	23
+	4	144	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	148	23
+	3	144	23	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	148	23
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	23
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	23
+	149	40
+	153	23
+	4	148	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	153	23
+	3	148	23	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	153	23
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	23
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	23
+	149	40
+	157	23
+	4	153	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	157	23
+	3	153	23	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	24
+	149	40
+	144	23
+	4	140	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	144	23
+	3	140	24	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	144	23
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	23
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	157	23
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	23
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	23
+	149	40
+	161	24
+	4	157	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	161	24
+	3	157	23	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	50	75
+	79	53
+	51	68
+	4	50	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	53
+	51	68
+	3	50	75	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	81	48
+	51	68
+	79	53
+	4	81	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	68
+	79	53
+	3	81	48	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	24
+	149	40
+	140	24
+	4	136	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	140	24
+	3	136	24	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	140	24
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	24
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	35
+	215	41
+	184	37
+	4	182	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	41
+	184	37
+	3	182	35	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	46
+	184	37
+	215	41
+	4	217	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	37
+	215	41
+	3	217	46	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	161	24
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	24
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	24
+	149	40
+	164	25
+	4	161	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	164	25
+	3	161	24	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	25
+	149	40
+	136	24
+	4	133	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	136	24
+	3	133	25	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	136	24
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	24
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	31	115
+	51	83
+	29	106
+	4	31	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	83
+	29	106
+	3	31	115	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	50	75
+	29	106
+	51	83
+	4	50	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	106
+	51	83
+	3	50	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	216
+	237	249
+	239	225
+	4	253	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	249
+	239	225
+	3	253	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	256
+	239	225
+	237	249
+	4	223	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	225
+	237	249
+	3	223	256	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	164	25
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	25
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	25
+	149	40
+	168	26
+	4	164	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	168	26
+	3	164	25	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	27
+	149	40
+	133	25
+	4	129	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	133	25
+	3	129	27	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	133	25
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	25
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	168	26
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	26
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	26
+	149	40
+	172	27
+	4	168	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	172	27
+	3	168	26	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	81	48
+	114	38
+	83	43
+	4	81	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	38
+	83	43
+	3	81	48	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	36
+	83	43
+	114	38
+	4	116	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	43
+	114	38
+	3	116	36	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	27	163
+	35	125
+	21	152
+	4	27	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	125
+	21	152
+	3	27	163	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	31	115
+	21	152
+	35	125
+	4	31	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	152
+	35	125
+	3	31	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	28
+	149	40
+	129	27
+	4	126	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	129	27
+	3	126	28	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	129	27
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	27
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	211
+	35	173
+	30	201
+	4	41	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	173
+	30	201
+	3	41	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	27	163
+	30	201
+	35	173
+	4	27	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	201
+	35	173
+	3	27	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	51
+	249	72
+	220	55
+	4	219	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	72
+	220	55
+	3	219	51	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	79
+	220	55
+	249	72
+	4	249	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	55
+	249	72
+	3	249	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	252
+	82	235
+	84	259
+	4	69	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	235
+	84	259
+	3	69	252	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	235
+	69	252
+	67	229
+	4	82	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	252
+	67	229
+	3	82	235	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	40
+	172	27
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	27
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	27
+	149	40
+	175	29
+	4	172	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	175	29
+	3	172	27	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	30
+	149	40
+	126	28
+	4	123	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	126	28
+	3	123	30	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	126	28
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	28
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	37
+	217	46
+	185	40
+	4	184	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	46
+	185	40
+	3	184	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	51
+	185	40
+	217	46
+	4	219	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	40
+	217	46
+	3	219	51	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	79
+	269	111
+	248	86
+	4	249	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	111
+	248	86
+	3	249	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	120
+	248	86
+	269	111
+	4	266	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	86
+	269	111
+	3	266	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	31
+	149	40
+	175	29
+	4	178	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	175	29
+	3	178	31	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	32
+	149	40
+	123	30
+	4	120	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	123	30
+	3	120	32	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	123	30
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	30
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	225
+	223	256
+	225	232
+	4	239	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	256
+	225	232
+	3	239	225	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	262
+	225	232
+	223	256
+	4	207	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	232
+	223	256
+	3	207	262	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	83
+	79	58
+	50	75
+	4	51	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	58
+	50	75
+	3	51	83	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	79	53
+	50	75
+	79	58
+	4	79	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	75
+	79	58
+	3	79	53	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	168
+	264	206
+	259	178
+	4	268	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	206
+	259	178
+	3	268	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	216
+	259	178
+	264	206
+	4	253	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	178
+	264	206
+	3	253	216	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	79	53
+	113	41
+	81	48
+	4	79	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	41
+	81	48
+	3	79	53	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	38
+	81	48
+	113	41
+	4	114	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	48
+	113	41
+	3	114	38	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	33
+	149	40
+	178	31
+	4	180	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	178	31
+	3	180	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	120
+	275	158
+	262	129
+	4	266	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	158
+	262	129
+	3	266	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	168
+	262	129
+	275	158
+	4	268	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	129
+	275	158
+	3	268	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	34
+	149	40
+	120	32
+	4	118	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	120	32
+	3	118	34	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	120	32
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	32
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	259
+	99	241
+	100	265
+	4	84	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	241
+	100	265
+	3	84	259	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	241
+	84	259
+	82	235
+	4	99	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	259
+	82	235
+	3	99	241	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	35	125
+	53	90
+	31	115
+	4	35	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	90
+	31	115
+	3	35	125	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	83
+	31	115
+	53	90
+	4	51	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	115
+	53	90
+	3	51	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	35
+	149	40
+	180	33
+	4	182	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	180	33
+	3	182	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	40
+	219	51
+	186	42
+	4	185	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	51
+	186	42
+	3	185	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	55
+	186	42
+	219	51
+	4	220	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	42
+	219	51
+	3	220	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	55
+	249	79
+	220	60
+	4	220	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	79
+	220	60
+	3	220	55	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	86
+	220	60
+	249	79
+	4	248	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	60
+	249	79
+	3	248	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	36
+	149	40
+	118	34
+	4	116	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	118	34
+	3	116	36	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	118	34
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	34
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	232
+	207	262
+	208	238
+	4	225	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	262
+	208	238
+	3	225	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	267
+	208	238
+	207	262
+	4	190	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	238
+	207	262
+	3	190	267	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	173
+	41	211
+	45	182
+	4	35	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	211
+	45	182
+	3	35	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	211
+	57	191
+	53	220
+	4	41	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	191
+	53	220
+	3	41	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	191
+	41	211
+	45	182
+	4	57	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	211
+	45	182
+	3	57	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	37
+	149	40
+	182	35
+	4	184	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	182	35
+	3	184	37	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	35	173
+	40	133
+	27	163
+	4	35	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	133
+	27	163
+	3	35	173	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	35	125
+	27	163
+	40	133
+	4	35	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	163
+	40	133
+	3	35	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	79	58
+	113	43
+	79	53
+	4	79	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	43
+	79	53
+	3	79	58	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	41
+	79	53
+	113	43
+	4	113	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	53
+	113	43
+	3	113	41	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	38
+	149	40
+	116	36
+	4	114	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	116	36
+	3	114	38	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	116	36
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	36
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	265
+	117	245
+	118	269
+	4	100	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	245
+	118	269
+	3	100	265	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	245
+	100	265
+	99	241
+	4	117	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	265
+	99	241
+	3	117	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	86
+	266	120
+	245	94
+	4	248	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	120
+	245	94
+	3	248	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	129
+	245	94
+	266	120
+	4	262	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	94
+	266	120
+	3	262	129	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	53	90
+	79	63
+	51	83
+	4	53	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	63
+	51	83
+	3	53	90	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	79	58
+	51	83
+	79	63
+	4	79	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	83
+	79	63
+	3	79	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	40
+	149	40
+	184	37
+	4	185	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	184	37
+	3	185	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	238
+	190	267
+	191	243
+	4	208	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	267
+	191	243
+	3	208	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	270
+	191	243
+	190	267
+	4	172	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	243
+	190	267
+	3	172	270	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	42
+	220	55
+	186	45
+	4	186	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	55
+	186	45
+	3	186	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	60
+	186	45
+	220	55
+	4	220	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	45
+	220	55
+	3	220	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	178
+	253	216
+	248	187
+	4	259	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	216
+	248	187
+	3	259	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	225
+	248	187
+	253	216
+	4	239	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	187
+	253	216
+	3	239	225	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	41
+	149	40
+	114	38
+	4	113	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	114	38
+	3	113	41	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	114	38
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	38
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	269
+	135	247
+	136	271
+	4	118	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	247
+	136	271
+	3	118	269	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	247
+	118	269
+	117	245
+	4	135	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	269
+	117	245
+	3	135	247	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	262	129
+	268	168
+	255	138
+	4	262	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	168
+	255	138
+	3	262	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	178
+	255	138
+	268	168
+	4	259	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	138
+	268	168
+	3	259	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	42
+	149	40
+	185	40
+	4	186	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	185	40
+	3	186	42	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	243
+	172	270
+	173	246
+	4	191	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	270
+	173	246
+	3	191	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	271
+	173	246
+	172	270
+	4	154	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	246
+	172	270
+	3	154	271	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	60
+	248	86
+	219	65
+	4	220	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	86
+	219	65
+	3	220	60	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	245	94
+	219	65
+	248	86
+	4	245	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	65
+	248	86
+	3	245	94	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	79	63
+	113	46
+	79	58
+	4	79	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	46
+	79	58
+	3	79	63	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	43
+	79	58
+	113	46
+	4	113	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	58
+	113	46
+	3	113	43	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	40	133
+	56	97
+	35	125
+	4	40	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	97
+	35	125
+	3	40	133	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	53	90
+	35	125
+	56	97
+	4	53	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	125
+	56	97
+	3	53	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	271
+	154	247
+	154	271
+	4	136	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	247
+	154	271
+	3	136	271	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	247
+	136	271
+	135	247
+	4	154	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	271
+	135	247
+	3	154	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	43
+	149	40
+	113	41
+	4	113	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	113	41
+	3	113	43	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	113	41
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	41
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	246
+	154	271
+	154	247
+	4	173	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	271
+	154	247
+	3	173	246	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	220
+	70	198
+	67	229
+	4	53	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	198
+	67	229
+	3	53	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	198
+	53	220
+	57	191
+	4	70	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	220
+	57	191
+	3	70	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	45
+	149	40
+	186	42
+	4	186	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	186	42
+	3	186	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	45
+	220	60
+	186	47
+	4	186	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	60
+	186	47
+	3	186	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	65
+	186	47
+	220	60
+	4	219	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	47
+	220	60
+	3	219	65	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	45	182
+	47	142
+	35	173
+	4	45	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	142
+	35	173
+	3	45	182	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	40	133
+	35	173
+	47	142
+	4	40	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	173
+	47	142
+	3	40	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	46
+	149	40
+	113	43
+	4	113	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	113	43
+	3	113	46	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	113	43
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	43
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	56	97
+	81	68
+	53	90
+	4	56	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	68
+	53	90
+	3	56	97	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	79	63
+	53	90
+	81	68
+	4	79	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	90
+	81	68
+	3	79	63	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	245	94
+	262	129
+	241	101
+	4	245	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	129
+	241	101
+	3	245	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	255	138
+	241	101
+	262	129
+	4	255	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	101
+	262	129
+	3	255	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	47
+	149	40
+	186	45
+	4	186	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	186	45
+	3	186	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	187
+	239	225
+	236	195
+	4	248	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	225
+	236	195
+	3	248	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	232
+	236	195
+	239	225
+	4	225	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	195
+	239	225
+	3	225	232	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	81	68
+	113	48
+	79	63
+	4	81	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	48
+	79	63
+	3	81	68	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	46
+	79	63
+	113	48
+	4	113	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	63
+	113	48
+	3	113	46	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	48
+	149	40
+	113	46
+	4	113	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	113	46
+	3	113	48	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	40
+	113	46
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	46
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	123	60
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	60
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	60
+	149	40
+	120	58
+	4	123	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	120	58
+	3	123	60	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	120	58
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	58
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	58
+	149	40
+	118	56
+	4	120	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	118	56
+	3	120	58	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	118	56
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	56
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	56
+	149	40
+	116	53
+	4	118	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	116	53
+	3	118	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	116	53
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	53
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	53
+	149	40
+	114	51
+	4	116	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	114	51
+	3	116	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	114	51
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	51
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	51
+	149	40
+	113	48
+	4	114	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	113	48
+	3	114	51	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	40
+	113	48
+	149	40
+	4	149	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	48
+	149	40
+	3	149	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	50
+	149	40
+	186	47
+	4	185	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	186	47
+	3	185	50	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	52
+	149	40
+	185	50
+	4	184	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	185	50
+	3	184	52	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	55
+	149	40
+	184	52
+	4	182	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	184	52
+	3	182	55	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	57
+	149	40
+	182	55
+	4	180	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	182	55
+	3	180	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	59
+	149	40
+	180	57
+	4	178	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	180	57
+	3	178	59	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	61
+	149	40
+	178	59
+	4	175	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	178	59
+	3	175	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	62
+	149	40
+	175	61
+	4	171	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	175	61
+	3	171	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	64
+	149	40
+	171	62
+	4	168	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	171	62
+	3	168	64	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	65
+	149	40
+	168	64
+	4	164	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	168	64
+	3	164	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	66
+	149	40
+	164	65
+	4	159	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	164	65
+	3	159	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	66
+	149	40
+	159	66
+	4	155	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	159	66
+	3	155	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	67
+	149	40
+	155	66
+	4	151	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	155	66
+	3	151	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	67
+	149	40
+	151	67
+	4	146	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	151	67
+	3	146	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	66
+	149	40
+	146	67
+	4	142	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	146	67
+	3	142	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	65
+	149	40
+	142	66
+	4	138	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	142	66
+	3	138	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	64
+	149	40
+	138	65
+	4	133	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	138	65
+	3	133	64	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	63
+	149	40
+	133	64
+	4	130	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	133	64
+	3	130	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	62
+	149	40
+	130	63
+	4	126	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	130	63
+	3	126	62	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	60
+	149	40
+	126	62
+	4	123	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	40
+	126	62
+	3	123	60	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	219	65
+	245	94
+	217	70
+	4	219	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	94
+	217	70
+	3	219	65	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	241	101
+	217	70
+	245	94
+	4	241	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	70
+	245	94
+	3	241	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	47
+	219	65
+	185	50
+	4	186	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	65
+	185	50
+	3	186	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	255	138
+	259	178
+	247	146
+	4	255	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	178
+	247	146
+	3	255	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	187
+	247	146
+	259	178
+	4	248	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	146
+	259	178
+	3	248	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	70
+	185	50
+	219	65
+	4	217	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	50
+	219	65
+	3	217	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	229
+	85	205
+	82	235
+	4	67	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	205
+	82	235
+	3	67	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	205
+	67	229
+	70	198
+	4	85	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	229
+	70	198
+	3	85	205	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	47	142
+	61	104
+	40	133
+	4	47	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	104
+	40	133
+	3	47	142	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	56	97
+	40	133
+	61	104
+	4	56	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	133
+	61	104
+	3	56	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	48
+	81	68
+	114	51
+	4	113	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	68
+	114	51
+	3	113	48	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	50
+	217	70
+	184	52
+	4	185	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	70
+	184	52
+	3	185	50	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	84	73
+	114	51
+	81	68
+	4	84	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	51
+	81	68
+	3	84	73	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	81	68
+	56	97
+	84	73
+	4	81	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	97
+	84	73
+	3	81	68	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	61	104
+	84	73
+	56	97
+	4	61	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	73
+	56	97
+	3	61	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	195
+	225	232
+	222	202
+	4	236	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	232
+	222	202
+	3	236	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	238
+	222	202
+	225	232
+	4	208	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	202
+	225	232
+	3	208	238	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	47	142
+	45	182
+	56	150
+	4	47	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	182
+	56	150
+	3	47	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	45	182
+	67	157
+	57	191
+	4	45	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	157
+	57	191
+	3	45	182	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	67	157
+	45	182
+	56	150
+	4	67	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	182
+	56	150
+	3	67	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	51
+	84	73
+	116	53
+	4	114	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	73
+	116	53
+	3	114	51	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	101
+	255	138
+	236	108
+	4	241	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	138
+	236	108
+	3	241	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	146
+	236	108
+	255	138
+	4	247	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	108
+	255	138
+	3	247	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	75
+	184	52
+	217	70
+	4	214	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	52
+	217	70
+	3	214	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	52
+	214	75
+	182	55
+	4	184	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	75
+	182	55
+	3	184	52	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	217	70
+	241	101
+	214	75
+	4	217	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	101
+	214	75
+	3	217	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	235
+	101	210
+	99	241
+	4	82	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	210
+	99	241
+	3	82	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	210
+	82	235
+	85	205
+	4	101	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	235
+	85	205
+	3	101	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	53
+	87	77
+	118	56
+	4	116	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	77
+	118	56
+	3	116	53	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	87	77
+	116	53
+	84	73
+	4	87	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	53
+	84	73
+	3	87	77	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	236	108
+	214	75
+	241	101
+	4	236	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	75
+	241	101
+	3	236	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	146
+	248	187
+	238	154
+	4	247	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	187
+	238	154
+	3	247	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	195
+	238	154
+	248	187
+	4	236	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	154
+	248	187
+	3	236	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	80
+	182	55
+	214	75
+	4	210	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	55
+	214	75
+	3	210	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	55
+	210	80
+	180	57
+	4	182	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	80
+	180	57
+	3	182	55	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	84	73
+	61	104
+	87	77
+	4	84	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	104
+	87	77
+	3	84	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	202
+	208	238
+	206	207
+	4	222	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	238
+	206	207
+	3	222	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	243
+	206	207
+	208	238
+	4	191	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	207
+	208	238
+	3	191	243	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	56
+	92	82
+	120	58
+	4	118	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	82
+	120	58
+	3	118	56	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	92	82
+	118	56
+	87	77
+	4	92	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	56
+	87	77
+	3	92	82	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	56	150
+	67	111
+	47	142
+	4	56	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	111
+	47	142
+	3	56	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	61	104
+	47	142
+	67	111
+	4	61	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	142
+	67	111
+	3	61	104	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	111
+	87	77
+	61	104
+	4	67	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	77
+	61	104
+	3	67	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	84
+	180	57
+	210	80
+	4	205	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	57
+	210	80
+	3	205	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	57
+	205	84
+	178	59
+	4	180	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	84
+	178	59
+	3	180	57	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	214	75
+	236	108
+	210	80
+	4	214	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	108
+	210	80
+	3	214	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	241
+	118	213
+	117	245
+	4	99	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	213
+	117	245
+	3	99	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	213
+	99	241
+	101	210
+	4	118	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	241
+	101	210
+	3	118	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	58
+	97	86
+	123	60
+	4	120	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	86
+	123	60
+	3	120	58	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	86
+	120	58
+	92	82
+	4	97	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	58
+	92	82
+	3	97	86	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	57	191
+	79	164
+	70	198
+	4	57	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	164
+	70	198
+	3	57	191	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	79	164
+	57	191
+	67	157
+	4	79	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	191
+	67	157
+	3	79	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	207
+	191	243
+	189	212
+	4	206	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	243
+	189	212
+	3	206	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	246
+	189	212
+	191	243
+	4	173	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	212
+	191	243
+	3	173	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	88
+	178	59
+	205	84
+	4	199	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	59
+	205	84
+	3	199	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	59
+	199	88
+	175	61
+	4	178	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	88
+	175	61
+	3	178	59	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	87	77
+	67	111
+	92	82
+	4	87	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	111
+	92	82
+	3	87	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	236	108
+	247	146
+	229	114
+	4	236	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	146
+	229	114
+	3	236	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	154
+	229	114
+	247	146
+	4	238	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	114
+	247	146
+	3	238	154	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	229	114
+	210	80
+	236	108
+	4	229	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	80
+	236	108
+	3	229	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	62
+	97	86
+	123	60
+	4	126	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	86
+	123	60
+	3	126	62	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	245
+	136	215
+	135	247
+	4	117	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	215
+	135	247
+	3	117	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	215
+	117	245
+	118	213
+	4	136	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	245
+	118	213
+	3	136	215	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	91
+	175	61
+	199	88
+	4	192	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	61
+	199	88
+	3	192	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	61
+	192	91
+	171	62
+	4	175	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	91
+	171	62
+	3	175	61	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	212
+	173	246
+	172	214
+	4	189	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	246
+	172	214
+	3	189	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	247
+	172	214
+	173	246
+	4	154	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	214
+	173	246
+	3	154	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	154
+	236	195
+	226	160
+	4	238	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	195
+	226	160
+	3	238	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	202
+	226	160
+	236	195
+	4	222	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	236	195
+	3	222	202	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	210	80
+	229	114
+	205	84
+	4	210	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	114
+	205	84
+	3	210	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	63
+	103	90
+	126	62
+	4	130	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	90
+	126	62
+	3	130	63	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	86
+	126	62
+	103	90
+	4	97	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	62
+	103	90
+	3	97	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	247
+	154	216
+	154	247
+	4	135	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	216
+	154	247
+	3	135	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	216
+	135	247
+	136	215
+	4	154	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	247
+	136	215
+	3	154	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	214
+	154	247
+	154	216
+	4	172	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	247
+	154	216
+	3	172	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	94
+	171	62
+	192	91
+	4	185	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	62
+	192	91
+	3	185	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	62
+	185	94
+	168	64
+	4	171	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	94
+	168	64
+	3	171	62	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	67	111
+	56	150
+	74	117
+	4	67	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	150
+	74	117
+	3	67	111	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	56	150
+	83	122
+	67	157
+	4	56	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	122
+	67	157
+	3	56	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	83	122
+	56	150
+	74	117
+	4	83	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	150
+	74	117
+	3	83	122	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	74	117
+	92	82
+	67	111
+	4	74	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	82
+	67	111
+	3	74	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	64
+	110	93
+	130	63
+	4	133	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	93
+	130	63
+	3	133	64	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	90
+	130	63
+	110	93
+	4	103	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	63
+	110	93
+	3	103	90	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	92	82
+	74	117
+	97	86
+	4	92	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	117
+	97	86
+	3	92	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	97
+	168	64
+	185	94
+	4	177	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	64
+	185	94
+	3	177	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	64
+	177	97
+	164	65
+	4	168	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	97
+	164	65
+	3	168	64	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	70	198
+	92	169
+	85	205
+	4	70	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	169
+	85	205
+	3	70	198	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	92	169
+	70	198
+	79	164
+	4	92	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	198
+	79	164
+	3	92	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	65
+	118	96
+	133	64
+	4	138	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	96
+	133	64
+	3	138	65	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	93
+	133	64
+	118	96
+	4	110	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	64
+	118	96
+	3	110	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	98
+	164	65
+	177	97
+	4	169	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	65
+	177	97
+	3	169	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	65
+	169	98
+	159	66
+	4	164	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	98
+	159	66
+	3	164	65	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	66
+	126	98
+	138	65
+	4	142	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	98
+	138	65
+	3	142	66	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	96
+	138	65
+	126	98
+	4	118	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	65
+	126	98
+	3	118	96	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	221	120
+	205	84
+	229	114
+	4	221	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	84
+	229	114
+	3	221	120	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	205	84
+	221	120
+	199	88
+	4	205	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	120
+	199	88
+	3	205	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	114
+	238	154
+	221	120
+	4	229	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	154
+	221	120
+	3	229	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	100
+	159	66
+	169	98
+	4	160	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	66
+	169	98
+	3	160	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	66
+	160	100
+	155	66
+	4	159	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	100
+	155	66
+	3	159	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	160
+	221	120
+	238	154
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	120
+	238	154
+	3	226	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	67
+	134	99
+	142	66
+	4	146	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	99
+	142	66
+	3	146	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	98
+	142	66
+	134	99
+	4	126	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	66
+	134	99
+	3	126	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	100
+	155	66
+	160	100
+	4	152	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	66
+	160	100
+	3	152	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	66
+	152	100
+	151	67
+	4	155	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	100
+	151	67
+	3	155	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	67
+	143	100
+	146	67
+	4	151	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	100
+	146	67
+	3	151	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	99
+	146	67
+	143	100
+	4	134	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	67
+	143	100
+	3	134	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	100
+	151	67
+	152	100
+	4	143	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	67
+	152	100
+	3	143	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	160
+	222	202
+	213	166
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	202
+	213	166
+	3	226	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	207
+	213	166
+	222	202
+	4	206	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	166
+	222	202
+	3	206	207	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	103	90
+	74	117
+	97	86
+	4	103	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	117
+	97	86
+	3	103	90	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	74	117
+	103	90
+	83	122
+	4	74	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	90
+	83	122
+	3	74	117	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	67	157
+	93	127
+	79	164
+	4	67	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	127
+	79	164
+	3	67	157	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	93	127
+	67	157
+	83	122
+	4	93	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	157
+	83	122
+	3	93	127	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	85	205
+	107	173
+	101	210
+	4	85	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	173
+	101	210
+	3	85	205	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	107	173
+	85	205
+	92	169
+	4	107	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	205
+	92	169
+	3	107	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	211	125
+	199	88
+	221	120
+	4	211	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	88
+	221	120
+	3	211	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	88
+	211	125
+	192	91
+	4	199	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	125
+	192	91
+	3	199	88	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	110	93
+	83	122
+	103	90
+	4	110	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	122
+	103	90
+	3	110	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	120
+	226	160
+	211	125
+	4	221	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	211	125
+	3	221	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	166
+	206	207
+	200	171
+	4	213	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	207
+	200	171
+	3	213	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	212
+	200	171
+	206	207
+	4	189	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	171
+	206	207
+	3	189	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	166
+	211	125
+	226	160
+	4	213	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	125
+	226	160
+	3	213	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	129
+	192	91
+	211	125
+	4	201	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	91
+	211	125
+	3	201	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	91
+	201	129
+	185	94
+	4	192	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	129
+	185	94
+	3	192	91	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	101	210
+	122	176
+	118	213
+	4	101	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	176
+	118	213
+	3	101	210	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	122	176
+	101	210
+	107	173
+	4	122	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	210
+	107	173
+	3	122	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	83	122
+	110	93
+	93	127
+	4	83	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	93
+	93	127
+	3	83	122	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	96
+	93	127
+	110	93
+	4	118	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	127
+	110	93
+	3	118	96	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	79	164
+	103	131
+	92	169
+	4	79	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	131
+	92	169
+	3	79	164	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	103	131
+	79	164
+	93	127
+	4	103	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	164
+	93	127
+	3	103	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	171
+	189	212
+	185	175
+	4	200	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	212
+	185	175
+	3	200	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	214
+	185	175
+	189	212
+	4	172	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	175
+	189	212
+	3	172	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	133
+	185	94
+	201	129
+	4	190	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	94
+	201	129
+	3	190	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	94
+	190	133
+	177	97
+	4	185	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	133
+	177	97
+	3	185	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	125
+	213	166
+	201	129
+	4	211	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	166
+	201	129
+	3	211	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	213
+	138	178
+	136	215
+	4	118	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	136	215
+	3	118	213	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	138	178
+	118	213
+	122	176
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	213
+	122	176
+	3	138	178	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	126	98
+	103	131
+	118	96
+	4	126	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	131
+	118	96
+	3	126	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	93	127
+	118	96
+	103	131
+	4	93	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	96
+	103	131
+	3	93	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	171
+	201	129
+	213	166
+	4	200	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	129
+	213	166
+	3	200	171	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	175
+	172	214
+	169	177
+	4	185	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	214
+	169	177
+	3	185	175	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	216
+	169	177
+	172	214
+	4	154	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	177
+	172	214
+	3	154	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	136
+	177	97
+	190	133
+	4	178	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	97
+	190	133
+	3	178	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	97
+	178	136
+	169	98
+	4	177	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	136
+	169	98
+	3	177	97	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	136	215
+	153	178
+	154	216
+	4	136	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	154	216
+	3	136	215	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	178
+	136	215
+	138	178
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	215
+	138	178
+	3	153	178	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	177
+	154	216
+	153	178
+	4	169	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	216
+	153	178
+	3	169	177	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	99
+	115	135
+	126	98
+	4	134	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	135
+	126	98
+	3	134	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	131
+	126	98
+	115	135
+	4	103	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	98
+	115	135
+	3	103	131	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	92	169
+	115	135
+	107	173
+	4	92	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	135
+	107	173
+	3	92	169	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	115	135
+	92	169
+	103	131
+	4	115	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	169
+	103	131
+	3	115	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	138
+	169	98
+	178	136
+	4	165	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	98
+	178	136
+	3	165	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	98
+	165	138
+	160	100
+	4	169	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	138
+	160	100
+	3	169	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	129
+	200	171
+	190	133
+	4	201	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	171
+	190	133
+	3	201	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	100
+	127	137
+	134	99
+	4	143	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	137
+	134	99
+	3	143	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	115	135
+	134	99
+	127	137
+	4	115	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	99
+	127	137
+	3	115	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	138
+	160	100
+	165	138
+	4	153	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	100
+	165	138
+	3	153	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	100
+	153	138
+	152	100
+	4	160	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	138
+	152	100
+	3	160	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	100
+	140	138
+	143	100
+	4	152	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	138
+	143	100
+	3	152	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	137
+	143	100
+	140	138
+	4	127	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	100
+	140	138
+	3	127	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	138
+	152	100
+	153	138
+	4	140	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	100
+	153	138
+	3	140	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	175
+	190	133
+	200	171
+	4	185	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	133
+	200	171
+	3	185	175	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	107	173
+	127	137
+	122	176
+	4	107	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	137
+	122	176
+	3	107	173	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	127	137
+	107	173
+	115	135
+	4	127	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	173
+	115	135
+	3	127	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	133
+	185	175
+	178	136
+	4	190	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	175
+	178	136
+	3	190	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	177
+	178	136
+	185	175
+	4	169	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	136
+	185	175
+	3	169	177	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	122	176
+	140	138
+	138	178
+	4	122	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	138
+	138	178
+	3	122	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	138
+	122	176
+	127	137
+	4	140	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	176
+	127	137
+	3	140	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	136
+	169	177
+	165	138
+	4	178	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	177
+	165	138
+	3	178	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	178
+	165	138
+	169	177
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	138
+	169	177
+	3	153	178	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	138	178
+	153	138
+	153	178
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	138
+	153	178
+	3	138	178	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	138
+	138	178
+	140	138
+	4	153	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	140	138
+	3	153	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	138
+	153	178
+	153	138
+	4	165	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	153	138
+	3	165	138	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dmult1b.ps b/books/ps/3dmult1b.ps
new file mode 100644
index 0000000..f563436
--- /dev/null
+++ b/books/ps/3dmult1b.ps
@@ -0,0 +1,24489 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	14	259	256	88	psDrawLine
+	globGC	(X)	9	264	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	285	259	42	88	psDrawLine
+	globGC	(Y)	290	264	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	20	149	266	psDrawLine
+	globGC	(Z)	154	15	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.687500	setForeground
+	renderGC
+	149	74
+	165	88
+	149	87
+	4	149	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	88
+	149	87
+	3	149	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	100
+	149	87
+	165	88
+	4	163	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	87
+	165	88
+	3	163	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	87
+	163	100
+	149	99
+	4	149	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	100
+	149	99
+	3	149	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	87
+	133	74
+	149	74
+	4	149	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	74
+	149	74
+	3	149	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	74
+	149	87
+	133	88
+	4	133	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	87
+	133	88
+	3	133	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	99
+	133	88
+	149	87
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	88
+	149	87
+	3	149	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	74
+	181	90
+	165	88
+	4	166	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	90
+	165	88
+	3	166	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	102
+	165	88
+	181	90
+	4	177	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	88
+	181	90
+	3	177	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	88
+	177	102
+	163	100
+	4	165	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	102
+	163	100
+	3	165	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	88
+	149	74
+	166	74
+	4	165	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	74
+	166	74
+	3	165	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	88
+	149	99
+	135	100
+	4	133	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	135	100
+	3	133	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	88
+	116	76
+	133	74
+	4	133	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	76
+	133	74
+	3	133	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	76
+	133	88
+	118	90
+	4	116	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	88
+	118	90
+	3	116	76	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	135	100
+	118	90
+	133	88
+	4	135	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	90
+	133	88
+	3	135	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	76
+	196	93
+	181	90
+	4	182	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	93
+	181	90
+	3	182	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	105
+	181	90
+	196	93
+	4	191	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	90
+	196	93
+	3	191	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	90
+	191	105
+	177	102
+	4	181	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	105
+	177	102
+	3	181	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	90
+	166	74
+	182	76
+	4	181	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	74
+	182	76
+	3	181	90	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	90
+	135	100
+	121	102
+	4	118	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	100
+	121	102
+	3	118	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	90
+	100	80
+	116	76
+	4	118	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	80
+	116	76
+	3	118	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	80
+	118	90
+	103	93
+	4	100	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	90
+	103	93
+	3	100	80	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	102
+	103	93
+	118	90
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	93
+	118	90
+	3	121	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	67
+	166	74
+	149	74
+	4	149	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	74
+	149	74
+	3	149	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	74
+	133	67
+	149	67
+	4	149	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	67
+	149	67
+	3	149	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	67
+	149	74
+	133	74
+	4	133	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	74
+	133	74
+	3	133	67	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	104
+	149	99
+	163	100
+	4	162	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	163	100
+	3	162	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	99
+	162	104
+	149	104
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	104
+	149	104
+	3	149	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	104
+	135	100
+	149	99
+	4	149	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	100
+	149	99
+	3	149	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	100
+	149	104
+	137	104
+	4	135	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	104
+	137	104
+	3	135	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	104
+	121	102
+	135	100
+	4	137	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	135	100
+	3	137	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	106
+	163	100
+	177	102
+	4	175	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	100
+	177	102
+	3	175	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	100
+	175	106
+	162	104
+	4	163	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	106
+	162	104
+	3	163	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	67
+	182	76
+	166	74
+	4	165	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	76
+	166	74
+	3	165	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	74
+	149	67
+	165	67
+	4	166	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	67
+	165	67
+	3	166	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	74
+	117	69
+	133	67
+	4	133	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	69
+	133	67
+	3	133	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	69
+	133	74
+	116	76
+	4	117	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	74
+	116	76
+	3	117	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	80
+	210	97
+	196	93
+	4	198	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	97
+	196	93
+	3	198	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	109
+	196	93
+	210	97
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	93
+	210	97
+	3	204	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	93
+	204	109
+	191	105
+	4	196	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	191	105
+	3	196	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	93
+	182	76
+	198	80
+	4	196	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	76
+	198	80
+	3	196	93	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	103	93
+	121	102
+	107	105
+	4	103	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	107	105
+	3	103	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	93
+	85	84
+	100	80
+	4	103	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	84
+	100	80
+	3	103	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	84
+	103	93
+	88	97
+	4	85	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	93
+	88	97
+	3	85	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	107	105
+	88	97
+	103	93
+	4	107	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	97
+	103	93
+	3	107	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	108
+	177	102
+	191	105
+	4	187	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	102
+	191	105
+	3	187	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	102
+	187	108
+	175	106
+	4	177	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	108
+	175	106
+	3	177	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	102
+	137	104
+	124	106
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	104
+	124	106
+	3	121	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	106
+	107	105
+	121	102
+	4	124	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	105
+	121	102
+	3	124	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	69
+	198	80
+	182	76
+	4	181	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	80
+	182	76
+	3	181	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	76
+	165	67
+	181	69
+	4	182	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	67
+	181	69
+	3	182	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	76
+	102	73
+	117	69
+	4	116	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	73
+	117	69
+	3	116	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	73
+	116	76
+	100	80
+	4	102	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	76
+	100	80
+	3	102	73	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	112
+	191	105
+	204	109
+	4	199	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	105
+	204	109
+	3	199	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	191	105
+	199	112
+	187	108
+	4	191	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	112
+	187	108
+	3	191	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	105
+	124	106
+	112	108
+	4	107	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	106
+	112	108
+	3	107	105	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	88	97
+	107	105
+	94	109
+	4	88	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	105
+	94	109
+	3	88	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	108
+	94	109
+	107	105
+	4	112	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	109
+	107	105
+	3	112	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	84
+	224	103
+	210	97
+	4	214	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	103
+	210	97
+	3	214	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	114
+	210	97
+	224	103
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	97
+	224	103
+	3	217	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	97
+	217	114
+	204	109
+	4	210	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	204	109
+	3	210	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	97
+	198	80
+	214	84
+	4	210	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	80
+	214	84
+	3	210	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	97
+	70	90
+	85	84
+	4	88	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	90
+	85	84
+	3	88	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	90
+	88	97
+	74	103
+	4	70	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	97
+	74	103
+	3	70	90	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	94	109
+	74	103
+	88	97
+	4	94	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	103
+	88	97
+	3	94	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	73
+	214	84
+	198	80
+	4	197	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	84
+	198	80
+	3	197	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	80
+	181	69
+	197	73
+	4	198	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	69
+	197	73
+	3	198	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	80
+	86	77
+	102	73
+	4	100	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	77
+	102	73
+	3	100	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	77
+	100	80
+	85	84
+	4	86	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	80
+	85	84
+	3	86	77	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	117
+	204	109
+	217	114
+	4	210	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	217	114
+	3	210	117	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	109
+	210	117
+	199	112
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	117
+	199	112
+	3	204	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	109
+	112	108
+	100	112
+	4	94	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	108
+	100	112
+	3	94	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	103
+	94	109
+	82	114
+	4	74	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	109
+	82	114
+	3	74	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	112
+	82	114
+	94	109
+	4	100	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	114
+	94	109
+	3	100	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	103
+	214	84
+	228	90
+	4	224	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	84
+	228	90
+	3	224	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	77
+	228	90
+	214	84
+	4	212	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	90
+	214	84
+	3	212	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	84
+	197	73
+	212	77
+	4	214	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	73
+	212	77
+	3	214	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	84
+	72	83
+	86	77
+	4	85	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	83
+	86	77
+	3	85	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	83
+	85	84
+	70	90
+	4	72	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	84
+	70	90
+	3	72	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	90
+	237	110
+	224	103
+	4	228	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	110
+	224	103
+	3	228	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	120
+	224	103
+	237	110
+	4	228	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	103
+	237	110
+	3	228	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	103
+	228	120
+	217	114
+	4	224	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	120
+	217	114
+	3	224	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	103
+	56	98
+	70	90
+	4	74	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	98
+	70	90
+	3	74	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	98
+	74	103
+	61	110
+	4	56	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	103
+	61	110
+	3	56	98	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	114
+	61	110
+	74	103
+	4	82	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	110
+	74	103
+	3	82	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	97
+	149	104
+	162	104
+	4	161	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	104
+	162	104
+	3	161	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	104
+	161	97
+	149	97
+	4	149	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	97
+	149	97
+	3	149	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	70
+	165	67
+	149	67
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	67
+	149	67
+	3	149	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	97
+	137	104
+	149	104
+	4	149	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	104
+	149	104
+	3	149	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	67
+	135	71
+	149	70
+	4	149	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	71
+	149	70
+	3	149	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	71
+	149	67
+	133	67
+	4	135	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	67
+	133	67
+	3	135	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	99
+	162	104
+	175	106
+	4	174	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	104
+	175	106
+	3	174	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	104
+	174	99
+	161	97
+	4	162	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	99
+	161	97
+	3	162	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	104
+	149	97
+	137	97
+	4	137	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	97
+	137	97
+	3	137	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	97
+	124	106
+	137	104
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	106
+	137	104
+	3	137	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	71
+	181	69
+	165	67
+	4	164	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	69
+	165	67
+	3	164	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	67
+	149	70
+	164	71
+	4	165	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	164	71
+	3	165	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	67
+	120	73
+	135	71
+	4	133	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	73
+	135	71
+	3	133	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	73
+	133	67
+	117	69
+	4	120	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	67
+	117	69
+	3	120	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	102
+	175	106
+	187	108
+	4	185	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	106
+	187	108
+	3	185	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	106
+	185	102
+	174	99
+	4	175	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	102
+	174	99
+	3	175	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	106
+	137	97
+	125	99
+	4	124	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	125	99
+	3	124	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	99
+	112	108
+	124	106
+	4	125	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	108
+	124	106
+	3	125	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	73
+	197	73
+	181	69
+	4	178	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	73
+	181	69
+	3	178	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	69
+	164	71
+	178	73
+	4	181	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	71
+	178	73
+	3	181	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	69
+	106	76
+	120	73
+	4	117	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	76
+	120	73
+	3	117	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	76
+	117	69
+	102	73
+	4	106	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	69
+	102	73
+	3	106	76	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	123
+	217	114
+	228	120
+	4	220	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	228	120
+	3	220	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	217	114
+	220	123
+	210	117
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	123
+	210	117
+	3	217	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	114
+	100	112
+	89	117
+	4	82	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	112
+	89	117
+	3	82	114	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	61	110
+	82	114
+	70	120
+	4	61	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	114
+	70	120
+	3	61	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	117
+	70	120
+	82	114
+	4	89	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	120
+	82	114
+	3	89	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	161
+	147	144
+	148	161
+	4	141	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	144
+	148	161
+	3	141	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	144
+	148	161
+	147	144
+	4	155	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	161
+	147	144
+	3	155	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	161
+	155	144
+	154	161
+	4	148	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	144
+	154	161
+	3	148	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	161
+	143	179
+	141	161
+	4	148	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	179
+	141	161
+	3	148	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	179
+	148	161
+	148	178
+	4	143	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	161
+	148	178
+	3	143	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	161
+	148	178
+	148	161
+	4	154	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	178
+	148	161
+	3	154	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	145
+	154	161
+	155	144
+	4	162	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	161
+	155	144
+	3	162	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	161
+	162	145
+	160	162
+	4	154	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	145
+	160	162
+	3	154	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	178
+	154	161
+	153	178
+	4	148	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	161
+	153	178
+	3	148	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	162
+	153	178
+	154	161
+	4	160	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	154	161
+	3	160	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	162
+	140	144
+	141	161
+	4	135	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	144
+	141	161
+	3	135	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	144
+	141	161
+	140	144
+	4	147	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	161
+	140	144
+	3	147	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	161
+	139	179
+	135	162
+	4	141	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	179
+	135	162
+	3	141	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	179
+	141	161
+	143	179
+	4	139	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	161
+	143	179
+	3	139	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	105
+	187	108
+	199	112
+	4	197	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	108
+	199	112
+	3	197	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	108
+	197	105
+	185	102
+	4	187	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	105
+	185	102
+	3	187	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	108
+	125	99
+	113	102
+	4	112	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	99
+	113	102
+	3	112	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	102
+	100	112
+	112	108
+	4	113	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	112
+	112	108
+	3	113	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	146
+	160	162
+	162	145
+	4	170	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	162
+	162	145
+	3	170	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	162
+	170	146
+	166	163
+	4	160	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	146
+	166	163
+	3	160	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	178
+	160	162
+	157	179
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	162
+	157	179
+	3	153	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	163
+	157	179
+	160	162
+	4	166	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	179
+	160	162
+	3	166	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	164
+	133	146
+	135	162
+	4	129	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	146
+	135	162
+	3	129	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	144
+	135	162
+	133	146
+	4	140	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	162
+	133	146
+	3	140	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	162
+	134	180
+	129	164
+	4	135	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	180
+	129	164
+	3	135	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	180
+	135	162
+	139	179
+	4	134	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	162
+	139	179
+	3	134	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	110
+	228	90
+	242	98
+	4	237	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	90
+	242	98
+	3	237	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	83
+	242	98
+	228	90
+	4	226	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	98
+	228	90
+	3	226	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	90
+	212	77
+	226	83
+	4	228	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	77
+	226	83
+	3	228	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	90
+	59	90
+	72	83
+	4	70	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	90
+	72	83
+	3	70	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	90
+	70	90
+	56	98
+	4	59	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	90
+	56	98
+	3	59	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	178
+	146	195
+	143	179
+	4	148	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	195
+	143	179
+	3	148	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	195
+	148	178
+	148	195
+	4	146	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	178
+	148	195
+	3	146	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	178
+	148	195
+	148	178
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	195
+	148	178
+	3	153	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	195
+	153	178
+	151	195
+	4	148	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	151	195
+	3	148	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	179
+	151	195
+	153	178
+	4	157	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	195
+	153	178
+	3	157	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	179
+	143	196
+	139	179
+	4	143	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	196
+	139	179
+	3	143	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	196
+	143	179
+	146	195
+	4	143	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	179
+	146	195
+	3	143	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	148
+	166	163
+	170	146
+	4	177	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	163
+	170	146
+	3	177	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	163
+	177	148
+	172	165
+	4	166	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	148
+	172	165
+	3	166	163	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	179
+	166	163
+	162	180
+	4	157	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	163
+	162	180
+	3	157	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	165
+	162	180
+	166	163
+	4	172	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	180
+	166	163
+	3	172	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	195
+	157	179
+	154	195
+	4	151	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	179
+	154	195
+	3	151	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	180
+	154	195
+	157	179
+	4	162	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	195
+	157	179
+	3	162	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	76
+	212	77
+	197	73
+	4	193	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	77
+	197	73
+	3	193	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	73
+	178	73
+	193	76
+	4	197	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	73
+	193	76
+	3	197	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	73
+	92	80
+	106	76
+	4	102	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	80
+	106	76
+	3	102	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	80
+	102	73
+	86	77
+	4	92	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	73
+	86	77
+	3	92	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	179
+	140	196
+	134	180
+	4	139	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	196
+	134	180
+	3	139	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	196
+	139	179
+	143	196
+	4	140	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	179
+	143	196
+	3	140	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	144
+	147	128
+	147	144
+	4	140	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	128
+	147	144
+	3	140	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	128
+	147	144
+	147	128
+	4	156	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	144
+	147	128
+	3	156	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	144
+	156	128
+	155	144
+	4	147	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	128
+	155	144
+	3	147	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	129
+	155	144
+	156	128
+	4	164	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	144
+	156	128
+	3	164	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	144
+	164	129
+	162	145
+	4	155	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	129
+	162	145
+	3	155	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	98
+	249	118
+	237	110
+	4	242	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	118
+	237	110
+	3	242	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	239	128
+	237	110
+	249	118
+	4	239	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	110
+	249	118
+	3	239	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	110
+	239	128
+	228	120
+	4	237	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	128
+	228	120
+	3	237	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	110
+	44	106
+	56	98
+	4	61	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	106
+	56	98
+	3	61	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	44	106
+	61	110
+	49	118
+	4	44	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	110
+	49	118
+	3	44	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	70	120
+	49	118
+	61	110
+	4	70	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	118
+	61	110
+	3	70	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	166
+	125	147
+	129	164
+	4	123	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	147
+	129	164
+	3	123	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	146
+	129	164
+	125	147
+	4	133	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	164
+	125	147
+	3	133	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	164
+	130	182
+	123	166
+	4	129	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	182
+	123	166
+	3	129	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	182
+	129	164
+	134	180
+	4	130	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	164
+	134	180
+	3	130	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	180
+	172	165
+	167	181
+	4	162	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	165
+	167	181
+	3	162	180	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	195
+	162	180
+	157	196
+	4	154	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	180
+	157	196
+	3	154	195	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	181
+	157	196
+	162	180
+	4	167	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	196
+	162	180
+	3	167	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	146
+	139	128
+	140	144
+	4	133	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	128
+	140	144
+	3	133	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	128
+	140	144
+	139	128
+	4	147	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	144
+	139	128
+	3	147	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	130
+	162	145
+	164	129
+	4	172	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	145
+	164	129
+	3	172	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	145
+	172	130
+	170	146
+	4	162	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	130
+	170	146
+	3	162	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	180
+	137	197
+	130	182
+	4	134	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	197
+	130	182
+	3	134	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	197
+	134	180
+	140	196
+	4	137	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	180
+	140	196
+	3	137	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	151
+	172	165
+	177	148
+	4	183	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	165
+	177	148
+	3	183	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	165
+	183	151
+	178	167
+	4	172	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	151
+	178	167
+	3	172	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	167
+	167	181
+	172	165
+	4	178	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	181
+	172	165
+	3	178	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	147
+	131	129
+	133	146
+	4	125	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	129
+	133	146
+	3	125	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	128
+	133	146
+	131	129
+	4	139	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	146
+	131	129
+	3	139	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	181
+	178	167
+	171	183
+	4	167	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	167
+	171	183
+	3	167	181	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	196
+	167	181
+	160	197
+	4	157	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	181
+	160	197
+	3	157	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	183
+	160	197
+	167	181
+	4	171	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	197
+	167	181
+	3	171	183	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	168
+	118	149
+	123	166
+	4	118	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	149
+	123	166
+	3	118	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	147
+	123	166
+	118	149
+	4	125	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	166
+	118	149
+	3	125	147	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	123	166
+	126	184
+	118	168
+	4	123	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	184
+	118	168
+	3	123	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	184
+	123	166
+	130	182
+	4	126	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	166
+	130	182
+	3	126	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	110
+	199	112
+	210	117
+	4	207	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	112
+	210	117
+	3	207	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	112
+	207	110
+	197	105
+	4	199	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	110
+	197	105
+	3	199	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	112
+	113	102
+	102	105
+	4	100	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	102
+	102	105
+	3	100	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	105
+	89	117
+	100	112
+	4	102	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	117
+	100	112
+	3	102	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	132
+	170	146
+	172	130
+	4	180	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	146
+	172	130
+	3	180	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	146
+	180	132
+	177	148
+	4	170	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	132
+	177	148
+	3	170	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	182
+	134	198
+	126	184
+	4	130	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	198
+	126	184
+	3	130	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	198
+	130	182
+	137	197
+	4	134	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	182
+	137	197
+	3	134	198	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	230	129
+	228	120
+	239	128
+	4	230	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	120
+	239	128
+	3	230	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	228	120
+	230	129
+	220	123
+	4	228	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	129
+	220	123
+	3	228	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	120
+	89	117
+	78	123
+	4	70	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	117
+	78	123
+	3	70	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	49	118
+	70	120
+	59	128
+	4	49	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	120
+	59	128
+	3	49	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	123
+	59	128
+	70	120
+	4	78	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	128
+	70	120
+	3	78	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	154
+	178	167
+	183	151
+	4	190	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	167
+	183	151
+	3	190	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	167
+	190	154
+	183	169
+	4	178	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	154
+	183	169
+	3	178	167	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	169
+	171	183
+	178	167
+	4	183	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	183
+	178	167
+	3	183	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	149
+	123	131
+	125	147
+	4	118	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	131
+	125	147
+	3	118	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	129
+	125	147
+	123	131
+	4	131	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	147
+	123	131
+	3	131	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	183
+	183	169
+	175	185
+	4	171	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	169
+	175	185
+	3	171	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	197
+	171	183
+	163	198
+	4	160	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	183
+	163	198
+	3	160	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	185
+	163	198
+	171	183
+	4	175	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	198
+	171	183
+	3	175	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	122	186
+	118	168
+	126	184
+	4	122	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	168
+	126	184
+	3	122	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	184
+	132	200
+	122	186
+	4	126	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	200
+	122	186
+	3	126	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	200
+	126	184
+	134	198
+	4	132	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	184
+	134	198
+	3	132	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	135
+	177	148
+	180	132
+	4	187	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	148
+	180	132
+	3	187	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	148
+	187	135
+	183	151
+	4	177	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	135
+	183	151
+	3	177	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	113	171
+	112	152
+	118	168
+	4	113	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	152
+	118	168
+	3	113	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	149
+	118	168
+	112	152
+	4	118	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	168
+	112	152
+	3	118	149	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	118	168
+	122	186
+	113	171
+	4	118	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	186
+	113	171
+	3	118	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	195
+	148	210
+	146	195
+	4	148	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	210
+	146	195
+	3	148	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	210
+	148	195
+	149	210
+	4	148	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	195
+	149	210
+	3	148	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	195
+	149	210
+	148	195
+	4	151	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	210
+	148	195
+	3	151	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	210
+	151	195
+	150	210
+	4	149	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	195
+	150	210
+	3	149	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	195
+	150	210
+	151	195
+	4	154	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	210
+	151	195
+	3	154	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	195
+	147	210
+	143	196
+	4	146	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	210
+	143	196
+	3	146	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	210
+	146	195
+	148	210
+	4	147	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	195
+	148	210
+	3	147	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	80
+	226	83
+	212	77
+	4	206	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	83
+	212	77
+	3	206	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	77
+	193	76
+	206	80
+	4	212	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	76
+	206	80
+	3	212	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	77
+	79	85
+	92	80
+	4	86	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	85
+	92	80
+	3	86	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	85
+	86	77
+	72	83
+	4	79	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	77
+	72	83
+	3	79	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	210
+	154	195
+	151	210
+	4	150	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	195
+	151	210
+	3	150	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	196
+	151	210
+	154	195
+	4	157	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	210
+	154	195
+	3	157	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	196
+	146	211
+	140	196
+	4	143	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	211
+	140	196
+	3	143	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	211
+	143	196
+	147	210
+	4	146	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	196
+	147	210
+	3	146	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	172
+	175	185
+	183	169
+	4	188	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	185
+	183	169
+	3	188	172	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	185
+	188	172
+	178	187
+	4	175	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	172
+	178	187
+	3	175	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	198
+	175	185
+	165	199
+	4	163	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	185
+	165	199
+	3	163	198	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	187
+	165	199
+	175	185
+	4	178	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	199
+	175	185
+	3	178	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	210
+	157	196
+	152	211
+	4	151	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	196
+	152	211
+	3	151	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	197
+	152	211
+	157	196
+	4	160	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	211
+	157	196
+	3	160	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	152
+	115	133
+	118	149
+	4	112	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	133
+	118	149
+	3	112	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	131
+	118	149
+	115	133
+	4	123	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	149
+	115	133
+	3	123	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	196
+	145	211
+	137	197
+	4	140	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	211
+	137	197
+	3	140	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	211
+	140	196
+	146	211
+	4	145	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	196
+	146	211
+	3	145	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	157
+	183	169
+	190	154
+	4	196	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	169
+	190	154
+	3	196	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	169
+	196	157
+	188	172
+	4	183	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	157
+	188	172
+	3	183	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	84
+	149	97
+	161	97
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	97
+	161	97
+	3	162	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	97
+	162	84
+	149	83
+	4	149	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	149	83
+	3	149	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	83
+	137	97
+	149	97
+	4	149	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	149	97
+	3	149	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	83
+	164	71
+	149	70
+	4	149	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	71
+	149	70
+	3	149	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	70
+	136	84
+	149	83
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	84
+	149	83
+	3	149	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	84
+	149	70
+	135	71
+	4	136	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	135	71
+	3	136	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	211
+	160	197
+	153	211
+	4	152	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	197
+	153	211
+	3	152	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	198
+	153	211
+	160	197
+	4	163	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	211
+	160	197
+	3	163	198	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	188
+	113	171
+	122	186
+	4	118	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	171
+	122	186
+	3	118	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	186
+	130	201
+	118	188
+	4	122	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	201
+	118	188
+	3	122	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	201
+	122	186
+	132	200
+	4	130	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	186
+	132	200
+	3	130	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	128
+	147	113
+	147	128
+	4	139	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	113
+	147	128
+	3	139	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	113
+	147	128
+	147	113
+	4	156	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	128
+	147	113
+	3	156	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	128
+	156	113
+	156	128
+	4	147	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	113
+	156	128
+	3	147	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	114
+	156	128
+	156	113
+	4	165	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	128
+	156	113
+	3	165	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	128
+	165	114
+	164	129
+	4	156	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	114
+	164	129
+	3	156	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	197
+	144	211
+	134	198
+	4	137	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	211
+	134	198
+	3	137	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	211
+	137	197
+	145	211
+	4	144	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	197
+	145	211
+	3	144	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	85
+	161	97
+	174	99
+	4	175	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	97
+	174	99
+	3	175	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	97
+	175	85
+	162	84
+	4	161	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	85
+	162	84
+	3	161	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	97
+	149	83
+	136	84
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	83
+	136	84
+	3	137	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	84
+	125	99
+	137	97
+	4	136	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	99
+	137	97
+	3	136	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	118
+	242	98
+	255	106
+	4	249	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	98
+	255	106
+	3	249	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	90
+	255	106
+	242	98
+	4	240	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	106
+	242	98
+	3	240	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	98
+	226	83
+	240	90
+	4	242	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	83
+	240	90
+	3	242	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	98
+	46	98
+	59	90
+	4	56	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	98
+	59	90
+	3	56	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	98
+	56	98
+	44	106
+	4	46	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	98
+	44	106
+	3	46	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	84
+	178	73
+	164	71
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	73
+	164	71
+	3	162	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	71
+	149	83
+	162	84
+	4	164	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	83
+	162	84
+	3	164	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	71
+	123	85
+	136	84
+	4	135	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	85
+	136	84
+	3	135	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	85
+	135	71
+	120	73
+	4	123	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	71
+	120	73
+	3	123	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	138
+	183	151
+	187	135
+	4	195	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	151
+	187	135
+	3	195	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	151
+	195	138
+	190	154
+	4	183	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	138
+	190	154
+	3	183	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	129
+	138	113
+	139	128
+	4	131	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	139	128
+	3	131	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	113
+	139	128
+	138	113
+	4	147	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	128
+	138	113
+	3	147	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	211
+	163	198
+	154	211
+	4	153	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	198
+	154	211
+	3	153	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	199
+	154	211
+	163	198
+	4	165	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	211
+	163	198
+	3	165	199	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	174
+	106	155
+	113	171
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	155
+	113	171
+	3	108	174	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	152
+	113	171
+	106	155
+	4	112	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	171
+	106	155
+	3	112	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	113	171
+	118	188
+	108	174
+	4	113	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	188
+	108	174
+	3	113	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	115
+	210	117
+	220	123
+	4	217	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	117
+	220	123
+	3	217	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	117
+	217	115
+	207	110
+	4	210	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	115
+	207	110
+	3	210	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	117
+	102	105
+	91	110
+	4	89	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	105
+	91	110
+	3	89	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	110
+	78	123
+	89	117
+	4	91	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	123
+	89	117
+	3	91	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	115
+	164	129
+	165	114
+	4	173	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	129
+	165	114
+	3	173	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	129
+	173	115
+	172	130
+	4	164	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	115
+	172	130
+	3	164	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	199
+	178	187
+	167	200
+	4	165	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	187
+	167	200
+	3	165	199	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	170	202
+	178	187
+	167	200
+	4	170	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	187
+	167	200
+	3	170	202	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	187
+	170	202
+	182	190
+	4	178	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	202
+	182	190
+	3	178	187	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	190
+	188	172
+	178	187
+	4	182	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	172
+	178	187
+	3	182	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	198
+	143	212
+	132	200
+	4	134	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	212
+	132	200
+	3	134	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	212
+	134	198
+	144	211
+	4	143	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	198
+	144	211
+	3	143	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	131
+	130	114
+	131	129
+	4	123	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	114
+	131	129
+	3	123	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	113
+	131	129
+	130	114
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	129
+	130	114
+	3	138	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	155
+	107	136
+	112	152
+	4	106	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	136
+	112	152
+	3	106	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	133
+	112	152
+	107	136
+	4	115	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	152
+	107	136
+	3	115	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	211
+	165	199
+	155	212
+	4	154	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	199
+	155	212
+	3	154	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	200
+	155	212
+	165	199
+	4	167	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	212
+	165	199
+	3	167	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	88
+	174	99
+	185	102
+	4	188	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	99
+	185	102
+	3	188	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	99
+	188	88
+	175	85
+	4	174	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	88
+	175	85
+	3	174	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	99
+	136	84
+	123	85
+	4	125	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	84
+	123	85
+	3	125	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	85
+	113	102
+	125	99
+	4	123	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	102
+	125	99
+	3	123	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	191
+	108	174
+	118	188
+	4	115	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	118	188
+	3	115	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	188
+	128	203
+	115	191
+	4	118	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	203
+	115	191
+	3	118	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	203
+	118	188
+	130	201
+	4	128	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	188
+	130	201
+	3	128	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	172
+	182	190
+	192	176
+	4	188	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	190
+	192	176
+	3	188	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	176
+	196	157
+	188	172
+	4	192	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	157
+	188	172
+	3	192	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	73
+	111	88
+	123	85
+	4	120	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	88
+	123	85
+	3	120	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	88
+	120	73
+	106	76
+	4	111	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	73
+	106	76
+	3	111	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	85
+	193	76
+	178	73
+	4	175	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	76
+	178	73
+	3	175	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	73
+	162	84
+	175	85
+	4	178	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	175	85
+	3	178	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	106
+	260	128
+	249	118
+	4	255	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	128
+	249	118
+	3	255	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	249	136
+	249	118
+	260	128
+	4	249	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	118
+	260	128
+	3	249	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	249	118
+	249	136
+	239	128
+	4	249	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	136
+	239	128
+	3	249	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	118
+	32	116
+	44	106
+	4	49	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	116
+	44	106
+	3	49	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	32	116
+	49	118
+	38	128
+	4	32	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	118
+	38	128
+	3	32	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	59	128
+	38	128
+	49	118
+	4	59	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	128
+	49	118
+	3	59	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	117
+	172	130
+	173	115
+	4	182	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	130
+	173	115
+	3	182	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	130
+	182	117
+	180	132
+	4	172	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	117
+	180	132
+	3	172	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	200
+	143	212
+	130	201
+	4	132	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	212
+	130	201
+	3	132	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	212
+	132	200
+	143	212
+	4	143	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	200
+	143	212
+	3	143	212	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	212
+	167	200
+	155	212
+	4	155	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	200
+	155	212
+	3	155	212	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	213
+	167	200
+	155	212
+	4	156	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	200
+	155	212
+	3	156	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	200
+	156	213
+	170	202
+	4	167	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	213
+	170	202
+	3	167	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	142
+	190	154
+	195	138
+	4	201	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	154
+	195	138
+	3	201	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	154
+	201	142
+	196	157
+	4	190	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	142
+	196	157
+	3	190	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	133
+	121	116
+	123	131
+	4	115	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	116
+	123	131
+	3	115	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	114
+	123	131
+	121	116
+	4	130	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	131
+	121	116
+	3	130	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	204
+	182	190
+	170	202
+	4	171	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	190
+	170	202
+	3	171	204	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	190
+	171	204
+	185	193
+	4	182	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	204
+	185	193
+	3	182	190	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	193
+	192	176
+	182	190
+	4	185	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	176
+	182	190
+	3	185	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	178
+	100	159
+	108	174
+	4	104	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	159
+	108	174
+	3	104	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	106	155
+	108	174
+	100	159
+	4	106	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	100	159
+	3	106	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	174
+	115	191
+	104	178
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	191
+	104	178
+	3	108	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	201
+	142	213
+	128	203
+	4	130	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	213
+	128	203
+	3	130	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	213
+	130	201
+	143	212
+	4	142	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	201
+	143	212
+	3	142	213	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	238	137
+	239	128
+	249	136
+	4	238	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	128
+	249	136
+	3	238	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	239	128
+	238	137
+	230	129
+	4	239	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	137
+	230	129
+	3	239	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	128
+	78	123
+	69	129
+	4	59	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	123
+	69	129
+	3	59	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	38	128
+	59	128
+	50	136
+	4	38	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	128
+	50	136
+	3	38	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	129
+	50	136
+	59	128
+	4	69	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	136
+	59	128
+	3	69	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	120
+	180	132
+	182	117
+	4	190	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	132
+	182	117
+	3	190	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	132
+	190	120
+	187	135
+	4	180	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	120
+	187	135
+	3	180	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	92
+	185	102
+	197	105
+	4	200	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	102
+	197	105
+	3	200	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	102
+	200	92
+	188	88
+	4	185	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	92
+	188	88
+	3	185	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	102
+	123	85
+	111	88
+	4	113	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	85
+	111	88
+	3	113	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	88
+	102	105
+	113	102
+	4	111	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	105
+	113	102
+	3	111	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	85
+	240	90
+	226	83
+	4	219	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	90
+	226	83
+	3	219	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	83
+	206	80
+	219	85
+	4	226	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	80
+	219	85
+	3	226	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	83
+	67	91
+	79	85
+	4	72	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	91
+	79	85
+	3	72	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	91
+	72	83
+	59	90
+	4	67	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	83
+	59	90
+	3	67	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	213
+	170	202
+	156	213
+	4	157	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	202
+	156	213
+	3	157	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	202
+	157	213
+	171	204
+	4	170	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	213
+	171	204
+	3	170	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	113	194
+	104	178
+	115	191
+	4	113	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	178
+	115	191
+	3	113	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	191
+	126	205
+	113	194
+	4	115	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	205
+	113	194
+	3	115	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	205
+	115	191
+	128	203
+	4	126	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	191
+	128	203
+	3	126	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	159
+	101	140
+	106	155
+	4	100	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	140
+	106	155
+	3	100	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	136
+	106	155
+	101	140
+	4	107	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	155
+	101	140
+	3	107	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	176
+	185	193
+	196	180
+	4	192	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	193
+	196	180
+	3	192	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	157
+	192	176
+	201	161
+	4	196	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	176
+	201	161
+	3	196	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	180
+	201	161
+	192	176
+	4	196	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	161
+	192	176
+	3	196	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	203
+	141	214
+	126	205
+	4	128	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	214
+	126	205
+	3	128	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	214
+	128	203
+	142	213
+	4	141	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	203
+	142	213
+	3	141	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	76
+	99	92
+	111	88
+	4	106	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	92
+	111	88
+	3	106	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	92
+	106	76
+	92	80
+	4	99	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	76
+	92	80
+	3	99	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	88
+	206	80
+	193	76
+	4	188	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	80
+	193	76
+	3	188	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	76
+	175	85
+	188	88
+	4	193	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	85
+	188	88
+	3	193	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	136
+	113	119
+	115	133
+	4	107	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	119
+	115	133
+	3	107	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	116
+	115	133
+	113	119
+	4	121	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	133
+	113	119
+	3	121	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	173	206
+	185	193
+	171	204
+	4	173	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	193
+	171	204
+	3	173	206	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	193
+	173	206
+	187	196
+	4	185	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	206
+	187	196
+	3	185	193	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	187	196
+	196	180
+	185	193
+	4	187	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	180
+	185	193
+	3	187	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	214
+	171	204
+	157	213
+	4	157	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	204
+	157	213
+	3	157	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	204
+	157	214
+	173	206
+	4	171	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	214
+	173	206
+	3	171	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	123
+	91	110
+	81	115
+	4	78	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	110
+	81	115
+	3	78	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	115
+	69	129
+	78	123
+	4	81	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	129
+	78	123
+	3	81	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	121
+	220	123
+	230	129
+	4	226	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	123
+	230	129
+	3	226	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	123
+	226	121
+	217	115
+	4	220	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	121
+	217	115
+	3	220	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	161
+	201	142
+	196	157
+	4	201	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	142
+	196	157
+	3	201	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	210
+	151	224
+	148	210
+	4	149	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	224
+	148	210
+	3	149	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	224
+	149	210
+	149	224
+	4	151	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	210
+	149	224
+	3	151	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	210
+	149	224
+	149	210
+	4	150	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	224
+	149	210
+	3	150	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	224
+	150	210
+	148	224
+	4	149	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	210
+	148	224
+	3	149	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	210
+	148	224
+	150	210
+	4	151	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	224
+	150	210
+	3	151	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	210
+	152	224
+	147	210
+	4	148	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	224
+	147	210
+	3	148	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	224
+	148	210
+	151	224
+	4	152	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	210
+	151	224
+	3	152	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	224
+	151	210
+	147	224
+	4	148	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	210
+	147	224
+	3	148	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	211
+	147	224
+	151	210
+	4	152	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	224
+	151	210
+	3	152	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	210
+	153	223
+	146	211
+	4	147	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	223
+	146	211
+	3	147	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	223
+	147	210
+	152	224
+	4	153	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	210
+	152	224
+	3	153	223	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	182
+	95	163
+	104	178
+	4	100	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	163
+	104	178
+	3	100	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	159
+	104	178
+	95	163
+	4	100	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	178
+	95	163
+	3	100	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	178
+	113	194
+	100	182
+	4	104	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	194
+	100	182
+	3	104	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	224
+	152	211
+	146	223
+	4	147	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	211
+	146	223
+	3	147	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	211
+	146	223
+	152	211
+	4	153	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	223
+	152	211
+	3	153	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	124
+	187	135
+	190	120
+	4	197	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	135
+	190	120
+	3	197	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	135
+	197	124
+	195	138
+	4	187	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	124
+	195	138
+	3	187	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	207
+	113	194
+	126	205
+	4	125	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	194
+	126	205
+	3	125	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	205
+	141	214
+	125	207
+	4	126	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	214
+	125	207
+	3	126	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	214
+	126	205
+	141	214
+	4	141	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	205
+	141	214
+	3	141	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	211
+	153	223
+	145	211
+	4	146	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	223
+	145	211
+	3	146	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	223
+	146	211
+	153	223
+	4	153	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	211
+	153	223
+	3	153	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	223
+	153	211
+	145	223
+	4	146	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	211
+	145	223
+	3	146	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	211
+	145	223
+	153	211
+	4	154	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	223
+	153	211
+	3	154	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	197
+	100	182
+	113	194
+	4	110	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	182
+	113	194
+	3	110	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	194
+	125	207
+	110	197
+	4	113	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	207
+	110	197
+	3	113	194	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	211
+	154	223
+	144	211
+	4	145	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	223
+	144	211
+	3	145	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	223
+	145	211
+	153	223
+	4	154	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	211
+	153	223
+	3	154	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	223
+	154	211
+	145	223
+	4	145	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	211
+	145	223
+	3	145	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	212
+	145	223
+	154	211
+	4	155	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	223
+	154	211
+	3	155	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	211
+	155	222
+	143	212
+	4	144	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	222
+	143	212
+	3	144	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	222
+	144	211
+	154	223
+	4	155	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	211
+	154	223
+	3	155	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	223
+	155	212
+	144	222
+	4	145	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	212
+	144	222
+	3	145	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	212
+	144	222
+	155	212
+	4	155	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	222
+	155	212
+	3	155	212	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	215
+	173	206
+	157	214
+	4	158	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	206
+	157	214
+	3	158	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	206
+	158	215
+	174	208
+	4	173	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	215
+	174	208
+	3	173	206	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	208
+	187	196
+	173	206
+	4	174	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	196
+	173	206
+	3	174	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	96
+	197	105
+	207	110
+	4	211	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	105
+	207	110
+	3	211	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	105
+	211	96
+	200	92
+	4	197	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	96
+	200	92
+	3	197	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	105
+	111	88
+	99	92
+	4	102	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	88
+	99	92
+	3	102	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	92
+	91	110
+	102	105
+	4	99	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	110
+	102	105
+	3	99	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	212
+	156	221
+	143	212
+	4	143	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	221
+	143	212
+	3	143	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	221
+	143	212
+	155	222
+	4	156	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	212
+	155	222
+	3	156	221	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	163
+	94	144
+	100	159
+	4	95	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	144
+	100	159
+	3	95	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	140
+	100	159
+	94	144
+	4	101	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	159
+	94	144
+	3	101	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	221
+	155	212
+	143	222
+	4	142	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	212
+	143	222
+	3	142	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	212
+	142	221
+	156	213
+	4	155	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	221
+	156	213
+	3	155	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	222
+	155	212
+	143	222
+	4	144	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	212
+	143	222
+	3	144	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	140
+	105	122
+	107	136
+	4	101	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	122
+	107	136
+	3	101	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	119
+	107	136
+	105	122
+	4	113	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	136
+	105	122
+	3	113	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	212
+	157	221
+	142	213
+	4	143	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	221
+	142	213
+	3	143	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	221
+	143	212
+	156	221
+	4	157	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	212
+	156	221
+	3	157	221	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	180
+	187	196
+	200	184
+	4	196	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	196
+	200	184
+	3	196	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	161
+	196	180
+	206	166
+	4	201	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	180
+	206	166
+	3	201	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	184
+	206	166
+	196	180
+	4	200	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	166
+	196	180
+	3	200	184	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	187	196
+	174	208
+	189	199
+	4	187	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	208
+	189	199
+	3	187	196	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	199
+	200	184
+	187	196
+	4	189	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	184
+	187	196
+	3	189	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	209
+	110	197
+	125	207
+	4	124	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	197
+	125	207
+	3	124	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	207
+	141	215
+	124	209
+	4	125	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	215
+	124	209
+	3	125	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	215
+	125	207
+	141	214
+	4	141	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	207
+	141	214
+	3	141	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	128
+	255	106
+	266	116
+	4	260	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	106
+	266	116
+	3	260	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	98
+	266	116
+	255	106
+	4	252	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	116
+	255	106
+	3	252	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	106
+	240	90
+	252	98
+	4	255	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	90
+	252	98
+	3	255	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	106
+	35	107
+	46	98
+	4	44	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	107
+	46	98
+	3	44	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	107
+	44	106
+	32	116
+	4	35	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	106
+	32	116
+	3	35	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	221
+	156	213
+	142	221
+	4	142	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	213
+	142	221
+	3	142	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	213
+	142	221
+	157	213
+	4	156	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	221
+	157	213
+	3	156	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	213
+	157	220
+	141	214
+	4	142	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	220
+	141	214
+	3	142	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	220
+	142	213
+	157	221
+	4	157	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	213
+	157	221
+	3	157	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	113
+	147	100
+	147	113
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	100
+	147	113
+	3	138	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	100
+	147	113
+	147	100
+	4	156	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	113
+	147	100
+	3	156	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	113
+	156	100
+	156	113
+	4	147	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	100
+	156	113
+	3	147	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	220
+	157	213
+	142	221
+	4	141	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	213
+	142	221
+	3	141	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	213
+	141	220
+	157	214
+	4	157	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	220
+	157	214
+	3	157	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	101
+	156	113
+	156	100
+	4	165	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	113
+	156	100
+	3	165	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	113
+	165	101
+	165	114
+	4	156	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	101
+	165	114
+	3	156	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	80
+	87	96
+	99	92
+	4	92	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	96
+	99	92
+	3	92	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	96
+	92	80
+	79	85
+	4	87	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	80
+	79	85
+	3	87	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	92
+	219	85
+	206	80
+	4	200	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	85
+	206	80
+	3	200	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	80
+	188	88
+	200	92
+	4	206	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	88
+	200	92
+	3	206	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	214
+	158	219
+	141	214
+	4	141	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	219
+	141	214
+	3	141	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	219
+	141	214
+	157	220
+	4	158	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	214
+	157	220
+	3	158	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	216
+	174	208
+	158	215
+	4	158	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	208
+	158	215
+	3	158	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	208
+	158	216
+	175	210
+	4	174	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	216
+	175	210
+	3	174	208	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	210
+	189	199
+	174	208
+	4	175	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	199
+	174	208
+	3	175	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	114
+	138	100
+	138	113
+	4	130	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	100
+	138	113
+	3	130	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	100
+	138	113
+	138	100
+	4	147	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	138	100
+	3	147	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	219
+	157	214
+	141	220
+	4	141	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	214
+	141	220
+	3	141	219	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	214
+	141	219
+	158	215
+	4	157	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	219
+	158	215
+	3	157	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	201
+	97	186
+	110	197
+	4	109	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	186
+	110	197
+	3	109	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	182
+	110	197
+	97	186
+	4	100	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	197
+	97	186
+	3	100	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	197
+	124	209
+	109	201
+	4	110	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	209
+	109	201
+	3	110	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	128
+	195	138
+	197	124
+	4	204	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	138
+	197	124
+	3	204	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	138
+	204	128
+	201	142
+	4	195	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	128
+	201	142
+	3	195	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	142
+	201	161
+	207	146
+	4	201	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	161
+	207	146
+	3	201	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	166
+	207	146
+	201	161
+	4	206	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	146
+	201	161
+	3	206	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	214
+	158	219
+	141	215
+	4	141	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	219
+	141	215
+	3	141	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	219
+	141	214
+	158	219
+	4	158	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	214
+	158	219
+	3	158	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	102
+	165	114
+	165	101
+	4	173	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	114
+	165	101
+	3	173	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	114
+	173	102
+	173	115
+	4	165	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	102
+	173	115
+	3	165	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	186
+	91	168
+	100	182
+	4	97	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	168
+	100	182
+	3	97	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	163
+	100	182
+	91	168
+	4	95	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	182
+	91	168
+	3	95	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	218
+	158	215
+	141	219
+	4	141	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	215
+	141	219
+	3	141	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	215
+	141	218
+	158	216
+	4	158	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	218
+	158	216
+	3	158	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	211
+	109	201
+	124	209
+	4	123	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	201
+	124	209
+	3	123	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	209
+	140	216
+	123	211
+	4	124	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	216
+	123	211
+	3	124	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	216
+	124	209
+	141	215
+	4	140	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	209
+	141	215
+	3	140	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	215
+	158	218
+	140	216
+	4	141	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	218
+	140	216
+	3	141	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	218
+	141	215
+	158	219
+	4	158	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	215
+	158	219
+	3	158	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	116
+	129	101
+	130	114
+	4	121	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	101
+	130	114
+	3	121	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	100
+	130	114
+	129	101
+	4	138	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	114
+	129	101
+	3	138	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	218
+	158	216
+	141	218
+	4	140	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	216
+	141	218
+	3	140	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	216
+	140	218
+	158	216
+	4	158	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	218
+	158	216
+	3	158	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	216
+	175	210
+	158	216
+	4	158	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	210
+	158	216
+	3	158	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	116
+	269	138
+	260	128
+	4	266	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	138
+	260	128
+	3	266	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	146
+	260	128
+	269	138
+	4	257	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	128
+	269	138
+	3	257	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	260	128
+	257	146
+	249	136
+	4	260	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	146
+	249	136
+	3	260	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	128
+	23	126
+	32	116
+	4	38	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	126
+	32	116
+	3	38	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	126
+	38	128
+	29	138
+	4	23	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	128
+	29	138
+	3	23	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	50	136
+	29	138
+	38	128
+	4	50	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	138
+	38	128
+	3	50	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	217
+	123	211
+	140	216
+	4	140	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	211
+	140	216
+	3	140	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	216
+	158	217
+	140	217
+	4	140	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	217
+	140	217
+	3	140	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	217
+	140	216
+	158	218
+	4	158	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	216
+	158	218
+	3	158	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	91
+	252	98
+	240	90
+	4	231	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	98
+	240	90
+	3	231	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	90
+	219	85
+	231	91
+	4	240	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	85
+	231	91
+	3	240	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	90
+	56	99
+	67	91
+	4	59	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	99
+	67	91
+	3	59	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	99
+	59	90
+	46	98
+	4	56	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	90
+	46	98
+	3	56	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	210
+	158	216
+	175	213
+	4	175	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	216
+	175	213
+	3	175	210	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	199
+	175	210
+	191	203
+	4	189	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	210
+	191	203
+	3	189	199	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	213
+	191	203
+	175	210
+	4	175	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	175	210
+	3	175	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	184
+	189	199
+	202	188
+	4	200	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	199
+	202	188
+	3	200	184	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	203
+	202	188
+	189	199
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	188
+	189	199
+	3	191	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	104
+	173	115
+	173	102
+	4	182	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	115
+	173	102
+	3	182	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	115
+	182	104
+	182	117
+	4	173	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	104
+	182	117
+	3	173	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	217
+	158	216
+	140	218
+	4	140	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	216
+	140	218
+	3	140	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	216
+	140	217
+	158	217
+	4	158	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	217
+	158	217
+	3	158	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	217
+	175	213
+	158	216
+	4	158	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	213
+	158	216
+	3	158	217	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	94	144
+	98	126
+	101	140
+	4	94	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	126
+	101	140
+	3	94	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	122
+	101	140
+	98	126
+	4	105	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	140
+	98	126
+	3	105	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	245	145
+	249	136
+	257	146
+	4	245	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	136
+	257	146
+	3	245	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	249	136
+	245	145
+	238	137
+	4	249	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	145
+	238	137
+	3	249	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	136
+	69	129
+	61	137
+	4	50	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	129
+	61	137
+	3	50	136	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	29	138
+	50	136
+	42	146
+	4	29	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	136
+	42	146
+	3	29	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	137
+	42	146
+	50	136
+	4	61	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	146
+	50	136
+	3	61	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	168
+	89	149
+	95	163
+	4	91	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	149
+	95	163
+	3	91	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	144
+	95	163
+	89	149
+	4	94	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	163
+	89	149
+	3	94	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	218
+	123	214
+	140	217
+	4	140	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	214
+	140	217
+	3	140	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	211
+	140	217
+	123	214
+	4	123	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	217
+	123	214
+	3	123	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	166
+	200	184
+	210	171
+	4	206	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	184
+	210	171
+	3	206	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	188
+	210	171
+	200	184
+	4	202	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	171
+	200	184
+	3	202	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	102
+	207	110
+	217	115
+	4	222	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	110
+	217	115
+	3	222	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	110
+	222	102
+	211	96
+	4	207	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	102
+	211	96
+	3	207	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	110
+	99	92
+	87	96
+	4	91	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	92
+	87	96
+	3	91	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	96
+	81	115
+	91	110
+	4	87	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	115
+	91	110
+	3	87	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	213
+	158	217
+	176	215
+	4	175	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	217
+	176	215
+	3	175	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	218
+	176	215
+	158	217
+	4	158	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	215
+	158	217
+	3	158	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	214
+	107	204
+	123	211
+	4	123	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	204
+	123	211
+	3	123	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	201
+	123	211
+	107	204
+	4	109	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	211
+	107	204
+	3	109	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	119
+	121	103
+	121	116
+	4	113	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	103
+	121	116
+	3	113	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	101
+	121	116
+	121	103
+	4	129	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	116
+	121	103
+	3	129	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	218
+	123	216
+	140	218
+	4	141	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	216
+	140	218
+	3	141	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	214
+	140	218
+	123	216
+	4	123	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	218
+	123	216
+	3	123	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	129
+	230	129
+	238	137
+	4	234	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	129
+	238	137
+	3	234	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	129
+	234	129
+	226	121
+	4	230	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	129
+	226	121
+	3	230	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	129
+	81	115
+	72	121
+	4	69	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	115
+	72	121
+	3	69	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	121
+	61	137
+	69	129
+	4	72	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	137
+	69	129
+	3	72	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	204
+	95	190
+	109	201
+	4	107	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	190
+	109	201
+	3	107	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	186
+	109	201
+	95	190
+	4	97	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	201
+	95	190
+	3	97	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	215
+	158	218
+	175	217
+	4	176	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	218
+	175	217
+	3	176	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	219
+	175	217
+	158	218
+	4	158	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	217
+	158	218
+	3	158	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	219
+	123	218
+	141	218
+	4	141	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	218
+	141	218
+	3	141	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	216
+	141	218
+	123	218
+	4	123	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	218
+	123	218
+	3	123	216	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	203
+	175	213
+	191	206
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	213
+	191	206
+	3	191	203	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	215
+	191	206
+	175	213
+	4	176	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	206
+	175	213
+	3	176	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	85
+	200	92
+	211	96
+	4	219	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	92
+	211	96
+	3	219	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	146
+	204	128
+	201	142
+	4	207	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	128
+	201	142
+	3	207	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	217
+	158	219
+	175	219
+	4	175	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	219
+	175	219
+	3	175	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	219
+	175	219
+	158	219
+	4	158	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	219
+	158	219
+	3	158	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	107
+	182	117
+	182	104
+	4	190	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	117
+	182	104
+	3	190	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	117
+	190	107
+	190	120
+	4	182	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	107
+	190	120
+	3	182	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	220
+	124	221
+	141	219
+	4	141	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	221
+	141	219
+	3	141	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	218
+	141	219
+	124	221
+	4	123	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	219
+	124	221
+	3	123	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	190
+	87	173
+	97	186
+	4	95	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	173
+	97	186
+	3	95	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	168
+	97	186
+	87	173
+	4	91	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	186
+	87	173
+	3	91	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	146
+	206	166
+	213	151
+	4	207	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	166
+	213	151
+	3	207	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	171
+	213	151
+	206	166
+	4	210	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	151
+	206	166
+	3	210	171	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	219
+	158	219
+	174	222
+	4	175	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	219
+	174	222
+	3	175	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	220
+	174	222
+	158	219
+	4	157	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	222
+	158	219
+	3	157	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	216
+	107	208
+	123	214
+	4	123	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	208
+	123	214
+	3	123	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	204
+	123	214
+	107	208
+	4	107	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	214
+	107	208
+	3	107	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	188
+	191	203
+	204	193
+	4	202	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	204	193
+	3	202	188	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	206
+	204	193
+	191	203
+	4	191	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	193
+	191	203
+	3	191	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	221
+	125	223
+	141	220
+	4	142	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	223
+	141	220
+	3	142	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	221
+	141	220
+	125	223
+	4	124	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	220
+	125	223
+	3	124	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	96
+	231	91
+	219	85
+	4	211	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	91
+	219	85
+	3	211	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	85
+	76	102
+	87	96
+	4	79	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	102
+	87	96
+	3	79	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	102
+	79	85
+	67	91
+	4	76	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	85
+	67	91
+	3	76	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	222
+	157	220
+	173	224
+	4	174	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	220
+	173	224
+	3	174	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	221
+	173	224
+	157	220
+	4	157	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	224
+	157	220
+	3	157	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	122
+	113	106
+	113	119
+	4	105	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	106
+	113	119
+	3	105	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	103
+	113	119
+	113	106
+	4	121	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	119
+	113	106
+	3	121	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	221
+	127	225
+	142	221
+	4	142	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	225
+	142	221
+	3	142	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	223
+	142	221
+	127	225
+	4	125	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	221
+	127	225
+	3	125	223	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	206
+	176	215
+	192	210
+	4	191	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	215
+	192	210
+	3	191	206	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	217
+	192	210
+	176	215
+	4	175	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	176	215
+	3	175	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	224
+	157	221
+	171	226
+	4	173	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	221
+	171	226
+	3	173	224	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	221
+	171	226
+	157	221
+	4	156	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	226
+	157	221
+	3	156	221	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	89	149
+	91	130
+	94	144
+	4	89	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	130
+	94	144
+	3	89	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	126
+	94	144
+	91	130
+	4	98	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	144
+	91	130
+	3	98	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	222
+	128	227
+	142	221
+	4	143	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	227
+	142	221
+	3	143	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	225
+	142	221
+	128	227
+	4	127	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	221
+	128	227
+	3	127	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	226
+	156	221
+	169	228
+	4	171	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	221
+	169	228
+	3	171	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	222
+	169	228
+	156	221
+	4	155	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	228
+	156	221
+	3	155	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	208
+	93	195
+	107	204
+	4	107	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	195
+	107	204
+	3	107	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	190
+	107	204
+	93	195
+	4	95	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	204
+	93	195
+	3	95	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	171
+	202	188
+	213	176
+	4	210	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	188
+	213	176
+	3	210	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	193
+	213	176
+	202	188
+	4	204	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	176
+	202	188
+	3	204	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	227
+	143	222
+	130	229
+	4	128	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	222
+	130	229
+	3	128	227	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	222
+	133	230
+	144	222
+	4	143	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	230
+	144	222
+	3	143	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	230
+	143	222
+	130	229
+	4	133	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	222
+	130	229
+	3	133	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	173
+	84	154
+	91	168
+	4	87	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	154
+	91	168
+	3	87	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	149
+	91	168
+	84	154
+	4	89	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	168
+	84	154
+	3	89	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	218
+	107	212
+	123	216
+	4	123	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	212
+	123	216
+	3	123	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	208
+	123	216
+	107	212
+	4	107	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	216
+	107	212
+	3	107	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	111
+	190	120
+	190	107
+	4	197	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	120
+	190	107
+	3	197	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	120
+	197	111
+	197	124
+	4	190	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	111
+	197	124
+	3	190	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	228
+	155	222
+	167	229
+	4	169	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	222
+	167	229
+	3	169	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	223
+	167	229
+	155	222
+	4	154	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	229
+	155	222
+	3	154	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	222
+	135	232
+	145	223
+	4	144	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	232
+	145	223
+	3	144	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	232
+	144	222
+	133	230
+	4	135	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	222
+	133	230
+	3	135	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	229
+	154	223
+	165	231
+	4	167	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	223
+	165	231
+	3	167	229	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	223
+	165	231
+	154	223
+	4	153	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	231
+	154	223
+	3	153	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	223
+	138	233
+	145	223
+	4	145	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	233
+	145	223
+	3	145	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	233
+	145	223
+	135	232
+	4	138	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	223
+	135	232
+	3	138	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	231
+	153	223
+	162	232
+	4	165	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	223
+	162	232
+	3	165	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	223
+	162	232
+	153	223
+	4	153	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	153	223
+	3	153	223	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	210
+	175	217
+	192	214
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	217
+	192	214
+	3	192	210	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	219
+	192	214
+	175	217
+	4	175	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	214
+	175	217
+	3	175	219	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	223
+	141	234
+	146	223
+	4	145	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	234
+	146	223
+	3	145	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	234
+	145	223
+	138	233
+	4	141	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	223
+	138	233
+	3	141	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	232
+	153	223
+	159	233
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	223
+	159	233
+	3	162	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	224
+	159	233
+	153	223
+	4	152	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	233
+	153	223
+	3	152	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	109
+	217	115
+	226	121
+	4	232	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	115
+	226	121
+	3	232	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	115
+	232	109
+	222	102
+	4	217	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	109
+	222	102
+	3	217	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	115
+	87	96
+	76	102
+	4	81	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	96
+	76	102
+	3	81	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	102
+	72	121
+	81	115
+	4	76	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	121
+	81	115
+	3	76	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	193
+	191	206
+	206	198
+	4	204	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	206
+	206	198
+	3	204	193	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	210
+	206	198
+	191	206
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	198
+	191	206
+	3	192	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	223
+	144	234
+	147	224
+	4	146	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	234
+	147	224
+	3	146	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	234
+	146	223
+	141	234
+	4	144	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	223
+	141	234
+	3	144	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	233
+	152	224
+	156	234
+	4	159	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	224
+	156	234
+	3	159	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	224
+	156	234
+	152	224
+	4	151	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	234
+	152	224
+	3	151	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	128
+	207	146
+	211	132
+	4	204	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	146
+	211	132
+	3	204	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	151
+	211	132
+	207	146
+	4	213	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	132
+	207	146
+	3	213	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	224
+	147	235
+	148	224
+	4	147	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	235
+	148	224
+	3	147	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	235
+	147	224
+	144	234
+	4	147	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	224
+	144	234
+	3	147	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	234
+	151	224
+	153	234
+	4	156	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	224
+	153	234
+	3	156	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	224
+	153	234
+	151	224
+	4	149	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	234
+	151	224
+	3	149	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	224
+	150	235
+	149	224
+	4	148	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	235
+	149	224
+	3	148	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	235
+	148	224
+	147	235
+	4	150	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	224
+	147	235
+	3	150	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	234
+	149	224
+	150	235
+	4	153	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	224
+	150	235
+	3	153	234	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	126
+	105	109
+	105	122
+	4	98	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	109
+	105	122
+	3	98	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	106
+	105	122
+	105	109
+	4	113	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	122
+	105	109
+	3	113	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	138
+	266	116
+	276	126
+	4	269	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	116
+	276	126
+	3	269	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	107
+	276	126
+	266	116
+	4	263	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	126
+	266	116
+	3	263	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	116
+	252	98
+	263	107
+	4	266	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	98
+	263	107
+	3	266	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	32	116
+	26	117
+	35	107
+	4	32	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	117
+	35	107
+	3	32	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	26	117
+	32	116
+	23	126
+	4	26	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	116
+	23	126
+	3	26	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	195
+	84	178
+	95	190
+	4	93	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	178
+	95	190
+	3	93	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	173
+	95	190
+	84	178
+	4	87	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	190
+	84	178
+	3	87	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	91
+	211	96
+	222	102
+	4	231	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	96
+	222	102
+	3	231	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	221
+	107	215
+	123	218
+	4	124	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	215
+	123	218
+	3	124	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	212
+	123	218
+	107	215
+	4	107	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	218
+	107	215
+	3	107	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	151
+	210	171
+	217	157
+	4	213	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	171
+	217	157
+	3	213	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	176
+	217	157
+	210	171
+	4	213	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	157
+	210	171
+	3	213	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	212
+	92	200
+	107	208
+	4	107	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	200
+	107	208
+	3	107	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	195
+	107	208
+	92	200
+	4	93	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	208
+	92	200
+	3	93	195	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	214
+	175	219
+	191	217
+	4	192	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	219
+	191	217
+	3	192	214	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	222
+	191	217
+	175	219
+	4	174	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	217
+	175	219
+	3	174	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	99
+	263	107
+	252	98
+	4	243	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	107
+	252	98
+	3	243	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	98
+	231	91
+	243	99
+	4	252	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	91
+	243	99
+	3	252	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	98
+	46	107
+	56	99
+	4	46	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	107
+	56	99
+	3	46	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	107
+	46	98
+	35	107
+	4	46	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	98
+	35	107
+	3	46	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	115
+	197	124
+	197	111
+	4	204	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	124
+	197	111
+	3	204	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	124
+	204	115
+	204	128
+	4	197	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	115
+	204	128
+	3	197	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	136
+	238	137
+	245	145
+	4	241	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	137
+	245	145
+	3	241	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	238	137
+	241	136
+	234	129
+	4	238	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	136
+	234	129
+	3	238	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	137
+	72	121
+	64	129
+	4	61	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	121
+	64	129
+	3	61	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	146
+	61	137
+	54	145
+	4	42	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	137
+	54	145
+	3	42	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	129
+	54	145
+	61	137
+	4	64	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	145
+	61	137
+	3	64	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	84	154
+	85	135
+	89	149
+	4	84	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	135
+	89	149
+	3	84	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	130
+	89	149
+	85	135
+	4	91	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	149
+	85	135
+	3	91	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	176
+	204	193
+	216	181
+	4	213	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	193
+	216	181
+	3	213	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	198
+	216	181
+	204	193
+	4	206	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	181
+	204	193
+	3	206	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	223
+	108	219
+	124	221
+	4	125	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	219
+	124	221
+	3	125	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	215
+	124	221
+	108	219
+	4	107	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	221
+	108	219
+	3	107	215	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	42	146
+	22	149
+	29	138
+	4	42	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	149
+	29	138
+	3	42	146	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	22	149
+	42	146
+	35	156
+	4	22	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	146
+	35	156
+	3	22	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	54	145
+	35	156
+	42	146
+	4	54	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	156
+	42	146
+	3	54	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	269	138
+	263	156
+	257	146
+	4	269	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	156
+	257	146
+	3	269	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	251	154
+	257	146
+	263	156
+	4	251	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	146
+	263	156
+	3	251	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	257	146
+	251	154
+	245	145
+	4	257	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	154
+	245	145
+	3	257	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	178
+	79	160
+	87	173
+	4	84	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	160
+	87	173
+	3	84	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	154
+	87	173
+	79	160
+	4	84	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	173
+	79	160
+	3	84	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	198
+	192	210
+	206	202
+	4	206	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	206	202
+	3	206	198	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	214
+	206	202
+	192	210
+	4	192	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	202
+	192	210
+	3	192	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	126
+	277	149
+	269	138
+	4	276	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	149
+	269	138
+	3	276	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	263	156
+	269	138
+	277	149
+	4	263	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	138
+	277	149
+	3	263	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	29	138
+	15	138
+	23	126
+	4	29	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	138
+	23	126
+	3	29	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	15	138
+	29	138
+	22	149
+	4	15	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	138
+	22	149
+	3	15	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	217
+	174	222
+	189	221
+	4	191	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	222
+	189	221
+	3	191	217	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	173	224
+	189	221
+	174	222
+	4	173	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	221
+	174	222
+	3	173	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	100
+	147	90
+	147	100
+	4	138	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	90
+	147	100
+	3	138	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	90
+	147	100
+	147	90
+	4	156	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	100
+	147	90
+	3	156	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	100
+	156	90
+	156	100
+	4	147	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	90
+	156	100
+	3	147	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	102
+	243	99
+	231	91
+	4	222	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	99
+	231	91
+	3	222	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	91
+	67	109
+	76	102
+	4	67	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	109
+	76	102
+	3	67	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	109
+	67	91
+	56	99
+	4	67	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	91
+	56	99
+	3	67	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	91
+	156	100
+	156	90
+	4	164	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	100
+	156	90
+	3	164	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	100
+	164	91
+	165	101
+	4	156	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	91
+	165	101
+	3	156	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	130
+	98	112
+	98	126
+	4	91	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	112
+	98	126
+	3	91	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	109
+	98	126
+	98	112
+	4	105	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	126
+	98	112
+	3	105	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	101
+	139	90
+	138	100
+	4	129	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	138	100
+	3	129	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	90
+	138	100
+	139	90
+	4	147	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	100
+	139	90
+	3	147	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	225
+	110	223
+	125	223
+	4	127	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	223
+	125	223
+	3	127	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	219
+	125	223
+	110	223
+	4	108	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	223
+	110	223
+	3	108	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	200
+	82	184
+	93	195
+	4	92	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	184
+	93	195
+	3	92	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	178
+	93	195
+	82	184
+	4	84	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	195
+	82	184
+	3	84	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	92
+	165	101
+	164	91
+	4	172	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	101
+	164	91
+	3	172	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	101
+	172	92
+	173	102
+	4	165	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	92
+	173	102
+	3	165	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	132
+	213	151
+	216	137
+	4	211	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	151
+	216	137
+	3	211	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	157
+	216	137
+	213	151
+	4	217	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	137
+	213	151
+	3	217	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	215
+	92	205
+	107	212
+	4	107	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	205
+	107	212
+	3	107	215	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	200
+	107	212
+	92	205
+	4	92	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	212
+	92	205
+	3	92	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	103
+	130	91
+	129	101
+	4	121	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	91
+	129	101
+	3	121	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	90
+	129	101
+	130	91
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	101
+	130	91
+	3	139	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	221
+	173	224
+	187	224
+	4	189	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	224
+	187	224
+	3	189	221	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	226
+	187	224
+	173	224
+	4	171	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	224
+	173	224
+	3	171	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	157
+	213	176
+	221	162
+	4	217	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	176
+	221	162
+	3	217	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	181
+	221	162
+	213	176
+	4	216	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	162
+	213	176
+	3	216	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	132
+	204	115
+	204	128
+	4	211	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	115
+	204	128
+	3	211	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	94
+	173	102
+	172	92
+	4	180	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	102
+	172	92
+	3	180	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	102
+	180	94
+	182	104
+	4	173	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	94
+	182	104
+	3	173	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	116
+	226	121
+	234	129
+	4	240	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	121
+	234	129
+	3	240	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	121
+	240	116
+	232	109
+	4	226	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	116
+	232	109
+	3	226	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	121
+	76	102
+	67	109
+	4	72	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	102
+	67	109
+	3	72	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	109
+	64	129
+	72	121
+	4	67	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	129
+	72	121
+	3	67	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	227
+	112	226
+	127	225
+	4	128	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	226
+	127	225
+	3	128	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	223
+	127	225
+	112	226
+	4	110	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	225
+	112	226
+	3	110	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	99
+	222	102
+	232	109
+	4	243	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	102
+	232	109
+	3	243	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	202
+	192	214
+	206	207
+	4	206	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	214
+	206	207
+	3	206	202	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	217
+	206	207
+	192	214
+	4	191	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	207
+	192	214
+	3	191	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	181
+	206	198
+	217	187
+	4	216	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	198
+	217	187
+	3	216	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	202
+	217	187
+	206	198
+	4	206	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	187
+	206	198
+	3	206	202	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	187	224
+	171	226
+	185	228
+	4	187	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	226
+	185	228
+	3	187	224	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	228
+	185	228
+	171	226
+	4	169	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	228
+	171	226
+	3	169	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	106
+	122	93
+	121	103
+	4	113	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	93
+	121	103
+	3	113	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	91
+	121	103
+	122	93
+	4	130	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	103
+	122	93
+	3	130	91	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	79	160
+	80	140
+	84	154
+	4	79	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	84	154
+	3	79	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	85	135
+	84	154
+	80	140
+	4	85	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	154
+	80	140
+	3	85	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	229
+	115	229
+	128	227
+	4	130	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	229
+	128	227
+	3	130	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	226
+	128	227
+	115	229
+	4	112	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	227
+	115	229
+	3	112	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	219
+	93	210
+	107	215
+	4	108	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	210
+	107	215
+	3	108	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	205
+	107	215
+	93	210
+	4	92	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	215
+	93	210
+	3	92	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	184
+	76	165
+	84	178
+	4	82	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	165
+	84	178
+	3	82	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	160
+	84	178
+	76	165
+	4	79	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	178
+	76	165
+	3	79	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	135
+	91	117
+	91	130
+	4	85	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	117
+	91	130
+	3	85	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	112
+	91	130
+	91	117
+	4	98	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	130
+	91	117
+	3	98	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	97
+	182	104
+	180	94
+	4	188	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	104
+	180	94
+	3	188	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	104
+	188	97
+	190	107
+	4	182	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	97
+	190	107
+	3	182	104	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	228
+	169	228
+	182	231
+	4	185	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	228
+	182	231
+	3	185	228	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	167	229
+	182	231
+	169	228
+	4	167	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	231
+	169	228
+	3	167	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	205
+	81	190
+	92	200
+	4	92	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	190
+	92	200
+	3	92	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	184
+	92	200
+	81	190
+	4	82	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	200
+	81	190
+	3	82	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	229
+	130	229
+	118	232
+	4	115	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	229
+	118	232
+	3	115	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	229
+	122	235
+	133	230
+	4	130	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	235
+	133	230
+	3	130	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	235
+	130	229
+	118	232
+	4	122	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	229
+	118	232
+	3	122	235	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	207
+	191	217
+	205	212
+	4	206	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	217
+	205	212
+	3	206	207	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	221
+	205	212
+	191	217
+	4	189	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	212
+	191	217
+	3	189	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	109
+	114	95
+	113	106
+	4	105	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	95
+	113	106
+	3	105	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	93
+	113	106
+	114	95
+	4	122	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	106
+	114	95
+	3	122	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	137
+	217	157
+	221	143
+	4	216	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	157
+	221	143
+	3	216	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	162
+	221	143
+	217	157
+	4	221	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	143
+	217	157
+	3	221	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	231
+	167	229
+	178	234
+	4	182	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	229
+	178	234
+	3	182	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	231
+	178	234
+	167	229
+	4	165	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	234
+	167	229
+	3	165	231	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	246	145
+	245	145
+	251	154
+	4	246	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	145
+	251	154
+	3	246	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	245	145
+	246	145
+	241	136
+	4	245	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	145
+	241	136
+	3	245	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	145
+	64	129
+	57	136
+	4	54	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	129
+	57	136
+	3	54	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	35	156
+	54	145
+	48	154
+	4	35	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	145
+	48	154
+	3	35	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	136
+	48	154
+	54	145
+	4	57	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	154
+	54	145
+	3	57	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	115
+	211	132
+	211	119
+	4	204	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	132
+	211	119
+	3	204	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	137
+	211	119
+	211	132
+	4	216	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	119
+	211	132
+	3	216	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	162
+	216	181
+	224	168
+	4	221	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	181
+	224	168
+	3	221	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	187
+	224	168
+	216	181
+	4	217	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	168
+	216	181
+	3	217	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	230
+	126	237
+	135	232
+	4	133	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	237
+	135	232
+	3	133	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	237
+	133	230
+	122	235
+	4	126	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	230
+	122	235
+	3	126	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	149
+	276	126
+	284	138
+	4	277	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	126
+	284	138
+	3	277	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	117
+	284	138
+	276	126
+	4	273	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	138
+	276	126
+	3	273	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	276	126
+	263	107
+	273	117
+	4	276	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	107
+	273	117
+	3	276	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	23	126
+	18	128
+	26	117
+	4	23	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	128
+	26	117
+	3	23	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	18	128
+	23	126
+	15	138
+	4	18	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	126
+	15	138
+	3	18	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	187
+	206	202
+	218	193
+	4	217	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	202
+	218	193
+	3	217	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	207
+	218	193
+	206	202
+	4	206	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	193
+	206	202
+	3	206	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	100
+	190	107
+	188	97
+	4	195	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	107
+	188	97
+	3	195	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	107
+	195	100
+	197	111
+	4	190	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	100
+	197	111
+	3	190	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	109
+	252	107
+	243	99
+	4	232	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	107
+	243	99
+	3	232	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	263	107
+	243	99
+	252	107
+	4	263	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	99
+	252	107
+	3	263	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	99
+	58	116
+	67	109
+	4	56	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	116
+	67	109
+	3	56	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	116
+	56	99
+	46	107
+	4	58	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	99
+	46	107
+	3	58	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	223
+	94	215
+	108	219
+	4	110	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	215
+	108	219
+	3	110	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	210
+	108	219
+	94	215
+	4	93	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	219
+	94	215
+	3	93	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	107
+	273	117
+	263	107
+	4	252	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	117
+	263	107
+	3	252	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	107
+	38	116
+	46	107
+	4	35	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	116
+	46	107
+	3	35	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	116
+	35	107
+	26	117
+	4	38	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	107
+	26	117
+	3	38	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	234
+	165	231
+	174	236
+	4	178	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	231
+	174	236
+	3	178	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	232
+	174	236
+	165	231
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	236
+	165	231
+	3	162	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	232
+	131	239
+	138	233
+	4	135	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	239
+	138	233
+	3	135	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	239
+	135	232
+	126	237
+	4	131	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	232
+	126	237
+	3	131	239	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	76	165
+	75	146
+	79	160
+	4	76	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	146
+	79	160
+	3	76	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	140
+	79	160
+	75	146
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	160
+	75	146
+	3	80	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	236
+	162	232
+	170	238
+	4	174	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	170	238
+	3	174	236	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	233
+	170	238
+	162	232
+	4	159	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	238
+	162	232
+	3	159	233	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	35	156
+	16	161
+	22	149
+	4	35	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	161
+	22	149
+	3	35	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	16	161
+	35	156
+	31	166
+	4	16	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	156
+	31	166
+	3	16	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	154
+	31	166
+	35	156
+	4	48	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	166
+	35	156
+	3	48	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	277	149
+	268	166
+	263	156
+	4	277	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	166
+	263	156
+	3	277	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	255	163
+	263	156
+	268	166
+	4	255	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	156
+	268	166
+	3	255	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	263	156
+	255	163
+	251	154
+	4	263	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	163
+	251	154
+	3	263	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	112
+	107	98
+	105	109
+	4	98	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	98
+	105	109
+	3	98	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	95
+	105	109
+	107	98
+	4	114	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	109
+	107	98
+	3	114	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	212
+	189	221
+	203	217
+	4	205	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	221
+	203	217
+	3	205	212	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	187	224
+	203	217
+	189	221
+	4	187	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	217
+	189	221
+	3	187	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	140
+	85	121
+	85	135
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	121
+	85	135
+	3	80	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	117
+	85	135
+	85	121
+	4	91	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	135
+	85	121
+	3	91	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	233
+	135	241
+	141	234
+	4	138	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	241
+	141	234
+	3	138	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	241
+	138	233
+	131	239
+	4	135	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	233
+	131	239
+	3	135	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	107
+	232	109
+	240	116
+	4	252	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	109
+	240	116
+	3	252	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	129
+	67	109
+	58	116
+	4	64	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	109
+	58	116
+	3	64	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	190
+	74	172
+	82	184
+	4	81	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	172
+	82	184
+	3	81	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	76	165
+	82	184
+	74	172
+	4	76	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	184
+	74	172
+	3	76	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	124
+	234	129
+	241	136
+	4	248	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	129
+	241	136
+	3	248	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	129
+	248	124
+	240	116
+	4	234	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	124
+	240	116
+	3	234	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	116
+	57	136
+	64	129
+	4	58	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	136
+	64	129
+	3	58	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	210
+	80	196
+	92	205
+	4	93	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	196
+	92	205
+	3	93	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	190
+	92	205
+	80	196
+	4	81	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	205
+	80	196
+	3	81	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	238
+	159	233
+	166	240
+	4	170	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	233
+	166	240
+	3	170	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	234
+	166	240
+	159	233
+	4	156	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	240
+	159	233
+	3	156	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	234
+	140	242
+	144	234
+	4	141	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	242
+	144	234
+	3	141	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	242
+	141	234
+	135	241
+	4	140	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	234
+	135	241
+	3	140	242	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	22	149
+	9	150
+	15	138
+	4	22	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	150
+	15	138
+	3	22	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	9	150
+	22	149
+	16	161
+	4	9	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	149
+	16	161
+	3	9	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	284	138
+	282	161
+	277	149
+	4	284	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	161
+	277	149
+	3	284	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	166
+	277	149
+	282	161
+	4	268	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	149
+	282	161
+	3	268	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	240
+	156	234
+	161	241
+	4	166	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	234
+	161	241
+	3	166	240	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	234
+	161	241
+	156	234
+	4	153	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	241
+	156	234
+	3	153	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	234
+	145	242
+	147	235
+	4	144	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	242
+	147	235
+	3	144	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	242
+	144	234
+	140	242
+	4	145	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	234
+	140	242
+	3	145	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	226
+	96	220
+	110	223
+	4	112	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	220
+	110	223
+	3	112	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	215
+	110	223
+	96	220
+	4	94	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	223
+	96	220
+	3	94	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	241
+	153	234
+	156	242
+	4	161	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	234
+	156	242
+	3	161	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	235
+	156	242
+	153	234
+	4	150	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	242
+	153	234
+	3	150	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	235
+	151	242
+	150	235
+	4	147	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	242
+	150	235
+	3	147	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	242
+	147	235
+	145	242
+	4	151	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	235
+	145	242
+	3	151	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	103
+	197	111
+	195	100
+	4	202	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	111
+	195	100
+	3	202	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	111
+	202	103
+	204	115
+	4	197	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	103
+	204	115
+	3	197	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	242
+	150	235
+	151	242
+	4	156	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	235
+	151	242
+	3	156	242	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	143
+	221	162
+	225	149
+	4	221	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	162
+	225	149
+	3	221	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	168
+	225	149
+	221	162
+	4	224	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	149
+	221	162
+	3	224	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	119
+	216	137
+	217	124
+	4	211	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	137
+	217	124
+	3	211	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	143
+	217	124
+	216	137
+	4	221	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	124
+	216	137
+	3	221	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	193
+	206	207
+	218	199
+	4	218	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	207
+	218	199
+	3	218	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	212
+	218	199
+	206	207
+	4	205	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	199
+	206	207
+	3	205	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	168
+	217	187
+	226	175
+	4	224	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	187
+	226	175
+	3	224	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	193
+	226	175
+	217	187
+	4	218	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	175
+	217	187
+	3	218	193	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	217
+	187	224
+	201	222
+	4	203	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	224
+	201	222
+	3	203	217	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	228
+	201	222
+	187	224
+	4	185	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	222
+	187	224
+	3	185	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	117
+	100	102
+	98	112
+	4	91	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	102
+	98	112
+	3	91	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	98
+	98	112
+	100	102
+	4	107	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	112
+	100	102
+	3	107	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	229
+	99	224
+	112	226
+	4	115	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	224
+	112	226
+	3	115	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	220
+	112	226
+	99	224
+	4	96	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	226
+	99	224
+	3	96	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	215
+	81	202
+	93	210
+	4	94	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	202
+	93	210
+	3	94	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	196
+	93	210
+	81	202
+	4	80	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	210
+	81	202
+	3	80	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	172
+	72	152
+	76	165
+	4	74	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	152
+	76	165
+	3	74	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	146
+	76	165
+	72	152
+	4	75	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	165
+	72	152
+	3	75	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	146
+	79	127
+	80	140
+	4	75	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	127
+	80	140
+	3	75	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	121
+	80	140
+	79	127
+	4	85	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	79	127
+	3	85	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	196
+	72	178
+	81	190
+	4	80	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	178
+	81	190
+	3	80	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	172
+	81	190
+	72	178
+	4	74	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	190
+	72	178
+	3	74	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	119
+	202	103
+	204	115
+	4	211	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	103
+	204	115
+	3	211	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	90
+	147	83
+	147	90
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	83
+	147	90
+	3	139	90	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	155	83
+	147	90
+	147	83
+	4	155	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	90
+	147	83
+	3	155	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	90
+	155	83
+	156	90
+	4	147	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	83
+	156	90
+	3	147	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	201	222
+	185	228
+	197	226
+	4	201	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	228
+	197	226
+	3	201	222	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	231
+	197	226
+	185	228
+	4	182	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	226
+	185	228
+	3	182	231	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	250	154
+	251	154
+	255	163
+	4	250	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	154
+	255	163
+	3	250	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	251	154
+	250	154
+	246	145
+	4	251	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	154
+	246	145
+	3	251	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	154
+	57	136
+	52	145
+	4	48	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	136
+	52	145
+	3	48	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	31	166
+	48	154
+	44	163
+	4	31	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	154
+	44	163
+	3	31	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	145
+	44	163
+	48	154
+	4	52	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	163
+	48	154
+	3	52	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	84
+	156	90
+	155	83
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	90
+	155	83
+	3	162	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	90
+	162	84
+	164	91
+	4	156	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	164	91
+	3	156	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	130	91
+	140	83
+	139	90
+	4	130	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	83
+	139	90
+	3	130	91	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	147	83
+	139	90
+	140	83
+	4	147	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	140	83
+	3	147	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	85
+	164	91
+	162	84
+	4	170	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	91
+	162	84
+	3	170	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	91
+	170	85
+	172	92
+	4	164	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	85
+	172	92
+	3	164	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	116
+	261	116
+	252	107
+	4	240	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	116
+	252	107
+	3	240	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	117
+	252	107
+	261	116
+	4	273	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	107
+	261	116
+	3	273	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	46	107
+	51	124
+	58	116
+	4	46	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	124
+	58	116
+	3	46	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	124
+	46	107
+	38	116
+	4	51	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	107
+	38	116
+	3	51	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	199
+	205	212
+	217	205
+	4	218	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	212
+	217	205
+	3	218	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	217
+	217	205
+	205	212
+	4	203	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	205
+	205	212
+	3	203	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	232
+	103	228
+	115	229
+	4	118	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	228
+	115	229
+	3	118	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	224
+	115	229
+	103	228
+	4	99	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	229
+	103	228
+	3	99	224	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	122	93
+	132	84
+	130	91
+	4	122	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	84
+	130	91
+	3	122	93	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	140	83
+	130	91
+	132	84
+	4	140	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	91
+	132	84
+	3	140	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	57	136
+	58	116
+	51	124
+	4	57	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	116
+	51	124
+	3	57	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	116
+	240	116
+	248	124
+	4	261	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	116
+	248	124
+	3	261	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	121
+	94	105
+	91	117
+	4	85	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	105
+	91	117
+	3	85	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	102
+	91	117
+	94	105
+	4	100	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	117
+	94	105
+	3	100	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	149
+	224	168
+	228	155
+	4	225	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	168
+	228	155
+	3	225	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	226	175
+	228	155
+	224	168
+	4	226	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	155
+	224	168
+	3	226	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	124
+	221	143
+	222	129
+	4	217	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	143
+	222	129
+	3	217	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	149
+	222	129
+	221	143
+	4	225	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	129
+	221	143
+	3	225	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	133
+	241	136
+	246	145
+	4	253	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	136
+	246	145
+	3	253	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	136
+	253	133
+	248	124
+	4	241	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	133
+	248	124
+	3	241	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	124
+	52	145
+	57	136
+	4	51	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	145
+	57	136
+	3	51	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	87
+	172	92
+	170	85
+	4	177	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	92
+	170	85
+	3	177	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	92
+	177	87
+	180	94
+	4	172	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	87
+	180	94
+	3	172	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	175
+	218	193
+	227	181
+	4	226	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	193
+	227	181
+	3	226	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	199
+	227	181
+	218	193
+	4	218	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	181
+	218	193
+	3	218	199	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	226
+	182	231
+	193	230
+	4	197	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	231
+	193	230
+	3	197	226	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	234
+	193	230
+	182	231
+	4	178	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	230
+	182	231
+	3	178	234	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	116
+	280	128
+	273	117
+	4	261	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	128
+	273	117
+	3	261	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	284	138
+	273	117
+	280	128
+	4	284	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	117
+	280	128
+	3	284	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	26	117
+	31	126
+	38	116
+	4	26	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	126
+	38	116
+	3	26	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	126
+	26	117
+	18	128
+	4	31	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	117
+	18	128
+	3	31	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	220
+	83	208
+	94	215
+	4	96	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	208
+	94	215
+	3	96	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	202
+	94	215
+	83	208
+	4	81	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	215
+	83	208
+	3	81	202	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	95
+	125	86
+	122	93
+	4	114	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	86
+	122	93
+	3	114	95	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	132	84
+	122	93
+	125	86
+	4	132	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	93
+	125	86
+	3	132	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	282	161
+	284	138
+	290	150
+	4	282	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	138
+	290	150
+	3	282	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	128
+	290	150
+	284	138
+	4	280	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	150
+	284	138
+	3	280	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	15	138
+	12	140
+	18	128
+	4	15	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	140
+	18	128
+	3	15	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	12	140
+	15	138
+	9	150
+	4	12	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	138
+	9	150
+	3	12	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	228
+	118	232
+	107	232
+	4	103	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	232
+	107	232
+	3	103	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	232
+	112	236
+	122	235
+	4	118	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	236
+	122	235
+	3	118	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	236
+	118	232
+	107	232
+	4	112	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	232
+	107	232
+	3	112	236	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	31	166
+	13	173
+	16	161
+	4	31	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	173
+	16	161
+	3	31	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	13	173
+	31	166
+	28	178
+	4	13	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	166
+	28	178
+	3	13	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	44	163
+	28	178
+	31	166
+	4	44	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	178
+	31	166
+	3	44	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	282	161
+	271	178
+	268	166
+	4	282	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	178
+	268	166
+	3	282	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	257	173
+	268	166
+	271	178
+	4	257	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	166
+	271	178
+	3	257	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	268	166
+	257	173
+	255	163
+	4	268	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	173
+	255	163
+	3	268	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	103
+	211	119
+	208	108
+	4	202	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	119
+	208	108
+	3	202	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	124
+	208	108
+	211	119
+	4	217	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	108
+	211	119
+	3	217	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	89
+	180	94
+	177	87
+	4	184	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	94
+	177	87
+	3	184	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	94
+	184	89
+	188	97
+	4	180	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	89
+	188	97
+	3	180	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	152
+	75	132
+	75	146
+	4	72	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	132
+	75	146
+	3	72	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	127
+	75	146
+	75	132
+	4	79	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	146
+	75	132
+	3	79	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	178
+	69	158
+	74	172
+	4	72	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	158
+	74	172
+	3	72	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	152
+	74	172
+	69	158
+	4	72	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	172
+	69	158
+	3	72	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	193	230
+	178	234
+	189	234
+	4	193	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	234
+	189	234
+	3	193	230	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	236
+	189	234
+	178	234
+	4	174	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	234
+	178	234
+	3	174	236	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	202
+	72	185
+	80	196
+	4	81	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	185
+	80	196
+	3	81	202	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	178
+	80	196
+	72	185
+	4	72	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	196
+	72	185
+	3	72	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	205
+	203	217
+	215	210
+	4	217	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	217
+	215	210
+	3	217	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	222
+	215	210
+	203	217
+	4	201	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	210
+	203	217
+	3	201	222	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	107	98
+	118	88
+	114	95
+	4	107	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	88
+	114	95
+	3	107	98	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	125	86
+	114	95
+	118	88
+	4	125	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	95
+	118	88
+	3	125	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	235
+	118	239
+	126	237
+	4	122	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	239
+	126	237
+	3	122	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	239
+	122	235
+	112	236
+	4	118	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	235
+	112	236
+	3	118	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	290	150
+	286	173
+	282	161
+	4	290	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	173
+	282	161
+	3	290	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	271	178
+	282	161
+	286	173
+	4	271	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	161
+	286	173
+	3	271	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	16	161
+	5	163
+	9	150
+	4	16	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	163
+	9	150
+	3	16	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	5	163
+	16	161
+	13	173
+	4	5	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	161
+	13	173
+	3	5	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	127
+	88	110
+	85	121
+	4	79	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	110
+	85	121
+	3	79	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	105
+	85	121
+	88	110
+	4	94	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	121
+	88	110
+	3	94	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	92
+	188	97
+	184	89
+	4	190	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	97
+	184	89
+	3	190	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	97
+	190	92
+	195	100
+	4	188	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	92
+	195	100
+	3	188	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	234
+	174	236
+	183	238
+	4	189	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	236
+	183	238
+	3	189	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	238
+	183	238
+	174	236
+	4	170	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	238
+	174	236
+	3	170	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	224
+	85	213
+	96	220
+	4	99	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	213
+	96	220
+	3	99	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	208
+	96	220
+	85	213
+	4	83	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	220
+	85	213
+	3	83	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	181
+	218	199
+	227	188
+	4	227	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	199
+	227	188
+	3	227	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	205
+	227	188
+	218	199
+	4	217	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	188
+	218	199
+	3	217	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	129
+	225	149
+	226	135
+	4	222	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	149
+	226	135
+	3	222	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	155
+	226	135
+	225	149
+	4	228	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	135
+	225	149
+	3	228	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	155
+	226	175
+	230	162
+	4	228	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	175
+	230	162
+	3	228	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	227	181
+	230	162
+	226	175
+	4	227	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	162
+	226	175
+	3	227	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	237
+	124	242
+	131	239
+	4	126	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	242
+	131	239
+	3	126	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	242
+	126	237
+	118	239
+	4	124	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	237
+	118	239
+	3	124	242	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	100	102
+	111	90
+	107	98
+	4	100	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	90
+	107	98
+	3	100	102	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	118	88
+	107	98
+	111	90
+	4	118	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	98
+	111	90
+	3	118	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	238
+	170	238
+	178	240
+	4	183	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	238
+	178	240
+	3	183	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	240
+	178	240
+	170	238
+	4	166	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	240
+	170	238
+	3	166	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	163
+	52	145
+	48	154
+	4	44	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	145
+	48	154
+	3	44	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	178
+	44	163
+	41	173
+	4	28	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	163
+	41	173
+	3	28	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	154
+	41	173
+	44	163
+	4	48	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	173
+	44	163
+	3	48	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	252	163
+	255	163
+	257	173
+	4	252	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	163
+	257	173
+	3	252	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	255	163
+	252	163
+	250	154
+	4	255	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	163
+	250	154
+	3	255	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	108
+	217	124
+	213	112
+	4	208	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	124
+	213	112
+	3	208	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	129
+	213	112
+	217	124
+	4	222	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	112
+	217	124
+	3	222	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	210
+	201	222
+	212	216
+	4	215	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	222
+	212	216
+	3	215	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	226
+	212	216
+	201	222
+	4	197	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	216
+	201	222
+	3	197	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	239
+	130	244
+	135	241
+	4	131	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	244
+	135	241
+	3	131	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	244
+	131	239
+	124	242
+	4	130	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	239
+	124	242
+	3	130	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	268	126
+	248	124
+	253	133
+	4	268	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	124
+	253	133
+	3	268	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	124
+	268	126
+	261	116
+	4	248	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	126
+	261	116
+	3	248	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	52	145
+	51	124
+	45	133
+	4	52	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	124
+	45	133
+	3	52	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	116
+	45	133
+	51	124
+	4	38	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	133
+	51	124
+	3	38	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	208
+	72	191
+	81	202
+	4	83	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	191
+	81	202
+	3	83	208	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	185
+	81	202
+	72	191
+	4	72	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	202
+	72	191
+	3	72	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	240
+	166	240
+	171	243
+	4	178	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	240
+	171	243
+	3	178	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	241
+	171	243
+	166	240
+	4	161	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	243
+	166	240
+	3	161	241	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	95
+	195	100
+	190	92
+	4	196	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	100
+	190	92
+	3	196	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	100
+	196	95
+	202	103
+	4	195	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	95
+	202	103
+	3	195	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	133
+	38	116
+	31	126
+	4	45	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	116
+	31	126
+	3	45	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	128
+	261	116
+	268	126
+	4	280	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	116
+	268	126
+	3	280	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	143
+	246	145
+	250	154
+	4	258	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	145
+	250	154
+	3	258	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	145
+	258	143
+	253	133
+	4	246	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	143
+	253	133
+	3	246	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	133
+	48	154
+	52	145
+	4	45	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	154
+	52	145
+	3	45	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	158
+	71	138
+	72	152
+	4	69	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	138
+	72	152
+	3	69	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	132
+	72	152
+	71	138
+	4	75	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	152
+	71	138
+	3	75	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	185
+	67	165
+	72	178
+	4	72	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	165
+	72	178
+	3	72	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	158
+	72	178
+	67	165
+	4	69	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	178
+	67	165
+	3	69	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	241
+	137	245
+	140	242
+	4	135	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	245
+	140	242
+	3	135	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	245
+	135	241
+	130	244
+	4	137	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	241
+	130	244
+	3	137	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	243
+	161	241
+	165	244
+	4	171	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	241
+	165	244
+	3	171	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	242
+	165	244
+	161	241
+	4	156	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	244
+	161	241
+	3	156	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	228
+	89	219
+	99	224
+	4	103	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	219
+	99	224
+	3	103	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	213
+	99	224
+	89	219
+	4	85	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	224
+	89	219
+	3	85	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	242
+	144	246
+	145	242
+	4	140	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	246
+	145	242
+	3	140	242	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	246
+	140	242
+	137	245
+	4	144	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	242
+	137	245
+	3	144	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	132
+	83	115
+	79	127
+	4	75	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	115
+	79	127
+	3	75	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	110
+	79	127
+	83	115
+	4	88	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	127
+	83	115
+	3	88	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	244
+	156	242
+	158	246
+	4	165	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	242
+	158	246
+	3	165	244	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	242
+	158	246
+	156	242
+	4	151	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	246
+	156	242
+	3	151	242	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	94	105
+	105	93
+	100	102
+	4	94	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	93
+	100	102
+	3	94	105	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	111	90
+	100	102
+	105	93
+	4	111	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	102
+	105	93
+	3	111	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	242
+	151	246
+	151	242
+	4	145	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	246
+	151	242
+	3	145	242	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	246
+	145	242
+	144	246
+	4	151	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	242
+	144	246
+	3	151	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	246
+	151	242
+	151	246
+	4	158	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	242
+	151	246
+	3	158	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	188
+	217	205
+	225	194
+	4	227	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	205
+	225	194
+	3	227	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	210
+	225	194
+	217	205
+	4	215	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	194
+	217	205
+	3	215	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	216
+	197	226
+	208	221
+	4	212	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	226
+	208	221
+	3	212	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	230
+	208	221
+	197	226
+	4	193	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	221
+	197	226
+	3	193	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	135
+	228	155
+	229	142
+	4	226	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	155
+	229	142
+	3	226	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	162
+	229	142
+	228	155
+	4	230	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	142
+	228	155
+	3	230	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	162
+	227	181
+	231	168
+	4	230	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	181
+	231	168
+	3	230	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	227	188
+	231	168
+	227	181
+	4	227	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	168
+	227	181
+	3	227	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	18	128
+	26	137
+	31	126
+	4	18	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	137
+	31	126
+	3	18	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	26	137
+	18	128
+	12	140
+	4	26	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	128
+	12	140
+	3	26	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	126
+	286	140
+	280	128
+	4	268	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	140
+	280	128
+	3	268	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	150
+	280	128
+	286	140
+	4	290	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	128
+	286	140
+	3	290	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	108
+	196	95
+	202	103
+	4	208	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	95
+	202	103
+	3	208	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	173
+	272	189
+	271	178
+	4	286	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	189
+	271	178
+	3	286	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	258	184
+	271	178
+	272	189
+	4	258	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	178
+	272	189
+	3	258	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	271	178
+	258	184
+	257	173
+	4	271	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	184
+	257	173
+	3	271	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	28	178
+	11	186
+	13	173
+	4	28	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	186
+	13	173
+	3	28	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	11	186
+	28	178
+	27	189
+	4	11	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	178
+	27	189
+	3	11	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	173
+	27	189
+	28	178
+	4	41	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	189
+	28	178
+	3	41	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	112
+	222	129
+	218	117
+	4	213	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	129
+	218	117
+	3	213	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	135
+	218	117
+	222	129
+	4	226	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	117
+	222	129
+	3	226	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	232
+	93	224
+	103	228
+	4	107	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	224
+	103	228
+	3	107	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	219
+	103	228
+	93	224
+	4	89	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	228
+	93	224
+	3	89	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	286	173
+	290	150
+	294	163
+	4	286	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	150
+	294	163
+	3	286	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	140
+	294	163
+	290	150
+	4	286	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	163
+	290	150
+	3	286	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	9	150
+	9	153
+	12	140
+	4	9	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	153
+	12	140
+	3	9	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	9	153
+	9	150
+	5	163
+	4	9	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	150
+	5	163
+	3	9	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	85	213
+	74	198
+	83	208
+	4	85	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	198
+	83	208
+	3	85	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	191
+	83	208
+	74	198
+	4	72	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	208
+	74	198
+	3	72	191	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	88	110
+	99	97
+	94	105
+	4	88	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	97
+	94	105
+	3	88	110	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	105	93
+	94	105
+	99	97
+	4	105	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	105
+	99	97
+	3	105	93	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	83
+	148	80
+	147	83
+	4	140	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	80
+	147	83
+	3	140	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	154	80
+	147	83
+	148	80
+	4	154	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	83
+	148	80
+	3	154	80	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	83
+	154	80
+	155	83
+	4	147	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	80
+	155	83
+	3	147	83	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	191
+	67	172
+	72	185
+	4	72	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	172
+	72	185
+	3	72	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	165
+	72	185
+	67	172
+	4	67	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	185
+	67	172
+	3	67	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	165
+	69	145
+	69	158
+	4	67	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	145
+	69	158
+	3	67	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	138
+	69	158
+	69	145
+	4	71	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	158
+	69	145
+	3	71	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	221
+	193	230
+	203	226
+	4	208	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	230
+	203	226
+	3	208	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	234
+	203	226
+	193	230
+	4	189	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	226
+	193	230
+	3	189	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	81
+	155	83
+	154	80
+	4	160	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	83
+	154	80
+	3	160	81	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	155	83
+	160	81
+	162	84
+	4	155	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	81
+	162	84
+	3	155	83	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	132	84
+	141	81
+	140	83
+	4	132	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	81
+	140	83
+	3	132	84	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	80
+	140	83
+	141	81
+	4	148	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	83
+	141	81
+	3	148	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	138
+	78	120
+	75	132
+	4	71	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	120
+	75	132
+	3	71	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	115
+	75	132
+	78	120
+	4	83	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	132
+	78	120
+	3	83	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	82
+	162	84
+	160	81
+	4	166	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	160	81
+	3	166	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	84
+	166	82
+	170	85
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	82
+	170	85
+	3	162	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	194
+	215	210
+	223	201
+	4	225	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	210
+	223	201
+	3	225	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	216
+	223	201
+	215	210
+	4	212	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	201
+	215	210
+	3	212	216	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	125	86
+	135	81
+	132	84
+	4	125	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	81
+	132	84
+	3	125	86	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	141	81
+	132	84
+	135	81
+	4	141	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	84
+	135	81
+	3	141	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	294	163
+	287	186
+	286	173
+	4	294	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	186
+	286	173
+	3	294	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	272	189
+	286	173
+	287	186
+	4	272	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	173
+	287	186
+	3	272	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	13	173
+	3	177
+	5	163
+	4	13	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	3	177
+	5	163
+	3	13	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	3	177
+	13	173
+	11	186
+	4	3	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	173
+	11	186
+	3	3	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	253	173
+	257	173
+	258	184
+	4	253	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	173
+	258	184
+	3	253	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	173
+	253	173
+	252	163
+	4	257	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	173
+	252	163
+	3	257	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	173
+	48	154
+	46	163
+	4	41	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	154
+	46	163
+	3	41	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	27	189
+	41	173
+	41	184
+	4	27	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	173
+	41	184
+	3	27	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	163
+	41	184
+	41	173
+	4	46	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	184
+	41	173
+	3	46	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	95
+	208	108
+	202	99
+	4	196	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	108
+	202	99
+	3	196	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	112
+	202	99
+	208	108
+	4	213	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	99
+	208	108
+	3	213	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	224
+	107	232
+	98	229
+	4	93	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	232
+	98	229
+	3	93	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	232
+	104	233
+	112	236
+	4	107	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	233
+	112	236
+	3	107	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	233
+	107	232
+	98	229
+	4	104	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	232
+	98	229
+	3	104	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	273	137
+	253	133
+	258	143
+	4	273	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	133
+	258	143
+	3	273	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	133
+	273	137
+	268	126
+	4	253	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	137
+	268	126
+	3	253	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	154
+	45	133
+	41	143
+	4	48	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	133
+	41	143
+	3	48	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	31	126
+	41	143
+	45	133
+	4	31	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	143
+	45	133
+	3	31	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	83
+	170	85
+	166	82
+	4	172	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	85
+	166	82
+	3	172	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	85
+	172	83
+	177	87
+	4	170	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	83
+	177	87
+	3	170	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	143
+	46	163
+	48	154
+	4	41	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	163
+	48	154
+	3	41	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	153
+	250	154
+	252	163
+	4	260	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	154
+	252	163
+	3	260	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	154
+	260	153
+	258	143
+	4	250	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	153
+	258	143
+	3	250	154	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	118	88
+	129	83
+	125	86
+	4	118	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	83
+	125	86
+	3	118	88	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	135	81
+	125	86
+	129	83
+	4	135	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	86
+	129	83
+	3	135	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	168
+	227	188
+	231	175
+	4	231	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	188
+	231	175
+	3	231	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	225	194
+	231	175
+	227	188
+	4	225	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	175
+	227	188
+	3	225	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	142
+	230	162
+	231	148
+	4	229	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	162
+	231	148
+	3	229	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	168
+	231	148
+	230	162
+	4	231	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	148
+	230	162
+	3	231	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	226
+	189	234
+	197	231
+	4	203	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	234
+	197	231
+	3	203	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	238
+	197	231
+	189	234
+	4	183	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	231
+	189	234
+	3	183	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	143
+	31	126
+	26	137
+	4	41	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	126
+	26	137
+	3	41	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	140
+	268	126
+	273	137
+	4	286	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	126
+	273	137
+	3	286	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	117
+	226	135
+	222	123
+	4	218	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	135
+	222	123
+	3	218	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	142
+	222	123
+	226	135
+	4	229	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	123
+	226	135
+	3	229	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	219
+	77	204
+	85	213
+	4	89	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	204
+	85	213
+	3	89	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	198
+	85	213
+	77	204
+	4	74	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	213
+	77	204
+	3	74	198	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	83	115
+	94	101
+	88	110
+	4	83	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	101
+	88	110
+	3	83	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	99	97
+	88	110
+	94	101
+	4	99	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	110
+	94	101
+	3	99	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	85
+	177	87
+	172	83
+	4	178	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	87
+	172	83
+	3	178	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	87
+	178	85
+	184	89
+	4	177	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	85
+	184	89
+	3	177	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	236
+	111	237
+	118	239
+	4	112	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	237
+	118	239
+	3	112	236	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	237
+	112	236
+	104	233
+	4	111	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	236
+	104	233
+	3	111	237	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	111	90
+	124	84
+	118	88
+	4	111	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	84
+	118	88
+	3	111	90	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	129	83
+	118	88
+	124	84
+	4	129	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	88
+	124	84
+	3	129	83	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	198
+	68	179
+	72	191
+	4	74	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	179
+	72	191
+	3	74	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	172
+	72	191
+	68	179
+	4	67	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	191
+	68	179
+	3	67	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	231
+	183	238
+	191	235
+	4	197	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	238
+	191	235
+	3	197	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	240
+	191	235
+	183	238
+	4	178	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	235
+	183	238
+	3	178	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	201
+	212	216
+	220	207
+	4	223	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	216
+	220	207
+	3	223	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	221
+	220	207
+	212	216
+	4	208	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	207
+	212	216
+	3	208	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	172
+	67	151
+	67	165
+	4	67	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	151
+	67	165
+	3	67	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	145
+	67	165
+	67	151
+	4	69	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	165
+	67	151
+	3	69	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	99
+	213	112
+	206	103
+	4	202	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	112
+	206	103
+	3	202	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	117
+	206	103
+	213	112
+	4	218	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	103
+	213	112
+	3	218	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	87
+	184	89
+	178	85
+	4	183	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	89
+	178	85
+	3	183	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	89
+	183	87
+	190	92
+	4	184	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	87
+	190	92
+	3	184	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	145
+	75	126
+	71	138
+	4	69	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	71	138
+	3	69	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	120
+	71	138
+	75	126
+	4	78	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	138
+	75	126
+	3	78	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	239
+	118	240
+	124	242
+	4	118	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	240
+	124	242
+	3	118	239	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	240
+	118	239
+	111	237
+	4	118	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	239
+	111	237
+	3	118	240	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	105	93
+	118	86
+	111	90
+	4	105	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	86
+	111	90
+	3	105	93	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	84
+	111	90
+	118	86
+	4	124	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	90
+	118	86
+	3	124	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	186
+	270	201
+	272	189
+	4	287	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	201
+	272	189
+	3	287	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	256	194
+	272	189
+	270	201
+	4	256	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	189
+	270	201
+	3	256	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	272	189
+	256	194
+	258	184
+	4	272	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	194
+	258	184
+	3	272	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	27	189
+	13	200
+	11	186
+	4	27	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	200
+	11	186
+	3	27	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	13	200
+	27	189
+	28	201
+	4	13	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	189
+	28	201
+	3	13	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	184
+	28	201
+	27	189
+	4	41	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	201
+	27	189
+	3	41	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	235
+	178	240
+	184	239
+	4	191	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	240
+	184	239
+	3	191	235	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	243
+	184	239
+	178	240
+	4	171	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	239
+	178	240
+	3	171	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	224
+	81	210
+	89	219
+	4	93	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	210
+	89	219
+	3	93	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	204
+	89	219
+	81	210
+	4	77	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	219
+	81	210
+	3	77	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	137
+	290	153
+	286	140
+	4	273	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	153
+	286	140
+	3	273	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	294	163
+	286	140
+	290	153
+	4	294	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	140
+	290	153
+	3	294	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	12	140
+	23	148
+	26	137
+	4	12	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	148
+	26	137
+	3	12	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	23	148
+	12	140
+	9	153
+	4	23	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	140
+	9	153
+	3	23	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	78	120
+	90	105
+	83	115
+	4	78	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	105
+	83	115
+	3	78	120	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	101
+	83	115
+	90	105
+	4	94	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	115
+	90	105
+	3	94	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	175
+	225	194
+	230	182
+	4	231	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	194
+	230	182
+	3	231	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	201
+	230	182
+	225	194
+	4	223	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	182
+	225	194
+	3	223	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	90
+	190	92
+	183	87
+	4	188	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	92
+	183	87
+	3	188	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	92
+	188	90
+	196	95
+	4	190	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	90
+	196	95
+	3	190	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	148
+	231	168
+	232	155
+	4	231	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	168
+	232	155
+	3	231	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	175
+	232	155
+	231	168
+	4	231	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	155
+	231	168
+	3	231	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	242
+	126	243
+	130	244
+	4	124	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	243
+	130	244
+	3	124	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	243
+	124	242
+	118	240
+	4	126	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	242
+	118	240
+	3	126	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	123
+	229	142
+	225	129
+	4	222	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	142
+	225	129
+	3	222	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	148
+	225	129
+	229	142
+	4	231	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	129
+	229	142
+	3	231	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	239
+	171	243
+	176	241
+	4	184	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	243
+	176	241
+	3	184	239	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	244
+	176	241
+	171	243
+	4	165	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	241
+	171	243
+	3	165	244	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	252	183
+	258	184
+	256	194
+	4	252	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	184
+	256	194
+	3	252	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	258	184
+	252	183
+	253	173
+	4	258	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	183
+	253	173
+	3	258	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	184
+	46	163
+	46	173
+	4	41	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	163
+	46	173
+	3	41	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	201
+	41	184
+	42	194
+	4	28	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	184
+	42	194
+	3	28	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	173
+	42	194
+	41	184
+	4	46	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	194
+	41	184
+	3	46	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	207
+	208	221
+	215	213
+	4	220	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	221
+	215	213
+	3	220	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	226
+	215	213
+	208	221
+	4	203	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	213
+	208	221
+	3	203	226	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	99	97
+	113	89
+	105	93
+	4	99	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	89
+	105	93
+	3	99	97	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	118	86
+	105	93
+	113	89
+	4	118	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	93
+	113	89
+	3	118	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	287	186
+	294	163
+	295	177
+	4	287	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	163
+	295	177
+	3	287	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	163
+	252	163
+	253	173
+	4	261	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	163
+	253	173
+	3	261	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	163
+	261	163
+	260	153
+	4	252	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	163
+	260	153
+	3	252	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	153
+	295	177
+	294	163
+	4	290	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	295	177
+	294	163
+	3	290	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	46	163
+	41	143
+	38	153
+	4	46	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	143
+	38	153
+	3	46	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	153
+	46	173
+	46	163
+	4	38	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	173
+	46	163
+	3	38	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	5	163
+	7	166
+	9	153
+	4	5	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	166
+	9	153
+	3	5	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	7	166
+	5	163
+	3	177
+	4	7	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	163
+	3	177
+	3	7	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	26	137
+	38	153
+	41	143
+	4	26	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	153
+	41	143
+	3	26	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	276	148
+	258	143
+	260	153
+	4	276	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	143
+	260	153
+	3	276	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	258	143
+	276	148
+	273	137
+	4	258	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	148
+	273	137
+	3	258	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	244
+	134	244
+	137	245
+	4	130	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	244
+	137	245
+	3	130	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	244
+	130	244
+	126	243
+	4	134	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	244
+	126	243
+	3	134	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	103
+	218	117
+	211	107
+	4	206	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	117
+	211	107
+	3	206	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	123
+	211	107
+	218	117
+	4	222	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	107
+	218	117
+	3	222	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	77	204
+	69	185
+	74	198
+	4	77	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	185
+	74	198
+	3	77	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	179
+	74	198
+	69	185
+	4	68	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	198
+	69	185
+	3	68	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	241
+	165	244
+	168	244
+	4	176	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	244
+	168	244
+	3	176	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	246
+	168	244
+	165	244
+	4	158	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	244
+	165	244
+	3	158	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	245
+	143	245
+	144	246
+	4	137	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	245
+	144	246
+	3	137	245	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	245
+	137	245
+	134	244
+	4	143	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	245
+	134	244
+	3	143	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	179
+	66	158
+	67	172
+	4	68	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	67	172
+	3	68	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	151
+	67	172
+	66	158
+	4	67	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	172
+	66	158
+	3	67	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	99
+	188	90
+	196	95
+	4	202	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	90
+	196	95
+	3	202	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	151
+	73	132
+	69	145
+	4	67	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	132
+	69	145
+	3	67	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	126
+	69	145
+	73	132
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	145
+	73	132
+	3	75	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	244
+	158	246
+	160	245
+	4	168	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	246
+	160	245
+	3	168	244	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	246
+	160	245
+	158	246
+	4	151	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	245
+	158	246
+	3	151	246	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	229
+	86	216
+	93	224
+	4	98	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	216
+	93	224
+	3	98	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	210
+	93	224
+	86	216
+	4	81	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	224
+	86	216
+	3	81	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	246
+	151	245
+	151	246
+	4	144	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	245
+	151	246
+	3	144	246	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	245
+	144	246
+	143	245
+	4	151	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	246
+	143	245
+	3	151	245	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	245
+	151	246
+	151	245
+	4	160	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	246
+	151	245
+	3	160	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	295	177
+	286	200
+	287	186
+	4	295	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	200
+	287	186
+	3	295	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	270	201
+	287	186
+	286	200
+	4	270	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	186
+	286	200
+	3	270	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	11	186
+	4	191
+	3	177
+	4	11	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	4	191
+	3	177
+	3	11	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	4	191
+	11	186
+	13	200
+	4	4	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	186
+	13	200
+	3	4	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	153
+	26	137
+	23	148
+	4	38	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	137
+	23	148
+	3	38	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	153
+	273	137
+	276	148
+	4	290	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	137
+	276	148
+	3	290	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	75	126
+	86	110
+	78	120
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	110
+	78	120
+	3	75	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	90	105
+	78	120
+	86	110
+	4	90	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	120
+	86	110
+	3	90	105	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	94	101
+	108	92
+	99	97
+	4	94	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	92
+	99	97
+	3	94	101	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	113	89
+	99	97
+	108	92
+	4	113	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	97
+	108	92
+	3	113	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	182
+	223	201
+	228	189
+	4	230	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	201
+	228	189
+	3	230	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	207
+	228	189
+	223	201
+	4	220	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	189
+	223	201
+	3	220	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	213
+	203	226
+	210	219
+	4	215	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	226
+	210	219
+	3	215	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	231
+	210	219
+	203	226
+	4	197	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	219
+	203	226
+	3	197	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	155
+	231	175
+	232	161
+	4	232	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	175
+	232	161
+	3	232	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	182
+	232	161
+	231	175
+	4	230	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	161
+	231	175
+	3	230	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	129
+	231	148
+	227	135
+	4	225	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	148
+	227	135
+	3	225	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	155
+	227	135
+	231	148
+	4	232	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	135
+	231	148
+	3	232	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	90
+	202	99
+	192	93
+	4	188	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	99
+	192	93
+	3	188	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	103
+	192	93
+	202	99
+	4	206	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	93
+	202	99
+	3	206	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	107
+	222	123
+	214	112
+	4	211	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	123
+	214	112
+	3	211	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	129
+	214	112
+	222	123
+	4	225	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	112
+	222	123
+	3	225	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	216
+	98	229
+	91	221
+	4	86	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	229
+	91	221
+	3	86	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	229
+	98	226
+	104	233
+	4	98	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	226
+	104	233
+	3	98	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	226
+	98	229
+	91	221
+	4	98	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	229
+	91	221
+	3	98	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	81	210
+	72	192
+	77	204
+	4	81	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	192
+	77	204
+	3	81	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	185
+	77	204
+	72	192
+	4	69	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	204
+	72	192
+	3	69	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	81
+	148	82
+	148	80
+	4	141	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	82
+	148	80
+	3	141	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	82
+	148	80
+	148	82
+	4	153	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	80
+	148	82
+	3	153	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	80
+	153	82
+	154	80
+	4	148	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	82
+	154	80
+	3	148	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	82
+	154	80
+	153	82
+	4	157	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	80
+	153	82
+	3	157	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	80
+	157	82
+	160	81
+	4	154	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	82
+	160	81
+	3	154	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	81
+	144	82
+	141	81
+	4	135	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	82
+	141	81
+	3	135	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	82
+	141	81
+	144	82
+	4	148	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	81
+	144	82
+	3	148	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	83
+	160	81
+	157	82
+	4	161	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	81
+	157	82
+	3	161	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	81
+	161	83
+	166	82
+	4	160	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	83
+	166	82
+	3	160	81	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	90	105
+	104	95
+	94	101
+	4	90	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	95
+	94	101
+	3	90	105	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	108	92
+	94	101
+	104	95
+	4	108	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	101
+	104	95
+	3	108	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	200
+	267	213
+	270	201
+	4	286	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	213
+	270	201
+	3	286	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	253	204
+	270	201
+	267	213
+	4	253	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	201
+	267	213
+	3	253	204	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	270	201
+	253	204
+	256	194
+	4	270	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	204
+	256	194
+	3	270	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	28	201
+	16	213
+	13	200
+	4	28	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	213
+	13	200
+	3	28	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	16	213
+	28	201
+	32	213
+	4	16	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	201
+	32	213
+	3	16	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	194
+	32	213
+	28	201
+	4	42	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	213
+	28	201
+	3	42	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	185
+	67	165
+	68	179
+	4	69	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	165
+	68	179
+	3	69	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	158
+	68	179
+	67	165
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	179
+	67	165
+	3	66	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	158
+	71	138
+	67	151
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	138
+	67	151
+	3	66	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	132
+	67	151
+	71	138
+	4	73	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	151
+	71	138
+	3	73	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	129	83
+	139	83
+	135	81
+	4	129	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	83
+	135	81
+	3	129	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	82
+	135	81
+	139	83
+	4	144	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	81
+	139	83
+	3	144	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	219
+	197	231
+	204	224
+	4	210	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	231
+	204	224
+	3	210	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	235
+	204	224
+	197	231
+	4	191	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	224
+	197	231
+	3	191	235	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	84
+	166	82
+	161	83
+	4	166	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	82
+	161	83
+	3	166	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	82
+	166	84
+	172	83
+	4	166	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	84
+	172	83
+	3	166	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	132
+	83	115
+	75	126
+	4	73	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	115
+	75	126
+	3	73	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	86	110
+	75	126
+	83	115
+	4	86	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	83	115
+	3	86	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	173
+	253	173
+	252	183
+	4	259	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	173
+	252	183
+	3	259	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	173
+	259	173
+	261	163
+	4	253	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	173
+	261	163
+	3	253	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	46	173
+	38	153
+	38	163
+	4	46	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	153
+	38	163
+	3	46	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	194
+	46	173
+	47	183
+	4	42	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	173
+	47	183
+	3	42	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	163
+	47	183
+	46	173
+	4	38	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	183
+	46	173
+	3	38	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	32	213
+	42	194
+	45	204
+	4	32	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	194
+	45	204
+	3	32	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	47	183
+	45	204
+	42	194
+	4	47	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	204
+	42	194
+	3	47	183	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	248	192
+	256	194
+	253	204
+	4	248	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	194
+	253	204
+	3	248	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	256	194
+	248	192
+	252	183
+	4	256	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	192
+	252	183
+	3	256	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	189
+	220	207
+	224	195
+	4	228	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	207
+	224	195
+	3	228	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	213
+	224	195
+	220	207
+	4	215	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	195
+	220	207
+	3	215	213	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	124	84
+	135	84
+	129	83
+	4	124	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	84
+	129	83
+	3	124	84	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	83
+	129	83
+	135	84
+	4	139	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	83
+	135	84
+	3	139	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	93
+	206	103
+	196	97
+	4	192	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	103
+	196	97
+	3	192	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	107
+	196	97
+	206	103
+	4	211	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	97
+	206	103
+	3	211	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	276	148
+	291	166
+	290	153
+	4	276	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	166
+	290	153
+	3	276	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	295	177
+	290	153
+	291	166
+	4	295	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	153
+	291	166
+	3	295	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	9	153
+	22	160
+	23	148
+	4	9	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	160
+	23	148
+	3	9	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	22	160
+	9	153
+	7	166
+	4	22	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	153
+	7	166
+	3	22	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	277	160
+	260	153
+	261	163
+	4	277	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	153
+	261	163
+	3	277	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	260	153
+	277	160
+	276	148
+	4	260	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	160
+	276	148
+	3	260	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	148
+	38	163
+	38	153
+	4	23	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	163
+	38	153
+	3	23	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	233
+	106	231
+	111	237
+	4	104	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	231
+	111	237
+	3	104	233	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	231
+	104	233
+	98	226
+	4	106	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	233
+	98	226
+	3	106	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	86
+	172	83
+	166	84
+	4	170	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	83
+	166	84
+	3	170	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	83
+	170	86
+	178	85
+	4	172	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	86
+	178	85
+	3	172	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	161
+	230	182
+	231	168
+	4	232	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	182
+	231	168
+	3	232	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	189
+	231	168
+	230	182
+	4	228	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	168
+	230	182
+	3	228	189	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	86
+	131	85
+	124	84
+	4	118	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	85
+	124	84
+	3	118	86	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	135	84
+	124	84
+	131	85
+	4	135	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	84
+	131	85
+	3	135	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	135
+	232	155
+	228	141
+	4	227	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	155
+	228	141
+	3	227	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	161
+	228	141
+	232	155
+	4	232	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	141
+	232	155
+	3	232	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	224
+	191	235
+	197	228
+	4	204	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	235
+	197	228
+	3	204	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	239
+	197	228
+	191	235
+	4	184	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	228
+	191	235
+	3	184	239	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	112
+	225	129
+	216	117
+	4	214	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	129
+	216	117
+	3	214	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	135
+	216	117
+	225	129
+	4	227	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	117
+	225	129
+	3	227	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	86	216
+	76	199
+	81	210
+	4	86	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	199
+	81	210
+	3	86	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	192
+	81	210
+	76	199
+	4	72	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	210
+	76	199
+	3	72	192	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	86	110
+	101	98
+	90	105
+	4	86	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	98
+	90	105
+	3	86	110	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	104	95
+	90	105
+	101	98
+	4	104	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	105
+	101	98
+	3	104	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	87
+	178	85
+	170	86
+	4	173	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	85
+	170	86
+	3	173	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	85
+	173	87
+	183	87
+	4	178	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	87
+	183	87
+	3	178	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	286	200
+	295	177
+	294	191
+	4	286	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	295	177
+	294	191
+	3	286	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	291	166
+	294	191
+	295	177
+	4	291	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	191
+	295	177
+	3	291	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	3	177
+	9	179
+	7	166
+	4	3	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	179
+	7	166
+	3	3	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	9	179
+	3	177
+	4	191
+	4	9	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	3	177
+	4	191
+	3	9	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	237
+	114	234
+	118	240
+	4	111	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	234
+	118	240
+	3	111	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	234
+	111	237
+	106	231
+	4	114	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	237
+	106	231
+	3	114	234	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	113	89
+	127	86
+	118	86
+	4	113	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	86
+	118	86
+	3	113	89	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	131	85
+	118	86
+	127	86
+	4	131	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	86
+	127	86
+	3	131	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	291	166
+	276	148
+	277	160
+	4	291	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	148
+	277	160
+	3	291	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	38	163
+	23	148
+	22	160
+	4	38	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	148
+	22	160
+	3	38	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	192
+	69	172
+	69	185
+	4	72	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	172
+	69	185
+	3	72	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	165
+	69	185
+	69	172
+	4	67	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	185
+	69	172
+	3	67	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	294	191
+	282	213
+	286	200
+	4	294	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	213
+	286	200
+	3	294	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	213
+	286	200
+	282	213
+	4	267	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	200
+	282	213
+	3	267	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	13	200
+	8	205
+	4	191
+	4	13	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	8	205
+	4	191
+	3	13	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	8	205
+	13	200
+	16	213
+	4	8	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	200
+	16	213
+	3	8	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	97
+	211	107
+	199	100
+	4	196	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	107
+	199	100
+	3	196	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	112
+	199	100
+	211	107
+	4	214	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	100
+	211	107
+	3	214	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	165
+	71	144
+	66	158
+	4	67	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	144
+	66	158
+	3	67	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	138
+	66	158
+	71	144
+	4	71	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	71	144
+	3	71	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	89
+	183	87
+	173	87
+	4	177	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	87
+	173	87
+	3	177	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	87
+	177	89
+	188	90
+	4	183	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	89
+	188	90
+	3	183	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	228
+	184	239
+	189	232
+	4	197	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	239
+	189	232
+	3	197	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	241
+	189	232
+	184	239
+	4	176	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	232
+	184	239
+	3	176	241	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	195
+	215	213
+	220	202
+	4	224	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	213
+	220	202
+	3	224	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	219
+	220	202
+	215	213
+	4	210	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	202
+	215	213
+	3	210	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	138
+	81	120
+	73	132
+	4	71	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	120
+	73	132
+	3	71	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	83	115
+	73	132
+	81	120
+	4	83	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	132
+	81	120
+	3	83	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	240
+	123	237
+	126	243
+	4	118	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	237
+	126	243
+	3	118	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	237
+	118	240
+	114	234
+	4	123	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	240
+	114	234
+	3	123	237	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	108	92
+	123	88
+	113	89
+	4	108	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	88
+	113	89
+	3	108	92	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	127	86
+	113	89
+	123	88
+	4	127	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	89
+	123	88
+	3	127	86	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	83	115
+	98	102
+	86	110
+	4	83	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	102
+	86	110
+	3	83	115	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	101	98
+	86	110
+	98	102
+	4	101	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	110
+	98	102
+	3	101	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	232
+	176	241
+	180	236
+	4	189	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	241
+	180	236
+	3	189	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	244
+	180	236
+	176	241
+	4	168	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	236
+	176	241
+	3	168	244	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	91	221
+	81	205
+	86	216
+	4	91	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	205
+	86	216
+	3	91	221	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	199
+	86	216
+	81	205
+	4	76	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	216
+	81	205
+	3	76	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	168
+	228	189
+	228	175
+	4	231	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	189
+	228	175
+	3	231	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	195
+	228	175
+	228	189
+	4	224	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	175
+	228	189
+	3	224	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	93
+	177	89
+	188	90
+	4	192	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	89
+	188	90
+	3	192	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	117
+	227	135
+	218	123
+	4	216	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	135
+	218	123
+	3	216	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	141
+	218	123
+	227	135
+	4	228	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	123
+	227	135
+	3	228	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	141
+	232	161
+	228	147
+	4	228	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	161
+	228	147
+	3	228	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	168
+	228	147
+	232	161
+	4	231	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	147
+	232	161
+	3	231	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	243
+	132	239
+	134	244
+	4	126	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	239
+	134	244
+	3	126	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	239
+	126	243
+	123	237
+	4	132	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	243
+	123	237
+	3	132	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	47	183
+	38	163
+	39	173
+	4	47	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	163
+	39	173
+	3	47	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	204
+	47	183
+	50	192
+	4	45	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	183
+	50	192
+	3	45	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	173
+	50	192
+	47	183
+	4	39	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	192
+	47	183
+	3	39	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	184
+	252	183
+	248	192
+	4	256	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	183
+	248	192
+	3	256	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	183
+	256	184
+	259	173
+	4	252	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	184
+	259	173
+	3	252	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	282	213
+	261	224
+	267	213
+	4	282	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	224
+	267	213
+	3	282	213	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	248	214
+	267	213
+	261	224
+	4	248	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	213
+	261	224
+	3	248	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	267	213
+	248	214
+	253	204
+	4	267	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	214
+	253	204
+	3	267	213	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	32	213
+	23	226
+	16	213
+	4	32	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	226
+	16	213
+	3	32	213	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	23	226
+	32	213
+	37	224
+	4	23	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	213
+	37	224
+	3	23	226	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	204
+	37	224
+	32	213
+	4	45	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	224
+	32	213
+	3	45	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	37	224
+	45	204
+	51	214
+	4	37	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	204
+	51	214
+	3	37	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	192
+	51	214
+	45	204
+	4	50	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	214
+	45	204
+	3	50	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	202
+	253	204
+	248	214
+	4	243	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	204
+	248	214
+	3	243	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	253	204
+	243	202
+	248	192
+	4	253	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	202
+	248	192
+	3	253	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	236
+	168	244
+	171	238
+	4	180	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	244
+	171	238
+	3	180	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	245
+	171	238
+	168	244
+	4	160	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	238
+	168	244
+	3	160	245	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	95
+	120	90
+	108	92
+	4	104	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	90
+	108	92
+	3	104	95	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	123	88
+	108	92
+	120	90
+	4	123	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	92
+	120	90
+	3	123	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	100
+	214	112
+	202	104
+	4	199	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	112
+	202	104
+	3	199	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	117
+	202	104
+	214	112
+	4	216	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	104
+	214	112
+	3	216	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	244
+	142	240
+	143	245
+	4	134	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	240
+	143	245
+	3	134	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	240
+	134	244
+	132	239
+	4	142	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	244
+	132	239
+	3	142	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	275	172
+	261	163
+	259	173
+	4	275	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	163
+	259	173
+	3	275	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	163
+	275	172
+	277	160
+	4	261	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	172
+	277	160
+	3	261	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	22	160
+	39	173
+	38	163
+	4	22	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	173
+	38	163
+	3	22	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	202
+	210	219
+	214	208
+	4	220	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	219
+	214	208
+	3	220	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	224
+	214	208
+	210	219
+	4	204	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	208
+	210	219
+	3	204	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	238
+	160	245
+	161	239
+	4	171	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	245
+	161	239
+	3	171	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	245
+	161	239
+	160	245
+	4	151	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	239
+	160	245
+	3	151	245	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	245
+	152	240
+	151	245
+	4	143	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	240
+	151	245
+	3	143	245	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	240
+	143	245
+	142	240
+	4	152	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	245
+	142	240
+	3	152	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	199
+	72	178
+	72	192
+	4	76	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	178
+	72	192
+	3	76	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	172
+	72	192
+	72	178
+	4	69	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	192
+	72	178
+	3	69	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	239
+	151	245
+	152	240
+	4	161	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	245
+	152	240
+	3	161	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	89
+	192	93
+	180	91
+	4	177	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	93
+	180	91
+	3	177	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	97
+	180	91
+	192	93
+	4	196	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	91
+	192	93
+	3	196	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	144
+	80	125
+	71	138
+	4	71	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	125
+	71	138
+	3	71	144	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	81	120
+	71	138
+	80	125
+	4	81	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	138
+	80	125
+	3	81	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	172
+	71	150
+	67	165
+	4	69	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	150
+	67	165
+	3	69	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	144
+	67	165
+	71	150
+	4	71	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	165
+	71	150
+	3	71	144	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	81	120
+	95	106
+	83	115
+	4	81	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	106
+	83	115
+	3	81	120	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	98	102
+	83	115
+	95	106
+	4	98	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	115
+	95	106
+	3	98	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	205
+	91	221
+	88	210
+	4	81	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	221
+	88	210
+	3	81	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	221
+	95	215
+	98	226
+	4	91	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	215
+	98	226
+	3	91	221	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	215
+	91	221
+	88	210
+	4	95	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	221
+	88	210
+	3	95	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	277	160
+	290	179
+	291	166
+	4	277	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	179
+	291	166
+	3	277	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	294	191
+	291	166
+	290	179
+	4	294	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	166
+	290	179
+	3	294	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	7	166
+	23	172
+	22	160
+	4	7	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	172
+	22	160
+	3	7	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	23	172
+	7	166
+	9	179
+	4	23	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	166
+	9	179
+	3	23	172	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	101	98
+	117	92
+	104	95
+	4	101	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	92
+	104	95
+	3	101	98	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	120	90
+	104	95
+	117	92
+	4	120	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	95
+	117	92
+	3	120	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	175
+	224	195
+	225	181
+	4	228	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	195
+	225	181
+	3	228	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	202
+	225	181
+	224	195
+	4	220	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	181
+	224	195
+	3	220	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	123
+	228	141
+	219	128
+	4	218	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	141
+	219	128
+	3	218	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	147
+	219	128
+	228	141
+	4	228	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	128
+	228	141
+	3	228	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	147
+	231	168
+	226	154
+	4	228	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	168
+	226	154
+	3	228	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	175
+	226	154
+	231	168
+	4	228	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	154
+	231	168
+	3	228	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	91
+	196	97
+	183	94
+	4	180	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	97
+	183	94
+	3	180	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	100
+	183	94
+	196	97
+	4	199	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	94
+	196	97
+	3	199	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	208
+	204	224
+	207	213
+	4	214	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	224
+	207	213
+	3	214	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	228
+	207	213
+	204	224
+	4	197	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	213
+	204	224
+	3	197	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	104
+	216	117
+	204	108
+	4	202	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	117
+	204	108
+	3	202	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	123
+	204	108
+	216	117
+	4	218	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	108
+	216	117
+	3	218	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	82
+	149	88
+	148	82
+	4	144	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	88
+	148	82
+	3	144	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	89
+	148	82
+	149	88
+	4	151	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	82
+	149	88
+	3	151	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	82
+	151	89
+	153	82
+	4	148	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	89
+	153	82
+	3	148	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	179
+	277	160
+	275	172
+	4	290	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	160
+	275	172
+	3	290	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	173
+	22	160
+	23	172
+	4	39	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	160
+	23	172
+	3	39	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	89
+	153	82
+	151	89
+	4	153	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	82
+	151	89
+	3	153	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	82
+	153	89
+	157	82
+	4	153	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	89
+	157	82
+	3	153	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	83
+	146	89
+	144	82
+	4	139	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	89
+	144	82
+	3	139	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	88
+	144	82
+	146	89
+	4	149	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	82
+	146	89
+	3	149	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	4	191
+	12	192
+	9	179
+	4	4	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	192
+	9	179
+	3	4	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	12	192
+	4	191
+	8	205
+	4	12	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	4	191
+	8	205
+	3	12	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	282	213
+	294	191
+	290	205
+	4	282	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	191
+	290	205
+	3	282	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	179
+	290	205
+	294	191
+	4	290	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	205
+	294	191
+	3	290	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	89
+	157	82
+	153	89
+	4	156	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	82
+	153	89
+	3	156	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	82
+	156	89
+	161	83
+	4	157	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	89
+	161	83
+	3	157	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	84
+	144	89
+	139	83
+	4	135	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	89
+	139	83
+	3	135	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	89
+	139	83
+	144	89
+	4	146	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	83
+	144	89
+	3	146	89	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	98	102
+	115	95
+	101	98
+	4	98	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	101	98
+	3	98	102	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	117	92
+	101	98
+	115	95
+	4	117	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	98
+	115	95
+	3	117	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	226
+	103	220
+	106	231
+	4	98	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	220
+	106	231
+	3	98	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	220
+	98	226
+	95	215
+	4	103	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	226
+	95	215
+	3	103	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	290	205
+	276	226
+	282	213
+	4	290	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	226
+	282	213
+	3	290	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	224
+	282	213
+	276	226
+	4	261	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	213
+	276	226
+	3	261	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	16	213
+	15	218
+	8	205
+	4	16	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	218
+	8	205
+	3	16	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	15	218
+	16	213
+	23	226
+	4	15	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	213
+	23	226
+	3	15	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	205
+	76	185
+	76	199
+	4	81	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	185
+	76	199
+	3	81	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	178
+	76	199
+	76	185
+	4	72	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	199
+	76	185
+	3	72	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	90
+	161	83
+	156	89
+	4	158	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	83
+	156	89
+	3	158	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	83
+	158	90
+	166	84
+	4	161	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	90
+	166	84
+	3	161	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	150
+	79	131
+	71	144
+	4	71	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	131
+	71	144
+	3	71	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	80	125
+	71	144
+	79	131
+	4	80	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	144
+	79	131
+	3	80	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	85
+	142	89
+	135	84
+	4	131	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	89
+	135	84
+	3	131	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	89
+	135	84
+	142	89
+	4	144	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	84
+	142	89
+	3	144	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	251	194
+	248	192
+	243	202
+	4	251	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	192
+	243	202
+	3	251	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	192
+	251	194
+	256	184
+	4	248	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	194
+	256	184
+	3	248	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	192
+	39	173
+	42	184
+	4	50	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	173
+	42	184
+	3	50	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	214
+	50	192
+	55	202
+	4	51	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	192
+	55	202
+	3	51	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	42	184
+	55	202
+	50	192
+	4	42	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	202
+	50	192
+	3	42	184	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	80	125
+	94	110
+	81	120
+	4	80	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	110
+	81	120
+	3	80	125	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	95	106
+	81	120
+	94	110
+	4	95	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	120
+	94	110
+	3	95	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	178
+	73	157
+	69	172
+	4	72	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	157
+	69	172
+	3	72	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	150
+	69	172
+	73	157
+	4	71	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	172
+	73	157
+	3	71	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	261	224
+	241	224
+	248	214
+	4	261	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	224
+	248	214
+	3	261	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	211
+	248	214
+	241	224
+	4	237	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	214
+	241	224
+	3	237	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	214
+	237	211
+	243	202
+	4	248	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	211
+	243	202
+	3	248	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	214
+	45	235
+	37	224
+	4	51	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	235
+	37	224
+	3	51	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	235
+	51	214
+	58	224
+	4	45	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	214
+	58	224
+	3	45	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	202
+	58	224
+	51	214
+	4	55	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	224
+	51	214
+	3	55	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	90
+	166	84
+	158	90
+	4	160	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	84
+	158	90
+	3	160	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	84
+	160	90
+	170	86
+	4	166	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	90
+	170	86
+	3	166	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	94
+	199	100
+	185	96
+	4	183	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	100
+	185	96
+	3	183	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	104
+	185	96
+	199	100
+	4	202	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	96
+	199	100
+	3	202	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	213
+	197	228
+	200	218
+	4	207	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	228
+	200	218
+	3	207	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	232
+	200	218
+	197	228
+	4	189	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	218
+	197	228
+	3	189	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	86
+	140	90
+	131	85
+	4	127	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	90
+	131	85
+	3	127	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	89
+	131	85
+	140	90
+	4	142	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	85
+	140	90
+	3	142	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	276	226
+	253	235
+	261	224
+	4	276	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	235
+	261	224
+	3	276	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	241	224
+	261	224
+	253	235
+	4	241	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	224
+	253	235
+	3	241	224	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	37	224
+	31	238
+	23	226
+	4	37	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	238
+	23	226
+	3	37	224	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	31	238
+	37	224
+	45	235
+	4	31	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	224
+	45	235
+	3	31	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	91
+	170	86
+	160	90
+	4	162	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	86
+	160	90
+	3	162	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	86
+	162	91
+	173	87
+	4	170	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	91
+	173	87
+	3	170	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	181
+	220	202
+	220	188
+	4	225	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	202
+	220	188
+	3	225	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	208
+	220	188
+	220	202
+	4	214	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	188
+	220	202
+	3	214	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	272	184
+	259	173
+	256	184
+	4	272	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	173
+	256	184
+	3	272	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	259	173
+	272	184
+	275	172
+	4	259	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	184
+	275	172
+	3	259	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	172
+	42	184
+	39	173
+	4	23	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	184
+	39	173
+	3	23	172	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	88
+	138	91
+	127	86
+	4	123	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	91
+	127	86
+	3	123	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	90
+	127	86
+	138	91
+	4	140	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	86
+	138	91
+	3	140	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	108
+	218	123
+	205	112
+	4	204	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	123
+	205	112
+	3	204	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	128
+	205	112
+	218	123
+	4	219	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	112
+	218	123
+	3	219	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	231
+	112	224
+	114	234
+	4	106	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	224
+	114	234
+	3	106	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	224
+	106	231
+	103	220
+	4	112	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	231
+	103	220
+	3	112	224	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	95	106
+	113	98
+	98	102
+	4	95	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	98
+	98	102
+	3	95	106	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	115	95
+	98	102
+	113	98
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	102
+	113	98
+	3	115	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	128
+	228	147
+	219	133
+	4	219	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	147
+	219	133
+	3	219	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	154
+	219	133
+	228	147
+	4	226	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	133
+	228	147
+	3	226	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	154
+	228	175
+	224	160
+	4	226	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	175
+	224	160
+	3	226	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	181
+	224	160
+	228	175
+	4	225	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	160
+	228	175
+	3	225	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	92
+	173	87
+	162	91
+	4	164	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	87
+	162	91
+	3	164	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	87
+	164	92
+	177	89
+	4	173	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	92
+	177	89
+	3	173	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	218
+	189	232
+	191	222
+	4	200	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	232
+	191	222
+	3	200	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	236
+	191	222
+	189	232
+	4	180	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	222
+	189	232
+	3	180	236	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	90
+	136	92
+	123	88
+	4	120	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	92
+	123	88
+	3	120	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	91
+	123	88
+	136	92
+	4	138	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	88
+	136	92
+	3	138	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	210
+	81	191
+	81	205
+	4	88	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	191
+	81	205
+	3	88	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	185
+	81	205
+	81	191
+	4	76	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	205
+	81	191
+	3	76	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	96
+	202	104
+	187	99
+	4	185	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	104
+	187	99
+	3	185	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	108
+	187	99
+	202	104
+	4	204	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	99
+	202	104
+	3	204	108	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	79	131
+	93	114
+	80	125
+	4	79	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	114
+	80	125
+	3	79	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	110
+	80	125
+	93	114
+	4	94	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	125
+	93	114
+	3	94	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	91
+	164	92
+	177	89
+	4	180	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	92
+	177	89
+	3	180	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	234
+	121	227
+	123	237
+	4	114	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	227
+	123	237
+	3	114	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	227
+	114	234
+	112	224
+	4	121	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	234
+	112	224
+	3	121	227	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	157
+	80	136
+	71	150
+	4	73	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	136
+	71	150
+	3	73	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	79	131
+	71	150
+	80	136
+	4	79	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	150
+	80	136
+	3	79	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	185
+	76	163
+	72	178
+	4	76	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	163
+	72	178
+	3	76	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	157
+	72	178
+	76	163
+	4	73	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	178
+	76	163
+	3	73	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	92
+	134	93
+	120	90
+	4	117	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	93
+	120	90
+	3	117	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	92
+	120	90
+	134	93
+	4	136	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	90
+	134	93
+	3	136	92	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	110
+	111	100
+	95	106
+	4	94	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	100
+	95	106
+	3	94	110	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	113	98
+	95	106
+	111	100
+	4	113	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	106
+	111	100
+	3	113	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	222
+	180	236
+	182	225
+	4	191	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	236
+	182	225
+	3	191	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	238
+	182	225
+	180	236
+	4	171	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	225
+	180	236
+	3	171	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	188
+	214	208
+	214	193
+	4	220	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	208
+	214	193
+	3	220	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	213
+	214	193
+	214	208
+	4	207	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	193
+	214	208
+	3	207	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	275	172
+	286	192
+	290	179
+	4	275	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	192
+	290	179
+	3	275	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	205
+	290	179
+	286	192
+	4	290	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	179
+	286	192
+	3	290	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	9	179
+	27	184
+	23	172
+	4	9	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	184
+	23	172
+	3	9	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	27	184
+	9	179
+	12	192
+	4	27	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	179
+	12	192
+	3	27	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	92
+	180	91
+	165	93
+	4	164	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	91
+	165	93
+	3	164	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	94
+	165	93
+	180	91
+	4	183	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	93
+	180	91
+	3	183	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	112
+	219	128
+	206	117
+	4	205	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	128
+	206	117
+	3	205	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	133
+	206	117
+	219	128
+	4	219	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	117
+	219	128
+	3	219	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	237
+	131	229
+	132	239
+	4	123	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	229
+	132	239
+	3	123	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	229
+	123	237
+	121	227
+	4	131	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	237
+	121	227
+	3	131	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	203
+	243	202
+	237	211
+	4	243	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	202
+	237	211
+	3	243	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	202
+	243	203
+	251	194
+	4	243	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	203
+	251	194
+	3	243	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	202
+	42	184
+	48	194
+	4	55	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	184
+	48	194
+	3	55	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	224
+	55	202
+	62	211
+	4	58	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	202
+	62	211
+	3	58	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	194
+	62	211
+	55	202
+	4	48	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	211
+	55	202
+	3	48	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	253	235
+	231	233
+	241	224
+	4	253	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	233
+	241	224
+	3	253	235	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	220
+	241	224
+	231	233
+	4	227	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	224
+	231	233
+	3	227	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	224
+	227	220
+	237	211
+	4	241	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	220
+	237	211
+	3	241	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	224
+	55	245
+	45	235
+	4	58	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	245
+	45	235
+	3	58	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	245
+	58	224
+	67	232
+	4	55	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	224
+	67	232
+	3	55	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	211
+	67	232
+	58	224
+	4	62	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	232
+	58	224
+	3	62	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	133
+	226	154
+	218	139
+	4	219	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	154
+	218	139
+	3	219	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	160
+	218	139
+	226	154
+	4	224	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	139
+	226	154
+	3	224	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	99
+	204	108
+	188	102
+	4	187	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	108
+	188	102
+	3	187	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	112
+	188	102
+	204	108
+	4	205	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	102
+	204	108
+	3	205	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	95
+	132	94
+	117	92
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	94
+	117	92
+	3	115	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	93
+	117	92
+	132	94
+	4	134	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	92
+	132	94
+	3	134	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	192
+	275	172
+	272	184
+	4	286	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	172
+	272	184
+	3	286	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	184
+	23	172
+	27	184
+	4	42	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	172
+	27	184
+	3	42	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	225
+	171	238
+	172	228
+	4	182	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	238
+	172	228
+	3	182	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	239
+	172	228
+	171	238
+	4	161	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	228
+	171	238
+	3	161	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	160
+	225	181
+	221	166
+	4	224	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	181
+	221	166
+	3	224	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	188
+	221	166
+	225	181
+	4	220	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	166
+	225	181
+	3	220	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	191
+	88	210
+	87	196
+	4	81	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	210
+	87	196
+	3	81	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	210
+	95	201
+	95	215
+	4	88	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	201
+	95	215
+	3	88	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	201
+	88	210
+	87	196
+	4	95	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	210
+	87	196
+	3	95	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	239
+	141	230
+	142	240
+	4	132	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	230
+	142	240
+	3	132	239	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	230
+	132	239
+	131	229
+	4	141	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	239
+	131	229
+	3	141	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	93
+	183	94
+	167	95
+	4	165	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	94
+	167	95
+	3	165	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	96
+	167	95
+	183	94
+	4	185	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	95
+	183	94
+	3	185	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	228
+	161	239
+	162	229
+	4	172	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	239
+	162	229
+	3	172	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	240
+	162	229
+	161	239
+	4	152	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	229
+	161	239
+	3	152	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	226
+	24	231
+	15	218
+	4	23	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	231
+	15	218
+	3	23	226	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	24	231
+	23	226
+	31	238
+	4	24	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	226
+	31	238
+	3	24	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	284	218
+	267	238
+	276	226
+	4	284	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	238
+	276	226
+	3	284	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	253	235
+	276	226
+	267	238
+	4	253	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	226
+	267	238
+	3	253	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	226
+	290	205
+	284	218
+	4	276	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	205
+	284	218
+	3	276	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	45	235
+	43	250
+	31	238
+	4	45	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	250
+	31	238
+	3	45	235	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	43	250
+	45	235
+	55	245
+	4	43	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	235
+	55	245
+	3	43	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	238
+	243	245
+	253	235
+	4	267	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	245
+	253	235
+	3	267	238	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	231	233
+	253	235
+	243	245
+	4	231	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	235
+	243	245
+	3	231	233	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	80	136
+	93	119
+	79	131
+	4	80	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	119
+	79	131
+	3	80	136	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	114
+	79	131
+	93	119
+	4	93	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	131
+	93	119
+	3	93	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	240
+	152	230
+	152	240
+	4	142	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	230
+	152	240
+	3	142	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	230
+	142	240
+	141	230
+	4	152	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	240
+	141	230
+	3	152	230	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	8	205
+	19	205
+	12	192
+	4	8	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	205
+	12	192
+	3	8	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	19	205
+	8	205
+	15	218
+	4	19	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	8	205
+	15	218
+	3	19	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	286	192
+	284	218
+	290	205
+	4	286	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	218
+	290	205
+	3	286	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	229
+	152	240
+	152	230
+	4	162	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	240
+	152	230
+	3	162	229	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	93	114
+	110	103
+	94	110
+	4	93	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	103
+	94	110
+	3	93	114	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	111	100
+	94	110
+	110	103
+	4	111	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	110
+	110	103
+	3	111	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	98
+	131	95
+	115	95
+	4	113	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	95
+	115	95
+	3	113	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	94
+	115	95
+	131	95
+	4	132	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	131	95
+	3	132	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	27	184
+	48	194
+	42	184
+	4	27	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	194
+	42	184
+	3	27	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	266	195
+	256	184
+	251	194
+	4	266	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	184
+	251	194
+	3	266	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	256	184
+	266	195
+	272	184
+	4	256	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	195
+	272	184
+	3	256	184	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	163
+	82	142
+	73	157
+	4	76	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	142
+	73	157
+	3	76	163	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	80	136
+	73	157
+	82	142
+	4	80	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	157
+	82	142
+	3	80	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	193
+	207	213
+	208	199
+	4	214	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	213
+	208	199
+	3	214	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	218
+	208	199
+	207	213
+	4	200	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	199
+	207	213
+	3	200	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	191
+	80	169
+	76	185
+	4	81	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	169
+	76	185
+	3	81	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	163
+	76	185
+	80	169
+	4	76	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	185
+	80	169
+	3	76	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	95
+	185	96
+	168	96
+	4	167	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	96
+	168	96
+	3	167	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	99
+	168	96
+	185	96
+	4	187	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	96
+	185	96
+	3	187	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	102
+	205	112
+	189	105
+	4	188	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	112
+	189	105
+	3	188	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	117
+	189	105
+	205	112
+	4	206	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	105
+	205	112
+	3	206	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	117
+	219	133
+	206	121
+	4	206	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	133
+	206	121
+	3	206	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	139
+	206	121
+	219	133
+	4	218	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	121
+	219	133
+	3	218	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	215
+	103	206
+	103	220
+	4	95	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	206
+	103	220
+	3	95	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	206
+	95	215
+	95	201
+	4	103	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	215
+	95	201
+	3	103	206	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	100
+	130	97
+	113	98
+	4	111	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	97
+	113	98
+	3	111	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	95
+	113	98
+	130	97
+	4	131	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	98
+	130	97
+	3	131	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	139
+	224	160
+	216	144
+	4	218	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	160
+	216	144
+	3	218	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	166
+	216	144
+	224	160
+	4	221	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	144
+	224	160
+	3	221	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	166
+	220	188
+	216	172
+	4	221	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	188
+	216	172
+	3	221	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	193
+	216	172
+	220	188
+	4	214	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	172
+	220	188
+	3	214	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	89
+	149	100
+	149	88
+	4	146	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	149	88
+	3	146	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	149	88
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	88
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	88
+	149	100
+	151	89
+	4	149	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	151	89
+	3	149	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	151	89
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	89
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	89
+	149	100
+	153	89
+	4	151	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	153	89
+	3	151	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	89
+	149	100
+	146	89
+	4	144	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	146	89
+	3	144	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	146	89
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	89
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	153	89
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	89
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	89
+	149	100
+	156	89
+	4	153	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	156	89
+	3	153	89	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	93	119
+	109	106
+	93	114
+	4	93	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	106
+	93	114
+	3	93	119	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	103
+	93	114
+	109	106
+	4	110	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	114
+	109	106
+	3	110	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	89
+	149	100
+	144	89
+	4	142	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	144	89
+	3	142	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	144	89
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	89
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	243	245
+	221	240
+	232	232
+	4	243	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	240
+	232	232
+	3	243	245	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	226
+	232	232
+	221	240
+	4	218	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	232
+	221	240
+	3	218	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	232
+	218	226
+	229	218
+	4	232	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	226
+	229	218
+	3	232	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	96
+	187	99
+	169	97
+	4	168	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	99
+	169	97
+	3	168	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	102
+	169	97
+	187	99
+	4	188	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	97
+	187	99
+	3	188	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	156	89
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	89
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	89
+	149	100
+	158	90
+	4	156	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	158	90
+	3	156	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	90
+	149	100
+	142	89
+	4	140	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	142	89
+	3	140	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	142	89
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	89
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	232
+	62	211
+	71	219
+	4	67	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	211
+	71	219
+	3	67	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	232
+	68	254
+	55	245
+	4	67	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	254
+	55	245
+	3	67	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	254
+	67	232
+	78	240
+	4	68	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	232
+	78	240
+	3	68	254	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	219
+	78	240
+	67	232
+	4	71	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	240
+	67	232
+	3	71	219	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	82	142
+	93	123
+	80	136
+	4	82	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	123
+	80	136
+	3	82	142	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	93	119
+	80	136
+	93	123
+	4	93	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	136
+	93	123
+	3	93	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	199
+	200	218
+	200	203
+	4	208	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	218
+	200	203
+	3	208	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	222
+	200	203
+	200	218
+	4	191	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	203
+	200	218
+	3	191	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	211
+	48	194
+	55	203
+	4	62	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	194
+	55	203
+	3	62	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	203
+	71	219
+	62	211
+	4	55	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	219
+	62	211
+	3	55	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	234	213
+	237	211
+	227	220
+	4	234	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	211
+	227	220
+	3	234	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	211
+	234	213
+	243	203
+	4	237	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	213
+	243	203
+	3	237	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	158	90
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	90
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	90
+	149	100
+	160	90
+	4	158	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	160	90
+	3	158	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	91
+	149	100
+	140	90
+	4	138	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	140	90
+	3	138	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	140	90
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	90
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	160	90
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	90
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	90
+	149	100
+	162	91
+	4	160	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	162	91
+	3	160	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	110	103
+	129	98
+	111	100
+	4	110	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	111	100
+	3	110	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	97
+	111	100
+	129	98
+	4	130	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	100
+	129	98
+	3	130	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	80	169
+	84	147
+	76	163
+	4	80	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	147
+	76	163
+	3	80	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	82	142
+	76	163
+	84	147
+	4	82	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	163
+	84	147
+	3	82	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	92
+	149	100
+	138	91
+	4	136	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	138	91
+	3	136	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	138	91
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	91
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	196
+	85	174
+	81	191
+	4	87	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	174
+	81	191
+	3	87	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	169
+	81	191
+	85	174
+	4	80	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	191
+	85	174
+	3	80	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	105
+	206	117
+	189	108
+	4	189	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	117
+	189	108
+	3	189	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	121
+	189	108
+	206	117
+	4	206	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	206	117
+	3	206	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	220
+	112	209
+	112	224
+	4	103	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	209
+	112	224
+	3	103	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	209
+	103	220
+	103	206
+	4	112	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	220
+	103	206
+	3	112	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	100
+	162	91
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	91
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	91
+	149	100
+	164	92
+	4	162	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	164	92
+	3	162	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	93
+	149	100
+	136	92
+	4	134	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	136	92
+	3	134	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	136	92
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	92
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	97
+	188	102
+	169	99
+	4	169	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	102
+	169	99
+	3	169	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	105
+	169	99
+	188	102
+	4	189	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	99
+	188	102
+	3	189	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	121
+	218	139
+	205	125
+	4	206	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	139
+	205	125
+	3	206	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	144
+	205	125
+	218	139
+	4	216	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	125
+	218	139
+	3	216	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	93
+	149	100
+	164	92
+	4	165	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	164	92
+	3	165	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	245
+	267	238
+	256	249
+	4	243	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	238
+	256	249
+	3	243	245	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	55	245
+	56	260
+	43	250
+	4	55	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	260
+	43	250
+	3	55	245	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	56	260
+	55	245
+	68	254
+	4	56	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	245
+	68	254
+	3	56	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	255	250
+	231	254
+	243	245
+	4	255	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	254
+	243	245
+	3	255	250	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	240
+	243	245
+	231	254
+	4	221	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	245
+	231	254
+	3	221	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	12	192
+	33	195
+	27	184
+	4	12	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	195
+	27	184
+	3	12	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	195
+	12	192
+	19	205
+	4	33	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	192
+	19	205
+	3	33	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	272	184
+	280	205
+	286	192
+	4	272	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	205
+	286	192
+	3	272	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	284	218
+	286	192
+	280	205
+	4	284	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	192
+	280	205
+	3	284	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	94
+	149	100
+	134	93
+	4	132	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	134	93
+	3	132	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	134	93
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	93
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	203
+	191	222
+	191	207
+	4	200	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	222
+	191	207
+	3	200	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	225
+	191	207
+	191	222
+	4	182	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	207
+	191	222
+	3	182	225	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	93	123
+	109	109
+	93	119
+	4	93	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	109
+	93	119
+	3	93	123	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	109	106
+	93	119
+	109	109
+	4	109	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	119
+	109	109
+	3	109	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	205
+	272	184
+	266	195
+	4	280	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	184
+	266	195
+	3	280	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	194
+	27	184
+	33	195
+	4	48	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	184
+	33	195
+	3	48	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	172
+	214	193
+	211	177
+	4	216	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	193
+	211	177
+	3	216	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	199
+	211	177
+	214	193
+	4	208	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	177
+	214	193
+	3	208	199	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	109	106
+	129	100
+	110	103
+	4	109	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	100
+	110	103
+	3	109	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	98
+	110	103
+	129	100
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	103
+	129	100
+	3	129	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	95
+	149	100
+	165	93
+	4	167	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	165	93
+	3	167	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	144
+	221	166
+	213	150
+	4	216	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	166
+	213	150
+	3	216	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	172
+	213	150
+	221	166
+	4	216	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	150
+	221	166
+	3	216	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	206
+	251	194
+	243	203
+	4	258	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	194
+	243	203
+	3	258	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	194
+	258	206
+	266	195
+	4	251	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	206
+	266	195
+	3	251	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	33	195
+	55	203
+	48	194
+	4	33	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	203
+	48	194
+	3	33	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	95
+	149	100
+	132	94
+	4	131	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	132	94
+	3	131	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	132	94
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	94
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	275	231
+	256	249
+	267	238
+	4	275	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	249
+	267	238
+	3	275	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	238
+	284	218
+	275	231
+	4	267	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	218
+	275	231
+	3	267	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	31	238
+	36	244
+	24	231
+	4	31	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	244
+	24	231
+	3	31	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	36	244
+	31	238
+	43	250
+	4	36	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	238
+	43	250
+	3	36	244	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	224
+	121	212
+	121	227
+	4	112	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	212
+	121	227
+	3	112	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	212
+	112	224
+	112	209
+	4	121	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	224
+	112	209
+	3	121	212	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	84	147
+	95	128
+	82	142
+	4	84	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	128
+	82	142
+	3	84	147	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	93	123
+	82	142
+	95	128
+	4	93	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	142
+	95	128
+	3	93	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	96
+	149	100
+	167	95
+	4	168	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	167	95
+	3	168	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	99
+	189	105
+	170	100
+	4	169	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	105
+	170	100
+	3	169	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	108
+	170	100
+	189	105
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	100
+	189	105
+	3	189	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	108
+	206	121
+	189	111
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	121
+	189	111
+	3	189	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	125
+	189	111
+	206	121
+	4	205	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	111
+	206	121
+	3	205	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	97
+	149	100
+	131	95
+	4	130	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	131	95
+	3	130	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	131	95
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	95
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	207
+	182	225
+	182	211
+	4	191	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	225
+	182	211
+	3	191	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	228
+	182	211
+	182	225
+	4	172	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	211
+	182	225
+	3	172	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	174
+	87	196
+	91	179
+	4	85	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	196
+	91	179
+	3	85	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	196
+	98	184
+	95	201
+	4	87	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	184
+	95	201
+	3	87	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	184
+	87	196
+	91	179
+	4	98	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	196
+	91	179
+	3	98	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	220
+	229	218
+	218	226
+	4	223	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	218
+	218	226
+	3	223	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	218
+	223	220
+	235	211
+	4	229	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	220
+	235	211
+	3	229	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	240
+	71	219
+	81	226
+	4	78	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	219
+	81	226
+	3	78	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	240
+	82	262
+	68	254
+	4	78	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	262
+	68	254
+	3	78	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	262
+	78	240
+	90	247
+	4	82	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	240
+	90	247
+	3	82	262	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	226
+	90	247
+	78	240
+	4	81	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	247
+	78	240
+	3	81	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	231	254
+	209	247
+	221	240
+	4	231	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	247
+	221	240
+	3	231	254	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	233
+	221	240
+	209	247
+	4	206	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	240
+	209	247
+	3	206	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	240
+	206	233
+	218	226
+	4	221	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	233
+	218	226
+	3	221	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	280	205
+	275	231
+	284	218
+	4	280	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	231
+	284	218
+	3	280	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	15	218
+	28	218
+	19	205
+	4	15	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	218
+	19	205
+	3	15	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	218
+	15	218
+	24	231
+	4	28	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	218
+	24	231
+	3	28	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	97
+	149	100
+	168	96
+	4	169	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	168	96
+	3	169	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	174
+	88	152
+	80	169
+	4	85	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	152
+	80	169
+	3	85	174	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	84	147
+	80	169
+	88	152
+	4	84	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	169
+	88	152
+	3	84	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	109	109
+	129	101
+	109	106
+	4	109	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	101
+	109	106
+	3	109	109	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	100
+	109	106
+	129	101
+	4	129	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	106
+	129	101
+	3	129	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	219
+	55	203
+	64	212
+	4	71	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	203
+	64	212
+	3	71	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	212
+	81	226
+	71	219
+	4	64	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	226
+	71	219
+	3	64	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	98
+	149	100
+	130	97
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	130	97
+	3	129	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	130	97
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	97
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	227
+	131	214
+	131	229
+	4	121	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	214
+	131	229
+	3	121	227	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	214
+	121	227
+	121	212
+	4	131	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	227
+	121	212
+	3	131	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	125
+	216	144
+	203	130
+	4	205	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	144
+	203	130
+	3	205	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	150
+	203	130
+	216	144
+	4	213	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	130
+	216	144
+	3	213	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	95	128
+	110	112
+	93	123
+	4	95	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	112
+	93	123
+	3	95	128	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	109	109
+	93	123
+	110	112
+	4	109	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	123
+	110	112
+	3	109	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	99
+	149	100
+	169	97
+	4	169	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	169	97
+	3	169	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	211
+	172	228
+	172	213
+	4	182	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	228
+	172	213
+	3	182	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	229
+	172	213
+	172	228
+	4	162	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	213
+	172	228
+	3	162	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	100
+	189	108
+	170	102
+	4	170	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	170	102
+	3	170	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	111
+	170	102
+	189	108
+	4	189	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	102
+	189	108
+	3	189	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	177
+	208	199
+	204	182
+	4	211	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	199
+	204	182
+	3	211	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	203
+	204	182
+	208	199
+	4	200	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	182
+	208	199
+	3	200	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	100
+	149	100
+	129	98
+	4	129	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	129	98
+	3	129	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	129	98
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	229
+	141	215
+	141	230
+	4	131	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	215
+	141	230
+	3	131	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	215
+	131	229
+	131	214
+	4	141	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	229
+	131	214
+	3	141	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	150
+	216	172
+	209	155
+	4	213	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	172
+	209	155
+	3	213	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	177
+	209	155
+	216	172
+	4	211	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	155
+	216	172
+	3	211	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	100
+	149	100
+	169	99
+	4	170	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	169	99
+	3	170	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	213
+	162	229
+	162	215
+	4	172	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	229
+	162	215
+	3	172	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	230
+	162	215
+	162	229
+	4	152	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	215
+	162	229
+	3	152	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	111
+	205	125
+	188	114
+	4	189	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	125
+	188	114
+	3	189	111	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	203	130
+	188	114
+	205	125
+	4	203	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	114
+	205	125
+	3	203	130	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	110	112
+	129	103
+	109	109
+	4	110	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	103
+	109	109
+	3	110	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	101
+	109	109
+	129	103
+	4	129	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	109
+	129	103
+	3	129	101	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	88	152
+	97	132
+	84	147
+	4	88	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	132
+	84	147
+	3	88	152	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	95	128
+	84	147
+	97	132
+	4	95	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	147
+	97	132
+	3	95	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	230
+	152	216
+	152	230
+	4	141	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	216
+	152	230
+	3	141	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	216
+	141	230
+	141	215
+	4	152	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	230
+	141	215
+	3	152	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	101
+	149	100
+	129	100
+	4	129	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	129	100
+	3	129	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	129	100
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	100
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	215
+	152	230
+	152	216
+	4	162	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	230
+	152	216
+	3	162	215	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	68	254
+	72	269
+	56	260
+	4	68	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	269
+	56	260
+	3	68	254	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	269
+	68	254
+	82	262
+	4	72	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	254
+	82	262
+	3	72	269	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	260
+	217	262
+	231	254
+	4	242	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	262
+	231	254
+	3	242	260	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	209	247
+	231	254
+	217	262
+	4	209	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	254
+	217	262
+	3	209	247	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	254
+	255	250
+	242	260
+	4	231	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	250
+	242	260
+	3	231	254	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	201
+	105	188
+	103	206
+	4	95	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	188
+	103	206
+	3	95	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	188
+	95	201
+	98	184
+	4	105	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	201
+	98	184
+	3	105	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	102
+	149	100
+	170	100
+	4	170	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	170	100
+	3	170	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	102
+	189	111
+	170	104
+	4	170	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	111
+	170	104
+	3	170	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	114
+	170	104
+	189	111
+	4	188	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	104
+	189	111
+	3	188	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	91	179
+	92	157
+	85	174
+	4	91	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	157
+	85	174
+	3	91	179	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	88	152
+	85	174
+	92	157
+	4	88	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	174
+	92	157
+	3	88	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	103
+	149	100
+	129	101
+	4	129	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	129	101
+	3	129	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	129	101
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	101
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	97	132
+	111	115
+	95	128
+	4	97	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	115
+	95	128
+	3	97	132	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	112
+	95	128
+	111	115
+	4	110	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	128
+	111	115
+	3	110	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	247
+	81	226
+	93	233
+	4	90	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	226
+	93	233
+	3	90	247	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	247
+	97	268
+	82	262
+	4	90	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	268
+	82	262
+	3	90	247	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	268
+	90	247
+	104	253
+	4	97	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	247
+	104	253
+	3	97	268	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	233
+	104	253
+	90	247
+	4	93	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	253
+	90	247
+	3	93	233	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	217	262
+	195	253
+	209	247
+	4	217	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	253
+	209	247
+	3	217	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	238
+	209	247
+	195	253
+	4	193	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	247
+	195	253
+	3	193	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	247
+	193	238
+	206	233
+	4	209	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	238
+	206	233
+	3	209	247	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	130
+	213	150
+	200	134
+	4	203	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	150
+	200	134
+	3	203	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	155
+	200	134
+	213	150
+	4	209	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	134
+	213	150
+	3	209	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	104
+	149	100
+	170	102
+	4	170	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	170	102
+	3	170	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	182
+	200	203
+	197	186
+	4	204	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	203
+	197	186
+	3	204	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	207
+	197	186
+	200	203
+	4	191	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	186
+	200	203
+	3	191	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	216
+	243	203
+	234	213
+	4	247	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	203
+	234	213
+	3	247	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	203
+	247	216
+	258	206
+	4	243	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	216
+	258	206
+	3	243	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	203
+	33	195
+	41	206
+	4	55	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	195
+	41	206
+	3	55	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	41	206
+	64	212
+	55	203
+	4	41	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	212
+	55	203
+	3	41	206	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	111	115
+	129	104
+	110	112
+	4	111	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	104
+	110	112
+	3	111	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	103
+	110	112
+	129	104
+	4	129	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	112
+	129	104
+	3	129	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	226
+	64	212
+	75	220
+	4	81	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	212
+	75	220
+	3	81	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	220
+	93	233
+	81	226
+	4	75	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	233
+	81	226
+	3	75	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	227
+	218	226
+	206	233
+	4	210	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	226
+	206	233
+	3	210	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	226
+	210	227
+	223	220
+	4	218	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	227
+	223	220
+	3	218	226	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	104
+	149	100
+	129	103
+	4	129	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	129	103
+	3	129	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	100
+	129	103
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	103
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	271	218
+	266	195
+	258	206
+	4	271	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	195
+	258	206
+	3	271	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	266	195
+	271	218
+	280	205
+	4	266	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	218
+	280	205
+	3	266	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	19	205
+	41	206
+	33	195
+	4	19	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	206
+	33	195
+	3	19	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	134	111
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	111
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	111
+	149	100
+	133	110
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	133	110
+	3	134	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	133	110
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	110
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	110
+	149	100
+	131	109
+	4	133	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	131	109
+	3	133	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	131	109
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	109
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	109
+	149	100
+	130	107
+	4	131	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	130	107
+	3	131	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	130	107
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	107
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	107
+	149	100
+	129	106
+	4	130	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	129	106
+	3	130	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	129	106
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	106
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	106
+	149	100
+	129	104
+	4	129	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	129	104
+	3	129	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	129	104
+	149	100
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	104
+	149	100
+	3	149	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	105
+	149	100
+	170	104
+	4	169	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	170	104
+	3	169	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	107
+	149	100
+	169	105
+	4	169	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	169	105
+	3	169	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	108
+	149	100
+	169	107
+	4	168	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	169	107
+	3	168	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	109
+	149	100
+	168	108
+	4	166	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	168	108
+	3	166	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	111
+	149	100
+	166	109
+	4	165	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	166	109
+	3	165	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	112
+	149	100
+	165	111
+	4	163	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	165	111
+	3	163	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	113
+	149	100
+	163	112
+	4	161	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	163	112
+	3	161	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	114
+	149	100
+	161	113
+	4	159	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	161	113
+	3	159	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	114
+	149	100
+	159	114
+	4	157	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	159	114
+	3	157	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	115
+	149	100
+	157	114
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	157	114
+	3	155	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	115
+	149	100
+	155	115
+	4	152	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	155	115
+	3	152	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	115
+	149	100
+	152	115
+	4	150	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	152	115
+	3	150	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	115
+	149	100
+	150	115
+	4	147	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	150	115
+	3	147	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	115
+	149	100
+	147	115
+	4	145	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	147	115
+	3	145	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	115
+	149	100
+	145	115
+	4	143	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	145	115
+	3	143	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	114
+	149	100
+	143	115
+	4	140	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	143	115
+	3	140	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	113
+	149	100
+	140	114
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	140	114
+	3	138	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	112
+	149	100
+	138	113
+	4	136	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	138	113
+	3	136	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	111
+	149	100
+	136	112
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	136	112
+	3	134	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	249
+	275	231
+	264	243
+	4	256	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	231
+	264	243
+	3	256	249	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	114
+	203	130
+	187	117
+	4	188	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	130
+	187	117
+	3	188	114	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	200	134
+	187	117
+	203	130
+	4	200	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	117
+	203	130
+	3	200	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	104
+	188	114
+	169	105
+	4	170	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	114
+	169	105
+	3	170	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	155
+	211	177
+	204	159
+	4	209	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	177
+	204	159
+	3	209	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	182
+	204	159
+	211	177
+	4	204	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	159
+	211	177
+	3	204	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	43	250
+	50	255
+	36	244
+	4	43	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	255
+	36	244
+	3	43	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	255
+	43	250
+	56	260
+	4	50	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	250
+	56	260
+	3	50	255	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	117
+	169	105
+	188	114
+	4	187	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	105
+	188	114
+	3	187	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	206
+	114	192
+	112	209
+	4	103	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	192
+	112	209
+	3	103	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	192
+	103	206
+	105	188
+	4	114	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	206
+	105	188
+	3	114	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	275	231
+	280	205
+	271	218
+	4	275	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	205
+	271	218
+	3	275	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	206
+	19	205
+	28	218
+	4	41	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	205
+	28	218
+	3	41	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	244
+	242	260
+	255	250
+	4	262	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	260
+	255	250
+	3	262	244	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	92	157
+	100	136
+	88	152
+	4	92	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	136
+	88	152
+	3	92	157	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	97	132
+	88	152
+	100	136
+	4	97	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	152
+	100	136
+	3	97	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	104
+	111	115
+	129	106
+	4	129	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	115
+	129	106
+	3	129	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	105
+	187	117
+	169	107
+	4	169	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	117
+	169	107
+	3	169	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	118
+	129	106
+	111	115
+	4	112	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	106
+	111	115
+	3	112	118	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	111	115
+	97	132
+	112	118
+	4	111	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	132
+	112	118
+	3	111	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	100	136
+	112	118
+	97	132
+	4	100	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	118
+	97	132
+	3	100	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	186
+	191	207
+	189	190
+	4	197	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	207
+	189	190
+	3	197	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	211
+	189	190
+	191	207
+	4	182	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	190
+	191	207
+	3	182	211	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	92	157
+	91	179
+	98	161
+	4	92	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	179
+	98	161
+	3	92	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	91	179
+	104	165
+	98	184
+	4	91	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	165
+	98	184
+	3	91	179	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	104	165
+	91	179
+	98	161
+	4	104	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	179
+	98	161
+	3	104	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	106
+	112	118
+	130	107
+	4	129	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	118
+	130	107
+	3	129	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	253
+	93	233
+	106	238
+	4	104	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	233
+	106	238
+	3	104	253	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	253
+	114	273
+	97	268
+	4	104	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	273
+	97	268
+	3	104	253	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	273
+	104	253
+	118	257
+	4	114	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	253
+	118	257
+	3	114	273	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	238
+	118	257
+	104	253
+	4	106	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	257
+	104	253
+	3	106	238	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	201	268
+	180	257
+	195	253
+	4	201	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	257
+	195	253
+	3	201	268	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	241
+	195	253
+	180	257
+	4	179	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	253
+	180	257
+	3	179	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	253
+	179	241
+	193	238
+	4	195	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	241
+	193	238
+	3	195	253	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	195	253
+	217	262
+	201	268
+	4	195	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	262
+	201	268
+	3	195	253	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	262
+	90	277
+	72	269
+	4	82	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	277
+	72	269
+	3	82	262	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	90	277
+	82	262
+	97	268
+	4	90	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	262
+	97	268
+	3	90	277	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	269
+	201	268
+	217	262
+	4	226	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	268
+	217	262
+	3	226	269	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	262
+	242	260
+	226	269
+	4	217	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	260
+	226	269
+	3	217	262	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	134
+	209	155
+	197	138
+	4	200	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	155
+	197	138
+	3	200	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	159
+	197	138
+	209	155
+	4	204	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	138
+	209	155
+	3	204	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	120
+	169	107
+	187	117
+	4	185	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	107
+	187	117
+	3	185	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	107
+	185	120
+	168	108
+	4	169	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	120
+	168	108
+	3	169	107	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	187	117
+	200	134
+	185	120
+	4	187	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	134
+	185	120
+	3	187	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	218
+	264	243
+	275	231
+	4	271	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	243
+	275	231
+	3	271	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	24	231
+	39	230
+	28	218
+	4	24	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	230
+	28	218
+	3	24	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	230
+	24	231
+	36	244
+	4	39	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	231
+	36	244
+	3	39	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	209
+	123	194
+	121	212
+	4	112	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	194
+	121	212
+	3	112	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	194
+	112	209
+	114	192
+	4	123	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	209
+	114	192
+	3	123	194	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	107
+	115	121
+	131	109
+	4	130	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	121
+	131	109
+	3	130	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	121
+	130	107
+	112	118
+	4	115	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	107
+	112	118
+	3	115	121	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	197	138
+	185	120
+	200	134
+	4	197	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	120
+	200	134
+	3	197	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	159
+	204	182
+	198	163
+	4	204	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	182
+	198	163
+	3	204	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	186
+	198	163
+	204	182
+	4	197	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	163
+	204	182
+	3	197	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	122
+	168	108
+	185	120
+	4	183	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	108
+	185	120
+	3	183	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	108
+	183	122
+	166	109
+	4	168	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	122
+	166	109
+	3	168	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	233
+	75	220
+	88	227
+	4	93	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	220
+	88	227
+	3	93	233	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	227
+	106	238
+	93	233
+	4	88	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	238
+	93	233
+	3	88	227	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	232
+	206	233
+	193	238
+	4	196	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	233
+	193	238
+	3	196	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	233
+	196	232
+	210	227
+	4	206	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	232
+	210	227
+	3	206	233	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	112	118
+	100	136
+	115	121
+	4	112	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	136
+	115	121
+	3	112	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	190
+	182	211
+	180	193
+	4	189	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	211
+	180	193
+	3	189	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	213
+	180	193
+	182	211
+	4	172	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	193
+	182	211
+	3	172	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	109
+	117	124
+	133	110
+	4	131	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	124
+	133	110
+	3	131	109	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	124
+	131	109
+	115	121
+	4	117	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	109
+	115	121
+	3	117	124	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	98	161
+	103	140
+	92	157
+	4	98	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	140
+	92	157
+	3	98	161	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	100	136
+	92	157
+	103	140
+	4	100	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	157
+	103	140
+	3	100	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	257
+	106	238
+	120	241
+	4	118	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	238
+	120	241
+	3	118	257	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	257
+	131	276
+	114	273
+	4	118	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	276
+	114	273
+	3	118	257	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	276
+	118	257
+	134	259
+	4	131	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	257
+	134	259
+	3	131	276	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	241
+	134	259
+	118	257
+	4	120	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	259
+	118	257
+	3	120	241	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	273
+	165	259
+	180	257
+	4	185	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	259
+	180	257
+	3	185	273	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	244
+	180	257
+	165	259
+	4	164	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	257
+	165	259
+	3	164	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	257
+	164	244
+	179	241
+	4	180	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	244
+	179	241
+	3	180	257	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	257
+	201	268
+	185	273
+	4	180	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	268
+	185	273
+	3	180	257	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	103	140
+	115	121
+	100	136
+	4	103	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	121
+	100	136
+	3	103	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	225
+	235	211
+	223	220
+	4	235	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	211
+	223	220
+	3	235	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	211
+	235	225
+	247	216
+	4	235	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	225
+	247	216
+	3	235	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	125
+	166	109
+	183	122
+	4	180	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	109
+	183	122
+	3	180	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	109
+	180	125
+	165	111
+	4	166	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	125
+	165	111
+	3	166	109	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	185	120
+	197	138
+	183	122
+	4	185	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	138
+	183	122
+	3	185	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	212
+	132	196
+	131	214
+	4	121	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	196
+	131	214
+	3	121	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	196
+	121	212
+	123	194
+	4	132	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	212
+	123	194
+	3	132	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	212
+	41	206
+	51	216
+	4	64	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	206
+	51	216
+	3	64	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	216
+	75	220
+	64	212
+	4	51	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	220
+	64	212
+	3	51	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	110
+	120	126
+	134	111
+	4	133	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	126
+	134	111
+	3	133	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	126
+	133	110
+	117	124
+	4	120	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	110
+	117	124
+	3	120	126	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	98	184
+	110	169
+	105	188
+	4	98	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	169
+	105	188
+	3	98	184	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	169
+	98	184
+	104	165
+	4	110	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	184
+	104	165
+	3	110	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	193
+	172	213
+	171	195
+	4	180	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	213
+	171	195
+	3	180	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	215
+	171	195
+	172	213
+	4	162	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	195
+	172	213
+	3	162	215	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	127
+	165	111
+	180	125
+	4	177	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	111
+	180	125
+	3	177	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	111
+	177	127
+	163	112
+	4	165	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	127
+	163	112
+	3	165	111	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	115	121
+	103	140
+	117	124
+	4	115	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	140
+	117	124
+	3	115	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	138
+	204	159
+	193	141
+	4	197	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	159
+	193	141
+	3	197	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	163
+	193	141
+	204	159
+	4	198	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	141
+	204	159
+	3	198	163	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	193	141
+	183	122
+	197	138
+	4	193	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	122
+	197	138
+	3	193	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	276
+	149	260
+	165	259
+	4	167	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	260
+	165	259
+	3	167	276	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	244
+	165	259
+	149	260
+	4	149	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	259
+	149	260
+	3	149	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	259
+	149	244
+	164	244
+	4	165	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	244
+	164	244
+	3	165	259	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	259
+	185	273
+	167	276
+	4	165	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	273
+	167	276
+	3	165	259	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	259
+	120	241
+	134	244
+	4	134	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	241
+	134	244
+	3	134	259	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	259
+	149	277
+	131	276
+	4	134	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	277
+	131	276
+	3	134	259	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	277
+	134	259
+	149	260
+	4	149	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	259
+	149	260
+	3	149	277	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	244
+	149	260
+	134	259
+	4	134	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	260
+	134	259
+	3	134	244	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	268
+	109	282
+	90	277
+	4	97	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	282
+	90	277
+	3	97	268	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	282
+	97	268
+	114	273
+	4	109	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	268
+	114	273
+	3	109	282	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	277
+	185	273
+	201	268
+	4	209	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	273
+	201	268
+	3	209	277	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	268
+	226	269
+	209	277
+	4	201	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	269
+	209	277
+	3	201	268	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	112
+	120	126
+	134	111
+	4	136	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	126
+	134	111
+	3	136	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	214
+	142	197
+	141	215
+	4	131	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	197
+	141	215
+	3	131	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	197
+	131	214
+	132	196
+	4	142	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	214
+	132	196
+	3	142	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	129
+	163	112
+	177	127
+	4	173	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	112
+	177	127
+	3	173	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	112
+	173	129
+	161	113
+	4	163	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	129
+	161	113
+	3	163	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	260
+	134	244
+	149	244
+	4	149	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	244
+	149	244
+	3	149	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	260
+	167	276
+	149	277
+	4	149	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	276
+	149	277
+	3	149	260	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	195
+	162	215
+	162	197
+	4	171	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	215
+	162	197
+	3	171	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	216
+	162	197
+	162	215
+	4	152	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	197
+	162	215
+	3	152	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	163
+	197	186
+	192	167
+	4	198	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	186
+	192	167
+	3	198	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	190
+	192	167
+	197	186
+	4	189	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	167
+	197	186
+	3	189	190	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	183	122
+	193	141
+	180	125
+	4	183	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	141
+	180	125
+	3	183	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	260
+	67	264
+	50	255
+	4	56	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	264
+	50	255
+	3	56	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	264
+	56	260
+	72	269
+	4	67	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	260
+	72	269
+	3	67	264	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	255
+	226	269
+	242	260
+	4	248	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	269
+	242	260
+	3	248	255	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	260
+	262	244
+	248	255
+	4	242	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	244
+	248	255
+	3	242	260	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	113
+	124	128
+	136	112
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	128
+	136	112
+	3	138	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	126
+	136	112
+	124	128
+	4	120	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	112
+	124	128
+	3	120	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	215
+	152	197
+	152	216
+	4	141	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	197
+	152	216
+	3	141	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	197
+	141	215
+	142	197
+	4	152	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	215
+	142	197
+	3	152	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	238
+	88	227
+	102	232
+	4	106	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	227
+	102	232
+	3	106	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	232
+	120	241
+	106	238
+	4	102	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	241
+	106	238
+	3	102	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	236
+	193	238
+	179	241
+	4	181	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	238
+	179	241
+	3	181	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	238
+	181	236
+	196	232
+	4	193	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	236
+	196	232
+	3	193	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	197
+	152	216
+	152	197
+	4	162	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	216
+	152	197
+	3	162	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	131
+	161	113
+	173	129
+	4	169	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	113
+	173	129
+	3	169	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	113
+	169	131
+	159	114
+	4	161	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	131
+	159	114
+	3	161	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	260	229
+	258	206
+	247	216
+	4	260	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	206
+	247	216
+	3	260	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	258	206
+	260	229
+	271	218
+	4	258	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	229
+	271	218
+	3	258	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	28	218
+	51	216
+	41	206
+	4	28	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	216
+	41	206
+	3	28	218	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	103	140
+	98	161
+	108	143
+	4	103	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	161
+	108	143
+	3	103	140	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	98	161
+	113	146
+	104	165
+	4	98	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	146
+	104	165
+	3	98	161	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	113	146
+	98	161
+	108	143
+	4	113	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	161
+	108	143
+	3	113	146	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	108	143
+	117	124
+	103	140
+	4	108	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	124
+	103	140
+	3	108	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	114
+	128	130
+	138	113
+	4	140	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	130
+	138	113
+	3	140	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	128
+	138	113
+	128	130
+	4	124	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	128	130
+	3	124	128	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	117	124
+	108	143
+	120	126
+	4	117	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	143
+	120	126
+	3	117	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	132
+	159	114
+	169	131
+	4	165	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	114
+	169	131
+	3	165	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	114
+	165	132
+	157	114
+	4	159	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	132
+	157	114
+	3	159	114	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	105	188
+	118	172
+	114	192
+	4	105	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	172
+	114	192
+	3	105	188	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	118	172
+	105	188
+	110	169
+	4	118	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	188
+	110	169
+	3	118	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	115
+	132	132
+	140	114
+	4	143	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	132
+	140	114
+	3	143	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	130
+	140	114
+	132	132
+	4	128	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	114
+	132	132
+	3	128	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	133
+	157	114
+	165	132
+	4	160	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	114
+	165	132
+	3	160	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	114
+	160	133
+	155	115
+	4	157	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	133
+	155	115
+	3	157	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	115
+	136	133
+	143	115
+	4	145	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	133
+	143	115
+	3	145	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	132
+	143	115
+	136	133
+	4	132	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	115
+	136	133
+	3	132	132	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	188	145
+	180	125
+	193	141
+	4	188	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	125
+	193	141
+	3	188	145	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	180	125
+	188	145
+	177	127
+	4	180	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	145
+	177	127
+	3	180	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	141
+	198	163
+	188	145
+	4	193	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	163
+	188	145
+	3	193	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	134
+	155	115
+	160	133
+	4	155	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	115
+	160	133
+	3	155	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	115
+	155	134
+	152	115
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	134
+	152	115
+	3	155	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	167
+	188	145
+	198	163
+	4	192	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	145
+	198	163
+	3	192	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	243
+	271	218
+	260	229
+	4	264	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	218
+	260	229
+	3	264	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	216
+	28	218
+	39	230
+	4	51	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	218
+	39	230
+	3	51	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	273
+	129	285
+	109	282
+	4	114	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	285
+	109	282
+	3	114	273	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	285
+	114	273
+	131	276
+	4	129	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	273
+	131	276
+	3	129	285	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	190	282
+	167	276
+	185	273
+	4	190	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	276
+	185	273
+	3	190	282	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	273
+	209	277
+	190	282
+	4	185	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	277
+	190	282
+	3	185	273	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	115
+	141	134
+	145	115
+	4	147	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	134
+	145	115
+	3	147	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	133
+	145	115
+	141	134
+	4	136	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	115
+	141	134
+	3	136	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	134
+	152	115
+	155	134
+	4	150	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	115
+	155	134
+	3	150	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	115
+	150	134
+	150	115
+	4	152	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	134
+	150	115
+	3	152	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	115
+	146	134
+	147	115
+	4	150	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	134
+	147	115
+	3	150	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	134
+	147	115
+	146	134
+	4	141	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	115
+	146	134
+	3	141	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	134
+	150	115
+	150	134
+	4	146	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	115
+	150	134
+	3	146	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	167
+	189	190
+	184	170
+	4	192	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	190
+	184	170
+	3	192	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	193
+	184	170
+	189	190
+	4	180	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	170
+	189	190
+	3	180	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	241
+	102	232
+	117	236
+	4	120	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	232
+	117	236
+	3	120	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	236
+	134	244
+	120	241
+	4	117	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	244
+	120	241
+	3	117	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	239
+	179	241
+	164	244
+	4	165	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	241
+	164	244
+	3	165	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	241
+	165	239
+	181	236
+	4	179	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	239
+	181	236
+	3	179	241	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	128
+	108	143
+	120	126
+	4	124	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	143
+	120	126
+	3	124	128	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	108	143
+	124	128
+	113	146
+	4	108	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	128
+	113	146
+	3	108	143	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	104	165
+	118	149
+	110	169
+	4	104	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	149
+	110	169
+	3	104	165	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	118	149
+	104	165
+	113	146
+	4	118	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	165
+	113	146
+	3	118	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	233
+	223	220
+	210	227
+	4	220	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	220
+	210	227
+	3	220	233	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	220
+	220	233
+	235	225
+	4	223	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	233
+	235	225
+	3	223	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	220
+	51	216
+	64	225
+	4	75	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	216
+	64	225
+	3	75	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	225
+	88	227
+	75	220
+	4	64	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	227
+	75	220
+	3	64	225	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	192
+	126	174
+	123	194
+	4	114	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	174
+	123	194
+	3	114	192	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	126	174
+	114	192
+	118	172
+	4	126	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	192
+	118	172
+	3	126	174	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	148
+	177	127
+	188	145
+	4	183	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	127
+	188	145
+	3	183	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	177	127
+	183	148
+	173	129
+	4	177	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	148
+	173	129
+	3	177	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	276
+	149	286
+	129	285
+	4	131	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	286
+	129	285
+	3	131	276	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	286
+	131	276
+	149	277
+	4	149	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	276
+	149	277
+	3	149	286	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	285
+	149	277
+	167	276
+	4	170	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	277
+	167	276
+	3	170	285	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	276
+	190	282
+	170	285
+	4	167	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	282
+	170	285
+	3	167	276	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	244
+	53	240
+	39	230
+	4	36	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	240
+	39	230
+	3	36	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	240
+	36	244
+	50	255
+	4	53	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	244
+	50	255
+	3	53	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	244
+	117	236
+	133	239
+	4	134	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	236
+	133	239
+	3	134	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	239
+	149	244
+	134	244
+	4	133	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	244
+	134	244
+	3	133	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	239
+	164	244
+	149	244
+	4	149	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	244
+	149	244
+	3	149	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	244
+	149	239
+	165	239
+	4	164	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	239
+	165	239
+	3	164	244	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	128	130
+	113	146
+	124	128
+	4	128	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	146
+	124	128
+	3	128	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	145
+	192	167
+	183	148
+	4	188	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	167
+	183	148
+	3	188	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	230
+	248	255
+	262	244
+	4	259	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	255
+	262	244
+	3	259	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	170
+	180	193
+	177	173
+	4	184	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	193
+	177	173
+	3	184	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	195
+	177	173
+	180	193
+	4	171	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	173
+	180	193
+	3	171	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	277
+	170	285
+	149	286
+	4	149	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	285
+	149	286
+	3	149	277	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	244
+	133	239
+	149	239
+	4	149	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	239
+	149	239
+	3	149	244	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	170
+	183	148
+	192	167
+	4	184	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	148
+	192	167
+	3	184	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	150
+	173	129
+	183	148
+	4	177	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	129
+	183	148
+	3	177	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	129
+	177	150
+	169	131
+	4	173	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	150
+	169	131
+	3	173	129	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	123	194
+	134	176
+	132	196
+	4	123	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	176
+	132	196
+	3	123	194	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	176
+	123	194
+	126	174
+	4	134	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	194
+	126	174
+	3	134	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	113	146
+	128	130
+	118	149
+	4	113	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	130
+	118	149
+	3	113	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	269
+	86	272
+	67	264
+	4	72	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	272
+	67	264
+	3	72	269	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	272
+	72	269
+	90	277
+	4	86	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	269
+	90	277
+	3	86	272	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	264
+	209	277
+	226	269
+	4	232	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	277
+	226	269
+	3	232	264	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	269
+	248	255
+	232	264
+	4	226	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	255
+	232	264
+	3	226	269	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	132
+	118	149
+	128	130
+	4	132	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	149
+	128	130
+	3	132	132	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	110	169
+	124	151
+	118	172
+	4	110	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	151
+	118	172
+	3	110	169	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	151
+	110	169
+	118	149
+	4	124	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	169
+	118	149
+	3	124	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	173
+	171	195
+	169	175
+	4	177	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	195
+	169	175
+	3	177	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	197
+	169	175
+	171	195
+	4	162	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	175
+	171	195
+	3	162	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	152
+	169	131
+	177	150
+	4	171	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	131
+	177	150
+	3	171	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	131
+	171	152
+	165	132
+	4	169	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	152
+	165	132
+	3	169	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	148
+	184	170
+	177	150
+	4	183	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	170
+	177	150
+	3	183	148	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	196
+	143	177
+	142	197
+	4	132	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	177
+	142	197
+	3	132	196	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	143	177
+	132	196
+	134	176
+	4	143	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	196
+	134	176
+	3	143	177	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	136	133
+	124	151
+	132	132
+	4	136	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	151
+	132	132
+	3	136	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	149
+	132	132
+	124	151
+	4	118	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	132
+	124	151
+	3	118	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	173
+	177	150
+	184	170
+	4	177	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	150
+	184	170
+	3	177	173	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	175
+	162	197
+	160	176
+	4	169	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	197
+	160	176
+	3	169	175	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	197
+	160	176
+	162	197
+	4	152	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	176
+	162	197
+	3	152	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	230
+	64	225
+	51	216
+	4	39	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	225
+	51	216
+	3	39	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	245	240
+	247	216
+	235	225
+	4	245	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	216
+	235	225
+	3	245	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	216
+	245	240
+	259	230
+	4	247	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	240
+	259	230
+	3	247	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	154
+	165	132
+	171	152
+	4	165	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	132
+	171	152
+	3	165	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	132
+	165	154
+	160	133
+	4	165	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	154
+	160	133
+	3	165	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	142	197
+	151	177
+	152	197
+	4	142	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	177
+	152	197
+	3	142	197	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	151	177
+	142	197
+	143	177
+	4	151	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	197
+	143	177
+	3	151	177	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	160	176
+	152	197
+	151	177
+	4	160	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	197
+	151	177
+	3	160	176	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	134
+	130	153
+	136	133
+	4	141	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	153
+	136	133
+	3	141	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	124	151
+	136	133
+	130	153
+	4	124	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	133
+	130	153
+	3	124	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	227
+	64	225
+	78	233
+	4	88	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	225
+	78	233
+	3	88	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	233
+	102	232
+	88	227
+	4	78	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	232
+	88	227
+	3	78	233	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	240
+	210	227
+	196	232
+	4	204	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	227
+	196	232
+	3	204	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	227
+	204	240
+	220	233
+	4	210	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	240
+	220	233
+	3	210	227	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	118	172
+	130	153
+	126	174
+	4	118	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	153
+	126	174
+	3	118	172	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	130	153
+	118	172
+	124	151
+	4	130	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	172
+	124	151
+	3	130	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	155
+	160	133
+	165	154
+	4	158	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	133
+	165	154
+	3	158	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	133
+	158	155
+	155	134
+	4	160	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	155
+	155	134
+	3	160	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	150
+	177	173
+	171	152
+	4	177	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	173
+	171	152
+	3	177	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	134
+	137	154
+	141	134
+	4	146	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	154
+	141	134
+	3	146	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	130	153
+	141	134
+	137	154
+	4	130	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	134
+	137	154
+	3	130	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	155
+	155	134
+	158	155
+	4	151	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	134
+	158	155
+	3	151	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	134
+	151	155
+	150	134
+	4	155	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	155
+	150	134
+	3	155	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	134
+	144	155
+	146	134
+	4	150	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	155
+	146	134
+	3	150	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	154
+	146	134
+	144	155
+	4	137	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	134
+	144	155
+	3	137	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	155
+	150	134
+	151	155
+	4	144	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	134
+	151	155
+	3	144	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	175
+	171	152
+	177	173
+	4	169	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	152
+	177	173
+	3	169	175	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	126	174
+	137	154
+	134	176
+	4	126	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	154
+	134	176
+	3	126	174	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	137	154
+	126	174
+	130	153
+	4	137	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	174
+	130	153
+	3	137	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	225
+	39	230
+	53	240
+	4	64	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	230
+	53	240
+	3	64	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	152
+	169	175
+	165	154
+	4	171	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	175
+	165	154
+	3	171	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	255
+	259	230
+	245	240
+	4	248	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	230
+	245	240
+	3	248	255	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	176
+	165	154
+	169	175
+	4	160	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	154
+	169	175
+	3	160	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	277
+	106	278
+	86	272
+	4	90	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	278
+	86	272
+	3	90	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	278
+	90	277
+	109	282
+	4	106	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	277
+	109	282
+	3	106	278	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	272
+	190	282
+	209	277
+	4	213	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	282
+	209	277
+	3	213	272	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	277
+	232	264
+	213	272
+	4	209	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	264
+	213	272
+	3	209	277	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	176
+	144	155
+	143	177
+	4	134	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	155
+	143	177
+	3	134	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	144	155
+	134	176
+	137	154
+	4	144	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	176
+	137	154
+	3	144	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	154
+	160	176
+	158	155
+	4	165	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	176
+	158	155
+	3	165	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	255
+	69	249
+	53	240
+	4	50	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	249
+	53	240
+	3	50	255	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	249
+	50	255
+	67	264
+	4	69	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	255
+	67	264
+	3	69	249	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	240
+	232	264
+	248	255
+	4	245	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	264
+	248	255
+	3	245	240	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	151	177
+	158	155
+	160	176
+	4	151	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	155
+	160	176
+	3	151	177	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	177
+	151	155
+	151	177
+	4	143	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	155
+	151	177
+	3	143	177	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	151	155
+	143	177
+	144	155
+	4	151	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	177
+	144	155
+	3	151	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	155
+	151	177
+	151	155
+	4	158	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	177
+	151	155
+	3	158	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	232
+	78	233
+	95	240
+	4	102	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	233
+	95	240
+	3	102	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	240
+	117	236
+	102	232
+	4	95	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	236
+	102	232
+	3	95	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	244
+	196	232
+	181	236
+	4	186	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	232
+	181	236
+	3	186	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	232
+	186	244
+	204	240
+	4	196	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	244
+	204	240
+	3	196	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	240
+	78	233
+	64	225
+	4	53	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	233
+	64	225
+	3	53	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	249
+	235	225
+	220	233
+	4	229	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	225
+	220	233
+	3	229	249	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	225
+	229	249
+	245	240
+	4	235	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	249
+	245	240
+	3	235	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	282
+	127	281
+	106	278
+	4	109	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	281
+	106	278
+	3	109	282	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	281
+	109	282
+	129	285
+	4	127	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	282
+	129	285
+	3	127	281	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	278
+	170	285
+	190	282
+	4	193	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	285
+	190	282
+	3	193	278	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	282
+	213	272
+	193	278
+	4	190	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	272
+	193	278
+	3	190	282	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	236
+	95	240
+	112	244
+	4	117	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	240
+	112	244
+	3	117	236	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	244
+	133	239
+	117	236
+	4	112	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	239
+	117	236
+	3	112	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	247
+	181	236
+	165	239
+	4	168	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	236
+	165	239
+	3	168	247	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	236
+	168	247
+	186	244
+	4	181	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	247
+	186	244
+	3	181	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	285
+	149	282
+	127	281
+	4	129	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	282
+	127	281
+	3	129	285	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	282
+	129	285
+	149	286
+	4	149	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	285
+	149	286
+	3	149	282	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	281
+	149	286
+	170	285
+	4	171	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	286
+	170	285
+	3	171	281	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	285
+	193	278
+	171	281
+	4	170	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	278
+	171	281
+	3	170	285	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	239
+	112	244
+	130	247
+	4	133	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	244
+	130	247
+	3	133	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	247
+	149	239
+	133	239
+	4	130	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	239
+	133	239
+	3	130	247	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	248
+	165	239
+	149	239
+	4	149	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	239
+	149	239
+	3	149	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	239
+	149	248
+	168	247
+	4	165	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	248
+	168	247
+	3	165	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	239
+	130	247
+	149	248
+	4	149	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	247
+	149	248
+	3	149	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	286
+	171	281
+	149	282
+	4	149	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	281
+	149	282
+	3	149	286	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	233
+	53	240
+	69	249
+	4	78	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	240
+	69	249
+	3	78	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	264
+	245	240
+	229	249
+	4	232	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	240
+	229	249
+	3	232	264	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	249
+	213	272
+	232	264
+	4	229	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	272
+	232	264
+	3	229	249	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	264
+	88	256
+	69	249
+	4	67	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	256
+	69	249
+	3	67	264	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	256
+	67	264
+	86	272
+	4	88	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	264
+	86	272
+	3	88	256	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	249
+	95	240
+	78	233
+	4	69	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	240
+	78	233
+	3	69	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	256
+	220	233
+	204	240
+	4	211	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	233
+	204	240
+	3	211	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	233
+	211	256
+	229	249
+	4	220	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	256
+	229	249
+	3	220	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	272
+	107	262
+	88	256
+	4	86	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	262
+	88	256
+	3	86	272	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	262
+	86	272
+	106	278
+	4	107	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	272
+	106	278
+	3	107	262	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	256
+	193	278
+	213	272
+	4	211	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	278
+	213	272
+	3	211	256	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	272
+	229	249
+	211	256
+	4	213	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	249
+	211	256
+	3	213	272	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	240
+	69	249
+	88	256
+	4	95	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	249
+	88	256
+	3	95	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	256
+	112	244
+	95	240
+	4	88	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	244
+	95	240
+	3	88	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	262
+	204	240
+	186	244
+	4	191	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	240
+	186	244
+	3	191	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	240
+	191	262
+	211	256
+	4	204	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	262
+	211	256
+	3	204	240	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	278
+	128	265
+	107	262
+	4	106	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	265
+	107	262
+	3	106	278	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	265
+	106	278
+	127	281
+	4	128	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	278
+	127	281
+	3	128	265	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	262
+	171	281
+	193	278
+	4	191	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	281
+	193	278
+	3	191	262	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	278
+	211	256
+	191	262
+	4	193	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	256
+	191	262
+	3	193	278	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	265
+	186	244
+	168	247
+	4	170	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	244
+	168	247
+	3	170	265	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	244
+	170	265
+	191	262
+	4	186	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	265
+	191	262
+	3	186	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	244
+	88	256
+	107	262
+	4	112	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	256
+	107	262
+	3	112	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	262
+	130	247
+	112	244
+	4	107	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	247
+	112	244
+	3	107	262	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	281
+	149	266
+	128	265
+	4	127	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	266
+	128	265
+	3	127	281	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	266
+	127	281
+	149	282
+	4	149	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	281
+	149	282
+	3	149	266	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	265
+	149	282
+	171	281
+	4	170	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	282
+	171	281
+	3	170	265	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	281
+	191	262
+	170	265
+	4	171	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	262
+	170	265
+	3	171	281	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	247
+	107	262
+	128	265
+	4	130	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	262
+	128	265
+	3	130	247	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	265
+	149	248
+	130	247
+	4	128	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	248
+	130	247
+	3	128	265	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	266
+	168	247
+	149	248
+	4	149	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	247
+	149	248
+	3	149	266	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	247
+	149	266
+	170	265
+	4	168	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	266
+	170	265
+	3	168	247	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	248
+	128	265
+	149	266
+	4	149	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	265
+	149	266
+	3	149	248	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	282
+	170	265
+	149	266
+	4	149	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	265
+	149	266
+	3	149	282	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3doptcf1.ps b/books/ps/3doptcf1.ps
new file mode 100644
index 0000000..d042a0a
--- /dev/null
+++ b/books/ps/3doptcf1.ps
@@ -0,0 +1,14580 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	21	243	251	81	psDrawLine
+	globGC	(X)	16	248	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	278	243	48	81	psDrawLine
+	globGC	(Y)	283	248	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	17	149	250	psDrawLine
+	globGC	(Z)	154	12	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	149	68
+	154	88
+	149	88
+	4	149	68	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	153	107
+	149	88
+	154	88
+	4	153	107	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	88
+	153	107
+	149	107
+	4	149	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	88
+	144	68
+	149	68
+	4	149	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	68
+	149	88
+	144	89
+	4	144	68	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	107
+	144	89
+	149	88
+	4	149	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	68
+	158	89
+	154	88
+	4	154	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	157	107
+	154	88
+	158	89
+	4	157	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	88
+	157	107
+	153	107
+	4	154	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	88
+	149	68
+	154	68
+	4	154	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	89
+	149	107
+	145	107
+	4	144	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	89
+	139	68
+	144	68
+	4	144	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	68
+	144	89
+	140	89
+	4	139	68	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	107
+	140	89
+	144	89
+	4	145	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	68
+	163	89
+	158	89
+	4	159	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	108
+	158	89
+	163	89
+	4	161	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	89
+	161	108
+	157	107
+	4	158	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	89
+	154	68
+	159	68
+	4	158	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	89
+	145	107
+	141	107
+	4	140	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	89
+	134	69
+	139	68
+	4	140	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	69
+	140	89
+	135	89
+	4	134	69	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	141	107
+	135	89
+	140	89
+	4	141	107	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	69
+	167	89
+	163	89
+	4	164	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	108
+	163	89
+	167	89
+	4	164	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	163	89
+	164	108
+	161	108
+	4	163	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	89
+	159	68
+	164	69
+	4	163	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	89
+	141	107
+	137	108
+	4	135	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	89
+	129	69
+	134	69
+	4	135	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	69
+	135	89
+	130	90
+	4	129	69	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	137	108
+	130	90
+	135	89
+	4	137	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	169	69
+	172	90
+	167	89
+	4	169	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	108
+	167	89
+	172	90
+	4	168	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	167	89
+	168	108
+	164	108
+	4	167	89	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	89
+	164	69
+	169	69
+	4	167	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	90
+	137	108
+	134	108
+	4	130	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	90
+	124	70
+	129	69
+	4	130	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	70
+	130	90
+	126	90
+	4	124	70	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	108
+	126	90
+	130	90
+	4	134	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	174	70
+	177	91
+	172	90
+	4	174	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	109
+	172	90
+	177	91
+	4	172	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	90
+	172	109
+	168	108
+	4	172	90	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	172	90
+	169	69
+	174	70
+	4	172	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	90
+	134	108
+	130	109
+	4	126	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	90
+	119	71
+	124	70
+	4	126	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	119	71
+	126	90
+	121	91
+	4	119	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	109
+	121	91
+	126	90
+	4	130	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	179	70
+	181	91
+	177	91
+	4	179	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	110
+	177	91
+	181	91
+	4	176	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	177	91
+	176	110
+	172	109
+	4	177	91	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	91
+	174	70
+	179	70
+	4	177	91	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	121	91
+	130	109
+	126	109
+	4	121	91	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	91
+	114	71
+	119	71
+	4	121	91	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	71
+	121	91
+	117	92
+	4	114	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	109
+	117	92
+	121	91
+	4	126	109	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	184	71
+	186	92
+	181	91
+	4	184	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	180	111
+	181	91
+	186	92
+	4	180	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	91
+	180	111
+	176	110
+	4	181	91	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	181	91
+	179	70
+	184	71
+	4	181	91	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	117	92
+	126	109
+	122	110
+	4	117	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	92
+	109	72
+	114	71
+	4	117	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	109	72
+	117	92
+	112	93
+	4	109	72	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	122	110
+	112	93
+	117	92
+	4	122	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	72
+	190	93
+	186	92
+	4	189	72	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	111
+	186	92
+	190	93
+	4	183	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	92
+	183	111
+	180	111
+	4	186	92	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	186	92
+	184	71
+	189	72
+	4	186	92	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	93
+	122	110
+	118	111
+	4	112	93	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	93
+	104	74
+	109	72
+	4	112	93	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	104	74
+	112	93
+	108	94
+	4	104	74	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	118	111
+	108	94
+	112	93
+	4	118	111	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	73
+	195	95
+	190	93
+	4	194	73	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	187	112
+	190	93
+	195	95
+	4	187	112	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	93
+	187	112
+	183	111
+	4	190	93	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	190	93
+	189	72
+	194	73
+	4	190	93	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	94
+	118	111
+	115	112
+	4	108	94	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	94
+	99	75
+	104	74
+	4	108	94	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	99	75
+	108	94
+	103	95
+	4	99	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	115	112
+	103	95
+	108	94
+	4	115	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	75
+	199	96
+	195	95
+	4	198	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	114
+	195	95
+	199	96
+	4	191	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	195	95
+	191	114
+	187	112
+	4	195	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	95
+	194	73
+	198	75
+	4	195	95	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	103	95
+	115	112
+	111	113
+	4	103	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	95
+	95	76
+	99	75
+	4	103	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	76
+	103	95
+	99	96
+	4	95	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	111	113
+	99	96
+	103	95
+	4	111	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	152	114
+	149	107
+	153	107
+	4	152	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	107
+	152	114
+	149	114
+	4	149	107	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	114
+	145	107
+	149	107
+	4	149	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	57
+	154	68
+	149	68
+	4	149	57	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	68
+	144	57
+	149	57
+	4	149	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	57
+	149	68
+	144	68
+	4	144	57	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	114
+	153	107
+	157	107
+	4	155	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	153	107
+	155	114
+	152	114
+	4	153	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	57
+	159	68
+	154	68
+	4	154	57	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	68
+	149	57
+	154	57
+	4	154	68	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	76
+	203	97
+	199	96
+	4	203	76	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	115
+	199	96
+	203	97
+	4	194	115	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	96
+	194	115
+	191	114
+	4	199	96	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	199	96
+	198	75
+	203	76
+	4	199	96	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	107
+	149	114
+	146	114
+	4	145	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	114
+	141	107
+	145	107
+	4	146	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	68
+	139	58
+	144	57
+	4	144	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	58
+	144	68
+	139	68
+	4	139	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	115
+	157	107
+	161	108
+	4	159	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	107
+	159	115
+	155	114
+	4	157	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	107
+	146	114
+	143	114
+	4	141	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	114
+	137	108
+	141	107
+	4	143	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	58
+	164	69
+	159	68
+	4	159	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	68
+	154	57
+	159	58
+	4	159	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	68
+	134	58
+	139	58
+	4	139	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	134	58
+	139	68
+	134	69
+	4	134	58	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	99	96
+	111	113
+	107	114
+	4	99	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	99	96
+	90	78
+	95	76
+	4	99	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	78
+	99	96
+	95	98
+	4	90	78	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	107	114
+	95	98
+	99	96
+	4	107	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	162	115
+	161	108
+	164	108
+	4	162	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	108
+	162	115
+	159	115
+	4	161	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	108
+	143	114
+	140	115
+	4	137	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	115
+	134	108
+	137	108
+	4	140	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	58
+	169	69
+	164	69
+	4	163	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	69
+	159	58
+	163	58
+	4	164	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	134	69
+	130	58
+	134	58
+	4	134	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	58
+	134	69
+	129	69
+	4	130	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	165	115
+	164	108
+	168	108
+	4	165	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	108
+	165	115
+	162	115
+	4	164	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	108
+	140	115
+	137	115
+	4	134	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	115
+	130	109
+	134	108
+	4	137	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	58
+	174	70
+	169	69
+	4	168	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	69
+	163	58
+	168	58
+	4	169	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	69
+	125	59
+	130	58
+	4	129	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	59
+	129	69
+	124	70
+	4	125	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	116
+	168	108
+	172	109
+	4	168	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	108
+	168	116
+	165	115
+	4	168	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	109
+	137	115
+	133	115
+	4	130	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	115
+	126	109
+	130	109
+	4	133	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	208	77
+	207	99
+	203	97
+	4	208	77	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	116
+	203	97
+	207	99
+	4	198	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	97
+	198	116
+	194	115
+	4	203	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	97
+	203	76
+	208	77
+	4	203	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	59
+	179	70
+	174	70
+	4	173	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	70
+	168	58
+	173	59
+	4	174	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	124	70
+	120	60
+	125	59
+	4	124	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	60
+	124	70
+	119	71
+	4	120	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	116
+	172	109
+	176	110
+	4	171	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	109
+	171	116
+	168	116
+	4	172	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	95	98
+	107	114
+	104	115
+	4	95	98	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	98
+	85	79
+	90	78
+	4	95	98	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	79
+	95	98
+	90	99
+	4	85	79	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	104	115
+	90	99
+	95	98
+	4	104	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	109
+	133	115
+	130	116
+	4	126	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	116
+	122	110
+	126	109
+	4	130	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	178	59
+	184	71
+	179	70
+	4	178	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	70
+	173	59
+	178	59
+	4	179	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	117
+	176	110
+	180	111
+	4	174	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	110
+	174	117
+	171	116
+	4	176	110	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	71
+	115	60
+	120	60
+	4	119	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	60
+	119	71
+	114	71
+	4	115	60	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	110
+	130	116
+	127	116
+	4	122	110	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	127	116
+	118	111
+	122	110
+	4	127	116	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	212	79
+	212	100
+	207	99
+	4	212	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	117
+	207	99
+	212	100
+	4	201	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	207	99
+	201	117
+	198	116
+	4	207	99	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	207	99
+	208	77
+	212	79
+	4	207	99	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	60
+	189	72
+	184	71
+	4	183	60	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	71
+	178	59
+	183	60
+	4	184	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	177	118
+	180	111
+	183	111
+	4	177	118	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	180	111
+	177	118
+	174	117
+	4	180	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	90	99
+	104	115
+	100	116
+	4	90	99	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	99
+	81	81
+	85	79
+	4	90	99	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	81
+	90	99
+	86	101
+	4	81	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	100	116
+	86	101
+	90	99
+	4	100	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	118	111
+	127	116
+	124	117
+	4	118	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	117
+	115	112
+	118	111
+	4	124	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	71
+	111	61
+	115	60
+	4	114	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	61
+	114	71
+	109	72
+	4	111	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	180	118
+	183	111
+	187	112
+	4	180	118	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	183	111
+	180	118
+	177	118
+	4	183	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	187	61
+	194	73
+	189	72
+	4	187	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	72
+	183	60
+	187	61
+	4	189	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	115	112
+	124	117
+	121	118
+	4	115	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	118
+	111	113
+	115	112
+	4	121	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	72
+	106	62
+	111	61
+	4	109	72	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	62
+	109	72
+	104	74
+	4	106	62	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	217	81
+	216	102
+	212	100
+	4	217	81	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	205	119
+	212	100
+	216	102
+	4	205	119	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	212	100
+	205	119
+	201	117
+	4	212	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	212	100
+	212	79
+	217	81
+	4	212	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	101
+	100	116
+	97	118
+	4	86	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	101
+	76	83
+	81	81
+	4	86	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	83
+	86	101
+	82	103
+	4	76	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	118
+	82	103
+	86	101
+	4	97	118	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	183	119
+	187	112
+	191	114
+	4	183	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	112
+	183	119
+	180	118
+	4	187	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	113
+	121	118
+	118	119
+	4	111	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	119
+	107	114
+	111	113
+	4	118	119	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	62
+	198	75
+	194	73
+	4	192	62	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	73
+	187	61
+	192	62
+	4	194	73	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	104	74
+	101	64
+	106	62
+	4	104	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	64
+	104	74
+	99	75
+	4	101	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	186	120
+	191	114
+	194	115
+	4	186	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	114
+	186	120
+	183	119
+	4	191	114	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	221	83
+	220	104
+	216	102
+	4	221	83	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	208	121
+	216	102
+	220	104
+	4	208	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	102
+	208	121
+	205	119
+	4	216	102	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	102
+	217	81
+	221	83
+	4	216	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	114
+	118	119
+	115	120
+	4	107	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	120
+	104	115
+	107	114
+	4	115	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	196	63
+	203	76
+	198	75
+	4	196	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	75
+	192	62
+	196	63
+	4	198	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	103
+	97	118
+	94	119
+	4	82	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	103
+	72	85
+	76	83
+	4	82	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	85
+	82	103
+	78	105
+	4	72	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	119
+	78	105
+	82	103
+	4	94	119	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	99	75
+	97	65
+	101	64
+	4	99	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	65
+	99	75
+	95	76
+	4	97	65	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	121
+	194	115
+	198	116
+	4	189	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	115
+	189	121
+	186	120
+	4	194	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	115
+	115	120
+	113	121
+	4	104	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	121
+	100	116
+	104	115
+	4	113	121	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	201	65
+	208	77
+	203	76
+	4	201	65	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	76
+	196	63
+	201	65
+	4	203	76	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	85
+	224	106
+	220	104
+	4	226	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	122
+	220	104
+	224	106
+	4	211	122	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	220	104
+	211	122
+	208	121
+	4	220	104	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	104
+	221	83
+	226	85
+	4	220	104	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	76
+	92	66
+	97	65
+	4	95	76	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	92	66
+	95	76
+	90	78
+	4	92	66	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	123
+	198	116
+	201	117
+	4	191	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	116
+	191	123
+	189	121
+	4	198	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	105
+	94	119
+	90	121
+	4	78	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	105
+	68	87
+	72	85
+	4	78	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	87
+	78	105
+	74	107
+	4	68	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	90	121
+	74	107
+	78	105
+	4	90	121	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	116
+	113	121
+	110	122
+	4	100	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	122
+	97	118
+	100	116
+	4	110	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	205	66
+	212	79
+	208	77
+	4	205	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	77
+	201	65
+	205	66
+	4	208	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	90	78
+	88	68
+	92	66
+	4	90	78	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	88	68
+	90	78
+	85	79
+	4	88	68	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	124
+	201	117
+	205	119
+	4	194	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	201	117
+	194	124
+	191	123
+	4	201	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	230	87
+	227	108
+	224	106
+	4	230	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	214	124
+	224	106
+	227	108
+	4	214	124	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	224	106
+	214	124
+	211	122
+	4	224	106	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	224	106
+	226	85
+	230	87
+	4	224	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	118
+	110	122
+	107	123
+	4	97	118	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	123
+	94	119
+	97	118
+	4	107	123	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	74	107
+	90	121
+	87	123
+	4	74	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	107
+	64	90
+	68	87
+	4	74	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	64	90
+	74	107
+	71	109
+	4	64	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	87	123
+	71	109
+	74	107
+	4	87	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	68
+	217	81
+	212	79
+	4	210	68	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	212	79
+	205	66
+	210	68
+	4	212	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	197	125
+	205	119
+	208	121
+	4	197	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	119
+	197	125
+	194	124
+	4	205	119	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	85	79
+	84	70
+	88	68
+	4	85	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	84	70
+	85	79
+	81	81
+	4	84	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	119
+	107	123
+	104	124
+	4	94	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	124
+	90	121
+	94	119
+	4	104	124	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	89
+	231	110
+	227	108
+	4	234	89	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	217	126
+	227	108
+	231	110
+	4	217	126	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	227	108
+	217	126
+	214	124
+	4	227	108	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	227	108
+	230	87
+	234	89
+	4	227	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	109
+	87	123
+	84	125
+	4	71	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	109
+	60	92
+	64	90
+	4	71	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	60	92
+	71	109
+	67	111
+	4	60	92	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	84	125
+	67	111
+	71	109
+	4	84	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	199	127
+	208	121
+	211	122
+	4	199	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	121
+	199	127
+	197	125
+	4	208	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	69
+	221	83
+	217	81
+	4	214	69	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	81
+	210	68
+	214	69
+	4	217	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	121
+	104	124
+	102	125
+	4	90	121	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	125
+	87	123
+	90	121
+	4	102	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	81	81
+	79	71
+	84	70
+	4	81	81	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	79	71
+	81	81
+	76	83
+	4	79	71	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	91
+	235	113
+	231	110
+	4	238	91	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	220	128
+	231	110
+	235	113
+	4	220	128	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	110
+	220	128
+	217	126
+	4	231	110	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	110
+	234	89
+	238	91
+	4	231	110	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	202	128
+	211	122
+	214	124
+	4	202	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	122
+	202	128
+	199	127
+	4	211	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	71
+	226	85
+	221	83
+	4	219	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	83
+	214	69
+	219	71
+	4	221	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	111
+	84	125
+	81	127
+	4	67	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	111
+	56	94
+	60	92
+	4	67	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	94
+	67	111
+	63	113
+	4	56	94	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	81	127
+	63	113
+	67	111
+	4	81	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	123
+	102	125
+	99	127
+	4	87	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	99	127
+	84	125
+	87	123
+	4	99	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	83
+	75	73
+	79	71
+	4	76	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	75	73
+	76	83
+	72	85
+	4	75	73	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	130
+	214	124
+	217	126
+	4	204	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	124
+	204	130
+	202	128
+	4	214	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	242	94
+	238	115
+	235	113
+	4	242	94	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	223	130
+	235	113
+	238	115
+	4	223	130	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	113
+	223	130
+	220	128
+	4	235	113	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	235	113
+	238	91
+	242	94
+	4	235	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	84	125
+	99	127
+	97	128
+	4	84	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	128
+	81	127
+	84	125
+	4	97	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	223	73
+	230	87
+	226	85
+	4	223	73	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	85
+	219	71
+	223	73
+	4	226	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	113
+	81	127
+	78	129
+	4	63	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	113
+	52	97
+	56	94
+	4	63	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	52	97
+	63	113
+	60	116
+	4	52	97	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	129
+	60	116
+	63	113
+	4	78	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	72	85
+	71	75
+	75	73
+	4	72	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	71	75
+	72	85
+	68	87
+	4	71	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	152	104
+	149	114
+	152	114
+	4	152	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	114
+	152	104
+	149	104
+	4	149	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	104
+	146	114
+	149	114
+	4	149	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	63
+	154	57
+	149	57
+	4	149	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	57
+	145	63
+	149	63
+	4	149	57	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	63
+	149	57
+	144	57
+	4	145	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	206	131
+	217	126
+	220	128
+	4	206	131	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	126
+	206	131
+	204	130
+	4	217	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	105
+	152	114
+	155	114
+	4	155	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	114
+	155	105
+	152	104
+	4	152	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	153	63
+	159	58
+	154	57
+	4	153	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	154	57
+	149	63
+	153	63
+	4	154	57	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	114
+	149	104
+	146	105
+	4	146	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	105
+	143	114
+	146	114
+	4	146	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	57
+	141	63
+	145	63
+	4	144	57	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	63
+	144	57
+	139	58
+	4	141	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	105
+	155	114
+	159	115
+	4	158	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	114
+	158	105
+	155	105
+	4	155	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	114
+	146	105
+	143	105
+	4	143	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	105
+	140	115
+	143	114
+	4	143	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	63
+	163	58
+	159	58
+	4	157	63	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	58
+	153	63
+	157	63
+	4	159	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	58
+	137	64
+	141	63
+	4	139	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	64
+	139	58
+	134	58
+	4	137	64	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	161	105
+	159	115
+	162	115
+	4	161	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	115
+	161	105
+	158	105
+	4	159	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	115
+	143	105
+	140	105
+	4	140	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	105
+	137	115
+	140	115
+	4	140	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	81	127
+	97	128
+	94	130
+	4	81	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	130
+	78	129
+	81	127
+	4	94	130	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	63
+	168	58
+	163	58
+	4	161	63	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	58
+	157	63
+	161	63
+	4	163	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	163	105
+	162	115
+	165	115
+	4	163	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	162	115
+	163	105
+	161	105
+	4	162	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	58
+	133	64
+	137	64
+	4	134	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	64
+	134	58
+	130	58
+	4	133	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	137	115
+	140	105
+	138	105
+	4	137	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	105
+	133	115
+	137	115
+	4	138	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	75
+	234	89
+	230	87
+	4	227	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	230	87
+	223	73
+	227	75
+	4	230	87	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	96
+	242	118
+	238	115
+	4	246	96	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	226	132
+	238	115
+	242	118
+	4	226	132	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	115
+	226	132
+	223	130
+	4	238	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	115
+	242	94
+	246	96
+	4	238	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	165	64
+	173	59
+	168	58
+	4	165	64	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	58
+	161	63
+	165	64
+	4	168	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	166	106
+	165	115
+	168	116
+	4	166	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	115
+	166	106
+	163	105
+	4	165	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	58
+	128	64
+	133	64
+	4	130	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	64
+	130	58
+	125	59
+	4	128	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	115
+	138	105
+	135	105
+	4	133	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	105
+	130	116
+	133	115
+	4	135	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	106
+	168	116
+	171	116
+	4	169	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	116
+	169	106
+	166	106
+	4	168	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	68	87
+	67	77
+	71	75
+	4	68	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	77
+	68	87
+	64	90
+	4	67	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	169	64
+	178	59
+	173	59
+	4	169	64	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	59
+	165	64
+	169	64
+	4	173	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	60	116
+	78	129
+	75	131
+	4	60	116	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	60	116
+	48	100
+	52	97
+	4	60	116	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	100
+	60	116
+	57	118
+	4	48	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	131
+	57	118
+	60	116
+	4	75	131	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	130	116
+	135	105
+	132	106
+	4	130	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	106
+	127	116
+	130	116
+	4	132	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	59
+	124	65
+	128	64
+	4	125	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	65
+	125	59
+	120	60
+	4	124	65	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	209	133
+	220	128
+	223	130
+	4	209	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	128
+	209	133
+	206	131
+	4	220	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	107
+	171	116
+	174	117
+	4	172	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	116
+	172	107
+	169	106
+	4	171	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	116
+	132	106
+	129	106
+	4	127	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	106
+	124	117
+	127	116
+	4	129	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	174	65
+	183	60
+	178	59
+	4	174	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	59
+	169	64
+	174	65
+	4	178	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	129
+	94	130
+	92	132
+	4	78	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	92	132
+	75	131
+	78	129
+	4	92	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	60
+	120	66
+	124	65
+	4	120	60	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	66
+	120	60
+	115	60
+	4	120	66	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	108
+	174	117
+	177	118
+	4	175	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	117
+	175	108
+	172	107
+	4	174	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	124	117
+	129	106
+	126	107
+	4	124	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	107
+	121	118
+	124	117
+	4	126	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	178	66
+	187	61
+	183	60
+	4	178	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	183	60
+	174	65
+	178	66
+	4	183	60	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	77
+	238	91
+	234	89
+	4	231	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	89
+	227	75
+	231	77
+	4	234	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	115	60
+	116	66
+	120	66
+	4	115	60	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	66
+	115	60
+	111	61
+	4	116	66	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	108
+	177	118
+	180	118
+	4	177	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	118
+	177	108
+	175	108
+	4	177	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	250	99
+	245	120
+	242	118
+	4	250	99	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	228	134
+	242	118
+	245	120
+	4	228	134	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	242	118
+	228	134
+	226	132
+	4	242	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	242	118
+	246	96
+	250	99
+	4	242	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	118
+	126	107
+	124	108
+	4	121	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	124	108
+	118	119
+	121	118
+	4	124	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	64	90
+	63	80
+	67	77
+	4	64	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	63	80
+	64	90
+	60	92
+	4	63	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	135
+	223	130
+	226	132
+	4	211	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	223	130
+	211	135
+	209	133
+	4	223	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	57	118
+	75	131
+	72	133
+	4	57	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	57	118
+	45	103
+	48	100
+	4	57	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	45	103
+	57	118
+	53	121
+	4	45	103	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	72	133
+	53	121
+	57	118
+	4	72	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	182	66
+	192	62
+	187	61
+	4	182	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	61
+	178	66
+	182	66
+	4	187	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	180	109
+	180	118
+	183	119
+	4	180	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	180	118
+	180	109
+	177	108
+	4	180	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	61
+	113	67
+	116	66
+	4	111	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	67
+	111	61
+	106	62
+	4	113	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	119
+	124	108
+	121	109
+	4	118	119	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	109
+	115	120
+	118	119
+	4	121	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	75	131
+	92	132
+	90	133
+	4	75	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	133
+	72	133
+	75	131
+	4	90	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	183	110
+	183	119
+	186	120
+	4	183	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	183	119
+	183	110
+	180	109
+	4	183	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	185	67
+	196	63
+	192	62
+	4	185	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	62
+	182	66
+	185	67
+	4	192	62	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	120
+	121	109
+	118	109
+	4	115	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	109
+	113	121
+	115	120
+	4	118	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	62
+	109	68
+	113	67
+	4	106	62	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	109	68
+	106	62
+	101	64
+	4	109	68	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	235	79
+	242	94
+	238	91
+	4	235	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	91
+	231	77
+	235	79
+	4	238	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	213	136
+	226	132
+	228	134
+	4	213	136	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	132
+	213	136
+	211	135
+	4	226	132	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	111
+	186	120
+	189	121
+	4	185	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	120
+	185	111
+	183	110
+	4	186	120	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	253	102
+	248	123
+	245	120
+	4	253	102	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	231	137
+	245	120
+	248	123
+	4	231	137	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	245	120
+	231	137
+	228	134
+	4	245	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	245	120
+	250	99
+	253	102
+	4	245	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	92
+	60	82
+	63	80
+	4	60	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	82
+	60	92
+	56	94
+	4	60	82	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	121
+	118	109
+	116	110
+	4	113	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	116	110
+	110	122
+	113	121
+	4	116	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	189	68
+	201	65
+	196	63
+	4	189	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	196	63
+	185	67
+	189	68
+	4	196	63	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	72	133
+	90	133
+	88	135
+	4	72	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	121
+	72	133
+	70	135
+	4	53	121	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	135
+	70	135
+	72	133
+	4	88	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	121
+	41	106
+	45	103
+	4	53	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	106
+	53	121
+	50	124
+	4	41	106	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	135
+	50	124
+	53	121
+	4	70	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	64
+	105	70
+	109	68
+	4	101	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	70
+	101	64
+	97	65
+	4	105	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	112
+	189	121
+	191	123
+	4	188	112	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	121
+	188	112
+	185	111
+	4	189	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	122
+	116	110
+	113	111
+	4	110	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	111
+	107	123
+	110	122
+	4	113	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	69
+	205	66
+	201	65
+	4	193	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	201	65
+	189	68
+	193	69
+	4	201	65	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	215	138
+	228	134
+	231	137
+	4	215	138	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	228	134
+	215	138
+	213	136
+	4	228	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	81
+	246	96
+	242	94
+	4	238	81	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	94
+	235	79
+	238	81
+	4	242	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	65
+	101	71
+	105	70
+	4	97	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	71
+	97	65
+	92	66
+	4	101	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	113
+	191	123
+	194	124
+	4	190	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	123
+	190	113
+	188	112
+	4	191	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	123
+	113	111
+	111	112
+	4	107	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	112
+	104	124
+	107	123
+	4	111	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	70	135
+	88	135
+	85	137
+	4	70	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	50	124
+	70	135
+	67	137
+	4	50	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	137
+	67	137
+	70	135
+	4	85	137	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	257	105
+	251	126
+	248	123
+	4	257	105	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	233	139
+	248	123
+	251	126
+	4	233	139	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	248	123
+	233	139
+	231	137
+	4	248	123	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	248	123
+	253	102
+	257	105
+	4	248	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	56	94
+	56	84
+	60	82
+	4	56	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	56	84
+	56	94
+	52	97
+	4	56	84	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	70
+	210	68
+	205	66
+	4	197	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	66
+	193	69
+	197	70
+	4	205	66	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	114
+	194	124
+	197	125
+	4	193	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	124
+	193	114
+	190	113
+	4	194	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	50	124
+	38	109
+	41	106
+	4	50	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	109
+	50	124
+	47	127
+	4	38	109	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	137
+	47	127
+	50	124
+	4	67	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	104	124
+	111	112
+	108	113
+	4	104	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	113
+	102	125
+	104	124
+	4	108	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	66
+	97	72
+	101	71
+	4	92	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	72
+	92	66
+	88	68
+	4	97	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	217	140
+	231	137
+	233	139
+	4	217	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	137
+	217	140
+	215	138
+	4	231	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	195	116
+	197	125
+	199	127
+	4	195	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	125
+	195	116
+	193	114
+	4	197	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	84
+	250	99
+	246	96
+	4	242	84	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	96
+	238	81
+	242	84
+	4	246	96	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	201	72
+	214	69
+	210	68
+	4	201	72	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	68
+	197	70
+	201	72
+	4	210	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	67	137
+	85	137
+	83	139
+	4	67	137	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	47	127
+	67	137
+	65	140
+	4	47	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	139
+	65	140
+	67	137
+	4	83	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	125
+	108	113
+	106	115
+	4	102	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	115
+	99	127
+	102	125
+	4	106	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	68
+	94	74
+	97	72
+	4	88	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	74
+	88	68
+	84	70
+	4	94	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	97
+	52	87
+	56	84
+	4	52	97	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	87
+	52	97
+	48	100
+	4	52	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	260	108
+	254	129
+	251	126
+	4	260	108	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	236	142
+	251	126
+	254	129
+	4	236	142	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	251	126
+	236	142
+	233	139
+	4	251	126	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	126
+	257	105
+	260	108
+	4	251	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	117
+	199	127
+	202	128
+	4	197	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	199	127
+	197	117
+	195	116
+	4	199	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	47	127
+	35	112
+	38	109
+	4	47	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	112
+	47	127
+	44	130
+	4	35	112	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	140
+	44	130
+	47	127
+	4	65	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	99	127
+	106	115
+	103	116
+	4	99	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	116
+	97	128
+	99	127
+	4	103	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	142
+	233	139
+	236	142
+	4	219	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	233	139
+	219	142
+	217	140
+	4	233	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	73
+	219	71
+	214	69
+	4	204	73	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	69
+	201	72
+	204	73
+	4	214	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	70
+	90	75
+	94	74
+	4	84	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	75
+	84	70
+	79	71
+	4	90	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	140
+	83	139
+	82	141
+	4	65	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	44	130
+	65	140
+	63	142
+	4	44	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	141
+	63	142
+	65	140
+	4	82	141	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	199	118
+	202	128
+	204	130
+	4	199	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	202	128
+	199	118
+	197	117
+	4	202	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	86
+	253	102
+	250	99
+	4	246	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	99
+	242	84
+	246	86
+	4	250	99	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	128
+	103	116
+	101	117
+	4	97	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	117
+	94	130
+	97	128
+	4	101	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	48	100
+	49	90
+	52	87
+	4	48	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	90
+	48	100
+	45	103
+	4	49	90	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	263	111
+	257	132
+	254	129
+	4	263	111	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	238	144
+	254	129
+	257	132
+	4	238	144	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	254	129
+	238	144
+	236	142
+	4	254	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	254	129
+	260	108
+	263	111
+	4	254	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	75
+	223	73
+	219	71
+	4	208	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	71
+	204	73
+	208	75
+	4	219	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	202	120
+	204	130
+	206	131
+	4	202	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	130
+	202	120
+	199	118
+	4	204	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	79	71
+	87	77
+	90	75
+	4	79	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	77
+	79	71
+	75	73
+	4	87	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	144
+	236	142
+	238	144
+	4	220	144	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	236	142
+	220	144
+	219	142
+	4	236	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	44	130
+	32	115
+	35	112
+	4	44	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	32	115
+	44	130
+	42	133
+	4	32	115	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	63	142
+	42	133
+	44	130
+	4	63	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	130
+	101	117
+	99	119
+	4	94	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	119
+	92	132
+	94	130
+	4	99	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	63	142
+	82	141
+	80	143
+	4	63	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	133
+	63	142
+	61	145
+	4	42	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	143
+	61	145
+	63	142
+	4	80	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	89
+	257	105
+	253	102
+	4	249	89	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	102
+	246	86
+	249	89
+	4	253	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	121
+	206	131
+	209	133
+	4	204	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	206	131
+	204	121
+	202	120
+	4	206	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	76
+	227	75
+	223	73
+	4	211	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	223	73
+	208	75
+	211	76
+	4	223	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	132
+	99	119
+	97	120
+	4	92	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	120
+	90	133
+	92	132
+	4	97	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	75	73
+	83	78
+	87	77
+	4	75	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	78
+	75	73
+	71	75
+	4	83	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	45	103
+	46	92
+	49	90
+	4	45	103	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	46	92
+	45	103
+	41	106
+	4	46	92	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	266	114
+	259	135
+	257	132
+	4	266	114	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	240	147
+	257	132
+	259	135
+	4	240	147	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	257	132
+	240	147
+	238	144
+	4	257	132	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	257	132
+	263	111
+	266	114
+	4	257	132	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	222	146
+	238	144
+	240	147
+	4	222	146	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	144
+	222	146
+	220	144
+	4	238	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	61	145
+	80	143
+	78	145
+	4	61	145	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	61	145
+	39	136
+	42	133
+	4	61	145	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	39	136
+	61	145
+	59	148
+	4	39	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	145
+	59	148
+	61	145
+	4	78	145	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	133
+	29	118
+	32	115
+	4	42	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	29	118
+	42	133
+	39	136
+	4	29	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	206	123
+	209	133
+	211	135
+	4	206	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	209	133
+	206	123
+	204	121
+	4	209	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	133
+	97	120
+	95	122
+	4	90	133	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	122
+	88	135
+	90	133
+	4	95	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	215	78
+	231	77
+	227	75
+	4	215	78	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	75
+	211	76
+	215	78
+	4	227	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	152	83
+	149	104
+	152	104
+	4	152	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	104
+	152	83
+	149	83
+	4	149	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	83
+	146	105
+	149	104
+	4	149	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	83
+	153	63
+	149	63
+	4	149	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	63
+	146	83
+	149	83
+	4	149	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	146	83
+	149	63
+	145	63
+	4	146	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	83
+	152	104
+	155	105
+	4	156	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	104
+	156	83
+	152	83
+	4	152	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	83
+	157	63
+	153	63
+	4	152	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	153	63
+	149	83
+	152	83
+	4	153	63	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	105
+	149	83
+	146	83
+	4	146	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	83
+	143	105
+	146	105
+	4	146	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	63
+	143	83
+	146	83
+	4	145	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	143	83
+	145	63
+	141	63
+	4	143	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	83
+	155	105
+	158	105
+	4	159	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	105
+	159	83
+	156	83
+	4	155	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	71	75
+	80	80
+	83	78
+	4	71	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	80	80
+	71	75
+	67	77
+	4	80	80	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	105
+	146	83
+	143	83
+	4	143	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	83
+	140	105
+	143	105
+	4	143	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	83
+	161	63
+	157	63
+	4	156	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	63
+	152	83
+	156	83
+	4	157	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	141	63
+	139	83
+	143	83
+	4	141	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	83
+	141	63
+	137	64
+	4	139	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	92
+	260	108
+	257	105
+	4	252	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	257	105
+	249	89
+	252	92
+	4	257	105	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	83
+	158	105
+	161	105
+	4	162	83	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	105
+	162	83
+	159	83
+	4	158	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	105
+	143	83
+	139	83
+	4	140	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	83
+	138	105
+	140	105
+	4	139	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	83
+	165	64
+	161	63
+	4	159	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	63
+	156	83
+	159	83
+	4	161	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	137	64
+	136	84
+	139	83
+	4	137	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	136	84
+	137	64
+	133	64
+	4	136	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	165	84
+	161	105
+	163	105
+	4	165	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	161	105
+	165	84
+	162	83
+	4	161	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	105
+	139	83
+	136	84
+	4	138	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	84
+	135	105
+	138	105
+	4	136	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	207	124
+	211	135
+	213	136
+	4	207	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	135
+	207	124
+	206	123
+	4	211	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	162	83
+	169	64
+	165	64
+	4	162	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	64
+	159	83
+	162	83
+	4	165	64	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	169	84
+	163	105
+	166	106
+	4	169	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	105
+	169	84
+	165	84
+	4	163	105	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	259	135
+	242	150
+	240	147
+	4	259	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	223	149
+	240	147
+	242	150
+	4	223	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	240	147
+	223	149
+	222	146
+	4	240	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	64
+	133	84
+	136	84
+	4	133	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	84
+	133	64
+	128	64
+	4	133	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	105
+	136	84
+	133	84
+	4	135	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	84
+	132	106
+	135	105
+	4	133	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	41	106
+	43	95
+	46	92
+	4	41	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	43	95
+	41	106
+	38	109
+	4	43	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	135
+	95	122
+	93	123
+	4	88	135	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	93	123
+	85	137
+	88	135
+	4	93	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	118
+	261	138
+	259	135
+	4	269	118	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	242	150
+	259	135
+	261	138
+	4	242	150	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	135
+	266	114
+	269	118
+	4	259	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	84
+	174	65
+	169	64
+	4	165	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	169	64
+	162	83
+	165	84
+	4	169	64	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	172	85
+	166	106
+	169	106
+	4	172	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	106
+	172	85
+	169	84
+	4	166	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	106
+	133	84
+	130	84
+	4	132	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	84
+	129	106
+	132	106
+	4	130	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	64
+	130	84
+	133	84
+	4	128	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	84
+	128	64
+	124	65
+	4	130	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	148
+	78	145
+	77	147
+	4	59	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	59	148
+	37	139
+	39	136
+	4	59	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	37	139
+	59	148
+	57	150
+	4	37	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	147
+	57	150
+	59	148
+	4	77	147	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	80
+	235	79
+	231	77
+	4	218	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	77
+	215	78
+	218	80
+	4	231	77	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	175	86
+	169	106
+	172	107
+	4	175	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	169	106
+	175	86
+	172	85
+	4	169	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	169	84
+	178	66
+	174	65
+	4	169	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	65
+	165	84
+	169	84
+	4	174	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	106
+	130	84
+	126	85
+	4	129	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	85
+	126	107
+	129	106
+	4	126	85	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	39	136
+	27	122
+	29	118
+	4	39	136	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	27	122
+	39	136
+	37	139
+	4	27	122	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	124	65
+	126	85
+	130	84
+	4	124	65	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	85
+	124	65
+	120	66
+	4	126	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	77
+	77	82
+	80	80
+	4	67	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	77	82
+	67	77
+	63	80
+	4	77	82	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	178	86
+	172	107
+	175	108
+	4	178	86	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	172	107
+	178	86
+	175	86
+	4	172	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	209	126
+	213	136
+	215	138
+	4	209	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	213	136
+	209	126
+	207	124
+	4	213	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	107
+	126	85
+	123	86
+	4	126	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	123	86
+	124	108
+	126	107
+	4	123	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	85
+	182	66
+	178	66
+	4	172	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	66
+	169	84
+	172	85
+	4	178	66	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	120	66
+	123	86
+	126	85
+	4	120	66	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	123	86
+	120	66
+	116	66
+	4	123	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	137
+	93	123
+	91	125
+	4	85	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	125
+	83	139
+	85	137
+	4	91	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	87
+	175	108
+	177	108
+	4	181	87	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	108
+	181	87
+	178	86
+	4	175	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	108
+	123	86
+	120	86
+	4	124	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	86
+	121	109
+	124	108
+	4	120	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	255	95
+	263	111
+	260	108
+	4	255	95	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	260	108
+	252	92
+	255	95
+	4	260	108	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	261	138
+	243	152
+	242	150
+	4	261	138	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	151
+	242	150
+	243	152
+	4	225	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	150
+	225	151
+	223	149
+	4	242	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	86
+	185	67
+	182	66
+	4	175	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	182	66
+	172	85
+	175	86
+	4	182	66	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	116	66
+	120	86
+	123	86
+	4	116	66	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	120	86
+	116	66
+	113	67
+	4	120	86	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	184	88
+	177	108
+	180	109
+	4	184	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	108
+	184	88
+	181	87
+	4	177	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	109
+	120	86
+	117	87
+	4	121	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	87
+	118	109
+	121	109
+	4	117	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	38	109
+	40	98
+	43	95
+	4	38	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	40	98
+	38	109
+	35	112
+	4	40	98	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	57	150
+	77	147
+	75	149
+	4	57	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	57	150
+	35	143
+	37	139
+	4	57	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	143
+	57	150
+	55	153
+	4	35	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	75	149
+	55	153
+	57	150
+	4	75	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	82
+	238	81
+	235	79
+	4	221	82	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	235	79
+	218	80
+	221	82
+	4	235	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	128
+	215	138
+	217	140
+	4	211	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	138
+	211	128
+	209	126
+	4	215	138	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	272	121
+	264	142
+	261	138
+	4	272	121	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	243	152
+	261	138
+	264	142
+	4	243	152	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	138
+	269	118
+	272	121
+	4	261	138	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	86
+	189	68
+	185	67
+	4	178	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	67
+	175	86
+	178	86
+	4	185	67	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	89
+	180	109
+	183	110
+	4	187	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	180	109
+	187	89
+	184	88
+	4	180	109	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	113	67
+	117	87
+	120	86
+	4	113	67	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	117	87
+	113	67
+	109	68
+	4	117	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	63	80
+	74	84
+	77	82
+	4	63	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	84
+	63	80
+	60	82
+	4	74	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	139
+	91	125
+	89	127
+	4	83	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	89	127
+	82	141
+	83	139
+	4	89	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	118	109
+	117	87
+	114	88
+	4	118	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	88
+	116	110
+	118	109
+	4	114	88	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	37	139
+	24	125
+	27	122
+	4	37	139	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	125
+	37	139
+	35	143
+	4	24	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	87
+	193	69
+	189	68
+	4	181	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	68
+	178	86
+	181	87
+	4	189	68	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	190	90
+	183	110
+	185	111
+	4	190	90	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	183	110
+	190	90
+	187	89
+	4	183	110	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	110
+	114	88
+	111	89
+	4	116	110	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	89
+	113	111
+	116	110
+	4	111	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	109	68
+	114	88
+	117	87
+	4	109	68	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	114	88
+	109	68
+	105	70
+	4	114	88	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	264	142
+	245	155
+	243	152
+	4	264	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	153
+	243	152
+	245	155
+	4	226	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	152
+	226	153
+	225	151
+	4	243	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	213	130
+	217	140
+	219	142
+	4	213	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	140
+	213	130
+	211	128
+	4	217	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	98
+	266	114
+	263	111
+	4	258	98	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	263	111
+	255	95
+	258	98
+	4	263	111	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	193	91
+	185	111
+	188	112
+	4	193	91	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	185	111
+	193	91
+	190	90
+	4	185	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	84
+	242	84
+	238	81
+	4	225	84	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	81
+	221	82
+	225	84
+	4	238	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	141
+	89	127
+	88	128
+	4	82	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	128
+	80	143
+	82	141
+	4	88	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	88
+	197	70
+	193	69
+	4	184	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	69
+	181	87
+	184	88
+	4	193	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	55	153
+	75	149
+	74	151
+	4	55	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	153
+	33	146
+	35	143
+	4	55	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	33	146
+	55	153
+	54	156
+	4	33	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	151
+	54	156
+	55	153
+	4	74	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	111
+	111	89
+	108	90
+	4	113	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	90
+	111	112
+	113	111
+	4	108	90	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	105	70
+	111	89
+	114	88
+	4	105	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	111	89
+	105	70
+	101	71
+	4	111	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	60	82
+	71	86
+	74	84
+	4	60	82	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	71	86
+	60	82
+	56	84
+	4	71	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	35	112
+	37	101
+	40	98
+	4	35	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	37	101
+	35	112
+	32	115
+	4	37	101	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	196	92
+	188	112
+	190	113
+	4	196	92	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	188	112
+	196	92
+	193	91
+	4	188	112	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	274	124
+	266	145
+	264	142
+	4	274	124	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	245	155
+	264	142
+	266	145
+	4	245	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	264	142
+	272	121
+	274	124
+	4	264	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	112
+	108	90
+	105	91
+	4	111	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	91
+	108	113
+	111	112
+	4	105	91	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	89
+	201	72
+	197	70
+	4	187	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	70
+	184	88
+	187	89
+	4	197	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	131
+	219	142
+	220	144
+	4	214	131	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	142
+	214	131
+	213	130
+	4	219	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	71
+	108	90
+	111	89
+	4	101	71	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	108	90
+	101	71
+	97	72
+	4	108	90	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	35	143
+	22	129
+	24	125
+	4	35	143	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	22	129
+	35	143
+	33	146
+	4	22	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	143
+	88	128
+	86	130
+	4	80	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	130
+	78	145
+	80	143
+	4	86	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	199	94
+	190	113
+	193	114
+	4	199	94	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	190	113
+	199	94
+	196	92
+	4	190	113	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	266	145
+	246	158
+	245	155
+	4	266	145	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	227	155
+	245	155
+	246	158
+	4	227	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	245	155
+	227	155
+	226	153
+	4	245	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	113
+	105	91
+	102	93
+	4	108	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	93
+	106	115
+	108	113
+	4	102	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	228	86
+	246	86
+	242	84
+	4	228	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	84
+	225	84
+	228	86
+	4	242	84	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	190	90
+	204	73
+	201	72
+	4	190	90	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	72
+	187	89
+	190	90
+	4	201	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	156
+	74	151
+	73	154
+	4	54	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	54	156
+	31	149
+	33	146
+	4	54	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	149
+	54	156
+	52	159
+	4	31	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	154
+	52	159
+	54	156
+	4	73	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	261	101
+	269	118
+	266	114
+	4	261	101	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	114
+	258	98
+	261	101
+	4	266	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	97	72
+	105	91
+	108	90
+	4	97	72	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	105	91
+	97	72
+	94	74
+	4	105	91	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	56	84
+	68	88
+	71	86
+	4	56	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	68	88
+	56	84
+	52	87
+	4	68	88	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	201	95
+	193	114
+	195	116
+	4	201	95	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	193	114
+	201	95
+	199	94
+	4	193	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	133
+	220	144
+	222	146
+	4	215	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	144
+	215	133
+	214	131
+	4	220	144	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	106	115
+	102	93
+	100	94
+	4	106	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	94
+	103	116
+	106	115
+	4	100	94	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	145
+	86	130
+	85	132
+	4	78	145	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	85	132
+	77	147
+	78	145
+	4	85	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	32	115
+	34	104
+	37	101
+	4	32	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	34	104
+	32	115
+	29	118
+	4	34	104	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	277	128
+	267	149
+	266	145
+	4	277	128	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	246	158
+	266	145
+	267	149
+	4	246	158	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	266	145
+	274	124
+	277	128
+	4	266	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	91
+	208	75
+	204	73
+	4	193	91	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	204	73
+	190	90
+	193	91
+	4	204	73	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	204	97
+	195	116
+	197	117
+	4	204	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	116
+	204	97
+	201	95
+	4	195	116	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	94	74
+	102	93
+	105	91
+	4	94	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	102	93
+	94	74
+	90	75
+	4	102	93	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	116
+	100	94
+	97	95
+	4	103	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	95
+	101	117
+	103	116
+	4	97	95	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	267	149
+	248	161
+	246	158
+	4	267	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	228	158
+	246	158
+	248	161
+	4	228	158	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	158
+	228	158
+	227	155
+	4	246	158	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	33	146
+	20	133
+	22	129
+	4	33	146	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	20	133
+	33	146
+	31	149
+	4	20	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	88
+	249	89
+	246	86
+	4	231	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	86
+	228	86
+	231	88
+	4	246	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	135
+	222	146
+	223	149
+	4	217	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	146
+	217	135
+	215	133
+	4	222	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	159
+	73	154
+	72	156
+	4	52	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	52	159
+	29	153
+	31	149
+	4	52	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	29	153
+	52	159
+	51	162
+	4	29	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	72	156
+	51	162
+	52	159
+	4	72	156	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	98
+	197	117
+	199	118
+	4	207	98	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	197	117
+	207	98
+	204	97
+	4	197	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	196	92
+	211	76
+	208	75
+	4	196	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	208	75
+	193	91
+	196	92
+	4	208	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	87
+	65	91
+	68	88
+	4	52	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	91
+	52	87
+	49	90
+	4	65	91	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	77	147
+	85	132
+	83	134
+	4	77	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	83	134
+	75	149
+	77	147
+	4	83	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	117
+	97	95
+	94	97
+	4	101	117	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	97
+	99	119
+	101	117
+	4	94	97	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	90	75
+	100	94
+	102	93
+	4	90	75	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	100	94
+	90	75
+	87	77
+	4	100	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	104
+	272	121
+	269	118
+	4	264	104	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	118
+	261	101
+	264	104
+	4	269	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	209	100
+	199	118
+	202	120
+	4	209	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	199	118
+	209	100
+	207	98
+	4	199	118	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	29	118
+	32	108
+	34	104
+	4	29	118	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	32	108
+	29	118
+	27	122
+	4	32	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	137
+	223	149
+	225	151
+	4	218	137	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	223	149
+	218	137
+	217	135
+	4	223	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	132
+	269	152
+	267	149
+	4	279	132	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	248	161
+	267	149
+	269	152
+	4	248	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	267	149
+	277	128
+	279	132
+	4	267	149	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	99	119
+	94	97
+	92	98
+	4	99	119	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	92	98
+	97	120
+	99	119
+	4	92	98	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	199	94
+	215	78
+	211	76
+	4	199	94	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	76
+	196	92
+	199	94
+	4	211	76	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	269	152
+	249	164
+	248	161
+	4	269	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	160
+	248	161
+	249	164
+	4	229	160	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	161
+	229	160
+	228	158
+	4	248	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	233	90
+	252	92
+	249	89
+	4	233	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	89
+	231	88
+	233	90
+	4	249	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	87	77
+	97	95
+	100	94
+	4	87	77	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	97	95
+	87	77
+	83	78
+	4	97	95	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	75	149
+	83	134
+	82	136
+	4	75	149	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	136
+	74	151
+	75	149
+	4	82	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	162
+	72	156
+	71	158
+	4	51	162	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	51	162
+	28	157
+	29	153
+	4	51	162	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	28	157
+	51	162
+	50	165
+	4	28	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	71	158
+	50	165
+	51	162
+	4	71	158	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	31	149
+	18	136
+	20	133
+	4	31	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	18	136
+	31	149
+	29	153
+	4	18	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	101
+	202	120
+	204	121
+	4	211	101	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	120
+	211	101
+	209	100
+	4	202	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	49	90
+	62	93
+	65	91
+	4	49	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	93
+	49	90
+	46	92
+	4	62	93	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	120
+	92	98
+	89	100
+	4	97	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	89	100
+	95	122
+	97	120
+	4	89	100	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	95
+	218	80
+	215	78
+	4	201	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	215	78
+	199	94
+	201	95
+	4	215	78	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	139
+	225	151
+	226	153
+	4	219	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	151
+	219	139
+	218	137
+	4	225	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	78
+	94	97
+	97	95
+	4	83	78	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	94	97
+	83	78
+	80	80
+	4	94	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	107
+	274	124
+	272	121
+	4	266	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	272	121
+	264	104
+	266	107
+	4	272	121	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	103
+	204	121
+	206	123
+	4	214	103	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	204	121
+	214	103
+	211	101
+	4	204	121	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	74	151
+	82	136
+	81	138
+	4	74	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	81	138
+	73	154
+	74	151
+	4	81	138	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	271	156
+	250	167
+	249	164
+	4	271	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	162
+	249	164
+	250	167
+	4	229	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	249	164
+	229	162
+	229	160
+	4	249	164	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	249	164
+	269	152
+	271	156
+	4	249	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	95	122
+	89	100
+	87	102
+	4	95	122	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	87	102
+	93	123
+	95	122
+	4	87	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	27	122
+	30	111
+	32	108
+	4	27	122	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	111
+	27	122
+	24	125
+	4	30	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	92
+	255	95
+	252	92
+	4	236	92	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	252	92
+	233	90
+	236	92
+	4	252	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	280	136
+	271	156
+	269	152
+	4	280	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	152
+	279	132
+	280	136
+	4	269	152	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	50	165
+	71	158
+	70	161
+	4	50	165	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	50	165
+	27	160
+	28	157
+	4	50	165	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	27	160
+	50	165
+	49	168
+	4	27	160	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	161
+	49	168
+	50	165
+	4	70	161	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	204	97
+	221	82
+	218	80
+	4	204	97	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	218	80
+	201	95
+	204	97
+	4	218	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	46	92
+	60	95
+	62	93
+	4	46	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	95
+	46	92
+	43	95
+	4	60	95	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	105
+	206	123
+	207	124
+	4	216	105	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	206	123
+	216	105
+	214	103
+	4	206	123	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	29	153
+	16	140
+	18	136
+	4	29	153	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	16	140
+	29	153
+	28	157
+	4	16	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	80	80
+	92	98
+	94	97
+	4	80	80	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	92	98
+	80	80
+	77	82
+	4	92	98	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	220	141
+	226	153
+	227	155
+	4	220	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	226	153
+	220	141
+	219	139
+	4	226	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	93	123
+	87	102
+	85	104
+	4	93	123	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	85	104
+	91	125
+	93	123
+	4	85	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	154
+	81	138
+	80	140
+	4	73	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	140
+	72	156
+	73	154
+	4	80	140	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	272	159
+	251	170
+	250	167
+	4	272	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	165
+	250	167
+	251	170
+	4	230	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	167
+	230	165
+	229	162
+	4	250	167	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	250	167
+	271	156
+	272	159
+	4	250	167	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	98
+	225	84
+	221	82
+	4	207	98	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	221	82
+	204	97
+	207	98
+	4	221	82	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	218	107
+	207	124
+	209	126
+	4	218	107	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	124
+	218	107
+	216	105
+	4	207	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	110
+	277	128
+	274	124
+	4	269	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	124
+	266	107
+	269	110
+	4	274	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	91	125
+	85	104
+	83	105
+	4	91	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	105
+	89	127
+	91	125
+	4	83	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	95
+	258	98
+	255	95
+	4	239	95	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	255	95
+	236	92
+	239	95
+	4	255	95	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	82
+	89	100
+	92	98
+	4	77	82	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	89	100
+	77	82
+	74	84
+	4	89	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	49	168
+	70	161
+	69	163
+	4	49	168	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	49	168
+	26	164
+	27	160
+	4	49	168	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	26	164
+	49	168
+	48	171
+	4	26	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	163
+	48	171
+	49	168
+	4	69	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	143
+	227	155
+	228	158
+	4	221	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	155
+	221	143
+	220	141
+	4	227	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	24	125
+	28	114
+	30	111
+	4	24	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	28	114
+	24	125
+	22	129
+	4	28	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	139
+	272	159
+	271	156
+	4	282	139	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	271	156
+	280	136
+	282	139
+	4	271	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	156
+	80	140
+	79	142
+	4	72	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	79	142
+	71	158
+	72	156
+	4	79	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	95
+	57	98
+	60	95
+	4	43	95	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	57	98
+	43	95
+	40	98
+	4	57	98	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	220	109
+	209	126
+	211	128
+	4	220	109	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	209	126
+	220	109
+	218	107
+	4	209	126	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	28	157
+	15	144
+	16	140
+	4	28	157	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	15	144
+	28	157
+	27	160
+	4	15	144	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	209	100
+	228	86
+	225	84
+	4	209	100	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	225	84
+	207	98
+	209	100
+	4	225	84	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	89	127
+	83	105
+	81	107
+	4	89	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	107
+	88	128
+	89	127
+	4	81	107	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	74	84
+	87	102
+	89	100
+	4	74	84	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	87	102
+	74	84
+	71	86
+	4	87	102	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	273	163
+	251	173
+	251	170
+	4	273	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	167
+	251	170
+	251	173
+	4	230	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	251	170
+	230	167
+	230	165
+	4	251	170	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	170
+	272	159
+	273	163
+	4	251	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	146
+	228	158
+	229	160
+	4	222	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	158
+	222	146
+	221	143
+	4	228	158	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	222	111
+	211	128
+	213	130
+	4	222	111	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	211	128
+	222	111
+	220	109
+	4	211	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	71	158
+	79	142
+	78	144
+	4	71	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	78	144
+	70	161
+	71	158
+	4	78	144	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	171
+	69	163
+	69	165
+	4	48	171	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	48	171
+	25	168
+	26	164
+	4	48	171	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	25	168
+	48	171
+	48	174
+	4	25	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	165
+	48	174
+	48	171
+	4	69	165	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	241	97
+	261	101
+	258	98
+	4	241	97	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	98
+	239	95
+	241	97
+	4	258	98	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	114
+	279	132
+	277	128
+	4	271	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	277	128
+	269	110
+	271	114
+	4	277	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	88	128
+	81	107
+	79	109
+	4	88	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	79	109
+	86	130
+	88	128
+	4	79	109	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	211	101
+	231	88
+	228	86
+	4	211	101	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	228	86
+	209	100
+	211	101
+	4	228	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	40	98
+	55	100
+	57	98
+	4	40	98	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	55	100
+	40	98
+	37	101
+	4	55	100	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	143
+	273	163
+	272	159
+	4	284	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	159
+	282	139
+	284	143
+	4	272	159	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	22	129
+	26	118
+	28	114
+	4	22	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	26	118
+	22	129
+	20	133
+	4	26	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	71	86
+	85	104
+	87	102
+	4	71	86	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	85	104
+	71	86
+	68	88
+	4	85	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	148
+	229	160
+	229	162
+	4	222	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	160
+	222	148
+	222	146
+	4	229	160	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	224	113
+	213	130
+	214	131
+	4	224	113	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	213	130
+	224	113
+	222	111
+	4	213	130	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	27	160
+	14	148
+	15	144
+	4	27	160	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	14	148
+	27	160
+	26	164
+	4	14	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	86	130
+	79	109
+	77	111
+	4	86	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	111
+	85	132
+	86	130
+	4	77	111	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	274	167
+	252	176
+	251	173
+	4	274	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	170
+	251	173
+	252	176
+	4	231	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	251	173
+	231	170
+	230	167
+	4	251	173	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	173
+	273	163
+	274	167
+	4	251	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	161
+	78	144
+	77	146
+	4	70	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	146
+	69	163
+	70	161
+	4	77	146	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	174
+	69	165
+	69	168
+	4	48	174	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	48	174
+	24	172
+	25	168
+	4	48	174	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	172
+	48	174
+	47	177
+	4	24	172	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	168
+	47	177
+	48	174
+	4	69	168	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	214	103
+	233	90
+	231	88
+	4	214	103	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	88
+	211	101
+	214	103
+	4	231	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	100
+	264	104
+	261	101
+	4	243	100	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	261	101
+	241	97
+	243	100
+	4	261	101	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	225	115
+	214	131
+	215	133
+	4	225	115	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	214	131
+	225	115
+	224	113
+	4	214	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	88
+	83	105
+	85	104
+	4	68	88	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	105
+	68	88
+	65	91
+	4	83	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	117
+	280	136
+	279	132
+	4	273	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	132
+	271	114
+	273	117
+	4	279	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	150
+	229	162
+	230	165
+	4	223	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	162
+	223	150
+	222	148
+	4	229	162	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	85	132
+	77	111
+	75	113
+	4	85	132	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	113
+	83	134
+	85	132
+	4	75	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	37	101
+	53	103
+	55	100
+	4	37	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	53	103
+	37	101
+	34	104
+	4	53	103	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	163
+	77	146
+	77	148
+	4	69	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	148
+	69	165
+	69	163
+	4	77	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	147
+	274	167
+	273	163
+	4	285	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	163
+	284	143
+	285	147
+	4	273	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	20	133
+	24	121
+	26	118
+	4	20	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	24	121
+	20	133
+	18	136
+	4	24	121	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	274	171
+	252	180
+	252	176
+	4	274	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	172
+	252	176
+	252	180
+	4	231	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	176
+	231	172
+	231	170
+	4	252	176	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	252	176
+	274	167
+	274	171
+	4	252	176	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	216	105
+	236	92
+	233	90
+	4	216	105	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	233	90
+	214	103
+	216	105
+	4	233	90	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	26	164
+	13	152
+	14	148
+	4	26	164	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	13	152
+	26	164
+	25	168
+	4	13	152	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	227	117
+	215	133
+	217	135
+	4	227	117	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	215	133
+	227	117
+	225	115
+	4	215	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	47	177
+	69	168
+	68	170
+	4	47	177	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	47	177
+	24	175
+	24	172
+	4	47	177	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	175
+	47	177
+	47	180
+	4	24	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	170
+	47	180
+	47	177
+	4	68	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	134
+	75	113
+	73	115
+	4	83	134	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	73	115
+	82	136
+	83	134
+	4	73	115	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	91
+	81	107
+	83	105
+	4	65	91	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	107
+	65	91
+	62	93
+	4	81	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	152
+	230	165
+	230	167
+	4	223	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	165
+	223	152
+	223	150
+	4	230	165	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	102
+	266	107
+	264	104
+	4	246	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	104
+	243	100
+	246	102
+	4	264	104	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	165
+	77	148
+	76	150
+	4	69	165	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	150
+	69	168
+	69	165
+	4	76	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	34	104
+	51	106
+	53	103
+	4	34	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	51	106
+	34	104
+	32	108
+	4	51	106	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	119
+	217	135
+	218	137
+	4	228	119	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	217	135
+	228	119
+	227	117
+	4	217	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	121
+	282	139
+	280	136
+	4	275	121	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	280	136
+	273	117
+	275	121
+	4	280	136	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	236	92
+	216	105
+	218	107
+	4	236	92	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	82	136
+	73	115
+	72	118
+	4	82	136	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	72	118
+	81	138
+	82	136
+	4	72	118	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	218	107
+	239	95
+	236	92
+	4	218	107	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	275	174
+	252	183
+	252	180
+	4	275	174	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	175
+	252	180
+	252	183
+	4	231	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	180
+	231	175
+	231	172
+	4	252	180	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	252	180
+	274	171
+	275	174
+	4	252	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	151
+	274	171
+	274	167
+	4	286	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	274	167
+	285	147
+	286	151
+	4	274	167	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	62	93
+	79	109
+	81	107
+	4	62	93	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	79	109
+	62	93
+	60	95
+	4	79	109	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	136
+	22	125
+	24	121
+	4	18	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	22	125
+	18	136
+	16	140
+	4	22	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	154
+	230	167
+	231	170
+	4	223	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	167
+	223	154
+	223	152
+	4	230	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	180
+	68	170
+	68	173
+	4	47	180	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	47	180
+	24	179
+	24	175
+	4	47	180	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	179
+	47	180
+	47	184
+	4	24	179	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	173
+	47	184
+	47	180
+	4	68	173	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	25	168
+	12	156
+	13	152
+	4	25	168	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	12	156
+	25	168
+	24	172
+	4	12	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	168
+	76	150
+	76	153
+	4	69	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	153
+	68	170
+	69	168
+	4	76	153	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	229	121
+	218	137
+	219	139
+	4	229	121	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	218	137
+	229	121
+	228	119
+	4	218	137	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	239	95
+	218	107
+	220	109
+	4	239	95	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	81	138
+	72	118
+	71	120
+	4	81	138	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	71	120
+	80	140
+	81	138
+	4	71	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	105
+	269	110
+	266	107
+	4	248	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	107
+	246	102
+	248	105
+	4	266	107	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	220	109
+	241	97
+	239	95
+	4	220	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	32	108
+	49	108
+	51	106
+	4	32	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	108
+	32	108
+	30	111
+	4	49	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	156
+	231	170
+	231	172
+	4	223	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	170
+	223	156
+	223	154
+	4	231	170	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	275	178
+	252	186
+	252	183
+	4	275	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	177
+	252	183
+	252	186
+	4	231	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	183
+	231	177
+	231	175
+	4	252	183	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	252	183
+	275	174
+	275	178
+	4	252	183	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	60	95
+	77	111
+	79	109
+	4	60	95	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	111
+	60	95
+	57	98
+	4	77	111	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	231	124
+	219	139
+	220	141
+	4	231	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	219	139
+	231	124
+	229	121
+	4	219	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	276	124
+	284	143
+	282	139
+	4	276	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	139
+	275	121
+	276	124
+	4	282	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	170
+	76	153
+	76	155
+	4	68	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	155
+	68	173
+	68	170
+	4	76	155	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	241	97
+	220	109
+	222	111
+	4	241	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	155
+	275	174
+	274	171
+	4	287	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	274	171
+	286	151
+	287	155
+	4	274	171	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	184
+	68	173
+	68	175
+	4	47	184	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	47	184
+	24	183
+	24	179
+	4	47	184	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	183
+	47	184
+	47	187
+	4	24	183	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	175
+	47	187
+	47	184
+	4	68	175	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	80	140
+	71	120
+	69	122
+	4	80	140	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	69	122
+	79	142
+	80	140
+	4	69	122	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	16	140
+	21	129
+	22	125
+	4	16	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	21	129
+	16	140
+	15	144
+	4	21	129	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	172
+	12	161
+	12	156
+	4	24	172	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	12	161
+	24	172
+	24	175
+	4	12	161	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	222	111
+	243	100
+	241	97
+	4	222	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	108
+	271	114
+	269	110
+	4	250	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	110
+	248	105
+	250	108
+	4	269	110	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	159
+	231	172
+	231	175
+	4	223	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	172
+	223	159
+	223	156
+	4	231	172	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	232	126
+	220	141
+	221	143
+	4	232	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	141
+	232	126
+	231	124
+	4	220	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	57	98
+	75	113
+	77	111
+	4	57	98	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	113
+	57	98
+	55	100
+	4	75	113	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	243	100
+	222	111
+	224	113
+	4	243	100	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	79	142
+	69	122
+	68	124
+	4	79	142	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	68	124
+	78	144
+	79	142
+	4	68	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	173
+	76	155
+	76	157
+	4	68	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	157
+	68	175
+	68	173
+	4	76	157	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	275	182
+	251	189
+	252	186
+	4	275	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	180
+	252	186
+	251	189
+	4	230	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	186
+	230	180
+	231	177
+	4	252	186	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	252	186
+	275	178
+	275	182
+	4	252	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	30	111
+	47	111
+	49	108
+	4	30	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	47	111
+	30	111
+	28	114
+	4	47	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	187
+	68	175
+	68	178
+	4	47	187	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	47	187
+	24	187
+	24	183
+	4	47	187	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	187
+	47	187
+	48	190
+	4	24	187	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	178
+	48	190
+	47	187
+	4	68	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	128
+	285	147
+	284	143
+	4	278	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	284	143
+	276	124
+	278	128
+	4	284	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	160
+	275	178
+	275	174
+	4	287	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	174
+	287	155
+	287	160
+	4	275	174	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	232	128
+	221	143
+	222	146
+	4	232	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	221	143
+	232	128
+	232	126
+	4	221	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	161
+	231	175
+	231	177
+	4	223	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	175
+	223	161
+	223	159
+	4	231	175	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	224	113
+	246	102
+	243	100
+	4	224	113	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	246	102
+	224	113
+	225	115
+	4	246	102	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	78	144
+	68	124
+	67	127
+	4	78	144	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	67	127
+	77	146
+	78	144
+	4	67	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	175
+	76	157
+	76	159
+	4	68	175	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	159
+	68	178
+	68	175
+	4	76	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	175
+	11	165
+	12	161
+	4	24	175	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	11	165
+	24	175
+	24	179
+	4	11	165	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	15	144
+	20	132
+	21	129
+	4	15	144	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	20	132
+	15	144
+	14	148
+	4	20	132	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	100
+	73	115
+	75	113
+	4	55	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	73	115
+	55	100
+	53	103
+	4	73	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	111
+	273	117
+	271	114
+	4	251	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	271	114
+	250	108
+	251	111
+	4	271	114	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	275	186
+	251	192
+	251	189
+	4	275	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	182
+	251	189
+	251	192
+	4	230	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	251	189
+	230	182
+	230	180
+	4	251	189	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	189
+	275	182
+	275	186
+	4	251	189	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	233	131
+	222	146
+	222	148
+	4	233	131	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	146
+	233	131
+	232	128
+	4	222	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	28	114
+	46	114
+	47	111
+	4	28	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	46	114
+	28	114
+	26	118
+	4	46	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	48	190
+	68	178
+	69	180
+	4	48	190	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	48	190
+	25	191
+	24	187
+	4	48	190	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	25	191
+	48	190
+	48	193
+	4	25	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	69	180
+	48	193
+	48	190
+	4	69	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	163
+	231	177
+	230	180
+	4	223	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	177
+	223	163
+	223	161
+	4	231	177	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	77	146
+	67	127
+	66	129
+	4	77	146	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	66	129
+	77	148
+	77	146
+	4	66	129	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	248	105
+	225	115
+	227	117
+	4	248	105	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	225	115
+	248	105
+	246	102
+	4	225	115	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	178
+	76	159
+	76	161
+	4	68	178	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	161
+	69	180
+	68	178
+	4	76	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	103
+	72	118
+	73	115
+	4	53	103	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	288	164
+	275	182
+	275	178
+	4	288	164	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	275	178
+	287	160
+	288	164
+	4	275	178	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	72	118
+	53	103
+	51	106
+	4	72	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	131
+	286	151
+	285	147
+	4	279	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	285	147
+	278	128
+	279	131
+	4	285	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	234	133
+	222	148
+	223	150
+	4	234	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	148
+	234	133
+	233	131
+	4	222	148	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	179
+	11	169
+	11	165
+	4	24	179	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	11	169
+	24	179
+	24	183
+	4	11	169	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	274	190
+	250	196
+	251	192
+	4	274	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	185
+	251	192
+	250	196
+	4	229	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	251	192
+	229	185
+	230	182
+	4	251	192	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	192
+	275	186
+	274	190
+	4	251	192	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	77	148
+	66	129
+	66	131
+	4	77	148	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	66	131
+	76	150
+	77	148
+	4	66	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	14	148
+	19	136
+	20	132
+	4	14	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	19	136
+	14	148
+	13	152
+	4	19	136	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	250	108
+	227	117
+	228	119
+	4	250	108	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	227	117
+	250	108
+	248	105
+	4	227	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	113
+	275	121
+	273	117
+	4	253	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	117
+	251	111
+	253	113
+	4	273	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	165
+	230	180
+	230	182
+	4	222	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	180
+	222	165
+	223	163
+	4	230	180	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	48	193
+	69	180
+	69	183
+	4	48	193	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	193
+	26	195
+	25	191
+	4	48	193	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	26	195
+	48	193
+	49	196
+	4	26	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	183
+	49	196
+	48	193
+	4	69	183	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	106
+	71	120
+	72	118
+	4	51	106	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	180
+	76	161
+	76	164
+	4	69	180	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	164
+	69	183
+	69	180
+	4	76	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	26	118
+	44	117
+	46	114
+	4	26	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	44	117
+	26	118
+	24	121
+	4	44	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	234	136
+	223	150
+	223	152
+	4	234	136	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	223	150
+	234	136
+	234	133
+	4	223	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	71	120
+	51	106
+	49	108
+	4	71	120	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	76	150
+	66	131
+	65	134
+	4	76	150	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	134
+	76	153
+	76	150
+	4	65	134	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	251	111
+	228	119
+	229	121
+	4	251	111	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	228	119
+	251	111
+	250	108
+	4	228	119	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	288	168
+	275	186
+	275	182
+	4	288	168	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	275	182
+	288	164
+	288	168
+	4	275	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	167
+	230	182
+	229	185
+	4	222	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	182
+	222	167
+	222	165
+	4	230	182	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	274	194
+	249	199
+	250	196
+	4	274	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	187
+	250	196
+	249	199
+	4	228	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	196
+	228	187
+	229	185
+	4	250	196	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	250	196
+	274	190
+	274	194
+	4	250	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	49	108
+	69	122
+	71	120
+	4	49	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	135
+	287	155
+	286	151
+	4	280	135	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	286	151
+	279	131
+	280	135
+	4	286	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	183
+	76	164
+	77	166
+	4	69	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	196
+	69	183
+	70	185
+	4	49	196	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	77	166
+	70	185
+	69	183
+	4	77	166	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	183
+	12	173
+	11	169
+	4	24	183	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	12	173
+	24	183
+	24	187
+	4	12	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	49	196
+	27	199
+	26	195
+	4	49	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	27	199
+	49	196
+	50	200
+	4	27	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	185
+	50	200
+	49	196
+	4	70	185	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	234	138
+	223	152
+	223	154
+	4	234	138	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	223	152
+	234	138
+	234	136
+	4	223	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	254	116
+	276	124
+	275	121
+	4	254	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	275	121
+	253	113
+	254	116
+	4	275	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	13	152
+	18	140
+	19	136
+	4	13	152	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	140
+	13	152
+	12	156
+	4	18	140	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	76	153
+	65	134
+	65	136
+	4	76	153	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	136
+	76	155
+	76	153
+	4	65	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	24	121
+	43	120
+	44	117
+	4	24	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	43	120
+	24	121
+	22	125
+	4	43	120	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	253	113
+	229	121
+	231	124
+	4	253	113	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	229	121
+	253	113
+	251	111
+	4	229	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	122
+	49	108
+	47	111
+	4	69	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	170
+	229	185
+	228	187
+	4	221	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	185
+	221	170
+	222	167
+	4	229	185	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	47	111
+	68	124
+	69	122
+	4	47	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	185
+	77	166
+	77	168
+	4	70	185	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	50	200
+	70	185
+	71	188
+	4	50	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	77	168
+	71	188
+	70	185
+	4	77	168	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	273	198
+	248	202
+	249	199
+	4	273	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	190
+	249	199
+	248	202
+	4	228	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	249	199
+	228	190
+	228	187
+	4	249	199	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	199
+	274	194
+	273	198
+	4	249	199	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	235	141
+	223	154
+	223	156
+	4	235	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	223	154
+	235	141
+	234	138
+	4	223	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	172
+	274	190
+	275	186
+	4	287	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	275	186
+	288	168
+	287	172
+	4	275	186	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	76	155
+	65	136
+	64	139
+	4	76	155	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	64	139
+	76	157
+	76	155
+	4	64	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	50	200
+	28	203
+	27	199
+	4	50	200	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	28	203
+	50	200
+	51	203
+	4	28	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	188
+	51	203
+	50	200
+	4	71	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	139
+	287	160
+	287	155
+	4	280	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	155
+	280	135
+	280	139
+	4	287	155	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	254	116
+	231	124
+	232	126
+	4	254	116	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	231	124
+	254	116
+	253	113
+	4	231	124	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	187
+	12	177
+	12	173
+	4	24	187	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	12	177
+	24	187
+	25	191
+	4	12	177	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	220	172
+	228	187
+	228	190
+	4	220	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	187
+	220	172
+	221	170
+	4	228	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	119
+	278	128
+	276	124
+	4	255	119	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	276	124
+	254	116
+	255	119
+	4	276	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	124
+	47	111
+	46	114
+	4	68	124	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	46	114
+	67	127
+	68	124
+	4	46	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	188
+	77	168
+	78	170
+	4	71	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	51	203
+	71	188
+	72	190
+	4	51	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	170
+	72	190
+	71	188
+	4	78	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	235	143
+	223	156
+	223	159
+	4	235	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	223	156
+	235	143
+	235	141
+	4	223	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	12	156
+	18	144
+	18	140
+	4	12	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	144
+	12	156
+	12	161
+	4	18	144	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	22	125
+	42	123
+	43	120
+	4	22	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	123
+	22	125
+	21	129
+	4	42	123	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	76	157
+	64	139
+	64	141
+	4	76	157	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	64	141
+	76	159
+	76	157
+	4	64	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	272	202
+	247	205
+	248	202
+	4	272	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	192
+	248	202
+	247	205
+	4	226	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	202
+	226	192
+	228	190
+	4	248	202	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	248	202
+	273	198
+	272	202
+	4	248	202	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	203
+	29	207
+	28	203
+	4	51	203	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	29	207
+	51	203
+	52	206
+	4	29	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	72	190
+	52	206
+	51	203
+	4	72	190	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	255	119
+	232	126
+	232	128
+	4	255	119	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	232	126
+	255	119
+	254	116
+	4	232	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	174
+	228	190
+	226	192
+	4	219	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	190
+	219	174
+	220	172
+	4	228	190	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	176
+	274	194
+	274	190
+	4	287	176	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	274	190
+	287	172
+	287	176
+	4	274	190	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	67	127
+	46	114
+	44	117
+	4	67	127	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	44	117
+	66	129
+	67	127
+	4	44	117	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	190
+	78	170
+	79	172
+	4	72	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	206
+	72	190
+	73	193
+	4	52	206	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	79	172
+	73	193
+	72	190
+	4	79	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	146
+	223	159
+	223	161
+	4	234	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	159
+	234	146
+	235	143
+	4	223	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	76	159
+	64	141
+	64	144
+	4	76	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	64	144
+	76	161
+	76	159
+	4	64	144	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	25	191
+	13	182
+	12	177
+	4	25	191	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	13	182
+	25	191
+	26	195
+	4	13	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	143
+	288	164
+	287	160
+	4	281	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	160
+	280	139
+	281	143
+	4	287	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	256	122
+	279	131
+	278	128
+	4	256	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	128
+	255	119
+	256	122
+	4	278	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	270	206
+	246	208
+	247	205
+	4	270	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	195
+	247	205
+	246	208
+	4	225	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	247	205
+	225	195
+	226	192
+	4	247	205	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	205
+	272	202
+	270	206
+	4	247	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	218	176
+	226	192
+	225	195
+	4	218	176	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	192
+	218	176
+	219	174
+	4	226	192	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	256	122
+	232	128
+	233	131
+	4	256	122	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	232	128
+	256	122
+	255	119
+	4	232	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	12	161
+	18	148
+	18	144
+	4	12	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	148
+	12	161
+	11	165
+	4	18	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	21	129
+	41	126
+	42	123
+	4	21	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	126
+	21	129
+	20	132
+	4	41	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	52	206
+	31	211
+	29	207
+	4	52	206	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	211
+	52	206
+	54	209
+	4	31	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	193
+	54	209
+	52	206
+	4	73	193	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	193
+	79	172
+	80	175
+	4	73	193	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	209
+	73	193
+	74	195
+	4	54	209	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	175
+	74	195
+	73	193
+	4	80	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	148
+	223	161
+	223	163
+	4	234	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	161
+	234	148
+	234	146
+	4	223	161	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	66	129
+	44	117
+	43	120
+	4	66	129	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	43	120
+	66	131
+	66	129
+	4	43	120	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	76	161
+	64	144
+	65	146
+	4	76	161	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	146
+	76	164
+	76	161
+	4	65	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	181
+	273	198
+	274	194
+	4	286	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	274	194
+	287	176
+	286	181
+	4	274	194	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	208
+	224	197
+	225	195
+	4	246	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	178
+	225	195
+	224	197
+	4	217	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	195
+	217	178
+	218	176
+	4	225	195	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	210
+	244	211
+	246	208
+	4	268	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	197
+	246	208
+	244	211
+	4	224	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	208
+	270	206
+	268	210
+	4	246	208	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	257	125
+	233	131
+	234	133
+	4	257	125	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	233	131
+	257	125
+	256	122
+	4	233	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	26	195
+	14	186
+	13	182
+	4	26	195	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	14	186
+	26	195
+	27	199
+	4	14	186	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	151
+	223	163
+	222	165
+	4	234	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	163
+	234	151
+	234	148
+	4	223	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	74	195
+	80	175
+	81	177
+	4	74	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	195
+	55	212
+	54	209
+	4	74	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	55	212
+	74	195
+	75	198
+	4	55	212	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	81	177
+	75	198
+	74	195
+	4	81	177	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	66	131
+	43	120
+	42	123
+	4	66	131	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	42	123
+	65	134
+	66	131
+	4	42	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	257	125
+	280	135
+	279	131
+	4	257	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	131
+	256	122
+	257	125
+	4	279	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	54	209
+	33	214
+	31	211
+	4	54	209	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	33	214
+	54	209
+	55	212
+	4	33	214	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	76	164
+	65	146
+	65	149
+	4	76	164	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	149
+	77	166
+	76	164
+	4	65	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	147
+	288	168
+	288	164
+	4	281	147	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	288	164
+	281	143
+	281	147
+	4	288	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	20	132
+	41	129
+	41	126
+	4	20	132	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	129
+	20	132
+	19	136
+	4	41	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	11	165
+	18	152
+	18	148
+	4	11	165	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	152
+	11	165
+	11	169
+	4	18	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	211
+	222	199
+	224	197
+	4	244	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	215	180
+	224	197
+	222	199
+	4	215	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	197
+	215	180
+	217	178
+	4	224	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	233	153
+	222	165
+	222	167
+	4	233	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	165
+	233	153
+	234	151
+	4	222	165	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	75	198
+	81	177
+	82	179
+	4	75	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	75	198
+	57	215
+	55	212
+	4	75	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	57	215
+	75	198
+	77	200
+	4	57	215	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	179
+	77	200
+	75	198
+	4	82	179	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	258	129
+	234	133
+	234	136
+	4	258	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	133
+	258	129
+	257	125
+	4	234	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	267	213
+	242	214
+	244	211
+	4	267	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	199
+	244	211
+	242	214
+	4	222	199	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	244	211
+	268	210
+	267	213
+	4	244	211	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	185
+	272	202
+	273	198
+	4	285	185	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	198
+	286	181
+	285	185
+	4	273	198	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	77	166
+	65	149
+	65	151
+	4	77	166	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	151
+	77	168
+	77	166
+	4	65	151	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	134
+	42	123
+	41	126
+	4	65	134	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	41	126
+	65	136
+	65	134
+	4	41	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	212
+	35	218
+	33	214
+	4	55	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	218
+	55	212
+	57	215
+	4	35	218	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	27	199
+	15	190
+	14	186
+	4	27	199	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	15	190
+	27	199
+	28	203
+	4	15	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	242	214
+	221	202
+	222	199
+	4	242	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	214	182
+	222	199
+	221	202
+	4	214	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	199
+	214	182
+	215	180
+	4	222	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	258	129
+	280	139
+	280	135
+	4	258	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	280	135
+	257	125
+	258	129
+	4	280	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	232	156
+	222	167
+	221	170
+	4	232	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	167
+	232	156
+	233	153
+	4	222	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	200
+	82	179
+	84	181
+	4	77	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	200
+	59	218
+	57	215
+	4	77	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	218
+	77	200
+	79	202
+	4	59	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	181
+	79	202
+	77	200
+	4	84	181	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	151
+	287	172
+	288	168
+	4	281	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	288	168
+	281	147
+	281	151
+	4	288	168	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	258	132
+	234	136
+	234	138
+	4	258	132	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	136
+	258	132
+	258	129
+	4	234	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	168
+	65	151
+	66	154
+	4	77	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	66	154
+	78	170
+	77	168
+	4	66	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	19	136
+	40	133
+	41	129
+	4	19	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	40	133
+	19	136
+	18	140
+	4	40	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	264	217
+	240	217
+	242	214
+	4	264	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	202
+	242	214
+	240	217
+	4	221	202	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	242	214
+	267	213
+	264	217
+	4	242	214	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	136
+	41	126
+	41	129
+	4	65	136	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	41	129
+	64	139
+	65	136
+	4	41	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	11	169
+	18	156
+	18	152
+	4	11	169	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	156
+	11	169
+	12	173
+	4	18	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	240	217
+	219	204
+	221	202
+	4	240	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	212	184
+	221	202
+	219	204
+	4	212	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	202
+	212	184
+	214	182
+	4	221	202	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	57	215
+	38	222
+	35	218
+	4	57	215	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	222
+	57	215
+	59	218
+	4	38	222	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	189
+	270	206
+	272	202
+	4	284	189	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	272	202
+	285	185
+	284	189
+	4	272	202	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	158
+	221	170
+	220	172
+	4	231	158	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	170
+	231	158
+	232	156
+	4	221	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	202
+	84	181
+	85	183
+	4	79	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	202
+	62	221
+	59	218
+	4	79	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	62	221
+	79	202
+	81	204
+	4	62	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	183
+	81	204
+	79	202
+	4	85	183	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	78	170
+	66	154
+	67	156
+	4	78	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	156
+	79	172
+	78	170
+	4	67	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	28	203
+	17	194
+	15	190
+	4	28	203	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	17	194
+	28	203
+	29	207
+	4	17	194	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	135
+	234	138
+	235	141
+	4	259	135	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	138
+	259	135
+	258	132
+	4	234	138	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	64	139
+	41	129
+	40	133
+	4	64	139	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	40	133
+	64	141
+	64	139
+	4	40	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	262	221
+	238	220
+	240	217
+	4	262	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	204
+	240	217
+	238	220
+	4	219	204	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	240	217
+	264	217
+	262	221
+	4	240	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	220
+	217	206
+	219	204
+	4	238	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	211	186
+	219	204
+	217	206
+	4	211	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	204
+	211	186
+	212	184
+	4	219	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	258	132
+	281	143
+	280	139
+	4	258	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	280	139
+	258	129
+	258	132
+	4	280	139	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	230	161
+	220	172
+	219	174
+	4	230	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	172
+	230	161
+	231	158
+	4	220	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	204
+	85	183
+	87	185
+	4	81	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	204
+	64	224
+	62	221
+	4	81	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	64	224
+	81	204
+	82	207
+	4	64	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	185
+	82	207
+	81	204
+	4	87	185	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	155
+	287	176
+	287	172
+	4	281	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	172
+	281	151
+	281	155
+	4	287	172	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	59	218
+	40	225
+	38	222
+	4	59	218	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	40	225
+	59	218
+	62	221
+	4	40	225	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	79	172
+	67	156
+	68	159
+	4	79	172	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	159
+	80	175
+	79	172
+	4	68	159	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	18	140
+	40	136
+	40	133
+	4	18	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	40	136
+	18	140
+	18	144
+	4	40	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	12	173
+	19	160
+	18	156
+	4	12	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	19	160
+	12	173
+	12	177
+	4	19	160	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	138
+	235	141
+	235	143
+	4	259	138	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	141
+	259	138
+	259	135
+	4	235	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	283	193
+	268	210
+	270	206
+	4	283	193	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	270	206
+	284	189
+	283	193
+	4	270	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	236	223
+	215	208
+	217	206
+	4	236	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	209	188
+	217	206
+	215	208
+	4	209	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	206
+	209	188
+	211	186
+	4	217	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	206
+	238	220
+	236	223
+	4	217	206	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	64	141
+	40	133
+	40	136
+	4	64	141	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	40	136
+	64	144
+	64	141
+	4	40	136	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	163
+	219	174
+	218	176
+	4	229	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	219	174
+	229	163
+	230	161
+	4	219	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	207
+	87	185
+	89	187
+	4	82	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	207
+	67	227
+	64	224
+	4	82	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	67	227
+	82	207
+	85	209
+	4	67	227	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	89	187
+	85	209
+	82	207
+	4	89	187	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	29	207
+	19	198
+	17	194
+	4	29	207	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	19	198
+	29	207
+	31	211
+	4	19	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	259	225
+	236	223
+	238	220
+	4	259	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	220
+	262	221
+	259	225
+	4	238	220	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	80	175
+	68	159
+	69	161
+	4	80	175	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	161
+	81	177
+	80	175
+	4	69	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	62	221
+	43	229
+	40	225
+	4	62	221	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	43	229
+	62	221
+	64	224
+	4	43	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	135
+	281	147
+	281	143
+	4	259	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	143
+	258	132
+	259	135
+	4	281	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	233	226
+	213	210
+	215	208
+	4	233	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	207	190
+	215	208
+	213	210
+	4	207	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	215	208
+	207	190
+	209	188
+	4	215	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	215	208
+	236	223
+	233	226
+	4	215	208	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	141
+	235	143
+	234	146
+	4	259	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	143
+	259	141
+	259	138
+	4	235	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	209
+	89	187
+	91	189
+	4	85	209	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	209
+	69	229
+	67	227
+	4	85	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	69	229
+	85	209
+	87	211
+	4	69	229	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	189
+	87	211
+	85	209
+	4	91	189	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	228	165
+	218	176
+	217	178
+	4	228	165	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	218	176
+	228	165
+	229	163
+	4	218	176	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	159
+	286	181
+	287	176
+	4	280	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	176
+	281	155
+	280	159
+	4	287	176	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	64	144
+	40	136
+	40	139
+	4	64	144	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	40	139
+	65	146
+	64	144
+	4	40	139	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	18	144
+	40	139
+	40	136
+	4	18	144	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	40	139
+	18	144
+	18	148
+	4	40	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	177
+	69	161
+	70	164
+	4	81	177	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	164
+	82	179
+	81	177
+	4	70	164	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	256	228
+	233	226
+	236	223
+	4	256	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	223
+	259	225
+	256	228
+	4	236	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	197
+	267	213
+	268	210
+	4	281	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	268	210
+	283	193
+	281	197
+	4	268	210	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	12	177
+	19	163
+	19	160
+	4	12	177	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	19	163
+	12	177
+	13	182
+	4	19	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	64	224
+	46	232
+	43	229
+	4	64	224	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	232
+	64	224
+	67	227
+	4	46	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	229
+	210	213
+	213	210
+	4	230	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	192
+	213	210
+	210	213
+	4	204	192	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	210
+	204	192
+	207	190
+	4	213	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	213	210
+	233	226
+	230	229
+	4	213	210	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	211
+	21	203
+	19	198
+	4	31	211	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	21	203
+	31	211
+	33	214
+	4	21	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	211
+	91	189
+	93	190
+	4	87	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	211
+	72	232
+	69	229
+	4	87	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	72	232
+	87	211
+	89	213
+	4	72	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	190
+	89	213
+	87	211
+	4	93	190	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	226	168
+	217	178
+	215	180
+	4	226	168	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	217	178
+	226	168
+	228	165
+	4	217	178	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	144
+	234	146
+	234	148
+	4	259	144	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	146
+	259	144
+	259	141
+	4	234	146	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	82	179
+	70	164
+	72	166
+	4	82	179	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	72	166
+	84	181
+	82	179
+	4	72	166	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	146
+	40	139
+	40	142
+	4	65	146	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	40	142
+	65	149
+	65	146
+	4	40	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	231
+	208	214
+	211	212
+	4	227	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	202	193
+	211	212
+	208	214
+	4	202	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	212
+	202	193
+	205	191
+	4	211	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	232
+	230	229
+	233	226
+	4	253	232	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	233	226
+	256	228
+	253	232
+	4	233	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	138
+	281	151
+	281	147
+	4	259	138	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	147
+	259	135
+	259	138
+	4	281	147	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	210	213
+	230	229
+	227	231
+	4	210	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	213
+	93	190
+	95	192
+	4	89	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	213
+	76	234
+	72	232
+	4	89	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	234
+	89	213
+	92	215
+	4	76	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	192
+	92	215
+	89	213
+	4	95	192	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	227
+	50	236
+	46	232
+	4	67	227	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	50	236
+	67	227
+	69	229
+	4	50	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	224	170
+	215	180
+	214	182
+	4	224	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	215	180
+	224	170
+	226	168
+	4	215	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	162
+	285	185
+	286	181
+	4	280	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	286	181
+	280	159
+	280	162
+	4	286	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	279	202
+	264	217
+	267	213
+	4	279	202	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	267	213
+	281	197
+	279	202
+	4	267	213	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	18	148
+	40	142
+	40	139
+	4	18	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	40	142
+	18	148
+	18	152
+	4	40	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	84	181
+	72	166
+	73	168
+	4	84	181	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	73	168
+	85	183
+	84	181
+	4	73	168	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	258	148
+	234	148
+	234	151
+	4	258	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	148
+	258	148
+	259	144
+	4	234	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	234
+	205	216
+	208	214
+	4	224	234	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	195
+	208	214
+	205	216
+	4	200	195	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	208	214
+	200	195
+	202	193
+	4	208	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	214
+	227	231
+	224	234
+	4	208	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	33	214
+	23	207
+	21	203
+	4	33	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	23	207
+	33	214
+	35	218
+	4	23	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	13	182
+	20	167
+	19	163
+	4	13	182	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	20	167
+	13	182
+	14	186
+	4	20	167	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	149
+	40	142
+	41	145
+	4	65	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	41	145
+	65	151
+	65	149
+	4	41	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	215
+	95	192
+	97	194
+	4	92	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	215
+	79	237
+	76	234
+	4	92	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	79	237
+	92	215
+	94	217
+	4	79	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	194
+	94	217
+	92	215
+	4	97	194	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	235
+	227	231
+	230	229
+	4	250	235	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	230	229
+	253	232
+	250	235
+	4	230	229	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	172
+	214	182
+	212	184
+	4	222	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	182
+	222	172
+	224	170
+	4	214	182	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	69	229
+	53	239
+	50	236
+	4	69	229	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	53	239
+	69	229
+	72	232
+	4	53	239	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	85	183
+	73	168
+	75	171
+	4	85	183	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	171
+	87	185
+	85	183
+	4	75	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	236
+	203	218
+	205	216
+	4	221	236	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	197
+	205	216
+	203	218
+	4	197	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	205	216
+	197	197
+	200	195
+	4	205	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	216
+	224	234
+	221	236
+	4	205	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	217
+	97	194
+	100	195
+	4	94	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	217
+	82	239
+	79	237
+	4	94	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	239
+	94	217
+	97	218
+	4	82	239	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	195
+	97	218
+	94	217
+	4	100	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	141
+	281	155
+	281	151
+	4	259	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	151
+	259	138
+	259	141
+	4	281	151	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	257	151
+	234	151
+	233	153
+	4	257	151	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	151
+	257	151
+	258	148
+	4	234	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	276	206
+	262	221
+	264	217
+	4	276	206	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	264	217
+	279	202
+	276	206
+	4	264	217	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	175
+	212	184
+	211	186
+	4	220	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	184
+	220	175
+	222	172
+	4	212	184	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	151
+	41	145
+	41	148
+	4	65	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	148
+	66	154
+	65	151
+	4	41	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	227	231
+	250	235
+	247	238
+	4	227	231	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	239
+	224	234
+	227	231
+	4	246	239	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	18	152
+	41	145
+	40	142
+	4	18	152	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	41	145
+	18	152
+	18	156
+	4	41	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	239
+	200	220
+	203	218
+	4	218	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	195	198
+	203	218
+	200	220
+	4	195	198	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	218
+	195	198
+	197	197
+	4	203	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	203	218
+	221	236
+	218	239
+	4	203	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	166
+	284	189
+	285	185
+	4	279	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	285	185
+	280	162
+	279	166
+	4	285	185	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	87	185
+	75	171
+	77	173
+	4	87	185	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	173
+	89	187
+	87	185
+	4	77	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	218
+	26	211
+	23	207
+	4	35	218	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	26	211
+	35	218
+	38	222
+	4	26	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	232
+	57	242
+	53	239
+	4	72	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	57	242
+	72	232
+	76	234
+	4	57	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	218
+	100	195
+	102	197
+	4	97	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	218
+	86	241
+	82	239
+	4	97	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	86	241
+	97	218
+	100	220
+	4	86	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	197
+	100	220
+	97	218
+	4	102	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	14	186
+	22	171
+	20	167
+	4	14	186	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	22	171
+	14	186
+	15	190
+	4	22	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	218	177
+	211	186
+	209	188
+	4	218	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	211	186
+	218	177
+	220	175
+	4	211	186	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	154
+	233	153
+	232	156
+	4	256	154	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	233	153
+	256	154
+	257	151
+	4	233	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	241
+	197	221
+	200	220
+	4	214	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	200
+	200	220
+	197	221
+	4	192	200	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	220
+	192	200
+	195	198
+	4	200	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	200	220
+	218	239
+	214	241
+	4	200	220	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	89	187
+	77	173
+	79	175
+	4	89	187	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	79	175
+	91	189
+	89	187
+	4	79	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	220
+	102	197
+	105	198
+	4	100	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	220
+	90	243
+	86	241
+	4	100	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	243
+	100	220
+	103	222
+	4	90	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	198
+	103	222
+	100	220
+	4	105	198	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	242
+	221	236
+	224	234
+	4	243	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	224	234
+	246	239
+	243	242
+	4	224	234	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	66	154
+	41	148
+	42	152
+	4	66	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	152
+	67	156
+	66	154
+	4	42	152	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	76	234
+	61	245
+	57	242
+	4	76	234	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	61	245
+	76	234
+	79	237
+	4	61	245	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	274	210
+	259	225
+	262	221
+	4	274	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	262	221
+	276	206
+	274	210
+	4	262	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	144
+	280	159
+	281	155
+	4	259	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	155
+	259	141
+	259	144
+	4	281	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	243
+	194	223
+	197	221
+	4	210	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	201
+	197	221
+	194	223
+	4	189	201	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	221
+	189	201
+	192	200
+	4	197	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	221
+	214	241
+	210	243
+	4	197	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	179
+	209	188
+	207	190
+	4	216	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	209	188
+	216	179
+	218	177
+	4	209	188	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	222
+	105	198
+	107	200
+	4	103	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	222
+	94	245
+	90	243
+	4	103	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	245
+	103	222
+	106	223
+	4	94	245	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	200
+	106	223
+	103	222
+	4	107	200	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	91	189
+	79	175
+	81	177
+	4	91	189	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	177
+	93	190
+	91	189
+	4	81	177	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	222
+	29	215
+	26	211
+	4	38	222	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	29	215
+	38	222
+	40	225
+	4	29	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	18	156
+	41	148
+	41	145
+	4	18	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	41	148
+	18	156
+	19	160
+	4	41	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	255	157
+	232	156
+	231	158
+	4	255	157	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	232	156
+	255	157
+	256	154
+	4	232	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	170
+	283	193
+	284	189
+	4	278	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	284	189
+	279	166
+	278	170
+	4	284	189	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	245
+	218	239
+	221	236
+	4	239	245	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	221	236
+	243	242
+	239	245
+	4	221	236	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	206	245
+	191	224
+	194	223
+	4	206	245	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	187	202
+	194	223
+	191	224
+	4	187	202	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	223
+	187	202
+	189	201
+	4	194	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	194	223
+	210	243
+	206	245
+	4	194	223	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	156
+	42	152
+	43	155
+	4	67	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	43	155
+	68	159
+	67	156
+	4	43	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	223
+	107	200
+	110	201
+	4	106	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	106	223
+	98	247
+	94	245
+	4	106	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	247
+	106	223
+	109	224
+	4	98	247	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	201
+	109	224
+	106	223
+	4	110	201	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	79	237
+	66	248
+	61	245
+	4	79	237	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	248
+	79	237
+	82	239
+	4	66	248	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	181
+	207	190
+	204	192
+	4	213	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	190
+	213	181
+	216	179
+	4	207	190	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	15	190
+	23	175
+	22	171
+	4	15	190	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	23	175
+	15	190
+	17	194
+	4	23	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	93	190
+	81	177
+	84	179
+	4	93	190	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	84	179
+	95	192
+	93	190
+	4	84	179	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	202	247
+	187	225
+	191	224
+	4	202	247	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	203
+	191	224
+	187	225
+	4	184	203	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	224
+	184	203
+	187	202
+	4	191	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	224
+	206	245
+	202	247
+	4	191	224	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	224
+	110	201
+	113	202
+	4	109	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	224
+	102	249
+	98	247
+	4	109	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	249
+	109	224
+	112	226
+	4	102	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	113	202
+	112	226
+	109	224
+	4	113	202	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	271	214
+	256	228
+	259	225
+	4	271	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	259	225
+	274	210
+	271	214
+	4	259	225	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	183
+	205	191
+	202	193
+	4	211	183	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	205	191
+	211	183
+	214	181
+	4	205	191	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	234	248
+	214	241
+	218	239
+	4	234	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	218	239
+	239	245
+	234	248
+	4	218	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	254	160
+	231	158
+	230	161
+	4	254	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	231	158
+	254	160
+	255	157
+	4	231	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	159
+	259	144
+	258	148
+	4	280	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	258	148
+	280	162
+	280	159
+	4	258	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	239
+	70	251
+	66	248
+	4	82	239	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	251
+	82	239
+	86	241
+	4	70	251	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	248
+	184	227
+	187	225
+	4	198	248	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	181	204
+	187	225
+	184	227
+	4	181	204	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	187	225
+	181	204
+	184	203
+	4	187	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	225
+	202	247
+	198	248
+	4	187	225	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	40	225
+	32	219
+	29	215
+	4	40	225	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	32	219
+	40	225
+	43	229
+	4	32	219	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	159
+	43	155
+	44	158
+	4	68	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	44	158
+	69	161
+	68	159
+	4	44	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	95	192
+	84	179
+	86	181
+	4	95	192	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	181
+	97	194
+	95	192
+	4	86	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	112	226
+	113	202
+	116	203
+	4	112	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	226
+	106	250
+	102	249
+	4	112	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	106	250
+	112	226
+	116	227
+	4	106	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	203
+	116	227
+	112	226
+	4	116	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	19	160
+	42	152
+	41	148
+	4	19	160	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	42	152
+	19	160
+	19	163
+	4	42	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	250
+	181	228
+	184	227
+	4	194	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	178	205
+	184	227
+	181	228
+	4	178	205	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	184	227
+	178	205
+	181	204
+	4	184	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	227
+	198	248
+	194	250
+	4	184	227	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	276	174
+	281	197
+	283	193
+	4	276	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	283	193
+	278	170
+	276	174
+	4	283	193	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	227
+	116	203
+	119	204
+	4	116	227	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	227
+	110	252
+	106	250
+	4	116	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	252
+	116	227
+	119	228
+	4	110	252	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	119	204
+	119	228
+	116	227
+	4	119	204	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	208	185
+	202	193
+	200	195
+	4	208	185	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	193
+	208	185
+	211	183
+	4	202	193	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	250
+	210	243
+	214	241
+	4	230	250	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	241
+	234	248
+	230	250
+	4	214	241	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	194
+	86	181
+	89	183
+	4	97	194	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	89	183
+	100	195
+	97	194
+	4	89	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	241
+	75	254
+	70	251
+	4	86	241	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	75	254
+	86	241
+	90	243
+	4	75	254	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	252	164
+	230	161
+	229	163
+	4	252	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	161
+	252	164
+	254	160
+	4	230	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	251
+	177	229
+	181	228
+	4	190	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	175	206
+	181	228
+	177	229
+	4	175	206	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	181	228
+	175	206
+	178	205
+	4	181	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	228
+	194	250
+	190	251
+	4	181	228	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	17	194
+	25	179
+	23	175
+	4	17	194	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	25	179
+	17	194
+	19	198
+	4	25	179	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	119	228
+	119	204
+	122	205
+	4	119	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	228
+	115	253
+	110	252
+	4	119	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	253
+	119	228
+	123	229
+	4	115	253	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	205
+	123	229
+	119	228
+	4	122	205	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	268	218
+	253	232
+	256	228
+	4	268	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	256	228
+	271	214
+	268	218
+	4	256	228	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	161
+	44	158
+	45	161
+	4	69	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	45	161
+	70	164
+	69	161
+	4	45	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	205	186
+	200	195
+	197	197
+	4	205	186	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	200	195
+	205	186
+	208	185
+	4	200	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	162
+	258	148
+	257	151
+	4	280	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	185	253
+	174	229
+	177	229
+	4	185	253	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	207
+	177	229
+	174	229
+	4	171	207	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	229
+	171	207
+	175	206
+	4	177	229	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	229
+	190	251
+	185	253
+	4	177	229	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	229
+	122	205
+	125	206
+	4	123	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	229
+	119	254
+	115	253
+	4	123	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	254
+	123	229
+	126	230
+	4	119	254	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	206
+	126	230
+	123	229
+	4	125	206	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	225	253
+	206	245
+	210	243
+	4	225	253	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	210	243
+	230	250
+	225	253
+	4	210	243	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	100	195
+	89	183
+	92	185
+	4	100	195	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	92	185
+	102	197
+	100	195
+	4	92	185	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	43	229
+	35	222
+	32	219
+	4	43	229	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	222
+	43	229
+	46	232
+	4	35	222	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	243
+	80	256
+	75	254
+	4	90	243	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	256
+	90	243
+	94	245
+	4	80	256	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	254
+	170	230
+	174	229
+	4	181	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	207
+	174	229
+	170	230
+	4	168	207	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	174	229
+	168	207
+	171	207
+	4	174	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	229
+	185	253
+	181	254
+	4	174	229	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	257	151
+	279	166
+	280	162
+	4	257	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	230
+	125	206
+	128	207
+	4	126	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	230
+	124	255
+	119	254
+	4	126	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	255
+	126	230
+	130	230
+	4	124	255	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	207
+	130	230
+	126	230
+	4	128	207	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	251	167
+	229	163
+	228	165
+	4	251	167	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	229	163
+	251	167
+	252	164
+	4	229	163	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	188
+	197	197
+	195	198
+	4	202	188	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	197	197
+	202	188
+	205	186
+	4	197	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	255
+	167	231
+	170	230
+	4	176	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	165	208
+	170	230
+	167	231
+	4	165	208	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	170	230
+	165	208
+	168	207
+	4	170	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	230
+	181	254
+	176	255
+	4	170	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	130	230
+	128	207
+	132	208
+	4	130	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	230
+	129	256
+	124	255
+	4	130	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	256
+	130	230
+	133	231
+	4	129	256	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	208
+	133	231
+	130	230
+	4	132	208	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	197
+	92	185
+	94	187
+	4	102	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	187
+	105	198
+	102	197
+	4	94	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	19	163
+	43	155
+	42	152
+	4	19	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	43	155
+	19	163
+	20	167
+	4	43	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	256
+	163	231
+	167	231
+	4	171	256	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	208
+	167	231
+	163	231
+	4	162	208	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	231
+	162	208
+	165	208
+	4	167	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	231
+	176	255
+	171	256
+	4	167	231	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	164
+	45	161
+	47	164
+	4	70	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	47	164
+	72	166
+	70	164
+	4	47	164	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	221	256
+	202	247
+	206	245
+	4	221	256	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	206	245
+	225	253
+	221	256
+	4	206	245	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	133	231
+	132	208
+	135	208
+	4	133	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	231
+	133	257
+	129	256
+	4	133	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	257
+	133	231
+	137	231
+	4	133	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	208
+	137	231
+	133	231
+	4	135	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	178
+	279	202
+	281	197
+	4	274	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	197
+	276	174
+	274	178
+	4	281	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	256
+	159	232
+	163	231
+	4	167	256	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	209
+	163	231
+	159	232
+	4	158	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	231
+	158	209
+	162	208
+	4	163	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	231
+	171	256
+	167	256
+	4	163	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	245
+	85	258
+	80	256
+	4	94	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	258
+	94	245
+	98	247
+	4	85	258	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	137	231
+	135	208
+	138	209
+	4	137	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	137	231
+	138	257
+	133	257
+	4	137	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	257
+	137	231
+	141	232
+	4	138	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	209
+	141	232
+	137	231
+	4	138	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	264	221
+	250	235
+	253	232
+	4	264	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	232
+	268	218
+	264	221
+	4	253	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	257
+	156	232
+	159	232
+	4	162	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	155	209
+	159	232
+	156	232
+	4	155	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	159	232
+	155	209
+	158	209
+	4	159	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	232
+	167	256
+	162	257
+	4	159	232	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	199	190
+	195	198
+	192	200
+	4	199	190	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	195	198
+	199	190
+	202	188
+	4	195	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	141	232
+	138	209
+	142	209
+	4	141	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	232
+	143	257
+	138	257
+	4	141	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	257
+	141	232
+	144	232
+	4	143	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	142	209
+	144	232
+	141	232
+	4	142	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	157	257
+	152	232
+	156	232
+	4	157	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	152	209
+	156	232
+	152	232
+	4	152	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	156	232
+	152	209
+	155	209
+	4	156	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	232
+	162	257
+	157	257
+	4	156	232	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	232
+	142	209
+	145	209
+	4	144	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	232
+	148	257
+	143	257
+	4	144	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	257
+	144	232
+	148	232
+	4	148	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	145	209
+	148	232
+	144	232
+	4	145	209	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	105	198
+	94	187
+	97	189
+	4	105	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	189
+	107	200
+	105	198
+	4	97	189	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	257
+	148	232
+	152	232
+	4	152	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	209
+	152	232
+	148	232
+	4	148	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	152	232
+	148	209
+	152	209
+	4	152	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	152	232
+	157	257
+	152	257
+	4	152	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	19	198
+	27	183
+	25	179
+	4	19	198	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	27	183
+	19	198
+	21	203
+	4	27	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	148	232
+	145	209
+	148	209
+	4	148	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	232
+	152	257
+	148	257
+	4	148	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	166
+	257	151
+	256	154
+	4	279	166	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	232
+	39	226
+	35	222
+	4	46	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	39	226
+	46	232
+	50	236
+	4	39	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	258
+	198	248
+	202	247
+	4	216	258	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	202	247
+	221	256
+	216	258
+	4	202	247	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	170
+	228	165
+	226	168
+	4	249	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	165
+	249	170
+	251	167
+	4	228	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	247
+	90	261
+	85	258
+	4	98	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	261
+	98	247
+	102	249
+	4	90	261	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	196	191
+	192	200
+	189	201
+	4	196	191	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	192	200
+	196	191
+	199	190
+	4	192	200	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	72	166
+	47	164
+	49	167
+	4	72	166	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	49	167
+	73	168
+	72	166
+	4	49	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	200
+	97	189
+	101	190
+	4	107	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	190
+	110	201
+	107	200
+	4	101	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	154
+	278	170
+	279	166
+	4	256	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	260
+	194	250
+	198	248
+	4	211	260	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	248
+	216	258
+	211	260
+	4	198	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	193	193
+	189	201
+	187	202
+	4	193	193	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	189	201
+	193	193
+	196	191
+	4	189	201	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	249
+	95	263
+	90	261
+	4	102	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	263
+	102	249
+	106	250
+	4	95	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	201
+	101	190
+	104	192
+	4	110	201	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	104	192
+	113	202
+	110	201
+	4	104	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	20	167
+	44	158
+	43	155
+	4	20	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	44	158
+	20	167
+	22	171
+	4	44	158	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	261	225
+	247	238
+	250	235
+	4	261	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	235
+	264	221
+	261	225
+	4	250	235	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	247	173
+	226	168
+	224	170
+	4	247	173	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	168
+	247	173
+	249	170
+	4	226	168	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	182
+	276	206
+	279	202
+	4	272	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	202
+	274	178
+	272	182
+	4	279	202	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	278	170
+	256	154
+	255	157
+	4	278	170	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	50	236
+	43	230
+	39	226
+	4	50	236	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	43	230
+	50	236
+	53	239
+	4	43	230	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	189	194
+	187	202
+	184	203
+	4	189	194	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	187	202
+	189	194
+	193	193
+	4	187	202	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	262
+	190	251
+	194	250
+	4	205	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	250
+	211	260
+	205	262
+	4	194	250	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	73	168
+	49	167
+	51	171
+	4	73	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	171
+	75	171
+	73	168
+	4	51	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	202
+	104	192
+	107	193
+	4	113	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	193
+	116	203
+	113	202
+	4	107	193	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	250
+	100	264
+	95	263
+	4	106	250	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	264
+	106	250
+	110	252
+	4	100	264	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	21	203
+	29	187
+	27	183
+	4	21	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	29	187
+	21	203
+	23	207
+	4	29	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	186	195
+	184	203
+	181	204
+	4	186	195	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	184	203
+	186	195
+	189	194
+	4	184	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	203
+	107	193
+	110	194
+	4	116	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	194
+	119	204
+	116	203
+	4	110	194	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	200	264
+	185	253
+	190	251
+	4	200	264	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	190	251
+	205	262
+	200	264
+	4	190	251	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	252
+	106	266
+	100	264
+	4	110	252	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	266
+	110	252
+	115	253
+	4	106	266	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	244	176
+	224	170
+	222	172
+	4	244	176	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	224	170
+	244	176
+	247	173
+	4	224	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	247	238
+	261	225
+	257	228
+	4	247	238	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	182	196
+	181	204
+	178	205
+	4	182	196	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	181	204
+	182	196
+	186	195
+	4	181	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	255	157
+	276	174
+	278	170
+	4	255	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	204
+	110	194
+	114	195
+	4	119	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	195
+	122	205
+	119	204
+	4	114	195	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	171
+	51	171
+	53	173
+	4	75	171	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	173
+	77	173
+	75	171
+	4	53	173	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	229
+	243	242
+	246	239
+	4	256	229	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	266
+	181	254
+	185	253
+	4	194	266	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	253
+	200	264
+	194	266
+	4	185	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	253
+	112	267
+	106	266
+	4	115	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	267
+	115	253
+	119	254
+	4	112	267	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	53	239
+	47	233
+	43	230
+	4	53	239	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	233
+	53	239
+	57	242
+	4	47	233	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	179	197
+	178	205
+	175	206
+	4	179	197	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	178	205
+	179	197
+	182	196
+	4	178	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	22	171
+	45	161
+	44	158
+	4	22	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	45	161
+	22	171
+	23	175
+	4	45	161	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	276	174
+	255	157
+	254	160
+	4	276	174	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	205
+	114	195
+	118	197
+	4	122	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	197
+	125	206
+	122	205
+	4	118	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	186
+	274	210
+	276	206
+	4	270	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	276	206
+	272	182
+	270	186
+	4	276	206	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	189	267
+	176	255
+	181	254
+	4	189	267	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	181	254
+	194	266
+	189	267
+	4	181	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	254
+	117	269
+	112	267
+	4	119	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	269
+	119	254
+	124	255
+	4	117	269	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	175	198
+	175	206
+	171	207
+	4	175	198	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	175	206
+	175	198
+	179	197
+	4	175	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	206
+	118	197
+	121	198
+	4	125	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	198
+	128	207
+	125	206
+	4	121	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	242	179
+	222	172
+	220	175
+	4	242	179	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	172
+	242	179
+	244	176
+	4	222	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	23	207
+	32	190
+	29	187
+	4	23	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	32	190
+	23	207
+	26	211
+	4	32	190	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	183	268
+	171	256
+	176	255
+	4	183	268	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	176	255
+	189	267
+	183	268
+	4	176	255	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	171	199
+	171	207
+	168	207
+	4	171	199	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	171	207
+	171	199
+	175	198
+	4	171	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	255
+	123	270
+	117	269
+	4	124	255	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	270
+	124	255
+	129	256
+	4	123	270	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	173
+	53	173
+	55	176
+	4	77	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	176
+	79	175
+	77	173
+	4	55	176	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	207
+	121	198
+	125	198
+	4	128	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	198
+	132	208
+	128	207
+	4	125	198	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	232
+	239	245
+	243	242
+	4	253	232	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	242
+	256	229
+	253	232
+	4	243	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	167	200
+	168	207
+	165	208
+	4	167	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	168	207
+	167	200
+	171	199
+	4	168	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	269
+	167	256
+	171	256
+	4	177	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	256
+	183	268
+	177	269
+	4	171	256	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	208
+	125	198
+	129	199
+	4	132	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	199
+	135	208
+	132	208
+	4	129	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	256
+	129	270
+	123	270
+	4	129	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	270
+	129	256
+	133	257
+	4	129	270	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	200
+	165	208
+	162	208
+	4	164	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	165	208
+	164	200
+	167	200
+	4	165	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	208
+	129	199
+	132	200
+	4	135	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	200
+	138	209
+	135	208
+	4	132	200	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	270
+	162	257
+	167	256
+	4	171	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	256
+	177	269
+	171	270
+	4	167	256	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	57	242
+	52	236
+	47	233
+	4	57	242	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	52	236
+	57	242
+	61	245
+	4	52	236	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	257
+	135	271
+	129	270
+	4	133	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	135	271
+	133	257
+	138	257
+	4	135	271	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	254	160
+	274	178
+	276	174
+	4	254	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	160	200
+	162	208
+	158	209
+	4	160	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	162	208
+	160	200
+	164	200
+	4	162	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	209
+	132	200
+	136	200
+	4	138	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	136	200
+	142	209
+	138	209
+	4	136	200	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	165	271
+	157	257
+	162	257
+	4	165	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	257
+	171	270
+	165	271
+	4	162	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	239	181
+	220	175
+	218	177
+	4	239	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	220	175
+	239	181
+	242	179
+	4	220	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	274	178
+	254	160
+	252	164
+	4	274	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	257
+	141	271
+	135	271
+	4	138	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	271
+	138	257
+	143	257
+	4	141	271	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	201
+	158	209
+	155	209
+	4	156	201	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	158	209
+	156	201
+	160	200
+	4	158	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	209
+	136	200
+	140	201
+	4	142	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	201
+	145	209
+	142	209
+	4	140	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	271
+	152	257
+	157	257
+	4	159	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	257
+	165	271
+	159	271
+	4	157	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	257
+	147	272
+	141	271
+	4	143	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	147	272
+	143	257
+	148	257
+	4	147	272	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	152	201
+	155	209
+	152	209
+	4	152	201	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	155	209
+	152	201
+	156	201
+	4	155	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	145	209
+	140	201
+	144	201
+	4	145	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	201
+	148	209
+	145	209
+	4	144	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	153	272
+	148	257
+	152	257
+	4	153	272	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	257
+	159	271
+	153	272
+	4	152	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	201
+	152	209
+	148	209
+	4	148	201	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	152	209
+	148	201
+	152	201
+	4	152	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	257
+	153	272
+	147	272
+	4	148	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	209
+	144	201
+	148	201
+	4	148	209	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	79	175
+	55	176
+	58	179
+	4	79	175	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	58	179
+	81	177
+	79	175
+	4	58	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	23	175
+	47	164
+	45	161
+	4	23	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	47	164
+	23	175
+	25	179
+	4	47	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	190
+	271	214
+	274	210
+	4	268	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	210
+	270	186
+	268	190
+	4	274	210	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	248	236
+	234	248
+	239	245
+	4	248	236	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	245
+	253	232
+	248	236
+	4	239	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	26	211
+	35	194
+	32	190
+	4	26	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	35	194
+	26	211
+	29	215
+	4	35	194	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	184
+	218	177
+	216	179
+	4	236	184	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	177
+	236	184
+	239	181
+	4	218	177	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	61	245
+	56	240
+	52	236
+	4	61	245	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	240
+	61	245
+	66	248
+	4	56	240	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	177
+	58	179
+	61	182
+	4	81	177	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	61	182
+	84	179
+	81	177
+	4	61	182	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	272	182
+	252	164
+	251	167
+	4	272	182	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	252	164
+	272	182
+	274	178
+	4	252	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	25	179
+	49	167
+	47	164
+	4	25	179	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	233	187
+	216	179
+	213	181
+	4	233	187	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	179
+	233	187
+	236	184
+	4	216	179	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	244	239
+	230	250
+	234	248
+	4	244	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	234	248
+	248	236
+	244	239
+	4	234	248	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	167
+	25	179
+	27	183
+	4	49	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	84	179
+	61	182
+	64	185
+	4	84	179	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	64	185
+	86	181
+	84	179
+	4	64	185	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	193
+	268	218
+	271	214
+	4	265	193	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	271	214
+	268	190
+	265	193
+	4	271	214	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	248
+	61	243
+	56	240
+	4	66	248	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	61	243
+	66	248
+	70	251
+	4	61	243	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	29	215
+	38	198
+	35	194
+	4	29	215	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	38	198
+	29	215
+	32	219
+	4	38	198	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	189
+	214	181
+	211	183
+	4	230	189	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	181
+	230	189
+	233	187
+	4	214	181	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	270	186
+	251	167
+	249	170
+	4	270	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	167
+	270	186
+	272	182
+	4	251	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	181
+	64	185
+	67	187
+	4	86	181	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	187
+	89	183
+	86	181
+	4	67	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	239	242
+	225	253
+	230	250
+	4	239	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	250
+	244	239
+	239	242
+	4	230	250	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	27	183
+	51	171
+	49	167
+	4	27	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	251
+	66	246
+	61	243
+	4	70	251	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	66	246
+	70	251
+	75	254
+	4	66	246	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	192
+	211	183
+	208	185
+	4	226	192	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	183
+	226	192
+	230	189
+	4	211	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	51	171
+	27	183
+	29	187
+	4	51	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	262	197
+	264	221
+	268	218
+	4	262	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	218
+	265	193
+	262	197
+	4	268	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	89	183
+	67	187
+	70	190
+	4	89	183	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	190
+	92	185
+	89	183
+	4	70	190	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	245
+	221	256
+	225	253
+	4	234	245	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	225	253
+	239	242
+	234	245
+	4	225	253	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	32	219
+	41	201
+	38	198
+	4	32	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	41	201
+	32	219
+	35	222
+	4	41	201	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	268	190
+	249	170
+	247	173
+	4	268	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	249	170
+	268	190
+	270	186
+	4	249	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	75	254
+	72	248
+	66	246
+	4	75	254	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	72	248
+	75	254
+	80	256
+	4	72	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	223	194
+	208	185
+	205	186
+	4	223	194	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	208	185
+	223	194
+	226	192
+	4	208	185	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	29	187
+	53	173
+	51	171
+	4	29	187	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	92	185
+	70	190
+	74	192
+	4	92	185	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	74	192
+	94	187
+	92	185
+	4	74	192	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	229	248
+	216	258
+	221	256
+	4	229	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	221	256
+	234	245
+	229	248
+	4	221	256	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	219	196
+	205	186
+	202	188
+	4	219	196	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	205	186
+	219	196
+	223	194
+	4	205	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	53	173
+	29	187
+	32	190
+	4	53	173	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	200
+	261	225
+	264	221
+	4	259	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	221
+	262	197
+	259	200
+	4	264	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	256
+	77	251
+	72	248
+	4	80	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	251
+	80	256
+	85	258
+	4	77	251	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	187
+	74	192
+	77	195
+	4	94	187	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	77	195
+	97	189
+	94	187
+	4	77	195	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	265	193
+	247	173
+	244	176
+	4	265	193	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	247	173
+	265	193
+	268	190
+	4	247	173	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	35	222
+	45	205
+	41	201
+	4	35	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	45	205
+	35	222
+	39	226
+	4	45	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	32	190
+	55	176
+	53	173
+	4	32	190	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	215	199
+	202	188
+	199	190
+	4	215	199	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	188
+	215	199
+	219	196
+	4	202	188	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	223	250
+	211	260
+	216	258
+	4	223	250	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	258
+	229	248
+	223	250
+	4	216	258	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	189
+	77	195
+	81	197
+	4	97	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	197
+	101	190
+	97	189
+	4	81	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	258
+	83	253
+	77	251
+	4	85	258	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	253
+	85	258
+	90	261
+	4	83	253	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	201
+	199	190
+	196	191
+	4	211	201	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	199	190
+	211	201
+	215	199
+	4	199	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	190
+	81	197
+	85	199
+	4	101	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	199
+	104	192
+	101	190
+	4	85	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	262	197
+	244	176
+	242	179
+	4	262	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	244	176
+	262	197
+	265	193
+	4	244	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	204
+	257	228
+	261	225
+	4	255	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	261	225
+	259	200
+	255	204
+	4	261	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	217	253
+	205	262
+	211	260
+	4	217	253	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	260
+	223	250
+	217	253
+	4	211	260	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	55	176
+	32	190
+	35	194
+	4	55	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	261
+	89	255
+	83	253
+	4	90	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	255
+	90	261
+	95	263
+	4	89	255	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	35	194
+	58	179
+	55	176
+	4	35	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	39	226
+	48	208
+	45	205
+	4	39	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	48	208
+	39	226
+	43	230
+	4	48	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	206	203
+	196	191
+	193	193
+	4	206	203	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	196	191
+	206	203
+	211	201
+	4	196	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	104	192
+	85	199
+	89	201
+	4	104	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	89	201
+	107	193
+	104	192
+	4	89	201	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	212	255
+	200	264
+	205	262
+	4	212	255	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	205	262
+	217	253
+	212	255
+	4	205	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	263
+	95	257
+	89	255
+	4	95	263	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	257
+	95	263
+	100	264
+	4	95	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	202	204
+	193	193
+	189	194
+	4	202	204	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	193
+	202	204
+	206	203
+	4	193	193	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	193
+	89	201
+	94	203
+	4	107	193	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	203
+	110	194
+	107	193
+	4	94	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	259	200
+	242	179
+	239	181
+	4	259	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	242	179
+	259	200
+	262	197
+	4	242	179	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	257	228
+	255	204
+	252	207
+	4	257	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	58	179
+	35	194
+	38	198
+	4	58	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	38	198
+	61	182
+	58	179
+	4	38	198	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	206	257
+	194	266
+	200	264
+	4	206	257	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	200	264
+	212	255
+	206	257
+	4	200	264	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	206
+	189	194
+	186	195
+	4	197	206	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	194
+	197	206
+	202	204
+	4	189	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	207
+	253	232
+	256	229
+	4	251	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	264
+	101	259
+	95	257
+	4	100	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	259
+	100	264
+	106	266
+	4	101	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	194
+	94	203
+	98	205
+	4	110	194	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	205
+	114	195
+	110	194
+	4	98	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	230
+	52	211
+	48	208
+	4	43	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	211
+	43	230
+	47	233
+	4	52	211	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	207
+	186	195
+	182	196
+	4	193	207	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	195
+	193	207
+	197	206
+	4	186	195	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	199	259
+	189	267
+	194	266
+	4	199	259	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	194	266
+	206	257
+	199	259
+	4	194	266	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	195
+	98	205
+	103	206
+	4	114	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	206
+	118	197
+	114	195
+	4	103	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	266
+	107	261
+	101	259
+	4	106	266	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	261
+	106	266
+	112	267
+	4	107	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	255	204
+	239	181
+	236	184
+	4	255	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	239	181
+	255	204
+	259	200
+	4	239	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	188	209
+	182	196
+	179	197
+	4	188	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	196
+	188	209
+	193	207
+	4	182	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	118	197
+	103	206
+	107	208
+	4	118	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	208
+	121	198
+	118	197
+	4	107	208	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	193	260
+	183	268
+	189	267
+	4	193	260	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	189	267
+	199	259
+	193	260
+	4	189	267	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	61	182
+	38	198
+	41	201
+	4	61	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	41	201
+	64	185
+	61	182
+	4	41	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	267
+	114	262
+	107	261
+	4	112	267	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	262
+	112	267
+	117	269
+	4	114	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	210
+	248	236
+	253	232
+	4	248	210	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	232
+	251	207
+	248	210
+	4	253	232	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	183	210
+	179	197
+	175	198
+	4	183	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	179	197
+	183	210
+	188	209
+	4	179	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	198
+	107	208
+	112	209
+	4	121	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	209
+	125	198
+	121	198
+	4	112	209	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	187	262
+	177	269
+	183	268
+	4	187	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	183	268
+	193	260
+	187	262
+	4	183	268	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	47	233
+	57	214
+	52	211
+	4	47	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	57	214
+	47	233
+	52	236
+	4	57	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	117	269
+	120	263
+	114	262
+	4	117	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	263
+	117	269
+	123	270
+	4	120	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	178	211
+	175	198
+	171	199
+	4	178	211	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	175	198
+	178	211
+	183	210
+	4	175	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	198
+	112	209
+	117	210
+	4	125	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	210
+	129	199
+	125	198
+	4	117	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	252	207
+	236	184
+	233	187
+	4	252	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	236	184
+	252	207
+	255	204
+	4	236	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	263
+	171	270
+	177	269
+	4	180	263	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	177	269
+	187	262
+	180	263
+	4	177	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	212
+	171	199
+	167	200
+	4	173	212	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	199
+	173	212
+	178	211
+	4	171	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	123	270
+	127	264
+	120	263
+	4	123	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	264
+	123	270
+	129	270
+	4	127	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	199
+	117	210
+	122	211
+	4	129	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	211
+	132	200
+	129	199
+	4	122	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	64	185
+	41	201
+	45	205
+	4	64	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	45	205
+	67	187
+	64	185
+	4	45	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	212
+	167	200
+	164	200
+	4	168	212	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	200
+	168	212
+	173	212
+	4	167	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	174	264
+	165	271
+	171	270
+	4	174	264	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	171	270
+	180	263
+	174	264
+	4	171	270	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	200
+	122	211
+	127	212
+	4	132	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	212
+	136	200
+	132	200
+	4	127	212	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	270
+	134	265
+	127	264
+	4	129	270	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	134	265
+	129	270
+	135	271
+	4	134	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	213
+	164	200
+	160	200
+	4	163	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	200
+	163	213
+	168	212
+	4	164	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	200
+	127	212
+	132	212
+	4	136	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	212
+	140	201
+	136	200
+	4	132	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	167	265
+	159	271
+	165	271
+	4	167	265	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	165	271
+	174	264
+	167	265
+	4	165	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	213
+	244	239
+	248	236
+	4	243	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	236
+	248	210
+	243	213
+	4	248	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	271
+	140	265
+	134	265
+	4	135	271	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	265
+	135	271
+	141	271
+	4	140	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	213
+	160	200
+	156	201
+	4	158	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	200
+	158	213
+	163	213
+	4	160	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	201
+	132	212
+	137	213
+	4	140	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	137	213
+	144	201
+	140	201
+	4	137	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	160	265
+	153	272
+	159	271
+	4	160	265	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	159	271
+	167	265
+	160	265
+	4	159	271	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	141	271
+	147	265
+	140	265
+	4	141	271	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	147	265
+	141	271
+	147	272
+	4	147	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	153	213
+	156	201
+	152	201
+	4	153	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	201
+	153	213
+	158	213
+	4	156	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	201
+	137	213
+	142	213
+	4	144	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	142	213
+	148	201
+	144	201
+	4	142	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	265
+	147	272
+	153	272
+	4	154	265	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	153	272
+	160	265
+	154	265
+	4	153	272	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	213
+	152	201
+	148	201
+	4	148	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	201
+	148	213
+	153	213
+	4	152	201	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	147	272
+	154	265
+	147	265
+	4	147	272	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	201
+	142	213
+	148	213
+	4	148	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	236
+	61	217
+	57	214
+	4	52	236	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	61	217
+	52	236
+	56	240
+	4	61	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	210
+	233	187
+	230	189
+	4	248	210	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	187
+	248	210
+	251	207
+	4	233	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	67	187
+	45	205
+	48	208
+	4	67	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	48	208
+	70	190
+	67	187
+	4	48	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	216
+	239	242
+	244	239
+	4	239	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	244	239
+	243	213
+	239	216
+	4	244	239	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	56	240
+	66	220
+	61	217
+	4	56	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	220
+	56	240
+	61	243
+	4	66	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	243	213
+	230	189
+	226	192
+	4	243	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	189
+	243	213
+	248	210
+	4	230	189	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	70	190
+	48	208
+	52	211
+	4	70	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	211
+	74	192
+	70	190
+	4	52	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	219
+	234	245
+	239	242
+	4	234	219	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	242
+	239	216
+	234	219
+	4	239	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	239	216
+	226	192
+	223	194
+	4	239	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	226	192
+	239	216
+	243	213
+	4	226	192	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	61	243
+	71	223
+	66	220
+	4	61	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	71	223
+	61	243
+	66	246
+	4	71	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	74	192
+	52	211
+	57	214
+	4	74	192	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	57	214
+	77	195
+	74	192
+	4	57	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	234	219
+	223	194
+	219	196
+	4	234	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	223	194
+	234	219
+	239	216
+	4	223	194	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	222
+	229	248
+	234	245
+	4	229	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	245
+	234	219
+	229	222
+	4	234	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	77	195
+	57	214
+	61	217
+	4	77	195	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	61	217
+	81	197
+	77	195
+	4	61	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	66	246
+	76	225
+	71	223
+	4	66	246	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	76	225
+	66	246
+	72	248
+	4	76	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	222
+	219	196
+	215	199
+	4	229	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	196
+	229	222
+	234	219
+	4	219	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	225
+	223	250
+	229	248
+	4	224	225	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	248
+	229	222
+	224	225
+	4	229	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	197
+	61	217
+	66	220
+	4	81	197	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	220
+	85	199
+	81	197
+	4	66	220	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	72	248
+	81	227
+	76	225
+	4	72	248	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	81	227
+	72	248
+	77	251
+	4	81	227	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	225
+	215	199
+	211	201
+	4	224	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	215	199
+	224	225
+	229	222
+	4	215	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	199
+	66	220
+	71	223
+	4	85	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	71	223
+	89	201
+	85	199
+	4	71	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	227
+	217	253
+	223	250
+	4	219	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	223	250
+	224	225
+	219	227
+	4	223	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	77	251
+	86	230
+	81	227
+	4	77	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	86	230
+	77	251
+	83	253
+	4	86	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	227
+	211	201
+	206	203
+	4	219	227	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	201
+	219	227
+	224	225
+	4	211	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	201
+	71	223
+	76	225
+	4	89	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	225
+	94	203
+	89	201
+	4	76	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	229
+	212	255
+	217	253
+	4	214	229	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	253
+	219	227
+	214	229
+	4	217	253	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	253
+	92	232
+	86	230
+	4	83	253	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	92	232
+	83	253
+	89	255
+	4	92	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	229
+	206	203
+	202	204
+	4	214	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	206	203
+	214	229
+	219	227
+	4	206	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	203
+	76	225
+	81	227
+	4	94	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	227
+	98	205
+	94	203
+	4	81	227	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	208	231
+	206	257
+	212	255
+	4	208	231	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	255
+	214	229
+	208	231
+	4	212	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	89	255
+	98	233
+	92	232
+	4	89	255	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	98	233
+	89	255
+	95	257
+	4	98	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	231
+	202	204
+	197	206
+	4	208	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	202	204
+	208	231
+	214	229
+	4	202	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	205
+	81	227
+	86	230
+	4	98	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	86	230
+	103	206
+	98	205
+	4	86	230	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	203	233
+	199	259
+	206	257
+	4	203	233	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	206	257
+	208	231
+	203	233
+	4	206	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	233
+	197	206
+	193	207
+	4	203	233	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	206
+	203	233
+	208	231
+	4	197	206	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	257
+	104	235
+	98	233
+	4	95	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	104	235
+	95	257
+	101	259
+	4	104	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	206
+	86	230
+	92	232
+	4	103	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	232
+	107	208
+	103	206
+	4	92	232	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	235
+	193	260
+	199	259
+	4	197	235	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	259
+	203	233
+	197	235
+	4	199	259	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	235
+	193	207
+	188	209
+	4	197	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	207
+	197	235
+	203	233
+	4	193	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	259
+	110	237
+	104	235
+	4	101	259	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	237
+	101	259
+	107	261
+	4	110	237	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	208
+	92	232
+	98	233
+	4	107	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	98	233
+	112	209
+	107	208
+	4	98	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	236
+	188	209
+	183	210
+	4	191	236	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	188	209
+	191	236
+	197	235
+	4	188	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	236
+	187	262
+	193	260
+	4	191	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	260
+	197	235
+	191	236
+	4	193	260	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	209
+	98	233
+	104	235
+	4	112	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	235
+	117	210
+	112	209
+	4	104	235	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	261
+	116	238
+	110	237
+	4	107	261	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	116	238
+	107	261
+	114	262
+	4	116	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	185	237
+	183	210
+	178	211
+	4	185	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	183	210
+	185	237
+	191	236
+	4	183	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	237
+	180	263
+	187	262
+	4	185	237	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	187	262
+	191	236
+	185	237
+	4	187	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	210
+	104	235
+	110	237
+	4	117	210	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	237
+	122	211
+	117	210
+	4	110	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	262
+	122	239
+	116	238
+	4	114	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	239
+	114	262
+	120	263
+	4	122	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	239
+	178	211
+	173	212
+	4	179	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	211
+	179	239
+	185	237
+	4	178	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	211
+	110	237
+	116	238
+	4	122	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	238
+	127	212
+	122	211
+	4	116	238	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	179	239
+	174	264
+	180	263
+	4	179	239	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	180	263
+	185	237
+	179	239
+	4	180	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	263
+	128	240
+	122	239
+	4	120	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	128	240
+	120	263
+	127	264
+	4	128	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	239
+	173	212
+	168	212
+	4	172	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	212
+	172	239
+	179	239
+	4	173	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	212
+	116	238
+	122	239
+	4	127	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	239
+	132	212
+	127	212
+	4	122	239	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	172	239
+	167	265
+	174	264
+	4	172	239	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	174	264
+	179	239
+	172	239
+	4	174	264	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	264
+	134	240
+	128	240
+	4	127	264	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	134	240
+	127	264
+	134	265
+	4	134	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	240
+	168	212
+	163	213
+	4	166	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	212
+	166	240
+	172	239
+	4	168	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	212
+	122	239
+	128	240
+	4	132	212	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	240
+	137	213
+	132	212
+	4	128	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	240
+	160	265
+	167	265
+	4	166	240	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	265
+	172	239
+	166	240
+	4	167	265	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	134	265
+	141	241
+	134	240
+	4	134	265	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	141	241
+	134	265
+	140	265
+	4	141	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	241
+	163	213
+	158	213
+	4	160	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	213
+	160	241
+	166	240
+	4	163	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	137	213
+	128	240
+	134	240
+	4	137	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	240
+	142	213
+	137	213
+	4	134	240	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	160	241
+	154	265
+	160	265
+	4	160	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	160	265
+	166	240
+	160	241
+	4	160	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	153	241
+	158	213
+	153	213
+	4	153	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	213
+	153	241
+	160	241
+	4	158	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	265
+	147	241
+	141	241
+	4	140	265	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	241
+	140	265
+	147	265
+	4	147	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	142	213
+	134	240
+	141	241
+	4	142	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	241
+	148	213
+	142	213
+	4	141	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	153	241
+	147	265
+	154	265
+	4	153	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	265
+	160	241
+	153	241
+	4	154	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	147	241
+	153	213
+	148	213
+	4	147	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	153	213
+	147	241
+	153	241
+	4	153	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	147	265
+	153	241
+	147	241
+	4	147	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	213
+	141	241
+	147	241
+	4	148	213	psFillPoly
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3doptcf2.ps b/books/ps/3doptcf2.ps
new file mode 100644
index 0000000..8cc18f7
--- /dev/null
+++ b/books/ps/3doptcf2.ps
@@ -0,0 +1,9024 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	52	190	226	67	psDrawLine
+	globGC	(X)	47	195	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	247	190	72	67	psDrawLine
+	globGC	(Y)	252	195	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	18	149	195	psDrawLine
+	globGC	(Z)	154	13	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	renderGC	0.562500	setForeground
+	renderGC
+	145	48
+	154	48
+	149	56
+	4	145	48	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	37
+	159	36
+	154	48
+	4	149	37	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	36
+	149	37
+	145	48
+	4	140	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	48
+	145	48
+	149	37
+	4	154	48	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	83
+	191	83
+	186	77
+	4	182	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	77
+	177	72
+	182	83
+	4	186	77	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	177	72
+	186	77
+	182	63
+	4	177	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	108	83
+	117	83
+	113	77
+	4	108	83	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	122	72
+	113	77
+	117	83
+	4	122	72	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	113	77
+	122	72
+	117	63
+	4	113	77	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	187	85
+	196	80
+	191	83
+	4	187	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	83
+	182	83
+	187	85
+	4	191	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	80
+	112	85
+	108	83
+	4	102	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	117	83
+	108	83
+	112	85
+	4	117	83	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	177	86
+	187	85
+	182	83
+	4	177	86	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	182	83
+	173	80
+	177	86
+	4	182	83	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	173	80
+	182	83
+	177	72
+	4	173	80	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	85
+	122	86
+	117	83
+	4	112	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	80
+	117	83
+	122	86
+	4	126	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	117	83
+	126	80
+	122	72
+	4	117	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	26
+	154	26
+	149	37
+	4	145	26	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	36
+	149	37
+	154	26
+	4	159	36	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	37
+	140	36
+	145	26
+	4	149	37	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	26
+	164	24
+	159	36
+	4	154	26	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	24
+	145	26
+	140	36
+	4	135	24	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	86
+	177	86
+	173	80
+	4	168	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	80
+	163	77
+	168	86
+	4	173	80	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	77
+	173	80
+	168	68
+	4	163	77	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	72
+	168	68
+	173	80
+	4	177	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	86
+	131	86
+	126	80
+	4	122	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	77
+	126	80
+	131	86
+	4	135	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	80
+	135	77
+	131	68
+	4	126	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	68
+	122	72
+	126	80
+	4	131	68	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	173	89
+	182	86
+	177	86
+	4	173	89	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	187	85
+	177	86
+	182	86
+	4	187	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	86
+	168	86
+	173	89
+	4	177	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	117	86
+	126	89
+	122	86
+	4	117	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	86
+	122	86
+	126	89
+	4	131	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	86
+	112	85
+	117	86
+	4	122	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	89
+	173	89
+	168	86
+	4	163	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	86
+	159	85
+	163	89
+	4	168	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	85
+	168	86
+	163	77
+	4	159	85	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	126	89
+	135	89
+	131	86
+	4	126	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	85
+	131	86
+	135	89
+	4	140	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	131	86
+	140	85
+	135	77
+	4	131	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	168	68
+	177	72
+	173	56
+	4	168	68	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	182	63
+	173	56
+	177	72
+	4	182	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	122	72
+	131	68
+	126	56
+	4	122	72	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	56
+	117	63
+	122	72
+	4	126	56	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	182	86
+	192	79
+	187	85
+	4	182	86	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	196	80
+	187	85
+	192	79
+	4	196	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	79
+	117	86
+	112	85
+	4	107	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	85
+	102	80
+	107	79
+	4	112	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	90
+	163	89
+	159	85
+	4	154	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	85
+	149	84
+	154	90
+	4	159	85	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	84
+	159	85
+	154	76
+	4	149	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	77
+	154	76
+	159	85
+	4	163	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	89
+	145	90
+	140	85
+	4	135	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	84
+	140	85
+	145	90
+	4	149	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	85
+	149	84
+	145	76
+	4	140	85	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	145	76
+	135	77
+	140	85
+	4	145	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	90
+	154	90
+	149	84
+	4	145	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	76
+	145	76
+	149	84
+	4	154	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	76
+	163	77
+	159	64
+	4	154	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	68
+	159	64
+	163	77
+	4	168	68	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	77
+	145	76
+	140	64
+	4	135	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	64
+	131	68
+	135	77
+	4	140	64	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	91
+	159	91
+	154	90
+	4	149	91	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	89
+	154	90
+	159	91
+	4	163	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	91
+	149	91
+	145	90
+	4	140	91	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	90
+	145	90
+	149	91
+	4	154	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	90
+	135	89
+	140	91
+	4	145	90	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	173	56
+	182	63
+	178	45
+	4	173	56	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	117	63
+	126	56
+	121	45
+	4	117	63	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	91
+	168	89
+	163	89
+	4	159	91	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	89
+	163	89
+	168	89
+	4	173	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	131	89
+	140	91
+	135	89
+	4	131	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	89
+	126	89
+	131	89
+	4	135	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	76
+	154	76
+	149	63
+	4	145	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	64
+	149	63
+	154	76
+	4	159	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	63
+	140	64
+	145	76
+	4	149	63	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	168	89
+	178	86
+	173	89
+	4	168	89	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	182	86
+	173	89
+	178	86
+	4	182	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	121	86
+	131	89
+	126	89
+	4	121	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	89
+	117	86
+	121	86
+	4	126	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	64
+	168	68
+	164	52
+	4	159	64	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	173	56
+	164	52
+	168	68
+	4	173	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	68
+	140	64
+	135	52
+	4	131	68	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	52
+	126	56
+	131	68
+	4	135	52	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	192	79
+	203	69
+	196	80
+	4	192	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	96	69
+	107	79
+	102	80
+	4	96	69	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	178	86
+	188	79
+	182	86
+	4	178	86	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	192	79
+	182	86
+	188	79
+	4	192	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	79
+	121	86
+	117	86
+	4	111	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	86
+	107	79
+	111	79
+	4	117	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	90
+	154	90
+	149	91
+	4	145	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	91
+	149	91
+	154	90
+	4	159	91	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	91
+	140	91
+	145	90
+	4	149	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	63
+	159	64
+	154	49
+	4	149	63	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	52
+	154	49
+	159	64
+	4	164	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	64
+	149	63
+	145	49
+	4	140	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	49
+	135	52
+	140	64
+	4	145	49	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	90
+	164	88
+	159	91
+	4	154	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	89
+	159	91
+	164	88
+	4	168	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	88
+	145	90
+	140	91
+	4	135	88	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	91
+	131	89
+	135	88
+	4	140	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	49
+	145	49
+	149	63
+	4	154	49	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	164	52
+	173	56
+	169	39
+	4	164	52	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	178	45
+	169	39
+	173	56
+	4	178	45	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	56
+	135	52
+	130	39
+	4	126	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	39
+	121	45
+	126	56
+	4	130	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	88
+	174	85
+	168	89
+	4	164	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	178	86
+	168	89
+	174	85
+	4	178	86	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	125	85
+	135	88
+	131	89
+	4	125	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	131	89
+	121	86
+	125	85
+	4	131	89	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	22
+	159	21
+	154	26
+	4	149	22	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	24
+	154	26
+	159	21
+	4	164	24	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	21
+	149	22
+	145	26
+	4	140	21	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	26
+	145	26
+	149	22
+	4	154	26	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	26
+	135	24
+	140	21
+	4	145	26	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	188	79
+	199	69
+	192	79
+	4	188	79	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	69
+	192	79
+	199	69
+	4	203	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	69
+	111	79
+	107	79
+	4	100	69	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	79
+	96	69
+	100	69
+	4	107	79	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	174	85
+	184	78
+	178	86
+	4	174	85	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	188	79
+	178	86
+	184	78
+	4	188	79	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	115	78
+	125	85
+	121	86
+	4	115	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	86
+	111	79
+	115	78
+	4	121	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	49
+	164	52
+	159	36
+	4	154	49	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	169	39
+	159	36
+	164	52
+	4	169	39	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	52
+	145	49
+	140	36
+	4	135	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	36
+	130	39
+	135	52
+	4	140	36	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	21
+	169	21
+	164	24
+	4	159	21	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	21
+	140	21
+	135	24
+	4	130	21	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	169	39
+	178	45
+	174	28
+	4	169	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	45
+	130	39
+	125	28
+	4	121	45	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	87
+	159	86
+	154	90
+	4	149	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	88
+	154	90
+	159	86
+	4	164	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	86
+	149	87
+	145	90
+	4	140	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	90
+	145	90
+	149	87
+	4	154	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	90
+	135	88
+	140	86
+	4	145	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	49
+	154	49
+	149	35
+	4	145	49	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	36
+	149	35
+	154	49
+	4	159	36	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	35
+	140	36
+	145	49
+	4	149	35	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	86
+	169	83
+	164	88
+	4	159	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	174	85
+	164	88
+	169	83
+	4	174	85	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	130	83
+	140	86
+	135	88
+	4	130	83	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	135	88
+	125	85
+	130	83
+	4	135	88	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	36
+	169	39
+	164	26
+	4	159	36	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	174	28
+	164	26
+	169	39
+	4	174	28	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	39
+	140	36
+	135	26
+	4	130	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	135	26
+	125	28
+	130	39
+	4	135	26	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	184	78
+	194	69
+	188	79
+	4	184	78	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	199	69
+	188	79
+	194	69
+	4	199	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	69
+	115	78
+	111	79
+	4	105	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	79
+	100	69
+	105	69
+	4	111	79	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	169	83
+	179	77
+	174	85
+	4	169	83	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	184	78
+	174	85
+	179	77
+	4	184	78	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	120	77
+	130	83
+	125	85
+	4	120	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	85
+	115	78
+	120	77
+	4	125	85	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	35
+	159	36
+	154	25
+	4	149	35	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	26
+	154	25
+	159	36
+	4	164	26	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	36
+	149	35
+	145	25
+	4	140	36	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	145	25
+	135	26
+	140	36
+	4	145	25	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	145	25
+	154	25
+	149	22
+	4	145	25	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	21
+	149	22
+	154	25
+	4	159	21	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	149	22
+	140	21
+	145	25
+	4	149	22	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	26
+	174	28
+	169	21
+	4	164	26	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	28
+	135	26
+	130	21
+	4	125	28	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	154	25
+	164	26
+	159	21
+	4	154	25	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	21
+	159	21
+	164	26
+	4	169	21	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	135	26
+	145	25
+	140	21
+	4	135	26	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	21
+	130	21
+	135	26
+	4	140	21	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	25
+	145	25
+	149	35
+	4	154	25	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	199	69
+	210	56
+	203	69
+	4	199	69	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	89	56
+	100	69
+	96	69
+	4	89	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	84
+	154	84
+	149	87
+	4	144	84	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	86
+	149	87
+	154	84
+	4	159	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	87
+	140	86
+	144	84
+	4	149	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	84
+	164	81
+	159	86
+	4	154	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	169	83
+	159	86
+	164	81
+	4	169	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	81
+	144	84
+	140	86
+	4	135	81	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	86
+	130	83
+	135	81
+	4	140	86	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	179	77
+	190	69
+	184	78
+	4	179	77	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	194	69
+	184	78
+	190	69
+	4	194	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	109	69
+	120	77
+	115	78
+	4	109	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	115	78
+	105	69
+	109	69
+	4	115	78	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	233	114
+	243	113
+	237	112
+	4	233	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	237	112
+	229	102
+	233	114
+	4	237	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	229	102
+	237	112
+	233	102
+	4	229	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	55	113
+	66	114
+	61	112
+	4	55	113	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	70	102
+	61	112
+	66	114
+	4	70	102	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	61	112
+	70	102
+	66	102
+	4	61	112	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	81
+	175	76
+	169	83
+	4	164	81	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	179	77
+	169	83
+	175	76
+	4	179	77	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	124	76
+	135	81
+	130	83
+	4	124	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	83
+	120	77
+	124	76
+	4	130	83	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	194	69
+	205	58
+	199	69
+	4	194	69	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	210	56
+	199	69
+	205	58
+	4	210	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	58
+	105	69
+	100	69
+	4	94	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	69
+	89	56
+	94	58
+	4	100	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	102
+	226	85
+	229	102
+	4	233	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	226	85
+	233	102
+	230	85
+	4	226	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	73	85
+	66	102
+	70	102
+	4	73	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	66	102
+	73	85
+	69	85
+	4	66	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	115
+	239	118
+	233	114
+	4	229	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	113
+	233	114
+	239	118
+	4	243	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	114
+	225	102
+	229	115
+	4	233	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	102
+	233	114
+	229	102
+	4	225	102	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	60	118
+	70	115
+	66	114
+	4	60	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	102
+	66	114
+	70	115
+	4	74	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	66	114
+	74	102
+	70	102
+	4	66	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	66	114
+	55	113
+	60	118
+	4	66	114	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	118
+	251	105
+	243	113
+	4	239	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	48	105
+	60	118
+	55	113
+	4	48	105	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	76
+	185	69
+	179	77
+	4	175	76	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	190	69
+	179	77
+	185	69
+	4	190	69	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	69
+	124	76
+	120	77
+	4	114	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	77
+	109	69
+	114	69
+	4	120	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	80
+	160	79
+	154	84
+	4	149	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	81
+	154	84
+	160	79
+	4	164	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	79
+	149	80
+	144	84
+	4	139	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	84
+	144	84
+	149	80
+	4	154	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	84
+	135	81
+	139	79
+	4	144	84	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	234	123
+	246	115
+	239	118
+	4	234	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	251	105
+	239	118
+	246	115
+	4	251	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	239	118
+	229	115
+	234	123
+	4	239	118	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	53	115
+	65	123
+	60	118
+	4	53	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	70	115
+	60	118
+	65	123
+	4	70	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	60	118
+	48	105
+	53	115
+	4	60	118	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	190	69
+	201	59
+	194	69
+	4	190	69	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	205	58
+	194	69
+	201	59
+	4	205	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	59
+	109	69
+	105	69
+	4	98	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	69
+	94	58
+	98	59
+	4	105	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	79
+	170	76
+	164	81
+	4	160	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	76
+	164	81
+	170	76
+	4	175	76	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	129	76
+	139	79
+	135	81
+	4	129	76	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	135	81
+	124	76
+	129	76
+	4	135	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	102
+	221	85
+	225	102
+	4	229	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	85
+	229	102
+	226	85
+	4	221	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	85
+	70	102
+	74	102
+	4	78	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	70	102
+	78	85
+	73	85
+	4	70	102	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	230	125
+	240	123
+	234	123
+	4	230	125	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	246	115
+	234	123
+	240	123
+	4	246	115	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	234	123
+	225	116
+	230	125
+	4	234	123	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	116
+	234	123
+	229	115
+	4	225	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	58	123
+	69	125
+	65	123
+	4	58	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	116
+	65	123
+	69	125
+	4	74	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	65	123
+	74	116
+	70	115
+	4	65	123	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	123
+	53	115
+	58	123
+	4	65	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	115
+	221	102
+	225	116
+	4	229	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	102
+	229	115
+	225	102
+	4	221	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	102
+	70	115
+	74	116
+	4	78	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	70	115
+	78	102
+	74	102
+	4	70	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	85
+	222	67
+	226	85
+	4	230	85	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	67
+	230	85
+	226	65
+	4	222	67	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	77	67
+	69	85
+	73	85
+	4	77	67	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	85
+	77	67
+	73	65
+	4	69	85	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	205	58
+	216	49
+	210	56
+	4	205	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	83	49
+	94	58
+	89	56
+	4	83	49	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	170	76
+	180	70
+	175	76
+	4	170	76	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	185	69
+	175	76
+	180	70
+	4	185	69	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	119	70
+	129	76
+	124	76
+	4	119	70	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	124	76
+	114	69
+	119	70
+	4	124	76	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	185	69
+	196	61
+	190	69
+	4	185	69	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	201	59
+	190	69
+	196	61
+	4	201	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	61
+	114	69
+	109	69
+	4	103	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	109	69
+	98	59
+	103	61
+	4	109	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	126
+	236	129
+	230	125
+	4	226	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	240	123
+	230	125
+	236	129
+	4	240	123	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	230	125
+	221	115
+	226	126
+	4	230	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	221	115
+	230	125
+	225	116
+	4	221	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	63	129
+	73	126
+	69	125
+	4	63	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	115
+	69	125
+	73	126
+	4	78	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	125
+	78	115
+	74	116
+	4	69	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	125
+	58	123
+	63	129
+	4	69	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	102
+	217	86
+	221	102
+	4	225	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	86
+	225	102
+	221	85
+	4	217	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	86
+	74	102
+	78	102
+	4	82	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	102
+	82	86
+	78	85
+	4	74	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	77
+	155	77
+	149	80
+	4	144	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	79
+	149	80
+	155	77
+	4	160	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	80
+	139	79
+	144	77
+	4	149	80	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	129
+	248	117
+	240	123
+	4	236	129	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	254	105
+	240	123
+	248	117
+	4	254	105	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	240	123
+	254	105
+	246	115
+	4	240	123	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	117
+	63	129
+	58	123
+	4	51	117	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	58	123
+	45	105
+	51	117
+	4	58	123	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	45	105
+	58	123
+	53	115
+	4	45	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	116
+	217	101
+	221	115
+	4	225	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	101
+	225	116
+	221	102
+	4	217	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	101
+	74	116
+	78	115
+	4	82	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	116
+	82	101
+	78	102
+	4	74	116	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	133
+	242	127
+	236	129
+	4	231	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	117
+	236	129
+	242	127
+	4	248	117	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	236	129
+	226	126
+	231	133
+	4	236	129	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	57	127
+	68	133
+	63	129
+	4	57	127	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	126
+	63	129
+	68	133
+	4	73	126	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	63	129
+	51	117
+	57	127
+	4	63	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	77
+	165	75
+	160	79
+	4	155	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	76
+	160	79
+	165	75
+	4	170	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	75
+	144	77
+	139	79
+	4	134	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	79
+	129	76
+	134	75
+	4	139	79	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	201	59
+	212	52
+	205	58
+	4	201	59	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	49
+	205	58
+	212	52
+	4	216	49	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	52
+	98	59
+	94	58
+	4	87	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	58
+	83	49
+	87	52
+	4	94	58	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	260	92
+	246	115
+	254	105
+	4	260	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	246	115
+	260	92
+	251	105
+	4	246	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	53	115
+	39	92
+	45	105
+	4	53	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	39	92
+	53	115
+	48	105
+	4	39	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	226	85
+	217	69
+	221	85
+	4	226	85	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	69
+	226	85
+	222	67
+	4	217	69	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	82	69
+	73	85
+	78	85
+	4	82	69	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	73	85
+	82	69
+	77	67
+	4	73	85	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	180	70
+	191	63
+	185	69
+	4	180	70	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	196	61
+	185	69
+	191	63
+	4	196	61	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	63
+	119	70
+	114	69
+	4	108	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	69
+	103	61
+	108	63
+	4	114	69	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	222	126
+	231	133
+	226	126
+	4	222	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	226	126
+	217	114
+	222	126
+	4	226	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	217	114
+	226	126
+	221	115
+	4	217	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	133
+	77	126
+	73	126
+	4	68	133	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	114
+	73	126
+	77	126
+	4	82	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	126
+	82	114
+	78	115
+	4	73	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	227	135
+	237	136
+	231	133
+	4	227	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	242	127
+	231	133
+	237	136
+	4	242	127	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	231	133
+	222	126
+	227	135
+	4	231	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	62	136
+	72	135
+	68	133
+	4	62	136	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	77	126
+	68	133
+	72	135
+	4	77	126	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	68	133
+	57	127
+	62	136
+	4	68	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	75
+	175	70
+	170	76
+	4	165	75	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	180	70
+	170	76
+	175	70
+	4	180	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	123	70
+	134	75
+	129	76
+	4	123	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	129	76
+	119	70
+	123	70
+	4	129	76	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	196	61
+	207	55
+	201	59
+	4	196	61	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	212	52
+	201	59
+	207	55
+	4	212	52	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	55
+	103	61
+	98	59
+	4	92	55	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	59
+	87	52
+	92	55
+	4	98	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	65
+	217	55
+	222	67
+	4	226	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	55
+	226	65
+	222	52
+	4	217	55	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	82	55
+	73	65
+	77	67
+	4	82	55	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	73	65
+	82	55
+	77	52
+	4	73	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	102
+	213	86
+	217	101
+	4	221	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	86
+	221	102
+	217	86
+	4	213	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	86
+	78	102
+	82	101
+	4	86	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	102
+	86	86
+	82	86
+	4	78	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	221	115
+	213	100
+	217	114
+	4	221	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	213	100
+	221	115
+	217	101
+	4	213	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	100
+	78	115
+	82	114
+	4	86	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	115
+	86	100
+	82	101
+	4	78	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	85
+	213	71
+	217	86
+	4	221	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	213	71
+	221	85
+	217	69
+	4	213	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	86	71
+	78	85
+	82	86
+	4	86	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	85
+	86	71
+	82	69
+	4	78	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	212	52
+	222	52
+	216	49
+	4	212	52	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	77	52
+	87	52
+	83	49
+	4	77	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	232	141
+	244	133
+	237	136
+	4	232	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	121
+	237	136
+	244	133
+	4	250	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	237	136
+	250	121
+	242	127
+	4	237	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	237	136
+	227	135
+	232	141
+	4	237	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	133
+	67	141
+	62	136
+	4	55	133	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	135
+	62	136
+	67	141
+	4	72	135	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	62	136
+	49	121
+	55	133
+	4	62	136	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	49	121
+	62	136
+	57	127
+	4	49	121	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	175	70
+	186	65
+	180	70
+	4	175	70	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	191	63
+	180	70
+	186	65
+	4	191	63	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	113	65
+	123	70
+	119	70
+	4	113	65	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	119	70
+	108	63
+	113	65
+	4	119	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	223	135
+	232	141
+	227	135
+	4	223	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	227	135
+	218	125
+	223	135
+	4	227	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	218	125
+	227	135
+	222	126
+	4	218	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	141
+	76	135
+	72	135
+	4	67	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	81	125
+	72	135
+	76	135
+	4	81	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	135
+	81	125
+	77	126
+	4	72	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	75
+	160	74
+	155	77
+	4	149	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	165	75
+	155	77
+	160	74
+	4	165	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	74
+	149	75
+	144	77
+	4	139	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	77
+	144	77
+	149	75
+	4	155	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	77
+	134	75
+	139	74
+	4	144	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	257	107
+	242	127
+	250	121
+	4	257	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	127
+	257	107
+	248	117
+	4	242	127	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	57	127
+	42	107
+	49	121
+	4	57	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	107
+	57	127
+	51	117
+	4	42	107	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	191	63
+	202	58
+	196	61
+	4	191	63	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	207	55
+	196	61
+	202	58
+	4	207	55	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	58
+	108	63
+	103	61
+	4	97	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	61
+	92	55
+	97	58
+	4	103	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	143
+	238	143
+	232	141
+	4	228	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	244	133
+	232	141
+	238	143
+	4	244	133	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	232	141
+	223	135
+	228	143
+	4	232	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	61	143
+	71	143
+	67	141
+	4	61	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	76	135
+	67	141
+	71	143
+	4	76	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	141
+	55	133
+	61	143
+	4	67	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	222	126
+	213	112
+	218	125
+	4	222	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	213	112
+	222	126
+	217	114
+	4	213	112	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	86	112
+	77	126
+	81	125
+	4	86	112	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	126
+	86	112
+	82	114
+	4	77	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	74
+	171	71
+	165	75
+	4	160	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	175	70
+	165	75
+	171	71
+	4	175	70	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	71
+	139	74
+	134	75
+	4	128	71	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	134	75
+	123	70
+	128	71
+	4	134	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	67
+	213	58
+	217	69
+	4	222	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	58
+	222	67
+	217	55
+	4	213	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	86	58
+	77	67
+	82	69
+	4	86	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	77	67
+	86	58
+	82	55
+	4	77	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	222	52
+	212	52
+	217	55
+	4	222	52	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	52
+	77	52
+	82	55
+	4	87	52	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	55
+	217	55
+	212	52
+	4	207	55	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	82	55
+	92	55
+	87	52
+	4	82	55	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	263	94
+	248	117
+	257	107
+	4	263	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	117
+	263	94
+	254	105
+	4	248	117	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	117
+	36	94
+	42	107
+	4	51	117	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	36	94
+	51	117
+	45	105
+	4	36	94	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	217	101
+	208	87
+	213	100
+	4	217	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	208	87
+	217	101
+	213	86
+	4	208	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	91	87
+	82	101
+	86	100
+	4	91	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	101
+	91	87
+	86	86
+	4	82	101	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	86
+	208	73
+	213	86
+	4	217	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	73
+	217	86
+	213	71
+	4	208	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	73
+	82	86
+	86	86
+	4	91	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	86
+	91	73
+	86	71
+	4	82	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	71
+	181	67
+	175	70
+	4	171	71	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	65
+	175	70
+	181	67
+	4	186	65	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	118	67
+	128	71
+	123	70
+	4	118	67	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	123	70
+	113	65
+	118	67
+	4	123	70	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	186	65
+	197	61
+	191	63
+	4	186	65	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	202	58
+	191	63
+	197	61
+	4	202	58	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	61
+	113	65
+	108	63
+	4	102	61	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	63
+	97	58
+	102	61
+	4	108	63	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	114
+	208	100
+	213	112
+	4	217	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	208	100
+	217	114
+	213	100
+	4	208	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	91	100
+	82	114
+	86	112
+	4	91	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	114
+	91	100
+	86	100
+	4	82	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	224	143
+	233	149
+	228	143
+	4	224	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	143
+	228	143
+	233	149
+	4	238	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	228	143
+	219	133
+	224	143
+	4	228	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	219	133
+	228	143
+	223	135
+	4	219	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	66	149
+	75	143
+	71	143
+	4	66	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	80	133
+	71	143
+	75	143
+	4	80	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	71	143
+	80	133
+	76	135
+	4	71	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	143
+	61	143
+	66	149
+	4	71	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	217	55
+	207	55
+	213	58
+	4	217	55	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	55
+	82	55
+	86	58
+	4	92	55	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	202	58
+	213	58
+	207	55
+	4	202	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	86	58
+	97	58
+	92	55
+	4	86	58	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	217	69
+	208	61
+	213	71
+	4	217	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	61
+	217	69
+	213	58
+	4	208	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	91	61
+	82	69
+	86	71
+	4	91	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	82	69
+	91	61
+	86	58
+	4	82	69	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	290	143
+	286	118
+	289	136
+	4	290	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	286	118
+	290	143
+	287	129
+	4	286	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	12	118
+	9	143
+	10	136
+	4	12	118	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	9	143
+	12	118
+	12	129
+	4	9	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	149
+	245	141
+	238	143
+	4	233	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	128
+	238	143
+	245	141
+	4	252	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	143
+	252	128
+	244	133
+	4	238	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	54	141
+	66	149
+	61	143
+	4	54	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	61	143
+	47	128
+	54	141
+	4	61	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	47	128
+	61	143
+	55	133
+	4	47	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	223	135
+	214	122
+	219	133
+	4	223	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	214	122
+	223	135
+	218	125
+	4	214	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	122
+	76	135
+	80	133
+	4	85	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	135
+	85	122
+	81	125
+	4	76	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	74
+	155	74
+	149	75
+	4	144	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	74
+	149	75
+	155	74
+	4	160	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	75
+	139	74
+	144	74
+	4	149	75	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	82
+	254	105
+	263	94
+	4	269	82	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	254	105
+	269	82
+	260	92
+	4	254	105	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	45	105
+	30	82
+	36	94
+	4	45	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	82
+	45	105
+	39	92
+	4	30	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	229	151
+	239	151
+	233	149
+	4	229	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	245	141
+	233	149
+	239	151
+	4	245	141	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	233	149
+	224	143
+	229	151
+	4	233	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	60	151
+	70	151
+	66	149
+	4	60	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	75	143
+	66	149
+	70	151
+	4	75	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	66	149
+	54	141
+	60	151
+	4	66	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	74
+	165	73
+	160	74
+	4	155	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	71
+	160	74
+	165	73
+	4	171	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	73
+	144	74
+	139	74
+	4	133	73	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	139	74
+	128	71
+	133	73
+	4	139	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	112
+	244	133
+	252	128
+	4	259	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	133
+	259	112
+	250	121
+	4	244	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	133
+	40	112
+	47	128
+	4	55	133	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	40	112
+	55	133
+	49	121
+	4	40	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	213	58
+	202	58
+	208	61
+	4	213	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	58
+	86	58
+	91	61
+	4	97	58	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	218	125
+	209	111
+	214	122
+	4	218	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	111
+	218	125
+	213	112
+	4	209	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	111
+	81	125
+	85	122
+	4	90	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	81	125
+	90	111
+	86	112
+	4	81	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	67
+	192	64
+	186	65
+	4	181	67	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	197	61
+	186	65
+	192	64
+	4	197	61	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	64
+	118	67
+	113	65
+	4	107	64	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	113	65
+	102	61
+	107	64
+	4	113	65	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	61
+	208	61
+	202	58
+	4	197	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	61
+	102	61
+	97	58
+	4	91	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	73
+	176	70
+	171	71
+	4	165	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	181	67
+	171	71
+	176	70
+	4	181	67	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	123	70
+	133	73
+	128	71
+	4	123	70	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	128	71
+	118	67
+	123	70
+	4	128	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	213	86
+	203	75
+	208	87
+	4	213	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	203	75
+	213	86
+	208	73
+	4	203	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	75
+	86	86
+	91	87
+	4	96	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	86
+	96	75
+	91	73
+	4	86	86	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	213	71
+	203	64
+	208	73
+	4	213	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	203	64
+	213	71
+	208	61
+	4	203	64	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	96	64
+	86	71
+	91	73
+	4	96	64	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	86	71
+	96	64
+	91	61
+	4	86	71	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	213	100
+	203	88
+	208	100
+	4	213	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	203	88
+	213	100
+	208	87
+	4	203	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	95	88
+	86	100
+	91	100
+	4	95	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	100
+	95	88
+	91	87
+	4	86	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	287	129
+	283	100
+	286	118
+	4	287	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	283	100
+	287	129
+	285	109
+	4	283	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	15	100
+	12	129
+	12	118
+	4	15	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	12	129
+	15	100
+	14	109
+	4	12	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	234	156
+	246	151
+	239	151
+	4	234	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	253	136
+	239	151
+	246	151
+	4	253	136	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	239	151
+	253	136
+	245	141
+	4	239	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	239	151
+	229	151
+	234	156
+	4	239	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	151
+	64	156
+	60	151
+	4	53	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	151
+	60	151
+	64	156
+	4	70	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	60	151
+	46	136
+	53	151
+	4	60	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	136
+	60	151
+	54	141
+	4	46	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	98
+	250	121
+	259	112
+	4	266	98	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	250	121
+	266	98
+	257	107
+	4	250	121	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	49	121
+	33	98
+	40	112
+	4	49	121	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	33	98
+	49	121
+	42	107
+	4	33	98	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	208	61
+	197	61
+	203	64
+	4	208	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	61
+	91	61
+	96	64
+	4	102	61	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	225	149
+	234	156
+	229	151
+	4	225	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	229	151
+	220	140
+	225	149
+	4	229	151	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	220	140
+	229	151
+	224	143
+	4	220	140	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	64	156
+	74	149
+	70	151
+	4	64	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	79	140
+	70	151
+	74	149
+	4	79	140	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	70	151
+	79	140
+	75	143
+	4	70	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	64
+	203	64
+	197	61
+	4	192	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	96	64
+	107	64
+	102	61
+	4	96	64	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	224	143
+	215	130
+	220	140
+	4	224	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	215	130
+	224	143
+	219	133
+	4	215	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	130
+	75	143
+	79	140
+	4	84	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	75	143
+	84	130
+	80	133
+	4	75	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	213	112
+	204	99
+	209	111
+	4	213	112	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	99
+	213	112
+	208	100
+	4	204	99	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	95	99
+	86	112
+	90	111
+	4	95	99	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	86	112
+	95	99
+	91	100
+	4	86	112	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	70
+	187	67
+	181	67
+	4	176	70	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	192	64
+	181	67
+	187	67
+	4	192	64	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	112	67
+	123	70
+	118	67
+	4	112	67	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	118	67
+	107	64
+	112	67
+	4	118	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	75
+	160	74
+	155	74
+	4	149	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	73
+	155	74
+	160	74
+	4	165	73	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	74
+	149	75
+	144	74
+	4	139	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	74
+	144	74
+	149	75
+	4	155	74	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	74
+	133	73
+	139	74
+	4	144	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	230	157
+	241	160
+	234	156
+	4	230	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	151
+	234	156
+	241	160
+	4	246	151	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	234	156
+	225	149
+	230	157
+	4	234	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	58	160
+	69	157
+	64	156
+	4	58	160	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	149
+	64	156
+	69	157
+	4	74	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	64	156
+	53	151
+	58	160
+	4	64	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	260	120
+	245	141
+	253	136
+	4	260	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	245	141
+	260	120
+	252	128
+	4	245	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	54	141
+	39	120
+	46	136
+	4	54	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	39	120
+	54	141
+	47	128
+	4	39	120	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	208	73
+	198	67
+	203	75
+	4	208	73	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	198	67
+	208	73
+	203	64
+	4	198	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	67
+	91	73
+	96	75
+	4	101	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	73
+	101	67
+	96	64
+	4	91	73	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	219	133
+	210	119
+	215	130
+	4	219	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	210	119
+	219	133
+	214	122
+	4	210	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	119
+	80	133
+	84	130
+	4	89	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	133
+	89	119
+	85	122
+	4	80	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	74
+	171	72
+	165	73
+	4	160	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	70
+	165	73
+	171	72
+	4	176	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	128	72
+	139	74
+	133	73
+	4	128	72	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	133	73
+	123	70
+	128	72
+	4	133	73	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	208	87
+	198	78
+	203	88
+	4	208	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	198	78
+	208	87
+	203	75
+	4	198	78	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	78
+	91	87
+	95	88
+	4	101	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	87
+	101	78
+	96	75
+	4	91	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	64
+	192	64
+	198	67
+	4	203	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	107	64
+	96	64
+	101	67
+	4	107	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	67
+	198	67
+	192	64
+	4	187	67	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	67
+	112	67
+	107	64
+	4	101	67	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	72
+	182	71
+	176	70
+	4	171	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	187	67
+	176	70
+	182	71
+	4	187	67	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	117	71
+	128	72
+	123	70
+	4	117	71	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	123	70
+	112	67
+	117	71
+	4	123	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	208	100
+	199	89
+	204	99
+	4	208	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	89
+	208	100
+	203	88
+	4	199	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	100	89
+	91	100
+	95	99
+	4	100	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	91	100
+	100	89
+	95	88
+	4	91	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	272	87
+	257	107
+	266	98
+	4	272	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	257	107
+	272	87
+	263	94
+	4	257	107	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	42	107
+	27	87
+	33	98
+	4	42	107	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	27	87
+	42	107
+	36	94
+	4	27	87	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	214	122
+	204	109
+	210	119
+	4	214	122	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	109
+	214	122
+	209	111
+	4	204	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	109
+	85	122
+	89	119
+	4	95	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	122
+	95	109
+	90	111
+	4	85	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	236	164
+	247	161
+	241	160
+	4	236	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	254	148
+	241	160
+	247	161
+	4	254	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	241	160
+	254	148
+	246	151
+	4	241	160	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	241	160
+	230	157
+	236	164
+	4	241	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	161
+	63	164
+	58	160
+	4	52	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	157
+	58	160
+	63	164
+	4	69	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	58	160
+	45	148
+	52	161
+	4	58	160	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	45	148
+	58	160
+	53	151
+	4	45	148	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	289	136
+	286	108
+	289	125
+	4	289	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	286	108
+	289	136
+	286	118
+	4	286	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	13	108
+	10	136
+	10	125
+	4	13	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	10	136
+	13	108
+	12	118
+	4	10	136	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	203	75
+	193	71
+	198	78
+	4	203	75	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	193	71
+	203	75
+	198	67
+	4	193	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	71
+	96	75
+	101	78
+	4	106	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	75
+	106	71
+	101	67
+	4	96	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	67
+	187	67
+	193	71
+	4	198	67	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	67
+	101	67
+	106	71
+	4	112	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	76
+	155	76
+	149	75
+	4	144	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	74
+	149	75
+	155	76
+	4	160	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	75
+	139	74
+	144	76
+	4	149	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	182	71
+	193	71
+	187	67
+	4	182	71	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	106	71
+	117	71
+	112	67
+	4	106	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	261	130
+	246	151
+	254	148
+	4	261	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	246	151
+	261	130
+	253	136
+	4	246	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	53	151
+	37	130
+	45	148
+	4	53	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	37	130
+	53	151
+	46	136
+	4	37	130	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	104
+	252	128
+	260	120
+	4	268	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	252	128
+	268	104
+	259	112
+	4	252	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	47	128
+	31	104
+	39	120
+	4	47	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	104
+	47	128
+	40	112
+	4	31	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	76
+	166	75
+	160	74
+	4	155	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	72
+	160	74
+	166	75
+	4	171	72	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	75
+	144	76
+	139	74
+	4	133	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	74
+	128	72
+	133	75
+	4	139	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	227	154
+	236	164
+	230	157
+	4	227	154	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	230	157
+	221	145
+	227	154
+	4	230	157	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	221	145
+	230	157
+	225	149
+	4	221	145	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	63	164
+	72	154
+	69	157
+	4	63	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	145
+	69	157
+	72	154
+	4	78	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	69	157
+	78	145
+	74	149
+	4	69	157	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	225	149
+	216	136
+	221	145
+	4	225	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	216	136
+	225	149
+	220	140
+	4	216	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	136
+	74	149
+	78	145
+	4	83	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	149
+	83	136
+	79	140
+	4	74	149	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	111
+	199	99
+	204	109
+	4	209	111	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	99
+	209	111
+	204	99
+	4	199	99	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	99
+	90	111
+	95	109
+	4	100	99	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	90	111
+	100	99
+	95	99
+	4	90	111	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	203	88
+	193	80
+	199	89
+	4	203	88	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	193	80
+	203	88
+	198	78
+	4	193	80	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	106	80
+	95	88
+	100	89
+	4	106	80	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	88
+	106	80
+	101	78
+	4	95	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	75
+	177	74
+	171	72
+	4	166	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	182	71
+	171	72
+	177	74
+	4	182	71	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	122	74
+	133	75
+	128	72
+	4	122	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	128	72
+	117	71
+	122	74
+	4	128	72	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	232	162
+	242	169
+	236	164
+	4	232	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	161
+	236	164
+	242	169
+	4	247	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	236	164
+	227	154
+	232	162
+	4	236	164	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	57	169
+	67	162
+	63	164
+	4	57	169	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	72	154
+	63	164
+	67	162
+	4	72	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	164
+	52	161
+	57	169
+	4	63	164	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	220	140
+	211	126
+	216	136
+	4	220	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	211	126
+	220	140
+	215	130
+	4	211	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	126
+	79	140
+	83	136
+	4	88	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	79	140
+	88	126
+	84	130
+	4	79	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	285	109
+	279	89
+	283	100
+	4	285	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	279	89
+	285	109
+	282	91
+	4	279	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	20	89
+	14	109
+	15	100
+	4	20	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	14	109
+	20	89
+	17	91
+	4	14	109	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	81
+	263	94
+	272	87
+	4	277	81	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	263	94
+	277	81
+	269	82
+	4	263	94	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	36	94
+	22	81
+	27	87
+	4	36	94	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	22	81
+	36	94
+	30	82
+	4	22	81	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	188	74
+	198	78
+	193	71
+	4	188	74	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	193	71
+	182	71
+	188	74
+	4	193	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	78
+	111	74
+	106	71
+	4	101	78	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	117	71
+	106	71
+	111	74
+	4	117	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	177	74
+	188	74
+	182	71
+	4	177	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	111	74
+	122	74
+	117	71
+	4	111	74	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	198	78
+	188	74
+	193	80
+	4	198	78	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	111	74
+	101	78
+	106	80
+	4	111	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	169
+	254	161
+	247	161
+	4	242	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	262	143
+	247	161
+	254	161
+	4	262	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	247	161
+	262	143
+	254	148
+	4	247	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	45	161
+	57	169
+	52	161
+	4	45	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	52	161
+	37	143
+	45	161
+	4	52	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	37	143
+	52	161
+	45	148
+	4	37	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	169
+	248	172
+	242	169
+	4	238	169	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	254	161
+	242	169
+	248	172
+	4	254	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	242	169
+	232	162
+	238	169
+	4	242	169	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	51	172
+	61	169
+	57	169
+	4	51	172	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	67	162
+	57	169
+	61	169
+	4	67	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	57	169
+	45	161
+	51	172
+	4	57	169	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	99
+	194	90
+	199	99
+	4	204	99	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	194	90
+	204	99
+	199	89
+	4	194	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	90
+	95	99
+	100	99
+	4	105	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	99
+	105	90
+	100	89
+	4	95	99	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	215	130
+	205	117
+	211	126
+	4	215	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	205	117
+	215	130
+	210	119
+	4	205	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	117
+	84	130
+	88	126
+	4	94	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	130
+	94	117
+	89	119
+	4	84	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	78
+	160	78
+	155	76
+	4	149	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	75
+	155	76
+	160	78
+	4	166	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	78
+	149	78
+	144	76
+	4	138	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	76
+	144	76
+	149	78
+	4	155	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	76
+	133	75
+	138	78
+	4	144	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	78
+	171	77
+	166	75
+	4	160	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	74
+	166	75
+	171	77
+	4	177	74	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	77
+	138	78
+	133	75
+	4	127	77	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	133	75
+	122	74
+	127	77
+	4	133	75	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	269	113
+	253	136
+	261	130
+	4	269	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	253	136
+	269	113
+	260	120
+	4	253	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	136
+	30	113
+	37	130
+	4	46	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	30	113
+	46	136
+	39	120
+	4	30	113	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	182	77
+	193	80
+	188	74
+	4	182	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	188	74
+	177	74
+	182	77
+	4	188	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	106	80
+	116	77
+	111	74
+	4	106	80	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	122	74
+	111	74
+	116	77
+	4	122	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	77
+	182	77
+	177	74
+	4	171	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	116	77
+	127	77
+	122	74
+	4	116	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	93
+	259	112
+	268	104
+	4	274	93	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	112
+	274	93
+	266	98
+	4	259	112	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	40	112
+	25	93
+	31	104
+	4	40	112	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	25	93
+	40	112
+	33	98
+	4	25	93	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	199	89
+	188	83
+	194	90
+	4	199	89	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	188	83
+	199	89
+	193	80
+	4	188	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	83
+	100	89
+	105	90
+	4	111	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	89
+	111	83
+	106	80
+	4	100	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	210	119
+	200	108
+	205	117
+	4	210	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	200	108
+	210	119
+	204	109
+	4	200	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	108
+	89	119
+	94	117
+	4	99	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	119
+	99	108
+	95	109
+	4	89	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	193	80
+	182	77
+	188	83
+	4	193	80	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	116	77
+	106	80
+	111	83
+	4	116	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	243	176
+	255	174
+	248	172
+	4	243	176	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	262	159
+	248	172
+	255	174
+	4	262	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	248	172
+	262	159
+	254	161
+	4	248	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	248	172
+	238	169
+	243	176
+	4	248	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	44	174
+	55	176
+	51	172
+	4	44	174	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	61	169
+	51	172
+	55	176
+	4	61	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	51	172
+	37	159
+	44	174
+	4	51	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	37	159
+	51	172
+	45	161
+	4	37	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	286	118
+	281	96
+	286	108
+	4	286	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	281	96
+	286	118
+	283	100
+	4	281	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	18	96
+	12	118
+	13	108
+	4	18	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	12	118
+	18	96
+	15	100
+	4	12	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	81
+	155	81
+	149	78
+	4	144	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	78
+	149	78
+	155	81
+	4	160	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	78
+	138	78
+	144	81
+	4	149	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	81
+	166	81
+	160	78
+	4	155	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	77
+	160	78
+	166	81
+	4	171	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	81
+	144	81
+	138	78
+	4	133	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	78
+	127	77
+	133	81
+	4	138	78	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	109
+	194	100
+	200	108
+	4	204	109	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	194	100
+	204	109
+	199	99
+	4	194	100	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	100
+	95	109
+	99	108
+	4	105	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	109
+	105	100
+	100	99
+	4	95	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	270	124
+	254	148
+	262	143
+	4	270	124	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	254	148
+	270	124
+	261	130
+	4	254	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	45	148
+	29	124
+	37	143
+	4	45	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	29	124
+	45	148
+	37	130
+	4	29	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	177	81
+	188	83
+	182	77
+	4	177	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	182	77
+	171	77
+	177	81
+	4	182	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	111	83
+	122	81
+	116	77
+	4	111	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	77
+	116	77
+	122	81
+	4	127	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	81
+	177	81
+	171	77
+	4	166	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	122	81
+	133	81
+	127	77
+	4	122	81	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	156
+	238	169
+	232	162
+	4	229	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	232	162
+	223	147
+	229	156
+	4	232	162	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	223	147
+	232	162
+	227	154
+	4	223	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	61	169
+	70	156
+	67	162
+	4	61	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	76	147
+	67	162
+	70	156
+	4	76	147	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	67	162
+	76	147
+	72	154
+	4	67	162	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	235	164
+	243	176
+	238	169
+	4	235	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	238	169
+	229	156
+	235	164
+	4	238	169	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	55	176
+	64	164
+	61	169
+	4	55	176	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	70	156
+	61	169
+	64	164
+	4	70	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	99
+	189	92
+	194	100
+	4	199	99	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	189	92
+	199	99
+	194	90
+	4	189	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	92
+	100	99
+	105	100
+	4	110	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	99
+	110	92
+	105	90
+	4	100	99	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	227	154
+	218	139
+	223	147
+	4	227	154	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	218	139
+	227	154
+	221	145
+	4	218	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	81	139
+	72	154
+	76	147
+	4	81	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	72	154
+	81	139
+	78	145
+	4	72	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	91
+	272	87
+	279	89
+	4	282	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	87
+	282	91
+	277	81
+	4	272	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	27	87
+	17	91
+	20	89
+	4	27	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	17	91
+	27	87
+	22	81
+	4	17	91	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	183	86
+	194	90
+	188	83
+	4	183	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	188	83
+	177	81
+	183	86
+	4	188	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	90
+	116	86
+	111	83
+	4	105	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	122	81
+	111	83
+	116	86
+	4	122	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	139
+	254	161
+	262	159
+	4	271	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	254	161
+	271	139
+	262	143
+	4	254	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	45	161
+	28	139
+	37	159
+	4	45	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	28	139
+	45	161
+	37	143
+	4	28	139	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	194	90
+	183	86
+	189	92
+	4	194	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	86
+	105	90
+	110	92
+	4	116	86	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	221	145
+	212	131
+	218	139
+	4	221	145	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	212	131
+	221	145
+	216	136
+	4	212	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	131
+	78	145
+	81	139
+	4	87	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	145
+	87	131
+	83	136
+	4	78	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	89
+	266	98
+	274	93
+	4	279	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	98
+	279	89
+	272	87
+	4	266	98	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	33	98
+	20	89
+	25	93
+	4	33	98	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	20	89
+	33	98
+	27	87
+	4	20	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	240	172
+	249	181
+	243	176
+	4	240	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	255	174
+	243	176
+	249	181
+	4	255	174	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	243	176
+	235	164
+	240	172
+	4	243	176	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	49	181
+	59	172
+	55	176
+	4	49	181	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	64	164
+	55	176
+	59	172
+	4	64	164	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	55	176
+	44	174
+	49	181
+	4	55	176	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	85
+	161	84
+	155	81
+	4	149	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	81
+	155	81
+	161	84
+	4	166	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	84
+	149	85
+	144	81
+	4	138	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	81
+	144	81
+	149	85
+	4	155	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	81
+	133	81
+	138	84
+	4	144	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	85
+	183	86
+	177	81
+	4	172	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	81
+	166	81
+	172	85
+	4	177	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	86
+	127	85
+	122	81
+	4	116	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	81
+	122	81
+	127	85
+	4	133	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	84
+	172	85
+	166	81
+	4	161	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	85
+	138	84
+	133	81
+	4	127	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	276	101
+	260	120
+	269	113
+	4	276	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	120
+	276	101
+	268	104
+	4	260	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	39	120
+	23	101
+	30	113
+	4	39	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	23	101
+	39	120
+	31	104
+	4	23	101	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	216	136
+	206	122
+	212	131
+	4	216	136	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	206	122
+	216	136
+	211	126
+	4	206	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	93	122
+	83	136
+	87	131
+	4	93	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	136
+	93	122
+	88	126
+	4	83	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	249	181
+	240	172
+	246	179
+	4	249	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	59	172
+	49	181
+	53	179
+	4	59	172	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	211	126
+	201	115
+	206	122
+	4	211	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	201	115
+	211	126
+	205	117
+	4	201	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	115
+	88	126
+	93	122
+	4	98	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	126
+	98	115
+	94	117
+	4	88	126	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	178	89
+	189	92
+	183	86
+	4	178	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	183	86
+	172	85
+	178	89
+	4	183	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	92
+	121	89
+	116	86
+	4	110	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	127	85
+	116	86
+	121	89
+	4	127	85	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	205	117
+	195	107
+	201	115
+	4	205	117	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	195	107
+	205	117
+	200	108
+	4	195	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	107
+	94	117
+	98	115
+	4	104	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	117
+	104	107
+	99	108
+	4	94	117	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	289	125
+	283	104
+	288	114
+	4	289	125	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	283	104
+	289	125
+	286	108
+	4	283	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	16	104
+	10	125
+	11	114
+	4	16	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	10	125
+	16	104
+	13	108
+	4	10	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	88
+	155	88
+	149	85
+	4	144	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	84
+	149	85
+	155	88
+	4	161	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	85
+	138	84
+	144	88
+	4	149	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	88
+	178	89
+	172	85
+	4	166	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	85
+	161	84
+	166	88
+	4	172	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	89
+	133	88
+	127	85
+	4	121	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	84
+	127	85
+	133	88
+	4	138	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	88
+	166	88
+	161	84
+	4	155	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	88
+	144	88
+	138	84
+	4	133	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	283	100
+	274	93
+	281	96
+	4	283	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	274	93
+	283	100
+	279	89
+	4	274	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	25	93
+	15	100
+	18	96
+	4	25	93	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	15	100
+	25	93
+	20	89
+	4	15	100	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	183	94
+	194	100
+	189	92
+	4	183	94	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	189	92
+	178	89
+	183	94
+	4	189	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	100
+	116	94
+	110	92
+	4	105	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	121	89
+	110	92
+	116	94
+	4	121	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	200	108
+	189	100
+	195	107
+	4	200	108	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	189	100
+	200	108
+	194	100
+	4	189	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	110	100
+	99	108
+	104	107
+	4	110	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	99	108
+	110	100
+	105	100
+	4	99	108	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	194	100
+	183	94
+	189	100
+	4	194	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	94
+	105	100
+	110	100
+	4	116	94	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	278	110
+	261	130
+	270	124
+	4	278	110	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	261	130
+	278	110
+	269	113
+	4	261	130	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	37	130
+	21	110
+	29	124
+	4	37	130	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	21	110
+	37	130
+	30	113
+	4	21	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	92
+	183	94
+	178	89
+	4	172	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	89
+	166	88
+	172	92
+	4	178	89	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	94
+	127	92
+	121	89
+	4	116	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	88
+	121	89
+	127	92
+	4	133	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	96
+	268	104
+	276	101
+	4	281	96	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	104
+	281	96
+	274	93
+	4	268	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	31	104
+	18	96
+	23	101
+	4	31	104	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	96
+	31	104
+	25	93
+	4	18	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	92
+	172	92
+	166	88
+	4	161	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	88
+	155	88
+	161	92
+	4	166	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	92
+	138	92
+	133	88
+	4	127	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	88
+	133	88
+	138	92
+	4	144	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	92
+	161	92
+	155	88
+	4	149	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	92
+	149	92
+	144	88
+	4	138	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	88
+	144	88
+	149	92
+	4	155	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	121
+	262	143
+	271	139
+	4	279	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	262	143
+	279	121
+	270	124
+	4	262	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	37	143
+	20	121
+	28	139
+	4	37	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	20	121
+	37	143
+	29	124
+	4	20	121	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	178	97
+	189	100
+	183	94
+	4	178	97	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	183	94
+	172	92
+	178	97
+	4	183	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	100
+	121	97
+	116	94
+	4	110	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	92
+	116	94
+	121	97
+	4	127	92	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	184	102
+	195	107
+	189	100
+	4	184	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	189	100
+	178	97
+	184	102
+	4	189	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	104	107
+	115	102
+	110	100
+	4	104	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	97
+	110	100
+	115	102
+	4	121	97	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	96
+	178	97
+	172	92
+	4	167	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	92
+	161	92
+	167	96
+	4	172	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	121	97
+	132	96
+	127	92
+	4	121	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	92
+	127	92
+	132	96
+	4	138	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	96
+	167	96
+	161	92
+	4	155	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	92
+	149	92
+	155	96
+	4	161	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	96
+	144	96
+	138	92
+	4	132	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	92
+	138	92
+	144	96
+	4	149	92	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	286	108
+	276	101
+	283	104
+	4	286	108	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	276	101
+	286	108
+	281	96
+	4	276	101	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	23	101
+	13	108
+	16	104
+	4	23	101	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	13	108
+	23	101
+	18	96
+	4	13	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	96
+	155	96
+	149	92
+	4	144	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	232	155
+	240	172
+	235	164
+	4	232	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	235	164
+	226	147
+	232	155
+	4	235	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	226	147
+	235	164
+	229	156
+	4	226	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	59	172
+	67	155
+	64	164
+	4	59	172	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	73	147
+	64	164
+	67	155
+	4	73	147	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	64	164
+	73	147
+	70	156
+	4	64	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	162
+	246	179
+	240	172
+	4	238	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	240	172
+	232	155
+	238	162
+	4	240	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	53	179
+	61	162
+	59	172
+	4	53	179	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	67	155
+	59	172
+	61	162
+	4	67	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	229	156
+	220	140
+	226	147
+	4	229	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	220	140
+	229	156
+	223	147
+	4	220	140	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	140
+	70	156
+	73	147
+	4	79	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	70	156
+	79	140
+	76	147
+	4	70	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	190	108
+	201	115
+	195	107
+	4	190	108	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	195	107
+	184	102
+	190	108
+	4	195	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	98	115
+	109	108
+	104	107
+	4	98	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	102
+	104	107
+	109	108
+	4	115	102	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	223	147
+	214	133
+	220	140
+	4	223	147	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	214	133
+	223	147
+	218	139
+	4	214	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	85	133
+	76	147
+	79	140
+	4	85	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	76	147
+	85	133
+	81	139
+	4	76	147	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	179
+	238	162
+	244	170
+	4	246	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	61	162
+	53	179
+	55	170
+	4	61	162	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	218	139
+	208	126
+	214	133
+	4	218	139	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	208	126
+	218	139
+	212	131
+	4	208	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	126
+	81	139
+	85	133
+	4	91	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	139
+	91	126
+	87	131
+	4	81	139	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	196	113
+	206	122
+	201	115
+	4	196	113	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	201	115
+	190	108
+	196	113
+	4	201	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	122
+	103	113
+	98	115
+	4	93	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	108
+	98	115
+	103	113
+	4	109	108	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	212	131
+	202	120
+	208	126
+	4	212	131	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	202	120
+	212	131
+	206	122
+	4	202	120	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	120
+	87	131
+	91	126
+	4	97	120	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	131
+	97	120
+	93	122
+	4	87	131	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	206	122
+	196	113
+	202	120
+	4	206	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	113
+	93	122
+	97	120
+	4	103	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	283	104
+	269	113
+	278	110
+	4	283	104	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	269	113
+	283	104
+	276	101
+	4	269	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	113
+	16	104
+	21	110
+	4	30	113	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	16	104
+	30	113
+	23	101
+	4	16	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	100
+	184	102
+	178	97
+	4	172	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	97
+	167	96
+	172	100
+	4	178	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	102
+	126	100
+	121	97
+	4	115	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	96
+	121	97
+	126	100
+	4	132	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	100
+	172	100
+	167	96
+	4	161	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	96
+	155	96
+	161	100
+	4	167	96	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	100
+	138	100
+	132	96
+	4	126	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	96
+	132	96
+	138	100
+	4	144	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	100
+	161	100
+	155	96
+	4	149	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	100
+	149	100
+	144	96
+	4	138	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	96
+	144	96
+	149	100
+	4	155	96	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	178	104
+	190	108
+	184	102
+	4	178	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	184	102
+	172	100
+	178	104
+	4	184	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	108
+	120	104
+	115	102
+	4	109	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	100
+	115	102
+	120	104
+	4	126	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	285	112
+	270	124
+	279	121
+	4	285	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	124
+	285	112
+	278	110
+	4	270	124	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	29	124
+	14	112
+	20	121
+	4	29	124	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	14	112
+	29	124
+	21	110
+	4	14	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	104
+	178	104
+	172	100
+	4	167	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	100
+	161	100
+	167	104
+	4	172	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	104
+	132	104
+	126	100
+	4	120	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	100
+	126	100
+	132	104
+	4	138	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	103
+	167	104
+	161	100
+	4	155	103	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	100
+	149	100
+	155	103
+	4	161	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	104
+	144	103
+	138	100
+	4	132	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	100
+	138	100
+	144	103
+	4	149	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	103
+	155	103
+	149	100
+	4	144	103	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	184	109
+	196	113
+	190	108
+	4	184	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	190	108
+	178	104
+	184	109
+	4	190	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	113
+	114	109
+	109	108
+	4	103	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	104
+	109	108
+	114	109
+	4	120	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	288	114
+	278	110
+	285	112
+	4	288	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	278	110
+	288	114
+	283	104
+	4	278	110	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	21	110
+	11	114
+	14	112
+	4	21	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	11	114
+	21	110
+	16	104
+	4	11	114	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	191	114
+	202	120
+	196	113
+	4	191	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	196	113
+	184	109
+	191	114
+	4	196	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	120
+	108	114
+	103	113
+	4	97	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	109
+	103	113
+	108	114
+	4	114	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	108
+	184	109
+	178	104
+	4	173	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	178	104
+	167	104
+	173	108
+	4	178	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	109
+	126	108
+	120	104
+	4	114	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	104
+	120	104
+	126	108
+	4	132	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	161	108
+	173	108
+	167	104
+	4	161	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	104
+	155	103
+	161	108
+	4	167	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	108
+	138	108
+	132	104
+	4	126	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	103
+	132	104
+	138	108
+	4	144	103	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	108
+	161	108
+	155	103
+	4	149	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	108
+	149	108
+	144	103
+	4	138	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	103
+	144	103
+	149	108
+	4	155	103	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	197	119
+	208	126
+	202	120
+	4	197	119	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	202	120
+	191	114
+	197	119
+	4	202	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	126
+	102	119
+	97	120
+	4	91	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	108	114
+	97	120
+	102	119
+	4	108	114	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	203	124
+	214	133
+	208	126
+	4	203	124	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	208	126
+	197	119
+	203	124
+	4	208	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	85	133
+	96	124
+	91	126
+	4	85	133	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	102	119
+	91	126
+	96	124
+	4	102	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	179	112
+	191	114
+	184	109
+	4	179	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	184	109
+	173	108
+	179	112
+	4	184	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	114
+	120	112
+	114	109
+	4	108	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	108
+	114	109
+	120	112
+	4	126	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	214
+	155	214
+	149	208
+	4	144	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	207
+	149	208
+	155	214
+	4	161	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	208
+	161	207
+	155	199
+	4	149	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	208
+	138	207
+	144	214
+	4	149	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	207
+	149	208
+	144	199
+	4	138	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	199
+	144	199
+	149	208
+	4	155	199	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	129
+	220	140
+	214	133
+	4	209	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	214	133
+	203	124
+	209	129
+	4	214	133	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	79	140
+	90	129
+	85	133
+	4	79	140	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	96	124
+	85	133
+	90	129
+	4	96	124	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	155	214
+	167	214
+	161	207
+	4	155	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	173	206
+	161	207
+	167	214
+	4	173	206	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	161	207
+	173	206
+	167	197
+	4	161	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	197
+	155	199
+	161	207
+	4	167	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	214
+	144	214
+	138	207
+	4	132	214	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	207
+	126	206
+	132	214
+	4	138	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	206
+	138	207
+	132	197
+	4	126	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	199
+	132	197
+	138	207
+	4	144	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	199
+	167	197
+	161	187
+	4	155	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	199
+	155	199
+	149	188
+	4	144	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	187
+	149	188
+	155	199
+	4	161	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	197
+	144	199
+	138	187
+	4	132	197	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	188
+	138	187
+	144	199
+	4	149	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	112
+	155	112
+	149	108
+	4	144	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	108
+	149	108
+	155	112
+	4	161	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	108
+	138	108
+	144	112
+	4	149	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	112
+	179	112
+	173	108
+	4	167	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	108
+	161	108
+	167	112
+	4	173	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	112
+	132	112
+	126	108
+	4	120	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	108
+	126	108
+	132	112
+	4	138	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	112
+	167	112
+	161	108
+	4	155	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	112
+	144	112
+	138	108
+	4	132	112	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	216	135
+	226	147
+	220	140
+	4	216	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	220	140
+	209	129
+	216	135
+	4	220	140	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	73	147
+	83	135
+	79	140
+	4	73	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	90	129
+	79	140
+	83	135
+	4	90	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	214
+	179	213
+	173	206
+	4	167	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	185	202
+	173	206
+	179	213
+	4	185	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	206
+	185	202
+	179	194
+	4	173	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	194
+	167	197
+	173	206
+	4	179	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	213
+	132	214
+	126	206
+	4	120	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	206
+	114	202
+	120	213
+	4	126	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	202
+	126	206
+	120	194
+	4	114	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	197
+	120	194
+	126	206
+	4	132	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	217
+	161	218
+	155	214
+	4	149	217	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	214
+	155	214
+	161	218
+	4	167	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	218
+	149	217
+	144	214
+	4	138	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	214
+	144	214
+	149	217
+	4	155	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	214
+	132	214
+	138	218
+	4	144	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	161	218
+	173	218
+	167	214
+	4	161	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	213
+	167	214
+	173	218
+	4	179	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	218
+	138	218
+	132	214
+	4	126	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	214
+	120	213
+	126	218
+	4	132	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	197
+	179	194
+	173	184
+	4	167	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	184
+	161	187
+	167	197
+	4	173	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	194
+	132	197
+	126	184
+	4	120	194	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	187
+	126	184
+	132	197
+	4	138	187	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	222	140
+	232	155
+	226	147
+	4	222	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	226	147
+	216	135
+	222	140
+	4	226	147	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	67	155
+	77	140
+	73	147
+	4	67	155	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	83	135
+	73	147
+	77	140
+	4	83	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	185	116
+	197	119
+	191	114
+	4	185	116	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	191	114
+	179	112
+	185	116
+	4	191	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	119
+	114	116
+	108	114
+	4	102	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	112
+	108	114
+	114	116
+	4	120	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	188
+	161	187
+	155	177
+	4	149	188	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	187
+	149	188
+	144	177
+	4	138	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	177
+	144	177
+	149	188
+	4	155	177	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	218
+	185	219
+	179	213
+	4	173	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	210
+	179	213
+	185	219
+	4	191	210	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	213
+	191	210
+	185	202
+	4	179	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	114	219
+	126	218
+	120	213
+	4	114	219	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	120	213
+	108	210
+	114	219
+	4	120	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	210
+	120	213
+	114	202
+	4	108	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	146
+	238	162
+	232	155
+	4	229	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	232	155
+	222	140
+	229	146
+	4	232	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	61	162
+	70	146
+	67	155
+	4	61	162	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	77	140
+	67	155
+	70	146
+	4	77	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	161	187
+	173	184
+	167	174
+	4	161	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	174
+	155	177
+	161	187
+	4	167	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	184
+	138	187
+	132	174
+	4	126	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	177
+	132	174
+	138	187
+	4	144	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	235	152
+	244	170
+	238	162
+	4	235	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	162
+	229	146
+	235	152
+	4	238	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	55	170
+	64	152
+	61	162
+	4	55	170	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	70	146
+	61	162
+	64	152
+	4	70	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	117
+	161	117
+	155	112
+	4	149	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	112
+	155	112
+	161	117
+	4	167	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	117
+	149	117
+	144	112
+	4	138	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	112
+	144	112
+	149	117
+	4	155	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	112
+	132	112
+	138	117
+	4	144	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	116
+	185	116
+	179	112
+	4	173	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	112
+	167	112
+	173	116
+	4	179	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	116
+	126	116
+	120	112
+	4	114	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	112
+	120	112
+	126	116
+	4	132	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	117
+	173	116
+	167	112
+	4	161	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	116
+	138	117
+	132	112
+	4	126	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	244	170
+	235	152
+	242	159
+	4	244	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	64	152
+	55	170
+	57	159
+	4	64	152	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	196
+	185	202
+	191	210
+	4	197	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	202
+	197	196
+	191	187
+	4	185	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	187
+	179	194
+	185	202
+	4	191	187	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	202
+	101	196
+	108	210
+	4	114	202	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	101	196
+	114	202
+	107	187
+	4	101	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	194
+	107	187
+	114	202
+	4	120	194	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	221
+	191	223
+	185	219
+	4	179	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	218
+	185	219
+	191	223
+	4	197	218	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	219
+	197	218
+	191	210
+	4	185	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	185	219
+	173	218
+	179	221
+	4	185	219	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	108	223
+	119	221
+	114	219
+	4	108	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	218
+	114	219
+	119	221
+	4	126	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	114	219
+	102	218
+	108	223
+	4	114	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	102	218
+	114	219
+	108	210
+	4	102	218	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	191	120
+	203	124
+	197	119
+	4	191	120	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	197	119
+	185	116
+	191	120
+	4	197	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	96	124
+	108	120
+	102	119
+	4	96	124	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	116
+	102	119
+	108	120
+	4	114	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	204
+	191	210
+	197	218
+	4	203	204	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	191	210
+	203	204
+	197	196
+	4	191	210	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	108	210
+	95	204
+	102	218
+	4	108	210	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	204
+	108	210
+	101	196
+	4	95	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	194
+	191	187
+	185	178
+	4	179	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	185	178
+	173	184
+	179	194
+	4	185	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	107	187
+	120	194
+	113	178
+	4	107	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	184
+	113	178
+	120	194
+	4	126	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	177
+	167	174
+	161	164
+	4	155	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	177
+	155	177
+	149	166
+	4	144	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	164
+	149	166
+	155	177
+	4	161	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	174
+	144	177
+	138	164
+	4	132	174	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	166
+	138	164
+	144	177
+	4	149	166	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	168	218
+	179	221
+	173	218
+	4	168	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	218
+	161	218
+	168	218
+	4	173	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	119	221
+	131	218
+	126	218
+	4	119	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	218
+	126	218
+	131	218
+	4	138	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	184
+	185	178
+	179	170
+	4	173	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	170
+	167	174
+	173	184
+	4	179	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	178
+	126	184
+	119	170
+	4	113	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	174
+	119	170
+	126	184
+	4	132	174	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	223
+	203	224
+	197	218
+	4	191	223	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	210	212
+	197	218
+	203	224
+	4	210	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	197	218
+	210	212
+	203	204
+	4	197	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	96	224
+	108	223
+	102	218
+	4	96	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	218
+	89	212
+	96	224
+	4	102	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	89	212
+	102	218
+	95	204
+	4	89	212	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	122
+	155	122
+	149	117
+	4	143	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	117
+	149	117
+	155	122
+	4	161	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	117
+	138	117
+	143	122
+	4	149	117	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	156	217
+	168	218
+	161	218
+	4	156	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	218
+	149	217
+	156	217
+	4	161	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	218
+	143	217
+	138	218
+	4	131	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	217
+	138	218
+	143	217
+	4	149	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	122
+	167	121
+	161	117
+	4	155	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	116
+	161	117
+	167	121
+	4	173	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	121
+	143	122
+	138	117
+	4	132	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	117
+	126	116
+	132	121
+	4	138	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	217
+	156	217
+	149	217
+	4	143	217	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	179	120
+	191	120
+	185	116
+	4	179	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	185	116
+	173	116
+	179	120
+	4	185	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	120
+	120	120
+	114	116
+	4	108	120	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	116
+	114	116
+	120	120
+	4	126	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	121
+	179	120
+	173	116
+	4	167	121	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	120	120
+	132	121
+	126	116
+	4	120	120	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	174
+	179	170
+	173	161
+	4	167	174	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	161
+	161	164
+	167	174
+	4	173	161	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	119	170
+	132	174
+	125	161
+	4	119	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	164
+	125	161
+	132	174
+	4	138	164	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	198	125
+	209	129
+	203	124
+	4	198	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	124
+	191	120
+	198	125
+	4	203	124	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	90	129
+	101	125
+	96	124
+	4	90	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	108	120
+	96	124
+	101	125
+	4	108	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	166
+	161	164
+	155	155
+	4	149	166	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	164
+	149	166
+	143	155
+	4	138	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	155
+	143	155
+	149	166
+	4	155	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	224
+	191	223
+	198	226
+	4	203	224	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	223
+	96	224
+	101	226
+	4	108	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	129
+	161	128
+	155	122
+	4	149	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	121
+	155	122
+	161	128
+	4	167	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	128
+	149	129
+	143	122
+	4	137	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	122
+	143	122
+	149	129
+	4	155	122	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	143	122
+	132	121
+	137	128
+	4	143	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	164
+	173	161
+	167	152
+	4	161	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	152
+	155	155
+	161	164
+	4	167	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	161
+	138	164
+	131	152
+	4	125	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	155
+	131	152
+	138	164
+	4	143	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	186	221
+	198	226
+	191	223
+	4	186	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	223
+	179	221
+	186	221
+	4	191	223	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	101	226
+	113	221
+	108	223
+	4	101	226	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	119	221
+	108	223
+	113	221
+	4	119	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	128
+	174	126
+	167	121
+	4	161	128	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	120
+	167	121
+	174	126
+	4	179	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	125	126
+	137	128
+	132	121
+	4	125	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	121
+	120	120
+	125	126
+	4	132	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	129
+	216	135
+	209	129
+	4	204	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	129
+	198	125
+	204	129
+	4	209	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	83	135
+	95	129
+	90	129
+	4	83	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	125
+	90	129
+	95	129
+	4	101	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	155
+	167	152
+	161	144
+	4	155	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	155
+	155	155
+	149	145
+	4	143	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	144
+	149	145
+	155	155
+	4	161	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	152
+	143	155
+	137	144
+	4	131	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	145
+	137	144
+	143	155
+	4	149	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	136
+	155	136
+	149	129
+	4	143	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	128
+	149	129
+	155	136
+	4	161	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	129
+	137	128
+	143	136
+	4	149	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	186	124
+	198	125
+	191	120
+	4	186	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	191	120
+	179	120
+	186	124
+	4	191	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	125
+	113	124
+	108	120
+	4	101	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	120	120
+	108	120
+	113	124
+	4	120	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	174	126
+	186	124
+	179	120
+	4	174	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	113	124
+	125	126
+	120	120
+	4	113	124	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	136
+	168	134
+	161	128
+	4	155	136	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	174	126
+	161	128
+	168	134
+	4	174	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	131	134
+	143	136
+	137	128
+	4	131	134	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	137	128
+	125	126
+	131	134
+	4	137	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	186
+	197	196
+	203	204
+	4	211	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	196
+	211	186
+	205	178
+	4	197	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	178
+	191	187
+	197	196
+	4	205	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	101	196
+	88	186
+	95	204
+	4	101	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	88	186
+	101	196
+	94	178
+	4	88	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	187
+	94	178
+	101	196
+	4	107	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	145
+	161	144
+	155	136
+	4	149	145	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	144
+	149	145
+	143	136
+	4	137	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	136
+	143	136
+	149	145
+	4	155	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	217	194
+	203	204
+	210	212
+	4	217	194	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	204
+	217	194
+	211	186
+	4	203	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	204
+	82	194
+	89	212
+	4	95	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	82	194
+	95	204
+	88	186
+	4	82	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	187
+	205	178
+	198	170
+	4	191	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	170
+	185	178
+	191	187
+	4	198	170	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	94	178
+	107	187
+	101	170
+	4	94	178	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	178
+	101	170
+	107	187
+	4	113	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	134
+	155	136
+	161	144
+	4	168	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	136
+	131	134
+	137	144
+	4	143	136	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	178
+	198	170
+	192	162
+	4	185	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	162
+	179	170
+	185	178
+	4	192	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	101	170
+	113	178
+	107	162
+	4	101	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	170
+	107	162
+	113	178
+	4	119	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	174	217
+	186	221
+	179	221
+	4	174	217	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	221
+	168	218
+	174	217
+	4	179	221	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	113	221
+	125	217
+	119	221
+	4	113	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	131	218
+	119	221
+	125	217
+	4	131	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	170
+	192	162
+	186	155
+	4	179	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	186	155
+	173	161
+	179	170
+	4	186	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	162
+	119	170
+	113	155
+	4	107	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	161
+	113	155
+	119	170
+	4	125	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	174	141
+	161	144
+	167	152
+	4	174	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	144
+	174	141
+	168	134
+	4	161	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	144
+	125	141
+	131	152
+	4	137	144	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	141
+	137	144
+	131	134
+	4	125	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	161
+	186	155
+	180	148
+	4	173	161	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	180	148
+	167	152
+	173	161
+	4	180	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	155
+	125	161
+	119	148
+	4	113	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	131	152
+	119	148
+	125	161
+	4	131	152	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	152
+	180	148
+	174	141
+	4	167	152	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	119	148
+	131	152
+	125	141
+	4	119	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	134
+	180	131
+	174	126
+	4	168	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	186	124
+	174	126
+	180	131
+	4	186	124	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	119	131
+	131	134
+	125	126
+	4	119	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	125	126
+	113	124
+	119	131
+	4	125	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	211	134
+	222	140
+	216	135
+	4	211	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	216	135
+	204	129
+	211	134
+	4	216	135	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	77	140
+	88	134
+	83	135
+	4	77	140	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	95	129
+	83	135
+	88	134
+	4	95	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	131
+	168	134
+	174	141
+	4	180	131	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	131	134
+	119	131
+	125	141
+	4	131	134	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	192	129
+	204	129
+	198	125
+	4	192	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	198	125
+	186	124
+	192	129
+	4	198	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	129
+	107	129
+	101	125
+	4	95	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	124
+	101	125
+	107	129
+	4	113	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	180	131
+	192	129
+	186	124
+	4	180	131	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	107	129
+	119	131
+	113	124
+	4	107	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	162	214
+	174	217
+	168	218
+	4	162	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	168	218
+	156	217
+	162	214
+	4	168	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	125	217
+	137	214
+	131	218
+	4	125	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	217
+	131	218
+	137	214
+	4	143	217	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	186	137
+	174	141
+	180	148
+	4	186	137	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	174	141
+	186	137
+	180	131
+	4	174	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	141
+	113	137
+	119	148
+	4	125	141	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	113	137
+	125	141
+	119	131
+	4	113	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	226
+	186	221
+	193	220
+	4	198	226	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	113	221
+	101	226
+	106	220
+	4	113	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	217	138
+	229	146
+	222	140
+	4	217	138	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	222	140
+	211	134
+	217	138
+	4	222	140	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	70	146
+	81	138
+	77	140
+	4	70	146	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	88	134
+	77	140
+	81	138
+	4	88	134	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	192	129
+	180	131
+	186	137
+	4	192	129	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	119	131
+	107	129
+	113	137
+	4	119	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	212
+	162	214
+	156	217
+	4	149	212	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	137	214
+	149	212
+	143	217
+	4	137	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	217
+	143	217
+	149	212
+	4	156	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	142
+	180	148
+	186	155
+	4	192	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	148
+	192	142
+	186	137
+	4	180	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	148
+	107	142
+	113	155
+	4	119	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	142
+	119	148
+	113	137
+	4	107	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	199	148
+	186	155
+	192	162
+	4	199	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	186	155
+	199	148
+	192	142
+	4	186	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	155
+	100	148
+	107	162
+	4	113	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	148
+	113	155
+	107	142
+	4	100	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	143
+	235	152
+	229	146
+	4	224	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	146
+	217	138
+	224	143
+	4	229	146	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	64	152
+	75	143
+	70	146
+	4	64	152	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	81	138
+	70	146
+	75	143
+	4	81	138	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	199	133
+	211	134
+	204	129
+	4	199	133	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	204	129
+	192	129
+	199	133
+	4	204	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	88	134
+	100	133
+	95	129
+	4	88	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	129
+	95	129
+	100	133
+	4	107	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	186	137
+	199	133
+	192	129
+	4	186	137	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	100	133
+	113	137
+	107	129
+	4	100	133	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	199	133
+	186	137
+	192	142
+	4	199	133	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	113	137
+	100	133
+	107	142
+	4	113	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	205	154
+	192	162
+	198	170
+	4	205	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	162
+	205	154
+	199	148
+	4	192	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	107	162
+	94	154
+	101	170
+	4	107	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	154
+	107	162
+	100	148
+	4	94	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	160
+	198	170
+	205	178
+	4	212	160	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	170
+	212	160
+	205	154
+	4	198	170	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	170
+	87	160
+	94	178
+	4	101	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	160
+	101	170
+	94	154
+	4	87	160	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	148
+	242	159
+	235	152
+	4	231	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	235	152
+	224	143
+	231	148
+	4	235	152	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	57	159
+	68	148
+	64	152
+	4	57	159	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	75	143
+	64	152
+	68	148
+	4	75	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	181	214
+	193	220
+	186	221
+	4	181	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	186	221
+	174	217
+	181	214
+	4	186	221	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	106	220
+	118	214
+	113	221
+	4	106	220	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	125	217
+	113	221
+	118	214
+	4	125	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	167
+	205	178
+	211	186
+	4	218	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	178
+	218	167
+	212	160
+	4	205	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	94	178
+	80	167
+	88	186
+	4	94	178	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	80	167
+	94	178
+	87	160
+	4	80	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	138
+	192	142
+	199	148
+	4	205	138	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	142
+	205	138
+	199	133
+	4	192	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	142
+	94	138
+	100	148
+	4	107	142	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	94	138
+	107	142
+	100	133
+	4	94	138	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	173
+	211	186
+	217	194
+	4	225	173	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	186
+	225	173
+	218	167
+	4	211	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	88	186
+	74	173
+	82	194
+	4	88	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	173
+	88	186
+	80	167
+	4	74	173	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	205	138
+	217	138
+	211	134
+	4	205	138	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	211	134
+	199	133
+	205	138
+	4	211	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	81	138
+	94	138
+	88	134
+	4	81	138	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	100	133
+	88	134
+	94	138
+	4	100	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	242	159
+	231	148
+	238	153
+	4	242	159	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	68	148
+	57	159
+	61	153
+	4	68	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	143
+	199	148
+	205	154
+	4	212	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	199	148
+	212	143
+	205	138
+	4	199	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	148
+	87	143
+	94	154
+	4	100	148	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	87	143
+	100	148
+	94	138
+	4	87	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	212	143
+	224	143
+	217	138
+	4	212	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	138
+	205	138
+	212	143
+	4	217	138	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	75	143
+	87	143
+	81	138
+	4	75	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	94	138
+	81	138
+	87	143
+	4	94	138	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	169	209
+	181	214
+	174	217
+	4	169	209	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	174	217
+	162	214
+	169	209
+	4	174	217	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	118	214
+	130	209
+	125	217
+	4	118	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	137	214
+	125	217
+	130	209
+	4	137	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	219	148
+	205	154
+	212	160
+	4	219	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	205	154
+	219	148
+	212	143
+	4	205	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	154
+	80	148
+	87	160
+	4	94	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	80	148
+	94	154
+	87	143
+	4	80	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	156	207
+	169	209
+	162	214
+	4	156	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	162	214
+	149	212
+	156	207
+	4	162	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	209
+	143	207
+	137	214
+	4	130	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	212
+	137	214
+	143	207
+	4	149	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	148
+	231	148
+	224	143
+	4	219	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	143
+	212	143
+	219	148
+	4	224	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	68	148
+	80	148
+	75	143
+	4	68	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	143
+	75	143
+	80	148
+	4	87	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	152
+	212	160
+	218	167
+	4	226	152	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	212	160
+	226	152
+	219	148
+	4	212	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	160
+	73	152
+	80	167
+	4	87	160	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	152
+	87	160
+	80	148
+	4	73	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	207
+	156	207
+	149	212
+	4	143	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	220
+	181	214
+	189	210
+	4	193	220	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	118	214
+	106	220
+	110	210
+	4	118	214	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	233	157
+	218	167
+	225	173
+	4	233	157	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	218	167
+	233	157
+	226	152
+	4	218	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	167
+	66	157
+	74	173
+	4	80	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	66	157
+	80	167
+	73	152
+	4	66	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	152
+	238	153
+	231	148
+	4	226	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	148
+	219	148
+	226	152
+	4	231	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	61	153
+	73	152
+	68	148
+	4	61	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	80	148
+	68	148
+	73	152
+	4	80	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	153
+	226	152
+	233	157
+	4	238	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	73	152
+	61	153
+	66	157
+	4	73	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	205
+	189	210
+	181	214
+	4	176	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	181	214
+	169	209
+	176	205
+	4	181	214	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	110	210
+	123	205
+	118	214
+	4	110	210	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	209
+	118	214
+	123	205
+	4	130	209	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	202
+	176	205
+	169	209
+	4	163	202	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	169	209
+	156	207
+	163	202
+	4	169	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	205
+	136	202
+	130	209
+	4	123	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	207
+	130	209
+	136	202
+	4	143	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	256
+	143	256
+	149	271
+	4	156	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	201
+	163	202
+	156	207
+	4	149	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	202
+	149	201
+	143	207
+	4	136	202	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	207
+	143	207
+	149	201
+	4	156	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	189	210
+	176	205
+	184	202
+	4	189	210	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	123	205
+	110	210
+	115	202
+	4	123	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	256
+	156	256
+	149	236
+	4	143	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	235
+	149	236
+	156	256
+	4	163	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	236
+	136	235
+	143	256
+	4	149	236	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	170	200
+	184	202
+	176	205
+	4	170	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	176	205
+	163	202
+	170	200
+	4	176	205	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	202
+	129	200
+	123	205
+	4	115	202	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	136	202
+	123	205
+	129	200
+	4	136	202	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	156	199
+	170	200
+	163	202
+	4	156	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	202
+	149	201
+	156	199
+	4	163	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	200
+	143	199
+	136	202
+	4	129	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	201
+	136	202
+	143	199
+	4	149	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	199
+	156	199
+	149	201
+	4	143	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	236
+	163	235
+	156	217
+	4	149	236	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	235
+	149	236
+	143	217
+	4	136	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	217
+	143	217
+	149	236
+	4	156	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	170	215
+	156	217
+	163	235
+	4	170	215	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	217
+	129	215
+	136	235
+	4	143	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	184	202
+	170	200
+	177	203
+	4	184	202	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	129	200
+	115	202
+	122	203
+	4	129	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	204
+	177	203
+	170	200
+	4	163	204	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	170	200
+	156	199
+	163	204
+	4	170	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	203
+	136	204
+	129	200
+	4	122	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	199
+	129	200
+	136	204
+	4	143	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	204
+	163	204
+	156	199
+	4	149	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	204
+	149	204
+	143	199
+	4	136	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	156	199
+	143	199
+	149	204
+	4	156	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	156	217
+	170	215
+	163	204
+	4	156	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	217
+	156	217
+	149	204
+	4	143	217	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	204
+	149	204
+	156	217
+	4	163	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	215
+	143	217
+	136	204
+	4	129	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	204
+	136	204
+	143	217
+	4	149	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	203
+	163	204
+	170	215
+	4	177	203	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	136	204
+	122	203
+	129	215
+	4	136	204	psFillPoly
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3doptcf3.ps b/books/ps/3doptcf3.ps
new file mode 100644
index 0000000..c1e25ca
--- /dev/null
+++ b/books/ps/3doptcf3.ps
@@ -0,0 +1,9024 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	53	190	226	68	psDrawLine
+	globGC	(X)	48	195	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	246	190	73	68	psDrawLine
+	globGC	(Y)	251	195	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	20	149	195	psDrawLine
+	globGC	(Z)	154	15	psDrawStr
+	globalGC1	108.000000	setForeground
+	globGC	108.000000	setForeground
+	renderGC	0.562500	setForeground
+	renderGC
+	145	50
+	154	50
+	149	57
+	4	145	50	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	38
+	159	37
+	154	50
+	4	149	38	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	37
+	149	38
+	145	50
+	4	140	37	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	154	50
+	145	50
+	149	38
+	4	154	50	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	84
+	191	84
+	186	79
+	4	181	84	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	79
+	177	74
+	181	84
+	4	186	79	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	177	74
+	186	79
+	182	64
+	4	177	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	84
+	117	84
+	113	79
+	4	108	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	74
+	113	79
+	117	84
+	4	122	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	79
+	122	74
+	117	64
+	4	113	79	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	186	86
+	196	81
+	191	84
+	4	186	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	84
+	181	84
+	186	86
+	4	191	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	103	81
+	113	86
+	108	84
+	4	103	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	84
+	108	84
+	113	86
+	4	117	84	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	88
+	186	86
+	181	84
+	4	177	88	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	181	84
+	172	81
+	177	88
+	4	181	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	172	81
+	181	84
+	177	74
+	4	172	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	86
+	122	88
+	117	84
+	4	113	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	81
+	117	84
+	122	88
+	4	126	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	84
+	126	81
+	122	74
+	4	117	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	145	28
+	154	28
+	149	38
+	4	145	28	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	37
+	149	38
+	154	28
+	4	159	37	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	38
+	140	37
+	145	28
+	4	149	38	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	28
+	164	26
+	159	37
+	4	154	28	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	135	26
+	145	28
+	140	37
+	4	135	26	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	87
+	177	88
+	172	81
+	4	168	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	81
+	163	79
+	168	87
+	4	172	81	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	163	79
+	172	81
+	168	69
+	4	163	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	74
+	168	69
+	172	81
+	4	177	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	88
+	131	87
+	126	81
+	4	122	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	79
+	126	81
+	131	87
+	4	136	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	81
+	136	79
+	131	69
+	4	126	81	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	69
+	122	74
+	126	81
+	4	131	69	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	173	90
+	182	87
+	177	88
+	4	173	90	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	186	86
+	177	88
+	182	87
+	4	186	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	88
+	168	87
+	173	90
+	4	177	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	117	87
+	126	90
+	122	88
+	4	117	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	87
+	122	88
+	126	90
+	4	131	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	88
+	113	86
+	117	87
+	4	122	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	90
+	173	90
+	168	87
+	4	163	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	87
+	159	86
+	163	90
+	4	168	87	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	159	86
+	168	87
+	163	79
+	4	159	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	90
+	136	90
+	131	87
+	4	126	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	86
+	131	87
+	136	90
+	4	140	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	87
+	140	86
+	136	79
+	4	131	87	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	168	69
+	177	74
+	173	58
+	4	168	69	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	182	64
+	173	58
+	177	74
+	4	182	64	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	122	74
+	131	69
+	126	58
+	4	122	74	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	126	58
+	117	64
+	122	74
+	4	126	58	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	182	87
+	192	81
+	186	86
+	4	182	87	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	196	81
+	186	86
+	192	81
+	4	196	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	81
+	117	87
+	113	86
+	4	107	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	86
+	103	81
+	107	81
+	4	113	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	91
+	163	90
+	159	86
+	4	154	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	86
+	149	86
+	154	91
+	4	159	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	86
+	159	86
+	154	77
+	4	149	86	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	163	79
+	154	77
+	159	86
+	4	163	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	90
+	145	91
+	140	86
+	4	136	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	86
+	140	86
+	145	91
+	4	149	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	140	86
+	149	86
+	145	77
+	4	140	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	145	77
+	136	79
+	140	86
+	4	145	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	91
+	154	91
+	149	86
+	4	145	91	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	154	77
+	145	77
+	149	86
+	4	154	77	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	154	77
+	163	79
+	159	66
+	4	154	77	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	168	69
+	159	66
+	163	79
+	4	168	69	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	136	79
+	145	77
+	140	66
+	4	136	79	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	140	66
+	131	69
+	136	79
+	4	140	66	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	92
+	159	92
+	154	91
+	4	149	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	90
+	154	91
+	159	92
+	4	163	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	92
+	149	92
+	145	91
+	4	140	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	91
+	145	91
+	149	92
+	4	154	91	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	91
+	136	90
+	140	92
+	4	145	91	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	173	58
+	182	64
+	178	46
+	4	173	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	117	64
+	126	58
+	121	46
+	4	117	64	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	159	92
+	168	90
+	163	90
+	4	159	92	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	173	90
+	163	90
+	168	90
+	4	173	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	90
+	140	92
+	136	90
+	4	131	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	90
+	126	90
+	131	90
+	4	136	90	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	145	77
+	154	77
+	149	65
+	4	145	77	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	159	66
+	149	65
+	154	77
+	4	159	66	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	149	65
+	140	66
+	145	77
+	4	149	65	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	168	90
+	178	87
+	173	90
+	4	168	90	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	182	87
+	173	90
+	178	87
+	4	182	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	121	87
+	131	90
+	126	90
+	4	121	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	90
+	117	87
+	121	87
+	4	126	90	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	159	66
+	168	69
+	164	53
+	4	159	66	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	173	58
+	164	53
+	168	69
+	4	173	58	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	131	69
+	140	66
+	135	53
+	4	131	69	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	135	53
+	126	58
+	131	69
+	4	135	53	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	192	81
+	202	70
+	196	81
+	4	192	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	70
+	107	81
+	103	81
+	4	97	70	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	178	87
+	188	80
+	182	87
+	4	178	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	192	81
+	182	87
+	188	80
+	4	192	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	111	80
+	121	87
+	117	87
+	4	111	80	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	117	87
+	107	81
+	111	80
+	4	117	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	145	91
+	154	91
+	149	92
+	4	145	91	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	159	92
+	149	92
+	154	91
+	4	159	92	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	92
+	140	92
+	145	91
+	4	149	92	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	65
+	159	66
+	154	51
+	4	149	65	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	53
+	154	51
+	159	66
+	4	164	53	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	140	66
+	149	65
+	145	51
+	4	140	66	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	145	51
+	135	53
+	140	66
+	4	145	51	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	154	91
+	164	89
+	159	92
+	4	154	91	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	168	90
+	159	92
+	164	89
+	4	168	90	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	89
+	145	91
+	140	92
+	4	135	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	92
+	131	90
+	135	89
+	4	140	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	154	51
+	145	51
+	149	65
+	4	154	51	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	53
+	173	58
+	169	40
+	4	164	53	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	178	46
+	169	40
+	173	58
+	4	178	46	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	58
+	135	53
+	130	40
+	4	126	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	40
+	121	46
+	126	58
+	4	130	40	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	164	89
+	173	86
+	168	90
+	4	164	89	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	178	87
+	168	90
+	173	86
+	4	178	87	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	126	86
+	135	89
+	131	90
+	4	126	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	90
+	121	87
+	126	86
+	4	131	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	23
+	159	23
+	154	28
+	4	149	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	26
+	154	28
+	159	23
+	4	164	26	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	23
+	149	23
+	145	28
+	4	140	23	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	28
+	145	28
+	149	23
+	4	154	28	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	145	28
+	135	26
+	140	23
+	4	145	28	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	188	80
+	198	70
+	192	81
+	4	188	80	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	202	70
+	192	81
+	198	70
+	4	202	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	70
+	111	80
+	107	81
+	4	101	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	81
+	97	70
+	101	70
+	4	107	81	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	173	86
+	183	79
+	178	87
+	4	173	86	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	188	80
+	178	87
+	183	79
+	4	188	80	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	79
+	126	86
+	121	87
+	4	116	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	87
+	111	80
+	116	79
+	4	121	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	51
+	164	53
+	159	37
+	4	154	51	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	169	40
+	159	37
+	164	53
+	4	169	40	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	53
+	145	51
+	140	37
+	4	135	53	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	37
+	130	40
+	135	53
+	4	140	37	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	23
+	169	22
+	164	26
+	4	159	23	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	130	22
+	140	23
+	135	26
+	4	130	22	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	169	40
+	178	46
+	173	30
+	4	169	40	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	46
+	130	40
+	125	30
+	4	121	46	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	88
+	159	87
+	154	91
+	4	149	88	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	164	89
+	154	91
+	159	87
+	4	164	89	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	140	87
+	149	88
+	145	91
+	4	140	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	154	91
+	145	91
+	149	88
+	4	154	91	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	145	91
+	135	89
+	140	87
+	4	145	91	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	51
+	154	51
+	149	36
+	4	145	51	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	159	37
+	149	36
+	154	51
+	4	159	37	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	36
+	140	37
+	145	51
+	4	149	36	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	159	87
+	169	84
+	164	89
+	4	159	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	173	86
+	164	89
+	169	84
+	4	173	86	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	84
+	140	87
+	135	89
+	4	130	84	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	89
+	126	86
+	130	84
+	4	135	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	159	37
+	169	40
+	164	27
+	4	159	37	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	30
+	164	27
+	169	40
+	4	173	30	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	40
+	140	37
+	135	27
+	4	130	40	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	27
+	125	30
+	130	40
+	4	135	27	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	183	79
+	194	70
+	188	80
+	4	183	79	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	198	70
+	188	80
+	194	70
+	4	198	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	70
+	116	79
+	111	80
+	4	105	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	80
+	101	70
+	105	70
+	4	111	80	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	169	84
+	179	79
+	173	86
+	4	169	84	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	183	79
+	173	86
+	179	79
+	4	183	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	79
+	130	84
+	126	86
+	4	120	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	86
+	116	79
+	120	79
+	4	126	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	36
+	159	37
+	154	26
+	4	149	36	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	27
+	154	26
+	159	37
+	4	164	27	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	37
+	149	36
+	145	26
+	4	140	37	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	145	26
+	135	27
+	140	37
+	4	145	26	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	26
+	154	26
+	149	23
+	4	145	26	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	23
+	149	23
+	154	26
+	4	159	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	23
+	140	23
+	145	26
+	4	149	23	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	164	27
+	173	30
+	169	22
+	4	164	27	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	125	30
+	135	27
+	130	22
+	4	125	30	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	154	26
+	164	27
+	159	23
+	4	154	26	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	169	22
+	159	23
+	164	27
+	4	169	22	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	27
+	145	26
+	140	23
+	4	135	27	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	23
+	130	22
+	135	27
+	4	140	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	26
+	145	26
+	149	36
+	4	154	26	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	70
+	209	57
+	202	70
+	4	198	70	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	57
+	101	70
+	97	70
+	4	90	57	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	145	85
+	154	85
+	149	88
+	4	145	85	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	159	87
+	149	88
+	154	85
+	4	159	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	88
+	140	87
+	145	85
+	4	149	88	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	154	85
+	164	82
+	159	87
+	4	154	85	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	169	84
+	159	87
+	164	82
+	4	169	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	135	82
+	145	85
+	140	87
+	4	135	82	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	140	87
+	130	84
+	135	82
+	4	140	87	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	179	79
+	189	70
+	183	79
+	4	179	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	70
+	183	79
+	189	70
+	4	194	70	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	110	70
+	120	79
+	116	79
+	4	110	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	79
+	105	70
+	110	70
+	4	116	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	233	115
+	243	113
+	237	113
+	4	233	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	113
+	228	103
+	233	115
+	4	237	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	103
+	237	113
+	232	103
+	4	228	103	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	56	113
+	66	115
+	62	113
+	4	56	113	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	71	103
+	62	113
+	66	115
+	4	71	103	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	62	113
+	71	103
+	67	103
+	4	62	113	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	164	82
+	174	78
+	169	84
+	4	164	82	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	179	79
+	169	84
+	174	78
+	4	179	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	78
+	135	82
+	130	84
+	4	125	78	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	130	84
+	120	79
+	125	78
+	4	130	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	194	70
+	205	59
+	198	70
+	4	194	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	57
+	198	70
+	205	59
+	4	209	57	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	59
+	105	70
+	101	70
+	4	94	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	70
+	90	57
+	94	59
+	4	101	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	232	103
+	225	86
+	228	103
+	4	232	103	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	86
+	232	103
+	229	86
+	4	225	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	86
+	67	103
+	71	103
+	4	74	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	67	103
+	74	86
+	70	86
+	4	67	103	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	116
+	238	119
+	233	115
+	4	229	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	243	113
+	233	115
+	238	119
+	4	243	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	115
+	224	103
+	229	116
+	4	233	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	103
+	233	115
+	228	103
+	4	224	103	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	61	119
+	70	116
+	66	115
+	4	61	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	74	103
+	66	115
+	70	116
+	4	74	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	115
+	74	103
+	71	103
+	4	66	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	115
+	56	113
+	61	119
+	4	66	115	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	119
+	250	106
+	243	113
+	4	238	119	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	49	106
+	61	119
+	56	113
+	4	49	106	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	174	78
+	185	71
+	179	79
+	4	174	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	189	70
+	179	79
+	185	71
+	4	189	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	71
+	125	78
+	120	79
+	4	114	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	79
+	110	70
+	114	71
+	4	120	79	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	81
+	160	80
+	154	85
+	4	149	81	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	164	82
+	154	85
+	160	80
+	4	164	82	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	80
+	149	81
+	145	85
+	4	139	80	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	154	85
+	145	85
+	149	81
+	4	154	85	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	145	85
+	135	82
+	139	80
+	4	145	85	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	233	123
+	245	115
+	238	119
+	4	233	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	250	106
+	238	119
+	245	115
+	4	250	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	119
+	229	116
+	233	123
+	4	238	119	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	115
+	65	123
+	61	119
+	4	54	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	70	116
+	61	119
+	65	123
+	4	70	116	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	61	119
+	49	106
+	54	115
+	4	61	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	189	70
+	200	61
+	194	70
+	4	189	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	59
+	194	70
+	200	61
+	4	205	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	99	61
+	110	70
+	105	70
+	4	99	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	70
+	94	59
+	99	61
+	4	105	70	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	160	80
+	170	77
+	164	82
+	4	160	80	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	174	78
+	164	82
+	170	77
+	4	174	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	77
+	139	80
+	135	82
+	4	129	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	82
+	125	78
+	129	77
+	4	135	82	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	103
+	221	86
+	224	103
+	4	228	103	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	86
+	228	103
+	225	86
+	4	221	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	78	86
+	71	103
+	74	103
+	4	78	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	103
+	78	86
+	74	86
+	4	71	103	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	229	126
+	240	124
+	233	123
+	4	229	126	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	245	115
+	233	123
+	240	124
+	4	245	115	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	233	123
+	225	116
+	229	126
+	4	233	123	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	116
+	233	123
+	229	116
+	4	225	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	59	124
+	70	126
+	65	123
+	4	59	124	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	116
+	65	123
+	70	126
+	4	74	116	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	65	123
+	74	116
+	70	116
+	4	65	123	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	65	123
+	54	115
+	59	124
+	4	65	123	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	116
+	220	102
+	225	116
+	4	229	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	220	102
+	229	116
+	224	103
+	4	220	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	102
+	70	116
+	74	116
+	4	78	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	116
+	78	102
+	74	103
+	4	70	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	86
+	221	68
+	225	86
+	4	229	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	221	68
+	229	86
+	226	67
+	4	221	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	78	68
+	70	86
+	74	86
+	4	78	68	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	86
+	78	68
+	73	67
+	4	70	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	205	59
+	216	50
+	209	57
+	4	205	59	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	50
+	94	59
+	90	57
+	4	83	50	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	77
+	180	71
+	174	78
+	4	170	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	71
+	174	78
+	180	71
+	4	185	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	71
+	129	77
+	125	78
+	4	119	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	78
+	114	71
+	119	71
+	4	125	78	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	71
+	195	62
+	189	70
+	4	185	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	61
+	189	70
+	195	62
+	4	200	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	62
+	114	71
+	110	70
+	4	103	62	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	110	70
+	99	61
+	103	62
+	4	110	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	127
+	235	130
+	229	126
+	4	225	127	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	240	124
+	229	126
+	235	130
+	4	240	124	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	229	126
+	221	116
+	225	127
+	4	229	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	116
+	229	126
+	225	116
+	4	221	116	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	64	130
+	74	127
+	70	126
+	4	64	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	78	116
+	70	126
+	74	127
+	4	78	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	126
+	78	116
+	74	116
+	4	70	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	126
+	59	124
+	64	130
+	4	70	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	103
+	216	87
+	220	102
+	4	224	103	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	87
+	224	103
+	221	86
+	4	216	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	87
+	74	103
+	78	102
+	4	82	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	103
+	82	87
+	78	86
+	4	74	103	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	78
+	155	78
+	149	81
+	4	144	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	160	80
+	149	81
+	155	78
+	4	160	80	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	81
+	139	80
+	144	78
+	4	149	81	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	130
+	247	118
+	240	124
+	4	235	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	106
+	240	124
+	247	118
+	4	253	106	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	240	124
+	253	106
+	245	115
+	4	240	124	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	52	118
+	64	130
+	59	124
+	4	52	118	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	59	124
+	46	106
+	52	118
+	4	59	124	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	46	106
+	59	124
+	54	115
+	4	46	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	116
+	216	102
+	221	116
+	4	225	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	102
+	225	116
+	220	102
+	4	216	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	102
+	74	116
+	78	116
+	4	83	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	116
+	83	102
+	78	102
+	4	74	116	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	230	134
+	241	128
+	235	130
+	4	230	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	118
+	235	130
+	241	128
+	4	247	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	235	130
+	225	127
+	230	134
+	4	235	130	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	58	128
+	69	134
+	64	130
+	4	58	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	74	127
+	64	130
+	69	134
+	4	74	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	64	130
+	52	118
+	58	128
+	4	64	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	78
+	165	76
+	160	80
+	4	155	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	170	77
+	160	80
+	165	76
+	4	170	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	134	76
+	144	78
+	139	80
+	4	134	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	80
+	129	77
+	134	76
+	4	139	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	61
+	211	53
+	205	59
+	4	200	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	50
+	205	59
+	211	53
+	4	216	50	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	88	53
+	99	61
+	94	59
+	4	88	53	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	94	59
+	83	50
+	88	53
+	4	94	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	93
+	245	115
+	253	106
+	4	259	93	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	245	115
+	259	93
+	250	106
+	4	245	115	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	54	115
+	40	93
+	46	106
+	4	54	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	40	93
+	54	115
+	49	106
+	4	40	93	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	225	86
+	217	70
+	221	86
+	4	225	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	217	70
+	225	86
+	221	68
+	4	217	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	70
+	74	86
+	78	86
+	4	82	70	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	86
+	82	70
+	78	68
+	4	74	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	180	71
+	191	64
+	185	71
+	4	180	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	195	62
+	185	71
+	191	64
+	4	195	62	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	64
+	119	71
+	114	71
+	4	108	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	71
+	103	62
+	108	64
+	4	114	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	127
+	230	134
+	225	127
+	4	221	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	127
+	217	115
+	221	127
+	4	225	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	115
+	225	127
+	221	116
+	4	217	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	69	134
+	78	127
+	74	127
+	4	69	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	82	115
+	74	127
+	78	127
+	4	82	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	74	127
+	82	115
+	78	116
+	4	74	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	226	136
+	236	136
+	230	134
+	4	226	136	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	241	128
+	230	134
+	236	136
+	4	241	128	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	230	134
+	221	127
+	226	136
+	4	230	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	63	136
+	73	136
+	69	134
+	4	63	136	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	127
+	69	134
+	73	136
+	4	78	127	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	69	134
+	58	128
+	63	136
+	4	69	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	165	76
+	175	72
+	170	77
+	4	165	76	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	180	71
+	170	77
+	175	72
+	4	180	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	124	72
+	134	76
+	129	77
+	4	124	72	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	77
+	119	71
+	124	72
+	4	129	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	195	62
+	206	56
+	200	61
+	4	195	62	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	53
+	200	61
+	206	56
+	4	211	53	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	93	56
+	103	62
+	99	61
+	4	93	56	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	99	61
+	88	53
+	93	56
+	4	99	61	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	226	67
+	217	56
+	221	68
+	4	226	67	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	217	56
+	226	67
+	221	53
+	4	217	56	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	56
+	73	67
+	78	68
+	4	82	56	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	67
+	82	56
+	78	53
+	4	73	67	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	220	102
+	212	87
+	216	102
+	4	220	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	212	87
+	220	102
+	216	87
+	4	212	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	87	87
+	78	102
+	83	102
+	4	87	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	102
+	87	87
+	82	87
+	4	78	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	116
+	212	101
+	217	115
+	4	221	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	212	101
+	221	116
+	216	102
+	4	212	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	101
+	78	116
+	82	115
+	4	87	101	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	78	116
+	87	101
+	83	102
+	4	78	116	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	86
+	212	72
+	216	87
+	4	221	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	212	72
+	221	86
+	217	70
+	4	212	72	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	72
+	78	86
+	82	87
+	4	87	72	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	78	86
+	87	72
+	82	70
+	4	78	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	211	53
+	221	53
+	216	50
+	4	211	53	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	53
+	88	53
+	83	50
+	4	78	53	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	231	141
+	243	134
+	236	136
+	4	231	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	249	122
+	236	136
+	243	134
+	4	249	122	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	236	136
+	249	122
+	241	128
+	4	236	136	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	136
+	226	136
+	231	141
+	4	236	136	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	134
+	68	141
+	63	136
+	4	56	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	73	136
+	63	136
+	68	141
+	4	73	136	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	63	136
+	50	122
+	56	134
+	4	63	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	50	122
+	63	136
+	58	128
+	4	50	122	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	175	72
+	186	66
+	180	71
+	4	175	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	64
+	180	71
+	186	66
+	4	191	64	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	66
+	124	72
+	119	71
+	4	113	66	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	119	71
+	108	64
+	113	66
+	4	119	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	136
+	231	141
+	226	136
+	4	222	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	136
+	217	125
+	222	136
+	4	226	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	125
+	226	136
+	221	127
+	4	217	125	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	68	141
+	77	136
+	73	136
+	4	68	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	125
+	73	136
+	77	136
+	4	82	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	136
+	82	125
+	78	127
+	4	73	136	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	77
+	160	75
+	155	78
+	4	149	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	76
+	155	78
+	160	75
+	4	165	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	75
+	149	77
+	144	78
+	4	139	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	78
+	144	78
+	149	77
+	4	155	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	78
+	134	76
+	139	75
+	4	144	78	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	108
+	241	128
+	249	122
+	4	256	108	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	241	128
+	256	108
+	247	118
+	4	241	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	58	128
+	43	108
+	50	122
+	4	58	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	43	108
+	58	128
+	52	118
+	4	43	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	64
+	202	59
+	195	62
+	4	191	64	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	206	56
+	195	62
+	202	59
+	4	206	56	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	97	59
+	108	64
+	103	62
+	4	97	59	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	103	62
+	93	56
+	97	59
+	4	103	62	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	227	144
+	237	143
+	231	141
+	4	227	144	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	243	134
+	231	141
+	237	143
+	4	243	134	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	231	141
+	222	136
+	227	144
+	4	231	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	143
+	72	144
+	68	141
+	4	62	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	77	136
+	68	141
+	72	144
+	4	77	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	68	141
+	56	134
+	62	143
+	4	68	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	127
+	213	113
+	217	125
+	4	221	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	213	113
+	221	127
+	217	115
+	4	213	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	86	113
+	78	127
+	82	125
+	4	86	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	127
+	86	113
+	82	115
+	4	78	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	75
+	170	73
+	165	76
+	4	160	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	72
+	165	76
+	170	73
+	4	175	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	73
+	139	75
+	134	76
+	4	129	73	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	76
+	124	72
+	129	73
+	4	134	76	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	68
+	212	59
+	217	70
+	4	221	68	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	212	59
+	221	68
+	217	56
+	4	212	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	59
+	78	68
+	82	70
+	4	87	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	68
+	87	59
+	82	56
+	4	78	68	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	53
+	211	53
+	217	56
+	4	221	53	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	53
+	78	53
+	82	56
+	4	88	53	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	206	56
+	217	56
+	211	53
+	4	206	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	56
+	93	56
+	88	53
+	4	82	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	262	95
+	247	118
+	256	108
+	4	262	95	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	118
+	262	95
+	253	106
+	4	247	118	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	52	118
+	37	95
+	43	108
+	4	52	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	37	95
+	52	118
+	46	106
+	4	37	95	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	216	102
+	208	88
+	212	101
+	4	216	102	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	208	88
+	216	102
+	212	87
+	4	208	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	88
+	83	102
+	87	101
+	4	91	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	83	102
+	91	88
+	87	87
+	4	83	102	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	216	87
+	207	74
+	212	87
+	4	216	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	207	74
+	216	87
+	212	72
+	4	207	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	74
+	82	87
+	87	87
+	4	92	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	87
+	92	74
+	87	72
+	4	82	87	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	170	73
+	181	69
+	175	72
+	4	170	73	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	66
+	175	72
+	181	69
+	4	186	66	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	118	69
+	129	73
+	124	72
+	4	118	69	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	124	72
+	113	66
+	118	69
+	4	124	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	66
+	197	62
+	191	64
+	4	186	66	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	59
+	191	64
+	197	62
+	4	202	59	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	102	62
+	113	66
+	108	64
+	4	102	62	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	108	64
+	97	59
+	102	62
+	4	108	64	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	115
+	208	101
+	213	113
+	4	217	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	208	101
+	217	115
+	212	101
+	4	208	101	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	101
+	82	115
+	86	113
+	4	91	101	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	115
+	91	101
+	87	101
+	4	82	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	143
+	232	149
+	227	144
+	4	223	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	237	143
+	227	144
+	232	149
+	4	237	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	227	144
+	218	134
+	223	143
+	4	227	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	218	134
+	227	144
+	222	136
+	4	218	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	149
+	76	143
+	72	144
+	4	66	149	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	81	134
+	72	144
+	76	143
+	4	81	134	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	144
+	81	134
+	77	136
+	4	72	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	72	144
+	62	143
+	66	149
+	4	72	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	56
+	206	56
+	212	59
+	4	217	56	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	93	56
+	82	56
+	87	59
+	4	93	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	202	59
+	212	59
+	206	56
+	4	202	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	87	59
+	97	59
+	93	56
+	4	87	59	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	70
+	207	62
+	212	72
+	4	217	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	207	62
+	217	70
+	212	59
+	4	207	62	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	62
+	82	70
+	87	72
+	4	92	62	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	70
+	92	62
+	87	59
+	4	82	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	289	143
+	285	119
+	288	137
+	4	289	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	285	119
+	289	143
+	286	129
+	4	285	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	14	119
+	10	143
+	11	137
+	4	14	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	10	143
+	14	119
+	13	129
+	4	10	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	232	149
+	244	142
+	237	143
+	4	232	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	251	128
+	237	143
+	244	142
+	4	251	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	143
+	251	128
+	243	134
+	4	237	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	142
+	66	149
+	62	143
+	4	55	142	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	62	143
+	48	128
+	55	142
+	4	62	143	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	48	128
+	62	143
+	56	134
+	4	48	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	136
+	213	123
+	218	134
+	4	222	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	213	123
+	222	136
+	217	125
+	4	213	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	86	123
+	77	136
+	81	134
+	4	86	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	77	136
+	86	123
+	82	125
+	4	77	136	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	75
+	155	75
+	149	77
+	4	144	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	75
+	149	77
+	155	75
+	4	160	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	77
+	139	75
+	144	75
+	4	149	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	83
+	253	106
+	262	95
+	4	268	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	253	106
+	268	83
+	259	93
+	4	253	106	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	46	106
+	31	83
+	37	95
+	4	46	106	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	31	83
+	46	106
+	40	93
+	4	31	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	151
+	239	151
+	232	149
+	4	228	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	244	142
+	232	149
+	239	151
+	4	244	142	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	232	149
+	223	143
+	228	151
+	4	232	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	60	151
+	71	151
+	66	149
+	4	60	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	143
+	66	149
+	71	151
+	4	76	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	66	149
+	55	142
+	60	151
+	4	66	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	75
+	165	74
+	160	75
+	4	155	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	73
+	160	75
+	165	74
+	4	170	73	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	74
+	144	75
+	139	75
+	4	134	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	75
+	129	73
+	134	74
+	4	139	75	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	258	113
+	243	134
+	251	128
+	4	258	113	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	243	134
+	258	113
+	249	122
+	4	243	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	56	134
+	41	113
+	48	128
+	4	56	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	113
+	56	134
+	50	122
+	4	41	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	212	59
+	202	59
+	207	62
+	4	212	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	59
+	87	59
+	92	62
+	4	97	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	125
+	208	111
+	213	123
+	4	217	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	111
+	217	125
+	213	113
+	4	208	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	111
+	82	125
+	86	123
+	4	91	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	82	125
+	91	111
+	86	113
+	4	82	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	181	69
+	192	65
+	186	66
+	4	181	69	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	62
+	186	66
+	192	65
+	4	197	62	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	65
+	118	69
+	113	66
+	4	107	65	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	113	66
+	102	62
+	107	65
+	4	113	66	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	62
+	207	62
+	202	59
+	4	197	62	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	92	62
+	102	62
+	97	59
+	4	92	62	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	165	74
+	176	71
+	170	73
+	4	165	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	69
+	170	73
+	176	71
+	4	181	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	123	71
+	134	74
+	129	73
+	4	123	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	73
+	118	69
+	123	71
+	4	129	73	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	212	87
+	203	76
+	208	88
+	4	212	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	203	76
+	212	87
+	207	74
+	4	203	76	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	96	76
+	87	87
+	91	88
+	4	96	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	87
+	96	76
+	92	74
+	4	87	87	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	212	72
+	202	65
+	207	74
+	4	212	72	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	202	65
+	212	72
+	207	62
+	4	202	65	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	65
+	87	72
+	92	74
+	4	97	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	72
+	97	65
+	92	62
+	4	87	72	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	212	101
+	203	89
+	208	101
+	4	212	101	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	89
+	212	101
+	208	88
+	4	203	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	89
+	87	101
+	91	101
+	4	96	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	101
+	96	89
+	91	88
+	4	87	101	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	286	129
+	282	101
+	285	119
+	4	286	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	282	101
+	286	129
+	283	110
+	4	282	101	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	17	101
+	13	129
+	14	119
+	4	17	101	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	13	129
+	17	101
+	15	110
+	4	13	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	157
+	245	151
+	239	151
+	4	234	157	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	252	137
+	239	151
+	245	151
+	4	252	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	239	151
+	252	137
+	244	142
+	4	239	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	239	151
+	228	151
+	234	157
+	4	239	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	54	151
+	65	157
+	60	151
+	4	54	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	151
+	60	151
+	65	157
+	4	71	151	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	60	151
+	47	137
+	54	151
+	4	60	151	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	47	137
+	60	151
+	55	142
+	4	47	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	99
+	249	122
+	258	113
+	4	264	99	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	249	122
+	264	99
+	256	108
+	4	249	122	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	50	122
+	35	99
+	41	113
+	4	50	122	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	35	99
+	50	122
+	43	108
+	4	35	99	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	207	62
+	197	62
+	202	65
+	4	207	62	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	102	62
+	92	62
+	97	65
+	4	102	62	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	224	150
+	234	157
+	228	151
+	4	224	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	151
+	219	141
+	224	150
+	4	228	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	141
+	228	151
+	223	143
+	4	219	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	65	157
+	75	150
+	71	151
+	4	65	157	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	141
+	71	151
+	75	150
+	4	80	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	71	151
+	80	141
+	76	143
+	4	71	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	192	65
+	202	65
+	197	62
+	4	192	65	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	97	65
+	107	65
+	102	62
+	4	97	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	223	143
+	214	131
+	219	141
+	4	223	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	131
+	223	143
+	218	134
+	4	214	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	131
+	76	143
+	80	141
+	4	85	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	143
+	85	131
+	81	134
+	4	76	143	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	213	113
+	203	100
+	208	111
+	4	213	113	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	100
+	213	113
+	208	101
+	4	203	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	100
+	86	113
+	91	111
+	4	96	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	86	113
+	96	100
+	91	101
+	4	86	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	71
+	187	68
+	181	69
+	4	176	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	65
+	181	69
+	187	68
+	4	192	65	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	68
+	123	71
+	118	69
+	4	112	68	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	118	69
+	107	65
+	112	68
+	4	118	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	76
+	160	75
+	155	75
+	4	149	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	74
+	155	75
+	160	75
+	4	165	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	75
+	149	76
+	144	75
+	4	139	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	75
+	144	75
+	149	76
+	4	155	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	75
+	134	74
+	139	75
+	4	144	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	230	158
+	240	160
+	234	157
+	4	230	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	245	151
+	234	157
+	240	160
+	4	245	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	234	157
+	224	150
+	230	158
+	4	234	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	160
+	69	158
+	65	157
+	4	59	160	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	75	150
+	65	157
+	69	158
+	4	75	150	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	65	157
+	54	151
+	59	160
+	4	65	157	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	259	121
+	244	142
+	252	137
+	4	259	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	244	142
+	259	121
+	251	128
+	4	244	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	142
+	40	121
+	47	137
+	4	55	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	40	121
+	55	142
+	48	128
+	4	40	121	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	207	74
+	197	69
+	203	76
+	4	207	74	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	197	69
+	207	74
+	202	65
+	4	197	69	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	102	69
+	92	74
+	96	76
+	4	102	69	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	92	74
+	102	69
+	97	65
+	4	92	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	134
+	209	120
+	214	131
+	4	218	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	120
+	218	134
+	213	123
+	4	209	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	120
+	81	134
+	85	131
+	4	90	120	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	134
+	90	120
+	86	123
+	4	81	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	75
+	171	74
+	165	74
+	4	160	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	71
+	165	74
+	171	74
+	4	176	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	74
+	139	75
+	134	74
+	4	128	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	74
+	123	71
+	128	74
+	4	134	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	208	88
+	198	79
+	203	89
+	4	208	88	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	198	79
+	208	88
+	203	76
+	4	198	79	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	79
+	91	88
+	96	89
+	4	101	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	88
+	101	79
+	96	76
+	4	91	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	202	65
+	192	65
+	197	69
+	4	202	65	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	65
+	97	65
+	102	69
+	4	107	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	187	68
+	197	69
+	192	65
+	4	187	68	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	69
+	112	68
+	107	65
+	4	102	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	74
+	182	72
+	176	71
+	4	171	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	68
+	176	71
+	182	72
+	4	187	68	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	72
+	128	74
+	123	71
+	4	117	72	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	123	71
+	112	68
+	117	72
+	4	123	71	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	208	101
+	198	90
+	203	100
+	4	208	101	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	198	90
+	208	101
+	203	89
+	4	198	90	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	101	90
+	91	101
+	96	100
+	4	101	90	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	101
+	101	90
+	96	89
+	4	91	101	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	271	88
+	256	108
+	264	99
+	4	271	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	256	108
+	271	88
+	262	95
+	4	256	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	43	108
+	28	88
+	35	99
+	4	43	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	28	88
+	43	108
+	37	95
+	4	28	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	213	123
+	204	110
+	209	120
+	4	213	123	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	204	110
+	213	123
+	208	111
+	4	204	110	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	110
+	86	123
+	90	120
+	4	95	110	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	86	123
+	95	110
+	91	111
+	4	86	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	235	164
+	246	162
+	240	160
+	4	235	164	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	148
+	240	160
+	246	162
+	4	253	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	240	160
+	253	148
+	245	151
+	4	240	160	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	240	160
+	230	158
+	235	164
+	4	240	160	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	162
+	64	164
+	59	160
+	4	53	162	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	69	158
+	59	160
+	64	164
+	4	69	158	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	59	160
+	46	148
+	53	162
+	4	59	160	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	46	148
+	59	160
+	54	151
+	4	46	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	288	137
+	284	109
+	288	125
+	4	288	137	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	284	109
+	288	137
+	285	119
+	4	284	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	15	109
+	11	137
+	11	125
+	4	15	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	11	137
+	15	109
+	14	119
+	4	11	137	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	203	76
+	192	72
+	198	79
+	4	203	76	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	192	72
+	203	76
+	197	69
+	4	192	72	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	72
+	96	76
+	101	79
+	4	107	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	76
+	107	72
+	102	69
+	4	96	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	69
+	187	68
+	192	72
+	4	197	69	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	68
+	102	69
+	107	72
+	4	112	68	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	77
+	155	77
+	149	76
+	4	144	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	75
+	149	76
+	155	77
+	4	160	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	139	75
+	144	77
+	4	149	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	182	72
+	192	72
+	187	68
+	4	182	72	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	107	72
+	117	72
+	112	68
+	4	107	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	260	131
+	245	151
+	253	148
+	4	260	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	245	151
+	260	131
+	252	137
+	4	245	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	54	151
+	39	131
+	46	148
+	4	54	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	39	131
+	54	151
+	47	137
+	4	39	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	105
+	251	128
+	259	121
+	4	266	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	128
+	266	105
+	258	113
+	4	251	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	48	128
+	33	105
+	40	121
+	4	48	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	33	105
+	48	128
+	41	113
+	4	33	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	77
+	166	76
+	160	75
+	4	155	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	74
+	160	75
+	166	76
+	4	171	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	76
+	144	77
+	139	75
+	4	133	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	75
+	128	74
+	133	76
+	4	139	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	226	154
+	235	164
+	230	158
+	4	226	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	158
+	221	145
+	226	154
+	4	230	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	145
+	230	158
+	224	150
+	4	221	145	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	64	164
+	73	154
+	69	158
+	4	64	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	145
+	69	158
+	73	154
+	4	78	145	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	158
+	78	145
+	75	150
+	4	69	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	150
+	215	136
+	221	145
+	4	224	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	215	136
+	224	150
+	219	141
+	4	215	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	136
+	75	150
+	78	145
+	4	84	136	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	75	150
+	84	136
+	80	141
+	4	75	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	208	111
+	199	100
+	204	110
+	4	208	111	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	100
+	208	111
+	203	100
+	4	199	100	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	100	100
+	91	111
+	95	110
+	4	100	100	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	91	111
+	100	100
+	96	100
+	4	91	111	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	203	89
+	193	81
+	198	90
+	4	203	89	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	193	81
+	203	89
+	198	79
+	4	193	81	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	106	81
+	96	89
+	101	90
+	4	106	81	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	89
+	106	81
+	101	79
+	4	96	89	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	166	76
+	176	75
+	171	74
+	4	166	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	182	72
+	171	74
+	176	75
+	4	182	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	75
+	133	76
+	128	74
+	4	122	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	74
+	117	72
+	122	75
+	4	128	74	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	231	162
+	241	169
+	235	164
+	4	231	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	162
+	235	164
+	241	169
+	4	246	162	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	235	164
+	226	154
+	231	162
+	4	235	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	58	169
+	68	162
+	64	164
+	4	58	169	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	154
+	64	164
+	68	162
+	4	73	154	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	64	164
+	53	162
+	58	169
+	4	64	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	141
+	210	127
+	215	136
+	4	219	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	210	127
+	219	141
+	214	131
+	4	210	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	89	127
+	80	141
+	84	136
+	4	89	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	141
+	89	127
+	85	131
+	4	80	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	283	110
+	278	90
+	282	101
+	4	283	110	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	278	90
+	283	110
+	281	92
+	4	278	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	21	90
+	15	110
+	17	101
+	4	21	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	15	110
+	21	90
+	18	92
+	4	15	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	276	82
+	262	95
+	271	88
+	4	276	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	262	95
+	276	82
+	268	83
+	4	262	95	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	37	95
+	23	82
+	28	88
+	4	37	95	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	23	82
+	37	95
+	31	83
+	4	23	82	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	187	75
+	198	79
+	192	72
+	4	187	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	192	72
+	182	72
+	187	75
+	4	192	72	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	79
+	112	75
+	107	72
+	4	101	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	72
+	107	72
+	112	75
+	4	117	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	176	75
+	187	75
+	182	72
+	4	176	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	75
+	122	75
+	117	72
+	4	112	75	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	198	79
+	187	75
+	193	81
+	4	198	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	75
+	101	79
+	106	81
+	4	112	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	241	169
+	253	161
+	246	162
+	4	241	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	261	144
+	246	162
+	253	161
+	4	261	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	246	162
+	261	144
+	253	148
+	4	246	162	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	46	161
+	58	169
+	53	162
+	4	46	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	162
+	38	144
+	46	161
+	4	53	162	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	144
+	53	162
+	46	148
+	4	38	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	237	170
+	247	173
+	241	169
+	4	237	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	161
+	241	169
+	247	173
+	4	253	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	241	169
+	231	162
+	237	170
+	4	241	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	173
+	62	170
+	58	169
+	4	52	173	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	162
+	58	169
+	62	170
+	4	68	162	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	58	169
+	46	161
+	52	173
+	4	58	169	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	100
+	193	91
+	199	100
+	4	203	100	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	193	91
+	203	100
+	198	90
+	4	193	91	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	106	91
+	96	100
+	100	100
+	4	106	91	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	96	100
+	106	91
+	101	90
+	4	96	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	214	131
+	205	118
+	210	127
+	4	214	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	205	118
+	214	131
+	209	120
+	4	205	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	94	118
+	85	131
+	89	127
+	4	94	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	85	131
+	94	118
+	90	120
+	4	85	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	80
+	160	79
+	155	77
+	4	149	80	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	76
+	155	77
+	160	79
+	4	166	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	79
+	149	80
+	144	77
+	4	139	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	77
+	144	77
+	149	80
+	4	155	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	77
+	133	76
+	139	79
+	4	144	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	79
+	171	78
+	166	76
+	4	160	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	75
+	166	76
+	171	78
+	4	176	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	78
+	139	79
+	133	76
+	4	128	78	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	76
+	122	75
+	128	78
+	4	133	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	114
+	252	137
+	260	131
+	4	268	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	252	137
+	268	114
+	259	121
+	4	252	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	47	137
+	31	114
+	39	131
+	4	47	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	31	114
+	47	137
+	40	121
+	4	31	114	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	182	79
+	193	81
+	187	75
+	4	182	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	187	75
+	176	75
+	182	79
+	4	187	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	81
+	117	79
+	112	75
+	4	106	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	75
+	112	75
+	117	79
+	4	122	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	78
+	182	79
+	176	75
+	4	171	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	79
+	128	78
+	122	75
+	4	117	79	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	273	94
+	258	113
+	266	105
+	4	273	94	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	258	113
+	273	94
+	264	99
+	4	258	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	41	113
+	26	94
+	33	105
+	4	41	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	26	94
+	41	113
+	35	99
+	4	26	94	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	198	90
+	188	84
+	193	91
+	4	198	90	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	188	84
+	198	90
+	193	81
+	4	188	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	111	84
+	101	90
+	106	91
+	4	111	84	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	101	90
+	111	84
+	106	81
+	4	101	90	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	120
+	199	109
+	205	118
+	4	209	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	109
+	209	120
+	204	110
+	4	199	109	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	100	109
+	90	120
+	94	118
+	4	100	109	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	90	120
+	100	109
+	95	110
+	4	90	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	193	81
+	182	79
+	188	84
+	4	193	81	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	117	79
+	106	81
+	111	84
+	4	117	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	176
+	254	175
+	247	173
+	4	243	176	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	261	159
+	247	173
+	254	175
+	4	261	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	247	173
+	261	159
+	253	161
+	4	247	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	247	173
+	237	170
+	243	176
+	4	247	173	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	45	175
+	56	176
+	52	173
+	4	45	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	170
+	52	173
+	56	176
+	4	62	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	52	173
+	38	159
+	45	175
+	4	52	173	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	38	159
+	52	173
+	46	161
+	4	38	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	285	119
+	279	97
+	284	109
+	4	285	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	279	97
+	285	119
+	282	101
+	4	279	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	19	97
+	14	119
+	15	109
+	4	19	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	14	119
+	19	97
+	17	101
+	4	14	119	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	82
+	155	82
+	149	80
+	4	144	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	79
+	149	80
+	155	82
+	4	160	79	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	80
+	139	79
+	144	82
+	4	149	80	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	82
+	166	82
+	160	79
+	4	155	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	78
+	160	79
+	166	82
+	4	171	78	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	82
+	144	82
+	139	79
+	4	133	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	79
+	128	78
+	133	82
+	4	139	79	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	110
+	194	100
+	199	109
+	4	204	110	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	194	100
+	204	110
+	199	100
+	4	194	100	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	105	100
+	95	110
+	100	109
+	4	105	100	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	95	110
+	105	100
+	100	100
+	4	95	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	269	125
+	253	148
+	261	144
+	4	269	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	253	148
+	269	125
+	260	131
+	4	253	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	46	148
+	30	125
+	38	144
+	4	46	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	30	125
+	46	148
+	39	131
+	4	30	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	177	82
+	188	84
+	182	79
+	4	177	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	182	79
+	171	78
+	177	82
+	4	182	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	84
+	122	82
+	117	79
+	4	111	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	78
+	117	79
+	122	82
+	4	128	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	82
+	177	82
+	171	78
+	4	166	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	122	82
+	133	82
+	128	78
+	4	122	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	228	156
+	237	170
+	231	162
+	4	228	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	162
+	223	148
+	228	156
+	4	231	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	148
+	231	162
+	226	154
+	4	223	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	170
+	71	156
+	68	162
+	4	62	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	148
+	68	162
+	71	156
+	4	76	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	68	162
+	76	148
+	73	154
+	4	68	162	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	234	164
+	243	176
+	237	170
+	4	234	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	237	170
+	228	156
+	234	164
+	4	237	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	56	176
+	65	164
+	62	170
+	4	56	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	71	156
+	62	170
+	65	164
+	4	71	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	100
+	188	93
+	194	100
+	4	199	100	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	188	93
+	199	100
+	193	91
+	4	188	93	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	111	93
+	100	100
+	105	100
+	4	111	93	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	100	100
+	111	93
+	106	91
+	4	100	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	154
+	217	139
+	223	148
+	4	226	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	139
+	226	154
+	221	145
+	4	217	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	139
+	73	154
+	76	148
+	4	82	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	154
+	82	139
+	78	145
+	4	73	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	281	92
+	271	88
+	278	90
+	4	281	92	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	271	88
+	281	92
+	276	82
+	4	271	88	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	28	88
+	18	92
+	21	90
+	4	28	88	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	18	92
+	28	88
+	23	82
+	4	18	92	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	183	87
+	193	91
+	188	84
+	4	183	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	188	84
+	177	82
+	183	87
+	4	188	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	106	91
+	116	87
+	111	84
+	4	106	91	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	82
+	111	84
+	116	87
+	4	122	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	139
+	253	161
+	261	159
+	4	270	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	253	161
+	270	139
+	261	144
+	4	253	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	161
+	29	139
+	38	159
+	4	46	161	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	29	139
+	46	161
+	38	144
+	4	29	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	193	91
+	183	87
+	188	93
+	4	193	91	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	116	87
+	106	91
+	111	93
+	4	116	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	145
+	211	131
+	217	139
+	4	221	145	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	211	131
+	221	145
+	215	136
+	4	211	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	88	131
+	78	145
+	82	139
+	4	88	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	78	145
+	88	131
+	84	136
+	4	78	145	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	278	90
+	264	99
+	273	94
+	4	278	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	99
+	278	90
+	271	88
+	4	264	99	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	35	99
+	21	90
+	26	94
+	4	35	99	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	21	90
+	35	99
+	28	88
+	4	21	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	239	172
+	249	182
+	243	176
+	4	239	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	254	175
+	243	176
+	249	182
+	4	254	175	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	243	176
+	234	164
+	239	172
+	4	243	176	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	50	182
+	60	172
+	56	176
+	4	50	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	164
+	56	176
+	60	172
+	4	65	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	176
+	45	175
+	50	182
+	4	56	176	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	86
+	161	86
+	155	82
+	4	149	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	82
+	155	82
+	161	86
+	4	166	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	86
+	149	86
+	144	82
+	4	138	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	155	82
+	144	82
+	149	86
+	4	155	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	82
+	133	82
+	138	86
+	4	144	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	86
+	183	87
+	177	82
+	4	172	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	82
+	166	82
+	172	86
+	4	177	82	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	116	87
+	127	86
+	122	82
+	4	116	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	82
+	122	82
+	127	86
+	4	133	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	86
+	172	86
+	166	82
+	4	161	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	86
+	138	86
+	133	82
+	4	127	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	275	102
+	259	121
+	268	114
+	4	275	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	259	121
+	275	102
+	266	105
+	4	259	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	40	121
+	24	102
+	31	114
+	4	40	121	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	24	102
+	40	121
+	33	105
+	4	24	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	215	136
+	206	123
+	211	131
+	4	215	136	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	206	123
+	215	136
+	210	127
+	4	206	123	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	93	123
+	84	136
+	88	131
+	4	93	123	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	84	136
+	93	123
+	89	127
+	4	84	136	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	249	182
+	239	172
+	245	179
+	4	249	182	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	60	172
+	50	182
+	54	179
+	4	60	172	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	210	127
+	200	115
+	206	123
+	4	210	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	200	115
+	210	127
+	205	118
+	4	200	115	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	99	115
+	89	127
+	93	123
+	4	99	115	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	89	127
+	99	115
+	94	118
+	4	89	127	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	177	90
+	188	93
+	183	87
+	4	177	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	183	87
+	172	86
+	177	90
+	4	183	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	111	93
+	122	90
+	116	87
+	4	111	93	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	86
+	116	87
+	122	90
+	4	127	86	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	205	118
+	194	108
+	200	115
+	4	205	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	194	108
+	205	118
+	199	109
+	4	194	108	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	104	108
+	94	118
+	99	115
+	4	104	108	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	94	118
+	104	108
+	100	109
+	4	94	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	288	125
+	282	105
+	287	115
+	4	288	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	282	105
+	288	125
+	284	109
+	4	282	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	17	105
+	11	125
+	12	115
+	4	17	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	11	125
+	17	105
+	15	109
+	4	11	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	89
+	155	89
+	149	86
+	4	144	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	86
+	149	86
+	155	89
+	4	161	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	86
+	138	86
+	144	89
+	4	149	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	89
+	177	90
+	172	86
+	4	166	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	86
+	161	86
+	166	89
+	4	172	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	90
+	133	89
+	127	86
+	4	122	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	86
+	127	86
+	133	89
+	4	138	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	155	89
+	166	89
+	161	86
+	4	155	89	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	89
+	144	89
+	138	86
+	4	133	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	282	101
+	273	94
+	279	97
+	4	282	101	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	273	94
+	282	101
+	278	90
+	4	273	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	26	94
+	17	101
+	19	97
+	4	26	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	17	101
+	26	94
+	21	90
+	4	17	101	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	183	95
+	194	100
+	188	93
+	4	183	95	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	188	93
+	177	90
+	183	95
+	4	188	93	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	105	100
+	116	95
+	111	93
+	4	105	100	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	122	90
+	111	93
+	116	95
+	4	122	90	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	109
+	189	101
+	194	108
+	4	199	109	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	189	101
+	199	109
+	194	100
+	4	189	101	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	110	101
+	100	109
+	104	108
+	4	110	101	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	100	109
+	110	101
+	105	100
+	4	100	109	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	194	100
+	183	95
+	189	101
+	4	194	100	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	116	95
+	105	100
+	110	101
+	4	116	95	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	276	111
+	260	131
+	269	125
+	4	276	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	260	131
+	276	111
+	268	114
+	4	260	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	39	131
+	23	111
+	30	125
+	4	39	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	23	111
+	39	131
+	31	114
+	4	23	111	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	172	93
+	183	95
+	177	90
+	4	172	93	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	177	90
+	166	89
+	172	93
+	4	177	90	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	116	95
+	127	93
+	122	90
+	4	116	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	133	89
+	122	90
+	127	93
+	4	133	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	279	97
+	266	105
+	275	102
+	4	279	97	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	266	105
+	279	97
+	273	94
+	4	266	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	33	105
+	19	97
+	24	102
+	4	33	105	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	19	97
+	33	105
+	26	94
+	4	19	97	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	161	93
+	172	93
+	166	89
+	4	161	93	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	89
+	155	89
+	161	93
+	4	166	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	93
+	138	93
+	133	89
+	4	127	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	89
+	133	89
+	138	93
+	4	144	89	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	93
+	161	93
+	155	89
+	4	149	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	93
+	149	93
+	144	89
+	4	138	93	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	89
+	144	89
+	149	93
+	4	155	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	278	121
+	261	144
+	270	139
+	4	278	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	261	144
+	278	121
+	269	125
+	4	261	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	38	144
+	21	121
+	29	139
+	4	38	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	21	121
+	38	144
+	30	125
+	4	21	121	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	178	98
+	189	101
+	183	95
+	4	178	98	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	183	95
+	172	93
+	178	98
+	4	183	95	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	110	101
+	121	98
+	116	95
+	4	110	101	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	127	93
+	116	95
+	121	98
+	4	127	93	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	184	103
+	194	108
+	189	101
+	4	184	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	189	101
+	178	98
+	184	103
+	4	189	101	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	104	108
+	115	103
+	110	101
+	4	104	108	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	121	98
+	110	101
+	115	103
+	4	121	98	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	97
+	178	98
+	172	93
+	4	166	97	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	93
+	161	93
+	166	97
+	4	172	93	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	121	98
+	133	97
+	127	93
+	4	121	98	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	93
+	127	93
+	133	97
+	4	138	93	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	97
+	166	97
+	161	93
+	4	155	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	93
+	149	93
+	155	97
+	4	161	93	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	133	97
+	144	97
+	138	93
+	4	133	97	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	93
+	138	93
+	144	97
+	4	149	93	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	109
+	275	102
+	282	105
+	4	284	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	102
+	284	109
+	279	97
+	4	275	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	24	102
+	15	109
+	17	105
+	4	24	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	15	109
+	24	102
+	19	97
+	4	15	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	97
+	155	97
+	149	93
+	4	144	97	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	231	155
+	239	172
+	234	164
+	4	231	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	164
+	225	148
+	231	155
+	4	234	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	148
+	234	164
+	228	156
+	4	225	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	60	172
+	68	155
+	65	164
+	4	60	172	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	74	148
+	65	164
+	68	155
+	4	74	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	164
+	74	148
+	71	156
+	4	65	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	237	163
+	245	179
+	239	172
+	4	237	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	239	172
+	231	155
+	237	163
+	4	239	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	179
+	62	163
+	60	172
+	4	54	179	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	68	155
+	60	172
+	62	163
+	4	68	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	156
+	219	141
+	225	148
+	4	228	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	219	141
+	228	156
+	223	148
+	4	219	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	80	141
+	71	156
+	74	148
+	4	80	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	156
+	80	141
+	76	148
+	4	71	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	189	108
+	200	115
+	194	108
+	4	189	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	194	108
+	184	103
+	189	108
+	4	194	108	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	99	115
+	110	108
+	104	108
+	4	99	115	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	115	103
+	104	108
+	110	108
+	4	115	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	223	148
+	213	134
+	219	141
+	4	223	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	213	134
+	223	148
+	217	139
+	4	213	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	86	134
+	76	148
+	80	141
+	4	86	134	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	76	148
+	86	134
+	82	139
+	4	76	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	245	179
+	237	163
+	243	170
+	4	245	179	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	163
+	54	179
+	56	170
+	4	62	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	139
+	207	127
+	213	134
+	4	217	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	207	127
+	217	139
+	211	131
+	4	207	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	92	127
+	82	139
+	86	134
+	4	92	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	82	139
+	92	127
+	88	131
+	4	82	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	195	114
+	206	123
+	200	115
+	4	195	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	200	115
+	189	108
+	195	114
+	4	200	115	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	93	123
+	104	114
+	99	115
+	4	93	123	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	110	108
+	99	115
+	104	114
+	4	110	108	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	211	131
+	201	120
+	207	127
+	4	211	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	201	120
+	211	131
+	206	123
+	4	201	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	120
+	88	131
+	92	127
+	4	98	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	88	131
+	98	120
+	93	123
+	4	88	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	206	123
+	195	114
+	201	120
+	4	206	123	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	104	114
+	93	123
+	98	120
+	4	104	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	105
+	268	114
+	276	111
+	4	282	105	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	268	114
+	282	105
+	275	102
+	4	268	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	114
+	17	105
+	23	111
+	4	31	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	17	105
+	31	114
+	24	102
+	4	17	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	101
+	184	103
+	178	98
+	4	172	101	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	178	98
+	166	97
+	172	101
+	4	178	98	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	103
+	127	101
+	121	98
+	4	115	103	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	133	97
+	121	98
+	127	101
+	4	133	97	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	100
+	172	101
+	166	97
+	4	161	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	166	97
+	155	97
+	161	100
+	4	166	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	101
+	138	100
+	133	97
+	4	127	101	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	144	97
+	133	97
+	138	100
+	4	144	97	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	100
+	161	100
+	155	97
+	4	149	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	100
+	149	100
+	144	97
+	4	138	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	155	97
+	144	97
+	149	100
+	4	155	97	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	178	105
+	189	108
+	184	103
+	4	178	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	184	103
+	172	101
+	178	105
+	4	184	103	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	110	108
+	121	105
+	115	103
+	4	110	108	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	127	101
+	115	103
+	121	105
+	4	127	101	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	112
+	269	125
+	278	121
+	4	284	112	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	269	125
+	284	112
+	276	111
+	4	269	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	30	125
+	15	112
+	21	121
+	4	30	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	15	112
+	30	125
+	23	111
+	4	15	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	104
+	178	105
+	172	101
+	4	167	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	101
+	161	100
+	167	104
+	4	172	101	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	121	105
+	132	104
+	127	101
+	4	121	105	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	100
+	127	101
+	132	104
+	4	138	100	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	104
+	167	104
+	161	100
+	4	155	104	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	161	100
+	149	100
+	155	104
+	4	161	100	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	104
+	144	104
+	138	100
+	4	132	104	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	100
+	138	100
+	144	104
+	4	149	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	144	104
+	155	104
+	149	100
+	4	144	104	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	184	110
+	195	114
+	189	108
+	4	184	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	189	108
+	178	105
+	184	110
+	4	189	108	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	104	114
+	115	110
+	110	108
+	4	104	114	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	121	105
+	110	108
+	115	110
+	4	121	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	287	115
+	276	111
+	284	112
+	4	287	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	111
+	287	115
+	282	105
+	4	276	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	23	111
+	12	115
+	15	112
+	4	23	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	12	115
+	23	111
+	17	105
+	4	12	115	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	190	115
+	201	120
+	195	114
+	4	190	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	195	114
+	184	110
+	190	115
+	4	195	114	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	98	120
+	109	115
+	104	114
+	4	98	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	110
+	104	114
+	109	115
+	4	115	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	108
+	184	110
+	178	105
+	4	173	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	105
+	167	104
+	173	108
+	4	178	105	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	115	110
+	126	108
+	121	105
+	4	115	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	104
+	121	105
+	126	108
+	4	132	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	108
+	173	108
+	167	104
+	4	161	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	104
+	155	104
+	161	108
+	4	167	104	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	126	108
+	138	108
+	132	104
+	4	126	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	104
+	132	104
+	138	108
+	4	144	104	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	108
+	161	108
+	155	104
+	4	149	108	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	108
+	149	108
+	144	104
+	4	138	108	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	155	104
+	144	104
+	149	108
+	4	155	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	196	119
+	207	127
+	201	120
+	4	196	119	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	201	120
+	190	115
+	196	119
+	4	201	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	92	127
+	103	119
+	98	120
+	4	92	127	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	109	115
+	98	120
+	103	119
+	4	109	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	202	125
+	213	134
+	207	127
+	4	202	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	207	127
+	196	119
+	202	125
+	4	207	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	86	134
+	96	125
+	92	127
+	4	86	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	119
+	92	127
+	96	125
+	4	103	119	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	112
+	190	115
+	184	110
+	4	179	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	184	110
+	173	108
+	179	112
+	4	184	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	115
+	120	112
+	115	110
+	4	109	115	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	126	108
+	115	110
+	120	112
+	4	126	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	214
+	155	214
+	149	208
+	4	144	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	207
+	149	208
+	155	214
+	4	161	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	208
+	161	207
+	155	199
+	4	149	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	208
+	138	207
+	144	214
+	4	149	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	207
+	149	208
+	144	199
+	4	138	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	155	199
+	144	199
+	149	208
+	4	155	199	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	130
+	219	141
+	213	134
+	4	209	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	213	134
+	202	125
+	209	130
+	4	213	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	80	141
+	90	130
+	86	134
+	4	80	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	96	125
+	86	134
+	90	130
+	4	96	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	214
+	167	214
+	161	207
+	4	155	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	206
+	161	207
+	167	214
+	4	173	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	207
+	173	206
+	167	197
+	4	161	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	197
+	155	199
+	161	207
+	4	167	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	214
+	144	214
+	138	207
+	4	132	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	138	207
+	126	206
+	132	214
+	4	138	207	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	126	206
+	138	207
+	132	197
+	4	126	206	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	144	199
+	132	197
+	138	207
+	4	144	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	199
+	167	197
+	161	187
+	4	155	199	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	144	199
+	155	199
+	149	188
+	4	144	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	187
+	149	188
+	155	199
+	4	161	187	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	197
+	144	199
+	138	187
+	4	132	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	188
+	138	187
+	144	199
+	4	149	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	113
+	155	113
+	149	108
+	4	144	113	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	161	108
+	149	108
+	155	113
+	4	161	108	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	108
+	138	108
+	144	113
+	4	149	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	112
+	179	112
+	173	108
+	4	167	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	108
+	161	108
+	167	112
+	4	173	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	112
+	132	112
+	126	108
+	4	120	112	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	138	108
+	126	108
+	132	112
+	4	138	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	155	113
+	167	112
+	161	108
+	4	155	113	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	112
+	144	113
+	138	108
+	4	132	112	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	215	135
+	225	148
+	219	141
+	4	215	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	219	141
+	209	130
+	215	135
+	4	219	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	148
+	84	135
+	80	141
+	4	74	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	130
+	80	141
+	84	135
+	4	90	130	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	214
+	179	213
+	173	206
+	4	167	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	202
+	173	206
+	179	213
+	4	185	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	206
+	185	202
+	179	194
+	4	173	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	194
+	167	197
+	173	206
+	4	179	194	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	120	213
+	132	214
+	126	206
+	4	120	213	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	126	206
+	114	202
+	120	213
+	4	126	206	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	202
+	126	206
+	120	194
+	4	114	202	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	197
+	120	194
+	126	206
+	4	132	197	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	217
+	161	217
+	155	214
+	4	149	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	214
+	155	214
+	161	217
+	4	167	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	217
+	149	217
+	144	214
+	4	138	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	214
+	144	214
+	149	217
+	4	155	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	214
+	132	214
+	138	217
+	4	144	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	217
+	173	218
+	167	214
+	4	161	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	213
+	167	214
+	173	218
+	4	179	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	218
+	138	217
+	132	214
+	4	126	218	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	132	214
+	120	213
+	126	218
+	4	132	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	197
+	179	194
+	173	184
+	4	167	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	184
+	161	187
+	167	197
+	4	173	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	194
+	132	197
+	126	184
+	4	120	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	187
+	126	184
+	132	197
+	4	138	187	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	141
+	231	155
+	225	148
+	4	221	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	225	148
+	215	135
+	221	141
+	4	225	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	68	155
+	78	141
+	74	148
+	4	68	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	84	135
+	74	148
+	78	141
+	4	84	135	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	185	117
+	196	119
+	190	115
+	4	185	117	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	190	115
+	179	112
+	185	117
+	4	190	115	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	103	119
+	114	117
+	109	115
+	4	103	119	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	112
+	109	115
+	114	117
+	4	120	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	188
+	161	187
+	155	177
+	4	149	188	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	187
+	149	188
+	144	177
+	4	138	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	177
+	144	177
+	149	188
+	4	155	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	218
+	185	219
+	179	213
+	4	173	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	190	210
+	179	213
+	185	219
+	4	190	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	179	213
+	190	210
+	185	202
+	4	179	213	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	114	219
+	126	218
+	120	213
+	4	114	219	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	120	213
+	108	210
+	114	219
+	4	120	213	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	210
+	120	213
+	114	202
+	4	108	210	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	228	147
+	237	163
+	231	155
+	4	228	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	231	155
+	221	141
+	228	147
+	4	231	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	62	163
+	71	147
+	68	155
+	4	62	163	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	78	141
+	68	155
+	71	147
+	4	78	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	187
+	173	184
+	167	175
+	4	161	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	175
+	155	177
+	161	187
+	4	167	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	184
+	138	187
+	132	175
+	4	126	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	177
+	132	175
+	138	187
+	4	144	177	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	234	153
+	243	170
+	237	163
+	4	234	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	237	163
+	228	147
+	234	153
+	4	237	163	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	56	170
+	65	153
+	62	163
+	4	56	170	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	71	147
+	62	163
+	65	153
+	4	71	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	118
+	161	117
+	155	113
+	4	149	118	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	167	112
+	155	113
+	161	117
+	4	167	112	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	138	117
+	149	118
+	144	113
+	4	138	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	155	113
+	144	113
+	149	118
+	4	155	113	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	113
+	132	112
+	138	117
+	4	144	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	117
+	185	117
+	179	112
+	4	173	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	112
+	167	112
+	173	117
+	4	179	112	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	117
+	126	117
+	120	112
+	4	114	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	112
+	120	112
+	126	117
+	4	132	112	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	161	117
+	173	117
+	167	112
+	4	161	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	117
+	138	117
+	132	112
+	4	126	117	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	243	170
+	234	153
+	241	159
+	4	243	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	65	153
+	56	170
+	58	159
+	4	65	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	197	196
+	185	202
+	190	210
+	4	197	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	202
+	197	196
+	191	187
+	4	185	202	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	187
+	179	194
+	185	202
+	4	191	187	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	202
+	102	196
+	108	210
+	4	114	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	196
+	114	202
+	108	187
+	4	102	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	194
+	108	187
+	114	202
+	4	120	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	221
+	191	223
+	185	219
+	4	179	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	196	217
+	185	219
+	191	223
+	4	196	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	185	219
+	196	217
+	190	210
+	4	185	219	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	219
+	173	218
+	179	221
+	4	185	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	223
+	120	221
+	114	219
+	4	108	223	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	218
+	114	219
+	120	221
+	4	126	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	219
+	102	217
+	108	223
+	4	114	219	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	217
+	114	219
+	108	210
+	4	102	217	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	191	121
+	202	125
+	196	119
+	4	191	121	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	196	119
+	185	117
+	191	121
+	4	196	119	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	96	125
+	108	121
+	103	119
+	4	96	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	117
+	103	119
+	108	121
+	4	114	117	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	203	204
+	190	210
+	196	217
+	4	203	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	190	210
+	203	204
+	197	196
+	4	190	210	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	210
+	96	204
+	102	217
+	4	108	210	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	96	204
+	108	210
+	102	196
+	4	96	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	194
+	191	187
+	185	179
+	4	179	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	179
+	173	184
+	179	194
+	4	185	179	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	187
+	120	194
+	114	179
+	4	108	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	184
+	114	179
+	120	194
+	4	126	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	155	177
+	167	175
+	161	165
+	4	155	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	177
+	155	177
+	149	166
+	4	144	177	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	165
+	149	166
+	155	177
+	4	161	165	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	175
+	144	177
+	138	165
+	4	132	175	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	166
+	138	165
+	144	177
+	4	149	166	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	167	218
+	179	221
+	173	218
+	4	167	218	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	218
+	161	217
+	167	218
+	4	173	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	221
+	132	218
+	126	218
+	4	120	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	217
+	126	218
+	132	218
+	4	138	217	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	173	184
+	185	179
+	179	170
+	4	173	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	179	170
+	167	175
+	173	184
+	4	179	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	179
+	126	184
+	120	170
+	4	114	179	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	175
+	120	170
+	126	184
+	4	132	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	223
+	203	224
+	196	217
+	4	191	223	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	209	212
+	196	217
+	203	224
+	4	209	212	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	217
+	209	212
+	203	204
+	4	196	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	96	224
+	108	223
+	102	217
+	4	96	224	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	102	217
+	90	212
+	96	224
+	4	102	217	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	90	212
+	102	217
+	96	204
+	4	90	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	123
+	155	123
+	149	118
+	4	144	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	117
+	149	118
+	155	123
+	4	161	117	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	118
+	138	117
+	144	123
+	4	149	118	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	216
+	167	218
+	161	217
+	4	155	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	217
+	149	217
+	155	216
+	4	161	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	218
+	143	216
+	138	217
+	4	132	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	217
+	138	217
+	143	216
+	4	149	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	155	123
+	167	122
+	161	117
+	4	155	123	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	117
+	161	117
+	167	122
+	4	173	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	122
+	144	123
+	138	117
+	4	132	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	117
+	126	117
+	132	122
+	4	138	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	216
+	155	216
+	149	217
+	4	143	216	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	121
+	191	121
+	185	117
+	4	179	121	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	185	117
+	173	117
+	179	121
+	4	185	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	108	121
+	120	121
+	114	117
+	4	108	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	117
+	114	117
+	120	121
+	4	126	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	167	122
+	179	121
+	173	117
+	4	167	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	121
+	132	122
+	126	117
+	4	120	121	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	167	175
+	179	170
+	173	161
+	4	167	175	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	173	161
+	161	165
+	167	175
+	4	173	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	120	170
+	132	175
+	126	161
+	4	120	170	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	138	165
+	126	161
+	132	175
+	4	138	165	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	125
+	209	130
+	202	125
+	4	197	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	202	125
+	191	121
+	197	125
+	4	202	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	90	130
+	102	125
+	96	125
+	4	90	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	121
+	96	125
+	102	125
+	4	108	121	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	149	166
+	161	165
+	155	155
+	4	149	166	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	138	165
+	149	166
+	144	155
+	4	138	165	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	155	155
+	144	155
+	149	166
+	4	155	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	203	224
+	191	223
+	197	226
+	4	203	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	223
+	96	224
+	102	226
+	4	108	223	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	129
+	161	129
+	155	123
+	4	149	129	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	167	122
+	155	123
+	161	129
+	4	167	122	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	138	129
+	149	129
+	144	123
+	4	138	129	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	155	123
+	144	123
+	149	129
+	4	155	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	123
+	132	122
+	138	129
+	4	144	123	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	161	165
+	173	161
+	167	153
+	4	161	165	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	167	153
+	155	155
+	161	165
+	4	167	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	161
+	138	165
+	132	153
+	4	126	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	144	155
+	132	153
+	138	165
+	4	144	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	221
+	197	226
+	191	223
+	4	186	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	223
+	179	221
+	186	221
+	4	191	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	226
+	113	221
+	108	223
+	4	102	226	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	120	221
+	108	223
+	113	221
+	4	120	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	161	129
+	173	127
+	167	122
+	4	161	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	121
+	167	122
+	173	127
+	4	179	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	127
+	138	129
+	132	122
+	4	126	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	122
+	120	121
+	126	127
+	4	132	122	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	204	130
+	215	135
+	209	130
+	4	204	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	130
+	197	125
+	204	130
+	4	209	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	84	135
+	95	130
+	90	130
+	4	84	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	102	125
+	90	130
+	95	130
+	4	102	125	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	155	155
+	167	153
+	161	144
+	4	155	155	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	144	155
+	155	155
+	149	145
+	4	144	155	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	161	144
+	149	145
+	155	155
+	4	161	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	153
+	144	155
+	138	144
+	4	132	153	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	145
+	138	144
+	144	155
+	4	149	145	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	144	137
+	155	137
+	149	129
+	4	144	137	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	161	129
+	149	129
+	155	137
+	4	161	129	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	129
+	138	129
+	144	137
+	4	149	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	185	125
+	197	125
+	191	121
+	4	185	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	191	121
+	179	121
+	185	125
+	4	191	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	125
+	114	125
+	108	121
+	4	102	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	121
+	108	121
+	114	125
+	4	120	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	127
+	185	125
+	179	121
+	4	173	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	125
+	126	127
+	120	121
+	4	114	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	155	137
+	167	135
+	161	129
+	4	155	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	173	127
+	161	129
+	167	135
+	4	173	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	135
+	144	137
+	138	129
+	4	132	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	129
+	126	127
+	132	135
+	4	138	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	186
+	197	196
+	203	204
+	4	210	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	196
+	210	186
+	204	178
+	4	197	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	178
+	191	187
+	197	196
+	4	204	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	196
+	89	186
+	96	204
+	4	102	196	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	186
+	102	196
+	95	178
+	4	89	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	187
+	95	178
+	102	196
+	4	108	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	145
+	161	144
+	155	137
+	4	149	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	144
+	149	145
+	144	137
+	4	138	144	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	155	137
+	144	137
+	149	145
+	4	155	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	216	194
+	203	204
+	209	212
+	4	216	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	203	204
+	216	194
+	210	186
+	4	203	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	204
+	83	194
+	90	212
+	4	96	204	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	83	194
+	96	204
+	89	186
+	4	83	194	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	191	187
+	204	178
+	198	170
+	4	191	187	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	170
+	185	179
+	191	187
+	4	198	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	178
+	108	187
+	101	170
+	4	95	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	114	179
+	101	170
+	108	187
+	4	114	179	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	167	135
+	155	137
+	161	144
+	4	167	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	137
+	132	135
+	138	144
+	4	144	137	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	185	179
+	198	170
+	192	163
+	4	185	179	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	192	163
+	179	170
+	185	179
+	4	192	163	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	170
+	114	179
+	107	163
+	4	101	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	120	170
+	107	163
+	114	179
+	4	120	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	174	217
+	186	221
+	179	221
+	4	174	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	221
+	167	218
+	174	217
+	4	179	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	221
+	125	217
+	120	221
+	4	113	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	218
+	120	221
+	125	217
+	4	132	218	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	179	170
+	192	163
+	186	155
+	4	179	170	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	186	155
+	173	161
+	179	170
+	4	186	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	107	163
+	120	170
+	113	155
+	4	107	163	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	161
+	113	155
+	120	170
+	4	126	161	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	173	141
+	161	144
+	167	153
+	4	173	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	161	144
+	173	141
+	167	135
+	4	161	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	138	144
+	126	141
+	132	153
+	4	138	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	141
+	138	144
+	132	135
+	4	126	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	173	161
+	186	155
+	180	148
+	4	173	161	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	180	148
+	167	153
+	173	161
+	4	180	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	155
+	126	161
+	119	148
+	4	113	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	153
+	119	148
+	126	161
+	4	132	153	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	167	153
+	180	148
+	173	141
+	4	167	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	148
+	132	153
+	126	141
+	4	119	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	135
+	179	132
+	173	127
+	4	167	135	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	185	125
+	173	127
+	179	132
+	4	185	125	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	119	132
+	132	135
+	126	127
+	4	119	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	127
+	114	125
+	119	132
+	4	126	127	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	210	134
+	221	141
+	215	135
+	4	210	134	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	215	135
+	204	130
+	210	134
+	4	215	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	78	141
+	89	134
+	84	135
+	4	78	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	130
+	84	135
+	89	134
+	4	95	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	132
+	167	135
+	173	141
+	4	179	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	135
+	119	132
+	126	141
+	4	132	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	192	130
+	204	130
+	197	125
+	4	192	130	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	125
+	185	125
+	192	130
+	4	197	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	130
+	107	130
+	102	125
+	4	95	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	125
+	102	125
+	107	130
+	4	114	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	132
+	192	130
+	185	125
+	4	179	132	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	130
+	119	132
+	114	125
+	4	107	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	162	213
+	174	217
+	167	218
+	4	162	213	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	218
+	155	216
+	162	213
+	4	167	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	217
+	137	213
+	132	218
+	4	125	217	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	143	216
+	132	218
+	137	213
+	4	143	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	186	137
+	173	141
+	180	148
+	4	186	137	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	141
+	186	137
+	179	132
+	4	173	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	141
+	113	137
+	119	148
+	4	126	141	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	113	137
+	126	141
+	119	132
+	4	113	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	226
+	186	221
+	193	220
+	4	197	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	221
+	102	226
+	106	220
+	4	113	221	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	217	139
+	228	147
+	221	141
+	4	217	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	141
+	210	134
+	217	139
+	4	221	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	147
+	82	139
+	78	141
+	4	71	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	89	134
+	78	141
+	82	139
+	4	89	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	130
+	179	132
+	186	137
+	4	192	130	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	119	132
+	107	130
+	113	137
+	4	119	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	212
+	162	213
+	155	216
+	4	149	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	137	213
+	149	212
+	143	216
+	4	137	213	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	155	216
+	143	216
+	149	212
+	4	155	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	192	143
+	180	148
+	186	155
+	4	192	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	180	148
+	192	143
+	186	137
+	4	180	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	148
+	107	143
+	113	155
+	4	119	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	107	143
+	119	148
+	113	137
+	4	107	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	149
+	186	155
+	192	163
+	4	198	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	155
+	198	149
+	192	143
+	4	186	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	155
+	101	149
+	107	163
+	4	113	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	149
+	113	155
+	107	143
+	4	101	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	224	143
+	234	153
+	228	147
+	4	224	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	228	147
+	217	139
+	224	143
+	4	228	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	65	153
+	75	143
+	71	147
+	4	65	153	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	82	139
+	71	147
+	75	143
+	4	82	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	198	134
+	210	134
+	204	130
+	4	198	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	130
+	192	130
+	198	134
+	4	204	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	89	134
+	101	134
+	95	130
+	4	89	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	130
+	95	130
+	101	134
+	4	107	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	137
+	198	134
+	192	130
+	4	186	137	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	101	134
+	113	137
+	107	130
+	4	101	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	134
+	186	137
+	192	143
+	4	198	134	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	113	137
+	101	134
+	107	143
+	4	113	137	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	155
+	192	163
+	198	170
+	4	205	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	163
+	205	155
+	198	149
+	4	192	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	163
+	94	155
+	101	170
+	4	107	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	155
+	107	163
+	101	149
+	4	94	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	161
+	198	170
+	204	178
+	4	211	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	170
+	211	161
+	205	155
+	4	198	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	101	170
+	88	161
+	95	178
+	4	101	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	161
+	101	170
+	94	155
+	4	88	161	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	230	148
+	241	159
+	234	153
+	4	230	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	234	153
+	224	143
+	230	148
+	4	234	153	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	58	159
+	69	148
+	65	153
+	4	58	159	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	75	143
+	65	153
+	69	148
+	4	75	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	181	214
+	193	220
+	186	221
+	4	181	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	186	221
+	174	217
+	181	214
+	4	186	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	106	220
+	118	214
+	113	221
+	4	106	220	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	125	217
+	113	221
+	118	214
+	4	125	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	167
+	204	178
+	210	186
+	4	218	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	178
+	218	167
+	211	161
+	4	204	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	178
+	81	167
+	89	186
+	4	95	178	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	81	167
+	95	178
+	88	161
+	4	81	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	139
+	192	143
+	198	149
+	4	205	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	143
+	205	139
+	198	134
+	4	192	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	143
+	94	139
+	101	149
+	4	107	143	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	94	139
+	107	143
+	101	134
+	4	94	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	173
+	210	186
+	216	194
+	4	224	173	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	186
+	224	173
+	218	167
+	4	210	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	89	186
+	75	173
+	83	194
+	4	89	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	75	173
+	89	186
+	81	167
+	4	75	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	205	139
+	217	139
+	210	134
+	4	205	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	210	134
+	198	134
+	205	139
+	4	210	134	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	82	139
+	94	139
+	89	134
+	4	82	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	134
+	89	134
+	94	139
+	4	101	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	241	159
+	230	148
+	237	153
+	4	241	159	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	69	148
+	58	159
+	62	153
+	4	69	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	143
+	198	149
+	205	155
+	4	211	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	149
+	211	143
+	205	139
+	4	198	149	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	149
+	88	143
+	94	155
+	4	101	149	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	88	143
+	101	149
+	94	139
+	4	88	143	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	211	143
+	224	143
+	217	139
+	4	211	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	139
+	205	139
+	211	143
+	4	217	139	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	75	143
+	88	143
+	82	139
+	4	75	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	94	139
+	82	139
+	88	143
+	4	94	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	169	209
+	181	214
+	174	217
+	4	169	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	217
+	162	213
+	169	209
+	4	174	217	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	118	214
+	130	209
+	125	217
+	4	118	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	137	213
+	125	217
+	130	209
+	4	137	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	148
+	205	155
+	211	161
+	4	218	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	205	155
+	218	148
+	211	143
+	4	205	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	155
+	81	148
+	88	161
+	4	94	155	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	148
+	94	155
+	88	143
+	4	81	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	156	207
+	169	209
+	162	213
+	4	156	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	213
+	149	212
+	156	207
+	4	162	213	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	209
+	143	207
+	137	213
+	4	130	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	212
+	137	213
+	143	207
+	4	149	212	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	218	148
+	230	148
+	224	143
+	4	218	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	224	143
+	211	143
+	218	148
+	4	224	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	148
+	81	148
+	75	143
+	4	69	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	88	143
+	75	143
+	81	148
+	4	88	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	153
+	211	161
+	218	167
+	4	225	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	211	161
+	225	153
+	218	148
+	4	211	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	161
+	74	153
+	81	167
+	4	88	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	153
+	88	161
+	81	148
+	4	74	153	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	143	207
+	156	207
+	149	212
+	4	143	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	220
+	181	214
+	188	210
+	4	193	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	214
+	106	220
+	111	210
+	4	118	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	232	158
+	218	167
+	224	173
+	4	232	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	218	167
+	232	158
+	225	153
+	4	218	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	167
+	67	158
+	75	173
+	4	81	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	67	158
+	81	167
+	74	153
+	4	67	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	153
+	237	153
+	230	148
+	4	225	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	230	148
+	218	148
+	225	153
+	4	230	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	62	153
+	74	153
+	69	148
+	4	62	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	81	148
+	69	148
+	74	153
+	4	81	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	237	153
+	225	153
+	232	158
+	4	237	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	153
+	62	153
+	67	158
+	4	74	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	205
+	188	210
+	181	214
+	4	176	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	214
+	169	209
+	176	205
+	4	181	214	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	111	210
+	123	205
+	118	214
+	4	111	210	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	130	209
+	118	214
+	123	205
+	4	130	209	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	163	202
+	176	205
+	169	209
+	4	163	202	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	169	209
+	156	207
+	163	202
+	4	169	209	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	123	205
+	136	202
+	130	209
+	4	123	205	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	143	207
+	130	209
+	136	202
+	4	143	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	255
+	143	255
+	149	270
+	4	156	255	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	201
+	163	202
+	156	207
+	4	149	201	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	136	202
+	149	201
+	143	207
+	4	136	202	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	156	207
+	143	207
+	149	201
+	4	156	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	210
+	176	205
+	183	202
+	4	188	210	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	123	205
+	111	210
+	116	202
+	4	123	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	255
+	156	255
+	149	236
+	4	143	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	235
+	149	236
+	156	255
+	4	163	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	236
+	136	235
+	143	255
+	4	149	236	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	170	200
+	183	202
+	176	205
+	4	170	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	205
+	163	202
+	170	200
+	4	176	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	116	202
+	129	200
+	123	205
+	4	116	202	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	136	202
+	123	205
+	129	200
+	4	136	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	199
+	170	200
+	163	202
+	4	156	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	202
+	149	201
+	156	199
+	4	163	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	200
+	143	199
+	136	202
+	4	129	200	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	201
+	136	202
+	143	199
+	4	149	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	199
+	156	199
+	149	201
+	4	143	199	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	149	236
+	163	235
+	156	217
+	4	149	236	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	136	235
+	149	236
+	143	217
+	4	136	235	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	156	217
+	143	217
+	149	236
+	4	156	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	170	215
+	156	217
+	163	235
+	4	170	215	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	143	217
+	129	215
+	136	235
+	4	143	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	183	202
+	170	200
+	177	203
+	4	183	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	200
+	116	202
+	122	203
+	4	129	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	204
+	177	203
+	170	200
+	4	163	204	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	170	200
+	156	199
+	163	204
+	4	170	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	122	203
+	136	204
+	129	200
+	4	122	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	199
+	129	200
+	136	204
+	4	143	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	204
+	163	204
+	156	199
+	4	149	204	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	136	204
+	149	204
+	143	199
+	4	136	204	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	156	199
+	143	199
+	149	204
+	4	156	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	217
+	170	215
+	163	204
+	4	156	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	217
+	156	217
+	149	204
+	4	143	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	204
+	149	204
+	156	217
+	4	163	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	215
+	143	217
+	136	204
+	4	129	215	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	204
+	136	204
+	143	217
+	4	149	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	203
+	163	204
+	170	215
+	4	177	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	204
+	122	203
+	129	215
+	4	136	204	psFillPoly
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3doptcrd.ps b/books/ps/3doptcrd.ps
new file mode 100644
index 0000000..01d0b91
--- /dev/null
+++ b/books/ps/3doptcrd.ps
@@ -0,0 +1,16041 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	23	244	250	83	psDrawLine
+	globGC	(X)	18	249	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	277	244	49	83	psDrawLine
+	globGC	(Y)	282	249	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	20	150	251	psDrawLine
+	globGC	(Z)	155	15	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	128	153
+	148	164
+	147	151
+	4	128	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	164
+	147	151
+	3	128	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	165
+	147	151
+	148	164
+	4	165	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	148	164
+	3	165	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	151
+	165	165
+	166	152
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	165
+	166	152
+	3	147	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	151
+	126	140
+	128	153
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	140
+	128	153
+	3	147	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	140
+	147	151
+	147	138
+	4	126	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	147	138
+	3	126	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	152
+	147	138
+	147	151
+	4	166	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	138
+	147	151
+	3	166	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	166
+	148	177
+	148	164
+	4	131	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	177
+	148	164
+	3	131	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	178
+	148	164
+	148	177
+	4	162	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	164
+	148	177
+	3	162	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	164
+	162	178
+	165	165
+	4	148	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	178
+	165	165
+	3	148	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	164
+	128	153
+	131	166
+	4	148	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	153
+	131	166
+	3	148	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	138
+	166	152
+	168	139
+	4	147	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	152
+	168	139
+	3	147	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	138
+	124	127
+	126	140
+	4	147	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	126	140
+	3	147	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	127
+	147	138
+	147	125
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	138
+	147	125
+	3	124	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	139
+	147	125
+	147	138
+	4	168	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	125
+	147	138
+	3	168	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	169
+	166	152
+	165	165
+	4	181	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	152
+	165	165
+	3	181	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	152
+	181	169
+	185	156
+	4	166	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	169
+	185	156
+	3	166	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	156
+	168	139
+	166	152
+	4	185	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	139
+	166	152
+	3	185	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	181
+	165	165
+	162	178
+	4	176	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	165
+	162	178
+	3	176	181	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	165
+	176	181
+	181	169
+	4	165	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	181
+	181	169
+	3	165	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	158
+	131	166
+	128	153
+	4	110	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	166
+	128	153
+	3	110	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	153
+	106	145
+	110	158
+	4	128	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	145
+	110	158
+	3	128	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	145
+	128	153
+	126	140
+	4	106	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	153
+	126	140
+	3	106	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	170
+	134	179
+	131	166
+	4	115	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	179
+	131	166
+	3	115	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	177
+	131	166
+	134	179
+	4	148	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	166
+	134	179
+	3	148	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	166
+	110	158
+	115	170
+	4	131	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	158
+	115	170
+	3	131	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	179
+	148	190
+	148	177
+	4	134	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	190
+	148	177
+	3	134	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	191
+	148	177
+	148	190
+	4	160	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	177
+	148	190
+	3	160	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	177
+	160	191
+	162	178
+	4	148	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	191
+	162	178
+	3	148	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	139
+	185	156
+	189	144
+	4	168	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	156
+	189	144
+	3	168	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	125
+	168	139
+	170	126
+	4	147	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	139
+	170	126
+	3	147	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	144
+	170	126
+	168	139
+	4	189	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	126
+	168	139
+	3	189	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	194
+	162	178
+	160	191
+	4	172	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	178
+	160	191
+	3	172	194	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	178
+	172	194
+	176	181
+	4	162	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	194
+	176	181
+	3	162	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	140
+	102	133
+	106	145
+	4	126	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	133
+	106	145
+	3	126	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	133
+	126	140
+	124	127
+	4	102	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	140
+	124	127
+	3	102	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	183
+	136	191
+	134	179
+	4	120	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	191
+	134	179
+	3	120	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	190
+	134	179
+	136	191
+	4	148	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	179
+	136	191
+	3	148	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	179
+	115	170
+	120	183
+	4	134	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	170
+	120	183
+	3	134	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	125
+	122	114
+	124	127
+	4	147	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	114
+	124	127
+	3	147	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	114
+	147	125
+	147	112
+	4	122	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	125
+	147	112
+	3	122	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	126
+	147	112
+	147	125
+	4	170	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	112
+	147	125
+	3	170	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	187
+	181	169
+	176	181
+	4	189	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	169
+	176	181
+	3	189	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	169
+	189	187
+	196	176
+	4	181	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	187
+	196	176
+	3	181	169	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	176
+	185	156
+	181	169
+	4	196	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	156
+	181	169
+	3	196	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	126
+	189	144
+	192	131
+	4	170	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	144
+	192	131
+	3	170	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	112
+	170	126
+	171	113
+	4	147	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	126
+	171	113
+	3	147	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	131
+	171	113
+	170	126
+	4	192	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	113
+	170	126
+	3	192	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	156
+	196	176
+	202	164
+	4	185	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	176
+	202	164
+	3	185	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	164
+	189	144
+	185	156
+	4	202	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	144
+	185	156
+	3	202	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	191
+	149	203
+	148	190
+	4	136	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	203
+	148	190
+	3	136	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	203
+	148	190
+	149	203
+	4	158	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	190
+	149	203
+	3	158	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	190
+	158	203
+	160	191
+	4	148	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	203
+	160	191
+	3	148	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	127
+	99	120
+	102	133
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	120
+	102	133
+	3	124	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	120
+	124	127
+	122	114
+	4	99	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	122	114
+	3	99	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	198
+	176	181
+	172	194
+	4	182	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	181
+	172	194
+	3	182	198	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	181
+	182	198
+	189	187
+	4	176	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	198
+	189	187
+	3	176	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	206
+	160	191
+	158	203
+	4	166	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	191
+	158	203
+	3	166	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	191
+	166	206
+	172	194
+	4	160	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	206
+	172	194
+	3	160	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	178
+	120	183
+	115	170
+	4	100	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	183
+	115	170
+	3	100	178	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	115	170
+	94	166
+	100	178
+	4	115	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	166
+	100	178
+	3	115	170	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	94	166
+	115	170
+	110	158
+	4	94	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	170
+	110	158
+	3	94	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	195
+	140	204
+	136	191
+	4	125	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	204
+	136	191
+	3	125	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	203
+	136	191
+	140	204
+	4	149	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	191
+	140	204
+	3	149	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	191
+	120	183
+	125	195
+	4	136	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	183
+	125	195
+	3	136	191	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	110	158
+	88	154
+	94	166
+	4	110	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	154
+	94	166
+	3	110	158	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	88	154
+	110	158
+	106	145
+	4	88	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	158
+	106	145
+	3	88	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	144
+	202	164
+	207	152
+	4	189	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	164
+	207	152
+	3	189	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	152
+	192	131
+	189	144
+	4	207	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	131
+	189	144
+	3	207	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	189
+	125	195
+	120	183
+	4	108	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	195
+	120	183
+	3	108	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	183
+	100	178
+	108	189
+	4	120	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	178
+	108	189
+	3	120	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	112
+	121	102
+	122	114
+	4	147	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	122	114
+	3	147	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	102
+	147	112
+	147	99
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	112
+	147	99
+	3	121	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	113
+	147	99
+	147	112
+	4	171	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	99
+	147	112
+	3	171	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	145
+	83	142
+	88	154
+	4	106	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	142
+	88	154
+	3	106	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	142
+	106	145
+	102	133
+	4	83	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	145
+	102	133
+	3	83	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	209
+	172	194
+	166	206
+	4	174	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	194
+	166	206
+	3	174	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	194
+	174	209
+	182	198
+	4	172	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	209
+	182	198
+	3	172	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	113
+	192	131
+	195	119
+	4	171	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	131
+	195	119
+	3	171	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	99
+	171	113
+	172	101
+	4	147	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	113
+	172	101
+	3	147	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	119
+	172	101
+	171	113
+	4	195	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	101
+	171	113
+	3	195	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	200
+	131	206
+	125	195
+	4	115	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	125	195
+	3	115	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	204
+	125	195
+	131	206
+	4	140	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	195
+	131	206
+	3	140	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	195
+	108	189
+	115	200
+	4	125	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	189
+	115	200
+	3	125	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	131
+	207	152
+	212	139
+	4	192	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	152
+	212	139
+	3	192	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	139
+	195	119
+	192	131
+	4	212	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	119
+	192	131
+	3	212	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	114
+	97	108
+	99	120
+	4	122	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	108
+	99	120
+	3	122	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	108
+	122	114
+	121	102
+	4	97	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	114
+	121	102
+	3	97	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	204
+	149	215
+	149	203
+	4	140	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	215
+	149	203
+	3	140	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	216
+	149	203
+	149	215
+	4	155	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	203
+	149	215
+	3	155	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	203
+	155	216
+	158	203
+	4	149	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	216
+	158	203
+	3	149	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	217
+	158	203
+	155	216
+	4	161	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	203
+	155	216
+	3	161	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	203
+	161	217
+	166	206
+	4	158	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	217
+	166	206
+	3	158	203	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	200	195
+	196	176
+	189	187
+	4	200	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	176
+	189	187
+	3	200	195	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	196	176
+	200	195
+	209	185
+	4	196	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	195
+	209	185
+	3	196	176	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	185
+	202	164
+	196	176
+	4	209	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	164
+	196	176
+	3	209	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	206
+	143	216
+	140	204
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	216
+	140	204
+	3	131	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	215
+	140	204
+	143	216
+	4	149	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	204
+	143	216
+	3	149	215	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	205
+	189	187
+	182	198
+	4	191	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	187
+	182	198
+	3	191	205	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	187
+	191	205
+	200	195
+	4	189	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	205
+	200	195
+	3	189	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	133
+	78	130
+	83	142
+	4	102	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	130
+	83	142
+	3	102	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	130
+	102	133
+	99	120
+	4	78	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	133
+	99	120
+	3	78	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	164
+	209	185
+	217	174
+	4	202	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	185
+	217	174
+	3	202	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	174
+	207	152
+	202	164
+	4	217	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	152
+	202	164
+	3	217	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	220
+	166	206
+	161	217
+	4	166	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	206
+	161	217
+	3	166	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	206
+	166	220
+	174	209
+	4	166	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	220
+	174	209
+	3	166	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	187
+	108	189
+	100	178
+	4	88	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	189
+	100	178
+	3	88	187	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	100	178
+	80	177
+	88	187
+	4	100	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	177
+	88	187
+	3	100	178	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	80	177
+	100	178
+	94	166
+	4	80	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	178
+	94	166
+	3	80	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	197
+	115	200
+	108	189
+	4	97	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	200
+	108	189
+	3	97	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	189
+	88	187
+	97	197
+	4	108	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	187
+	97	197
+	3	108	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	214
+	182	198
+	174	209
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	198
+	174	209
+	3	181	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	198
+	181	214
+	191	205
+	4	182	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	191	205
+	3	182	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	99
+	120	90
+	121	102
+	4	147	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	90
+	121	102
+	3	147	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	90
+	147	99
+	146	87
+	4	120	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	99
+	146	87
+	3	120	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	101
+	146	87
+	147	99
+	4	172	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	87
+	147	99
+	3	172	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	210
+	137	218
+	131	206
+	4	123	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	218
+	131	206
+	3	123	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	216
+	131	206
+	137	218
+	4	143	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	137	218
+	3	143	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	206
+	115	200
+	123	210
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	200
+	123	210
+	3	131	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	94	166
+	72	166
+	80	177
+	4	94	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	166
+	80	177
+	3	94	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	166
+	94	166
+	88	154
+	4	72	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	166
+	88	154
+	3	72	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	207
+	123	210
+	115	200
+	4	107	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	210
+	115	200
+	3	107	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	200
+	97	197
+	107	207
+	4	115	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	197
+	107	207
+	3	115	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	119
+	212	139
+	217	127
+	4	195	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	139
+	217	127
+	3	195	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	101
+	195	119
+	197	106
+	4	172	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	119
+	197	106
+	3	172	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	127
+	197	106
+	195	119
+	4	217	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	106
+	195	119
+	3	217	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	152
+	217	174
+	224	163
+	4	207	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	174
+	224	163
+	3	207	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	163
+	212	139
+	207	152
+	4	224	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	139
+	207	152
+	3	224	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	87
+	172	101
+	173	89
+	4	146	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	101
+	173	89
+	3	146	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	106
+	173	89
+	172	101
+	4	197	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	89
+	172	101
+	3	197	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	102
+	94	96
+	97	108
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	96
+	97	108
+	3	121	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	96
+	121	102
+	120	90
+	4	94	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	120	90
+	3	94	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	223
+	174	209
+	166	220
+	4	171	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	209
+	166	220
+	3	171	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	209
+	171	223
+	181	214
+	4	174	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	223
+	181	214
+	3	174	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	120
+	74	118
+	78	130
+	4	99	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	118
+	78	130
+	3	99	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	118
+	99	120
+	97	108
+	4	74	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	120
+	97	108
+	3	74	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	216
+	149	227
+	149	215
+	4	143	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	227
+	149	215
+	3	143	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	227
+	149	215
+	149	227
+	4	153	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	215
+	149	227
+	3	153	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	215
+	153	227
+	155	216
+	4	149	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	227
+	155	216
+	3	149	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	228
+	155	216
+	153	227
+	4	156	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	216
+	153	227
+	3	156	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	216
+	156	228
+	161	217
+	4	155	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	228
+	161	217
+	3	155	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	154
+	65	155
+	72	166
+	4	88	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	155
+	72	166
+	3	88	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	155
+	88	154
+	83	142
+	4	65	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	154
+	83	142
+	3	65	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	218
+	146	227
+	143	216
+	4	137	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	227
+	143	216
+	3	137	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	227
+	143	216
+	146	227
+	4	149	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	216
+	146	227
+	3	149	227	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	216
+	132	220
+	123	210
+	4	117	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	220
+	123	210
+	3	117	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	218
+	123	210
+	132	220
+	4	137	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	210
+	132	220
+	3	137	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	210
+	107	207
+	117	216
+	4	123	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	207
+	117	216
+	3	123	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	229
+	161	217
+	156	228
+	4	158	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	217
+	156	228
+	3	158	229	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	217
+	158	229
+	166	220
+	4	161	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	229
+	166	220
+	3	161	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	139
+	224	163
+	230	151
+	4	212	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	163
+	230	151
+	3	212	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	151
+	217	127
+	212	139
+	4	230	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	127
+	212	139
+	3	230	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	198	213
+	200	195
+	191	205
+	4	198	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	195
+	191	205
+	3	198	213	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	200	195
+	198	213
+	209	205
+	4	200	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	213
+	209	205
+	3	200	195	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	205
+	209	185
+	200	195
+	4	209	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	185
+	200	195
+	3	209	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	220
+	143	228
+	137	218
+	4	132	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	228
+	137	218
+	3	132	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	227
+	137	218
+	143	228
+	4	146	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	218
+	143	228
+	3	146	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	220
+	191	205
+	181	214
+	4	186	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	205
+	181	214
+	3	186	220	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	205
+	186	220
+	198	213
+	4	191	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	220
+	198	213
+	3	191	205	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	185
+	209	205
+	219	196
+	4	209	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	205
+	219	196
+	3	209	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	196
+	217	174
+	209	185
+	4	219	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	174
+	209	185
+	3	219	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	87
+	119	78
+	120	90
+	4	146	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	78
+	120	90
+	3	146	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	78
+	146	87
+	146	76
+	4	119	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	87
+	146	76
+	3	119	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	89
+	146	76
+	146	87
+	4	173	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	76
+	146	87
+	3	173	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	106
+	217	127
+	220	115
+	4	197	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	127
+	220	115
+	3	197	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	89
+	197	106
+	199	94
+	4	173	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	106
+	199	94
+	3	173	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	115
+	199	94
+	197	106
+	4	220	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	94
+	197	106
+	3	220	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	231
+	166	220
+	158	229
+	4	161	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	220
+	158	229
+	3	161	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	220
+	161	231
+	171	223
+	4	166	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	231
+	171	223
+	3	166	220	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	227
+	181	214
+	171	223
+	4	174	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	171	223
+	3	174	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	181	214
+	174	227
+	186	220
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	227
+	186	220
+	3	181	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	215
+	117	216
+	107	207
+	4	101	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	216
+	107	207
+	3	101	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	207
+	89	207
+	101	215
+	4	107	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	207
+	101	215
+	3	107	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	207
+	107	207
+	97	197
+	4	89	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	207
+	97	197
+	3	89	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	197
+	79	199
+	89	207
+	4	97	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	199
+	89	207
+	3	97	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	199
+	97	197
+	88	187
+	4	79	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	197
+	88	187
+	3	79	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	142
+	59	143
+	65	155
+	4	83	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	143
+	65	155
+	3	83	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	143
+	83	142
+	78	130
+	4	59	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	142
+	78	130
+	3	59	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	224
+	141	230
+	132	220
+	4	128	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	230
+	132	220
+	3	128	224	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	228
+	132	220
+	141	230
+	4	143	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	220
+	141	230
+	3	143	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	220
+	117	216
+	128	224
+	4	132	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	216
+	128	224
+	3	132	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	76
+	173	89
+	174	77
+	4	146	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	89
+	174	77
+	3	146	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	94
+	174	77
+	173	89
+	4	199	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	77
+	173	89
+	3	199	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	217	174
+	219	196
+	228	186
+	4	217	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	196
+	228	186
+	3	217	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	186
+	224	163
+	217	174
+	4	228	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	163
+	217	174
+	3	228	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	222
+	128	224
+	117	216
+	4	112	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	224
+	117	216
+	3	112	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	216
+	101	215
+	112	222
+	4	117	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	215
+	112	222
+	3	117	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	187
+	69	190
+	79	199
+	4	88	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	190
+	79	199
+	3	88	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	190
+	88	187
+	80	177
+	4	69	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	187
+	80	177
+	3	69	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	108
+	71	106
+	74	118
+	4	97	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	106
+	74	118
+	3	97	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	106
+	97	108
+	94	96
+	4	71	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	108
+	94	96
+	3	71	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	90
+	93	85
+	94	96
+	4	120	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	85
+	94	96
+	3	120	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	85
+	120	90
+	119	78
+	4	93	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	90
+	119	78
+	3	93	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	127
+	230	151
+	236	140
+	4	217	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	151
+	236	140
+	3	217	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	140
+	220	115
+	217	127
+	4	236	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	115
+	217	127
+	3	236	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	233
+	171	223
+	161	231
+	4	162	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	223
+	161	231
+	3	162	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	223
+	162	233
+	174	227
+	4	171	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	233
+	174	227
+	3	171	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	227
+	150	238
+	149	227
+	4	146	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	149	227
+	3	146	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	149	227
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	227
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	227
+	150	238
+	153	227
+	4	149	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	153	227
+	3	149	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	153	227
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	227
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	227
+	150	238
+	156	228
+	4	153	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	156	228
+	3	153	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	228
+	150	238
+	146	227
+	4	143	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	146	227
+	3	143	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	146	227
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	227
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	228
+	139	232
+	128	224
+	4	124	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	232
+	128	224
+	3	124	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	230
+	128	224
+	139	232
+	4	141	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	224
+	139	232
+	3	141	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	224
+	112	222
+	124	228
+	4	128	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	222
+	124	228
+	3	128	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	177
+	60	180
+	69	190
+	4	80	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	180
+	69	190
+	3	80	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	60	180
+	80	177
+	72	166
+	4	60	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	177
+	72	166
+	3	60	180	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	156	228
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	228
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	228
+	150	238
+	158	229
+	4	156	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	158	229
+	3	156	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	230
+	150	238
+	143	228
+	4	141	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	143	228
+	3	141	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	143	228
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	228
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	163
+	228	186
+	237	176
+	4	224	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	186
+	237	176
+	3	224	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	176
+	230	151
+	224	163
+	4	237	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	151
+	224	163
+	3	237	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	158	229
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	229
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	229
+	150	238
+	161	231
+	4	158	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	161	231
+	3	158	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	177	232
+	186	220
+	174	227
+	4	177	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	220
+	174	227
+	3	177	232	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	220
+	177	232
+	190	227
+	4	186	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	232
+	190	227
+	3	186	220	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	227
+	198	213
+	186	220
+	4	190	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	213
+	186	220
+	3	190	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	198	213
+	190	227
+	202	222
+	4	198	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	227
+	202	222
+	3	198	213	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	222
+	209	205
+	198	213
+	4	202	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	205
+	198	213
+	3	202	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	130
+	55	132
+	59	143
+	4	78	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	132
+	59	143
+	3	78	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	132
+	78	130
+	74	118
+	4	55	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	130
+	74	118
+	3	55	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	232
+	150	238
+	141	230
+	4	139	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	141	230
+	3	139	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	141	230
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	230
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	236
+	174	227
+	162	233
+	4	163	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	227
+	162	233
+	3	163	236	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	227
+	163	236
+	177	232
+	4	174	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	236
+	177	232
+	3	174	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	205
+	202	222
+	214	216
+	4	209	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	222
+	214	216
+	3	209	205	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	214	216
+	219	196
+	209	205
+	4	214	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	196
+	209	205
+	3	214	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	94
+	220	115
+	223	104
+	4	199	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	115
+	223	104
+	3	199	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	77
+	199	94
+	200	83
+	4	174	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	94
+	200	83
+	3	174	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	104
+	200	83
+	199	94
+	4	223	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	83
+	199	94
+	3	223	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	229
+	124	228
+	112	222
+	4	109	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	228
+	112	222
+	3	109	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	222
+	97	224
+	109	229
+	4	112	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	224
+	109	229
+	3	112	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	224
+	112	222
+	101	215
+	4	97	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	222
+	101	215
+	3	97	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	161	231
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	231
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	231
+	150	238
+	162	233
+	4	161	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	162	233
+	3	161	231	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	234
+	150	238
+	139	232
+	4	137	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	139	232
+	3	137	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	139	232
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	232
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	232
+	124	228
+	137	234
+	4	139	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	228
+	137	234
+	3	139	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	215
+	84	218
+	97	224
+	4	101	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	218
+	97	224
+	3	101	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	218
+	101	215
+	89	207
+	4	84	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	215
+	89	207
+	3	84	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	233
+	137	234
+	124	228
+	4	123	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	234
+	124	228
+	3	123	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	228
+	109	229
+	123	233
+	4	124	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	229
+	123	233
+	3	124	228	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	166
+	52	170
+	60	180
+	4	72	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	170
+	60	180
+	3	72	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	52	170
+	72	166
+	65	155
+	4	52	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	166
+	65	155
+	3	52	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	76
+	119	67
+	119	78
+	4	146	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	67
+	119	78
+	3	146	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	67
+	146	76
+	146	65
+	4	119	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	76
+	146	65
+	3	119	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	77
+	146	65
+	146	76
+	4	174	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	65
+	146	76
+	3	174	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	162	233
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	233
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	233
+	150	238
+	163	236
+	4	162	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	163	236
+	3	162	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	96
+	69	95
+	71	106
+	4	94	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	95
+	71	106
+	3	94	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	95
+	94	96
+	93	85
+	4	69	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	96
+	93	85
+	3	69	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	207
+	73	212
+	84	218
+	4	89	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	212
+	84	218
+	3	89	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	212
+	89	207
+	79	199
+	4	73	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	207
+	79	199
+	3	73	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	115
+	236	140
+	240	128
+	4	220	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	140
+	240	128
+	3	220	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	240	128
+	223	104
+	220	115
+	4	240	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	104
+	220	115
+	3	240	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	219	196
+	214	216
+	226	208
+	4	219	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	216
+	226	208
+	3	219	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	208
+	228	186
+	219	196
+	4	226	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	186
+	219	196
+	3	226	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	151
+	237	176
+	245	166
+	4	230	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	176
+	245	166
+	3	230	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	166
+	236	140
+	230	151
+	4	245	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	140
+	230	151
+	3	245	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	236
+	150	238
+	137	234
+	4	136	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	137	234
+	3	136	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	137	234
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	234
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	234
+	123	233
+	136	236
+	4	137	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	233
+	136	236
+	3	137	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	65
+	174	77
+	174	66
+	4	146	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	77
+	174	66
+	3	146	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	83
+	174	66
+	174	77
+	4	200	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	66
+	174	77
+	3	200	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	78
+	92	74
+	93	85
+	4	119	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	74
+	93	85
+	3	119	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	74
+	119	78
+	119	67
+	4	92	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	78
+	119	67
+	3	92	74	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	238
+	177	232
+	163	236
+	4	164	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	232
+	163	236
+	3	164	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	232
+	164	238
+	177	237
+	4	177	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	238
+	177	237
+	3	177	232	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	177	237
+	190	227
+	177	232
+	4	177	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	227
+	177	232
+	3	177	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	163	236
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	236
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	236
+	150	238
+	164	238
+	4	163	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	164	238
+	3	163	236	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	239
+	150	238
+	136	236
+	4	136	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	136	236
+	3	136	239	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	136	236
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	236
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	236
+	122	238
+	136	239
+	4	136	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	238
+	136	239
+	3	136	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	238
+	136	236
+	123	233
+	4	122	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	236
+	123	233
+	3	122	238	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	227
+	177	237
+	191	235
+	4	190	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	237
+	191	235
+	3	190	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	235
+	202	222
+	190	227
+	4	191	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	222
+	190	227
+	3	191	235	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	233
+	109	237
+	122	238
+	4	123	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	237
+	122	238
+	3	123	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	237
+	123	233
+	109	229
+	4	109	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	233
+	109	229
+	3	109	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	199
+	62	204
+	73	212
+	4	79	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	204
+	73	212
+	3	79	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	204
+	79	199
+	69	190
+	4	62	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	199
+	69	190
+	3	62	204	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	118
+	51	120
+	55	132
+	4	74	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	120
+	55	132
+	3	74	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	51	120
+	74	118
+	71	106
+	4	51	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	118
+	71	106
+	3	51	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	140	246
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	246
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	246
+	150	238
+	138	244
+	4	140	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	138	244
+	3	140	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	138	244
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	244
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	244
+	150	238
+	137	241
+	4	138	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	137	241
+	3	138	244	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	137	241
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	241
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	241
+	150	238
+	136	239
+	4	137	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	136	239
+	3	137	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	136	239
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	239
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	164	238
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	238
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	238
+	150	238
+	163	241
+	4	164	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	163	241
+	3	164	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	163	241
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	241
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	241
+	150	238
+	162	243
+	4	163	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	162	243
+	3	163	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	162	243
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	243
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	243
+	150	238
+	160	245
+	4	162	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	160	245
+	3	162	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	160	245
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	245
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	245
+	150	238
+	158	247
+	4	160	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	158	247
+	3	160	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	158	247
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	247
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	247
+	150	238
+	155	248
+	4	158	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	155	248
+	3	158	247	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	155	248
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	248
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	248
+	150	238
+	152	249
+	4	155	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	152	249
+	3	155	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	152	249
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	249
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	249
+	150	238
+	149	249
+	4	152	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	149	249
+	3	152	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	149	249
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	249
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	249
+	150	238
+	145	248
+	4	149	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	145	248
+	3	149	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	145	248
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	248
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	248
+	150	238
+	142	247
+	4	145	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	142	247
+	3	145	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	238
+	142	247
+	150	238
+	4	150	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	247
+	150	238
+	3	150	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	247
+	150	238
+	140	246
+	4	142	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	238
+	140	246
+	3	142	247	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	155
+	45	159
+	52	170
+	4	65	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	159
+	52	170
+	3	65	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	159
+	65	155
+	59	143
+	4	45	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	155
+	59	143
+	3	45	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	186
+	226	208
+	236	201
+	4	228	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	208
+	236	201
+	3	228	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	236	201
+	237	176
+	228	186
+	4	236	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	176
+	228	186
+	3	236	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	241
+	177	237
+	164	238
+	4	163	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	237
+	164	238
+	3	163	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	229
+	96	234
+	109	237
+	4	109	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	234
+	109	237
+	3	109	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	234
+	109	229
+	97	224
+	4	96	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	229
+	97	224
+	3	96	234	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	222
+	191	235
+	204	232
+	4	202	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	235
+	204	232
+	3	202	222	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	204	232
+	214	216
+	202	222
+	4	204	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	216
+	202	222
+	3	204	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	239
+	123	243
+	137	241
+	4	136	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	243
+	137	241
+	3	136	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	243
+	136	239
+	122	238
+	4	123	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	239
+	122	238
+	3	123	243	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	237
+	163	241
+	177	242
+	4	177	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	241
+	177	242
+	3	177	237	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	177	242
+	191	235
+	177	237
+	4	177	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	235
+	177	237
+	3	177	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	140
+	245	166
+	251	155
+	4	236	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	166
+	251	155
+	3	236	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	155
+	240	128
+	236	140
+	4	251	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	128
+	236	140
+	3	251	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	243
+	177	242
+	163	241
+	4	162	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	242
+	163	241
+	3	162	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	83
+	223	104
+	225	92
+	4	200	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	104
+	225	92
+	3	200	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	66
+	200	83
+	201	72
+	4	174	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	83
+	201	72
+	3	174	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	92
+	201	72
+	200	83
+	4	225	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	72
+	200	83
+	3	225	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	224
+	83	231
+	96	234
+	4	97	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	231
+	96	234
+	3	97	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	231
+	97	224
+	84	218
+	4	83	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	224
+	84	218
+	3	83	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	241
+	126	248
+	138	244
+	4	137	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	248
+	138	244
+	3	137	241	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	248
+	137	241
+	123	243
+	4	126	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	241
+	123	243
+	3	126	248	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	190
+	52	196
+	62	204
+	4	69	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	196
+	62	204
+	3	69	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	52	196
+	69	190
+	60	180
+	4	52	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	190
+	60	180
+	3	52	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	238
+	110	244
+	123	243
+	4	122	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	244
+	123	243
+	3	122	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	244
+	122	238
+	109	237
+	4	110	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	238
+	109	237
+	3	110	244	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	214	216
+	204	232
+	217	227
+	4	214	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	232
+	217	227
+	3	214	216	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	227
+	226	208
+	214	216
+	4	217	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	208
+	214	216
+	3	217	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	104
+	240	128
+	244	116
+	4	223	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	128
+	244	116
+	3	223	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	244	116
+	225	92
+	223	104
+	4	244	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	92
+	223	104
+	3	244	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	65
+	119	57
+	119	67
+	4	146	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	57
+	119	67
+	3	146	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	57
+	146	65
+	146	54
+	4	119	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	65
+	146	54
+	3	119	57	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	66
+	146	54
+	146	65
+	4	174	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	54
+	146	65
+	3	174	66	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	242
+	162	243
+	174	247
+	4	177	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	243
+	174	247
+	3	177	242	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	245
+	174	247
+	162	243
+	4	160	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	247
+	162	243
+	3	160	245	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	85
+	68	84
+	69	95
+	4	93	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	84
+	69	95
+	3	93	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	84
+	93	85
+	92	74
+	4	68	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	85
+	92	74
+	3	68	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	176
+	236	201
+	246	192
+	4	237	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	201
+	246	192
+	3	237	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	192
+	245	166
+	237	176
+	4	246	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	166
+	237	176
+	3	246	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	244
+	130	252
+	140	246
+	4	138	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	252
+	140	246
+	3	138	244	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	252
+	138	244
+	126	248
+	4	130	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	244
+	126	248
+	3	130	252	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	235
+	177	242
+	190	242
+	4	191	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	242
+	190	242
+	3	191	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	242
+	204	232
+	191	235
+	4	190	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	232
+	191	235
+	3	190	242	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	143
+	39	148
+	45	159
+	4	59	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	148
+	45	159
+	3	59	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	39	148
+	59	143
+	55	132
+	4	39	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	143
+	55	132
+	3	39	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	54
+	174	66
+	174	56
+	4	146	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	66
+	174	56
+	3	146	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	72
+	174	56
+	174	66
+	4	201	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	56
+	174	66
+	3	201	72	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	247
+	160	245
+	171	251
+	4	174	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	245
+	171	251
+	3	174	247	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	247
+	171	251
+	160	245
+	4	158	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	251
+	160	245
+	3	158	247	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	218
+	71	226
+	83	231
+	4	84	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	226
+	83	231
+	3	84	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	226
+	84	218
+	73	212
+	4	71	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	218
+	73	212
+	3	71	226	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	247
+	190	242
+	177	242
+	4	174	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	242
+	177	242
+	3	174	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	246
+	135	255
+	142	247
+	4	140	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	255
+	142	247
+	3	140	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	255
+	140	246
+	130	252
+	4	135	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	246
+	130	252
+	3	135	255	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	237
+	98	244
+	110	244
+	4	109	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	244
+	110	244
+	3	109	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	244
+	109	237
+	96	234
+	4	98	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	237
+	96	234
+	3	98	244	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	106
+	48	109
+	51	120
+	4	71	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	109
+	51	120
+	3	71	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	109
+	71	106
+	69	95
+	4	48	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	106
+	69	95
+	3	48	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	67
+	92	63
+	92	74
+	4	119	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	63
+	92	74
+	3	119	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	63
+	119	67
+	119	57
+	4	92	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	67
+	119	57
+	3	92	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	243
+	114	251
+	126	248
+	4	123	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	251
+	126	248
+	3	123	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	251
+	123	243
+	110	244
+	4	114	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	243
+	110	244
+	3	114	251	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	251
+	158	247
+	166	255
+	4	171	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	247
+	166	255
+	3	171	251	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	248
+	166	255
+	158	247
+	4	155	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	255
+	158	247
+	3	155	248	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	226	208
+	217	227
+	229	222
+	4	226	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	227
+	229	222
+	3	226	208	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	222
+	236	201
+	226	208
+	4	229	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	201
+	226	208
+	3	229	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	247
+	141	258
+	145	248
+	4	142	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	258
+	145	248
+	3	142	247	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	258
+	142	247
+	135	255
+	4	141	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	247
+	135	255
+	3	141	258	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	60	180
+	43	187
+	52	196
+	4	60	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	187
+	52	196
+	3	60	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	43	187
+	60	180
+	52	170
+	4	43	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	180
+	52	170
+	3	43	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	255
+	155	248
+	160	257
+	4	166	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	248
+	160	257
+	3	166	255	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	249
+	160	257
+	155	248
+	4	152	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	257
+	155	248
+	3	152	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	248
+	147	259
+	149	249
+	4	145	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	259
+	149	249
+	3	145	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	259
+	145	248
+	141	258
+	4	147	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	248
+	141	258
+	3	147	259	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	240	128
+	251	155
+	257	144
+	4	240	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	155
+	257	144
+	3	240	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	144
+	244	116
+	240	128
+	4	257	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	116
+	240	128
+	3	257	144	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	204	232
+	190	242
+	203	242
+	4	204	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	242
+	203	242
+	3	204	232	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	203	242
+	217	227
+	204	232
+	4	203	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	227
+	204	232
+	3	203	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	257
+	152	249
+	154	259
+	4	160	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	249
+	154	259
+	3	160	257	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	249
+	154	259
+	152	249
+	4	149	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	259
+	152	249
+	3	149	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	259
+	149	249
+	147	259
+	4	154	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	249
+	147	259
+	3	154	259	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	166
+	246	192
+	255	183
+	4	245	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	192
+	255	183
+	3	245	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	183
+	251	155
+	245	166
+	4	255	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	155
+	245	166
+	3	255	183	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	242
+	174	247
+	187	250
+	4	190	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	247
+	187	250
+	3	190	242	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	251
+	187	250
+	174	247
+	4	171	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	250
+	174	247
+	3	171	251	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	212
+	59	220
+	71	226
+	4	73	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	220
+	71	226
+	3	73	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	220
+	73	212
+	62	204
+	4	59	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	212
+	62	204
+	3	59	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	234
+	85	243
+	98	244
+	4	96	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	243
+	98	244
+	3	96	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	243
+	96	234
+	83	231
+	4	85	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	234
+	83	231
+	3	85	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	248
+	120	257
+	130	252
+	4	126	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	257
+	130	252
+	3	126	248	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	257
+	126	248
+	114	251
+	4	120	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	248
+	114	251
+	3	120	257	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	187	250
+	203	242
+	190	242
+	4	187	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	242
+	190	242
+	3	187	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	72
+	225	92
+	226	81
+	4	201	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	92
+	226	81
+	3	201	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	56
+	201	72
+	201	61
+	4	174	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	72
+	201	61
+	3	174	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	81
+	201	61
+	201	72
+	4	226	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	61
+	201	72
+	3	226	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	92
+	244	116
+	247	105
+	4	225	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	116
+	247	105
+	3	225	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	105
+	226	81
+	225	92
+	4	247	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	81
+	225	92
+	3	247	105	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	55	132
+	34	137
+	39	148
+	4	55	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	137
+	39	148
+	3	55	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	34	137
+	55	132
+	51	120
+	4	34	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	132
+	51	120
+	3	34	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	201
+	229	222
+	240	216
+	4	236	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	222
+	240	216
+	3	236	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	216
+	246	192
+	236	201
+	4	240	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	192
+	236	201
+	3	240	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	244
+	102	253
+	114	251
+	4	110	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	253
+	114	251
+	3	110	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	253
+	110	244
+	98	244
+	4	102	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	244
+	98	244
+	3	102	253	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	74
+	67	73
+	68	84
+	4	92	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	73
+	68	84
+	3	92	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	73
+	92	74
+	92	63
+	4	67	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	74
+	92	63
+	3	67	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	52	170
+	35	178
+	43	187
+	4	52	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	178
+	43	187
+	3	52	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	35	178
+	52	170
+	45	159
+	4	35	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	170
+	45	159
+	3	35	178	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	250
+	171	251
+	181	256
+	4	187	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	251
+	181	256
+	3	187	250	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	255
+	181	256
+	171	251
+	4	166	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	256
+	171	251
+	3	166	255	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	217	227
+	203	242
+	215	240
+	4	217	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	242
+	215	240
+	3	217	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	240
+	229	222
+	217	227
+	4	215	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	222
+	217	227
+	3	215	240	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	54
+	119	47
+	119	57
+	4	146	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	47
+	119	57
+	3	146	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	47
+	146	54
+	146	45
+	4	119	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	54
+	146	45
+	3	119	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	56
+	146	45
+	146	54
+	4	174	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	45
+	146	54
+	3	174	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	252
+	127	262
+	135	255
+	4	130	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	262
+	135	255
+	3	130	252	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	262
+	130	252
+	120	257
+	4	127	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	252
+	120	257
+	3	127	262	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	95
+	46	98
+	48	109
+	4	69	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	98
+	48	109
+	3	69	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	98
+	69	95
+	68	84
+	4	46	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	95
+	68	84
+	3	46	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	204
+	49	214
+	59	220
+	4	62	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	214
+	59	220
+	3	62	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	214
+	62	204
+	52	196
+	4	49	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	204
+	52	196
+	3	49	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	45
+	174	56
+	174	47
+	4	146	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	56
+	174	47
+	3	146	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	61
+	174	47
+	174	56
+	4	201	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	47
+	174	56
+	3	201	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	231
+	73	240
+	85	243
+	4	83	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	240
+	85	243
+	3	83	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	240
+	83	231
+	71	226
+	4	73	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	231
+	71	226
+	3	73	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	244	116
+	257	144
+	262	133
+	4	244	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	144
+	262	133
+	3	244	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	133
+	247	105
+	244	116
+	4	262	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	105
+	244	116
+	3	262	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	256
+	166	255
+	174	261
+	4	181	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	255
+	174	261
+	3	181	256	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	257
+	174	261
+	166	255
+	4	160	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	261
+	166	255
+	3	160	257	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	155
+	255	183
+	263	173
+	4	251	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	183
+	263	173
+	3	251	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	173
+	257	144
+	251	155
+	4	263	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	144
+	251	155
+	3	263	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	57
+	93	54
+	92	63
+	4	119	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	54
+	92	63
+	3	119	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	54
+	119	57
+	119	47
+	4	93	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	57
+	119	47
+	3	93	54	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	203	242
+	187	250
+	199	251
+	4	203	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	250
+	199	251
+	3	203	242	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	199	251
+	215	240
+	203	242
+	4	199	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	240
+	203	242
+	3	199	251	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	181	256
+	199	251
+	187	250
+	4	181	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	251
+	187	250
+	3	181	256	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	255
+	136	266
+	141	258
+	4	135	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	266
+	141	258
+	3	135	255	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	266
+	135	255
+	127	262
+	4	136	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	255
+	127	262
+	3	136	266	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	251
+	110	262
+	120	257
+	4	114	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	262
+	120	257
+	3	114	251	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	262
+	114	251
+	102	253
+	4	110	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	251
+	102	253
+	3	110	262	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	246	192
+	240	216
+	250	209
+	4	246	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	216
+	250	209
+	3	246	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	209
+	255	183
+	246	192
+	4	250	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	183
+	246	192
+	3	250	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	261
+	160	257
+	166	265
+	4	174	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	257
+	166	265
+	3	174	261	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	259
+	166	265
+	160	257
+	4	154	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	265
+	160	257
+	3	154	259	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	258
+	146	268
+	147	259
+	4	141	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	268
+	147	259
+	3	141	258	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	268
+	141	258
+	136	266
+	4	146	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	258
+	136	266
+	3	146	268	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	244
+	91	254
+	102	253
+	4	98	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	254
+	102	253
+	3	98	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	254
+	98	244
+	85	243
+	4	91	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	244
+	85	243
+	3	91	254	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	229	222
+	215	240
+	227	237
+	4	229	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	240
+	227	237
+	3	229	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	227	237
+	240	216
+	229	222
+	4	227	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	216
+	229	222
+	3	227	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	265
+	154	259
+	156	267
+	4	166	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	259
+	156	267
+	3	166	265	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	259
+	156	267
+	154	259
+	4	147	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	267
+	154	259
+	3	147	259	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	267
+	147	259
+	146	268
+	4	156	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	259
+	146	268
+	3	156	267	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	120
+	31	126
+	34	137
+	4	51	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	126
+	34	137
+	3	51	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	31	126
+	51	120
+	48	109
+	4	31	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	120
+	48	109
+	3	31	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	159
+	28	168
+	35	178
+	4	45	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	168
+	35	178
+	3	45	159	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	28	168
+	45	159
+	39	148
+	4	28	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	159
+	39	148
+	3	28	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	81
+	247	105
+	248	94
+	4	226	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	105
+	248	94
+	3	226	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	61
+	226	81
+	226	70
+	4	201	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	81
+	226	70
+	3	201	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	94
+	226	70
+	226	81
+	4	248	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	70
+	226	81
+	3	248	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	47
+	201	61
+	201	52
+	4	174	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	61
+	201	52
+	3	174	47	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	70
+	201	52
+	201	61
+	4	226	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	52
+	201	61
+	3	226	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	52	196
+	39	206
+	49	214
+	4	52	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	206
+	49	214
+	3	52	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	206
+	52	196
+	43	187
+	4	39	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	196
+	43	187
+	3	39	206	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	199	251
+	181	256
+	192	260
+	4	199	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	256
+	192	260
+	3	199	251	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	261
+	192	260
+	181	256
+	4	174	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	260
+	181	256
+	3	174	261	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	226
+	62	237
+	73	240
+	4	71	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	237
+	73	240
+	3	71	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	237
+	71	226
+	59	220
+	4	62	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	226
+	59	220
+	3	62	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	257
+	120	268
+	127	262
+	4	120	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	268
+	127	262
+	3	120	257	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	268
+	120	257
+	110	262
+	4	120	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	257
+	110	262
+	3	120	268	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	240
+	199	251
+	211	252
+	4	215	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	251
+	211	252
+	3	215	240	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	211	252
+	227	237
+	215	240
+	4	211	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	237
+	215	240
+	3	211	252	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	63
+	68	63
+	67	73
+	4	92	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	63
+	67	73
+	3	92	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	63
+	92	63
+	93	54
+	4	68	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	63
+	93	54
+	3	68	63	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	144
+	263	173
+	269	163
+	4	257	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	173
+	269	163
+	3	257	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	269	163
+	262	133
+	257	144
+	4	269	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	133
+	257	144
+	3	269	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	84
+	46	87
+	46	98
+	4	68	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	87
+	46	98
+	3	68	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	87
+	68	84
+	67	73
+	4	46	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	84
+	67	73
+	3	46	87	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	260
+	211	252
+	199	251
+	4	192	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	252
+	199	251
+	3	192	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	105
+	262	133
+	265	122
+	4	247	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	133
+	265	122
+	3	247	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	122
+	248	94
+	247	105
+	4	265	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	94
+	247	105
+	3	265	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	255	183
+	250	209
+	260	201
+	4	255	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	209
+	260	201
+	3	255	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	201
+	263	173
+	255	183
+	4	260	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	173
+	255	183
+	3	260	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	45
+	120	39
+	119	47
+	4	146	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	39
+	119	47
+	3	146	45	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	39
+	146	45
+	146	37
+	4	120	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	45
+	146	37
+	3	120	39	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	47
+	146	37
+	146	45
+	4	174	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	37
+	146	45
+	3	174	47	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	240	216
+	227	237
+	239	233
+	4	240	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	237
+	239	233
+	3	240	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	239	233
+	250	209
+	240	216
+	4	239	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	209
+	240	216
+	3	239	233	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	243
+	80	254
+	91	254
+	4	85	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	254
+	91	254
+	3	85	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	254
+	85	243
+	73	240
+	4	80	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	243
+	73	240
+	3	80	254	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	192	260
+	174	261
+	182	267
+	4	192	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	261
+	182	267
+	3	192	260	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	265
+	182	267
+	174	261
+	4	166	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	267
+	174	261
+	3	166	265	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	253
+	100	265
+	110	262
+	4	102	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	265
+	110	262
+	3	102	253	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	265
+	102	253
+	91	254
+	4	100	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	253
+	91	254
+	3	100	265	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	37
+	174	47
+	173	38
+	4	146	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	47
+	173	38
+	3	146	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	52
+	173	38
+	174	47
+	4	201	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	38
+	174	47
+	3	201	52	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	262
+	132	273
+	136	266
+	4	127	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	273
+	136	266
+	3	127	262	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	273
+	127	262
+	120	268
+	4	132	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	262
+	120	268
+	3	132	273	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	39	148
+	23	157
+	28	168
+	4	39	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	157
+	28	168
+	3	39	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	23	157
+	39	148
+	34	137
+	4	23	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	148
+	34	137
+	3	23	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	47
+	94	45
+	93	54
+	4	119	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	45
+	93	54
+	3	119	47	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	45
+	119	47
+	120	39
+	4	94	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	47
+	120	39
+	3	94	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	109
+	29	115
+	31	126
+	4	48	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	115
+	31	126
+	3	48	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	29	115
+	48	109
+	46	98
+	4	29	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	109
+	46	98
+	3	29	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	43	187
+	31	198
+	39	206
+	4	43	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	198
+	39	206
+	3	43	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	31	198
+	43	187
+	35	178
+	4	31	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	187
+	35	178
+	3	31	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	220
+	51	232
+	62	237
+	4	59	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	232
+	62	237
+	3	59	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	232
+	59	220
+	49	214
+	4	51	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	220
+	49	214
+	3	51	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	267
+	166	265
+	171	272
+	4	182	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	265
+	171	272
+	3	182	267	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	267
+	171	272
+	166	265
+	4	156	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	272
+	166	265
+	3	156	267	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	266
+	145	275
+	146	268
+	4	136	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	275
+	146	268
+	3	136	266	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	275
+	136	266
+	132	273
+	4	145	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	266
+	132	273
+	3	145	275	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	272
+	156	267
+	158	275
+	4	171	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	267
+	158	275
+	3	171	272	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	268
+	158	275
+	156	267
+	4	146	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	275
+	156	267
+	3	146	268	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	227	237
+	211	252
+	222	251
+	4	227	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	252
+	222	251
+	3	227	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	251
+	239	233
+	227	237
+	4	222	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	233
+	227	237
+	3	222	251	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	275
+	146	268
+	145	275
+	4	158	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	268
+	145	275
+	3	158	275	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	70
+	248	94
+	249	83
+	4	226	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	94
+	249	83
+	3	226	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	52
+	226	70
+	225	61
+	4	201	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	70
+	225	61
+	3	201	52	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	83
+	225	61
+	226	70
+	4	249	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	61
+	226	70
+	3	249	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	211	252
+	192	260
+	202	262
+	4	211	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	260
+	202	262
+	3	211	252	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	267
+	202	262
+	192	260
+	4	182	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	262
+	192	260
+	3	182	267	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	133
+	269	163
+	274	152
+	4	262	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	163
+	274	152
+	3	262	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	274	152
+	265	122
+	262	133
+	4	274	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	122
+	262	133
+	3	274	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	173
+	260	201
+	268	193
+	4	263	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	201
+	268	193
+	3	263	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	193
+	269	163
+	263	173
+	4	268	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	163
+	263	173
+	3	268	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	38
+	201	52
+	199	43
+	4	173	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	52
+	199	43
+	3	173	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	61
+	199	43
+	201	52
+	4	225	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	43
+	201	52
+	3	225	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	262
+	113	273
+	120	268
+	4	110	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	273
+	120	268
+	3	110	262	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	273
+	110	262
+	100	265
+	4	113	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	262
+	100	265
+	3	113	273	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	262
+	222	251
+	211	252
+	4	202	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	251
+	211	252
+	3	202	262	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	209
+	239	233
+	249	227
+	4	250	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	233
+	249	227
+	3	250	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	227
+	260	201
+	250	209
+	4	249	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	201
+	250	209
+	3	249	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	240
+	69	253
+	80	254
+	4	73	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	253
+	80	254
+	3	73	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	253
+	73	240
+	62	237
+	4	69	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	240
+	62	237
+	3	69	253	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	73
+	47	77
+	46	87
+	4	67	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	77
+	46	87
+	3	67	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	77
+	67	73
+	68	63
+	4	47	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	73
+	68	63
+	3	47	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	94
+	265	122
+	267	110
+	4	248	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	122
+	267	110
+	3	248	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	110
+	249	83
+	248	94
+	4	267	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	83
+	248	94
+	3	267	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	54
+	70	54
+	68	63
+	4	93	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	54
+	68	63
+	3	93	54	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	54
+	93	54
+	94	45
+	4	70	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	54
+	94	45
+	3	70	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	254
+	91	266
+	100	265
+	4	91	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	266
+	100	265
+	3	91	254	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	266
+	91	254
+	80	254
+	4	91	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	254
+	80	254
+	3	91	266	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	34	137
+	19	146
+	23	157
+	4	34	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	146
+	23	157
+	3	34	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	19	146
+	34	137
+	31	126
+	4	19	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	137
+	31	126
+	3	19	146	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	35	178
+	24	189
+	31	198
+	4	35	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	189
+	31	198
+	3	35	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	24	189
+	35	178
+	28	168
+	4	24	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	178
+	28	168
+	3	24	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	214
+	42	226
+	51	232
+	4	49	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	226
+	51	232
+	3	49	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	226
+	49	214
+	39	206
+	4	42	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	214
+	39	206
+	3	42	226	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	262
+	182	267
+	190	271
+	4	202	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	267
+	190	271
+	3	202	262	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	272
+	190	271
+	182	267
+	4	171	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	271
+	182	267
+	3	171	272	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	37
+	121	32
+	120	39
+	4	146	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	32
+	120	39
+	3	146	37	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	121	32
+	146	37
+	147	30
+	4	121	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	37
+	147	30
+	3	121	32	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	38
+	147	30
+	146	37
+	4	173	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	30
+	146	37
+	3	173	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	98
+	29	104
+	29	115
+	4	46	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	104
+	29	115
+	3	46	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	29	104
+	46	98
+	46	87
+	4	29	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	98
+	46	87
+	3	29	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	268
+	127	279
+	132	273
+	4	120	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	279
+	132	273
+	3	120	268	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	279
+	120	268
+	113	273
+	4	127	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	268
+	113	273
+	3	127	279	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	30
+	173	38
+	172	31
+	4	147	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	38
+	172	31
+	3	147	30	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	43
+	172	31
+	173	38
+	4	199	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	31
+	173	38
+	3	199	43	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	233
+	222	251
+	233	249
+	4	239	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	251
+	233	249
+	3	239	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	233	249
+	249	227
+	239	233
+	4	233	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	227
+	239	233
+	3	233	249	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	120	39
+	96	37
+	94	45
+	4	120	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	37
+	94	45
+	3	120	39	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	96	37
+	120	39
+	121	32
+	4	96	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	39
+	121	32
+	3	96	37	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	269	163
+	268	193
+	275	183
+	4	269	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	193
+	275	183
+	3	269	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	275	183
+	274	152
+	269	163
+	4	275	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	152
+	269	163
+	3	275	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	122
+	274	152
+	278	141
+	4	265	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	152
+	278	141
+	3	265	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	141
+	267	110
+	265	122
+	4	278	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	110
+	265	122
+	3	278	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	271
+	171	272
+	176	278
+	4	190	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	272
+	176	278
+	3	190	271	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	275
+	176	278
+	171	272
+	4	158	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	278
+	171	272
+	3	158	275	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	260	201
+	249	227
+	259	221
+	4	260	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	227
+	259	221
+	3	260	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	221
+	268	193
+	260	201
+	4	259	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	193
+	260	201
+	3	259	221	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	222	251
+	202	262
+	212	264
+	4	222	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	262
+	212	264
+	3	222	251	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	271
+	212	264
+	202	262
+	4	190	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	264
+	202	262
+	3	190	271	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	273
+	144	282
+	145	275
+	4	132	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	282
+	145	275
+	3	132	273	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	282
+	132	273
+	127	279
+	4	144	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	273
+	127	279
+	3	144	282	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	61
+	249	83
+	248	73
+	4	225	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	83
+	248	73
+	3	225	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	43
+	225	61
+	224	52
+	4	199	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	61
+	224	52
+	3	199	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	73
+	224	52
+	225	61
+	4	248	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	52
+	225	61
+	3	248	73	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	264
+	233	249
+	222	251
+	4	212	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	249
+	222	251
+	3	212	264	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	237
+	59	250
+	69	253
+	4	62	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	250
+	69	253
+	3	62	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	250
+	62	237
+	51	232
+	4	59	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	237
+	51	232
+	3	59	250	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	278
+	158	275
+	160	281
+	4	176	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	275
+	160	281
+	3	176	278	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	275
+	160	281
+	158	275
+	4	145	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	281
+	158	275
+	3	145	275	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	265
+	105	276
+	113	273
+	4	100	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	276
+	113	273
+	3	100	265	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	276
+	100	265
+	91	266
+	4	105	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	265
+	91	266
+	3	105	276	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	281
+	145	275
+	144	282
+	4	160	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	275
+	144	282
+	3	160	281	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	83
+	267	110
+	267	99
+	4	249	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	110
+	267	99
+	3	249	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	99
+	248	73
+	249	83
+	4	267	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	73
+	249	83
+	3	267	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	31
+	199	43
+	198	36
+	4	172	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	43
+	198	36
+	3	172	31	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	52
+	198	36
+	199	43
+	4	224	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	36
+	199	43
+	3	224	52	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	63
+	50	67
+	47	77
+	4	68	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	67
+	47	77
+	3	68	63	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	50	67
+	68	63
+	70	54
+	4	50	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	63
+	70	54
+	3	50	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	254
+	82	267
+	91	266
+	4	80	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	267
+	91	266
+	3	80	254	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	267
+	80	254
+	69	253
+	4	82	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	254
+	69	253
+	3	82	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	31	126
+	17	135
+	19	146
+	4	31	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	135
+	19	146
+	3	31	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	17	135
+	31	126
+	29	115
+	4	17	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	126
+	29	115
+	3	17	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	28	168
+	18	179
+	24	189
+	4	28	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	179
+	24	189
+	3	28	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	18	179
+	28	168
+	23	157
+	4	18	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	168
+	23	157
+	3	18	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	39	206
+	33	219
+	42	226
+	4	39	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	219
+	42	226
+	3	39	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	33	219
+	39	206
+	31	198
+	4	33	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	206
+	31	198
+	3	33	219	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	94	45
+	73	46
+	70	54
+	4	94	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	46
+	70	54
+	3	94	45	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	73	46
+	94	45
+	96	37
+	4	73	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	45
+	96	37
+	3	73	46	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	87
+	30	93
+	29	104
+	4	46	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	93
+	29	104
+	3	46	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	30	93
+	46	87
+	47	77
+	4	30	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	87
+	47	77
+	3	30	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	249	227
+	233	249
+	243	245
+	4	249	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	249
+	243	245
+	3	249	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	245
+	259	221
+	249	227
+	4	243	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	221
+	249	227
+	3	243	245	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	212	264
+	190	271
+	198	274
+	4	212	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	271
+	198	274
+	3	212	264	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	278
+	198	274
+	190	271
+	4	176	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	274
+	190	271
+	3	176	278	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	274	152
+	275	183
+	281	173
+	4	274	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	183
+	281	173
+	3	274	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	281	173
+	278	141
+	274	152
+	4	281	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	141
+	274	152
+	3	281	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	193
+	259	221
+	268	214
+	4	268	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	221
+	268	214
+	3	268	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	214
+	275	183
+	268	193
+	4	268	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	183
+	268	193
+	3	268	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	273
+	123	283
+	127	279
+	4	113	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	283
+	127	279
+	3	113	273	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	283
+	113	273
+	105	276
+	4	123	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	273
+	105	276
+	3	123	283	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	147	30
+	122	26
+	121	32
+	4	147	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	26
+	121	32
+	3	147	30	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	122	26
+	147	30
+	147	24
+	4	122	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	30
+	147	24
+	3	122	26	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	31
+	147	24
+	147	30
+	4	172	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	24
+	147	30
+	3	172	31	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	110
+	278	141
+	280	130
+	4	267	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	141
+	280	130
+	3	267	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	280	130
+	267	99
+	267	110
+	4	280	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	99
+	267	110
+	3	280	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	147	24
+	172	31
+	171	25
+	4	147	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	31
+	171	25
+	3	147	24	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	36
+	171	25
+	172	31
+	4	198	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	25
+	172	31
+	3	198	36	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	232
+	50	245
+	59	250
+	4	51	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	245
+	59	250
+	3	51	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	245
+	51	232
+	42	226
+	4	50	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	232
+	42	226
+	3	50	245	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	249
+	212	264
+	222	263
+	4	233	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	264
+	222	263
+	3	233	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	263
+	243	245
+	233	249
+	4	222	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	245
+	233	249
+	3	222	263	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	274
+	222	263
+	212	264
+	4	198	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	263
+	212	264
+	3	198	274	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	121	32
+	99	31
+	96	37
+	4	121	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	31
+	96	37
+	3	121	32	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	99	31
+	121	32
+	122	26
+	4	99	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	32
+	122	26
+	3	99	31	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	274
+	176	278
+	181	282
+	4	198	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	278
+	181	282
+	3	198	274	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	281
+	181	282
+	176	278
+	4	160	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	282
+	176	278
+	3	160	281	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	52
+	248	73
+	245	64
+	4	224	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	73
+	245	64
+	3	224	52	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	36
+	224	52
+	221	44
+	4	198	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	52
+	221	44
+	3	198	36	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	64
+	221	44
+	224	52
+	4	245	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	44
+	224	52
+	3	245	64	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	157
+	14	168
+	18	179
+	4	23	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	168
+	18	179
+	3	23	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	14	168
+	23	157
+	19	146
+	4	14	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	157
+	19	146
+	3	14	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	31	198
+	26	211
+	33	219
+	4	31	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	211
+	33	219
+	3	31	198	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	26	211
+	31	198
+	24	189
+	4	26	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	198
+	24	189
+	3	26	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	279
+	142	287
+	144	282
+	4	127	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	287
+	144	282
+	3	127	279	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	287
+	127	279
+	123	283
+	4	142	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	279
+	123	283
+	3	142	287	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	266
+	98	278
+	105	276
+	4	91	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	278
+	105	276
+	3	91	266	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	278
+	91	266
+	82	267
+	4	98	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	266
+	82	267
+	3	98	278	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	29	115
+	17	124
+	17	135
+	4	29	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	124
+	17	135
+	3	29	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	17	124
+	29	115
+	29	104
+	4	17	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	115
+	29	104
+	3	17	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	73
+	267	99
+	266	89
+	4	248	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	99
+	266	89
+	3	248	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	89
+	245	64
+	248	73
+	4	266	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	64
+	248	73
+	3	266	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	253
+	73	266
+	82	267
+	4	69	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	266
+	82	267
+	3	69	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	266
+	69	253
+	59	250
+	4	73	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	253
+	59	250
+	3	73	266	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	282
+	160	281
+	162	286
+	4	181	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	281
+	162	286
+	3	181	282	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	282
+	162	286
+	160	281
+	4	144	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	286
+	160	281
+	3	144	282	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	70	54
+	53	58
+	50	67
+	4	70	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	58
+	50	67
+	3	70	54	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	53	58
+	70	54
+	73	46
+	4	53	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	54
+	73	46
+	3	53	58	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	286
+	144	282
+	142	287
+	4	162	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	282
+	142	287
+	3	162	286	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	25
+	198	36
+	195	29
+	4	171	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	36
+	195	29
+	3	171	25	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	44
+	195	29
+	198	36
+	4	221	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	29
+	198	36
+	3	221	44	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	259	221
+	243	245
+	252	241
+	4	259	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	245
+	252	241
+	3	259	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	241
+	268	214
+	259	221
+	4	252	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	214
+	259	221
+	3	252	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	77
+	33	83
+	30	93
+	4	47	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	83
+	30	93
+	3	47	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	33	83
+	47	77
+	50	67
+	4	33	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	77
+	50	67
+	3	33	83	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	96	37
+	77	39
+	73	46
+	4	96	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	39
+	73	46
+	3	96	37	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	77	39
+	96	37
+	99	31
+	4	77	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	37
+	99	31
+	3	77	39	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	141
+	281	173
+	285	163
+	4	278	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	173
+	285	163
+	3	278	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	285	163
+	280	130
+	278	141
+	4	285	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	130
+	278	141
+	3	285	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	275	183
+	268	214
+	275	205
+	4	275	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	214
+	275	205
+	3	275	183	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	275	205
+	281	173
+	275	183
+	4	275	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	173
+	275	183
+	3	275	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	99
+	280	130
+	280	119
+	4	267	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	130
+	280	119
+	3	267	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	119
+	266	89
+	267	99
+	4	280	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	89
+	267	99
+	3	280	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	263
+	198	274
+	206	276
+	4	222	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	274
+	206	276
+	3	222	263	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	282
+	206	276
+	198	274
+	4	181	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	276
+	198	274
+	3	181	282	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	226
+	42	240
+	50	245
+	4	42	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	240
+	50	245
+	3	42	226	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	240
+	42	226
+	33	219
+	4	42	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	226
+	33	219
+	3	42	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	276
+	119	286
+	123	283
+	4	105	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	286
+	123	283
+	3	105	276	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	286
+	105	276
+	98	278
+	4	119	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	276
+	98	278
+	3	119	286	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	245
+	222	263
+	230	262
+	4	243	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	263
+	230	262
+	3	243	245	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	262
+	252	241
+	243	245
+	4	230	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	241
+	243	245
+	3	230	262	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	147	24
+	124	21
+	122	26
+	4	147	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	21
+	122	26
+	3	147	24	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	21
+	147	24
+	147	19
+	4	124	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	24
+	147	19
+	3	124	21	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	171	25
+	147	19
+	147	24
+	4	171	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	19
+	147	24
+	3	171	25	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	24	189
+	20	202
+	26	211
+	4	24	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	202
+	26	211
+	3	24	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	20	202
+	24	189
+	18	179
+	4	20	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	189
+	18	179
+	3	20	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	19	146
+	12	157
+	14	168
+	4	19	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	157
+	14	168
+	3	19	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	157
+	19	146
+	17	135
+	4	12	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	146
+	17	135
+	3	12	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	276
+	230	262
+	222	263
+	4	206	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	262
+	222	263
+	3	206	276	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	29	104
+	18	112
+	17	124
+	4	29	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	112
+	17	124
+	3	29	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	18	112
+	29	104
+	30	93
+	4	18	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	104
+	30	93
+	3	18	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	19
+	171	25
+	170	20
+	4	147	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	25
+	170	20
+	3	147	19	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	195	29
+	170	20
+	171	25
+	4	195	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	20
+	171	25
+	3	195	29	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	44
+	245	64
+	242	55
+	4	221	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	64
+	242	55
+	3	221	44	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	29
+	221	44
+	217	37
+	4	195	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	44
+	217	37
+	3	195	29	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	55
+	217	37
+	221	44
+	4	242	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	37
+	221	44
+	3	242	55	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	122	26
+	103	26
+	99	31
+	4	122	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	26
+	99	31
+	3	122	26	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	103	26
+	122	26
+	124	21
+	4	103	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	26
+	124	21
+	3	103	26	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	250
+	65	263
+	73	266
+	4	59	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	263
+	73	266
+	3	59	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	263
+	59	250
+	50	245
+	4	65	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	250
+	50	245
+	3	65	263	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	64
+	266	89
+	263	79
+	4	245	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	89
+	263	79
+	3	245	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	79
+	242	55
+	245	64
+	4	263	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	55
+	245	64
+	3	263	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	267
+	92	279
+	98	278
+	4	82	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	279
+	98	278
+	3	82	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	279
+	82	267
+	73	266
+	4	92	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	267
+	73	266
+	3	92	279	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	276
+	181	282
+	186	285
+	4	206	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	282
+	186	285
+	3	206	276	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	286
+	186	285
+	181	282
+	4	162	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	285
+	181	282
+	3	162	286	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	214
+	252	241
+	260	235
+	4	268	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	241
+	260	235
+	3	268	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	235
+	275	205
+	268	214
+	4	260	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	205
+	268	214
+	3	260	235	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	283
+	141	290
+	142	287
+	4	123	283	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	290
+	142	287
+	3	123	283	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	290
+	123	283
+	119	286
+	4	141	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	283
+	119	286
+	3	141	290	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	73	46
+	59	51
+	53	58
+	4	73	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	51
+	53	58
+	3	73	46	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	59	51
+	73	46
+	77	39
+	4	59	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	46
+	77	39
+	3	59	51	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	281	173
+	275	205
+	280	196
+	4	281	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	205
+	280	196
+	3	281	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	196
+	285	163
+	281	173
+	4	280	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	163
+	281	173
+	3	280	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	280	130
+	285	163
+	287	151
+	4	280	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	163
+	287	151
+	3	280	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	287	151
+	280	119
+	280	130
+	4	287	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	119
+	280	130
+	3	287	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	50	67
+	38	73
+	33	83
+	4	50	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	73
+	33	83
+	3	50	67	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	38	73
+	50	67
+	53	58
+	4	38	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	67
+	53	58
+	3	38	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	285
+	162	286
+	164	290
+	4	186	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	286
+	164	290
+	3	186	285	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	287
+	164	290
+	162	286
+	4	142	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	290
+	162	286
+	3	142	287	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	20
+	195	29
+	192	25
+	4	170	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	29
+	192	25
+	3	170	20	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	37
+	192	25
+	195	29
+	4	217	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	25
+	195	29
+	3	217	37	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	290
+	142	287
+	141	290
+	4	164	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	287
+	141	290
+	3	164	290	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	266	89
+	280	119
+	279	107
+	4	266	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	119
+	279	107
+	3	266	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	279	107
+	263	79
+	266	89
+	4	279	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	79
+	266	89
+	3	279	107	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	99	31
+	83	34
+	77	39
+	4	99	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	34
+	77	39
+	3	99	31	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	83	34
+	99	31
+	103	26
+	4	83	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	31
+	103	26
+	3	83	34	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	33	219
+	36	232
+	42	240
+	4	33	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	232
+	42	240
+	3	33	219	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	36	232
+	33	219
+	26	211
+	4	36	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	219
+	26	211
+	3	36	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	262
+	206	276
+	213	276
+	4	230	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	276
+	213	276
+	3	230	262	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	285
+	213	276
+	206	276
+	4	186	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	276
+	206	276
+	3	186	285	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	252	241
+	230	262
+	239	259
+	4	252	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	262
+	239	259
+	3	252	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	259
+	260	235
+	252	241
+	4	239	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	235
+	252	241
+	3	239	259	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	18	179
+	16	191
+	20	202
+	4	18	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	191
+	20	202
+	3	18	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	16	191
+	18	179
+	14	168
+	4	16	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	179
+	14	168
+	3	16	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	17	135
+	12	145
+	12	157
+	4	17	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	145
+	12	157
+	3	17	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	145
+	17	135
+	17	124
+	4	12	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	135
+	17	124
+	3	12	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	278
+	115	288
+	119	286
+	4	98	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	288
+	119	286
+	3	98	278	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	288
+	98	278
+	92	279
+	4	115	288	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	278
+	92	279
+	3	115	288	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	30	93
+	22	101
+	18	112
+	4	30	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	101
+	18	112
+	3	30	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	22	101
+	30	93
+	33	83
+	4	22	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	93
+	33	83
+	3	22	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	276
+	239	259
+	230	262
+	4	213	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	259
+	230	262
+	3	213	276	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	245
+	58	258
+	65	263
+	4	50	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	258
+	65	263
+	3	50	245	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	258
+	50	245
+	42	240
+	4	58	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	245
+	42	240
+	3	58	258	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	19
+	127	18
+	124	21
+	4	147	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	18
+	124	21
+	3	147	19	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	127	18
+	147	19
+	147	17
+	4	127	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	19
+	147	17
+	3	127	18	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	20
+	147	17
+	147	19
+	4	170	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	17
+	147	19
+	3	170	20	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	275	205
+	260	235
+	267	227
+	4	275	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	235
+	267	227
+	3	275	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	227
+	280	196
+	275	205
+	4	267	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	196
+	275	205
+	3	267	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	55
+	263	79
+	258	69
+	4	242	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	79
+	258	69
+	3	242	55	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	37
+	242	55
+	236	48
+	4	217	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	55
+	236	48
+	3	217	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	258	69
+	236	48
+	242	55
+	4	258	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	48
+	242	55
+	3	258	69	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	25
+	217	37
+	212	32
+	4	192	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	37
+	212	32
+	3	192	25	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	236	48
+	212	32
+	217	37
+	4	236	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	32
+	217	37
+	3	236	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	266
+	86	277
+	92	279
+	4	73	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	277
+	92	279
+	3	73	266	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	277
+	73	266
+	65	263
+	4	86	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	266
+	65	263
+	3	86	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	285	163
+	280	196
+	285	185
+	4	285	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	196
+	285	185
+	3	285	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	285	185
+	287	151
+	285	163
+	4	285	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	151
+	285	163
+	3	285	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	17
+	170	20
+	168	18
+	4	147	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	20
+	168	18
+	3	147	17	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	25
+	168	18
+	170	20
+	4	192	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	18
+	170	20
+	3	192	25	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	119
+	287	151
+	287	140
+	4	280	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	151
+	287	140
+	3	280	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	140
+	279	107
+	280	119
+	4	287	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	107
+	280	119
+	3	287	140	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	21
+	107	23
+	103	26
+	4	124	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	23
+	103	26
+	3	124	21	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	107	23
+	124	21
+	127	18
+	4	107	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	21
+	127	18
+	3	107	23	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	276
+	186	285
+	191	286
+	4	213	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	285
+	191	286
+	3	213	276	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	290
+	191	286
+	186	285
+	4	164	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	286
+	186	285
+	3	164	290	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	77	39
+	66	44
+	59	51
+	4	77	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	44
+	59	51
+	3	77	39	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	66	44
+	77	39
+	83	34
+	4	66	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	39
+	83	34
+	3	66	44	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	53	58
+	44	65
+	38	73
+	4	53	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	65
+	38	73
+	3	53	58	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	44	65
+	53	58
+	59	51
+	4	44	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	58
+	59	51
+	3	44	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	286
+	140	292
+	141	290
+	4	119	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	292
+	141	290
+	3	119	286	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	292
+	119	286
+	115	288
+	4	140	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	286
+	115	288
+	3	140	292	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	79
+	279	107
+	276	97
+	4	263	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	107
+	276	97
+	3	263	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	97
+	258	69
+	263	79
+	4	276	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	69
+	263	79
+	3	276	97	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	26	211
+	30	224
+	36	232
+	4	26	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	224
+	36	232
+	3	26	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	30	224
+	26	211
+	20	202
+	4	30	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	211
+	20	202
+	3	30	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	18
+	192	25
+	188	21
+	4	168	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	25
+	188	21
+	3	168	18	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	32
+	188	21
+	192	25
+	4	212	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	21
+	192	25
+	3	212	32	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	14	168
+	14	180
+	16	191
+	4	14	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	180
+	16	191
+	3	14	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	14	180
+	14	168
+	12	157
+	4	14	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	168
+	12	157
+	3	14	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	17	124
+	13	134
+	12	145
+	4	17	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	134
+	12	145
+	3	17	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	13	134
+	17	124
+	18	112
+	4	13	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	124
+	18	112
+	3	13	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	286
+	164	290
+	166	292
+	4	191	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	290
+	166	292
+	3	191	286	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	290
+	166	292
+	164	290
+	4	141	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	292
+	164	290
+	3	141	290	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	292
+	141	290
+	140	292
+	4	166	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	290
+	140	292
+	3	166	292	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	235
+	239	259
+	246	254
+	4	260	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	259
+	246	254
+	3	260	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	254
+	267	227
+	260	235
+	4	246	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	227
+	260	235
+	3	246	254	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	103	26
+	89	30
+	83	34
+	4	103	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	30
+	83	34
+	3	103	26	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	89	30
+	103	26
+	107	23
+	4	89	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	26
+	107	23
+	3	89	30	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	83
+	27	91
+	22	101
+	4	33	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	91
+	22	101
+	3	33	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	27	91
+	33	83
+	38	73
+	4	27	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	83
+	38	73
+	3	27	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	259
+	213	276
+	219	274
+	4	239	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	276
+	219	274
+	3	239	259	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	286
+	219	274
+	213	276
+	4	191	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	274
+	213	276
+	3	191	286	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	274
+	246	254
+	239	259
+	4	219	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	254
+	239	259
+	3	219	274	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	196
+	267	227
+	273	218
+	4	280	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	227
+	273	218
+	3	280	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	218
+	285	185
+	280	196
+	4	273	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	185
+	280	196
+	3	273	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	279
+	111	287
+	115	288
+	4	92	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	287
+	115	288
+	3	92	279	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	287
+	92	279
+	86	277
+	4	111	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	279
+	86	277
+	3	111	287	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	240
+	53	252
+	58	258
+	4	42	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	252
+	58	258
+	3	42	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	53	252
+	42	240
+	36	232
+	4	53	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	240
+	36	232
+	3	53	252	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	287	151
+	285	185
+	287	174
+	4	287	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	185
+	287	174
+	3	287	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	287	174
+	287	140
+	287	151
+	4	287	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	140
+	287	151
+	3	287	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	279	107
+	287	140
+	286	128
+	4	279	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	140
+	286	128
+	3	279	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	286	128
+	276	97
+	279	107
+	4	286	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	97
+	279	107
+	3	286	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	236	48
+	258	69
+	252	61
+	4	236	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	69
+	252	61
+	3	236	48	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	32
+	236	48
+	230	41
+	4	212	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	48
+	230	41
+	3	212	32	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	252	61
+	230	41
+	236	48
+	4	252	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	41
+	236	48
+	3	252	61	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	263
+	81	274
+	86	277
+	4	65	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	274
+	86	277
+	3	65	263	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	274
+	65	263
+	58	258
+	4	81	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	263
+	58	258
+	3	81	274	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	21
+	212	32
+	206	28
+	4	188	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	32
+	206	28
+	3	188	21	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	41
+	206	28
+	212	32
+	4	230	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	28
+	212	32
+	3	230	41	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	17
+	130	17
+	127	18
+	4	147	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	17
+	127	18
+	3	147	17	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	17
+	147	17
+	148	16
+	4	130	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	17
+	148	16
+	3	130	17	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	18
+	148	16
+	147	17
+	4	168	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	16
+	147	17
+	3	168	18	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	69
+	276	97
+	271	86
+	4	258	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	97
+	271	86
+	3	258	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	86
+	252	61
+	258	69
+	4	271	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	61
+	258	69
+	3	271	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	20	202
+	26	214
+	30	224
+	4	20	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	214
+	30	224
+	3	20	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	26	214
+	20	202
+	16	191
+	4	26	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	202
+	16	191
+	3	26	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	16
+	168	18
+	166	17
+	4	148	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	18
+	166	17
+	3	148	16	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	21
+	166	17
+	168	18
+	4	188	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	17
+	168	18
+	3	188	21	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	59	51
+	52	57
+	44	65
+	4	59	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	57
+	44	65
+	3	59	51	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	52	57
+	59	51
+	66	44
+	4	52	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	51
+	66	44
+	3	52	57	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	83	34
+	74	39
+	66	44
+	4	83	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	39
+	66	44
+	3	83	34	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	74	39
+	83	34
+	89	30
+	4	74	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	34
+	89	30
+	3	74	39	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	157
+	14	168
+	14	180
+	4	12	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	168
+	14	180
+	3	12	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	14	168
+	12	157
+	12	145
+	4	14	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	157
+	12	145
+	3	14	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	127	18
+	113	21
+	107	23
+	4	127	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	21
+	107	23
+	3	127	18	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	113	21
+	127	18
+	130	17
+	4	113	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	18
+	130	17
+	3	113	21	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	18	112
+	17	122
+	13	134
+	4	18	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	122
+	13	134
+	3	18	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	17	122
+	18	112
+	22	101
+	4	17	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	112
+	22	101
+	3	17	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	274
+	191	286
+	195	285
+	4	219	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	286
+	195	285
+	3	219	274	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	292
+	195	285
+	191	286
+	4	166	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	285
+	191	286
+	3	166	292	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	288
+	139	292
+	140	292
+	4	115	288	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	292
+	140	292
+	3	115	288	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	292
+	115	288
+	111	287
+	4	139	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	288
+	111	287
+	3	139	292	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	227
+	246	254
+	252	247
+	4	267	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	254
+	252	247
+	3	267	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	247
+	273	218
+	267	227
+	4	252	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	218
+	267	227
+	3	252	247	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	38	73
+	34	81
+	27	91
+	4	38	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	81
+	27	91
+	3	38	73	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	34	81
+	38	73
+	44	65
+	4	34	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	73
+	44	65
+	3	34	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	17
+	188	21
+	183	20
+	4	166	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	21
+	183	20
+	3	166	17	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	28
+	183	20
+	188	21
+	4	206	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	20
+	188	21
+	3	206	28	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	285
+	166	292
+	168	291
+	4	195	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	292
+	168	291
+	3	195	285	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	292
+	168	291
+	166	292
+	4	140	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	291
+	166	292
+	3	140	292	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	285	185
+	273	218
+	277	208
+	4	285	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	218
+	277	208
+	3	285	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	277	208
+	287	174
+	285	185
+	4	277	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	174
+	285	185
+	3	277	208	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	107	23
+	97	27
+	89	30
+	4	107	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	27
+	89	30
+	3	107	23	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	97	27
+	107	23
+	113	21
+	4	97	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	23
+	113	21
+	3	97	27	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	291
+	140	292
+	139	292
+	4	168	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	292
+	139	292
+	3	168	291	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	140
+	287	174
+	287	162
+	4	287	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	174
+	287	162
+	3	287	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	162
+	286	128
+	287	140
+	4	287	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	128
+	287	140
+	3	287	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	254
+	219	274
+	225	270
+	4	246	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	274
+	225	270
+	3	246	254	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	285
+	225	270
+	219	274
+	4	195	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	270
+	219	274
+	3	195	285	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	97
+	286	128
+	282	116
+	4	276	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	128
+	282	116
+	3	276	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	282	116
+	271	86
+	276	97
+	4	282	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	86
+	276	97
+	3	282	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	270
+	252	247
+	246	254
+	4	225	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	247
+	246	254
+	3	225	270	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	36	232
+	48	244
+	53	252
+	4	36	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	244
+	53	252
+	3	36	232	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	48	244
+	36	232
+	30	224
+	4	48	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	232
+	30	224
+	3	48	244	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	41
+	252	61
+	244	53
+	4	230	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	61
+	244	53
+	3	230	41	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	28
+	230	41
+	222	36
+	4	206	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	41
+	222	36
+	3	206	28	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	53
+	222	36
+	230	41
+	4	244	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	36
+	230	41
+	3	244	53	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	277
+	108	285
+	111	287
+	4	86	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	285
+	111	287
+	3	86	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	285
+	86	277
+	81	274
+	4	108	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	277
+	81	274
+	3	108	285	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	258
+	76	269
+	81	274
+	4	58	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	269
+	81	274
+	3	58	258	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	269
+	58	258
+	53	252
+	4	76	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	258
+	53	252
+	3	76	269	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	16	191
+	24	203
+	26	214
+	4	16	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	203
+	26	214
+	3	16	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	203
+	16	191
+	14	180
+	4	24	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	191
+	14	180
+	3	24	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	252	61
+	271	86
+	263	77
+	4	252	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	86
+	263	77
+	3	252	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	263	77
+	244	53
+	252	61
+	4	263	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	53
+	252	61
+	3	263	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	145
+	15	156
+	14	168
+	4	12	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	156
+	14	168
+	3	12	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	15	156
+	12	145
+	13	134
+	4	15	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	145
+	13	134
+	3	15	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	20
+	206	28
+	199	25
+	4	183	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	28
+	199	25
+	3	183	20	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	36
+	199	25
+	206	28
+	4	222	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	25
+	206	28
+	3	222	36	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	22	101
+	22	110
+	17	122
+	4	22	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	110
+	17	122
+	3	22	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	22	110
+	22	101
+	27	91
+	4	22	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	101
+	27	91
+	3	22	110	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	66	44
+	62	50
+	52	57
+	4	66	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	50
+	52	57
+	3	66	44	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	62	50
+	66	44
+	74	39
+	4	62	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	44
+	74	39
+	3	62	50	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	89	30
+	84	35
+	74	39
+	4	89	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	35
+	74	39
+	3	89	30	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	84	35
+	89	30
+	97	27
+	4	84	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	30
+	97	27
+	3	84	35	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	16
+	133	18
+	130	17
+	4	148	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	18
+	130	17
+	3	148	16	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	18
+	148	16
+	148	17
+	4	133	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	16
+	148	17
+	3	133	18	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	17
+	148	17
+	148	16
+	4	166	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	17
+	148	16
+	3	166	17	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	218
+	252	247
+	257	240
+	4	273	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	247
+	257	240
+	3	273	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	240
+	277	208
+	273	218
+	4	257	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	208
+	273	218
+	3	257	240	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	17
+	166	17
+	163	17
+	4	148	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	17
+	163	17
+	3	148	17	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	20
+	163	17
+	166	17
+	4	183	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	17
+	166	17
+	3	183	20	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	44	65
+	43	71
+	34	81
+	4	44	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	71
+	34	81
+	3	44	65	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	43	71
+	44	65
+	52	57
+	4	43	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	65
+	52	57
+	3	43	71	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	17
+	119	21
+	113	21
+	4	130	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	21
+	113	21
+	3	130	17	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	21
+	130	17
+	133	18
+	4	119	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	17
+	133	18
+	3	119	21	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	270
+	195	285
+	199	282
+	4	225	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	285
+	199	282
+	3	225	270	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	291
+	199	282
+	195	285
+	4	168	291	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	282
+	195	285
+	3	168	291	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	128
+	287	162
+	286	150
+	4	286	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	162
+	286	150
+	3	286	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	286	150
+	282	116
+	286	128
+	4	286	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	116
+	286	128
+	3	286	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	287	174
+	277	208
+	279	197
+	4	287	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	208
+	279	197
+	3	287	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	279	197
+	287	162
+	287	174
+	4	279	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	162
+	287	174
+	3	279	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	287
+	138	290
+	139	292
+	4	111	287	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	290
+	139	292
+	3	111	287	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	290
+	111	287
+	108	285
+	4	138	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	287
+	108	285
+	3	138	290	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	86
+	282	116
+	277	105
+	4	271	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	116
+	277	105
+	3	271	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	105
+	263	77
+	271	86
+	4	277	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	77
+	271	86
+	3	277	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	17
+	183	20
+	177	20
+	4	163	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	20
+	177	20
+	3	163	17	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	25
+	177	20
+	183	20
+	4	199	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	20
+	183	20
+	3	199	25	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	30	224
+	44	235
+	48	244
+	4	30	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	235
+	48	244
+	3	30	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	44	235
+	30	224
+	26	214
+	4	44	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	224
+	26	214
+	3	44	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	247
+	225	270
+	230	265
+	4	252	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	270
+	230	265
+	3	252	247	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	265
+	257	240
+	252	247
+	4	230	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	240
+	252	247
+	3	230	265	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	113	21
+	106	26
+	97	27
+	4	113	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	26
+	97	27
+	3	113	21	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	106	26
+	113	21
+	119	21
+	4	106	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	21
+	119	21
+	3	106	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	282
+	230	265
+	225	270
+	4	199	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	265
+	225	270
+	3	199	282	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	282
+	168	291
+	169	289
+	4	199	282	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	291
+	169	289
+	3	199	282	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	292
+	169	289
+	168	291
+	4	139	292	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	289
+	168	291
+	3	139	292	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	289
+	139	292
+	138	290
+	4	169	289	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	292
+	138	290
+	3	169	289	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	36
+	244	53
+	235	47
+	4	222	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	53
+	235	47
+	3	222	36	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	25
+	222	36
+	213	33
+	4	199	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	36
+	213	33
+	3	199	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	47
+	213	33
+	222	36
+	4	235	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	33
+	222	36
+	3	235	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	13	134
+	19	143
+	15	156
+	4	13	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	143
+	15	156
+	3	13	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	19	143
+	13	134
+	17	122
+	4	19	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	134
+	17	122
+	3	19	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	14	180
+	24	191
+	24	203
+	4	14	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	191
+	24	203
+	3	14	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	24	191
+	14	180
+	14	168
+	4	24	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	180
+	14	168
+	3	24	191	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	27	91
+	30	98
+	22	110
+	4	27	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	98
+	22	110
+	3	27	91	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	30	98
+	27	91
+	34	81
+	4	30	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	91
+	34	81
+	3	30	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	53
+	263	77
+	255	68
+	4	244	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	77
+	255	68
+	3	244	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	255	68
+	235	47
+	244	53
+	4	255	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	47
+	244	53
+	3	255	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	274
+	105	280
+	108	285
+	4	81	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	280
+	108	285
+	3	81	274	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	280
+	81	274
+	76	269
+	4	105	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	274
+	76	269
+	3	105	280	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	53	252
+	72	261
+	76	269
+	4	53	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	261
+	76	269
+	3	53	252	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	261
+	53	252
+	48	244
+	4	72	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	252
+	48	244
+	3	72	261	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	74	39
+	74	45
+	62	50
+	4	74	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	45
+	62	50
+	3	74	39	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	74	45
+	74	39
+	84	35
+	4	74	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	39
+	84	35
+	3	74	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	20
+	199	25
+	191	25
+	4	177	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	25
+	191	25
+	3	177	20	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	33
+	191	25
+	199	25
+	4	213	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	25
+	199	25
+	3	213	33	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	277	208
+	257	240
+	261	230
+	4	277	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	240
+	261	230
+	3	277	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	230
+	279	197
+	277	208
+	4	261	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	197
+	277	208
+	3	261	230	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	52	57
+	54	63
+	43	71
+	4	52	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	63
+	43	71
+	3	52	57	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	54	63
+	52	57
+	62	50
+	4	54	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	57
+	62	50
+	3	54	63	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	282	116
+	286	150
+	282	137
+	4	282	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	150
+	282	137
+	3	282	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	282	137
+	277	105
+	282	116
+	4	282	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	105
+	282	116
+	3	282	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	97	27
+	95	33
+	84	35
+	4	97	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	33
+	84	35
+	3	97	27	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	95	33
+	97	27
+	106	26
+	4	95	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	27
+	106	26
+	3	95	33	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	287	162
+	279	197
+	279	185
+	4	287	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	197
+	279	185
+	3	287	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	279	185
+	286	150
+	287	162
+	4	279	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	150
+	287	162
+	3	279	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	263	77
+	277	105
+	269	94
+	4	263	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	105
+	269	94
+	3	263	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	269	94
+	255	68
+	263	77
+	4	269	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	68
+	263	77
+	3	269	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	17
+	137	21
+	133	18
+	4	148	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	21
+	133	18
+	3	148	17	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	21
+	148	17
+	148	20
+	4	137	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	17
+	148	20
+	3	137	21	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	17
+	148	20
+	148	17
+	4	163	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	20
+	148	17
+	3	163	17	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	20
+	163	17
+	160	20
+	4	148	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	17
+	160	20
+	3	148	20	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	20
+	160	20
+	163	17
+	4	177	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	20
+	163	17
+	3	177	20	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	265
+	199	282
+	202	278
+	4	230	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	282
+	202	278
+	3	230	265	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	289
+	202	278
+	199	282
+	4	169	289	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	278
+	199	282
+	3	169	289	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	18
+	126	23
+	119	21
+	4	133	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	23
+	119	21
+	3	133	18	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	23
+	133	18
+	137	21
+	4	126	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	18
+	137	21
+	3	126	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	26	214
+	42	224
+	44	235
+	4	26	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	224
+	44	235
+	3	26	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	224
+	26	214
+	24	203
+	4	42	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	214
+	24	203
+	3	42	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	285
+	137	286
+	138	290
+	4	108	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	286
+	138	290
+	3	108	285	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	286
+	108	285
+	105	280
+	4	137	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	285
+	105	280
+	3	137	286	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	17	122
+	25	130
+	19	143
+	4	17	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	130
+	19	143
+	3	17	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	25	130
+	17	122
+	22	110
+	4	25	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	122
+	22	110
+	3	25	130	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	34	81
+	40	87
+	30	98
+	4	34	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	87
+	30	98
+	3	34	81	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	40	87
+	34	81
+	43	71
+	4	40	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	81
+	43	71
+	3	40	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	240
+	230	265
+	234	258
+	4	257	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	265
+	234	258
+	3	257	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	258
+	261	230
+	257	240
+	4	234	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	230
+	257	240
+	3	234	258	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	14	168
+	25	178
+	24	191
+	4	14	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	178
+	24	191
+	3	14	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	25	178
+	14	168
+	15	156
+	4	25	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	168
+	15	156
+	3	25	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	20
+	177	20
+	171	22
+	4	160	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	20
+	171	22
+	3	160	20	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	25
+	171	22
+	177	20
+	4	191	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	22
+	177	20
+	3	191	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	47
+	255	68
+	244	60
+	4	235	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	68
+	244	60
+	3	235	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	33
+	235	47
+	224	42
+	4	213	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	47
+	224	42
+	3	213	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	60
+	224	42
+	235	47
+	4	244	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	42
+	235	47
+	3	244	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	25
+	213	33
+	202	31
+	4	191	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	33
+	202	31
+	3	191	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	42
+	202	31
+	213	33
+	4	224	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	31
+	213	33
+	3	224	42	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	278
+	234	258
+	230	265
+	4	202	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	258
+	230	265
+	3	202	278	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	21
+	116	27
+	106	26
+	4	119	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	27
+	106	26
+	3	119	21	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	27
+	119	21
+	126	23
+	4	116	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	21
+	126	23
+	3	116	27	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	278
+	169	289
+	171	285
+	4	202	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	289
+	171	285
+	3	202	278	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	290
+	171	285
+	169	289
+	4	138	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	285
+	169	289
+	3	138	290	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	285
+	138	290
+	137	286
+	4	171	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	290
+	137	286
+	3	171	285	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	84	35
+	87	41
+	74	45
+	4	84	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	41
+	74	45
+	3	84	35	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	87	41
+	84	35
+	95	33
+	4	87	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	35
+	95	33
+	3	87	41	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	244
+	70	252
+	72	261
+	4	48	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	252
+	72	261
+	3	48	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	252
+	48	244
+	44	235
+	4	70	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	244
+	44	235
+	3	70	252	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	105
+	282	137
+	276	125
+	4	277	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	137
+	276	125
+	3	277	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	125
+	269	94
+	277	105
+	4	276	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	94
+	277	105
+	3	276	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	269
+	103	273
+	105	280
+	4	76	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	273
+	105	280
+	3	76	269	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	273
+	76	269
+	72	261
+	4	103	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	269
+	72	261
+	3	103	273	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	62	50
+	67	56
+	54	63
+	4	62	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	56
+	54	63
+	3	62	50	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	67	56
+	62	50
+	74	45
+	4	67	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	50
+	74	45
+	3	67	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	197
+	261	230
+	263	219
+	4	279	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	230
+	263	219
+	3	279	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	219
+	279	185
+	279	197
+	4	263	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	185
+	279	197
+	3	263	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	150
+	279	185
+	278	172
+	4	286	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	185
+	278	172
+	3	286	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	172
+	282	137
+	286	150
+	4	278	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	137
+	286	150
+	3	278	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	68
+	269	94
+	260	83
+	4	255	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	94
+	260	83
+	3	255	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	83
+	244	60
+	255	68
+	4	260	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	60
+	255	68
+	3	260	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	22
+	191	25
+	182	26
+	4	171	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	25
+	182	26
+	3	171	22	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	31
+	182	26
+	191	25
+	4	202	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	26
+	191	25
+	3	202	31	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	26
+	107	32
+	95	33
+	4	106	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	32
+	95	33
+	3	106	26	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	32
+	106	26
+	116	27
+	4	107	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	26
+	116	27
+	3	107	32	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	22	110
+	32	117
+	25	130
+	4	22	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	117
+	25	130
+	3	22	110	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	32	117
+	22	110
+	30	98
+	4	32	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	110
+	30	98
+	3	32	117	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	43	71
+	51	77
+	40	87
+	4	43	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	77
+	40	87
+	3	43	71	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	77
+	43	71
+	54	63
+	4	51	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	71
+	54	63
+	3	51	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	203
+	42	211
+	42	224
+	4	24	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	211
+	42	224
+	3	24	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	211
+	24	203
+	24	191
+	4	42	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	203
+	24	191
+	3	42	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	15	156
+	29	164
+	25	178
+	4	15	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	164
+	25	178
+	3	15	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	29	164
+	15	156
+	19	143
+	4	29	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	156
+	19	143
+	3	29	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	20
+	141	26
+	137	21
+	4	148	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	26
+	137	21
+	3	148	20	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	26
+	148	20
+	149	25
+	4	141	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	20
+	149	25
+	3	141	26	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	20
+	149	25
+	148	20
+	4	160	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	25
+	148	20
+	3	160	20	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	42
+	244	60
+	231	53
+	4	224	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	60
+	231	53
+	3	224	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	31
+	224	42
+	211	39
+	4	202	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	42
+	211	39
+	3	202	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	53
+	211	39
+	224	42
+	4	231	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	39
+	224	42
+	3	231	53	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	258
+	202	278
+	205	271
+	4	234	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	278
+	205	271
+	3	234	258	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	285
+	205	271
+	202	278
+	4	171	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	271
+	202	278
+	3	171	285	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	25
+	160	20
+	157	25
+	4	149	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	20
+	157	25
+	3	149	25	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	22
+	157	25
+	160	20
+	4	171	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	25
+	160	20
+	3	171	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	230
+	234	258
+	237	248
+	4	261	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	258
+	237	248
+	3	261	230	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	248
+	263	219
+	261	230
+	4	237	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	219
+	261	230
+	3	237	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	21
+	133	27
+	126	23
+	4	137	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	27
+	126	23
+	3	137	21	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	27
+	137	21
+	141	26
+	4	133	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	21
+	141	26
+	3	133	27	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	26
+	202	31
+	190	31
+	4	182	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	31
+	190	31
+	3	182	26	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	39
+	190	31
+	202	31
+	4	211	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	31
+	202	31
+	3	211	39	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	269	94
+	276	125
+	269	112
+	4	269	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	125
+	269	112
+	3	269	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	112
+	260	83
+	269	94
+	4	269	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	83
+	269	94
+	3	269	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	280
+	137	279
+	137	286
+	4	105	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	279
+	137	286
+	3	105	280	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	279
+	105	280
+	103	273
+	4	137	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	280
+	103	273
+	3	137	279	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	25
+	171	22
+	165	27
+	4	157	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	22
+	165	27
+	3	157	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	26
+	165	27
+	171	22
+	4	182	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	27
+	171	22
+	3	182	26	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	74	45
+	82	50
+	67	56
+	4	74	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	50
+	67	56
+	3	74	45	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	82	50
+	74	45
+	87	41
+	4	82	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	45
+	87	41
+	3	82	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	271
+	237	248
+	234	258
+	4	205	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	248
+	234	258
+	3	205	271	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	282	137
+	278	172
+	274	158
+	4	282	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	172
+	274	158
+	3	282	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	158
+	276	125
+	282	137
+	4	274	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	125
+	282	137
+	3	274	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	60
+	260	83
+	248	73
+	4	244	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	83
+	248	73
+	3	244	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	73
+	231	53
+	244	60
+	4	248	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	53
+	244	60
+	3	248	73	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	95	33
+	101	39
+	87	41
+	4	95	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	39
+	87	41
+	3	95	33	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	101	39
+	95	33
+	107	32
+	4	101	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	33
+	107	32
+	3	101	39	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	23
+	126	30
+	116	27
+	4	126	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	30
+	116	27
+	3	126	23	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	30
+	126	23
+	133	27
+	4	126	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	23
+	133	27
+	3	126	30	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	279	185
+	263	219
+	263	206
+	4	279	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	219
+	263	206
+	3	279	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	206
+	278	172
+	279	185
+	4	263	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	172
+	279	185
+	3	263	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	235
+	68	241
+	70	252
+	4	44	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	241
+	70	252
+	3	44	235	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	241
+	44	235
+	42	224
+	4	68	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	235
+	42	224
+	3	68	241	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	271
+	171	285
+	172	278
+	4	205	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	285
+	172	278
+	3	205	271	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	286
+	172	278
+	171	285
+	4	137	286	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	278
+	171	285
+	3	137	286	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	261
+	101	265
+	103	273
+	4	72	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	265
+	103	273
+	3	72	261	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	265
+	72	261
+	70	252
+	4	101	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	261
+	70	252
+	3	101	265	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	30	98
+	42	104
+	32	117
+	4	30	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	104
+	32	117
+	3	30	98	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	42	104
+	30	98
+	40	87
+	4	42	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	98
+	40	87
+	3	42	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	278
+	137	286
+	137	279
+	4	172	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	286
+	137	279
+	3	172	278	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	27
+	182	26
+	172	29
+	4	165	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	26
+	172	29
+	3	165	27	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	31
+	172	29
+	182	26
+	4	190	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	29
+	182	26
+	3	190	31	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	54	63
+	65	68
+	51	77
+	4	54	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	68
+	51	77
+	3	54	63	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	65	68
+	54	63
+	67	56
+	4	65	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	63
+	67	56
+	3	65	68	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	27
+	121	34
+	107	32
+	4	116	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	34
+	107	32
+	3	116	27	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	34
+	116	27
+	126	30
+	4	121	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	27
+	126	30
+	3	121	34	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	19	143
+	34	149
+	29	164
+	4	19	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	149
+	29	164
+	3	19	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	34	149
+	19	143
+	25	130
+	4	34	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	143
+	25	130
+	3	34	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	191
+	43	198
+	42	211
+	4	24	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	198
+	42	211
+	3	24	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	198
+	24	191
+	25	178
+	4	43	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	191
+	25	178
+	3	43	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	39
+	231	53
+	217	48
+	4	211	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	53
+	217	48
+	3	211	39	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	31
+	211	39
+	197	37
+	4	190	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	39
+	197	37
+	3	190	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	48
+	197	37
+	211	39
+	4	217	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	37
+	211	39
+	3	217	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	83
+	269	112
+	259	100
+	4	260	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	112
+	259	100
+	3	260	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	100
+	248	73
+	260	83
+	4	259	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	73
+	260	83
+	3	259	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	219
+	237	248
+	239	237
+	4	263	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	248
+	239	237
+	3	263	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	237
+	263	206
+	263	219
+	4	239	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	206
+	263	219
+	3	239	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	125
+	274	158
+	269	144
+	4	276	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	158
+	269	144
+	3	276	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	144
+	269	112
+	276	125
+	4	269	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	112
+	276	125
+	3	269	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	53
+	248	73
+	235	65
+	4	231	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	73
+	235	65
+	3	231	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	65
+	217	48
+	231	53
+	4	235	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	48
+	231	53
+	3	235	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	29
+	190	31
+	178	33
+	4	172	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	31
+	178	33
+	3	172	29	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	37
+	178	33
+	190	31
+	4	197	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	33
+	190	31
+	3	197	37	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	87	41
+	97	46
+	82	50
+	4	87	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	46
+	82	50
+	3	87	41	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	97	46
+	87	41
+	101	39
+	4	97	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	41
+	101	39
+	3	97	46	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	172
+	263	206
+	262	193
+	4	278	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	206
+	262	193
+	3	278	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	193
+	274	158
+	278	172
+	4	262	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	158
+	278	172
+	3	262	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	248
+	205	271
+	207	262
+	4	237	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	271
+	207	262
+	3	237	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	278
+	207	262
+	205	271
+	4	172	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	262
+	205	271
+	3	172	278	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	25
+	145	33
+	141	26
+	4	149	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	33
+	141	26
+	3	149	25	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	33
+	149	25
+	149	33
+	4	145	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	25
+	149	33
+	3	145	33	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	25
+	149	33
+	149	25
+	4	157	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	33
+	149	25
+	3	157	25	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	32
+	117	38
+	101	39
+	4	107	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	38
+	101	39
+	3	107	32	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	38
+	107	32
+	121	34
+	4	117	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	32
+	121	34
+	3	117	38	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	33
+	157	25
+	154	33
+	4	149	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	25
+	154	33
+	3	149	33	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	27
+	154	33
+	157	25
+	4	165	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	33
+	157	25
+	3	165	27	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	40	87
+	54	91
+	42	104
+	4	40	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	91
+	42	104
+	3	40	87	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	54	91
+	40	87
+	51	77
+	4	54	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	87
+	51	77
+	3	54	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	26
+	141	34
+	133	27
+	4	141	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	34
+	133	27
+	3	141	26	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	34
+	141	26
+	145	33
+	4	141	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	26
+	145	33
+	3	141	34	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	56
+	80	60
+	65	68
+	4	67	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	60
+	65	68
+	3	67	56	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	80	60
+	67	56
+	82	50
+	4	80	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	56
+	82	50
+	3	80	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	262
+	239	237
+	237	248
+	4	207	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	237
+	237	248
+	3	207	262	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	273
+	136	271
+	137	279
+	4	103	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	271
+	137	279
+	3	103	273	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	271
+	103	273
+	101	265
+	4	136	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	273
+	101	265
+	3	136	271	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	33
+	165	27
+	157	34
+	4	154	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	27
+	157	34
+	3	154	33	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	29
+	157	34
+	165	27
+	4	172	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	34
+	165	27
+	3	172	29	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	224
+	68	229
+	68	241
+	4	42	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	229
+	68	241
+	3	42	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	229
+	42	224
+	42	211
+	4	68	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	224
+	42	211
+	3	68	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	27
+	138	35
+	126	30
+	4	133	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	35
+	126	30
+	3	133	27	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	35
+	133	27
+	141	34
+	4	138	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	27
+	141	34
+	3	138	35	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	25	130
+	42	134
+	34	149
+	4	25	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	134
+	34	149
+	3	25	130	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	42	134
+	25	130
+	32	117
+	4	42	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	130
+	32	117
+	3	42	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	73
+	259	100
+	247	88
+	4	248	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	100
+	247	88
+	3	248	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	88
+	235	65
+	248	73
+	4	247	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	65
+	248	73
+	3	247	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	25	178
+	46	183
+	43	198
+	4	25	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	183
+	43	198
+	3	25	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	46	183
+	25	178
+	29	164
+	4	46	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	178
+	29	164
+	3	46	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	252
+	100	254
+	101	265
+	4	70	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	254
+	101	265
+	3	70	252	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	254
+	70	252
+	68	241
+	4	100	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	252
+	68	241
+	3	100	254	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	34
+	172	29
+	161	35
+	4	157	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	29
+	161	35
+	3	157	34	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	33
+	161	35
+	172	29
+	4	178	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	35
+	172	29
+	3	178	33	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	37
+	217	48
+	202	44
+	4	197	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	48
+	202	44
+	3	197	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	33
+	197	37
+	182	37
+	4	178	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	37
+	182	37
+	3	178	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	44
+	182	37
+	197	37
+	4	202	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	37
+	197	37
+	3	202	44	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	262
+	172	278
+	172	270
+	4	207	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	278
+	172	270
+	3	207	262	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	279
+	172	270
+	172	278
+	4	137	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	270
+	172	278
+	3	137	279	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	30
+	135	37
+	121	34
+	4	126	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	37
+	121	34
+	3	126	30	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	37
+	126	30
+	138	35
+	4	135	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	30
+	138	35
+	3	135	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	48
+	235	65
+	220	57
+	4	217	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	65
+	220	57
+	3	217	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	57
+	202	44
+	217	48
+	4	220	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	44
+	217	48
+	3	220	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	269	112
+	269	144
+	261	130
+	4	269	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	144
+	261	130
+	3	269	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	130
+	259	100
+	269	112
+	4	261	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	100
+	269	112
+	3	261	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	270
+	137	279
+	136	271
+	4	172	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	279
+	136	271
+	3	172	270	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	39
+	114	43
+	97	46
+	4	101	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	43
+	97	46
+	3	101	39	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	43
+	101	39
+	117	38
+	4	114	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	39
+	117	38
+	3	114	43	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	77
+	67	80
+	54	91
+	4	51	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	80
+	54	91
+	3	51	77	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	67	80
+	51	77
+	65	68
+	4	67	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	77
+	65	68
+	3	67	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	206
+	239	237
+	239	225
+	4	263	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	237
+	239	225
+	3	263	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	225
+	262	193
+	263	206
+	4	239	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	193
+	263	206
+	3	239	225	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	82	50
+	96	53
+	80	60
+	4	82	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	53
+	80	60
+	3	82	50	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	96	53
+	82	50
+	97	46
+	4	96	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	50
+	97	46
+	3	96	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	35
+	178	33
+	164	37
+	4	161	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	33
+	164	37
+	3	161	35	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	37
+	164	37
+	178	33
+	4	182	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	37
+	178	33
+	3	182	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	158
+	262	193
+	258	178
+	4	274	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	193
+	258	178
+	3	274	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	178
+	269	144
+	274	158
+	4	258	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	144
+	274	158
+	3	258	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	34
+	133	39
+	117	38
+	4	121	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	39
+	117	38
+	3	121	34	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	39
+	121	34
+	135	37
+	4	133	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	34
+	135	37
+	3	133	39	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	32	117
+	51	120
+	42	134
+	4	32	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	120
+	42	134
+	3	32	117	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	120
+	32	117
+	42	104
+	4	51	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	117
+	42	104
+	3	51	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	65
+	247	88
+	233	77
+	4	235	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	88
+	233	77
+	3	235	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	77
+	220	57
+	235	65
+	4	233	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	57
+	235	65
+	3	233	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	237
+	207	262
+	208	251
+	4	239	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	262
+	208	251
+	3	239	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	270
+	208	251
+	207	262
+	4	172	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	251
+	207	262
+	3	172	270	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	211
+	69	214
+	68	229
+	4	42	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	214
+	68	229
+	3	42	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	214
+	42	211
+	43	198
+	4	69	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	211
+	43	198
+	3	69	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	44
+	220	57
+	203	51
+	4	202	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	57
+	203	51
+	3	202	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	37
+	202	44
+	185	42
+	4	182	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	44
+	185	42
+	3	182	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	51
+	185	42
+	202	44
+	4	203	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	42
+	202	44
+	3	203	51	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	100
+	261	130
+	252	116
+	4	259	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	130
+	252	116
+	3	259	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	116
+	247	88
+	259	100
+	4	252	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	88
+	259	100
+	3	252	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	37
+	182	37
+	166	39
+	4	164	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	37
+	166	39
+	3	164	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	42
+	166	39
+	182	37
+	4	185	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	39
+	182	37
+	3	185	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	251
+	239	225
+	239	237
+	4	208	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	225
+	239	237
+	3	208	251	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	33
+	150	42
+	145	33
+	4	149	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	145	33
+	3	149	33	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	33
+	150	42
+	149	33
+	4	154	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	149	33
+	3	154	33	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	29	164
+	51	167
+	46	183
+	4	29	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	167
+	46	183
+	3	29	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	51	167
+	29	164
+	34	149
+	4	51	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	164
+	34	149
+	3	51	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	34
+	150	42
+	154	33
+	4	157	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	154	33
+	3	157	34	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	33
+	150	42
+	141	34
+	4	145	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	141	34
+	3	145	33	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	65	68
+	82	70
+	67	80
+	4	65	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	70
+	67	80
+	3	65	68	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	82	70
+	65	68
+	80	60
+	4	82	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	68
+	80	60
+	3	82	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	38
+	132	42
+	114	43
+	4	117	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	42
+	114	43
+	3	117	38	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	42
+	117	38
+	133	39
+	4	132	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	38
+	133	39
+	3	132	42	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	35
+	150	42
+	157	34
+	4	161	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	157	34
+	3	161	35	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	265
+	136	260
+	136	271
+	4	101	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	260
+	136	271
+	3	101	265	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	260
+	101	265
+	100	254
+	4	136	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	265
+	100	254
+	3	136	260	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	46
+	114	48
+	96	53
+	4	97	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	48
+	96	53
+	3	97	46	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	48
+	97	46
+	114	43
+	4	114	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	46
+	114	43
+	3	114	48	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	34
+	150	42
+	138	35
+	4	141	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	138	35
+	3	141	34	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	37
+	150	42
+	161	35
+	4	164	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	161	35
+	3	164	37	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	35
+	150	42
+	135	37
+	4	138	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	135	37
+	3	138	35	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	57
+	233	77
+	219	67
+	4	220	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	77
+	219	67
+	3	220	57	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	67
+	203	51
+	220	57
+	4	219	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	51
+	220	57
+	3	219	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	241
+	100	241
+	100	254
+	4	68	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	241
+	100	254
+	3	68	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	241
+	68	241
+	68	229
+	4	100	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	241
+	68	229
+	3	100	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	144
+	258	178
+	253	163
+	4	269	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	178
+	253	163
+	3	269	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	163
+	261	130
+	269	144
+	4	253	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	130
+	269	144
+	3	253	163	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	42	104
+	62	105
+	51	120
+	4	42	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	105
+	51	120
+	3	42	104	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	62	105
+	42	104
+	54	91
+	4	62	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	104
+	54	91
+	3	62	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	39
+	150	42
+	164	37
+	4	166	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	164	37
+	3	166	39	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	193
+	239	225
+	238	210
+	4	262	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	225
+	238	210
+	3	262	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	210
+	258	178
+	262	193
+	4	238	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	178
+	262	193
+	3	238	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	42
+	203	51
+	186	46
+	4	185	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	51
+	186	46
+	3	185	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	39
+	185	42
+	168	41
+	4	166	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	42
+	168	41
+	3	166	39	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	46
+	168	41
+	185	42
+	4	186	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	41
+	185	42
+	3	186	46	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	37
+	150	42
+	133	39
+	4	135	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	133	39
+	3	135	37	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	251
+	172	270
+	173	259
+	4	208	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	270
+	173	259
+	3	208	251	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	271
+	173	259
+	172	270
+	4	136	271	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	259
+	172	270
+	3	136	271	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	88
+	252	116
+	240	102
+	4	247	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	116
+	240	102
+	3	247	88	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	240	102
+	233	77
+	247	88
+	4	240	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	77
+	247	88
+	3	240	102	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	80	60
+	98	60
+	82	70
+	4	80	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	60
+	82	70
+	3	80	60	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	98	60
+	80	60
+	96	53
+	4	98	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	60
+	96	53
+	3	98	60	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	259
+	136	271
+	136	260
+	4	173	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	271
+	136	260
+	3	173	259	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	43
+	132	44
+	114	48
+	4	114	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	44
+	114	48
+	3	114	43	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	44
+	114	43
+	132	42
+	4	132	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	43
+	132	42
+	3	132	44	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	41
+	150	42
+	166	39
+	4	168	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	166	39
+	3	168	41	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	51
+	219	67
+	202	59
+	4	203	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	67
+	202	59
+	3	203	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	59
+	186	46
+	203	51
+	4	202	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	46
+	203	51
+	3	202	59	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	39
+	150	42
+	132	42
+	4	133	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	132	42
+	3	133	39	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	34	149
+	58	151
+	51	167
+	4	34	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	151
+	51	167
+	3	34	149	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	58	151
+	34	149
+	42	134
+	4	58	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	149
+	42	134
+	3	58	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	198
+	71	199
+	69	214
+	4	43	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	199
+	69	214
+	3	43	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	199
+	43	198
+	46	183
+	4	71	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	198
+	46	183
+	3	71	199	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	54	91
+	74	92
+	62	105
+	4	54	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	92
+	62	105
+	3	54	91	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	74	92
+	54	91
+	67	80
+	4	74	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	91
+	67	80
+	3	74	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	53
+	115	53
+	98	60
+	4	96	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	53
+	98	60
+	3	96	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	53
+	96	53
+	114	48
+	4	115	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	53
+	114	48
+	3	115	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	41
+	186	46
+	168	44
+	4	168	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	46
+	168	44
+	3	168	41	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	44
+	150	42
+	168	41
+	4	168	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	168	41
+	3	168	44	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	42
+	150	42
+	132	44
+	4	132	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	132	44
+	3	132	42	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	233	77
+	240	102
+	228	89
+	4	233	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	102
+	228	89
+	3	233	77	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	228	89
+	219	67
+	233	77
+	4	228	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	67
+	233	77
+	3	228	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	130
+	253	163
+	247	147
+	4	261	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	163
+	247	147
+	3	261	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	147
+	252	116
+	261	130
+	4	247	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	116
+	261	130
+	3	247	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	46
+	202	59
+	185	51
+	4	186	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	59
+	185	51
+	3	186	46	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	51
+	168	44
+	186	46
+	4	185	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	44
+	186	46
+	3	185	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	225
+	208	251
+	208	238
+	4	239	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	251
+	208	238
+	3	239	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	238
+	238	210
+	239	225
+	4	208	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	210
+	239	225
+	3	208	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	259
+	208	238
+	208	251
+	4	173	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	238
+	208	251
+	3	173	259	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	48
+	132	47
+	115	53
+	4	114	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	47
+	115	53
+	3	114	48	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	47
+	114	48
+	132	44
+	4	132	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	48
+	132	44
+	3	132	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	44
+	185	51
+	168	46
+	4	168	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	51
+	168	46
+	3	168	44	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	46
+	150	42
+	168	44
+	4	168	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	168	44
+	3	168	46	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	49
+	150	42
+	137	51
+	4	134	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	137	51
+	3	134	49	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	47
+	150	42
+	134	49
+	4	132	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	134	49
+	3	132	47	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	44
+	150	42
+	132	47
+	4	132	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	132	47
+	3	132	44	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	48
+	150	42
+	168	46
+	4	166	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	168	46
+	3	166	48	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	51
+	150	42
+	166	48
+	4	164	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	166	48
+	3	164	51	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	52
+	150	42
+	164	51
+	4	161	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	164	51
+	3	161	52	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	54
+	150	42
+	161	52
+	4	157	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	161	52
+	3	157	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	54
+	150	42
+	157	54
+	4	153	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	157	54
+	3	153	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	54
+	150	42
+	153	54
+	4	148	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	153	54
+	3	148	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	54
+	150	42
+	148	54
+	4	144	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	148	54
+	3	144	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	53
+	150	42
+	144	54
+	4	140	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	144	54
+	3	140	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	51
+	150	42
+	140	53
+	4	137	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	42
+	140	53
+	3	137	51	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	254
+	136	247
+	136	260
+	4	100	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	247
+	136	260
+	3	100	254	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	247
+	100	254
+	100	241
+	4	136	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	254
+	100	241
+	3	136	247	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	258	178
+	238	210
+	235	195
+	4	258	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	210
+	235	195
+	3	258	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	195
+	253	163
+	258	178
+	4	235	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	163
+	258	178
+	3	235	195	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	67	80
+	88	79
+	74	92
+	4	67	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	79
+	74	92
+	3	67	80	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	88	79
+	67	80
+	82	70
+	4	88	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	80
+	82	70
+	3	88	79	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	219	67
+	228	89
+	213	77
+	4	219	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	89
+	213	77
+	3	219	67	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	77
+	202	59
+	219	67
+	4	213	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	59
+	219	67
+	3	213	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	229
+	101	226
+	100	241
+	4	68	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	226
+	100	241
+	3	68	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	226
+	68	229
+	69	214
+	4	101	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	229
+	69	214
+	3	101	226	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	42	134
+	66	134
+	58	151
+	4	42	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	134
+	58	151
+	3	42	134	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	66	134
+	42	134
+	51	120
+	4	66	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	134
+	51	120
+	3	66	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	56
+	168	46
+	185	51
+	4	182	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	46
+	185	51
+	3	182	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	46
+	182	56
+	166	48
+	4	168	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	56
+	166	48
+	3	168	46	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	59
+	213	77
+	198	66
+	4	202	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	77
+	198	66
+	3	202	59	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	66
+	185	51
+	202	59
+	4	198	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	51
+	202	59
+	3	198	66	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	49
+	115	53
+	132	47
+	4	134	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	53
+	132	47
+	3	134	49	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	116
+	247	147
+	238	131
+	4	252	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	147
+	238	131
+	3	252	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	238	131
+	240	102
+	252	116
+	4	238	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	102
+	252	116
+	3	238	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	51
+	198	66
+	182	56
+	4	185	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	66
+	182	56
+	3	185	51	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	82	70
+	103	67
+	88	79
+	4	82	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	67
+	88	79
+	3	82	70	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	67
+	82	70
+	98	60
+	4	103	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	70
+	98	60
+	3	103	67	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	46	183
+	75	182
+	71	199
+	4	46	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	182
+	71	199
+	3	46	183	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	75	182
+	46	183
+	51	167
+	4	75	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	183
+	51	167
+	3	75	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	57
+	98	60
+	115	53
+	4	118	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	60
+	115	53
+	3	118	57	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	53
+	134	49
+	118	57
+	4	115	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	49
+	118	57
+	3	115	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	238
+	173	259
+	173	246
+	4	208	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	259
+	173	246
+	3	208	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	260
+	173	246
+	173	259
+	4	136	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	246
+	173	259
+	3	136	260	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	60
+	118	57
+	103	67
+	4	98	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	57
+	103	67
+	3	98	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	61
+	166	48
+	182	56
+	4	178	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	48
+	182	56
+	3	178	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	48
+	178	61
+	164	51
+	4	166	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	61
+	164	51
+	3	166	48	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	246
+	136	260
+	136	247
+	4	173	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	260
+	136	247
+	3	173	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	51
+	118	57
+	134	49
+	4	137	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	57
+	134	49
+	3	137	51	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	120
+	75	118
+	66	134
+	4	51	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	118
+	66	134
+	3	51	120	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	75	118
+	51	120
+	62	105
+	4	75	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	120
+	62	105
+	3	75	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	64
+	164	51
+	178	61
+	4	171	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	51
+	178	61
+	3	171	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	51
+	171	64
+	161	52
+	4	164	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	64
+	161	52
+	3	164	51	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	240	102
+	238	131
+	228	115
+	4	240	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	131
+	228	115
+	3	240	102	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	228	115
+	228	89
+	240	102
+	4	228	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	89
+	240	102
+	3	228	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	210
+	208	238
+	207	224
+	4	238	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	238
+	207	224
+	3	238	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	224
+	235	195
+	238	210
+	4	207	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	195
+	238	210
+	3	207	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	57
+	137	51
+	124	62
+	4	118	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	51
+	124	62
+	3	118	57	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	53
+	124	62
+	137	51
+	4	140	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	62
+	137	51
+	3	140	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	163
+	235	195
+	231	178
+	4	253	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	195
+	231	178
+	3	253	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	178
+	247	147
+	253	163
+	4	231	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	147
+	253	163
+	3	231	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	72
+	182	56
+	198	66
+	4	191	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	56
+	198	66
+	3	191	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	56
+	191	72
+	178	61
+	4	182	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	72
+	178	61
+	3	182	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	67
+	161	52
+	171	64
+	4	164	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	52
+	171	64
+	3	164	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	52
+	164	67
+	157	54
+	4	161	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	67
+	157	54
+	3	161	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	246
+	207	224
+	208	238
+	4	173	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	224
+	208	238
+	3	173	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	54
+	130	65
+	140	53
+	4	144	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	65
+	140	53
+	3	144	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	62
+	140	53
+	130	65
+	4	124	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	53
+	130	65
+	3	124	62	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	62
+	103	67
+	118	57
+	4	124	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	67
+	118	57
+	3	124	62	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	228	89
+	228	115
+	217	100
+	4	228	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	115
+	217	100
+	3	228	89	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	217	100
+	213	77
+	228	89
+	4	217	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	77
+	228	89
+	3	217	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	68
+	157	54
+	164	67
+	4	155	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	54
+	164	67
+	3	155	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	54
+	155	68
+	153	54
+	4	157	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	68
+	153	54
+	3	157	54	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	85
+	198	66
+	213	77
+	4	205	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	66
+	213	77
+	3	205	85	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	66
+	205	85
+	191	72
+	4	198	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	85
+	191	72
+	3	198	66	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	214
+	102	210
+	101	226
+	4	69	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	210
+	101	226
+	3	69	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	210
+	69	214
+	71	199
+	4	102	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	214
+	71	199
+	3	102	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	54
+	138	67
+	144	54
+	4	148	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	67
+	144	54
+	3	148	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	65
+	144	54
+	138	67
+	4	130	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	54
+	138	67
+	3	130	65	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	62	105
+	86	102
+	75	118
+	4	62	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	102
+	75	118
+	3	62	105	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	86	102
+	62	105
+	74	92
+	4	86	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	105
+	74	92
+	3	86	102	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	213	77
+	217	100
+	205	85
+	4	213	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	100
+	205	85
+	3	213	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	68
+	153	54
+	155	68
+	4	147	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	54
+	155	68
+	3	147	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	54
+	147	68
+	148	54
+	4	153	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	68
+	148	54
+	3	153	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	241
+	136	232
+	136	247
+	4	100	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	232
+	136	247
+	3	100	241	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	232
+	100	241
+	101	226
+	4	136	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	241
+	101	226
+	3	136	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	67
+	148	54
+	147	68
+	4	138	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	54
+	147	68
+	3	138	67	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	167
+	80	164
+	75	182
+	4	51	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	164
+	75	182
+	3	51	167	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	80	164
+	51	167
+	58	151
+	4	80	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	167
+	58	151
+	3	80	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	74
+	88	79
+	103	67
+	4	110	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	79
+	103	67
+	3	110	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	67
+	124	62
+	110	74
+	4	103	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	62
+	110	74
+	3	103	67	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	74	92
+	98	87
+	86	102
+	4	74	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	87
+	86	102
+	3	74	92	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	98	87
+	74	92
+	88	79
+	4	98	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	92
+	88	79
+	3	98	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	78
+	178	61
+	191	72
+	4	182	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	61
+	191	72
+	3	182	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	61
+	182	78
+	171	64
+	4	178	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	78
+	171	64
+	3	178	61	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	79
+	110	74
+	98	87
+	4	88	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	74
+	98	87
+	3	88	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	147
+	231	178
+	226	161
+	4	247	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	178
+	226	161
+	3	247	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	161
+	238	131
+	247	147
+	4	226	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	131
+	247	147
+	3	226	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	65
+	110	74
+	124	62
+	4	130	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	74
+	124	62
+	3	130	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	224
+	173	246
+	173	231
+	4	207	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	246
+	173	231
+	3	207	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	247
+	173	231
+	173	246
+	4	136	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	231
+	173	246
+	3	136	247	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	195
+	207	224
+	206	207
+	4	235	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	224
+	206	207
+	3	235	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	207
+	231	178
+	235	195
+	4	206	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	178
+	235	195
+	3	206	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	231
+	136	247
+	136	232
+	4	173	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	247
+	136	232
+	3	173	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	82
+	171	64
+	182	78
+	4	171	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	64
+	182	78
+	3	171	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	64
+	171	82
+	164	67
+	4	171	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	82
+	164	67
+	3	171	64	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	58	151
+	86	146
+	80	164
+	4	58	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	146
+	80	164
+	3	58	151	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	86	146
+	58	151
+	66	134
+	4	86	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	151
+	66	134
+	3	86	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	93
+	191	72
+	205	85
+	4	192	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	72
+	205	85
+	3	192	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	72
+	192	93
+	182	78
+	4	191	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	93
+	182	78
+	3	191	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	67
+	120	79
+	130	65
+	4	138	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	79
+	130	65
+	3	138	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	74
+	130	65
+	120	79
+	4	110	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	65
+	120	79
+	3	110	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	131
+	226	161
+	219	144
+	4	238	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	161
+	219	144
+	3	238	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	144
+	228	115
+	238	131
+	4	219	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	115
+	238	131
+	3	219	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	231
+	206	207
+	207	224
+	4	173	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	207
+	207	224
+	3	173	231	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	71	199
+	104	192
+	102	210
+	4	71	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	192
+	102	210
+	3	71	199	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	192
+	71	199
+	75	182
+	4	104	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	199
+	75	182
+	3	104	192	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	79
+	98	87
+	110	74
+	4	120	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	87
+	110	74
+	3	120	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	84
+	164	67
+	171	82
+	4	158	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	67
+	171	82
+	3	158	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	67
+	158	84
+	155	68
+	4	164	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	84
+	155	68
+	3	164	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	68
+	132	82
+	138	67
+	4	147	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	82
+	138	67
+	3	147	68	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	79
+	138	67
+	132	82
+	4	120	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	67
+	132	82
+	3	120	79	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	202	109
+	205	85
+	217	100
+	4	202	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	85
+	217	100
+	3	202	109	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	205	85
+	202	109
+	192	93
+	4	205	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	109
+	192	93
+	3	205	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	115
+	219	144
+	211	126
+	4	228	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	144
+	211	126
+	3	228	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	211	126
+	217	100
+	228	115
+	4	211	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	100
+	228	115
+	3	211	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	226
+	137	215
+	136	232
+	4	101	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	215
+	136	232
+	3	101	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	215
+	101	226
+	102	210
+	4	137	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	226
+	102	210
+	3	137	215	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	66	134
+	94	128
+	86	146
+	4	66	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	128
+	86	146
+	3	66	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	128
+	66	134
+	75	118
+	4	94	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	134
+	75	118
+	3	94	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	217	100
+	211	126
+	202	109
+	4	217	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	126
+	202	109
+	3	217	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	84
+	155	68
+	158	84
+	4	145	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	68
+	158	84
+	3	145	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	68
+	145	84
+	147	68
+	4	155	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	84
+	147	68
+	3	155	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	82
+	147	68
+	145	84
+	4	132	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	68
+	145	84
+	3	132	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	178
+	206	207
+	203	190
+	4	231	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	207
+	203	190
+	3	231	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	190
+	226	161
+	231	178
+	4	203	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	161
+	231	178
+	3	203	190	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	111	94
+	86	102
+	98	87
+	4	111	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	102
+	98	87
+	3	111	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	87
+	120	79
+	111	94
+	4	98	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	79
+	111	94
+	3	98	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	98
+	182	78
+	192	93
+	4	178	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	78
+	192	93
+	3	178	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	78
+	178	98
+	171	82
+	4	182	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	98
+	171	82
+	3	182	78	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	75	118
+	102	111
+	94	128
+	4	75	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	111
+	94	128
+	3	75	118	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	102	111
+	75	118
+	86	102
+	4	102	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	118
+	86	102
+	3	102	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	86	102
+	111	94
+	102	111
+	4	86	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	94
+	102	111
+	3	86	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	82
+	111	94
+	120	79
+	4	132	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	94
+	120	79
+	3	132	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	207
+	173	231
+	172	214
+	4	206	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	231
+	172	214
+	3	206	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	232
+	172	214
+	173	231
+	4	136	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	214
+	173	231
+	3	136	232	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	75	182
+	108	174
+	104	192
+	4	75	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	104	192
+	3	75	182	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	108	174
+	75	182
+	80	164
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	182
+	80	164
+	3	108	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	214
+	136	232
+	137	215
+	4	172	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	232
+	137	215
+	3	172	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	214
+	203	190
+	206	207
+	4	172	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	190
+	206	207
+	3	172	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	161
+	203	190
+	200	172
+	4	226	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	190
+	200	172
+	3	226	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	172
+	219	144
+	226	161
+	4	200	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	144
+	226	161
+	3	200	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	101
+	171	82
+	178	98
+	4	161	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	82
+	178	98
+	3	161	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	82
+	161	101
+	158	84
+	4	171	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	101
+	158	84
+	3	171	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	116
+	192	93
+	202	109
+	4	184	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	93
+	202	109
+	3	184	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	93
+	184	116
+	178	98
+	4	192	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	116
+	178	98
+	3	192	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	84
+	126	99
+	132	82
+	4	145	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	99
+	132	82
+	3	145	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	94
+	132	82
+	126	99
+	4	111	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	82
+	126	99
+	3	111	94	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	102	210
+	137	197
+	137	215
+	4	102	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	197
+	137	215
+	3	102	210	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	137	197
+	102	210
+	104	192
+	4	137	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	210
+	104	192
+	3	137	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	99
+	102	111
+	111	94
+	4	126	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	111
+	111	94
+	3	126	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	101
+	158	84
+	161	101
+	4	143	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	84
+	161	101
+	3	143	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	84
+	143	101
+	145	84
+	4	158	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	101
+	145	84
+	3	158	84	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	80	164
+	111	155
+	108	174
+	4	80	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	155
+	108	174
+	3	80	164	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	111	155
+	80	164
+	86	146
+	4	111	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	164
+	86	146
+	3	111	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	99
+	145	84
+	143	101
+	4	126	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	84
+	143	101
+	3	126	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	144
+	200	172
+	195	153
+	4	219	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	172
+	195	153
+	3	219	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	153
+	211	126
+	219	144
+	4	195	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	126
+	219	144
+	3	195	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	134
+	202	109
+	211	126
+	4	190	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	109
+	211	126
+	3	190	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	109
+	190	134
+	184	116
+	4	202	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	134
+	184	116
+	3	202	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	126
+	195	153
+	190	134
+	4	211	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	153
+	190	134
+	3	211	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	121	117
+	94	128
+	102	111
+	4	121	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	128
+	102	111
+	3	121	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	111
+	126	99
+	121	117
+	4	102	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	99
+	121	117
+	3	102	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	190
+	172	214
+	171	197
+	4	203	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	214
+	171	197
+	3	203	190	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	137	215
+	171	197
+	172	214
+	4	137	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	197
+	172	214
+	3	137	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	197
+	200	172
+	203	190
+	4	171	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	172
+	203	190
+	3	171	197	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	86	146
+	116	136
+	111	155
+	4	86	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	136
+	111	155
+	3	86	146	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	116	136
+	86	146
+	94	128
+	4	116	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	146
+	94	128
+	3	116	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	119
+	178	98
+	184	116
+	4	163	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	98
+	184	116
+	3	163	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	98
+	163	119
+	161	101
+	4	178	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	119
+	161	101
+	3	178	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	197
+	137	215
+	137	197
+	4	171	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	215
+	137	197
+	3	171	197	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	94	128
+	121	117
+	116	136
+	4	94	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	117
+	116	136
+	3	94	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	101
+	121	117
+	126	99
+	4	143	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	117
+	126	99
+	3	143	101	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	104	192
+	138	178
+	137	197
+	4	104	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	137	197
+	3	104	192	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	138	178
+	104	192
+	108	174
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	192
+	108	174
+	3	138	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	120
+	161	101
+	163	119
+	4	142	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	101
+	163	119
+	3	142	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	101
+	142	120
+	143	101
+	4	161	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	120
+	143	101
+	3	161	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	117
+	143	101
+	142	120
+	4	121	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	101
+	142	120
+	3	121	117	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	200	172
+	171	197
+	170	178
+	4	200	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	197
+	170	178
+	3	200	172	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	170	178
+	195	153
+	200	172
+	4	170	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	153
+	200	172
+	3	170	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	139
+	184	116
+	190	134
+	4	166	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	116
+	190	134
+	3	166	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	116
+	166	139
+	163	119
+	4	184	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	139
+	163	119
+	3	184	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	137	197
+	170	178
+	171	197
+	4	137	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	178
+	171	197
+	3	137	197	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	142	120
+	116	136
+	121	117
+	4	142	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	136
+	121	117
+	3	142	120	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	108	174
+	139	159
+	138	178
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	159
+	138	178
+	3	108	174	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	139	159
+	108	174
+	111	155
+	4	139	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	111	155
+	3	139	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	153
+	170	178
+	168	158
+	4	195	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	178
+	168	158
+	3	195	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	158
+	190	134
+	195	153
+	4	168	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	134
+	195	153
+	3	168	158	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	170	178
+	137	197
+	138	178
+	4	170	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	197
+	138	178
+	3	170	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	134
+	168	158
+	166	139
+	4	190	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	158
+	166	139
+	3	190	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	139
+	111	155
+	116	136
+	4	140	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	155
+	116	136
+	3	140	139	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	116	136
+	142	120
+	140	139
+	4	116	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	120
+	140	139
+	3	116	136	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	111	155
+	140	139
+	139	159
+	4	111	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	139
+	139	159
+	3	111	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	139
+	163	119
+	166	139
+	4	140	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	119
+	166	139
+	3	140	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	119
+	140	139
+	142	120
+	4	163	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	139
+	142	120
+	3	163	119	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	138	178
+	168	158
+	170	178
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	158
+	170	178
+	3	138	178	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	168	158
+	138	178
+	139	159
+	4	168	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	139	159
+	3	168	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	159
+	166	139
+	168	158
+	4	139	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	139
+	168	158
+	3	139	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	139
+	139	159
+	140	139
+	4	166	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	159
+	140	139
+	3	166	139	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3doptpts.ps b/books/ps/3doptpts.ps
new file mode 100644
index 0000000..055d971
--- /dev/null
+++ b/books/ps/3doptpts.ps
@@ -0,0 +1,3468 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	16	255	255	85	psDrawLine
+	globGC	(X)	11	260	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	283	255	44	85	psDrawLine
+	globGC	(Y)	288	260	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	19	150	262	psDrawLine
+	globGC	(Z)	155	14	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.812500	setForeground
+	renderGC
+	161	113
+	150	72
+	166	72
+	4	161	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	72
+	166	72
+	3	161	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	72
+	161	113
+	150	113
+	4	150	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	113
+	150	113
+	3	150	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	78
+	166	72
+	150	72
+	4	150	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	72
+	150	72
+	3	150	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	113
+	133	72
+	150	72
+	4	150	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	72
+	150	72
+	3	150	113	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	72
+	137	79
+	150	78
+	4	150	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	79
+	150	78
+	3	150	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	79
+	150	72
+	133	72
+	4	137	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	72
+	133	72
+	3	137	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	115
+	166	72
+	182	74
+	4	173	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	72
+	182	74
+	3	173	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	72
+	173	115
+	161	113
+	4	166	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	115
+	161	113
+	3	166	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	79
+	182	74
+	166	72
+	4	162	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	74
+	166	72
+	3	162	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	72
+	150	78
+	162	79
+	4	166	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	78
+	162	79
+	3	166	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	72
+	150	113
+	138	113
+	4	133	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	113
+	138	113
+	3	133	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	113
+	117	74
+	133	72
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	74
+	133	72
+	3	138	113	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	133	72
+	125	80
+	137	79
+	4	133	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	80
+	137	79
+	3	133	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	80
+	133	72
+	117	74
+	4	125	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	72
+	117	74
+	3	125	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	117
+	182	74
+	198	78
+	4	184	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	74
+	198	78
+	3	184	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	74
+	184	117
+	173	115
+	4	182	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	117
+	173	115
+	3	182	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	80
+	198	78
+	182	74
+	4	174	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	78
+	182	74
+	3	174	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	74
+	162	79
+	174	80
+	4	182	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	79
+	174	80
+	3	182	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	74
+	138	113
+	126	115
+	4	117	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	126	115
+	3	117	74	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	115
+	101	78
+	117	74
+	4	126	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	78
+	117	74
+	3	126	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	117	74
+	114	83
+	125	80
+	4	117	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	83
+	125	80
+	3	117	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	83
+	117	74
+	101	78
+	4	114	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	74
+	101	78
+	3	114	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	121
+	198	78
+	213	82
+	4	195	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	78
+	213	82
+	3	195	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	78
+	195	121
+	184	117
+	4	198	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	121
+	184	117
+	3	198	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	83
+	213	82
+	198	78
+	4	185	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	82
+	198	78
+	3	185	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	78
+	174	80
+	185	83
+	4	198	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	80
+	185	83
+	3	198	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	78
+	126	115
+	115	117
+	4	101	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	115
+	115	117
+	3	101	78	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	115	117
+	86	82
+	101	78
+	4	115	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	82
+	101	78
+	3	115	117	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	101	78
+	102	86
+	114	83
+	4	101	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	86
+	114	83
+	3	101	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	86
+	101	78
+	86	82
+	4	102	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	78
+	86	82
+	3	102	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	79
+	150	113
+	161	113
+	4	162	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	113
+	161	113
+	3	162	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	113
+	162	79
+	150	78
+	4	150	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	79
+	150	78
+	3	150	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	78
+	138	113
+	150	113
+	4	150	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	150	113
+	3	150	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	80
+	161	113
+	173	115
+	4	174	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	113
+	173	115
+	3	174	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	113
+	174	80
+	162	79
+	4	161	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	80
+	162	79
+	3	161	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	113
+	150	78
+	137	79
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	78
+	137	79
+	3	138	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	79
+	126	115
+	138	113
+	4	137	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	115
+	138	113
+	3	137	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	125
+	213	82
+	228	88
+	4	205	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	82
+	228	88
+	3	205	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	82
+	205	125
+	195	121
+	4	213	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	125
+	195	121
+	3	213	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	86
+	228	88
+	213	82
+	4	197	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	88
+	213	82
+	3	197	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	82
+	185	83
+	197	86
+	4	213	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	83
+	197	86
+	3	213	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	82
+	115	117
+	105	121
+	4	86	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	117
+	105	121
+	3	86	82	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	105	121
+	71	88
+	86	82
+	4	105	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	88
+	86	82
+	3	105	121	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	86	82
+	92	90
+	102	86
+	4	86	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	90
+	102	86
+	3	86	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	90
+	86	82
+	71	88
+	4	92	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	82
+	71	88
+	3	92	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	83
+	173	115
+	184	117
+	4	185	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	115
+	184	117
+	3	185	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	115
+	185	83
+	174	80
+	4	173	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	83
+	174	80
+	3	173	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	115
+	137	79
+	125	80
+	4	126	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	79
+	125	80
+	3	126	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	80
+	115	117
+	126	115
+	4	125	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	117
+	126	115
+	3	125	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	86
+	184	117
+	195	121
+	4	197	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	117
+	195	121
+	3	197	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	117
+	197	86
+	185	83
+	4	184	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	86
+	185	83
+	3	184	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	117
+	125	80
+	114	83
+	4	115	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	80
+	114	83
+	3	115	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	83
+	105	121
+	115	117
+	4	114	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	121
+	115	117
+	3	114	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	131
+	228	88
+	241	95
+	4	214	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	88
+	241	95
+	3	214	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	88
+	214	131
+	205	125
+	4	228	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	131
+	205	125
+	3	228	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	90
+	241	95
+	228	88
+	4	207	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	95
+	228	88
+	3	207	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	88
+	197	86
+	207	90
+	4	228	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	86
+	207	90
+	3	228	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	88
+	105	121
+	94	125
+	4	71	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	121
+	94	125
+	3	71	88	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	94	125
+	58	95
+	71	88
+	4	94	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	95
+	71	88
+	3	94	125	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	71	88
+	82	96
+	92	90
+	4	71	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	96
+	92	90
+	3	71	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	96
+	71	88
+	58	95
+	4	82	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	88
+	58	95
+	3	82	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	90
+	195	121
+	205	125
+	4	207	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	121
+	205	125
+	3	207	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	121
+	207	90
+	197	86
+	4	195	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	90
+	197	86
+	3	195	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	121
+	114	83
+	102	86
+	4	105	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	83
+	102	86
+	3	105	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	86
+	94	125
+	105	121
+	4	102	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	125
+	105	121
+	3	102	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	96
+	205	125
+	214	131
+	4	217	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	125
+	214	131
+	3	217	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	125
+	217	96
+	207	90
+	4	205	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	96
+	207	90
+	3	205	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	125
+	102	86
+	92	90
+	4	94	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	86
+	92	90
+	3	94	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	95
+	94	125
+	85	131
+	4	58	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	125
+	85	131
+	3	58	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	90
+	85	131
+	94	125
+	4	92	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	131
+	94	125
+	3	92	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	137
+	241	95
+	254	104
+	4	223	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	95
+	254	104
+	3	223	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	241	95
+	223	137
+	214	131
+	4	241	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	137
+	214	131
+	3	241	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	96
+	254	104
+	241	95
+	4	217	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	104
+	241	95
+	3	217	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	95
+	207	90
+	217	96
+	4	241	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	90
+	217	96
+	3	241	95	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	85	131
+	45	104
+	58	95
+	4	85	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	104
+	58	95
+	3	85	131	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	58	95
+	73	102
+	82	96
+	4	58	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	102
+	82	96
+	3	58	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	102
+	58	95
+	45	104
+	4	73	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	95
+	45	104
+	3	73	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	102
+	214	131
+	223	137
+	4	226	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	131
+	223	137
+	3	226	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	131
+	226	102
+	217	96
+	4	214	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	102
+	217	96
+	3	214	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	131
+	92	90
+	82	96
+	4	85	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	90
+	82	96
+	3	85	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	104
+	85	131
+	76	137
+	4	45	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	131
+	76	137
+	3	45	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	96
+	76	137
+	85	131
+	4	82	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	137
+	85	131
+	3	82	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	144
+	254	104
+	265	113
+	4	230	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	104
+	265	113
+	3	230	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	254	104
+	230	144
+	223	137
+	4	254	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	144
+	223	137
+	3	254	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	102
+	265	113
+	254	104
+	4	226	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	113
+	254	104
+	3	226	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	254	104
+	217	96
+	226	102
+	4	254	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	96
+	226	102
+	3	254	104	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	76	137
+	34	113
+	45	104
+	4	76	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	113
+	45	104
+	3	76	137	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	45	104
+	65	109
+	73	102
+	4	45	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	109
+	73	102
+	3	45	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	65	109
+	45	104
+	34	113
+	4	65	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	104
+	34	113
+	3	65	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	109
+	223	137
+	230	144
+	4	234	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	137
+	230	144
+	3	234	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	137
+	234	109
+	226	102
+	4	223	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	109
+	226	102
+	3	223	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	137
+	82	96
+	73	102
+	4	76	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	96
+	73	102
+	3	76	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	34	113
+	76	137
+	69	144
+	4	34	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	137
+	69	144
+	3	34	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	102
+	69	144
+	76	137
+	4	73	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	144
+	76	137
+	3	73	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	265	113
+	236	151
+	230	144
+	4	265	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	151
+	230	144
+	3	265	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	116
+	230	144
+	236	151
+	4	241	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	144
+	236	151
+	3	241	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	144
+	241	116
+	234	109
+	4	230	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	116
+	234	109
+	3	230	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	144
+	73	102
+	65	109
+	4	69	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	102
+	65	109
+	3	69	144	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	69	144
+	24	124
+	34	113
+	4	69	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	124
+	34	113
+	3	69	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	24	124
+	69	144
+	63	151
+	4	24	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	144
+	63	151
+	3	24	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	109
+	63	151
+	69	144
+	4	65	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	151
+	69	144
+	3	65	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	151
+	265	113
+	275	124
+	4	236	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	113
+	275	124
+	3	236	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	109
+	275	124
+	265	113
+	4	234	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	124
+	265	113
+	3	234	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	265	113
+	226	102
+	234	109
+	4	265	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	102
+	234	109
+	3	265	113	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	34	113
+	58	116
+	65	109
+	4	34	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	116
+	65	109
+	3	34	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	58	116
+	34	113
+	24	124
+	4	58	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	113
+	24	124
+	3	58	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	275	124
+	241	159
+	236	151
+	4	275	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	159
+	236	151
+	3	275	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	246	124
+	236	151
+	241	159
+	4	246	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	151
+	241	159
+	3	246	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	151
+	246	124
+	241	116
+	4	236	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	124
+	241	116
+	3	236	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	151
+	65	109
+	58	116
+	4	63	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	109
+	58	116
+	3	63	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	63	151
+	16	135
+	24	124
+	4	63	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	135
+	24	124
+	3	63	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	16	135
+	63	151
+	58	159
+	4	16	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	151
+	58	159
+	3	16	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	116
+	58	159
+	63	151
+	4	58	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	159
+	63	151
+	3	58	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	159
+	275	124
+	283	135
+	4	241	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	124
+	283	135
+	3	241	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	116
+	283	135
+	275	124
+	4	241	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	135
+	275	124
+	3	241	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	275	124
+	234	109
+	241	116
+	4	275	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	109
+	241	116
+	3	275	124	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	24	124
+	53	124
+	58	116
+	4	24	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	124
+	58	116
+	3	24	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	53	124
+	24	124
+	16	135
+	4	53	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	124
+	16	135
+	3	53	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	283	135
+	245	168
+	241	159
+	4	283	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	168
+	241	159
+	3	283	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	133
+	241	159
+	245	168
+	4	250	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	159
+	245	168
+	3	250	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	159
+	250	133
+	246	124
+	4	241	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	133
+	246	124
+	3	241	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	159
+	58	116
+	53	124
+	4	58	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	116
+	53	124
+	3	58	159	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	58	159
+	11	147
+	16	135
+	4	58	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	147
+	16	135
+	3	58	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	11	147
+	58	159
+	54	168
+	4	11	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	159
+	54	168
+	3	11	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	53	124
+	54	168
+	58	159
+	4	53	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	168
+	58	159
+	3	53	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	289	147
+	247	177
+	245	168
+	4	289	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	177
+	245	168
+	3	289	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	142
+	245	168
+	247	177
+	4	252	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	168
+	247	177
+	3	252	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	168
+	252	142
+	250	133
+	4	245	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	142
+	250	133
+	3	245	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	168
+	283	135
+	289	147
+	4	245	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	135
+	289	147
+	3	245	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	168
+	53	124
+	49	133
+	4	54	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	124
+	49	133
+	3	54	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	168
+	7	160
+	11	147
+	4	54	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	160
+	11	147
+	3	54	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	7	160
+	54	168
+	52	177
+	4	7	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	168
+	52	177
+	3	7	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	133
+	52	177
+	54	168
+	4	49	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	177
+	54	168
+	3	49	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	124
+	289	147
+	283	135
+	4	246	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	147
+	283	135
+	3	246	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	283	135
+	241	116
+	246	124
+	4	283	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	116
+	246	124
+	3	283	135	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	16	135
+	49	133
+	53	124
+	4	16	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	133
+	53	124
+	3	16	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	49	133
+	16	135
+	11	147
+	4	49	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	135
+	11	147
+	3	49	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	292	160
+	247	187
+	247	177
+	4	292	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	187
+	247	177
+	3	292	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	152
+	247	177
+	247	187
+	4	252	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	177
+	247	187
+	3	252	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	177
+	252	152
+	252	142
+	4	247	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	152
+	252	142
+	3	247	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	177
+	289	147
+	292	160
+	4	247	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	147
+	292	160
+	3	247	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	177
+	49	133
+	47	142
+	4	52	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	133
+	47	142
+	3	52	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	52	177
+	5	174
+	7	160
+	4	52	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	174
+	7	160
+	3	52	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	5	174
+	52	177
+	52	187
+	4	5	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	177
+	52	187
+	3	5	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	47	142
+	52	187
+	52	177
+	4	47	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	187
+	52	177
+	3	47	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	133
+	292	160
+	289	147
+	4	250	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	160
+	289	147
+	3	250	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	289	147
+	246	124
+	250	133
+	4	289	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	124
+	250	133
+	3	289	147	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	11	147
+	47	142
+	49	133
+	4	11	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	142
+	49	133
+	3	11	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	47	142
+	11	147
+	7	160
+	4	47	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	147
+	7	160
+	3	47	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	294	174
+	246	196
+	247	187
+	4	294	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	196
+	247	187
+	3	294	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	251	161
+	247	187
+	246	196
+	4	251	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	187
+	246	196
+	3	251	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	187
+	251	161
+	252	152
+	4	247	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	161
+	252	152
+	3	247	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	187
+	292	160
+	294	174
+	4	247	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	160
+	294	174
+	3	247	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	187
+	47	142
+	47	152
+	4	52	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	142
+	47	152
+	3	52	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	52	187
+	6	187
+	5	174
+	4	52	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	187
+	5	174
+	3	52	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	6	187
+	52	187
+	53	196
+	4	6	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	187
+	53	196
+	3	6	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	47	152
+	53	196
+	52	187
+	4	47	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	196
+	52	187
+	3	47	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	142
+	294	174
+	292	160
+	4	252	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	174
+	292	160
+	3	252	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	292	160
+	250	133
+	252	142
+	4	292	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	133
+	252	142
+	3	292	160	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	7	160
+	47	152
+	47	142
+	4	7	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	152
+	47	142
+	3	7	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	47	152
+	7	160
+	5	174
+	4	47	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	160
+	5	174
+	3	47	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	293	187
+	243	205
+	246	196
+	4	293	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	205
+	246	196
+	3	293	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	170
+	246	196
+	243	205
+	4	248	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	196
+	243	205
+	3	248	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	196
+	248	170
+	251	161
+	4	246	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	170
+	251	161
+	3	246	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	196
+	294	174
+	293	187
+	4	246	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	174
+	293	187
+	3	246	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	196
+	47	152
+	48	161
+	4	53	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	152
+	48	161
+	3	53	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	53	196
+	10	201
+	6	187
+	4	53	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	201
+	6	187
+	3	53	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	10	201
+	53	196
+	56	205
+	4	10	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	196
+	56	205
+	3	10	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	161
+	56	205
+	53	196
+	4	48	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	205
+	53	196
+	3	48	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	289	201
+	238	214
+	243	205
+	4	289	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	214
+	243	205
+	3	289	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	179
+	243	205
+	238	214
+	4	243	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	205
+	238	214
+	3	243	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	205
+	243	179
+	248	170
+	4	243	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	179
+	248	170
+	3	243	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	205
+	293	187
+	289	201
+	4	243	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	187
+	289	201
+	3	243	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	205
+	48	161
+	51	170
+	4	56	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	161
+	51	170
+	3	56	205	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	56	205
+	16	215
+	10	201
+	4	56	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	215
+	10	201
+	3	56	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	16	215
+	56	205
+	61	214
+	4	16	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	205
+	61	214
+	3	16	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	170
+	61	214
+	56	205
+	4	51	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	214
+	56	205
+	3	51	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	152
+	293	187
+	294	174
+	4	252	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	187
+	294	174
+	3	252	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	294	174
+	252	142
+	252	152
+	4	294	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	142
+	252	152
+	3	294	174	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	5	174
+	48	161
+	47	152
+	4	5	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	161
+	47	152
+	3	5	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	48	161
+	5	174
+	6	187
+	4	48	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	174
+	6	187
+	3	48	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	283	215
+	232	223
+	238	214
+	4	283	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	223
+	238	214
+	3	283	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	236	188
+	238	214
+	232	223
+	4	236	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	214
+	232	223
+	3	236	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	214
+	236	188
+	243	179
+	4	238	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	188
+	243	179
+	3	238	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	214
+	289	201
+	283	215
+	4	238	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	201
+	283	215
+	3	238	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	214
+	51	170
+	56	179
+	4	61	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	170
+	56	179
+	3	61	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	61	214
+	26	227
+	16	215
+	4	61	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	227
+	16	215
+	3	61	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	26	227
+	61	214
+	67	223
+	4	26	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	214
+	67	223
+	3	26	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	179
+	67	223
+	61	214
+	4	56	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	223
+	61	214
+	3	56	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	227
+	223	231
+	232	223
+	4	273	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	231
+	232	223
+	3	273	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	197
+	232	223
+	223	231
+	4	227	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	223
+	223	231
+	3	227	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	223
+	227	197
+	236	188
+	4	232	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	197
+	236	188
+	3	232	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	223
+	283	215
+	273	227
+	4	232	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	215
+	273	227
+	3	232	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	223
+	56	179
+	63	188
+	4	67	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	179
+	63	188
+	3	67	223	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	223
+	37	240
+	26	227
+	4	67	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	240
+	26	227
+	3	67	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	240
+	67	223
+	75	231
+	4	37	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	223
+	75	231
+	3	37	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	188
+	75	231
+	67	223
+	4	63	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	231
+	67	223
+	3	63	188	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	251	161
+	289	201
+	293	187
+	4	251	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	201
+	293	187
+	3	251	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	293	187
+	252	152
+	251	161
+	4	293	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	152
+	251	161
+	3	293	187	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	6	187
+	51	170
+	48	161
+	4	6	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	170
+	48	161
+	3	6	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	51	170
+	6	187
+	10	201
+	4	51	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	187
+	10	201
+	3	51	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	260	241
+	214	238
+	224	230
+	4	260	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	238
+	224	230
+	3	260	241	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	203
+	224	230
+	214	238
+	4	217	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	230
+	214	238
+	3	217	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	230
+	217	203
+	228	196
+	4	224	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	203
+	228	196
+	3	224	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	231
+	63	188
+	71	196
+	4	75	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	188
+	71	196
+	3	75	231	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	231
+	52	250
+	37	240
+	4	75	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	250
+	37	240
+	3	75	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	250
+	75	231
+	85	238
+	4	52	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	231
+	85	238
+	3	52	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	196
+	85	238
+	75	231
+	4	71	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	238
+	75	231
+	3	71	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	231
+	273	227
+	263	238
+	4	223	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	227
+	263	238
+	3	223	231	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	289	201
+	251	161
+	248	170
+	4	289	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	161
+	248	170
+	3	289	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	238
+	71	196
+	82	203
+	4	85	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	196
+	82	203
+	3	85	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	85	238
+	68	260
+	52	250
+	4	85	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	260
+	52	250
+	3	85	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	260
+	85	238
+	96	244
+	4	68	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	238
+	96	244
+	3	68	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	203
+	96	244
+	85	238
+	4	82	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	244
+	85	238
+	3	82	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	250
+	203	244
+	214	238
+	4	247	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	244
+	214	238
+	3	247	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	209
+	214	238
+	203	244
+	4	206	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	238
+	203	244
+	3	206	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	238
+	206	209
+	217	203
+	4	214	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	209
+	217	203
+	3	214	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	238
+	260	241
+	247	250
+	4	214	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	241
+	247	250
+	3	214	238	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	248	170
+	283	215
+	289	201
+	4	248	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	215
+	289	201
+	3	248	170	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	10	201
+	56	179
+	51	170
+	4	10	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	179
+	51	170
+	3	10	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	56	179
+	10	201
+	16	215
+	4	56	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	201
+	16	215
+	3	56	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	244
+	82	203
+	93	209
+	4	96	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	203
+	93	209
+	3	96	244	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	244
+	87	267
+	68	260
+	4	96	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	267
+	68	260
+	3	96	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	267
+	96	244
+	109	249
+	4	87	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	244
+	109	249
+	3	87	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	209
+	109	249
+	96	244
+	4	93	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	249
+	96	244
+	3	93	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	260
+	191	249
+	203	244
+	4	231	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	249
+	203	244
+	3	231	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	214
+	203	244
+	191	249
+	4	193	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	244
+	191	249
+	3	193	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	244
+	193	214
+	206	209
+	4	203	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	214
+	206	209
+	3	203	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	244
+	247	250
+	231	260
+	4	203	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	250
+	231	260
+	3	203	244	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	283	215
+	248	170
+	243	179
+	4	283	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	170
+	243	179
+	3	283	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	249
+	93	209
+	106	214
+	4	109	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	209
+	106	214
+	3	109	249	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	249
+	107	273
+	87	267
+	4	109	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	273
+	87	267
+	3	109	249	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	273
+	109	249
+	122	252
+	4	107	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	249
+	122	252
+	3	107	273	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	214
+	122	252
+	109	249
+	4	106	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	252
+	109	249
+	3	106	214	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	267
+	177	252
+	191	249
+	4	212	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	252
+	191	249
+	3	212	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	218
+	191	249
+	177	252
+	4	179	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	249
+	177	252
+	3	179	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	249
+	179	218
+	193	214
+	4	191	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	218
+	193	214
+	3	191	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	249
+	231	260
+	212	267
+	4	191	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	260
+	212	267
+	3	191	249	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	243	179
+	273	227
+	283	215
+	4	243	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	227
+	283	215
+	3	243	179	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	16	215
+	63	188
+	56	179
+	4	16	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	188
+	56	179
+	3	16	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	63	188
+	16	215
+	26	227
+	4	63	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	215
+	26	227
+	3	63	188	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	252
+	106	214
+	120	218
+	4	122	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	214
+	120	218
+	3	122	252	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	252
+	128	277
+	107	273
+	4	122	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	277
+	107	273
+	3	122	252	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	277
+	122	252
+	135	255
+	4	128	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	252
+	135	255
+	3	128	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	218
+	135	255
+	122	252
+	4	120	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	255
+	122	252
+	3	120	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	273
+	164	255
+	177	252
+	4	192	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	255
+	177	252
+	3	192	273	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	220
+	177	252
+	164	255
+	4	164	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	252
+	164	255
+	3	164	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	252
+	164	220
+	179	218
+	4	177	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	220
+	179	218
+	3	177	252	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	252
+	212	267
+	192	273
+	4	177	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	267
+	192	273
+	3	177	252	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	255
+	120	218
+	135	220
+	4	135	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	218
+	135	220
+	3	135	255	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	255
+	150	278
+	128	277
+	4	135	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	278
+	128	277
+	3	135	255	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	278
+	135	255
+	150	255
+	4	150	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	255
+	150	255
+	3	150	278	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	220
+	150	255
+	135	255
+	4	135	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	255
+	135	255
+	3	135	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	277
+	150	255
+	164	255
+	4	171	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	255
+	164	255
+	3	171	277	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	221
+	164	255
+	150	255
+	4	150	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	255
+	150	255
+	3	150	221	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	255
+	150	221
+	164	220
+	4	164	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	221
+	164	220
+	3	164	255	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	255
+	192	273
+	171	277
+	4	164	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	273
+	171	277
+	3	164	255	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	273	227
+	243	179
+	236	188
+	4	273	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	179
+	236	188
+	3	273	227	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	255
+	135	220
+	150	221
+	4	150	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	220
+	150	221
+	3	150	255	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	255
+	171	277
+	150	278
+	4	150	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	277
+	150	278
+	3	150	255	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	263	238
+	236	188
+	227	197
+	4	263	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	188
+	227	197
+	3	263	238	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	236	188
+	263	238
+	273	227
+	4	236	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	238
+	273	227
+	3	236	188	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	26	227
+	71	196
+	63	188
+	4	26	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	196
+	63	188
+	3	26	227	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	196
+	26	227
+	37	240
+	4	71	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	227
+	37	240
+	3	71	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	250
+	228	196
+	217	203
+	4	247	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	196
+	217	203
+	3	247	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	196
+	247	250
+	260	241
+	4	228	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	250
+	260	241
+	3	228	196	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	37	240
+	82	203
+	71	196
+	4	37	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	203
+	71	196
+	3	37	240	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	203
+	37	240
+	52	250
+	4	82	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	240
+	52	250
+	3	82	203	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	52	250
+	93	209
+	82	203
+	4	52	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	209
+	82	203
+	3	52	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	260
+	217	203
+	206	209
+	4	231	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	203
+	206	209
+	3	231	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	203
+	231	260
+	247	250
+	4	217	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	260
+	247	250
+	3	217	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	209
+	52	250
+	68	260
+	4	93	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	250
+	68	260
+	3	93	209	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	68	260
+	106	214
+	93	209
+	4	68	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	214
+	93	209
+	3	68	260	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	267
+	206	209
+	193	214
+	4	212	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	209
+	193	214
+	3	212	267	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	209
+	212	267
+	231	260
+	4	206	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	267
+	231	260
+	3	206	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	214
+	68	260
+	87	267
+	4	106	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	260
+	87	267
+	3	106	214	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	87	267
+	120	218
+	106	214
+	4	87	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	218
+	106	214
+	3	87	267	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	273
+	193	214
+	179	218
+	4	192	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	214
+	179	218
+	3	192	273	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	214
+	192	273
+	212	267
+	4	193	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	273
+	212	267
+	3	193	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	218
+	87	267
+	107	273
+	4	120	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	267
+	107	273
+	3	120	218	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	107	273
+	135	220
+	120	218
+	4	107	273	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	220
+	120	218
+	3	107	273	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	277
+	179	218
+	164	220
+	4	171	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	218
+	164	220
+	3	171	277	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	218
+	171	277
+	192	273
+	4	179	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	277
+	192	273
+	3	179	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	220
+	107	273
+	128	277
+	4	135	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	273
+	128	277
+	3	135	220	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	128	277
+	150	221
+	135	220
+	4	128	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	221
+	135	220
+	3	128	277	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	278
+	164	220
+	150	221
+	4	150	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	220
+	150	221
+	3	150	278	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	220
+	150	278
+	171	277
+	4	164	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	278
+	171	277
+	3	164	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	221
+	128	277
+	150	278
+	4	150	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	277
+	150	278
+	3	150	221	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3doptrad.ps b/books/ps/3doptrad.ps
new file mode 100644
index 0000000..2f97b46
--- /dev/null
+++ b/books/ps/3doptrad.ps
@@ -0,0 +1,8748 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	16	255	255	86	psDrawLine
+	globGC	(X)	11	260	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	284	255	44	86	psDrawLine
+	globGC	(Y)	289	260	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	19	150	262	psDrawLine
+	globGC	(Z)	155	14	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	150	72
+	165	94
+	150	93
+	4	150	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	94
+	150	93
+	3	150	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	113
+	150	93
+	165	94
+	4	162	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	93
+	165	94
+	3	162	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	93
+	162	113
+	150	113
+	4	150	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	113
+	150	113
+	3	150	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	93
+	133	73
+	150	72
+	4	150	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	73
+	150	72
+	3	150	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	73
+	150	93
+	134	94
+	4	133	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	93
+	134	94
+	3	133	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	113
+	134	94
+	150	93
+	4	150	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	94
+	150	93
+	3	150	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	73
+	180	96
+	165	94
+	4	166	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	96
+	165	94
+	3	166	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	115
+	165	94
+	180	96
+	4	175	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	94
+	180	96
+	3	175	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	94
+	175	115
+	162	113
+	4	165	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	115
+	162	113
+	3	165	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	94
+	150	72
+	166	73
+	4	165	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	72
+	166	73
+	3	165	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	94
+	150	113
+	137	113
+	4	134	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	113
+	137	113
+	3	134	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	94
+	117	75
+	133	73
+	4	134	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	75
+	133	73
+	3	134	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	75
+	134	94
+	120	96
+	4	117	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	94
+	120	96
+	3	117	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	113
+	120	96
+	134	94
+	4	137	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	96
+	134	94
+	3	137	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	75
+	194	99
+	180	96
+	4	182	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	99
+	180	96
+	3	182	75	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	118
+	180	96
+	194	99
+	4	187	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	96
+	194	99
+	3	187	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	96
+	187	118
+	175	115
+	4	180	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	118
+	175	115
+	3	180	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	96
+	166	73
+	182	75
+	4	180	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	73
+	182	75
+	3	180	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	96
+	137	113
+	124	115
+	4	120	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	113
+	124	115
+	3	120	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	96
+	101	78
+	117	75
+	4	120	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	78
+	117	75
+	3	120	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	78
+	120	96
+	105	99
+	4	101	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	96
+	105	99
+	3	101	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	115
+	105	99
+	120	96
+	4	124	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	99
+	120	96
+	3	124	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	78
+	208	103
+	194	99
+	4	198	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	103
+	194	99
+	3	198	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	121
+	194	99
+	208	103
+	4	198	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	99
+	208	103
+	3	198	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	99
+	198	121
+	187	118
+	4	194	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	121
+	187	118
+	3	194	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	99
+	182	75
+	198	78
+	4	194	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	75
+	198	78
+	3	194	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	99
+	124	115
+	112	118
+	4	105	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	115
+	112	118
+	3	105	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	99
+	86	83
+	101	78
+	4	105	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	83
+	101	78
+	3	105	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	83
+	105	99
+	91	103
+	4	86	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	99
+	91	103
+	3	86	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	118
+	91	103
+	105	99
+	4	112	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	103
+	105	99
+	3	112	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	121
+	150	113
+	162	113
+	4	160	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	113
+	162	113
+	3	160	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	113
+	160	121
+	150	120
+	4	150	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	121
+	150	120
+	3	150	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	61
+	166	73
+	150	72
+	4	150	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	73
+	150	72
+	3	150	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	120
+	137	113
+	150	113
+	4	150	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	113
+	150	113
+	3	150	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	72
+	134	61
+	150	61
+	4	150	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	61
+	150	61
+	3	150	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	61
+	150	72
+	133	73
+	4	134	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	72
+	133	73
+	3	134	61	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	122
+	162	113
+	175	115
+	4	170	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	113
+	175	115
+	3	170	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	113
+	170	122
+	160	121
+	4	162	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	122
+	160	121
+	3	162	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	113
+	150	120
+	139	121
+	4	137	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	120
+	139	121
+	3	137	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	121
+	124	115
+	137	113
+	4	139	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	115
+	137	113
+	3	139	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	61
+	182	75
+	166	73
+	4	165	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	75
+	166	73
+	3	165	61	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	73
+	150	61
+	165	61
+	4	166	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	61
+	165	61
+	3	166	73	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	133	73
+	118	63
+	134	61
+	4	133	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	63
+	134	61
+	3	133	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	63
+	133	73
+	117	75
+	4	118	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	73
+	117	75
+	3	118	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	124
+	175	115
+	187	118
+	4	180	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	115
+	187	118
+	3	180	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	115
+	180	124
+	170	122
+	4	175	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	124
+	170	122
+	3	175	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	115
+	139	121
+	129	122
+	4	124	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	121
+	129	122
+	3	124	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	122
+	112	118
+	124	115
+	4	129	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	118
+	124	115
+	3	129	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	83
+	221	109
+	208	103
+	4	213	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	109
+	208	103
+	3	213	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	126
+	208	103
+	221	109
+	4	209	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	103
+	221	109
+	3	209	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	103
+	209	126
+	198	121
+	4	208	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	126
+	198	121
+	3	208	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	103
+	198	78
+	213	83
+	4	208	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	78
+	213	83
+	3	208	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	103
+	112	118
+	101	121
+	4	91	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	118
+	101	121
+	3	91	103	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	91	103
+	71	88
+	86	83
+	4	91	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	88
+	86	83
+	3	91	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	88
+	91	103
+	78	109
+	4	71	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	103
+	78	109
+	3	71	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	121
+	78	109
+	91	103
+	4	101	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	109
+	91	103
+	3	101	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	63
+	198	78
+	182	75
+	4	181	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	78
+	182	75
+	3	181	63	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	75
+	165	61
+	181	63
+	4	182	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	61
+	181	63
+	3	182	75	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	117	75
+	103	66
+	118	63
+	4	117	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	66
+	118	63
+	3	117	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	66
+	117	75
+	101	78
+	4	103	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	75
+	101	78
+	3	103	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	127
+	187	118
+	198	121
+	4	189	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	118
+	198	121
+	3	189	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	118
+	189	127
+	180	124
+	4	187	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	127
+	180	124
+	3	187	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	118
+	129	122
+	119	124
+	4	112	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	122
+	119	124
+	3	112	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	124
+	101	121
+	112	118
+	4	119	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	121
+	112	118
+	3	119	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	66
+	213	83
+	198	78
+	4	196	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	83
+	198	78
+	3	196	66	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	78
+	181	63
+	196	66
+	4	198	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	63
+	196	66
+	3	198	78	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	101	78
+	88	71
+	103	66
+	4	101	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	71
+	103	66
+	3	101	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	71
+	101	78
+	86	83
+	4	88	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	78
+	86	83
+	3	88	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	88
+	234	116
+	221	109
+	4	228	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	116
+	221	109
+	3	228	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	132
+	221	109
+	234	116
+	4	220	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	109
+	234	116
+	3	220	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	109
+	220	132
+	209	126
+	4	221	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	132
+	209	126
+	3	221	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	109
+	213	83
+	228	88
+	4	221	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	83
+	228	88
+	3	221	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	109
+	101	121
+	90	126
+	4	78	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	121
+	90	126
+	3	78	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	109
+	58	96
+	71	88
+	4	78	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	96
+	71	88
+	3	78	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	96
+	78	109
+	65	116
+	4	58	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	109
+	65	116
+	3	58	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	126
+	65	116
+	78	109
+	4	90	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	116
+	78	109
+	3	90	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	131
+	198	121
+	209	126
+	4	198	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	121
+	209	126
+	3	198	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	121
+	198	131
+	189	127
+	4	198	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	131
+	189	127
+	3	198	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	121
+	119	124
+	110	127
+	4	101	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	124
+	110	127
+	3	101	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	127
+	90	126
+	101	121
+	4	110	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	126
+	101	121
+	3	110	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	71
+	228	88
+	213	83
+	4	211	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	88
+	213	83
+	3	211	71	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	83
+	196	66
+	211	71
+	4	213	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	66
+	211	71
+	3	213	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	86	83
+	74	76
+	88	71
+	4	86	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	76
+	88	71
+	3	86	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	76
+	86	83
+	71	88
+	4	74	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	83
+	71	88
+	3	74	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	136
+	209	126
+	220	132
+	4	206	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	126
+	220	132
+	3	206	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	126
+	206	136
+	198	131
+	4	209	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	136
+	198	131
+	3	209	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	126
+	110	127
+	101	131
+	4	90	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	127
+	101	131
+	3	90	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	116
+	90	126
+	79	132
+	4	65	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	126
+	79	132
+	3	65	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	131
+	79	132
+	90	126
+	4	101	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	132
+	90	126
+	3	101	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	96
+	245	123
+	234	116
+	4	241	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	123
+	234	116
+	3	241	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	139
+	234	116
+	245	123
+	4	229	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	116
+	245	123
+	3	229	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	234	116
+	229	139
+	220	132
+	4	234	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	139
+	220	132
+	3	234	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	116
+	228	88
+	241	96
+	4	234	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	88
+	241	96
+	3	234	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	65	116
+	45	104
+	58	96
+	4	65	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	104
+	58	96
+	3	65	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	104
+	65	116
+	54	123
+	4	45	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	116
+	54	123
+	3	45	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	132
+	54	123
+	65	116
+	4	79	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	123
+	65	116
+	3	79	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	76
+	241	96
+	228	88
+	4	225	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	96
+	228	88
+	3	225	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	88
+	211	71
+	225	76
+	4	228	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	71
+	225	76
+	3	228	88	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	71	88
+	61	83
+	74	76
+	4	71	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	83
+	74	76
+	3	71	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	83
+	71	88
+	58	96
+	4	61	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	88
+	58	96
+	3	61	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	141
+	220	132
+	229	139
+	4	213	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	132
+	229	139
+	3	213	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	132
+	213	141
+	206	136
+	4	220	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	141
+	206	136
+	3	220	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	132
+	101	131
+	93	136
+	4	79	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	131
+	93	136
+	3	79	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	123
+	79	132
+	70	139
+	4	54	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	132
+	70	139
+	3	54	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	93	136
+	70	139
+	79	132
+	4	93	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	139
+	79	132
+	3	93	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	110
+	150	120
+	160	121
+	4	159	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	120
+	160	121
+	3	159	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	120
+	159	110
+	150	110
+	4	150	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	110
+	150	110
+	3	150	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	67
+	165	61
+	150	61
+	4	150	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	61
+	150	61
+	3	150	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	110
+	139	121
+	150	120
+	4	150	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	121
+	150	120
+	3	150	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	61
+	136	67
+	150	67
+	4	150	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	67
+	150	67
+	3	150	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	67
+	150	61
+	134	61
+	4	136	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	61
+	134	61
+	3	136	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	112
+	160	121
+	170	122
+	4	168	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	121
+	170	122
+	3	168	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	121
+	168	112
+	159	110
+	4	160	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	112
+	159	110
+	3	160	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	121
+	150	110
+	140	110
+	4	139	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	110
+	140	110
+	3	139	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	110
+	129	122
+	139	121
+	4	140	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	122
+	139	121
+	3	140	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	67
+	181	63
+	165	61
+	4	163	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	63
+	165	61
+	3	163	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	61
+	150	67
+	163	67
+	4	165	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	67
+	163	67
+	3	165	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	61
+	123	69
+	136	67
+	4	134	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	69
+	136	67
+	3	134	61	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	69
+	134	61
+	118	63
+	4	123	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	61
+	118	63
+	3	123	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	114
+	170	122
+	180	124
+	4	177	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	122
+	180	124
+	3	177	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	122
+	177	114
+	168	112
+	4	170	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	114
+	168	112
+	3	170	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	122
+	140	110
+	131	112
+	4	129	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	110
+	131	112
+	3	129	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	112
+	119	124
+	129	122
+	4	131	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	124
+	129	122
+	3	131	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	69
+	196	66
+	181	63
+	4	176	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	66
+	181	63
+	3	176	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	63
+	163	67
+	176	69
+	4	181	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	67
+	176	69
+	3	181	63	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	63
+	110	71
+	123	69
+	4	118	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	71
+	123	69
+	3	118	63	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	71
+	118	63
+	103	66
+	4	110	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	63
+	103	66
+	3	110	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	104
+	256	132
+	245	123
+	4	254	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	132
+	245	123
+	3	254	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	237	146
+	245	123
+	256	132
+	4	237	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	123
+	256	132
+	3	237	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	245	123
+	237	146
+	229	139
+	4	245	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	146
+	229	139
+	3	245	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	245	123
+	241	96
+	254	104
+	4	245	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	96
+	254	104
+	3	245	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	123
+	34	113
+	45	104
+	4	54	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	113
+	45	104
+	3	54	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	34	113
+	54	123
+	43	132
+	4	34	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	123
+	43	132
+	3	34	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	139
+	43	132
+	54	123
+	4	70	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	132
+	54	123
+	3	70	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	116
+	180	124
+	189	127
+	4	186	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	124
+	189	127
+	3	186	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	124
+	186	116
+	177	114
+	4	180	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	116
+	177	114
+	3	180	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	124
+	131	112
+	122	114
+	4	119	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	112
+	122	114
+	3	119	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	114
+	110	127
+	119	124
+	4	122	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	127
+	119	124
+	3	122	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	83
+	254	104
+	241	96
+	4	238	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	104
+	241	96
+	3	238	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	96
+	225	76
+	238	83
+	4	241	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	76
+	238	83
+	3	241	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	58	96
+	49	91
+	61	83
+	4	58	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	91
+	61	83
+	3	58	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	91
+	58	96
+	45	104
+	4	49	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	96
+	45	104
+	3	49	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	147
+	229	139
+	237	146
+	4	220	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	139
+	237	146
+	3	220	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	139
+	220	147
+	213	141
+	4	229	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	147
+	213	141
+	3	229	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	70	139
+	93	136
+	86	141
+	4	70	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	136
+	86	141
+	3	70	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	132
+	70	139
+	62	146
+	4	43	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	139
+	62	146
+	3	43	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	141
+	62	146
+	70	139
+	4	86	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	146
+	70	139
+	3	86	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	71
+	211	71
+	196	66
+	4	189	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	71
+	196	66
+	3	189	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	66
+	176	69
+	189	71
+	4	196	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	69
+	189	71
+	3	196	66	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	66
+	98	75
+	110	71
+	4	103	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	75
+	110	71
+	3	103	66	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	75
+	103	66
+	88	71
+	4	98	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	66
+	88	71
+	3	98	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	120
+	189	127
+	198	131
+	4	194	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	127
+	198	131
+	3	194	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	127
+	194	120
+	186	116
+	4	189	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	120
+	186	116
+	3	189	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	127
+	122	114
+	113	116
+	4	110	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	114
+	113	116
+	3	110	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	116
+	101	131
+	110	127
+	4	113	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	131
+	110	127
+	3	113	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	75
+	225	76
+	211	71
+	4	201	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	76
+	211	71
+	3	201	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	71
+	189	71
+	201	75
+	4	211	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	71
+	201	75
+	3	211	71	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	71
+	86	80
+	98	75
+	4	88	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	80
+	98	75
+	3	88	71	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	86	80
+	88	71
+	74	76
+	4	86	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	71
+	74	76
+	3	86	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	124
+	198	131
+	206	136
+	4	201	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	131
+	206	136
+	3	201	124	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	131
+	201	124
+	194	120
+	4	198	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	124
+	194	120
+	3	198	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	131
+	113	116
+	105	120
+	4	101	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	116
+	105	120
+	3	101	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	120
+	93	136
+	101	131
+	4	105	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	136
+	101	131
+	3	105	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	113
+	264	142
+	256	132
+	4	265	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	142
+	256	132
+	3	265	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	155
+	256	132
+	264	142
+	4	244	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	132
+	264	142
+	3	244	155	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	256	132
+	244	155
+	237	146
+	4	256	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	155
+	237	146
+	3	256	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	256	132
+	254	104
+	265	113
+	4	256	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	104
+	265	113
+	3	256	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	43	132
+	24	124
+	34	113
+	4	43	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	124
+	34	113
+	3	43	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	24	124
+	43	132
+	35	142
+	4	24	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	132
+	35	142
+	3	24	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	146
+	35	142
+	43	132
+	4	62	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	142
+	43	132
+	3	62	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	154
+	237	146
+	244	155
+	4	225	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	146
+	244	155
+	3	225	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	146
+	225	154
+	220	147
+	4	237	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	154
+	220	147
+	3	237	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	62	146
+	86	141
+	79	147
+	4	62	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	141
+	79	147
+	3	62	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	142
+	62	146
+	55	155
+	4	35	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	146
+	55	155
+	3	35	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	79	147
+	55	155
+	62	146
+	4	79	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	155
+	62	146
+	3	79	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	91
+	265	113
+	254	104
+	4	250	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	113
+	254	104
+	3	250	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	254	104
+	238	83
+	250	91
+	4	254	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	83
+	250	91
+	3	254	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	45	104
+	39	100
+	49	91
+	4	45	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	100
+	49	91
+	3	45	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	100
+	45	104
+	34	113
+	4	39	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	104
+	34	113
+	3	39	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	129
+	206	136
+	213	141
+	4	208	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	136
+	213	141
+	3	208	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	206	136
+	208	129
+	201	124
+	4	206	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	129
+	201	124
+	3	206	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	136
+	105	120
+	98	124
+	4	93	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	120
+	98	124
+	3	93	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	124
+	86	141
+	93	136
+	4	98	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	141
+	93	136
+	3	98	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	80
+	238	83
+	225	76
+	4	213	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	83
+	225	76
+	3	213	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	76
+	201	75
+	213	80
+	4	225	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	75
+	213	80
+	3	225	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	74	76
+	75	86
+	86	80
+	4	74	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	86
+	86	80
+	3	74	76	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	75	86
+	74	76
+	61	83
+	4	75	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	76
+	61	83
+	3	75	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	88
+	150	110
+	159	110
+	4	160	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	110
+	159	110
+	3	160	88	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	110
+	160	88
+	150	87
+	4	150	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	88
+	150	87
+	3	150	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	87
+	163	67
+	150	67
+	4	150	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	67
+	150	67
+	3	150	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	87
+	140	110
+	150	110
+	4	150	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	110
+	150	110
+	3	150	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	67
+	139	88
+	150	87
+	4	150	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	88
+	150	87
+	3	150	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	88
+	150	67
+	136	67
+	4	139	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	67
+	136	67
+	3	139	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	89
+	159	110
+	168	112
+	4	171	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	110
+	168	112
+	3	171	89	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	110
+	171	89
+	160	88
+	4	159	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	89
+	160	88
+	3	159	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	140	110
+	150	87
+	139	88
+	4	140	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	87
+	139	88
+	3	140	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	88
+	131	112
+	140	110
+	4	139	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	112
+	140	110
+	3	139	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	134
+	213	141
+	220	147
+	4	214	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	141
+	220	147
+	3	214	134	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	213	141
+	214	134
+	208	129
+	4	213	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	134
+	208	129
+	3	213	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	141
+	98	124
+	91	129
+	4	86	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	124
+	91	129
+	3	86	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	129
+	79	147
+	86	141
+	4	91	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	147
+	86	141
+	3	91	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	88
+	176	69
+	163	67
+	4	160	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	69
+	163	67
+	3	160	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	67
+	150	87
+	160	88
+	4	163	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	87
+	160	88
+	3	163	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	67
+	128	89
+	139	88
+	4	136	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	89
+	139	88
+	3	136	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	89
+	136	67
+	123	69
+	4	128	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	67
+	123	69
+	3	128	89	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	264	142
+	250	164
+	244	155
+	4	264	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	164
+	244	155
+	3	264	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	161
+	244	155
+	250	164
+	4	230	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	155
+	250	164
+	3	230	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	155
+	230	161
+	225	154
+	4	244	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	161
+	225	154
+	3	244	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	55	155
+	79	147
+	74	154
+	4	55	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	147
+	74	154
+	3	55	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	155
+	28	153
+	35	142
+	4	55	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	153
+	35	142
+	3	55	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	153
+	55	155
+	49	164
+	4	28	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	155
+	49	164
+	3	28	153	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	74	154
+	49	164
+	55	155
+	4	74	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	164
+	55	155
+	3	74	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	91
+	168	112
+	177	114
+	4	181	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	112
+	177	114
+	3	181	91	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	168	112
+	181	91
+	171	89
+	4	168	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	91
+	171	89
+	3	168	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	112
+	139	88
+	128	89
+	4	131	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	88
+	128	89
+	3	131	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	89
+	122	114
+	131	112
+	4	128	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	114
+	131	112
+	3	128	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	124
+	271	153
+	264	142
+	4	275	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	153
+	264	142
+	3	275	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	164
+	264	142
+	271	153
+	4	250	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	142
+	271	153
+	3	250	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	264	142
+	265	113
+	275	124
+	4	264	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	113
+	275	124
+	3	264	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	35	142
+	16	135
+	24	124
+	4	35	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	135
+	24	124
+	3	35	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	16	135
+	35	142
+	28	153
+	4	16	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	142
+	28	153
+	3	16	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	89
+	189	71
+	176	69
+	4	171	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	71
+	176	69
+	3	171	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	69
+	160	88
+	171	89
+	4	176	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	88
+	171	89
+	3	176	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	69
+	118	91
+	128	89
+	4	123	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	91
+	128	89
+	3	123	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	91
+	123	69
+	110	71
+	4	118	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	69
+	110	71
+	3	118	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	260	100
+	275	124
+	265	113
+	4	260	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	124
+	265	113
+	3	260	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	265	113
+	250	91
+	260	100
+	4	265	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	91
+	260	100
+	3	265	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	34	113
+	30	109
+	39	100
+	4	34	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	109
+	39	100
+	3	34	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	109
+	34	113
+	24	124
+	4	30	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	113
+	24	124
+	3	30	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	94
+	177	114
+	186	116
+	4	191	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	114
+	186	116
+	3	191	94	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	177	114
+	191	94
+	181	91
+	4	177	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	94
+	181	91
+	3	177	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	114
+	128	89
+	118	91
+	4	122	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	89
+	118	91
+	3	122	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	91
+	113	116
+	122	114
+	4	118	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	116
+	122	114
+	3	118	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	86
+	250	91
+	238	83
+	4	224	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	91
+	238	83
+	3	224	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	83
+	213	80
+	224	86
+	4	238	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	80
+	224	86
+	3	238	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	61	83
+	65	92
+	75	86
+	4	61	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	92
+	75	86
+	3	61	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	65	92
+	61	83
+	49	91
+	4	65	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	83
+	49	91
+	3	65	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	91
+	201	75
+	189	71
+	4	181	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	75
+	189	71
+	3	181	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	71
+	171	89
+	181	91
+	4	189	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	89
+	181	91
+	3	189	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	71
+	108	94
+	118	91
+	4	110	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	94
+	118	91
+	3	110	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	94
+	110	71
+	98	75
+	4	108	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	71
+	98	75
+	3	108	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	98
+	186	116
+	194	120
+	4	200	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	116
+	194	120
+	3	200	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	116
+	200	98
+	191	94
+	4	186	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	98
+	191	94
+	3	186	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	116
+	118	91
+	108	94
+	4	113	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	91
+	108	94
+	3	113	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	94
+	105	120
+	113	116
+	4	108	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	120
+	113	116
+	3	108	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	140
+	220	147
+	225	154
+	4	219	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	147
+	225	154
+	3	219	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	147
+	219	140
+	214	134
+	4	220	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	140
+	214	134
+	3	220	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	147
+	91	129
+	85	134
+	4	79	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	129
+	85	134
+	3	79	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	134
+	74	154
+	79	147
+	4	85	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	154
+	79	147
+	3	85	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	94
+	213	80
+	201	75
+	4	191	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	80
+	201	75
+	3	191	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	75
+	181	91
+	191	94
+	4	201	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	91
+	191	94
+	3	201	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	75
+	99	98
+	108	94
+	4	98	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	98
+	108	94
+	3	98	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	98
+	98	75
+	86	80
+	4	99	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	75
+	86	80
+	3	99	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	271	153
+	254	173
+	250	164
+	4	271	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	173
+	250	164
+	3	271	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	169
+	250	164
+	254	173
+	4	233	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	164
+	254	173
+	3	233	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	164
+	233	169
+	230	161
+	4	250	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	169
+	230	161
+	3	250	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	49	164
+	74	154
+	69	161
+	4	49	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	154
+	69	161
+	3	49	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	164
+	22	165
+	28	153
+	4	49	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	165
+	28	153
+	3	49	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	22	165
+	49	164
+	45	173
+	4	22	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	164
+	45	173
+	3	22	165	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	69	161
+	45	173
+	49	164
+	4	69	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	173
+	49	164
+	3	69	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	103
+	194	120
+	201	124
+	4	209	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	120
+	201	124
+	3	209	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	120
+	209	103
+	200	98
+	4	194	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	103
+	200	98
+	3	194	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	120
+	108	94
+	99	98
+	4	105	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	94
+	99	98
+	3	105	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	98
+	98	124
+	105	120
+	4	99	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	124
+	105	120
+	3	99	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	283	135
+	277	165
+	271	153
+	4	283	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	165
+	271	153
+	3	283	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	173
+	271	153
+	277	165
+	4	254	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	153
+	277	165
+	3	254	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	271	153
+	275	124
+	283	135
+	4	271	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	124
+	283	135
+	3	271	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	28	153
+	10	148
+	16	135
+	4	28	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	148
+	16	135
+	3	28	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	10	148
+	28	153
+	22	165
+	4	10	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	153
+	22	165
+	3	10	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	234	92
+	260	100
+	250	91
+	4	234	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	100
+	250	91
+	3	234	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	91
+	224	86
+	234	92
+	4	250	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	86
+	234	92
+	3	250	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	49	91
+	56	100
+	65	92
+	4	49	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	100
+	65	92
+	3	49	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	56	100
+	49	91
+	39	100
+	4	56	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	91
+	39	100
+	3	56	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	147
+	225	154
+	230	161
+	4	222	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	154
+	230	161
+	3	222	147	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	225	154
+	222	147
+	219	140
+	4	225	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	147
+	219	140
+	3	225	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	154
+	85	134
+	80	140
+	4	74	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	134
+	80	140
+	3	74	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	140
+	69	161
+	74	154
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	161
+	74	154
+	3	80	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	269	109
+	283	135
+	275	124
+	4	269	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	135
+	275	124
+	3	269	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	124
+	260	100
+	269	109
+	4	275	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	100
+	269	109
+	3	275	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	24	124
+	22	120
+	30	109
+	4	24	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	120
+	30	109
+	3	24	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	120
+	24	124
+	16	135
+	4	22	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	124
+	16	135
+	3	22	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	108
+	201	124
+	208	129
+	4	216	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	124
+	208	129
+	3	216	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	124
+	216	108
+	209	103
+	4	201	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	108
+	209	103
+	3	201	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	124
+	99	98
+	90	103
+	4	98	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	98
+	90	103
+	3	98	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	103
+	91	129
+	98	124
+	4	90	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	129
+	98	124
+	3	90	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	98
+	224	86
+	213	80
+	4	200	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	86
+	213	80
+	3	200	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	213	80
+	191	94
+	200	98
+	4	213	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	94
+	200	98
+	3	213	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	80
+	90	103
+	99	98
+	4	86	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	103
+	99	98
+	3	86	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	103
+	86	80
+	75	86
+	4	90	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	80
+	75	86
+	3	90	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	277	165
+	256	183
+	254	173
+	4	277	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	183
+	254	173
+	3	277	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	177
+	254	173
+	256	183
+	4	234	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	173
+	256	183
+	3	234	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	173
+	234	177
+	233	169
+	4	254	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	177
+	233	169
+	3	254	173	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	45	173
+	69	161
+	66	169
+	4	45	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	161
+	66	169
+	3	45	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	173
+	19	177
+	22	165
+	4	45	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	177
+	22	165
+	3	45	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	19	177
+	45	173
+	43	183
+	4	19	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	173
+	43	183
+	3	19	177	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	66	169
+	43	183
+	45	173
+	4	66	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	183
+	45	173
+	3	66	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	114
+	208	129
+	214	134
+	4	223	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	129
+	214	134
+	3	223	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	129
+	223	114
+	216	108
+	4	208	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	114
+	216	108
+	3	208	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	129
+	90	103
+	83	108
+	4	91	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	103
+	83	108
+	3	91	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	108
+	85	134
+	91	129
+	4	83	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	134
+	91	129
+	3	83	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	154
+	230	161
+	233	169
+	4	225	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	161
+	233	169
+	3	225	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	230	161
+	225	154
+	222	147
+	4	230	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	154
+	222	147
+	3	230	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	161
+	80	140
+	77	147
+	4	69	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	77	147
+	3	69	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	147
+	66	169
+	69	161
+	4	77	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	169
+	69	161
+	3	77	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	224	86
+	200	98
+	209	103
+	4	224	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	98
+	209	103
+	3	224	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	103
+	234	92
+	224	86
+	4	209	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	92
+	224	86
+	3	209	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	86
+	83	108
+	90	103
+	4	75	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	108
+	90	103
+	3	75	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	108
+	75	86
+	65	92
+	4	83	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	86
+	65	92
+	3	83	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	100
+	269	109
+	260	100
+	4	243	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	109
+	260	100
+	3	243	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	260	100
+	234	92
+	243	100
+	4	260	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	92
+	243	100
+	3	260	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	39	100
+	49	108
+	56	100
+	4	39	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	108
+	56	100
+	3	39	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	49	108
+	39	100
+	30	109
+	4	49	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	100
+	30	109
+	3	49	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	289	148
+	280	177
+	277	165
+	4	289	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	177
+	277	165
+	3	289	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	256	183
+	277	165
+	280	177
+	4	256	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	165
+	280	177
+	3	256	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	277	165
+	283	135
+	289	148
+	4	277	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	135
+	289	148
+	3	277	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	22	165
+	7	161
+	10	148
+	4	22	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	161
+	10	148
+	3	22	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	7	161
+	22	165
+	19	177
+	4	7	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	165
+	19	177
+	3	7	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	121
+	214	134
+	219	140
+	4	229	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	134
+	219	140
+	3	229	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	134
+	229	121
+	223	114
+	4	214	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	121
+	223	114
+	3	214	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	134
+	83	108
+	76	114
+	4	85	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	108
+	76	114
+	3	85	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	114
+	80	140
+	85	134
+	4	76	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	85	134
+	3	76	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	234	92
+	209	103
+	216	108
+	4	234	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	103
+	216	108
+	3	234	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	277	120
+	289	148
+	283	135
+	4	277	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	148
+	283	135
+	3	277	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	283	135
+	269	109
+	277	120
+	4	283	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	109
+	277	120
+	3	283	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	16	135
+	17	132
+	22	120
+	4	16	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	132
+	22	120
+	3	16	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	132
+	16	135
+	10	148
+	4	17	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	135
+	10	148
+	3	17	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	161
+	233	169
+	234	177
+	4	227	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	169
+	234	177
+	3	227	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	233	169
+	227	161
+	225	154
+	4	233	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	161
+	225	154
+	3	233	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	169
+	77	147
+	74	154
+	4	66	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	147
+	74	154
+	3	66	169	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	43	183
+	66	169
+	65	177
+	4	43	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	169
+	65	177
+	3	43	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	154
+	65	177
+	66	169
+	4	74	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	177
+	66	169
+	3	74	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	108
+	243	100
+	234	92
+	4	216	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	100
+	234	92
+	3	216	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	92
+	76	114
+	83	108
+	4	65	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	114
+	83	108
+	3	65	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	114
+	65	92
+	56	100
+	4	76	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	92
+	56	100
+	3	76	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	280	177
+	257	193
+	256	183
+	4	280	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	193
+	256	183
+	3	280	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	185
+	256	183
+	257	193
+	4	234	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	183
+	257	193
+	3	234	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	183
+	234	185
+	234	177
+	4	256	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	185
+	234	177
+	3	256	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	183
+	18	189
+	19	177
+	4	43	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	189
+	19	177
+	3	43	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	18	189
+	43	183
+	42	193
+	4	18	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	183
+	42	193
+	3	18	189	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	65	177
+	42	193
+	43	183
+	4	65	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	193
+	43	183
+	3	65	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	128
+	219	140
+	222	147
+	4	233	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	140
+	222	147
+	3	233	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	140
+	233	128
+	229	121
+	4	219	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	128
+	229	121
+	3	219	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	140
+	76	114
+	70	121
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	114
+	70	121
+	3	80	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	121
+	77	147
+	80	140
+	4	70	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	147
+	80	140
+	3	70	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	243	100
+	216	108
+	223	114
+	4	243	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	108
+	223	114
+	3	243	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	108
+	277	120
+	269	109
+	4	250	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	120
+	269	109
+	3	250	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	269	109
+	243	100
+	250	108
+	4	269	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	100
+	250	108
+	3	269	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	30	109
+	43	117
+	49	108
+	4	30	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	117
+	49	108
+	3	30	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	43	117
+	30	109
+	22	120
+	4	43	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	109
+	22	120
+	3	43	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	293	161
+	281	189
+	280	177
+	4	293	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	189
+	280	177
+	3	293	161	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	257	193
+	280	177
+	281	189
+	4	257	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	177
+	281	189
+	3	257	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	168
+	234	177
+	234	185
+	4	227	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	177
+	234	185
+	3	227	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	234	177
+	227	168
+	227	161
+	4	234	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	168
+	227	161
+	3	234	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	177
+	289	148
+	293	161
+	4	280	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	148
+	293	161
+	3	280	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	177
+	74	154
+	73	161
+	4	65	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	154
+	73	161
+	3	65	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	19	177
+	5	174
+	7	161
+	4	19	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	174
+	7	161
+	3	19	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	5	174
+	19	177
+	18	189
+	4	5	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	177
+	18	189
+	3	5	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	42	193
+	65	177
+	65	185
+	4	42	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	177
+	65	185
+	3	42	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	161
+	65	185
+	65	177
+	4	73	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	185
+	65	177
+	3	73	161	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	223	114
+	250	108
+	243	100
+	4	223	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	108
+	243	100
+	3	223	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	100
+	70	121
+	76	114
+	4	56	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	121
+	76	114
+	3	56	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	121
+	56	100
+	49	108
+	4	70	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	100
+	49	108
+	3	70	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	250	108
+	223	114
+	229	121
+	4	250	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	114
+	229	121
+	3	250	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	136
+	222	147
+	225	154
+	4	236	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	147
+	225	154
+	3	236	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	147
+	236	136
+	233	128
+	4	222	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	136
+	233	128
+	3	222	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	147
+	70	121
+	66	128
+	4	77	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	121
+	66	128
+	3	77	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	128
+	74	154
+	77	147
+	4	66	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	154
+	77	147
+	3	66	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	282	132
+	293	161
+	289	148
+	4	282	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	161
+	289	148
+	3	282	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	289	148
+	277	120
+	282	132
+	4	289	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	120
+	282	132
+	3	289	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	10	148
+	13	144
+	17	132
+	4	10	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	144
+	17	132
+	3	10	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	13	144
+	10	148
+	7	161
+	4	13	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	148
+	7	161
+	3	13	144	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	281	189
+	255	204
+	257	193
+	4	281	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	204
+	257	193
+	3	281	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	193
+	257	193
+	255	204
+	4	233	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	193
+	255	204
+	3	233	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	193
+	233	193
+	234	185
+	4	257	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	193
+	234	185
+	3	257	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	193
+	19	202
+	18	189
+	4	42	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	202
+	18	189
+	3	42	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	19	202
+	42	193
+	44	204
+	4	19	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	193
+	44	204
+	3	19	202	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	65	185
+	44	204
+	42	193
+	4	65	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	204
+	42	193
+	3	65	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	175
+	234	185
+	233	193
+	4	225	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	185
+	233	193
+	3	225	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	234	185
+	225	175
+	227	168
+	4	234	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	175
+	227	168
+	3	234	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	185
+	73	161
+	72	168
+	4	65	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	161
+	72	168
+	3	65	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	44	204
+	65	185
+	66	193
+	4	44	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	185
+	66	193
+	3	44	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	168
+	66	193
+	65	185
+	4	72	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	193
+	65	185
+	3	72	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	256	117
+	282	132
+	277	120
+	4	256	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	132
+	277	120
+	3	256	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	277	120
+	250	108
+	256	117
+	4	277	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	108
+	256	117
+	3	277	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	22	120
+	38	126
+	43	117
+	4	22	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	126
+	43	117
+	3	22	120	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	38	126
+	22	120
+	17	132
+	4	38	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	120
+	17	132
+	3	38	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	144
+	225	154
+	227	161
+	4	238	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	154
+	227	161
+	3	238	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	154
+	238	144
+	236	136
+	4	225	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	144
+	236	136
+	3	225	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	154
+	66	128
+	63	136
+	4	74	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	128
+	63	136
+	3	74	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	136
+	73	161
+	74	154
+	4	63	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	161
+	74	154
+	3	63	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	256	117
+	229	121
+	233	128
+	4	256	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	121
+	233	128
+	3	256	117	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	229	121
+	256	117
+	250	108
+	4	229	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	117
+	250	108
+	3	229	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	108
+	66	128
+	70	121
+	4	49	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	128
+	70	121
+	3	49	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	128
+	49	108
+	43	117
+	4	66	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	108
+	43	117
+	3	66	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	294	174
+	280	202
+	281	189
+	4	294	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	202
+	281	189
+	3	294	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	255	204
+	281	189
+	280	202
+	4	255	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	189
+	280	202
+	3	255	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	281	189
+	293	161
+	294	174
+	4	281	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	161
+	294	174
+	3	281	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	18	189
+	6	188
+	5	174
+	4	18	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	188
+	5	174
+	3	18	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	6	188
+	18	189
+	19	202
+	4	6	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	189
+	19	202
+	3	6	188	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	280	202
+	252	214
+	255	204
+	4	280	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	214
+	255	204
+	3	280	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	201
+	255	204
+	252	214
+	4	230	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	204
+	252	214
+	3	230	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	204
+	230	201
+	233	193
+	4	255	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	201
+	233	193
+	3	255	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	204
+	23	215
+	19	202
+	4	44	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	215
+	19	202
+	3	44	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	23	215
+	44	204
+	47	214
+	4	23	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	204
+	47	214
+	3	23	215	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	66	193
+	47	214
+	44	204
+	4	66	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	214
+	44	204
+	3	66	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	182
+	233	193
+	230	201
+	4	223	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	193
+	230	201
+	3	223	182	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	233	193
+	223	182
+	225	175
+	4	233	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	182
+	225	175
+	3	233	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	193
+	72	168
+	74	175
+	4	66	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	168
+	74	175
+	3	66	193	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	47	214
+	66	193
+	69	201
+	4	47	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	193
+	69	201
+	3	47	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	175
+	69	201
+	66	193
+	4	74	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	201
+	66	193
+	3	74	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	152
+	227	161
+	227	168
+	4	238	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	161
+	227	168
+	3	238	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	161
+	238	152
+	238	144
+	4	227	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	152
+	238	144
+	3	227	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	144
+	294	174
+	293	161
+	4	286	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	174
+	293	161
+	3	286	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	293	161
+	282	132
+	286	144
+	4	293	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	132
+	286	144
+	3	293	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	161
+	63	136
+	61	144
+	4	73	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	136
+	61	144
+	3	73	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	144
+	72	168
+	73	161
+	4	61	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	168
+	73	161
+	3	61	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	7	161
+	12	156
+	13	144
+	4	7	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	156
+	13	144
+	3	7	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	156
+	7	161
+	5	174
+	4	12	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	161
+	5	174
+	3	12	156	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	261	126
+	233	128
+	236	136
+	4	261	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	128
+	236	136
+	3	261	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	128
+	261	126
+	256	117
+	4	233	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	126
+	256	117
+	3	233	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	117
+	63	136
+	66	128
+	4	43	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	136
+	66	128
+	3	43	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	282	132
+	256	117
+	261	126
+	4	282	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	117
+	261	126
+	3	282	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	136
+	43	117
+	38	126
+	4	63	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	117
+	38	126
+	3	63	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	126
+	286	144
+	282	132
+	4	261	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	144
+	282	132
+	3	261	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	17	132
+	36	136
+	38	126
+	4	17	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	136
+	38	126
+	3	17	132	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	36	136
+	17	132
+	13	144
+	4	36	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	132
+	13	144
+	3	36	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	276	215
+	247	224
+	252	214
+	4	276	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	224
+	252	214
+	3	276	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	209
+	252	214
+	247	224
+	4	226	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	214
+	247	224
+	3	226	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	214
+	226	209
+	230	201
+	4	252	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	209
+	230	201
+	3	252	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	252	214
+	280	202
+	276	215
+	4	252	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	202
+	276	215
+	3	252	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	214
+	29	227
+	23	215
+	4	47	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	227
+	23	215
+	3	47	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	29	227
+	47	214
+	52	224
+	4	29	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	214
+	52	224
+	3	29	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	69	201
+	52	224
+	47	214
+	4	69	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	224
+	47	214
+	3	69	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	189
+	230	201
+	226	209
+	4	219	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	201
+	226	209
+	3	219	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	230	201
+	219	189
+	223	182
+	4	230	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	189
+	223	182
+	3	230	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	201
+	74	175
+	76	182
+	4	69	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	175
+	76	182
+	3	69	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	52	224
+	69	201
+	73	209
+	4	52	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	201
+	73	209
+	3	52	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	182
+	73	209
+	69	201
+	4	76	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	209
+	69	201
+	3	76	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	160
+	227	168
+	225	175
+	4	237	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	168
+	225	175
+	3	237	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	168
+	237	160
+	238	152
+	4	227	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	160
+	238	152
+	3	227	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	168
+	61	144
+	61	152
+	4	72	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	144
+	61	152
+	3	72	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	152
+	74	175
+	72	168
+	4	61	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	175
+	72	168
+	3	61	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	293	188
+	276	215
+	280	202
+	4	293	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	215
+	280	202
+	3	293	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	280	202
+	294	174
+	293	188
+	4	280	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	174
+	293	188
+	3	280	202	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	19	202
+	10	201
+	6	188
+	4	19	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	201
+	6	188
+	3	19	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	10	201
+	19	202
+	23	215
+	4	10	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	202
+	23	215
+	3	10	201	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	263	136
+	236	136
+	238	144
+	4	263	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	136
+	238	144
+	3	263	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	236	136
+	263	136
+	261	126
+	4	236	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	136
+	261	126
+	3	236	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	126
+	61	144
+	63	136
+	4	38	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	144
+	63	136
+	3	38	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	286	144
+	261	126
+	263	136
+	4	286	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	126
+	263	136
+	3	286	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	144
+	38	126
+	36	136
+	4	61	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	126
+	36	136
+	3	61	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	156
+	293	188
+	294	174
+	4	287	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	188
+	294	174
+	3	287	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	294	174
+	286	144
+	287	156
+	4	294	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	144
+	287	156
+	3	294	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	5	174
+	13	169
+	12	156
+	4	5	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	169
+	12	156
+	3	5	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	13	169
+	5	174
+	6	188
+	4	13	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	174
+	6	188
+	3	13	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	168
+	225	175
+	223	182
+	4	234	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	175
+	223	182
+	3	234	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	175
+	234	168
+	237	160
+	4	225	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	168
+	237	160
+	3	225	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	175
+	61	152
+	62	160
+	4	74	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	152
+	62	160
+	3	74	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	160
+	76	182
+	74	175
+	4	62	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	182
+	74	175
+	3	62	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	224
+	220	216
+	226	209
+	4	247	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	216
+	226	209
+	3	247	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	195
+	226	209
+	220	216
+	4	214	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	209
+	220	216
+	3	214	195	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	226	209
+	214	195
+	219	189
+	4	226	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	195
+	219	189
+	3	226	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	209
+	76	182
+	80	189
+	4	73	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	182
+	80	189
+	3	73	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	209
+	59	234
+	52	224
+	4	73	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	234
+	52	224
+	3	73	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	59	234
+	73	209
+	79	216
+	4	59	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	209
+	79	216
+	3	59	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	189
+	79	216
+	73	209
+	4	80	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	216
+	73	209
+	3	80	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	270	227
+	240	234
+	247	224
+	4	270	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	234
+	247	224
+	3	270	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	216
+	247	224
+	240	234
+	4	220	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	224
+	240	234
+	3	220	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	224
+	276	215
+	270	227
+	4	247	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	215
+	270	227
+	3	247	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	224
+	37	239
+	29	227
+	4	52	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	239
+	29	227
+	3	52	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	239
+	52	224
+	59	234
+	4	37	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	224
+	59	234
+	3	37	239	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	264	147
+	238	144
+	238	152
+	4	264	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	144
+	238	152
+	3	264	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	238	144
+	264	147
+	263	136
+	4	238	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	147
+	263	136
+	3	238	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	136
+	287	156
+	286	144
+	4	263	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	156
+	286	144
+	3	263	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	136
+	61	152
+	61	144
+	4	36	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	152
+	61	144
+	3	36	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	13	144
+	35	147
+	36	136
+	4	13	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	147
+	36	136
+	3	13	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	35	147
+	13	144
+	12	156
+	4	35	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	144
+	12	156
+	3	35	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	289	201
+	270	227
+	276	215
+	4	289	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	227
+	276	215
+	3	289	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	276	215
+	293	188
+	289	201
+	4	276	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	188
+	289	201
+	3	276	215	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	23	215
+	16	215
+	10	201
+	4	23	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	215
+	10	201
+	3	23	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	16	215
+	23	215
+	29	227
+	4	16	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	215
+	29	227
+	3	16	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	234
+	212	224
+	220	216
+	4	240	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	224
+	220	216
+	3	240	234	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	202
+	220	216
+	212	224
+	4	206	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	216
+	212	224
+	3	206	202	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	216
+	206	202
+	214	195
+	4	220	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	202
+	214	195
+	3	220	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	216
+	80	189
+	85	195
+	4	79	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	189
+	85	195
+	3	79	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	216
+	68	243
+	59	234
+	4	79	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	243
+	59	234
+	3	79	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	243
+	79	216
+	86	223
+	4	68	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	216
+	86	223
+	3	68	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	195
+	86	223
+	79	216
+	4	85	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	223
+	79	216
+	3	85	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	176
+	223	182
+	219	189
+	4	230	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	182
+	219	189
+	3	230	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	182
+	230	176
+	234	168
+	4	223	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	176
+	234	168
+	3	223	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	182
+	62	160
+	65	168
+	4	76	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	160
+	65	168
+	3	76	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	168
+	80	189
+	76	182
+	4	65	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	189
+	76	182
+	3	65	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	287	156
+	263	136
+	264	147
+	4	287	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	136
+	264	147
+	3	287	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	152
+	36	136
+	35	147
+	4	61	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	136
+	35	147
+	3	61	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	262	239
+	231	243
+	240	234
+	4	262	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	243
+	240	234
+	3	262	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	224
+	240	234
+	231	243
+	4	212	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	234
+	231	243
+	3	212	224	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	240	234
+	270	227
+	262	239
+	4	240	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	227
+	262	239
+	3	240	234	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	234
+	48	250
+	37	239
+	4	59	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	250
+	37	239
+	3	59	234	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	250
+	59	234
+	68	243
+	4	48	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	234
+	68	243
+	3	48	250	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	263	157
+	238	152
+	237	160
+	4	263	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	152
+	237	160
+	3	263	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	238	152
+	263	157
+	264	147
+	4	238	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	157
+	264	147
+	3	238	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	147
+	62	160
+	61	152
+	4	35	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	160
+	61	152
+	3	35	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	243
+	205	229
+	214	222
+	4	231	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	229
+	214	222
+	3	231	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	207
+	214	222
+	205	229
+	4	199	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	222
+	205	229
+	3	199	207	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	214	222
+	199	207
+	209	200
+	4	214	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	207
+	209	200
+	3	214	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	286	169
+	289	201
+	293	188
+	4	286	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	201
+	293	188
+	3	286	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	293	188
+	287	156
+	286	169
+	4	293	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	156
+	286	169
+	3	293	188	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	6	188
+	17	182
+	13	169
+	4	6	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	182
+	13	169
+	3	6	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	182
+	6	188
+	10	201
+	4	17	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	188
+	10	201
+	3	17	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	223
+	85	195
+	92	201
+	4	86	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	195
+	92	201
+	3	86	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	223
+	79	250
+	68	243
+	4	86	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	250
+	68	243
+	3	86	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	250
+	86	223
+	94	229
+	4	79	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	223
+	94	229
+	3	79	250	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	201
+	94	229
+	86	223
+	4	92	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	229
+	86	223
+	3	92	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	183
+	219	189
+	214	195
+	4	224	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	189
+	214	195
+	3	224	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	189
+	224	183
+	230	176
+	4	219	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	183
+	230	176
+	3	219	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	189
+	65	168
+	69	176
+	4	80	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	168
+	69	176
+	3	80	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	176
+	85	195
+	80	189
+	4	69	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	195
+	80	189
+	3	69	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	147
+	286	169
+	287	156
+	4	264	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	169
+	287	156
+	3	264	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	12	156
+	36	157
+	35	147
+	4	12	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	157
+	35	147
+	3	12	156	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	36	157
+	12	156
+	13	169
+	4	36	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	156
+	13	169
+	3	36	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	283	215
+	262	239
+	270	227
+	4	283	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	239
+	270	227
+	3	283	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	270	227
+	289	201
+	283	215
+	4	270	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	201
+	283	215
+	3	270	227	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	29	227
+	25	228
+	16	215
+	4	29	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	228
+	16	215
+	3	29	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	25	228
+	29	227
+	37	239
+	4	25	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	227
+	37	239
+	3	25	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	231	243
+	262	239
+	252	249
+	4	231	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	239
+	252	249
+	3	231	243	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	243
+	61	260
+	48	250
+	4	68	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	260
+	48	250
+	3	68	243	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	260
+	68	243
+	79	250
+	4	61	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	243
+	79	250
+	3	61	260	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	251
+	220	250
+	231	243
+	4	250	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	250
+	231	243
+	3	250	251	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	229
+	231	243
+	220	250
+	4	205	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	243
+	220	250
+	3	205	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	229
+	92	201
+	100	207
+	4	94	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	201
+	100	207
+	3	94	229	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	229
+	91	257
+	79	250
+	4	94	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	257
+	79	250
+	3	94	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	257
+	94	229
+	104	234
+	4	91	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	229
+	104	234
+	3	91	257	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	207
+	104	234
+	94	229
+	4	100	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	234
+	94	229
+	3	100	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	250
+	195	234
+	205	229
+	4	220	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	234
+	205	229
+	3	220	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	211
+	205	229
+	195	234
+	4	191	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	229
+	195	234
+	3	191	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	229
+	191	211
+	199	207
+	4	205	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	211
+	199	207
+	3	205	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	259	167
+	237	160
+	234	168
+	4	259	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	160
+	234	168
+	3	259	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	237	160
+	259	167
+	263	157
+	4	237	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	167
+	263	157
+	3	237	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	160
+	35	147
+	36	157
+	4	62	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	147
+	36	157
+	3	62	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	157
+	65	168
+	62	160
+	4	36	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	168
+	62	160
+	3	36	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	191
+	214	195
+	206	202
+	4	215	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	195
+	206	202
+	3	215	191	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	195
+	215	191
+	224	183
+	4	214	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	191
+	224	183
+	3	214	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	195
+	69	176
+	75	183
+	4	85	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	176
+	75	183
+	3	85	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	183
+	92	201
+	85	195
+	4	75	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	201
+	85	195
+	3	75	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	286	169
+	264	147
+	263	157
+	4	286	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	147
+	263	157
+	3	286	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	234
+	100	207
+	108	211
+	4	104	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	207
+	108	211
+	3	104	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	234
+	104	263
+	91	257
+	4	104	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	263
+	91	257
+	3	104	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	263
+	104	234
+	114	238
+	4	104	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	234
+	114	238
+	3	104	263	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	211
+	114	238
+	104	234
+	4	108	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	238
+	104	234
+	3	108	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	257
+	185	238
+	195	234
+	4	208	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	238
+	195	234
+	3	208	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	215
+	195	234
+	185	238
+	4	181	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	234
+	185	238
+	3	181	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	234
+	181	215
+	191	211
+	4	195	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	215
+	191	211
+	3	195	234	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	234
+	220	250
+	208	257
+	4	195	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	250
+	208	257
+	3	195	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	196
+	209	200
+	199	207
+	4	208	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	200
+	199	207
+	3	208	196	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	200
+	208	196
+	218	189
+	4	209	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	196
+	218	189
+	3	209	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	250
+	76	269
+	61	260
+	4	79	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	269
+	61	260
+	3	79	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	269
+	79	250
+	91	257
+	4	76	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	250
+	91	257
+	3	76	269	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	238	260
+	208	257
+	220	250
+	4	238	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	257
+	220	250
+	3	238	260	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	250
+	250	251
+	238	260
+	4	220	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	251
+	238	260
+	3	220	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	201
+	75	183
+	83	190
+	4	92	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	183
+	83	190
+	3	92	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	190
+	100	207
+	92	201
+	4	83	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	207
+	92	201
+	3	83	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	282	182
+	283	215
+	289	201
+	4	282	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	215
+	289	201
+	3	282	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	289	201
+	286	169
+	282	182
+	4	289	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	169
+	282	182
+	3	289	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	10	201
+	23	194
+	17	182
+	4	10	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	194
+	17	182
+	3	10	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	23	194
+	10	201
+	16	215
+	4	23	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	201
+	16	215
+	3	23	194	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	254	178
+	234	168
+	230	176
+	4	254	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	168
+	230	176
+	3	254	178	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	234	168
+	254	178
+	259	167
+	4	234	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	178
+	259	167
+	3	234	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	168
+	36	157
+	40	167
+	4	65	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	157
+	40	167
+	3	65	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	167
+	69	176
+	65	168
+	4	40	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	176
+	65	168
+	3	40	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	238
+	108	211
+	118	215
+	4	114	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	211
+	118	215
+	3	114	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	238
+	119	267
+	104	263
+	4	114	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	267
+	104	263
+	3	114	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	267
+	114	238
+	126	241
+	4	119	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	238
+	126	241
+	3	119	267	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	215
+	126	241
+	114	238
+	4	118	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	241
+	114	238
+	3	118	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	263
+	173	241
+	185	238
+	4	195	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	241
+	185	238
+	3	195	263	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	217
+	185	238
+	173	241
+	4	171	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	238
+	173	241
+	3	171	217	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	238
+	171	217
+	181	215
+	4	185	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	217
+	181	215
+	3	185	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	238
+	208	257
+	195	263
+	4	185	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	257
+	195	263
+	3	185	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	228
+	252	249
+	262	239
+	4	274	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	249
+	262	239
+	3	274	228	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	239
+	283	215
+	274	228
+	4	262	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	215
+	274	228
+	3	262	239	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	37	239
+	37	240
+	25	228
+	4	37	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	240
+	25	228
+	3	37	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	37	240
+	37	239
+	48	250
+	4	37	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	239
+	48	250
+	3	37	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	157
+	282	182
+	286	169
+	4	263	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	182
+	286	169
+	3	263	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	13	169
+	40	167
+	36	157
+	4	13	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	167
+	36	157
+	3	13	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	40	167
+	13	169
+	17	182
+	4	40	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	169
+	17	182
+	3	40	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	241
+	118	215
+	128	217
+	4	126	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	215
+	128	217
+	3	126	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	241
+	134	269
+	119	267
+	4	126	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	269
+	119	267
+	3	126	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	269
+	126	241
+	137	243
+	4	134	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	241
+	137	243
+	3	134	269	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	217
+	137	243
+	126	241
+	4	128	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	243
+	126	241
+	3	128	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	267
+	162	243
+	173	241
+	4	180	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	243
+	173	241
+	3	180	267	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	219
+	173	241
+	162	243
+	4	160	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	241
+	162	243
+	3	160	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	241
+	160	219
+	171	217
+	4	173	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	219
+	171	217
+	3	173	241	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	241
+	195	263
+	180	267
+	4	173	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	263
+	180	267
+	3	173	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	207
+	83	190
+	91	196
+	4	100	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	190
+	91	196
+	3	100	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	196
+	108	211
+	100	207
+	4	91	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	211
+	100	207
+	3	91	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	201
+	199	207
+	191	211
+	4	198	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	207
+	191	211
+	3	198	201	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	199	207
+	198	201
+	208	196
+	4	199	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	201
+	208	196
+	3	199	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	282	182
+	263	157
+	259	167
+	4	282	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	157
+	259	167
+	3	282	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	257
+	93	276
+	76	269
+	4	91	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	276
+	76	269
+	3	91	257	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	276
+	91	257
+	104	263
+	4	93	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	257
+	104	263
+	3	93	276	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	223	269
+	195	263
+	208	257
+	4	223	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	263
+	208	257
+	3	223	269	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	257
+	238	260
+	223	269
+	4	208	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	260
+	223	269
+	3	208	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	243
+	128	217
+	139	219
+	4	137	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	217
+	139	219
+	3	137	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	243
+	150	270
+	134	269
+	4	137	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	270
+	134	269
+	3	137	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	270
+	137	243
+	150	244
+	4	150	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	243
+	150	244
+	3	150	270	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	219
+	150	244
+	137	243
+	4	139	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	244
+	137	243
+	3	139	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	269
+	150	244
+	162	243
+	4	165	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	244
+	162	243
+	3	165	269	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	219
+	162	243
+	150	244
+	4	150	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	243
+	150	244
+	3	150	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	243
+	150	219
+	160	219
+	4	162	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	219
+	160	219
+	3	162	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	243
+	180	267
+	165	269
+	4	162	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	267
+	165	269
+	3	162	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	244
+	139	219
+	150	219
+	4	150	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	219
+	150	219
+	3	150	244	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	244
+	165	269
+	150	270
+	4	150	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	269
+	150	270
+	3	150	244	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	246	187
+	230	176
+	224	183
+	4	246	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	176
+	224	183
+	3	246	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	176
+	246	187
+	254	178
+	4	230	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	187
+	254	178
+	3	230	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	176
+	40	167
+	45	178
+	4	69	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	167
+	45	178
+	3	69	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	178
+	75	183
+	69	176
+	4	45	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	183
+	69	176
+	3	45	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	211
+	91	196
+	102	201
+	4	108	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	196
+	102	201
+	3	108	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	201
+	118	215
+	108	211
+	4	102	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	215
+	108	211
+	3	102	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	205
+	191	211
+	181	215
+	4	186	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	211
+	181	215
+	3	186	205	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	191	211
+	186	205
+	198	201
+	4	191	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	205
+	198	201
+	3	191	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	263
+	111	281
+	93	276
+	4	104	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	281
+	93	276
+	3	104	263	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	281
+	104	263
+	119	267
+	4	111	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	263
+	119	267
+	3	111	281	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	276
+	180	267
+	195	263
+	4	206	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	267
+	195	263
+	3	206	276	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	263
+	223	269
+	206	276
+	4	195	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	269
+	206	276
+	3	195	263	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	249
+	274	228
+	263	239
+	4	252	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	228
+	263	239
+	3	252	249	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	48	250
+	51	251
+	37	240
+	4	48	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	251
+	37	240
+	3	48	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	251
+	48	250
+	61	260
+	4	51	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	250
+	61	260
+	3	51	251	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	215
+	102	201
+	113	205
+	4	118	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	201
+	113	205
+	3	118	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	205
+	128	217
+	118	215
+	4	113	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	217
+	118	215
+	3	113	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	208
+	181	215
+	171	217
+	4	175	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	215
+	171	217
+	3	175	208	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	181	215
+	175	208
+	186	205
+	4	181	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	208
+	186	205
+	3	181	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	276	194
+	274	228
+	283	215
+	4	276	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	228
+	283	215
+	3	276	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	283	215
+	282	182
+	276	194
+	4	283	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	182
+	276	194
+	3	283	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	16	215
+	32	206
+	23	194
+	4	16	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	206
+	23	194
+	3	16	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	32	206
+	16	215
+	25	228
+	4	32	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	215
+	25	228
+	3	32	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	241
+	238	260
+	250	251
+	4	260	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	260
+	250	251
+	3	260	241	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	267
+	130	284
+	111	281
+	4	119	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	284
+	111	281
+	3	119	267	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	284
+	119	267
+	134	269
+	4	130	284	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	267
+	134	269
+	3	130	284	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	281
+	165	269
+	180	267
+	4	188	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	269
+	180	267
+	3	188	281	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	267
+	206	276
+	188	281
+	4	180	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	276
+	188	281
+	3	180	267	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	167
+	276	194
+	282	182
+	4	259	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	194
+	282	182
+	3	259	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	17	182
+	45	178
+	40	167
+	4	17	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	178
+	40	167
+	3	17	182	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	45	178
+	17	182
+	23	194
+	4	45	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	182
+	23	194
+	3	45	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	217
+	113	205
+	124	208
+	4	128	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	205
+	124	208
+	3	128	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	208
+	139	219
+	128	217
+	4	124	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	219
+	128	217
+	3	124	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	210
+	171	217
+	160	219
+	4	162	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	217
+	160	219
+	3	162	210	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	171	217
+	162	210
+	175	208
+	4	171	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	210
+	175	208
+	3	171	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	194
+	259	167
+	254	178
+	4	276	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	167
+	254	178
+	3	276	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	269
+	150	285
+	130	284
+	4	134	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	285
+	130	284
+	3	134	269	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	285
+	134	269
+	150	270
+	4	150	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	269
+	150	270
+	3	150	285	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	284
+	150	270
+	165	269
+	4	169	284	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	270
+	165	269
+	3	169	284	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	269
+	188	281
+	169	284
+	4	165	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	281
+	169	284
+	3	165	269	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	237	196
+	224	183
+	215	191
+	4	237	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	183
+	215	191
+	3	237	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	183
+	237	196
+	246	187
+	4	224	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	196
+	246	187
+	3	224	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	183
+	45	178
+	53	187
+	4	75	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	178
+	53	187
+	3	75	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	187
+	83	190
+	75	183
+	4	53	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	190
+	75	183
+	3	53	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	219
+	124	208
+	137	210
+	4	139	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	208
+	137	210
+	3	139	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	210
+	150	219
+	139	219
+	4	137	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	219
+	139	219
+	3	137	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	211
+	160	219
+	150	219
+	4	150	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	219
+	150	219
+	3	150	211	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	160	219
+	150	211
+	162	210
+	4	160	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	211
+	162	210
+	3	160	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	270
+	169	284
+	150	285
+	4	150	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	284
+	150	285
+	3	150	270	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	219
+	137	210
+	150	211
+	4	150	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	210
+	150	211
+	3	150	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	260
+	68	260
+	51	251
+	4	61	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	260
+	51	251
+	3	61	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	260
+	61	260
+	76	269
+	4	68	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	260
+	76	269
+	3	68	260	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	251
+	223	269
+	238	260
+	4	248	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	269
+	238	260
+	3	248	251	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	238	260
+	260	241
+	248	251
+	4	238	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	241
+	248	251
+	3	238	260	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	226	204
+	218	189
+	208	196
+	4	226	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	189
+	208	196
+	3	226	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	189
+	226	204
+	237	196
+	4	218	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	204
+	237	196
+	3	218	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	190
+	53	187
+	62	196
+	4	83	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	187
+	62	196
+	3	83	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	196
+	91	196
+	83	190
+	4	62	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	196
+	83	190
+	3	62	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	206
+	263	239
+	274	228
+	4	267	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	239
+	274	228
+	3	267	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	274	228
+	276	194
+	267	206
+	4	274	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	194
+	267	206
+	3	274	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	25	228
+	43	217
+	32	206
+	4	25	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	217
+	32	206
+	3	25	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	217
+	25	228
+	37	240
+	4	43	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	228
+	37	240
+	3	43	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	206
+	254	178
+	246	187
+	4	267	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	178
+	246	187
+	3	267	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	178
+	267	206
+	276	194
+	4	254	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	206
+	276	194
+	3	254	178	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	23	194
+	53	187
+	45	178
+	4	23	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	187
+	45	178
+	3	23	194	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	53	187
+	23	194
+	32	206
+	4	53	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	194
+	32	206
+	3	53	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	196
+	62	196
+	74	204
+	4	91	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	196
+	74	204
+	3	91	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	204
+	102	201
+	91	196
+	4	74	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	201
+	91	196
+	3	74	204	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	213	211
+	208	196
+	198	201
+	4	213	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	196
+	198	201
+	3	213	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	196
+	213	211
+	226	204
+	4	208	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	211
+	226	204
+	3	208	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	269
+	87	268
+	68	260
+	4	76	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	268
+	68	260
+	3	76	269	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	268
+	76	269
+	93	276
+	4	87	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	269
+	93	276
+	3	87	268	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	260
+	206	276
+	223	269
+	4	231	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	276
+	223	269
+	3	231	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	269
+	248	251
+	231	260
+	4	223	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	251
+	231	260
+	3	223	269	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	201
+	74	204
+	87	211
+	4	102	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	204
+	87	211
+	3	102	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	211
+	113	205
+	102	201
+	4	87	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	205
+	102	201
+	3	87	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	217
+	198	201
+	186	205
+	4	198	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	201
+	186	205
+	3	198	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	201
+	198	217
+	213	211
+	4	198	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	217
+	213	211
+	3	198	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	263	239
+	267	206
+	257	216
+	4	263	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	206
+	257	216
+	3	263	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	276
+	107	274
+	87	268
+	4	93	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	274
+	87	268
+	3	93	276	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	274
+	93	276
+	111	281
+	4	107	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	276
+	111	281
+	3	107	274	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	268
+	188	281
+	206	276
+	4	212	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	281
+	206	276
+	3	212	268	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	276
+	231	260
+	212	268
+	4	206	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	260
+	212	268
+	3	206	276	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	216
+	246	187
+	237	196
+	4	257	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	187
+	237	196
+	3	257	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	187
+	257	216
+	267	206
+	4	246	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	216
+	267	206
+	3	246	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	32	206
+	62	196
+	53	187
+	4	32	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	196
+	53	187
+	3	32	206	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	37	240
+	56	227
+	43	217
+	4	37	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	227
+	43	217
+	3	37	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	227
+	37	240
+	51	251
+	4	56	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	240
+	51	251
+	3	56	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	218
+	248	251
+	260	241
+	4	255	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	251
+	260	241
+	3	255	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	205
+	87	211
+	101	217
+	4	113	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	211
+	101	217
+	3	113	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	217
+	124	208
+	113	205
+	4	101	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	208
+	113	205
+	3	101	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	221
+	186	205
+	175	208
+	4	183	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	205
+	175	208
+	3	183	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	205
+	183	221
+	198	217
+	4	186	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	221
+	198	217
+	3	186	205	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	62	196
+	32	206
+	43	217
+	4	62	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	206
+	43	217
+	3	62	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	281
+	128	277
+	107	274
+	4	111	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	277
+	107	274
+	3	111	281	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	277
+	111	281
+	130	284
+	4	128	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	281
+	130	284
+	3	128	277	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	274
+	169	284
+	188	281
+	4	192	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	284
+	188	281
+	3	192	274	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	281
+	212	268
+	192	274
+	4	188	281	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	268
+	192	274
+	3	188	281	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	208
+	101	217
+	117	221
+	4	124	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	217
+	117	221
+	3	124	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	221
+	137	210
+	124	208
+	4	117	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	210
+	124	208
+	3	117	221	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	223
+	175	208
+	162	210
+	4	166	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	208
+	162	210
+	3	166	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	208
+	166	223
+	183	221
+	4	175	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	223
+	183	221
+	3	175	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	284
+	150	278
+	128	277
+	4	130	284	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	278
+	128	277
+	3	130	284	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	278
+	130	284
+	150	285
+	4	150	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	284
+	150	285
+	3	150	278	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	277
+	150	285
+	169	284
+	4	171	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	285
+	169	284
+	3	171	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	284
+	192	274
+	171	277
+	4	169	284	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	274
+	171	277
+	3	169	284	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	210
+	117	221
+	133	223
+	4	137	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	221
+	133	223
+	3	137	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	223
+	150	211
+	137	210
+	4	133	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	211
+	137	210
+	3	133	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	224
+	162	210
+	150	211
+	4	150	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	210
+	150	211
+	3	150	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	210
+	150	224
+	166	223
+	4	162	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	224
+	166	223
+	3	162	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	211
+	133	223
+	150	224
+	4	150	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	223
+	150	224
+	3	150	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	285
+	171	277
+	150	278
+	4	150	285	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	277
+	150	278
+	3	150	285	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	43	217
+	74	204
+	62	196
+	4	43	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	204
+	62	196
+	3	43	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	227
+	237	196
+	226	204
+	4	243	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	196
+	226	204
+	3	243	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	196
+	243	227
+	255	218
+	4	237	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	227
+	255	218
+	3	237	196	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	51	251
+	72	236
+	56	227
+	4	51	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	236
+	56	227
+	3	51	251	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	236
+	51	251
+	68	260
+	4	72	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	251
+	68	260
+	3	72	236	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	227
+	231	260
+	248	251
+	4	243	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	260
+	248	251
+	3	243	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	251
+	255	218
+	243	227
+	4	248	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	218
+	243	227
+	3	248	251	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	74	204
+	43	217
+	56	227
+	4	74	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	217
+	56	227
+	3	74	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	56	227
+	87	211
+	74	204
+	4	56	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	211
+	74	204
+	3	56	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	236
+	226	204
+	213	211
+	4	227	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	204
+	213	211
+	3	227	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	204
+	227	236
+	243	227
+	4	226	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	236
+	243	227
+	3	226	204	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	68	260
+	90	243
+	72	236
+	4	68	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	243
+	72	236
+	3	68	260	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	243
+	68	260
+	87	268
+	4	90	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	260
+	87	268
+	3	90	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	236
+	212	268
+	231	260
+	4	227	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	268
+	231	260
+	3	227	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	260
+	243	227
+	227	236
+	4	231	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	227
+	227	236
+	3	231	260	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	87	211
+	56	227
+	72	236
+	4	87	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	227
+	72	236
+	3	87	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	72	236
+	101	217
+	87	211
+	4	72	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	217
+	87	211
+	3	72	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	243
+	213	211
+	198	217
+	4	209	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	211
+	198	217
+	3	209	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	211
+	209	243
+	227	236
+	4	213	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	243
+	227	236
+	3	213	211	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	87	268
+	109	248
+	90	243
+	4	87	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	248
+	90	243
+	3	87	268	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	248
+	87	268
+	107	274
+	4	109	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	268
+	107	274
+	3	109	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	243
+	192	274
+	212	268
+	4	209	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	274
+	212	268
+	3	209	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	268
+	227	236
+	209	243
+	4	212	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	236
+	209	243
+	3	212	268	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	217
+	72	236
+	90	243
+	4	101	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	236
+	90	243
+	3	101	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	243
+	117	221
+	101	217
+	4	90	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	221
+	101	217
+	3	90	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	248
+	198	217
+	183	221
+	4	190	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	217
+	183	221
+	3	190	248	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	217
+	190	248
+	209	243
+	4	198	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	248
+	209	243
+	3	198	217	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	107	274
+	129	252
+	109	248
+	4	107	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	252
+	109	248
+	3	107	274	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	252
+	107	274
+	128	277
+	4	129	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	274
+	128	277
+	3	129	252	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	248
+	171	277
+	192	274
+	4	190	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	277
+	192	274
+	3	190	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	274
+	209	243
+	190	248
+	4	192	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	243
+	190	248
+	3	192	274	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	221
+	90	243
+	109	248
+	4	117	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	243
+	109	248
+	3	117	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	248
+	133	223
+	117	221
+	4	109	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	223
+	117	221
+	3	109	248	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	252
+	183	221
+	166	223
+	4	170	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	221
+	166	223
+	3	170	252	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	221
+	170	252
+	190	248
+	4	183	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	252
+	190	248
+	3	183	221	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	128	277
+	150	253
+	129	252
+	4	128	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	253
+	129	252
+	3	128	277	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	253
+	128	277
+	150	278
+	4	150	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	277
+	150	278
+	3	150	253	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	252
+	150	278
+	171	277
+	4	170	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	278
+	171	277
+	3	170	252	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	277
+	190	248
+	170	252
+	4	171	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	248
+	170	252
+	3	171	277	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	223
+	109	248
+	129	252
+	4	133	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	248
+	129	252
+	3	133	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	252
+	150	224
+	133	223
+	4	129	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	224
+	133	223
+	3	129	252	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	253
+	166	223
+	150	224
+	4	150	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	223
+	150	224
+	3	150	253	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	223
+	150	253
+	170	252
+	4	166	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	253
+	170	252
+	3	166	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	224
+	129	252
+	150	253
+	4	150	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	252
+	150	253
+	3	150	224	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	278
+	170	252
+	150	253
+	4	150	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	252
+	150	253
+	3	150	278	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3doptsty.ps b/books/ps/3doptsty.ps
new file mode 100644
index 0000000..635fcce
--- /dev/null
+++ b/books/ps/3doptsty.ps
@@ -0,0 +1,1761 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 144.385410 559.000000 677.854595
+%%Creator: xwd2ps
+%%CreationDate: Thu Mar 26 15:55:23 1992
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  422, height = 445, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 445
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 445 8
+  [422 0 0 -445 0 445]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+matrix currentmatrix
+4 inch 4 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+0000ff
+ff00ff
+00ff00
+ffff00
+00ffff
+ff0000
+23238e
+d3d3d3
+d4d8e8
+757780
+46474d
+b4b8c5
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+dbdb70
+2f4f4f
+c0c0c0
+cc3232
+efc8c4
+601a08
+236b8e
+238e6b
+2f2f4f
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+efc4ef
+e06fe0
+efc4ef
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000102000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010200000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+00000001000000010000000100000001000000010100000100001e010000ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01
+010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f0101000000
+0701ff009300060101000001000006010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000701010000000701010015010100ff014701010015010100150101000601010000010000060100001601
+0000ff014801000016010000160100000701010000000701010015010100ff0147010100150101001501010006010100000100000601000016010000ff0148010000160100000401
+000000010000000100000001000000010000000100000001000000010000020100000701010000000701010015010100ff014701010015010100020100000d010000020101000601
+0100000100000601000016010000830102000f0100002001040002010500810100001601000012010000020100000701010000000701010015010100830101000e0102001e010100
+0101020002010100010101008001010015010100020100000d0100000201010006010100000100000601000016010000840101000f0100001f010000030101000201010002010100
+7f0100001601000012010000020100000701010000000701010015010100820103003401010002010100020101007f01010015010100020100000d01000002010100060101000001
+000006010000040100000001000000010000000100000001000000010000000100000001000002010000830100000001010002010200010102000101030005010300020100000001
+0100000101000e01010003010100020101007f0100000a0100000001000008010000120100000201000007010100000007010100020100000d010000020101008201000000010100
+03010100010101000401010004010100010101000101010000010100000101000b01020004010100020101007f010100080100000101000008010100020100000d01000002010100
+0601010000010000060100001201000002010000830100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f0100000c0100000801000012010000020100000701010000000701010002010f000201010081010500040101000601010003010100030101000001010000010100000101000e01
+010002010100020101007f0101000801030008010100020100000d010000020101000601010000010000060100001601000082010000020101000401010006010100030101000301
+01000001010000010100000101000e01010002010100020101007f010000160100001201000002010000070101000000070101001501010081010000030101000201000000010100
+0501010003010100030101000001010000010100000101000e01010002010100020101007f01010015010100020100000d0100000201010006010100000100000601000016010000
+810101000301010001010100010101000401010004010100010101000101010000010100000101000901000003010100020101000101010080010000160100001201000002010000
+070101000000070101001501010080010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010100150101000201
+00000d0100000201010006010100000100000601000016010000b80103008b0100001601000012010000020100000701010000000701010015010100ff0147010100150101000201
+0f000201010006010100000100000601000016010000ff014801000016010000160100000701010000000701010015010100ff014701010015010100150101000601010000010000
+06010000000116000001ff004800000116000001160007010100ff00a5000001000000010000000100000001000000010100ff018f01000000010000000100000001000000010000
+00010000000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff01900100000601010000010000060101008e01032b0001002b1f01
+002b0401022b1001032b0e01002b0701002ba3010000070101000000070101008d01012b0101022b1f01002b0501012b0f01012b0101012b0d01002b0601022ba3010000060101000001
+0000060101008d01002b0301012b1e01012b0501012b0e01012b0301012b0b01012b0701002ba3010000070101000000070101008d01012b0301002b1e01012b0501012b0e01012b
+0301012b0b01012bad0100000601010000010000060101008d01022b0501002b0001012b0001012b0301032b0401032b0201062b0201042b0b01012b0301012b0001012b0001022b
+0201062b0201032b0501032b0201012b0001022b8f010000070101000000070101008e01032b0301012b0001012b0001012b0101012b0101012b0201012b0101012b0301012b0501
+022b0001012b0a01012b0301012b0101022b0001012b0301012b0701012b0401012b0101012b0201012b0101012b8f0100000601010000010000060101008f01032b0201012b0001
+012b0001012b0001012b0301012b0001012b0301012b0201012b0501012b0101012b0a01012b0301012b0101012b0201012b0201012b0701012b0301012b0301012b0101012b0101
+012b8e010000070101000000070101009101022b0101012b0001012b0001012b0001012b0301012b0001012b0301012b0201012b0501012b0101012b0a01012b0301012b0101012b
+0201012b0201012b0701012b0301012b0301012b0101012b0101012b8f0100000601010000010000060101008d01002b0301012b0101012b0001012b0001012b0001012b0301012b
+0001012b0301012b0201012b0501012b0101012b0a01012b0301012b0101012b0201012b0201012b0701012b0301012b0301012b0101012b0101012b8e0100000701010000000701
+01008d01012b0301002b0101012b0001012b0001012b0001012b0301012b0001012b0301012b0201012b0501012b0101012b0a01012b0301012b0101012b0201012b0201012b0701
+012b0301012b0301012b0101012b0101012b8f0100000601010000010000060101008d01022b0101012b0101012b0001012b0001012b0101012b0101012b0201012b0101012b0301
+012b0101002b0201012b0101012b0b01012b0101012b0201012b0101012b0301012b0101002b0401012b0401012b0101012b0201012b0101012b8e01000007010100000007010100
+8d01002b0001032b0201012b0001012b0001012b0201032b0401032b0501022b0201022b0001032b0b01032b0301042b0501022b0301052b0301032b0201022b0001032b8e010000
+060101000001000006010100d601012bb601000007010100000007010100d601012bb7010000060101000001000006010100d501032bb501000007010100000007010100ff019001
+0000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff01900100000601
+0100000100000601ff0092000701010000000701ff0091000001000006010100000100000601ff00920007010100000007010100ff0190010000060101000001000006010100ff01
+8f01000007010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f010000
+07010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f010000070101000000
+07010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001000006010100cd010615ba0100000701010000000701
+0100cd01011502010115bb010000060101000001000006010100cc01001503010115bb01000007010100000007010100d0010215bc010000060101000001000006010100cf010215
+bc01000007010100000007010100ce010215be010000060101000001000006010100ce010115be01000007010100000007010100cd010215bf010000060101000001000006010100
+cc010215bf01000007010100000007010100cc01011503010015bc010000060101000001000006010100cb01011502010115bc01000007010100000007010100cb010615bd010000
+060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001
+000006010100ff018f01000007010100000007010100c7010035c7010000060101000001000006010100c7010035c601000007010100000007010100c7010035c7010000060101000001
+000006010100ac01009300940193009915010035120100980099009700940099ae01000007010100000007010100ab01009400930199009800940099009400930099019800990094
+009501930194009500930094009501940199009400350193009200930095009301940099009400930199009400990093009800990098009400980092009400930094ae0100000601
+01000001000006010100ab01019300940093009400980099009a0092009a009400990094019300940093009500930194009300920093019400950092003502930094009200940193
+0094009300920095009900980094009a0099009800990198009301940093ad01000007010100000007010100aa010093009400930092009300990193009902940099009200930194
+0092009302940095019300940093009500940035009401950193019401930095009300950093009801990994ad010000060101000001000006010100a90100930094019302940093
+009800940098019400930194009501930094009301940193009400920095009300940035019300920094019300940193009500940093009401990193019800950094009300940095
+009300950093ab01000007010100000007010100a901039300940092009500920093019801930095059401920093029400930094008f009300350094008e03930094009200930094
+019301940095009301940098039302940093ac010000060101000001000006010100a80100000093019500930094009201940093009200930092029400930092019301940193028f
+0093018e008f00350093008d00900093008e00950092019400950093009200940095019300950099019400930195009400930294aa01000007010100000007010100a70100940093
+0095009400920293029401920093009200930094009500920094009300940095008f008e028f008e0094008e00940035018e00940093008d008e008f029400930294019301940093
+01940095009400930094009301940093aa010000060101000001000006010100a70102930194009300920094009300940293009400930194009202940093038e0093008e008f008e
+008d009400350193008f008d008e008f018e029304940093009400930094019500940095009401920194a901000007010100000007010100a6010192009301940093009200930494
+00930092009400930194009300940093008d008f0090018e0094008e0094018e008f00350294018e008d018e008f0093019200940293019400930094019500930094019300920094
+0093008fa9010000060101000001000006010100a601008d0094008e009200930092009300920394029300950093009400930094008f008e008d008f028e009300940093018e0093
+003500940090008e0092028e008f0090008f008e00940095009200930094019300920093039401930094008f008e008fa801000007010100000007010100a501008e008d038e008d
+0093009200930094049300940293008e008f018e008f0090028e0093008f0093008f009400350090009500940090008f008d0090008e008f008d008f008d00940193009500920094
+02930194008e0094018f028e008fa8010000060101000001000006010100a501058e018d008f008e008d00930095009300920093009400930094018e008f008d008f028e018f008d
+008e008f0093009200350092018e008d008f008e008f008d008f008e0000008e0294019302940093008d018f028e008d018f008ea701000007010100000007010100a501018e008f
+008d008e008d028e018d018f008d008e01930094018e008f018e008f028e018f008e0193008e008d0035008d018e0090018f018d008f008e018f008e0093008d008e0090008e008f
+008e0090028e008f008d0090018e018fa8010000060101000001000006010100a401008d008e018d008e008d008e008d008e0000008d018e008f008e0000018f018e018f008e008f
+0090008f048e008f018e00930035018e018f038e008f008e008f028e008d028e008f008d018e008f008e008d008e018f018e0089a701000007010100000007010100a401008a0088
+028e018d018e008f008e048f008e008f038e028f048e008f008e019400930035018e008d008f038e028f048e008f008d028e0090018f008e018f008e018f0088008aa70100000601
+01000001000006010100a401008a0089008a0088008a008e018f018d018e008f008e018f038e018f018e008f018e008f008d028e0094008f00940035018e008f008e008f008e028f
+018e008f008e008f008e018f008e058f018e008d008a00880089008a0089a601000007010100000007010100a4010089008a01890088008a0089008e008d018e008f008e018d008e
+008f008e008f018e028f008e008f018e008f018e018f0093008f0035038e008d058e008f008e008d008f018e038f028e0090008a0089018a008b0089008aa7010000060101000001
+000006010100a301008b0789008a00890088008e0089008f008a018e008f018e008f028e008f038e008f008e0090008d0093008e0035008f018e008f018d028f078e008f018e0088
+0089008f008a0189048a0189a501000007010100000007010100a30100830084008900000088038900880289008800000088008a0089008e038d008e008d008f008d018e008f008e
+008f008d018f008e0035028e008f038e008d008f008d018e008f008a018900880489008a0189028a008900840185a6010000060101000001000006010100a3010084008300840085
+008a0188008a0089008800890088008a048901880289008a008d048e008f018e008d008e008f0035008d008f058e008d0289008a0089008a008b01890088008a00880389008a0189
+008a00890284a501000007010100000007010100a301008304840088018900880089028a028900880289008a0189018a008b0188008e018f008d028e0035018d008e008f008a0088
+008b008a0188008a0289008a0289008a0289008a01890088008a008b0084008500840185a6010000060101000001000006010100a20100850084008500840083008400850083018a
+00880289008a008900880089008a0189008a00880289008a01890088018a0189018f00890035008e008a0089008a0088008a0289008b0189008a0089018a00880389018a0089008a
+0089008400000284008300840086a401000007010100000007010100a201007f008300840085008300840183008400890088078900880189008a018800890088008a008800000088
+0389008800890035008a0089008a008900880089008a0089018a00890088008a00890088028a0089018a0089000000890085008302840083008601850080a5010000060101000001
+000006010100a201027f018400830084008501840183008401830084008800850089000001840088018400880084008a018900880189038a0035008a0089008a0189008a00890088
+018900880085018400860084018500840083008a0184008a01840083008600850084007f0081007f007ea401000007010100000007010100a201007e007f007e017f008400830084
+0085008300840085008300000184008300840283018500860284008301840289008a0189008a003500880089018a0084008900840185008400860084008601850084008502840285
+058400800081007f0180a5010000060101000001000006010100a101007e007f007e047f0084008303840183028400850083028400830084008301840185008400850084008a0084
+008300840035008400850084008303840185008601840085018400850984007f0080007f0080007f0280a301000007010100000007010100a1010080007f0080037e0080007f0080
+007f01840083028400830085008400830184008300840083008501840086018400850484003501850183018400830384008500830284008304840085027f0080017f00810080017f
+007e007fa4010000060101000001000006010100a101017a017f007e007f007e017f0080007f0080007f0080007e007f00000081027f0084017f0184018501830284008300850084
+008500840035018501840085008400850084008500860084007f008300800084007f0180017f0080007f0080007e017f007e027f0080007f007e007a0079a3010000070101000000
+07010100a0010179027a007b017e007f0080027e0080017f0180057f0180037f0280008300850084008501840035008400830085007e00850080007f0080007f0080017f007e007f
+007e067f007e0080017f0080007f007e007a0179007b007a017ba3010000060101000001000006010100a001017a0079007a007b007a0079007a007b0000007f007a0080047f007e
+017f0080007f007e0180007f007e0080027f0000017f007e017f007e0035007f007e0080017f0180027f007e017f017e027f0180057f037b017a007c007a0079007aa20100000701
+0100000007010100a001017a007b017a0079007a0079027a007b007a027e0080007f0080007e027f007e017f007e0080007f0080027f0080007e0080007f0080007f0035017e0080
+017e0280007f0080007e027f0080007f007e027f0080007f007e007b017a017b0000007a007b007a007c007a00790076a3010000060101000001000006010100a001017500760079
+00740075017a0079017a0079007a0079017b007f007b017f007b017a007f007a017f0080007f007e0080007e037f0080007f00800035017f017e027f007e0080037f0080007b007e
+007b0080007f007a0080017b0079007a007b027a0079007b00750074007600750076a2010000070101000000070101009f010275007400760000017601750074007a0079017a0179
+017a007b007a0079037a0079007a0079017a007b007c007e0080047f00350080007f0080007e037a007f007a027b017a0079017a007b0079057a007b007900750076007501760075
+007400760074a20100000601010000010000060101009f01007101750176007500760375007400760279007a0079017a0379037a007b007a007b027a0079027a007b007a00350079
+007a0179017a0179027a037b0079057a017b007a02760475007601750076a1010000070101000000070101009f01006f0071006f0070037406750179007b007a0079007a007b0079
+017b017a007b0079007a0179007a0079007a007b017a01790035007b017a007b007a0079017a027b017a0079007b027a037b007604750077007502760370a2010000060101000001
+0000060101009f01006f0270006f00710170006f01740275017400750000017a0074017b007a0179007a0079017a007b027a0079047a0035007a0079017b007a007b057a007b027a
+00750000007a017600770076017500760075007400700077007001710070006f0171a1010000070101000000070101006d010194009a2e0100710070016f00710170006f02700074
+027500740175007601750000007500740275007a007601750000007a0175007a0079007c007a00790035007b037a007b007a00750074007500740476007501740075007600740275
+0076017103700071017001712e01009900980093700100000601010000010000060101006b0100990093009502992c01016b00000070006f0170006f00710370016f007400750074
+04750276007501740075007404750074007602740035007600740076007400750276007500760074047500760075027401760170007100700071017001710070006f006c006b006c
+006b2c010093019902936d01000007010100000007010100690100940093009900980092009400990098009900932a01006b006a016c016a006f007000000070006f0070006f0170
+0071006f007000760074007500740076027500000b7501760035017500760075017400000175007400760075007401750076007500740075007600750071006f007001710170016f
+0071016b006a006c006a016b2a01009300940093009400990092009800930094009a6c01000006010100000100000601010067010099009800940099019400980094000100940199
+00922901056b016a016b006a006f01700171006f01700075006f00770076007500700075006f0076007501760075006f0075007400750070006f0076007500760035007500740275
+007400760075007001760075007100740075007600750070006f007001710270006f0070006f016a026b006a026c006b29010098009a009900940199019401980194009969010000
+0701010000000701010066010093019800950093009a01940098009300950098009400010098009327010266046a006b006c016a006b0070006b006f0070006f0370006f00700171
+0070016f0270006f0270006f0170006f007000350070006f0070017102700071017000710170006f0170006f0270006f0071006f0070006b006c006a006c006b006d016c006d006b
+026627010094000100930094009900980093009a01940099009300990098009500946901000006010100000100000601010066010194009200940099009300990098009900970098
+0094009202930098250100000065016600670066036b006a0000006a006b006a026b0170006f0070007103700071026f037000710270007101700035006f01700271027000720270
+0071006f01710070007100720070006f006b006c006a006d026b006c006b006c00660067016600670168250100930098039400990094009300980093009800950199009800936801
+000007010100000007010100650102930094019300990093009900980099019400990098009901980094009223010000006700660065006600650366006a006b016a006c026a006b
+006a006b006a026f0071006a0070006a0070006c006b006a006f0070006f00700071006f0070006f0071003500700271006b006c006b0070016b006c0070006b00700071006b006c
+0071006c006a006b006a006c006a006c006a016b006c0065006a00680167016601670066230100920099019800930094019800930099019801930099009500940092009300946801
+000006010100000100000601010065010092009301920093009801990094009900980094019800940199009400980092009800922101006200600061006501660065036600670065
+016b006a006b006a006b026a006c016b006a016b016c006d006b006c016a006c026b006c006a006c0035076b006a036b016c006b016c006a006c036b006c006b006a016500660065
+0066006700660167016100622101009300980099009300990094009a0094049900950099009400950094009300950094009567010000070101000000070101006501019300920493
+00920099019800930094009800950099009400920099019400922001000000610060006100600062006000660165006700650566006b006a006c026b026a026b006a026b006a046b
+016c0035016b006a006b026c006b006a006c016b006d036c036b0065006600670066006701660167006600670066006000610162006100622001009800990194009a009400950094
+009800940093019400990098009900920193039468010000060101000001000006010100650101940092029300920194009700990092009400990094019800940393009900940095
+1e0100600261000001600161006600650166006500660067016604650066006b006600670065016600650266016b006c026b006c006b0035006b0000006b006a0066006d006a0065
+006d0067006c046600670466006502670066006701660061006000610062006000620061006300611e010099009800990093009901980094029900940098009a0094009500940293
+039468010000070101000000070101006401009404930092009300940095009401930094019800940198009400990093009a0198009a009800931b01025b00610062026000620061
+000000600061006600670066006700660065006600650166006701660167006500670266006700680366016700660065003502660065006702660267006600670066016700660067
+006600670066006701660167006202610162006102600061005c005b005c1b01009400930095009900930394009300950093009a0099019300940095019300950094009300940195
+00940095670100000601010000010000060101006401009400930092039300950094009300940193009400990097009301920193009800990094009300940098009900971a01005c
+005b025c005b006100620060006100600062006003610060006200660061016600670166026700660065016600670166036500660067000000350065006600650066006700650266
+006500660267026502670061006200610062006100620061006200600061016200610062005b005d005c015d005c1a010193009800930099009a009901980099009401990094009a
+009501930095009300940093009400950094009300950001009566010000070101000000070101006401009400920094009200940092009300920094009202930194009700980094
+009900930092009801930099009401980095009800931801025b005c005b035c03610060006100600161006000610162006100600062016000610060006201610060026100660067
+0065006600650166003502660065006000670061006203610067006200600061006300610162036100620061006300620061005b025c005b005e005c005b005c005d005c18010094
+02930098009a009900930098009a00940095009900950099009a000101940093009400950194009501940395670100000601010000010000060101006301008e0293009200930094
+0193009400930092029300940093009400010298019300990098009300980093009900940093009a009916010057005c0058005c005b005c005d005c025b005c015b015d00620060
+02610062036100620061026200600262016100600062006000610162003501610060016100620061006201610062006100620060006301610062006103620161005b005d025c005b
+015c015d025c00580056160100920093009401930099009801940099009a009800990294009303950094009503940095009402950001009565010000070101000000070101006301
+018e008d02930094019202930292019400930094009900930092009800990194009900940095009300980094009902941301005600570056005700580056025b015c005b005c005b
+0000015c005b005d005b015c0062005c01610060006100600761006000610062006001610060003505610060006100600061006301610063006002610060025c005b005c005d035c
+025d025c00580057005800570059140101940093009900980193009900930094019905940193029500940093009400950001009401950001009400900001009066010000060101000001
+0000060101006301008e018d008f018e0092009402930092009402930094009300920094009300940093009800990098009901940092009801940099009301950094110101570056
+0257015600570156015c015b005d005c005d005c005b005c005b005c005b015c005d005c005d065c0061005c03600162003500620060016100600061005d005c005b025c005b035d
+015b005d005c005d025c005d005b005d015c005b01580057015800560058005700580056110101940193009900980299009300980099009400980093009900920098009300940095
+019400010094019500940095009400950090010100900001008f009065010000070101000000070101006201008e008f018e028d008e008d00920095009300940093009400930092
+0093019402930098009901980293009a00990098009400950094009900930098009300920f010051000000510056000000580157005800570056015700560157005b0058005c005b
+005c005b005c005d005c005b005d025c005d005c005b025c015e005c005d005b005c005d005c0035025c005d025c005d015c025b015d025c005b005c005e005c0058005700580057
+025801570158005700560059005700580057005300520f0103930099009800940093009200940099009a009900930398009400010093019400950094009500010195009400010095
+00010290008e01010190650100000601010000010000060101006201008f008e008f018e008d008e008f008d01940092019300920393009400950192019300980099009300970094
+00970098009300980194009800990194009501940d01005200510052015100530252005700580000005804570056000001570056005700580056005b0058005c005b005c005d005c
+005d005c005b015c015d005c005b005d00000035005e005c015d045c0057015c005d005b005d0057005c015800570058015700560357005801570056015700520153005201530051
+0d01009201940098009a0194009900980193009400990094009905940001009500940001009400950094000100940095009000950001049000010290640100000701010000000701
+01006201008e008f018e008d018e008d008e0093008f009401930192019303940092009400980093009501930094009300980095009401990094009901980099029400950b010152
+005300510053015101520151015201570056015700560157005600580056005700000057005801570156005802570156005b015c005b015c0035005c005d015b0157005c00580057
+00580157005900560058025700560057005800570056005800570000015800510052005300540052005400530052005303520b010092009901930094009800990092009301990093
+00990098009900950099009301940195009300950094009500940195030100950190010101900001009000010190650100000601010000010000060101006101008e008d008f008d
+0000028e008f008d008e018d0000039301940093009400930092009300950094009200990093009a009900940098009400970093039800940099009803940801004e004c004e004d
+004c00520251000000530051005300510053005101520053005200560158005701560057005800570056005800560057005601570058015700580057005800560157003500570058
+005700580056005700580057005800570258015701580457035200530052035300520153005201530051004c014e0801029300950194009701990393009700930094009a00010098
+00940095009301940093029501010094000100940295000102900001018f0001008f0090018f63010000070101000000070101006101008f028d008f008e008d008e008f008e008d
+008f009200940092019300920093019201930092019300920193009400990098009400920094009800930099009300970093009900920399009400930095008f0501004d0000014c
+004e014d014c075200510053000000510152005100000052015300570056005700580052005800560057005801570056005800570156005700350058025700580157005600570158
+005700580057005200000053005100540252015300510053005400530052005100530052004d014e024d004e004d014c0501008f0094009300940098009900940199009400930099
+009300990094009801940098019900930095009400930394010101950101009500940095009400010090008f00010190008f0090018f019064010000060101000001000006010100
+6101008d068e008d008e008d008e0094009301920094009300940492029300920093009401930098009700930294009900980099009300940093009a009800990097009200990094
+01930301004d004e014d004e004d004e024d004e024c004d000003520051005201530152005300510000025200510052005302520058005701560157005600350157015200570152
+00530051005200530152005300510152005300520153005200530152004d00520053004c014d024e024d004e004d014e004d0301008e00930094009800990193009a009400930099
+0094019801990095019401990194009300950094009500940092089500010195008f0001009000010090018f008e018f0090008f630100000701010000000701010060010088008e
+008f008e0088028e008f028e008d0092009302920193029203930095009400930194009300920093009901940198009300970098009401990094019800930099009a009800990092
+009400010248004700480147004c014d014c024d004c014e034d004c0051004d00510052015100530352005100520053005100520051005300520151005200530035005201510252
+005301520053005200530152015300520153004d004e004d004c014d004e004c014e004c004f024c024d004700480047024900010192019301990194009300940095019800930094
+00990098009901980094009a009400950194009500940395019402950001039500010390018f0090018f008e0001018a63010000060101000001000006010100600103890090008d
+018e008d038e009300940593009200930094009201930292019401930094009300940099009400990097009301940093009900980093009900980094009901940099009300940095
+01470049004802470049004800470048044d004c014d004e034c014d004e004c034d004e0252005100520051015300520251003501530052005300510152015100520053004d004e
+004d004e004c014e034d004e004d004e024d024e02490348014901480000009800930199009801930095009800990194009300980094009900950094009800930095009302940095
+029400930095009400950001059500010095000100950090038f0190018f008b008a0088008a620100000701010000000701010060010089008a008900880189008e008f018e008f
+008e008f009400930092009301920000009200930094029300920294029300920093009400920093009400980094019900940193009800920098009a009300940199009400980093
+009501930095004801490147014801470048004900480047004d004c004d004c034d0000014d004c034d004e004c014d014e004c004d004e0052005100530052003500520053004e
+004d004e004c004d004e004d004e014d024e004d004f004e024d004e004d004e004c004a004901470049014800490048004700490048004900480298009300990094009801930098
+00920094009900930199009400980095009a019900930094009a019400930194019500940395000100950001009500010095000100950094000101940090008f008e018f028a0001
+0089008b008a0035620100000601010000010000060101006001008b00890088018a0089008a0089008e018d008e008d009205930094009300940193009401930092029401930094
+019300940093009800990193009900930099009302990093009801990094009a009400990094009800950092009700430042004a0048004700000247004803470048004702480049
+00470048004d0048044d014c004e004d004c024d004c014d0035024d004c004d004c044d004e014d0049014800490048004a004801490148004a0049004800490048004901480049
+0047004a004801930098009200980094009a0298009a0098009500940199009800940099009400990094009a00980594039500930195019402010094009500940095019400950093
+0290008f0090008e038a028b620100000701010000000701010060010184018a0088008a00880089028e008d05930094009200930092009300920293009200940093009400930092
+009300940193009200940093009400980094019901930199009300940099019400950099009a00980099009a00970098009501940092004200000143004200470048014700480049
+01480047014800490248004700490248004e004c004d004c044d004f004d004e0035004e004d004e044d024800490048004901480247004900480047024800490047014900440343
+0092009800940199009300920095009201980093009800950098009300940199009a0094009900930094009a01930194019500940195029402950094010101950101019500940001
+0295028f0090048a008b018a63010000060101000001000006010100600100840083008400830188008a0089008a028e008f008e008f009202930094009301920193049202930092
+05930094009300990098009900940098019300980099009a009800990098009301990093019900950094009300950094009800940143004400420143004200000042004301490047
+0048004700480149014800490048004901480149004800490148014d0049004c00350049014800470048004901480047004900480047004801490148004902480047014300440043
+0042004401430144008d0194009900940098009900930094009900980099009300990098009300980094019900980095019400970199009400930694019500010095009301010195
+0001029500010095009400950001038f0090018a008b0089008a0285008462010000070101000000070101005f0100850083008500830184008a01890088008e008f008d008f008e
+018f0093008e009300920093008f029300920093009401930394059300920095009400930199009400930098009900930199009302940098009400990098009a0099009a01980099
+009700990095008f01430042014301420044024300420443004703480000004701490047004800490048004900480035044801470049004702480043004400430144024301420043
+00440143004400430042008e019300940193009901980094009800990098009400990098009a0194009803940097009a009201940193039400930001029501940295000103950094
+00010195018f00010090018f008e00900089008b018a00840085000101850086620100000601010000010000060101005f010084018500830085008600850189008a0088028e018d
+018e008f008e009200930194009303920293019200930094009201930092019301940293009902940399009300990093009400990098009400930099009a00930094009900930099
+00920194009300990042024300420043014400430042014300440443004800470048004a014801490148004700350049054801430044004300420643004400420044004300440043
+000000930095029300970194019800990094019301990095009301940198009402980194009901940095009400930095039400010195000101950101009500940001039500940001
+0190008f0001028f00900089028a008500860285018661010000070101000000070101005f010080008501840085008301850089008a0089008f008e008d018f008e008f018e018f
+0092009301920493009400920093009200930092009400930192029300920093009400930097009400980099009402980094009700990093009802990095009a0099009800940099
+009400990098009500940093009500930099013e003d003e003f023e0044004208430144004300420143003500420045004301440243004200430042004301440043013f043e0092
+029300940093009800930092009800930199009301980099029400990094009900940093009400980097009900980099009300980194009500930194009500930295029400950001
+0195000100950001009001940090008f0190018f0090008f0090008f008b0089008a0089008b0085018602850084620100000601010000010000060101005f010180017f00830084
+0086008500840189008a00880089008f018e008d008f008d008e0000018e009200930492000000940093009201930194009300950194019300940093009800930198009400930099
+0098019300920099009500930099009300980099009a00940095009900980093009400990094009a019400950092009300950194003e0000003f003e003d003e003f004404430042
+004300420043004401430042003502420043004400420243003e003f003d013e0040023e008d02930194009201930094029300940093019800950298009400950094009300990093
+00980094009901940099019400930194019500010095009400950094019502940095000100950001039500010190028f008e0190018f008b0089008a018b018501860085007f0181
+008061010000070101000000070101005f0100800081007f0080007f00830084008500830084048900880089008f008e008f028e008f008e008d028e009202930094009301920094
+0093019200950000009200950092029400930094009500940398019901940099019700940099009400950098009900950094009301990093009800930294009302940095008d0090
+008f003d003e003f003d003e00440042024300420043004400430044003504430044013f023e003f008e008d008f0094019300940193009400920193009202990098009300990093
+009400990198009400980193019900980093009400990094009300940093009902930794009502940195010101950590008f0090008f0290008b0089008b018a008b008901850184
+0080007f0280620100000601010000010000060101005e010080007f0080007f007e007f0184008501830088018901880089008a0089018e008d008e008d018e008f008d008e0093
+008d02930092019300940293009401930095019300940093019400920194009900930098009900940198009400930199009400990098009900940098009400980093009500980095
+009800940093009401930094009503930094008f008e008f018e0090003e003f003d003f013e003f013d0035013e003f003e003d003e018a0089008f008e008d0093019400930194
+01930092009700980094009700940093009400930099009300990193009a03990095009a019500930099009802990094009300940095009400950194009502940001009403950094
+000100950001008f0090008f0790008f008b008a018b018a008b008a018500860185007f038061010000070101000000070101005e01007e017f00000180007e028400830085038a
+0089018a008e008a008d038e008d008e008d018e008d0094008f01940293009202930194059300920093009800940093009900980094009900980099009800940093019901940099
+009300940093009702940097039400930094009500940095009300940095009201940193009502940093009400930194008d0035008f00940193008f008e018f0093009400920093
+019401930095029300980093009400970098009902940093009400990098009a00990092009800940093019400980094009900940093009800990093009401950394009300940195
+0094000100940495000100950190008f00900001008f00010190008e0090008f018a018b008a008b028a0085018600850580007c610100000601010000010000060101005e010079
+007b007f007e0081017f008003840089008300890088008a0189008800890088008e008d008f008e008f028e008f028e039300920193009402930092009400920094009201930199
+0093009800990198009900920099019802940193009a00940199009400990098009300940093009500990094009300990098009402930099009a0094009301940093009401930095
+0394009300350094029300940093008e0293019401930092009301940098009300940198009300940093019800920093019900930095009300920099009301990094009300950094
+009a00930094009800930094009301940095039401950093039501940001008f00900301009000010190008f0190028a0001018a018b000100850086000100860280007f0080017b
+007c60010000070101000000070101005e01017b007a007b00790180007e007f008501840086018501880289028a048e008d018e018d018e0093008d009502930092029300920094
+049300990092009a009900980099009a00930099009301990093009900930098009300990094009700930098009400950099009800930095009a0095019300990098009901980093
+0099009801930094029900940193009400950094009500350494029300940393019400920099009301940098009a0094029900940093009400930094009900980293009900980099
+019a0094009a009201990093009900930199009800950194009500940001009405950090008f01900001028f02900001008a0001008a028b0089018a008500860085008400850184
+0081007f00800081007a007c017b007a610100000601010000010000060101005e01017b007a01790080007f007e0080007f008601840085008600840085008901880189008a0189
+028e008f008e008f008e008d008e008d018e0000008d0193009401930094009300920094009500940093009800990098009400980092019800920197009301980094009300940198
+0094009300920094009900940193009400990093009a009300980099009a009300980099019300990093000100940193009200990294009300950093003500950093019401930094
+00920693009800930099019400930099019300980195019900940299009400930099009500990193009a009401990093009800930094009900940095009302940195049400010090
+0201009001010490018f038b008a008b0089008b0084008500830086008500860084007f0280007e007b007c017b007c60010000070101000000070101005e01007b0079037a007f
+007e0080017f008501840185008400850089008a02890088008a0089008f008d008e018d038e018d028e019206930398009300940093019900980099009400990001009700990098
+019300940098009401930094019800930099019300940095009800940099009800940095009300990094009900980093009900980099009300990095009401930194003500930095
+02930094009500920193009200940199009300920199009800990198009401980095009700990193019400930094009a009300940093029901980094009500980299009400990095
+009902940195039400010290008f010100900001008f00010090018f028b008a028b008a008601850086028500840380007b007a027b007c61010000060101000001000006010100
+5d0100760075037a0079007a007e027f007e00830184008301840085028900880189008800890088008e008d008e008d008f018d008e018d008f008e009401930094009200930094
+0093009800990092019300980099009300990093009702940098009900980099009400980094009500930094019900970093009900950098009900980093009a0099009300980099
+009800990093009a0094009a0194009301980094009200990093019400980035009400930098019900940098009a0094009900930095009701940093019400980094009300980099
+009a00940098009401980094009900940098009a0099009300940198009501930199019801990094009a00990094009900010095009401950094019501010090008f010104900001
+018b0001008a018b028a018600850184028600850480017b017a0074007500765f010000070101000000070101005d010075007600750076007a017b0079017f0280017f00840085
+038400850089008a0088018a00880189008d008f008e008f058e00930092009300920095009300920094009903920098009900920093019201940099029300940098009900980099
+0094009900980099009400930099009400930094009801940098009401950093009a0094009900930097009a00980094009300980099009800990093039800350093009801940097
+009800920098009301940099009a00990098009a00950099009300940198009500980199019801940098009401980094029800940098019900950094009a00990095009900940098
+0194009a009900940095009300940195009400950001049000010290048b0001008a008b00840086000100860085018600850680037a037660010000060101000001000006010100
+5d010175017600750079027a018000810080017f008500840183008500840086008501890088008900880000008a0089008f008e008f028e008d028e009300940092019300940092
+0093009800990094009800930098009400930098009500980092009901940093009400920099009800940093019901980099009800990094009300980199009a0093009400990093
+0099009400980099009301990094009801940193009400990092009400980035009801940093009a0097019400920094009300980099009400930094009a00940093029900940098
+0092009402980099009800990001009900930099009300980099009300940098009402990095009400990098009900950099019a000100940095010100950001008f00010090008f
+0001008f01010090008f008a008b008a018b008a018b00850086008500860085018400810180007f008000810001007b007c007b007c0077007502765f0100000701010000000701
+01001e01009500903c010175017600750079047b027f00000080007f00860084008301840083008400880289008a0189008e0000008d018e0000028d008e00930094019302940293
+0098009900970093009401980099009800990094009901920093009901980099019400980094009800990193009901920093009902940099009300980293009a0194019800920093
+00940098009901940199003500920095019400950199009500930098009a00940093009a0093009400980099009a00990093009900940193009a0194019900980097009400930094
+0099019a00990098039400990094009801990095029a0001019500010095010102950001009000010590018b0001008b008a018b0186018501860185007f008002810080017b007a
+007c0075037600753c01018e210100000601010000010000060101001d010094019000010090008f008b0001008a3601017101760175007a007c027b017f007e017f008000840183
+0084008300850389008a008801890088048e008d018e008f00940193009201940092009301940093009201940093009800990094009900930098009300920098009900980094009a
+009402990298009a00940099009800990294009301980194009901940093009400990098009400950094009801940199009300940035009400990098009300980093009800990094
+009901950194009a02940099009400990098009901980293019400930098009900930095009801940098009900940098009a019900940098009900010094009a0095009400950094
+06950001009000010190010100900001018a018b008a018b0001008601850086008500860084008000810180007f0080047b017700750077007600723601008b008a0088008d038e
+008d1f010000070101000000070101001d01008e018f0290008f0089008a0089008b0089330100710070017600750176017a007b007a0079007a007e0080007f0080007f00800085
+0083008503840289008a008801890088008d018e008d008e008d008f01930092009401920193009400930094009200930098009200930098009300940093009901940099009a0097
+009401990093019400980099009400990194009300990098009a0293009801940099019a009900930094009500990094009900930098009300940098009400990035009300990097
+009803990094009800970099009800930198009300940199009400950094009300990093009901980093009901940093009a0098019900940099019400950094009902940098009a
+0094000100940001019400950094009500010094009500010090018f00900001008b018a0101028b00890085008601850086008500860084007f008100800081007e007b007a007b
+007c007b007a0076007700750076007000710070330103890088028d008e008f008e0093200100000601010000010000060101001c010094038f00010190008e008b038a31010071
+00700071007001750174007a0077007b017a007b017f0080037f0084008300850084008501840089008a00880389008d0090008e018d008e008d0293009200930194009200930094
+00920094019300980093009200980093019401930095009800930099009801940099009401980193009800940095009200940095009a009901930099009800990298009900930094
+00950094009a009900930098009900940199003501980293009900980193019700990098009a01940098009401930099009800990098009400930094009800940193009800990194
+00950098009a00980095009300940098009a009900980295049400010095019403950001008f00010290028b008a008b008a0089008b008a018602850280008101800081007b007c
+027b017600770076007500770172017131010189008b018a008e018d008e018f008e01941e010000070101000000070101001c010094008e0190008e018f0090008f008b008a008b
+018a0086300102700072007100750176007500740076027a017b017f0080017f0085008400850083008501840389008a0089008a018d028e008d008e019200930092029300920293
+0094019300940199009a009300980099009300980099009401980093009a0099009300990097009a0098009300990094009900930095019800940099019300990098009900930194
+009500930099009800940098009400920099009300940092003500990293019901940093009900950193009500990093009900940099009400980097019901940093009900930099
+009800940093009500980199009400980093009900980099009400930094009300950094009500930194000101950094009500010095000100950001008f00010290008b008a008b
+018a008b018a0085008600840385008000810080007f00810080007b007c007b007c007b00770075007600770076007200700071000100713001008600850389008e008f018e008f
+018e008f00951f0100000601010000010000060101001b010093008e058f01900001008a008b018a008500802f01006a027000710076017500760175007a007b0079007b007a0280
+027f0284018300850089008a0089008a0289008e008d008f048e008d008f019300940092019300920093009202930194009300980093009701930099009300950098009301990093
+00980093009800940093009a009400930099009301990098019301940198019400990098009a00980099019300980193029400350193019900950099009301990095009800990094
+0093019900940098009900980099029800990094009900980099019800990093009a00940198009400950098009a009401990093019401950294009500940295000100950090008f
+0190008f0190008f0090028b0001008a008b008a0084000100860085008400850086007f0080007f0080007f0080007a037b007602770076027100720071006b2f0100800088008b
+008a0189018d028e008d008e008f0090008f00951d010000070101000000070101001b01008f018e038f0090008f00010190008b028a008400802e01006b006c0071017001710275
+007600770074007b007a007b007a007b007e007f0081007f007e00840185008400830084008a0089008a00890188008e008f018e008d018e008d018e008d018e0593009400930092
+029300940099019400930094029300990098009700920094009901980099019300990194009500940093009900940095029900930194009902940099009300950099009200940098
+009500350099019800930098009300940098009900980199009700990094009300940099009500980099009400990093019800990093009a01930095019900980193019400990095
+009900950093029400950294009500010195000100900001028f0090008f0090008f0090008e008f0001028b000100890001008a0485008600800181007f0081007f027b007a0075
+007701760077027100700071006d006c2e010081008400850189008a0089008f058e008f008e008d008f1e0100000601010000010000060101001a01008e0090008e018f008e008f
+0090008f008e028f00890001028a000100802d01016b006a006b006f0071006f0071006f02750176017a017b007e007f0080017f0084008300850084008300850088008900880289
+018d038e008d018e008d038e00940093019401930094009301940193009500930099009700950099009401930094009a00920193009a0099009a0094009900950199009800940098
+0199009800970093019400990093029800930195009301940093009800990035009a00980099009a0097009900940099009301940193009401930194009801940099019400980094
+0098009a00930094019800990094009502940293029400950294019500940295009400950290000103900001009000010290038b008a00860085018600850084008601800081007f
+027b007c007b017601750076017100700072006d006c006d006c2d01007b0185008801890088018d038e028f008e018f00951c010000070101000000070101001a01008e008f008e
+018f008e008f018e008f0090008b0090008f038a00850080007a2b010067016c006b006a016c0070007100700071017600750076007a007b007a007b007a0280017f008500840083
+0184028901880089008f008d008e008f028e008f0090028e008f00940093009400920193009201930092019400920093000000930098009400930098009900930094009800990193
+009900930094009901930099009300940099019300990097009a01940099009a009800990093009800990194009800990098009a00980099003500930098009a0094009a00980093
+009800940199019300990194009900940093009801990094009900980095009400980199009400950092009900980094009900980294009300950093009500930194009501940095
+019400950390008f00900301009000010190008a008b018a008b00890085008602850280007f0081007a007b007a007b02760077007500700371006c006b006c006d006c00662b01
+007b007f0084018a00890088008f008e008f008e008d028e018f0090008f0090008f1d01000006010100000100000601010019010092038e028f008e0090008e008f0090008b008a
+008b008a008b018a0080007b007c2a01006600670065016b006c006a006b007102700175007600750076017a0000007a0079007f0080007e007f00000284008303890088008e008f
+008d008e008d008f0000008d028e0000008e008f00920194019301940093009200930094009500930092009300920093009902930099009800990092009402930099009800930094
+00980092019400980095029400990094009900940093009900980095009900940198009300010093009a003501980099009a019801930094009300970093009500970093009a0199
+0198009300990094019900920098009a00940095019800930194009800950099009a00940001009300940095029400950094009500940095019401950090008f0001029000010090
+01010090008b0090008a018b008a008b0086008500860085008600800001007f0180017a017b00770376017100700171006b026c0067006800662a01007b0080008400850089008a
+018901880090008e008d028f008e018f008d02901b0100000701010000000701010019010094008f008e0093018f0090008f0190008f0090008f0090008a018b008a0089008b0180
+007b2a010167006600670066006b016c006a017102700076007500760074037a047f0086018400850184008b038900880089008e018d008e008f008d028e00920393009400930092
+019300940093009401930294009200980094009a00990094009302940093009a01990098009900930099029801990093009801940093009800940093009800990098009a00990097
+0099009701990035009a0099009a0199009a00940093039400950093009401990293019900930099009800940093009400970294009a009901930099009500930094009302940093
+009502940001019500940095019401900001029000010090008b008a008b048a00010085008401850084008101800081007f007b007c027b007601770072007100720171006b006c
+026d03672a01007600800084008800890088008a01880089038e018f008e008d008f018e01901c0100000601010000010000060101001801008d018f0094008f008e008f0001008f
+0490008f0089008b028a018b007f007c007a290100620066006700650166006b016a006c017101700071007601750074007a007b007a007b0080017f007e00800084008300840085
+00840289018a0088018900880089008e008d018e018d0092009401930092019300950193009400920094009300920095009300920093019400980093009400930198009300990095
+0094009902940093009800940098009a0098019900930198019400920399069800990097009800990198009700980094009800970099009801990094009300940099009300990095
+019401980094009a0098009a009300940095009a0095049401930094009300940095009401950093000101940195009400950190008f0201008a008b008a0001008b008a008b0089
+008602850086008500810080000100810080007c017b007c00760077007600770371026b006c006d00670065006800670066006229010076007b0080008a0089008a008900880089
+0088008f008d018e018f008d018f00940000008f009400901b010000070101000000070101001801008e0093008e008f0193028e0290008f0090008f0090008a018b018a008b0085
+0080007b00762801006000610062006602670065006b016a01710270017500770076007a0179007a007f007e017f01800284008504890088008a0189018e008f008d028e00930192
+03930092009300920093009404930094009900920199019300940098009400980199009a0094009900940198009900930098009900930099009a0093019400990098000100980099
+01980399009803990098019900970098009a00920198009301940093009a009300980093019900940098019900940093019400930099019300940099000101940093009500930095
+01940195009400950194019500010095039001010090008a008b0001008a008b008a028b0185008601840281007f0080007c017b00770076017500760071017200700072006d016c
+006600670066026700630062280100770075007e008a02890088018a008e018d008f028e008f008d008f00930094018e0001008f1b0100000601010000010000060101001701028e
+01930095008e0094008f018e008f008e008f0190018f0089028a008b0089007f0081007b0076260100630062026100600066006700660067026b006c00710270007500740175007b
+027a0080007f0080007f0180008500840185008400880089008a008803890000018d038e0094008d0194019300940093009400930194009300940093009201940093009800930099
+009a0098009900980199009302980193009402990293009900920199019801990098019a00990098009906980099019800990098009900940098009900940099009401930098009a
+009801990093009a0098009900940098019300940099009a01980093009800950093019402930194009500940095029400950090008f000100900101008e0090018b0001008b0101
+018b008a008500010085008100800381007c027b007600750077007600750071006f00720171016c046700620060006201632601007100760080007f018a018901880090008d018e
+008d008e008f018e008f018e008f008e008f0190009519010000070101000000070101001701008e008d018e0094028f00930094008e008f0190038f008a008b028a018b00810001
+007700712501005d005e006003610062006600680066006b016c0170006f0071006f02750079007c007b007a007b017f0280007f00850184028300890084018900880089008d008e
+008d008e028d008e018f0094019300940293009400930092009400930097009200990098009300980294019800990098009901980093009501980094009800990098009900930198
+009902980099019800990097009900980099009801990198009a00980099009a009901980099009a0098009901980193009200990094009900950198009300940199009400980094
+0099009a009400950099009a009400990193039400950094019500930095008f0290008f0290008f0001008f008b0001008a008b0186038500010081007f008101800081007c027b
+007c00750076017701720071006c016b006d006700680166026200630061015d250100720075007b007e0189008b008a018900850189008e008d008e008f008e008f0094008e008d
+0193019402901a0100000601010000010000060101001701018e038d0193008d0193008e008d008e0090008f0090018f008b0085008b028a0080007a0077007600702401015d005c
+006101620061006202660065006c006b006c006f00700071006f0075007600750076007a017b02790080037f00830084008300850284008a00880289018d008e008d0000008e008d
+0090008e0000009200930094009300940092009401930294009900980099009800920298019903930098009900940095009900930094009900930094059900980099009800970199
+0098009a0699039801990198009900940198009900940093009a00990094009a00990094009800990098009900980294009900010198009300940099019301940095039400950094
+018f008e008f01900001008f0101008f00900089018b000100860185008600010086008500810080007f0080007b017c037b00760175017200700071006d006c006b006c01680161
+02630062005d0001005d2401006c00760074007a007f00840089018a01840089008d008e018d008f008e008f0094008f00940090008e0093008f000100900001008f190100000701
+01000000070101001701008d008e0093009401930094008e008f0090008f0094008f0090048f008a008500860185008b00860080007b00760070006c2301015d005b015d03610366
+016c006b007100720171007601750176007a0079007a0079007a007f0080007f007e008301850086008400830489008e008f028d008e008f018d008e008f008e0192009400920193
+0000009400990093009400990098009700930094009901980093009200930099009300990198009403930094009300990098009a019801990098029900980199009800990098009a
+0298009a0001029900980199009801990198009500930094009301990095009a0094009800990098009501940099009a0094009a0399009800990093019400930095029400950094
+00010090028f00010190018f0090008b008a0001018b02850086018501800281017b027c017600770076007201700071006d016c016700680066016200630062005d015c005d005e
+2301006c0170007a0080018a0085008400850084008800890090008e008d008e028f008d00940093008f0094008e0095008f00950001008f1a010000060101000001000006010100
+1701018e0094008f0094018f008e028f0094008f0090008f0090018e008f0090008a00840086018500010080007b00760172230100580057005d025c005b00610062006100670066
+0167006d006c006b006f007100700072017500760075017a007b017a0180017e007f008000000084008300840089018801890088018d018f018e008d008e008d008e009201940092
+0093009200940092009800940092029300980092009300980094009900970098009900930098019900940098009a0094009300990094009900980099019802990298009a0199009a
+019800990097009901980099009801990098009900980097039900980094009900980194009301990098019502940093009500980093029800950099009401990395009301940093
+018f0290048f0190008b008a0001018b008501860085007f0380007c027b007c007b0176007700750076006f0271006c006d02680167006200630062005e015c015d005823010070
+00710075007b007f0000008400850184018a0088008e008d038e01940093028f0001018f0095019019010000070101000000070101001701008d008e0093018e00940095008e0094
+018f00950094008f0190008e0090018f0090008b00840185008600010080007a00770070006d21010358005c005d005e005c00610062006000660068006600650067006c006a006b
+00720071006f007500760075007601750079007a007b0079007b017f017e0000018400850289008a00890088018d008e008d018f018e008f008e008d009300940093009401920093
+00940099009400920099009500970198009300990093009a009300980199009800990095009400990094009800950099009a00990098009903980099019801990198009901980099
+00980c99009a009900980099009400980097009500940092019900920099009800990093009900980099009401980092009801990093000103940101009400930290008f01900001
+0090008f008b0001018b018a008b008601850181007f00810080027c007a007c0077007601750076007702710072016c0166016700680162005e005d005c015d0059015800562101
+006c00710075007b007f00850084008600850184028e008f008e008f018e0194008d008e008d009302940095000100941b0100000601010000010000060101001601028e008d0193
+018f008e01940093008f00950001008f008e009000010190008e008a018601850186007c007b00760071006720010058005901570158005c005d005c005d0061006200610266006b
+016c0271006f00740475017b017a037f008003840189018800000289028e008f008d018f009300940393019200930092009300990093009400930098009200930099009301990195
+0099009301940093009404990098009a0298019900980099009700990098009a00990198019900980099019801990198009a029802990098009a0198009900930092019a00990098
+00990098009400990094009500980194009902980194009900940093029401930094008f008e0090008f008e0190008f008a008b0101008b0001008b008a00860001008500860181
+0380007b007c007a00770075007600770076007700710172006d026c0167016801620061005c015d0258005701582001006200700071017a00850083028400850088008a028e008d
+008e008f0193008e01930094008e008d0093018f00950101009018010000070101000000070101001601008d018e00940095018e0294018f0090008f00930290008f0090018f0090
+0001028601840080007a00770071006600621f010253005800570058005c005d015c00610162006100670065006b006a026b00710072006f017602750076017a007b007f0080007e
+017f00830084008301840089008a00890188008900880089008e018d008f018e00930092019301940095029300920093009400980094009a00940093009800930098009201940098
+00940099009800990094009a0198049904980299009a01990198009a01980199009a00990097019901980499009a0099009802990001009900980095009800950099009800950092
+009400930194009900950098019400980193019400930095009400950093048f008e0190048b008a018b00010085008600850080018100800081007b007c007b0077037600710070
+00720071026c006b006c00660068006300610063045d00580157005801531f0100620071006b00700076008001850384008a0090008e008d028e018d009300940093018f0194008e
+0094009300950190008f190100000601010000010000060101001601008f0093008e008f008e00940093008f00940093008f00010090009301950090008f0090018f0090008f008b
+018600850084008500810080007a0076007100671f0100510253005701580057015c0161006300620366006c006a006b006f00710070007101760375027a008000810080007f0083
+008400830084018901880089008801890088038e018d0193009201940093009200940393029400930199009801990198009501940099009400980094009900930198009a00980097
+0098009a00970298019900980099019800990298009900980299009801990098009a009800990098009a009901980299009a01940099009500980194009300940095009400980193
+0098009300950093009501940193009400950094009500930194018f0090028f0090008b018a028b000100860085018600850381017c007b007600770276007200710272006d016c
+0166006802620163005d005c00590058005700580054015300521f010067006c00720075007f00800083018500840083008a0089008f028e008d008e0090018f0094008d008f008e
+018f008e018f008e00950090008b1801000007010100000007010100160100880093009000950094008f018e00940095008f00950094008e028f0090008a0001018f0190008a0085
+007f008500800084007f007600770072006600611e01004d005400520051005300520257015c0161006200610067006600680066006c006b0270006f007003750074007b007a007b
+00800081007f007e00850384008900880489008a008d008e008d008e008d008e01930094009202940293019400930094019900980099009400930194009900970093009900930095
+0097019900930094039802990098009900980099009800990098009900980097009a01980099009a00990098009701990097009901980099009a0099019800990097009400930099
+009400980199009800920099019700940098019400990198009a009300940093019400950094009300940095009300950094008e008f0090008f02900089018b018a0089008a0001
+008600850186008100800101017b0001007600770076000100770072007001710072006c006b006d00670066006701620061005e005d005c005e005801590053025400531e01005d
+006a006c0076007900800184017f00800085038e008f008e0089008f008d0093008e01930092008f008e018f0194008f008e0001008a190100000601010000010000060101001601
+0093019200930494009000940090000100900095008f00940090008a008b018a008b0089008a018600810180017c0076007100720068005d1c01004c014e004c0152000000520258
+015c006000620060006601670066006b006c006b01700371007500740076037a017e007f03840083008a0089008a0089008a0189008a008e008f028e008d00940093000000920094
+00920094009201940092009400980099009800950092009a019300990094019900940098009400980094009800950094009200930299009800990098009a029900980099009a0299
+0098019900980199009a0099009801990298009a00970399009400990098009900980194009800990095009900980099009400930194019900980094009800950194009300950193
+0194000100940090028f0390008a018b018a008b0084018601850086007f007e0080007c0001007a0177017600010071007000720171006c006d006c0067006801670262005e005d
+005e0057005800530052005300520054014e004d1c0100570066006b00760075007b00790080007e017f0084008a00890088018902880193018e0094008d0393008e008f0095008e
+0094018f18010000070101000000070101001601008e008f0094018f008e009301940095008e0090008f00950001028f028a0001008a008b018a0085018000810080007b007a0076
+0071006800621c01024d004c004d025200580157005d015c0062016102660068036b007001710070007500760075007b027a017f007e05840189008a0289008e008d008e008d008e
+008d008e0393009200930194009200930198009300990094019900930095009400930098009300940199009400930094009801930099009a00920099009302990098009401980499
+009800940098019a009700940399009800940098019901980099009a0093009900930198009400930099009700930098009400980193019401990095009800990094009901940195
+00930594008f008e0090028f0090008a018b008a008b008a008b0185018600010085000100810080007c007b007c0176007703710070006d026c026801620063005d015c00590057
+015300540053004e004f004d004e004d1c0100610067006b0076017b0080027f0084018804890088008f008d008f00000193038f0093009400920094008f00900094009019010000
+060101000001000006010100150100940093008f0093008f0194018e009400900094008f0090018f0093009000940090008a008b0089008b018a0089008b00850180007f027b0076
+0072006800591b01014d004f004d004e015300520053005700580057015c005d0062006100620266006b006d016c016b027100750076017b017a0080027f0384008500830089008a
+000000880089018e0100008f008e008f0093009200940293019400930098019400980094009900930095009400970094009900980099009800940093009400980094009900950093
+009900940098009300980099009400980094009800940095009900940193039400980093009800950099019300990093009800920399009402990094009900980094009201940198
+0099009400930095019300990097009900930094009a009401990094009500930194009502940090008f0090008f0190008f008a00890001008b0001008a00850086008501860181
+008000810001007b007c007b007600770076017200710072006c006d006b006d026700620163005d005c005e005d0157005300520053004f004e014f004c00491b0100530068006a
+0071027b017f0080007e008a0289008a00890188018d008e008d008e00930194008e0093008e008d008e008f008e0094018f0090008f17010000070101000000070101001501018e
+008f0093018d009301940093018f008e018f01940195008f0090008a008b018a008b008a01850181007f0081007c0076007700710067006200571a01004a0049004d004e004d004c
+004e02520258025c006200610266006a006b006c006a006b006c007000710070017500760077007b0079047f02840083008400890088008a01890000018d018e018d008e04930194
+0093019800940098009401990093019700950093029400980092009501990194009300980099029300980094019900930094019900930094009a0099009a00940093019400990092
+0098009300980093009900940099009a00990094009a0098029400930098029401980099009300980094009800930095019400980095009300980094009900950098009900930095
+039400930094008e008f0090018f0090048a0086028501860081007f01810080007c007a007c007700750076007100720071006c006d006c006d016c026701620063005d005c0057
+00580057005800540153004d004e004f004901481a0100520060006700700176007b0080007e0180018500840189008a0189008801920093008d0093008e0193018e018f01930095
+008f0095008f1a0100000601010000010000060101001501008e008d0092018e0093008e00930090008f01950090018f0090000100930195008e008b028a0101028500810180007c
+00760077007100010068005e00531901024800490048004c004f004d0052005101570056005d005c00610162006100670166016b016a006c006b006f0070000001750079007b007a
+017f007e0080007e017f0484018a008800890000008d038e009300950094009301940293009201930092009300990095009800940095009900930299009400980193009900980094
+00980194009800930098009700940299009300970094049900930094009801930098009a009500990098009400010099009800940099009301990094009300940098009301980194
+019900940093009a0199019400990095009400980199019800940099019400950194019300950090008f008e018f008a018b0001008a0085008600010085018000010280017c007b
+000100770076007200710172006d006c016d006b00670001006700680263005c005d01580001005300540053004e014f0049004a0049004a1901004d005e0067006d007200750076
+0079027f018400850089008a018900880089008d0094000001930094008d00920393008f0094008e0095008f00900094019017010000070101000000070101001501018e00940093
+008f008e00900093008f019000940090008f0090018f00940090009500940001008b048a01850081017b0080007c0075007700710068005d00531801004200450048004900480047
+014d014e005100540257015d005c006101620066006501660067026b007000710070007500760074017b007a0080007e027f028400830184008801890000018e008f008d008e0092
+049300940093009800930098009201990092009500920098009400980099019800930094009701930098009200980094019800940499009700980299019300990194009800940099
+00950099009300980099009300980095009a02990094009300980193019902930094009300990093009400980195009a019400930095009300990094009300970199009806940093
+00940093038f028a028b0086028500860081007f0281007b007c017b0177007000720070006d016c006600680267016100620061005e005d005e0159005400520054024e014a0049
+004a004400451801004e005b0066006f02750180007f008000850083008a0089008800000289009300000093008e008d008f008e008f008d0093009200940093008e008f008e0194
+0190008f1801000006010100000100000601010015010000008f008e01930094008f0094009000010095038f0190008f008e0090008f00900089008500860185008b008400800081
+027b00760077017100720067005c005317010044024301490148014e0053015200580056005c005e015d006000620068016600670066016c006b0071017000760175007a007b017a
+027f007e007f00800184008300850189008800890088008e008d008e0093009400930092019300940193009403930099009300980092019900970098049300980092009300940093
+009900930094019300940099019400930194009500940299009501990094009a00940099009500930294009901940099009400990093009800940098009401980092009900940099
+0094009900940098009a0098009a019900940095009800990194019300990094009a0195009400930094009502940190008f008e028a018b028601850080008100800181017c007b
+007c0177007500700171006d006c006d016700680167006200610062025d0158005900520053004d014f00010149014401451701004d005b0062007001710176017b007e007f0080
+007e0184018500840088008e0293018e008d008f00900093008e0193008e0093008f018e00900093009518010000070101000000070101001501019300940093008f0094008e0090
+00950093008f009500940390008f0190018f00900089008a008500860185007f00800001007c017b0076006f007200700067005d0057004f1501003e003d054300480049004d0252
+005700560058005c005d005c00610262006601670065006b016c01700275007a007b0079017a027f0080007f00840085008304890000008e008f008e008d008e0092009403930092
+00940193019400930098009400980099009500940198009900930098009500930094009a0094009800930099009300940098009300990093019800990093009a0298009401990098
+009a00920098019a009300980094029801930094009900930098009900930099009800950093009901940098009900950098019401930199009a00940098009400990194009a0094
+0195009400950194009200940193008f0090018f018a018b018a00850001008502800081007b007c0001017b007c007501770171006d006c006d0067006600680067006600670063
+0062005d005e005d00570058000101540053004d004e024902440045014015010049005600620067017100720077027b028001850083008500840089018e018d018e008d008e008f
+018e0093008e0093008e008f0094008f0093008f008e0095008f180100000601010000010000060101001401008d0083008f00900094008e0093008f009400900095008f0095008f
+009502900001008f00010090008f008e008a018500840086008500810080007f0081017b007600710070007100700068005d004e00481401003f0000003e013d0043004400420043
+0148004d005300520051005800570056005d015e006100620161006000660067006b006a016b0070006f007501760079007a0000007a0079007f027e007f00840085008300880089
+0188008e018d008e008d00000092019300940293009400930094009501940099009a0097009401930094019300980093009900970099009a00990194019300940093009901940099
+0098019300940099009500930094009900950093009900980094009800950093009400990094009a0094009a00950093009800940093009900980299009300980094009901940098
+009300990394019900940199009a00950394009300950193019400010193008f008e008f008e0090018b008a008b010100850086008000810280007b017c007b0076017700720071
+016d016c0068016700630262005d005e005d00590158005300540052004e004d014a0049014500430040003f003e004014010048005700610000017101700074017b037f00850284
+0189008e008f008d008e0000008d008f018d00920093008d00000093008e0094018f018e00930295160100000701010000000701010014010092008e02930094008f008e008f0094
+0095009000950090009500940090008f0090008f0090008f008e018f018b02860001007f0081027b00750071026c006b0063005d004d1401003a0039003e003f013e003f00430042
+00430049004e014d01520057005800570000005c00630162006100600266006b006a007000710072017500760075007c007b007a007b027e007f007e00840085018400890088008a
+0000008e008d028e059300940193009201930099009201930199009401930199019300980094009201980099009a0099009301940393029900980099009700940093009a00980094
+0093009800990093019900940098019900940099009300980094009300940197009401980099009400990098009a0199009a01990193009902940099029400930294009301950094
+009300940095058f038a0085000100860180008100800081007b027c0177017600700172006c006d016800660062006301620061015d005e015801530054014e0048014900450044
+0045003f00400001003b003a13010044004e0057005c006b0070006c006b00710075007b0079007a007f00800085028400880089008f008e008f008e008d038e00900094008f008e
+0093008e01930094009501940095009400920090170100000601010000010000060101001401008d008e0092008e0293008f0093008f0195019401950090008b0090038f0001018f
+008a00860085008600850001017b007c007b007c007500720001016c006200580053004a12010239003a0039003a0039003e003f01430049004e004c004d00530051005200560057
+0058005e005c005d0061026201650066006c006b00700171027500760074017a017f007e008000830284008500880089018d008e008d008e008d008f009200940093009400930194
+0092009401930098009900980094009500930098009501990193009400930094009800950193009a009401930094009a0098009900930294009a0094019900940099009800970093
+019900930001009a01940093009401930098009700940098019400930199009300940099009800990098029900940098019400990093009900970095009401930099039301940093
+00950094009500940095018f0090008f0001008f0089018a00850086018500800081007f0081017c007b007600010177007001710001006c01670066006800610262015e00580057
+0058005900010054004e014f004a0148004500440040013f0039003b0001003a120100430058005c0061016c006b00710074007a007c007a017b0080018400850184008e008d008e
+008f008d028e0089008e00930092018e0093008f008e008d008f008e008f018e008f0093009016010000070101000000070101001301008e008f008d018e00930294000100940090
+0094008f000100950094008f0090018a008e0190008f008e008b008a008b028600850080007b017c000100770072026c0001005d0054004e004411010134003a00380239003a0038
+003e004300470049024e01520257015d015c00620060006200680166016b02700176007401750079007b0079027f01850083008900000088038e008f008e008f0493009400920093
+009400930099009800930098009900920094009300970194009901930198019401930098009900970099019300990093009a00940192009400930099019400930098009302940198
+0093009800930198009900930099009301940098019400990095009900950098009501940099009300990094039900930098009a0199009a00940098009400980099009400930095
+00940193009503940090018f008e008f008e0089008a008b0001018600010181007b0079007c007700760077007400760071007200710072006c02670262005d005c015e005c0159
+0153004d004f004e0048000102450040003f0039003b003a003b003400361101003e00430058005d0067006b006c006b00700075007c027b0080007f00850084008500860189018f
+008e008f01880089008e0093008e0192008f008d008e008d008e00940193008e009501930194160100000601010000010000060101001301018f0094008f008e008f00930094008e
+018f009400010294008f0090008f008a0001038a0090008b018a0185008000850080017c007b007500760071006c0267006800580053004900400f01013400330035013401350139
+003e004300490148004d014e005301520058015c015d005c00620061006200660067016b00700171007500740275027a007e008100800084008300840288018f018d008e008f008e
+05930094009200940098009a00930094009a009800990092009301940193009400930094009900930099009400980199009300950098009900940093009900940099009800930094
+009800930098009a00930098009401990094009300980094009300980094019802940098009900950099009800930097009300940099009400980099009800990093009400980199
+019a009900980094009900930198009a000101940093039401930095058f0090008a008900010084008600850180017c027b0076017700750071007200710001006d006800670163
+00620063025d005e01580253014e024900440043003f0140003a003b003a00350001003600350f01003a0044005300570266006b006c007000760079007b007a007b007f01800184
+0289008f008e008a0289028e0093008d0092008f00930094008e018f00940092019400930194008f15010000070101000000070101001201018e00930194008d018e0094008f0094
+008e009401900095009000010195008f028b028a008f008a008b008a008500800181007b0177007601770071006d0167006300620057005301400e01002f002e002f0031022f0034
+00330039003e0043004901480049024d005300520157015d005c005d00610062006100650067006b006d006b0071027000760175007a017b0080017f018400850189008a0089048e
+009300920293009201930099019402980094009a00930094009500970194029300940299009400990093019900930099009800990093009900980093009800930094009900930099
+0093019801930095019800930098009700980099009400990193009400990294009800990094009900930094009900930099009300990094019800990194019301990094009a0098
+0093009400970093009400980093009400930294009500940095038f0090018a008900860085008600850180007b007c007a01770076017200010070016c006d0067006600620063
+00620001015d005e015801530054014d004a00490048004400450043003f0040003a000102360031003000310e01003a003f00520058006100660167006b00720075007600750074
+007500790081007f007e00840089028a008900880289008a008d008e0092008e0092008d0094008d0093008e008f008e0094008f0094018f009300900093008e15010000060101000001
+0000060101001201008e0093008d008e0093008d008e008f0090008f0094008e00950194009500010095009000950090008b008a028b008a0089008a008b018600010081007f007b
+007a007702760072006b0067006800670001005e0054004901400c01002a012f002e002f00300000012f0133003a00440043004800490048014e004d01510058005700590057015c
+02620066016b006c006b006f007000710070007501760179007a007e007f008400000086008900880189008e008d018e019203930194039900980099019300990094009300940099
+009a00980099009802930198009900940099009400990098009900970094019900980099009a009400990095029900930099009a009900940098009900930094009900970092009a
+0098019900980099009400990092009a0095009900950194009301990098019901940193009400930099009a0095019900980094009801940098009500940098019400930594018f
+0090008f018a008b0186018500810001007c007b007c007b007600750371016c006d006b006800630162025d0158005900580053004e0001004e0149004301450040003e013a0001
+00340035002f023100300c010035003900480052005c0061006600680066006b00700077007400750076017a007f0080008400860084008a0089018a02890088008a008d008e0094
+008f008e00920193008f0092019301940095009400930094008f0095008e14010000070101000000070101001201008f00930094008e008f0095009300900093008e0094008e008f
+0094008f029500940290008b018a0001038a008601850180017b00760177007600700071006c006800630062005d005900530044003f003b0b01002c002a0029012a0029012a002f
+01340038003e024400490048004e014d005102580057005c005d005c0060006200610066026b006c006f0070006f0275017a007b017f007e00840083000000880189018d018e0093
+0192009505930099019400990000009800940093000100940099009500990093009800990194009900970099009a0094009800940193009200940093029400990098009400970193
+0094009300940099009400980099009a0194009800990098019301980092009a0093009a009900980093009401930094009900970199009400980199009300980099009303940099
+009a009700950099009800930098029902940095019400950193028f008a018b00840185008600800081027b0177007500760172006d006c006d006c006700680162005d015e0158
+0059005800540053004e004d024901440045003e0040003a00010136003500300131012b0b0100360039004800580059005d0161006800660171007401750076017a007e00800185
+0184008a0089018a0189008a008e008f00930094008d008e008d008e0093008e0194008f0093008e009400930094009300920090008f150100000601010000010000060101001201
+008e0193008d009400930094008f0090008d0095008e0090018e008f01940090008f0090008f008b008a00850001008a018b00850086028500010081007b00750077007200700172
+006d006800620063015e0058004f0040003e003b0a01002a0129002a0029002500240029002e0134003e003f014300440248004d004c00530054005800570158005d005c00610062
+00680067006a006b006c006b037001750079007a007b027f008400830188008a0088008d008e00930095009300920094009200930094009300980099009301980193009800940098
+009401990098009501940095019902940095009401930094019900980099009300990194009300980094009500940199009700940199019800990093009500990095009300990094
+009901930098009a009401930097009800970093019402990194009800940098009900950092009403930097009400990093009900980097009a0095009900980095019400930294
+00950094008e00900089018a008b008500860080007f0080027c0176017100720171006d0001006b006800630062005d005e005d00580159005800520054014f0048004a00010245
+003f003e013a003b003500010230002b012c0a01002f0033003f004d0058015d006000620066006b0071007001710176007b02800084008500840085008a0089008800890085008a
+0089008d0093008e0193008d009300940090008f0093028f0093008f008e018f008e0095008f140100000701010000000701010011010193008e008f0094008e0094008f0090008f
+008e008f0001028f0190008f0094019000940090018b0186008b008a008b018500860280007c007600770271006c0001006d00680063005d00570058004f004900450001003b0801
+0025002400250024002500240125002a0029002e0033003e003f013e004400470148004c004e005300510052005800570056005e005c00600061006700660065006b006c016b0070
+007100700076007500740079007f007e007f018400880289008d008f008d009200950193009200930092009700920398009200970093009800990093009400930099009802940093
+00940098009a0098009a0198009a0094009300990093009801940093019901930095009300940099009800990094009800930098009400930099009400920099009a00940099009a
+009901980099019401980199009800940098009400930199009a009401990194009800940095009300940098019300980094009300970099009802940093009a0294009500940193
+0094018f018a0089008a0185008101800079007c000100770070007200710072026d016700680162015d01580053005400530052004e004a00490048004901440140003e003b003a
+0136000100300031002b012c000100260801002f00340039004300530059015c0161016c00700171007000750076007b007f0080007f0184008500880089008801840189008d0093
+00920094018e0094008f008e008f008e008d008e0094008e008f008e0093018f009300940001009514010000060101000001000006010100100100930092008e0090008e00940090
+008e018f018e0090008f0090018e0090018f008e018f0095008f008a008b00850001008600840185008601810080018100010077007100720171006c00680162015d00590053004a
+0045003f003a0601022000210020001c00200021002000240025002b002f00330039013e0040014400480049004c004e00530152005800570158005d005c0061006601650066026b
+00700071017600750079017a007e0080007f0084008a01890090018e019400930194039300940093009900940099009400930094009903980092009a009200990298019900980094
+0095009400930298009500930199009800930298009900980199019400930094009a00980193009401990198009300980095009900940093009400920099009701990098009a0094
+019900940098009301990194009901980097009800930098009302980092009300990094009a009700980094009901930095019400930294008e008f008e018a0089008500800181
+0080007b01770075007700700071016b006d03670163005e00580059005800590253004f004e014900440045023f0039003a00360035003001310001012c00260127002100260501
+0029002f0039003f0049005300580059005c006200630068006b0170006f00760075007b007f00800081007f0080008400850089028400850189008e008d008f0093028e0090018f
+008e008d048e008d008f018e008f009300900095120100000701010000000701010010010193009200940001068f0001008f008e008f0090008e0090018f0190018f0090008b0089
+00840085028600800081007f00810080007b007c007600750171016c00670068005e005c000100590054004d0049013f003a003500210122002100220221001c0020001c02210000
+0026002a002f00330039003a003f013e0045004300470049014e005300540053005100580057005d005c006100630266016c006b006f0070006f007400760074007a017f007e0083
+01890088008e008d008e008d0193009401930094009800930099009a00980093019400990093009a00970001009a00990198009a0093009900980099009200990098009400980099
+00940093009800940099009500010094009a0093009800990094009a019900930098009400950099009a009400010199009501930098019900980099029802940098009400990095
+0099019800990093009400950099009301940193009800940093009901980099009400950099009200980093019900930195009800940099029400930294018e008f028a0086007e
+0180007c007b0077007600770072006c006d006b006c006800670066006200610062005e00590058005300010253004e0049004a0144003f0040003e003b0039013501310030002b
+012c00270001002601270125002601250026002b002f0035003a0048004d005200580057005d006300600067016c0070007100700075017b0080027f0284008502840089018d0094
+008e008d008e008d038e008d008e008f028e008f018e008f008e038f130100000601010000010000060101000f010093008e018800800001018f0090008f0001008e008f008e008f
+0190008e018f0001038f0090018f008a03850086008501800081007b007c017a00740072006b016c006800670063015d005800540053004d013f003a0035002b0022002101220021
+0014001500140015001400130014001500200025002a002f00350038003a0039013f014300480049004c014d0053005200510058015d00610162006100650166016b006c006f0070
+007500760079007a027f0088018a0089008d0493009400930092019400990098009902980099009301980193009a0193019200950193009401980092009300980099009400980093
+009400970094009a00930099009800990098009a01980099009500940493009800940095000000940099019800990092009801990095029400980099009300980099009700980094
+01990097009a01940099009a0093009900930198019300950001009a009400930099009202980093009900940199009400930094009301950194028f008a008b008a00860180007c
+007500770076007200710072016d006c0066016700610062015d015801010053014e004f000102450040003e003a003b003a0135013000310101002b012700260027012600010221
+001c002b002e0034003f0049005300520059015d00620166016c006b0170017c007a007b027f01840185008300850188008e008f008e008f038e0001008f008e008d058e008d008e
+008d00010080018b0093008f11010000070101000000070101000f01018e00890084007f01010090038f0090008e008f018e018f0089008a018f008e0190018f018a008501860001
+01800081037b007700750171016c00670262005d00590053014e00490140003a00350027002600200021002200210020021400150014011c0024002b003001340039003a0039003e
+003f004400450048014d004e015200510157015c00600161006700660067016c027000750076007901800085008400880189018f008e009300920094029300980293009700930294
+009a00990094009700980094000100990098009501930099009502990098009400970093019900980093009400930099009800940098009201990093009a00990094019300950194
+0099009801990098009a0194009801930098009200990098009900980093009401980299009500970098009502940193019900940097009800930099009800940099009800930094
+0093009800970094009801940098009900980099009a0094019302940095008f0090018a008b008a00860080007f007b01760171026d006c006600680263005d005c01580253004d
+004e004d0049004800440043003f0040023a003500010131002b012c0027010100260221012001210025002b003000390048004e01530157005c006000620067006b006c00010071
+0076017a007b007a007b0080007f0484008a0088058e008f008e008a028e008d008e008d018e008f008e008d008f0101007f0001008b0090008f1201000006010100000100000601
+01000f01008e008a00880084007601010090028f018e038f0190008f0089008b008a008f008e038f008b008a0083018500860181007c017a007c007b007600750070006c016d0068
+0062015d005800540052004e004a00440043013a003500260027002600200122012100140015001c00200125002a002f003500330034003a0039003f003e0043004400480049004f
+004e004c0054005200580059015d006100620061006000650067006c006b006f0071006f0076017a007f0184008500880089028e008f009301940093009200930098009200990094
+0098009900930094009800990098009900930098009900980199009a00980199029400990193019900940093009800990093009800930099009a0099009201990094009900940198
+009300980093019401990092029900940099009300920294009800940093019801930198009400980093009400920193009500990093009900940099009300980099009400990094
+0093009900940098009400990093009a009400990095009800940099009400990094009500930194009300950090008d008e018a008b008500840080017c00750272006d006c0167
+016200630062005d02580153014e004d004e004a0144013f003b003a00390135002f0031012b002c0001002700220121002000210022002001140125002f003d004d0048004f004e
+00520056005c005d00630061006c006b006c006b0175007b007a0000017a01800185007f01840089018e008f008e008d008e008a0189008a008e008f008e018d018e0000018e018d
+010100770086008a008b008f11010000070101000000070101000f01008e008a0089008300750201018f0090008f008e0090028f0290018b0001008a008b008f0090008f028b0185
+0080000100800081027b007c007500760171006c0001006700680063005c005d00580053004f004d00490044003f00400035002f0030002700250027002200210022002000210026
+002b0029002e012f00300033003500340039003a0039003f003e004401490048014d015200590057015c005d0162006800650066006b016c0071006f0074007b0080007e01840289
+008e008d0000008e009200940093009400980093009800930098019900930098009300940098009300970095009300990098009a0094009801940098009300940095019300940098
+009300990097019a00980094009a0099009a0098009900930094009a0094009901940098009902930199009400990000009400980095019300940098009a00990094000100990092
+009401950093009a0093009800930098009a00990094019300920093019901940095009400930099009700990098009a0092009700980099009300980094009a009800990098009a
+0094009800950194008e008f008e008f028a008b008100800081007a000100720171006d01670066006200630062015d005e005900560153014e004a0049004800440045003f0040
+013a00350136002f0030002b002c0001002700010022000100210015041400260029013f00430048014d00520058015c00630167016c017000770176007a0079007b0080007f0085
+008000840085008a0089008b018e0689008f048e028d008e00000201007600860085008a008b120100000601010000010000060101000f01008800890084007f00700301008b008f
+0290008f008e028f0090008f038a008b008a008b008a008b008a008b008501800181027b027601710072006c006700680062015d005900580054004f014a0043003f003a003b0030
+002b012600270025002100260025002b0030032f002e002f003300340239013e004201480049004c004e004c015300570058005c015d006100620267006b01700175007a017f0084
+0088008a0089008f018d008e02940098009900970098009301980099009a00970093009a009900940092009500980094009900940093009900980193009801940099019500990494
+009a00950092019801930194009900980094009200940093009400920093009200990293009800970098009400930094029802940093019400980193009900940099009800940098
+00940099009500940098029401990098009200940099009800990098009900930094009a01930099009401990095009900970098019402950090008e008f008d008f008a008b008a
+0086007f0080017c00760072016c006d0066006800610062015d005c0158005900530054014e004a0048004900450044003f00400001003a00350034002f00310030012c01010021
+0020002200150114011500140020002a0038003e00400148004e005100580056015d006100650068006c006d017001760075017b007a038000850084008a00880189008801890000
+00880089008a008d028e008d018e008f028e03010075008000850089008a11010000070101000000070101000f01008a00880083007b0401008b008a018f0090018f0190008f0090
+008f018b008a018b008a018b008901860085008101800001017b00760077007600770172016c006800660001005d0057005800590052004d004a004800010040003a003b00350030
+002b00270226012b002c002b002a012b002a002f002e002f0034003501340039003f00430042004400490048014e005200530156005c005d005c0060006100670165006a006b0070
+007600750179008500840189008d008f008d008e009301940098019300970093009700980094009a00940097009300940099009a0099029800990094009900950199009a00930099
+019400990093019900930099029400930094009901940095009402930092009400930094009200940093029400930095049301940193009401930094009300940093009902940093
+00940099009a009800990095009900920093009a019400990093009800940099019400990093009400930199009800950098009400990198009201940195009901950094038f008a
+008b008500860080017c00760071016d0068006700680162025e005800590153004e0049004801490043004500440040003b00390236003100010031002b02270021002201160015
+010f001100200030003d0039003f004300490048004d005200510059005e005c006200670066006b006d006f007200760175007a017b0180007f008501840189008a00890388008a
+0189008d038e028d008f018903010071008100860085008b120100000601010000010000060101000f010089018400700501028a008f0190018f01900001008b018a008b008a008b
+018a008900850186008400860180007c007b007c0177007500760072016c006700660162005e01580053004e004a004400450040003b003a00350036002f002c002b002c002b002c
+002a002b002a002c002a002b002a002f00300000012f00340035003800390144004300480049004d004e005400530257005c005d016100620067006c006b007000710076007c007a
+007f008500840189018e008d019200980092009901980095009300980099009700940099049300990093009802930194019500930098009900980099009400920094009900950093
+009400980092009302940093009401930194009300920195009300950594009300940093009400930194009300940193009400930092029300990098009400980194019300940198
+00990298009900930198009400950098009300980094009800990097009a00940098009400990093009200950098009a01990198019901940001008f008e008a018900860080007a
+007b007600700071006b006c016800610062005c005e00590057005300540052014f004a0244004500400001003a0001003500360231002b00010026012701220014001500100011
+000f0026003400330039003a003e01440047004f01530058005c005d006700650067006b006c007102760075007a007b007a0081008000840086008400850084038a018900840089
+0088008e018d008e008d018e0000008f008a00880501007100850086008a11010000070101000000070101000f0100890084008000700601008b018a0090008f008e0090018e008f
+008b00890085008600850001008a008b0089008600840086008500810180007c007b00760177007600710072016c00680101015d005700530154004e004400450040013a01350030
+002c002b00270526002b002a002b012f002e002f002e002f003400350038003f02430148004d00520053005600570058005c005d006100620166006c01710076017a007e00830085
+008a0089018e008f0092009301980099009300970093009901970099009300980093009800940099009400990094009300940199009300990093029400980093009800950399019a
+0093009700940093009a0095029300940093009501940001009400930092009300950094009300950193049400930194009300940293009401930095009300980097009800940093
+0098009900940098009a009400990098009a02930094009901940193009a0199019400930099009401980093009800990093009500980094009a0093009500940095009400010090
+008f018a008600850081007c007600770171006b016700620061005d005c0059005800520154004f004e004902440043003f023a003601300131002b012c00270001012200160015
+0011000f00250035003400350033003901430045004a0052005300580057015d006200670066016b007000710075007600740075007a007b0080017f0080008501840189008a0084
+000000840289008d008f008d038e0088018906010071008000840086120100000601010000010000060101000f010085007f007b006d0601038a0190008f0290008f008a008b0186
+0185018a008500860085008101800181007c007a007700750171006b016c006700680163015c00580054004d004e004a0045003e003f000100340035002f0030002c002700260125
+0027002600270126002b0129002a0029012f01350039003e003f004200430149004e004d01520258005c016100670066006b007100700074017a0084008300840088008d018e0093
+00920094009800930098009900980093009200980199009a009400990193009900940099009200970095009400980093009400990094009300950098009a00940099009400980097
+009500990094009300980099009502940093009400950093009400950094039300940093079400930095049300920093009201930094009300940093009902980099009800930098
+0093019900930099009301990097009300980093009900970098009a00990194019300980099009301940098009a009300940093019800930099009801930090008e0090008b0089
+0186007b007c00770171016c006800610062005e005d02580051004f000101490144013f023a000101350131002c002b002c002500260121001600150016000f002b002f002e0034
+00350039013f01440048004e01520057005d006200610166016b027000750176007a007e0180007e007f007e00850083008a0184018501830089008d018e008d008f008e0089018a
+0089008a06010071007c0080008611010000070101000000070101000f010084007f007b006b07010085018a008b00890001008f00010190008b0001008500860084018501860084
+01810080007f0081007b007a007c017600700171006c006b016700630062005d005800570053004f004e004a00490045003f003b003400350130002b002c02260025032601250126
+0025002a012f0034003d003e003d0043004400490048014d00510052005600570058015c006000660067016c00750074007a008301840088008a008f008e00930094009300940097
+0099009700990298029300980095019800990093009400950098009a0094009900940095009400950199009400980094009500940095009801990198009a00940095009300940092
+06940193059400950394009501930094049300940193019400930095009300920094009502980095019400990098009300940093009800930098009a009902930097009801990093
+0094009301980094009301980099009400970094009802990194009500990095008f008e008f008a01850086007c0176006c006d01670162015d005700590153004e00010049004a
+0145003e0040003f013a0035003600300001002c002a002b002700010027012100140115002b002a022f00340139003f00440043004d004e01530057005c0062006100670066016c
+01710072017600750079007c0380007e00850284018501840189008d018e018f0189018a00890701006c007b00010086120100000601010000010000060101000f010084007b007a
+0066080100840089018b0089028f0190008a008b0085000100860385008000810180007b007c017b007600770271006b0068006701620061005e01590054004e004f00490145003f
+003a0001003500310030002c002a00260025002100220020002500240125012400250000002a012f00350039023e01440049004d004c0052005300580157005c016000670065006a
+007000710076007b008400860088008e008d008e009201930098009400990293009a0099009501980094009200930094009800930098019300940099009800990198019300940098
+009400990097009400930099009500980094009800950099009301940095009300950094009300940093009400920093029400950093019400950092009300950194009301940093
+01940193009400930194019302940092009300940093009800940097009900980094009300980099009300980095029301990093009801990194009a009400930194009200930098
+00940099009a00930199009a009300940099009400980095008e0090008f008a0186007b007700750001006d0067006600630062005d00580059005300010052014f0049004a0045
+00010040003f003a003b0135003601310001002a002c00270026002700010022001400260025002c002b0030002e002f00340039003a003f01440049004e005200540058005e0161
+00670166006c017100700176007b007a007b007c03800584008300880089028e008f018a0189008a008509010076007b008611010000070101000000070101000e01007e007f007b
+0076006d080100860185038a008f0090008f0089000101860085018601850081007f0080027b007c0176007500720071026c00680262005d005c00590053004f004e004900450044
+0040003b00340030002f012b0127002100220121002000220020002100200021002000250029012f003b003a0039003f003d00440249004e015200530057005c005d006200600167
+006b006f0076007b018500830088008e008d0092009800930098009700940099009700940193009a00940198009901930099009400990194009900950099009a0099009a0094009a
+0098009900930099009300950299009401990094009902940195039400950094009300940093009401950194008e00930294008d00940093008e0294009500930094019301940093
+019400920095009201940193009a0093009900980099009702940298009500940099009400930092009800940099009200940093009800990294009200930098009a009900930094
+009700930098009a00980099009500990094008e008f0090008300840085007b00750072006c006d00680162005d005e0058005400530054004f014a004801440040003b013a0036
+0035003600300031002c000101270026002100220021002201250024012a0030002f00380039003a003e00430048004d004e01530056005c0062006100630167006a006b00720071
+01760075007b027a017f0080007e01850086007f0083000000880089008f008e008d0189008a0089008501840801006d0076007b0081007f11010000060101000001000006010100
+0e010080007f00790072006b090101860085018a0189008f008e0090018a00850084018001860180007c017b007a007c017600770172026c0067006200630001015d00580053004e
+014a0145003f0040003900340131002c0027002600200021001601150014002100130115001c0026002a0029002f0034003a0039013e014300470049014e0053005200580057005b
+005d0166016c00700076007f000000860089008d008e009300990097009400930094009300970094009a009800930194009500940095009802940098009a0198009a029400970094
+00990097009800950098009400990098019300980099019301940095009400930094000101940095019300940093008e028f008d008e0094008e008f0090008f008d008e008d018e
+0090018e008d008f01940092019500940293019400930092019300950198009901980094019801990098009401990093009700950094009900930099000000980094019800940093
+00980001019402990098009900950099009300940093009a0094008f008e008f0085008600810176016d0168005e005c005d005900520054004f004e004a00490144003f0040013b
+003a0035003601310001002c0027002601270021002000210020002700260025002a0000002f003500330035003a003e00440149004d00520057005b005c016100620167006c006b
+017100760075007400760079017a007b017f008500840085007e028400890090008f008e0389008300850a01006b0077007c018010010000070101000000070101000e010081007a
+0075006c0a01018601850189028a018b008a018504800001007b027c0075000100760271006c016d000100680062025e00570054004e0049004a00450044003d0040003a0035002f
+0030002b002c0126002201200014001301140015011400200025002a00300134013a003f0043004400480049014d005200530057015d0162016600700076007c017f0089018e0193
+0094019801930094009800990094009800930094009700990093009400990098019901940093009a009900940093009800950094019800940093009900940193009800940098009a
+01930094009500940095009201940092019400930094008e008f008d008e008d008e018f008e008f0190008f008d018f018e018f018e018f018e0194009300940093009401930194
+0093019400930099019300980097009500920093009800930098009301980092009801930099009800940098009300980093019900980194009800940098019900980099009a0094
+00990098009300940095008f0090008f0180007c00770071006d00660068005e005c005e005800530054014f004a00490145003f003b003a02350130002c01010126012201210027
+0026002a002b002e012f0030002e00330034003a003f00430148004e005400520056005b005c006300610067006c006b006c0171006f00750176007b027a01800084007f017e0084
+0185008a008e008f008a0189008a00850086018509010066006c007700800081110100000601010000010000060101000e0100800175006b0a010081008502860085008b008a008b
+008a008f008b008a008600850480007b007c007b01770076007700710172016b006d006800620063005d005c00590158004f004d004a00440040003f003a01010035012b00270126
+0121002200140015010f000e001400130020002400290034003500340139003e0044004500430048004d004e005100520157005c006200660065007100700075017f018e008d0000
+0193009800930097009801930099009801990093009a009900940099009300990194009800940095009400930099009300940193009900010095019800990093009a009800930099
+009801940095029400950001009300940090008f0090028e008f008e008f0190008e068f008e008f008d008e008d008f068e008f018e008f00930294019301940092009402930099
+00930099009300980193009a009800990193019901940093009801930092009400930098029400980094009800950098009a0093009400990094000101940095008f00900089007f
+0080007b00720071006d00660063005e005d005800540053014e004a000100450044013f003b003a0036003500300031002c002b002600010025002200270126002b002a002b002a
+002b002a0029002a012f00340038003f00440048024e0058015d005c01620067026c017000710075007600770176017b007f0080017f007e008000840085038a0089008a008b0085
+0184008500800a01006c0076007b008010010000070101000000070101000e01007b0074007000670b010080028500840085008a008b0189008b008900860085008001810080007f
+007a007b007400770075017601710072006c006b0066006800670063015d015800520054004e004900450044003e013a0136002f002c002b002600250022002100010115000f000e
+00100014000000200026002b003000340035013a003e003d01440048014d005100530057015d0061016600700076017f008f018e0593019400950098019400970098009300980099
+009800990095009901940099009a0294009800950098009a0094009a0099009400950099009a009800990093009400990994008e018f00010090028f008d028f008d008e018f008e
+0090018f018e008f008e038f018e028f018d008f028e0093009200930095039300940098009701990093009401990093009800990093009900930098019400930092009700980097
+019400990293009400980193009800990098009200940293000102940095008e0090018000010071006600680061005e0058005900540053014e01490044003e003f013a00340036
+00310030012b00260027002600270226002700250027002500260225002a002f00350034003a0143004900470048004f0157005c005d006100620166006c006b017100720476007c
+007a0280017f0284008a0189008a0089008402850084007f0b01006800710077007c110100000601010000010000060101000e01007b0075007000670b0101800086008500860085
+0086038a0089008500860081008000810180007a007c007601770076017100720001016c006d006700630061005d005e015900540052004e0049004a0040003f0039003b00360030
+0031002b002900260027002100220021001500140110000f0015001c00200025002f0030002e01340039013f00430149004e004d0053005200560057006200610066007000760000
+007a0089018d0192009300920193009401930098009300990095009a0094009300980094009a0099009a009501990694009500940093019401950294009900940093009400950194
+029300940095018e0090018f008e0090018f018e048f018e018f018e008f008e038f028e008d008e008f008e008d058e0092049300920093009400930098009a0098009300940098
+009404930094009300940092009400950094009900980193019800990094009801990094009300980094009901930094019301950093018f0090007c007b0076007100670162005d
+005800520053004e004f014900420044003f003a003b003500300131002a002c0026002703220221002000250020002500260024002a000000350039003a02440048004d00570158
+005e005d01610067006b006d016b0071007000710074007500740076017b0280017f0185008a0089008a0189028500840085007f00800b01006600720077007b10010000070101000000
+070101000e010076017000670c01008101800086008401860085028a008600850280007c0081007a007b0076007703720071006d006c006d016800010162005e0057005900010053
+004e014900450001003a003b013500310030002b01260027012101150014001c002100250024022a002f00300033003a0039003d003e004200490048004c004e005100530057005c
+005e0061006a0170007a0088018e0193009400930092009300940098009401990098019400950092009900930094019800930094009a009400930295009402950094009300950094
+01930095000101950093029502940093009500940190008e008f008e0090018f008e018f0090038e0090018e018f038e008f008d018e008d008e008f038e008f028e008d008e008f
+008e008d009401930094009300940192029302940193009501930094009305940095009800990093019200930094009800990094009300980099009400990093009a009501940093
+009400950094018e0090007a00710072006c00680062015900540052004e004f014900450044003f0040003b003600350130002b002c00270026000100210001022100200121011c
+00200026002a002f003300390040003e004500430048004d005200570059005c005b0062006700660067026b006a00700071017500770075007a007b0081007f007a007f00800185
+0189008a008400850083018402800c010067007100750076110100000601010000010000060101000e0100760071006d00630d010081007f01810285008401850084008600840080
+007f007c017b007c007b010100700172006c006d006b016701680062005e005d015800530054004e01490044003f000100390001003500300031002b002600270021012200140021
+001c0125012a0029002b012f003500340139013e004300440049004e004d01510057005c00610067006c0071007a0084018e00930092009301940093009202940092019800990098
+00930092009800940295009400990094009302940093019400950001009500930094009501940495019400930494008f0090008f0090018f0090018f0390028f0090008e028f008e
+068f008e0090018f028e008f028e008d018e008d008f018e029301940093009400930095019302940193009400930092019300940093009201930095009200930099009300940099
+0094059801990094009900980094009200940295009401900086007a0072006b00680062005d005900540052004f00010049004a0043003f0040003b0001003600350031002f0001
+002c00010027002201210215001600150013011400200026002a00300033003e003f013e004400490053005200580059015c00610067006600670066026c037100760074007a007c
+007b007a0080007f00850284008a028400830084017f008100800c010061006c0076007510010000070101000000070101000e0100750071006c00620d01007c0080008100800081
+00860085018603850280017b007a007700760072000100720071006b006d006c0167006600620063005e005d00570253004e01480042003f0040003b003500360031012c01260021
+012000250126012500260025002b002a012f0134013a003f003e004300440148014d00520058005e00620066006a0075007f008a008f009200930095009200950092009400930099
+00980099009400950094009a009300920093009400930094009900940092049400930194029300950001019300940093009401930294009500940095009400930190008f008e008f
+008e008f00900001008f008a008b008a008e048f008d008e018f008e038f008b008e018f018e01880089008e008f008d0089008e008f008e008f038e0090008e0095009400920093
+00920093009401930094009300920093019500930092049300950293009200950193009a009401930098009400990098019900980093009500940099029402930090008b00800076
+0072006c0062005d00580153004f0049004a004400430140003b0039003500300131012b012700220001002000150014001602100014001300200024002a00350039003a0139003e
+004300480052005300580057005d005c0162006700660067026b01700072007100770075007b027a007f018000830084008a0185008400850180007f0080007b0d010062006d0071
+0070110100000601010000010000060101000e010071006d005e005d0d01017b008000810080007f0086008500860285007f01800081007a007c007b0176007100700071006f016b
+006700660067006301620063005c0057005800530054004f004e004900440045003f003a00360035002f0030002c002b002500200626002500260025012b002e002f00340039003a
+013e0042004400480049004d00520053005c00610066006a006f007a0089009300920193009402930094009300940098009200990093009500980094019900930194009800940195
+009400950093019500930194009501940095009300940095009401950194009301940195018f0090028e0190018f0090038a01880189008a0089008a01880289008e008a008e008a
+008e0089008a0089028a0189008a0189008e008f008d018e008f0090008f008d0092008d009300940193009200930194039301940093009402930094009300940493009400920093
+03990097019900980092009900940193009a009800950193019400930090008b00800071006d0163005d00590053004e004900480144003f0040003b003a003600350030012c0027
+002600010121001500160014000e020f00140021002a002f003900340035003300340038003e0044004e015200530058005d0261006201670066006b006c006b0170000000750076
+007b0079017b017f00800084008501840185007f0280007b007c0d01005d005e006d007210010000070101000000070101000e010070006b005d0f01007c007b0080007f0080007f
+00810086008401850080007f0180007b007a007b0077007600720171006c016b0066016701630001005d005e005800570053004d004e014900450040003f003b00360035002f0030
+002a002b00270001012101220021002700200026002500260029002b002e002f00340039003a003f003e004300440149004d004e0053005c00620067006a007a008a009301940093
+009202940098009901980099009300940099009300990095009801990098029400950093019500940095009400930094000103950094019500930095019400930094019500940095
+018f008e018f0190008e0090008f0089008a0089038a0089008a0088018b028a0088028a0289008b018a00890088008a0189008a0289008d008e008f018d0090008f018e008d0090
+0094009200930194009502930294019300920293009502930092059300940093019900980193009200980097009300940097009801990098009300940193009500940001007b006c
+00660063005d00580054004e004a00490144003f0239003600300031012c002700010022012100140115010f001000140020002a002e00000130002f00330038003f00430048014d
+005300520058015d0261006200670065036b0070007100760075007a007b007c007b0180007f0085008301850080007f0080017f0079007a1001006c007211010000060101000001
+0000060101000e01006a006d00560f01027c0080007f018100800085018401810001007b027c017600010071006d016c006d00670068006100630062015d005e005800590053004e
+014d0048004400430040003b00350036002e0030012c002600250120022100200021001c00250024002b002a003000350034003a0039003e003f004400430049004c004d00510057
+005d006200660076008a008e019300920094009300980199009800940099009700930094009a00930098019400930194009500930094009300010294009502940095009400010294
+009500930001019400950093009501940095008f0190018e018f008e018f008e008a0089018a008b018a0189008a0089008b008a0089028a0189018a0088038900880089008a0089
+008a0489008e008d018e008d038e008f0093008f008d0093009200940093009201940092009500940095039300920093019400930094009300920093009400920094009800930094
+009900930099009800990098009900980399009300950193009500930195008a0076006b0062000100570053014e0048004400450040003f013a00350036002f002b002c00260027
+00220020001602150011001000140025002b002a0129002b022f00340038003f004f014d005200530057005d005c005d0162006100650067006c016b0071017001750076037b0180
+007e0083008500810080007f0080017a007b007c0f01005c006b006d10010000070101000000070101000e01006c006700581001007c027b00800181018000810180007c027b0001
+00750077007000720071016d006c00680067006300620001015d005800590253004e004f00490045003f003e003b01350131002b002c002b0026002000210020012102200125002b
+002a002f00300034003900380039003e01430048004e004d00520057005b0066006a008a0393009400980099009700950198009a0093009a01930099019300980099009300950294
+0195019400950093009500940395000100940195009400950094008f00950194008e008f018e0090028f0090018f008e008f008a0089018a0089008a02890088008a008b008a0089
+038a0189008a008b0089008a0089018a0089008a008900880289008a018901880089038e008f048e008d008e008d028e0093008e0094009200930194019300940393019400920094
+019300920093009500930098009301990098009700940099019300970094009900950093019400950094009500920094008a006c0067005d00580053014f004a0144003f013a0135
+00340030002c00010027000100210115001400150011001000150025000000260024012b022a00300034003e0044004e004d0052005301580057025d0062006100620167016c006b
+017100750176007b017a0079018000840085007f0080007f0080027b007a100100580067006d110100000601010000010000060101000e01006c0067005810010077007b0001007b
+007a0080018102800081007c007b017c01770075007000710001006d006c00680067006800610062005e005b005e005d005901530054004e014a01450040003b003a00360031012b
+002a00250026022103150021002000240025002a012f003400350039003e003f00430044004a004f004d0057005b0062006600880193009202940293009800940095009900980094
+0093009401990098019a00940095029400950194019505940095009300950001009400950190008e0090008e008f0090028f0090018e0190008e008f008e008f028a0089028a0089
+008a0089008b008a0189008a018b018a0089018a0089008a0189008a0088008900840289008b048a0089008d028e008d028e008f018d008f018e008d008f038e0094019300920093
+0092019300920194019300940092039300940192009800990098009500940093009a009900920193009a0000009800940193009400930194008b00670063005c005900530048004a
+00450043013f003b003a00340031002f012b0126002100220115000f000e0021002000210325002400250024002900350039003e0148004e004d005300520058025d005c00620063
+0062006800670065006d006c00720071007500760175007b007a0079007f00800085017f0080007e017b007a007b0076100100580067006610010000070101000000070101000e01
+0066006511010177007b017c007b0180007f00800081017b007a007b0376007200710072016c0068006701610062005d005c005e005900580153014e014900450040003e003b0001
+00360031012a002b0126012101160114012000250024002a012b002f01340139003e003d00420048004e00530057005d0061008a0093009201930099019300980099009400980599
+0095009300990094009300920093009400930094000100950294009300950094000101950001009400950094009300010190068f0090018f0090008f0390008f018b028a0088028a
+00890083028500840285008900850086008a0084008801840085008400830085008301840085008a0089018a00880089008a0089008d008f008e008d008e008f018e008f038e008d
+008f048e00940095009400930092019300940093009201930194039301940093009500920093009400930194009a009400990094009a009900930099009400980494008b0067005e
+00570052004f004900440040013f003a013600300031002b012700220021001600010215001300200021001c00210000002000210024002c002f00350039003e0149014d01520157
+0058015d00610060006200680066006b006d007101700075007600770075017a017b0180007f007e007f017b0079007b017511010167110100000601010000010000060101000e01
+0067006112010177007a017c017b01810180007b007c0077000100750076007700710070016d006b0066016800620061015c0058005700010154004f004e014900440040003f003b
+00350036002f0031012c00260025022100140015011401200125002a012f003300340039003f013e0044004d004c00510058005d0293019400990093019900930098019300920094
+009300980094029906940095009201940193009501940195009401950094008f0094008f008e0190028f0090018f008e008f0090008f008e0090008e008f018a0189008a018b0189
+00840185018400850184008500840085018400850084008302840085018400830085018401850088008a008b018900880289038e008f048e0000008e008d008e008f008e008d008f
+008e009403930092009300920493009203930095009300940093019800930098009a0199009400990194009900980094009803930295005d00580053004e0048004a0044003f003a
+003b003a01350030012c012601220015001000140016001400150114001500140020001c0025002b000000350039004300490048004d004e005300520257015c0062006100670066
+0167006d006c006f0171017600750079017b007a0280037b00750074007512010062006c10010000070101000000070101000e010067004e120101760177007a017b007c01800001
+017b00770076017700720071026c006b006700610162015d005e0059005800570053004f004e004f004800010043003e003f003b013600300001002b002700260025012100200021
+0020002102200125002a013001330139013e00440048004e0053005700930192019400930099009a0094009900930098009900940093009800930294009a00940195009300950294
+00930095009401950094029500940195000100950090008f0090008f0090038f0190018f0090008f0001018f0090008f028a018b008a0089028a0084008500830086038500830084
+008500840083008501840285008401850084008501840185008a00890088008a00880089018a0088008d008e008f018e018d008e008f008e008d008e008f008e008d008e008f018e
+008d018e008d00930194009200950093029200940093009400920094029300920094019800930099009300980097009902940098009401950199009500930094019500580059004e
+014a00450040013a01360130002b002601270021000102150010010f0110001301140020002500290030003902440048004f004d005101530158005d005e005d0062006100670066
+0067006a006c006b00710070007401760075007b007a007b0180017a007b007a0077017600751201004d0062110100000601010000010000060101000e010061004e130100710076
+01770101027b0081007b000102760271016c00010068006700680262015e02590153004e004f014801440040003f003a00340035002c002b00260027002601270025022601250124
+002a0029002f0030003401390038003e00420048004d005200590093009200940093009802930094009200940099009701980097009300980093009a009304940093019400010094
+0001009400930094009500010094009500940095009300010190008e0090008f0290008f0290008e0090018f018e028f008b008a0089008a0089008a0089018a0086018402850084
+0085008400850084008604840685018401830184008a0089008a008900880189018a0089008f008d018e008f008e018d018e008f028e008d0090018e008d0090008f009300920094
+0092009300000193009400930094019300940092039300920093009400930098009900930099009800940093019400980095009801990093009500940093008f00590053004f0049
+00450040003e013b003500010031002b002c0126002100220021001401150014040f0013001c002b002f003a003f0043004400470049004d004e004d005200530158025d00620061
+006800670066006a006b006c0270007500760075007a007b007e0079017b017a00740077007500761301004f006310010000070101000000070101000e0100621401007101770075
+0076017b007c007b007a007b0001017502710070006b016c006801670162005d005e00590058005900540053014f014a00450144003f003a003b0035002f0031002a002c02260027
+002600250026022500240025012a0030002f003400350034003a003900440048004e00520193019200930099009500990098019700980099009300980099009a0094009300920293
+0095029302940095009300940095009401950094000102940290018f00010190038f0001028f0190008f0090008e008f008a0089058a008400830084028501840085008400800183
+008400850084008600850284008600840085008400830084008501840086008400830189028a0089008800890088008d038e018f008e018d018e008f018e008d018e008d018e008f
+0094009300920093009406930092009400930494009300970093009900940093009400990094009800940098009501940199009401950094009900530001004a0045003f003b0039
+003b00360131002c002b002501260321001601150011010f0014002600290034003d0039013e004400430149014e00520053005800560058005e005d026200660067026c01710072
+007100740176037a007b007a0076007700750076007114010062110100000601010000010000060101000e0100491501007200710076007500760075007b007c007b007a007b0076
+007500760071007200710070006c006800670066006300610063015d005e005900580253004f004a0049004400450040003f013b003600350030002b002c04270026012501260024
+0025002b002e002f0000002e013500330143004c005100940193009901980194019801940099009202980097009a0195009401930294009500940095019401950094009504940095
+0190028f009001010190028f0090028f0290018f028a008b0089008b008a01890385008400850083008500840185007f0185007f00840085008400800085008400830080007f0084
+008000850084008501840085018400850089008800890088008a0088008a0089008e018f008e018d018e008d018f008e008d068e008f009300920094009200930192009400920093
+01940092019300940193009401930095009400990098009900940095009700980099009300940099009401930199009302940052004e00450043003f003b00350034003000010030
+002b0027002500200221011400150011010f00130025002f003500330039003a003f003e01440148004e004d00530052005300580057005d005c0061026200660068006b006d0171
+007000720175047a007500770175007000711501005e10010000070101000000070101000d01004a005716010071007200760177007a017b017c0077007600700171016c006b0067
+00680062006100630062005c005e0058005700540052014f004d014a00440045003e0001003a003b003500340030012c00270126002700260027002600250027002500210026002a
+0129002f002e002f002e003a003e0043004a01940093019900980099009a0193009a0094009900940099009800930098009900940093019400950094009303950101009300940095
+0093049400930090018f0290008f0090008f0190008f008e008f0190038f0090008f018b0089018a018b008a00890085008400010085008602840085007f00840180008500800084
+00800085007f0080017f0080018300800083007f00840185008400850284018a01890088008a0389008e018d048e018f038e008f008d008e008f008e008f008e0192009300940092
+0194009200930092009300940093009208930098009300940199009800950099019300940198009400990394004a00490044013a003600350130012c012700210022002100160014
+0115000e000f00150026002f0034002e00330034003a003e0043004201440149004e004d01520158005d005c005e00610063006100680066026c00700071007000750076007b007a
+007b007a007500760175007000710070150100580049100100000601010000010000060101000d01004200521601037101760077007a007b0076017700720071016c006d006c0168
+006300620001015d005701580253004f004d0048004a00450043003f0040013a00360030002f002b002a0026002701210022002100200021012000260025002b002a0029012a002e
+0034003f004400480193019900930095019a009300940095009900920199019300950098009501940095019400930094009501940093009500940195029401950001009503900001
+0090018f0390028f0090018f018e0090008f008a0089008a0089048a00830685008400800084007f01840080007f0080008400850084007f0084007f0084008500840085007f0085
+00830184008300860084018300890084008a01880000008a03890088018e008d028f0090028e008d008e008f008d038e008f01920094019300950094019301940095019400930294
+00920094019300920093009900950098009300940193009900930095009300980094009800940093009a0095009300490044003f003900350034002f0030002b002c000101260022
+0215001600150010000f0021002b002a002f00300134003a003e013f004400430049004e004d004c00520054005800560059005c005d0061016200680067016b006c007100700071
+0276017b00760275017000711601005200450f010000070101000000070101000d0100451701006b006c0271007700760077017b0077007600700072006c006d016c006600670062
+0163005c015e005900010153004f0001004e004900440043003f003e0001003b003a0036003500300001002c00270025002100220021002200200221032500240129002f0034003e
+0043008d0093009a00930198009500940098019a009901940099009300990093009802940095009400950093049400950094019501940395000100950490018f00900001018f008e
+018f0190048f0089008b008a0089008b008a0089018a018401850084008500860185007f008400800185017f0184008000830184007f008400850084008301840085008300850084
+018300850084008501840089008803890188008a078e018d038e008d068e009301940093009400930094029300920493009500940093009401930099019302980094009800930099
+01930099009800990194029300450040003a000100350131002c002b00010025002100220315000f000e00250026012a002f002e0035003a0039003f0040003f004400430048004e
+004f004d01520153005d005c005e005d016100660067006c006b006d006b017000750076007b007a007500760175006f0171006c1701004d10010000060101000001000006010100
+0d01003f1801006c006d0072007100010376017700720070006c006b006d006c0068006600630061005d005e005c00590058005300540053004e004f004a01490144013f003a003b
+00350130012c0026002100220021001500140115012000210020000000260125002b0035003e00000193009801930098009900940193019900980092009400950099019800920093
+0094019301940093009500010094009300940095019400010094039500940190008f0090018f0090018f0090048f0090008f008e0190018f008a00890088008a0089008a018b0089
+01850084038500840086008500830085008601850080007f01840085008400860084007f0084027f007e01840083007f00840085008400850384008a008800000089008a0089028a
+0089028e008f008d008f098e008d008e008f008d018e008d009204930092009300950192009400930194019300920194009300940193009800940093009a0093009800940093019a
+0099009400970099009a00990194003f003b00340030002f002c002b01270022002100200115000f0011002200250026012a002f002e01340139003e003f014400480049014e004d
+014e00530157005c005d0061006300610067006d006c016b0071007200750076007b00760175007000720071006f006d180100490f010000070101000000070101000d01003f1801
+026c01710072017600750076007700700072016d006c0068006700630162005e005d0058005900570153014e004f014a00450044013f003b003a0036003500310030012b00270026
+00220021001500140015011400150121001c00220021002b002f0034009400920093009a009400980093009701990194009a00980194009300980097009500940093019400010094
+009500010094019304940495009000950090008f0290018f0001008f0090018f008e0090018e0090008f0090018f018a0089008a0089018a0089008a008900850084008500860085
+008401850083018400830080008400850084007f008400830180007f00860080007f00830080017f00840080007f0084007e007f028400850083008401830089008a008900880089
+00880289008e008f008e008f008e0000008e008f018e008f008e008f028e008f028e008f018d01920193009500940093009400930192009300940095009400920094009200940293
+00940093009800930095009400980094009a01990198009400970098009900980294003a00350131002a002b0127002100200022011500130021002000260025012a012f00340035
+0139013e00430044004901480149004e004d00570058005e015c005d006200610167026b016f00700076007701760371016b18010048100100000601010000010000060101000d01
+003a1801006d006c016d0072017101770076007700700072006d006c00670066006700620061015c005d0058005900580054004e0101004800490048004a00440040003f003b003a
+0035003400300031002a002b0001002600210022001500100415011400210000002a002f0193019900930094009300980095009a0098009400930199009500930098009904940093
+0195009300950193009402950094019502940095008f0090008f0001008f0090028f00900001008f0001038f018e0090008f008e0001008b008a008b028a0089018b008500860083
+0186008500860284007e018400810086008500840085017f0083008000850080007f008500840085007f0080007f008101850080007e0484008500840085008400000189028a0088
+008900880089008d008f008e008f0090068e008d008e008d018e008f028e008d008e0293009400930192009402930095009400930094009300940093029200930097019800930098
+009300990095009302990098009400930097009300940095009300360131002b002c012600220021001501160014001500210020002600250000002a003000330035003a0038003e
+003f01430049004a004900480049004e005300520158015c0262006600670066016c017202760075007000720070016b00660068180100450f010000070101000000070101000c01
+00391a0100680067006c006b006d02710075007701720001006b006d00670066006700630062015d0059015800520001004f004e004a01490044003f00010040003a003b00340035
+0031012c002b0026002700200021001400160015020f00100014001300200024002a0092009300990198009700950092009800940199009800990094009301950094009301940093
+0095019400950093049500010094019500940001009501010095018f00010090008f0090008f0090008f0090008f0090008f00890090008b008f058a008b008a0089008b048a0086
+008500840185008600850086008401850084007e00830001007e0085007f00800086008100850084008600800085008400850080007f008500800085007f00830085007f06840183
+00880089008a018901880189008804890088008e028d008e008d008f0000018e008d008e008f018d008e008d00000193009202940093009200930094039300920193009403930194
+009800930194009a0098009700940095009900940093009900980093009a00940130002a002c01260022002100140016012100200021002001250029002a002e01340139003f003e
+0244014300440049004e005201580057015d005c0062016700660067006b006c007000720076017500700071006d016c006700681901013a0f010000060101000001000006010100
+0c01003b1a0101670068006c006d006c00720071007000760171016c02670162015d015900580153004d004e02490045004400430040003f0039003b003600350001002f0001002c
+002501260222001500140010020f00130024002a00930000009400980093009400990092009a01990094009500980094009501940095009400950294000100930195019400950194
+02950001019400950094000100940290008f0290008f00010090008f0090008f048a018b0089018a008b008a0089008a00890088028a048500860285008600850084007f0081007f
+0084037f0284007f0280017f0184007f0184008500830085017f02840085008300840085008400830389008a008802890088048900880189008a038e008d008f008d018e008f018d
+028e01930000009400930094019300940192009300920493009400920093019400980092009800930095009801940098009400980094019300990094009300940031012b00260022
+02210025002700260225012a0029023000360039003a023f003d013e003d00430049004d00540053005200570058005d005c016200660067026c007200700076007000710070026c
+0068006600681a01003a0e0100000701010000000701010029010068006600670066016c00010071007200710072006b006d00670068016200610062005d005e015901540053004d
+0149004401450040003f013b003a003600350131002b022600220221001500160110010f001400250098009400980099009300980194009900950094009900980094009a02990195
+00940095009300940195019400950094009500940095009400950001019400950001009401950390008f0190008f0190008f0090008b018a008b0089018b008a0089008a008b028a
+0001008a0089008b0085008600850284038501840080008400850184017f0084007e00840185007f00840085007f007e0084008500830084008500800085017f00840085007f0184
+01850484008500840085008a00880089008a01890088018900880189018a0189018a0089028f008e008f008d008f018e008d008f018d009300920094049304940193009400930095
+0194009300940000009300980093009a0093009402930098019200930099009a0099009a00940099002a002b00260027002600270026002702260024002a002b012a0030002f0033
+00340139003a0439003e00420048005300510053005800570058005d005c0162006100670066006c006b00700072007000710070006b006c006b02662c0100000601010000010000
+0601010029010161006600650066006d0001006c01710070016c0067006800610163005e005d015800530154004d004f0149000100440040003e003f013b0035003600310030012b
+00270026002700210020002100150116000f0011000f00140024009300940198009401930099009400930198009401990094009a0099009302940095009401950194009502940595
+009400930095009400950290008f0090028f0190008b0089018a008b008a0089038a0089018a008b0089008a0088008a008b008a0186018501860185028400800081008500810085
+00840086008000840080017f007e008300800085008000850084007f0084007f00830180017f0085007e0080007e0080007e02850083018502840083008a02890000008801890088
+0189008a00880089008a00880389008e028d018e008d008f008d008f008d008e00940093009203930192019300920093000001940092049300940093009200990098009200970094
+009901980099009a019402990098009a002c002b0026002100220126042500260025012a002e003100330000013501340139003f003e00430048004e0053005400520158015c0062
+006100620166016c00710170026c006600650067006000612b010000070101000000070101002a0100610062006300660168006d006c0071006c006b006d016702620063005d005e
+0058005700530054014e014900430045003e003f0039013a003600340130002b0001012601220021011500140015000e0013002501980193009a0195009a00940099009700930099
+009300940093009501940099019400930094009300950194009502940095000100950001009401950194009300950090008f0190008f0090008f0090008e008f0090008f0090008f
+038a0089018b018a008b008a008b018a018b008901850086028501840086008400860085017f00800181007f0081007f0080007f0080007e047f00850083008600840085007f0280
+007e0000007f007e0080007e017f00830a840189018a008900880089028800890088008900880089008a0089008a0088038e008d038e008d008f008e0092008e0094009201940093
+009200930192009403930094009202930194019300980099009400950199009a0095009800930098009400920093009a0099009a0099002600250022012101200025002701260025
+01290030002f002e012f003602340038003e003d0043014d00530051005300580056015d00620061006200680065016c006b0070006d016c006700660060006200612d0100000601
+010000010000060101002a010063006201630267016d006b006d006c006700680262015d0058005900520054024f00490144013f0040003a003b013600310030022b002700260022
+012102150010002000240093009400990093039402990098009a009400930094009300940193009502940095029400950194000103940001039500940095018f00900001048f0190
+008f028a0089008b0a8a00850084018500840085008602850084008600850080008101800081007f00800081007f00800081007e027f0081017f0081007e0080027f0180007f007e
+017f0380007f0080007f007e007f007e007f018301840083008403850084008800890288000001880089008a0089018a0089008a0289028e028f018e008d018e008d009402920093
+009200930092009300920093009200930094009300000094019300920093009200950093019900950098009900980099009800940099009400930099009400980094009900940026
+002201210022022100200126002a002b022a002e012f0030002f00340038003d00420043014e004d02530059025d006200610167016b016c006b006600670066026100622c010000
+070101000000070101002a01005e046200660068006c006d006a006c006800670262005d015800590053004f004e004f004e014900440043003f003e013a003400360131022b0027
+002600010021011500160010002100250093009400930098019400980094009900940093009800940099009a00980194009500940193009400930294029501940001049500010095
+0194018f0090008f0190008f0090008f0090008a008b008a0089008a008b008a028b008a008b008a0089008a0089008a018500840086018500010185018402850180007f0380007f
+0080007f0080007f0080007f007e0080007e037f02800081017f007e017f0000007f0080007e0080007f0180007f007e0080007f0080007f00850183018400850084008301840083
+00000083008900880089008a00890188018902880089008a000001890088008f008e018d008e008f028e0094008f0193009200930092039300920293009400920194019202930394
+00980094019900940098009a0098009300980094009300980099009400270021011500200021001c0020002501260125002a002b0029022a003000340038003e00440049004e014d
+0051005300570058005e005c005d016200660067006c016b006c006600670066016200610062005d2d0100000601010000010000060101002b01005e015d0063016200680167006d
+006801660262015d015800540053014e014a00430044013f013a00350036002f00300031002b00010126012100200014001600150020009400950194019800990093009800990094
+0099009800990094009300950199009500010099009500940093009500940095009400950094039500010094000102950094000100950090008f0090008f0001018f0090008b008a
+018b018a008b008a008b008a0089008a008b008a008b008a0185008401850084038500860185008301850080007f0280007f0080007e047f0080017f0380007f0081007f0080007f
+02800081007f007e0080007f007e017f0080037f0080007f0080007e0083008400830084008300840083008400830084008302840083008900000288018900880289008804890088
+008d008f008d008e018d008f018e00930092009300920293009200930094019300940093009401930194009202930194009900980097009800990094009800990097009900980094
+009300990094019900940020001600150016012000260022002500260125002600240025002a0029002f00350039003f00430148004e004d0053005200570058015d005e00620060
+006200660067006c006700660067006201630061015c2d010000070101000000070101002b01015d005c005d00620063006200680067006800010068006300610062005c005e005d
+01580153004f004d0049014a004301400039003b0036003400300031012b01270026002200010015001600150021009900930094019301940097009400980094009a009800920099
+0094009801950194009502940295009404950094009500010395000101950190018f008e0090018f0089008b0001018b008a018b028a0089008a0089008b00850086018500840085
+008600850184008600850084018500840080007f0280017f00810080017f007e0080007f0080007e0380017f0180067f0080007f00800d7f0080007f008301840085008400830084
+0083008400830084008500840083008900000188018a02890088008a0088008900880089008a008d048e008d008e008f008e008d0093009206930094009300940092009300920094
+029300920393000001930098009400990098009300980099009a009400990294019900160114001c0015002102200021012000240026002a0029003000340039003e0049004a0048
+014e005301520158005c005b005c00630062016601670066006200610063035c2e0100000601010000010000060101002c0100580001005b015d0063006200010066016800620063
+025e0059005700590153004d004f004a004900440043003e0040003a01350130012c002a00250026002100010021001500140093009401990094019900920094019802940093009a
+009300940095029400930194009300940093009400950194000102950001049501940095008f0090008f0090018f029000010089008a008b008a008b008a028b008a008b00890001
+008a0084008601850084008503840085008400850184008000810080007f02800081017f0080007f00810380007f00000180017f0180007f0080017e027f0080007f0080007f0080
+057f0080017f0080017f007e017f0080018300840085008400000085008400830184018300840085008400880089008a0088008b008a0089008a0189008a0288008d008f008e018d
+0000008e008f018e0092009400930094000000940393009201930094089300920093009a0098000000940093009a00940093009900980099009200980099009a0094009900940014
+0015001401150014001501140020001c002000240029003000340039003f0043004900470049004e0053005200530158005e005d005e006100620061016700600161015d005c005d
+005c2e010000070101000000070101002c010158005e005d0001015d0062006300680262015d005e015800540053024f004a00450144013f003b003a013600310030002b002c0126
+002000210020001500990093019a0094019900980094029300940199009800990095009901950094029501940595009401950101019500010194008f0094008f0290008e0090008f
+008e0090038b0001008b008a018b018a008b0285008600850086008503840485017f0180007f018000810180007f0180017f0080007b00810080017a0080007a017f007e00800081
+0180007e007f007e0279007b007a007b007e017a007e007f0180097f0080017f007e00830185008304840085008300840085008900840189008a0088008a018802890188008d018f
+008e028d008e03930294019300940093009400930094009300940193009403930092019401930194009300940093009a009300990097019900940093009a009400980093000f0110
+000f00100214011500200000002a003000330039014301490048004d004f0053005200560157005d005c01620061006801610062005d015b005c005800572f010000060101000001
+0000060101002c010259005d0001005c005d005e0362015e005d0158005900520054004f004e024901440040003f00390035003600300031022c0027002600250027009200950093
+019900970098009401930194009200940099009a009400930098009300940093009400920094009500940095009400950094009500010095000102950094009500940195008f0101
+0190008f0390008f0090008a008b008a018b0001008a008b008a008b00860084008601850084008602840185008600850086007f0580007f01800081007f0080007f0080007f0180
+007c007b007a007c007b007a007b027a007b007a0079037a007b027a007b037a007b0079007b027a017e0080007f017e037f0080007f0080007f017e007f02840083008400000484
+0183018400880289000000890088008900000088018d008e008d018e008d018e01930092009300920093009400920094009300940193009200930094029300940093009400920093
+009400930194009a0093009900980094009900940099009a0094009300980094019900980093000e0010010f0010010e001300200026002a00300035003801440043004800490048
+014d005201580057005b015d00610362015c005b0059005800572f010000070101000000070101002d010158005900580057025e01630062015d0058005600580153004f014e0049
+004a0144003f0040003b003a003500340130002c0001002a000100260027009700990098009300990093009800940093009a00920093009900940299009502940095009400950101
+0094029501940095009400950194039500010295038f00010090008e008f018a008b0089008a008b008a0089008a0089008a008500840001018500840085000101850284007f0080
+0081028000810080007f0280027f0180007e0080007c017a007b0079017b007a0079017b017a027b0079007a007b017a007b017a007b007a007b027a0079007a007c007a0079017a
+007e007a0180007f007e0280007f0080007f007e0080007f007e017f00800084008305840083018401830188038901000189048e008f028e01930092009300940092029301920093
+00940393009401930092009301940193009400970001009300940193009400970298019303990014030f0014001c0026002a002e0034003f0044003e0143004400480149004e0152
+005100570058005b005c005e00610062005c005e005c00570058005900560058300100000601010000010000060101002d0100540057015800570158015d005e015d025800590053
+00520053004e004d0049004500440045013f013a01350131002c002b00270025002600930099009a00990093009800930094009700940093009901940099019a0093009503940093
+069400950094079502940095008f008e028f008e008f0090008b0001008b018a018b0089008b008900840785008601850180017f00800081007f018000810080007f00010080007f
+0080027f007c007b007a0079007b017a007b0079007b007a007b0079027c007a017b007a007b007c0079007a0079007a017b007a007b007a007b007a0179037a0079007b007f017e
+047f007e0080037f007e007f0080017f0684028502840189018800890000028900880089008f0000008d008e008f008e0093018e0092019300920193009403930092019300000092
+00930092009300950294019300920097009801940092009a04990095009900980001009400990210001400210026002900300000023a003f013e004500430148004e01530257005d
+005c005d0062005e005c005701580059005801522f010000070101000000070101002e01015200540001005800570058005d005e005d015c0158005300540053014f004a00490044
+00450040003f0040023a003500300031002c002b00260098009700930098009900980092019400980199019400930094009300980294019503940093009401950101029500010195
+009402950294008e008f018e008f018e018b018a008b038a008b008a0185008601850084008600840086008500840280007f0480027f0180007f0080017f007b017a017b017a007b
+007a0079007a037b007a007b0079007c007a007b017a007b0079017a007b017a0079007a0079007b007a0079007b0079007a0179007a007b017a0179017a057f007e007f0080017e
+017f01800084007f028401850184018300840083008a00890000008803890088008a008e008d008e0000018d008e008d009300920094009202930194009300920093009401930094
+00920094039301940193009401980099009a009300980093009900980093009400990094009900980094009a009800990015002000240029002e003a00330034003b003a0039013f
+003e004400480049004d004e0052005100580157005c015d005c01580057005801530052310100000601010000010000060101002e0100540153015200570258005e005d01590053
+00540053004e004f004e004a00490144013f013b013600350130002b002a009400930098009700980099009400980094009301940098009900980095019300940092029400930194
+0095019403950001029500010595009400950001008e008f0090018f0001028b018a008b008a018b008901850001028500860185008600840083017f0181007f0081007f00810080
+0081007f0180007b00800079027b017a007b077a007b017a007b017a007b027a007b017a017b007a007b037a0079007b017a027b007a007b017a0079007a017b007a0079007a007b
+0079007a0280007f017e017f007e0080007f007e027f01830084000001830084008500830084018300890088008a0089000000880189028e008f008d008e008d008e019300940092
+01940092009402930094019300920094019300940092039301940095019300990094009800930199009300940093009800940299009400930094002b002e00340030003400330035
+0034003300380139003e00440045024e0000005200530158005c005e005b015900570059035230010000070101000000070101002f01004d005201540053005400580159005c0058
+005900530154004d004f004e004a00440043003f0001003a003b003a0136002f00310030002a002c0193008e00980094009300940193009900950299009800990094009302940092
+0194009302940095019400010395009400010095010100940193008f008e0090008e008f008e018f0001038a018b008a008b008a00830085008404850084008500840380017f0380
+007f007b007f037b007a007b017a057b007c007a0079007b007c007a007b0079007a007b007a0079007c017a0075007a007b017a0000017b007a0079007b007a0179007b027a0079
+007a0179007a0179077a0079017b0079007e0080007e047f017e0084008500000083008400000183008401830085018405890188008f018e008d008f008e008d0093009201940093
+019200930092009300940092009300940092029300920094009300920093009200940093009400930094009300990093019800950098009300950198009400980095009300940030
+002e002f022e0030002f0035003300340039003e01440049014e0052015300580057005c005700580057005802520153320100000601010000010000060101002f01004e004f004e
+0353005400580159005300540051004f004d004e014a00450043013f0039003a0135003400310130002c0093018e018a0093009a0198009900930299019400930095009400950294
+00950294009502940195000100940395000100920093019500940190018f0090008f0090008b008a008b018a008b008a008801850086028501840085018400860084007f0780007b
+007a007c0079047b007a017b007a007c017b037a007b007a017b01760075017600750076007401750076007a027501760075007700760075007403750174077a0079007a0079017a
+0279027a007b0079007a017e027f017e007f00800084007e0184018304840085008402890088008a008b00890088008e008f018d028e019300920193009403930092009500930192
+029300920093019400930394009300940093009200990093009800940098009400970093009a008a008b0093008e0094012a002b002a002f0030012e01340039013e0149004e004d
+004e0153005400560157005100530052005300520053014d31010000070101000000070101002f01024e004d01530052005400530057005900530054004d014e0049004a00490044
+0043003f0040003a00350136003500300001002a002b0092018e008a0183009800990094039900980194009303940092009301940195039401950001009302940093009400010294
+0090038f01900089028a008b018a00840386008500840085008402850380017f0280017f007b007a007c007b017a007c017b007a027b007a007c0176007400750176017501760075
+007600000076017700760375007602750077007600750076007700760075017601750074007600750174027500740075027a0479027a0079007b007a0000017f0080047f0000017e
+007f038401830384008500880089018800890188028e0000008e018d0092009400930092009400930094009200930092009301920094009300940193029402930094029300940092
+00980199009400990097009200930185008b00900093008e002600240025032a002e002f00340039003e004301490048014d0052015300570058025300520054014d004e33010000
+0601010000010000060101003001004a004f004d024e005203530052004e004f004a0048014a004500440040003f003b003a0036000100310030002b0001008d008f008a00890084
+00850080007f01990093019902940095009401930094009301950294009500940395010100950001009400950094009500930194008f008e018f0190018a008b048a008900850186
+00840085000100860285007f01800181008000010080007e0081007a017b027a007c007a007b007a0079007a007b007a017600750376007703760075007600750074007500760075
+0076007400750176017502760075017600750176007500740076027406750176007502760075007a0079027a0179007a0000007a00790000007a007e027f007e007f0080007f007e
+007f0083028401830084008500840083008b008a0088018900880089008a0089008d008f018d008f018e009400930192009300000092009300920293019403930194019300940293
+0094009300940299009800940097008000840085018a00890090008f002400260125002a0029012e00340039003e014300480049004d014e01530058015300510053004e004d014e
+330100000701010000000701010030010048004a004e014d004e004f0053005400520053024e014900450144013f003b00390035003601310030002b008e008f0089008b00850184
+007e007a007b00760094009a0094009500940095049401930294009300940093009500940095019401950001009501940001009500940090008f0001008e018f00880089008a008b
+018a0089008a028500840286008400850080007f0180007f00810380007f0080007b007a007b007c027b007a007c0075007b00760275007600750074017600770075017600750276
+0075007401750076007500770076027502760075006f0076007500740070007400770175007401750076037500000076007500740075007403750076007400750179007b007a0279
+0000027a017f0080007e037f007e007f007e007f0184008301840083008400830085008a00880289008800890088018e008d018f008e0093008e0093039200930094009200940393
+0094009301940093009200930094029300940293009701990076007b0280008600850001008a008f00900020001c0024002a002b002e00340035003a003e024300480049004c004f
+004d01530052004d004e004d024e004900483301000006010100000100000601010031010049014a0049014e014f004e00530054004f004e014901450044003f0040003b003a0001
+0036003100300001002c008e008a008901840080007f007a017b007000950094010100940001009400950093059400950001029500010094019500930194009500930295008e0001
+008f0090008f018a008b0089008a0089008b0089008a008500840185008602850084007f01800001007f01810180007b027a007b0079007a007c007a027b01750076027501760075
+007405750070017600750076027200770070007101700071017000710270006f0071006f0170006f017000710076027500740076027500740175007600750074017500740375007a
+0179017a0279037a007e007f0080007f007e0080017f007e008000840283008400850084008300880189008a00880089008a00890088008e018d008e008d008e0092008e01930192
+0194029300920093009400930092009301920095029300940293019200940095009300710077007b007a008100800285008a008f0000001c01250029002e00340033003a003d0044
+0045004300470148004e004d0152004e034d004800490048330100000701010000000701010031010049014a00490048004a004f014e004f014e0049014801440040003f003b003a
+01350130002b002c008e0189008500840280007a007500700071006604950094009500940295009401950094009300950194009500010195000100940095019400930095008e0190
+008d008f0090008b018a0189018a0089018500830185018400810280007f0081007f0081017f027b017a027b017a017b007600770275007600770076007502760175007100770070
+006f01710072007000710072007101700071006f017000720071006f007101700071006f0171007003710070006f0470006f0071006f017000740176027500740275007400750074
+0175007900000079007a0079007b017a0079007b007e017f007e0080007e0080007f0080007e00000084008600830284000001880189008a00890088008a008d038e008d00920293
+000000920293009401920093009201930094049300920093009400950094019300920067000100710076007b007a0180008400850089008a00900021002500240000002f00350034
+0039003e003f00440042004400480049004d014e004d004e004d004e01480049014834010000060101000001000006010100320101440049004a00490001004e014f004d004e004a
+0048004a004400010040003f003e0039003a013500310030002b018901850080007e007b017a0071006a0066005c0394009500010195000102950001009500010095009400950101
+0195009302950094009500930090028f008e008a008b028a0089008b018a008500860185008601850680007f0081007f017a007b0079017b007a017b007a00750176007500760175
+007600750076007500760077007500720071007000710370006f017000710570007102700071006f0371007000710170006f0071027000710070006f00700000006f0070006f0070
+0071016f00700075007402750076017400750076007500740075007b0079007a0079007b0079017a0000007b007a0000017f007e007f017e027f0085038400830084008300840088
+0089008a0089008a0089008d018e008d008f008e008d019300940192029300920094009301920093008f009202930092009405930094005e0063006c0077007b007c007b00800001
+008000840089008a011c00250029002f00350034023e0144004301490048004f004e004f004e0049004a014801443401000007010100000007010100320101450144004800490048
+0049004a004f0148004900440043023f003b003a003400360131002c0001008a008400850080007f007a007b01750070006c00610057005300950001059500940295009400900001
+0290008f01950093008f00930090009500940090008f0090008f0090008e008a018b0089008a0185008601840185008601850280007f00810080017f0080017b007a007b007a007b
+007c007b007a0077017500760075007700760175017601750076007503710072006f0070006f00710270007100700172006f01700072006f0170006c0070016b00710070006b0071
+006f007000710070006f027000710470006f0070036f0071017000710074007502740076047500740075007400000079017a0079017a0179007e027f017e0080017f008400830184
+008302840083008a0188008900880089008e018d028e009300920093018d008e0093018e0092008d018e008d018e009300920493009401930094004f0057005d016d0076007a007c
+007a018001850084001400200025002a0030002f00340039013f003d014400480047004a014e004800490048014401430044350100000601010000010000060101003301003e003f
+0045014400450049014a00490048004400450044003f0001003a003b003a003500360030012b002600840086007e007f007a007b007500760071006c0062005e0053004900950094
+0595009400950090018f0190008f02900001018f0090008e008f0090008e018f008e018f0089018a018b008a00850086038401850180007e00010080007f01800081007b017a027b
+007a007b00750077007600770076017502760074007500760871007001710070006f0371007202700071056b006c016b006c006b016c016b006d006b006c026b00710170006f0170
+007102700071006f0070006f00710170006f0070006f00750174037501740375007a007b0079007a0179007b007e037f007e0080007f0080007f0084008500830084008300850083
+0084008501890088008a0088008e018f008e018d028e008d018f008e018d008f008d008f0000008d018e009200940000009201930000019300940048005400580062006b006c0075
+0076007b007c0180007f008500210025002b0029002e002f013a003e013f00420144004800490047004901440143003f0001003f350100000701010000000701010033010140003e
+004000430245014a004900440045003e0040003f0001013b0034003600010031002b0084017f007e017a00750074006f006b0066005b0057004e003e0001018f0095009001950094
+0090000101900001009000010390028f0001038f0090028f0089008a0089008a018b048502840280007f0280017f007a027b0001017b007a00760077017601750176017500760075
+006f00700171047000710070007102700071006b006c016b006a006b006c006a006b016c026b006c006b016c006b006c016b006a0000026b006c026b006a006b0000006b006a006b
+006f00700071006f017000710170016f0070016f0070006f0070007400750074007600750000007400750074007500760079027a007b0179007a007e0080007e0080037f00840085
+0184008300840083008400850289008800890088008d038e008d018e008f008d028e008f028e018d008e0093008e009300940092008d008e008d008e0001003a004e0057005c0068
+016d00760077007b007c00800081008400250029012e003300350034003a0039003a003d003f004200440149014300440043013e003a003d003e3601000006010100000100000601
+01003401003b003a003e0140014300450144004300440140003a0039003a000100340130002c002a0084007f0080007a007900750074006c0166005d0057004c003f0101028f008e
+0090028f01900001008f0090018f0001018f0190008f008e0190008f0090018f018a0189008a018900010084038500840085008102800081007f00810080007a017b007a017b007a
+0075017600770076007501760075017600750071017002710072017100700471016b006c016b006c016b006a016b006a006b016a016b006c006d006b016c006a026b006c046b016c
+026b016c006a006b016c006a006b01700271006f00700071006f0000016f0070016f0074017500760074007503740079007b007a0379007a017f007e0080027f0080008300840083
+00840083018400830189008a0389058e008f008d0000008e028d0000008e008f048e008d038e008d008e01010035004e0052005c0167006d00720076007b007c007b0080007f002f
+002e002f013400330138003f013e0044004300440043003e0040013f003800390038003936010000070101000000070101003401003a0039003a0039003f0040003f004000450044
+00450040003f003a013b003600350130002f002b002a007f0080017a01750070006c0067006200580052004300340201018f0090008f008e018f008e018f0190018f0290008e008f
+008e0190008f0090008f028a0089018a008b00840085028401860180007f03800081007f007b017a037b017a00760077007501740176017000750072007002710070007200700171
+0072006a016b016c006d006c006b016c016b006c006d006c006b006c016b006c016b0066016b026701650266006c0066006b006c006a016b006c006a006c006b006a016b006c006b
+006a006b006c006a026b006a0070006f0770016f0074007600740176007700760174007b017a017b0079007a007f0080007f017e027f007e00800284018300840088038900880089
+008e008d008f008e008d038e008d048e008d008e008d018f038e018d020100350044004f005800630067006b01710076007b007a01800030002f002e00300035003302390040013e
+003f0043003d003e003f003a0139013a003837010000060101000001000006010100340101350039013a00390040013f003e0140003f013a0135003400310030012b002700800079
+007a01760071006c0067006100580053004d003803010090008f0090008f0090058f00900a8f028a008b018a0089008a0184008500860385007f018000810280027b007a007b007c
+017b007a0077017600770075007600750176027100700271007001710072016b026c026b006c006b006d006a016c006b006c026b0066006c01660067016600670065006701660068
+0666006701660067006b006a006b016a006b006a036b006a006d006a026b006a006b02700000017000000170016f0174007600750076000000740175007b0479007a007b007a0080
+007f007e007f007e017f00800084008302840085018a02890088008900880089008e018d008f048e018d038e008f008e008d028e008d008e0301003500480054005d0167006c0071
+00760077017b007a012a002e002f002e0033013401380039013e013a0039003a043400333601000007010100000007010100350102350036013b003a013f003e003f0039003b0036
+003500360231002b0127017a007600740070006c006b0066005d0058004e003a05010090008f008e008f0090008e008f008e008f008e018f00010090008f0090018f008e008f018b
+0189008a008b0089008a008b01860185008401850281018000810180007a007b007c007a027b007a007b0276017501760072007101700271006f01700071016c006b016c006d006b
+016c006b016c006b016c006d0166006c0067006600670066036700650067076600650067006600670166016704660065006a006b016a006c016b006a006b006a0000016b006a006b
+026a00710470016f0000006f007601750074037500740079027a007b017a007f0080007f0180007e007f007e007f008400830384018900880189008800890088008f018e018d008f
+008e008d008f018e008d008e008d008e008d008e008d018e008f05010035004f0052005c00610067017000760077007b007c0029002b002a0030002f0134003500330139003a0039
+003a003500330234003301343801000006010100000100000601010035010130003400350036003b023a003b003e003b003a003600350131002b010100270026007a007b00760070
+006b00660062005b0052004e003e0601008b008a008f018a0090018f0090008e0090008e0090008f0090018e008f0189008b038a008b0089008a02850186008500840180007f0180
+017f007a017b007a017c017b00760375017600750070027100700071017000710170006c026b006d006b016c006b026c006a006b0167006602670068006701660067006800670066
+0068016700660067026600670166006700650466006700650067006600670166006502660167006b00660000006a006b0000006a006c016a006b016a006f007000710470006f0070
+00740775027a027b017a007f0080007f007e017f008000000084048300840189018a0189008a00880089008b008e008f028e008f008d028e008f018e0188008a008806010040004f
+0052005d00630067006c007002760029012a002f002e002f003400330034003300340039003400350034002f002e0030002e012f0030370100000701010000000701010036010231
+0135003600350139003a003b01350131002b012c01260076000000750070016b0066005c00580053003f00340701008a018b018a0089028a008b008a0090018f018a0089008a0001
+018a008b018a0089008a04850184017f0280007f0080017a027b000101770076047500770071007200710072037100700071016c006b006c006b036c016b00680267016600670065
+00670266006702660067006601670366006201610060006100620061006001660067076600650366006500670065006600650366006a006b006c006b006a016b006c016a016f0070
+0071057002750074017600740079007b007a007b017a017b007a017e0080007e0080007f00840083000000840085018400880089008a0089008a0088008a00880189038d008e008f
+0089018800890088008a018800000088070100350001004a0057005d00620066006c007100770176002b002c002a002e0030012f002e002f003400330035012f0000002a002f0030
+002f002e390100000601010000010000060101003601002c0231003003350034003a0036003500300031012b002c0026002701750071006b006600620061005d0051004d00390801
+008a0001018b008a0289028a038b008a0189028a008b008400850084018500840285018000810380007c007b007c017a007b007c007b047600750176007200710072006f00710072
+0171006c016b016c006b006c016b016c0067006602670166026700660367006501660467006100620061006205610262016100600062006100670066006701660165006701650066
+00650067016602650166016b006a016b006a056b00700071006f0170006f01700074017500740075007400750000007a007b007a0179007a0079007a0079007f0081007e027f0284
+0083018500840085008a00880089008800890088018900880089008a0189018a008800890288018900880801003b00490054005d00620068006c006d0071007600750026002a0029
+002a002b012a012f002e012f002a0000002b002a002b0029002b002a38010000070101000000070101003701002b002a002c013001310136023500310030012c002b002600220076
+00700071006b00670061005d0057004c003a0a01028a0089088a018b008a0089008b018a00840085008404850086017f018000810180037b007c007b007a00750076007501760075
+0001007600720070006f00710072017100700071006b016c0001006c006d006c016b006c006802670066006702660167016601670061016600610062016100620061016200630161
+0060006100620461006200600062016101600061016000670162016100670566006704660065006a006b006a036b006a006b006a0070006f0071007000710070016f017000740075
+00740076007500760075017a007b0079017a007b007f017e0080007e028000840083058409890088008900880389008801890a01003a00480058005c006200660067027100270025
+0026022a002b002a0030002a00290026002a0029002a0129002a002b3a01000006010100000100000601010037010025022c002b0131012f0031003601300001012c002600010021
+00710070006c0067005d005c0053004d00340b01008a0189008a008b008a008b0089028a008b008a018b018a0085008300860084028500860185007f00810280007f00810080017b
+007a027b0076017500770076007500760171007000720171006f007200710070006d006b006d046b006c006600650167006600670066006700660067006600680162006601610060
+006302610062006100620161036200610062006300610060036101620060036100620160006101600061006204610466006700660365016a006b006a016b016a036b006f03700071
+00700475000000750279037a0079007e007f017e017f00800083008501840083028401850089008a008900880589008a018801890088008a0b010036004d00530058005c00630067
+00710070002000270025002401250026002b002a0029002400250026002400250026002401253901000007010100000007010100380100260127012a002c0001003000010031002f
+0031022c012600220071006b00660061005d00570053003400350c010085008600840085008b008a008b008a0089048a0085008400860185008403850081007f0180007f0081007f
+0080017b007a007b007a017b03760175007700710070017101700071006b036c006d006c006d006c006a006600680066016700660067006600670065016101620161006202610062
+006100600161006000610162006000610162026101620060005b00620060006202610062006000620061006200610262006100600062016100600061026000620061026600650166
+01650266016b006c006a016b016a006b0470006f0070006f00760075007601740175007a007b0079007a0079027a007f007e017f007e027f00830000008400850184008300840085
+0289008a0089008803890088008901880c010034003a00540058005d00630067006600700221001c0020012500240225012600250000012500243b01000006010100000100000601
+0100380100220021002600270026002b012c02310030002b002a002600270021006b00660061005c005d00570052004e002f0d010085008601850086018500840086008500840086
+01850084018500860185008400850180007f008100800081007f00810080007c007a017b007a007b007a00770076007402760071017001710070006f006c016b026c006b006c016b
+00670066006700650067006600670266006200610162006300620061006200630061026200600061006300600061006001610062005c005d005c025d045c015b015c005d005c0060
+005b0000016100600061006200600261006000620061006200600061006000620061006201650067006500660065006700650166006a006b026a006b016c006b006a0071006f0270
+006f007000760077017500770175017a007b007a0079017a0280017e0080027f00830085008603840083008a00850083008502830284008302840d010030004900540001005e0001
+00620065006b00150020012101200025062000210020001c3a0100000701010000000701010039010222002701260025002b0001002a002b002c002a002600270021006b00660061
+005d00580051004d002a0f01038500860085008400850084008300840185008600850086008500860080007f00810080007e0080017f0180017b007c007a037b0376007500760070
+02710272006d006b016c016b006c016b006c0066016701680066016700680066016102620061016202610162006101600061015d005c005e0061005d005c005d035c005d015c015d
+025c005d025c005d015c005d015c0062005c02610460006101600062006001610062016600650066006700650166006500660065006a006b016c016b006a006b007000710070006f
+00710070006f017500760275007a0079007b007a007b0079007a0179067f0080007e008301840183008503840185008301840085008300840f010030014e0054005d006300670068
+00210016001400150020001c0021011c0120001c0220001c3c01000006010100000100000601010039010016012101220026000100260027022b00270026002b002c00670061005c
+00570052004d002a10010085008401850184008500840085008605850080007f0180007e0280007e007f007b007a057b027603750072017100700071006f0072016b036c006b0166
+006803670065000000660067006200630062006101620461015d005b005c035d005e005d005c015d005c0000005d005e005b005e025c005b005c015d005b005c035d005c005b005d
+075c015b005c015d0062005c006000620160006200600161006001660068006502660065006600670065006b016c046b006c01710070006f0071007500770475007b007a007b007a
+007b0179007a0080007f0080007e027f0080017f0085008400850083018402850084008502840083008410010030004f00520058005e005d00620020002101150014001500140215
+0314001500143b010000070101000000070101003a0100150101002201010026002700250026002b002702260062005d00580052004e004912010185008600850086018501840286
+008400850083008000810180007f0380027b007a027b027600750076007500760071017202710070016b046c0067006b006800660067006600670068026600620061006000620063
+006100620261005c035d075c005d005c005d005c005e025c015b005c045d015c005d015c005d005c005b015c005d025b015c005d015b005c005b005d005c005d005c000000620061
+00620261006201610065016600000066006700650067006600650066046b006c00700071016f0071026f007003750074007a0075027b0079017a027f007e007f007e027f007e0284
+01850000008400860083038400001201004900580057005d005e00610021002200140215001400150013041400133d0100000601010000010000060101003a010011000100150016
+000100210022010100210022002601270062005c00580053004f004c1301027f008101800085017f0080007f0280007f0080007f0280007f007a017b007c017b007a007c007a0075
+0177027602700071007000710070016c026b016c0166006801670066006700680167006004610060006300610162015c005b025d015c005d025c005d005b015d005c015d035c005e
+005c005700590057005c00570056005d005800570058005b015d005b015d005b085c005d005b0000025c005b005d026101600061026000670466006501660265006c006b026a006b
+016f0071006f0070006f0070007601750074007600740075027a007b037a007b007f007e037f017e00840080007f007e00840080017f0184008500801301004800520158005d0061
+012101140015010f000e000f000e0010000f0011000f3c010000070101000000070101003b0100100011001000140015001600150016001500210222005b00570053014e1401017f
+007e007f0080037f0081018000810180007f0001007f00800081007b007c017b007c017b007c007704760071007200710070007100720071006b016c016b006c006d006c00670066
+00680166006800670066026201610062016100620161015d005b005d015b005c005d005b005c005e005d005c005d005e005d015c015e00590058005c005700560058015701580057
+00580057005800570158015700560058005c02570058025d015c005b025c005b015c005e015c005b005d005c0060026100620061016000610000006100650166006502660065016b
+006a036b006a0070006f0070006f01700076037500760074027a007b0079017a0079007a0080017f027e037f0080047f007e017f01351201004a004e00540059005c002100200021
+021500140010000f010e000f000e3e0100000601010000010000060101003c010210000e010f00100011001000150114005d00570052004d16010280007e007f0280007f0280017f
+00810180017c007b007c027a00790075007600750076037500010071017000710072006c006b006c006d006c006b006c016600670066006700680065006702620061006301620261
+0162005c005d0000015d015c015d005c0258015700580157005800570058035702580157005800570058005700560057005801570058005600580157005801570158005900570056
+0257005c0058005b015c005d035c015b00600061000001600062006101600161006600650166006500660165006a016b006a016b006c006b00700071007000710070007100760275
+007400750179027b007a007b007a007b00790000017e0080027f007e0080007e0080017e027f010101351101002b00490052015800200121021400150014010f0110000f3d010000
+070101000000070101003c0104100011000f0010000f000e010f00580052004f0014140101350080007f018100000081007f0280007f00800081007b007e017b007a037b017a0076
+0177007601750076027000710170016c006d006b006c006a006b006c00660067006600670068006700620061006200600161006202630161035c005d005e005c005d015c005d0158
+02570158005700580056015800570058005700580057025800570058015700560057005800560057005800560058005700000357035604570256005b0056015c015b005d005b005d
+005b005c03610062016100600361036601650066006b006a016c006b006c006b0072006f00700071007000710375007400760075017a0079007a007b007a007b027a027f0080037f
+007e008000810180007f030101351001002b004a0052005300270121002001220015001300140110000f3f0100000601010000010000060101003d01001000110310000e000f0110
+0051014e004a140101350101007c007b007c007b017f0080007c0081027b0080007b007a007b007c017a017b0075027600750276007000710072007000710072006b006d006c006b
+006c006b01670166006700660067006600610062006300620061006001610062005d005c0062005e0001005e015d005c035d00570258045702580059015700560457005602580257
+00560257005800570058005602570059035603570158025600570158005c005b005c015b005c005b005c016100600161016000620063006100620061016501670366016b006c016b
+006c006b00710070006f017001740075007602750076007a017b037a007b007f007a007e007f007a007f007a027f017a007b0501013510010048004f005300010027002000210020
+00210014021500103f010000070101000000070101003d0101140015010f00100011010f000e0052004e0048140101350201027b007c037b007a037b007a007c0079007b007a007c
+00750076007701750076017500720071007201710070006c006d026b006c006b00670066006700660068006700660062016100620161016200610062005c005e005d015c005d005c
+005b015d005c005900560157025800570058005703580056005700580056005800570058005300540058035300520053045200570252005802570052025700560157015804570356
+005b0000005b005c005b005c005d005c015b006102600261006201610366006700660065016b006c026b006c0070006f017000710075017600750074007600740276007a0079007a
+017b007a007b0179017b007a0079017a0079007b007a0601013510010049014f00260021002200210020001502140015400100000601010000010000060101003e01001500140015
+031400150014004e0049130101350401007a017b0079007b0079027b027c027a0079017b0476027700710072007000710070016c006d026b01670066006803670162016100620061
+00600161025c015d015c005b005d015c015d005802570058025700560057005300570058015301520053005200510053025200530052005300520051045200510052005300520054
+04520151005300520056015200570051005801560058005701560257015b045c005d005c005b005c00610060036100600361006501660067000000660065046b006f00710070006f
+0171007401750076007400760175007a007b027a007b017a0079007a007b027a007b007a007b007a080101350f01004a004e00270026032101150014400100000701010000000701
+01003f01001401150314002f0048130101350601007b007a007c007b007a007b007c0079007b007c027b007a007b0376007503760071007002710070016b006c006b006c006b0065
+016602670362016100630062005e025c005e025c015d025c005700590057005801570058005700580057045200510152005400530252025100520353005100530752005104520351
+015300510352005700560157015802570000015c015b015c0000005c005d005c005b005e0060026100600062006100620061006001660000006600670065006a006c026b006c0170
+0071007000760071007600750074027600740075007b0079017a007b017a007b007a007b017a007b017a0a0101350f010048003a0126002200200121001642010000060101000001
+0000060101004001002003140029003900491101013508010376017a057b017503760077027600710070007200700071046c016b0067006800670266006700620061006200610060
+00610060005c005d005c005d005b045d005c015800570056005800570056015701580153015200530052005300520051005201510152015301520153005100530052005300540252
+00530252015400520051025200510152005100520351005300510052005300510056005802570058015701560157025c005b025c025b0261016002610060036600670065016b006a
+016b006c016f01700171007000760075017602750076047a007c007a007b0075007b017400750c0101350d010049003a012601210022002142010000070101000000070101004001
+011c00220021002a0034120101350a0101750077007600770074007600740076007501760075007603750076007101720271066c0066006701660067016200600061006300610162
+005d015c005e005d005c005e005c005b005c01580057005800590258005900570058005700540652005100520051025200540053025200530052004e024d004e004d024e004d0052
+004d004e004c0052004d0051065200510052005100530252005301510152005604570000005700560257005b065c015d005c01600261006000610060016600650267016b006c006b
+016a0470017101750074007600750176027502760175007401750e0101350e010039002b00260021002200204301000006010100000100000601010041010020001c0024002f1201
+01350b010176007500770176007701740077017500760077007500770076007500710070007200700071006d016b036c006600680066026700620063006201610162005c015d025c
+005b015d00580056015700560258015701580057005101520053035201530152005302520051004f004e004c024d004c014d004e074d004e004d004c004e0000004d004f004e004c
+004d004e0252004c0252055100530052015100000357005800000457005b0058005c005b005d005b005d005b015c0061016000610062006100650066006501670066006c006b006c
+026b0470017101750000007403750274007500740075017400750f0101350e010030002700210020430100000701010000000701010042010026120101350d010076007500740075
+0176007706750076007700710070017100720071006c006d026c006d0367006601670162006100620063005d005c005e005d005c015d015c005d0358015700580056005700580057
+015800570252005300520253005100520053004c004e024d004c004d014c024e004d004e014d004e004c024e004d004e014d004c014e004d004c004d004c054d004e024d01520053
+00510052005304520056005800590156015700560057005600570056005700560057005b045c005d015b00600062036100650066006500670166026b006c016b0370007100700076
+0275007601750174007500740175007600740075110101350e01002745010000060101000001000006010100550101350f0100710072007100740075007600700077047601710170
+02720071006b026c006803670066006101630362025c025d015c0158005700580057015803570056005801530054005300540053005200510052005300520053004d004e024d004e
+014d004e014d004e004d004e014d004e014d014e004d004c004e004c004e004d004e014d004c004e004d004e014d004c004e014d034c004d014c004d005201510152005100530152
+005100520051005700580056015700560057005800570058015600580056005c005e005c005d025c006201610062006100660165026600650066046b0070016f0070017100700075
+0074007501760000007600740070006f0170007113010135530100000701010000000701010053010135110102700072027101700071007201700071027000720071006b016c016b
+006700660467026200610062005c025d005c025d01580059025701580157005400510053015203530052005300540052004e004c004e004d004e004d014e054d004e024d004e004d
+004e0148004900470049004801490047004a004e004800490047044d004c004d004e014d014c014d014c034d0000015200530152005301510352005302570056015700560157005b
+005d015c015b005c015b0361006200610166006500670166006c026b006a0470007100720070006f01700071007001710270006f1501013552010000060101000001000006010100
+5201013513010070006f0171007001710072007100700271006f00700071006f006b036c016801660068006200610062006100620063005c005e005d005c005b015c005602580056
+00570258005200530052005300520253015200510052025300510053004d014e004d004f024d004e004c014e024d004e0049004801490047024900480047044800490748004e004d
+014e004c004d014c004d004e014d0000004c034d0051005200510052015100520053015201510052005300520053005600000158015700560057005c005d0000015c005d00620160
+0061016000660067006600670166026b016a0270016f0070006f0171007000710070006f0170006f0070170101355001000007010100000007010100500101351501027101700271
+0072007102700171006b026c006b0067006800670066006701610062006100630062005d005c005e005d005c005e005c005b005c0058005600570158005700580057005200530052
+0053005200530252015300520053004f024e014d034e004d004e004c004d0148014a0249014801470049024801490148014901470148024900480049004800490047014800470048
+0047004e024d014c004e014d004e004d004c004d004c00510052005101530052005100520053005201510053005101570156005800560257005d035c005b00610160026100620065
+0067006500660067006a006b006c006a006b02700071017000710370006f0071016f190101354f0100000601010000010000060101004201031500010215040101351601006c006d
+016c006b0071006c006f006d006b000100720171006c006b006c006d006b036700660161006001610062005e025d005c005d005c0057005800590058005701580053005400520053
+0052015302520053004e014d014e024d004e014d004e004d014e014d004e0048004900470148004903480049004a0148000003490248004905480049014800490247004800470149
+0048004d014c054d004e004d004c004d004e004d004c0152005104520251015301570058015701560058015c015d015c000000620061016200610466006b006c0000026b0170016f
+017000710070006c0070026b006a1a0101350a0103150101021539010000070101000000070101004301011501010115040101351801006b026c006b006c006b016c006b006a006c
+006d006b026c0068006601670065016200600162005e005b005d005c005d015c00570258005701580152005300510053005201530152004e004c014d004c034e004d004e004d014c
+014d0048004d024900470048004701480147004800490048004901480049004800490048004400420144024300440045004200490448004707480047004800470000054d004e004d
+004c024e004c024d004e00000052015102520051005202560457045c005d005c016000620161006201660167006b006a006b006a046b006c036b006a016b1c0101350a0101150301
+00153b0100000601010000010000060101004301011501010015030101351a01026c016b006d016b026c006d006c006b006c006b016700660067006601620161025d005b035d0157
+0158005700580052045300540152004d014e004d004e044d014e004d004e004d004e004d00480047014900480049004801490148004a004901480149004300420144044300440143
+01440143004400000043004402430148004900480147004901480049024800490247004d024c004e004d004c014d004e014c044d00510053005200510053005201510657005d045c
+0060006101620060006502660065006a036b006a006c006b006c006b006c026b016c1e01013508010115020100153b01000007010100000007010100440100150001011502010135
+1c01056c006b006c006d046c006701660067006600610062006100620063035d005c005d0057005800590158005700590053005100520153005100520053014e004d004e004d004e
+004d004e014f004d00490448004900480249004800490048004900480049004800490044004201430044004201430042054300440243004400430042004404430042014300480043
+0047004800490047054800490048024700480047014d054c034d004c014d00530051005200510052015100520057005800570058005600570058005d005b015c005d005c01600062
+00600061016500670165006b006a016b006a016b006c006a006b006a016b2001013508010015020100153c01000006010100000100000601010044010215010101351e0103670066
+006700660167006b006c0067006800660267016200610162015d005c015d005701580056005800570056005700530052035300540052004d004e014d004c024d004e004d004e0349
+0047004a0248014900480049004801490048004300420043004200450043004200440042004402430044004300450043034401430244024300440143004400430044014300440143
+004200430148004900480047004800490047054800000348004e004d004c004e004c034d0051005200510053035200510256015700560058005d005c0000005b005d005b02600061
+006601670065006700660067036b0065006700650068006600652201013506010115000100153c0100000701010000000701010044010215000101351f0100660067036600670066
+036700660067006600680462005d015c005d005c015700590058005600580453005200530052034d024e014d004f004a0049004800490048004900480049004a0048000003490143
+0049004301440143004403430044034300440042003f0001003e003d013f023e003d003e003d003e0043003f01440042004300440343004400430042034301420043004700480047
+01480047004900480000004700480047014800470148044d014e014c0152005100520000005101570000015700560057005d035c0061006200630061006302660065006600650266
+00670066006500660065016623010135050103153d010000060101000001000006010100440101150001013521010068006701660467006601670068006602620061005e015c025d
+0057005800570258005400520053005400530054024d004f004d004f004d024e004a0149004802490148004900480047004a00480047014400420243004400430044004300450044
+0343023f003e013f003e003d043e003f003e0040003f003e003f013e003f023e003f013e004300440043004201430142014300440043004203430049004800470049014700480049
+004800470049004800490148004d004c004d014c034d00530552025700000157005b015c015b00600061026000650167006601670166006703662d0101153d010000070101000000
+0701010043010315230100670060006200670066006700660063026700620066006200630162015c005d015e005701580057005800590057005202530051024d004f004d004e004f
+004e004d014e02480047004800490048004900480144004200430044004301440043004400430044004200430044004301440143023e013f003e003d033f013e003f003d003e003f
+0040003f003d013e003f013e003d003e003d003e003f003e013d003e0143024400430242004300440042014300420143014202480047014800490348014d004c004d004c034d0252
+0051005200530052005601580256025d015c00610062016100620061006600650066026700660067016600672d0101153e0100000601010000010000060101004301001500010115
+23010262006300600362006300610063006200610162015d005b015d00570001025703520253034e004d014e014800490048004a0149034800420144004300440042004400430344
+024300440142003d003f0043003f013e003d013f013e013f013e003d003f0138033a0439003f0038013e003d003f013e003d003e003d033e02430144014200430044004200430044
+01430142004300420043004200480147004800490248004a00490047004e004c014e004d0152005305520057005800560057005c005d005b015c0061006200600161016002610062
+00610162006100632c0101153e01000007010100000007010100420101150101001524010063016201610062006100620061006200610262025d015c005800590157005801530052
+00530152004e004d004f014e004f0349004a0148000000480047004901440043004400430144004201440043004500430045004400400043013f013d003e003f003e003d003f013e
+003f003e013a0139003b0039003a0038023a053900380239003a0139003a003f033e003f003e003f013e013d033e0044004202430042024301420143014200480047004800470049
+014801490047004a014e004d004c014d01510052005102520058005701580057005b005c005d005c0062006100600061006300610060016100620060016100622d0101153f010000
+060101000001000006010100420100150201011523010063006100620061006300620061006200630062005d0061015c005b005e005c005b03570153005101530054004e004d004e
+004d014e004901480047034800440049044300440042004400420043014400430044003f013e003d013e003f003e003f003d013e003f003e013f003d003a0839003a0239003a0039
+00380239003a0139003800390038003a00390138003a013f053e003f003d003e003f023d003e003d004300440243004200440042014300440243034800470348024d014e014d0152
+00000051005201570258005c015b005d0061025b026100600162016100622d0101153e0100000701010000000701010041010215000103152301005c0060005e015d005c035d015c
+015d005c0058005702580152005300520053024e004d004f014d004e0149004a00470049014400430144004303440043004400430045013f003e013f003d013f003e0040003f003e
+003f003e003f003d013f0038003a003b0239003a0239003802390038003600390034003501390038003400390038003900380539013802390000003d003e003d003f0000003e0000
+003d093e003d0043014200430142004300420044014300440248004700490048014c014e024d000003520058005700580157005d005b005d005b015d005b025d005c005b005c005b
+005c2d0103153e0100000601010000010000060101006d01015d015c005d035c005d005c015d005e005700580059005700530252005100520053024d004e0048004e004800470148
+0049004302440045044400430045033e0040003e013f003e003f003e003f003e013f0040003f0040003f003803390038003a0139003a003900330334013501330034003500330034
+013500340135003300350134023a0239003a00390038003900380139033e003f003d013e0000003e013d043e003d003e00420143014201430042004401420148014700480047004c
+024d004c00530051035200570056005800570058015c005d005b025c005b005c005b005d015b6f010000070101000000070101006d01005d005c015d025c025d005c005704580057
+0053005401530054004d024e01480047014a0149004300450144004500440043004200400044023f003e013f013e013f0040003e003f003e003f003e003f003a0039023a003b0039
+0038003a0239003800350034013302340035023400350033003400350234003503340035003400350234013a033900380339003a0039003a003e003d003f003e003f033e003d023e
+003d013f023e034300420143004204480049024d004c004d005200530052000000520053015700580157005c005d035c005b005c025d005b70010000060101000001000006010100
+6e01015d005900580057005901580059025800590058005902520153004d024e004d01480049004801490043004400420043004400450044003e003f003e0040013f003e023f023e
+013f003a003e0039053a003801390038003a0039023a0135013400330035023400350334003500340035003400350034003300340035003602340033003500340233003500330038
+003a0139003a01390138013900380539003e023d003f003d0000003f003e003d003f033e00430044004200440042004301480047004800470048004f034d00530252005700580557
+00560058015701560059005770010000070101000000070101006e0101580056015800560058005702580057005900570059005201530052014d014e004d004e0248004903440143
+00440045003d033e023f003e053a0039013a0039003b01390138003a0039003a0139013a00330035003600330034003602350034002f0030012f002e012f0030022f012e052f0134
+003600330134003301340035003400390038003a0039003a0038003a0038013a00380239003a0439003d0139003e003f013e003d023e00430000004301420043004202470248034d
+004e015200530152005700580357005800570056015700560157710100000601010000010000060101006f010156005702580056005900580057015800520054005300540052004e
+004c004d004c004d00470248004a0044014301440043023f003d003e013f003e0040023a003b023a0039003a0139013a0038003b033a003400350039003400350034003500340035
+0034003500360134002e002f0330012f0030022f0330002f012e002f00310030002f0030002f00330035003300350034003500340033013400330039000002390038003900380039
+00380039003804390038003900380239033e003f013e0043014201440042004a00480047004800490048004e004d014c005101520053005800530056005800570056025702560057
+71010000070101000000070101006f01005801520253015200540053015200510253014d004f004e004d01490148004a0444003e023f0140003f0038003a0039003a0039003a0139
+0038003a0039003a0039003b0039003a0033003a00340035023400360033003402350036003400350034002e0230012f0130002f012e012f0030022f0030002e0030032f0030002f
+0030042f002e003400350134023300350334003300350339003a0039003801390038003a00380039003a003801390138023e003d013e000001430044004300480149004700480047
+004c004e004d004c004d00510052005300520053005200510052005300510152005100540057720100000601010000010000060101006f0100530054005200540253015201540353
+004f004e014d004f004a0148004a004900440043004400430044003f0040013e003f003e013a0039003a0038013a0239023a00340035013400350034003303350134003501340036
+0034003500340130022f00000130002f0029002b002a002b002f002a002b012f002a0030002a002b012a002f002a002f002e002f0030012f0130002e012f00340333003401330234
+01350034023300340033003800340000013900380239003800390038003a013e003d003e003d00400043004201430144004702480049004e024d0052005300520253005100530152
+00530052005100520051710100000701010000000701010070010052015301520053005202530054004c014e004d004e004d004e0049004a01480049014300440043003e003f023e
+003f0339003a0139003a0036013500340036003400360035003600340135003400350036003401350036003500360094019800940093009900950093009400930194009302940093
+01940293019500940293029400930194009500930394019300940095009400990098009400330034003300340000033401330000003400350334003300340039003a013800390038
+013a0039023d013e00430044004200440042014800470049004a0048014d0000014d0151015200510152005400520153005173010000060101000001000006010100700100540053
+004d0052014d004c004e004d034e004f004d014e014900480049004400450044004300440040013e00400001003f0039013a00010039003a00350134023500340035003400360035
+013400000134003502940193009400930094029300940093019401930294009303940095009400930094009300950294009501940093009501940093009500930094009300950092
+029400950093019400930094009200940093019402340035013300340035003600350033003500330035003400000038003a0239013a013f013e003d003e00440043004200430044
+004800470248014d004e004c014d004e014d004e004d004e014d0053005272010000070101000000070101007101024d004e004d014e014d004e004d004f004e004d0049004a0048
+00490144000100430044013f003d003e003f0040003e023a023902340135003400350034013500360034009300950293009400930094029300920094019300940393019400920294
+009300940092009300940092019303940093019400920095009400930194009500940393009400930394019300940195009200940093009400930094019300940092093401330035
+013900380039013a003e0040003d003e003d014301420043004902480049004d004c004e004d014e024d004e004c024d740100000601010000010000060101007101004d034e0001
+044e004d004e004900480149004703430044023f003e003f003b0139003a013900350034003500340135003400350031019200930092009300920094009300940293019400930194
+009500930094009301940193039401930095009202930094009501930094009300940095019400950093029400930194009203940093009406930094009300940093009401930194
+02930001009400930094002f003400330035003300350000003400350038003a0339003e003f023e01430044004200440648004d0000044d004c0000004d004e73010000070101000000
+070101007101004f004e004f02480249004800490048004a004901480043004400450243023f003e0040013a0039013a003b00350036003400350034002e058e0093019400930095
+039400930095009300920093049400950093009400930094019200940092019403930095019400930000009300940193009400930194029301940093029400930094009300920193
+01940093009201930094009300950093009200930094009300940093009400950194018e008f008e002f0033003501330034013a023900380039003f023d003e0042004402430047
+014801470049014800470149004c0047014d75010000060101000001000006010100720100480049004a00480249000101490048004a0048004903440045003e003f003d013e003f
+003b003a0139003a0039003401330234002f008f008d008f00880089008a00890088008a008e009000930094018e0094029300940093009001930094009301940093009400920294
+0092039300940093009400950094009301940193029400930094009300940093009400930294019301940093009500930094008e0194008e008d008e0092008e029400900095008a
+0088008a0089008a0189008f008e012f00310033003400330000003900380139013a003d003e003d013e014300420045004400430048004900470149004800490248004901470048
+74010000070101000000070101007201004a00490048004a004801490048004a0048004a01480049004301440043003f003e003f003e003f0040013a013b0039003502340135002f
+0030008900880189018800890085008300850084008e008f008e00930095008e0095008e008f009201940092008f008e018f008e0093028f0093008f028e0090008f00930092008d
+01940193008e0093008e0092028f008e0093008f00940093008f00920093018e0192008e008f008e008f01940092008d00950194008e009300940092018f018400850083038a0088
+008a0089002f013000350033003501340033013800390138023e003f003e004300420143004400470048004700490148004a02480047014975010000060101000001000006010100
+73010048004a00490048024400450042004303440043003e003f003e0040003e003f013a003b003a0039003500360135003600350034002f00300289018401850083008400850084
+0080009400900294018e0193008f0093018e008d038e00930194008f0194008e008f008e0093008e00930094008f008e008f018e00930094008f0092008e008d038e009000940092
+0094018f0093008f0093008f0093008d0094008e00930094008f0095008f0093008d0093008f008e0094008f0085008403850184008a0289022f0034003300340035013300390038
+00390138003e003f003d003e003f00420144004300000042024300420143034875010000070101000000070101007301004302440043004400430244014300440043013f003e003f
+003e003f013a0039013a00390135003401350030002f0031002f00850284008501830084007f017e017f00950194008f0094018e008f00940093018e008f0194008f00930094008e
+008f0094008f008d008f018e0094018e008f008e009002940093008f008d009300940193008f028e008d008f0093008e0094018f008e008f00900094018f008e008f00940193018f
+0194008e00930180007f007e007f008000850084008501840183012f0030002e002f003300340036003500000139003800390038003e003d003e023d014200430044044300420044
+02437601000006010100000100000601010074010143004500440043014401430044053f003e003f003e003900380039003a0039013500340035003400310030012f02840083027f
+0080027e0079007b007a008e008f0092008f008e008f008e008f00940493008e0094008e00930000028e0093008f008e0093008f0092008e0093048e0093008e0092018e008d0093
+008f009400930094008d008e0094018e0093008e00920094008d0093008e008f00930094008d008e0093008e0095018f008e00930079027b007f007e0380008301850084002e022f
+0034013300340135013800000038003a013d003e003f003d0000003e0043064201430042760100000701010000000701010074010144004300440045013f013e013f0040003f013e
+003a0039013a0139003a003404350031002f0031002f037f027e017f007a00000079017a007600740193018e00950194008e0094008f01930094008f0093008e0193008f0093008f
+0194008e0093008d038e0093018d008f008e00940093008f0093008e008f0093008e0093008e0093008f03930094008f0094008d008f00930094008e008f008e0093008e00930094
+008f008e0093007500760075017a027b027f007e0080007f00800084032e002f013401350034003a0239003a0039013e013f003e003d013f023e0043004200430042004377010000
+0601010000010000060101007401023f0040043f033e003f013b043a0034003501340035003401300031002e002b027f0000037a017900740075007402750000008f00940193008e
+0094008e00930092008d0092008e008f0094008e0093028e00940093018e009400950093008e01920093018f018e0093008f00940090008f008e018d00940193008e009400930094
+0093008f0093008e0093008f028e0093008d0093008f0095008f0093008e00710275017600740076017a007b0279027f022e0030002f003400000033003500340035013a02390138
+003e013f033e013f003d033e760100000701010000000701010075010040003f003e003f003e0040003f003e023a0039003a0001003a0039003a003600350001013400350034002f
+00310030022f007a0279027a00740175007400760075006f02700071008e0093008e0193008e009400930194008d008f0094008f048e019400930094008f008e008d018e0193008f
+008e0194008e008f0093008e0094008e008f009305940093008f0000008e0094008e0092008e018d008f0092008e008f0094008e0093008f00700072006f02700075007401750076
+0074007c047a012e0030002f002e002f003300350133003501340138003a0039003a00390038003a003e0040003e003d003e003f003e003d003e7801000006010100000100000601
+01007501003f0040003d003e033a003b023a0039013a01340001003500360135022f0230002f037900740075007400750074026f0270046b0094008f018e0095008e009301940093
+0092008e0092008e019401930094008e0090008f00930094008e00920093008e009200930092008e0093008e00930094008d0093008e008d0192008d0093008e0093009202930092
+0094008e0093008f008e028f008e008f0093008e008f016c006a006c006a0170006f007000710175017400750076007a0179007a00290030012e0000002e00300134003300350033
+003500340239003800000239003a0038003f013d013e77010000070101000000070101007601013a003b003a0039043a00360735012f0130012f012b002a00790074027502700171
+0070006b006c036b00650166008e008d0092008f0193028e0194018e008f008d008e0094008e008f01930095008e008f0093008f00950093018e0093008d018e0093008f008e0094
+008f0093008e0093008f008e0094018e008f0093008e0090008e0094008e00920293008d008e008d0193008d00670066056b006a0171027000740076007500760075007b01290030
+002f012e002f012e023402330134003902380139003a0038003900380039790100000601010000010000060101007601023a0039003a0039003a0135003400350034003501340035
+0036003100300031002f0031002e0030002a002b002c0074007600740170000000710070056b01650066006700660000006600610094008e0093008f008e00940092009400930095
+0193008e008f009401930092008e009402930194008e0093008e0092008e00930094008e008d0094008e0193008e0193018e008f0094008f008d018f00940293008e0094008f008e
+00940093008e009200940061026602670066036b016c01700271007601750029002a0129012e002f0030022f003000350034003301340033003400350139003801390038003a7801
+0000070101000000070101007601003a0039003a02350034003300350033023500340230002e0130002f022b002c0029002a0070016f00700071016b006c016b0065006600650067
+0066006500610000036100930194008e018f008e0094028e0294008d008e008d028f0092008f009300940293008f00930094008e00940093008d008f0093028e008d0093008e0093
+008f0293008f008d008e00940093028e008f00920094018e008f005c01620261006200650066016701660067006a006b026c00700171006f002a002b0029002b002a0030032e012f
+002e0133003400350234003502340035003a00387901000006010100000100000601010077010033003400360035003301340135003400310230002e0230012a002b002c022b0000
+006c006a026b006a006b03650161006202600062015c015b005d008e00940092008d008f018e009300940093008f008e00930194008d008e0094008e0094008d018e018f008d008f
+00940090018f008e0093008e018f008d008f008e018f008e0093008e008f008e018f008d008f008d019300900092008e018f0092008e005b025c005b006100620061006201600166
+006501660067026c016a006b0071002b002a0329002a012e0030002f002e002f002e002f003301340133013400330134790100000701010000000701010077010136003500360134
+0031012e002f003100300031002f0031022b012a032b0027006a006c006b000000660065006600670065016002610000005b005c005b0000005d005701560057005600930094008e
+00950094008d008e0093008d019401930094008e00930092008e0093008f0090009400920093008e008d009000940092028e00930092018f008d009300940092008d00930194008f
+0093008e00940093018e038f008d0093008f00570056005700580057035c005e02610162000001670366006b006d006b00240026002a0029002a0029002a0029002a002f002e022f
+002e002f002e012f003500330034003301347a010000060101000001000006010100780100310030002f0030002f0131002f002e00310130002b002a012b002c012b002a01250126
+006a006500670066006501610060006100620060005c005b015c005b0000005700560058005702530051008e0093008d008f008e009400920093008e00940092008f0093008d008e
+0193008e00930094008f008e0093008e0093008e00940093008f028e0093009200930092008e008f039300920093018e0193008d0094008f0093008e0093008e008d008e00930053
+0152005100520457015c005e005c01610060026101670066016700260025002601240029012a002b002a002b002a0031012e002f002e0030002f0030012e012f7a010000070101000000
+0701010078010031002f0030002e0030002f0030002a012b012a042b0126002702260166006000000361005c015b00000056005700560157015200530152014c004d004e004c008e
+01940093008e0092008e008d009300920093008f008e008d009300940093008e009402930094008e018d01930094008e008d01930092008d018e0194008f00930092008e0094008e
+0093008f008e009300000093008e008d008e00920093004e014d004e02520053005200530057005600580157005d005e025c026100620061006700660225002400250124002a0029
+012a0229002b032e012f002e002f7b0100000601010000010000060101007901012b002c012b002a022b002a002b022c0026002500260025002600250127016101600061005b015c
+005b0057025600510053015200510052014d004c014d004700480047008f018e0093008e008f0093018e0093018d0093008e0093008f018e018d008e0092008e00940093018f008e
+00920094039300950092008e008f0093008e0093018e0094028d008f0193009200930092008f008e008d0048004900480049044d005100520051005200530052005800570058005c
+005b005c005e005c02620061001c002000000425002a0029002b002a002b002a0029002a0029022a002c002a7b010000070101000000070101007a01012c0001002b012c012b0326
+0027002500270226002000210061015c005b005c005d005c0157005600510252014d004c004d014c004800470048004701480243018e008f018e038f008e008f0094008f008e0194
+0093008d008e01930194008f0093008e018f0094008d009300920093008e0092008e009200940093018e0093008e0092008e0095008e008f008e008d018e008f008e004300440043
+0049024800490048014d004e004c014d00530052005300520057005900580057005c005d005c005d005c0061001c00200025002600250026002500260024012600240029012b012a
+00290000002a7d0100000601010000010000060101007b010027012500010027012502270025002700260025002602210022005c015b015802570252014c004d004f004c04480242
+033e0039048e008f038e008f008d008e008f008e008f0092008e008d0093008e009300940000018f008e008f008d008e0093008e0093018e0092008e008f008e008d0090008e008d
+028e008d018f048e013a003e003d003f0044014300480047004901480049004e024d0053015200570358015d005b002100200021001c002100240125002600240025002400260125
+002403257c010000070101000000070101007b01002601270026012701260025002700220120002100220020012100570158025601520053014d004c004800470348004200430044
+013d0139003a013900340035028e008f008e018f008d008e008f028e018f058e008f018e008f008e008f018e018d008e008f008e008d008e008f018e008f048e008f008d008f018e
+008d028e003501340339013f004300440042004700490048004900480049014c004f005301520058005600570059015700210120001c00200021001c002100260025002600250024
+04257e0100000601010000010000060101007b0101260021032202210422012100220056005802520051014c004d004800470049000003420044003e003d00390038003401330035
+002f0030012f002a008e008d008f008e018f028e008d018e008d018e008f018e008f008e008f018e008f028e008d048e008f028d008e008d078e008d028e008d002a0230002e0033
+003400350034013a003f003e0043004401430044004801490048034d0153005201570021001c0120001c0620002100200022001c002000267d010000070101000000070101007c01
+03220021002001210022002000010021002202210352024c0047004900000047014300440042003d003e003d01390034002e002f012e0029002a04010089008a0089028e018f008e
+038f0090018e008f028e008f008e018d018e018f0090058e008d018e008f008d008e008f048e008d008e0089008e00890401002a002b002a022f003500340039003a013e00420043
+0144004801490048024e00530252001c01200021022002210120001c0021001c00217f0100000601010000010000060101007c010022012001220016021500160021002202210020
+0051004c024d0047004800490243023e003d00390134002f0030002a002b002a09010389008a02880089018f018e008d018f008e028f018e028d008f008e018d018e038f008d028e
+008a008f008e038900880089008800890901032a002f0034003500390038003e013f0244004a004900480049004d004e004d0053001c012000210020001400150314032000217e01
+0000070101000000070101007d01061500160215002100200021004e004d0249004700440043023e003f003e003900330034012e00290e010189008a008900880089018a0289018a
+008900880089008a008b018a018e0089008f018e008f018e008901880089018804890088028a0189018a008800890e010026002e0030003400350039013e0040003e004300420044
+004300480149014c00210020001400130115001301150114001500130014800100000601010000010000060101007d010115001403150014001601140015001401480343003e003d
+003e003800390033002f002a002600241201008b018a0389018a00890088018a0289018a0089008a0189018a0089008a0189018a0089008800890088008a0189018a008900000489
+00880289120100250026002b002f00300039003f003e003f003d0045004400450044004801150014011502140215001401157f010000070101000000070101007e010010000f0110
+0111011500160014001300150143003d023e0139006c0020002118010189008a0189028a0289008a0089018a0089008a00880089008a0189008a0088008b0089008a038900880189
+00880089008a018801890088008901880089008a008918010020002500380139003f003e003f003e003f004302150014001500140016000f0010000f0011001081010000060101000001
+0000060101007f010110000e0010010f0010000f0115003e013d00390000003900331d0100890084008800000088008a0088008a018900000089008801890088008a018900880089
+008a0489008a068900880089008800890088008a008900000189018a00851d0100350039003a0139003f00400014001501140110000f0010000e000f810100000701010000000701
+01008001010f000e00100013001501140039003800390034003300341f01008600830085018401850088008401880089018a0089008a0189008a008801890088008a00890288008a
+008900880189008a0389008a00880184008300840183008400851f0101350036023a0115001300140016021083010000060101000001000006010100820100210220002100330035
+0034002e2301018400830484008501840183028400850089000000840085008a0084008900850184008500880084008a008900830084008301850584000101842301002f00350134
+002100200021012084010000070101000000070101008401002501240030002e25010284008501830084008500830284008301840085008400830084018501840085008300850183
+028403850084018502840185008301842501002f003000250027002587010000060101000001000006010100af010184008502840085018304840083018400850084008301840085
+008400830284008500840083008500830184008601840385018400850084b101000007010100000007010100b0010184008503840083008400830184008300850086008303840083
+0085008301840183008500840185008303840085018401830284b3010000060101000001000006010100b0010080017f0080017f0080048400830084008501840085008400850083
+0085008400850084008501840083048400830085007f00840080007f007e0080017fb201000007010100000007010100b10100800081007e087f00810080017f0080008301840085
+0083007e007f0084008500840083017f0180017f007e0080007f0080007f007e007f0080b4010000060101000001000006010100b101007e057f017e017f0080007f0081027f0180
+007f00800081007e0080007e037f007e007f007e017f0080007f007e0080037fb301000007010100000007010100b101007e007f0080027f0180017f0280007e037f0180007f0080
+037e007f00000080007e007f0280027f0180017e007fb4010000060101000001000006010100b201027f007e007f007e0080017f017e017f0080017e007f0080007f0080007e007f
+0080027f01800081007f0080017f0080007e0081037fb401000007010100000007010100b201007a007f017a007f0080007a007f0080007f007b027f007e017f007e0081067f0080
+017f007e007f0080007f007a007f007a007f0279b5010000060101000001000006010100b2010079007b027a0079007a0079007a0079007a0079007a0000007b007e007b0080007f
+007e00790080017f007a0080007b0079017b007a0079017a0079007a007b027ab401000007010100000007010100b301007a007b037a007b007a007b027a0079017a007b017a007b
+007c007b0079007a0079037a007b0079027a0079007b007c017ab6010000060101000001000006010100b3010079017a017b0079007a0079007a007b017a0079027a007c0079017a
+007b067a007b007a00790000007b037a007bb501000007010100000007010100b301007a0079007a007b007a0079007b017a0079017a007b007a007b0079007a0079007a007b007a
+0079007a0079027b0079047a0179007b0079b7010000060101000001000006010100b40101750174007a00750079007a027b017a007b017a0079007b007a0079057a0179007a007b
+007500790075007a00760075b601000007010100000007010100b40101760075007600750076007501740175007400750074007b007900740079007c007a0075007b027500760375
+007403750074b7010000060101000001000006010100b50101750074017500760075007600740275007402750076027500760075007403750076027501740075b7010000070101000000
+07010100b50100700075017402750076007400750176007500760075007600750076007400760175007603740076027501740076b8010000060101000001000006010100b5010071
+0670007100700071006f00710076007102750071007601740170016f00710270006f0071006f0070b701000007010100000007010100b60100710070007101700171047000710070
+0071006f0070006f017000720070007100700071017001710070016fb9010000060101000001000006010100b60100700071006f0070006f007102700071006f017000710000006f
+0171006f0270006f0270006f00710370b801000007010100000007010100b601006a016c006b006c016b006f0070006b006f0070006f00710270006f00700000007100700071006f
+00700071026b006c016bb9010000060101000001000006010100b701006c016b006c026b006a026b026a006b006c006a006b016a016b006a026b006a016b006cb9010000070101000000
+07010100b701006a016b006d016b006c006b016a006c006a016b006c046b016a006b006c006b006a006b006c006a006bba010000060101000001000006010100b7010266006c036b
+006a006b006a046b006d006b0000006c006a006c016b006c0065006b006c006b0065b901000007010100000007010100b80100000066006702660065000001670066006700660065
+0666006501660065006600650066bb010000060101000001000006010100b801006702660065006600650266016700660000016700660065006602650066006502660065ba010000
+07010100000007010100b801006501660067016600650066006703660065006600670166006500660265006601650166bb010000060101000001000006010100b901016100620261
+0060016100630061006600650361006603610060006100620060bb01000007010100000007010100b901006201610000016100600061006200610062026100620060006100620061
+0060036100620060bc010000060101000001000006010100b90101610060006302610062006101600061006201600061006003610062016100600061bb0100000701010000000701
+0100ba01025c015b0161005c0160006200610160015c006100600061005b035cbd010000060101000001000006010100ba01005d015c015b015c005d015b035c015b015c005d005c
+005b015d005bbc01000007010100000007010100ba01005d005c005b005c015d045c0000005d045c005b005c005b005d005b005cbd010000060101000001000006010100bb010058
+005d065c015b035c015b015c005b005c005dbd01000007010100000007010100bb0100570058005700560158005601570058005700560157015600570058015600570056be010000
+060101000001000006010100bb010058005600570056005700560257005804570056005700580357bd01000007010100000007010100bc0100510357005603570058005700560257
+00580257bf010000060101000001000006010100bc01005200530051005303520053005200510052005100520051015201530052be01000007010100000007010100bc0100520153
+0052005301520000025200530052015103520051bf010000060101000001000006010100bd0101510052005100530151035200000051015200510152bf0100000701010000000701
+0100bd01004c014e034d004c014d004c014d004c014e014dc0010000060101000001000006010100bd01004d014c004f004d004e004d004e004c004e014d024c014d004cbf010000
+07010100000007010100be01004d004e004c014d004c034d004c004e014d004c004dc1010000060101000001000006010100be01024800490048000000470048004704480147c001
+000007010100000007010100bf010148024700000248004700480049004a0048c2010000060101000001000006010100bf0101480049004700480249004703480047c10100000701
+0100000007010100c0010143004202430000004301440143c30100000601010000010900c0010042004300420043004401420043004201440043c201000000010800000000010000
+00010000000100000001000000010000c0010044004300450042014300450044014300440043c3010000000100000001000000010000000101000001000006010100c101053e003f
+023ec301000007010100000007010100c101003d013e013d003f033ec4010000060101000001000006010100c2010040003e003f003d003f013e003fc40100000701010000000701
+0100c2010139003a0039000000380139c5010000060101000001000006010100c30100390038003900380139c501000007010100000007010100c3010039003400390034003a0039
+c6010000060101000001000006010100c3010234003500340033c501000007010100000007010100c401013400330035c7010000060101000001000006010100c401003500330134
+c601000007010100000007010100c501012fc8010000060101000001000006010100c501012fc701000007010100000007010100c5010029c9010000060101000001000006010100
+ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f01
+000007010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f0100000701
+0100000007010100ff019001000006010100000100000601020000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000701010000000701010000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000006010100000100001e010000ff016001
+00001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01
+010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01010000000001ff00a3000001ff00a400
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/3doptttl.ps b/books/ps/3doptttl.ps
new file mode 100644
index 0000000..123058f
--- /dev/null
+++ b/books/ps/3doptttl.ps
@@ -0,0 +1,1023 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 144.385410 559.000000 677.854595
+%%Creator: xwd2ps
+%%CreationDate: Thu Mar 26 15:53:28 1992
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  422, height = 445, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 445
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 445 8
+  [422 0 0 -445 0 445]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+matrix currentmatrix
+4 inch 4 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+0000ff
+ff00ff
+00ff00
+ffff00
+00ffff
+ff0000
+23238e
+d3d3d3
+d4d8e8
+757780
+46474d
+b4b8c5
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+dbdb70
+2f4f4f
+c0c0c0
+cc3232
+efc8c4
+601a08
+236b8e
+238e6b
+2f2f4f
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+efc4ef
+e06fe0
+efc4ef
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000102000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010200000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+00000001000000010000000100000001000000010100000100001e010000ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01
+010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f0101000000
+0701ff009300060101000001000006010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000701010000000701010015010100ff014701010015010100150101000601010000010000060100001601
+0000ff014801000016010000160100000701010000000701010015010100ff0147010100150101001501010006010100000100000601000016010000ff0148010000160100000401
+000000010000000100000001000000010000000100000001000000010000020100000701010000000701010015010100ff014701010015010100020100000d010000020101000601
+0100000100000601000016010000830102000f0100002001040002010500810100001601000012010000020100000701010000000701010015010100830101000e0102001e010100
+0101020002010100010101008001010015010100020100000d0100000201010006010100000100000601000016010000840101000f0100001f010000030101000201010002010100
+7f0100001601000012010000020100000701010000000701010015010100820103003401010002010100020101007f01010015010100020100000d01000002010100060101000001
+000006010000040100000001000000010000000100000001000000010000000100000001000002010000830100000001010002010200010102000101030005010300020100000001
+0100000101000e01010003010100020101007f0100000a0100000001000008010000120100000201000007010100000007010100020100000d010000020101008201000000010100
+03010100010101000401010004010100010101000101010000010100000101000b01020004010100020101007f010100080100000101000008010100020100000d01000002010100
+0601010000010000060100001201000002010000830100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f0100000c0100000801000012010000020100000701010000000701010002010f000201010081010500040101000601010003010100030101000001010000010100000101000e01
+010002010100020101007f0101000801030008010100020100000d010000020101000601010000010000060100001601000082010000020101000401010006010100030101000301
+01000001010000010100000101000e01010002010100020101007f010000160100001201000002010000070101000000070101001501010081010000030101000201000000010100
+0501010003010100030101000001010000010100000101000e01010002010100020101007f01010015010100020100000d0100000201010006010100000100000601000016010000
+810101000301010001010100010101000401010004010100010101000101010000010100000101000901000003010100020101000101010080010000160100001201000002010000
+070101000000070101001501010080010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010100150101000201
+00000d0100000201010006010100000100000601000016010000b80103008b0100001601000012010000020100000701010000000701010015010100ff0147010100150101000201
+0f000201010006010100000100000601000016010000ff014801000016010000160100000701010000000701010015010100ff014701010015010100150101000601010000010000
+06010000000116000001ff004800000116000001160007010100ff00a5000001000000010000000100000001000000010100ff018f01000000010000000100000001000000010000
+00010000000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff01900100000601010000010000060101008901072b0301002b0701
+002b0501032b2101032b0c01022b0001002b1c01022b8d010000070101000000070101008901012b0001012b0001012b0201022b0601002b0701012b2001012b0101012b0a01012b
+0001022b1d01012b8e0100000601010000010000060101008901002b0101012b0101002b0301002b0601012b0701012b2001012b0101012b0901012b0201012b1d01012b8d010000
+070101000000070101008c01012b0e01012b0701012b2001012b0d01012b0301002b1d01012b8e0100000601010000010000060101008c01012b0401032b0301062b0401012b0501
+032b0d01032b0401012b0d01012b0601012b0001032b0201042b0201012b0001022b0301042b8a010000070101000000070101008c01012b0601012b0501012b0701012b0401012b
+0101012b0b01012b0101012b0201042b0b01012b0701022b0101012b0001012b0201012b0201022b0001012b0201022b0001012b8a0100000601010000010000060101008c01012b
+0601012b0501012b0701012b0301012b0201012b0a01012b0301012b0201012b0d01012b0101032b0101012b0201012b0001012b0201012b0201012b0201012b0101012b0101012b
+89010000070101000000070101008c01012b0601012b0501012b0701012b0301062b0a01012b0301012b0201012b0d01012b0201022b0101012b0801032b0201012b0201012b0101
+012b0101012b8a0100000601010000010000060101008c01012b0601012b0501012b0701012b0301012b0f01012b0301012b0201012b0d01012b0201012b0201012b0601012b0101
+012b0201012b0201012b0101012b0101012b89010000070101000000070101008c01012b0601012b0501012b0701012b0301012b0f01012b0301012b0201012b0d01012b0201012b
+0201012b0501012b0201012b0201012b0201012b0101012b0101012b8a0100000601010000010000060101008c01012b0601012b0501012b0101002b0401012b0401012b0201002b
+0b01012b0101012b0301012b0e01012b0001022b0201012b0501012b0101022b0201012b0101012b0201012b0101012b89010000070101000000070101008b01032b0301052b0401
+022b0301052b0301032b0d01032b0301032b0e01022b0001002b0101042b0401022b0101012b0101042b0201022b0001032b89010000060101000001000006010100f601012b9601
+000007010100000007010100f601012b97010000060101000001000006010100f501032b9501000007010100000007010100ff0190010000060101000001000006010100ff018f01
+000007010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff019001000006010100000100000601ff009200070101000000
+0701ff0091000001000006010100000100000601ff00920007010100000007010100ff0190010000060101000001000006010100ff018f01000007010100000007010100ff019001
+0000060101000001000006010100d3010615b401000007010100000007010100d301011502010115b5010000060101000001000006010100d201001503010115b5010000070101000000
+07010100d6010215b6010000060101000001000006010100d5010215b601000007010100000007010100d4010215b8010000060101000001000006010100d4010115b80100000701
+0100000007010100d3010215b9010000060101000001000006010100d2010215b901000007010100000007010100d201011503010015b6010000060101000001000006010100d101
+011502010115b601000007010100000007010100d1010615b7010000060101000001000006010100ff018f01000007010100000007010100ff019001000006010100000100000601
+0100ff018f01000007010100000007010100ff0190010000060101000001000006010100cc010035c10100000701010000000701010020010035aa010035930100352d0100000601
+0100000100000601010021010035a9010035920100352d0100000701010000000701010022010035a8010035910100352f01000006010100000100000601010023010035a7010035
+900100352f0100000701010000000701010024010135a50100358e0101353101000006010100000100000601010026010035a40100358d0100353201000007010100000007010100
+27010035a30100358c0100353401000006010100000100000601010028010035a10100358c010035340100000701010000000701010029010035a00100358b010035360100000601
+010000010000060101002a0100359f0100358a01003536010000070101000000070101002b0100359e01003589010035380100000601010000010000060101002c0101359c010035
+8801003538010000070101000000070101002e0100359b010035870100353a0100000601010000010000060101002f0100359a010035850101353a01000007010100000007010100
+3001003599010035840100353d0100000601010000010000060101003101003598010035830100353d010000070101000000070101003201003597010035820100353f0100000601
+010000010000060101003301003596010035810100353f01000007010100000007010100340101359401003580010035410100000601010000010000060101003601003593010035
+7f010035410100000701010000000701010037010035920100357e0100354301000006010100000100000601010038010035910100357d0100354301000007010100000007010100
+390100358f0100357c010135450100000601010000010000060101003a0100358e0100357b01003546010000070101000000070101003b0100358d0100357a010035480100000601
+010000010000060101003c0101358b0100357901003548010000070101000000070101003e0100358a010035780100354a0100000601010000010000060101003f01003589010035
+770100354a010000070101000000070101004001003588010035760100354c0100000601010000010000060101004101003587010035750100354c01000007010100000007010100
+4201003586010035740100354e0100000601010000010000060101004301003585010035720101354e01000007010100000007010100440101358301003571010035510100000601
+01000001000006010100460100358201003570010035510100000701010000000701010047010035810100356f010035530100000601010000010000060101004801003580010035
+6e0100355301000007010100000007010100490100357f0100356d010035550100000601010000010000060101004a0100357d0100356d0100355501000007010100000007010100
+4b0100357c0100356c010035570100000601010000010000060101004c0101357a0100356b01003557010000070101000000070101004e0100357901003569010135590100000601
+010000010000060101004f01003578010035680100355a010000070101000000070101005001003577010035670100355c0100000601010000010000060101005101003576010035
+660100355c010000070101000000070101005201003575010035650100355e0100000601010000010000060101005301003574010035640100355e01000007010100000007010100
+540101357201003563010035600100000601010000010000060101005601003571010035620100356001000007010100000007010100570100357001003561010035620100000601
+01000001000006010100580100356f0100355f0101356201000007010100000007010100590100356e0100355e010035650100000601010000010000060101005a0100356c010035
+5e01003565010000070101000000070101005b0100356b0100355d010035670100000601010000010000060101005c010135690100355c0100356701000007010100000007010100
+5e010035680100355b010035690100000601010000010000060101005f010035670100355a01003569010000070101000000070101006001003566010035590100356b0100000601
+010000010000060101006101003565010035580100356b010000070101000000070101006201003564010035560101356d0100000601010000010000060101006301003563010035
+550100356e01000007010100000007010100640101356101003554010035700100000601010000010000060101006601003560010035530100357001000007010100000007010100
+670100355f0100355201003572010000060101000001000006010100680100355e010035510100357201000007010100000007010100690100355d01003550010035740100000601
+010000010000060101006a0100355c0100354f01003574010000070101000000070101006b0100355a0100354f010035760100000601010000010000060101006c01013558010035
+4d01013576010000070101000000070101006e010035570100354c010035790100000601010000010000060101006f010035560100354b0100357901000007010100000007010100
+70010035550100354a0100357b0100000601010000010000060101007101003554010035490100357b010000070101000000070101007201003553010035480100357d0100000601
+010000010000060101007301003552010035470100357d010000070101000000070101007401013550010035460100357f010000060101000001000006010100760100354f010035
+450100357f01000007010100000007010100770100354e0100354301013581010000060101000001000006010100780100354d010035420100358201000007010100000007010100
+790100354c01003541010035840100000601010000010000060101007a0100354b0100354001003584010000070101000000070101007b0100354a0100353f010035860100000601
+010000010000060101007c010135470100353f01003586010000070101000000070101007e010035460100353e010035880100000601010000010000060101007f01003545010035
+3d010035880100000701010000000701010080010035440100353c0100358a01000006010100000100000601010081010035430100353a0101358a01000007010100000007010100
+8201003542010035390100358d0100000601010000010000060101008301003541010035380100358d01000007010100000007010100840101353f010035370100358f0100000601
+01000001000006010100860100353e010035360100358f01000007010100000007010100870100353d0100353501003591010000060101000001000006010100880100353c010035
+340100359101000007010100000007010100890100353b01003533010035930100000601010000010000060101008a0100353a010035320100359301000007010100000007010100
+8b0100353901003530010135950100000601010000010000060101008c010135370100352f01003596010000070101000000070101008e010035350100352f010035980100000601
+010000010000060101008f010035340100352e010035980100000701010000000701010090010035330100352d0100359a0100000601010000010000060101009101003532010035
+2c0100359a0100000701010000000701010092010035310100352b0100359c01000006010100000100000601010093010035300100352a0100359c01000007010100000007010100
+940101352e010035290100359e010000060101000001000006010100960100352d010035270101359e01000007010100000007010100970100352c01003526010035a10100000601
+01000001000006010100980100352b01003525010035a101000007010100000007010100990100352a01003524010035a30100000601010000010000060101009a01003529010035
+23010035a3010000070101000000070101009b0100352801003522010035a50100000601010000010000060101009c0101352601003521010035a501000007010100000007010100
+9e0100352501003520010035a70100000601010000010000060101009f010035230100351f010135a701000007010100000007010100a0010035220100351e010035aa0100000601
+01000001000006010100a1010035210100351d010035aa01000007010100000007010100a2010035200100351c010035ac010000060101000001000006010100a30100351f010035
+1b010035ac01000007010100000007010100a40101351d0100351a010035ae010000060101000001000006010100a60100351c01003519010035ae01000007010100000007010100
+a70100351b01003518010035b0010000060101000001000006010100a80100351a01003517010035b001000007010100000007010100a90100351901003515010135b20100000601
+01000001000006010100aa0100351801003514010035b301000007010100000007010100ab0100351701003513010035b5010000060101000001000006010100ac01013515010035
+12010035b501000007010100000007010100ae0100351401003511010035b7010000060101000001000006010100af0100351201003511010035b701000007010100000007010100
+b00100351101009a10010035b9010000060101000001000006010100b10100350f01019a00000e010035b901000007010100000007010100b20100350c01019a0100009a0000009a
+0b010035bb010000060101000001000006010100b30100350a01019a0000049a000008010135bb01000007010100000007010100b40101350601089a0000009a000006010035be01
+0000060101000001000006010100b60100350401019a0000059a0000009a0101000004010035be01000007010100000007010100b70100350201019a0000009a0000059a01010000
+009a000002010035c0010000060101000001000006010100b80100350001019a0000079a01010000009a0099009a000000010035c001000007010100000007010100b901019a0000
+049a0000019a01010000049a0000c2010000060101000001000006010100b801079a0000009a0000059a01010000009a0100bf01000007010100000007010100b701019a0000049a
+0000039a0000029a01010000039a0000bf010000060101000001000006010100b601019a0000009a0000079a0000009a0000009a0101039a00010000009a0000bd010000070101000000
+07010100b501019a0000029a0000059a0000029a0000039a01010000029a0000bd010000060101000001000006010100b401009a0100029a01010000029a0100029a000100350000
+019a01010000019a0099019a0000bb01000007010100000007010100b301059a01010000009a0000059a000100350000009a010000010000049a0000009a0100ba010000060101000001
+000006010100b3010000039a01010000029a0000039a000100350000039a0000049a0000039a0000b801000007010100000007010100b2010000009a0000019a00010100029a0000
+009a0000019a0035039a01010000009a00000099009a0100019a0099009a000000990000b8010000060101000001000006010100b1010000019a009b000000010000019a009b009a
+0000009b079a01010000019a0000009a0000049a0000029a0000b601000007010100000007010100b0010000049a0000039a0000049a0000029a003500010000039a0000039a0100
+0099019a0099009a0000b6010000060101000001000006010100af010000049a0000009a0100009a0000049a0000009a0000009a01010000019a0099009a00000099010000990000
+009a0099019a0099009a000000990000b401000007010100000007010100ae010000019a009b019a0000009a019b009a0000009b009a019b009a0000029a000000010000039a0000
+039a0000059a0000029a0000b4010000060101000001000006010100ad010000009a0000019a0100029a009b0000009a0000029a00000201003500010000039a00000099029a0000
+009a0000029a01000099019a0000009a0000b201000007010100000007010100ac010000019a0000009a0000049a0000029a0000009a00000101029a0000009a0100009a00000099
+019a009900000199009a000000990000009a0099019a0000019a00990000b2010000060101000001000006010100aa010100019a009b009a0000009b009a019b009a0000009b009a
+019b009a0000009b019a009b009a0000039a0000039a0000049a0000039a0000049a0000b001000007010100000007010100a9010000049a0000009a0000019a009b0000009a009b
+019a009b0000009a0000059a0101000000990000029a00000099019a00990000009a0000019a00990000009a0099019a0000009a0100af010000060101000001000006010100a801
+0000049a0000009b019a0000009a0000049a0000019a0095049a010100000099019a0000009a00000099019a009900000199009a000000990000009a0099019a0000009a0199009a
+0000ad01000007010100000007010100a7010000009b0000019b009a0000049b0000009b009a019b009a0000009b009a009b00950000029a003500010000049a0000039a0000049a
+0000039a0000039a0000009a0000ad010000060101000001000006010100a6010000029a0000009a0000009a009b009a019b0000009b0000019a009b0000039a000000950000009a
+0001003500000099019a00940095000000940000009a00990000009a0199009a00990000009a0100009a0000019a0099009a00000099019a0000ab01000007010100000007010100
+a4010100049a0000009b019a009b009a0000009b019a0000009a0000039a0000029500000001000000990195009400950000009400950000009900000199009a019900000199009a
+00990000019a0099009a00000099009a0199009a0000ab010000060101000001000006010100a3010000019b009a019b009a0000009b0000029b0000049b0000009b009a019b0000
+0395000100000495000003950000049a0000029a00950000009a0000029a0000039a0000009a0100a801000007010100000007010100a2010000019a009b019a009b0000029b0000
+009b0000019b019a009b000000950000029a039500010000009500000095009400950000009401950094000000950000019a00990000009a00990094009500000099009a00990000
+009a0000019a0099009a00000199009a00990000a8010000060101000001000006010100a1010000009a0000029a0100019b009a019b0000049a0000029500000495000100000094
+01950000009500000094009501940000019400950000009900000099009400950094000004990000009a019901000099009a0199000000990000a601000007010100000007010100
+a0010000029b0000009b0000059b0000009b0000029b00000496000002950001000004950000039500000495000004950000029a0095000000950000009a0000049a0000029a0000
+a60100000601010000010000060101009f010000019a009b019a0000009a019b009a019b0000019b009a0000009b0000009500960295000000950000009501010000029500900000
+008f0000009500940095000001940095008f0000009500000094009500940000009a00990094009500000094009500940000009a0099019a00990000009a0199009a00990000a401
+0000070101000000070101009e010000039a009b0000009b0000009b009a009b0100019b009a019b000004950000029500000001000000950090008f00900000008f0090008f0000
+0095000000940090018f000002940000009400000099029400000294000000940000009a019900000199009a0199000000990100a30100000601010000010000060101009d010000
+049b00000101009b0000009b0000029b0196009500000096000000950096010000960195009600950000039000000490000003900000049500000395000000950094019500000195
+0000009a0000049a0000039a0000a1010000070101000000070101009c010000009a0000009b019a0000049b00000195009601950096000000950096000000950000029502900000
+00900000008f00900000008f0190008f00900000008f00000090018f000001940095008f00000090010000950000009400950194000003940000009a0199009a00990000009a0199
+009a000000990000a10100000601010000010000060101009b010000009a009b009a0000009b0000029b009a009b0000009500000395000003950000008f0190008f019000000190
+000000900000008f0090018f00900000008f0090008f0000009000000094028f0000038f0000039400000394000000940000009a019900000199009a00990000029900009f010000
+0701010000000701010099010100049b0000049b00000296000000960095000000960095009600910000009000000390000003900000049000000490000003900000008f0190008f
+000000900000019500000195009401950000009400950000009a0000039a0000049a00009f0100000601010000010000060101009601009b00010000009b009a019b009a009b0000
+009b0000009b009a010000950196009500000096000000950290000002900000019000000290008b0000008a00000090008f01900000008f0090008f008a0000008a00000090018f
+0000018f008b008a0000018f0000009500000394000003940000009a0199009a00000099009a0199009a0000009900009d010000070101000000070101009501019b0000009b009a
+019b009a009b0000019b0000009a00000195009601950096009500000390000003900000009000000090008b008a018b0000018b00000090008f00000090008f008a008b008a0000
+008a0000018f0000008f028a0000038f00000394000003940000009401000099000004990000029900009d0100000601010000010000060101009401019b0000009b0000029b0100
+0101009b0001000000950196009501960095000000910000009000910090000000910190009100900000048b0000028b0000009000000090038b0000028b0100018b008a008b0000
+018f0090008f0000008a00000195000000940095008f009400000194008f00010000049a0000009a0099009a0000009900009b010000070101000000070101009301019b0000029b
+0000009a0000019b009a009b009a0000009600000495000002900000009000000190028b0000008b0000008a018b0000018b008a018b0000008a008b018a008b0000008a008b018a
+0000018a008b008a0000028f018a0000018a000000940000018f009400000094018f00010000009400000199009a00000099009a01990000019900009b0100000601010000010000
+060101009201019b000004010000019a009b019a0000029500000195010004900000018b008a018b0000018b008a0000008b0000018b008a008b0085000000860000008a008b008a
+0000028a0085000000850000028a0000008f028a0000018a01010000018f01940000018f010100000094009300000099000003990000039900009901000007010100000007010100
+930100000201019b0000009b0000029b000000950196009500000096000001910190009100900100038b0000038b0000008b0000008b0386000001860000018b0000008b02860000
+008600850000008b0000018b008a008b0000008a02010000008a0000009400900000028f0001000003940000039a0000019a0099009a000000990100980100000601010000010000
+0601010092010000049b0000029b0000019a0000019500960195000005900000018b0000028b0000048b000000860085018600850000008601850000008a00000086018500860000
+03850000038a0000020101850000008a0000008f0000028f0001000003940000008f0000019900000199009a0099000003990000960100000701010000000701010091010000009b
+0000019b0100009b009a019b0000009b00000195029000000090000003900000028b0000008b008a0000008b008a008b008600850000008100000086018500000185008601850000
+0385000002850080000000800000028a0000000102850000008a0089008a0000028f0101000000930094008a00890000008f008e0000009900000299000003990000009900009601
+000006010100000100000601010090010000009b00010000009b0000069b00000191009001910000019100900000009100900000038b00010100008b038600000281000000860000
+038600810000008100000186000000860085018100800000008100800000008b00000085008601850000028a000000850000018f000100000194018a0000038f0000009a0099019a
+0000019a0099009a00000099009a000094010000070101000000070101008e0101000001019b00010000009500960195009601950000009500000290000003900000009000000501
+000000860085018600850000008100800181000000860000008500800081008000000081018000000085000000810180008100000380000004850000018a00010000018500000001
+00000094028a0000008f008e018f0000008f0100009900000199009a0099000003990000940100000601010000010000060101008d010000049b0000009b00000495000002950000
+019000000490000001860085018600850000008100000186008500860000008001810080008100000080008101800000048000000380000003800000007b00000285000000890080
+0001000001850084000000010000018a0089008a0000008e008f008a00890000018e008f00000399000002990094000000990000009991010000070101000000070101008c010000
+0001009b0101009b0000029b000000950096010001960095009600000090000000910090018b00860000008600000386000002810000018600000281017c0000007c000002810000
+0281007700000076000000810080000000810180007c007b0000017b000000860000008a00800101000003850000038a0000018f018a0000028f0000008f00000099009a00000099
+009a009500940000009a02990000910100000601010000010000060101008b010000009b0000019b00010000009a009b019a000000950000009601950096019500960000038b0086
+0000018600000286000003810000008600000080017c007b017c0000007c0000018000000180007701760000007600000081008000000080027b0000027b00000085000001800001
+0000008500840185000000800000018a0000008e018a00890000008f008e008f008a0000018f0000009900000294000003990000009900008f010000070101000000070101008a01
+00000001019b0000019b0000019a009b019a000006900100028b008600000386000000850086000000800181008000810000007b007c017b007c007b0000007c017b010000800376
+000002760100037b0000027b007100010000018000010000008500840085007b007a0000017f0000008a0000018a0089008a0000008e008f008a0000018f008e008f000003940000
+0399000002998f010000060101000001000006010100890100000301000000010000019b00960095009600000090000000910190009100900000008c008b0000008b018600000386
+0000008600000181027c000000770000037c0000037c0000047700000177007600770000017b007c017b0000007b017100010000007600000080000100000185017b000003800000
+038a0000008f028a0000028f0000008a0000009400950000009900940199000001990001009900008d0100000701010000000701010088010000009b0001019b0001009b00000096
+01950096009500000190000003900000028b000001860000008604010000007b017c007b017c000000770000007b017c0000017c007b007100000071000000770176007700000076
+00770076000000710000027b000002710101000000760000000100000084027b00000080007f01800000008000000089008a0000008e018a00890000008f008e008f00850000008a
+0000009400000294009900000099010100990000009900008d010000060101000001000006010100870100000001049b000000950000029500000390000001900000048b01000201
+0081008000810000007b0000007c007b017c0000017700760000017b0000007b0071007200710000007100000276000001760171000001710000007b000003710001000000760075
+00760100017b007a007b0000007f0080007b007a00000080007f0000008a0000018a00890000008f008e008f00840000018a00890000029400990000020100990000029900008b01
+00000701010000000701010086010000050100000296000001960000019100900091000000900000008c018b008c018b000005810000017c0000027c000003770000007c00000372
+000002720000007700000077007601720000017200710000007c000002710001000003760000037b00000180017b000003800000038a0000008f01850000028a0000008a00000095
+009900940000000100940099000001990194000100008b0100000601010000010000060101008501000000010000019b000101000096019500960000009500000590000004860081
+00000081000003810000037c0000007c0000017700760177007600000072017100720071000000720171000000760000007201710072000003710000027101010000027600000071
+0000017b0000007f017b007a007b0000007f01800000007b00000089008a0000008e01850000028a00850000018a0000009400000194019900000294000100000099010088010000
+07010100000007010100840100000101009b0000009b000006950000058b000000860000028600810000018100000081008001810000017c007b007c0000007b0000007700760072
+01710000006c00000072017100000471000003710000037100000067000001710001000000750076006c006b0000007100700000007b0000017b007a007b0000007f018000750000
+007b007a0000008a0000008501840000008a0089008500000089018a0089000001940199000002940001000000980199009800008801000006010100000100000601010082010100
+04010000009600950196009501960100008c018b008c008b00000087008600000186008100000381000001810000057c000004720000026d00000072000003720068000000670000
+007200710072000000710072006800670000006800670000000100000176016c000003710000037b0000028000760000037b000002850000008a02850000028a0000008a01000094
+00000294000100000399000000990000860100000701010000000701010081010000009b0101019b00010000009500000495000001900000028b0000038600000181000003810000
+00810000027c0172007101000071017200710000006d006c016d0000007100000071006700680167000001670000007100000171016700000267000000010000026c000000710070
+01710000006c0000007a017b000000800076007500760000007a017b00000076000000840000008a008401850000028a00800000008a000100850000029401010000019901010000
+0098009900008601000006010100000100000601010080010000059b0000029500000195010002900000018b000004860000000100000501000001720071017200710000006d006c
+0000017100720000006c006d016c006d00000467000002670000007100000367000003670000016c006b006c000000700071006700660000016b0000007b00000080017500760000
+007a017b007000000076000000850000008401850000018a008900800000008a00010085007f010000940001009400000099009401010000009801990098000084010000070101000000
+070101007f010000000100000201010000960095019600000096000000900191009001910100008701860087018600870000057700000072000003720000026d000001720000026d
+016801000368000001680067016800000168006700680000016700680067000000620000016c0000017101670000026c0000007b000002760000027b007100000276000003850000
+008a02800000000100350080000001850000009400000294000100000399000000990100830100000601010000010000060101007e010000009b01010000009b0000019500960195
+009600950000068b00000481017700000077000004770000007200000172007100720000006c016d006c0100006c006700680167006800000062000001670000016700680067005d
+0100026700000267015d000000620000006c0000007003670000006b016c006b00000076007501760000007b0071007000000276006c0100008500840000008a007f018000000101
+01800000008501010000029400010000009801990194000000980199000081010000070101000000070101007d010000009b0101009b0001000006950000008b0000048b00000081
+00000281017700000177000000760177007600000072007100720000007100720000006c016d006c006d0000006700680167006800670000006300620000016700000167025d0000
+005d0000016700000167015d00000162000101000167006600670000006b006c016b000000660000007600750000007b01700071000000750076006c00000171000000850000007f
+018000000101007f00800000008501010000008500000094010100000099009400930094000000980199000000990000810100000601010000010000060101007c0100000101009b
+010100000096000000950196009500960000008b008c0000018b008c008b000000820081000001810177000003770000017700000372000000720000016d02680000006300000368
+0000036301000068005d015e005d0000005e005d0000006800000067005e015d005e0000006200580001000003670000026c016200000167000000760000027100000176016c0000
+027100000380000000010280000000010035007b0000018500000001000003940000019901940000019900007f010000070101000000070101007b010000019b0001019b00000195
+000003950000038b0000018b00000381000001770000047700000077000005720000006701680067016800000063000001670068000000620063016200630000005d005e015d005e
+0000035d0100035d0000006200580101010002670000016c006100620000006601670066000000710070017100000076006c006b00000271006701000080007f0000000102800000
+0101007b000003850000039400000098009900940093000000990098019900007f0100000601010000010000060101007a010000009b0000029b00000395000001950000048b0000
+018b000003810000000100000601010000710072006800670068000000620000006800670168000000630162000001670000016200630058000000580000035d0000035d0000035d
+000002580001000000580057000000670000006c0062006101620000006701660000005d00000071007000000076006c006b006c000000700071006700000171000000800000007f
+0180007f00000001007a007b000002850000008500000093019400000194009300000198009900980000009401007c01000007010100000007010100790100000201000000010000
+019600950196000000960000008b018c008b018c008b01000181008201810082000007720000056800000063000003680000026300000068000000630359000000590000005e005d
+005e0000005d015e0053000000540000005d005e005d0000015801010000015800000067000003620000026700580000005d0000007100000076026c000001710167000000710001
+006c0000038000000001017b0000008500860085003500000185000000940000039400000199018f0000029400007c01000006010100000100000601010077010100009b0101009b
+000100000690000007860000047c0072010006720100046800000163006200000068006700000063006201630062000000590158005900580000005901580000005d0000015d0253
+000001530000005d00000258000100000358000000620061016200000167006600580000005c015d0100006c006b016c000000710167000000710001006c0000006c000002800000
+017b000002850001000003850000019400930094000000980099008f008e000000940093009400007c0100000701010000000701010076010000019b0001029b010005900000008b
+000005860000007c0000027c017200000072000000710172007100720000006700680000006701680000016300620063000000670000016200630062005800000053000000590158
+0059000002580000005d00000353000002530000005d0000015801010000015800570000005300000162006100000066005700580000005c015d005c0000006c006b016c00000071
+0067006600670000010100620000016c000000800000007a017b00000185007b0001000002850000008000000093009400000098018f008e00000193008f00007e010000060101000001
+00000601010075010000009b0101009b01010000019600000191009000910000008b008c00000186008701860000017c0000027c0072000001720000037200000268000001680000
+05630100006303590000005400000259000004590000015400530154000001540053005400000258000100000258004e00000153000000620000006702580000025d000000580000
+026c000002670000010100620000026c000000800000017b000000860085007b000100000085008600850035000000800081000000940000028f00000194018f00007d0100000701
+01000000070101007401000000010000039b000001950096000001900100038b000002860000037c0000007c00720000037200000272000002680000016800000063006201630062
+0063000000580159005800590000015300540000005800590000005800590058004e0000004900000253000003530000004900000058010100000058014e00000052015300000062
+0000005701580000015d005c00530000005700580000006b000003670000000101620000016c005d00010000027b00000085007b0001000002850001000003800000018f008e008f
+0000008e018f00007f01000006010100000100000601010073010000029b0000019b000004950100058b000001860000047c00000072000004720000017200000168006701680100
+006300620063005900580059010000590158005900000053005401530000005800000158024e0000004900000253000001530149000001490000000100000058004d014e00000153
+0052005300000057005801570000005d005c00530000005701580000006c00000066016700000001006200610000016c005d0001000000670000007a00000085017b000100000185
+0076000100000280000000800100008f0000008e008f008e00007f0100000701010000000701010071010100030100000001000001960095019600950000008c008b018c008b018c
+008b0100017c007d017c007d007c0100050101000568000006590000005400000159000005540100034f0000004a0049004a00000053000000540053014a00000049004a00490000
+00010000024e0000035300000049000001580000005d02530000035800000367000002620000006c015d0001000000670000007b0000017b00010000008600850076000100000181
+008000760000008001810000028f0000810100000601010000010000060101006f01009b0000009b0001019b0001019b000005900000008600000681000005720168000006680000
+055e00000059000001590058015900000154000001590000005300540153005400530000004f014e004f00000049004a01490000005300000249000004490000034e000000530052
+0053004400000049000000570000005d0052015300000158005700580000005200000167000002620000006c015d0001000002670000027b00010000008501760001000001800076
+000004800000008f008e000080010000070101000000070101006f010000049b01010000009500000390000001860000058100000077000003720168010000670168006701680000
+005e0000005d015e005d005e0000005800000059005801590000015400530054010000540153004a01490100034e0000044900000349000003490100014e004d0000005300520053
+004400000149004801000052005301520000005800570058004e00000153000000670000006101620000025d0001000002670100007b000100000085017600010000018001760000
+0280000000800000008e0000820100000601010000010000060101006e01000000010000029b01010000019600000191009000000087018600870000008100820181000001770000
+0272016800000168000004680000005e0000035e0000025900000159000004540000064a000000450000014f00000049014a004900400000003f0000004a00490000004a01490040
+003f000000400000014e000000530244000002490000035300000258004e00000353000002620000025d000100000067006800670000006300620000007600000276000100000080
+007600770000018100800000008100800081000082010000070101000000070101006d010000029b0000009b00010100039500000190000003860000028100000377000000720168
+00000268000003680000025e0000015e00000058015900580000005900580000005400530054004a0000004500000149004a0149000001440000004e0000004a01490040013f0000
+003f0000004900000149023f0000013f0000004e000000520244000000490048004900000043000000530052005300000057014e004d00000053005200530000004e000001620000
+025d000100000167000100000262000002760001000000800276000001800071000002800000830100000601010000010000060101006b010100039b000000010000059500000090
+00000586000001810000037700000168000004680000006800670000005e005d015e0000005e00000058015900580159010000540049004a0149000000440000004a0149004a0000
+00440045014401000049033f0000023f0100043f0000023f0100014400430044000000480049003f000001440000005300000057014e004d000000530052005300440000004e0000
+00610000025d0001000001670001000003620100017600010000027600000180007100000280000083010000070101000000070101006a010000009b0001019b0001019b0000018b
+008c018b008c018b0000018600870186008700860000008200000077007801770078007701000568000000680000055e010005590000044a000002450000014a0000044500000140
+003f014000000140003f00400000013f0040013f0000013f0040003f0000034400000149003f00000244000000530000034e0000015300440000024e0100025d0001000000670058
+000100000062006300620000005e005d0000000100000076007701760000008000710072000001810071000000358301000006010100000100000601010069010000009a019b009a
+019b009a000000900000058b0100057c01720000056d0063000007010100055e0000014f004e014f004e000000450000014a0049004a00000044014500000049004a000000440045
+0044003a0000003a00000040013f00400000003f0040003f000000360000023f0000033f0000003a0000024400000049003f003e00000044004301440000014e004d004e00000052
+0053004400430000024e0000025d000100000067005800010000026200010000015d0000000100000276000000800171000001800071000001010035810100000701010000000701
+010068010000009a0000009b009a019b009a000001900000048b000001810000037c01720100046d00630100005d015e005d015e005d005e000000530154005301540000004a0000
+004e014f004e004f0000004400000149004a0000004400450144004501000045013a003b003a0000003a0000023f0000013f0135000000350000023f0000013f01350000013a0000
+004400000049003f003e00000044004301440000003a0000004d014e00000053004400430000004e004d004e003f0100015d00580000015800010000016200010000035d00000376
+000001710000018001710000020101358001000006010100000100000601010067010000029b0000019b01000090019100900000008c018b0000018100820000027c017200000172
+0000026d0163000000630000055e010004540000014a0000034f000002450000004a000005450000043b0000023b0000003f00000040003f0136000001360035000000400000003f
+004001350000023a000000440000023f0000024400350000013a0000004e0000005301440000024e003f000001490000005800000158000100000063006201010000005d005e005d
+0000005e00000076007700000071007200710000008101710000050100357e0100000701010000000701010066010000039b0000009b000005900000018b000004810000007c0172
+000002720000026d0063000001630000045e00000154000002540000034a0000004e004f00000044014500440000004a00000145003a013b000000360000013a003b003a0000003b
+013a0000003f00000036013500000135003600350000003f000002350000023a01300000003f003e003f00000043014400340000003a0039003a0000004d00000044004300440000
+014e003f003e000001490000005800000158000100000062005300010000025d004e0000015d00000076000001710000008002710000060100357e01000006010100000100000601
+010065010000009a019b009a019b000007900100058100000172000004720000006d00630000026300010000005e005d005e0000005301540000015400530000004a0049014a0000
+004f000000440145004401450000003b013a003b013a000000350000003b013a0000043a0000033500000435000003350000003a0230000000300000013f00000044003500340035
+00000039013a003900000044004300440000004d004e003f003e000000490048014900000158000100000062005301010000015d004e0000035d0000027100000271000008010035
+7c0100000701010000000701010064010000059b0100018b008c018b008c018b0000018100820181008201810100057200000063000004630000025e00000254000001540000054a
+01000145023b000000360000033b000002360000003b0000033b0031000000310000003600350000003600350136002b0000002c00000035003600000430000000300000003f0000
+004402350000033a00000035000001440000004e023f00000249000000440000005800530000015300010000005e005d004e004f0000015e005d0000005900000071000001710072
+00710000090100357c01000006010100000100000601010063010000009a019b009a019b000001900000058b0100057c016d000006680059010004630000015e000004540100064a
+0000013b003a013b003a000000360000013b003a003b0000003501360000003a0000003a00300031013000000030000000360000003500360035002b002c002b0000002c00000035
+0000043000000130000101000035003401350000013a0039003000000034000000440000004e003f003e003f00000249003a000001440100015301010000005d014e0000025d0049
+00000058000000710000027100000b0100357a0100000701010000000701010062010000009a0000019a009b009a000002900000048b000001810000037c016d0100066800590000
+06010100015400530154005300000040003f0140003f01400100003b003a013b003a0000013500360000003a003b00000035003601350036000004300000023001000035032b0000
+022b01000330000001300026000100000035003401350000013a003900300000003401350100003f003e013f00000149003900000044004301440000015300010000005d024e0000
+015d0049000002580000037100000c0100357a01000006010100000100000601010061010000029b0000019b000000910090019100900000008c018b0000018100820000027c016d
+0000016d000004680059010006590000054a00000040000004400000013b0000023b000003360000003b00000336002c01000331000003310000002b012c002b002c0000002b012c
+002b000004300000012600010000002b000002350000003a0230000002350000033f00000149013a000002440000003a000001010000004e004f004e0000005e005d0049004a0000
+015900580100017100000e01013577010000070101000000070101005f010100009a019b009a0000009b000005900000018b000004810000007c016d0000026d0000036800590000
+0159000004590000004a0000044a0000004000000040003f01400000013b003a0000003b003a00000036003501360035003601000036002c002b012c0000002b0000013000000130
+00310026000000270000002b002c002b0000002c012b002600000026000002300000022600010000012b000000340000003a002f0130000001350034000000300000013f003e0000
+0049013a0000024400350000003a000000010000034e0000005d0149000002580000015300000071000010010035770100000601010000010000060101005e010000009b009a019b
+009a019b00000790010005810000016d0000036d00680000016800590000025900000059005801590000014a0000014a0049004a0000003f014000000140003f0000003b003a003b
+0000003a003b0000003500360135003600350000002c012b002c002b0000002c002b00000130000000300226000001260000012b0000002b02260000012600000030000002260001
+0000022b000000350000002f0030012f000000350034002b0000002f00300000003e000000490039003a00000043014400340000003a0039003a0100024e0000005d024900000158
+00440000025300001201003575010000070101000000070101005d010000069b000000910000008b008c018b008c018b0000018100820181008201810100056d0000006801590000
+0359000001590000034a0000014a00000340000001400000043b01000236022c0100032c0000032c01000327000002270000002c0000012700260027000000260127000000260000
+022600010000002c012b002c0000033000000135002b000002300000003f0000023a0000014401350000023a0000004f014e004f00000049004a0049000000590058004400000053
+01540053000013010035750100000601010000010000060101005c010000009b0000009a009b019a009b000001900000058b0000007c00000577006800000263036d000001590000
+0459000001590000034a0000004a000005400100003b003a013b003a003b0000002b012c002b012c0000012c0000012c0000002b002c012b002c0000002600270126002700000026
+002701260000042600000126002700260000022600010000032b0000002100000030002f003000000034012b00000130002f00300000023a0000014401350000023a00300100014e
+000002490000015801440000025300001501003573010000070101000000070101005b010000019a009b0000029a000003900000038b0000017c0000047700680100066300540100
+06010100004a0049014a0049004a01000140003f0140003f0000003100300131003000310000002b0000002c002b012c0000002c012b0000012b0000012b002c0021000000220000
+02260000022600160000001500000226000002260015000000150000012600010000012b0101000001210000003000000034002b002a00000130002f0030000000250000003a0039
+000000440034003500000039013a002f0000003500340000004e00000249000000580144000002530044000016010035730100000601010000010000060101005a010000049b0000
+009b0000009100900191009000910000018b0000017c007d007c000002770068000001680000046301540000074f000006400000053600000031000004310000002c0000032c0000
+032c0100002c032200000122000000270000012702160000011600000027000001270015011600000116000000010000012b0101000000220121000000300000012b000002300126
+000000260000003a0000004402350000013a0130000002350000004a0149000000580044004500440000005400530045000018010035710100000701010000000701010059010000
+009b019a009b019a009b000006900000008b0000047c000001770068000002680000036301540100064f01000540010005360000003100000031003001310000012c002b0000002c
+002b0000002c002b012c002b000000220021012200210000002200210022000000260000001601150016000000150016001500000026000000150016011500000115001600000021
+000001210001000004210000012b002a00000030002f0126000001260025010002350000013a01300000023500000030000001490000024400000153014400001901013570010000
+060101000001000006010100580100000695010007860000067c00000168000002680063000001630154000001540000004f004e014f004e00000040003f00000040003f01400000
+01360000013600350036000000300131000001310000012c002b002c0000002b0000012b012200210000001600000022012100000121002201210000011500160115000001150016
+00150000031500000415000001210001000003210015000000150000002a00000030002500260025000001260025002600000034013500340000003a002f013000000135002a0000
+0030000000490000034400000053014400001c0100356e0100000701010000000701010057010000009b000004960000008c008b0000008701860087018601000372007d017c0000
+006800000468000000630154000002540000034f0000024000000240000002360000033600000231000000310000052c000004220000021600000022000003220016000000110000
+02160000021600110000001100000116000003160011000000110000010100000121001600150000001600150000002b000003260000022600000026000001350000003a02300000
+0135002b00000230010000450144000000530145004400001d0100356e01000006010100000100000601010056010000009b009a00000096019500960000028b0000048600000177
+00000572005e00000259026800000154000004540000024f00000240000002400000033600000136000004310100002c002b02220000001600000122002100000016001501160000
+002200000021011600150000001100100011000000150000001600150010001100000111000000150016000000150016011000000110000000010000002102150000031500000025
+01260025000000260025012100000126000000350000033000000035012b00000230000003440000024400001f0100356c0100000701010000000701010054010100039a00000195
+0000048b000002860000027700000472005e01000559004a010005540000004e004f0000003f0140003f00000040003f000000360035013600350000003600000131003001310030
+000000220021012200210022000000150016000000210022000000150116001500160000001500160115000000110010011100000016000000100011001000000111001000110100
+0015021000000010001101100000041500000115001000000015000001250000002600250021002000000126002500210000002f0130002f00000035002a002b0000002f01300000
+003000000144000003440000200100356c01000006010100000100000601010053010000059b000000960000008c018b008c018b00000186000001770078007700000372005e0000
+015e00000459004a00000701010005400100063601000131022700000022000003220000021600000022000001160211000000110000021600000411000003110000031100000011
+00100111001000000211000000110000001601150000001500100011001000000116000000260000032100000126002100000021000002300000012b000002300026000001300000
+004400000045004400450000220100356a01000007010100000007010100520100000095009601950096019500960000078b0100057700000172005e0000025e00000359004a0000
+004a00000645000006360000072c00000427000001220000022200000015011600150016000004110000021100000016000000100111001000110000001100000011001000000011
+001001110000001100000110001100000010001100100000021100000015000003100000001500160115000000200121002000000126012100000121000000300000022b00000130
+002600000330000003440000230100356a01000006010100000100000601010051010000009a00000595010007860000067700000072015e0000025e00000259014a0000004a0000
+00450044014500440045010001360035013600350000002c0000012c002b012c002b0100002601270026000000220021012200000022000000150116001500110000001100000011
+001000110000001001110010001100000010011100100011000001110000001000000011001001110000021100000010000002100000001100100111001000000310000002150010
+0000001000000120002100000025012100000221000000300000012b00000130002500260000002f01300000002b0000014400002501013567010000070101000000070101005001
+0000019b000000960095019600950000008c008b000000870186008701860100016d0177007801770000015e0000045e00000159004a0000024a000004450000003b000004360000
+002c0000042c000001270000022700000322000000220000001602110000011100000111000004110000001100000111010001010111000003110000040100000311000003110000
+0011000000110010000001160111000002110000002100000026001500210000012102010000022b0000003001260000023000210000012b00000044000027010035670100000601
+010000010000060101004f010000009a009b019a000001950100028b00000486000001720000036d02770100055e00000059004a0000034a000003450000013b000003360000022c
+0000022c0000022700000127000005220000031100000211000101000411000001110000001000000101001000110010000000110100001100000101011000110000001100000011
+001000000011001000110010000000120111000000100000001101100000001001110010000000210000001500210000002102010010000000150000002b00000030022600000130
+00210000002b002a002b01002901003565010000070101000000070101004e010000049a000000950000058b00000286000002720000046d015900000254035e0000004a0000054a
+000001450000013b003a003b0000003500360000002b012c002b0000002c002b00000027002601270026010000210122021600000011000001110000040100000010011100100011
+000003110000011000110010010000350201000000110110028f0311000000100011011000000411000003100000011100100111000000150121000001010110000001150000002b
+00000025012600000130002000210000002a012b002a00002a010035650100000601010000010000060101004d010000069b0000008b008c018b008c018b00000186000003720000
+036d01590100065400450100054a000000450000043b000000360000052c0100052700000016001b0116001b00160000001200110000000100000101021100000011000002110000
+001100120111000000110100001100000101011101000011006208000011010000110000001100120111010000110000001100100000041100000012000000150000000102100000
+001600150116000003260000003001210000032b00002c01003563010000070101000000070101004c0100000095009601950096019501000381038b010005720000016d01590000
+01590000045401450000064000310100053b0100052c0000041600110000001100000316000003110000041100000211000000110000001100100011010000110010001108000095
+009401950094010002940100059503000011000000110000011101100011000002110000041000000115000100000015000001260000003002210000012b002a002100002d010035
+630100000601010000010000060101004b010000009a000004950000018b000006810000016804720000006d01590000025900000354014501000640003100000531002700000427
+0016000000160000021600110000021100000116000003110000001000000011001000110000001001110010008f01000010050002940100029a000000990100009501000194019b
+009a0000009901000095009401000394030002100100011100100000001100000210000000150010010100000115000000260000002001210000012b002a002100002f0100356101
+0000070101000000070101004a010000009b009a00000096009501960000008b008c008b000000820181008201810100046801720000015900000359005400000154014500000145
+000004400031010004310027000000270000022701160000001600000116001100000311000000160000001201110012000002110000001100000111001000110400019a0000029a
+0100049b00000099019a00990000059b00000099019a00990000059b0100009a01000290040002120000001000000210000100000316000003210000002b01210000310101356001
+000006010100000100000601010048010100009a009b019a000001950000048b00000381000001720000056800540100055900000054014500000245000003400031000001310000
+023101270000002700000227001600000216000001110000020101110000031100000211019406000099019a0099049a0100009a0000009a009b009a0000009a0199009a00000099
+0000039b0000009a0199009a000000990000039b0000009a0199009a0099000005950200001200110000021000010000001500160015001000000010000001210000002b01210000
+340100355e0100000701010000000701010047010000059a000000950000058b00000281000002720000056800540000024f03590000014500000345004000000140003100000231
+0000023100270000022700000027001600000316000000010000010102120000001100000211000001110400009a0099009a000000990100059a000100000199009a0000009a0000
+0199019a0099000001990000009b009a00000199009a0199000001990000009b01000199019a00990000009901000195010002940300001000010000011501100000001001110000
+00210000002001210000350100355e01000006010100000100000601010046010000019600950196009501960000008b008c018b008c018b00000181000004720000036800540100
+064f003b010005450000004001310000033100000031002700000327000000160000001604010000000101120001001200000211000000110000019a0200049a0000039a0000039a
+00010000049a0000049a00000099019a0000009b00000099039a00000199009a00990000059a00000199009a00990000050106000010011100000411000002210000370100355c01
+00000701010000000701010045010000009a000000960195009601950000008600000281038b01000572000002680054000001540000054f003b0000023603450000013100000431
+0000002700000427000101000101001101120000001100000212000002010000039a005c010000990000019a01000199009a0099000000950000019a010100000199009a00940000
+00950000019a0099009a00000199009a00990000009a0099019a0099000003990000008f0000039a000002990095000000940000009b0101020001530000015d005e000001100000
+0111011000000011000000210000390100355c01000006010100000100000601010044010000019a000004950000018600000581006d000001630572000000680054000002540000
+044f003b0000003b00000536002c01000527001601000501000000120111001200110000001201110000001202000093049a02000099009a0000009900000199019a009900000194
+00950000010100000099009a01940095000000940000009a0099009a00000299008f0000008f0000009a019900000299018f0000008f008e0000009a009900000199019400000194
+00930000009b0000000101000049000000530000015d00000010000000110210000001110000002000003a0100355a0100000701010000000701010042010100019b009a009b0000
+00950096010000860087018600000381006d01000463027200000154000003540000024f013b0000003b00000536002c00000527011600000016001b0116001b0016000000120000
+021200000412010001990100029a0200039a0000049a00000395000000010000009a03950000019500940000009a0000019a008f01900000008f00900000019a000000990090008f
+00900000028f0000009a0000009901950094009500000394000004010300004a005e000002110100031200003c0100355a01000006010100000100000601010041010000009b019a
+009b019a000000950000058600000281006d0000016d00000663004f010004540000024f003b0000023b00000336002c0000002c0000032701160100041600000011001200110000
+001200110000001200710011009400000299009a0000009a0000009a02000099019a0094000000950000019a0099009a000001940095019400000194009501940000019400950094
+0000009a0000008f0090018f0000028f0000009a0000048f0000038f0000009501940095009400000094009301940000080103000027001000000012001100150016001500003e01
+013557010000070101000000070101004001000007950000078600000081006d0000026d00000563014f0000014504540000004f003b0000033b00000236002c0000012c00000227
+0116000001160000021600000311000000110171000000940100019a0099009a00000099019a000000010000009900950194009500000094009500000099009a0000009400950094
+018f0000008a0000019400950094000004940000038f0000048f0000048f0000008e018f008e010003940000009400930094008a000100000b010200011500160015010041010035
+570100000601010000010000060101003f010000009a0000009600950196009500960100027c00860087018600870000016d0000036d00000363014f0100044501540000003b0000
+053b00000036002c0000032c000000270116000002160000001b0016000000120011011201670400039a0100049a00000495000002950000009a0000009504900000008b00000295
+000000950094019500850100008f0190008f00000090018f0090000000800000008f01900000028f008500010000008500000094009500000194018a000100000f01010000160000
+4401003555010000070101000000070101003e010000009b009a00000495000001860000047c02860100046d00000263014f0000014f0000054500360100053b0000012c0000032c
+00000116000003160001010000110012007b006c00670100009401990000009a010000990000029a00950094009500000094000000950094019500000195009400950000018f0090
+018f00900000008a008b008a0000009500000094009500940285000000850000008f00900000028f0180000000800000028f0000018f008500010000008400850000019400000093
+028a000100001101000046010035550100000601010000010000060101003d010000039a00000295000002860000057c01680000015e046d00000063014f0000024f000004450136
+00000631002201000501010005010000017b006c0200009a0199009a00000099019a0099000001940095019400950094000000950000009400950094000000950194018a0100038f
+0000038a00000094000000940385000001850000008f0000018f028000000180007f0000008f0000008f028500010000018500840100038a000100005b01003553010000070101000000
+070101003c010000009a019b009a009b00000095009600000186008701860000037c01680100045e016d0000014f0000034f00000345013601000531012200000023012200230122
+0023000005120080007b00990200039a0100019a01950000009500000495000002950000009500000195028b00000086000003900000008a018b008a008b00000085018600850186
+000000850086008501000180008101800000028000000090000002850001000003850000038a000100005d010035530100000601010000010000060101003b010000009b019a009b
+019a009b010005860000027c0168000001680000055e004a0100054f0000014501360000013600000331012200000022000004220000001100000012011100800299009301000099
+010000990000009a00940195009400950000009400000095009401950000019500940095000000940000008b018a008b008a00000086008500000090008f0000008b018a008b007b
+0000007600000385000003850000048000000480000002850001000001850084008500760100028a000100005e01003551010000070101000000070101003a010000079500000786
+0000007c0168000002680000055e004a00000140044f0000004501360000023600000231012200000122000003220000021100000011039902000099009a01990000009500940195
+00940095000000940195000000950094000000950194009501940000048a000002850000008f0000028a027b0000007600000285000003850071010003800000007f0180007f0100
+0285000100000085008400850076000000760000018a00010000600101355001000006010100000100000601010039010000009a0000009600950196009500960100027c00860087
+0186008700000168000004680000035e004a01000440014f0000013600000436000000310122000003220000002200230000011200110012020001990000005e0000039a00000095
+000003950000039500000195000002950186000000810000038b00000186008500860100008b007c007b017c00000177007600000086008500000086008500710072000000710000
+01800081000002800071000100000071000000850001000002850176000001760000008a00010000620100354e0100000701010000000701010038010000009b009a000004950000
+01860000047c0286010005680000025e014a0000004a0000054000310100053600000122000004220000012200000111030000990100005d00000099039a00000095000000950094
+00950000009401950094019501000095018500860185000000800000008b018a00000185008601850000017b007c017b007c00000276000000850000018502710000017100000180
+0000018000710001000001710000008500010000008402760000007600750076000000010000640100354e01000006010100000100000601010036010100039a0000019501000286
+0000057c01630000005905680000025e004a0000014a0000054000310000062c000101000501001201000011010000940000029a019900000099019a0099009a0000009401950000
+01950000019500940195009400000585000002800000018a0000028501760000047b0000047601000371000002710000008000000080027100010000017100000001000000840176
+0075007600000075007601750100650100354c0100000701010000000701010035010000009b009a019b009a009b00000095000000870186008701860000037c0163010003590368
+0000005e004a0000034a000003400031000000310000052c00010000001b0116001b0116001b00160200059a020000950000029a0000039500000095000002950286000000810000
+0386000003810000008b00000086008501770076000000720000017c007b007c00000076017700760077000001710072017100000271005d01000271000100000371010003760000
+04760000670100354c010000060101000001000006010100340100000795000006860000027c0163000001630000045901680000004a0000044a000002400031000001310000042c
+000100000016000005160400039a0053010002950000009a000005950000008500860185008601850000008000000086018500860000008000810180008101000077017600770076
+000000710000007b007c007b0000047600670000037100000271015d0000037100010000037100000476000001760075007600620000680100354a01000007010100000007010100
+33010000009a000005950100017705860000007c0163000002630000065900450100054a000000400031000003310000022c000100000116000004160100009300990000009b0000
+019a0044010003950000009a00000195008a008b008a010001850086018500860000008000810080000001850000058000000476000002710000017b000002760167000000620000
+027100000071035d0000027100010000007100700171005c0100007501760000007601750076006200006a0100354a01000006010100000100000601010032010000009b009a0000
+00960095019600950000008200810000027700870186008700000163000004630000045901450000023b034a00000131000003310000012c00010000001b0116001b00000016001b
+01000094019a0000009b01010300009500960195009600950000058b00000081000003860000038100000086000003810071007201000177007601770000017200710000007c0000
+01770067016800670000006300000071007200000071035d0000007100000171000100000271005d0000005d0000027600000276016200006b010135470100000701010000000701
+010031010000039a0000029500000281000005770186010005630000035901450100063b00270100053100000101000003160000001601000099009a009900000001019b00010000
+000100000295008f01900100008b018a008b008a00000081008000000086018500860000008000810180008101000081017100720171000000670000007701760000047101000467
+00000162000001710000045d0000005d00000071000100000271015d0000015d000000760000007600750162006100006e0100354701000006010100000100000601010030010000
+049a000001950000048100000477015e000000540563000002590145000001450000053b0027000006270000000100000416010003990000059b0000008f0090018f0090018f0000
+00850000008b018a008b000000800081008000000086008500000081018000810180000005710000016700000276000004710000056700000162000000710000045d0000015d0000
+0071000100000071005d005c005d0000005c015d000000760000007501620061006200006f01003545010000070101000000070101002f010000009b009a019b009a019b01000082
+01810082018100000377015e010003540363000000590145000002450000043b0027010005270101000003120200009a0100009a0000009b0101029501000590000001860000028b
+000003810000008600000381016d0100017200710172007100000068006700000077007600000072007101720071005e0000006701680067006800000162006300620100045d0000
+015d0000000100000071035d0000035d000000760362000071010035450100000601010000010000060101002e01000007900000068100000277015e0000015e0000045401630000
+0145000003450000033b0027000001270000032701010000001600000011000000930000009a0099019a00990000009500940195009401950000008b0000008f0190008f00000086
+008501860000008a008b0000008000810180008101000081016c006d016c000000620000007201710072000000670068006700000077007600000271015d00000058000003670000
+03620000045d0000025d00490100035d0000045d000001620061016200007201003543010000070101000000070101002c0101000095000005900000008100000077058100000077
+015e0000025e00000654003b010005450000013b00270000022700000227010100000116000000940100009a0099019a00990000009500000195009401950000018b00000090018f
+009000000085008601850000008a000000810180008101800000056c00000162000003710000036701000171035d000000580000026700000362004e0000045d0000015d01490000
+005d005c015d005c0000005d005c015d00480000006200610162000074010035430100000601010000010000060101002b0100000196009500000091009001910090000001810000
+02770082018100820000015e0000045e00000454013b0000013604450000003b012700000327000000270101000000160300059a00000195000003950000038b0000019000000586
+0100018103720000056d00000263000000710072000000670168006700680100015e005d015e000001590058000000680067000000630162004f000000490000025d0000015d0249
+0000045d0000025d0049000000490000026200007501003541010000070101000000070101002a010000049500000190010003810000047701810100055e00000354013b01000436
+014500000127000004270000010102000094009a0000009a0000039a00000395000001950000018b008a018b00000090000000850186008501860085000000720171007201710000
+00620000006d016c006d00000062006301620000017100000167006801670000055d000002580000006700000162024e000000490000025d00000349000000490000025d0000025d
+01490000004900000062006100007701013540010000060101000001000006010100280101000595000000900000058100000577005e0000004f055e00000254013b0000013b0000
+053600270100050100120200009301990000019a0000019a0099009a000003950000009500940000008b008a018b008a008b01000086018500770176010000710072017100720071
+000000620000036c00000362000000710000036701530000045d000003580000006700000062024e000002490000005d00000449000000490000005c015d0000015d004800490000
+004800490000006100620000790100353e010000070101000000070101002701000000900191009001910090019100000072068100000377005e0000005e0000024f035e00000054
+013b0000023b0000053600270000012200230122002301220100029a0000009b009a019b0000019a0000049500010100068b000006770000006800000372000002630000016d0000
+0563010000680053015400530000004f0000015e005d005e0000005801590058005900000062004e004f014e00000149004a0000005d00000349000002490000005d0000015d0249
+000001490000006200007b0100353e01000006010100000100000601010028010000069001000272048100000277005e0000015e0000044f015e0000013b0000043b000003360027
+00000027000004220100009a0199009a0000009a009b019a009b0000009a000006010000007c007b017c007b017c0100007701760077017600000167000001710072007100000063
+01620000016c000001620063016200630000005300540153005400530000004f0000025d000005580000034e0000044900000449000002490000005d0000005d0249000003490100
+7c0100353c010000070101000000070101002801000005900000018100000372038100000077005e0000035e0000054f00360100053b000002360027000001270000012200940022
+0100009a010000990000069a0000008500860185008601850100007b007c017b007c017b0000007100000077017600770076000000680067000000720171000003620000006c0000
+0362014e010004530000024e0000015d0000035800440100034e00000449000003490000034900350000005d004801490048000000490048014900007e0100353c010000060101000001
+00000601010029010000009100900191000002810000057201810000015e0000035e0000054f003600000131053b00000036002700000327000000940200039a0000069001000686
+000000770000047c000001720000037700000368000001720000046301000063044f0000004900000054005301540000014f004e0000005e00000159005801450044000000400000
+004e004f00000049004a0149004a00350000034900000249000100350000034900000349003500007f0100353a010000070101000000070101002a01000001900000048100000672
+00590100055e0000034f003601000431023b000001270000022701940200039a01000090008f0190008f019000000086000000850186008500860000007600770000007b017c007b
+00000072007101720000007600770000006700680167006800000071000001620063016200630000004e004f014e004f004e0000004a00490000005401530000014e004f014e0100
+005803440000013f0000014e00000249013500000049000001490000014901010135000003490000024900340000810100353a0100000601010000010000060101002a0100000090
+000005810000057201590000004a055e0000024f003600000136000006310001010003010200019a0099019a0000019000000190008f019000000186000000860185008600000076
+007701760000017b007c00000071007201710000017600000167006801670000007100000362014e0000054e00000249000001530000044e000005440000013f0000004e00000249
+023500000035000001490000004901010135000000350000004800490000004801490034003500008201013537010000070101000000070101002b01000000720681000003720159
+0100034a035e0000004f00360000023600000531010100000016001b01990200049a00000290000003900000038600000286000003770000017c0000047200000077000006680000
+0163034f000000450000034f0000014a0049004a000000530000004f004e014f003a010000440145004400450000003f01400000004e000000490035003601350000013500000049
+0000020102350000003500000149000000490235000085010035370100000601010000010000060101002b01000002720481000002720159000001590000044a015e000001360000
+0336000003310101000003990000007c0000009a0000039a000003900000019000000186008501860000018600000177007601770000007c00000071017200710172007101000167
+00680167006800670000004f014e004f014e000000440000004f014e004f00000049004a0149000000530000004f004e003a003b003a00000036000003440000033f000000490435
+000001350000004900000001033500000135000000490000004900350034013500008601003535010000070101000000070101002c01000003720381000000720159000002590000
+064a0031010004360000023101010499007b0100029a0000009a00990000049000000090008f00000086008501860085000000850000007701760077017600770100007201710072
+017100720000005300540153005401530100044e000002440000014e000005490000004e033a00000135000002440000043f00000435000003350000000100340135003400350000
+013500010100003500340135000088010035350100000601010000010000060101002c0100000572018100000159000004590000044a01310000012c043600000031010101000299
+0200009b009a019b0000009a0100050101000686010006770000075e000006540000004a0000034f000002450000014f00000049014a0049014a0000013b003a013b000001360035
+00000045004400000040003f0040002c0000002700000135003600350000003601350036000004350000013501010000043500008901003533010000070101000000070101002d01
+000006720054010005590000034a01310100042c013600000101010000990300019a009b019a009b009a000000810080018100800181008000000072007101720071017200710000
+0068006701680067016800670000005e015d005e015d005e0000004e0000015300540153000001490000014e004f00000044004501440000004e0000004a0149004a01350100003a
+003b013a0000013500360035000000440000013f022b00000026000002350000033500000026000003350000003501010000002600000135003400008b01003533010000060101000001
+0000060101002d010000057201540000004505590000024a0131000001310000052c00010200029a00990000008f0190008f0190008f010000800081018000810180010000710072
+017100720171010000670068016700680167000000580000005e015d005e015d0000004e00000054015300540053000002490000014e00000444010000490435000000300000023a
+000004350100032b00000226000001350000013501260000002600000034013500000201002100000026000000350034003500008c01003531010000070101000000070101002c01
+003500010000037201540100034503590000004a0131000002310000052c0001049a0090000000900000059000000081000005810000007200000572000000630000056800000059
+0000045e0000014f000003540000034a0000004f0000054500000536000001310000003b003a0000003600350136003500360000002b012c002b002c000000260127000000350000
+0135002700260000002700260027000001350000000101210000012700260000003500008e010135300100000601010000010000060101002b010035010100000272015400000154
+00000445015900000131000004310000032c059a0090000001900000008f0190008f0090000000800081000000800181008000810000007100720000007101720071007200000062
+0063000000670168006700680000015800590000005d005e015d0000014e004f00000053005400000049004a0149004a0000004e0000014400450044003500360000003500360135
+003600350000003100300000003b003a000000360135003600260100032b000000270126002700260100032600000226000000350000000102210000022600000035000090010035
+2e010000070101000000070101002a010035030100000072015400000254000006450031010005310000022c0100039a00900000039000000090008f019000000181008000000180
+00810080000001720071000001710072007100000063016200000167006800670000005901580000015d005e0000004e004f014e00000153000005490000014403350000002b0000
+0335000002300000003a000002350226000000210000012b000005260000032600000426010000200121000004260000920100352e01000006010100000100000601010028010135
+040100000154000004540000054500310000012705310094002c010000010000019a0190000003900000029000000381000002810000037200000272000003630000026800000359
+0000025e0000034f000000540000064a000005360000002c000002360000043101000036002700260127000001220000012c00000127002600270016010000270126000000260127
+0026012700000221000000270026012700260000940100352c01000007010100000007010100270100350701010005540000044500310000003100000327013100940200019b0001
+000001900000059000000090000001810080018100800000008100800000007200710172007100000072007100000063006201630062000000680067000000590158005900580000
+005e0000004e004f014e004f004e01000149004a01350036010000360135003600350000002c012b00000135000001300031013000000126002701260000012100220000002b0000
+0126002701150016000000150000012600000326001500000015000001210000022601010000950100352c0100000601010000010000060101002601003508010000004506540000
+02450131000000310000032701940200039b0200003a012b000002010000008f00000081008001810080008100000080000000720071017200710072000000710000016200630162
+006300000067000001580059015800590000005d0000014e004f014e004f0000003500360135003601350000002b000003350000022b000000350000033000220000001500000326
+00000321010000260315000000160015000000260000022601150000001500160000002000000126001501010000970100352a010000070101000000070101002501003509010000
+0245045400000245003100000231000002270200060100000886000007810100067201000663010006590000024f033b000005360000012c000002360000042c0100003103220000
+00160000012700260000042200000016001501160015000000160400002700150116000003160100021500010000990100352a010000060101000001000006010100240100350b01
+000003450354000000450031000003310000012702000695010000860085018600850186008501000071017200710172007100720000005d015e005d015e005d005e0000004e014f
+004e014f004e004f00000044014500440145004400450000013a003b013a003b0000003000000135003601350000012b002c0000003500360000002b002c012b002c000000210022
+01210022000000150016001500000027000000210022012100110a00006c01000315000001160015001600000215000100009b010135270100000701010000000701010023010035
+0c0100000545015400000031000005310100009900000095000001950094019500940000008600000186008501860085008600000071000001710072017100720100005e015d005e
+015d005e005d0000004f014e004f014e004f004e0000004501440045014400450100003b013a003b013a0000003000000036013500360000002b002c012b000000350000032b0015
+000000160000002100220121000001150016020001940095019401000098009a0400016c006b016c0100001500000016011500100000001100000015010100009d01003527010000
+060101000001000006010100220100350e0100000645002c01000331010001990000019500000495000001860000058600000172000005720000005e0000055e0000004a0000054f
+0000004000000545000000360000033b00000231000001360000052c0100002c03160000001600000222000000160000009b009a009b00000099010000950100039a000001670000
+0053010004530000001601100011000002120000000100009f0100352501000007010100000007010100210100350f0100000545012c000002010100029900000395000002950000
+03860000018600850086000000710172007100000072007101720000015e0000015e005d015e005d0000004a0000014f004e014f004e000000400000014500440145000000350036
+0000003a003b013a0000013000310000003500360000002b002c012b002c002b0000001600150116001500000016001500160100009a009b019a009b009a000003990000019a0099
+019a010000670000015300520053010000530100003f0100001000000011011200110100a10100352501000006010100000100000601010020010035110100000345012c0000002c
+00000022000003990000059500000094000000860085018600850000008600850186000001720071007200000071007201710000015d005e0000005d005e015d00000149004a0000
+004e004f014e0000013f000001440045004400000036013500360000003a003b0000003000310130000000350000002c012b002c01150000001500000016011500160100019a0000
+009a0000029a0100019901940100009a0099019a00000049004802000039013a00390100003e013f003e003f0100001200150100a401003523010000070101000000070101001e01
+0135120100000245012c0000012c000000220200009900000195009601950096009500000095000005860000018600000472000002720000035e0000035e0000024a0000034f0000
+024000000245000003360000013b000004310100002c041600000016000001160000019a009b009a0000029a0000009a0000009a04950000008f0000019a00000049010002350300
+03010600a7010035230100000601010000010000060101001d010035150100000045012c0000032c010000770100008b008a018b008a018b008a008b000006860000008600000172
+00710172007100720000007100720000005d015e005d0000005e005d005e00000049014a00490000004f004e004f0000003f0140003f000000450044000000360135003600350000
+003b0000003000310130003100300000001600150116001500160400049a0000019a0099019a0000009400950194009500940000018f0000009a00990300ba010035210100000701
+01000000070101001c01003516010000012c0000042c0200005d0000008a018b008a018b008a008b0100017700760077008600850186010000720071017200710172000000720000
+005d005e015d005e005d0000005e005d0000004a0149004a00490000004f004e00000040013f00400000004400000135003601350036003501000130012200210000001500000016
+0015009301000098019a000000950000039a00000199009a008f0000008a000003940000038f0100bf010135200100000601010000010000060101001b01003518010100052c0000
+025e004a0000068b0000007700000677000008720100055e0000005e0000054a0000004f000005400100063600000522010001940100039a000002950000019a0000019a02900000
+008a0000039500000190008f00900000c20100351e010000070101000000070101001a0100351901000006010000005d005e01490000008a018b008a018b00000177000001770076
+017700760100005d015e005d015e005d015e0000015e005d015e005d015e0100004a0049014a0049014a01000040003f0140003f0040000000260127002601270026000000160000
+012200930100009800990100049a00000195009400950000009a0000009a018f0090008f0000008b018a000001940000028f01800000c30100351e01000006010100000100000601
+0100190100351b01000005220000005d02490100008b008a018b0000017700760000007700760177007600770000005d0000015d005e015d005e005d01000149004a0149004a0149
+0000013500360135003601350000012b002c012b002c000000210000002700260127037b00940193000000990098019a0000009500000099019a0099000000950094019500940000
+058f0000028a000000940000018f02800000c50100351c01000007010100000007010100180100351c0100000122002301220000005e014a0300038b00000377000003770000015e
+0000065e0000004a0000054a010006360100052c00000022000001270180020001940100039a000002950000019a00000295018b010004900000018b008a018b0100008100800181
+00800000c60100351c0100000601010000010000060101000c01031500010215020100351e010000032200000049010000350026000000010000008b008a00000077007601770076
+00000077007601770000015e005d0000005e005d015e005d0000004a00490000004a0049014a0049004a00000035000000360035013600350036000000260000002c002b012c0000
+01220021018001000099009800990100019a0099019a00000195009400950000009a00000095018a008b018a0000008500000090018f00900000008a008b018a008b000004800000
+c80100350a0103150101021506010000070101000000070101000d01011501010115020100351f0100000322010001350026000001010000008a0000007700760177007601770000
+01770000015e005d005e0000005d005e015d00000149004a00490000004a0149004a000000350036000000350036013500360000002600270000002b002c012b0000002100950080
+0100009900980099019a0000009500000099019a0099000000950094019500940000058a000001850000028f0000048a0076000004800000c90100350a0101150301001508010000
+0601010000010000060101000d01011501010015010101352101000000230022010001360100030101000677000001770000035e0000035e0000034a0000034a0000013600000336
+000003270000012c0000012200950000059a000002950000019a00000295018b0100058b0000008600850086000001900000008a018b0076007701000181008000810000cb010035
+090101150201001508010000070101000000070101000e01001500010115000100352301000000220000001000000035000005010000007601770076017700760077000000760000
+005e005d015e005d005e0000005d005e00000049014a0049004a00000049014a00000136003500360000003501360000012700260027008f017b0000019a000000950000009a0099
+019a000003950000009900000095018a008b018a000000800000008b018a008b00000085008601850000008f0000008b008a03760000006c000002800000cc010135080100150201
+0015090100000601010000010000060101000e0102150001003525010200003500000701000000630062006300770076017700760100005d015e005d015e0000005e00000049004a
+0149004a0149000001490000013500360035000000360035000000270026018f007b0000019a0099009a0000019500000099019a0099000000950094019500940000058a00000180
+0000038a00000485010004760000016c000001800000cf010035070101150001001509010000070101000000070101000e0102150035280100000901000007630000075e0100064a
+0000004a000004360000003600000127008f007b0000049a000003950000019a00000295028b0000058b00000081008000810000018b000000850186008501860000017700760177
+00760000006d006c0000008100800000d0010035060103150a0100000601010000010000060101000e010115003535010000006300620163006200630100014a0049014a0049014a
+0000014a0049014a0049014a00490100003501360035013601000027002600990000009b0000039a000003950000009900000095018a008b018a000000800000008b018a008b0000
+0080008101800000018a0000018500860085006c006d000004760000026c000000800000d2010035060101150a010000070101000000070101000d01031535010000006201630062
+01630000004a00000049014a0049014a010000360035013600350136003500360000002601270026012700260000001601990000029b0000019a00000095014e00300200068a0000
+00800000038a000003800000008a00000285026c00000062000003760000036c0100da0101150b0100000601010000010000060101000d010015000101153601000003630000014a
+0000054a0000003600000636010005270000029a00000101009b00010000009a0000004f004e003a038b0100048b000002810000018b0000008001810080018101000086006c016d
+006c006d0000006200000077007600770000006c016d006c006d0000da0101150b010000070101000000070101000c01011501010015360100000062016300620000004a0049004a
+00000049014a0049000000360035000000360035013600350136000000270000008a012700000099009a01990000059b0000008a008b018a008b018a000000800000008b018a008b
+008a0000008101800000018a000001800081018000810000006c006d016c006d006c00000262000001760000046c0000da0101150c0100000601010000010000060101000c010015
+0201011536010000006300620000004a0049014a0000014a0049004a0000003500360035000001360035013600000027018a002700940000009a010000990000029b008f0090018f
+0100008a008b018a008b008a0000008100800000028a000003800000008a0000038002670000056c00000262000000760000036c01530000da0101150b0100000701010000000701
+01000b010215000103153501000000630000044a0000024a00000336000003360000008a012701940000039a00000690000000860000048b000002810000028b0000048101000081
+00670168006700680000005d0000006d006c016d0000016300620063000000760000006d006c015400530000da0103150b0100000601010000010000060101004a0101000049014a
+0049014a0000014a000001360035013600000136000000270000009300940100019a009400950000008a00000090018f0090018f000001850000018a008b008a0000008101800081
+0000008a000001800081018000810000006700680167006801670000005d0000006d016c006d000004620000006c04530000e9010000070101000000070101004a0100000049014a
+0049014a00490000004a00000036013500360135000000360200009300940000009900950194009500940000008b0000008f0090018f009000000085008600850000008b018a0000
+0180008101800000008a000003800167000005670000015d0000026c00000562000004530000eb0100000601010000010000060101004a0100000336034a01000536010002990100
+05950000028b00000390000003860000018b000005810000018101680067006800000058000000680067016800670000005e005d005e0000006c006d00000062016300620063004a
+00000154005301540000ea010000070101000000070101004b0100000035013600350136003500000422010000980099009a0099009a00000090000000950094019500940000008b
+008a008b0000018f0090000000850086018500860000008a000001800081018000810080000000680167006801670000005800000068016700680000005d005e015d0000006c0000
+036201490000003f000003530000eb0100000601010000010000060101004b0100000136003501360035000000270000012200210000009a0099019a0099009a0000008f00900000
+0094009501940000018a008b018a0000018f0000018500860185008601000081018003670000046700000258000002670000035d0000006c0000016203490000003f000002530000
+eb010000070101000000070101004c010000043600000027000001220200039a00000390000002950000048b00000090000006860000066800000059000000670168006700000059
+005800590000006701680000015e005d015e00000063004a0049014a004900000040003f00000054005300540000ec0100000601010000010000060101004c010000013600350036
+0000002601270200006c0000009a0099019a00000490000000950000008a018b008a018b008a010001850086016c006d006c00000068016700680167006800000058000001670068
+00000058005901580059000000670000015d005e015d005e000005490000023f000001530000eb010000070101000000070101004c0100000036003501360000012700260100026c
+0000019a00000190008f0190008f000000940000008b018a008b018a008b0000066c0000005d00000467000001580000026700000458000000670000035d0144000004490000033f
+000000530000ed0100000601010000010000060101004d0100000136000004270000006d006c00540000009a00000790000006770100066d0000005e000004680000025900000168
+000001590058015900580000005e005d0145004400450000003a0000004a0049014a00000140003f0040000000530000ec010000070101000000070101004d010000003600000127
+002601270000016c01530100008000810180008101800081010000770176007701760077000000620000016c006d016c0000015d0000016700680067000000590158005900000067
+000001580059015800590058000000450144004501440000003a000002490000053f0000ee0100000601010000010000060101004e01010000270026012700260000006c0200002b
+0000018000810180008101800000006c000000770176007700760000006300620000046c0000015d00000367000003580000006700000358023f000004440000023a000001490000
+053f0000ed010000070101000000070101004e0100000016011b0016011b01000040003f002c0000002b000005810000016d00000477000001630000036d0000035e000001680000
+05590000005900580140003f01400000003600000044014500440000003b003a003b0000004900000040003f0140003f002c0000ef0100000601010000010000060101004f010000
+04160000003f012b01000001000000810180008101800000016c00000176007700760000006301620000016c006d006c0000005e015d005e00000067006800000058005901580059
+005800000040013f0040013f0040000000350000014400450000003a003b013a000000490000023f022b0000ee010000070101000000070101004f01000003160000003f002b0100
+030100000081018000810000006c006d006c000000770176007700000062006301620000016c0000045d0000006700000358023f0000053f00000135000002440000043a0000013f
+032b0000f001000006010100000100000601010050010000001b001603000501000003810000036d00000177000004630000016d0000055e010000590440000000360000003f0140
+003f0040000000350136000001450000013b003a013b0000012c002b012c002b0000ef01000007010100000007010100500100000016020007010000018000810000006c006d016c
+006d000000760077000000620063016200630000006c0000015d005e015d005e005d00000040013f0040013f0040000000350000013f0040003f0000003601350036000000440000
+013a003b003a002600270100032b0000f1010000060101000001000006010100510100000b01000001800000016c006d016c000000760000006301620063016200630100025d0344
+0000053f000001350000033f00000335000000440000013a0226000000210000022b0000f1010000070101000000070101005e01000000810000066d010006630000064500000036
+000004400000023600000140000001360035013600350000003b0026012700260027000001220000002b002c0000f20100000601010000010000060101005f010100016c006d016c
+006d006c0000004a0149004a0149004a0049000000450144004501440045000000350000013f0040003f00000036013500360000003f004000000035003601350036003500000027
+0126002700260000002201210000002b0000f2010000070101000000070101005f01000000530054015300540153005400000049004a0149004a01490000003a0000044400000235
+0000023f000003350000003f0000033501210000001500000326000003210100f301000006010100000109005f0100000654000000400000054a0000003b00000445000002360000
+02400000043601000035042200000016000000260127000004220000f301000000010800000000010000000100000001000000010000000100006001000001530054015300540000
+003f00000149004a01490000013a003b0000004400450044000000360135003600350000004000000035003601350036003500000022012100220121000001150016000000260027
+000000210022002100100000f501000000010000000100000001000000010100000100000601010060010000005401530054005300000040013f00000149004a00490000023a0000
+0244000004350000003f00000335002100000015000003210000001500160115000000260000012101100000f501000007010100000007010100610100000354000002400000024a
+0000043b00000045000006360194003600220300001600000222000005160100001001110000f70100000601010000010000060101006101000000530054005300000040013f0040
+00000049004a00490000003b013a003b003a00000045000000350036013502940000008501000276040000220000001500160115001600150000001101100000f7010000070101000000
+0701010061010000015300540000003f0040013f0040000000490000063a000001350099039400850084010000750176005c015d005c000000490200001501100100001000000010
+0000f9010000060101000001000006010100620100000054000005400000004a0000063b018501990700004e045d000004490700f901000007010100000007010100620100000054
+0000003f0040013f0040013f0000013a003b003a00270285009900940100017b0100005d004e0000004e0300015d000001490030002f0030000000250026ff010000060101000001
+000006010100630100000040013f0040013f0040003f000000270026037601940200007a01940000005d004e0000024e00000015000f0700ff010101000007010100000007010100
+63010000062c0000002200000027007601000094020004950000005d004e000001160100003501000126ff010701000006010100000100000601010064010000012c002b012c002b
+00000022000000760000015d0000019400950194009500940100001500000015000000350200ff010a0100000701010000000701010064010000012b002c012b000001210022005d
+0000025d00000594000000100400ff010e01000006010100000100000601010065010000032c0000022201000027015d00000495000001010000002bff0110010000070101000000
+0701010065010000002c002b002c000001210022002100000049020000260000009501940300ff011301000006010100000100000601010066010000002c002b0000002201210000
+0449010002940000ff01150100000701010000000701010066010000002c0000032200000049004a01490011020000950000ff011701000006010100000100000601010067010100
+00220011002600000149000102000101000000940000ff0116010000070101000000070101006701000001110126030005010000ff01180100000601010000010000060101006801
+010000010000ff0122010000070101000000070101006a010000ff0124010000060101000001000006010100ff018f01000007010100000007010100ff0190010000060101000001
+000006010100ff018f01000007010100000007010100ff01900100000601010000010000060102000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000070101000000070101000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000601
+0100000100001e010000ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01010000001f010100ff015f0101001e0101000001
+00001e010000ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01010000000001ff00a3000001ff00a400
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/3doptvb.ps b/books/ps/3doptvb.ps
new file mode 100644
index 0000000..2292406
--- /dev/null
+++ b/books/ps/3doptvb.ps
@@ -0,0 +1,20100 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	48	205	230	76	psDrawLine
+	globGC	(X)	43	210	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	251	205	69	76	psDrawLine
+	globGC	(Y)	256	210	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	26	149	210	psDrawLine
+	globGC	(Z)	154	21	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.500000	setForeground
+	renderGC
+	145	58
+	154	58
+	149	65
+	4	145	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	58
+	149	65
+	3	145	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	48
+	158	47
+	154	58
+	4	149	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	47
+	154	58
+	3	149	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	47
+	149	48
+	145	58
+	4	141	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	48
+	145	58
+	3	141	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	58
+	145	58
+	149	48
+	4	154	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	58
+	149	48
+	3	154	58	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	37
+	154	37
+	149	48
+	4	145	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	37
+	149	48
+	3	145	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	47
+	149	48
+	154	37
+	4	158	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	48
+	154	37
+	3	158	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	48
+	141	47
+	145	37
+	4	149	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	47
+	145	37
+	3	149	48	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	37
+	163	35
+	158	47
+	4	154	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	35
+	158	47
+	3	154	37	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	35
+	145	37
+	141	47
+	4	136	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	37
+	141	47
+	3	136	35	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	93
+	193	93
+	188	88
+	4	184	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	93
+	188	88
+	3	184	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	88
+	180	84
+	184	93
+	4	188	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	84
+	184	93
+	3	188	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	84
+	188	88
+	184	76
+	4	180	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	88
+	184	76
+	3	180	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	93
+	115	93
+	111	88
+	4	106	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	93
+	111	88
+	3	106	93	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	119	84
+	111	88
+	115	93
+	4	119	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	88
+	115	93
+	3	119	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	88
+	119	84
+	115	76
+	4	111	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	84
+	115	76
+	3	111	88	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	189	95
+	198	90
+	193	93
+	4	189	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	90
+	193	93
+	3	189	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	93
+	184	93
+	189	95
+	4	193	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	93
+	189	95
+	3	193	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	90
+	110	95
+	106	93
+	4	101	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	95
+	106	93
+	3	101	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	93
+	106	93
+	110	95
+	4	115	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	93
+	110	95
+	3	115	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	180	96
+	189	95
+	184	93
+	4	180	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	95
+	184	93
+	3	180	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	93
+	176	91
+	180	96
+	4	184	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	91
+	180	96
+	3	184	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	91
+	184	93
+	180	84
+	4	176	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	93
+	180	84
+	3	176	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	95
+	119	96
+	115	93
+	4	110	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	96
+	115	93
+	3	110	95	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	123	91
+	115	93
+	119	96
+	4	123	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	93
+	119	96
+	3	123	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	115	93
+	123	91
+	119	84
+	4	115	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	91
+	119	84
+	3	115	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	96
+	180	96
+	176	91
+	4	171	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	96
+	176	91
+	3	171	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	91
+	167	88
+	171	96
+	4	176	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	88
+	171	96
+	3	176	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	88
+	176	91
+	171	80
+	4	167	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	91
+	171	80
+	3	167	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	84
+	171	80
+	176	91
+	4	180	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	80
+	176	91
+	3	180	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	96
+	128	96
+	123	91
+	4	119	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	96
+	123	91
+	3	119	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	88
+	123	91
+	128	96
+	4	132	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	91
+	128	96
+	3	132	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	91
+	132	88
+	128	80
+	4	123	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	88
+	128	80
+	3	123	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	80
+	119	84
+	123	91
+	4	128	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	84
+	123	91
+	3	128	80	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	176	99
+	185	96
+	180	96
+	4	176	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	96
+	180	96
+	3	176	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	95
+	180	96
+	185	96
+	4	189	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	96
+	185	96
+	3	189	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	96
+	171	96
+	176	99
+	4	180	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	96
+	176	99
+	3	180	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	96
+	123	99
+	119	96
+	4	114	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	99
+	119	96
+	3	114	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	96
+	119	96
+	123	99
+	4	128	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	96
+	123	99
+	3	128	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	96
+	110	95
+	114	96
+	4	119	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	95
+	114	96
+	3	119	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	80
+	180	84
+	176	70
+	4	171	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	84
+	176	70
+	3	171	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	76
+	176	70
+	180	84
+	4	184	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	70
+	180	84
+	3	184	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	84
+	128	80
+	123	70
+	4	119	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	80
+	123	70
+	3	119	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	70
+	115	76
+	119	84
+	4	123	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	76
+	119	84
+	3	123	70	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	99
+	176	99
+	171	96
+	4	167	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	99
+	171	96
+	3	167	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	96
+	163	95
+	167	99
+	4	171	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	95
+	167	99
+	3	171	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	95
+	171	96
+	167	88
+	4	163	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	96
+	167	88
+	3	163	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	99
+	132	99
+	128	96
+	4	123	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	99
+	128	96
+	3	123	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	95
+	128	96
+	132	99
+	4	136	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	96
+	132	99
+	3	136	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	96
+	136	95
+	132	88
+	4	128	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	95
+	132	88
+	3	128	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	96
+	194	90
+	189	95
+	4	185	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	90
+	189	95
+	3	185	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	198	90
+	189	95
+	194	90
+	4	198	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	95
+	194	90
+	3	198	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	90
+	114	96
+	110	95
+	4	105	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	96
+	110	95
+	3	105	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	95
+	101	90
+	105	90
+	4	110	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	90
+	105	90
+	3	110	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	99
+	167	99
+	163	95
+	4	158	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	99
+	163	95
+	3	158	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	95
+	154	94
+	158	99
+	4	163	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	94
+	158	99
+	3	163	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	94
+	163	95
+	158	86
+	4	154	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	95
+	158	86
+	3	154	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	88
+	158	86
+	163	95
+	4	167	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	86
+	163	95
+	3	167	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	99
+	141	99
+	136	95
+	4	132	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	99
+	136	95
+	3	132	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	94
+	136	95
+	141	99
+	4	145	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	95
+	141	99
+	3	145	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	95
+	145	94
+	141	86
+	4	136	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	94
+	141	86
+	3	136	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	86
+	132	88
+	136	95
+	4	141	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	88
+	136	95
+	3	141	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	70
+	184	76
+	181	59
+	4	176	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	76
+	181	59
+	3	176	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	76
+	123	70
+	118	59
+	4	115	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	70
+	118	59
+	3	115	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	86
+	167	88
+	163	76
+	4	158	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	88
+	163	76
+	3	158	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	80
+	163	76
+	167	88
+	4	171	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	76
+	167	88
+	3	171	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	88
+	141	86
+	136	76
+	4	132	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	86
+	136	76
+	3	132	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	76
+	128	80
+	132	88
+	4	136	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	80
+	132	88
+	3	136	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	99
+	158	99
+	154	94
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	99
+	154	94
+	3	149	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	99
+	149	99
+	145	94
+	4	141	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	145	94
+	3	141	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	94
+	145	94
+	149	99
+	4	154	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	94
+	149	99
+	3	154	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	94
+	154	94
+	149	86
+	4	145	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	94
+	149	86
+	3	145	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	86
+	149	86
+	154	94
+	4	158	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	86
+	154	94
+	3	158	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	86
+	141	86
+	145	94
+	4	149	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	86
+	145	94
+	3	149	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	102
+	163	101
+	158	99
+	4	154	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	101
+	158	99
+	3	154	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	99
+	158	99
+	163	101
+	4	167	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	99
+	163	101
+	3	167	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	99
+	149	99
+	154	102
+	4	158	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	154	102
+	3	158	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	101
+	145	102
+	141	99
+	4	136	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	141	99
+	3	136	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	99
+	141	99
+	145	102
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	99
+	145	102
+	3	149	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	99
+	132	99
+	136	101
+	4	141	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	99
+	136	101
+	3	141	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	163	101
+	172	99
+	167	99
+	4	163	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	99
+	167	99
+	3	163	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	99
+	167	99
+	172	99
+	4	176	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	99
+	172	99
+	3	176	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	99
+	136	101
+	132	99
+	4	127	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	101
+	132	99
+	3	127	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	99
+	123	99
+	127	99
+	4	132	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	99
+	127	99
+	3	132	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	102
+	154	102
+	149	99
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	102
+	149	99
+	3	145	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	86
+	158	86
+	154	74
+	4	149	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	86
+	154	74
+	3	149	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	76
+	154	74
+	158	86
+	4	163	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	74
+	158	86
+	3	163	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	86
+	149	86
+	145	74
+	4	141	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	86
+	145	74
+	3	141	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	74
+	136	76
+	141	86
+	4	145	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	76
+	141	86
+	3	145	74	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	99
+	181	96
+	176	99
+	4	172	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	96
+	176	99
+	3	172	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	96
+	176	99
+	181	96
+	4	185	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	99
+	181	96
+	3	185	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	96
+	127	99
+	123	99
+	4	118	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	99
+	123	99
+	3	118	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	99
+	114	96
+	118	96
+	4	123	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	96
+	118	96
+	3	123	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	76
+	171	80
+	167	65
+	4	163	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	80
+	167	65
+	3	163	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	70
+	167	65
+	171	80
+	4	176	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	65
+	171	80
+	3	176	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	80
+	136	76
+	132	65
+	4	128	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	76
+	132	65
+	3	128	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	65
+	123	70
+	128	80
+	4	132	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	70
+	128	80
+	3	132	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	74
+	145	74
+	149	86
+	4	154	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	74
+	149	86
+	3	154	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	90
+	204	81
+	198	90
+	4	194	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	81
+	198	90
+	3	194	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	81
+	105	90
+	101	90
+	4	95	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	90
+	101	90
+	3	95	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	96
+	190	90
+	185	96
+	4	181	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	90
+	185	96
+	3	181	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	90
+	185	96
+	190	90
+	4	194	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	96
+	190	90
+	3	194	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	90
+	118	96
+	114	96
+	4	109	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	96
+	114	96
+	3	109	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	96
+	105	90
+	109	90
+	4	114	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	90
+	109	90
+	3	114	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	101
+	158	101
+	154	102
+	4	149	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	101
+	154	102
+	3	149	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	101
+	154	102
+	158	101
+	4	163	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	102
+	158	101
+	3	163	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	101
+	149	101
+	145	102
+	4	141	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	101
+	145	102
+	3	141	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	102
+	145	102
+	149	101
+	4	154	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	149	101
+	3	154	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	102
+	136	101
+	141	101
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	101
+	141	101
+	3	145	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	74
+	163	76
+	158	62
+	4	154	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	76
+	158	62
+	3	154	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	65
+	158	62
+	163	76
+	4	167	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	62
+	163	76
+	3	167	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	76
+	145	74
+	141	62
+	4	136	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	74
+	141	62
+	3	136	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	62
+	132	65
+	136	76
+	4	141	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	65
+	136	76
+	3	141	62	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	101
+	167	99
+	163	101
+	4	158	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	99
+	163	101
+	3	158	101	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	99
+	163	101
+	167	99
+	4	172	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	101
+	167	99
+	3	172	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	99
+	141	101
+	136	101
+	4	132	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	101
+	136	101
+	3	132	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	101
+	127	99
+	132	99
+	4	136	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	99
+	132	99
+	3	136	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	65
+	176	70
+	172	53
+	4	167	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	70
+	172	53
+	3	167	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	59
+	172	53
+	176	70
+	4	181	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	53
+	176	70
+	3	181	59	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	70
+	132	65
+	127	53
+	4	123	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	65
+	127	53
+	3	123	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	53
+	118	59
+	123	70
+	4	127	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	59
+	123	70
+	3	127	53	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	99
+	176	96
+	172	99
+	4	167	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	96
+	172	99
+	3	167	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	96
+	172	99
+	176	96
+	4	181	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	99
+	176	96
+	3	181	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	96
+	132	99
+	127	99
+	4	123	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	99
+	127	99
+	3	123	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	99
+	118	96
+	123	96
+	4	127	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	96
+	123	96
+	3	127	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	74
+	154	74
+	149	61
+	4	145	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	74
+	149	61
+	3	145	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	62
+	149	61
+	154	74
+	4	158	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	61
+	154	74
+	3	158	62	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	61
+	141	62
+	145	74
+	4	149	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	62
+	145	74
+	3	149	61	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	30
+	159	30
+	154	37
+	4	149	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	30
+	154	37
+	3	149	30	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	163	35
+	154	37
+	159	30
+	4	163	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	37
+	159	30
+	3	163	35	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	140	30
+	149	30
+	145	37
+	4	140	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	30
+	145	37
+	3	140	30	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	154	37
+	145	37
+	149	30
+	4	154	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	37
+	149	30
+	3	154	37	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	145	37
+	136	35
+	140	30
+	4	145	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	35
+	140	30
+	3	145	37	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	30
+	168	29
+	163	35
+	4	159	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	29
+	163	35
+	3	159	30	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	131	29
+	140	30
+	136	35
+	4	131	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	30
+	136	35
+	3	131	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	90
+	200	81
+	194	90
+	4	190	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	81
+	194	90
+	3	190	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	81
+	194	90
+	200	81
+	4	204	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	90
+	200	81
+	3	204	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	81
+	109	90
+	105	90
+	4	99	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	90
+	105	90
+	3	99	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	90
+	95	81
+	99	81
+	4	105	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	81
+	99	81
+	3	105	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	53
+	181	59
+	177	42
+	4	172	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	59
+	177	42
+	3	172	53	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	59
+	127	53
+	122	42
+	4	118	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	53
+	122	42
+	3	118	59	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	62
+	167	65
+	163	49
+	4	158	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	65
+	163	49
+	3	158	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	53
+	163	49
+	167	65
+	4	172	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	49
+	167	65
+	3	172	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	65
+	141	62
+	136	49
+	4	132	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	62
+	136	49
+	3	132	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	49
+	127	53
+	132	65
+	4	136	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	53
+	132	65
+	3	136	49	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	96
+	186	90
+	181	96
+	4	176	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	181	96
+	3	176	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	90
+	181	96
+	186	90
+	4	190	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	96
+	186	90
+	3	190	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	90
+	123	96
+	118	96
+	4	113	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	96
+	118	96
+	3	113	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	96
+	109	90
+	113	90
+	4	118	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	90
+	113	90
+	3	118	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	99
+	154	99
+	149	101
+	4	145	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	99
+	149	101
+	3	145	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	101
+	149	101
+	154	99
+	4	158	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	101
+	154	99
+	3	158	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	101
+	141	101
+	145	99
+	4	149	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	101
+	145	99
+	3	149	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	99
+	163	98
+	158	101
+	4	154	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	98
+	158	101
+	3	154	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	99
+	158	101
+	163	98
+	4	167	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	101
+	163	98
+	3	167	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	98
+	145	99
+	141	101
+	4	136	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	99
+	141	101
+	3	136	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	101
+	132	99
+	136	98
+	4	141	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	99
+	136	98
+	3	141	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	61
+	158	62
+	154	47
+	4	149	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	62
+	154	47
+	3	149	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	49
+	154	47
+	158	62
+	4	163	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	47
+	158	62
+	3	163	49	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	62
+	149	61
+	145	47
+	4	141	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	61
+	145	47
+	3	141	62	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	47
+	136	49
+	141	62
+	4	145	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	49
+	141	62
+	3	145	47	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	98
+	172	94
+	167	99
+	4	163	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	94
+	167	99
+	3	163	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	96
+	167	99
+	172	94
+	4	176	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	99
+	172	94
+	3	176	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	94
+	136	98
+	132	99
+	4	127	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	98
+	132	99
+	3	127	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	99
+	123	96
+	127	94
+	4	132	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	96
+	127	94
+	3	132	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	47
+	145	47
+	149	61
+	4	154	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	47
+	149	61
+	3	154	47	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	163	49
+	172	53
+	168	39
+	4	163	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	53
+	168	39
+	3	163	49	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	177	42
+	168	39
+	172	53
+	4	177	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	39
+	172	53
+	3	177	42	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	127	53
+	136	49
+	131	39
+	4	127	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	49
+	131	39
+	3	127	53	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	131	39
+	122	42
+	127	53
+	4	131	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	42
+	127	53
+	3	131	39	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	90
+	196	81
+	190	90
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	81
+	190	90
+	3	186	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	81
+	190	90
+	196	81
+	4	200	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	90
+	196	81
+	3	200	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	81
+	113	90
+	109	90
+	4	103	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	90
+	109	90
+	3	103	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	90
+	99	81
+	103	81
+	4	109	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	81
+	103	81
+	3	109	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	94
+	182	89
+	176	96
+	4	172	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	89
+	176	96
+	3	172	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	90
+	176	96
+	182	89
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	96
+	182	89
+	3	186	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	89
+	127	94
+	123	96
+	4	117	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	94
+	123	96
+	3	117	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	96
+	113	90
+	117	89
+	4	123	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	90
+	117	89
+	3	123	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	30
+	154	30
+	149	30
+	4	145	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	30
+	149	30
+	3	145	30	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	30
+	149	30
+	154	30
+	4	159	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	30
+	154	30
+	3	159	30	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	30
+	140	30
+	145	30
+	4	149	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	30
+	145	30
+	3	149	30	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	154	47
+	163	49
+	159	37
+	4	154	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	49
+	159	37
+	3	154	47	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	168	39
+	159	37
+	163	49
+	4	168	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	37
+	163	49
+	3	168	39	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	136	49
+	145	47
+	140	37
+	4	136	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	47
+	140	37
+	3	136	49	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	140	37
+	131	39
+	136	49
+	4	140	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	39
+	136	49
+	3	140	37	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	81
+	210	69
+	204	81
+	4	200	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	69
+	204	81
+	3	200	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	69
+	99	81
+	95	81
+	4	89	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	81
+	95	81
+	3	89	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	30
+	163	30
+	159	30
+	4	154	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	30
+	159	30
+	3	154	30	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	29
+	159	30
+	163	30
+	4	168	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	30
+	163	30
+	3	168	29	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	30
+	145	30
+	140	30
+	4	136	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	30
+	140	30
+	3	136	30	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	30
+	131	29
+	136	30
+	4	140	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	29
+	136	30
+	3	140	30	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	39
+	177	42
+	172	31
+	4	168	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	42
+	172	31
+	3	168	39	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	122	42
+	131	39
+	127	31
+	4	122	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	39
+	127	31
+	3	122	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	96
+	159	96
+	154	99
+	4	149	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	96
+	154	99
+	3	149	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	98
+	154	99
+	159	96
+	4	163	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	99
+	159	96
+	3	163	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	96
+	149	96
+	145	99
+	4	140	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	96
+	145	99
+	3	140	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	99
+	145	99
+	149	96
+	4	154	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	99
+	149	96
+	3	154	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	99
+	136	98
+	140	96
+	4	145	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	98
+	140	96
+	3	145	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	30
+	172	31
+	168	29
+	4	163	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	31
+	168	29
+	3	163	30	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	31
+	136	30
+	131	29
+	4	127	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	30
+	131	29
+	3	127	31	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	47
+	154	47
+	149	36
+	4	145	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	47
+	149	36
+	3	145	47	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	37
+	149	36
+	154	47
+	4	159	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	36
+	154	47
+	3	159	37	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	36
+	140	37
+	145	47
+	4	149	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	37
+	145	47
+	3	149	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	96
+	168	93
+	163	98
+	4	159	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	93
+	163	98
+	3	159	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	94
+	163	98
+	168	93
+	4	172	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	98
+	168	93
+	3	172	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	93
+	140	96
+	136	98
+	4	131	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	96
+	136	98
+	3	131	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	98
+	127	94
+	131	93
+	4	136	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	94
+	131	93
+	3	136	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	37
+	168	39
+	163	30
+	4	159	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	39
+	163	30
+	3	159	37	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	31
+	163	30
+	168	39
+	4	172	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	30
+	168	39
+	3	172	31	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	131	39
+	140	37
+	136	30
+	4	131	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	37
+	136	30
+	3	131	39	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	30
+	127	31
+	131	39
+	4	136	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	31
+	131	39
+	3	136	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	89
+	191	81
+	186	90
+	4	182	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	81
+	186	90
+	3	182	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	81
+	186	90
+	191	81
+	4	196	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	191	81
+	3	196	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	81
+	117	89
+	113	90
+	4	108	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	89
+	113	90
+	3	108	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	90
+	103	81
+	108	81
+	4	113	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	81
+	108	81
+	3	113	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	36
+	159	37
+	154	30
+	4	149	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	37
+	154	30
+	3	149	36	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	30
+	154	30
+	159	37
+	4	163	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	30
+	159	37
+	3	163	30	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	37
+	149	36
+	145	30
+	4	140	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	36
+	145	30
+	3	140	37	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	30
+	136	30
+	140	37
+	4	145	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	30
+	140	37
+	3	145	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	93
+	177	88
+	172	94
+	4	168	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	88
+	172	94
+	3	168	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	89
+	172	94
+	177	88
+	4	182	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	94
+	177	88
+	3	182	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	88
+	131	93
+	127	94
+	4	122	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	93
+	127	94
+	3	122	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	94
+	117	89
+	122	88
+	4	127	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	89
+	122	88
+	3	127	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	30
+	145	30
+	149	36
+	4	154	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	30
+	149	36
+	3	154	30	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	81
+	206	70
+	200	81
+	4	196	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	70
+	200	81
+	3	196	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	69
+	200	81
+	206	70
+	4	210	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	81
+	206	70
+	3	210	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	70
+	103	81
+	99	81
+	4	93	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	81
+	99	81
+	3	93	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	81
+	89	69
+	93	70
+	4	99	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	69
+	93	70
+	3	99	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	237	126
+	247	124
+	241	123
+	4	237	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	124
+	241	123
+	3	237	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	123
+	233	115
+	237	126
+	4	241	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	115
+	237	126
+	3	241	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	115
+	241	123
+	237	114
+	4	233	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	123
+	237	114
+	3	233	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	124
+	62	126
+	58	123
+	4	52	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	126
+	58	123
+	3	52	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	66	115
+	58	123
+	62	126
+	4	66	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	123
+	62	126
+	3	66	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	58	123
+	66	115
+	62	114
+	4	58	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	115
+	62	114
+	3	58	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	93
+	154	93
+	149	96
+	4	145	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	93
+	149	96
+	3	145	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	96
+	149	96
+	154	93
+	4	159	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	96
+	154	93
+	3	159	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	96
+	140	96
+	145	93
+	4	149	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	96
+	145	93
+	3	149	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	93
+	164	91
+	159	96
+	4	154	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	91
+	159	96
+	3	154	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	93
+	159	96
+	164	91
+	4	168	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	96
+	164	91
+	3	168	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	91
+	145	93
+	140	96
+	4	135	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	93
+	140	96
+	3	135	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	96
+	131	93
+	135	91
+	4	140	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	93
+	135	91
+	3	140	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	88
+	187	81
+	182	89
+	4	177	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	81
+	182	89
+	3	177	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	81
+	182	89
+	187	81
+	4	191	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	89
+	187	81
+	3	191	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	81
+	122	88
+	117	89
+	4	112	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	88
+	117	89
+	3	112	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	89
+	108	81
+	112	81
+	4	117	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	81
+	112	81
+	3	117	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	114
+	230	99
+	233	115
+	4	237	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	99
+	233	115
+	3	237	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	99
+	237	114
+	234	99
+	4	230	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	114
+	234	99
+	3	230	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	99
+	62	114
+	66	115
+	4	69	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	114
+	66	115
+	3	69	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	114
+	69	99
+	65	99
+	4	62	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	99
+	65	99
+	3	62	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	81
+	202	71
+	196	81
+	4	191	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	71
+	196	81
+	3	191	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	70
+	196	81
+	202	71
+	4	206	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	81
+	202	71
+	3	206	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	71
+	108	81
+	103	81
+	4	97	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	81
+	103	81
+	3	97	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	81
+	93	70
+	97	71
+	4	103	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	70
+	97	71
+	3	103	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	127
+	242	130
+	237	126
+	4	233	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	130
+	237	126
+	3	233	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	124
+	237	126
+	242	130
+	4	247	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	126
+	242	130
+	3	247	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	126
+	230	115
+	233	127
+	4	237	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	115
+	233	127
+	3	237	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	115
+	237	126
+	233	115
+	4	230	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	126
+	233	115
+	3	230	115	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	57	130
+	66	127
+	62	126
+	4	57	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	127
+	62	126
+	3	57	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	115
+	62	126
+	66	127
+	4	69	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	126
+	66	127
+	3	69	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	126
+	69	115
+	66	115
+	4	62	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	115
+	66	115
+	3	62	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	126
+	52	124
+	57	130
+	4	62	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	124
+	57	130
+	3	62	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	91
+	173	87
+	168	93
+	4	164	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	87
+	168	93
+	3	164	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	88
+	168	93
+	173	87
+	4	177	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	93
+	173	87
+	3	177	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	87
+	135	91
+	131	93
+	4	126	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	91
+	131	93
+	3	126	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	93
+	122	88
+	126	87
+	4	131	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	88
+	126	87
+	3	131	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	242	130
+	254	118
+	247	124
+	4	242	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	118
+	247	124
+	3	242	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	118
+	57	130
+	52	124
+	4	45	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	130
+	52	124
+	3	45	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	238	133
+	249	127
+	242	130
+	4	238	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	127
+	242	130
+	3	238	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	254	118
+	242	130
+	249	127
+	4	254	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	130
+	249	127
+	3	254	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	130
+	233	127
+	238	133
+	4	242	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	127
+	238	133
+	3	242	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	127
+	61	133
+	57	130
+	4	50	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	133
+	57	130
+	3	50	127	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	66	127
+	57	130
+	61	133
+	4	66	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	130
+	61	133
+	3	66	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	130
+	45	118
+	50	127
+	4	57	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	118
+	50	127
+	3	57	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	206	70
+	216	59
+	210	69
+	4	206	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	59
+	210	69
+	3	206	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	83	59
+	93	70
+	89	69
+	4	83	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	70
+	89	69
+	3	83	59	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	115
+	226	99
+	230	115
+	4	233	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	99
+	230	115
+	3	233	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	226	99
+	233	115
+	230	99
+	4	226	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	115
+	230	99
+	3	226	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	99
+	66	115
+	69	115
+	4	73	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	115
+	69	115
+	3	73	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	115
+	73	99
+	69	99
+	4	66	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	99
+	69	99
+	3	66	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	87
+	183	81
+	177	88
+	4	173	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	81
+	177	88
+	3	173	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	81
+	177	88
+	183	81
+	4	187	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	88
+	183	81
+	3	187	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	81
+	126	87
+	122	88
+	4	116	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	87
+	122	88
+	3	116	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	88
+	112	81
+	116	81
+	4	122	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	81
+	116	81
+	3	122	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	81
+	197	72
+	191	81
+	4	187	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	72
+	191	81
+	3	187	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	71
+	191	81
+	197	72
+	4	202	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	81
+	197	72
+	3	202	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	72
+	112	81
+	108	81
+	4	102	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	81
+	108	81
+	3	102	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	81
+	97	71
+	102	72
+	4	108	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	71
+	102	72
+	3	108	81	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	234	136
+	244	134
+	238	133
+	4	234	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	134
+	238	133
+	3	234	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	249	127
+	238	133
+	244	134
+	4	249	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	133
+	244	134
+	3	249	127	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	238	133
+	230	127
+	234	136
+	4	238	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	127
+	234	136
+	3	238	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	127
+	238	133
+	233	127
+	4	230	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	133
+	233	127
+	3	230	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	134
+	65	136
+	61	133
+	4	55	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	136
+	61	133
+	3	55	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	69	127
+	61	133
+	65	136
+	4	69	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	133
+	65	136
+	3	69	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	61	133
+	69	127
+	66	127
+	4	61	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	127
+	66	127
+	3	61	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	133
+	50	127
+	55	134
+	4	61	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	127
+	55	134
+	3	61	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	127
+	226	114
+	230	127
+	4	233	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	114
+	230	127
+	3	233	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	114
+	233	127
+	230	115
+	4	226	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	127
+	230	115
+	3	226	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	114
+	66	127
+	69	127
+	4	73	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	127
+	69	127
+	3	73	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	127
+	73	114
+	69	115
+	4	66	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	114
+	69	115
+	3	66	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	90
+	159	89
+	154	93
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	89
+	154	93
+	3	149	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	91
+	154	93
+	159	89
+	4	164	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	93
+	159	89
+	3	164	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	89
+	149	90
+	145	93
+	4	140	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	145	93
+	3	140	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	93
+	145	93
+	149	90
+	4	154	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	93
+	149	90
+	3	154	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	93
+	135	91
+	140	89
+	4	145	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	91
+	140	89
+	3	145	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	99
+	226	82
+	230	99
+	4	234	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	82
+	230	99
+	3	234	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	82
+	234	99
+	231	81
+	4	226	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	99
+	231	81
+	3	226	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	82
+	65	99
+	69	99
+	4	72	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	99
+	69	99
+	3	72	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	99
+	72	82
+	68	81
+	4	65	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	82
+	68	81
+	3	65	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	89
+	169	86
+	164	91
+	4	159	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	86
+	164	91
+	3	159	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	87
+	164	91
+	169	86
+	4	173	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	91
+	169	86
+	3	173	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	86
+	140	89
+	135	91
+	4	130	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	89
+	135	91
+	3	130	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	91
+	126	87
+	130	86
+	4	135	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	87
+	130	86
+	3	135	91	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	202	71
+	212	62
+	206	70
+	4	202	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	62
+	206	70
+	3	202	71	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	216	59
+	206	70
+	212	62
+	4	216	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	70
+	212	62
+	3	216	59	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	87	62
+	97	71
+	93	70
+	4	87	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	71
+	93	70
+	3	87	62	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	70
+	83	59
+	87	62
+	4	93	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	59
+	87	62
+	3	93	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	137
+	239	139
+	234	136
+	4	230	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	139
+	234	136
+	3	230	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	244	134
+	234	136
+	239	139
+	4	244	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	136
+	239	139
+	3	244	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	136
+	226	127
+	230	137
+	4	234	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	127
+	230	137
+	3	234	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	127
+	234	136
+	230	127
+	4	226	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	136
+	230	127
+	3	226	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	60	139
+	69	137
+	65	136
+	4	60	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	137
+	65	136
+	3	60	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	127
+	65	136
+	69	137
+	4	73	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	136
+	69	137
+	3	73	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	136
+	73	127
+	69	127
+	4	65	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	127
+	69	127
+	3	65	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	136
+	55	134
+	60	139
+	4	65	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	134
+	60	139
+	3	65	136	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	230	115
+	222	99
+	226	114
+	4	230	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	99
+	226	114
+	3	230	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	99
+	230	115
+	226	99
+	4	222	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	115
+	226	99
+	3	222	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	99
+	69	115
+	73	114
+	4	77	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	115
+	73	114
+	3	77	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	115
+	77	99
+	73	99
+	4	69	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	99
+	73	99
+	3	69	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	183	81
+	193	73
+	187	81
+	4	183	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	73
+	187	81
+	3	183	81	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	197	72
+	187	81
+	193	73
+	4	197	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	81
+	193	73
+	3	197	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	73
+	116	81
+	112	81
+	4	106	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	81
+	112	81
+	3	106	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	81
+	102	72
+	106	73
+	4	112	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	72
+	106	73
+	3	112	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	127
+	222	114
+	226	127
+	4	230	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	114
+	226	127
+	3	230	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	114
+	230	127
+	226	114
+	4	222	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	127
+	226	114
+	3	222	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	114
+	69	127
+	73	127
+	4	77	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	127
+	73	127
+	3	77	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	127
+	77	114
+	73	114
+	4	69	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	114
+	73	114
+	3	69	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	239	139
+	251	129
+	244	134
+	4	239	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	129
+	244	134
+	3	239	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	118
+	244	134
+	251	129
+	4	256	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	134
+	251	129
+	3	256	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	134
+	256	118
+	249	127
+	4	244	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	118
+	249	127
+	3	244	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	129
+	60	139
+	55	134
+	4	48	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	139
+	55	134
+	3	48	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	134
+	43	118
+	48	129
+	4	55	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	118
+	48	129
+	3	55	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	43	118
+	55	134
+	50	127
+	4	43	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	134
+	50	127
+	3	43	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	86
+	178	81
+	173	87
+	4	169	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	81
+	173	87
+	3	169	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	81
+	173	87
+	178	81
+	4	183	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	87
+	178	81
+	3	183	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	81
+	130	86
+	126	87
+	4	121	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	86
+	126	87
+	3	121	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	87
+	116	81
+	121	81
+	4	126	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	81
+	121	81
+	3	126	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	107
+	249	127
+	256	118
+	4	262	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	127
+	256	118
+	3	262	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	127
+	262	107
+	254	118
+	4	249	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	107
+	254	118
+	3	249	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	50	127
+	37	107
+	43	118
+	4	50	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	107
+	43	118
+	3	50	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	37	107
+	50	127
+	45	118
+	4	37	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	127
+	45	118
+	3	37	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	235	143
+	245	138
+	239	139
+	4	235	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	138
+	239	139
+	3	235	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	251	129
+	239	139
+	245	138
+	4	251	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	139
+	245	138
+	3	251	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	139
+	230	137
+	235	143
+	4	239	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	137
+	235	143
+	3	239	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	138
+	64	143
+	60	139
+	4	54	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	143
+	60	139
+	3	54	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	69	137
+	60	139
+	64	143
+	4	69	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	139
+	64	143
+	3	69	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	139
+	48	129
+	54	138
+	4	60	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	129
+	54	138
+	3	60	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	99
+	222	83
+	226	99
+	4	230	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	83
+	226	99
+	3	230	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	83
+	230	99
+	226	82
+	4	222	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	99
+	226	82
+	3	222	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	83
+	69	99
+	73	99
+	4	77	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	99
+	73	99
+	3	77	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	99
+	77	83
+	72	82
+	4	69	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	83
+	72	82
+	3	69	99	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	197	72
+	208	64
+	202	71
+	4	197	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	64
+	202	71
+	3	197	72	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	212	62
+	202	71
+	208	64
+	4	212	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	71
+	208	64
+	3	212	62	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	64
+	102	72
+	97	71
+	4	91	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	72
+	97	71
+	3	91	64	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	71
+	87	62
+	91	64
+	4	97	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	62
+	91	64
+	3	97	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	137
+	235	143
+	230	137
+	4	226	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	143
+	230	137
+	3	226	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	137
+	222	126
+	226	137
+	4	230	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	126
+	226	137
+	3	230	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	126
+	230	137
+	226	127
+	4	222	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	137
+	226	127
+	3	222	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	64	143
+	73	137
+	69	137
+	4	64	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	137
+	69	137
+	3	64	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	126
+	69	137
+	73	137
+	4	77	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	137
+	73	137
+	3	77	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	137
+	77	126
+	73	127
+	4	69	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	126
+	73	127
+	3	69	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	87
+	154	87
+	149	90
+	4	145	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	87
+	149	90
+	3	145	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	89
+	149	90
+	154	87
+	4	159	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	154	87
+	3	159	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	90
+	140	89
+	145	87
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	89
+	145	87
+	3	149	90	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	231	146
+	241	145
+	235	143
+	4	231	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	145
+	235	143
+	3	231	146	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	245	138
+	235	143
+	241	145
+	4	245	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	143
+	241	145
+	3	245	138	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	235	143
+	226	137
+	231	146
+	4	235	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	137
+	231	146
+	3	235	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	58	145
+	68	146
+	64	143
+	4	58	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	146
+	64	143
+	3	58	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	73	137
+	64	143
+	68	146
+	4	73	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	143
+	68	146
+	3	73	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	143
+	54	138
+	58	145
+	4	64	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	138
+	58	145
+	3	64	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	87
+	164	85
+	159	89
+	4	154	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	85
+	159	89
+	3	154	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	86
+	159	89
+	164	85
+	4	169	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	89
+	164	85
+	3	169	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	85
+	145	87
+	140	89
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	87
+	140	89
+	3	135	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	89
+	130	86
+	135	85
+	4	140	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	86
+	135	85
+	3	140	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	81
+	223	68
+	226	82
+	4	231	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	68
+	226	82
+	3	231	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	68
+	231	81
+	227	65
+	4	223	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	81
+	227	65
+	3	223	68	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	178	81
+	188	75
+	183	81
+	4	178	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	75
+	183	81
+	3	178	81	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	193	73
+	183	81
+	188	75
+	4	193	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	81
+	188	75
+	3	193	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	75
+	121	81
+	116	81
+	4	111	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	81
+	116	81
+	3	111	75	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	81
+	106	73
+	111	75
+	4	116	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	73
+	111	75
+	3	116	81	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	76	68
+	68	81
+	72	82
+	4	76	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	81
+	72	82
+	3	76	68	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	68	81
+	76	68
+	72	65
+	4	68	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	68
+	72	65
+	3	68	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	114
+	218	99
+	222	114
+	4	226	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	99
+	222	114
+	3	226	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	99
+	226	114
+	222	99
+	4	218	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	114
+	222	99
+	3	218	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	99
+	73	114
+	77	114
+	4	81	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	114
+	77	114
+	3	81	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	114
+	81	99
+	77	99
+	4	73	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	99
+	77	99
+	3	73	114	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	212	62
+	222	58
+	216	59
+	4	212	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	58
+	216	59
+	3	212	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	58
+	87	62
+	83	59
+	4	77	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	62
+	83	59
+	3	77	58	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	127
+	218	113
+	222	126
+	4	226	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	222	126
+	3	226	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	218	113
+	226	127
+	222	114
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	127
+	222	114
+	3	218	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	113
+	73	127
+	77	126
+	4	81	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	127
+	77	126
+	3	81	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	127
+	81	113
+	77	114
+	4	73	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	113
+	77	114
+	3	73	127	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	164	85
+	174	81
+	169	86
+	4	164	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	81
+	169	86
+	3	164	85	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	178	81
+	169	86
+	174	81
+	4	178	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	86
+	174	81
+	3	178	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	81
+	135	85
+	130	86
+	4	125	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	130	86
+	3	125	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	86
+	121	81
+	125	81
+	4	130	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	81
+	125	81
+	3	130	86	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	193	73
+	203	67
+	197	72
+	4	193	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	67
+	197	72
+	3	193	73	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	208	64
+	197	72
+	203	67
+	4	208	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	72
+	203	67
+	3	208	64	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	67
+	106	73
+	102	72
+	4	96	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	73
+	102	72
+	3	96	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	72
+	91	64
+	96	67
+	4	102	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	64
+	96	67
+	3	102	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	99
+	218	84
+	222	99
+	4	226	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	84
+	222	99
+	3	226	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	84
+	226	99
+	222	83
+	4	218	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	99
+	222	83
+	3	218	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	84
+	73	99
+	77	99
+	4	81	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	99
+	77	99
+	3	81	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	99
+	81	84
+	77	83
+	4	73	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	84
+	77	83
+	3	73	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	146
+	236	150
+	231	146
+	4	227	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	150
+	231	146
+	3	227	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	145
+	231	146
+	236	150
+	4	241	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	146
+	236	150
+	3	241	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	146
+	223	136
+	227	146
+	4	231	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	136
+	227	146
+	3	231	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	136
+	231	146
+	226	137
+	4	223	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	146
+	226	137
+	3	223	136	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	63	150
+	72	146
+	68	146
+	4	63	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	146
+	68	146
+	3	63	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	136
+	68	146
+	72	146
+	4	76	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	146
+	72	146
+	3	76	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	146
+	76	136
+	73	137
+	4	68	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	136
+	73	137
+	3	68	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	146
+	58	145
+	63	150
+	4	68	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	145
+	63	150
+	3	68	146	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	236	150
+	247	143
+	241	145
+	4	236	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	143
+	241	145
+	3	236	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	132
+	241	145
+	247	143
+	4	253	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	145
+	247	143
+	3	253	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	145
+	253	132
+	245	138
+	4	241	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	132
+	245	138
+	3	241	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	143
+	63	150
+	58	145
+	4	52	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	150
+	58	145
+	3	52	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	145
+	46	132
+	52	143
+	4	58	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	132
+	52	143
+	3	58	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	132
+	58	145
+	54	138
+	4	46	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	145
+	54	138
+	3	46	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	120
+	245	138
+	253	132
+	4	259	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	138
+	253	132
+	3	259	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	138
+	259	120
+	251	129
+	4	245	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	120
+	251	129
+	3	245	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	138
+	40	120
+	46	132
+	4	54	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	120
+	46	132
+	3	54	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	40	120
+	54	138
+	48	129
+	4	40	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	138
+	48	129
+	3	40	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	137
+	218	125
+	223	136
+	4	226	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	125
+	223	136
+	3	226	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	125
+	226	137
+	222	126
+	4	218	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	137
+	222	126
+	3	218	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	125
+	73	137
+	76	136
+	4	81	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	137
+	76	136
+	3	81	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	137
+	81	125
+	77	126
+	4	73	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	125
+	77	126
+	3	73	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	232	153
+	242	151
+	236	150
+	4	232	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	151
+	236	150
+	3	232	153	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	247	143
+	236	150
+	242	151
+	4	247	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	150
+	242	151
+	3	247	143	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	236	150
+	227	146
+	232	153
+	4	236	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	146
+	232	153
+	3	236	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	57	151
+	67	153
+	63	150
+	4	57	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	153
+	63	150
+	3	57	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	72	146
+	63	150
+	67	153
+	4	72	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	150
+	67	153
+	3	72	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	150
+	52	143
+	57	151
+	4	63	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	143
+	57	151
+	3	63	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	208	64
+	218	61
+	212	62
+	4	208	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	61
+	212	62
+	3	208	64	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	222	58
+	212	62
+	218	61
+	4	222	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	62
+	218	61
+	3	222	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	61
+	91	64
+	87	62
+	4	81	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	64
+	87	62
+	3	81	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	62
+	77	58
+	81	61
+	4	87	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	58
+	81	61
+	3	87	62	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	82
+	218	70
+	222	83
+	4	226	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	70
+	222	83
+	3	226	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	70
+	226	82
+	223	68
+	4	218	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	82
+	223	68
+	3	218	70	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	81	70
+	72	82
+	77	83
+	4	81	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	82
+	77	83
+	3	81	70	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	72	82
+	81	70
+	76	68
+	4	72	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	70
+	76	68
+	3	72	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	107
+	251	129
+	259	120
+	4	265	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	129
+	259	120
+	3	265	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	129
+	265	107
+	256	118
+	4	251	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	107
+	256	118
+	3	251	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	129
+	34	107
+	40	120
+	4	48	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	107
+	40	120
+	3	48	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	34	107
+	48	129
+	43	118
+	4	34	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	129
+	43	118
+	3	34	107	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	174	81
+	184	76
+	178	81
+	4	174	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	76
+	178	81
+	3	174	81	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	188	75
+	178	81
+	184	76
+	4	188	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	81
+	184	76
+	3	188	75	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	76
+	125	81
+	121	81
+	4	115	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	81
+	121	81
+	3	115	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	81
+	111	75
+	115	76
+	4	121	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	75
+	115	76
+	3	121	81	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	188	75
+	199	69
+	193	73
+	4	188	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	69
+	193	73
+	3	188	75	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	203	67
+	193	73
+	199	69
+	4	203	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	73
+	199	69
+	3	203	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	69
+	111	75
+	106	73
+	4	100	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	75
+	106	73
+	3	100	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	73
+	96	67
+	100	69
+	4	106	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	67
+	100	69
+	3	106	73	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	85
+	159	84
+	154	87
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	84
+	154	87
+	3	149	85	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	164	85
+	154	87
+	159	84
+	4	164	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	87
+	159	84
+	3	164	85	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	140	84
+	149	85
+	145	87
+	4	140	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	145	87
+	3	140	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	87
+	145	87
+	149	85
+	4	154	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	87
+	149	85
+	3	154	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	87
+	135	85
+	140	84
+	4	145	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	140	84
+	3	145	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	114
+	214	100
+	218	113
+	4	222	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	100
+	218	113
+	3	222	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	100
+	222	114
+	218	99
+	4	214	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	114
+	218	99
+	3	214	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	100
+	77	114
+	81	113
+	4	85	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	114
+	81	113
+	3	85	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	114
+	85	100
+	81	99
+	4	77	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	100
+	81	99
+	3	77	114	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	227	65
+	218	61
+	223	68
+	4	227	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	61
+	223	68
+	3	227	65	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	218	61
+	227	65
+	222	58
+	4	218	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	65
+	222	58
+	3	218	61	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	81	61
+	72	65
+	76	68
+	4	81	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	65
+	76	68
+	3	81	61	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	72	65
+	81	61
+	77	58
+	4	72	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	61
+	77	58
+	3	72	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	99
+	214	86
+	218	99
+	4	222	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	86
+	218	99
+	3	222	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	86
+	222	99
+	218	84
+	4	214	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	99
+	218	84
+	3	214	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	86
+	77	99
+	81	99
+	4	85	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	99
+	81	99
+	3	85	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	77	99
+	85	86
+	81	84
+	4	77	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	86
+	81	84
+	3	77	99	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	222	126
+	214	112
+	218	125
+	4	222	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	112
+	218	125
+	3	222	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	112
+	222	126
+	218	113
+	4	214	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	126
+	218	113
+	3	214	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	112
+	77	126
+	81	125
+	4	85	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	126
+	81	125
+	3	85	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	126
+	85	112
+	81	113
+	4	77	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	112
+	81	113
+	3	77	126	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	159	84
+	169	82
+	164	85
+	4	159	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	82
+	164	85
+	3	159	84	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	174	81
+	164	85
+	169	82
+	4	174	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	85
+	169	82
+	3	174	81	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	130	82
+	140	84
+	135	85
+	4	130	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	84
+	135	85
+	3	130	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	85
+	125	81
+	130	82
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	81
+	130	82
+	3	135	85	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	203	67
+	213	64
+	208	64
+	4	203	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	64
+	208	64
+	3	203	67	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	61
+	208	64
+	213	64
+	4	218	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	64
+	213	64
+	3	218	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	64
+	96	67
+	91	64
+	4	86	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	67
+	91	64
+	3	86	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	64
+	81	61
+	86	64
+	4	91	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	61
+	86	64
+	3	91	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	154
+	237	157
+	232	153
+	4	228	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	157
+	232	153
+	3	228	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	242	151
+	232	153
+	237	157
+	4	242	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	153
+	237	157
+	3	242	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	153
+	223	145
+	228	154
+	4	232	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	145
+	228	154
+	3	232	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	145
+	232	153
+	227	146
+	4	223	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	153
+	227	146
+	3	223	145	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	62	157
+	71	154
+	67	153
+	4	62	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	154
+	67	153
+	3	62	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	145
+	67	153
+	71	154
+	4	76	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	153
+	71	154
+	3	76	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	67	153
+	76	145
+	72	146
+	4	67	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	145
+	72	146
+	3	67	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	153
+	57	151
+	62	157
+	4	67	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	151
+	62	157
+	3	67	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	146
+	219	135
+	223	145
+	4	227	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	135
+	223	145
+	3	227	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	135
+	227	146
+	223	136
+	4	219	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	146
+	223	136
+	3	219	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	135
+	72	146
+	76	145
+	4	80	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	146
+	76	145
+	3	80	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	146
+	80	135
+	76	136
+	4	72	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	135
+	76	136
+	3	72	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	96
+	256	118
+	265	107
+	4	271	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	118
+	265	107
+	3	271	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	118
+	271	96
+	262	107
+	4	256	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	96
+	262	107
+	3	256	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	43	118
+	28	96
+	34	107
+	4	43	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	96
+	34	107
+	3	43	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	96
+	43	118
+	37	107
+	4	28	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	118
+	37	107
+	3	28	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	83
+	214	73
+	218	84
+	4	222	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	73
+	218	84
+	3	222	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	73
+	222	83
+	218	70
+	4	214	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	83
+	218	70
+	3	214	73	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	85	73
+	77	83
+	81	84
+	4	85	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	83
+	81	84
+	3	85	73	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	77	83
+	85	73
+	81	70
+	4	77	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	73
+	81	70
+	3	77	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	237	157
+	248	149
+	242	151
+	4	237	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	149
+	242	151
+	3	237	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	254	137
+	242	151
+	248	149
+	4	254	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	151
+	248	149
+	3	254	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	151
+	254	137
+	247	143
+	4	242	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	137
+	247	143
+	3	242	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	149
+	62	157
+	57	151
+	4	51	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	157
+	57	151
+	3	51	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	57	151
+	45	137
+	51	149
+	4	57	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	137
+	51	149
+	3	57	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	137
+	57	151
+	52	143
+	4	45	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	151
+	52	143
+	3	45	137	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	184	76
+	194	72
+	188	75
+	4	184	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	72
+	188	75
+	3	184	76	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	199	69
+	188	75
+	194	72
+	4	199	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	75
+	194	72
+	3	199	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	72
+	115	76
+	111	75
+	4	105	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	76
+	111	75
+	3	105	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	75
+	100	69
+	105	72
+	4	111	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	69
+	105	72
+	3	111	75	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	160
+	243	159
+	237	157
+	4	233	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	159
+	237	157
+	3	233	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	248	149
+	237	157
+	243	159
+	4	248	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	157
+	243	159
+	3	248	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	237	157
+	228	154
+	233	160
+	4	237	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	154
+	233	160
+	3	237	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	56	159
+	66	160
+	62	157
+	4	56	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	160
+	62	157
+	3	56	159	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	71	154
+	62	157
+	66	160
+	4	71	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	157
+	66	160
+	3	71	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	157
+	51	149
+	56	159
+	4	62	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	149
+	56	159
+	3	62	157	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	223	68
+	213	64
+	218	70
+	4	223	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	64
+	218	70
+	3	223	68	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	213	64
+	223	68
+	218	61
+	4	213	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	68
+	218	61
+	3	213	64	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	86	64
+	76	68
+	81	70
+	4	86	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	68
+	81	70
+	3	86	64	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	76	68
+	86	64
+	81	61
+	4	76	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	64
+	81	61
+	3	76	68	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	169	82
+	179	78
+	174	81
+	4	169	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	78
+	174	81
+	3	169	82	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	184	76
+	174	81
+	179	78
+	4	184	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	81
+	179	78
+	3	184	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	78
+	130	82
+	125	81
+	4	120	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	82
+	125	81
+	3	120	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	81
+	115	76
+	120	78
+	4	125	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	76
+	120	78
+	3	125	81	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	136
+	214	123
+	219	135
+	4	223	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	219	135
+	3	223	136	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	214	123
+	223	136
+	218	125
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	136
+	218	125
+	3	214	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	123
+	76	136
+	80	135
+	4	85	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	136
+	80	135
+	3	85	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	136
+	85	123
+	81	125
+	4	76	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	123
+	81	125
+	3	76	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	124
+	247	143
+	254	137
+	4	261	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	143
+	254	137
+	3	261	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	143
+	261	124
+	253	132
+	4	247	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	124
+	253	132
+	3	247	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	52	143
+	38	124
+	45	137
+	4	52	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	124
+	45	137
+	3	52	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	38	124
+	52	143
+	46	132
+	4	38	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	143
+	46	132
+	3	38	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	69
+	209	67
+	203	67
+	4	199	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	67
+	203	67
+	3	199	69	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	64
+	203	67
+	209	67
+	4	213	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	67
+	209	67
+	3	213	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	67
+	100	69
+	96	67
+	4	90	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	69
+	96	67
+	3	90	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	67
+	86	64
+	90	67
+	4	96	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	64
+	90	67
+	3	96	67	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	296	155
+	292	133
+	295	150
+	4	296	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	133
+	295	150
+	3	296	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	292	133
+	296	155
+	293	142
+	4	292	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	296	155
+	293	142
+	3	292	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	7	133
+	3	155
+	4	150
+	4	7	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	3	155
+	4	150
+	3	7	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	3	155
+	7	133
+	6	142
+	4	3	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	133
+	6	142
+	3	3	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	99
+	209	87
+	214	100
+	4	218	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	87
+	214	100
+	3	218	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	87
+	218	99
+	214	86
+	4	209	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	99
+	214	86
+	3	209	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	90	87
+	81	99
+	85	100
+	4	90	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	99
+	85	100
+	3	90	87	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	81	99
+	90	87
+	85	86
+	4	81	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	87
+	85	86
+	3	81	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	113
+	210	100
+	214	112
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	100
+	214	112
+	3	218	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	100
+	218	113
+	214	100
+	4	210	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	214	100
+	3	210	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	100
+	81	113
+	85	112
+	4	89	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	113
+	85	112
+	3	89	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	113
+	89	100
+	85	100
+	4	81	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	100
+	85	100
+	3	81	113	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	145	84
+	154	84
+	149	85
+	4	145	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	84
+	149	85
+	3	145	84	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	159	84
+	149	85
+	154	84
+	4	159	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	154	84
+	3	159	84	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	85
+	140	84
+	145	84
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	84
+	145	84
+	3	149	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	84
+	209	75
+	214	86
+	4	218	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	75
+	214	86
+	3	218	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	75
+	218	84
+	214	73
+	4	209	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	84
+	214	73
+	3	209	75	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	154	84
+	164	83
+	159	84
+	4	154	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	83
+	159	84
+	3	154	84	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	169	82
+	159	84
+	164	83
+	4	169	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	84
+	164	83
+	3	169	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	135	83
+	145	84
+	140	84
+	4	135	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	84
+	140	84
+	3	135	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	84
+	130	82
+	135	83
+	4	140	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	82
+	135	83
+	3	140	84	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	90	75
+	81	84
+	85	86
+	4	90	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	84
+	85	86
+	3	90	75	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	81	84
+	90	75
+	85	73
+	4	81	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	75
+	85	73
+	3	81	84	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	209	67
+	218	70
+	213	64
+	4	209	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	70
+	213	64
+	3	209	67	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	70
+	90	67
+	86	64
+	4	81	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	67
+	86	64
+	3	81	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	152
+	233	160
+	228	154
+	4	224	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	160
+	228	154
+	3	224	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	154
+	220	143
+	224	152
+	4	228	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	143
+	224	152
+	3	228	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	143
+	228	154
+	223	145
+	4	220	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	154
+	223	145
+	3	220	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	66	160
+	75	152
+	71	154
+	4	66	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	152
+	71	154
+	3	66	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	143
+	71	154
+	75	152
+	4	79	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	154
+	75	152
+	3	79	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	154
+	79	143
+	76	145
+	4	71	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	143
+	76	145
+	3	71	154	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	218	70
+	209	67
+	214	73
+	4	218	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	67
+	214	73
+	3	218	70	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	90	67
+	81	70
+	85	73
+	4	90	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	70
+	85	73
+	3	90	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	160
+	238	165
+	233	160
+	4	229	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	165
+	233	160
+	3	229	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	243	159
+	233	160
+	238	165
+	4	243	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	160
+	238	165
+	3	243	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	160
+	224	152
+	229	160
+	4	233	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	152
+	229	160
+	3	233	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	61	165
+	70	160
+	66	160
+	4	61	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	160
+	66	160
+	3	61	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	75	152
+	66	160
+	70	160
+	4	75	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	160
+	70	160
+	3	75	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	160
+	56	159
+	61	165
+	4	66	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	159
+	61	165
+	3	66	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	110
+	253	132
+	261	124
+	4	267	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	132
+	261	124
+	3	267	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	132
+	267	110
+	259	120
+	4	253	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	110
+	259	120
+	3	253	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	46	132
+	32	110
+	38	124
+	4	46	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	110
+	38	124
+	3	46	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	32	110
+	46	132
+	40	120
+	4	32	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	132
+	40	120
+	3	32	110	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	179	78
+	189	75
+	184	76
+	4	179	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	75
+	184	76
+	3	179	78	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	194	72
+	184	76
+	189	75
+	4	194	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	76
+	189	75
+	3	194	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	75
+	120	78
+	115	76
+	4	110	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	78
+	115	76
+	3	110	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	76
+	105	72
+	110	75
+	4	115	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	72
+	110	75
+	3	115	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	125
+	210	112
+	214	123
+	4	218	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	112
+	214	123
+	3	218	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	112
+	218	125
+	214	112
+	4	210	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	125
+	214	112
+	3	210	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	112
+	81	125
+	85	123
+	4	89	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	125
+	85	123
+	3	89	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	125
+	89	112
+	85	112
+	4	81	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	112
+	85	112
+	3	81	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	72
+	204	70
+	199	69
+	4	194	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	70
+	199	69
+	3	194	72	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	67
+	199	69
+	204	70
+	4	209	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	69
+	204	70
+	3	209	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	70
+	105	72
+	100	69
+	4	95	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	72
+	100	69
+	3	95	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	69
+	90	67
+	95	70
+	4	100	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	67
+	95	70
+	3	100	69	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	145
+	215	132
+	220	143
+	4	223	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	132
+	220	143
+	3	223	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	132
+	223	145
+	219	135
+	4	215	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	145
+	219	135
+	3	215	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	132
+	76	145
+	79	143
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	145
+	79	143
+	3	84	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	145
+	84	132
+	80	135
+	4	76	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	80	135
+	3	76	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	238	165
+	250	157
+	243	159
+	4	238	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	157
+	243	159
+	3	238	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	256	144
+	243	159
+	250	157
+	4	256	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	159
+	250	157
+	3	256	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	159
+	256	144
+	248	149
+	4	243	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	144
+	248	149
+	3	243	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	157
+	61	165
+	56	159
+	4	49	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	165
+	56	159
+	3	49	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	159
+	43	144
+	49	157
+	4	56	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	144
+	49	157
+	3	56	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	43	144
+	56	159
+	51	149
+	4	43	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	159
+	51	149
+	3	43	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	164	83
+	174	80
+	169	82
+	4	164	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	80
+	169	82
+	3	164	83	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	179	78
+	169	82
+	174	80
+	4	179	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	82
+	174	80
+	3	179	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	80
+	135	83
+	130	82
+	4	124	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	83
+	130	82
+	3	124	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	82
+	120	78
+	124	80
+	4	130	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	78
+	124	80
+	3	130	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	234	167
+	244	167
+	238	165
+	4	234	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	167
+	238	165
+	3	234	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	250	157
+	238	165
+	244	167
+	4	250	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	165
+	244	167
+	3	250	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	238	165
+	229	160
+	234	167
+	4	238	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	160
+	234	167
+	3	238	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	167
+	65	167
+	61	165
+	4	55	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	167
+	61	165
+	3	55	167	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	70	160
+	61	165
+	65	167
+	4	70	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	165
+	65	167
+	3	70	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	165
+	49	157
+	55	167
+	4	61	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	157
+	55	167
+	3	61	165	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	204	70
+	214	73
+	209	67
+	4	204	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	73
+	209	67
+	3	204	70	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	73
+	95	70
+	90	67
+	4	85	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	70
+	90	67
+	3	85	73	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	214	73
+	204	70
+	209	75
+	4	214	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	70
+	209	75
+	3	214	73	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	70
+	85	73
+	90	75
+	4	95	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	73
+	90	75
+	3	95	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	293	142
+	290	115
+	292	133
+	4	293	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	115
+	292	133
+	3	293	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	290	115
+	293	142
+	291	125
+	4	290	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	142
+	291	125
+	3	290	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	9	115
+	6	142
+	7	133
+	4	9	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	142
+	7	133
+	3	9	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	6	142
+	9	115
+	8	125
+	4	6	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	115
+	8	125
+	3	6	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	130
+	248	149
+	256	144
+	4	262	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	149
+	256	144
+	3	262	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	149
+	262	130
+	254	137
+	4	248	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	130
+	254	137
+	3	248	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	51	149
+	37	130
+	43	144
+	4	51	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	130
+	43	144
+	3	51	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	37	130
+	51	149
+	45	137
+	4	37	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	149
+	45	137
+	3	37	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	86
+	205	78
+	209	87
+	4	214	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	78
+	209	87
+	3	214	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	78
+	214	86
+	209	75
+	4	205	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	86
+	209	75
+	3	205	78	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	78
+	85	86
+	90	87
+	4	94	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	86
+	90	87
+	3	94	78	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	85	86
+	94	78
+	90	75
+	4	85	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	78
+	90	75
+	3	85	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	75
+	200	73
+	194	72
+	4	189	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	73
+	194	72
+	3	189	75	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	70
+	194	72
+	200	73
+	4	204	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	72
+	200	73
+	3	204	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	73
+	110	75
+	105	72
+	4	99	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	75
+	105	72
+	3	99	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	72
+	95	70
+	99	73
+	4	105	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	70
+	99	73
+	3	105	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	100
+	205	89
+	210	100
+	4	214	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	89
+	210	100
+	3	214	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	89
+	214	100
+	209	87
+	4	205	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	100
+	209	87
+	3	205	89	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	89
+	85	100
+	89	100
+	4	94	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	100
+	89	100
+	3	94	89	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	85	100
+	94	89
+	90	87
+	4	85	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	89
+	90	87
+	3	85	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	135
+	210	122
+	215	132
+	4	219	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	215	132
+	3	219	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	122
+	219	135
+	214	123
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	135
+	214	123
+	3	210	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	122
+	80	135
+	84	132
+	4	89	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	135
+	84	132
+	3	89	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	135
+	89	122
+	85	123
+	4	80	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	122
+	85	123
+	3	80	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	80
+	185	77
+	179	78
+	4	174	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	77
+	179	78
+	3	174	80	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	75
+	179	78
+	185	77
+	4	189	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	78
+	185	77
+	3	189	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	77
+	124	80
+	120	78
+	4	114	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	80
+	120	78
+	3	114	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	78
+	110	75
+	114	77
+	4	120	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	75
+	114	77
+	3	120	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	273	99
+	259	120
+	267	110
+	4	273	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	120
+	267	110
+	3	273	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	259	120
+	273	99
+	265	107
+	4	259	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	99
+	265	107
+	3	259	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	40	120
+	26	99
+	32	110
+	4	40	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	99
+	32	110
+	3	40	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	26	99
+	40	120
+	34	107
+	4	26	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	120
+	34	107
+	3	26	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	112
+	205	101
+	210	112
+	4	214	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	101
+	210	112
+	3	214	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	101
+	214	112
+	210	100
+	4	205	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	112
+	210	100
+	3	205	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	101
+	85	112
+	89	112
+	4	94	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	112
+	89	112
+	3	94	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	112
+	94	101
+	89	100
+	4	85	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	101
+	89	100
+	3	85	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	85
+	160	84
+	154	84
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	84
+	154	84
+	3	149	85	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	164	83
+	154	84
+	160	84
+	4	164	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	84
+	160	84
+	3	164	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	84
+	149	85
+	145	84
+	4	139	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	145	84
+	3	139	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	84
+	145	84
+	149	85
+	4	154	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	84
+	149	85
+	3	154	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	84
+	135	83
+	139	84
+	4	145	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	83
+	139	84
+	3	145	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	200	73
+	209	75
+	204	70
+	4	200	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	75
+	204	70
+	3	200	73	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	90	75
+	99	73
+	95	70
+	4	90	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	73
+	95	70
+	3	90	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	158
+	234	167
+	229	160
+	4	226	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	167
+	229	160
+	3	226	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	160
+	221	149
+	226	158
+	4	229	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	149
+	226	158
+	3	229	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	149
+	229	160
+	224	152
+	4	221	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	160
+	224	152
+	3	221	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	167
+	73	158
+	70	160
+	4	65	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	158
+	70	160
+	3	65	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	149
+	70	160
+	73	158
+	4	78	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	160
+	73	158
+	3	78	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	160
+	78	149
+	75	152
+	4	70	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	149
+	75	152
+	3	70	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	160	84
+	170	82
+	164	83
+	4	160	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	82
+	164	83
+	3	160	84	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	80
+	164	83
+	170	82
+	4	174	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	83
+	170	82
+	3	174	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	82
+	139	84
+	135	83
+	4	129	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	84
+	135	83
+	3	129	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	83
+	124	80
+	129	82
+	4	135	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	80
+	129	82
+	3	135	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	166
+	239	172
+	234	167
+	4	230	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	172
+	234	167
+	3	230	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	167
+	234	167
+	239	172
+	4	244	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	167
+	239	172
+	3	244	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	167
+	226	158
+	230	166
+	4	234	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	158
+	230	166
+	3	234	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	60	172
+	69	166
+	65	167
+	4	60	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	166
+	65	167
+	3	60	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	158
+	65	167
+	69	166
+	4	73	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	167
+	69	166
+	3	73	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	167
+	55	167
+	60	172
+	4	65	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	167
+	60	172
+	3	65	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	75
+	200	73
+	205	78
+	4	209	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	73
+	205	78
+	3	209	75	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	73
+	90	75
+	94	78
+	4	99	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	75
+	94	78
+	3	99	73	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	239	172
+	251	167
+	244	167
+	4	239	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	167
+	244	167
+	3	239	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	257	154
+	244	167
+	251	167
+	4	257	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	167
+	251	167
+	3	257	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	167
+	257	154
+	250	157
+	4	244	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	154
+	250	157
+	3	244	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	167
+	60	172
+	55	167
+	4	48	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	172
+	55	167
+	3	48	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	167
+	42	154
+	48	167
+	4	55	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	154
+	48	167
+	3	55	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	42	154
+	55	167
+	49	157
+	4	42	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	167
+	49	157
+	3	42	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	152
+	216	140
+	221	149
+	4	224	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	140
+	221	149
+	3	224	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	140
+	224	152
+	220	143
+	4	216	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	152
+	220	143
+	3	216	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	140
+	75	152
+	78	149
+	4	83	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	152
+	78	149
+	3	83	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	152
+	83	140
+	79	143
+	4	75	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	140
+	79	143
+	3	75	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	77
+	195	76
+	189	75
+	4	185	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	76
+	189	75
+	3	185	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	73
+	189	75
+	195	76
+	4	200	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	75
+	195	76
+	3	200	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	76
+	114	77
+	110	75
+	4	104	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	77
+	110	75
+	3	104	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	75
+	99	73
+	104	76
+	4	110	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	73
+	104	76
+	3	110	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	123
+	206	111
+	210	122
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	111
+	210	122
+	3	214	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	111
+	214	123
+	210	112
+	4	206	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	210	112
+	3	206	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	111
+	85	123
+	89	122
+	4	93	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	123
+	89	122
+	3	93	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	123
+	93	111
+	89	112
+	4	85	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	111
+	89	112
+	3	85	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	115
+	254	137
+	262	130
+	4	269	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	137
+	262	130
+	3	269	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	137
+	269	115
+	261	124
+	4	254	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	115
+	261	124
+	3	254	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	137
+	30	115
+	37	130
+	4	45	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	115
+	37	130
+	3	45	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	30	115
+	45	137
+	38	124
+	4	30	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	137
+	38	124
+	3	30	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	209	87
+	200	81
+	205	89
+	4	209	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	81
+	205	89
+	3	209	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	81
+	209	87
+	205	78
+	4	200	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	87
+	205	78
+	3	200	81	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	99	81
+	90	87
+	94	89
+	4	99	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	87
+	94	89
+	3	99	81	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	90	87
+	99	81
+	94	78
+	4	90	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	81
+	94	78
+	3	90	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	173
+	245	176
+	239	172
+	4	235	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	176
+	239	172
+	3	235	173	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	251	167
+	239	172
+	245	176
+	4	251	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	172
+	245	176
+	3	251	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	172
+	230	166
+	235	173
+	4	239	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	166
+	235	173
+	3	239	172	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	54	176
+	63	173
+	60	172
+	4	54	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	173
+	60	172
+	3	54	176	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	69	166
+	60	172
+	63	173
+	4	69	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	172
+	63	173
+	3	69	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	60	172
+	48	167
+	54	176
+	4	60	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	167
+	54	176
+	3	60	172	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	82
+	180	80
+	174	80
+	4	170	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	80
+	174	80
+	3	170	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	77
+	174	80
+	180	80
+	4	185	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	80
+	180	80
+	3	185	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	80
+	129	82
+	124	80
+	4	119	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	82
+	124	80
+	3	119	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	80
+	114	77
+	119	80
+	4	124	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	77
+	119	80
+	3	124	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	76
+	205	78
+	200	73
+	4	195	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	78
+	200	73
+	3	195	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	78
+	104	76
+	99	73
+	4	94	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	76
+	99	73
+	3	94	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	264	138
+	250	157
+	257	154
+	4	264	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	157
+	257	154
+	3	264	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	157
+	264	138
+	256	144
+	4	250	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	138
+	256	144
+	3	250	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	49	157
+	35	138
+	42	154
+	4	49	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	138
+	42	154
+	3	49	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	35	138
+	49	157
+	43	144
+	4	35	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	157
+	43	144
+	3	35	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	279	90
+	265	107
+	273	99
+	4	279	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	107
+	273	99
+	3	279	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	265	107
+	279	90
+	271	96
+	4	265	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	90
+	271	96
+	3	265	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	107
+	20	90
+	26	99
+	4	34	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	90
+	26	99
+	3	34	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	20	90
+	34	107
+	28	96
+	4	20	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	107
+	28	96
+	3	20	90	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	143
+	211	130
+	216	140
+	4	220	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	130
+	216	140
+	3	220	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	211	130
+	220	143
+	215	132
+	4	211	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	143
+	215	132
+	3	211	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	130
+	79	143
+	83	140
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	143
+	83	140
+	3	88	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	143
+	88	130
+	84	132
+	4	79	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	84	132
+	3	79	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	295	150
+	292	123
+	295	139
+	4	295	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	123
+	295	139
+	3	295	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	292	123
+	295	150
+	292	133
+	4	292	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	295	150
+	292	133
+	3	292	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	7	123
+	4	150
+	4	139
+	4	7	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	4	150
+	4	139
+	3	7	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	4	150
+	7	123
+	7	133
+	4	4	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	123
+	7	133
+	3	4	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	100
+	200	91
+	205	101
+	4	210	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	91
+	205	101
+	3	210	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	91
+	210	100
+	205	89
+	4	200	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	100
+	205	89
+	3	200	91	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	99	91
+	89	100
+	94	101
+	4	99	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	100
+	94	101
+	3	99	91	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	89	100
+	99	91
+	94	89
+	4	89	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	91
+	94	89
+	3	89	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	78
+	195	76
+	200	81
+	4	205	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	76
+	200	81
+	3	205	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	76
+	94	78
+	99	81
+	4	104	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	78
+	99	81
+	3	104	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	86
+	155	86
+	149	85
+	4	144	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	86
+	149	85
+	3	144	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	84
+	149	85
+	155	86
+	4	160	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	155	86
+	3	160	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	85
+	139	84
+	144	86
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	84
+	144	86
+	3	149	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	80
+	190	79
+	185	77
+	4	180	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	79
+	185	77
+	3	180	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	76
+	185	77
+	190	79
+	4	195	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	77
+	190	79
+	3	195	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	79
+	119	80
+	114	77
+	4	109	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	80
+	114	77
+	3	109	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	77
+	104	76
+	109	79
+	4	114	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	76
+	109	79
+	3	114	77	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	86
+	165	85
+	160	84
+	4	155	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	85
+	160	84
+	3	155	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	82
+	160	84
+	165	85
+	4	170	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	84
+	165	85
+	3	170	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	85
+	144	86
+	139	84
+	4	134	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	86
+	139	84
+	3	134	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	84
+	129	82
+	134	85
+	4	139	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	82
+	134	85
+	3	139	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	112
+	201	102
+	206	111
+	4	210	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	102
+	206	111
+	3	210	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	102
+	210	112
+	205	101
+	4	201	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	112
+	205	101
+	3	201	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	102
+	89	112
+	93	111
+	4	98	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	112
+	93	111
+	3	98	102	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	89	112
+	98	102
+	94	101
+	4	89	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	102
+	94	101
+	3	89	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	79
+	200	81
+	195	76
+	4	190	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	81
+	195	76
+	3	190	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	81
+	109	79
+	104	76
+	4	99	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	79
+	104	76
+	3	99	81	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	241	179
+	251	177
+	245	176
+	4	241	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	177
+	245	176
+	3	241	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	257	165
+	245	176
+	251	177
+	4	257	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	176
+	251	177
+	3	257	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	176
+	257	165
+	251	167
+	4	245	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	165
+	251	167
+	3	245	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	176
+	235	173
+	241	179
+	4	245	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	173
+	241	179
+	3	245	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	48	177
+	58	179
+	54	176
+	4	48	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	179
+	54	176
+	3	48	177	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	63	173
+	54	176
+	58	179
+	4	63	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	176
+	58	179
+	3	63	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	176
+	41	165
+	48	177
+	4	54	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	165
+	48	177
+	3	54	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	41	165
+	54	176
+	48	167
+	4	41	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	176
+	48	167
+	3	41	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	132
+	206	120
+	211	130
+	4	215	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	120
+	211	130
+	3	215	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	120
+	215	132
+	210	122
+	4	206	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	132
+	210	122
+	3	206	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	120
+	84	132
+	88	130
+	4	93	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	88	130
+	3	93	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	132
+	93	120
+	89	122
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	120
+	89	122
+	3	84	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	85
+	175	83
+	170	82
+	4	165	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	83
+	170	82
+	3	165	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	80
+	170	82
+	175	83
+	4	180	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	82
+	175	83
+	3	180	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	83
+	134	85
+	129	82
+	4	124	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	85
+	129	82
+	3	124	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	82
+	119	80
+	124	83
+	4	129	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	80
+	124	83
+	3	129	82	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	205	89
+	195	84
+	200	91
+	4	205	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	84
+	200	91
+	3	205	89	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	195	84
+	205	89
+	200	81
+	4	195	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	89
+	200	81
+	3	195	84	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	104	84
+	94	89
+	99	91
+	4	104	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	89
+	99	91
+	3	104	84	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	89
+	104	84
+	99	81
+	4	94	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	84
+	99	81
+	3	94	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	291	125
+	286	102
+	290	115
+	4	291	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	102
+	290	115
+	3	291	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	286	102
+	291	125
+	288	107
+	4	286	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	125
+	288	107
+	3	286	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	13	102
+	8	125
+	9	115
+	4	13	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	8	125
+	9	115
+	3	13	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	8	125
+	13	102
+	11	107
+	4	8	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	102
+	11	107
+	3	8	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	149
+	251	167
+	257	165
+	4	265	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	167
+	257	165
+	3	265	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	167
+	265	149
+	257	154
+	4	251	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	149
+	257	154
+	3	251	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	167
+	34	149
+	41	165
+	4	48	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	149
+	41	165
+	3	48	167	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	34	149
+	48	167
+	42	154
+	4	34	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	167
+	42	154
+	3	34	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	81
+	190	79
+	195	84
+	4	200	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	79
+	195	84
+	3	200	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	79
+	99	81
+	104	84
+	4	109	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	81
+	104	84
+	3	109	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	275	104
+	261	124
+	269	115
+	4	275	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	124
+	269	115
+	3	275	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	261	124
+	275	104
+	267	110
+	4	261	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	104
+	267	110
+	3	261	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	124
+	24	104
+	30	115
+	4	38	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	104
+	30	115
+	3	38	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	104
+	38	124
+	32	110
+	4	24	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	124
+	32	110
+	3	24	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	162
+	235	173
+	230	166
+	4	227	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	173
+	230	166
+	3	227	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	166
+	222	154
+	227	162
+	4	230	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	154
+	227	162
+	3	230	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	154
+	230	166
+	226	158
+	4	222	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	166
+	226	158
+	3	222	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	173
+	72	162
+	69	166
+	4	63	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	162
+	69	166
+	3	63	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	154
+	69	166
+	72	162
+	4	77	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	166
+	72	162
+	3	77	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	166
+	77	154
+	73	158
+	4	69	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	154
+	73	158
+	3	69	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	83
+	185	82
+	180	80
+	4	175	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	82
+	180	80
+	3	175	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	79
+	180	80
+	185	82
+	4	190	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	80
+	185	82
+	3	190	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	82
+	124	83
+	119	80
+	4	114	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	83
+	119	80
+	3	114	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	80
+	109	79
+	114	82
+	4	119	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	79
+	114	82
+	3	119	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	170
+	241	179
+	235	173
+	4	232	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	179
+	235	173
+	3	232	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	173
+	227	162
+	232	170
+	4	235	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	162
+	232	170
+	3	235	173	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	58	179
+	67	170
+	63	173
+	4	58	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	170
+	63	173
+	3	58	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	162
+	63	173
+	67	170
+	4	72	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	173
+	67	170
+	3	72	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	123
+	256	144
+	264	138
+	4	271	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	144
+	264	138
+	3	271	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	144
+	271	123
+	262	130
+	4	256	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	123
+	262	130
+	3	256	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	43	144
+	28	123
+	35	138
+	4	43	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	123
+	35	138
+	3	43	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	123
+	43	144
+	37	130
+	4	28	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	144
+	37	130
+	3	28	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	101
+	196	93
+	201	102
+	4	205	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	93
+	201	102
+	3	205	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	93
+	205	101
+	200	91
+	4	196	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	101
+	200	91
+	3	196	93	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	103	93
+	94	101
+	98	102
+	4	103	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	101
+	98	102
+	3	103	93	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	101
+	103	93
+	99	91
+	4	94	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	93
+	99	91
+	3	94	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	226	158
+	217	145
+	222	154
+	4	226	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	145
+	222	154
+	3	226	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	217	145
+	226	158
+	221	149
+	4	217	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	158
+	221	149
+	3	217	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	145
+	73	158
+	77	154
+	4	82	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	158
+	77	154
+	3	82	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	158
+	82	145
+	78	149
+	4	73	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	145
+	78	149
+	3	73	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	82
+	195	84
+	190	79
+	4	185	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	84
+	190	79
+	3	185	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	84
+	114	82
+	109	79
+	4	104	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	82
+	109	79
+	3	104	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	178
+	246	184
+	241	179
+	4	237	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	184
+	241	179
+	3	237	178	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	251	177
+	241	179
+	246	184
+	4	251	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	179
+	246	184
+	3	251	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	179
+	232	170
+	237	178
+	4	241	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	170
+	237	178
+	3	241	179	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	53	184
+	62	178
+	58	179
+	4	53	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	178
+	58	179
+	3	53	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	170
+	58	179
+	62	178
+	4	67	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	179
+	62	178
+	3	67	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	179
+	48	177
+	53	184
+	4	58	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	177
+	53	184
+	3	58	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	122
+	201	111
+	206	120
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	111
+	206	120
+	3	210	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	111
+	210	122
+	206	111
+	4	201	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	206	111
+	3	201	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	111
+	89	122
+	93	120
+	4	98	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	122
+	93	120
+	3	98	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	122
+	98	111
+	93	111
+	4	89	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	111
+	93	111
+	3	89	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	87
+	160	87
+	155	86
+	4	149	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	87
+	155	86
+	3	149	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	85
+	155	86
+	160	87
+	4	165	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	86
+	160	87
+	3	165	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	87
+	149	87
+	144	86
+	4	139	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	87
+	144	86
+	3	139	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	86
+	144	86
+	149	87
+	4	155	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	86
+	149	87
+	3	155	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	86
+	134	85
+	139	87
+	4	144	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	85
+	139	87
+	3	144	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	87
+	170	86
+	165	85
+	4	160	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	86
+	165	85
+	3	160	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	83
+	165	85
+	170	86
+	4	175	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	85
+	170	86
+	3	175	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	86
+	139	87
+	134	85
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	87
+	134	85
+	3	129	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	85
+	124	83
+	129	86
+	4	134	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	83
+	129	86
+	3	134	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	149
+	212	136
+	217	145
+	4	221	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	136
+	217	145
+	3	221	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	136
+	221	149
+	216	140
+	4	212	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	149
+	216	140
+	3	212	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	136
+	78	149
+	82	145
+	4	87	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	149
+	82	145
+	3	87	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	149
+	87	136
+	83	140
+	4	78	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	136
+	83	140
+	3	78	149	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	200	91
+	190	87
+	196	93
+	4	200	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	87
+	196	93
+	3	200	91	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	190	87
+	200	91
+	195	84
+	4	190	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	91
+	195	84
+	3	190	87	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	108	87
+	99	91
+	103	93
+	4	108	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	91
+	103	93
+	3	108	87	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	99	91
+	108	87
+	104	84
+	4	99	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	87
+	104	84
+	3	99	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	84
+	185	82
+	190	87
+	4	195	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	82
+	190	87
+	3	195	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	82
+	104	84
+	108	87
+	4	114	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	84
+	108	87
+	3	114	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	246	184
+	258	177
+	251	177
+	4	246	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	177
+	251	177
+	3	246	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	265	161
+	251	177
+	258	177
+	4	265	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	177
+	258	177
+	3	265	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	177
+	265	161
+	257	165
+	4	251	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	161
+	257	165
+	3	251	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	177
+	53	184
+	48	177
+	4	41	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	184
+	48	177
+	3	41	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	177
+	34	161
+	41	177
+	4	48	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	161
+	41	177
+	3	48	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	34	161
+	48	177
+	41	165
+	4	34	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	177
+	41	165
+	3	34	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	86
+	180	86
+	175	83
+	4	170	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	86
+	175	83
+	3	170	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	82
+	175	83
+	180	86
+	4	185	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	83
+	180	86
+	3	185	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	86
+	129	86
+	124	83
+	4	119	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	124	83
+	3	119	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	83
+	114	82
+	119	86
+	4	124	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	82
+	119	86
+	3	124	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	184
+	252	187
+	246	184
+	4	242	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	187
+	246	184
+	3	242	184	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	258	177
+	246	184
+	252	187
+	4	258	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	184
+	252	187
+	3	258	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	184
+	237	178
+	242	184
+	4	246	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	178
+	242	184
+	3	246	184	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	47	187
+	57	184
+	53	184
+	4	47	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	184
+	53	184
+	3	47	187	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	62	178
+	53	184
+	57	184
+	4	62	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	184
+	57	184
+	3	62	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	53	184
+	41	177
+	47	187
+	4	53	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	177
+	47	187
+	3	53	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	86
+	190	87
+	185	82
+	4	180	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	87
+	185	82
+	3	180	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	87
+	119	86
+	114	82
+	4	108	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	86
+	114	82
+	3	108	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	111
+	196	103
+	201	111
+	4	206	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	103
+	201	111
+	3	206	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	103
+	206	111
+	201	102
+	4	196	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	111
+	201	102
+	3	196	103	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	103	103
+	93	111
+	98	111
+	4	103	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	111
+	98	111
+	3	103	103	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	93	111
+	103	103
+	98	102
+	4	93	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	103
+	98	102
+	3	93	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	292	133
+	288	109
+	292	123
+	4	292	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	109
+	292	123
+	3	292	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	288	109
+	292	133
+	290	115
+	4	288	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	133
+	290	115
+	3	288	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	11	109
+	7	133
+	7	123
+	4	11	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	133
+	7	123
+	3	11	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	7	133
+	11	109
+	9	115
+	4	7	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	109
+	9	115
+	3	7	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	140
+	207	127
+	212	136
+	4	216	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	127
+	212	136
+	3	216	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	127
+	216	140
+	211	130
+	4	207	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	140
+	211	130
+	3	207	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	127
+	83	140
+	87	136
+	4	92	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	140
+	87	136
+	3	92	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	140
+	92	127
+	88	130
+	4	83	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	127
+	88	130
+	3	83	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	272	132
+	257	154
+	265	149
+	4	272	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	154
+	265	149
+	3	272	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	154
+	272	132
+	264	138
+	4	257	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	132
+	264	138
+	3	257	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	42	154
+	27	132
+	34	149
+	4	42	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	132
+	34	149
+	3	42	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	27	132
+	42	154
+	35	138
+	4	27	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	154
+	35	138
+	3	27	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	280	96
+	267	110
+	275	104
+	4	280	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	110
+	275	104
+	3	280	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	267	110
+	280	96
+	273	99
+	4	267	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	96
+	273	99
+	3	267	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	110
+	19	96
+	24	104
+	4	32	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	96
+	24	104
+	3	32	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	19	96
+	32	110
+	26	99
+	4	19	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	110
+	26	99
+	3	19	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	90
+	155	90
+	149	87
+	4	144	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	90
+	149	87
+	3	144	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	87
+	149	87
+	155	90
+	4	160	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	87
+	155	90
+	3	160	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	87
+	139	87
+	144	90
+	4	149	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	87
+	144	90
+	3	149	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	90
+	165	89
+	160	87
+	4	155	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	89
+	160	87
+	3	155	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	86
+	160	87
+	165	89
+	4	170	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	87
+	165	89
+	3	170	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	89
+	144	90
+	139	87
+	4	134	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	90
+	139	87
+	3	134	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	87
+	129	86
+	134	89
+	4	139	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	134	89
+	3	139	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	102
+	191	96
+	196	103
+	4	201	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	96
+	196	103
+	3	201	102	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	191	96
+	201	102
+	196	93
+	4	191	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	102
+	196	93
+	3	191	96	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	108	96
+	98	102
+	103	103
+	4	108	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	102
+	103	103
+	3	108	96	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	98	102
+	108	96
+	103	93
+	4	98	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	96
+	103	93
+	3	98	102	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	186	90
+	196	93
+	190	87
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	93
+	190	87
+	3	186	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	87
+	180	86
+	186	90
+	4	190	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	86
+	186	90
+	3	190	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	93
+	113	90
+	108	87
+	4	103	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	90
+	108	87
+	3	103	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	86
+	108	87
+	113	90
+	4	119	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	87
+	113	90
+	3	119	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	277	110
+	262	130
+	271	123
+	4	277	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	130
+	271	123
+	3	277	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	262	130
+	277	110
+	269	115
+	4	262	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	110
+	269	115
+	3	262	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	130
+	22	110
+	28	123
+	4	37	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	110
+	28	123
+	3	37	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	110
+	37	130
+	30	115
+	4	22	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	130
+	30	115
+	3	22	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	130
+	202	119
+	207	127
+	4	211	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	119
+	207	127
+	3	211	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	119
+	211	130
+	206	120
+	4	202	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	130
+	206	120
+	3	202	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	119
+	88	130
+	92	127
+	4	97	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	92	127
+	3	97	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	130
+	97	119
+	93	120
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	119
+	93	120
+	3	88	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	89
+	175	89
+	170	86
+	4	165	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	89
+	170	86
+	3	165	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	86
+	170	86
+	175	89
+	4	180	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	86
+	175	89
+	3	180	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	89
+	134	89
+	129	86
+	4	124	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	89
+	129	86
+	3	124	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	86
+	119	86
+	124	89
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	86
+	124	89
+	3	129	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	93
+	186	90
+	191	96
+	4	196	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	191	96
+	3	196	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	113	90
+	103	93
+	108	96
+	4	113	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	93
+	108	96
+	3	113	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	89
+	186	90
+	180	86
+	4	175	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	180	86
+	3	175	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	90
+	124	89
+	119	86
+	4	113	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	89
+	119	86
+	3	113	90	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	248	191
+	258	189
+	252	187
+	4	248	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	189
+	252	187
+	3	248	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	265	176
+	252	187
+	258	189
+	4	265	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	187
+	258	189
+	3	265	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	252	187
+	265	176
+	258	177
+	4	252	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	176
+	258	177
+	3	252	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	187
+	242	184
+	248	191
+	4	252	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	184
+	248	191
+	3	252	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	40	189
+	51	191
+	47	187
+	4	40	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	191
+	47	187
+	3	40	189	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	57	184
+	47	187
+	51	191
+	4	57	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	187
+	51	191
+	3	57	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	187
+	34	176
+	40	189
+	4	47	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	176
+	40	189
+	3	47	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	34	176
+	47	187
+	41	177
+	4	34	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	187
+	41	177
+	3	34	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	143
+	257	165
+	265	161
+	4	273	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	165
+	265	161
+	3	273	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	165
+	273	143
+	265	149
+	4	257	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	143
+	265	149
+	3	257	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	165
+	26	143
+	34	161
+	4	41	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	143
+	34	161
+	3	41	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	26	143
+	41	165
+	34	149
+	4	26	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	165
+	34	149
+	3	26	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	288	107
+	280	96
+	286	102
+	4	288	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	96
+	286	102
+	3	288	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	280	96
+	288	107
+	285	94
+	4	280	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	107
+	285	94
+	3	280	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	19	96
+	11	107
+	13	102
+	4	19	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	107
+	13	102
+	3	19	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	11	107
+	19	96
+	14	94
+	4	11	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	96
+	14	94
+	3	11	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	285	94
+	273	99
+	280	96
+	4	285	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	99
+	280	96
+	3	285	94	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	273	99
+	285	94
+	279	90
+	4	273	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	94
+	279	90
+	3	273	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	26	99
+	14	94
+	19	96
+	4	26	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	94
+	19	96
+	3	26	99	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	14	94
+	26	99
+	20	90
+	4	14	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	99
+	20	90
+	3	14	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	120
+	197	111
+	202	119
+	4	206	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	111
+	202	119
+	3	206	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	111
+	206	120
+	201	111
+	4	197	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	120
+	201	111
+	3	197	111	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	102	111
+	93	120
+	97	119
+	4	102	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	120
+	97	119
+	3	102	111	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	120
+	102	111
+	98	111
+	4	93	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	111
+	98	111
+	3	93	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	172
+	242	184
+	237	178
+	4	234	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	184
+	237	178
+	3	234	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	178
+	229	164
+	234	172
+	4	237	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	164
+	234	172
+	3	237	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	164
+	237	178
+	232	170
+	4	229	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	178
+	232	170
+	3	229	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	57	184
+	65	172
+	62	178
+	4	57	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	172
+	62	178
+	3	57	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	164
+	62	178
+	65	172
+	4	70	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	178
+	65	172
+	3	70	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	178
+	70	164
+	67	170
+	4	62	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	164
+	67	170
+	3	62	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	232	170
+	224	156
+	229	164
+	4	232	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	156
+	229	164
+	3	232	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	156
+	232	170
+	227	162
+	4	224	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	170
+	227	162
+	3	224	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	156
+	67	170
+	70	164
+	4	75	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	170
+	70	164
+	3	75	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	170
+	75	156
+	72	162
+	4	67	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	156
+	72	162
+	3	67	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	181	93
+	191	96
+	186	90
+	4	181	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	96
+	186	90
+	3	181	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	90
+	175	89
+	181	93
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	89
+	181	93
+	3	186	90	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	96
+	118	93
+	113	90
+	4	108	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	93
+	113	90
+	3	108	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	89
+	113	90
+	118	93
+	4	124	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	90
+	118	93
+	3	124	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	93
+	160	93
+	155	90
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	93
+	155	90
+	3	149	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	89
+	155	90
+	160	93
+	4	165	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	90
+	160	93
+	3	165	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	93
+	149	93
+	144	90
+	4	139	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	144	90
+	3	139	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	90
+	144	90
+	149	93
+	4	155	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	90
+	149	93
+	3	155	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	90
+	134	89
+	139	93
+	4	144	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	89
+	139	93
+	3	144	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	180
+	248	191
+	242	184
+	4	240	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	191
+	242	184
+	3	240	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	184
+	234	172
+	240	180
+	4	242	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	172
+	240	180
+	3	242	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	51	191
+	59	180
+	57	184
+	4	51	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	180
+	57	184
+	3	51	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	172
+	57	184
+	59	180
+	4	65	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	184
+	59	180
+	3	65	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	157
+	258	177
+	265	176
+	4	273	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	177
+	265	176
+	3	273	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	258	177
+	273	157
+	265	161
+	4	258	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	157
+	265	161
+	3	258	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	177
+	26	157
+	34	176
+	4	41	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	157
+	34	176
+	3	41	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	26	157
+	41	177
+	34	161
+	4	26	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	177
+	34	161
+	3	26	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	93
+	170	92
+	165	89
+	4	160	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	92
+	165	89
+	3	160	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	89
+	165	89
+	170	92
+	4	175	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	89
+	170	92
+	3	175	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	92
+	139	93
+	134	89
+	4	129	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	93
+	134	89
+	3	129	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	89
+	124	89
+	129	92
+	4	134	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	89
+	129	92
+	3	134	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	111
+	191	104
+	197	111
+	4	201	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	104
+	197	111
+	3	201	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	191	104
+	201	111
+	196	103
+	4	191	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	111
+	196	103
+	3	191	104	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	108	104
+	98	111
+	102	111
+	4	108	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	111
+	102	111
+	3	108	104	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	98	111
+	108	104
+	103	103
+	4	98	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	104
+	103	103
+	3	98	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	162
+	218	148
+	224	156
+	4	227	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	148
+	224	156
+	3	227	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	218	148
+	227	162
+	222	154
+	4	218	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	162
+	222	154
+	3	218	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	148
+	72	162
+	75	156
+	4	80	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	162
+	75	156
+	3	80	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	162
+	80	148
+	77	154
+	4	72	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	148
+	77	154
+	3	72	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	92
+	181	93
+	175	89
+	4	170	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	93
+	175	89
+	3	170	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	93
+	129	92
+	124	89
+	4	118	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	92
+	124	89
+	3	118	93	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	186	98
+	196	103
+	191	96
+	4	186	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	103
+	191	96
+	3	186	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	96
+	181	93
+	186	98
+	4	191	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	93
+	186	98
+	3	191	96	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	103	103
+	113	98
+	108	96
+	4	103	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	98
+	108	96
+	3	103	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	93
+	108	96
+	113	98
+	4	118	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	96
+	113	98
+	3	118	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	103
+	186	98
+	191	104
+	4	196	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	98
+	191	104
+	3	196	103	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	113	98
+	103	103
+	108	104
+	4	113	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	103
+	108	104
+	3	113	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	187
+	254	196
+	248	191
+	4	245	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	196
+	248	191
+	3	245	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	258	189
+	248	191
+	254	196
+	4	258	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	191
+	254	196
+	3	258	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	191
+	240	180
+	245	187
+	4	248	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	180
+	245	187
+	3	248	191	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	45	196
+	54	187
+	51	191
+	4	45	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	187
+	51	191
+	3	45	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	59	180
+	51	191
+	54	187
+	4	59	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	191
+	54	187
+	3	59	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	191
+	40	189
+	45	196
+	4	51	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	189
+	45	196
+	3	51	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	295	139
+	290	116
+	294	128
+	4	295	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	116
+	294	128
+	3	295	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	290	116
+	295	139
+	292	123
+	4	290	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	295	139
+	292	123
+	3	290	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	9	116
+	4	139
+	5	128
+	4	9	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	4	139
+	5	128
+	3	9	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	4	139
+	9	116
+	7	123
+	4	4	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	116
+	7	123
+	3	4	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	154
+	213	141
+	218	148
+	4	222	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	141
+	218	148
+	3	222	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	141
+	222	154
+	217	145
+	4	213	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	154
+	217	145
+	3	213	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	141
+	77	154
+	80	148
+	4	86	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	154
+	80	148
+	3	86	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	154
+	86	141
+	82	145
+	4	77	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	141
+	82	145
+	3	77	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	279	118
+	264	138
+	272	132
+	4	279	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	138
+	272	132
+	3	279	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	264	138
+	279	118
+	271	123
+	4	264	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	118
+	271	123
+	3	264	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	138
+	20	118
+	27	132
+	4	35	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	118
+	27	132
+	3	35	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	20	118
+	35	138
+	28	123
+	4	20	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	138
+	28	123
+	3	20	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	145
+	208	133
+	213	141
+	4	217	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	133
+	213	141
+	3	217	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	133
+	217	145
+	212	136
+	4	208	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	145
+	212	136
+	3	208	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	133
+	82	145
+	86	141
+	4	91	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	145
+	86	141
+	3	91	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	145
+	91	133
+	87	136
+	4	82	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	133
+	87	136
+	3	82	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	282	103
+	269	115
+	277	110
+	4	282	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	115
+	277	110
+	3	282	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	269	115
+	282	103
+	275	104
+	4	269	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	103
+	275	104
+	3	269	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	115
+	17	103
+	22	110
+	4	30	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	103
+	22	110
+	3	30	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	103
+	30	115
+	24	104
+	4	17	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	115
+	24	104
+	3	17	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	290	115
+	282	103
+	288	109
+	4	290	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	103
+	288	109
+	3	290	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	282	103
+	290	115
+	286	102
+	4	282	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	115
+	286	102
+	3	282	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	17	103
+	9	115
+	11	109
+	4	17	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	115
+	11	109
+	3	17	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	9	115
+	17	103
+	13	102
+	4	9	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	103
+	13	102
+	3	9	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	96
+	186	98
+	181	93
+	4	176	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	98
+	181	93
+	3	176	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	93
+	170	92
+	176	96
+	4	181	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	92
+	176	96
+	3	181	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	98
+	123	96
+	118	93
+	4	113	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	96
+	118	93
+	3	113	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	92
+	118	93
+	123	96
+	4	129	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	93
+	123	96
+	3	129	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	96
+	155	96
+	149	93
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	96
+	149	93
+	3	144	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	93
+	149	93
+	155	96
+	4	160	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	155	96
+	3	160	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	93
+	139	93
+	144	96
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	93
+	144	96
+	3	149	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	196
+	245	187
+	250	194
+	4	254	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	187
+	250	194
+	3	254	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	54	187
+	45	196
+	49	194
+	4	54	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	196
+	49	194
+	3	54	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	96
+	165	96
+	160	93
+	4	155	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	96
+	160	93
+	3	155	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	92
+	160	93
+	165	96
+	4	170	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	93
+	165	96
+	3	170	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	96
+	144	96
+	139	93
+	4	134	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	139	93
+	3	134	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	93
+	129	92
+	134	96
+	4	139	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	92
+	134	96
+	3	139	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	96
+	176	96
+	170	92
+	4	165	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	96
+	170	92
+	3	165	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	96
+	134	96
+	129	92
+	4	123	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	96
+	129	92
+	3	123	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	136
+	203	125
+	208	133
+	4	212	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	208	133
+	3	212	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	125
+	212	136
+	207	127
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	136
+	207	127
+	3	203	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	125
+	87	136
+	91	133
+	4	96	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	136
+	91	133
+	3	96	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	136
+	96	125
+	92	127
+	4	87	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	125
+	92	127
+	3	87	136	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	181	101
+	191	104
+	186	98
+	4	181	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	104
+	186	98
+	3	181	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	98
+	176	96
+	181	101
+	4	186	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	96
+	181	101
+	3	186	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	108	104
+	118	101
+	113	98
+	4	108	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	113	98
+	3	108	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	96
+	113	98
+	118	101
+	4	123	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	98
+	118	101
+	3	123	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	127
+	197	118
+	203	125
+	4	207	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	118
+	203	125
+	3	207	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	118
+	207	127
+	202	119
+	4	197	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	127
+	202	119
+	3	197	118	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	102	118
+	92	127
+	96	125
+	4	102	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	127
+	96	125
+	3	102	118	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	92	127
+	102	118
+	97	119
+	4	92	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	118
+	97	119
+	3	92	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	280	127
+	265	149
+	273	143
+	4	280	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	149
+	273	143
+	3	280	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	265	149
+	280	127
+	272	132
+	4	265	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	127
+	272	132
+	3	265	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	34	149
+	19	127
+	26	143
+	4	34	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	127
+	26	143
+	3	34	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	19	127
+	34	149
+	27	132
+	4	19	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	149
+	27	132
+	3	19	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	119
+	192	112
+	197	118
+	4	202	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	112
+	197	118
+	3	202	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	112
+	202	119
+	197	111
+	4	192	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	119
+	197	111
+	3	192	112	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	107	112
+	97	119
+	102	118
+	4	107	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	119
+	102	118
+	3	107	112	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	97	119
+	107	112
+	102	111
+	4	97	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	112
+	102	111
+	3	97	119	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	186	106
+	197	111
+	191	104
+	4	186	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	111
+	191	104
+	3	186	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	104
+	181	101
+	186	106
+	4	191	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	101
+	186	106
+	3	191	104	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	102	111
+	112	106
+	108	104
+	4	102	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	106
+	108	104
+	3	102	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	101
+	108	104
+	112	106
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	104
+	112	106
+	3	118	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	111
+	186	106
+	192	112
+	4	197	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	106
+	192	112
+	3	197	111	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	112	106
+	102	111
+	107	112
+	4	112	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	111
+	107	112
+	3	112	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	286	102
+	275	104
+	282	103
+	4	286	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	104
+	282	103
+	3	286	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	275	104
+	286	102
+	280	96
+	4	275	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	102
+	280	96
+	3	275	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	24	104
+	13	102
+	17	103
+	4	24	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	102
+	17	103
+	3	24	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	13	102
+	24	104
+	19	96
+	4	13	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	104
+	19	96
+	3	13	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	99
+	181	101
+	176	96
+	4	171	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	101
+	176	96
+	3	171	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	96
+	165	96
+	171	99
+	4	176	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	96
+	171	99
+	3	176	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	101
+	128	99
+	123	96
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	99
+	123	96
+	3	118	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	96
+	123	96
+	128	99
+	4	134	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	96
+	128	99
+	3	134	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	99
+	160	99
+	155	96
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	99
+	155	96
+	3	149	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	96
+	155	96
+	160	99
+	4	165	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	96
+	160	99
+	3	165	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	99
+	149	99
+	144	96
+	4	139	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	144	96
+	3	139	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	96
+	144	96
+	149	99
+	4	155	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	149	99
+	3	155	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	96
+	134	96
+	139	99
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	96
+	139	99
+	3	144	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	99
+	171	99
+	165	96
+	4	160	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	99
+	165	96
+	3	160	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	99
+	139	99
+	134	96
+	4	128	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	99
+	134	96
+	3	128	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	139
+	265	161
+	273	157
+	4	281	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	161
+	273	157
+	3	281	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	161
+	281	139
+	273	143
+	4	265	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	139
+	273	143
+	3	265	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	34	161
+	18	139
+	26	157
+	4	34	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	139
+	26	157
+	3	34	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	18	139
+	34	161
+	26	143
+	4	18	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	161
+	26	143
+	3	18	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	104
+	186	106
+	181	101
+	4	176	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	106
+	181	101
+	3	176	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	101
+	171	99
+	176	104
+	4	181	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	99
+	176	104
+	3	181	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	106
+	123	104
+	118	101
+	4	112	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	104
+	118	101
+	3	112	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	99
+	118	101
+	123	104
+	4	128	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	123	104
+	3	128	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	284	110
+	271	123
+	279	118
+	4	284	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	123
+	279	118
+	3	284	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	271	123
+	284	110
+	277	110
+	4	271	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	110
+	277	110
+	3	271	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	28	123
+	15	110
+	20	118
+	4	28	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	110
+	20	118
+	3	28	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	15	110
+	28	123
+	22	110
+	4	15	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	123
+	22	110
+	3	15	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	292	123
+	284	110
+	290	116
+	4	292	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	110
+	290	116
+	3	292	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	284	110
+	292	123
+	288	109
+	4	284	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	123
+	288	109
+	3	284	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	15	110
+	7	123
+	9	116
+	4	15	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	123
+	9	116
+	3	15	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	7	123
+	15	110
+	11	109
+	4	7	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	110
+	11	109
+	3	7	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	103
+	176	104
+	171	99
+	4	165	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	104
+	171	99
+	3	165	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	99
+	160	99
+	165	103
+	4	171	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	99
+	165	103
+	3	171	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	104
+	134	103
+	128	99
+	4	123	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	103
+	128	99
+	3	123	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	99
+	128	99
+	134	103
+	4	139	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	99
+	134	103
+	3	139	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	103
+	155	103
+	149	99
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	149	99
+	3	144	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	99
+	149	99
+	155	103
+	4	160	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	155	103
+	3	160	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	99
+	139	99
+	144	103
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	99
+	144	103
+	3	149	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	103
+	165	103
+	160	99
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	103
+	160	99
+	3	155	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	103
+	144	103
+	139	99
+	4	134	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	139	99
+	3	134	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	108
+	192	112
+	186	106
+	4	181	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	112
+	186	106
+	3	181	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	106
+	176	104
+	181	108
+	4	186	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	104
+	181	108
+	3	186	106	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	107	112
+	117	108
+	112	106
+	4	107	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	108
+	112	106
+	3	107	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	104
+	112	106
+	117	108
+	4	123	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	106
+	117	108
+	3	123	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	171
+	245	187
+	240	180
+	4	237	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	187
+	240	180
+	3	237	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	240	180
+	231	164
+	237	171
+	4	240	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	164
+	237	171
+	3	240	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	231	164
+	240	180
+	234	172
+	4	231	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	180
+	234	172
+	3	231	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	187
+	62	171
+	59	180
+	4	54	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	171
+	59	180
+	3	54	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	164
+	59	180
+	62	171
+	4	68	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	180
+	62	171
+	3	68	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	180
+	68	164
+	65	172
+	4	59	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	164
+	65	172
+	3	59	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	172
+	226	157
+	231	164
+	4	234	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	157
+	231	164
+	3	234	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	157
+	234	172
+	229	164
+	4	226	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	172
+	229	164
+	3	226	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	157
+	65	172
+	68	164
+	4	73	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	172
+	68	164
+	3	73	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	172
+	73	157
+	70	164
+	4	65	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	157
+	70	164
+	3	65	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	179
+	250	194
+	245	187
+	4	243	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	194
+	245	187
+	3	243	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	245	187
+	237	171
+	243	179
+	4	245	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	171
+	243	179
+	3	245	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	194
+	56	179
+	54	187
+	4	49	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	179
+	54	187
+	3	49	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	171
+	54	187
+	56	179
+	4	62	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	187
+	56	179
+	3	62	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	164
+	220	150
+	226	157
+	4	229	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	150
+	226	157
+	3	229	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	150
+	229	164
+	224	156
+	4	220	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	164
+	224	156
+	3	220	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	150
+	70	164
+	73	157
+	4	79	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	164
+	73	157
+	3	79	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	164
+	79	150
+	75	156
+	4	70	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	150
+	75	156
+	3	70	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	113
+	197	118
+	192	112
+	4	187	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	118
+	192	112
+	3	187	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	112
+	181	108
+	187	113
+	4	192	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	108
+	187	113
+	3	192	112	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	102	118
+	112	113
+	107	112
+	4	102	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	113
+	107	112
+	3	102	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	117	108
+	107	112
+	112	113
+	4	117	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	112
+	112	113
+	3	117	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	194
+	243	179
+	248	186
+	4	250	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	179
+	248	186
+	3	250	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	179
+	49	194
+	51	186
+	4	56	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	194
+	51	186
+	3	56	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	156
+	215	143
+	220	150
+	4	224	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	143
+	220	150
+	3	224	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	143
+	224	156
+	218	148
+	4	215	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	156
+	218	148
+	3	215	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	143
+	75	156
+	79	150
+	4	84	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	156
+	79	150
+	3	84	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	156
+	84	143
+	80	148
+	4	75	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	143
+	80	148
+	3	75	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	107
+	181	108
+	176	104
+	4	171	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	108
+	176	104
+	3	171	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	104
+	165	103
+	171	107
+	4	176	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	103
+	171	107
+	3	176	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	108
+	128	107
+	123	104
+	4	117	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	107
+	123	104
+	3	117	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	103
+	123	104
+	128	107
+	4	134	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	104
+	128	107
+	3	134	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	148
+	209	137
+	215	143
+	4	218	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	137
+	215	143
+	3	218	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	137
+	218	148
+	213	141
+	4	209	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	148
+	213	141
+	3	209	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	137
+	80	148
+	84	143
+	4	90	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	148
+	84	143
+	3	90	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	148
+	90	137
+	86	141
+	4	80	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	137
+	86	141
+	3	80	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	119
+	203	125
+	197	118
+	4	193	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	197	118
+	3	193	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	118
+	187	113
+	193	119
+	4	197	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	113
+	193	119
+	3	197	118	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	96	125
+	106	119
+	102	118
+	4	96	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	119
+	102	118
+	3	96	125	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	112	113
+	102	118
+	106	119
+	4	112	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	118
+	106	119
+	3	112	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	141
+	204	130
+	209	137
+	4	213	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	130
+	209	137
+	3	213	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	130
+	213	141
+	208	133
+	4	204	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	141
+	208	133
+	3	204	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	95	130
+	86	141
+	90	137
+	4	95	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	141
+	90	137
+	3	95	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	141
+	95	130
+	91	133
+	4	86	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	130
+	91	133
+	3	86	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	106
+	171	107
+	165	103
+	4	160	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	107
+	165	103
+	3	160	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	103
+	155	103
+	160	106
+	4	165	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	160	106
+	3	165	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	107
+	139	106
+	134	103
+	4	128	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	106
+	134	103
+	3	128	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	103
+	134	103
+	139	106
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	103
+	139	106
+	3	144	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	124
+	208	133
+	203	125
+	4	198	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	133
+	203	125
+	3	198	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	125
+	193	119
+	198	124
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	119
+	198	124
+	3	203	125	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	91	133
+	101	124
+	96	125
+	4	91	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	124
+	96	125
+	3	91	133	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	106	119
+	96	125
+	101	124
+	4	106	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	125
+	101	124
+	3	106	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	277	110
+	288	109
+	282	103
+	4	277	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	109
+	282	103
+	3	277	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	11	109
+	22	110
+	17	103
+	4	11	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	110
+	17	103
+	3	11	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	106
+	160	106
+	155	103
+	4	149	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	106
+	155	103
+	3	149	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	106
+	149	106
+	144	103
+	4	139	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	106
+	144	103
+	3	139	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	103
+	144	103
+	149	106
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	149	106
+	3	155	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	133
+	198	124
+	204	130
+	4	208	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	124
+	204	130
+	3	208	133	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	101	124
+	91	133
+	95	130
+	4	101	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	133
+	95	130
+	3	101	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	288	109
+	277	110
+	284	110
+	4	288	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	110
+	284	110
+	3	288	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	22	110
+	11	109
+	15	110
+	4	22	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	109
+	15	110
+	3	22	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	286	118
+	272	132
+	280	127
+	4	286	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	132
+	280	127
+	3	286	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	272	132
+	286	118
+	279	118
+	4	272	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	118
+	279	118
+	3	272	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	27	132
+	13	118
+	19	127
+	4	27	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	118
+	19	127
+	3	27	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	13	118
+	27	132
+	20	118
+	4	13	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	132
+	20	118
+	3	13	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	111
+	187	113
+	181	108
+	4	176	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	113
+	181	108
+	3	176	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	108
+	171	107
+	176	111
+	4	181	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	107
+	176	111
+	3	181	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	113
+	123	111
+	117	108
+	4	112	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	111
+	117	108
+	3	112	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	107
+	117	108
+	123	111
+	4	128	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	108
+	123	111
+	3	128	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	110
+	176	111
+	171	107
+	4	166	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	111
+	171	107
+	3	166	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	107
+	160	106
+	166	110
+	4	171	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	106
+	166	110
+	3	171	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	111
+	133	110
+	128	107
+	4	123	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	110
+	128	107
+	3	123	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	106
+	128	107
+	133	110
+	4	139	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	107
+	133	110
+	3	139	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	110
+	166	110
+	160	106
+	4	155	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	110
+	160	106
+	3	155	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	106
+	149	106
+	155	110
+	4	160	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	106
+	155	110
+	3	160	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	110
+	144	110
+	139	106
+	4	133	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	110
+	139	106
+	3	133	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	106
+	139	106
+	144	110
+	4	149	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	106
+	144	110
+	3	149	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	110
+	155	110
+	149	106
+	4	144	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	110
+	149	106
+	3	144	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	115
+	193	119
+	187	113
+	4	182	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	119
+	187	113
+	3	182	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	113
+	176	111
+	182	115
+	4	187	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	111
+	182	115
+	3	187	113	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	106	119
+	117	115
+	112	113
+	4	106	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	115
+	112	113
+	3	106	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	111
+	112	113
+	117	115
+	4	123	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	113
+	117	115
+	3	123	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	288	126
+	273	143
+	281	139
+	4	288	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	143
+	281	139
+	3	288	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	273	143
+	288	126
+	280	127
+	4	273	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	126
+	280	127
+	3	273	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	26	143
+	11	126
+	18	139
+	4	26	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	126
+	18	139
+	3	26	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	11	126
+	26	143
+	19	127
+	4	11	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	143
+	19	127
+	3	11	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	294	128
+	286	118
+	292	123
+	4	294	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	118
+	292	123
+	3	294	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	286	118
+	294	128
+	290	116
+	4	286	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	128
+	290	116
+	3	286	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	13	118
+	5	128
+	7	123
+	4	13	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	5	128
+	7	123
+	3	13	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	5	128
+	13	118
+	9	116
+	4	5	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	118
+	9	116
+	3	5	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	120
+	198	124
+	193	119
+	4	188	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	124
+	193	119
+	3	188	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	119
+	182	115
+	188	120
+	4	193	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	115
+	188	120
+	3	193	119	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	101	124
+	111	120
+	106	119
+	4	101	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	120
+	106	119
+	3	101	124	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	117	115
+	106	119
+	111	120
+	4	117	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	119
+	111	120
+	3	117	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	114
+	182	115
+	176	111
+	4	171	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	115
+	176	111
+	3	171	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	111
+	166	110
+	171	114
+	4	176	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	110
+	171	114
+	3	176	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	115
+	128	114
+	123	111
+	4	117	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	114
+	123	111
+	3	117	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	110
+	123	111
+	128	114
+	4	133	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	111
+	128	114
+	3	133	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	290	116
+	279	118
+	286	118
+	4	290	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	118
+	286	118
+	3	290	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	279	118
+	290	116
+	284	110
+	4	279	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	116
+	284	110
+	3	279	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	20	118
+	9	116
+	13	118
+	4	20	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	116
+	13	118
+	3	20	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	9	116
+	20	118
+	15	110
+	4	9	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	118
+	15	110
+	3	9	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	114
+	171	114
+	166	110
+	4	160	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	114
+	166	110
+	3	160	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	110
+	155	110
+	160	114
+	4	166	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	110
+	160	114
+	3	166	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	114
+	139	114
+	133	110
+	4	128	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	114
+	133	110
+	3	128	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	110
+	133	110
+	139	114
+	4	144	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	110
+	139	114
+	3	144	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	114
+	160	114
+	155	110
+	4	149	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	114
+	155	110
+	3	149	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	114
+	149	114
+	144	110
+	4	139	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	114
+	144	110
+	3	139	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	110
+	144	110
+	149	114
+	4	155	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	110
+	149	114
+	3	155	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	124
+	204	130
+	198	124
+	4	193	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	130
+	198	124
+	3	193	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	124
+	188	120
+	193	124
+	4	198	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	120
+	193	124
+	3	198	124	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	95	130
+	106	124
+	101	124
+	4	95	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	124
+	101	124
+	3	95	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	111	120
+	101	124
+	106	124
+	4	111	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	124
+	106	124
+	3	111	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	118
+	188	120
+	182	115
+	4	177	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	120
+	182	115
+	3	177	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	115
+	171	114
+	177	118
+	4	182	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	114
+	177	118
+	3	182	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	120
+	122	118
+	117	115
+	4	111	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	118
+	117	115
+	3	111	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	114
+	117	115
+	122	118
+	4	128	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	115
+	122	118
+	3	128	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	129
+	209	137
+	204	130
+	4	199	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	137
+	204	130
+	3	199	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	130
+	193	124
+	199	129
+	4	204	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	124
+	199	129
+	3	204	130	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	90	137
+	100	129
+	95	130
+	4	90	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	129
+	95	130
+	3	90	137	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	106	124
+	95	130
+	100	129
+	4	106	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	130
+	100	129
+	3	106	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	117
+	177	118
+	171	114
+	4	166	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	118
+	171	114
+	3	166	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	114
+	160	114
+	166	117
+	4	171	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	114
+	166	117
+	3	171	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	118
+	133	117
+	128	114
+	4	122	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	117
+	128	114
+	3	122	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	114
+	128	114
+	133	117
+	4	139	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	114
+	133	117
+	3	139	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	134
+	215	143
+	209	137
+	4	205	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	143
+	209	137
+	3	205	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	137
+	199	129
+	205	134
+	4	209	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	129
+	205	134
+	3	209	137	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	84	143
+	94	134
+	90	137
+	4	84	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	134
+	90	137
+	3	84	143	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	100	129
+	90	137
+	94	134
+	4	100	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	137
+	94	134
+	3	100	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	117
+	155	117
+	149	114
+	4	144	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	149	114
+	3	144	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	114
+	149	114
+	155	117
+	4	160	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	114
+	155	117
+	3	160	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	114
+	139	114
+	144	117
+	4	149	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	114
+	144	117
+	3	149	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	117
+	166	117
+	160	114
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	117
+	160	114
+	3	155	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	117
+	144	117
+	139	114
+	4	133	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	117
+	139	114
+	3	133	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	140
+	220	150
+	215	143
+	4	211	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	150
+	215	143
+	3	211	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	143
+	205	134
+	211	140
+	4	215	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	134
+	211	140
+	3	215	143	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	79	150
+	88	140
+	84	143
+	4	79	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	140
+	84	143
+	3	79	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	94	134
+	84	143
+	88	140
+	4	94	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	143
+	88	140
+	3	94	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	292	123
+	280	127
+	288	126
+	4	292	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	127
+	288	126
+	3	292	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	280	127
+	292	123
+	286	118
+	4	280	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	123
+	286	118
+	3	280	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	19	127
+	7	123
+	11	126
+	4	19	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	123
+	11	126
+	3	19	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	7	123
+	19	127
+	13	118
+	4	7	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	127
+	13	118
+	3	7	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	122
+	193	124
+	188	120
+	4	182	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	124
+	188	120
+	3	182	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	120
+	177	118
+	182	122
+	4	188	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	118
+	182	122
+	3	188	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	124
+	116	122
+	111	120
+	4	106	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	122
+	111	120
+	3	106	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	118
+	111	120
+	116	122
+	4	122	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	120
+	116	122
+	3	122	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	145
+	226	157
+	220	150
+	4	216	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	157
+	220	150
+	3	216	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	150
+	211	140
+	216	145
+	4	220	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	140
+	216	145
+	3	220	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	157
+	83	145
+	79	150
+	4	73	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	145
+	79	150
+	3	73	157	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	88	140
+	79	150
+	83	145
+	4	88	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	150
+	83	145
+	3	88	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	151
+	231	164
+	226	157
+	4	222	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	164
+	226	157
+	3	222	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	157
+	216	145
+	222	151
+	4	226	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	145
+	222	151
+	3	226	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	164
+	77	151
+	73	157
+	4	68	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	151
+	73	157
+	3	68	164	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	83	145
+	73	157
+	77	151
+	4	83	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	157
+	77	151
+	3	83	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	157
+	237	171
+	231	164
+	4	228	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	171
+	231	164
+	3	228	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	164
+	222	151
+	228	157
+	4	231	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	151
+	228	157
+	3	231	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	171
+	71	157
+	68	164
+	4	62	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	157
+	68	164
+	3	62	171	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	77	151
+	68	164
+	71	157
+	4	77	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	164
+	71	157
+	3	77	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	121
+	182	122
+	177	118
+	4	172	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	122
+	177	118
+	3	172	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	118
+	166	117
+	172	121
+	4	177	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	117
+	172	121
+	3	177	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	122
+	127	121
+	122	118
+	4	116	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	121
+	122	118
+	3	116	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	117
+	122	118
+	127	121
+	4	133	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	118
+	127	121
+	3	133	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	122
+	160	121
+	155	117
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	121
+	155	117
+	3	149	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	117
+	155	117
+	160	121
+	4	166	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	160	121
+	3	166	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	121
+	149	122
+	144	117
+	4	138	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	144	117
+	3	138	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	117
+	144	117
+	149	122
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	117
+	149	122
+	3	155	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	117
+	133	117
+	138	121
+	4	144	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	117
+	138	121
+	3	144	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	121
+	172	121
+	166	117
+	4	160	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	121
+	166	117
+	3	160	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	121
+	138	121
+	133	117
+	4	127	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	121
+	133	117
+	3	127	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	163
+	243	179
+	237	171
+	4	234	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	179
+	237	171
+	3	234	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	171
+	228	157
+	234	163
+	4	237	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	157
+	234	163
+	3	237	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	179
+	65	163
+	62	171
+	4	56	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	163
+	62	171
+	3	56	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	157
+	62	171
+	65	163
+	4	71	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	171
+	65	163
+	3	71	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	225
+	155	225
+	149	218
+	4	144	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	225
+	149	218
+	3	144	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	217
+	149	218
+	155	225
+	4	160	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	218
+	155	225
+	3	160	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	218
+	160	217
+	155	208
+	4	149	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	217
+	155	208
+	3	149	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	218
+	139	217
+	144	225
+	4	149	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	217
+	144	225
+	3	149	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	217
+	149	218
+	144	208
+	4	139	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	218
+	144	208
+	3	139	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	208
+	144	208
+	149	218
+	4	155	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	208
+	149	218
+	3	155	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	231
+	160	231
+	155	225
+	4	149	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	231
+	155	225
+	3	149	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	225
+	155	225
+	160	231
+	4	166	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	225
+	160	231
+	3	166	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	225
+	166	225
+	160	217
+	4	155	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	225
+	160	217
+	3	155	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	231
+	149	231
+	144	225
+	4	138	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	231
+	144	225
+	3	138	231	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	225
+	144	225
+	149	231
+	4	155	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	225
+	149	231
+	3	155	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	225
+	133	225
+	138	231
+	4	144	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	225
+	138	231
+	3	144	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	225
+	144	225
+	139	217
+	4	133	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	225
+	139	217
+	3	133	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	169
+	248	186
+	243	179
+	4	240	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	186
+	243	179
+	3	240	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	179
+	234	163
+	240	169
+	4	243	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	163
+	240	169
+	3	243	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	186
+	59	169
+	56	179
+	4	51	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	169
+	56	179
+	3	51	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	163
+	56	179
+	59	169
+	4	65	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	179
+	59	169
+	3	65	163	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	216
+	160	217
+	166	225
+	4	171	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	217
+	166	225
+	3	171	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	217
+	171	216
+	166	207
+	4	160	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	216
+	166	207
+	3	160	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	207
+	155	208
+	160	217
+	4	166	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	208
+	160	217
+	3	166	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	217
+	128	216
+	133	225
+	4	139	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	216
+	133	225
+	3	139	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	216
+	139	217
+	133	207
+	4	128	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	217
+	133	207
+	3	128	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	208
+	133	207
+	139	217
+	4	144	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	207
+	139	217
+	3	144	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	126
+	199	129
+	193	124
+	4	188	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	129
+	193	124
+	3	188	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	124
+	182	122
+	188	126
+	4	193	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	122
+	188	126
+	3	193	124	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	100	129
+	111	126
+	106	124
+	4	100	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	126
+	106	124
+	3	100	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	122
+	106	124
+	111	126
+	4	116	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	124
+	111	126
+	3	116	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	231
+	171	231
+	166	225
+	4	160	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	231
+	166	225
+	3	160	231	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	177	223
+	166	225
+	171	231
+	4	177	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	225
+	171	231
+	3	177	223	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	225
+	177	223
+	171	216
+	4	166	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	223
+	171	216
+	3	166	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	231
+	138	231
+	133	225
+	4	127	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	231
+	133	225
+	3	127	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	225
+	122	223
+	127	231
+	4	133	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	223
+	127	231
+	3	133	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	223
+	133	225
+	128	216
+	4	122	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	225
+	128	216
+	3	122	223	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	186
+	240	169
+	246	175
+	4	248	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	169
+	246	175
+	3	248	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	169
+	51	186
+	53	175
+	4	59	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	186
+	53	175
+	3	59	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	208
+	166	207
+	161	197
+	4	155	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	207
+	161	197
+	3	155	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	208
+	155	208
+	149	198
+	4	144	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	208
+	149	198
+	3	144	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	197
+	149	198
+	155	208
+	4	161	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	198
+	155	208
+	3	161	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	207
+	144	208
+	138	197
+	4	133	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	208
+	138	197
+	3	133	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	198
+	138	197
+	144	208
+	4	149	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	197
+	144	208
+	3	149	198	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	212
+	171	216
+	177	223
+	4	183	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	216
+	177	223
+	3	183	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	216
+	183	212
+	177	203
+	4	171	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	212
+	177	203
+	3	171	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	203
+	166	207
+	171	216
+	4	177	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	207
+	171	216
+	3	177	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	216
+	116	212
+	122	223
+	4	128	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	212
+	122	223
+	3	128	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	212
+	128	216
+	122	203
+	4	116	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	216
+	122	203
+	3	116	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	207
+	122	203
+	128	216
+	4	133	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	203
+	128	216
+	3	133	207	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	231
+	183	230
+	177	223
+	4	171	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	230
+	177	223
+	3	171	231	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	188	220
+	177	223
+	183	230
+	4	188	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	223
+	183	230
+	3	188	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	223
+	188	220
+	183	212
+	4	177	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	220
+	183	212
+	3	177	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	230
+	127	231
+	122	223
+	4	116	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	231
+	122	223
+	3	116	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	223
+	111	220
+	116	230
+	4	122	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	220
+	116	230
+	3	122	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	220
+	122	223
+	116	212
+	4	111	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	223
+	116	212
+	3	111	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	125
+	188	126
+	182	122
+	4	177	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	126
+	182	122
+	3	177	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	122
+	172	121
+	177	125
+	4	182	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	121
+	177	125
+	3	182	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	126
+	122	125
+	116	122
+	4	111	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	125
+	116	122
+	3	111	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	121
+	116	122
+	122	125
+	4	127	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	122
+	122	125
+	3	127	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	233
+	166	234
+	160	231
+	4	155	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	234
+	160	231
+	3	155	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	231
+	160	231
+	166	234
+	4	171	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	231
+	166	234
+	3	171	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	231
+	149	231
+	155	233
+	4	160	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	231
+	155	233
+	3	160	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	234
+	144	233
+	138	231
+	4	133	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	233
+	138	231
+	3	133	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	231
+	138	231
+	144	233
+	4	149	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	231
+	144	233
+	3	149	231	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	231
+	127	231
+	133	234
+	4	138	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	231
+	133	234
+	3	138	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	234
+	177	235
+	171	231
+	4	166	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	235
+	171	231
+	3	166	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	230
+	171	231
+	177	235
+	4	183	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	231
+	177	235
+	3	183	230	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	235
+	133	234
+	127	231
+	4	122	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	234
+	127	231
+	3	122	235	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	231
+	116	230
+	122	235
+	4	127	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	230
+	122	235
+	3	127	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	233
+	155	233
+	149	231
+	4	144	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	233
+	149	231
+	3	144	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	126
+	155	126
+	149	122
+	4	144	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	126
+	149	122
+	3	144	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	121
+	149	122
+	155	126
+	4	160	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	155	126
+	3	160	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	122
+	138	121
+	144	126
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	121
+	144	126
+	3	149	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	130
+	205	134
+	199	129
+	4	194	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	134
+	199	129
+	3	194	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	129
+	188	126
+	194	130
+	4	199	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	126
+	194	130
+	3	199	129	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	94	134
+	105	130
+	100	129
+	4	94	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	130
+	100	129
+	3	94	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	126
+	100	129
+	105	130
+	4	111	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	129
+	105	130
+	3	111	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	126
+	166	125
+	160	121
+	4	155	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	160	121
+	3	155	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	121
+	160	121
+	166	125
+	4	172	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	121
+	166	125
+	3	172	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	125
+	144	126
+	138	121
+	4	133	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	126
+	138	121
+	3	133	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	121
+	127	121
+	133	125
+	4	138	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	121
+	133	125
+	3	138	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	207
+	177	203
+	172	194
+	4	166	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	203
+	172	194
+	3	166	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	194
+	161	197
+	166	207
+	4	172	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	197
+	166	207
+	3	172	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	203
+	133	207
+	127	194
+	4	122	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	207
+	127	194
+	3	122	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	197
+	127	194
+	133	207
+	4	138	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	194
+	133	207
+	3	138	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	125
+	177	125
+	172	121
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	125
+	172	121
+	3	166	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	125
+	133	125
+	127	121
+	4	122	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	125
+	127	121
+	3	122	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	235
+	188	235
+	183	230
+	4	177	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	235
+	183	230
+	3	177	235	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	194	227
+	183	230
+	188	235
+	4	194	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	230
+	188	235
+	3	194	227	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	183	230
+	194	227
+	188	220
+	4	183	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	227
+	188	220
+	3	183	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	235
+	122	235
+	116	230
+	4	111	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	235
+	116	230
+	3	111	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	230
+	105	227
+	111	235
+	4	116	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	227
+	111	235
+	3	116	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	227
+	116	230
+	111	220
+	4	105	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	230
+	111	220
+	3	105	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	198
+	161	197
+	155	187
+	4	149	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	197
+	155	187
+	3	149	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	197
+	149	198
+	144	187
+	4	138	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	198
+	144	187
+	3	138	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	187
+	144	187
+	149	198
+	4	155	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	187
+	149	198
+	3	155	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	197
+	172	194
+	166	185
+	4	161	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	194
+	166	185
+	3	161	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	185
+	155	187
+	161	197
+	4	166	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	187
+	161	197
+	3	166	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	194
+	138	197
+	133	185
+	4	127	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	197
+	133	185
+	3	127	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	187
+	133	185
+	138	197
+	4	144	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	185
+	138	197
+	3	144	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	134
+	211	140
+	205	134
+	4	200	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	140
+	205	134
+	3	200	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	134
+	194	130
+	200	134
+	4	205	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	130
+	200	134
+	3	205	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	88	140
+	99	134
+	94	134
+	4	88	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	134
+	94	134
+	3	88	140	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	105	130
+	94	134
+	99	134
+	4	105	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	134
+	99	134
+	3	105	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	214
+	188	220
+	194	227
+	4	200	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	220
+	194	227
+	3	200	214	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	220
+	200	214
+	194	206
+	4	188	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	214
+	194	206
+	3	188	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	206
+	183	212
+	188	220
+	4	194	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	212
+	188	220
+	3	194	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	220
+	99	214
+	105	227
+	4	111	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	214
+	105	227
+	3	111	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	214
+	111	220
+	105	206
+	4	99	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	220
+	105	206
+	3	99	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	212
+	105	206
+	111	220
+	4	116	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	206
+	111	220
+	3	116	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	212
+	194	206
+	189	198
+	4	183	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	206
+	189	198
+	3	183	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	198
+	177	203
+	183	212
+	4	189	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	203
+	183	212
+	3	189	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	206
+	116	212
+	110	198
+	4	105	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	212
+	110	198
+	3	105	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	203
+	110	198
+	116	212
+	4	122	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	198
+	116	212
+	3	122	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	129
+	194	130
+	188	126
+	4	183	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	130
+	188	126
+	3	183	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	126
+	177	125
+	183	129
+	4	188	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	125
+	183	129
+	3	188	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	131
+	161	130
+	155	126
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	130
+	155	126
+	3	149	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	125
+	155	126
+	161	130
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	126
+	161	130
+	3	166	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	130
+	149	131
+	144	126
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	144	126
+	3	138	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	126
+	144	126
+	149	131
+	4	155	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	126
+	149	131
+	3	155	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	126
+	133	125
+	138	130
+	4	144	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	125
+	138	130
+	3	144	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	130
+	116	129
+	111	126
+	4	105	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	129
+	111	126
+	3	105	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	125
+	111	126
+	116	129
+	4	122	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	126
+	116	129
+	3	122	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	237
+	194	239
+	188	235
+	4	183	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	239
+	188	235
+	3	183	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	234
+	188	235
+	194	239
+	4	199	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	235
+	194	239
+	3	199	234	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	188	235
+	199	234
+	194	227
+	4	188	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	234
+	194	227
+	3	188	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	235
+	177	235
+	183	237
+	4	188	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	235
+	183	237
+	3	188	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	105	239
+	116	237
+	111	235
+	4	105	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	237
+	111	235
+	3	105	239	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	235
+	111	235
+	116	237
+	4	122	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	235
+	116	237
+	3	122	235	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	235
+	99	234
+	105	239
+	4	111	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	234
+	105	239
+	3	111	235	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	234
+	111	235
+	105	227
+	4	99	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	235
+	105	227
+	3	99	234	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	206	222
+	194	227
+	199	234
+	4	206	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	227
+	199	234
+	3	206	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	227
+	206	222
+	200	214
+	4	194	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	222
+	200	214
+	3	194	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	227
+	93	222
+	99	234
+	4	105	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	222
+	99	234
+	3	105	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	222
+	105	227
+	99	214
+	4	93	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	227
+	99	214
+	3	93	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	130
+	172	129
+	166	125
+	4	161	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	129
+	166	125
+	3	161	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	125
+	166	125
+	172	129
+	4	177	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	172	129
+	3	177	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	129
+	138	130
+	133	125
+	4	127	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	133	125
+	3	127	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	125
+	122	125
+	127	129
+	4	133	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	125
+	127	129
+	3	133	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	203
+	189	198
+	183	190
+	4	177	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	198
+	183	190
+	3	177	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	190
+	172	194
+	177	203
+	4	183	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	194
+	177	203
+	3	183	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	198
+	122	203
+	116	190
+	4	110	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	203
+	116	190
+	3	110	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	194
+	116	190
+	122	203
+	4	127	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	190
+	122	203
+	3	127	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	129
+	183	129
+	177	125
+	4	172	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	129
+	177	125
+	3	172	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	129
+	127	129
+	122	125
+	4	116	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	129
+	122	125
+	3	116	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	235
+	183	237
+	177	235
+	4	172	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	237
+	177	235
+	3	172	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	235
+	166	234
+	172	235
+	4	177	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	234
+	172	235
+	3	177	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	116	237
+	127	235
+	122	235
+	4	116	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	235
+	122	235
+	3	116	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	234
+	122	235
+	127	235
+	4	133	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	235
+	127	235
+	3	133	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	187
+	166	185
+	161	176
+	4	155	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	185
+	161	176
+	3	155	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	187
+	155	187
+	149	177
+	4	144	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	187
+	149	177
+	3	144	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	176
+	149	177
+	155	187
+	4	161	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	177
+	155	187
+	3	161	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	185
+	144	187
+	138	176
+	4	133	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	187
+	138	176
+	3	133	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	177
+	138	176
+	144	187
+	4	149	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	176
+	144	187
+	3	149	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	139
+	216	145
+	211	140
+	4	206	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	145
+	211	140
+	3	206	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	140
+	200	134
+	206	139
+	4	211	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	134
+	206	139
+	3	211	140	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	83	145
+	93	139
+	88	140
+	4	83	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	139
+	88	140
+	3	83	145	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	99	134
+	88	140
+	93	139
+	4	99	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	140
+	93	139
+	3	99	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	239
+	205	240
+	199	234
+	4	194	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	240
+	199	234
+	3	194	239	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	211	229
+	199	234
+	205	240
+	4	211	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	234
+	205	240
+	3	211	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	199	234
+	211	229
+	206	222
+	4	199	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	229
+	206	222
+	3	199	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	240
+	105	239
+	99	234
+	4	94	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	239
+	99	234
+	3	94	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	234
+	88	229
+	94	240
+	4	99	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	229
+	94	240
+	3	99	234	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	229
+	99	234
+	93	222
+	4	88	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	234
+	93	222
+	3	88	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	194
+	183	190
+	178	181
+	4	172	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	190
+	178	181
+	3	172	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	181
+	166	185
+	172	194
+	4	178	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	185
+	172	194
+	3	178	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	190
+	127	194
+	121	181
+	4	116	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	194
+	121	181
+	3	116	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	185
+	121	181
+	127	194
+	4	133	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	181
+	127	194
+	3	133	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	233
+	172	235
+	166	234
+	4	161	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	235
+	166	234
+	3	161	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	234
+	155	233
+	161	233
+	4	166	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	233
+	161	233
+	3	166	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	235
+	138	233
+	133	234
+	4	127	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	233
+	133	234
+	3	127	235	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	233
+	133	234
+	138	233
+	4	144	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	234
+	138	233
+	3	144	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	136
+	155	136
+	149	131
+	4	144	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	136
+	149	131
+	3	144	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	130
+	149	131
+	155	136
+	4	161	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	155	136
+	3	161	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	131
+	138	130
+	144	136
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	144	136
+	3	149	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	232
+	161	233
+	155	233
+	4	149	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	233
+	155	233
+	3	149	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	233
+	149	232
+	144	233
+	4	138	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	232
+	144	233
+	3	138	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	233
+	144	233
+	149	232
+	4	155	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	233
+	149	232
+	3	155	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	136
+	166	135
+	161	130
+	4	155	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	135
+	161	130
+	3	155	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	129
+	161	130
+	166	135
+	4	172	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	130
+	166	135
+	3	172	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	135
+	144	136
+	138	130
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	136
+	138	130
+	3	133	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	130
+	127	129
+	133	135
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	129
+	133	135
+	3	138	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	185
+	178	181
+	172	173
+	4	166	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	181
+	172	173
+	3	166	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	173
+	161	176
+	166	185
+	4	172	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	176
+	166	185
+	3	172	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	181
+	133	185
+	127	173
+	4	121	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	185
+	127	173
+	3	121	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	176
+	127	173
+	133	185
+	4	138	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	173
+	133	185
+	3	138	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	133
+	200	134
+	194	130
+	4	189	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	134
+	194	130
+	3	189	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	130
+	183	129
+	189	133
+	4	194	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	129
+	189	133
+	3	194	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	134
+	110	133
+	105	130
+	4	99	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	133
+	105	130
+	3	99	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	129
+	105	130
+	110	133
+	4	116	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	130
+	110	133
+	3	116	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	177
+	161	176
+	155	167
+	4	149	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	176
+	155	167
+	3	149	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	176
+	149	177
+	144	167
+	4	138	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	177
+	144	167
+	3	138	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	167
+	144	167
+	149	177
+	4	155	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	149	177
+	3	155	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	143
+	222	151
+	216	145
+	4	212	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	151
+	216	145
+	3	212	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	145
+	206	139
+	212	143
+	4	216	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	139
+	212	143
+	3	216	145	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	77	151
+	87	143
+	83	145
+	4	77	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	143
+	83	145
+	3	77	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	93	139
+	83	145
+	87	143
+	4	93	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	145
+	87	143
+	3	93	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	135
+	178	134
+	172	129
+	4	166	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	134
+	172	129
+	3	166	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	129
+	172	129
+	178	134
+	4	183	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	129
+	178	134
+	3	183	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	134
+	133	135
+	127	129
+	4	121	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	127	129
+	3	121	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	129
+	116	129
+	121	134
+	4	127	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	129
+	121	134
+	3	127	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	240
+	194	239
+	200	242
+	4	205	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	239
+	200	242
+	3	205	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	239
+	94	240
+	99	242
+	4	105	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	240
+	99	242
+	3	105	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	134
+	189	133
+	183	129
+	4	178	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	133
+	183	129
+	3	178	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	133
+	121	134
+	116	129
+	4	110	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	134
+	116	129
+	3	110	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	238
+	200	242
+	194	239
+	4	189	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	242
+	194	239
+	3	189	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	239
+	183	237
+	189	238
+	4	194	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	237
+	189	238
+	3	194	239	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	99	242
+	110	238
+	105	239
+	4	99	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	238
+	105	239
+	3	99	242	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	116	237
+	105	239
+	110	238
+	4	116	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	239
+	110	238
+	3	116	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	176
+	172	173
+	166	165
+	4	161	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	173
+	166	165
+	3	161	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	165
+	155	167
+	161	176
+	4	166	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	167
+	161	176
+	3	166	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	173
+	138	176
+	133	165
+	4	127	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	176
+	133	165
+	3	127	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	167
+	133	165
+	138	176
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	165
+	138	176
+	3	144	167	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	142
+	161	142
+	155	136
+	4	149	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	142
+	155	136
+	3	149	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	135
+	155	136
+	161	142
+	4	166	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	136
+	161	142
+	3	166	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	142
+	149	142
+	144	136
+	4	138	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	142
+	144	136
+	3	138	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	136
+	144	136
+	149	142
+	4	155	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	136
+	149	142
+	3	155	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	136
+	133	135
+	138	142
+	4	144	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	138	142
+	3	144	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	148
+	228	157
+	222	151
+	4	218	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	157
+	222	151
+	3	218	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	151
+	212	143
+	218	148
+	4	222	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	143
+	218	148
+	3	222	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	71	157
+	81	148
+	77	151
+	4	71	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	148
+	77	151
+	3	71	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	87	143
+	77	151
+	81	148
+	4	87	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	151
+	81	148
+	3	87	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	142
+	172	140
+	166	135
+	4	161	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	140
+	166	135
+	3	161	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	134
+	166	135
+	172	140
+	4	178	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	135
+	172	140
+	3	178	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	140
+	138	142
+	133	135
+	4	127	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	142
+	133	135
+	3	127	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	135
+	121	134
+	127	140
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	134
+	127	140
+	3	133	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	205
+	200	214
+	206	222
+	4	212	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	214
+	206	222
+	3	212	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	214
+	212	205
+	207	197
+	4	200	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	205
+	207	197
+	3	200	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	197
+	194	206
+	200	214
+	4	207	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	206
+	200	214
+	3	207	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	214
+	87	205
+	93	222
+	4	99	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	205
+	93	222
+	3	99	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	205
+	99	214
+	92	197
+	4	87	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	214
+	92	197
+	3	87	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	206
+	92	197
+	99	214
+	4	105	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	197
+	99	214
+	3	105	206	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	155	167
+	166	165
+	161	157
+	4	155	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	165
+	161	157
+	3	155	167	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	167
+	155	167
+	149	158
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	167
+	149	158
+	3	144	167	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	161	157
+	149	158
+	155	167
+	4	161	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	155	167
+	3	161	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	165
+	144	167
+	138	157
+	4	133	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	138	157
+	3	133	165	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	158
+	138	157
+	144	167
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	144	167
+	3	149	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	206
+	207	197
+	201	190
+	4	194	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	197
+	201	190
+	3	194	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	190
+	189	198
+	194	206
+	4	201	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	198
+	194	206
+	3	201	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	197
+	105	206
+	98	190
+	4	92	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	206
+	98	190
+	3	92	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	198
+	98	190
+	105	206
+	4	110	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	190
+	105	206
+	3	110	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	213
+	206	222
+	211	229
+	4	218	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	222
+	211	229
+	3	218	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	222
+	218	213
+	212	205
+	4	206	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	213
+	212	205
+	3	206	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	222
+	81	213
+	88	229
+	4	93	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	213
+	88	229
+	3	93	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	213
+	93	222
+	87	205
+	4	81	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	222
+	87	205
+	3	81	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	198
+	201	190
+	195	182
+	4	189	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	190
+	195	182
+	3	189	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	182
+	183	190
+	189	198
+	4	195	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	190
+	189	198
+	3	195	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	190
+	110	198
+	104	182
+	4	98	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	198
+	104	182
+	3	98	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	190
+	104	182
+	110	198
+	4	116	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	182
+	110	198
+	3	116	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	149
+	155	149
+	149	142
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	149
+	149	142
+	3	144	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	161	142
+	149	142
+	155	149
+	4	161	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	142
+	155	149
+	3	161	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	142
+	138	142
+	144	149
+	4	149	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	142
+	144	149
+	3	149	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	137
+	206	139
+	200	134
+	4	195	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	139
+	200	134
+	3	195	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	134
+	189	133
+	195	137
+	4	200	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	133
+	195	137
+	3	200	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	139
+	104	137
+	99	134
+	4	93	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	137
+	99	134
+	3	93	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	133
+	99	134
+	104	137
+	4	110	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	134
+	104	137
+	3	110	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	234
+	189	238
+	183	237
+	4	178	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	238
+	183	237
+	3	178	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	237
+	172	235
+	178	234
+	4	183	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	235
+	178	234
+	3	183	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	238
+	121	234
+	116	237
+	4	110	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	234
+	116	237
+	3	110	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	235
+	116	237
+	121	234
+	4	127	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	237
+	121	234
+	3	127	235	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	190
+	195	182
+	189	175
+	4	183	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	182
+	189	175
+	3	183	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	175
+	178	181
+	183	190
+	4	189	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	181
+	183	190
+	3	189	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	182
+	116	190
+	110	175
+	4	104	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	190
+	110	175
+	3	104	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	181
+	110	175
+	116	190
+	4	121	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	175
+	116	190
+	3	121	181	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	149	158
+	161	157
+	155	149
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	157
+	155	149
+	3	149	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	138	157
+	149	158
+	144	149
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	144	149
+	3	138	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	155	149
+	144	149
+	149	158
+	4	155	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	149	158
+	3	155	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	155	149
+	166	148
+	161	142
+	4	155	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	148
+	161	142
+	3	155	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	140
+	161	142
+	166	148
+	4	172	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	142
+	166	148
+	3	172	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	148
+	144	149
+	138	142
+	4	133	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	138	142
+	3	133	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	142
+	127	140
+	133	148
+	4	138	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	140
+	133	148
+	3	138	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	140
+	183	138
+	178	134
+	4	172	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	138
+	178	134
+	3	172	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	133
+	178	134
+	183	138
+	4	189	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	134
+	183	138
+	3	189	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	138
+	127	140
+	121	134
+	4	116	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	140
+	121	134
+	3	116	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	134
+	110	133
+	116	138
+	4	121	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	133
+	116	138
+	3	121	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	181
+	189	175
+	184	168
+	4	178	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	175
+	184	168
+	3	178	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	168
+	172	173
+	178	181
+	4	184	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	173
+	178	181
+	3	184	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	175
+	121	181
+	115	168
+	4	110	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	181
+	115	168
+	3	110	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	173
+	115	168
+	121	181
+	4	127	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	168
+	121	181
+	3	127	173	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	166	148
+	155	149
+	161	157
+	4	166	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	149
+	161	157
+	3	166	148	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	144	149
+	133	148
+	138	157
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	148
+	138	157
+	3	144	149	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	172	173
+	184	168
+	178	161
+	4	172	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	168
+	178	161
+	3	172	173	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	178	161
+	166	165
+	172	173
+	4	178	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	165
+	172	173
+	3	178	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	168
+	127	173
+	121	161
+	4	115	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	173
+	121	161
+	3	115	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	165
+	121	161
+	127	173
+	4	133	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	161
+	127	173
+	3	133	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	152
+	234	163
+	228	157
+	4	224	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	163
+	228	157
+	3	224	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	157
+	218	148
+	224	152
+	4	228	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	148
+	224	152
+	3	228	157	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	172	154
+	161	157
+	166	165
+	4	172	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	157
+	166	165
+	3	172	154	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	161	157
+	172	154
+	166	148
+	4	161	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	154
+	166	148
+	3	161	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	138	157
+	127	154
+	133	165
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	154
+	133	165
+	3	138	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	154
+	138	157
+	133	148
+	4	127	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	133	148
+	3	127	154	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	65	163
+	75	152
+	71	157
+	4	65	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	152
+	71	157
+	3	65	163	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	81	148
+	71	157
+	75	152
+	4	81	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	157
+	75	152
+	3	81	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	138
+	195	137
+	189	133
+	4	183	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	137
+	189	133
+	3	183	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	137
+	116	138
+	110	133
+	4	104	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	138
+	110	133
+	3	104	137	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	166	165
+	178	161
+	172	154
+	4	166	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	161
+	172	154
+	3	166	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	161
+	133	165
+	127	154
+	4	121	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	165
+	127	154
+	3	121	161	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	148
+	178	145
+	172	140
+	4	166	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	145
+	172	140
+	3	166	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	138
+	172	140
+	178	145
+	4	183	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	140
+	178	145
+	3	183	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	145
+	133	148
+	127	140
+	4	121	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	148
+	127	140
+	3	121	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	140
+	116	138
+	121	145
+	4	127	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	138
+	121	145
+	3	127	140	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	178	145
+	166	148
+	172	154
+	4	178	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	148
+	172	154
+	3	178	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	148
+	121	145
+	127	154
+	4	133	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	145
+	127	154
+	3	133	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	157
+	240	169
+	234	163
+	4	231	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	169
+	234	163
+	3	231	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	163
+	224	152
+	231	157
+	4	234	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	152
+	231	157
+	3	234	163	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	59	169
+	68	157
+	65	163
+	4	59	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	157
+	65	163
+	3	59	169	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	75	152
+	65	163
+	68	157
+	4	75	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	163
+	68	157
+	3	75	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	230
+	178	234
+	172	235
+	4	167	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	234
+	172	235
+	3	167	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	235
+	161	233
+	167	230
+	4	172	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	233
+	167	230
+	3	172	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	234
+	132	230
+	127	235
+	4	121	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	230
+	127	235
+	3	121	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	233
+	127	235
+	132	230
+	4	138	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	235
+	132	230
+	3	138	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	141
+	212	143
+	206	139
+	4	201	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	143
+	206	139
+	3	201	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	139
+	195	137
+	201	141
+	4	206	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	137
+	201	141
+	3	206	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	143
+	98	141
+	93	139
+	4	87	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	141
+	93	139
+	3	87	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	137
+	93	139
+	98	141
+	4	104	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	139
+	98	141
+	3	104	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	242
+	189	238
+	196	238
+	4	200	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	238
+	196	238
+	3	200	242	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	238
+	99	242
+	103	238
+	4	110	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	242
+	103	238
+	3	110	238	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	184	151
+	172	154
+	178	161
+	4	184	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	154
+	178	161
+	3	184	151	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	172	154
+	184	151
+	178	145
+	4	172	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	151
+	178	145
+	3	172	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	154
+	115	151
+	121	161
+	4	127	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	151
+	121	161
+	3	127	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	151
+	127	154
+	121	145
+	4	115	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	154
+	121	145
+	3	115	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	145
+	189	142
+	183	138
+	4	178	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	142
+	183	138
+	3	178	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	137
+	183	138
+	189	142
+	4	195	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	138
+	189	142
+	3	195	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	110	142
+	121	145
+	116	138
+	4	110	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	145
+	116	138
+	3	110	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	138
+	104	137
+	110	142
+	4	116	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	137
+	110	142
+	3	116	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	142
+	178	145
+	184	151
+	4	189	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	145
+	184	151
+	3	189	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	145
+	110	142
+	115	151
+	4	121	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	142
+	115	151
+	3	121	145	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	190	156
+	178	161
+	184	168
+	4	190	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	161
+	184	168
+	3	190	156	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	178	161
+	190	156
+	184	151
+	4	178	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	156
+	184	151
+	3	178	161	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	161
+	109	156
+	115	168
+	4	121	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	156
+	115	168
+	3	121	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	156
+	121	161
+	115	151
+	4	109	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	161
+	115	151
+	3	109	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	142
+	201	141
+	195	137
+	4	189	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	141
+	195	137
+	3	189	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	141
+	110	142
+	104	137
+	4	98	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	142
+	104	137
+	3	98	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	162
+	246	175
+	240	169
+	4	237	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	175
+	240	169
+	3	237	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	169
+	231	157
+	237	162
+	4	240	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	157
+	237	162
+	3	240	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	53	175
+	62	162
+	59	169
+	4	53	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	162
+	59	169
+	3	53	175	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	68	157
+	59	169
+	62	162
+	4	68	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	169
+	62	162
+	3	68	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	229
+	167	230
+	161	233
+	4	155	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	230
+	161	233
+	3	155	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	233
+	149	232
+	155	229
+	4	161	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	232
+	155	229
+	3	161	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	230
+	144	229
+	138	233
+	4	132	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	229
+	138	233
+	3	132	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	232
+	138	233
+	144	229
+	4	149	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	233
+	144	229
+	3	149	232	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	195	162
+	184	168
+	189	175
+	4	195	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	168
+	189	175
+	3	195	162	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	184	168
+	195	162
+	190	156
+	4	184	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	162
+	190	156
+	3	184	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	168
+	104	162
+	110	175
+	4	115	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	162
+	110	175
+	3	115	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	162
+	115	168
+	109	156
+	4	104	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	168
+	109	156
+	3	104	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	229
+	155	229
+	149	232
+	4	144	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	229
+	149	232
+	3	144	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	145
+	218	148
+	212	143
+	4	207	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	148
+	212	143
+	3	207	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	143
+	201	141
+	207	145
+	4	212	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	141
+	207	145
+	3	212	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	148
+	92	145
+	87	143
+	4	81	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	145
+	87	143
+	3	81	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	141
+	87	143
+	92	145
+	4	98	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	143
+	92	145
+	3	98	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	246	175
+	237	162
+	244	167
+	4	246	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	162
+	244	167
+	3	246	175	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	62	162
+	53	175
+	55	167
+	4	62	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	175
+	55	167
+	3	62	162	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	201	168
+	189	175
+	195	182
+	4	201	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	175
+	195	182
+	3	201	168	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	189	175
+	201	168
+	195	162
+	4	189	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	168
+	195	162
+	3	189	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	175
+	98	168
+	104	182
+	4	110	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	168
+	104	182
+	3	110	175	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	168
+	110	175
+	104	162
+	4	98	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	175
+	104	162
+	3	98	168	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	195	147
+	184	151
+	190	156
+	4	195	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	151
+	190	156
+	3	195	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	184	151
+	195	147
+	189	142
+	4	184	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	147
+	189	142
+	3	184	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	151
+	104	147
+	109	156
+	4	115	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	147
+	109	156
+	3	115	151	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	104	147
+	115	151
+	110	142
+	4	104	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	151
+	110	142
+	3	104	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	141
+	189	142
+	195	147
+	4	201	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	142
+	195	147
+	3	201	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	142
+	98	141
+	104	147
+	4	110	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	141
+	104	147
+	3	110	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	174
+	195	182
+	201	190
+	4	207	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	182
+	201	190
+	3	207	174	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	195	182
+	207	174
+	201	168
+	4	195	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	174
+	201	168
+	3	195	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	182
+	92	174
+	98	190
+	4	104	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	174
+	98	190
+	3	104	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	174
+	104	182
+	98	168
+	4	92	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	182
+	98	168
+	3	92	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	180
+	201	190
+	207	197
+	4	214	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	190
+	207	197
+	3	214	180	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	190
+	214	180
+	207	174
+	4	201	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	180
+	207	174
+	3	201	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	190
+	85	180
+	92	197
+	4	98	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	180
+	92	197
+	3	98	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	180
+	98	190
+	92	174
+	4	85	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	190
+	92	174
+	3	85	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	232
+	196	238
+	189	238
+	4	185	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	238
+	189	238
+	3	185	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	238
+	178	234
+	185	232
+	4	189	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	234
+	185	232
+	3	189	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	238
+	114	232
+	110	238
+	4	103	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	232
+	110	238
+	3	103	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	234
+	110	238
+	114	232
+	4	121	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	238
+	114	232
+	3	121	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	147
+	207	145
+	201	141
+	4	195	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	145
+	201	141
+	3	195	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	145
+	104	147
+	98	141
+	4	92	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	147
+	98	141
+	3	92	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	187
+	207	197
+	212	205
+	4	220	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	197
+	212	205
+	3	220	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	197
+	220	187
+	214	180
+	4	207	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	187
+	214	180
+	3	207	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	197
+	79	187
+	87	205
+	4	92	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	187
+	87	205
+	3	92	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	187
+	92	197
+	85	180
+	4	79	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	197
+	85	180
+	3	79	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	193
+	212	205
+	218	213
+	4	226	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	205
+	218	213
+	3	226	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	205
+	226	193
+	220	187
+	4	212	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	193
+	220	187
+	3	212	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	205
+	73	193
+	81	213
+	4	87	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	193
+	81	213
+	3	87	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	193
+	87	205
+	79	187
+	4	73	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	205
+	79	187
+	3	73	193	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	201	151
+	190	156
+	195	162
+	4	201	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	156
+	195	162
+	3	201	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	190	156
+	201	151
+	195	147
+	4	190	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	151
+	195	147
+	3	190	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	156
+	98	151
+	104	162
+	4	109	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	151
+	104	162
+	3	109	156	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	98	151
+	109	156
+	104	147
+	4	98	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	156
+	104	147
+	3	98	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	149
+	224	152
+	218	148
+	4	213	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	152
+	218	148
+	3	213	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	148
+	207	145
+	213	149
+	4	218	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	145
+	213	149
+	3	218	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	75	152
+	86	149
+	81	148
+	4	75	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	149
+	81	148
+	3	75	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	92	145
+	81	148
+	86	149
+	4	92	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	148
+	86	149
+	3	92	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	145
+	195	147
+	201	151
+	4	207	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	147
+	201	151
+	3	207	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	147
+	92	145
+	98	151
+	4	104	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	145
+	98	151
+	3	104	147	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	208	156
+	195	162
+	201	168
+	4	208	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	162
+	201	168
+	3	208	156	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	195	162
+	208	156
+	201	151
+	4	195	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	156
+	201	151
+	3	195	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	162
+	91	156
+	98	168
+	4	104	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	156
+	98	168
+	3	104	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	156
+	104	162
+	98	151
+	4	91	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	162
+	98	151
+	3	91	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	151
+	213	149
+	207	145
+	4	201	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	149
+	207	145
+	3	201	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	149
+	98	151
+	92	145
+	4	86	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	151
+	92	145
+	3	86	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	154
+	231	157
+	224	152
+	4	220	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	157
+	224	152
+	3	220	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	152
+	213	149
+	220	154
+	4	224	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	149
+	220	154
+	3	224	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	68	157
+	79	154
+	75	152
+	4	68	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	154
+	75	152
+	3	68	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	149
+	75	152
+	79	154
+	4	86	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	152
+	79	154
+	3	86	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	227
+	185	232
+	178	234
+	4	173	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	232
+	178	234
+	3	173	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	234
+	167	230
+	173	227
+	4	178	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	230
+	173	227
+	3	178	234	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	232
+	126	227
+	121	234
+	4	114	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	227
+	121	234
+	3	114	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	230
+	121	234
+	126	227
+	4	132	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	234
+	126	227
+	3	132	230	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	214	161
+	201	168
+	207	174
+	4	214	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	168
+	207	174
+	3	214	161	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	201	168
+	214	161
+	208	156
+	4	201	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	161
+	208	156
+	3	201	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	168
+	85	161
+	92	174
+	4	98	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	161
+	92	174
+	3	98	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	161
+	98	168
+	91	156
+	4	85	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	168
+	91	156
+	3	85	161	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	149
+	201	151
+	208	156
+	4	213	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	151
+	208	156
+	3	213	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	151
+	86	149
+	91	156
+	4	98	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	149
+	91	156
+	3	98	151	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	220	166
+	207	174
+	214	180
+	4	220	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	174
+	214	180
+	3	220	166	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	207	174
+	220	166
+	214	161
+	4	207	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	166
+	214	161
+	3	207	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	174
+	79	166
+	85	180
+	4	92	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	166
+	85	180
+	3	92	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	166
+	92	174
+	85	161
+	4	79	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	174
+	85	161
+	3	79	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	156
+	220	154
+	213	149
+	4	208	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	154
+	213	149
+	3	208	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	154
+	91	156
+	86	149
+	4	79	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	156
+	86	149
+	3	79	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	158
+	237	162
+	231	157
+	4	226	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	162
+	231	157
+	3	226	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	157
+	220	154
+	226	158
+	4	231	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	154
+	226	158
+	3	231	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	62	162
+	73	158
+	68	157
+	4	62	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	158
+	68	157
+	3	62	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	154
+	68	157
+	73	158
+	4	79	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	157
+	73	158
+	3	79	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	224
+	173	227
+	167	230
+	4	161	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	227
+	167	230
+	3	161	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	230
+	155	229
+	161	224
+	4	167	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	229
+	161	224
+	3	167	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	227
+	137	224
+	132	230
+	4	126	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	224
+	132	230
+	3	126	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	229
+	132	230
+	137	224
+	4	144	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	230
+	137	224
+	3	144	229	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	220	154
+	208	156
+	214	161
+	4	220	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	156
+	214	161
+	3	220	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	91	156
+	79	154
+	85	161
+	4	91	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	154
+	85	161
+	3	91	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	238
+	185	232
+	192	229
+	4	196	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	232
+	192	229
+	3	196	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	232
+	103	238
+	107	229
+	4	114	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	238
+	107	229
+	3	114	232	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	227	171
+	214	180
+	220	187
+	4	227	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	180
+	220	187
+	3	227	171	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	214	180
+	227	171
+	220	166
+	4	214	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	171
+	220	166
+	3	214	180	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	180
+	72	171
+	79	187
+	4	85	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	171
+	79	187
+	3	85	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	171
+	85	180
+	79	166
+	4	72	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	180
+	79	166
+	3	72	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	223
+	161	224
+	155	229
+	4	149	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	224
+	155	229
+	3	149	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	224
+	149	223
+	144	229
+	4	137	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	223
+	144	229
+	3	137	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	229
+	144	229
+	149	223
+	4	155	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	229
+	149	223
+	3	155	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	162
+	244	167
+	237	162
+	4	233	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	167
+	237	162
+	3	233	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	162
+	226	158
+	233	162
+	4	237	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	158
+	233	162
+	3	237	162	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	55	167
+	66	162
+	62	162
+	4	55	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	162
+	62	162
+	3	55	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	73	158
+	62	162
+	66	162
+	4	73	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	162
+	66	162
+	3	73	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	161
+	226	158
+	220	154
+	4	214	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	158
+	220	154
+	3	214	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	73	158
+	85	161
+	79	154
+	4	73	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	161
+	79	154
+	3	73	158	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	233	176
+	220	187
+	226	193
+	4	233	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	187
+	226	193
+	3	233	176	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	220	187
+	233	176
+	227	171
+	4	220	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	176
+	227	171
+	3	220	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	187
+	66	176
+	73	193
+	4	79	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	176
+	73	193
+	3	79	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	176
+	79	187
+	72	171
+	4	66	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	187
+	72	171
+	3	66	176	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	226	158
+	214	161
+	220	166
+	4	226	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	161
+	220	166
+	3	226	158	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	85	161
+	73	158
+	79	166
+	4	85	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	158
+	79	166
+	3	85	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	167
+	233	162
+	239	167
+	4	244	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	162
+	239	167
+	3	244	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	66	162
+	55	167
+	60	167
+	4	66	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	167
+	60	167
+	3	66	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	220	166
+	233	162
+	226	158
+	4	220	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	162
+	226	158
+	3	220	166	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	66	162
+	79	166
+	73	158
+	4	66	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	166
+	73	158
+	3	66	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	162
+	220	166
+	227	171
+	4	233	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	166
+	227	171
+	3	233	162	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	79	166
+	66	162
+	72	171
+	4	79	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	162
+	72	171
+	3	79	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	223
+	192	229
+	185	232
+	4	180	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	229
+	185	232
+	3	180	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	232
+	173	227
+	180	223
+	4	185	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	227
+	180	223
+	3	185	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	229
+	119	223
+	114	232
+	4	107	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	223
+	114	232
+	3	107	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	227
+	114	232
+	119	223
+	4	126	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	232
+	119	223
+	3	126	227	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	239	167
+	227	171
+	233	176
+	4	239	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	171
+	233	176
+	3	239	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	227	171
+	239	167
+	233	162
+	4	227	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	167
+	233	162
+	3	227	171	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	72	171
+	60	167
+	66	176
+	4	72	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	167
+	66	176
+	3	72	171	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	60	167
+	72	171
+	66	162
+	4	60	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	171
+	66	162
+	3	60	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	219
+	180	223
+	173	227
+	4	168	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	223
+	173	227
+	3	168	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	227
+	161	224
+	168	219
+	4	173	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	224
+	168	219
+	3	173	227	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	223
+	131	219
+	126	227
+	4	119	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	219
+	126	227
+	3	119	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	224
+	126	227
+	131	219
+	4	137	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	227
+	131	219
+	3	137	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	217
+	168	219
+	161	224
+	4	156	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	219
+	161	224
+	3	156	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	224
+	149	223
+	156	217
+	4	161	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	223
+	156	217
+	3	161	224	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	219
+	143	217
+	137	224
+	4	131	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	137	224
+	3	131	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	223
+	137	224
+	143	217
+	4	149	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	224
+	143	217
+	3	149	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	217
+	156	217
+	149	223
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	217
+	149	223
+	3	143	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	275
+	143	275
+	149	289
+	4	156	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	275
+	149	289
+	3	156	275	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	229
+	180	223
+	187	220
+	4	192	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	223
+	187	220
+	3	192	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	119	223
+	107	229
+	112	220
+	4	119	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	229
+	112	220
+	3	119	223	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	175	216
+	187	220
+	180	223
+	4	175	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	220
+	180	223
+	3	175	216	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	180	223
+	168	219
+	175	216
+	4	180	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	219
+	175	216
+	3	180	223	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	112	220
+	124	216
+	119	223
+	4	112	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	216
+	119	223
+	3	112	220	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	131	219
+	119	223
+	124	216
+	4	131	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	223
+	124	216
+	3	131	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	275
+	156	275
+	149	257
+	4	143	275	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	275
+	149	257
+	3	143	275	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	256
+	149	257
+	156	275
+	4	162	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	257
+	156	275
+	3	162	256	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	257
+	137	256
+	143	275
+	4	149	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	256
+	143	275
+	3	149	257	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	162	214
+	175	216
+	168	219
+	4	162	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	216
+	168	219
+	3	162	214	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	168	219
+	156	217
+	162	214
+	4	168	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	217
+	162	214
+	3	168	219	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	124	216
+	137	214
+	131	219
+	4	124	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	214
+	131	219
+	3	124	216	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	143	217
+	131	219
+	137	214
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	219
+	137	214
+	3	143	217	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	214
+	162	214
+	156	217
+	4	149	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	214
+	156	217
+	3	149	214	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	137	214
+	149	214
+	143	217
+	4	137	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	214
+	143	217
+	3	137	214	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	156	217
+	143	217
+	149	214
+	4	156	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	149	214
+	3	156	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	257
+	162	256
+	156	238
+	4	149	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	256
+	156	238
+	3	149	257	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	256
+	149	257
+	143	238
+	4	137	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	257
+	143	238
+	3	137	256	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	238
+	143	238
+	149	257
+	4	156	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	238
+	149	257
+	3	156	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	237
+	156	238
+	162	256
+	4	169	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	238
+	162	256
+	3	169	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	238
+	130	237
+	137	256
+	4	143	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	237
+	137	256
+	3	143	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	220
+	175	216
+	182	216
+	4	187	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	216
+	182	216
+	3	187	220	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	216
+	112	220
+	117	216
+	4	124	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	220
+	117	216
+	3	124	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	216
+	182	216
+	175	216
+	4	169	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	216
+	175	216
+	3	169	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	216
+	162	214
+	169	216
+	4	175	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	214
+	169	216
+	3	175	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	216
+	130	216
+	124	216
+	4	117	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	216
+	124	216
+	3	117	216	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	137	214
+	124	216
+	130	216
+	4	137	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	216
+	130	216
+	3	137	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	215
+	169	216
+	162	214
+	4	156	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	216
+	162	214
+	3	156	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	214
+	149	214
+	156	215
+	4	162	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	214
+	156	215
+	3	162	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	216
+	143	215
+	137	214
+	4	130	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	215
+	137	214
+	3	130	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	214
+	137	214
+	143	215
+	4	149	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	214
+	143	215
+	3	149	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	215
+	156	215
+	149	214
+	4	143	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	215
+	149	214
+	3	143	215	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	156	238
+	169	237
+	162	223
+	4	156	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	237
+	162	223
+	3	156	238	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	143	238
+	156	238
+	149	224
+	4	143	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	238
+	149	224
+	3	143	238	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	162	223
+	149	224
+	156	238
+	4	162	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	224
+	156	238
+	3	162	223	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	130	237
+	143	238
+	136	223
+	4	130	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	238
+	136	223
+	3	130	237	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	224
+	136	223
+	143	238
+	4	149	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	223
+	143	238
+	3	149	224	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	176	222
+	162	223
+	169	237
+	4	176	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	223
+	169	237
+	3	176	222	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	136	223
+	123	222
+	130	237
+	4	136	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	222
+	130	237
+	3	136	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	216
+	169	216
+	176	222
+	4	182	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	216
+	176	222
+	3	182	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	216
+	117	216
+	123	222
+	4	130	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	216
+	123	222
+	3	130	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	223
+	176	222
+	169	216
+	4	162	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	222
+	169	216
+	3	162	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	216
+	156	215
+	162	223
+	4	169	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	215
+	162	223
+	3	169	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	222
+	136	223
+	130	216
+	4	123	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	223
+	130	216
+	3	123	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	215
+	130	216
+	136	223
+	4	143	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	216
+	136	223
+	3	143	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	224
+	162	223
+	156	215
+	4	149	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	223
+	156	215
+	3	149	224	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	223
+	149	224
+	143	215
+	4	136	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	224
+	143	215
+	3	136	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	215
+	143	215
+	149	224
+	4	156	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	215
+	149	224
+	3	156	215	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dpsa.ps b/books/ps/3dpsa.ps
new file mode 100644
index 0000000..a96c258
--- /dev/null
+++ b/books/ps/3dpsa.ps
@@ -0,0 +1,15744 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	18	252	254	85	psDrawLine
+	globGC	(X)	13	257	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	282	252	46	85	psDrawLine
+	globGC	(Y)	287	257	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	19	150	259	psDrawLine
+	globGC	(Z)	155	14	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.750000	setForeground
+	renderGC
+	123	106
+	146	87
+	118	91
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	87
+	118	91
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	87
+	123	106
+	147	103
+	4	146	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	147	103
+	3	146	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	103
+	118	91
+	146	87
+	4	147	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	91
+	146	87
+	3	147	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	103
+	174	88
+	146	87
+	4	147	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	88
+	146	87
+	3	147	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	87
+	171	103
+	147	103
+	4	146	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	103
+	147	103
+	3	146	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	103
+	146	87
+	174	88
+	4	171	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	87
+	174	88
+	3	171	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	113
+	118	91
+	92	98
+	4	99	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	91
+	92	98
+	3	99	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	91
+	99	113
+	123	106
+	4	118	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	113
+	123	106
+	3	118	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	106
+	92	98
+	118	91
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	98
+	118	91
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	91
+	147	103
+	123	106
+	4	118	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	103
+	123	106
+	3	118	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	88
+	147	103
+	171	103
+	4	174	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	103
+	171	103
+	3	174	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	103
+	202	93
+	174	88
+	4	171	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	93
+	174	88
+	3	171	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	88
+	195	107
+	171	103
+	4	174	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	171	103
+	3	174	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	107
+	174	88
+	202	93
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	88
+	202	93
+	3	195	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	119
+	147	103
+	123	106
+	4	126	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	103
+	123	106
+	3	126	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	103
+	126	119
+	147	116
+	4	147	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	119
+	147	116
+	3	147	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	116
+	123	106
+	147	103
+	4	147	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	147	103
+	3	147	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	116
+	171	103
+	147	103
+	4	147	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	103
+	147	103
+	3	147	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	103
+	168	116
+	147	116
+	4	147	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	116
+	147	116
+	3	147	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	116
+	147	103
+	171	103
+	4	168	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	103
+	171	103
+	3	168	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	124
+	92	98
+	67	110
+	4	78	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	98
+	67	110
+	3	78	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	98
+	78	124
+	99	113
+	4	92	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	124
+	99	113
+	3	92	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	113
+	67	110
+	92	98
+	4	99	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	110
+	92	98
+	3	99	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	98
+	123	106
+	99	113
+	4	92	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	99	113
+	3	92	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	126
+	123	106
+	99	113
+	4	107	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	99	113
+	3	107	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	106
+	107	126
+	126	119
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	126
+	126	119
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	119
+	99	113
+	123	106
+	4	126	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	113
+	123	106
+	3	126	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	106
+	147	116
+	126	119
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	116
+	126	119
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	93
+	171	103
+	195	107
+	4	202	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	103
+	195	107
+	3	202	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	107
+	227	101
+	202	93
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	101
+	202	93
+	3	195	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	93
+	217	114
+	195	107
+	4	202	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	195	107
+	3	202	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	114
+	202	93
+	227	101
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	93
+	227	101
+	3	217	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	103
+	147	116
+	168	116
+	4	171	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	116
+	168	116
+	3	171	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	116
+	195	107
+	171	103
+	4	168	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	171	103
+	3	168	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	103
+	188	119
+	168	116
+	4	171	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	119
+	168	116
+	3	171	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	119
+	171	103
+	195	107
+	4	188	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	103
+	195	107
+	3	188	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	135
+	99	113
+	78	124
+	4	89	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	113
+	78	124
+	3	89	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	113
+	89	135
+	107	126
+	4	99	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	135
+	107	126
+	3	99	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	126
+	78	124
+	99	113
+	4	107	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	124
+	99	113
+	3	107	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	110
+	99	113
+	78	124
+	4	67	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	113
+	78	124
+	3	67	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	113
+	126	119
+	107	126
+	4	99	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	119
+	107	126
+	3	99	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	130
+	147	116
+	126	119
+	4	130	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	116
+	126	119
+	3	130	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	116
+	130	130
+	148	127
+	4	147	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	130
+	148	127
+	3	147	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	127
+	126	119
+	147	116
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	119
+	147	116
+	3	148	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	127
+	168	116
+	147	116
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	116
+	147	116
+	3	148	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	116
+	165	127
+	148	127
+	4	147	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	127
+	148	127
+	3	147	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	127
+	147	116
+	168	116
+	4	165	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	116
+	168	116
+	3	165	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	107
+	168	116
+	188	119
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	116
+	188	119
+	3	195	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	101
+	195	107
+	217	114
+	4	227	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	217	114
+	3	227	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	119
+	217	114
+	195	107
+	4	188	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	195	107
+	3	188	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	107
+	207	125
+	188	119
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	125
+	188	119
+	3	195	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	125
+	195	107
+	217	114
+	4	207	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	217	114
+	3	207	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	136
+	126	119
+	107	126
+	4	113	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	119
+	107	126
+	3	113	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	119
+	113	136
+	130	130
+	4	126	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	136
+	130	130
+	3	126	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	130
+	107	126
+	126	119
+	4	130	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	126
+	126	119
+	3	130	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	119
+	148	127
+	130	130
+	4	126	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	130	130
+	3	126	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	138
+	67	110
+	46	125
+	4	60	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	110
+	46	125
+	3	60	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	110
+	60	138
+	78	124
+	4	67	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	138
+	78	124
+	3	67	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	124
+	46	125
+	67	110
+	4	78	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	125
+	67	110
+	3	78	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	116
+	148	127
+	165	127
+	4	168	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	165	127
+	3	168	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	127
+	188	119
+	168	116
+	4	165	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	119
+	168	116
+	3	165	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	116
+	182	129
+	165	127
+	4	168	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	129
+	165	127
+	3	168	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	129
+	168	116
+	188	119
+	4	182	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	116
+	188	119
+	3	182	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	114
+	250	114
+	227	101
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	114
+	227	101
+	3	217	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	101
+	236	125
+	217	114
+	4	227	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	125
+	217	114
+	3	227	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	125
+	227	101
+	250	114
+	4	236	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	101
+	250	114
+	3	236	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	144
+	107	126
+	89	135
+	4	98	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	126
+	89	135
+	3	98	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	126
+	98	144
+	113	136
+	4	107	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	144
+	113	136
+	3	107	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	136
+	89	135
+	107	126
+	4	113	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	135
+	107	126
+	3	113	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	124
+	107	126
+	89	135
+	4	78	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	126
+	89	135
+	3	78	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	126
+	130	130
+	113	136
+	4	107	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	130
+	113	136
+	3	107	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	148
+	78	124
+	60	138
+	4	74	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	124
+	60	138
+	3	74	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	124
+	74	148
+	89	135
+	4	78	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	148
+	89	135
+	3	78	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	135
+	60	138
+	78	124
+	4	89	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	138
+	78	124
+	3	89	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	125
+	78	124
+	60	138
+	4	46	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	124
+	60	138
+	3	46	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	119
+	165	127
+	182	129
+	4	188	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	127
+	182	129
+	3	188	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	114
+	188	119
+	207	125
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	119
+	207	125
+	3	217	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	129
+	207	125
+	188	119
+	4	182	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	125
+	188	119
+	3	182	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	119
+	198	134
+	182	129
+	4	188	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	134
+	182	129
+	3	188	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	134
+	188	119
+	207	125
+	4	198	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	119
+	207	125
+	3	198	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	138
+	148	127
+	130	130
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	130	130
+	3	133	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	127
+	133	138
+	148	135
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	148	135
+	3	148	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	135
+	130	130
+	148	127
+	4	148	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	130
+	148	127
+	3	148	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	135
+	165	127
+	148	127
+	4	148	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	127
+	148	127
+	3	148	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	127
+	163	135
+	148	135
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	135
+	148	135
+	3	148	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	135
+	148	127
+	165	127
+	4	163	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	165	127
+	3	163	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	143
+	130	130
+	113	136
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	130
+	113	136
+	3	120	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	130
+	120	143
+	133	138
+	4	130	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	133	138
+	3	130	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	138
+	113	136
+	130	130
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	136
+	130	130
+	3	133	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	130
+	148	135
+	133	138
+	4	130	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	135
+	133	138
+	3	130	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	114
+	217	114
+	236	125
+	4	250	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	236	125
+	3	250	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	125
+	236	125
+	217	114
+	4	207	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	125
+	217	114
+	3	207	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	114
+	223	134
+	207	125
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	134
+	207	125
+	3	217	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	134
+	217	114
+	236	125
+	4	223	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	236	125
+	3	223	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	127
+	148	135
+	163	135
+	4	165	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	135
+	163	135
+	3	165	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	135
+	182	129
+	165	127
+	4	163	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	129
+	165	127
+	3	163	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	127
+	177	137
+	163	135
+	4	165	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	137
+	163	135
+	3	165	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	137
+	165	127
+	182	129
+	4	177	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	127
+	182	129
+	3	177	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	155
+	89	135
+	74	148
+	4	86	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	135
+	74	148
+	3	86	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	135
+	86	155
+	98	144
+	4	89	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	155
+	98	144
+	3	89	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	144
+	74	148
+	89	135
+	4	98	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	148
+	89	135
+	3	98	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	138
+	89	135
+	74	148
+	4	60	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	135
+	74	148
+	3	60	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	135
+	113	136
+	98	144
+	4	89	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	136
+	98	144
+	3	89	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	150
+	113	136
+	98	144
+	4	107	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	136
+	98	144
+	3	107	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	136
+	107	150
+	120	143
+	4	113	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	150
+	120	143
+	3	113	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	143
+	98	144
+	113	136
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	144
+	113	136
+	3	120	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	136
+	133	138
+	120	143
+	4	113	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	120	143
+	3	113	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	155
+	46	125
+	29	144
+	4	46	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	125
+	29	144
+	3	46	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	125
+	46	155
+	60	138
+	4	46	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	155
+	60	138
+	3	46	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	138
+	29	144
+	46	125
+	4	60	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	144
+	46	125
+	3	60	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	129
+	163	135
+	177	137
+	4	182	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	135
+	177	137
+	3	182	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	125
+	182	129
+	198	134
+	4	207	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	129
+	198	134
+	3	207	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	137
+	198	134
+	182	129
+	4	177	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	134
+	182	129
+	3	177	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	129
+	190	141
+	177	137
+	4	182	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	141
+	177	137
+	3	182	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	141
+	182	129
+	198	134
+	4	190	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	129
+	198	134
+	3	190	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	125
+	207	125
+	223	134
+	4	236	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	125
+	223	134
+	3	236	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	134
+	223	134
+	207	125
+	4	198	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	134
+	207	125
+	3	198	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	125
+	212	142
+	198	134
+	4	207	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	142
+	198	134
+	3	207	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	142
+	207	125
+	223	134
+	4	212	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	125
+	223	134
+	3	212	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	163
+	60	138
+	46	155
+	4	62	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	138
+	46	155
+	3	62	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	138
+	62	163
+	74	148
+	4	60	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	163
+	74	148
+	3	60	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	148
+	46	155
+	60	138
+	4	74	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	155
+	60	138
+	3	74	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	29	144
+	60	138
+	46	155
+	4	29	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	138
+	46	155
+	3	29	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	125
+	269	130
+	250	114
+	4	236	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	130
+	250	114
+	3	236	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	114
+	252	139
+	236	125
+	4	250	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	139
+	236	125
+	3	250	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	139
+	250	114
+	269	130
+	4	252	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	114
+	269	130
+	3	252	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	159
+	98	144
+	86	155
+	4	97	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	144
+	86	155
+	3	97	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	144
+	97	159
+	107	150
+	4	98	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	159
+	107	150
+	3	98	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	150
+	86	155
+	98	144
+	4	107	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	155
+	98	144
+	3	107	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	148
+	98	144
+	86	155
+	4	74	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	144
+	86	155
+	3	74	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	144
+	120	143
+	107	150
+	4	98	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	107	150
+	3	98	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	143
+	148	135
+	133	138
+	4	136	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	135
+	133	138
+	3	136	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	135
+	136	143
+	148	141
+	4	148	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	143
+	148	141
+	3	148	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	141
+	133	138
+	148	135
+	4	148	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	148	135
+	3	148	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	141
+	163	135
+	148	135
+	4	148	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	135
+	148	135
+	3	148	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	135
+	160	140
+	148	141
+	4	148	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	148	141
+	3	148	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	140
+	148	135
+	163	135
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	135
+	163	135
+	3	160	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	147
+	133	138
+	120	143
+	4	125	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	120	143
+	3	125	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	138
+	125	147
+	136	143
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	147
+	136	143
+	3	133	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	143
+	120	143
+	133	138
+	4	136	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	133	138
+	3	136	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	138
+	148	141
+	136	143
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	141
+	136	143
+	3	133	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	168
+	74	148
+	62	163
+	4	76	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	148
+	62	163
+	3	76	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	148
+	76	168
+	86	155
+	4	74	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	168
+	86	155
+	3	74	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	155
+	62	163
+	74	148
+	4	86	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	163
+	74	148
+	3	86	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	155
+	74	148
+	62	163
+	4	46	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	148
+	62	163
+	3	46	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	135
+	148	141
+	160	140
+	4	163	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	141
+	160	140
+	3	163	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	140
+	177	137
+	163	135
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	137
+	163	135
+	3	160	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	135
+	172	142
+	160	140
+	4	163	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	142
+	160	140
+	3	163	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	142
+	163	135
+	177	137
+	4	172	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	135
+	177	137
+	3	172	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	153
+	120	143
+	107	150
+	4	115	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	107	150
+	3	115	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	143
+	115	153
+	125	147
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	153
+	125	147
+	3	120	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	147
+	107	150
+	120	143
+	4	125	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	150
+	120	143
+	3	125	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	143
+	136	143
+	125	147
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	143
+	125	147
+	3	120	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	130
+	236	125
+	252	139
+	4	269	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	125
+	252	139
+	3	269	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	134
+	252	139
+	236	125
+	4	223	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	139
+	236	125
+	3	223	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	125
+	237	146
+	223	134
+	4	236	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	146
+	223	134
+	3	236	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	146
+	236	125
+	252	139
+	4	237	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	125
+	252	139
+	3	237	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	134
+	177	137
+	190	141
+	4	198	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	137
+	190	141
+	3	198	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	134
+	198	134
+	212	142
+	4	223	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	134
+	212	142
+	3	223	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	141
+	212	142
+	198	134
+	4	190	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	142
+	198	134
+	3	190	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	134
+	201	147
+	190	141
+	4	198	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	147
+	190	141
+	3	198	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	147
+	198	134
+	212	142
+	4	201	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	134
+	212	142
+	3	201	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	137
+	160	140
+	172	142
+	4	177	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	172	142
+	3	177	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	142
+	190	141
+	177	137
+	4	172	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	141
+	177	137
+	3	172	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	137
+	182	145
+	172	142
+	4	177	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	145
+	172	142
+	3	177	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	145
+	177	137
+	190	141
+	4	182	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	137
+	190	141
+	3	182	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	170
+	86	155
+	76	168
+	4	89	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	155
+	76	168
+	3	89	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	155
+	89	170
+	97	159
+	4	86	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	170
+	97	159
+	3	86	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	159
+	76	168
+	86	155
+	4	97	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	168
+	86	155
+	3	97	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	163
+	86	155
+	76	168
+	4	62	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	155
+	76	168
+	3	62	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	155
+	107	150
+	97	159
+	4	86	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	150
+	97	159
+	3	86	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	161
+	107	150
+	97	159
+	4	107	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	150
+	97	159
+	3	107	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	150
+	107	161
+	115	153
+	4	107	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	161
+	115	153
+	3	107	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	153
+	97	159
+	107	150
+	4	115	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	159
+	107	150
+	3	115	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	150
+	125	147
+	115	153
+	4	107	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	147
+	115	153
+	3	107	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	139
+	223	134
+	237	146
+	4	252	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	134
+	237	146
+	3	252	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	142
+	237	146
+	223	134
+	4	212	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	146
+	223	134
+	3	212	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	134
+	223	151
+	212	142
+	4	223	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	151
+	212	142
+	3	223	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	151
+	223	134
+	237	146
+	4	223	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	134
+	237	146
+	3	223	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	146
+	148	141
+	136	143
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	141
+	136	143
+	3	139	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	141
+	139	146
+	149	144
+	4	148	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	149	144
+	3	148	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	144
+	136	143
+	148	141
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	143
+	148	141
+	3	149	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	144
+	160	140
+	148	141
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	148	141
+	3	149	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	141
+	158	144
+	149	144
+	4	148	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	144
+	149	144
+	3	148	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	144
+	148	141
+	160	140
+	4	158	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	141
+	160	140
+	3	158	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	149
+	136	143
+	125	147
+	4	130	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	143
+	125	147
+	3	130	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	143
+	130	149
+	139	146
+	4	136	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	149
+	139	146
+	3	136	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	146
+	125	147
+	136	143
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	147
+	136	143
+	3	139	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	143
+	149	144
+	139	146
+	4	136	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	139	146
+	3	136	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	29	144
+	37	174
+	46	155
+	4	29	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	174
+	46	155
+	3	29	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	179
+	46	155
+	37	174
+	4	54	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	155
+	37	174
+	3	54	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	155
+	54	179
+	62	163
+	4	46	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	179
+	62	163
+	3	46	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	163
+	37	174
+	46	155
+	4	62	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	174
+	46	155
+	3	62	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	17	166
+	46	155
+	37	174
+	4	17	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	155
+	37	174
+	3	17	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	155
+	17	166
+	29	144
+	4	46	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	166
+	29	144
+	3	46	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	141
+	172	142
+	182	145
+	4	190	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	142
+	182	145
+	3	190	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	142
+	190	141
+	201	147
+	4	212	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	141
+	201	147
+	3	212	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	145
+	201	147
+	190	141
+	4	182	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	147
+	190	141
+	3	182	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	141
+	191	150
+	182	145
+	4	190	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	150
+	182	145
+	3	190	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	150
+	190	141
+	201	147
+	4	191	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	141
+	201	147
+	3	191	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	37	174
+	29	144
+	17	166
+	4	37	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	144
+	17	166
+	3	37	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	140
+	149	144
+	158	144
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	158	144
+	3	160	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	144
+	172	142
+	160	140
+	4	158	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	142
+	160	140
+	3	158	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	140
+	167	145
+	158	144
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	158	144
+	3	160	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	145
+	160	140
+	172	142
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	172	142
+	3	167	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	182
+	62	163
+	54	179
+	4	70	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	163
+	54	179
+	3	70	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	163
+	70	182
+	76	168
+	4	62	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	182
+	76	168
+	3	62	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	168
+	54	179
+	62	163
+	4	76	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	179
+	62	163
+	3	76	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	174
+	62	163
+	54	179
+	4	37	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	163
+	54	179
+	3	37	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	154
+	125	147
+	115	153
+	4	122	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	147
+	115	153
+	3	122	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	147
+	122	154
+	130	149
+	4	125	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	154
+	130	149
+	3	125	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	149
+	115	153
+	125	147
+	4	130	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	153
+	125	147
+	3	130	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	147
+	139	146
+	130	149
+	4	125	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	130	149
+	3	125	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	170
+	97	159
+	89	170
+	4	101	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	159
+	89	170
+	3	101	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	159
+	101	170
+	107	161
+	4	97	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	170
+	107	161
+	3	97	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	161
+	89	170
+	97	159
+	4	107	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	170
+	97	159
+	3	107	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	168
+	97	159
+	89	170
+	4	76	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	159
+	89	170
+	3	76	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	159
+	115	153
+	107	161
+	4	97	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	153
+	107	161
+	3	97	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	146
+	212	142
+	223	151
+	4	237	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	142
+	223	151
+	3	237	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	147
+	223	151
+	212	142
+	4	201	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	151
+	212	142
+	3	201	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	142
+	210	155
+	201	147
+	4	212	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	155
+	201	147
+	3	212	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	155
+	212	142
+	223	151
+	4	210	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	142
+	223	151
+	3	210	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	182
+	76	168
+	70	182
+	4	84	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	168
+	70	182
+	3	84	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	168
+	84	182
+	89	170
+	4	76	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	182
+	89	170
+	3	76	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	170
+	70	182
+	76	168
+	4	89	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	182
+	76	168
+	3	89	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	179
+	76	168
+	70	182
+	4	54	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	168
+	70	182
+	3	54	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	139
+	282	149
+	269	130
+	4	252	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	149
+	269	130
+	3	252	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	130
+	263	155
+	252	139
+	4	269	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	155
+	252	139
+	3	269	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	155
+	269	130
+	282	149
+	4	263	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	130
+	282	149
+	3	263	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	142
+	158	144
+	167	145
+	4	172	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	144
+	167	145
+	3	172	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	145
+	182	145
+	172	142
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	145
+	172	142
+	3	167	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	142
+	175	148
+	167	145
+	4	172	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	148
+	167	145
+	3	172	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	148
+	172	142
+	182	145
+	4	175	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	142
+	182	145
+	3	175	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	160
+	115	153
+	107	161
+	4	116	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	153
+	107	161
+	3	116	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	153
+	116	160
+	122	154
+	4	115	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	160
+	122	154
+	3	115	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	154
+	107	161
+	115	153
+	4	122	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	161
+	115	153
+	3	122	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	153
+	130	149
+	122	154
+	4	115	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	149
+	122	154
+	3	115	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	282	149
+	252	139
+	263	155
+	4	282	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	139
+	263	155
+	3	282	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	146
+	263	155
+	252	139
+	4	237	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	155
+	252	139
+	3	237	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	139
+	246	160
+	237	146
+	4	252	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	160
+	237	146
+	3	252	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	160
+	252	139
+	263	155
+	4	246	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	139
+	263	155
+	3	246	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	147
+	182	145
+	191	150
+	4	201	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	145
+	191	150
+	3	201	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	151
+	201	147
+	210	155
+	4	223	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	147
+	210	155
+	3	223	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	150
+	210	155
+	201	147
+	4	191	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	155
+	201	147
+	3	191	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	147
+	198	156
+	191	150
+	4	201	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	156
+	191	150
+	3	201	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	156
+	201	147
+	210	155
+	4	198	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	147
+	210	155
+	3	198	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	179
+	89	170
+	84	182
+	4	97	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	170
+	84	182
+	3	97	179	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	89	170
+	97	179
+	101	170
+	4	89	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	179
+	101	170
+	3	89	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	170
+	84	182
+	89	170
+	4	101	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	182
+	89	170
+	3	101	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	182
+	89	170
+	84	182
+	4	70	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	170
+	84	182
+	3	70	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	170
+	107	161
+	101	170
+	4	89	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	161
+	101	170
+	3	89	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	145
+	167	145
+	175	148
+	4	182	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	175	148
+	3	182	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	148
+	191	150
+	182	145
+	4	175	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	150
+	182	145
+	3	175	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	145
+	183	151
+	175	148
+	4	182	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	151
+	175	148
+	3	182	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	151
+	182	145
+	191	150
+	4	183	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	145
+	191	150
+	3	183	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	166
+	107	161
+	101	170
+	4	111	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	161
+	101	170
+	3	111	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	161
+	111	166
+	116	160
+	4	107	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	166
+	116	160
+	3	107	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	160
+	101	170
+	107	161
+	4	116	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	170
+	107	161
+	3	116	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	161
+	122	154
+	116	160
+	4	107	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	154
+	116	160
+	3	107	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	155
+	237	146
+	246	160
+	4	263	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	146
+	246	160
+	3	263	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	151
+	246	160
+	237	146
+	4	223	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	160
+	237	146
+	3	223	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	146
+	230	162
+	223	151
+	4	237	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	162
+	223	151
+	3	237	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	162
+	237	146
+	246	160
+	4	230	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	146
+	246	160
+	3	230	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	146
+	149	144
+	139	146
+	4	142	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	139	146
+	3	142	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	144
+	142	146
+	149	145
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	146
+	149	145
+	3	149	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	145
+	139	146
+	149	144
+	4	149	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	149	144
+	3	149	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	145
+	158	144
+	149	144
+	4	149	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	144
+	149	144
+	3	149	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	144
+	156	145
+	149	145
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	145
+	149	145
+	3	149	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	145
+	149	144
+	158	144
+	4	156	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	158	144
+	3	156	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	148
+	139	146
+	130	149
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	130	149
+	3	135	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	146
+	135	148
+	142	146
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	142	146
+	3	139	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	146
+	130	149
+	139	146
+	4	142	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	149
+	139	146
+	3	142	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	146
+	149	145
+	142	146
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	145
+	142	146
+	3	139	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	144
+	149	145
+	156	145
+	4	158	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	145
+	156	145
+	3	158	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	145
+	167	145
+	158	144
+	4	156	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	158	144
+	3	156	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	144
+	163	146
+	156	145
+	4	158	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	146
+	156	145
+	3	158	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	146
+	158	144
+	167	145
+	4	163	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	144
+	167	145
+	3	163	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	152
+	130	149
+	122	154
+	4	129	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	149
+	122	154
+	3	129	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	149
+	129	152
+	135	148
+	4	130	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	152
+	135	148
+	3	130	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	148
+	122	154
+	130	149
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	154
+	130	149
+	3	135	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	149
+	142	146
+	135	148
+	4	130	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	146
+	135	148
+	3	130	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	160
+	223	151
+	230	162
+	4	246	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	151
+	230	162
+	3	246	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	155
+	230	162
+	223	151
+	4	210	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	162
+	223	151
+	3	210	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	151
+	216	164
+	210	155
+	4	223	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	164
+	210	155
+	3	223	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	164
+	223	151
+	230	162
+	4	216	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	151
+	230	162
+	3	216	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	174
+	52	197
+	54	179
+	4	37	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	197
+	54	179
+	3	37	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	197
+	54	179
+	52	197
+	4	68	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	179
+	52	197
+	3	68	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	179
+	68	197
+	70	182
+	4	54	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	197
+	70	182
+	3	54	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	182
+	52	197
+	54	179
+	4	70	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	197
+	54	179
+	3	70	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	195
+	54	179
+	52	197
+	4	33	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	179
+	52	197
+	3	33	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	179
+	33	195
+	37	174
+	4	54	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	195
+	37	174
+	3	54	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	83	195
+	70	182
+	68	197
+	4	83	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	182
+	68	197
+	3	83	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	182
+	83	195
+	84	182
+	4	70	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	195
+	84	182
+	3	70	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	182
+	68	197
+	70	182
+	4	84	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	197
+	70	182
+	3	84	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	52	197
+	70	182
+	68	197
+	4	52	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	182
+	68	197
+	3	52	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	145
+	156	145
+	163	146
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	145
+	163	146
+	3	167	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	146
+	175	148
+	167	145
+	4	163	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	148
+	167	145
+	3	163	146	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	145
+	169	148
+	163	146
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	148
+	163	146
+	3	167	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	148
+	167	145
+	175	148
+	4	169	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	175	148
+	3	169	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	17	166
+	33	195
+	37	174
+	4	17	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	195
+	37	174
+	3	17	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	197
+	37	174
+	33	195
+	4	52	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	174
+	33	195
+	3	52	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	190
+	37	174
+	33	195
+	4	12	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	174
+	33	195
+	3	12	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	37	174
+	12	190
+	17	166
+	4	37	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	190
+	17	166
+	3	37	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	156
+	122	154
+	116	160
+	4	124	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	154
+	116	160
+	3	124	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	154
+	124	156
+	129	152
+	4	122	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	156
+	129	152
+	3	122	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	152
+	116	160
+	122	154
+	4	129	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	160
+	122	154
+	3	129	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	154
+	135	148
+	129	152
+	4	122	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	129	152
+	3	122	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	174
+	101	170
+	97	179
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	170
+	97	179
+	3	108	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	170
+	108	174
+	111	166
+	4	101	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	111	166
+	3	101	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	166
+	97	179
+	101	170
+	4	111	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	179
+	101	170
+	3	111	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	84	182
+	101	170
+	97	179
+	4	84	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	170
+	97	179
+	3	84	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	170
+	116	160
+	111	166
+	4	101	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	160
+	111	166
+	3	101	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	150
+	175	148
+	183	151
+	4	191	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	148
+	183	151
+	3	191	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	155
+	191	150
+	198	156
+	4	210	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	150
+	198	156
+	3	210	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	151
+	198	156
+	191	150
+	4	183	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	156
+	191	150
+	3	183	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	150
+	188	156
+	183	151
+	4	191	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	156
+	183	151
+	3	191	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	156
+	191	150
+	198	156
+	4	188	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	150
+	198	156
+	3	188	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	96	189
+	84	182
+	83	195
+	4	96	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	182
+	83	195
+	3	96	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	84	182
+	96	189
+	97	179
+	4	84	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	189
+	97	179
+	3	84	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	179
+	83	195
+	84	182
+	4	97	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	195
+	84	182
+	3	97	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	197
+	84	182
+	83	195
+	4	68	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	182
+	83	195
+	3	68	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	162
+	210	155
+	216	164
+	4	230	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	155
+	216	164
+	3	230	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	156
+	216	164
+	210	155
+	4	198	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	164
+	210	155
+	3	198	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	155
+	203	164
+	198	156
+	4	210	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	164
+	198	156
+	3	210	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	164
+	210	155
+	216	164
+	4	203	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	155
+	216	164
+	3	203	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	148
+	163	146
+	169	148
+	4	175	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	146
+	169	148
+	3	175	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	169	148
+	183	151
+	175	148
+	4	169	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	151
+	175	148
+	3	169	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	148
+	175	151
+	169	148
+	4	175	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	151
+	169	148
+	3	175	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	151
+	175	148
+	183	151
+	4	175	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	148
+	183	151
+	3	175	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	33	195
+	17	166
+	12	190
+	4	33	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	166
+	12	190
+	3	33	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	161
+	116	160
+	111	166
+	4	120	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	160
+	111	166
+	3	120	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	160
+	120	161
+	124	156
+	4	116	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	161
+	124	156
+	3	116	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	156
+	111	166
+	116	160
+	4	124	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	166
+	116	160
+	3	124	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	160
+	129	152
+	124	156
+	4	116	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	152
+	124	156
+	3	116	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	182
+	97	179
+	96	189
+	4	108	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	179
+	96	189
+	3	108	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	179
+	108	182
+	108	174
+	4	97	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	182
+	108	174
+	3	97	179	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	174
+	96	189
+	97	179
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	189
+	97	179
+	3	108	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	83	195
+	97	179
+	96	189
+	4	83	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	179
+	96	189
+	3	83	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	179
+	111	166
+	108	174
+	4	97	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	166
+	108	174
+	3	97	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	145
+	149	145
+	142	146
+	4	144	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	145
+	142	146
+	3	144	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	145
+	144	145
+	149	144
+	4	149	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	145
+	149	144
+	3	149	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	144
+	142	146
+	149	145
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	146
+	149	145
+	3	149	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	144
+	156	145
+	149	145
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	145
+	149	145
+	3	149	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	145
+	154	144
+	149	144
+	4	149	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	149	144
+	3	149	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	144
+	149	145
+	156	145
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	145
+	156	145
+	3	154	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	146
+	142	146
+	135	148
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	146
+	135	148
+	3	139	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	146
+	139	146
+	144	145
+	4	142	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	144	145
+	3	142	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	145
+	135	148
+	142	146
+	4	144	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	142	146
+	3	144	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	146
+	149	144
+	144	145
+	4	142	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	144	145
+	3	142	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	156
+	183	151
+	188	156
+	4	198	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	151
+	188	156
+	3	198	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	164
+	198	156
+	203	164
+	4	216	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	156
+	203	164
+	3	216	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	156
+	203	164
+	198	156
+	4	188	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	164
+	198	156
+	3	188	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	156
+	192	162
+	188	156
+	4	198	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	162
+	188	156
+	3	198	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	162
+	198	156
+	203	164
+	4	192	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	156
+	203	164
+	3	192	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	155
+	289	171
+	282	149
+	4	263	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	171
+	282	149
+	3	263	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	289	171
+	263	155
+	269	173
+	4	289	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	155
+	269	173
+	3	289	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	160
+	269	173
+	263	155
+	4	246	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	173
+	263	155
+	3	246	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	155
+	250	175
+	246	160
+	4	263	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	175
+	246	160
+	3	263	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	175
+	263	155
+	269	173
+	4	250	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	155
+	269	173
+	3	250	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	282	149
+	269	173
+	263	155
+	4	282	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	173
+	263	155
+	3	282	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	167
+	111	166
+	108	174
+	4	118	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	166
+	108	174
+	3	118	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	166
+	118	167
+	120	161
+	4	111	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	167
+	120	161
+	3	111	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	161
+	108	174
+	111	166
+	4	120	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	111	166
+	3	120	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	166
+	124	156
+	120	161
+	4	111	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	156
+	120	161
+	3	111	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	145
+	149	144
+	154	144
+	4	156	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	154	144
+	3	156	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	144
+	163	146
+	156	145
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	146
+	156	145
+	3	154	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	145
+	160	145
+	154	144
+	4	156	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	154	144
+	3	156	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	145
+	156	145
+	163	146
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	145
+	163	146
+	3	160	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	173
+	282	149
+	289	171
+	4	269	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	149
+	289	171
+	3	269	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	151
+	169	148
+	175	151
+	4	183	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	148
+	175	151
+	3	183	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	151
+	188	156
+	183	151
+	4	175	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	156
+	183	151
+	3	175	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	151
+	179	155
+	175	151
+	4	183	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	155
+	175	151
+	3	183	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	155
+	183	151
+	188	156
+	4	179	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	151
+	188	156
+	3	179	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	173
+	246	160
+	250	175
+	4	269	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	160
+	250	175
+	3	269	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	162
+	250	175
+	246	160
+	4	230	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	175
+	246	160
+	3	230	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	160
+	234	175
+	230	162
+	4	246	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	175
+	230	162
+	3	246	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	175
+	246	160
+	250	175
+	4	234	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	160
+	250	175
+	3	234	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	148
+	135	148
+	129	152
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	129	152
+	3	135	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	148
+	135	148
+	139	146
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	139	146
+	3	135	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	146
+	129	152
+	135	148
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	152
+	135	148
+	3	139	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	148
+	144	145
+	139	146
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	145
+	139	146
+	3	135	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	52	197
+	71	213
+	68	197
+	4	52	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	213
+	68	197
+	3	52	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	207
+	68	197
+	71	213
+	4	85	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	197
+	71	213
+	3	85	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	197
+	85	207
+	83	195
+	4	68	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	207
+	83	195
+	3	68	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	83	195
+	71	213
+	68	197
+	4	83	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	213
+	68	197
+	3	83	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	216
+	68	197
+	71	213
+	4	54	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	197
+	71	213
+	3	54	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	197
+	54	216
+	52	197
+	4	68	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	216
+	52	197
+	3	68	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	200
+	83	195
+	85	207
+	4	98	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	195
+	85	207
+	3	98	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	83	195
+	98	200
+	96	189
+	4	83	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	200
+	96	189
+	3	83	195	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	96	189
+	85	207
+	83	195
+	4	96	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	207
+	83	195
+	3	96	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	213
+	83	195
+	85	207
+	4	71	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	195
+	85	207
+	3	71	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	146
+	154	144
+	160	145
+	4	163	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	160	145
+	3	163	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	145
+	169	148
+	163	146
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	148
+	163	146
+	3	160	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	146
+	164	147
+	160	145
+	4	163	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	147
+	160	145
+	3	163	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	147
+	163	146
+	169	148
+	4	164	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	146
+	169	148
+	3	164	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	175
+	230	162
+	234	175
+	4	250	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	162
+	234	175
+	3	250	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	164
+	234	175
+	230	162
+	4	216	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	175
+	230	162
+	3	216	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	162
+	218	174
+	216	164
+	4	230	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	174
+	216	164
+	3	230	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	174
+	230	162
+	234	175
+	4	218	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	162
+	234	175
+	3	218	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	151
+	129	152
+	124	156
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	152
+	124	156
+	3	131	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	152
+	131	151
+	135	148
+	4	129	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	135	148
+	3	129	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	148
+	124	156
+	129	152
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	156
+	129	152
+	3	135	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	152
+	139	146
+	135	148
+	4	129	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	135	148
+	3	129	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	195
+	54	216
+	52	197
+	4	33	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	216
+	52	197
+	3	33	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	213
+	52	197
+	54	216
+	4	71	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	197
+	54	216
+	3	71	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	216
+	52	197
+	54	216
+	4	36	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	197
+	54	216
+	3	36	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	197
+	36	216
+	33	195
+	4	52	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	216
+	33	195
+	3	52	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	148
+	160	145
+	164	147
+	4	169	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	164	147
+	3	169	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	147
+	175	151
+	169	148
+	4	164	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	151
+	169	148
+	3	164	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	148
+	168	150
+	164	147
+	4	169	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	150
+	164	147
+	3	169	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	150
+	169	148
+	175	151
+	4	168	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	148
+	175	151
+	3	168	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	175
+	216	164
+	218	174
+	4	234	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	164
+	218	174
+	3	234	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	164
+	218	174
+	216	164
+	4	203	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	174
+	216	164
+	3	203	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	164
+	205	172
+	203	164
+	4	216	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	172
+	203	164
+	3	216	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	172
+	216	164
+	218	174
+	4	205	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	164
+	218	174
+	3	205	172	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	190
+	96	189
+	98	200
+	4	109	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	189
+	98	200
+	3	109	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	189
+	109	190
+	108	182
+	4	96	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	190
+	108	182
+	3	96	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	182
+	98	200
+	96	189
+	4	108	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	200
+	96	189
+	3	108	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	207
+	96	189
+	98	200
+	4	85	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	189
+	98	200
+	3	85	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	189
+	108	174
+	108	182
+	4	96	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	108	182
+	3	96	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	173
+	108	174
+	108	182
+	4	118	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	174
+	108	182
+	3	118	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	174
+	118	173
+	118	167
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	173
+	118	167
+	3	108	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	167
+	108	182
+	108	174
+	4	118	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	182
+	108	174
+	3	118	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	174
+	120	161
+	118	167
+	4	108	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	161
+	118	167
+	3	108	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	155
+	124	156
+	120	161
+	4	128	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	156
+	120	161
+	3	128	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	156
+	128	155
+	131	151
+	4	124	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	155
+	131	151
+	3	124	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	151
+	120	161
+	124	156
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	161
+	124	156
+	3	131	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	156
+	135	148
+	131	151
+	4	124	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	131	151
+	3	124	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	156
+	175	151
+	179	155
+	4	188	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	151
+	179	155
+	3	188	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	164
+	188	156
+	192	162
+	4	203	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	156
+	192	162
+	3	203	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	155
+	192	162
+	188	156
+	4	179	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	162
+	188	156
+	3	179	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	156
+	181	160
+	179	155
+	4	188	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	160
+	179	155
+	3	188	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	181	160
+	188	156
+	192	162
+	4	181	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	156
+	192	162
+	3	181	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	12	190
+	36	216
+	33	195
+	4	12	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	216
+	33	195
+	3	12	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	216
+	33	195
+	36	216
+	4	54	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	195
+	36	216
+	3	54	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	15	214
+	33	195
+	36	216
+	4	15	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	195
+	36	216
+	3	15	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	33	195
+	15	214
+	12	190
+	4	33	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	214
+	12	190
+	3	33	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	174
+	203	164
+	205	172
+	4	218	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	164
+	205	172
+	3	218	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	162
+	205	172
+	203	164
+	4	192	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	172
+	203	164
+	3	192	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	164
+	193	168
+	192	162
+	4	203	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	168
+	192	162
+	3	203	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	168
+	203	164
+	205	172
+	4	193	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	164
+	205	172
+	3	193	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	151
+	164	147
+	168	150
+	4	175	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	147
+	168	150
+	3	175	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	150
+	179	155
+	175	151
+	4	168	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	155
+	175	151
+	3	168	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	151
+	171	153
+	168	150
+	4	175	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	153
+	168	150
+	3	175	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	153
+	175	151
+	179	155
+	4	171	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	151
+	179	155
+	3	171	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	158
+	120	161
+	118	167
+	4	127	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	161
+	118	167
+	3	127	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	161
+	127	158
+	128	155
+	4	120	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	158
+	128	155
+	3	120	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	155
+	118	167
+	120	161
+	4	128	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	167
+	120	161
+	3	128	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	161
+	131	151
+	128	155
+	4	120	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	128	155
+	3	120	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	213
+	91	220
+	85	207
+	4	71	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	220
+	85	207
+	3	71	213	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	209
+	85	207
+	91	220
+	4	103	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	207
+	91	220
+	3	103	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	207
+	103	209
+	98	200
+	4	85	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	209
+	98	200
+	3	85	207	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	200
+	91	220
+	85	207
+	4	98	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	220
+	85	207
+	3	98	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	228
+	85	207
+	91	220
+	4	78	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	207
+	91	220
+	3	78	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	207
+	78	228
+	71	213
+	4	85	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	228
+	71	213
+	3	85	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	179
+	108	182
+	109	190
+	4	119	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	182
+	109	190
+	3	119	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	182
+	119	179
+	118	173
+	4	108	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	179
+	118	173
+	3	108	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	173
+	109	190
+	108	182
+	4	118	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	190
+	108	182
+	3	118	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	200
+	108	182
+	109	190
+	4	98	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	182
+	109	190
+	3	98	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	182
+	118	167
+	118	173
+	4	108	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	167
+	118	173
+	3	108	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	142
+	149	144
+	144	145
+	4	146	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	144	145
+	3	146	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	144
+	146	142
+	149	142
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	142
+	149	142
+	3	149	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	142
+	144	145
+	149	144
+	4	149	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	145
+	149	144
+	3	149	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	142
+	154	144
+	149	144
+	4	149	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	149	144
+	3	149	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	144
+	153	143
+	149	142
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	149	142
+	3	149	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	143
+	149	144
+	154	144
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	154	144
+	3	153	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	144
+	149	142
+	153	143
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	142
+	153	143
+	3	154	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	143
+	160	145
+	154	144
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	154	144
+	3	153	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	144
+	156	144
+	153	143
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	144
+	153	143
+	3	154	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	144
+	154	144
+	160	145
+	4	156	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	160	145
+	3	156	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	143
+	144	145
+	139	146
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	145
+	139	146
+	3	142	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	145
+	142	143
+	146	142
+	4	144	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	146	142
+	3	144	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	142
+	139	146
+	144	145
+	4	146	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	144	145
+	3	146	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	145
+	149	142
+	146	142
+	4	144	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	142
+	146	142
+	3	144	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	216
+	78	228
+	71	213
+	4	54	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	228
+	71	213
+	3	54	216	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	91	220
+	71	213
+	78	228
+	4	91	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	213
+	78	228
+	3	91	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	233
+	71	213
+	78	228
+	4	63	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	213
+	78	228
+	3	63	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	213
+	63	233
+	54	216
+	4	71	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	233
+	54	216
+	3	71	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	197
+	98	200
+	103	209
+	4	113	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	200
+	103	209
+	3	113	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	200
+	113	197
+	109	190
+	4	98	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	197
+	109	190
+	3	98	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	190
+	103	209
+	98	200
+	4	109	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	209
+	98	200
+	3	109	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	91	220
+	98	200
+	103	209
+	4	91	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	200
+	103	209
+	3	91	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	145
+	153	143
+	156	144
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	156	144
+	3	160	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	144
+	164	147
+	160	145
+	4	156	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	147
+	160	145
+	3	156	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	145
+	160	145
+	156	144
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	156	144
+	3	160	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	145
+	160	145
+	164	147
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	164	147
+	3	160	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	144
+	139	146
+	135	148
+	4	139	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	135	148
+	3	139	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	146
+	139	144
+	142	143
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	144
+	142	143
+	3	139	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	143
+	135	148
+	139	146
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	139	146
+	3	142	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	146
+	146	142
+	142	143
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	142
+	142	143
+	3	139	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	162
+	179	155
+	181	160
+	4	192	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	155
+	181	160
+	3	192	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	172
+	192	162
+	193	168
+	4	205	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	162
+	193	168
+	3	205	172	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	181	160
+	193	168
+	192	162
+	4	181	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	168
+	192	162
+	3	181	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	162
+	182	164
+	181	160
+	4	192	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	164
+	181	160
+	3	192	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	182	164
+	192	162
+	193	168
+	4	182	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	162
+	193	168
+	3	182	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	155
+	168	150
+	171	153
+	4	179	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	150
+	171	153
+	3	179	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	153
+	181	160
+	179	155
+	4	171	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	160
+	179	155
+	3	171	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	155
+	173	156
+	171	153
+	4	179	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	156
+	171	153
+	3	179	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	156
+	179	155
+	181	160
+	4	173	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	155
+	181	160
+	3	173	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	162
+	118	167
+	118	173
+	4	127	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	167
+	118	173
+	3	127	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	167
+	127	162
+	127	158
+	4	118	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	162
+	127	158
+	3	118	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	158
+	118	173
+	118	167
+	4	127	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	173
+	118	167
+	3	127	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	167
+	128	155
+	127	158
+	4	118	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	155
+	127	158
+	3	118	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	147
+	156	144
+	160	145
+	4	164	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	144
+	160	145
+	3	164	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	145
+	168	150
+	164	147
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	150
+	164	147
+	3	160	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	147
+	162	148
+	160	145
+	4	164	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	148
+	160	145
+	3	164	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	148
+	164	147
+	168	150
+	4	162	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	147
+	168	150
+	3	162	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	145
+	135	148
+	131	151
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	148
+	131	151
+	3	137	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	148
+	137	145
+	139	144
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	139	144
+	3	135	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	144
+	131	151
+	135	148
+	4	139	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	135	148
+	3	139	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	148
+	142	143
+	139	144
+	4	135	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	139	144
+	3	135	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	36	216
+	12	190
+	15	214
+	4	36	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	190
+	15	214
+	3	36	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	175
+	250	190
+	250	175
+	4	234	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	190
+	250	175
+	3	234	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	190
+	234	175
+	233	188
+	4	250	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	175
+	233	188
+	3	250	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	174
+	233	188
+	234	175
+	4	218	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	188
+	234	175
+	3	218	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	175
+	217	184
+	218	174
+	4	234	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	184
+	218	174
+	3	234	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	184
+	234	175
+	233	188
+	4	217	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	175
+	233	188
+	3	217	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	175
+	233	188
+	234	175
+	4	250	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	188
+	234	175
+	3	250	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	184
+	109	190
+	113	197
+	4	122	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	190
+	113	197
+	3	122	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	190
+	122	184
+	119	179
+	4	109	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	184
+	119	179
+	3	109	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	179
+	113	197
+	109	190
+	4	119	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	197
+	109	190
+	3	119	179	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	209
+	109	190
+	113	197
+	4	103	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	190
+	113	197
+	3	103	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	190
+	118	173
+	119	179
+	4	109	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	173
+	119	179
+	3	109	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	188
+	218	174
+	217	184
+	4	233	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	174
+	217	184
+	3	233	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	172
+	217	184
+	218	174
+	4	205	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	184
+	218	174
+	3	205	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	174
+	204	180
+	205	172
+	4	218	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	180
+	205	172
+	3	218	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	180
+	218	174
+	217	184
+	4	204	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	174
+	217	184
+	3	204	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	216
+	63	233
+	54	216
+	4	36	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	233
+	54	216
+	3	36	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	228
+	54	216
+	63	233
+	4	78	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	216
+	63	233
+	3	78	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	237
+	54	216
+	63	233
+	4	45	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	216
+	63	233
+	3	45	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	216
+	45	237
+	36	216
+	4	54	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	237
+	36	216
+	3	54	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	175
+	268	192
+	269	173
+	4	250	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	192
+	269	173
+	3	250	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	192
+	250	175
+	250	190
+	4	268	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	175
+	250	190
+	3	268	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	188
+	250	175
+	250	190
+	4	233	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	175
+	250	190
+	3	233	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	269	173
+	250	190
+	250	175
+	4	269	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	190
+	250	175
+	3	269	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	150
+	160	145
+	162	148
+	4	168	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	162	148
+	3	168	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	148
+	171	153
+	168	150
+	4	162	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	153
+	168	150
+	3	162	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	150
+	164	150
+	162	148
+	4	168	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	150
+	162	148
+	3	168	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	150
+	168	150
+	171	153
+	4	164	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	150
+	171	153
+	3	164	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	147
+	131	151
+	128	155
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	128	155
+	3	135	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	151
+	135	147
+	137	145
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	137	145
+	3	131	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	145
+	128	155
+	131	151
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	155
+	131	151
+	3	137	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	151
+	139	144
+	137	145
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	144
+	137	145
+	3	131	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	184
+	205	172
+	204	180
+	4	217	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	172
+	204	180
+	3	217	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	168
+	204	180
+	205	172
+	4	193	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	180
+	205	172
+	3	193	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	172
+	192	175
+	193	168
+	4	205	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	175
+	193	168
+	3	205	172	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	175
+	205	172
+	204	180
+	4	192	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	172
+	204	180
+	3	192	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	160
+	171	153
+	173	156
+	4	181	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	153
+	173	156
+	3	181	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	168
+	181	160
+	182	164
+	4	193	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	160
+	182	164
+	3	193	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	156
+	182	164
+	181	160
+	4	173	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	164
+	181	160
+	3	173	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	160
+	173	160
+	173	156
+	4	181	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	160
+	173	156
+	3	181	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	160
+	181	160
+	182	164
+	4	173	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	160
+	182	164
+	3	173	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	166
+	118	173
+	119	179
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	173
+	119	179
+	3	128	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	173
+	128	166
+	127	162
+	4	118	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	127	162
+	3	118	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	162
+	119	179
+	118	173
+	4	127	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	179
+	118	173
+	3	127	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	173
+	127	158
+	127	162
+	4	118	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	158
+	127	162
+	3	118	173	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	91	220
+	111	218
+	103	209
+	4	91	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	218
+	103	209
+	3	91	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	204
+	103	209
+	111	218
+	4	119	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	209
+	111	218
+	3	119	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	209
+	119	204
+	113	197
+	4	103	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	204
+	113	197
+	3	103	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	197
+	111	218
+	103	209
+	4	113	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	218
+	103	209
+	3	113	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	231
+	103	209
+	111	218
+	4	101	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	209
+	111	218
+	3	101	231	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	209
+	101	231
+	91	220
+	4	103	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	231
+	91	220
+	3	103	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	228
+	101	231
+	91	220
+	4	78	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	231
+	91	220
+	3	78	228	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	111	218
+	91	220
+	101	231
+	4	111	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	220
+	101	231
+	3	111	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	241
+	91	220
+	101	231
+	4	89	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	220
+	101	231
+	3	89	241	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	91	220
+	89	241
+	78	228
+	4	91	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	241
+	78	228
+	3	91	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	269	173
+	289	194
+	289	171
+	4	269	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	194
+	289	171
+	3	269	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	289	194
+	269	173
+	268	192
+	4	289	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	173
+	268	192
+	3	289	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	190
+	269	173
+	268	192
+	4	250	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	173
+	268	192
+	3	250	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	289	171
+	268	192
+	269	173
+	4	289	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	192
+	269	173
+	3	289	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	153
+	162	148
+	164	150
+	4	171	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	148
+	164	150
+	3	171	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	150
+	173	156
+	171	153
+	4	164	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	156
+	171	153
+	3	164	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	153
+	165	153
+	164	150
+	4	171	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	164	150
+	3	171	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	153
+	171	153
+	173	156
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	153
+	173	156
+	3	165	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	149
+	128	155
+	127	158
+	4	134	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	155
+	127	158
+	3	134	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	155
+	134	149
+	135	147
+	4	128	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	149
+	135	147
+	3	128	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	147
+	127	158
+	128	155
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	158
+	128	155
+	3	135	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	155
+	137	145
+	135	147
+	4	128	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	135	147
+	3	128	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	180
+	193	168
+	192	175
+	4	204	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	168
+	192	175
+	3	204	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	164
+	192	175
+	193	168
+	4	182	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	175
+	193	168
+	3	182	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	168
+	181	169
+	182	164
+	4	193	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	169
+	182	164
+	3	193	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	169
+	193	168
+	192	175
+	4	181	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	168
+	192	175
+	3	181	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	189
+	113	197
+	119	204
+	4	127	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	197
+	119	204
+	3	127	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	197
+	127	189
+	122	184
+	4	113	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	189
+	122	184
+	3	113	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	184
+	119	204
+	113	197
+	4	122	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	204
+	113	197
+	3	122	184	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	218
+	113	197
+	119	204
+	4	111	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	197
+	119	204
+	3	111	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	197
+	119	179
+	122	184
+	4	113	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	179
+	122	184
+	3	113	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	192
+	289	171
+	289	194
+	4	268	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	171
+	289	194
+	3	268	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	233
+	89	241
+	78	228
+	4	63	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	241
+	78	228
+	3	63	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	231
+	78	228
+	89	241
+	4	101	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	228
+	89	241
+	3	101	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	249
+	78	228
+	89	241
+	4	76	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	228
+	89	241
+	3	76	249	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	228
+	76	249
+	63	233
+	4	78	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	249
+	63	233
+	3	78	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	139
+	153	143
+	149	142
+	4	150	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	149	142
+	3	150	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	143
+	150	139
+	152	140
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	139
+	152	140
+	3	153	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	140
+	149	142
+	153	143
+	4	152	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	142
+	153	143
+	3	152	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	140
+	156	144
+	153	143
+	4	152	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	144
+	153	143
+	3	152	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	143
+	154	142
+	152	140
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	152	140
+	3	153	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	142
+	153	143
+	156	144
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	156	144
+	3	154	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	170
+	119	179
+	122	184
+	4	130	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	179
+	122	184
+	3	130	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	179
+	130	170
+	128	166
+	4	119	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	170
+	128	166
+	3	119	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	166
+	122	184
+	119	179
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	184
+	119	179
+	3	128	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	179
+	127	162
+	128	166
+	4	119	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	162
+	128	166
+	3	119	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	139
+	149	142
+	146	142
+	4	147	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	142
+	146	142
+	3	147	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	142
+	147	139
+	150	139
+	4	149	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	139
+	150	139
+	3	149	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	139
+	146	142
+	149	142
+	4	150	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	142
+	149	142
+	3	150	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	142
+	152	140
+	150	139
+	4	149	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	140
+	150	139
+	3	149	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	144
+	152	140
+	154	142
+	4	156	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	140
+	154	142
+	3	156	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	142
+	160	145
+	156	144
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	156	144
+	3	154	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	144
+	156	143
+	154	142
+	4	156	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	143
+	154	142
+	3	156	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	143
+	156	144
+	160	145
+	4	156	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	144
+	160	145
+	3	156	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	139
+	146	142
+	142	143
+	4	145	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	142
+	142	143
+	3	145	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	142
+	145	139
+	147	139
+	4	146	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	139
+	147	139
+	3	146	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	139
+	142	143
+	146	142
+	4	147	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	146	142
+	3	147	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	142
+	150	139
+	147	139
+	4	146	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	139
+	147	139
+	3	146	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	164
+	173	156
+	173	160
+	4	182	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	156
+	173	160
+	3	182	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	175
+	182	164
+	181	169
+	4	192	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	164
+	181	169
+	3	192	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	160
+	181	169
+	182	164
+	4	173	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	169
+	182	164
+	3	173	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	164
+	173	164
+	173	160
+	4	182	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	164
+	173	160
+	3	182	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	164
+	182	164
+	181	169
+	4	173	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	164
+	181	169
+	3	173	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	151
+	127	158
+	127	162
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	158
+	127	162
+	3	134	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	158
+	134	151
+	134	149
+	4	127	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	134	149
+	3	127	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	149
+	127	162
+	127	158
+	4	134	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	162
+	127	158
+	3	134	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	158
+	135	147
+	134	149
+	4	127	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	134	149
+	3	127	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	156
+	164	150
+	165	153
+	4	173	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	150
+	165	153
+	3	173	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	153
+	173	160
+	173	156
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	160
+	173	156
+	3	165	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	156
+	166	156
+	165	153
+	4	173	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	156
+	165	153
+	3	173	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	156
+	173	156
+	173	160
+	4	166	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	156
+	173	160
+	3	166	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	145
+	154	142
+	156	143
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	156	143
+	3	160	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	143
+	162	148
+	160	145
+	4	156	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	148
+	160	145
+	3	156	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	145
+	157	145
+	156	143
+	4	160	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	145
+	156	143
+	3	160	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	145
+	160	145
+	162	148
+	4	157	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	145
+	162	148
+	3	157	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	15	214
+	45	237
+	36	216
+	4	15	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	237
+	36	216
+	3	15	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	233
+	36	216
+	45	237
+	4	63	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	216
+	45	237
+	3	63	233	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	239
+	36	216
+	45	237
+	4	25	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	216
+	45	237
+	3	25	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	36	216
+	25	239
+	15	214
+	4	36	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	239
+	15	214
+	3	36	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	139
+	142	143
+	139	144
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	139	144
+	3	143	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	143
+	143	139
+	145	139
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	145	139
+	3	142	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	139
+	139	144
+	142	143
+	4	145	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	144
+	142	143
+	3	145	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	143
+	147	139
+	145	139
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	139
+	145	139
+	3	142	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	148
+	156	143
+	157	145
+	4	162	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	143
+	157	145
+	3	162	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	145
+	164	150
+	162	148
+	4	157	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	150
+	162	148
+	3	157	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	148
+	159	147
+	157	145
+	4	162	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	147
+	157	145
+	3	162	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	147
+	162	148
+	164	150
+	4	159	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	148
+	164	150
+	3	159	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	204
+	122	184
+	127	189
+	4	119	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	184
+	127	189
+	3	119	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	139
+	139	144
+	137	145
+	4	142	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	144
+	137	145
+	3	142	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	144
+	142	139
+	143	139
+	4	139	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	139
+	143	139
+	3	139	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	139
+	137	145
+	139	144
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	139	144
+	3	143	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	144
+	145	139
+	143	139
+	4	139	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	139
+	143	139
+	3	139	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	173
+	122	184
+	127	189
+	4	133	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	184
+	127	189
+	3	133	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	184
+	133	173
+	130	170
+	4	122	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	173
+	130	170
+	3	122	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	170
+	127	189
+	122	184
+	4	130	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	189
+	122	184
+	3	130	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	184
+	128	166
+	130	170
+	4	122	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	130	170
+	3	122	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	154
+	127	162
+	128	166
+	4	135	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	162
+	128	166
+	3	135	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	162
+	135	154
+	134	151
+	4	127	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	154
+	134	151
+	3	127	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	151
+	128	166
+	127	162
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	127	162
+	3	134	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	162
+	134	149
+	134	151
+	4	127	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	149
+	134	151
+	3	127	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	150
+	157	145
+	159	147
+	4	164	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	145
+	159	147
+	3	164	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	147
+	165	153
+	164	150
+	4	159	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	164	150
+	3	159	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	150
+	159	149
+	159	147
+	4	164	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	149
+	159	147
+	3	164	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	149
+	164	150
+	165	153
+	4	159	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	150
+	165	153
+	3	159	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	160
+	165	153
+	166	156
+	4	173	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	166	156
+	3	173	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	169
+	173	160
+	173	164
+	4	181	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	160
+	173	164
+	3	181	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	156
+	173	164
+	173	160
+	4	166	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	164
+	173	160
+	3	166	156	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	173	160
+	165	159
+	166	156
+	4	173	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	159
+	166	156
+	3	173	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	159
+	173	160
+	173	164
+	4	165	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	160
+	173	164
+	3	165	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	180
+	212	194
+	217	184
+	4	204	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	194
+	217	184
+	3	204	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	194
+	204	180
+	200	187
+	4	212	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	180
+	200	187
+	3	212	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	175
+	200	187
+	204	180
+	4	192	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	187
+	204	180
+	3	192	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	180
+	189	181
+	192	175
+	4	204	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	181
+	192	175
+	3	204	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	181
+	204	180
+	200	187
+	4	189	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	180
+	200	187
+	3	189	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	184
+	200	187
+	204	180
+	4	217	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	187
+	204	180
+	3	217	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	200	187
+	192	175
+	189	181
+	4	200	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	175
+	189	181
+	3	200	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	169
+	189	181
+	192	175
+	4	181	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	181
+	192	175
+	3	181	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	175
+	179	174
+	181	169
+	4	192	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	174
+	181	169
+	3	192	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	174
+	192	175
+	189	181
+	4	179	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	175
+	189	181
+	3	179	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	160
+	150	157
+	150	159
+	4	149	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	157
+	150	159
+	3	149	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	159
+	150	159
+	150	157
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	159
+	150	157
+	3	149	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	159
+	149	159
+	149	160
+	4	150	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	149	160
+	3	150	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	184
+	227	200
+	233	188
+	4	217	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	200
+	233	188
+	3	217	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	200
+	217	184
+	212	194
+	4	227	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	184
+	212	194
+	3	227	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	187
+	217	184
+	212	194
+	4	200	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	184
+	212	194
+	3	200	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	188
+	212	194
+	217	184
+	4	233	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	194
+	217	184
+	3	233	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	140
+	137	145
+	135	147
+	4	141	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	135	147
+	3	141	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	145
+	141	140
+	142	139
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	140
+	142	139
+	3	137	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	139
+	135	147
+	137	145
+	4	142	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	137	145
+	3	142	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	145
+	143	139
+	142	139
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	142	139
+	3	137	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	161
+	149	159
+	149	160
+	4	146	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	149	160
+	3	146	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	157
+	149	160
+	149	159
+	4	150	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	160
+	149	159
+	3	150	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	161
+	149	160
+	149	159
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	160
+	149	159
+	3	147	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	160
+	147	161
+	146	161
+	4	149	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	146	161
+	3	149	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	181
+	181	169
+	179	174
+	4	189	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	169
+	179	174
+	3	189	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	164
+	179	174
+	181	169
+	4	173	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	174
+	181	169
+	3	173	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	181	169
+	171	167
+	173	164
+	4	181	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	167
+	173	164
+	3	181	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	167
+	181	169
+	179	174
+	4	171	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	169
+	179	174
+	3	171	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	153
+	159	147
+	159	149
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	147
+	159	149
+	3	165	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	149
+	166	156
+	165	153
+	4	159	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	156
+	165	153
+	3	159	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	165	153
+	159	152
+	159	149
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	152
+	159	149
+	3	165	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	152
+	165	153
+	166	156
+	4	159	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	166	156
+	3	159	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	159
+	150	156
+	150	157
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	150	157
+	3	149	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	157
+	150	157
+	150	156
+	4	149	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	157
+	150	156
+	3	149	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	157
+	149	157
+	149	159
+	4	150	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	157
+	149	159
+	3	150	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	237
+	76	249
+	63	233
+	4	45	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	249
+	63	233
+	3	45	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	241
+	63	233
+	76	249
+	4	89	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	233
+	76	249
+	3	89	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	256
+	63	233
+	76	249
+	4	61	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	233
+	76	249
+	3	61	256	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	233
+	61	256
+	45	237
+	4	63	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	256
+	45	237
+	3	63	233	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	161
+	149	157
+	149	159
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	157
+	149	159
+	3	147	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	156
+	149	159
+	149	157
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	149	157
+	3	150	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	160
+	149	159
+	149	157
+	4	148	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	149	157
+	3	148	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	159
+	148	160
+	147	161
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	160
+	147	161
+	3	149	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	159
+	146	161
+	147	161
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	161
+	147	161
+	3	149	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	164
+	147	161
+	146	161
+	4	143	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	146	161
+	3	143	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	164
+	146	161
+	147	161
+	4	145	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	161
+	147	161
+	3	145	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	161
+	145	164
+	143	164
+	4	146	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	164
+	143	164
+	3	146	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	188
+	243	206
+	250	190
+	4	233	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	206
+	250	190
+	3	233	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	206
+	233	188
+	227	200
+	4	243	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	188
+	227	200
+	3	243	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	194
+	233	188
+	227	200
+	4	212	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	188
+	227	200
+	3	212	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	190
+	227	200
+	233	188
+	4	250	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	200
+	233	188
+	3	250	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	189
+	130	170
+	133	173
+	4	127	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	170
+	133	173
+	3	127	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	157
+	150	155
+	150	156
+	4	149	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	156
+	3	149	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	156
+	150	156
+	150	155
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	150	155
+	3	150	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	156
+	150	156
+	149	157
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	149	157
+	3	150	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	156
+	128	166
+	130	170
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	130	170
+	3	136	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	166
+	136	156
+	135	154
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	135	154
+	3	128	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	154
+	130	170
+	128	166
+	4	135	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	170
+	128	166
+	3	135	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	166
+	134	151
+	135	154
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	135	154
+	3	128	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	140
+	135	147
+	134	149
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	134	149
+	3	140	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	147
+	140	140
+	141	140
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	141	140
+	3	135	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	140
+	134	149
+	135	147
+	4	141	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	149
+	135	147
+	3	141	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	147
+	142	139
+	141	140
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	139
+	141	140
+	3	135	147	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	173	164
+	166	156
+	165	159
+	4	173	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	156
+	165	159
+	3	173	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	174
+	173	164
+	171	167
+	4	179	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	164
+	171	167
+	3	179	174	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	165	159
+	171	167
+	173	164
+	4	165	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	167
+	173	164
+	3	165	159	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	173	164
+	164	161
+	165	159
+	4	173	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	161
+	165	159
+	3	173	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	161
+	173	164
+	171	167
+	4	164	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	164
+	171	167
+	3	164	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	166	156
+	159	149
+	159	152
+	4	166	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	149
+	159	152
+	3	166	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	159	152
+	165	159
+	166	156
+	4	159	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	159
+	166	156
+	3	159	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	166	156
+	159	154
+	159	152
+	4	166	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	154
+	159	152
+	3	166	156	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	159	154
+	166	156
+	165	159
+	4	159	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	156
+	165	159
+	3	159	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	160
+	150	156
+	149	157
+	4	148	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	149	157
+	3	148	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	155
+	149	157
+	150	156
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	157
+	150	156
+	3	150	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	159
+	149	157
+	150	156
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	157
+	150	156
+	3	149	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	157
+	149	159
+	148	160
+	4	149	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	148	160
+	3	149	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	157
+	147	161
+	148	160
+	4	149	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	148	160
+	3	149	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	164
+	148	160
+	147	161
+	4	145	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	160
+	147	161
+	3	145	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	164
+	147	161
+	148	160
+	4	147	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	148	160
+	3	147	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	161
+	147	164
+	145	164
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	164
+	145	164
+	3	147	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	161
+	143	164
+	145	164
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	164
+	145	164
+	3	147	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	156
+	150	153
+	150	155
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	150	155
+	3	150	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	155
+	150	155
+	150	153
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	153
+	3	150	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	155
+	150	155
+	150	156
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	156
+	3	150	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	167
+	145	164
+	143	164
+	4	139	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	164
+	143	164
+	3	139	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	168
+	143	164
+	145	164
+	4	142	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	164
+	145	164
+	3	142	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	164
+	142	168
+	139	167
+	4	143	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	168
+	139	167
+	3	143	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	138
+	154	142
+	152	140
+	4	151	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	152	140
+	3	151	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	142
+	151	138
+	152	139
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	138
+	152	139
+	3	154	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	139
+	152	140
+	154	142
+	4	152	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	140
+	154	142
+	3	152	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	139
+	156	143
+	154	142
+	4	152	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	143
+	154	142
+	3	152	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	142
+	153	141
+	152	139
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	152	139
+	3	154	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	141
+	154	142
+	156	143
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	156	143
+	3	153	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	143
+	152	139
+	153	141
+	4	156	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	139
+	153	141
+	3	156	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	141
+	157	145
+	156	143
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	145
+	156	143
+	3	153	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	143
+	154	142
+	153	141
+	4	156	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	153	141
+	3	156	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	142
+	156	143
+	157	145
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	143
+	157	145
+	3	154	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	159
+	150	155
+	150	156
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	156
+	3	149	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	150	156
+	150	155
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	150	155
+	3	150	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	158
+	150	156
+	150	155
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	156
+	150	155
+	3	151	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	156
+	151	158
+	149	159
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	149	159
+	3	150	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	156
+	148	160
+	149	159
+	4	150	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	160
+	149	159
+	3	150	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	137
+	152	140
+	150	139
+	4	150	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	140
+	150	139
+	3	150	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	140
+	150	137
+	151	138
+	4	152	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	137
+	151	138
+	3	152	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	138
+	150	139
+	152	140
+	4	151	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	139
+	152	140
+	3	151	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	140
+	152	139
+	151	138
+	4	152	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	139
+	151	138
+	3	152	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	164
+	149	159
+	148	160
+	4	147	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	148	160
+	3	147	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	163
+	148	160
+	149	159
+	4	149	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	160
+	149	159
+	3	149	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	160
+	149	163
+	147	164
+	4	148	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	163
+	147	164
+	3	148	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	160
+	145	164
+	147	164
+	4	148	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	164
+	147	164
+	3	148	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	145
+	153	141
+	154	142
+	4	157	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	154	142
+	3	157	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	142
+	159	147
+	157	145
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	147
+	157	145
+	3	154	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	145
+	154	144
+	154	142
+	4	157	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	154	142
+	3	157	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	144
+	157	145
+	159	147
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	145
+	159	147
+	3	154	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	136
+	150	139
+	147	139
+	4	149	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	139
+	147	139
+	3	149	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	139
+	149	136
+	150	137
+	4	150	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	136
+	150	137
+	3	150	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	137
+	147	139
+	150	139
+	4	150	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	139
+	150	139
+	3	150	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	139
+	151	138
+	150	137
+	4	150	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	138
+	150	137
+	3	150	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	155
+	150	152
+	150	153
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	152
+	150	153
+	3	150	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	150	153
+	150	152
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	150	152
+	3	150	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	150	153
+	150	155
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	150	155
+	3	150	153	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	165	159
+	159	152
+	159	154
+	4	165	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	152
+	159	154
+	3	165	159	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	171	167
+	165	159
+	164	161
+	4	171	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	159
+	164	161
+	3	171	167	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	159	154
+	164	161
+	165	159
+	4	159	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	161
+	165	159
+	3	159	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	159
+	158	156
+	159	154
+	4	165	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	156
+	159	154
+	3	165	159	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	158	156
+	165	159
+	164	161
+	4	158	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	159
+	164	161
+	3	158	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	147
+	154	142
+	154	144
+	4	159	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	154	144
+	3	159	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	144
+	159	149
+	159	147
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	149
+	159	147
+	3	154	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	147
+	155	146
+	154	144
+	4	159	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	154	144
+	3	159	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	146
+	159	147
+	159	149
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	147
+	159	149
+	3	155	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	190
+	261	211
+	268	192
+	4	250	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	211
+	268	192
+	3	250	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	211
+	250	190
+	243	206
+	4	261	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	190
+	243	206
+	3	261	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	200
+	250	190
+	243	206
+	4	227	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	190
+	243	206
+	3	227	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	192
+	243	206
+	250	190
+	4	268	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	206
+	250	190
+	3	268	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	141
+	134	149
+	134	151
+	4	140	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	149
+	134	151
+	3	140	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	149
+	140	141
+	140	140
+	4	134	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	141
+	140	140
+	3	134	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	140
+	134	151
+	134	149
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	134	149
+	3	140	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	149
+	141	140
+	140	140
+	4	134	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	140
+	140	140
+	3	134	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	168
+	147	164
+	145	164
+	4	142	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	164
+	145	164
+	3	142	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	169
+	145	164
+	147	164
+	4	145	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	164
+	147	164
+	3	145	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	164
+	145	169
+	142	168
+	4	145	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	169
+	142	168
+	3	145	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	164
+	139	167
+	142	168
+	4	145	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	167
+	142	168
+	3	145	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	158
+	150	153
+	150	155
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	150	155
+	3	151	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	152
+	150	155
+	150	153
+	4	150	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	153
+	3	150	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	157
+	150	155
+	150	153
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	153
+	3	152	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	155
+	152	157
+	151	158
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	151	158
+	3	150	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	155
+	149	159
+	151	158
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	151	158
+	3	150	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	157
+	130	170
+	133	173
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	170
+	133	173
+	3	138	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	170
+	138	157
+	136	156
+	4	130	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	136	156
+	3	130	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	156
+	133	173
+	130	170
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	173
+	130	170
+	3	136	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	170
+	135	154
+	136	156
+	4	130	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	154
+	136	156
+	3	130	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	163
+	151	158
+	149	159
+	4	149	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	149	159
+	3	149	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	163
+	149	159
+	151	158
+	4	151	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	151	158
+	3	151	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	159
+	151	163
+	149	163
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	163
+	149	163
+	3	149	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	159
+	147	164
+	149	163
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	164
+	149	163
+	3	149	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	149
+	154	144
+	155	146
+	4	159	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	155	146
+	3	159	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	146
+	159	152
+	159	149
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	152
+	159	149
+	3	155	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	149
+	155	148
+	155	146
+	4	159	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	148
+	155	146
+	3	159	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	148
+	159	149
+	159	152
+	4	155	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	149
+	159	152
+	3	155	148	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	135
+	147	139
+	145	139
+	4	147	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	139
+	145	139
+	3	147	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	139
+	147	135
+	149	136
+	4	147	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	135
+	149	136
+	3	147	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	136
+	145	139
+	147	139
+	4	149	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	139
+	147	139
+	3	149	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	139
+	150	137
+	149	136
+	4	147	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	137
+	149	136
+	3	147	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	174
+	183	186
+	189	181
+	4	179	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	186
+	189	181
+	3	179	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	186
+	179	174
+	175	178
+	4	183	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	174
+	175	178
+	3	183	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	171	167
+	175	178
+	179	174
+	4	171	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	178
+	179	174
+	3	171	167	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	179	174
+	168	171
+	171	167
+	4	179	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	171
+	171	167
+	3	179	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	171
+	179	174
+	175	178
+	4	168	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	174
+	175	178
+	3	168	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	181
+	175	178
+	179	174
+	4	189	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	178
+	179	174
+	3	189	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	178
+	171	167
+	168	171
+	4	175	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	167
+	168	171
+	3	175	178	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	164	161
+	168	171
+	171	167
+	4	164	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	171
+	171	167
+	3	164	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	171	167
+	162	164
+	164	161
+	4	171	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	164
+	164	161
+	3	171	167	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	164
+	171	167
+	168	171
+	4	162	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	167
+	168	171
+	3	162	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	150	150
+	150	152
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	150
+	150	152
+	3	150	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	152
+	150	152
+	150	150
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	152
+	150	150
+	3	151	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	152
+	151	152
+	150	153
+	4	150	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	150	153
+	3	150	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	181
+	193	194
+	200	187
+	4	189	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	194
+	200	187
+	3	189	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	194
+	189	181
+	183	186
+	4	193	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	181
+	183	186
+	3	193	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	178
+	189	181
+	183	186
+	4	175	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	181
+	183	186
+	3	175	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	200	187
+	183	186
+	189	181
+	4	200	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	186
+	189	181
+	3	200	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	152
+	155	146
+	155	148
+	4	159	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	155	148
+	3	159	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	148
+	159	154
+	159	152
+	4	155	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	154
+	159	152
+	3	155	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	152
+	155	150
+	155	148
+	4	159	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	150
+	155	148
+	3	159	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	150
+	159	152
+	159	154
+	4	155	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	152
+	159	154
+	3	155	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	163
+	152	157
+	151	158
+	4	151	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	151	158
+	3	151	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	153
+	151	158
+	152	157
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	152	157
+	3	150	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	161
+	151	158
+	152	157
+	4	153	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	152	157
+	3	153	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	158
+	153	161
+	151	163
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	161
+	151	163
+	3	151	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	158
+	149	163
+	151	163
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	163
+	151	163
+	3	151	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	45	237
+	15	214
+	25	239
+	4	45	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	214
+	25	239
+	3	45	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	157
+	151	152
+	150	153
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	150	153
+	3	152	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	150
+	150	153
+	151	152
+	4	150	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	151	152
+	3	150	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	155
+	150	153
+	151	152
+	4	153	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	151	152
+	3	153	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	153
+	153	155
+	152	157
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	155
+	152	157
+	3	150	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	171
+	142	168
+	139	167
+	4	133	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	168
+	139	167
+	3	133	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	173
+	139	167
+	142	168
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	167
+	142	168
+	3	137	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	167
+	137	173
+	133	171
+	4	139	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	133	171
+	3	139	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	169
+	149	163
+	147	164
+	4	145	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	163
+	147	164
+	3	145	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	169
+	147	164
+	149	163
+	4	148	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	164
+	149	163
+	3	148	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	164
+	148	169
+	145	169
+	4	147	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	169
+	145	169
+	3	147	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	164
+	142	168
+	145	169
+	4	147	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	168
+	145	169
+	3	147	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	161
+	159	154
+	158	156
+	4	164	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	154
+	158	156
+	3	164	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	171
+	164	161
+	162	164
+	4	168	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	161
+	162	164
+	3	168	171	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	158	156
+	162	164
+	164	161
+	4	158	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	164
+	164	161
+	3	158	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	161
+	157	158
+	158	156
+	4	164	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	158
+	158	156
+	3	164	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	157	158
+	164	161
+	162	164
+	4	157	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	161
+	162	164
+	3	157	158	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	147	134
+	145	139
+	143	139
+	4	147	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	139
+	143	139
+	3	147	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	145	139
+	147	134
+	147	135
+	4	145	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	134
+	147	135
+	3	145	139	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	147	135
+	143	139
+	145	139
+	4	147	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	145	139
+	3	147	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	139
+	149	136
+	147	135
+	4	145	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	136
+	147	135
+	3	145	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	154
+	155	148
+	155	150
+	4	159	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	148
+	155	150
+	3	159	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	150
+	158	156
+	159	154
+	4	155	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	156
+	159	154
+	3	155	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	154
+	154	152
+	155	150
+	4	159	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	152
+	155	150
+	3	159	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	152
+	159	154
+	158	156
+	4	154	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	154
+	158	156
+	3	154	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	161
+	153	155
+	152	157
+	4	153	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	155
+	152	157
+	3	153	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	152
+	152	157
+	153	155
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	153	155
+	3	151	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	160
+	152	157
+	153	155
+	4	155	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	153	155
+	3	155	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	157
+	155	160
+	153	161
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	160
+	153	161
+	3	152	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	157
+	151	163
+	153	161
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	163
+	153	161
+	3	152	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	152
+	150	149
+	150	150
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	149
+	150	150
+	3	151	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	150
+	150	150
+	150	149
+	4	151	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	150
+	150	149
+	3	151	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	150
+	151	150
+	151	152
+	4	150	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	150
+	151	152
+	3	150	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	155
+	151	150
+	151	152
+	4	153	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	150
+	151	152
+	3	153	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	149
+	151	152
+	151	150
+	4	150	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	151	150
+	3	150	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	153
+	151	152
+	151	150
+	4	154	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	151	150
+	3	154	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	152
+	154	153
+	153	155
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	153
+	153	155
+	3	151	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	169
+	151	163
+	149	163
+	4	148	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	163
+	149	163
+	3	148	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	169
+	149	163
+	151	163
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	163
+	151	163
+	3	152	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	163
+	152	169
+	148	169
+	4	149	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	148	169
+	3	149	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	163
+	145	169
+	148	169
+	4	149	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	169
+	148	169
+	3	149	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	156
+	155	150
+	154	152
+	4	158	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	150
+	154	152
+	3	158	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	164
+	158	156
+	157	158
+	4	162	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	156
+	157	158
+	3	162	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	152
+	157	158
+	158	156
+	4	154	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	158
+	158	156
+	3	154	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	156
+	154	153
+	154	152
+	4	158	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	153
+	154	152
+	3	158	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	153
+	158	156
+	157	158
+	4	154	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	156
+	157	158
+	3	154	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	142
+	134	151
+	135	154
+	4	141	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	135	154
+	3	141	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	151
+	141	142
+	140	141
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	142
+	140	141
+	3	134	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	141
+	135	154
+	134	151
+	4	140	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	154
+	134	151
+	3	140	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	151
+	140	140
+	140	141
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	140	141
+	3	134	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	160
+	154	153
+	153	155
+	4	155	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	153
+	153	155
+	3	155	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	150
+	153	155
+	154	153
+	4	151	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	155
+	154	153
+	3	151	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	158
+	153	155
+	154	153
+	4	157	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	155
+	154	153
+	3	157	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	155
+	157	158
+	155	160
+	4	153	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	158
+	155	160
+	3	153	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	155
+	153	161
+	155	160
+	4	153	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	161
+	155	160
+	3	153	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	200	187
+	204	203
+	212	194
+	4	200	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	203
+	212	194
+	3	200	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	203
+	200	187
+	193	194
+	4	204	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	187
+	193	194
+	3	204	203	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	186
+	200	187
+	193	194
+	4	183	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	187
+	193	194
+	3	183	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	212	194
+	193	194
+	200	187
+	4	212	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	194
+	200	187
+	3	212	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	173
+	136	156
+	138	157
+	4	133	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	138	157
+	3	133	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	169
+	153	161
+	151	163
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	161
+	151	163
+	3	152	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	168
+	151	163
+	153	161
+	4	156	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	163
+	153	161
+	3	156	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	163
+	156	168
+	152	169
+	4	151	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	168
+	152	169
+	3	151	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	163
+	148	169
+	152	169
+	4	151	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	169
+	152	169
+	3	151	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	158
+	154	152
+	154	153
+	4	157	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	152
+	154	153
+	3	157	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	158
+	159	166
+	162	164
+	4	157	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	166
+	162	164
+	3	157	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	166
+	157	158
+	155	160
+	4	159	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	158
+	155	160
+	3	159	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	153
+	155	160
+	157	158
+	4	154	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	160
+	157	158
+	3	154	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	164
+	155	160
+	157	158
+	4	162	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	160
+	157	158
+	3	162	164	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	134
+	143	139
+	142	139
+	4	146	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	142	139
+	3	146	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	143	139
+	146	134
+	147	134
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	134
+	147	134
+	3	143	139	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	134
+	142	139
+	143	139
+	4	147	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	139
+	143	139
+	3	147	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	143	139
+	147	135
+	147	134
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	135
+	147	134
+	3	143	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	164
+	164	173
+	168	171
+	4	162	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	173
+	168	171
+	3	162	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	173
+	162	164
+	159	166
+	4	164	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	164
+	159	166
+	3	164	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	160
+	162	164
+	159	166
+	4	155	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	164
+	159	166
+	3	155	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	171
+	159	166
+	162	164
+	4	168	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	166
+	162	164
+	3	168	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	149
+	154	153
+	154	152
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	153
+	154	152
+	3	151	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	153
+	151	149
+	151	150
+	4	154	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	151	150
+	3	154	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	150
+	154	152
+	154	153
+	4	151	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	152
+	154	153
+	3	151	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	173
+	145	169
+	142	168
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	169
+	142	168
+	3	137	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	175
+	142	168
+	145	169
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	168
+	145	169
+	3	142	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	168
+	142	175
+	137	173
+	4	142	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	137	173
+	3	142	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	168
+	133	171
+	137	173
+	4	142	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	171
+	137	173
+	3	142	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	160
+	156	168
+	159	166
+	4	155	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	168
+	159	166
+	3	155	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	168
+	155	160
+	153	161
+	4	156	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	160
+	153	161
+	3	156	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	166
+	153	161
+	155	160
+	4	159	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	161
+	155	160
+	3	159	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	161
+	159	166
+	156	168
+	4	153	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	166
+	156	168
+	3	153	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	161
+	152	169
+	156	168
+	4	153	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	156	168
+	3	153	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	147
+	151	150
+	151	149
+	4	150	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	150
+	151	149
+	3	150	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	150
+	150	147
+	150	149
+	4	151	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	147
+	150	149
+	3	151	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	149
+	151	149
+	151	150
+	4	150	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	151	150
+	3	150	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	152
+	151	150
+	151	149
+	4	154	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	150
+	151	149
+	3	154	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	149
+	150	149
+	150	147
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	149
+	150	147
+	3	151	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	147
+	154	152
+	155	150
+	4	152	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	152
+	155	150
+	3	152	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	152
+	152	147
+	151	149
+	4	154	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	147
+	151	149
+	3	154	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	149
+	155	150
+	154	152
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	150
+	154	152
+	3	151	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	171
+	169	181
+	175	178
+	4	168	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	175	178
+	3	168	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	181
+	168	171
+	164	173
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	171
+	164	173
+	3	169	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	166
+	168	171
+	164	173
+	4	159	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	171
+	164	173
+	3	159	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	178
+	164	173
+	168	171
+	4	175	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	173
+	168	171
+	3	175	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	145
+	155	150
+	155	148
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	150
+	155	148
+	3	152	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	150
+	152	145
+	152	147
+	4	155	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	152	147
+	3	155	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	147
+	155	148
+	155	150
+	4	152	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	148
+	155	150
+	3	152	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	150
+	151	149
+	152	147
+	4	155	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	152	147
+	3	155	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	144
+	155	148
+	155	146
+	4	152	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	148
+	155	146
+	3	152	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	148
+	152	144
+	152	145
+	4	155	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	144
+	152	145
+	3	155	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	145
+	155	146
+	155	148
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	155	148
+	3	152	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	148
+	152	147
+	152	145
+	4	155	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	147
+	152	145
+	3	155	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	146
+	151	149
+	152	147
+	4	150	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	152	147
+	3	150	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	149
+	150	146
+	150	147
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	146
+	150	147
+	3	151	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	147
+	152	147
+	151	149
+	4	150	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	147
+	151	149
+	3	150	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	142
+	155	146
+	154	144
+	4	151	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	154	144
+	3	151	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	146
+	151	142
+	152	144
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	142
+	152	144
+	3	155	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	144
+	154	144
+	155	146
+	4	152	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	155	146
+	3	152	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	146
+	152	145
+	152	144
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	152	144
+	3	155	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	268	192
+	281	217
+	289	194
+	4	268	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	217
+	289	194
+	3	268	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	281	217
+	268	192
+	261	211
+	4	281	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	192
+	261	211
+	3	281	217	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	206
+	268	192
+	261	211
+	4	243	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	192
+	261	211
+	3	243	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	289	194
+	261	211
+	268	192
+	4	289	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	211
+	268	192
+	3	289	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	166
+	159	175
+	164	173
+	4	159	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	175
+	164	173
+	3	159	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	175
+	159	166
+	156	168
+	4	159	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	166
+	156	168
+	3	159	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	173
+	156	168
+	159	166
+	4	164	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	168
+	159	166
+	3	164	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	175
+	148	169
+	145	169
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	169
+	145	169
+	3	142	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	176
+	145	169
+	148	169
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	169
+	148	169
+	3	148	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	169
+	148	176
+	142	175
+	4	145	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	142	175
+	3	145	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	169
+	137	173
+	142	175
+	4	145	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	142	175
+	3	145	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	141
+	154	144
+	154	142
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	154	142
+	3	151	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	144
+	151	141
+	151	142
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	151	142
+	3	154	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	142
+	154	142
+	154	144
+	4	151	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	154	144
+	3	151	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	144
+	152	144
+	151	142
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	144
+	151	142
+	3	154	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	147
+	150	147
+	150	146
+	4	152	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	147
+	150	146
+	3	152	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	133
+	142	139
+	141	140
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	139
+	141	140
+	3	145	133	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	142	139
+	145	133
+	146	134
+	4	142	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	146	134
+	3	142	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	134
+	141	140
+	142	139
+	4	146	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	140
+	142	139
+	3	146	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	142	139
+	147	134
+	146	134
+	4	142	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	134
+	146	134
+	3	142	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	176
+	137	173
+	133	171
+	4	126	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	133	171
+	3	126	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	180
+	133	171
+	137	173
+	4	132	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	171
+	137	173
+	3	132	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	171
+	132	180
+	126	176
+	4	133	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	180
+	126	176
+	3	133	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	139
+	154	142
+	153	141
+	4	151	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	153	141
+	3	151	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	142
+	151	139
+	151	141
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	139
+	151	141
+	3	154	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	141
+	153	141
+	154	142
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	154	142
+	3	151	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	142
+	151	142
+	151	141
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	142
+	151	141
+	3	154	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	178
+	176	190
+	183	186
+	4	175	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	190
+	183	186
+	3	175	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	190
+	175	178
+	169	181
+	4	176	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	178
+	169	181
+	3	176	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	173
+	175	178
+	169	181
+	4	164	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	178
+	169	181
+	3	164	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	186
+	169	181
+	175	178
+	4	183	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	175	178
+	3	183	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	168
+	164	173
+	159	175
+	4	156	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	173
+	159	175
+	3	156	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	168
+	153	176
+	159	175
+	4	156	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	176
+	159	175
+	3	156	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	176
+	156	168
+	152	169
+	4	153	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	168
+	152	169
+	3	153	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	175
+	152	169
+	156	168
+	4	159	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	156	168
+	3	159	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	143
+	135	154
+	136	156
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	154
+	136	156
+	3	142	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	154
+	142	143
+	141	142
+	4	135	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	141	142
+	3	135	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	142
+	136	156
+	135	154
+	4	141	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	135	154
+	3	141	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	154
+	140	141
+	141	142
+	4	135	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	141
+	141	142
+	3	135	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	176
+	152	169
+	148	169
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	148	169
+	3	148	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	176
+	148	169
+	152	169
+	4	153	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	169
+	152	169
+	3	153	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	169
+	153	176
+	148	176
+	4	148	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	176
+	148	176
+	3	148	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	169
+	142	175
+	148	176
+	4	148	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	148	176
+	3	148	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	144
+	152	147
+	152	145
+	4	150	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	147
+	152	145
+	3	150	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	147
+	150	144
+	150	146
+	4	152	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	144
+	150	146
+	3	152	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	146
+	152	145
+	152	147
+	4	150	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	152	147
+	3	150	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	137
+	153	141
+	152	139
+	4	151	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	152	139
+	3	151	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	141
+	151	137
+	151	139
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	137
+	151	139
+	3	153	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	139
+	152	139
+	153	141
+	4	151	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	139
+	153	141
+	3	151	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	141
+	151	141
+	151	139
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	151	139
+	3	153	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	169
+	159	175
+	153	176
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	175
+	153	176
+	3	152	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	169
+	148	176
+	153	176
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	153	176
+	3	152	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	194
+	216	211
+	227	200
+	4	212	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	211
+	227	200
+	3	212	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	211
+	212	194
+	204	203
+	4	216	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	194
+	204	203
+	3	216	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	193	194
+	212	194
+	204	203
+	4	193	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	194
+	204	203
+	3	193	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	200
+	204	203
+	212	194
+	4	227	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	203
+	212	194
+	3	227	200	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	145
+	150	146
+	150	144
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	146
+	150	144
+	3	152	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	136
+	152	139
+	151	138
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	139
+	151	138
+	3	150	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	139
+	150	136
+	151	137
+	4	152	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	151	137
+	3	152	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	137
+	151	138
+	152	139
+	4	151	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	138
+	152	139
+	3	151	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	139
+	151	139
+	151	137
+	4	152	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	139
+	151	137
+	3	152	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	239
+	61	256
+	45	237
+	4	25	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	256
+	45	237
+	3	25	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	249
+	45	237
+	61	256
+	4	76	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	237
+	61	256
+	3	76	249	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	261
+	45	237
+	61	256
+	4	43	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	237
+	61	256
+	3	43	261	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	237
+	43	261
+	25	239
+	4	45	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	261
+	25	239
+	3	45	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	173
+	162	183
+	169	181
+	4	164	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	169	181
+	3	164	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	183
+	164	173
+	159	175
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	173
+	159	175
+	3	162	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	181
+	159	175
+	164	173
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	175
+	164	173
+	3	169	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	143
+	152	145
+	152	144
+	4	150	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	152	144
+	3	150	143	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	145
+	150	143
+	150	144
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	143
+	150	144
+	3	152	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	144
+	152	144
+	152	145
+	4	150	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	144
+	152	145
+	3	150	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	133
+	141	140
+	140	140
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	140
+	140	140
+	3	145	133	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	141	140
+	145	133
+	145	133
+	4	141	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	133
+	3	141	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	133
+	140	140
+	141	140
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	141	140
+	3	145	133	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	141	140
+	146	134
+	145	133
+	4	141	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	134
+	145	133
+	3	141	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	135
+	151	138
+	150	137
+	4	150	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	138
+	150	137
+	3	150	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	138
+	150	135
+	150	136
+	4	151	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	135
+	150	136
+	3	151	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	136
+	150	137
+	151	138
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	137
+	151	138
+	3	150	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	138
+	151	137
+	150	136
+	4	151	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	137
+	150	136
+	3	151	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	180
+	142	175
+	137	173
+	4	132	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	137	173
+	3	132	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	182
+	137	173
+	142	175
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	142	175
+	3	139	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	173
+	139	182
+	132	180
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	132	180
+	3	137	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	173
+	126	176
+	132	180
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	176
+	132	180
+	3	137	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	141
+	152	144
+	151	142
+	4	150	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	144
+	151	142
+	3	150	141	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	144
+	150	141
+	150	143
+	4	152	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	141
+	150	143
+	3	152	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	143
+	151	142
+	152	144
+	4	150	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	142
+	152	144
+	3	150	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	144
+	150	144
+	150	143
+	4	152	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	144
+	150	143
+	3	152	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	186
+	183	200
+	193	194
+	4	183	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	200
+	193	194
+	3	183	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	200
+	183	186
+	176	190
+	4	183	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	186
+	176	190
+	3	183	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	181
+	183	186
+	176	190
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	186
+	176	190
+	3	169	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	194
+	176	190
+	183	186
+	4	193	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	190
+	183	186
+	3	193	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	143
+	136	156
+	138	157
+	4	143	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	138	157
+	3	143	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	156
+	143	143
+	142	143
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	143
+	142	143
+	3	136	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	143
+	138	157
+	136	156
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	136	156
+	3	142	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	156
+	141	142
+	142	143
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	142
+	142	143
+	3	136	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	133
+	150	137
+	149	136
+	4	149	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	137
+	149	136
+	3	149	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	137
+	149	133
+	150	135
+	4	150	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	133
+	150	135
+	3	150	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	135
+	149	136
+	150	137
+	4	150	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	136
+	150	137
+	3	150	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	137
+	150	136
+	150	135
+	4	150	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	150	135
+	3	150	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	175
+	169	181
+	162	183
+	4	159	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	162	183
+	3	159	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	175
+	155	184
+	162	183
+	4	159	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	184
+	162	183
+	3	159	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	184
+	159	175
+	153	176
+	4	155	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	175
+	153	176
+	3	155	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	183
+	153	176
+	159	175
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	176
+	159	175
+	3	162	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	140
+	151	142
+	151	141
+	4	150	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	142
+	151	141
+	3	150	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	151	142
+	150	140
+	150	141
+	4	151	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	140
+	150	141
+	3	151	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	141
+	151	141
+	151	142
+	4	150	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	151	142
+	3	150	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	151	142
+	150	143
+	150	141
+	4	151	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	143
+	150	141
+	3	151	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	182
+	148	176
+	142	175
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	142	175
+	3	139	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	184
+	142	175
+	148	176
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	148	176
+	3	147	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	175
+	147	184
+	139	182
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	139	182
+	3	142	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	175
+	132	180
+	139	182
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	180
+	139	182
+	3	142	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	181
+	166	193
+	176	190
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	193
+	176	190
+	3	169	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	193
+	169	181
+	162	183
+	4	166	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	162	183
+	3	166	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	190
+	162	183
+	169	181
+	4	176	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	169	181
+	3	176	190	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	149	132
+	149	136
+	147	135
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	136
+	147	135
+	3	149	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	136
+	149	132
+	149	133
+	4	149	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	149	133
+	3	149	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	133
+	147	135
+	149	136
+	4	149	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	135
+	149	136
+	3	149	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	136
+	150	135
+	149	133
+	4	149	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	135
+	149	133
+	3	149	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	132
+	140	140
+	140	141
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	140	141
+	3	145	132	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	140
+	145	132
+	145	133
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	145	133
+	3	140	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	133
+	140	141
+	140	140
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	141
+	140	140
+	3	145	133	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	140
+	145	133
+	145	133
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	133
+	3	140	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	176
+	162	183
+	155	184
+	4	153	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	155	184
+	3	153	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	176
+	147	184
+	155	184
+	4	153	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	155	184
+	3	153	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	184
+	153	176
+	148	176
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	176
+	148	176
+	3	147	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	184
+	148	176
+	153	176
+	4	155	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	153	176
+	3	155	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	176
+	155	184
+	147	184
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	184
+	147	184
+	3	148	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	176
+	139	182
+	147	184
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	147	184
+	3	148	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	138
+	151	141
+	151	139
+	4	150	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	151	139
+	3	150	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	151	141
+	150	138
+	150	140
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	138
+	150	140
+	3	151	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	140
+	151	139
+	151	141
+	4	150	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	139
+	151	141
+	3	150	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	141
+	150	141
+	150	140
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	141
+	150	140
+	3	151	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	181
+	132	180
+	126	176
+	4	118	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	180
+	126	176
+	3	118	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	187
+	126	176
+	132	180
+	4	126	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	176
+	132	180
+	3	126	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	176
+	126	187
+	118	181
+	4	126	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	187
+	118	181
+	3	126	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	200
+	231	220
+	243	206
+	4	227	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	220
+	243	206
+	3	227	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	220
+	227	200
+	216	211
+	4	231	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	200
+	216	211
+	3	231	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	203
+	227	200
+	216	211
+	4	204	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	200
+	216	211
+	3	204	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	206
+	216	211
+	227	200
+	4	243	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	211
+	227	200
+	3	243	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	157
+	142	143
+	143	143
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	143	143
+	3	138	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	211
+	289	194
+	281	217
+	4	261	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	194
+	281	217
+	3	261	211	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	149	131
+	147	135
+	147	134
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	135
+	147	134
+	3	149	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	135
+	149	131
+	149	132
+	4	147	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	149	132
+	3	147	135	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	149	132
+	147	134
+	147	135
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	134
+	147	135
+	3	149	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	135
+	149	133
+	149	132
+	4	147	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	133
+	149	132
+	3	147	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	136
+	151	139
+	151	137
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	139
+	151	137
+	3	150	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	139
+	150	136
+	150	138
+	4	151	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	150	138
+	3	151	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	138
+	151	137
+	151	139
+	4	150	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	137
+	151	139
+	3	150	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	139
+	150	140
+	150	138
+	4	151	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	140
+	150	138
+	3	151	139	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	193	194
+	192	210
+	204	203
+	4	193	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	204	203
+	3	193	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	210
+	193	194
+	183	200
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	194
+	183	200
+	3	192	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	190
+	193	194
+	183	200
+	4	176	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	194
+	183	200
+	3	176	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	203
+	183	200
+	193	194
+	4	204	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	200
+	193	194
+	3	204	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	132
+	140	141
+	141	142
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	141
+	141	142
+	3	145	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	140	141
+	145	132
+	145	132
+	4	140	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	145	132
+	3	140	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	132
+	141	142
+	140	141
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	142
+	140	141
+	3	145	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	140	141
+	145	133
+	145	132
+	4	140	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	132
+	3	140	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	135
+	151	137
+	150	136
+	4	150	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	137
+	150	136
+	3	150	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	137
+	150	135
+	150	136
+	4	151	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	135
+	150	136
+	3	151	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	136
+	150	136
+	151	137
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	151	137
+	3	150	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	137
+	150	138
+	150	136
+	4	151	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	138
+	150	136
+	3	151	137	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	148	129
+	147	134
+	146	134
+	4	148	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	134
+	146	134
+	3	148	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	134
+	148	129
+	149	131
+	4	147	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	129
+	149	131
+	3	147	134	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	149	131
+	146	134
+	147	134
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	134
+	147	134
+	3	149	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	147	134
+	149	132
+	149	131
+	4	147	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	149	131
+	3	147	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	183
+	176	190
+	166	193
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	190
+	166	193
+	3	162	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	183
+	156	194
+	166	193
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	166	193
+	3	162	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	194
+	162	183
+	155	184
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	155	184
+	3	156	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	193
+	155	184
+	162	183
+	4	166	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	184
+	162	183
+	3	166	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	187
+	139	182
+	132	180
+	4	126	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	132	180
+	3	126	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	191
+	132	180
+	139	182
+	4	136	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	180
+	139	182
+	3	136	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	180
+	136	191
+	126	187
+	4	132	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	191
+	126	187
+	3	132	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	180
+	118	181
+	126	187
+	4	132	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	181
+	126	187
+	3	132	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	133
+	150	136
+	150	135
+	4	150	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	150	135
+	3	150	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	136
+	150	133
+	150	135
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	133
+	150	135
+	3	150	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	135
+	150	135
+	150	136
+	4	150	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	135
+	150	136
+	3	150	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	136
+	150	136
+	150	135
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	150	135
+	3	150	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	190
+	171	203
+	183	200
+	4	176	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	203
+	183	200
+	3	176	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	203
+	176	190
+	166	193
+	4	171	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	190
+	166	193
+	3	171	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	200
+	166	193
+	176	190
+	4	183	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	193
+	176	190
+	3	183	200	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	148	128
+	146	134
+	145	133
+	4	148	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	134
+	145	133
+	3	148	128	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	146	134
+	148	128
+	148	129
+	4	146	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	128
+	148	129
+	3	146	134	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	148	129
+	145	133
+	146	134
+	4	148	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	146	134
+	3	148	129	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	146	134
+	149	131
+	148	129
+	4	146	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	148	129
+	3	146	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	132
+	141	142
+	142	143
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	142
+	142	143
+	3	146	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	142
+	146	132
+	145	132
+	4	141	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	145	132
+	3	141	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	132
+	142	143
+	141	142
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	141	142
+	3	145	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	141	142
+	145	132
+	145	132
+	4	141	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	145	132
+	3	141	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	184
+	166	193
+	156	194
+	4	155	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	193
+	156	194
+	3	155	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	184
+	146	193
+	156	194
+	4	155	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	193
+	156	194
+	3	155	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	193
+	155	184
+	147	184
+	4	146	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	184
+	147	184
+	3	146	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	194
+	147	184
+	155	184
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	155	184
+	3	156	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	191
+	147	184
+	139	182
+	4	136	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	139	182
+	3	136	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	193
+	139	182
+	147	184
+	4	146	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	147	184
+	3	146	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	182
+	146	193
+	136	191
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	193
+	136	191
+	3	139	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	182
+	126	187
+	136	191
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	187
+	136	191
+	3	139	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	132
+	150	135
+	149	133
+	4	150	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	135
+	149	133
+	3	150	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	135
+	150	132
+	150	133
+	4	150	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	132
+	150	133
+	3	150	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	133
+	149	133
+	150	135
+	4	150	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	133
+	150	135
+	3	150	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	135
+	150	135
+	150	133
+	4	150	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	135
+	150	133
+	3	150	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	184
+	156	194
+	146	193
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	146	193
+	3	147	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	184
+	136	191
+	146	193
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	191
+	146	193
+	3	147	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	188
+	126	187
+	118	181
+	4	109	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	187
+	118	181
+	3	109	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	195
+	118	181
+	126	187
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	181
+	126	187
+	3	119	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	181
+	119	195
+	109	188
+	4	118	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	109	188
+	3	118	181	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	127
+	145	133
+	145	133
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	133
+	3	148	127	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	133
+	148	127
+	148	128
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	148	128
+	3	145	133	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	128
+	145	133
+	145	133
+	4	148	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	133
+	3	148	128	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	145	133
+	148	129
+	148	128
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	129
+	148	128
+	3	145	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	130
+	149	133
+	149	132
+	4	150	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	133
+	149	132
+	3	150	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	133
+	150	130
+	150	132
+	4	149	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	130
+	150	132
+	3	149	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	132
+	149	132
+	149	133
+	4	150	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	149	133
+	3	150	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	133
+	150	133
+	150	132
+	4	149	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	133
+	150	132
+	3	149	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	131
+	142	143
+	143	143
+	4	146	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	143
+	143	143
+	3	146	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	143
+	146	131
+	146	132
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	131
+	146	132
+	3	142	143	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	132
+	143	143
+	142	143
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	143
+	142	143
+	3	146	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	143
+	145	132
+	146	132
+	4	142	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	146	132
+	3	142	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	206
+	247	229
+	261	211
+	4	243	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	229
+	261	211
+	3	243	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	229
+	243	206
+	231	220
+	4	247	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	206
+	231	220
+	3	247	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	211
+	243	206
+	231	220
+	4	216	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	206
+	231	220
+	3	216	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	211
+	231	220
+	243	206
+	4	261	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	220
+	243	206
+	3	261	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	203
+	202	220
+	216	211
+	4	204	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	220
+	216	211
+	3	204	203	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	202	220
+	204	203
+	192	210
+	4	202	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	203
+	192	210
+	3	202	220	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	200
+	204	203
+	192	210
+	4	183	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	203
+	192	210
+	3	183	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	211
+	192	210
+	204	203
+	4	216	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	204	203
+	3	216	211	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	129
+	149	132
+	149	131
+	4	150	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	149	131
+	3	150	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	132
+	150	129
+	150	130
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	129
+	150	130
+	3	149	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	130
+	149	131
+	149	132
+	4	150	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	149	132
+	3	150	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	132
+	150	132
+	150	130
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	132
+	150	130
+	3	149	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	126
+	145	133
+	145	132
+	4	148	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	132
+	3	148	126	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	133
+	148	126
+	148	127
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	126
+	148	127
+	3	145	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	127
+	145	132
+	145	133
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	145	133
+	3	148	127	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	133
+	148	128
+	148	127
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	128
+	148	127
+	3	145	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	193
+	183	200
+	171	203
+	4	166	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	200
+	171	203
+	3	166	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	193
+	158	205
+	171	203
+	4	166	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	205
+	171	203
+	3	166	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	205
+	166	193
+	156	194
+	4	158	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	193
+	156	194
+	3	158	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	203
+	156	194
+	166	193
+	4	171	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	166	193
+	3	171	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	143
+	146	132
+	146	131
+	4	143	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	146	131
+	3	143	143	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	150	127
+	149	131
+	148	129
+	4	150	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	148	129
+	3	150	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	131
+	150	127
+	150	129
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	127
+	150	129
+	3	149	131	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	129
+	148	129
+	149	131
+	4	150	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	129
+	149	131
+	3	150	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	131
+	150	130
+	150	129
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	130
+	150	129
+	3	149	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	200
+	177	215
+	192	210
+	4	183	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	215
+	192	210
+	3	183	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	215
+	183	200
+	171	203
+	4	177	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	200
+	171	203
+	3	177	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	210
+	171	203
+	183	200
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	203
+	183	200
+	3	192	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	195
+	136	191
+	126	187
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	191
+	126	187
+	3	119	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	201
+	126	187
+	136	191
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	187
+	136	191
+	3	131	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	187
+	131	201
+	119	195
+	4	126	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	119	195
+	3	126	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	187
+	109	188
+	119	195
+	4	126	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	188
+	119	195
+	3	126	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	125
+	145	132
+	145	132
+	4	148	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	145	132
+	3	148	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	132
+	148	125
+	148	126
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	125
+	148	126
+	3	145	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	126
+	145	132
+	145	132
+	4	148	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	145	132
+	3	148	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	132
+	148	127
+	148	126
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	148	126
+	3	145	132	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	150	126
+	148	129
+	148	128
+	4	150	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	129
+	148	128
+	3	150	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	129
+	150	126
+	150	127
+	4	148	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	126
+	150	127
+	3	148	129	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	150	127
+	148	128
+	148	129
+	4	150	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	128
+	148	129
+	3	150	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	129
+	150	129
+	150	127
+	4	148	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	129
+	150	127
+	3	148	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	194
+	171	203
+	158	205
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	203
+	158	205
+	3	156	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	194
+	145	204
+	158	205
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	204
+	158	205
+	3	156	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	204
+	156	194
+	146	193
+	4	145	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	146	193
+	3	145	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	205
+	146	193
+	156	194
+	4	158	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	193
+	156	194
+	3	158	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	256
+	25	239
+	43	261
+	4	61	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	239
+	43	261
+	3	61	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	201
+	146	193
+	136	191
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	193
+	136	191
+	3	131	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	204
+	136	191
+	146	193
+	4	145	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	191
+	146	193
+	3	145	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	191
+	145	204
+	131	201
+	4	136	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	204
+	131	201
+	3	136	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	191
+	119	195
+	131	201
+	4	136	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	131	201
+	3	136	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	124
+	145	132
+	146	132
+	4	148	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	146	132
+	3	148	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	132
+	148	124
+	148	125
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	124
+	148	125
+	3	145	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	125
+	146	132
+	145	132
+	4	148	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	145	132
+	3	148	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	132
+	148	126
+	148	125
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	126
+	148	125
+	3	145	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	195
+	119	195
+	109	188
+	4	98	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	109	188
+	3	98	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	205
+	109	188
+	119	195
+	4	111	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	188
+	119	195
+	3	111	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	188
+	111	205
+	98	195
+	4	109	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	205
+	98	195
+	3	109	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	193
+	158	205
+	145	204
+	4	146	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	205
+	145	204
+	3	146	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	193
+	131	201
+	145	204
+	4	146	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	145	204
+	3	146	193	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	150	124
+	148	128
+	148	127
+	4	150	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	128
+	148	127
+	3	150	124	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	128
+	150	124
+	150	126
+	4	148	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	124
+	150	126
+	3	148	128	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	150	126
+	148	127
+	148	128
+	4	150	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	148	128
+	3	150	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	128
+	150	127
+	150	126
+	4	148	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	127
+	150	126
+	3	148	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	122
+	146	132
+	146	131
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	146	131
+	3	149	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	132
+	149	122
+	148	124
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	148	124
+	3	146	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	124
+	146	131
+	146	132
+	4	148	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	131
+	146	132
+	3	148	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	132
+	148	125
+	148	124
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	125
+	148	124
+	3	146	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	150	123
+	148	127
+	148	126
+	4	150	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	148	126
+	3	150	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	127
+	150	123
+	150	124
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	123
+	150	124
+	3	148	127	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	150	124
+	148	126
+	148	127
+	4	150	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	126
+	148	127
+	3	150	124	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	127
+	150	126
+	150	124
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	126
+	150	124
+	3	148	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	211
+	213	232
+	231	220
+	4	216	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	232
+	231	220
+	3	216	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	232
+	216	211
+	202	220
+	4	213	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	211
+	202	220
+	3	213	232	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	210
+	216	211
+	202	220
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	211
+	202	220
+	3	192	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	220
+	202	220
+	216	211
+	4	231	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	220
+	216	211
+	3	231	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	211
+	265	238
+	281	217
+	4	261	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	238
+	281	217
+	3	261	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	265	238
+	261	211
+	247	229
+	4	265	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	211
+	247	229
+	3	265	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	220
+	261	211
+	247	229
+	4	231	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	211
+	247	229
+	3	231	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	281	217
+	247	229
+	261	211
+	4	281	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	229
+	261	211
+	3	281	217	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	203
+	192	210
+	177	215
+	4	171	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	177	215
+	3	171	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	203
+	161	217
+	177	215
+	4	171	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	217
+	177	215
+	3	171	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	217
+	171	203
+	158	205
+	4	161	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	203
+	158	205
+	3	161	217	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	215
+	158	205
+	171	203
+	4	177	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	205
+	171	203
+	3	177	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	131
+	148	124
+	149	122
+	4	146	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	124
+	149	122
+	3	146	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	121
+	148	126
+	148	125
+	4	150	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	126
+	148	125
+	3	150	121	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	126
+	150	121
+	150	123
+	4	148	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	121
+	150	123
+	3	148	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	123
+	148	125
+	148	126
+	4	150	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	125
+	148	126
+	3	150	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	126
+	150	124
+	150	123
+	4	148	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	124
+	150	123
+	3	148	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	210
+	184	227
+	202	220
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	227
+	202	220
+	3	192	210	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	184	227
+	192	210
+	177	215
+	4	184	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	177	215
+	3	184	227	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	202	220
+	177	215
+	192	210
+	4	202	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	215
+	192	210
+	3	202	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	205
+	131	201
+	119	195
+	4	111	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	119	195
+	3	111	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	212
+	119	195
+	131	201
+	4	126	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	131	201
+	3	126	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	195
+	126	212
+	111	205
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	212
+	111	205
+	3	119	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	195
+	98	195
+	111	205
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	195
+	111	205
+	3	119	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	119
+	148	125
+	148	124
+	4	150	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	125
+	148	124
+	3	150	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	125
+	150	119
+	150	121
+	4	148	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	119
+	150	121
+	3	148	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	121
+	148	124
+	148	125
+	4	150	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	124
+	148	125
+	3	150	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	125
+	150	123
+	150	121
+	4	148	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	123
+	150	121
+	3	148	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	205
+	177	215
+	161	217
+	4	158	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	215
+	161	217
+	3	158	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	205
+	143	216
+	161	217
+	4	158	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	216
+	161	217
+	3	158	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	216
+	158	205
+	145	204
+	4	143	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	205
+	145	204
+	3	143	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	217
+	145	204
+	158	205
+	4	161	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	204
+	158	205
+	3	161	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	118
+	148	124
+	149	122
+	4	150	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	124
+	149	122
+	3	150	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	124
+	150	118
+	150	119
+	4	148	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	118
+	150	119
+	3	148	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	119
+	149	122
+	148	124
+	4	150	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	148	124
+	3	150	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	124
+	150	121
+	150	119
+	4	148	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	121
+	150	119
+	3	148	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	204
+	111	205
+	98	195
+	4	86	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	205
+	98	195
+	3	86	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	216
+	98	195
+	111	205
+	4	102	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	195
+	111	205
+	3	102	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	195
+	102	216
+	86	204
+	4	98	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	216
+	86	204
+	3	98	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	212
+	145	204
+	131	201
+	4	126	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	204
+	131	201
+	3	126	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	216
+	131	201
+	145	204
+	4	143	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	145	204
+	3	143	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	201
+	143	216
+	126	212
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	216
+	126	212
+	3	131	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	201
+	111	205
+	126	212
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	205
+	126	212
+	3	131	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	204
+	161	217
+	143	216
+	4	145	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	217
+	143	216
+	3	145	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	204
+	126	212
+	143	216
+	4	145	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	212
+	143	216
+	3	145	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	122
+	150	119
+	150	118
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	119
+	150	118
+	3	149	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	220
+	226	244
+	247	229
+	4	231	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	244
+	247	229
+	3	231	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	244
+	231	220
+	213	232
+	4	226	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	220
+	213	232
+	3	226	244	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	220
+	231	220
+	213	232
+	4	202	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	220
+	213	232
+	3	202	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	229
+	213	232
+	231	220
+	4	247	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	232
+	231	220
+	3	247	229	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	177	215
+	202	220
+	184	227
+	4	177	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	220
+	184	227
+	3	177	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	215
+	163	230
+	184	227
+	4	177	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	230
+	184	227
+	3	177	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	230
+	177	215
+	161	217
+	4	163	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	215
+	161	217
+	3	163	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	227
+	161	217
+	177	215
+	4	184	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	217
+	177	215
+	3	184	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	229
+	281	217
+	265	238
+	4	247	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	217
+	265	238
+	3	247	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	216
+	126	212
+	111	205
+	4	102	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	212
+	111	205
+	3	102	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	224
+	111	205
+	126	212
+	4	121	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	205
+	126	212
+	3	121	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	205
+	121	224
+	102	216
+	4	111	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	224
+	102	216
+	3	111	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	205
+	86	204
+	102	216
+	4	111	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	204
+	102	216
+	3	111	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	220
+	191	240
+	213	232
+	4	202	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	240
+	213	232
+	3	202	220	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	191	240
+	202	220
+	184	227
+	4	191	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	220
+	184	227
+	3	191	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	232
+	184	227
+	202	220
+	4	213	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	227
+	202	220
+	3	213	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	214
+	102	216
+	86	204
+	4	72	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	216
+	86	204
+	3	72	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	228
+	86	204
+	102	216
+	4	91	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	204
+	102	216
+	3	91	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	204
+	91	228
+	72	214
+	4	86	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	228
+	72	214
+	3	86	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	217
+	184	227
+	163	230
+	4	161	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	227
+	163	230
+	3	161	217	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	217
+	142	229
+	163	230
+	4	161	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	163	230
+	3	161	217	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	229
+	161	217
+	143	216
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	217
+	143	216
+	3	142	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	230
+	143	216
+	161	217
+	4	163	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	216
+	161	217
+	3	163	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	224
+	143	216
+	126	212
+	4	121	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	216
+	126	212
+	3	121	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	229
+	126	212
+	143	216
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	212
+	143	216
+	3	142	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	212
+	142	229
+	121	224
+	4	126	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	121	224
+	3	126	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	212
+	102	216
+	121	224
+	4	126	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	216
+	121	224
+	3	126	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	216
+	163	230
+	142	229
+	4	143	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	230
+	142	229
+	3	143	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	216
+	121	224
+	142	229
+	4	143	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	224
+	142	229
+	3	143	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	229
+	241	257
+	265	238
+	4	247	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	257
+	265	238
+	3	247	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	257
+	247	229
+	226	244
+	4	241	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	229
+	226	244
+	3	241	257	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	232
+	247	229
+	226	244
+	4	213	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	229
+	226	244
+	3	213	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	265	238
+	226	244
+	247	229
+	4	265	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	244
+	247	229
+	3	265	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	227
+	213	232
+	191	240
+	4	184	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	232
+	191	240
+	3	184	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	227
+	166	244
+	191	240
+	4	184	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	244
+	191	240
+	3	184	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	244
+	184	227
+	163	230
+	4	166	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	227
+	163	230
+	3	166	244	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	240
+	163	230
+	184	227
+	4	191	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	230
+	184	227
+	3	191	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	228
+	121	224
+	102	216
+	4	91	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	224
+	102	216
+	3	91	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	238
+	102	216
+	121	224
+	4	114	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	216
+	121	224
+	3	114	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	216
+	114	238
+	91	228
+	4	102	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	238
+	91	228
+	3	102	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	216
+	72	214
+	91	228
+	4	102	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	214
+	91	228
+	3	102	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	232
+	200	254
+	226	244
+	4	213	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	254
+	226	244
+	3	213	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	254
+	213	232
+	191	240
+	4	200	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	232
+	191	240
+	3	200	254	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	244
+	191	240
+	213	232
+	4	226	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	240
+	213	232
+	3	226	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	225
+	91	228
+	72	214
+	4	56	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	228
+	72	214
+	3	56	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	241
+	72	214
+	91	228
+	4	79	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	214
+	91	228
+	3	79	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	214
+	79	241
+	56	225
+	4	72	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	241
+	56	225
+	3	72	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	230
+	191	240
+	166	244
+	4	163	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	240
+	166	244
+	3	163	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	230
+	140	243
+	166	244
+	4	163	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	243
+	166	244
+	3	163	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	243
+	163	230
+	142	229
+	4	140	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	230
+	142	229
+	3	140	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	244
+	142	229
+	163	230
+	4	166	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	163	230
+	3	166	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	238
+	142	229
+	121	224
+	4	114	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	121	224
+	3	114	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	243
+	121	224
+	142	229
+	4	140	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	224
+	142	229
+	3	140	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	224
+	140	243
+	114	238
+	4	121	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	243
+	114	238
+	3	121	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	224
+	91	228
+	114	238
+	4	121	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	228
+	114	238
+	3	121	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	229
+	166	244
+	140	243
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	244
+	140	243
+	3	142	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	229
+	114	238
+	140	243
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	238
+	140	243
+	3	142	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	244
+	265	238
+	241	257
+	4	226	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	238
+	241	257
+	3	226	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	241
+	114	238
+	91	228
+	4	79	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	238
+	91	228
+	3	79	241	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	253
+	91	228
+	114	238
+	4	107	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	228
+	114	238
+	3	107	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	228
+	107	253
+	79	241
+	4	91	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	253
+	79	241
+	3	91	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	228
+	56	225
+	79	241
+	4	91	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	225
+	79	241
+	3	91	228	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	240
+	226	244
+	200	254
+	4	191	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	244
+	200	254
+	3	191	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	240
+	170	260
+	200	254
+	4	191	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	260
+	200	254
+	3	191	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	260
+	191	240
+	166	244
+	4	170	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	240
+	166	244
+	3	170	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	254
+	166	244
+	191	240
+	4	200	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	244
+	191	240
+	3	200	254	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	237
+	79	241
+	56	225
+	4	39	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	241
+	56	225
+	3	39	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	256
+	56	225
+	79	241
+	4	66	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	225
+	79	241
+	3	66	256	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	225
+	66	256
+	39	237
+	4	56	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	256
+	39	237
+	3	56	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	244
+	209	270
+	241	257
+	4	226	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	270
+	241	257
+	3	226	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	270
+	226	244
+	200	254
+	4	209	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	244
+	200	254
+	3	209	270	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	257
+	200	254
+	226	244
+	4	241	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	254
+	226	244
+	3	241	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	253
+	140	243
+	114	238
+	4	107	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	243
+	114	238
+	3	107	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	259
+	114	238
+	140	243
+	4	138	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	238
+	140	243
+	3	138	259	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	238
+	138	259
+	107	253
+	4	114	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	259
+	107	253
+	3	114	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	238
+	79	241
+	107	253
+	4	114	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	241
+	107	253
+	3	114	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	244
+	200	254
+	170	260
+	4	166	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	254
+	170	260
+	3	166	244	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	244
+	138	259
+	170	260
+	4	166	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	259
+	170	260
+	3	166	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	259
+	166	244
+	140	243
+	4	138	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	244
+	140	243
+	3	138	259	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	260
+	140	243
+	166	244
+	4	170	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	243
+	166	244
+	3	170	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	243
+	170	260
+	138	259
+	4	140	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	260
+	138	259
+	3	140	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	243
+	107	253
+	138	259
+	4	140	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	253
+	138	259
+	3	140	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	241
+	39	237
+	66	256
+	4	79	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	237
+	66	256
+	3	79	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	256
+	107	253
+	79	241
+	4	66	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	253
+	79	241
+	3	66	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	270
+	79	241
+	107	253
+	4	99	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	241
+	107	253
+	3	99	270	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	241
+	99	270
+	66	256
+	4	79	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	270
+	66	256
+	3	79	241	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	254
+	241	257
+	209	270
+	4	200	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	257
+	209	270
+	3	200	254	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	254
+	174	277
+	209	270
+	4	200	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	277
+	209	270
+	3	200	254	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	277
+	200	254
+	170	260
+	4	174	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	254
+	170	260
+	3	174	277	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	270
+	170	260
+	200	254
+	4	209	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	260
+	200	254
+	3	209	270	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	270
+	138	259
+	107	253
+	4	99	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	259
+	107	253
+	3	99	270	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	277
+	107	253
+	138	259
+	4	136	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	253
+	138	259
+	3	136	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	253
+	136	277
+	99	270
+	4	107	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	277
+	99	270
+	3	107	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	253
+	66	256
+	99	270
+	4	107	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	256
+	99	270
+	3	107	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	260
+	209	270
+	174	277
+	4	170	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	270
+	174	277
+	3	170	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	260
+	136	277
+	174	277
+	4	170	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	277
+	174	277
+	3	170	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	277
+	170	260
+	138	259
+	4	136	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	260
+	138	259
+	3	136	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	277
+	138	259
+	170	260
+	4	174	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	259
+	170	260
+	3	174	277	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	259
+	174	277
+	136	277
+	4	138	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	277
+	136	277
+	3	138	259	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	259
+	99	270
+	136	277
+	4	138	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	270
+	136	277
+	3	138	259	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dpsb.ps b/books/ps/3dpsb.ps
new file mode 100644
index 0000000..e169d0b
--- /dev/null
+++ b/books/ps/3dpsb.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	29	235	245	82	psDrawLine
+	globGC	(X)	24	240	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	270	235	54	82	psDrawLine
+	globGC	(Y)	275	240	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	22	149	241	psDrawLine
+	globGC	(Z)	154	17	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.812500	setForeground
+	renderGC
+	123	141
+	127	118
+	130	140
+	4	123	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	118
+	130	140
+	3	123	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	140
+	128	161
+	123	141
+	4	130	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	161
+	123	141
+	3	130	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	161
+	130	140
+	134	163
+	4	128	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	140
+	134	163
+	3	128	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	121
+	125	97
+	127	118
+	4	118	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	97
+	127	118
+	3	118	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	118
+	123	141
+	118	121
+	4	127	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	141
+	118	121
+	3	127	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	163
+	134	181
+	128	161
+	4	134	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	128	161
+	3	134	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	181
+	134	163
+	139	185
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	163
+	139	185
+	3	134	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	102
+	123	77
+	125	97
+	4	114	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	77
+	125	97
+	3	114	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	97
+	118	121
+	114	102
+	4	125	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	121
+	114	102
+	3	125	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	185
+	141	201
+	134	181
+	4	139	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	201
+	134	181
+	3	139	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	201
+	139	185
+	144	207
+	4	141	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	185
+	144	207
+	3	141	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	142
+	118	121
+	123	141
+	4	116	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	121
+	123	141
+	3	116	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	141
+	123	160
+	116	142
+	4	123	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	160
+	116	142
+	3	123	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	160
+	123	141
+	128	161
+	4	123	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	141
+	128	161
+	3	123	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	124
+	114	102
+	118	121
+	4	110	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	102
+	118	121
+	3	110	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	121
+	116	142
+	110	124
+	4	118	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	142
+	110	124
+	3	118	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	84
+	122	59
+	123	77
+	4	112	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	59
+	123	77
+	3	112	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	123	77
+	114	102
+	112	84
+	4	123	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	102
+	112	84
+	3	123	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	161
+	131	178
+	123	160
+	4	128	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	178
+	123	160
+	3	128	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	178
+	128	161
+	134	181
+	4	131	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	161
+	134	181
+	3	131	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	106	107
+	112	84
+	114	102
+	4	106	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	84
+	114	102
+	3	106	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	102
+	110	124
+	106	107
+	4	114	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	124
+	106	107
+	3	114	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	207
+	149	220
+	141	201
+	4	144	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	220
+	141	201
+	3	144	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	220
+	144	207
+	149	228
+	4	149	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	207
+	149	228
+	3	149	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	181
+	140	196
+	131	178
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	196
+	131	178
+	3	134	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	196
+	134	181
+	141	201
+	4	140	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	141	201
+	3	140	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	143
+	110	124
+	116	142
+	4	110	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	124
+	116	142
+	3	110	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	142
+	118	159
+	110	143
+	4	116	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	159
+	110	143
+	3	116	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	159
+	116	142
+	123	160
+	4	118	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	142
+	123	160
+	3	118	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	127
+	106	107
+	110	124
+	4	104	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	107
+	110	124
+	3	104	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	124
+	110	143
+	104	127
+	4	110	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	143
+	104	127
+	3	110	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	91
+	110	68
+	112	84
+	4	103	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	68
+	112	84
+	3	103	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	59
+	112	84
+	110	68
+	4	122	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	84
+	110	68
+	3	122	59	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	84
+	106	107
+	103	91
+	4	112	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	107
+	103	91
+	3	112	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	160
+	128	176
+	118	159
+	4	123	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	176
+	118	159
+	3	123	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	176
+	123	160
+	131	178
+	4	128	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	160
+	131	178
+	3	128	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	68
+	121	42
+	122	59
+	4	110	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	42
+	122	59
+	3	110	68	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	98	112
+	103	91
+	106	107
+	4	98	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	91
+	106	107
+	3	98	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	106	107
+	104	127
+	98	112
+	4	106	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	127
+	98	112
+	3	106	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	178
+	138	191
+	128	176
+	4	131	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	191
+	128	176
+	3	131	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	191
+	131	178
+	140	196
+	4	138	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	178
+	140	196
+	3	138	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	201
+	149	213
+	140	196
+	4	141	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	213
+	140	196
+	3	141	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	213
+	141	201
+	149	220
+	4	149	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	201
+	149	220
+	3	149	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	145
+	104	127
+	110	143
+	4	105	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	127
+	110	143
+	3	105	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	143
+	114	159
+	105	145
+	4	110	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	159
+	105	145
+	3	110	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	159
+	110	143
+	118	159
+	4	114	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	143
+	118	159
+	3	114	159	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	98	130
+	98	112
+	104	127
+	4	98	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	112
+	104	127
+	3	98	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	104	127
+	105	145
+	98	130
+	4	104	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	145
+	98	130
+	3	104	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	97
+	101	76
+	103	91
+	4	95	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	76
+	103	91
+	3	95	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	68
+	103	91
+	101	76
+	4	110	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	91
+	101	76
+	3	110	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	91
+	98	112
+	95	97
+	4	103	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	112
+	95	97
+	3	103	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	159
+	125	174
+	114	159
+	4	118	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	174
+	114	159
+	3	118	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	174
+	118	159
+	128	176
+	4	125	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	159
+	128	176
+	3	125	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	76
+	110	53
+	110	68
+	4	101	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	53
+	110	68
+	3	101	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	42
+	110	68
+	110	53
+	4	121	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	68
+	110	53
+	3	121	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	228
+	157	237
+	149	220
+	4	149	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	237
+	149	220
+	3	149	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	237
+	149	228
+	155	248
+	4	157	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	228
+	155	248
+	3	157	237	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	92	116
+	95	97
+	98	112
+	4	92	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	97
+	98	112
+	3	92	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	98	112
+	98	130
+	92	116
+	4	98	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	130
+	92	116
+	3	98	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	176
+	136	188
+	125	174
+	4	128	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	188
+	125	174
+	3	128	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	188
+	128	176
+	138	191
+	4	136	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	176
+	138	191
+	3	136	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	196
+	149	206
+	138	191
+	4	140	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	206
+	138	191
+	3	140	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	206
+	140	196
+	149	213
+	4	149	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	196
+	149	213
+	3	149	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	101	147
+	98	130
+	105	145
+	4	101	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	130
+	105	145
+	3	101	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	145
+	111	159
+	101	147
+	4	105	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	159
+	101	147
+	3	105	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	159
+	105	145
+	114	159
+	4	111	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	145
+	114	159
+	3	111	159	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	93	134
+	92	116
+	98	130
+	4	93	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	116
+	98	130
+	3	93	134	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	98	130
+	101	147
+	93	134
+	4	98	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	147
+	93	134
+	3	98	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	53
+	122	29
+	121	42
+	4	110	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	29
+	121	42
+	3	110	53	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	103
+	93	84
+	95	97
+	4	88	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	84
+	95	97
+	3	88	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	76
+	95	97
+	93	84
+	4	101	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	97
+	93	84
+	3	101	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	97
+	92	116
+	88	103
+	4	95	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	116
+	88	103
+	3	95	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	159
+	122	172
+	111	159
+	4	114	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	172
+	111	159
+	3	114	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	172
+	114	159
+	125	174
+	4	122	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	159
+	125	174
+	3	122	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	84
+	101	63
+	101	76
+	4	93	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	63
+	101	76
+	3	93	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	53
+	101	76
+	101	63
+	4	110	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	76
+	101	63
+	3	110	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	220
+	159	228
+	149	213
+	4	149	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	228
+	149	213
+	3	149	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	228
+	149	220
+	157	237
+	4	159	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	220
+	157	237
+	3	159	228	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	86	121
+	88	103
+	92	116
+	4	86	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	103
+	92	116
+	3	86	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	92	116
+	93	134
+	86	121
+	4	92	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	134
+	86	121
+	3	92	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	174
+	135	184
+	122	172
+	4	125	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	184
+	122	172
+	3	125	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	184
+	125	174
+	136	188
+	4	135	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	174
+	136	188
+	3	135	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	191
+	149	201
+	136	188
+	4	138	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	201
+	136	188
+	3	138	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	201
+	138	191
+	149	206
+	4	149	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	191
+	149	206
+	3	149	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	97	149
+	93	134
+	101	147
+	4	97	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	134
+	101	147
+	3	97	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	147
+	108	160
+	97	149
+	4	101	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	160
+	97	149
+	3	101	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	160
+	101	147
+	111	159
+	4	108	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	147
+	111	159
+	3	108	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	63
+	112	41
+	110	53
+	4	101	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	41
+	110	53
+	3	101	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	29
+	110	53
+	112	41
+	4	122	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	53
+	112	41
+	3	122	29	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	89	137
+	86	121
+	93	134
+	4	89	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	121
+	93	134
+	3	89	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	93	134
+	97	149
+	89	137
+	4	93	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	149
+	89	137
+	3	93	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	159
+	120	171
+	108	160
+	4	111	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	171
+	108	160
+	3	111	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	171
+	111	159
+	122	172
+	4	120	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	159
+	122	172
+	3	120	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	110
+	86	91
+	88	103
+	4	82	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	91
+	88	103
+	3	82	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	84
+	88	103
+	86	91
+	4	93	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	103
+	86	91
+	3	93	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	103
+	86	121
+	82	110
+	4	88	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	121
+	82	110
+	3	88	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	91
+	93	72
+	93	84
+	4	86	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	72
+	93	84
+	3	86	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	63
+	93	84
+	93	72
+	4	101	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	84
+	93	72
+	3	101	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	213
+	160	220
+	149	206
+	4	149	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	220
+	149	206
+	3	149	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	220
+	149	213
+	159	228
+	4	160	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	213
+	159	228
+	3	160	220	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	126
+	82	110
+	86	121
+	4	82	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	110
+	86	121
+	3	82	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	86	121
+	89	137
+	82	126
+	4	86	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	137
+	82	126
+	3	86	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	248
+	165	253
+	157	237
+	4	155	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	253
+	157	237
+	3	155	248	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	253
+	155	248
+	161	265
+	4	165	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	248
+	161	265
+	3	165	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	172
+	134	181
+	120	171
+	4	122	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	120	171
+	3	122	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	181
+	122	172
+	135	184
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	172
+	135	184
+	3	134	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	188
+	149	196
+	135	184
+	4	136	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	196
+	135	184
+	3	136	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	196
+	136	188
+	149	201
+	4	149	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	188
+	149	201
+	3	149	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	72
+	103	53
+	101	63
+	4	93	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	53
+	101	63
+	3	93	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	41
+	101	63
+	103	53
+	4	112	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	63
+	103	53
+	3	112	41	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	94	151
+	89	137
+	97	149
+	4	94	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	137
+	97	149
+	3	94	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	149
+	105	161
+	94	151
+	4	97	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	161
+	94	151
+	3	97	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	161
+	97	149
+	108	160
+	4	105	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	149
+	108	160
+	3	105	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	85	141
+	82	126
+	89	137
+	4	85	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	126
+	89	137
+	3	85	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	89	137
+	94	151
+	85	141
+	4	89	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	151
+	85	141
+	3	89	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	160
+	118	170
+	105	161
+	4	108	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	170
+	105	161
+	3	108	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	170
+	108	160
+	120	171
+	4	118	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	160
+	120	171
+	3	118	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	206
+	162	213
+	149	201
+	4	149	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	213
+	149	201
+	3	149	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	213
+	149	206
+	160	220
+	4	162	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	206
+	160	220
+	3	162	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	116
+	80	99
+	82	110
+	4	77	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	99
+	82	110
+	3	77	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	91
+	82	110
+	80	99
+	4	86	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	110
+	80	99
+	3	86	91	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	110
+	82	126
+	77	116
+	4	82	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	126
+	77	116
+	3	82	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	99
+	86	81
+	86	91
+	4	80	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	81
+	86	91
+	3	80	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	72
+	86	91
+	86	81
+	4	93	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	91
+	86	81
+	3	93	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	41
+	124	18
+	122	29
+	4	112	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	18
+	122	29
+	3	112	41	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	237
+	169	242
+	159	228
+	4	157	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	242
+	159	228
+	3	157	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	242
+	157	237
+	165	253
+	4	169	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	237
+	165	253
+	3	169	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	184
+	149	191
+	134	181
+	4	135	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	191
+	134	181
+	3	135	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	191
+	135	184
+	149	196
+	4	149	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	184
+	149	196
+	3	149	191	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	132
+	77	116
+	82	126
+	4	78	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	116
+	82	126
+	3	78	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	126
+	85	141
+	78	132
+	4	82	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	141
+	78	132
+	3	82	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	171
+	133	179
+	118	170
+	4	120	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	179
+	118	170
+	3	120	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	179
+	120	171
+	134	181
+	4	133	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	171
+	134	181
+	3	133	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	81
+	95	63
+	93	72
+	4	86	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	63
+	93	72
+	3	86	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	53
+	93	72
+	95	63
+	4	103	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	72
+	95	63
+	3	103	53	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	92	154
+	85	141
+	94	151
+	4	92	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	141
+	94	151
+	3	92	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	94	151
+	103	162
+	92	154
+	4	94	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	162
+	92	154
+	3	94	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	162
+	94	151
+	105	161
+	4	103	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	151
+	105	161
+	3	103	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	201
+	163	206
+	149	196
+	4	149	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	206
+	149	196
+	3	149	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	206
+	149	201
+	162	213
+	4	163	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	201
+	162	213
+	3	163	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	161
+	117	169
+	103	162
+	4	105	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	169
+	103	162
+	3	105	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	169
+	105	161
+	118	170
+	4	117	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	161
+	118	170
+	3	117	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	145
+	78	132
+	85	141
+	4	82	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	132
+	85	141
+	3	82	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	85	141
+	92	154
+	82	145
+	4	85	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	154
+	82	145
+	3	85	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	53
+	114	33
+	112	41
+	4	103	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	33
+	112	41
+	3	103	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	18
+	112	41
+	114	33
+	4	124	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	41
+	114	33
+	3	124	18	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	122
+	75	106
+	77	116
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	106
+	77	116
+	3	73	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	99
+	77	116
+	75	106
+	4	80	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	116
+	75	106
+	3	80	99	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	77	116
+	78	132
+	73	122
+	4	77	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	132
+	73	122
+	3	77	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	106
+	80	89
+	80	99
+	4	75	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	89
+	80	99
+	3	75	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	81
+	80	99
+	80	89
+	4	86	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	99
+	80	89
+	3	86	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	228
+	172	232
+	160	220
+	4	159	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	232
+	160	220
+	3	159	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	232
+	159	228
+	169	242
+	4	172	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	228
+	169	242
+	3	172	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	181
+	149	187
+	133	179
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	187
+	133	179
+	3	134	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	187
+	134	181
+	149	191
+	4	149	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	149	191
+	3	149	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	170
+	132	177
+	117	169
+	4	118	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	177
+	117	169
+	3	118	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	177
+	118	170
+	133	179
+	4	132	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	170
+	133	179
+	3	132	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	104
+	152	106
+	152	104
+	4	145	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	106
+	152	104
+	3	145	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	107
+	152	104
+	152	106
+	4	159	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	104
+	152	106
+	3	159	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	104
+	159	107
+	159	104
+	4	152	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	107
+	159	104
+	3	152	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	104
+	145	102
+	145	104
+	4	152	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	145	104
+	3	152	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	102
+	152	104
+	152	102
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	104
+	152	102
+	3	145	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	104
+	152	102
+	152	104
+	4	159	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	102
+	152	104
+	3	159	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	108
+	159	104
+	159	107
+	4	166	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	104
+	159	107
+	3	166	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	104
+	166	108
+	167	105
+	4	159	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	108
+	167	105
+	3	159	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	102
+	159	104
+	160	102
+	4	152	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	104
+	160	102
+	3	152	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	105
+	160	102
+	159	104
+	4	167	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	159	104
+	3	167	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	106
+	152	109
+	152	106
+	4	145	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	109
+	152	106
+	3	145	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	109
+	152	106
+	152	109
+	4	159	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	106
+	152	109
+	3	159	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	106
+	159	109
+	159	107
+	4	152	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	109
+	159	107
+	3	152	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	106
+	145	104
+	145	106
+	4	152	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	104
+	145	106
+	3	152	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	111
+	159	107
+	159	109
+	4	165	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	107
+	159	109
+	3	165	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	107
+	165	111
+	166	108
+	4	159	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	111
+	166	108
+	3	159	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	109
+	145	106
+	145	108
+	4	152	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	106
+	145	108
+	3	152	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	110
+	167	105
+	166	108
+	4	173	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	105
+	166	108
+	3	173	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	105
+	173	110
+	174	107
+	4	167	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	110
+	174	107
+	3	167	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	102
+	167	105
+	167	103
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	105
+	167	103
+	3	160	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	107
+	167	103
+	167	105
+	4	174	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	103
+	167	105
+	3	174	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	102
+	145	101
+	145	102
+	4	152	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	101
+	145	102
+	3	152	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	101
+	152	102
+	152	101
+	4	145	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	102
+	152	101
+	3	145	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	102
+	152	101
+	152	102
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	101
+	152	102
+	3	160	102	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	75	137
+	73	122
+	78	132
+	4	75	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	78	132
+	3	75	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	132
+	82	145
+	75	137
+	4	78	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	145
+	75	137
+	3	78	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	113
+	166	108
+	165	111
+	4	172	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	108
+	165	111
+	3	172	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	108
+	172	113
+	173	110
+	4	166	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	113
+	173	110
+	3	166	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	101
+	160	102
+	160	101
+	4	152	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	160	101
+	3	152	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	103
+	160	101
+	160	102
+	4	167	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	101
+	160	102
+	3	167	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	196
+	164	200
+	149	191
+	4	149	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	200
+	149	191
+	3	149	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	200
+	149	196
+	163	206
+	4	164	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	196
+	163	206
+	3	164	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	89
+	88	73
+	86	81
+	4	80	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	73
+	86	81
+	3	80	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	63
+	86	81
+	88	73
+	4	95	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	81
+	88	73
+	3	95	63	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	103
+	174	107
+	175	104
+	4	167	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	107
+	175	104
+	3	167	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	101
+	167	103
+	167	101
+	4	160	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	103
+	167	101
+	3	160	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	104
+	167	101
+	167	103
+	4	175	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	101
+	167	103
+	3	175	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	112
+	174	107
+	173	110
+	4	180	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	107
+	173	110
+	3	180	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	107
+	180	112
+	181	109
+	4	174	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	112
+	181	109
+	3	174	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	109
+	175	104
+	174	107
+	4	181	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	104
+	174	107
+	3	181	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	115
+	173	110
+	172	113
+	4	178	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	110
+	172	113
+	3	178	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	110
+	178	115
+	180	112
+	4	173	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	115
+	180	112
+	3	173	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	108
+	152	111
+	152	109
+	4	145	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	111
+	152	109
+	3	145	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	112
+	152	109
+	152	111
+	4	158	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	109
+	152	111
+	3	158	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	109
+	158	112
+	159	109
+	4	152	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	112
+	159	109
+	3	152	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	114
+	159	109
+	158	112
+	4	164	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	109
+	158	112
+	3	164	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	109
+	164	114
+	165	111
+	4	159	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	114
+	165	111
+	3	159	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	101
+	145	101
+	145	101
+	4	152	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	101
+	145	101
+	3	152	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	101
+	152	101
+	152	100
+	4	145	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	101
+	152	100
+	3	145	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	101
+	152	100
+	152	101
+	4	160	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	100
+	152	101
+	3	160	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	111
+	145	108
+	145	110
+	4	152	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	108
+	145	110
+	3	152	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	116
+	165	111
+	164	114
+	4	170	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	111
+	164	114
+	3	170	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	111
+	170	116
+	172	113
+	4	165	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	116
+	172	113
+	3	165	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	100
+	160	101
+	159	101
+	4	152	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	101
+	159	101
+	3	152	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	101
+	159	101
+	160	101
+	4	167	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	160	101
+	3	167	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	104
+	181	109
+	182	106
+	4	175	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	109
+	182	106
+	3	175	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	101
+	175	104
+	174	102
+	4	167	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	104
+	174	102
+	3	167	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	106
+	174	102
+	175	104
+	4	182	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	102
+	175	104
+	3	182	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	90	157
+	82	145
+	92	154
+	4	90	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	145
+	92	154
+	3	90	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	92	154
+	102	163
+	90	157
+	4	92	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	163
+	90	157
+	3	92	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	102	163
+	92	154
+	103	162
+	4	102	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	154
+	103	162
+	3	102	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	118
+	180	112
+	178	115
+	4	185	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	112
+	178	115
+	3	185	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	112
+	185	118
+	187	115
+	4	180	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	118
+	187	115
+	3	180	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	115
+	181	109
+	180	112
+	4	187	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	109
+	180	112
+	3	187	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	109
+	187	115
+	188	111
+	4	181	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	115
+	188	111
+	3	181	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	111
+	182	106
+	181	109
+	4	188	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	106
+	181	109
+	3	188	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	63
+	106	45
+	103	53
+	4	95	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	45
+	103	53
+	3	95	63	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	33
+	103	53
+	106	45
+	4	114	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	53
+	106	45
+	3	114	33	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	119
+	172	113
+	170	116
+	4	176	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	113
+	170	116
+	3	176	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	113
+	176	119
+	178	115
+	4	172	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	119
+	178	115
+	3	172	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	162
+	116	169
+	102	163
+	4	103	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	169
+	102	163
+	3	103	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	169
+	103	162
+	117	169
+	4	116	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	162
+	117	169
+	3	116	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	220
+	175	223
+	162	213
+	4	160	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	223
+	162	213
+	3	160	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	223
+	160	220
+	172	232
+	4	175	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	220
+	172	232
+	3	175	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	101
+	167	101
+	167	101
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	101
+	167	101
+	3	159	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	102
+	167	101
+	167	101
+	4	174	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	101
+	167	101
+	3	174	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	179
+	149	183
+	132	177
+	4	133	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	183
+	132	177
+	3	133	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	183
+	133	179
+	149	187
+	4	149	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	179
+	149	187
+	3	149	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	100
+	145	102
+	145	101
+	4	152	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	145	101
+	3	152	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	102
+	152	100
+	152	102
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	100
+	152	102
+	3	145	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	101
+	152	102
+	152	100
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	102
+	152	100
+	3	159	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	106
+	188	111
+	189	108
+	4	182	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	111
+	189	108
+	3	182	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	102
+	182	106
+	182	104
+	4	174	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	106
+	182	104
+	3	174	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	108
+	182	104
+	182	106
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	104
+	182	106
+	3	189	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	122
+	178	115
+	176	119
+	4	181	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	115
+	176	119
+	3	181	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	115
+	181	122
+	185	118
+	4	178	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	122
+	185	118
+	3	178	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	80	149
+	75	137
+	82	145
+	4	80	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	137
+	82	145
+	3	80	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	145
+	90	157
+	80	149
+	4	82	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	157
+	80	149
+	3	82	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	101
+	174	102
+	174	102
+	4	167	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	102
+	174	102
+	3	167	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	104
+	174	102
+	174	102
+	4	182	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	102
+	174	102
+	3	182	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	102
+	159	101
+	159	102
+	4	152	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	159	102
+	3	152	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	101
+	159	102
+	159	101
+	4	167	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	102
+	159	101
+	3	167	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	122
+	187	115
+	185	118
+	4	190	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	115
+	185	118
+	3	190	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	115
+	190	122
+	193	118
+	4	187	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	122
+	193	118
+	3	187	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	118
+	188	111
+	187	115
+	4	193	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	111
+	187	115
+	3	193	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	111
+	193	118
+	195	114
+	4	188	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	118
+	195	114
+	3	188	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	114
+	189	108
+	188	111
+	4	195	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	188	111
+	3	195	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	169
+	131	175
+	116	169
+	4	117	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	175
+	116	169
+	3	117	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	175
+	117	169
+	132	177
+	4	131	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	169
+	132	177
+	3	131	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	113
+	76	97
+	75	106
+	4	71	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	97
+	75	106
+	3	71	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	89
+	75	106
+	76	97
+	4	80	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	106
+	76	97
+	3	80	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	106
+	73	122
+	71	113
+	4	75	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	71	113
+	3	75	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	110
+	151	112
+	152	111
+	4	145	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	112
+	152	111
+	3	145	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	113
+	152	111
+	151	112
+	4	157	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	111
+	151	112
+	3	157	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	111
+	157	113
+	158	112
+	4	152	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	113
+	158	112
+	3	152	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	128
+	71	113
+	73	122
+	4	70	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	113
+	73	122
+	3	70	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	122
+	75	137
+	70	128
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	137
+	70	128
+	3	73	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	116
+	158	112
+	157	113
+	4	163	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	112
+	157	113
+	3	163	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	112
+	163	116
+	164	114
+	4	158	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	116
+	164	114
+	3	158	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	191
+	165	195
+	149	187
+	4	149	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	195
+	149	187
+	3	149	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	195
+	149	191
+	164	200
+	4	165	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	191
+	164	200
+	3	165	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	112
+	145	110
+	146	110
+	4	151	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	110
+	146	110
+	3	151	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	102
+	167	101
+	166	102
+	4	159	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	101
+	166	102
+	3	159	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	102
+	166	102
+	167	101
+	4	174	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	102
+	167	101
+	3	174	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	265
+	173	265
+	165	253
+	4	161	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	265
+	165	253
+	3	161	265	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	265
+	161	265
+	167	280
+	4	173	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	265
+	167	280
+	3	173	265	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	118
+	164	114
+	163	116
+	4	168	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	114
+	163	116
+	3	168	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	114
+	168	118
+	170	116
+	4	164	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	118
+	170	116
+	3	164	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	125
+	185	118
+	181	122
+	4	186	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	118
+	181	122
+	3	186	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	118
+	186	125
+	190	122
+	4	185	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	125
+	190	122
+	3	185	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	108
+	195	114
+	196	111
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	114
+	196	111
+	3	189	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	104
+	189	108
+	189	106
+	4	182	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	189	106
+	3	182	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	111
+	189	106
+	189	108
+	4	196	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	106
+	189	108
+	3	196	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	102
+	182	104
+	181	104
+	4	174	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	104
+	181	104
+	3	174	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	106
+	181	104
+	182	104
+	4	189	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	104
+	182	104
+	3	189	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	121
+	170	116
+	168	118
+	4	172	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	116
+	168	118
+	3	172	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	116
+	172	121
+	176	119
+	4	170	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	121
+	176	119
+	3	170	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	126
+	193	118
+	190	122
+	4	196	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	118
+	190	122
+	3	196	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	118
+	196	126
+	199	122
+	4	193	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	126
+	199	122
+	3	193	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	122
+	195	114
+	193	118
+	4	199	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	114
+	193	118
+	3	199	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	213
+	177	215
+	163	206
+	4	162	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	215
+	163	206
+	3	162	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	215
+	162	213
+	175	223
+	4	177	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	213
+	175	223
+	3	177	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	102
+	174	102
+	173	103
+	4	166	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	102
+	173	103
+	3	166	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	104
+	173	103
+	174	102
+	4	181	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	103
+	174	102
+	3	181	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	114
+	199	122
+	201	118
+	4	195	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	122
+	201	118
+	3	195	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	118
+	196	111
+	195	114
+	4	201	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	111
+	195	114
+	3	201	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	97
+	83	82
+	80	89
+	4	76	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	82
+	80	89
+	3	76	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	73
+	80	89
+	83	82
+	4	88	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	89
+	83	82
+	3	88	73	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	73	142
+	70	128
+	75	137
+	4	73	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	128
+	75	137
+	3	73	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	75	137
+	80	149
+	73	142
+	4	75	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	149
+	73	142
+	3	75	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	125
+	176	119
+	172	121
+	4	177	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	119
+	172	121
+	3	177	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	119
+	177	125
+	181	122
+	4	176	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	125
+	181	122
+	3	176	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	129
+	190	122
+	186	125
+	4	191	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	122
+	186	125
+	3	191	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	122
+	191	129
+	196	126
+	4	190	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	129
+	196	126
+	3	190	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	73
+	99	57
+	95	63
+	4	88	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	57
+	95	63
+	3	88	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	45
+	95	63
+	99	57
+	4	106	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	63
+	99	57
+	3	106	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	177
+	149	180
+	131	175
+	4	132	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	180
+	131	175
+	3	132	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	180
+	132	177
+	149	183
+	4	149	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	177
+	149	183
+	3	149	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	106
+	196	111
+	196	109
+	4	189	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	111
+	196	109
+	3	189	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	104
+	189	106
+	188	105
+	4	181	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	106
+	188	105
+	3	181	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	109
+	188	105
+	189	106
+	4	196	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	189	106
+	3	196	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	111
+	201	118
+	202	115
+	4	196	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	118
+	202	115
+	3	196	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	115
+	196	109
+	196	111
+	4	202	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	109
+	196	111
+	3	202	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	129
+	181	122
+	177	125
+	4	181	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	122
+	177	125
+	3	181	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	122
+	181	129
+	186	125
+	4	181	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	129
+	186	125
+	3	181	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	165
+	90	157
+	102	163
+	4	100	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	157
+	102	163
+	3	100	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	163
+	115	169
+	100	165
+	4	102	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	169
+	100	165
+	3	102	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	169
+	102	163
+	116	169
+	4	115	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	163
+	116	169
+	3	115	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	103
+	181	104
+	179	105
+	4	173	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	104
+	179	105
+	3	173	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	105
+	179	105
+	181	104
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	105
+	181	104
+	3	188	105	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	88	159
+	80	149
+	90	157
+	4	88	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	149
+	90	157
+	3	88	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	157
+	100	165
+	88	159
+	4	90	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	165
+	88	159
+	3	90	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	187
+	165	189
+	149	183
+	4	149	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	189
+	149	183
+	3	149	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	189
+	149	187
+	165	195
+	4	165	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	187
+	165	195
+	3	165	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	130
+	199	122
+	196	126
+	4	201	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	122
+	196	126
+	3	201	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	122
+	201	130
+	205	126
+	4	199	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	130
+	205	126
+	3	199	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	126
+	201	118
+	199	122
+	4	205	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	118
+	199	122
+	3	205	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	134
+	196	126
+	191	129
+	4	195	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	126
+	191	129
+	3	195	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	126
+	195	134
+	201	130
+	4	196	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	134
+	201	130
+	3	196	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	118
+	205	126
+	207	122
+	4	201	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	126
+	207	122
+	3	201	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	122
+	202	115
+	201	118
+	4	207	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	115
+	201	118
+	3	207	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	169
+	131	173
+	115	169
+	4	116	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	173
+	115	169
+	3	116	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	173
+	116	169
+	131	175
+	4	131	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	169
+	131	175
+	3	131	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	253
+	179	253
+	169	242
+	4	165	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	253
+	169	242
+	3	165	253	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	253
+	165	253
+	173	265
+	4	179	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	253
+	173	265
+	3	179	253	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	206
+	179	207
+	164	200
+	4	163	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	207
+	164	200
+	3	163	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	207
+	163	206
+	177	215
+	4	179	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	206
+	177	215
+	3	179	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	133
+	186	125
+	181	129
+	4	184	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	125
+	181	129
+	3	184	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	125
+	184	133
+	191	129
+	4	186	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	133
+	191	129
+	3	186	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	79	154
+	73	142
+	80	149
+	4	79	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	142
+	80	149
+	3	79	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	80	149
+	88	159
+	79	154
+	4	80	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	159
+	79	154
+	3	80	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	109
+	202	115
+	202	112
+	4	196	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	115
+	202	112
+	3	196	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	105
+	196	109
+	194	108
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	109
+	194	108
+	3	188	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	112
+	194	108
+	196	109
+	4	202	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	108
+	196	109
+	3	202	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	105
+	188	105
+	186	106
+	4	179	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	186	106
+	3	179	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	108
+	186	106
+	188	105
+	4	194	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	106
+	188	105
+	3	194	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	120
+	72	105
+	71	113
+	4	68	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	105
+	71	113
+	3	68	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	97
+	71	113
+	72	105
+	4	76	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	113
+	72	105
+	3	76	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	113
+	70	128
+	68	120
+	4	71	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	128
+	68	120
+	3	71	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	110
+	151	112
+	151	112
+	4	146	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	112
+	151	112
+	3	146	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	115
+	151	112
+	151	112
+	4	156	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	112
+	151	112
+	3	156	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	112
+	156	115
+	157	113
+	4	151	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	115
+	157	113
+	3	151	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	118
+	157	113
+	156	115
+	4	160	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	113
+	156	115
+	3	160	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	113
+	160	118
+	163	116
+	4	157	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	118
+	163	116
+	3	157	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	112
+	146	110
+	146	110
+	4	151	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	110
+	146	110
+	3	151	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	115
+	207	122
+	209	118
+	4	202	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	122
+	209	118
+	3	202	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	118
+	202	112
+	202	115
+	4	209	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	112
+	202	115
+	3	209	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	135
+	68	120
+	70	128
+	4	68	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	120
+	70	128
+	3	68	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	128
+	73	142
+	68	135
+	4	70	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	142
+	68	135
+	3	70	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	121
+	163	116
+	160	118
+	4	164	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	116
+	160	118
+	3	164	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	116
+	164	121
+	168	118
+	4	163	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	121
+	168	118
+	3	163	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	135
+	205	126
+	201	130
+	4	205	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	126
+	201	130
+	3	205	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	126
+	205	135
+	210	131
+	4	205	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	135
+	210	131
+	3	205	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	131
+	207	122
+	205	126
+	4	210	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	122
+	205	126
+	3	210	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	137
+	191	129
+	184	133
+	4	188	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	129
+	184	133
+	3	188	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	129
+	188	137
+	195	134
+	4	191	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	137
+	195	134
+	3	191	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	139
+	201	130
+	195	134
+	4	199	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	130
+	195	134
+	3	199	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	130
+	199	139
+	205	135
+	4	201	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	139
+	205	135
+	3	201	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	125
+	168	118
+	164	121
+	4	167	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	118
+	164	121
+	3	167	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	118
+	167	125
+	172	121
+	4	168	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	125
+	172	121
+	3	168	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	175
+	148	176
+	131	173
+	4	131	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	131	173
+	3	131	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	176
+	131	175
+	149	180
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	175
+	149	180
+	3	148	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	82
+	93	67
+	88	73
+	4	83	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	67
+	88	73
+	3	83	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	57
+	88	73
+	93	67
+	4	99	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	73
+	93	67
+	3	99	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	183
+	166	184
+	149	180
+	4	149	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	184
+	149	180
+	3	149	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	184
+	149	183
+	165	189
+	4	166	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	183
+	165	189
+	3	166	184	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	33
+	127	12
+	124	18
+	4	114	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	12
+	124	18
+	3	114	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	105
+	78	91
+	76	97
+	4	72	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	91
+	76	97
+	3	72	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	82
+	76	97
+	78	91
+	4	83	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	97
+	78	91
+	3	83	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	122
+	210	131
+	213	127
+	4	207	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	131
+	213	127
+	3	207	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	127
+	209	118
+	207	122
+	4	213	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	118
+	207	122
+	3	213	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	200
+	180	201
+	165	195
+	4	164	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	201
+	165	195
+	3	164	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	201
+	164	200
+	179	207
+	4	180	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	200
+	179	207
+	3	180	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	128
+	172	121
+	167	125
+	4	170	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	121
+	167	125
+	3	170	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	121
+	170	128
+	177	125
+	4	172	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	128
+	177	125
+	3	172	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	242
+	183	241
+	172	232
+	4	169	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	241
+	172	232
+	3	169	242	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	241
+	169	242
+	179	253
+	4	183	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	242
+	179	253
+	3	183	241	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	71	147
+	68	135
+	73	142
+	4	71	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	135
+	73	142
+	3	71	147	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	73	142
+	79	154
+	71	147
+	4	73	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	154
+	71	147
+	3	73	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	142
+	195	134
+	188	137
+	4	191	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	134
+	188	137
+	3	191	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	134
+	191	142
+	199	139
+	4	195	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	142
+	199	139
+	3	195	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	108
+	202	112
+	200	111
+	4	194	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	112
+	200	111
+	3	194	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	106
+	194	108
+	192	108
+	4	186	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	108
+	192	108
+	3	186	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	111
+	192	108
+	194	108
+	4	200	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	108
+	194	108
+	3	200	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	132
+	177	125
+	170	128
+	4	173	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	125
+	170	128
+	3	173	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	125
+	173	132
+	181	129
+	4	177	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	132
+	181	129
+	3	177	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	112
+	209	118
+	208	116
+	4	202	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	118
+	208	116
+	3	202	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	116
+	200	111
+	202	112
+	4	208	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	111
+	202	112
+	3	208	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	100	166
+	88	159
+	100	165
+	4	100	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	159
+	100	165
+	3	100	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	165
+	114	169
+	100	166
+	4	100	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	169
+	100	166
+	3	100	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	169
+	100	165
+	115	169
+	4	114	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	165
+	115	169
+	3	114	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	144
+	205	135
+	199	139
+	4	202	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	135
+	199	139
+	3	202	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	135
+	202	144
+	210	140
+	4	205	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	144
+	210	140
+	3	205	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	140
+	210	131
+	205	135
+	4	210	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	131
+	205	135
+	3	210	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	169
+	131	171
+	114	169
+	4	115	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	171
+	114	169
+	3	115	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	171
+	115	169
+	131	173
+	4	131	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	169
+	131	173
+	3	131	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	131
+	210	140
+	215	136
+	4	210	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	140
+	215	136
+	3	210	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	136
+	213	127
+	210	131
+	4	215	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	127
+	210	131
+	3	215	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	118
+	213	127
+	214	123
+	4	209	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	127
+	214	123
+	3	209	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	123
+	208	116
+	209	118
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	116
+	209	118
+	3	214	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	88	163
+	79	154
+	88	159
+	4	88	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	154
+	88	159
+	3	88	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	88	159
+	100	166
+	88	163
+	4	88	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	166
+	88	163
+	3	88	159	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	176	137
+	181	129
+	173	132
+	4	176	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	129
+	173	132
+	3	176	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	129
+	176	137
+	184	133
+	4	181	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	137
+	184	133
+	3	181	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	106	45
+	118	28
+	114	33
+	4	106	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	28
+	114	33
+	3	106	45	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	127	12
+	114	33
+	118	28
+	4	127	12	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	33
+	118	28
+	3	127	12	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	195
+	182	194
+	165	189
+	4	165	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	194
+	165	189
+	3	165	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	194
+	165	195
+	180	201
+	4	182	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	195
+	180	201
+	3	182	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	180
+	166	179
+	148	176
+	4	149	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	179
+	148	176
+	3	149	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	179
+	149	180
+	166	184
+	4	166	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	180
+	166	184
+	3	166	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	147
+	199	139
+	191	142
+	4	193	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	139
+	191	142
+	3	193	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	139
+	193	147
+	202	144
+	4	199	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	147
+	202	144
+	3	199	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	127
+	215	136
+	218	132
+	4	213	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	136
+	218	132
+	3	213	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	132
+	214	123
+	213	127
+	4	218	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	213	127
+	3	218	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	232
+	187	231
+	175	223
+	4	172	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	231
+	175	223
+	3	172	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	231
+	172	232
+	183	241
+	4	187	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	232
+	183	241
+	3	187	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	173
+	148	173
+	131	171
+	4	131	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	173
+	131	171
+	3	131	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	173
+	131	173
+	148	176
+	4	148	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	173
+	148	176
+	3	148	173	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	178	141
+	184	133
+	176	137
+	4	178	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	133
+	176	137
+	3	178	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	133
+	178	141
+	188	137
+	4	184	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	141
+	188	137
+	3	184	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	158
+	71	147
+	79	154
+	4	78	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	147
+	79	154
+	3	78	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	79	154
+	88	163
+	78	158
+	4	79	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	163
+	78	158
+	3	79	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	91
+	88	77
+	83	82
+	4	78	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	77
+	83	82
+	3	78	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	67
+	83	82
+	88	77
+	4	93	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	82
+	88	77
+	3	93	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	108
+	200	111
+	197	111
+	4	192	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	111
+	197	111
+	3	192	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	111
+	208	116
+	206	114
+	4	200	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	116
+	206	114
+	3	200	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	114
+	197	111
+	200	111
+	4	206	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	111
+	200	111
+	3	206	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	127
+	69	113
+	68	120
+	4	66	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	113
+	68	120
+	3	66	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	105
+	68	120
+	69	113
+	4	72	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	120
+	69	113
+	3	72	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	120
+	68	135
+	66	127
+	4	68	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	135
+	66	127
+	3	68	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	149
+	210	140
+	202	144
+	4	205	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	140
+	202	144
+	3	205	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	140
+	205	149
+	213	146
+	4	210	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	149
+	213	146
+	3	210	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	146
+	215	136
+	210	140
+	4	213	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	136
+	210	140
+	3	213	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	116
+	214	123
+	214	120
+	4	208	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	214	120
+	3	208	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	120
+	206	114
+	208	116
+	4	214	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	114
+	208	116
+	3	214	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	189
+	183	188
+	166	184
+	4	165	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	188
+	166	184
+	3	165	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	188
+	165	189
+	182	194
+	4	183	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	189
+	182	194
+	3	183	188	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	179	146
+	188	137
+	178	141
+	4	179	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	137
+	178	141
+	3	179	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	137
+	179	146
+	191	142
+	4	188	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	146
+	191	142
+	3	188	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	141
+	66	127
+	68	135
+	4	67	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	127
+	68	135
+	3	67	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	135
+	71	147
+	67	141
+	4	68	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	147
+	67	141
+	3	68	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	136
+	213	146
+	219	142
+	4	215	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	146
+	219	142
+	3	215	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	142
+	218	132
+	215	136
+	4	219	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	132
+	215	136
+	3	219	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	152
+	202	144
+	193	147
+	4	195	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	144
+	193	147
+	3	195	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	144
+	195	152
+	205	149
+	4	202	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	152
+	205	149
+	3	202	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	113
+	75	99
+	72	105
+	4	69	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	99
+	72	105
+	3	69	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	91
+	72	105
+	75	99
+	4	78	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	105
+	75	99
+	3	78	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	57
+	111	42
+	106	45
+	4	99	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	42
+	106	45
+	3	99	57	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	28
+	106	45
+	111	42
+	4	118	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	45
+	111	42
+	3	118	28	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	223
+	190	222
+	177	215
+	4	175	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	222
+	177	215
+	3	175	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	222
+	175	223
+	187	231
+	4	190	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	223
+	187	231
+	3	190	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	123
+	218	132
+	220	128
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	132
+	220	128
+	3	214	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	128
+	214	120
+	214	123
+	4	220	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	120
+	214	123
+	3	220	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	176
+	167	175
+	148	173
+	4	148	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	175
+	148	173
+	3	148	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	175
+	148	176
+	166	179
+	4	167	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	176
+	166	179
+	3	167	175	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	181	150
+	191	142
+	179	146
+	4	181	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	142
+	179	146
+	3	181	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	142
+	181	150
+	193	147
+	4	191	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	150
+	193	147
+	3	191	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	169
+	100	166
+	114	169
+	4	114	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	166
+	114	169
+	3	114	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	169
+	130	170
+	114	169
+	4	114	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	170
+	114	169
+	3	114	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	170
+	114	169
+	131	171
+	4	130	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	169
+	131	171
+	3	130	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	99	168
+	88	163
+	100	166
+	4	99	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	163
+	100	166
+	3	99	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	166
+	114	169
+	99	168
+	4	100	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	169
+	99	168
+	3	100	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	184
+	183	182
+	166	179
+	4	166	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	182
+	166	179
+	3	166	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	182
+	166	184
+	183	188
+	4	183	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	184
+	183	188
+	3	183	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	132
+	219	142
+	223	137
+	4	218	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	142
+	223	137
+	3	218	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	137
+	220	128
+	218	132
+	4	223	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	128
+	218	132
+	3	223	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	153
+	67	141
+	71	147
+	4	71	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	141
+	71	147
+	3	71	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	71	147
+	78	158
+	71	153
+	4	71	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	158
+	71	153
+	3	71	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	215
+	193	213
+	179	207
+	4	177	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	213
+	179	207
+	3	177	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	213
+	177	215
+	190	222
+	4	193	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	215
+	190	222
+	3	193	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	171
+	148	170
+	130	170
+	4	131	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	170
+	130	170
+	3	131	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	170
+	131	171
+	148	173
+	4	148	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	171
+	148	173
+	3	148	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	111
+	206	114
+	203	114
+	4	197	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	114
+	203	114
+	3	197	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	182	155
+	193	147
+	181	150
+	4	182	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	147
+	181	150
+	3	182	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	147
+	182	155
+	195	152
+	4	193	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	155
+	195	152
+	3	193	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	158
+	205	149
+	195	152
+	4	196	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	149
+	195	152
+	3	196	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	149
+	196	158
+	208	155
+	4	205	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	158
+	208	155
+	3	205	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	155
+	213	146
+	205	149
+	4	208	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	146
+	205	149
+	3	208	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	146
+	208	155
+	216	152
+	4	213	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	155
+	216	152
+	3	213	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	152
+	219	142
+	213	146
+	4	216	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	142
+	213	146
+	3	216	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	87	166
+	78	158
+	88	163
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	158
+	88	163
+	3	87	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	88	163
+	99	168
+	87	166
+	4	88	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	168
+	87	166
+	3	88	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	114
+	214	120
+	212	117
+	4	206	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	120
+	212	117
+	3	206	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	117
+	203	114
+	206	114
+	4	212	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	114
+	206	114
+	3	212	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	93	67
+	105	53
+	99	57
+	4	93	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	53
+	99	57
+	3	93	67	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	111	42
+	99	57
+	105	53
+	4	111	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	57
+	105	53
+	3	111	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	179
+	183	176
+	167	175
+	4	166	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	176
+	167	175
+	3	166	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	176
+	166	179
+	183	182
+	4	183	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	179
+	183	182
+	3	183	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	120
+	220	128
+	219	124
+	4	214	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	128
+	219	124
+	3	214	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	124
+	212	117
+	214	120
+	4	219	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	117
+	214	120
+	3	219	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	173
+	167	170
+	148	170
+	4	148	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	170
+	148	170
+	3	148	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	170
+	148	173
+	167	175
+	4	167	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	173
+	167	175
+	3	167	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	99
+	84	86
+	78	91
+	4	75	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	86
+	78	91
+	3	75	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	77
+	78	91
+	84	86
+	4	88	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	91
+	84	86
+	3	88	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	112
+	153	119
+	156	115
+	4	151	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	119
+	156	115
+	3	151	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	123
+	156	115
+	153	119
+	4	156	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	115
+	153	119
+	3	156	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	115
+	156	123
+	160	118
+	4	156	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	123
+	160	118
+	3	156	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	110
+	150	116
+	151	112
+	4	146	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	116
+	151	112
+	3	146	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	119
+	151	112
+	150	116
+	4	153	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	112
+	150	116
+	3	153	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	207
+	195	205
+	180	201
+	4	179	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	205
+	180	201
+	3	179	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	205
+	179	207
+	193	213
+	4	195	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	207
+	193	213
+	3	195	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	127
+	160	118
+	156	123
+	4	158	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	118
+	156	123
+	3	158	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	118
+	158	127
+	164	121
+	4	160	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	127
+	164	121
+	3	160	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	142
+	216	152
+	223	148
+	4	219	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	152
+	223	148
+	3	219	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	148
+	223	137
+	219	142
+	4	223	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	137
+	219	142
+	3	223	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	116
+	146	110
+	147	112
+	4	150	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	110
+	147	112
+	3	150	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	160
+	195	152
+	182	155
+	4	183	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	152
+	182	155
+	3	183	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	152
+	183	160
+	196	158
+	4	195	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	160
+	196	158
+	3	195	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	131
+	164	121
+	158	127
+	4	159	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	121
+	158	127
+	3	159	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	121
+	159	131
+	167	125
+	4	164	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	131
+	167	125
+	3	164	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	134
+	167	125
+	159	131
+	4	161	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	125
+	159	131
+	3	161	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	125
+	161	134
+	170	128
+	4	167	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	134
+	170	128
+	3	167	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	138
+	170	128
+	161	134
+	4	162	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	128
+	161	134
+	3	162	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	170	128
+	162	138
+	173	132
+	4	170	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	138
+	173	132
+	3	170	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	128
+	223	137
+	224	133
+	4	220	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	137
+	224	133
+	3	220	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	133
+	219	124
+	220	128
+	4	224	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	124
+	220	128
+	3	224	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	201
+	197	197
+	182	194
+	4	180	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	197
+	182	194
+	3	180	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	197
+	180	201
+	195	205
+	4	197	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	201
+	195	205
+	3	197	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	164
+	208	155
+	196	158
+	4	198	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	155
+	196	158
+	3	198	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	155
+	198	164
+	209	162
+	4	208	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	164
+	209	162
+	3	208	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	162
+	216	152
+	208	155
+	4	209	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	152
+	208	155
+	3	209	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	142
+	173	132
+	162	138
+	4	164	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	132
+	162	138
+	3	164	142	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	173	132
+	164	142
+	176	137
+	4	173	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	142
+	176	137
+	3	173	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	163
+	71	153
+	78	158
+	4	78	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	153
+	78	158
+	3	78	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	158
+	87	166
+	78	163
+	4	78	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	78	163
+	3	78	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	175
+	184	170
+	167	170
+	4	167	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	170
+	167	170
+	3	167	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	170
+	167	175
+	183	176
+	4	184	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	175
+	183	176
+	3	184	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	169
+	152	188
+	149	172
+	4	149	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	188
+	149	172
+	3	149	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	134
+	66	121
+	66	127
+	4	64	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	121
+	66	127
+	3	64	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	113
+	66	127
+	66	121
+	4	69	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	127
+	66	121
+	3	69	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	127
+	67	141
+	64	134
+	4	66	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	141
+	64	134
+	3	66	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	165
+	196	158
+	183	160
+	4	183	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	158
+	183	160
+	3	183	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	158
+	183	165
+	198	164
+	4	196	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	165
+	198	164
+	3	196	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	146
+	176	137
+	164	142
+	4	164	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	137
+	164	142
+	3	164	146	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	176	137
+	164	146
+	178	141
+	4	176	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	146
+	178	141
+	3	176	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	194
+	198	190
+	183	188
+	4	182	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	190
+	183	188
+	3	182	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	190
+	182	194
+	197	197
+	4	198	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	194
+	197	197
+	3	198	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	150
+	178	141
+	164	146
+	4	165	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	141
+	164	146
+	3	165	150	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	178	141
+	165	150
+	179	146
+	4	178	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	150
+	179	146
+	3	178	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	152
+	209	162
+	219	158
+	4	216	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	162
+	219	158
+	3	216	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	158
+	223	148
+	216	152
+	4	219	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	148
+	216	152
+	3	219	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	121
+	72	107
+	69	113
+	4	66	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	107
+	69	113
+	3	66	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	99
+	69	113
+	72	107
+	4	75	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	113
+	72	107
+	3	75	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	154
+	179	146
+	165	150
+	4	166	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	146
+	165	150
+	3	166	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	146
+	166	154
+	181	150
+	4	179	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	154
+	181	150
+	3	179	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	137
+	223	148
+	227	143
+	4	223	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	148
+	227	143
+	3	223	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	143
+	224	133
+	223	137
+	4	227	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	133
+	223	137
+	3	227	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	169
+	114	169
+	130	170
+	4	130	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	169
+	130	170
+	3	130	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	170
+	148	167
+	130	169
+	4	130	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	167
+	130	169
+	3	130	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	167
+	130	170
+	148	170
+	4	148	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	170
+	148	170
+	3	148	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	170
+	99	168
+	114	169
+	4	114	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	168
+	114	169
+	3	114	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	169
+	130	169
+	114	170
+	4	114	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	169
+	114	170
+	3	114	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	114
+	212	117
+	208	117
+	4	203	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	117
+	208	117
+	3	203	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	188
+	198	183
+	183	182
+	4	183	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	183
+	183	182
+	3	183	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	183
+	183	188
+	198	190
+	4	198	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	188
+	198	190
+	3	198	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	147
+	64	134
+	67	141
+	4	66	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	134
+	67	141
+	3	66	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	141
+	71	153
+	66	147
+	4	67	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	153
+	66	147
+	3	67	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	170
+	167	166
+	148	167
+	4	148	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	166
+	148	167
+	3	148	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	166
+	148	170
+	167	170
+	4	167	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	170
+	167	170
+	3	167	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	158
+	181	150
+	166	154
+	4	166	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	150
+	166	154
+	3	166	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	150
+	166	158
+	182	155
+	4	181	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	158
+	182	155
+	3	181	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	170
+	183	165
+	167	166
+	4	167	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	165
+	167	166
+	3	167	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	165
+	167	170
+	184	170
+	4	183	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	170
+	184	170
+	3	183	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	77
+	100	64
+	93	67
+	4	88	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	64
+	93	67
+	3	88	77	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	53
+	93	67
+	100	64
+	4	105	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	67
+	100	64
+	3	105	53	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	182
+	199	176
+	183	176
+	4	183	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	176
+	183	176
+	3	183	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	176
+	183	182
+	198	183
+	4	199	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	182
+	198	183
+	3	199	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	170
+	198	164
+	183	165
+	4	184	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	164
+	183	165
+	3	184	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	164
+	184	170
+	198	170
+	4	198	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	170
+	198	170
+	3	198	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	170
+	209	162
+	198	164
+	4	198	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	162
+	198	164
+	3	198	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	162
+	182	155
+	166	158
+	4	167	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	155
+	166	158
+	3	167	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	155
+	167	162
+	183	160
+	4	182	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	162
+	183	160
+	3	182	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	99	170
+	87	166
+	99	168
+	4	99	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	99	168
+	3	99	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	168
+	114	170
+	99	170
+	4	99	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	170
+	99	170
+	3	99	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	166
+	183	160
+	167	162
+	4	167	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	160
+	167	162
+	3	167	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	160
+	167	166
+	183	165
+	4	183	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	166
+	183	165
+	3	183	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	176
+	198	170
+	184	170
+	4	183	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	170
+	184	170
+	3	183	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	170
+	183	176
+	199	176
+	4	198	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	176
+	199	176
+	3	198	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	117
+	219	124
+	217	121
+	4	212	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	124
+	217	121
+	3	212	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	121
+	208	117
+	212	117
+	4	217	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	117
+	212	117
+	3	217	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	162
+	198	170
+	211	168
+	4	209	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	170
+	211	168
+	3	209	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	168
+	219	158
+	209	162
+	4	211	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	158
+	209	162
+	3	211	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	148
+	219	158
+	226	154
+	4	223	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	158
+	226	154
+	3	223	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	154
+	227	143
+	223	148
+	4	226	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	143
+	223	148
+	3	226	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	188
+	149	169
+	148	185
+	4	152	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	169
+	148	185
+	3	152	188	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	166
+	148	185
+	149	169
+	4	149	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	185
+	149	169
+	3	149	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	124
+	224	133
+	224	129
+	4	219	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	133
+	224	129
+	3	219	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	129
+	217	121
+	219	124
+	4	224	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	121
+	219	124
+	3	224	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	162
+	148	167
+	167	166
+	4	167	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	167
+	167	166
+	3	167	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	176
+	211	168
+	198	170
+	4	199	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	168
+	198	170
+	3	199	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	280
+	181	274
+	173	265
+	4	167	280	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	274
+	173	265
+	3	167	280	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	274
+	167	280
+	172	290
+	4	181	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	280
+	172	290
+	3	181	274	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	107
+	81	94
+	75	99
+	4	72	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	94
+	75	99
+	3	72	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	86
+	75	99
+	81	94
+	4	84	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	99
+	81	94
+	3	84	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	158
+	66	147
+	71	153
+	4	71	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	147
+	71	153
+	3	71	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	71	153
+	78	163
+	71	158
+	4	71	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	163
+	71	158
+	3	71	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	169
+	78	163
+	87	166
+	4	88	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	163
+	87	166
+	3	88	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	87	166
+	99	170
+	88	169
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	170
+	88	169
+	3	87	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	164
+	130	169
+	148	167
+	4	148	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	169
+	148	167
+	3	148	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	167
+	167	162
+	148	164
+	4	148	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	162
+	148	164
+	3	148	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	158
+	211	168
+	220	165
+	4	219	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	168
+	220	165
+	3	219	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	165
+	226	154
+	219	158
+	4	220	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	154
+	219	158
+	3	220	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	133
+	227	143
+	229	139
+	4	224	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	143
+	229	139
+	3	224	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	139
+	224	129
+	224	133
+	4	229	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	129
+	224	133
+	3	229	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	158
+	148	164
+	167	162
+	4	166	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	164
+	167	162
+	3	166	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	168
+	199	176
+	211	175
+	4	211	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	176
+	211	175
+	3	211	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	183
+	211	175
+	199	176
+	4	198	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	175
+	199	176
+	3	198	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	175
+	220	165
+	211	168
+	4	211	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	165
+	211	168
+	3	211	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	167
+	114	170
+	130	169
+	4	130	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	170
+	130	169
+	3	130	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	169
+	148	164
+	130	167
+	4	130	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	164
+	130	167
+	3	130	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	86
+	96	74
+	88	77
+	4	84	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	74
+	88	77
+	3	84	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	64
+	88	77
+	96	74
+	4	100	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	77
+	96	74
+	3	100	64	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	148	185
+	149	166
+	146	181
+	4	148	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	166
+	146	181
+	3	148	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	163
+	146	181
+	149	166
+	4	149	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	181
+	149	166
+	3	149	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	175
+	198	183
+	211	182
+	4	211	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	183
+	211	182
+	3	211	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	190
+	211	182
+	198	183
+	4	198	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	182
+	198	183
+	3	198	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	154
+	148	162
+	166	158
+	4	166	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	162
+	166	158
+	3	166	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	164
+	166	158
+	148	162
+	4	148	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	158
+	148	162
+	3	148	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	265
+	188	260
+	179	253
+	4	173	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	260
+	179	253
+	3	173	265	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	260
+	173	265
+	181	274
+	4	188	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	265
+	181	274
+	3	188	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	117
+	217	121
+	212	120
+	4	208	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	121
+	212	120
+	3	208	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	143
+	226	154
+	230	150
+	4	227	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	154
+	230	150
+	3	227	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	150
+	229	139
+	227	143
+	4	230	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	139
+	227	143
+	3	230	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	170
+	99	170
+	114	170
+	4	114	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	170
+	114	170
+	3	114	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	170
+	130	167
+	114	170
+	4	114	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	167
+	114	170
+	3	114	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	79	167
+	71	158
+	78	163
+	4	79	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	158
+	78	163
+	3	79	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	163
+	88	169
+	79	167
+	4	78	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	169
+	79	167
+	3	78	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	141
+	65	128
+	64	134
+	4	64	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	128
+	64	134
+	3	64	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	121
+	64	134
+	65	128
+	4	66	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	134
+	65	128
+	3	66	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	134
+	66	147
+	64	141
+	4	64	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	147
+	64	141
+	3	64	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	128
+	70	115
+	66	121
+	4	65	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	115
+	66	121
+	3	65	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	107
+	66	121
+	70	115
+	4	72	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	121
+	70	115
+	3	72	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	182
+	198	190
+	211	190
+	4	211	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	190
+	211	190
+	3	211	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	197
+	211	190
+	198	190
+	4	197	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	190
+	198	190
+	3	197	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	150
+	149	159
+	166	154
+	4	165	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	166	154
+	3	165	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	162
+	166	154
+	149	159
+	4	148	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	154
+	149	159
+	3	148	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	121
+	224	129
+	221	126
+	4	217	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	129
+	221	126
+	3	217	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	126
+	212	120
+	217	121
+	4	221	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	120
+	217	121
+	3	221	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	162
+	130	167
+	148	164
+	4	148	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	167
+	148	164
+	3	148	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	154
+	220	165
+	228	161
+	4	226	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	165
+	228	161
+	3	226	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	161
+	230	150
+	226	154
+	4	228	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	150
+	226	154
+	3	228	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	172
+	88	169
+	99	170
+	4	100	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	169
+	99	170
+	3	100	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	170
+	114	170
+	100	172
+	4	99	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	170
+	100	172
+	3	99	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	253
+	194	247
+	183	241
+	4	179	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	247
+	183	241
+	3	179	253	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	247
+	179	253
+	188	260
+	4	194	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	253
+	188	260
+	3	194	247	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	190
+	197	197
+	210	198
+	4	211	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	197
+	210	198
+	3	211	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	205
+	210	198
+	197	197
+	4	195	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	198
+	197	197
+	3	195	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	165
+	211	175
+	222	173
+	4	220	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	175
+	222	173
+	3	220	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	182
+	222	173
+	211	175
+	4	211	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	173
+	211	175
+	3	211	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	153
+	64	141
+	66	147
+	4	66	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	141
+	66	147
+	3	66	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	147
+	71	158
+	66	153
+	4	66	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	158
+	66	153
+	3	66	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	146
+	149	156
+	165	150
+	4	164	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	156
+	165	150
+	3	164	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	159
+	165	150
+	149	156
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	150
+	149	156
+	3	149	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	173
+	228	161
+	220	165
+	4	222	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	161
+	220	165
+	3	222	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	129
+	229	139
+	228	134
+	4	224	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	139
+	228	134
+	3	224	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	134
+	221	126
+	224	129
+	4	228	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	126
+	224	129
+	3	228	134	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	181
+	149	163
+	143	177
+	4	146	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	163
+	143	177
+	3	146	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	160
+	143	177
+	149	163
+	4	149	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	177
+	149	163
+	3	149	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	198
+	195	205
+	208	207
+	4	210	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	205
+	208	207
+	3	210	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	213
+	208	207
+	195	205
+	4	193	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	207
+	195	205
+	3	193	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	241
+	199	236
+	187	231
+	4	183	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	236
+	187	231
+	3	183	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	236
+	183	241
+	194	247
+	4	199	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	241
+	194	247
+	3	199	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	115
+	78	103
+	72	107
+	4	70	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	103
+	72	107
+	3	70	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	94
+	72	107
+	78	103
+	4	81	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	107
+	78	103
+	3	81	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	207
+	193	213
+	206	216
+	4	208	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	213
+	206	216
+	3	208	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	222
+	206	216
+	193	213
+	4	190	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	216
+	193	213
+	3	190	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	231
+	203	226
+	190	222
+	4	187	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	226
+	190	222
+	3	187	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	226
+	187	231
+	199	236
+	4	203	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	231
+	199	236
+	3	203	226	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	94
+	92	83
+	84	86
+	4	81	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	83
+	84	86
+	3	81	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	74
+	84	86
+	92	83
+	4	96	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	86
+	92	83
+	3	96	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	142
+	149	154
+	164	146
+	4	164	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	154
+	164	146
+	3	164	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	156
+	164	146
+	149	154
+	4	149	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	146
+	149	154
+	3	149	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	166
+	114	170
+	130	167
+	4	131	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	170
+	130	167
+	3	131	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	167
+	148	162
+	131	166
+	4	130	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	162
+	131	166
+	3	130	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	216
+	190	222
+	203	226
+	4	206	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	222
+	203	226
+	3	206	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	172
+	79	167
+	88	169
+	4	89	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	167
+	88	169
+	3	89	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	169
+	100	172
+	89	172
+	4	88	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	172
+	89	172
+	3	88	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	139
+	230	150
+	232	145
+	4	229	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	150
+	232	145
+	3	229	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	145
+	228	134
+	229	139
+	4	232	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	134
+	229	139
+	3	232	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	159
+	131	166
+	148	162
+	4	149	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	166
+	148	162
+	3	149	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	164
+	66	153
+	71	158
+	4	72	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	153
+	71	158
+	3	72	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	71	158
+	79	167
+	72	164
+	4	71	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	167
+	72	164
+	3	71	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	138
+	149	151
+	164	142
+	4	162	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	164	142
+	3	162	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	154
+	164	142
+	149	151
+	4	149	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	142
+	149	151
+	3	149	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	173
+	211	182
+	222	180
+	4	222	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	182
+	222	180
+	3	222	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	190
+	222	180
+	211	182
+	4	211	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	180
+	211	182
+	3	211	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	120
+	221	126
+	216	124
+	4	212	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	126
+	216	124
+	3	212	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	171
+	100	172
+	114	170
+	4	115	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	172
+	114	170
+	3	115	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	170
+	131	166
+	115	171
+	4	114	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	166
+	115	171
+	3	114	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	177
+	149	160
+	141	173
+	4	143	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	160
+	141	173
+	3	143	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	157
+	141	173
+	149	160
+	4	149	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	173
+	149	160
+	3	149	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	150
+	228	161
+	233	157
+	4	230	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	161
+	233	157
+	3	230	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	157
+	232	145
+	230	150
+	4	233	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	145
+	230	150
+	3	233	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	134
+	149	148
+	162	138
+	4	161	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	162	138
+	3	161	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	151
+	162	138
+	149	148
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	138
+	149	148
+	3	149	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	28
+	131	11
+	127	12
+	4	118	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	11
+	127	12
+	3	118	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	161
+	222	173
+	230	169
+	4	228	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	173
+	230	169
+	3	228	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	169
+	233	157
+	228	161
+	4	230	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	157
+	228	161
+	3	230	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	180
+	230	169
+	222	173
+	4	222	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	169
+	222	173
+	3	222	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	131
+	149	146
+	161	134
+	4	159	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	146
+	161	134
+	3	159	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	148
+	161	134
+	149	146
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	134
+	149	146
+	3	149	148	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	111	42
+	124	28
+	118	28
+	4	111	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	28
+	118	28
+	3	111	42	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	11
+	118	28
+	124	28
+	4	131	11	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	28
+	124	28
+	3	131	11	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	126
+	228	134
+	225	131
+	4	221	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	134
+	225	131
+	3	221	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	131
+	216	124
+	221	126
+	4	225	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	124
+	221	126
+	3	225	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	156
+	131	165
+	149	159
+	4	149	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	165
+	149	159
+	3	149	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	166
+	149	159
+	131	165
+	4	131	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	159
+	131	165
+	3	131	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	171
+	72	164
+	79	167
+	4	80	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	164
+	79	167
+	3	80	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	167
+	89	172
+	80	171
+	4	79	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	172
+	80	171
+	3	79	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	136
+	69	123
+	65	128
+	4	65	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	123
+	65	128
+	3	65	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	115
+	65	128
+	69	123
+	4	70	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	128
+	69	123
+	3	70	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	128
+	64	141
+	65	136
+	4	65	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	141
+	65	136
+	3	65	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	174
+	89	172
+	100	172
+	4	101	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	172
+	100	172
+	3	101	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	172
+	115	171
+	101	174
+	4	100	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	171
+	101	174
+	3	100	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	103
+	90	92
+	81	94
+	4	78	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	92
+	81	94
+	3	78	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	83
+	81	94
+	90	92
+	4	92	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	94
+	90	92
+	3	92	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	180
+	211	190
+	222	189
+	4	222	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	190
+	222	189
+	3	222	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	198
+	222	189
+	211	190
+	4	210	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	189
+	211	190
+	3	210	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	165
+	115	171
+	131	166
+	4	131	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	171
+	131	166
+	3	131	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	127
+	149	143
+	159	131
+	4	158	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	143
+	159	131
+	3	158	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	146
+	159	131
+	149	143
+	4	149	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	131
+	149	143
+	3	149	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	148
+	65	136
+	64	141
+	4	64	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	136
+	64	141
+	3	64	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	141
+	66	153
+	64	148
+	4	64	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	153
+	64	148
+	3	64	141	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	105	53
+	118	42
+	111	42
+	4	105	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	42
+	111	42
+	3	105	53	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	124	28
+	111	42
+	118	42
+	4	124	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	42
+	118	42
+	3	124	28	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	173
+	149	157
+	139	170
+	4	141	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	157
+	139	170
+	3	141	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	154
+	139	170
+	149	157
+	4	149	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	170
+	149	157
+	3	149	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	123
+	76	111
+	70	115
+	4	69	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	111
+	70	115
+	3	69	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	103
+	70	115
+	76	111
+	4	78	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	115
+	76	111
+	3	78	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	134
+	232	145
+	232	140
+	4	228	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	145
+	232	140
+	3	228	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	140
+	225	131
+	228	134
+	4	232	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	131
+	228	134
+	3	232	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	123
+	149	140
+	158	127
+	4	156	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	140
+	158	127
+	3	156	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	143
+	158	127
+	149	140
+	4	149	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	127
+	149	140
+	3	149	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	159
+	64	148
+	66	153
+	4	67	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	148
+	66	153
+	3	67	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	153
+	72	164
+	67	159
+	4	66	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	164
+	67	159
+	3	66	153	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	100	64
+	114	54
+	105	53
+	4	100	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	54
+	105	53
+	3	100	64	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	118	42
+	105	53
+	114	54
+	4	118	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	53
+	114	54
+	3	118	42	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	119
+	149	137
+	156	123
+	4	153	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	137
+	156	123
+	3	153	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	140
+	156	123
+	149	137
+	4	149	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	123
+	149	137
+	3	149	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	154
+	132	164
+	149	156
+	4	149	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	164
+	149	156
+	3	149	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	165
+	149	156
+	132	164
+	4	131	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	156
+	132	164
+	3	131	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	145
+	233	157
+	235	151
+	4	232	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	157
+	235	151
+	3	232	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	151
+	232	140
+	232	145
+	4	235	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	140
+	232	145
+	3	235	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	176
+	80	171
+	89	172
+	4	90	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	171
+	89	172
+	3	90	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	172
+	101	174
+	90	176
+	4	89	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	174
+	90	176
+	3	89	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	189
+	210	198
+	221	197
+	4	222	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	198
+	221	197
+	3	222	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	207
+	221	197
+	210	198
+	4	208	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	197
+	210	198
+	3	208	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	171
+	101	174
+	115	171
+	4	116	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	174
+	115	171
+	3	116	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	171
+	131	165
+	116	171
+	4	115	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	165
+	116	171
+	3	115	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	169
+	222	180
+	230	177
+	4	230	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	180
+	230	177
+	3	230	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	189
+	230	177
+	222	180
+	4	222	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	177
+	222	180
+	3	222	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	116
+	149	134
+	153	119
+	4	150	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	134
+	153	119
+	3	150	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	137
+	153	119
+	149	134
+	4	149	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	119
+	149	134
+	3	149	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	170
+	149	154
+	137	166
+	4	139	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	154
+	137	166
+	3	139	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	152
+	137	166
+	149	154
+	4	149	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	166
+	149	154
+	3	149	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	96	74
+	110	65
+	100	64
+	4	96	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	65
+	100	64
+	3	96	74	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	54
+	100	64
+	110	65
+	4	114	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	64
+	110	65
+	3	114	54	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	124
+	225	131
+	220	128
+	4	216	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	131
+	220	128
+	3	216	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	157
+	230	169
+	235	164
+	4	233	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	169
+	235	164
+	3	233	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	164
+	235	151
+	233	157
+	4	235	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	151
+	233	157
+	3	235	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	169
+	67	159
+	72	164
+	4	73	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	159
+	72	164
+	3	73	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	164
+	80	171
+	73	169
+	4	72	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	171
+	73	169
+	3	72	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	177
+	235	164
+	230	169
+	4	230	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	164
+	230	169
+	3	230	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	111
+	87	100
+	78	103
+	4	76	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	100
+	78	103
+	3	76	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	92
+	78	103
+	87	100
+	4	90	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	103
+	87	100
+	3	90	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	164
+	116	171
+	131	165
+	4	132	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	171
+	131	165
+	3	132	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	112
+	149	131
+	150	116
+	4	147	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	150	116
+	3	147	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	134
+	150	116
+	149	131
+	4	149	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	116
+	149	131
+	3	149	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	151
+	132	163
+	149	154
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	163
+	149	154
+	3	149	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	164
+	149	154
+	132	163
+	4	132	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	154
+	132	163
+	3	132	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	197
+	208	207
+	219	206
+	4	221	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	207
+	219	206
+	3	221	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	216
+	219	206
+	208	207
+	4	206	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	206
+	208	207
+	3	206	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	176
+	90	176
+	101	174
+	4	103	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	176
+	101	174
+	3	103	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	174
+	116	171
+	103	176
+	4	101	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	171
+	103	176
+	3	101	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	131
+	232	140
+	229	136
+	4	225	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	140
+	229	136
+	3	225	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	136
+	220	128
+	225	131
+	4	229	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	128
+	225	131
+	3	229	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	92	83
+	106	75
+	96	74
+	4	92	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	75
+	96	74
+	3	92	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	110	65
+	96	74
+	106	75
+	4	110	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	74
+	106	75
+	3	110	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	131
+	147	112
+	150	127
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	112
+	150	127
+	3	149	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	143
+	68	130
+	65	136
+	4	65	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	130
+	65	136
+	3	65	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	123
+	65	136
+	68	130
+	4	69	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	136
+	68	130
+	3	69	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	136
+	64	148
+	65	143
+	4	65	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	148
+	65	143
+	3	65	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	166
+	149	152
+	135	162
+	4	137	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	152
+	135	162
+	3	137	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	149
+	135	162
+	149	152
+	4	149	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	162
+	149	152
+	3	149	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	176
+	73	169
+	80	171
+	4	82	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	169
+	80	171
+	3	82	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	171
+	90	176
+	82	176
+	4	80	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	176
+	82	176
+	3	80	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	130
+	75	119
+	69	123
+	4	68	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	119
+	69	123
+	3	68	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	111
+	69	123
+	75	119
+	4	76	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	123
+	75	119
+	3	76	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	155
+	65	143
+	64	148
+	4	65	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	143
+	64	148
+	3	65	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	148
+	67	159
+	65	155
+	4	64	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	159
+	65	155
+	3	64	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	177
+	222	189
+	231	185
+	4	230	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	189
+	231	185
+	3	230	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	197
+	231	185
+	222	189
+	4	221	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	185
+	222	189
+	3	221	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	140
+	235	151
+	235	146
+	4	232	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	151
+	235	146
+	3	232	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	146
+	229	136
+	232	140
+	4	235	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	136
+	232	140
+	3	235	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	206
+	206	216
+	217	216
+	4	219	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	216
+	217	216
+	3	219	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	226
+	217	216
+	206	216
+	4	203	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	216
+	206	216
+	3	203	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	172
+	103	176
+	116	171
+	4	117	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	176
+	116	171
+	3	117	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	171
+	132	164
+	117	172
+	4	116	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	164
+	117	172
+	3	116	171	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	90	92
+	103	84
+	92	83
+	4	90	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	84
+	92	83
+	3	90	92	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	106	75
+	92	83
+	103	84
+	4	106	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	83
+	103	84
+	3	106	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	148
+	133	162
+	149	151
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	162
+	149	151
+	3	149	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	163
+	149	151
+	133	162
+	4	132	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	133	162
+	3	132	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	163
+	117	172
+	132	164
+	4	132	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	172
+	132	164
+	3	132	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	119
+	86	108
+	76	111
+	4	75	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	108
+	76	111
+	3	75	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	100
+	76	111
+	86	108
+	4	87	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	111
+	86	108
+	3	87	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	165
+	65	155
+	67	159
+	4	69	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	155
+	67	159
+	3	69	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	159
+	73	169
+	69	165
+	4	67	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	169
+	69	165
+	3	67	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	179
+	82	176
+	90	176
+	4	93	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	176
+	90	176
+	3	93	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	176
+	103	176
+	93	179
+	4	90	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	176
+	93	179
+	3	90	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	162
+	149	149
+	134	158
+	4	135	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	149
+	134	158
+	3	135	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	146
+	134	158
+	149	149
+	4	149	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	158
+	149	149
+	3	149	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	151
+	235	164
+	237	158
+	4	235	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	164
+	237	158
+	3	235	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	158
+	235	146
+	235	151
+	4	237	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	146
+	235	151
+	3	237	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	164
+	230	177
+	236	172
+	4	235	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	177
+	236	172
+	3	235	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	185
+	236	172
+	230	177
+	4	231	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	172
+	230	177
+	3	231	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	128
+	229	136
+	223	132
+	4	220	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	136
+	223	132
+	3	220	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	216
+	203	226
+	214	226
+	4	217	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	226
+	214	226
+	3	217	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	236
+	214	226
+	203	226
+	4	199	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	226
+	203	226
+	3	199	236	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	172
+	237	158
+	235	164
+	4	236	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	158
+	235	164
+	3	236	172	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	87	100
+	101	92
+	90	92
+	4	87	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	92
+	90	92
+	3	87	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	84
+	90	92
+	101	92
+	4	103	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	92
+	101	92
+	3	103	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	174
+	69	165
+	73	169
+	4	76	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	165
+	73	169
+	3	76	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	169
+	82	176
+	76	174
+	4	73	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	176
+	76	174
+	3	73	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	146
+	135	162
+	149	148
+	4	149	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	162
+	149	148
+	3	149	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	162
+	149	148
+	135	162
+	4	133	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	135	162
+	3	133	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	178
+	93	179
+	103	176
+	4	105	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	179
+	103	176
+	3	105	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	176
+	117	172
+	105	178
+	4	103	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	172
+	105	178
+	3	103	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	158
+	149	146
+	133	154
+	4	134	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	146
+	133	154
+	3	134	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	143
+	133	154
+	149	146
+	4	149	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	154
+	149	146
+	3	149	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	185
+	221	197
+	230	194
+	4	231	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	197
+	230	194
+	3	231	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	206
+	230	194
+	221	197
+	4	219	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	194
+	221	197
+	3	219	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	185
+	153	193
+	152	188
+	4	148	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	193
+	152	188
+	3	148	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	138
+	75	126
+	68	130
+	4	68	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	68	130
+	3	68	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	119
+	68	130
+	75	126
+	4	75	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	130
+	75	126
+	3	75	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	130
+	65	143
+	68	138
+	4	68	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	143
+	68	138
+	3	68	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	226
+	199	236
+	209	238
+	4	214	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	236
+	209	238
+	3	214	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	247
+	209	238
+	199	236
+	4	194	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	238
+	199	236
+	3	194	247	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	150
+	68	138
+	65	143
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	138
+	65	143
+	3	66	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	143
+	65	155
+	66	150
+	4	65	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	155
+	66	150
+	3	65	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	136
+	235	146
+	231	141
+	4	229	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	146
+	231	141
+	3	229	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	141
+	223	132
+	229	136
+	4	231	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	132
+	229	136
+	3	231	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	162
+	119	173
+	132	163
+	4	133	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	173
+	132	163
+	3	133	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	172
+	132	163
+	119	173
+	4	117	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	163
+	119	173
+	3	117	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	85	180
+	76	174
+	82	176
+	4	85	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	174
+	82	176
+	3	85	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	176
+	93	179
+	85	180
+	4	82	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	179
+	85	180
+	3	82	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	173
+	105	178
+	117	172
+	4	119	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	178
+	117	172
+	3	119	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	126
+	85	116
+	75	119
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	116
+	75	119
+	3	75	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	108
+	75	119
+	85	116
+	4	86	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	119
+	85	116
+	3	86	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	193
+	148	185
+	148	190
+	4	153	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	185
+	148	190
+	3	153	193	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	181
+	148	190
+	148	185
+	4	146	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	190
+	148	185
+	3	146	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	108
+	99	100
+	87	100
+	4	86	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	100
+	87	100
+	3	86	108	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	101	92
+	87	100
+	99	100
+	4	101	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	100
+	99	100
+	3	101	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	161
+	66	150
+	65	155
+	4	67	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	65	155
+	3	67	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	155
+	69	165
+	67	161
+	4	65	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	165
+	67	161
+	3	65	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	238
+	194	247
+	204	250
+	4	209	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	247
+	204	250
+	3	209	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	260
+	204	250
+	194	247
+	4	188	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	250
+	194	247
+	3	188	260	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	143
+	136	161
+	149	146
+	4	149	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	161
+	149	146
+	3	149	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	162
+	149	146
+	136	161
+	4	135	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	146
+	136	161
+	3	135	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	190
+	146	181
+	143	187
+	4	148	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	181
+	143	187
+	3	148	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	177
+	143	187
+	146	181
+	4	143	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	187
+	146	181
+	3	143	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	146
+	237	158
+	237	152
+	4	235	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	158
+	237	152
+	3	235	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	152
+	231	141
+	235	146
+	4	237	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	141
+	235	146
+	3	237	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	154
+	149	143
+	132	150
+	4	133	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	143
+	132	150
+	3	133	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	140
+	132	150
+	149	143
+	4	149	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	150
+	149	143
+	3	149	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	182
+	85	180
+	93	179
+	4	96	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	180
+	93	179
+	3	96	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	179
+	105	178
+	96	182
+	4	93	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	178
+	96	182
+	3	93	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	250
+	188	260
+	197	264
+	4	204	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	260
+	197	264
+	3	204	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	274
+	197	264
+	188	260
+	4	181	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	264
+	188	260
+	3	181	274	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	171
+	67	161
+	69	165
+	4	72	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	161
+	69	165
+	3	72	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	165
+	76	174
+	72	171
+	4	69	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	174
+	72	171
+	3	69	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	172
+	231	185
+	236	180
+	4	236	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	185
+	236	180
+	3	236	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	194
+	236	180
+	231	185
+	4	230	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	180
+	231	185
+	3	230	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	187
+	143	177
+	138	184
+	4	143	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	177
+	138	184
+	3	143	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	173
+	138	184
+	143	177
+	4	141	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	184
+	143	177
+	3	141	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	264
+	181	274
+	188	279
+	4	197	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	274
+	188	279
+	3	197	264	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	290
+	188	279
+	181	274
+	4	172	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	279
+	181	274
+	3	172	290	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	158
+	236	172
+	239	166
+	4	237	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	172
+	239	166
+	3	237	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	166
+	237	152
+	237	158
+	4	239	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	152
+	237	158
+	3	239	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	194
+	219	206
+	228	203
+	4	230	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	206
+	228	203
+	3	230	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	216
+	228	203
+	219	206
+	4	217	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	203
+	219	206
+	3	217	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	116
+	98	107
+	86	108
+	4	85	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	107
+	86	108
+	3	85	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	100
+	86	108
+	98	107
+	4	99	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	108
+	98	107
+	3	99	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	279
+	172	290
+	178	296
+	4	188	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	290
+	178	296
+	3	188	279	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	184
+	141	173
+	134	181
+	4	138	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	173
+	134	181
+	3	138	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	170
+	134	181
+	141	173
+	4	139	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	141	173
+	3	139	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	180
+	239	166
+	236	172
+	4	236	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	166
+	236	172
+	3	236	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	180
+	96	182
+	105	178
+	4	108	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	182
+	105	178
+	3	108	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	178
+	119	173
+	108	180
+	4	105	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	173
+	108	180
+	3	105	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	162
+	121	174
+	133	162
+	4	135	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	174
+	133	162
+	3	135	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	173
+	133	162
+	121	174
+	4	119	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	162
+	121	174
+	3	119	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	132
+	231	141
+	225	136
+	4	223	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	141
+	225	136
+	3	223	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	140
+	138	160
+	149	143
+	4	149	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	160
+	149	143
+	3	149	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	161
+	149	143
+	138	160
+	4	136	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	143
+	138	160
+	3	136	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	179
+	72	171
+	76	174
+	4	79	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	171
+	76	174
+	3	79	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	174
+	85	180
+	79	179
+	4	76	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	180
+	79	179
+	3	76	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	181
+	139	170
+	130	177
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	170
+	130	177
+	3	134	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	166
+	130	177
+	139	170
+	4	137	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	177
+	139	170
+	3	137	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	133
+	84	123
+	75	126
+	4	75	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	123
+	75	126
+	3	75	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	116
+	75	126
+	84	123
+	4	85	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	84	123
+	3	85	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	126
+	68	138
+	75	133
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	138
+	75	133
+	3	75	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	145
+	75	133
+	68	138
+	4	70	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	133
+	68	138
+	3	70	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	138
+	66	150
+	70	145
+	4	68	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	70	145
+	3	68	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	150
+	149	140
+	131	145
+	4	132	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	140
+	131	145
+	3	132	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	137
+	131	145
+	149	140
+	4	149	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	145
+	149	140
+	3	149	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	174
+	108	180
+	119	173
+	4	121	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	180
+	119	173
+	3	121	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	177
+	137	166
+	126	173
+	4	130	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	166
+	126	173
+	3	130	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	162
+	126	173
+	137	166
+	4	135	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	173
+	137	166
+	3	135	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	156
+	70	145
+	66	150
+	4	68	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	145
+	66	150
+	3	68	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	150
+	67	161
+	68	156
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	161
+	68	156
+	3	66	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	184
+	79	179
+	85	180
+	4	88	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	179
+	85	180
+	3	88	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	180
+	96	182
+	88	184
+	4	85	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	182
+	88	184
+	3	85	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	123
+	97	115
+	85	116
+	4	84	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	115
+	85	116
+	3	84	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	107
+	85	116
+	97	115
+	4	98	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	116
+	97	115
+	3	98	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	173
+	135	162
+	123	168
+	4	126	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	162
+	123	168
+	3	126	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	158
+	123	168
+	135	162
+	4	134	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	168
+	135	162
+	3	134	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	141
+	237	152
+	233	146
+	4	231	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	152
+	233	146
+	3	231	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	146
+	225	136
+	231	141
+	4	233	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	136
+	231	141
+	3	233	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	137
+	140	159
+	149	140
+	4	149	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	159
+	149	140
+	3	149	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	160
+	149	140
+	140	159
+	4	138	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	140
+	140	159
+	3	138	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	167
+	68	156
+	67	161
+	4	70	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	156
+	67	161
+	3	70	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	161
+	72	171
+	70	167
+	4	67	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	171
+	70	167
+	3	67	161	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	84
+	119	78
+	106	75
+	4	103	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	78
+	106	75
+	3	103	84	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	121	69
+	106	75
+	119	78
+	4	121	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	75
+	119	78
+	3	121	69	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	106	75
+	121	69
+	110	65
+	4	106	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	69
+	110	65
+	3	106	75	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	58
+	110	65
+	121	69
+	4	124	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	65
+	121	69
+	3	124	58	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	65
+	124	58
+	114	54
+	4	110	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	58
+	114	54
+	3	110	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	185
+	88	184
+	96	182
+	4	99	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	184
+	96	182
+	3	99	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	182
+	108	180
+	99	185
+	4	96	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	180
+	99	185
+	3	96	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	203
+	217	216
+	226	214
+	4	228	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	216
+	226	214
+	3	228	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	226
+	226	214
+	217	216
+	4	214	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	214
+	217	216
+	3	214	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	145
+	149	137
+	131	141
+	4	131	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	137
+	131	141
+	3	131	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	134
+	131	141
+	149	137
+	4	149	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	141
+	149	137
+	3	149	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	101	92
+	117	87
+	103	84
+	4	101	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	87
+	103	84
+	3	101	92	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	119	78
+	103	84
+	117	87
+	4	119	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	84
+	117	87
+	3	119	78	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	123	168
+	134	158
+	121	164
+	4	123	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	158
+	121	164
+	3	123	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	154
+	121	164
+	134	158
+	4	133	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	164
+	134	158
+	3	133	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	127	46
+	114	54
+	124	58
+	4	127	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	54
+	124	58
+	3	127	46	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	54
+	127	46
+	118	42
+	4	114	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	46
+	118	42
+	3	114	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	161
+	123	175
+	135	162
+	4	136	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	175
+	135	162
+	3	136	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	174
+	135	162
+	123	175
+	4	121	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	162
+	123	175
+	3	121	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	180
+	230	194
+	236	189
+	4	236	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	194
+	236	189
+	3	236	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	203
+	236	189
+	230	194
+	4	228	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	189
+	230	194
+	3	228	203	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	99	100
+	115	95
+	101	92
+	4	99	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	101	92
+	3	99	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	117	87
+	101	92
+	115	95
+	4	117	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	92
+	115	95
+	3	117	87	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	121	164
+	133	154
+	119	159
+	4	121	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	154
+	119	159
+	3	121	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	150
+	119	159
+	133	154
+	4	132	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	159
+	133	154
+	3	132	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	33
+	118	42
+	127	46
+	4	131	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	42
+	127	46
+	3	131	33	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	42
+	131	33
+	124	28
+	4	118	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	33
+	124	28
+	3	118	42	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	177
+	70	167
+	72	171
+	4	76	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	167
+	72	171
+	3	76	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	171
+	79	179
+	76	177
+	4	72	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	179
+	76	177
+	3	72	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	183
+	99	185
+	108	180
+	4	111	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	185
+	108	180
+	3	111	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	180
+	121	174
+	111	183
+	4	108	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	174
+	111	183
+	3	108	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	140
+	84	130
+	75	133
+	4	76	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	130
+	75	133
+	3	76	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	123
+	75	133
+	84	130
+	4	84	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	133
+	84	130
+	3	84	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	133
+	70	145
+	76	140
+	4	75	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	145
+	76	140
+	3	75	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	152
+	239	166
+	238	159
+	4	237	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	166
+	238	159
+	3	237	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	238	159
+	233	146
+	237	152
+	4	238	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	146
+	237	152
+	3	238	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	107
+	114	102
+	99	100
+	4	98	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	102
+	99	100
+	3	98	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	95
+	99	100
+	114	102
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	100
+	114	102
+	3	115	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	130
+	97	122
+	84	123
+	4	84	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	122
+	84	123
+	3	84	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	115
+	84	123
+	97	122
+	4	97	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	123
+	97	122
+	3	97	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	175
+	111	183
+	121	174
+	4	123	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	183
+	121	174
+	3	123	175	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	119	159
+	132	150
+	117	154
+	4	119	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	150
+	117	154
+	3	119	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	145
+	117	154
+	132	150
+	4	131	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	154
+	132	150
+	3	131	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	134
+	142	158
+	149	137
+	4	149	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	158
+	149	137
+	3	149	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	159
+	149	137
+	142	158
+	4	140	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	137
+	142	158
+	3	140	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	152
+	76	140
+	70	145
+	4	72	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	140
+	70	145
+	3	72	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	145
+	68	156
+	72	152
+	4	70	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	156
+	72	152
+	3	70	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	184
+	76	177
+	79	179
+	4	83	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	177
+	79	179
+	3	83	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	179
+	88	184
+	83	184
+	4	79	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	184
+	83	184
+	3	79	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	115
+	113	109
+	98	107
+	4	97	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	109
+	98	107
+	3	97	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	102
+	98	107
+	113	109
+	4	114	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	107
+	113	109
+	3	114	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	166
+	236	180
+	239	174
+	4	239	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	180
+	239	174
+	3	239	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	189
+	239	174
+	236	180
+	4	236	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	174
+	236	180
+	3	236	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	174
+	238	159
+	239	166
+	4	239	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	159
+	239	166
+	3	239	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	16
+	124	28
+	131	33
+	4	136	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	28
+	131	33
+	3	136	16	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	28
+	136	16
+	131	11
+	4	124	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	16
+	131	11
+	3	124	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	141
+	149	134
+	130	137
+	4	131	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	134
+	130	137
+	3	131	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	131
+	130	137
+	149	134
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	137
+	149	134
+	3	149	131	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	117	154
+	131	145
+	115	149
+	4	117	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	145
+	115	149
+	3	117	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	141
+	115	149
+	131	145
+	4	131	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	149
+	131	145
+	3	131	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	136
+	233	146
+	227	141
+	4	225	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	146
+	227	141
+	3	225	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	163
+	72	152
+	68	156
+	4	71	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	152
+	68	156
+	3	71	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	156
+	70	167
+	71	163
+	4	68	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	167
+	71	163
+	3	68	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	188
+	83	184
+	88	184
+	4	93	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	184
+	88	184
+	3	93	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	184
+	99	185
+	93	188
+	4	88	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	185
+	93	188
+	3	88	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	214
+	214	226
+	222	224
+	4	226	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	226
+	222	224
+	3	226	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	238
+	222	224
+	214	226
+	4	209	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	224
+	214	226
+	3	209	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	122
+	113	115
+	97	115
+	4	97	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	115
+	97	115
+	3	97	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	109
+	97	115
+	113	115
+	4	113	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	115
+	113	115
+	3	113	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	160
+	126	175
+	136	161
+	4	138	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	175
+	136	161
+	3	138	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	175
+	136	161
+	126	175
+	4	123	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	161
+	126	175
+	3	123	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	115	149
+	131	141
+	114	144
+	4	115	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	141
+	114	144
+	3	115	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	137
+	114	144
+	131	141
+	4	130	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	144
+	131	141
+	3	130	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	137
+	97	128
+	84	130
+	4	85	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	128
+	84	130
+	3	85	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	122
+	84	130
+	97	128
+	4	97	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	130
+	97	128
+	3	97	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	130
+	76	140
+	85	137
+	4	84	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	140
+	85	137
+	3	84	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	188
+	93	188
+	99	185
+	4	103	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	188
+	99	185
+	3	103	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	185
+	111	183
+	103	188
+	4	99	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	183
+	103	188
+	3	99	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	131
+	145	157
+	149	134
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	157
+	149	134
+	3	149	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	158
+	149	134
+	145	157
+	4	142	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	134
+	145	157
+	3	142	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	128
+	112	121
+	97	122
+	4	97	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	121
+	97	122
+	3	97	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	115
+	97	122
+	112	121
+	4	113	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	122
+	112	121
+	3	113	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	173
+	71	163
+	70	167
+	4	74	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	163
+	70	167
+	3	74	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	167
+	76	177
+	74	173
+	4	70	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	177
+	74	173
+	3	70	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	147
+	85	137
+	76	140
+	4	78	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	137
+	76	140
+	3	78	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	140
+	72	152
+	78	147
+	4	76	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	152
+	78	147
+	3	76	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	137
+	149	131
+	130	132
+	4	130	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	130	132
+	3	130	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	144
+	130	137
+	113	139
+	4	114	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	137
+	113	139
+	3	114	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	132
+	113	139
+	130	137
+	4	130	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	139
+	130	137
+	3	130	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	184
+	103	188
+	111	183
+	4	115	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	188
+	111	183
+	3	115	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	183
+	123	175
+	115	184
+	4	111	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	175
+	115	184
+	3	111	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	128
+	130	132
+	149	131
+	4	149	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	132
+	149	131
+	3	149	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	175
+	115	184
+	123	175
+	4	126	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	184
+	123	175
+	3	126	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	189
+	228	203
+	234	198
+	4	236	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	203
+	234	198
+	3	236	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	214
+	234	198
+	228	203
+	4	226	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	198
+	228	203
+	3	226	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	146
+	238	159
+	235	152
+	4	233	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	159
+	235	152
+	3	233	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	152
+	227	141
+	233	146
+	4	235	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	141
+	233	146
+	3	235	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	182
+	74	173
+	76	177
+	4	80	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	173
+	76	177
+	3	80	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	177
+	83	184
+	80	182
+	4	76	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	184
+	80	182
+	3	76	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	135
+	112	127
+	97	128
+	4	97	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	127
+	97	128
+	3	97	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	121
+	97	128
+	112	127
+	4	112	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	128
+	112	127
+	3	112	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	128
+	85	137
+	97	135
+	4	97	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	137
+	97	135
+	3	97	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	132
+	149	128
+	130	127
+	4	130	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	128
+	130	127
+	3	130	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	139
+	130	132
+	113	133
+	4	113	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	132
+	113	133
+	3	113	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	127
+	113	133
+	130	132
+	4	130	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	133
+	130	132
+	3	130	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	74	158
+	78	147
+	72	152
+	4	74	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	147
+	72	152
+	3	74	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	152
+	71	163
+	74	158
+	4	72	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	163
+	74	158
+	3	72	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	144
+	97	135
+	85	137
+	4	87	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	135
+	85	137
+	3	87	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	137
+	78	147
+	87	144
+	4	85	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	147
+	87	144
+	3	85	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	224
+	209	238
+	217	236
+	4	222	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	238
+	217	236
+	3	222	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	250
+	217	236
+	209	238
+	4	204	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	236
+	209	238
+	3	204	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	159
+	129	176
+	138	160
+	4	140	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	176
+	138	160
+	3	140	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	175
+	138	160
+	129	176
+	4	126	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	160
+	129	176
+	3	126	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	188
+	80	182
+	83	184
+	4	88	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	182
+	83	184
+	3	88	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	184
+	93	188
+	88	188
+	4	83	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	188
+	88	188
+	3	83	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	133
+	130	127
+	112	127
+	4	113	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	127
+	112	127
+	3	113	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	122
+	112	127
+	130	127
+	4	130	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	127
+	130	127
+	3	130	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	127
+	130	122
+	112	121
+	4	112	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	122
+	112	121
+	3	112	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	127
+	97	135
+	113	133
+	4	112	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	135
+	113	133
+	3	112	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	117
+	112	121
+	130	122
+	4	130	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	121
+	130	122
+	3	130	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	121
+	130	117
+	113	115
+	4	112	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	117
+	113	115
+	3	112	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	133
+	98	141
+	113	139
+	4	113	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	141
+	113	139
+	3	113	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	141
+	113	133
+	97	135
+	4	98	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	133
+	97	135
+	3	98	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	112
+	113	115
+	130	117
+	4	131	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	115
+	130	117
+	3	131	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	115
+	131	112
+	113	109
+	4	113	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	112
+	113	109
+	3	113	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	127
+	148	156
+	149	131
+	4	150	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	156
+	149	131
+	3	150	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	157
+	149	131
+	148	156
+	4	145	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	148	156
+	3	145	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	113	139
+	100	147
+	114	144
+	4	113	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	147
+	114	144
+	3	113	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	147
+	113	139
+	98	141
+	4	100	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	139
+	98	141
+	3	100	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	135
+	87	144
+	98	141
+	4	97	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	144
+	98	141
+	3	97	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	124
+	130	127
+	149	128
+	4	149	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	127
+	149	128
+	3	149	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	127
+	149	124
+	130	122
+	4	130	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	124
+	130	122
+	3	130	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	159
+	239	174
+	239	166
+	4	238	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	174
+	239	166
+	3	238	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	239	166
+	235	152
+	238	159
+	4	239	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	152
+	238	159
+	3	239	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	106
+	113	109
+	131	112
+	4	131	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	109
+	131	112
+	3	131	106	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	113	109
+	131	106
+	114	102
+	4	113	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	106
+	114	102
+	3	113	109	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	114	144
+	102	152
+	115	149
+	4	114	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	152
+	115	149
+	3	114	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	152
+	114	144
+	100	147
+	4	102	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	144
+	100	147
+	3	102	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	191
+	88	188
+	93	188
+	4	98	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	188
+	93	188
+	3	98	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	188
+	103	188
+	98	191
+	4	93	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	188
+	98	191
+	3	93	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	169
+	74	158
+	71	163
+	4	75	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	158
+	71	163
+	3	75	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	163
+	74	173
+	75	169
+	4	71	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	173
+	75	169
+	3	71	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	174
+	236	189
+	239	182
+	4	239	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	189
+	239	182
+	3	239	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	198
+	239	182
+	236	189
+	4	234	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	182
+	236	189
+	3	234	198	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	115	149
+	104	158
+	117	154
+	4	115	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	158
+	117	154
+	3	115	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	158
+	115	149
+	102	152
+	4	104	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	149
+	102	152
+	3	104	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	100
+	114	102
+	131	106
+	4	132	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	102
+	131	106
+	3	132	100	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	102
+	132	100
+	115	95
+	4	114	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	100
+	115	95
+	3	114	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	191
+	98	191
+	103	188
+	4	108	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	191
+	103	188
+	3	108	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	188
+	115	184
+	108	191
+	4	103	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	184
+	108	191
+	3	103	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	154
+	87	144
+	78	147
+	4	80	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	144
+	78	147
+	3	80	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	147
+	74	158
+	80	154
+	4	78	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	158
+	80	154
+	3	78	147	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	117	154
+	107	163
+	119	159
+	4	117	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	163
+	119	159
+	3	117	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	163
+	117	154
+	104	158
+	4	107	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	154
+	104	158
+	3	107	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	182
+	239	166
+	239	174
+	4	239	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	166
+	239	174
+	3	239	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	186
+	108	191
+	115	184
+	4	119	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	191
+	115	184
+	3	119	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	184
+	126	175
+	119	186
+	4	115	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	175
+	119	186
+	3	115	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	176
+	119	186
+	126	175
+	4	129	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	186
+	126	175
+	3	129	176	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	119	159
+	110	168
+	121	164
+	4	119	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	168
+	121	164
+	3	119	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	168
+	119	159
+	107	163
+	4	110	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	159
+	107	163
+	3	110	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	141
+	89	150
+	100	147
+	4	98	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	150
+	100	147
+	3	98	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	150
+	98	141
+	87	144
+	4	89	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	141
+	87	144
+	3	89	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	133	93
+	115	95
+	132	100
+	4	133	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	132	100
+	3	133	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	115	95
+	133	93
+	117	87
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	93
+	117	87
+	3	115	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	120
+	130	122
+	149	124
+	4	149	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	122
+	149	124
+	3	149	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	122
+	149	120
+	130	117
+	4	130	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	120
+	130	117
+	3	130	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	141
+	235	152
+	228	145
+	4	227	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	152
+	228	145
+	3	227	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	144
+	80	154
+	89	150
+	4	87	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	154
+	89	150
+	3	87	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	164
+	114	173
+	123	168
+	4	121	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	173
+	123	168
+	3	121	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	173
+	121	164
+	110	168
+	4	114	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	164
+	110	168
+	3	114	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	179
+	75	169
+	74	173
+	4	79	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	169
+	74	173
+	3	79	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	173
+	80	182
+	79	179
+	4	74	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	182
+	79	179
+	3	74	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	168
+	119	177
+	126	173
+	4	123	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	177
+	126	173
+	3	123	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	177
+	123	168
+	114	173
+	4	119	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	168
+	114	173
+	3	119	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	236
+	204	250
+	211	249
+	4	217	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	250
+	211	249
+	3	217	236	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	264
+	211	249
+	204	250
+	4	197	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	249
+	204	250
+	3	197	264	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	133	85
+	117	87
+	133	93
+	4	133	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	87
+	133	93
+	3	133	85	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	117	87
+	133	85
+	119	78
+	4	117	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	85
+	119	78
+	3	117	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	158
+	133	177
+	140	159
+	4	142	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	177
+	140	159
+	3	142	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	176
+	140	159
+	133	177
+	4	129	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	159
+	133	177
+	3	129	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	198
+	226	214
+	232	208
+	4	234	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	214
+	232	208
+	3	234	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	224
+	232	208
+	226	214
+	4	222	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	208
+	226	214
+	3	222	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	156
+	150	127
+	152	155
+	4	148	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	127
+	152	155
+	3	148	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	173
+	124	181
+	130	177
+	4	126	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	181
+	130	177
+	3	126	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	181
+	126	173
+	119	177
+	4	124	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	173
+	119	177
+	3	124	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	165
+	80	154
+	74	158
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	154
+	74	158
+	3	78	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	158
+	75	169
+	78	165
+	4	74	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	169
+	78	165
+	3	74	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	147
+	91	156
+	102	152
+	4	100	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	156
+	102	152
+	3	100	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	156
+	100	147
+	89	150
+	4	91	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	147
+	89	150
+	3	91	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	187
+	79	179
+	80	182
+	4	85	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	179
+	80	182
+	3	85	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	182
+	88	188
+	85	187
+	4	80	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	188
+	85	187
+	3	80	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	116
+	130	117
+	149	120
+	4	149	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	117
+	149	120
+	3	149	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	117
+	149	116
+	131	112
+	4	130	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	116
+	131	112
+	3	130	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	177
+	129	185
+	134	181
+	4	130	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	185
+	134	181
+	3	130	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	185
+	130	177
+	124	181
+	4	129	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	177
+	124	181
+	3	129	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	181
+	135	188
+	138	184
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	188
+	138	184
+	3	134	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	188
+	134	181
+	129	185
+	4	135	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	129	185
+	3	135	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	190
+	154	194
+	153	193
+	4	148	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	194
+	153	193
+	3	148	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	184
+	141	190
+	143	187
+	4	138	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	190
+	143	187
+	3	138	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	190
+	138	184
+	135	188
+	4	141	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	184
+	135	188
+	3	141	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	192
+	85	187
+	88	188
+	4	94	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	187
+	88	188
+	3	94	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	188
+	98	191
+	94	192
+	4	88	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	191
+	94	192
+	3	88	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	194
+	148	190
+	147	192
+	4	154	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	190
+	147	192
+	3	154	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	187
+	147	192
+	148	190
+	4	143	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	192
+	148	190
+	3	143	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	192
+	143	187
+	141	190
+	4	147	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	187
+	141	190
+	3	147	192	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	135	77
+	119	78
+	133	85
+	4	135	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	78
+	133	85
+	3	135	77	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	119	78
+	135	77
+	121	69
+	4	119	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	77
+	121	69
+	3	119	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	195
+	94	192
+	98	191
+	4	103	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	192
+	98	191
+	3	103	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	191
+	108	191
+	103	195
+	4	98	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	191
+	103	195
+	3	98	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	160
+	89	150
+	80	154
+	4	83	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	150
+	80	154
+	3	83	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	154
+	78	165
+	83	160
+	4	80	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	83	160
+	3	80	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	150
+	83	160
+	91	156
+	4	89	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	160
+	91	156
+	3	89	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	193
+	103	195
+	108	191
+	4	113	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	195
+	108	191
+	3	113	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	191
+	119	186
+	113	193
+	4	108	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	186
+	113	193
+	3	108	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	152
+	94	162
+	104	158
+	4	102	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	162
+	104	158
+	3	102	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	162
+	102	152
+	91	156
+	4	94	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	152
+	91	156
+	3	94	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	152
+	239	166
+	235	158
+	4	235	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	166
+	235	158
+	3	235	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	158
+	228	145
+	235	152
+	4	235	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	145
+	235	152
+	3	235	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	177
+	124	188
+	129	176
+	4	133	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	188
+	129	176
+	3	133	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	186
+	129	176
+	124	188
+	4	119	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	176
+	124	188
+	3	119	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	188
+	113	193
+	119	186
+	4	124	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	193
+	119	186
+	3	124	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	175
+	78	165
+	75	169
+	4	79	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	75	169
+	3	79	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	169
+	79	179
+	79	175
+	4	75	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	179
+	79	175
+	3	75	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	111
+	131	112
+	149	116
+	4	149	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	112
+	149	116
+	3	149	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	112
+	149	111
+	131	106
+	4	131	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	111
+	131	106
+	3	131	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	249
+	197	264
+	204	262
+	4	211	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	264
+	204	262
+	3	211	249	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	279
+	204	262
+	197	264
+	4	188	279	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	262
+	197	264
+	3	188	279	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	136	67
+	121	69
+	135	77
+	4	136	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	69
+	135	77
+	3	136	67	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	121	69
+	136	67
+	124	58
+	4	121	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	67
+	124	58
+	3	121	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	157
+	138	177
+	142	158
+	4	145	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	177
+	142	158
+	3	145	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	177
+	142	158
+	138	177
+	4	133	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	158
+	138	177
+	3	133	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	158
+	98	167
+	107	163
+	4	104	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	167
+	107	163
+	3	104	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	167
+	104	158
+	94	162
+	4	98	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	158
+	94	162
+	3	98	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	184
+	79	175
+	79	179
+	4	84	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	175
+	79	179
+	3	84	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	179
+	85	187
+	84	184
+	4	79	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	187
+	84	184
+	3	79	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	182
+	234	198
+	237	191
+	4	239	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	198
+	237	191
+	3	239	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	208
+	237	191
+	234	198
+	4	232	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	191
+	234	198
+	3	232	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	166
+	239	182
+	239	174
+	4	239	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	182
+	239	174
+	3	239	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	239	174
+	235	158
+	239	166
+	4	239	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	158
+	239	166
+	3	239	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	171
+	83	160
+	78	165
+	4	82	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	160
+	78	165
+	3	82	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	165
+	79	175
+	82	171
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	175
+	82	171
+	3	78	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	156
+	87	166
+	94	162
+	4	91	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	94	162
+	3	91	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	166
+	91	156
+	83	160
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	156
+	83	160
+	3	87	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	106
+	131	106
+	149	111
+	4	149	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	106
+	149	111
+	3	149	106	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	131	106
+	149	106
+	132	100
+	4	131	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	106
+	132	100
+	3	131	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	191
+	84	184
+	85	187
+	4	91	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	184
+	85	187
+	3	91	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	187
+	94	192
+	91	191
+	4	85	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	192
+	91	191
+	3	85	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	191
+	239	174
+	239	182
+	4	237	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	174
+	239	182
+	3	237	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	208
+	222	224
+	228	219
+	4	232	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	224
+	228	219
+	3	232	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	236
+	228	219
+	222	224
+	4	217	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	219
+	222	224
+	3	217	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	160
+	82	171
+	87	166
+	4	83	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	171
+	87	166
+	3	83	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	163
+	103	173
+	110	168
+	4	107	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	173
+	110	168
+	3	107	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	173
+	107	163
+	98	167
+	4	103	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	163
+	98	167
+	3	103	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	177
+	129	189
+	133	177
+	4	138	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	189
+	133	177
+	3	138	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	188
+	133	177
+	129	189
+	4	124	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	177
+	129	189
+	3	124	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	196
+	91	191
+	94	192
+	4	100	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	191
+	94	192
+	3	100	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	192
+	103	195
+	100	196
+	4	94	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	195
+	100	196
+	3	94	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	195
+	110	198
+	113	193
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	198
+	113	193
+	3	119	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	195
+	113	193
+	110	198
+	4	103	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	193
+	110	198
+	3	103	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	193
+	124	188
+	119	195
+	4	113	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	188
+	119	195
+	3	113	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	189
+	119	195
+	124	188
+	4	129	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	124	188
+	3	129	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	198
+	100	196
+	103	195
+	4	110	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	196
+	103	195
+	3	110	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	145
+	235	158
+	228	150
+	4	228	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	158
+	228	150
+	3	228	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	56
+	124	58
+	136	67
+	4	138	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	58
+	136	67
+	3	138	56	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	58
+	138	56
+	127	46
+	4	124	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	56
+	127	46
+	3	124	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	262
+	188	279
+	194	278
+	4	204	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	279
+	194	278
+	3	204	262	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	296
+	194	278
+	188	279
+	4	178	296	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	278
+	188	279
+	3	178	296	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	181
+	82	171
+	79	175
+	4	85	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	171
+	79	175
+	3	85	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	175
+	84	184
+	85	181
+	4	79	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	184
+	85	181
+	3	79	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	156
+	142	178
+	145	157
+	4	148	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	178
+	145	157
+	3	148	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	177
+	145	157
+	142	178
+	4	138	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	157
+	142	178
+	3	138	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	168
+	108	177
+	114	173
+	4	110	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	177
+	114	173
+	3	110	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	177
+	110	168
+	103	173
+	4	108	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	168
+	103	173
+	3	108	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	101
+	132	100
+	149	106
+	4	149	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	100
+	149	106
+	3	149	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	100
+	149	101
+	133	93
+	4	132	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	101
+	133	93
+	3	132	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	162
+	92	172
+	98	167
+	4	94	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	172
+	98	167
+	3	94	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	172
+	94	162
+	87	166
+	4	92	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	162
+	87	166
+	3	92	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	189
+	85	181
+	84	184
+	4	90	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	181
+	84	184
+	3	90	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	184
+	91	191
+	90	189
+	4	84	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	191
+	90	189
+	3	84	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	176
+	87	166
+	82	171
+	4	87	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	82	171
+	3	87	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	171
+	85	181
+	87	176
+	4	82	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	181
+	87	176
+	3	82	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	173
+	113	182
+	119	177
+	4	114	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	182
+	119	177
+	3	114	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	182
+	114	173
+	108	177
+	4	113	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	173
+	108	177
+	3	113	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	190
+	126	197
+	129	189
+	4	135	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	197
+	129	189
+	3	135	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	195
+	129	189
+	126	197
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	189
+	126	197
+	3	119	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	189
+	138	177
+	135	190
+	4	129	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	177
+	135	190
+	3	129	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	178
+	135	190
+	138	177
+	4	142	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	190
+	138	177
+	3	142	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	197
+	116	200
+	119	195
+	4	126	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	200
+	119	195
+	3	126	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	198
+	119	195
+	116	200
+	4	110	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	116	200
+	3	110	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	166
+	87	176
+	92	172
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	176
+	92	172
+	3	87	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	43
+	127	46
+	138	56
+	4	140	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	46
+	138	56
+	3	140	43	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	46
+	140	43
+	131	33
+	4	127	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	43
+	131	33
+	3	127	46	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	200
+	107	199
+	110	198
+	4	116	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	199
+	110	198
+	3	116	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	196
+	110	198
+	107	199
+	4	100	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	198
+	107	199
+	3	100	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	195
+	90	189
+	91	191
+	4	98	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	189
+	91	191
+	3	98	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	191
+	100	196
+	98	195
+	4	91	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	196
+	98	195
+	3	91	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	199
+	98	195
+	100	196
+	4	107	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	195
+	100	196
+	3	107	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	158
+	239	174
+	235	165
+	4	235	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	174
+	235	165
+	3	235	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	165
+	228	150
+	235	158
+	4	235	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	150
+	235	158
+	3	235	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	167
+	97	177
+	103	173
+	4	98	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	177
+	103	173
+	3	98	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	177
+	98	167
+	92	172
+	4	97	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	167
+	92	172
+	3	97	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	177
+	119	185
+	124	181
+	4	119	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	185
+	124	181
+	3	119	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	185
+	119	177
+	113	182
+	4	119	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	177
+	113	182
+	3	119	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	278
+	178	296
+	182	296
+	4	194	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	296
+	182	296
+	3	194	278	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	95
+	133	93
+	149	101
+	4	149	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	93
+	149	101
+	3	149	95	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	133	93
+	149	95
+	133	85
+	4	133	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	95
+	133	85
+	3	133	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	155
+	148	178
+	148	156
+	4	152	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	178
+	148	156
+	3	152	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	178
+	148	156
+	148	178
+	4	142	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	156
+	148	178
+	3	142	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	191
+	232	208
+	235	200
+	4	237	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	208
+	235	200
+	3	237	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	219
+	235	200
+	232	208
+	4	228	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	200
+	232	208
+	3	228	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	219
+	217	236
+	223	230
+	4	228	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	236
+	223	230
+	3	228	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	249
+	223	230
+	217	236
+	4	211	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	230
+	217	236
+	3	211	249	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	91	186
+	87	176
+	85	181
+	4	91	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	176
+	85	181
+	3	91	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	181
+	90	189
+	91	186
+	4	85	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	189
+	91	186
+	3	85	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	181
+	126	189
+	129	185
+	4	124	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	189
+	129	185
+	3	124	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	189
+	124	181
+	119	185
+	4	126	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	181
+	119	185
+	3	126	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	191
+	132	198
+	135	190
+	4	141	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	198
+	135	190
+	3	141	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	197
+	135	190
+	132	198
+	4	126	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	190
+	132	198
+	3	126	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	190
+	142	178
+	141	191
+	4	135	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	178
+	141	191
+	3	135	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	198
+	123	202
+	126	197
+	4	132	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	202
+	126	197
+	3	132	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	200
+	126	197
+	123	202
+	4	116	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	197
+	123	202
+	3	116	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	178
+	141	191
+	142	178
+	4	148	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	191
+	142	178
+	3	148	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	172
+	93	181
+	97	177
+	4	92	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	181
+	97	177
+	3	92	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	181
+	92	172
+	87	176
+	4	93	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	172
+	87	176
+	3	93	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	174
+	237	191
+	237	182
+	4	239	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	191
+	237	182
+	3	239	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	182
+	235	165
+	239	174
+	4	237	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	165
+	239	174
+	3	237	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	185
+	132	191
+	135	188
+	4	129	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	191
+	135	188
+	3	129	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	191
+	129	185
+	126	189
+	4	132	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	185
+	126	189
+	3	132	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	202
+	114	202
+	116	200
+	4	123	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	202
+	116	200
+	3	123	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	199
+	116	200
+	114	202
+	4	107	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	200
+	114	202
+	3	107	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	176
+	91	186
+	93	181
+	4	87	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	186
+	93	181
+	3	87	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	173
+	103	182
+	108	177
+	4	103	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	182
+	108	177
+	3	103	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	182
+	103	173
+	97	177
+	4	103	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	173
+	97	177
+	3	103	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	193
+	91	186
+	90	189
+	4	97	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	186
+	90	189
+	3	97	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	189
+	98	195
+	97	193
+	4	90	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	195
+	97	193
+	3	90	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	200
+	237	182
+	237	191
+	4	235	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	182
+	237	191
+	3	235	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	202
+	105	199
+	107	199
+	4	114	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	199
+	107	199
+	3	114	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	195
+	107	199
+	105	199
+	4	98	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	199
+	105	199
+	3	98	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	188
+	140	193
+	141	190
+	4	135	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	193
+	141	190
+	3	135	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	193
+	135	188
+	132	191
+	4	140	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	188
+	132	191
+	3	140	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	199
+	97	193
+	98	195
+	4	105	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	193
+	98	195
+	3	105	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	192
+	154	196
+	154	194
+	4	147	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	196
+	154	194
+	3	147	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	27
+	131	33
+	140	43
+	4	142	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	33
+	140	43
+	3	142	27	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	33
+	142	27
+	136	16
+	4	131	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	27
+	136	16
+	3	131	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	190
+	147	195
+	147	192
+	4	141	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	195
+	147	192
+	3	141	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	195
+	141	190
+	140	193
+	4	147	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	190
+	140	193
+	3	147	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	150
+	235	165
+	228	155
+	4	228	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	165
+	228	155
+	3	228	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	196
+	147	192
+	147	195
+	4	154	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	192
+	147	195
+	3	154	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	191
+	140	199
+	141	191
+	4	147	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	199
+	141	191
+	3	147	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	198
+	141	191
+	140	199
+	4	132	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	191
+	140	199
+	3	132	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	191
+	148	178
+	147	191
+	4	141	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	178
+	147	191
+	3	141	191	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	88
+	133	85
+	149	95
+	4	149	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	85
+	149	95
+	3	149	88	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	133	85
+	149	88
+	135	77
+	4	133	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	88
+	135	77
+	3	133	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	178
+	152	155
+	153	178
+	4	148	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	155
+	153	178
+	3	148	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	199
+	131	203
+	132	198
+	4	140	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	203
+	132	198
+	3	140	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	202
+	132	198
+	131	203
+	4	123	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	198
+	131	203
+	3	123	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	178
+	147	191
+	148	178
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	191
+	148	178
+	3	153	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	177
+	109	186
+	113	182
+	4	108	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	186
+	113	182
+	3	108	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	186
+	108	177
+	103	182
+	4	109	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	177
+	103	182
+	3	109	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	190
+	93	181
+	91	186
+	4	97	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	181
+	91	186
+	3	97	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	186
+	97	193
+	97	190
+	4	91	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	193
+	97	190
+	3	91	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	203
+	122	204
+	123	202
+	4	131	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	204
+	123	202
+	3	131	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	202
+	123	202
+	122	204
+	4	114	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	202
+	122	204
+	3	114	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	177
+	99	186
+	103	182
+	4	97	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	186
+	103	182
+	3	97	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	186
+	97	177
+	93	181
+	4	99	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	177
+	93	181
+	3	99	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	191
+	147	199
+	147	191
+	4	154	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	199
+	147	191
+	3	154	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	199
+	147	191
+	147	199
+	4	140	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	191
+	147	199
+	3	140	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	191
+	153	178
+	154	191
+	4	147	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	154	191
+	3	147	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	199
+	139	204
+	140	199
+	4	147	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	204
+	140	199
+	3	147	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	203
+	140	199
+	139	204
+	4	131	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	199
+	139	204
+	3	131	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	181
+	97	190
+	99	186
+	4	93	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	190
+	99	186
+	3	93	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	204
+	113	202
+	114	202
+	4	122	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	202
+	114	202
+	3	122	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	199
+	114	202
+	113	202
+	4	105	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	202
+	113	202
+	3	105	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	197
+	97	190
+	97	193
+	4	104	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	190
+	97	193
+	3	104	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	193
+	105	199
+	104	197
+	4	97	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	199
+	104	197
+	3	97	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	202
+	104	197
+	105	199
+	4	113	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	197
+	105	199
+	3	113	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	182
+	116	189
+	119	185
+	4	113	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	189
+	119	185
+	3	113	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	189
+	113	182
+	109	186
+	4	116	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	182
+	109	186
+	3	116	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	230
+	211	249
+	217	243
+	4	223	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	249
+	217	243
+	3	223	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	262
+	217	243
+	211	249
+	4	204	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	243
+	211	249
+	3	204	262	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	199
+	154	191
+	154	199
+	4	147	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	191
+	154	199
+	3	147	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	204
+	130	205
+	131	203
+	4	139	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	205
+	131	203
+	3	139	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	204
+	131	203
+	130	205
+	4	122	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	203
+	130	205
+	3	122	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	199
+	147	204
+	147	199
+	4	154	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	204
+	147	199
+	3	154	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	204
+	147	199
+	147	204
+	4	139	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	199
+	147	204
+	3	139	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	200
+	228	219
+	232	210
+	4	235	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	219
+	232	210
+	3	235	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	230
+	232	210
+	228	219
+	4	223	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	210
+	228	219
+	3	223	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	204
+	154	199
+	155	204
+	4	147	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	199
+	155	204
+	3	147	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	165
+	237	182
+	234	171
+	4	235	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	182
+	234	171
+	3	235	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	171
+	228	155
+	235	165
+	4	234	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	155
+	235	165
+	3	234	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	79
+	135	77
+	149	88
+	4	149	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	77
+	149	88
+	3	149	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	77
+	149	79
+	136	67
+	4	135	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	79
+	136	67
+	3	135	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	182
+	106	190
+	109	186
+	4	103	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	190
+	109	186
+	3	103	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	190
+	103	182
+	99	186
+	4	106	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	182
+	99	186
+	3	106	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	185
+	123	193
+	126	189
+	4	119	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	193
+	126	189
+	3	119	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	193
+	119	185
+	116	189
+	4	123	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	185
+	116	189
+	3	123	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	194
+	99	186
+	97	190
+	4	105	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	186
+	97	190
+	3	105	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	190
+	104	197
+	105	194
+	4	97	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	197
+	105	194
+	3	97	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	205
+	121	204
+	122	204
+	4	130	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	204
+	122	204
+	3	130	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	202
+	122	204
+	121	204
+	4	113	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	204
+	121	204
+	3	113	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	204
+	138	206
+	139	204
+	4	147	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	206
+	139	204
+	3	147	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	205
+	139	204
+	138	206
+	4	130	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	204
+	138	206
+	3	130	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	186
+	105	194
+	106	190
+	4	99	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	194
+	106	190
+	3	99	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	204
+	112	200
+	113	202
+	4	121	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	200
+	113	202
+	3	121	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	197
+	113	202
+	112	200
+	4	104	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	202
+	112	200
+	3	104	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	200
+	105	194
+	104	197
+	4	112	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	194
+	104	197
+	3	112	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	204
+	147	206
+	147	204
+	4	155	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	206
+	147	204
+	3	155	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	206
+	147	204
+	147	206
+	4	138	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	204
+	147	206
+	3	138	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	189
+	131	195
+	132	191
+	4	126	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	195
+	132	191
+	3	126	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	195
+	126	189
+	123	193
+	4	131	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	189
+	123	193
+	3	131	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	206
+	155	204
+	155	206
+	4	147	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	204
+	155	206
+	3	147	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	186
+	114	194
+	116	189
+	4	109	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	194
+	116	189
+	3	109	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	194
+	109	186
+	106	190
+	4	114	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	186
+	106	190
+	3	114	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	206
+	129	206
+	130	205
+	4	138	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	206
+	130	205
+	3	138	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	204
+	130	205
+	129	206
+	4	121	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	205
+	129	206
+	3	121	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	182
+	235	200
+	235	190
+	4	237	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	200
+	235	190
+	3	237	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	190
+	234	171
+	237	182
+	4	235	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	171
+	237	182
+	3	235	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	191
+	139	197
+	140	193
+	4	132	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	197
+	140	193
+	3	132	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	197
+	132	191
+	131	195
+	4	139	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	191
+	131	195
+	3	139	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	210
+	235	190
+	235	200
+	4	232	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	190
+	235	200
+	3	232	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	195
+	155	198
+	154	196
+	4	147	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	198
+	154	196
+	3	147	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	193
+	147	198
+	147	195
+	4	140	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	198
+	147	195
+	3	140	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	198
+	140	193
+	139	197
+	4	147	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	193
+	139	197
+	3	147	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	198
+	147	195
+	147	198
+	4	155	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	195
+	147	198
+	3	155	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	197
+	106	190
+	105	194
+	4	112	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	190
+	105	194
+	3	112	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	194
+	112	200
+	112	197
+	4	105	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	200
+	112	197
+	3	105	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	206
+	138	207
+	138	206
+	4	147	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	207
+	138	206
+	3	147	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	206
+	138	206
+	138	207
+	4	129	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	206
+	138	207
+	3	129	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	206
+	120	203
+	121	204
+	4	129	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	203
+	121	204
+	3	129	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	200
+	121	204
+	120	203
+	4	112	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	204
+	120	203
+	3	112	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	190
+	112	197
+	114	194
+	4	106	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	197
+	114	194
+	3	106	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	155
+	234	171
+	227	160
+	4	228	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	171
+	227	160
+	3	228	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	203
+	112	197
+	112	200
+	4	120	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	197
+	112	200
+	3	120	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	206
+	146	207
+	147	206
+	4	155	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	207
+	147	206
+	3	155	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	207
+	147	206
+	146	207
+	4	138	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	206
+	146	207
+	3	138	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	189
+	121	196
+	123	193
+	4	116	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	196
+	123	193
+	3	116	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	196
+	116	189
+	114	194
+	4	121	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	189
+	114	194
+	3	121	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	207
+	155	206
+	155	206
+	4	146	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	206
+	155	206
+	3	146	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	243
+	204	262
+	209	257
+	4	217	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	262
+	209	257
+	3	217	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	278
+	209	257
+	204	262
+	4	194	278	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	257
+	204	262
+	3	194	278	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	70
+	136	67
+	149	79
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	67
+	149	79
+	3	149	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	67
+	149	70
+	138	56
+	4	136	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	138	56
+	3	136	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	207
+	129	204
+	129	206
+	4	138	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	204
+	129	206
+	3	138	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	203
+	129	206
+	129	204
+	4	120	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	206
+	129	204
+	3	120	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	200
+	114	194
+	112	197
+	4	120	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	194
+	112	197
+	3	120	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	197
+	120	203
+	120	200
+	4	112	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	203
+	120	200
+	3	112	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	193
+	130	199
+	131	195
+	4	123	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	199
+	131	195
+	3	123	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	199
+	123	193
+	121	196
+	4	130	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	193
+	121	196
+	3	130	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	194
+	120	200
+	121	196
+	4	114	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	200
+	121	196
+	3	114	194	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	204
+	120	200
+	120	203
+	4	129	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	200
+	120	203
+	3	129	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	207
+	138	206
+	138	207
+	4	146	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	206
+	138	207
+	3	146	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	204
+	138	207
+	138	206
+	4	129	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	207
+	138	206
+	3	129	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	206
+	155	206
+	155	205
+	4	146	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	206
+	155	205
+	3	146	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	206
+	146	206
+	146	207
+	4	155	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	206
+	146	207
+	3	155	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	206
+	146	207
+	146	206
+	4	138	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	207
+	146	206
+	3	138	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	195
+	138	200
+	139	197
+	4	131	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	200
+	139	197
+	3	131	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	200
+	131	195
+	130	199
+	4	138	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	195
+	130	199
+	3	138	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	210
+	223	230
+	227	221
+	4	232	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	230
+	227	221
+	3	232	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	243
+	227	221
+	223	230
+	4	217	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	221
+	223	230
+	3	217	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	198
+	155	201
+	155	198
+	4	147	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	201
+	155	198
+	3	147	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	197
+	147	201
+	147	198
+	4	139	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	201
+	147	198
+	3	139	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	201
+	139	197
+	138	200
+	4	147	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	197
+	138	200
+	3	147	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	201
+	147	198
+	147	201
+	4	155	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	198
+	147	201
+	3	155	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	202
+	121	196
+	120	200
+	4	129	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	196
+	120	200
+	3	129	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	200
+	129	204
+	129	202
+	4	120	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	204
+	129	202
+	3	120	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	196
+	129	202
+	130	199
+	4	121	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	202
+	130	199
+	3	121	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	206
+	129	202
+	129	204
+	4	138	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	202
+	129	204
+	3	138	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	204
+	155	205
+	155	204
+	4	146	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	205
+	155	204
+	3	146	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	205
+	146	204
+	146	206
+	4	155	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	204
+	146	206
+	3	155	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	171
+	235	190
+	232	178
+	4	234	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	190
+	232	178
+	3	234	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	178
+	227	160
+	234	171
+	4	232	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	160
+	234	171
+	3	232	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	206
+	138	203
+	138	206
+	4	146	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	203
+	138	206
+	3	146	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	202
+	138	206
+	138	203
+	4	129	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	206
+	138	203
+	3	129	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	203
+	146	206
+	146	204
+	4	138	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	206
+	146	204
+	3	138	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	199
+	138	203
+	138	200
+	4	130	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	203
+	138	200
+	3	130	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	203
+	130	199
+	129	202
+	4	138	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	199
+	129	202
+	3	138	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	201
+	155	204
+	155	201
+	4	147	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	204
+	155	201
+	3	147	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	204
+	147	201
+	146	204
+	4	155	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	201
+	146	204
+	3	155	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	200
+	146	204
+	147	201
+	4	138	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	204
+	147	201
+	3	138	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	204
+	138	200
+	138	203
+	4	146	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	200
+	138	203
+	3	146	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	58
+	138	56
+	149	70
+	4	149	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	56
+	149	70
+	3	149	58	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	56
+	149	58
+	140	43
+	4	138	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	58
+	140	43
+	3	138	56	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	257
+	194	278
+	199	272
+	4	209	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	278
+	199	272
+	3	209	257	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	296
+	199	272
+	194	278
+	4	182	296	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	272
+	194	278
+	3	182	296	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	190
+	232	210
+	232	199
+	4	235	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	210
+	232	199
+	3	235	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	221
+	232	199
+	232	210
+	4	227	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	199
+	232	210
+	3	227	221	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	199
+	232	178
+	235	190
+	4	232	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	178
+	235	190
+	3	232	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	160
+	232	178
+	225	165
+	4	227	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	178
+	225	165
+	3	227	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	221
+	217	243
+	220	233
+	4	227	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	243
+	220	233
+	3	227	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	257
+	220	233
+	217	243
+	4	209	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	233
+	217	243
+	3	209	257	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	43
+	140	43
+	149	58
+	4	149	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	43
+	149	58
+	3	149	43	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	43
+	149	43
+	142	27
+	4	140	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	43
+	142	27
+	3	140	43	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	272
+	182	296
+	186	290
+	4	199	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	296
+	186	290
+	3	199	272	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	178
+	232	199
+	228	186
+	4	232	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	199
+	228	186
+	3	232	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	186
+	225	165
+	232	178
+	4	228	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	165
+	232	178
+	3	228	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	199
+	227	221
+	227	209
+	4	232	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	221
+	227	209
+	3	232	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	233
+	227	209
+	227	221
+	4	220	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	209
+	227	221
+	3	220	233	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	209
+	228	186
+	232	199
+	4	227	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	186
+	232	199
+	3	227	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	165
+	228	186
+	222	170
+	4	225	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	186
+	222	170
+	3	225	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	233
+	209	257
+	212	246
+	4	220	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	257
+	212	246
+	3	220	233	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	272
+	212	246
+	209	257
+	4	199	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	246
+	209	257
+	3	199	272	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	186
+	227	209
+	224	193
+	4	228	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	209
+	224	193
+	3	228	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	193
+	222	170
+	228	186
+	4	224	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	170
+	228	186
+	3	224	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	209
+	220	233
+	221	219
+	4	227	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	233
+	221	219
+	3	227	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	246
+	221	219
+	220	233
+	4	212	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	219
+	220	233
+	3	212	246	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	219
+	224	193
+	227	209
+	4	221	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	193
+	227	209
+	3	221	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	246
+	199	272
+	202	260
+	4	212	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	272
+	202	260
+	3	212	246	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	290
+	202	260
+	199	272
+	4	186	290	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	260
+	199	272
+	3	186	290	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	170
+	224	193
+	217	176
+	4	222	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	193
+	217	176
+	3	222	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	193
+	221	219
+	218	201
+	4	224	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	219
+	218	201
+	3	224	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	201
+	217	176
+	224	193
+	4	218	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	176
+	224	193
+	3	218	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	219
+	212	246
+	212	230
+	4	221	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	246
+	212	230
+	3	221	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	260
+	212	230
+	212	246
+	4	202	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	230
+	212	246
+	3	202	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	230
+	218	201
+	221	219
+	4	212	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	201
+	221	219
+	3	212	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	260
+	186	290
+	188	277
+	4	202	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	290
+	188	277
+	3	202	260	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	176
+	218	201
+	212	181
+	4	217	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	201
+	212	181
+	3	217	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	201
+	212	230
+	210	210
+	4	218	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	230
+	210	210
+	3	218	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	210
+	212	181
+	218	201
+	4	210	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	181
+	218	201
+	3	210	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	230
+	202	260
+	202	242
+	4	212	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	260
+	202	242
+	3	212	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	277
+	202	242
+	202	260
+	4	188	277	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	242
+	202	260
+	3	188	277	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	242
+	210	210
+	212	230
+	4	202	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	210
+	212	230
+	3	202	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	181
+	210	210
+	205	187
+	4	212	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	210
+	205	187
+	3	212	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	210
+	202	242
+	200	220
+	4	210	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	242
+	200	220
+	3	210	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	220
+	205	187
+	210	210
+	4	200	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	187
+	210	210
+	3	200	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	242
+	188	277
+	189	257
+	4	202	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	277
+	189	257
+	3	202	242	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	257
+	200	220
+	202	242
+	4	189	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	220
+	202	242
+	3	189	257	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	187
+	200	220
+	196	193
+	4	205	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	220
+	196	193
+	3	205	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	220
+	189	257
+	187	231
+	4	200	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	257
+	187	231
+	3	200	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	231
+	196	193
+	200	220
+	4	187	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	193
+	200	220
+	3	187	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	193
+	187	231
+	184	200
+	4	196	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	231
+	184	200
+	3	196	193	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dpsca.ps b/books/ps/3dpsca.ps
new file mode 100644
index 0000000..634410d
--- /dev/null
+++ b/books/ps/3dpsca.ps
@@ -0,0 +1,446 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	18	256	253	90	psDrawLine
+	globGC	(X)	13	261	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	281	256	46	90	psDrawLine
+	globGC	(Y)	286	261	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	25	150	263	psDrawLine
+	globGC	(Z)	155	20	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	151	292	138	292	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	288	151	292	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	282	165	288	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	274	177	282	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	264	187	274	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	253	195	264	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	241	200	253	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	229	202	241	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	218	200	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	208	195	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	200	188	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	194	178	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	190	167	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	189	155	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	190	143	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	192	130	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	197	119	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	204	109	197	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	211	102	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	220	97	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	228	95	220	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	236	97	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	243	102	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	248	111	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	250	122	248	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	250	135	250	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	247	149	250	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	241	164	247	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	232	177	241	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	222	189	232	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	210	198	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	198	203	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	186	205	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	175	204	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	164	199	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	156	192	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	149	182	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	145	170	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	143	157	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	143	144	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	145	131	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	150	118	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	156	108	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	163	99	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	171	94	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	180	92	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	187	93	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	194	98	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	199	106	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	201	118	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	201	132	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	198	147	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	192	163	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	184	178	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	173	190	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	161	200	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	149	207	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	136	210	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	125	209	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	114	204	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	105	196	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	98	186	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	93	173	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	90	160	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	90	145	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	91	131	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	95	118	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	101	106	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	107	97	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	115	90	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	123	87	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	131	88	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	137	93	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	142	101	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	144	114	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	144	128	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	141	145	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	135	162	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	127	178	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	116	192	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	104	203	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	91	211	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	79	214	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	66	214	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	55	209	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	46	201	55	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	38	190	46	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	33	177	38	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	29	163	33	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	28	147	29	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	29	132	28	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	32	117	29	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	37	104	32	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	43	93	37	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	50	86	43	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	57	82	50	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dpscb.ps b/books/ps/3dpscb.ps
new file mode 100644
index 0000000..61c1a60
--- /dev/null
+++ b/books/ps/3dpscb.ps
@@ -0,0 +1,1142 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	19	254	258	88	psDrawLine
+	globGC	(X)	14	259	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	284	254	48	88	psDrawLine
+	globGC	(Y)	289	259	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	151	20	153	263	psDrawLine
+	globGC	(Z)	146	15	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	254	245	267	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	246	254	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	245	238	246	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	243	220	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	239	200	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	234	179	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	229	158	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	223	139	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	218	122	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	214	108	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	210	98	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	208	90	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	207	87	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	207	87	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	209	90	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	212	95	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	216	102	212	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	221	110	216	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	227	120	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	233	130	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	240	140	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	243	150	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	247	154	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	250	159	247	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	254	163	250	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	257	167	254	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	261	171	257	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	264	174	261	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	268	177	264	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	271	179	268	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	274	181	271	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	277	183	274	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	280	184	277	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	285	184	280	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	289	183	285	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	291	180	289	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	292	173	291	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	291	164	292	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	287	152	291	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	282	137	287	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	275	121	282	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	266	103	275	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	255	84	266	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	243	66	255	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	33	231	48	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	218	33	231	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	11	207	21	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	6	196	11	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	4	186	6	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	6	178	4	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	11	172	6	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	167	11	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	164	18	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	162	28	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	161	39	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	162	52	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	163	65	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	165	79	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	168	92	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	169	105	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	170	112	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	171	118	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	173	124	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	174	129	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	175	135	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	176	140	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	177	144	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	178	149	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	179	156	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	178	161	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	176	164	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	173	165	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	168	163	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	161	159	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	153	152	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	143	143	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	132	132	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	120	120	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	107	107	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	94	94	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	88	82	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	81	77	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	76	72	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	70	68	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	65	64	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	60	61	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	56	59	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	52	57	56	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	46	57	52	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	42	58	46	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	40	62	42	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	40	70	40	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	42	79	40	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	45	91	42	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	49	104	45	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	54	119	49	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	60	134	54	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	66	150	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	72	166	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	78	181	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	84	196	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	90	211	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	95	224	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	100	236	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	104	247	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	106	256	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	108	262	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	268	108	267	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	107	268	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	105	267	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	101	264	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	96	257	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	90	248	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	84	236	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	77	223	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	74	209	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	71	202	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	68	195	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	65	188	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	63	181	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	61	175	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	59	170	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	58	165	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	58	160	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	57	157	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	58	154	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	58	152	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	61	150	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	66	150	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	72	152	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	79	157	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	88	165	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	98	174	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	108	184	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	119	196	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	130	208	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	141	220	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	153	232	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	165	244	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	176	255	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	187	265	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	198	273	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	285	208	280	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	217	285	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	225	287	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	283	233	287	225	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	238	283	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	243	277	238	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	245	267	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	246	254	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	245	238	246	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	243	220	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	239	200	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	234	179	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	229	158	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	223	139	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	218	122	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	214	108	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	210	98	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	208	90	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	207	87	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	207	87	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	209	90	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	212	95	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	216	102	212	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	221	110	216	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	227	120	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	233	130	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	240	140	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	243	150	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	247	154	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	250	159	247	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	254	163	250	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	257	167	254	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	261	171	257	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	264	174	261	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	268	177	264	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	271	179	268	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	274	181	271	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	277	183	274	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	280	184	277	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	285	184	280	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	289	183	285	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	291	180	289	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	292	173	291	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	291	164	292	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	287	152	291	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	282	137	287	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	275	121	282	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	266	103	275	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	255	84	266	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	243	66	255	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	33	231	48	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	218	33	231	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	11	207	21	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	6	196	11	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	4	186	6	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	6	178	4	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	11	172	6	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	167	11	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	164	18	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	162	28	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	161	39	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	162	52	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	163	65	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	165	79	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	168	92	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	169	105	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	170	112	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	171	118	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	173	124	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	174	129	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	175	135	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	176	140	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	177	144	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	178	149	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	179	156	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	178	161	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	176	164	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	173	165	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	168	163	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	161	159	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	153	152	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	143	143	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	132	132	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	120	120	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	107	107	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	94	94	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	88	82	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	81	77	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	76	72	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	70	68	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	65	64	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	60	61	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	56	59	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	52	57	56	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	46	57	52	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	42	58	46	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	40	62	42	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	40	70	40	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	42	79	40	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	45	91	42	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	49	104	45	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	54	119	49	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	60	134	54	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	66	150	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	72	166	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	78	181	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	84	196	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	90	211	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	95	224	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	100	236	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	104	247	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	106	256	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	108	262	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	268	108	267	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	107	268	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	105	267	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	101	264	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	96	257	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	90	248	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	84	236	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	77	223	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	74	209	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	71	202	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	68	195	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	65	188	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	63	181	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	61	175	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	59	170	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	58	165	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	58	160	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	57	157	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	58	154	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	58	152	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	61	150	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	66	150	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	72	152	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	79	157	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	88	165	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	98	174	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	108	184	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	119	196	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	130	208	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	141	220	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	153	232	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	165	244	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	176	255	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	187	265	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	198	273	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	285	208	280	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	217	285	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	225	287	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	283	233	287	225	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	238	283	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	243	277	238	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	245	267	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	246	254	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	245	238	246	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	243	220	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	239	200	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	234	179	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	229	158	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	223	139	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	218	122	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	214	108	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	210	98	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	208	90	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	207	87	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	207	87	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	209	90	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	212	95	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	216	102	212	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	221	110	216	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	227	120	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	233	130	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	240	140	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	243	150	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	247	154	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	250	159	247	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	254	163	250	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	257	167	254	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	261	171	257	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	264	174	261	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	268	177	264	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	271	179	268	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	274	181	271	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	277	183	274	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	280	184	277	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	285	184	280	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	289	183	285	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	291	180	289	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	292	173	291	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	291	164	292	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	287	152	291	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	282	137	287	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	275	121	282	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	266	103	275	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	255	84	266	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	243	66	255	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	33	231	48	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	218	33	231	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	11	207	21	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	6	196	11	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	4	186	6	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	6	178	4	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	11	172	6	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	167	11	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	164	18	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	162	28	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	161	39	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	162	52	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	163	65	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	165	79	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	168	92	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	169	105	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	170	112	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	171	118	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	173	124	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	174	129	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	175	135	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	176	140	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	177	144	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	178	149	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	179	156	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	178	161	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	176	164	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	173	165	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	168	163	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	161	159	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	153	152	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	143	143	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	132	132	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	120	120	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	107	107	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	94	94	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	88	82	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	81	77	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	76	72	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	70	68	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	65	64	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	60	61	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	56	59	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	52	57	56	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	46	57	52	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	42	58	46	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	40	62	42	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	40	70	40	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	42	79	40	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	45	91	42	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	49	104	45	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	54	119	49	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	60	134	54	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	66	150	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	72	166	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	78	181	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	84	196	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	90	211	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	95	224	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	100	236	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	104	247	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	106	256	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	108	262	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	268	108	267	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	107	268	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	105	267	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	101	264	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	96	257	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	90	248	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	84	236	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	77	223	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	74	209	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	71	202	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	68	195	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	65	188	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	63	181	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	61	175	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	59	170	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	58	165	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	58	160	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	57	157	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	58	154	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	58	152	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	61	150	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	66	150	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	72	152	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	79	157	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	88	165	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	98	174	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	108	184	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	119	196	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	130	208	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	141	220	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	153	232	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	165	244	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	176	255	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	187	265	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	198	273	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	285	208	280	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	217	285	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	225	287	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	283	233	287	225	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	238	283	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	243	277	238	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/3dvolume.ps b/books/ps/3dvolume.ps
new file mode 100644
index 0000000..8e158b6
--- /dev/null
+++ b/books/ps/3dvolume.ps
@@ -0,0 +1,682 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 83.579775 104.120003 528.420225 718.120003
+%%Creator: xwd2ps
+%%CreationDate: Sun Dec  1 18:05:05 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  322, height = 445, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 324, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 445
+%   starting column = 1
+%   ending column = 322
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  322 445 8
+  [322 0 0 -445 0 445]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+matrix currentmatrix
+2.53 inch 3.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+dbdb70
+2f4f4f
+d4d8e8
+757780
+46474d
+b4b8c5
+236b8e
+0000ff
+238e6b
+2f2f4f
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001020000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001020000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010100000100001e010000fc0100001f0101000000
+1f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e0101000001
+00001e010000fc0100001f01010000000701ff002f000601010000010000060100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000007010100000007010100
+15010100e3010100150101001501010006010100000100000601000016010000e401000016010000160100000701010000000701010015010100e301010015010100150101000601
+0100000100000601000016010000e4010000160100000401000000010000000100000001000000010000000100000001000000010000020100000701010000000701010015010100
+e301010015010100020100000d01000002010100060101000001000006010000160100002e0102000001000015010000170103000c0106001d0103000d010400020105002b010000
+16010000120100000201000007010100000007010100150101002c0101000001020015010000190101000d010100010102001e0101000c0101000101020002010100010101002a01
+010015010100020100000d01000002010100060101000001000006010000160100002c0101000201010014010100190101000d010100020101001e0101000c010000030101000201
+0100020101002901000016010000120100000201000007010100000007010100150101002b0101000301000014010100190101000d010100020101001e0101001101010002010100
+020101002901010015010100020100000d01000002010100060101000001000006010000040100000001000000010000000100000001000000010000000100000001000002010000
+2c0101000301000002010300020101000001020002010600010101000001030003010300050101000d01010002010100010104000201010000010200040103000501010010010100
+0301010002010100290100000a0100000001000008010000120100000201000007010100000007010100020100000d010000020101002b0101000601010001010100020101000101
+01000301010005010200010101000101010001010100040101000d01010001010200000101000201010002010100010101000201010001010100040101000e010200040101000201
+010029010100080100000101000008010100020100000d0100000201010006010100000100000601000012010000020100002c010100050101000301010001010100010101000301
+010005010100020101000001010003010100030101000d01050001010100020101000201010001010100010101000201010004010100100101000301010002010100290100000c01
+00000801000012010000020100000701010000000701010002010f00020101002b010100050101000301010001010100010101000301010005010100050101000301010003010100
+0d0101000801030002010100010101000101060004010100110101000201010002010100290101000801030008010100020100000d01000002010100060101000001000006010000
+160100002c010100030100000001010003010100010101000101010003010100050101000501010003010100030101000d0101000601010001010100020101000101010001010100
+090101001101010002010100020101002901000016010000120100000201000007010100000007010100150101002b01010003010000000101000301010001010100010101000301
+0100050101000501010003010100030101000d0101000501010002010100020101000101010001010100090101001101010002010100020101002901010015010100020100000d01
+000002010100060101000001000006010000160100002d01010001010100010101000101010002010100010101000301010001010000020101000601010001010100040101000d01
+0100050101000101020002010100010101000201010002010000040101000c0100000301010002010100010101002a01000016010000120100000201000007010100000007010100
+150101002d010300030103000201020000010300030102000201040005010300030105000a0103000501020001010100000102000001030002010300030105000a01010001010100
+020105002b01010015010100020100000d0100000201010006010100000100000601000016010000aa01030035010000160100001201000002010000070101000000070101001501
+0100e30101001501010002010f000201010006010100000100000601000016010000e401000016010000160100000701010000000701010015010100e30101001501010015010100
+060101000001000006010000000116000001e400000116000001160007010100ff0041000001000000010000000100000001000000010100ff012b01000000010000000100000001
+00000001000000010000000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601010074010225
+0f01002520010425020105257301000007010100000007010100750101250e0102251e01012501010225020101250101012573010000060101000001000006010100750101250f01
+00251f010025030101250201012502010125710100000701010000000701010074010325340101250201012502010125720100000601010000010000060101007401002500010125
+020102250101022501010325050103250201002500010125000101250e01012503010125020101257101000007010100000007010100740100250001012503010125010101250401
+012504010125010101250101012500010125000101250b01022504010125020101257201000006010100000100000601010074010025010101250301012500010025050101250301
+0125030101250001012500010125000101250d0101250301012502010125710100000701010000000701010073010525040101250601012503010125030101250001012500010125
+000101250e0101250201012502010125720100000601010000010000060101007301002502010125040101250601012503010125030101250001012500010125000101250e010125
+02010125020101257101000007010100000007010100730100250301012502010025000101250501012503010125030101250001012500010125000101250e010125020101250201
+012572010000060101000001000006010100720101250301012501010125010101250401012504010125010101250101012500010125000101250901002503010125020101250101
+0125720100000701010000000701010072010225010102250001022501010225010105250301032502010125000101250001012509010125010101250201052574010000060101000001
+000006010100a90103257d01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c0100000601010000010000
+06010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100
+ff012b0100000701010000000701ff002d000001000006010100000100000601ff002e0007010100000007010100ff012c010000060101000001000006010100ff012b0100000701
+0100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+07010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100
+ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01
+0000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c0100000601
+01000001000006010100ff012b01000007010100000007010100ff012c0100000601010000010000060101003b01016aed010000070101000000070101003b01006a0001026aeb01
+00000601010000010000060101003b01006a0301026ae701000007010100000007010100170104291e01006a0601026ae5010000060101000001000006010100170105291d01006a
+0901026ae10100000701010000000701010017010129010101291d01006a0c01026adf01000006010100000100000601010017010129010101291d01006a0f01026adb0100000701
+010000000701010017010129010101291d01006a1201026ad9010000060101000001000006010100170104291e01006a1501026ad501000007010100000007010100170103291f01
+006a1801026ad301000006010100000100000601010017010129000101291e01006a1b01026acf0100000701010000000701010017010129010101291d01006a1e01026acd010000
+06010100000100000601010017010129010101291d01006a2101026ac9010000070101000000070101003b01006a2401036ac60100000601010000010000060101003b01006a2801
+026ac2010000070101000000070101003b01006a2b01026ac00100000601010000010000060101003b01006a2e01026abc01000007010100000007010100170104291e01006a3101
+026aba010000060101000001000006010100160106291d01006a3401026ab60100000701010000000701010016010129020101291d01006a3701026ab40100000601010000010000
+06010100160106291d01006a3a010039016ab001000007010100000007010100160105291e01006a3a0100390101026aae010000060101000001000006010100160101292201006a
+3a0100390401026aaa01000007010100000007010100160106291d01006a3a0100390701026aa8010000060101000001000006010100170104291e01006a3a0100390a01026aa401
+0000070101000000070101003b01006a3a0100390d01026aa20100000601010000010000060101003b01006a3a0100391001026a9e010000070101000000070101003b01006a3a01
+00391301026a9c010000060101000001000006010100180102291f01006a3a0100391601026a9801000007010100000007010100170104291e01006a3a0100391901026a96010000
+060101000001000006010100170101292101006a3a0100391c01026a9201000007010100000007010100170101292101006a3a0100391f01026a9001000006010100000100000601
+0100160104291f01006a3a0100392201026a8c01000007010100000007010100160104291f01006a3a0100392501026a8a010000060101000001000006010100170101292101006a
+3a0100392801026a8601000007010100000007010100170101292101006a3a0100392b01026a84010000060101000001000006010100170101292101006a3a0100392e01026a8001
+000007010100000007010100170101292101006a3a0100393101026a7e0100000601010000010000060101003b01006a3a0100393401036a79010000070101000000070101000601
+06292d01006a3a0100393801026a77010000060101000001000006010100060106292d01006a11011b660c0100393b01026a7301000007010100000007010100060101290e010429
+1e01006a11010066190100660c0100393e01026a71010000060101000001000006010100060101290d0106291d01006a11010066190100660c0100394101026a6d010000070101000000
+07010100060104290a010129020101291d01006a11010066190100660c0100394401026a6b010000060101000001000006010100060104290a0106291d01006a1101006619010066
+0c0100394701026a6701000007010100000007010100060101290d0105291e01006a11010066190100660c0100394a01026a1001022f510100000601010000010000060101000601
+01290d0101292201006a11010066190100660c0100394d01026a0c01052f4e0100000701010000000701010006010629080106291d01006a11010066190100660c0100395001026a
+0b01002f016a012f4e01000006010100000100000601010006010629090104291e01006a11010066190100660c0100395301026a0901026a022f4b01000007010100000007010100
+3b01006a11010066190100660c0100395601026a0501026a042f4b0100000601010000010000060101003b01006a11010066190100660c0100395901016a0401016a0001032f4a01
+0000070101000000070101003b01006a11010066190100660c0100395601026a0701006a032f4c0100000601010000010000060101003b01006a11010066190100660c0100395301
+026a0901032f4d0100000701010000000701010017010129000102291d01006a11010066190100660c0100395001026a0b01032f4f01000006010100000100000601010006010129
+02010129090105291d01006a11010066190100660c0100394d01026a0f01012f4f010000070101000000070101000601012902010129090102292001006a11010066190100660c01
+00394a01026a650100000601010000010000060101000601012902010129090101292101006a11010066190100660c0100394701026a670100000701010000000701010006010129
+02010129090101292101006a11010066190100660c0100394401026a6b01000006010100000100000601010006010629090101292101006a11010066190100660c0100394101026a
+6d0100000701010000000701010007010529090101292101006a11010066190100660c0100393e01026a710100000601010000010000060101000b010129090101292101006a1101
+1b660c0100393b01026a7301000007010100000007010100060106292d01006a3a0100393801026a77010000060101000001000006010100060105292e01006a3a0100393401036a
+79010000070101000000070101003b01006a3a0100393101026a7e0100000601010000010000060101003b01006a3a0100392e01026a800100000701010000000701010007010429
+0a0104291e01006a3a0100392b01026a8401000006010100000100000601010006010629080106291d01006a3a0100392801026a8601000007010100000007010100060101290201
+012908010129020101291d01006a3a0100392501026a8a01000006010100000100000601010006010629080106291d01006a3a0100392201026a8c01000007010100000007010100
+06010529090105291e01006a3a0100391f01026a90010000060101000001000006010100060101290d0101292201006a3a0100391c01026a92010000070101000000070101000601
+0629080106291d01006a3a0100391901026a96010000060101000001000006010100070104290a0104291e01006a3a0100391601026a98010000070101000000070101003b01006a
+3a0100391301026a9c0100000601010000010000060101003b01006a3a0100391001026a9e010000070101000000070101003b01006a3a0100390d01026aa2010000060101000001
+0000060101003b01006a3a0100390a01026aa40100000701010000000701010016010129000102291e01006a3a0100390701026aa801000006010100000100000601010016010629
+1d01006a3a0100390401026aaa0100000701010000000701010016010129020101291d01006a3a0100390101026aae01000006010100000100000601010016010129020101291d01
+006a3a010039016ab00100000701010000000701010016010129020101291d01006a3701026ab401000006010100000100000601010016010129020101291d01006a3401026ab601
+00000701010000000701010016010129020101291d01006a3101026aba01000006010100000100000601010016010129020101291d01006a2e01026abc0100000701010000000701
+01003b01006a2b01026ac00100000601010000010000060101003b01006a2801026ac2010000070101000000070101003b01006a2401036ac6010000060101000001000006010100
+3b01006a2101026ac901000007010100000007010100180103291e01006a1e01026acd010000060101000001000006010100170105291d01006a1b01026acf010000070101000000
+0701010016010129020101291d01006a1801026ad3010000060101000001000006010100160101292201006a1501026ad501000007010100000007010100160101292201006a1201
+026ad901000006010100000100000601010016010129020101291d01006a0f01026adb01000007010100000007010100170105291d01006a0c01026adf0100000601010000010000
+06010100180103291e01006a0901026ae1010000070101000000070101003b01006a0601026ae50100000601010000010000060101003b01006a0301026ae7010000070101000000
+070101003b01006a0001026a6b010360130102600401006009010060530100000601010000010000060101003b01016a6e01006016010060010100600e01006052010000070101000000
+07010100170104298f0100600401006002010060010101600801006001010060010102600301026001010360020101600201026003010160030101603a0100000601010000010000
+06010100160106298e010260020100600201006000010060010100600701006001010060030100600201006005010060060100600101006001010060010100600101006001010060
+01010060380100000701010000000701010016010129020101298e010060050100600001006001010360070100600101006003010060020103600201006004010260010100600101
+0060010100600401036039010000060101000001000006010100160106292d010039010100390301003903010039030100394d0100600501006000010060010100600a0100600101
+006003010060050100600201006000010060010100600101006001010060010100600101006001010060010100603b01000007010100000007010100160105292e01003901010039
+08010039030100394d010360030100600301026007010260040100600201026004010160020101600001006000010060010100600201016003010260390100000601010000010000
+06010100160101293201003901010039010102390201033901010239030101390201003900010139460100607501000007010100000007010100160106292d010339030100390301
+00390301003901010039010100390101003902010039000100394401016077010000060101000001000006010100170104292e010039010100390301003903010039030100390101
+00390101033902010039bf010000070101000000070101004b0100390101003903010039030100390001003901010039010100390101003905010039c00100000601010000010000
+060101004b01003901010039030100390401013901010039010100390201023902010039bf01000007010100000007010100ff012c010000060101000001000006010100ff012b01
+000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000070101003b01413912018260180100000601010000010000060101003b01
+00393f010039120100608001006017010000070101000000070101003b0100393f0100391201006080010060180100000601010000010000060101003b0100393f01003912010060
+8001006017010000070101000000070101003b0100393f0100391201006080010060180100000601010000010000060101003b0100393f0100391201006080010060170100000701
+01000000070101003b0100393f0100391201006080010060180100000601010000010000060101003b0100393a0100390301003912010060450100603901006017010000070101000000
+070101003b0100393a01003903010039120100604501006039010060180100000601010000010000060101003b0100393a0100390301003912010060450100603901006017010000
+070101000000070101003b0100390301373903010039120100600301786003010060180100000601010000010000060101003b0100393a0100390301003912010060450100603901
+006017010000070101000000070101003b0100393a01003903010039120100604501006039010060180100000601010000010000060101003b0100393a0100390301003912010060
+450100603901006017010000070101000000070101003b0100393f0100391201006080010060180100000601010000010000060101003b0100393f01003912010060800100601701
+0000070101000000070101003b0100393f0100391201006080010060180100000601010000010000060101003b0100393f0100391201006080010060170100000701010000000701
+01003b0100393f0100391201006080010060180100000601010000010000060101003b0100393f010039120100608001006017010000070101000000070101003b01413912018260
+18010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000
+060101000001000006010100ff012b0100000701010000000701ff002d000001000006010100000100000601ff002e0007010100000007010100ff012c0100000601010000010000
+06010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100
+ff012b010000070101000000070101003c01033e0001023e0301003e1901003e1f01033e0001023e0a01033e2701063e1d01033e3f0100000601010000010000060101003d01013e
+0201013e0201023e1701023e1f01013e0201013e0c01013e2801013e0101023e1e01013e3e010000070101000000070101003d01013e0201003e0401003e1901003e2001013e0201
+003e0d01013e2801013e0201013e1e01013e3f0100000601010000010000060101003d01023e0101003e4101023e0101003e0d01013e2801013e0201013e1e01013e3e0100000701
+01000000070101003e01013e0001013e0201033e0501033e0201013e0301013e0101033e0301013e0001023e0301033e0001013e0b01013e0001013e0301033e0501013e0301023e
+0001023e0101003e0001013e0001013e0301033e0c01013e0201013e0101043e0201013e0001023e0401033e0501013e3f0100000601010000010000060101003e01013e0001003e
+0501013e0401013e0101013e0101013e0301013e0301013e0401013e0101013e0101013e0101013e0001003e0b01013e0001003e0301013e0101013e0401013e0401013e0101013e
+0101013e0001013e0001013e0101013e0101013e0b01013e0101023e0001013e0201013e0201013e0101013e0201013e0101013e0401013e3e010000070101000000070101003e01
+013e0001003e0501013e0301013e0201013e0101013e0001013e0001013e0301013e0401013e0101013e0101013e0101013e0d01013e0001003e0201013e0301013e0301013e0401
+013e0101013e0101013e0001013e0001013e0001013e0201013e0b01053e0101013e0201013e0201013e0101013e0101013e0201013e0401013e3f01000006010100000100000601
+01003f01023e0501013e0301063e0101013e0001013e0001013e0301013e0401013e0101013e0101013e0101013e0e01023e0201013e0301013e0301013e0401013e0101013e0101
+013e0001013e0001013e0001063e0b01013e0801033e0201013e0101013e0101063e0401013e3e010000070101000000070101003f01023e0501013e0301013e0601013e0001013e
+0001013e0301013e0401013e0101013e0201033e0f01023e0201013e0301013e0301013e0401013e0101013e0101013e0001013e0001013e0001013e1001013e0601013e0101013e
+0201013e0101013e0101013e0901013e3f0100000601010000010000060101003f01013e0601013e0301013e0701013e0001023e0401013e0401013e0101013e0101003e1301013e
+0301013e0301013e0301013e0401013e0101013e0101013e0001013e0001013e0001013e1001013e0501013e0201013e0201013e0101013e0101013e0901013e3e010000070101000000
+070101004001003e0601013e0401013e0201003e0201013e0101013e0401013e0401013e0101013e0101053e0f01003e0401013e0101013e0401013e0401013e0001023e0101013e
+0001013e0001013e0101013e0201003e0b01013e0501013e0101023e0201013e0101013e0201013e0201003e0401013e3f0100000601010000010000060101004001003e0401053e
+0301033e0301003e0301003e0201053e0101023e0001033e0101053e0e01003e0501033e0301053e0301023e0001013e0001013e0001013e0001013e0201033e0b01033e0501023e
+0101013e0001023e0001033e0201033e0301053e3c010000070101000000070101007201003e0401003eb20100000601010000010000060101007201013e0201013eb10100000701
+01000000070101007301043eb3010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b010000070101000000
+07010100ff012c01000006010100000100000601ff002e000701010000000701ff002d0000010000060101000001000006010100ff012b01000007010100000007010100ff012c01
+0000060101000001000006010100ff012b010000070101000000070101004901002901010029de0100000601010000010000060101004901002901010029dd010000070101000000
+070101004901002901010029de0100000601010000010000060101004a010129de010000070101000000070101004901002901010029de0100000601010000010000060101004901
+002901010029dd010000070101000000070101004901002901010029de0100000601010000010000060101006d01023d15010029a3010000070101000000070101006c01033d1501
+0029a40100000601010000010000060101006b01053d14010029a301000007010100000007010100070105295d01053d14010029a401000006010100000100000601010006010629
+0f0100294c01053d010100290d010429a30100000701010000000701010006010129150100294c01033d0101002913010029a3010000060101000001000006010100060101291601
+00295001002915010029a10100000701010000000701010006010129170150291301013d010100290d0103298f01000006010100000100000601010006010129160100290101023d
+4b0100291101033d010100290f0100298e0100000701010000000701010006010129150100290101033d4c0100290f01053d010100290d0100299001000006010100000100000601
+010006010129140100290101053d4c0100290e01053d020100290b0100299001000007010100000007010100060106291201053d5c01053d030100290a01002991010000060101000001
+000006010100070105291201053d5d01033d050100290801002991010000070101000000070101002101033d69010029070103298f01000006010100000100000601010090010029
+99010000070101000000070101009101002922016529100100000601010000010000060101000801012987010029210165290f010000070101000000070101000801012988010029
+20010129610101291001000006010100000100000601010008010129890100291f010129610101290f01000007010100000007010100080101298a0100291e010129610101291001
+0000060101000001000006010100080101298b0100291d010129610101290f01000007010100000007010100080101298c0100291c01012961010129100100000601010000010000
+06010100080101298d0100291b010129610101290f01000007010100000007010100080101298e0100290801013d0f01012961010129100100000601010000010000060101000701
+03298e0100290601033d0e0101290b010329000100290d01002907010029070100292e0101290f010000070101000000070101009b0100290401053d0d0101290a01012901010229
+0d01002907010029060102292d010129100100000601010000010000060101009c0100290301053d0d0101290a010029030101290c01012906010129070100292e0101290f010000
+07010100000007010100200150662b0100290201053d0d0101290a010129030100290c01012906010129370101291001000006010100000100000601010008010129150101664d01
+01662b0100290201033d0e0101290a01022907010329020106290101062902010329030101290001022903010329000101290101032900010029100101290f010000070101000000
+070101000801012915010066000100664c010066000100662b010429100101290b010329040101290101012903010129060101290701012904010129010101290101012901010129
+000100290001012902010129100101291001000006010100000100000601010020010066010100664b010066010100662a010029140101290c010329020101290201012903010129
+0601012907010129040101290101012901010129010101290201012903010029100101290f010000070101000000070101000801012915010066020100664a010066020100662901
+0029140101290e0102290101062903010129060101290701012904010129010101290101012901010129030102291301012910010000060101000001000006010100080101291501
+006603010066490100660301006628010029140101290a010029030101290101012908010129060101290701012904010129010101290201032906010229110101290f0100000701
+0100000007010100080101291501006604010066480100660401006627010029140101290a0101290301002901010129080101290601012907010129040101290101012901010029
+0701002903010129100101291001000006010100000100000601010008010129150100660501006647010066050100663c0101290a01022901010129020101290201002903010129
+010100290301012901010029040101290401012901010129010105290201012902010129100101290f01000007010100000007010100080101291501006606010066460100660601
+00663b0101290a0100290001032904010329050102290501022903010529010102290001032901010529010100290001032911010129100100000601010000010000060101000701
+0329140100660701006645010066070100663a0101294001002904010029190101290f01000007010100000007010100200100660801006644010066080100663901012940010129
+0201012919010129100100000601010000010000060101002001006609010066430100660901006638010129410104291a0101290f01000007010100000007010100200100660a01
+0066420100660a010066370101296101012910010000060101000001000006010100200100660b010066410100660b01006636010129610101290f01000007010100000007010100
+07010429130100660c010066400100660c01006635010129610101291001000006010100000100000601010006010629120100660d0100663f0100660d0100663401012961010129
+0f010000070101000000070101000601012902010129120100660e0100663e0100660e01006633010129610101291001000006010100000100000601010006010129020101291201
+00660f0100663d0100660f01006632010129610101290f01000007010100000007010100060101290201012912010066100100663c01006610010066310101296101012910010000
+0601010000010000060101000601062912010066110100663b0100661101006630010129610101290f010000070101000000070101000601052913010066120100663a0100661201
+00662f010129610101291001000006010100000100000601010006010129170100661301006639010066130100662e010129610101290f0100000701010000000701010006010129
+170100661401006638010066140100661201002904010029130101296101012910010000060101000001000006010100060101291701006615010066370100661501006612010029
+0201002914010129610101290f0100000701010000000701010020010066160100663601006616010066120100290001002915010129610101291001000006010100000100000601
+010020010066170150660c01013d030100291601012905010a29500101290f01000007010100000007010100200100661701006635010066170100660b01033d0201002916010129
+05010029080100290301023d2701003d0501003d1901012910010000060101000001000006010100200100661701006635010066170100660a01053d010100291601012905010029
+080100290301003d0101003d2601003d200101290f01000007010100000007010100200100661701006635010066170100660a01053d0101002916010129050100290101003d0101
+003d020100290301003d0101003d0201013d0201003d0001013d0201023d0101023d0301013d0301013d0201033d0101023d0201003d0201003d0101013d0d010129100100000601
+01000001000006010100200100661701006635010066170100660a01053d0101002916010129050100290101003d0101003d020100290301023d0201003d0101003d0201003d0001
+003d0101003d0401003d0101003d0101003d0101003d0101003d0101003d0201003d0501003d0201003d0201003d0001003d0101003d0c0101290f01000007010100000007010100
+200100661701006635010066170100660b01033d0201002916010129050100290201013d030100290301003d0401033d0201003d0301033d0101003d0101003d0101033d0101003d
+0501003d0501003d0301003d0001003d0101033d0c01012910010000060101000001000006010100200100661701006635010066170100661201002916010129050100290101003d
+0101003d020100290301003d0401003d0501003d0601003d0101003d0101003d0101003d0401003d0101003d0201003d0001003d0301003d0301003d0001003d0101003d0f010129
+0f01000007010100000007010100200100661701006635010066170100661201002916010129050100290101003d0101003d020100290301003d0501023d0201003d0301023d0201
+023d0301023d0201013d0401013d0301003d0401003d0301023d0c010129100100000601010000010000060101002001006617010066350100661701006612010029160101290501
+0029080100291b01003d330101290f0100000701010000000701010020010066170100663501006617010066120100291601012905010029080100291b01003d3301012910010000
+06010100000100000601010020010066170100663501006617010066120100291601012905010a29500101290f010000070101000000070101000601012902010129120100661701
+006635010066170100661201002916010129610101291001000006010100000100000601010006010129020101291201006617010066350100661701006612010029160101296101
+01290f010000070101000000070101000601012902010129120100661701006635010066170100661201002916010129610101291001000006010100000100000601010006010129
+02010129120100661701006635010066170100661201002916010129610101290f010000070101000000070101000701012900010129130100661701006635010066170100661201
+00291601012961010129100100000601010000010000060101000701012900010129130100661701006635010066170100661201002916010129610101290f010000070101000000
+070101000701012900010129130100661701006635010066170100661201002916010129610101291001000006010100000100000601010008010229140100661701006635010066
+170100661201002916010129610101290f01000007010100000007010100080102291401006617010066350100661701006612010029160101296101012910010000060101000001
+0000060101000901002915010066170100663501006617010066120100291601012905010a29500101290f0100000701010000000701010020010066170100663501006617010066
+120100291601012905010029080100290401013d0201003d1601023d1001003d19010129100100000601010000010000060101002001006617010066350100661701006612010029
+1601012905010029080100290301003d0101003d0101003d1601003d0101003d2a0101290f0100000701010000000701010020010066170100663501006617010066120100291601
+012905010029080100290301003d0401023d0301013d0201003d0201003d0601003d0101003d0201013d0301023d0101023d0301013d0201023d0d01012910010000060101000001
+00000601010020010066170100663501006617010066120100291601012905010029080100290401013d0201003d0101003d0101003d0101003d0101003d0001003d0001003d0601
+023d0201003d0101003d0101003d0101003d0301003d0201003d0101003d0101003d0101003d0c0101290f0100000701010000000701010008010329130100661701006635010066
+17010066120100291601012905010029080100290601003d0101003d0101003d0101003d0101003d0101003d0001003d0001003d0601003d0001003d0201033d0101003d0101003d
+0301003d0201003d0101003d0101003d0101003d0c010129100100000601010000010000060101000701052912010066170100663501006617010066120100291601012905010029
+080100290301003d0101003d0101003d0101003d0101003d0101003d0201003d0001003d0701003d0101003d0101003d0401003d0101003d0301003d0201003d0101003d0101003d
+0101003d0c0101290f01000007010100000007010100070101290101012912010066170100663501006617010066120100291601012905010029080100290401013d0201003d0101
+003d0201013d0301003d0001003d0701003d0101003d0201023d0201023d0301003d0301013d0201003d0101003d0c01012910010000060101000001000006010100070101290101
+012912010066170100663501006617010066120100291601012905010029080100293001003d1e0101290f0100000701010000000701010007010129010101291201006617010066
+3501006617010066120100291601012905010029080100292d01023d1f01012910010000060101000001000006010100070101290101012912010066170100663501006617010066
+120100291601012905010a29500101290f01000007010100000007010100070105291201006617010066350100661701006612010029160101296101012910010000060101000001
+00000601010008010329130100661701006635010066170100661201002916010129610101290f010000070101000000070101002001006617010066350100661701006612010029
+160101296101012910010000060101000001000006010100200100661701006635010066170100661201002906010029020100290a010129610101290f0100000701010000000701
+0100200100661701006635010066170100661201002907010029000100290b0101296101012910010000060101000001000006010100080101291501006617010066350100661701
+00661201002907010029000100290b010129610101290f01000007010100000007010100080101291501006617010066350100661701006612010029080100290c01012961010129
+10010000060101000001000006010100080101291501006617010066350100661701006612010029080100290c010129610101290f01000007010100000007010100080101291501
+006617010066350100661701006612010029080100290c01012961010129100100000601010000010000060101000801012915010066170100663501006617010066120100290801
+00290c01012905010a29500101290f010000070101000000070101000801012915010066170100663501006617010066120100291601012905010029080100290401013d0201023d
+0401003d1001003d1501013d13010129100100000601010000010000060101000801012915010066170100663501006617010066120100291601012905010029080100290301003d
+0101003d0301003d2c01003d0101003d120101290f0100000701010000000701010008010129150100661701006635010066170100661201002916010129050100290101003d0101
+003d020100290301003d0601003d0201023d0201023d0201023d0201023d0201023d0301023d0701003d0101003d0101023d0d010129100100000601010000010000060101000701
+0329140100661701006635010066170100661201002916010129050100290101003d0101003d020100290301003d0601003d0401003d0201003d0101003d0101003d0101003d0301
+003d0201003d0101003d0101003d0101003d0701003d0101003d0101003d0101003d0c0101290f010000070101000000070101002001006617010066350100661701006612010029
+16010129050100290201013d030100290301003d0601003d0401003d0201003d0101003d0101003d0101003d0301003d0201003d0101003d0101003d0101003d0701003d0101003d
+0101003d0101003d0c01012910010000060101000001000006010100200100661701006635010066170100661201002916010129050100290101003d0101003d020100290301003d
+0101003d0301003d0401003d0201003d0101003d0101003d0101003d0301003d0201003d0101003d0101003d0101003d0701003d0101003d0101003d0101003d0c0101290f010000
+07010100000007010100200100661701006635010066170100661201002916010129050100290101003d0101003d020100290401013d0401003d0401003d0201023d0201023d0401
+003d0201003d0101003d0201023d0801013d0201003d0101003d0c010129100100000601010000010000060101002001006617010066350100661701006612010029160101290501
+0029080100291501003d0401003d1301003d1e0101290f01000007010100000007010100070101290101012912010066170100663501006617010066120100291601012905010029
+080100291501003d0401003d1001023d1f01012910010000060101000001000006010100070101290101012912010066170100663501006617010066120100291601012905010a29
+500101290f01000007010100000007010100070101290101012912010066170100663501006617010066120100291601012961010129100100000601010000010000060101000701
+012901010129120100661701006635010066170100661201002916010129610101290f01000007010100000007010100070101290101012912010066170100663501006617010066
+120100291601012961010129100100000601010000010000060101000701012901010129120100661701006635010066170100661201002916010129610101290f010000070101000000
+070101000701052912015066170100661201002916010129610101291001000006010100000100000601010008010329140100661601006636010066160100661201002916010129
+610101290f01000007010100000007010100220100661501006637010066150100661201002916010129610101291001000006010100000100000601010023010066140100663801
+0066140100661201002916010129610101290f0100000701010000000701010024010066130100663901006613010066120100291601012961010129100100000601010000010000
+0601010025010066120100663a010066120100661201002916010129610101290f01000007010100000007010100070101290001012919010066110100663b010066110100661201
+0029160101296101012910010000060101000001000006010100060102290001022919010066100100663c010066100100661201002916010129610101290f010000070101000000
+07010100060106291a0100660f0100663d0100660f0100661201002916016529100100000601010000010000060101000601012900010029000101291b0100660e0100663e010066
+0e01006612010029160165290f010000070101000000070101000601012900010029000101291c0100660d0100663f0100660d010066120100298d01000006010100000100000601
+010006010129020101291d0100660c010066400100660c010066120100298c0100000701010000000701010006010129020101291e0100660b010066410100660b01006612010029
+8d01000006010100000100000601010006010129020101291f0100660a010066420100660a010066120100298c010000070101000000070101002e01006609010066430100660901
+0066120100298d0100000601010000010000060101002f010066080100664401006608010066120100298c0100000701010000000701010030010066070100664501006607010066
+120100298d01000006010100000100000601010031010066060100664601006606010066120100298c01000007010100000007010100070104292501006605010066470100660501
+0066120100298d0100000601010000010000060101000601062925010066040100664801006604010066120100298c01000007010100000007010100060101290201012926010066
+030100664901006603010066120100290301013d870100000601010000010000060101000601062927010066020100664a01006602010066120100290201033d85010000070101000000
+070101000601052929010066010100664b01006601010066120100290101053d85010000060101000001000006010100060101292e010066000100664c0100660001006612010029
+0101053d8401000007010100000007010100060106292a0101664d010166120100290101053d85010000060101000001000006010100070104292c015066120100290201033d8501
+0000070101000000070101009c010029000100298c0100000601010000010000060101009b010029020100298a010000070101000000070101009a010029040100298a0100000601
+01000001000006010100ff012b01000007010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c010000060101000001
+000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601010023016e2006016e2f2201000007010100000007010100230100206c0100200601
+002f6c01002f23010000060101000001000006010100230100206c0100200601002f6c01002f2201000007010100000007010100230100206c0100200601002f6c01002f23010000
+060101000001000006010100230100206c0100200601002f6c01002f2201000007010100000007010100230100206c0100200601002f6c01002f2301000006010100000109002301
+00202301022002010120400100200601002f1e01042f4801002f22010000000108000000000100000001000000010000000100000001000023010020220104200101012017010120
+260100200601002f1e01052f0a01012f3a01002f23010000000100000001000000010000000101000001000006010100230100202101012002010120000101200701032002010120
+0001022002010120260100200601002f1e01012f0101012f0101042f0301012f0401012f0101012f0101012f0001022f0001012f0001022f2001002f220100000701010000000701
+010023010020210101200201012000010520020105200101052001010520230100200601002f1e01012f0101012f0001062f0101052f0101012f0101012f0101052f0001062f1f01
+002f230100000601010000010000060101002301002021010120020101200001062001010120010101200101022004010520230100200601002f1e01012f0101012f0001012f0201
+012f0101052f0101012f0101012f0101022f0301012f0201012f1f01002f220100000701010000000701010023010020210106200001012002010120010101200101012001010120
+06010120260100200601002f1e01042f0101062f0201012f0401012f0101012f0101012f0401012f0201012f1f01002f230100000601010000010000060101002301002021010620
+000101200201012001010120010101200101012006010120260100200601002f1e01032f0201052f0301012f0401012f0101012f0101012f0401012f0201012f1f01002f22010000
+07010100000007010100230100202101012002010120000101200201012001010120010101200101012006010120260100200601002f1e01012f0001012f0101012f0701012f0401
+012f0101012f0101012f0401012f0201012f1f01002f2301000006010100000100000601010023010020210101200201012000010620010105200101012006010220250100200601
+002f1e01012f0101012f0001062f0201022f0301052f0101012f0401012f0201012f1f01002f22010000070101000000070101002301002021010120020101200001052003010320
+0201012006010220250100200601002f1e01012f0101012f0101042f0301022f0401032f0201012f0401012f0201012f1f01002f2301000006010100000100000601010023010020
+6c0100200601002f6c01002f2201000007010100000007010100230100206c0100200601002f6c01002f23010000060101000001000006010100230100206c0100200601002f6c01
+002f2201000007010100000007010100230100206c0100200601002f6c01002f23010000060101000001000006010100230100206c0100200601002f6c01002f22010000070101000000
+07010100230100206c0100200601002f6c01002f23010000060101000001000006010100230100206c0100200601002f6c01002f2201000007010100000007010100230100206c01
+00200601002f6c01002f2301000006010100000100000601010023016e2006016e2f2201000007010100000007010100ff012c010000060101000001000006010100ff012b010000
+07010100000007010100ff012c010000060101000001000006010100ff012b01000007010100000007010100ff012c01000006010100000100000601020000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001
+000000010000000100000001000007010100000007010100000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000000010000000100000001000006010100000100001e010000fc0100001f0101000000
+1f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e010100000100001e010000fc0100001f01010000001f010100fb0101001e0101000001
+00001e010000fc0100001f01010000000001ff003f000001ff004000
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/arrow.ps b/books/ps/arrow.ps
new file mode 100644
index 0000000..0deb5db
--- /dev/null
+++ b/books/ps/arrow.ps
@@ -0,0 +1,260 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	47	213	234	84	psDrawLine
+	globGC	(X)	42	218	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	252	213	65	84	psDrawLine
+	globGC	(Y)	257	218	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	32	150	225	psDrawLine
+	globGC	(Z)	155	27	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	150	182	150	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	171	150	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	171	150	182	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/arrowr.ps b/books/ps/arrowr.ps
new file mode 100644
index 0000000..e356449
--- /dev/null
+++ b/books/ps/arrowr.ps
@@ -0,0 +1,260 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	255	132	16	187	psDrawLine
+	globGC	(X)	260	127	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	114	95	190	251	psDrawLine
+	globGC	(Y)	109	90	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	140	46	148	244	psDrawLine
+	globGC	(Z)	135	41	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	204	6	144	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	24	204	6	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	25	204	6	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/atan-1.epsi b/books/ps/atan-1.epsi
new file mode 100644
index 0000000..48f04d1
--- /dev/null
+++ b/books/ps/atan-1.epsi
@@ -0,0 +1,1261 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%Title: atan-1.ps
+%%Creator: Axiom
+%%CreationDate: today
+%%For:rootroot root
+%%Pages: 1
+%%DocumentFonts: Times-Roman
+%%BoundingBox: 94 85 312 292
+%%BeginPreview: 218 207 8 1242
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000556600000000000000000000000000000000000088ddffffffffbb0000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000011aef2e6e266000000000000000000000000000000006600000022cc110000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000007afbc35b4f95e6f189330000000000000000000000000000000000cc33000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000066e2e7ebf4c04f66e6f7c4f2f1d57000000000000000000000000000887700000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000006cf5e6954f4f95eafcf2ac4d3d44bfffe8e2660000000000000000000066990000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000011aef3ebf4c04f4fc0f4ebebf4c04fc0ff954f95e6f07a0000000000000033bb110000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 006cfbc35b4f95eafafcea954f4f95eafcf385453d44bdffe8e2660000000011bb33000000661100
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 66ffebf4c04f66e6f7ebf4c04f4fc0f4ebebf4c04fc0ff954f95e6f07a000099ffffffffddee0000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000066
+% ff954f95eafafec75b4f95eafafdee954f4f95eafbf385453d44bdffe8e266000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000000082f3
+% 7c453d44bdffebf4c04f66e6f7ebffdea14f66e6f7ebf4c04fc0ff954f95e6f07a00000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000011aef3eb
+% f4c04fc0ff954f95eafafec75b4f7eb9fffbfec75b4f95eafbf385453d44bdffe8e2660000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000007afbc35b4f
+% 95eafbf385453d44bdfff7e1664f4f66e1f7ebf4c04f66e6f7ebf4c04fc0ff954f95e6f07a000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000066e2e7ebf4c04f
+% 66e6f7ebf4c04fc0ff9572def18e8ef1de724f95eafafec75b4f95eafbf385453d44bdffe8e26600
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000006cf5e6954f4f95eafc
+% fec75b4f95eafbff954f4f5bb9fdf6a04c40405adff7ebf4c04f66e6f7ebf4c04fc0ff954f95e6f0
+% 89110000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000011aef3ebf4c04f4fc0f4eb
+% ebf4c04f66e6f7ebf4c04f66e6f7ebf4c04f8ef1de724f95eafafec75b4f95eafbf385453d44bdff
+% e8ff9d44000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000006cf9c35b4f95eafafcea954f
+% 4f95eafcfec75b4f95eafafec75b4f95eafbf8ac4c404042bdfff7e1664f4fc0ffebf4c04fc0ff95
+% 4f7eb9ffef7a00000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000119bf3f7e1664f4fc0ffebf4c04f
+% 4fc0f4ebebf4c04f66e6f7ebf4c04f66e6f7ebffdea14fc0ff9572def18ec0ff954f95eafaf99442
+% 404042beffe8e2660000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000033d1db7272def18ec0ff954f95eafa
+% fbea954f4f95eafafec75b4f95eafafec75b4f7eb9fffbff954f4f5bb9fdf385453d44bdffebffde
+% a14fc0ff954f95e6f07a000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000077fbb95b4f4f5bb9fef385453d44bdff
+% f7e1664f4f66e1f7f7e1664f4fc0fff7e1664f4f66e1f7ebf4c04f66e6f7ebf4c04fc0ff954f7eb9
+% fffbf385453d44bdffe8e26600000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000011aef3ebf4c04f4fc0f4ebebf4c04fc0ff95
+% 72def18e8ef1de7272def18ec0ff9572def18e8ef1de724f95ebfafec75b4f95eafbf99442404042
+% beffebf4c04fc0ff954f95e6f0891100000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000007afbc35b4f95eafafcea954f4f95eafcff954f
+% 4f5bb9fdfec35b4f4f5bb9fdff954f4f5bb9fdf8ac4c404042c1ffebf4c04f66e6f7ebffdea14fc0
+% ff954f95eafaf385453d44bdffe8ff9d440000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000066e2e7ebf4c04f66e6f7ebf4c04f4fc0f4ebebf4c0
+% 4f66e6f7ebffdea14f66e6f7ebf4c04f66e6f7ebffdea14fc0ff954f95eafafec75b4f7eb9fffbf3
+% 85453d44bdffebf4c04fc0ff954f7eb9ffef7a000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000007af5e6954f4f95eafcfec75b4f95eafafdee954f4f95ea
+% fafec75b4f7eb9fffbfec75b4f95eafafec75b4f7eb9fffbf38c563d44bdfff7ec8e4f4f4fc0ffeb
+% f4c04fc0ff954f95eafaf99442404042beffe8e26600000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000066e2e7ebf4c04f4fc0f4ebebf4c04f66e6f7ebffdea14f66e6
+% f7f7e1664f4f66e1f7f7e1664f4fc0fff7ec8e4f4f4fc0ffebf4c04fc0ff955badffd666c0ff954f
+% 95eafaf385453d44bdffebffdea14fc0ff954f95e6f0891100000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000007af5e6954f4f95eafcfcea954f4f95eafcfec75b4f7eb9fffbfec7
+% 5b72def18e8ef1de7272def18ec0ff955badffd666c0ff954f95ebfaff954f4f4f72d2fdf385453d
+% 44bdffebf4c04fc0ff954f7eb9fffbf385453d44bdffe8ff9d440000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000066e2e7ebf4c04f4fc0f4ebebf4c04f4fc0f5edf8e1664f4f66e1f8f8df
+% 5c3d4da0f2fec35b4f4f5bb9fdff954f4f4f72d2fef385453d57c1fff7e1664f4f66e1f7ebf4c04f
+% c0ff954f95eafaf99442404042beffebf4c04fc0ff954f7eb9ffef7a000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000006cf7ea954f4f95eafafdee954f4f95eafafceca06080e1f28e8ef2e18080e1
+% f28e66e7f8edffdfa14f66e6f7ebf4c04f4fc0f4ebebf4c04fc0ff9572def18e8ef1de724f95eafa
+% f385453d44bdffebffdea14fc0ff954f95eafaf99442404042beffe8e26600000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000011aef3ebffdea14f66e6f7ebffdea14f66e7f8f8e2674e4e5aa9f6fec06b60606b
+% c0fefecc6b608ac0fffcfec75b4f95eafafcea954f4f95eafbff954f4f5bb9fdf8ac4c404042bdff
+% ebf4c04fc0ff954f7eb9fffaef85453d4489f9ebffdea14fc0ff954f95e6eb891100000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000004ef9c35b4f7eb9fffcfec75b4f7eb9fffbfecc6b80e1f29960c6f5ededf5c66060c6
+% f5edf8e475606075e4f8f8e1664f4fc0fff7ec8e4f4f4fc0fff7e1664f4fc0ffebffdea14fc0ff95
+% 4f95eafaf884424040428cf9f7e1664f66f1b94f7eb9fffaf695453d445efae8ff9d440000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000098f6ea954f4fc0f4ebf7e1664f4f66e1f8f8e16a4b5ba9f3fdf0a06060a0ecfbfdec
+% a06080e1f29999f2e18080e1f28ec0ff955badffd666c0ff9572def18ec0ff954f7eb9fffbf38545
+% 3d44bdfff7ec8e4f4f66f1b972def18ee1de5b4f4b408af9ebffdea14fe6c74f7eb9ffef89110000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000088d5c6f4eef7ea954f72def18e8ef2e18080e1f29975e8f8edffe1a96075e8f8f8ed
+% 8f4e4e5aa9f3fec06b60606bc0fdff954f4f4f72d2fdff954f4f5bb9fdf99442404042beffebf4c0
+% 4fc0ff955badffd666e1de5b4f5bb9fdf472414b4f66f1b94f7eb9fffaf14e453d44beffe8ff9d44
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000088d56060f6f9bc5140404ca0f6fec06b60606bc0fefecc6b608ac0fffdfecc6b6bb5
+% ffda7575e8f8f8ee99606060c6fff8e1664f4f66e1f7f7e1664f4fc0ffebffdea14fc0ff954f95ea
+% faff954f4f4f72d2fdf165453d44bdffebffdea14fe1de5b4f4b408af9ebf4c04fc0ff954f7eb9ff
+% fcf81188ff8811000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000077d36060ddeff1de724fc0f5ededf5c66060c6f5ededf5c66060c6f5edf8e2674e4e
+% 6dbaf7fecc6b6bb5ffda75c6ffa080e1f28e8ef1de7272def18ec0ff954f7eb9fffbef85453d4489
+% f9f7ec8e4f4f4fc0ffebf4c04fc0ff954f7eb9fffbf472414b4f66f1b94f95eafaf99442404042c1
+% ffe9ffaf9b0000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000044ce6060ddd575e3f9f9eca06060a0ecfcfdeca06060a0ecfcfbeca06080e1f29960
+% c6f5edf8e2674e4e6dbaf7ffa060606bc0fdfeb95b4f4f5bb9fdf8844240405ae0f7f7e1664f66f1
+% b95badffd666c0ff954f95eafaf99442404042beffebffdea14fe1de5b4f45baffebffdea14fc0ff
+% 954f7eb9ffef7a000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000044da6060d5d76060f2f7eca06060c6f5ededf5c66060c6f5edf8e2674e4e5aa9f6fd
+% eca06080e1f29960c6f5edf8e4756060c6fff7ec8e4f4f4fc0ffebf4c04f8ef1de7272def18ee1de
+% 5b4f4f72d2fdf385453d44bdffebffdea14fc0ff954f7eb9fffbf496454fc0ff954f7eb9fffbf994
+% 42606d45beffe8e26600000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000044ff6060b0dc6060ddd5c6f5f0f9eca06060a0ecfcfceca06080e1f29960c6f5edf8
+% ed8f4e4e5aa9f3fceca06080e1f299c6ff955badffd666c0ff954f95eafafeb95b4f4f5bb9fdf666
+% 4240405adff7ebf4c04fc0ff954f7eb9fffbf8844240405ae0f7d3f7faf4f99442404042beffebff
+% dea14fc0ff954f95e6eb891100000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000044ff6060b0e66060ddd56060f5f7eca06060c6f5edf8ed8f4e4e5aa9f3fdeca0606b
+% b5ffda7575e8f8f8e2674e4e5aa9f6ff954f4f4f72d2fdef85565b4489f9f7ec8e4f4f4fc0ffebf4
+% c04f8ef1de724f95eafaf99442404042beffebf4c04f8ef1de724b4094f9ebffdea14fc0ff954f7e
+% b9fffbf697453d445efae8ff9d440000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000022ff6060b0ff6060c9d86060ddd5c6f5f0faefa0606bb5ffda7575e8f8f8ed8e544b
+% 546fb8f7fdcc6b80e1f29960c6f5edf8e475606075e3f7f7e1664f66f1b95badffd666c0ff954f95
+% eafaf6a04c40404289f9ebffdea14fc0ff954f95eafaf59c484b4f66f1b94f7eb9fffaf99442404a
+% 58beffebffdea14fe6c74f7eb9ffeb98441100000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000ff6060b0ff6060b0dc6060ddd56060f5f7ffc4874b546fd2f9fecc6b6bb5ffda75
+% 60c6f5edffc1544b5ba9f3fceca06080e1f29999f1de7272def18ee1de5b4f4f72d2fdef85453d44
+% 89f9f7ec8e4f4f66f1b94f7eb9fffaf385453d44bdffebffdea14fe1de5b4f4b408af9ebffdea14f
+% c0ff954f7eb9fffbf465453d4460fad0e5ffe2c88011000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000ff756091ff6060b0e66060c9d86060ddb5a9e1ffefeefaf8d7f8e2674e4e6dbaf7
+% fbeca060a0ffc66060c6fff8d8504e4e5aa9f3feb95b4f4f5bb9fdf6664240404289f9f7e1664f66
+% f1b95badffd666e1de5b4f4b408af9ebf4c04fc0ff954f7eb9fffbf472414b4f66f1b94f7eb9fffb
+% f99442404042beffebffdea14fe6c74f4f4d6cfae8ff9d4400000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000ff8a606cff6060b0ff6060b0dc6060ddd5606075f8fac85c5a80e1f29960c6f5ed
+% ffc04f5a60a0ffc6c6ffa080eeee756060c6fff8ed8e4f4f4fc0fff7ec8e4f4f66f1b972def18ee1
+% de5b4f4f72d2fdf472414b4f66f1b94f95eafaf99442404042beffebffdea14fe1de5b4f4b40bdff
+% ebffdea14fc0ff954f7eb9fffbf79e5c4f4fe6c74f7eb9ffeb892200000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000ff8a605eff7560b0ff6060b0e66060dfd5606060e0d5f2e1805b56bef6fdeca060
+% a0ffc6605b4e83f5ffa060606bd7f699c6ffa06bb5ffd766c0ff955badffd666e1de5b4f5bb9fdf8
+% 7a42404042bdffebffdea14fe1de5b4f4585f9ebffdea14fc0ff954f7eb9fffbf7a8594b4fc0ff95
+% 4f7eb9fffbf99442404042beffd0edfff4f4f465453d4460fadcffcf772200000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000bbffdd2200
+% 44ffaa22000000d38a6059ff8a607fff6060b0ff6060e0d5606060e0b575e4f9f5fcf9d2f8ee8e5a
+% 60a0ffc660c6f5edffc3504e4e50a1f3ffa060606080d7fdff954f4f4f72d2fdec65453d4489f9eb
+% ffdea14fc0ff954f7eb9fffbf15b454f66f1b94f7eb9fffaf99442404042beffd0edfff4f4f99442
+% 404042beffebffdea14fc0ff954f4b4b97f9ebffdea14fe6c74f66a1daffe6801100000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000099ff3300
+% 00991100000000c28a6059ff8a606cff6060b0ff6060beda606060ddc06060f2f8ffc99378bcffdb
+% 704ea2f7fceca060a0ffc6606075e4f8ffc660606060c6fff7e1664f4f66e1f7f7e1664f66f1b94f
+% 7eb9fffaf58442404042beffebf4c04fe1de5b4f4b408af9ebffdea14fc0ff954f4b4b97f9ebffde
+% a14fc0ff954f7eb9fffbf688414b4f66f1b94f7eb9fffbf86842404042beffe8ff9d440000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000088cc00
+% 77440000000000c2aa6059f18a605eff75607fff6060b0dc606060dbd56060e0b5a9e2ffeec2cbdd
+% f2f9ffe4ffc04f5a60a0ffc699f2e180a0ffc66060c6ff9572def18e8ef1de7272def18ee1de5b4f
+% 4b408af9f7e1664f4fc0ff954f95eafaf472414b4f66f1b94f7eb9fffaf68853584f66f1b94f7eb9
+% fffaf99442404042beffebffdea14fe1de5b4f4b40bdffebffdea14fc0ff954f7eb9ffef89110000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000000bb88
+% 88000000000000c2b56059ec8a6059ff8a606cff6060b0dc606060ddd56060e0b5606075f9ffe9e0
+% e0faa76fa9ffc6605b4e83f1fec06b6060a0ffc6c6ff954f4f5bb9fdfeb95b4f4f5bb9fdf472414b
+% 4f66f1b972def18ec0ff954f4b4085f9ebffdea14fe1de5b4f4b408af9ebffdea14fe1de5b4f4b40
+% 8af8e9ffdda14fc0ff954f7eb9fffbf7a8594b4fc0ff954f7eb9fffbf99442404042beffe8ff9d44
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000000011ff
+% 11000000000000c2b56059edaa6059ff8a605eff7560b0e6606060e0d56060dcc0606060e0edffa8
+% 6fbcf77a66a9ffc66060c6fff8d8504e4e508ff5fa844240405891f9f7d64f4f4f4f8ef9ebffdea1
+% 4fe1de5b4f5bb9fdf688414b4f66f1b94f7eb9fffcf472414b4f66f1b94f7eb9fffbf472414b4f66
+% f0b34073b3fffaf9903c383737baffccecfff3f5f9903c383737baffe9ffdda14fc0ff954f7eb9ff
+% ef8911000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000000000ff
+% 0000000000000088b56059efb56059ec8a6059ff8a60b0ff606060e0d56060dbd5606060ddb5c6ff
+% a864daef6f6691ffc6c6ffa080eeee756060c6fff7ec8e4f4f66f1b972ecec664f66f1b94f7eb9ff
+% fbec65453d4489f9ebffdea14fe1de5b4f4b408af9ebffdea14fe1de5b4f4d40bdffe9ffdda14fe0
+% db4d403c34b9ffe9ffdb9840baff8c403c3fc1ffe9ffdb9840baff8c4073b3fffaf99442404042be
+% ffe8ff9d4400000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000000000ff
+% 0000000000000088b5606defb56059ec8a6059ff8a60a9ff606060ded56060ddd5606060dbb560c6
+% ffbc89e7de6f6f93e1ffa060606bd7f699c6ff955badffd666e1de5b4f5bd2f58ee1de5b4f4b40bd
+% fff7e1664f66f1b94f7eb9fffcf472414b4f66f1b94f7eb9fffcf7b17e4d4fc0ff8c4073b3fffaf6
+% a24d3c40baff8c4073b3fffaf8b14d3c40baff8c4073b3fffaf98b36343435baffe9ffdda14fc0ff
+% 954f7eb9ffeb892200000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000002255ff
+% ff44000000000088d5606de7b56059efb56059ec8a60a6ff606060ded56060e0d5606060e0b56060
+% f7f2fbf9ebeef9fbeeffc3504e4e50a1f1ff954f4f4f72d2fdfd724f4f4f4fadfdf15d414b4fc0ff
+% 9572def18ee1de5b4f4b408af9ebffdea14fe1de5b4f4b40bdffccecfff3f5f98b36343435baffcc
+% ecfff3f3f98b36343435baffccecfff3f3f98b36343435baffe9ffdb9840baff8c4073b3fff9f9a0
+% 3c38373755fadcffcf772200000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000088d5606de7b5605eefb56059ec8a606eff606060ced86060dfd5606060dfb56060
+% e0f6978dddfaab6f6fa9ffc660606099fafa8e4f4f4f4f8ef9ffc04f4f4f4fc0ffebf4c04fc0ff95
+% 4f4f5bb9fdf472414b4f66f1b94f7eb9fffcf7a8594b4fc0ff8c403e3f90f8e9ffdb9840baff8c40
+% 3c3f90f8e9ffdb9840baff8c403c3f90f8e9ffdb9840baff8c4073b3fffaf99b3634343556f9deff
+% f2c96f40e5c74f66a1daffe6801100000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000077d3606de7d5606de8b56059efb56059ff606060b6dc6060ded5606060deb56060
+% ddf5eb454fc5f4695a6fa9ffc66075f2c0b5f6664f4f66f5ad95ffc04f4fc0ff954f95eaf9f88442
+% 40404289f8e9ffdda14fe1de5b4f4b408af8ccecfff3f6f58b593d4059f0b34073b3fffcf580343c
+% 4059f0b34073b3fffaf580343c4059f0b34073b3fffaf98b36343435baffdefff2c96f40e4c24059
+% 99ddfff9f7653c383737baffe8ff9d440000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000044ce606de7d5606de7b5605eefb56059ff606060b4dc6060ded5606060dfb56060
+% dbc4f5954b55ecdd6f6f5a9dffc6e4e16b60d7ed4f4fecd24f4f95ffc0c0ff954f4b4059f9ffeb8e
+% 4f4f66f0b34073b3fffcf472414b4f66f0b340404bc3ffe9ffdb9840dedb4d403c3482f8e9ffdb98
+% 40dedb4d403c34b9ffe9ffdb9840dedb4d403c34b9ffe9ffdb9840baff8c405999ddfff9f65c3634
+% 3435bbffe9ffdb9840baff954f7eb9ffe522
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000044da606de0d7606de7b5606de8b56059ff6b6060b1dc6060ced8606060e2b56060
+% e0c4d2eb4f4b74ffb16f6f6f7edcfd8060606beed7d6ec5b4f4f4f95fff377414b4f4fd6cf4da6ff
+% d666e0db4d403c3482f8e9ffdda14fe0db4c3838baff8c4073b3fffcf368343c4059f0b34073b3ff
+% fcf6a24d3c40baff8c4073b3fffaf6a24d3c40baff8c4073b3fff9f99b3438323834baffe9ffdb98
+% 40baff8c4073b3fff9f9a03c38373749f444
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 6600000000000044ff606dc3dc606de7d5606de7b5605eff8a6060badc6060b6dc606060e1b56060
+% dfc480f5954f4f8bf6826f79c6fafb68544b5274edf56642405a585ef9ffeb8e4f4f8eff66404066
+% cffef368343c4059f0b34073b3fffcec8d4040baff8c40403a34baffe9ffdb9840dedb4d403c34b9
+% ffccecfff3f3f98b36343435baffccecfff3f3f99b3634343556f9defff2c96f40baff8c4073b3ff
+% faf99b3634343556f9defff2c96f40bead00
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000022
+% dddd660000000044ff6064c3e6606de7d5606de7b5606dff8a6060c3dc6060b3dc606060e2b56060
+% dec480d2eb4f4f4fa8ed8ce4f399cce860606075faffd64f4f4f4fd6cf4da6ffd666e8a640403c34
+% 4df9f4ffdb9840dedb4d403c34b9ffcff7f9f3f588503a4040baff8c4073b3fffcf6a24d3c40baff
+% 8c403c3f90f8e9ffdb9840baff8c403c3f90f8defff2c96f40e4c2405999ddfff9f98b36343435ba
+% ffdefff2c96f40e4c2405999ddfff5f11100
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0088eecc44000022ff6064c3ff606dceda606de7d5606dff8a6060c3dc6060b1dc606060e7b56060
+% e2c48080f5954f4f4fbefae475606bf7b96060dad272ecec664f8eff66404066cffcf03f343c4040
+% d3cf4073b3fffcf052343c40baff8c404067f9f4ffdb9840baff8c40403a4ddef6ccecfff3f5f580
+% 343c4059f0b34073b3fffaf580343c4059f0b3405999ddfff9f65c36343435bbffe9ffdb9840baff
+% 8c405999ddfff9f65c363434358dff690000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00001188eebb4400ff6064c3ff606ac3dc606de7d5606df18a6060c3ef6060bfdc606060e7b56060
+% e2c48080d2eb4f95ebf6fe6560606095fa7599ff724f5bd2f58ee9a640403c344df9ffea85404085
+% ff6640404083f8e9f3ba40baff87383840d3d04073b3fffcf8b04d3a4085f0db66403a3dc0ffe9ff
+% db9840dedb4d403c34b9ffe9ffdb9840dedb4d40403a34bbffe9ffdb9840baff8c4073b3fffaf99b
+% 3438323834baffe9ffdb98408cff66000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000001188ffbbff7564abff6064c3ef606dceda606dec8a6060c3ff6060c3dc606060e7b56060
+% e0c4808080f5f5f4cc6fdae460545460cce8eaad4f4f4f4fadfbf03f343c4040d3cf4da6ffd359e8
+% a640383859f5a6408ce9fbee7740404085ff6640404083f8ccecfff3f4f3923d3a4040baff8c4073
+% b3fffcf6a24d3c40baff8c4073b3fffaf6b37d3a4040baff8c4073b3fffaf98b36343435baffdeff
+% f2c96f40baff8c4073b3fff7ff6600000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000002299ff8a6b8fff6064c3ff606ac3dc606dec8a606cc3ff6060c3dc60606ce7b56060
+% e5c4808080f6e4696f6f82ffa960606056d8f552424040425ef9ffe985404085ff66404066cffee7
+% 3d404040eacf40403d45f9f3ffda9840e8a640383859f0b340404b94f8e9ffdb9840baff8c40403a
+% 34baffccecfff3f4f98b36343435baffccdfffffedf4f98b36343435baffe9ffdb9840baff8c4059
+% 99ddfff9f98b363434358bff820000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000ff8a9c8fff7564c3ff6064c3ef606ded95606cc3ff6060c3f7606067e7b56060
+% e7c4808080e6ff88616f6fbcf860606075faffd64f4f4f4fd5cb3d9effd259e8a640403c347df8e7
+% f2ba40d3ea4b312a2fcfca2f66acfffdf197594040dedb4c383859f0b34073b3fffcf8be7d3a4040
+% baff8c403c3fc1ffe9ffdb9840baff8c40403a50c1ffe9ffdb9840baff8c4073b3fff9f99b343832
+% 3834baffe9ffdb98408cff66000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000d38a738fff8a688fff6064c3ff606aefb56063c3ff6063c3ff606059e7b56060
+% e7c4808080ebf7bb8066696feedb6060dad272ecec664f8eff582f2f58cafee93f343c4059f49e2f
+% 82e7faeb5b2f2f2f79ff582f2f2f95f8c8eafff2f4f19f594040dedb4d403c34b9ffccdfffffedf5
+% f8b14d3c40baff8c4073b3fffaf8be7d3a4040baff8c4073b3fffaf99b3634343556f9defff2c96f
+% 40baff8c4073b3fff7ff6600000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000c28a768fff8a988fff6064c3ff6064efb56059c3ff606cc3ff606068e7b56066
+% e7c4808080f0fce78080766195ff8799ff724f5bd2f58ee79e2f2f302e4cf8f4dd594040e9ca2f2f
+% 2f41f9f3ffd78f2fe69e2f29354aeeac2f2f3b8cf8c8eafff2f4f6a24d3c40baff8c40403a50c1ff
+% ccecfff3f4f98b36343435baffccdfffffedf3f98b36343435baffdefff2c96f40e4c2405999ddff
+% f9f99b363434354af5820000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000c2aa768ff18a738fff8a648fff6064efb56063c3ff606cc3ff60606de7b5606c
+% e7c4808080efd9ff9180808066c7eeeaad4f4f4f4fadf9e1394a434040e3b84cd5ee85d2e83c2929
+% 2fcfca2f66acfffcef8f4a2f2fdbd83c29294aeeac2f2f3b8cf8ccecfff3f4f8be7d3a4040baff8c
+% 403c3f90f8e9ffdb9840baff8c40403a5091f8e9ffdb9840baff8c405999ddfff9f65c36343435bb
+% ffdefff2c96f40bead000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000c2b5768fec8a708fff8a948fff6064e4b5606dabff6059c3ff606064e7b5605e
+% e7c4808080f0cbf4bb8080808087faf9554240404258f1ff8c404040aaf42f202fa6fceb592f2f2f
+% 79ff582f2f2f4bf9d6eafff3f5f0984a2f2fdbd83c29294aefb340404b94f8ccdfffffedf7f58034
+% 3c4059f0b34073b3fffaf591343a404059f0b34073b3fffaf99b3438323834baffe9ffdb9840baff
+% 8c405999ddfff5f111000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000c2b5768fedaa768ff58a7a8fff8a64e7b5606d8fff6059c3ff606064e7b5605e
+% e7c4808080f0cbe0e78080808080fcfa5b4f4f4f4fd5d5afff8c4059f86a2020201af2f2ffd78f2f
+% e69e2f29292fcfca2f2f3d91f8c8eafff2f5f0984a2f2fdbdb4c383859f0b34040406de2f6e9ffdb
+% 9840dedb4d403c34b9ffdefff2c96f40dedb4d403c34b9ffdefff2c96f40baff8c4073b3fffaf99b
+% 34383238348cff6900000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000088b5768fefb5768fec8a708fff8a8de7b560648fff606dc3ff606076e7b5606d
+% e7c4808080f0b5abff91808080c7f7e8c74f4f4f7aff5b20afff8ce3b8201b1c20afe5205ba6fffb
+% ea4a2f2f2f79ff582f3e4af49e2f2f3c91f8c8eafff2f4f19f594040dedb4d3a3482f0db664073b3
+% fffcf6a24d3c40baff8c405999ddfff9f6a24d3c40baff8c405999ddfff9f98b36343435baffdeff
+% f2c96f408cff660000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000088b5768fefb5768fed95768ff58a82e7b560648fff606d9eff606073e7b56067
+% e7c4808080efad8ff4bb808080efb575fa8a4f4fe5b5202020afffd12320202020f17920202042f8
+% e5ffd78f2fe69e373b2fe8ca2f2f2647f49e2f2f3c91f8c8eafff2f5f1d9d5d6eff7b04038323834
+% baffccecfff3f4f99b3438323834baffccecfff3f3f99b3438323834baffe9ffdb9840baff8c4059
+% 99ddfff5ff66000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000088d5758fe7b5768fefb5768fec8a70e7d5608c8fff60678fff60606fe7b56064
+% e7c4808080efad8fe0e78080aeff7560b9f75ba1ff3d20202033f5f9c64c2020afe520201d1de0b8
+% 205ba6fffbe6812f2fcfe838262f2fe8ca2f2f2647eeac2f2f3bbeff9e9e8fcaffdefff2c96f40ba
+% ff8c403c3fc1ffdefff2c96f40baff8c403c3f90f8defff2c96f40baff8c4073b3fff9f679343832
+% 383466f58200000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000088d56f8fe7b5768fefb5768fed9576e7d5608a8fff60648fff60608fe7b56076
+% e7c4808067efad8fabff9180e5c0606060e8c7ee97201b1c2087f43dc8ff972ff1791d1d209cf42f
+% 20202041f8c7f5f8f1f0954a2f2fcfe838262f2fdbd83c2929b4ff7c2929b4ff8c405999ddfffbf8
+% b14d3c40baff8c405999ddfff9f580343c4059f0b3405999ddfff9f67a363434353df3f4f3ba4040
+% 404dd89b0000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000077d36f8fe7d5768fe4b5768fefb576e7d560738fff60878fff60608fe7b56073
+% e7c4808070f4ad8f8ff4bba0ff8060606075fcc42320202020e08f0f0f65e3ffc51d20203df86a20
+% 201a1ee0b9202044f2d3e8fff1f1f0d4d2d2d2eef0d6d2d2eef1dad2d2eefac2792f292b43e3f6c0
+% ecfff3f4f99b3438323834baffe9ffdb9840dedb4d40403a3487f8e9f3ba404040bae9408ce9f3ba
+% 40b3d0110000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000044ce6f8fe7d5718fe7b5768fefb576ceda606f8fff758e8fff60608fe7b5606f
+% e7c4808064ffad8f8fe0e7e1d7606060604edcf89720202057ff2f0f0f0f2cfaf3e57920e0b81d1a
+% 20209cf42f201aafe520202f67f8a6979797d2ff9e9e97cfff9e9e8fcaffc8dcffffecf3f7af4034
+% 343cbdffdefff2c96f40baff8c4073b3fffaf37d343a404059f0b3408ce9f3ba40f38c4040408ce9
+% f6f333000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000044da6f8fe0d76f8fe7c0768fe4b576c3dc607f8fff8a758fff60698fe7b5608f
+% e7c4808070ffad8f8fabfffb956054546099ff85f3c62f20cbb40f0f0d0dc7d20fa9f1f0d6332020
+% 203df86a1c1c20f17920201acbc620201fb1ff822f26b3ff7c2929b4ff822f2f2a5adff6e9ffdb98
+% 40baff8c405999ddfff9f98b36343435baffdefff2c96f40dedb4d4040408ce9faf4523634343588
+% ff7600000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000044ff6f8fc3dc6f8fe7d5718fe7b576c3dc608f8fff8a6f8fff606c8fe7b5608f
+% e7c4808069ffad8f8f8ff9ef4e60606060d9ba2f4ae8e766f74f180d0f4bff4f0f0f0ef5f4ffa65b
+% 20e1af1b2020afe5201c1c70ff4c2123b4ff7374a2f4f1dad2d2eff7a9412a2f79efdb664073b3ff
+% fbf99b3438323834baffe9ffdb9840baff8c405999ddfff9f6843438323834baffe9ffdb98408cff
+% 660000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000044ff6f8fc3e66f8fe7d56f8fe7c076c3e6608f8fff8a6f8fff8a598fe7b5608f
+% e7c480807affad8f8f8ff4ffa060606060f9742f2f2fceffaf180f0f0fdeaf0f0f0c7ef31f7ed2ff
+% f0ce5e2f2020f1731b2020e4903e8deeeaecfffff3e7977d7de7f6c0ecfff3f4f9d1853832384de4
+% f6defff2c96f40baff8c4073b3fffaf99b3438323834baffdefff2c96f40baff8c4073b3fff7ff66
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000022ff7f8fc3ff6f8fc3dc6f8fe7d571c3ff608f8fff8a8f8fff8a638fe7b5698f
+% e7c4808080ffa68f8f8ffbddffa06060b9f42f2f2f2f3bfbf79f1f0f7eff2f0d0d0fde8f0f0f0f34
+% f6e5f1ffe8ebcd9a9797d8e9f1fff1fff1f7f4e8dad1def5f9ce59343455e6f6c0dfffffedf1fed1
+% 4d405999ddfffaf98b36343435baffdefff2c96f40baff8c405999ddfff9f98b363434358bff8200
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000ff8f8fc3ff6f8fc3dc6f8fe7d56fc3ff608f8fff8a8f8fff8a6d8fe7b56c8f
+% e7c4808080ff8f8f8fabff79ccffa060e79e2f2f1e0fc7d265ecd23fec860c0f0f4bff2f0f0f317e
+% f42f203d93f9d6cfcfd3f8975baaf7e7edffffe0c9f6ffdcc0ecfff3f3f7b94038323848bcffe0ff
+% f2c96f4059e5f7ebffdc9840baff8c405999ddfff9f99b3438323834baffe9ffdb98408cff660000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000ff8f8fabff778fc3ff6f8fc3dc6fc3ff6c8f8fff8a8f8fff8a648fe7b5598f
+% e7c4808680ff8f8f8fcee76f6fccffb0ff581e0f0f4bff4f0f2ed5ffc1200f0f0fc7b30f17260fde
+% 97202019c8d520201de0b82facf46290c34a79a2f7f7ffb3734059e5f6defff2c96f40baff954f66
+% a1e0fffafecf5b4f7eb9fffbf99b3438323834baffdefff2c96f40baff8c4073b3fff7ff66000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000ff8f8f8fff8f8fc3ff6f8fc3dc6f9eff6c8f8ff58a8f8fff8a648fe7b5638f
+% e7c4808480ff8f8f8fe1c66f6f6fccffab0f0f0f0fdeaf0f0f0f12f4f4ff9f4f2ef74b1c0f0f4bff
+% 3d20124bff5b201b9cf43cd8d888e19e2f2f2f2fe78c98dbffecfcca4d405999ddfffaf99341453d
+% 4559e0f7ebffdea14f66e7f7e0fff2c96f40baff8c405999ddfff9f98b363434358bff8200000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000ff8f8f8fff8f8fabff778fc3ff6f8fff638f8fec8b8f8fff8a768fe7b56d8f
+% e7c4806880ff8f8f8fedb26f6f6f6ff7f79f1f0f7eff2f0f070b76f31176cffff9be230f0f0fc8b8
+% 1e0f0fdeb5201a3df882f7c1dddfd63d2f2f2f2fff73404059f5f2ffdb99594059e5f7ebffdea14f
+% 8ef1de724f7eb9fffbfec75b4f66a1e0fffaf99b3438323834baffe9ffdb98408cff660000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000d38f8f8fff8f8f8fff8f8fc3ff6f8fff598f8fec8b8f8fff8a758fe7b5648f
+% e7c48068aeff8f8f8fff8c6f6f6f85ffa2edd23fec8f07000000dc880000001df5f4ff9f4f2ef848
+% 0e0f7eff391c20e0d3fae2d42e34ff2f2f2f2f4aff40404040e78c6fc9edffe0fdcb5b4f7eb9fffb
+% f8b64c453d4541bfffebf4c04f4f4f4fc0ffe0fff2c96f40baff8c4073b3fff7ff66000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000c28f8f8fff8f8f8fff8f8fabff778fff6d8f8fec8b8f8fec8a6f8fe7b56a8f
+% e7c4806ebbff8f8fb6ff6f6f6f5cd2de4f66dfffbe040000003fff2200000076f31176cffff9b73f
+% 0f0fec742e5bcaf3f2e62f2c2f4ede2f2f2f2f93f640404040ff734040406ff5f8ffb97e4f66e7f7
+% e0fff3cd7a4fc0ff954f95eaf4c04fc0ff954f66a1e0fffaf99b363434354af58200000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000c28f8f8ff18f8f8fff8f8f8fff8f8fff8a8f8fec888f8fec8a878fe7b5768f
+% e7c48073bbff8f8fd8dc6f6f7260efa14f4f4ef2f8be330000c4af00000000dd880000003afae5f7
+% f4ecd6e8fff1ede0e32f2b2f2f87c82f2f2f2fb8d140404059ff4d40404040ed8098dcffeefcc75b
+% 4f66a1e0fffaff954f4f4f4f95eafbf9a241453d4541c0ffe0fff2c96f40bead0000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000c28f8f8fec8f8f8fff8f8f8fff8f8fff8a8f8fec888f8fec8a8f8fe7b5718f
+% e7c48080bbff8f8fe1bc6f666087ff664f4e80ff57cdff8830f73f0000003fff22000000c4d20f0f
+% 63eee2873d53ffe5822f2f2f2fb49e2f2f2f2fd6b34040409aff4040404040ff59404059f6f6ea95
+% 4f4f4f4fc0ffebf4c04f4f4f4fc0ffe0fff3cd7a4fc0ff954f66a1e0fff5f1110000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000c28f8f8fed8f8f8ff18f8f8fff8f8fff888f8fec8a8f8fec8a8f8fe7b5778f
+% e7c48080bbff8f8ff19f6e5b60d2de4f5344d2ba2f2f79e2ffba17000000c4ae0000003fff4f0f0e
+% 64ff2f201bc0e6e32f462f2f2be79e2f2f2f2fe3a6404040bad14040404098ff40404040ed80baf4
+% ea954fc0ff954f95eaf4c04fc0ff954f66a1e0fffaf88341453d454195ff69000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000b0d78f8fef8f8f8fec8f8f8fff8f8ff1888f8fed978f8fec8b8f8fe7b58f8f
+% e7c47980bbed8f9bff80556060efa1454440f9742f2f2f29f5f3ff994420f73f000000dcaf0f0d0f
+% c8b5201d20ebeb829c2f2f2f2dec662f2f2f35e880404040d6c040404040bad140404040ff664040
+% baf4f1ff954f4f4f4f95eafbf9a241453d4541c0fff7ec8e4f4f4f95ff6600000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000011aff4eef6d7ef8f8f8fed8f8f8ff18f8fec8b8f8fefa58f8fec8b8f8fe7b58f8f
+% e7c46980bbe58fb0f855606087ff524040aaf42f2f2e1f87f31f7ed1fff8b100000076ff2d0d0f0f
+% f96a1d1e57ffe442de2f2f2f35ff582f2f2f37ff73404040e3a640404040d5b340404086ff404040
+% 4040f3f6ea954f4f4f4fc0ffe0fff3cd7a4fc0ff955badffd66695ff660000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000006cfbcd796fa9eefed78f8fef8f8f8fec8f8fec8b8f8fefa58f8fed938f8fe7b58f8f
+% e7c47080bbe58fe6ccb5b5b5e9bc404040e49e2f343620df8f0f0f0f49f9f1e16600eb700e0f0f94
+% f3201e20c0f184d9c82f2f2f70ff2f2f2f2f57ff40404043e88c40404040e899404040bcd3404040
+% 4040f373baf4ea954fc0ff954f66a1e0fffaff954f4f4f72d2fcff66000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000119cf4eef6cc6f82ebf8eef6d7ef8f8f8fed8f8fed8f8f8fef9f8f8fefac8f8fe7ab8f8f
+% e7c46480bbe58ff3e7ddddddf7f5e98c59ff541d202057ff2f0f1018cacf00a3eff8b91f0f0f0fde
+% 8f1c2020f3e63ad99e2f2f2ba1f52f2f2f2fa1f64040403eff7340404040f373404040d6b3404040
+% 4059ff594040baf4f1f38c41453d4559e0f7f7ec8e4f4f4f95ff8200000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000033d2e18c6fa9eefbfed1796fa9eeffd78f8fef8f8fef9d8f8fef9c8f8fefa38f8fe7ac8f8f
+% e7c47080c7e4b4ff756060c1e940baf3fbc02e202020cbb30f2b3157ff44000006eef4ff9f4f2eff
+% 2a202057f4a94fe79e2f2f2dcdcd2f2f2f32cdd140404056ff4d40404058ff4d404040e9a6404040
+% 409bf64040404040f3f8ffb97e4f8ef1de725badffd66695ff660000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000077f5ab635a5a72e5f8f8ec9080d2f7f1f0f7d7ef8f8fef968f8fef9c8f8fefa58f8fe7af8f8f
+% e7c46780e4e2dce2606054f48c404040f6f5ffa65b3df84c2f2020dfaa00021170ff1176cffffabc
+% 979797e8f32f4fe7662f2f38d9ac2f2f2f37d9b34040409cff4040404096f640404044f373404040
+% 40d7cf4040404040fa7398dcffeffcb95b4f4f4f72d2fcff66000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 11aff4eef6cc6fa3f3e48c79d1fdfef0b38080b3f0ffc98fef8f8f8fef9d8f8fefa58f8fe7a68f8f
+% e7c48080e4a1f1aa605ac6e940403c97f42f87d5fff9bb26202087ff221f2920caaa00000022f5db
+% cfcfcfe1bd4b4fff662f2f4be29e2f2f2f3ee9a6404042c0d140404040cacf40404042ff59404040
+% 40dca6404040406fff4d404059f6f6ea954f4f4f4f95ff8200000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000000006c
+% f9cd796fa9eefdf4b168575fc7fff1f7d28080d2f7f1f9eee98f8f8fe8968f8fef9f8f8fe7a38f8f
+% e7c48080d68bff755a5bf38c403840e3972020204ffaf3e57920ec8115202020f85500000ca1f42f
+% 202030ff5d4f66ff2f2f2c4fe7742f2f314fed8040403cd9c040404041d6a64040409eff40404040
+% 40ee8040404040abea40404040f373baf4ea954f95ff660000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000119cf4
+% f8eb826fccf6eeeef6cc6fccffb380b3f0fbfef0b38088d6ffd78f8fe78f8f8fef9c8f8fe7a58f8f
+% e7b2808085d2e2605bc6e94038406fff3d201e19c8d520aff1f9be1f2020209cf20000192fe89720
+% 2026b1e8384fa1ff2f2f2d4fff662f2f354fff6640403de3a64040403ce88c404040c4d140404040
+% 42ff5940404040d7b34040406fff4d4040baf4eaff66000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000033d2e18c
+% 79d1fdfdeea96f6fa9eefdf6a370646ecdfff1f7d28090edf9f0f7d7e78f8f8feb9d8f8fe79f8f8f
+% e7b3807760f1a55460f3793d4040d2b82017184bff5b20201af7f9c64c2020df8803402f79ff3d20
+% 264fe0ac4d4fb1d02f2f384fff3d2f2f377aff40404047e88c4040403aff73404042dda640404040
+% 9bf64040404040e999404040adea4040404040e6b000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000077f2a86657
+% 5fc7ffeff6cc6f6fccf7f1f1f7d280d2ffb380b3f0fcffd68880b3f0ffd78f8fe7968f8fe79c8f8f
+% e7a5806487ff6399f0cc734d4059f8560f0f0fdeb5201e117ef557ceff974aff332c2f2fd7a62026
+% 4f4ff2864f4fd9ba2f2f4da1ff2f2f2f43a1ec4040424fff7340404072ff40404047e99940404040
+% cfcf4040404044ff73404040d6c04040404040f24400000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000119cf4eef6cc6f
+% ccffa96fa9eefbfef0b38080b3f0fdf3a3706481e7f9f1f7d28090edfaf2f8d7e78f8f8fe79d8f8f
+% e7a16f60f1ebfaebf6e9f3ffecedb60e0f0f7eff3d170e0fdf9e2f2f79e5ffa32f2f2f63ff4c4c4f
+% 4f8eff514f4fdc9e2f2a4fb1d02f2f314fcdcf40403e66ff4d404042a1ec4040404df97340404044
+% dfa64040404087ff40404040e9994040404059ff0000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000033d2e18c6fa9eefc
+% f69961575fc7ffeff6d28080d2f7f1f9ed90aef5e79980b3f0fdffdb978fbcf2ffd78f8fe7968f8f
+% e788c6effaad6f95f53d2f4a9af9f2e36f0fec8e0f0f0f4bff4b2f2f2f31f7f8ac3d2fcec6264f4f
+% 4fcdd04f4f4fe7902f2c4fd9c82f2f354fd9a640403da1ff4040403ed9c040404275ff4d40404046
+% f08c40404040c1dd40404044f973404040408ed30000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000077f5ab635a5a72e5f8
+% eef6cc6fccffa96fa9eefcfef0b38088d6fefad3746868caf7f1f1f7d78f9eeffaf2f8d7e78f8f8f
+% fdf6e3dcd3483ae39e2f2f28cacf00a3f0f9c1200f0f0fc8bd2f2f313abae985efd870f9774f4f4f
+% 4febb64f4f4ff2662f394fd59e2f2f374fe9a6404047c0d14040403de6a6404044a9f64040404049
+% ff6640404042d9a640404073ff4040404040b58b0000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000066ffeef6cc6fa3f3e48c
+% 6fa9eefcf299615774e5f8eff6d28090edf9d7fafbf6fdf0b38080b3f0fdffe5978fbcf7ffe0e6e2
+% fa9d9aff623c6fff4b2f2157ff44000000f5f4ff9f4f2ef8663d454040f38c4059ddffea4f4f4f4f
+% 66ff874f4f4fff4b2f4d4fe7902f2f424fed7340424fd9c040404047ee80404043d2cf4040404099
+% ff4040404045f08c404040afdf4040404040db660000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000066ffa96fa9eefcf8b0675a
+% 5a72e5f8f8eb82a3f3e48c6fa9eefcf6c277646ed1ffeff6d28080d2f7f1e9fffcfcfffffde3a0f3
+% a759ea854040d2bd2e1e20dfaa00000076f31f7ed1fff9be3a404040bae94040403ff6ff954f4f4f
+% b1ed4f4f4f7aff2f2d4f4ff2662f314f4fff66403e4fe3a64040424fff66404056d9a640404044c6
+% d14040404049ff66404042ddb3404040404eff220000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000082f290615774e5f8eef6cc6f
+% a3f3e48c79d1fdf8b0675a5a72e5f8eff6d280d2ffa96fa9eefdf7e5966481edf9c0b7e7a860e4aa
+% 8ef2e2854059f9541e2087ff22040000dc8f0f0f0f45fdff8c404040f38c40413d8effccff954f4f
+% e0cc4f4f4fa1ea2f5c4f4fff582f334f7aff40403d4fe88c40403c8eff40404460e98c40404047d9
+% a640404042a9ff40404042e9994040404077f1000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000119cf4f8eb82a3f3e48c6fa9eefc
+% f4b168575fc7ffeff6cc6fa3f3e48c6fa9eefdf8b36157c6f6eed2f9fbf8faede2f5f1dfddf3ecfa
+% e6f9d3f7faf7db702020ec7f0500003fff2f0f0f0cc9dec0ff8c40bae9403d474fd7ca60c6ff954f
+% f2ad4f4f4fcdca2f464f8eff2f2f364fa1ec4040434fff7340403db1d340404260ff7340404056e9
+% 9940404042d2cf40404047ff7340404040b0b1000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000033d2e18c79d1fdf8b0675a5a72e5f8
+% eef6cc6fccffa96fa9eefbfacd675a5ac5f6eee6fffbf9e0915a5ac5f6eeaca1e9f8b5aad6ffae75
+% f5ad4f4f71f9d8f6f8f6dc21000000c4b30f0d0d4bff7e4fc0ff8cf388404f4f4ffb956060c6ffbe
+% ff664f4f4fd9ac2f4d4fa1eb2f2f424fd9cf40414f66ff4d40404bd9b340404b87ff4040404660ff
+% 7340404047dfa640404095ff4040404042d388000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000077f2a866575fc7ffeff6cc6fa3f3e48c
+% 6fa9eefcf69961575fc7ffdbf9fbf5f3cf8a575fcaffdbf9fbf5f5cc775b99f2d96f54c6ff8a48ec
+% d24f423bd2ca2f2f62f7f1ffcf7620f74b0c0f0fe0c54f4f4fc0ffc94a4f4f4fb1f760606060c6ff
+% eb4f4f4f4fe29e2b4f4fcdca2f314f4fd6a6403c4fa1ff4040434fe9a640405aa9ec4040404399ff
+% 404040405af580404042c6d14040404045f344000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000119cf4eef6cc6fccffa96fa9eefcf8b0675a
+% 5a72e5f8eef6cc6fccffa96f76e6f8eff6cc6fccffa96f62ccffd7f8faf7f0b56060c6f46b4fd6ec
+% 4b3b4085ff582a32c6be004499fffcd30e0f0f7eff664f4f4f5af8fad2724f4fe8b5606060604ee1
+% f84f4f4f4fe7742f4f4fd99e2f384f4fe9a6403a4fc0d140403e4ff373404260ddcc4040404db9df
+% 4040404475ff59404045d9a64040404078ff00000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000033d2e18c6fa9eefcf299615774e5f8eef6cc6f
+% a3f3e48c6fa9eefcf8a761a3f3e48c6fa9eefcf8b4616fccffa06054c8ffd7f8faf7eedad9ecee9b
+% 594040e795190f65ff3300000062f7e5f1a90fefad4f45454fc0ed75daffad70ff806054546095fb
+% ff664f4f4fff663e4f4fe79e2f394f4ff473404a4fd9c040403e4fff59404760dfa640404260ddb3
+% 40404047a9f640404056e98c40404042a0c200000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000077f5ab635a5a72e5f8f8eb82a3f3e48c6fa9eefc
+% f8b0675a5a72e5f8e6fffbf8b0675a5a72e5f8dbf9fbf8f7ad5460c6ffa060549ef9adada3fadced
+% fff4f9e3670f0fe18800000020f3972079e5fbe9484f4f4f4ff5a0606099eaffe54e60606060d7e1
+% f1b14f4f4fff3d4f4f4fe7742f464f4fff59414f4fe3a640404aa1f640404d60e98c40404260e999
+% 40404056ddc040404260ff6640404045c08b00000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000119cf4eef6cc6fa3f3e48c79d1fdf8b0675a5a72e5f8
+% eef6cc6fa3f3e4895cc6ffeff6cc6fa3f3e48c695bccffd7f8faf7f57e546075f1b94f42d6d24f4f
+% 5b9cf8cff7f9f6de09000000e5c620201d10f5ffed8e4f4fc0ed6060606065fbfc7560606080ffa0
+% cce24f4fa1ff2a4f4f4fff66334f4f8eff403c4f4feb8c403f4fcdcf40426060ff6640404760f973
+% 40404260e5a6404047a9ff4040404052dc5500000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000033d2e18c6fa9eefcf4b168575fc7ffeff6cc6fa3f3e48c
+% 6fa9eefcf6ba5a60c6ffa96fa9eefbf5a163696fccffa06060c9ffedf5c660e3d54b4f8eff724f42
+% 54f5a6404060f8e5f1a300c4e72d150e0fa9ec6bb5ffd766f5a060545460dbe4d1e9606060c0e580
+% aaf74f4fa1d22f4f4f66ff2f364f4fa1e1403c4f4fff7340544fd6a640446099ff4040405b87ff40
+% 40404560fa73404052d2cf404040446bff2200000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000077f5ab635a5a72e5f8eef6cc6fccffa96fa9eefcf8b0675a
+% 5a72e4f8d7f8faf5f69961575fc7ffeef6cc6fccff9c5454c6ffa060a0ecfceb8f4f4feaad423b40
+% eacf40381fe0b82079e5f9e12a0f0f0f0ff4a0606080d7ffe16860606087ff9579f8b96075ffae80
+% 88ff8e4fd9c83e4f4fa1ff2f394f4fd9cc40444f66ff4d405c4fe999404360b9df40404260b9ea40
+% 40405687ff4d404460dfa6404040438ae20000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000119cf4eef6cc6fa3f3e48c6fa9eefcf299615774e5f8eef6cc6f
+% a3f3e1805a4fc7ffedf5cc6fccffa96fa9eefdf1aa6060c6ffa0605a66e1f8d7f8faf9e8844040d3
+% ea4727209cf42f20201df3ffe7650f0fa9ec6060605e5cfbffc6606060eacf6f6f9ffb75b5ef8080
+% 80dfcd4fd59e4f4f4fb1d02f464f4fd6a6414f4fa1ff40404f4ff973405660ddc040404760ddc040
+% 404660b9ea40404660ee8040404052b5b10000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000033d2e18c6fa9eefcf8b0675a5a72e5f8f8eb82a3f3e48c6fa9eefc
+% f398565b60c6ffa060a0ecfbf69961575fc7ffd7f8faf7f7b04e5b99f2e1805747c4ffd3f7faf3de
+% 3520203df86a201d1dafe73d9effc82ef4a05f4e474fe8d1a9ffc660a9ff826f6f6fd1e9f7c78080
+% 80bbee4fe7ab4f4f4fd9ba334f4f4fe8993f4f4fc0d140404f7aff40446060e5a640405260eca640
+% 404360ddb340404960ff5940404460d3770000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000077f5ab635a5a72e5f8eef6cc6fa3f3e48c79d1fdf8b0675a5a72e4f8
+% edf5c660c6ffa0605a4fc0ffedf5cc6fccffa060549efad7f8faf6f2904b4b4fc0ff954f4f70f9f4
+% f3af20e0b81d1d2020f2822f2f58cafede444f4f4fb1f8796fa9ffc6f3bc6f6f6f6f79f9fa808080
+% 8099ff66ec7a4f4f4fdc9e344f4f4ff3733c4f4fd9c0403c4fa1ec40426060ef8040426060f37340
+% 405260e999404260a9f64040404360ff440000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000119cf4eef6cc6fa3f3e48c6fa9eefcf4b168575fc7ffeff6cc6fa3f3e180
+% 60a0ecfbf5834e5b60c6ffa060a0ecfcf57e546075f2c06060a1faedf5c04fc0ff9045454fd6d040
+% 8ce9fae53d202020afe72f2f2f2d6ffaf8e1664f66fb9f6f6f6fa9fff5716463646a73f0fe9b8080
+% 8080f1b1ff7d4f4f4fe790394f4f4fff59444f4fe3a640404fd9cc404b6060ff66404d6075ff4d40
+% 446060ff73404560d2cf4040405280ff000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000033d2e18c6fa9eefcf8b0675a5a72e5f8eef6cc6fccffa96fa9eefcf6a95a4e
+% 4e67e2f8edf5c660c6ffa0605a66e1f8edf5c660e4e165506ff2c060a0ecfcef814f4f4f8eff6640
+% 4050f9f4ffd68720f2822e231d3df6b580e1f28ee8d16f6f697373f7ffd280808080b3f7daf76c80
+% 8080cceeff4f4f4f4ff966464f4f8eff404f4f4fe88c404f4fdda6405a6099ff40407060a9ec4040
+% 436099ff40404760e8a640404460aac2000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000077f5ab635a5a72e5f8eef6cc6fa3f3e48c6fa9eefbf299615774e4f8edf5c660
+% 99f2e18060a0ecfbf7b04e5b99f2e18060a0ecfcef9b6060e4e16b5f4e87f9ebffdea14fe9a63b35
+% 3cd3cf4073b3fffde01d202020ead760606bc0fdef645b696f6fccf0b3ffd2808080f0d797f3e273
+% 7380aafbf94f4f4f4fff4b4f4f4fb1e13d4f4f4fff733f4f4ff080426060c6d340405b60ddcc4040
+% 4960c6dd40405a60f38040404360c088000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000119cf4eef6cc6fa3f3e48c6fa9eefbf5b0675a5a5dc7fff8eb82a3f3e18060a0ecfb
+% f6a95a4e4e67e2f8d7f8faf7f6a95a4e4e67e2f8d7f8faf7f15f474f66f1b94f7eb9fffde73d4040
+% 85ff6640404083f8e9f3af20cdee6b605a4f4ef7ffde6f6f6f6ff7b380b3ffd280b3f78f8fadffbb
+% 806c87ffe64f4f4f8eff344f4f4fd9cc3c4f4f66ff4d3c4f4fff66476060ddb340456060e5a64042
+% 6060d9a640446075ff5940405260e855000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000033d2e18c6fa9eefbf5b0675a5a5dc7fff8e6826f6fccffa979d1fdf6a95a4e4e67e2f8
+% edf5c66099f2e1805a4fc7ffedf5c66099f2e1805a4fc7ffedf5c04fe1de5b4f4b5ccbffebf4ba40
+% e8a640383859f5a6408ce9fbee6b4e5b6060c6ee8cefef826fccf1808080b3ffd2f0d78f8f8fcbf9
+% 908079e7e64f4f4fa1de3d4f4f4fdda6404f4fa1ff40444f8eff404d6060eaa640456060f5804059
+% 6060f08c404360a9ec404044606bff22000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000077f1ab635a5a5dc7fff8e6826f6fccffa98ce4f3a3ccffa96f6295faedf5c66099f2e180
+% 60a0ecfbf398565b60c6ffa060a0ecfbf398565b60c6ffa060a0ecfcf15d414b4fc0ff954f95eafd
+% e73d404040eacf40403b22f6ffdb60606060f6a96f79daf7a3f7b380808080b3fffa8f8f8f8f8fea
+% f088d6fcfb4f4f4fd9c84a4f4f4fe8994f4f4fc0d1414f4fb1df42606060f37340516060ff594049
+% 6060ff66405660ddc04040436095e200000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000066fff8e6826f6fccffa98ce4f3a3ccffa96f6f79c6fdf689616f82f3c060a0ecfaf3a95a4e
+% 4e50c3ffedf5c660c6ffa0605a4fc0ffedf5c660c6ffa0605a4fc0ffedf5c04fc0ff954f4b40bbff
+% ebf4ba40d3ea4a2b1e20afee8cefee7560c6ee6f6f6f6fbcfef17c655f5e5f70f8ffd27874747891
+% f0fded98f9b14f4fd98e4f4f4f4ff9694f4f4fd9c03c4f4fd9c044606060ff59446060a9f6404060
+% 60a9ff404f6060e5a640405260b59e00000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000066ffa98ce4f3a3ccffa96f6f79c6fdf9995d5a5a72e5f8eef6cc6fe6e16b60548dfaf8e47560
+% 60c6ffa060a0ecfbf5834e5b60c6ffa060a0ecfcf5834e5b60c6ffa060a0edfcf377414b4fc0ff95
+% 4f95eafbe33a20202020f5a96f79daf799f6a96f6f695b70fbffde6f6f6f6fbcf1bcffd78f8f8fa6
+% fafe9080c4ee4f4fe77f4f4f4f4fff454f4f4fe3a63a4f4fe3a6436060a9ff40426060d2cf404460
+% 60d2cf40556060f47340426060d37700000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0066ffa96f6f79c6fdf9995d5a5a72e5f8eef6cc6fa3f3e48c6fa9eefcf368546075f2c080e1f299
+% c6ffa0605a4fc0ffedf5c660c6ffa0605a4fc0ffedf5c660c6ffa060586b9ef9ebf4c04fc0ff954f
+% 4b4059f9ffe8702020afee6f6f6f6fbcfef15b5b696f6fdedf99f1f0826f8cffb88fbcffd78f97ea
+% eeeddf8091ff8e4fec594f4f4fa1ff414f4f4fe88c434f4ff373566060c6d140496060dfa6404760
+% 60dfa640526087ff4d40456060ff3300000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 44f4935d5a5a72e5f8eef6cc6fa3f3e48c6fa9eefcf8b0675a5a72e4f8edf5c660e4e16b606bc0fd
+% f5834e5b60c6ffa060a0ecfcf5834e5b60c6ffa060a0ecfcef7b434c4f66f5ad4f95eafbf377414b
+% 4f4fd6cf4da6ffcc3df5a96f6f695b96faf8efa36f6fa3ff998088dff8a3dbe48f8f8fbcffd7d3f6
+% acbaff9180cce14fff514f4f4fb1d34f4f4f4fff6e4f4f4fff5a606060dda640606060ee80405a60
+% 60f580446060b9ea4040716080ff0000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 22e7eaa96fa3f3e48c6fa9eefbf8b0675a5a72e5f8eef6cc6fa3f3e18060a0ecfbee72544b68e2f8
+% edf5c660c6ffa0605a4fc0ffedf5c660c6ffa0605a4f8dfaf8e1664f4fecd24f4f4f59faffed8e4f
+% 4f8eff66404066cffeeb5b5b696f82f7bc79bcffde82efc480808080c4fdfd9e8f8f8f8fbcfffec2
+% a0a0e0ef6c99ff8ddc4f4f4f4fd9a34f4f4f66ff484f4fa1ff42606060e99944606060ff66446060
+% 75ff59436060ddc040426060aacf0000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000066e3efefb0675a5a5dc7ffeff6cc6fa3f3e48c6fa9eefbf3a95a4e4e50c3fff8e87599f2e180
+% 60a0ecfbf5834e5b60c6ffa060a0ecfcf7934e5b6075f2c080e1f28ed6ec5a45454fd7d76bb5ffd7
+% 66e8a64040382cb2fff8e6826f6fefda6f6f6f8cdbfff57c6c81826ba6fbfbae8080808099fafd98
+% a0a0adffbb6cdfeeaa4f4f4f4fdd7d4f4f4fa1ff3d4f4fc0d14b606060f973456060a9ff40456060
+% a9f6404e6060e99940456060c0f8bb44000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000085f6c6796f6fccffa96fa9eefbf5b0675a5a5dc7fff8e4756060c6ffa06bccfdf9b55a4e
+% 4e50c3ffedf5c660c6ffa0605a4f8dfaedffe1a960e4e16b606bc0fdee6e4f4f4f8eff80606080d7
+% ffef37292c2fb4ffa98ce4f3a3deef796f6f655a99fbffd280808090f9cbcbf990808088f1e5dbf0
+% 978697d3f6808cfe804f4f4f4fe8624f4f4fc0d1474f4fd9a65a606075ff4d566060d2d140566060
+% ddc042606060f97340496060e86c99ff992200000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000033d2e18cccffa96f695bc4fff8e6826f6fccffa98ce4f399c6ffa060548dfaedffe1a9
+% 60c6ffa060a0ecfaf7934e5b6075f2c0608ac0fffded725a7f6893faedffdfa14febb560605747bb
+% ffebf4b42fb4ffa96f6f79c6fef4785a656f6f82f8c4b3ffd28080f2e28f8fe2f28080dff28f97fa
+% d5a0a08fe6f8e4f8ae4f4f4f4ff94f4f4f4fd9b14f4f4fe88f606060a9f644606060d9a642606060
+% e5a645606087ff4042606075ff11002299ff99220000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000119cf7ef8d5b696fccffa98ce4f3a3ccffa96f6f79c6fdf57e546075f2c0608ac0ff
+% fbf18f544b5293faedffe1a960e4e16b605a4f93faf8e4756075f2c0608ac0fffdf150434b4fc0ff
+% 954f95eafbf9995d5a5a5d9cfaf8efa36f6f6ff0df8080b3ffd2e2f3978f8f97f3e2c4f89e8f8fb5
+% fcaca0c6ffffe8d3fbd94f4f4fd04f4f4f4fe3894f4f4ff969606060d2cf43606060e98c45606060
+% fa73496060b9df4045606095e20000000033bbff8811000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000006cedeaa96fccffa96f6f79c6fdf9995d5a5a72e4f8edf5c660e4e16b605a4fc3
+% fff8e4756075f2c0608ac0fffded6b4e5b6075f6b580e2f299e4e16b605a4fc3ffedf5c04fc0ff95
+% 4f443146fbffefa36f6f82f3c679bcffde82def188808080b3fffea68f8f8f8fa6fdfeb88f8f8f8f
+% dbf0c6ffddc6ffd8a5f5f066a1ad4f4f4f4fe86c4f4f66ff53606060d9a64e606060ff6651606087
+% ff4d5a6060ddb340496060b59e00000000000044bbee881100000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000066e3f0f4995d5a5a72e5f8eef6cc6fa3f3e18060a0ecfbf36b4e5b60c6ff
+% a080e1f299e4e16b605a4fc3fff8e4756060eed760606bc0fdf26b4e5b60c6ffa060a0ecfbf1682b
+% 2d2f2fd1da79bcffde82e6e4796f6f8cdbfdf888655f5e5f9dfbfae280808080aefbfae5857e7d7f
+% 8ef7ffdda0a0c6ffdd96cbf9d8814f4f4f4fff514f4fa1e360606060e98960606099ff44606060b9
+% ea44606060e99942606060d177000000000000000044ccee88000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000007aedeaa96fa3f3e48c6fa9eefbf3a95a4e4e50c3ffedf5c660c6ffa0
+% 60606bc0fdf36b4e5b60c6ffa080e1f299daee6b60604fc0ffedf5c660c6ffa0605a4f65faffea79
+% 2f2f79ff8c6f6f8cdbfff37f5d5a5a5d9cfbf9f0a36f6f82f4cc99f1f1908090f6d3a6f3f4aca0a0
+% ddfffbe38497a0c6ffdda0bdfbc44f4f4f66dc4f4f4fcdad60606060ff6d606060c6dd43606060dd
+% b347606060ff7345606060ff330000000000000000000066dddd2200000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000066e3efefb0675a5a5dc7fff8e4756060c6ffa060a0ecfbf58f50
+% 4e4e50c3ffedf5c660c6ffa060606bc0fdf376795f60c6ffa060a0ecfcf5834e5b6060dad25badff
+% d04aeabc6f6f695b96faffcc6f6f6f82f8c488c4ffde82e7e7888088dff8aee9ea978f97e3f9c2dd
+% ffc6b3f5f5ac9883aff7fdffedfbf08e4fa1ad4f4f4fdd8860606087ff47606060ddb352606060e9
+% 9955606099ff404960608aff00000000000000000000000000660000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000085f6c6796f6fccffa080e1f299c6ffa0605a4fc0fff8e475
+% 6060c6ffa060a0ecfbf58f504e4e50c3ffedf6c660c6ffa0605a4f8dfaf8ee99606099ff724f4f72
+% d2ffef645b696f82f7bca9ffcc6f6ff0df80808099dffefd9980808080c4fdfea68f8f8f8fcbfdff
+% c6a0a0a6e7fac2acf1fbfbe6849fd3ffd9ca804f4f4fe868606060a9ec55606060e99160606060ff
+% 6f606060c6d142606060aac200000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000033d2e18cccffa060606bc0fdf5834e5b60c6ffa080e1f2
+% 99c6ffa0605a4fc0fff8e4756060c6ffa060a0ecfcf1834e5b6075f6b56bb5ffda75eaad4f4f4431
+% 77faf8e6826f6fefda6f6fa9ffccdef18880807568a2fbffd280808080d2fffae58f8f8f8fb8fbfa
+% e586828286c5f8ffe0a6b3f5f5ac9897c8fbae4f4f4fea60606060ddb960606060f96c60606099ff
+% 45606060d9a645606060ca8800000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000119cf7f38f504e4e67e2f8edf5c660c6ffa060606bc0
+% fdf5834e5b60c6ffa080e1f299c6ffa0605d4fc0fff8e4756060eed760606080d7ffe83c2b2d2f4a
+% f7bc8ce4f3a3deef796f6f6fa9fff6856874808090f8c4b3ffd28080d2ffb399f1f29e8f9ef6d3a6
+% f3f4aca0a0ddffffd38497a6e7fac2acf0fafae2667ac060606060df8b60606087ff49606060c6dd
+% 56606060e98c47606060e74400000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000006cece8a06099f2e18060a0ecfbf58f504e4e50c3
+% ffedf5c660c6ffa060606bc0fdf58d765d60c6ffa080e1f299daee6b6060574ec1fff7dc4a2f2fec
+% da6f6f79c6fef77f5d5a5a5d9cfbf9f1ae808080f1df8080b3ffd2d2ffb3808088dff8b8ecea978f
+% 97e3f9c2ddffc6c6ffdda09883baf8ffdb97a6eaf4d48f60606060e96c606060b9d760606060d99d
+% 60606060ff665a606075ff1100000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000066e2edeca95a4e4e50c3fff8e4756060c6ff
+% a060a0ecfbf58f504e4e50c3ffedf5c660c6ffa060606bc0fdf57f4e576060c6ff9572def079d1ef
+% 796f695b70fbffefa36f6f82f4cc88c4ffe290e2f188808080b3ffffb38080808080c4fefda68f8f
+% 8f8fcbfdffc6a0a0c6ffdda0ddf8f2fae98e7082c1fcc960606060f560606060dd9660606060f07c
+% 606060a9ff4460606095d30000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000085f6c06b6060c6ffa080e1f299c6ffa0
+% 605a4fc0fff8e4756060c6ffa060a0ecfbf88f504e4e5093faedffe1a960c6ff954f4f5bb9fdf476
+% 5b696f6fdeda79bcffde82e7e788808099dffef68d6c68686b91fbffe28080808080d2ffffd78f8f
+% 8f8fd7ffffd58c7d89b8fafdf2bc8fa6eaf6b89eeffafaf0996099c060606060e97c60606060ff60
+% 606060d2cf47606060b59e0000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000033d1de80c6ffa060606bc0fdf5834e
+% 5b60c6ffa080e1f299c6ffa0605c4fc0fff8ee99606075f2c0608ac0fffdf37b352f2d2ab3fff8ef
+% a36f6fa3ff8c6f6f8cdbfdf88d6c68686ba6fbfae280808080e2df99f1f1908080d2ffbcbcffd78f
+% 8fd7ffbcbcffdda0a0ddfffae278747481c1f7ffdb9797cbffdcc49860606060f961606060a9f560
+% 606060dfa65a606060d1660000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000119cf7f08f504e4e50c3ffedf5c6
+% 60c6ffa060606bc0fdf590735c60c6ffa06bb5ffda75e4e16b605a4f93f9f7dc4a2f2fb4ffa979bc
+% ffde82eebc6f6f695b96fbf9f1ae808090f5cc99f1f19080aeff998088dff8aed2ffbc8f8fbcffd7
+% d7ffbc8f8fbcffddddffbca6f3f39e8f8fd7fffaf2a9747490cefcd575606087ca60606060d2a760
+% 606060ee7760606060ff330000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000077f6c06b6060c6ffa060a0ec
+% fbf58f504e4e50c3ffedf5c660c6ffa060606080d7fdee6b4e5b6075f6ad72def079b4ffa96f6f6f
+% 8cdbfeef645b696f82f8c488c4ffe290e9e7888088dff8aeefc480808080c4fdffbc8f8f8f8fbcff
+% ffbc8f8f8f8fbcffffbc8f8f97e3f9b8d7ffbc97cbffe59e9eeffaf2ffe4a9a99b60606060df7d60
+% 606060ff586060608af1000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000033d1de80c6ffa0605a4fc0
+% fff8e4756060c6ffa060a0ecfaf88f4e544b544fc4fff8e4756060edd24f4f5bb9fdf9995b615761
+% 5bc9fff9e7826f6ff0df80808099dffefd9980808080c4fdf8878168686ba6fbfae58f8f8f8fb8fb
+% fae58f8f8f8fb8fbfae278747478bbf7ffbc8f8f8fa6e3feffdb978fadd3ffffc960606060f56060
+% 6060a9f65a606060b5c0000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000119cf7ed834e5b60c6ff
+% a080e1f299c6ffa0605a4f65faffee99606060c6ffa080e1f299daec5b4f443177faf8efa36f6f6f
+% ccffb399e7f4a3def18880807568a2fbffd280808080d2fff9f2ae808090f5cc99f1f29e8f9ef6d3
+% a6f3f39e8f9ef6d3a6f3f39e8f8fd7fffaf3b88f8f8fd7fffaf2ae808080d2fff9ef996075ca6060
+% 6060d2ad60606060ca88000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000006cece8a060c6ffa0
+% 60606bc0fdf5926a5b6060dad76bb5ffda75c6ffa060606bc0fdf3652b2d2f4af2c679bcffde82cc
+% ffb3808088ccfdf6856874808090f8c4b3ffd28080d2ffb388c4ffe290e9e7888088dff8b8ecea97
+% 8f97e3f9b8ecea978f97e3f9b8d7ffbc97cbffe59ed7ffbc97cbffe290d2ffb388c4ffdbb79e6060
+% 6060e88260606060f344000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000066e2eff08f50
+% 4e4e50c3fff8ee99606099ff80606080d7fdf58f504e4e50c3ffebffd98f2fdde4796f6f8cdbfdf9
+% a0655f5e5f9dfbf9f1ae808080f1df8080b3ffd2d2ffb380808099dffefd9980808080c4fdfea68f
+% 8f8f8fcbfdfea68f8f8f8fcbfdffbc8f8f8fa6e3feffbc8f8f8fa6e3feffb380808099dfffc96060
+% 6060f36360606075ff11000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000085f6c06b
+% 6060c6ffa06bb5ffda75ecb560605a4fc0fff8e4756060c6ff954f7eb9fffbf47f5d5a5a5dc7fff9
+% f0a36f6f82f4cc88c4ffe290e2f188808080b3fffaa56970647069cfffffd280808080d2fffae58f
+% 8f8f8fb8fbfae58f8f8f8fb8fbfae58f8f8f8fb8fbfae58f8f8f8fb8fbf9f1ae808080d2fffaf099
+% 6075ca60606060a0d300000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000033d1de
+% 80c6ffa060606080d7fdf3584e5b60c6ffa080e1f299c6ff954f4d3d2f7cfaf8e6826f6fccffb388
+% c4ffde82e7e788808099dffef88d6c68686ba6fbf9f1ae808080d2ffbcbcffd28080d2ffb399f1f2
+% 9e8f9ef6d3a6f3f39e8f9ef6d3a6f3f39e8f9ef6d3a6f3f39e8f9ef5cc88c4ffe290d2ffbc97cbff
+% dcb79b60606060b59c00000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000000119c
+% f7f38f58544b544fc4ffedf5c660c6ffa060606bc0fdf1672d2c2f2f4af7bc8ce4f3a3ccffb38080
+% 8099dffef58d6c68686bcdfff9f1ae808090f5cc88c4ffe290d2ffbc8f8fbcffd2d2ffb3808088df
+% f8b8ecea978f97e3f9b8ecea978f97e3f9b8ecea978f97e3f9b8ece788808099dffeffbc8f8f8fa6
+% e2ffc960606060dd6600000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 6cf6d380606060c6ffa060a0ecfbf58f504e4e50c3fff7ea792f2f2fecda6f6f79c6fdf8a5697064
+% 7069aafbf9e9908080d2ffb388c4ffe290e9e788808099dffeffbc8f8f8f8fbcffffb38080808080
+% c4fefea68f8f8f8fcbfefea68f8f8f8fcbfefea68f8f8f8fcbfef88d6c68686ba6fbfaf3b88f8f8f
+% d7fffaf0996060ff2200000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00118bffb56bc6ffa0605a4f8dfaf8e4756060c6ff955badffd04ad1ef796f695b96fbfae2808080
+% 8090f8c499e7f5aed2ffb380808099dffef58d6c68686ba6fbfae280808080aefbfaf2ae80808090
+% e9f9f9ec9e8f8f9eecf9f9f2b88f8f8fd7fff9f2b88f8f8fd7fff9f1ae808090f6d397cbffe59ed7
+% ffbc97cbffdc9cf10000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000033c2f7e9834e5b6075f6b580e1f299c6ff954f4f4f72d2fdf0765b696f82f8c499f1f19080
+% 80f1df808088ccfdf8a56970647069aafbffd280808090f8c499f1f1908090f6d397cbffe290aef5
+% e79999e7f5b8b8f5e79988c4ffe59ed7ffb388c4ffe59ed7ffb388c4ffe290e9ea978f8fa6e3feff
+% bc8f8f8fa6e2febc0000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000085f6c06b6060eed760606bc0fdf67b36342c2d29b4fff9e7826f6ff0df808088dff8ae
+% e2f1888079699ffbfae28080808090f8c4b3ffd28080f1df808088dff8aee9ea978f8fa6e3feffcc
+% 88808088ccfdffcc8880808099dffeffb380808099dffeffb380808099dffef99978747478aefbfa
+% f3b88f8f8fbcff690000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000033d1de80daee6b605a4f8dfaf8eb792f2f2fb4ffb399e7f4a3def18880808080c4fd
+% f28369798090f8c499f1f1908080f1df8080b3ffd2e2f18880808080c4fdf7997874747891fcffe2
+% 80808080aefbfae28080808080d2fffae280808080aefbf9f1ae808080d2fffaf3b88f8f9ef6d397
+% cbffe59ebcff66000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000119cf7e56b4e5b6075f6b56bb5ffd04ab4ffb3808088ccfdf88f6970647069cfff
+% f9e9908080f1df808088dff8aee2f188808080b3fff98f6970647069cffffae58f8f8f8fe5e3a6f3
+% f2908090f5cc99f1f1908080d2ffb399f1f1908090f5cc88c4ffe290d2ffbc97cbffe59eecea978f
+% 8fa6e3fdff6600000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000077f6c06b6060eed760606080d7fdf8a46c68686bcdfff9f1ae808080d2ffb3
+% 99e7f5aee2f18880808080c4fdf88d6c68686ba6fbf9f1ae808080d2ffb399f1f29e8fb8ffa68f97
+% e2f9aee9e7888088dff8aed2ffb3808088dff8aee9e788808099dffeffbc8f8f8fa6e3fef9997874
+% 74789af8820000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000033d1de80daee6b605d473379fbf9e9908080d2ffb388c4ffe290d2ffb380
+% 8088ccfdf88f6970647069cffff9f1ae808090f5cc88c4ffe290d2ffb3808088dff8b8f1cb8f8f8f
+% 8fcbfdfe9980808080c4fdffb38080808080c4fef99172707176aefbfaf3b88f8f8fd7fffaf3b88f
+% 8f97e79d000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000119cf7e355302d2f2f4af7c499e7f5aed2ffb380808099dffefaa46c68
+% 686ba6fbf9f1ae808080d2ffb388c4ffe290e9e788808099dffeffb38080808080c4fef989787474
+% 78aefbfae58f8f8f8fb8fbfaf3b88f8f8f9eecfafaf3b88f8f9ef6d397cbffe59ed7ffbc97cbffe5
+% 9ed3d411000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000006cf4c7582f2f2feddf808088ccfdfaa56970647069cffff9f1ae80
+% 8090f5cc88c4ffe290d2ffb380808099dffef88d6c68686ba6fbfae28080808080d2fff9f2b88f8f
+% 9ef6d3a6f3f39e8f9ef6d397cbffe59eb8f6eaa697cbffe59eecea978f8fa6e3feffbc8f8f8fa6e3
+% fdf63300000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000001189ff9e3dd1f1888079699ffbf9f1ae808080d2ffb388c4ffe2
+% 90e9e788808099dffefaa56970647069cffff9f1ae808090f5cc99f1f1908080d2ffb388c4ffe59e
+% ecea978f97e3f9b8ecea978f8fa6e3fefed3978f8f8fa6e3fef99978747478aefbfae58f8f8f8fa6
+% f8760000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000033bef5ea8369798090f8c488c4ffe290d2ffb380808099df
+% fef58d6c68686bcdfff9f1ae808080d2ffb388c4ffe290e9e7888088dff8aed2ffb380808099dffe
+% fea68f8f8f8fcbfdf99978747478aefbfae58f8f8f8f8fd7fffaf3b88f8f9ef6d3a6f3f39e8f97e7
+% 9d000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000085f7cc888080f1df80808099dffef8a56970647069aa
+% fbf9e9908080d2ffb388c4ffe290d2ffb380808099dffefd9980808080c4fdfaa56970647069cfff
+% fae58f8f8f8fb8fbfaf3b88f8f9ef6d3a6f3f39e8f8fd7ffbc97cbffe59eecea978f97e3f9b8d3d4
+% 11000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000033d3e499e2f18880807568a2fbfae28080808090f8
+% c499e7f5aed2ffb380808099dffef8a56970647069aafbfae280808080aefbf9f1ae808080d2ffb3
+% 99f1f29e8f9ef6d397cbffe59eecea978f97e3f9b8d7ffbc8f8f8fa6e3fefea68f8f8f8fcbfdf733
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000119cf8ee856874808090f8c499f1f1908080f1df
+% 808088ccfdf8a56970647069aafbfae28080808090f8c499f1f1908090f5cc88c4ffe290d2ffb380
+% 8088dff8b8ecea978f8fa6e3fefea68f8f8f8fcbfdfbaf767d707d75d5fffaf3b88f8f8fbcff7600
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000006cf7db99808080f1df808088dff8aee2f188
+% 8079697cfbffe28080808090f8c499f1f1908080f1df808088dff8aee9e788808099dffeffb38080
+% 808080c4fef99978747478aefbfae58f8f8f8fb8fbfaf3b88f8f8fd7ffbc97cbffe59ebcff660000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000118cffc488e2f18880808080c4fdf68369
+% 798080e2df99f1f1908080f1df808088dff8aee2f18880808080c4fdf68d6c68686bcdfffae28080
+% 808080d2fff9f2b88f8f9ef6d3a6f3f39e8f9ef6d397cbffe59ed7ffbc8f8f8fa6e3fdff66000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000033c4f8f38f6970647069cffff9f1ae
+% 8080aeff998088dff8aee2f18880808080c4fdf88f6970647069cffff9e9908080d2ffb399f1f190
+% 8080d2ffb388c4ffe59eecea978f97e3f9b8ecea978f8fa6e3fefbaf767d707d75a0f88200000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000007af7db99808080d2ffb388c4ff
+% e290efc480808080c4fdf88f6970647069cffff9f1ae808080d2ffb399e7f5aed2ffb3808088dff8
+% aed2ffb380808099dffefea68f8f8f8fcbfdf99978747478aefbf1f7d78f8f8f97e79d0000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000118cffc488d2ffb380808099
+% dffef57c6c68686bcdfff9f1ae808080d2ffb388c4ffe290d2ffb3808088ccfdffb38080808080c4
+% fefaa56970647069cffffae58f8f8f8fb8fbf9f2b88f8f9ef5cc80b3f0f7d78fd3d4110000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000033c4f8f6a56970647069
+% cffff9e9908080d2ffb388c4ffe290d2ffb380808099dffef8a46c68686b85fbffe28080808080d2
+% fff9f1ae808080d2ffb399f1f29e8f9ef5cc88c4ffe59eece788808080b3f0f9f633000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000007af7db99808080d2
+% ffb399e7f5aed2ffb380808099dffef8a56970647069aafbfae280808080e2df99f1f1908080d2ff
+% b388c4ffe290d2ffb3808088dff8b8ece788808099dffef88f6970647069afff7600000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000118cffc488d2ff
+% b3808088ccfdf8a56970647069aafbfae28080808090f8c499f1f19080aeff998088dff8aed2ffb3
+% 80808099dffeffb38080808080c4fef88d6c68686ba6fbf9f1ae808080b3ff660000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000033c4f8f4a4
+% 6c68686b85fbffe28080808090f8c499f1f1908080f1df808088dff8aeefc480808080c4fdf8a569
+% 706470698bfbffe28080808080d2fff9f1ae808090f5cc88c4ffe290b3ff66000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000085f7c4
+% 80808080e2df99f1f1908080f1df808088dff8aee2f18880808080c4fdf87c6c68686ba6fbf9ed90
+% 80808080e2df99f1f1908080d2ffb388c4ffe290e9e788808099dffdff6600000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000000033e3
+% db8880aeff998088dff8aee2f18880808080c4fdf88f6970647069cffff9f1ae808090f5cc88d6fb
+% c78080aeff998088dff8aed2ffb380808099dffef58d6c68686b7cf78e0000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000011
+% c2eb99efc480808080c4fdf88f6970647069cffff9f1ae808080d2ffb388c4ffe290e9e7888080aa
+% f9ed90efc480808080c4fdfaa56970647069cffffae280808080c4c2000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 008cffef7c6c68686bcdfff9f1ae808080d2ffb388c4ffe290d2ffb380808099dffefd9980808080
+% 88d6fef87c6c68686ba6fbf9f1ae808080d2ffb399f1f1908099ff33000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000077f5cc888080d2ffb388c4ffe290d2ffb380808099dffef8a56970647069aafbfae280808080
+% 80d2fff9f1ae808090f5cc88c4ffe290d2ffb3808088dff8aedb8c00000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000033d3e499d2ffb380808099dffef8a56970647069aafbfae28080808090f8c499f1f1908080
+% d2ffb388c4ffe290e9e788808099dffeffb38080808080c4fcf51100000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000119cf8f4a56970647069aafbfae28080808090f8c499f1f1908080f1df808088dff8aed2
+% ffb380808099dffef58d6c68686b85fbffed908080808099f7690000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000077f7c48080808090f8c499f1f1908080f1df808088dff8aee2f18880808080c4fdf8
+% a56970647069aafbfae280808080e2df88d6fbc7808088e49c000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000033e3db888080f1df808088dff8aee2f18880808080c4fdf88f6970647069cffffa
+% e28080808090f8c499f1f19080aeff998080aaf9ed90ccd311000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000011c2eb99e2f18880808080c4fdf88f6970647069cffff9f1ae808080d2ffb399
+% f1f1908080f1df808088dff8aeefc48080808088d6fcf53300000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000008cf7f38f6970647069cffff9f1ae808080d2ffb388c4ffe290d2ffb38080
+% 88dff8aee2f18880808080c4fdf8816970647069afff760000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000006cf7db99808080d2ffb388c4ffe290d2ffb380808099dffeffb3808080
+% 8080c4fef88f6970647069cffff9f1ae808080b3ff66000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000118cffc488d2ffb380808099dffef8a569706470698bfbffe2808080
+% 8080d2fff9f1ae808080d2ffb388c4ffe290b3ff6600000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000033c4f8f4a569706470698bfbffed9080808080e2df99f1f19080
+% 80d2ffb388c4ffe290d2ffb380808099dffdff660000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000007af7d28880808080e2df88d6fbc78080aeff998088dff8ae
+% d2ffb380808099dffef8a5697064706983f78e000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000011b0f5aa8080aeff998080aaf9ed90efc480808080c4fd
+% f8a569706470698bfbffed9080808080c4c200000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000055f2d288efc48080808088d6fef57c6c68686b85fb
+% ffed9080808080e2df88d6fbc7808099ff3300000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000011b0ffef816970647069aafbfae280808080e2df
+% 88d6fbc78080aeff998080aaf9ed90db8c0000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000077f5c48080808090f8c499f1f19080aeff99
+% 8080aaf9ed90efc48080808088d6fdf4110000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000033e3db888080f1df808088dff8aeefc480
+% 80808088d6fef8816970647069afff69000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000011c2eb99e2f18880808080c4fdf88169
+% 70647069cffff9f1ae808080b3ff6600000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000008cf7f38f6970647069cffff9f1ae
+% 808080d2ffb388c4ffe290b3ff660000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000006cf7db99808080d2ffb388c4ff
+% e290d2ffb380808099dffdff66000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000118cffc488d2ffb380808099
+% dffef8a5697064706995f88200000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000033c4f8f4a56970647069
+% aafbfae28080808088eb8c0000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000085f7c48080808090
+% f8c499f1f1908080dbc2000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000033e3db888080f1
+% df808088dff8aec4e311000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000011c2eb99e2f1
+% 8880808080c4fcf63300000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000008cf7f08f
+% 697064706983f78e0000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000006cf7d2
+% 8880808080c4c2000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000000011b0
+% f5aa808099ff33000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 55f2d288db8c00000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0011b0fff21100000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000055330000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000
+%%EndImage
+%%EndPreview
+save countdictstack mark newpath /showpage {} def /setpagedevice {pop} def
+%%EndProlog
+%%Page: 1 1
+%%BeginDocument: atan-1.ps
+%%EndDocument
+%%Trailer
+cleartomark countdictstack exch sub { end } repeat restore
+%%EOF
diff --git a/books/ps/atan-1.ps b/books/ps/atan-1.ps
new file mode 100644
index 0000000..efb311a
--- /dev/null
+++ b/books/ps/atan-1.ps
@@ -0,0 +1,16391 @@
+%-------------------------- postscript draw commands --------------------------%
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+ 
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+ 
+%--------- first create user dictionary with 100 entries max ------------%
+%	   (number can be changed to accomodate definitions)		 %
+ 
+100	dict	begin		%% using 100 entries in top level dictionary
+ 
+/FontHeight	12 def
+ 
+/inch
+	{	72 mul }
+	def
+ 
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+ 
+/yVal		%% get Y value -- make upper left corner origin
+	{	maxY sub abs }	%% maxY is viewWindow height
+	def
+ 
+/hVal		%% get H value -- used for displaying title text
+	{	maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+	def
+ 
+% loads in the font
+ 
+/loadFont
+	{	/Times-Roman findfont FontHeight scalefont setfont }
+	def
+ 
+% draws a rectangle with input operand:
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+		0 exch 1 add neg rlineto	%% draw second side
+		1 add neg 0 rlineto		%% draw third side
+		closepath }			%% draw fourth side
+	def
+ 
+% create a rectangle with input operand in the view window:
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+	{	yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+	def
+ 
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+	{	/maxX exch def			%% width of display
+		/maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+	} def
+ 
+%-------------------------- major procedures --------------------------%
+ 
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+		titleH 1 add 0 exch rlineto	%% draw first side
+		1 add 0 rlineto			%% draw second side
+		1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+ 
+/drawFrame	%% draw display frame
+	{	gsave
+		newpath
+		maxX maxY 0 0 rectangle
+		begin installGC stroke end
+		grestore }
+	def
+ 
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+ 
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+ 
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+ 
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+ 
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+ 
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+ 
+/psFillPoly
+	{	gsave
+		newpath
+		yVal moveto
+		1 sub {
+			yVal lineto
+		} repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+		grestore }
+	def
+ 
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+ 
+/psDrawLine
+	{	gsave
+		newpath
+		yVal moveto
+		yVal lineto
+		begin installGC stroke end
+		grestore }
+	def
+ 
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+ 
+/psDrawLines
+	{	gsave
+		newpath
+		yVal moveto
+		1 sub {
+			yVal lineto
+		} repeat
+		begin installGC stroke end
+		grestore }
+	def
+ 
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+ 
+/psDrawIStr
+	{	gsave
+		newpath					%% for rectangle
+		loadFont
+ 
+		/window exch def			%% get window type
+ 
+		%% draw bounding box with background color
+		/str exch def				%% get text string
+		str stringwidth pop 1 sub		%% width
+		FontHeight 1 sub			%% height
+		currentfont begin			%% get font height
+			FontBBox
+		end
+		/ypos exch def pop			%% define ypos
+		neg ypos add /offset exch def pop
+		/offset ypos offset div FontHeight mul def %% define offset
+		/h exch def /w exch def			%% define h
+		/y0 exch def				%% define y0
+		/x0 exch def				%% define x0
+		w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+		BGcolor setgray fill	%% set background box color
+ 
+		x0 y0
+		window (title) eq 
+		{hVal}					%% print title text
+		{yVal} ifelse				%% print window text
+		moveto str 
+		FGcolor setgray show			%% set text color
+		end
+		grestore }
+	def
+ 
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+ 
+/psDrawStr
+	{	gsave
+		newpath
+		loadFont
+		yVal moveto
+		exch begin installGC show end
+		grestore }
+	def
+ 
+%-------------------------- script --------------------------%
+ 
+1 inch 1 inch translate
+ 
+   mark					%% mark bottom of our stack
+ 
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	3
+	1072693248	0	/frameDict	makeDict
+ 
+    gsave	% save graphics state for clipping path
+ 
+	0	260	257	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+ 
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	175	84	65	188	psDrawLine
+	globGC	(X)	180	79	psDrawStr
+	globalGC1	219.000000	setForeground
+	globGC	219.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	62	95	208	172	psDrawLine
+	globGC	(Y)	57	90	psDrawStr
+	globalGC1	219.000000	setForeground
+	globGC	219.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	128	53	128	184	psDrawLine
+	globGC	(Z)	133	48	psDrawStr
+	globalGC1	219.000000	setForeground
+	globGC	219.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	72	126
+	73	71
+	69	69
+	4	72	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	71
+	69	69
+	3	72	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	71
+	72	126
+	76	128
+	4	73	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	126
+	76	128
+	3	73	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	128
+	76	128
+	72	126
+	4	69	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	128
+	72	126
+	3	69	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	128
+	69	128
+	73	130
+	4	76	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	128
+	73	130
+	3	76	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	128
+	77	74
+	73	71
+	4	76	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	74
+	73	71
+	3	76	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	77	74
+	76	128
+	80	130
+	4	77	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	128
+	80	130
+	3	77	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	130
+	80	130
+	76	128
+	4	73	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	130
+	76	128
+	3	73	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	131
+	73	130
+	69	128
+	4	65	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	130
+	69	128
+	3	65	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	130
+	73	130
+	76	132
+	4	80	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	130
+	76	132
+	3	80	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	130
+	81	76
+	77	74
+	4	80	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	76
+	77	74
+	3	80	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	76
+	80	130
+	84	132
+	4	81	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	130
+	84	132
+	3	81	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	132
+	84	132
+	80	130
+	4	76	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	80	130
+	3	76	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	43
+	118	43
+	114	41
+	4	111	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	43
+	114	41
+	3	111	43	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	130
+	65	131
+	69	133
+	4	73	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	131
+	69	133
+	3	73	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	133
+	76	132
+	73	130
+	4	69	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	132
+	73	130
+	3	69	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	133
+	69	133
+	65	131
+	4	62	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	133
+	65	131
+	3	62	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	132
+	76	132
+	80	134
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	132
+	80	134
+	3	84	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	132
+	85	78
+	81	76
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	78
+	81	76
+	3	84	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	78
+	84	132
+	87	134
+	4	85	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	87	134
+	3	85	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	134
+	87	134
+	84	132
+	4	80	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	134
+	84	132
+	3	80	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	43
+	111	43
+	115	45
+	4	118	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	43
+	115	45
+	3	118	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	45
+	122	44
+	118	43
+	4	115	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	44
+	118	43
+	3	115	45	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	132
+	69	133
+	73	135
+	4	76	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	133
+	73	135
+	3	76	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	135
+	80	134
+	76	132
+	4	73	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	134
+	76	132
+	3	73	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	45
+	115	45
+	111	43
+	4	107	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	45
+	111	43
+	3	107	45	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	133
+	62	133
+	65	135
+	4	69	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	133
+	65	135
+	3	69	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	135
+	73	135
+	69	133
+	4	65	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	135
+	69	133
+	3	65	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	134
+	80	134
+	84	136
+	4	87	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	134
+	84	136
+	3	87	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	134
+	90	80
+	85	78
+	4	87	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	80
+	85	78
+	3	87	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	90	80
+	87	134
+	91	136
+	4	90	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	134
+	91	136
+	3	90	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	136
+	91	136
+	87	134
+	4	84	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	136
+	87	134
+	3	84	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	44
+	115	45
+	119	47
+	4	122	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	45
+	119	47
+	3	122	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	47
+	126	46
+	122	44
+	4	119	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	46
+	122	44
+	3	119	47	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	136
+	65	135
+	62	133
+	4	58	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	135
+	62	133
+	3	58	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	134
+	73	135
+	77	137
+	4	80	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	135
+	77	137
+	3	80	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	137
+	84	136
+	80	134
+	4	77	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	136
+	80	134
+	3	77	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	45
+	107	45
+	111	47
+	4	115	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	45
+	111	47
+	3	115	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	47
+	119	47
+	115	45
+	4	111	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	47
+	115	45
+	3	111	47	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	136
+	84	136
+	88	138
+	4	91	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	136
+	88	138
+	3	91	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	136
+	94	83
+	90	80
+	4	91	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	83
+	90	80
+	3	91	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	83
+	91	136
+	95	138
+	4	94	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	136
+	95	138
+	3	94	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	138
+	95	138
+	91	136
+	4	88	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	138
+	91	136
+	3	88	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	135
+	65	135
+	69	137
+	4	73	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	135
+	69	137
+	3	73	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	137
+	77	137
+	73	135
+	4	69	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	137
+	73	135
+	3	69	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	47
+	111	47
+	107	45
+	4	104	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	47
+	107	45
+	3	104	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	46
+	119	47
+	123	49
+	4	126	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	47
+	123	49
+	3	126	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	49
+	130	48
+	126	46
+	4	123	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	48
+	126	46
+	3	123	49	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	135
+	58	136
+	62	138
+	4	65	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	136
+	62	138
+	3	65	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	138
+	69	137
+	65	135
+	4	62	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	137
+	65	135
+	3	62	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	47
+	111	47
+	115	49
+	4	119	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	47
+	115	49
+	3	119	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	49
+	123	49
+	119	47
+	4	115	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	49
+	119	47
+	3	115	49	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	136
+	77	137
+	80	139
+	4	84	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	137
+	80	139
+	3	84	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	139
+	88	138
+	84	136
+	4	80	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	138
+	84	136
+	3	80	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	139
+	62	138
+	58	136
+	4	54	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	138
+	58	136
+	3	54	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	47
+	104	47
+	108	49
+	4	111	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	47
+	108	49
+	3	111	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	49
+	115	49
+	111	47
+	4	108	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	49
+	111	47
+	3	108	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	48
+	123	49
+	127	51
+	4	130	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	49
+	127	51
+	3	130	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	51
+	134	50
+	130	48
+	4	127	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	50
+	130	48
+	3	127	51	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	138
+	88	138
+	92	140
+	4	95	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	138
+	92	140
+	3	95	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	138
+	99	85
+	94	83
+	4	95	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	85
+	94	83
+	3	95	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	85
+	95	138
+	99	140
+	4	99	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	138
+	99	140
+	3	99	85	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	92	140
+	99	140
+	95	138
+	4	92	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	140
+	95	138
+	3	92	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	137
+	69	137
+	73	139
+	4	77	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	137
+	73	139
+	3	77	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	139
+	80	139
+	77	137
+	4	73	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	139
+	77	137
+	3	73	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	49
+	115	49
+	120	51
+	4	123	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	49
+	120	51
+	3	123	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	51
+	127	51
+	123	49
+	4	120	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	51
+	123	49
+	3	120	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	50
+	108	49
+	104	47
+	4	101	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	49
+	104	47
+	3	101	50	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	137
+	62	138
+	66	140
+	4	69	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	138
+	66	140
+	3	69	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	140
+	73	139
+	69	137
+	4	66	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	139
+	69	137
+	3	66	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	49
+	108	49
+	112	51
+	4	115	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	49
+	112	51
+	3	115	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	51
+	120	51
+	115	49
+	4	112	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	51
+	115	49
+	3	112	51	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	138
+	80	139
+	84	140
+	4	88	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	139
+	84	140
+	3	88	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	140
+	92	140
+	88	138
+	4	84	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	140
+	88	138
+	3	84	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	50
+	127	51
+	131	53
+	4	134	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	51
+	131	53
+	3	134	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	53
+	138	52
+	134	50
+	4	131	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	52
+	134	50
+	3	131	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	138
+	54	139
+	58	141
+	4	62	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	139
+	58	141
+	3	62	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	141
+	66	140
+	62	138
+	4	58	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	140
+	62	138
+	3	58	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	142
+	58	141
+	54	139
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	141
+	54	139
+	3	51	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	51
+	120	51
+	124	53
+	4	127	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	51
+	124	53
+	3	127	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	53
+	131	53
+	127	51
+	4	124	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	53
+	127	51
+	3	124	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	49
+	101	50
+	105	52
+	4	108	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	50
+	105	52
+	3	108	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	52
+	112	51
+	108	49
+	4	105	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	51
+	108	49
+	3	105	52	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	140
+	92	140
+	95	141
+	4	99	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	140
+	95	141
+	3	99	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	140
+	103	89
+	99	85
+	4	99	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	89
+	99	85
+	3	99	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	89
+	99	140
+	103	141
+	4	103	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	140
+	103	141
+	3	103	89	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	95	141
+	103	141
+	99	140
+	4	95	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	141
+	99	140
+	3	95	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	139
+	73	139
+	77	141
+	4	80	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	139
+	77	141
+	3	80	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	141
+	84	140
+	80	139
+	4	77	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	140
+	80	139
+	3	77	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	51
+	112	51
+	116	54
+	4	120	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	51
+	116	54
+	3	120	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	54
+	124	53
+	120	51
+	4	116	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	53
+	120	51
+	3	116	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	139
+	66	140
+	69	142
+	4	73	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	140
+	69	142
+	3	73	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	142
+	77	141
+	73	139
+	4	69	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	141
+	73	139
+	3	69	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	52
+	105	52
+	101	50
+	4	98	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	52
+	101	50
+	3	98	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	52
+	131	53
+	135	55
+	4	138	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	53
+	135	55
+	3	138	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	55
+	142	54
+	138	52
+	4	135	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	54
+	138	52
+	3	135	55	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	140
+	58	141
+	62	143
+	4	66	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	141
+	62	143
+	3	66	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	143
+	69	142
+	66	140
+	4	62	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	142
+	66	140
+	3	62	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	140
+	84	140
+	88	142
+	4	92	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	140
+	88	142
+	3	92	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	142
+	95	141
+	92	140
+	4	88	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	141
+	92	140
+	3	88	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	53
+	124	53
+	128	55
+	4	131	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	53
+	128	55
+	3	131	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	55
+	135	55
+	131	53
+	4	128	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	55
+	131	53
+	3	128	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	51
+	105	52
+	109	54
+	4	112	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	52
+	109	54
+	3	112	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	54
+	116	54
+	112	51
+	4	109	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	54
+	112	51
+	3	109	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	141
+	51	142
+	54	144
+	4	58	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	54	144
+	3	58	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	144
+	62	143
+	58	141
+	4	54	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	143
+	58	141
+	3	54	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	53
+	116	54
+	120	56
+	4	124	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	54
+	120	56
+	3	124	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	56
+	128	55
+	124	53
+	4	120	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	55
+	124	53
+	3	120	56	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	140
+	77	141
+	81	143
+	4	84	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	141
+	81	143
+	3	84	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	143
+	88	142
+	84	140
+	4	81	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	142
+	84	140
+	3	81	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	52
+	98	52
+	102	54
+	4	105	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	52
+	102	54
+	3	105	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	54
+	109	54
+	105	52
+	4	102	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	54
+	105	52
+	3	102	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	54
+	135	55
+	139	57
+	4	142	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	55
+	139	57
+	3	142	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	57
+	147	56
+	142	54
+	4	139	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	56
+	142	54
+	3	139	57	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	145
+	54	144
+	51	142
+	4	47	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	144
+	51	142
+	3	47	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	141
+	95	141
+	99	141
+	4	103	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	141
+	99	141
+	3	103	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	141
+	108	99
+	103	89
+	4	103	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	99
+	103	89
+	3	103	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	99
+	103	141
+	107	137
+	4	108	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	141
+	107	137
+	3	108	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	141
+	107	137
+	103	141
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	137
+	103	141
+	3	99	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	141
+	69	142
+	73	144
+	4	77	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	142
+	73	144
+	3	77	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	144
+	81	143
+	77	141
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	143
+	77	141
+	3	73	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	54
+	109	54
+	113	56
+	4	116	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	54
+	113	56
+	3	116	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	56
+	120	56
+	116	54
+	4	113	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	56
+	116	54
+	3	113	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	55
+	128	55
+	132	58
+	4	135	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	55
+	132	58
+	3	135	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	58
+	139	57
+	135	55
+	4	132	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	57
+	135	55
+	3	132	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	54
+	102	54
+	98	52
+	4	94	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	54
+	98	52
+	3	94	54	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	142
+	62	143
+	66	145
+	4	69	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	143
+	66	145
+	3	69	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	145
+	73	144
+	69	142
+	4	66	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	69	142
+	3	66	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	55
+	120	56
+	125	58
+	4	128	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	56
+	125	58
+	3	128	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	58
+	132	58
+	128	55
+	4	125	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	58
+	128	55
+	3	125	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	54
+	102	54
+	106	56
+	4	109	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	54
+	106	56
+	3	109	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	56
+	113	56
+	109	54
+	4	106	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	56
+	109	54
+	3	106	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	143
+	54	144
+	58	146
+	4	62	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	144
+	58	146
+	3	62	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	146
+	66	145
+	62	143
+	4	58	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	145
+	62	143
+	3	58	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	56
+	139	57
+	144	59
+	4	147	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	57
+	144	59
+	3	147	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	59
+	151	58
+	147	56
+	4	144	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	58
+	147	56
+	3	144	59	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	141
+	88	142
+	92	143
+	4	95	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	142
+	92	143
+	3	95	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	143
+	99	141
+	95	141
+	4	92	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	95	141
+	3	92	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	144
+	47	145
+	51	147
+	4	54	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	145
+	51	147
+	3	54	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	147
+	58	146
+	54	144
+	4	51	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	146
+	54	144
+	3	51	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	56
+	113	56
+	117	58
+	4	120	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	56
+	117	58
+	3	120	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	58
+	125	58
+	120	56
+	4	117	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	58
+	120	56
+	3	117	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	57
+	132	58
+	136	60
+	4	139	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	58
+	136	60
+	3	139	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	60
+	144	59
+	139	57
+	4	136	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	59
+	139	57
+	3	136	60	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	142
+	81	143
+	84	144
+	4	88	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	143
+	84	144
+	3	88	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	144
+	92	143
+	88	142
+	4	84	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	143
+	88	142
+	3	84	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	54
+	94	54
+	98	56
+	4	102	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	54
+	98	56
+	3	102	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	56
+	106	56
+	102	54
+	4	98	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	56
+	102	54
+	3	98	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	148
+	51	147
+	47	145
+	4	43	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	147
+	47	145
+	3	43	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	143
+	73	144
+	77	145
+	4	81	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	77	145
+	3	81	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	145
+	84	144
+	81	143
+	4	77	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	144
+	81	143
+	3	77	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	58
+	125	58
+	129	60
+	4	132	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	58
+	129	60
+	3	132	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	60
+	136	60
+	132	58
+	4	129	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	60
+	132	58
+	3	129	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	56
+	106	56
+	110	58
+	4	113	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	56
+	110	58
+	3	113	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	58
+	117	58
+	113	56
+	4	110	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	58
+	113	56
+	3	110	58	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	144
+	66	145
+	70	147
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	145
+	70	147
+	3	73	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	147
+	77	145
+	73	144
+	4	70	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	145
+	73	144
+	3	70	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	58
+	144	59
+	148	61
+	4	151	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	59
+	148	61
+	3	151	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	61
+	155	60
+	151	58
+	4	148	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	60
+	151	58
+	3	148	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	56
+	98	56
+	94	54
+	4	91	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	56
+	94	54
+	3	91	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	145
+	58	146
+	62	148
+	4	66	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	146
+	62	148
+	3	66	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	148
+	70	147
+	66	145
+	4	62	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	147
+	66	145
+	3	62	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	58
+	117	58
+	121	61
+	4	125	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	58
+	121	61
+	3	125	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	61
+	129	60
+	125	58
+	4	121	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	60
+	125	58
+	3	121	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	59
+	136	60
+	141	62
+	4	144	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	60
+	141	62
+	3	144	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	62
+	148	61
+	144	59
+	4	141	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	61
+	144	59
+	3	141	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	56
+	98	56
+	102	58
+	4	106	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	56
+	102	58
+	3	106	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	58
+	110	58
+	106	56
+	4	102	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	58
+	106	56
+	3	102	58	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	146
+	51	147
+	54	149
+	4	58	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	147
+	54	149
+	3	58	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	149
+	62	148
+	58	146
+	4	54	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	148
+	58	146
+	3	54	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	60
+	129	60
+	133	62
+	4	136	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	60
+	133	62
+	3	136	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	62
+	141	62
+	136	60
+	4	133	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	62
+	136	60
+	3	133	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	58
+	110	58
+	114	61
+	4	117	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	58
+	114	61
+	3	117	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	61
+	121	61
+	117	58
+	4	114	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	61
+	117	58
+	3	114	61	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	147
+	43	148
+	47	150
+	4	51	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	148
+	47	150
+	3	51	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	150
+	54	149
+	51	147
+	4	47	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	149
+	51	147
+	3	47	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	56
+	91	56
+	95	59
+	4	98	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	56
+	95	59
+	3	98	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	59
+	102	58
+	98	56
+	4	95	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	58
+	98	56
+	3	95	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	60
+	148	61
+	152	63
+	4	155	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	61
+	152	63
+	3	155	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	63
+	160	62
+	155	60
+	4	152	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	62
+	155	60
+	3	152	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	151
+	47	150
+	43	148
+	4	39	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	150
+	43	148
+	3	39	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	60
+	121	61
+	126	63
+	4	129	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	61
+	126	63
+	3	129	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	63
+	133	62
+	129	60
+	4	126	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	62
+	129	60
+	3	126	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	143
+	84	144
+	88	145
+	4	92	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	144
+	88	145
+	3	92	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	141
+	92	143
+	96	143
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	143
+	96	143
+	3	99	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	145
+	96	143
+	92	143
+	4	88	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	143
+	92	143
+	3	88	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	144
+	77	145
+	81	147
+	4	84	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	145
+	81	147
+	3	84	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	147
+	88	145
+	84	144
+	4	81	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	145
+	84	144
+	3	81	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	137
+	99	141
+	103	139
+	4	107	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	103	139
+	3	107	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	143
+	103	139
+	99	141
+	4	96	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	139
+	99	141
+	3	96	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	58
+	102	58
+	106	61
+	4	110	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	58
+	106	61
+	3	110	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	61
+	114	61
+	110	58
+	4	106	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	61
+	110	58
+	3	106	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	61
+	141	62
+	145	64
+	4	148	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	62
+	145	64
+	3	148	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	64
+	152	63
+	148	61
+	4	145	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	63
+	148	61
+	3	145	64	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	145
+	70	147
+	73	148
+	4	77	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	147
+	73	148
+	3	77	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	148
+	81	147
+	77	145
+	4	73	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	147
+	77	145
+	3	73	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	147
+	62	148
+	66	150
+	4	70	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	148
+	66	150
+	3	70	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	150
+	73	148
+	70	147
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	148
+	70	147
+	3	66	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	59
+	95	59
+	91	56
+	4	87	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	59
+	91	56
+	3	87	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	61
+	114	61
+	118	63
+	4	121	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	61
+	118	63
+	3	121	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	63
+	126	63
+	121	61
+	4	118	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	63
+	121	61
+	3	118	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	62
+	133	62
+	138	65
+	4	141	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	62
+	138	65
+	3	141	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	65
+	145	64
+	141	62
+	4	138	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	64
+	141	62
+	3	138	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	148
+	54	149
+	58	151
+	4	62	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	149
+	58	151
+	3	62	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	151
+	66	150
+	62	148
+	4	58	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	62	148
+	3	58	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	58
+	95	59
+	99	61
+	4	102	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	59
+	99	61
+	3	102	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	61
+	106	61
+	102	58
+	4	99	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	61
+	102	58
+	3	99	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	62
+	152	63
+	157	65
+	4	160	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	63
+	157	65
+	3	160	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	65
+	164	64
+	160	62
+	4	157	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	64
+	160	62
+	3	157	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	149
+	47	150
+	51	152
+	4	54	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	150
+	51	152
+	3	54	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	152
+	58	151
+	54	149
+	4	51	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	151
+	54	149
+	3	51	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	62
+	126	63
+	130	65
+	4	133	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	63
+	130	65
+	3	133	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	65
+	138	65
+	133	62
+	4	130	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	65
+	133	62
+	3	130	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	61
+	106	61
+	111	63
+	4	114	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	61
+	111	63
+	3	114	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	63
+	118	63
+	114	61
+	4	111	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	63
+	114	61
+	3	111	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	150
+	39	151
+	43	153
+	4	47	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	151
+	43	153
+	3	47	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	153
+	51	152
+	47	150
+	4	43	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	152
+	47	150
+	3	43	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	63
+	145	64
+	149	66
+	4	152	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	64
+	149	66
+	3	152	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	66
+	157	65
+	152	63
+	4	149	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	65
+	152	63
+	3	149	66	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	137
+	113	114
+	108	99
+	4	107	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	114
+	108	99
+	3	107	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	114
+	107	137
+	110	128
+	4	113	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	137
+	110	128
+	3	113	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	139
+	110	128
+	107	137
+	4	103	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	128
+	107	137
+	3	103	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	59
+	87	59
+	91	61
+	4	95	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	59
+	91	61
+	3	95	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	61
+	99	61
+	95	59
+	4	91	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	61
+	95	59
+	3	91	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	63
+	118	63
+	123	66
+	4	126	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	63
+	123	66
+	3	126	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	66
+	130	65
+	126	63
+	4	123	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	65
+	126	63
+	3	123	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	154
+	43	153
+	39	151
+	4	35	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	153
+	39	151
+	3	35	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	64
+	138	65
+	142	67
+	4	145	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	65
+	142	67
+	3	145	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	67
+	149	66
+	145	64
+	4	142	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	66
+	145	64
+	3	142	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	61
+	99	61
+	103	63
+	4	106	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	61
+	103	63
+	3	106	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	63
+	111	63
+	106	61
+	4	103	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	63
+	106	61
+	3	103	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	147
+	73	148
+	77	150
+	4	81	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	148
+	77	150
+	3	81	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	145
+	81	147
+	85	148
+	4	88	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	147
+	85	148
+	3	88	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	150
+	85	148
+	81	147
+	4	77	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	148
+	81	147
+	3	77	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	143
+	88	145
+	92	146
+	4	96	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	145
+	92	146
+	3	96	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	148
+	92	146
+	88	145
+	4	85	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	146
+	88	145
+	3	85	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	148
+	66	150
+	70	151
+	4	73	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	70	151
+	3	73	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	151
+	77	150
+	73	148
+	4	70	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	150
+	73	148
+	3	70	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	65
+	130	65
+	134	68
+	4	138	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	65
+	134	68
+	3	138	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	68
+	142	67
+	138	65
+	4	134	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	67
+	138	65
+	3	134	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	64
+	157	65
+	161	67
+	4	164	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	65
+	161	67
+	3	164	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	67
+	169	66
+	164	64
+	4	161	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	66
+	164	64
+	3	161	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	63
+	111	63
+	115	66
+	4	118	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	63
+	115	66
+	3	118	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	66
+	123	66
+	118	63
+	4	115	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	66
+	118	63
+	3	115	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	150
+	58	151
+	62	153
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	151
+	62	153
+	3	66	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	153
+	70	151
+	66	150
+	4	62	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	151
+	66	150
+	3	62	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	61
+	91	61
+	87	59
+	4	84	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	61
+	87	59
+	3	84	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	139
+	96	143
+	100	143
+	4	103	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	143
+	100	143
+	3	103	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	146
+	100	143
+	96	143
+	4	92	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	143
+	96	143
+	3	92	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	151
+	51	152
+	54	154
+	4	58	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	152
+	54	154
+	3	58	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	154
+	62	153
+	58	151
+	4	54	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	153
+	58	151
+	3	54	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	65
+	149	66
+	154	68
+	4	157	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	66
+	154	68
+	3	157	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	68
+	161	67
+	157	65
+	4	154	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	67
+	157	65
+	3	154	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	65
+	123	66
+	127	68
+	4	130	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	66
+	127	68
+	3	130	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	68
+	134	68
+	130	65
+	4	127	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	68
+	130	65
+	3	127	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	61
+	91	61
+	95	63
+	4	99	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	61
+	95	63
+	3	99	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	63
+	103	63
+	99	61
+	4	95	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	63
+	99	61
+	3	95	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	152
+	43	153
+	47	155
+	4	51	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	153
+	47	155
+	3	51	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	155
+	54	154
+	51	152
+	4	47	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	154
+	51	152
+	3	47	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	66
+	142	67
+	146	69
+	4	149	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	67
+	146	69
+	3	149	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	69
+	154	68
+	149	66
+	4	146	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	68
+	149	66
+	3	146	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	63
+	103	63
+	107	66
+	4	111	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	63
+	107	66
+	3	111	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	66
+	115	66
+	111	63
+	4	107	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	66
+	111	63
+	3	107	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	153
+	35	154
+	39	156
+	4	43	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	154
+	39	156
+	3	43	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	156
+	47	155
+	43	153
+	4	39	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	155
+	43	153
+	3	39	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	67
+	134	68
+	139	70
+	4	142	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	68
+	139	70
+	3	142	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	70
+	146	69
+	142	67
+	4	139	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	69
+	142	67
+	3	139	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	66
+	115	66
+	119	68
+	4	123	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	66
+	119	68
+	3	123	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	68
+	127	68
+	123	66
+	4	119	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	68
+	123	66
+	3	119	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	31	157
+	39	156
+	35	154
+	4	31	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	156
+	35	154
+	3	31	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	61
+	84	61
+	88	63
+	4	91	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	61
+	88	63
+	3	91	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	63
+	95	63
+	91	61
+	4	88	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	63
+	91	61
+	3	88	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	66
+	161	67
+	166	69
+	4	169	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	67
+	166	69
+	3	169	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	69
+	173	68
+	169	66
+	4	166	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	68
+	169	66
+	3	166	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	68
+	127	68
+	131	71
+	4	134	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	68
+	131	71
+	3	134	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	71
+	139	70
+	134	68
+	4	131	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	70
+	134	68
+	3	131	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	63
+	95	63
+	100	65
+	4	103	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	63
+	100	65
+	3	103	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	65
+	107	66
+	103	63
+	4	100	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	66
+	103	63
+	3	100	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	67
+	154	68
+	158	71
+	4	161	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	68
+	158	71
+	3	161	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	71
+	166	69
+	161	67
+	4	158	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	69
+	161	67
+	3	158	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	150
+	70	151
+	74	153
+	4	77	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	151
+	74	153
+	3	77	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	148
+	77	150
+	81	152
+	4	85	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	150
+	81	152
+	3	85	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	153
+	81	152
+	77	150
+	4	74	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	152
+	77	150
+	3	74	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	128
+	103	139
+	107	137
+	4	110	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	139
+	107	137
+	3	110	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	143
+	107	137
+	103	139
+	4	100	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	137
+	103	139
+	3	100	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	151
+	62	153
+	66	155
+	4	70	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	153
+	66	155
+	3	70	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	155
+	74	153
+	70	151
+	4	66	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	153
+	70	151
+	3	66	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	146
+	85	148
+	89	149
+	4	92	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	148
+	89	149
+	3	92	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	152
+	89	149
+	85	148
+	4	81	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	149
+	85	148
+	3	81	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	66
+	107	66
+	112	68
+	4	115	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	66
+	112	68
+	3	115	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	68
+	119	68
+	115	66
+	4	112	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	68
+	115	66
+	3	112	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	68
+	146	69
+	151	72
+	4	154	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	69
+	151	72
+	3	154	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	72
+	158	71
+	154	68
+	4	151	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	71
+	154	68
+	3	151	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	153
+	54	154
+	58	156
+	4	62	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	154
+	58	156
+	3	62	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	156
+	66	155
+	62	153
+	4	58	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	155
+	62	153
+	3	58	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	63
+	88	63
+	84	61
+	4	80	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	63
+	84	61
+	3	80	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	68
+	119	68
+	124	71
+	4	127	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	68
+	124	71
+	3	127	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	71
+	131	71
+	127	68
+	4	124	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	71
+	127	68
+	3	124	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	154
+	47	155
+	51	157
+	4	54	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	155
+	51	157
+	3	54	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	157
+	58	156
+	54	154
+	4	51	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	156
+	54	154
+	3	51	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	143
+	92	146
+	96	147
+	4	100	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	146
+	96	147
+	3	100	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	149
+	96	147
+	92	146
+	4	89	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	147
+	92	146
+	3	89	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	69
+	139	70
+	143	72
+	4	146	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	70
+	143	72
+	3	146	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	72
+	151	72
+	146	69
+	4	143	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	72
+	146	69
+	3	143	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	63
+	88	63
+	92	65
+	4	95	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	63
+	92	65
+	3	95	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	65
+	100	65
+	95	63
+	4	92	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	65
+	95	63
+	3	92	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	155
+	39	156
+	43	158
+	4	47	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	156
+	43	158
+	3	47	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	158
+	51	157
+	47	155
+	4	43	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	157
+	47	155
+	3	43	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	66
+	100	65
+	104	68
+	4	107	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	65
+	104	68
+	3	107	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	68
+	112	68
+	107	66
+	4	104	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	68
+	107	66
+	3	104	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	70
+	131	71
+	136	73
+	4	139	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	71
+	136	73
+	3	139	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	73
+	143	72
+	139	70
+	4	136	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	72
+	139	70
+	3	136	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	68
+	166	69
+	171	71
+	4	173	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	69
+	171	71
+	3	173	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	71
+	178	70
+	173	68
+	4	171	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	70
+	173	68
+	3	171	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	156
+	31	157
+	35	159
+	4	39	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	157
+	35	159
+	3	39	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	159
+	43	158
+	39	156
+	4	35	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	158
+	39	156
+	3	35	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	68
+	112	68
+	116	71
+	4	119	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	68
+	116	71
+	3	119	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	71
+	124	71
+	119	68
+	4	116	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	71
+	119	68
+	3	116	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	69
+	158	71
+	163	73
+	4	166	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	71
+	163	73
+	3	166	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	73
+	171	71
+	166	69
+	4	163	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	71
+	166	69
+	3	163	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	27	160
+	35	159
+	31	157
+	4	27	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	159
+	31	157
+	3	27	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	71
+	124	71
+	128	74
+	4	131	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	71
+	128	74
+	3	131	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	74
+	136	73
+	131	71
+	4	128	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	73
+	131	71
+	3	128	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	71
+	151	72
+	155	74
+	4	158	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	72
+	155	74
+	3	158	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	74
+	163	73
+	158	71
+	4	155	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	73
+	158	71
+	3	155	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	63
+	80	63
+	84	65
+	4	88	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	63
+	84	65
+	3	88	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	65
+	92	65
+	88	63
+	4	84	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	65
+	88	63
+	3	84	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	137
+	100	143
+	104	142
+	4	107	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	143
+	104	142
+	3	107	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	147
+	104	142
+	100	143
+	4	96	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	142
+	100	143
+	3	96	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	72
+	143	72
+	148	75
+	4	151	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	72
+	148	75
+	3	151	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	75
+	155	74
+	151	72
+	4	148	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	74
+	151	72
+	3	148	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	65
+	92	65
+	96	68
+	4	100	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	65
+	96	68
+	3	100	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	68
+	104	68
+	100	65
+	4	96	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	68
+	100	65
+	3	96	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	153
+	66	155
+	70	157
+	4	74	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	155
+	70	157
+	3	74	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	152
+	74	153
+	78	155
+	4	81	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	153
+	78	155
+	3	81	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	157
+	78	155
+	74	153
+	4	70	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	155
+	74	153
+	3	70	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	149
+	81	152
+	85	153
+	4	89	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	152
+	85	153
+	3	89	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	155
+	85	153
+	81	152
+	4	78	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	153
+	81	152
+	3	78	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	155
+	58	156
+	62	158
+	4	66	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	156
+	62	158
+	3	66	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	158
+	70	157
+	66	155
+	4	62	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	157
+	66	155
+	3	62	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	68
+	104	68
+	108	71
+	4	112	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	68
+	108	71
+	3	112	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	71
+	116	71
+	112	68
+	4	108	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	71
+	112	68
+	3	108	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	156
+	51	157
+	54	159
+	4	58	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	157
+	54	159
+	3	58	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	159
+	62	158
+	58	156
+	4	54	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	158
+	58	156
+	3	54	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	72
+	136	73
+	140	76
+	4	143	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	73
+	140	76
+	3	143	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	76
+	148	75
+	143	72
+	4	140	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	75
+	143	72
+	3	140	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	71
+	116	71
+	120	74
+	4	124	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	71
+	120	74
+	3	124	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	74
+	128	74
+	124	71
+	4	120	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	74
+	124	71
+	3	120	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	147
+	89	149
+	93	151
+	4	96	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	149
+	93	151
+	3	96	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	153
+	93	151
+	89	149
+	4	85	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	151
+	89	149
+	3	85	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	157
+	43	158
+	47	161
+	4	51	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	158
+	47	161
+	3	51	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	161
+	54	159
+	51	157
+	4	47	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	159
+	51	157
+	3	47	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	65
+	84	65
+	80	63
+	4	76	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	65
+	80	63
+	3	76	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	70
+	171	71
+	175	73
+	4	178	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	71
+	175	73
+	3	178	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	73
+	183	72
+	178	70
+	4	175	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	72
+	178	70
+	3	175	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	73
+	128	74
+	132	76
+	4	136	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	74
+	132	76
+	3	136	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	76
+	140	76
+	136	73
+	4	132	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	76
+	136	73
+	3	132	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	158
+	35	159
+	39	162
+	4	43	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	159
+	39	162
+	3	43	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	162
+	47	161
+	43	158
+	4	39	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	161
+	43	158
+	3	39	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	71
+	163	73
+	168	75
+	4	171	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	73
+	168	75
+	3	171	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	75
+	175	73
+	171	71
+	4	168	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	73
+	171	71
+	3	168	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	65
+	84	65
+	88	67
+	4	92	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	65
+	88	67
+	3	92	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	67
+	96	68
+	92	65
+	4	88	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	68
+	92	65
+	3	88	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	73
+	155	74
+	160	76
+	4	163	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	74
+	160	76
+	3	163	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	76
+	168	75
+	163	73
+	4	160	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	75
+	163	73
+	3	160	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	68
+	96	68
+	100	70
+	4	104	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	68
+	100	70
+	3	104	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	70
+	108	71
+	104	68
+	4	100	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	71
+	104	68
+	3	100	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	159
+	27	160
+	31	163
+	4	35	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	160
+	31	163
+	3	35	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	31	163
+	39	162
+	35	159
+	4	31	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	162
+	35	159
+	3	31	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	71
+	108	71
+	113	74
+	4	116	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	71
+	113	74
+	3	116	71	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	74
+	120	74
+	116	71
+	4	113	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	74
+	116	71
+	3	113	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	142
+	96	147
+	100	147
+	4	104	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	147
+	100	147
+	3	104	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	151
+	100	147
+	96	147
+	4	93	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	147
+	96	147
+	3	93	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	74
+	148	75
+	152	77
+	4	155	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	75
+	152	77
+	3	155	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	77
+	160	76
+	155	74
+	4	152	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	76
+	155	74
+	3	152	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	74
+	120	74
+	125	77
+	4	128	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	74
+	125	77
+	3	128	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	77
+	132	76
+	128	74
+	4	125	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	76
+	128	74
+	3	125	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	23	164
+	31	163
+	27	160
+	4	23	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	163
+	27	160
+	3	23	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	75
+	140	76
+	144	78
+	4	148	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	76
+	144	78
+	3	148	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	78
+	152	77
+	148	75
+	4	144	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	77
+	148	75
+	3	144	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	65
+	76	65
+	80	67
+	4	84	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	65
+	80	67
+	3	84	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	67
+	88	67
+	84	65
+	4	80	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	67
+	84	65
+	3	80	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	76
+	132	76
+	137	79
+	4	140	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	76
+	137	79
+	3	140	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	79
+	144	78
+	140	76
+	4	137	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	78
+	140	76
+	3	137	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	157
+	62	158
+	66	160
+	4	70	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	158
+	66	160
+	3	70	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	155
+	70	157
+	74	158
+	4	78	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	157
+	74	158
+	3	78	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	160
+	74	158
+	70	157
+	4	66	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	158
+	70	157
+	3	66	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	153
+	78	155
+	82	157
+	4	85	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	155
+	82	157
+	3	85	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	158
+	82	157
+	78	155
+	4	74	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	157
+	78	155
+	3	74	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	158
+	54	159
+	58	161
+	4	62	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	159
+	58	161
+	3	62	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	161
+	66	160
+	62	158
+	4	58	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	160
+	62	158
+	3	58	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	72
+	175	73
+	180	75
+	4	183	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	73
+	180	75
+	3	183	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	75
+	188	74
+	183	72
+	4	180	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	74
+	183	72
+	3	180	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	74
+	113	74
+	117	77
+	4	120	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	74
+	117	77
+	3	120	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	77
+	125	77
+	120	74
+	4	117	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	77
+	120	74
+	3	117	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	68
+	88	67
+	92	70
+	4	96	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	67
+	92	70
+	3	96	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	70
+	100	70
+	96	68
+	4	92	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	70
+	96	68
+	3	92	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	71
+	100	70
+	105	73
+	4	108	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	70
+	105	73
+	3	108	71	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	73
+	113	74
+	108	71
+	4	105	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	74
+	108	71
+	3	105	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	151
+	85	153
+	89	154
+	4	93	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	153
+	89	154
+	3	93	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	157
+	89	154
+	85	153
+	4	82	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	154
+	85	153
+	3	82	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	159
+	47	161
+	51	163
+	4	54	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	161
+	51	163
+	3	54	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	163
+	58	161
+	54	159
+	4	51	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	161
+	54	159
+	3	51	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	73
+	168	75
+	172	76
+	4	175	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	75
+	172	76
+	3	175	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	76
+	180	75
+	175	73
+	4	172	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	75
+	175	73
+	3	172	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	76
+	125	77
+	129	80
+	4	132	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	77
+	129	80
+	3	132	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	80
+	137	79
+	132	76
+	4	129	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	79
+	132	76
+	3	129	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	161
+	39	162
+	43	164
+	4	47	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	162
+	43	164
+	3	47	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	164
+	51	163
+	47	161
+	4	43	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	163
+	47	161
+	3	43	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	75
+	160	76
+	164	78
+	4	168	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	76
+	164	78
+	3	168	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	78
+	172	76
+	168	75
+	4	164	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	76
+	168	75
+	3	164	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	137
+	115	128
+	110	128
+	4	107	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	128
+	110	128
+	3	107	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	128
+	107	137
+	111	136
+	4	115	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	137
+	111	136
+	3	115	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	142
+	111	136
+	107	137
+	4	104	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	136
+	107	137
+	3	104	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	76
+	152	77
+	157	79
+	4	160	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	77
+	157	79
+	3	160	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	79
+	164	78
+	160	76
+	4	157	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	78
+	160	76
+	3	157	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	162
+	31	163
+	35	165
+	4	39	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	163
+	35	165
+	3	39	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	165
+	43	164
+	39	162
+	4	35	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	164
+	39	162
+	3	35	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	67
+	80	67
+	76	65
+	4	72	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	67
+	76	65
+	3	72	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	147
+	93	151
+	97	152
+	4	100	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	151
+	97	152
+	3	100	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	154
+	97	152
+	93	151
+	4	89	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	152
+	93	151
+	3	89	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	77
+	144	78
+	149	81
+	4	152	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	78
+	149	81
+	3	152	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	81
+	157	79
+	152	77
+	4	149	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	79
+	152	77
+	3	149	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	136
+	104	142
+	108	143
+	4	111	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	142
+	108	143
+	3	111	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	147
+	108	143
+	104	142
+	4	100	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	143
+	104	142
+	3	100	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	77
+	117	77
+	121	80
+	4	125	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	77
+	121	80
+	3	125	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	80
+	129	80
+	125	77
+	4	121	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	80
+	125	77
+	3	121	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	31	163
+	23	164
+	27	166
+	4	31	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	164
+	27	166
+	3	31	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	27	166
+	35	165
+	31	163
+	4	27	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	165
+	31	163
+	3	27	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	78
+	137	79
+	141	82
+	4	144	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	79
+	141	82
+	3	144	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	82
+	149	81
+	144	78
+	4	141	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	81
+	144	78
+	3	141	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	74
+	105	73
+	109	76
+	4	113	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	73
+	109	76
+	3	113	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	76
+	117	77
+	113	74
+	4	109	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	77
+	113	74
+	3	109	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	67
+	80	67
+	85	69
+	4	88	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	67
+	85	69
+	3	88	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	69
+	92	70
+	88	67
+	4	85	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	70
+	88	67
+	3	85	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	70
+	92	70
+	97	72
+	4	100	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	70
+	97	72
+	3	100	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	72
+	105	73
+	100	70
+	4	97	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	73
+	100	70
+	3	97	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	79
+	129	80
+	134	83
+	4	137	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	80
+	134	83
+	3	137	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	83
+	141	82
+	137	79
+	4	134	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	82
+	137	79
+	3	134	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	74
+	180	75
+	185	77
+	4	188	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	75
+	185	77
+	3	188	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	77
+	192	76
+	188	74
+	4	185	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	76
+	188	74
+	3	185	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	158
+	66	160
+	70	162
+	4	74	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	160
+	70	162
+	3	74	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	157
+	74	158
+	78	160
+	4	82	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	158
+	78	160
+	3	82	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	162
+	78	160
+	74	158
+	4	70	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	160
+	74	158
+	3	70	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	160
+	58	161
+	62	164
+	4	66	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	161
+	62	164
+	3	66	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	164
+	70	162
+	66	160
+	4	62	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	162
+	66	160
+	3	62	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	75
+	172	76
+	177	78
+	4	180	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	76
+	177	78
+	3	180	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	78
+	185	77
+	180	75
+	4	177	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	77
+	180	75
+	3	177	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	161
+	51	163
+	55	165
+	4	58	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	163
+	55	165
+	3	58	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	165
+	62	164
+	58	161
+	4	55	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	164
+	58	161
+	3	55	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	154
+	82	157
+	86	158
+	4	89	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	157
+	86	158
+	3	89	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	160
+	86	158
+	82	157
+	4	78	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	158
+	82	157
+	3	78	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	143
+	100	147
+	105	148
+	4	108	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	147
+	105	148
+	3	108	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	152
+	105	148
+	100	147
+	4	97	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	148
+	100	147
+	3	97	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	80
+	121	80
+	126	83
+	4	129	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	80
+	126	83
+	3	129	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	83
+	134	83
+	129	80
+	4	126	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	83
+	129	80
+	3	126	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	77
+	109	76
+	113	79
+	4	117	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	76
+	113	79
+	3	117	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	79
+	121	80
+	117	77
+	4	113	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	80
+	117	77
+	3	113	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	76
+	164	78
+	169	80
+	4	172	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	78
+	169	80
+	3	172	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	80
+	177	78
+	172	76
+	4	169	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	78
+	172	76
+	3	169	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	67
+	72	67
+	77	69
+	4	80	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	67
+	77	69
+	3	80	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	69
+	85	69
+	80	67
+	4	77	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	69
+	80	67
+	3	77	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	128
+	118	119
+	113	114
+	4	110	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	119
+	113	114
+	3	110	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	119
+	110	128
+	115	128
+	4	118	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	128
+	115	128
+	3	118	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	163
+	43	164
+	47	166
+	4	51	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	164
+	47	166
+	3	51	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	166
+	55	165
+	51	163
+	4	47	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	165
+	51	163
+	3	47	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	78
+	157	79
+	161	81
+	4	164	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	79
+	161	81
+	3	164	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	81
+	169	80
+	164	78
+	4	161	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	80
+	164	78
+	3	161	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	79
+	149	81
+	154	83
+	4	157	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	81
+	154	83
+	3	157	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	83
+	161	81
+	157	79
+	4	154	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	81
+	157	79
+	3	154	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	73
+	97	72
+	101	75
+	4	105	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	72
+	101	75
+	3	105	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	75
+	109	76
+	105	73
+	4	101	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	76
+	105	73
+	3	101	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	152
+	89	154
+	93	156
+	4	97	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	154
+	93	156
+	3	97	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	158
+	93	156
+	89	154
+	4	86	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	156
+	89	154
+	3	86	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	70
+	85	69
+	89	72
+	4	92	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	69
+	89	72
+	3	92	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	72
+	97	72
+	92	70
+	4	89	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	72
+	92	70
+	3	89	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	164
+	35	165
+	39	167
+	4	43	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	165
+	39	167
+	3	43	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	167
+	47	166
+	43	164
+	4	39	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	166
+	43	164
+	3	39	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	81
+	141	82
+	146	84
+	4	149	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	82
+	146	84
+	3	149	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	84
+	154	83
+	149	81
+	4	146	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	83
+	149	81
+	3	146	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	82
+	134	83
+	138	86
+	4	141	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	83
+	138	86
+	3	141	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	86
+	146	84
+	141	82
+	4	138	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	84
+	141	82
+	3	138	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	165
+	27	166
+	31	169
+	4	35	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	166
+	31	169
+	3	35	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	31	169
+	39	167
+	35	165
+	4	31	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	167
+	35	165
+	3	31	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	80
+	113	79
+	118	83
+	4	121	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	79
+	118	83
+	3	121	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	83
+	126	83
+	121	80
+	4	118	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	83
+	121	80
+	3	118	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	83
+	126	83
+	130	86
+	4	134	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	83
+	130	86
+	3	134	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	86
+	138	86
+	134	83
+	4	130	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	86
+	134	83
+	3	130	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	69
+	77	69
+	72	67
+	4	69	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	69
+	72	67
+	3	69	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	148
+	97	152
+	101	153
+	4	105	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	152
+	101	153
+	3	105	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	156
+	101	153
+	97	152
+	4	93	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	153
+	97	152
+	3	93	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	76
+	101	75
+	106	78
+	4	109	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	75
+	106	78
+	3	109	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	78
+	113	79
+	109	76
+	4	106	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	79
+	109	76
+	3	106	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	76
+	185	77
+	190	79
+	4	192	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	77
+	190	79
+	3	192	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	79
+	197	78
+	192	76
+	4	190	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	78
+	192	76
+	3	190	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	69
+	77	69
+	81	72
+	4	85	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	69
+	81	72
+	3	85	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	72
+	89	72
+	85	69
+	4	81	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	72
+	85	69
+	3	81	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	77
+	177	78
+	182	80
+	4	185	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	78
+	182	80
+	3	185	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	80
+	190	79
+	185	77
+	4	182	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	79
+	185	77
+	3	182	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	72
+	89	72
+	93	74
+	4	97	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	72
+	93	74
+	3	97	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	74
+	101	75
+	97	72
+	4	93	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	75
+	97	72
+	3	93	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	78
+	169	80
+	174	82
+	4	177	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	80
+	174	82
+	3	177	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	82
+	182	80
+	177	78
+	4	174	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	80
+	177	78
+	3	174	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	83
+	118	83
+	122	87
+	4	126	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	83
+	122	87
+	3	126	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	87
+	130	86
+	126	83
+	4	122	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	86
+	126	83
+	3	122	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	162
+	62	164
+	66	166
+	4	70	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	164
+	66	166
+	3	70	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	160
+	70	162
+	74	164
+	4	78	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	162
+	74	164
+	3	78	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	166
+	74	164
+	70	162
+	4	66	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	164
+	70	162
+	3	66	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	164
+	55	165
+	58	167
+	4	62	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	165
+	58	167
+	3	62	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	167
+	66	166
+	62	164
+	4	58	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	166
+	62	164
+	3	58	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	80
+	161	81
+	166	83
+	4	169	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	81
+	166	83
+	3	169	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	83
+	174	82
+	169	80
+	4	166	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	82
+	169	80
+	3	166	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	158
+	78	160
+	82	162
+	4	86	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	160
+	82	162
+	3	86	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	164
+	82	162
+	78	160
+	4	74	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	162
+	78	160
+	3	74	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	81
+	154	83
+	158	85
+	4	161	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	83
+	158	85
+	3	161	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	85
+	166	83
+	161	81
+	4	158	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	83
+	161	81
+	3	158	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	83
+	146	84
+	150	87
+	4	154	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	84
+	150	87
+	3	154	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	87
+	158	85
+	154	83
+	4	150	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	85
+	154	83
+	3	150	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	165
+	47	166
+	51	169
+	4	55	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	166
+	51	169
+	3	55	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	169
+	58	167
+	55	165
+	4	51	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	167
+	55	165
+	3	51	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	84
+	138	86
+	143	88
+	4	146	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	86
+	143	88
+	3	146	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	88
+	150	87
+	146	84
+	4	143	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	87
+	146	84
+	3	143	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	116
+	146	159
+	150	168
+	4	157	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	159
+	150	168
+	3	157	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	161
+	150	168
+	146	159
+	4	143	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	168
+	146	159
+	3	143	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	168
+	143	161
+	147	168
+	4	150	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	161
+	147	168
+	3	150	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	168
+	163	117
+	157	116
+	4	150	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	117
+	157	116
+	3	150	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	117
+	150	168
+	155	172
+	4	163	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	168
+	155	172
+	3	163	117	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	168
+	155	172
+	150	168
+	4	147	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	172
+	150	168
+	3	147	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	156
+	86	158
+	90	160
+	4	93	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	158
+	90	160
+	3	93	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	162
+	90	160
+	86	158
+	4	82	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	160
+	86	158
+	3	82	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	79
+	106	78
+	110	82
+	4	113	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	78
+	110	82
+	3	113	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	82
+	118	83
+	113	79
+	4	110	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	83
+	113	79
+	3	110	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	143
+	116	137
+	111	136
+	4	108	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	137
+	111	136
+	3	108	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	116	137
+	108	143
+	112	144
+	4	116	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	143
+	112	144
+	3	116	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	148
+	112	144
+	108	143
+	4	105	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	144
+	108	143
+	3	105	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	86
+	130	86
+	135	90
+	4	138	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	86
+	135	90
+	3	138	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	90
+	143	88
+	138	86
+	4	135	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	88
+	138	86
+	3	135	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	136
+	119	130
+	115	128
+	4	111	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	130
+	115	128
+	3	111	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	130
+	111	136
+	116	137
+	4	119	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	136
+	116	137
+	3	119	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	166
+	39	167
+	43	170
+	4	47	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	167
+	43	170
+	3	47	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	170
+	51	169
+	47	166
+	4	43	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	169
+	47	166
+	3	43	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	167
+	31	169
+	35	171
+	4	39	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	169
+	35	171
+	3	39	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	171
+	43	170
+	39	167
+	4	35	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	170
+	39	167
+	3	35	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	69
+	69	69
+	73	71
+	4	77	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	69
+	73	71
+	3	77	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	71
+	81	72
+	77	69
+	4	73	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	72
+	77	69
+	3	73	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	86
+	122	87
+	127	90
+	4	130	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	87
+	127	90
+	3	130	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	90
+	135	90
+	130	86
+	4	127	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	90
+	130	86
+	3	127	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	155	172
+	147	168
+	152	173
+	4	155	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	168
+	152	173
+	3	155	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	172
+	168	119
+	163	117
+	4	155	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	119
+	163	117
+	3	155	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	119
+	155	172
+	160	175
+	4	168	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	172
+	160	175
+	3	168	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	173
+	160	175
+	155	172
+	4	152	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	175
+	155	172
+	3	152	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	153
+	93	156
+	98	158
+	4	101	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	156
+	98	158
+	3	101	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	160
+	98	158
+	93	156
+	4	90	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	158
+	93	156
+	3	90	160	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	112	144
+	105	148
+	109	149
+	4	112	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	148
+	109	149
+	3	112	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	153
+	109	149
+	105	148
+	4	101	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	149
+	105	148
+	3	101	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	75
+	93	74
+	97	77
+	4	101	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	74
+	97	77
+	3	101	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	77
+	106	78
+	101	75
+	4	97	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	78
+	101	75
+	3	97	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	83
+	110	82
+	114	86
+	4	118	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	82
+	114	86
+	3	118	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	86
+	122	87
+	118	83
+	4	114	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	87
+	118	83
+	3	114	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	72
+	81	72
+	85	74
+	4	89	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	72
+	85	74
+	3	89	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	74
+	93	74
+	89	72
+	4	85	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	74
+	89	72
+	3	85	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	78
+	190	79
+	195	81
+	4	197	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	79
+	195	81
+	3	197	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	81
+	202	79
+	197	78
+	4	195	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	79
+	197	78
+	3	195	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	79
+	182	80
+	187	82
+	4	190	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	80
+	187	82
+	3	190	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	82
+	195	81
+	190	79
+	4	187	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	81
+	190	79
+	3	187	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	128
+	122	122
+	118	119
+	4	115	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	122
+	118	119
+	3	115	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	122
+	115	128
+	119	130
+	4	122	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	128
+	119	130
+	3	122	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	87
+	114	86
+	119	90
+	4	122	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	86
+	119	90
+	3	122	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	90
+	127	90
+	122	87
+	4	119	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	90
+	122	87
+	3	119	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	80
+	174	82
+	179	83
+	4	182	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	82
+	179	83
+	3	182	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	83
+	187	82
+	182	80
+	4	179	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	82
+	182	80
+	3	179	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	88
+	135	90
+	139	92
+	4	143	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	90
+	139	92
+	3	143	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	87
+	143	88
+	147	91
+	4	150	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	88
+	147	91
+	3	150	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	92
+	147	91
+	143	88
+	4	139	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	91
+	143	88
+	3	139	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	85
+	150	87
+	155	89
+	4	158	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	87
+	155	89
+	3	158	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	91
+	155	89
+	150	87
+	4	147	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	89
+	150	87
+	3	147	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	83
+	158	85
+	163	87
+	4	166	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	85
+	163	87
+	3	166	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	89
+	163	87
+	158	85
+	4	155	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	87
+	158	85
+	3	155	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	82
+	166	83
+	171	85
+	4	174	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	83
+	171	85
+	3	174	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	85
+	179	83
+	174	82
+	4	171	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	83
+	174	82
+	3	171	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	87
+	171	85
+	166	83
+	4	163	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	85
+	166	83
+	3	163	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	90
+	127	90
+	131	94
+	4	135	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	90
+	131	94
+	3	135	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	94
+	139	92
+	135	90
+	4	131	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	92
+	135	90
+	3	131	94	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	109	149
+	101	153
+	105	155
+	4	109	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	153
+	105	155
+	3	109	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	158
+	105	155
+	101	153
+	4	98	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	155
+	101	153
+	3	98	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	78
+	97	77
+	102	80
+	4	106	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	77
+	102	80
+	3	106	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	80
+	110	82
+	106	78
+	4	102	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	82
+	106	78
+	3	102	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	164
+	66	166
+	70	168
+	4	74	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	166
+	70	168
+	3	74	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	162
+	74	164
+	78	166
+	4	82	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	164
+	78	166
+	3	82	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	168
+	78	166
+	74	164
+	4	70	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	166
+	74	164
+	3	70	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	166
+	58	167
+	63	169
+	4	66	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	167
+	63	169
+	3	66	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	169
+	70	168
+	66	166
+	4	63	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	168
+	66	166
+	3	63	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	167
+	51	169
+	55	171
+	4	58	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	169
+	55	171
+	3	58	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	171
+	63	169
+	58	167
+	4	55	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	169
+	58	167
+	3	55	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	160
+	82	162
+	86	164
+	4	90	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	162
+	86	164
+	3	90	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	166
+	86	164
+	82	162
+	4	78	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	164
+	82	162
+	3	78	166	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	160	175
+	152	173
+	157	177
+	4	160	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	173
+	157	177
+	3	160	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	175
+	174	121
+	168	119
+	4	160	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	121
+	168	119
+	3	160	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	121
+	160	175
+	164	178
+	4	174	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	175
+	164	178
+	3	174	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	177
+	164	178
+	160	175
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	178
+	160	175
+	3	157	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	169
+	43	170
+	47	172
+	4	51	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	170
+	47	172
+	3	51	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	172
+	55	171
+	51	169
+	4	47	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	171
+	51	169
+	3	47	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	90
+	119	90
+	123	95
+	4	127	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	90
+	123	95
+	3	127	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	95
+	131	94
+	127	90
+	4	123	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	94
+	127	90
+	3	123	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	72
+	73	71
+	77	74
+	4	81	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	71
+	77	74
+	3	81	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	74
+	85	74
+	81	72
+	4	77	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	74
+	81	72
+	3	77	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	74
+	85	74
+	89	76
+	4	93	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	74
+	89	76
+	3	93	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	76
+	97	77
+	93	74
+	4	89	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	77
+	93	74
+	3	89	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	158
+	90	160
+	94	162
+	4	98	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	160
+	94	162
+	3	98	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	164
+	94	162
+	90	160
+	4	86	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	162
+	90	160
+	3	86	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	170
+	35	171
+	39	173
+	4	43	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	171
+	39	173
+	3	43	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	173
+	47	172
+	43	170
+	4	39	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	172
+	43	170
+	3	39	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	82
+	102	80
+	106	84
+	4	110	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	80
+	106	84
+	3	110	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	84
+	114	86
+	110	82
+	4	106	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	86
+	110	82
+	3	106	84	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	112	144
+	120	139
+	116	137
+	4	112	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	139
+	116	137
+	3	112	144	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	120	139
+	112	144
+	117	146
+	4	120	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	144
+	117	146
+	3	120	139	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	109	149
+	117	146
+	112	144
+	4	109	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	146
+	112	144
+	3	109	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	92
+	131	94
+	136	97
+	4	139	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	94
+	136	97
+	3	139	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	91
+	139	92
+	144	95
+	4	147	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	92
+	144	95
+	3	147	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	97
+	144	95
+	139	92
+	4	136	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	95
+	139	92
+	3	136	97	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	116	137
+	124	132
+	119	130
+	4	116	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	119	130
+	3	116	137	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	132
+	116	137
+	120	139
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	137
+	120	139
+	3	124	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	94
+	123	95
+	128	99
+	4	131	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	95
+	128	99
+	3	131	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	99
+	136	97
+	131	94
+	4	128	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	97
+	131	94
+	3	128	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	79
+	195	81
+	200	82
+	4	202	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	81
+	200	82
+	3	202	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	82
+	207	81
+	202	79
+	4	200	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	81
+	202	79
+	3	200	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	86
+	106	84
+	111	89
+	4	114	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	84
+	111	89
+	3	114	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	89
+	119	90
+	114	86
+	4	111	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	90
+	114	86
+	3	111	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	89
+	147	91
+	152	93
+	4	155	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	91
+	152	93
+	3	155	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	95
+	152	93
+	147	91
+	4	144	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	147	91
+	3	144	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	155
+	98	158
+	102	160
+	4	105	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	158
+	102	160
+	3	105	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	162
+	102	160
+	98	158
+	4	94	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	160
+	98	158
+	3	94	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	121
+	142	145
+	146	159
+	4	151	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	145
+	146	159
+	3	151	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	154
+	146	159
+	142	145
+	4	138	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	159
+	142	145
+	3	138	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	159
+	138	154
+	143	161
+	4	146	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	154
+	143	161
+	3	146	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	159
+	157	116
+	151	121
+	4	146	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	116
+	151	121
+	3	146	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	81
+	187	82
+	192	84
+	4	195	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	82
+	192	84
+	3	195	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	84
+	200	82
+	195	81
+	4	192	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	82
+	195	81
+	3	192	84	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	117	146
+	109	149
+	113	151
+	4	117	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	149
+	113	151
+	3	117	146	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	105	155
+	113	151
+	109	149
+	4	105	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	151
+	109	149
+	3	105	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	87
+	155	89
+	160	91
+	4	163	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	89
+	160	91
+	3	163	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	93
+	160	91
+	155	89
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	91
+	155	89
+	3	152	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	90
+	111	89
+	116	94
+	4	119	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	89
+	116	94
+	3	119	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	94
+	123	95
+	119	90
+	4	116	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	95
+	119	90
+	3	116	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	111
+	113	114
+	118	119
+	4	121	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	114
+	118	119
+	3	121	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	119
+	126	115
+	121	111
+	4	118	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	115
+	121	111
+	3	118	119	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	126	115
+	118	119
+	122	122
+	4	126	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	119
+	122	122
+	3	126	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	105
+	108	99
+	113	114
+	4	117	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	99
+	113	114
+	3	117	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	114
+	121	111
+	117	105
+	4	113	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	111
+	117	105
+	3	113	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	82
+	179	83
+	184	85
+	4	187	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	83
+	184	85
+	3	187	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	85
+	192	84
+	187	82
+	4	184	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	84
+	187	82
+	3	184	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	85
+	163	87
+	168	89
+	4	171	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	87
+	168	89
+	3	171	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	91
+	168	89
+	163	87
+	4	160	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	89
+	163	87
+	3	160	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	83
+	171	85
+	176	87
+	4	179	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	85
+	176	87
+	3	179	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	87
+	184	85
+	179	83
+	4	176	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	85
+	179	83
+	3	176	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	178
+	157	177
+	161	180
+	4	164	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	161	180
+	3	164	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	178
+	179	123
+	174	121
+	4	164	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	123
+	174	121
+	3	164	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	123
+	164	178
+	169	181
+	4	179	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	178
+	169	181
+	3	179	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	180
+	169	181
+	164	178
+	4	161	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	164	178
+	3	161	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	89
+	176	87
+	171	85
+	4	168	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	87
+	171	85
+	3	168	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	95
+	116	94
+	120	100
+	4	123	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	94
+	120	100
+	3	123	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	100
+	128	99
+	123	95
+	4	120	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	99
+	123	95
+	3	120	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	77
+	89	76
+	94	79
+	4	97	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	76
+	94	79
+	3	97	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	79
+	102	80
+	97	77
+	4	94	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	80
+	97	77
+	3	94	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	130
+	127	125
+	122	122
+	4	119	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	125
+	122	122
+	3	119	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	125
+	119	130
+	124	132
+	4	127	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	130
+	124	132
+	3	127	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	74
+	77	74
+	81	76
+	4	85	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	74
+	81	76
+	3	85	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	76
+	89	76
+	85	74
+	4	81	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	76
+	85	74
+	3	81	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	168
+	63	169
+	67	172
+	4	70	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	169
+	67	172
+	3	70	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	166
+	70	168
+	75	170
+	4	78	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	168
+	75	170
+	3	78	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	172
+	75	170
+	70	168
+	4	67	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	170
+	70	168
+	3	67	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	164
+	78	166
+	83	168
+	4	86	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	166
+	83	168
+	3	86	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	170
+	83	168
+	78	166
+	4	75	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	168
+	78	166
+	3	75	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	169
+	55	171
+	59	173
+	4	63	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	171
+	59	173
+	3	63	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	173
+	67	172
+	63	169
+	4	59	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	172
+	63	169
+	3	59	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	99
+	120	100
+	125	104
+	4	128	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	100
+	125	104
+	3	128	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	97
+	128	99
+	133	102
+	4	136	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	99
+	133	102
+	3	136	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	104
+	133	102
+	128	99
+	4	125	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	102
+	128	99
+	3	125	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	95
+	136	97
+	141	100
+	4	144	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	97
+	141	100
+	3	144	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	102
+	141	100
+	136	97
+	4	133	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	100
+	136	97
+	3	133	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	171
+	47	172
+	51	175
+	4	55	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	172
+	51	175
+	3	55	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	175
+	59	173
+	55	171
+	4	51	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	173
+	55	171
+	3	51	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	113	151
+	105	155
+	110	157
+	4	113	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	155
+	110	157
+	3	113	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	160
+	110	157
+	105	155
+	4	102	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	157
+	105	155
+	3	102	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	162
+	86	164
+	90	167
+	4	94	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	164
+	90	167
+	3	94	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	168
+	90	167
+	86	164
+	4	83	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	167
+	86	164
+	3	83	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	172
+	39	173
+	43	176
+	4	47	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	173
+	43	176
+	3	47	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	176
+	51	175
+	47	172
+	4	43	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	175
+	47	172
+	3	43	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	93
+	144	95
+	149	97
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	95
+	149	97
+	3	152	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	100
+	149	97
+	144	95
+	4	141	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	97
+	144	95
+	3	141	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	104
+	117	105
+	121	111
+	4	125	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	105
+	121	111
+	3	125	104	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	111
+	129	108
+	125	104
+	4	121	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	108
+	125	104
+	3	121	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	108
+	121	111
+	126	115
+	4	129	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	111
+	126	115
+	3	129	108	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	122	122
+	130	118
+	126	115
+	4	122	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	118
+	126	115
+	3	122	122	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	130	118
+	122	122
+	127	125
+	4	130	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	122
+	127	125
+	3	130	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	160
+	94	162
+	98	164
+	4	102	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	162
+	98	164
+	3	102	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	167
+	98	164
+	94	162
+	4	90	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	164
+	94	162
+	3	90	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	97
+	120	100
+	116	94
+	4	112	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	100
+	116	94
+	3	112	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	100
+	112	97
+	117	105
+	4	120	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	97
+	117	105
+	3	120	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	105
+	125	104
+	120	100
+	4	117	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	104
+	120	100
+	3	117	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	80
+	94	79
+	98	82
+	4	102	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	79
+	98	82
+	3	102	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	82
+	106	84
+	102	80
+	4	98	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	84
+	102	80
+	3	98	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	102
+	125	104
+	129	108
+	4	133	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	104
+	129	108
+	3	133	102	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	144	171
+	152	173
+	147	168
+	4	144	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	173
+	147	168
+	3	144	171	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	173
+	144	171
+	149	175
+	4	152	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	171
+	149	175
+	3	152	173	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	175
+	157	177
+	152	173
+	4	149	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	152	173
+	3	149	175	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	140	165
+	147	168
+	143	161
+	4	140	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	168
+	143	161
+	3	140	165	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	147	168
+	140	165
+	144	171
+	4	147	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	165
+	144	171
+	3	147	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	91
+	152	93
+	157	95
+	4	160	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	157	95
+	3	160	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	97
+	157	95
+	152	93
+	4	149	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	95
+	152	93
+	3	149	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	81
+	200	82
+	205	84
+	4	207	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	82
+	205	84
+	3	207	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	84
+	213	83
+	207	81
+	4	205	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	83
+	207	81
+	3	205	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	100
+	133	102
+	137	105
+	4	141	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	102
+	137	105
+	3	141	100	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	108
+	137	105
+	133	102
+	4	129	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	105
+	133	102
+	3	129	108	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	117	146
+	125	141
+	120	139
+	4	117	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	141
+	120	139
+	3	117	146	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	125	141
+	117	146
+	121	148
+	4	125	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	146
+	121	148
+	3	125	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	113	151
+	121	148
+	117	146
+	4	113	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	148
+	117	146
+	3	113	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	99
+	117	105
+	112	97
+	4	108	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	105
+	112	97
+	3	108	99	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	120	139
+	128	134
+	124	132
+	4	120	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	134
+	124	132
+	3	120	139	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	128	134
+	120	139
+	125	141
+	4	128	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	139
+	125	141
+	3	128	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	90
+	116	94
+	111	89
+	4	107	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	94
+	111	89
+	3	107	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	94
+	107	90
+	112	97
+	4	116	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	90
+	112	97
+	3	116	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	181
+	161	180
+	166	183
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	180
+	166	183
+	3	169	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	181
+	185	126
+	179	123
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	126
+	179	123
+	3	169	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	126
+	169	181
+	174	183
+	4	185	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	174	183
+	3	185	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	183
+	174	183
+	169	181
+	4	166	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	183
+	169	181
+	3	166	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	89
+	160	91
+	165	92
+	4	168	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	91
+	165	92
+	3	168	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	95
+	165	92
+	160	91
+	4	157	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	92
+	160	91
+	3	157	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	82
+	192	84
+	197	86
+	4	200	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	84
+	197	86
+	3	200	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	86
+	205	84
+	200	82
+	4	197	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	84
+	200	82
+	3	197	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	76
+	81	76
+	85	78
+	4	89	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	76
+	85	78
+	3	89	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	78
+	94	79
+	89	76
+	4	85	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	79
+	89	76
+	3	85	78	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	126	115
+	134	111
+	129	108
+	4	126	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	111
+	129	108
+	3	126	115	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	111
+	126	115
+	130	118
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	115
+	130	118
+	3	134	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	157
+	102	160
+	106	162
+	4	110	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	160
+	106	162
+	3	110	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	164
+	106	162
+	102	160
+	4	98	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	162
+	102	160
+	3	98	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	84
+	98	82
+	103	85
+	4	106	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	82
+	103	85
+	3	106	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	85
+	111	89
+	106	84
+	4	103	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	89
+	106	84
+	3	103	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	84
+	184	85
+	189	87
+	4	192	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	85
+	189	87
+	3	192	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	87
+	197	86
+	192	84
+	4	189	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	86
+	192	84
+	3	189	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	87
+	168	89
+	173	90
+	4	176	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	89
+	173	90
+	3	176	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	92
+	173	90
+	168	89
+	4	165	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	90
+	168	89
+	3	165	92	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	105
+	129	108
+	134	111
+	4	137	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	108
+	134	111
+	3	137	105	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	121	148
+	113	151
+	118	154
+	4	121	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	151
+	118	154
+	3	121	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	157
+	118	154
+	113	151
+	4	110	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	154
+	113	151
+	3	110	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	85
+	176	87
+	181	89
+	4	184	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	87
+	181	89
+	3	184	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	89
+	189	87
+	184	85
+	4	181	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	87
+	184	85
+	3	181	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	90
+	181	89
+	176	87
+	4	173	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	89
+	176	87
+	3	173	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	97
+	141	100
+	145	102
+	4	149	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	100
+	145	102
+	3	149	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	105
+	145	102
+	141	100
+	4	137	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	141	100
+	3	137	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	89
+	103	85
+	107	90
+	4	111	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	85
+	107	90
+	3	111	89	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	132
+	132	127
+	127	125
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	127
+	127	125
+	3	124	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	127
+	124	132
+	128	134
+	4	132	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	128	134
+	3	132	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	157	177
+	149	175
+	153	179
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	175
+	153	179
+	3	157	177	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	179
+	161	180
+	157	177
+	4	153	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	180
+	157	177
+	3	153	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	170
+	67	172
+	71	174
+	4	75	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	172
+	71	174
+	3	75	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	168
+	75	170
+	79	173
+	4	83	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	170
+	79	173
+	3	83	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	174
+	79	173
+	75	170
+	4	71	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	173
+	75	170
+	3	71	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	172
+	59	173
+	63	176
+	4	67	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	173
+	63	176
+	3	67	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	176
+	71	174
+	67	172
+	4	63	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	174
+	67	172
+	3	63	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	167
+	83	168
+	87	171
+	4	90	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	168
+	87	171
+	3	90	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	173
+	87	171
+	83	168
+	4	79	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	171
+	83	168
+	3	79	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	173
+	51	175
+	55	177
+	4	59	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	175
+	55	177
+	3	59	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	177
+	63	176
+	59	173
+	4	55	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	176
+	59	173
+	3	55	177	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	127	125
+	135	120
+	130	118
+	4	127	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	120
+	130	118
+	3	127	125	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	135	120
+	127	125
+	132	127
+	4	135	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	125
+	132	127
+	3	135	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	95
+	149	97
+	153	99
+	4	157	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	97
+	153	99
+	3	157	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	102
+	153	99
+	149	97
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	99
+	149	97
+	3	145	102	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	154
+	110	157
+	114	159
+	4	118	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	157
+	114	159
+	3	118	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	162
+	114	159
+	110	157
+	4	106	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	159
+	110	157
+	3	106	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	164
+	90	167
+	95	169
+	4	98	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	167
+	95	169
+	3	98	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	171
+	95	169
+	90	167
+	4	87	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	169
+	90	167
+	3	87	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	102
+	137	105
+	142	107
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	105
+	142	107
+	3	145	102	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	111
+	142	107
+	137	105
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	107
+	137	105
+	3	134	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	175
+	43	176
+	47	178
+	4	51	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	176
+	47	178
+	3	51	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	178
+	55	177
+	51	175
+	4	47	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	177
+	51	175
+	3	47	178	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	160
+	143	161
+	138	154
+	4	135	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	161
+	138	154
+	3	135	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	161
+	135	160
+	140	165
+	4	143	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	160
+	140	165
+	3	143	161	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	130	118
+	138	113
+	134	111
+	4	130	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	134	111
+	3	130	118	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	138	113
+	130	118
+	135	120
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	118
+	135	120
+	3	138	113	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	142	107
+	134	111
+	138	113
+	4	142	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	111
+	138	113
+	3	142	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	79
+	85	78
+	90	80
+	4	94	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	78
+	90	80
+	3	94	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	80
+	98	82
+	94	79
+	4	90	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	82
+	94	79
+	3	90	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	162
+	98	164
+	103	167
+	4	106	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	164
+	103	167
+	3	106	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	169
+	103	167
+	98	164
+	4	95	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	167
+	98	164
+	3	95	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	92
+	157	95
+	161	96
+	4	165	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	95
+	161	96
+	3	165	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	99
+	161	96
+	157	95
+	4	153	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	96
+	157	95
+	3	153	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	180
+	153	179
+	158	183
+	4	161	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	179
+	158	183
+	3	161	180	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	183
+	166	183
+	161	180
+	4	158	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	183
+	161	180
+	3	158	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	148
+	129	145
+	125	141
+	4	121	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	145
+	125	141
+	3	121	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	145
+	121	148
+	126	151
+	4	129	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	148
+	126	151
+	3	129	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	154
+	126	151
+	121	148
+	4	118	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	151
+	121	148
+	3	118	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	183
+	166	183
+	171	186
+	4	174	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	183
+	171	186
+	3	174	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	183
+	191	129
+	185	126
+	4	174	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	129
+	185	126
+	3	174	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	129
+	174	183
+	179	186
+	4	191	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	183
+	179	186
+	3	191	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	186
+	179	186
+	174	183
+	4	171	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	186
+	174	183
+	3	171	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	83
+	205	84
+	210	86
+	4	213	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	84
+	210	86
+	3	213	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	86
+	218	85
+	213	83
+	4	210	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	85
+	213	83
+	3	210	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	141
+	133	137
+	128	134
+	4	125	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	137
+	128	134
+	3	125	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	137
+	125	141
+	129	145
+	4	133	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	141
+	129	145
+	3	133	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	89
+	112	97
+	107	90
+	4	103	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	97
+	107	90
+	3	103	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	97
+	103	89
+	108	99
+	4	112	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	89
+	108	99
+	3	112	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	84
+	197	86
+	202	87
+	4	205	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	86
+	202	87
+	3	205	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	87
+	210	86
+	205	84
+	4	202	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	86
+	205	84
+	3	202	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	151
+	118	154
+	122	157
+	4	126	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	154
+	122	157
+	3	126	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	159
+	122	157
+	118	154
+	4	114	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	157
+	118	154
+	3	114	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	90
+	165	92
+	170	94
+	4	173	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	92
+	170	94
+	3	173	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	96
+	170	94
+	165	92
+	4	161	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	94
+	165	92
+	3	161	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	99
+	145	102
+	150	104
+	4	153	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	150	104
+	3	153	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	107
+	150	104
+	145	102
+	4	142	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	104
+	145	102
+	3	142	107	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	114	159
+	106	162
+	111	165
+	4	114	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	162
+	111	165
+	3	114	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	167
+	111	165
+	106	162
+	4	103	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	165
+	106	162
+	3	103	167	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	128	134
+	136	129
+	132	127
+	4	128	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	129
+	132	127
+	3	128	134	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	129
+	128	134
+	133	137
+	4	136	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	134
+	133	137
+	3	136	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	86
+	189	87
+	194	89
+	4	197	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	87
+	194	89
+	3	197	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	89
+	202	87
+	197	86
+	4	194	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	87
+	197	86
+	3	194	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	89
+	173	90
+	178	92
+	4	181	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	90
+	178	92
+	3	181	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	94
+	178	92
+	173	90
+	4	170	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	92
+	173	90
+	3	170	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	87
+	181	89
+	186	90
+	4	189	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	89
+	186	90
+	3	189	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	90
+	194	89
+	189	87
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	89
+	189	87
+	3	186	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	92
+	186	90
+	181	89
+	4	178	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	181	89
+	3	178	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	82
+	90	80
+	94	83
+	4	98	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	80
+	94	83
+	3	98	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	83
+	103	85
+	98	82
+	4	94	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	85
+	98	82
+	3	94	83	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	132	127
+	140	122
+	135	120
+	4	132	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	122
+	135	120
+	3	132	127	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	140	122
+	132	127
+	136	129
+	4	140	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	127
+	136	129
+	3	140	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	170
+	144	171
+	140	165
+	4	136	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	171
+	140	165
+	3	136	170	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	144	171
+	136	170
+	141	174
+	4	144	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	170
+	141	174
+	3	144	171	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	141	174
+	149	175
+	144	171
+	4	141	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	175
+	144	171
+	3	141	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	157
+	114	159
+	119	163
+	4	122	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	159
+	119	163
+	3	122	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	165
+	119	163
+	114	159
+	4	111	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	163
+	114	159
+	3	111	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	173
+	71	174
+	75	177
+	4	79	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	174
+	75	177
+	3	79	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	171
+	79	173
+	83	175
+	4	87	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	173
+	83	175
+	3	87	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	177
+	83	175
+	79	173
+	4	75	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	175
+	79	173
+	3	75	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	174
+	63	176
+	67	178
+	4	71	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	176
+	67	178
+	3	71	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	178
+	75	177
+	71	174
+	4	67	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	177
+	71	174
+	3	67	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	104
+	142	107
+	147	109
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	107
+	147	109
+	3	150	104	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	138	113
+	147	109
+	142	107
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	109
+	142	107
+	3	138	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	151
+	134	148
+	129	145
+	4	126	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	148
+	129	145
+	3	126	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	148
+	126	151
+	130	155
+	4	134	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	151
+	130	155
+	3	134	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	157
+	130	155
+	126	151
+	4	122	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	155
+	126	151
+	3	122	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	169
+	87	171
+	91	173
+	4	95	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	171
+	91	173
+	3	95	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	175
+	91	173
+	87	171
+	4	83	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	173
+	87	171
+	3	83	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	176
+	55	177
+	59	180
+	4	63	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	177
+	59	180
+	3	63	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	180
+	67	178
+	63	176
+	4	59	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	178
+	63	176
+	3	59	180	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	175
+	141	174
+	146	178
+	4	149	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	174
+	146	178
+	3	149	175	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	178
+	153	179
+	149	175
+	4	146	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	179
+	149	175
+	3	146	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	96
+	153	99
+	158	101
+	4	161	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	99
+	158	101
+	3	161	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	104
+	158	101
+	153	99
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	101
+	153	99
+	3	150	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	145
+	137	140
+	133	137
+	4	129	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	140
+	133	137
+	3	129	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	140
+	129	145
+	134	148
+	4	137	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	145
+	134	148
+	3	137	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	183
+	158	183
+	163	186
+	4	166	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	183
+	163	186
+	3	166	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	186
+	171	186
+	166	183
+	4	163	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	186
+	166	183
+	3	163	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	177
+	47	178
+	51	181
+	4	55	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	178
+	51	181
+	3	55	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	181
+	59	180
+	55	177
+	4	51	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	180
+	55	177
+	3	51	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	167
+	95	169
+	99	171
+	4	103	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	169
+	99	171
+	3	103	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	173
+	99	171
+	95	169
+	4	91	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	171
+	95	169
+	3	91	173	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	165
+	140	165
+	135	160
+	4	132	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	165
+	135	160
+	3	132	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	165
+	132	165
+	136	170
+	4	140	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	165
+	136	170
+	3	140	165	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	135	120
+	143	115
+	138	113
+	4	135	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	115
+	138	113
+	3	135	120	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	115
+	135	120
+	140	122
+	4	143	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	120
+	140	122
+	3	143	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	145
+	134	148
+	138	154
+	4	142	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	148
+	138	154
+	3	142	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	155
+	138	154
+	134	148
+	4	130	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	154
+	134	148
+	3	130	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	154
+	130	155
+	135	160
+	4	138	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	155
+	135	160
+	3	138	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	147	109
+	138	113
+	143	115
+	4	147	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	143	115
+	3	147	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	186
+	171	186
+	176	189
+	4	179	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	186
+	176	189
+	3	179	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	186
+	196	131
+	191	129
+	4	179	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	131
+	191	129
+	3	179	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	131
+	179	186
+	184	189
+	4	196	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	186
+	184	189
+	3	196	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	189
+	184	189
+	179	186
+	4	176	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	189
+	179	186
+	3	176	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	155
+	122	157
+	127	161
+	4	130	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	157
+	127	161
+	3	130	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	163
+	127	161
+	122	157
+	4	119	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	161
+	122	157
+	3	119	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	165
+	103	167
+	107	169
+	4	111	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	167
+	107	169
+	3	111	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	171
+	107	169
+	103	167
+	4	99	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	169
+	103	167
+	3	99	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	85
+	107	90
+	103	85
+	4	99	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	90
+	103	85
+	3	99	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	90
+	99	85
+	103	89
+	4	107	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	85
+	103	89
+	3	107	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	85
+	94	83
+	99	85
+	4	103	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	83
+	99	85
+	3	103	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	85
+	210	86
+	215	88
+	4	218	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	86
+	215	88
+	3	218	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	88
+	223	87
+	218	85
+	4	215	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	87
+	218	85
+	3	215	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	161
+	135	160
+	130	155
+	4	127	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	160
+	130	155
+	3	127	161	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	179
+	146	178
+	150	182
+	4	153	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	178
+	150	182
+	3	153	179	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	182
+	158	183
+	153	179
+	4	150	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	183
+	153	179
+	3	150	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	160
+	127	161
+	132	165
+	4	135	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	161
+	132	165
+	3	135	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	94
+	161	96
+	166	98
+	4	170	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	96
+	166	98
+	3	170	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	101
+	166	98
+	161	96
+	4	158	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	98
+	161	96
+	3	158	101	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	133	137
+	141	131
+	136	129
+	4	133	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	131
+	136	129
+	3	133	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	131
+	133	137
+	137	140
+	4	141	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	137
+	137	140
+	3	141	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	148
+	142	145
+	137	140
+	4	134	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	145
+	137	140
+	3	134	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	163
+	111	165
+	115	168
+	4	119	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	165
+	115	168
+	3	119	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	169
+	115	168
+	111	165
+	4	107	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	168
+	111	165
+	3	107	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	86
+	202	87
+	207	89
+	4	210	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	87
+	207	89
+	3	210	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	89
+	215	88
+	210	86
+	4	207	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	88
+	210	86
+	3	207	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	92
+	170	94
+	175	96
+	4	178	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	94
+	175	96
+	3	178	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	98
+	175	96
+	170	94
+	4	166	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	96
+	170	94
+	3	166	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	101
+	150	104
+	155	105
+	4	158	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	104
+	155	105
+	3	158	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	109
+	155	105
+	150	104
+	4	147	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	105
+	150	104
+	3	147	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	87
+	194	89
+	199	90
+	4	202	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	89
+	199	90
+	3	202	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	90
+	207	89
+	202	87
+	4	199	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	89
+	202	87
+	3	199	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	161
+	119	163
+	124	166
+	4	127	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	163
+	124	166
+	3	127	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	168
+	124	166
+	119	163
+	4	115	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	166
+	119	163
+	3	115	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	166
+	132	165
+	127	161
+	4	124	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	165
+	127	161
+	3	124	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	89
+	186	90
+	191	92
+	4	194	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	191	92
+	3	194	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	92
+	199	90
+	194	89
+	4	191	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	90
+	194	89
+	3	191	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	90
+	178	92
+	183	94
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	92
+	183	94
+	3	186	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	96
+	183	94
+	178	92
+	4	175	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	94
+	178	92
+	3	175	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	94
+	191	92
+	186	90
+	4	183	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	92
+	186	90
+	3	183	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	186
+	163	186
+	168	190
+	4	171	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	186
+	168	190
+	3	171	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	190
+	176	189
+	171	186
+	4	168	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	189
+	171	186
+	3	168	190	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	136	129
+	144	123
+	140	122
+	4	136	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	123
+	140	122
+	3	136	129	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	144	123
+	136	129
+	141	131
+	4	144	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	129
+	141	131
+	3	144	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	183
+	150	182
+	155	186
+	4	158	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	182
+	155	186
+	3	158	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	186
+	163	186
+	158	183
+	4	155	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	186
+	158	183
+	3	155	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	165
+	124	166
+	128	170
+	4	132	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	166
+	128	170
+	3	132	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	170
+	136	170
+	132	165
+	4	128	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	170
+	132	165
+	3	128	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	175
+	75	177
+	79	179
+	4	83	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	177
+	79	179
+	3	83	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	173
+	83	175
+	87	178
+	4	91	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	175
+	87	178
+	3	91	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	179
+	87	178
+	83	175
+	4	79	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	178
+	83	175
+	3	79	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	177
+	67	178
+	71	181
+	4	75	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	178
+	71	181
+	3	75	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	181
+	79	179
+	75	177
+	4	71	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	179
+	75	177
+	3	71	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	171
+	91	173
+	96	176
+	4	99	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	173
+	96	176
+	3	99	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	178
+	96	176
+	91	173
+	4	87	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	176
+	91	173
+	3	87	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	178
+	59	180
+	63	182
+	4	67	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	180
+	63	182
+	3	67	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	182
+	71	181
+	67	178
+	4	63	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	181
+	67	178
+	3	63	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	131
+	137	140
+	142	145
+	4	146	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	140
+	142	145
+	3	146	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	145
+	151	121
+	146	131
+	4	142	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	121
+	146	131
+	3	142	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	140
+	146	131
+	141	131
+	4	137	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	131
+	141	131
+	3	137	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	170
+	128	170
+	133	174
+	4	136	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	170
+	133	174
+	3	136	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	174
+	141	174
+	136	170
+	4	133	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	174
+	136	170
+	3	133	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	169
+	99	171
+	104	174
+	4	107	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	171
+	104	174
+	3	107	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	176
+	104	174
+	99	171
+	4	96	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	174
+	99	171
+	3	96	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	105
+	147	109
+	151	110
+	4	155	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	109
+	151	110
+	3	155	105	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	115
+	151	110
+	147	109
+	4	143	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	110
+	147	109
+	3	143	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	189
+	176	189
+	181	192
+	4	184	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	189
+	181	192
+	3	184	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	189
+	202	134
+	196	131
+	4	184	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	134
+	196	131
+	3	184	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	134
+	184	189
+	189	192
+	4	202	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	189
+	189	192
+	3	202	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	192
+	189	192
+	184	189
+	4	181	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	192
+	184	189
+	3	181	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	180
+	51	181
+	55	184
+	4	59	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	181
+	55	184
+	3	59	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	184
+	63	182
+	59	180
+	4	55	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	182
+	59	180
+	3	55	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	98
+	158	101
+	163	102
+	4	166	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	101
+	163	102
+	3	166	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	105
+	163	102
+	158	101
+	4	155	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	102
+	158	101
+	3	155	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	168
+	107	169
+	112	172
+	4	115	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	169
+	112	172
+	3	115	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	174
+	112	172
+	107	169
+	4	104	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	172
+	107	169
+	3	104	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	174
+	133	174
+	138	178
+	4	141	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	174
+	138	178
+	3	141	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	178
+	146	178
+	141	174
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	178
+	141	174
+	3	138	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	166
+	115	168
+	120	171
+	4	124	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	168
+	120	171
+	3	124	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	171
+	128	170
+	124	166
+	4	120	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	170
+	124	166
+	3	120	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	122
+	148	116
+	143	115
+	4	140	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	116
+	143	115
+	3	140	122	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	148	116
+	140	122
+	144	123
+	4	148	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	122
+	144	123
+	3	148	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	172
+	120	171
+	115	168
+	4	112	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	171
+	115	168
+	3	112	172	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	151	110
+	143	115
+	148	116
+	4	151	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	115
+	148	116
+	3	151	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	87
+	215	88
+	220	90
+	4	223	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	88
+	220	90
+	3	223	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	90
+	228	89
+	223	87
+	4	220	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	89
+	223	87
+	3	220	90	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	178
+	138	178
+	142	182
+	4	146	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	142	182
+	3	146	178	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	182
+	150	182
+	146	178
+	4	142	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	182
+	146	178
+	3	142	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	88
+	207	89
+	212	91
+	4	215	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	89
+	212	91
+	3	215	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	91
+	220	90
+	215	88
+	4	212	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	90
+	215	88
+	3	212	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	96
+	166	98
+	171	99
+	4	175	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	98
+	171	99
+	3	175	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	102
+	171	99
+	166	98
+	4	163	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	99
+	166	98
+	3	163	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	186
+	155	186
+	160	190
+	4	163	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	186
+	160	190
+	3	163	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	190
+	168	190
+	163	186
+	4	160	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	190
+	163	186
+	3	160	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	189
+	168	190
+	173	193
+	4	176	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	190
+	173	193
+	3	176	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	193
+	181	192
+	176	189
+	4	173	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	192
+	176	189
+	3	173	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	170
+	120	171
+	125	174
+	4	128	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	171
+	125	174
+	3	128	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	174
+	133	174
+	128	170
+	4	125	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	174
+	128	170
+	3	125	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	89
+	199	90
+	204	92
+	4	207	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	90
+	204	92
+	3	207	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	92
+	212	91
+	207	89
+	4	204	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	91
+	207	89
+	3	204	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	94
+	175	96
+	180	97
+	4	183	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	96
+	180	97
+	3	183	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	99
+	180	97
+	175	96
+	4	171	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	97
+	175	96
+	3	171	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	90
+	191	92
+	196	94
+	4	199	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	92
+	196	94
+	3	199	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	94
+	204	92
+	199	90
+	4	196	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	92
+	199	90
+	3	196	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	92
+	183	94
+	188	95
+	4	191	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	94
+	188	95
+	3	191	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	95
+	196	94
+	191	92
+	4	188	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	94
+	191	92
+	3	188	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	97
+	188	95
+	183	94
+	4	180	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	95
+	183	94
+	3	180	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	182
+	142	182
+	147	186
+	4	150	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	182
+	147	186
+	3	150	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	186
+	155	186
+	150	182
+	4	147	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	186
+	150	182
+	3	147	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	102
+	155	105
+	160	106
+	4	163	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	105
+	160	106
+	3	163	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	110
+	160	106
+	155	105
+	4	151	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	106
+	155	105
+	3	151	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	171
+	112	172
+	116	176
+	4	120	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	172
+	116	176
+	3	120	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	176
+	125	174
+	120	171
+	4	116	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	174
+	120	171
+	3	116	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	178
+	79	179
+	84	182
+	4	87	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	179
+	84	182
+	3	87	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	176
+	87	178
+	92	180
+	4	96	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	178
+	92	180
+	3	96	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	182
+	92	180
+	87	178
+	4	84	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	180
+	87	178
+	3	84	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	179
+	71	181
+	75	183
+	4	79	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	181
+	75	183
+	3	79	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	183
+	84	182
+	79	179
+	4	75	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	182
+	79	179
+	3	75	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	174
+	96	176
+	100	179
+	4	104	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	176
+	100	179
+	3	104	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	180
+	100	179
+	96	176
+	4	92	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	179
+	96	176
+	3	92	180	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	192
+	181	192
+	186	195
+	4	189	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	192
+	186	195
+	3	189	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	172
+	104	174
+	108	177
+	4	112	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	174
+	108	177
+	3	112	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	179
+	108	177
+	104	174
+	4	100	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	177
+	104	174
+	3	100	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	177
+	116	176
+	112	172
+	4	108	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	176
+	112	172
+	3	108	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	181
+	63	182
+	67	185
+	4	71	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	182
+	67	185
+	3	71	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	185
+	75	183
+	71	181
+	4	67	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	183
+	71	181
+	3	67	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	174
+	125	174
+	129	178
+	4	133	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	174
+	129	178
+	3	133	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	178
+	138	178
+	133	174
+	4	129	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	133	174
+	3	129	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	141	131
+	149	122
+	144	123
+	4	141	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	144	123
+	3	141	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	122
+	141	131
+	146	131
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	131
+	146	131
+	3	149	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	182
+	55	184
+	59	186
+	4	63	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	184
+	59	186
+	3	63	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	186
+	67	185
+	63	182
+	4	59	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	185
+	63	182
+	3	59	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	190
+	160	190
+	165	193
+	4	168	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	190
+	165	193
+	3	168	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	193
+	173	193
+	168	190
+	4	165	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	193
+	168	190
+	3	165	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	89
+	220	90
+	226	92
+	4	228	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	90
+	226	92
+	3	228	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	92
+	234	91
+	228	89
+	4	226	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	91
+	228	89
+	3	226	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	178
+	129	178
+	134	182
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	178
+	134	182
+	3	138	178	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	182
+	142	182
+	138	178
+	4	134	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	182
+	138	178
+	3	134	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	186
+	147	186
+	152	190
+	4	155	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	186
+	152	190
+	3	155	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	190
+	160	190
+	155	186
+	4	152	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	190
+	155	186
+	3	152	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	106
+	151	110
+	156	111
+	4	160	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	110
+	156	111
+	3	160	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	148	116
+	156	111
+	151	110
+	4	148	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	111
+	151	110
+	3	148	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	99
+	163	102
+	168	103
+	4	171	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	102
+	168	103
+	3	171	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	106
+	168	103
+	163	102
+	4	160	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	103
+	163	102
+	3	160	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	174
+	116	176
+	121	179
+	4	125	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	176
+	121	179
+	3	125	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	179
+	129	178
+	125	174
+	4	121	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	178
+	125	174
+	3	121	179	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	192
+	173	193
+	178	196
+	4	181	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	193
+	178	196
+	3	181	192	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	196
+	186	195
+	181	192
+	4	178	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	195
+	181	192
+	3	178	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	90
+	212	91
+	218	93
+	4	220	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	91
+	218	93
+	3	220	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	93
+	226	92
+	220	90
+	4	218	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	92
+	220	90
+	3	218	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	91
+	204	92
+	209	94
+	4	212	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	92
+	209	94
+	3	212	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	94
+	218	93
+	212	91
+	4	209	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	93
+	212	91
+	3	209	94	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	123
+	153	116
+	148	116
+	4	144	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	116
+	148	116
+	3	144	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	116
+	144	123
+	149	122
+	4	153	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	123
+	149	122
+	3	153	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	176
+	108	177
+	113	180
+	4	116	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	177
+	113	180
+	3	116	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	180
+	121	179
+	116	176
+	4	113	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	179
+	116	176
+	3	113	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	111
+	148	116
+	153	116
+	4	156	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	116
+	153	116
+	3	156	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	182
+	134	182
+	139	186
+	4	142	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	182
+	139	186
+	3	142	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	186
+	147	186
+	142	182
+	4	139	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	186
+	142	182
+	3	139	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	97
+	171	99
+	176	101
+	4	180	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	99
+	176	101
+	3	180	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	103
+	176	101
+	171	99
+	4	168	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	101
+	171	99
+	3	168	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	177
+	100	179
+	105	182
+	4	108	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	179
+	105	182
+	3	108	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	182
+	113	180
+	108	177
+	4	105	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	180
+	108	177
+	3	105	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	92
+	196	94
+	201	95
+	4	204	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	94
+	201	95
+	3	204	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	95
+	209	94
+	204	92
+	4	201	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	94
+	204	92
+	3	201	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	179
+	92	180
+	96	183
+	4	100	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	180
+	96	183
+	3	100	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	183
+	105	182
+	100	179
+	4	96	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	182
+	100	179
+	3	96	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	180
+	84	182
+	88	185
+	4	92	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	182
+	88	185
+	3	92	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	185
+	96	183
+	92	180
+	4	88	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	183
+	92	180
+	3	88	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	95
+	180	97
+	185	99
+	4	188	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	97
+	185	99
+	3	188	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	101
+	185	99
+	180	97
+	4	176	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	99
+	180	97
+	3	176	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	182
+	75	183
+	80	186
+	4	84	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	183
+	80	186
+	3	84	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	186
+	88	185
+	84	182
+	4	80	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	185
+	84	182
+	3	80	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	94
+	188	95
+	193	97
+	4	196	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	95
+	193	97
+	3	196	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	97
+	201	95
+	196	94
+	4	193	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	95
+	196	94
+	3	193	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	99
+	193	97
+	188	95
+	4	185	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	97
+	188	95
+	3	185	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	178
+	121	179
+	126	183
+	4	129	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	179
+	126	183
+	3	129	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	183
+	134	182
+	129	178
+	4	126	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	182
+	129	178
+	3	126	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	183
+	67	185
+	72	188
+	4	75	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	185
+	72	188
+	3	75	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	188
+	80	186
+	75	183
+	4	72	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	186
+	75	183
+	3	72	188	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	190
+	152	190
+	157	193
+	4	160	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	190
+	157	193
+	3	160	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	193
+	165	193
+	160	190
+	4	157	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	193
+	160	190
+	3	157	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	185
+	59	186
+	63	189
+	4	67	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	186
+	63	189
+	3	67	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	189
+	72	188
+	67	185
+	4	63	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	188
+	67	185
+	3	63	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	193
+	165	193
+	170	196
+	4	173	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	193
+	170	196
+	3	173	193	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	196
+	178	196
+	173	193
+	4	170	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	196
+	173	193
+	3	170	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	186
+	139	186
+	144	190
+	4	147	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	186
+	144	190
+	3	147	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	190
+	152	190
+	147	186
+	4	144	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	190
+	147	186
+	3	144	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	103
+	160	106
+	165	107
+	4	168	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	106
+	165	107
+	3	168	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	111
+	165	107
+	160	106
+	4	156	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	107
+	160	106
+	3	156	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	91
+	226	92
+	231	94
+	4	234	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	92
+	231	94
+	3	234	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	94
+	239	93
+	234	91
+	4	231	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	93
+	234	91
+	3	231	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	195
+	178	196
+	183	199
+	4	186	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	196
+	183	199
+	3	186	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	179
+	113	180
+	118	183
+	4	121	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	180
+	118	183
+	3	121	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	183
+	126	183
+	121	179
+	4	118	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	183
+	121	179
+	3	118	183	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	182
+	126	183
+	131	186
+	4	134	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	183
+	131	186
+	3	134	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	186
+	139	186
+	134	182
+	4	131	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	186
+	134	182
+	3	131	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	92
+	218	93
+	223	95
+	4	226	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	93
+	223	95
+	3	226	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	95
+	231	94
+	226	92
+	4	223	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	94
+	226	92
+	3	223	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	180
+	105	182
+	109	185
+	4	113	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	182
+	109	185
+	3	113	180	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	185
+	118	183
+	113	180
+	4	109	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	183
+	113	180
+	3	109	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	182
+	96	183
+	101	186
+	4	105	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	183
+	101	186
+	3	105	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	186
+	109	185
+	105	182
+	4	101	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	185
+	105	182
+	3	101	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	93
+	209	94
+	215	96
+	4	218	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	94
+	215	96
+	3	218	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	96
+	223	95
+	218	93
+	4	215	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	95
+	218	93
+	3	215	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	193
+	157	193
+	162	197
+	4	165	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	193
+	162	197
+	3	165	193	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	197
+	170	196
+	165	193
+	4	162	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	196
+	165	193
+	3	162	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	101
+	168	103
+	173	104
+	4	176	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	103
+	173	104
+	3	176	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	107
+	173	104
+	168	103
+	4	165	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	104
+	168	103
+	3	165	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	190
+	144	190
+	148	193
+	4	152	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	190
+	148	193
+	3	152	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	193
+	157	193
+	152	190
+	4	148	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	193
+	152	190
+	3	148	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	183
+	88	185
+	93	187
+	4	96	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	185
+	93	187
+	3	96	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	187
+	101	186
+	96	183
+	4	93	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	186
+	96	183
+	3	93	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	185
+	80	186
+	84	189
+	4	88	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	186
+	84	189
+	3	88	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	189
+	93	187
+	88	185
+	4	84	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	187
+	88	185
+	3	84	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	94
+	201	95
+	207	97
+	4	209	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	95
+	207	97
+	3	209	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	97
+	215	96
+	209	94
+	4	207	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	96
+	209	94
+	3	207	97	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	131
+	155	119
+	149	122
+	4	146	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	119
+	149	122
+	3	146	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	119
+	146	131
+	151	121
+	4	155	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	131
+	151	121
+	3	155	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	196
+	170	196
+	175	199
+	4	178	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	196
+	175	199
+	3	178	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	199
+	183	199
+	178	196
+	4	175	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	199
+	178	196
+	3	175	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	186
+	72	188
+	76	190
+	4	80	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	188
+	76	190
+	3	80	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	190
+	84	189
+	80	186
+	4	76	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	189
+	80	186
+	3	76	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	186
+	131	186
+	135	190
+	4	139	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	186
+	135	190
+	3	139	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	190
+	144	190
+	139	186
+	4	135	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	190
+	139	186
+	3	135	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	183
+	118	183
+	122	187
+	4	126	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	183
+	122	187
+	3	126	183	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	187
+	131	186
+	126	183
+	4	122	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	186
+	126	183
+	3	122	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	107
+	156	111
+	162	111
+	4	165	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	111
+	162	111
+	3	165	107	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	116
+	162	111
+	156	111
+	4	153	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	111
+	156	111
+	3	153	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	99
+	176	101
+	182	102
+	4	185	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	101
+	182	102
+	3	185	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	104
+	182	102
+	176	101
+	4	173	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	176	101
+	3	173	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	95
+	193	97
+	198	99
+	4	201	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	97
+	198	99
+	3	201	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	99
+	207	97
+	201	95
+	4	198	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	97
+	201	95
+	3	198	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	188
+	63	189
+	68	192
+	4	72	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	189
+	68	192
+	3	72	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	192
+	76	190
+	72	188
+	4	68	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	190
+	72	188
+	3	68	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	97
+	185	99
+	190	100
+	4	193	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	99
+	190	100
+	3	193	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	100
+	198	99
+	193	97
+	4	190	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	99
+	193	97
+	3	190	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	102
+	190	100
+	185	99
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	100
+	185	99
+	3	182	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	183
+	109	185
+	114	188
+	4	118	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	185
+	114	188
+	3	118	183	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	188
+	122	187
+	118	183
+	4	114	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	187
+	118	183
+	3	114	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	93
+	231	94
+	237	96
+	4	239	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	94
+	237	96
+	3	239	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	193
+	148	193
+	153	197
+	4	157	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	193
+	153	197
+	3	157	193	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	197
+	162	197
+	157	193
+	4	153	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	197
+	157	193
+	3	153	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	196
+	162	197
+	167	200
+	4	170	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	197
+	167	200
+	3	170	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	200
+	175	199
+	170	196
+	4	167	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	199
+	170	196
+	3	167	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	190
+	135	190
+	140	193
+	4	144	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	190
+	140	193
+	3	144	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	193
+	148	193
+	144	190
+	4	140	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	193
+	144	190
+	3	140	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	185
+	101	186
+	106	189
+	4	109	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	186
+	106	189
+	3	109	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	189
+	114	188
+	109	185
+	4	106	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	188
+	109	185
+	3	106	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	94
+	223	95
+	229	97
+	4	231	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	95
+	229	97
+	3	231	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	97
+	237	96
+	231	94
+	4	229	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	96
+	231	94
+	3	229	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	186
+	122	187
+	127	190
+	4	131	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	187
+	127	190
+	3	131	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	190
+	135	190
+	131	186
+	4	127	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	190
+	131	186
+	3	127	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	111
+	153	116
+	158	115
+	4	162	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	116
+	158	115
+	3	162	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	122
+	158	115
+	153	116
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	115
+	153	116
+	3	149	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	186
+	93	187
+	97	190
+	4	101	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	187
+	97	190
+	3	101	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	190
+	106	189
+	101	186
+	4	97	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	189
+	101	186
+	3	97	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	104
+	165	107
+	170	108
+	4	173	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	107
+	170	108
+	3	173	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	111
+	170	108
+	165	107
+	4	162	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	108
+	165	107
+	3	162	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	199
+	175	199
+	180	203
+	4	183	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	199
+	180	203
+	3	183	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	95
+	215	96
+	220	98
+	4	223	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	96
+	220	98
+	3	223	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	98
+	229	97
+	223	95
+	4	220	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	97
+	223	95
+	3	220	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	187
+	84	189
+	89	192
+	4	93	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	189
+	89	192
+	3	93	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	192
+	97	190
+	93	187
+	4	89	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	190
+	93	187
+	3	89	192	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	115
+	149	122
+	155	119
+	4	158	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	155	119
+	3	158	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	189
+	76	190
+	80	193
+	4	84	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	190
+	80	193
+	3	84	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	193
+	89	192
+	84	189
+	4	80	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	192
+	84	189
+	3	80	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	96
+	207	97
+	212	99
+	4	215	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	97
+	212	99
+	3	215	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	99
+	220	98
+	215	96
+	4	212	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	98
+	215	96
+	3	212	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	187
+	114	188
+	119	191
+	4	122	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	188
+	119	191
+	3	122	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	191
+	127	190
+	122	187
+	4	119	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	190
+	122	187
+	3	119	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	190
+	68	192
+	72	195
+	4	76	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	192
+	72	195
+	3	76	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	195
+	80	193
+	76	190
+	4	72	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	193
+	76	190
+	3	72	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	97
+	198	99
+	204	100
+	4	207	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	99
+	204	100
+	3	207	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	100
+	212	99
+	207	97
+	4	204	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	99
+	207	97
+	3	204	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	102
+	173	104
+	179	105
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	104
+	179	105
+	3	182	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	108
+	179	105
+	173	104
+	4	170	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	105
+	173	104
+	3	170	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	193
+	140	193
+	145	197
+	4	148	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	193
+	145	197
+	3	148	193	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	197
+	153	197
+	148	193
+	4	145	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	197
+	148	193
+	3	145	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	197
+	153	197
+	158	200
+	4	162	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	197
+	158	200
+	3	162	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	200
+	167	200
+	162	197
+	4	158	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	200
+	162	197
+	3	158	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	190
+	127	190
+	132	194
+	4	135	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	190
+	132	194
+	3	135	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	194
+	140	193
+	135	190
+	4	132	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	193
+	135	190
+	3	132	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	99
+	190	100
+	195	102
+	4	198	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	100
+	195	102
+	3	198	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	102
+	204	100
+	198	99
+	4	195	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	100
+	198	99
+	3	195	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	100
+	182	102
+	187	103
+	4	190	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	187	103
+	3	190	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	105
+	187	103
+	182	102
+	4	179	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	103
+	182	102
+	3	179	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	103
+	195	102
+	190	100
+	4	187	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	102
+	190	100
+	3	187	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	188
+	106	189
+	110	192
+	4	114	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	189
+	110	192
+	3	114	188	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	192
+	119	191
+	114	188
+	4	110	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	191
+	114	188
+	3	110	192	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	199
+	167	200
+	172	203
+	4	175	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	200
+	172	203
+	3	175	199	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	203
+	180	203
+	175	199
+	4	172	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	203
+	175	199
+	3	172	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	189
+	97	190
+	102	194
+	4	106	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	190
+	102	194
+	3	106	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	194
+	110	192
+	106	189
+	4	102	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	192
+	106	189
+	3	102	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	96
+	229	97
+	234	99
+	4	237	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	97
+	234	99
+	3	237	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	190
+	119	191
+	123	195
+	4	127	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	191
+	123	195
+	3	127	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	195
+	132	194
+	127	190
+	4	123	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	194
+	127	190
+	3	123	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	190
+	89	192
+	93	195
+	4	97	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	192
+	93	195
+	3	97	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	195
+	102	194
+	97	190
+	4	93	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	194
+	97	190
+	3	93	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	108
+	162	111
+	167	111
+	4	170	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	111
+	167	111
+	3	170	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	115
+	167	111
+	162	111
+	4	158	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	111
+	162	111
+	3	158	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	193
+	132	194
+	137	198
+	4	140	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	194
+	137	198
+	3	140	193	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	198
+	145	197
+	140	193
+	4	137	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	197
+	140	193
+	3	137	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	97
+	220	98
+	226	100
+	4	229	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	98
+	226	100
+	3	229	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	100
+	234	99
+	229	97
+	4	226	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	99
+	229	97
+	3	226	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	197
+	145	197
+	150	201
+	4	153	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	197
+	150	201
+	3	153	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	201
+	158	200
+	153	197
+	4	150	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	200
+	153	197
+	3	150	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	192
+	80	193
+	85	196
+	4	89	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	193
+	85	196
+	3	89	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	196
+	93	195
+	89	192
+	4	85	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	195
+	89	192
+	3	85	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	200
+	158	200
+	163	204
+	4	167	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	200
+	163	204
+	3	167	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	204
+	172	203
+	167	200
+	4	163	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	203
+	167	200
+	3	163	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	193
+	72	195
+	76	198
+	4	80	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	195
+	76	198
+	3	80	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	198
+	85	196
+	80	193
+	4	76	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	196
+	80	193
+	3	76	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	98
+	212	99
+	217	101
+	4	220	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	99
+	217	101
+	3	220	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	101
+	226	100
+	220	98
+	4	217	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	100
+	220	98
+	3	217	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	191
+	110	192
+	115	196
+	4	119	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	192
+	115	196
+	3	119	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	196
+	123	195
+	119	191
+	4	115	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	195
+	119	191
+	3	115	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	180	203
+	172	203
+	177	206
+	4	180	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	203
+	177	206
+	3	180	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	99
+	204	100
+	209	102
+	4	212	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	100
+	209	102
+	3	212	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	102
+	217	101
+	212	99
+	4	209	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	101
+	212	99
+	3	209	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	105
+	170	108
+	175	108
+	4	179	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	108
+	175	108
+	3	179	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	111
+	175	108
+	170	108
+	4	167	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	108
+	170	108
+	3	167	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	194
+	123	195
+	128	198
+	4	132	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	195
+	128	198
+	3	132	194	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	198
+	137	198
+	132	194
+	4	128	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	198
+	132	194
+	3	128	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	192
+	102	194
+	106	197
+	4	110	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	194
+	106	197
+	3	110	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	197
+	115	196
+	110	192
+	4	106	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	196
+	110	192
+	3	106	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	100
+	195	102
+	201	103
+	4	204	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	102
+	201	103
+	3	204	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	103
+	209	102
+	204	100
+	4	201	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	102
+	204	100
+	3	201	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	197
+	137	198
+	142	201
+	4	145	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	198
+	142	201
+	3	145	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	201
+	150	201
+	145	197
+	4	142	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	201
+	145	197
+	3	142	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	102
+	187	103
+	192	105
+	4	195	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	103
+	192	105
+	3	195	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	105
+	201	103
+	195	102
+	4	192	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	103
+	195	102
+	3	192	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	103
+	179	105
+	184	107
+	4	187	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	105
+	184	107
+	3	187	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	108
+	184	107
+	179	105
+	4	175	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	107
+	179	105
+	3	175	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	107
+	192	105
+	187	103
+	4	184	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	105
+	187	103
+	3	184	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	200
+	150	201
+	155	204
+	4	158	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	201
+	155	204
+	3	158	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	204
+	163	204
+	158	200
+	4	155	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	204
+	158	200
+	3	155	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	194
+	93	195
+	98	198
+	4	102	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	195
+	98	198
+	3	102	194	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	198
+	106	197
+	102	194
+	4	98	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	197
+	102	194
+	3	98	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	111
+	158	115
+	164	114
+	4	167	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	115
+	164	114
+	3	167	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	119
+	164	114
+	158	115
+	4	155	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	114
+	158	115
+	3	155	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	203
+	163	204
+	168	207
+	4	172	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	204
+	168	207
+	3	172	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	207
+	177	206
+	172	203
+	4	168	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	206
+	172	203
+	3	168	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	195
+	85	196
+	89	199
+	4	93	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	196
+	89	199
+	3	93	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	199
+	98	198
+	93	195
+	4	89	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	198
+	93	195
+	3	89	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	195
+	115	196
+	120	199
+	4	123	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	196
+	120	199
+	3	123	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	199
+	128	198
+	123	195
+	4	120	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	198
+	123	195
+	3	120	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	99
+	226	100
+	231	102
+	4	234	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	100
+	231	102
+	3	234	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	85	196
+	76	198
+	81	201
+	4	85	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	198
+	81	201
+	3	85	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	201
+	89	199
+	85	196
+	4	81	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	199
+	85	196
+	3	81	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	198
+	128	198
+	133	202
+	4	137	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	198
+	133	202
+	3	137	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	202
+	142	201
+	137	198
+	4	133	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	201
+	137	198
+	3	133	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	100
+	217	101
+	223	103
+	4	226	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	101
+	223	103
+	3	226	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	103
+	231	102
+	226	100
+	4	223	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	102
+	226	100
+	3	223	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	196
+	106	197
+	111	200
+	4	115	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	197
+	111	200
+	3	115	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	200
+	120	199
+	115	196
+	4	111	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	199
+	115	196
+	3	111	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	150	201
+	142	201
+	147	205
+	4	150	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	201
+	147	205
+	3	150	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	205
+	155	204
+	150	201
+	4	147	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	204
+	150	201
+	3	147	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	101
+	209	102
+	215	104
+	4	217	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	102
+	215	104
+	3	217	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	104
+	223	103
+	217	101
+	4	215	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	103
+	217	101
+	3	215	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	204
+	155	204
+	160	208
+	4	163	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	204
+	160	208
+	3	163	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	208
+	168	207
+	163	204
+	4	160	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	207
+	163	204
+	3	160	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	197
+	98	198
+	103	201
+	4	106	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	198
+	103	201
+	3	106	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	201
+	111	200
+	106	197
+	4	103	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	200
+	106	197
+	3	103	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	108
+	167	111
+	172	111
+	4	175	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	111
+	172	111
+	3	175	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	114
+	172	111
+	167	111
+	4	164	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	111
+	167	111
+	3	164	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	102
+	201	103
+	206	105
+	4	209	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	103
+	206	105
+	3	209	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	105
+	215	104
+	209	102
+	4	206	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	104
+	209	102
+	3	206	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	198
+	120	199
+	125	202
+	4	128	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	199
+	125	202
+	3	128	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	202
+	133	202
+	128	198
+	4	125	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	202
+	128	198
+	3	125	202	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	206
+	168	207
+	174	210
+	4	177	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	207
+	174	210
+	3	177	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	103
+	192	105
+	198	107
+	4	201	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	105
+	198	107
+	3	201	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	107
+	206	105
+	201	103
+	4	198	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	105
+	201	103
+	3	198	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	198
+	89	199
+	94	202
+	4	98	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	199
+	94	202
+	3	98	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	202
+	103	201
+	98	198
+	4	94	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	201
+	98	198
+	3	94	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	201
+	133	202
+	138	205
+	4	142	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	202
+	138	205
+	3	142	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	205
+	147	205
+	142	201
+	4	138	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	205
+	142	201
+	3	138	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	107
+	175	108
+	181	110
+	4	184	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	108
+	181	110
+	3	184	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	111
+	181	110
+	175	108
+	4	172	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	110
+	175	108
+	3	172	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	105
+	184	107
+	189	108
+	4	192	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	107
+	189	108
+	3	192	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	108
+	198	107
+	192	105
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	107
+	192	105
+	3	189	108	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	114
+	155	119
+	160	116
+	4	164	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	119
+	160	116
+	3	164	114	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	151	121
+	160	116
+	155	119
+	4	151	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	116
+	155	119
+	3	151	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	110
+	189	108
+	184	107
+	4	181	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	184	107
+	3	181	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	199
+	81	201
+	85	204
+	4	89	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	201
+	85	204
+	3	89	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	204
+	94	202
+	89	199
+	4	85	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	202
+	89	199
+	3	85	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	204
+	147	205
+	152	208
+	4	155	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	205
+	152	208
+	3	155	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	208
+	160	208
+	155	204
+	4	152	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	208
+	155	204
+	3	152	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	199
+	111	200
+	116	203
+	4	120	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	200
+	116	203
+	3	120	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	203
+	125	202
+	120	199
+	4	116	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	202
+	120	199
+	3	116	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	207
+	160	208
+	165	211
+	4	168	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	208
+	165	211
+	3	168	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	211
+	174	210
+	168	207
+	4	165	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	210
+	168	207
+	3	165	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	102
+	223	103
+	229	105
+	4	231	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	103
+	229	105
+	3	231	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	202
+	125	202
+	130	206
+	4	133	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	202
+	130	206
+	3	133	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	206
+	138	205
+	133	202
+	4	130	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	205
+	133	202
+	3	130	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	200
+	103	201
+	107	204
+	4	111	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	201
+	107	204
+	3	111	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	204
+	116	203
+	111	200
+	4	107	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	203
+	111	200
+	3	107	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	103
+	215	104
+	220	106
+	4	223	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	104
+	220	106
+	3	223	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	106
+	229	105
+	223	103
+	4	220	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	105
+	223	103
+	3	220	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	205
+	138	205
+	143	209
+	4	147	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	205
+	143	209
+	3	147	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	209
+	152	208
+	147	205
+	4	143	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	208
+	147	205
+	3	143	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	201
+	94	202
+	99	206
+	4	103	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	202
+	99	206
+	3	103	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	206
+	107	204
+	103	201
+	4	99	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	204
+	103	201
+	3	99	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	104
+	206	105
+	212	107
+	4	215	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	105
+	212	107
+	3	215	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	107
+	220	106
+	215	104
+	4	212	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	106
+	215	104
+	3	212	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	208
+	152	208
+	157	212
+	4	160	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	208
+	157	212
+	3	160	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	212
+	165	211
+	160	208
+	4	157	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	211
+	160	208
+	3	157	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	202
+	116	203
+	121	207
+	4	125	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	203
+	121	207
+	3	125	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	207
+	130	206
+	125	202
+	4	121	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	206
+	125	202
+	3	121	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	202
+	85	204
+	90	207
+	4	94	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	204
+	90	207
+	3	94	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	207
+	99	206
+	94	202
+	4	90	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	206
+	94	202
+	3	90	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	105
+	198	107
+	203	108
+	4	206	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	107
+	203	108
+	3	206	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	108
+	212	107
+	206	105
+	4	203	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	107
+	206	105
+	3	203	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	111
+	164	114
+	169	114
+	4	172	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	114
+	169	114
+	3	172	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	116
+	169	114
+	164	114
+	4	160	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	114
+	164	114
+	3	160	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	210
+	165	211
+	170	214
+	4	174	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	211
+	170	214
+	3	174	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	107
+	189	108
+	195	110
+	4	198	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	195	110
+	3	198	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	110
+	203	108
+	198	107
+	4	195	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	108
+	198	107
+	3	195	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	205
+	130	206
+	134	209
+	4	138	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	206
+	134	209
+	3	138	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	209
+	143	209
+	138	205
+	4	134	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	209
+	138	205
+	3	134	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	203
+	107	204
+	112	208
+	4	116	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	204
+	112	208
+	3	116	203	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	208
+	121	207
+	116	203
+	4	112	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	207
+	116	203
+	3	112	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	108
+	181	110
+	186	111
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	110
+	186	111
+	3	189	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	111
+	195	110
+	189	108
+	4	186	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	110
+	189	108
+	3	186	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	110
+	172	111
+	178	112
+	4	181	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	111
+	178	112
+	3	181	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	114
+	178	112
+	172	111
+	4	169	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	112
+	172	111
+	3	169	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	112
+	186	111
+	181	110
+	4	178	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	111
+	181	110
+	3	178	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	208
+	143	209
+	148	212
+	4	152	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	209
+	148	212
+	3	152	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	212
+	157	212
+	152	208
+	4	148	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	212
+	152	208
+	3	148	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	204
+	99	206
+	104	209
+	4	107	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	206
+	104	209
+	3	107	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	209
+	112	208
+	107	204
+	4	104	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	208
+	107	204
+	3	104	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	105
+	220	106
+	226	108
+	4	229	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	106
+	226	108
+	3	229	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	206
+	121	207
+	126	210
+	4	130	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	207
+	126	210
+	3	130	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	210
+	134	209
+	130	206
+	4	126	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	209
+	130	206
+	3	126	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	211
+	157	212
+	162	215
+	4	165	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	212
+	162	215
+	3	165	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	215
+	170	214
+	165	211
+	4	162	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	214
+	165	211
+	3	162	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	116
+	151	121
+	157	116
+	4	160	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	121
+	157	116
+	3	160	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	206
+	90	207
+	95	210
+	4	99	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	207
+	95	210
+	3	99	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	210
+	104	209
+	99	206
+	4	95	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	209
+	99	206
+	3	95	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	106
+	212	107
+	217	109
+	4	220	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	107
+	217	109
+	3	220	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	109
+	226	108
+	220	106
+	4	217	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	108
+	220	106
+	3	217	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	209
+	134	209
+	139	213
+	4	143	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	209
+	139	213
+	3	143	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	213
+	148	212
+	143	209
+	4	139	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	212
+	143	209
+	3	139	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	207
+	112	208
+	117	211
+	4	121	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	208
+	117	211
+	3	121	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	211
+	126	210
+	121	207
+	4	117	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	210
+	121	207
+	3	117	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	107
+	203	108
+	209	110
+	4	212	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	108
+	209	110
+	3	212	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	110
+	217	109
+	212	107
+	4	209	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	109
+	212	107
+	3	209	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	212
+	148	212
+	153	216
+	4	157	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	212
+	153	216
+	3	157	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	216
+	162	215
+	157	212
+	4	153	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	215
+	157	212
+	3	153	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	108
+	195	110
+	200	112
+	4	203	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	110
+	200	112
+	3	203	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	112
+	209	110
+	203	108
+	4	200	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	110
+	203	108
+	3	200	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	208
+	104	209
+	108	212
+	4	112	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	209
+	108	212
+	3	112	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	212
+	117	211
+	112	208
+	4	108	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	211
+	112	208
+	3	108	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	209
+	126	210
+	131	214
+	4	134	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	210
+	131	214
+	3	134	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	214
+	139	213
+	134	209
+	4	131	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	213
+	134	209
+	3	131	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	214
+	162	215
+	167	219
+	4	170	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	215
+	167	219
+	3	170	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	110
+	186	111
+	192	113
+	4	195	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	111
+	192	113
+	3	195	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	113
+	200	112
+	195	110
+	4	192	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	112
+	195	110
+	3	192	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	111
+	178	112
+	183	114
+	4	186	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	112
+	183	114
+	3	186	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	114
+	192	113
+	186	111
+	4	183	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	113
+	186	111
+	3	183	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	209
+	95	210
+	100	213
+	4	104	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	210
+	100	213
+	3	104	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	213
+	108	212
+	104	209
+	4	100	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	212
+	104	209
+	3	100	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	212
+	139	213
+	145	217
+	4	148	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	213
+	145	217
+	3	148	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	217
+	153	216
+	148	212
+	4	145	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	216
+	148	212
+	3	145	217	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	114
+	160	116
+	166	116
+	4	169	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	116
+	166	116
+	3	169	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	116
+	166	116
+	160	116
+	4	157	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	116
+	160	116
+	3	157	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	112
+	169	114
+	174	115
+	4	178	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	114
+	174	115
+	3	178	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	115
+	183	114
+	178	112
+	4	174	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	114
+	178	112
+	3	174	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	116
+	174	115
+	169	114
+	4	166	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	115
+	169	114
+	3	166	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	210
+	117	211
+	122	215
+	4	126	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	211
+	122	215
+	3	126	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	215
+	131	214
+	126	210
+	4	122	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	214
+	126	210
+	3	122	215	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	108
+	217	109
+	223	112
+	4	226	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	109
+	223	112
+	3	226	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	215
+	153	216
+	158	219
+	4	162	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	216
+	158	219
+	3	162	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	219
+	167	219
+	162	215
+	4	158	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	219
+	162	215
+	3	158	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	109
+	209	110
+	215	113
+	4	217	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	110
+	215	113
+	3	217	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	113
+	223	112
+	217	109
+	4	215	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	112
+	217	109
+	3	215	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	213
+	131	214
+	136	217
+	4	139	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	214
+	136	217
+	3	139	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	217
+	145	217
+	139	213
+	4	136	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	217
+	139	213
+	3	136	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	211
+	108	212
+	113	216
+	4	117	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	212
+	113	216
+	3	117	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	216
+	122	215
+	117	211
+	4	113	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	215
+	117	211
+	3	113	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	110
+	200	112
+	206	114
+	4	209	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	112
+	206	114
+	3	209	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	114
+	215	113
+	209	110
+	4	206	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	113
+	209	110
+	3	206	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	216
+	145	217
+	150	220
+	4	153	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	217
+	150	220
+	3	153	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	220
+	158	219
+	153	216
+	4	150	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	219
+	153	216
+	3	150	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	212
+	100	213
+	105	217
+	4	108	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	213
+	105	217
+	3	108	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	217
+	113	216
+	108	212
+	4	105	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	216
+	108	212
+	3	105	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	214
+	122	215
+	127	218
+	4	131	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	215
+	127	218
+	3	131	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	218
+	136	217
+	131	214
+	4	127	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	217
+	131	214
+	3	127	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	112
+	192	113
+	197	115
+	4	200	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	113
+	197	115
+	3	200	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	115
+	206	114
+	200	112
+	4	197	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	114
+	200	112
+	3	197	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	219
+	158	219
+	164	223
+	4	167	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	219
+	164	223
+	3	167	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	113
+	183	114
+	189	116
+	4	192	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	114
+	189	116
+	3	192	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	116
+	197	115
+	192	113
+	4	189	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	115
+	192	113
+	3	189	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	217
+	136	217
+	141	221
+	4	145	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	217
+	141	221
+	3	145	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	221
+	150	220
+	145	217
+	4	141	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	220
+	145	217
+	3	141	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	215
+	113	216
+	118	219
+	4	122	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	216
+	118	219
+	3	122	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	219
+	127	218
+	122	215
+	4	118	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	218
+	122	215
+	3	118	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	114
+	174	115
+	180	116
+	4	183	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	115
+	180	116
+	3	183	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	116
+	189	116
+	183	114
+	4	180	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	116
+	183	114
+	3	180	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	112
+	215	113
+	220	115
+	4	223	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	113
+	220	115
+	3	223	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	219
+	150	220
+	155	224
+	4	158	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	220
+	155	224
+	3	158	219	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	224
+	164	223
+	158	219
+	4	155	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	223
+	158	219
+	3	155	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	115
+	166	116
+	171	117
+	4	174	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	116
+	171	117
+	3	174	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	117
+	180	116
+	174	115
+	4	171	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	116
+	174	115
+	3	171	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	216
+	105	217
+	109	220
+	4	113	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	217
+	109	220
+	3	113	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	220
+	118	219
+	113	216
+	4	109	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	219
+	113	216
+	3	109	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	217
+	127	218
+	132	222
+	4	136	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	218
+	132	222
+	3	136	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	222
+	141	221
+	136	217
+	4	132	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	221
+	136	217
+	3	132	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	113
+	206	114
+	212	116
+	4	215	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	114
+	212	116
+	3	215	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	116
+	220	115
+	215	113
+	4	212	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	115
+	215	113
+	3	212	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	116
+	157	116
+	163	117
+	4	166	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	116
+	163	117
+	3	166	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	117
+	171	117
+	166	116
+	4	163	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	117
+	166	116
+	3	163	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	114
+	197	115
+	203	117
+	4	206	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	115
+	203	117
+	3	206	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	117
+	212	116
+	206	114
+	4	203	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	116
+	206	114
+	3	203	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	220
+	141	221
+	146	225
+	4	150	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	221
+	146	225
+	3	150	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	225
+	155	224
+	150	220
+	4	146	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	224
+	150	220
+	3	146	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	218
+	118	219
+	123	223
+	4	127	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	219
+	123	223
+	3	127	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	223
+	132	222
+	127	218
+	4	123	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	222
+	127	218
+	3	123	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	115
+	189	116
+	194	118
+	4	197	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	116
+	194	118
+	3	197	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	118
+	203	117
+	197	115
+	4	194	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	117
+	197	115
+	3	194	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	223
+	155	224
+	160	227
+	4	164	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	224
+	160	227
+	3	164	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	219
+	109	220
+	114	224
+	4	118	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	220
+	114	224
+	3	118	219	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	224
+	123	223
+	118	219
+	4	114	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	223
+	118	219
+	3	114	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	221
+	132	222
+	137	225
+	4	141	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	222
+	137	225
+	3	141	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	225
+	146	225
+	141	221
+	4	137	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	225
+	141	221
+	3	137	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	116
+	180	116
+	186	118
+	4	189	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	116
+	186	118
+	3	189	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	118
+	194	118
+	189	116
+	4	186	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	118
+	189	116
+	3	186	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	115
+	212	116
+	217	118
+	4	220	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	116
+	217	118
+	3	220	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	224
+	146	225
+	151	228
+	4	155	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	225
+	151	228
+	3	155	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	228
+	160	227
+	155	224
+	4	151	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	227
+	155	224
+	3	151	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	116
+	171	117
+	177	119
+	4	180	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	117
+	177	119
+	3	180	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	119
+	186	118
+	180	116
+	4	177	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	118
+	180	116
+	3	177	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	222
+	123	223
+	128	226
+	4	132	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	223
+	128	226
+	3	132	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	226
+	137	225
+	132	222
+	4	128	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	225
+	132	222
+	3	128	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	116
+	203	117
+	209	119
+	4	212	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	117
+	209	119
+	3	212	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	119
+	217	118
+	212	116
+	4	209	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	118
+	212	116
+	3	209	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	225
+	137	225
+	142	229
+	4	146	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	225
+	142	229
+	3	146	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	229
+	151	228
+	146	225
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	228
+	146	225
+	3	142	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	223
+	114	224
+	119	227
+	4	123	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	224
+	119	227
+	3	123	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	227
+	128	226
+	123	223
+	4	119	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	226
+	123	223
+	3	119	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	117
+	163	117
+	168	119
+	4	171	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	117
+	168	119
+	3	171	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	119
+	177	119
+	171	117
+	4	168	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	119
+	171	117
+	3	168	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	117
+	194	118
+	200	120
+	4	203	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	118
+	200	120
+	3	203	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	120
+	209	119
+	203	117
+	4	200	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	119
+	203	117
+	3	200	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	227
+	151	228
+	157	232
+	4	160	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	228
+	157	232
+	3	160	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	118
+	186	118
+	191	120
+	4	194	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	118
+	191	120
+	3	194	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	120
+	200	120
+	194	118
+	4	191	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	120
+	194	118
+	3	191	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	225
+	128	226
+	134	230
+	4	137	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	226
+	134	230
+	3	137	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	230
+	142	229
+	137	225
+	4	134	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	137	225
+	3	134	230	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	118
+	177	119
+	182	121
+	4	186	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	119
+	182	121
+	3	186	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	121
+	191	120
+	186	118
+	4	182	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	120
+	186	118
+	3	182	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	228
+	142	229
+	148	233
+	4	151	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	148	233
+	3	151	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	233
+	157	232
+	151	228
+	4	148	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	232
+	151	228
+	3	148	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	226
+	119	227
+	125	231
+	4	128	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	227
+	125	231
+	3	128	226	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	231
+	134	230
+	128	226
+	4	125	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	230
+	128	226
+	3	125	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	118
+	209	119
+	214	121
+	4	217	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	119
+	214	121
+	3	217	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	119
+	200	120
+	206	122
+	4	209	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	120
+	206	122
+	3	209	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	122
+	214	121
+	209	119
+	4	206	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	121
+	209	119
+	3	206	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	119
+	168	119
+	174	121
+	4	177	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	119
+	174	121
+	3	177	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	121
+	182	121
+	177	119
+	4	174	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	121
+	177	119
+	3	174	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	229
+	134	230
+	139	234
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	230
+	139	234
+	3	142	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	234
+	148	233
+	142	229
+	4	139	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	233
+	142	229
+	3	139	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	120
+	191	120
+	197	123
+	4	200	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	120
+	197	123
+	3	200	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	123
+	206	122
+	200	120
+	4	197	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	122
+	200	120
+	3	197	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	232
+	148	233
+	153	236
+	4	157	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	233
+	153	236
+	3	157	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	230
+	125	231
+	130	235
+	4	134	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	231
+	130	235
+	3	134	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	235
+	139	234
+	134	230
+	4	130	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	234
+	134	230
+	3	130	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	120
+	182	121
+	188	123
+	4	191	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	121
+	188	123
+	3	191	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	123
+	197	123
+	191	120
+	4	188	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	123
+	191	120
+	3	188	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	233
+	139	234
+	144	237
+	4	148	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	234
+	144	237
+	3	148	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	237
+	153	236
+	148	233
+	4	144	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	236
+	148	233
+	3	144	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	121
+	206	122
+	212	124
+	4	214	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	122
+	212	124
+	3	214	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	121
+	174	121
+	179	123
+	4	182	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	121
+	179	123
+	3	182	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	123
+	188	123
+	182	121
+	4	179	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	123
+	182	121
+	3	179	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	234
+	130	235
+	135	238
+	4	139	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	235
+	135	238
+	3	139	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	238
+	144	237
+	139	234
+	4	135	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	237
+	139	234
+	3	135	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	122
+	197	123
+	203	125
+	4	206	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	123
+	203	125
+	3	206	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	125
+	212	124
+	206	122
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	124
+	206	122
+	3	203	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	236
+	144	237
+	149	241
+	4	153	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	237
+	149	241
+	3	153	236	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	123
+	188	123
+	194	126
+	4	197	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	123
+	194	126
+	3	197	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	126
+	203	125
+	197	123
+	4	194	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	197	123
+	3	194	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	237
+	135	238
+	140	242
+	4	144	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	238
+	140	242
+	3	144	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	242
+	149	241
+	144	237
+	4	140	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	241
+	144	237
+	3	140	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	123
+	179	123
+	185	126
+	4	188	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	123
+	185	126
+	3	188	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	126
+	194	126
+	188	123
+	4	185	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	126
+	188	123
+	3	185	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	124
+	203	125
+	208	128
+	4	212	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	208	128
+	3	212	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	125
+	194	126
+	200	128
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	126
+	200	128
+	3	203	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	128
+	208	128
+	203	125
+	4	200	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	128
+	203	125
+	3	200	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	241
+	140	242
+	146	246
+	4	149	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	242
+	146	246
+	3	149	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	126
+	185	126
+	191	129
+	4	194	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	126
+	191	129
+	3	194	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	129
+	200	128
+	194	126
+	4	191	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	128
+	194	126
+	3	191	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	128
+	200	128
+	205	131
+	4	208	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	128
+	205	131
+	3	208	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	128
+	191	129
+	196	131
+	4	200	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	129
+	196	131
+	3	200	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	131
+	205	131
+	200	128
+	4	196	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	131
+	200	128
+	3	196	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	131
+	196	131
+	202	134
+	4	205	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	131
+	202	134
+	3	205	131	psDrawLines
+ 
+    grestore	% restore graphics state
+ 
+%	frameDict	0	257	0	260	title
+%	frameDict	drawFrame
+%	frameDict	loadFont
+%	257	(AXIOM3D) stringwidth pop sub 2 div
+%	15	(AXIOM3D)	(title) psDrawIStr
+ 
+   cleartomark					%% clearing operand stack
+ 
+end		%% pops mainDict from dictionary stack
+ 
+showpage
+ 
+%-------------------------- end --------------------------%
diff --git a/books/ps/axiomfront.ps b/books/ps/axiomfront.ps
new file mode 100644
index 0000000..99327f1
--- /dev/null
+++ b/books/ps/axiomfront.ps
@@ -0,0 +1,1091 @@
+%!PS-Adobe-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /root/doc/axiomFront.ps
+%%CreationDate: Sun Mar  7 21:12:05 2004
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 344 149
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 134.380388 translate
+329.039978 -134.380388 scale
+% Image geometry
+857 350 8
+% Transformation matrix
+[ 857 0 0 350 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 857 string def
+/gstr 857 string def
+/bstr 857 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        42755 ASCII Bytes
+colorimage
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$QN-^[JcC<$JcD8?J,~>
+JcC<$QN-^[JcC<$JcD8?J,~>
+JcC<$QN-^[JcC<$JcD8?J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$RfDjWJcC<$JcDDCJ,~>
+JcC<$RfDjWJcC<$JcDDCJ,~>
+JcC<$RfDjWJcC<$JcDDCJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$T)\!SJcC<$JcDPGJ,~>
+JcC<$T)\!SJcC<$JcDPGJ,~>
+JcC<$T)\!SJcC<$JcDPGJ,~>
+JcC<$U&X0RJcC<$JcDSHJ,~>
+JcC<$U&X0RJcC<$JcDSHJ,~>
+JcC<$U&X0RJcC<$JcDSHJ,~>
+JcC<$UAs-OJcC<$JcD\KJ,~>
+JcC<$UAs-OJcC<$JcD\KJ,~>
+JcC<$UAs-OJcC<$JcD\KJ,~>
+JcC<$UAs-OJcC<$JcD\KJ,~>
+JcC<$UAs-OJcC<$JcD\KJ,~>
+JcC<$UAs-OJcC<$JcD\KJ,~>
+JcC<$V#T6NJcC<$JcD_LJ,~>
+JcC<$V#T6NJcC<$JcD_LJ,~>
+JcC<$V#T6NJcC<$JcD_LJ,~>
+JcC<$V>o3KJcC<$JcDhOJ,~>
+JcC<$V>o3KJcC<$JcDhOJ,~>
+JcC<$V>o3KJcC<$JcDhOJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$WW1?GJcC<$JcDtSJ,~>
+JcC<$WW1?GJcC<$JcDtSJ,~>
+JcC<$WW1?GJcC<$JcDtSJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$XoHHBJcC<$JcE.XJ,~>
+JcC<$XoHHBJcC<$JcE.XJ,~>
+JcC<$XoHHBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$YQ)TBJcC<$JcE.XJ,~>
+JcC<$XoHNDJcC<$JcE(VJ,~>
+JcC<$XoHNDJcC<$JcE(VJ,~>
+JcC<$XoHNDJcC<$JcE(VJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$X8gEEJcC<$JcE%UJ,~>
+JcC<$WW1?GJcC<$JcDtSJ,~>
+JcC<$WW1?GJcC<$JcDtSJ,~>
+JcC<$WW1?GJcC<$JcDtSJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$W;k?IJcC<$JcDnQJ,~>
+JcC<$V>o3KJcC<$JcDhOJ,~>
+JcC<$V>o3KJcC<$JcDhOJ,~>
+JcC<$V>o3KJcC<$JcDhOJ,~>
+JcC<$V#T0LJcC<$JcDeNJ,~>
+JcC<$V#T0LJcC<$JcDeNJ,~>
+JcC<$V#T0LJcC<$JcDeNJ,~>
+JcC<$U&X$NJcC<$JcD_LJ,~>
+JcC<$U&X$NJcC<$JcD_LJ,~>
+JcC<$U&X$NJcC<$JcD_LJ,~>
+JcC<$U&X$NJcC<$JcD_LJ,~>
+JcC<$U&X$NJcC<$JcD_LJ,~>
+JcC<$U&X$NJcC<$JcD_LJ,~>
+JcC<$T`=!OJcC<$JcD\KJ,~>
+JcC<$T`=!OJcC<$JcD\KJ,~>
+JcC<$T`=!OJcC<$JcD\KJ,~>
+JcC<$T)[sRJcC<$JcDSHJ,~>
+JcC<$T)[sRJcC<$JcDSHJ,~>
+JcC<$T)[sRJcC<$JcDSHJ,~>
+JcC<$S,_dSJcC<$JcDPGJ,~>
+JcC<$S,_dSJcC<$JcDPGJ,~>
+JcC<$S,_dSJcC<$JcDPGJ,~>
+JcC<$S,_dSJcC<$JcDPGJ,~>
+JcC<$S,_dSJcC<$JcDPGJ,~>
+JcC<$S,_dSJcC<$JcDPGJ,~>
+JcC<$RfDdUJcC<$JcDJEJ,~>
+JcC<$RfDdUJcC<$JcDJEJ,~>
+JcC<$RfDdUJcC<$JcDJEJ,~>
+JcC<$QiHXWJcC<$JcDDCJ,~>
+JcC<$QiHXWJcC<$JcDDCJ,~>
+JcC<$QiHXWJcC<$JcDDCJ,~>
+JcC<$QiHXWJcC<$JcDDCJ,~>
+JcC<$QiHXWJcC<$JcDDCJ,~>
+JcC<$QiHXWJcC<$JcDDCJ,~>
+JcC<$QN-XYJcC<$JcD>AJ,~>
+JcC<$QN-XYJcC<$JcD>AJ,~>
+JcC<$QN-XYJcC<$JcD>AJ,~>
+JcC<$P5kF[JcC<$JcD8?J,~>
+JcC<$P5kF[JcC<$JcD8?J,~>
+JcC<$P5kF[JcC<$JcD8?J,~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$g]-U?qZ$EmnGe"~>
+JcC<$JcC<$JcC<$g]-U?qZ$EmnGe"~>
+JcC<$JcC<$JcC<$g]-U?qZ$EmnGe"~>
+JcC<$JcC<$JcC<$g&LXD!<;rsr;ZTnnGe"~>
+JcC<$JcC<$JcC<$g&LXD!<;rsr;ZTnnGe"~>
+JcC<$JcC<$JcC<$g&LXD!<;rsr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Hnr;ZTnnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<<#u!<;fonGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<<#u!<;fonGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<<#u!<;fonGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<<#u!<;fonGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<<#u!<;fonGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<<#u!<;fonGe"~>
+JcC<$JcC<$JcC<$ec5RJqu?Tp!<<#u!<<#u!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqu?Tp!<<#u!<<#u!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqu?Tp!<<#u!<<#u!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<;lq!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<;lq!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<;lq!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<;lq!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<;lq!<;rsnGe"~>
+JcC<$JcC<$JcC<$ec5RJqZ$Np!<;lq!<;rsnGe"~>
+QiHd[!ri6#JcC<$JcC<$JcEsor;c]orW)uuqZ$WrquH6dJ,~>
+QiHd[!ri6#JcC<$JcC<$JcEsor;c]orW)uuqZ$WrquH6dJ,~>
+QiHd[!ri6#JcC<$JcC<$JcEsor;c]orW)uuqZ$WrquH6dJ,~>
+ec5OIdJr5,JcCE'quESnkl@7Rr;b(Ap&K[DoDeahqZ$Nps8Vrr!<;rsnGe"~>
+ec5OIdJr5,JcCE'quESnkl@7Rr;b(Ap&K[DoDeahqZ$Nps8Vrr!<;rsnGe"~>
+ec5OIdJr5,JcCE'quESnkl@7Rr;b(Ap&K[DoDeahqZ$Nps8Vrr!<;rsnGe"~>
+fDkRFhZ)++JcCZ.pAh;ph#O>PpAihFjoDmjli>c>r;c]orW)uuquHcsquH6dJ,~>
+fDkRFhZ)++JcCZ.pAh;ph#O>PpAihFjoDmjli>c>r;c]orW)uuquHcsquH6dJ,~>
+fDkRFhZ)++JcCZ.pAh;ph#O>PpAihFjoDmjli>c>r;c]orW)uuquHcsquH6dJ,~>
+fDkRFhZ)++JcCZ.pAh;ph#O>PpAihFjoDmjli>c>r;c]orW)uuquHcsquH6dJ,~>
+fDkRFhZ)++JcCZ.pAh;ph#O>PpAihFjoDmjli>c>r;c]orW)uuquHcsquH6dJ,~>
+fDkRFhZ)++JcCZ.pAh;ph#O>PpAihFjoDmjli>c>r;c]orW)uuquHcsquH6dJ,~>
+g&LUCli5!*m/Q2Jh>d$GiW&TOeGo1AfDkLDZiAJSXT.qngAg"0^]3?phuEWTqZ$Nps8Vuss8Vus
+nGe"~>
+g&LUCli5!*m/Q2Jh>d$GiW&TOeGo1AfDkLDZiAJSXT.qngAg"0^]3?phuEWTqZ$Nps8Vuss8Vus
+nGe"~>
+g&LUCli5!*m/Q2Jh>d$GiW&TOeGo1AfDkLDZiAJSXT.qngAg"0^]3?phuEWTqZ$Nps8Vuss8Vus
+nGe"~>
+g&IZEnGfcoir?XkgAg^D\,XYPZN'FphZ)7/`W+Zm\,Us~>
+g&IZEnGfcoir?XkgAg^D\,XYPZN'FphZ)7/`W+Zm\,Us~>
+g&IZEnGfcoir?XkgAg^D\,XYPZN'FphZ)7/`W+Zm\,Us~>
+g&IZEnGfcoir?XkgAg^D\,XYPZN'FphZ)7/`W+Zm\,Us~>
+g&IZEnGfcoir?XkgAg^D\,XYPZN'FphZ)7/`W+Zm\,Us~>
+g&IZEnGfcoir?XkgAg^D\,XYPZN'FphZ)7/`W+Zm\,Us~>
+g&IQBp&D5rir?Xkh>cpD]DoeL\c;'tiW%@,bQ$,n\c70~>
+g&IQBp&D5rir?Xkh>cpD]DoeL\c;'tiW%@,bQ$,n\c70~>
+g&IQBp&D5rir?Xkh>cpD]DoeL\c;'tiW%@,bQ$,n\c70~>
+g&INApA_>sjSudki;`-D^AktK^AmL!ir@:(ci;Go]DmB~>
+g&INApA_>sjSudki;`-D^AktK^AmL!ir@:(ci;Go]DmB~>
+g&INApA_>sjSudki;`-D^AktK^AmL!ir@:(ci;Go]DmB~>
+g&IE>qZ!c"jSudkiW&0C_>h(H`;f$$jT!C'e,RYm^Ai]~>
+g&IE>qZ!c"jSudkiW&0C_>h(H`;f$$jT!C'e,RYm^Ai]~>
+g&IE>qZ!c"jSudkiW&0C_>h(H`;f$$jT!C'e,RYm^Ai]~>
+g&IE>qZ!c"jSudkiW&0C_>h(H`;f$$jT!C'e,RYm^Ai]~>
+g&IE>qZ!c"jSudkiW&0C_>h(H`;f$$jT!C'e,RYm^Ai]~>
+g&IE>qZ!c"jSudkiW&0C_>h(H`;f$$jT!C'e,RYm^Ai]~>
+g]*K<r;X&&ir?RikPsTC`;d1EcMui'kPrO%f`0%n^]/f~>
+g]*K<r;X&&ir?RikPsTC`;d1EcMui'kPrO%f`0%n^]/f~>
+g]*K<r;X&&ir?RikPsTC`;d1EcMui'kPrO%f`0%n^]/f~>
+g]*H;rVs/'ir?Xkqu=qA`W*4Dh>bq(kl8R$gAf1n_#Jo~>
+g]*H;rVs/'ir?Xkqu=qA`W*4Dh>bq(kl8R$gAf1n_#Jo~>
+g]*H;rVs/'ir?Xkqu=qA`W*4Dh>bq(kl8R$gAf1n_#Jo~>
+g]*H;rVs/'ir?Xkqu=qA`W*4Dh>bq(kl8R$gAf1n_#Jo~>
+g]*H;rVs/'ir?Xkqu=qA`W*4Dh>bq(kl8R$gAf1n_#Jo~>
+g]*H;rVs/'ir?Xkqu=qA`W*4Dh>bq(kl8R$gAf1n_#Jo~>
+g]*E:qu=/+hZ(:irVt%@aT&CCk5WU)li4^"huCOn_Z,,~>
+g]*E:qu=/+hZ(:irVt%@aT&CCk5WU)li4^"huCOn_Z,,~>
+g]*E:qu=/+hZ(:irVt%@aT&CCk5WU)li4^"huCOn_Z,,~>
+g]*E:p]%r-ec3\jqu=h>aT&7?li5',m/Od"i;^Rm_uG5~>
+g]*E:p]%r-ec3\jqu=h>aT&7?li5',m/Od"i;^Rm_uG5~>
+g]*E:p]%r-ec3\jqu=h>aT&7?li5',m/Od"i;^Rm_uG5~>
+g],LuqZ"_=o)H`1ci;>lq>\P:bQ"C=mf1B/mf0iujSumn_uG5~>
+g],LuqZ"_=o)H`1ci;>lq>\P:bQ"C=mf1B/mf0iujSumn_uG5~>
+g],LuqZ"_=o)H`1ci;>lq>\P:bQ"C=mf1B/mf0iujSumn_uG5~>
+g],LuqZ"_=o)H`1ci;>lq>\P:bQ"C=mf1B/mf0iujSumn_uG5~>
+g],LuqZ"_=o)H`1ci;>lq>\P:bQ"C=mf1B/mf0iujSumn_uG5~>
+g],LuqZ"_=o)H`1ci;>lq>\P:bQ"C=mf1B/mf0iujSumn_uG5~>
+g],h)l2T03nGgZ3bQ$/opA`26cMsR<nGgQ0n,Koujo;ml`W(G~>
+g],h)l2T03nGgZ3bQ$/opA`26cMsR<nGgQ0n,Koujo;ml`W(G~>
+g],h)l2T03nGgZ3bQ$/opA`26cMsR<nGgQ0n,Koujo;ml`W(G~>
+g],t-iW%I/n,LW4aoC)qoDcl3ci9U;nc-Z1nc-#tl2S3m`W(G~>
+g],t-iW%I/n,LW4aoC)qoDcl3ci9U;nc-Z1nc-#tl2S3m`W(G~>
+g],t-iW%I/n,LW4aoC)qoDcl3ci9U;nc-Z1nc-#tl2S3m`W(G~>
+g]-(0g],n+mf1Z7`W+cpo)Hc2dJo[9p&E#3oDc/tlMn6l`rCP~>
+g]-(0g],n+mf1Z7`W+cpo)Hc2dJo[9p&E#3oDc/tlMn6l`rCP~>
+g]-(0g],n+mf1Z7`W+cpo)Hc2dJo[9p&E#3oDc/tlMn6l`rCP~>
+g]-(0g],n+mf1Z7`W+cpo)Hc2dJo[9p&E#3oDc/tlMn6l`rCP~>
+g]-(0g],n+mf1Z7`W+cpo)Hc2dJo[9p&E#3oDc/tlMn6l`rCP~>
+g]-(0g],n+mf1Z7`W+cpo)Hc2dJo[9p&E#3oDc/tlMn6l`rCP~>
+g]-.2f`0V)mJkT7`W+lsmf1B/e,Pg9oDcl3p&D5rn,KZn`rCP~>
+g]-.2f`0V)mJkT7`W+lsmf1B/e,Pg9oDcl3p&D5rn,KZn`rCP~>
+g]-.2f`0V)mJkT7`W+lsmf1B/e,Pg9oDcl3p&D5rn,KZn`rCP~>
+g]-75df8#$mf1`9`W+ruiW%C-ec1p8o`)u4q#@Grnc,cma8^Y~>
+g]-75df8#$mf1`9`W+ruiW%C-ec1p8o`)u4q#@Grnc,cma8^Y~>
+g]-75df8#$mf1`9`W+ruiW%C-ec1p8o`)u4q#@Grnc,cma8^Y~>
+g]-75df8#$mf1`9`W+ruiW%C-ec1p8o`)u4q#@Grnc,cma8^Y~>
+g]-75df8#$mf1`9`W+ruiW%C-ec1p8o`)u4q#@Grnc,cma8^Y~>
+g]-75df8#$mf1`9`W+ruiW%C-ec1p8o`)u4q#@Grnc,cma8^Y~>
+g]-@8cMuW!m/PT9`W,!!g],q,f)OY.nGgH-n,Lc8p]'4Q!<:4Bo`)#na8^Y~>
+g]-@8cMuW!m/PT9`W,!!g],q,f)OY.nGgH-n,Lc8p]'4Q!<:4Bo`)#na8^Y~>
+g]-@8cMuW!m/PT9`W,!!g],q,f)OY.nGgH-n,Lc8p]'4Q!<:4Bo`)#na8^Y~>
+g]-C9bQ$Auli5N9`W,$"g&Kh-f)Ob1k5WO'l2TB9qZ#d[mf1`9pAa=VoDd5=a8^Y~>
+g]-C9bQ$Auli5N9`W,$"g&Kh-f)Ob1k5WO'l2TB9qZ#d[mf1`9pAa=VoDd5=a8^Y~>
+g]-C9bQ$Auli5N9`W,$"g&Kh-f)Ob1k5WO'l2TB9qZ#d[mf1`9pAa=VoDd5=a8^Y~>
+h#HR<aT(#qli5Q:`W,*$f)OP+fDk"6h#GV!k5X3:qu?!_kPs*5q>]^[lMo?6ao?k~>
+h#HR<aT(#qli5Q:`W,*$f)OP+fDk"6h#GV!k5X3:qu?!_kPs*5q>]^[lMo?6ao?k~>
+h#HR<aT(#qli5Q:`W,*$f)OP+fDk"6h#GV!k5X3:qu?!_kPs*5q>]^[lMo?6ao?k~>
+h#HR<aT(#qli5Q:`W,*$f)OP+fDk"6h#GV!k5X3:qu?!_kPs*5q>]^[lMo?6ao?k~>
+h#HR<aT(#qli5Q:`W,*$f)OP+fDk"6h#GV!k5X3:qu?!_kPs*5q>]^[lMo?6ao?k~>
+h#HR<aT(#qli5Q:`W,*$f)OP+fDk"6h#GV!k5X3:qu?!_kPs*5q>]^[lMo?6ao?k~>
+h#HX>`W+`ol2TE:`W,-%ec4G*f`1.8f`07tjo=-:rr;<bj8[^2qu>s^jT!g3ao?k~>
+h#HX>`W+`ol2TE:`W,-%ec4G*f`1.8f`07tjo=-:rr;<bj8[^2qu>s^jT!g3ao?k~>
+h#HX>`W+`ol2TE:`W,-%ec4G*f`1.8f`07tjo=-:rr;<bj8[^2qu>s^jT!g3ao?k~>
+h#H[?`;eWnkl9?:a8b?'dJr)(gAgC;df7Yojo<I'h>c..s8VBbi;_F0ao?k~>
+h#H[?`;eWnkl9?:a8b?'dJr)(gAgC;df7Yojo<I'h>c..s8VBbi;_F0ao?k~>
+h#H[?`;eWnkl9?:a8b?'dJr)(gAgC;df7Yojo<I'h>c..s8VBbi;_F0ao?k~>
+h#H[?`;eWnkl9?:a8b?'dJr)(gAgC;df7Yojo<I'h>c..s8VBbi;_F0ao?k~>
+h#H[?`;eWnkl9?:a8b?'dJr)(gAgC;df7Yojo<I'h>c..s8VBbi;_F0ao?k~>
+h#H[?`;eWnkl9?:a8b?'dJr)(gAgC;df7Yojo<I'h>c..s8VBbi;_F0ao?k~>
+h#H^@_>iBmk5X-8aoCT*d/Vu'g]-L<cMu>njo<L(gAf.mg],t-ao?k~>
+h#H^@_>iBmk5X-8aoCT*d/Vu'g]-L<cMu>njo<L(gAf.mg],t-ao?k~>
+h#H^@_>iBmk5X-8aoCT*d/Vu'g]-L<cMu>njo<L(gAf.mg],t-ao?k~>
+h#HdB^]30kk5X-8b5^]+ci;l&h#HX>bQ$#kk5W^,fDikkg&Kb+b5Zt~>
+h#HdB^]30kk5X-8b5^]+ci;l&h#HX>bQ$#kk5W^,fDikkg&Kb+b5Zt~>
+h#HdB^]30kk5X-8b5^]+ci;l&h#HX>bQ$#kk5W^,fDikkg&Kb+b5Zt~>
+h#HgC^&QphkPs69bQ$l.c2ZZ$hZ)g?aT']hkPrm/ec3emeGn;(b5Zt~>
+h#HgC^&QphkPs69bQ$l.c2ZZ$hZ)g?aT']hkPrm/ec3emeGn;(b5Zt~>
+h#HgC^&QphkPs69bQ$l.c2ZZ$hZ)g?aT']hkPrm/ec3emeGn;(b5Zt~>
+h#HgC^&QphkPs69bQ$l.c2ZZ$hZ)g?aT']hkPrm/ec3emeGn;(b5Zt~>
+h#HgC^&QphkPs69bQ$l.c2ZZ$hZ)g?aT']hkPrm/ec3emeGn;(b5Zt~>
+h#HgC^&QphkPs69bQ$l.c2ZZ$hZ)g?aT']hkPrm/ec3emeGn;(b5Zt~>
+hZ*$E]Dp^fk5X09bl?u/bQ$K#huDsA`W+EfkPrs1df7Ple,S2'b5Zt~>
+hZ*$E]Dp^fk5X09bl?u/bQ$K#huDsA`W+EfkPrs1df7Ple,S2'b5Zt~>
+hZ*$E]Dp^fk5X09bl?u/bQ$K#huDsA`W+EfkPrs1df7Ple,S2'b5Zt~>
+hZ*'F])UUejT"!8c2[)0bQ$K#iW&-B_>i'dkl9*3dJqMmd/Vo%b5Zt~>
+hZ*'F])UUejT"!8c2[)0bQ$K#iW&-B_>i'dkl9*3dJqMmd/Vo%b5Zt~>
+hZ*'F])UUejT"!8c2[)0bQ$K#iW&-B_>i'dkl9*3dJqMmd/Vo%b5Zt~>
+hZ*'F])UUejT"!8c2[)0bQ$K#iW&-B_>i'dkl9*3dJqMmd/Vo%b5Zt~>
+hZ*'F])UUejT"!8c2[)0bQ$K#iW&-B_>i'dkl9*3dJqMmd/Vo%b5Zt~>
+hZ*'F])UUejT"!8c2[)0bQ$K#iW&-B_>i'dkl9*3dJqMmd/Vo%b5Zt~>
+hZ**G\GtFdjT!p6dJrJ3b5^B"iW&0C_#Msckl905c2Z2lci;f$b5Zt~>
+hZ**G\GtFdjT!p6dJrJ3b5^B"iW&0C_#Msckl905c2Z2lci;f$b5Zt~>
+hZ**G\GtFdjT!p6dJrJ3b5^B"iW&0C_#Msckl905c2Z2lci;f$b5Zt~>
+hZ*0I[f>4bj8[j6dJrP5aT(/uirA6C^]2jbl2T<7bl?,lc2ZW#b5Zt~>
+hZ*0I[f>4bj8[j6dJrP5aT(/uirA6C^]2jbl2T<7bl?,lc2ZW#b5Zt~>
+hZ*0I[f>4bj8[j6dJrP5aT(/uirA6C^]2jbl2T<7bl?,lc2ZW#b5Zt~>
+huE9J[K#+aiW%[5e,Sb7a8b&tj8\BE]DpL`l2T?8b5^#mbQ$E!b5Zt~>
+huE9J[K#+aiW%[5e,Sb7a8b&tj8\BE]DpL`l2T?8b5^#mbQ$E!b5Zt~>
+huE9J[K#+aiW%[5e,Sb7a8b&tj8\BE]DpL`l2T?8b5^#mbQ$E!b5Zt~>
+huE9J[K#+aiW%[5e,Sb7a8b&tj8\BE]DpL`l2T?8b5^#mbQ$E!b5Zt~>
+huE9J[K#+aiW%[5e,Sb7a8b&tj8\BE]DpL`l2T?8b5^#mbQ$E!b5Zt~>
+huE9J[K#+aiW%[5e,Sb7a8b&tj8\BE]DpL`l2T?8b5^#mbQ$E!b5Zt~>
+huE9J[K#+ai;_R4ec4q8a8b&tjo=QF\c:=_l2T?8b5^#maoC9!b5Zt~>
+huE9J[K#+ai;_R4ec4q8a8b&tjo=QF\c:=_l2T?8b5^#maoC9!b5Zt~>
+huE9J[K#+ai;_R4ec4q8a8b&tjo=QF\c:=_l2T?8b5^#maoC9!b5Zt~>
+i;`BK[/]"`huDL4ec5":`W+irk5XWF\Gt1]li5W<aT'ilaT(/ub5Zt~>
+i;`BK[/]"`huDL4ec5":`W+irk5XWF\Gt1]li5W<aT'ilaT(/ub5Zt~>
+i;`BK[/]"`huDL4ec5":`W+irk5XWF\Gt1]li5W<aT'ilaT(/ub5Zt~>
+i;`HMZN&e^huDF2g&LC=`;e`qk5X]H[f=t[li5Z=a8afm`rFrsb5Zt~>
+i;`HMZN&e^huDF2g&LC=`;e`qk5X]H[f=t[li5Z=a8afm`rFrsb5Zt~>
+i;`HMZN&e^huDF2g&LC=`;e`qk5X]H[f=t[li5Z=a8afm`rFrsb5Zt~>
+i;`HMZN&e^huDF2g&LC=`;e`qk5X]H[f=t[li5Z=a8afm`rFrsb5Zt~>
+i;`HMZN&e^huDF2g&LC=`;e`qk5X]H[f=t[li5Z=a8afm`rFrsb5Zt~>
+i;`HMZN&e^huDF2g&LC=`;e`qk5X]H[f=t[li5Z=a8afm`rFrsb5Zt~>
+irATMYlEY^h>c71gAgO?_uJWpkl9iH[/\eZm/Pc>a8afm`rFrsb5Zt~>
+irATMYlEY^h>c71gAgO?_uJWpkl9iH[/\eZm/Pc>a8afm`rFrsb5Zt~>
+irATMYlEY^h>c71gAgO?_uJWpkl9iH[/\eZm/Pc>a8afm`rFrsb5Zt~>
+irAWNYQ*P]h#H+/h>cgA_uJWpl2TrIZiA\Ym/Pi@_uJKl`W+irb5Zt~>
+irAWNYQ*P]h#H+/h>cgA_uJWpl2TrIZiA\Ym/Pi@_uJKl`W+irb5Zt~>
+irAWNYQ*P]h#H+/h>cgA_uJWpl2TrIZiA\Ym/Pi@_uJKl`W+irb5Zt~>
+irAWNYQ*P]h#H+/h>cgA_uJWpl2TrIZiA\Ym/Pi@_uJKl`W+irb5Zt~>
+irAWNYQ*P]h#H+/h>cgA_uJWpl2TrIZiA\Ym/Pi@_uJKl`W+irb5Zt~>
+irAWNYQ*P]h#H+/h>cgA_uJWpl2TrIZiA\Ym/Pi@_uJKl`W+irb5Zt~>
+irAWNYQ*P]gAft/huE$C_>iEnl2TrIZN&VYm/Pi@`W+Wl`W+irb5Zt~>
+irAWNYQ*P]gAft/huE$C_>iEnl2TrIZN&VYm/Pi@`W+Wl`W+irb5Zt~>
+irAWNYQ*P]gAft/huE$C_>iEnl2TrIZN&VYm/Pi@`W+Wl`W+irb5Zt~>
+j8\cPXoI>[gAfq.i;`0E_#N<mlMp#IZN&SXmJkuB_Z/El`;e`qb5Zt~>
+j8\cPXoI>[gAfq.i;`0E_#N<mlMp#IZN&SXmJkuB_Z/El`;e`qb5Zt~>
+j8\cPXoI>[gAfq.i;`0E_#N<mlMp#IZN&SXmJkuB_Z/El`;e`qb5Zt~>
+irA`QXT.5Zg&Kh-irAEH^Am*km/Q2JYQ*>WmJkuB_Z/El`;e`qb5Zt~>
+irA`QXT.5Zg&Kh-irAEH^Am*km/Q2JYQ*>WmJkuB_Z/El`;e`qb5Zt~>
+irA`QXT.5Zg&Kh-irAEH^Am*km/Q2JYQ*>WmJkuB_Z/El`;e`qb5Zt~>
+irA`QXT.5Zg&Kh-irAEH^Am*km/Q2JYQ*>WmJkuB_Z/El`;e`qb5Zt~>
+irA`QXT.5Zg&Kh-irAEH^Am*km/Q2JYQ*>WmJkuB_Z/El`;e`qb5Zt~>
+irA`QXT.5Zg&Kh-irAEH^Am*km/Q2JYQ*>WmJkuB_Z/El`;e`qb5Zt~>
+irAlUW;kfVf`0\+jo=]J^Am*km/Q2JY5d8WmJkuB_Z/Kn_Z/Nob5Zt~>
+irAlUW;kfVf`0\+jo=]J^Am*km/Q2JY5d8WmJkuB_Z/Kn_Z/Nob5Zt~>
+irAlUW;kfVf`0\+jo=]J^Am*km/Q2JY5d8WmJkuB_Z/Kn_Z/Nob5Zt~>
+KE'm1f)OP+kPsoL]`6mimJl8JY5d8WmJl#C_>iBm_Z/Nob5Zt~>
+KE'm1f)OP+kPsoL]`6mimJl8JY5d8WmJl#C_>iBm_Z/Nob5Zt~>
+KE'm1f)OP+kPsoL]`6mimJl8JY5d8WmJl#C_>iBm_Z/Nob5Zt~>
+KE'm1f)OP+kPsoL]`6mimJl8JY5d8WmJl#C_>iBm_Z/Nob5Zt~>
+KE'm1f)OP+kPsoL]`6mimJl8JY5d8WmJl#C_>iBm_Z/Nob5Zt~>
+KE'm1f)OP+kPsoL]`6mimJl8JY5d8WmJl#C_>iBm_Z/Nob5Zt~>
+KE'm1ec4G*kl:#M]`6mimJl>LXT-uSn,M5E_uJNm_Z/Nob5Zt~>
+KE'm1ec4G*kl:#M]`6mimJl>LXT-uSn,M5E_uJNm_Z/Nob5Zt~>
+KE'm1ec4G*kl:#M]`6mimJl>LXT-uSn,M5E_uJNm_Z/Nob5Zt~>
+KE'm1ec4A(li6AQ])U[gn,MJLX8goSn,M5E_>iEn_>iEnb5Zt~>
+KE'm1ec4A(li6AQ])U[gn,MJLX8goSn,M5E_>iEn_>iEnb5Zt~>
+KE'm1ec4A(li6AQ])U[gn,MJLX8goSn,M5E_>iEn_>iEnb5Zt~>
+L&^$1eGn8'mf2YS\c:Rfn,MJLX8goSn,M;G_>i?l_>iEnb5Zt~>
+L&^$1eGn8'mf2YS\c:Rfn,MJLX8goSn,M;G_>i?l_>iEnb5Zt~>
+L&^$1eGn8'mf2YS\c:Rfn,MJLX8goSn,M;G_>i?l_>iEnb5Zt~>
+L&^$1eGn8'mf2YS\c:Rfn,MJLX8goSn,M;G_>i?l_>iEnb5Zt~>
+L&^$1eGn8'mf2YS\c:Rfn,MJLX8goSn,M;G_>i?l_>iEnb5Zt~>
+L&^$1eGn8'mf2YS\c:Rfn,MJLX8goSn,M;G_>i?l_>iEnb5Zt~>
+KE'm1df8,'mf2_U\,Y@dnGhPLWW1cSn,M;G_>i?l_>iEnb5Zt~>
+KE'm1df8,'mf2_U\,Y@dnGhPLWW1cSn,M;G_>i?l_>iEnb5Zt~>
+KE'm1df8,'mf2_U\,Y@dnGhPLWW1cSn,M;G_>i?l_>iEnb5Zt~>
+L&^$1dJr#&nGhnV\,Y@dnGhPLWW1`RnGhDH_>i?l_>iEnb5Zt~>
+L&^$1dJr#&nGhnV\,Y@dnGhPLWW1`RnGhDH_>i?l_>iEnb5Zt~>
+L&^$1dJr#&nGhnV\,Y@dnGhPLWW1`RnGhDH_>i?l_>iEnb5Zt~>
+L&^$1dJr#&nGhnV\,Y@dnGhPLWW1`RnGhDH_>i?l_>iEnb5Zt~>
+L&^$1dJr#&nGhnV\,Y@dnGhPLWW1`RnGhDH_>i?l_>iEnb5Zt~>
+L&^$1dJr#&nGhnV\,Y@dnGhPLWW1`RnGhDH_>i?l_>iEnb5Zt~>
+KE'm1dJqr$oDe4Y[f>7cnc.YMW;kWQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1dJqr$oDe4Y[f>7cnc.YMW;kWQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1dJqr$oDe4Y[f>7cnc.YMW;kWQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1ci;c#pAaL[[K#.bnc.YMW;kWQnGhDH^]33l_>iEnb5Zt~>
+KE'm1ci;c#pAaL[[K#.bnc.YMW;kWQnGhDH^]33l_>iEnb5Zt~>
+KE'm1ci;c#pAaL[[K#.bnc.YMW;kWQnGhDH^]33l_>iEnb5Zt~>
+KE'm1cMu]#pAaR]ZiAq`nc.YMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1cMu]#pAaR]ZiAq`nc.YMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1cMu]#pAaR]ZiAq`nc.YMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1cMu]#pAaR]ZiAq`nc.YMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1cMu]#pAaR]ZiAq`nc.YMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1cMu]#pAaR]ZiAq`nc.YMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1c2ZQ!q>]j_ZiAq`oDdeMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1c2ZQ!q>]j_ZiAq`oDdeMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1c2ZQ!q>]j_ZiAq`oDdeMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1c2ZMur;Z-aZN&h_oDdeMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1c2ZMur;Z-aZN&h_oDdeMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1c2ZMur;Z-aZN&h_oDdeMVuPQQnGhDH^]33l_>iEnb5Zt~>
+KE'm1bQ$AurVu6bZ2`_^oDdeMV>oEQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1bQ$AurVu6bZ2`_^oDdeMV>oEQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1bQ$AurVu6bZ2`_^oDdeMV>oEQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1bQ$AurVu6bZ2`_^oDdeMV>oEQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1bQ$AurVu6bZ2`_^oDdeMV>oEQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1bQ$AurVu6bZ2`_^oDdeMV>oEQnGhDH_>i?l_>iEnb5Zt~>
+KE'm1b5^8trr;?cZ2`_^oDdeMV>o?Oo)IVJ_>iEn^]33lb5Zt~>
+KE'm1b5^8trr;?cZ2`_^oDdeMV>o?Oo)IVJ_>iEn^]33lb5Zt~>
+KE'm1b5^8trr;?cZ2`_^oDdeMV>o?Oo)IVJ_>iEn^]33lb5Zt~>
+L&^$1aT'B_YQ*M\o`*kMV>o?Oo)IVJ^]33l_>iEnb5Zt~>
+L&^$1aT'B_YQ*M\o`*kMV>o?Oo)IVJ^]33l_>iEnb5Zt~>
+L&^$1aT'B_YQ*M\o`*kMV>o?Oo)IVJ^]33l_>iEnb5Zt~>
+L&^$1aT'B_YQ*M\o`*kMV>o?Oo)IVJ^]33l_>iEnb5Zt~>
+L&^$1aT'B_YQ*M\o`*kMV>o?Oo)IVJ^]33l_>iEnb5Zt~>
+L&^$1aT'B_YQ*M\o`*kMV>o?Oo)IVJ^]33l_>iEnb5Zt~>
+NrRZ1aT'E`Y5dD[o`*qOU]9-Mo)IVJ^]33l_>iEnb5Zt~>
+NrRZ1aT'E`Y5dD[o`*qOU]9-Mo)IVJ^]33l_>iEnb5Zt~>
+NrRZ1aT'E`Y5dD[o`*qOU]9-Mo)IVJ^]33l_>iEnb5Zt~>
+R/bA1a8aEbXT.2Yo`*qOU]9-Mo)IVJ_>i?l_>iEnb5Zt~>
+R/bA1a8aEbXT.2Yo`*qOU]9-Mo)IVJ_>i?l_>iEnb5Zt~>
+R/bA1a8aEbXT.2Yo`*qOU]9-Mo)IVJ_>i?l_>iEnb5Zt~>
+TDuk1`rF?bXT.2Yo`*qOUAs'Mo)IVJ_>i?l_>iEnb5Zt~>
+TDuk1`rF?bXT.2Yo`*qOUAs'Mo)IVJ_>i?l_>iEnb5Zt~>
+TDuk1`rF?bXT.2Yo`*qOUAs'Mo)IVJ_>i?l_>iEnb5Zt~>
+TDuk1`rF?bXT.2Yo`*qOUAs'Mo)IVJ_>i?l_>iEnb5Zt~>
+TDuk1`rF?bXT.2Yo`*qOUAs'Mo)IVJ_>i?l_>iEnb5Zt~>
+TDuk1`rF?bXT.2Yo`*qOUAs'Mo)IVJ_>i?l_>iEnb5Zt~>
+VuOF1`rFBcX8h)Xo`*qOUAs'Mo)IVJ^]33l_>iEnb5Zt~>
+VuOF1`rFBcX8h)Xo`*qOUAs'Mo)IVJ^]33l_>iEnb5Zt~>
+VuOF1`rFBcX8h)Xo`*qOUAs'Mo)IVJ^]33l_>iEnb5Zt~>
+XoGj1`;e9dWrLuWp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+XoGj1`;e9dWrLuWp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+XoGj1`;e9dWrLuWp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+XoGj1`;e9dWrLuWp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+XoGj1`;e9dWrLuWp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+XoGj1`;e9dWrLuWp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+Zi@91_uJ9fW;kcUp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+Zi@91_uJ9fW;kcUp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+Zi@91_uJ9fW;kcUp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+\GrW1_>i0gVuPZTp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+\GrW1_>i0gVuPZTp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+\GrW1_>i0gVuPZTp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+]Dni1_>i0gVuPZTp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+]Dni1_>i0gVuPZTp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+]Dni1_>i0gVuPZTp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+]Dni1_>i0gVuPZTp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+]Dni1_>i0gVuPZTp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+]Dni1_>i0gVuPZTp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+^]2@T!<:pV_#N0iV>oHRp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+^]2@T!<:pV_#N0iV>oHRp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+^]2@T!<:pV_#N0iV>oHRp&F"OUAs'Mo)IVJ_>iEn^]33lb5Zt~>
+_uIjZq#B:Q^]3*iV>oHRp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+_uIjZq#B:Q^]3*iV>oHRp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+_uIjZq#B:Q^]3*iV>oHRp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+_uIjZq#B:Q^]3*iV>oHRp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+_uIjZq#B:Q^]3*iV>oHRp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+_uIjZq#B:Q^]3*iV>oHRp&F"OUAs'Mo)IVJ^]39n^]33lb5Zt~>
+`rF6_p&EnL^]3$gVuPZTp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+`rF6_p&EnL^]3$gVuPZTp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+`rF6_p&EnL^]3$gVuPZTp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+aoBZen,M8F^&QjfW;kcUp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+aoBZen,M8F^&QjfW;kcUp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+aoBZen,M8F^&QjfW;kcUp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+bl?#ili5iB]`6dfW;kcUp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+bl?#ili5iB]`6dfW;kcUp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+bl?#ili5iB]`6dfW;kcUp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+bl?#ili5iB]`6dfW;kcUp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+bl?#ili5iB]`6dfW;kcUp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+bl?#ili5iB]`6dfW;kcUp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+cMu>njT"0=]DpXdWrLuWp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+cMu>njT"0=]DpXdWrLuWp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+cMu>njT"0=]DpXdWrLuWp&F"OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+d/VYshuDX8]DpUcX8h)Xp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+d/VYshuDX8]DpUcX8h)Xp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+d/VYshuDX8]DpUcX8h)Xp&F"OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+df7kuhuDR6\c:FbXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+df7kuhuDR6\c:FbXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+df7kuhuDR6\c:FbXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+df7kuhuDR6\c:FbXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+df7kuhuDR6\c:FbXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+df7kuhuDR6\c:FbXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+ec48%f`0n1\Gt@bXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+ec48%f`0n1\Gt@bXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+ec48%f`0n1\Gt@bXT.2Yp]'.OU&X!Mo)IVJ_>iEn^]33lb5Zt~>
+fDjJ'f)O\/\Gt:`Y5dD[p]'.OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+fDjJ'f)O\/\Gt:`Y5dD[p]'.OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+fDjJ'f)O\/\Gt:`Y5dD[p]'.OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+fDjJ'f)O\/\Gt:`Y5dD[p]'.OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+fDjJ'f)O\/\Gt:`Y5dD[p]'.OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+fDjJ'f)O\/\Gt:`Y5dD[p]'.OU&X!Mo)IVJ^]39n^]33lb5Zt~>
+f`0Y*ec4M,\Gt7_YQ*M\p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+f`0Y*ec4M,\Gt7_YQ*M\p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+f`0Y*ec4M,\Gt7_YQ*M\p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g&Ke,e,S;*\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g&Ke,e,S;*\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g&Ke,e,S;*\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g]-".dJr)(\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g]-".dJr)(\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g]-".dJr)(\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g]-".dJr)(\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g]-".dJr)(\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+g]-".dJr)(\c:7]Z2`_^p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+h#H.0ci;l&]Dp@\ZN&h_p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+h#H.0ci;l&]Dp@\ZN&h_p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+h#H.0ci;l&]Dp@\ZN&h_p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+hZ)@2c2ZZ$]`6C[ZiAq`p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+hZ)@2c2ZZ$]`6C[ZiAq`p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+hZ)@2c2ZZ$]`6C[ZiAq`p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+hZ)@2c2ZZ$]`6C[ZiAq`p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+hZ)@2c2ZZ$]`6C[ZiAq`p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+hZ)@2c2ZZ$]`6C[ZiAq`p]'(MU]93Oo)IVJ_>iEn^]33lb5Zt~>
+i;_R4aoC<"^&QCY[K#.bp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+i;_R4aoC<"^&QCY[K#.bp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+i;_R4aoC<"^&QCY[K#.bp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+i;_U5b5^?!^&QCY[K#.bp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+i;_U5b5^?!^&QCY[K#.bp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+i;_U5b5^?!^&QCY[K#.bp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+ir@g7aT(,t^]2LX[f>7cp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+ir@g7aT(,t^]2LX[f>7cp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+ir@g7aT(,t^]2LX[f>7cp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+ir@g7aT(,t^]2LX[f>7cp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+ir@g7aT(,t^]2LX[f>7cp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+ir@g7aT(,t^]2LX[f>7cp]'(MU]99QnGhDH_>iEn^]33lb5Zt~>
+j8[p8a8b#s_#MOW\,Y@dp]'(MU]99Qnc.JH_>iEn^]33lb5Zt~>
+j8[p8a8b#s_#MOW\,Y@dp]'(MU]99Qnc.JH_>iEn^]33lb5Zt~>
+j8[p8a8b#s_#MOW\,Y@dp]'(MU]99Qnc.JH_>iEn^]33lb5Zt~>
+j8[s9`rFor_>hOU\c:Rfp&EqMU]99QnGhDH_>iEn^]33lb5Zt~>
+j8[s9`rFor_>hOU\c:Rfp&EqMU]99QnGhDH_>iEn^]33lb5Zt~>
+j8[s9`rFor_>hOU\c:Rfp&EqMU]99QnGhDH_>iEn^]33lb5Zt~>
+j8[s9`rFor_>hOU\c:Rfp&EqMU]99QnGhDH_>iEn^]33lb5Zt~>
+j8[s9`rFor_>hOU\c:Rfp&EqMU]99QnGhDH_>iEn^]33lb5Zt~>
+j8[s9`rFor_>hOU\c:Rfp&EqMU]99QnGhDH_>iEn^]33lb5Zt~>
+jo=*9`rFor_>ip'!<:dR\c:Rfp&EnLV#TBRnGhDH_>iEn^]33lb5Zt~>
+jo=*9`rFor_>ip'!<:dR\c:Rfp&EnLV#TBRnGhDH_>iEn^]33lb5Zt~>
+jo=*9`rFor_>ip'!<:dR\c:Rfp&EnLV#TBRnGhDH_>iEn^]33lb5Zt~>
+jo=0;`;e]p_uK*(rVtXQ])U[gp&EnLV#TBRnGhDH_>iEn^]33lb5Zt~>
+jo=0;`;e]p_uK*(rVtXQ])U[gp&EnLV#TBRnGhDH_>iEn^]33lb5Zt~>
+jo=0;`;e]p_uK*(rVtXQ])U[gp&EnLV#TBRnGhDH_>iEn^]33lb5Zt~>
+k5X9<_>iHo`;f6*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+k5X9<_>iHo`;f6*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+k5X9<_>iHo`;f6*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+k5X9<_>iHo`;f6*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+k5X9<_>iHo`;f6*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+k5X9<_>iHo`;f6*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+kPs?<_uJTo`rGB*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+kPs?<_uJTo`rGB*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+kPs?<_uJTo`rGB*qZ#:M]`6mip&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBm`rGE+p]&tJ^Am*kp&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBm`rGE+p]&tJ^Am*kp&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBm`rGE+p]&tJ^Am*kp&EnLV#TESn,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBma8bQ-o`*\H^Am*kp&EhJVuP]Un,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBma8bQ-o`*\H^Am*kp&EhJVuP]Un,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBma8bQ-o`*\H^Am*kp&EhJVuP]Un,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBma8bQ-o`*\H^Am*kp&EhJVuP]Un,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBma8bQ-o`*\H^Am*kp&EhJVuP]Un,M;G_>iEn^]33lb5Zt~>
+kPsE>_>iBma8bQ-o`*\H^Am*kp&EhJVuP]Un,M;G_>iEn^]33lb5Zt~>
+l2TQ>_>iBmaT(Z.oDdME_#N<mp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TQ>_>iBmaT(Z.oDdME_#N<mp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TQ>_>iBmaT(Z.oDdME_#N<mp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TT?_#N9laT(Z.o)IDD_>iEnp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TT?_#N9laT(Z.o)IDD_>iEnp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TT?_#N9laT(Z.o)IDD_>iEnp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TT?_#N9laT(Z.o)IDD_>iEnp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TT?_#N9laT(Z.o)IDD_>iEnp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+l2TT?_#N9laT(Z.o)IDD_>iEnp&EhJVuPcWmJl)E_>iEn^]33lb5Zt~>
+lMoZ?_#N9lb5^i/n,M)A_uJWpp&EeIW;klXmJl)E_>iEn^]33lb5Zt~>
+lMoZ?_#N9lb5^i/n,M)A_uJWpp&EeIW;klXmJl)E_>iEn^]33lb5Zt~>
+lMoZ?_#N9lb5^i/n,M)A_uJWpp&EeIW;klXmJl)E_>iEn^]33lb5Zt~>
+lMoZ?_#N9lbQ$u1m/Pf?_uJWpo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMoZ?_#N9lbQ$u1m/Pf?_uJWpo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMoZ?_#N9lbQ$u1m/Pf?_uJWpo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[,1m/Pc>`;e`qo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[,1m/Pc>`;e`qo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[,1m/Pc>`;e`qo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[,1m/Pc>`;e`qo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[,1m/Pc>`;e`qo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[,1m/Pc>`;e`qo`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[/2lMoQ<`W+iro`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[/2lMoQ<`W+iro`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+lMo]@_#N6kc2[/2lMoQ<`W+iro`*_IW;koYm/PuD_>iEn^]33lb5Zt~>
+li5c@_#N6kcN!;4k5X3:`W+iro`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_#N6kcN!;4k5X3:`W+iro`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_#N6kcN!;4k5X3:`W+iro`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_#N6kcN!;4k5X3:`W+iro`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_#N6kcN!;4k5X3:`W+iro`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_#N6kcN!;4k5X3:`W+iro`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_>i<kci<A4k5X-8a8b&to`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_>i<kci<A4k5X-8a8b&to`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_>i<kci<A4k5X-8a8b&to`*\HWrM,[li5lC_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrP5jT!p6aT(/uoDdVHWrM2]lMo`A_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrP5jT!p6aT(/uoDdVHWrM2]lMo`A_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrP5jT!p6aT(/uoDdVHWrM2]lMo`A_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrS6iW%U3b5^B"oDdPFXT.D_l2TZA_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrS6iW%U3b5^B"oDdPFXT.D_l2TZA_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrS6iW%U3b5^B"oDdPFXT.D_l2TZA_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrS6iW%U3b5^B"oDdPFXT.D_l2TZA_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrS6iW%U3b5^B"oDdPFXT.D_l2TZA_>iEn^]33lb5Zt~>
+li5c@_>i<kdJrS6iW%U3b5^B"oDdPFXT.D_l2TZA_>iEn^]33lb5Zt~>
+li5c@_>i<kdf8_8hZ)=1b5^B"oDdPFY5dS`l2TW@_>iEn^]33lb5Zt~>
+li5c@_>i<kdf8_8hZ)=1b5^B"oDdPFY5dS`l2TW@_>iEn^]33lb5Zt~>
+li5c@_>i<kdf8_8hZ)=1b5^B"oDdPFY5dS`l2TW@_>iEn^]33lb5Zt~>
+mJkuB_>i6ieGnk8hZ):0bQ$K#oDdMEYQ*\al2TW@_>iEn^]33lb5Zt~>
+mJkuB_>i6ieGnk8hZ):0bQ$K#oDdMEYQ*\al2TW@_>iEn^]33lb5Zt~>
+mJkuB_>i6ieGnk8hZ):0bQ$K#oDdMEYQ*\al2TW@_>iEn^]33lb5Zt~>
+mJkuB_>i6ieGnk8hZ):0bQ$K#oDdMEYQ*\al2TW@_>iEn^]33lb5Zt~>
+mJkuB_>i6ieGnk8hZ):0bQ$K#oDdMEYQ*\al2TW@_>iEn^]33lb5Zt~>
+mJkuB_>i6ieGnk8hZ):0bQ$K#oDdMEYQ*\al2TW@_>iEn^]33lb5Zt~>
+mJkuB_>i6iec4t9h#H(.bl?W%o)IDDYQ*_bkPsH?_>iEn^]33lb5Zt~>
+mJkuB_>i6iec4t9h#H(.bl?W%o)IDDYQ*_bkPsH?_>iEn^]33lb5Zt~>
+mJkuB_>i6iec4t9h#H(.bl?W%o)IDDYQ*_bkPsH?_>iEn^]33lb5Zt~>
+mJko@`;eNkec4t9gAfk,cMui'nGh2BZ2a"fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkec4t9gAfk,cMui'nGh2BZ2a"fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkec4t9gAfk,cMui'nGh2BZ2a"fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkf)P(:f`0\+cMuf&nc.;CZN'(fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkf)P(:f`0\+cMuf&nc.;CZN'(fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkf)P(:f`0\+cMuf&nc.;CZN'(fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkf)P(:f`0\+cMuf&nc.;CZN'(fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkf)P(:f`0\+cMuf&nc.;CZN'(fjo=6=_>iEn^]33lb5Zt~>
+mJko@`;eNkf)P(:f`0\+cMuf&nc.;CZN'(fjo=6=_>iEn^]33lb5Zt~>
+mJko@`rFZkf`1:<f)OG(ci;r(nGh/AZiB4hjo=3<_>iEn^]33lb5Zt~>
+mJko@`rFZkf`1:<f)OG(ci;r(nGh/AZiB4hjo=3<_>iEn^]33lb5Zt~>
+mJko@`rFZkf`1:<f)OG(ci;r(nGh/AZiB4hjo=3<_>iEn^]33lb5Zt~>
+mJko@`rFZkf`1==e,S/&d/W#(nGh2B[K#@hjo=3<_>iEn^]33lb5Zt~>
+mJko@`rFZkf`1==e,S/&d/W#(nGh2B[K#@hjo=3<_>iEn^]33lb5Zt~>
+mJko@`rFZkf`1==e,S/&d/W#(nGh2B[K#@hjo=3<_>iEn^]33lb5Zt~>
+mJko@a8a`kg&LC=df8#$df88+n,M&@[f>Okir@p:_>iEn^]33lb5Zt~>
+mJko@a8a`kg&LC=df8#$df88+n,M&@[f>Okir@p:_>iEn^]33lb5Zt~>
+mJko@a8a`kg&LC=df8#$df88+n,M&@[f>Okir@p:_>iEn^]33lb5Zt~>
+mJko@a8a`kg&LC=df8#$df88+n,M&@[f>Okir@p:_>iEn^]33lb5Zt~>
+mJko@a8a`kg&LC=df8#$df88+n,M&@[f>Okir@p:_>iEn^]33lb5Zt~>
+mJko@a8a`kg&LC=df8#$df88+n,M&@[f>Okir@p:_>iEn^]33lb5Zt~>
+mJko@a8a`kgAgO?d/Vf"e,S>+n,Lu>\c:jnir@m9_>iEn^]33lb5Zt~>
+mJko@a8a`kgAgO?d/Vf"e,S>+n,Lu>\c:jnir@m9_>iEn^]33lb5Zt~>
+mJko@a8a`kgAgO?d/Vf"e,S>+n,Lu>\c:jnir@m9_>iEn^]33lb5Zt~>
+mJko@aT'fkh#H[?ci;]!e,S>+n,M#?\c:moiW%d8_>iEn^]33lb5Zt~>
+mJko@aT'fkh#H[?ci;]!e,S>+n,M#?\c:moiW%d8_>iEn^]33lb5Zt~>
+mJko@aT'fkh#H[?ci;]!e,S>+n,M#?\c:moiW%d8_>iEn^]33lb5Zt~>
+mJko@aT'fkh#H[?ci;]!e,S>+n,M#?\c:moiW%d8_>iEn^]33lb5Zt~>
+mJko@aT'fkh#H[?ci;]!e,S>+n,M#?\c:moiW%d8_>iEn^]33lb5Zt~>
+mJko@aT'fkh#H[?ci;]!e,S>+n,M#?\c:moiW%d8_>iEn^]33lb5Zt~>
+mJkl?bQ$&lh#H^@bl?Asec4S.mf1l=]Dq'pi;_^8_>iEn^]33lb5Zt~>
+mJkl?bQ$&lh#H^@bl?Asec4S.mf1l=]Dq'pi;_^8_>iEn^]33lb5Zt~>
+mJkl?bQ$&lh#H^@bl?Asec4S.mf1l=]Dq'pi;_^8_>iEn^]33lb5Zt~>
+li5`?bQ$&lh>cd@bl?>rf)OY.mJkc<^&R?thuDR6_>iEn^]33lb5Zt~>
+li5`?bQ$&lh>cd@bl?>rf)OY.mJkc<^&R?thuDR6_>iEn^]33lb5Zt~>
+li5`?bQ$&lh>cd@bl?>rf)OY.mJkc<^&R?thuDR6_>iEn^]33lb5Zt~>
+li5]>c2Z2li;`'Bb5^/qfDj_.mJk`;_#NX!hZ)I5_>iEn^]33lb5Zt~>
+li5]>c2Z2li;`'Bb5^/qfDj_.mJk`;_#NX!hZ)I5_>iEn^]33lb5Zt~>
+li5]>c2Z2li;`'Bb5^/qfDj_.mJk`;_#NX!hZ)I5_>iEn^]33lb5Zt~>
+li5]>c2Z2li;`'Bb5^/qfDj_.mJk`;_#NX!hZ)I5_>iEn^]33lb5Zt~>
+li5]>c2Z2li;`'Bb5^/qfDj_.mJk`;_#NX!hZ)I5_>iEn^]33lb5Zt~>
+li5]>c2Z2li;`'Bb5^/qfDj_.mJk`;_#NX!hZ)I5_>iEn^]33lb5Zt~>
+li5]>ci;>liW&3DaT'onf`0h/m/PW:_Z/m$h#H73_>iEn^]33lb5Zt~>
+li5]>ci;>liW&3DaT'onf`0h/m/PW:_Z/m$h#H73_>iEn^]33lb5Zt~>
+li5]>ci;>liW&3DaT'onf`0h/m/PW:_Z/m$h#H73_>iEn^]33lb5Zt~>
+li5W<df7VnirA9D`rF]lgAg%1m/PQ8`;f-'g]-.2_>iEn^]33lb5Zt~>
+li5W<df7VnirA9D`rF]lgAg%1m/PQ8`;f-'g]-.2_>iEn^]33lb5Zt~>
+li5W<df7VnirA9D`rF]lgAg%1m/PQ8`;f-'g]-.2_>iEn^]33lb5Zt~>
+li5W<df7VnirA9D`rF]lgAg%1m/PQ8`;f-'g]-.2_>iEn^]33lb5Zt~>
+li5W<df7VnirA9D`rF]lgAg%1m/PQ8`;f-'g]-.2_>iEn^]33lb5Zt~>
+li5W<df7VnirA9D`rF]lgAg%1m/PQ8`;f-'g]-.2_>iEn^]33lb5Zt~>
+li5W<e,RYmj8\BE`rFZkg]-.2lMoB7a8bE)gAg%1_>i?l_>iEnb5Zt~>
+li5W<e,RYmj8\BE`rFZkg]-.2lMoB7a8bE)gAg%1_>i?l_>iEnb5Zt~>
+li5W<e,RYmj8\BE`rFZkg]-.2lMoB7a8bE)gAg%1_>i?l_>iEnb5Zt~>
+lMoN;f)Nnnjo=QF`;eEhh>c@4lMo?6aoCT*gAg%1_>i?l_>iEnb5Zt~>
+lMoN;f)Nnnjo=QF`;eEhh>c@4lMo?6aoCT*gAg%1_>i?l_>iEnb5Zt~>
+lMoN;f)Nnnjo=QF`;eEhh>c@4lMo?6aoCT*gAg%1_>i?l_>iEnb5Zt~>
+lMoH9g&LI?s8UmTkl9iH`;eEhh>c@4l2T34bl?r.f`0h/_>i?l_>iEnb5Zt~>
+lMoH9g&LI?s8UmTkl9iH`;eEhh>c@4l2T34bl?r.f`0h/_>i?l_>iEnb5Zt~>
+lMoH9g&LI?s8UmTkl9iH`;eEhh>c@4l2T34bl?r.f`0h/_>i?l_>iEnb5Zt~>
+lMoH9g&LI?s8UmTkl9iH`;eEhh>c@4l2T34bl?r.f`0h/_>i?l_>iEnb5Zt~>
+lMoH9g&LI?s8UmTkl9iH`;eEhh>c@4l2T34bl?r.f`0h/_>i?l_>iEnb5Zt~>
+lMoH9g&LI?s8UmTkl9iH`;eEhh>c@4l2T34bl?r.f`0h/_>i?l_>iEnb5Zt~>
+lMoE8h#HaArVt[Rli6/K_>i*ehZ)I5l2T*1df8M2fDj_._>i?l_>iEnb5Zt~>
+lMoE8h#HaArVt[Rli6/K_>i*ehZ)I5l2T*1df8M2fDj_._>i?l_>iEnb5Zt~>
+lMoE8h#HaArVt[Rli6/K_>i*ehZ)I5l2T*1df8M2fDj_._>i?l_>iEnb5Zt~>
+l2T65iW&6Er;YLOmf2GM_>i'diW%X4lMo32ec4h5fDjY,_>i?l_>iBmbQ!(~>
+l2T65iW&6Er;YLOmf2GM_>i'diW%X4lMo32ec4h5fDjY,_>i?l_>iBmbQ!(~>
+l2T65iW&6Er;YLOmf2GM_>i'diW%X4lMo32ec4h5fDjY,_>i?l_>iBmbQ!(~>
+l2T65iW&6Er;YLOmf2GM_>i'diW%X4lMo32ec4h5fDjY,_>i?l_>iBmbQ!(~>
+l2T65iW&6Er;YLOmf2GM_>i'diW%X4lMo32ec4h5fDjY,_>i?l_>iBmbQ!(~>
+l2T65iW&6Er;YLOmf2GM_>i'diW%X4lMo32ec4h5fDjY,_>i?l_>iBmbQ!(~>
+l2T34jo=ZIq>].KnGhVN_>i!bj8[j6kl8s/gAg=9f)OP+_Z/El_uJNmbQ!(~>
+l2T34jo=ZIq>].KnGhVN_>i!bj8[j6kl8s/gAg=9f)OP+_Z/El_uJNmbQ!(~>
+l2T34jo=ZIq>].KnGhVN_>i!bj8[j6kl8s/gAg=9f)OP+_Z/El_uJNmbQ!(~>
+kPrp0m/QAOp]&eEp]'7R_>hsajT!s7kl8g+iW&!>ec4A(`;eTm`;eWnbQ!(~>
+kPrp0m/QAOp]&eEp]'7R_>hsajT!s7kl8g+iW&!>ec4A(`;eTm`;eWnbQ!(~>
+kPrp0m/QAOp]&eEp]'7R_>hsajT!s7kl8g+iW&!>ec4A(`;eTm`;eWnbQ!(~>
+kPr^*q>]OVpA_;r^AlX^kPs38kl8^(l2TcDeGn5&`;eTm`;eQlc2W:~>
+kPr^*q>]OVpA_;r^AlX^kPs38kl8^(l2TcDeGn5&`;eTm`;eQlc2W:~>
+kPr^*q>]OVpA_;r^AlX^kPs38kl8^(l2TcDeGn5&`;eTm`;eQlc2W:~>
+kPr^*q>]OVpA_;r^AlX^kPs38kl8^(l2TcDeGn5&`;eTm`;eQlc2W:~>
+kPr^*q>]OVpA_;r^AlX^kPs38kl8^(l2TcDeGn5&`;eTm`;eQlc2W:~>
+kPr^*q>]OVpA_;r^AlX^kPs38kl8^(l2TcDeGn5&`;eTm`;eQlc2W:~>
+k5VC\o`))p^]2^^kl9<9k5U_Idf8#$`;eNk`rFcnc2W:~>
+k5VC\o`))p^]2^^kl9<9k5U_Idf8#$`;eNk`rFcnc2W:~>
+k5VC\o`))p^]2^^kl9<9k5U_Idf8#$`;eNk`rFcnc2W:~>
+k5VI^o)Gln^]2[]l2T?8kl7"Mdf7o!a8acla8afmcMrC~>
+k5VI^o)Gln^]2[]l2T?8kl7"Mdf7o!a8acla8afmcMrC~>
+k5VI^o)Gln^]2[]l2T?8kl7"Mdf7o!a8acla8afmcMrC~>
+jo;Lan,KQk_>h^ZmJk]:kl7(Odf7htaT'ilaT'oncMrC~>
+jo;Lan,KQk_>h^ZmJk]:kl7(Odf7htaT'ilaT'oncMrC~>
+jo;Lan,KQk_>h^ZmJk]:kl7(Odf7htaT'ilaT'oncMrC~>
+jo;Lan,KQk_>h^ZmJk]:kl7(Odf7htaT'ilaT'oncMrC~>
+jo;Lan,KQk_>h^ZmJk]:kl7(Odf7htaT'ilaT'oncMrC~>
+jo;Lan,KQk_>h^ZmJk]:kl7(Odf7htaT'ilaT'oncMrC~>
+j8ZCbmf0Hj_>h[YnGgo:kl71RdJqVpbQ$)maoBrmd/SU~>
+j8ZCbmf0Hj_>h[YnGgo:kl71RdJqVpbQ$)maoBrmd/SU~>
+j8ZCbmf0Hj_>h[YnGgo:kl71RdJqVpbQ$)maoBrmd/SU~>
+ir?@cli4-g`;djXo`*5;kl7:Udf7Vnbl?,lbl?2ndJn^~>
+ir?@cli4-g`;djXo`*5;kl7:Udf7Vnbl?,lbl?2ndJn^~>
+ir?@cli4-g`;djXo`*5;kl7:Udf7Vnbl?,lbl?2ndJn^~>
+ir?@cli4-g`;djXo`*5;kl7:Udf7Vnbl?,lbl?2ndJn^~>
+ir?@cli4-g`;djXo`*5;kl7:Udf7Vnbl?,lbl?2ndJn^~>
+ir?@cli4-g`;djXo`*5;kl7:Udf7Vnbl?,lbl?2ndJn^~>
+i;^:el2RmdaT''Vq>\P:li3a\df7Dhd/VDldJqPneGk%~>
+i;^:el2RmdaT''Vq>\P:li3a\df7Dhd/VDldJqPneGk%~>
+i;^:el2RmdaT''Vq>\P:li3a\df7Dhd/VDldJqPneGk%~>
+i;^=fkPqXac2W=pq>fp_VZ>3G_#W0ga8jfkbQ-8pJ,~>
+i;^=fkPqXac2W=pq>fp_VZ>3G_#W0ga8jfkbQ-8pJ,~>
+i;^=fkPqXac2W=pq>fp_VZ>3G_#W0ga8jfkbQ-8pJ,~>
+hZ(:ijSu.YeGk("nGr1\WrUWK[K,@f^B!3l_>rHmJ,~>
+hZ(:ijSu.YeGk("nGr1\WrUWK[K,@f^B!3l_>rHmJ,~>
+hZ(:ijSu.YeGk("nGr1\WrUWK[K,@f^B!3l_>rHmJ,~>
+hZ(:ijSu.YeGk("nGr1\WrUWK[K,@f^B!3l_>rHmJ,~>
+hZ(:ijSu.YeGk("nGr1\WrUWK[K,@f^B!3l_>rHmJ,~>
+hZ(:ijSu.YeGk("nGr1\WrUWK[K,@f^B!3l_>rHmJ,~>
+h#G1jiW#eUg&HU'lN$YYXT6oOYQ3ne\H(ak]E%!lJ,~>
+h#G1jiW#eUg&HU'lN$YYXT6oOYQ3ne\H(ak]E%!lJ,~>
+h#G1jiW#eUg&HU'lN$YYXT6oOYQ3ne\H(ak]E%!lJ,~>
+g],1lhZ'MSgAc^(l2^GUZN/JSXoRef[K,Rl[K,IiJ,~>
+g],1lhZ'MSgAc^(l2^GUZN/JSXoRef[K,Rl[K,IiJ,~>
+g],1lhZ'MSgAc^(l2^GUZN/JSXoRef[K,Rl[K,IiJ,~>
+g],1lhZ'MSgAc^(l2^GUZN/JSXoRef[K,Rl[K,IiJ,~>
+g],1lhZ'MSgAc^(l2^GUZN/JSXoRef[K,Rl[K,IiJ,~>
+g],1lhZ'MSgAc^(l2^GUZN/JSXoRef[K,Rl[K,IiJ,~>
+g&K+nh#F;QgAc^(l2^DT[fFeTY5mkf[K,Rl[K,IiJ,~>
+g&K+nh#F;QgAc^(l2^DT[fFeTY5mkf[K,Rl[K,IiJ,~>
+g&K+nh#F;QgAc^(l2^DT[fFeTY5mkf[K,Rl[K,IiJ,~>
+fDj%pg&J&Pg])g)klC/O]`?CYXT7\e[/fOmZiK7gJ,~>
+fDj%pg&J&Pg])g)klC/O]`?CYXT7\e[/fOmZiK7gJ,~>
+fDj%pg&J&Pg])g)klC/O]`?CYXT7\e[/fOmZiK7gJ,~>
+eGmqseGlZOg&HU'lN$2L_>qm]XoRefZiKFl[/f:fJ,~>
+eGmqseGlZOg&HU'lN$2L_>qm]XoRefZiKFl[/f:fJ,~>
+eGmqseGlZOg&HU'lN$2L_>qm]XoRefZiKFl[/f:fJ,~>
+eGmqseGlZOg&HU'lN$2L_>qm]XoRefZiKFl[/f:fJ,~>
+eGmqseGlZOg&HU'lN$2L_>qm]XoRefZiKFl[/f:fJ,~>
+eGmqseGlZOg&HU'lN$2L_>qm]XoRefZiKFl[/f:fJ,~>
+dJqeudJqDj!<;-\gAc^(l2]uHa8jE`Y5mng[/fLl[/f7eJ,~>
+dJqeudJqDj!<;-\gAc^(l2]uHa8jE`Y5mng[/fLl[/f7eJ,~>
+dJqeudJqDj!<;-\gAc^(l2]uHa8jE`Y5mng[/fLl[/f7eJ,~>
+cMu]#bQ$l.e,T.Bf`1C?f`1"4fDk7=ir@=)a8aopq#B.Mli4?mlMn9mir=N~>
+cMu]#bQ$l.e,T.Bf`1C?f`1"4fDk7=ir@=)a8aopq#B.Mli4?mlMn9mir=N~>
+cMu]#bQ$l.e,T.Bf`1C?f`1"4fDk7=ir@=)a8aopq#B.Mli4?mlMn9mir=N~>
+cMu]#bQ$l.e,T.Bf`1C?f`1"4fDk7=ir@=)a8aopq#B.Mli4?mlMn9mir=N~>
+cMu]#bQ$l.e,T.Bf`1C?f`1"4fDk7=ir@=)a8aopq#B.Mli4?mlMn9mir=N~>
+cMu]#bQ$l.e,T.Bf`1C?f`1"4fDk7=ir@=)a8aopq#B.Mli4?mlMn9mir=N~>
+aoCH&a8bc3JcC<$i;_F0_>j--b5_29kl:5Se,St=kl:)OirA3Bir=N~>
+aoCH&a8bc3JcC<$i;_F0_>j--b5_29kl:5Se,St=kl:)OirA3Bir=N~>
+aoCH&a8bc3JcC<$i;_F0_>j--b5_29kl:5Se,St=kl:)OirA3Bir=N~>
+_uK0*JcC<$OoOA?JcC<$XoJD$hZ&*~>
+_uK0*JcC<$OoOA?JcC<$XoJD$hZ&*~>
+_uK0*JcC<$OoOA?JcC<$XoJD$hZ&*~>
+JcC<$JcE:\nGn.?JcC<$!<7Q~>
+JcC<$JcE:\nGn.?JcC<$!<7Q~>
+JcC<$JcE:\nGn.?JcC<$!<7Q~>
+JcC<$JcE:\nGn.?JcC<$!<7Q~>
+JcC<$JcE:\nGn.?JcC<$!<7Q~>
+JcC<$JcE:\nGn.?JcC<$!<7Q~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$PlL[^JcC<$JcD/<J,~>
+JcC<$PlL[^JcC<$JcD/<J,~>
+JcC<$PlL[^JcC<$JcD/<J,~>
+JcC<$QiHd[JcC<$JcD8?J,~>
+JcC<$QiHd[JcC<$JcD8?J,~>
+JcC<$QiHd[JcC<$JcD8?J,~>
+JcC<$QiHd[JcC<$JcD8?J,~>
+JcC<$QiHd[JcC<$JcD8?J,~>
+JcC<$QiHd[JcC<$JcD8?J,~>
+JcC<$RfDpYJcC<$JcD>AJ,~>
+JcC<$RfDpYJcC<$JcD>AJ,~>
+JcC<$RfDpYJcC<$JcD>AJ,~>
+JcC<$ScA$VJcC<$JcDGDJ,~>
+JcC<$ScA$VJcC<$JcDGDJ,~>
+JcC<$ScA$VJcC<$JcDGDJ,~>
+JcC<$T)\'UJcC<$JcDJEJ,~>
+JcC<$T)\'UJcC<$JcDJEJ,~>
+JcC<$T)\'UJcC<$JcDJEJ,~>
+JcC<$T)\'UJcC<$JcDJEJ,~>
+JcC<$T)\'UJcC<$JcDJEJ,~>
+JcC<$T)\'UJcC<$JcDJEJ,~>
+JcC<$U&X3SJcC<$JcDPGJ,~>
+JcC<$U&X3SJcC<$JcDPGJ,~>
+JcC<$U&X3SJcC<$JcDPGJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$V#T9OJcC<$JcD\KJ,~>
+JcC<$V#T9OJcC<$JcD\KJ,~>
+JcC<$V#T9OJcC<$JcD\KJ,~>
+JcC<$VZ5BNJcC<$JcD_LJ,~>
+JcC<$VZ5BNJcC<$JcD_LJ,~>
+JcC<$VZ5BNJcC<$JcD_LJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$X8gQIJcC<$JcDnQJ,~>
+JcC<$X8gQIJcC<$JcDnQJ,~>
+JcC<$X8gQIJcC<$JcDnQJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$YQ)ZDJcC<$JcE(VJ,~>
+JcC<$YQ)ZDJcC<$JcE(VJ,~>
+JcC<$YQ)ZDJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YlD`DJcC<$JcE(VJ,~>
+JcC<$YQ)ZDJcC<$JcE(VJ,~>
+JcC<$YQ)ZDJcC<$JcE(VJ,~>
+JcC<$YQ)ZDJcC<$JcE(VJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XoHQEJcC<$JcE%UJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$XT-QGJcC<$JcDtSJ,~>
+JcC<$X8gQIJcC<$JcDnQJ,~>
+JcC<$X8gQIJcC<$JcDnQJ,~>
+JcC<$X8gQIJcC<$JcDnQJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$W;kEKJcC<$JcDhOJ,~>
+JcC<$VZ5<LJcC<$JcDeNJ,~>
+JcC<$VZ5<LJcC<$JcDeNJ,~>
+JcC<$VZ5<LJcC<$JcDeNJ,~>
+JcC<$V>o<NJcC<$JcD_LJ,~>
+JcC<$V>o<NJcC<$JcD_LJ,~>
+JcC<$V>o<NJcC<$JcD_LJ,~>
+JcC<$V>o<NJcC<$JcD_LJ,~>
+JcC<$V>o<NJcC<$JcD_LJ,~>
+JcC<$V>o<NJcC<$JcD_LJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$UAs0PJcC<$JcDYJJ,~>
+JcC<$U&X*PJcC<$JcDYJJ,~>
+JcC<$U&X*PJcC<$JcDYJJ,~>
+JcC<$U&X*PJcC<$JcDYJJ,~>
+JcC<$T`=-SJcC<$JcDPGJ,~>
+JcC<$T`=-SJcC<$JcDPGJ,~>
+JcC<$T`=-SJcC<$JcDPGJ,~>
+JcC<$T`=-SJcC<$JcDPGJ,~>
+JcC<$T`=-SJcC<$JcDPGJ,~>
+JcC<$T`=-SJcC<$JcDPGJ,~>
+JcC<$ScA!UJcC<$JcDJEJ,~>
+JcC<$ScA!UJcC<$JcDJEJ,~>
+JcC<$ScA!UJcC<$JcDJEJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$S,_mVJcC<$JcDGDJ,~>
+JcC<$RfDpYJcC<$JcD>AJ,~>
+JcC<$RfDpYJcC<$JcD>AJ,~>
+JcC<$RfDpYJcC<$JcD>AJ,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$QiHaZJcC<$JcD;@J,~>
+JcC<$PQ1U^JcC<$JcD/<J,~>
+JcC<$PQ1U^JcC<$JcD/<J,~>
+JcC<$PQ1U^JcC<$JcD/<J,~>
+JcC<$PQ1U^JcC<$JcD/<J,~>
+JcC<$PQ1U^JcC<$JcD/<J,~>
+JcC<$PQ1U^JcC<$JcD/<J,~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+JcC<$JcC<$JcC<$W;hA~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/basic2d.ps b/books/ps/basic2d.ps
new file mode 100644
index 0000000..f0407f8
--- /dev/null
+++ b/books/ps/basic2d.ps
@@ -0,0 +1,1375 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 128.262184 559.000000 693.977821
+%%Creator: xwd2ps
+%%CreationDate: Mon Dec  2 10:32:59 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  422, height = 472, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 472
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 472 8
+  [422 0 0 -472 0 472]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+matrix currentmatrix
+3.125 inch 3.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+dbdb70
+2f4f4f
+d4d8e8
+757780
+46474d
+b4b8c5
+236b8e
+0000ff
+238e6b
+2f2f4f
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+00ffff
+00ff00
+bc8f8f
+adeaea
+ffff00
+050536
+06063f
+070748
+080851
+09095b
+0a0a64
+0b0b6d
+0c0c76
+0d0d80
+0e0e89
+0f0f92
+10109b
+1111a4
+1212ae
+1313b7
+1414c0
+1515c9
+1616d2
+1717dc
+1818e5
+2121e6
+2b2be7
+3434e8
+3d3de9
+4646ea
+4f4feb
+5959ec
+6262ed
+6b6bee
+7474ef
+7d7df0
+8787f1
+9090f2
+9999f3
+a2a2f4
+acacf5
+b5b5f6
+bebef7
+c7c7f8
+d0d0f9
+dadafa
+e3e3fb
+ececfc
+f5f5fd
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000102000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000102000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+00000001000000010000000100000001000000010100000100001e010000ff01600100001f01010
+000001f010100ff015f0101001e010100000100001e010000ff01600100001f01
+010000001f010100ff015f0101001e010100000100001e010000ff01600100001f01010000001f0
+10100ff015f0101001e010100000100001e010000ff01600100001f0101000000
+0701ff0093000601010000010000060100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000001000000010000000
+10000000100000001000000010000000100000001000000010000000100000001
+0000000100000001000000010000000100000001000000010000000100000701010000000701010
+015010100ff014701010015010100150101000601010000010000060100001601
+0000ff014801000016010000160100000701010000000701010015010100ff01470101001501010
+01501010006010100000100000601000016010000ff0148010000160100000401
+0000000100000001000000010000000100000001000000010000000100000201000007010100000
+00701010015010100ff014701010015010100020100000d010000020101000601
+0100000100000601000016010000830102000f01000020010400020105008101000016010000120
+10000020100000701010000000701010015010100830101000e0102001e010100
+0101020002010100010101008001010015010100020100000d01000002010100060101000001000
+00601000016010000840101000f0100001f010100020101000201010002010100
+7f0100001601000012010000020100000701010000000701010015010100820103002f010000030
+1010002010100020101007f01010015010100020100000d010000020101000601
+0100000100000601000004010000000100000001000000010000000100000001000000010000000
+10000020100008301000000010100020102000101020001010300050103000201
+000000010100000101000f01010002010100020101007f0100000a0100000001000008010000120
+100000201000007010100000007010100020100000d0100000201010082010000
+0001010003010100010101000401010004010100010101000101010000010100000101000e01010
+002010100020101007f010100080100000101000008010100020100000d010000
+0201010006010100000100000601000012010000020100008301000001010100030101000001000
+00501010003010100030101000001010000010100000101000d01010003010100
+020101007f0100000c0100000801000012010000020100000701010000000701010002010f00020
+10100810105000401010006010100030101000301010000010100000101000001
+01000c01010004010100020101007f0101000801030008010100020100000d01000002010100060
+10100000100000601000016010000820100000201010004010100060101000301
+0100030101000001010000010100000101000b01010005010100020101007f01000016010000120
+10000020100000701010000000701010015010100810100000301010002010000
+000101000501010003010100030101000001010000010100000101000a010100060101000201010
+07f01010015010100020100000d01000002010100060101000001000006010000
+1601000081010100030101000101010001010100040101000401010001010100010101000001010
+00001010009010100030100000201010001010100800100001601000012010000
+0201000007010100000007010100150101008001020001010200000102000101020001010500030
+10300020101000001010000010100090106000101050081010100150101000201
+00000d0100000201010006010100000100000601000016010000b70105008a01000016010000120
+10000020100000701010000000701010015010100ff0147010100150101000201
+0f000201010006010100000100000601000016010000ff014801000016010000160100000701010
+000000701010015010100ff014701010015010100150101000601010000010000
+06010000000116000001ff004800000116000001160007010100ff00a5000001000000010000000
+100000001000000010100ff018f01000000010000000100000001000000010000
+00010000000007010100ff0190010000060101000001000006010100ff018f01000007010100000
+007010100ff0190010000060101000001000006010100790102250c0106253101
+00251001002519010225000100259a010000070101000000070101007a0101250d0101250101022
+5300100250f01022517010125000102259b010000060101000001000006010100
+7a0101250d010125020101252f0101251001002517010125020101259a010000070101000000070
+10100790103250c010125020101252f01012529010125030100259b0100000601
+0100000100000601010079010025000101250c01012502010125010104250201012500010325020
+10425020100250001012500010125030103250201062501010125000103250201
+0325050103250c01012503010025000102250001022501010125000103250101022501010225020
+10325780100000701010000000701010079010025000101250c01012501010225
+0001012502010125020102250101012500010125020101250101012500010125000101250101012
+5010101250301012505010225010101250301012504010125010101250b010125
+0601012501010125020102250101012501010125020100250201012501010125780100000601010
+0000100000601010079010025010101250b010525010101250201012502010125
+0201012500010125020101250101012500010125000101250001012502010125030101250501012
+5020101250301012503010125020101250b010125060101250101012502010125
+02010125010101250201002501010125020101257701000007010100000007010100780105250b0
+10125080103250201012508010325010101250001012500010125000106250301
+0125050101250801012503010125100101250601012501010125020101250701012500010025020
+106257801000006010100000100000601010078010025020101250b0101250601
+0125010101250201012506010125010101250101012500010125000101250001012508010125050
+10125080101250301012510010125030100250101012501010125020101250701
+012500010025020101257c0100000701010000000701010078010025030101250a0101250501012
+50201012502010125050101250201012501010125000101250001012500010125
+08010125050101250801012503010125030100250b0101250301002501010125010101250201012
+507010325020101257d0100000601010000010000060101007701012503010125
+0a01012505010125010102250201012505010125010102250101012500010125000101250101012
+5020100250301012501010025020101250801012504010125010101250c010125
+0101012501010125000102250201012508010125040101250201002577010000070101000000070
+10100770102250101022509010325050102250101012500010425040102250101
+012500010125000101250001012502010325050102250201042504010525030103250e010325030
+10225000101250001042506010125050103257901000006010100000100000601
+0100ff018f01000007010100000007010100ff0190010000060101000001000006010100ff018f0
+1000007010100000007010100ff0190010000060101000001000006010100ff01
+8f01000007010100000007010100ff0190010000060101000001000006010100ff018f010000070
+10100000007010100ff019001000006010100000100000601ff009200070101000000
+0701ff0091000001000006010100000100000601ff00920007010100000007010100c7010030c70
+10000060101000001000006010100c7010030c601000007010100000007010100
+c7010030c7010000060101000001000006010100c7010030c601000007010100000007010100c70
+10030c7010000060101000001000006010100c7010030c6010000070101000000
+07010100c7010030c7010000060101000001000006010100c7010030c6010000070101000000070
+10100c7010030c7010000060101000001000006010100c7010030c60100000701
+0100000007010100c7010030c7010000060101000001000006010100c7010030c60100000701010
+0000007010100c7010030c7010000060101000001000006010100c7010030c601
+000007010100000007010100c7010030c7010000060101000001000006010100c7010030c601000
+007010100000007010100c7010030c7010000060101000001000006010100c701
+0030c601000007010100000007010100c7010030c7010000060101000001000006010100c701003
+0c601000007010100000007010100af0100111601003015010011b00100000601
+01000001000006010100ad01025100110a510a0100110a010b5100110051ad01000007010100000
+007010100a7010551000102110a010b51001109510901021100010551a8010000
+060101000001000006010100a101055119010351000102110001035118010551a10100000701010
+000000701010098010011010105511a0104510501003005010451190105510101
+00119901000006010100000100000601010097010151001100511b0104510a0100300a0103511b0
+10251001197010000070101000000070101009401025102111501001101010351
+0f0100300e0103510101001115010211025195010000060101000001000006010100910102511a0
+1015100110051130100301201025100111a010251910100000701010000000701
+01008e0102511b0101510211140100301301021101511b0103518e0100000601010000010000060
+101008a0103511c01015119010030180101511d0102518a010000070101000000
+07010100870102511d0102511b0100301a0102511d0102518801000006010100000100000601010
+082010011000102511e0101511e0100301d0101511e0102510001001182010000
+0701010000000701010081010011005100111f010151200100301f0101511f01015100118201000
+00601010000010000060101008001015101111c01025122010030210102511c01
+0211005180010000070101000000070101007e0101511e01015125010030240101511e0101517f0
+100000601010000010000060101007c0101511c01001100010151270100302601
+0151000100111c0101517c010000070101000000070101007b0100511d010011005100112901003
+02801015100111d0100517c010000060101000001000006010100790101511d01
+01510111290100302801021100511d0101517901000007010100000007010100770101511e01005
+12d0100302c0100511e0101517801000006010100000100000601010075010151
+1e010151030100112901003028010011030101511e0101517501000007010100000007010100740
+100511e0101510001055100110151260100302501035100110351000101511e01
+005175010000060101000001000006010100720101511101001104010a5103010211010107511e0
+100301e0106510101021103010a51040100111101015172010000070101000000
+0701010070010151120101510011035104010151140106510201001113010030120100110201075
+11301015104010551001112010151710100000601010000010000060101006d01
+00110151100103510211070100511d01035100111201003011010151001101511d0100510701021
+103511001015100116d010000070101000000070101006c010011005100110d01
+03510c0101512001021103510e0100300e0102510211200101510c0103510d010011005100116d0
+100000601010000010000060101006c01005101110a0102510e01015129010251
+0b0100300a010351280101510e0102510a0102116c010000070101000000070101006b010051090
+10351100100512e01035107010030070102512e01005110010351090101516b01
+0000060101000001000006010100690101510401001100010351110100110151330102510401003
+00401025132010151001111010351000100110501005169010000070101000000
+0701010068010051050101510011140100110051001137010351000100110001035136010011005
+10011140101510011050100516901000006010100000100000601010067010051
+0401015102111401005101113b01015100113a01021114010211015104010051670100000701010
+00000070101006601005103010151180100513d010051021100513c0100511801
+015103010051670100000601010000010000060101006501005102010151190100513c010151010
+10030010101513b01005119010151020101516401000007010100000007010100
+63010151010101511a0100513b01015103010030030101513a0100511a010151020100516401000
+006010100000100000601010062010051010101511b0100513a01015105010030
+05010151390100511b01015101010051620100000701010000000701010061010051000101511c0
+10051390101510701003007010051390100511c01015100010051620100000601
+01000001000006010100600102511d010051380101510901003008010151380100511d010251600
+10000070101000000070101005f0101511e010051370101510b0100300a010151
+360100511f0102515f0100000601010000010000060101005b01001100010151200100513501015
+10d0100300c0101513501005120010151000100115b0100000701010000000701
+01005a01001100510011210100513301001101510f0100300e01015100113301005121010151001
+15b01000006010100000100000601010059010151011120010051330100110051
+0011100100300f01001100510011330100512001021100515901000007010100000007010100580
+100510001005101111f010051340100510111100100300f010211340100511f01
+0211000100515901000006010100000100000601010057010051000100512101005133010151130
+10030120101513301005121010051000100515701000007010100000007010100
+5501015101010051200100513301005115010030140100513301005120010051010101515601000
+006010100000100000601010054010051020100511f0100110051330100511601
+0030150100513301005100111f01005102010051540100000701010000000701010053010051020
+100511f0100110051001132010051170100301601005132010011005100111f01
+0051020100515401000006010100000100000601010051010151020100512001005101113101005
+11801003017010151300102112001005102010151510100000701010000000701
+0100500100510401005120010051310101511901003019010051310100512001005104010051510
+100000601010000010000060101004f0100510401005120010051310100511b01
+00301a0100513101005120010051040100514f010000070101000000070101004d0101510401005
+120010051310100511c0100301b0100513101005120010051040101514e010000
+0601010000010000060101004c0100510501005120010051310100511d0100301c0100513101005
+120010051050100514c010000070101000000070101004b010051050100512101
+00512f0101511e0100301d0101512f01005121010051050100514c0100000601010000010000060
+1010048010011015106010051200100512e0100110051200100301f0100510011
+2e01005120010051060101510011480100000701010000000701010047010011005100110601005
+1200100512e01001100510011200100301f010011005100112e01005120010051
+06010011005100114801000006010100000100000601010047010051011105010051200100512f0
+100510111200100301f0102112e010051210100510501021147010000070101000000
+070101004601005107010051210100510b010011210100512301003021010051220100110b01005
+12101005107010051470100000601010000010000060101004501005108010051
+200100510a01025100110851080100110d01005123010030220100510d010011090109510011005
+10a01005120010051080100514501000007010100000007010100440100510701
+0011005120010051060104510001021108010951001100510a01005124010030230100510a01025
+10011085107010211000104510601005120010051001107010051450100000601
+0100000100000601010044010051060100110051001120010051000105511901021100010451040
+10051250100302401005104010451000102111901055100010051200100110051
+0011060100514401000007010100000007010100430100510701005101111a01001101010451280
+10451260100302401055128010451010100111a01021107010051440100000601
+0100000100000601010042010051080100511b01015100110051000100512f010551010100111e0
+100301d010011010105512f0100510001025100111b0100510801005142010000
+0701010000000701010041010051080100511a0101510211000100512f0100510501025100111d0
+100301c01015100110051050100512f0100510001021101511a01005108010051
+420100000601010000010000060101004001005109010051170102510401001100512e010051070
+1021101511b0100301a0101510211070100512e01005100110401025117010051
+0901005140010000070101000000070101003f010051090100511601015106010011005100112d0
+100510d01015119010030180101510c0100512e01001100510011060101511601
+005109010051400100000601010000010000060101003e0100510a0100511301025108010011005
+100112d0100510f01015117010030160101510f0100512d010211080102511301
+00510a0100513e010000070101000000070101003d0100510a010051120101510b0100512e01005
+1120101511501003014010151120100512e0100510b010151120100510a010051
+3e0100000601010000010000060101003c0100510b0100510f0102510d0100512d0100511501015
+11301003012010151150100512d0100510d0102510f0100510b0100513c010000
+070101000000070101003c0100510a0100510c010011000101510f0100512d01005118010151110
+1003010010151170100512e0100510f010151000100110c0100510a0100513d01
+00000601010000010000060101003b0100510b0100510b01001100510011110100512c010011005
+11a010151000100110d0100300c010011000101511a01005100112c0100511101
+015100110b0100510b0100513b010000070101000000070101003a0100510b0100510b010151011
+1100100512c010011005100111c01015100110c0100300b010011005100111c01
+0011005100112c0100511001021100510b0100510b0100513b01000006010100000100000601010
+03801001100510c0100510a010051140100512c010011005100111c0102110051
+0b0100300b01005101111c0102112c010051140100510a0100510c0100510011380100000701010
+000000701010037010011005100110b01005109010151150100512c0100512201
+00510a01003009010151210100512c01005115010151090100510b0100110051001138010000060
+1010000010000060101003701005101110b01005107010151160100512d010051
+230100510901003008010051230100512d01005116010151070100510b010211370100000701010
+0000007010100370100510c01005107010051180100512c010051250101510701
+003007010051250100512c01005118010051070100510c010051380100000601010000010000060
+10100360100510d01005105010151180100512d01005127010051060100300601
+0051260100512d01005118010151050100510d01005136010000070101000000070101003501005
+10d010051050100511a0100512c01005129010051050100300401015128010051
+2c0100511a010051050100510d01005136010000060101000001000006010100350100510d01005
+1030101511b0100512c0100512a01015103010030030100512a0100512c010051
+1b010151030100510d0100513501000007010100000007010100340100510d010051020101511c0
+100512c0100512d01005102010030020100512c0100512c0100511c0101510201
+00510d01005135010000060101000001000006010100330100510d0100110051010100511e01005
+12c0100512e01005101010030000101512d0100512c0100511e01005101010051
+00110d0100513301000007010100000007010100330100510c0100110051001101511e0100512c0
+100513001015100110051300100512c0100511e0101510011005100110c010051
+34010000060101000001000006010100320100510d010111005100111f0100512c0100513101001
+100510011300100512c0100511f0103110d010051320100000701010000000701
+0100310100510e01015101111e0100112c01005132010211310100512c0100511e01021100510d0
+1005133010000060101000001000006010100310100510e010051200100110051
+00112b010051310100510001003000010051300100512b01001100510011200100510e010051310
+1000007010100000007010100300100510e01015120010011005100112a010051
+310100510101003000010051310100512a010211200101510e01005131010000060101000001000
+006010100300100510d010151220100512b010051310100510101003001010051
+300100512b010051220101510d01005130010000070101000000070101002f0100510d010051000
+10051210100512b010011310100510201003002010051300100512b0100512101
+0051000100510d010051300100000601010000010000060101002e0100510d01005101010051210
+100512a010011005100112f01005103010030030100512e010011005100112a01
+005121010051010100510d0100512e010000070101000000070101002e0100510c0100510101005
+1220100512a010011005100112e01005104010030030100512e0102112a010051
+22010051010101510b0100512f0100000601010000010000060101002d0100510b0101510201005
+1220100512a0100512f01005105010030040100512f0100512a01005122010051
+030100510b0100512d010000070101000000070101002c0100510b01005104010051220100512a0
+100512e01005106010030050100512e0100512a01005122010051040100510b01
+00512d0100000601010000010000060101002b01001100510a01005104010051220100512b01005
+12d01005107010030060100512d0100512b01005122010051040100510a010051
+00112b010000070101000000070101002a010011005100110901005105010051220100512b01005
+12d01005107010030070100512c0100512b010051220100510501005109010011
+005100112b0100000601010000010000060101002a0100110051001108010051060100512201005
+12a0100512d01005108010030070100512d0100512a0100512201005106010051
+080102112a010000070101000000070101002a0100510901005106010051230100512a0100512b0
+100110051090100300801005100112b0100512a01005123010051060100510901
+00512b0100000601010000010000060101002a01005107010011005107010051230100512a01005
+12a010011005100110901003008010011005100112a0100512a01005123010051
+070100510011070100512a010000070101000000070101002901005107010011005100110701005
+1220100512a0100512b010051011109010030080102112b0100512a0100512201
+00510701001100510011070100512a0100000601010000010000060101002901005107010051011
+106010051230100512a0100512b0100510b0100300a0100512b0100512a010051
+2301005106010211070100512901000007010100000007010100290100510701005108010051230
+100512a0100512a0100510c0100300b0100512a0100512a010051230100510801
+0051070100512a01000006010100000100000601010028010051070100510901005123010051250
+10011020100512b0100510c0100300b0100512b01005102010011070100111c01
+0051230100510901005107010051280100000701010000000701010028010051060100510901001
+124010051130100110801085100110051000100512a0100510d0100300c010051
+2a01005100010251001107510011025103010011130100512401005109010051060100512901000
+00601010000010000060101002701005106010051090100110051001122010051
+1301015100110751060102110001035101010011250100510d0100300c010051250100110101035
+10001021105010211020104510011130100512201001100510011090100510601
+0051270100000701010000000701010027010051060100510901001100510011220100110f01035
+10211130100510101025100110051220100510e0100300d010051220102510011
+0051010100511301021103510f01005122010211090100510601005128010000060101000001000
+00601010026010051060100510b01005122010011005100110a01035119010011
+0301021100010351010100111b0100510e0100300d0100511b01001101010351000102110301005
+1190103510a01001100510011220100510b0100510501005127010000070101000000
+0701010026010051050100510c0100512201001100510011060103511c010011005100110a01025
+10011190100510f0100300e01005119010151001100510a010011005100111c01
+035106010211220100510c010051050100512701000006010100000100000601010026010051040
+100510c01005124010051010100110001035120010011005100110b0102110251
+160100510f0100300e0100511701015102110b010211200103510001001101010051240100510c0
+1005104010051260100000701010000000701010025010051050100510c010051
+2401005100010151001125010051120101510001001111010051100100300f01005114010151110
+1005125010151001100010051240100510c0100510501005126010000060101000001
+00000601010025010051040100510d0100512401015102112501005114010151001110010051100
+100300f0100511201015113010051250102110151240100510d01005104010051
+250100000701010000000701010024010051040100510e010051220102512901005114010211005
+10e01005111010030100100510f0101511501005129010251220100510e010051
+040100512501000006010100000100000601010024010051030100510f010051200101510101005
+129010051180101510b0100110051110100301001005100110c01015117010051
+2901005101010151200100510f01005103010051240100000701010000000701010024010051030
+100510f0100511d01025103010051290100511a01015100110701001100510011
+11010030100100110051001107010011000101511901005129010051030102511d0100510f01005
+10301005125010000060101000001000006010100230100510301005110010051
+1b01015106010051290100511b01001100510011060100110051001111010030100102110601001
+1005100111b01005129010051060101511b010051100100510301005123010000
+070101000000070101002301005102010051100100511a01015108010051290100511b010211060
+1005113010030110100510701005101111b010051290100510801015119010051
+1101005102010051240100000601010000010000060101002201001102010051110100511601001
+1000101510a010051290100511e01015104010051130100301201005104010151
+1e010051290100510a0101510001001116010051110100510201005122010000070101000000070
+1010021010011005100110001001100511101005115010011005100110c010051
+29010051200100510301005113010030120100510301005120010051290100510c0101510011150
+10051110100510011000100110051001122010000060101000001000006010100
+210100110051011100510011110100511501005101110c010051290100512101005102010051130
+10030120100510201005121010051290100510c01021115010051110100110051
+0311210100000701010000000701010022010051000100110051001111010051130101510f01005
+1290100512201025114010030120100510001015122010051290100510f010151
+1301005111010211000100512301000006010100000100000601010021010051010100511301005
+11201005111010051290100512401005114010030130100512401005129010051
+1101005112010051130100510101005121010000070101000000070101002101005101010051130
+10051110100511201005129010051240101511301003012010151240100512901
+0051120100511101005113010051010100512201000006010100000100000601010021010051000
+10051140100511001005113010051290100512401005100010151110100301001
+0151000100512401005129010051130100511001005114010051000100512101000007010100000
+00701010021010051000100511301005110010051140100512901005123010051
+0301005100110f0100300e0100110051020100512401005129010051140101510f0100511301005
+10001005122010000060101000001000006010100200100510001005114010051
+0e01015115010051290100112301005103010011005100110e0100300d010011005100110301005
+12301005129010051160100510e010051140100510001005120010000070101000000
+070101002001005100010051140100110d010051170100112801001100510011220100510301021
+10e0100300d010051011103010051220100110051001128010051170100510d01
+00511401005100010051210100000601010000010000060101002001015114010011005100110b0
+100511701001100510011270100110051001122010051060100510d0100300c01
+005106010051220102112701001100510011170100510b010011005100111401015120010000070
+101000000070101002001015114010011005100110a0100511801001100510011
+2801005122010051070100510d0100300b010051070100512301005128010211180100510a01021
+11401015121010000060101000001000006010100200100511601005109010151
+1a0100512a01005121010011080100510c0100300b01005108010051210100512a0100511a01015
+1090100511601005120010000070101000000070101001f010151160100510701
+001100511d010051290100512001001100510011080100510b0100300a010051080100110051001
+1200100512a0100511c0100510011070100511601015120010000060101000001
+0000060101001f0100511701005106010011005100111d010051290100512001001100510011090
+100510a010030090100510901021120010051290100511d010011005100110601
+0051170100511f010000070101000000070101001f010051170100510601005101111d010051290
+10051210100510b01005109010030080100510b01005121010051290100511d01
+02110601005117010051200100000601010000010000060101001e0101511701005105010051200
+1005129010051210100510c01005108010030070100510c010051210100512901
+00512001005105010051170101511e010000070101000000070101001e010151170100510401005
+12101005129010051210100510c01005108010030060100510d01005121010051
+290100512101005104010051170101511f0100000601010000010000060101001d0101511801005
+103010051220100512a010051200100510d01005107010030060100510d010051
+200100512a0100512101005104010051180101511d010000070101000000070101001d010151180
+10051030100512301005129010051200100510e01005100110501003004010011
+00510e010051200100512a0100512201005103010051180101511e0100000601010000010000060
+101001c0100510001005118010051020100512401005129010051200100510e01
+0011005100110401003003010011005100110e01005120010051290100512401005102010051180
+10051000100511c010000070101000000070101001c0100510001005119010051
+000100512501005129010051200100510e010211040100300301005101110e01005120010051290
+10051250100510101005118010051000100511d01000006010100000100000601
+01001b010011000100511a010151260100512901005120010051100100510401003003010051100
+100512001005129010051260101511a010051000100511b010000070101000000
+070101001a010011005101111a01005127010051290100512001005110010051040100300201005
+1110100512001005129010051270100511a0100510011005100111b0100000601
+010000010000060101001a010011005100110051001118010151270100512a0100511f010051110
+100510301003002010051110100511f0100512a01005127010151180100110051
+02111a010000070101000000070101001a010051000100110051001117010051000100512801005
+1290100111f010051110100510301003001010051120100511f0100512a010051
+270100510001005117010211000100511b0100000601010000010000060101001a0100510101005
+117010051010100512801005128010011005100111e0100511201005102010030
+01010051120100511e0100110051001128010051280100510001005118010051010100511a01000
+0070101000000070101001a010051010100511701005101010051280100112801
+0011005100111e010051120100510201003000010051130100511e0102112801005128010051010
+1005117010051010100511b0100000601010000010000060101001a0100510101
+0051160100510201005127010011005100112401001103010051010100111b01001113010051010
+1003000010051130100511b010011010100510301001124010011005100112701
+00510201005116010051010100511a0100000701010000000701010019010051020100511401001
+100510301005127010011005100111c0100110301035100110651001102510201
+0011120100110051001112010051010100300051130100110051001112010011030103510011065
+100110251020100111c0102112701005103010051001114010051020100511a01
+0000060101000001000006010100190100510201005113010011005100110301005129010051130
+10011030104510011025101010211030100510211020103510011005110010011
+0051001113010051000100300051130102111101015100110251010102110051030102110201035
+10011025103010011130100512901005103010011005100111301005102010051
+1901000007010100000007010100190100510201005113010051011103010011290100511201015
+100110251020102110b0100510701021100010351000100110c01005113010051
+00010051140100510c010011010103510211070100510b010211020104510011120100512901005
+10301021113010051020100511a01000006010100000100000601010019010051
+02010051130100510401001100510011290100510f0101510211140100510f01015100110b01005
+114010151140100510b0100110051001100510e0100511401021102510e010051
+2901001100510011040100511301005102010051190100000701010000000701010018010051030
+10051120100510501001100510011290100510a010011000102511a0100510e01
+021100510a01005114010111140100510a01015101110e0100511b010151000100110a010051290
+10211050100511201005103010051190100000601010000010000060101001801
+00510301005112010051070100512a01005108010011005100111d0100511201015108010051130
+10011005101111301005108010151120100511d0101510011080100512b010051
+0601005112010051030100511801000007010100000007010100180100510301005111010051080
+100512a0100510701015101111e01005113010151001106010051120100110051
+011112010051060100110151130100511e0102110151060100512a0100510801005111010051030
+10051190100000601010000010000060101001801005103010051110100510801
+00512b0100510401015122010051140100110051001105010051130101511301005105010011005
+100111401005123010151030100512b0100510801005111010051030100511801
+000007010100000007010100170100510401005110010051090100512b010051020101512401005
+11401021101510301005113010151130100510401015101111401005125010151
+010100512b010051090100511001005104010051180100000601010000010000060101001701005
+1040100510f0100510b0100512b01025127010051180101510011000100511201
+005100010030005112010051000100110001015117010051280101512c0100510a0100510f01005
+104010051170100000701010000000701010017010051040100510f0100510b01
+00512a0101512901005119010011005100110001005111010051000100300051110100510001001
+1005100111901005129010251290100510b0100510f0100510401005118010000
+06010100000100000601010017010051040100510e0100510c01005128010151010100512901001
+11801021100010051110100510001003000511101005100010051011118010051
+2901005102010151270100510c0100510e010051040100511701000007010100000007010100160
+10051050100510e0100510c010051240100110001015103010051280100110051
+00111a01015111010051000100300051110101511a0100110051001128010051040101510011240
+100510c0100510e01005105010051170100000601010000010000060101001601
+0051050100510d0100510e0100512201001100510011060100512701011100511b0101511001005
+1000100300051100101511b010211270100510601001100510011230100510d01
+00510d01005105010051160100000701010000000701010016010051050100510c0100510f01005
+1220100510111060100512a0100511b010011005100110e010051000100300051
+0e01001101511b0100512a01005106010211220100510f0100510c0100510501005117010000060
+10100000100000601010016010051050100510c0100510f010051210100510a01
+00112a0100511901001100510011005100110d0100510001003000510d010011005100110051001
+11a010051290100510a010051210100510f0100510c0100510501005116010000
+0701010000000701010015010011060100510b01005110010051200100510a01001100510011290
+10051190104110d0100510001003000510d010051031119010051290100110051
+00110a01005120010051100100510b0100510601005116010000060101000001000006010100140
+1001100510011050100110b010051110100511e0100510b01011100512a010051
+1a010051010101510a01005101010030000100510b010051010100511a0100512a0102110b01005
+11f010051100100510b0100510501001100510011140100000701010000000701
+01001401001100510011040100110051001109010051120100511d0100510e0100512b0100511a0
+100510201005109010051010100300001005109010151010100511a0100512b01
+00510e0100511d01005112010051090100110051001104010211150100000601010000010000060
+10100150100510501001100510011080100110051120100511c01005110010051
+2b01005119010051030100510011070100110101003000010051070100110051030100511901005
+12b010051100101511b0100511201005100110801021105010051150100000701
+010000000701010015010051060100510801001100510011120100511a010151120100512b01005
+11901005102010011005100110501001100510011000100300011005100110501
+00110051001102010051190100512b010051130100511a010051120100110051001108010051060
+10051160100000601010000010000060101001501005106010051080100110051
+00111301005118010051150100512b0100511801005102010211050100110051001100010030021
+105010051011102010051190100512a0100511501005119010051120102110801
+0051060100511501000007010100000007010100150100510701005107010051150100111701005
+1160100512b010051190100510301005106010051010100300001005106010051
+03010051190100512b0100511601005117010051150100510701005107010051160100000601010
+00001000006010100140100510801005107010051140100110051001115010051
+180100512b010051001117010051040100510501005101010030000100510501005104010051170
+1001100512b010051180100511501001100510011140100510701005107010051
+1501000007010100000007010100140100510801005106010051150101110051140100511a01005
+12a01001100510011170100510401005104010051010100300001005104010051
+0401005117010011005100112a0100511a010051140102111501005106010051080100511501000
+00601010000010000060101001401005108010051060100511701005112010011
+00511b0100512a01011100511701005104010051001103010051010100300001005103010011005
+104010051170102112a0100511b01005100111201005117010051060100510801
+0051140100000701010000000701010014010051080100510601005118010051100100110051001
+11c0100512c010051170100510301001100510011020100510101003000010051
+020100110051001103010051160101512c0100511c0100110051001111010051170100510601005
+10801005115010000060101000001000006010100140100510801005105010051
+190100511001005101111d0100512c0101511501005100110201021102010051010100300001005
+1020100510111020100110051150100512d0100511d0102111001005119010051
+050100510801005114010000070101000000070101001401005108010051050100511a0100510e0
+10051210100512d01005100111301001100510011030100510301005100010030
+00510301005103010011005100111301001100512d010051210100510f010051190100510501005
+10801005115010000060101000001000006010100140100510801005105010051
+1a0100510e010051210100510011280100110201001100510011000100111001011100510401005
+10201005100010030005102010051040102111001001100010011005100110201
+0011280100110051210100510e0100511a010051050100510801005114010000070101000000070
+101001401005109010051030100511c0100510c01005122010011005100111f01
+001103010351001101510111025100110151020100110c010051030100510201005100010030005
+102010051030100510c010011020103510011065100110251020100111f010011
+00510011220100510d0100511b01005103010051090100511501000006010100000100000601010
+01401005109010051030100511c0100510b0100512301011100511e0101510011
+0251010102110401001100510011010103510011015102010011060100510301005101010051000
+10030005101010051040100510501001102010351001101510101021104010211
+0201035100111e010211230100510b0100511c01005103010051090100511401000007010100000
+0070101001401005109010051020100511e01005109010051270100511b010151
+02110e0101510011010102110101035100110501005103010051001100010051000100300051000
+100110051030100510501015100110151010102110101001101510e0102110151
+1b010051270100510a0100511d01005102010051090100511501000006010100000100000601010
+01401005109010051020100511e01005108010051290101511501001100010151
+1401001100510011070102110151040100510011010100110051001100510001003000510011005
+10011010100110051040101510211070100110051001114010151000100111501
+015129010051080100511e010051020100510901005114010000070101000000070101001401005
+109010051020100511f010051070100512b010051130101510011160101110151
+0b01015100010011000100110051001100010311000100300051001100510011000100110051001
+100010011000101510b0100510211160101510011130100512b01005108010051
+1e010051020100510901005115010000060101000001000006010100130100510a0100510101005
+120010051060100512d0100511001015102111a0101510b010151021100510201
+01510111015102010211015100110b0101511a0102110151100100512d010051060100512001005
+101010051090100511401000007010100000007010100130100510a0100510101
+005121010051040100512f0100510b0100110001015121010151001108010211015100010051010
+10151021100510101005100010151021108010011015121010151000100110b01
+00512f0100510501005120010051010100510a01005114010000060101000001000006010100130
+100510a0100510101005121010051030100513101005109010011005100112401
+001101510c010251001100510001015100010051001102510c01001100510011240101510011090
+10051310100510301005121010051010100510a01005113010000070101000000
+07010100130100510b0101512301005101010051330101510601015101112401021103510001001
+10801015100110351001100510011080100110001035102112401021100510601
+01513301005102010051220101510b01005114010000060101000001000006010100130100510b0
+10151230100510101005135010051030101512f01001101510701021104510111
+0701001101512f010151030100513501005101010051230101510b0100511301000007010100000
+007010100130100110b0100112501001100513701005100110151310102110351
+0001001102010111005100110151011102010011000103510211310101510011005137010051001
+10051240100510b01001114010000060101000001000006010100123000110051
+0011093000110051001123300011005100113730001100510011393000110551001106510011015
+13930001100510011373000110051001123300011005100110930021112300000
+0701010000000701010012010011005100110901001100510011230100510111370100510111005
+13201001100010351021101010111015100110051011101010211035100010011
+32010051021137010211230102110901021113010000060101000001000006010100130100510b0
+10151230100510101005135010051030101512f01015100110701011100510011
+01510011005101110701015100112f010151030100513501005101010051230101510b010051130
+1000007010100000007010100130100510b010151220100510201005133010151
+0601015100112601001100010351021106010051001100510111015102110151060102110351000
+10011260100110151060101513301005101010051230101510b01005114010000
+060101000001000006010100130100510a010051010100512101005103010051310100510901001
+1015124010011005100110b010151000100510001005100010151000100510001
+0051000101510b01015100112401001100510011090100513101005103010051210100510101005
+10a0100511301000007010100000007010100130100510a010051010100512001
+0051050100512f0100510a010211015121010151011108010011015101010051010100510011000
+100300151010100510101015100110801021100512101015102110a0100512f01
+00510401005121010051010100510a0100511401000006010100000100000601010014010051090
+100510101005120010051060100512d01005110010151000100111b0101510b01
+0011005100110001001100510201001100510111005100110201005100110001001101510b01015
+11b01001100010151100100512d0100510601005120010051010100510a010051
+13010000070101000000070101001401005109010051020100511e010051080100512b010051130
+1001101511701001101510b010151031100510011010100510011005104110101
+00110051031101510b0101510011170100110151130100512b010051070100511f0100510201005
+10901005115010000060101000001000006010100140100510901005102010051
+1e01005108010051290101511401021103510001001110010011005100110801001100010151040
+10051011100010011005100110051000100300051001100510011000102110401
+0151000100110801001100510011100100110001035102111401015129010051080100511e01005
+10201005109010051140100000701010000000701010014010051090100510201
+00511d0100510a010051270100511d01001101510e0101510111010100110201015100110151050
+10051030102110051000100300051011100510301005105010011035102010011
+0101021100510d010051001101511d01005127010051090100511e0100510201005109010051150
+100000601010000010000060101001401005109010051030100511c0100510b01
+00512401001100511e0102110351010100110601001102010151001103510101021104010051040
+10051010100510001003000510101005103010051050102110101015100110351
+020100510601001100010351000102111e0100510011240100510b0100511c01005103010051090
+1005114010000070101000000070101001401005109010051030100511b010051
+0d0100512201001100510011250100510011065100110351010102110b010051030100510201005
+100010030005102010051030100510b0102110101015100110251001102510011
+01512601001100510011220100510c0100511c01005103010051090100511501000006010100000
+10000060101001401005108010051050100511a0100510e010051210100510111
+2601021101010011005103111001001100510401005102010051000100300051020100510401005
+1001110010311005100110101021126010211210100510e0100511a0100510501
+0051080100511401000007010100000007010100140100510801005105010051190100510f01005
+1210100512d010051011112010011005100110301005103010051000100300051
+030100510301001100510011120102112d010051210100510e0100511a010051050100510801005
+11501000006010100000100000601010014010051080100510501005119010051
+1001005100111e0100512d010051150100510111020100110051020100510101003000010051020
+10051001102010211150101512c0100511e010011005110010051190100510501
+0051080100511401000007010100000007010100140100510801005106010051170100511101001
+1005100111c0100512c0101511601005103010011005100110201005101010030
+00010051020100110051001103010051170100512c0100511c01001100510011100100511801005
+10601005108010051150100000601010000010000060101001401005108010051
+06010051170100511101011100511b0100512b01001100511701005104010211020100510101003
+000010051020101110051040100511701005100112b0100511b01021111010051
+1701005106010051080100511401000007010100000007010100140100510801005106010051160
+10011150100511a0100512a010011005100111701005104010051040100510101
+003000010051040100510401005117010011005100112a0100511a0100511401005100111601005
+10601005108010051150100000601010000010000060101001501005107010051
+07010051140100110051001115010051180100512b0100510111160100510401005105010051010
+10030000100510501005104010051160102112b01005118010051150100110051
+0011140100510701005108010051140100000701010000000701010015010051070100510701005
+1140100110051001116010051160100512b010051190100510301005106010051
+01010030000100510601005103010051190100512b0100511601005116010211140100510701005
+10701005116010000060101000001000006010100150100510601005109010011
+1301005119010051150100512a01005119010051030100110051060100110101003000010051060
+10051001103010051180100512b01005115010051180100511401005109010051
+06010051150100000701010000000701010015010051060100510801001100510011120100511a0
+10051130100512b01005119010051020100110051001105010011005100110001
+0030001100510011050100110051001102010051190100512b010051120101511a0100511201001
+10051001108010051060100511601000006010100000100000601010015010051
+06010011080101110051120100511b010151100100512b010051190100510301021105010011005
+1001100010030021105010111005103010051190100512b010051100100511c01
+0051120102110801005106010051150100000701010000000701010015010011050100110051001
+109010051120100511d0100510e0100512b0100511a0100510101015109010051
+010100300001005109010051020100511a0100512b0100510e0100511d010051120100510901001
+10051001105010051160100000601010000010000060101001401001100510011
+04010011005100110a010051100100511f0100510c01001100512a0100511a010051010100510b0
+100510101003000510b010151010100511a0100512a01005100110c0100511e01
+0051110100510a01021104010011005100111401000007010100000007010100140100110051001
+1050100510b01005110010051200100510a01001100510011290100511a010011
+0051001100510d0100510001003000510d0100510011005100111a01005129010011005100110a0
+1005120010051100100510b010051050102111501000006010100000100000601
+010016010051050100510c0100510f010051210100510901001100510011280100511a010011005
+10011005100110d0100510001003000510d010011005100110051001119010051
+2901021109010051210100510f0100510c010051050100511601000007010100000007010100160
+10051050100510c0100510f010051220100510011070100512a0100511a010011
+005102110d0100510001003000510d0104111a0100512a010051070100110051220100510f01005
+10c01005105010051170100000601010000010000060101001601005105010051
+0d0100510d0100512301001100510011060100512801001100511b0101511001005100010030005
+1100101511b0100510011280100510601001100510011220100510e0100510d01
+005105010051160100000701010000000701010016010051050100510e0100510c0100512301011
+101510401005128010011005100111a0101511101005100010051120101511a01
+00110051001128010051030101510211230100510c0100510e01005105010051170100000601010
+0000100000601010017010051040100510e0100510c0100512701015102010051
+2801001100510011180100110051000100511101005100010051120100510001005100111801021
+12801005101010151280100510c0100510e0100510401005117010000070101000000
+0701010017010051040100510f0100510b010051290102512901005119010011005100110001005
+1110100510001005112010051000100110051001119010051290101512a010051
+0b0100510f010051040100511801000006010100000100000601010017010051040100510f01005
+10a0100512c010151280100511701015102110051120100510001005113010051
+0111015118010051270102512b0100510b0100510f0100510401005117010000070101000000070
+10100170100510401005110010051090100512b01005101010151250100511501
+0011015104010051130101511301005103010151000100111501005124010151020100512b01005
+10901005110010051040100511801000006010100000100000601010018010051
+0301005111010051080100512b01005103010151230100511401001100510011050100511301005
+100301301005105010011005100111401005122010151040100512b0100510801
+0051110100510301005118010000070101000000070101001801005103010051110100510801005
+12a01005106010151000100111f01005113010051021105010051130100510030
+13010051050101110151130100511f0100110151070100512a01005108010051110100510301005
+11901000006010100000100000601010018010051030100511201005106010051
+2b0100510801001101511d010051120101510801005113010011005100111401005108010151120
+100511d01001100510011080100512a0100510701005112010051030100511801
+000007010100000007010100180100510301005112010051060100112a0100510901021101511b0
+100510f01001101510a01005113010211140100510a01015100110f0100511a01
+02510211090100512a0100510601005112010051030100511901000006010100000100000601010
+01901005102010051130100510401001100510011290100510e01025100010011
+150100510e0100510011005100110b0100511301005100010051140100510b01001101510f01005
+115010011000101510f0100512901001100510011040100511301005102010051
+1901000007010100000007010100190100510201005113010051001103010011005100112801005
+1120100110451030100110c0100510801001100010351000102110b0100511301
+0051000100300051130100510b010211035101010011080100510c0100110301025100110151120
+100512801021103010011005113010051020100511a0100000601010000010000
+0601010019010051020100511301001100510011030100512901005112010211020102510011035
+10301001104010051000100110201025100110151120100111301005101010030
+0051140100511101005100110351030100110001005104010011020102510011045102010211120
+10051290100510301001100510011130100510201005119010000070101000000
+07010100190100510201005113010111005103010051280100111c0102110101025100110651001
+10351020102111101001100510011120100510101003000010051120100110051
+001111010211010102510011065100110351020102111c010051280100510301021113010051020
+100511a0100000601010000010000060101001a01005101010051160100510201
+0051270100110051001123010211020100510001021119010011005100111101005102010030000
+10051120102111901021100010051020102112301001100510011270100510201
+005116010051010100511a010000070101000000070101001a01005101010051170100510101005
+12701001100510011280100111f01005112010051020100300101005112010051
+1f01005128010211270100510101005117010051010100511b01000006010100000100000601010
+01a0100510101005118010051000100512801005128010011005100111e010051
+120100510201003001010051120100511e010011005100112801005128010051010100511701005
+1010100511a010000070101000000070101001a01005101010011180100510001
+00512701005129010011005100111e010051110100510301003002010051110100511e010211280
+10051280100510001005118010051010100511b01000006010100000100000601
+01001b0101110051001118010151270100512a0100511f010051110100510301003002010051110
+100511f0100512a01005127010151180100110051001100511b010000070101000000
+070101001a010011005100110051001119010051270100512901005120010051100100510401003
+0030100511001005120010051290100512701005119010211005100111b010000
+0601010000010000060101001a0100110051001100511a010151260100512901005120010051100
+100510401003003010051100100512001005129010051260101511a0100510211
+1a010000070101000000070101001c0100510001005118010051010100512501005129010051200
+100510f01005105010030040100110f0100512001005129010051250100510001
+005119010051000100511d0100000601010000010000060101001c0100510001005118010051020
+100512401005129010051200100510e0100110051001104010030030100110051
+00110e0100512001005129010051240100510201005118010051000100511c01000007010100000
+0070101001d0101511801005103010051220100512a010051200100510e010211
+040100300301011100510e01005120010051290100512301005103010051180101511e010000060
+1010000010000060101001d0101511801005104010051210100512a0100512001
+00510d01005107010030060100510d010051200100512a0100512201005103010051180101511d0
+10000070101000000070101001e01015117010051040100512101005129010051
+210100510d01005107010030070100510c010051210100512901005121010051040100511701015
+11f0100000601010000010000060101001e010151170100510501005120010051
+29010051210100510c01005108010030070100510c0100512101005129010051200100510501005
+1170101511e010000070101000000070101001f01005117010051060100510011
+1e01005129010051210100510b01005109010030080100510b01005121010051290100511e01001
+100510601005117010051200100000601010000010000060101001f0100511701
+005106010011005100111d01005129010051210100110a0100510a010030090100510a010051210
+10051290100511d0100110051001106010051170100511f010000070101000000
+070101001f010151160100510601011100511c0100512a0100512001001100510011080100510b0
+100300a010051080100110051001120010051290100511d010211060100511601
+0151200100000601010000010000060101002001005116010051090101511a0100512a010051200
+1001100510011070100510c0100300b01005107010211200100512a0100511a01
+01510901005116010051200100000701010000000701010020010151150100110b0100511901001
+12901005123010051070100510c0100300c010051070100512201005129010051
+190100510b010051150101512101000006010100000100000601010020010151140100110051001
+10b01005117010011005100112801001123010051060100510d0100300c010051
+06010051230100512801001100510011170100510b0100110051001114010151200100000701010
+0000007010100200100510001005113010011005100110c010051160100110051
+00112701001100510011220100510401001100510e0100300d01005100110401005122010011005
+1001127010211160100510c010211130100510001005121010000060101000001
+0000060101002001005100010051140100510e01005116010051280100110051001122010051030
+10011005100110e0100300d010011005100110301005122010211280100511501
+01510e0100511401005100010051200100000701010000000701010021010051000100511301005
+10f010151140100512901005124010051020102110e0100300d01011100510301
+0051230100512901005114010051100100511301005100010051220100000601010000010000060
+10100210100510001005114010051100100511301005129010051240100510001
+0151110100301001015100010051240100512901005113010051100100511401005100010051210
+10000070101000000070101002101005101010051130100511101005112010051
+2901005124010151130100301201015124010051290100511201005111010051130100510101005
+12201000006010100000100000601010021010051010100511301005112010051
+1101005129010051240100511401003013010051240100512901005111010051120100511301005
+10101005121010000070101000000070101002201005101010011120100511301
+01510f010051290100512201015100010051130100301301025122010051290100510f010151130
+10051120100510101005123010000060101000001000006010100220100110001
+001100510011110100511501005100110d010051290100512101005102010051130100301201005
+10201005121010051290100510d01001100511501005111010011005100110001
+0051220100000701010000000701010021010011005102110051110100511501001101510c01005
+12901005120010051030100511301003012010051030100512001005129010051
+0c01001100510011150100511101031100510011220100000601010000010000060101002101001
+10051001101010051110100511501021101510a010051290100511e0101510401
+00511301003012010051040101511e010051290100510a010151021115010051110100510101021
+12101000007010100000007010100230100510201005111010051190101510801
+0051290100511c01001100510701005112010030120100510601005100111c01005129010051080
+101511a0100511001005102010051240100000601010000010000060101002301
+005103010051100100511b01015106010051290100511b010011005100110701001112010030110
+1005107010011005100111b01005129010051060101511b010051100100510301
+0051230100000701010000000701010024010051030100510f0100511d010251030100512901005
+11901015102110601001100510011110100301001001100510011060101110151
+1a01005129010051030102511d0100510f010051030100512501000006010100000100000601010
+024010051030100510f010051200101510101005129010051170101510b010111
+005111010030100102110a010151180100512901005101010151200100510f01005103010051240
+100000701010000000701010024010051040100510e0100512201025129010051
+150101510f01005111010030100100510e01015100111501005129010251220100510e010051040
+100512501000006010100000100000601010025010051040100510d0100512401
+015100010011260100511301015112010051100100300f010051100100110151140100512601001
+100010151240100510d0100510401005125010000070101000000070101002501
+0051050100510c01005124010051000100110151250100511101015114010051100100300f01005
+11001021101511201005125010011015100010051240100510c01005105010051
+2601000006010100000100000601010026010051040100510c01005124010051000102110351210
+100110d01001100010151170100510f0100300e01005116010251000100110d01
+005121010351021100010051240100510c010051040100512601000007010100000007010100260
+10051050100510c01005123010011070103511c010011005100110a0100510011
+0151190100510f0100300e0100511901001102510a010011005100111c010351070100512301005
+10c01005105010051270100000601010000010000060101002701005105010051
+0b01005122010011005100110a01035118010011005100110301001101010351000102111a01005
+10e0100300d0100511a010211000103510101001103010211180103510a010011
+00510011220100510b01005106010051260100000701010000000701010027010051060100510a0
+1001122010011005100110e010351000100111401005101010051001102512201
+00510e0100300d01005122010051001102510101005114010011000103510e010211220100510a0
+10051060100512801000006010100000100000601010027010051060100510901
+0011005100112201005113010011045103010011070100110101035100010211240100510d01003
+00c01005124010211000103510101001107010751001101511301005122010011
+0051001109010051060100512701000007010100000007010100280100510601005108010011005
+100112301005112010211020102510011075100110251000100512a0100510d01
+00300c0100512a01005100010051001108510701021112010051230102110801005106010051290
+10000060101000001000006010100280100510701005109010051230100511b01
+021105010211010100512b0100510c0100300b0100512b010051010102112401005123010051090
+10051070100512801000007010100000007010100290100510701005108010051
+230100512a0100512a0100510c0100300b0100512a0100512a01005123010051080100510701005
+12a01000006010100000100000601010029010051070100510011070100512301
+00512a0100512b0100510b0100300a0100512b0100512a010051230100510701001100510701005
+12901000007010100000007010100290100510701001100510011070100512201
+00512a0100512b01005100110a0100300901001100512b0100512a0100512201005107010011005
+10011070100512a0100000601010000010000060101002a010051060101110051
+07010051230100512a0100512a010011005100110901003008010011005100112a0100512a01005
+12301005107010211060100512a010000070101000000070101002a0100510901
+005106010051230100512a0100512a010111005109010030080102112a0100512a0100512301005
+106010051090100512b0100000601010000010000060101002b01001109010051
+06010051220100512a0100512d01005108010030070100512d0100512a010051220100510601005
+1090100512b010000070101000000070101002a01001100510011090100510501
+0051220100512b0100512c01005108010030060100512d0100512b0100512201005105010051090
+10011005100112b0100000601010000010000060101002a01011100510a010051
+04010051220100512b0100512d01005107010030060100512d0100512b010051220100510401005
+10a0102112a010000070101000000070101002c0100510b010051040100512201
+00512a0100512e01005106010030050100512e0100512a01005122010051040100510b0100512d0
+100000601010000010000060101002d0100510b01005103010051220100512a01
+00512f01005105010030040100512f0100512a01005122010051020101510b0100512d010000070
+101000000070101002e0100510b01015101010051220100512b0100112f010051
+04010030030100512f0100512b01005122010051010100510c0100512f010000060101000001000
+0060101002e0100510d01005101010051210100512a010011005100112e010051
+04010030020100512f010011005100112a01005121010051010100510d0100512e0100000701010
+00000070101002f0100510d01005100010051210100512a010011005100112f01
+00510301003001010051300102112a01005121010051000100510d0100513001000006010100000
+1000006010100300100510d010151220100512b01005130010051020100300001
+0051310100512b010051220101510d0100513001000007010100000007010100300100510e01015
+1210100112b010051310100510101003000010051310100512b01005121010151
+0e01005131010000060101000001000006010100310100510e01005120010011005100112b01005
+130010051010100300051310100512b01001100510011200100510e0100513101
+000007010100000007010100320100510d01015100111e010011005100112b01005131010051001
+10051320100512b0102111e01001101510e010051320100000601010000010000
+06010100320100510e010011005100111f0100512c0100513001001100510011310100512c01005
+11f010011005100110e0100513201000007010100000007010100330100510c01
+00110051001101511e0100512c010051300101110151300100512c0100511e01005103110c01005
+134010000060101000001000006010100330100510c0101110051010100511e01
+00512c0100512d01015101010030000100512e0100512c0100511e010051010102110c010051330
+1000007010100000007010100340100510d010051020101511c0100512c010051
+2c01005103010030010100512d0100512c0100511c010151020100510d010051350100000601010
+00001000006010100350100510d010051030101511b0100512c0100512a010051
+04010030020101512a0100512c0100511b010151030100510d01005135010000070101000000070
+10100350100510d010051050100511a0100512c01005128010151050100300401
+0051290100512c0100511a010051050100510d01005136010000060101000001000006010100360
+100510d01005105010151180100512d0100512601005107010030050100512701
+00512d01005118010151050100510d0100513601000007010100000007010100370100510c01005
+107010051180100512c010051250100510801003006010151250100512c010051
+18010051070100510c010051380100000601010000010000060101003701005100110c010051070
+10151160100512d010051230100510901003008010051230100512d0100511601
+0151070100510c0100110051370100000701010000000701010037010011005100110b010051090
+10151150100512c010051210101510a01003009010051220100512c0100511501
+0151090100510b01001100510011380100000601010000010000060101003701011100510c01005
+10a010051140100512d0100111e01001100510c0100300a01015100111e010051
+2d010051140100510a0100510c01021137010000070101000000070101003a0100510b0100510b0
+101510011110100512c010011005100111c010011005100110c0100300b010011
+01511c010011005100112c0100511101001101510b0100510b0100513b010000060101000001000
+0060101003b0100510b0100510b0100110151110100512b01011100511a010151
+02110c0100300b01021101511a0102112b01005111010011005100110b0100510b0100513b01000
+0070101000000070101003c0100510a0100510b01021101510f0100512e010051
+170101511101003010010151180100512d0100510f01015102110b0100510a0100513d010000060
+1010000010000060101003c0100510b0100510f0102510d0100512d0100511501
+01511301003012010151150100512d0100510d0102510f0100510b0100513c01000007010100000
+0070101003d0100510a010051120101510b0100512e0100511201015115010030
+14010151120100512e0100510b010151120100510a0100513e01000006010100000100000601010
+03e0100510a01005113010251090100112e0100510f0101511701003016010151
+0f0100512e01005109010251130100510a0100513e010000070101000000070101003f010051090
+100511601015106010011005100112e0100510c01015119010030180101510d01
+00512d0100110051001106010151160100510901005140010000060101000001000006010100400
+1005109010051170102510301011100512e01005108010011000101511b010030
+1a01015100010011080100512e01021103010251170100510901005140010000070101000000070
+1010041010051080100511a01015100010011010100512f010051050100510011
+01511d0100301c0100110251050100512f01005101010011000101511a010051080100514201000
+006010100000100000601010042010051080100511b0100110251000100512f01
+0551000102111d0100301c010211000105512f01005100010051001101511b01005108010051420
+1000007010100000007010100430100510701005100111a010211000104512801
+0551250100302501045128010451000102111a01001100510701005144010000060101000001000
+00601010044010051060100110051001120010051000105511a01001101010451
+04010051250100302401005104010451010100111a0105510001005120010011005100110601005
+14401000007010100000007010100440100510601011100512001005106010451
+0101001108010851001102510a01005124010030230100510a01005100110951090100110101045
+10601005120010211060100514501000006010100000100000601010045010051
+08010051200100510a01005100110951080102110c01005123010030220100510c0102110701085
+1001102510a010051200100510801005145010000070101000000070101004601
+005107010051210100510a010211210100512201003022010051200102110a01005121010051070
+10051470100000601010000010000060101004701005100110601005121010051
+2e0100510011210100302001001100512f010051200100510601001100514701000007010100000
+007010100470100110051001106010051200100512e0100110051001120010030
+1f010011005100112e0100512001005106010011005100114801000006010100000100000601010
+047010111015106010051200100512d0101110051200100301f0102112d010051
+2001005106010051021147010000070101000000070101004b01005105010051210100512f01015
+11e0100301d0101512f01005121010051050100514c0100000601010000010000
+060101004c0100510501005120010051310100511d0100301c01005131010051200100510501005
+14c010000070101000000070101004d0101510401005120010051310100511c01
+00301b0100513101005120010051040101514e0100000601010000010000060101004f010051040
+1005120010051310100511b0100301a0100513101005120010051040100514f01
+000007010100000007010100500100510401005120010051310100511a010030180101513101005
+12001005104010051510100000601010000010000060101005101015102010051
+2001005100113101015118010030170100513201001100512001005102010151510100000701010
+000000701010053010051020100511f0100110051001132010051170100301601
+005132010011005100111f010051020100515401000006010100000100000601010054010051020
+100511e0101110051330100511601003015010051330102111e01005102010051
+5401000007010100000007010100550101510101005120010051330100511501003014010051330
+10051200100510101015156010000060101000001000006010100570100510001
+0051210100513301015113010030120101513301005121010051000100515701000007010100000
+00701010058010051000100510011200100513401005100111101003010010011
+0051340100512001001100510001005159010000060101000001000006010100590100510011005
+10011200100513301001100510011100100300f01001100510011330100512001
+001100510011005159010000070101000000070101005a0101110051210100513201011101510f0
+100300e010051021132010051210102115b010000060101000001000006010100
+5a010211015120010051350101510d0100300c010151350100512001015102115a0100000701010
+00000070101005e0102511f010051360101510b0100300a010151370100511e01
+015160010000060101000001000006010100600102511d010051380101510901003008010151380
+100511d010251600100000701010000000701010061010051000101511c010051
+390101510701003007010051390100511c010151000100516201000006010100000100000601010
+062010051010101511b0100513a0101510501003005010151390100511b010151
+01010051620100000701010000000701010063010051020101511a0100513b01015103010030030
+101513a0100511a01015101010151640100000601010000010000060101006401
+015102010151190100513c01015101010030010101513b010051190101510201005165010000070
+101000000070101006601005103010151180100513d010151001101513c010051
+1801015103010051670100000601010000010000060101006701005104010151000100111501005
+100113c01001101513b0100110051150100110001015104010051670100000701
+0100000007010100680100510501001101511401001100510011370103510211025137010011005
+10011140100110151050100516901000006010100000100000601010069010051
+0401021103511001011101513301025104010030030103513201005102111001035102110301015
+169010000070101000000070101006a01015109010351100100512e0103510701
+0030070102512e01005110010351090100516c0100000601010000010000060101006c010051001
+10b0102510e010151290102510b0100300a010251290101510e0102510b010011
+00516c010000070101000000070101006c010011005100110d0103510c010151210100110001035
+10e0100300d01035100010011210101510c0103510d010011005100116d010000
+0601010000010000060101006c01011101511001035100010011080100511d01015100110151120
+100301101001103511d01005108010011000103511001005102116c0100000701
+0100000007010100700101511201001105510401015113010751010102111201003011010211010
+10651140101510401035100110151120101517101000006010100000100000601
+0100720101511001021103010a5104010011020106511f0100301d0107510201001104010a51030
+10211100101517201000007010100000007010100740100511e01015100010351
+00110351260100302501015100110551000101511e0100517501000006010100000100000601010
+0750101511e010151020102112801003027010211020101511e01015175010000
+07010100000007010100770101511e0100512d0100302c0100511e0101517801000006010100000
+1000006010100790101511d01015100112a0100302901001101511d0101517901
+0000070101000000070101007b0100511d01001101512901003028010011005100111d0100517c0
+100000601010000010000060101007c0101511b01021101512701003026010151
+02111b0101517c010000070101000000070101007e0101511e01015125010030240101511e01015
+17f0100000601010000010000060101008001015100111d010251220100302101
+02511d010011015180010000070101000000070101008101001101511f010151200100301f01015
+11f01001100510011820100000601010000010000060101008101021102511e01
+01511e0100301d0101511e01025102118101000007010100000007010100870102511d0102511b0
+100301a0102511d010251880100000601010000010000060101008a0102511d01
+015119010030180101511c0103518a010000070101000000070101008d0103511b0101510001001
+11501003014010011000101511b0102518f010000060101000001000006010100
+910102511a01001102511301003012010051001101511a01025191010000070101000a009401025
+10001001115010211000103510f0100300e010351000102111501001100010251
+9501090000010000000100000001000000010000000101009701001102511b0103510b010030090
+104511b0100510011015197010000000100000001000000010000000100000001
+000000000701010097010211000105511901045106010030040104511a010551000102119801000
+0060101000001000006010100a101055118010351010100110030000103511901
+0551a101000007010100000007010100a7010551010100110a01095100110b510b0100110101055
+1a8010000060101000001000006010100ad01005100110b510901021109010a51
+00110251ad01000007010100000007010100ae0102111501003014010211af01000006010100000
+1000006010100c7010030c601000007010100000007010100c7010030c7010000
+060101000001000006010100c7010030c601000007010100000007010100c7010030c7010000060
+101000001000006010100c7010030c601000007010100000007010100c7010030
+c7010000060101000001000006010100c7010030c601000007010100000007010100c7010030c70
+10000060101000001000006010100c7010030c601000007010100000007010100
+c7010030c7010000060101000001000006010100c7010030c601000007010100000007010100c70
+10030c7010000060101000001000006010100c7010030c6010000070101000000
+07010100c7010030c7010000060101000001000006010100c7010030c6010000070101000000070
+10100c7010030c7010000060101000001000006010100c7010030c60100000701
+0100000007010100000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000060101000001000006010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+00001000000010000000100000001000000010000000100000001000000010000
+0001000000010000000100000001000000010000000100000001000000010000000100000001000
+0000100000701010000001f010100ff015f0101001e010100000100001e010000
+ff01600100001f01010000001f010100ff015f0101001e010100000100001e010000ff016001000
+01f01010000001f010100ff015f0101001e010100000100001e010000ff016001
+00001f01010000001f010100ff015f0101001e010100000120000001ff00600000012000ff00a50
+0
+pop pop setmatrix
+
+/#copies 1 def
+%showpage 
+grestore
+%%Trailer
diff --git a/books/ps/bessel.ps b/books/ps/bessel.ps
new file mode 100644
index 0000000..33ee819
--- /dev/null
+++ b/books/ps/bessel.ps
@@ -0,0 +1,35500 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	31	232	219	101	psDrawLine
+	globGC	(X)	26	237	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	238	232	56	101	psDrawLine
+	globGC	(Y)	243	237	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	134	49	138	236	psDrawLine
+	globGC	(Z)	129	44	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.500000	setForeground
+	renderGC
+	135	137
+	140	138
+	137	136
+	4	135	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	138
+	137	136
+	3	135	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	68
+	137	136
+	140	138
+	4	142	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	136
+	140	138
+	3	142	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	136
+	142	68
+	139	67
+	4	137	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	68
+	139	67
+	3	137	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	139
+	138	139
+	135	137
+	4	133	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	139
+	135	137
+	3	133	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	138
+	135	137
+	138	139
+	4	140	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	137
+	138	139
+	3	140	138	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	138	139
+	143	137
+	140	138
+	4	138	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	137
+	140	138
+	3	138	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	70
+	140	138
+	143	137
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	138
+	143	137
+	3	145	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	138
+	145	70
+	142	68
+	4	140	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	142	68
+	3	140	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	73
+	135	134
+	133	139
+	4	128	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	134
+	133	139
+	3	128	73	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	138	139
+	133	139
+	135	134
+	4	138	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	139
+	135	134
+	3	138	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	134
+	141	140
+	138	139
+	4	135	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	140
+	138	139
+	3	135	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	143	137
+	138	139
+	141	140
+	4	143	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	139
+	141	140
+	3	143	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	140
+	146	114
+	143	137
+	4	141	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	114
+	143	137
+	3	141	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	72
+	143	137
+	146	114
+	4	148	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	137
+	146	114
+	3	148	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	137
+	148	72
+	145	70
+	4	143	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	72
+	145	70
+	3	143	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	112
+	143	118
+	141	140
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	118
+	141	140
+	3	138	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	114
+	141	140
+	143	118
+	4	146	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	140
+	143	118
+	3	146	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	140
+	135	134
+	138	112
+	4	141	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	134
+	138	112
+	3	141	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	75
+	138	112
+	135	134
+	4	131	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	135	134
+	3	131	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	134
+	128	73
+	131	75
+	4	135	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	73
+	131	75
+	3	135	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	101
+	146	106
+	143	118
+	4	140	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	106
+	143	118
+	3	140	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	102
+	143	118
+	146	106
+	4	149	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	118
+	146	106
+	3	149	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	118
+	149	102
+	146	114
+	4	143	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	102
+	146	114
+	3	143	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	118
+	138	112
+	140	101
+	4	143	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	140	101
+	3	143	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	74
+	146	114
+	149	102
+	4	152	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	114
+	149	102
+	3	152	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	114
+	152	74
+	148	72
+	4	146	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	74
+	148	72
+	3	146	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	77
+	140	101
+	138	112
+	4	134	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	101
+	138	112
+	3	134	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	112
+	131	75
+	134	77
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	75
+	134	77
+	3	138	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	96
+	150	100
+	146	106
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	100
+	146	106
+	3	144	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	96
+	146	106
+	150	100
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	106
+	150	100
+	3	152	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	106
+	152	96
+	149	102
+	4	146	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	149	102
+	3	146	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	106
+	140	101
+	144	96
+	4	146	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	101
+	144	96
+	3	146	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	76
+	149	102
+	152	96
+	4	155	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	102
+	152	96
+	3	155	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	102
+	155	76
+	152	74
+	4	149	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	76
+	152	74
+	3	149	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	79
+	144	96
+	140	101
+	4	137	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	140	101
+	3	137	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	101
+	134	77
+	137	79
+	4	140	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	77
+	137	79
+	3	140	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	94
+	153	97
+	150	100
+	4	147	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	97
+	150	100
+	3	147	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	93
+	150	100
+	153	97
+	4	155	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	100
+	153	97
+	3	155	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	100
+	155	93
+	152	96
+	4	150	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	93
+	152	96
+	3	150	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	100
+	144	96
+	147	94
+	4	150	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	147	94
+	3	150	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	78
+	152	96
+	155	93
+	4	158	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	155	93
+	3	158	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	96
+	158	78
+	155	76
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	78
+	155	76
+	3	152	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	82
+	147	94
+	144	96
+	4	141	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	94
+	144	96
+	3	141	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	96
+	137	79
+	141	82
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	79
+	141	82
+	3	144	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	98
+	114	100
+	112	104
+	4	108	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	100
+	112	104
+	3	108	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	96
+	112	104
+	114	100
+	4	117	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	104
+	114	100
+	3	117	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	104
+	117	96
+	114	99
+	4	112	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	96
+	114	99
+	3	112	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	81
+	114	99
+	117	96
+	4	119	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	99
+	117	96
+	3	119	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	99
+	119	81
+	116	79
+	4	114	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	81
+	116	79
+	3	114	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	94
+	156	96
+	153	97
+	4	150	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	96
+	153	97
+	3	150	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	92
+	153	97
+	156	96
+	4	159	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	97
+	156	96
+	3	159	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	97
+	159	92
+	155	93
+	4	153	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	92
+	155	93
+	3	153	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	97
+	147	94
+	150	94
+	4	153	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	94
+	150	94
+	3	153	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	80
+	155	93
+	159	92
+	4	162	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	93
+	159	92
+	3	162	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	93
+	162	80
+	158	78
+	4	155	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	80
+	158	78
+	3	155	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	84
+	150	94
+	147	94
+	4	144	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	94
+	147	94
+	3	144	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	94
+	141	82
+	144	84
+	4	147	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	82
+	144	84
+	3	147	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	5
+	131	75
+	128	73
+	4	122	5	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	75
+	128	73
+	3	122	5	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	97
+	117	99
+	114	100
+	4	111	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	99
+	114	100
+	3	111	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	94
+	114	100
+	117	99
+	4	120	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	100
+	117	99
+	3	120	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	100
+	120	94
+	117	96
+	4	114	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	94
+	117	96
+	3	114	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	100
+	108	98
+	111	97
+	4	114	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	98
+	111	97
+	3	114	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	83
+	117	96
+	120	94
+	4	123	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	96
+	120	94
+	3	123	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	96
+	123	83
+	119	81
+	4	117	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	83
+	119	81
+	3	117	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	94
+	159	96
+	156	96
+	4	153	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	96
+	156	96
+	3	153	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	91
+	156	96
+	159	96
+	4	162	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	96
+	159	96
+	3	162	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	96
+	162	91
+	159	92
+	4	156	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	91
+	159	92
+	3	156	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	96
+	150	94
+	153	94
+	4	156	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	94
+	153	94
+	3	156	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	81
+	159	92
+	162	91
+	4	165	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	92
+	162	91
+	3	165	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	92
+	165	81
+	162	80
+	4	159	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	81
+	162	80
+	3	159	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	39
+	134	77
+	131	75
+	4	127	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	77
+	131	75
+	3	127	39	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	75
+	122	5
+	127	39
+	4	131	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	5
+	127	39
+	3	131	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	88
+	111	97
+	108	98
+	4	105	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	97
+	108	98
+	3	105	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	87
+	153	94
+	150	94
+	4	147	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	94
+	150	94
+	3	147	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	94
+	144	84
+	147	87
+	4	150	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	84
+	147	87
+	3	150	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	56
+	137	79
+	134	77
+	4	131	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	79
+	134	77
+	3	131	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	77
+	127	39
+	131	56
+	4	134	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	39
+	131	56
+	3	134	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	95
+	163	96
+	159	96
+	4	157	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	96
+	159	96
+	3	157	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	92
+	159	96
+	163	96
+	4	166	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	96
+	163	96
+	3	166	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	96
+	166	92
+	162	91
+	4	159	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	92
+	162	91
+	3	159	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	96
+	153	94
+	157	95
+	4	159	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	94
+	157	95
+	3	159	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	98
+	121	99
+	117	99
+	4	114	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	99
+	117	99
+	3	114	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	94
+	117	99
+	121	99
+	4	123	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	99
+	121	99
+	3	123	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	99
+	123	94
+	120	94
+	4	117	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	94
+	120	94
+	3	117	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	99
+	111	97
+	114	98
+	4	117	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	97
+	114	98
+	3	117	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	83
+	162	91
+	166	92
+	4	169	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	91
+	166	92
+	3	169	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	91
+	169	83
+	165	81
+	4	162	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	83
+	165	81
+	3	162	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	65
+	141	82
+	137	79
+	4	134	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	82
+	137	79
+	3	134	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	79
+	131	56
+	134	65
+	4	137	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	56
+	134	65
+	3	137	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	84
+	120	94
+	123	94
+	4	126	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	94
+	123	94
+	3	126	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	94
+	126	84
+	123	83
+	4	120	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	84
+	123	83
+	3	120	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	89
+	157	95
+	153	94
+	4	151	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	95
+	153	94
+	3	151	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	94
+	147	87
+	151	89
+	4	153	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	87
+	151	89
+	3	153	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	91
+	114	98
+	111	97
+	4	108	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	98
+	111	97
+	3	108	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	97
+	105	88
+	108	91
+	4	111	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	88
+	108	91
+	3	111	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	58
+	116	79
+	119	81
+	4	121	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	79
+	119	81
+	3	121	58	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	79
+	121	58
+	117	43
+	4	116	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	58
+	117	43
+	3	116	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	72
+	144	84
+	141	82
+	4	138	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	84
+	141	82
+	3	138	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	82
+	134	65
+	138	72
+	4	141	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	65
+	138	72
+	3	141	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	97
+	166	97
+	163	96
+	4	160	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	97
+	163	96
+	3	160	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	93
+	163	96
+	166	97
+	4	169	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	96
+	166	97
+	3	169	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	96
+	169	93
+	166	92
+	4	163	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	93
+	166	92
+	3	163	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	96
+	157	95
+	160	97
+	4	163	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	95
+	160	97
+	3	163	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	92
+	160	97
+	157	95
+	4	154	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	97
+	157	95
+	3	154	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	95
+	151	89
+	154	92
+	4	157	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	89
+	154	92
+	3	157	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	85
+	166	92
+	169	93
+	4	172	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	92
+	169	93
+	3	172	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	92
+	172	85
+	169	83
+	4	166	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	85
+	169	83
+	3	166	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	99
+	124	99
+	121	99
+	4	118	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	99
+	121	99
+	3	118	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	94
+	121	99
+	124	99
+	4	126	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	99
+	124	99
+	3	126	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	99
+	126	94
+	123	94
+	4	121	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	94
+	123	94
+	3	121	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	99
+	114	98
+	118	99
+	4	121	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	98
+	118	99
+	3	121	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	94
+	118	99
+	114	98
+	4	111	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	99
+	114	98
+	3	111	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	98
+	108	91
+	111	94
+	4	114	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	91
+	111	94
+	3	114	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	67
+	119	81
+	123	83
+	4	125	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	81
+	123	83
+	3	125	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	81
+	125	67
+	121	58
+	4	119	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	67
+	121	58
+	3	119	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	77
+	147	87
+	144	84
+	4	141	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	87
+	144	84
+	3	141	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	84
+	138	72
+	141	77
+	4	144	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	72
+	141	77
+	3	144	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	86
+	123	94
+	126	94
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	94
+	126	94
+	3	129	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	94
+	129	86
+	126	84
+	4	123	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	126	84
+	3	123	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	81
+	151	89
+	147	87
+	4	144	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	89
+	147	87
+	3	144	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	87
+	141	77
+	144	81
+	4	147	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	77
+	144	81
+	3	147	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	94
+	164	98
+	160	97
+	4	157	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	98
+	160	97
+	3	157	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	97
+	160	97
+	164	98
+	4	166	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	97
+	164	98
+	3	166	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	97
+	154	92
+	157	94
+	4	160	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	92
+	157	94
+	3	160	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	98
+	170	98
+	166	97
+	4	164	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	98
+	166	97
+	3	164	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	94
+	166	97
+	170	98
+	4	173	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	97
+	170	98
+	3	173	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	97
+	173	94
+	169	93
+	4	166	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	94
+	169	93
+	3	166	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	73
+	123	83
+	126	84
+	4	128	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	83
+	126	84
+	3	128	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	83
+	128	73
+	125	67
+	4	123	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	73
+	125	67
+	3	123	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	97
+	121	101
+	118	99
+	4	114	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	101
+	118	99
+	3	114	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	99
+	118	99
+	121	101
+	4	124	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	99
+	121	101
+	3	124	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	99
+	111	94
+	114	97
+	4	118	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	94
+	114	97
+	3	118	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	87
+	169	93
+	173	94
+	4	176	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	93
+	173	94
+	3	176	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	93
+	176	87
+	172	85
+	4	169	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	87
+	172	85
+	3	169	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	81
+	108	91
+	105	88
+	4	101	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	91
+	105	88
+	3	101	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	101
+	127	100
+	124	99
+	4	121	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	100
+	124	99
+	3	121	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	95
+	124	99
+	127	100
+	4	130	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	99
+	127	100
+	3	130	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	99
+	130	95
+	126	94
+	4	124	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	95
+	126	94
+	3	124	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	85
+	154	92
+	151	89
+	4	148	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	92
+	151	89
+	3	148	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	89
+	144	81
+	148	85
+	4	151	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	81
+	148	85
+	3	151	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	87
+	126	94
+	130	95
+	4	132	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	94
+	130	95
+	3	132	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	94
+	132	87
+	129	86
+	4	126	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	87
+	129	86
+	3	126	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	97
+	167	100
+	164	98
+	4	161	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	100
+	164	98
+	3	161	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	98
+	164	98
+	167	100
+	4	170	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	98
+	167	100
+	3	170	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	98
+	157	94
+	161	97
+	4	164	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	94
+	161	97
+	3	164	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	86
+	111	94
+	108	91
+	4	104	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	94
+	108	91
+	3	104	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	91
+	101	81
+	104	86
+	4	108	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	81
+	104	86
+	3	108	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	77
+	126	84
+	129	86
+	4	132	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	84
+	129	86
+	3	132	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	84
+	132	77
+	128	73
+	4	126	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	77
+	128	73
+	3	126	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	100
+	173	100
+	170	98
+	4	167	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	100
+	170	98
+	3	167	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	95
+	170	98
+	173	100
+	4	176	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	98
+	173	100
+	3	176	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	98
+	176	95
+	173	94
+	4	170	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	95
+	173	94
+	3	170	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	99
+	124	102
+	121	101
+	4	118	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	102
+	121	101
+	3	118	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	100
+	121	101
+	124	102
+	4	127	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	101
+	124	102
+	3	127	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	101
+	114	97
+	118	99
+	4	121	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	97
+	118	99
+	3	121	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	88
+	157	94
+	154	92
+	4	151	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	94
+	154	92
+	3	151	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	92
+	148	85
+	151	88
+	4	154	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	85
+	151	88
+	3	154	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	88
+	173	94
+	176	95
+	4	179	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	94
+	176	95
+	3	179	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	94
+	179	88
+	176	87
+	4	173	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	88
+	176	87
+	3	173	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	90
+	114	97
+	111	94
+	4	108	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	97
+	111	94
+	3	108	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	94
+	104	86
+	108	90
+	4	111	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	86
+	108	90
+	3	111	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	102
+	130	101
+	127	100
+	4	124	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	101
+	127	100
+	3	124	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	96
+	127	100
+	130	101
+	4	133	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	100
+	130	101
+	3	133	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	100
+	133	96
+	130	95
+	4	127	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	96
+	130	95
+	3	127	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	100
+	171	102
+	167	100
+	4	164	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	102
+	167	100
+	3	164	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	100
+	167	100
+	171	102
+	4	173	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	100
+	171	102
+	3	173	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	100
+	161	97
+	164	100
+	4	167	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	97
+	164	100
+	3	167	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	91
+	161	97
+	157	94
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	97
+	157	94
+	3	155	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	94
+	151	88
+	155	91
+	4	157	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	88
+	155	91
+	3	157	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	89
+	130	95
+	133	96
+	4	136	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	95
+	133	96
+	3	136	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	95
+	136	89
+	132	87
+	4	130	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	89
+	132	87
+	3	130	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	80
+	129	86
+	132	87
+	4	135	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	132	87
+	3	135	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	86
+	135	80
+	132	77
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	80
+	132	77
+	3	129	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	102
+	127	104
+	124	102
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	104
+	124	102
+	3	121	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	101
+	124	102
+	127	104
+	4	130	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	102
+	127	104
+	3	130	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	102
+	118	99
+	121	102
+	4	124	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	99
+	121	102
+	3	124	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	93
+	118	99
+	114	97
+	4	111	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	99
+	114	97
+	3	111	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	97
+	108	90
+	111	93
+	4	114	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	90
+	111	93
+	3	114	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	102
+	177	101
+	173	100
+	4	171	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	101
+	173	100
+	3	171	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	96
+	173	100
+	177	101
+	4	180	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	100
+	177	101
+	3	180	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	100
+	180	96
+	176	95
+	4	173	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	96
+	176	95
+	3	173	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	90
+	176	95
+	180	96
+	4	183	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	95
+	180	96
+	3	183	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	95
+	183	90
+	179	88
+	4	176	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	90
+	179	88
+	3	176	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	76
+	144	81
+	141	77
+	4	138	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	81
+	141	77
+	3	138	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	77
+	135	71
+	138	76
+	4	141	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	71
+	138	76
+	3	141	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	71
+	141	77
+	138	72
+	4	135	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	77
+	138	72
+	3	135	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	94
+	164	100
+	161	97
+	4	158	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	100
+	161	97
+	3	158	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	97
+	155	91
+	158	94
+	4	161	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	158	94
+	3	161	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	72
+	131	64
+	135	71
+	4	138	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	64
+	135	71
+	3	138	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	64
+	138	72
+	134	65
+	4	131	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	72
+	134	65
+	3	131	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	102
+	174	104
+	171	102
+	4	168	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	104
+	171	102
+	3	168	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	101
+	171	102
+	174	104
+	4	177	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	102
+	174	104
+	3	177	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	102
+	164	100
+	168	102
+	4	171	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	100
+	168	102
+	3	171	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	80
+	148	85
+	144	81
+	4	141	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	85
+	144	81
+	3	141	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	81
+	138	76
+	141	80
+	4	144	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	76
+	141	80
+	3	144	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	97
+	121	102
+	118	99
+	4	114	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	118	99
+	3	114	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	99
+	111	93
+	114	97
+	4	118	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	93
+	114	97
+	3	118	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	104
+	133	102
+	130	101
+	4	127	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	102
+	130	101
+	3	127	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	97
+	130	101
+	133	102
+	4	136	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	101
+	133	102
+	3	136	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	101
+	136	97
+	133	96
+	4	130	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	97
+	133	96
+	3	130	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	83
+	132	87
+	136	89
+	4	139	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	87
+	136	89
+	3	139	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	87
+	139	83
+	135	80
+	4	132	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	83
+	135	80
+	3	132	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	65
+	127	54
+	131	64
+	4	134	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	54
+	131	64
+	3	134	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	54
+	134	65
+	131	56
+	4	127	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	65
+	131	56
+	3	127	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	105
+	131	106
+	127	104
+	4	124	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	106
+	127	104
+	3	124	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	102
+	127	104
+	131	106
+	4	133	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	104
+	131	106
+	3	133	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	104
+	121	102
+	124	105
+	4	127	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	102
+	124	105
+	3	127	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	83
+	151	88
+	148	85
+	4	145	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	88
+	148	85
+	3	145	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	85
+	141	80
+	145	83
+	4	148	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	80
+	145	83
+	3	148	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	90
+	133	96
+	136	97
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	96
+	136	97
+	3	139	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	96
+	139	90
+	136	89
+	4	133	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	136	89
+	3	133	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	98
+	168	102
+	164	100
+	4	162	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	102
+	164	100
+	3	162	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	100
+	158	94
+	162	98
+	4	164	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	94
+	162	98
+	3	164	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	71
+	128	73
+	132	77
+	4	135	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	73
+	132	77
+	3	135	71	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	73
+	135	71
+	131	64
+	4	128	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	71
+	131	64
+	3	128	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	64
+	125	67
+	128	73
+	4	131	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	67
+	128	73
+	3	131	64	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	104
+	181	102
+	177	101
+	4	174	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	102
+	177	101
+	3	174	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	97
+	177	101
+	181	102
+	4	183	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	101
+	181	102
+	3	183	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	101
+	183	97
+	180	96
+	4	177	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	97
+	180	96
+	3	177	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	106
+	90	102
+	87	102
+	4	84	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	102
+	87	102
+	3	84	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	97
+	87	102
+	90	102
+	4	92	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	102
+	90	102
+	3	92	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	102
+	92	97
+	89	96
+	4	87	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	97
+	89	96
+	3	87	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	108
+	87	107
+	84	106
+	4	81	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	107
+	84	106
+	3	81	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	102
+	84	106
+	87	107
+	4	90	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	106
+	87	107
+	3	90	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	100
+	124	105
+	121	102
+	4	118	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	105
+	121	102
+	3	118	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	102
+	114	97
+	118	100
+	4	121	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	97
+	118	100
+	3	121	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	125	67
+	131	64
+	127	54
+	4	125	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	64
+	127	54
+	3	125	67	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	54
+	121	58
+	125	67
+	4	127	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	58
+	125	67
+	3	127	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	76
+	132	77
+	135	80
+	4	138	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	77
+	135	80
+	3	138	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	77
+	138	76
+	135	71
+	4	132	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	76
+	135	71
+	3	132	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	86
+	155	91
+	151	88
+	4	148	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	151	88
+	3	148	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	88
+	145	83
+	148	86
+	4	151	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	83
+	148	86
+	3	151	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	92
+	180	96
+	183	97
+	4	186	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	96
+	183	97
+	3	186	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	96
+	186	92
+	183	90
+	4	180	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	92
+	183	90
+	3	180	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	105
+	178	106
+	174	104
+	4	171	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	106
+	174	104
+	3	171	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	102
+	174	104
+	178	106
+	4	181	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	104
+	178	106
+	3	181	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	104
+	168	102
+	171	105
+	4	174	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	102
+	171	105
+	3	174	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	79
+	104	86
+	101	81
+	4	98	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	86
+	101	81
+	3	98	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	84
+	108	90
+	104	86
+	4	101	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	90
+	104	86
+	3	101	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	86
+	98	79
+	101	84
+	4	104	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	79
+	101	84
+	3	104	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	101
+	171	105
+	168	102
+	4	165	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	105
+	168	102
+	3	165	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	102
+	162	98
+	165	101
+	4	168	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	98
+	165	101
+	3	168	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	106
+	137	103
+	133	102
+	4	131	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	103
+	133	102
+	3	131	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	98
+	133	102
+	137	103
+	4	140	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	102
+	137	103
+	3	140	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	102
+	140	98
+	136	97
+	4	133	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	98
+	136	97
+	3	133	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	85
+	136	89
+	139	90
+	4	142	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	89
+	139	90
+	3	142	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	89
+	142	85
+	139	83
+	4	136	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	85
+	139	83
+	3	136	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	90
+	89	96
+	92	97
+	4	95	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	96
+	92	97
+	3	95	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	96
+	95	90
+	92	89
+	4	89	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	90
+	92	89
+	3	89	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	80
+	135	80
+	139	83
+	4	141	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	80
+	139	83
+	3	141	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	80
+	141	80
+	138	76
+	4	135	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	80
+	138	76
+	3	135	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	90
+	158	94
+	155	91
+	4	152	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	94
+	155	91
+	3	152	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	91
+	148	86
+	152	90
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	86
+	152	90
+	3	155	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	87
+	111	93
+	108	90
+	4	104	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	93
+	108	90
+	3	104	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	90
+	101	84
+	104	87
+	4	108	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	84
+	104	87
+	3	108	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	108
+	84	110
+	81	108
+	4	77	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	110
+	81	108
+	3	77	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	107
+	81	108
+	84	110
+	4	87	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	108
+	84	110
+	3	87	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	107
+	134	107
+	131	106
+	4	128	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	107
+	131	106
+	3	128	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	103
+	131	106
+	134	107
+	4	137	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	106
+	134	107
+	3	137	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	106
+	124	105
+	128	107
+	4	131	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	105
+	128	107
+	3	131	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	104
+	128	107
+	124	105
+	4	121	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	107
+	124	105
+	3	121	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	105
+	118	100
+	121	104
+	4	124	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	100
+	121	104
+	3	124	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	83
+	145	83
+	141	80
+	4	139	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	83
+	141	80
+	3	139	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	92
+	136	97
+	140	98
+	4	143	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	97
+	140	98
+	3	143	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	97
+	143	92
+	139	90
+	4	136	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	92
+	139	90
+	3	136	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	91
+	114	97
+	111	93
+	4	108	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	97
+	111	93
+	3	108	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	93
+	104	87
+	108	91
+	4	111	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	87
+	108	91
+	3	111	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	106
+	184	103
+	181	102
+	4	178	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	103
+	181	102
+	3	178	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	98
+	181	102
+	184	103
+	4	187	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	102
+	184	103
+	3	187	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	102
+	187	98
+	183	97
+	4	181	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	98
+	183	97
+	3	181	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	56
+	124	38
+	127	54
+	4	131	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	38
+	127	54
+	3	131	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	38
+	131	56
+	127	39
+	4	124	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	56
+	127	39
+	3	124	38	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	93
+	162	98
+	158	94
+	4	155	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	98
+	158	94
+	3	155	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	94
+	152	90
+	155	93
+	4	158	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	90
+	155	93
+	3	158	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	83
+	139	83
+	142	85
+	4	145	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	83
+	142	85
+	3	145	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	107
+	181	107
+	178	106
+	4	175	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	107
+	178	106
+	3	175	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	103
+	178	106
+	181	107
+	4	184	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	106
+	181	107
+	3	184	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	106
+	171	105
+	175	107
+	4	178	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	105
+	175	107
+	3	178	106	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	121	58
+	127	54
+	124	38
+	4	121	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	54
+	124	38
+	3	121	58	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	38
+	117	43
+	121	58
+	4	124	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	43
+	121	58
+	3	124	38	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	104
+	175	107
+	171	105
+	4	169	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	107
+	171	105
+	3	169	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	105
+	165	101
+	169	104
+	4	171	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	101
+	169	104
+	3	171	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	110
+	90	108
+	87	107
+	4	84	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	108
+	87	107
+	3	84	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	103
+	87	107
+	90	108
+	4	93	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	107
+	90	108
+	3	93	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	107
+	93	103
+	90	102
+	4	87	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	103
+	90	102
+	3	87	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	93
+	183	97
+	187	98
+	4	190	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	97
+	187	98
+	3	190	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	97
+	190	93
+	186	92
+	4	183	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	93
+	186	92
+	3	183	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	85
+	148	86
+	145	83
+	4	142	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	86
+	145	83
+	3	142	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	95
+	118	100
+	114	97
+	4	111	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	100
+	114	97
+	3	111	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	97
+	108	91
+	111	95
+	4	114	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	91
+	111	95
+	3	114	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	97
+	90	102
+	93	103
+	4	95	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	102
+	93	103
+	3	95	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	102
+	95	97
+	92	97
+	4	90	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	97
+	92	97
+	3	90	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	107
+	131	109
+	128	107
+	4	125	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	109
+	128	107
+	3	125	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	107
+	128	107
+	131	109
+	4	134	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	107
+	131	109
+	3	134	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	107
+	121	104
+	125	107
+	4	128	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	104
+	125	107
+	3	128	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	85
+	92	89
+	95	90
+	4	98	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	89
+	95	90
+	3	98	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	89
+	98	85
+	95	83
+	4	92	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	85
+	95	83
+	3	92	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	88
+	139	90
+	143	92
+	4	145	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	143	92
+	3	145	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	90
+	145	88
+	142	85
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	88
+	142	85
+	3	139	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	96
+	165	101
+	162	98
+	4	159	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	101
+	162	98
+	3	159	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	98
+	155	93
+	159	96
+	4	162	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	93
+	159	96
+	3	162	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	111
+	87	111
+	84	110
+	4	81	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	111
+	84	110
+	3	81	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	108
+	84	110
+	87	111
+	4	90	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	110
+	87	111
+	3	90	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	110
+	77	108
+	81	111
+	4	84	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	108
+	81	111
+	3	84	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	107
+	140	104
+	137	103
+	4	134	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	104
+	137	103
+	3	134	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	99
+	137	103
+	140	104
+	4	143	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	103
+	140	104
+	3	143	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	103
+	143	99
+	140	98
+	4	137	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	99
+	140	98
+	3	137	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	109
+	137	108
+	134	107
+	4	131	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	108
+	134	107
+	3	131	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	104
+	134	107
+	137	108
+	4	140	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	107
+	137	108
+	3	140	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	99
+	121	104
+	118	100
+	4	115	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	104
+	118	100
+	3	115	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	100
+	111	95
+	115	99
+	4	118	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	95
+	115	99
+	3	118	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	88
+	152	90
+	148	86
+	4	145	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	90
+	148	86
+	3	145	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	86
+	142	85
+	145	88
+	4	148	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	85
+	145	88
+	3	148	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	108
+	81	111
+	77	108
+	4	74	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	111
+	77	108
+	3	74	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	92
+	92	97
+	95	97
+	4	98	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	97
+	95	97
+	3	98	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	97
+	98	92
+	95	90
+	4	92	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	92
+	95	90
+	3	92	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	83
+	101	84
+	98	79
+	4	95	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	84
+	98	79
+	3	95	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	107
+	179	109
+	175	107
+	4	172	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	109
+	175	107
+	3	172	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	107
+	175	107
+	179	109
+	4	181	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	107
+	179	109
+	3	181	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	107
+	169	104
+	172	107
+	4	175	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	104
+	172	107
+	3	175	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	107
+	188	105
+	184	103
+	4	181	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	184	103
+	3	181	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	100
+	184	103
+	188	105
+	4	191	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	103
+	188	105
+	3	191	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	103
+	191	100
+	187	98
+	4	184	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	100
+	187	98
+	3	184	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	94
+	140	98
+	143	99
+	4	146	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	98
+	143	99
+	3	146	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	98
+	146	94
+	143	92
+	4	140	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	94
+	143	92
+	3	140	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	99
+	169	104
+	165	101
+	4	162	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	104
+	165	101
+	3	162	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	101
+	159	96
+	162	99
+	4	165	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	96
+	162	99
+	3	165	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	98	85
+	104	87
+	101	84
+	4	98	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	87
+	101	84
+	3	98	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	84
+	95	83
+	98	85
+	4	101	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	83
+	98	85
+	3	101	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	109
+	185	109
+	181	107
+	4	179	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	109
+	181	107
+	3	179	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	105
+	181	107
+	185	109
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	107
+	185	109
+	3	188	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	102
+	125	107
+	121	104
+	4	118	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	107
+	121	104
+	3	118	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	104
+	115	99
+	118	102
+	4	121	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	99
+	118	102
+	3	121	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	91
+	155	93
+	152	90
+	4	149	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	93
+	152	90
+	3	149	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	90
+	145	88
+	149	91
+	4	152	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	88
+	149	91
+	3	152	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	110
+	134	111
+	131	109
+	4	128	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	111
+	131	109
+	3	128	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	108
+	131	109
+	134	111
+	4	137	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	109
+	134	111
+	3	137	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	109
+	125	107
+	128	110
+	4	131	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	107
+	128	110
+	3	131	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	95
+	187	98
+	191	100
+	4	194	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	98
+	191	100
+	3	194	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	98
+	194	95
+	190	93
+	4	187	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	95
+	190	93
+	3	187	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	88
+	108	91
+	104	87
+	4	101	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	91
+	104	87
+	3	101	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	87
+	98	85
+	101	88
+	4	104	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	85
+	101	88
+	3	104	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	111
+	84	113
+	81	111
+	4	77	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	113
+	81	111
+	3	77	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	111
+	81	111
+	84	113
+	4	87	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	111
+	84	113
+	3	87	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	111
+	74	108
+	77	111
+	4	81	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	108
+	77	111
+	3	81	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	91
+	143	92
+	146	94
+	4	149	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	92
+	146	94
+	3	149	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	92
+	149	91
+	145	88
+	4	143	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	91
+	145	88
+	3	143	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	111
+	93	108
+	90	108
+	4	87	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	108
+	90	108
+	3	87	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	103
+	90	108
+	93	108
+	4	96	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	108
+	93	108
+	3	96	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	108
+	96	103
+	93	103
+	4	90	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	103
+	93	103
+	3	90	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	88
+	95	90
+	98	92
+	4	101	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	90
+	98	92
+	3	101	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	90
+	101	88
+	98	85
+	4	95	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	88
+	98	85
+	3	95	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	103
+	172	107
+	169	104
+	4	166	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	107
+	169	104
+	3	166	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	104
+	162	99
+	166	103
+	4	169	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	99
+	166	103
+	3	169	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	113
+	90	112
+	87	111
+	4	84	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	112
+	87	111
+	3	84	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	108
+	87	111
+	90	112
+	4	93	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	111
+	90	112
+	3	93	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	106
+	128	110
+	125	107
+	4	121	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	110
+	125	107
+	3	121	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	107
+	118	102
+	121	106
+	4	125	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	102
+	121	106
+	3	125	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	98
+	93	103
+	96	103
+	4	99	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	103
+	96	103
+	3	99	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	103
+	99	98
+	95	97
+	4	93	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	98
+	95	97
+	3	93	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	93
+	159	96
+	155	93
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	96
+	155	93
+	3	152	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	93
+	149	91
+	152	93
+	4	155	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	91
+	152	93
+	3	155	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	110
+	182	111
+	179	109
+	4	176	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	111
+	179	109
+	3	176	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	109
+	179	109
+	182	111
+	4	185	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	109
+	182	111
+	3	185	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	109
+	172	107
+	176	110
+	4	179	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	107
+	176	110
+	3	179	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	91
+	111	95
+	108	91
+	4	105	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	95
+	108	91
+	3	105	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	91
+	101	88
+	105	91
+	4	108	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	88
+	105	91
+	3	108	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	111
+	141	109
+	137	108
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	109
+	137	108
+	3	134	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	105
+	137	108
+	141	109
+	4	144	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	108
+	141	109
+	3	144	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	108
+	144	105
+	140	104
+	4	137	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	140	104
+	3	137	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	100
+	140	104
+	144	105
+	4	147	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	104
+	144	105
+	3	147	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	104
+	147	100
+	143	99
+	4	140	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	100
+	143	99
+	3	140	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	94
+	115	99
+	111	95
+	4	108	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	99
+	111	95
+	3	108	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	95
+	105	91
+	108	94
+	4	111	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	91
+	108	94
+	3	111	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	113
+	138	113
+	134	111
+	4	131	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	134	111
+	3	131	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	109
+	134	111
+	138	113
+	4	141	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	111
+	138	113
+	3	141	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	111
+	128	110
+	131	113
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	110
+	131	113
+	3	134	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	109
+	192	106
+	188	105
+	4	185	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	106
+	188	105
+	3	185	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	101
+	188	105
+	192	106
+	4	195	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	192	106
+	3	195	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	105
+	195	101
+	191	100
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	101
+	191	100
+	3	188	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	111
+	189	110
+	185	109
+	4	182	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	110
+	185	109
+	3	182	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	106
+	185	109
+	189	110
+	4	192	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	109
+	189	110
+	3	192	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	94
+	95	97
+	99	98
+	4	101	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	97
+	99	98
+	3	101	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	97
+	101	94
+	98	92
+	4	95	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	94
+	98	92
+	3	95	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	94
+	152	93
+	149	91
+	4	146	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	149	91
+	3	146	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	96
+	143	99
+	147	100
+	4	150	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	99
+	147	100
+	3	150	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	99
+	150	96
+	146	94
+	4	143	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	96
+	146	94
+	3	143	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	106
+	176	110
+	172	107
+	4	169	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	110
+	172	107
+	3	169	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	107
+	166	103
+	169	106
+	4	172	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	103
+	169	106
+	3	172	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	114
+	87	115
+	84	113
+	4	80	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	115
+	84	113
+	3	80	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	112
+	84	113
+	87	115
+	4	90	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	113
+	87	115
+	3	90	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	113
+	77	111
+	80	114
+	4	84	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	111
+	80	114
+	3	84	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	96
+	162	99
+	159	96
+	4	156	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	99
+	159	96
+	3	156	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	96
+	152	93
+	156	96
+	4	159	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	156	96
+	3	159	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	106
+	77	111
+	74	108
+	4	70	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	111
+	74	108
+	3	70	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	109
+	131	113
+	128	110
+	4	125	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	113
+	128	110
+	3	125	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	110
+	121	106
+	125	109
+	4	128	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	106
+	125	109
+	3	128	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	92
+	105	91
+	101	88
+	4	98	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	91
+	101	88
+	3	98	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	97
+	191	100
+	195	101
+	4	198	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	100
+	195	101
+	3	198	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	100
+	198	97
+	194	95
+	4	191	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	97
+	194	95
+	3	191	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	93
+	146	94
+	150	96
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	94
+	150	96
+	3	152	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	98
+	118	102
+	115	99
+	4	111	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	102
+	115	99
+	3	111	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	99
+	108	94
+	111	98
+	4	115	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	94
+	111	98
+	3	115	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	91
+	98	92
+	101	94
+	4	105	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	92
+	101	94
+	3	105	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	113
+	186	113
+	182	111
+	4	179	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	113
+	182	111
+	3	179	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	110
+	182	111
+	186	113
+	4	189	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	111
+	186	113
+	3	189	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	111
+	176	110
+	179	113
+	4	182	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	110
+	179	113
+	3	182	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	111
+	80	114
+	77	111
+	4	74	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	114
+	77	111
+	3	74	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	111
+	70	106
+	74	111
+	4	77	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	106
+	74	111
+	3	77	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	99
+	166	103
+	162	99
+	4	159	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	103
+	162	99
+	3	159	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	99
+	156	96
+	159	99
+	4	162	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	96
+	159	99
+	3	162	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	115
+	93	113
+	90	112
+	4	87	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	113
+	90	112
+	3	87	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	109
+	90	112
+	93	113
+	4	96	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	112
+	93	113
+	3	96	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	112
+	96	109
+	93	108
+	4	90	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	109
+	93	108
+	3	90	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	104
+	93	108
+	96	109
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	108
+	96	109
+	3	99	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	108
+	99	104
+	96	103
+	4	93	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	96	103
+	3	93	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	109
+	179	113
+	176	110
+	4	173	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	113
+	176	110
+	3	173	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	110
+	169	106
+	173	109
+	4	176	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	106
+	173	109
+	3	176	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	96
+	156	96
+	152	93
+	4	150	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	96
+	152	93
+	3	150	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	101
+	121	106
+	118	102
+	4	115	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	106
+	118	102
+	3	115	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	102
+	111	98
+	115	101
+	4	118	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	98
+	115	101
+	3	118	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	94
+	108	94
+	105	91
+	4	101	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	94
+	105	91
+	3	101	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	113
+	144	111
+	141	109
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	111
+	141	109
+	3	138	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	106
+	141	109
+	144	111
+	4	147	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	109
+	144	111
+	3	147	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	109
+	147	106
+	144	105
+	4	141	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	106
+	144	105
+	3	141	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	113
+	135	115
+	131	113
+	4	128	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	115
+	131	113
+	3	128	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	113
+	131	113
+	135	115
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	113
+	135	115
+	3	138	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	113
+	125	109
+	128	113
+	4	131	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	109
+	128	113
+	3	131	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	101
+	144	105
+	147	106
+	4	150	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	147	106
+	3	150	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	105
+	150	101
+	147	100
+	4	144	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	101
+	147	100
+	3	144	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	99
+	96	103
+	99	104
+	4	102	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	103
+	99	104
+	3	102	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	103
+	102	99
+	99	98
+	4	96	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	99
+	99	98
+	3	96	103	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	117	43
+	124	38
+	119	5
+	4	117	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	38
+	119	5
+	3	117	43	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	115
+	141	114
+	138	113
+	4	135	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	138	113
+	3	135	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	111
+	138	113
+	141	114
+	4	144	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	141	114
+	3	144	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	117
+	90	117
+	87	115
+	4	84	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	117
+	87	115
+	3	84	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	113
+	87	115
+	90	117
+	4	93	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	115
+	90	117
+	3	93	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	115
+	80	114
+	84	117
+	4	87	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	114
+	84	117
+	3	87	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	115
+	84	117
+	80	114
+	4	77	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	117
+	80	114
+	3	77	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	114
+	74	111
+	77	115
+	4	80	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	111
+	77	115
+	3	80	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	113
+	192	112
+	189	110
+	4	186	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	112
+	189	110
+	3	186	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	107
+	189	110
+	192	112
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	110
+	192	112
+	3	195	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	110
+	195	107
+	192	106
+	4	189	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	192	106
+	3	189	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	102
+	169	106
+	166	103
+	4	163	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	106
+	166	103
+	3	163	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	103
+	159	99
+	163	102
+	4	166	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	99
+	163	102
+	3	166	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	39
+	119	5
+	124	38
+	4	127	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	5
+	124	38
+	3	127	39	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	5
+	127	39
+	122	5
+	4	119	5	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	39
+	122	5
+	3	119	5	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	105
+	125	109
+	121	106
+	4	118	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	109
+	121	106
+	3	118	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	106
+	115	101
+	118	105
+	4	121	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	101
+	118	105
+	3	121	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	103
+	192	106
+	195	107
+	4	198	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	106
+	195	107
+	3	198	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	106
+	198	103
+	195	101
+	4	192	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	103
+	195	101
+	3	192	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	98
+	147	100
+	150	101
+	4	153	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	100
+	150	101
+	3	153	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	100
+	153	98
+	150	96
+	4	147	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	98
+	150	96
+	3	147	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	96
+	150	96
+	153	98
+	4	156	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	96
+	153	98
+	3	156	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	96
+	99	98
+	102	99
+	4	105	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	98
+	102	99
+	3	105	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	98
+	105	96
+	101	94
+	4	99	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	96
+	101	94
+	3	99	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	94
+	101	94
+	105	96
+	4	108	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	94
+	105	96
+	3	108	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	101
+	201	99
+	198	97
+	4	195	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	99
+	198	97
+	3	195	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	99
+	195	101
+	198	103
+	4	201	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	101
+	198	103
+	3	201	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	96
+	111	98
+	108	94
+	4	105	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	98
+	108	94
+	3	105	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	98
+	159	99
+	156	96
+	4	153	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	99
+	156	96
+	3	153	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	113
+	183	115
+	179	113
+	4	177	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	115
+	179	113
+	3	177	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	113
+	179	113
+	183	115
+	4	186	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	113
+	183	115
+	3	186	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	113
+	173	109
+	177	113
+	4	179	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	109
+	177	113
+	3	179	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	115
+	190	115
+	186	113
+	4	183	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	115
+	186	113
+	3	183	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	112
+	186	113
+	190	115
+	4	192	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	113
+	190	115
+	3	192	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	109
+	128	113
+	125	109
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	113
+	125	109
+	3	122	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	109
+	118	105
+	122	109
+	4	125	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	105
+	122	109
+	3	125	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	105
+	173	109
+	169	106
+	4	167	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	109
+	169	106
+	3	167	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	106
+	163	102
+	167	105
+	4	169	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	102
+	167	105
+	3	169	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	116
+	138	117
+	135	115
+	4	132	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	117
+	135	115
+	3	132	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	114
+	135	115
+	138	117
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	115
+	138	117
+	3	141	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	115
+	128	113
+	132	116
+	4	135	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	113
+	132	116
+	3	135	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	105
+	74	111
+	70	106
+	4	67	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	111
+	70	106
+	3	67	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	118
+	87	119
+	84	117
+	4	80	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	119
+	84	117
+	3	80	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	117
+	84	117
+	87	119
+	4	90	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	117
+	87	119
+	3	90	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	117
+	77	115
+	80	118
+	4	84	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	115
+	80	118
+	3	84	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	99
+	115	101
+	111	98
+	4	108	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	101
+	111	98
+	3	108	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	98
+	105	96
+	108	99
+	4	111	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	96
+	108	99
+	3	111	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	117
+	96	114
+	93	113
+	4	90	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	114
+	93	113
+	3	90	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	109
+	93	113
+	96	114
+	4	99	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	113
+	96	114
+	3	99	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	113
+	99	109
+	96	109
+	4	93	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	109
+	96	109
+	3	93	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	110
+	77	115
+	74	111
+	4	70	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	115
+	74	111
+	3	70	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	111
+	67	105
+	70	110
+	4	74	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	105
+	70	110
+	3	74	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	100
+	163	102
+	159	99
+	4	157	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	102
+	159	99
+	3	157	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	99
+	153	98
+	157	100
+	4	159	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	98
+	157	100
+	3	159	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	114
+	148	112
+	144	111
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	112
+	144	111
+	3	141	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	107
+	144	111
+	148	112
+	4	151	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	111
+	148	112
+	3	151	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	111
+	151	107
+	147	106
+	4	144	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	107
+	147	106
+	3	144	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	105
+	96	109
+	99	109
+	4	102	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	109
+	99	109
+	3	102	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	109
+	102	105
+	99	104
+	4	96	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	105
+	99	104
+	3	96	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	101
+	157	100
+	153	98
+	4	150	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	100
+	153	98
+	3	150	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	117
+	145	116
+	141	114
+	4	138	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	116
+	141	114
+	3	138	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	112
+	141	114
+	145	116
+	4	148	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	145	116
+	3	148	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	112
+	132	116
+	128	113
+	4	125	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	116
+	128	113
+	3	125	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	113
+	122	109
+	125	112
+	4	128	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	125	112
+	3	128	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	99
+	108	99
+	105	96
+	4	102	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	99
+	105	96
+	3	102	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	109
+	177	113
+	173	109
+	4	170	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	113
+	173	109
+	3	170	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	109
+	167	105
+	170	109
+	4	173	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	105
+	170	109
+	3	173	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	103
+	147	106
+	151	107
+	4	154	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	106
+	151	107
+	3	154	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	106
+	154	103
+	150	101
+	4	147	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	103
+	150	101
+	3	147	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	116
+	187	118
+	183	115
+	4	180	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	118
+	183	115
+	3	180	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	115
+	183	115
+	187	118
+	4	190	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	115
+	187	118
+	3	190	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	115
+	177	113
+	180	116
+	4	183	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	113
+	180	116
+	3	183	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	119
+	93	118
+	90	117
+	4	87	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	118
+	90	117
+	3	87	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	114
+	90	117
+	93	118
+	4	96	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	117
+	93	118
+	3	96	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	103
+	205	101
+	201	99
+	4	198	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	101
+	201	99
+	3	198	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	115
+	196	113
+	192	112
+	4	190	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	113
+	192	112
+	3	190	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	109
+	192	112
+	196	113
+	4	199	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	112
+	196	113
+	3	199	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	112
+	199	109
+	195	107
+	4	192	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	109
+	195	107
+	3	192	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	100
+	150	101
+	154	103
+	4	157	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	101
+	154	103
+	3	157	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	101
+	99	104
+	102	105
+	4	105	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	102	105
+	3	105	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	104
+	105	101
+	102	99
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	101
+	102	99
+	3	99	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	104
+	195	107
+	199	109
+	4	202	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	199	109
+	3	202	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	107
+	202	104
+	198	103
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	104
+	198	103
+	3	195	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	101
+	118	105
+	115	101
+	4	112	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	105
+	115	101
+	3	112	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	101
+	108	99
+	112	101
+	4	115	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	99
+	112	101
+	3	115	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	114
+	80	118
+	77	115
+	4	74	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	118
+	77	115
+	3	74	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	115
+	70	110
+	74	114
+	4	77	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	110
+	74	114
+	3	77	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	101
+	198	103
+	202	104
+	4	205	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	103
+	202	104
+	3	205	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	99
+	102	99
+	105	101
+	4	108	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	99
+	105	101
+	3	108	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	118
+	193	117
+	190	115
+	4	187	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	117
+	190	115
+	3	187	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	113
+	190	115
+	193	117
+	4	196	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	115
+	193	117
+	3	196	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	119
+	142	119
+	138	117
+	4	135	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	119
+	138	117
+	3	135	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	116
+	138	117
+	142	119
+	4	145	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	117
+	142	119
+	3	145	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	117
+	132	116
+	135	119
+	4	138	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	116
+	135	119
+	3	138	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	103
+	167	105
+	163	102
+	4	160	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	105
+	163	102
+	3	160	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	102
+	157	100
+	160	103
+	4	163	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	100
+	160	103
+	3	163	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	121
+	90	121
+	87	119
+	4	84	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	121
+	87	119
+	3	84	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	118
+	87	119
+	90	121
+	4	93	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	119
+	90	121
+	3	93	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	119
+	80	118
+	84	121
+	4	87	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	118
+	84	121
+	3	87	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	116
+	135	119
+	132	116
+	4	129	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	119
+	132	116
+	3	129	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	116
+	125	112
+	129	116
+	4	132	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	112
+	129	116
+	3	132	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	112
+	180	116
+	177	113
+	4	174	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	116
+	177	113
+	3	174	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	113
+	170	109
+	174	112
+	4	177	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	109
+	174	112
+	3	177	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	105
+	122	109
+	118	105
+	4	115	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	118	105
+	3	115	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	105
+	112	101
+	115	105
+	4	118	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	101
+	115	105
+	3	118	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	118
+	84	121
+	80	118
+	4	77	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	121
+	80	118
+	3	77	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	118
+	74	114
+	77	118
+	4	80	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	114
+	77	118
+	3	80	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	101
+	112	101
+	108	99
+	4	105	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	101
+	108	99
+	3	105	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	103
+	160	103
+	157	100
+	4	154	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	103
+	157	100
+	3	154	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	119
+	190	120
+	187	118
+	4	184	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	120
+	187	118
+	3	184	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	117
+	187	118
+	190	120
+	4	193	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	118
+	190	120
+	3	193	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	118
+	180	116
+	184	119
+	4	187	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	116
+	184	119
+	3	187	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	104
+	209	104
+	205	101
+	4	202	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	104
+	205	101
+	3	202	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	106
+	170	109
+	167	105
+	4	164	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	109
+	167	105
+	3	164	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	105
+	160	103
+	164	106
+	4	167	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	103
+	164	106
+	3	167	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	108
+	125	112
+	122	109
+	4	118	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	112
+	122	109
+	3	118	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	109
+	115	105
+	118	108
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	105
+	118	108
+	3	122	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	116
+	151	113
+	148	112
+	4	145	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	113
+	148	112
+	3	145	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	109
+	148	112
+	151	113
+	4	154	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	112
+	151	113
+	3	154	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	112
+	154	109
+	151	107
+	4	148	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	109
+	151	107
+	3	148	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	119
+	148	117
+	145	116
+	4	142	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	117
+	145	116
+	3	142	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	113
+	145	116
+	148	117
+	4	151	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	116
+	148	117
+	3	151	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	107
+	157	105
+	154	103
+	4	151	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	105
+	154	103
+	3	151	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	103
+	154	103
+	157	105
+	4	160	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	103
+	157	105
+	3	160	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	115
+	184	119
+	180	116
+	4	178	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	119
+	180	116
+	3	178	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	116
+	174	112
+	178	115
+	4	180	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	112
+	178	115
+	3	180	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	118
+	99	115
+	96	114
+	4	93	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	115
+	96	114
+	3	93	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	110
+	96	114
+	99	115
+	4	102	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	114
+	99	115
+	3	102	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	114
+	102	110
+	99	109
+	4	96	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	110
+	99	109
+	3	96	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	105
+	151	107
+	154	109
+	4	157	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	107
+	154	109
+	3	157	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	117
+	200	114
+	196	113
+	4	193	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	114
+	196	113
+	3	193	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	110
+	196	113
+	200	114
+	4	203	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	113
+	200	114
+	3	203	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	113
+	203	110
+	199	109
+	4	196	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	110
+	199	109
+	3	196	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	105
+	70	110
+	67	105
+	4	63	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	110
+	67	105
+	3	63	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	121
+	96	119
+	93	118
+	4	90	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	119
+	93	118
+	3	90	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	115
+	93	118
+	96	119
+	4	99	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	118
+	96	119
+	3	99	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	109
+	206	106
+	202	104
+	4	199	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	106
+	202	104
+	3	199	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	104
+	202	104
+	206	106
+	4	209	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	104
+	206	106
+	3	209	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	119
+	139	121
+	135	119
+	4	132	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	121
+	135	119
+	3	132	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	119
+	135	119
+	139	121
+	4	142	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	119
+	139	121
+	3	142	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	119
+	129	116
+	132	119
+	4	135	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	116
+	132	119
+	3	135	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	105
+	108	103
+	105	101
+	4	102	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	103
+	105	101
+	3	102	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	101
+	105	101
+	108	103
+	4	112	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	101
+	108	103
+	3	112	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	106
+	199	109
+	203	110
+	4	206	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	109
+	203	110
+	3	206	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	106
+	99	109
+	102	110
+	4	105	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	109
+	102	110
+	3	105	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	109
+	105	106
+	102	105
+	4	99	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	106
+	102	105
+	3	99	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	120
+	197	118
+	193	117
+	4	190	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	118
+	193	117
+	3	190	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	114
+	193	117
+	197	118
+	4	200	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	117
+	197	118
+	3	200	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	122
+	87	123
+	84	121
+	4	80	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	123
+	84	121
+	3	80	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	121
+	84	121
+	87	123
+	4	90	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	121
+	87	123
+	3	90	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	121
+	77	118
+	80	122
+	4	84	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	118
+	80	122
+	3	84	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	103
+	102	105
+	105	106
+	4	108	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	105
+	105	106
+	3	108	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	121
+	145	121
+	142	119
+	4	139	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	121
+	142	119
+	3	139	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	117
+	142	119
+	145	121
+	4	148	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	119
+	145	121
+	3	148	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	109
+	74	114
+	70	110
+	4	66	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	114
+	70	110
+	3	66	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	110
+	63	105
+	66	109
+	4	70	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	105
+	66	109
+	3	70	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	103
+	115	105
+	112	101
+	4	108	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	105
+	112	101
+	3	108	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	112
+	129	116
+	125	112
+	4	122	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	116
+	125	112
+	3	122	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	112
+	118	108
+	122	112
+	4	125	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	108
+	122	112
+	3	125	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	109
+	174	112
+	170	109
+	4	167	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	112
+	170	109
+	3	167	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	109
+	164	106
+	167	109
+	4	170	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	106
+	167	109
+	3	170	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	105
+	164	106
+	160	103
+	4	157	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	106
+	160	103
+	3	157	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	123
+	93	123
+	90	121
+	4	87	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	123
+	90	121
+	3	87	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	119
+	90	121
+	93	123
+	4	96	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	121
+	93	123
+	3	96	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	114
+	77	118
+	74	114
+	4	70	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	118
+	74	114
+	3	70	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	114
+	66	109
+	70	114
+	4	74	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	109
+	70	114
+	3	74	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	106
+	213	107
+	209	104
+	4	206	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	107
+	209	104
+	3	206	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	121
+	194	122
+	190	120
+	4	188	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	122
+	190	120
+	3	188	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	118
+	190	120
+	194	122
+	4	197	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	120
+	194	122
+	3	197	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	120
+	184	119
+	188	121
+	4	190	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	119
+	188	121
+	3	190	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	119
+	188	121
+	184	119
+	4	181	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	121
+	184	119
+	3	181	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	119
+	178	115
+	181	119
+	4	184	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	115
+	181	119
+	3	184	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	115
+	132	119
+	129	116
+	4	126	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	119
+	129	116
+	3	126	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	116
+	122	112
+	126	115
+	4	129	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	112
+	126	115
+	3	129	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	106
+	118	108
+	115	105
+	4	112	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	108
+	115	105
+	3	112	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	105
+	108	103
+	112	106
+	4	115	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	103
+	112	106
+	3	115	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	118
+	80	122
+	77	118
+	4	73	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	122
+	77	118
+	3	73	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	118
+	70	114
+	73	118
+	4	77	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	114
+	73	118
+	3	77	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	112
+	178	115
+	174	112
+	4	171	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	115
+	174	112
+	3	171	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	112
+	167	109
+	171	112
+	4	174	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	109
+	171	112
+	3	174	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	122
+	142	124
+	139	121
+	4	136	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	124
+	139	121
+	3	136	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	121
+	139	121
+	142	124
+	4	145	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	121
+	142	124
+	3	145	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	121
+	132	119
+	136	122
+	4	139	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	119
+	136	122
+	3	139	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	109
+	161	107
+	157	105
+	4	154	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	107
+	157	105
+	3	154	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	106
+	157	105
+	161	107
+	4	164	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	105
+	161	107
+	3	164	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	106
+	112	106
+	108	103
+	4	105	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	106
+	108	103
+	3	105	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	125
+	90	125
+	87	123
+	4	84	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	125
+	87	123
+	3	84	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	123
+	87	123
+	90	125
+	4	93	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	123
+	90	125
+	3	93	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	123
+	80	122
+	84	125
+	4	87	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	122
+	84	125
+	3	87	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	107
+	167	109
+	164	106
+	4	161	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	109
+	164	106
+	3	161	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	110
+	210	108
+	206	106
+	4	203	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	108
+	206	106
+	3	203	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	107
+	206	106
+	210	108
+	4	213	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	106
+	210	108
+	3	213	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	121
+	152	118
+	148	117
+	4	145	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	118
+	148	117
+	3	145	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	114
+	148	117
+	152	118
+	4	155	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	117
+	152	118
+	3	155	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	117
+	155	114
+	151	113
+	4	148	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	114
+	151	113
+	3	148	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	110
+	151	113
+	155	114
+	4	158	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	113
+	155	114
+	3	158	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	113
+	158	110
+	154	109
+	4	151	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	110
+	154	109
+	3	151	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	107
+	154	109
+	158	110
+	4	161	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	109
+	158	110
+	3	161	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	118
+	204	116
+	200	114
+	4	197	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	116
+	200	114
+	3	197	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	112
+	200	114
+	204	116
+	4	207	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	114
+	204	116
+	3	207	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	114
+	207	112
+	203	110
+	4	200	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	112
+	203	110
+	3	200	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	108
+	203	110
+	207	112
+	4	210	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	110
+	207	112
+	3	210	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	122
+	201	120
+	197	118
+	4	194	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	120
+	197	118
+	3	194	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	116
+	197	118
+	201	120
+	4	204	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	118
+	201	120
+	3	204	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	108
+	217	109
+	213	107
+	4	210	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	109
+	213	107
+	3	210	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	119
+	136	122
+	132	119
+	4	129	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	122
+	132	119
+	3	129	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	119
+	126	115
+	129	119
+	4	132	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	115
+	129	119
+	3	132	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	122
+	84	125
+	80	122
+	4	77	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	125
+	80	122
+	3	77	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	122
+	73	118
+	77	122
+	4	80	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	118
+	77	122
+	3	80	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	124
+	149	122
+	145	121
+	4	142	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	145	121
+	3	142	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	118
+	145	121
+	149	122
+	4	152	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	121
+	149	122
+	3	152	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	109
+	122	112
+	118	108
+	4	115	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	112
+	118	108
+	3	115	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	108
+	112	106
+	115	109
+	4	118	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	106
+	115	109
+	3	118	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	110
+	109	108
+	105	106
+	4	102	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	108
+	105	106
+	3	102	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	106
+	105	106
+	109	108
+	4	112	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	106
+	109	108
+	3	112	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	123
+	100	120
+	96	119
+	4	93	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	120
+	96	119
+	3	93	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	115
+	96	119
+	100	120
+	4	103	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	119
+	100	120
+	3	103	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	119
+	103	115
+	99	115
+	4	96	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	115
+	99	115
+	3	96	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	111
+	99	115
+	103	115
+	4	106	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	115
+	103	115
+	3	106	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	115
+	106	111
+	102	110
+	4	99	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	111
+	102	110
+	3	99	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	122
+	191	124
+	188	121
+	4	185	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	124
+	188	121
+	3	185	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	122
+	188	121
+	191	124
+	4	194	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	121
+	191	124
+	3	194	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	121
+	181	119
+	185	122
+	4	188	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	119
+	185	122
+	3	188	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	115
+	181	119
+	178	115
+	4	175	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	119
+	178	115
+	3	175	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	115
+	171	112
+	175	115
+	4	178	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	112
+	175	115
+	3	178	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	108
+	102	110
+	106	111
+	4	109	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	110
+	106	111
+	3	109	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	105
+	66	109
+	63	105
+	4	59	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	109
+	63	105
+	3	59	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	124
+	198	123
+	194	122
+	4	191	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	123
+	194	122
+	3	191	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	120
+	194	122
+	198	123
+	4	201	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	122
+	198	123
+	3	201	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	125
+	97	124
+	93	123
+	4	90	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	124
+	93	123
+	3	90	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	120
+	93	123
+	97	124
+	4	100	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	123
+	97	124
+	3	100	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	110
+	171	112
+	167	109
+	4	165	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	112
+	167	109
+	3	165	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	109
+	161	107
+	165	110
+	4	167	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	107
+	165	110
+	3	167	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	109
+	70	114
+	66	109
+	4	63	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	114
+	66	109
+	3	63	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	109
+	59	105
+	63	109
+	4	66	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	105
+	63	109
+	3	66	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	112
+	126	115
+	122	112
+	4	119	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	115
+	122	112
+	3	119	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	112
+	115	109
+	119	112
+	4	122	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	109
+	119	112
+	3	122	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	125
+	146	125
+	142	124
+	4	139	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	125
+	142	124
+	3	139	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	122
+	142	124
+	146	125
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	124
+	146	125
+	3	149	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	124
+	136	122
+	139	125
+	4	142	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	122
+	139	125
+	3	142	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	108
+	115	109
+	112	106
+	4	109	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	109
+	112	106
+	3	109	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	110
+	165	110
+	161	107
+	4	158	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	110
+	161	107
+	3	158	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	123
+	139	125
+	136	122
+	4	133	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	125
+	136	122
+	3	133	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	122
+	129	119
+	133	123
+	4	136	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	119
+	133	123
+	3	136	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	126
+	87	128
+	84	125
+	4	80	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	128
+	84	125
+	3	80	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	125
+	84	125
+	87	128
+	4	90	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	125
+	87	128
+	3	90	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	125
+	77	122
+	80	126
+	4	84	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	122
+	80	126
+	3	84	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	114
+	73	118
+	70	114
+	4	66	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	118
+	70	114
+	3	66	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	114
+	63	109
+	66	114
+	4	70	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	109
+	66	114
+	3	70	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	119
+	185	122
+	181	119
+	4	178	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	122
+	181	119
+	3	178	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	119
+	175	115
+	178	119
+	4	181	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	115
+	178	119
+	3	181	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	111
+	220	112
+	217	109
+	4	214	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	112
+	217	109
+	3	214	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	109
+	210	108
+	214	111
+	4	217	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	108
+	214	111
+	3	217	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	128
+	93	127
+	90	125
+	4	87	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	127
+	90	125
+	3	87	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	124
+	90	125
+	93	127
+	4	97	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	125
+	93	127
+	3	97	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	112
+	214	111
+	210	108
+	4	207	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	111
+	210	108
+	3	207	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	115
+	129	119
+	126	115
+	4	122	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	119
+	126	115
+	3	122	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	115
+	119	112
+	122	115
+	4	126	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	112
+	122	115
+	3	126	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	125
+	195	126
+	191	124
+	4	189	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	126
+	191	124
+	3	189	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	123
+	191	124
+	195	126
+	4	198	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	124
+	195	126
+	3	198	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	124
+	185	122
+	189	125
+	4	191	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	122
+	189	125
+	3	191	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	118
+	77	122
+	73	118
+	4	70	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	122
+	73	118
+	3	70	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	118
+	66	114
+	70	118
+	4	73	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	114
+	70	118
+	3	73	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	114
+	162	112
+	158	110
+	4	155	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	158	110
+	3	155	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	110
+	158	110
+	162	112
+	4	165	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	110
+	162	112
+	3	165	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	112
+	175	115
+	171	112
+	4	168	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	115
+	171	112
+	3	168	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	112
+	165	110
+	168	112
+	4	171	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	110
+	168	112
+	3	171	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	116
+	211	114
+	207	112
+	4	204	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	114
+	207	112
+	3	204	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	111
+	207	112
+	211	114
+	4	214	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	112
+	211	114
+	3	214	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	118
+	159	115
+	155	114
+	4	152	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	115
+	155	114
+	3	152	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	112
+	155	114
+	159	115
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	114
+	159	115
+	3	162	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	122
+	156	120
+	152	118
+	4	149	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	120
+	152	118
+	3	149	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	115
+	152	118
+	156	120
+	4	159	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	118
+	156	120
+	3	159	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	120
+	208	117
+	204	116
+	4	201	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	117
+	204	116
+	3	201	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	114
+	204	116
+	208	117
+	4	211	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	116
+	208	117
+	3	211	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	111
+	112	110
+	109	108
+	4	106	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	109	108
+	3	106	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	109
+	109	108
+	112	110
+	4	115	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	108
+	112	110
+	3	115	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	123
+	205	121
+	201	120
+	4	198	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	121
+	201	120
+	3	198	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	117
+	201	120
+	205	121
+	4	208	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	120
+	205	121
+	3	208	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	125
+	153	124
+	149	122
+	4	146	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	124
+	149	122
+	3	146	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	120
+	149	122
+	153	124
+	4	156	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	122
+	153	124
+	3	156	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	110
+	119	112
+	115	109
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	112
+	115	109
+	3	112	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	122
+	189	125
+	185	122
+	4	182	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	125
+	185	122
+	3	182	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	122
+	178	119
+	182	122
+	4	185	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	119
+	182	122
+	3	185	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	122
+	80	126
+	77	122
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	126
+	77	122
+	3	73	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	122
+	70	118
+	73	122
+	4	77	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	118
+	73	122
+	3	77	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	126
+	143	128
+	139	125
+	4	136	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	128
+	139	125
+	3	136	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	125
+	139	125
+	143	128
+	4	146	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	125
+	143	128
+	3	146	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	125
+	133	123
+	136	126
+	4	139	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	123
+	136	126
+	3	139	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	126
+	202	125
+	198	123
+	4	195	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	125
+	198	123
+	3	195	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	121
+	198	123
+	202	125
+	4	205	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	123
+	202	125
+	3	205	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	113
+	224	115
+	220	112
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	115
+	220	112
+	3	218	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	112
+	214	111
+	218	113
+	4	220	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	111
+	218	113
+	3	220	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	119
+	133	123
+	129	119
+	4	126	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	123
+	129	119
+	3	126	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	119
+	122	115
+	126	119
+	4	129	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	115
+	126	119
+	3	129	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	115
+	109	113
+	106	111
+	4	103	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	113
+	106	111
+	3	103	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	110
+	106	111
+	109	113
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	111
+	109	113
+	3	112	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	107
+	63	109
+	59	105
+	4	56	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	109
+	59	105
+	3	56	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	129
+	90	130
+	87	128
+	4	84	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	130
+	87	128
+	3	84	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	127
+	87	128
+	90	130
+	4	93	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	128
+	90	130
+	3	93	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	128
+	80	126
+	84	129
+	4	87	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	126
+	84	129
+	3	87	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	112
+	168	112
+	165	110
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	112
+	165	110
+	3	162	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	120
+	106	117
+	103	115
+	4	100	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	117
+	103	115
+	3	100	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	113
+	103	115
+	106	117
+	4	109	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	115
+	106	117
+	3	109	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	124
+	103	121
+	100	120
+	4	97	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	121
+	100	120
+	3	97	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	117
+	100	120
+	103	121
+	4	106	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	120
+	103	121
+	3	106	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	128
+	150	127
+	146	125
+	4	143	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	127
+	146	125
+	3	143	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	124
+	146	125
+	150	127
+	4	153	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	125
+	150	127
+	3	153	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	127
+	100	125
+	97	124
+	4	93	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	125
+	97	124
+	3	93	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	121
+	97	124
+	100	125
+	4	103	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	124
+	100	125
+	3	103	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	115
+	178	119
+	175	115
+	4	172	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	119
+	175	115
+	3	172	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	115
+	168	112
+	172	115
+	4	175	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	112
+	172	115
+	3	175	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	114
+	218	113
+	214	111
+	4	211	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	214	111
+	3	211	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	126
+	84	129
+	80	126
+	4	77	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	129
+	80	126
+	3	77	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	126
+	73	122
+	77	126
+	4	80	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	77	126
+	3	80	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	110
+	66	114
+	63	109
+	4	59	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	114
+	63	109
+	3	59	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	109
+	56	107
+	59	110
+	4	63	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	107
+	59	110
+	3	63	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	113
+	122	115
+	119	112
+	4	116	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	115
+	119	112
+	3	116	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	112
+	112	110
+	116	113
+	4	119	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	116	113
+	3	119	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	130
+	97	128
+	93	127
+	4	90	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	128
+	93	127
+	3	90	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	125
+	93	127
+	97	128
+	4	100	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	127
+	97	128
+	3	100	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	128
+	199	128
+	195	126
+	4	192	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	128
+	195	126
+	3	192	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	125
+	195	126
+	199	128
+	4	202	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	126
+	199	128
+	3	202	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	126
+	189	125
+	192	128
+	4	195	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	125
+	192	128
+	3	195	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	123
+	136	126
+	133	123
+	4	129	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	126
+	133	123
+	3	129	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	123
+	126	119
+	129	123
+	4	133	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	119
+	129	123
+	3	133	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	125
+	192	128
+	189	125
+	4	186	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	128
+	189	125
+	3	186	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	125
+	182	122
+	186	125
+	4	189	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	122
+	186	125
+	3	189	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	116
+	228	119
+	224	115
+	4	222	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	119
+	224	115
+	3	222	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	115
+	218	113
+	222	116
+	4	224	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	222	116
+	3	224	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	115
+	165	114
+	162	112
+	4	159	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	114
+	162	112
+	3	159	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	112
+	162	112
+	165	114
+	4	168	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	165	114
+	3	168	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	113
+	116	113
+	112	110
+	4	109	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	113
+	112	110
+	3	109	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	117
+	215	116
+	211	114
+	4	208	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	116
+	211	114
+	3	208	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	113
+	211	114
+	215	116
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	114
+	215	116
+	3	218	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	114
+	70	118
+	66	114
+	4	63	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	118
+	66	114
+	3	63	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	114
+	59	110
+	63	114
+	4	66	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	110
+	63	114
+	3	66	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	119
+	182	122
+	178	119
+	4	176	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	122
+	178	119
+	3	176	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	119
+	172	115
+	176	119
+	4	178	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	115
+	176	119
+	3	178	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	129
+	146	130
+	143	128
+	4	140	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	130
+	143	128
+	3	140	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	127
+	143	128
+	146	130
+	4	150	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	128
+	146	130
+	3	150	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	128
+	136	126
+	140	129
+	4	143	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	126
+	140	129
+	3	143	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	114
+	172	115
+	168	112
+	4	165	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	115
+	168	112
+	3	165	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	121
+	212	119
+	208	117
+	4	205	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	119
+	208	117
+	3	205	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	116
+	208	117
+	212	119
+	4	215	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	117
+	212	119
+	3	215	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	120
+	162	117
+	159	115
+	4	156	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	117
+	159	115
+	3	156	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	114
+	159	115
+	162	117
+	4	165	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	115
+	162	117
+	3	165	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	125
+	209	123
+	205	121
+	4	202	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	123
+	205	121
+	3	202	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	119
+	205	121
+	209	123
+	4	212	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	121
+	209	123
+	3	212	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	116
+	126	119
+	122	115
+	4	119	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	119
+	122	115
+	3	119	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	115
+	116	113
+	119	116
+	4	122	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	113
+	119	116
+	3	122	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	124
+	159	121
+	156	120
+	4	153	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	121
+	156	120
+	3	153	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	117
+	156	120
+	159	121
+	4	162	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	120
+	159	121
+	3	162	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	132
+	94	132
+	90	130
+	4	87	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	132
+	90	130
+	3	87	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	128
+	90	130
+	94	132
+	4	97	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	130
+	94	132
+	3	97	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	130
+	84	129
+	87	132
+	4	90	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	129
+	87	132
+	3	90	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	109
+	59	110
+	56	107
+	4	52	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	110
+	56	107
+	3	52	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	130
+	87	132
+	84	129
+	4	80	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	132
+	84	129
+	3	80	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	129
+	77	126
+	80	130
+	4	84	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	126
+	80	130
+	3	84	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	118
+	73	122
+	70	118
+	4	66	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	70	118
+	3	66	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	118
+	63	114
+	66	118
+	4	70	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	114
+	66	118
+	3	70	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	127
+	156	125
+	153	124
+	4	150	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	125
+	153	124
+	3	150	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	121
+	153	124
+	156	125
+	4	159	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	124
+	156	125
+	3	159	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	116
+	222	116
+	218	113
+	4	215	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	116
+	218	113
+	3	215	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	128
+	206	127
+	202	125
+	4	199	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	127
+	202	125
+	3	199	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	123
+	202	125
+	206	127
+	4	209	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	125
+	206	127
+	3	209	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	126
+	140	129
+	136	126
+	4	133	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	129
+	136	126
+	3	133	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	126
+	129	123
+	133	126
+	4	136	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	123
+	133	126
+	3	136	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	117
+	112	115
+	109	113
+	4	106	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	115
+	109	113
+	3	106	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	113
+	109	113
+	112	115
+	4	116	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	113
+	112	115
+	3	116	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	119
+	232	122
+	228	119
+	4	226	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	122
+	228	119
+	3	226	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	119
+	222	116
+	226	119
+	4	228	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	116
+	226	119
+	3	228	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	130
+	153	129
+	150	127
+	4	146	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	129
+	150	127
+	3	146	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	125
+	150	127
+	153	129
+	4	156	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	127
+	153	129
+	3	156	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	122
+	186	125
+	182	122
+	4	179	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	125
+	182	122
+	3	179	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	122
+	176	119
+	179	122
+	4	182	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	119
+	179	122
+	3	182	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	122
+	77	126
+	73	122
+	4	70	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	126
+	73	122
+	3	70	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	122
+	66	118
+	70	122
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	118
+	70	122
+	3	73	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	129
+	196	131
+	192	128
+	4	190	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	131
+	192	128
+	3	190	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	128
+	192	128
+	196	131
+	4	199	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	128
+	196	131
+	3	199	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	128
+	186	125
+	190	129
+	4	192	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	125
+	190	129
+	3	192	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	121
+	109	118
+	106	117
+	4	103	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	118
+	106	117
+	3	103	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	115
+	106	117
+	109	118
+	4	112	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	117
+	109	118
+	3	112	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	131
+	203	130
+	199	128
+	4	196	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	130
+	199	128
+	3	196	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	127
+	199	128
+	203	130
+	4	206	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	128
+	203	130
+	3	206	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	119
+	129	123
+	126	119
+	4	123	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	123
+	126	119
+	3	123	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	119
+	119	116
+	123	119
+	4	126	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	116
+	123	119
+	3	126	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	125
+	106	122
+	103	121
+	4	100	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	122
+	103	121
+	3	100	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	118
+	103	121
+	106	122
+	4	109	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	121
+	106	122
+	3	109	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	117
+	176	119
+	172	115
+	4	169	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	119
+	172	115
+	3	169	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	115
+	165	114
+	169	117
+	4	172	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	114
+	169	117
+	3	172	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	115
+	119	116
+	116	113
+	4	112	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	116
+	116	113
+	3	112	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	128
+	103	126
+	100	125
+	4	97	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	126
+	100	125
+	3	97	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	122
+	100	125
+	103	126
+	4	106	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	125
+	103	126
+	3	106	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	111
+	63	114
+	59	110
+	4	56	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	114
+	59	110
+	3	56	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	110
+	52	109
+	56	111
+	4	59	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	109
+	56	111
+	3	59	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	117
+	169	117
+	165	114
+	4	162	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	117
+	165	114
+	3	162	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	126
+	80	130
+	77	126
+	4	73	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	130
+	77	126
+	3	73	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	126
+	70	122
+	73	126
+	4	77	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	122
+	73	126
+	3	77	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	132
+	100	130
+	97	128
+	4	94	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	130
+	97	128
+	3	94	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	126
+	97	128
+	100	130
+	4	103	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	128
+	100	130
+	3	103	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	119
+	219	118
+	215	116
+	4	212	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	118
+	215	116
+	3	212	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	116
+	215	116
+	219	118
+	4	222	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	116
+	219	118
+	3	222	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	132
+	150	132
+	146	130
+	4	143	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	132
+	146	130
+	3	143	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	129
+	146	130
+	150	132
+	4	153	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	130
+	150	132
+	3	153	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	130
+	140	129
+	143	132
+	4	146	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	129
+	143	132
+	3	146	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	130
+	143	132
+	140	129
+	4	137	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	132
+	140	129
+	3	137	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	129
+	133	126
+	137	130
+	4	140	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	126
+	137	130
+	3	140	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	133
+	90	134
+	87	132
+	4	84	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	134
+	87	132
+	3	84	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	132
+	87	132
+	90	134
+	4	94	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	132
+	90	134
+	3	94	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	132
+	80	130
+	84	133
+	4	87	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	130
+	84	133
+	3	87	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	49	111
+	56	111
+	52	109
+	4	49	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	111
+	52	109
+	3	49	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	118
+	226	119
+	222	116
+	4	219	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	119
+	222	116
+	3	219	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	122
+	236	125
+	232	122
+	4	230	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	125
+	232	122
+	3	230	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	122
+	226	119
+	230	122
+	4	232	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	119
+	230	122
+	3	232	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	125
+	190	129
+	186	125
+	4	183	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	129
+	186	125
+	3	183	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	125
+	179	122
+	183	125
+	4	186	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	122
+	183	125
+	3	186	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	123
+	133	126
+	129	123
+	4	126	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	126
+	129	123
+	3	126	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	123
+	123	119
+	126	123
+	4	129	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	119
+	126	123
+	3	129	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	115
+	66	118
+	63	114
+	4	59	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	118
+	63	114
+	3	59	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	114
+	56	111
+	59	115
+	4	63	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	111
+	59	115
+	3	63	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	123
+	216	121
+	212	119
+	4	209	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	121
+	212	119
+	3	209	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	118
+	212	119
+	216	121
+	4	219	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	119
+	216	121
+	3	219	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	121
+	166	119
+	162	117
+	4	159	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	119
+	162	117
+	3	159	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	117
+	162	117
+	166	119
+	4	169	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	117
+	166	119
+	3	169	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	134
+	97	133
+	94	132
+	4	90	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	133
+	94	132
+	3	90	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	130
+	94	132
+	97	133
+	4	100	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	132
+	97	133
+	3	100	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	119
+	179	122
+	176	119
+	4	173	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	122
+	176	119
+	3	173	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	119
+	169	117
+	173	119
+	4	176	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	117
+	173	119
+	3	176	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	127
+	213	124
+	209	123
+	4	206	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	124
+	209	123
+	3	206	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	121
+	209	123
+	213	124
+	4	216	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	123
+	213	124
+	3	216	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	132
+	200	133
+	196	131
+	4	194	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	133
+	196	131
+	3	194	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	130
+	196	131
+	200	133
+	4	203	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	131
+	200	133
+	3	203	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	131
+	190	129
+	194	132
+	4	196	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	129
+	194	132
+	3	196	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	130
+	84	133
+	80	130
+	4	77	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	133
+	80	130
+	3	77	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	130
+	73	126
+	77	130
+	4	80	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	126
+	77	130
+	3	80	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	117
+	123	119
+	119	116
+	4	116	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	119
+	119	116
+	3	116	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	116
+	112	115
+	116	117
+	4	119	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	115
+	116	117
+	3	119	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	118
+	116	117
+	112	115
+	4	109	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	117
+	112	115
+	3	109	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	125
+	163	122
+	159	121
+	4	156	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	122
+	159	121
+	3	156	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	119
+	159	121
+	163	122
+	4	166	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	121
+	163	122
+	3	166	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	130
+	210	128
+	206	127
+	4	203	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	128
+	206	127
+	3	203	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	124
+	206	127
+	210	128
+	4	213	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	127
+	210	128
+	3	213	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	129
+	160	126
+	156	125
+	4	153	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	126
+	156	125
+	3	153	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	122
+	156	125
+	160	126
+	4	163	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	125
+	160	126
+	3	163	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	118
+	70	122
+	66	118
+	4	63	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	122
+	66	118
+	3	63	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	118
+	59	115
+	63	118
+	4	66	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	115
+	63	118
+	3	66	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	114
+	52	113
+	49	111
+	4	46	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	113
+	49	111
+	3	46	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	111
+	49	111
+	52	113
+	4	56	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	111
+	52	113
+	3	56	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	126
+	137	130
+	133	126
+	4	130	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	130
+	133	126
+	3	130	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	126
+	126	123
+	130	126
+	4	133	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	123
+	130	126
+	3	133	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	132
+	157	130
+	153	129
+	4	150	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	130
+	153	129
+	3	150	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	126
+	153	129
+	157	130
+	4	160	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	129
+	157	130
+	3	160	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	125
+	240	129
+	236	125
+	4	234	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	129
+	236	125
+	3	234	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	125
+	230	122
+	234	125
+	4	236	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	122
+	234	125
+	3	236	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	119
+	173	119
+	169	117
+	4	166	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	119
+	169	117
+	3	166	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	129
+	194	132
+	190	129
+	4	187	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	132
+	190	129
+	3	187	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	129
+	183	125
+	187	129
+	4	190	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	125
+	187	129
+	3	190	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	113
+	59	115
+	56	111
+	4	52	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	115
+	56	111
+	3	52	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	133
+	147	135
+	143	132
+	4	140	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	135
+	143	132
+	3	140	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	132
+	143	132
+	147	135
+	4	150	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	132
+	147	135
+	3	150	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	132
+	137	130
+	140	133
+	4	143	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	130
+	140	133
+	3	143	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	133
+	207	132
+	203	130
+	4	200	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	132
+	203	130
+	3	200	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	128
+	203	130
+	207	132
+	4	210	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	130
+	207	132
+	3	210	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	120
+	230	122
+	226	119
+	4	223	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	122
+	226	119
+	3	223	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	119
+	219	118
+	223	120
+	4	226	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	118
+	223	120
+	3	226	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	122
+	113	120
+	109	118
+	4	106	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	120
+	109	118
+	3	106	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	117
+	109	118
+	113	120
+	4	116	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	118
+	113	120
+	3	116	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	121
+	223	120
+	219	118
+	4	216	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	120
+	219	118
+	3	216	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	136
+	94	136
+	90	134
+	4	87	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	136
+	90	134
+	3	87	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	133
+	90	134
+	94	136
+	4	97	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	134
+	94	136
+	3	97	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	134
+	84	133
+	87	136
+	4	90	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	133
+	87	136
+	3	90	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	122
+	183	125
+	179	122
+	4	177	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	125
+	179	122
+	3	177	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	122
+	173	119
+	177	122
+	4	179	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	119
+	177	122
+	3	179	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	122
+	73	126
+	70	122
+	4	66	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	126
+	70	122
+	3	66	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	122
+	63	118
+	66	122
+	4	70	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	118
+	66	122
+	3	70	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	134
+	87	136
+	84	133
+	4	80	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	136
+	84	133
+	3	80	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	133
+	77	130
+	80	134
+	4	84	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	130
+	80	134
+	3	84	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	135
+	154	134
+	150	132
+	4	147	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	134
+	150	132
+	3	147	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	130
+	150	132
+	154	134
+	4	157	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	132
+	154	134
+	3	157	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	120
+	126	123
+	123	119
+	4	119	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	123
+	123	119
+	3	119	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	119
+	116	117
+	119	120
+	4	123	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	117
+	119	120
+	3	123	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	126
+	110	123
+	106	122
+	4	103	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	123
+	106	122
+	3	103	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	120
+	106	122
+	110	123
+	4	113	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	122
+	110	123
+	3	113	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	130
+	106	127
+	103	126
+	4	100	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	127
+	103	126
+	3	100	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	123
+	103	126
+	106	127
+	4	110	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	126
+	106	127
+	3	110	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	116
+	49	116
+	46	114
+	4	42	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	116
+	46	114
+	3	42	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	113
+	46	114
+	49	116
+	4	52	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	114
+	49	116
+	3	52	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	130
+	140	133
+	137	130
+	4	134	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	133
+	137	130
+	3	134	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	130
+	130	126
+	134	130
+	4	137	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	126
+	134	130
+	3	137	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	133
+	103	131
+	100	130
+	4	97	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	131
+	100	130
+	3	97	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	127
+	100	130
+	103	131
+	4	106	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	130
+	103	131
+	3	106	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	126
+	77	130
+	73	126
+	4	70	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	130
+	73	126
+	3	70	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	126
+	66	122
+	70	126
+	4	73	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	122
+	70	126
+	3	73	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	135
+	204	135
+	200	133
+	4	197	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	135
+	200	133
+	3	197	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	132
+	200	133
+	204	135
+	4	207	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	133
+	204	135
+	3	207	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	133
+	194	132
+	197	135
+	4	200	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	132
+	197	135
+	3	200	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	129
+	244	132
+	240	129
+	4	237	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	132
+	240	129
+	3	237	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	129
+	234	125
+	237	129
+	4	240	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	125
+	237	129
+	3	240	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	122
+	170	121
+	166	119
+	4	163	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	121
+	166	119
+	3	163	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	119
+	166	119
+	170	121
+	4	173	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	119
+	170	121
+	3	173	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	120
+	119	120
+	116	117
+	4	113	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	120
+	116	117
+	3	113	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	116
+	63	118
+	59	115
+	4	56	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	118
+	59	115
+	3	56	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	115
+	52	113
+	56	116
+	4	59	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	113
+	56	116
+	3	59	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	124
+	220	123
+	216	121
+	4	213	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	123
+	216	121
+	3	213	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	120
+	216	121
+	220	123
+	4	223	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	121
+	220	123
+	3	223	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	132
+	197	135
+	194	132
+	4	191	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	135
+	194	132
+	3	191	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	132
+	187	129
+	191	132
+	4	194	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	129
+	191	132
+	3	194	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	123
+	234	125
+	230	122
+	4	227	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	125
+	230	122
+	3	227	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	122
+	223	120
+	227	123
+	4	230	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	120
+	227	123
+	3	230	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	121
+	177	122
+	173	119
+	4	170	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	122
+	173	119
+	3	170	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	126
+	187	129
+	183	125
+	4	180	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	129
+	183	125
+	3	180	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	125
+	177	122
+	180	126
+	4	183	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	122
+	180	126
+	3	183	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	136
+	100	134
+	97	133
+	4	94	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	134
+	97	133
+	3	94	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	131
+	97	133
+	100	134
+	4	103	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	133
+	100	134
+	3	103	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	116
+	56	116
+	52	113
+	4	49	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	116
+	52	113
+	3	49	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	123
+	130	126
+	126	123
+	4	123	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	126
+	126	123
+	3	123	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	123
+	119	120
+	123	123
+	4	126	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	120
+	123	123
+	3	126	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	128
+	217	126
+	213	124
+	4	210	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	126
+	213	124
+	3	210	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	123
+	213	124
+	217	126
+	4	220	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	124
+	217	126
+	3	220	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	119
+	45	118
+	42	116
+	4	39	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	118
+	42	116
+	3	39	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	116
+	42	116
+	45	118
+	4	49	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	116
+	45	118
+	3	49	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	136
+	151	137
+	147	135
+	4	144	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	137
+	147	135
+	3	144	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	134
+	147	135
+	151	137
+	4	154	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	135
+	151	137
+	3	154	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	135
+	140	133
+	144	136
+	4	147	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	133
+	144	136
+	3	147	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	126
+	167	124
+	163	122
+	4	160	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	124
+	163	122
+	3	160	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	121
+	163	122
+	167	124
+	4	170	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	122
+	167	124
+	3	170	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	130
+	80	134
+	77	130
+	4	73	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	134
+	77	130
+	3	73	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	130
+	70	126
+	73	130
+	4	77	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	126
+	73	130
+	3	77	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	132
+	214	130
+	210	128
+	4	207	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	130
+	210	128
+	3	207	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	126
+	210	128
+	214	130
+	4	217	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	128
+	214	130
+	3	217	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	137
+	90	139
+	87	136
+	4	84	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	139
+	87	136
+	3	84	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	136
+	87	136
+	90	139
+	4	94	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	136
+	90	139
+	3	94	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	136
+	80	134
+	84	137
+	4	87	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	134
+	84	137
+	3	87	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	123
+	227	123
+	223	120
+	4	220	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	123
+	223	120
+	3	220	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	130
+	164	128
+	160	126
+	4	157	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	128
+	160	126
+	3	157	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	124
+	160	126
+	164	128
+	4	167	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	126
+	164	128
+	3	167	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	134
+	144	136
+	140	133
+	4	137	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	136
+	140	133
+	3	137	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	133
+	134	130
+	137	134
+	4	140	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	130
+	137	134
+	3	140	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	119
+	66	122
+	63	118
+	4	59	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	122
+	63	118
+	3	59	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	118
+	56	116
+	59	119
+	4	63	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	116
+	59	119
+	3	63	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	135
+	211	134
+	207	132
+	4	204	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	134
+	207	132
+	3	204	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	130
+	207	132
+	211	134
+	4	214	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	132
+	211	134
+	3	214	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	134
+	161	132
+	157	130
+	4	154	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	132
+	157	130
+	3	154	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	128
+	157	130
+	161	132
+	4	164	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	130
+	161	132
+	3	164	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	123
+	116	122
+	113	120
+	4	110	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	122
+	113	120
+	3	110	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	120
+	113	120
+	116	122
+	4	119	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	120
+	116	122
+	3	119	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	139
+	97	138
+	94	136
+	4	90	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	138
+	94	136
+	3	90	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	134
+	94	136
+	97	138
+	4	100	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	136
+	97	138
+	3	100	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	132
+	248	135
+	244	132
+	4	241	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	135
+	244	132
+	3	241	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	244	132
+	237	129
+	241	132
+	4	244	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	129
+	241	132
+	3	244	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	122
+	42	121
+	39	119
+	4	36	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	121
+	39	119
+	3	36	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	118
+	39	119
+	42	121
+	4	45	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	119
+	42	121
+	3	45	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	127
+	134	130
+	130	126
+	4	127	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	130
+	130	126
+	3	127	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	126
+	123	123
+	127	127
+	4	130	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	123
+	127	127
+	3	130	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	129
+	191	132
+	187	129
+	4	184	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	132
+	187	129
+	3	184	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	129
+	180	126
+	184	129
+	4	187	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	126
+	184	129
+	3	187	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	126
+	237	129
+	234	125
+	4	231	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	129
+	234	125
+	3	231	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	125
+	227	123
+	231	126
+	4	234	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	123
+	231	126
+	3	234	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	122
+	123	123
+	119	120
+	4	116	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	123
+	119	120
+	3	116	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	134
+	84	137
+	80	134
+	4	77	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	137
+	80	134
+	3	77	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	134
+	73	130
+	77	134
+	4	80	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	130
+	77	134
+	3	80	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	136
+	201	137
+	197	135
+	4	195	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	137
+	197	135
+	3	195	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	135
+	197	135
+	201	137
+	4	204	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	135
+	201	137
+	3	204	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	135
+	191	132
+	195	136
+	4	197	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	132
+	195	136
+	3	197	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	137
+	158	135
+	154	134
+	4	151	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	135
+	154	134
+	3	151	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	132
+	154	134
+	158	135
+	4	161	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	134
+	158	135
+	3	161	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	118
+	52	118
+	49	116
+	4	45	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	118
+	49	116
+	3	45	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	116
+	49	116
+	52	118
+	4	56	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	116
+	52	118
+	3	56	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	124
+	180	126
+	177	122
+	4	174	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	126
+	177	122
+	3	174	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	122
+	170	121
+	174	124
+	4	177	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	121
+	174	124
+	3	177	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	123
+	70	126
+	66	122
+	4	62	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	126
+	66	122
+	3	62	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	122
+	59	119
+	62	123
+	4	66	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	119
+	62	123
+	3	66	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	118
+	59	119
+	56	116
+	4	52	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	119
+	56	116
+	3	52	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	127
+	113	125
+	110	123
+	4	106	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	125
+	110	123
+	3	106	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	122
+	110	123
+	113	125
+	4	116	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	123
+	113	125
+	3	116	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	137
+	208	137
+	204	135
+	4	201	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	137
+	204	135
+	3	201	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	134
+	204	135
+	208	137
+	4	211	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	135
+	208	137
+	3	211	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	124
+	174	124
+	170	121
+	4	167	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	124
+	170	121
+	3	167	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	126
+	224	125
+	220	123
+	4	217	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	125
+	220	123
+	3	217	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	123
+	220	123
+	224	125
+	4	227	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	123
+	224	125
+	3	227	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	131
+	110	128
+	106	127
+	4	103	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	128
+	106	127
+	3	103	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	125
+	106	127
+	110	128
+	4	113	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	127
+	110	128
+	3	113	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	125
+	39	124
+	36	122
+	4	32	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	124
+	36	122
+	3	32	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	121
+	36	122
+	39	124
+	4	42	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	122
+	39	124
+	3	42	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	137
+	148	139
+	144	136
+	4	141	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	139
+	144	136
+	3	141	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	137
+	144	136
+	148	139
+	4	151	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	136
+	148	139
+	3	151	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	136
+	137	134
+	141	137
+	4	144	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	134
+	141	137
+	3	144	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	130
+	137	134
+	134	130
+	4	130	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	134
+	134	130
+	3	130	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	130
+	127	127
+	130	130
+	4	134	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	127
+	130	130
+	3	134	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	125
+	231	126
+	227	123
+	4	224	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	126
+	227	123
+	3	224	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	140
+	94	141
+	90	139
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	141
+	90	139
+	3	87	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	138
+	90	139
+	94	141
+	4	97	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	139
+	94	141
+	3	97	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	139
+	84	137
+	87	140
+	4	90	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	137
+	87	140
+	3	90	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	139
+	154	139
+	151	137
+	4	148	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	139
+	151	137
+	3	148	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	135
+	151	137
+	154	139
+	4	158	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	137
+	154	139
+	3	158	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	134
+	107	132
+	103	131
+	4	100	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	132
+	103	131
+	3	100	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	128
+	103	131
+	107	132
+	4	110	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	131
+	107	132
+	3	110	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	127
+	73	130
+	70	126
+	4	66	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	130
+	70	126
+	3	66	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	126
+	62	123
+	66	127
+	4	70	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	123
+	66	127
+	3	70	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	133
+	195	136
+	191	132
+	4	188	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	136
+	191	132
+	3	188	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	132
+	184	129
+	188	133
+	4	191	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	129
+	188	133
+	3	191	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	129
+	241	132
+	237	129
+	4	235	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	132
+	237	129
+	3	235	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	129
+	231	126
+	235	129
+	4	237	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	126
+	235	129
+	3	237	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	135
+	252	138
+	248	135
+	4	246	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	138
+	248	135
+	3	246	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	135
+	241	132
+	246	135
+	4	248	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	132
+	246	135
+	3	248	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	121
+	49	120
+	45	118
+	4	42	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	120
+	45	118
+	3	42	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	118
+	45	118
+	49	120
+	4	52	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	118
+	49	120
+	3	52	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	138
+	87	140
+	84	137
+	4	80	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	84	137
+	3	80	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	137
+	77	134
+	80	138
+	4	84	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	134
+	80	138
+	3	84	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	130
+	221	128
+	217	126
+	4	214	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	128
+	217	126
+	3	214	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	125
+	217	126
+	221	128
+	4	224	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	126
+	221	128
+	3	224	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	125
+	127	127
+	123	123
+	4	120	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	127
+	123	123
+	3	120	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	123
+	116	122
+	120	125
+	4	123	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	122
+	120	125
+	3	123	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	128
+	171	126
+	167	124
+	4	164	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	126
+	167	124
+	3	164	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	124
+	167	124
+	171	126
+	4	174	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	124
+	171	126
+	3	174	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	138
+	104	136
+	100	134
+	4	97	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	136
+	100	134
+	3	97	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	132
+	100	134
+	104	136
+	4	107	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	134
+	104	136
+	3	107	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	127
+	184	129
+	180	126
+	4	177	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	129
+	180	126
+	3	177	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	126
+	174	124
+	177	127
+	4	180	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	124
+	177	127
+	3	180	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	134
+	218	131
+	214	130
+	4	211	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	131
+	214	130
+	3	211	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	128
+	214	130
+	218	131
+	4	221	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	130
+	218	131
+	3	221	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	125
+	120	125
+	116	122
+	4	113	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	125
+	116	122
+	3	113	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	121
+	62	123
+	59	119
+	4	55	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	123
+	59	119
+	3	55	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	119
+	52	118
+	55	121
+	4	59	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	118
+	55	121
+	3	59	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	139
+	205	140
+	201	137
+	4	198	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	140
+	201	137
+	3	198	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	137
+	201	137
+	205	140
+	4	208	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	137
+	205	140
+	3	208	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	137
+	195	136
+	198	139
+	4	201	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	136
+	198	139
+	3	201	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	29	128
+	35	127
+	32	125
+	4	29	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	127
+	32	125
+	3	29	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	124
+	32	125
+	35	127
+	4	39	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	125
+	35	127
+	3	39	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	131
+	77	134
+	73	130
+	4	69	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	134
+	73	130
+	3	69	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	130
+	66	127
+	69	131
+	4	73	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	127
+	69	131
+	3	73	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	132
+	167	129
+	164	128
+	4	161	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	129
+	164	128
+	3	161	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	126
+	164	128
+	167	129
+	4	171	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	128
+	167	129
+	3	171	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	137
+	215	135
+	211	134
+	4	208	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	135
+	211	134
+	3	208	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	131
+	211	134
+	215	135
+	4	218	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	134
+	215	135
+	3	218	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	134
+	141	137
+	137	134
+	4	134	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	137
+	137	134
+	3	134	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	134
+	130	130
+	134	134
+	4	137	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	130
+	134	134
+	3	137	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	120
+	55	121
+	52	118
+	4	49	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	121
+	52	118
+	3	49	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	141
+	100	139
+	97	138
+	4	94	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	139
+	97	138
+	3	94	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	136
+	97	138
+	100	139
+	4	104	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	138
+	100	139
+	3	104	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	126
+	177	127
+	174	124
+	4	171	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	127
+	174	124
+	3	171	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	135
+	164	133
+	161	132
+	4	158	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	133
+	161	132
+	3	158	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	129
+	161	132
+	164	133
+	4	167	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	132
+	164	133
+	3	167	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	124
+	45	123
+	42	121
+	4	39	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	123
+	42	121
+	3	39	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	120
+	42	121
+	45	123
+	4	49	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	121
+	45	123
+	3	49	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	136
+	198	139
+	195	136
+	4	192	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	139
+	195	136
+	3	192	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	136
+	188	133
+	192	136
+	4	195	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	133
+	192	136
+	3	195	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	127
+	235	129
+	231	126
+	4	228	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	129
+	231	126
+	3	228	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	126
+	224	125
+	228	127
+	4	231	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	125
+	228	127
+	3	231	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	132
+	246	135
+	241	132
+	4	239	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	135
+	241	132
+	3	239	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	132
+	235	129
+	239	132
+	4	241	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	129
+	239	132
+	3	241	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	140
+	151	141
+	148	139
+	4	145	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	148	139
+	3	145	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	139
+	148	139
+	151	141
+	4	154	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	139
+	151	141
+	3	154	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	139
+	141	137
+	145	140
+	4	148	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	137
+	145	140
+	3	148	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	128
+	228	127
+	224	125
+	4	221	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	127
+	224	125
+	3	221	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	140
+	212	139
+	208	137
+	4	205	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	139
+	208	137
+	3	205	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	135
+	208	137
+	212	139
+	4	215	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	137
+	212	139
+	3	215	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	139
+	161	137
+	158	135
+	4	154	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	137
+	158	135
+	3	154	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	133
+	158	135
+	161	137
+	4	164	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	135
+	161	137
+	3	164	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	128
+	130	130
+	127	127
+	4	123	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	130
+	127	127
+	3	123	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	127
+	120	125
+	123	128
+	4	127	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	125
+	123	128
+	3	127	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	135
+	80	138
+	77	134
+	4	73	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	138
+	77	134
+	3	73	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	134
+	69	131
+	73	135
+	4	77	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	131
+	73	135
+	3	77	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	130
+	188	133
+	184	129
+	4	181	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	133
+	184	129
+	3	181	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	129
+	177	127
+	181	130
+	4	184	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	127
+	181	130
+	3	184	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	142
+	91	143
+	87	140
+	4	84	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	143
+	87	140
+	3	84	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	141
+	87	140
+	91	143
+	4	94	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	91	143
+	3	94	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	140
+	80	138
+	84	142
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	138
+	84	142
+	3	87	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	128
+	117	127
+	113	125
+	4	110	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	127
+	113	125
+	3	110	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	125
+	113	125
+	117	127
+	4	120	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	125
+	117	127
+	3	120	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	124
+	66	127
+	62	123
+	4	59	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	127
+	62	123
+	3	59	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	123
+	55	121
+	59	124
+	4	62	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	121
+	59	124
+	3	62	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	139
+	256	140
+	252	138
+	4	250	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	140
+	252	138
+	3	250	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	138
+	246	135
+	250	139
+	4	252	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	135
+	250	139
+	3	252	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	25	131
+	32	130
+	29	128
+	4	25	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	130
+	29	128
+	3	25	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	127
+	29	128
+	32	130
+	4	35	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	128
+	32	130
+	3	35	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	143
+	97	143
+	94	141
+	4	91	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	143
+	94	141
+	3	91	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	139
+	94	141
+	97	143
+	4	100	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	141
+	97	143
+	3	100	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	138
+	145	140
+	141	137
+	4	138	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	140
+	141	137
+	3	138	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	137
+	134	134
+	138	138
+	4	141	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	134
+	138	138
+	3	141	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	127
+	42	126
+	39	124
+	4	35	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	126
+	39	124
+	3	35	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	123
+	39	124
+	42	126
+	4	45	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	124
+	42	126
+	3	45	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	141
+	158	141
+	154	139
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	141
+	154	139
+	3	151	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	137
+	154	139
+	158	141
+	4	161	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	139
+	158	141
+	3	161	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	123
+	52	123
+	49	120
+	4	45	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	123
+	49	120
+	3	45	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	121
+	49	120
+	52	123
+	4	55	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	120
+	52	123
+	3	55	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	132
+	113	130
+	110	128
+	4	107	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	130
+	110	128
+	3	107	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	127
+	110	128
+	113	130
+	4	117	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	128
+	113	130
+	3	117	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	127
+	123	128
+	120	125
+	4	117	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	128
+	120	125
+	3	117	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	129
+	174	128
+	171	126
+	4	167	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	128
+	171	126
+	3	167	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	127
+	171	126
+	174	128
+	4	177	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	126
+	174	128
+	3	177	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	131
+	225	130
+	221	128
+	4	218	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	130
+	221	128
+	3	218	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	127
+	221	128
+	225	130
+	4	228	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	128
+	225	130
+	3	228	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	123
+	59	124
+	55	121
+	4	52	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	124
+	55	121
+	3	52	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	139
+	84	142
+	80	138
+	4	77	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	142
+	80	138
+	3	77	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	138
+	73	135
+	77	139
+	4	80	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	135
+	77	139
+	3	80	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	131
+	134	134
+	130	130
+	4	127	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	134
+	130	130
+	3	127	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	130
+	123	128
+	127	131
+	4	130	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	128
+	127	131
+	3	130	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	128
+	69	131
+	66	127
+	4	62	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	131
+	66	127
+	3	62	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	127
+	59	124
+	62	128
+	4	66	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	124
+	62	128
+	3	66	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	142
+	209	142
+	205	140
+	4	202	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	142
+	205	140
+	3	202	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	139
+	205	140
+	209	142
+	4	212	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	140
+	209	142
+	3	212	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	140
+	198	139
+	202	142
+	4	205	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	139
+	202	142
+	3	205	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	136
+	250	139
+	246	135
+	4	243	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	139
+	246	135
+	3	243	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	135
+	239	132
+	243	136
+	4	246	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	132
+	243	136
+	3	246	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	128
+	181	130
+	177	127
+	4	174	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	130
+	177	127
+	3	174	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	136
+	110	133
+	107	132
+	4	104	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	133
+	107	132
+	3	104	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	130
+	107	132
+	110	133
+	4	113	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	132
+	110	133
+	3	113	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	140
+	202	142
+	198	139
+	4	196	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	142
+	198	139
+	3	196	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	139
+	192	136
+	196	140
+	4	198	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	136
+	196	140
+	3	198	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	130
+	239	132
+	235	129
+	4	232	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	132
+	235	129
+	3	232	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	129
+	228	127
+	232	130
+	4	235	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	127
+	232	130
+	3	235	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	133
+	192	136
+	188	133
+	4	185	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	136
+	188	133
+	3	185	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	133
+	181	130
+	185	133
+	4	188	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	130
+	185	133
+	3	188	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	135
+	223	133
+	218	131
+	4	215	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	133
+	218	131
+	3	215	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	130
+	218	131
+	223	133
+	4	225	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	131
+	223	133
+	3	225	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	133
+	28	132
+	25	131
+	4	22	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	132
+	25	131
+	3	22	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	130
+	25	131
+	28	132
+	4	32	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	131
+	28	132
+	3	32	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	139
+	107	137
+	104	136
+	4	100	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	137
+	104	136
+	3	100	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	133
+	104	136
+	107	137
+	4	110	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	136
+	107	137
+	3	110	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	130
+	38	129
+	35	127
+	4	32	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	129
+	35	127
+	3	32	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	126
+	35	127
+	38	129
+	4	42	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	127
+	38	129
+	3	42	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	133
+	171	131
+	167	129
+	4	164	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	131
+	167	129
+	3	164	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	128
+	167	129
+	171	131
+	4	174	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	129
+	171	131
+	3	174	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	130
+	232	130
+	228	127
+	4	225	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	130
+	228	127
+	3	225	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	143
+	155	144
+	151	141
+	4	148	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	144
+	151	141
+	3	148	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	141
+	151	141
+	155	144
+	4	158	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	155	144
+	3	158	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	141
+	145	140
+	148	143
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	140
+	148	143
+	3	151	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	139
+	219	137
+	215	135
+	4	212	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	137
+	215	135
+	3	212	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	133
+	215	135
+	219	137
+	4	223	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	135
+	219	137
+	3	223	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	145
+	94	145
+	91	143
+	4	87	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	145
+	91	143
+	3	87	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	143
+	91	143
+	94	145
+	4	97	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	143
+	94	145
+	3	97	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	143
+	84	142
+	87	145
+	4	91	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	142
+	87	145
+	3	91	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	142
+	261	143
+	256	140
+	4	254	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	143
+	256	140
+	3	254	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	256	140
+	250	139
+	254	142
+	4	256	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	139
+	254	142
+	3	256	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	126
+	48	125
+	45	123
+	4	42	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	125
+	45	123
+	3	42	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	123
+	45	123
+	48	125
+	4	52	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	123
+	48	125
+	3	52	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	141
+	148	143
+	145	140
+	4	141	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	143
+	145	140
+	3	141	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	140
+	138	138
+	141	141
+	4	145	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	138
+	141	141
+	3	145	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	131
+	73	135
+	69	131
+	4	66	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	135
+	69	131
+	3	66	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	131
+	62	128
+	66	131
+	4	69	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	128
+	66	131
+	3	69	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	143
+	104	141
+	100	139
+	4	97	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	141
+	100	139
+	3	97	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	137
+	100	139
+	104	141
+	4	107	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	139
+	104	141
+	3	107	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	134
+	138	138
+	134	134
+	4	131	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	138
+	134	134
+	3	131	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	134
+	127	131
+	131	134
+	4	134	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	131
+	131	134
+	3	134	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	137
+	168	135
+	164	133
+	4	161	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	135
+	164	133
+	3	161	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	131
+	164	133
+	168	135
+	4	171	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	133
+	168	135
+	3	171	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	143
+	87	145
+	84	142
+	4	80	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	145
+	84	142
+	3	80	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	142
+	77	139
+	80	143
+	4	84	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	139
+	80	143
+	3	84	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	130
+	120	129
+	117	127
+	4	113	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	129
+	117	127
+	3	113	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	128
+	117	127
+	120	129
+	4	123	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	127
+	120	129
+	3	123	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	142
+	216	141
+	212	139
+	4	209	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	141
+	212	139
+	3	209	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	137
+	212	139
+	216	141
+	4	219	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	139
+	216	141
+	3	219	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	129
+	127	131
+	123	128
+	4	120	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	131
+	123	128
+	3	120	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	126
+	62	128
+	59	124
+	4	55	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	128
+	59	124
+	3	55	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	124
+	52	123
+	55	126
+	4	59	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	123
+	55	126
+	3	59	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	137
+	196	140
+	192	136
+	4	189	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	140
+	192	136
+	3	189	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	136
+	185	133
+	189	137
+	4	192	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	133
+	189	137
+	3	192	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	139
+	254	142
+	250	139
+	4	247	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	142
+	250	139
+	3	247	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	139
+	243	136
+	247	139
+	4	250	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	136
+	247	139
+	3	250	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	141
+	165	138
+	161	137
+	4	158	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	138
+	161	137
+	3	158	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	135
+	161	137
+	165	138
+	4	168	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	137
+	165	138
+	3	168	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	133
+	243	136
+	239	132
+	4	237	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	136
+	239	132
+	3	237	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	132
+	232	130
+	237	133
+	4	239	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	130
+	237	133
+	3	239	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	125
+	55	126
+	52	123
+	4	48	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	126
+	52	123
+	3	48	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	131
+	185	133
+	181	130
+	4	178	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	133
+	181	130
+	3	178	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	130
+	174	128
+	178	131
+	4	181	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	128
+	178	131
+	3	181	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	132
+	35	131
+	32	130
+	4	28	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	131
+	32	130
+	3	28	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	129
+	32	130
+	35	131
+	4	38	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	130
+	35	131
+	3	38	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	18	136
+	25	135
+	22	133
+	4	18	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	135
+	22	133
+	3	18	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	28	132
+	22	133
+	25	135
+	4	28	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	133
+	25	135
+	3	28	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	135
+	77	139
+	73	135
+	4	69	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	139
+	73	135
+	3	69	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	135
+	66	131
+	69	135
+	4	73	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	131
+	69	135
+	3	73	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	145
+	101	144
+	97	143
+	4	94	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	144
+	97	143
+	3	94	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	141
+	97	143
+	101	144
+	4	104	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	143
+	101	144
+	3	104	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	143
+	206	145
+	202	142
+	4	200	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	145
+	202	142
+	3	200	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	142
+	202	142
+	206	145
+	4	209	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	142
+	206	145
+	3	209	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	142
+	196	140
+	200	143
+	4	202	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	140
+	200	143
+	3	202	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	131
+	178	131
+	174	128
+	4	171	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	131
+	174	128
+	3	171	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	129
+	45	128
+	42	126
+	4	38	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	128
+	42	126
+	3	38	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	125
+	42	126
+	45	128
+	4	48	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	126
+	45	128
+	3	48	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	144
+	162	142
+	158	141
+	4	155	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	142
+	158	141
+	3	155	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	138
+	158	141
+	162	142
+	4	165	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	141
+	162	142
+	3	165	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	133
+	230	132
+	225	130
+	4	223	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	132
+	225	130
+	3	223	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	130
+	225	130
+	230	132
+	4	232	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	130
+	230	132
+	3	232	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	145
+	213	144
+	209	142
+	4	206	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	144
+	209	142
+	3	206	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	141
+	209	142
+	213	144
+	4	216	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	142
+	213	144
+	3	216	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	138
+	141	141
+	138	138
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	141
+	138	138
+	3	134	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	138
+	131	134
+	134	138
+	4	138	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	134
+	134	138
+	3	138	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	133
+	117	132
+	113	130
+	4	110	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	132
+	113	130
+	3	110	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	129
+	113	130
+	117	132
+	4	120	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	130
+	117	132
+	3	120	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	145
+	152	146
+	148	143
+	4	145	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	146
+	148	143
+	3	145	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	144
+	148	143
+	152	146
+	4	155	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	143
+	152	146
+	3	155	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	143
+	141	141
+	145	145
+	4	148	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	141
+	145	145
+	3	148	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	132
+	237	133
+	232	130
+	4	230	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	133
+	232	130
+	3	230	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	129
+	66	131
+	62	128
+	4	59	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	131
+	62	128
+	3	59	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	128
+	55	126
+	59	129
+	4	62	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	126
+	59	129
+	3	62	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	139
+	80	143
+	77	139
+	4	73	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	143
+	77	139
+	3	73	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	139
+	69	135
+	73	139
+	4	77	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	135
+	73	139
+	3	77	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	132
+	131	134
+	127	131
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	134
+	127	131
+	3	124	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	131
+	120	129
+	124	132
+	4	127	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	129
+	124	132
+	3	127	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	146
+	91	148
+	87	145
+	4	84	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	148
+	87	145
+	3	84	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	145
+	87	145
+	91	148
+	4	94	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	145
+	91	148
+	3	94	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	145
+	80	143
+	84	146
+	4	87	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	143
+	84	146
+	3	87	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	140
+	200	143
+	196	140
+	4	193	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	143
+	196	140
+	3	193	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	140
+	189	137
+	193	140
+	4	196	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	137
+	193	140
+	3	196	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	145
+	265	145
+	261	143
+	4	258	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	145
+	261	143
+	3	258	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	143
+	254	142
+	258	145
+	4	261	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	142
+	258	145
+	3	261	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	25	135
+	31	134
+	28	132
+	4	25	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	134
+	28	132
+	3	25	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	131
+	28	132
+	31	134
+	4	35	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	132
+	31	134
+	3	35	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	136
+	247	139
+	243	136
+	4	241	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	139
+	243	136
+	3	241	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	136
+	237	133
+	241	136
+	4	243	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	133
+	241	136
+	3	243	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	137
+	227	135
+	223	133
+	4	219	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	135
+	223	133
+	3	219	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	132
+	223	133
+	227	135
+	4	230	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	133
+	227	135
+	3	230	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	137
+	114	135
+	110	133
+	4	107	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	135
+	110	133
+	3	107	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	132
+	110	133
+	114	135
+	4	117	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	133
+	114	135
+	3	117	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	148
+	97	148
+	94	145
+	4	91	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	148
+	94	145
+	3	91	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	144
+	94	145
+	97	148
+	4	101	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	145
+	97	148
+	3	101	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	146
+	159	146
+	155	144
+	4	152	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	146
+	155	144
+	3	152	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	142
+	155	144
+	159	146
+	4	162	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	144
+	159	146
+	3	162	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	143
+	258	145
+	254	142
+	4	251	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	145
+	254	142
+	3	251	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	142
+	247	139
+	251	143
+	4	254	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	139
+	251	143
+	3	254	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	134
+	189	137
+	185	133
+	4	182	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	137
+	185	133
+	3	182	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	133
+	178	131
+	182	134
+	4	185	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	131
+	182	134
+	3	185	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	128
+	52	128
+	48	125
+	4	45	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	128
+	48	125
+	3	45	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	126
+	48	125
+	52	128
+	4	55	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	125
+	52	128
+	3	55	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	131
+	41	130
+	38	129
+	4	35	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	130
+	38	129
+	3	35	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	128
+	38	129
+	41	130
+	4	45	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	129
+	41	130
+	3	45	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	135
+	175	133
+	171	131
+	4	168	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	133
+	171	131
+	3	168	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	131
+	171	131
+	175	133
+	4	178	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	131
+	175	133
+	3	178	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	15	138
+	21	138
+	18	136
+	4	15	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	138
+	18	136
+	3	15	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	25	135
+	18	136
+	21	138
+	4	25	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	136
+	21	138
+	3	25	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	132
+	124	132
+	120	129
+	4	117	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	120	129
+	3	117	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	128
+	59	129
+	55	126
+	4	52	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	129
+	55	126
+	3	52	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	141
+	110	138
+	107	137
+	4	104	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	138
+	107	137
+	3	104	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	135
+	107	137
+	110	138
+	4	114	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	137
+	110	138
+	3	114	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	141
+	224	139
+	219	137
+	4	216	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	139
+	219	137
+	3	216	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	135
+	219	137
+	224	139
+	4	227	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	137
+	224	139
+	3	227	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	142
+	145	145
+	141	141
+	4	138	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	145
+	141	141
+	3	138	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	141
+	134	138
+	138	142
+	4	141	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	138	142
+	3	141	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	132
+	69	135
+	66	131
+	4	62	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	135
+	66	131
+	3	62	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	131
+	59	129
+	62	132
+	4	66	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	129
+	62	132
+	3	66	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	146
+	210	147
+	206	145
+	4	204	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	147
+	206	145
+	3	204	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	144
+	206	145
+	210	147
+	4	213	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	145
+	210	147
+	3	213	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	145
+	200	143
+	204	146
+	4	206	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	143
+	204	146
+	3	206	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	143
+	84	146
+	80	143
+	4	76	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	146
+	80	143
+	3	76	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	143
+	73	139
+	76	143
+	4	80	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	139
+	76	143
+	3	80	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	133
+	182	134
+	178	131
+	4	175	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	134
+	178	131
+	3	175	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	138
+	172	136
+	168	135
+	4	165	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	136
+	168	135
+	3	165	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	133
+	168	135
+	172	136
+	4	175	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	135
+	172	136
+	3	175	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	144
+	221	142
+	216	141
+	4	213	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	142
+	216	141
+	3	213	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	139
+	216	141
+	221	142
+	4	224	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	141
+	221	142
+	3	224	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	144
+	107	142
+	104	141
+	4	101	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	142
+	104	141
+	3	101	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	138
+	104	141
+	107	142
+	4	110	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	141
+	107	142
+	3	110	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	135
+	134	138
+	131	134
+	4	127	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	131	134
+	3	127	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	134
+	124	132
+	127	135
+	4	131	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	127	135
+	3	131	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	21	138
+	28	137
+	25	135
+	4	21	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	137
+	25	135
+	3	21	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	134
+	25	135
+	28	137
+	4	31	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	135
+	28	137
+	3	31	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	135
+	241	136
+	237	133
+	4	234	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	136
+	237	133
+	3	234	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	133
+	230	132
+	234	135
+	4	237	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	132
+	234	135
+	3	237	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	144
+	204	146
+	200	143
+	4	197	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	146
+	200	143
+	3	197	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	143
+	193	140
+	197	144
+	4	200	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	140
+	197	144
+	3	200	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	134
+	38	133
+	35	131
+	4	31	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	133
+	35	131
+	3	31	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	130
+	35	131
+	38	133
+	4	41	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	131
+	38	133
+	3	41	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	135
+	234	135
+	230	132
+	4	227	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	135
+	230	132
+	3	227	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	140
+	251	143
+	247	139
+	4	245	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	143
+	247	139
+	3	245	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	139
+	241	136
+	245	140
+	4	247	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	136
+	245	140
+	3	247	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	142
+	169	140
+	165	138
+	4	162	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	140
+	165	138
+	3	162	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	136
+	165	138
+	169	140
+	4	172	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	138
+	169	140
+	3	172	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	137
+	193	140
+	189	137
+	4	186	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	140
+	189	137
+	3	186	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	137
+	182	134
+	186	137
+	4	189	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	134
+	186	137
+	3	189	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	130
+	48	130
+	45	128
+	4	41	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	130
+	45	128
+	3	41	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	128
+	45	128
+	48	130
+	4	52	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	128
+	48	130
+	3	52	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	148
+	156	149
+	152	146
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	149
+	152	146
+	3	149	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	146
+	152	146
+	156	149
+	4	159	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	146
+	156	149
+	3	159	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	146
+	145	145
+	149	148
+	4	152	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	145
+	149	148
+	3	152	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	148
+	104	146
+	101	144
+	4	97	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	146
+	101	144
+	3	97	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	142
+	101	144
+	104	146
+	4	107	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	144
+	104	146
+	3	107	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	136
+	73	139
+	69	135
+	4	66	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	139
+	69	135
+	3	66	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	135
+	62	132
+	66	136
+	4	69	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	132
+	66	136
+	3	69	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	150
+	94	150
+	91	148
+	4	87	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	150
+	91	148
+	3	87	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	148
+	91	148
+	94	150
+	4	97	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	148
+	94	150
+	3	97	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	148
+	84	146
+	87	150
+	4	91	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	146
+	87	150
+	3	91	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	147
+	218	146
+	213	144
+	4	210	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	146
+	213	144
+	3	210	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	142
+	213	144
+	218	146
+	4	221	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	144
+	218	146
+	3	221	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	11	140
+	18	140
+	15	138
+	4	11	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	140
+	15	138
+	3	11	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	21	138
+	15	138
+	18	140
+	4	21	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	15	138
+	18	140
+	3	21	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	135
+	121	134
+	117	132
+	4	114	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	134
+	117	132
+	3	114	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	132
+	117	132
+	121	134
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	132
+	121	134
+	3	124	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	146
+	262	148
+	258	145
+	4	255	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	148
+	258	145
+	3	255	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	145
+	258	145
+	262	148
+	4	265	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	145
+	262	148
+	3	265	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	145
+	251	143
+	255	146
+	4	258	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	143
+	255	146
+	3	258	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	146
+	166	144
+	162	142
+	4	159	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	144
+	162	142
+	3	159	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	140
+	162	142
+	166	144
+	4	169	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	142
+	166	144
+	3	169	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	146
+	149	148
+	145	145
+	4	142	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	145	145
+	3	142	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	145
+	138	142
+	142	146
+	4	145	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	142
+	142	146
+	3	145	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	130
+	62	132
+	59	129
+	4	55	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	132
+	59	129
+	3	55	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	129
+	52	128
+	55	130
+	4	59	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	128
+	55	130
+	3	59	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	148
+	269	148
+	265	145
+	4	262	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	148
+	265	145
+	3	262	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	134
+	127	135
+	124	132
+	4	121	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	135
+	124	132
+	3	121	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	147
+	87	150
+	84	146
+	4	80	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	150
+	84	146
+	3	80	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	146
+	76	143
+	80	147
+	4	84	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	143
+	80	147
+	3	84	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	130
+	55	130
+	52	128
+	4	48	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	130
+	52	128
+	3	48	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	139
+	138	142
+	134	138
+	4	131	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	142
+	134	138
+	3	131	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	138
+	127	135
+	131	139
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	135
+	131	139
+	3	134	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	137
+	35	136
+	31	134
+	4	28	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	136
+	31	134
+	3	28	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	133
+	31	134
+	35	136
+	4	38	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	134
+	35	136
+	3	38	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	136
+	179	136
+	175	133
+	4	172	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	136
+	175	133
+	3	172	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	134
+	175	133
+	179	136
+	4	182	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	133
+	179	136
+	3	182	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	150
+	101	149
+	97	148
+	4	94	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	149
+	97	148
+	3	94	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	146
+	97	148
+	101	149
+	4	104	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	148
+	101	149
+	3	104	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	139
+	231	137
+	227	135
+	4	224	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	137
+	227	135
+	3	224	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	135
+	227	135
+	231	137
+	4	234	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	135
+	231	137
+	3	234	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	149
+	163	147
+	159	146
+	4	156	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	147
+	159	146
+	3	156	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	144
+	159	146
+	163	147
+	4	166	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	146
+	163	147
+	3	166	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	18	140
+	24	140
+	21	138
+	4	18	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	140
+	21	138
+	3	18	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	28	137
+	21	138
+	24	140
+	4	28	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	138
+	24	140
+	3	28	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	140
+	76	143
+	73	139
+	4	69	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	143
+	73	139
+	3	69	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	139
+	66	136
+	69	140
+	4	73	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	136
+	69	140
+	3	73	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	136
+	186	137
+	182	134
+	4	179	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	137
+	182	134
+	3	179	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	38	133
+	45	132
+	41	130
+	4	38	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	132
+	41	130
+	3	38	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	130
+	41	130
+	45	132
+	4	48	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	130
+	45	132
+	3	48	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	141
+	197	144
+	193	140
+	4	190	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	144
+	193	140
+	3	190	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	140
+	186	137
+	190	141
+	4	193	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	137
+	190	141
+	3	193	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	138
+	117	137
+	114	135
+	4	110	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	137
+	114	135
+	3	110	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	134
+	114	135
+	117	137
+	4	121	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	135
+	117	137
+	3	121	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	143
+	255	146
+	251	143
+	4	249	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	146
+	251	143
+	3	249	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	143
+	245	140
+	249	143
+	4	251	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	140
+	249	143
+	3	251	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	138
+	245	140
+	241	136
+	4	238	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	140
+	241	136
+	3	238	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	136
+	234	135
+	238	138
+	4	241	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	135
+	238	138
+	3	241	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	149
+	215	149
+	210	147
+	4	208	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	149
+	210	147
+	3	208	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	146
+	210	147
+	215	149
+	4	218	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	147
+	215	149
+	3	218	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	147
+	204	146
+	208	149
+	4	210	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	146
+	208	149
+	3	210	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	147
+	208	149
+	204	146
+	4	201	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	149
+	204	146
+	3	201	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	146
+	197	144
+	201	147
+	4	204	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	144
+	201	147
+	3	204	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	142
+	228	140
+	224	139
+	4	221	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	140
+	224	139
+	3	221	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	137
+	224	139
+	228	140
+	4	231	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	139
+	228	140
+	3	231	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	134
+	66	136
+	62	132
+	4	58	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	136
+	62	132
+	3	58	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	132
+	55	130
+	58	134
+	4	62	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	130
+	58	134
+	3	62	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	18	140
+	11	140
+	14	143
+	4	18	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	140
+	14	143
+	3	18	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	142
+	142	146
+	138	142
+	4	135	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	146
+	138	142
+	3	135	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	142
+	131	139
+	135	142
+	4	138	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	139
+	135	142
+	3	138	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	137
+	238	138
+	234	135
+	4	231	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	138
+	234	135
+	3	231	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	142
+	114	140
+	110	138
+	4	107	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	140
+	110	138
+	3	107	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	137
+	110	138
+	114	140
+	4	117	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	138
+	114	140
+	3	117	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	149
+	153	151
+	149	148
+	4	146	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	149	148
+	3	146	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	149
+	149	148
+	153	151
+	4	156	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	153	151
+	3	156	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	148
+	142	146
+	146	149
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	146
+	146	149
+	3	149	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	140
+	176	138
+	172	136
+	4	169	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	138
+	172	136
+	3	169	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	136
+	172	136
+	176	138
+	4	179	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	136
+	176	138
+	3	179	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	144
+	80	147
+	76	143
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	147
+	76	143
+	3	73	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	143
+	69	140
+	73	144
+	4	76	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	140
+	73	144
+	3	76	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	146
+	225	144
+	221	142
+	4	218	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	144
+	221	142
+	3	218	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	140
+	221	142
+	225	144
+	4	228	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	142
+	225	144
+	3	228	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	137
+	131	139
+	127	135
+	4	124	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	139
+	127	135
+	3	124	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	135
+	121	134
+	124	137
+	4	127	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	134
+	124	137
+	3	127	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	151
+	91	152
+	87	150
+	4	84	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	152
+	87	150
+	3	84	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	150
+	87	150
+	91	152
+	4	94	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	150
+	91	152
+	3	94	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	150
+	80	147
+	84	151
+	4	87	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	147
+	84	151
+	3	87	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	149
+	267	150
+	262	148
+	4	260	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	150
+	262	148
+	3	260	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	148
+	262	148
+	267	150
+	4	269	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	148
+	267	150
+	3	269	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	148
+	255	146
+	260	149
+	4	262	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	146
+	260	149
+	3	262	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	132
+	51	132
+	48	130
+	4	45	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	132
+	48	130
+	3	45	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	130
+	48	130
+	51	132
+	4	55	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	130
+	51	132
+	3	55	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	151
+	160	151
+	156	149
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	151
+	156	149
+	3	153	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	147
+	156	149
+	160	151
+	4	163	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	149
+	160	151
+	3	163	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	140
+	31	139
+	28	137
+	4	24	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	139
+	28	137
+	3	24	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	136
+	28	137
+	31	139
+	4	35	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	137
+	31	139
+	3	35	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	152
+	98	152
+	94	150
+	4	91	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	152
+	94	150
+	3	91	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	149
+	94	150
+	98	152
+	4	101	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	150
+	98	152
+	3	101	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	136
+	41	135
+	38	133
+	4	35	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	135
+	38	133
+	3	35	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	132
+	38	133
+	41	135
+	4	45	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	133
+	41	135
+	3	45	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	146
+	111	143
+	107	142
+	4	104	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	143
+	107	142
+	3	104	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	140
+	107	142
+	111	143
+	4	114	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	142
+	111	143
+	3	114	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	132
+	58	134
+	55	130
+	4	51	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	134
+	55	130
+	3	51	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	137
+	124	137
+	121	134
+	4	117	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	137
+	121	134
+	3	117	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	14	143
+	21	142
+	18	140
+	4	14	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	142
+	18	140
+	3	14	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	24	140
+	18	140
+	21	142
+	4	24	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	140
+	21	142
+	3	24	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	144
+	201	147
+	197	144
+	4	194	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	147
+	197	144
+	3	194	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	144
+	190	141
+	194	144
+	4	197	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	141
+	194	144
+	3	197	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	139
+	190	141
+	186	137
+	4	183	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	141
+	186	137
+	3	183	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	137
+	179	136
+	183	139
+	4	186	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	136
+	183	139
+	3	186	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	144
+	173	142
+	169	140
+	4	166	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	142
+	169	140
+	3	166	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	138
+	169	140
+	173	142
+	4	176	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	140
+	173	142
+	3	176	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	149
+	222	148
+	218	146
+	4	215	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	148
+	218	146
+	3	215	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	144
+	218	146
+	222	148
+	4	225	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	146
+	222	148
+	3	225	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	141
+	249	143
+	245	140
+	4	242	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	143
+	245	140
+	3	242	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	140
+	238	138
+	242	141
+	4	245	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	138
+	242	141
+	3	245	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	147
+	260	149
+	255	146
+	4	253	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	149
+	255	146
+	3	253	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	146
+	249	143
+	253	147
+	4	255	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	143
+	253	147
+	3	255	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	137
+	69	140
+	66	136
+	4	62	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	140
+	66	136
+	3	62	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	136
+	58	134
+	62	137
+	4	66	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	134
+	62	137
+	3	66	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	267	150
+	274	150
+	269	148
+	4	267	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	150
+	269	148
+	3	267	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	149
+	108	147
+	104	146
+	4	101	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	147
+	104	146
+	3	101	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	143
+	104	146
+	108	147
+	4	111	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	146
+	108	147
+	3	111	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	138
+	183	139
+	179	136
+	4	176	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	139
+	179	136
+	3	176	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	146
+	146	149
+	142	146
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	149
+	142	146
+	3	139	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	146
+	135	142
+	139	146
+	4	142	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	142
+	139	146
+	3	142	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	151
+	212	152
+	208	149
+	4	205	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	152
+	208	149
+	3	205	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	149
+	208	149
+	212	152
+	4	215	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	149
+	212	152
+	3	215	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	149
+	201	147
+	205	151
+	4	208	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	147
+	205	151
+	3	208	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	147
+	170	145
+	166	144
+	4	163	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	145
+	166	144
+	3	163	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	142
+	166	144
+	170	145
+	4	173	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	144
+	170	145
+	3	173	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	148
+	84	151
+	80	147
+	4	76	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	151
+	80	147
+	3	76	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	147
+	73	144
+	76	148
+	4	80	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	76	148
+	3	80	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	140
+	235	140
+	231	137
+	4	228	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	140
+	231	137
+	3	228	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	138
+	231	137
+	235	140
+	4	238	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	137
+	235	140
+	3	238	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	21	142
+	27	142
+	24	140
+	4	21	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	142
+	24	140
+	3	21	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	139
+	24	140
+	27	142
+	4	31	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	140
+	27	142
+	3	31	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	140
+	135	142
+	131	139
+	4	128	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	142
+	131	139
+	3	128	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	139
+	124	137
+	128	140
+	4	131	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	137
+	128	140
+	3	131	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	139
+	38	138
+	35	136
+	4	31	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	138
+	35	136
+	3	31	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	135
+	35	136
+	38	138
+	4	41	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	136
+	38	138
+	3	41	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	135
+	48	135
+	45	132
+	4	41	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	135
+	45	132
+	3	41	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	132
+	45	132
+	48	135
+	4	51	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	132
+	48	135
+	3	51	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	152
+	219	151
+	215	149
+	4	212	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	151
+	215	149
+	3	212	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	148
+	215	149
+	219	151
+	4	222	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	149
+	219	151
+	3	222	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	152
+	104	151
+	101	149
+	4	98	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	151
+	101	149
+	3	98	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	147
+	101	149
+	104	151
+	4	108	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	149
+	104	151
+	3	108	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	140
+	242	141
+	238	138
+	4	235	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	141
+	238	138
+	3	235	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	151
+	167	149
+	163	147
+	4	160	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	149
+	163	147
+	3	160	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	145
+	163	147
+	167	149
+	4	170	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	147
+	167	149
+	3	170	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	140
+	121	139
+	117	137
+	4	114	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	139
+	117	137
+	3	114	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	137
+	117	137
+	121	139
+	4	124	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	137
+	121	139
+	3	124	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	153
+	156	153
+	153	151
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	153
+	153	151
+	3	150	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	151
+	153	151
+	156	153
+	4	160	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	156	153
+	3	160	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	151
+	146	149
+	150	153
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	149
+	150	153
+	3	153	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	141
+	73	144
+	69	140
+	4	65	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	69	140
+	3	65	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	140
+	62	137
+	65	141
+	4	69	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	137
+	65	141
+	3	69	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	148
+	205	151
+	201	147
+	4	198	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	151
+	201	147
+	3	198	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	147
+	194	144
+	198	148
+	4	201	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	144
+	198	148
+	3	201	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	154
+	94	155
+	91	152
+	4	87	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	155
+	91	152
+	3	87	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	152
+	91	152
+	94	155
+	4	98	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	152
+	94	155
+	3	98	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	152
+	84	151
+	87	154
+	4	91	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	151
+	87	154
+	3	91	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	21	142
+	14	143
+	17	145
+	4	21	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	143
+	17	145
+	3	21	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	135
+	62	137
+	58	134
+	4	55	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	137
+	58	134
+	3	55	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	134
+	51	132
+	55	135
+	4	58	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	132
+	55	135
+	3	58	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	142
+	194	144
+	190	141
+	4	187	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	144
+	190	141
+	3	187	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	141
+	183	139
+	187	142
+	4	190	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	139
+	187	142
+	3	190	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	144
+	253	147
+	249	143
+	4	246	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	147
+	249	143
+	3	246	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	143
+	242	141
+	246	144
+	4	249	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	141
+	246	144
+	3	249	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	135
+	55	135
+	51	132
+	4	48	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	135
+	51	132
+	3	48	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	152
+	271	153
+	267	150
+	4	264	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	153
+	267	150
+	3	264	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	274	150
+	267	150
+	271	153
+	4	274	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	150
+	271	153
+	3	274	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	150
+	260	149
+	264	152
+	4	267	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	149
+	264	152
+	3	267	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	144
+	232	142
+	228	140
+	4	225	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	142
+	228	140
+	3	225	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	140
+	228	140
+	232	142
+	4	235	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	140
+	232	142
+	3	235	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	139
+	128	140
+	124	137
+	4	121	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	140
+	124	137
+	3	121	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	150
+	264	152
+	260	149
+	4	257	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	152
+	260	149
+	3	257	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	149
+	253	147
+	257	150
+	4	260	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	147
+	257	150
+	3	260	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	150
+	150	153
+	146	149
+	4	142	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	146	149
+	3	142	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	149
+	139	146
+	142	150
+	4	146	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	142	150
+	3	146	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	142
+	180	141
+	176	138
+	4	173	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	141
+	176	138
+	3	173	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	139
+	176	138
+	180	141
+	4	183	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	138
+	180	141
+	3	183	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	152
+	87	154
+	84	151
+	4	80	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	154
+	84	151
+	3	80	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	151
+	76	148
+	80	152
+	4	84	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	148
+	80	152
+	3	84	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	153
+	164	153
+	160	151
+	4	156	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	153
+	160	151
+	3	156	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	149
+	160	151
+	164	153
+	4	167	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	151
+	164	153
+	3	167	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	155
+	101	154
+	98	152
+	4	94	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	154
+	98	152
+	3	94	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	151
+	98	152
+	101	154
+	4	104	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	152
+	101	154
+	3	104	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	143
+	118	142
+	114	140
+	4	111	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	142
+	114	140
+	3	111	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	139
+	114	140
+	118	142
+	4	121	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	140
+	118	142
+	3	121	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	27	142
+	34	141
+	31	139
+	4	27	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	141
+	31	139
+	3	27	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	138
+	31	139
+	34	141
+	4	38	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	139
+	34	141
+	3	38	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	143
+	139	146
+	135	142
+	4	132	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	135	142
+	3	132	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	142
+	128	140
+	132	143
+	4	135	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	140
+	132	143
+	3	135	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	148
+	229	146
+	225	144
+	4	222	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	146
+	225	144
+	3	222	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	142
+	225	144
+	229	146
+	4	232	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	144
+	229	146
+	3	232	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	38	138
+	44	137
+	41	135
+	4	38	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	137
+	41	135
+	3	38	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	135
+	41	135
+	44	137
+	4	48	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	135
+	44	137
+	3	48	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	17	145
+	24	144
+	21	142
+	4	17	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	144
+	21	142
+	3	17	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	27	142
+	21	142
+	24	144
+	4	27	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	142
+	24	144
+	3	27	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	145
+	76	148
+	73	144
+	4	69	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	148
+	73	144
+	3	69	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	144
+	65	141
+	69	145
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	141
+	69	145
+	3	73	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	141
+	187	142
+	183	139
+	4	180	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	142
+	183	139
+	3	180	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	154
+	216	154
+	212	152
+	4	209	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	154
+	212	152
+	3	209	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	151
+	212	152
+	216	154
+	4	219	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	152
+	216	154
+	3	219	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	152
+	205	151
+	209	154
+	4	212	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	151
+	209	154
+	3	212	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	139
+	65	141
+	62	137
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	141
+	62	137
+	3	58	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	137
+	55	135
+	58	139
+	4	62	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	135
+	58	139
+	3	62	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	151
+	226	150
+	222	148
+	4	219	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	150
+	222	148
+	3	219	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	146
+	222	148
+	226	150
+	4	229	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	148
+	226	150
+	3	229	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	145
+	177	144
+	173	142
+	4	170	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	144
+	173	142
+	3	170	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	141
+	173	142
+	177	144
+	4	180	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	142
+	177	144
+	3	180	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	147
+	114	145
+	111	143
+	4	108	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	145
+	111	143
+	3	108	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	142
+	111	143
+	114	145
+	4	118	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	143
+	114	145
+	3	118	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	271	153
+	279	152
+	274	150
+	4	271	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	152
+	274	150
+	3	271	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	142
+	246	144
+	242	141
+	4	239	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	144
+	242	141
+	3	239	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	141
+	235	140
+	239	142
+	4	242	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	140
+	239	142
+	3	242	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	151
+	209	154
+	205	151
+	4	202	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	154
+	205	151
+	3	202	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	151
+	198	148
+	202	151
+	4	205	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	148
+	202	151
+	3	205	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	145
+	198	148
+	194	144
+	4	191	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	148
+	194	144
+	3	191	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	144
+	187	142
+	191	145
+	4	194	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	142
+	191	145
+	3	194	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	142
+	239	142
+	235	140
+	4	232	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	142
+	235	140
+	3	232	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	147
+	257	150
+	253	147
+	4	251	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	150
+	253	147
+	3	251	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	147
+	246	144
+	251	147
+	4	253	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	144
+	251	147
+	3	253	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	137
+	51	137
+	48	135
+	4	44	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	137
+	48	135
+	3	44	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	135
+	48	135
+	51	137
+	4	55	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	135
+	51	137
+	3	55	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	156
+	160	156
+	156	153
+	4	153	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	156
+	156	153
+	3	153	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	153
+	156	153
+	160	156
+	4	164	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	153
+	160	156
+	3	164	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	153
+	150	153
+	153	156
+	4	156	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	153	156
+	3	156	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	149
+	80	152
+	76	148
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	152
+	76	148
+	3	73	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	148
+	69	145
+	73	149
+	4	76	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	145
+	73	149
+	3	76	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	151
+	111	149
+	108	147
+	4	104	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	149
+	108	147
+	3	104	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	145
+	108	147
+	111	149
+	4	114	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	147
+	111	149
+	3	114	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	147
+	142	150
+	139	146
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	150
+	139	146
+	3	135	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	146
+	132	143
+	135	147
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	143
+	135	147
+	3	139	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	154
+	153	156
+	150	153
+	4	146	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	156
+	150	153
+	3	146	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	142	150
+	146	154
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	150
+	146	154
+	3	150	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	149
+	174	147
+	170	145
+	4	167	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	147
+	170	145
+	3	167	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	144
+	170	145
+	174	147
+	4	177	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	145
+	174	147
+	3	177	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	144
+	31	144
+	27	142
+	4	24	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	144
+	27	142
+	3	24	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	141
+	27	142
+	31	144
+	4	34	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	142
+	31	144
+	3	34	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	142
+	132	143
+	128	140
+	4	125	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	143
+	128	140
+	3	125	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	140
+	121	139
+	125	142
+	4	128	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	139
+	125	142
+	3	128	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	156
+	91	157
+	87	154
+	4	84	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	157
+	87	154
+	3	84	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	155
+	87	154
+	91	157
+	4	94	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	154
+	91	157
+	3	94	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	154
+	80	152
+	84	156
+	4	87	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	152
+	84	156
+	3	87	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	137
+	58	139
+	55	135
+	4	51	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	55	135
+	3	51	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	142
+	125	142
+	121	139
+	4	118	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	142
+	121	139
+	3	118	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	157
+	98	157
+	94	155
+	4	91	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	157
+	94	155
+	3	91	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	154
+	94	155
+	98	157
+	4	101	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	155
+	98	157
+	3	101	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	141
+	41	140
+	38	138
+	4	34	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	140
+	38	138
+	3	34	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	137
+	38	138
+	41	140
+	4	44	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	138
+	41	140
+	3	44	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	154
+	223	153
+	219	151
+	4	216	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	153
+	219	151
+	3	216	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	150
+	219	151
+	223	153
+	4	226	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	151
+	223	153
+	3	226	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	154
+	268	155
+	264	152
+	4	261	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	155
+	264	152
+	3	261	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	153
+	264	152
+	268	155
+	4	271	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	152
+	268	155
+	3	271	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	152
+	257	150
+	261	154
+	4	264	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	150
+	261	154
+	3	264	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	24	144
+	17	145
+	20	147
+	4	24	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	145
+	20	147
+	3	24	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	155
+	276	155
+	271	153
+	4	268	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	155
+	271	153
+	3	268	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	279	152
+	271	153
+	276	155
+	4	279	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	153
+	276	155
+	3	279	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	153
+	171	151
+	167	149
+	4	164	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	151
+	167	149
+	3	164	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	147
+	167	149
+	171	151
+	4	174	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	149
+	171	151
+	3	174	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	154
+	108	152
+	104	151
+	4	101	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	152
+	104	151
+	3	101	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	149
+	104	151
+	108	152
+	4	111	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	151
+	108	152
+	3	111	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	142
+	69	145
+	65	141
+	4	62	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	145
+	65	141
+	3	62	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	141
+	58	139
+	62	142
+	4	65	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	62	142
+	3	65	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	143
+	191	145
+	187	142
+	4	184	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	145
+	187	142
+	3	184	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	142
+	180	141
+	184	143
+	4	187	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	141
+	184	143
+	3	187	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	144
+	184	143
+	180	141
+	4	177	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	143
+	180	141
+	3	177	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	146
+	237	145
+	232	142
+	4	229	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	145
+	232	142
+	3	229	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	142
+	232	142
+	237	145
+	4	239	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	142
+	237	145
+	3	239	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	149
+	202	151
+	198	148
+	4	195	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	151
+	198	148
+	3	195	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	148
+	191	145
+	195	149
+	4	198	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	145
+	195	149
+	3	198	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	244	145
+	251	147
+	246	144
+	4	244	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	147
+	246	144
+	3	244	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	144
+	239	142
+	244	145
+	4	246	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	142
+	244	145
+	3	246	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	151
+	261	154
+	257	150
+	4	255	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	154
+	257	150
+	3	255	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	150
+	251	147
+	255	151
+	4	257	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	147
+	255	151
+	3	257	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	153
+	84	156
+	80	152
+	4	76	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	156
+	80	152
+	3	76	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	152
+	73	149
+	76	153
+	4	80	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	76	153
+	3	80	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	155
+	213	157
+	209	154
+	4	206	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	157
+	209	154
+	3	206	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	154
+	209	154
+	213	157
+	4	216	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	154
+	213	157
+	3	216	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	154
+	202	151
+	206	155
+	4	209	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	151
+	206	155
+	3	209	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	151
+	146	154
+	142	150
+	4	139	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	154
+	142	150
+	3	139	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	150
+	135	147
+	139	151
+	4	142	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	139	151
+	3	142	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	156
+	167	154
+	164	153
+	4	160	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	154
+	164	153
+	3	160	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	151
+	164	153
+	167	154
+	4	171	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	153
+	167	154
+	3	171	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	140
+	48	140
+	44	137
+	4	41	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	140
+	44	137
+	3	41	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	137
+	44	137
+	48	140
+	4	51	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	137
+	48	140
+	3	51	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	157
+	220	157
+	216	154
+	4	213	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	157
+	216	154
+	3	213	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	153
+	216	154
+	220	157
+	4	223	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	154
+	220	157
+	3	223	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	144
+	37	143
+	34	141
+	4	31	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	143
+	34	141
+	3	31	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	140
+	34	141
+	37	143
+	4	41	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	141
+	37	143
+	3	41	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	20	147
+	27	146
+	24	144
+	4	20	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	146
+	24	144
+	3	20	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	144
+	24	144
+	27	146
+	4	31	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	144
+	27	146
+	3	31	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	145
+	121	144
+	118	142
+	4	114	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	144
+	118	142
+	3	114	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	142
+	118	142
+	121	144
+	4	125	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	142
+	121	144
+	3	125	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	157
+	105	156
+	101	154
+	4	98	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	156
+	101	154
+	3	98	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	152
+	101	154
+	105	156
+	4	108	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	154
+	105	156
+	3	108	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	145
+	135	147
+	132	143
+	4	128	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	132	143
+	3	128	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	143
+	125	142
+	128	145
+	4	132	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	142
+	128	145
+	3	132	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	150
+	234	148
+	229	146
+	4	226	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	148
+	229	146
+	3	226	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	145
+	229	146
+	234	148
+	4	237	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	146
+	234	148
+	3	237	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	145
+	244	145
+	239	142
+	4	237	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	145
+	239	142
+	3	237	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	140
+	62	142
+	58	139
+	4	55	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	142
+	58	139
+	3	55	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	139
+	51	137
+	55	140
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	137
+	55	140
+	3	58	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	146
+	73	149
+	69	145
+	4	65	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	69	145
+	3	65	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	145
+	62	142
+	65	146
+	4	69	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	142
+	65	146
+	3	69	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	157
+	157	158
+	153	156
+	4	150	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	158
+	153	156
+	3	150	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	156
+	153	156
+	157	158
+	4	160	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	156
+	157	158
+	3	160	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	156
+	146	154
+	150	157
+	4	153	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	154
+	150	157
+	3	153	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	159
+	94	160
+	91	157
+	4	87	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	160
+	91	157
+	3	87	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	157
+	91	157
+	94	160
+	4	98	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	157
+	94	160
+	3	98	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	157
+	84	156
+	87	159
+	4	91	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	156
+	87	159
+	3	91	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	140
+	55	140
+	51	137
+	4	48	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	140
+	51	137
+	3	48	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	147
+	181	146
+	177	144
+	4	174	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	146
+	177	144
+	3	174	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	143
+	177	144
+	181	146
+	4	184	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	144
+	181	146
+	3	184	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	276	155
+	283	154
+	279	152
+	4	276	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	154
+	279	152
+	3	276	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	157
+	273	158
+	268	155
+	4	266	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	158
+	268	155
+	3	266	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	155
+	268	155
+	273	158
+	4	276	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	155
+	273	158
+	3	276	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	155
+	261	154
+	266	157
+	4	268	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	154
+	266	157
+	3	268	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	153
+	231	151
+	226	150
+	4	223	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	151
+	226	150
+	3	223	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	148
+	226	150
+	231	151
+	4	234	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	150
+	231	151
+	3	234	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	144
+	128	145
+	125	142
+	4	121	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	145
+	125	142
+	3	121	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	152
+	206	155
+	202	151
+	4	199	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	155
+	202	151
+	3	199	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	151
+	195	149
+	199	152
+	4	202	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	149
+	199	152
+	3	202	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	146
+	195	149
+	191	145
+	4	188	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	149
+	191	145
+	3	188	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	145
+	184	143
+	188	146
+	4	191	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	143
+	188	146
+	3	191	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	149
+	118	147
+	114	145
+	4	111	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	147
+	114	145
+	3	111	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	144
+	114	145
+	118	147
+	4	121	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	145
+	118	147
+	3	121	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	158
+	164	158
+	160	156
+	4	157	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	158
+	160	156
+	3	157	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	154
+	160	156
+	164	158
+	4	167	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	156
+	164	158
+	3	167	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	157
+	87	159
+	84	156
+	4	80	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	159
+	84	156
+	3	80	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	156
+	76	153
+	80	157
+	4	84	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	153
+	80	157
+	3	84	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	160
+	101	159
+	98	157
+	4	94	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	159
+	98	157
+	3	94	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	156
+	98	157
+	101	159
+	4	105	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	157
+	101	159
+	3	105	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	148
+	255	151
+	251	147
+	4	248	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	151
+	251	147
+	3	248	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	147
+	244	145
+	248	148
+	4	251	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	145
+	248	148
+	3	251	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	155
+	150	157
+	146	154
+	4	143	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	157
+	146	154
+	3	143	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	154
+	139	151
+	143	155
+	4	146	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	151
+	143	155
+	3	146	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	27	146
+	34	146
+	31	144
+	4	27	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	146
+	31	144
+	3	27	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	143
+	31	144
+	34	146
+	4	37	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	144
+	34	146
+	3	37	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	143
+	44	142
+	41	140
+	4	37	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	142
+	41	140
+	3	37	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	140
+	41	140
+	44	142
+	4	48	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	140
+	44	142
+	3	48	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	154
+	266	157
+	261	154
+	4	259	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	157
+	261	154
+	3	259	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	154
+	255	151
+	259	154
+	4	261	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	151
+	259	154
+	3	261	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	150
+	76	153
+	73	149
+	4	69	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	153
+	73	149
+	3	69	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	149
+	65	146
+	69	150
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	146
+	69	150
+	3	73	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	27	146
+	20	147
+	23	149
+	4	27	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	147
+	23	149
+	3	27	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	157
+	227	155
+	223	153
+	4	220	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	155
+	223	153
+	3	220	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	151
+	223	153
+	227	155
+	4	231	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	153
+	227	155
+	3	231	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	151
+	178	149
+	174	147
+	4	171	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	149
+	174	147
+	3	171	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	146
+	174	147
+	178	149
+	4	181	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	147
+	178	149
+	3	181	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	146
+	188	146
+	184	143
+	4	181	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	146
+	184	143
+	3	181	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	148
+	139	151
+	135	147
+	4	132	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	151
+	135	147
+	3	132	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	147
+	128	145
+	132	148
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	145
+	132	148
+	3	135	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	273	158
+	280	157
+	276	155
+	4	273	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	157
+	276	155
+	3	273	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	283	154
+	276	155
+	280	157
+	4	283	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	155
+	280	157
+	3	283	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	152
+	115	150
+	111	149
+	4	108	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	150
+	111	149
+	3	108	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	147
+	111	149
+	115	150
+	4	118	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	149
+	115	150
+	3	118	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	158
+	217	159
+	213	157
+	4	210	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	159
+	213	157
+	3	210	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	157
+	213	157
+	217	159
+	4	220	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	157
+	217	159
+	3	220	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	157
+	206	155
+	210	158
+	4	213	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	155
+	210	158
+	3	213	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	144
+	65	146
+	62	142
+	4	58	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	146
+	62	142
+	3	58	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	142
+	55	140
+	58	144
+	4	62	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	140
+	58	144
+	3	62	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	148
+	241	147
+	237	145
+	4	234	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	147
+	237	145
+	3	234	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	145
+	237	145
+	241	147
+	4	244	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	145
+	241	147
+	3	244	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	154
+	175	152
+	171	151
+	4	167	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	152
+	171	151
+	3	167	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	149
+	171	151
+	175	152
+	4	178	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	151
+	175	152
+	3	178	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	147
+	248	148
+	244	145
+	4	241	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	148
+	244	145
+	3	241	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	142
+	51	142
+	48	140
+	4	44	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	48	140
+	3	44	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	140
+	48	140
+	51	142
+	4	55	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	140
+	51	142
+	3	55	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	156
+	111	154
+	108	152
+	4	105	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	154
+	108	152
+	3	105	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	150
+	108	152
+	111	154
+	4	115	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	152
+	111	154
+	3	115	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	156
+	210	158
+	206	155
+	4	203	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	158
+	206	155
+	3	203	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	155
+	199	152
+	203	156
+	4	206	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	152
+	203	156
+	3	206	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	159
+	224	159
+	220	157
+	4	217	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	159
+	220	157
+	3	217	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	155
+	220	157
+	224	159
+	4	227	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	157
+	224	159
+	3	227	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	150
+	199	152
+	195	149
+	4	192	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	152
+	195	149
+	3	192	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	149
+	188	146
+	192	150
+	4	195	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	146
+	192	150
+	3	195	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	142
+	58	144
+	55	140
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	144
+	55	140
+	3	51	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	160
+	161	161
+	157	158
+	4	154	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	161
+	157	158
+	3	154	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	158
+	157	158
+	161	161
+	4	164	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	158
+	161	161
+	3	164	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	158
+	150	157
+	154	160
+	4	157	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	157
+	154	160
+	3	157	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	147
+	125	146
+	121	144
+	4	118	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	146
+	121	144
+	3	118	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	145
+	121	144
+	125	146
+	4	128	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	144
+	125	146
+	3	128	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	154
+	80	157
+	76	153
+	4	73	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	157
+	76	153
+	3	73	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	153
+	69	150
+	73	154
+	4	76	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	150
+	73	154
+	3	76	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	23	149
+	30	149
+	27	146
+	4	23	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	149
+	27	146
+	3	23	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	146
+	27	146
+	30	149
+	4	34	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	146
+	30	149
+	3	34	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	34	146
+	40	145
+	37	143
+	4	34	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	145
+	37	143
+	3	34	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	142
+	37	143
+	40	145
+	4	44	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	143
+	40	145
+	3	44	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	146
+	132	148
+	128	145
+	4	125	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	148
+	128	145
+	3	125	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	162
+	98	162
+	94	160
+	4	91	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	162
+	94	160
+	3	91	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	159
+	94	160
+	98	162
+	4	101	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	160
+	98	162
+	3	101	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	160
+	87	159
+	91	162
+	4	94	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	159
+	91	162
+	3	94	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	152
+	259	154
+	255	151
+	4	252	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	154
+	255	151
+	3	252	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	151
+	248	148
+	252	152
+	4	255	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	148
+	252	152
+	3	255	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	161
+	91	162
+	87	159
+	4	84	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	162
+	87	159
+	3	84	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	159
+	80	157
+	84	161
+	4	87	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	157
+	84	161
+	3	87	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	158
+	171	156
+	167	154
+	4	164	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	156
+	167	154
+	3	164	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	152
+	167	154
+	171	156
+	4	175	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	154
+	171	156
+	3	175	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	158
+	154	160
+	150	157
+	4	147	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	160
+	150	157
+	3	147	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	157
+	143	155
+	147	158
+	4	150	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	155
+	147	158
+	3	150	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	152
+	143	155
+	139	151
+	4	136	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	155
+	139	151
+	3	136	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	151
+	132	148
+	136	152
+	4	139	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	148
+	136	152
+	3	139	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	160
+	277	160
+	273	158
+	4	270	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	160
+	273	158
+	3	270	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	280	157
+	273	158
+	277	160
+	4	280	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	158
+	277	160
+	3	280	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	158
+	266	157
+	270	160
+	4	273	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	157
+	270	160
+	3	273	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	151
+	238	150
+	234	148
+	4	231	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	150
+	234	148
+	3	231	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	147
+	234	148
+	238	150
+	4	241	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	148
+	238	150
+	3	241	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	159
+	108	158
+	105	156
+	4	101	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	158
+	105	156
+	3	101	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	154
+	105	156
+	108	158
+	4	111	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	156
+	108	158
+	3	111	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	158
+	270	160
+	266	157
+	4	263	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	160
+	266	157
+	3	263	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	157
+	259	154
+	263	158
+	4	266	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	154
+	263	158
+	3	266	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	147
+	69	150
+	65	146
+	4	62	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	150
+	65	146
+	3	62	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	146
+	58	144
+	62	147
+	4	65	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	144
+	62	147
+	3	65	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	149
+	185	148
+	181	146
+	4	178	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	148
+	181	146
+	3	178	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	146
+	181	146
+	185	148
+	4	188	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	146
+	185	148
+	3	188	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	148
+	192	150
+	188	146
+	4	185	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	150
+	188	146
+	3	185	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	280	157
+	288	156
+	283	154
+	4	280	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	156
+	283	154
+	3	280	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	161
+	168	160
+	164	158
+	4	161	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	160
+	164	158
+	3	161	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	156
+	164	158
+	168	160
+	4	171	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	158
+	168	160
+	3	171	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	155
+	235	153
+	231	151
+	4	227	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	153
+	231	151
+	3	227	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	150
+	231	151
+	235	153
+	4	238	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	151
+	235	153
+	3	238	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	150
+	122	149
+	118	147
+	4	115	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	149
+	118	147
+	3	115	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	146
+	118	147
+	122	149
+	4	125	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	147
+	122	149
+	3	125	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	145
+	47	145
+	44	142
+	4	40	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	145
+	44	142
+	3	40	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	142
+	44	142
+	47	145
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	142
+	47	145
+	3	51	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	158
+	84	161
+	80	157
+	4	76	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	161
+	80	157
+	3	76	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	157
+	73	154
+	76	158
+	4	80	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	154
+	76	158
+	3	80	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	153
+	203	156
+	199	152
+	4	196	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	156
+	199	152
+	3	196	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	152
+	192	150
+	196	153
+	4	199	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	150
+	196	153
+	3	199	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	162
+	221	162
+	217	159
+	4	214	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	162
+	217	159
+	3	214	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	159
+	217	159
+	221	162
+	4	224	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	159
+	221	162
+	3	224	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	159
+	210	158
+	214	162
+	4	217	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	158
+	214	162
+	3	217	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	162
+	105	161
+	101	159
+	4	98	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	161
+	101	159
+	3	98	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	158
+	101	159
+	105	161
+	4	108	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	159
+	105	161
+	3	108	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	149
+	37	148
+	34	146
+	4	30	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	148
+	34	146
+	3	30	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	145
+	34	146
+	37	148
+	4	40	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	146
+	37	148
+	3	40	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	150
+	252	152
+	248	148
+	4	245	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	152
+	248	148
+	3	245	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	148
+	241	147
+	245	150
+	4	248	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	147
+	245	150
+	3	248	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	159
+	214	162
+	210	158
+	4	207	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	162
+	210	158
+	3	207	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	158
+	203	156
+	207	159
+	4	210	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	156
+	207	159
+	3	210	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	149
+	23	149
+	26	151
+	4	30	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	149
+	26	151
+	3	30	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	155
+	147	158
+	143	155
+	4	140	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	158
+	143	155
+	3	140	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	155
+	136	152
+	140	155
+	4	143	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	152
+	140	155
+	3	143	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	150
+	245	150
+	241	147
+	4	238	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	150
+	241	147
+	3	238	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	145
+	62	147
+	58	144
+	4	54	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	147
+	58	144
+	3	54	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	144
+	51	142
+	54	145
+	4	58	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	54	145
+	3	58	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	277	160
+	285	159
+	280	157
+	4	277	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	159
+	280	157
+	3	277	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	288	156
+	280	157
+	285	159
+	4	288	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	157
+	285	159
+	3	288	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	155
+	263	158
+	259	154
+	4	257	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	158
+	259	154
+	3	257	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	154
+	252	152
+	257	155
+	4	259	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	152
+	257	155
+	3	259	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	152
+	182	151
+	178	149
+	4	175	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	151
+	178	149
+	3	175	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	148
+	178	149
+	182	151
+	4	185	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	149
+	182	151
+	3	185	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	159
+	232	157
+	227	155
+	4	224	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	157
+	227	155
+	3	224	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	153
+	227	155
+	232	157
+	4	235	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	155
+	232	157
+	3	235	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	151
+	73	154
+	69	150
+	4	65	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	154
+	69	150
+	3	65	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	150
+	62	147
+	65	151
+	4	69	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	147
+	65	151
+	3	69	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	149
+	136	152
+	132	148
+	4	129	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	152
+	132	148
+	3	129	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	148
+	125	146
+	129	149
+	4	132	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	146
+	129	149
+	3	132	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	145
+	54	145
+	51	142
+	4	47	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	145
+	51	142
+	3	47	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	162
+	158	163
+	154	160
+	4	151	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	163
+	154	160
+	3	151	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	161
+	154	160
+	158	163
+	4	161	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	160
+	158	163
+	3	161	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	160
+	147	158
+	151	162
+	4	154	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	158
+	151	162
+	3	154	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	164
+	94	165
+	91	162
+	4	87	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	165
+	91	162
+	3	87	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	162
+	91	162
+	94	165
+	4	98	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	162
+	94	165
+	3	98	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	162
+	84	161
+	87	164
+	4	91	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	161
+	87	164
+	3	91	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	154
+	118	152
+	115	150
+	4	111	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	152
+	115	150
+	3	111	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	149
+	115	150
+	118	152
+	4	122	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	150
+	118	152
+	3	122	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	149
+	129	149
+	125	146
+	4	122	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	149
+	125	146
+	3	122	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	163
+	165	163
+	161	161
+	4	158	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	163
+	161	161
+	3	158	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	160
+	161	161
+	165	163
+	4	168	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	161
+	165	163
+	3	168	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	161
+	275	163
+	270	160
+	4	268	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	163
+	270	160
+	3	268	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	160
+	270	160
+	275	163
+	4	277	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	160
+	275	163
+	3	277	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	160
+	263	158
+	268	161
+	4	270	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	158
+	268	161
+	3	270	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	156
+	179	154
+	175	152
+	4	171	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	154
+	175	152
+	3	171	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	151
+	175	152
+	179	154
+	4	182	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	152
+	179	154
+	3	182	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	162
+	229	161
+	224	159
+	4	221	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	161
+	224	159
+	3	221	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	157
+	224	159
+	229	161
+	4	232	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	159
+	229	161
+	3	232	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	165
+	101	165
+	98	162
+	4	94	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	165
+	98	162
+	3	94	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	161
+	98	162
+	101	165
+	4	105	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	162
+	101	165
+	3	105	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	151
+	196	153
+	192	150
+	4	189	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	153
+	192	150
+	3	189	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	150
+	185	148
+	189	151
+	4	192	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	148
+	189	151
+	3	192	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	162
+	87	164
+	84	161
+	4	80	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	164
+	84	161
+	3	80	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	161
+	76	158
+	80	162
+	4	84	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	158
+	80	162
+	3	84	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	148
+	44	147
+	40	145
+	4	37	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	147
+	40	145
+	3	37	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	145
+	40	145
+	44	147
+	4	47	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	145
+	44	147
+	3	47	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	157
+	207	159
+	203	156
+	4	200	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	159
+	203	156
+	3	200	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	156
+	196	153
+	200	157
+	4	203	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	153
+	200	157
+	3	203	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	26	151
+	33	151
+	30	149
+	4	26	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	151
+	30	149
+	3	26	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	148
+	30	149
+	33	151
+	4	37	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	149
+	33	151
+	3	37	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	163
+	282	163
+	277	160
+	4	275	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	163
+	277	160
+	3	275	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	285	159
+	277	160
+	282	163
+	4	285	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	160
+	282	163
+	3	285	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	158
+	115	156
+	111	154
+	4	108	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	156
+	111	154
+	3	108	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	152
+	111	154
+	115	156
+	4	118	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	154
+	115	156
+	3	118	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	151
+	189	151
+	185	148
+	4	182	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	151
+	185	148
+	3	182	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	155
+	76	158
+	73	154
+	4	69	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	158
+	73	154
+	3	69	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	154
+	65	151
+	69	155
+	4	73	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	151
+	69	155
+	3	73	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	159
+	151	162
+	147	158
+	4	144	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	162
+	147	158
+	3	144	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	158
+	140	155
+	144	159
+	4	147	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	155
+	144	159
+	3	147	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	153
+	242	152
+	238	150
+	4	235	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	152
+	238	150
+	3	235	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	150
+	238	150
+	242	152
+	4	245	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	150
+	242	152
+	3	245	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	153
+	257	155
+	252	152
+	4	250	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	155
+	252	152
+	3	250	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	152
+	245	150
+	250	153
+	4	252	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	150
+	250	153
+	3	252	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	149
+	65	151
+	62	147
+	4	58	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	151
+	62	147
+	3	58	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	147
+	54	145
+	58	149
+	4	62	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	145
+	58	149
+	3	62	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	160
+	176	158
+	171	156
+	4	168	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	158
+	171	156
+	3	168	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	154
+	171	156
+	176	158
+	4	179	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	156
+	176	158
+	3	179	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	159
+	268	161
+	263	158
+	4	261	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	161
+	263	158
+	3	261	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	158
+	257	155
+	261	159
+	4	263	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	155
+	261	159
+	3	263	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	153
+	140	155
+	136	152
+	4	133	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	155
+	136	152
+	3	133	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	152
+	129	149
+	133	153
+	4	136	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	149
+	133	153
+	3	136	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	163
+	218	164
+	214	162
+	4	211	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	164
+	214	162
+	3	211	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	162
+	214	162
+	218	164
+	4	221	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	162
+	218	164
+	3	221	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	162
+	207	159
+	211	163
+	4	214	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	159
+	211	163
+	3	214	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	161
+	112	159
+	108	158
+	4	105	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	159
+	108	158
+	3	105	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	156
+	108	158
+	112	159
+	4	115	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	158
+	112	159
+	3	115	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	147
+	51	147
+	47	145
+	4	44	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	147
+	47	145
+	3	44	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	145
+	47	145
+	51	147
+	4	54	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	145
+	51	147
+	3	54	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	164
+	226	164
+	221	162
+	4	218	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	164
+	221	162
+	3	218	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	161
+	221	162
+	226	164
+	4	229	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	162
+	226	164
+	3	229	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	285	159
+	293	158
+	288	156
+	4	285	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	158
+	288	156
+	3	285	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	152
+	250	153
+	245	150
+	4	242	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	153
+	245	150
+	3	242	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	147
+	58	149
+	54	145
+	4	51	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	149
+	54	145
+	3	51	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	152
+	125	152
+	122	149
+	4	118	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	152
+	122	149
+	3	118	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	149
+	122	149
+	125	152
+	4	129	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	149
+	125	152
+	3	129	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	163
+	172	162
+	168	160
+	4	165	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	162
+	168	160
+	3	165	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	158
+	168	160
+	172	162
+	4	176	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	160
+	172	162
+	3	176	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	157
+	239	155
+	235	153
+	4	232	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	155
+	235	153
+	3	232	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	152
+	235	153
+	239	155
+	4	242	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	153
+	239	155
+	3	242	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	165
+	162	166
+	158	163
+	4	155	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	166
+	158	163
+	3	155	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	163
+	158	163
+	162	166
+	4	165	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	163
+	162	166
+	3	165	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	163
+	151	162
+	155	165
+	4	158	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	162
+	155	165
+	3	158	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	151
+	40	150
+	37	148
+	4	33	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	150
+	37	148
+	3	33	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	147
+	37	148
+	40	150
+	4	44	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	148
+	40	150
+	3	44	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	159
+	80	162
+	76	158
+	4	73	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	162
+	76	158
+	3	73	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	158
+	69	155
+	73	159
+	4	76	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	155
+	73	159
+	3	76	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	151
+	26	151
+	30	153
+	4	33	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	151
+	30	153
+	3	33	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	152
+	133	153
+	129	149
+	4	125	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	153
+	129	149
+	3	125	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	167
+	98	167
+	94	165
+	4	91	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	167
+	94	165
+	3	91	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	165
+	94	165
+	98	167
+	4	101	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	165
+	98	167
+	3	101	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	165
+	87	164
+	91	167
+	4	94	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	164
+	91	167
+	3	94	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	160
+	211	163
+	207	159
+	4	204	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	163
+	207	159
+	3	204	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	159
+	200	157
+	204	160
+	4	207	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	157
+	204	160
+	3	207	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	154
+	200	157
+	196	153
+	4	193	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	157
+	196	153
+	3	193	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	153
+	189	151
+	193	154
+	4	196	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	151
+	193	154
+	3	196	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	166
+	91	167
+	87	164
+	4	84	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	167
+	87	164
+	3	84	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	164
+	80	162
+	84	166
+	4	87	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	162
+	84	166
+	3	87	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	165
+	108	163
+	105	161
+	4	101	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	163
+	105	161
+	3	101	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	159
+	105	161
+	108	163
+	4	112	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	161
+	108	163
+	3	112	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	154
+	186	153
+	182	151
+	4	179	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	153
+	182	151
+	3	179	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	151
+	182	151
+	186	153
+	4	189	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	151
+	186	153
+	3	189	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	282	163
+	290	161
+	285	159
+	4	282	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	161
+	285	159
+	3	282	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	293	158
+	285	159
+	290	161
+	4	293	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	159
+	290	161
+	3	293	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	272	165
+	279	166
+	275	163
+	4	272	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	166
+	275	163
+	3	272	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	282	163
+	275	163
+	279	166
+	4	282	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	163
+	279	166
+	3	282	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	275	163
+	268	161
+	272	165
+	4	275	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	161
+	272	165
+	3	275	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	163
+	155	165
+	151	162
+	4	148	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	165
+	151	162
+	3	148	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	162
+	144	159
+	148	163
+	4	151	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	159
+	148	163
+	3	151	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	152
+	69	155
+	65	151
+	4	61	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	155
+	65	151
+	3	61	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	151
+	58	149
+	61	152
+	4	65	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	149
+	61	152
+	3	65	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	156
+	144	159
+	140	155
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	159
+	140	155
+	3	136	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	155
+	133	153
+	136	156
+	4	140	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	153
+	136	156
+	3	140	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	161
+	236	159
+	232	157
+	4	229	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	159
+	232	157
+	3	229	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	155
+	232	157
+	236	159
+	4	239	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	157
+	236	159
+	3	239	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	156
+	261	159
+	257	155
+	4	254	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	159
+	257	155
+	3	254	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	155
+	250	153
+	254	156
+	4	257	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	153
+	254	156
+	3	257	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	162
+	272	165
+	268	161
+	4	265	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	165
+	268	161
+	3	265	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	161
+	261	159
+	265	162
+	4	268	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	159
+	265	162
+	3	268	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	166
+	169	165
+	165	163
+	4	162	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	165
+	165	163
+	3	162	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	162
+	165	163
+	169	165
+	4	172	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	163
+	169	165
+	3	172	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	153
+	193	154
+	189	151
+	4	186	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	154
+	189	151
+	3	186	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	156
+	122	154
+	118	152
+	4	115	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	154
+	118	152
+	3	115	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	152
+	118	152
+	122	154
+	4	125	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	152
+	122	154
+	3	125	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	150
+	47	150
+	44	147
+	4	40	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	150
+	44	147
+	3	40	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	147
+	44	147
+	47	150
+	4	51	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	147
+	47	150
+	3	51	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	279	166
+	287	165
+	282	163
+	4	279	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	165
+	282	163
+	3	279	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	290	161
+	282	163
+	287	165
+	4	290	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	163
+	287	165
+	3	290	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	164
+	233	163
+	229	161
+	4	226	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	163
+	229	161
+	3	226	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	236	159
+	229	161
+	233	163
+	4	236	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	161
+	233	163
+	3	236	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	167
+	105	166
+	101	165
+	4	98	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	166
+	101	165
+	3	98	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	163
+	101	165
+	105	166
+	4	108	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	165
+	105	166
+	3	108	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	163
+	84	166
+	80	162
+	4	76	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	166
+	80	162
+	3	76	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	162
+	73	159
+	76	163
+	4	80	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	159
+	76	163
+	3	80	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	166
+	223	167
+	218	164
+	4	215	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	167
+	218	164
+	3	215	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	164
+	218	164
+	223	167
+	4	226	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	164
+	223	167
+	3	226	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	164
+	211	163
+	215	166
+	4	218	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	163
+	215	166
+	3	218	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	158
+	183	156
+	179	154
+	4	176	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	156
+	179	154
+	3	176	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	153
+	179	154
+	183	156
+	4	186	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	154
+	183	156
+	3	186	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	153
+	36	153
+	33	151
+	4	30	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	153
+	33	151
+	3	30	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	150
+	33	151
+	36	153
+	4	40	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	151
+	36	153
+	3	40	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	155
+	247	155
+	242	152
+	4	239	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	155
+	242	152
+	3	239	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	153
+	242	152
+	247	155
+	4	250	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	152
+	247	155
+	3	250	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	151
+	61	152
+	58	149
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	152
+	58	149
+	3	54	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	149
+	51	147
+	54	151
+	4	58	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	147
+	54	151
+	3	58	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	155
+	254	156
+	250	153
+	4	247	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	156
+	250	153
+	3	247	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	158
+	204	160
+	200	157
+	4	197	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	160
+	200	157
+	3	197	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	157
+	193	154
+	197	158
+	4	200	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	154
+	197	158
+	3	200	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	150
+	54	151
+	51	147
+	4	47	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	51	147
+	3	47	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	156
+	73	159
+	69	155
+	4	65	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	159
+	69	155
+	3	65	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	155
+	61	152
+	65	156
+	4	69	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	152
+	65	156
+	3	69	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	164
+	215	166
+	211	163
+	4	208	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	166
+	211	163
+	3	208	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	163
+	204	160
+	208	164
+	4	211	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	160
+	208	164
+	3	211	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	154
+	136	156
+	133	153
+	4	129	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	133	153
+	3	129	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	153
+	125	152
+	129	154
+	4	133	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	152
+	129	154
+	3	133	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	159
+	119	157
+	115	156
+	4	112	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	157
+	115	156
+	3	112	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	154
+	115	156
+	119	157
+	4	122	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	156
+	119	157
+	3	122	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	160
+	148	163
+	144	159
+	4	140	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	163
+	144	159
+	3	140	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	159
+	136	156
+	140	160
+	4	144	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	140	160
+	3	144	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	154
+	129	154
+	125	152
+	4	122	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	154
+	125	152
+	3	122	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	169
+	95	170
+	91	167
+	4	87	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	170
+	91	167
+	3	87	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	167
+	91	167
+	95	170
+	4	98	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	167
+	95	170
+	3	98	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	167
+	84	166
+	87	169
+	4	91	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	166
+	87	169
+	3	91	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	162
+	180	160
+	176	158
+	4	172	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	160
+	176	158
+	3	172	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	156
+	176	158
+	180	160
+	4	183	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	158
+	180	160
+	3	183	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	160
+	265	162
+	261	159
+	4	258	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	162
+	261	159
+	3	258	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	159
+	254	156
+	258	160
+	4	261	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	156
+	258	160
+	3	261	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	167
+	159	168
+	155	165
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	168
+	155	165
+	3	151	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	166
+	155	165
+	159	168
+	4	162	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	165
+	159	168
+	3	162	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	165
+	148	163
+	151	167
+	4	155	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	163
+	151	167
+	3	155	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	167
+	230	166
+	226	164
+	4	223	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	166
+	226	164
+	3	223	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	163
+	226	164
+	230	166
+	4	233	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	164
+	230	166
+	3	233	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	168
+	166	169
+	162	166
+	4	159	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	169
+	162	166
+	3	159	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	165
+	162	166
+	166	169
+	4	169	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	166
+	166	169
+	3	169	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	153
+	43	152
+	40	150
+	4	36	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	152
+	40	150
+	3	36	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	150
+	40	150
+	43	152
+	4	47	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	150
+	43	152
+	3	47	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	170
+	102	170
+	98	167
+	4	95	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	170
+	98	167
+	3	95	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	166
+	98	167
+	102	170
+	4	105	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	167
+	102	170
+	3	105	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	166
+	276	168
+	272	165
+	4	269	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	168
+	272	165
+	3	269	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	166
+	272	165
+	276	168
+	4	279	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	165
+	276	168
+	3	279	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	272	165
+	265	162
+	269	166
+	4	272	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	162
+	269	166
+	3	272	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	163
+	115	161
+	112	159
+	4	108	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	161
+	112	159
+	3	108	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	157
+	112	159
+	115	161
+	4	119	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	159
+	115	161
+	3	119	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	159
+	244	158
+	239	155
+	4	236	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	158
+	239	155
+	3	236	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	155
+	239	155
+	244	158
+	4	247	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	155
+	244	158
+	3	247	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	168
+	284	168
+	279	166
+	4	276	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	168
+	279	166
+	3	276	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	287	165
+	279	166
+	284	168
+	4	287	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	166
+	284	168
+	3	287	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	167
+	87	169
+	84	166
+	4	80	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	169
+	84	166
+	3	80	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	166
+	76	163
+	80	167
+	4	84	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	163
+	80	167
+	3	84	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	153
+	30	153
+	33	156
+	4	36	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	153
+	33	156
+	3	36	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	156
+	190	156
+	186	153
+	4	183	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	156
+	186	153
+	3	183	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	154
+	186	153
+	190	156
+	4	193	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	153
+	190	156
+	3	193	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	165
+	176	164
+	172	162
+	4	169	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	164
+	172	162
+	3	169	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	160
+	172	162
+	176	164
+	4	180	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	162
+	176	164
+	3	180	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	156
+	197	158
+	193	154
+	4	190	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	158
+	193	154
+	3	190	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	160
+	76	163
+	73	159
+	4	69	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	163
+	73	159
+	3	69	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	159
+	65	156
+	69	160
+	4	73	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	156
+	69	160
+	3	73	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	154
+	65	156
+	61	152
+	4	58	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	156
+	61	152
+	3	58	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	152
+	54	151
+	58	154
+	4	61	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	58	154
+	3	61	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	161
+	208	164
+	204	160
+	4	201	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	164
+	204	160
+	3	201	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	160
+	197	158
+	201	161
+	4	204	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	158
+	201	161
+	3	204	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	164
+	151	167
+	148	163
+	4	144	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	148	163
+	3	144	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	163
+	140	160
+	144	164
+	4	148	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	160
+	144	164
+	3	148	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	166
+	112	165
+	108	163
+	4	105	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	165
+	108	163
+	3	105	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	161
+	108	163
+	112	165
+	4	115	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	163
+	112	165
+	3	115	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	158
+	140	160
+	136	156
+	4	133	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	160
+	136	156
+	3	133	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	156
+	129	154
+	133	158
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	154
+	133	158
+	3	136	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	158
+	258	160
+	254	156
+	4	251	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	160
+	254	156
+	3	251	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	156
+	247	155
+	251	158
+	4	254	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	155
+	251	158
+	3	254	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	152
+	50	153
+	47	150
+	4	43	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	153
+	47	150
+	3	43	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	151
+	47	150
+	50	153
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	150
+	50	153
+	3	54	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	163
+	241	161
+	236	159
+	4	233	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	161
+	236	159
+	3	233	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	158
+	236	159
+	241	161
+	4	244	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	159
+	241	161
+	3	244	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	168
+	220	170
+	215	166
+	4	213	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	170
+	215	166
+	3	213	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	167
+	215	166
+	220	170
+	4	223	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	166
+	220	170
+	3	223	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	166
+	208	164
+	213	168
+	4	215	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	164
+	213	168
+	3	215	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	170
+	227	170
+	223	167
+	4	220	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	170
+	223	167
+	3	220	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	166
+	223	167
+	227	170
+	4	230	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	167
+	227	170
+	3	230	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	169
+	173	167
+	169	165
+	4	166	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	167
+	169	165
+	3	166	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	164
+	169	165
+	173	167
+	4	176	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	165
+	173	167
+	3	176	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	157
+	126	157
+	122	154
+	4	119	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	157
+	122	154
+	3	119	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	154
+	122	154
+	126	157
+	4	129	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	154
+	126	157
+	3	129	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	153
+	58	154
+	54	151
+	4	50	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	154
+	54	151
+	3	50	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	163
+	269	166
+	265	162
+	4	263	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	166
+	265	162
+	3	263	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	162
+	258	160
+	263	163
+	4	265	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	160
+	263	163
+	3	265	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	158
+	251	158
+	247	155
+	4	244	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	158
+	247	155
+	3	244	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	156
+	40	155
+	36	153
+	4	33	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	155
+	36	153
+	3	33	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	152
+	36	153
+	40	155
+	4	43	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	153
+	40	155
+	3	43	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	160
+	187	159
+	183	156
+	4	180	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	159
+	183	156
+	3	180	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	156
+	183	156
+	187	159
+	4	190	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	156
+	187	159
+	3	190	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	170
+	163	171
+	159	168
+	4	155	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	171
+	159	168
+	3	155	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	169
+	159	168
+	163	171
+	4	166	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	168
+	163	171
+	3	166	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	168
+	151	167
+	155	170
+	4	159	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	155	170
+	3	159	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	164
+	80	167
+	76	163
+	4	72	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	167
+	76	163
+	3	72	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	163
+	69	160
+	72	164
+	4	76	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	160
+	72	164
+	3	76	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	157
+	133	158
+	129	154
+	4	126	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	158
+	129	154
+	3	126	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	166
+	238	165
+	233	163
+	4	230	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	165
+	233	163
+	3	230	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	161
+	233	163
+	238	165
+	4	241	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	163
+	238	165
+	3	241	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	170
+	109	168
+	105	166
+	4	102	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	168
+	105	166
+	3	102	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	165
+	105	166
+	109	168
+	4	112	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	166
+	109	168
+	3	112	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	172
+	98	173
+	95	170
+	4	91	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	173
+	95	170
+	3	91	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	170
+	95	170
+	98	173
+	4	102	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	170
+	98	173
+	3	102	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	170
+	87	169
+	91	172
+	4	95	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	169
+	91	172
+	3	95	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	171
+	91	172
+	87	169
+	4	84	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	172
+	87	169
+	3	84	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	169
+	80	167
+	84	171
+	4	87	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	167
+	84	171
+	3	87	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	157
+	69	160
+	65	156
+	4	61	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	160
+	65	156
+	3	61	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	156
+	58	154
+	61	157
+	4	65	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	154
+	61	157
+	3	65	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	159
+	201	161
+	197	158
+	4	194	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	161
+	197	158
+	3	194	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	158
+	190	156
+	194	159
+	4	197	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	156
+	194	159
+	3	197	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	274	170
+	281	171
+	276	168
+	4	274	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	171
+	276	168
+	3	274	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	284	168
+	276	168
+	281	171
+	4	284	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	168
+	281	171
+	3	284	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	168
+	269	166
+	274	170
+	4	276	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	166
+	274	170
+	3	276	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	165
+	213	168
+	208	164
+	4	206	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	168
+	208	164
+	3	206	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	164
+	201	161
+	206	165
+	4	208	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	161
+	206	165
+	3	208	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	168
+	155	170
+	151	167
+	4	148	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	170
+	151	167
+	3	148	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	167
+	144	164
+	148	168
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	164
+	148	168
+	3	151	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	171
+	170	171
+	166	169
+	4	163	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	171
+	166	169
+	3	163	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	167
+	166	169
+	170	171
+	4	173	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	169
+	170	171
+	3	173	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	161
+	122	160
+	119	157
+	4	115	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	160
+	119	157
+	3	115	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	157
+	119	157
+	122	160
+	4	126	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	157
+	122	160
+	3	126	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	161
+	144	164
+	140	160
+	4	137	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	164
+	140	160
+	3	137	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	160
+	133	158
+	137	161
+	4	140	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	158
+	137	161
+	3	140	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	170
+	235	168
+	230	166
+	4	227	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	168
+	230	166
+	3	227	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	165
+	230	166
+	235	168
+	4	238	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	166
+	235	168
+	3	238	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	159
+	194	159
+	190	156
+	4	187	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	159
+	190	156
+	3	187	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	164
+	184	162
+	180	160
+	4	176	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	162
+	180	160
+	3	176	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	159
+	180	160
+	184	162
+	4	187	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	160
+	184	162
+	3	187	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	256	161
+	263	163
+	258	160
+	4	256	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	163
+	258	160
+	3	256	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	160
+	251	158
+	256	161
+	4	258	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	158
+	256	161
+	3	258	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	155
+	47	155
+	43	152
+	4	40	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	155
+	43	152
+	3	40	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	153
+	43	152
+	47	155
+	4	50	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	152
+	47	155
+	3	50	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	161
+	248	160
+	244	158
+	4	241	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	160
+	244	158
+	3	241	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	158
+	244	158
+	248	160
+	4	251	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	158
+	248	160
+	3	251	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	167
+	274	170
+	269	166
+	4	267	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	170
+	269	166
+	3	267	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	166
+	263	163
+	267	167
+	4	269	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	163
+	267	167
+	3	269	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	173
+	105	172
+	102	170
+	4	98	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	172
+	102	170
+	3	98	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	168
+	102	170
+	105	172
+	4	109	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	170
+	105	172
+	3	109	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	156
+	61	157
+	58	154
+	4	54	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	157
+	58	154
+	3	54	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	154
+	50	153
+	54	156
+	4	58	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	153
+	54	156
+	3	58	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	168
+	84	171
+	80	167
+	4	76	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	171
+	80	167
+	3	76	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	167
+	72	164
+	76	168
+	4	80	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	164
+	76	168
+	3	80	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	155
+	33	156
+	36	158
+	4	40	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	156
+	36	158
+	3	40	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	171
+	224	172
+	220	170
+	4	217	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	172
+	220	170
+	3	217	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	170
+	220	170
+	224	172
+	4	227	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	170
+	224	172
+	3	227	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	170
+	213	168
+	217	171
+	4	220	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	168
+	217	171
+	3	220	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	155
+	54	156
+	50	153
+	4	47	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	156
+	50	153
+	3	47	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	165
+	119	163
+	115	161
+	4	112	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	163
+	115	161
+	3	112	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	160
+	115	161
+	119	163
+	4	122	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	161
+	119	163
+	3	122	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	161
+	72	164
+	69	160
+	4	65	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	164
+	69	160
+	3	65	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	160
+	61	157
+	65	161
+	4	69	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	157
+	65	161
+	3	69	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	167
+	181	165
+	176	164
+	4	173	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	165
+	176	164
+	3	173	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	162
+	176	164
+	181	165
+	4	184	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	164
+	181	165
+	3	184	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	160
+	256	161
+	251	158
+	4	248	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	161
+	251	158
+	3	248	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	160
+	137	161
+	133	158
+	4	130	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	161
+	133	158
+	3	130	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	158
+	126	157
+	130	160
+	4	133	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	157
+	130	160
+	3	133	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	160
+	130	160
+	126	157
+	4	122	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	160
+	126	157
+	3	122	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	163
+	206	165
+	201	161
+	4	198	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	165
+	201	161
+	3	198	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	161
+	194	159
+	198	163
+	4	201	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	159
+	198	163
+	3	201	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	172
+	231	172
+	227	170
+	4	224	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	172
+	227	170
+	3	224	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	168
+	227	170
+	231	172
+	4	235	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	170
+	231	172
+	3	235	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	169
+	217	171
+	213	168
+	4	210	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	171
+	213	168
+	3	210	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	168
+	206	165
+	210	169
+	4	213	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	165
+	210	169
+	3	213	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	165
+	148	168
+	144	164
+	4	141	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	168
+	144	164
+	3	141	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	164
+	137	161
+	141	165
+	4	144	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	161
+	141	165
+	3	144	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	174
+	95	175
+	91	172
+	4	87	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	175
+	91	172
+	3	87	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	173
+	91	172
+	95	175
+	4	98	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	172
+	95	175
+	3	98	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	172
+	84	171
+	87	174
+	4	91	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	171
+	87	174
+	3	91	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	174
+	167	174
+	163	171
+	4	159	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	174
+	163	171
+	3	159	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	171
+	163	171
+	167	174
+	4	170	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	171
+	167	174
+	3	170	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	171
+	155	170
+	159	174
+	4	163	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	170
+	159	174
+	3	163	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	165
+	245	163
+	241	161
+	4	238	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	163
+	241	161
+	3	238	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	160
+	241	161
+	245	163
+	4	248	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	161
+	245	163
+	3	248	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	172
+	159	174
+	155	170
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	174
+	155	170
+	3	152	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	170
+	148	168
+	152	172
+	4	155	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	168
+	152	172
+	3	155	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	168
+	116	166
+	112	165
+	4	109	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	166
+	112	165
+	3	109	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	163
+	112	165
+	116	166
+	4	119	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	165
+	116	166
+	3	119	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	171
+	177	169
+	173	167
+	4	170	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	169
+	173	167
+	3	170	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	165
+	173	167
+	177	169
+	4	181	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	167
+	177	169
+	3	181	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	158
+	43	158
+	40	155
+	4	36	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	158
+	40	155
+	3	36	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	155
+	40	155
+	43	158
+	4	47	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	155
+	43	158
+	3	47	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	162
+	191	161
+	187	159
+	4	184	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	161
+	187	159
+	3	184	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	159
+	187	159
+	191	161
+	4	194	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	159
+	191	161
+	3	194	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	165
+	267	167
+	263	163
+	4	260	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	167
+	263	163
+	3	260	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	263	163
+	256	161
+	260	165
+	4	263	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	161
+	260	165
+	3	263	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	175
+	102	175
+	98	173
+	4	95	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	175
+	98	173
+	3	95	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	172
+	98	173
+	102	175
+	4	105	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	173
+	102	175
+	3	105	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	281	171
+	274	170
+	278	173
+	4	281	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	170
+	278	173
+	3	281	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	172
+	87	174
+	84	171
+	4	80	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	174
+	84	171
+	3	80	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	171
+	76	168
+	80	172
+	4	84	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	168
+	80	172
+	3	84	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	165
+	76	168
+	72	164
+	4	69	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	168
+	72	164
+	3	69	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	164
+	65	161
+	69	165
+	4	72	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	161
+	69	165
+	3	72	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	161
+	198	163
+	194	159
+	4	191	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	163
+	194	159
+	3	191	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	171
+	278	173
+	274	170
+	4	271	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	173
+	274	170
+	3	271	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	274	170
+	267	167
+	271	171
+	4	274	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	167
+	271	171
+	3	274	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	159
+	65	161
+	61	157
+	4	57	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	161
+	61	157
+	3	57	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	157
+	54	156
+	57	159
+	4	61	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	156
+	57	159
+	3	61	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	168
+	242	167
+	238	165
+	4	235	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	167
+	238	165
+	3	235	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	163
+	238	165
+	242	167
+	4	245	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	165
+	242	167
+	3	245	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	172
+	112	170
+	109	168
+	4	105	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	170
+	109	168
+	3	105	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	166
+	109	168
+	112	170
+	4	116	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	168
+	112	170
+	3	116	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	158
+	50	158
+	47	155
+	4	43	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	158
+	47	155
+	3	43	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	156
+	47	155
+	50	158
+	4	54	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	155
+	50	158
+	3	54	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	174
+	174	173
+	170	171
+	4	167	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	173
+	170	171
+	3	167	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	169
+	170	171
+	174	173
+	4	177	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	171
+	174	173
+	3	177	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	163
+	126	162
+	122	160
+	4	119	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	162
+	122	160
+	3	119	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	160
+	122	160
+	126	162
+	4	130	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	160
+	126	162
+	3	130	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	169
+	152	172
+	148	168
+	4	145	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	148	168
+	3	145	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	168
+	141	165
+	145	169
+	4	148	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	165
+	145	169
+	3	148	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	166
+	210	169
+	206	165
+	4	203	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	169
+	206	165
+	3	203	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	165
+	198	163
+	203	166
+	4	206	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	163
+	203	166
+	3	206	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	158
+	57	159
+	54	156
+	4	50	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	159
+	54	156
+	3	50	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	163
+	141	165
+	137	161
+	4	134	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	165
+	137	161
+	3	134	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	161
+	130	160
+	134	163
+	4	137	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	160
+	134	163
+	3	137	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	175
+	228	175
+	224	172
+	4	221	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	175
+	224	172
+	3	221	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	172
+	224	172
+	228	175
+	4	231	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	172
+	228	175
+	3	231	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	172
+	217	171
+	221	175
+	4	224	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	171
+	221	175
+	3	224	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	163
+	253	163
+	248	160
+	4	245	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	163
+	248	160
+	3	245	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	256	161
+	248	160
+	253	163
+	4	256	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	160
+	253	163
+	3	256	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	163
+	260	165
+	256	161
+	4	253	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	165
+	256	161
+	3	253	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	172
+	239	171
+	235	168
+	4	231	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	171
+	235	168
+	3	231	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	167
+	235	168
+	239	171
+	4	242	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	168
+	239	171
+	3	242	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	173
+	221	175
+	217	171
+	4	214	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	175
+	217	171
+	3	214	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	171
+	210	169
+	214	173
+	4	217	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	169
+	214	173
+	3	217	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	165
+	188	164
+	184	162
+	4	181	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	164
+	184	162
+	3	181	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	161
+	184	162
+	188	164
+	4	191	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	162
+	188	164
+	3	191	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	158
+	36	158
+	39	160
+	4	43	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	158
+	39	160
+	3	43	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	175
+	109	174
+	105	172
+	4	102	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	174
+	105	172
+	3	102	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	170
+	105	172
+	109	174
+	4	112	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	172
+	109	174
+	3	112	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	162
+	134	163
+	130	160
+	4	126	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	163
+	130	160
+	3	126	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	169
+	80	172
+	76	168
+	4	72	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	172
+	76	168
+	3	72	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	168
+	69	165
+	72	169
+	4	76	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	165
+	72	169
+	3	76	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	168
+	271	171
+	267	167
+	4	265	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	171
+	267	167
+	3	265	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	167
+	260	165
+	265	168
+	4	267	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	165
+	265	168
+	3	267	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	175
+	163	177
+	159	174
+	4	156	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	177
+	159	174
+	3	156	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	174
+	159	174
+	163	177
+	4	167	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	174
+	163	177
+	3	167	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	174
+	152	172
+	156	175
+	4	159	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	156	175
+	3	159	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	178
+	98	178
+	95	175
+	4	91	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	178
+	95	175
+	3	91	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	175
+	95	175
+	98	178
+	4	102	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	175
+	98	178
+	3	102	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	175
+	87	174
+	91	178
+	4	95	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	174
+	91	178
+	3	95	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	163
+	69	165
+	65	161
+	4	61	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	165
+	65	161
+	3	61	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	161
+	57	159
+	61	163
+	4	65	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	159
+	61	163
+	3	65	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	176
+	91	178
+	87	174
+	4	84	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	178
+	87	174
+	3	84	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	174
+	80	172
+	84	176
+	4	87	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	172
+	84	176
+	3	87	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	166
+	123	165
+	119	163
+	4	116	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	165
+	119	163
+	3	116	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	162
+	119	163
+	123	165
+	4	126	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	163
+	123	165
+	3	126	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	177
+	171	176
+	167	174
+	4	163	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	176
+	167	174
+	3	163	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	173
+	167	174
+	171	176
+	4	174	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	174
+	171	176
+	3	174	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	175
+	236	174
+	231	172
+	4	228	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	174
+	231	172
+	3	228	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	171
+	231	172
+	236	174
+	4	239	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	172
+	236	174
+	3	239	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	169
+	185	167
+	181	165
+	4	177	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	167
+	181	165
+	3	177	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	164
+	181	165
+	185	167
+	4	188	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	165
+	185	167
+	3	188	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	164
+	203	166
+	198	163
+	4	195	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	166
+	198	163
+	3	195	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	163
+	191	161
+	195	164
+	4	198	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	161
+	195	164
+	3	198	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	173
+	271	171
+	276	174
+	4	278	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	171
+	276	174
+	3	278	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	164
+	195	164
+	191	161
+	4	188	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	164
+	191	161
+	3	188	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	167
+	250	166
+	245	163
+	4	242	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	166
+	245	163
+	3	242	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	163
+	245	163
+	250	166
+	4	253	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	163
+	250	166
+	3	253	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	173
+	156	175
+	152	172
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	175
+	152	172
+	3	149	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	172
+	145	169
+	149	173
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	169
+	149	173
+	3	152	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	170
+	214	173
+	210	169
+	4	207	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	173
+	210	169
+	3	207	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	169
+	203	166
+	207	170
+	4	210	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	166
+	207	170
+	3	210	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	160
+	46	160
+	43	158
+	4	39	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	160
+	43	158
+	3	39	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	158
+	43	158
+	46	160
+	4	50	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	158
+	46	160
+	3	50	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	166
+	145	169
+	141	165
+	4	138	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	169
+	141	165
+	3	138	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	165
+	134	163
+	138	166
+	4	141	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	163
+	138	166
+	3	141	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	178
+	106	177
+	102	175
+	4	98	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	177
+	102	175
+	3	98	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	174
+	102	175
+	106	177
+	4	109	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	175
+	106	177
+	3	109	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	161
+	61	163
+	57	159
+	4	54	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	163
+	57	159
+	3	54	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	159
+	50	158
+	54	161
+	4	57	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	158
+	54	161
+	3	57	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	166
+	265	168
+	260	165
+	4	257	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	168
+	260	165
+	3	257	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	165
+	253	163
+	257	166
+	4	260	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	163
+	257	166
+	3	260	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	173
+	182	171
+	177	169
+	4	174	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	171
+	177	169
+	3	174	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	167
+	177	169
+	182	171
+	4	185	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	169
+	182	171
+	3	185	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	173
+	84	176
+	80	172
+	4	76	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	176
+	80	172
+	3	76	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	172
+	72	169
+	76	173
+	4	80	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	169
+	76	173
+	3	80	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	160
+	54	161
+	50	158
+	4	46	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	161
+	50	158
+	3	46	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	170
+	119	168
+	116	166
+	4	112	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	168
+	116	166
+	3	112	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	165
+	116	166
+	119	168
+	4	123	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	166
+	119	168
+	3	123	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	176
+	225	178
+	221	175
+	4	218	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	178
+	221	175
+	3	218	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	175
+	221	175
+	225	178
+	4	228	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	175
+	225	178
+	3	228	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	175
+	214	173
+	218	176
+	4	221	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	173
+	218	176
+	3	221	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	167
+	72	169
+	69	165
+	4	65	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	169
+	69	165
+	3	65	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	165
+	61	163
+	65	167
+	4	69	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	163
+	65	167
+	3	69	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	172
+	276	174
+	271	171
+	4	269	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	174
+	271	171
+	3	269	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	171
+	265	168
+	269	172
+	4	271	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	168
+	269	172
+	3	271	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	166
+	257	166
+	253	163
+	4	250	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	166
+	253	163
+	3	250	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	171
+	247	169
+	242	167
+	4	239	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	169
+	242	167
+	3	239	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	166
+	242	167
+	247	169
+	4	250	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	167
+	247	169
+	3	250	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	165
+	130	165
+	126	162
+	4	123	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	165
+	126	162
+	3	123	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	163
+	126	162
+	130	165
+	4	134	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	162
+	130	165
+	3	134	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	178
+	233	178
+	228	175
+	4	225	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	178
+	228	175
+	3	225	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	174
+	228	175
+	233	178
+	4	236	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	175
+	233	178
+	3	236	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	165
+	138	166
+	134	163
+	4	130	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	166
+	134	163
+	3	130	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	176
+	178	175
+	174	173
+	4	171	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	175
+	174	173
+	3	171	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	171
+	174	173
+	178	175
+	4	182	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	173
+	178	175
+	3	182	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	179
+	95	181
+	91	178
+	4	87	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	181
+	91	178
+	3	87	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	178
+	91	178
+	95	181
+	4	98	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	178
+	95	181
+	3	98	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	178
+	84	176
+	87	179
+	4	91	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	176
+	87	179
+	3	91	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	174
+	116	172
+	112	170
+	4	109	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	172
+	112	170
+	3	109	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	168
+	112	170
+	116	172
+	4	119	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	170
+	116	172
+	3	119	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	179
+	168	179
+	163	177
+	4	160	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	179
+	163	177
+	3	160	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	176
+	163	177
+	168	179
+	4	171	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	177
+	168	179
+	3	171	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	177
+	156	175
+	160	179
+	4	163	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	175
+	160	179
+	3	163	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	168
+	207	170
+	203	166
+	4	200	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	170
+	203	166
+	3	200	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	166
+	195	164
+	200	168
+	4	203	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	164
+	200	168
+	3	203	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	170
+	149	173
+	145	169
+	4	141	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	145	169
+	3	141	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	169
+	138	166
+	141	170
+	4	145	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	166
+	141	170
+	3	145	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	167
+	192	167
+	188	164
+	4	185	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	167
+	188	164
+	3	185	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	164
+	188	164
+	192	167
+	4	195	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	164
+	192	167
+	3	195	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	174
+	218	176
+	214	173
+	4	211	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	176
+	214	173
+	3	211	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	173
+	207	170
+	211	174
+	4	214	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	170
+	211	174
+	3	214	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	160
+	39	160
+	43	163
+	4	46	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	160
+	43	163
+	3	46	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	177
+	160	179
+	156	175
+	4	153	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	179
+	156	175
+	3	153	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	175
+	149	173
+	153	177
+	4	156	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	153	177
+	3	156	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	236	174
+	244	173
+	239	171
+	4	236	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	173
+	239	171
+	3	236	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	169
+	239	171
+	244	173
+	4	247	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	171
+	244	173
+	3	247	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	181
+	102	180
+	98	178
+	4	95	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	180
+	98	178
+	3	95	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	177
+	98	178
+	102	180
+	4	106	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	178
+	102	180
+	3	106	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	164
+	65	167
+	61	163
+	4	57	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	167
+	61	163
+	3	57	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	163
+	54	161
+	57	164
+	4	61	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	161
+	57	164
+	3	61	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	177
+	87	179
+	84	176
+	4	80	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	179
+	84	176
+	3	80	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	176
+	76	173
+	80	177
+	4	84	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	173
+	80	177
+	3	84	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	170
+	76	173
+	72	169
+	4	69	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	173
+	72	169
+	3	69	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	169
+	65	167
+	69	170
+	4	72	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	167
+	69	170
+	3	72	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	167
+	200	168
+	195	164
+	4	192	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	168
+	195	164
+	3	192	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	170
+	269	172
+	265	168
+	4	262	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	172
+	265	168
+	3	262	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	168
+	257	166
+	262	170
+	4	265	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	166
+	262	170
+	3	265	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	177
+	113	176
+	109	174
+	4	106	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	176
+	109	174
+	3	106	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	172
+	109	174
+	113	176
+	4	116	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	174
+	113	176
+	3	116	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	179
+	175	179
+	171	176
+	4	168	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	179
+	171	176
+	3	168	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	175
+	171	176
+	175	179
+	4	178	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	176
+	175	179
+	3	178	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	163
+	50	163
+	46	160
+	4	43	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	163
+	46	160
+	3	43	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	161
+	46	160
+	50	163
+	4	54	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	160
+	50	163
+	3	54	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	174
+	269	172
+	273	176
+	4	276	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	172
+	273	176
+	3	276	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	168
+	127	167
+	123	165
+	4	119	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	167
+	123	165
+	3	119	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	165
+	123	165
+	127	167
+	4	130	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	165
+	127	167
+	3	130	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	178
+	241	176
+	236	174
+	4	233	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	176
+	236	174
+	3	233	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	173
+	236	174
+	241	176
+	4	244	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	174
+	241	176
+	3	244	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	169
+	255	168
+	250	166
+	4	247	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	168
+	250	166
+	3	247	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	166
+	250	166
+	255	168
+	4	257	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	166
+	255	168
+	3	257	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	163
+	57	164
+	54	161
+	4	50	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	164
+	54	161
+	3	50	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	171
+	189	170
+	185	167
+	4	182	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	170
+	185	167
+	3	182	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	167
+	185	167
+	189	170
+	4	192	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	167
+	189	170
+	3	192	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	180
+	230	181
+	225	178
+	4	222	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	181
+	225	178
+	3	222	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	178
+	225	178
+	230	181
+	4	233	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	178
+	230	181
+	3	233	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	178
+	218	176
+	222	180
+	4	225	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	176
+	222	180
+	3	225	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	168
+	141	170
+	138	166
+	4	134	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	170
+	138	166
+	3	134	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	166
+	130	165
+	134	168
+	4	138	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	165
+	134	168
+	3	138	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	174
+	153	177
+	149	173
+	4	145	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	177
+	149	173
+	3	145	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	173
+	141	170
+	145	174
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	170
+	145	174
+	3	149	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	168
+	262	170
+	257	166
+	4	255	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	170
+	257	166
+	3	255	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	171
+	211	174
+	207	170
+	4	204	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	174
+	207	170
+	3	204	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	170
+	200	168
+	204	171
+	4	207	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	168
+	204	171
+	3	207	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	178
+	222	180
+	218	176
+	4	215	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	180
+	218	176
+	3	215	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	176
+	211	174
+	215	178
+	4	218	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	174
+	215	178
+	3	218	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	180
+	109	179
+	106	177
+	4	102	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	179
+	106	177
+	3	102	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	176
+	106	177
+	109	179
+	4	113	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	177
+	109	179
+	3	113	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	167
+	134	168
+	130	165
+	4	127	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	168
+	130	165
+	3	127	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	175
+	80	177
+	76	173
+	4	72	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	177
+	76	173
+	3	72	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	173
+	69	170
+	72	175
+	4	76	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	170
+	72	175
+	3	76	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	168
+	69	170
+	65	167
+	4	61	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	170
+	65	167
+	3	61	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	167
+	57	164
+	61	168
+	4	65	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	164
+	61	168
+	3	65	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	180
+	164	182
+	160	179
+	4	157	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	182
+	160	179
+	3	157	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	179
+	160	179
+	164	182
+	4	168	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	179
+	164	182
+	3	168	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	179
+	153	177
+	157	180
+	4	160	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	177
+	157	180
+	3	160	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	183
+	99	183
+	95	181
+	4	91	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	183
+	95	181
+	3	91	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	180
+	95	181
+	99	183
+	4	102	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	181
+	99	183
+	3	102	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	181
+	87	179
+	91	183
+	4	95	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	179
+	91	183
+	3	95	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	175
+	186	173
+	182	171
+	4	178	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	173
+	182	171
+	3	178	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	170
+	182	171
+	186	173
+	4	189	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	171
+	186	173
+	3	189	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	172
+	123	170
+	119	168
+	4	116	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	170
+	119	168
+	3	116	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	167
+	119	168
+	123	170
+	4	127	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	168
+	123	170
+	3	127	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	181
+	237	180
+	233	178
+	4	230	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	180
+	233	178
+	3	230	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	176
+	233	178
+	237	180
+	4	241	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	178
+	237	180
+	3	241	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	181
+	91	183
+	87	179
+	4	84	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	183
+	87	179
+	3	84	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	179
+	80	177
+	84	181
+	4	87	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	177
+	84	181
+	3	87	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	173
+	273	176
+	269	172
+	4	266	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	176
+	269	172
+	3	266	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	172
+	262	170
+	266	173
+	4	269	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	170
+	266	173
+	3	269	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	173
+	252	171
+	247	169
+	4	244	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	171
+	247	169
+	3	244	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	168
+	247	169
+	252	171
+	4	255	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	169
+	252	171
+	3	255	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	182
+	172	182
+	168	179
+	4	164	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	182
+	168	179
+	3	164	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	179
+	168	179
+	172	182
+	4	175	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	179
+	172	182
+	3	175	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	170
+	196	170
+	192	167
+	4	189	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	170
+	192	167
+	3	189	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	168
+	192	167
+	196	170
+	4	200	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	167
+	196	170
+	3	200	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	170
+	204	171
+	200	168
+	4	196	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	171
+	200	168
+	3	196	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	163
+	43	163
+	46	166
+	4	50	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	163
+	46	166
+	3	50	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	179
+	182	177
+	178	175
+	4	175	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	177
+	178	175
+	3	175	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	173
+	178	175
+	182	177
+	4	186	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	175
+	182	177
+	3	186	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	178
+	157	180
+	153	177
+	4	150	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	180
+	153	177
+	3	150	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	177
+	145	174
+	150	178
+	4	153	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	174
+	150	178
+	3	153	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	172
+	145	174
+	141	170
+	4	138	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	174
+	141	170
+	3	138	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	170
+	134	168
+	138	172
+	4	141	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	168
+	138	172
+	3	141	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	166
+	61	168
+	57	164
+	4	53	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	168
+	57	164
+	3	53	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	164
+	50	163
+	53	166
+	4	57	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	163
+	53	166
+	3	57	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	183
+	106	183
+	102	180
+	4	99	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	183
+	102	180
+	3	99	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	179
+	102	180
+	106	183
+	4	109	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	180
+	106	183
+	3	109	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	175
+	215	178
+	211	174
+	4	208	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	178
+	211	174
+	3	208	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	174
+	204	171
+	208	175
+	4	211	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	171
+	208	175
+	3	211	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	176
+	120	174
+	116	172
+	4	113	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	174
+	116	172
+	3	113	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	170
+	116	172
+	120	174
+	4	123	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	172
+	120	174
+	3	123	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	166
+	53	166
+	50	163
+	4	46	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	166
+	50	163
+	3	46	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	176
+	248	175
+	244	173
+	4	241	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	175
+	244	173
+	3	241	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	252	171
+	244	173
+	248	175
+	4	252	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	173
+	248	175
+	3	252	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	179
+	84	181
+	80	177
+	4	76	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	181
+	80	177
+	3	76	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	177
+	72	175
+	76	179
+	4	80	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	175
+	76	179
+	3	80	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	172
+	72	175
+	69	170
+	4	65	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	175
+	69	170
+	3	65	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	170
+	61	168
+	65	172
+	4	69	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	168
+	65	172
+	3	69	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	171
+	266	173
+	262	170
+	4	259	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	173
+	262	170
+	3	259	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	170
+	255	168
+	259	171
+	4	262	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	168
+	259	171
+	3	262	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	171
+	259	171
+	255	168
+	4	252	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	171
+	255	168
+	3	252	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	181
+	227	183
+	222	180
+	4	220	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	183
+	222	180
+	3	220	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	181
+	222	180
+	227	183
+	4	230	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	180
+	227	183
+	3	230	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	180
+	215	178
+	220	181
+	4	222	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	178
+	220	181
+	3	222	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	170
+	131	170
+	127	167
+	4	123	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	170
+	127	167
+	3	123	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	168
+	127	167
+	131	170
+	4	134	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	167
+	131	170
+	3	134	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	183
+	234	183
+	230	181
+	4	227	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	183
+	230	181
+	3	227	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	180
+	230	181
+	234	183
+	4	237	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	181
+	234	183
+	3	237	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	182
+	179	181
+	175	179
+	4	172	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	181
+	175	179
+	3	172	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	177
+	175	179
+	179	181
+	4	182	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	179
+	179	181
+	3	182	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	170
+	138	172
+	134	168
+	4	131	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	172
+	134	168
+	3	131	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	176
+	266	173
+	271	177
+	4	273	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	173
+	271	177
+	3	273	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	179
+	116	177
+	113	176
+	4	109	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	177
+	113	176
+	3	109	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	174
+	113	176
+	116	177
+	4	120	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	176
+	116	177
+	3	120	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	173
+	193	172
+	189	170
+	4	186	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	172
+	189	170
+	3	186	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	170
+	189	170
+	193	172
+	4	196	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	170
+	193	172
+	3	196	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	180
+	245	178
+	241	176
+	4	237	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	178
+	241	176
+	3	237	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	248	175
+	241	176
+	245	178
+	4	248	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	176
+	245	178
+	3	248	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	185
+	95	186
+	91	183
+	4	88	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	186
+	91	183
+	3	88	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	183
+	91	183
+	95	186
+	4	99	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	183
+	95	186
+	3	99	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	183
+	84	181
+	88	185
+	4	91	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	181
+	88	185
+	3	91	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	184
+	168	185
+	164	182
+	4	161	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	185
+	164	182
+	3	161	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	182
+	164	182
+	168	185
+	4	172	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	182
+	168	185
+	3	172	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	182
+	157	180
+	161	184
+	4	164	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	180
+	161	184
+	3	164	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	173
+	208	175
+	204	171
+	4	201	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	175
+	204	171
+	3	201	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	171
+	196	170
+	201	173
+	4	204	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	170
+	201	173
+	3	204	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	175
+	150	178
+	145	174
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	178
+	145	174
+	3	142	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	174
+	138	172
+	142	175
+	4	145	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	172
+	142	175
+	3	145	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	186
+	102	186
+	99	183
+	4	95	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	186
+	99	183
+	3	95	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	183
+	99	183
+	102	186
+	4	106	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	183
+	102	186
+	3	106	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	182
+	161	184
+	157	180
+	4	154	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	184
+	157	180
+	3	154	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	180
+	150	178
+	154	182
+	4	157	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	178
+	154	182
+	3	157	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	170
+	65	172
+	61	168
+	4	57	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	172
+	61	168
+	3	57	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	168
+	53	166
+	57	170
+	4	61	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	166
+	57	170
+	3	61	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	179
+	220	181
+	215	178
+	4	212	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	181
+	215	178
+	3	212	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	178
+	208	175
+	212	179
+	4	215	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	175
+	212	179
+	3	215	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	176
+	76	179
+	72	175
+	4	68	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	179
+	72	175
+	3	68	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	175
+	65	172
+	68	176
+	4	72	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	172
+	68	176
+	3	72	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	183
+	88	185
+	84	181
+	4	80	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	185
+	84	181
+	3	80	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	181
+	76	179
+	80	183
+	4	84	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	179
+	80	183
+	3	84	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	172
+	201	173
+	196	170
+	4	193	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	173
+	196	170
+	3	193	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	183
+	113	181
+	109	179
+	4	106	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	181
+	109	179
+	3	106	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	177
+	109	179
+	113	181
+	4	116	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	179
+	113	181
+	3	116	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	234	183
+	242	182
+	237	180
+	4	234	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	182
+	237	180
+	3	234	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	178
+	237	180
+	242	182
+	4	245	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	180
+	242	182
+	3	245	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	185
+	176	184
+	172	182
+	4	168	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	184
+	172	182
+	3	168	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	181
+	172	182
+	176	184
+	4	179	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	182
+	176	184
+	3	179	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	174
+	127	173
+	123	170
+	4	120	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	173
+	123	170
+	3	120	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	170
+	123	170
+	127	173
+	4	131	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	170
+	127	173
+	3	131	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	166
+	46	166
+	50	169
+	4	53	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	166
+	50	169
+	3	53	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	175
+	256	174
+	252	171
+	4	248	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	174
+	252	171
+	3	248	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	171
+	252	171
+	256	174
+	4	259	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	171
+	256	174
+	3	259	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	177
+	190	175
+	186	173
+	4	182	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	175
+	186	173
+	3	182	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	172
+	186	173
+	190	175
+	4	193	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	173
+	190	175
+	3	193	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	169
+	57	170
+	53	166
+	4	50	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	170
+	53	166
+	3	50	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	175
+	271	177
+	266	173
+	4	264	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	177
+	266	173
+	3	264	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	173
+	259	171
+	264	175
+	4	266	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	171
+	264	175
+	3	266	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	185
+	231	186
+	227	183
+	4	224	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	186
+	227	183
+	3	224	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	183
+	227	183
+	231	186
+	4	234	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	183
+	231	186
+	3	234	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	183
+	220	181
+	224	185
+	4	227	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	181
+	224	185
+	3	227	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	173
+	142	175
+	138	172
+	4	135	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	138	172
+	3	135	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	172
+	131	170
+	135	173
+	4	138	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	170
+	135	173
+	3	138	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	174
+	264	175
+	259	171
+	4	256	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	175
+	259	171
+	3	256	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	179
+	154	182
+	150	178
+	4	146	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	182
+	150	178
+	3	146	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	178
+	142	175
+	146	179
+	4	150	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	146	179
+	3	150	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	186
+	110	185
+	106	183
+	4	102	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	185
+	106	183
+	3	102	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	181
+	106	183
+	110	185
+	4	113	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	183
+	110	185
+	3	113	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	173
+	135	173
+	131	170
+	4	127	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	173
+	131	170
+	3	127	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	181
+	187	179
+	182	177
+	4	179	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	179
+	182	177
+	3	179	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	175
+	182	177
+	187	179
+	4	190	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	177
+	187	179
+	3	190	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	176
+	212	179
+	208	175
+	4	205	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	179
+	208	175
+	3	205	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	175
+	201	173
+	205	176
+	4	208	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	173
+	205	176
+	3	208	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	180
+	80	183
+	76	179
+	4	72	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	183
+	76	179
+	3	72	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	179
+	68	176
+	72	180
+	4	76	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	176
+	72	180
+	3	76	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	174
+	68	176
+	65	172
+	4	61	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	176
+	65	172
+	3	61	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	172
+	57	170
+	61	174
+	4	65	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	170
+	61	174
+	3	65	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	178
+	253	177
+	248	175
+	4	245	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	177
+	248	175
+	3	245	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	256	174
+	248	175
+	253	177
+	4	256	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	175
+	253	177
+	3	256	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	177
+	124	176
+	120	174
+	4	116	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	176
+	120	174
+	3	116	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	173
+	120	174
+	124	176
+	4	127	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	174
+	124	176
+	3	127	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	186
+	239	186
+	234	183
+	4	231	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	186
+	234	183
+	3	231	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	182
+	234	183
+	239	186
+	4	242	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	183
+	239	186
+	3	242	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	183
+	224	185
+	220	181
+	4	217	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	185
+	220	181
+	3	217	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	181
+	212	179
+	217	183
+	4	220	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	179
+	217	183
+	3	220	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	188
+	99	189
+	95	186
+	4	91	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	189
+	95	186
+	3	91	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	186
+	95	186
+	99	189
+	4	102	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	186
+	99	189
+	3	102	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	186
+	88	185
+	91	188
+	4	95	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	185
+	91	188
+	3	95	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	186
+	165	187
+	161	184
+	4	158	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	187
+	161	184
+	3	158	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	185
+	161	184
+	165	187
+	4	168	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	184
+	165	187
+	3	168	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	184
+	154	182
+	158	186
+	4	161	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	182
+	158	186
+	3	161	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	187
+	91	188
+	88	185
+	4	84	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	188
+	88	185
+	3	84	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	185
+	80	183
+	84	187
+	4	88	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	183
+	84	187
+	3	88	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	187
+	173	188
+	168	185
+	4	165	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	188
+	168	185
+	3	165	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	184
+	168	185
+	173	188
+	4	176	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	185
+	173	188
+	3	176	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	175
+	198	175
+	193	172
+	4	190	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	175
+	193	172
+	3	190	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	173
+	193	172
+	198	175
+	4	201	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	172
+	198	175
+	3	201	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	184
+	183	183
+	179	181
+	4	176	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	183
+	179	181
+	3	176	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	179
+	179	181
+	183	183
+	4	187	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	181
+	183	183
+	3	187	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	177
+	264	175
+	268	178
+	4	271	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	175
+	268	178
+	3	271	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	175
+	205	176
+	201	173
+	4	198	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	176
+	201	173
+	3	198	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	182
+	250	181
+	245	178
+	4	242	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	181
+	245	178
+	3	242	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	177
+	245	178
+	250	181
+	4	253	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	178
+	250	181
+	3	253	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	172
+	61	174
+	57	170
+	4	53	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	174
+	57	170
+	3	53	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	170
+	50	169
+	53	172
+	4	57	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	169
+	53	172
+	3	57	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	181
+	120	179
+	116	177
+	4	113	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	179
+	116	177
+	3	113	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	176
+	116	177
+	120	179
+	4	124	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	177
+	120	179
+	3	124	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	189
+	106	188
+	102	186
+	4	99	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	188
+	102	186
+	3	99	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	185
+	102	186
+	106	188
+	4	110	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	186
+	106	188
+	3	110	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	177
+	146	179
+	142	175
+	4	139	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	179
+	142	175
+	3	139	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	175
+	135	173
+	139	177
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	173
+	139	177
+	3	142	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	183
+	158	186
+	154	182
+	4	150	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	186
+	154	182
+	3	150	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	182
+	146	179
+	150	183
+	4	154	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	179
+	150	183
+	3	154	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	184
+	84	187
+	80	183
+	4	76	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	187
+	80	183
+	3	76	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	183
+	72	180
+	76	184
+	4	80	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	180
+	76	184
+	3	80	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	177
+	72	180
+	68	176
+	4	65	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	180
+	68	176
+	3	65	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	176
+	61	174
+	65	177
+	4	68	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	174
+	65	177
+	3	68	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	177
+	261	177
+	256	174
+	4	253	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	177
+	256	174
+	3	253	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	175
+	256	174
+	261	177
+	4	264	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	174
+	261	177
+	3	264	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	180
+	217	183
+	212	179
+	4	209	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	183
+	212	179
+	3	209	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	179
+	205	176
+	209	180
+	4	212	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	176
+	209	180
+	3	212	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	176
+	131	176
+	127	173
+	4	124	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	176
+	127	173
+	3	124	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	173
+	127	173
+	131	176
+	4	135	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	173
+	131	176
+	3	135	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	177
+	268	178
+	264	175
+	4	261	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	178
+	264	175
+	3	261	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	188
+	180	186
+	176	184
+	4	173	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	186
+	176	184
+	3	173	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	183
+	176	184
+	180	186
+	4	183	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	184
+	180	186
+	3	183	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	188
+	236	189
+	231	186
+	4	228	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	189
+	231	186
+	3	228	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	186
+	231	186
+	236	189
+	4	239	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	186
+	236	189
+	3	239	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	186
+	224	185
+	228	188
+	4	231	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	185
+	228	188
+	3	231	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	186
+	247	184
+	242	182
+	4	239	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	184
+	242	182
+	3	239	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	181
+	242	182
+	247	184
+	4	250	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	182
+	247	184
+	3	250	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	179
+	194	178
+	190	175
+	4	187	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	178
+	190	175
+	3	187	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	175
+	190	175
+	194	178
+	4	198	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	175
+	194	178
+	3	198	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	185
+	117	183
+	113	181
+	4	110	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	183
+	113	181
+	3	110	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	179
+	113	181
+	117	183
+	4	120	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	181
+	117	183
+	3	120	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	187
+	228	188
+	224	185
+	4	221	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	188
+	224	185
+	3	221	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	185
+	217	183
+	221	187
+	4	224	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	183
+	221	187
+	3	224	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	176
+	139	177
+	135	173
+	4	131	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	177
+	135	173
+	3	131	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	190
+	95	192
+	91	188
+	4	88	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	192
+	91	188
+	3	88	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	189
+	91	188
+	95	192
+	4	99	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	188
+	95	192
+	3	99	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	188
+	84	187
+	88	190
+	4	91	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	187
+	88	190
+	3	91	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	189
+	169	190
+	165	187
+	4	162	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	190
+	165	187
+	3	162	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	188
+	165	187
+	169	190
+	4	173	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	187
+	169	190
+	3	173	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	187
+	158	186
+	162	189
+	4	165	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	186
+	162	189
+	3	165	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	192
+	102	192
+	99	189
+	4	95	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	192
+	99	189
+	3	95	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	188
+	99	189
+	102	192
+	4	106	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	189
+	102	192
+	3	106	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	175
+	65	177
+	61	174
+	4	57	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	177
+	61	174
+	3	57	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	174
+	53	172
+	57	175
+	4	61	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	172
+	57	175
+	3	61	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	178
+	209	180
+	205	176
+	4	202	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	180
+	205	176
+	3	202	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	176
+	198	175
+	202	178
+	4	205	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	175
+	202	178
+	3	205	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	181
+	150	183
+	146	179
+	4	143	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	183
+	146	179
+	3	143	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	179
+	139	177
+	143	181
+	4	146	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	177
+	143	181
+	3	146	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	189
+	244	188
+	239	186
+	4	236	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	188
+	239	186
+	3	236	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	247	184
+	239	186
+	244	188
+	4	247	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	186
+	244	188
+	3	247	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	181
+	76	184
+	72	180
+	4	68	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	184
+	72	180
+	3	68	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	180
+	65	177
+	68	181
+	4	72	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	177
+	68	181
+	3	72	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	187
+	162	189
+	158	186
+	4	154	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	189
+	158	186
+	3	154	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	186
+	150	183
+	154	187
+	4	158	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	183
+	154	187
+	3	158	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	188
+	113	187
+	110	185
+	4	106	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	187
+	110	185
+	3	106	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	183
+	110	185
+	113	187
+	4	117	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	185
+	113	187
+	3	117	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	181
+	258	180
+	253	177
+	4	250	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	180
+	253	177
+	3	250	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	177
+	253	177
+	258	180
+	4	261	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	177
+	258	180
+	3	261	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	183
+	191	181
+	187	179
+	4	183	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	181
+	187	179
+	3	183	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	178
+	187	179
+	191	181
+	4	194	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	179
+	191	181
+	3	194	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	178
+	202	178
+	198	175
+	4	194	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	178
+	198	175
+	3	194	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	188
+	88	190
+	84	187
+	4	80	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	190
+	84	187
+	3	80	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	187
+	76	184
+	80	188
+	4	84	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	184
+	80	188
+	3	84	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	190
+	177	190
+	173	188
+	4	169	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	190
+	173	188
+	3	169	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	186
+	173	188
+	177	190
+	4	180	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	188
+	177	190
+	3	180	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	179
+	128	179
+	124	176
+	4	120	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	179
+	124	176
+	3	120	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	176
+	124	176
+	128	179
+	4	131	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	176
+	128	179
+	3	131	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	184
+	221	187
+	217	183
+	4	214	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	187
+	217	183
+	3	214	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	183
+	209	180
+	214	184
+	4	217	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	180
+	214	184
+	3	217	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	178
+	261	177
+	266	180
+	4	268	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	177
+	266	180
+	3	268	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	186
+	188	185
+	183	183
+	4	180	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	185
+	183	183
+	3	180	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	181
+	183	183
+	188	185
+	4	191	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	183
+	188	185
+	3	191	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	179
+	143	181
+	139	177
+	4	135	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	181
+	139	177
+	3	135	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	177
+	131	176
+	135	179
+	4	139	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	176
+	135	179
+	3	139	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	190
+	233	192
+	228	188
+	4	225	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	192
+	228	188
+	3	225	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	189
+	228	188
+	233	192
+	4	236	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	188
+	233	192
+	3	236	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	188
+	221	187
+	225	190
+	4	228	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	187
+	225	190
+	3	228	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	180
+	266	180
+	261	177
+	4	258	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	180
+	261	177
+	3	258	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	184
+	255	183
+	250	181
+	4	247	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	183
+	250	181
+	3	247	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	258	180
+	250	181
+	255	183
+	4	258	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	181
+	255	183
+	3	258	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	192
+	110	190
+	106	188
+	4	102	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	190
+	106	188
+	3	102	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	187
+	106	188
+	110	190
+	4	113	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	188
+	110	190
+	3	113	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	179
+	135	179
+	131	176
+	4	128	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	179
+	131	176
+	3	128	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	183
+	124	182
+	120	179
+	4	117	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	182
+	120	179
+	3	117	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	179
+	120	179
+	124	182
+	4	128	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	179
+	124	182
+	3	128	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	185
+	154	187
+	150	183
+	4	147	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	187
+	150	183
+	3	147	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	183
+	143	181
+	147	185
+	4	150	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	181
+	147	185
+	3	150	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	179
+	68	181
+	65	177
+	4	61	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	181
+	65	177
+	3	61	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	177
+	57	175
+	61	179
+	4	65	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	175
+	61	179
+	3	65	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	192
+	240	192
+	236	189
+	4	233	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	192
+	236	189
+	3	233	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	188
+	236	189
+	240	192
+	4	244	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	189
+	240	192
+	3	244	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	186
+	80	188
+	76	184
+	4	72	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	188
+	76	184
+	3	72	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	184
+	68	181
+	72	186
+	4	76	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	181
+	72	186
+	3	76	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	182
+	214	184
+	209	180
+	4	206	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	184
+	209	180
+	3	206	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	180
+	202	178
+	206	182
+	4	209	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	178
+	206	182
+	3	209	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	194
+	99	195
+	95	192
+	4	91	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	195
+	95	192
+	3	91	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	192
+	95	192
+	99	195
+	4	102	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	192
+	99	195
+	3	102	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	192
+	88	190
+	91	194
+	4	95	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	190
+	91	194
+	3	95	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	181
+	199	181
+	194	178
+	4	191	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	181
+	194	178
+	3	191	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	178
+	194	178
+	199	181
+	4	202	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	178
+	199	181
+	3	202	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	193
+	173	193
+	169	190
+	4	166	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	193
+	169	190
+	3	166	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	190
+	169	190
+	173	193
+	4	177	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	190
+	173	193
+	3	177	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	190
+	162	189
+	166	193
+	4	169	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	189
+	166	193
+	3	169	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	191
+	166	193
+	162	189
+	4	158	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	193
+	162	189
+	3	158	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	189
+	154	187
+	158	191
+	4	162	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	187
+	158	191
+	3	162	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	192
+	91	194
+	88	190
+	4	84	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	194
+	88	190
+	3	84	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	190
+	80	188
+	84	192
+	4	88	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	188
+	84	192
+	3	88	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	188
+	225	190
+	221	187
+	4	218	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	190
+	221	187
+	3	218	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	187
+	214	184
+	218	188
+	4	221	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	184
+	218	188
+	3	221	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	190
+	184	189
+	180	186
+	4	177	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	189
+	180	186
+	3	177	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	185
+	180	186
+	184	189
+	4	188	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	186
+	184	189
+	3	188	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	188
+	252	187
+	247	184
+	4	244	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	187
+	247	184
+	3	244	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	255	183
+	247	184
+	252	187
+	4	255	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	184
+	252	187
+	3	255	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	187
+	121	185
+	117	183
+	4	113	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	185
+	117	183
+	3	113	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	182
+	117	183
+	121	185
+	4	124	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	183
+	121	185
+	3	124	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	181
+	206	182
+	202	178
+	4	199	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	182
+	202	178
+	3	199	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	195
+	106	194
+	102	192
+	4	99	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	194
+	102	192
+	3	99	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	190
+	102	192
+	106	194
+	4	110	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	192
+	106	194
+	3	110	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	183
+	263	182
+	258	180
+	4	255	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	182
+	258	180
+	3	255	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	180
+	258	180
+	263	182
+	4	266	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	180
+	263	182
+	3	266	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	182
+	147	185
+	143	181
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	185
+	143	181
+	3	139	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	181
+	135	179
+	139	182
+	4	143	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	179
+	139	182
+	3	143	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	183
+	72	186
+	68	181
+	4	64	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	186
+	68	181
+	3	64	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	181
+	61	179
+	64	183
+	4	68	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	179
+	64	183
+	3	68	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	190
+	84	192
+	80	188
+	4	76	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	192
+	80	188
+	3	76	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	188
+	72	186
+	76	190
+	4	80	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	186
+	76	190
+	3	80	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	189
+	158	191
+	154	187
+	4	151	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	191
+	154	187
+	3	151	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	187
+	147	185
+	151	189
+	4	154	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	185
+	151	189
+	3	154	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	192
+	248	190
+	244	188
+	4	240	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	190
+	244	188
+	3	240	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	252	187
+	244	188
+	248	190
+	4	252	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	188
+	248	190
+	3	252	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	182
+	132	181
+	128	179
+	4	124	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	181
+	128	179
+	3	124	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	179
+	128	179
+	132	181
+	4	135	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	179
+	132	181
+	3	135	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	193
+	181	192
+	177	190
+	4	173	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	192
+	177	190
+	3	173	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	189
+	177	190
+	181	192
+	4	184	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	190
+	181	192
+	3	184	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	185
+	196	184
+	191	181
+	4	188	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	184
+	191	181
+	3	188	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	181
+	191	181
+	196	184
+	4	199	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	181
+	196	184
+	3	199	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	194
+	237	195
+	233	192
+	4	230	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	195
+	233	192
+	3	230	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	192
+	233	192
+	237	195
+	4	240	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	192
+	237	195
+	3	240	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	192
+	225	190
+	230	194
+	4	233	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	190
+	230	194
+	3	233	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	190
+	117	189
+	113	187
+	4	110	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	189
+	113	187
+	3	110	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	185
+	113	187
+	117	189
+	4	121	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	187
+	117	189
+	3	121	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	185
+	218	188
+	214	184
+	4	211	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	188
+	214	184
+	3	211	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	184
+	206	182
+	211	185
+	4	214	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	182
+	211	185
+	3	214	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	181
+	139	182
+	135	179
+	4	132	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	135	179
+	3	132	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	192
+	230	194
+	225	190
+	4	222	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	194
+	225	190
+	3	222	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	190
+	218	188
+	222	192
+	4	225	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	188
+	222	192
+	3	225	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	196
+	95	197
+	91	194
+	4	88	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	197
+	91	194
+	3	88	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	195
+	91	194
+	95	197
+	4	99	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	194
+	95	197
+	3	99	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	194
+	84	192
+	88	196
+	4	91	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	192
+	88	196
+	3	91	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	195
+	170	196
+	166	193
+	4	163	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	196
+	166	193
+	3	163	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	193
+	166	193
+	170	196
+	4	173	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	193
+	170	196
+	3	173	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	193
+	158	191
+	163	195
+	4	166	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	191
+	163	195
+	3	166	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	252	187
+	260	186
+	255	183
+	4	252	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	186
+	255	183
+	3	252	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	182
+	255	183
+	260	186
+	4	263	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	183
+	260	186
+	3	263	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	195
+	245	194
+	240	192
+	4	237	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	194
+	240	192
+	3	237	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	190
+	240	192
+	245	194
+	4	248	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	192
+	245	194
+	3	248	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	189
+	192	187
+	188	185
+	4	184	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	187
+	188	185
+	3	184	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	184
+	188	185
+	192	187
+	4	196	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	185
+	192	187
+	3	196	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	197
+	103	197
+	99	195
+	4	95	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	197
+	99	195
+	3	95	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	194
+	99	195
+	103	197
+	4	106	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	195
+	103	197
+	3	106	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	194
+	114	193
+	110	190
+	4	106	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	193
+	110	190
+	3	106	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	189
+	110	190
+	114	193
+	4	117	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	190
+	114	193
+	3	117	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	187
+	76	190
+	72	186
+	4	68	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	190
+	72	186
+	3	68	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	186
+	64	183
+	68	187
+	4	72	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	183
+	68	187
+	3	72	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	185
+	128	184
+	124	182
+	4	121	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	184
+	124	182
+	3	121	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	181
+	124	182
+	128	184
+	4	132	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	182
+	128	184
+	3	132	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	184
+	211	185
+	206	182
+	4	203	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	185
+	206	182
+	3	203	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	182
+	199	181
+	203	184
+	4	206	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	181
+	203	184
+	3	206	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	184
+	203	184
+	199	181
+	4	196	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	184
+	199	181
+	3	196	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	186
+	151	189
+	147	185
+	4	143	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	189
+	147	185
+	3	143	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	185
+	139	182
+	143	186
+	4	147	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	143	186
+	3	147	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	196
+	178	196
+	173	193
+	4	170	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	196
+	173	193
+	3	170	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	192
+	173	193
+	178	196
+	4	181	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	193
+	178	196
+	3	181	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	194
+	88	196
+	84	192
+	4	80	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	196
+	84	192
+	3	80	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	192
+	76	190
+	80	194
+	4	84	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	190
+	80	194
+	3	84	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	193
+	163	195
+	158	191
+	4	155	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	195
+	158	191
+	3	155	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	191
+	151	189
+	155	193
+	4	158	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	189
+	155	193
+	3	158	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	189
+	222	192
+	218	188
+	4	215	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	192
+	218	188
+	3	215	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	188
+	211	185
+	215	189
+	4	218	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	185
+	215	189
+	3	218	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	192
+	189	191
+	184	189
+	4	181	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	191
+	184	189
+	3	181	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	187
+	184	189
+	189	191
+	4	192	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	189
+	189	191
+	3	192	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	248	190
+	257	189
+	252	187
+	4	248	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	189
+	252	187
+	3	248	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	260	186
+	252	187
+	257	189
+	4	260	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	187
+	257	189
+	3	260	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	184
+	143	186
+	139	182
+	4	136	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	186
+	139	182
+	3	136	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	182
+	132	181
+	136	184
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	181
+	136	184
+	3	139	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	197
+	110	196
+	106	194
+	4	103	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	196
+	106	194
+	3	103	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	193
+	106	194
+	110	196
+	4	114	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	194
+	110	196
+	3	114	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	184
+	136	184
+	132	181
+	4	128	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	184
+	132	181
+	3	128	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	189
+	125	188
+	121	185
+	4	117	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	188
+	121	185
+	3	117	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	184
+	121	185
+	125	188
+	4	128	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	185
+	125	188
+	3	128	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	196
+	234	197
+	230	194
+	4	227	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	197
+	230	194
+	3	227	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	195
+	230	194
+	234	197
+	4	237	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	194
+	234	197
+	3	237	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	194
+	222	192
+	227	196
+	4	230	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	192
+	227	196
+	3	230	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	197
+	242	198
+	237	195
+	4	234	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	198
+	237	195
+	3	234	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	194
+	237	195
+	242	198
+	4	245	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	195
+	242	198
+	3	245	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	191
+	80	194
+	76	190
+	4	72	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	194
+	76	190
+	3	72	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	190
+	68	187
+	72	191
+	4	76	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	187
+	72	191
+	3	76	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	190
+	155	193
+	151	189
+	4	147	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	193
+	151	189
+	3	147	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	189
+	143	186
+	147	190
+	4	151	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	186
+	147	190
+	3	151	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	187
+	200	186
+	196	184
+	4	192	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	186
+	196	184
+	3	192	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	184
+	196	184
+	200	186
+	4	203	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	184
+	200	186
+	3	203	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	194
+	253	193
+	248	190
+	4	245	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	193
+	248	190
+	3	245	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	257	189
+	248	190
+	253	193
+	4	257	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	190
+	253	193
+	3	257	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	196
+	185	195
+	181	192
+	4	178	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	195
+	181	192
+	3	178	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	191
+	181	192
+	185	195
+	4	189	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	192
+	185	195
+	3	189	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	200
+	99	200
+	95	197
+	4	91	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	200
+	95	197
+	3	91	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	197
+	95	197
+	99	200
+	4	103	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	197
+	99	200
+	3	103	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	197
+	88	196
+	91	200
+	4	95	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	196
+	91	200
+	3	95	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	198
+	174	199
+	170	196
+	4	167	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	199
+	170	196
+	3	167	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	196
+	170	196
+	174	199
+	4	178	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	196
+	174	199
+	3	178	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	196
+	163	195
+	167	198
+	4	170	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	195
+	167	198
+	3	170	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	187
+	215	189
+	211	185
+	4	208	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	189
+	211	185
+	3	208	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	185
+	203	184
+	208	187
+	4	211	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	184
+	208	187
+	3	211	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	198
+	91	200
+	88	196
+	4	84	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	200
+	88	196
+	3	84	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	196
+	80	194
+	84	198
+	4	88	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	194
+	84	198
+	3	88	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	197
+	167	198
+	163	195
+	4	159	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	198
+	163	195
+	3	159	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	195
+	155	193
+	159	197
+	4	163	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	193
+	159	197
+	3	163	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	193
+	121	191
+	117	189
+	4	114	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	191
+	117	189
+	3	114	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	188
+	117	189
+	121	191
+	4	125	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	189
+	121	191
+	3	125	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	193
+	227	196
+	222	192
+	4	219	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	196
+	222	192
+	3	219	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	192
+	215	189
+	219	193
+	4	222	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	189
+	219	193
+	3	222	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	186
+	208	187
+	203	184
+	4	200	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	187
+	203	184
+	3	200	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	200
+	107	200
+	103	197
+	4	99	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	200
+	103	197
+	3	99	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	196
+	103	197
+	107	200
+	4	110	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	197
+	107	200
+	3	110	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	198
+	250	197
+	245	194
+	4	242	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	197
+	245	194
+	3	242	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	193
+	245	194
+	250	197
+	4	253	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	194
+	250	197
+	3	253	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	188
+	132	187
+	128	184
+	4	125	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	187
+	128	184
+	3	125	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	184
+	128	184
+	132	187
+	4	136	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	184
+	132	187
+	3	136	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	191
+	197	190
+	192	187
+	4	189	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	190
+	192	187
+	3	189	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	186
+	192	187
+	197	190
+	4	200	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	187
+	197	190
+	3	200	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	199
+	182	198
+	178	196
+	4	174	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	198
+	178	196
+	3	174	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	195
+	178	196
+	182	198
+	4	185	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	196
+	182	198
+	3	185	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	188
+	147	190
+	143	186
+	4	140	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	190
+	143	186
+	3	140	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	186
+	136	184
+	140	188
+	4	143	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	184
+	140	188
+	3	143	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	195
+	84	198
+	80	194
+	4	76	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	198
+	80	194
+	3	76	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	194
+	72	191
+	76	195
+	4	80	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	191
+	76	195
+	3	80	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	194
+	159	197
+	155	193
+	4	152	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	197
+	155	193
+	3	152	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	193
+	147	190
+	152	194
+	4	155	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	190
+	152	194
+	3	155	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	196
+	118	195
+	114	193
+	4	110	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	195
+	114	193
+	3	110	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	191
+	114	193
+	118	195
+	4	121	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	193
+	118	195
+	3	121	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	199
+	239	201
+	234	197
+	4	231	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	201
+	234	197
+	3	231	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	198
+	234	197
+	239	201
+	4	242	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	197
+	239	201
+	3	242	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	197
+	227	196
+	231	199
+	4	234	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	196
+	231	199
+	3	234	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	187
+	140	188
+	136	184
+	4	132	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	188
+	136	184
+	3	132	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	191
+	219	193
+	215	189
+	4	212	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	193
+	215	189
+	3	212	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	189
+	208	187
+	212	191
+	4	215	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	187
+	212	191
+	3	215	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	195
+	193	193
+	189	191
+	4	185	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	193
+	189	191
+	3	185	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	190
+	189	191
+	193	193
+	4	197	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	191
+	193	193
+	3	197	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	197
+	231	199
+	227	196
+	4	224	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	199
+	227	196
+	3	224	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	196
+	219	193
+	224	197
+	4	227	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	193
+	224	197
+	3	227	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	202
+	95	203
+	91	200
+	4	88	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	203
+	91	200
+	3	88	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	200
+	91	200
+	95	203
+	4	99	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	200
+	95	203
+	3	99	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	200
+	84	198
+	88	202
+	4	91	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	198
+	88	202
+	3	91	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	201
+	247	200
+	242	198
+	4	239	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	200
+	242	198
+	3	239	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	197
+	242	198
+	247	200
+	4	250	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	198
+	247	200
+	3	250	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	201
+	171	202
+	167	198
+	4	163	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	202
+	167	198
+	3	163	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	199
+	167	198
+	171	202
+	4	174	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	198
+	171	202
+	3	174	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	198
+	159	197
+	163	201
+	4	167	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	197
+	163	201
+	3	167	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	203
+	103	203
+	99	200
+	4	95	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	203
+	99	200
+	3	95	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	200
+	99	200
+	103	203
+	4	107	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	200
+	103	203
+	3	107	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	191
+	129	190
+	125	188
+	4	121	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	190
+	125	188
+	3	121	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	187
+	125	188
+	129	190
+	4	132	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	188
+	129	190
+	3	132	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	200
+	114	199
+	110	196
+	4	107	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	199
+	110	196
+	3	107	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	195
+	110	196
+	114	199
+	4	118	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	196
+	114	199
+	3	118	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	190
+	204	190
+	200	186
+	4	197	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	190
+	200	186
+	3	197	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	187
+	200	186
+	204	190
+	4	208	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	186
+	204	190
+	3	208	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	202
+	179	202
+	174	199
+	4	171	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	202
+	174	199
+	3	171	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	198
+	174	199
+	179	202
+	4	182	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	199
+	179	202
+	3	182	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	190
+	212	191
+	208	187
+	4	204	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	191
+	208	187
+	3	204	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	192
+	152	194
+	147	190
+	4	144	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	194
+	147	190
+	3	144	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	190
+	140	188
+	144	192
+	4	147	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	188
+	144	192
+	3	147	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	200
+	88	202
+	84	198
+	4	80	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	202
+	84	198
+	3	80	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	198
+	76	195
+	80	200
+	4	84	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	195
+	80	200
+	3	84	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	198
+	163	201
+	159	197
+	4	156	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	201
+	159	197
+	3	156	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	197
+	152	194
+	156	198
+	4	159	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	194
+	156	198
+	3	159	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	198
+	190	197
+	185	195
+	4	182	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	197
+	185	195
+	3	182	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	193
+	185	195
+	190	197
+	4	193	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	195
+	190	197
+	3	193	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	195
+	224	197
+	219	193
+	4	216	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	197
+	219	193
+	3	216	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	193
+	212	191
+	216	195
+	4	219	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	191
+	216	195
+	3	219	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	195
+	125	193
+	121	191
+	4	118	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	193
+	121	191
+	3	118	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	190
+	121	191
+	125	193
+	4	129	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	191
+	125	193
+	3	129	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	190
+	136	190
+	132	187
+	4	129	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	190
+	132	187
+	3	129	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	188
+	132	187
+	136	190
+	4	140	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	187
+	136	190
+	3	140	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	203
+	110	202
+	107	200
+	4	103	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	202
+	107	200
+	3	103	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	199
+	107	200
+	110	202
+	4	114	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	200
+	110	202
+	3	114	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	190
+	144	192
+	140	188
+	4	136	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	192
+	140	188
+	3	136	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	203
+	244	204
+	239	201
+	4	236	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	204
+	239	201
+	3	236	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	247	200
+	239	201
+	244	204
+	4	247	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	201
+	244	204
+	3	247	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	201
+	231	199
+	236	203
+	4	239	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	199
+	236	203
+	3	239	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	201
+	236	203
+	231	199
+	4	228	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	203
+	231	199
+	3	228	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	199
+	224	197
+	228	201
+	4	231	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	197
+	228	201
+	3	231	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	193
+	201	192
+	197	190
+	4	193	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	192
+	197	190
+	3	193	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	190
+	197	190
+	201	192
+	4	204	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	190
+	201	192
+	3	204	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	202
+	187	201
+	182	198
+	4	179	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	201
+	182	198
+	3	179	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	197
+	182	198
+	187	201
+	4	190	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	198
+	187	201
+	3	190	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	196
+	156	198
+	152	194
+	4	148	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	198
+	152	194
+	3	148	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	194
+	144	192
+	148	196
+	4	152	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	192
+	148	196
+	3	152	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	205
+	99	206
+	95	203
+	4	92	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	206
+	95	203
+	3	92	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	203
+	95	203
+	99	206
+	4	103	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	203
+	99	206
+	3	103	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	203
+	88	202
+	92	205
+	4	95	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	202
+	92	205
+	3	95	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	204
+	175	205
+	171	202
+	4	168	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	205
+	171	202
+	3	168	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	202
+	171	202
+	175	205
+	4	179	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	202
+	175	205
+	3	179	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	202
+	163	201
+	168	204
+	4	171	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	201
+	168	204
+	3	171	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	204
+	92	205
+	88	202
+	4	84	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	205
+	88	202
+	3	84	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	202
+	80	200
+	84	204
+	4	88	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	200
+	84	204
+	3	88	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	193
+	216	195
+	212	191
+	4	209	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	195
+	212	191
+	3	209	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	191
+	204	190
+	209	193
+	4	212	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	190
+	209	193
+	3	212	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	199
+	122	197
+	118	195
+	4	114	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	197
+	118	195
+	3	114	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	193
+	118	195
+	122	197
+	4	125	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	195
+	122	197
+	3	125	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	202
+	168	204
+	163	201
+	4	160	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	204
+	163	201
+	3	160	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	201
+	156	198
+	160	202
+	4	163	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	198
+	160	202
+	3	163	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	192
+	209	193
+	204	190
+	4	201	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	193
+	204	190
+	3	201	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	199
+	228	201
+	224	197
+	4	221	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	201
+	224	197
+	3	221	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	197
+	216	195
+	221	199
+	4	224	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	195
+	221	199
+	3	224	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	206
+	107	206
+	103	203
+	4	99	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	206
+	103	203
+	3	99	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	202
+	103	203
+	107	206
+	4	110	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	203
+	107	206
+	3	110	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	197
+	198	196
+	193	193
+	4	190	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	196
+	193	193
+	3	190	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	192
+	193	193
+	198	196
+	4	201	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	193
+	198	196
+	3	201	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	193
+	133	193
+	129	190
+	4	125	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	193
+	129	190
+	3	125	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	190
+	129	190
+	133	193
+	4	136	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	190
+	133	193
+	3	136	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	205
+	183	204
+	179	202
+	4	175	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	204
+	179	202
+	3	175	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	201
+	179	202
+	183	204
+	4	187	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	202
+	183	204
+	3	187	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	194
+	148	196
+	144	192
+	4	140	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	196
+	144	192
+	3	140	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	192
+	136	190
+	140	194
+	4	144	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	190
+	140	194
+	3	144	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	202
+	118	201
+	114	199
+	4	110	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	201
+	114	199
+	3	110	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	197
+	114	199
+	118	201
+	4	122	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	199
+	118	201
+	3	122	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	200
+	160	202
+	156	198
+	4	152	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	202
+	156	198
+	3	152	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	198
+	148	196
+	152	200
+	4	156	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	196
+	152	200
+	3	156	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	193
+	140	194
+	136	190
+	4	133	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	194
+	136	190
+	3	133	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	205
+	241	206
+	236	203
+	4	233	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	206
+	236	203
+	3	233	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	204
+	236	203
+	241	206
+	4	244	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	203
+	241	206
+	3	244	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	203
+	228	201
+	233	205
+	4	236	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	201
+	233	205
+	3	236	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	201
+	194	199
+	190	197
+	4	187	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	199
+	190	197
+	3	187	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	196
+	190	197
+	194	199
+	4	198	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	197
+	194	199
+	3	198	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	197
+	221	199
+	216	195
+	4	213	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	199
+	216	195
+	3	213	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	195
+	209	193
+	213	197
+	4	216	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	193
+	213	197
+	3	216	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	208
+	96	209
+	92	205
+	4	88	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	209
+	92	205
+	3	88	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	206
+	92	205
+	96	209
+	4	99	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	205
+	96	209
+	3	99	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	205
+	84	204
+	88	208
+	4	92	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	204
+	88	208
+	3	92	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	197
+	129	196
+	125	193
+	4	122	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	196
+	125	193
+	3	122	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	193
+	125	193
+	129	196
+	4	133	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	193
+	129	196
+	3	133	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	206
+	172	208
+	168	204
+	4	164	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	208
+	168	204
+	3	164	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	205
+	168	204
+	172	208
+	4	175	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	204
+	172	208
+	3	175	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	204
+	160	202
+	164	206
+	4	168	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	202
+	164	206
+	3	168	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	196
+	206	195
+	201	192
+	4	198	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	195
+	201	192
+	3	198	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	193
+	201	192
+	206	195
+	4	209	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	192
+	206	195
+	3	209	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	203
+	233	205
+	228	201
+	4	225	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	205
+	228	201
+	3	225	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	201
+	221	199
+	225	203
+	4	228	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	199
+	225	203
+	3	228	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	206
+	114	204
+	110	202
+	4	107	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	204
+	110	202
+	3	107	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	201
+	110	202
+	114	204
+	4	118	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	202
+	114	204
+	3	118	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	209
+	103	209
+	99	206
+	4	96	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	209
+	99	206
+	3	96	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	206
+	99	206
+	103	209
+	4	107	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	206
+	103	209
+	3	107	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	208
+	180	208
+	175	205
+	4	172	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	208
+	175	205
+	3	172	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	204
+	175	205
+	180	208
+	4	183	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	205
+	180	208
+	3	183	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	195
+	213	197
+	209	193
+	4	206	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	197
+	209	193
+	3	206	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	204
+	191	203
+	187	201
+	4	183	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	187	201
+	3	183	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	199
+	187	201
+	191	203
+	4	194	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	201
+	191	203
+	3	194	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	197
+	152	200
+	148	196
+	4	145	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	200
+	148	196
+	3	145	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	196
+	140	194
+	145	197
+	4	148	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	194
+	145	197
+	3	148	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	204
+	164	206
+	160	202
+	4	157	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	206
+	160	202
+	3	157	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	202
+	152	200
+	157	204
+	4	160	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	200
+	157	204
+	3	160	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	201
+	126	199
+	122	197
+	4	118	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	199
+	122	197
+	3	118	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	196
+	122	197
+	126	199
+	4	129	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	197
+	126	199
+	3	129	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	196
+	137	196
+	133	193
+	4	129	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	196
+	133	193
+	3	129	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	194
+	133	193
+	137	196
+	4	140	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	193
+	137	196
+	3	140	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	209
+	111	208
+	107	206
+	4	103	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	208
+	107	206
+	3	103	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	204
+	107	206
+	111	208
+	4	114	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	206
+	111	208
+	3	114	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	200
+	225	203
+	221	199
+	4	218	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	203
+	221	199
+	3	218	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	199
+	213	197
+	218	200
+	4	221	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	197
+	218	200
+	3	221	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	196
+	145	197
+	140	194
+	4	137	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	197
+	140	194
+	3	137	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	199
+	202	198
+	198	196
+	4	194	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	198
+	198	196
+	3	194	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	195
+	198	196
+	202	198
+	4	206	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	196
+	202	198
+	3	206	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	208
+	188	207
+	183	204
+	4	180	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	207
+	183	204
+	3	180	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	203
+	183	204
+	188	207
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	204
+	188	207
+	3	191	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	206
+	233	205
+	238	209
+	4	241	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	205
+	238	209
+	3	241	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	207
+	238	209
+	233	205
+	4	230	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	209
+	233	205
+	3	230	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	205
+	225	203
+	230	207
+	4	233	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	203
+	230	207
+	3	233	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	211
+	99	212
+	96	209
+	4	92	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	212
+	96	209
+	3	92	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	209
+	96	209
+	99	212
+	4	103	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	209
+	99	212
+	3	103	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	209
+	88	208
+	92	211
+	4	96	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	208
+	92	211
+	3	96	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	201
+	157	204
+	152	200
+	4	149	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	204
+	152	200
+	3	149	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	200
+	145	197
+	149	201
+	4	152	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	197
+	149	201
+	3	152	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	210
+	176	211
+	172	208
+	4	169	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	211
+	172	208
+	3	169	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	208
+	172	208
+	176	211
+	4	180	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	208
+	176	211
+	3	180	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	208
+	164	206
+	169	210
+	4	172	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	206
+	169	210
+	3	172	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	204
+	122	203
+	118	201
+	4	114	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	203
+	118	201
+	3	114	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	199
+	118	201
+	122	203
+	4	126	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	201
+	122	203
+	3	126	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	199
+	218	200
+	213	197
+	4	210	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	200
+	213	197
+	3	210	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	197
+	206	195
+	210	199
+	4	213	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	195
+	210	199
+	3	213	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	198
+	210	199
+	206	195
+	4	202	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	199
+	206	195
+	3	202	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	208
+	169	210
+	164	206
+	4	161	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	210
+	164	206
+	3	161	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	206
+	157	204
+	161	208
+	4	164	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	204
+	161	208
+	3	164	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	203
+	199	202
+	194	199
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	202
+	194	199
+	3	191	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	198
+	194	199
+	199	202
+	4	202	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	199
+	199	202
+	3	202	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	212
+	107	212
+	103	209
+	4	99	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	212
+	103	209
+	3	99	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	208
+	103	209
+	107	212
+	4	111	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	209
+	107	212
+	3	111	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	199
+	133	199
+	129	196
+	4	126	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	199
+	129	196
+	3	126	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	196
+	129	196
+	133	199
+	4	137	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	196
+	133	199
+	3	137	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	211
+	184	211
+	180	208
+	4	176	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	211
+	180	208
+	3	176	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	207
+	180	208
+	184	211
+	4	188	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	208
+	184	211
+	3	188	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	204
+	230	207
+	225	203
+	4	222	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	207
+	225	203
+	3	222	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	203
+	218	200
+	222	204
+	4	225	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	200
+	222	204
+	3	225	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	208
+	118	207
+	114	204
+	4	111	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	207
+	114	204
+	3	111	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	203
+	114	204
+	118	207
+	4	122	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	204
+	118	207
+	3	122	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	200
+	149	201
+	145	197
+	4	141	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	201
+	145	197
+	3	141	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	197
+	137	196
+	141	200
+	4	145	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	196
+	141	200
+	3	145	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	207
+	196	205
+	191	203
+	4	188	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	205
+	191	203
+	3	188	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	202
+	191	203
+	196	205
+	4	199	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	196	205
+	3	199	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	199
+	141	200
+	137	196
+	4	133	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	200
+	137	196
+	3	133	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	206
+	161	208
+	157	204
+	4	153	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	208
+	157	204
+	3	153	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	204
+	149	201
+	153	206
+	4	157	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	201
+	153	206
+	3	157	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	209
+	230	207
+	235	211
+	4	238	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	207
+	235	211
+	3	238	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	203
+	130	202
+	126	199
+	4	122	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	202
+	126	199
+	3	122	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	199
+	126	199
+	130	202
+	4	133	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	199
+	130	202
+	3	133	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	202
+	222	204
+	218	200
+	4	215	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	204
+	218	200
+	3	215	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	200
+	210	199
+	215	202
+	4	218	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	199
+	215	202
+	3	218	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	202
+	207	201
+	202	198
+	4	199	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	201
+	202	198
+	3	199	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	199
+	202	198
+	207	201
+	4	210	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	198
+	207	201
+	3	210	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	212
+	92	211
+	96	215
+	4	99	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	211
+	96	215
+	3	99	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	212
+	115	211
+	111	208
+	4	107	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	211
+	111	208
+	3	107	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	207
+	111	208
+	115	211
+	4	118	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	208
+	115	211
+	3	118	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	212
+	173	214
+	169	210
+	4	165	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	214
+	169	210
+	3	165	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	211
+	169	210
+	173	214
+	4	176	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	210
+	173	214
+	3	176	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	210
+	161	208
+	165	212
+	4	169	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	208
+	165	212
+	3	169	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	215
+	103	215
+	99	212
+	4	96	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	215
+	99	212
+	3	96	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	212
+	99	212
+	103	215
+	4	107	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	212
+	103	215
+	3	107	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	214
+	181	214
+	176	211
+	4	173	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	176	211
+	3	173	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	211
+	176	211
+	181	214
+	4	184	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	211
+	181	214
+	3	184	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	211
+	192	209
+	188	207
+	4	184	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	209
+	188	207
+	3	184	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	205
+	188	207
+	192	209
+	4	196	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	207
+	192	209
+	3	196	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	208
+	235	211
+	230	207
+	4	227	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	211
+	230	207
+	3	227	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	207
+	222	204
+	227	208
+	4	230	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	204
+	227	208
+	3	230	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	201
+	215	202
+	210	199
+	4	207	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	202
+	210	199
+	3	207	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	203
+	153	206
+	149	201
+	4	145	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	206
+	149	201
+	3	145	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	201
+	141	200
+	145	203
+	4	149	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	200
+	145	203
+	3	149	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	210
+	165	212
+	161	208
+	4	157	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	212
+	161	208
+	3	157	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	208
+	153	206
+	157	210
+	4	161	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	206
+	157	210
+	3	161	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	207
+	126	206
+	122	203
+	4	118	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	206
+	122	203
+	3	118	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	202
+	122	203
+	126	206
+	4	130	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	203
+	126	206
+	3	130	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	202
+	137	202
+	133	199
+	4	130	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	202
+	133	199
+	3	130	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	200
+	133	199
+	137	202
+	4	141	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	199
+	137	202
+	3	141	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	205
+	204	205
+	199	202
+	4	196	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	205
+	199	202
+	3	196	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	201
+	199	202
+	204	205
+	4	207	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	202
+	204	205
+	3	207	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	215
+	111	214
+	107	212
+	4	103	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	214
+	107	212
+	3	103	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	211
+	107	212
+	111	214
+	4	115	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	212
+	111	214
+	3	115	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	202
+	145	203
+	141	200
+	4	137	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	203
+	141	200
+	3	137	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	214
+	189	213
+	184	211
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	213
+	184	211
+	3	181	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	209
+	184	211
+	189	213
+	4	192	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	211
+	189	213
+	3	192	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	206
+	227	208
+	222	204
+	4	219	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	208
+	222	204
+	3	219	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	204
+	215	202
+	219	206
+	4	222	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	202
+	219	206
+	3	222	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	211
+	227	208
+	232	213
+	4	235	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	208
+	232	213
+	3	235	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	215
+	96	215
+	100	218
+	4	103	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	215
+	100	218
+	3	103	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	211
+	122	209
+	118	207
+	4	115	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	209
+	118	207
+	3	115	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	206
+	118	207
+	122	209
+	4	126	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	207
+	122	209
+	3	126	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	216
+	177	217
+	173	214
+	4	169	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	217
+	173	214
+	3	169	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	214
+	173	214
+	177	217
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	214
+	177	217
+	3	181	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	214
+	165	212
+	169	216
+	4	173	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	212
+	169	216
+	3	173	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	207
+	157	210
+	153	206
+	4	150	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	210
+	153	206
+	3	150	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	206
+	145	203
+	150	207
+	4	153	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	203
+	150	207
+	3	153	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	209
+	200	208
+	196	205
+	4	192	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	208
+	196	205
+	3	192	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	205
+	196	205
+	200	208
+	4	204	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	205
+	200	208
+	3	204	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	205
+	212	205
+	207	201
+	4	204	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	205
+	207	201
+	3	204	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	202
+	207	201
+	212	205
+	4	215	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	201
+	212	205
+	3	215	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	205
+	219	206
+	215	202
+	4	212	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	206
+	215	202
+	3	212	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	214
+	169	216
+	165	212
+	4	162	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	216
+	165	212
+	3	162	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	212
+	157	210
+	162	214
+	4	165	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	210
+	162	214
+	3	165	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	206
+	134	205
+	130	202
+	4	126	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	205
+	130	202
+	3	126	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	202
+	130	202
+	134	205
+	4	137	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	202
+	134	205
+	3	137	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	218
+	107	218
+	103	215
+	4	100	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	218
+	103	215
+	3	100	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	214
+	103	215
+	107	218
+	4	111	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	215
+	107	218
+	3	111	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	217
+	185	217
+	181	214
+	4	177	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	217
+	181	214
+	3	177	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	213
+	181	214
+	185	217
+	4	189	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	185	217
+	3	189	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	214
+	119	213
+	115	211
+	4	111	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	213
+	115	211
+	3	111	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	209
+	115	211
+	119	213
+	4	122	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	211
+	119	213
+	3	122	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	210
+	232	213
+	227	208
+	4	224	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	213
+	227	208
+	3	224	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	208
+	219	206
+	224	210
+	4	227	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	206
+	224	210
+	3	227	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	206
+	150	207
+	145	203
+	4	142	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	207
+	145	203
+	3	142	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	203
+	137	202
+	142	206
+	4	145	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	202
+	142	206
+	3	145	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	213
+	197	212
+	192	209
+	4	189	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	212
+	192	209
+	3	189	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	208
+	192	209
+	197	212
+	4	200	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	209
+	197	212
+	3	200	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	205
+	142	206
+	137	202
+	4	134	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	206
+	137	202
+	3	134	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	212
+	162	214
+	157	210
+	4	154	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	214
+	157	210
+	3	154	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	210
+	150	207
+	154	212
+	4	157	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	207
+	154	212
+	3	157	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	208
+	208	208
+	204	205
+	4	200	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	208
+	204	205
+	3	200	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	205
+	204	205
+	208	208
+	4	212	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	205
+	208	208
+	3	212	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	209
+	130	208
+	126	206
+	4	122	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	208
+	126	206
+	3	122	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	205
+	126	206
+	130	208
+	4	134	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	206
+	130	208
+	3	134	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	218
+	115	217
+	111	214
+	4	107	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	217
+	111	214
+	3	107	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	213
+	111	214
+	115	217
+	4	119	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	214
+	115	217
+	3	119	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	208
+	224	210
+	219	206
+	4	216	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	210
+	219	206
+	3	216	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	206
+	212	205
+	216	208
+	4	219	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	205
+	216	208
+	3	219	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	217
+	193	216
+	189	213
+	4	185	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	216
+	189	213
+	3	185	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	212
+	189	213
+	193	216
+	4	197	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	213
+	193	216
+	3	197	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	218
+	100	218
+	104	221
+	4	107	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	218
+	104	221
+	3	107	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	218
+	174	220
+	169	216
+	4	166	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	220
+	169	216
+	3	166	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	217
+	169	216
+	174	220
+	4	177	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	216
+	174	220
+	3	177	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	216
+	162	214
+	166	218
+	4	169	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	214
+	166	218
+	3	169	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	220
+	182	220
+	177	217
+	4	174	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	220
+	177	217
+	3	174	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	217
+	177	217
+	182	220
+	4	185	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	217
+	182	220
+	3	185	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	208
+	216	208
+	212	205
+	4	208	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	208
+	212	205
+	3	208	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	213
+	224	210
+	229	214
+	4	232	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	210
+	229	214
+	3	232	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	209
+	154	212
+	150	207
+	4	146	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	212
+	150	207
+	3	146	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	207
+	142	206
+	146	209
+	4	150	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	206
+	146	209
+	3	150	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	213
+	126	212
+	122	209
+	4	119	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	212
+	122	209
+	3	119	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	208
+	122	209
+	126	212
+	4	130	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	209
+	126	212
+	3	130	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	212
+	205	211
+	200	208
+	4	197	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	211
+	200	208
+	3	197	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	208
+	200	208
+	205	211
+	4	208	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	208
+	205	211
+	3	208	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	208
+	138	208
+	134	205
+	4	130	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	208
+	134	205
+	3	130	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	206
+	134	205
+	138	208
+	4	142	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	205
+	138	208
+	3	142	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	216
+	166	218
+	162	214
+	4	158	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	218
+	162	214
+	3	158	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	214
+	154	212
+	158	216
+	4	162	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	212
+	158	216
+	3	162	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	221
+	111	221
+	107	218
+	4	104	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	221
+	107	218
+	3	104	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	217
+	107	218
+	111	221
+	4	115	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	218
+	111	221
+	3	115	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	220
+	190	220
+	185	217
+	4	182	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	220
+	185	217
+	3	182	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	216
+	185	217
+	190	220
+	4	193	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	217
+	190	220
+	3	193	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	208
+	146	209
+	142	206
+	4	138	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	209
+	142	206
+	3	138	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	212
+	229	214
+	224	210
+	4	221	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	214
+	224	210
+	3	221	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	210
+	216	208
+	221	212
+	4	224	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	208
+	221	212
+	3	224	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	217
+	123	215
+	119	213
+	4	115	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	215
+	119	213
+	3	115	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	212
+	119	213
+	123	215
+	4	126	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	213
+	123	215
+	3	126	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	216
+	201	214
+	197	212
+	4	193	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	214
+	197	212
+	3	193	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	211
+	197	212
+	201	214
+	4	205	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	212
+	201	214
+	3	205	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	222
+	178	223
+	174	220
+	4	170	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	223
+	174	220
+	3	170	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	220
+	174	220
+	178	223
+	4	182	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	220
+	178	223
+	3	182	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	220
+	166	218
+	170	222
+	4	174	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	218
+	170	222
+	3	174	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	211
+	213	211
+	208	208
+	4	205	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	211
+	208	208
+	3	205	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	208
+	208	208
+	213	211
+	4	216	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	208
+	213	211
+	3	216	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	213
+	158	216
+	154	212
+	4	150	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	216
+	154	212
+	3	150	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	212
+	146	209
+	150	213
+	4	154	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	209
+	150	213
+	3	154	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	211
+	221	212
+	216	208
+	4	213	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	212
+	216	208
+	3	213	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	212
+	134	211
+	130	208
+	4	126	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	211
+	130	208
+	3	126	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	208
+	130	208
+	134	211
+	4	138	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	208
+	134	211
+	3	138	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	223
+	186	223
+	182	220
+	4	178	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	223
+	182	220
+	3	178	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	220
+	182	220
+	186	223
+	4	190	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	220
+	186	223
+	3	190	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	221
+	104	221
+	108	224
+	4	111	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	221
+	108	224
+	3	111	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	220
+	170	222
+	166	218
+	4	162	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	222
+	166	218
+	3	162	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	218
+	158	216
+	162	220
+	4	166	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	216
+	162	220
+	3	166	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	221
+	119	219
+	115	217
+	4	111	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	219
+	115	217
+	3	111	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	215
+	115	217
+	119	219
+	4	123	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	217
+	119	219
+	3	123	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	220
+	198	218
+	193	216
+	4	190	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	218
+	193	216
+	3	190	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	214
+	193	216
+	198	218
+	4	201	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	216
+	198	218
+	3	201	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	212
+	150	213
+	146	209
+	4	142	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	213
+	146	209
+	3	142	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	209
+	138	208
+	142	212
+	4	146	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	208
+	142	212
+	3	146	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	214
+	221	212
+	225	216
+	4	229	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	212
+	225	216
+	3	229	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	211
+	142	212
+	138	208
+	4	134	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	212
+	138	208
+	3	134	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	214
+	210	214
+	205	211
+	4	201	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	214
+	205	211
+	3	201	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	211
+	205	211
+	210	214
+	4	213	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	211
+	210	214
+	3	213	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	215
+	131	214
+	126	212
+	4	123	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	214
+	126	212
+	3	123	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	211
+	126	212
+	131	214
+	4	134	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	212
+	131	214
+	3	134	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	218
+	162	220
+	158	216
+	4	155	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	220
+	158	216
+	3	155	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	216
+	150	213
+	155	218
+	4	158	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	213
+	155	218
+	3	158	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	224
+	115	223
+	111	221
+	4	108	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	223
+	111	221
+	3	108	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	219
+	111	221
+	115	223
+	4	119	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	221
+	115	223
+	3	119	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	223
+	194	222
+	190	220
+	4	186	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	222
+	190	220
+	3	186	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	218
+	190	220
+	194	222
+	4	198	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	220
+	194	222
+	3	198	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	214
+	225	216
+	221	212
+	4	218	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	216
+	221	212
+	3	218	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	212
+	213	211
+	218	214
+	4	221	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	211
+	218	214
+	3	221	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	226
+	183	227
+	178	223
+	4	175	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	227
+	178	223
+	3	175	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	223
+	178	223
+	183	227
+	4	186	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	223
+	183	227
+	3	186	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	223
+	170	222
+	175	226
+	4	178	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	222
+	175	226
+	3	178	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	224
+	175	226
+	170	222
+	4	167	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	226
+	170	222
+	3	167	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	222
+	162	220
+	167	224
+	4	170	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	220
+	167	224
+	3	170	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	214
+	218	214
+	213	211
+	4	210	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	214
+	213	211
+	3	210	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	219
+	127	218
+	123	215
+	4	119	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	218
+	123	215
+	3	119	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	214
+	123	215
+	127	218
+	4	131	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	215
+	127	218
+	3	131	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	216
+	155	218
+	150	213
+	4	147	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	218
+	150	213
+	3	147	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	213
+	142	212
+	147	216
+	4	150	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	212
+	147	216
+	3	150	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	218
+	206	217
+	201	214
+	4	198	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	217
+	201	214
+	3	198	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	214
+	201	214
+	206	217
+	4	210	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	214
+	206	217
+	3	210	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	214
+	139	214
+	134	211
+	4	131	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	214
+	134	211
+	3	131	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	212
+	134	211
+	139	214
+	4	142	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	211
+	139	214
+	3	142	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	227
+	191	226
+	186	223
+	4	183	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	226
+	186	223
+	3	183	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	222
+	186	223
+	191	226
+	4	194	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	223
+	191	226
+	3	194	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	222
+	167	224
+	162	220
+	4	159	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	224
+	162	220
+	3	159	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	220
+	155	218
+	159	222
+	4	162	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	218
+	159	222
+	3	162	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	223
+	108	224
+	112	227
+	4	115	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	224
+	112	227
+	3	115	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	214
+	147	216
+	142	212
+	4	139	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	216
+	142	212
+	3	139	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	223
+	123	222
+	119	219
+	4	115	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	222
+	119	219
+	3	115	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	218
+	119	219
+	123	222
+	4	127	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	219
+	123	222
+	3	127	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	222
+	203	221
+	198	218
+	4	194	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	221
+	198	218
+	3	194	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	217
+	198	218
+	203	221
+	4	206	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	218
+	203	221
+	3	206	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	216
+	218	214
+	222	218
+	4	225	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	214
+	222	218
+	3	225	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	217
+	214	217
+	210	214
+	4	206	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	217
+	210	214
+	3	206	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	214
+	210	214
+	214	217
+	4	218	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	214
+	214	217
+	3	218	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	228
+	179	230
+	175	226
+	4	171	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	230
+	175	226
+	3	171	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	227
+	175	226
+	179	230
+	4	183	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	226
+	179	230
+	3	183	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	226
+	167	224
+	171	228
+	4	175	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	224
+	171	228
+	3	175	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	220
+	159	222
+	155	218
+	4	151	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	222
+	155	218
+	3	151	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	218
+	147	216
+	151	220
+	4	155	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	216
+	151	220
+	3	155	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	218
+	135	217
+	131	214
+	4	127	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	217
+	131	214
+	3	127	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	214
+	131	214
+	135	217
+	4	139	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	214
+	135	217
+	3	139	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	217
+	222	218
+	218	214
+	4	214	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	218
+	218	214
+	3	214	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	230
+	187	230
+	183	227
+	4	179	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	230
+	183	227
+	3	179	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	226
+	183	227
+	187	230
+	4	191	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	227
+	187	230
+	3	191	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	226
+	171	228
+	167	224
+	4	163	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	228
+	167	224
+	3	163	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	224
+	159	222
+	163	226
+	4	167	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	222
+	163	226
+	3	167	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	226
+	199	225
+	194	222
+	4	191	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	225
+	194	222
+	3	191	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	221
+	194	222
+	199	225
+	4	203	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	222
+	199	225
+	3	203	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	227
+	120	226
+	115	223
+	4	112	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	226
+	115	223
+	3	112	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	222
+	115	223
+	120	226
+	4	123	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	223
+	120	226
+	3	123	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	218
+	151	220
+	147	216
+	4	143	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	220
+	147	216
+	3	143	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	216
+	139	214
+	143	218
+	4	147	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	214
+	143	218
+	3	147	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	217
+	143	218
+	139	214
+	4	135	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	218
+	139	214
+	3	135	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	221
+	211	220
+	206	217
+	4	203	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	220
+	206	217
+	3	203	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	217
+	206	217
+	211	220
+	4	214	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	217
+	211	220
+	3	214	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	222
+	131	221
+	127	218
+	4	123	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	221
+	127	218
+	3	123	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	217
+	127	218
+	131	221
+	4	135	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	218
+	131	221
+	3	135	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	224
+	163	226
+	159	222
+	4	155	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	226
+	159	222
+	3	155	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	222
+	151	220
+	155	224
+	4	159	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	220
+	155	224
+	3	159	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	230
+	196	229
+	191	226
+	4	187	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	229
+	191	226
+	3	187	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	225
+	191	226
+	196	229
+	4	199	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	226
+	196	229
+	3	199	225	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	226
+	112	227
+	116	230
+	4	120	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	227
+	116	230
+	3	120	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	232
+	184	233
+	179	230
+	4	176	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	233
+	179	230
+	3	176	232	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	230
+	179	230
+	184	233
+	4	187	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	230
+	184	233
+	3	187	230	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	230
+	171	228
+	176	232
+	4	179	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	228
+	176	232
+	3	179	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	218
+	214	217
+	219	221
+	4	222	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	217
+	219	221
+	3	222	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	220
+	219	221
+	214	217
+	4	211	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	221
+	214	217
+	3	211	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	231
+	176	232
+	171	228
+	4	168	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	232
+	171	228
+	3	168	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	228
+	163	226
+	168	231
+	4	171	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	226
+	168	231
+	3	171	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	225
+	207	224
+	203	221
+	4	199	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	224
+	203	221
+	3	199	225	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	220
+	203	221
+	207	224
+	4	211	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	221
+	207	224
+	3	211	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	226
+	127	225
+	123	222
+	4	120	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	225
+	123	222
+	3	120	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	221
+	123	222
+	127	225
+	4	131	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	222
+	127	225
+	3	131	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	222
+	155	224
+	151	220
+	4	147	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	224
+	151	220
+	3	147	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	220
+	143	218
+	147	222
+	4	151	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	218
+	147	222
+	3	151	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	221
+	139	221
+	135	217
+	4	131	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	221
+	135	217
+	3	131	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	218
+	135	217
+	139	221
+	4	143	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	217
+	139	221
+	3	143	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	233
+	192	233
+	187	230
+	4	184	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	233
+	187	230
+	3	184	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	229
+	187	230
+	192	233
+	4	196	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	230
+	192	233
+	3	196	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	228
+	168	231
+	163	226
+	4	160	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	231
+	163	226
+	3	160	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	226
+	155	224
+	160	228
+	4	163	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	224
+	160	228
+	3	163	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	221
+	147	222
+	143	218
+	4	139	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	222
+	143	218
+	3	139	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	229
+	204	228
+	199	225
+	4	196	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	228
+	199	225
+	3	196	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	224
+	199	225
+	204	228
+	4	207	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	225
+	204	228
+	3	207	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	230
+	124	228
+	120	226
+	4	116	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	228
+	120	226
+	3	116	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	225
+	120	226
+	124	228
+	4	127	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	226
+	124	228
+	3	127	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	224
+	216	224
+	211	220
+	4	207	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	224
+	211	220
+	3	207	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	221
+	211	220
+	216	224
+	4	219	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	220
+	216	224
+	3	219	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	235
+	180	236
+	176	232
+	4	172	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	236
+	176	232
+	3	172	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	233
+	176	232
+	180	236
+	4	184	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	232
+	180	236
+	3	184	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	232
+	168	231
+	172	235
+	4	176	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	231
+	172	235
+	3	176	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	225
+	136	224
+	131	221
+	4	127	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	224
+	131	221
+	3	127	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	221
+	131	221
+	136	224
+	4	139	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	221
+	136	224
+	3	139	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	226
+	160	228
+	155	224
+	4	152	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	228
+	155	224
+	3	152	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	224
+	147	222
+	152	226
+	4	155	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	222
+	152	226
+	3	155	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	236
+	189	236
+	184	233
+	4	180	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	236
+	184	233
+	3	180	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	233
+	184	233
+	189	236
+	4	192	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	233
+	189	236
+	3	192	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	233
+	200	232
+	196	229
+	4	192	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	232
+	196	229
+	3	192	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	228
+	196	229
+	200	232
+	4	204	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	229
+	200	232
+	3	204	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	228
+	116	230
+	120	232
+	4	124	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	230
+	120	232
+	3	124	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	233
+	172	235
+	168	231
+	4	164	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	235
+	168	231
+	3	164	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	231
+	160	228
+	164	233
+	4	168	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	228
+	164	233
+	3	168	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	224
+	144	224
+	139	221
+	4	136	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	224
+	139	221
+	3	136	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	222
+	139	221
+	144	224
+	4	147	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	221
+	144	224
+	3	147	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	224
+	152	226
+	147	222
+	4	144	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	226
+	147	222
+	3	144	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	228
+	212	227
+	207	224
+	4	204	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	227
+	207	224
+	3	204	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	224
+	207	224
+	212	227
+	4	216	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	224
+	212	227
+	3	216	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	228
+	132	227
+	127	225
+	4	124	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	227
+	127	225
+	3	124	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	224
+	127	225
+	132	227
+	4	136	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	225
+	132	227
+	3	136	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	236
+	197	235
+	192	233
+	4	189	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	235
+	192	233
+	3	189	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	232
+	192	233
+	197	235
+	4	200	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	233
+	197	235
+	3	200	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	230
+	164	233
+	160	228
+	4	156	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	233
+	160	228
+	3	156	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	228
+	152	226
+	156	230
+	4	160	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	226
+	156	230
+	3	160	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	239
+	185	240
+	180	236
+	4	177	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	240
+	180	236
+	3	177	239	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	236
+	180	236
+	185	240
+	4	189	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	236
+	185	240
+	3	189	236	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	236
+	172	235
+	177	239
+	4	180	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	235
+	177	239
+	3	180	236	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	232
+	209	230
+	204	228
+	4	200	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	230
+	204	228
+	3	200	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	227
+	204	228
+	209	230
+	4	212	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	228
+	209	230
+	3	212	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	237
+	177	239
+	172	235
+	4	169	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	239
+	172	235
+	3	169	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	235
+	164	233
+	169	237
+	4	172	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	233
+	169	237
+	3	172	235	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	232
+	128	231
+	124	228
+	4	120	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	231
+	124	228
+	3	120	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	227
+	124	228
+	128	231
+	4	132	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	228
+	128	231
+	3	132	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	227
+	140	227
+	136	224
+	4	132	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	227
+	136	224
+	3	132	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	224
+	136	224
+	140	227
+	4	144	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	224
+	140	227
+	3	144	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	228
+	156	230
+	152	226
+	4	148	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	230
+	152	226
+	3	148	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	226
+	144	224
+	148	228
+	4	152	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	224
+	148	228
+	3	152	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	240
+	193	239
+	189	236
+	4	185	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	239
+	189	236
+	3	185	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	235
+	189	236
+	193	239
+	4	197	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	236
+	193	239
+	3	197	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	227
+	148	228
+	144	224
+	4	140	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	228
+	144	224
+	3	140	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	235
+	169	237
+	164	233
+	4	161	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	237
+	164	233
+	3	161	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	233
+	156	230
+	161	235
+	4	164	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	230
+	161	235
+	3	164	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	235
+	205	234
+	200	232
+	4	197	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	234
+	200	232
+	3	197	235	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	230
+	200	232
+	205	234
+	4	209	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	232
+	205	234
+	3	209	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	231
+	120	232
+	124	235
+	4	128	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	232
+	124	235
+	3	128	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	231
+	136	231
+	132	227
+	4	128	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	231
+	132	227
+	3	128	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	227
+	132	227
+	136	231
+	4	140	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	227
+	136	231
+	3	140	227	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	241
+	181	243
+	177	239
+	4	173	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	243
+	177	239
+	3	173	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	240
+	177	239
+	181	243
+	4	185	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	239
+	181	243
+	3	185	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	239
+	169	237
+	173	241
+	4	177	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	237
+	173	241
+	3	177	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	239
+	202	238
+	197	235
+	4	193	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	238
+	197	235
+	3	193	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	234
+	197	235
+	202	238
+	4	205	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	235
+	202	238
+	3	205	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	232
+	161	235
+	156	230
+	4	152	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	235
+	156	230
+	3	152	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	230
+	148	228
+	152	232
+	4	156	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	228
+	152	232
+	3	156	230	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	243
+	190	243
+	185	240
+	4	181	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	243
+	185	240
+	3	181	243	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	239
+	185	240
+	190	243
+	4	193	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	240
+	190	243
+	3	193	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	239
+	173	241
+	169	237
+	4	165	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	241
+	169	237
+	3	165	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	237
+	161	235
+	165	239
+	4	169	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	235
+	165	239
+	3	169	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	231
+	144	231
+	140	227
+	4	136	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	231
+	140	227
+	3	136	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	228
+	140	227
+	144	231
+	4	148	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	227
+	144	231
+	3	148	228	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	231
+	152	232
+	148	228
+	4	144	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	232
+	148	228
+	3	144	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	235
+	132	234
+	128	231
+	4	124	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	234
+	128	231
+	3	124	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	231
+	128	231
+	132	234
+	4	136	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	231
+	132	234
+	3	136	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	243
+	198	242
+	193	239
+	4	190	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	242
+	193	239
+	3	190	243	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	238
+	193	239
+	198	242
+	4	202	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	239
+	198	242
+	3	202	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	237
+	165	239
+	161	235
+	4	157	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	239
+	161	235
+	3	157	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	235
+	152	232
+	157	237
+	4	161	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	232
+	157	237
+	3	161	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	245
+	186	246
+	181	243
+	4	178	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	246
+	181	243
+	3	178	245	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	243
+	181	243
+	186	246
+	4	190	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	243
+	186	246
+	3	190	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	243
+	173	241
+	178	245
+	4	181	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	241
+	178	245
+	3	181	243	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	234
+	124	235
+	129	238
+	4	132	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	235
+	129	238
+	3	132	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	244
+	178	245
+	173	241
+	4	170	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	245
+	173	241
+	3	170	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	241
+	165	239
+	170	244
+	4	173	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	239
+	170	244
+	3	173	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	234
+	141	234
+	136	231
+	4	132	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	234
+	136	231
+	3	132	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	231
+	136	231
+	141	234
+	4	144	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	231
+	141	234
+	3	144	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	246
+	195	246
+	190	243
+	4	186	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	246
+	190	243
+	3	186	246	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	242
+	190	243
+	195	246
+	4	198	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	243
+	195	246
+	3	198	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	235
+	157	237
+	152	232
+	4	149	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	237
+	152	232
+	3	149	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	232
+	144	231
+	149	235
+	4	152	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	231
+	149	235
+	3	152	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	234
+	149	235
+	144	231
+	4	141	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	235
+	144	231
+	3	141	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	241
+	170	244
+	165	239
+	4	162	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	244
+	165	239
+	3	162	241	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	239
+	157	237
+	162	241
+	4	165	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	237
+	162	241
+	3	165	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	238
+	137	237
+	132	234
+	4	129	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	237
+	132	234
+	3	129	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	234
+	132	234
+	137	237
+	4	141	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	234
+	137	237
+	3	141	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	248
+	183	249
+	178	245
+	4	174	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	249
+	178	245
+	3	174	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	246
+	178	245
+	183	249
+	4	186	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	245
+	183	249
+	3	186	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	245
+	170	244
+	174	248
+	4	178	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	244
+	174	248
+	3	178	245	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	249
+	191	250
+	186	246
+	4	183	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	250
+	186	246
+	3	183	249	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	246
+	186	246
+	191	250
+	4	195	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	246
+	191	250
+	3	195	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	239
+	162	241
+	157	237
+	4	153	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	241
+	157	237
+	3	153	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	237
+	149	235
+	153	239
+	4	157	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	235
+	153	239
+	3	157	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	246
+	174	248
+	170	244
+	4	166	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	248
+	170	244
+	3	166	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	244
+	162	241
+	166	246
+	4	170	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	241
+	166	246
+	3	170	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	237
+	145	238
+	141	234
+	4	137	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	238
+	141	234
+	3	137	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	235
+	141	234
+	145	238
+	4	149	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	234
+	145	238
+	3	149	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	238
+	153	239
+	149	235
+	4	145	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	239
+	149	235
+	3	145	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	237
+	129	238
+	133	241
+	4	137	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	238
+	133	241
+	3	137	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	243
+	166	246
+	162	241
+	4	158	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	246
+	162	241
+	3	158	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	241
+	153	239
+	158	243
+	4	162	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	239
+	158	243
+	3	162	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	252
+	187	253
+	183	249
+	4	179	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	253
+	183	249
+	3	179	252	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	250
+	183	249
+	187	253
+	4	191	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	249
+	187	253
+	3	191	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	249
+	174	248
+	179	252
+	4	183	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	248
+	179	252
+	3	183	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	250
+	179	252
+	174	248
+	4	171	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	252
+	174	248
+	3	171	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	248
+	166	246
+	171	250
+	4	174	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	246
+	171	250
+	3	174	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	241
+	141	241
+	137	237
+	4	133	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	241
+	137	237
+	3	133	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	238
+	137	237
+	141	241
+	4	145	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	237
+	141	241
+	3	145	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	242
+	158	243
+	153	239
+	4	150	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	243
+	153	239
+	3	150	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	239
+	145	238
+	150	242
+	4	153	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	238
+	150	242
+	3	153	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	241
+	150	242
+	145	238
+	4	141	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	242
+	145	238
+	3	141	241	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	248
+	171	250
+	166	246
+	4	162	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	250
+	166	246
+	3	162	248	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	246
+	158	243
+	162	248
+	4	166	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	243
+	162	248
+	3	166	246	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	241
+	133	241
+	137	244
+	4	141	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	241
+	137	244
+	3	141	241	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	255
+	184	256
+	179	252
+	4	175	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	256
+	179	252
+	3	175	255	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	253
+	179	252
+	184	256
+	4	187	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	252
+	184	256
+	3	187	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	252
+	171	250
+	175	255
+	4	179	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	250
+	175	255
+	3	179	252	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	246
+	162	248
+	158	243
+	4	154	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	248
+	158	243
+	3	154	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	243
+	150	242
+	154	246
+	4	158	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	242
+	154	246
+	3	158	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	244
+	146	245
+	141	241
+	4	137	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	245
+	141	241
+	3	137	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	242
+	141	241
+	146	245
+	4	150	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	241
+	146	245
+	3	150	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	253
+	175	255
+	171	250
+	4	167	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	255
+	171	250
+	3	167	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	250
+	162	248
+	167	253
+	4	171	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	248
+	167	253
+	3	171	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	245
+	154	246
+	150	242
+	4	146	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	246
+	150	242
+	3	146	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	250
+	167	253
+	162	248
+	4	159	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	253
+	162	248
+	3	159	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	248
+	154	246
+	159	250
+	4	162	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	246
+	159	250
+	3	162	248	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	256
+	175	255
+	180	259
+	4	184	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	255
+	180	259
+	3	184	256	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	245
+	137	244
+	142	248
+	4	146	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	244
+	142	248
+	3	146	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	257
+	180	259
+	175	255
+	4	172	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	259
+	175	255
+	3	172	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	255
+	167	253
+	172	257
+	4	175	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	253
+	172	257
+	3	175	255	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	249
+	159	250
+	154	246
+	4	150	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	250
+	154	246
+	3	150	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	246
+	146	245
+	150	249
+	4	154	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	245
+	150	249
+	3	154	246	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	248
+	150	249
+	146	245
+	4	142	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	249
+	146	245
+	3	142	248	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	255
+	172	257
+	167	253
+	4	163	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	257
+	167	253
+	3	163	255	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	253
+	159	250
+	163	255
+	4	167	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	250
+	163	255
+	3	167	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	259
+	172	257
+	176	262
+	4	180	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	257
+	176	262
+	3	180	259	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	253
+	163	255
+	159	250
+	4	155	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	255
+	159	250
+	3	155	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	250
+	150	249
+	155	253
+	4	159	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	249
+	155	253
+	3	159	250	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	249
+	142	248
+	146	252
+	4	150	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	248
+	146	252
+	3	150	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	252
+	155	253
+	150	249
+	4	146	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	253
+	150	249
+	3	146	252	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	260
+	176	262
+	172	257
+	4	168	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	262
+	172	257
+	3	168	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	257
+	163	255
+	168	260
+	4	172	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	255
+	168	260
+	3	172	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	257
+	168	260
+	163	255
+	4	160	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	260
+	163	255
+	3	160	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	255
+	155	253
+	160	257
+	4	163	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	253
+	160	257
+	3	163	255	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	262
+	168	260
+	173	264
+	4	176	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	260
+	173	264
+	3	176	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	256
+	160	257
+	155	253
+	4	151	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	257
+	155	253
+	3	151	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	253
+	146	252
+	151	256
+	4	155	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	252
+	151	256
+	3	155	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	262
+	173	264
+	168	260
+	4	164	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	264
+	168	260
+	3	164	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	260
+	160	257
+	164	262
+	4	168	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	257
+	164	262
+	3	168	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	260
+	164	262
+	160	257
+	4	156	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	262
+	160	257
+	3	156	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	257
+	151	256
+	156	260
+	4	160	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	256
+	156	260
+	3	160	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	264
+	164	262
+	169	267
+	4	173	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	262
+	169	267
+	3	173	264	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	264
+	169	267
+	164	262
+	4	160	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	267
+	164	262
+	3	160	264	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	262
+	156	260
+	160	264
+	4	164	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	260
+	160	264
+	3	164	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	267
+	160	264
+	165	269
+	4	169	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	264
+	165	269
+	3	169	267	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/bessintr.eps b/books/ps/bessintr.eps
new file mode 100644
index 0000000..e69de29
diff --git a/books/ps/bessintr.epsi b/books/ps/bessintr.epsi
new file mode 100644
index 0000000..ef8e0e2
--- /dev/null
+++ b/books/ps/bessintr.epsi
@@ -0,0 +1,2027 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%Title: bessintr.ps
+%%Creator: Axiom
+%%CreationDate: today
+%%For:rootroot root
+%%Pages: 1
+%%DocumentFonts: Times-Roman
+%%BoundingBox: 1 39 298 290
+%%BeginPreview: 297 251 8 2008
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000088ddffffffffbb
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000006600000022cc11
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000cc3300
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000088770000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000006699000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000033bb11000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000011bb3300000066
+% 11000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000099ffffffffddee
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000088880000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000114488deb388c8c88897bfe688441100000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000070d8e2ffe5c9e3f9f7e2e1ecfff4e3c9e5ffe2d87000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000033c0f5f8a64040404040bafff7d3404040404040a6f8f5bf
+% 33000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000118affa64d85f5cf4d4040baff8c66eaea5940404dcff58e5bad
+% ff8a1100000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000006cf7cb6640404059eaea66baff8c40404dcff58566eaeb664f4f4f
+% 72cff86c000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000033f2f779272b292a2f2fa7e9ff8c4040404040a6fdeaae3b3d38373a
+% 3485f8f2330000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000011df9797f94a2f2f2f2f2f82fff9582f2f2f2f2f82ffff8c4040404040
+% 59f99e9edf1100000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000bdc32020a6f04a2f2f2f82ffb4cfe83d2f2f2f82ffb4b4ff8c40404059
+% f1ac2f2fc7be00000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000089e12f20202fd5d72f2f82ffb42f2fe8ca2f2f82ffb42f2fb4ff8c4040da
+% d83d2f2f3de289000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000082f64c202020202ff3ce82ffb42f2f2f4af49e82ffb42f2f2f2fb4ff8cd2f4
+% 3d2f2f2f2f58f6820000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000066fff947252721231f45e7ffb42f2f2f2f2f79fcffb42f2f2f2f2f2fb4ffe951
+% 2c322d353355faff6600000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000066ff8cc2e32f2f2f2f2f82ffffba404040404066f7ff8c404040404040baffff8c
+% 4040404040e5c795ff66000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000066ff8c404df6a22f2f2f82ffc095ffba4040404dead6c0ff8c40404040baff95c0ff
+% 8c404040aaf75b4f95ff660000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000066ff8c40404080f94a2f82ffc04f4f95ffba4040cfeb4f4fc0ff8c4040baff954f4fc0
+% ff8c4059fa8a4f4f4f95ff6600000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000082ff8c4040404040c2e382ffc04f4f4f4f95ffbaa6f5664f4f4fc0ff8cbaff954f4f4f4f
+% c0ff8ce5c74f4f4f4f4f95ff82000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000008af3f7d3343832383447e9ffc04f4f4f4f4f4f95fffe8e4f4f4f4f4fc8ffff954f4f4f4f4f
+% 4fc0ffec5541453d4541d5f7f38a0000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0011bfe67272eceb5940404db3f8f9ec8e4f4f4f4f72d2faf6ea954f4f7eb9fff6fbd2724f4f4f4f
+% 8eeaf8f9b95b4f4f66ecec7272e6bf11000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 33e1cf5b4f4f5bd2f58566dbf08e5badffd6665badfff4f8f5f7fdfbfbfffaf5f8f8f4ffad5b66d6
+% ffad5b8ef1de728ef5d25b4f4f5bcfe1330000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000085
+% fdd3664f4f4f4f66d3fffefbeef8ece0e1cbecf5f5ffeec9e4f9f7e3e1ecfff4e3c9eefff5f5efcb
+% e1e0ecf8eefbffffd3664f4f4f4f66d3fd8500000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000033c1f4
+% e4f4fff6f4eee4e4f2efd2d5a4979583b2ebf8f9ad4f4f4f4f4fc0fff7d64f4f4f4f4f4fadf9faee
+% aa778b8e9bd0cdeef2e4e4edf4f6fff4e3f3be330000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000118affdef6
+% ecd5c59a8eb6e3ffeef7ffc08a6075daffad5b8ef5d25b4f4fc0ff8c66eaeb664f4f5bd2f6996bb5
+% ffd7664f7eb9fff6f0ffe3b08692c0d2ebf6ddff8a11000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000011449fd7e7f1ffe1
+% e5faf7e8fbffb97e4f4fa1dffff7fdd2724f4f4f66ecec72c0ff8c40404dcff58e72eced75606060
+% 80d7fdf6ffe0a960608ac0fffbe5f7f9e3e1fff4e6d49f4411000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000001180ded5d3eeeed5c3825c4a
+% 514cd9f6f88540404040404066f7fa6f343a37383d3baeebff8c4040404040a6fdeab144433c3b3c
+% 356ffaf7724f4f4f4f4f4f8ef9f8d63e433d4f76bed0ebebd0d2dc80110000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000449cffdbd4e7ffeefad780606060
+% 75ebe8589ef959404040404df5ccb5f040404040404066f7f94d404040404066f7fa664040404040
+% 40f1bad0f65b4f4f4f4f66faad72ecec664f4f4f72d3faf0ffe6cdd7ff9b44000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000001189ebddcbe7fbffb97e4f66d7ffb56b99
+% f4ca3d2f2facf15940404ddbd6202fe7d2404040404df5cfe3c2404040404df5d3d3f54d40404040
+% d2e73d2fd9de5b4f4f66f3b94f4f5bd2f58e5badffda75608ac0fffbe6c2d6e98911000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000449cffdbaab6eaf4f885343a37383d70beeafc
+% 9e2f2f2f2f3dd8da4040b3f13d20205bff9840404ddbd92f4af98040404ddbdb4040dbdb4d404098
+% ff662f2f4af2b94f4fdede5b4f4f4f4fadfdecc37a4b454447408ef9f7eeb0a3d8ff9c4400000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000002289e6be724f66d5ff9e3d9ef95940404040408cfffa
+% 541c212c2f2f3df4d2a6fa3d2020202097f35940b3f14a2f2fa2f64d40b3f259404059f2b34059f4
+% 9e2f2f2f2f4afaadd6f65b4f4f48352c5ffaff954f4f4f4f4f66faad5badffd3594268b8e4892200
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000002277d2ffdee4faf7e8fdca582f2f2facf1594040408cffa9af
+% ef202020201c1c42dbfd70202020202020d5e7a6fa4a2f2f2f2fe3c3a6fa594040404059faa6e4d8
+% 2f2f2f2f2f2f79fdde532c2a2f2f2f2ff0bab4ff954f4f4f66f3b94f4f4f72d2fde5f7f9e2daffcf
+% 77220000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000007ae3d0b3704d40453fd4f5f84d1d2d2f2f3dd8da40408cffa90f1f
+% e5cb202020202079fffa7924272322231d39e7fd792f2f2f2f2f4afcfc8540404040404085fde948
+% 2a322f30353285fbff822f2f2f2f2fcfe73d2fb4ff954f4fdede5b4f4f4d3961f9f7d33338344165
+% adccdf70000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000033c0f4fad3724f4f4f66e8e53fafee0f0f11172a3df4d28cffa90f0f0f
+% 4fff8720202079ffb49ef94a2f2f2f2f2f82fffb8540404040404df6fa724f4f4f4f4f4f8efbff8c
+% 404040404059faadc0ff822f2f2f8fff662f2f2fb4ff95d6f65b4b312b2f2ff2c572eceb59404040
+% 66cffaf4bf3300000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000118affa64d59d3ffad5b8ef3c21f0f1fe5c70f0f0f0f0f31d9ffa90f0f0f0f
+% 0f8ff23d2079ffb42f2facf04a2f2f2f82ffc0adfa5940404040c2e6d6f65b4f4f4f4f66faadc0ff
+% 8c40404059f2b94f4fc0ff822f4af49e2f2f2f2f2fb4ffdf4a2a2f2f2f2fd0ea5b4f5bd2f5854da6
+% ffd6665badff8a110000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000440000000000000000
+% 00000000000000007af8cb664040404085e9fdfa8f0f0f0f0f4fff7e0f0f0f0f8ff7f93d0b0c0f0f
+% 0f0fd2e379ffb42f2f2f3dd8d72f2f82ffc04f4fb9f259404080f9664fdede5b4f4f66f3b94f4fc0
+% ff8c4040dcde5b4f4f4fc0ff82e2d82f2f2f2f2a2c5efaf89e2f2f2f2f8fff7e4f4f4f4fadfbfdeb
+% 8e4f4f4f4f72cff97a00000000000000000000000000000000440000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000033eeaa11000000000000
+% 00000000000066e1e6f7d3404040404040a6f9f8220d0f0f0f0f8ff22e0f1fc2f265afee0f0f0f0f
+% 0c0b31f3ffb42f2f2f2f2f3df4cf82ffc04f4f4f5bdedc404df6b14f4f66f3b94f4fdede5b4f4f4f
+% c0ff8cd3f65b4f4f4f4f4fc0fff54b2c35484f4f4ff3c58ef4ca3d2f4af5ad4f4f4f4f434efaf9ad
+% 4f4f4f4f4f4fd6f7f3bf3300000000000000000000000011aaee3300000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000022bbdd440000000000
+% 0000000066e1e58c4066eaea5940404dcff465c2d50f0f0c0c0f0fd2e13fe5e52e0f1fe5c70f0f0f
+% 0f0f6fffffba3235302f322a51e9ffc04f4f4f4f4f5bf6d3c2e64f4f4f4f66faadd6f65b4f4f4f4f
+% 4fc0ffed6d444e494a514cc6ffff954f4f4f4f4fd6ea5b4f66eae858e4de4f4f3e3b4240decf85f5
+% d25b4f4f66ecec725badff8a1100000000000000000044ddbb220000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000088ff8800000000
+% 00007af1e58c404040404dcff58566eae82e0f2fff7e0f0f0f0f0d31f4fac70f0f0f0f4fff7e0f0f
+% 0f6fffc095ffba4040404040a6f8faed84454040453f79f1fe664f4f4f4f4f9dfef1793f45404045
+% 84eaf8fab56060606060c6ffa0c6ff954f4f4fa1ff7e4f4f4f4fd5fbf75c3c4140404098ff594059
+% ebec728ef5d25b4f4f4f72cff87a0000000000000088ff8800000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000033ddcc220000
+% 33c0f3f7d3333636323836368bf6fbc90f0f0f0f8ff40f0f0f0f0f6ffffa540f0f0f0f0f8ff22e0f
+% 6fffc04f4f95ffba40404dcff5996bb5ffd7664f7eb9fff6f6ea954f4f7eb9fff6f8ffb97e4f66d6
+% ffad5b8ef6d76b6060c6ffa06060c6ff954f66f5ad4f4f4f4f4579fbff8c4040404040f6a6404040
+% 40d3fbf0943f454040453fc0ffe8e26600000022ccdd330000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000001199ee808a
+% ffa64d66eaea59404040408ce9f4f8210f0f0f0f0fe3c70f0f0f6fffb49ef94a2a17110f0fd2e16f
+% ffc04f4f4f4f95ffba66eaec75606060b8fefffffffefbf8f8fdfffffffffefbf8f8fbfefffffffe
+% b14f4f4f66edee80c6ffa060606060c6ff95e7de4f4f43475e75fbb5c6ff8c404040d3e940404040
+% 404afaf5ea954f4f4f4fc0ff954f95e6e26677ee9911000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000a7fdce
+% 664040404dcff585408ce9f3a90fc2d50f0c0d0f0f4fff4b0f6fffb42f2facf04a2f2f2d1d37f4ff
+% c84f4f4f4f4f66f6f2c8c192928a84b4ebf8f9ad4f4f4f4f4f4fd6f8f7e8664f4f4f4f4f4fadf9fa
+% eeab787f8889bcc4f1f7756060606060cefff7624d5f606075f4c06060c6ff8c406fff7340403b3a
+% 4de1d24fc0f4ea954fc0ff954f4f4f4f95eafaa70000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000066e1e6ffba
+% 6240343438338beaf3f3a90f0f0f2fff7e0f0f0d0c0f9fe56fffb42f2f2f3dd8d72f2f2f58cafbf0
+% ffdfa14fa1eaffeef7ffc08a6075daffad5b8ef5d25b4f4f66ecec725bc7fab14f4f4f5bd2f6996b
+% b5ffd7664f7eb9fff6f0ffeda960a9e0ffeefbd780606060e1e16b606060c6ff8ceab34038424f4f
+% a1ff664f4f4fc0f4f4ef823f4540404d6ec0fff4bf33000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000066e1e58c408cff
+% ba4040404040a6f9f9200f0f0f0f0f8ff40f0f0f0f0f1ff4ffb42f2f2f2f2f3df4cf3d9effd97560
+% 99d6effbffb97e4f4fa1dffff7fdd2724f4f4f66ecec728ef5d25b4f4f4f8af7e66672eced756060
+% 6080d7fdf6ffe0a960608ac0fffbf5d97e4f66d7ffb56bdaf76b6060606060c6fff74a4d4f4f4f4f
+% f7ad4f4f4f4f4f54fbf9ad4f4f4f4f4fc0ff955badff8a1100000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000006cefe58c404040408c
+% ffba40404dcff465c2d50e0c0f0f0f0fe3c70f0f0f0f8ff9f9d63d4039373a2e55edf5e9dff2f0ef
+% cfe7f7f88e4f4f4f4f4f4f72f7fa59343a37383d3baee8fcad4f4f4f4f4f4f5bc7fdeab5484b4544
+% 474066fbf88060606060606099faf8e3bee6f0d0d5e7f4f1774d544e4e544ddaf9faad4f4f4f4fd6
+% ea4f4f4f4f4456e3d28ef5d25b4f4fc0ff954f4f4f72cff86c000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000008af3ffb6343739404040
+% 8cffba66ebe82e0f2fff7e0f0e0c0f0f4fff4b0f1fc2f38e72ecec664f4f4f72d3faf0ebecb59782
+% edea66a6fa664f4f4f4f5bf6ccc6dd40404040404059f6f94d4040404040404066f9f7664f4f4f4f
+% 4f4fe0cfd3f76b6060606075fbb580eeec597aa6dcf1e5fad78060606075edec728ef5d25b4f7aff
+% 7e4f4a465e60a9ff664f66ecec72c0ff954f4f4f423d86f9f4ae1100000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000011bee4668cffba4040403936
+% 3477e9fbc90f0f0f0f8ff40f0f0f0f0c0e9fe53fe5e8664f4f5bd2f58e5badfff6f1c78b6f6fa3f5
+% cf4d4040b3f2664f4f5bded7203dff984040404040dbe6e9b34040404040404ddbdbe4de4f4f4f4f
+% 4fa1ff5940dde16b606075f4c060606bd7f68540406db4ecf9ffb56b99f6d25b4f4f66ecec72ecb9
+% 4b485f606060f7ad4f4f4f4fd6fbea7b3d424f4f4f66f5ad5bc3f155000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000033e0cb4d40408cffba40404040
+% 8ce9f4f8210f0f0f0f0fe3c70f0f0f0f0f1ff4ffd44f4f4f4f4f4fadfef6f2ffede6f6fff0f5fca6
+% 404040404ddbdd4f4fb9f13d202097f540404040a6f54a63ff734040404040b3ef4a4af5ad4f4f4f
+% 4ff6a6404059f3c06060e1e16b60606060b5fdf1ecfff3e2ebfff1f9ffad4f4f4f4f4f4fd6fff758
+% 6060606060daea4f4f4f4f4f56faf5ea954f4f4f4fecd24f4f4f8af2ae1100000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000077f9a640404040408cffba408ce9
+% f3a90fc2d50f0c180f0f4fff4b0f0f0f6fe3f3f9e1664f4f4f4fa3fef1d5aa6d494a51c1f1e3f856
+% 21293940404df5d6adfa3d20202020e5d2404073ff8f2f2fcfe9404040408cf8792f2f8fff7e4f4f
+% d6e94040404059fbb5daf76b606059433a6afaf8ed89433d3c60a2d3f1feac6060606075e3f9f7ec
+% a060606087ff7e4f4f53485ee3d24fc0f4ea954fd6ec5b4f4f4f4f5bc3fa6c000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000011aef3f7df4d383434383394f2f3f3a9
+% 0f0f0f2fff7e0f0f112c0f9fe50f6fe3f1c04f72def18e4fc6faf7f0f5eda06060c6f1e36f0fafef
+% 202020201e2148dcfd7020202020205bff6f4deacf2f2f2f2ff6a6404066f6b42f2f2f2fd0ea5b7a
+% ff73404040404085fce1603a3940404040f3ca6bb5ffd7664f7eb9fff6eef6f9cd6099f1de724fc0
+% f5eca060edb94f65566060a9ff664f4f4fc0f4f4f1793f4540404584e8f5f2ad1100000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000055f1c35b72def085405999ddfff3f8200f
+% 0f0f0f0f8ff40f0f0f0f0f41f4fdf1c04f4f4f4f5bb9fefef7eda06060c6f5f8f5e36f0f0f0f1fe5
+% cb202020202079fffa371c1c20202020a6e8c0f12f2f2f2f2f8fff594ddbdb2f2f2f2f2f2ff2c5eb
+% b340404040373550fbff8c4040404040d3ec6b606080d7fcf7ffdea14f4f95ebf6feffb95b4f4f4f
+% 4fc0f5fdf77a5e60606060f7ad4f4f4f4f4f55faf7ffb97e4f66d6ffa64d4dbef055000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000011aef28a4f4f4f5bb9fdecfff0bb4b0fc2d50e
+% 0c0f0f0f0fe3c70f0f0f0f8ff9fbd3724f4f4f4f8efef0c892544e4e544db5f9f8210e0f0f0f0f4f
+% ff8720202079ffafc6db2f2f2f2c211c2ef4fd632f2f2f2f2f2fdbcfb3ef4a2f2f2f2f2f2f63fdf6
+% 47353c4c4f4f4fe1d2c0ff8c40404098ff8a606060605cfbfac74f44423d454286c2f4fe8e4f4f4f
+% 4f72d3fbfcb560606060daea4f4f4f4f4761e5d24fa1defff2fecf664040404080f2ad1100000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000006cf0ad494540404584e5f3f6710f0f0f0f2fff7e
+% 0f0e0c0f0f4fff4b0f1fc2f39975daffad5b66f7f0f8fad7806060606bd7f665b3de0f0d0c0f0f0f
+% 8ff23d2079ffaf203dff8f2f2f2f2f2f58f8fb6d37342f2d2d284af9f879292e3031393d4577fbf9
+% 724f4f4f4f4fa1ff664fc0ff8c4059f6b56060564744d3ec75e8f78a4f4f4f4f72d2faf9f4f6665b
+% adffd6668ef6d76b6087ff7e4f4a4a6b6fb1ff664f4f4f6df9f5f4b6363632383640a6f56c000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000066fff5ffb97e4f66d4ff8f1f9fec280e0f0f0f8ff4
+% 0f0f0f0f0c0e9fe53fe5e97560606099ebffedffad5b66d7ffb56b80eee92e0f1ff3940f0f0f0c0d
+% 0fd2e379ffaf20202097f52f2f2f2f3df4d2c0f24f4f4f4f4f4f72fbffa060606060606060f4cada
+% f65b4f4f4f4ff7ad4f4f4fc0ff8ce6e1604b4440406ff98a6060b9fac75b5badffd6665badfff4ff
+% ec8e4f4f4f66edee80edb94b4c6d6f6f6ff7ad4f4f4f45e1d24f95eaf4ba404073b3fff5ff660000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000066ff8c4098dcfff9fac23f0f0f1fd2d81e100f0f0fe3
+% c70f0f0f0f0f1ff4f7b4484b454447c7f1fdd3724f4f4f4f8eebfcfaca0f0f0f0f5ff72e0f0f0f0f
+% 0e31f4ffaf2020202020e5ce2f2f3dd8da404dead64f4f4f4f5bf6dac6ffa06060606060daec6b60
+% e0de5b4f4fd6ea4f4f4f4f4fc0fff8644440404040dfd76060606075e8f9fcec8e4f4f4f4f72d3fe
+% f9833a37383d3bb6f2f75e6f6f6f6f6fddea4f4f4557a9ff664f4f4f95eaf7f9ffd98f2f82ff6600
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000066ff8c404042bbf1f1f6210f0f0f0f3ff3af201d0f0f4f
+% ff4b0f0f0f6fe3f3f6ea954f4fdee7f5faf9ad4f4f4f4f4f4fadf9f9200f0f0f0f0fb3de0f0f0f0f
+% 0f6ffffa2b1a202020205bff632facf159404073ffa14f4f5bdee06060c6ffa0606060a9ff8a6060
+% 75f3b94f7aff7e4f4f4f4f465afcff8c4040404085ff8060606060605ffbf9ad4f4f4f4f4f4fadf9
+% f9f4ec594073b3fff5f9eea96f6f6f93ff7e4b4e6060f7ad4f4f4f4f4f52f9f5f4b4302f2f82ff66
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000066ff8c4443bef1e36f0fc2d8190f0f0f0f6ff67020201a0f
+% 9fe50f6fe3f1c04f4fc0f4f9f9fbfacd6b99f6d35b4f4f5bd2f565e3c70e0c0f0f0f1ff3940f0f0f
+% 6fffa9c2d50f1114172020a6e89ef95940404040a6f5664fb9f375606060c6ffa06075f6b5606060
+% 6075faadecb94f4f464c6b6fe6d7c6ff8c404040eec0606060604e5bdaea8ef5d25b4f4f5bd3f68e
+% 5bc8faf6f9ffdda14f4fc0f6eea96feeb9455f6060daea4f4f4f4f404be1d24f95eaf4b52e3182ff
+% 66000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000082f1cbbae1f6e36f0f0f0f2fff87201b100f0f9fec3d202020
+% 34f5f3c69c454040453fd7faf0f79560606075edec7272ece82e0f4ff64b0f0e0c0f0f5ff72e0f6f
+% ffa90f2fff7e0f0f0f101228f5fd85404040404040dbe9adfa756060606060c6ffa0e9e160606060
+% 606099fdf756566d6f6f6fb1ff7560c6ff8c4098f775605a50606087f97e4f66ecec7272ecec664f
+% 4f4f8af7f0e95844423d45429ecaf7f86c60606087ff7e4f4a424f4fa1ff664f4f4f95eaf9daaec2
+% ee820000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000008af1d6d6e6f6f6480f0f0f0f0f8ff42020201e101fd2d8205ba6
+% fff6fbd2724f4f4f66edf2fecc6b606060606060dafdf9c90f0f0f0fc2d50f0f0f0f0c0eb3de6fff
+% a90f0f0f8ff40f0f0f0f0f6ffffaca3b3d38373a3459f6ff9960606060606060c6fff7754d544e4e
+% 544dd0faffa96f6f6f6f6ff8b5606060c6ff8cf7b55b5160606060e3d24f4f4f4fd6fafdd64f4f4f
+% 4f4f4f5bc7fdf3b14f4f4f4f72d2faf9ffc08a60edb94b424f4f4f4ff7ad4f4f4f4f4f71f8f8e3cf
+% cff08900000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000119cf26659dbf4589ef9320f0f0f0f0fe3cb202020201e49f5f6ffdb
+% a14f66d6ffad5b8ef6f3fffad7806060606060a0ecf6f92e0f0f0f0f3fff650f0f0f0f0f1ff4ffa9
+% 0f0f0f0f0fe3c70f0f0f6fffc680eeed664f4f4f72d3fbfbd790a9efefb999a0ecf5fcd780606060
+% 75eeee80c6ffa96f6f6fddec6060606060c6fff75e606060606099ff724f4f4f4f66fbf5ea954f4f
+% 4f4f4f72d2fafff0ef665badffd6664fa1dffffdf7514f4f4f4f4fd6ea4f4f4f4f3d56faad72f6d9
+% 3e4cf09b110000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000011cfd8485ff1d83d2f2facf03d1b100f0f4fff5720202079e5f5ffc03f
+% 4540404574c1ecf7e0ff9566d7ffb56b60a0ecf5af20e5c818220f0f0f9fe80f0f0f0f1fb3f9f957
+% 100f0f0f0f4fff4b0f6fffc660606bd7faf6e5b9c28e8f8d7b7ed6f7f7e685737b9086a0beb6eaf8
+% fad76b6060c6ffa96f93ff8a606060605483fafbcc6b60606060efb94f4f4f5e5cdaec60c6f4ea95
+% 4f5badffd3598cffd8f7efc274454040453fc0fff6ea954f4f4f7aff7e4f4a3e4259f2b94f4f5bde
+% f2452cd2ce1100000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000033f0894a8ef9ac3d2f2f2f3dd8d520201e100e9fe62079e5f1ba408cffc0
+% 4f4f4f4f4fade3ceff954f4f4f8eebfdf1f5af2020205bf74b0f1f1e0f2ff37e0f0f5ff3e259a6fa
+% 59391d130f0f9fe56fffc6606060cfecffecfad3724f4f4f66edec725bc8faaa4040404066cffaee
+% ffeacd606060c6ffa9eec0606051546d82fbb575e8f7956060a9f7664f5a636087f98a606060c6f4
+% effdeb854040408cffc0dcad4f4f4f4f4fc0ffa060c6f4ea954fecb94b3d414040dcde5b4f4f4f5b
+% b9fa792c75ef33000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000082ddb5ade2fd9e2f2f2f2f2f2f3df4cb2020204859f5fbf1ba404040408cff
+% c04f4f5bd2a8c0ff954f4f554fc0f2f2f82e2020202020c6d60f0f0f20168ff41fb3f8aa404040b3
+% f25940403c2728f4f9e3dbddf1faffb3734059d3ffad5b8ef5d35b4f4f4f8af7e5594da6ffd6664f
+% 7eb9fffaecd7dbe3f6f85f5b6e6f6f82f4c0606060b9facc6bf7ad5164606060e4d7606060606063
+% faf6f5b83c4340408cffb192d25b4f4fc0ffa060606060c6f4fcf77966404040d3f65b4f4f4f4f4f
+% 4fadfdda9ea8d7820000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000066ffd9d9ebf8f7eb7c35332d322e2c77f7e2daffffebe6f975292f353f40408c
+% ffc072d795e2f1aa4f5a6fccf2e57920e5cb1b1e2020204cff650f0f0f0f2af3ffe259404040404d
+% dbdb40404066e1fff2e4c8ecfff96644433d3c406ec0e8fcad4f4f4f4f4f4f5bc7fceac6784e494a
+% 515275fbffeebddeeeffe98c6f6f6fe3e16b6060606075e8fff76b6060606099ff806060605b54da
+% ec60a0ecf5c04f403a9deddb79d172c0ffa060606056524e8efbebeeffffdfe6f1893f44423d4542
+% 87e8f5ffddcfcfff6600000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000066ff9561ddf6725badffd359405999ddfff3f97e792f2f2f9ef94a2f2f2f2b2a2a
+% 71e1e6f8edf9eafbf9ecf7e5792020205bf757201a202020a6e90f0f0f0f8ff9ffba3d3e3d414040
+% 4df5d37af2ebcaa373b9f8b31fe3d44f4f4f4f4f4f5bf7f24f4f4f4f4f4f4f4f5bfaf86b60606060
+% 6060dbee79d1fbaa5791c0ebf59bddf76b6060615a5957c4fffbb560606060f0c06060604e6087f9
+% 8a606060a0ecf8e8f7fae6f7e8f6dfeb8b4e525660606075fbb560606096a2fbf1ffdea1664f66d6
+% ffa64d8cffae1d79ff66000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000066ff905af3de5b4f4f4f72d2fee8fff1c05720c6d81e1f2e2f2facf04a2f2f2f2f3d
+% bdf9b6e1f6724f51daf5f64f2020202020c6d82020201a203df47e0f1fc2f38e95ffc04f4f4f4741
+% 3ce5efc18f606075e5f35f0f0f4ff77a4f4f4f4f4fb9eaf4954f4f4f4f4f4f4fadeaebc060606060
+% 6087fa956f6f9ff8e65940407ab4ede9565d636f6f6fccffa099f6d76b60a9f775604e606060e4d7
+% 60606060607df9f8d62f2f58f4d99efacc6b6060606075f4c06060615669e5d24f7acdefffe9fecf
+% 664040408cffaf1a73ff660000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000066f46a8bfab95b4f4f4744baf1f2f862202020203dff87201e1e2d3dd8d72f2f2f74f5
+% b172f3de5b4d65e9e53f9fec301e2020204cff702020201d1c97f43fe5e8664f4f95ffc04f4f4f8e
+% f3faebf6ffefe9fab31f0f0f0f0fc2df4f4f4f4f7eff63b4ea4f4f4f4f4f4f72ff7963ff8a606060
+% 60e4da6f6f6f6f79d1fce5ecfff4e5f8f1a36f6f6fccffa0606075eeee80f8b5545a60606099ff80
+% 6060605a5ff2c080eeeb422a3dd8f04a9cf795606060e1e16b5c596f6fb1ff664f4f4f4f80faf6f5
+% b5364040408cffaf1e47f16600000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000082dfb4e0efba5244474fc0f2e57920c6d81b1e20202097f5202020201d34f4cf3dbdbc69
+% 99faad545799f3c21f0f1fd2d8201a202020a6ea20202020202df5ffd44f4f4f4f4f95ffc066e8f5
+% f08c6f6e69c9fbf2220f0f0f0f0f3fff8e4f4f4fead02f2ff4954f4f4f4f4fd2d02f2fd0ec606060
+% 99ff8c6f6f6f6f6f6af7fabf48404066ebf2ea82ccffa06060606060dafff8636060606060f0c060
+% 60604950e1e16b606bd7f6792a319bf9793ca9cc6bdaf7685b6f6f6f6ff7ad4f4f4f4b4be4d760a0
+% ecf5ba40353298ebd797a0d682000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000011aef3d4c3f9e6f4ffede7f7e5792020203dff87201a202020e5cb20202020202fd1e1beb5e3
+% e6c9b5b5e3fa8f0f0f0f0f3ff3af20201a203df48720202079e5f4ffc03f454040453f82eff6f8db
+% 7654516bd7f679e7d224120f0f0f0f9fec4f4fadf72f2f2fb4ea4f4f4f4f95fa4a2f2f2ff7b56060
+% f0c66f6f6f6f575fddf0aef5cf4d34344bcff6f5f493515c56575f58ccfff7eca0606060a9f77560
+% 4a514fc0f78060606060b5fbd99e9eb9dfda9eaad8dc6e6f6f6f6f6fddea4f4f4f455fa9ff756060
+% 60a0ecf9e5f7f9e3ffcdbad2f1ac1100000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0055f1b84b62faa6404059def6f752202020202097f52020201a205bff5720202079e5f2d9abb1f8
+% d6d6d6ebf7ff880e0f0f0f0f6ff67020201d1c97f52079e5f1ba408cffc04f4f4f4f4fadf5f1b76a
+% 606080eeeb4a2f66f84a2f28140f0f2ff3a166ff8f2f2f2f2ff4954f4f5bf7b42f2f2f2f8fff75a9
+% f8826f6859626075fba28090eeea6640404fa6edf4bc6f6f6f6f6fccffa060c6f5eca060f8b5514e
+% 4f4f8ef9a0606060605aa7fff8eacfcfcff7a39cd0f6eea96f6f6f93ff7e4f445e6060f8b5606060
+% 60607cf8f7d7202079ffaf1d2eb9f055000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000011
+% aed35f4f66f2b3404059dbf4589ef9361b20202020e5cb2020201d1ca6e72079e5dd88434f66faa6
+% 405adcf5668cffaf1c110f0f0f9fec3d20202039f5fcf1ba404040408cffc04f4f5be3f1fbecf6ff
+% eff0fad02f2f2f2fcacf2f2f2f2d150e8ff5d2dc2f2f2f2f2fb4ea4f4fadea2f2f2f2f2f2fdcd7f8
+% bc695961606060dbdf80808080e0f9edecfff3e5f8eee8796f6fccffa060606060c6f5fdf8634f4f
+% 4f66f2c06060604c4cbeff9572f6d73d2097f94a2f2975dceea96feeb94757606060daec60606060
+% 4a64faad72f6d93e2079ffaf201d42d5ac1100000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000003389d9
+% 6a4f4f4fdddb4d405ff1d83d2f2facf03d1d1a20205bff572020202043f6ef9b624f4f4f66f2b340
+% 5df2db4d40408cffb42f2a170f1fd2d8205ba6fff5f97d3437394040408cffc084efecf9998080d4
+% f3f3f22c2f2f2f2f66ff632f2f2f2f2d2cf4fc4a2f2f2f2f2f2ff49572ff792f2f2f2f2f2f4afcf8
+% 64606060606087ffa28080808078f6f8f7c1404066f5ebec9bccffa060606056524ec0fff8ffb97e
+% 4fe1e16b5348514fc0ff954f4f5bdef23d20a6f04a2f2f2f488be3f8706060606087ff8a605a4c51
+% 66f3b94f4f5bdef2452379ffaf20202050cf89220000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000011559be2ffd6f4
+% ea954fd6f549488ef9ac3d2f2f2f3dd8d52020201a1ea6e7203d88d7fff4fbd2724f4f4fdddb5091
+% fab34d404040408cffb42f2f2f496cf5f3ffd78f2f9ef95940404039363477e4d6f6e7887ec6f3e7
+% 823df5a9252f2f2f2facd72f2f2f2f2f58f8e2352c2a2f2f2f2fb4f9f1d02f2f2f2f2c2e333ee3f9
+% 806060606060e3cc8080808061b9f988b3f0f7b6404ddbf3f1ec8b4e5256606060c6ffa96fb1e2ff
+% f5f8936e4f4f4fc0ff954f4f4f4f5bb9fa742ed5d72f2f2f58cafaf4ffe1aa7560eec05b4b504f4f
+% dede5b4f4f4f5bb9fa792a5fffaf2079e5f2dfffcf77220000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000002280e1ffe6b98a5b4f4f
+% c0f4f8deb3ade0fc9e2f2f2f2f2f2f3df4cb202020495ef6f7fff1cd7a4f66d6ffad5bd6eb80e3fe
+% b240404040404040a8ffdfdcffffebebf93f2a2f2f2facf159404040404dbbc2fccea8e7f7e7822f
+% 2f2f9ee620232c2f2f4bff8f2f2f2f3df4d2fa954f4f4f48352cd2f9f8ea4b3b495d606060a0fbe0
+% f76b606060a9ff918080795040edc4808080b3f0f9e08ab5fad7b56060606060c6ffa96f6f6f6979
+% fbefefffffe1e4ffaf4f4f4f4f4f4f4fb8feda66e6ce3d9effd5664f7acdf0fff9f883724f4f4fd6
+% f65b4f4f4f4f4f4fadfdda9ea8d9f7f2c04f4f66a1daffe680330000000000000000000000000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000002277cfffe1ff954f4f4f4f4f4f
+% 4fd7f8dddddefff7df4c35332d322e2c88f7e2daffffebe6f985343938353d3c72bdf4e8f9efffed
+% ffdd9840405999ddfff3faa370202020c6d60f121f2f3dd8da40404080c4e4edf7fff3fff73d2f2f
+% 2f2f3dff872021212f2f9ee82f2f3dd8d72fd0d24f4f4f4f66eff08c79d2fbb96060606060d7e06f
+% e3e16b6060efc4808054444098ff888080808088fafff4fff4e7e9d76b6060c6ffa96f6f5b616fe6
+% d760606099bcfbf1ffdea1664f4fa1dbffe5ffedf7e5eec17444423d4542438efbebefffffe1e8f1
+% 973f44423d45425bdff4ffd5d2d2f6d240404040404066f7dfffe29c551100000000000000000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000011446698e6ffd5904b2fb4ff954f4f4f4f66
+% dff78051beff9572def085404d80b3eaffecf97e792f2f2f9ef959404040404040a6f8dbcaffa060
+% 8ac0fffbe8fff1c05720e5c71d2020203dff7e0f0f0f1637f4d24dd3cfe7f9d9adddf23fe3c12a2f
+% 2f2f2face1202020232a3df58f2facf04a2f4aff7e4f4f8ef7db796f6f6f9ff8ea7560608aff826f
+% 82f4c060a9f988724f404040e7cc8080808072d3ee8cf8dc97cff7dbe080c6ffa5625b6f6f6fb1ff
+% 7560606053d7e9406fc9eeffe9faffa65b2079ffbccdf9ad4f4f4f4f4f4f66fbb560606096a2fbef
+% ffecb98a5b4f8eeed54c79ffae2458f4da594040404dead9606b95c0e8ffde906644110000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000060cfbdffffffc2c4f775212d2f2f2fb4ff954f4f66f3
+% e15949c0ff954f4f5bb9feebfff3d99c3d20c6d81e1f2e2f2facf1594040404db3fa76c4ffa06060
+% 606fe5fff762202020205bf763251e202097f40f0f0f0f0f28c3f7f6a8faad68f1d21f0f4ff65625
+% 2f2f2f4bff5720202020239ef59ef94a2f2f2fdcc54fc2fcbc6f6f6f6f6f6f79d2fdbd60cce66f6f
+% 6f82fbb5f9c458404040406fff91808080637cfa956f79e4f33e97f999e8e185696f6f6f6f6ff8b5
+% 60605b6093f8734040404077faffe43d20202079ffae52fab95b4f4f4f66f3c06060615669e5d24f
+% 66b1e1f4ffedfda62f202079ffaf1e2fd8f1594040cfec60606060605099f9d0ccffffffc1d05500
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000011acf1f879572f20202097f93d201d1c252eb4ff958efb95
+% 4d4fc0ff954f4f50bef2e5ff8d20202020203dff87201e1e2d3dd8da40404ddbcb5ac6ffa060604f
+% b3f8b31fc2d11b20202020c6db2f2e1c2020e5c80f0f0f0f8ff7ae7ef4b991f99f1f0f0f0fc2d820
+% 212c2f2fbdd9202020202030ebfb792f2f2f2f63ff66fcfabc6f6f6f6f6f6f79d2fbfa75ff936f6f
+% 6f6fa3fcf2564040404040e0d5808078594fe1da6f6f6f79c6fb73a6f053aad1796f6f6f6fddec60
+% 604f6e6fe5cf4040404036d9d76bccfaa021222079ffaf25c8de5b4f4fdfe16b5c596f6fb1ff664f
+% 4f4f4f4fa4ffebf4b122202079ffaf202178f985a6f57560574b576075faad4f4f4f5b7b91f9f4ae
+% 1100000000000000000000000000000000
+% 00000000000000000000000000000055efb42fb5ef201a1d202020a6ef3d202020201c63e5d9804f
+% 4fc0ff955148bff2e5792097f96e1d2020202097f5202020201d34f4d266eb9060c6ff9c544e75e5
+% f35f0f0f2fff871c1e20204cff792f2f281d5bff4b0f1fc2d0716fe2dee5fa8f0f0f0f0f0f3fff70
+% 2020282f66ff3d2020202fb9fafa392f2f2f2f2fe3eaffdef8db796f6f6f9ff8eda0ffebea6f6f6f
+% 6f6f74fefbc34d40404059ffa2806d554f8eff8c6f6f6f6f6fbcfcdbd5d72f5fd09f6f6f93ff8a58
+% 666f6fa3ff6640403d3a98ff75606095f7e44a242174ffaf2075e872d7f7685b6f6f6f6ff7ad4f4f
+% 4f4f488afaad4f95eaf4b4292479ffaf20205ecfeb71506060606075f3b94f4f4f4b404ff3c55bc3
+% f155000000000000000000000000000000
+% 0000000000000000000000000011acf06a20202fe7cb20201c1b202fd5d52020202079e5f2e8faf7
+% eef1cebaddf9e57920202020a6ed3d1d1d202020e5cb20202020202fd1dcb9b5e3e7cbb6b5ddfbb3
+% 1f0f0f0f0f8ff42020192020a6eb2f2f2f2f1fa6e63fdea06f6fddefedfaf7c71f0f0f0f0f0f9fe9
+% 202020232fcacf20206af4e02ee3c412282f2f2f8ffdf3c0c8f4f08c79d1fbc78080e7fcb16f6f6f
+% 6980e9f29eedf6804040d5df805c4f4f4fefc66f6f6f6f6f74d5f4f8e9e6ce2f2f8ec679eec0566f
+% 6f6f6fefb34040324040f7b5606060606bccfcd39ea1bbdfd7979dd5dc6e6f6f6f6f6fddea4f4f4f
+% 484866f1b94f4f4f4f95eafad7adc4eee9f5f8e2f6eca060606060e0de5b4f45454f4fd6ea5b4f4f
+% 8af2ae1100000000000000000000000000
+% 0000000000000000000000006cf7b42f202020205bff872020201e1a2df3cb2079e5f2c04f423dc3
+% ffddddd1ffffaf202020202020d5ef20201d1d205bff5720202079e5f2dab1b7f9d9d9d9e3fff6a8
+% 0e0f0f0f0f0fe3cb20201d1d3df48f2f2f2f2f4ef6ebc0bcbce9f9cff4cf79d1fa88130f0f0f2ff3
+% 872020202183f94ab8f8940f0f4ff63f0012282fb7fadec0c0c0eff9f8ed90808080bbf8c96f6980
+% a0b8fbad8f8fcef9c264fcb2584f4f4fa1f8826f6f6f5badf8b82fb5f1c9f6df9e9ea4d9f9826f6f
+% 6f6fb1f6593a3c4040d3ec60606060605bbff5ffe1cfcfcff7a39cd0f6eea96f6f6f93ff7e4f4848
+% 4f4ff3de4f4f4f4f4f47baffffd2cfcff784292f3cbaf5eca060daf659404b4f4f4fa1ff7e4f4f4f
+% 4f5bc3f86c000000000000000000000000
+% 000000000000000000000066ffffb120222020202097f33d202020202063d6dfb07d424f4f4fc0ff
+% a05f87faad95ffb42a222020202fd7d82020201d1da6e72079e5df904e6075faad4f4eb7ff9572ec
+% e832110f0f0f4fff572020201a97f52f4b90daffebbfa08ed1ff95d0ee796f6f9ff8e6511d110f8f
+% f42020204c66ecffde2e0f0f0f0fc3d300000012fcffc9c0c0c0c0f5f7808080808091fff980a0a0
+% a0eee38f8f8f8f9eebfff389724f4f4ff8bc6f615b81e7f46a20202fe7cb8bffc87a8fb6e7ffe4b2
+% 826ff7a6354040406fff8a6060604e67eae85882ffad202097f94a2f2975dceea96feeb948484f4f
+% 4fe1e05b4f4f47404bc0ff8ca6fa6d2097f94a2f2f2f296ba6dcdf814f4f4f4f4f66f5ad4f4f4f4f
+% 4f42bbffff660000000000000000000000
+% 0000000000000000000066ff8c8cffb42f2a21212120d5e3202f6aa6e7ffecff954f4f4f4fc0ffa0
+% 4a62f1b94f4f95ffb42f2f2a22204cf3cb2020204c71d5eaa47060606075f3b94f3db9ff954f4f5b
+% d2f5792a170f0f9fe62020204c68f6eccaa47b5e606060c6ff5e8fff956f6f6f6f79d1fec2a68967
+% f4eadaffffebeaf9200f0f0f0f0f3fff5c0000acfcf3c0c0c0c0b3ffff8e8080808080e7f8d5a0a0
+% c2ffa68f8f8f8f8f86fbedefffffe2eff99daebcd1fdb82f202020205bff8750ffba404040426292
+% c0e0f77d66404040ecc060544f6099f4ca3d2f2f82ffae1b20a6f04a2f2f2f488be2de8e724f4f4f
+% d6f67247404b4f4fc0ff8c4040b3ef381da6f04a2f2f2f2f9ef8f0ffecb98a5b4fe7de4f4f473d48
+% 4fc0ff8282ff6600000000000000000000
+% 00000000000000000066ff8c40408cffb42f2f2f3d6c9cebe9fff1ddaa5940baff954f4fc0ff8a47
+% 4ff3de4f4f4f4f95ffb42f2f2f3d699fece6daffffebe2fbd780606060e0de5139baff954f4f4f4f
+% 4fadfec29e9e8465f5ebdaffffebeafbb56060606060c6f2514af7bc6f6f6f6f6fc5f2f2f1cfcfcf
+% dcf1a8792f2f2fe7c80e0c0f0f0f0f9fe70000faf8dec0c0c0bfbfeee3c88180808080bbf0f7a0a0
+% f5d38f8f8f8f7893efd16f6f6fa3c2f4e1d6d6d6f5f6f5b1242020202097f33d44f1ba4040404040
+% a6f8efeeffffdff1f894a5b5b5d0fd9e2f2f2f2f2f82ffaf1b2bd5d72f2f2f58cafaeaefffffe1ec
+% e4aa7e5b4f4f4fc0ff8c40404040dbf11e26d5d72f2f3dcaf48e4f66b1e1f4ffeeeeab805b4f4f4f
+% c0ff822f2f82ff66000000000000000000
+% 000000000000000066ff8c404040408cffe8cfffffffe6e6f883292f353f4040baff95c0f4704f4f
+% e1e05b4f4f4f4f4f95ffe8cfffffffe5e5f86e4028313e59d3ffb56bdaea3f40baff954f4f4f4744
+% baf1f2f8d3cfcfcfdcf8574e39404085f6d76b6060c6d6452fe5e46f6f6557c8f2e57920e58e2020
+% 20e5c72a2f2f2f66f84b0f0e0c0f0f2ff376b3faffc9c0c0c097dac0aaf3568480808091fff3cdcd
+% fa9e8f877c9ea0d5f8796f6f6f63e0e94040409cec60a0ecf5b82a272220d5e32037d3ba40404dcf
+% f5996060627faef9ded9d9d9dbfaf6f5b5302e302f2f82ffaf2024e5ce3d9effd9756056526c94fb
+% e8eaffffffd4ecff8c40404040404dddd92022d8ce58e8ea664f4f524a4b4e9afbe8eaffffffd4ed
+% ff822f2f2f2f82ff660000000000000000
+% 0000000000000066ff8c40404036b5f1e5f896894a2f2f2f9ef94a2f2f2f2b2a2a88e1d4784f4fd6
+% f6724f4f4f4744baf1e5f897873d202020b5ef202020201e1f47a6ddd5aaa6d3efaf5244474fc0f2
+% e57920c6ce1d202020c6d60f0f0f172954ecee80c6ba4466cef0c3bebcd5f7e57920202079f11e20
+% 205bf749272f2f2fcad60f0f0f0f0c0e8ff4fbeff4c0c0c09860f7a075ff6f5580808080e9e5f7fa
+% cb887e9fa0a0acfb9f6f6f696c9ef873404039f5a0606060a0ecf9cca6aaadeaca5b36b5ba66eaec
+% 755c53646f82f2b94f4f4f44dbd760a0ecf5ba40393543a7eeca979bd5e6bc6f525660606060f4ca
+% 60606075a9b4f9ebf4b6373940404066f5cc2042c7ebac4b4e526060606075fbb560606075a4b8ff
+% ebf4b1272f2f2f82ff6600000000000000
+% 00000000000082eb92323540baf1e57920b5f02f262c2f2f2facf04a2f2f2f2f3dbdf9eafaf7eeef
+% 9f5244474fc0f2e57920b5ef1d1d2020202fe7cb20202020202097f7e6ddb5faeaf4ffede5f7e579
+% 2020203dff841b20203dff7e0f0f0f0f0f1169dbd9ebffdbf9dbd2d2dbfaff7c2020202020e5b41e
+% 2020c6ce2f292c2f58ff650f0f0f0f0f1fdefbf8dec0c0aa6087ff6b60e3c94052808080bbf5f7da
+% 8aa0a0a0a0a0efd16f6f63828fe3cf404039c0ec6060606060a0fff7d9cfcfd9f8c9ffe9d6eb9e5b
+% 6f6f6f6f6fe5de5b4f4a44a1ff75606060a0ecf9e3ecfff3e7f993d2def9b5606060606060daec6b
+% 6060605858f3c54f95eaf4ba4039364798eef0fff1fce18a606060606075f4c06060605a4e99faad
+% 4f95eaf4b42f272489ea82000000000000
+% 000000000066ffe5f9f7e4f8e5792020202fe7ce2f2f29292f3dd8d72f2f2f74f5e6756053a1fae7
+% f4ffede5f9e5792020202fe7cb201d1d20205bff872020202fa6f9995858e3cf404059b6ffff8620
+% 2020202097f5201b1e2097f40f0f0f0f0f0f8ff7ecab76e9bd2f2f3be8c6a9ff8a2020202079f12f
+% 1e205bff632f2c292face90f0f0f0f3cdaf5c1ffc9c0bc6660c6e36060aaf3404086808091ffb5f3
+% c6a0a0a0a0d5f879696c8f8fabff7340394ff5a060606060a7ff82ace32e2020b8dd1e8ee1ffa96f
+% 6f6f6f6fccf7724f444a4ff7b56060606060a5ffffaa3d2020c6d60f1e79fbc06b606060a9ff8a60
+% 60585860daea5b4f4f4f95eafae3ecfff3e3f87d2347d0ffca75606060e1e16b6054546075f1b94f
+% 4f4f4f95eafae1f6f8e2ff660000000000
+% 0000000066ff8c4040c8fff87120202020205bff8f2f2f2f2c263bf4cf3dbdf9ad4f4e6075faad4f
+% 4f66d1ffffaf20202020205bff8720201d1d2097f33d202fd5f1655860a9ff5940407ffaad95ffa3
+% 1d20202020e5cb201d1c20e5c80f0f0f1f9ff9a86880c7f53d2f2ad3e4796fa9ff9f1e202020e5b4
+% 2f1e20a6d72f2f2f274bf57e0f0fb7bac2d5d2f3c0c06e6060e7b5606075ff6f40405a8080e8c9cc
+% af71b2a0acfb9f63828f8f8fe6b340394fc0ec6060605bb6ff822f3dd8ce1e202ff48e011ebaffa9
+% 6f6f6fa3f9954a444f4fd7ec606060604ebaff829ef96d20203dff7e0f0f2ef2e16b6075f6b56058
+% 586060a9ff7e4f4f4f4f4bbaffffc43d202097f93d201c3dcaffb56bdaf7694e5b606060f3de4f4f
+% 4f4f4f4785f8ffc0202079ff6600000000
+% 00000066ff8c403ab8ff8ca6f44a282122202097f34a2f2f2f2f2f6dd9ea9d5960606075f3b94f4f
+% 48bdff9595ffb4282122202097f33d2020201d1dd5e34cf3ab5c606060f6a640404ff0b94f4f95ff
+% b42a1e20205bff5720201a5bff4b0f1fd2eb73808090f9742f2ab1f88c6f6f6fa9ffb01c202079f1
+% 2f2f1e3dff8f2f2f2f2aa0f53cd391a8ff80f7dec083606060fa8a606060e3c94040446b80bbf466
+% ff5d218befd26c8f8f8f8fc3ff59394f4ff5a060604bc4ff822f2f2f58f5ab1c206af820000793ff
+% a96f82f2b9444a4f4f7aff8a605a5060c6ff822f2facee38202097f40f0f0f1388f780e9e1585860
+% 606075f6ad4f4f4f4045c0ff8c8cffae1d2020a6ef3d2020203381e0e27f6060606060e3e05b4f4f
+% 47404b66f49e82ffae1d2079ff66000000
+% 000066ff8c3a3bbaff8c4040cfe92f2f2f242121d5e52f3d74ace8ffebfbd780606060e0de5b4848
+% c0ff954f4f95ffb42f2f242121d5e32020202f5b82d5d86e60606060d9e9403939f2de4f4f4f4f95
+% ffb42f2e1e1ea6e72020201ca8e63ff2ac7b808080e9bd2f2779faa96f6f6f6f6fa9ffd03f1d20e5
+% b42f2f1e97e82f2f2f2f3defbb8080ddb587ffc988606060a9f860606060aaf3404040447191ff6f
+% a6d4000075838f8f8f8f8feea6394f4fc0ec60576ddbff822f2f2f2f2f82f8701a20b8dd00000052
+% eea9e5df524f4f4f4fedc05b516060c6ff822f2f2f2fd8f01c1c20e5c80f0f0f0f28bee1a58a6b60
+% 6060e8de4f45414f4fc0ff8c40408cffaf1d1d2fd5d52020204cc6f9f3ffe1aa7560daf67247404b
+% 4f4f4feaca2f2f82ffaf1d1d79ff660000
+% 0066ff6b3b40baff8c4040404deacf2f2f2f3d6798deebfff2ddaa594059d3ffb56bdaf651484fc0
+% ff954f4f4f4f95ffb42f2f2f5889dee9ccffffffe5e6fad780606087ff733540dfe05b4f4f4f4f4f
+% 95ffd69e9e967cf6e097979797f6eb8a80808080c7f53d294af2c66f6f6f6f6f6bd7f4ffffd85a79
+% f12f2f2f2ff48f2f2f58b2888080c6f56bd2f3a166606060ddca6060606075ff6f4040404978e8c9
+% 4df39d0000107d8f8f8fc3f6494f4f4ff5a085e3fffff8cf3b2f2f2f2f2facee3d1c2ff48e000000
+% 0bb4f8b5adadadade7f89eb5b5b5e0ff822f2f2f2f2f3ddad9201a5bff4b0f0f3fc2f9ebebffffff
+% d8efe39a714f4f4fc0ff8c404040408cffaf201d27f3cb2f97ffd8756087d2f0fff4e4aa7e664f4f
+% 4f4fd5e83d2f2f2f82ffaf201d53ff6600
+% 44d76c4040baff8c404040404066fdeacfffffffe6e6ffba363438323238346dbdf4d9784f4fc0ff
+% 954f4f4f4f4f4fa3ffe8dcffffece3ff8a4c39313c4059d3ffb56bec9e3740d3f6724f4f4f4744ba
+% f1e5f8b8cfcfcfd6ff9d92c3d9e3fbdf99808090f9762c2fdde4796f655765bdf8b82f97f6d0ecd3
+% ede074582fa0f53d9aab80808090f7a060f7db6760606060f0a06060606060e3c9404040404abbf4
+% 408cf52000000050a38ff7ad4f728ae7f2e0f3d7f9bc79d1fba734292b2f3dd8d9201c6cf8200011
+% 99f6ece0e0d1afb9ffded9d9d9c7faedf5b5302e302f2f58f4cb201b8ee61f8fffd8756060535d70
+% a4ffe8efffffe1ecff9b4040404040408cffaf202055cfedc57e52514b54505299fae4eaf4ffffed
+% d4e9fc582f2f2f2f2f82ffaf202054d044
+% 11bcf0f1d9f0783338343438b6f1e5ffa0824a2f2f2f82ffba40404040404040a6f8effaf7ecf282
+% 3f44423d4571d2f8e5f891792f2f2f9ef9792f2f2f2f292a50abe1d5a6a6d9ef9f5244474fc0f2e5
+% 7920b5ef1a20202097f9792f2c2c4dcdffc488e9c13966cef995676f6f82e7f46a202020a6e33d63
+% d3f988cfffdfeeec8780808080d3d56087ff8d6060606075ff756060606060aaf340404040406cff
+% 6f40ccbc0000000010aff1e4ffe9c5fada7a5beac66f6f6f9ff8e659403d396ef6ca5b2bbcdd33cf
+% eda06557656fa3faad4f4f4f40f3ca60a0ecf5ba4039354395eed39797cee9bb7151536060606099
+% fbb560606099aef9ebfad168363238363678f8e7f5f8e6fab560606060606075fbb560606060879f
+% b4ffebf4b129262629256cefd3f0efba11
+% 0000003389eae58c4040baf1e5792097f97928292f2f2f82ffba404040404db3fa996060a4faf4ea
+% 954f4fa1e4ffb85b20b5ef1e242f2f2facee4a2f2f2f2f2f2f9ef8e6ddc8f9e6f4ffede2f9e57920
+% 20202fe7cb1e1b2020a6ed4a2f2f2f2f4087e0f8e1ffcdfbeff5fff0dffdb82f2020202020d5e52f
+% 2fbddf0f225fc7fbdf998080aeff806be8f06060606060c6ee60606060606075ff6f4040404040ea
+% e34d66ff5c000033bff8e2a58c8fecc74f4feae46f6f6f6f6f79d1fed4ecfff3ebfaa5ffdef7efa3
+% 646f6f6f6f82f2b94f4f454ad7ec6b606060a0ecfbe3ecfff3e2f8b0d2def9b560606060606075f2
+% c06060605858f3c54f7ec7ffe59840408ce9f3f9822a2f79fbc06b60606075f4c060606060545299
+% faad4f95eaf4b42f2f82e3e98933000000
+% 00000000000066e1e9f4e57920202020a6ed4a2f2c272c2f82ffba40404ddbf375575175f1b94fc0
+% f4f7faf4973d2020202fe7cb201e242f2fd8f02f2f2f2f3dacf999586df0b3404059b2faf8cf2420
+% 2020205bff87201d1c20d5f02f2f2f2f2f9ef8ed9e79dfe72f2f4a8ff7ffed7624202020202fd7cc
+% 2c3df5940f0f0f1f86efc488e8c7c0f1f9fccc6b606060e1b560606060606060e3c94040404dc2fb
+% f6e6b3bde01188f8bd7d8f8f8fcef75b4ad5e5796f6f6f6f69c4f1f1f17e2e0f0fe3c71359e0fabc
+% 6f6f6f6f6ff4de4f47484fa1ff8a606060605ad4f5f79e2e0f0f9fec2e1e79fbc06b60606060f4e1
+% 6060585860daea5b4f4f4f66adf7fbf6f3a90f9fec2e121f4af2e16b6060e1e16b605a505b6075f1
+% b94f4f4f4f95eaf7e7e066000000000000
+% 00000000000000008ff54e202020202020d5f02f2f2f2f29287cffba66f5ce5d576060e3de5b4f4f
+% 8ffff8d02020202020205bff8720201e243ddadb2f2f3dd8f2655860e3db4d404056f2c080eeec4e
+% 2924202097f33d20201c2cd7db2f2f3dcaf5957680a0f8662f2f2ca5f088c4ffd5552f2924204cf3
+% c22c74f82e0f0f0f0f1467c5fdffc7d7f88aeaf7956060f59560606060606060aaf3404080f6e14a
+% f4bca6fffbf0b38d8f8f8f8f9efa8a4accf88c6f695b5bc9f1e36f0fe3940e0f0f4ff64b0f0f4cf7
+% da796f6fe5e056454f4f66f6b56060604f6ae9e53f9fec2b0f0f1fd2d50f0f2ef2e16b6060e4e36b
+% 58586060a9ff7e4f4f4f4f4f47d4f6ff660f0f1fd2d50f0f0f24bff780daf76a525460606060f3de
+% 4f4f4f4f4f4766f68f0000000000000000
+% 00000000000000000089e23d2a222020202fd7db2f2f2f2f2f2f7fdbd78560606060c6f7724f508b
+% fbb580eeeb45222020202097f33d2020201e41f4cf58f4ab5c6060c6f666404047e1e16b606bd7f6
+% 85402f2822d5e32020202037e5ce58e8c179808080e7ca2f2f2938f7b3808099dffddaa6a6a8b2c2
+% eec02cbddf0f0f0f0f0f6fffe67e8fefbc6f6fbffacca2ff606060606060606075ff7ac2f99c2020
+% 97e6403fd8ffbc8f8f8f8f8fecc74bc8f2d1c4bdbce3f6e36f0f0f0f6ff00e0d0f0fc2d50f0f0f13
+% 93ef8cddeb5b4f4f4f4fe8e160544e6099f3c21f0f1fd2d50d0e0f3ff3a90f0f1388f780daf77058
+% 60606075f6ad4f4f4f474062eae8589ef969100f3ff3a90f0f0f0f4ec3e28e606060606060e3e05b
+% 4f4f47404b5be68a000000000000000000
+% 00000000000000000000bec72f2f2f2a22204cf3ce2f3d74ace8ffedffa060606099f9954f4c6ff2
+% c060606bd7f6792f2a222020d5e32020202f5b83d6cf6e60606099f88c413a4fc0f78060606060b5
+% fbd9a6a6a8b9e1d3979797979bd6d88b80808080aeff582f2a3fbaf08080808088fafff2d6cfcfcf
+% cff8bd3df5940f0f0f6fffbc808fc3ff796f6f6f82eaffd7606060606060606060e3ffe13d202020
+% 2fff98403997ffbc8f8f8fcef757c9f9d9d9d9d9edf6f5400f0f0f0f0fe3a90f0c0f3fff650f0f0f
+% 0f28b8dfb0adadadaddde6c4b6b5b5e0fa8f0f0f0f0f3ff3a90f0b0f6ff6650f0f0f28b7e2a58a6b
+% 606060e8de4f47404b4f8ef4ca3d2f2facee3b140f6ff6650f0f0f6ffff3ffeec0956b60daf67247
+% 404b4f4f4fcfbf00000000000000000000
+% 0000000000000000000011df9e2f2f2f2f4b699fecebfff2ddaa5940baffa06075f1b9505360f4e1
+% 6060606060b5fdd79e9e9ea4b8ebe9ccffffffe5eaf9c06b6075f0b33f4b4f8ef9a0606060605ba9
+% fff9d2cfcfcfcff7aab4d6d6d6defbc480808080f0ac2f2c4040f7b38080806cddda79d1fb9e2020
+% 20b5f1aa82f82e0f6fffa78f8f8fedc66f6f6f6f6f74fbed4f4f4f4f4f4f4f4f5bf8f92e20202020
+% 20a6e340404075ffbc8f9efa94c2f4c54f4f66eae74ca6e9210f0f0f0f6ff00f0f0c0f9fe80f0f0f
+% 0f8ff7e7e0e0e0b4b8f8d6d6d6d6d8f9ff880e0f0f0f0f6ff6650f0e0d9fec2e0f1f9ff7efebffff
+% ffd8efe3bfafadadadd9fc9e2f2f2f2f2fd8f02019119fec2e0f6fffc66075b9e4f5fff0e4aa7e66
+% 4f4f4f4fade11100000000000000000000
+% 000000000000000000000033f0c8cdeafffff2e5dbf783292f353f4040baffa0e3d6536060e4e36b
+% 6060605e49d3f6f9a6cfcfcfcfcff78f523d353f4085f1e180e3c9474f4f66f2c06060604e54c4ff
+% 8ca6fa38202020a6ed4a2b2a384085f7df8880bbf54a314040baf08080805ca1ff826f6f9ff8e43d
+% 202fe7ce87cde26fe9968f8f8fabff826f6f6f6f63e2f0f5954f4f4f4f4f4f4fadeeeeca1d202020
+% 203dff6f40404055d9bceed4aaddea5b4f94f4c62f202fd5d60d0e0f0f0fe3a90f0f0d30f37e0f1f
+% c2f3a36f60515b75f0b340404050faad95ffaf1c110f0f0f9fec2e0f0f14b8d53fd2ee996060565e
+% 74a7f9d9d9d9d9d9b9f9f7ce272f2f2f2f3ddad920201fc6d56fffc660605f524a4494f9e2e9f4ff
+% ffedd4d1f1330000000000000000000000
+% 00000000000000000000000076f68079572020202097f94a2f2f2f2b2a2a88e1d7816060daf7805f
+% 51424966dcf458baf01d1d20202097f94a2f2f2f2b2a37a2dfd8815b4f4fe1e16b544f6060c6ff8c
+% 4040b3f1381d202fd5db2f2f2f2b2a4ceef199f6a438404040f7b38072544ff8bc6f6f6f6f79d1fd
+% d8205bff8f53d2e78f8f8f8f8febcf6f6f6f6a789efba2d2eb4f4f4f4f4f4f72ffa395fa4a251e20
+% 2020b9dd4040404040bedf87b1ff7e52e5fa97202020204cf4a90f0b0f0f6ff00f0f0f0e97f43fe5
+% ea6e515b606060e3db4d403b4ff2b94f4f95ffb42f2a170f1fd2d50f0f1f54cae6b4595256606060
+% 75faad4f4f4f4848f3c572f6d94a2a242a2f58f4cb202050cfe6984545484f4f4f66faad4f4f4f4f
+% 7a9698f882000000000000000000000000
+% 0000000000000000000000000089f02f1b1b20202020a6f04a2f2f2f2f3dbdf9e9faf8f0ed6e444f
+% 4f4f66f1d83d2f3de8cb201d1d2020a6f04a2f2f2f2f3dbdf9eaf4ffedecf87f5a606060c6ff8c40
+% 40404ddbd61e1b204cf4b42f2f2f2f2f2b7ae1f657404040baf08063524fd7ee6f6f6f6f6f698aff
+% f8eea997f34a39aacb8f8f8f9eff956f6f5f8d8fe5df8080f5954f4f4f4f4fd3dd6f6fdad12f2e1c
+% 20205bff59404040a6c17582f6adc3f3f5ff561e2020202079f7650f0e0d0fe3a90f0f0f2df5e88d
+% 5b6060606060c6f66640373cdcde5b4f4f4f95ffb42f2f2f2652f5e4e7fff1e1fbcc6b6060606075
+% f3b94f4f48484fd6ea5b4f5bdef24a2f2f2f2754eae7f5f8e1fbc75b4f4f4f4f66f3b94f4f4f4f45
+% 445bf38a00000000000000000000000000
+% 00000000000000000000000000009bd22f201e1a1d202fd5d72f2f2f74f5e5664f4498fff6ffb97e
+% 4f8ef9ac3d2f2f2f66ff8720201d1d2fd5d72f2f2f74f5e67560605ea4fbf9ffc08a60c6ff8c4040
+% 4040404df5cc201b1d79f7792f2f2f2f3dbdf9f9ffb37340f7b2544f4f7aff956f6f6f5e6aabfbb5
+% 80eef1e0eae52f2f72d7978fe4db6f667f8f8fabffa28080d2eb4f4f4f4f95fa826f6f95ff632f2f
+% 281d20c6d6404dc99c6f6feaecf5f9be3d9ef96d1b1a202020a6ec2e0f0f0c6ff00f4f9ffff5fbcc
+% 6b6060606099f88c3b3640d3f65b4f4f4f4f4f95ffb42f66acfff7f98d3f3d4059e6f795606060e0
+% de5b48484f4fa1ff7e4f4f4f5bb9fa792f66acfff4f974282f4ae3f78a4f4f4fdede5b4f4b424b4f
+% 5bdb9d0000000000000000000000000000
+% 000000000000000000000000000011cea6202020201c1b2ef3ce3dbdf9a440414f8efaad4fa1deff
+% f7fc9e2f2f2f2f2f2f9ef43d2020201d27f3ce3dbdf9b3574b576075f2c060a9e1fff7ff8c404040
+% 4040404066fdd74c1e1ba6ed4a2f2f74f5e67560a9dffffcf37e5b4f4feec66f63617e8090f3c060
+% 606bd7f7bbf8e2745849ccb3fba9678f8f8f8fe9cc80808080f5954f4f5bf7cc6f6f6f6fc6db2f2f
+% 2f2f1f79f97cd3818c9febfbf0f5742f2f2facee3d20201a1c2fd5d60f0f1f44e9fbffdaa14f66e7
+% f795606075f0b3373c66ddfd724f4f4f4f4f4f4f95fff4ffd58720a6ed4a2f2b2934a2facc6bdaf6
+% 51484f4f4f66f5ad4f4f4f4f4f4fadfdf6ffd58720b5f02f2f262693fac75bd6f65a44454f4f4f4f
+% b9cf110000000000000000000000000000
+% 00000000000000000000000000000011ef97202020203d5b96dce4944a4f4f4f66f1b94f4f4f5094
+% f9f7dd4b302e302f2f2fd8e42020202f5b83d5e69d586060606060e4e16b6060607afbf9cf664040
+% 4040408ce9f3ffdce7a678c5db3dbdf9b9606056524e94ffedf4ffedeff96c7580808080f5e16060
+% 606060b5fddcbfefffffddd9f3818f8f8f8fc3ff9180808080d2eb4f4fadee6f6f6f6f6f82ff8f2f
+% 2f2f2f29e9f0e8fffaf3f5fdbd3d2f2f2f2f2fd8f0202020201d4ff5dfe7fff0e5ff8a4044474f4f
+% b1facc6be3cf8ab3eae5fff4ea954f4f4f4f4f72d2faf9442020202fd5db2f2f2f2f2f3183dfde9c
+% 7e5b4f4f4fe7de4f4f4f4f474459ddf4f7752020202fe7ce2f2f2f2f2e83dfe3aa7e664f4f4f4fad
+% f111000000000000000000000000000000
+% 0000000000000000000000000000000033f0c4c9e8fffff1e4e2ff954f4f4f4ff3de4f4f504970f1
+% b972def085404039467badece9ccffffffe5ebffa06060606060c6f78060605a54e8cc75d9ffa64d
+% 408ce9f3b42f9ef995c4f1ffe6e8b859525660606099fbbc6f6f82a7fbfddf99808080e8e36b6060
+% 60625684faf8f1bde6bbabe1fccb8f8f8f8ff2c4808080808080f59572ffa36f6f6f6f6f6fbcec2f
+% 2f2f2f9ef9efd1d0e9ecf6ff74262c2f2f2f2f3ddad92020204cc6fbf9793d202097f98e4f4f4f47
+% 444cb3e5eafff4d4acfaad4fc0f4ea954f5badffc620aedb041720204cf4b42f2f2f2f2f82fff0ea
+% ffffffd4edeeb58653474f4f8eedd23f9fec2d1620205bff8f2f2f2f2f9ef8eaeaf4ffffedd4d1f1
+% 3300000000000000000000000000000000
+% 000000000000000000000000000000000082ff9b5e562f2f2f2fb4ff954f4fe1e05b4d4c6060e3de
+% 5b4f5bb9fdead3ffffffe6e6ffca8159404040baffa060606099f9a060604e60b9f76b606099e9f8
+% f5f3b42f2f2f2facee472979d9ffa0606060606075f3c66f6f6961ddd266d8ffc488e1f780615c53
+% 646f6ff4ca6bcdfacdbde95a86f8e2978fc3f988808080808080d2ebd3dd6f6f6f6f6f6f6f79f88f
+% 2f3dcaf5b58de9baece74c97f9792f2c26262c2f58f4cb2f97ffc420bec60f1a2020a6ee664f4f4f
+% 4f4f95ffe6a3596ff1b94f4f4f4fc0f4f6fae85c000011f38e00061b2079f7792f2f2f82ffcc6f6f
+% 6f8291d3ffe7e9ffffffd4ecfb9f1f0f1fd2d50f0e162097f34a2f3dcaf499606060607679adff82
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000066ff822f2c26262c2fb4ff95d6f66c4e606060c6f772
+% 4f4f4f86ffffc97b3d20202079ffb42b2a384040baffa06075f2c0604e606075fa95606060607df9
+% f8d0302f2f2f2f2fd8f02f2a2ab4ffa060606060f4e46f6f5a6fa3ff724f4f8eedfdeb715b6f6f6f
+% 6f6fdded6b606095f7e779afef99caf3a6f9c48080808080808080f5fb826f6f6f6f6f6f6f6fbcf8
+% 58e8d9b9dda7a3f4c62f2020a6ee4a2f2f2f2f2c2645e1fae55c000033ff650f0f1d20d5f14f4f4f
+% 4f95ffcc605860f3de4f4f4f4f4f4dd3f5f6380000000055f7200000081da6ed4a2f82ffcc6f6f60
+% 515bc6ff954f4f4f6698d4ffff690f0f0f3ff3a90f0f0e16d5e558e8eb7560544b536060a0ff6600
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000066ff822f2f2f2f2c2673e7da616060606099f9954f
+% 4f4281faad95ffb4262120202079ffb42f2f2b2a38baffa0e4e15c5b606060e8cc6060605a5bf1c0
+% 80eeec522f302f2f3ddadb2f2f29a2ffa06060e4e5785a6f6f6febad4f4f4f4f4bf5fbd1796f6f6f
+% 6fb1ff8a606060606bccfcda88aedaf9ebf288686f6f68757276cefffbd356535c53535f5a5e79f0
+% f6fcccb29fe5fb972020202020d5f02f2f2f2f2f3dbdf9f3000000000088e40f0f0f102dd7df4f4f
+% 95ffbb566060e3e05b4f4f4d4a6fe9e53f9fec1c00000000aedb0000000014d5db82ffcc60515b60
+% 60c6ff954f4f4f4c50c6ff8ca6fa6d140f0f6ff6650f0f0f15b7eba651566060606060a0ff660000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000066ff822f2f2f2f82e7f3fbd780606075f1b94f42
+% 3b59f0b94f4f95ffb42f2c23202079ffb42f2f2f2f2b84ead86160606060b9f76b60604542dfe16b
+% 606bd7f68540392f3058f4cf2f2f2f6af2a0dbf876696f6f6fccf65b4f4f4f48c4f770e8f89f6f6f
+% 82f7b560606060625670fbf9d466736d8c8683a3b0b0eaf19ed7ffa98cf8e27587e9e6afafa68d90
+% 96797e72d5f6f94b27242020202fd8db2f2f2f74f5df3df3a00200000011f3a90f0f0f0e2df3d595
+% f58b606060daf6724d4a5a6099f3c21f0f1fd2d50e04000011f38e000000000bbae3975b60606060
+% c6ff954f4e4c5a60c6ff8c4040b3ef3d1c140f9fec2e0f1f9ff7f9f7b57560606060a0ff66000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000066ff822f82e7f2c04f66d7ffb56be3de4b3b40
+% 40f2de4f4f4f4f95ffb42f2f2f282274ffb42f4b90dafff2fbd780606075fa9560474440baf78060
+% 606060b5fbd9a6a6a6abbfeeda9e9e9ea3d9d66e6f6f6f6f82fa954f4f4b5a6febad4f4fb1fbd179
+% eae160615c53646f6febd18cf8dd5940404040404dc3f9faad4f4f4f4f4f4f5bc8fafbc85b4f4f4f
+% 4f4f66dcf458bde34040392a27224cf3ce3dbdf8940f0f8fe20f0800000066f82e0f0f0f0f18b9e2
+% b9b5b5b5e3e7c6b6b5b5b5e0fa8f0f0f0f0f3ff3a90f0d030055f720000033bef8f2ffe1aa7560c6
+% ff924c53606060c6ff8c40404040dbf120201c1fd2d53fd2ed8e4fa1e7ffcc8a60a0ff6600000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000066ffecf2c04f4f4f4f4f8eebfdd045404040
+% dfe05b4f4f4f4f4f95ffda9e9e9e9e9ebbdff1fff1cd7a4f66d7ffb56be8cc4f42404085f9a06060
+% 60605a7cffffd7cfcfcfcfcff7aab4d6d6defabc6f6f6f6fddd24f4f456d6fb1ff5b4f4f4f66e9fc
+% e6695b6f6f6f6f6fbff8796f79e4f35940404080f6e7668ef6d35b4f4f4f8af7e65959e6f78a4f4f
+% 4f66f1d83d2f3df5aa40404040403248e4fae02e0f0f0f1fff7e0f0e030000bec60f0f0f0f8ff7e7
+% e0e0c9c2f9d9d9d9d9d9e0ffff4e0e0f0f0f0f6ff6650f0f0b02aedb1188ffd4664f7acdf0fff4e7
+% cab5b5b5b5b5e3ff8c40404040404dddd920202026c7fcdf664f4f4f4f7ad7faf0ff660000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000082f6724f4f4f4f4f4f4fc0fff4e98c40d3
+% f6724f4f4f474459e4f6ffd5d2d2d2d2d2d2f88e3f44423d454276c2f5f95a40404059f1c0606060
+% 4c4c8dfbbca9ffb22320202097f94a2a2c3d85f7da796fa3ff7249616f6f6fe9b94f4f4f4f4f5af6
+% f98c6f6f6f6f6f82fb9f6f6f6f79c6fb854dc2f9b14f4f4f66edec725bc8faaa40404040aafac75b
+% 8ef9ac3d2f2f2f74f959404040404066f7f4200f0f0f0f0f9fde0f0f0f0a0033ff650f1fc2f3a36f
+% 5b6182faad4f4f4f4fc3ff8ca6fa6d150e0f0f0f9fec2e0f0f0f26f5efbf7444423d4542438efadd
+% dddddddddddefff7e44d373940404066f5cc2079e5f1ffc04f4f4f4f4f4f4f72f682000000000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000008af35b4f4f4f4f4fc0ff954fc0f3f7ed
+% 734044474f4fb1f9c24d8cffae212e2f2f2f9ef9664f4f4f4f4f4fadf9faffb37340dfe16b534851
+% 4f66f2c66f6fa9ffb42a232020a6f04a2f2f2941e1ef8cebad4c6f6f6f6f93ff664f4f4f4f45d7ea
+% d7f8796f6f6f6febd16f6f6f6f6f6fbcfbfce6664f4f4f4f4f4fd6fbfbe55940404040404059e5fd
+% fa9e2f2f2f2f2f2fbde3404040404df5cce5c60f0f0f0f0f2fff4b0f0f0f0f0488e43fe5e26e5b6f
+% 6f82f4b94f4f4f57c6ff8c4040b3ef3d201d120e1fd2d50f4f9ffff5faad4f4f4f4f4f4f66fbb560
+% 60605f4bbeff955bc7faaa404039363469ebf5f1b42f82ffc04f4f4f4f4f5bf38a00000000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000009ddb5b4f4f4fc0ff954f4f518cfaf6
+% ffb97e4f66e6f6804040408cffaf1e1e2d2f2facf1664f4f4f5bb9fa8e4fa1ddfff7f8754e4f4f4f
+% 4ff4e46f6f6f6fa9ffb42f2a232fd5d72f2f2f2f2c84dbf86e6f6f6f6f6fe5c54f4f4f4e5175f97e
+% 4fdfe4796f6fbff8796f6f6f6f6f6463f7f8806060606060606075faf98e4f4f4f4f4f4f4f4f72f7
+% f43a2c2f2f2f2f2f3df5aa40404ddbd6205bf73d17110f0f0fb3d50f0f0f0f0f1cf4efa7696f6f6f
+% 6fe2de5b4f5760c6ff8c40404040dbf1202020201a48f4f4ffd68f2f79fab95b4f4f4f66f3c06060
+% 5e454ac0ff954f4f4f8af7e5594073b3fff4f9692a2f2f82ffc04f4f4f5bdb9d0000000000000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000011cfb94f4fc0ff954f4d4e75f1b94f
+% a1defff3fdc24d40404040408cffaf20201d2a3dd8dc4f4f5bdef3664f4f514994fbfbd2724f4f4f
+% e1e5796f6f6f6f6fa9ffdd82663a2df3ce2f4b90dafff2fdd1796f6f6f82ff7e4f4f455f60dad24f
+% 4f66f4c66f82fb9f6f6f6f6451514fd9eae1e16b606060606060e3d3b9f1664f4f4f4f4f4f5bdedf
+% e9d22f2a262c2f2f2f74f95940b3f13d2020c6cb201e130f0f4fff2e0f0f0f1fb3f9f4ffe4b2826f
+% ddf658648aa0e5ff8c40404040404dddd92020204cc6fbf97b272f2f2f4af2de5b4f4fdfe16b5844
+% 4f4fc0ff954f4f4f4f4f5bc7fdf4ffd47e0f9fec2e121f2f82ffc04f4fb9cf110000000000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000011f1adc0ff8e4b576060e3de5b4f
+% 4f4f6dfaf7d2363537404040408cffaf2020201e34f4d572f6de664d47576075f2c075daffad5bd7
+% f88c6f6f6d5b5047d4f8f8f0ffffffd3e1f1fff1cd7a4f66e8f89f6f6fddd34f5056606087ff7e4f
+% 4f4f66fbbcebd16f6451514f4f4f66f97e66f2c06060606060a9ff665bdee14f4f4f4f4f4fb9f059
+% 73f84a2f2f2f2a262c2fbde3a6fa3d2020205bff57202019160fc3cb0f0f5ff3e5756087d2f1fff8
+% e8dffffffff1f7f7d134373940404066f5cc2f97ffc82e9fec4a2f2a242a48d9f672d7f760474f4f
+% 4fc0ff954f4f4f4f444242d2f4f73d0f0f0f1fd2d50f0f0f1673ffc0adf111000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000033f5d87460606060c6f7724f4f
+% 4b45e6c772eceb594040403736359eebd797979797a9d5e6954e6060606060e4e16b606099eafbea
+% 6f4948484f4f66dff7806bccfaa88fb4d2ffbb383a3f4c4f4fb1fbd18afb954d60606060e0b94f4f
+% 4f4f4f8efdf85f514f4f4f4f4f4fd6d24f4f8ef9a060606060f7ad4f4f72f7c04f4f4f4f95f98540
+% 40cfcf2f2f2f2f2f2f2a37f5fc702020202020a6d520202020176ff93db3f8b9606060535151daf8
+% ddc6a4b8fac75b72f6dc59404039363457e6fbe6650f0f1fd2da2f2f2f2f2f2778dfdebaadadadad
+% e0eda54242444f4f4f66e8e333aedb020b0f0f3ff3a90f0f0f0f3ac5f53300000000000000000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000082ffa060606099f9954f4f40
+% 4fb1f75b4f5bd2f585404d80b3eaffe9f8b2cbd6d6d6e1ffa06060606060c6f780606060616bfbfa
+% d2724f4f4f66f3e16b60606095f7e4452f82ffba40404040383846b8e9ee5760606060a9ff664f4f
+% 4f4f4f45f7ff724f4f4f4f4f4f7aff7e4f4f4fc0f7806060daea4f4f4f4f95f98e4f4f72f7ba4040
+% 4073ff632f2f2f2f2f2f58fff51a20202020203dff87202020201ae8f5ba5d515360606075e1f780
+% 6065e7f78a4f4f4f5bdef25940404066cffaf9250f0f0f0f3ff3b42f2f2f2f2f82ffe9e0e0e0d8c2
+% f9ecffecb98a5b4f8ef2be110011f38e00030d0f6ff6650f0f0f6fff820000000000000000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000066ffa06075f1b94f404f4f
+% 66fa8a4f4f4f4fadfbebfff3d99c3d2097f94a29384040baffa060606099f9a06060615669e9c766
+% d6ffad5b8efbc06b60606060606bccfdcf5582ffba4040404059a6f6f5fbb560606060edad4f4f4f
+% 4f4761ccecdaf6724f4f4f4f4fdeb94f4f4f4f4fe1e16b87ff7e4f4f4f4f4fb9f1665bdedf404040
+% 4040b3d92f2f2f2f2f58f4d2e9af1d1b2020202097e72020202097f9f8eda06060606075f4e1657e
+% d8fdc75b4f4f4f4f4f5bb9fa854da6ffc520aedb00040e0f0f6ff6792f2f2f82ffcc6f6f665175fa
+% a64059aadff4ffedf9880000000055f7200000040e9fec2e0f6fff66000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000066ffa0e3de4d4b4f4f4f
+% e6c74f4f4f4f4f71ffffbe202020202020a6f04a2f2a3140baffa06075f2c0605c596f6fbff75b4f
+% 4f8eeafbf59e524e544b4b544f68e8f7ffe0dcbeffba4073c3ffe6a14f8ef6d76b60a9f75b4f4a4a
+% 6b6f6ff5a060e3e05b4f4f4fa1ff664f4f4f4f4f66f2c0edb94f4f4f4f4f4f5bdee1b9f059404040
+% 404059ff8f2f2f2f3ddadd408cf320201d1a20202ff487202fc6f4a36fccf6eda06099fdcfc9eee6
+% fff7e95b41453d3d45414394f4fbe75c000011f38e0000030d0f9fec4a2f82ffcc6f5c556075f3b3
+% 40404040403fc4ffff3e0000000000aedb000000000ed2d56fff6600000000000000000000000000
+% 0000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000066ffd3514f4f4f4fb1
+% f75b4f4f4f3d7dfbb5a0ffb42a222020202fd5d72f2f2f2c2aa8ffa0e4e1685b6f6f6f82fa8a4f4f
+% 4f4f56fbfab5606060606060a9f6de6695ffb79bfff1f9f9d67a4f4f4f4f66edee80f7ad4b4c6d6f
+% 6f6fccec606060f3de4f4f4fecad4f4f4f4f4f4f4f8efcf75b4f4f4f4f4f4f4f72f7fb8540404040
+% 404040a6e92f2f2fd8f1404040e9af202020201a1e97f54ce7eb826f6f6f6fccf6faf0fff5a7c4ff
+% 9566def5a14f4f4f4f4f4fadf9f8120000000055f7200000000316d2da82ffbe525b606060dfdb4d
+% 40403f3d4ac0ff829ef9570200000011f38e000000000bb8ff660000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000006cf5cf724f4f66fa
+% 8a4f4a3e4259f1c06060a0ffb42f2f2a22202ff3ce2f2f2f3d66a2dfd36e6f6f6f6f6fe9c74f4f4f
+% 4b4be8c78ef6d76b606060daffad4f4f4f95ffaf2685f5e65d41453d3d454143b3f9ee5e6f6f6f6f
+% 6f6ff5a060606075f1b94fa1f75b4f4f4f4f4f4b435afdf94d404040404040404dfbfd48343c4040
+% 4040404df68f2facee594040408cf32020202020202ce9f8ba5558564f565252daf8d87b49c0ff95
+% 4f4f4fadffd64f4f4f5bd2f55caedb0000000000aedb000000000015bee7b78a6b606060d9f54d3f
+% 3d4a4f4fc0ff822f2faced2e0c03000055f720000033bbf36c000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000118affad5be6c7
+% 4b3d414040f3e160606060a0ffb42f2f2f3d699febead0ffffffe6ebfabc6f6f6f6fbff75b4f4f45
+% 5fb9f75b4f66edee8087f3ea7e4f4f4f4f4f95ffaf202a81f9b14f4f4f4f4f95eaf5fcbc6f6f6f6f
+% 6fccec606060606099faadf7ad4f4f4b4347576060dad7f6a640404040404040c2e6d2d340403c34
+% 343c4040a6f69ef9854040404040e9af202020202097f9f8eca06060606075eeee69534fc0ff954f
+% 4f4f4f4f7eecf37a72ece8200011f38e0000000011f38e0000000088f6efebffffffd8efe3a97e5b
+% 4f4f4fc0ff822f2f2f2fd8ef0f0f0e0400aedb1188ff881100000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000033c1f7f752
+% 40404040dfe36b6060606060a0ffeacfffffffe5e5ffc8695040404085f7da796f82fa8a4f445e60
+% 75fa8a4f4f4f4fd7fbfdc55b4f4f4f4f4f4f4f95ffdb795b3ca1e5664f95eaf4c04f8efbc6796f6f
+% 6ff5a060606060606099ffed524757606060606099ff80a9f659404040404080f96672ff85404040
+% 40403c3444ebff854040404040408cf32020202fa6f9a36fccf5eca06099f6a35a7e95e2ff954f4f
+% 4f4f4f4f4f5bc5fdfbc60000000055f7200000000055f7200011bef2996060606b7ed1ffe7e9ffff
+% ffd4edff822f2f2f2f2f3ddad60f0f0f0e21f4f3bb33000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000000000007ae9ff
+% b37340d3f78060605e4e433bd2ffffc6793d20202079ffba403c34343c59edef8ce9c74757606060
+% e8c74f4f4f4f4f44f6fac75b4f4f4f4f4f4f66e8f8f8eff4ffffd2e0f7f4c04f4f4f4f66f4e4796f
+% ccec6060606060605285ffff8060606060606060ecb56060efb3404040404df6b14f4fadeb404040
+% 4040404066ffff6a33404040404040e9af202fd5f2826f6f6f6fccf5f9e6defffff7f0f7f7e7664f
+% 4f4f4f4f4f5bc7faf1000000000000aedb0000000000aedb33e3e8755a4f4e5b60c6ff954f4f4f66
+% 96d1ffffb126282a2f2f2f58f4c80f4f9fffe77a0000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000044
+% 9cffece4643c3a3b404040dff67295ffaf1b1b20202079ffba404040403c348de8f85e60606060b9
+% f75b4f4f4f4456c6ec75e8f78a4f4f4f4fb1facc6b6bccfaa47ab4d2f6d34242444f4f4f66dff88c
+% f5a06060584f606ea3fbb5daf7806060606060c6f76b606099ff66404040c2e64f4f4f5bf7ba4040
+% 40404066f5d9b5fb7930302d3940408cf34cf3e0826f6f6c5b5653d8f8ddc698b5fac75b5bc7fab1
+% 4f4f4f4f8af7e02ee3a3000000000011f38e0000000012f4f09c4e5b60606060c6ff954f4f4f4544
+% c0ff8c8cffb42f2f2f2a28264be1e8ff9a4400000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00119bff8c4040404059f2e0724f4f95ffaf201e1a1d2079ffba404040408ce9f4fcd780606075fa
+% 8a4f4a465e6060f5a06060b9fac75b66e8f7956060606095f7e4442958e8ea664f4f4f444242beed
+% ee53576d6f6f6f82f2c06060e4e36b60606075faa060606060e3cf404080f9664f4f4f4f95fa5940
+% 40404ddde36060c0f14a2f2f2f312e33eaf6c456535460606075eeee80546ae8f78a4f4f4f4f8af7
+% e7665bc7f9940f0f6ff000000000000055f720000033bef9f7eca060606060c6ff954f4b424b4fc0
+% ff8c40408cffb42f2f2f2f2f9ef49211000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000066ff8c404085f0de5b4f4f4f4f95ffaf2020201c1b73ffba408ce9f3c04f66d7ffb56be8c7
+% 4b485f606060c6ec6060606075e9fbfdcc6b6060606060606bccfdd77669b6f48e4f5b8ab9ecffee
+% fcbc6f6f6f6f6ff4e160606060f4e1606060dad7606060606087f8734df6b14f4f4f4f4f4fd2d340
+% 4040dbf360606060e1f22f2f2f2f2f9ef9f3ffeec0956b6099f6c78695e0fdc75b4f4f4f4f4f4f5b
+% c7fdfbe12e0f0f0f0fe3a3000000000000aedb1188ffd4664fc0f5eca060c6ff9044454f4f4fc0ff
+% 8c404040408cffb42f2f3dc7df330000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000066ff8c85fab94f4f4f4f4f4f4f95ffdb9797979797b7ddf8f3c04f4f4f4f4f8eebfdf758
+% 606060606060f5a0606060606075faffa06060606060606075e9f8f8e4d9ffe7e5f4fff4e1b1664f
+% 8ef7da796f6fe6e36b6060606075f2c06099ff80606060606060d9e9c3e64f4f4f4f4f4f4f72ff85
+% 40b3f075606060606be3dc2f2f3dcaf4a36f82bfe6f5fff5ebedffcae6f8f7d64f4f4f4f4f4f4f4f
+% adf9fa300f0f0f0f0f6ff000000000000012f3fce88e4f4f4f4f4fc0f5f9e4c5adadadadade2ff8c
+% 4040404040408cffb458e2be11000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000066fff9944341453d3d45419af0f5f7ddbad2d2d2d2d2ffc04f4f4f4f4f4f4fadf9fcb5
+% 6060606060c6ec606060606865d9cfbaffa06060606060a9f6e17580eeec5c6ab6e7f3b83a3f4c4f
+% 4f66eeef8cddf78060606060606099fbb5ecb56060606060606075faf9664f4f4f4f4f4f4f4fadeb
+% a6fa9960606060606080f7d058e8ec826f6f6c5b56c1f4e9b07875edec7272f6de664f4f4f4f5bb9
+% fa65c2c71e1b0f0f0f0fe3a3000000000088f8fbad4f4f4f4f4f4f4fc0ffddddddddddcae3f8f7e5
+% 4d36363238363678f7f5890000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000006cf6cf724f4f4f4f7ae6ffa64d66f5d63a232f2f2f82ffc04f4f4f4f5bb9fa8e8efb
+% c06b606060f5a0606060776099ff6640baffa0606060daffb56060606bd7f685403965c7f2ba4040
+% 383871c9edff80606060606060606099fff76b4d52514b54505292fbffb44341453d3d4541435bf7
+% ff99606060606060606080fff0d18553546060c6f3be765a6099f6d25b4f4f5bdef3664f4f5bdef1
+% 2e0f3fff650f350f0f0f6ff00000001199f88e8efab95b4f4f4f4fc0ffa06060604e5cdef6725bc7
+% faaa4040404066cbf56c000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000118affad5b66d6ffc0594040404ddbf13d1e1e292f82ffc04f4f5bdef3664f4f66
+% f3e16b60c6ec60607a606060e9a6404040baffa087f4ec8a606060606060b5fddda6a6a6afceecf1
+% e4ffffeee5fbcc6b60606060606075e8fafab560606060606075fbb5a0ffc04f4f4f4f4f4f4fadfa
+% fae8756060606060606bccfaebf0ffffebf3e6d2b9b5b5b5e3fdad4f4f4f4f4f5bb9fa8e72f6d52e
+% 0f0f0f8fe50f0f0f380f0fe3a30011cfef664f4f66f3de5b4f4fc0ffa06057464b66f3de5b4f4f4f
+% 8af7e5594da6ff8a1100000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000033c1f5fcdb734040404040404db3fa7020201d217bffc072f6de664f4f4f4f
+% 66dff780f5a06967606060c6f54d40404040bafff4a958494b42424742448efff9dc798ba5b8d2e7
+% ffdf9d4f4f66e7f79560606060b9fac75b8efbc06b60606075f4c06060a0ffc04f4f4f4f5bb9fa99
+% 6bccfab96060606095f7ea826f93d3efffdcceb6a5947edef7ff85343938353d3c3f90f4fcc90f0f
+% 0f0f0f1ff3a90f0f0f1a226ff033f2d9664f4f4f4f66def672c0ff9b4a474f4f8efab95b4f4f4f4f
+% 4f5bc7fbf4be33000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000008ff6a63933383632353833398bf6d797979797b7ddfdd64f4f4f4f4f4f
+% 4f4fd7ffef6c6060606075f98c404040404039f6ff954f4f4f4f4f4f4f8efbbc8cf8df664f4f4f42
+% 5981c5e7e8a395bbfacc6b75e8f78a4f4f4f66f3e16b6060e1e16b606060a0ffc04f4f5bdef37560
+% 606095f7e8756bccfad7b2ebe8d89d7c5a5b60606075dff566a6fa8540404040404066f7fa200f0f
+% 0f0f0f0f6ff82e0f0f0f0f22e7ffd44f4f4f4f4f4f4f4fd6fde4c6adadadade0f7944341453d3d45
+% 414395ff8f0000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000033f0b34d40404040404073dbfaffd1c6d2d2d2deff954f4f4f4f4f4f
+% 4f66e7f9fbb560606060d9cf404040403b52c6e9baff954f4f4f4f4f66f2c66f6f79e4f4664f4f4f
+% 4f95ebf5f0f5c890acbae4ffe7964f4f4f4f4f66dff780daf76b6060606060a0ffc072f6e0756060
+% 606060a1e9ffcdb999aeedf9f7f7b5756060606075f3db4d4040b3ef59404040404df5ccc6c80f0c
+% 0e0f0f0f0fc2c70f0f0f0f8ff9f8e9664f4f4f4f4f4f4f95ffe9e0e0e0d7dafffade7e4f4f4f4f4f
+% 4f95ff66000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000011cfd84d40404059c0ffd3598cffaf1d292f2fb4ff954f4f4f4f4f
+% a1f6de668ef6d76b6099ff66403c3d5c6060f38c40baff954f4f4f4ff4e46f6f6f6f79c6fb8e4f95
+% eaf4c66060a0ecf5b42f2f3b638aaedbe7eec8c7cbe3f9febb75606060606099d5fffae6cfcccdf0
+% e9d7b48864404059d3ffb56b60a9e8ffcc8a6099fab34d40404040dbf24040404ddbd6204cff650f
+% 0f0d0d0f0f3fff650f1fc2f28559dcf5a14f4f4f4f4f95ffcc6f6f6347c0ff9566d6ffc5664f4f4f
+% 95ff6600000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000119cf2664da6ffe56f4040408cffaf201d232fb4ff954f4f4fd6
+% ffad4f4f4f66edee80e9a63d405e606060c6e9404040baff954f4fe1e5796f6f6f6f6f6fbcfcf7f4
+% c6606060606060a0ecfbe2d0ffffffe8e5ebffdfa6658284a6d3d5efefd7d7bf8985835ba6ddffed
+% e3eaffffffd1e5fdd780606060606087dafaf9fba64040404040404dddde4040b3f13d202097e60f
+% 0f0f0f0e0c0f8fe53fe5e859404040a6ffd64f4f4f95ffcc6f55484fc0ff954f4f4f7ae7ffad5b95
+% ff660000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000008af2f8f0984040404040408cffaf20201e1ea0ff957af3eb
+% 7e4f4f4f4f4f4fd7fff652606060606060f38c40404040baff95d7f88c6f6f6f69564c485dfcff95
+% 4f4f4f4f4f4f4f4f95fffad75948453d3d456da1d0f3eadcffffede2e3e7ffffffd4eaf4d5a6734e
+% 4747515567dafaffa06060606060606060a0fffb442a2c313c40404066f5d3a6fa3d2020202ff4a9
+% 0f0f0f0f0f0f1ff4ffd140404040404073ebf27a95ffbc494b4f4fc0ff954f4f4f4f4f4fa1f1f9ff
+% 66000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000077f6a6363438323238343687f8d797979797b4ddf5aa6c
+% 4c4e4747514d51c6fffab56060606060c6e9404040404040baffe6714c48464f4f4f4f4fe7ccc6ff
+% 954f4f4f4f4f4f95ffc680f7df664f4f4f4f4f5bc7faf6eb954f4f4f4f4f4f66adf7f6fbcc6b6060
+% 60606075e0f672c0ffa0606060606060a0ffb4bde22f2f2f2f2f292a2c52e1fc70202020202079f9
+% 2e0f0f0f0f0f8ff9ffc0423f433a3a403f5ea2f4e4c3adadadade2f98f4341453d3d454143adf677
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000033e0cb4d4040404059a6f6f5ffcfbdd2d2d2defab560
+% 606060606060c6ff958efbc06b606060f38c40404040403d4dfbff724f4f4f4f4f4f4fb1f76b60c6
+% ff954f4f4f4f95ffc660606be1f3664f4f4f8af7e6664fc0f4ea954f4f7ec7ffe6a14f66e7f79560
+% 606075f3de5b4f4fc0ffa060606060a0ffb42f3df5a22f2f2f2f2f2f2f58fffa2f1e2020202020c6
+% c80f0f0f1f9ff98e95ffc04f4f4f4f4f4f4fadf9e6ddddddcae3f9f6f7ad664f4f4f4f5bcfe13300
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000011bee4664073c2ffe498408cffb4282f2f2f79fbc0
+% 6b60606060c6ff954f4f66f3e16b60c6e94040404039485ee8c7d6f6724f4f4f4f4f66fa95606060
+% c6ff954f4f95ffc6606060606bc0fb8e5bc7fab14f4f4f4f4fc0f4f4f5fad67a4f4f4f4f4fb1facc
+% 6b99fab95b4f4f4f4fc0ffa06060a0ffb42f2f2f74f94a2f2f2f2f2f58f4cfbde0201b1a2020204c
+% ff650f1fd2f0664f4f95ffc04f4f4f4f5bb9fa996060545cdef6724fa1e6ffc77e4f72e6bf110000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000008af2eef9d36f404040408cffb42f342a2c4af2
+% e16b6060c6ff954f4f4f4f66dff780f38c403b405c6060b9f75b4fe1e05b4f4f4f4fe7cc60606060
+% 60c6ff9595ffc660606060606060b5fdf6c35a464e4747514d5199f8ff99564c514e474b4e445dc3
+% f6fdad4f4f4f4f4f4f4fc0ffa0a0ffb42f2f2f2f2fbde22f2f2f2f3ddadb2f3df59c2020201a1c20
+% 97e63ff2da664f4f4f4f95ffc04f4f5bdef37557495366f3de5b4f4f4f4f7ad6faf0f38a00000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000082ff8b363537404040408cffb42f2f2f2937
+% cff780c6ff954f4f4f4f4f4f4fd7ffeb3c546060606075fa8a4f4f4ff3de4f4f4fb1f76b60606060
+% 6060c6fff7a24944433a3a3c373885faff806060606060606075f0b399fa99606060606060606080
+% fffa8537363a35353d3c3f9ef7ffb42f2f2f2f2f2f3df5a22f2f2fd8f02f2f2f74f83d202020201d
+% 2cf5ffd44f4f4f4f4f4f4f95ffc072f6d756474f4f8efab95b4f4f4f4b424045aaf7820000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000066ff8c40404040405b5384e9dd9e9e9e9e
+% 9ec1dff7824341453d3d45415be7faffa06060606060e8c74f4f4f4f66f1b94f66fa956060606060
+% 5a4956fbff664040404040404059f0b3d3f780606060606060e3db4d40b3f37560606060606080f7
+% d3b3f0594040404040404066fffa3c262c2f2f2f2f2f74f94a2facee4a2f2f2f2fbde02020202020
+% 79fffaea5b41453d3d45414382f7e3caadadadade2e9a34763694e4f4f4f5bb9f133000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000066ff8c4040404059a6f6f5f8eaa8d2d2
+% d2d2dbf9ad4f4f4f4f4f4fa1f5de66c0ffa0606060b9f75b4f4f4f4f4f8efaade7cc60605a494342
+% 4040e4c2d3f566404040404040dedb4d40dfe36b60606060c6f666404040c2f375606060606be3df
+% 404ddbde40404040404066f5cfbde22f2f2c26262c2f2fbde29ef9792f2f2f2f2f3df59c20202079
+% ffc675e1f6a14f4f4f4f4f4fadf9e4ddddddace1f9f6f7ad664f4f4f4f5bdbcf1100000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000066ff8c4073c2ffe498404dc2f9a226
+% 292f2f79f5d25b4f4f4fd6ffad4f4f4fc0ffa06075fa8a4f4f4f4f4f4f4f8efff859434240404040
+% 40aaf64d40dedd4d40404040baf666404040f3e160606099f88c404040404ddbe460606060e1f340
+% 404066f6ba404040404ddddb2f3df5a22f2f2f2f2f2c2637f5ff792f2f2f2f2f2f2f74f83d2079ff
+% c6606060b5ffd74f4f4f5bd2f69960514462ecec724fa1e6ffc77e4f72f39d110000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000aeffeff9d36f404040404080f6e3
+% 4a2f292646eaec727af3ea7e4f4f4f4f4fc0ffa0e8c74f4f4f4f4f45454885fbff8c404040404040
+% 59f980404040f2db40404085f88c4040404059f1c06075f0b34040404040404deae36060c0f15940
+% 4040408cf885404040dbf12f2f2f74f94a2f2f2f2f2f2f82fffa6a2727282f2f2f2f2fbde079ffc6
+% 60606060608aeef37a72eced60444b4f8ef5d25b4f4f4f4f7ad6faeff5fa77000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000011bbeeacf6a63933383632353833449f
+% f6d39e9e9ea4c6ebfdc55b4f4f4f4f4f4f4fc0fff65445484d5c60606075f2c0c6ff8c4040404040
+% e4c24040404059efb34059f0b340404040404085fbb5e3db4d4040404040404066f5ceb5fb854040
+% 40404040b3f05940b3ef4a2f2f2f2fbde22f2f2f2f2f82ffc0b9f04a2f2f2f2f28272739f5ffc660
+% 6060606060606bcafde3caafadadade0f7944341453d3d45414395ff8255eebb1100000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000055eeaa110033f0b34d40404040404073db
+% faffc896d2d2d2d2f5e5664f4f4f4f4f4f5bc7faffa060606060606060e4e16b60c6ff8c404040aa
+% f64d404040404085faa6dedb4d4040404040404085fff96640404040404040404066ffff85404040
+% 404040404ddbdea6fa792f2f2f2f2f3df5a22f2f2f82ffc04f5bdedc2f2f2f2f2f2f2f82fffcc75b
+% 4f4f4f4f4f4f66e6f7d9d9d9d9a5dff9fade7e4f4f4f4f4f4f95ff66000011aaee55000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000001188ee770000000011cfd84d40404059c0ffd3
+% 598cffaf201c232e3dbdf9b14f4f4f4f8af7e666c0ffa06060606060c6f780606060c6ff8c4059f9
+% 804040404040404085fff666363438323238343655fcf64d40404040404040404066f7fc55363438
+% 323238343666f6ff792f2f2f2f2f2f2f74f94a2f82ffc04f4f4f72f7b42f2f2f2f2f82ffc675e8f7
+% 8a4f4f4f4fb1fac75b4e3f3759dcf67266d6ffc5664f4f4f95ff66000000000077ee881100000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000033cccc33000000000000119cf2664da6ffe56f40
+% 40408cffaf2020201d1f69f5e5665bc7fab14f4f4fc0ffa060606099f9a06060606060c6ff8ce4c2
+% 4040404040393b4081fbf8664040404040404040e5c7e6c240404040404040404dddd6c7e5404040
+% 404040404066f8fa712c2a292f2f2f2f2fbde282ffc04f4f4f4f4f95f9792f2f2f82ffc6606060b9
+% fac75b66e6f7803939404059f2de5b4f4f4f7ae7ffad5b95ff660000000000000033cccc33000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000088ff88000000000000000000008af2f7f098404040
+% 4040408cffaf202020203d62b0eafde6664f4f4f4f4fc0ffa06075f2c060606060606060c6fff649
+% 3b40485960606075f1b9e0db4d404040404040aaf75b66f98040404040404040c2f24f5bf7aa4040
+% 404040404ddbe0b9f0594040403c312c2a3af5ffc04f4f4f4f4f4f4fb9f04a2f82ffc66060606060
+% 75e8fdedbb774d40404085fab95b4f4f4f4f4f4fa1f1f8ff660000000000000000000088ff880000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000022bbee4400000000000000000000000082ff8c36343832
+% 3238343678f7e5c9e8fffff1e4dcf6d0383a3f4c4f4f4fc0ffa0e4e16b60606060535151c1ffffa0
+% 60606060606060e3de5b66f0b3404040404059fa8a4f4fb1f64d404040404099fa664f4f8afa5940
+% 40404040b3f0665bdedf404040404040408cffffbc4242444f4f4f4f5bdedc82ffc6606060605351
+% 51d7f8e5e7ffffffd1edf494473f45423d42453f4795ff8200000000000000000000000044eebb22
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000055eeaa11000000000000000000000000000066ff8c404040
+% 40404040a6f8fae86d512f2f2f2f58e8e95940404038383aafebe67151515360606060c6ff95c0ff
+% a06060606060c6f7724f4f8ef88c40404040e5c74f4f4f4fe6c24040404073ffa14f4f4f4fc7e540
+% 4040408cf88e4f4f72f7ba40404040408cffc6a0ffc04f4f4f4f44424263e3efba51515360606075
+% ecea664040405370dcf9f9c55b4f4f4f4f4f4f4f95ff66000000000000000000000000000011aaee
+% 55000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000001199ee77000000000000000000000000000000000066ff8c4040
+% 40404db3fa8e5bc7faa22f2924282f3dcaf485404d80b3eaffecfbcc6b6060606060c6ff954f4fc0
+% ffa060606099f9954f4f4f4fc0f6664040aaf75b4f4f4f4f66f98040404df5cd4f4f4f4f4f5bf7aa
+% 404066f6c04f4f4f4f95f9854040408cffc66060a0ffc04f4f4f4f4f5bc7faf1ffeec0956b6099f5
+% cf4d3f3b3e4a66ebea666ff2ea7e4f4f4f4f4f95ff66000000000000000000000000000000000077
+% ee991100000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000033ddcc220000000000000000000000000000000000000066ff8c40
+% 404ddbf2664f4f4f8af7e34a2f2f2f3a71b5ebf2fff3deaa594059e6f795606060c6ff954f4f4f4f
+% c0ffa06075f1b94f4f4f4f4f4fe0db4d59fa8a4f4f4f4f4f4fb1f64d40dbe64f4f4f4f4f4f4f8afa
+% 594ddbe04f4f4f4f4f4fb9f059408cffc660606060a0ffc04f4f4f8af7e8756075b9e4f5fff4efbf
+% 80574f4f4f8ef5cf4d404040d3ffad4f4f4f95ff6600000000000000000000000000000000000000
+% 22ccdd33000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000bbffffee0088ffc8ff880000000000000000000000000000000000000000000066ff8c
+% 66f5dd664f4f4f4f4f5bc7fde2cfffffffe5e1e5f2b32a2f383f4040aafacc6bc6ff954f4f4f4f4f
+% 4fc0ffa0e3de5b4f4f4f4f4f4f66f0b3e5c74f4f4f4f4f4f4f4fe6c3a6f0664f4f4f4f4f4f4f4fc7
+% e5b3f0664f4f4f4f4f4f5bdedf8cffc6606060606060a0ffc05bc7fab960605f564945bdf3e9e1e8
+% ffffffd4edfca640404040404098f5de6695ff660000000000000000000000000000000000000000
+% 000088ff8800000000000000bbffdd220044ffaa2200000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000077ff66004edbdd4400000000000000000000000000000000000000000000000066ff
+% f2b24341453d3d454143c0fff8d751382726222079e5f1b42f2f2d293d80d7ebff954f4f4f4f4f4f
+% 4f4fc0fffc724f4f4f4f4f4f4f4f8efdfc5b4f4f4f4f4f4f4f4f66fdfc8e4f4f4f4f4f4f4f4f4f5b
+% fcfd8e4f4f4f4f4f4f4f4f72fcffc66060606060606060a0ffefdd9255444b4f4fc0f2e7822f3135
+% 34455dd9f7ffba3634383232383449b9f1ff66000000000000000000000000000000000000000000
+% 00000044ddbb2200000000000099ff33000099110000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000055ee4ef8aa11000000000000000000000000000000000000000000000000000082
+% f5ad4f4f4f4f4f4f4fc0ff9572f6dc594040403c322d60c3e5e2d0ffffffe6e7f7d64f4f4f4f4f4f
+% 4f7edefafab56060606060606060dafaf9ad4f4f4f4f4f4f4f4fd6f7f7e9664f4f4f4f4f4f4f4fad
+% f9fad64f4f4f4f4f4f4f4fadf9fccc6b60606060606075e8f8e4e9ffffffd4e7e7c86b393e4a4f4f
+% 4f66ddf5668cffba40404040404040a6f58200000000000000000000000000000000000000000000
+% 0000000011aaee3300000000000088cc007744000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000aaee500000000000000000000000000000000000000000000000000000000000
+% 33f1b95b4f4f4f4fc0ff954f4f5bdef2594040404059a6f6f5f8e76f4940404066eaeb664f4f4f66
+% c5ffd6668efbc06b6060606075e0f6728efab95b4f4f4f4f66def67266def5a14f4f4f4f4f5bb9fa
+% 8e72f6de664f4f4f4f5bb9fa9975e8f79560606060b9fac75b4f4f4d5071e8f9f6f7ad664f4f4f4f
+% 66f2db4d40408cffba404040404db3f0330000000000000000000000000000000000000000000000
+% 000000000000440000000000000000bb888800000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000088ee770000000000000000000000000000000000000000000000000000000000
+% 0011cfdb5b4f4fc0ff954f4f4f4f5bb9fa854073c2ffe498404dc2f99c1e1f25354dcff58e5badff
+% e77a4f4f4f66f3e16b606075f3de5b4f4f66f3de5b4f4f66f3de5b4f4f4fadffd64f4f4f5bdef366
+% 4f4f5bdef3664f4f5bdef375606060b9facc6b75e8f78a4b382c2a2fa2fac75b4fa1e6ffc77e4f8e
+% fab34d404040408cffba40404dd8cf11000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000011ff1100000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000665555ff3300000000000000000000000000000000000000000000000000000000
+% 0000119df372c0ff954f4f4f4f4f4f4fadfdf7f9d36f404040404080f6e13d20201e58a8eafef5a1
+% 4f4f4f4f4f4f66dff78099fab95b4f4f4f4f66def6728efab95b4f4f4f4f4f7eecf37a72f6de664f
+% 4f4f4f5bb9fa8e72f6e075606060606075ecfeebbc773b2f2f2f4ae3f78a4f4f4f4f4f7ad6faf7fc
+% a6404040404040408cffba66f29c1100000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000ff0000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000003388000099cc00000000000000000000000000000000000000000000000000000000
+% 000000008af6f77e3f3c3d35353a363785faffc0473e43403a3d403748a3f4e0daffffebdedefff1
+% c66b38353a3d5190d7f9fead4f4f4f4f4f4f4f4fd6fefead4f4f4f4f4f4f4f4f5bcdfefed64f4f4f
+% 4f4f4f4f4fadfef9da965c4b42424799daffe9dfe5ffffffcde2f6ac56444e4b474e514c56c6fff8
+% 7929282b29292f2f3273f6f58a000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000ff0000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000055ee55000077ff99220000000000000000000000000000000000000000000000000000
+% 000000000082ff664040404040404059f1c0a0ffc04f4f4f4f4f4f4f5bc5fafae65e33352d2d437c
+% b6ccf3ead3ffffffe7e5e9f3c04f4f4f4f4f4f95eaf5f6ea954f4f4f4f4f4f66adf7f6f6ea954f4f
+% 4f4f4f4fc0f3ebe3e8ffffffd4edf5d09a613a363640466de7f9faca6b60606060606060c6ff82ac
+% ee4a2f2f2f2f2f2f2f58ff8200000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000002255ffff44000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000008af266404040404040dfe16b60a0ffc04f4f4f4f4f7eecf3876bccfaaa4040404040
+% 8ce9f4eef4bd372f383f408ce9f3c04f4f95eaf4ba4040baf4ea954f4f7ec7ffe6a14f4fc0f4ea95
+% 4f4fc0f3e98c403f382f37bdf4eef4eb954f4f4f4f4fb1fac75b7af3ec8a6060606060c6ff822f3d
+% d8db2f2f2f2f2f2f58f1890000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000009bd74d40404040baf780606060a0ffc04f4f4fadffda6060606095f7e659408ce9
+% f3c04f4f95eaf4b42f2f2d293d93daeafbf8ba404040404040baf8fafafcd67a4f4f4f4f4f4fc0f8
+% fbeada933d292d2f2fb4f4ea954f4fc0f4ea954f66e6f78a4f4f4f4fd7ffb5606060c6ff822f2f2f
+% 58f5b42f2f2f2f3dd49a000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000cfd840404085f9a06060606060a0ffc066def6a96060606060606bccfdf5f3c0
+% 4f4f4f4f4f4f95eafae2d0ffffffe6e4defff1c4632f2f4b90dafff2edffeab3804d40406fc9edff
+% dee1e6ffffffcde2faea954f4f4f4f4f4fc0f4f6fdc75b4f4f4f4f4f4fa1f6e175c6ff822f2f2f2f
+% 2f82f8792f2f2fd5ce00000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000011d0b34059f1c060606060606060a0fff5c262484b484245474048c0ffffc04f
+% 4f4f4f4f4f4f4f95fffaea6b4643403a3d508bbad0f1effff1c96f404059aadef3fff1f0d5bd9059
+% 47434b4f5378e8faffa06060606060606060c6ffffba3a343a38353a3d3b54bbf4ff822f2f2f2f2f
+% 2f2facee4a2faccf1100000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000033f0a6dfe16b6060605643373047fbff954f4f4f4f4f4f4f4fc0ff9595ffc0
+% 4f4f4f4f4f4f95ffc675e1f6a14f4f4f4f4f4f5bc7fafac24d4040404040404073dbfafbcc6b6060
+% 60606060a9f6de66c0ffa0606060606060c6ff8c8cffba40404040404040408cfffa391d1f232c2f
+% 2f2f3dd8db9ef0330000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000033ffdc6037302c2f2f2f2f2fe2bdb4ff954f4f4f4f4f4fc0ff954f4f95ff
+% c04f4f4f4f95ffc6606060b5ffd74f4f4f4f8af7e66666e6f6804040404059c0ffd66666e7f79560
+% 606060daffad4f4f4fc0ffa060606060c6ff8c40408cffba4040404040408cffafb8e02020202020
+% 1c1d1f45d9ff33000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000082ff582f2f2f2f2f2f2fa2f53d2fb4ff954f4f4f4fc0ff954f4f4f4f95
+% ffc04f4f95ffc660606060608aeef37a5bc7fab14f4f4f4fb1f9c24d4da6ffe67a4f4f4f4fb1facc
+% 6b87f3ea7e4f4f4f4f4fc0ffa06060c6ff8c404040408cffba404040408cffaf202ff49c20202020
+% 2020204cff8200000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000089f1582f2f2f2f2f4af9742f2f2fb4ff954f4fc0ff954f4f4f4f4f4f
+% 95ffc095ffc6606060606060606bcafdfce6664f4f4f4f4f4f66e6fafbf0a14f4f4f4f4f4f4f66e7
+% fcfdc55b4f4f4f4f4f4f4fc0ffa0c6ff8c4040404040408cffba40408cffaf2020206af83d202020
+% 20204cf0890000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000009ad43d2f2f2f2fe2bd2f2f2f2f2fb4ff95c0ff954f4f4f4f4f4f4f
+% 4f95fff6a24e4443403a3b3c353b85faf7724f4f4f4f4f4f4f4f8ef8ff8e4f4f4f4f4f4f4f4f4f72
+% f7fa853a343a38353a3d3b439ef6ff8c40404040404040408cffba8cffaf2020202020b8e0202020
+% 202fd29a000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000ced52f2f2fa2f53d2f2f2f2f2f2fb4fff57a3e3734312c2d2d28
+% 2b79faf666404040404040404059eda6dfde5b4f4f4f4f4f4f66f0b399fa8e4f4f4f4f4f4f4f5bde
+% dfa6ef59404040404040404066f6fa792b272b2a292c2f2f3573f5ffaf2020202020202ff49c2020
+% 20d2ce00000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000011cfac2f4af9742f2f2f2f2f2d2b45fbf5582f2f2f2f2f2f2f2f
+% 4aec9edbdb4d40404040404040e4db4059f0b94f4f4f4f4f4fe0db4d40b3f3664f4f4f4f4f4fb9f0
+% 5940dbe5404040404040404ddbdb9eee4a2f2f2f2f2f2f2f2f58f5fb351c1e20202020206af83d20
+% a6ce1100000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000033f09ee2bd2f2f2d2b31444f4fe6c2ddd83d2f2f2f2f2f2f2f
+% e2d82f4aefb3404040404040c6f54d404085f9954f4f4f4fc0f666404040c2f2664f4f4f4f95f985
+% 40404df5c9404040404040b3ef4a2fd8e22f2f2f2f2f2f2f3dd8ddc2e32f2f291f1c1e2020b8e097
+% ef330000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000033fff53c31444f4f4f4f4fb1f64d59efac2f2f2f2f2f2fc1
+% f43d2f2f79f88c4040404098ff7340404040baf7724f4f8ef88c404040404ddbe34f4f4f72f7ba40
+% 40404073ff98404040408cf8792f2f3df4c42f2f2f2f2f2facef594df6a22f2f2f2f2f291f2ef5ff
+% 33000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000082ff954f4f4f4f4f4f66f980404085f8822f2f2f2f8fff
+% 662f2f2f2fb4f666404059fa99404040404040dfde5b66f0b34040404040404deae04f5bdedf4040
+% 4040404099fa59404066f6b42f2f2f2f66ff8f2f2f2f2f82f885404080f94a2f2f2f2f2f2f82ff82
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000066ff954f4f4f4f4fe6c240404040baf5582f2f4af990
+% 2f2f2f2f2f2fdbdb4d40f2c04040404040404059f0b9e0db4d4040404040404066f5cab9f0594040
+% 4040404040c2f2404ddbdb2f2f2f2f2f2f90f94a2f2f58f5ba40404040c2e32f2f2f2f2f82ff6600
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000066ff954f4f4fb1f64d4040404040ddd83d2ff0ba2f
+% 2f2f2f2f2f2f4aefb3d3dd4d404040404040404085fdfb6640404040404040404066fffd85404040
+% 40404040404dddd3b3ef4a2f2f2f2f2f2f2fbdf02f3dd8dd40404040404df6a22f2f2f82ff660000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000066ff954f66f98040404040404059efaccfda3d2f
+% 2f2f2f2f2f2f2f79fdf25c39333835323638333985fbf5582f2f2f2f2f2f2f2f2f58fffb85393338
+% 3632353833395cf3fd792f2f2f2f2f2f2f2f3ddacfacef5940404040404080f94a2f82ff66000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000066ff95e6c2404040404040404085fdf355322e
+% 3a38363d403d468efbff8c404040404040404059f0b9e0d83d2f2f2f2f2f2f2f58f4c9b9f0594040
+% 4040404040408cfffa85393235332d30322a2e51f2fd854040404040404040c2e382ff6600000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000066fff14d3a39403a3a433f428effff954f4f
+% 4f4f4f4f4f4f66f1b9c0ff8c40404040404040dfde5b66efac2f2f2f2f2f2f3de8e04f5bdedf4040
+% 40404040408cffbab3f05940404040404040408cffff85363438323238343649f0ff660000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000082ff954f4f4f4f4f4f4f8efaadc0ff954f
+% 4f4f4f4f4f4fe1de5b4fc0ff8c4040404040baf7724f4f8ef8822f2f2f2f3dd8e24f4f4f72f7ba40
+% 404040408cffba404ddbde404040404040408cffc0adfa85404040404040408cff82000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000066ff954f4f4f4f4f66f1b94f4fc0ff95
+% 4f4f4f4f4fc0f7724f4f4fc0ff8c40404085f9954f4f4f4fc0f5582f2f2fbdf1664f4f4f4f95f985
+% 4040408cffba40404066f6ba40404040408cffc04f4fb9f05940404040408cff6600000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000066ff954f4f4f4ff3de4f4f4f4fc0ff
+% 954f4f4f8ef9954f4f4f4f4fc0ff8c4059f0b94f4f4f4f4f4fe0d83d2facf2664f4f4f4f4f4fb9f0
+% 59408cffba40404040408cf8854040408cffc04f4f4f4fdef2404040408cff660000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000066ff954f4fe1e05b4f4f4f4f4fc0
+% ff954f66f1b94f4f4f4f4f4f4fc0ff8cdfde5b4f4f4f4f4f4f66efac90f98e4f4f4f4f4f4f4f5bde
+% df8cffba40404040404040b3f059408cffc04f4f4f4f4f5be0df40408cff66000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000066ff95d6f6724f4f4f4f4f4f4f
+% c0ff95e1de5b4f4f4f4f4f4f4f4fc0fffb724f4f4f4f4f4f4f4f8efcff8e4f4f4f4f4f4f4f4f4f72
+% fcffba40404040404040404ddbde8cffc04f4f4f4f4f4f4f72f6d38cff6600000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000066ffff724f4f4f4f4f4f4f4f
+% 4fc0fff469473f45423d42453f47d6ffff954f4f4f4f4f4f4f4fc0ffffd64f4f4f4f4f4f4f4f4f95
+% ffffd6473e43403a3d40373d60f3ffc04f4f4f4f4f4f4f4f4f72ffff660000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000082f5ad4f4f4f4f4f4f4f4f
+% 66e6f9f9ad4f4f4f4f4f4f4f4fe1f672c0ff954f4f4f4f4f4fc0ff9572f6e14f4f4f4f4f4f4f95ff
+% c072f6e14f4f4f4f4f4f4f4fadf9fae9664f4f4f4f4f4f4f4fadf582000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000033f1b95b4f4f4f4f4fa1
+% f5db5985fab95b4f4f4f4f66f3e0724f4fc0ff954f4f4f4fc0ff954f4f72e0f3664f4f4f4f95ffc0
+% 4f4f72e0f3664f4f4f4f5bb9fa8e66def5a14f4f4f4f4f5bb9f13300000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000011cfdb5b4f4f4fd6ff
+% a640404059f2de5b4f4f8ef1de5b4f4f4f4fc0ff954f4fc0ff954f4f4f4f5bdef18e4f4f95ffc04f
+% 4f4f4f5bdef18e4f4f5bdef3664f4f4fadffd64f4f4f5bdbcf110000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000119df3727af2e973
+% 404040404059dcf6728efab94f4f4f4f4f4f4fc0ff95c0ff954f4f4f4f4f4f4fb9fa8e95ffc04f4f
+% 4f4f4f4f4fb9fa8e72f6de664f4f4f4f4f7eecf37a72f39d11000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000000000000000000008af5fbc04d40
+% 40404040404040d9feffad4f4f4f4f4f4f4f4f4fc0ffff954f4f4f4f4f4f4f4f4fadffffc04f4f4f
+% 4f4f4f4f4f4fadfffedc4f4f4f4f4f4f4f4f5bc5fcf58a0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000006cebe58c40
+% 404040404059a6f6f5f8e6664f4f4f4f4f4f4f7edefafbc75b4f4f4f4f4f4f4f7edefafbde7e4f4f
+% 4f4f4f4f4f66e6f8f6f7ad664f4f4f4f4f4f95e6ec6c000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000000000000000000000000066e1e5
+% 8c404073c2ffe498404dc2f9b14f4f4f4f66c5ffd35959e5f78a4f4f4f4f66c5ffd66666d6ffc566
+% 4f4f4f4fb1f9c24d4098e5ffc77e4f4f95e6e2660000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000066
+% e1e5eff9d36f404040404080f6e6665badffe56f40404040aafac75b5badffe77a4f4f4f4f7ae7ff
+% ad5b66e6f68040404040406fd3faf0e7e26600000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 007af6ba39272b2a292c2f2f40a5f6fdf2984040404040404059e5fdfcf3a14f4f4f4f4f4f4f4fa1
+% f3fdf6a5402f2f2c292a2b2739baf67a000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000011acf1742f2f2f2f2f4b9ef5f4ecf9cf632f2f2f2f2f2f82e7f3f7f6a6594040404040406fd3
+% f9ecf4f59e4b2f2f2f2f2f74f1ac1100000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000055f0b93d2f66bdffe398404073c2ffe38f2f2f82e7f2b42f2f8fe3ffc273404098e4ffc2
+% 73404098e3ffbd662f3db9f055000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000011acf1eef9d26f40404040404059a6f6fbf6f2b42f2f2f2f2f2f63cff9f7fbf6a65940
+% 40404040406fd2f9eef1ac1100000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000077f6c04d40404040404040404dc0f9faa640404040404040404dc0f9fbc55b4f4f
+% 4f4f4f4f4f4f5bc5f777000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000022cfe57340404040404073eaf26f85fab34d404040404073eaf26f6ff2ea7e4f
+% 4f4f4f4f4f7ee6cf2200000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000008affa640404040a6ffd340404059f2db4d404040a6ffd340404040d3ffad
+% 4f4f4f4fadff8a000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000044e0d85959dbf598404040404059dbf56659dbf59840404040404098f5
+% de6666dbe14400000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000011adf2f9e8594040404040404040d3fbfbe859404040404040404059
+% e5f9f3ac110000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000082ff724f4f4f4f4f4f4f4f4f8ef8ff8e4f4f4f4f4f4f4f4f4f4f
+% 72ff8200000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000007af3724f4f4f4f4f4f4f66f0b399fa8e4f4f4f4f4f4f4f4f72
+% f37a0000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000009be65b4f4f4f4f4f4fe0db4d40b3f3664f4f4f4f4f4f5be6
+% 9b000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000afdb5b4f4f4f4fc0f666404040c2f2664f4f4f4f5bdbaf
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000011cfc34f4f4f8ef88c404040404ddbe34f4f4f4fc3cf11
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000011e2b94f66f0b34040404040404deae04f4fb9e21100
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000033f1a1e0db4d4040404040404066f5caa1f1330000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000033fff86640404040404040404066ffff33000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000082f33d2f2f2f2f2f2f2f2f2f58f38200000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000acb92f2f2f2f2f2f2f2f3dd4890000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000011f0742f2f2f2f2f2f2fb9ce000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000055f13d2f2f2f2f2f90f011000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000acb92f2f2f2f66ff4400000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000011f0742f2f3df1770000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000055f13d2fd5ac000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000000000000000000000acb99ecf11000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 000000000000000000000000000000000000000000000000000011f0f03300000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000044550000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 00000000000000000000000000000000000000000000000000000000000000000000000000000000
+% 0000000000000000000000000000000000
+%%EndImage
+%%EndPreview
+save countdictstack mark newpath /showpage {} def /setpagedevice {pop} def
+%%EndProlog
+%%Page: 1 1
+%%BeginDocument: bessintr.ps
+%%EndDocument
+%%Trailer
+cleartomark countdictstack exch sub { end } repeat restore
+%%EOF
diff --git a/books/ps/bessintr.ps b/books/ps/bessintr.ps
new file mode 100644
index 0000000..b3fbcc3
--- /dev/null
+++ b/books/ps/bessintr.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%	   (number can be changed to accomodate definitions)		 %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight	12 def
+
+/inch
+	{	72 mul }
+	def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+	{	maxY sub abs }	%% maxY is viewWindow height
+	def
+
+/hVal		%% get H value -- used for displaying title text
+	{	maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+	def
+
+% loads in the font
+
+/loadFont
+	{	/Times-Roman findfont FontHeight scalefont setfont }
+	def
+
+% draws a rectangle with input operand:
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+		0 exch 1 add neg rlineto	%% draw second side
+		1 add neg 0 rlineto		%% draw third side
+		closepath }			%% draw fourth side
+	def
+
+% create a rectangle with input operand in the view window:
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+	{	yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+	def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+	{	/maxX exch def			%% width of display
+		/maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+	} def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+		titleH 1 add 0 exch rlineto	%% draw first side
+		1 add 0 rlineto			%% draw second side
+		1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame	%% draw display frame
+	{	gsave
+		newpath
+		maxX maxY 0 0 rectangle
+		begin installGC stroke end
+		grestore }
+	def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+	{	gsave
+		newpath
+		yVal moveto
+		1 sub {
+			yVal lineto
+		} repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+		grestore }
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+	{	gsave
+		newpath
+		yVal moveto
+		yVal lineto
+		begin installGC stroke end
+		grestore }
+	def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+	{	gsave
+		newpath
+		yVal moveto
+		1 sub {
+			yVal lineto
+		} repeat
+		begin installGC stroke end
+		grestore }
+	def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+	{	gsave
+		newpath
+		loadFont
+		yVal moveto
+		exch begin installGC show end
+		grestore }
+	def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	0	300	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	51	196	227	71	psDrawLine
+	globGC	(X)	46	201	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	248	196	72	71	psDrawLine
+	globGC	(Y)	253	201	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	23	149	200	psDrawLine
+	globGC	(Z)	154	18	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.812500	setForeground
+	renderGC
+	145	40
+	154	40
+	149	40
+	4	145	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	40
+	149	40
+	3	145	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	41
+	159	41
+	154	40
+	4	149	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	41
+	154	40
+	3	149	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	41
+	149	41
+	145	40
+	4	140	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	41
+	145	40
+	3	140	41	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	40
+	145	40
+	149	41
+	4	154	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	40
+	149	41
+	3	154	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	45
+	164	44
+	159	41
+	4	154	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	44
+	159	41
+	3	154	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	41
+	149	41
+	154	45
+	4	159	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	41
+	154	45
+	3	159	41	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	44
+	145	45
+	140	41
+	4	135	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	45
+	140	41
+	3	135	44	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	41
+	140	41
+	145	45
+	4	149	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	41
+	145	45
+	3	149	41	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	45
+	154	45
+	149	41
+	4	145	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	45
+	149	41
+	3	145	45	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	50
+	159	50
+	154	45
+	4	149	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	50
+	154	45
+	3	149	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	44
+	154	45
+	159	50
+	4	164	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	45
+	159	50
+	3	164	44	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	50
+	149	50
+	145	45
+	4	140	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	50
+	145	45
+	3	140	50	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	45
+	145	45
+	149	50
+	4	154	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	45
+	149	50
+	3	154	45	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	45
+	135	44
+	140	50
+	4	145	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	44
+	140	50
+	3	145	45	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	50
+	168	49
+	164	44
+	4	159	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	49
+	164	44
+	3	159	50	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	49
+	140	50
+	135	44
+	4	131	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	50
+	135	44
+	3	131	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	55
+	154	55
+	149	50
+	4	145	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	55
+	149	50
+	3	145	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	50
+	149	50
+	154	55
+	4	159	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	50
+	154	55
+	3	159	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	50
+	140	50
+	145	55
+	4	149	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	50
+	145	55
+	3	149	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	55
+	164	55
+	159	50
+	4	154	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	55
+	159	50
+	3	154	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	49
+	159	50
+	164	55
+	4	168	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	50
+	164	55
+	3	168	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	55
+	145	55
+	140	50
+	4	135	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	55
+	140	50
+	3	135	55	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	50
+	131	49
+	135	55
+	4	140	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	49
+	135	55
+	3	140	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	55
+	173	54
+	168	49
+	4	164	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	54
+	168	49
+	3	164	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	54
+	135	55
+	131	49
+	4	126	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	55
+	131	49
+	3	126	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	57
+	159	58
+	154	55
+	4	149	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	58
+	154	55
+	3	149	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	55
+	154	55
+	159	58
+	4	164	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	55
+	159	58
+	3	164	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	58
+	149	57
+	145	55
+	4	140	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	57
+	145	55
+	3	140	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	55
+	145	55
+	149	57
+	4	154	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	55
+	149	57
+	3	154	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	55
+	135	55
+	140	58
+	4	145	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	55
+	140	58
+	3	145	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	58
+	168	58
+	164	55
+	4	159	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	58
+	164	55
+	3	159	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	54
+	164	55
+	168	58
+	4	173	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	55
+	168	58
+	3	173	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	58
+	140	58
+	135	55
+	4	131	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	58
+	135	55
+	3	131	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	55
+	126	54
+	131	58
+	4	135	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	54
+	131	58
+	3	135	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	58
+	178	58
+	173	54
+	4	168	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	58
+	173	54
+	3	168	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	58
+	131	58
+	126	54
+	4	121	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	58
+	126	54
+	3	121	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	59
+	183	61
+	178	58
+	4	173	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	61
+	178	58
+	3	173	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	58
+	168	58
+	173	59
+	4	178	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	58
+	173	59
+	3	178	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	61
+	126	59
+	121	58
+	4	116	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	59
+	121	58
+	3	116	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	58
+	121	58
+	126	59
+	4	131	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	58
+	126	59
+	3	131	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	58
+	173	59
+	168	58
+	4	164	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	59
+	168	58
+	3	164	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	58
+	159	58
+	164	58
+	4	168	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	58
+	164	58
+	3	168	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	59
+	135	58
+	131	58
+	4	126	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	58
+	131	58
+	3	126	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	58
+	131	58
+	135	58
+	4	140	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	58
+	135	58
+	3	140	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	57
+	164	58
+	159	58
+	4	154	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	58
+	159	58
+	3	154	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	58
+	149	57
+	154	57
+	4	159	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	57
+	154	57
+	3	159	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	58
+	145	57
+	140	58
+	4	135	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	57
+	140	58
+	3	135	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	57
+	140	58
+	145	57
+	4	149	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	58
+	145	57
+	3	149	57	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	57
+	154	57
+	149	57
+	4	145	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	57
+	149	57
+	3	145	57	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	60
+	188	62
+	183	61
+	4	178	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	62
+	183	61
+	3	178	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	61
+	173	59
+	178	60
+	4	183	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	59
+	178	60
+	3	183	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	62
+	121	60
+	116	61
+	4	111	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	60
+	116	61
+	3	111	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	59
+	116	61
+	121	60
+	4	126	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	61
+	121	60
+	3	126	59	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	59
+	178	60
+	173	59
+	4	169	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	60
+	173	59
+	3	169	59	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	59
+	164	58
+	169	59
+	4	173	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	58
+	169	59
+	3	173	59	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	60
+	130	59
+	126	59
+	4	121	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	59
+	126	59
+	3	121	60	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	58
+	126	59
+	130	59
+	4	135	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	59
+	130	59
+	3	135	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	58
+	169	59
+	164	58
+	4	159	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	59
+	164	58
+	3	159	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	58
+	154	57
+	159	58
+	4	164	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	57
+	159	58
+	3	164	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	59
+	140	58
+	135	58
+	4	130	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	58
+	135	58
+	3	130	59	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	57
+	135	58
+	140	58
+	4	145	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	58
+	140	58
+	3	145	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	58
+	159	58
+	154	57
+	4	149	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	58
+	154	57
+	3	149	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	58
+	149	58
+	145	57
+	4	140	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	58
+	145	57
+	3	140	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	57
+	145	57
+	149	58
+	4	154	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	57
+	149	58
+	3	154	57	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	184	62
+	193	64
+	188	62
+	4	184	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	64
+	188	62
+	3	184	62	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	62
+	178	60
+	184	62
+	4	188	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	60
+	184	62
+	3	188	62	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	64
+	115	62
+	111	62
+	4	106	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	62
+	111	62
+	3	106	64	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	60
+	111	62
+	115	62
+	4	121	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	62
+	115	62
+	3	121	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	61
+	184	62
+	178	60
+	4	174	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	62
+	178	60
+	3	174	61	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	60
+	169	59
+	174	61
+	4	178	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	59
+	174	61
+	3	178	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	62
+	125	61
+	121	60
+	4	115	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	61
+	121	60
+	3	115	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	59
+	121	60
+	125	61
+	4	130	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	60
+	125	61
+	3	130	59	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	61
+	174	61
+	169	59
+	4	164	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	61
+	169	59
+	3	164	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	59
+	159	58
+	164	61
+	4	169	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	58
+	164	61
+	3	169	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	61
+	135	61
+	130	59
+	4	125	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	61
+	130	59
+	3	125	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	58
+	130	59
+	135	61
+	4	140	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	59
+	135	61
+	3	140	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	62
+	164	61
+	159	58
+	4	154	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	61
+	159	58
+	3	154	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	58
+	149	58
+	154	62
+	4	159	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	58
+	154	62
+	3	159	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	61
+	145	62
+	140	58
+	4	135	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	62
+	140	58
+	3	135	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	58
+	140	58
+	145	62
+	4	149	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	58
+	145	62
+	3	149	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	62
+	154	62
+	149	58
+	4	145	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	62
+	149	58
+	3	145	62	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	64
+	198	66
+	193	64
+	4	189	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	66
+	193	64
+	3	189	64	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	64
+	184	62
+	189	64
+	4	193	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	62
+	189	64
+	3	193	64	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	66
+	110	64
+	106	64
+	4	101	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	64
+	106	64
+	3	101	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	62
+	106	64
+	110	64
+	4	115	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	64
+	110	64
+	3	115	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	68
+	159	68
+	154	62
+	4	149	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	68
+	154	62
+	3	149	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	61
+	154	62
+	159	68
+	4	164	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	62
+	159	68
+	3	164	61	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	68
+	149	68
+	145	62
+	4	140	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	68
+	145	62
+	3	140	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	62
+	145	62
+	149	68
+	4	154	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	62
+	149	68
+	3	154	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	62
+	135	61
+	140	68
+	4	145	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	61
+	140	68
+	3	145	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	65
+	189	64
+	184	62
+	4	179	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	64
+	184	62
+	3	179	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	62
+	174	61
+	179	65
+	4	184	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	61
+	179	65
+	3	184	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	64
+	120	65
+	115	62
+	4	110	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	65
+	115	62
+	3	110	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	61
+	115	62
+	120	65
+	4	125	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	62
+	120	65
+	3	125	61	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	68
+	169	67
+	164	61
+	4	159	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	67
+	164	61
+	3	159	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	61
+	164	61
+	169	67
+	4	174	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	61
+	169	67
+	3	174	61	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	130	67
+	140	68
+	135	61
+	4	130	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	68
+	135	61
+	3	130	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	61
+	125	61
+	130	67
+	4	135	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	61
+	130	67
+	3	135	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	74
+	154	74
+	149	68
+	4	145	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	74
+	149	68
+	3	145	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	68
+	149	68
+	154	74
+	4	159	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	68
+	154	74
+	3	159	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	68
+	140	68
+	145	74
+	4	149	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	68
+	145	74
+	3	149	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	67
+	179	65
+	174	61
+	4	169	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	65
+	174	61
+	3	169	67	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	65
+	130	67
+	125	61
+	4	120	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	67
+	125	61
+	3	120	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	74
+	164	73
+	159	68
+	4	154	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	73
+	159	68
+	3	154	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	67
+	159	68
+	164	73
+	4	169	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	68
+	164	73
+	3	169	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	73
+	145	74
+	140	68
+	4	135	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	74
+	140	68
+	3	135	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	68
+	130	67
+	135	73
+	4	140	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	67
+	135	73
+	3	140	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	159	76
+	154	74
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	76
+	154	74
+	3	149	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	73
+	154	74
+	159	76
+	4	164	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	74
+	159	76
+	3	164	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	76
+	149	76
+	145	74
+	4	140	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	145	74
+	3	140	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	74
+	145	74
+	149	76
+	4	154	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	74
+	149	76
+	3	154	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	74
+	135	73
+	140	76
+	4	145	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	73
+	140	76
+	3	145	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	73
+	174	72
+	169	67
+	4	164	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	72
+	169	67
+	3	164	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	65
+	169	67
+	174	72
+	4	179	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	67
+	174	72
+	3	179	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	72
+	135	73
+	130	67
+	4	125	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	73
+	130	67
+	3	125	72	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	130	67
+	120	65
+	125	72
+	4	130	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	65
+	125	72
+	3	130	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	76
+	169	77
+	164	73
+	4	159	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	77
+	164	73
+	3	159	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	72
+	164	73
+	169	77
+	4	174	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	73
+	169	77
+	3	174	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	77
+	140	76
+	135	73
+	4	130	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	76
+	135	73
+	3	130	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	73
+	125	72
+	130	77
+	4	135	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	72
+	130	77
+	3	135	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	67
+	204	68
+	198	66
+	4	194	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	68
+	198	66
+	3	194	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	66
+	189	64
+	194	67
+	4	198	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	64
+	194	67
+	3	198	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	68
+	105	67
+	101	66
+	4	95	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	67
+	101	66
+	3	95	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	64
+	101	66
+	105	67
+	4	110	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	66
+	105	67
+	3	110	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	77
+	179	77
+	174	72
+	4	169	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	77
+	174	72
+	3	169	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	70
+	174	72
+	179	77
+	4	184	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	72
+	179	77
+	3	184	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	72
+	184	70
+	179	65
+	4	174	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	70
+	179	65
+	3	174	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	77
+	130	77
+	125	72
+	4	120	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	77
+	125	72
+	3	120	77	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	125	72
+	115	70
+	120	77
+	4	125	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	70
+	120	77
+	3	125	72	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	115	70
+	125	72
+	120	65
+	4	115	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	72
+	120	65
+	3	115	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	64
+	179	65
+	184	70
+	4	189	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	65
+	184	70
+	3	189	64	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	65
+	110	64
+	115	70
+	4	120	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	64
+	115	70
+	3	120	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	70
+	194	67
+	189	64
+	4	184	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	67
+	189	64
+	3	184	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	67
+	115	70
+	110	64
+	4	105	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	70
+	110	64
+	3	105	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	77
+	174	79
+	169	77
+	4	164	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	79
+	169	77
+	3	164	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	77
+	169	77
+	174	79
+	4	179	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	77
+	174	79
+	3	179	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	77
+	159	76
+	164	77
+	4	169	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	76
+	164	77
+	3	169	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	79
+	135	77
+	130	77
+	4	125	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	77
+	130	77
+	3	125	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	76
+	130	77
+	135	77
+	4	140	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	77
+	135	77
+	3	140	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	77
+	120	77
+	125	79
+	4	130	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	77
+	125	79
+	3	130	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	79
+	184	80
+	179	77
+	4	174	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	80
+	179	77
+	3	174	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	74
+	179	77
+	184	80
+	4	189	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	77
+	184	80
+	3	189	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	77
+	189	74
+	184	70
+	4	179	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	74
+	184	70
+	3	179	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	80
+	125	79
+	120	77
+	4	115	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	79
+	120	77
+	3	115	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	77
+	110	74
+	115	80
+	4	120	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	74
+	115	80
+	3	120	77	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	110	74
+	120	77
+	115	70
+	4	110	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	77
+	115	70
+	3	110	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	67
+	184	70
+	189	74
+	4	194	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	70
+	189	74
+	3	194	67	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	115	70
+	105	67
+	110	74
+	4	115	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	67
+	110	74
+	3	115	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	76
+	164	77
+	159	76
+	4	154	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	77
+	159	76
+	3	154	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	76
+	149	76
+	154	76
+	4	159	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	154	76
+	3	159	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	77
+	144	76
+	140	76
+	4	135	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	76
+	140	76
+	3	135	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	140	76
+	144	76
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	76
+	144	76
+	3	149	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	76
+	154	76
+	149	76
+	4	144	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	76
+	149	76
+	3	144	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	71
+	209	71
+	204	68
+	4	199	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	71
+	204	68
+	3	199	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	68
+	194	67
+	199	71
+	4	204	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	67
+	199	71
+	3	204	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	71
+	100	71
+	95	68
+	4	90	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	71
+	95	68
+	3	90	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	67
+	95	68
+	100	71
+	4	105	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	68
+	100	71
+	3	105	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	80
+	194	79
+	189	74
+	4	184	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	79
+	189	74
+	3	184	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	71
+	189	74
+	194	79
+	4	199	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	74
+	194	79
+	3	199	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	74
+	199	71
+	194	67
+	4	189	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	71
+	194	67
+	3	189	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	79
+	115	80
+	110	74
+	4	105	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	80
+	110	74
+	3	105	79	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	110	74
+	100	71
+	105	79
+	4	110	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	71
+	105	79
+	3	110	74	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	100	71
+	110	74
+	105	67
+	4	100	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	74
+	105	67
+	3	100	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	80
+	189	83
+	184	80
+	4	179	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	83
+	184	80
+	3	179	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	79
+	184	80
+	189	83
+	4	194	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	80
+	189	83
+	3	194	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	80
+	174	79
+	179	80
+	4	184	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	79
+	179	80
+	3	184	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	83
+	119	80
+	115	80
+	4	110	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	80
+	115	80
+	3	110	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	79
+	115	80
+	119	80
+	4	125	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	80
+	119	80
+	3	125	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	80
+	105	79
+	110	83
+	4	115	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	79
+	110	83
+	3	115	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	77
+	179	80
+	174	79
+	4	170	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	80
+	174	79
+	3	170	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	79
+	164	77
+	170	77
+	4	174	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	77
+	170	77
+	3	174	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	80
+	129	77
+	125	79
+	4	119	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	77
+	125	79
+	3	119	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	77
+	125	79
+	129	77
+	4	135	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	79
+	129	77
+	3	135	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	83
+	199	83
+	194	79
+	4	189	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	83
+	194	79
+	3	189	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	75
+	194	79
+	199	83
+	4	204	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	79
+	199	83
+	3	204	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	79
+	204	75
+	199	71
+	4	194	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	75
+	199	71
+	3	194	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	83
+	110	83
+	105	79
+	4	100	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	83
+	105	79
+	3	100	83	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	105	79
+	95	75
+	100	83
+	4	105	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	75
+	100	83
+	3	105	79	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	95	75
+	105	79
+	100	71
+	4	95	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	79
+	100	71
+	3	95	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	71
+	199	71
+	204	75
+	4	209	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	71
+	204	75
+	3	209	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	71
+	90	71
+	95	75
+	4	100	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	71
+	95	75
+	3	100	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	75
+	214	74
+	209	71
+	4	204	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	74
+	209	71
+	3	204	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	74
+	95	75
+	90	71
+	4	84	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	75
+	90	71
+	3	84	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	76
+	170	77
+	164	77
+	4	160	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	77
+	164	77
+	3	160	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	77
+	154	76
+	160	76
+	4	164	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	76
+	160	76
+	3	164	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	77
+	139	76
+	135	77
+	4	129	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	135	77
+	3	129	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	76
+	135	77
+	139	76
+	4	144	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	77
+	139	76
+	3	144	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	82
+	195	86
+	189	83
+	4	185	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	86
+	189	83
+	3	185	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	83
+	189	83
+	195	86
+	4	199	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	83
+	195	86
+	3	199	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	83
+	179	80
+	185	82
+	4	189	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	80
+	185	82
+	3	189	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	86
+	114	82
+	110	83
+	4	104	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	82
+	110	83
+	3	104	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	80
+	110	83
+	114	82
+	4	119	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	83
+	114	82
+	3	119	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	83
+	100	83
+	104	86
+	4	110	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	83
+	104	86
+	3	110	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	76
+	160	76
+	154	76
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	76
+	154	76
+	3	149	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	76
+	149	76
+	144	76
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	144	76
+	3	139	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	76
+	144	76
+	149	76
+	4	154	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	76
+	149	76
+	3	154	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	86
+	205	86
+	199	83
+	4	195	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	86
+	199	83
+	3	195	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	78
+	199	83
+	205	86
+	4	210	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	83
+	205	86
+	3	210	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	83
+	210	78
+	204	75
+	4	199	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	78
+	204	75
+	3	199	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	86
+	104	86
+	100	83
+	4	94	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	86
+	100	83
+	3	94	86	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	100	83
+	89	78
+	94	86
+	4	100	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	78
+	94	86
+	3	100	83	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	89	78
+	100	83
+	95	75
+	4	89	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	83
+	95	75
+	3	89	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	74
+	204	75
+	210	78
+	4	214	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	75
+	210	78
+	3	214	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	75
+	84	74
+	89	78
+	4	95	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	74
+	89	78
+	3	95	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	78
+	220	77
+	214	74
+	4	210	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	77
+	214	74
+	3	210	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	77
+	89	78
+	84	74
+	4	79	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	78
+	84	74
+	3	79	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	79
+	185	82
+	179	80
+	4	175	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	82
+	179	80
+	3	175	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	80
+	170	77
+	175	79
+	4	179	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	77
+	175	79
+	3	179	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	82
+	124	79
+	119	80
+	4	114	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	119	80
+	3	114	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	77
+	119	80
+	124	79
+	4	129	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	80
+	124	79
+	3	129	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	89
+	210	90
+	205	86
+	4	200	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	90
+	205	86
+	3	200	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	82
+	205	86
+	210	90
+	4	215	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	86
+	210	90
+	3	215	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	86
+	215	82
+	210	78
+	4	205	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	82
+	210	78
+	3	205	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	86
+	195	86
+	200	89
+	4	205	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	86
+	200	89
+	3	205	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	90
+	99	89
+	94	86
+	4	89	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	89
+	94	86
+	3	89	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	86
+	94	86
+	99	89
+	4	104	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	86
+	99	89
+	3	104	86	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	94	86
+	84	82
+	89	90
+	4	94	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	82
+	89	90
+	3	94	86	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	84	82
+	94	86
+	89	78
+	4	84	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	86
+	89	78
+	3	84	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	190	84
+	200	89
+	195	86
+	4	190	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	89
+	195	86
+	3	190	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	195	86
+	185	82
+	190	84
+	4	195	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	82
+	190	84
+	3	195	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	89
+	109	84
+	104	86
+	4	99	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	84
+	104	86
+	3	99	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	82
+	104	86
+	109	84
+	4	114	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	86
+	109	84
+	3	114	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	77
+	210	78
+	215	82
+	4	220	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	78
+	215	82
+	3	220	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	78
+	79	77
+	84	82
+	4	89	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	77
+	84	82
+	3	89	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	79
+	175	79
+	170	77
+	4	165	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	79
+	170	77
+	3	165	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	77
+	160	76
+	165	79
+	4	170	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	76
+	165	79
+	3	170	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	79
+	134	79
+	129	77
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	79
+	129	77
+	3	124	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	76
+	129	77
+	134	79
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	77
+	134	79
+	3	139	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	82
+	225	80
+	220	77
+	4	215	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	80
+	220	77
+	3	215	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	80
+	84	82
+	79	77
+	4	73	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	82
+	79	77
+	3	73	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	80
+	165	79
+	160	76
+	4	155	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	79
+	160	76
+	3	155	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	76
+	149	76
+	155	80
+	4	160	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	155	80
+	3	160	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	79
+	144	80
+	139	76
+	4	134	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	80
+	139	76
+	3	134	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	139	76
+	144	80
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	144	80
+	3	149	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	80
+	155	80
+	149	76
+	4	144	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	80
+	149	76
+	3	144	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	92
+	216	93
+	210	90
+	4	205	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	93
+	210	90
+	3	205	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	85
+	210	90
+	216	93
+	4	221	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	90
+	216	93
+	3	221	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	90
+	221	85
+	215	82
+	4	210	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	85
+	215	82
+	3	210	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	90
+	200	89
+	205	92
+	4	210	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	89
+	205	92
+	3	210	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	93
+	93	92
+	89	90
+	4	83	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	92
+	89	90
+	3	83	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	89
+	89	90
+	93	92
+	4	99	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	90
+	93	92
+	3	99	89	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	89	90
+	78	85
+	83	93
+	4	89	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	85
+	83	93
+	3	89	90	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	78	85
+	89	90
+	84	82
+	4	78	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	90
+	84	82
+	3	78	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	83
+	190	84
+	185	82
+	4	180	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	84
+	185	82
+	3	180	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	82
+	175	79
+	180	83
+	4	185	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	79
+	180	83
+	3	185	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	84
+	119	83
+	114	82
+	4	109	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	83
+	114	82
+	3	109	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	79
+	114	82
+	119	83
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	82
+	119	83
+	3	124	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	80
+	215	82
+	221	85
+	4	225	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	82
+	221	85
+	3	225	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	82
+	73	80
+	78	85
+	4	84	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	80
+	78	85
+	3	84	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	87
+	205	92
+	200	89
+	4	196	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	92
+	200	89
+	3	196	87	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	200	89
+	190	84
+	196	87
+	4	200	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	84
+	196	87
+	3	200	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	92
+	103	87
+	99	89
+	4	93	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	87
+	99	89
+	3	93	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	84
+	99	89
+	103	87
+	4	109	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	89
+	103	87
+	3	109	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	94
+	155	94
+	149	88
+	4	144	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	94
+	149	88
+	3	144	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	87
+	149	88
+	155	94
+	4	160	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	88
+	155	94
+	3	160	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	88
+	160	87
+	155	80
+	4	149	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	87
+	155	80
+	3	149	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	88
+	139	87
+	144	94
+	4	149	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	87
+	144	94
+	3	149	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	87
+	149	88
+	144	80
+	4	139	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	88
+	144	80
+	3	139	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	80
+	144	80
+	149	88
+	4	155	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	80
+	149	88
+	3	155	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	85
+	231	84
+	225	80
+	4	221	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	84
+	225	80
+	3	221	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	84
+	78	85
+	73	80
+	4	68	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	85
+	73	80
+	3	68	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	79
+	155	80
+	160	87
+	4	165	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	80
+	160	87
+	3	165	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	80
+	134	79
+	139	87
+	4	144	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	79
+	139	87
+	3	144	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	97
+	160	97
+	155	94
+	4	149	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	97
+	155	94
+	3	149	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	93
+	155	94
+	160	97
+	4	165	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	94
+	160	97
+	3	165	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	94
+	165	93
+	160	87
+	4	155	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	93
+	160	87
+	3	155	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	97
+	149	97
+	144	94
+	4	139	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	97
+	144	94
+	3	139	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	94
+	144	94
+	149	97
+	4	155	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	94
+	149	97
+	3	155	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	94
+	134	93
+	139	97
+	4	144	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	93
+	139	97
+	3	144	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	93
+	144	94
+	139	87
+	4	134	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	94
+	139	87
+	3	134	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	85
+	160	87
+	165	93
+	4	170	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	87
+	165	93
+	3	170	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	87
+	170	85
+	165	79
+	4	160	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	85
+	165	79
+	3	160	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	87
+	129	85
+	134	93
+	4	139	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	85
+	134	93
+	3	139	87	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	85
+	139	87
+	134	79
+	4	129	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	87
+	134	79
+	3	129	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	79
+	165	79
+	170	85
+	4	175	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	79
+	170	85
+	3	175	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	79
+	124	79
+	129	85
+	4	134	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	129	85
+	3	134	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	85
+	180	83
+	175	79
+	4	170	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	83
+	175	79
+	3	170	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	83
+	129	85
+	124	79
+	4	119	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	85
+	124	79
+	3	119	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	97
+	170	98
+	165	93
+	4	160	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	98
+	165	93
+	3	160	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	90
+	165	93
+	170	98
+	4	175	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	93
+	170	98
+	3	175	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	93
+	175	90
+	170	85
+	4	165	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	90
+	170	85
+	3	165	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	98
+	139	97
+	134	93
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	97
+	134	93
+	3	129	98	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	93
+	124	90
+	129	98
+	4	134	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	90
+	129	98
+	3	134	93	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	124	90
+	134	93
+	129	85
+	4	124	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	93
+	129	85
+	3	124	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	96
+	221	95
+	216	93
+	4	211	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	95
+	216	93
+	3	211	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	87
+	216	93
+	221	95
+	4	226	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	93
+	221	95
+	3	226	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	93
+	226	87
+	221	85
+	4	216	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	87
+	221	85
+	3	216	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	93
+	205	92
+	211	96
+	4	216	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	92
+	211	96
+	3	216	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	95
+	88	96
+	83	93
+	4	78	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	96
+	83	93
+	3	78	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	92
+	83	93
+	88	96
+	4	93	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	93
+	88	96
+	3	93	92	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	83	93
+	72	87
+	78	95
+	4	83	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	87
+	78	95
+	3	83	93	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	72	87
+	83	93
+	78	85
+	4	72	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	93
+	78	85
+	3	72	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	90
+	211	96
+	205	92
+	4	201	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	96
+	205	92
+	3	201	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	92
+	196	87
+	201	90
+	4	205	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	87
+	201	90
+	3	205	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	96
+	98	90
+	93	92
+	4	88	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	90
+	93	92
+	3	88	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	87
+	93	92
+	98	90
+	4	103	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	92
+	98	90
+	3	103	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	84
+	221	85
+	226	87
+	4	231	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	85
+	226	87
+	3	231	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	85
+	68	84
+	72	87
+	4	78	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	84
+	72	87
+	3	78	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	83
+	170	85
+	175	90
+	4	180	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	85
+	175	90
+	3	180	83	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	85
+	119	83
+	124	90
+	4	129	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	83
+	124	90
+	3	129	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	86
+	196	87
+	190	84
+	4	185	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	87
+	190	84
+	3	185	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	84
+	180	83
+	185	86
+	4	190	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	83
+	185	86
+	3	190	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	87
+	113	86
+	109	84
+	4	103	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	86
+	109	84
+	3	103	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	83
+	109	84
+	113	86
+	4	119	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	84
+	113	86
+	3	119	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	87
+	237	88
+	231	84
+	4	226	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	88
+	231	84
+	3	226	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	88
+	72	87
+	68	84
+	4	62	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	87
+	68	84
+	3	62	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	98
+	175	101
+	170	98
+	4	165	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	101
+	170	98
+	3	165	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	95
+	170	98
+	175	101
+	4	180	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	98
+	175	101
+	3	180	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	98
+	180	95
+	175	90
+	4	170	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	95
+	175	90
+	3	170	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	98
+	160	97
+	165	98
+	4	170	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	97
+	165	98
+	3	170	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	101
+	134	98
+	129	98
+	4	124	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	98
+	129	98
+	3	124	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	97
+	129	98
+	134	98
+	4	139	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	134	98
+	3	139	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	98
+	119	95
+	124	101
+	4	129	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	95
+	124	101
+	3	129	98	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	119	95
+	129	98
+	124	90
+	4	119	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	98
+	124	90
+	3	119	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	86
+	175	90
+	180	95
+	4	185	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	90
+	180	95
+	3	185	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	90
+	185	86
+	180	83
+	4	175	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	86
+	180	83
+	3	175	90	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	90
+	113	86
+	119	95
+	4	124	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	86
+	119	95
+	3	124	90	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	113	86
+	124	90
+	119	83
+	4	113	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	90
+	119	83
+	3	113	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	96
+	165	98
+	160	97
+	4	155	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	98
+	160	97
+	3	155	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	97
+	149	97
+	155	96
+	4	160	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	97
+	155	96
+	3	160	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	98
+	144	96
+	139	97
+	4	134	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	139	97
+	3	134	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	97
+	139	97
+	144	96
+	4	149	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	97
+	144	96
+	3	149	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	96
+	155	96
+	149	97
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	96
+	149	97
+	3	144	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	94
+	216	100
+	211	96
+	4	207	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	100
+	211	96
+	3	207	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	95
+	211	96
+	216	100
+	4	221	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	96
+	216	100
+	3	221	95	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	211	96
+	201	90
+	207	94
+	4	211	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	90
+	207	94
+	3	211	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	100
+	92	94
+	88	96
+	4	83	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	94
+	88	96
+	3	83	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	90
+	88	96
+	92	94
+	4	98	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	96
+	92	94
+	3	98	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	96
+	78	95
+	83	100
+	4	88	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	95
+	83	100
+	3	88	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	90
+	242	93
+	237	88
+	4	232	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	93
+	237	88
+	3	232	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	88
+	226	87
+	232	90
+	4	237	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	87
+	232	90
+	3	237	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	93
+	67	90
+	62	88
+	4	57	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	90
+	62	88
+	3	57	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	87
+	62	88
+	67	90
+	4	72	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	88
+	67	90
+	3	72	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	100
+	227	98
+	221	95
+	4	216	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	98
+	221	95
+	3	216	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	90
+	221	95
+	227	98
+	4	232	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	95
+	227	98
+	3	232	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	95
+	232	90
+	226	87
+	4	221	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	90
+	226	87
+	3	221	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	98
+	83	100
+	78	95
+	4	72	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	100
+	78	95
+	3	72	98	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	95
+	67	90
+	72	98
+	4	78	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	90
+	72	98
+	3	78	95	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	67	90
+	78	95
+	72	87
+	4	67	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	95
+	72	87
+	3	67	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	101
+	186	99
+	180	95
+	4	175	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	99
+	180	95
+	3	175	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	90
+	180	95
+	186	99
+	4	191	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	95
+	186	99
+	3	191	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	95
+	191	90
+	185	86
+	4	180	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	90
+	185	86
+	3	180	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	99
+	124	101
+	119	95
+	4	113	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	101
+	119	95
+	3	113	99	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	119	95
+	108	90
+	113	99
+	4	119	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	90
+	113	99
+	3	119	95	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	108	90
+	119	95
+	113	86
+	4	108	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	95
+	113	86
+	3	108	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	90
+	201	90
+	196	87
+	4	191	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	90
+	196	87
+	3	191	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	87
+	185	86
+	191	90
+	4	196	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	86
+	191	90
+	3	196	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	90
+	108	90
+	103	87
+	4	98	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	90
+	103	87
+	3	98	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	86
+	103	87
+	108	90
+	4	113	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	87
+	108	90
+	3	113	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	99
+	181	104
+	175	101
+	4	170	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	104
+	175	101
+	3	170	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	99
+	175	101
+	181	104
+	4	186	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	101
+	181	104
+	3	186	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	101
+	165	98
+	170	99
+	4	175	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	98
+	170	99
+	3	175	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	104
+	129	99
+	124	101
+	4	118	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	99
+	124	101
+	3	118	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	98
+	124	101
+	129	99
+	4	134	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	101
+	129	99
+	3	134	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	101
+	113	99
+	118	104
+	4	124	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	99
+	118	104
+	3	124	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	238	93
+	248	98
+	242	93
+	4	238	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	98
+	242	93
+	3	238	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	93
+	232	90
+	238	93
+	4	242	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	90
+	238	93
+	3	242	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	98
+	61	93
+	57	93
+	4	51	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	93
+	57	93
+	3	51	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	90
+	57	93
+	61	93
+	4	67	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	93
+	61	93
+	3	67	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	99
+	222	104
+	216	100
+	4	212	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	104
+	216	100
+	3	212	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	98
+	216	100
+	222	104
+	4	227	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	100
+	222	104
+	3	227	98	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	100
+	207	94
+	212	99
+	4	216	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	94
+	212	99
+	3	216	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	104
+	87	99
+	83	100
+	4	77	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	99
+	83	100
+	3	77	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	94
+	83	100
+	87	99
+	4	92	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	100
+	87	99
+	3	92	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	100
+	72	98
+	77	104
+	4	83	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	98
+	77	104
+	3	83	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	104
+	191	103
+	186	99
+	4	181	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	103
+	186	99
+	3	181	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	94
+	186	99
+	191	103
+	4	196	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	99
+	191	103
+	3	196	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	99
+	196	94
+	191	90
+	4	186	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	94
+	191	90
+	3	186	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	103
+	118	104
+	113	99
+	4	108	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	104
+	113	99
+	3	108	103	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	113	99
+	103	94
+	108	103
+	4	113	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	94
+	108	103
+	3	113	99	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	103	94
+	113	99
+	108	90
+	4	103	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	99
+	108	90
+	3	103	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	96
+	170	99
+	165	98
+	4	160	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	99
+	165	98
+	3	160	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	98
+	155	96
+	160	96
+	4	165	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	96
+	160	96
+	3	165	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	99
+	139	96
+	134	98
+	4	129	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	96
+	134	98
+	3	129	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	96
+	134	98
+	139	96
+	4	144	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	98
+	139	96
+	3	144	96	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	244	98
+	253	103
+	248	98
+	4	244	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	103
+	248	98
+	3	244	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	98
+	238	93
+	244	98
+	4	248	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	93
+	244	98
+	3	248	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	103
+	55	98
+	51	98
+	4	46	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	98
+	51	98
+	3	46	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	93
+	51	98
+	55	98
+	4	61	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	98
+	55	98
+	3	61	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	94
+	207	94
+	201	90
+	4	196	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	94
+	201	90
+	3	196	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	90
+	191	90
+	196	94
+	4	201	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	90
+	196	94
+	3	201	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	94
+	103	94
+	98	90
+	4	92	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	94
+	98	90
+	3	92	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	90
+	98	90
+	103	94
+	4	108	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	90
+	103	94
+	3	108	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	104
+	233	99
+	227	98
+	4	222	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	99
+	227	98
+	3	222	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	93
+	227	98
+	233	99
+	4	238	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	98
+	233	99
+	3	238	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	98
+	238	93
+	232	90
+	4	227	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	93
+	232	90
+	3	227	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	99
+	77	104
+	72	98
+	4	66	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	104
+	72	98
+	3	66	99	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	72	98
+	61	93
+	66	99
+	4	72	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	93
+	66	99
+	3	72	98	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	61	93
+	72	98
+	67	90
+	4	61	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	98
+	67	90
+	3	61	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	101
+	186	108
+	181	104
+	4	176	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	108
+	181	104
+	3	176	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	103
+	181	104
+	186	108
+	4	191	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	104
+	186	108
+	3	191	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	104
+	170	99
+	176	101
+	4	181	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	99
+	176	101
+	3	181	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	108
+	123	101
+	118	104
+	4	113	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	101
+	118	104
+	3	113	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	99
+	118	104
+	123	101
+	4	129	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	104
+	123	101
+	3	129	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	104
+	108	103
+	113	108
+	4	118	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	103
+	113	108
+	3	118	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	104
+	228	107
+	222	104
+	4	218	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	107
+	222	104
+	3	218	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	99
+	222	104
+	228	107
+	4	233	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	104
+	228	107
+	3	233	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	104
+	212	99
+	218	104
+	4	222	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	99
+	218	104
+	3	222	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	107
+	81	104
+	77	104
+	4	71	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	104
+	77	104
+	3	71	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	99
+	77	104
+	81	104
+	4	87	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	104
+	81	104
+	3	87	99	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	77	104
+	66	99
+	71	107
+	4	77	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	99
+	71	107
+	3	77	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	95
+	160	96
+	155	96
+	4	149	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	96
+	155	96
+	3	149	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	96
+	149	95
+	144	96
+	4	139	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	95
+	144	96
+	3	139	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	96
+	144	96
+	149	95
+	4	155	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	96
+	149	95
+	3	155	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	108
+	197	106
+	191	103
+	4	186	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	106
+	191	103
+	3	186	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	97
+	191	103
+	197	106
+	4	202	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	103
+	197	106
+	3	202	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	103
+	202	97
+	196	94
+	4	191	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	97
+	196	94
+	3	191	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	106
+	113	108
+	108	103
+	4	102	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	108
+	108	103
+	3	102	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	103
+	97	97
+	102	106
+	4	108	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	97
+	102	106
+	3	108	103	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	97	97
+	108	103
+	103	94
+	4	97	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	103
+	103	94
+	3	97	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	249	103
+	259	107
+	253	103
+	4	249	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	107
+	253	103
+	3	249	103	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	253	103
+	244	98
+	249	103
+	4	253	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	98
+	249	103
+	3	253	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	107
+	49	103
+	46	103
+	4	40	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	103
+	46	103
+	3	40	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	98
+	46	103
+	49	103
+	4	55	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	103
+	49	103
+	3	55	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	97
+	212	99
+	207	94
+	4	202	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	99
+	207	94
+	3	202	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	94
+	196	94
+	202	97
+	4	207	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	94
+	202	97
+	3	207	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	99
+	97	97
+	92	94
+	4	87	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	97
+	92	94
+	3	87	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	94
+	92	94
+	97	97
+	4	103	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	94
+	97	97
+	3	103	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	99
+	244	98
+	238	93
+	4	233	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	98
+	238	93
+	3	233	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	98
+	66	99
+	61	93
+	4	55	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	99
+	61	93
+	3	55	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	105
+	191	112
+	186	108
+	4	181	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	112
+	186	108
+	3	181	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	106
+	186	108
+	191	112
+	4	197	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	108
+	191	112
+	3	197	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	108
+	176	101
+	181	105
+	4	186	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	101
+	181	105
+	3	186	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	112
+	118	105
+	113	108
+	4	107	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	105
+	113	108
+	3	107	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	101
+	113	108
+	118	105
+	4	123	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	108
+	118	105
+	3	123	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	108
+	102	106
+	107	112
+	4	113	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	106
+	107	112
+	3	113	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	110
+	234	109
+	228	107
+	4	223	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	109
+	228	107
+	3	223	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	101
+	228	107
+	234	109
+	4	239	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	107
+	234	109
+	3	239	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	107
+	239	101
+	233	99
+	4	228	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	101
+	233	99
+	3	228	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	107
+	218	104
+	223	110
+	4	228	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	104
+	223	110
+	3	228	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	109
+	76	110
+	71	107
+	4	65	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	110
+	71	107
+	3	65	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	104
+	71	107
+	76	110
+	4	81	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	107
+	76	110
+	3	81	104	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	71	107
+	60	101
+	65	109
+	4	71	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	101
+	65	109
+	3	71	107	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	60	101
+	71	107
+	66	99
+	4	60	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	107
+	66	99
+	3	60	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	98
+	233	99
+	239	101
+	4	244	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	99
+	239	101
+	3	244	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	99
+	55	98
+	60	101
+	4	66	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	98
+	60	101
+	3	66	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	109
+	265	109
+	259	107
+	4	255	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	109
+	259	107
+	3	255	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	259	107
+	249	103
+	255	109
+	4	259	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	103
+	255	109
+	3	259	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	109
+	44	109
+	40	107
+	4	33	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	109
+	40	107
+	3	33	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	103
+	40	107
+	44	109
+	4	49	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	107
+	44	109
+	3	49	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	98
+	176	101
+	170	99
+	4	165	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	101
+	170	99
+	3	165	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	99
+	160	96
+	165	98
+	4	170	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	96
+	165	98
+	3	170	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	101
+	134	98
+	129	99
+	4	123	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	98
+	129	99
+	3	123	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	96
+	129	99
+	134	98
+	4	139	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	99
+	134	98
+	3	139	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	100
+	218	104
+	212	99
+	4	208	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	104
+	212	99
+	3	208	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	99
+	202	97
+	208	100
+	4	212	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	97
+	208	100
+	3	212	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	104
+	91	100
+	87	99
+	4	81	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	100
+	87	99
+	3	81	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	97
+	87	99
+	91	100
+	4	97	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	99
+	91	100
+	3	97	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	112
+	202	108
+	197	106
+	4	191	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	108
+	197	106
+	3	191	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	100
+	197	106
+	202	108
+	4	208	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	106
+	202	108
+	3	208	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	106
+	208	100
+	202	97
+	4	197	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	100
+	202	97
+	3	197	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	108
+	107	112
+	102	106
+	4	97	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	112
+	102	106
+	3	97	108	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	102	106
+	91	100
+	97	108
+	4	102	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	100
+	97	108
+	3	102	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	91	100
+	102	106
+	97	97
+	4	91	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	106
+	97	97
+	3	91	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	101
+	249	103
+	244	98
+	4	239	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	103
+	244	98
+	3	239	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	103
+	60	101
+	55	98
+	4	49	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	101
+	55	98
+	3	49	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	110
+	197	116
+	191	112
+	4	187	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	116
+	191	112
+	3	187	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	108
+	191	112
+	197	116
+	4	202	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	112
+	197	116
+	3	202	108	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	191	112
+	181	105
+	187	110
+	4	191	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	105
+	187	110
+	3	191	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	116
+	112	110
+	107	112
+	4	102	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	107	112
+	3	102	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	105
+	107	112
+	112	110
+	4	118	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	112
+	112	110
+	3	118	105	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	107	112
+	97	108
+	102	116
+	4	107	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	108
+	102	116
+	3	107	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	213	104
+	223	110
+	218	104
+	4	213	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	110
+	218	104
+	3	213	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	104
+	208	100
+	213	104
+	4	218	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	100
+	213	104
+	3	218	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	110
+	86	104
+	81	104
+	4	76	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	104
+	81	104
+	3	76	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	100
+	81	104
+	86	104
+	4	91	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	104
+	86	104
+	3	91	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	99
+	165	98
+	160	96
+	4	155	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	98
+	160	96
+	3	155	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	96
+	149	95
+	155	99
+	4	160	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	95
+	155	99
+	3	160	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	98
+	144	99
+	139	96
+	4	134	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	99
+	139	96
+	3	134	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	95
+	139	96
+	144	99
+	4	149	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	96
+	144	99
+	3	149	95	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	245	104
+	255	109
+	249	103
+	4	245	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	109
+	249	103
+	3	245	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	103
+	239	101
+	245	104
+	4	249	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	101
+	245	104
+	3	249	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	44	109
+	54	104
+	49	103
+	4	44	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	104
+	49	103
+	3	44	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	101
+	49	103
+	54	104
+	4	60	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	103
+	54	104
+	3	60	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	120
+	160	122
+	155	118
+	4	149	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	122
+	155	118
+	3	149	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	165	113
+	155	118
+	160	122
+	4	165	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	118
+	160	122
+	3	165	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	118
+	165	113
+	160	107
+	4	155	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	113
+	160	107
+	3	155	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	122
+	149	120
+	144	118
+	4	139	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	120
+	144	118
+	3	139	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	118
+	144	118
+	149	120
+	4	155	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	118
+	149	120
+	3	155	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	118
+	155	118
+	149	109
+	4	144	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	118
+	149	109
+	3	144	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	107
+	149	109
+	155	118
+	4	160	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	109
+	155	118
+	3	160	107	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	144	118
+	134	113
+	139	122
+	4	144	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	113
+	139	122
+	3	144	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	113
+	144	118
+	139	107
+	4	134	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	118
+	139	107
+	3	134	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	109
+	139	107
+	144	118
+	4	149	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	107
+	144	118
+	3	149	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	99
+	155	99
+	149	95
+	4	144	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	99
+	149	95
+	3	144	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	109
+	229	115
+	223	110
+	4	219	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	115
+	223	110
+	3	219	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	109
+	223	110
+	229	115
+	4	234	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	110
+	229	115
+	3	234	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	110
+	213	104
+	219	109
+	4	223	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	104
+	219	109
+	3	223	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	115
+	80	109
+	76	110
+	4	70	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	109
+	76	110
+	3	70	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	104
+	76	110
+	80	109
+	4	86	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	110
+	80	109
+	3	86	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	110
+	65	109
+	70	115
+	4	76	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	109
+	70	115
+	3	76	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	114
+	272	111
+	265	109
+	4	261	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	111
+	265	109
+	3	261	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	109
+	255	109
+	261	114
+	4	265	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	109
+	261	114
+	3	265	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	27	111
+	38	114
+	33	109
+	4	27	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	114
+	33	109
+	3	27	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	109
+	33	109
+	38	114
+	4	44	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	109
+	38	114
+	3	44	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	109
+	160	107
+	155	99
+	4	149	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	107
+	155	99
+	3	149	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	107
+	149	109
+	144	99
+	4	139	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	109
+	144	99
+	3	139	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	99
+	144	99
+	149	109
+	4	155	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	99
+	149	109
+	3	155	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	115
+	240	110
+	234	109
+	4	229	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	110
+	234	109
+	3	229	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	104
+	234	109
+	240	110
+	4	245	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	109
+	240	110
+	3	245	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	234	109
+	245	104
+	239	101
+	4	234	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	104
+	239	101
+	3	234	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	110
+	70	115
+	65	109
+	4	59	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	115
+	65	109
+	3	59	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	65	109
+	54	104
+	59	110
+	4	65	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	104
+	59	110
+	3	65	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	104
+	65	109
+	60	101
+	4	54	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	109
+	60	101
+	3	54	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	102
+	181	105
+	176	101
+	4	171	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	105
+	176	101
+	3	171	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	101
+	165	98
+	171	102
+	4	176	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	98
+	171	102
+	3	176	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	105
+	128	102
+	123	101
+	4	118	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	102
+	123	101
+	3	118	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	98
+	123	101
+	128	102
+	4	134	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	101
+	128	102
+	3	134	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	251	109
+	261	114
+	255	109
+	4	251	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	114
+	255	109
+	3	251	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	255	109
+	245	104
+	251	109
+	4	255	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	104
+	251	109
+	3	255	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	114
+	48	109
+	44	109
+	4	38	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	109
+	44	109
+	3	38	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	104
+	44	109
+	48	109
+	4	54	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	109
+	48	109
+	3	54	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	116
+	203	118
+	197	116
+	4	192	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	118
+	197	116
+	3	192	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	109
+	197	116
+	203	118
+	4	208	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	116
+	203	118
+	3	208	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	116
+	208	109
+	202	108
+	4	197	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	109
+	202	108
+	3	197	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	116
+	187	110
+	192	116
+	4	197	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	110
+	192	116
+	3	197	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	118
+	107	116
+	102	116
+	4	96	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	116
+	102	116
+	3	96	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	110
+	102	116
+	107	116
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	116
+	107	116
+	3	112	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	116
+	91	109
+	96	118
+	4	102	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	109
+	96	118
+	3	102	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	91	109
+	102	116
+	97	108
+	4	91	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	116
+	97	108
+	3	91	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	104
+	202	108
+	208	109
+	4	213	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	108
+	208	109
+	3	213	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	108
+	213	104
+	208	100
+	4	202	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	104
+	208	100
+	3	202	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	108
+	86	104
+	91	109
+	4	97	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	104
+	91	109
+	3	97	108	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	86	104
+	97	108
+	91	100
+	4	86	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	108
+	91	100
+	3	86	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	118
+	165	126
+	160	122
+	4	155	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	126
+	160	122
+	3	155	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	117
+	160	122
+	165	126
+	4	171	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	122
+	165	126
+	3	171	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	122
+	171	117
+	165	113
+	4	160	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	117
+	165	113
+	3	160	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	122
+	149	120
+	155	118
+	4	160	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	120
+	155	118
+	3	160	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	126
+	144	118
+	139	122
+	4	133	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	118
+	139	122
+	3	133	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	120
+	139	122
+	144	118
+	4	149	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	122
+	144	118
+	3	149	120	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	122
+	128	117
+	133	126
+	4	139	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	117
+	133	126
+	3	139	122	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	128	117
+	139	122
+	134	113
+	4	128	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	122
+	134	113
+	3	128	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	115
+	235	118
+	229	115
+	4	225	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	118
+	229	115
+	3	225	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	110
+	229	115
+	235	118
+	4	240	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	115
+	235	118
+	3	240	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	229	115
+	219	109
+	225	115
+	4	229	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	109
+	225	115
+	3	229	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	64	118
+	74	115
+	70	115
+	4	64	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	115
+	70	115
+	3	64	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	109
+	70	115
+	74	115
+	4	80	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	115
+	74	115
+	3	80	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	70	115
+	59	110
+	64	118
+	4	70	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	110
+	64	118
+	3	70	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	98
+	155	99
+	160	107
+	4	165	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	99
+	160	107
+	3	165	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	99
+	134	98
+	139	107
+	4	144	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	98
+	139	107
+	3	144	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	102
+	160	107
+	165	113
+	4	171	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	107
+	165	113
+	3	171	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	107
+	171	102
+	165	98
+	4	160	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	102
+	165	98
+	3	160	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	107
+	128	102
+	134	113
+	4	139	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	102
+	134	113
+	3	139	107	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	128	102
+	139	107
+	134	98
+	4	128	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	107
+	134	98
+	3	128	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	115
+	267	117
+	261	114
+	4	257	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	117
+	261	114
+	3	257	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	272	111
+	261	114
+	267	117
+	4	272	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	114
+	267	117
+	3	272	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	261	114
+	251	109
+	257	115
+	4	261	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	109
+	257	115
+	3	261	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	32	117
+	42	115
+	38	114
+	4	32	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	115
+	38	114
+	3	32	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	109
+	38	114
+	42	115
+	4	48	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	114
+	42	115
+	3	48	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	38	114
+	27	111
+	32	117
+	4	38	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	111
+	32	117
+	3	38	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	106
+	165	113
+	171	117
+	4	176	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	113
+	171	117
+	3	176	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	113
+	176	106
+	171	102
+	4	165	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	106
+	171	102
+	3	165	113	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	113
+	123	106
+	128	117
+	4	134	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	128	117
+	3	134	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	106
+	134	113
+	128	102
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	113
+	128	102
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	118
+	155	118
+	149	120
+	4	144	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	118
+	149	120
+	3	144	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	106
+	187	110
+	181	105
+	4	176	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	110
+	181	105
+	3	176	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	105
+	171	102
+	176	106
+	4	181	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	102
+	176	106
+	3	181	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	110
+	123	106
+	118	105
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	118	105
+	3	112	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	102
+	118	105
+	123	106
+	4	128	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	105
+	123	106
+	3	128	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	110
+	251	109
+	245	104
+	4	240	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	109
+	245	104
+	3	240	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	48	109
+	59	110
+	54	104
+	4	48	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	110
+	54	104
+	3	48	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	109
+	219	109
+	213	104
+	4	208	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	109
+	213	104
+	3	208	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	109
+	91	109
+	86	104
+	4	80	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	109
+	86	104
+	3	80	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	117
+	279	112
+	272	111
+	4	267	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	112
+	272	111
+	3	267	117	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	20	112
+	32	117
+	27	111
+	4	20	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	117
+	27	111
+	3	20	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	122
+	171	129
+	165	126
+	4	160	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	129
+	165	126
+	3	160	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	118
+	165	126
+	171	129
+	4	177	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	126
+	171	129
+	3	177	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	126
+	177	118
+	171	117
+	4	165	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	118
+	171	117
+	3	165	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	126
+	155	118
+	160	122
+	4	165	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	118
+	160	122
+	3	165	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	129
+	139	122
+	133	126
+	4	128	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	122
+	133	126
+	3	128	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	118
+	133	126
+	139	122
+	4	144	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	126
+	139	122
+	3	144	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	126
+	122	118
+	128	129
+	4	133	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	118
+	128	129
+	3	133	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	118
+	133	126
+	128	117
+	4	122	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	126
+	128	117
+	3	122	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	122
+	209	119
+	203	118
+	4	198	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	119
+	203	118
+	3	198	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	111
+	203	118
+	209	119
+	4	214	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	118
+	209	119
+	3	214	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	118
+	214	111
+	208	109
+	4	203	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	111
+	208	109
+	3	203	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	118
+	192	116
+	198	122
+	4	203	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	116
+	198	122
+	3	203	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	119
+	101	122
+	96	118
+	4	90	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	122
+	96	118
+	3	90	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	116
+	96	118
+	101	122
+	4	107	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	118
+	101	122
+	3	107	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	96	118
+	85	111
+	90	119
+	4	96	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	111
+	90	119
+	3	96	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	85	111
+	96	118
+	91	109
+	4	85	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	118
+	91	109
+	3	85	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	118
+	247	112
+	240	110
+	4	235	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	112
+	240	110
+	3	235	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	109
+	240	110
+	247	112
+	4	251	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	110
+	247	112
+	3	251	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	52	112
+	64	118
+	59	110
+	4	52	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	118
+	59	110
+	3	52	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	110
+	48	109
+	52	112
+	4	59	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	109
+	52	112
+	3	59	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	121
+	241	119
+	235	118
+	4	230	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	119
+	235	118
+	3	230	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	112
+	235	118
+	241	119
+	4	247	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	118
+	241	119
+	3	247	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	118
+	225	115
+	230	121
+	4	235	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	115
+	230	121
+	3	235	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	119
+	69	121
+	64	118
+	4	58	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	121
+	64	118
+	3	58	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	115
+	64	118
+	69	121
+	4	74	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	118
+	69	121
+	3	74	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	64	118
+	52	112
+	58	119
+	4	64	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	112
+	58	119
+	3	64	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	182	109
+	192	116
+	187	110
+	4	182	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	116
+	187	110
+	3	182	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	110
+	176	106
+	182	109
+	4	187	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	106
+	182	109
+	3	187	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	116
+	117	109
+	112	110
+	4	107	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	109
+	112	110
+	3	107	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	106
+	112	110
+	117	109
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	117	109
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	121
+	274	119
+	267	117
+	4	262	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	119
+	267	117
+	3	262	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	112
+	267	117
+	274	119
+	4	279	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	117
+	274	119
+	3	279	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	117
+	257	115
+	262	121
+	4	267	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	115
+	262	121
+	3	267	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	25	119
+	36	121
+	32	117
+	4	25	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	121
+	32	117
+	3	25	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	115
+	32	117
+	36	121
+	4	42	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	117
+	36	121
+	3	42	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	32	117
+	20	112
+	25	119
+	4	32	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	112
+	25	119
+	3	32	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	109
+	208	109
+	214	111
+	4	219	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	109
+	214	111
+	3	219	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	109
+	80	109
+	85	111
+	4	91	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	109
+	85	111
+	3	91	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	109
+	171	117
+	177	118
+	4	182	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	117
+	177	118
+	3	182	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	117
+	182	109
+	176	106
+	4	171	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	109
+	176	106
+	3	171	117	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	117
+	117	109
+	122	118
+	4	128	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	109
+	122	118
+	3	128	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	109
+	128	117
+	123	106
+	4	117	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	117
+	123	106
+	3	117	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	114
+	198	122
+	192	116
+	4	188	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	122
+	192	116
+	3	188	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	116
+	182	109
+	188	114
+	4	192	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	109
+	188	114
+	3	192	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	122
+	111	114
+	107	116
+	4	101	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	114
+	107	116
+	3	101	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	109
+	107	116
+	111	114
+	4	117	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	116
+	111	114
+	3	117	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	214	111
+	225	115
+	219	109
+	4	214	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	115
+	219	109
+	3	214	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	115
+	85	111
+	80	109
+	4	74	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	111
+	80	109
+	3	74	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	247	112
+	257	115
+	251	109
+	4	247	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	115
+	251	109
+	3	247	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	115
+	52	112
+	48	109
+	4	42	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	112
+	48	109
+	3	42	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	115
+	230	121
+	225	115
+	4	220	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	121
+	225	115
+	3	220	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	115
+	214	111
+	220	115
+	4	225	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	111
+	220	115
+	3	225	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	121
+	79	115
+	74	115
+	4	69	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	115
+	74	115
+	3	69	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	111
+	74	115
+	79	115
+	4	85	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	115
+	79	115
+	3	85	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	121
+	203	127
+	198	122
+	4	193	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	127
+	198	122
+	3	193	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	119
+	198	122
+	203	127
+	4	209	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	122
+	203	127
+	3	209	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	122
+	188	114
+	193	121
+	4	198	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	114
+	193	121
+	3	198	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	127
+	106	121
+	101	122
+	4	95	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	121
+	101	122
+	3	95	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	114
+	101	122
+	106	121
+	4	111	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	122
+	106	121
+	3	111	114	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	101	122
+	90	119
+	95	127
+	4	101	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	119
+	95	127
+	3	101	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	253	115
+	262	121
+	257	115
+	4	253	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	121
+	257	115
+	3	253	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	115
+	247	112
+	253	115
+	4	257	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	112
+	253	115
+	3	257	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	121
+	46	115
+	42	115
+	4	36	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	115
+	42	115
+	3	36	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	112
+	42	115
+	46	115
+	4	52	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	115
+	46	115
+	3	52	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	121
+	236	126
+	230	121
+	4	226	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	126
+	230	121
+	3	226	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	119
+	230	121
+	236	126
+	4	241	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	121
+	236	126
+	3	241	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	230	121
+	220	115
+	226	121
+	4	230	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	115
+	226	121
+	3	230	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	126
+	73	121
+	69	121
+	4	63	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	121
+	69	121
+	3	63	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	115
+	69	121
+	73	121
+	4	79	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	121
+	73	121
+	3	79	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	69	121
+	58	119
+	63	126
+	4	69	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	119
+	63	126
+	3	69	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	132
+	177	128
+	171	129
+	4	166	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	128
+	171	129
+	3	166	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	118
+	171	129
+	177	128
+	4	182	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	129
+	177	128
+	3	182	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	129
+	182	118
+	177	118
+	4	171	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	118
+	177	118
+	3	171	129	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	171	129
+	160	122
+	166	132
+	4	171	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	122
+	166	132
+	3	171	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	128
+	133	132
+	128	129
+	4	122	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	132
+	128	129
+	3	122	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	122
+	128	129
+	133	132
+	4	139	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	129
+	133	132
+	3	139	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	129
+	117	118
+	122	128
+	4	128	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	118
+	122	128
+	3	128	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	117	118
+	128	129
+	122	118
+	4	117	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	129
+	122	118
+	3	117	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	259	122
+	269	125
+	262	121
+	4	259	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	125
+	262	121
+	3	259	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	274	119
+	262	121
+	269	125
+	4	274	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	121
+	269	125
+	3	274	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	262	121
+	253	115
+	259	122
+	4	262	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	115
+	259	122
+	3	262	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	30	125
+	40	122
+	36	121
+	4	30	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	122
+	36	121
+	3	30	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	115
+	36	121
+	40	122
+	4	46	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	121
+	40	122
+	3	46	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	36	121
+	25	119
+	30	125
+	4	36	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	119
+	30	125
+	3	36	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	119
+	285	116
+	279	112
+	4	274	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	116
+	279	112
+	3	274	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	14	116
+	25	119
+	20	112
+	4	14	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	119
+	20	112
+	3	14	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	119
+	253	115
+	247	112
+	4	241	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	115
+	247	112
+	3	241	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	46	115
+	58	119
+	52	112
+	4	46	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	119
+	52	112
+	3	46	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	269	125
+	281	120
+	274	119
+	4	269	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	120
+	274	119
+	3	269	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	285	116
+	274	119
+	281	120
+	4	285	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	119
+	281	120
+	3	285	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	18	120
+	30	125
+	25	119
+	4	18	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	125
+	25	119
+	3	18	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	25	119
+	14	116
+	18	120
+	4	25	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	116
+	18	120
+	3	25	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	126
+	248	120
+	241	119
+	4	236	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	120
+	241	119
+	3	236	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	115
+	241	119
+	248	120
+	4	253	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	119
+	248	120
+	3	253	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	51	120
+	63	126
+	58	119
+	4	51	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	126
+	58	119
+	3	51	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	119
+	46	115
+	51	120
+	4	58	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	115
+	51	120
+	3	58	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	130
+	210	127
+	203	127
+	4	199	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	127
+	203	127
+	3	199	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	119
+	203	127
+	210	127
+	4	215	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	127
+	210	127
+	3	215	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	127
+	215	119
+	209	119
+	4	203	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	119
+	209	119
+	3	203	127	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	203	127
+	193	121
+	199	130
+	4	203	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	121
+	199	130
+	3	203	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	127
+	100	130
+	95	127
+	4	89	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	130
+	95	127
+	3	89	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	121
+	95	127
+	100	130
+	4	106	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	127
+	100	130
+	3	106	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	95	127
+	84	119
+	89	127
+	4	95	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	119
+	89	127
+	3	95	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	84	119
+	95	127
+	90	119
+	4	84	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	127
+	90	119
+	3	84	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	115
+	209	119
+	215	119
+	4	220	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	119
+	215	119
+	3	220	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	119
+	220	115
+	214	111
+	4	209	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	115
+	214	111
+	3	209	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	119
+	79	115
+	84	119
+	4	90	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	115
+	84	119
+	3	90	119	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	79	115
+	90	119
+	85	111
+	4	79	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	119
+	85	111
+	3	79	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	129
+	243	127
+	236	126
+	4	231	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	127
+	236	126
+	3	231	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	120
+	236	126
+	243	127
+	4	248	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	126
+	243	127
+	3	248	120	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	236	126
+	226	121
+	231	129
+	4	236	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	121
+	231	129
+	3	236	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	127
+	68	129
+	63	126
+	4	56	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	129
+	63	126
+	3	56	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	121
+	63	126
+	68	129
+	4	73	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	126
+	68	129
+	3	73	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	63	126
+	51	120
+	56	127
+	4	63	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	120
+	56	127
+	3	63	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	108
+	160	122
+	155	118
+	4	149	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	122
+	155	118
+	3	149	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	122
+	149	108
+	144	118
+	4	139	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	108
+	144	118
+	3	139	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	118
+	144	118
+	149	108
+	4	155	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	118
+	149	108
+	3	155	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	114
+	177	118
+	182	118
+	4	188	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	118
+	182	118
+	3	188	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	118
+	188	114
+	182	109
+	4	177	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	114
+	182	109
+	3	177	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	118
+	111	114
+	117	118
+	4	122	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	114
+	117	118
+	3	122	118	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	111	114
+	122	118
+	117	109
+	4	111	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	118
+	117	109
+	3	111	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	264	128
+	275	127
+	269	125
+	4	264	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	127
+	269	125
+	3	264	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	281	120
+	269	125
+	275	127
+	4	281	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	125
+	275	127
+	3	281	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	269	125
+	259	122
+	264	128
+	4	269	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	122
+	264	128
+	3	269	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	23	127
+	35	128
+	30	125
+	4	23	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	128
+	30	125
+	3	23	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	122
+	30	125
+	35	128
+	4	40	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	125
+	35	128
+	3	40	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	30	125
+	18	120
+	23	127
+	4	30	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	120
+	23	127
+	3	30	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	130
+	171	137
+	166	132
+	4	161	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	137
+	166	132
+	3	161	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	128
+	166	132
+	171	137
+	4	177	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	132
+	171	137
+	3	177	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	132
+	155	112
+	161	130
+	4	166	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	112
+	161	130
+	3	166	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	112
+	166	132
+	160	122
+	4	155	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	132
+	160	122
+	3	155	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	137
+	138	130
+	133	132
+	4	128	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	133	132
+	3	128	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	112
+	133	132
+	138	130
+	4	144	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	132
+	138	130
+	3	144	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	132
+	144	112
+	139	122
+	4	133	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	112
+	139	122
+	3	133	132	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	133	132
+	122	128
+	128	137
+	4	133	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	128
+	128	137
+	3	133	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	281	120
+	291	122
+	285	116
+	4	281	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	122
+	285	116
+	3	281	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	8	122
+	18	120
+	14	116
+	4	8	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	120
+	14	116
+	3	8	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	120
+	259	122
+	253	115
+	4	248	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	122
+	253	115
+	3	248	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	122
+	51	120
+	46	115
+	4	40	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	120
+	46	115
+	3	40	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	119
+	226	121
+	220	115
+	4	215	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	121
+	220	115
+	3	215	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	121
+	84	119
+	79	115
+	4	73	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	119
+	79	115
+	3	73	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	129
+	204	134
+	199	130
+	4	194	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	134
+	199	130
+	3	194	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	127
+	199	130
+	204	134
+	4	210	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	130
+	204	134
+	3	210	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	130
+	188	121
+	194	129
+	4	199	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	121
+	194	129
+	3	199	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	121
+	199	130
+	193	121
+	4	188	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	130
+	193	121
+	3	188	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	134
+	105	129
+	100	130
+	4	95	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	129
+	100	130
+	3	95	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	121
+	100	130
+	105	129
+	4	111	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	130
+	105	129
+	3	111	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	130
+	111	121
+	106	121
+	4	100	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	121
+	106	121
+	3	100	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	130
+	89	127
+	95	134
+	4	100	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	127
+	95	134
+	3	100	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	122
+	149	108
+	155	112
+	4	160	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	108
+	155	112
+	3	160	122	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	149	108
+	139	122
+	144	112
+	4	149	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	122
+	144	112
+	3	149	108	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	287	123
+	297	128
+	291	122
+	4	287	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	297	128
+	291	122
+	3	287	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	291	122
+	281	120
+	287	123
+	4	291	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	120
+	287	123
+	3	291	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	2	128
+	12	123
+	8	122
+	4	2	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	123
+	8	122
+	3	2	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	18	120
+	8	122
+	12	123
+	4	18	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	8	122
+	12	123
+	3	18	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	182	118
+	193	121
+	188	114
+	4	182	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	121
+	188	114
+	3	182	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	121
+	117	118
+	111	114
+	4	106	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	118
+	111	114
+	3	106	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	254	123
+	264	128
+	259	122
+	4	254	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	128
+	259	122
+	3	254	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	122
+	248	120
+	254	123
+	4	259	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	120
+	254	123
+	3	259	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	128
+	45	123
+	40	122
+	4	35	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	123
+	40	122
+	3	35	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	120
+	40	122
+	45	123
+	4	51	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	122
+	45	123
+	3	51	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	122
+	231	129
+	226	121
+	4	221	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	129
+	226	121
+	3	221	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	121
+	215	119
+	221	122
+	4	226	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	119
+	221	122
+	3	226	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	129
+	78	122
+	73	121
+	4	68	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	122
+	73	121
+	3	68	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	119
+	73	121
+	78	122
+	4	84	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	121
+	78	122
+	3	84	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	121
+	182	118
+	188	121
+	4	193	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	118
+	188	121
+	3	193	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	118
+	106	121
+	111	121
+	4	117	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	121
+	111	121
+	3	117	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	141
+	177	133
+	171	137
+	4	166	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	133
+	171	137
+	3	166	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	126
+	171	137
+	177	133
+	4	183	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	137
+	177	133
+	3	183	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	137
+	183	126
+	177	128
+	4	171	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	126
+	177	128
+	3	171	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	137
+	161	130
+	166	141
+	4	171	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	130
+	166	141
+	3	171	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	133
+	133	141
+	128	137
+	4	122	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	141
+	128	137
+	3	122	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	130
+	128	137
+	133	141
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	137
+	133	141
+	3	138	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	137
+	116	126
+	122	133
+	4	128	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	126
+	122	133
+	3	128	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	126
+	128	137
+	122	128
+	4	116	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	137
+	122	128
+	3	116	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	129
+	237	134
+	231	129
+	4	227	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	134
+	231	129
+	3	227	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	127
+	231	129
+	237	134
+	4	243	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	129
+	237	134
+	3	243	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	231	129
+	221	122
+	227	129
+	4	231	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	122
+	227	129
+	3	231	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	134
+	72	129
+	68	129
+	4	62	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	129
+	68	129
+	3	62	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	122
+	68	129
+	72	129
+	4	78	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	129
+	72	129
+	3	78	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	129
+	56	127
+	62	134
+	4	68	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	127
+	62	134
+	3	68	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	260	129
+	270	133
+	264	128
+	4	260	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	133
+	264	128
+	3	260	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	275	127
+	264	128
+	270	133
+	4	275	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	128
+	270	133
+	3	275	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	264	128
+	254	123
+	260	129
+	4	264	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	123
+	260	129
+	3	264	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	29	133
+	39	129
+	35	128
+	4	29	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	129
+	35	128
+	3	29	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	123
+	35	128
+	39	129
+	4	45	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	128
+	39	129
+	3	45	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	35	128
+	23	127
+	29	133
+	4	35	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	127
+	29	133
+	3	35	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	297	128
+	287	123
+	293	129
+	4	297	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	123
+	293	129
+	3	297	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	12	123
+	2	128
+	6	129
+	4	12	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	2	128
+	6	129
+	3	12	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	121
+	177	128
+	183	126
+	4	188	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	128
+	183	126
+	3	188	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	128
+	188	121
+	182	118
+	4	177	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	121
+	182	118
+	3	177	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	128
+	111	121
+	116	126
+	4	122	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	121
+	116	126
+	3	122	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	111	121
+	122	128
+	117	118
+	4	111	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	128
+	117	118
+	3	111	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	127
+	287	123
+	281	120
+	4	275	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	123
+	281	120
+	3	275	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	12	123
+	23	127
+	18	120
+	4	12	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	127
+	18	120
+	3	12	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	127
+	254	123
+	248	120
+	4	243	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	123
+	248	120
+	3	243	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	45	123
+	56	127
+	51	120
+	4	45	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	127
+	51	120
+	3	45	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	134
+	216	127
+	210	127
+	4	204	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	127
+	210	127
+	3	204	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	122
+	210	127
+	216	127
+	4	221	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	127
+	216	127
+	3	221	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	127
+	221	122
+	215	119
+	4	210	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	122
+	215	119
+	3	210	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	83	127
+	95	134
+	89	127
+	4	83	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	134
+	89	127
+	3	83	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	127
+	78	122
+	83	127
+	4	89	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	122
+	83	127
+	3	89	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	122
+	89	127
+	84	119
+	4	78	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	127
+	84	119
+	3	78	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	134
+	249	128
+	243	127
+	4	237	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	128
+	243	127
+	3	237	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	123
+	243	127
+	249	128
+	4	254	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	127
+	249	128
+	3	254	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	128
+	62	134
+	56	127
+	4	50	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	134
+	56	127
+	3	50	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	127
+	45	123
+	50	128
+	4	56	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	123
+	50	128
+	3	56	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	270	133
+	283	128
+	275	127
+	4	270	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	128
+	275	127
+	3	270	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	287	123
+	275	127
+	283	128
+	4	287	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	127
+	283	128
+	3	287	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	16	128
+	29	133
+	23	127
+	4	16	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	133
+	23	127
+	3	16	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	23	127
+	12	123
+	16	128
+	4	23	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	123
+	16	128
+	3	23	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	138
+	211	134
+	204	134
+	4	199	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	134
+	204	134
+	3	199	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	127
+	204	134
+	211	134
+	4	216	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	134
+	211	134
+	3	216	127	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	204	134
+	194	129
+	199	138
+	4	204	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	129
+	199	138
+	3	204	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	134
+	100	138
+	95	134
+	4	88	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	138
+	95	134
+	3	88	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	129
+	95	134
+	100	138
+	4	105	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	134
+	100	138
+	3	105	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	95	134
+	83	127
+	88	134
+	4	95	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	127
+	88	134
+	3	95	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	161	145
+	172	140
+	166	141
+	4	161	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	140
+	166	141
+	3	161	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	133
+	166	141
+	172	140
+	4	177	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	141
+	172	140
+	3	177	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	141
+	155	134
+	161	145
+	4	166	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	134
+	161	145
+	3	166	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	134
+	166	141
+	161	130
+	4	155	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	141
+	161	130
+	3	155	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	140
+	138	145
+	133	141
+	4	127	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	145
+	133	141
+	3	127	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	134
+	133	141
+	138	145
+	4	144	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	141
+	138	145
+	3	144	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	141
+	144	134
+	138	130
+	4	133	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	134
+	138	130
+	3	133	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	141
+	122	133
+	127	140
+	4	133	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	133
+	127	140
+	3	133	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	137
+	244	135
+	237	134
+	4	233	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	135
+	237	134
+	3	233	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	128
+	237	134
+	244	135
+	4	249	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	134
+	244	135
+	3	249	128	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	237	134
+	227	129
+	233	137
+	4	237	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	129
+	233	137
+	3	237	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	135
+	66	137
+	62	134
+	4	55	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	137
+	62	134
+	3	55	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	129
+	62	134
+	66	137
+	4	72	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	134
+	66	137
+	3	72	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	62	134
+	50	128
+	55	135
+	4	62	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	128
+	55	135
+	3	62	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	266	137
+	277	135
+	270	133
+	4	266	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	135
+	270	133
+	3	266	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	283	128
+	270	133
+	277	135
+	4	283	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	133
+	277	135
+	3	283	128	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	270	133
+	260	129
+	266	137
+	4	270	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	129
+	266	137
+	3	270	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	22	135
+	33	137
+	29	133
+	4	22	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	137
+	29	133
+	3	22	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	129
+	29	133
+	33	137
+	4	39	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	133
+	33	137
+	3	39	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	29	133
+	16	128
+	22	135
+	4	29	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	128
+	22	135
+	3	29	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	283	128
+	293	129
+	287	123
+	4	283	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	129
+	287	123
+	3	283	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	6	129
+	16	128
+	12	123
+	4	6	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	128
+	12	123
+	3	6	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	128
+	260	129
+	254	123
+	4	249	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	129
+	254	123
+	3	249	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	129
+	50	128
+	45	123
+	4	39	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	128
+	45	123
+	3	39	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	140
+	205	142
+	199	138
+	4	194	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	142
+	199	138
+	3	194	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	134
+	199	138
+	205	142
+	4	211	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	138
+	205	142
+	3	211	134	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	199	138
+	189	130
+	194	140
+	4	199	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	130
+	194	140
+	3	199	138	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	189	130
+	199	138
+	194	129
+	4	189	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	138
+	194	129
+	3	189	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	142
+	105	140
+	100	138
+	4	94	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	140
+	100	138
+	3	94	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	130
+	100	138
+	105	140
+	4	110	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	138
+	105	140
+	3	110	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	138
+	110	130
+	105	129
+	4	100	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	130
+	105	129
+	3	100	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	138
+	88	134
+	94	142
+	4	100	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	134
+	94	142
+	3	100	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	127
+	227	129
+	221	122
+	4	216	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	129
+	221	122
+	3	216	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	129
+	83	127
+	78	122
+	4	72	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	127
+	78	122
+	3	72	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	155	149
+	166	144
+	161	145
+	4	155	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	144
+	161	145
+	3	155	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	140
+	161	145
+	166	144
+	4	172	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	145
+	166	144
+	3	172	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	145
+	149	144
+	155	149
+	4	161	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	155	149
+	3	161	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	144
+	161	145
+	155	134
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	145
+	155	134
+	3	149	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	144
+	144	149
+	138	145
+	4	133	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	138	145
+	3	133	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	144
+	138	145
+	144	149
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	145
+	144	149
+	3	149	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	145
+	149	144
+	144	134
+	4	138	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	144	134
+	3	138	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	145
+	127	140
+	133	144
+	4	138	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	140
+	133	144
+	3	138	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	130
+	149	116
+	155	134
+	4	161	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	116
+	155	134
+	3	161	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	116
+	161	130
+	155	112
+	4	149	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	130
+	155	112
+	3	149	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	116
+	138	130
+	144	134
+	4	149	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	144	134
+	3	149	116	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	138	130
+	149	116
+	144	112
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	116
+	144	112
+	3	138	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	293	129
+	283	128
+	289	131
+	4	293	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	128
+	289	131
+	3	293	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	16	128
+	6	129
+	10	131
+	4	16	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	129
+	10	131
+	3	16	128	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	256	131
+	266	137
+	260	129
+	4	256	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	137
+	260	129
+	3	256	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	129
+	249	128
+	256	131
+	4	260	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	128
+	256	131
+	3	260	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	137
+	43	131
+	39	129
+	4	33	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	131
+	39	129
+	3	33	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	128
+	39	129
+	43	131
+	4	50	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	129
+	43	131
+	3	50	128	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	222	130
+	233	137
+	227	129
+	4	222	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	137
+	227	129
+	3	222	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	129
+	216	127
+	222	130
+	4	227	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	127
+	222	130
+	3	227	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	137
+	77	130
+	72	129
+	4	66	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	130
+	72	129
+	3	66	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	127
+	72	129
+	77	130
+	4	83	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	129
+	77	130
+	3	83	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	138
+	239	141
+	233	137
+	4	228	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	141
+	233	137
+	3	228	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	135
+	233	137
+	239	141
+	4	244	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	137
+	239	141
+	3	244	135	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	233	137
+	222	130
+	228	138
+	4	233	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	130
+	228	138
+	3	233	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	141
+	71	138
+	66	137
+	4	60	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	138
+	66	137
+	3	60	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	130
+	66	137
+	71	138
+	4	77	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	137
+	71	138
+	3	77	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	137
+	55	135
+	60	141
+	4	66	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	135
+	60	141
+	3	66	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	129
+	183	126
+	189	130
+	4	194	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	126
+	189	130
+	3	194	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	126
+	194	129
+	188	121
+	4	183	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	129
+	188	121
+	3	183	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	126
+	105	129
+	110	130
+	4	116	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	129
+	110	130
+	3	116	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	129
+	116	126
+	111	121
+	4	105	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	126
+	111	121
+	3	105	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	138
+	272	141
+	266	137
+	4	262	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	141
+	266	137
+	3	262	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	135
+	266	137
+	272	141
+	4	277	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	137
+	272	141
+	3	277	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	266	137
+	256	131
+	262	138
+	4	266	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	131
+	262	138
+	3	266	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	27	141
+	37	138
+	33	137
+	4	27	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	138
+	33	137
+	3	27	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	131
+	33	137
+	37	138
+	4	43	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	137
+	37	138
+	3	43	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	33	137
+	22	135
+	27	141
+	4	33	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	135
+	27	141
+	3	33	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	149
+	155	149
+	149	144
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	149
+	149	144
+	3	144	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	134
+	144	134
+	149	144
+	4	155	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	134
+	149	144
+	3	155	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	135
+	289	131
+	283	128
+	4	277	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	289	131
+	283	128
+	3	277	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	10	131
+	22	135
+	16	128
+	4	10	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	135
+	16	128
+	3	10	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	135
+	256	131
+	249	128
+	4	244	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	131
+	249	128
+	3	244	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	43	131
+	55	135
+	50	128
+	4	43	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	135
+	50	128
+	3	43	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	134
+	222	130
+	216	127
+	4	211	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	130
+	216	127
+	3	211	134	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	77	130
+	88	134
+	83	127
+	4	77	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	134
+	83	127
+	3	77	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	272	141
+	285	136
+	277	135
+	4	272	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	136
+	277	135
+	3	272	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	289	131
+	277	135
+	285	136
+	4	289	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	135
+	285	136
+	3	289	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	14	136
+	27	141
+	22	135
+	4	14	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	141
+	22	135
+	3	14	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	22	135
+	10	131
+	14	136
+	4	22	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	131
+	14	136
+	3	22	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	141
+	251	135
+	244	135
+	4	239	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	135
+	244	135
+	3	239	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	131
+	244	135
+	251	135
+	4	256	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	135
+	251	135
+	3	256	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	48	135
+	60	141
+	55	135
+	4	48	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	141
+	55	135
+	3	48	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	135
+	43	131
+	48	135
+	4	55	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	131
+	48	135
+	3	55	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	142
+	217	134
+	211	134
+	4	205	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	134
+	211	134
+	3	205	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	130
+	211	134
+	217	134
+	4	222	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	134
+	217	134
+	3	222	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	134
+	94	142
+	88	134
+	4	82	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	142
+	88	134
+	3	82	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	134
+	77	130
+	82	134
+	4	88	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	130
+	82	134
+	3	88	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	147
+	212	140
+	205	142
+	4	200	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	140
+	205	142
+	3	200	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	134
+	205	142
+	212	140
+	4	217	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	142
+	212	140
+	3	217	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	142
+	194	140
+	200	147
+	4	205	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	140
+	200	147
+	3	205	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	140
+	99	147
+	94	142
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	147
+	94	142
+	3	87	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	140
+	94	142
+	99	147
+	4	105	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	142
+	99	147
+	3	105	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	94	142
+	82	134
+	87	140
+	4	94	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	134
+	87	140
+	3	94	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	133
+	189	130
+	183	126
+	4	177	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	130
+	183	126
+	3	177	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	110	130
+	122	133
+	116	126
+	4	110	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	133
+	116	126
+	3	110	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	134
+	155	134
+	149	116
+	4	144	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	134
+	149	116
+	3	144	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	140
+	183	133
+	177	133
+	4	172	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	133
+	177	133
+	3	172	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	130
+	177	133
+	183	133
+	4	189	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	133
+	183	133
+	3	189	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	115	133
+	127	140
+	122	133
+	4	115	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	140
+	122	133
+	3	115	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	133
+	110	130
+	115	133
+	4	122	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	130
+	115	133
+	3	122	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	146
+	246	142
+	239	141
+	4	234	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	142
+	239	141
+	3	234	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	135
+	239	141
+	246	142
+	4	251	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	141
+	246	142
+	3	251	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	239	141
+	228	138
+	234	146
+	4	239	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	138
+	234	146
+	3	239	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	142
+	65	146
+	60	141
+	4	53	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	146
+	60	141
+	3	53	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	138
+	60	141
+	65	146
+	4	71	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	141
+	65	146
+	3	71	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	60	141
+	48	135
+	53	142
+	4	60	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	135
+	53	142
+	3	60	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	148
+	161	146
+	155	149
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	146
+	155	149
+	3	149	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	144
+	155	149
+	161	146
+	4	166	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	149
+	161	146
+	3	166	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	146
+	149	148
+	144	149
+	4	138	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	144	149
+	3	138	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	149
+	144	149
+	149	148
+	4	155	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	149	148
+	3	155	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	149
+	133	144
+	138	146
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	144
+	138	146
+	3	144	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	267	145
+	280	142
+	272	141
+	4	267	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	142
+	272	141
+	3	267	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	285	136
+	272	141
+	280	142
+	4	285	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	141
+	280	142
+	3	285	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	272	141
+	262	138
+	267	145
+	4	272	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	138
+	267	145
+	3	272	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	19	142
+	31	145
+	27	141
+	4	19	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	145
+	27	141
+	3	19	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	138
+	27	141
+	31	145
+	4	37	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	141
+	31	145
+	3	37	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	27	141
+	14	136
+	19	142
+	4	27	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	136
+	19	142
+	3	27	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	144
+	178	137
+	172	140
+	4	166	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	137
+	172	140
+	3	166	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	133
+	172	140
+	178	137
+	4	183	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	140
+	178	137
+	3	183	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	137
+	133	144
+	127	140
+	4	121	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	144
+	127	140
+	3	121	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	140
+	115	133
+	121	137
+	4	127	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	133
+	121	137
+	3	127	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	112
+	155	112
+	149	108
+	4	144	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	112
+	149	108
+	3	144	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	141
+	200	147
+	194	140
+	4	189	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	147
+	194	140
+	3	189	141	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	194	140
+	183	133
+	189	141
+	4	194	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	133
+	189	141
+	3	194	140	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	183	133
+	194	140
+	189	130
+	4	183	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	140
+	189	130
+	3	183	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	147
+	110	141
+	105	140
+	4	99	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	141
+	105	140
+	3	99	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	133
+	105	140
+	110	141
+	4	115	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	140
+	110	141
+	3	115	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	140
+	115	133
+	110	130
+	4	105	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	133
+	110	130
+	3	105	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	251	135
+	262	138
+	256	131
+	4	251	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	138
+	256	131
+	3	251	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	138
+	48	135
+	43	131
+	4	37	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	135
+	43	131
+	3	37	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	151
+	206	147
+	200	147
+	4	195	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	147
+	200	147
+	3	195	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	140
+	200	147
+	206	147
+	4	212	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	147
+	206	147
+	3	212	140	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	200	147
+	189	141
+	195	151
+	4	200	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	141
+	195	151
+	3	200	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	147
+	104	151
+	99	147
+	4	93	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	151
+	99	147
+	3	93	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	141
+	99	147
+	104	151
+	4	110	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	147
+	104	151
+	3	110	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	147
+	87	140
+	93	147
+	4	99	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	93	147
+	3	99	147	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	140
+	234	146
+	228	138
+	4	223	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	146
+	228	138
+	3	223	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	138
+	217	134
+	223	140
+	4	228	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	134
+	223	140
+	3	228	138	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	217	134
+	228	138
+	222	130
+	4	217	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	138
+	222	130
+	3	217	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	146
+	76	140
+	71	138
+	4	65	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	140
+	71	138
+	3	65	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	134
+	71	138
+	76	140
+	4	82	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	138
+	76	140
+	3	82	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	138
+	82	134
+	77	130
+	4	71	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	134
+	77	130
+	3	71	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	257	140
+	267	145
+	262	138
+	4	257	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	145
+	262	138
+	3	257	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	138
+	251	135
+	257	140
+	4	262	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	135
+	257	140
+	3	262	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	145
+	42	140
+	37	138
+	4	31	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	140
+	37	138
+	3	31	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	135
+	37	138
+	42	140
+	4	48	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	138
+	42	140
+	3	48	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	149
+	240	148
+	234	146
+	4	229	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	148
+	234	146
+	3	229	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	142
+	234	146
+	240	148
+	4	246	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	146
+	240	148
+	3	246	142	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	234	146
+	223	140
+	229	149
+	4	234	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	140
+	229	149
+	3	234	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	148
+	70	149
+	65	146
+	4	59	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	149
+	65	146
+	3	59	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	140
+	65	146
+	70	149
+	4	76	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	146
+	70	149
+	3	76	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	146
+	53	142
+	59	148
+	4	65	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	142
+	59	148
+	3	65	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	148
+	274	148
+	267	145
+	4	263	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	148
+	267	145
+	3	263	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	280	142
+	267	145
+	274	148
+	4	280	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	145
+	274	148
+	3	280	142	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	267	145
+	257	140
+	263	148
+	4	267	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	140
+	263	148
+	3	267	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	148
+	36	148
+	31	145
+	4	25	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	148
+	31	145
+	3	25	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	140
+	31	145
+	36	148
+	4	42	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	145
+	36	148
+	3	42	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	31	145
+	19	142
+	25	148
+	4	31	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	142
+	25	148
+	3	31	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	146
+	172	141
+	166	144
+	4	161	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	141
+	166	144
+	3	161	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	137
+	166	144
+	172	141
+	4	178	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	144
+	172	141
+	3	178	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	141
+	138	146
+	133	144
+	4	126	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	146
+	133	144
+	3	126	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	144
+	121	137
+	126	141
+	4	133	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	137
+	126	141
+	3	133	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	112
+	144	112
+	149	116
+	4	155	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	112
+	149	116
+	3	155	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	142
+	257	140
+	251	135
+	4	246	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	140
+	251	135
+	3	246	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	140
+	53	142
+	48	135
+	4	42	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	142
+	48	135
+	3	42	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	155
+	201	153
+	195	151
+	4	189	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	153
+	195	151
+	3	189	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	147
+	195	151
+	201	153
+	4	206	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	151
+	201	153
+	3	206	147	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	195	151
+	184	144
+	189	155
+	4	195	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	144
+	189	155
+	3	195	151	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	184	144
+	195	151
+	189	141
+	4	184	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	151
+	189	141
+	3	184	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	153
+	110	155
+	104	151
+	4	98	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	155
+	104	151
+	3	98	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	144
+	104	151
+	110	155
+	4	115	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	151
+	110	155
+	3	115	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	151
+	115	144
+	110	141
+	4	104	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	144
+	110	141
+	3	104	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	151
+	93	147
+	98	153
+	4	104	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	147
+	98	153
+	3	104	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	140
+	223	140
+	217	134
+	4	212	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	140
+	217	134
+	3	212	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	140
+	87	140
+	82	134
+	4	76	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	82	134
+	3	76	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	148
+	253	143
+	246	142
+	4	240	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	143
+	246	142
+	3	240	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	140
+	246	142
+	253	143
+	4	257	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	142
+	253	143
+	3	257	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	46	143
+	59	148
+	53	142
+	4	46	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	148
+	53	142
+	3	46	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	142
+	42	140
+	46	143
+	4	53	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	140
+	46	143
+	3	53	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	141
+	178	137
+	184	144
+	4	189	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	137
+	184	144
+	3	189	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	178	137
+	189	141
+	183	133
+	4	178	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	141
+	183	133
+	3	178	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	137
+	110	141
+	115	144
+	4	121	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	141
+	115	144
+	3	121	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	141
+	121	137
+	115	133
+	4	110	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	137
+	115	133
+	3	110	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	151
+	235	154
+	229	149
+	4	224	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	154
+	229	149
+	3	224	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	148
+	229	149
+	235	154
+	4	240	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	149
+	235	154
+	3	240	148	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	229	149
+	218	143
+	224	151
+	4	229	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	143
+	224	151
+	3	229	149	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	218	143
+	229	149
+	223	140
+	4	218	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	149
+	223	140
+	3	218	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	154
+	75	151
+	70	149
+	4	64	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	151
+	70	149
+	3	64	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	143
+	70	149
+	75	151
+	4	81	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	149
+	75	151
+	3	81	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	149
+	81	143
+	76	140
+	4	70	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	143
+	76	140
+	3	70	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	149
+	59	148
+	64	154
+	4	70	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	148
+	64	154
+	3	70	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	148
+	263	148
+	269	154
+	4	274	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	148
+	269	154
+	3	274	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	148
+	25	148
+	30	154
+	4	36	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	148
+	30	154
+	3	36	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	147
+	218	143
+	212	140
+	4	206	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	143
+	212	140
+	3	206	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	140
+	212	140
+	218	143
+	4	223	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	140
+	218	143
+	3	223	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	143
+	93	147
+	87	140
+	4	81	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	147
+	87	140
+	3	81	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	140
+	76	140
+	81	143
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	140
+	81	143
+	3	87	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	146
+	155	146
+	149	148
+	4	144	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	149	148
+	3	144	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	146
+	149	148
+	155	146
+	4	161	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	155	146
+	3	161	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	148
+	138	146
+	144	146
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	146
+	144	146
+	3	149	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	154
+	248	148
+	240	148
+	4	235	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	148
+	240	148
+	3	235	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	143
+	240	148
+	248	148
+	4	253	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	148
+	248	148
+	3	253	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	51	148
+	64	154
+	59	148
+	4	51	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	154
+	59	148
+	3	51	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	148
+	46	143
+	51	148
+	4	59	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	143
+	51	148
+	3	59	148	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	253	143
+	263	148
+	257	140
+	4	253	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	148
+	257	140
+	3	253	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	148
+	46	143
+	42	140
+	4	36	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	143
+	42	140
+	3	36	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	259	150
+	269	154
+	263	148
+	4	259	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	154
+	263	148
+	3	259	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	263	148
+	253	143
+	259	150
+	4	263	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	143
+	259	150
+	3	263	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	154
+	40	150
+	36	148
+	4	30	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	150
+	36	148
+	3	30	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	143
+	36	148
+	40	150
+	4	46	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	148
+	40	150
+	3	46	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	153
+	213	147
+	206	147
+	4	201	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	147
+	206	147
+	3	201	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	143
+	206	147
+	213	147
+	4	218	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	147
+	213	147
+	3	218	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	86	147
+	98	153
+	93	147
+	4	86	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	153
+	93	147
+	3	86	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	147
+	81	143
+	86	147
+	4	93	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	143
+	86	147
+	3	93	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	159
+	195	158
+	189	155
+	4	184	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	158
+	189	155
+	3	184	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	153
+	189	155
+	195	158
+	4	201	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	155
+	195	158
+	3	201	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	155
+	178	148
+	184	159
+	4	189	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	148
+	184	159
+	3	189	155	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	178	148
+	189	155
+	184	144
+	4	178	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	155
+	184	144
+	3	178	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	158
+	115	159
+	110	155
+	4	103	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	159
+	110	155
+	3	103	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	148
+	110	155
+	115	159
+	4	121	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	155
+	115	159
+	3	121	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	155
+	121	148
+	115	144
+	4	110	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	148
+	115	144
+	3	110	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	155
+	98	153
+	103	158
+	4	110	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	153
+	103	158
+	3	110	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	159
+	242	154
+	235	154
+	4	230	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	154
+	235	154
+	3	230	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	148
+	235	154
+	242	154
+	4	248	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	154
+	242	154
+	3	248	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	154
+	224	151
+	230	159
+	4	235	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	151
+	230	159
+	3	235	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	154
+	69	159
+	64	154
+	4	57	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	159
+	64	154
+	3	57	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	151
+	64	154
+	69	159
+	4	75	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	154
+	69	159
+	3	75	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	64	154
+	51	148
+	57	154
+	4	64	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	148
+	57	154
+	3	64	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	146
+	167	145
+	161	146
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	161	146
+	3	155	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	141
+	161	146
+	167	145
+	4	172	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	146
+	167	145
+	3	172	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	145
+	144	146
+	138	146
+	4	132	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	146
+	138	146
+	3	132	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	146
+	126	141
+	132	145
+	4	138	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	141
+	132	145
+	3	138	146	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	269	154
+	259	150
+	265	158
+	4	269	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	150
+	265	158
+	3	269	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	150
+	30	154
+	34	158
+	4	40	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	154
+	34	158
+	3	40	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	141
+	184	144
+	178	137
+	4	172	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	144
+	178	137
+	3	172	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	144
+	126	141
+	121	137
+	4	115	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	141
+	121	137
+	3	115	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	158
+	208	152
+	201	153
+	4	195	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	152
+	201	153
+	3	195	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	147
+	201	153
+	208	152
+	4	213	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	153
+	208	152
+	3	213	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	152
+	103	158
+	98	153
+	4	91	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	158
+	98	153
+	3	91	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	153
+	86	147
+	91	152
+	4	98	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	147
+	91	152
+	3	98	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	144
+	172	141
+	178	148
+	4	184	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	141
+	178	148
+	3	184	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	141
+	115	144
+	121	148
+	4	126	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	144
+	121	148
+	3	126	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	148
+	259	150
+	253	143
+	4	248	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	150
+	253	143
+	3	248	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	150
+	51	148
+	46	143
+	4	40	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	148
+	46	143
+	3	40	150	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	219	154
+	230	159
+	224	151
+	4	219	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	159
+	224	151
+	3	219	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	151
+	213	147
+	219	154
+	4	224	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	147
+	219	154
+	3	224	151	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	213	147
+	224	151
+	218	143
+	4	213	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	151
+	218	143
+	3	213	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	159
+	80	154
+	75	151
+	4	69	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	154
+	75	151
+	3	69	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	147
+	75	151
+	80	154
+	4	86	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	151
+	80	154
+	3	86	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	151
+	86	147
+	81	143
+	4	75	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	147
+	81	143
+	3	75	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	164
+	190	162
+	184	159
+	4	178	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	162
+	184	159
+	3	178	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	158
+	184	159
+	190	162
+	4	195	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	159
+	190	162
+	3	195	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	184	159
+	173	154
+	178	164
+	4	184	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	154
+	178	164
+	3	184	159	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	154
+	184	159
+	178	148
+	4	173	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	159
+	178	148
+	3	173	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	162
+	121	164
+	115	159
+	4	109	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	164
+	115	159
+	3	109	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	154
+	115	159
+	121	164
+	4	126	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	159
+	121	164
+	3	126	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	159
+	126	154
+	121	148
+	4	115	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	154
+	121	148
+	3	115	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	159
+	103	158
+	109	162
+	4	115	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	158
+	109	162
+	3	115	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	163
+	237	160
+	230	159
+	4	225	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	160
+	230	159
+	3	225	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	154
+	230	159
+	237	160
+	4	242	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	159
+	237	160
+	3	242	154	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	230	159
+	219	154
+	225	163
+	4	230	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	154
+	225	163
+	3	230	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	160
+	74	163
+	69	159
+	4	62	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	163
+	69	159
+	3	62	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	154
+	69	159
+	74	163
+	4	80	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	159
+	74	163
+	3	80	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	159
+	57	154
+	62	160
+	4	69	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	154
+	62	160
+	3	69	159	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	254	152
+	265	158
+	259	150
+	4	254	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	158
+	259	150
+	3	254	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	150
+	248	148
+	254	152
+	4	259	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	148
+	254	152
+	3	259	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	34	158
+	45	152
+	40	150
+	4	34	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	152
+	40	150
+	3	34	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	148
+	40	150
+	45	152
+	4	51	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	150
+	45	152
+	3	51	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	162
+	202	156
+	195	158
+	4	190	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	156
+	195	158
+	3	190	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	152
+	195	158
+	202	156
+	4	208	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	158
+	202	156
+	3	208	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	156
+	109	162
+	103	158
+	4	97	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	162
+	103	158
+	3	97	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	158
+	91	152
+	97	156
+	4	103	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	152
+	97	156
+	3	103	158	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	265	158
+	254	152
+	260	161
+	4	265	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	152
+	260	161
+	3	265	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	152
+	34	158
+	39	161
+	4	45	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	158
+	39	161
+	3	45	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	145
+	178	148
+	172	141
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	148
+	172	141
+	3	167	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	148
+	132	145
+	126	141
+	4	121	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	145
+	126	141
+	3	121	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	148
+	167	145
+	173	154
+	4	178	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	173	154
+	3	178	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	145
+	121	148
+	126	154
+	4	132	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	148
+	126	154
+	3	132	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	154
+	254	152
+	248	148
+	4	242	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	152
+	248	148
+	3	242	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	45	152
+	57	154
+	51	148
+	4	45	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	154
+	51	148
+	3	45	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	168
+	185	166
+	178	164
+	4	173	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	166
+	178	164
+	3	173	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	162
+	178	164
+	185	166
+	4	190	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	164
+	185	166
+	3	190	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	164
+	167	161
+	173	168
+	4	178	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	161
+	173	168
+	3	178	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	161
+	178	164
+	173	154
+	4	167	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	164
+	173	154
+	3	167	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	166
+	126	168
+	121	164
+	4	114	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	168
+	121	164
+	3	114	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	161
+	121	164
+	126	168
+	4	132	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	164
+	126	168
+	3	132	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	164
+	132	161
+	126	154
+	4	121	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	161
+	126	154
+	3	121	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	164
+	109	162
+	114	166
+	4	121	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	162
+	114	166
+	3	121	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	152
+	219	154
+	213	147
+	4	208	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	154
+	213	147
+	3	208	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	154
+	91	152
+	86	147
+	4	80	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	152
+	86	147
+	3	80	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	150
+	161	150
+	155	146
+	4	149	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	150
+	155	146
+	3	149	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	145
+	155	146
+	161	150
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	161	150
+	3	167	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	150
+	149	150
+	144	146
+	4	138	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	150
+	144	146
+	3	138	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	146
+	144	146
+	149	150
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	146
+	149	150
+	3	155	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	146
+	132	145
+	138	150
+	4	144	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	145
+	138	150
+	3	144	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	166
+	231	166
+	225	163
+	4	220	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	166
+	225	163
+	3	220	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	160
+	225	163
+	231	166
+	4	237	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	163
+	231	166
+	3	237	160	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	225	163
+	214	157
+	220	166
+	4	225	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	157
+	220	166
+	3	225	163	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	214	157
+	225	163
+	219	154
+	4	214	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	163
+	219	154
+	3	214	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	166
+	79	166
+	74	163
+	4	68	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	166
+	74	163
+	3	68	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	157
+	74	163
+	79	166
+	4	85	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	163
+	79	166
+	3	85	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	163
+	85	157
+	80	154
+	4	74	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	157
+	80	154
+	3	74	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	163
+	62	160
+	68	166
+	4	74	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	160
+	68	166
+	3	74	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	160
+	249	156
+	242	154
+	4	237	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	156
+	242	154
+	3	237	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	152
+	242	154
+	249	156
+	4	254	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	154
+	249	156
+	3	254	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	50	156
+	62	160
+	57	154
+	4	50	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	160
+	57	154
+	3	50	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	154
+	45	152
+	50	156
+	4	57	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	152
+	50	156
+	3	57	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	154
+	161	150
+	167	161
+	4	173	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	150
+	167	161
+	3	173	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	150
+	173	154
+	167	145
+	4	161	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	154
+	167	145
+	3	161	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	150
+	126	154
+	132	161
+	4	138	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	154
+	132	161
+	3	138	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	154
+	138	150
+	132	145
+	4	126	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	150
+	132	145
+	3	126	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	166
+	197	161
+	190	162
+	4	185	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	161
+	190	162
+	3	185	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	156
+	190	162
+	197	161
+	4	202	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	162
+	197	161
+	3	202	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	161
+	114	166
+	109	162
+	4	102	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	166
+	109	162
+	3	102	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	109	162
+	97	156
+	102	161
+	4	109	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	156
+	102	161
+	3	109	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	154
+	208	152
+	214	157
+	4	219	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	152
+	214	157
+	3	219	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	152
+	80	154
+	85	157
+	4	91	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	154
+	85	157
+	3	91	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	168
+	173	168
+	167	161
+	4	161	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	168
+	167	161
+	3	161	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	161
+	155	158
+	161	168
+	4	167	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	158
+	161	168
+	3	167	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	158
+	167	161
+	161	150
+	4	155	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	161
+	161	150
+	3	155	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	168
+	138	168
+	132	161
+	4	126	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	168
+	132	161
+	3	126	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	158
+	132	161
+	138	168
+	4	144	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	161
+	138	168
+	3	144	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	161
+	144	158
+	138	150
+	4	132	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	158
+	138	150
+	3	132	161	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	260	161
+	249	156
+	255	163
+	4	260	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	156
+	255	163
+	3	260	161	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	249	156
+	260	161
+	254	152
+	4	249	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	161
+	254	152
+	3	249	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	156
+	39	161
+	44	163
+	4	50	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	161
+	44	163
+	3	50	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	161
+	50	156
+	45	152
+	4	39	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	156
+	45	152
+	3	39	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	166
+	244	161
+	237	160
+	4	231	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	161
+	237	160
+	3	231	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	156
+	237	160
+	244	161
+	4	249	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	160
+	244	161
+	3	249	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	55	161
+	68	166
+	62	160
+	4	55	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	166
+	62	160
+	3	55	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	160
+	50	156
+	55	161
+	4	62	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	156
+	55	161
+	3	62	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	172
+	179	169
+	173	168
+	4	167	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	169
+	173	168
+	3	167	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	166
+	173	168
+	179	169
+	4	185	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	168
+	179	169
+	3	185	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	168
+	161	168
+	167	172
+	4	173	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	168
+	167	172
+	3	173	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	169
+	132	172
+	126	168
+	4	120	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	172
+	126	168
+	3	120	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	168
+	126	168
+	132	172
+	4	138	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	168
+	132	172
+	3	138	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	168
+	114	166
+	120	169
+	4	126	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	166
+	120	169
+	3	126	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	156
+	214	157
+	208	152
+	4	202	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	157
+	208	152
+	3	202	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	157
+	97	156
+	91	152
+	4	85	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	156
+	91	152
+	3	85	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	173
+	167	172
+	161	168
+	4	155	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	172
+	161	168
+	3	155	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	168
+	149	167
+	155	173
+	4	161	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	167
+	155	173
+	3	161	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	167
+	161	168
+	155	158
+	4	149	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	168
+	155	158
+	3	149	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	172
+	144	173
+	138	168
+	4	132	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	173
+	138	168
+	3	132	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	167
+	138	168
+	144	173
+	4	149	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	168
+	144	173
+	3	149	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	168
+	149	167
+	144	158
+	4	138	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	167
+	144	158
+	3	138	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	173
+	155	173
+	149	167
+	4	144	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	173
+	149	167
+	3	144	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	158
+	144	158
+	149	167
+	4	155	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	158
+	149	167
+	3	155	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	150
+	149	150
+	155	158
+	4	161	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	150
+	155	158
+	3	161	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	150
+	138	150
+	144	158
+	4	149	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	150
+	144	158
+	3	149	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	158
+	155	158
+	149	150
+	4	144	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	158
+	149	150
+	3	144	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	171
+	226	171
+	220	166
+	4	214	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	171
+	220	166
+	3	214	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	166
+	220	166
+	226	171
+	4	231	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	166
+	226	171
+	3	231	166	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	220	166
+	209	161
+	214	171
+	4	220	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	161
+	214	171
+	3	220	166	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	209	161
+	220	166
+	214	157
+	4	209	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	166
+	214	157
+	3	209	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	171
+	85	171
+	79	166
+	4	73	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	171
+	79	166
+	3	73	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	161
+	79	166
+	85	171
+	4	90	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	166
+	85	171
+	3	90	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	166
+	90	161
+	85	157
+	4	79	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	161
+	85	157
+	3	79	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	166
+	68	166
+	73	171
+	4	79	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	166
+	73	171
+	3	79	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	171
+	239	166
+	231	166
+	4	226	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	166
+	231	166
+	3	226	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	161
+	231	166
+	239	166
+	4	244	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	166
+	239	166
+	3	244	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	60	166
+	73	171
+	68	166
+	4	60	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	171
+	68	166
+	3	60	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	68	166
+	55	161
+	60	166
+	4	68	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	161
+	60	166
+	3	68	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	169
+	191	165
+	185	166
+	4	179	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	165
+	185	166
+	3	179	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	161
+	185	166
+	191	165
+	4	197	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	166
+	191	165
+	3	197	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	165
+	120	169
+	114	166
+	4	108	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	169
+	114	166
+	3	108	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	166
+	102	161
+	108	165
+	4	114	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	161
+	108	165
+	3	114	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	157
+	202	156
+	209	161
+	4	214	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	156
+	209	161
+	3	214	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	156
+	85	157
+	90	161
+	4	97	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	157
+	90	161
+	3	97	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	161
+	209	161
+	202	156
+	4	197	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	161
+	202	156
+	3	197	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	161
+	102	161
+	97	156
+	4	90	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	161
+	97	156
+	3	90	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	244	161
+	255	163
+	249	156
+	4	244	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	163
+	249	156
+	3	244	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	163
+	55	161
+	50	156
+	4	44	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	161
+	50	156
+	3	44	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	174
+	161	173
+	155	173
+	4	149	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	173
+	155	173
+	3	149	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	172
+	155	173
+	161	173
+	4	167	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	173
+	161	173
+	3	167	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	173
+	149	174
+	144	173
+	4	138	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	174
+	144	173
+	3	138	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	173
+	144	173
+	149	174
+	4	155	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	173
+	149	174
+	3	155	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	173
+	132	172
+	138	173
+	4	144	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	172
+	138	173
+	3	144	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	255	163
+	244	161
+	250	167
+	4	255	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	161
+	250	167
+	3	255	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	161
+	44	163
+	48	167
+	4	55	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	163
+	48	167
+	3	55	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	173
+	173	171
+	167	172
+	4	161	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	171
+	167	172
+	3	161	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	169
+	167	172
+	173	171
+	4	179	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	172
+	173	171
+	3	179	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	171
+	138	173
+	132	172
+	4	125	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	173
+	132	172
+	3	125	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	172
+	120	169
+	125	171
+	4	132	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	169
+	125	171
+	3	132	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	176
+	233	171
+	226	171
+	4	221	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	171
+	226	171
+	3	221	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	166
+	226	171
+	233	171
+	4	239	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	171
+	233	171
+	3	239	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	171
+	214	171
+	221	176
+	4	226	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	171
+	221	176
+	3	226	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	171
+	78	176
+	73	171
+	4	66	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	176
+	73	171
+	3	66	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	171
+	73	171
+	78	176
+	4	85	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	171
+	78	176
+	3	85	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	73	171
+	60	166
+	66	171
+	4	73	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	166
+	66	171
+	3	73	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	175
+	221	176
+	214	171
+	4	209	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	176
+	214	171
+	3	209	175	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	214	171
+	203	165
+	209	175
+	4	214	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	165
+	209	175
+	3	214	171	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	203	165
+	214	171
+	209	161
+	4	203	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	171
+	209	161
+	3	203	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	176
+	90	175
+	85	171
+	4	78	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	175
+	85	171
+	3	78	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	165
+	85	171
+	90	175
+	4	96	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	171
+	90	175
+	3	96	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	171
+	96	165
+	90	161
+	4	85	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	165
+	90	161
+	3	85	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	161
+	197	161
+	203	165
+	4	209	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	161
+	203	165
+	3	209	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	161
+	90	161
+	96	165
+	4	102	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	161
+	96	165
+	3	102	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	165
+	203	165
+	197	161
+	4	191	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	165
+	197	161
+	3	191	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	165
+	108	165
+	102	161
+	4	96	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	165
+	102	161
+	3	96	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	166
+	250	167
+	244	161
+	4	239	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	167
+	244	161
+	3	239	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	167
+	60	166
+	55	161
+	4	48	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	166
+	55	161
+	3	48	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	171
+	186	169
+	179	169
+	4	173	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	169
+	179	169
+	3	173	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	165
+	179	169
+	186	169
+	4	191	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	169
+	186	169
+	3	191	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	113	169
+	125	171
+	120	169
+	4	113	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	171
+	120	169
+	3	113	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	169
+	108	165
+	113	169
+	4	120	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	165
+	113	169
+	3	120	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	181
+	228	176
+	221	176
+	4	215	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	176
+	221	176
+	3	215	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	171
+	221	176
+	228	176
+	4	233	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	176
+	228	176
+	3	233	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	176
+	209	175
+	215	181
+	4	221	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	175
+	215	181
+	3	221	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	176
+	84	181
+	78	176
+	4	71	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	181
+	78	176
+	3	71	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	175
+	78	176
+	84	181
+	4	90	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	176
+	84	181
+	3	90	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	78	176
+	66	171
+	71	176
+	4	78	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	171
+	71	176
+	3	78	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	180
+	215	181
+	209	175
+	4	203	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	181
+	209	175
+	3	203	180	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	209	175
+	197	170
+	203	180
+	4	209	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	170
+	203	180
+	3	209	175	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	197	170
+	209	175
+	203	165
+	4	197	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	175
+	203	165
+	3	197	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	181
+	96	180
+	90	175
+	4	84	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	180
+	90	175
+	3	84	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	170
+	90	175
+	96	180
+	4	101	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	175
+	96	180
+	3	101	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	175
+	101	170
+	96	165
+	4	90	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	170
+	96	165
+	3	90	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	167
+	239	166
+	245	170
+	4	250	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	166
+	245	170
+	3	250	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	166
+	48	167
+	53	170
+	4	60	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	167
+	53	170
+	3	60	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	171
+	245	170
+	239	166
+	4	233	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	170
+	239	166
+	3	233	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	170
+	66	171
+	60	166
+	4	53	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	171
+	60	166
+	3	53	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	175
+	156	175
+	149	174
+	4	143	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	175
+	149	174
+	3	143	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	173
+	149	174
+	156	175
+	4	161	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	174
+	156	175
+	3	161	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	174
+	138	173
+	143	175
+	4	149	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	173
+	143	175
+	3	149	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	165
+	191	165
+	197	170
+	4	203	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	165
+	197	170
+	3	203	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	165
+	96	165
+	101	170
+	4	108	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	165
+	101	170
+	3	108	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	169
+	197	170
+	191	165
+	4	186	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	170
+	191	165
+	3	186	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	170
+	113	169
+	108	165
+	4	101	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	169
+	108	165
+	3	101	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	175
+	168	174
+	161	173
+	4	156	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	174
+	161	173
+	3	156	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	171
+	161	173
+	168	174
+	4	173	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	173
+	168	174
+	3	173	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	174
+	143	175
+	138	173
+	4	131	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	175
+	138	173
+	3	131	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	173
+	125	171
+	131	174
+	4	138	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	171
+	131	174
+	3	138	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	185
+	222	181
+	215	181
+	4	210	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	181
+	215	181
+	3	210	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	176
+	215	181
+	222	181
+	4	228	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	181
+	222	181
+	3	228	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	181
+	203	180
+	210	185
+	4	215	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	180
+	210	185
+	3	215	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	181
+	89	185
+	84	181
+	4	76	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	185
+	84	181
+	3	76	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	180
+	84	181
+	89	185
+	4	96	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	181
+	89	185
+	3	96	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	181
+	71	176
+	76	181
+	4	84	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	176
+	76	181
+	3	84	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	185
+	210	185
+	203	180
+	4	198	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	185
+	203	180
+	3	198	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	203	180
+	192	176
+	198	185
+	4	203	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	176
+	198	185
+	3	203	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	176
+	203	180
+	197	170
+	4	192	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	180
+	197	170
+	3	192	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	185
+	101	185
+	96	180
+	4	89	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	185
+	96	180
+	3	89	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	176
+	96	180
+	101	185
+	4	107	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	180
+	101	185
+	3	107	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	180
+	107	176
+	101	170
+	4	96	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	176
+	101	170
+	3	96	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	176
+	240	175
+	233	171
+	4	228	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	175
+	233	171
+	3	228	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	170
+	233	171
+	240	175
+	4	245	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	171
+	240	175
+	3	245	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	175
+	71	176
+	66	171
+	4	59	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	176
+	66	171
+	3	59	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	171
+	53	170
+	59	175
+	4	66	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	170
+	59	175
+	3	66	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	174
+	180	174
+	173	171
+	4	168	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	174
+	173	171
+	3	168	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	169
+	173	171
+	180	174
+	4	186	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	171
+	180	174
+	3	186	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	174
+	131	174
+	125	171
+	4	119	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	174
+	125	171
+	3	119	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	171
+	113	169
+	119	174
+	4	125	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	169
+	119	174
+	3	125	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	170
+	186	169
+	192	176
+	4	197	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	169
+	192	176
+	3	197	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	169
+	101	170
+	107	176
+	4	113	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	170
+	107	176
+	3	113	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	174
+	192	176
+	186	169
+	4	180	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	176
+	186	169
+	3	180	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	176
+	119	174
+	113	169
+	4	107	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	174
+	113	169
+	3	107	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	191
+	204	189
+	198	185
+	4	192	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	189
+	198	185
+	3	192	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	185
+	198	185
+	204	189
+	4	210	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	185
+	204	189
+	3	210	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	185
+	186	183
+	192	191
+	4	198	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	183
+	192	191
+	3	198	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	183
+	198	185
+	192	176
+	4	186	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	185
+	192	176
+	3	186	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	189
+	107	191
+	101	185
+	4	95	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	191
+	101	185
+	3	95	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	183
+	101	185
+	107	191
+	4	113	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	185
+	107	191
+	3	113	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	185
+	113	183
+	107	176
+	4	101	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	183
+	107	176
+	3	101	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	185
+	89	185
+	95	189
+	4	101	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	185
+	95	189
+	3	101	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	189
+	217	185
+	210	185
+	4	204	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	185
+	210	185
+	3	204	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	181
+	210	185
+	217	185
+	4	222	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	185
+	217	185
+	3	222	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	185
+	95	189
+	89	185
+	4	82	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	189
+	89	185
+	3	82	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	185
+	76	181
+	82	185
+	4	89	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	181
+	82	185
+	3	89	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	176
+	180	174
+	186	183
+	4	192	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	174
+	186	183
+	3	192	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	174
+	107	176
+	113	183
+	4	119	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	176
+	113	183
+	3	119	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	181
+	235	179
+	228	176
+	4	222	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	179
+	228	176
+	3	222	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	175
+	228	176
+	235	179
+	4	240	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	176
+	235	179
+	3	240	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	179
+	76	181
+	71	176
+	4	64	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	181
+	71	176
+	3	64	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	176
+	59	175
+	64	179
+	4	71	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	175
+	64	179
+	3	71	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	178
+	162	179
+	156	175
+	4	149	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	179
+	156	175
+	3	149	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	174
+	156	175
+	162	179
+	4	168	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	175
+	162	179
+	3	168	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	179
+	149	178
+	143	175
+	4	137	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	178
+	143	175
+	3	137	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	175
+	143	175
+	149	178
+	4	156	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	175
+	149	178
+	3	156	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	175
+	131	174
+	137	179
+	4	143	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	174
+	137	179
+	3	143	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	189
+	192	191
+	186	183
+	4	180	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	191
+	186	183
+	3	180	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	183
+	174	180
+	180	189
+	4	186	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	180
+	180	189
+	3	186	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	180
+	186	183
+	180	174
+	4	174	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	183
+	180	174
+	3	174	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	191
+	119	189
+	113	183
+	4	107	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	189
+	113	183
+	3	107	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	180
+	113	183
+	119	189
+	4	125	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	183
+	119	189
+	3	125	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	183
+	125	180
+	119	174
+	4	113	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	180
+	119	174
+	3	113	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	179
+	174	180
+	168	174
+	4	162	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	180
+	168	174
+	3	162	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	174
+	168	174
+	174	180
+	4	180	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	174
+	174	180
+	3	180	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	180
+	137	179
+	131	174
+	4	125	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	179
+	131	174
+	3	125	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	174
+	119	174
+	125	180
+	4	131	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	174
+	125	180
+	3	131	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	195
+	199	193
+	192	191
+	4	186	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	193
+	192	191
+	3	186	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	189
+	192	191
+	199	193
+	4	204	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	191
+	199	193
+	3	204	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	191
+	180	189
+	186	195
+	4	192	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	189
+	186	195
+	3	192	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	193
+	113	195
+	107	191
+	4	100	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	195
+	107	191
+	3	100	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	189
+	107	191
+	113	195
+	4	119	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	191
+	113	195
+	3	119	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	191
+	95	189
+	100	193
+	4	107	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	189
+	100	193
+	3	107	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	185
+	229	184
+	222	181
+	4	217	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	184
+	222	181
+	3	217	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	179
+	222	181
+	229	184
+	4	235	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	181
+	229	184
+	3	235	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	184
+	82	185
+	76	181
+	4	69	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	185
+	76	181
+	3	69	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	181
+	64	179
+	69	184
+	4	76	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	179
+	69	184
+	3	76	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	195
+	186	195
+	180	189
+	4	174	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	195
+	180	189
+	3	174	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	189
+	168	187
+	174	195
+	4	180	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	187
+	174	195
+	3	180	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	187
+	180	189
+	174	180
+	4	168	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	189
+	174	180
+	3	168	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	195
+	125	195
+	119	189
+	4	113	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	195
+	119	189
+	3	113	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	187
+	119	189
+	125	195
+	4	131	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	189
+	125	195
+	3	131	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	189
+	131	187
+	125	180
+	4	119	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	187
+	125	180
+	3	119	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	193
+	211	190
+	204	189
+	4	199	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	190
+	204	189
+	3	199	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	185
+	204	189
+	211	190
+	4	217	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	189
+	211	190
+	3	217	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	190
+	100	193
+	95	189
+	4	87	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	193
+	95	189
+	3	87	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	95	189
+	82	185
+	87	190
+	4	95	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	185
+	87	190
+	3	95	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	180
+	162	179
+	168	187
+	4	174	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	179
+	168	187
+	3	174	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	179
+	125	180
+	131	187
+	4	137	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	180
+	131	187
+	3	137	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	195
+	174	195
+	168	187
+	4	162	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	195
+	168	187
+	3	162	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	187
+	156	186
+	162	195
+	4	168	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	186
+	162	195
+	3	168	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	186
+	168	187
+	162	179
+	4	156	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	187
+	162	179
+	3	156	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	195
+	137	195
+	131	187
+	4	125	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	195
+	131	187
+	3	125	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	186
+	131	187
+	137	195
+	4	143	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	187
+	137	195
+	3	143	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	187
+	143	186
+	137	179
+	4	131	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	186
+	137	179
+	3	131	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	179
+	149	178
+	156	186
+	4	162	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	178
+	156	186
+	3	162	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	178
+	137	179
+	143	186
+	4	149	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	179
+	143	186
+	3	149	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	186
+	156	186
+	149	178
+	4	143	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	186
+	149	178
+	3	143	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	200
+	180	199
+	174	195
+	4	168	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	199
+	174	195
+	3	168	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	195
+	174	195
+	180	199
+	4	186	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	195
+	180	199
+	3	186	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	195
+	162	195
+	168	200
+	4	174	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	195
+	168	200
+	3	174	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	199
+	131	200
+	125	195
+	4	118	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	200
+	125	195
+	3	118	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	195
+	125	195
+	131	200
+	4	137	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	195
+	131	200
+	3	137	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	195
+	113	195
+	118	199
+	4	125	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	195
+	118	199
+	3	125	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	199
+	193	196
+	186	195
+	4	180	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	196
+	186	195
+	3	180	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	193
+	186	195
+	193	196
+	4	199	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	195
+	193	196
+	3	199	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	196
+	118	199
+	113	195
+	4	106	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	199
+	113	195
+	3	106	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	113	195
+	100	193
+	106	196
+	4	113	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	193
+	106	196
+	3	113	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	195
+	162	195
+	156	186
+	4	149	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	195
+	156	186
+	3	149	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	195
+	149	195
+	143	186
+	4	137	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	195
+	143	186
+	3	137	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	186
+	143	186
+	149	195
+	4	156	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	186
+	149	195
+	3	156	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	200
+	168	200
+	162	195
+	4	156	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	200
+	162	195
+	3	156	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	195
+	149	195
+	156	200
+	4	162	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	195
+	156	200
+	3	162	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	200
+	143	200
+	137	195
+	4	131	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	200
+	137	195
+	3	131	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	195
+	137	195
+	143	200
+	4	149	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	195
+	143	200
+	3	149	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	200
+	156	200
+	149	195
+	4	143	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	200
+	149	195
+	3	143	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	190
+	224	189
+	217	185
+	4	211	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	189
+	217	185
+	3	211	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	184
+	217	185
+	224	189
+	4	229	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	185
+	224	189
+	3	229	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	189
+	87	190
+	82	185
+	4	75	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	190
+	82	185
+	3	75	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	185
+	69	184
+	75	189
+	4	82	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	184
+	75	189
+	3	82	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	196
+	206	194
+	199	193
+	4	193	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	194
+	199	193
+	3	193	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	190
+	199	193
+	206	194
+	4	211	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	193
+	206	194
+	3	211	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	93	194
+	106	196
+	100	193
+	4	93	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	196
+	100	193
+	3	93	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	193
+	87	190
+	93	194
+	4	100	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	190
+	93	194
+	3	100	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	203
+	162	203
+	156	200
+	4	149	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	203
+	156	200
+	3	149	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	200
+	156	200
+	162	203
+	4	168	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	200
+	162	203
+	3	168	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	203
+	149	203
+	143	200
+	4	137	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	203
+	143	200
+	3	137	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	200
+	143	200
+	149	203
+	4	156	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	200
+	149	203
+	3	156	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	200
+	131	200
+	137	203
+	4	143	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	200
+	137	203
+	3	143	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	203
+	175	201
+	168	200
+	4	162	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	201
+	168	200
+	3	162	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	199
+	168	200
+	175	201
+	4	180	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	200
+	175	201
+	3	180	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	201
+	137	203
+	131	200
+	4	124	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	203
+	131	200
+	3	124	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	200
+	118	199
+	124	201
+	4	131	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	199
+	124	201
+	3	131	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	201
+	187	200
+	180	199
+	4	175	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	200
+	180	199
+	3	175	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	196
+	180	199
+	187	200
+	4	193	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	199
+	187	200
+	3	193	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	200
+	124	201
+	118	199
+	4	112	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	201
+	118	199
+	3	112	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	199
+	106	196
+	112	200
+	4	118	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	196
+	112	200
+	3	118	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	194
+	218	195
+	211	190
+	4	206	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	195
+	211	190
+	3	206	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	189
+	211	190
+	218	195
+	4	224	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	190
+	218	195
+	3	224	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	195
+	93	194
+	87	190
+	4	81	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	194
+	87	190
+	3	81	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	190
+	75	189
+	81	195
+	4	87	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	189
+	81	195
+	3	87	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	200
+	200	199
+	193	196
+	4	187	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	199
+	193	196
+	3	187	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	194
+	193	196
+	200	199
+	4	206	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	196
+	200	199
+	3	206	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	199
+	112	200
+	106	196
+	4	99	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	200
+	106	196
+	3	99	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	196
+	93	194
+	99	199
+	4	106	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	194
+	99	199
+	3	106	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	195
+	206	194
+	212	200
+	4	218	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	194
+	212	200
+	3	218	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	194
+	81	195
+	87	200
+	4	93	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	195
+	87	200
+	3	93	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	205
+	156	205
+	149	203
+	4	143	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	205
+	149	203
+	3	143	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	203
+	149	203
+	156	205
+	4	162	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	203
+	156	205
+	3	162	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	203
+	137	203
+	143	205
+	4	149	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	203
+	143	205
+	3	149	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	199
+	212	200
+	206	194
+	4	200	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	200
+	206	194
+	3	200	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	200
+	99	199
+	93	194
+	4	87	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	199
+	93	194
+	3	87	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	205
+	169	204
+	162	203
+	4	156	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	204
+	162	203
+	3	156	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	201
+	162	203
+	169	204
+	4	175	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	203
+	169	204
+	3	175	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	204
+	143	205
+	137	203
+	4	130	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	205
+	137	203
+	3	130	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	203
+	124	201
+	130	204
+	4	137	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	201
+	130	204
+	3	137	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	204
+	181	204
+	175	201
+	4	169	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	204
+	175	201
+	3	169	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	200
+	175	201
+	181	204
+	4	187	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	201
+	181	204
+	3	187	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	204
+	130	204
+	124	201
+	4	118	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	204
+	124	201
+	3	118	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	201
+	112	200
+	118	204
+	4	124	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	200
+	118	204
+	3	124	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	200
+	200	199
+	206	207
+	4	212	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	199
+	206	207
+	3	212	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	199
+	87	200
+	93	207
+	4	99	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	200
+	93	207
+	3	99	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	204
+	194	205
+	187	200
+	4	181	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	205
+	187	200
+	3	181	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	199
+	187	200
+	194	205
+	4	200	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	200
+	194	205
+	3	200	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	205
+	118	204
+	112	200
+	4	105	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	204
+	112	200
+	3	105	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	200
+	99	199
+	105	205
+	4	112	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	199
+	105	205
+	3	112	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	205
+	206	207
+	200	199
+	4	194	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	207
+	200	199
+	3	194	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	207
+	105	205
+	99	199
+	4	93	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	205
+	99	199
+	3	93	207	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	206	207
+	194	205
+	200	214
+	4	206	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	205
+	200	214
+	3	206	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	205
+	93	207
+	99	214
+	4	105	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	207
+	99	214
+	3	105	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	209
+	162	209
+	156	205
+	4	149	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	209
+	156	205
+	3	149	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	204
+	156	205
+	162	209
+	4	169	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	205
+	162	209
+	3	169	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	209
+	149	209
+	143	205
+	4	137	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	209
+	143	205
+	3	137	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	205
+	143	205
+	149	209
+	4	156	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	205
+	149	209
+	3	156	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	205
+	130	204
+	137	209
+	4	143	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	204
+	137	209
+	3	143	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	214
+	188	211
+	194	220
+	4	200	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	211
+	194	220
+	3	200	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	211
+	200	214
+	194	205
+	4	188	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	214
+	194	205
+	3	188	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	211
+	99	214
+	105	220
+	4	111	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	214
+	105	220
+	3	111	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	214
+	111	211
+	105	205
+	4	99	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	211
+	105	205
+	3	99	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	205
+	181	204
+	188	211
+	4	194	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	204
+	188	211
+	3	194	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	204
+	105	205
+	111	211
+	4	118	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	205
+	111	211
+	3	118	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	209
+	175	210
+	169	204
+	4	162	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	210
+	169	204
+	3	162	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	204
+	169	204
+	175	210
+	4	181	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	204
+	175	210
+	3	181	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	210
+	137	209
+	130	204
+	4	124	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	209
+	130	204
+	3	124	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	204
+	118	204
+	124	210
+	4	130	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	204
+	124	210
+	3	130	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	210
+	188	211
+	181	204
+	4	175	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	211
+	181	204
+	3	175	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	211
+	124	210
+	118	204
+	4	111	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	210
+	118	204
+	3	111	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	219
+	194	220
+	188	211
+	4	182	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	220
+	188	211
+	3	182	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	211
+	175	210
+	182	219
+	4	188	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	210
+	182	219
+	3	188	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	220
+	117	219
+	111	211
+	4	105	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	219
+	111	211
+	3	105	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	210
+	111	211
+	117	219
+	4	124	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	211
+	117	219
+	3	124	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	220
+	182	219
+	188	226
+	4	194	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	219
+	188	226
+	3	194	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	219
+	105	220
+	111	226
+	4	117	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	220
+	111	226
+	3	117	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	218
+	182	219
+	175	210
+	4	169	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	219
+	175	210
+	3	169	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	210
+	162	209
+	169	218
+	4	175	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	209
+	169	218
+	3	175	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	219
+	130	218
+	124	210
+	4	117	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	218
+	124	210
+	3	117	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	209
+	124	210
+	130	218
+	4	137	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	210
+	130	218
+	3	137	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	226
+	188	226
+	182	219
+	4	175	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	226
+	182	219
+	3	175	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	219
+	169	218
+	175	226
+	4	182	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	218
+	175	226
+	3	182	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	226
+	124	226
+	117	219
+	4	111	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	226
+	117	219
+	3	111	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	218
+	117	219
+	124	226
+	4	130	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	219
+	124	226
+	3	130	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	217
+	169	218
+	162	209
+	4	156	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	218
+	162	209
+	3	156	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	209
+	149	209
+	156	217
+	4	162	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	209
+	156	217
+	3	162	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	218
+	143	217
+	137	209
+	4	130	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	137	209
+	3	130	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	209
+	137	209
+	143	217
+	4	149	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	209
+	143	217
+	3	149	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	217
+	156	217
+	149	209
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	217
+	149	209
+	3	143	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	225
+	175	226
+	169	218
+	4	162	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	226
+	169	218
+	3	162	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	218
+	156	217
+	162	225
+	4	169	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	217
+	162	225
+	3	169	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	226
+	137	225
+	130	218
+	4	124	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	225
+	130	218
+	3	124	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	217
+	130	218
+	137	225
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	218
+	137	225
+	3	143	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	225
+	162	225
+	156	217
+	4	149	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	225
+	156	217
+	3	149	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	225
+	149	225
+	143	217
+	4	137	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	225
+	143	217
+	3	137	225	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	217
+	143	217
+	149	225
+	4	156	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	149	225
+	3	156	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	226
+	175	226
+	182	231
+	4	188	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	226
+	182	231
+	3	188	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	226
+	111	226
+	117	231
+	4	124	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	226
+	117	231
+	3	124	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	231
+	182	231
+	175	226
+	4	169	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	231
+	175	226
+	3	169	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	226
+	162	225
+	169	231
+	4	175	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	225
+	169	231
+	3	175	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	231
+	130	231
+	124	226
+	4	117	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	231
+	124	226
+	3	117	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	225
+	124	226
+	130	231
+	4	137	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	226
+	130	231
+	3	137	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	231
+	169	231
+	162	225
+	4	156	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	231
+	162	225
+	3	156	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	225
+	149	225
+	156	231
+	4	162	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	225
+	156	231
+	3	162	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	231
+	143	231
+	137	225
+	4	130	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	231
+	137	225
+	3	130	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	225
+	137	225
+	143	231
+	4	149	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	225
+	143	231
+	3	149	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	231
+	156	231
+	149	225
+	4	143	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	231
+	149	225
+	3	143	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	235
+	163	235
+	156	231
+	4	149	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	235
+	156	231
+	3	149	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	231
+	156	231
+	163	235
+	4	169	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	231
+	163	235
+	3	169	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	235
+	149	235
+	143	231
+	4	136	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	235
+	143	231
+	3	136	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	231
+	143	231
+	149	235
+	4	156	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	231
+	149	235
+	3	156	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	231
+	130	231
+	136	235
+	4	143	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	231
+	136	235
+	3	143	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	235
+	176	234
+	169	231
+	4	163	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	234
+	169	231
+	3	163	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	231
+	169	231
+	176	234
+	4	182	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	231
+	176	234
+	3	182	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	234
+	136	235
+	130	231
+	4	123	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	235
+	130	231
+	3	123	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	231
+	117	231
+	123	234
+	4	130	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	231
+	123	234
+	3	130	231	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	238
+	156	238
+	149	235
+	4	143	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	238
+	149	235
+	3	143	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	235
+	149	235
+	156	238
+	4	163	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	235
+	156	238
+	3	163	235	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	235
+	136	235
+	143	238
+	4	149	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	235
+	143	238
+	3	149	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	238
+	170	238
+	163	235
+	4	156	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	238
+	163	235
+	3	156	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	234
+	163	235
+	170	238
+	4	176	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	235
+	170	238
+	3	176	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	238
+	143	238
+	136	235
+	4	129	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	238
+	136	235
+	3	129	238	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	235
+	123	234
+	129	238
+	4	136	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	234
+	129	238
+	3	136	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	243
+	163	243
+	156	238
+	4	149	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	243
+	156	238
+	3	149	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	238
+	156	238
+	163	243
+	4	170	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	238
+	163	243
+	3	170	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	243
+	149	243
+	143	238
+	4	136	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	243
+	143	238
+	3	136	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	238
+	143	238
+	149	243
+	4	156	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	238
+	149	243
+	3	156	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	238
+	129	238
+	136	243
+	4	143	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	238
+	136	243
+	3	143	238	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	243
+	149	243
+	156	251
+	4	163	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	243
+	156	251
+	3	163	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	243
+	136	243
+	143	251
+	4	149	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	243
+	143	251
+	3	149	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	251
+	156	251
+	149	243
+	4	143	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	251
+	149	243
+	3	143	251	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	251
+	143	251
+	149	260
+	4	156	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	251
+	149	260
+	3	156	251	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/bluebayou.ps b/books/ps/bluebayou.ps
new file mode 100644
index 0000000..056ad70
--- /dev/null
+++ b/books/ps/bluebayou.ps
@@ -0,0 +1,4214 @@
+%!PS-Adobe-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /root/doc/bluebayou.ps
+%%CreationDate: Mon Mar  8 13:19:58 2004
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 346 248
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 232.999987 translate
+330.999981 -232.999987 scale
+% Image geometry
+331 233 8
+% Transformation matrix
+[ 331 0 0 233 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 331 string def
+/gstr 331 string def
+/bstr 331 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       286266 ASCII Bytes
+colorimage
+!gf=Hrg<_P'U=uQSXl:?S"?4AS"$%ASt2CASXf\H(7CV\SXuIGS"64IU7RpGS=c:@S!TG0rgWt]
+rgk*tR$sS;SXl@ES"6.AS=Q.>SY)CASXl7@S=H.ArgYd5S",q6R@0P7S!oh=Tq7dCS=c@CS=>t;
+S=5k9R[ft@T:_[DS=>q7S!fY3R[]k;R@BfHT/*(2SXlCDTV.mMT:_dLSt):@T:hmNSt)@BSt)7<
+R@';-R@'A1SXuC@R@B_:SXc.9R/WQQS,]!+S"-">Ssl.>TqJ!IS!ftBS=Q@HS=,h>Ssl+;S=Q1>
+R?s>5StMjRrh9LfSt)>MSc>5[Rff+NSt,eK1n1#,S"6+?SY)LES"#q>SXGt<S=5q<S=H.CT:hjH
+S=5n:S"6(=S=,k:R[]e:S!]M.R$[f>".H%'RXb~>
+!gAn;r0./C'9e`JPECumP`q5kQBd`"PEhH!OoCLkPEhE"R$Nu$R@BY3P`qAuPE_8lNKTKhPaIf'
+QBI>mQC!o'Q^F#'rg!MJI?Tq_PEhH!Pa%GuPa@StP`V)lOcYWdPEV5mPF%](PED&pPa%ApOctuk
+OHYfiPEV5qP*(rmPE_AtPE_>sQB[PsQ^F,*QC!l#P*D,pQ'7MuPa.MtOcbfkQC!o&Q'du.R$O&'
+P`h8rPa%K%R[KG)PEM&kOcPK]O-#M&P5g^nP*;)oQ'%5oR$X)%P)u&sPE_H$PE:ooQ'%2lPE_8o
+O,]3bPa7Z%rfmtWOckomQ'ISuPEV/qQB_B34-PnoP*D2pPa7T!P*2#oP`V&mPED#mP*(igOHG]d
+O,]-[Nf]<^O,AmUMi<[WNf/jUNK0'ZNK9L<OFR~>
+3f&]XNK&mRLP:MAOH>K^Nf]EbNK0-_OH5E]NfAjLL51SAMN*XUMN![^P)kT]NKK0YMM?e@MMd=P
+rf%5?L5CkKN/WaVN;ek;NW4qANKB*YNfK(tNB*#]OH>TbOH>K\NJrp[NfK0_PEClaNffB`NfB!X
+Nf8mVN/`mZOH>K]NfK*ZOH,<\O,f<^N/j$`rfIeUOH,?_OHPcgP)t`dOc>9VMZ/VTNJrjXOHGT_
+Mi*@HM2I1KNKB9bO,]-ZNJrdPrJ(B/rJCQ3-]*_<Mi<ILNKK<_NK&j[OGo0]OGo!OO,SmNM2I4K
+M2$\<Mi3RUNrG">Mi!;hMZ8P5L]`EjMi%Fg0o1^GM2[ITNK9'WM2@+KMhd.IMMR+JN/EFKM2I4G
+LPCS@Ll.%FM1p_@L4tA;L4b-XL'EHhLPhD,OFR~>
+"e2'VS"-#JSHGIVUSIg_<i)UcT:VaMTV%gIT:VRCS"-%@T:V[IStMgQTq@sKStM[JT:;=AT:_^K
+T:_dIS=H1BSY)ULT:hjLStDREStM[ITV%gJSXlCFS=Q7BStDRCSt2LHrgsLjUS+3LStVdJSc,)Y
+RfK&ZSJ@cjTUq^FS=?"<S!oh:S=Q.=StVgLrh*;_S"-+BTV.mMT:V[JSt2IGU8+HVSt;LDSt2FB
+S!o_5R@'D4T:_^ES=Q7CT:_[DS"6.BSXZ.?SXc4@T:qpMTVA6XUS=KVVPU&_V5C#\Tr+WZTq_O]
+#bn#bTqeE[Vl0Nk!i;ZerLs:crh9apV5C)aU8"EZVPO3f&#Q8&V50l_VPU#^V59u`V>d>(W2HSm
+V59u_Unaf`US=EVUS@a_%&0DeT:hjNTqJ-^aI@\~>
+"dbUGQBmm9Ql2<]S!fY2S!fV-P*_N$Q'IZ%QB[]"Pa.T%rg*SNs-itT%@39EQ^3u(PEM5uQBmp;
+QPYsNPa7W#Q^O8.R$X,)Q'IT!R$<r(QBqK70:.leQ'7N!P`h5qQBml&Q^O;0Q'7K"QB[SrP*;)m
+Od2,nP*D8tP*(rmPa.Q"Pl?q*QBRMuR@'>,Q^3htOctrmP`h;rPE_>rP*D9!R$a5*QC+)/R@'A.
+Q'@Q!Pa.W)S!fS-Q'D92"-J\,P5^XTOckolP*2#oQ^3o&R%'QDR1#CQS!f\7S=,\0SX]VGs-a7^
+R$O#'R@0M4RJiKSQ^F0>R/iWRR1#ISSXc.:R@9V9R[a;Hs.(='R[T_9S!]Y7S=5n:S!oe8R[]e7
+R[BG/R$sG0QBRT"Q2['XQ'7GtQBml'PaA,YP(3~>
+H&RcKOH>TdNfB*_QBmf$QC!u'OcbikP*(ieOH5?YM2@+KN/`gWNKB?gOcYZcO-5TdNf&^RNfB$Z
+NfK0ZMMmIRN/j!^OckliOHGWcOHP]fP*(igOH5NeOHG]fP*1odOcY`iOcklkP`h)fOHYfgO,f6]
+NfB#(OH5E_OckifNrG(AOHGWcrf@SONfK6dPEM)mP)kT^OSt:PP*(fdOcGE\NffHcNfB*]rfIbQ
+NfB!UN/NUROHYlkOcY]frf@,?rf$i9*K,l9NJrdTNf]<^O-5cmPE_;qR$Nu#QBm_rOHl%/O:.26
+OcYT^Nf]BdPEPm,%Zlg9Ocb`eOcb`fPE_8orfI;IQBRU5QPGmRP`h2nP`q2kPa%>pQ'RYuP`q>s
+rfS1^P*2&nOcbZcOcPQ`NfAsTNK0$\O,f?o]97[~>
+A#cT3Vl?c$YdCdD['[6M\@K&RXf8;"WMl\jVPpJpVPU/gVkK`XWN)qoTVSN`Uo1/kX/W2&XK&1q
+V5:,kVkp/_Tr4ojXK&4rVPg8dUnsugWMc\mUS=T[TqeK_WMuemXo>@DXKAS)Wi2hmVl?ShTqS6T
+TV/$VVkTfZW2-/_U7n<UU\gciT;&<bVPBr`Tq%RBU8+HVU84QWT;/*UWN<2$Vkp,`TqJ*SUnaZX
+TqJ!IStr6[U7nH^Vl$>hVPL&dWMu_cTqeBUTVJHeW3!5.YctF@\@AuV\$`WR\@/cQqR7]X\%&lR
+[C*BJZEggD[C3HLZa$dB[^`u]]=kkg\[oGe]tD&V^Abb`]tCth]tV4o^;%Iu^:q@s^qd[r]"5Sg
+\[ApG\H9CS\G`iA\%&u[[^j<*TR[~>
+s.gp:TV80ZWNE;'WiE,#XKJS#Tq%^HSt2@@StD[MSXc7CSX5V/rgsFbQCFG8R[fuKTG4)pU7\$H
+S"-(ESXPq4QCOS>TqItURl["+R%'S:St)CAR$X5/QC4;6TV%dFU8"?TU8"EVTV%dES=Z7<QBmo(
+Q'I]*S<oJ.SXGe0Q^=,/S,8W`QC+;;S=,h8Q]dGmPa;<5s-FsqPaIc)StVjMSXZ(=S=?%?T:VUD
+S=>q5R@g1GSXc=CR[9B?Qku0[SXl13Q'[i%Pa@o6SY;mWV5:)iXf_T(s/Q+$!ir<$qQ(1-WiN+s
+W2QShUSFW^W2oors/$.&X0&Y1Z*LX<Y-7f/!4)O/rimBIZ*:I<Za6sD['d?M[C3NQ\$iZMZaR9H
+XKMN+%]ue2WiW;(Y-4t-XLQH@J,~>
+A!`UTR[p.ITr"WaW2Q\qXK8CtTU_OCS=>q6R$jA3Q'7H!P`UrhR@BY2P*VT+R$sP9S!fb:S=,_0
+Q'I`+Q^!\rOHu?*TqS*LS=Q1=R[fqAT:V[GR[KY4Q'Rf)S"#e2T)G0$St2@>R$X,+S=5b.Pa7Su
+PEhQ)Q'.K'Q^*f#Q'Rc(qj10DQCXV9Q^F2+OH,EdQ'@JsQBdVqQBRT%S=Q+8P`qH"Q'Rf*R$X,)
+Q'7>pR@Ke8R%0b=S=H.?S"#q=SXG\,R$X&%Q^j\;StVmPTqnTeX8]+&W2?PnVksBjr20Ii+JYX)
+U7n6OStMgTWi2hmUnjrfWNE5'YHP(0Xg#+:Yd",319dsaX/rD'WiN8)YHG(5Z*CO;Z*CU?Ycb+1
+Yck.,WN3)"WhlG`Tq\<WUo1&`V6e1,J,~>
+'?\SJdact%f\+s3gtplBgY1?4ec+#4dEg(_cd0t`bfe/O`koR1aiMQB_T2Z"s33sWc-=V`dEg(]
+bK\AXcHOJTcHFARc-FVZc-FSWbg+JVc-OSTaiD9:`lZEHc-FSYdEg%ZaiV`Od*^.^bK\2L`5Tg=
+rl5bma2Ps7`l?'@`l?*AaMl0>aiVQBa8X0aaMu-6_SuMps2Yhn`l5m8`Q--Fb/M??b08&M`P_\k
+5Jk=W`5KX6_o0O7a2l9>a2l9<^q[_'`l>a._83q(`lcTPdacq!e^iC*f@o!5f[e^.f\,!4f[e[.
+g"4[$fDaJ&f`0P?f\+p,e(*%"e^rF*g=k?<gtC?5g=tB8g&B\4gYCW?hVHr?g"P0Xf`9Y&f`0S'
+f)O><f[nX$eCN7&e^W'seC;ppeC`L*ccje*J,~>
+/B#QNb082ZdF-IleC;spdEp.^aiDKEaMu0;a2l?@_ns7+]t(Yb^V7Fo\@qmYr502faN)9;_SO./
+_o0F-^r*t&^r+(h_D9$G^qmq*^r"%*^:q7h]"Ghq_8O=2`5fm8_8*k'`Q-'=_SO+)]Xk_h^:h1m
+]=khe])K>O]tD%o_8*au^VRb#]tOE[$bj9a\%'#]]">Se]D];M]=l"s^q74m_SjF2^qTf\0YP39
+^V@S"^:q@u_8*^o]">M^[C!?O]">;V[^NTQ]>)8%aNMfNbKS5Vc-XkbcHQ:5%+!;HcHOP[ccjJO
+bg-44$-UK5ai_fNb/ha)b66&6c-Xi:dK7b?ci28lcHlL:!7Ceo$.RGNd*L(ccd'i8ci)2mcd'nb
+rmDS/bfS)ScHXSTaN2KFaN2NKccX2Ba-2#~>
+8%6(I`6$6Jai_iQdF-Fhcd'eYaMu9@`504(_83q$]Xthg\$NEL]Y(ke\%BGl_8O4-_8*t-`P]O-
+^;.V%_S<du^qIFs`;R\@a2Q!8`l>p8aMbs4^Uh%h]Y1tm^q[Y$^qRIn]=ktp_7mRq^q[Ll]"G_h
+]=b_f]"#;_]=bef]"Phk]">Vh^AbbD]a)3]\$`ZT]=S!S'"b`c\@B,^^;%=k\%0/c^qRImrjX\n
+]=khg]Y1qi^VI\&^qdh)_7mLk\\#Si\%'#\\@]Jm`l#g<b/q`IbKS/Tcd'bWbPo`cbm;M7bK\;S
+`l6(!b94sLaN)BCb08#Obfn8Rc-4DWcd:+gcd'kae'lXhdF$;=ciheDcHXT0c2Z#fc2Z!-bKS5U
+cHaYU`lZEIb/V?7^r""*_8F=7_nNh'PCN~>
+"5)>_h#?+CgtUT=h;7#DgY:H9g">!1f@A@!rm^tu#Lq5McHXY\dJhE/bg4bfeCE(!eC2puf%&:#
+eCE.!f@JL(g=?)L'\(^`daHUldaZjsdEp1_bg4Y_cdDa@0%A:qcd0tdeCE."da?CdbKA#TdF$=e
+cHsk\bfe5UdE^(cda?=bdF6RjcHjncrmDP.cdC1fc-=P[cd'e[cHjnddE]nYci2B9da?FfcHa\Y
+bf\/Ud*0\Xd*U%]c-ak\aMu3=aNDZC`W!meb0/&TcdL@qf@\d1g=cJ\!8IM+%,9RmgY(65h;-f9
+fA$;\s4eIIgt^`Bgt:95gtUT=gY1H<hVR)Cg=tE<rS.A+#M\%ih;7#Dh#?(-gA]e)g()fgf\,!6
+gY1?4e^iC+g&9J0f@A?ue_8g3d`Tn+J,~>
+)U[!^e(*%#f@JO)f\+p.eC;srda6Fid*Kt_r6Qe:cHF>Nai_fJaN)9Ac-FV\cHa\Yc-O_]c-=JV
+c-+DWbg+V[aiaS+'[G%Mbfe5QbKeGYbK7iE`lQ<Gaij\.)U?OKaiV]LcHjk`c-+8N`l,m>bfe/N
+aNDWFrl,MjaiDNHbfe&JbK\;Ra2c<DrlQ;'a2uHD`Poj;a2Q$;a2uKJbK.T@b0A5Wc-4ARaiOJ%
+4N,7^b/_KAb0%`B`Q6':^q[Uu_8F1'^;%J!_o0R9aj&/ZdF-Lne^N+$f$r0sdaZgteC)anf%/<r
+d+&'G!S,^!dM(*Ze'QIieC;sse'lgsf%8L%daS3F$IdMSe'c^qf%/L*rmh%u!7Unp,14ifda?Fg
+daZgteC)^hcdC.ec-=JVc-=JVc-atdahc#`J,~>
+(raP=c-Xkbc-4GZe'ujpdEg1ccHa\Zb/aG"rQ,hp`5BO5aMl0<`5p0Ic-X_[bK7oNbfft-$HpQ8
+bKA&Tb/h]IrlecpccsYVbf\,RccjPRa2Q$<aN2?Ab0%iLa2Z*;`lQ<GbK7iG`l5g2_T0a=`l>s:
+`P]U1_SsR6`Q-$=_SaC7aMbs5`5T^8`P]U5a2c0=`lH-=`Pfa:aN;NA_8=15rQ5,^rl>#X&&ZB-
+ai;?AbKJ#Lbg4SW`r<jn`Q-$7_Sa=1a2lBEa2lEIbg"GZcd'tedEqm<!71Yl#gglDeC;mjc-cO>
+'%51Td*^7ieC)dqf%&:#e'lgsrmq,!"4buSf)F23eC)gqe'ljse'landF$CjdEhd:*mMmPc-Ob`
+ccsYTb08,Sb/qcJbKIuIaj&/V`k]]cJ,~>
+s5"%:g=b-2g"4d)rmq%urm^tu!S#QqdJhQ%d*Bq`dEp4`cHje]rm1eqdaQXkrQtYoe,@_pe.L6^
+f@JL%dF$:ddF?Xlc-+5TrmDG*bfnDYcHje[cHsqaccjVXcHlI9,gXc\bKS,NbL"Y`cHX\\c-4DR
+aNMlScdC1fc-F_de'?1_daS0Crm:kpc-=JWrltPhbl5ikbf\&NcHa]5d/M<Jc-4>PbKeM]cHab]
+bKJ/WbJqK>`Pfa8`PKF0`Q--Ca2lQQdaQ[pe^i=$e^i='f$r4#f[]uN$J*k^f@JR+g"G$1qUku&
+f%JdVf`KgXfDXA%f)O>,f[e^-f@JI%rmq)#s4I;$!nZ#Srn%2$%Fs%\f@\a-f%&6se(*%IdgFOM
+d*gLre]u.ZSq$~>
+!nPoNrm:bpeGdqse,e%HrmC_ls3^kn'@5%Pcd0tbcd'bYc-FVYaihoObl5lec32J=c-4K3bmM\<
+bfn>WcHjnaci25ibQlG@d*9_Ta3=P/"3em/bl5cnb/qiOc-4DRai_fNr65\pbK7lIa2uWQcHOJV
+bl5`ua2Z3Db0/#RbK.fLcd'YPaNMfNrlkDc)9U(CaN)BDb/q`HbKA#Nai;HHbf\,QbK@s+a<S^D
+_o9a@aiMQFaMu3>b/M02_8="(_ns.&_8=.1`Pfa=cHuR<%+E_TdaQ[peC)^jda\6B$IR>Pe'c[o
+e^W.!rmUnq!7Uqq&_,C^eCE$re'lgre'cXle'c\Ddfn.Fd*^:hrmLque'n9Ds3^bk%aWMKdF-Ii
+cd'eYc-FVXqTK2hcd0nW^;u^m~>
+!mJj2rQGGgaiV`NcMl&hbg$(/(!4M9`Pod7ai_cJa2c<Eb/qZEb/qg*bmMeBcHXMSbKJ&ObPfT`
+bU:Z\cd'eZb0%iJb0J5Q`l5j;bfn8O`Pos>b0.rJaihlLb/VKCaiaV+-HaHO`l5p7_o0[?b/hWE
+a2Z*;_SX73`lH0A`ko[7b/qQ;_oBd;rl5)[a2n8%rlG,]s2PVkaN2E?_o9[<aN;TIaiFD%.`]NH
+`lcNJb0/#Pai_lTbJqH;`5BO4`PB@.`Q$$@`l6$?b0.rOc-FVYrlt\nc-+;Tci2/ncHjnddEg2;
+deqK"daQXne^i:"e'cYAdK._BrR1l!f%&4IciqbBdF$Cirm2P1da6:abfe2Pb0.uPbg">RaiMKC
+ai_]Jbl5inb/qiOc-45Dc(TX~>
+"5r%hf)F/+f@89tdEp7fe'cYCciVVCdJhMmci;9+c-4ARbg+PZbK7uRc-+8PbKS8Xcd'l9cMu38
+c-4GZcHjnccdgUqd*BhWbg=\[a2Gm<cHa\V`lQEMc-4ARrlbJeaiMU%b5f]`aXG<TbKA#RccsYU
+cH4,KbK.ZBb0A5Xccs\Yd*^4`aii&[dEp4bbf\-.bmDS9bg"GUa2c3?r5]Mk`QQHIaMl0?b0%fH
+ai_oTccuC2(sU%6^;@h)^qdh%^qmn-aiD?=daHUndF%sA%FNPLdacjqdaQdocdC5@e-FOUf@8=#
+eCFQL$J!YUe^r@(f[\R(rRLns%+<YTe^`."f@A?sdF/$A%+E_Ue^N!seCN1#f$s]Js4%Y0daHXo
+daHOfcI(+fda?G?d0J+LdF$.Sc(0@~>
+#M7MQc-4GYdf.Vod/M?3d*L"^c-FY]d*L(ccd0n^c-+8ObKeDXb/hcNbf]q,29O.gcHOMWbfe2R
+b/h]Lb08,SbL"\bccsYUbg4VY`l#[8c-FPS`lH<JbK@rKbKJ&MaN)C"aoKQ_aT'?pbK@rLc-FSV
+aj%oIaNDQA`lQ:$b%8Z7aNMfN`l,m?bfe2PaiDB@b0.rKa2uQKaMu6=`lQ9BaiMN@aN2?<_84(/
+`Pf[4`lQ?GaMu3=`lH0:]=btu^q[_&^VI\&`5op7`6m&_da6@gda?Ffd*gFmcd1%fbfn>Xrm1_o
+e'n<E!7Unp%FNPLdaZdtf$r0ue'cbFdf.W+daQXle'ujncHab_c-Obbe'e6C"k;#LdF$>?ci;Ap
+d*Bq`rltenai_lSbg"AUrlk_ocd0k[`Os9[J,~>
+$dR#>bKA#Pc-"2Pbl5fbbSnXGb0%oMaN2EA`l6!=`l5m:b0%iG`Q?<GaSs9cbKS5TbKA$-arnmL
+a2lKHb08)PcdC(^ai;?@bK@lB^:qS.b/_H:_o^%"b6lD6bK@oJ`lQ<Eao9B]`rj?#`Q8&!s3!.>
+a2c?A`5Td8_SaC6aN2EA`5]m@ai)'7aNM]HaMu3:`Q??IaiMQHb/_H=_o0O5`r<pj_T0^9_SF"*
+`Q,s:`lQ<Hc-4>PrlQ)$`4iq$`5'.'_7m_#_8XL9`5KsHcd'bZrm(Me&C/\Lc-=P\b0%rSd*L(d
+e'n3A&(8kPd*L(edaZdocd:"`ci),rc-ObadF-Rse^;_Bc54^Lcd:(ed*L(ee'cUhc-=JVcd'eZ
+bK^%0"j+d)b0.p)c2PokbK7lE^<E:$~>
+$JsRhe^W+!e^DmnrQkkucd'bYc-FY]cMc'*cHjbZbg"GXbfe,Lb08&Ma2uKIcHXSWrQfB,bfRuM
+cH45QbfJ,Xcd0kZai_iNaMl'9`lufO`Q-'>bf\&MbKJ&NaiDKFb/_K?`lZBFaN2QMc-+8QbK@oH
+ahu$9aiDEAaihrRbfn>Xd*U(^bKS;[daHLdaiMWLbfn5Ob0%iF_SO.2bfh]\`5Td<c-+5K_oBgA
+c-+8Na2uKHaMu<DbK\>P^qn%4`50:._8*h$`6-3CajC%5rQZ;*bKeJ`f%&6ueCDmicdL=kdF$Fl
+dF$FkeGdu+da?IjeC2sudaHXprmLtte'uhFe.:*Xe'ujocd:(dcd1"edaS3C#h%2MdF$:cc-H=7
+s31ktcHXVXb0/)WcMl/udEg+adaQRlcG[qqJ,~>
+$J!VNbfe8WdEp:grQkntc-+8PbK\>Xc-H=8-dU/bc-=P[cHXSUaihrPa2c9DbK\;Ubg+P[cHXPR
+aNDcKaiVWDbl,h%bK7oNbfRiB`Q-3Lb/MEB`luTIb0.uNb/q]Fb0%cD`Q$!AaiMQGcHXPTbKJ&L
+a2u6:`lZ9@a2lBEaN2EDb0.uMa2Z3CbK\;TaMc'=bKS,NaN2NE`59@.aNVrN`l?'?bf[rC_SaCm
+aWedE`5Tg;`5BL5aihrJ^VS"7`PTO4_ns7+`6-3CajAG^ci)-,c-+DZe(3'sdaZajbK\D^d*L%c
+dEp7fdaJ-D%a`PJdF6Uqe^Mpqe'lgpr6maWe^W$qe'cRfcd:%acd:(fda?Fgda?Ihcd0n]cHjh^
+c-=Y]c-=JSbKeGYc-4DVcHXY]d*9nY^W;dm~>
+$I6o?c-Oedda-4brQl)$cHaYWbfe5Qai_fMb/qg*a>D#]aiMNA`5]p@`Pom=aiqrNb08,Sbfe,J
+`lQ?Ca2l<>bK\8TaiMKAb/hQ=^V[n1c,IU"`;[m^bg">TbPoW`bA,):`Q$!AaiMQHcd0k[c-=JT
+aihZBa32TGai_iPbKA#Nc-FSYaiV]Lcd0t`aiDHDbfn8PaN;TG`PTI/aNMcJ`5K[8b/hQ=^r"(3
+b0%fF`Q$$AaMu9Bb0.uG]tVD(_7dS!^;%Cr_Z%UVao0R=cHsn_cHFS^e(<.!e'upnbg+VbdEg1f
+da?IjdaQ[peBuXhcHjh`d*9e[cHXZ6bmMb@cHjh`d*gFnd/D6Cbg"GZd*U+acHt"edEp4ccHah`
+cd'e_cHXVXaihuUbKS2Rb0%iJbK7]D`4O'[J,~>
+"5hqdf)F/%d*^4dd/MDqd*Bq`d/M?9c-4DVcHjh]c-FY]c-+5Obg4V\bfS&Rd*Bt_c-=PZc-=P[
+rllP-bK@uNbfe5Tbg"DVbKS/Pb/q`GbKe>TbK@rMb/qd(bQZ/2bKJ#Krl>&\rlZJ-c-=GSbKS2T
+c-")JaiV]Lbfe/PbKS2Vd*U+ac-"/PcMl$8b/qcJbK.cHb0%cE`PfU/`lcHC_8F=9aN)?Bb0.uN
+aMu9Aai_`HrPoeqa32QB`5fs<_SaF5`5BL4b/hWFc-=P[d/MEBd*C"cdaZaodaQ[kcHjtie^Mpl
+daZdpdaQ^qe'H@edF-Ine^N!teC2nGe,\%te,[trdL4FJd*U+acdC4jdaA$?!RK'jbob0QbKS5W
+d*^.^ai_cNcd0k`daQ[lc-4J\d*g1VcCKI~>
+(=q!]c-4GYc-O\[cd:%bbf\)Obfe5SrlZV4cHje[bg"GZc-"/Nbg+P[bK.iOccse]c-=P[cHX\]
+cHXSTb5TKebK7oNbKeB2b9kBRb/_QFc-4>Rb/hcJaN2QKbKJ&LbK@oI`l?'?ai_cJaihlLaSs<u
+bKS&I`lQ9DbKS,MaiMNCb0/#PaiVN@r5g2)`l?*Aa2Z0@aMu09_SF"-b0%]>_oKp?`l?'@b0%fF
+`5KXo`rO*X`;deF`lc??`Q60@_o9a<`l,d7b/hWFc-FY]d*^7ecHXY]dF-Fhd*g=dbKS;\dEp1`
+d*g@hd*^=kdEg+`d*^:keC)dpe'e3Ds4%%s!RfBpd/VDkcNhb?cHt%hdEqj<!7(Pf+3_pObg"J\
+dE]qWb0%uTccjYZcd0kZb0/)Sc,[Q@RXb~>
+)UH^ScdC4kd*U(`cdC.eccsb]cHOMUaiMNDrlY8]#KY$0ai;<=a8X3aaMl6Dbl5fcap$#4bKA#P
+rlPbkaMu6?aN)BEaihiKaN;O&a8a*[aNM^)a8j6ZaWJ[Nbfn8QaihlLaMu3=aN2NIb0&#Tbfe5T
+c-FVXaN=G)s3;/"bKS/PbKeG[cHXSSaNMj-bTG!Lai_cIa2lBEa2Q!7^qn%4ai2*6a2u?=_o9[;
+aN+;!!65#Z6-%!baN)6;a2Pj0_o0C*^r4+,_84(2a2c<Icd:(fe'lamcdC1ie^W'seC;dfc-Xqf
+dEg+ce'l^ldaQ[ncd0o9c2Z,iblc;;c-?75s3LVg"45HCci2/obfe5UdF$:crQYAfrm(Sirlkkt
+d*^7dbK7oLc-O\XrQGVj`l,g7_Sj7#a..Y~>
+(YmcreC)gpc-anadF6RmdEp:jeBu^md/M<,d*^7ed*^:id*Bn^daHLgcHFM\dE^(arQbGe8^>`2
+d*BeZc-4GYbKJ/TcHje[c-4DVc,RfFb0A5Tb08#Pb/qoPcHaYVbK@oJb/q`G`lcNLbKS2RbK\>X
+d*^(\bfn2Pc-4</`rX9(rQGJhbfe5Vd*2I2rlHh4`lQ<Fa2Z0@`l6!@b/_KAb0.lHaNDcOaiDEA
+`Q--EaiDKEaMu0<bKJ#Lb0%g&`X0W(`l#[4b0/#Srm)D+c-4P_da?FgdF$:bcHt"ie^W$oe(3(J
+dhgH[c-F\`daQateC<("e'lgse^i=%eC4EFs3gtqrm1qscHjtieC2jnrQkSkcMl-2cHXV[daQUi
+c-+>Vd*U+bdF6Rod*0\XdEp:b`R(3,~>
+1Xjdtc-4J[bKnJXcHsq`bf\/Tccsb[bfe2RcHjh]cHjkacHOJVd*U(_bfS&SccaSYcMl)gbS/:L
+dEg%XbKJ&Nc,duKb0A2TbKBh-(<se;a2lKKaiV]IaiMQGbKS2Ra3)KCrl>ts`Q#s?aiMTGaN2NH
+bK\>SaN;QFaNM`H`r<pWa8O+CaN;NGcHXMRai_`Ha2Pp5`Q-$;_o0O3_oBg?`l,m=bK%ZEb0A/P
+a2Z-<`lZBE`lH0@`59F5aiDHCb/jM$43#4X`PTI0b0/#RcHa\Xb/qoScd'e[cHaYVb0/&Vd*Kt]
+d*pFhcd:(ecHOMWcd0tee'ZRlda?Ijdf.\tda?Ihrm(VlcMl&pbfe8Xe'cXjcd)O7&Br>Ac-4AR
+bK\A[cHOGQaij\.&'W;CcHj_Ua2uQKb/M*:R=G~>
+s2uJ-c-Ohebg4PWc-O_]c-4J[d*0_Wb/hTCaN;QEaN=G(s2QD,bfe,La2Q-CbK.cIb/qfJaN2KJ
+c-+5IaN)<AaMl0?aNDZIrQ#Mkb/)!6`Q?6A`lH-AaN2U)b9>$KaiMKBa2Z*:_oKm?a2uHEaNDZK
+c-FGPaiVTEb/qZBrl+u[ao9G&ai_`Kcd'_Uai_`Ha2Z$8`lQ6?`5Ta7`5g!A`l5s>ai)*8`lZ<A
+_nsC2`lQ9B`l?*@`59C2aMl*:`Pf[3`5KX6`5T^5_SjR=bKS5Ubfe/Nc-O\\c-=PZbfRuMc-Xh`
+cHX_bda-7ddEp1^bKTt1s3Uej$.$oAc-FV\d*U):bn&+Gcd'bYbK@rLc-Xe^c-611rlkDe&^8G?
+b08/Wbfe)Ja2uNJb/qm,bmMS2_SX4,_S3S$Rt(~>
+#hmt^e'QLjaNje3rmD,#d*pRse'uptdf.VldJhSnd0nFQd*Bq`cHstdbg-44$.$oAc-FbcdE^&:
+cjA"BbKS8Xd*L"]rQZP1`Q$!@c-=AOc-4MXaiquScd'YTaiV]MbK7iGb08,SrllS2d*L%bdEg(_
+c,n2Rai;B>`5]m>a2lBFbKS;Zd*0YSrQ$P1`Q#s>aN)?Cb/hTDb0%iKbK@rKaN2NJai23;aiDHE
+bK.cHbK@lGair&TrQGeqaiDHDaMu9=^q[h0b0/$-c2YusdF6LhcHstbbfnAZdaS3D*n/WheC;sr
+da?Cac-XnfeCN4"e(*!te'uq!f@SR&rR(breC+?Cs3CqteCN1"eC2nFdK%\odf.VrdaQ[krm1hp
+dF$=fdf.W%da-1_d*pCibf8)(J,~>
+'[b:Qc-4M\a3DlQc-FVZbKA&Td*;R9#0k?8c-=PYr6>brcHjk]b0/#Pbg"DRbPo^"cHXSWc-Xk`
+bKJ,Sbfe/LaND]Nbl5`bbl5d-_8O=4bK@iEai_iLa2lEHbfduG`l6$@aiDB>`lQ9CrlHn;bfe2R
+cH=8Ob/hZG`ko^3_o9[:`lH0Bb0/)XccjPRaN)??_nj1,`5KR2`Q#j7`r3sUa;E%Bc-"&F`lc?B
+b0.lIaihiH`5Tg?aiMR&asP3La2l<>`50.#_8jX=bKS/PaiMQJcHXPTbg">PaN;TJbfe2Rci2;j
+cP"UMbK7lMcHabadEg+cd*L"adJhQ"dEg+_c-FY]c2Preb72\Bda6@ecd'e\cHXPUrlkDc"3f$7
+ao0B]b7Mh@b0%oOb/_QEbfRrD^<)am~>
+$cpH5b085[`QH?Eao9Hlb/qlRcH=ASb/hQ@`r3sWaSs9hb07rG`lQ0@aiME?rl>&\s2Peobfn5M
+`lZ?Da2Q!9a2lEFa2Z0ua=4j=_8F@7_nsF7b/hTEaN;TH_o9R4`lH*;_SO11`l5p:`lH3BaN;TF
+rl,5]`Po^/_8!h(rPT&^`lH3EcHODOa2\+t%)g$"`5T^6`5]j:`Q.qu)p-1?`5BO5aMl!2_8jL5
+aN;HAa2uHB`5]mAao9?\a:6/.`lQ3>`l#U,_SsI4rl5bn`Pod<bK@lGaiVWC`Q--Fc-4ATcMl/g
+c4S=Da2lHLcHjnbc-4MZbfnAYrm1_mc-613s3:qqbKJ#KaN;]Pc2PokbKA#Pbf\*-aoBEeai_cG
+a2c3=rQ"o[s2tbj`5BO3_SNpra.%S~>
+s4@Y0eBlOf_oU*KcMc&rcI11idaQdte'ZM@c4/+Fbfe2Scd:%abKJ2Zrm<^Obg4GRbg=__cHae_
+cHakbdEp.Xb08,WdE]t[cd:"^b/_NEcHXPSaNDrZcH=ASc-O\Ua3)WMrltDcrlkbpcd:+dcHab`
+c2PoqcHO>Jb/D9?b/hWEbPo^$bK7lKbK.Q;`lH*>a2Z*<a2l?A_o'LnaT'@(`kod9a2uKD_SO16
+aiMTFa2c9DbKJ/Ucd0n\bK\;UrlY_ob/hZD_o0[=b0/&Trm)t>daQ^ocd'qccHFGWdF6LhcI(1l
+cd:1ke'cUfbK\D_e^`7$da?PCdLF^Vf%8O(e'cXldaQ^orm<FHdF6XreC2pteC2puf$r0se'ljt
+e'cUed*pIlda6=ef$DUcccse`e'ugocH"D/J,~>
+s3M(ucHXY[_T0gCbPfQjai_lPbKeJ\cHOK2aUQD7a2Z-?b0.uM`l?-Frld@Ea32TGbKnM[c-=JV
+bKA/UcHXJKa2lBIc-",KbK\5Pa2Gm8b0%cD`Q$6Mb/VNDb0.rF_oBd=rlP/\s2c5&bKA#QcHOGQ
+bg";OaN;TG`50L3`5g!?`lH4#b8/7BaNDZG_SO41_Sa7,_8=+.`5B@+_u@US`>6A-`lH0CbK%N;
+`QZHFaiMNCaND]Kb5TKsaN)?CbK@rJai_]D_nj(&`Poj<ao0Bubg"GZc-"5ScHF5JaihiK`lH9K
+cH46-c32A5a2lL(cOeILbfe8UbfnAYd*^7ec-4B1bS/7FbKS2Rbg+S^cd'k`cd'k`d*2L4#L(H;
+bf\#FaSs?rb/q`HcH!oEa2l?Ebg"8O`P0H_J,~>
+!QW:\bQZ><^r+46rPfht`lQ9Da3)TIaMl'6_o'F1_SO%+`lH-=_nsC7rl?_4_oK^5`lcHGaN2KE
+a2cBFb/qZ;_o9[=bfRlDaNDTD`5'1+a2Z'8_SaUBai48"#0=j#^r+.1rl4rVs2GDd`lH0BbK.]C
+a3+D#%E-<*^qRb%^r+./_SaCm`tl\6`5]g8^q[e*_o0L2_Sa=2`PfR/`;[aU`YQM-_SX40a25R(
+^rOI7a2Z':`lQ9Cao9IDb/hTDaiMQFb0.oHa2Pp4`PTL1`l?*?a2uHHbK@iEaiVQ?`5]pBaiDHF
+cd'YTcd'h\bK.]DbKg+7&'rJCc-4ATcHjkbdEg(]c2Pp9c-4ARaiMTIc-4ASbg"ATbg+JUaiMQF
+b0%iH`PKO7aMl3<_oBm?`lA"s#fk$,_ns.!aIRh~>
+s3qD,e'?1_c-F\`ccuI7%aW\Rcd0tcd*Bn\bKJ/RrQ#5`bKnPYd*Ku9bS\XPcHFAQbg=V[cd'YV
+cd0k\b0%rMbfn9/bR;V=cd0hXc-")Ha3+D*"jP36cdC&;c"P>DcHseZc-=JTbKS/OaihrRb0%uT
+cd'\P_T'gEcHjbXb08/Vc-4DVcHXPSaiMB7]tqV-bf@]@`Q6-?`Po^4a3)QF`Pf^6`l,a3`Poj;
+a2Z-?b0%iJaN2NKc-+8Oai_cLbKA$-c3);5a2n8%s2thpc-O\ZbKA#QdF6LdrlkDf*m`*Rb0\Yf
+d*Bq_d*U1dc-=V^daQ[re^DgkcHXY^r7(bq#h%,KcHk"je^ONG!7Uqss4%A(e'ljuf$i.Idg=FJ
+cHjh`d*L%crm22(cHXY]cd0kZbgFtgaO$W2~>
+#L1QAdETn[bl5j/cH42NbKS>YbKA&RbK7iH`l?*?`Pfa7_T0jD`luWJrl>nubf[uIaii#Sc-FST
+bK\>VbK7lKaND^'arnpRcHF;PaMu3=ai_fMbfS#Qd*9bWbfe,PcHFDTbf\',b5]L?b0.uMai_iP
+b/hN;`66?Jc-45KaNDZIaN2KGb/q`D`kf="]tq\/`PKC.`l>s7_SF+0a2l7!_C!4?_ns=1`Q#s>
+a2Z3CaiMQDa2uKGa2Z*;`l?'>`lH9Fb/hT?_u7P/`lQ<Gb/q]Da2uTOc-",Lb/qfKaMc'@cHaSR
+aN;TIbK7fGbKS5VcI1+cbKS,Nb0Bk2%aWGFc-48Mc-Xe^c-=P[r6PGirm(Piqp$2*b/qfKbK@rK
+bKJ&Nc,duKbKJ&L`l?0Hb/)/fJ,~>
+#fas2dETn[b/sY*s2G5_`lH<Ga8X'l`P]R0_8=.-^qde%^Vn48_oTp=rl$>,aN)3:`Q-0Cai_`E
+a3)THai;<@`5p'Ab0.uMaND`La2H$:_SO+/aSs:Ua2uQNbK7lKaiDQJaiV]JaN)?Ba2Q!;aN2E@
+a2uHE`PB4(aN2KHb/M??aiVWEa2Z0@a2Z'9^Uq.m_T'^;_SX73a2Q!7_8O@7ai==t%`H9$^qdk*
+`5KR1_SjI5rPSl[aiMKA`;[aU`Y-81b/qcH`l,j9`l,j6`Q6-B`r<m[a3)TJ`l7qss2Q8$_SXC=
+cHF>ObKS/Qai;<@ai_iQdEp.\aiMKBbK\>Wrm(Pgs31Ma#KtE;bf\)Obl#]jbfe2Rc-4ATrQ>\m
+a2Z0?aN)<>aN)<@b/jS&$H:$'_SX73_Rd^VJ,~>
+s3Uens3L\m3RH+"d*U+_b0S>Wd*Bt_bfn>VcHs\RaihlJbKnPZcd'e[cHaead*0YUcHXY\c-"5S
+c-4DVbg"H4blu;2aihoQrlbMibf\#JrPohubg=SWb/hTCaiVWCb0J2Rbfn5NaihiI`lJ)"HcjRV
+b/qiJ`Q-*AaihiOc-4ATbK@uOcHaYVaN296_SsR<c-48J`Q-'@aiMH@a2lBD`l5s<aMbp2`Q--E
+ai20:aihfJa2Z0Ab0%iHa2lEIbfe2Rbg"GXbKS5UbK\8RbK\>Xbfe/Sd*Kt[bg"AVcHje[c-k.m
+e,Ic1dE^+bcd:.ieC;steC)amdEp:je'n<GrmM8'e'c^rf%&:"e'lhGeH+7OrmV_6f%/@$eC2mr
+da6=edF$=fdF6RmdF8$?$.7)Dc-b+kaj6T0~>
+6HI9nd*L%ddEg(^d*Bq\aiDTIb08&Qb/hWEaND`G_o9[:_oKsEaNM`Jai_cMc-48Mb0A/TcHODQ
+bfn8Rbfe5TrlbJe`Q-*ub66&4aiDI#`dZ"PccaJQa2Q'>aN)6@c-"2PbK7fGb/qZCa2l?Bai_cJ
+a3)H@`lQ3Ab/qfJaN)BB`l?*Bb/q]B`P9%!_8F=9b/V?:`lH-@aMl0>aN2B>_o0O7_na+-a3)TJ
+`l,m>b/hZD`Pfa8`l5j5`5]m>a2c9Bai_`GaN;QEaT'6fa2uKHaN)<Cbfn8QrQ>JjbK7fGc-Xe]
+rlc,#aNDWHbKeDZd*L+dcHXYZbg"M\ci2;jcO8%CbKS8Zd*L%`cd;X<!7:_ks3CYj+jeQ\cHjbY
+b0/#QbKJ,TcHXSYbKJ,Rc-=GRaNW#T_o\<s~>
+!lW+&rm3XPccjPTc-+;O`59O5`Q#m9`59C/_oBd7^r"%.^r4=9`Q6*>`lH-Ab/qW@`lZ<DbK@iG
+b0%iIrlGAfai_cJa3">(s2k;^3QK+V_ns:/`5]pDaiMNA_o0R7`PT[=aN2KFa2Q'>a2Gm7`l5p:
+aN2B?a2Pp5`l5p<a2uEC`lH*u`C\+kaMu-8^V%>!`lZEIa2Gp9aN2KE`Q#s>aN)9<`Q#s9^V@\*
+aN2?:^VRn/`5KO/_o0O5`59C/`Q-$=`lH-@aiMNCaiMKCrl#5baiVTC`6$0Da2\(us2Z;%`5TmE
+ccs_[cHXMSaiMQHbKS5Vd*Kt[bf\&Mc-4E2c2Q#gc2Yokbg+JWbfe5TrQYDfqTK;kbfe2Rb/hWE
+aiXP's2u"saihiKaMu6@a2Gp:ai(g2Rt(~>
+s31Ykcd1#<e.9pOdEp:fcH=ARbKnDWcHZ=3%aN5;ai_cGa3)TIbKS8ZrmDV1ccjSWcHOY^c,n8W
+c-4JXcHaYYbfe3/`sKl2bK@uNbK%WBrP]Vnair#P_nEe$`Q#g2`5p!@b0%fGa2l?Arl#/_air#P
+`P]g?rlGJda3)QLc-+8Qbl5d!c-FSWb0.fCaNDWGaNDTC`5Tg>rlP5^rl4rX#0=s0a2Z0BrlP2_
+s2P)]rQ#&_bKBh)"j"j1cd'c6b7)\Bcd'k_cHXYZbKA'.cMu/hcje:Ec-FVYbKeJ^daQatrmr(@
+f@A3odF6Xqe'upte^W'sf%&:"f$i-ue^aWJ%+Wq\f[eX(e^i:$f%9oPrmgqt+Onlie^W$pda?Lj
+dF6Xre'c^mdEp4dda?Fge(<'lc^fR~>
+7`EEjcd1"ge'QCbd*L(abK.fHaiqlLbK7fGa2lEC`5]m=_o0U;`lQ9FcHsqaccsSRbg">WccjJT
+cHOJVbg"DUbfe/Nrl,8cb0.oLb0.iF`r3jn`lQ?Jahtg*_8XF3^Ve+3aN;QF`lH0A`r<p_`lQ?I
+ai)';ao9?f`Q$$Ab/q]Da2n8#'?SD=a2Z0:^r441`5]m<_nsC6ao9E_aSs3Y`<F9&aMl*;rQ5)_
+s2P/_ao06]`lH*u_ZduuaNM`Irl5GibKJ&ObK@rKa2Z-?rlY8_s3(qpaihrRbKA)Sbg"G[d/ME/
+da?C_b0/&Vcd'k`cd:"`cI(%ccdL.crm:MfrmCbmrm:kse'c[lrm2G,cHjnccd'k`ccs\Ybg"AU
+cHsq`c-H:3$I-oBbfe;Ybf%YkJ,~>
+(W"#2cI(+jdE]qYc-+>Ra2>m6`5]^5`W!de_o0R4_8=./^VRk-_o0R8b5TU+bK7cDaN;KGbfRiI
+bf\&Nb0.uMb/q`HaN2ECb/q^'`W3mS_&C2.`5]pBa2,C"^Ve"+]tq\+`lH->`5Ta9`;[X[`5]pA
+a25X3a8X($_o0U9aiMK@`lH*<`5]m>`l5s8_8XO;a2c<B`5BR8ao9E_aSWs_a2uHC`Q$!>a8X*Y
+_Z.UT_uIXV`Q#mr_?Iira3)NErl,Agb0%iKb/q`Ha2Z*=rlP2].a,uU`lH3Ca2Z6Dai_fOcdC.g
+e'l[eb0/#Rbfe5Ucd0n]c-FVYbg4MWrltJgrm(Vjc2Q#gc2Pukcd:"acMc!5bg"GYbfe5Tbf\&M
+ai_`IbK\;Tb0.uNaMl0@aiMQHb/D!6RXb~>
+s3(Sjcd1#<dnJ09ccse_d*9bUb0A)Qcd0k\b/h]LaMu9?_SX:3`Q-*FdaZand*BhZcHXS[dE]q^
+d*Bk]bg+GRb/hZHbJqE9`lcHGa2Z*:_ns=i`$`OJahP9p^;Iq,^;.Y(`Q-'?`l5s<a2Q!9a32fS
+ahkj6bKS/PaN=G)1<R_]c-O_\bKS5UbKJ2SaNViK_SF+._o'I8aiMTJaMl*:a2lBGbf\&NcHaMM
+`QHNNrlPnqai_iPccX8Kb0/&UdEg(]c-=Q5ci;>occsb\r66e<d*^:hcd'qbc-"2Ue(*+(f\"m3
+gtgc>daHXsf[eL"f%8L'e^iC)f%/L(q:5Z"f\+sWfDjJ)f%&@NfDX;#fDjJ.f$r0uf$r0srmUnq
+"4PiOe,@Yrcd'karmCu#f@.skSU^~>
+<5ll"cHjneda6=dcHOS[ccjPQaNDQFbKJ#L`l,j=`l5s:_84(/`5]mBdF6OjccsVVc-4AWd*9_Z
+ccsYYbK\5NaiDHDbJqE9`lcHGaN)<>`5DMkFN)JG^UC\e_o9L,^r+(/a2l<@`Q#s=`Pfa9b0J8Q
+_8""4bK@rIaNDZH`l5s>bKJ#JaN;QEa3)H@aMu-4^;@b'_SsX=aN;ZI`Pf^6`lH3DaN)EHbfIcC
+bL"MWbK7fGaihfL`ko[6a2uNLbK7iIaiaV+s3(Sgai_d(aXkTYc-FSWb0A5UaiVlTd*pLndaQat
+f@JHqbg+VbdETtadEp4cd*pFjdF6J@dJ_GkdJ_Mndfn1IdaQ[nrQu#"cdC4hcd'kacd'f7cMu-'
+cI("abfn8Rb0/#Sccs_]d*0JPR",~>
+#J\*qc-Xnfd/M9_bfIrMbK.Z?_o9L2a2c3>_nj41_SO+*]tM4t^r"%2c-O\ZbK7cFaiMNGbfRlK
+c-+5QaihfFa2Q$=c,df>`Q6->_ns7*^V7J!rk`cpb/_3&\%KPp^q@Ct_8F73`Pf[4`Poa3_o9^@
+bJq<1`5p'Aa2Q'>aN)9<`Q63Ea2Gs<aMu6Aa2Q0Ca2,O._ns:0aiVWGbfIcA`5]j=b0.oJb0A2N
+_o'O<aMu6=_o9[<aNDK<_o9X:b08#La2l?DrlY8a"3S^,ao'42aihoPb/hWGb/hQ@bKS5XdEp:i
+e^i@'eBH.^d*U(\bKeM^cd0tbcd'h_c2Gofci28ndEg.crm1Vk"jbK?d*U,:c3hhAd*BkYbg+GU
+b5TTaapZD<c-+5NbKIuF`QA,%"jG--^;uan~>
+#g^lFccjVXcI)X>s3Q8AbfIiHb0.rQd*U(bcHFAUaMbs5_8F74a2uKIbfe,MbKnSbdEBnad*U1b
+cHF;OaN;QDaN)BEc,IH3_og0E`50@0`Q#m5^V@V'bK.E,\\>u$`50C5a2Q$;a2Z'9`Q,p9`lcTR
+ccO,FbKeAVbfe/M`lQ3@b0\VccHFBLbf[rGbfRlG`PB1#_84"-aiqlH`Q6';`5]pub5]X,aMu6@
+`l,j;bKS/PbK\>Wb/;*<dF-Ijcd'k`d*^:frlt\lcHje[cMc)hc7@8je^DjmdaZ[gaii5eg>(N>
+g=tH@hV[2@f%8U/f@8@'g=Y$0g"P*0f%9oSr7M&$s4@k8f\"m2g=Op,f@JO)f@\aTfco)#e^W'u
+eC2mre^W're(3$rcd1"dd*Bq_d*U1if@.smTR[~>
+J&oaVccjVXc-F\`dEg.abK%WDaiMNGc-4>Sb/qcMa2>a1^r"%0`lQ9EbK@oIb0JA^d)s\]cd0t^
+c-")Ka2l?@a2Z0Bc,IH3_og0E`PTR4`lH*8^V@V'bK.E,\\>u$`50C5a2Q$;a2Z'9`Q,p9`lZKO
+cH*oBb0A/Rb:(NTa2Q!7_oBpHcH=2JaMu*7aMl$7_7R7i^V@S%aiqlH`Q6';`5TdraT'@(`l,g8
+`Pfa;bg"ASb08,SaM>O/c-FVZbKA#Pbg"GVrlPDdb0.rKb5KN`at(]^dE^"]cHsn\aNDoZe^rI*
+e^`:)f\+p(d*^=mda-:geC)ame()ppdF/$Ds3ptqs3^kn-IL;keCE*udaHUmdF-Ile'ZRke'cUh
+cHsn_cHjk`cHXY^ccjPSr6#Djc-4DXdEKSQRXb~>
+J&9.Hc-4DVbKJ/VccaMSa2>a2`5BI3aiVTFa2Q$>_nWn!]Y;1u_SjF5a2Z'9`lcNNbf7iMbKJ,P
+bK.ZC`Q#p8`Pfa:c,RN4_T9j=^qILu_8=%']tM1tai;!$\%KPq_S<t-`P]U3`PfX1_o9L1`5g'G
+bf7K:aNM`JaXG6N`P]U1_Ss^Dc,diA`l5d2a2Ps8`4rst^qde)aiqlH`Q6';`5]mtaoBL*a2Q$<
+`59F3a2l<?`lQ<F`kK.)bg"DVb/qfLbKS5RrlG>bai_`Gao0B^aXbQ[d*'SSbK\5N`5^*LdaZgs
+eCE1(f\+p(d*^:iccjY\eC)ame'cUgcHlL;s3Ubns3VG)cHjkadF-Iicd0tacHjh`d/M?8d*Kt\
+bK\8SbKS5TbKA#RbfRoGbfn2I`5fs@aihiF^<)mq~>
+s3bW/c,n)Mb0JA\cHF>Pb/hWFbKJ/Yda$(ae'ujnbK.`Fa2Z0@ai_`HaN)<AbgFqicca_`d*L%]
+bf[uIb0.uPaN)<>`P]R1`Q60A`P]d<a2Ps4^VI_*`P]L(]=l"t_nj:2_nNdt_u@XZa2Z'9`l\5'
+=3AV-cHa\Xbfn5L_TBp@air#Rb0%oOahkj4_na.*^;%P&_8=.2a2Q!8_o'F4aNDWGa2c?A_84+2
+aN;QFai;6<b0A/K\$irfaj/8[cHX\^dF-@cbl5fcblZ,:d/M<&d*gClda-:heCE$qd*p_'gYDb`
+s5*e5!T)N.g'6<bg=t?7g&B_)fF6Hfg=b-2g"P-3f@\dRg'$'Zf%8LPf-f5(g=b-1f@AC#e^W't
+f%8L&e'cdrda6CjeC2gld*L%ceC`<qe"M9~>
+%*Ql?bfRuLai_lScHH4/(rsY;aiV`Rd*9_ZdF-Ihb/hWD`l?'?aN=G&5KCdbbgFngcH=M\cd'hY
+bK7cEai_cLa2Z*:`P]R1`Q60A`P]g>a2Z'6^VI_*`P]L(]=l"t_nj:2_nNdt_u@XZa2Z'9`l\5'
+$d$H3c-=JTbKJ#H_>_GNa3)WKaN2KHa2,L._7m[u]=bqq^VIb-a2Q!8_o'F4a2l<@`Pop9^V@\+
+aN;QFaiD<<aihc@Za.0ZaNVrTbfn>Wd*U%\b0%iKbKJ&Qbl5`sbg+P\cHFGXd*^1ac-Y%nf%9oR
+#1qM[g"G$,rmV;*f$r7$eC2mre^aZJ"4YoPeGdo$eC2jnd*^;>eH==LdaS0C*7NEcdF$Cjd*L%b
+cd'kada?Cdc-Xe]bKS5VcHQ:2s2bGhd*9PQRXb~>
+,/qUGb/q`G`lH9IbK.`D`P]O1`PomAc-+2Qcd:%_aMl*:rknoX`lH*u`BM2Yaj/;\b/VZLbK@uJ
+a2Pp5a2l?D`Pf[3`PfX2`Q#s;_SO73`P]O,]tVA&`501!\\#Sl_8!k*_7[@l_>_@V`PfX1`5hl!
+3lf4\bKJ&LaiVT@^W+=5`Q?9Ea2Z0A`kT4(_8!e#]tV>"^qmt0a2Q!8_o'F4aN;ND`lH9B_8+"/
+rl6"ua2Gg2`lZ99['R<Z`llWNb0%oPcHaVUaiMNDrlG2bbPoU4bK\>Xc,n)Oc-FPUaj&;ae'upu
+f%8R,g"G$,eC;sqe'ZUneC2mreC+?C%FNYQdEp7heC2jncd0u9dK@nCcd;X:!mo?ArQcV2bfn>U
+bKS8XcHOJSc-4>Oaj/5VaMl0>a2uNKa2#ljJ,~>
+5L\',b/h]Ib08/Vb/VE@bKS&Lb0/)YdE^%`bK%TA`lH3Eb/hTCaN)<?aN;NFbKeGYbKJ2XccsYX
+c-4>Qc2Pre`s'H#`5]g9rknuZ`l?0C`r3gW_ns:i^]hKc]Y2(rrkN-\]",MlaN)?B`koX4a2l?E
+bfn8Sc-4>Rc-+/IbK@rKb0.rLai_cH_S=%,_83q%^VRe(_o0O3_Sa@3`5KX6a2Z->aN2B@aNDTE
+a2lBF`P94*`PfKt\$i`ZaNr;^cHab_d*;L4%aE;DdEp4bcHt"ge'cXlr7)&'fA#*9gYCW^hB(M-
+gtUN8gY1E:f[nd/g=Y'2g=k<8f[na.g=k33g&B_+gA]b*f_jA"f`0VLf@AI'e^`7#eCN:'f$r-r
+eC2jne'lgrda6@ecdL@reBHC9J,~>
+rldLIaN;THb0A2R`l6!@bK%]Gb0A>\c-=PU`Pfd9a2uNIaMu9Aa2Z-?aiMTIcHj_Wb0A8Xbf\/R
+bK7lMrlb>]"iS<s`l?!s`!+-"`lcECrPScT_SZ;f"i%^_]t_D_^coNE\\5o%a2c9@_Sa@5aN2KH
+bKA#PbK7oNb/VEBaN)BDb/q`GaiVQ=^;Ie%^V7Cp^VIY$_o9O1_o9U5`;[aU`$31?`l,g8aN2EB
+aN;TD^V@V&^q-bVZaIKecI("`c-FY]bl#Wobg"AVbfe/Obg+P\cHXZ4d/h\Ermq8'f@\dSfGiGm
+f%&7!f%&@&da?LleC2mre^`7$e'c[neC=KG"4PcNec""mdj<Gid*U1fd*U1dcdC4hdEg(^cd'eZ
+c-=PZc-+;QaiVfSbJ_PlJ,~>
+5/tXbaN)BC`Q$'DaMc!7`lH!8`Q$$Fc-+;SaMl'9`5Td=aMu0;`l5m7`lH*>air#O`l?-Db/hTD
+aN)9=rQ5)X%`6'#`l?!9_SX4/`5p!;qSENQ^:q:l]">Yjrk;%=\@9)d`l5p:`5'4,`Q#p<aiVWG
+b/q]Fb/hN=aiVTCa2l<@`lH-<^V%D!^qd_!^;.S$_Sa@1_Sa@3`5KX6`l5p:a2l<@a2uF%`YZ\:
+_nEau_8!Oc['R*N`QZZRbKJ,Sc-#t+%a)u;bfe/NaihrScHXMTr6>>hd/MMse'uq"r7E4Fe^i:!
+dF6OmeC)ame'l^kdF-Ilda6=de'umqda6Cie'e3BpWsi)cHXY[c-=PXbg+S\cHOGRbfe/Nbg+PZ
+ai=>##0P06`kTZgJ,~>
+("C[WaiV]MbKS8WbK%Q?aN;?=a2lL(bph#_^9b&S]YVS.aiMKAaMl*9`lQ3?a2uKEaNMcPcHODV
+cd'eZc-+8Qrl5_ma2l<?_SEt(`Q6-?`Poj;`l,a1rkAHIrk&TO^:q:p^qICr`l\5"'ue#*_o9X8
+air#OaihlLb08#Laihm,aoBLRaiMNA_ns4-`5BL.^q[V"_o0O4_SX73aMu09_Sa=2aNDNCb0A2P
+`Poj;aMYa-^;%@lZFRNT]uJ@Gda$+_cd'bYcHa\ZrQkMj"OGB>dF/$C&(T7^e^rI+g"P6:gY:Q@
+hYc14gtpf<fDXG'ed9s\f[e^/gY(94rmq/&rRh>-gt^Z;qq1r#rn.8&s4@k6e^i=%e^i7"f%JU(
+e'cYBdK%erdgORMd*^7jf@\Qre"M9~>
+6I!`taiV]Lb0/&SbK%Q>a2l0;a2lHKbfnDU]s=iP]YVS.aiMKAaMl*9`lQ3?a2uKEa3)QLc-+2R
+cHXSVbf\&MrPfMkaN)9:^qdh+aN2B?`Q#s<`59@i^Au"I]F)?d^:h7r]tD/#ao99p`PKC.`Q#p>
+bfn/Lb0%fIb/q]Fb/sY(s2e0[a2Z'7_8!n)_83k"]tD+r_Sa=/_SjL9`l,d3_8=+0aMc'=bKIrF
+`Q#s>_nNn!]XbGQ[C3NV`QcfXc-4GXc-+;Tc-4DWcHXSXc-4ASc-H=7):?m\dF-LneCN7'f%/L,
+g"=p/f[n^,f$i(Gec3u&dF-Ije(*%!eC4EFqpPYse^i7Le,Ikpe,RhrdJhMmdJqQ"dEg.deBlRf
+c-6.2"O>68c-6+/"jYK;_oeEu~>
+s2G_m`lQ<F`lH6Fai2-6`5TL,_o0Xqb:1`Y]sFoQ]>);)aMu3<`l,d4`Q#m9`lQ6=_oB^<aiD?B
+b/q`Fb/hWErPTAiaN)9:^:qD$`l?!8_o9X7_ns7h^(.ig]">Vg]tD"l]XtqtaSs-\`5'1*rkobr
+b0%`DaN2BBb/hTCb0%fF`lH->`PfX/^V.J__Z.A3^:h>!_o0L1_SjL9`l,d3_Sa=4aiDKGc-=;J
+`5KX7_7[In]=G>Q[^NQS_opBPbKA#PbK7lLbKA!,bl,`baoKZbbo4gOcd0n_d*^7ieC;sre^rI*
+f%8O)e^r@!ci);ld/MDscd:+hdF$>?cN2GArmUnqs3gtqrm:Ylr6YGh&C/PFcHa\ZcHOMXdETqZ
+b/sV)rltqraN)BDb08,S`P9QfJ,~>
+?e*ZQb0%rRbg4V\ccsGD]tCkf_8F72`lZQHZ_sY'ZF7?[`Q-'@ai2-5_Sa4*_T0d=aj&#Qc-FS\
+d*BkYbK@rJaN;TJbK7cB_7mUt_T'L3`lQ9B`59C/_SEjs]`,SO]Y1tm`Pod8aiMF"_]Q\1_SjF6
+aihiJa2uKFaiVWDb0%iJaN)EEaMl$1^Vp)g#/n9k^:hA$rl+oW&]i)9a2Gm4_o0R:bK.cHb/hR$
+_uIRQ^amFA^:Uk[]#Dk6air)Xc-=S]cHOS[cd'h^d*U(ad*L"_d*gCmeCN7'f%9oR#MRthgt^`B
+h>>t1h:pW8gA]b4f[nd.f@AO.gXk$TfDaD+g"P39gtM\Z"5)5VfDaD,f@JU,f@AIOeHa[TeCE1$
+e^XNF&C]1Ye'cUhdF6Urf@\Qse=hB~>
+s3:emb0%rRbPoddccsGD]tCnh_Sa@3`lZQHZ_sY'ZF7?[`Q-'@ai2-5_Sa4*_T0d=aNVfMbg"AX
+ccsYUb/q`Fa2lBGbK7cB_7mUt_T'L3`lQ9B`59C/_SEjs]`,SO]Y1tm`Pod8aiMF"_[O>s_SjF6
+aihiI`lQ:$`rj?"aN4A$#fas,a2Gg-^;Kre*l5_,]tCtl_Sa=2`l?*AaiD?;_SO+-a2u?@a2l9=
+rkncPs1fu#_7[7`Y-u6ja2lHLccjVYccsYXcHa\ZcHjh]cHje\bKS8Xd*Vd?!R]?pdg+FTf[na-
+g"?2R"PD;Te(+HI$I[>Me'cUlf%/9srR1Ynrm^turR:r"eC2kEdfInErQkPlrm1ntcd0tdd*U,:
+bm2P?bKA#Ob09k0s3Cei`64R!~>
+?cL..a2uNKa2uKJc-+#<]=PAZ^;7_+`lZQH[A]q*ZF7?[`Q-'@ai2-5_Sa4*_T0a9`5os=aN;NH
+bK7fFaN)<>`Q#s?bK7cB_7mUt_T'L3`lQ9B`59C/_SEjs]`,SO]Y1tm`Pod8aiMF"_f*?,_Sj@2
+a2uEA`5]j:a2l<?aiVWE`Pfd9`PTC%]YVD!_8=+(^:h1p_o0L4`l?*AaiD?;_SX40aNDTGb0.oG
+_o'=*^V7G"^Uq"_YIDBi`Q$$Dc-"2Qc-+5Pbfn8Rbg"DUbg"ATb0/#Qc-?76!RB$jcj/"Ke^W+!
+f%'ZI'%PIYd*g=hdaHOid*Kt`e'lXgrQkMj!n#KHrR1Yl"4GTDci)2jci),ic-H=5#L:Q;c-OYZ
+bl#TpbKnGXbK%WEbg"GYbf.B@T7?~>
+'\V*fc-+>Uc-an_bf@?([C3<G\\8!X(rXS7\[T5]\$`WS_8aR:`koR/`Q#m9a3FS0"OG98dF8'=
+(=1:Pc,duGa2l9=`5T^3]XtqtaiDB=r5J]U3Pi>:]"Phl]Y(ec_SX+(_o'@1`4iq"_SjI8aiMH>
+_SjF4a2l<?aihiJ`l,g7`4rmr_og'=_Sa@k_%4K$^V@V)aN;QC`5KX9b0'_*rPonr_Sa@3_n<Y"
+ccO,A^:VA3f$2:Yc-OYZcdC+brm)2$bg"J\da?Fec-XqheC2jpec+/,f%&C-h;7&HhVA"_+5,H)
+gY:Q=gtgf@gY1<2g>(H5e^iC+f[n^+g"Y35gA]e*g'$*]f$r7Kf+$<`g"=p.e^W+!e'c[orn%2#
+'@bLZeCW:&eBuXkeCE.$f[\@!TR[~>
+s3_P-c-4DVbg=\\bf@?([C3<H\\8!X+iMO@\[T5]\$`WS_8aR:`koR/`Q#m9a3DuXcd0nZbL"]9
+bSJLKcHO>L`Q#s<`5KX6_7[Cp`Q?0>`;IUS`]:lI\%98e^:_+h\\c5!^r+(,`PfL(^V[q/aN;NB
+_nj7/`5Ta8_oKm?`l5j5`5B="]>D\1_na++rP&l[^qIIu`lQ9D`Pf^6a2l@$a8O!W_A^>2`P]@$
+_p6?>]t1\hcdg7[air&Sbg+S]c2Q!#bfe5UcdC+cc-+AXd*U+acdDa?$.7,Jf@\d1g=b*Ted9jX
+f@JO*f%8R+rm_Y1dFHk"d*U1heC2jndaQapdF8*Erm_,#da6D?df%SndKe.Fcd9t^c-QC;s3MG*
+cHXY^cHXSWbK\>Xc-FYZa39s%~>
+s2m:Eai_fMaNMfNb/LouZa?g;[Ca/f^r4C5]",Ma\$`WS_8aR:`koR/`Q#m9a3;iSbfe/Ka3;j-
+aT'Bsbf[oD_o0O6`5KX6_7[Cp`Q?0>`;IUS`]:lI\%98e^:_+h\\c5!^r+(,`PfL(^V[n,`lH*:
+_8!h'_T'X9`5p*C`l#X/_SNmo\\Q8)_8*q+rP/r]_7mY"`lQ9D`Pf^6aN;R#a;i19_o0I/]"5`%
+`kfC$\AHP?b/MEDbf\)PcHXQ3bRr">b08,VcHXPSbKeDXbfe5Urm(nrc-Onif%8O)eGI]:dF?[p
+e()pse^r@#da6:feC2[ecHstccd'nde^2XhrmC_n"4>H>cMc&hcMYunc-4DVbK@uOrm1Vh'?nYB
+bgFeac,drJc-O\[bK%NFSq$~>
+A(K2Ybf\,Rbg4PWb.b?lZa@$G\@T;`\$ifY]=bed]"5D[]=ked^q7J'`59I4`lH6DaihrObKeJY
+b0/&Td*'MPb/_TFb/(s8ahbNt^;e.2`594&^;%V$^:h.i]Xtbf_#D#0]XG;^_83q&^:Cbe^qmk*
+`Poj7]t_G%`Q$!AaN;QF`l5m7_o'F3`lH0?a2l9=`501(]tM1t`Q6->_Z%Fe`Q?6Caih]Ca3)NE
+a2uKE^;8"?bl5cjaj8GbcHFGWr6GAirm1Sj&'rVNe'cXjcdC7nf$r7$fDO8+g>(N?hV[2GrnIY2
+gt^W;r7_Y9hVHo=g=t?6f\,!3rn.8(s4@M.gY(96g&9V)f`'M"ecj^Zf[na*rmV;*eC2msf@SU(
+eC4EH%b9(Ye()ssdad"%e'Q^@J,~>
+s3G-#bfe2SbKe>Sb.b?lZa@'H\@T;`\$ifY]=bed]"5D[]=ked^q7J'`59I4`lH6CaND`Kb0A8U
+ai_iPccX;Lai;BBb/(s8ahbNt^;e.2`594&^;%V$^:h.i]Xtbf_#D"i]XG;^_83q&^:Cbe^qmk*
+`Poj6]tV>"_o0R9`lH->`W!dT_A:&-`Q#s;`l>s6_S<au]=Yeo`Q6->_Z%Fp`Q-$=a2u9;`Q6*=
+`lQ<C]tqn=bK.`E`QQWVc-"5Sr6>;grm(Mh&'iMKda?Ccbg"M_da6CideqQ!e^rI+g"P-3rmq;(
+f@SR'r72;/g"4a'e^i:"e'uptrmUns#Lh,Me^DjneG[nteGdnsdeqJrd*^7hda8!>*73$WcHt"f
+dEp4bcd0n\bKS8Yccs\Xd*KkTcC07~>
+#fk$0a2uNIa3">%=1krHZ*LU>[^`lY\$ii[]tV1i]"5D[]=ked^q7J'`59I4`lH0?`Q$!<a3)WJ
+`lH3DbfIcCa2Gs;b/(s8ahbNt^;e.2`594&^;%V$^:h.i]Xtbf_#D#0]XG;^_83q&^Uq(j^qd_%
+_o'F.]=bno_o9^>aiMQD`P]R/^qde'_o0O3`5T[4_n`t$]Y)"r`Q6->_Z%Fe`Q6-@aNDNBaNM`G
+a2l?@]>)J5ao9?d`lufVbK.fKr6,/crlkAd&'W;Ed*KtZaihuUccsb]chu,pdaZgtf%8L'rmV)"
+eC;ppr6ko$f@SO#daQYDd/VK%d*L(ddEp7he^;^idJ_JndJhJmchl#dcN)5hbRr+DbKJ/Vcd'eZ
+bKS2Ucd'eXrQGJjcHF2EcC]U~>
+0\4e&bfe;Ybg+GUbJ1["\$`TN[^NZS[Bd'E\[oA_]tV.g\?rKD\@TGj]=>G_\\8!ZJ&K@Ia2Z*;
+`lQ<CbK.ZCaiDKDa2,^7`kT*s^Vn%._7[7h\$ilY]Y1tj]t(Yc_7dOr]t(bi^qICm]",5Z]thJ$
+_Sa=/]Y)"sbKA#Ob0%oMaMl*:`Q$!@a2Z3@b0.iG`l#U.]t_D$`5fp:_o9R4`Q?3Aa2l9>`lZBF
+aV)b<a2,dAdEU"ad*L1idE^"]cMl-)cHjkacd0tddEp:hdaQ^re'ljuf@KiOs4IY3gtgiEhqm2g
+g]Q<dgtVb\%GT[ogtLH8gtUK5f\>-Zf`0Y2g"=s2g=tB8gA]e)fDsP&f)O>&f%9lQ%G01]e^i:#
+e'ljuf$r1Je,[tqe-XUPdact#da$F<J,~>
+rm1VgJ'QBabf\)O^Uq%c[C!?M[^W`RZE^dI]"5Gc^:^qb['6aD]"c%m\@T5]]u%V%_o9X8`Pf^6
+a2u?Da2H!=`lH0@_8OC6^Uh%l`5BO0]XPM^[^s#^]tD"k\[];g]tM.n\\#Vl]tCtg\[Au]^qmn)
+_o0F)]=u/(aN;QFa</OF`l#^4`5Td<`l6!<ai_WB`501&]=l"t`5fp:_o;Vn'$&#2`Q#j6`5fs>
+a2lBC_8X^HrQGMicd:"_bfn?2c5"ULcd0n^cdC+cd*^7hda?CedF-LlqpYSp#M.MZg"P05f`'J)
+f%8O)r7)8-f@SU'eCE1%e'c^rec+%teHj[RdaZapeC<%Ge/?``dF$CjdEp7fe'lamd*U1ecd'h_
+dF$:crm),#bfe8Wcd'eZbg4SV`Qaj%~>
+D9'`?aNDcPaN2ECah>6o[Bm0F['[6L[Bm3J]=bbd]tV.g\?rKD\@TGj]=>G_\\,bo^;%M$_o'@.
+_o9[7aMl$7`l,j9a2,^7`kT*s^Vn%._7[7h\$ilY]Y1tj]t(Yc_7dOr]t(bi^qID[],.rf]t_=t
+^qmn']",JiaiV]LbK7oKa2Ito-,[^A`5BR4a2l6>`PTC*]Y;5"`5fp:_o9R4`Q6*>`lH->a3)U)
+a:ZJ3^Ve:@b08,Tbg=\\bK@uNrlc,#bg"DVbg"JZc-FY]d*L"]bg+P]chl)hd0J.Me^i@(f%'cL
+"4PcLe,7W1e'uq!eC)dpe'QCdda?Ced*g@idF-Omrm:_oqp>Socd'h^ci23$cd:%bcHXVZc-4AS
+c-FVYbPo]fc-FVZrQ>Gic-FJM_9S^(~>
+:"e1KcHahdcd'bXbf.K9]skDV[(!QV]=PGY\%95e_8="$\[&BA\%9/ZZEg^9XL,UR^qmn*_7mUt
+`5]g5a2l9=`l?'=`5BR5_7[M]^]2.a]XG8\[BQpF^:q7n]XbSd^qI@nrPATN])B/p[(*fc_SX.+
+`5B:$^;J7?b0%uRbfe&G`Q#p:`Q#p9`l6$AaN)9<`PfU0_o0O6`l5mp`W+"'a2Z*>a2Z-?ai_`H
+a2Z9Iccshbd*L.gd*L%`cHjh`dF$;=ck"RPd*gCkeCWC+f%&@'g"?/S!nuDbrn[Y2rS7G-rnIS0
+g=cGYr7_5*rn.>,g&BV;g=t?7g"P6;gtLH6f@\a0g"4g,rn%8&fDO8$fDX8+eC2mre^W*te,@er
+eI0jSdF-Oqe^`*le=hB~>
+s3aQfc-F_ccH=;QbJhB8]skDV[(!QV]=PGY\%95e_8="$\[&BA\%9/ZZEg^9XL,UQ^VI\&^qRIr
+_oB[2`lH'9`Poj:`5BR5_7[M]^]2.a]XG8\[BQpF^:q7n]XbSd^qI@nrPATN])B/p[(*fc_SX.+
+`5B:#]u&"9aN2QJb/qW?`5T^6`5T^5`Pfg=a2Ps5_ns1(_SjF5`l5mp`W*p``Pf[5`5BO5a8X-f
+`l6'EcHOPYbfe;WrltJes31Vjcd2R8&'rVKcd:(ddaZgsda?LlebR\re^iCPf`9\'fDjG$f)jOR
+eG@_qec=8"e,e.MrmM##f%&6ur7),'e'c^pf%&6tdf.\tdEg1ermLkqrQtnscHab_cd0n^rm(hn
+c-FVZbg"H4blc)*bF3q~>
+1!7\abK\D\b/_QEb/;'1]="uNZF.-O]=PJ[\\,Vj_8="$\[&BA\%9/ZZEg^9XL,V=]`,VP]Xkem
+`5KF/`PfXm`!=9"_o9U2]YFH]s2#nl\$ruWYd([O^:_.l\[oMk^:_.r_Sa7+]=PPa]=,5_rkK,\
+^r!q"\\#Z$bKA#Rbfe/K`;[[S_Z.Le_8F./a2Q':_o0I._8F41`l?!9rPefW#0+X#aN)<@rlGYk
+`l,d8bKS,RcHXSZcHQ40"3f$8c2Gisc-OYZcHsk`daHOhcHjkcq9]8le(+HK!7h(urmUkr!n5TF
+rmCkse^XTI%arbOd*g:ecd:+hda?LmrmM5&dEp4ddF6Ojcd2U;%aN>Ecd:%bcd'e\c-4ASrlkAb
+rlbktcd'\TaihrSbK7];bb'C~>
+s4htTda6Cjd*KqYaiMQC_7@+b]#DS*`l>m0^;7e4b/V?;^q.+j_6pST[^rlOYdCaJ_8O@2^qRV&
+`l5g1aiqoF`lH*>bK%T=^V7Iq\[]5][^Ef_\?iTV]t:kg]=GMd^V7@o_nj("]=bkl]=,)Z_Sj7(
+^;J%4^q[WZ^:h1qaNMiM_nj:4`kf@&^V@Lu^Ve(1`PKL7`l?!:`5TX4`59F1`Pf^7aN;NGbK@oI
+bKS5TbKJ,SbKS>\d*L+ed*^7fd*^=ng"4ULdPKA#daQarf%A^1f@AF'g=Y*4gY1?6f\,$8hVHuA
+g=k<8g"P6<hV?l>gt^Z<gtgfAgY2Y]s4SRJf\"m2g">!5hVR)Bg"=s1g=t<4f%A[/f[e[,f@AFN
+ecsaYf[na*eG7Sme-jaRe'uq"e^r<pe"D3~>
+s4)JJda6CjccjPQa2Z-<_7@+b]#DS*`l>m0^;7e4b/V?;^q.+j_6pST[^rlOYdCaJ_8O@2^qRV&
+`l5g1aiqoF`lH*>bK%T=^V7Iq\[]5][^Ef_\?iTV]t:kg]=GMd^V7@o_nj("]=bkl]=,)Z_Sj7(
+^;J%4^q[W9^:_%l`lZEE_8!k,`PB."^:q:q^;@k-_nX(/`5KR2`5TX4`59F1`PfX3`lItr!6P5`
+s2l&!bf\,Rc-4;Sc-4GWbfn>XdacgjrQ[4FcHab`d*gFpf$i$oe(3$ue^i:#eC2puf\+p/f%&=%
+e^W.$g"G!.e^rF(e^rI+f@JLOf)O8>eC2mre^W'tf@SU)e^W'seCN7%e'c^peC2gkrQtPk#1CuL
+daHLgp!*ohcHjh^bg+DLb*db~>
+J'ZKkd*L(cbK7fFaN)?>^UL\Z\AQ/$`l>m0^r+19b/V?;^q.+j_6pST[^rlOYdCaI^V[q*^:_1s
+`5BI-aiqoF`lH*>bK%T=^qde#]=PYe\@95g]!SlY^:h1n]t:ql_8*e"`P]L*]tV:t]stM`_Sa+#
+]YVV,^:h4m]GnK!aiquM_SF(._nN^o]Y(ki]YMG%`5':3`Pqhp/]GWG`59F1`Pf[5a2l<Cb/q]E
+b0.uMaN2KGaN;WLbKJ2UbKS2RbKS8ZeC)P=bui99c-F\\cdC4jd*Bq`e'ZRke'cXjcd:+if%&:!
+daHUld*^=mf$r0seC;sqeCE+!e'c^nda?Ihcd:(fdEp:je^W'rdEp7fe'ugmcd:(ed*Bn]c-4E2
+bm)J>cd'h[bPK?lbKnMZb/qfMc-OSV`kT]gJ,~>
+rmrIDc-4GVc-4>ObK@lC^r4+,`4imt^VIV#_o9^:_o'L1]"#8W[f3`P\@&ZL['6gC\\#A\\\5_i
+^;@e)^V%+prl.XP_S<dr\@&TG[(!BI[_0,Y\%9#W\\#Mh]t:nl^:q@q]>2A&]=GMb]=5Df_ns7*
+^r4F8_nWU]Y-ksU\$<*>\\Q"n\%'&a^VRb)rl?(u`5]d;`l#X0^:h;#a2uHB^VI_'^r+79aMl6D
+rlc,%cHXMScI(%ddF-Ilda?Fie_8j6eGe#*e^i:#f%A[-f%0cN$JF(bg=t?7f\"m3rnRP-)qis"
+g=b06gtgc?gYL]@gtpoDh;$c=g=b06gAKS2g"Y?=gtLE6g>(K;rn%;(f%9oP!nZ)Wrn%2$s4.+u
+#1qDSdaQ^prmD;+da6Clf@JI%f%S^!e"D3~>
+.+$AkdETn[bK@rJ`lZ<A_na4-_Sj1$]t_@t_8F75`l#^6_7I.d['otC(V$lZZa?sA[CNoZ\%02d
+]Y;8#_S<ao_u@Yla25U)]=>8RYdCmGZF7EU[^WiV\%0,`^V.7k^qROt]t;(u_n3Ij]=YPa^r+%*
+^qdn3`P]HuXK8b?]!\`CXgc'[]=,2[]tV:t_oKg;_ns@0`l,a1_S3^u`Q-*B`P0(%^qRP#`l>p9
+ao9Hubg"ARaihrQb08,Ucd'eZcI(4rf?jNF$.72Kd*gFoe'c\BdgFXSeCE.#eC2mrf)F;$eJm#g
+f%&:"f%8R+f%/L+f@S^/f\"g,e^`1!f%']I$e3b[f$r0teCE1&f)F/#e'c\DdJqPndJhSodJqSm
+cN_hEcHXY\cMl&ucHOGTd*g=ebg+Y^`QO["~>
+.*Bc]ccs\Wa2c9Ba3)NC_7me%^r!ar]t_@t_SsR:`l#^6_7I.d['otC(V$lZZa?s@Za[KR[C<c\
+]"Ptu_S<ao_u@Yka25U)]=PJXZF7<O[(*i]\@B,Y\@]Gg_8![s_SEt'^V.M(`P&mr]tLth^r!n%
+^:qJ+_nj$mXKAnE]sb/IY.20Y\[8cS]=bkl_8XC6`5BR4a2Pp3_S3^u`Q-*B`P91(_8!k-aiD??
+rQ,5cbK@lGb5KQabmD\?bfe8Xe_&I!rm;&!dEp4ee'cUhchu-?da6Cie'cUhcd:+heC;ppdF-Lk
+d*U4ie^W'se^`1!f%/C%eC2jnd*U4gr6Pi!e()srd*U1geC;tHd/q\@chu&gci25ic2Z#eb8AOK
+b/qfLb/qcJc-4;Nb0J;Vc-4JT^rr="~>
+s3_b3cHOGRaNDZH`luTG`PfsA`PK0s\\#PjrkT)^`Pfa8^q.(eZb3oYZ*OA9279ft['mHR\[oGd
+]=ktr\[AfS_o'@-]t_=p[BZs>YdLsDY-G:<Za[NN[(<o\^V7=k_S3__^)Fu3`k8jl]=kbf^;.S%
+^qRS*a2GZtYcb16Xo>@SXgGaV^:C\^]=l%s`5fp>`l?*?aMGEq]=bkp`Q-0GaMG[.^V%G)b/hTE
+b0.uPrltVjbK\E5dM^Nae^Msodam++gY(?:gY1B7g"P6:g"+a+rn.A*g"?;W'%kgff\,$6gt^Z<
+g=tE;g=k<8r7_5,rnRS0rS%M/f\"m3gAKV7g>(Q>g"=p0g=tB7f%A[-rmq,$"5);[f`'JDf%&:!
+e(!%$eC2pse'c[neBuUhe^r@"e(3:)bg`>:~>
+)U$@McHOGRa2Z0>`6-0@`5Kg?`PK0s\\#PjrkT)^`Pfa8^q.(eZb3oYZ*OA9279ft['mHR\[oGd
+]=ktr\[AfS_o'@-]t_=p[BZs>YdCmCXg,.:Za[NN[(<o\^V7=k_S3__^)Fu3`k8jl]=kbf^VRb'
+^qRS*a2GZsYH=t2XT#1PX0T@P]stJZ]"Gho_oB^:`5K[7`kT$l]=bkp`Q-0GaM5I(]t1qra2Z'<
+ai_cLrll/"ai_iPbfnAZd*Kt\cI(1of$r:&rmhA*eCE1'eC)anr6u#$eC<%!e'lgsrRVA,e^`7&
+f%&=%ebmtufDaD&fDX8(eC2mrf%']J&(T:beBu[leCE.$eC)jse,Ibpdf7\qdaS3D*mr?\cHabb
+dEg+acd'e[cHaVUbgFnec-4Pacc++sJ,~>
+!QE+Yb9tHR`5BU8`llKC_SXC7_nWak\@T>e_8=(,`Pfa8^q.(eZb3oYZ*OA9279ftZaI9O\@T;b
+]=l%u]!f#W`5KR0]tV7o[^39F[(*]QZ*^pG[CNrV[_0>d_8*as`5'.e^i@E;aM,9t]t_1n^VIV"
+^:_/"`PT6lYHP19Y,n\)XL#LO]=,&R\%05e_8O:3_o0U8a2#3n]=bkp`Q-0GaM>R+^:V2#aN)9?
+aN2ECai_cI`lQ?Jc-4JZcHXPTbg4_feC)jseC2prdaQasdEg+br6YMkrm:_mrm))%e'lgre'c[n
+e'cXkdaA'Bs3gttrm_"urmM&!dEp4ddehDodaZjrrm(ktdaQ[mcdC1frm(DerluS0bfe/ObKnGV
+b0.uNaiV`NbK.]GcHXPUc-FDFb+4%~>
+2U9RkbK7fD`5fp;`669B_o0[<_n<Rk]">Yj^V7@q_84")]=GPe\%]M`Yd([J\[]2[\@K2_rOcs[
+]=Yng[(!]a^:q:j]t_1cY-G:<Za$R3Xf8M.ZaR-G\[o/[]XkYj^:V"l^V[n(\[T&X]=GVh^V@Y%
+^V@e/`P8jhYH+\%WiWA-ZFRZ^\?rcY^;Ik.aN)ECaNM`H]sP&T^;It1a3)TIrl,ts^radCb08/U
+b0%uRcHjh]c-OhedaQaseC2mrfDaG*gtprFrn[V0#N"7hf@S^0gA]e(fFHNaf@\g4gY:N<gYCT?
+h#?(.fa$6cgY1E<hVJ1b"P__cf\-5Ws4dS-%bodpg=b35g=b03f@S[.rn%/%s4ID)qptbs):mHl
+e^W."eC2mse^MsoeC;sqeCN@)bLE28~>
+s2Qt<bK7fD_o'F1_TBj:_SaI8_S!Ij]">Yj^V7@q_84")]=GPe\%]M`Yd([J\[]2[\@K2_rO``U
+]=Yng[(!]a^:q:j]t_1cY5Y\-ZEU@/XJi;+ZaR-G\[o/[]XkYj^:V"l^V[n(\[T&Y]Xkhm^q[b&
+^V@e/`P8jhYH+\%W2cr%Yd_9X\$NQU]u%Y*a2Z3?a2uEA]<\]P^;It1a3)TIrkoho^;\.6aNDcO
+aiVcNc-=GRaihuSbg"M]cd'h^df._uf@em2rn.8&#MI_YdaHXqec+(udh($ZeC2ptf@ed,f@JO)
+f@\^Sf)O5)e^i=%f%A[.rm_/&f@A@"rRLr!s4%G,f@\R"daZgseGdo"eCE$rdf._jdJhK1dF6Oj
+cd:%bcHae_c-=P]dEp1bdF?L\c's4~>
+2Sm8MaiVTB_84%-`6-0>^qn%0^q.%b\@K5b^V7@q_84")]=GPe\%]M`Yd([J\[]2[\@K2_rOcs[
+]Y24n[^j,i^q[Rm]=tn`Yd:aG\$`ECZ)t::[CEQO]=bSc^:_(r^qIFt_8O=0]=GJa^:_7t^V7Lu
+]tMA'_nEIcZ)t+-X0&S/Z*q6T[B['I]"l,!`Pfd7`lcEC]X+lR^;It1a3)TIrl#nq^W+@:aihlM
+a2Z3AaiVWDa3)ZObg"GXbfe2Rci2;oeCN7&rmh%u#M.DPcd1"edf.Ymcj7tCcd:+ie'lhFdfItI
+rmLhn#LUuKdaQatec+"sdfRqCd/DAjdL"CPe^;^idF-Firm1eqda6=drm:\k!7(Jdrlc8)cd'bX
+bfn8QbK\AXb/_ZKbfe5UcH!W@SU^~>
+s2lV/aMbm/^r=:0_8s^8^V7Is]!f,]^;%Cs^:_%i]=YYc\@]Jjrk(,![CEuf_7mLl]Y;.n]"5Pf
+]XbPh]tM5!]XYPe]Y2"hZa$pGZEC%#Wi`2'Y,e_4['mBF[/RQ<_7mOn]`,GX\?iQN\%&r]^V7G!
+_o'F4`Q#m2[B-C1rieMiZEpsI['I!J^VRt2aihfKai_iOahbNs]u.q6aN)?BaihuUcHObac-4Vb
+d*0YWbg"GZc-=S^e'ZRlrmV/&f%Ja/f\HJ`rndY1rn7;)!878%#hRYZf\,$7gY;Y]"PqkfgYDe^
+$esIjgYCW?g=k<:h>Z.6gtCB8gtgc@rS%b9h;$c<f@JR,g"=p/r7M,'fDa>#f)F8'f\+p/r7:nu
+"P22Vf$s]J#Lq>Vg==?oTR[~>
+7`30aaMbm/^V[k&^W+:1^:h7o]!]&\^;%Cs^:_%h]=PSa\%9;h]Xted[C<ld^qRCk]Y;.n]"5Pf
+]XbPh]tM5!]XYPerk0&WZa$pFZ)sgtWN;u$Y,ne5['mBF[/RQ<_7mOn^&GQD\?iTO\%0&`^q[V#
+_o'F4`Q#m2[B-C1Ycb.4Yd(RCZa$dF^;.b.aNDTGaN2NHa1o-n]u.q6aN)?BaN;ZNbf\8Ub0//[
+ccaGSbKS2RaiV`Nc-+>Vrm(eqdF?[pe(=TQrn7;'#1V,OeCE+!qpPi#e'uq!f\+m-r7;)(f@JO)
+rm_b7f@AI(f[n['e^rI)e^i@$eCE1'fDX;#e-jjZf$r-re(*!ue'n9F!7C_ks3^ho"4PcKdeqMm
+d/;;kcj7tEdF-Oi`6Fd%~>
+*PT;+a2Pp1]tqS%_T0^5]Xthg\$NNS]Y1tk]tCrU],/&h\%9;h]Y(ke[CEre_7mLl]Y;.n]"@sT
+s10Al^V@Y)^:Lqj]XtheZa7-N[^)m3Y-G%5Ycb4=[^`fN[f3i@_n`t!^](i=]!]#W\\#Mi_SEn$
+_84",_o0L-\#ug9Za$d@Z*L^BZ*1@=]"Q&#`lQ0?`lQ?HaM>?q]u.q6aN)?BaNDcQc-+JYb0//Y
+c,dlFa8X-b`lH3Fc-+8QrlbSkcI(%dd+&'Hrmq)!!n#BBrmCeoqp5VpcHjkbe'ujqrm^ts"OtoK
+daS3C(":[\e'uptda?LmeC)ame'HCge'unGdga^QeC;spcd0tdda?FgrQt\mcHZ@4s3:Pg"4,??
+cMYp!bg"G\dEftWb0/#ScHXAAb+4%~>
+rl,\l^:Lqk`l>p4`Q#^'[Bd-FZ+%Hb`;[Xt_SEq!]Y2%n^qdUm]t_:o]tM1r^q$tf^qdLi\@oVf
+[^c:O#/7IQ]u.^srj@$[\$N69SYE3kXg+t)V6@23Z`paB[^Wl_`lPs+^;@XlZadZ[\%0,a_8aL6
+`Q,m:b/LcjYdqERZ*C[H\[A]K]=bbh_SaF9`lQ3?`lZBHbK7fGa2lNMb/qcMcd:%deBlF`d*U(^
+bKS/Qbg+P[cHjnbd*gCneIgBbgYCN9gYL]@gtgfAgYCN;rnRM+$/!k_f\"g-f\,!WgB-0dh#5t.
+g=uDX!SuW3h>?%4g=tH?hVJ.c"l8%lh:pZ_fEp9bf@S^0g"=m.rn.;(rmqM.e^i@)f%8R,f@KoP%
+bTCbf%&=#eCN7)eB-+2J,~>
+(r!c%`4igo^;Ih&]Y_V%\$WEGZEUdO`5V_n+i;%.]"5Md]YD1l[_'5c]">Sf^:q(d]YM=n\%',c
+]!f-I^]qN[[_9Ss])B*P\?rH=StiEoXg5(,VQ[>6['?sF\%')c`lZ'.^Vdjp[(3l_\@T>e_8aL6
+`Q,m:b/LcjYdh<NYHP7@\?rKG]">Pd_8=45`Q-!:`5fs@b/q]Fa2lNMb/q`Jc-FV\dEK_Ucd0kZ
+b00b+*m;^KbKJ&Oc-F\_dF6[ue^W1&f[na-f[n^*daQ^rrR;D-daZapeC<%"f@\a-f%8R+rRM#"
+f(dhtf[g&Pqpku"e(*%#e^aZK(=h!ff[eU%e'ut!e'lgseC2gldF-OnrmD/$d*^:jdF-LmdaA$A
+rR:eprm:nte'5bRRt(~>
+(V@As`4rpq]YVJ$^r44+[Bd!?YH>+A^\ttl^qROp]=bhj^q[Lj]Y;(k]Y(tn^UUed^qdLj]"c%m
+\@VXUFMP>p^;Ijt[C3NR]!o#JU8P9*ZF$g7W3Nb>[^3BN\[oMkaNMK6_8X:#[_'>j]Y2%p_8aI3
+_o9I3b/LinZb=/_ZE^aG\$E0@\@AuW^VIe-_o9R3`Q60Db/q]Fa2lNMb/qcLcHjh`d`onUc-=GQ
+`lJ(u+NMRDaN;WJai_fOc-F\beC)ane^`1!e^`0ue'QLje'e6C!mo9?rQbPldF/!B"4YlNe,Ibr
+dF.sArR:kueGdnseGRbscd:,=e,Ic2e'upue'cUidF6Ojd*^:hd*Bq_cd:#;c3hh?c-FY[cHjh^
+c2PulcdL4ebfg"0s3:bl`Oj6_J,~>
+1!.MW`k]@,a3)E:]"PhfYGn@uYdLsR^qme"]tCtl]=bhj]Y1qe]"kqe\\Gef]>;2[]3)YS\\#Sg
+\?rWT]t_@u\@fPj^UCV_]Xk_c[BQL+YI:gG[Bd!?[^`o^\[JrU\%ohq^U^bZ[^WfY]">Jb^:q:p
+^r"+1`5fs=`koL)]<JKF[^ilQYHb\<]*,peaNM[&aU#o-bKIuMbfe*+bQZ;9bKJ2WrQYbnbg+PZ
+c-4AVdF%p>,gk)je^W+"g=tB9g>(K<gYL`Bgt^`BhV?l>gY:H7g"G$0f\6>Z!SZ?.h?hulg=tE<
+gY1H=rnRP0)Vj*'hVR)DgtgfAg=k?<h;$c>gtgfChV?f<rnA7Bf[n^+g"=p,e(34+f[n^+f@JO)
+f\4sVf`BaVrmq\3f@86tf@\X&e(34$aO-Z2~>
+0u:`E`5'.)`lQ*2\%B>_Xf8+qYI(aO_8<t$]tCtj\[oDb]">M]\A#M]\%TA^\\GiW]3)YS\\#Sg
+\?rWT]t_@u\@fPj^ppqf^:V%h[]u^/Yd_$K[^33C\%0,b]!o/Y\A?%u^q$n]\%'#]]=b\f^V@Ir
+^r"+1`5fs=`koL)]<89@[(!HIY->J9\d#pda3)HDaSs3c`5]sCaNMfNaSa75b/qcLbKA#Qc-"5S
+cHOMUai_lQbfn8Qbg+P]cd1"hf%/C%f@SU)f\+p/fDa>*eC2t!f%&7Je,e+Orn%8'f`'P1f@JL'
+f@SU(f@^)Ss4A7Af%&@&e^W+!e^W$qeCE+!e'lgse^i=%eCFQL(Y.$adaQ^pda6:cdF6RmdF-Ij
+dF-Lodf._se'\0C&(/hPcHt(kda-4dd`fPORt(~>
+0ttE?`507+`5]a1]"PheXf%nkXK]"@]Y;(l]=PSf]">Vf]=b_a\\G_a\A#Sb]"u)Z]-"Vo]"Pnn
+]!f&\^VRe(]"Yqo^pghc]tM.m\[8B<Zb$.G4ghT%\\#Pj]XbSa]#2J(_Rm=e\[oGe^;.Ft_8*au
+^VRk+_T'[:a2>a/]s4fJ[CEWKXKK%B\$s&d`Q6$t`rF*c`Q-0FaNMfNaSj<dc-+8Pc-6.0%*6Q5
+bK.cF`lH6EaiXP)&^/DCbfnA\e'laneC;sre^i:Ke-sdQdaQ[nd*^4dcd:,>dk9(ue^i=$da?Ll
+e'cXmeC2mre^`0ue'umrda?LkdEg.ddaHOid*^=keC;spdf.]3da?Ffd*^4dc-+AXdEg+_cHa\Z
+cHjn`rm1\lc2Gotd*9_Tc-OYWb0A/K]?-Uo~>
+7`i`k`5BO4`PK*jYctC7W2HGl[(3oa\?riY\[SrO[(3i[\[JiM\$r]JZadQW]Y:tc[C*KR]"Gbi
+]="lP]=u(r^;.LsrkAiS\[K#X\$N0<Zb!gK\kBTD]">Vi\@/lW]=k__]=>8V\@K8a]=u%p^:^ta
+]Yhk2`PTF/c,mi7[B?^=[(3ZPZ*_'Q]=l"uaiqiGaNDZH`Q--Fb0/#PaNXV-'$ADAc-4GXcd'bY
+c-FSZc-4GYrlteqdF6Uqe^W.#r7D,*gY:H\g]ZHihVHudgB$*arn7e6f\"p4gtUT=hVI#CrS%D/
+gY;__%GT[oh;$fBhr!;GgY:N_gC;rmgY1?6g>(N?gtLH7rn7A*rn%V1f[n^(e(37,f@JOOf)jUX
+gA]_>f@JR+f[nX'eC2puf@A@"f%SZtd@c!~>
+r5):J`5BC#Z*1@:Xf&+nX0fFN]stJ]]",;WZ*UsP\@ArPZ*q*HYHkXI\\#Pd[^EQR\[oGf]XtSU
+\%BAh^V.Cs]t_@u^:Le`\[SoIY-bgRrjr-??b<ta^q$qa]">\d[C`oU[^`o]]Y2(s_SNsr\%T`&
+`l5g1`6HE@]="fEZ*UsKZEU^G]">Yj_o^*B`Q-'?`l#d;bK7rObK.oPbfn8PaN;THb08,Sb0%rQ
+bg"ATbP]Qqc-FY^d*L(ee'ujqeCN7'f)!tuf)F2$f%8LPec+&)f%8R+f@\d/f[p)Q!nZ#Srmq>)
+f@\a-f)F;'f@ACMeH"+uec4/!dfe1Nf@JLOeG[qtdgXaTe'cXicHt%ida?J@dK7nIec+#4da?Ll
+e'cRhd*L(ee'ZIdd*p:YbaX+~>
+s1eTN;8gGm_nWahZE^^;Vl-8gZ*q6T[Bd<P\$`NHZam]X\@/`L[^WQHZamWX]tq=i[C*KR]=ktm
+]XG)T]YD7u^VR[u^VIY!]=>D_\?rKE[_9ES]`5T9]tV7u]=>D`]YD"d]stM[\\#Pg^;@h,_S<Xj
+]Yqn1`507-c-!r:[]m$C[CE]OYHt[I\@TAia2u<<`Q-'?`5]sCaihoOa32^+bQ#Wpai_cLbg"AS
+ai_fKb/q`Fao9?gb0/#Qc-=JWcd:)=ci__Fe'e3D%+NhXeC2joe'ujpdF%s?"jtcIe'cbFeH"(t
+df.\sdaQ_Fe,Rqtdg+FSf%&6sdaJ'@$dd5FcHt"heC2jndJ_MncjA+Hd*L"]bK\G_rQZJ1cHab_
+da-:ecd'h_d*Bk[bfe/RcHOGRbg"2Cadmq~>
+DT9Z6_o9O,]!JK:WMuquW2lu,]tV@tZECgN\[SoHZ+%6M\$N6=Z*171Yd1^K]XY;PYHbLC\@fVk
+]X=lH[^s,b^r!n%_8a=%ZEUU?['?j@\%TSh\\#Sl^:_(i[CEi^_7[1^]=GPf^q@@o0YYBA^Uq"a
+[(F5s`594"^rF7)\$N9AYd(XG[^ETS]"Pnq`6$3C_o9^=aiMTIbfft,rQGbpair&Uc-=PZcd'bX
+bKTt2!6tMe#gUfGe^`1!e^j`Os4.5'g&0P-gYCW@gt_e]!8RS."5;G]gA]n-h>Z4.g\0D&h>Z75
+h;$`<rS%>+rRq5'!SQ9-gA]e*f_sJ'f`'J*f%&C*g%s>#fF-Bbf@JL&f@\a,e(+HK!7h(u#1qP_
+f?Vg;J,~>
+s1qsU_8F+%\[&<8Wi<)#WNE81]tV@tZECgN\[SoHZ+%6M\$N6=Z*171Yd1^K]=5,OYd:gJ\\,_l
+]X=lH[^s)_^;.Lt_8a=%ZEUU?['?j@\%TSh\\#Sl^V.:m5IS)6]th:fZF[NV^;.Cp^;.V,_nWgm
+[CsQ%`594"^rF7)\$N9AYd(XG[^ETS]"Pnq`5p*@_SjI5`Q#s?b5BB]bl>irb/h]Ib0.uPbg"AT
+b0%p,blGueb5ol6rm:\k!RT6ne,Ri)e^i@(f%&=%f@\a-fDF,!fDa>'e^W+!rn%2&rn%,"p=B;s
+rn.D+f@AFMec=8!eGmtueCX]Mrm^tsrR:hrrmCqsd*gFnqU5Dm$e3YRdEp7ge'l^id/MDmd/M>q
+d*^@ia3C*(~>
+s1M[P_8X@,]!AE<XK/J(W3!#*]=bqlYcPCF\$`KBZ+%6M\$N6=Z*172ZF%0U^V%"[Yd1^G\\,_l
+]X=lH[^s,a^VR\"_T0R+Z`p^@['?mA\%]\l]=l"t_8!^u5e+A:]tq@gZb!ZX^;.Cp^;.\/`5'$r
+[CjH"`594"^r=1'\$N<DZEgpJ[^ETR\\#Sj_T'[8^r"(1`lH0CbKBh+(WX\@aiVWDaN;QIbg"DX
+c-+5MaihlMaSs3\aij\.s3(MgcMl2jcN2D?rmLho"k(lMe^W+Gdf@nsdK@nDd*_[<rmCeqrRC_n
+!RfHrecF=NqpGMmd/M;mc-F\brmLens3U_l!7:_k"O>9<dF%g:s3M,#d*L"^c-Ob`cHH12!6kGc
+s3(Vkb/2;lJ,~>
+D8X6-a2>HkY,SG$WNin>ZECOK`5'+"\\,qt]tD(q^U^\U\$iK>Y-G.4ZadKOZ*(=9Yck:7Zb+)g
+\[&98XK](A]tqV)`P8d^X0/S.Yct=;\@fMa['mWa_7R.a]"l5$`59=*`PTO3`l#[m_(ia8['mQU
+]"Phj\@o\jZEgjG]!/6:YHP7?\?rcZ_8F.-`Q#m7`Q$!Cc-=JUaiMQFrlPJhc-4>RcHji9c3;P>
+c-4DVrm(Jg!moBErR:r"f%8RQg&0P+gYCZCrn[V0!8IJ-%GT[oh:pZ<gtgfChVI#bg]?0`rn@M0
+h;/"aqV2&(rn.G.g"=p.r7Uu"!nZ#TpXoMtrmq&"(Y73if[nX%e_/R*f%&:!e(*+)gXa^#U4<~>
+rk<fu^pgGKWN*#!ZF@<MYdM<e^qRIl]Z.b#]Y;4s\[/QM[]c[5Z*(79\@/`JXg#+:Z*LXA]>D:m
+ZE't+YdCjN^VRe+^U1,DY-"n3YckCC]Y1e][_0Jo]XPA^_8F1-^qRS$^qmt/_ns7+_o00s\\#Db
+^VILl]th:dZ7NAk]!/6:YHP7?\@/u__8F.-`Pod4_o0L7bKJ&Ma2l?Db0%iKbfe,Mb0/'/bQZ88
+bKA#PrltDe"4,BCdJhGod*gCmrm_#"rRV2&f%8U/rn.8&!7q,#%G'.`f[eU(f@\a/g"=sSf)aIQ
+rmh/&f\$,RqUY\srmV)$eC2jor7(Vm!n,KEpXB/jrmC\m(X^[Ze'cRfd+$LkdEp4bcHstfeBc1]
+Sq$~>
+0=nd/`5B3jY,SJ)Y-baKZ`g^M_nNdp\%9Ml]=PYk^U^\U\$iK>Y-G.5[CNlY[/R?_Z*:L;[(F2h
+\[&98XK](@]YMD%a2,3fXfee0Yct=:\@fMc[^a&i`4idm]ts]c3l/SG`50=/`koU/_SsL,\[oJd
+]Y;.n\@o\jYctF@]!8B?Z*CUC\@&l[^VR_%_o'@,_Sa@7bfn8QqoB#_aNDWFa2uL&bluD;bf\&M
+rlb8_"3\s7c2Pohc-ObarmCeorR(hrdaQatrmh%u!7Unr%FW_TeC)ame'umre'cbEe,Ro+e'c^n
+daQ^qda?IkeGReqdf7]#d*L"`cHXSXd/DAhciVP=chGfdci25gcPOmQcd:"^bK\G[c-=JUb0%oN
+c-FJMbas=~>
+0ttKE]!/HJZ)k+3WjTFIZE:C@\$EEQ]tV4m]u.n+^q-t_\$W35Yd1RA\[\f<T:i1_X(\W5VQ-o2
+^V$kRY-bgV_Sa=2_munIWirS/Yd1UC\@K/Z[^Wi_]=5;baiVN=_T'aCd*9k]c-",G^qROl['mQS
+[^j)f^qmgt[^EECYHP19[^39H[^Nib`Q-$<`lQ<IcI(1pf$_kAb88CFb0/&SbKJ/Wcd'h\cHje]
+cd0n^cd2U;"4>TIec+/4f[na-g"P39gtUQ:gYCWAhqn@grS7G/#i".jhV?l>gYDebs5!P,!8IM,
+s4[V1gY;VZ"l%heg=Y-Yf`g*_f[na-rn7/#$J3k]g"=s1g=b*/rn%n9f%8U.f[e[+f\+s0eC<((
+f@JLOdg4ISf\,$1c-rD;~>
+CV.9t[]Qa?Z)k.5X1#XN['-gH\?`NR]tV4m]u.n+^q-t_\$W35Yd1RA\[\f<T:i-aXf\e+VlI#3
+^V$kRY-bgT^qmn*_munIWirS/Yd1UC\@K/Z[^Wi_]XbVgaiVN<^r4=<cHOMWbtcF&`504(\[K#\
+\@9#__8*n&]!f#PXfnn1Z*q!E['mEU_SsR9`Pom>b0/&WeC2dgaiV]KbKS,Nb08)PaN;ZNbfn8S
+c-4DWcHXVZcMl,kd*gDAdf.]*eCE.%g"G$0f@JR+g"P-Yf_sG%fEg'[f\+m-e^i@Og&K_$f)XD$
+ec42%f@JOMeHOOUf%&7"rmV,%eC2joe,IkndgFONe'ujqeCE'sdJhT,da?LmeC2gndaQ^qda-7e
+f$O??#g^lFdaQL]cCKI~>
+0t+[2\$<9KZ)k18Y.20VZ`^UC[]m*K]Y;+k]u.n-_7R.a\$W35Yd1RA\[\i@Tq\UeX;A%<VlI#3
+^V$kRY-bgU_8=+.`Oi:OWiuE):U%+2\%0&Z[^`ud]XbSfaiVN<_8XL=c-"5RbfRoD_84"![^WlY
+\%02g^qmgt[C*9AYHY:=\@&ZM[^Nia_o9U4_o9[<aj&8aeBuO`b5TKob/hWEb0%fGaNMlRc-4GX
+c2Prdb5f]ab5oi4r6PAh!n#HFrmUqsrmCqueCE.$rm_)"e'n<G%FW_Te^MsodaQare'cbEe,Ii'
+e'cXkdaHUld*V^<"k(lJdEg5>cj8%Gcd'h^d*^8;cjJ+Ed*^4edF-FgcMl0(cd'kadEp1bcd:(e
+ccjVYe'6(ZrlPMibfe5Tahu;mJ,~>
+I'gE!ZE(+4VQ-\sVm*P3W3!/(X/i8$YHkIB]>2:o]Y;.r]="fC[^`]MZ)st$V5C8lW2H`!Y->4@
+^qm[m\\Q8.aN)<?aMYTt\\5\j^V@Fq^qd_$^q[\'^qRS%bfe)J`lZNSe'ljteBuR__S3gu]"5Sb
+\%BGi_nuVn^V74`riRZS['mHNZEq$P_8aU>aN2NNf%/L-g!e9kb0.uNbKe8QbKS2RbK\AZrlkYm
+cd0tbdF%j<"4>TJfDO;+f\+s3gtgcbgB?<fh;7#_h>c70h#Q70gB66fh;/(cr7_;.h:qn^s4dS-
+s4dP,rn@P/g"Y6Zf`KgXf_jFuf`0Y(fDjMLf@JU,g"=p/g=b*-f%A[/f@SU)f@SU(e^W."f%8R,
+gXj^!Tn!~>
+BX+qWYGnS+VQ-_uW3Nb8WiiS0XfJJ&YHkIB]>2:o]Y;.r]="fC[^`]MZ)st$V5C8nWi</)YHY=A
+^qm[m\\Q5+`l5m8aMYTt\\5\j^V@Fq^qd_$^q[\'_8*k)bfe)I`5g-MdaJ-E2popl_S<t$]=bkg
+\%BGi_o'=*^::JOY,nh5[^WWLZa[Q_`lZBEa2uZUdaZjudEThTai_cLcMkudb65u/aihp-b6H28
+c-FY^d/2,kd*gClqpbYr$eEtag"=s/f@\a/g%X/!f)OA&fDa>'f@eg/rn%)!!nZ)UrRLr!s4./#
+rmh#!"4boPec!u!e'c_CeG7SneGdnre/Qi`e'lgqdaQarda-=ieC;ppdF$Cjccsb]d*Va="OkZ7
+bFF(~>
+9<>A0YcP%6VlHl$WjB1>WNEA,X/W%uYHkIB]>2=r^;%Fu]="fC[^`]MZ)t"'Vl6\tWMlr%YHY=A
+^qm[m\\Q5,a2Z*<b/M!$\bs,W]"Gen^VR_$_Sj:*^r4I?aMu3?bg4Y_rmEaObf7N7_S*Om]stP`
+^qR_(_8!^oZEC@6ZF79R[Bd-J]>2A*aMu3>c-aqgf@JBqbK7oKaN;[*aT'?baN)BFc2Poec2Puk
+c-FVZc2Gffbg+P]qpGGl"4PcMeG[kreG@_neGmtse,[tsdK\1Ne'c[ne,Ieqdf\+Me'e6C"k(cD
+d*gAAdJhPrdEp=hrQkYmcHjl9dJ;/hdJhJld3R&`d*U1ecd:+fccj\]dF$:dcHab^bf\)Obfn>V
+bKJ/Q_TJI#~>
+9=)"8['Hj2R@p@QVm!;$T;erlVPg,]WNi\8[^W]Q\%T\s]skAU\[f)MWM?5fYHb:6X/`D6]tV.j
+^Vdt)_T9sGb/q`Gai_WA`W!q/aiD??aiVWGaN)?EaMu3;aiMQHbKS;[dact%f@JBpa25g5_84()
+]YD@urk]Jj^pgYUYctIA[_05^[_'2g`Q?<EaNW-4fal`bc-+;Sbfe/PcHFDTbKKn/s3Cemc-F]6
+dJ_PndK\1Nf@\d1gAK_*g]?6drnI#"s4[S0h>Q+1h;6ueh#,n2g>(Q?gY1B\g]-",g],t-g\oh-
+gtUQ^g&K\)g&B_)g&0M&g)\kuf%/I)f[na-g=k64g"P-1e(31)f[e[,g"=g)rmh)$r7D/-fZhm>
+J,~>
+9<b\/ZEUF+R@pCSW3EP*TrY>rVl-5^WNi\8[^W]Q\%T\s]skAU\[f)MWM?5fYHb:6XK/V:]tV.j
+^Vdt)_T9pDaiMNCai_WA`W!q/aiD??aiVWGaN)?Eb/hT@aiMQGaihuVdF?b!f@JEqa2>p7_8=+)
+]YD@urk]br^pgYUYck=<[Ca&\[_'2g`Q?9Da3)c[e^`0rbK7m(aq)e@b0.rMbK7iKbfe/Pc-H:6
+!RT6nci_V@dF8*Es4./#rmq8)g"P-Jf`0M'f@^&R!nc2Yrn%)!#1_>Yf@JL&rmq,"rmq,"!7q,!
+!nZ#Rrm^ts!7_"urm^kps4%>'da?IjdaS3DrmMA*e'ujnc-Xnfda6Cie'\0?!mf6@rmLho"OkZ7
+b+!n~>
+9<52%Za?s7S"QXXWj/h-TW5,nVP^#\Wj/h:\%&rW\\H)$]skAU\[f)MWM?8hZ*U^=X/`D6]tV.j
+^Vdt)_T9sFb/q`Gb0.iD`Vmh,`PTU7aN)EDa2lHGa2Gm;a2c?Eb08/WdaZgse'H4V_SsF/_Sj4%
+^Vdeb_DT<J\$NBEZ*^sK^:^ta]=bqsa2l9>aNrDde^`'kb/qfKaiMQIaiMTFaN;NDb0A/RbK\AZ
+rm(Pi!RAshbQuM?d*^7hdaQ\DeGn&!eGdqpeGe"peGmqte("?F"k;)OdF$G?dL+LTeC)aldaHLg
+d/MJnd/_Vnd/qeFdJhMmcNDPAdaJ-Br6YJl)q!!WcHjh`cd0tcdEp4ddEp.]c-Ob_cHae`ci2,f
+bl>rocd'_WcHF)JSq$~>
+9YJ$F]=kJ>OHcE;XL#%&R\d-dVPKfZZ+@BOZ)t+5YI;0Z]"#8\[^30;Un43X[(*TS[BmE[a2l67
+^r+.0a3)TJai_cJa32WIb09k-'$82;cHjb[bfe2VccaAHa2Z0DrQY\pdacq$g"+WtrQ-S4bfI`?
+`l#R,`5oX!ZaI*G[C*N\`59=+_8=13b/hZJe(NF+eBZ1Ybg+H3b6?/6bfn5PrlkGhrQkbseC2mp
+da\0E!S?!&fa-<dh;-rDh;$fbgAp%.h>uHfrS@M/rS@G-!8[S0!o;YerS.>*!ScH-g]6+.gA]k,
+g&]m\rn@G,qUtf#qq;#'/(`A'f@SU*f\,!5g=b-3g=b'-f%A[/f\,!4f[SL)f\+s3g=b03gt9p%
+UOW~>
+9Y.a@\\#&8OHcE<XgP@-S>WKhVPKfZZ+@BOZ)k"3YI;0Z]"#8\[^30;Un43X[(*TS[BmE[a2l67
+^r+.0a3)TJai_cJa32WIb09k-'$82;cHjb[bfe2Vd*9YLa2Z0DrQR=IdF?^uf[nTtaN;NEai_ZA
+_oBU/^r4=-['R0GZEpmG^Vdq(_84"-a2uBAaNrDee'Q7XaNDcNrlPPkb0.uMaiqrMbPfWhcHsn`
+cHaf6d/qeHec+&#e^iC+rn@D*rRh,&!SH$&f`0S%f_sD%f_jD(f[naRf)F2#f%BlO!7q/"rmq,"
+!S#[!ec=7seGRkoeGn&Bda?Ijda?Lle'c^ndEp:hdE^"^d*^7fdF-Iibg+S^dF%p@"jtfE`64[$~>
+9XV75]"bSCP*M`BY-kF,S#3<fVPKf[Zb3fWZ`gO>Z+.Tb]=>A][^30;Un43X[(<fW[BmE[a2l67
+^r+.0a3)TJai_cJa32WIaiaV('$%u5bg">Ubfe2Vcca>E`Pfa<rQ?J1cdL:keC)^ea2uEDaihcD
+_oBU/^r4=-['R0G[C3NS_Sj=,rkT/``Q,s9a3N2ae'Z@[ai_fKrl>ktaN;QEa3)NFbK\;UbK\AY
+cHXV[d*M[9!mo?Crm;#"e(*%$e^`1!rmLksrm_&!e,@ere,@epdf@nqeH44IdJ_JsdF-Ile^XNG
+"4>H@dJhSod/hVArmCeoqTo5irR1Sjs3_+tcHab^cHlL:+jnZ_cHjk`bfe5Ucd0n_d*U(\bg"DX
+cHjh^bfe>V_p"a'~>
+6c[-W\%&]<R$aeYZb!<8TqninV4FBe^;.%WXfJJ&V5po0[C!BNYGe@tW1fiZXgc!Z_8=1/_8=.0
+a2Z*<aihiJao0Blc-+;TccaJRbKA&RbK9b+<6NP0aMu<Id*L%_c-4ATcd:+kgY(6/bKJ/Ucd0hT
+_oBp;_oKg4]!S]HZa$jK^r++.]u%\+a2uEFcI:Cug=Xiuc-FSUaihrPb0A2RbKnP^dF8*Cs3qA(
+da?Ije(*%$fDaG&g&Kb<gYCWAhVHuAg=b37gtprFhVJ(arS7J/rn@G/r8%G0rS7D,s4Rk6f\,$7
+h;-l@g=b-WgAfh;g>(N<f\"m3gY1?5f\5*6gA9J5f@AF'f\+m-f\5*5f\"g.rn7_4f[nd0gtUN6
+f@g,TrRV8+g"P$&eY@W~>
+6c?jQ[C<B7R$ah[[(NW?USb5sV4FBe^;.%WXK&8"UoUf/[C!BNYGe@tW1fiZXgc!Z_8=1/_8=.0
+a2Z*<aihiJao0Blc-+;TccaJRbKA&RbK9b+<6NP1b/_TLd*L"]bfe/PcHjngg=b--b0%oOc-=DN
+_oBp;_oKg4]!S]HZ*1FC^;In,]u%\+a2l<Ab0SPef$r!gbKS2OaND`LaiquNb0J8Uc-QC7s3M(u
+cHXVZcdC1ie,IkqeH4=Rg&B\5g"=p-f@\d0g=b03qq(f!!8%5$!8.5&!8.8%rmq,"$e3YTf%8R,
+f@JL%e,@hse.C0^f[\I"eCN4$eC2msf%&=Ie.:!Sd*gCmda?One'ZOhcd;[>$IR5Hd*gFmdEg.d
+rQtPi#LLlHdEKSRS:C~>
+6bg@G\%B&FR[C(`[C`W=U8>&qV4FBf^r!I_Yck45Vld>7[C!BNYGe@tW1fiZXgu3__8=1/_8=.0
+a2Z*<aihiJao0Blc-+8Qc,n&JaiMWJaiFD'6-INqa2Q'CcHXSUb/q`Hbg"J]f$r3raN2QLcHaVQ
+_oBp;_oKg4]!S]HZa-sN_8F4/]u%Y(`Q#m:aj/>af%&+GbT=pH`lQ<Da3)QFaNVlObg4V\c-O_]
+c-4DVcHjh`d/MGkdLjsXf%8O(eC2jndaQ^rf%&=#qpYMn!7Uqq!7^qs"OkcGe'n6C$dm>KdaQ^q
+e'QFdci)8kck+UReBuUgd*g@id*L%de'c\@d1=RJc-Obacd'nbdEg+`c-H=8$I@#BcHt"eccs_\
+rQY;b#0Y69b/DPsJ,~>
+F1&<SVQ-VjR%^UeZb*NHZ*LmJYc4\-ZEL(&Y->%+UoLZ*Za$a=Z)OUuWMli$\A#i"aN2KB`5Tj=
+`Pf^7b08)Pb08&PcHj_Xc-FMTbg+S\bf\&Mbg"GWc-",Of%\s2dEKeXbKS2Vf%ep2f$DXjdl5Xr
+ai;9:`50F7a25KtZamQT]Yh_-a2c*<`l?0Ec-k1qg"Y<9e^2Ucai;BDbfn5UdEg1hdaA$Crm_"u
+rmM&!e(*%$f_sJ+g>(K>hYu=2h##h+h>Q11h>Q.+h#lHegYDMYs4mY/$/4(af\5-9gY:H\g&'M'
+gC)]ef\,$6g=Y$/g"QDXrR_>+f%/I*g"HAW"khY`f\,!Xg]-%<g=Y'3gY1<3f@np1f[p)Q#2%V`
+f$;d=J,~>
+H*jiVUo:5dRA-dgZb*NHZ*UsKYc4\-ZEBt#Xfnh'UoCT)Za$a=Z)OUuWMli$\A#i"aN2KB`5Tj=
+`Pf^7b08)Pb08&PcHj_Xc-FMUbg+S]c-+8Pbg"GWc-",Of%\s1d*'STb0.uRe_Aa/e]Z.^d*9YQ
+`P]SJ`50F7a25KtZamKN\\Z2%`l>m8`Q$$Bbg4_de(3.%dETkVaMl0@bKJ#Qd*9h^cHZ=7rm:_m
+rm(bncdC1ieG[o"f%8O+r7Uu"r7M)&rR^r!"4u,TfCmksfDjD.e^W$re^rF(f%'`Kqpk_t$e3YS
+eCN4$e'c[oec""rdg"7JdF-LneGRbtdEp:hrmUns$.@2IdaQXkcd1&<ci),nd*^7b`64U"~>
+B!&/5VQ?nsS"d!j[(EWIZ*UsKYc4\.['?R1ZF$m;W3!;3Za$a=Z)FLrW2?Pu\A#i"aN2KB`5Tj=
+`Pf^7b08)Pb08&Pc-=DRbKS#IaND`MaN)<Ab08)PbK.]GeCiO)c,[lGrl7INdFZjsdE0JTccjGM
+_nj4._8XO:_nNUe]=>A``5]d9`kod7`5fsAcI(+ie^rC!bf\#H_o0U;aiDTKb0&#RbKeJ\ci28t
+cd'bZbfnAYd*_g?"OklMe^j`M!7^np!7^tt!7^trqpY_sdaHV@eGn"teGn"sdLOXLcdC4jdaHLh
+cd'k_d/M?"dF-Iicd:(ge'cUhci)8gcj%hAc-FY^d/MAkci_S<cHlL:)U[!Zc-FY^d*9eZd*9eY
+c-4ASb0%rRb/DMpJ,~>
+5c:BER\6CGQ_1.W[D'5_]Y;.o]=5&LYH=\$YHkC3WN32+YH4_'[&pC2Yck@B^V[n-`lH3@`lH0>
+_o'F2a3">'B["ZCcHsk\c-=GUcHsq`bfe/Nb08,Rbfe2Ve(3$rdEg+_bKJ#Qf%em0g"+X)f?hU\
+a2Ps3^VRn/^::V\\%')e_o0R:bKIuHa3;iXg"kB6g"Fs*d*Kt[b0%rQc-"D_eCE1"danEJrmq)!
+'@t^af%8R,g"G*5gY:Q@hVHr@h#6(.h#?.0hYu=,h>c71h>Z74h;$f_h>c:1gB60_g"QG[rn@D,
+rS%5)rS%;)s4[M+s4I>(rn.,"!SH*&fFZ`jg"G-9h:gN7g=b03f[naRfDsP%fEp0\f@em6g!A->
+J,~>
+5c:?CR%L(BR%^F[[D'5_]Y;.o]=5&LYH4S!Y-G1/W2m)*YH4_'[&pC2Yck@B^V[n-`lH3@`lH0>
+_o'F2a3">'.*TlXcHsk\c-=JWcdC.dc-4AQb08,Rbfe2Ve(3$qd*Bn[b0%fMe_C)S4OMI'd`oeQ
+`l,a0^VRn/^::V\\$``Z_8=.2aiVQA`llWTf@ea&e'uglbfe/OaiV`MbfS2[da?OicI2^>rmLen
+#h%,JdaQ^qe^aWL!nc2Zrn%5(rS%8(rn.8(rn%#!s478'rn.A*f@ToPs4@;%"4boNec+/!ec45!
+ec"(tec4/!ec4/!e,Ikre,.Poe("3Bs3V8(e^`*pdF-Fid*U+brQtSi%+!;Icd'h_dF6C[b*[\~>
+'VCn]R\QaRR\?U\[D'5_]Y;.o]=7dE.'KYQ[(!EEXfen6YH4_'[&^1,Y-"t=^V[n-`lH3@`lH0>
+_o'F2a3">'"jG05bg+H3b$N-0b08)PaN)<?aND]Jb/qcNdF?Uibf\&K`l>s=dFZgqda$%ad`fYL
+`59@+^VRn/^Ugqc\[];f`5Ta;b0%cC`6$3Le_&F"e'l^ibK@rJa2c<Eb/_`Pcd'n]bPffed0n=I
+cHje]cd:(edaJ*C#1_;Ue^N!srRLeps4.+tqUGPo!7_"u!n>]JqpbYps3_"sd*U2>df.VpdaA$>
+rm:Sj"jkZFda?J?d/MAgc2l8<qTf]!cHaebda-1`cd'h\c-4E1blu;7c-FVYrlYJhd*9MOS:C~>
+0qk,#S"ujNR@KkG[_TYl_8aC.^V.%]ZEUF5ZF$sAZ*LX<XK8J)\[/WN\@B,a_oBXo`Vda``Pfa7
+_o0R8aN;X)bQ?,9c2Pohc-Ob_rltYkbKA#Prl[:Gd*BnYaNi2Zbfe2ObgkS%f\>37gXjfnb/q]A
+]tD%n^ppe]\[8r^^V.J'aihoKa2uNLeD&g4rmh%trQuD,c-F\_cI1:qf\+j+f[\O'f@\a-f%BiP
+&DGmngtUW?hVR&BgYL`Dhqn:es5"+?h:L?9i83;Ggu&+es5+":h;$iChYl:1h#H+.gAp%-gB?6`
+g=tE^gATe*g&]s^r7V)%rn7>(rRVb9f@S^/f[na-f[nd1g=tE=gXt-0rR_A,f%/I*f[e[Rg&9P-
+g"P<:cdSM:~>
+0qk,"R\QXJR[p(J[_TYl_8aC.^V.%]ZEUC3Z*Ua=Yd(I:XK8J)\[/WN\@B,a_oBXo`Vda``Pfa7
+_o0R8aN;X)bR)V@c-4GWcHstcrm(_mbKA#Prl\Egd*BnYaN`)WbK@uKbLG@ue^i@%e^Ma\a2l9;
+]tD%n^ppe]\[8fU]=Yhra2uKC`Q63Ge(E@(cd0taccs_[d*Bk[cd0k`e^`1"da?RldF-LneC2jq
+qUGl&f@S[,f@\d0rn&"?gYCT=g=k64f\+s3f[81#g=b-2f@p5Vs4RP-f\$2VrRh/%s4./#!8%2#
+"P)#Pf%9oOrRUtu!S5g!eGdqreGn"rdM10YdaZdqdaHUndaHUme'upsd*L&:cjJ+EcHjkacHab_
+dJhMmcNV_Gcc+"nJ,~>
+0q">gS>W<YS=Q7K[_TYl^r=4,^V.%^['HpA\%0#T['[0DXK8J(\ZrEH[^N`[_oBXo`Vdam`Pfa7
+_o0R8aN;WLbf\2SbK@oIaihoOrlPAcaN2KGrlI.CcHOGO`Q??Ha2Z-;a3`MfdaQ^neBuIW`l>s5
+]tD%n^q$qb]=,8`^V7S)aND]G`Q$!AdF[%#rm1Vis3)>)cHOGRbg";UdF-Fjcd'qbcd:(fda?Fh
+qU-S:eC<$ue(*%"eC2msf%8O)e^`1!e'upue'61ef%&:"e(4NJs4.A(eC<%"ec""te,RhqdK%bp
+dKItEdF-JBchu/id/_VldJM;jci)-'cd'h_d*L"_cd0n_d*L(dda67_bl,d$bfe2Rc-=GUc-FY\
+c-=JUc-ahTb+!n~>
+25R+CYICp?US43NZbO5g_8aI/]=GG_[]cd=\@K)Y\\,PYXgYjS^Uh(l]tqV)`Q?0DbJqO"`raE,
+ao'*b`lQ?JcHOJVc-4B1bmMeDdF-Fhd*BkYc2GjEc-+5MbL"MUaNhoMdbid3gYLcAe^)@[b/hE0
+]">P^[C<ZT\A,_f[_0T$ai26@b/hZLeCN1Le-X[Ye^iC-e'-.frm_)$f@g/W!87A&);*]ug=Y'3
+gYCT=g=tH?hqm2Gi8EJIgYCZah](G.hVR)GiSi\:cemmChV?lGhqd)DhVI#Ei8=Ih&Dc*og>1T?
+g"G-9gtC?5g=cJ[#27_^g"Y<9rRq,$rn8jTf[n^*f\+s1f%/L,g"=p.f\5'6g=b'/g"Y95f\"m2
+g"4g,f\>39g"62T"kqebc-i;9~>
+25R+AY-t^;US43NZbO5g_8aI/]=GG_[]ca;\%&lU\\,PYXgYjS^Uh(l]tqV)`Q?0DbJqO"`raE,
+ao'*b`lQ?JcHOJVc-4E2c3hqGdaQXldE]tZc2GjRc-4>Pb0S;Qa3D]IdGEI)f@\d-d*'DJaN)--
+]">P^[C<ZT\%B/X[(=/qa2>g9aiDHHdF-FfcHjngdF-S!d`]qbrm^qtrmh)"rmD\6f@SU'eCN7(
+f[n^+g"P37f\,$6g"=s1g\onIgY1B7f\5-9fYbe_hqQi9f&#-5f@\d0g=tE;gAT\9f[eR&f\"g*
+eCN:(eC2pteGe#'e^N!sf%8INeGRepeIL*Xda?IkeC;spdF6Upe,7W:e'cXhcdC4jcd:%dda?Cd
+cd:(fda?Cfd*L"ad`o\ORXb~>
+s.(s<Ye%?IV4sKQZbO5f^Vn(*]=GGa\?`?J]tM(k]=ttaY-tpQ]stYd]>)2!`6$'CbJqO"`raE,
+ao'*b`lQ?Jc-"/ObK@m)aU658c-FSXcHOGQbPfRNbK.Z@`llHA_o]j9c.^XpeCE.!c,diBa2Pg(
+]">P^\%0)\]"Yhf\%T`$aMc$;a2Q$@d*^4ccHjked*^@qd)aAUrm1_odaJ-D!7Lkm):?s`e'ZRl
+eCE+!e'ut#f[n[(f@SR%e'utIf,WAle^Msrf%/9__U@,ge^Mt#f$r0ue^W.$g"=mSeI^6Yd*^@m
+e'QIieC2djd*^/<cjJ+Dc-OhedEp7fdJVAjd14OLcHXV[d*U+`c-Ob`ci25icP=gQcHFGWd*U"]
+c-FY\bfe5Td*^4drQPPjcHsePadmq~>
+!lW'url-n8_S!"N]ue=2]tM1s_8!h']X+]H]Yhe1^:qFu^;Ik)^V[t/_Sa:._8O1/a2Q$<a2Z0B
+bf\!)aT'?ib0.uNb0A8YcHsn_rQb\mbfn5NaNFM+%aE;Cb/qoUdE]t^bKJ;grn9-^h:gK0c,e#J
+_n*Ci]!o&S[^a#_]",;_`6$3Da2Gm7air#ScI1A"gYLW<gYC?,e(FWP!SZ?.gBcNggY1E=hV?l^
+g'cZkhV[2Gh;7#Egt_nbs4f'^hqZuCg=b?Cf"&iZjPAYKhqm2EgYCW?gtgiChVHuAgt^Z;g>(N>
+g\ok*f`g*ag=k65q:Z&+f[nd.g"QGYs4I;%"5);\g&9S&f*g9dg"G*5g"G*5g"H5S&D>djg"P*0
+f@\^,g"k<+d[u$~>
+!lW'trPUV2]WJ3IaiD62]t_D"^VRe"ZE(=D_T'X1^;7Ru_o'=*_SsL2_o'@-`50F5`Pom<`lH6G
+b/aJ%s2bGebKJ&Nc2Q#jdEp5<cj%e?bf\#Jb5TUQc-FSWb085Zc-+DTb0\kof%/C&eC)Xaa2l?>
+]",D`\$WQO\%B2[[C*T_a2u??_ns@5bKJ#Mc-k.og"4g-gXOTufDF5"f*Ks[f@JR-g=Y$RedL*_
+g=t?6f\+s1f\-8Xs4JjXgtC<4e^W:/ca(@>h:UB5g=b-1f%8R,g"P05g"=p-f@SU'e^rI*f)=.u
+e-4CRe^`1!q:,]!e'c^oeCFQJs3pqp"4PcMeG[kqdf7erdJqYpdJqYpdJD3$dF-@ed*U(ad*Kt_
+da#eQR",~>
+4hSMI`Q-$=_S!"N]ue=1]=bnp_8!h)^9t2T^rX^A^qdk(^;Ih&]thP'^qmk&^r4(.a2Q$<a2Z0B
+bf\!)aT'?ib0.uLaNMiPbKS/PrQ>DeaN;NC`lS/%&'N2=`l6$CbfRoJ`l?6ReG[iMda-.Y`Q#p7
+]",D`\$icU\\>_f\@B5iaNDQC_SF%.aiVWGc-k.nf[eU(g!\*ie,7\qec+&(e()sseCW=&eG@W"
+eCN7(f@AC$ec+(tec4,Jg"4a%e'H=gfZC5+e(<+!e^i:#e'c^pe'uq"f%/@"daQ[nd*^=le'e3B
+rm:\m#11]AcHjh`qp>btcd:%dda?Fgcd2R8"4,?Ad/D;ic3qtFcHab^cHab^cHc:2&C/VIcHje[
+c-=JUc-X\Paddk~>
+2:0e(dETn[c,mc7`QH<B`PfX1_o9R3^V%8!aNDZA[^s>p_8O@5`Pfd9`5T^6`Q,p9`Pfap`W4'Y
+aoBHZaoBKgbKA)Ucd:(drQ[CIbfe5RaiV]JbKS8YcHXPVcHsn]cHOP\g"bE=gYCT?gXF<eaiD?6
+]XkV_\[]2`\\,bs`lQ9Brl#8__SX:7cdUFqf@o$ZgBQHdf@es6g\oq-g],tHh:pZ;h;7#DgY:H8
+g=k<9h;-rDh;6uDhVR)ErS7G0!o)Dbro4XMd&OP'hVmMRh;$iAgY:N<gYDea"Ph_agYDb^#Me(h
+gY1<4g&B\+gY2Y[s4[V/g"?;X$JF(`f\"m2g"=s/r7DG0f\+s1f[na-f\,!4rn%S2f\,!3f\5$1
+f@^)Us4[M*!nl5XrR_;-h:^0)Tn!~>
+29sS!ccaJTc,m`5`QH9A`5BI/_o9R3^V%7ua2uH>[^s>p_8O@5`Pfd9`5T^6`Q,p9`Pfap`W4'Y
+aoBHZao9Egair&VcdC(acMl)fb6#i.aSs=7bK\AYbfe5Vcd'_YbKJ2^g"G!.f%8R*ccO8La2Ga*
+]"#8\\@B/[]"c,#a2l=#`"U&*_8OC;cd:(gf%AU+f\+j+f\?DZrn.;(rmqe9f@JO+g=k32f@JL'
+f@S[.g=lPZs4@>)rn@>(s4[V-e_0rY&_tL'YKYYRh:pT6f[na-g"=sVf`g$[e^W1%rRM5*f%8L'
+e'lhGeH+7Orm^u!!nGfLrm_A*e'c^oeCE'te'e0C%+<VSeC2mpdaQ[peC+?C$IR5Jda?FidEg.c
+rmCbo!71Yk$I@)Gcd1"fcc4.sJ,~>
+/B5i]ccs_[cH*`3`5p!;_SO%'_SsI2^V.G'bKnJO\@]Vs_8O@3_ns@1_ScAk!6>)W$c9j$`Pfa:
+aN)<@a8*dga3)WMbK\5Pb/qcHa2Z3Aa2\,")9L(HbK7iGb0.rJaiDHFe(3+"e'umte'?#5`WX5p
+]XkWP\KJJt]"Pu"a2l?B`Poa2^q[b+b0J>[daQdseCE."daZnIecOCOeGdo0f$r0tf%8O(eC;sq
+e'c^pe^i=Nec4.tec!u#f%&0oe,Iu>f#+&X`mWGjf$r0ue'c^pe'ljuf%&9ud*gCkdeqJqda?Ce
+d/ME!da6=dd*^:hd*M^=!7:_k#11cGd*L%`r6Gescd:%bcd'h^cd:%brlkeqc-FY\c-O\Zbg$.4
+s3CelcHjf7bm)D;dETYRSU^~>
+1sj_)eBlOeccjPSbKJ#Mb/qZB`Q#m8_o'R>aiMN<]"lD._8F74`l5s;`Poj:a2l<A`l7qs"NAF&
+a2e/"rQ,AgbKS/Rc-=P\ci)-Yc-4DVc-4>Rb0%rQcd'eYbKS8WbKJ/UdFR12h;-lChqlo+aihlM
+_S*Rm]=bbe]t;%t`lH0@`l,g7`P]O0b0ehme^iFQg],t/g">!WgB?<fgt^Z`g'c]ig"G-9h;$c>
+g=lP\rS.Y4h;6uDhVR)dg`,#(gY(HCg<n'SPb,M3dG<d;gtgc?gt^Z=gthtb"kqYagtgcagE#)(
+g"=s1g=k66g=b36gY:H8f\,!3g"=p/f\,!2rn%&"s47D,f\"g,r7D/(f\+s0rR_8-g"=s1rn@D*
+"PDD\f[p,T#2.bdf?_p=J,~>
+1sO@sdE]t\cHODPb0%fIaiMK@`Q#m8_o'R>aN)<9]"lD._8F74`l5s;`Poj:a2l<A`l7qs"NAF&
+a2e/"rQ5)^#Kt95bfn>XcMc!Wbfe2Rbfe,NaiV`McHXSUbg"GXb0%rPc-k>"g"=p0g=jusai_iN
+`4ijp]=b_b]=GVl`5Td;`l,g7`P]L.a3E)^dF-SEfDjD'e^rIQgAT\)f`'J4f[eU'f@ej0f@SU)
+f@\aSfa$0_g"=s1g=lJX,hUi'f%Jm0bf$iIQaFcTf%\j/f[na.g"=s1g"=s/e^W1%f[p)Q*S8ll
+e'lgse^W."eCE+#f%&:!eCE'ue'c^oeCE%IdehMndKJ(Ke'cYCdg"7Icd:(eci)2ne'ZOhdJhSo
+d0.hDdEp5=cj%nHe'5kSR=G~>
+"NJU5d*M^:/BZ#RaN2BAa2Z'8`5]d7_o0^Cbfe/G]YV\1_8F41`5BO3_o'I5a2l<?`5DSm"N/3u
+`PqeqrQ"rZ#Kb'/b0%iLb5KFAaN)?Db/q]Fa2c<Ebfe/Ma2lBE`l?*@b0S\kf%&:$f@SEka2lEH
+_nNao]=beg^:_8#a2l?B`r<m`_nj(&`lulZd*U5?eGmu!daQ_DecOCOe,Ic%e^MspeCN4$eC=EF
+rR;)$eCE'ue^i:Ke0NMmdEg:ncc3]$LQSaT`6d)be'ujpeC;sreCN1#eC)^le'ukFcj%nGd*L%b
+df%Q+d*^7hda?Ffd*^4ecd'k_d*^2=cMPrfc32M?cd'f7cN_\>bg"GYbl,chd*Bn\cMl/hcMu2k
+cHZ=5"jkZ@`QOd%~>
+(!Y(SdaHLfc-+>Uc-+8PbK@rKa2Gsr`t$53_8*q*`QQNI^qmq,_u@[T`W*pfa2Z6CaN)?@`lH-=
+`lQ7#`sTo0b0/#Sbfn8Qbl5oeciqb?c-O_\r6,,a0?_M\bK\>WbKA,Vd*ph-h;6uDhV6K#aj&,S
+`501#]tV4o^;Ik)^VIb+`Pf^7a8X'cbL5%rf\,!5gtUN[f*0j]gYCT=rn@D,"kqY_g=tE[g\fhQ
+gY1H=gt^`AgtLN;gtUT>gt^i>_6^AELQ8CL[*7@agYCT=gt_n`!8RS.s4RJ.rn[P-!o2PaqUkl&
+rn@G,q:Pl&f@\aTg&K\)fDF2+f@JU-f[eX*fDa>Ef@em2f%/I+g"P-4g=t?8f[na.g=k63f@\a/
+gtL9&d[ks~>
+(!=bIcHa\Ybfe2Rbf\&Lb/q`Ha2Gsr`t$53_8!k)`QQNI^qmq,_u@[T`W*p[a2Z3Brl>&Ys2P_j
+`lQ6Aa2lBEb0/#RbKJ&MbPocccNVV<bg+MXr6#&_5K_*ibK\>Vb/qoQbg4trg"G$1g"=]naj&/V
+`koI&]tV1l]YVG!^:qM(`Pf^7a2Z*;aj/DdeC<($f[n[&e,Io!f\-5UrRV2)f@JL(rn.2$!8.5&
++P>;uf[na-g"G!0f\+p0g=b-5d_)`_Tn%on\?3a%gXcAUs4RA's47A(e^`:Nf_sA&f@JLKe,\%u
+ec=7re-"1Je'n<Gs3gtrqpQ;.dF6UodF$CjdEp4ddaHOgcHstee,Ieqdg+=Kd*U1gdaA$?#1:rJ
+b/;>fJ,~>
+&AlH3c-FVYb/h]Ib/hWDaN+;"'?%l0`lH9E`5BO4a3;fL^qmn)_>_CQ_ZIfs`r3sW`W*mV`>$5.
+`l?!:`l?'?ai_iLaiMNCb/qd)b6?&1aNVlOr5eo[!6G/[)p-7E`l6'Bair>ff%/C%f@J9fa32`O
+`PK:$^&G_O^Ve",^qmq-`W!d\`Pf[3a3E)_rmM&#e^W$od/MGneGdu!eC4BE"OtoKdaRj<-.C;k
+eC2mre^W$re'ujpe'c[pbdOIGRsBRUZDYIcf?r'rdaZeGdgFXTeC2jne'umrdJhJodF-GAd/MDn
+d*_j@!7CVh"4,9=ci2;kcN)8fcO%nAcd:"_c-FVZrlc/'cd'_Wc-FY^cd'k`d*L"^bg4Y_ccuF6
+"jtZ;_TA9t~>
+/CDqudF$Cjd*9bWbf\&KaiV]Kahu->a2Gm2]t_Fs_SsI.^r+.0`5fp<`P_\n%)^$+bf\&Ka2lBE
+`l@nsB$&3=c-X_[bf\/Ucd:+he'ZLdcd'eYbKeGXb/hWEb0A>]ccsY[dEp1kg"G3:g=b'%`lZNO
+a2c9A_S<q)`Q-*@_7[It_SX.,`Q-*BaNDi[gYCT=gtplAf\+s1f@ej3gt^Z=rnI\6h;-lAg]#n,
+g]$"-h([X=g=k<:gY:N=g=Y*5gtLT<g>:u7X/ESJSY<aEVn(::g>(H:gYCQ;g=t<8gt^Z_g]cHf
+gtUQ:rn@e5f\"m2g=tB9g"HAYrn.8(r7M&&!8.5$s4AOIf\5'3f%&@%eCE1&f\+p-e^rL.f\"m1
+g=Y$.f%8U/g=ZAT#1qP\e'-73J,~>
+/BuJgc-=S]ccjPSbK7iGaN2KGaMZ$=a2Gm2]t_Fs_SsI.^r+.0`5fp<`P_\n%)^$*bK7iGa2lBE
+`l@tu#0G$2bfn>WrlZq9bKeDZdF-IicHOSYbfRuOcHF>M`lH3GdEp1_b0SDXb1+tlf[n^)e',hR
+cHuR4-ca*=_8=+/a2Pj,]tqS&_8F74aiVTFcICIuf@JR,g"4a(f@SU+f`'S(f`'M%gAfh+f`'J&
+f`'S'g&]mZrR_)#.+d,'e^iC+f@nj.gYp,KU:.b$R^UA3ZH_7Vf@JO*g"4g+f@AI(f@KoP"kM;W
+f%&=MedBpUe'upuf%/C$eGe"te,Rqqe,Rnte,7YodhL6Ze^`-rd*^4dd*g@keC2dkdaZhHdgFUT
+e'cXkda?Lle,@YucdC(\_T8'o~>
+/B#TTbg+S^c,drHaiDE?`l?!;`PKL4`P]U/^;7b%_o9R/^;7_(_SsL4`P_\n%)p0+aiDE?`Q#s=
+`5MSn0#u&Taii#Sb/q]Gbfe2ScHa\Yb08&Pb0%rPaiDB=`Q-0JcHOGNbKJ#JdF-InrmWRJb/D?E
+c,RcEa25U-_SjI:aMYa,_8=(*_o'I6a2Q*Cdam%#e'ut"eBu^ne'e0Dr6ki#e^`1!e,Ibqe,Ikr
+eKWMldaHUndaHUnda6Cje'QRjd+$gbTU`3nNg$]cR]OQ^ci2>ne("BG"k:uLeC;qFdfn+GdEp4e
+rmLemrmCbo!n#BArmC_ks3U\is3Lblr6G>g'[G%PdEg(]c-4ATcHab_ccjVYd*_j=$II2HcHXVZ
+cd:(drQYVkcHXDHad[e~>
+&^SnVd*L%`c-=PYbJqNAbKe<1aT'3l`5BR7`Poj5`l>p5`lH$8`lQ0u`<XE'`Q-*Ba2e2#s2kPd
+`lH0BaiaV)"3AU/bPo]cc2Q,idf\"CbKg+5)plpVc-+8Qbg"G\d*BnZcd:"_eC<(*hVHu>d/;!7
+b08&K`5]j<aiMQD`Q#j4]tM>(aMu-7aO&VsgtLH8gtgc?h;-l?g"QG\"P_YbgYD__rnIG-s4[Y2
+h;-lbg]#tMh;$`;g>(Q@gtCB:jO(idhV>03aQ:C]f&PTAgY:N>rS&7DgYCT=g=b05gYCT=g"P39
+gY(64g=t?6f\-5W!87A(s4RG)qUbbu!nGlRr7D,&e^`:MfDsM%f*9gXg"G$1fDaD-f@JO)g">!2
+rR_A,f%8R)cI8G:~>
+.Efu`bKA#Obfn>Ub/M<=b0A)La2l6=`5BR7`Poj5`l>p5`lH$8`lQ0u`=p83`Q-'@`l?'>aNDZG
+`lH0BaiaV+s2kMgai_fMbl5ugdN-]Zb0A5Wc-FVZbf\&MbKS8Zccs\VcHaVTd*U4nrn.D*ccO?/
+b6Z>:bJqK?`l6!t`Z2t;`50.#_oKj<_nsI?f\5!/eCE4)f[ng2gY(6Xf`]sZf@JROgA]b(g&K\,
+g"P05rn.2$s4ACEf%8U0g=b'.g#(#e`7`\:UVYg$^sClif@JR,g=ZDV!7h)#(=q$ceCE.%f@JI%
+f%8L&e'uq!e^N!srRCntrmUnss3phms3UnpdF.sA"4>KBdf%VpdJhPudF-Ooe'lbEdg+=KdF-Ol
+dF/!B#LUiCcca;ORt(~>
+.`03Ob0.uNaN;TIaMYm5aNMT@`5]^4_SX:4`lH-9`l>p5`Po^1`5]a5rl"lWrl5Mia2Gp8`Q$!?
+`Pfa8a2e/""38L,b5TKbb0J8Urlue6bK.lNc-FYZbK@oHaN;TKccsYU`lcHF`m)cSe^i@)e]l.T
+rl>5abKIoDrl-8*aiVWEaMl!/]u.k0`507.c.:S"eBu^pf%&:$f@SR&e^`1!e,Ibqe,7bqe,Iks
+df\+Me^XHE+4ScfdF-Ope'cRge(MaM^=1>sS@dF`]#iUQe'c[oec!ttdf.`3da?FgdEp:gd*C"d
+e'cUidF-Ijcd0u:d/_Pmci;AlchbreblZ,6cMYujc-4DWrQbJgrlt_mcHsqacd)O9#0tK<cHsn`
+r6P\obKS5Q`6=g'~>
+&C/\Rd*L"]bKeDXbK%WDbKTq-s2H,!`5K[7`Q#d7`l5s>a2Gp:b/hWEa2c<D`lQ9C`lJ#!rlG,]
+s2tA`rl>8caihoPc2Q)idL=UPccse`daHUjcHa]5c4%tCc-4DTcHjh^daQeGhBCY&bK.`Db/qcH
+`Pom<`Q$!?`PTL0_SO(.aiVWB`6$BYqqV/+$JaCig"P6;gtUQ;pY>f)$esCigYCT=g=k<9h#?+I
+gtUT=h;7#Cg=tE>f@/C2hQa9,kLnJBhqJ(bs5!\0#2@kdgt^Z<rn.A-gt_b[s4RG+"52>Yf_sP'
+f`'P(f_sG%ecOIUfDa>(f@\a-f)F2)f%A[0g=Xs+rmh5(f\"g.rR_&"&D,Uef\"g-f\"g+e^i0m
+d\)*~>
+!m8a6rlY8_0$DJ_b/VE@b0.oKb0%cE`Pf^7`Poj6`l?!;aiD?<a3)KDaN)?Cai;EC`l5s=rQ5&[
+s2b8`rlb>a#0Fs,ai_cMrm1Vl%+<MJbg+P]d*^+]bfp(23R5mpbfe2Pc-=GScHakkg=k?:e'#nU
+aNViNai26>`l,g9a2Gj3_ns7,a2uHE`5KaCf@np1f@S[Rg&Kb1g">!3g=b-WfD4,"g'cQbf\"m1
+f[na-f@ToP)qis"gXt-1g"Fg!e(iQTW5IQAd+-k#f@S[/gA]_*f@KrQ!S5g#e,n4QfD=%teGn&$
+eC2jprRLnrrmUqsrR1_n!n,QGrm:kse'lamrm1nte'upue'QJ@d0.nHe'c_Ddf.VrdaZ[lrmLhq
+#LUf@cH=)LRt(~>
+(;[u7b0.rJ`Q60DaMc!8a2c0<`lH!8rkncTs2GYf`Pod7a2Pp4`Q6'=aN)BEb5THa`l#a7rQ"oW
+s2Y)Zrl5)^aN=G(rlkr!cHje[b0A8ZdF-:_bKBh-(sL1Ib/qcGb0%iIbKJ5`f\,!3dE0GK`QA,#
+s2=rV"N/4#aiFD!&]2B$`lQ3?_SX=;e_&O*eC<%GedBpUeCE+!e'c[ne+qMneHjXPe'lgre'c\D
+e,@erdh^H`e^W!ndF-LfaN`8]U7o6Qbf\8]ci2DkeH+1KrmUtsdJ_GldJqMmd/25jdKe.Fcd:(f
+dF%j;!7(Jd!m]-;rlkSkcd0n]rlbVlcd:(eccjW4bll><cd'l8cMl&hcHuL8s3M"rb0%oJ_p"^&~>
+#11cJcd0tarlkDcs2k;`$-:64cHF8LaMl'q`>cb8a2lEF`l5s<bK7iIaN;WKa3)QHaNDcOb/jS(
+s2kJdb0%iKrlGhpa3)WLbg4V^da?OmdEg4he'c\Dci),hc2PmIbg"DXd*^4ge(<I3gYCQ4bK.`E
+b/hWD`l?'=`5]p?`5'.*`Q-!>bKS2Qair/agYCWAhV?oBh;$``fa?Hgh;$c>gtgfAh#?(+g]6+.
+gAfn5g=Y'3g=tE=h>Z10h>Z10g]#t<g"P6;gY9$>bN7a@hV?lbg]?6frS7G,rnID*s4dM+$/*t`
+g=t?7f@\aKf`9\'fDjD'f@ejVf-&`!f[n['e^i@(f\+s/e^i@(f%/I*f@\^+f%8O)f%8OQedL$X
+f%8L'e^Vpfd\20~>
+#gCQ?aihoOaN=G(s2b5^$-1-1c-48NaMl'q`>cb8a2lEF`l5s<bK7iIaN;WKa3)NFa2uQKb/jS(
+s2lD)b0%oObKJ#J`lQ<EbKeDZdEp=id*C"cdEp7abKTq0!6kGc!mJp5rlkeocHanmg">$4e'%a4
+"3ep0aSs0p`P]X9aMbm/_o9[;aihoPaiV`Qf%J^Tg&K_)g&0J)g"P05pXoDs!8.;&s4@P-e^`:&
+f%9oRs4ID+rn.q:g"G$-e^rF'e>oXghV6]7f%0iP!nl>]rn./"rRLr!rRD5(e'ljue^W$re+M2j
+e,@_pd/qbGeGdl=e'ujpd*L(ddaHUoeBuXjdaHOjdaQXnda?Ijda?Ijdf.W%d*L+fd*9hZa26#h
+J,~>
+$cC!.aNMfL`Pom=aSs1/`P]X7aiD<=`l#X1`5T^5`5Ta;a2Gm6`Q?0?aiMWLc,n,Ma2Q*AaiML$
+a8a3\a8X-[ao9?la2Z6Eb/qlOc-O\^d*Bk^rQt\kbfp%/!6Y;_"j5$2bKS30b7;qQf[nd.dE0GK
+`lZ9@`W!da_ns@7b/V<7_o9[:ao9H_`raB.eGe)"f)O;#ed0gUeC2mre^`1Ke,Ikqe,7\qe,Ieq
+dfRtEd/MH5e'umreC<$ue'cXlda?@ddF$:aUSGKQeC)akd/MJpe^j]LrR1bpr6YMkrm(r!d*L%c
+daHOhd*V^<rQku!cHa\Ybg"DVc-F\_rluS2d*L"]bKS5VcHjkac-4GXcHXVZcd'k^c-=PZc-?13
+$dHo@ccsVTai2'=Sq$~>
+s3r[OcI(.kccF2MaiMTHb/_WLd*0SQaN)9?aN2ECaN;TJaN)BC`5os<aN2NJc-$"/$-poDbK.fJ
+bKS0.aoKWabl>`ib08&Pc-FY`df.`'daZancd'nbccs]5bQ#]cbg-47#LV#LdaQk*f`'A%ccO9-
+b5]N`aiOJ%1s!k^aiMNAa2uKGaj/8[cd'qfg"b?;hVHr@h;6uAg=t?8h;6uCgtgiEhV?l>gY:N<
+gY)S[s4[Y0g"=pUf`p3dgtUT>h#?"-h#?%Bg>1]EgYK3Abidm=g=tTBg=tH>h#?(.f`Km^g\on>
+gY1?6gY1<2f@o$7f[SO+gY2YZ!87A*!nl5YrRW^Tf%/L-g=Y$/g"P-2e^i@)f[eU(f%&='g"=m+
+f@\^-f@JO*f[n^)eCE."da?PCe-4CPccX_2J,~>
+rm3aKbg=_[`lH3Ba2lBE`lQENc,e#Ja2Q*?aN)BCai_fJa2l??aMu6@aND`Ob08)QbK\AYbK.fJ
+bKS0/aoKZbblc22a3">'"O,-9dF%sB$IR>Nd*9eZc-4DTrQ52`bg-+3"O>?CgXlGR"jb<5bKS30
+askEP`l?'AaiVWE`Q-*CaiViTcd'e]e(<7(f@eg.f@em2f\,!2g"P37rRhA.g"=s/fDX>%f)+&'
+f$r4#e^W1Lf,iSug"=p.g"=p-eCN:(eCL\$`8B4te(*7*e^iC,f`'M$eH"2!f+HTaeC<("e'ZUo
+f%&6qdaZjurmLksrm_)"e'n9D%b&hQe()ssdaHXqeC)^krmCeor6QS8eC2gldaQXnda?Ike'cXj
+cd:(cc-4JZcHOPVa26#iJ,~>
+*66.E`lufUaMPm9`l5s;`PTR8bK.T@`l5j7aN4A#*ll@D`l5s;_T'O5aN2QMccaPUaiV`NbfRlF
+aN;THrl>Vlb0.uNaN)EFb/h`Kbg4W7d0e4Hd*L"^cHaYVao09ia2uQMc-4GXcHOP]g"$)L!mSd+
+rlP/[+i_L>`5Tg>b0%iHaN;THair&Tbfe8Ye^i=%f%&7!f%8LPe-+7Me^i:Me-jgXe^W're'lgq
+e'\0C.auhodEp4ed*U4idaHUpeC)akda?IhcHt%gcH`5\^"CcZc-OtidF$IorRCbnrR2M0d*Bq`
+dEg(_dF6Ojbg+Vbda6=dd/MDocd'f7bS/:Jc-=S^d*L"_d*^4cbg"GZcHZ:2+OAE\c-4JZcHje\
+c-O_]c-4AUcHXMRbKS2Qb/hK8bFa:~>
+51.j2daHOgbg";Ob0.oJaN;TJb/_TFb0%iIa2Z*<aiVWC`5g!Aa2Z0@aiV]LcHOGPaiqrNbKJ&M
+bK@lJrlZ;*bKJ,RbK@uNbg"AVcHjkceCN4#dEg+be'cUhrQYDfrlcb7cdC4id*^=nf[J3mbfe2P
+aiM]ObK%Q=`Q??I`5BR9c-FSWb0/'/c3)GCf\?>Zs4dP,!ScE-h>c7th;7&Gh:gT<hV-Z:gtCN?
+h;?oAhqZo?gY1H=h;$c>g=tE<g=Fp4h;@5Ni9%VR_s6@Bhqm5Gg=Y-8gtUQ;g>(Q@rnRP.%b]Lf
+g=b-1f\,!5gY(32r7V)''%kgef%8L&e'ut'h;$]8e^`:)rn.5's4I>%!nZ,YrR_5(f%&:Kec+/"
+eIU6]eC2jmdF6[se^i0ne=_<~>
+50_F%c-FVZbKS)Kai_]Fa2lBFai;BBaiVWE`Pf^7aiVWC`5g!Aa2Z0@aiV]LcHOGPaiqrNbKJ&M
+bK@lJrlZ;*bKJ,RbK@uNbg"AVcHjhae(*!td*Bn^dF$:crQP>drl[.BcHt"ecd:(hf@/*lbfe2P
+aiM`Pbf@Z>`Q??I`5BR8bfn8Qai_iPc-+>Ye^rF*f[na-rRV/(g"P3[g&]mYrn&%?f[\O)g=Fg)
+f@8L,f\4j-g=Oj+f%&CMfH],)gY(3,e(<1&g"=p5Z),%jgtC?3f[eR$e_&L)e^i:$f%0iPs475#%
++a%]eC)gqe^`-sdaS-Drm_Y1da?IjdEg+adFHdsdEg.cda\9FrmUtsd/M;ld+$SDdf\%Gd*M[;r
+mCbm&(/bLcHXPVcHsh[c-!uKRXb~>
+)8sS@b0J;Ua2c3=a2l9=_o0O6`PTO4a2c4!`W*mV`uW1;_SsR9`Q#s>aiV]McHXMPa3)NFaiVWE
+aiMHBrlJ?daiV]JaiMQFb0.rNbg"DYd*^7ebfe5Td*Kt\bK@rKaN)?BaNDcRccsb]dacajbf\&L
+aN)<Dbf[oA_8F=9ahu$8aj&)Sb/_TGbKIuKcI14le^`1!e'n<ErmLksrmMk8dF-Lne^`*reCN'p
+dF6Ime^W0seCN*re'cXkrmLho*7E<bda61^dEp:je'cmMTXES,eC)amdE^%beC4EF!R]BpeGdo,
+da?IjdEp1bd*^7fcd'l8d/D?)cd'e[cHOJTbg+Ycda-1^bg+T7ci28lcd)O6!m]0>rQbSkc-4B0
+bl5lebR`"FcHOGOaNMiOb/qW<b+*t~>
+):?pad*L"[aihoPbK@rJai_`Ga32WIaN2F$a<AUDa2l<?`5]m@b/VKDai;<>aNDWJbf[uIbK\8Q
+aiMTIrlY/^!6P/]!6bAc&'`GJeCN1!dF$Ckda6:ac2Pugc2Pp0cdUFodaHXqe^;^gbfe/Na2Q0E
+bK7cDa32`Nb/qcJbl5lebQc>;d*U1ig&9_+h#Q70g]-(/h&bG/h;$c?gtgiDgYCWAgtLH8gYCN;
+h;?l>h:pW;g\ok+gEGA+g"P68g"bKCgY^uKi3K/giS</Ah;@#Ag"Y?;g=b9;rnd\1s4[S.g&9S'
+g'-0^f\,!3rn.5'rn7D+f`'J'f[p,R!S?$(g&fpYfDaG$fDa>'e^i@(qUY\s#1V2Rf%/I)rRMJ.
+daQ^pe'ut"g"Fm#f;!i~>
+)U6RTbfe2OaihoOb/q`FaN;NC`lcEEa2c3?rPfr"aN)9<`lQ<F`lH3C`l5s=b/qiNb/_THc-4;O
+aN;X)b5BE_ao'9]bPfWpcHt%jeC)^jdF-Fgc-4E2blGueb95*YeC2gme'umpcd'bXb/q]CaiqrM
+`l?'Bc-+8OaN2O#b66)6c-Xu=fDF5#g&Kb/gY1B7f_jA$ee6Wgf@AC$f%8I'f\4g*f[eR'f)=,"
+f@^#S#1qAVg"4^'rmr$eS$1JndF6\!e^N!uf[eU&f@\^+f%8O)f)F2"eG[o!eC2nGdf._peGdu!
+eC4EF!RoKrdJVDod*^;@e,@]!dEg+_cHjl6dJqPtcd:%ddF-JAd14IGc-O\\cd9q_cca;QS:C~>
+'ZA&:aihlJ`5]m?aN)<=`5T[3_T)Pn-,ddBa2Z':`l5j4`5]m>`lH3C`l5s=b/qfKaMl0@bK@lG
+`lH4#aSa-[a8F!Yao0?kbg"J]d*Bn\cHsn^bKBe*!6G/[*6QRSdEg.ddaHIdbf\&Ka2Ps:b/q]B
+`5TjAaiaV)"3\p4bPoTeb0.oLc-cL>s4%,!rmLksrmLu!e'lbEd2:<\eC2t!f$r*odF-LkdaZjo
+daZ^me'cVBcQ^``da?Ijda6:eeC)Xhe'c[?QE&EZbg"M_ccsb`eC)ake,.Ype,RhrdJhMmd/_Ph
+ci2;jd/hV?rm(PirltMirQkVkc-H=7rQYVlbfn8Sc-H11s3(\jbfn>VcHcF6&'iGDbfe,Nbg"DX
+bJh9@T7?~>
+%+<VUd*BkWaNMiRbfft-"j"a+cHOE0a8a9]aooi+`Pojqa;W1@aN;NB_Sa@6aihlJ`lQ?IbK7lK
+bKJ&Mao0Bpbf\/Sbf\)QcHaYXc-Xqjf%'cK#h7>Ncd'e\cd2R:/CN)#f$i'qe'l[hc-4;MaN;QE
+bKS2Rb08/Xc-ak^b0/&Td*^4dd*pIleCacU(u=')gt^`AhVI#Ch;-l@gYCT?hVHrBhqe7c$JO:i
+gtpuEh;-i=rn@Y2g"P07gtM_Z)Vs<*cGIK;_8)V*UW10e`R*Q!gY1E;g=b07rn\"<gt^Z<g=b-1
+f@^)W"PMG\g=lMXr7M)&qq(f!"kVD[g=b-XfDX8,e^W+!e^iC)eC=BGs4.2#qUQ5.eC)ameC2jp
+e^rO0f$;mCJ,~>
+%*m2Hbf\)Mair#SbKBe*&]_o4c-+2J`Q#s=aN2KC`Pojqa;W1@aN;NB_Sa@6aihlJ`lQ?IbK7lK
+bKJ&Mao0Bpbf\/Sbf\)QcHaYWbg4_fe^XTH#h.5KcHXSXcHcC7,14oke^DjmdaQOfc-+2KaN;NC
+b08&Ob0/)Wc-Xe[aiV`Nrlt_kbg4V\d*r!G!nc2Yrn.P1gY1B7g=k3XfDa>'e_&R-rRM>+f@JR,
+gXk*1f$s]M-e6_sf%A[/f[n[(g"Ouq\[]2Z[ZlZ<]t1bfak>7peCN7%eC<+'fDa>%f@KrOrmUqu
+rmh2$e'c\Be,7\qe,.Sle,RbrdF-G@df%Q"d*L"^c-F\_cd2L8s3UhnqU#l$ccjSVcd'e\cHX__
+bf.htJ,~>
+,/qUJaNDWE`5]pBaiMNB`Poa3`6$'=`5KX8aN;QE`5BL2rPfbr`lH3B`PTO3aN;TH`Pfd<b/q]E
+aN;QFa2e/#&^&2;bK@oIbKS2QaN;ZOdF$>?cMu5qcHFAPai_d)b;%8gdaHLgcd:(abfe,J`Q#s<
+`5p*CaN2KIcHFS\bfRuMbg"DVai_lPbK\D`eC2pur7)#&eC2jpe'e6Cs3gqr4jqp5e^MspdEp=h
+daZjreC;poda?FfcHjkbda?FfcHakfcbQop[Bd&uKpB0UZadp%d*Bqbe'ZOhe(*"Ie,[tsdK@nD
+cd;[>!mo9=p<N`arltJg!71Vjs3:\ld*M[9rQP>drQ>;ecHaW1bl>ogcHQ:4rQYGgbl,]lai_fN
+cHjbS^W`=#~>
+#h%2Qd*KtZb09h/%F35Aai_fOcHXMQaN;U'b8\L?`Q?<GaMu6@aiVWC_o0R9aiVTBa3)QGa3+A)
+!m8U+rl\Zmc-=S]cHOMYdEp1_c-Xnif@JL$e'umrda6=ddF-Ooe'lk!f\"a'daHUjcHXMO`Q?BM
+aNVrTcd0tdeBugqd*0\YdF?asdF-Use(*++h;$iChV?oBhVR)DgtgcagAp%.h%8AuhV?lAh:pW<
+hqd&AiS`SkgAp%+gDehuf@JU4iR>-3WiDnoOGB(-Z`L=EiSWGEg=uV\!8RS0!o2Pbrn7A*rn%h9
+g=tB9g"P37f\"g-f\+s1f_jA$ed0p]g"=p.f\+sWf)XD"ec!u#f%AU(eGdu%eCE.%f@9fNs4%)!
+!7_"r%+E_Rd*gIrf\G*(eY@W~>
+$-plEbfe/ObK\<2bR)P<b/h]Ibg"ARrl5#[rlH/'a2Gs=bK@oG`lQ9DaMl'8`lQ9Da2Q*Ab/hWG
+rQG>caN=G)@*Hm?cd9t]bg4Y^c-+>WdFHgueC)doe'cXicHaeae'laneCN7'eC)alda$+]ai23>
+bg"2Oc-=PZcdC4ge'ZIab0A;]da67adaHIge(<7(f\+s1f\,$6g=b05g"65S'\Cpde^iF,f@JU,
+f$r=*f[eX/gY)PV!8%5$*nT&sg"=m)e_Js)Wh5rVS">CaMla"VVmtI5e^W.#rm_5)f[eU'f%0fM
+s3q&!rRM#"eGReqdKJ%KeC2nEdf7]!e'umrcd0u;dJqVpdJV>scd'bYcHsqaci28pcd:(fda.p?
+s3L_l&C8VFbg"JXbK\AXcI'nUbFF(~>
+$,ss0aNDZG`lQ:$aplP9`l,j9aN;NC`Q$!@rQ6(u_SaF9aMu0:`lH0A`P]X6aN;KA_o9^<`l6$t
+ao]Z(a8X1.b0.uQcHOGRc-FSVa2lHKdF-FhcHahbd*9bVb08,Vcd'h_daQ[lrm*.Bbfe/L_nsF9
+bJhTHbKS2TcdC%eda#tUbKeJ^ccaMXccjY\eC;stf%/C%rmi+>daHUmdEp7ge'lane(3+"e()sr
+cI(.id*U@qec+"sdJ_Gkd2LBWbg+bia/,5oS!TRqH%r2nT:rR?da-4ddf.Vpe("<ErR1_n!RT6n
+dLFUNcd:%bcd'h^cHa\ZrlbeqcHXY]dF$=cc-FY]rltMgr6,/arlPAfcHXSWrlkVjc-FY]bl5of
+bl>ogbf]q/"3\^)b5KQea1f]fJ,~>
+'@"kPcd'eYbK\8Sbg+P\bf\/Tc2PodbUC`[bK@rLaiV`LaMc!9bK7lIa2Z0Ab0%cE`Q$'DaMl-@
+cHXMTaiMR&a]6L-c-O\[bfnAYccs_[cdC:pf%&:"e^i7!dF-Lof%/@!daZk#g"=m+e^MgfbK@lG
+bL"\\cd:"bdF-RreC;sqd*C"ef%AO'f@ed+f%Ss:hqm2FrnRP0rnIM0rS'`qh;7#Eh;$c>h;6uC
+gu%2HbK&GrgtgoEgt^`Bh;$`;f\,$9h;I/6U9MGQ_oJO8U<q?"XLI-HhV-W9gY:N<g"Y<;r7_2'
+$ea7df@S^0g=tB9g&BSHf\+s1f@JX.f[eR&f@\d.f\+s1f@JL'e^W."f%/C%f%'cN!S,d#f)aIQ
+rmhq:f%/C#daQ^pdFQq$f$Mdnf\"d1g<S3CJ,~>
+!m/U1rQ5PmcHOGSc-FVXaihrQrlY5`-d'QPaNDWHbKIuF_oBmAaiMNBa2uKHa2Z*<b0.lF`QHKN
+b0.oJaSs:=b08,VcHXSWc-FVYbg"G[eCN1"e'lgre'cUjdaQase'ZRle^rI*e^W*sc-+8O`l?0I
+d)u@5)UHdXeCE$rdEp4acdL=mdF$Fne'ZUof\,!3rR_2)g=lPZ7G?DGf%/I*f@JL)f@JO*g"=p.
+g>CH#_V!Sof\>'1f@\d/f[n^+g"P37gtB]:VmX.H^7'nHa31fcYh@a^eC2t!f%8LOeGRkse-jjZ
+e^Msre^`0ue("BF&(B%Xe'cXneC2gkd*gCmdf.W-d*L(cdEp4dd*^7fcd'e\cHjkbrmChpd/ME"
+d*^7fcHXY\cHOZ7dJqAqcdL+_dEfeSS:C~>
+-c!XBa2uKFa2uEDaihoOa2Q*@aMu6?ai_iNb/q`Ga2c<D`koR1ao06p`lH3Db/_K=`5p'?_o'R>
+bK.fG`lA"u29<q`c-4ARb0/#Qb/h]Ibg=ecd*L%de'ZIbc-FY_dEg(^cdC4ke'land*'PPa2Gp;
+c-FE0bSnaOcdL:idaHLebK\D^e'QFfda6:cdacn!f)!ohe'c[ndEp7fe'ujqdacjre'uptda?Rt
+cbR3Ae^N"!eC)ame'cXjcd:(feC3!t^m1Y!\$W]2KTs?mXe2WBeBuRfdF-Ilda6D<df7_pdK@kA
+cd;X<s3Ubj"jbK>c-4B1c3;J9c-ObarQbhrc-4DVbfe5Sc-?73!6bAc!R8phcN2>9rluA*cHa\X
+b0/#PajJP`c,I]Gd*Kn[ahPrhJ,~>
+!mT$<rm1Vh36]XlbKA&Rc-4ASb0%oOc-4ASaiMTKbfe,K`59F4c,drG`l?'@b/hWEaiMTGa2c9E
+aN)?CaN4>#"3Jd4c2,]icd'e\cdUGCedC']eBu^pf\5!.eGdu+f@em3g"=p-ccsb^rR(Yl%+<PM
+daQauf[\F!e^aZJ#h7DSf%AX+f%L&Xs5!V.rS.A-rnBlsh;-rFhVHo?h;6i=h;I&Fca^:0e'Ze,
+gtLK:gt^Z;f@\d1gY(94cahBZjl>L-R&oB2dDX,^hV?f:g=tB;gXt68g\fb'fEKjVf%8U.rn8FH
+f@S[.g"=p-f%A[.f@JO*g"Fs1g=b*/e^`7$eCFKJrRV&#rRLr!*7`Qfe(3.%e^MsqeC;t!f@JO%
+e(*($f%\g#e"V?~>
+5f^sib0/#RcHXVXaiV`Mbfe/OaiV]Kbfe,Ma2Z3Fbfe,K`59F4c,drG`l?'@b/hWEaiMTGa2c9E
+aN)?CaN4>#!m/[3rltJgrlkYmc-4GXda\3F#Lh)GcI(1of)3r(eCE.$e^W*tbfS#Prlu&!bfnAX
+c-F\`e'udmdaZeFdKe1HdaZdqe(+HLs4I8$rRh/'"k_GXf@\aSf+lief\+d)f\>!2b-S4qcHO_m
+f@AF&rmrIIeCE1'f[eR$ag&n:g=b;[OJUdjb.YXBf[eR$e^i='f$i*te,7_oeL/hmdF-Ooe'c^p
+daHUoeC2jndF6Uoda?IkeC;mpda?Cdcd:(dcd;X<!7:YirQtSl*73$WcI((fd*Bn]cd0nadEp:d
+cHst_bg=VPad[e~>
+&AH!%a3)WKaiMWJb/_WHb/sY'!li='rQ5SkaN2QIaiDB;^qn"5`r<p[`5g!BaSs3g`lH-=`Q$$>
+`Pom;`r3jXa3)X*bQ#fbb6?#/ai_oUrQuM3da-+[cI11hc-=PYcd:+he'ujpd)j;Kb5TT`ar&@G
+b08,VdF-@edF-Iicd'k_c-Oebcd1#<dfItKr7(Yn"Ob]FdaS-D51@p-e^`$ndac^o`3#rYaMuHU
+dEp:he'lalcd:(fda?Cd`N@)-f[ncMMkAVS`4*A*da6:cdF-Ilda-:fpWt&.c-=S^dEp7dd*9eZ
+cHa\YbKJ/UcHXPWcdC.cd*U+`rlbJhbfe6%c2Z'/c-4AScHje\bKA#PbfeG_cHF;Nbg4PWbf@E;
+SU^~>
+#LCcGdaHOici22hb8/=HcHXSVbg"DXc-+5Mai_fObK.]B`qd[Q`Z)t>aN)?@`Q--D`P][:b/q`G
+a2c?Icd'kadaJ-B!RfBpcN;MCeG[o+f%&=#f%A[.e^rO.f_jG%fETgQe'umre,Ic.eC2jqf%/L+
+eC)gsf%&6ueCN4Mf*9dWgYLW<g\fh1gY1B9gt_n`rnJFJhV[5Gg=tK?f\><=ai1W]U!(Qtd,Eg7
+g"H>Xr7V)('\LmjiSrn[Z'hWKjP/;?i8!#=g=uV\"P_YbgtVb[s4A[Mf%&@(g"G!0g=k32f@\d0
+f@JO)f%8R,f@\d0f[ea/f@JR*f%0iN!7q,!rmq2'fDX4ueJm#ddacmte'cXle'lgsdaHXrf%&6u
+fA"j!e"V?~>
+,KS$Qc-=PZccs_Yb0%oOc-4ARbKS2Tbf[uGa2lBIbK.]B`qd[Q`Z)t>aN)?@`Q--D`P][:b/q`G
+a2c?Icd'k`dF%s?!R]9nc2uA@e,Iksdf7]#d*gFpe^Dt!f)+"se-=7Ecd:%bci23!d*L"adaHXp
+d*U4ke^XNFrmM)"eCW@(e^jQJ"PDD\f\$/S!8.8%):d<kf[JF*f>PJ.SXd^<_9:Wde^W+!e^i@M
+eecujf$_alf@\d4W0*k,h:0g#g"+[&e^j`M"P2,QeC4?Fs4&IGe'cXmeC;podaQ[ndaQ^qda?Ij
+dF-LmdaQ^qe'ZUkcd'k`dF%s?!7CemrQkMjrQkJi)pcdRd*U+ac-4GXcHjh\bg4\ad*9\Wd*';J
+Rt(~>
+,J_4>b0A5Ub/qfLb/h]IbK@rJai_cLb/q`Fai_cLai;9:`;.@Q`5V_qs2Q"s`Pod5`Q6-<_8F=7
+a2Z-<`Q66Ibg"GZci22jcclC2!mJs9rQku#d*Bn^dF-CdcdL4grR1_p#h%,EbKS5Ubfp(0*R2gO
+c-O_`dETt`e'lakcHab^d*U+acdL=kdF-MBe-OOOdaQ^qdF$DAe,@c0e'ZUoeBZFjdD!2kQ^5G$
+]>`@Lrm:Yl!7Lem(Xpg\ccFPbf%8QLMk/8IcH=D\d*Btbdf.Vodf.Yicj%hAc-F\`dJhH'd*Kt\
+c-FVYbKJ,Qbg"DVcMl/ncHjh]bl,fcbQ,odbl5lecMbudbo=mLb0A2TbK@rLbKJ,Uc-"/Obfn8Q
+c-4/>aIRh~>
+#LLlKeC)akci2/gc2Z)gbo4mRd*L"^b/hZGbKS,Ma2Z3Bb/qZBa2lBDa8NsXa2\,!s2>VkaiMH>
+a3)TKb0%iJbg+P\d*hg?"k:uJd*U5?dgagUeCW@)f%/I)f%Jg3qq;#'.G<>*f[nU#e(*$uf%/C&
+f@S[.e^W.#f%&:"e^rL,f@SU,gYLW:g"P3[g]uTfg=tE<gY;\^!8[Y2);X$$hV?f?hpo?KXe;<2
+b/DQ\h:pW8f\,!XgE,&#g"bE=gu.)Egu77tQ_i?pi83DMg=Y*5gtC?5g]#t.g\fb)fGE/if%Aa3
+g"4m1g=Y$/f\+s0f%/I'e^j]O!nZ#Rrmqn9f[n^*e^i=%e^W+!f%8O+f@8=!e,@bue'c^nqp>u'
+e'cUieC`C'daHh(f$2a?J,~>
+#g(9:cd'eZc-611!mJp6rlc/&cHje\bK7cDa2uKGaMu6?aiVWD`5hku"NSL"`5V_q&]_o0`Q$$@
+`Pfd=bK@uLaN;X)c2l8=qpGYsdEp4cdJhQ(e'QIjeC2joe'ujtf[n^Pec42Ae^N$ue'QCedaHLj
+da?One'uprdF6Upe'c[neCE(Jdg+FTf[eO$e^jWL!nc2Zrn.8&*nJrpf%8O(f%J[)f\4`][&BI_
+ai2$9f\"d)e'lgtrn&@Ee^iF,f@JU+daHe%WK<_!gtC<4g!nL#f%8F#eCN7%qUGPq(Y$m^eCN4#
+da?Lle'c[neC;podaQRjdf%W"da?Fgcd0n`rm:kqdF$=frm(kqcd0tbcd0n^rQbSkc-FT2bRi%E
+c-"2Te'cUeaNr8W_onR#~>
+$c0d*bg"DUb/hZHbl5fbaqi1Ec-4DSaN)?Dbfe&G`5KX8a2Z'7`W!jp`Pf[4`5]d7`PfX2`5fm8
+_SjO;aN2EAa3">)!R8sid/VDrd*Kt\bKJ00c4/+EcdC.ecd0tacI(+ir6kSn(t-dYdEg%[bg+PY
+cd'h^d*U1fcHjkcdaA'?%FEPNd*L"ae'ugld*gDBe-OOOdaQ^qdF$D>di-`bdF-OncI14bYH4F^
+PJY)F_U?l[d*L%bdJhT?dEp:je^MsseBlRmeYA"hbLY.ie'lUecdL:hcd:+hdEp7dchu-0ccsb^
+e'l^jcHjk`bfn>Wc-+8PbK7lLc-=S\cMc#fbl>ric-4B1bl,]jbg"DXcHOMUbPfWebKA#NqoKDl
+bKS)Laj&,Tb/qrR`P'EdJ,~>
+-dU2jeBlIabfe2RcHjh^c-F\`dEp4bbfe,Mb08)Ka2uNLbK7iGaSs<`aiMO$`XTo,aiVTDaN2EC
+aN;ZNrlb\lbg"GWcHjkbdf.]!dalstdF%p@"k1oLf\5!WecOISfDO83g"P39gtCE:gXt!(f%Ja+
+rn%2&!nZ)Yrn%5&rmhA,f\,$4f\,!4rn@J,gA]k+h#H./g]cHdgYCW?rS9Qlh:pZ=gY:WBd^mH7
+Ybp()cdCG#gY1?7g=tE;gY1?6g>(E7h;$`?jlWn8UY=qjgY1K;g"P38f\"mTh#,k(fFlfigt^W9
+f\5'2f@\d1g"4d*f`'G+f@\^+eC<%JecOIVfDa;*f@JL&eC<%"rmq5&e^XTIs3gnq(t-dWd*^7f
+cd1"fdF$Lqf%&:"g"b3*fVO)~>
+#KY*8ccjMPbPoX(bg+MYbg"J\d*L"]b/q]EaNDZD`lQ<Hb/hWCa8X0^aN)=!`=9c)aN2B@a2c3?
+a2lHJrlYVjbKS5Sc-FY^dJhPtdFHapd*Va="k(`DeCN.KdKJ(KeCE+Ke.:*\f@\a,f@eg,d*U7m
+f$XKHs4%>'e^r@$eC4EF#h.;Sf[eU(e^aZM!S#[!f)F;$f`0V*f[p,T!8%2"5h=T=e^rC'g=ac[
+_S*%FeC)L`eCN4$eCE+$g"=s/f%/I)e^E!tdad12XH/n#iS)f1f$r4"f%/=!eCW='e^aTIrRDP1
+e^rF'e'ZUmdaHUoe^`-rda\6D$e*POcd0tacHab`dJhJpda?Fgrm(SirQbMkci25ic2Q!*c-+8Q
+bfn8Qb08,Sbg=bbd*Be[d`oeWSq$~>
+-c![Fbfe,Ka2Z0Ac-=JUb0/&TcHXSWbK@oIbKS,G_SsU=aMu3;`W!mZ`l5mp_[XK#`l>s8`Pod7
+`Q$$BrlGeoai_fKbKS5Vcd:"`c-an`bfp%1"jY?:dF6MAcNDJ=d*Vd>&(8qVe^`*reC2dfbKeM_
+bl5rgcj%hCda6Chd/MAkci_\EdEqm?rmCqrdF-Lmrm^tss3q5$d*^=le,@]^e'ugmdEp7id`&?!
+[%j&4bJ_EGd*^7fdF$Cle'lamdF-LkcdL4edb3<NM3cE@eBZ=ccHabada-7de'l^jcd'h^qp5Mm
+daZdpd/M?(cHOPYccjPQaihfJb08,Uc-+<.bQuM=bfe/QbKA!+b5fcbblGuebQ#`ab8ACCa2lBE
+aN)?Cbf\#LbKS5Taj&)N^s&L&~>
+#1D#Sf$VacrlkJhci2/mcdC+ccHQ+-s2lG*aN;WJaiMWKbK7iGaN;QFa2Q'@bfn8Rb/hTFbKA'.
+b7`%BbK\;Rc-XkbdaZgsdacjqdJ_K(e(*%#e^W(!f\5!,e(3+%rRM,(g"P05rn7P/g=k31e,@nu
+eHa^[gYU];f%9lQs4I_4h;-f<g=tE=h#?"?gYCW@gtUQ9gYCW?gtUW>h;6obgAfn3f?`=&[$oGB
+h?r)qgtUW?h;$`:f`'PGfA,6=g>LlDh;tf'UY=\]g>:fFgY1?6f\,!6gY:N=r7V,&#MRtcf@\g2
+f`'S(f*U*`gY(0.f%Jd1rn'?beC2q!f@JR+f[eO#e_&L(e^i='f[n^(eCE+!e'ZLfd*gCldEp:i
+da-1_cdUCne'H@gf%&7$eBHI;J,~>
+#0Y9@dETeSrlkDerlbVmd*L"^bKA!'aWJUEaNDWGa2uNIaN)<@aN2EA`5TjAbK@uLa2Q0Caij\+
+'$JG?bfn/Pcd:"ce'ujoeC2glrQu&%eC2jnd*L.if%&-ormUho"OtuQf@KrQ"kM;We^MnDeGmr%
+eCW@,f@86trmVA,f%/I+f[\L%f%8R+rm_8)f\5'4f[n^RfE^!We'umtf[g#O#hIVVbM(:HQHoK_
+"PDDZf%9oR!nYuQrmi(=f@ed(f[nX(hPZ=&e(W=#f@nm.e^W*teCE1%rmgqrs4&:Eg""R#e^`-s
+dF$Cje(*%"da?Lnf%&:!e'cRfcdL1cci2;kc32MCda6A?d3m;ecHOP[d*L"]b0%oPcHaYWbg+JU
+aN2NKcHjeYb0A8UaiqoFbF="~>
+'uS&<cHODMaN2KIcHFAQbg+JWbK7j'b5]X.aiME=`lQ3?`Q-*A`l5m8`l?!9_SaF9aiMQD`P]a;
+a3">%'$859b0%`Hc-FS[dF$:bd*Kt\rQPkud*U+ac-4M]e'Q:]cHaf8cN)AldK%\odKS%Hda6:_
+rQkMg#LCiIf$r*nd/ME$d*^7heC;mmdF-LneGdl0e'upueC2gkdF6UodEp:gdacdmrm1Vk'[";?
+`i"g8daQ[ne'c[neC;sqd*Vd>,1"`geBc[pdF-[@L6g*6cHXbdda6=ed*L(de'cUhcd'h^rQlA/
+eBlOgdaHLgcd'h[c-O_[aiMTJc-4E2blu;5bKeAVrlk_mb/qfNbf\)Prlle6bKA#Qc-4AQa2c9D
+bKJ#KaihiI`PomAc-+2H`lcQKa2l03admq~>
+8^Z)Eg!e6jbg+Ybccs\Ycd9nYb0A5Vbfe/ObKJ&NbK7iHbKJ&MbKJ#KaiquOaMu3?aiMKBai_`I
+b/q`Hcd:%bcHOJUcHai:dj*Dof@SI$f$i!oeC2jpe(*(&g"G$0e^;gpf@eg-e'cdug"HAYs4RG,
+$/4%bg=b-1f@epXg_SSqf\>07f[nj4gtUQ:gtgiBgY1B:h#?(.h#H(Mh;$iBgY1N?g=kK<g"tZ?
+gYUcAk0pW2cJ@C7h;$c>rnIM.rn7G,g=uV\*S]E-h;$iDWfj.,i7lo<gtC?4g"P37g=b-4gt^W_
+fE0d[f`'M%fa$0]f\+s0f\$2T"k_GYf%AXSf)XD$eH=CTf[p,Rs4&dRf@JO)g"=p,e'ut!daZdp
+d*C"deC;jldF-IhcHjqgf%&6td*^=nf@JR%b1*)7~>
+8]o?2eBZ4XbK\G^c-4ATcHj\Uair#RbK@oIaiVWGb/hWDb0%iIb0%fGaNMcKa2Q!;aN)9>aN;NE
+aiMNDcHjh^c-+8Qc-=W7dLk!Zf%/6ue^Ddke'cXld*^=lrmbE+da$1deCN0ucd'qee^W.#f%&=%
+f%&:#f%&:!e'ut$f@\[(e_&O+e^W4(g"4d)f@\d.f%&=&f@JO)f\"g,f[nd.f$`."daHk!eCiU+
+f%Sg0im4d"b1PJ&f[n^*rn%%u!8%5#*S/cme^W.%UPkYeg!nI"f$r0teCE.#e^W'te^i:MdfS(N
+ebdhse'e6C&(8qUdaHUoe'lapeC2jodJhMmd0%bAcHcF90@A4qdF-OndETkYcHa\\ccsYTbK\AZ
+bKJ,Sc-"/Nc-Ob`cHXPVcHsh[c,d`DR=G~>
+(W+5BdE]nTa2uWRcH=8Obg"8Ma3)TKb5TN_b:q&Y`l5j5a2c3>aN2B?`lZ?C`P]R3`l5j6`lH*=
+a2Z*<bg"DVbK7iIbKJ/VcHai:dNQl^dE]q[cd'e\c-F\`da?Ihc,n,PcdC+bbfe;YdEp:hrmCbo
+!R]9nd2C9UcHt"ge'ugmd*pLmd*L.ieC2gme'upsrmChse,Ieqdim,cda?LkdEg:icd14icdUFi
+d*p@ffuBkS_9gZZda?IjrmLkqrR(YnrmCbo(=^d[daF\?QH.J"bg+S\c-=V_da?Ihrm(hrccs_[
+cdC,=cNMVBdEp5<cMu,nbfe/Pb0%j*bQ#cdc2Pojc-O\ZbKKn/0?_S_bKS;Yc-",Mbfn5Rbf\#H
+aND`NaN2KGb/_NBb082Wb/_KBbKS2QaMPR2S:C~>
+37-..f$_micHstbc-4GXcd0kZbg4V\bfe/Pbfn5NbKJ#KbK@rJb0%iIb08#L`lH0A`l#^7b00b+
+(s0kEdF$=fcHab^cI17neCN7(fZ;CheC"6D'@P@[f%A^0f[eU&e^i@(f%&6uec+2$g&9Y)g]-"-
+gAot,fbN5qg=Y$/f\,$6g=b05g=b05gtpoDrn@J/h>Q(Xg=t?8h;$`=h;7/Ie'-V%g>(N:gY'lt
+eASD\`7*/Xc.^t-gt^Z<g=tB\gAfh+gA]n9hV[+dOeU=`hV-Z:rn%Y5gY:H8g=k<:gtLH6rn.e6
+f@JO*g"=p.f\+p.f@U#Q"P;;Yf%0iP!7q/""4u2Yf_F%sfDa>'e^i@'qU5Dm!S#Tsd0.eBdacqE
+ec45(g=FO"U4<~>
+36BCpdETkXc-Ob^bKJ,ScHaYVbKeDXbK7iIb0%iHb0%fGb/q`FaiVWEaihfH`Q#s=`PTL3aiaS(
+(s'bBd*U+bc-=PZc-b%je(*%$f>l1de'S'A(X^UWdaZk!e^MsodaQ^qe'ZLfdF?[peG[qtf)O;#
+ec=8"e.pNbe^N$te^iC*f@JO)f@JO'f@ej0rmh,%f_sA$ec+/Mf[n[)f[ed,bJ`#`e^rI&f%%pc
+d(lQL^sC<HaOSnnf@SU(e^i@(f%&=MeGdu+f%8HFMOViDf@8=#rmM##f%/C$qpbbte("BI#Lq5O
+eC;sqdf%Sndf7]$daQ^qdaHUndaA'@"4GZHd/M;jd/;;jdK\+FcHXY\chbodc2l8:rQGDebK\D]
+qToJnc-=SY`6=^$~>
+,Jh@HcHXPSaihrRbfS#Nbfn5NaiquPaiMTHbfn2Ja2Z'8`r<sW`t-2/a2uB@_o0O5_na(+a2n5"
+(rjP<cHa\ZbKJ,RbKeJ]cdC1ie&0>Tccl@5s32;(cdC4id*Bn[c-FY]cHXSWcI(%cd/DAldf7_p
+dK%\ociVVCdJhGtd*^=kda?Ijdf.W#e(*!udaHUoe^ONG.+$Agd*g=fd*gCpd`B8Rda6Cic-XbP
+_8j$VPIJQN^V\=FdaQ[ndF%p@s3^kn!7Ceo(=UdZRY6sGeBuReccs_[dF-Ijd*^7frm(kqc-FY^
+d*L"_rm:\krm(Me$d6]7b0.uMai_fNbPo]lcHjh^bfe2Rc-611s3(_nc-4ARbK\9-b5]Wcbfft,
+'?A2:c-FY\bf\&MbKS2RbJh3=SU^~>
+%F3>Nda6@gcd9qZbK\?0cUZC0c-+8Pbg"ATa32`OaiVWEa3)NEa2lBB`Q$!A`l#[2aNMfMb0/&R
+a32cTd*^4fda?Fjf%/C'f@\]c_pHr`eC)dpdFJ6I%+s7cf@S^0g"4d(e^jWM!nuD`rnIM.rn@;)
+5hal@e^rO0g=b37gY1<3g"bE>gtLK;h;$c<gYCQ9g"Y98g=Fs9i8)l%]%#Wog">$7e%EE6]rIO9
+d*02<g>Dna4keTCgY:N<f\5'4g=tB;hr3:cOJC=bi8!&?g"P07g=b-2gYUcAgY1B9g=b-3f[na-
+f@JR*f\+m,f%8OQedpBbf[na-f@JL&f%A[.f@KrQ!nPoPrmhe6eC2t"g"G$/e'ZOje^i7!e'ust
+rQu8,e^rC%e^rL-f@JL)f\P6-f;!i~>
+%EHW<c-4DWcHj_Uaihs+c:61,bf\&Kb0.rL`lcNKaN2EA`lZ<A`lH0>`5Td=`PTI.a3)TIai_iN
+`lcQPcd:"bdEg+deC;stf%8K__U$`\e'ZRld/DB$eCN1"eCN7&eC)amdf%\qdfS(Nf)F8$f)F4t
+ej.d7d*^@pf[n^+f\"g+eCE1'f[n[(f@\^+eCN7&e(*(&e^`*tgY(-$^9c,<f[SC"f?Un:^pp5+
+]$&.(]%,O6ed9mVe^iC*f@/:#rmWjTeC`L)Sr&u_gtL?0e^W."f%&:!e(34(e^W."f%&:#f%&:"
+e'cXlda?Ihd*^:idF-Ile("BG&(8kPd*^=ldEg+acd:(dd/ME,d*L"_cdC.ecd'bXc-XkacHab`
+cMbs"cHt"ecHjqge^MplcHakaa3C-)~>
+&&6$+b0/#Qb0.oIai_fMbl5dVbg"ASaN2KHc-4;Ja2l<>`5BI0`l>s8`Q#g4_o9[6^q[\(aN;KC
+aNDWCaNMiQcHXY\c-4J[dEp:he'bV;bL"S]c-=SXcMl/id0e7HcdC1gccs\Yci2;qd*L%cdaJ-D
+!7Lkor6djXccjY[daQXldaQ[nd*L+geC;spdF6Upda6FkdEU"ad*L"\cILImaL\Rue^VmhcI'\9
+Yd^g+N3^@9Z*_j-rmEIId*^:jeC)[jdEp7fd*^@ocBs6MaO\kfcd0n_d*g=gcd1%ida-4bcd:"`
+cdC,=ci25icPFgMb0/#QbK@uNbKS,Pbfn8Sbg"J]cMPfdbKBh-rQ5\qcHa\YbK7iJbg+GTb08,R
+rQ,;fc-FVZc-FT4bQc>9cH3oHT7?~>
+.F-;jda6ChcHXMRbg4V\c-4GYd*^1`bKA#Qc-4>Obg"ASaN)<@aiDC!_dLI(aiMH?aN;NFbK\;T
+c-FAOc-XkddF6[teCW@)f%AX/frMO(g=Fg(e'ugsf[na-g"G$2gY:E6f%A[1gtLE5g"G*7h;6uC
+gtUN9gYCT?h;$]7f@es8gY1B9gtUT_gcX?Ef[ng2gY(30g"Y64f\>03f@8L5fuh(<Yfu"ahVR/K
+e@`ZIcFBIehqlW#i8E;Bg=b36gYCW?g>(H^g'u`hhVd"[O/1=ah:^H5rRqe8f[nd0hVHr?g"Y<:
+g"4mUf`p*[e^`:(f`'J$f*^*Ze^rL/g=Y!-fDaD/f%&@'f\+m-e^aZM/(N.ueC`L/f[\I!eCE1%
+e'case^N!se^`7%e^N!tf@eg.f%/R1h:U$&U4<~>
+.EBTXc-4GXc-4;NbKeDXbfe5Ucd9t\b/qcKbK@rIbKS/Oa2Z*<aMu0s_I1=%aN)6;a2l<Bb08)P
+bg"/Kbg4Y`d*gFld*pLndaZk$fW)=$g""U$daQUmeC2mre^i:%f\"d*e(*%$f[eR$eC<%#f\+p/
+f@JI%f%8O+f[nX#eCN=,f[na-f@JOPf0%X6e'casf$r-qeCN0ue(3.!e'QY%d_iSuWPmECf@S[/
+c*b1-a0CuIf[n-\g"Os+e^W."f%8R+e^rCOeIC$Yg"XrGMP&8Mf[SC!rRDG.e'c^qg"4a&eCN7&
+eC<%Jed9jRd*U4gd*L+ermD/$d*U4jf%&6sdF/$C"OYN?cd;[=s3Ubm/'uVfcHt"fd*Bq]cd:+f
+cHX\_d*Bq_d*U1fd*Bq`dacjqdEp7ge'5kSRt(~>
+.DNdEb08,SaiMKAaiquOaN)BEbKS,NaN2NJbfe,Ia2l<?_ns7,`5KOk^bEXD`l5g3`Q#m:aNDZH
+b0.`Cb0A5XcHt"cc-XkbcdC4le>BIie^;^gc-FPZdEp8>d1"CLe'l^kcHt"he^MqFclCH^eCE't
+e'cUjdaQ[peC2dhcdC7me'c[ne'c\Ddlc(*cd'ncda6:ad*^1`c-O\Wb/_`Vbe:<]UVYI3dF$Cl
+`iZSc^T!:)dF#bCe()gmdEp:gdaQ^pdF6PCd36lae^hs2KUL!5da$+^cd0tcd*L"`dFH[jc-F\`
+d*Btarm:qrc-4DWcHZ@3rlc2%b0%rRd*Kt[bK\AZd*BhXbg"GWbKA!,b94sLaN;]QccsYUaihoR
+c-"/Oc-4>QbKS2Tc-4>Rbg"B2b6Q;<d*B\Hae""~>
+(!k=^e^Djkbf\/Ud*^1`b0%rRcd'f6bQuJ:aiVfPbK7j)aW\^E`P]U3`Q$!AbK7lLc-48Lb0J>W
+c-FDRcI(+jdaQb!rn%2$s4@e8g81ghhU^90f$i1$g&0S(gCi2lf\,!5gt^Z<f\,!3g>(N@h"ob>
+gtgiCgtUQ:gYCW?g=b39hr!5Cg&9S'g&BVPg"P36g"YBAg<e7#d`TPC\_?'$gtpoGgWn:+fY4-,
+j5\eCgY(02gA]h,h#?%2gtg`=gA]h9gtgPUPH*<lg"+a,g=cJW#h[h`f\,!4g"?;X%bT@af\"m0
+f%&='g"=p/rmqn;f%&:#f\5!/e^iC+f@83uf@\d1f_sD$ec48$eJ-Tdf[n[&f@\^*e'ljuf$i*t
+f%/CNe,e"Jrmq)!#M7_ch:U$&Ujr~>
+,08!Yd*Bn[bK7rQcd9t\aiV`NcHXSVbK@uNaiMQIbf\#Irl?8&`PfX1_o0O7ai_]Gb08&L`lZKN
+bKS5Ob0A;]e'ZUneGdqsdLXjYg=`:$`SK(pf%&3ueCFNK#M7V\f%&=%fDaD0f@JI$e^W.$f\+mQ
+eeH`gg"=p-f@S[.g=b*.e_&U0f@ACLe,RqsdjW_rf$r7%g>(9'c.'qS^:1Drg=Xs-f@eZobh:CQ
+SB0L@dEg=kdF?_Gec=>$ecaUWf%&=Med^6`d@H;oeC`9udF6XqrmD)$eC;sseC2jprmh%t%+NhX
+f$r*od*pFid*r!B(":RWcd:.ke'ZOie'uglbg+P]dF-JAdJqSndMC3UcHjk`cHakeda6:bd*^7d
+cHjncd/M?%c-Xkcda?FgdF$Ckc,IhrJ,~>
+!l2e&rlktra2H$@c-FPT`Pom>b/qa(aU-/7b/hTDaMu09rkots_83q&_8=+/a2l9?aNDWD`5g'F
+ai_fGaNMlUdEg1edJhMmcO\FOf%$Fi_:d5_dEp.ad*hpBs3gqr$.7,HdF-Lne^W(Id07nEe'ups
+qU,MqeCE'trmD5(eCE'sdF$Ipf$i$nrQkMjrQkMj--jc\dF6@X`6?36\?W-]f@8-odF6@T`6l]1
+Pebi#bK8&Tc-Xl;dK%bqdKJ%Kda?JAdM^N`bEn$WcI1"]bK\AYc-FV\d*U+cccs\Yrm))!cHjka
+dEg(]bg4V[bg$.2(!XqEai_lSc-+8Qcd:"^aihoQcHjc6bQ#`bbl>g"bKS5TbKA,VcHOGRbg"DT
+b0/&Sbl5craj&,TaiMTIcHsq`a1o]gJ,~>
+(XCI`e^;^hbfn>Xd*U(^bg"J\ccsb\c2PpPbK7lNbf\#Jai_cI`5KX9bKJ&MbK\;XcHF>Ob0/#S
+d*^1`cdC1ie^W'tf%/I*f@\a-g=`3r^Y%#dg"=g+g&B_)gDJYtf\"m2gY1B7f\+s3g=b05gYCQ;
+g=tE]g]-(.gD&>ng"P9;g=b6;h;$`:g"P37g">!Wg*kY.gtUE4hVcSmb2D(!^:(N$gY:N>gtgc<
+gZ7&%Us\2^gtpc:f%A^Sg],t,g]#kFgY1B9gt8HiYMS*gf@\g2g"4j.g"P-3f@em3r7M&$/_8J(
+f@JL'f\5'4g"4g+f@SR&e^i:$f%/I)f%&6uf@ej0g"4g,f@JL%f@\^Sec=>$f)O>,e^N!te^W'u
+rRCkq"OtuOe^j]Ls475'"Pq_Te"hK~>
+"NS^8d*2I343Z!rccsYVbg+P[bg"DVbKJ&MaN2TKaiDHCaiVT@_o0U<b/q`IbfnAWb/hZGb0/&U
+d*Bh[d*^:ke,@\re'ukGe-agYTqf?Rdad"%e,7esf,<5mf%&=%f@\^+e^W."f%&:"e^i@'e^`7&
+rRV##rmh_4eC<(%f[eU(g"=p,e'uq!e^XTI.b*"ue^rC#eCr]u]Z/^V`OE"Rc-t.kf%&@%dF@"#
+\"1[rgst$*dF$Fnr7:nts472!(Y7-ef%8BDP,d3feC)gre^W$qe'upte,Ieme,RoAe'capdEp:i
+e'c[oda?Ijda6=edEp7fdF-Ijd*Bq`dF$>?dJqW1dEp4fe'cUgcHje^dF-IicHae`cd'o9ci;5l
+cd:"bqp>Yqcd1%b`6"R#~>
+'YhT5c-4ARa2Z3Dbfn5Na2lBFb/jP's2m%:`l6$>`P]U3`Poa0^r"(3aN)<Ab0%rOaMu6?aN;WM
+cHODScHjkcdEp7dcd:(drmCbp$D!g"e'67gda$7grmM2'e'lamd*U1ge,IbqdJhQ$dEp7fdaQXl
+dF-MBdf7eqdOESjdF-Rpda?Loe^MpmdF-Lld*L%bcHsn`dEfqXd*]M3^!k9@Yc+SErm2>,cd9t[
+c.0t?QG_8(cdC"\bg+T6d0.hBcd:&<cPP!Ud*^:dRZ+&kda$(]cd0n]cHjkbd*ML4s3Cnpbg"DV
+bKTt2,L+QZbfn>Ub/qfLb0%oPc-FSXbKJ/UcHXYYbKS2Rb/qlPbl5cpbfe2ScHaYVb08)Qb09h-
+s2bVkbfe8UbK.cIbK^%3"3A3tTR[~>
+#0kNIda$.arm(Mh#0tK=dF-Ijrm(Ykc-611!QrU^b"'Li`5g'IccjPTcHjnbbK7uRcHXY_e'cUm
+e'c^re^W'te^rI+g"=p0fqP4LbKnemf@JR-g=Y*5gY1<3g"G*5gY1?5f\-8X"52>[gATb,gtVh^
+s4dM+s4@>)rS%;+!SuK/fJ;19gtUQ9gYLW=f\#$8dFI+2a1]XSh9NgE\&ctMhV?o@gYLcKfXmg&
+i8NMMgXk'0g&0S'f`9b*fb3#lf\5-:WLC0PgtUN8g=k64f`'S'fEU$_gY(30fDaD2e^W.$f%&@&
+f\+p0f)F2#f@KrO"k;)Rf@JLOe.(!]g"=s/f%/I)f$r4#r7Cnus4.(t%+EYPe^Msoda?Oof%0fM
+!7q/"#2._efZhg<J,~>
+$-(*6bK7lLbg"E3c3DP;c-Xkcd/M;lc-4B1aoTW,qT2LP_SaC9cHaVTb0A5YccX>Pc-=JWdF-Fg
+e'cXle^W'qd*^=leCE'te^^@e[E?eGf@JL'f@JI%f@\^*eCN4&f@\^*eC<%"f%&:!eCFNK!S>p%
+ec45!ec4(ueG[qtecFFRrmNXQf@SU(eC<$ue^N"#fZhgtgV^SAh:BWVXffI]dFQgteC<(%hU/]u
+aP#:ug!nEte("<GrmUqurmVS2eC2t"fVFe8gt1-,eCE+!e'n<GrmUnqs3hG*dF-Ope^Djnda?Fh
+dJhPpe'\0A!RfBpciqbBdF-Fhrm1Sks3MG*d*^:idEg.ddaHLgcd'h^dEp8=cOA+Dbg=Y[bg"AW
+d*^8?cjS7Ld*U+bd*p:Xa.%S~>
+$,4:$aiV]JaN2L&ao]]+ao9KabPoWcaiMU'a8s?$qSbh=^;7b/bfn2LaNMfQc,doHbKJ&Ocd:"_
+dEp4de'cXic-F\`dF-FhdaF\WZ,Oi4da?Fhe'l^meC2jmcdC.gdaQYDd0J+Ke'ZOgd*_g?!RoKr
+dJqYnd/qY@dJ_MndfJ"Irm3FKeC;sqd*^7dccs_^cc!oPd($9meBYh5Vl@>KcI:1ecHaebf?(.Y
+_UI#]e'?.\c-H75rltMirlu/&cHX\_d[lMuf$VjicHjh^cHlL:r6Go#cd'e\cd:%`b0/#Pb0/!-
+bQ6&7rQG8brlPDdb08/Uc2PrdcMu,pbfe2Rbfe,MbP]T`b6#r4bl,^(b/q`Kb/q`HaND`Oc-4DT
+aN;QHbg+M[aM#TbJ,~>
+A'E9LcHOPZdEg+`cd0n_dF?^rda?Ihccs\Yc-FSUair&Tb0%iH`5fsAc-OYXbg"G\dEg(`d*^7h
+e'umrf%&6uf@JL%f%8R+f@ed-g=rL#YIi$2f%&I*gY160g=t<3f(du!f`Bg]rn.;*r7q;)(>IX"
+gY1?6f\5*7f\"p5gtLE4f\,!5rn8sYh;6o@eC340cI1V-d)XDce^Ma[]>)VEhqHl?gYLcJf"%?r
+hVd/DgtLE6g&BV(g&B\*g&B_:g=b*0g"k\hS@.D4gY1<4r7M\6f%/L-g=tB8f@JR,g"=m+ec+,+
+e^W.#f%&:!e("<H"k_GXe^`1KeH"2"fE^$YeCE.$e^aZK.Fm&&f[eU&eC2msf%&0pd*gFld*U1g
+e^i=%e'uq!e^N!tg>:c?bg<#5~>
+#0"X-`l6!ArQYAf<mAq:e'ujod*U+abfe5Sc-48MbK\8QaiMK>`lH3FcHOGSbg"M]cHOS[d*U1g
+e'laqeC)dre^W$qe'ujqe^N!ufVG:E]$&^UeC`@)f$`$uf@JF"pt,Mq"P2,Qe^j`O#h[bYeCE.%
+f@KrO&(B([f$i*uf@SR%daQ^rf)F2Of%8L&f$DXog<.^qgW[OUf$;LX]!AfadaupteC<(%h9WBm
+`n/nne^`-teC=KH!7_"u!7_#!&(T1XdaZq+VO+ODf@JL$e,7]+da?Ike^N!seC)ameCN1!rmLho
+!7:\j"OPK?cHlF9"k1oId*U,<d/VMncj.nAcHstdd*Vd<rQlk9c-=S[cHstcbfe2SccsYVbg"M^
+dEp1bd*g=fcHjkee]u(PR",~>
+A%f_$`5]m@b/q`Hb0%iKbg+P[c-4DTb/h]Hb0.oF`5g!@`Pod4^Ve%2b08#Lai_fPcHOGTc-FV\
+d*^7fe'cUieC2jmcd:(dd*g:fe't%_WO9aod*L1geC2aie'l^icMQ&he,@\sdEp7gr6t\m"jtcI
+e'cYCcjnLQe'QIieC;pncd:(fe,IepdjiYiaN)WS^r=aK_778)`PfEqXg>mjeBcIdcHt"ja/b<;
+dF6Cfcd'e\cMl&gcMl,icMl0?cd'bYcI1@<OfI']d*Kt]cHab_d*Bn\cdC+ddEp1`cHstcc-+;S
+bKJ'-aTTc1bKA!)bPoccbl5lecMu,obf\&MbKJ&NrlHV3bg"DUb0%oMb0/#PaMu9BbK.`EaN;WM
+c-4ATbK7iHaii#YdE'#?Rt(~>
+&^A\QccjY[d*L%bdaHOid*gGCdfe+Hcd'i8cj%h=bKeJ\bPoTe`lcEEb0L"46-d^#dacjocdC:o
+e'ljre^`1!f@JL'g=k63f%AU+h;PQ<X0Bb$f$i=(g=k32f\+s1f\5$2f\5*8h;$`;g"Y9\g/$JZ
+gtUQ8f\,$7gtUT;g=tH?gt:63gY193g"P37g=b-5h;@,Hh9F!ihoX-tgWm[Xh:pc=c+q]\hV-H3
+h;6uBiRPT:dbim5g#(T;g"HAW!87>*'&D?tg=b*0g"k_jS[[\6g=b*/rn7>("P;5Uf@g/X!87A(%
+GBCcf\"d+f@SU&e'unFdgssYf%8L-g"+X$e^rF(e(+HL"4boNec+,?e^Djof%AR(eC2jpeCN4"c
+d1%hda6@ge'uq!e^FEG$I[>Mf%f3Bg!/!>J,~>
+&]Vo:a2Q*Bbfn>XdF$=ecdC5@dKItEcHXW5cN_\:b0A8Xb5THc`Q?3Aaj'h16-[TudF?XkcHt(k
+daHXneC;srf%&:"f%/C#daZapg"ia.W3==se^E+$f@JL%e^i=%e^rC&e^rI,g=b*.e_&ORf*g6b
+g"=p,e^iC+g"?;U5h=T@f@/0tf%&3teCE.#e^W(!f\+m.fZD%XgVq:df?1bDf$r9u`4*h:f$_ai
+f%8L&g<R*sbLkCmdFZsueC=KH!7^tu'%kgee^W$qeC`ZVR'PW"e^W$prm^ts#h%,JdaZdqe("BG
+$ImVUe^`-rdaHOgrltAd&'rVMda?XqdE^%adaHOgcMl,lc-FY^rm;b5c-4JZd*Bn[bg"GZdF$7^
+b0A8WbKJ,Tcd:(dc2Q#sd*Bn\d*gLrcc!qoJ,~>
+&\c-*`Q$!AaiMTIc-=JTb0801bmqt@b/qcKbg">M`lZEH`r<m[_8X@2a34J+6-IBocdL4cbg+Yc
+d*U4fdaHOjeC2jne'lalcdC+df%HsrUT28_d*:%ee'l^jd*^7fd*g=gd*gCme^W'rdaQ\EdL4OS
+eC2jmd*^=leC4EF5h"97eBlOhe'cRhdF-Llda?Fje^`-rd(m65d_!6;beLHoc-"8P^9Y`*e'H+[
+d*^4ceB"h[`R<,VcIC7dcHcF6!7(Pi'%51Scd'bYcI1C>P-!?_cd'bXrm(Pi"4#09cMZ&gci;Al
+cO%n@bKS2RaN)?Br5oPnbg"GXda67]b0A8YcHFE1bQH#0aiaV+/BZ#QaNMiOb/q`FaN;WKaMc$;
+aiDB>a2lBFbKJ#NbK@lE`lQBOeC)IQaIIb~>
+(!P%We'QFfd*L(ee^W!mc-OhfeC)bCcqVs9d*L(acdC(^bKS2Ob/qfOe'umrda?FgdaZ[ldaQdt
+f%&-se^i@(f%&@(g"=p-g"=p2i4#niY0,SSeCN:)gYLZ:f@es7f@JR*r7D#'rn@h9gY1?7gY1<3
+gY1B\gBQ?`f\,$6gAKY'fEBm]gYCWagbI[@g"kDuZGP/*^!,!L^;o0ghV$/df%o3<gtUW>gY1T6
+\YRa4hV6c<f[nd0g=b36rS%G.f[ndSg'-9iWh$Z]rn.b5g"Y65f@\d0f[nd0g]#q,g&BSAf\+g)
+f%8O(e^i:"eCE*ueC<($e^r@$eC2tIed0gUe^rI)eC2tIf-&VldF6Xre'lgseCE*udaHUpe^W*s
+e'ujodF6Upf%/CNe-OXWf\#!2bgiG<~>
+'ue;Bc-"2Rc-4J\eC2dibg+Vbe'ZP@cV;g6cd'k]cHskZb0.uKaiMTKdaQ[ndEp4cdF$:ccdL:l
+eC)[je'umue'c[of%&:!e^W("gpF/]Xi]AOe(*($f@np-eCN=+eC2psrm_V1e^i@)f\+p/f%8R+
+e^W7'fDaD(f%&=Mec=7ueGdo"eCE.%f`'JWf[\F$e[quudCHg/d)WZ3g"4j'`3[b>f$r3ue^`0u
+fup[lc.LXte'lane(*!ue^aWL"4blKe,@f#fA!-hZf(i4&(B%Ze^MsqeC;sqdF6Rmdf.brdLt$Z
+eBuUidaHLgcHaYZcd'h\chu-#cHXY\d*U+`bg"J\cd'h_rmDA)c-4JYc-+;Tcd0tbcHXVZrm(tt
+c-=PZbfnAYcdC/<cj.nBcI'nSbF="~>
+'tqK0b/qfLaN)EId*KqXaN;]PcHXT3b95'Tc-4AQb08#J`lH-;`Pfa=d*^7fcd'e[cd9q]cHt#=
+d/hM=rmCnuda6A?dJqN3da?Fkfrq<KW5R<;cHt"ee()socdC7lcd'k_r6Pu&eC;sse'cXldF$:b
+e'ZVCdg"4Hd*^=kdeqMlciVVCe,Ikrdj<>`c-*AfZcB5O]u@Xe\'WIHb.k.&e'l^lcHjh^c-sY3
+QGq7urltbnbg"J[cHji8ci_V=bg$+4"jtkmP-*I;c4eIJd*Kt^cd:%bcHae`cd0tbccuF6,g4<Q
+bfn5Oai_`JbKJ&NbKS5Tc-4>Pb0/#Rbf\&Mbg";PaNFM+"j4m*aND[)aT'B^aof`*a2n8%(s'b<
+aN2B@aNDZMc-+/HaNMiQbg"/@admq~>
+,L4]jeCE'sd*g@ie'cXlda$Cjc-Fnkcca\^dF$Cld*gCici29(cHXVT^:;86f$W4'eC2pte'lhG
+ecF:KrmhD.f%8L'f@S[,ec+/=gY]K>U8ZAog=4^+f\GB=hVd5Ch:gQ7f@nsXg]#n,h#6"-gAfh*
+g1B$lf\,!2f@\^-f%&C+g"+[+gY(32gY:N;e_Ap1bgt1KWPI,t\B3=I]YWC]hUp#ag#1`Ah:pW9
+gY:Z9]Vj<;h:^Q9f\"m2gY:H8g=k63g=Fj.gY(64gu,9+[bo`jg"4s1rmh/'g=cJX#hdqbg=t?7
+f[p,Q&_,Caf@AF$f%8I&f%/C&e^`7LeHFIRf%&=Jedp<\eCE1'f$i$peC2jmda\9Hrm^qu$e3YU
+f%/C!dF-Opf)F5"eGRl#g=FKsTR[~>
+5/tapd*^7ec-Ob`da?FhdEU1fbg"\gcH=JZd*U1fcHjn`bg"GZc-4DP]sl#/e'?RpdEp7gd*L.f
+e'l[jrmLhq#1CoHe(*($rR;\:gpErNVTdlLe(*($g>1E9h:gH5f%&:!rmh5&f@8@%r7Cu"s4./$
+"k_DVf%AURedU'Vd*gIpda6OqeC2qHehGV"e^i!`ccWDc]$e$n`6uf;][kced)36;f@JF#e'c[o
+eCi*ST[)3@daZ^mdaQ_FeMG_*e^W$tdF$Ioe'c^rg8::Bg=+U%dacgod*U4ie'cXidF$=heC;sq
+dF$=ecHt"fd*Vd<!6tJf!6tJf!6tMg!71Yi"O56;cd;X:+jeZeda$(]cd'_Vbg+S_dEg+`d*U+`
+bg"GYc-"2QcHsu8cj.k?bg=SOadIY~>
+5/"h[c-O_[aND]Ncd'e\c,e;VaNDrZbK%iNc-FY\b08,Qai_fNb/qcE]=#W)d`g7jd*Bq_c-=S\
+d*L"^rm:Ym!7:_k!mo9<rm2k=f<:m:TZ5U3c-OeaeCW.!f$r'qdEg+_dF$=fdEp:he'e6C:XIG5
+cHjnccd0tdd*L(bd*Bn^daHIddaQUid*g=hccXS[`4<auTpDk#Wi*AI^TFige'Z@RYftPCcd:"_
+c-FV``N5BEccsYXbfe5TcMl-3cHjh^bg4JUcHjbZc-Xq3P,ZmRc-=JYc-+;ScHjh^rQQ#"cHjh^
+bKS,NaN)HIbfe2PbKS-.bPoZab5f]aaT0K_aTK]/b0'_,rQ-/)bf[uF`lQ6A`Q-*CaiVWEa3)QH
+a2c<Eb/hTA`lQ=%b7)P5`Q?<IbKA#H]Z6Om~>
++je]ke(3*udb33ucd^Lsf$W-o`66lgcGn2We(3.&e_&RQe.gK`eB+n]Y/&#idb3=+f\5!/f%&@N
+f.,P-f@nm2g"4m,g"P*1f\53=ZD!YYb2(h(f\"d-f[8@'be_W\i7uu>g]#t0gY(9Zg.gAYg=t<7
+h:^Q8f@ns2f\+p/eC<(&f[eX.gtLK:gt^Z6ak5=k^X(03XM`c,]?K*]]tW+Xhq6,bg>UoBgY:E7
+gY:]>_Q)/DgXb*3rS%;+!8@G)*7iWof@Sd4g">!5iN8`ZgtCE6f%JU'e^iC+f\$2V!nc,Xrn@D*
+&_>I]e_/X,e()suf%&C)f[n^PeI0s[f[na+e^i='f%'`Ks4%D+eC)ane'cUjr6u2+f%8U,eC2pt
+f@SO"e,Il.f$r4"e^W."eCE4+f?DU5J,~>
+43,OpdFHdpcdpUlcI::oe^2pk_ogZcc,IuSdacptdF?^od*U1he^N!gY*Z3&_7@kAe^W(!e'ZUj
+df.]Df$r1!eCE'te^`@,f@8@&g=rg&Q(H(QgXk*1f%AU"e^V^Tb1GD"e,Io$e^i3ueGdumf@\X*
+e^rO+f[\L'g=Y$1f[\Brdacjqdb!.'f@\^,e]ktXdDNH7`ic2Pe@E$.g!R=?db<="_mIkEf$Vpp
+daHXpg=!X/ce-dpe'e3D!n>cNrmMn8cdpOme^`*qdad'KR'"ogf$i$rd*L%`d*^4dd/M>lcHuR>
+s3_2"cHXY_da6:drm(bmcd0n_c2Pooc-4JZcd9t_c-4K4d/M?!d*^7hd*9h\ccsYWrm1Vks3Ceo
+dEg&9bQ#j&bK7rQcd:(ccd:(dcd'bXcI'nSa-_A~>
+B>2:/c-aq_b0eS\bgFkge'-@`^rY-ZbJVQKd*pLlcI((cc-=S^e'ZR_XHfft^pqY=eC2god*Bt^
+cHjh`e'ZRme'ugmd*9ted*L(ef%-miO-d]6e'HCfcHsqYcHX58`6m,`c2H!gdEp4ddEg.dda-4a
+cdL.cc-=V`d*U4gccjVZda?CeeCE$re'l^ja1KI8\Z36MT9uh&X/W_V`il\mf@8*]Z-:VAbg+S\
+cHjebaKh5PcHOARbl,cfcHji9bo4dId*0_[ccjSVcdSJIV9R3.bfe;Sai_fOcMc!&bfe,Oc-=JT
+bK.]B`luZMb08&Pbf]n.!6Y;_%a)l7b0.rMaN2NGb0.rMrlH>)aiVWC`5]j;`Q$$AaN)?@a2lKH
+a2Z0Abfe,J`lQ9EbPoTb`l6$uap$#4`4NsUJ,~>
+1sO=lbfn8Se(N<takPV'e^iBl]uepXbf.fUf@eg/gYCN7e'c^rg=k3%Y)81%Q^+f!gu&+e$JO(\
+e_8m5gtUT?rn[V0+4T!"gtLK<iS:Q(PF/c2iSN8@d)sAC]We&rYh8'sh#5k7g"tT?f@ej4h:g]@
+gtVh^F5,U-g"P68gY:E5eBc_'gXt?AinWMJcF_EM_mmn>`4*M2^:__Jf>58Rio8_9]%Z)ug"YB>
+gtgW?gW6PFgtUE5g>(K;g"Y97f[n['f%f!4g=tH<g"YMbRBtl,g=Y!/f@JO)f@\a/g=tB8f%8U/
+g]#q+fbE/ke(*.&eC2q"gY:B3eCE.%f%8RRf`TjWf%'cKrR<OMda?OneC2gldacpudF-Rrf$r3u
+e(*+#e^i:#e^`0ue^N$ue^N$se(3=1f?M[6J,~>
+6H$mfbKS/Pd+6^kaP#>"eCE0h]ZA^TbJ_TQf%AU(f\"g,d*U4kg=k3%Xbht!Q'&/hg"b97g"+U!
+db!7)g"4m1rn0*]gXOm2gXk'2h:\coOI!9+iSN;Ad)s>?\uqTgX4-"_f@89td*^Fre^Dssf@\X,
+g=b-Xf4WakgtCB7g"G$/e'Q:dgXk!/hVQl>f>k8=aLe[obe:9lcFC@*gXEgId+[7'_m7bEf$`%!
+f@JL$g""!=c.CLodaZgteC)jseC2jnd*^IqeCE("eC)k$TouP4f@A?ue'c[lcd2U;rm:nqc-F_c
+eG[i9daQ[lcHt(hccs\]daHLdbKS5Wc-Ob`da6=cc2GrecPk0Vc-=P[d*BkYc-Xkac-F_`ccsYU
+b08/RbPo]cc2Q!!d*BtbdEg(\bKSD`cG[ejJ,~>
+I([24a2l<@bgFh]`n8tqdaZga]#N:Lahl0IeCN0ue^`0tc-4M_f\"crX+uOoPE;idf\>'1f$hsi
+cI1:le^`7(f\"g,f$)Rof$`!tg=E0cMik3lg=F^"aMYa"Z_s+LV9RcJda-4`c-FefdE^(bdaHIg
+da?Cfcd-(Je^W!pf$r3uda67[ce-apf%Sj,f$M46^qd7Q\\bYLY/@?B^<k$1[`m@UdD<$1dEg(a
+eC2joc-jhHT#/dtb08/Wcd'e\cd0k[bKA#Ucd'k^d*Bn]eXDDme'?7`bg$(0s31Phrm(blaN;WM
+c2Gg*b0/&Pair,Wbf\&Qd*U%[aN;WLbKA&Rbg">Rb5KF=bK@uLa2c0>aN)BA`lH9Ib/VEAaN)<?
+`PopBaN;TIai_`HaNDWIai;?AaiVcRc,I?6R",~>
+"eqfjUm[MIQuSXeS?9*,^rOBuUo(H'Y,nn>\[8N?WhZ8h[Cj;j]=YAFQA(*JHut@N`QcQNd*gCn
+g=k#taiMTKcdLCuhTj9__8=+2cd&;SQ'IukhpfWf^9XoN]!866\'!(Kj5AqZkht@Yj59(Yg=Fa+
+g"+U"9[q_Ni8!)BgX4Bre'>_)Wl*QIg!e6caiCrcX1c!>Z+[?9Vm;neZc'_l^sq8teA\oKi8NVR
+jPo+Uh;@#5ZdIXegtLN7eCN=.gY)SX!8.8*)V`p#gt^fJVO"OIgXk$-e_&R/g=b-2g>:fHrnd\2
+$es@gg>(TBg==^)gA]_*e("BJrn7V0eC`@&e^W4Mf`0J'eC)bDcnNnse'c^odaHXtg=b',e^i6u
+dF?[re^i4!eCE.%e'ZRme'cXid*pRug"Y61bg2o3~>
+I[Qb'U7%:4Pa.]-R]E[$^;e'oU85'!XfJ\:\?i<;WM,udZb+#g]t:VJQA(*IHZ=tF_op0GcdC.h
+g"FfpaN)BFc-OnmhTs?a_84"/cHW)NP`q]fhpo`i^9OfJ\Zi!0[)U><hq[)JinE,BhV.#Ee^Dgp
+f$hskdFHt,rn1*!cHXY]beBmP_V!Ypd*';G_m>l/[]c:%[ATLdXdPZ]^V7+fce@$s^9H&?gY1H>
+h;$c=gXsZOcIpt)e^`*odF?e!eC)gqe_/X-f@JFMf*9paT9-22f)F)*dFHh!e^MsqeCN=)r72D/
+eCE+$g=b$'cdLCoeC2_BcOJ7LeC2did*U(_cd:(frm1_mc-611!6tGes31kre()sqd*U1dc2Pre
+blQ,5rlc)%ccs\Xcd'eZbKJ2WcHjncbJVAgJ,~>
+8s5L5TU1n/PEVB'S#`d&^W+0qUSY6"X/W82[]um2Vk9Q[Z+7Q^]"52DQ%b!HHZG%G_TBj@c-FV\
+e^_s_`Poj@cHt%lfu_4Lrk3TqbfcZEOH5jUg<[OQ\?)X5[&TjpYJJ<+g=b3:hq-K6gXk<7dETk\
+d*9YSbKn\jeC2stbK7rOaL\(C^t.2ebf7?3]WIKkYH"(jZ_WtYW0ERF\@8]ObLY1c\uNs'f%/O/
+g=b-/e^2./`R<8`d*^.^c-Xneci23$d*pLnda?@he'c^sR#7fnd/M9$bg=bbda6=edF?ate'c[l
+d/D6.dF?Xlbfe>]dF$=abg"DXd*^4cbKe>Tb0&!.c5OpObfRrHa2Z0AaN2KEaiV`OdF$7_ai_`G
+`r=']b08!,apcJ;aiMQHb/qZ?`QHL*cNMG.]>L%e~>
+s0+VgRZ3/YEc?)FIY39/OHZ)tLjFW*KS+o5LOt&6MLp;2KSPVSP*:r`KRei5JpN*3R\-(=R@0Y>
+Vl-2Prg%AgSti9i\?2NpQ(XkLYI($kP`q34\[J`L\$E9S_n3:]Y,A;.`l,j?e'?._daQpn_SX=6
+a2Gm;air&UaNDT:U8>3*Wg\g'R^'B5]=kYWWhGW?U7RI5VjW[<R=g3WS!T>,WNi\0VOt'!rjMj:
+$FdRV]tLeG_q*Z#r7qJ5iSWDhfbiK"f\,'7e_&L+g=DgYZ/ONmg>(E7f\,$Xg_\\tg"YECgtC?4
+g"P-2f@\a/gXjj#f%KuT&_Ymlg"P-4g=tH>gtLB7gtUQ\g&K_)g&KY,g"Y01fDaD<e^N%$g=b*.
+f%8O)f%8I%eCN4$e^W1KfEL!bfZq[.J,~>
+5,bH]R>m#VDf0Q=I"?j'NffZlL3S3"K7\Z0Kn4`1M1L,0KSPYVQBdSkKn5&9K6i64R\6+>R@0\?
+W2QASrg%JjT;&9g\?;TqQ(FYFXg=^fP*(j0\[SfN\$<0P_Rd(YXJMi#_SF"/cH=/Lbg"\X]tM;%
+`507/`lZEH`Q,p,StW?pWL8U#RBX00\@JoIVk&j.SX5.oSrnqsQ%"7EQB[DoUo^VoT:)acZa-q:
+ZjX:N]"5/;^s^rjg"HAW*o#K(f%&=%f\4j*f@J<tdaQanR#\9'f[eX+f@AC$rRVt=eC2jqf\+j)
+daQ^reC2pre(*(!c-=\de^aBC#hIVZf$i'tf@KiKs3q"ts3_&"f$i$prmM/"cHahcdEg(_rm);*
+dEp4cdF$=fcdC4jd*L+gd)O%hJ,~>
+I\`g=R#QuXE,KZ>I=d'+O-5lpLO"E%Jq/E+Kn+T,LOX](Jq]5MPEV)dKRno7JpN*2R@]k9R$aD7
+UnjQDPa%K%Sti6f[AopfPb"JDXg=^eP)t[)[^3*?ZE:4?^9t/HW1g#k^V7J&bfIcEbKSDP]"5Vk
+^:Utm_8F:4%Dfru[@<bhZ)*_@LmP:C[5P1dU6g^nR$EPmTp(D#PC7k:P)kK_Tr=laS!9bNY-5+:
+ZEggC['Zm#]$8dVf%&=#eC`I*e,I`!e(2mne'cJ>cOJ:FPDQ3ieBu^oda?IjrR;8)dEp4ee^i0p
+c-=S\rlteqd*^@ib0&&XrmLYj%FEMMdacmtda$@me'l_Cd/VECdEp1bdF-Cfd*L"_bK7oPd*Kt\
+c-=PZc-FPVbKeAWbK.lQdF$=fcH!Z8P^i~>
+ID<:dL4">oCi"'5H?j^ZH$4gtJ8K1FGBS"IG'J@hKRJ2tI!^O+L51VCLPCYCM26qCM2@%@H[(!j
+L51D/JqJZ,Ko1qTQBdJbKTh[gSu&6OQBdJqR@U%KYct==Z`U4'S<]P>XK/7sWN)r!Z+%?JYe8#s
+`l6!CaN)>N`5'=+WeZb4Ul^4[J:ioEQ(FqTXe_5:LQ.+?Lmj<ZR#Q93J:rArH\I?5L4Xo6NfK'U
+Nf]EgPa@_uJu6)raNVoXe^2amccs\VaMu*.^;Ik!]=GJa[Yfd5cHXMSbfRlA^V7Cr^q[@a[(3lb
+]!o,V\%/uT[CX&d^pgJL!4Dd<%)'9b]tqY&^r+15b00e.s31SgbPoU*aN)<@aN2?>`lH!5`5fp?
+aN2QPdaHOidF-Ijd*gClrmLen$J!h`g">!2e]u@(J,~>
+0=S3YKm\5mC2.X-H$FLVG]eUoIr&tBG'.eEFa&1eKRS<"I=6m4Mi*LSMM[:NMuJS5MgU>7I<pEq
+Ll$h7K8"u1Ll7=YQ^*ScKT_RdSYW$KQ'@;oR@^+MYck4;ZE1"$S!9;7WMlVgVPg;hXKo:7XLQ0d
+_SX44`Pf[0]>(qRJrQCrO+Mn3JrYnWSY`<dU6:+\M1^)*PD=dSMK3]bJU;N`JVAc-H[:O/NJ`Te
+N/j!^PEqJoJ>BZj`Q?9KdEBeZbK7oJ`l,X%]YD1g[^<HOZ%[_!b/q]FaiD<6]Xt_c]XkGPY-YXJ
+[Bd'CZaI-DZF7?X]sOiAZMq?5\-odS\@fVh]Y;5#`Q%nts2Y8^`l7qq%E$$!`5KL-_SX%"^Vdtg
+_un$%bKKn,!6bAa'?nbIc-FSXbg"PbeC)[hd*9VNP(3~>
+IC68NLOXc$D/F35H?j^YG]eXqJ8K1GG'.hFFa&+bK7%upH[CI,Ll%+OMM[:NMi*@KMi<LGI!U6l
+KSG,,JqSf0Ll7@ZQBdJcKp.dhSu&6PQBdGnR%0hEXK8J-YGn@mR$!`/Vl6DdVPg;iXKo43WjT[Y
+^:h;#_8*j6]t1qfUk"AoT8\8KI=R<;PaeDEVk/otItiQ&KpRXLPDO9tH@L3\Fao$pIX63lM26qC
+MiNj[OHP`_H_7UW_oKmDcH+2OaMu3<_SEjl\@fG[Za$gBY(;"i`l5j6`l#U*]"#5Z]""uGXg,:C
+ZELC4YHY12Y-PLI\c]49WNcB0s0hs7&[o9a\[oGg_SsL6a2Q-?`l>pq_Ag;)^VRe%^;.Os]Y;1r
+_8*k(a3)NFaNDZKb/sV*&'W5>aiDTPeC2djbJh65P(3~>
+3Ol)@Des<4H@:?sKnY23IsHX*N.-)'KS4f#JVoPOMMR4UQ'7T+OH5]qQ'%#^Mis'\NJW^NI<g5>
+Jp2j!N/idLL5:\BK8PPBM3F3mS=cRIR?s2"NK9<oU84KPP`_#bLln1!R[]FoItWW7NgZB.YfG5@
+eCE.&d*0YQa3;T0Oe&AAM1:,0JUhrjK8lA$Ulg1aLk'f*R>claN-92dJ9l6UG'A(JC1_g?H$44P
+H[YmB%"!&/LmFR)WNEP9XfhZ*-EjGHT9k_-S=G_*OcY]fEc?f6XJi"nUS=3?N/3CQOGJOBLP^kC
+reMkWN/NLKNf]EeM1L55N/EOPNfB!XP*V5nQ'e#2T;&6`UnOHQSGerWROjr!S=?%>S=5t>T;8?`
+XKf+>\@K)[]",Ab^qmh#]Xtbe_TC'IbKIoEaip-&~>
+3j>B/DJO*0G^P!mKnY23IsHX*N.-)'KS4f#JVoPON/EX]Q^42:QB[l1R?iqoNg,WgOGo<ZJ:)m$
+rJ#QXOcG3RMMm=EMi3FLPEqW,TVJ'GQ^*VlOd;T6UnO9BOcPEVOd_l0R?3)MJqf#;Q'[r@_p?WT
+dF-OgaMu-6`kea7R%g+,IY!*%J9Q<kN1-cAO*u_8HZaq)LkCeHF)Q;QH#IP?F)bu+@<m6GF`MYO
+I=-Km2gTLWLR"@%VlR).WN)ttWii=sSsGM)R[B(qNJrjVDJXs'W2?DfU7n!;MhQtFN.c\1Jq\i0
+K`6]*M,f7cMiNp^Ljsr/LkgbAMM[.HNg#H_Od)3#S"?COTUhUAR$X,*Q^3r(R@'>.R?s5,R[]tE
+V5UJtYHkO?['[0G\%KDe]"#5X\A-#(`l#^/^;@pTJ,~>
+3No0.EcH2HIXcp$KnY23IsHX*N.?;-L4t/(K8bqUMi!FYQBdr4Q'@c0R[9.sOHu#nP)b``JUN%I
+KR/?,NffBZMMmFOLQ7CRN0]j#T;&0TS=,\)Nf]NqTq\3JP)t]]LQIsrR$s.kIY<K3Mj9WsX2<0+
+c-FY_ai238_8a<nMjU3-L4"K$It2`hJr5qpU5jPPK6qcnP_amOLiI9SI!9IEEcQ/9Amok-F`MJF
+H[U<iI!U!T@tTo2T;\isZ)=S"Vl6VnU77C-PaIbrN/NRNMed$XUo'o]US"0FO,8OFMi34:It<6)
+JUrE(Jq\o1KSYSJO+r+4KSP;:Ll$tDM2maXNKB?iR@BeCVP0TOS=#V.Q^3l#Q^F,*R$j;-R$jA5
+TVJBaXg#+<Zkp-Y[BmBS]=YYa[^EKR_oTs=_Rd1f_ioT~>
+#E=@NG'S=YKDg@?L4tGCMLphSR#[;oQ&^QQMMd":MNsa)S=Q7;N/s*^Oc>9XQ&giVJWPbFLkh4U
+LkU_KPDt0EJU`)tKnkJ=Jr,\ZQ^O;.P+%u0NJ!.GMiWmYN.cM&KT2"GLk0bjGC"RcN1$omgXt-4
+gXk--df.brg-X9-\#c6cL4+Z2LO*uXCiF`QL5h[lNe34]P),*[HZF7VI<Tj\H[^9[BR>/UHZsa^
+I!L$bH#mbTMhcq>LPUV2KDpN_Lk:#$J:WE/K7&9(K7SJ_?Yk=GI=$9bG&M&*?XmqqFa.qCBk_L2
+J:E0+KmeAsH$=LWF)uMOrHU&?De`rtC1h'd?t!JQ@q/tU?X6f:=^5<@>?bQJAS,[oC1LdcBl%[,
+F*)YTJ:)kGJeNs"NfApOL5(PHR%9h?U7S3lb*[\~>
+ItW2_Fa/.WJq/B&JVJl7NJ`=IQ^EeqQ'IA`L5Lk@JrH%gU7e6VS<B/(Q'[YpOI;;nLkV(RN/W[^
+PDk?YQ'[VfKS>&/J;/l:LP(JJR@'A2QB@Z/R>ur[M2RFTNf8X;H%_0;Knt;(E-6DMI>F/i`n/_h
+f@SL%cd'nacMuCCc+gQ_SWSVRJVf/.Ec#W3H@U^-R@9(`Mjof`N/r:)FF/CWEcuYQF_bN5IXQQe
+H$apaH@'pYC4qJ!JV8`2J9ZQqK7er0H[:0lK7nf#IXlorH=:#lJ:N#mG^"7HB4G7WC2n68DJEis
+D0C>VIYEH&I!^*]GBRtGFEr-2FpWA7DJ3TmAn5=Wra,V33*olp>$+d'<ENI0='&^:@:Ee]ARJhR
+AS>gqDfBcBI!0jbI=?j*MM[(?JqA]8PaRr,R?jGN`KYl~>
+IYE2dH[pWtLkUJ5JVJl7NJ`=IR$s,#Q^<ehLl@:HJr>qdTqA$QS<B/(Q'[\rOd_MsMhm^]NfK'd
+PDkB[QC*hjKnb84KSk_JMhd=[SXc7CR['G;Rui>`M2RFTNfAd@H\RTCLPg_0F*N%YIu0Jl`R`Md
+e^Vsobg"J[GL"^gcbZobS<&;KIu&l+Ec#T2H@^d-R[K%]M3s9TLl?LoE-HSKEHcYSGA^u:H?jd[
+H@:3eH?j^RAq5YjJqo/;J9QKoJqJc.H?k!hK7nc#I=QfpHXL&lIt2ljH$+7HAn,(TC2n98D.mNm
+Cit)NI=cuqH3ee>FEM\FEcl^,FpN2+B4YRcAR]'H?iOLe@UWVM>ZOm-=^5-3=C5NHA8#dn@UEPS
+B52='EHQPTH@:9nIt`]9MMHk;JqAiDrL*kQQ`IocJ,~>
+D2a3oH@LR%LQ%+HMiNRJN/`ORQ]R)_O-5K[LkL;,IYNlFQ'IGjOcY`hOGo'VOH4pBIt!--M26eG
+Lk1)1Knb,#FF/=[K7nf,JpW69R[B\1MMdddOG8.2IXm*1OGSF0GCG0oEboQ1F*2VQH%D'V`7E_q
+gY^lAf[ed3g=Y3;hr3;;_5N?JLPC8+GAh,-B5;F)G_qE;Q):4DUSa34P+A"sIXcj%KR@lmKSG53
+It3#rI=?Qa@Wd'HI"6s(HZjsnJq&?"H$k7!KnP&,Ko1bDM/?^;It)fkI!TsUE,oi7Fa8+QG$fB5
+EHHSZIXHTqJq/B"H[L6eGB\@aLP^_6FDl#5Df'<-D/O0'@U38G?t!DK?=.#D?".PdCM7?pAmSh[
+BkCpgBkM'lBl%[+EH$#DG^+FSGC+jmJq/B*Nfg!Jd@5X~>
+0S=juH%1I$L5UqGN/i^MNK/aVR$!8aOHPW^M1pM0Iu0;PR@0>'QBdc%P`UofP`u*"'SD=&NfAjZ
+NJ<.DM2Ht3G^k0kKnoY\%"="sS"$"7N/X6nPDT9g/:`D5Oc"X4G^k?rF)>c4EcZ>IJ<$PEeCrC'
+gY16.dact!dam((gXXTaVi:V0>^h*FDeNitC2\$8M2[:WV4a?RVim"%S=#%YI=$QrG]81eLPC>/
+J:DrpIXH0EFF&:[IY<8tFFSmmI=ZckH\7',KS"Q'LPLS=C1(b(I<p3eH?F4HEc,f:GB<b*.s#WM
+H@LBiI=[!#IslZkI<g![H@U^)KmRlYCMdp)CMRa&CM$pW>$P???2\"\>$G?HCM79iAn,(OBP(a`
+@qK:^A7oOjD/F02FEMbLEccSUJUi/qItroL[`k+h~>
+6\^2>Itil@N0'$VNKB$TNfSsZR[&noPa7JnN/3+:JVfPTR[KG(R$X2.QBRGqQ^*>]Lkh"OOcYHe
+Ne`FLN/`U>HiAS5MN!CJM1^eUTV/'JOH?''QAgBFJ:WH8PDk*>I"R3,GB%VDG'J:ZJrceEdb*"!
+f[nU"cdULqdam()gXXQ^V2Bt]KmnGpEG93%CiF<<Ll$eGT:(t7TT"VbQ^!,KI!U?pH#\:aK7nc+
+Jq<oL07%SEEdE(ZJVSl)FFf'qIt2rnI"d<0Kn=c,M2?tDCLV(-J9uWkH$44IF)>l=GlDh9FE2;@
+H@C3eI"-]sIscQhI!Kp[H@Ud-Kmn,^D/=-.D/F0/D.mBb?XR>Qra7Ee?<^ZDC2Rg$BkqBi?ts=b
+A7fOgAnPjpDK0]9FEMePGBS4WI"-]tItEK3P-;rnJ,~>
+-]*P)J:r`9N/WULMN!FLN00-^OH5?WM2-S6Jpr#iI>3W:P)t9=JGtLLOH,6XM19YoJ:MruLP(#1
+IX?QrI=HWbF+/UeK8+o-LP1YMPE;#bJ:WT0HZEnBG]n1UKS=ksD0'f;A7B7jD/+6FP,Z:Ef\5'8
+gY:Q<g>1W=g"bE>iniMCa02YAQ&13CF),AuC2Ra%EH-#JNf9$lTI5niWO/doO-Z3)Q%jO=Lkg\4
+I=H`oIXZ]e@<$^HIslm#IsH[#K7X#W+Gl#:MMd=JMiNdSNc&<AJV/E#J:2`dF*2JEH@9sYF*7J-
+6[jW<I=6WsI!g6bGBe:TG^+anL4O\oF)c2=EH?5DEc5`,AnPgnCM79i@q&hXDKBr>BObRa@Uj1c
+@U`n_B4b^fCAr#`CM[g(DK0Q4EH?>KGBS4[KU96rR=G~>
+"b;&JJ;/s\N#mh3MiEXPNKT?bOcYQ[MMQe:K7A5mIYWoCP`pfHK`7']P`h)hNIuM*KS=o3N/3(E
+KRnf2JV/JrGCkHuL5CP9MMI:XQ'7PmK7o8>Is,aQH$4:WKnb)"DKL#?ARfImD/+3EOf-"@f@\[-
+f@S^,f%AX(e(3.&gtCB1`icJ?Q&13CFDPT#C2Ra%EH-#KO,T0oTp(nEZ`KIQQ'EDYOb._1Lkg\4
+I=H`oIXZ]e?uUIBI=$HpI<U6pJUm`TIu0)DMMd=HM2[@KN,2m9J:`6!J:2`dF*2JEH@0gUEccSO
+H$t6pI=6WsI!g6bGBe:TG^+amL4OYnEcH)<EH6/CEGfN(AS#IeBkCja@:3DPCiON6Amo.Y?t!b[
+?smJWARf1[B5)*pBkhBuCi=-,DfKoCFE2GJI?Cn\Q@J~>
+-\I##KoD.XP*(`]NK9'XO-GcjPa%;jNf8XJLP(&&J;K>JQB[/OL]3KZQ^*_tOG8.7M2?kDOGnmS
+L4b8<KSG,)HA.*,MiNUMO,T?lR[BV+LPM"KJpDB]I!U!dLl-k3Ed2nPC1hI+Ec68WPGl4?e^i:&
+eC<'ue(3."e(3.&gt:9.`2p):Q&13DG&D#+Ci='+EGfW<LkUYQR4XA\UopVXM3='hOF_M+KS4u+
+IY!'!IXQQ`?>b+?It!$'J9cg&KS##9M2I:Rret9BMiNgUO)JNEJqSW'Jpr)kFa%nMH[^0]F*2bQ
+H$t6pI=-NqI!g6bGBe:TG^4jqLk:"uFE;JCF*)SKFE287C2.R&De`rtARo4^EHQJGCM%6oAnPsn
+@Uj%dBkM'mD>nDVD/O3-E-(tu$?^W>GB\=YMQFjaJ,~>
+$]0RdJqf)<NeiCEM>iHCNKKKfNfoBZLk9_oH[9gSItro;P)ag!FGPa-MiWaNJTc-]I=-3iKReH%
+H$OsnI"$HeH\I0*KSY>;Nf0!ZLkUS3GBJ%IBObRgF)l)5Ed2hKAnbsj?X[YbBkMUJW5R0afE9m`
+f\-5Z<SZ9]gtUN:fA#0;daQ.<T9Y4[F)>f8F)>i0@UE_eD/t>^I#Oo0Y+;,b['QWkH&IT9JpVfk
+HZsg`I!0"?JVJc)J;&]+Knb;8MiNm\NfoQhP`_(,Ntmgp?YbIQKnG#.IX#sUEHQSTG^+CVrdG-&
+JqSW&It)chrc]r9G'SFXH@:-aG'7qHEc,f:G&hP?DfTo>FEVbECM7<kB5Ma5FDtr(@VBCdBDu?]
+A85mnBPVBtC2@a$B4ksrBk_<sDK9f=FED_d[EOqe~>
+$\3\RK8>GDO,&IGMZ/T[Nfo]jO->T^M1]qsI!^$VIu'#?P*('&GDhB9NfoBZKR%fjJUr-%M1pJ7
+I=6g(It<)qIY`f6LPptGOcP]gN/3=@H?jdXChIF"F`M>9F*`.QBPV?p@:EtgC1qdLVo-s7f@JR,
+eCE:,g"G!+eCN1!e^E((gF^h$`3,_tM1'J`Df]u:DeWZgBQA!3KnFf5VR3IrS?&p!UlK_XMhck0
+H$aj]rd,N)@;p^LIsQNpK7&<)KS>>EOH>KcP*;,kNrG"]ODA-9L51J9K7JDrFEDMFH@0m\G'JIc
+IXm$'J:;utH?fF5/Tc/]HZsgbI!BgXF)l;=Df^)BE,KQ5F)c5BEc#Q(A7K1eEcZ8=B451[ARf<N
+?lickBkCslBkV3rCM.3iBPV3mBP;7&EH#i7EJUmAPCN~>
+I"Hp"LlRX]PDb9TN/s']OHl2sP*_>mNJDe.JU_ugJr>YKQ'6W3H]O2HP*M/iLjXQ$L5(29Nf&OK
+JUrZ8K8"r+Jr>PCN0'!YQ'7T#OGo0PIXHNeDea'.H$41JGCG$dDK0W3AnQ%%DJXZ\W5?p2eC3"!
+dF$Ore^[1>daQardaZ[qg=ag"_lfVsMLTegEHQGDEbf,i@r?!tIscEoTWb8[QDL[aT8@WCLP12(
+H@:0cH[9sX?Yt7FJUN*(L4=sWLC0$&P*1okPa.PtOoCFWPAXcEM2@"BKn=i%G'7qNI"$?eGBs1;
+#_7P]J:E*"H?oL75]h0qI!L-jIX69bG'%kHEcu_NF`VVIG^"F[H#mn?BkV4"GBnFTD.dKuChd]q
+@q94iDes3-DJa91E,96&CiKAj$YsX&G'%eDD1SY(PCN~>
+@#^%oIY*6,MM-Y=Nf]9]O,]?fQC!MgNJ2IpG^+4DJr>M@OcOd"H&7?/J;T&4Is6?hFDlS\KS"`,
+G^G1#JUi6!LP^e>LPh+SOGAXGJ9uN_E,/iq@q'4dD/jQ2@:]@NIV!"u@:Eb[CN+B[]%5TkgY(65
+g=b3;gtUW?gtLK8f[\R,h;I/@b.FmKN.HG.HZaCTH#R>)@p2r@>?bfnR?j&+XLbsHRt$QcObndC
+I<T[TG^=OFE.<OiIY3?,ItWQ3LPC\DM2IC]R?s/#O-,`pCg1Y7MN!CEJpr#gs)S*]!I9:rK3a%[
+J:E0#IsuipH?t$lG^P'mGBS(JE-6;BDK9K)CiO3-E-$;MG^FmcF)Yo,ASc:&CM.BsB4Ymk@:3>M
+@9mG[AnPsm?t=(lB4GI`AR/e[B4u'sD0'W4L:#*fJ,~>
+@"j5_ItWT4MhHe@O-,KaOH,QjQ^E_kNeV[tH$OCEJVo;>OH4ZuHA[Q3JW#88J9c]qGB/4hLP:A8
+H[^d,Jq8H%Ll."CMN3jbP`(KWKR\AoFDk],B4c'tDfTl7@V5UTIV<>)A7T7bCiFK[\^fBgg=Oj+
+f@JR/g"4j.f@AF$e'ZUqgu$r<ah+dKNIlY2HZX:QH#[G-@p)l?>[2#qR$Nr*XLbsHRspH`OGJR>
+HZa7LGB\(:CjU\YH%(<qI=d-,LPC\DM2IC]R?j"sNK9<hC0>50MN!FGK7A5ks)\0^=F#LNK7ni/
+JUiB'J:E#rH?t$lG^P'nG^":NEHZMFDf]]-D/sE1EHHMQGC"[_Ec5](A8?("C1_0oAn5[g?X?oE
+?<^rTAS,ai?XmkhART%X@p<>RAn_0Y#&\3jJ[*7YJ,~>
+ItiZ/K8P\LO,&LKOd)&nP`hE%S",S&P)FX2IXZHYL6%@QQ'?]3IZKMFL6.=LKmnc1IX-^/Nf8jT
+JV/rALPCM9NK9$TNKKKnQ]@,cLOt#&GB.>8C2%^+F*DhJB5;L-Ec5f2C2%F"E-6Dl]$o3^f$i$p
+da?LpeC2mseGms+dEp4ef%Ss7e&]/*T9"YVK7A/jI=-*LARnqD?!(0>I?T_MPGPRiW0;F`OGnpG
+IscEYG'8"H?YOe8I!gO"KRec2Ll$qHN/NUVR@BV0P)tinQu-)DO,T*XL4t2,G]e0.G@GoPKnY87
+KnFu2JqAQ(IscWoKR/*"K7&#kG'/+WF`VbFCiOW:FEVqZIt!!'JU)BWCMIj1F)Yr6Df'<3Ch7*a
+An5@cE,091CLq4"F)#<"BP:miD/*j(Df9Z3AU:;lOam~>
+G*n;6FFAguOGemJLlRUWM2@=YR$`ttLjXApH$+1KKo:b>L5:A+Mi3.3H@C3iJ9Q?_Df:5\K7A/i
+F+&q!J:N)rI=?]uK8u:cOF_k1IsZ!LDJE[#BOG1R@qTIf@q/hI=^,'2='8pHEc#f\][tijg=b36
+rnIJ,"l.qig=b0YgMPZsf%/I*f@A?aWLT35K6VEYF)c/@E+ip(D-gLXB4GUnH&%i]RZXh_ZE'ms
+Q\g'=I!KdEC3P,TJUVrkH%1BqIsm!*MN!IOMMmR\PEM,qE*R"7NJ`RJJpr)mF`MSHGC"aeI=Qs"
+IXm!&rIG?)IY3H,J:E#pIX?5:Da\ScFDbc)Bk_@"DK0`EI=-HfDJ3ZtC2Icq=^YiSBOk=M?X-c9
+<*3O8?t3MJ?tF%b@9cuD>[h;S?X-rNF`2,O[EOtf~>
+AW_joGCYI,Oc5'MM3!g[MMdO]R@02#M1'StH?OCMKSkP:Knk/'Mi3.4H[gEmJTuQdEcQkhL4Xeu
+G(>L)JUr<!IXcp$Kp%pqP_F^AK7@i\Ec,N3Ch.$bAS>dkA7]1R>[C_8=q+nVEc#cY]@PWfg"=p.
+rn.8&rn%G*eC<(#f@KrO44`$7e^M:5SX#7gGB%\EE,Tl;BP;@%?X7/R@V9S'L7+[&OKZ'sWhuGS
+LO";nF`1]#F*`+[H$4=SIK"^HI>!B5N/NUOMN3j^OHGcF>%EPMMM[+@IslWdF*)PKH@LBmJV8Q'
+JV&T-rdbH*IY3H,J:E#qIscG=E("_fF`1u-C2.R&DfTrGI!^6bD.dHpBl%Qm=C5WOB4G+H>Zt6/
+;HI43?Xd;F?Y!h]?WpQ<=^PZI?Wp]GE,'';Z,r5\~>
+G*.].HA.<>PE(KUMj'HiNfKBmSXl%3NIlP2IsZHaM3!UNMN!4;OH>6IJ:rK,L4+W%H$P@/NJW:<
+I>3i@L5(A5K7nr6M3X[)Q\^?ML4XJhF`D/?DeEZnBl.a)BkqBk@qB1Z@:3\dG&_Yj][YH]eC2jo
+rmUnq8CQ,=da?Ike(3(!e'lgseC2m\X.P`@LO=8iG'%hNF),N1D-^:N@9m;UF+KRDP)HBGY,J.h
+QABj7G]R\-@rcj?IXQNeG_#dE.t*,-MN3URMi3^^PEM,rE*R%9O,T!RKn4`$G]e1RH$k0nJ:iT.
+JV/W2K`6T3It361JqAQ(J:iAurcCPOGBn7HCi402F*)VOJV8Z.IWTFCDf9Z9AmT%bD/X3!?XmGL
+>?G0BA7]Fa@:a1kC1L[WA7B4fAmo(VC3=<'HE"iHJ,~>
+16[Q8G'nmsOGnjDL5LtLMiEUON/rsSIs6$ZEG]W9Ko_@UM26nAOFqn,J:`)mI!g3\rbji>IY<;t
+H@UWtK85;>KS55DNKTQiMLg;0KRn8dE,KK8EGB)lAS>[c?s6H$;d*:&;H7"7Ci"X"b1usL%,9Li
+gY:E8gtgc=g"ZM^!SlH+fi6;4XIbT3KnXkiC2n3(Bm"lK@pitd?<C?:?taJ#G*Jr4\[]5^Z_jOi
+Q\fg+Ko_7RKnG&3JTl*PEI*1gJV&Q.Ko;%RNfTTQ?t4qNN/NOEIsueCHOG4NIXd!)JUrE(KS08U
+"+YlPL&QNpHZXFPEH?5BFEVkNDe`s$B5)*oCN+?;G&hD4BPM3sCggLT@9m8F=^,BI?X-i=?=@AU
+@UW_U@:EVL=^#*=?sd8E=^Z&WB7mS9R=G~>
+16.*0H@U^,P)Y0ILPq1PN/igSNKB0WJ9Z6^Ec,f:KT;.QLP:D8O+M_*J:W#mI=6E`rbso@It`K!
+H[p`tK858=KS55ENg,osNeN.@LkU+tFE2>GFDY]!Anbmf?sH],<aAp2<EEL=CheEp`nC:Bs4@;'
+&D#Icg"=j)f%AX.f[n^*f@^)U9[CJTT9>%aK6_6HE,]B&FFA=A?Y=+Y<`iU6Ao;X3PGbas[^W]K
+US40@Kl:m[MMR(=It3'!G&V><H@^^"JqJ]/M3!XRN0\Qk@>+W<"c7h\IXQVBHP1^UIt33-JqAW,
+KS"c,Jq/?%L&QNpHZaOSEccGFFa&(RE,00(BPM<sCi=?9F`D20B5)!oCLC:P?sI&B=B]*A?!CK7
+?!q/Q@:3MQ?sm>G<``I1?=$u@=']HI@t1`)Q%/~>
+15pm-I>!H:P)Y3LM3!g^OHPZcOd)#hKme;rGB7kNM3F3eNJraQQ&'s@L518.JqAK!rcgMQL5_"?
+K8>D=M2[ISM271UOHu?&OG8IFMMHM&G'.kSH#[Y2CiF9,B4P:L?=dVQ>?kWPE,L9*`n&Z<dhC*U
+daHLhdaQXldF-Opf%/@"e("BI<nGX3Xe1f8LPL=tDfp/9D0USU@p`h_>?+a/?=dtoFHNB'[^WfX
+ZD=.^Ob.@aI>E]:Jq/E&J9GmMDL-hbJUrK,K8P\KMi=$F?=S_KN/NRGJ:E#srI%7dJUrE-M1gP9
+KSYA:KS4r.K8+l*IXHBdGBS4VGBnO_H?=+DEG]W5DK0iGI!p9\D/F3.EH,StAS5Od@UNVWBObIZ
+?Y!hbC].rHAeJW^>[CoPAn#1S?".YZ?[/NfQ%/~>
+EK,]pI=?^$N/E7=LkLPCP)tBMKo(G/G'.qHCM.:#KTMCVKnbGBMg]kuK84eoEdMnJEGo9#FFJmj
+JqJW*Ng#crPEM<)R$<boMi3FIKn4VpE,BH3Deirf?t*JH>$"Tt=Bo$.:0M1CDKqkkf&#3\g],t8
+gYCT=gYCT=gYL`Br7h8)s4DJGf[%=<T9Y_2MKNi[G\hPSJotL4FF7b/?Y!VR?s[&UKU&1%Vm*P6
+\[J`:L4P_hUnO?MSt;7$G]e.UIXcftJq&,pJ:iT7P]gGBH\I<6LOt/.I!^<kI!U-hJ:WB.LPCJ6
+K8##4KS+i,K78<!HZX7DC_Ul1EH?;GEc5c/CLh$jA7fIiE,fdpC]A3&DJ`rm?s6N6=Bf3FBObRb
+?XRGXAR](W@piVO@UWML@:<VV?sR2VAS$G!cC07~>
+EJT3gIt<90Nf/RBM1pbGPECTQL5LY3GBS.LChRL%K9)1RJqJf6M0sPpJqeYoF*r+MEGo9#FFJmj
+JqJT(NKTQnP*)-'R?a#!O,o9YM1pJ+FE);BEc#Gm?t*JH>$4j'>@1Z::g@RHD0DMbdb<CQf`0P2
+f\+s1f\+s/f%A[.qq(buA'hurSs5J,Li[ETG\_GPJ9,(,EdD>'?".2I?!LKKK9VptUT:T$[Bcm)
+JUEZTSsu+7R[TFlGB7kPIXcftJUMijIt3-+OE+T4H%Up0L4Y&-I!^<kI!U-hJV&T2Lkg\:KDgHG
+K7ST+IXcfnF`M>9Ecc>DGBS%HD/3s!B5(piAnl7'D>n;MCFsC>A7&\H;d*7+?XdSU@qAtRA7f@\
+?t!MO?!q)I=^>?@@:`eN?Y3_TI':YXJ,~>
+?%mfOJV8f:NJ`CBMi!CUQ^*GaMN3LCI!^3`EG]Q9Lm46fM2I:ROFhq4Ll?n0G_(0cH$<tCI"mT5
+MMm7FPF.f/Q^42:S!TD(OH>K]MM?\/G'%kPGB7V/BPM2Z@LujMA8#LZ<a]WYEHn.kdFZnIdg+=J
+d*^:idF%p@!S#Zpe99<je]kh5Ss>V3N-B;fHZ+.^KQ^g9FF._0?tEhW@UWMYJWcRrVQ[;0[BZa#
+I<^jGSt2:;R[B7gF`MJII!pElIscHdI=Hj'OE"N3H%Up0LOt/.I=6WrIXHQpK7o#:MM[+BLP^hA
+L4t83K78<!HZsROEA)K[G'J@[G]e%GEGB<-C2@a-GBe4LE,]f:F)l#,ARJ_O?XdY^ChRNuAnPpt
+Ch`l^'P1cdAn5:]B4b^fA7B(c@9n#Q`Kbr~>
+DiBHtIsum"KnkA9MLL,:R#?QKL4sklE,ou8BOk[tJVf8:JVJu9JUDckJ;\npBm=W8Der`nCN4iR
+KnOu3R@KhATqA0[TTtV!OI25jKRJ8lDea!!AR\nB;cHUh<**4,@9m&:;.O`rKpBU/hYu=.gC;ro
+i8!&?gtgiDh:pZ;rnD_Pf\"g-gY1-"[A^%.ToFeaObAgaO*bGTJr+J`EI)qQBj+85A8cU3HA.EK
+Xg,13Nes[D['?pCZa?j)P)bHXLkptJMhQP%Fa&4cLMU1"EI*1eIt**!GBS@]H?adfJqJ`2NJr[I
+KSYJ?LP^b>LP1>4IX-!PD>nE@E,or5Ci+!'@Us(]A7]IlE,BB*D/aK6ChI<c<DZk&?tO%^@qTRg
+@qK@a?sI)OB4,4_CM%*gB4tsiA7odpB7R;4R=G~>
+Dhj!lIt30,LPUY=Mgp>>R>ccOLPC(pEH?2<Bk:n!J;B)8ItNK/IX??eJ;ShpC3jo=Df&ipCN4iR
+KnOu2R%'V=TUqsXTpCh&PFIl"Lk1,'F)>]-B4G1D;cHUh<*<I4A7/\E;IsosK9O+#g%j8(g"P98
+f@TuS"5)2Tf)+'Jf%8^2d`\toV6->IKSY_BO-biN@r$RKDJ=!3GB%4r93#G=F)cARMjC?EYGR22
+U9h&(Xfek3WLAs/MM[.FMiEUHH?F=OG^k?Z='9HdIt2rrK7.reI!g6bH\$d$Knk\JLk^P;M2-kB
+L4tA8KS"YuF)Po5Df9W9EGKCjD*;ZDA7oFaA8#dtChd[#DfBW1An51H:K^h-ARo4YAnkjcAS,FZ
+>@1rR?XdY^@prhXB4tgcASGacH`kGSJ,~>
+EJ/mhJV/Z4L5(D<NIutLSWJV_Mi)q+G'J7PDJEs5KoM.LKo1kJKn4`)Kogt0Dh!"TGB@G9F*WOr
+NJiRNStMdRUnXfhUR77-Pan)&M1U>+F`DA=D/*Ta>?k<3>[h8WD.mHd=(ui,Kp0@%f@ACMe,I`+
+daQdqd*^=le^`0tdaQ[peGdqsdWF*ld)iVkVQcbSL5D%GOI2)TAT!-XF)Q2MIsZ-C;cmLGF`_q_
+O.!&NXeUZ&T<bZ&Y-+n/VjEC#Knb86Lkph:GB.YCG'njP<EF$\IXliqJphifI=?QiI=m3,L5D"Q
+MMR%HN/<CKLk^Y;KS"Z"F`ML$E^Y%oF`;>@Ec>Z*Chd^#Dfg2EE,Tc>G'.e@C1CFK?smV`CM7Bu
+E,99+DJNlpAnu0nBP_R$BkqO#C2%?rDe<<tVSn^L~>
+>Ek+oFa/=bJ;&f9L3J'*PBq_:NIZ(lDJ3TrB4u=EIs?3eMiNR>GCk<kIYr_tCj^PG@prqbB5)^@
+IXQX$R?j)+Tq\B[S<T.tPF@bsLOXAcE,0#n>#Isd7K,V"9N5/#?s-N5@;LIc]>E+Vi7Qf>h;$c@
+hVR/LgXt69hVHuAg"ZDZs4_PKh;7&JcG7-4^9k5UZ_FnK^ncU<QB,]oGCtU$D-C"K@:E\J=^>NP
+H%V-=J:aT,[&g7*WN3/&Xfn_%VPpSsX/DPRL3do^G[OHPE--/@Dfg8HDfL)OI=?a#KS>/;OcbW\
+LPq.NMiWp\P`q2dK)U-*GAh;:EGoW+C2S!+ra\$!@V]juEc5Q"Bm"N9Bk:sa<)Hh(ASZ$c>[V)S
+A7T.V?<CQNF),B$D/j0&Dei`e@:sFkAq722Q@J~>
+>E=YgG'ednJqf,>LNn9.P^@q>Ne):pDeWg!BPDOIJ9cEhMN*@:G(G*hIuAr#D1?tQAn5RnBPDgA
+IXQ[&R?`u(Tq\B[S<]8"Padu$Mh?4sF)5Gs>#@g`7K,V$9N>>*@pE,>@;LC_\A$>EgXFa*f[nd0
+gY:N@f[\U-gY1?5f%/I*rRq5)=52NdhVcSi\\Yk^ZF7'4ZbsGKItEf?@q9S-JUV?9<F90D@96N7
+@;'k9NK8I9TX:r%V5'lcWi<#"W2?DhX/`+nRui8FDJjN$:K2.LEGo`9H$!tEHN&=.ItWK/L5D%T
+NJ`LLNJrdTNK00aO,8JfHjb.:CiFB3C1h6tDef8]3FZE3D/=30AR]=pF)GZ%B3eG4=^,EOB3ADF
+@qB.[@UEGD?Ya[sAS,[p@qTUm?sR/OBOtY"Y/c]U~>
+>E">bG^b9uJV8l=M0a]7R"'dNP(e.+FDbl5D/OT\KRSB'OHYWRI#!B+KTM"7F,#?kCM@X-DfLD`
+L4k2?T:;4>USOfcSsP\*QCXD+N.lS'GB%D4@Tl]/:&[a4<*j-MC1CUZAoN?n\\68?f[&!peC2ms
+eC<%$dEp=lf%&:!dF-LmrRCktERraog>'f^\\btaYd(@%YJIiCJ;';NBl/6SO,\Er?t<bWA6`AH
+A86C?MMlb,T!PW"UnOKWVPL)fUS4?TVkp2]Q]6K8C2.]i92TD?Df'<1GB.S@H@C?oJqeu5LPq@[
+O,SpTO,f3\NfTBeNei>eILCF@DK9i?Des<4F`@=o3G<&EF)lJHCM.L0G]R_9CgpOJ?X[\gDI?pd
+CMdj&C1h-dAoW'6C27d2CiFK6@q'"aDIm-rVSeOH~>
+/Wu!8H$k$hL5(SCJpDg#M0"9,LO=PrBj=kUD/j`JDeNs5Lk^7sHA@'"IX?G@Hpi*i>?Y]NBQJ]G
+G'.qZO,JgSR[fk7OHYifMiNjYM1TVZC2.?d<_l@_8kMfS<`N'u=^l)\BQ9*@eCE:-g">'8h;$c_
+h>c.0gYUcbgB$*crn[e6gtUN8rn(W6e'6.dda?C]\>mF#h7oYa]VgUBLO=)cDIHmcAnZ!nC2Rfr
+?X@8U>$ZWKY.MBUXJVhlWMuM_VQ?u(ZF7<U\$3!9UkWc-Q'-iIF)Z8BDfBfAGC"[`H@13rKnkJ=
+rJ4F.NfK0`P*(`[Jq/E%H$=OVE,KQ0DK'B(@piVKAnbsqC1CUZBl7d&B5D-d?!q&OD/ilg?XI5M
+@Us%V=^5ELB4G:VAo)I-Ch73mC1gs`I'Ch]J,~>
+EK,`tH@LHpLPC\EK6i$'MKFK0Ljac!C0b(YDK9rNE+s09LkU.pH%pluIscWlIXcTW?<q>ZBlefH
+G'.t\Nf&UPR[fk7OHYlhN/s'^NJ;IjChmWg<_l:\8P2]R<``=(>\.\dB5ig8d*U=oeC3"If_jJ'
+ecOLYgABN<g"Y98g=b-2f@SU,ccO;TcHXPO\>[0pft3fQ\"\P.JTl!QCL:@[AnYslBl%Kk?!LiM
+<`sd;WjfODVkTo]VP]oVV5pc$Yd:dJ[&g4(T7L`oP)k3>Ec6)@DfBfAGC"U]H@13rKnkJ=rJ4F.
+N/WaXOcYNWJq/E%H$=OVDf'?,D/X0$@UEDGAS>amBjtCVBPhR"Antp`>[LiKCi3H^?=%#I@Us%V
+=^,<IAn#(Q@qfh!CLq*kBOY7PGc\rJJ,~>
+EJfHoI"Hs$L4kJEKm\H0Nd->@N.HV1Ddm-mF*E"aFDc,LNf/F3IuK/7KRn]+KSFtp@q'CnE-mCg
+IXHKuPE1W`S=Z:?P*M;pNffKfNe_^rEH#c-?s-H0;GpLs?=.&I@r-.(CibWBcd'qddEg8?e-a[T
+e^W'scd:.lec!tse-FOTf%&=#e'n<E'%P4HaNr,UahY-T]@>EBS>Wrrrea=!H%:0WBPhI!E,0B3
+D.I$[@:N8<H'kS@\Z_g"SY)ULR$s\FWMll#Z*UX4UnaE-And6^IWTLFF)Yu8FE`"XIXHKiItrf9
+MMV4g</HWpNf]?_MhZh7K7SApH['XQEc?&AE,93!@q'4kDK0T.@qBLtEGfQ2Bk(U`ASQ7.@Us(_
+BP;-sD.[3cB5MEs@q07nGB\"=C2Ig#?!)'A_NB?~>
+=-/5^K7e](LkLVCK7SQ+L3nW.JU`8pB3ntaG^"+@Ci!s/G^OmeLl-\,GA2&DHYQkn?X[e`CNb)?
+EHQGTM26qFQBm_pMij*ZL5:eDI<&n(>[^r<:&[cs84cQW>#\9n;eL,pH%r$0g\fb*g\ot.h#H./
+f`Kpah>Z..g]-+0g]H6agA]iMg=b39g""U(g>1T9a104Gj3=pDd`o"uWLS]nEFE'f@:*V[D/a<$
+?s?uH;G^nLLRFj;Yc4\+Z*:.*Y->(2Yd:aJ\[T)^^mon.['H[(R?NS`J:2`dF*)PEDfBcCGC+df
+Jq8E$IYNW3L51VAL4t/+H[0lIGB.YCD/!a%BkLsb?sd>QraudS@U3;QD/O-*BOtgmAS#XtraR!W
+?X[DUC1CUX@:X%aA7B+cCM.3kCM[`r?<ql]c'Nq~>
+=,MZSKSG,0LkLYEKS"c/LO=i2Jq/JtBO>1eH$F=EDJsK9G^OmeM2Hh/G\_ALIr8_*@qBXpDKpVG
+F*;bYM2@%IQC!eqMij*ZL5CnGIro=0?=@/=9`@Tp7S$9T>#nNu<+p>rG_DX%f)F,&eCE.&f\+sV
+f`0M(f\,!XfDsV'f_sE?f\+s1f@S^*dEp@mg"Fin[D^_SaKE%ta/Z)7Q\9g+?s7AT?Y3tgDeifh
+>$kZ5:1AC#QCXqSUo15qXe_krY,n\+Yd1[EZa7-PQ?n(cYGIeWP)G!CI!KgSF)u8<E-$;KH[^Ep
+IsufoKnY/4reCH,'S(UYH$OUSDfTZ-Bl%Hp@piYM?t91J11am!?"\"lC27HmAntpfBl@Bg@UEGL
+@V0@b?X@,MB4bX]@VBFdA7fRlBO=qGFfNHDJ,~>
+=,DTTLP^_:Lk:MEL4k28MLLG?L4k>0D.I7$IXQBXEcQ8HI=Zs%NfSmCI;jF`KQCg>BPM^.F+/d_
+H$k!oNfAsWR$a,"NKfZfM2[OSJp2!?@q]L\=8l5";%?W5@U<5@>]=t9I>=H.eGdesdF-Lnrm_V1
+e'lald*pOreC2pteC;sqdf.X>daQ[ndF-RmcHahdf@A0]YeS]B`N6MlafVVCS;N#EBOPjk@r#q'
+F`:u'>[C`39ON!rQ^stNT:r*[Vk0QXW2?DhWiWG.Xfet;O`c#OWM#ZDNer@:H['[TF`qeEE-$;L
+I"6a"Jq8H%L5(A6KS>)3Kn+W#H[A2,F`V\FD/O?1Ch[KmA7fOkChmct?t!ehEG]W1C27d'C2\9.
+BkV*jBPMF*CM.3jBl%QuASH.(D.mX$E,9#e<,J>GP(3~>
+"HSCaKnKAU=FPs\Jq\`+Kn=r*I"-HbDJ3[)I!BL?F)l,6D0UVdMM6@tEFis.E*?=OBkqU(EHQM?
+EHZPSJqo5BP*1i^M2mFEItNN*DI6RE;HHjk770O984cNT=&])q,&)"?Ml"&2gtUW?h;$c>h;7&E
+gY1B5g>1W@g"P38g>1T?rS)8Gh;-lBhV[,Bg"P9>hqci+dbNa&[)(PW_8F@4Z_W=g>&I_RAnc+#
+D.mQmB4Xq:?YO:qHB+MaU8kH)Yd1O<Y-+t2Xfo"9\A-(VJVh(P]=GASW1oiNP_js>H?4(FE,fl=
+Fa&(SG'.kSI=$;SI"$KkH[0^RFEVV>DKBZ0CMdcuramBc@q0(]B4k[V<a]TWDJNotBQ7`uBlId#
+BP([`A7o[j@:EgIBG"lgAnkmb@V9@fB4YLXHEbY]J,~>
+FbtcpL5(>4JUW?1K8+r/L4b/.I=QZfDeWm-I<faGGBRtEDL$hhMhZS#F(fK:F^A9aDJsT;FEi.K
+FEi%ZK8>GFPELr_M2d=CItWW-E+*!M;cm$l6U=+17n?<Q=B8@!;JC&mMPIZ&f$i.!f%8L(f\,!W
+f3d%Zg"P*1g"P02g"=p-f%8R-g=k66gY190eCE4)g=aopc.C[gYIrKC]Y;>"YbHe_=`.YRAnl1#
+ChI?jB4Xn8?"[kiGD_`PSu/WpXfnn0X/i>&WiE/'Zb!u?H\DC.0t4NnVkBNGP)"O5GB%P?E,fl=
+F`qqNFE;GKI!U'aH[:!bG]RnHF`2)5F),K)ChRG[AKt\o@Us"]AmneB?ta@nCM.3kE+rlrD.[En
+ARK"YB5;0i@:]@M&S5H^B4>.RAS5Xe@9m&YWPt!M~>
+H&76#MMd1BJpiB3KntA7LkUV9JV8N!FDbrAJpqfYH?jURF+/n'OGeX7G\qPNH"12rEcZGKH$t3_
+H$t*nLQ%7SQ'78eN090UKSYS>F(Jc^>%(c=:ejke;GgCu?sQr>=`AP2Nhs8,e'QLje'ujqe^i@%
+e'cYQcdLCre^N("f$i-tdJhKYdF-LmdaQ^se'ZRke^i@%c,7ZPe\J5reD%RJ`5&XQLM:"6AR]Io
+FEMV@CM%3i:JP/,BlSBRPE;0)VlHYoW2BQj+f(m/VPpW(\rq2bZE^^?YH"ChR$E_eIsZK_E,TZ6
+E-$4%GSt^KFF8I]G^4RZG^=UWF*2\HDK'`:D/O</rbFN/BkV0oBkqKr?!(QNDK'N1C2A$1CMn62
+DJa0%C27^-DeWm"D/F*(BPML&An>[mChdKc<G\AGP(3~>
+Bp4L%IscZnF*2tcItE)tKS=btH$F+KH?<e>F`VSJH>[>/D0^\aI!KaNEGof4@om5]FDu&@G]e7Q
+Fa&(WI>*W?OcbW[MMZe+G^Y*a@T-,t9i4VU5Wh5%9M8#T<*!.,=`&#!S]B@]h#H:Ihqd#>gtpuF
+gY:N:gtprDg"Y?<f\HJ^s5%SLhVHuBhVd;HgYCWBgY1H<h;@/B\Z3I%hRgk^hqut`H"(l5EI)hM
+EH#`.CMd]^=DMqj?=IYgFFoUEVl[,'Wj&e8YcY%3[Ca8jQ$@h`XgGUJ[CWoX\@/K4R$*>^KS"W$
+I!U*`G^4LSrd7OkI=$3\D0'`;EcYu/CN+32EH,c.C27X#Bk:abBkC[O<*EX>DJa&r?u'FhC2@a'
+ChdQrBP2$n@:O%jBOkR\@V94\AS,@ZA8#[eHa1h_J,~>
+I>s#,IsulsF*2tcJ:i<#Knau#H?j=OHZa"BG'%eQI<'%<DL-neI<osRFE)A@B3K"kG][hMH?aaZ
+GBeC\IYNiCOcbW[M26V)H%(<fAQMi,;,^1[5<:nt91qrU='8^3=`%tsS&<\*f$rC+f\"a)f@o!3
+f@\d-g"Y6cf[nj3g=4dRfmDK/gY1?6gYCN7f%8R,e^`=*g"Y91[&(Cfg:,#NgY1,SG$f?.E-Z\K
+E,TN*C2IQZ<bZMb>[V2]EIa%;UoCJqVld/,Xf88"YdV3TNcKKIWNik=['m?JZa-O#P`CKOK7J>s
+H?XUVG'8"JH@'saH$=@LCN491E,[4=Anc4$DK'N0B4u$pBP:pbA8#LY<)d%.A8Z3r@:3nbB4u$p
+CMRWqrb*0aBjtRdDJ*He?XIAR?XdST?t3e[?ZiBfO+7~>
+G`@N,K7ei0G'8FkJq\`,Ll$V0IXQ0`J9l'VH[0jcJTYgKF+8t$Jq&#gH$=LUCgV(*I!Kd`Islfn
+H[L6lJVoPOPELraNfJa>I=d0!BNnV=='Sg+9Lh]T<`E%#?=./O?ZL.2S]0%-e'Zate^`*qeCN:&
+e'erZdF?e#e^N+$f$W!se'lgre^aZJ$.RPWe'lgse^DnFeGn)`cE<hLe^^t@db3=$VfuQlEHQ_X
+G]n1KD/F3);HR^SBOG:^C2J<SQ(XtPUnalfWMZGbV5gc-Z%d%:V4ssgY%k8IYHY4-S<JtfK7JDr
+H?ja[G'8(PEHlbRG^":MD/"!/DfKi4B5DU-EH6):CMe!.D/F$"Bl.Qm=]Sg:B5hj,An>puD/O<3
+EH,o4DJa6/DJ*X$FDPW%A7fasBk_<oAS5^h>Ap:SPCN~>
+=dP>.K6VEUDK12_IsZKmM2?:uH#%,@I;rV,Ao)U0A79"\B5M^8Is>dAC2e65Bk(k&I<0.?H%'m\
+H?jjrMMmO[OHkl^MhZM!G^""6>#eKp8Ou3:69d^67h83jAnY^`EJBF>\'s0hg=uV_$f9[ngtpoC
+gtgiCh>Z72h#?%0h:p]`g&]s`rnV;Cg"P6;h;$c>g>(Q:h;-l8X00V'd`'bng"bMsMfsoCTVS<B
+G\h/,BPD'dASl@%CM[`r=^GlfIts;ZUopu.Z*:O?[CO#gR<jCi[^!*DYcFn/X0&_;\\#J_[C3NG
+W268eW2HG`T-0\pSsP\)O,K'\NJN10D/*m/EGB*#DeW`nAS5FWAnGEL=Vb=P@qTOg@UWYP@Us"`
+ChI0eAS,UiB)ZHXCM7Ej<a/m=A8,srAnG^nAU1E&RXb~>
+Clsa5K6q][DK12`J:)]qMMcM$H>I>DIWAh0B5Mg4AR]4`BPqp<J9c!EC2e66Ch.@/Is,UFH@L*`
+H?adqMMmO[OHkl^MM6=uH$F7=?!:?-:/",H69dY'8P;f\Bkq<iE.j+6Zd77Ue^j`P)VWlsg"Y97
+f\,!3g"P38g"=s1g"=s/f%8R-rn:K,f%8O+f[n^)e^rL'g"P-+W2mtocG@o]e(36[KlMd1St_s<
+GACr(B4tj`A8H-uBPD-h='TH^IYO&UU8kB"Y-"h/Z*h0UPBD5TZE:75Xf&+sVPpZ'rj,/#Yd1U8
+V4sWYUnaTPS!fY3P)kT[L5V"IKmn&VAnl:&BOb^kAmo(WARAYPA6i8<=C#?GBPV6j@UrnWA7B1e
+Amf+ZAS5[graup[B4kRM=Bo3CBQ.]uAS5deFJm*>J,~>
+H'+/HLk0kqEcZhjJpr-$NfJ@4IW01TK6LmDCiXlHC1h9tD0'uPKmn&ZEd2qVF),iJKR7ZZItN&q
+I=-O*NK''dP*_8eO,JL6IXQ<Q@U<;><)l^k:.n8Z;cHe(E,fZ+Fbl$E[*[IVdaQareCN-ueCN4#
+eCN7Lf)O5+e'upse'cXle("BI0@S=se'umrda?Ike^)^nd`J,W^t-T=bgk+lg9l]VKpSL0Ulg%D
+DeX$)C1M!tFT-6!Ch-UPC3=oWOI)Q:WN)qqVl6SsZF5a2Ff;=9Uo1)_U8+EVWiiS3ZEC:3Y,.e^
+S"ZOKSsYn2Q'RJiMMQtDMhm%9EG9*%Ec5Z&Bl7ZsA7fOc?>!nY>?Y9@AnZ"!CM.6lAS5^jD/a9%
+BPD3tD/9,e'Q7f(A6WJUCi406Dej*)Dd[O[`Kl#~>
+,++I=Ec?,FFE2POHZ=7YIsH0\EbKT5An#.XB5;<qART(crbjN4IWfXEBlnQ@EHH/=FEV;/F*i%W
+GB\LlKnY8;M3*^PM2$4mDJ<Td>$4Zn6pWq&9E%^"9M%lZGD1ZuP-_j=ce7(,g"bE_h#H+6gtprD
+gtgiDrS7Y4gY:N>h>H(.h>c>Xh;$fAhVHuAg=k<9g=tE<ftbMTi6]?jhV$cC^7V%0_SNjmUm$[m
+JpVQR?!h8]BkqX*D/!WsD/jZCI=[36PaeAEX08k<\<(ocZbElU]=bMX[C*HP\%'&\\[J`DV5'og
+Yd1O<['d3CY-5"/W2Z_mUnsr]R[06\Q&pfUNK8d>F`VM?EI2bCBk_![>?kB8>$G9B?t!UFAfkMl
+BPV9mAn>^mC2.EsA6WAL@UWbX@:<\ZB4?1kcBs+~>
+,*Ik1EcQ;IF)cANHuaI]J9lB`F(of9B4G@\BP_NuAn#:grbt2GIs5jIBlnQ@EHH2?Fa%M3FF87Z
+GB\LlKnY8;M3*^OLkU(mE,9,o?=$]/8jts69MeM^:ejhmHA@0&Og2L3b1$@?!8%5&'\V-kg"Y<8
+f\,!4g"G*5g"=s1g=lJXs4[M-;;0^Vf\+p/f%&=%f%&F+g"*jPdG<'^d+Qq%fsd<9[_BJd[%`\>
+M1KtnBj=tWCM7BtD/<ltBl%d2G^FpnM3+'pU8FrnZEoI0I'1&dZ+%7BYQ:r3rNT8)ZEU@,TUqjS
+Xfnn0Z*CI3WN)nmU8+HUT:hmIQ'.>nN.lh?Mh-%jDf'</G]@G0B4+qJ>[1H:>[CuM@Us%\A7B"\
+C1h'gA8,dmBkD!d=Bkc3$Y![V@:Wt]?ZrHgNdq~>
+,*Iq8GBeOcH$4I^IWTmfKRS5pGAVYJChREpD/jT4CM.@&rcM4dKR@o^EI<7`H$jm]H@0RGG^t*i
+H$Y%!LPL\CMis0[Nf/=.F`D2.@U`M?;,0YZ=Bo'9=]SU6J;f>:PdA$;b1+tjdaZgteCE$seCN7$
+e^i@(f)F2'eC2mre^aTIs4./#!7h(uERiRfda?Ijda?LkdET&-ajn>=b14njft!Q@\%obj[AB.I
+N.uh,Ddm6pEc5r>FE))2CMn-6GC"[hL5_=aSY;jXX0%(lG,V[FW33A'Vl6PnX/i>*Xf\V"U7.L>
+Tr>#lW3!,$Vkp8eU7\-RTUq`ETph1,OcPBPJ;K28GB.\ADK'lACM7El?=$uF>[:ZEB4PReC2%Bo
+ASc4!BkV3uDf0H/DJ3BfCi!m%CM.6nCh[3sVoP'Q~>
+B:"U"CiFTFG'.nMHZja^FE)GFE,Ki0?=e.lBPVHtBOtdoEc5f5GB@b9@WH[8FEqV2C3F2rB5qp7
+EH6;LIXls"L5:J3K7eAdC11:E:f'nX6pjC==Bo!0;G^;$K:]$=[*@.Pf`'S3gYCQ;g=t?9gtpoe
+g]H<gh>Q./gAp%.h>Z:/h#Q=2h1"5:h;$fAgY1K;g>(H4e(ig(_:7;nhr)DS]@YWZ`kf*cWMZ5L
+LNm??DK0H.EGo]4D/!ZtD/jZAGB7qUL5qRkV5gVODg8"b['[EV[^<KS^:L_\^VdgpXf81pW3*,#
+XK].@Z`gI7Ycb%+VP9f]WiE"rWi2ehTVS?RRfAj"R$X87QBIDnL44AiEG]H&@Ui_QA7T+R>$PBC
+?!:NAAH$0SBkq?i@U`YL@:3AJ@qB%UI'Ce[J,~>
+CQXEoD/soKF`hbKI!9sbF`MYJEGp&4?Y4@pBl%["BOtdpEc5f5GBIh:@WH[8FEqV2CNjE!BQA-;
+EcZMPI=HctKnk8/JqA2bCLg^P<E3!n8Ol<K=^5'1<E*+5L7kKBZHCSBe'uq!fDO8.f@\d2gY(64
+g=t?[g&K\)g&B_)g\fb+gY2Y[s4IA'IG!-$f[na.f[8(!gW@1Vf[JR/]VW$`dE9A@[&^+$S<AVN
+@q'7mBk_I%Ci4''BPD=%F*2SEF*`IrOd_u?Vh&W*T<kc,[^`ZKZF.6MYHPFI\$)[)U7nB^W2HVs
+Za-d7VlQeoUnj]TSY;mVUnac^Tq7aGSsbk0QBRL6Q^a3<NYmCsG][qAC1^pc?X[GR?!195>[Uc=
+>[Cn=A.rNe@pNGK>[1ZE?!h)O?<qfV_i0*~>
+H]a21Ed<1eH[0dZIX-BkH$4LZF`VnEA8?F/DK0`8Des96H$4:PIX?6UCO:S\I=cKSE-uJ5D0C)K
+F`i%YJ:iK-M2R.ALl$S(EGAuh>$>'-:f("nA7oF^?<^`OMl!MS[ER(Ie'umreCE+!eC2jpeCN4#
+eCE.%f)=+udf@nsec+.teH"2!ec4/!ds]`odF?OidEfnSd*f_;b1+bhft=5kda?4T^9t)BVk964
+I;!;8G&_MFFE2GBD/3s*EH?5DDK0lNLQ7XiTqZpGDO@K'W3*8'W2Zl&Xf8>,[]ud'SXQ";U8"?V
+Vld&"V4siaUnXQTS=?+GU7e0RTUqU>SXc%2QC!i#*g`@[NfK0RI<]jRD/3coARJtZB4G:S?=IGQ
+?=7;Wrb<*`DeiouCM.3kA7B(_Bjt=hW5OmM~>
+/<bs3Dg$GQF`qnMH@UNjDfTr?F*D_=A8Zs@C1qEsB4u$rD/3m$D/sE$?Yo^[1im)2BQRuq@;9\!
+E,fl6GC"UaKn4SqH[^-UBO"J.6q'a<6qC0Y?XR2H>$PZaOg;pHce&0M'AM<ugtUN8g=t?9gtgfA
+gY:N@h#,q,g]H?fh>Z72h>Q./h>c:/h/D0-h:pi?g=tB=gu$r1^XV,mi8MY^b2:n!bfRc;]XFo;
+S<%u?J:2?QEG]B)D/3fsC3"NCFD>K)E--D\OI)>X@qpt%Y-G@?ZEUUC^U^\Y_p$'0ZE^aAYd(4)
+WNie5XfJD%XK/7jS=,e7St8?BUSt/mWi2bhVQI;9[C!?NZF%'IWMZD[Q^!MaHus=KF`D82A7T.Z
+?XIAXAn5@[Bkh6g@:!)?@9m/H@q&bOI'C_YJ,~>
+/<,@'E-QeXFEVeMH\$`nE-$/CFEhqAAT*0DCM@X!B4u$rD/3m$D/sE$?Yo^[4EFq;BQ\)t@V]n%
+EH6):G'SC]KReAmH@9sSBO=e88P2fP84uoc?XR,F>[V>oPdA?Lc-t4meCE1'f[p)S$J3q`g=k64
+f\,'5r7M&&!o)D^rn@G,rRq5)!87;&IbEH-f%S^,f\"s3gtKf]d+Qn&gqKl.g!n6e`PB0u[&Tmk
+Nd,\pH>RD7CM.BuC1h-nE-6>EBP2'uEHd"nPEU#pB8NLdY-G47Xff%C['$UF`P&RYXfnn0Y,A"k
+Y->"-Vk^/dUS4-DQ'I`*S"$"EUo'u`TUqjUYd(C826a?fY->+*US+'@Oc+j<F)Q)?DeNQe@:*GJ
+>[q>T@:3GQA7/YJ>?=p7?!L`F?s?iZWkj[F~>
+/<,F.FaesnH$OUYI=m0"FE`"SG^OdQC355XE,K`9DfB`=F`VSDFaA+EBm0K$$%6Q!DL-84B5_kj
+FY7cSH@C?pM1pG-JVAPrE+WBU:f(1j:fL_2Bkh6m@qBS/RCC5Ycd^Ore'umtec!u*e'c^pe^`0u
+e(!"!r6t\q!nPlOrmh)"rRCkt!S#Tse-+=QeC)qIct1POd*pCVZcUbDf\*s>`7`V_a2Gd-]="`:
+Ss"MJK7S)`F`D8;EGoZ.CijlFF(f0"DK'`KMNEp:>%*#UUo(,hVPL&hZE:()[_K;PUnjlaUns`R
+T;SZbUS46PTV%d@P`h/mrg#p>StMdNSt2@AV6@,+Xfnt0Xfnn%Tq.R6Oc+j<Ec5r>F)GZ'An>O_
+@V9IjB4bamD/!QoARJkT?XRAUA6rG]VnnRI~>
+A;u:^F*`4YFE2JFEINC_FF&"MG^Og_EG]rHDIQjX?YaRiAnP[dB5_HoBPLp\?tEe[DKBf1BQ&'7
+H?jLCEc5lAKReMuG'It?@p)Z#6q'R25XeRN=Bo<OAT!3nXMN00gY2Y](>[j'gY(65gY:H9gYCQ;
+g"G-:gtLK:rS.Y6gYCT?h;$fbg]-(/gB?<fh;$ichIPNsg=k37gtpl3\Bj'gjP@SWdbrg.eBuIZ
+^U'l;X/VYWRZ)<&D/F!"DK9W-B5hj0Df9cAEFr`uGC4^D<*t0MXfnq2XfS\0[^33C\\>kp^:hG"
+]Y(kc\@oG[Za@-K[Bm%7TcftrQ'I`-St2@=Pa%T0V4aBMTr+cn[]ua3[^iTKZ*CV6W$A16SXGe-
+Nf/aPO,ed6CM.Hq?WpW<=&rU/?=IAM@UFDcc'X"~>
+@u5eUFa\acF)lDGEdrUcFaJ4QH$t$cEc-/LDe!'[?YaRiAnP[dB5_HoBPLp\?tEe[Dfg&7BlJ9;
+H[BdHEc,c>K7JArFa%e=A6`)-84lKC6V(3W=Bo9NB6&j'Xhi9/fDX89f\+s0e^rL-f[na-g"=p-
+f%Aa1f@S[Rfa$6`g"G*5g"HAWs4IV/f%8R,f@^)UAD5Scf@AR-gY0fXbM(V+fXRs'g=4Krc,[`8
+Z)4G"WLK3@MK*9DCM7<sEG]<"DJsE0D0'f;A7B:pG]m=h>^`6EXK8J&WiN8-Y,eY2\@K/[\A,_f
+\[]#S]!elJZ*:L:Xf;8j+Ind]Od)9&R$NttO-H0-S!]S4Sti?iXJ2Vt[&U=2XfhZ!,GLcsPE:f]
+LkUVDN.5n_AS>LU<E3'u;d3@0?sm5H>'-g`Oam~>
+IY`StH@pp$G]e4SFFf$lH%1'aI=ZltGB84`FD,/rB6/94DJsE0Dg-/;Ecc&/C2[j*Fa84LD01,K
+It)WXGB7hRLkUJ3I=HK]CL^UK:f((c9Mo,'@:X(oD0Cl7Z,Fr8f[eU'e(*%"eC)gre^Mspe'ujp
+dF$FoeC)dorR;)&e'umte^W+Je,Ro%e'c^peC2qHeR[7YdEp1dd*g=XXMiW<gsrm7b1b:gccjDH
+]s=Q6XK.q^SW@r3EH,l4EcuJ=CiaZ;E,]uEEFiWqF*D\-9NH>*Unso^US=K\XJhtmY-PC>YctRC
+Yd(F6Y-P72WN)u!WMcQjR7ER+N/EUVPEM#fM271XS<oJ)Q^aVFX/DPaXK\S&WN*"mTq\9RS!TA%
+N/NLLOH+p9DJF$$?sHoC>?G*3?=RJP?s%BH`Kl#~>
+"-87]GlDu'H?+%GCM7m>I=-KrJTuWpIX#gAAS,LeCN49#Ci=*&DKB]5F_Y)^?YF=nAn#CcBl7s/
+G&h5-F`)#=G\q,/Deroh>#eEm8PMlN8P)]Q<F^-'M2@=j\'!1KgY:QAh;$c?gtUN8g>(H]g'ZNe
+g=tE;g=tE=h>?",h#lNigtVb_s4mV.?/=Amg"Y<9g=tK>b-TCOhVm2(\Cf]jf%J^)dE957]"55>
+SuJQIJU;T]Ci431D/XN;EH#uBF),5uDfTf;=%Q8-Ll[[`Tqng!\@8lOZ*L^C[^rlY\[Ao\^:C]O
+[0O1S^:h(b[^Q1E!jf&2ri/5[Uo(,iVPKrWR%'hIUoLPsTV86\T;f$'^Uq.i]YhCr]t:nc[C!?O
+Y,A"eU6L@YF(\ic@UX(h@8^-0HEk_^J,~>
+",hkVHN&;&H?+(ICh\*BIXQ^!JpDitIsH$EAnP^hCN49#Ci=*&DKB]5F_Y)^?YF=oBOtpnCiFN;
+H$!_4G&M5AG\q,.DJEWd>?Fj"9MeJY9MA>[<b$3'M2RLn\B<7Jf@S^0f[nd.g&9P(g"?8T$J*h\
+f\+p/f\,!4qq:u&$JX:ff\5'4f\"g-rmkB-g"4d,g"4j.gY'WOakPM(e[_p2g!\9ueBcC[^::_a
+Z(.>]TSn2BF`D26Df0B/F)l5<EclA9@:jCrDK&WI:MtrJOHcE5XgPUEZ*1=6Y-,%;YdUsF[(ErY
+Zi768[(*]X['6mCrj3rTX/MqpVP0ZWV50iXS!T8%S"6+EV5'KJT:hRGW3Nn@[^<HTrjVp9*4)oS
+Z*^R,T:DI4J9>^;=]f$=Bk^mK;H7h>aH:u~>
+B8VCgItE9'Is#mUDJONKJq8Q1L4+`1KRS)YCM[d*F*VtCG'S4MG^Xg]Iro41Bl\E?Dea3/EHQSM
+I<]RDHZX:UI<9CIG'%P4A78bG<`rU-<E34(>\SJ>NfK=%\]`FJf%&@'ebIVoe,@]%dF-IleC2jp
+eCE+HeGdu%f%&:!e^aZKs3ptq"k;,Pd*gAAcX5,I^8Jiue(N-XYKthHcI1+bbK%<)\%/f8T;eZJ
+JphuiEH?8EEccSNF`_ePG&Cl,EcZ/:;FF/kK8GJGR%:+WZ*17/W2chqX0/J,Y,e\2ZEC4,Wi<&'
+Z*:@1XK5!qY-"[uTUq[ER?sA5S!fV-O,Ap]Q^4,4S<B)'R?<u4WjAn5YHb[H[^EKLZ*1=6ZDjRj
+S=PaoG]78$>?kHIBjXY4;/W8MP^i~>
+8WJUQJUVogG]%84E,BuUK7&3$JUrc9J9Z$IEd)VBDJs?)EH?&6EHH5AFD5,mCiOK3A79%`BOtak
+Ebf,tGAh8>EG&foA7&I<<Y\V29i>%m;GpRs?>bCZS!f\F]?&:FqUuM8gtg]:g"b?:g=k<8gYCW?
+rnID-qqMJ5hV[2GgYCW@rn_DGgtUT=h:pZ<gt^W<h:]fRc/7=7g;L\Xi7lr?g=Op'aMc';]q_@+
+YG%>MP)P9KFDbu8E,oo4DKKu=B4u.$E,JcL9P&<iFE;h[Mj'KsTqnWj\$rra]"Yhe\%K;][C!EP
+\\5Sc\@2CH!P,f?\/Mib['[<PZ`gF-V5LE!Y,A+lTpqL?S=?F[[/RH<[^WfR\@K,]rOEcZ]=GG\
+]!JK:Tp_+*NJs'`Km/*!PIAStJ,~>
+@Z#kdKS"Z!H#@D7EGg2YKRJE(JqAu=JU)6MF*MhEDJs?)EH?&6EHH5AFD5,mCiOK4B4P[lCM7F$
+G&Cf(G]7JAEG&fo@U3):='/R&:K1Iu<E34(?Z(L[S=,hH]#W(Armq,"'%Y[eg"P-2f@eg/f@S[,
+f\,!3rn.2'qq25.gYCQ;f\,!WfkT0kf%/I*f%/L,g"4m1f#+]5g=P*0]sZ8Bf$r=&e'cL[_o0O,
+TqSQgSWo>!Mhuq)D/F30EGoQ.F)u52B5DL(Cfa/#A92s:F*rLqPEqW/U8=osZF.<P\[]&S\[SrO
+Z*^mH\[JrRZMq64[^Z1B'=4pIZa?p:VP'NQUSjr[S=H"2P5^XHT;SagXTbo4Xg,4<r3[BQ\$`TL
+[B6@$S!&\cM2@=RJTH3dN3C0[J,~>
+AVl+hLkp\4I;s+BF)ZVbLk188L51qPL44;aG^Xm\G'A%IH@:']H[^?iIWK7@G'eOWD/!j,E,BH5
+H#dS9I<BRXG]%A:ChR9c@:NbP>@1rM?<prEA93QmSsu1M\]2h:eC;tGdLamWe^`-teC2mpdaQXn
+eCE(Je,@hoe-OUUf@JL$eCE(JeHaUQdaHUpe'e6E?dR3Kc+9dheBumq]!K]6da?Old*KnQ_8=+%
+TqecmT9kn/OH5*@F)uJHGBIhFG^+:GD/jZ<D,j"q?uU1*DK^A\NfoZrStW'bXg#4;Za-d:ZEC7.
+W3!)&YcY%/X8]7PYHY13XK8D"V5C5lV4jEGQ'Ro3SX,M(Oc,*SMi*glUSXfaVl6YoXKAS-riQ:*
+Zi70CYHk4*Tph1)LkLD>MgobmG(lm1OFR~>
+Ar)%]JqJGnFD5?(G]\:[H$=[bJ;TJHJU;]iI!BUAAS>q#DJj6'D/XB5E+rs$EcZ27AnGakA6`8N
+DJ<["G]7G9AmJYI>?=a$<ENI,<*<L0<``R7BmZ#9VPU3!^;\=FgY(64rRq;,h#?"-h##h4gtgfA
+gtUW?hVJ1d!8[Y0!8[Y2!8[V/"Q&%nhVJ+bs4dS/s4_YNf>k2?h;./F_7\I[hV?o@g=b$&cHjkV
+WNEY>Y,A4qVQ,r2EcH,;E,]W.DK9f:BkhI&DI#q->A%_cA7fXrE,^,WN09[+VQ-i&ZF.0O]=YYa
+[^s)_]X>5Y\[],Y\$i]T]tV1m]Y;1p]=PMYZ+%<U't:EJVkp/_T:MUOXK/7uVPU)^Str7_V&QA5
+XKf.@\%')`]t_1j\@&WI['?U*YHP7F`fbi~>
+B7teYL5:D+F_PK+H$+L_H?amfJW#\LJp_omI<fgDAnZ%$DJj6'D/XB5E+rs$EcZ29Bk_C"B4"n[
+EGT9,H?*h?BO4tN=]SEu<EWR/<a/p8=BT!>C3u)9V51#t]Yhn>f@8:!ec+/#f`'S&f`0S'fEU$_
+g=b03g&B_%f`9b*gAot*g&Kb,g"?2R>M.W^f\"m,`3756f\b2j[*m^]f%8L(e^DXbc-F5(WjB%2
+U84Q\WKhmOE,f`5Dej**EcZ,4Bl%['>>%OlAo)3nB5V[,E-[.qO-lZ:V5pStZF%$L\@8lP\,Nl>
+ZEpsIrO#/&ZF7?V]"#8]]XbJYZE1(1Za-d5US+0IR?j)'Str*PTq.^CQ^427SXuIKVPpZ&Za@*K
+[^WfTZELF5Y-G+*T;nlk\&"&S~>
+B7k_ZM2[4<H#.26H[($kIXHa!L6.a`LOju,Jq%u\Ci=E?GB\.KG'J=ZH#dnIH[L*ZDJjH6Ch-sn
+F`;/>J9Q'ZE+`crA7/\K@:j4b@V9If?smMWDLRhCVPL)s]"l>0e'ZOhdJhPoe,7_mdgagWe^W*t
+eCE.#e^W."rmUqurmh)"rR;&%f%/C$e'n<Gs3q"t6.40.be'dgdaHjq\$F?3eBu^ldaHF^aihlD
+UoLf/WM?>gWiqnEGBS1OF`h\BFEi(RE,]i>E*Q%,>%MD\@Uj-OC_CoBLlI[kT:r-YW3*8,ZE^U:
+X8T7uWiN8*Y-5%3XfJV0ZELC4YHb73X/MbcV5U>hSsbk-OcPHYN0Kd!Pa@Z"P)kTdQ'7GtR%'Y@
+V5UGrYctC>Z*CL5VPU8iTpqmQUT_@kJ,~>
+DhEFOH@^NfEbT9/H#mk:B5r6EIu0)?KR\N,H"p_j>@hbqB4YO[AnZ!uD/*m(D/4$(BkqQu?s-H?
+CM[j1G&_8.>#7pi<`Dsp<EW^7=^GE;='8pGG)DunXKf=T`Q-9Vgt:<7gtgc>g">!4h##k+g]61.
+h#H40g]H<eh##q*g]610hZ2O4h.>BugtUT=gtUW;b-fFKhrrS$\D?*#h:gT=gt:-.f[n<K\\l=p
+Y,nq@^o<9?H[BgRF)u,3Dfp5?B4l"!@SfTq?tsOnB5VBh>%MVoGC+gkKnt\LS>WNp\%/uW\\#Ja
+[C<c]rjbS/['I0R]t1bd^VILt`PoX,_8!Un]XY>T[^<6<W2ZenTV\9KQ'.8sR[0"rPaS)9V5UAp
+YHbOJ\@]Ji^qd[t]th_5ai)8bJ,~>
+Dh!%II>3B#FD>T4H?=(>BQAHIJ;T;CKn+`0H"p_k>\7tuB4YO[AnZ!uD/*m(D/4$*Ci43,@pE)K
+DJsK=H$!n:>uOQt<`Dsp<ENU6>@1]>='8sGG);ljX0B+O_8FIHf@/7#f\+s0f%&F,gAKP)f\+s3
+r7M,)g&BY'g&'M%g&K_(g&Th*fE'UWrn.8(E7ijpa0Nb<g>gMcYgqFZf@AF(f[\BueC2I;[D'>[
+W2Qo1^Sm'<H?sUNEcc,4Dfp5?B4kss@8BEo?tsOnBQ.Zl>%MVoG'\RdJq]#?R&$db['m?K[^`iU
+ZF%-Q[^`iVZ`gaH]!o)V]=bYa^:lV<\%B2Y['m9CXKJ\'U7e3SSX>t6O,JgNOHPW[M2mghSt`$W
+W2Zf#['?pE\%0/_\@K5g`PT=+OFR~>
+DgltJJ;]54G\h5>I!B^LCj(;YKo_@WMM6eDJ9#=2@;C%4DJa-%DK']@F`MSHF`V_HEH?8@BOP._
+F*)PQJ9uEYAmAJC?s[,F@:j@kBP_Eo?smSaH&A8lWNEVF^;.e9e'HChe'umqdEp@mf)4#"e'umt
+r6tbtf)F2$f%&:Iec!tue("BJ!7h%tB@bV_eC2jnda,_0_:$ihafhhpe^Mplcd^Ikbg4\``29lS
+]WnB5ZG+8ZO+;\/G]n=WEH-2NIW]RIEH>Yg8lfA9DJEd$B3eVMDK9lFI!pHpKo)(gVQ$c(YH>(8
+ZEL=2ZF$pDZUh@&W3!5/Y,\V.Z)t7;[BH^9Xf88!Vk]r\U7@R8QC!boP)P-HIXHd%JU;cpKo;"U
+Q^OA9TVefkYHkI<Z*:L>[_08_[(_WP~>
+?&F/FDK^8KH[BgMC11R]Ao`?JH$b1#KQUa8AS,_!D/s]3Anba[ASQ!qC2%Ku@pa%fBPMKu@q/kY
+CMe!1DJsB&>Z+6i<*!%"<EEF+:fLY*@V0=uLn1fP[(O?Vc2uGGfDaM2g=tE<gY(65gY2GW!SuQ1
+h&G/(gYLcCh;7&Gh;-lAh;7#EhV[2Hh;$iAgu/1eGhUs-hqcDheDT0Cc*k1BiSr_Jg"kE7e_8a0
+bcnq,b.tNt_op-)PD4mQLOj_jEcQ8FG&M)+AoD3Y9j(q<C2.HuC2%I'Df0H4Ci*s"C1V:/IXHs9
+T;\fnYHPCE\@8iS]"5AZ]=ke]ZF7E\]=bkk]Z%b!['otF0YPE@^qR:f[Bd*J[B6C,WiiV/T:VXJ
+VP0TNR@KnBV5p]%ZEg^>XKAqG^VIY$c'a(~>
+@toDFF*i=_IslEUCLUdaB6/QNH@1C'Km$s<AS,_"DKBo7B51p]Anu0sC2%Ku@pa%gCMe-,AnGLe
+DK'W=EH6#2?W9cq<*!%"<E<=*;H6q-@V9G"Ln1cNZb+)tb0/,\df.f(e_&R.f[e[-g"-,Rr7D&(
+g&B\Ef[na.gY1B9gtUQ:g"G*6gY1?7g"G$0f[na0rn)JIg">*6`k9[Qf\X]QZ.dpdf[\L(f$i(!
+f$qdB]uS+(ZaITjaKLe^LQ$t<H#dtIF`qqHBk:mo@T#m%@:j4hC2Ia$CN491DJs9(B4>I]C3FoJ
+KTVb"VlHf!ZaI6MZaRET[^3KT\$)s?\@]5Y\$i]Y]="iG1Ua]u\%TA_[^!$<Wi<5(Un43OVQ$DY
+QC")7SXYt2R$a;5UnsugWMcenW3NkB]"5MpP^i~>
+E.r^TFb#'oJq%r^DImHoCNkD^It<H;ML0#PCi49=F*MtKCi='!CN=K:EcH2@CM.a1E,p2@CMRR$
+F*2\QG^4LPBO=qH?=72M@Us1`?X[S]C2@d5M4C`IYID9f`l?0IcI1+ed*pLoe'ZUneC4BGr6k\s
+eG[qte.gKdf%&@'f%&=#eCE.$e^`7$e^W(Ie,\/#eU#ZndFH^\[E@%JfYX\lf$r6ucd("fccsnd
+d)Duq`59$g[)'u/Z'C0'Oc+pBG'A1XIXZK\D/OH/=&<17CMdp)DJa3,EcH&;EbfB$@:`h\Fa8+[
+NL6E8Vl6MrYd(I:ZF.'EY-G=:VPU8qZEC=4Y-#(9WhcJkW\LKRZ`gO5V5C#[T;A9NPa.K$S=#1j
+M2d^ZN/EINNfTEpSY;gPStDLDWNrb4Y->a+J,~>
+$\Ne@FEVnTI=QKXD>e6ODJsE6I=Q`lEa`NhB5r*<EbSooBk_@&CN=W@EG]H$=^,9FBPV9oAn5Xo
+CM%0nB4G@T<Dle"<`rX1=]8-q>\%VhFF04N]#)4ua3W>gf%/I+gY:H9rRq5)s4IV2gt^Z<g"HAY
+"5DVeh>Q+2h;6uDrnI_6hVR)Dh;8.erS1E/hV[5GgY(63g"b?.ceI=,eAJT%h;@&Cg>(H:g"=s,
+f@.@Kb0.`@bL"POZ(IDORZ*&WJou*UGBn1ME+`ru=&NL:B4kafBk_@"C2Ia"Df0B+CAi03E,9Q;
+G_(HuKSl+_R$sJ5Tr4lkYd:aK^:h+h]tM%h\[JfM\A6"u^V7Lu^V7@o]Xtel]XbVdrk0Ab[C3NO
+[CNcV\[SfBVPgDrYHG"-VlI)9]">YjaHqD~>
+$\*G;G^FjgJV&)`DZ+B]DfBW:IXurpF(&ZjB5r->F)#,sC2.R*CiafCEc#Q&=^,?KCMmp&BkM:&
+DJ<g%C1^s^=&`4(<`rX1=]/'p>[hGeFF01L\A,\j`6?ZXdF$Fmf%/C%f%/I*g"G$0f@\a-rmq)#
+"PDD]g=cJX!87A*rn.V3gY:H8g=t?6f_sEGf\,!4f[n^)e^iF+bfn\ld*KG-Z.@RYeC<%"e^W't
+dF6FM]uA"+^;eIC^os>qQ^E_eL4XPgFEi(OF`D&/A6)Q9@V9@cBPM9uDJO*(BPq[%B4l1&Df9K-
+Df^&NJ:N6.QBml*R@BkGW2m,+ZF@HV[^EWT412H%YcY+:]YM4m]">Sb\%&lRZa@<NZ*:O>['[-@
+Y-5"3[C!9GZ)OIiTVA<\V59u\Uoh&2['mN_PCN~>
+$\!A<H[p^"KS4YlEW'i:F*2SLK8,#/G\M#1Dg6YWGA_#/DJsN=Ed<(ZG]Rh>?X[SaE-#u:DJX?:
+FDl)?F)Pr2@UNVT?t91I(ggNTB5Vg8H%2'W\%T;`^rOaGc-4GYdEqm=%FEMOeC;sreCE+!e'ZSB
+dKJ%Ke^`1KeH=CSe^aZK$.[VXe^W.#e^W+Idg"=Pf@SR&df.Tdda?%QdF67[\>H=Rda6:bcd:%b
+cHaSXbHnds_RmCtbg"#0T9u%:O,AdJH$=O_Is?9`DK0Gs<b>u\Ch[a'DK'W6EGfT5EG]E(rbu%Z
+DJF*2FanjhJ;08OPa@c+TVSE_X/rG.[Bd!=ZE^U9Xf8+mWj9"<Z*1I;YHG"0X/`5(XJr/!WiW;$
+USO]\UoC;kWMlP\R$sM;T:D@:Q("MNWi;u#]omm~>
+?&F5OFED\QG^4CLE-#u<Ec>f5H\-H]E,9'#A7K@oCM.6nD.[<nG%YW1C1q?tB3e\D?>"%hBkCjh
+Bk:a_B3n\DA6Vu1=B8^9?WU!#?>Y(HOdDZG`6HWPc-Y#>f`^$`gY(9Zg&]mZrRhD/gt^Z<g"QDZ
+qV2;2hV?oBh;8.e#2J%khqm5GrS7G/s4i(Xg=b-2g"P-,fA,*0f#"Vtg=Fg+g>:T<g=b01g=O0[
+cdL(`e^Vmb_6pGIWh#TLT94eTIY`]6JTGgH?!(`QB4G=\A8,msCN"')E,'-(E-?>CDf9E/DfB]5
+CiFTEI!g6cH[pd)MMmR_Tr4iiZFRT\]t:b_]"l;'_o"1F_8![q]=khe\\#A]]"P_e]=bbg]Xtbj
+^;%S)_7R4d\A#\i]=G>X]"PP[\A$(PJ,~>
+?%m`GG^+RcI!^!TEHH2@F)c#9I"QZaEG]6%A7K@pChRHrDJ*NrGA(i5CM@R#BO4nJ@;9[tCh[Kt
+ChRBkC11:NAmJD8=B8^9?WU!#?>Y%FOHuHB_TU-Daj&63e-4CRf$r4"rR_&$#M7PZf[n^*fDXA#
+g&BV.g"P-4g=k<\g'66agYCQ:f_sG%f`'M&f)O9Lf%8KueC`<tdClN]e'H=de(<1$e^W*tf@7IK
+b0A#Ld*^(V^U(#BWLTBIT9+_SIu&i9JobmG>ZYNNBOkL^A86"!Ci=-(DeWm"DKKo;D/F!'D/O9-
+CN"??H[9p\H[^R$Ll.1USYW*[Y-bXI\@/`N\A#ht_8!^t]XYEM[je_kZaI*DZF$mAZF%!H[C!?S
+]"5Pg]!S]GZ*q'HZa-a;ZaR'>Z+.]9J,~>
+?\EoKH[^O!IslQ`Fa/%PGBInKJV\_uG&qJ@Chdp5E,9<-EbfB-HYd_FE,KW7D.?s^AoDa3EGfQ3
+EGfT/Eb],uEbSrh@UNhaBjt4NBm,/jQCFSR_9'g=`lQBNd/MAkd/VAocd:%ddf.]#daQaseC2gn
+rR:bqrRD,'f@AC$e^j`M#1V2Sf@JL%rR:\o!RoKqd!a6\c-jq[bI=7Ec,n&Lc-anacd'h[d*B/6
+`lZ0<bg+AL^9ao@WL]NMTp(7_K8kbJLO",a@pX"iDJEg#C2\-5E--);FDbr5EHcPGEH#`3E,fl6
+CN"BAH[C'bI"6j'LkptOR\6=KWN`\7Za-a8YI(mO\@8oSZ`pU8.^6%UXKAP'XKJY*XKAP)XK/D-
+Yd(UF[BH[4X0Ab+Vkg&`Wii1lUoh=nJ,~>
+C6XTrFDu8FF*)GAF)u;AG&M8DK7\#\EGoW2Amf"V?X[YhEFrWjDeEct?sd\fChI<`?"dteBOtU`
+@UW_U@Tl]2C0sn7='T3E>uOX.Eeg3e[CjB$eCW:%f%/I*f\,$7gY1<4g>(K;r7D&'gA]h.g>(K_
+g]#t.h>Z1Gh;6rBhV[5HgtUW@hr*DLhVHuBh;-i<rn@D,rn7q9e(NI.f\soTZImONe_B$;r7ad!
+g;M+agt102e^)Rha1o9uYcY1?XIG93SXGh(I<TO;?u0[l@:<\TBl7['Ec>o9@qKRtF)Gf3E,BQ8
+Ec#E%D/a-*D.dBnrb<NjCiOZGIt`uTU8P0!Yd(XJ]Y:ti^;.S#^:_(p]t(]P\-0@M['mLD\c9/B
+]Xkbk`;[aU`rF0iaN)?>_o0O*[^WuoR=G~>
+>E4GYGBA%WG'7qHFEDMEGAqJHKS+5`Ec>f4Amf%X?t*klEbAinE+j!#@:3njD.mNe?u'UqCM76l
+ARo@aAR/;<Cgg=?='T3E>uOX.Eeg0b[(=#qdaZ^mdf%W%eCN7'e^N!ug"G$Vf)jORf)=5#g&BY'
+fc]#%f\"m2f\,$7gtLH6g"Y<<gtLH6f@S[-f$i1#f@S[Sf+?KZf%/@"gr$+ldE0MUeCiIPemd7c
+f"]/Nf@&*sd*0e]`P&jnYH5"=XI>32S!fY'I<B@7?YaIh@:<\TBl7^)Ec5f6@Us7mEGTB+DJF'/
+E,/urCMma#CM%'iBkV3qCN"<>I"I?GSYE*cXKJn>]=YYc]`,VU]"#;a\?rWL['Hs@XK/M0rNcX6
+\@/lXr4W]V_83q%^qICo^9auH\AXY_~>
+=cS8[H[1!iH?j[VG^+@UHZX@ZM26:tGBS%ODJ*QqA7f_'G&(])FDPi4An5n(Ec#T%AoVj2E,B<+
+C2.R%DJ!9eG\pkn@:j=lB3\YSHB+c)\@o`$d*g8>cMc&nd*^7ec-=W2dK%bqe-XUPeC;sqe'lgr
+rmh&"(t[9ef%8O(eC2puf@\^+e^W'seC;sodaJ-D'@P:TcH4DZcHXqRUSZ/O_oU-PdJV@?eBkhB
+c-jk]d*9YRbeq'&\#ug;\#l0_OeA87Ob/"'BkML/D/!^$BlJ06Fa/(NG%kc4FEVYCEHH/?F`hS8
+C2\*+Df9B(Ci+!(Chmp1GC"dtQ^aYGWi<#$ZF%$G['dER\$`NJ\?iBBY-+n.XJi"qX/i>&WiN>*
+YHt_:\du?a]!eoNZ*C[EWM?8k^64!~>
+,*\%/G\h)5EI2nMFDPc5FD,`GJpD9`KRn>cBk:XI@;Kn%rbP5A@;g7,B4>n'EGo`*ASu$aA8#@X
+?Xm\X?!CH5BOFk>?>=1\;GgqJNi9Y4cI1:tg=Y!/g=k64f\5*7g=Y$1gYCT=g"=s1g">!Wg'ZTi
+gtUQ<gY:N>h>Z12hV?rdhZ2L3g]610h?)TkhYl75gY(96g]$".gE5/&gY1B<lHZ`Cg!S7!gu7,F
+gtgfAhqQ2og>UiBgXlGSABVs1`kJsn^9Xf=X0/(]N.#e^AnuR)@Uj+cA86!tEH6)=Ddd3lChdTr
+CMIL"E,B6"CMms!D/X3&DJj0"B5DF"@U<VaG'/+aMi<aaSYDsTUoCQ+]"Pnqai2'1^r*t$]=@gK
+*4WJd['[9P]=PMa^r+%*_Sa:1`5TjFbJ_33b*db~>
+,*%G#H>mbEFF8=SF_tu9F_PrKK6hKdKn4GdBkCaL@Vp+)rbYeQ@W6I0BOc++Ec>r/BQ7ZmB5;!d
+@V0=d?s[)@C1::F?>=1];GgtKNMjG/bg=ehf$r-te^`0ue(*%$f@AC%f\+s1f[na-f@8@%f%8R-
+g"=p0f\"m2g&BV*g=b3Zg]6(-f`9b*gB-*^g&9P+f$r4#f`'S(fFlfef[eU+jiOX,d`TbZe_8[-
+fDaEKgt0E^e_Jd.f$i$od)a&>`P&aj]s+K6WiVeYMgTMV@qg("?t*h`A86!sE,fl9DI@!hCM@Bm
+BP1jkDJE`nBl.WqCi4!"D/ErsAo)9s?sI2YFE2SULPUnSSYN!TUo:H(\\#Pj`kf@$^;.FlZa$a>
+ZEggCZE^YNZaR?O['mQY]=>D_]>)(o_TBa0\[o\CJ,~>
+,*%J)Is,p\H%C?eH#[hIH#7h]LjsQ#MMH\*EG]8eAoVs9rc(SKAor<@ChIs<GBJ"DDg-#/CiF'#
+B5DO(BkM$hG&ChuBQA*)=]oHdP,uI@cHstheBuUida?Ffcd:%dd*Bn^dF?[pe'c^peC2qGdgssW
+dEp=he'uq!e^i@(eCFQM!7h(u!7h&!s4.(t"Ob]FdaS3Fs3hV.cdC+ce)/'@Vp*)uaj8JbdF%sA
+"kD#5^X(L1d=0Bbbg")?]tq:f[_&fEW2m+pR>uiCDJO6?EG0-/Ec,rAEd2kTGBRY9EH,r6D/X<-
+EHH28Bl7s1BQ8-5CiaZ8BkqX*C11CYD0']?Itic;P*qo8StMp\Z*h*Q]YhIo\%0,\['6^6X/rD)
+X/W%rWi`G,Xg#1@[Bm3EY5ba4[(4#aZE:=DP(3~>
+=b_HKHtm,*Fa\X]EGB9.Eb^&XJTuBiL4abhD/*WnBObRiBOkakASPsnART:fARJeK?t<VGASu$a
+?!h&N>$P?<C2@Ec?"RbY>@rVXX2<32e'lh!f@JOPfDsV'g'66_f\5-8gA]e*gAfk+g(;rkg=tE;
+g=kB;gYCW@gY1E\h>c7Bh;7#EgtUT=h;7&GhV?o@gYDe_rS.q>hq6Z=iTS\#]%bungYLcdh)!pC
+g"b9%ak,A#g=b-0d*9VMb0nJN]XP/T_8j?eQ]R&RH$Ot"F_bf3CMn*2F*2SFE,,8\6Y9tBA8,mr
+AR]1]@qTCa@U`kY?WplQCM$sfD/XE>HZX+?CM7O*G&VA>FFAb'S=#b8S"-F][Ca5l_nWah\%&lR
+\c'#O\%95b\@B/`]=kki_9L-GaMc,bJ,~>
+?%@<CI;EM5G(+jaEbfK2F)-8\JpDTmLP0qjD/*ZpBk1dmBk:soAnu0rAn#LjAmo"Q@qT7SBQ7Zm
+?t*\Z?!guGCi3lm?"RbZ>A&_[X2<-.d*L(ge'c[oe'lhCeK3>qf[n^+f\+s1f@JO'f%8R-f[na/
+f\"m2g"4g,g&B_*f`^$`gY1?ZfEg0ag"G!/f%/IPf_sJ5g>(60f\GN2['S93e'utIfJD44f%JWl
+`7!;de^W*tc-!uA`m2ZA]!S]M^rF-aQB$`KG'8=kEb]B.CMn*2EccABDe])Ys(#8A@:j7f@UESS
+@V01]@:<YU?<LZNC1LX_CMe!6H#dY3BP2.&G&VA>FF/S"R[9D2R[^4Y[(*`]^:UeWZa@'D[^ENM
+['R3M[BZsB[C!EN[^sJr_n`q#Oam~>
+>(D$FJokjOH\-frG&M>BGAi.nLOOZ,N/E10F`M>7D.mX(D/!g*C2e*.CM.R)CM%'fC2RZkD0B`,
+AS>msAnYpoG^=CDASuF"@;LmnXi/Q6d*Bqad*L%crm:Yl!7:_j!RT9od0J+KeCE'ue^aWI%+N_P
+d*pCjeCE."eCFQL&(T1Ze^i=%eC2mreCE.#ec!qseGdqpe.'sRcdLD#`icGhcHXY]rR*LNdEg7e
+]tV_=bg4S\cH*u>^;J.5]sk>N[D0YoU6^jsJpi'$OEkheGBJ.UH$XjbH$=9*CCP)sC1qI'DeN`r
+BkV<urb4u?C1UaaDf9;tC2S!2H$j^NBk_3rF*2D=E-$AUO.)?$R@'A;XKf.B]",5PWiW;%W3*/&
+X/i8&YHP",XK8A"WiWM?]"#/R\r_F~>
+CP."LDe3O$H?*k9ATN'BI<^$^F`VbQH[9dPCLgda?sI,YChdd'ARf(R@qB=iBjY%M?t*eYBP_Bm
+?XdVS=BJ^/@V&tP>?YKOF*sCX]unmUe'ce"g"4j.f@S^0gY1?5f\,!4f[eX*f_sM'g]#nCgYCT=
+gYLZ>gYCT=g=k<;h:pZ<hV[5Hrn@J/h>Z:2h>c75h;$c=gATb5gu$]:h;.&;]=Q\pgeZb_gtUW>
+g"G-5aN<&gf%Sg1f[S?qcI(4kbf.?6a3E#X\>lC$S<AVVKm@ZUDK0W6Ed)_MFE2;:@pWPP@:3MQ
+A7T:cAn#.T?Y3\O>?Cf-!*fG/4^_`3BkM!nEc#N+D.m[$D.I6lBP_O1I;s.GFE)MOJrlb1\%&lR
+\@oYj]=52V\$i`S\$`f[]!\rQ[CO6T_ZIcuP^i~>
+COLD@DeEd-HZO+@BQe]NJ9lThGBJ1YIXH<YD.[3h@9m>]D/4!+An5:V@qB@jC0t1P@:O"]Bl7]u
+@V'7_>?b?;A8#IY>?YNQFFBRZ]ZJUMcd'qfeC)andaQ^sf@JL%e^iC*f$r4#fDaG%fDjD=f@\d0
+f\"p2f\"m0f@JO)g"G$0f\>3:gA]_*g"?;Ws4IA'!8.8%rR_V5gsaj,f\F]YZdRCReCFQL$eO%^
+f%ANk`R<>bec+&\cd'_VbgF_X_7ID"b0J5=VkTlPNe)S1GAqD9EGoc8G'7qIE,BE#?!q)K?=$uI
+@:NkY?X6rDARJbH<rQ2$>5hep?=@GZARfLpChIEsBPD=#A7fLgCMe<EE,K`<EHcb\NhNJZ[^<9I
+]=tqh[^<BJZa-mAYdCjGYct=7Zb=#`]=bt?J,~>
+=+,=2FDc)GJ9Q'QCO(>ZK78?#I!U6nKS+`!FDYZ,Amo:oEH#r=C2.<kC2@j1EFrZlBkhU%Df]l5
+B52<t@Uiq\DK9T+@ps%iGCZ0c]ZJRJc-4J\dJhK)cd:(fda?Ffcd:+gd*L%cdaS3Fs4.2"rmM2'
+e'ZRldaHUoec!u'f%&6te(3.&ec+%teGe"ueGmu#eC2mpdf%XDeCMmleC3!gYH?'sd*U1gdF-Il
+d*L+b^:qh<bKnJ[ccaJN`lQHJ`4iao_8jaAZDO=hS<Sh]M1'PgFa84UH%(0fH$=@OC1V'mBP1sk
+Bk_@"CM.3hASc!jA7/kU@:EbW@q9.eD/*^%FDu&5Dej-,DJ!NqBl.^3IW06*F!kpMH@_$GVQR2,
+Wirb9Z`gF/W2Z_oWN)o"YH4RrV5LH(['?j@]8_=~>
+3ei&pA7/tgFD,)i@X*3IIsQ'MBkM=*G&qSBAmAJI?XRG]Chm]pA78\G@;':iDI[-eAnGprB5):!
+rad$N>$>-9?t!MR@:!VoNg?][bg4hhe'ln$g"=pUf_sM&fE0aYfDaA$fDaD-g"Y66g"P38rnJ.B
+gtUT=gtUQ9g>(K<g=tH?hVJ.crn[G+rS%2()qWm$g"t/j]\1ohg>1W?g=tB8g>(?$b1PP&g]#k4
+f\+p.e^`0scHH47Dpm1V]XbVZU5jneNe;V!H$=FVI!U$\GC"II@:WnW?<prK@:*AP?<UN<?<pf=
+:f^Y$?sZf4>@:uO@:*JUB4kpqDJsK2ASH!tD/=--?t!VYARo:^D0^eqPa.N'VQ[;*Xg>OK\[],V
+ZFIHS[/RB:[_08b]YhpWJ,~>
+3e)?bA7B7qF_PArApf&YK77l[Chds6H$44NBjY+S?smP_D/<lsARSeH@;':iDI[-eAnGprBPML'
+rb*HZ?!UcE@q9.]@UEhsO-Zf[bKeP_cd:+ieC)ameC<%!f)=.uf)F5"f)4,'f%&=%f\$2V!SZ6*
+fE9aVe^j`P"kVD\gY:H\g&BXtfDO8?eC`F'g!."6da-:ge^i:$f@\[+g""$]eC`7$rmXuteC2gl
+d*KtZ`lu]PcI'P>[C360M1CJBJp29\G'/"UH$47NG]mb/@q/nO>$YNB>[1]A='/^5>[1E,<)m%-
+>uO^+?XmPQ?=@DWAnPpsDJsB&Bl3ic/T5K6@:a%^A7K1eH%M$>P`qT6YHk11Z*q0M['R$?Za@'C
+YHG(6[C*?J]#0PY~>
+!IoCoC,L!YHZ!M/Bn(\eL4OPjEGp#KJ:2]jE+WQmAS,^uF)l27CM@6dC2e*5G&1o1DJjW=DJsZ<
+rbW]aA7T7cCi+$*BOkt/OI)u[aNMlRbKS8ZdEp:fdF%sA!7CemrmC_ls3V)"e'lgte^MtGe,Ibt
+e'c[nrmV>)eC2ste'c^qf%/CJeG@YmdeqQpcd^Ike&S_sbfn>XdaQUkdaQUkda#PAc-jk`cHjk`
+d*Kt\bfe,J_o^'DbKdo3Za?s1NJ*@SLOFGtI=-NrIscQhIsc0JCMRTp@qKFfAS#Ue?t!UFAIi9S
+?smJXAQi;GA8,^gA7kgV!,_[T1iR,EE,TZ3E,K)oAnP^eA7fY$Iu02HNKg$3WM$#aX0&J(Wi;kt
+YH+LqV5UGuY,SG+^5d^~>
+:Ps^:@prq`Bk(IVC3XoFGAq5.@p<A\F)G]6@ol`4@r#jjB4bIQARf"L?>*h]CM%C!CMIX!AS?.(
+D.m<U?t!JSARoIjC2\BWUp.MVfDa5AeCN7(f@S[,g=k31f@S[-f@\[)f%A[.f@JR,g=k64g&B\.
+gYCW?h#,n3g=b05gY:N=r8%D0!o;Ydrn@A+!8@8'GM:a*i8*&Ce\f5WdF6b(hqQl>gtUZ@f>Ytg
+i8!/Cg"G-8gY1<0eCE.$f@JI#e]l4U`PSU=Of,@RNJ*"AMM[(?Isc^"J9>dJBk1XY?=IAL=C>94
+=Bnm2?<U-.=^,?A;,^V&@:3JP?XR>P?tX@sE,K9)ErL#%D.mEnBkqU'Bk1OQ?"@V_Bl/0OO+rjm
+Xg#.A]Xb;PZF%+>\-BFP\%0?!Q[f~>
+<e5R/@q01hBk1X^DL?bVHZX%<AmT"hG&_>BAm/><A8H'nB4bIQARf"L?>*h]CM%C!CMIX!Anc@-
+E,/ra@q9+_BP2+!CiF`^VQd_Xf$_smdF-OnrmD"ue^i7!e("BI(Y7-de^rI*f%&@'f@JL%e^i@(
+f\,!3g&BY(f*BmWe^i@)g"H;Ws4[V.f@KrOrmh/$f%9fO/D&J+gXt!/d(R$>aii)_f@JL(g">$4
+eAB>ZgXk*/eC<($f%&6qcd:(ddEqm=D99`4_7l_,NM<JDMh6V;Lkg\9I!L'kIWTLGBObCS>@1`@
+<F&[*<a/O-?<U'*='8p::f:G#@:*AM?XI5M?Y=4pDf''%EGoc7D.mEnBkqU&Bk1OQ?"7P^BPr-O
+O+rjlWi`G2\$W6<Xfo)1Zj3n?Z*1FC`0#Q~>
+6%XK#CM\!6EGB&sEIWCbIWoaLCL_((I<]g^D.-gYC3+H3Df0/qD/<foBQ7m/FDuAEF)l>ACi4NB
+F`;"uBkqPaE%H'QE--MhV6@JPdEKeWbg"J\cd:+fe'lald*^7fd*^4dd*gCkdEp=jeCE(HdKItG
+e'c\De,@brdf._qeGRksecOCNdf.YndK7hEdehLCda?RreBZUf\@'W%aNi8ada?Lme'lgk]>N%I
+dF-Cfd*gCldEg"Zbg"GYc-4AT`k]='^86pPVQQPQLP_"NNJ`OEJ:`Z3H?FCLCM.0fBP:m^AmenO
+A6i_ZA6NPSA8>dZ>$tcOAS,UeAS5XfD0'iBEb]W<FEDSCC1_9u-uEpACh@'Y?"7JZASQC?LjtAP
+Unt&mYcjt(W2Q\pXKJ\*Whu\u^la-~>
+?]9SMDK0`<BP(^cFEM_IDIdHrAmJPPBk1XnAQi(u@<$-h?t*JKAS,FX=_;)M@:="eAn5.SB5Va1
+EG/W`BkCgcA7fLhC3kf/Yf+f9f$`+#f\5$1f@\g1g=b',ec+,"ec+,Cf@em2f[e^/gY1?6g=t?7
+g=tE:gY:H8g=tE;g"P3:hVJ1d!8[Y2!o;YdrS%;+*890&h;-l@gt^Z<iSiVIinD]'hUC!-gtpiA
+h;8.e8_(`(gu7)FgY(97f\"m3g"P6;gt166g==QrcHO_BS=mU4Z(mhZXK/+aQAgTTN.lk7IW&n3
+A6r\WB4PRY=B]$6?!C?1>?Fr*<CBqn?"RPSB5(pc?!_5\D/O3$Bkh0iBkCjeCLgphDf02r?sdGV
+A6rA?>$G$9CN=WVV7ORXXJrG9^V[k%[C<ZW^WMsp~>
+?\<];DKBuDBP(gjG^4RYEG'*)Bjb1\ChI:%BO+_)@<$-h?t*JKAS,FX=_;)M@:="eAn5.SB5_j4
+Eb\uiCh[HoB5)-tD17J:ZGk,>f$VsreCE'sdaQ^pe^`-teGdtueGduAf%A[.f@AF&f@JL&f%8O)
+f@\d.f\"g,f%8R+e^iC,gY2Y[!8@G,!nl2VrRLr!*7`Wmg=k64g"G$0hVHi8h:9Tdf#u:cf@ed-
+f\?DZ9@CW!g"tH8f$r4#e'lgteCE1&eBcOmeBQ1Ya2cH+Q^kY#YG%DRWi;\YP_t0LMM$J2IVre0
+@pNDOA78qN='8d0>[(6.=]SL#;ajYe>?tiM@:s:c@9m2RCM[j(@q]RdA8#O`ASP^aBPq[!?sd;O
+An>7N=B\p0@;9e*L7u#g\>Z:,\\5bl\?2s=Z*qN5J,~>
+?\EiCG'e^fE,96*H[L3fG&2/=DIm6rF)GcADe*3FBmOu6Bl%KqDfBQ,A8lC$CMe<:DJWisDKL,J
+GAh&(Ec>i5DK9f>Ee9CGYe\?*cH4;TcHjk_cdC7keC;pod/MDmci28udF6Upe'ZUmeCE(JdhC0W
+d*^:gdF6Oke'ut"daQ^rf%'cL!7h)"!nGcJrQu\7dEg1fe'lgqeC;sqg"=g&g!RaUe&]YVe()pr
+eCOWLD9]]4eCi@"d*L(fd*U1hdF-Ood`p+cdE9MK`5Kg!Q^bV$Z)!t`YHFamR?*5`O,/RHK61sG
+Bk(alD/*iq?XdYWAn>@YAn#+R?<giIASu6sDK0N-AS#e"EcZ88DJs6(D/*]uDeNd#F)l'qAHZ^_
+Bjt<G=Vt+FBPqjET!Q,<Vk^/nZF@?NWiE"rY.p0N~>
+>)IiCDI['dBl\--Dfg,?BP2:)DeNHhB4>4eC1CXZE-,r*='&gF@:WqT<,$2`@UEkgCL:.LBkq0u
+DJX0)AS?"&B5r-BKSlS8_9:<We(*%$g"Y33f\5'2rRV#$#hRVXf@\a,e^j`O);*Wrgt^`AhV?l>
+gYCK:gY1<6gtgc=gYCT`h>c:0h>c76h;7#Egt_n`rnJ@Fg=k<:h;$lBgYLfAf\56<gY:N=g=tH?
+rnMbK`6mDugY:H:h;?r<g"b?8g"P3:h;$`<f[eX+g:j>V_oKU&YI2'MVP'WLP`glZJqAVm?sd>K
+?"7GU@pr_K=']0>?!pf?>?"U+<`<40BP_Hq?t!Y\?=@DXB45Fd@Uj%aBkqKtAnGdi@q91_A7K%S
+?!U]=rE0h:@;gUON.cY/LPqIlVkL&m[CjSHJ,~>
+:4[\%DJ!BlBle93F*MnKC2%[0Ebf)tC1UjqCh$j\E-,r*='&gF@:WqT<,$2`@UEkgCL:.LC2IO'
+E,T]4BPVX2BQ89FKoMq=_9:9VrmM,%f%/@!e(*"JdL=UTf@SU'e^i@(e^W.Kf)O8:f%AX.g"P-3
+f@\d-f\"g+f%A[.e^rI,rn@D*rn@;'!nc,Vrmi^Rg"G$0f@\d1g"Y01f\=s(db!!uf%8O(f%A^0
+f\"WfcJ%(*f%&@(g==X$f@KrNA^f2[eC2jmcHahf\Y#J._nNIYZb*K<StD:2OGAUBJV.fH?=7&C
+?t*MP?sZu9>[LfC?<:<5;H$[t;d3UBChmTh@:a+Y@:Wt^?tO%[@V07dC2.BmASG^b@qK:_@pr_N
+?<pe7=VY"=>\eV<LOXZ!Ko;4fU7@pTXgGm*J,~>
+?%RE<FDYi6Ed;hKG'eRYDf0`DGAq/4E,967F),H'H@C'Q@:<qnCMn'(@!$[:DJO?=F(\ilE,o]<
+F`_bHDK:#ME-ZnaM2eCB^W4UDb0%rQcd:%ad*gChdEp8>dgjgQd*^:id*L(ddaHOkeGRkueC4EF
+$.72Mda?Oof@JCLeGe"ueGe"ueGdu&eC2mpdEp;=dO<Soe^W1"daZmrcHk"fdF-LmdF-OqeC;sl
+]?/UTda?Ije^r6qdF?YDd:C_SdEp4abKJ2Z[[`l&_nNO\[D'#HTqe!?P_t?PL59k]A7f=]BkqEs
+BP(^]AnbpkBjtXa?!_#I>@V;bFE;;3Bl.d"B527!Ao)<sBP_O&Df9H,C2Rd"Bl.[&CM73e@UEC>
+=qt1B?Yt1GM1U)"ItE]LT:)7CUT;%hJ,~>
+;3$9@AmAJGBle3.DK0fAE+j--De`?_BP(OlGB%G<FE2/+;c-_.=CGQ=<+Bc^BOY^oC11R]B4P(X
+C2\30Ao)U9E.!P1Vl[SPb0AA`eCWCQf`0P+f\+s/f)F;#g&BVFg"=m,f\+s0f@em5gY:N=gY(63
+g"P38g=b05gYCT`g\KV*gYDeb!8[V/s5!V.rnS%<gtUT>h:p]>h;6rAg]$".h$Vomh:K]og>1K9
+g]$".fi?b]gY1?6gYLZ>g=k<7g"P3#XJsCkaM,:'_7?bKY-5"*PDb'FJ8&P+BOYI^@:*DL>Zb*2
+>?b61<*NU/=B\j1?!h>aBk:jhCiEoqB5)*lB4tmgra[NjBP;$jARStT@UWbU?<UT??X6o?<)?Co
+?!^oO@9d#EA86.1H\.3M]uQ=e~>
+:ksI0B4"nQBl\00EHHAHE+j*-EGSchCM@-uGB%G<FE2/+<)Qt3>%:uE<b6/cBOY^oC1:^bBkLXc
+D0'r?C2\?DE-mJ1VldYQaii&YdaS3F%+EYRe^i:!daQ^rf@TuP("_$deCN7'e^W.$f[nd.g"=m+
+e^i=NfDjA*f%8R,f@S[Nf`BaYrn@D*qUbf"rn.8(#hR_[f%AX+e^j`Os472$s4@\1f\"WgbLP:s
+eCOWNs3u#<f@JL%eCE1%eC2pse'cas_5F*Kc,7*#^V7.XVQ6f!UQC=aJ:D6BAS5F\@UNJL?X$W6
+=^,-7<)Zt)<`W=)=^>?KDJ<WkB5;Bp@qKCgA7oRfAS#C`AS>aiARo1U?t!JR@UE>F?XR2F>#\9n
+'387>>[q&B>$kfSE-?JRLRbiiNdq~>
+:l'R6CLq$jE-QMGG'J@[F_u/AF`:Z$E,T<7I<]gYI=$'O?!CiV@V]ai?uL:7F)?#CEG0*&Df&p&
+F*W4VE-6V\G(PdEVlRDI`lH9HbKTq2#gUcCdF$7cd*Va>rm;/&dEg.ddaHLhdF6UorR;&"dEp:h
+e("BG#1V5Te^W'sq:#SseCE.#ec+(se,Ri'e'umteC2pqdaZeGdf7eqdf7eqe-aXQe'5PFdFH[m
+e,IiudEp=ke'cXkdaZand*L(acHjqPUS5WL_R[.j^ppPGXfee&Oc"jGK5>4:ChIHrB4Yah@pi\R
+A7T.U?"7GR?t!GOAS#k'E,06,Ecl,2Ci40+Ci4')rG)=K-Z!O1AnPglCM@?f@Us"Y?X6c4;d3U:
+@VK=X>$YNKDfp8MJ<I(JNdq~>
+?BBeJ@pN5DDK0N/E-Q_VGA1`)D/NH`BPCq&J9u?VEH,i-=Ar4%;I*I,<a]Z\D.md'BkD6p?s$62
+A8H3uD0(#PH&80$`Q??Lcd:+if%8U-f@JO)f@\a-f\"m0r7V,(%+s1`g>(H8f\5*7g"HAYrn%5(
+rS%Y4g"G*7hV6c<g\]e+gB-0dhYu=2h#?..h#6%0gtMb^rnRM-(u3m"g>(Q@h;$cAhq6#rf\G04
+gt^W:g"QG[rn@D,!nu>\rn@D)9&.XtYKkeD_o9g=^pp\]`l>N[NJWLHEc5o9CN!lq?Y!SM>$Y30
+<E)ap>[C]B>@(cMA8H*sCiXZAGAhA:D/3ftBPD-k@UEGQral4??s`h<+CJP]=Bf*=?X?u<;,gn.
+<`3%";G^7j<*!10@r%"7a-2#~>
+>Ddl;A7&SLD/a?/F*W(XF_GE%DJrZfCi!U/J9l6TEH,i->?4j1<FB*8=^u5cD.md'BkVL#@pE#B
+BlS94E-?SWH&/'!_oKpDc-=P\daHXoda?IkeCE+!eGe"rf)O>4e^W+#g"=j*f@\a,f%8O)rmUqu
+rRV5(e^`7'gA]\(f_aA%fE0a[g]#n/g"P-3rR_##!S>m$f)F;#eem&kf%&C*f[n^)f\+]haj\kk
+e(<4%eC<%Jf)F5"ecOCOeGe"udlZ1%YH#^n`kK7._S!7Y[_fngRYurVKQ(dHDea0&@:*PR>ZtE7
+<``<t<a8s9?!:NBA7KCkBPML-FEIM!&Su2pBPD3qAn,4UAnP^e?sd4=>lS1Q?!1E>?sm>I<_u_"
+>#S3s;GU%a<)ck"?!q?$[_e&T~>
+8W&"-BOt[cF*;VFG^b0nH>RJ9EcYMuE,fQBKn+DmH$OOM@U3>M>\@VV@Vg14GB.nNE,Bc9Bk(@\
+Dg-MKG'ealI>jl-_8F:la:?>9c-=S\cHXV[cd:%bd.u)hdM(!RcdL=ld*U4ie'ZRke'l^ld*_jB
+s4./!#1_>WeC)doqpbYp!n>cOrm_,#e^`1Je,@bse'\0CrmUhos3Lnre(*!urmD8)bdt[:e'ZOl
+eBuXidJhVodf7bsdEqm=:!V#.e&/5``mDZ;^W"(&['$jT_mPtmM2I%/EH?5?FDY](Ch[EhARA_L
+>ut?CAn5I^ASGsqEH5r9G'SF]FE;MDE,BH0Df0?(ARoWVD$"?^Ac?3_B4bUZ@:NhY@prSB=_(rF
+<aAm0;c?[r='As:@=>5iNIV~>
+;N#s,Bk(I[H$"%EEJK3oEc5N$EI)>1B52@9J9l3HCiXT7AQi/:;HI"'=Cl8cDf0W8D/=6&<D?7j
+?=@AZGCG*rKUT9jf$Vgie(<4&e^`1"rn%2#!S5p&gAfh<f[na-g=tB8f\"s6gtLN=h:qq_s4dS-
+s4[P/r7h8,#2S.jg=k<9ptYo*s5*e3s4mS-rS.D-rn@2&s4SFHgtplChVR/Jfu2:nh:L?8gY(63
+g"P37g=tB[g&KcMf[na5e@Dg,f?hafeBu@N\AZkE_53?\S=P^iH$OU\E+s*+CM7?m?VsX$=^klM
+@qB.ZAoDR,E,^&SKnFl"H?X:ABP;$jB5(pa?=[MR@UNSM?!^iC>?Y9<>[(K@>Zk05@:3AF?X[>J
+>?kE=?!^cAHa:\XJ,~>
+;MBC"C1Ud`G]RkEFGYZrE,B,sEI2G6CMe$BJ9c-GCiXT8B3e\E<E`X3>A.hjDf0W8D/FE-=]&+&
+@qKFnH@LO!KUK-eda$(\cdL7hd*U+cr6bVpec+2#ee-H^eCE1'f[eU'f\+s0f\5'3rmqA,f@JO)
+f@^#Qs4@P/g=Y$/f\#uPs4[M-s4RM+fDX;!f)XD$eb[i<f[n^*f@eg.f%/I+d_3fSf[A:$f$r0t
+eCE.#e^i=LeGn&ueC)e"ca9amd`]\RccsD=[(t#5]qLLNR[]:aGB\4VDeNm(CM7?n?W0m+=^klM
+@q9%WASu@(DJaNHJq/5lG]mt<B4tskBPM-e?Y!VS@:*AI>lJ"C>[(K@?!L]D?!164?<p`:>[C]?
+>Pq_0>?Z6R_NB?~>
+;MBC$Des$"IX-*[H&dc3F`M22Fan:FDK0fSKn";`FF&:XDe*9b>[h2QA8ua:H$Fa_FE2\D?<:9=
+Bl%[.ItWQ3L7GWkccX;KbKeDXbfn8Srm(Pg!RB'kdf7],d*L%bdaQ[md*U7keC)gre^ONG$.IDQ
+e'umteCE+Kf)F8(e'c[ne+hGmec45#eH+1KrR1Yn!7LkoqU-G4d*U4ie^`0ue'c[f[DL;?cI(.i
+d*L%bdaQXme'n<D!7:_kGKe4Rf?:Cr_Tp6@a3;`D\?irrcb?*7PFJ)'IX?HgJ9>dMGB7_@DJ!$R
+?X[Y`C27X#Bl/$8G'.nSLP^e=I=HWdDJa9.Ci+*+An5^mBk_3mARo@`A78kTA7AtVAR\tO?tX(]
+@:a.c@p`PM@:<JE;f8DDOFR~>
+#*+4@CMRa+rd%XiF+o!_Ee&:UH?sRKCi+*8G^"4;C2@Nh?X@#B<E<4'=(uA^Bl.j/E-$)+;,^h1
+A8#h#I>*cSVmaIef[SC#f\4s-e'casf\+p-eC<+'f@S[.g"=sVf*'d\g"G*YgB-0eh>Q(-gBH<c
+gYCQ;rn.;+rnRP-rS.;+$/=7jgY1E;gtgcbg]-",gAp%.g]$".h>>t3gYCWAhVI&fh[/5o_:%2r
+f%]!7rn@>*"5M_gg]$".h0@f4gY:]>]s,N,e'caue',eJbLY4aYFqr'Z)XC]O+i14G^4O[J;B23
+?WUQIDJa3,C1q3nFEVnTI=d<2K7A;sH[9mVCM%*iCh-^P?<^W@@UinW?sQl7<a/m7=^,-8>[CfD
+>$>6A?XI,G?!grF>?P-UZcebe~>
+<JZ$/Ci+'0H$O^]G(tBaDgc\LH@'dSDf9T?G]n+9C2@Ni@:<PM=BSj3>&8"jCMe'1EH?;2<*!I?
+Bl%a2IYNuUVmO:`eBuXkeCE!ocHX\_e'ukGd0S7QeC<%"f%&=Me-+@Sf%/IPfE0a\gATY'f`'J(
+f[n^ReH"5#fE'RTrRh)%%bTIff[nd/g"P-3f@JL&rmh)$rmq)#s4I8$!87A(s4RG)s47V1g![IT
+f\"U&f@KrOrRM)&f\"dSfDjK;g"=m,gs`d6_9gKPcdU1\_7mt<dDN#TWNrb,S<T"dJ9c?`GBn[n
+NdG/9?Y=4lCM[]tAS?.-GBnOdLPCD0H[C'aG&_;1AS>pk>$509>$bWH@UWVK=&`1)?X-c>?!LW?
+?X$T5>@7A7s'>Y2#@1J7=*CdeQ%/~>
+@>K>AEHH;HIsulrH]*H!G(b-eIt)]cFEDYSI=-<SEcc54BP;$i?X[JT@s)p9FE`(WG^FjN>?trZ
+DfTuHK8Z"hWOKadd*0\Xd*^._b/qiOcd:"_bfnD\cd0tcdEp8>cNMYDdF$DAdfS%Mec!qrdg=IO
+eCE'tdaHUorm_%udf%Yne.0sWeC2jpeC<$ue'c[ldJhPoe,Iepe,RqqdhL6XdaZgue^`1!e'cCE
+_p[&ZdaZ_EdJqYpdfe1Ne^N%Ids9Bjda6@nca9U`bf\&Od*0JD]uJIH_Q'-(Z*('sQB6lUIXQ]o
+It`lGJS&1uD0'`;Ec5f1DL$SWItEH8N/3.=JUi5tGB%G6D/sE#@:j"YAnc!pBkLs_>$GEG@:*GP
+@:<YW@pi\TBP1pf@:*JR@9cl3DPt=8J,~>
+9p19ICh[R!FEhtJD0L5LI"cfeE,'0,EH-#?Fa%q@C1U[P>$tcG=]\U%<G#lS@:NtcCi!`b<Es$F
+CiaoQMjUEO_8a[DdF?e#f@JLOeGRktebdo'f@\d0f\"g,f_a>(g=tE;qq;&'rRqS1f@S^0gY:H8
+gA]k*h#H./g^)Zgg=tB;gY1B\g\fh0gYCZAhYu@2h#H./g]H<ghYu=>hV[8Mg;;:ohUpT<h#?(.
+g]cHdgYCW>rS7G/GMLs-i7c#RakGG"f@\R#d*C"ge^)(@\@]Gg\>Y^NK7o&;LQIjmRX8[WBkqX,
+F)u,7F*`=aItNK/KnFo*J:N3$I<T[IC2%?l?X@,E>$bQD@:E\N=BAU1?<^N7>?G!2?!^fB?X[5J
+@q&eP?!CE5?%03(Q@J~>
+9oO[=D/3p)FEi"NE-QVOHA$KaEGf]8FEDSGF`qh>C1U[P?"7DS>Zt61=D;M_A7K:fCi!ih=C5ZS
+EHchaNL?]R^r=C;c-b%keBuYBchu/jdehK!eCE.$e^`0uebdo"f@\d/qq(bs$.RGQe^i@(f%&CO
+f_sM'f`0V0f[na-f\+p/rRUnu"P22Xf\-8Vs47;&fDO>%f`0P2f\,!-]?AgZe(3.&rmq,$"kM5T
+f@\[QfDjKIf@JO-e\&''e^W$qe'H=`b088\bIt6j]">V`VNcmfK8,2:O-Z9(Ht[&)C2S!2Eb]H3
+H%(-iJq\i1Jq&6!It3#rG&_A7C2%3c?=6u@?!^lG@:<AA<`i[8>Zk68=]eg3>?Y38?<UWC@:*>G
+>#n^.HEkGOJ,~>
+!fVeNrc1MNH$t'bFa\^eJ;S`!F`DGFH$OX[H[L*XEc#ApA85mo@q/qS@<-F.D/F<8F`_V2?Y4.o
+G'njrOdrG__8aR<b082Yccs]5bPTQ]c3VbCdF$=fcd'o7d0%hGeC4<C!R]?pdg=FKd*gCmeC2jo
+rmUhqs3q"t#1M#Ke'lgqr6kMl"ObcLeCFQJs3pqp!7Uqts4%(ts3_1rZbt2?cdUCmrmLep"k(lL
+e^N%Ie,Rj?dEp7ldC?3ldEp1bd*0\Uaii&Xb.P$e\@TA_W0`EsLl7:OQ(+G>JSf+>E--8JG]7_K
+ItWE,Ll7+ILkUM9Knb;5I!9UMDf0?'AnY[`AS,RgBk_'`>[CoN@:!;L?=$uJA7K+\B4PUfAn#7Z
+?X$Q2EiHm<J,~>
+9p19IChRBmFDY`)B5r<MJ:Vl^BOYL_AS>t$GBnFTBjOqJ?XmJH<E2ml<*s0E>?G-;@:<GA>%(uZ
+FEi.dQ);".bKS5Wd+$XteC)kGed9sZeC2puf@SU(r7Cu$rn7>(s4RD(ptG`#s4RJ+rn%D-g=tB9
+g&9\(h#H./h"ob*gA]h,h#?..g]641h>c:-gB-0dh>Z40hAG20g;VFnhqZuAgtUT=h;-l?g=tE<
+h;$fbgF1e/g#(N#[`mXbg"=s-f@SR%e^rC!b/;*:ahk6PP`:WeTqSNjXeL@FGVa2WGBe4IGCbO)
+KS5)8JqAQ)JqSi3K7A5kF)Yr1BP(dc?<poE?=.,O?!^rMARf"J='>N)'O"dH>$>38?tEnW?<^N5
+=^HQaach5~>
+9oO[=D/*a!F`(u0C3"`RIt2Z[C1_-mBl%a/G'J4QC0k%K@V0+U=]eX%=(>lQ?!1H@@:<JD>\%Mf
+G^FmqQDV+.aiV]KbgFngd*C#;d0\7Kd*L(feC;sqr7(bsrmq,"s472"pt,Jq"kV>UeC<(Jf)aFR
+rn.2&s4IA)qUki"s4.2%rn.2$!87A(s4@5#,1kK#f\"g-f%/I+g=*dXe_/L(f@SU)f@\a-e^`7&
+f@\^,rml;DeC<4&]s5W3f[SC!dF-LkcdC4ibf7H5`5fWoRZ`SdPFnMJY-"FKG^4OMEHZPID0CGa
+L4b,4L4Oo+J:W?+KS"]#GB7_?C1q3iA6rPK?!UcE@pE;I@qB.V=]\a.='&O.=BAR-=']<H?sQr;
+<EE@LYf)QP~>
+6B$S9Ec>r9H?*tCDg-egKnaqrDJF!(DK'`BI"$KjE+NHhBl.Tq?t!>G?u0e!B4PXiCMIHf@r$"+
+I=Qp-RAdU6rQ,8bbg+MWb00e/$-pf=bKS8Xcd'f5ci;AkdJqSndJhMfdf7_pdKS+JdEp7grR1bo
+rR:_ps3q"tqU>Dk!7UqsrR1bsrm^tsrmLen!7UqsrmUkp&^.SucIC:keC2joe'umrdaHVDeGmu+
+dEp7dcHate\?3["eGdg0cHjk`c-Oeab/D!,_T0HpS<T(pQ_U@[Za$E]I"$KaG'eX_F*iV"Mi!7I
+N/!+BL51VCMMQt:I<p*YEH#f3Ch@6kAS#IeC1CddBkh?l?<poE?!^oK@:3MS@V9Fi@U`_N>$"dH
+WPFUG~>
+7ZN+5ChR9eG%4lgATNBQH?aUMARAhI<a9B\GBeC^Bj=nVAR\e=:f0t`<EEL4<DZRm<`W1'?!q>g
+G]e1^QE.^@c-4J\rmMk8dF$Iqf\"d*e'casf\"g,g"G!.e^iC+gYCK7r7V,(rn.J/gY1B7g&B_)
+g&Ke)gAot+g\oq+gB-0dh#6"-g]?0br7qG0gY;__rnID*0\P18h;$c>h;7#HiS)Auf\bQ>gY:H9
+gYL]@g=k<:hVR)Cg=b35f\,-6^pVJGh:_e[s4M&9eCN=+f@/!ec-F56VkTfKTt%eQ_n2n/O,em5
+I>*<"G^tX2Mi3=CKR\W+K8,,9L4k,,HZsRPE,KH)BObL^?X@,MARK.gEc5]%>?G$4>$5$6=&W%#
+=C,KH?!:?3=B\sVZH88[~>
+-&@"]D/*WnG@b5pBQSiWH$=CKAn#7T>@DAjGBeC_C0Y"XBOtKK<?4t9=^,<A=&N!t<`W1'?Xmkr
+H['afQE.[<aiMWLrm2Y2cHahce'l^kcd1"fe^`0uf%/@"daQatf\+j+r7:o"rmh8)f[na+f)F;#
+f)OA#fDsP%f_sM%fE0a[g&9P*g"=m-r7D)&f%0iPrmq)!s4.A*f\"g,f)F8Jg"Ooka3iMje^i=%
+e^iC*f@AF&f@ej0f%&:#eC2q#e%;j+gXt$Te,Rp1da6Fme^Mjd`lZB<YbRe[PFo:q^r!^^O,o9Q
+E.!=jH$FgpNJ`UIK7eW)JV&T0L4t;4IsZB]Ec>o3BP:mbA7&VL@UrhXD/jH-@pE,<>$4s1=]A3o
+<`N@3@U3/=<`N7(G-/]BJ,~>
+7YlP/EcGo3Htd2-D0^nkIslZbCM.<h?Y+8'I!pKtDe!<tDerrg>?tH<@Us:j@pWJK?sm5KAnl=7
+J:)^!R&ms?aN)BErlZ;(aiVcPcd0k[bKA&Sd*U+adF$:cc-F\`e'udlr6bPmrm:nte'c[ldJhSn
+dJqYndf@hpe,@epdfS%LeG[hueC2jpr6tesdaJ-DrmLbm#g^lGeC2joe'n<EH-<\2b0nbde'cXk
+daZdqdF-Lne^`0tdE^(`c-Fe_[]II"eBlOfd*^7ec-Ohdd*0MIa2l!!Un=9FU:J"W`P/F9P*(NA
+J;Au0I"[KBO,o0SLkCJ;LPq(LMi*:CJq&/oG]n.IE,03)B4Y^iC1V4&GB@b:@:!:>?kd$Y?!:H@
+?tF"`?sd2E>?Y'IW54RG~>
+B8_@WDJ*6YCh@6jBm4`8@W6^<AQ</B=^lGrE,9KEDe3Ks?WU#t=&;Xj=]&=(;+jS[;,'\k?!:la
+Ec5uIOf?(=dEp:jf$i$peCE(!f@ed-f%&@'f\"g-g"G!.f%8R-g=t<4f`'S1gYCQ;g"+g/gA]e)
+g&]m\rnIG+s4dP,qV2&(!o)Mcrn@S2h;-i@rn[V0pY5]&C"_4qh;$fAhVd>LhqH/qf%o38gY1?6
+gYCW@gtUW?hVR)DgY:N>h;$l<]sGu?gXt04g"4g*f\+p.e^W1"cHO>F\?*!3XMrK,ahk9[V3cgY
+Q)(%5Mh[%IPECWPJUiH+J:rN+KSP==Jpr&mH$F:CBPM0nC1LgdBP(goGC"IQBjtFR?!LT=?<:!#
+=B8O.=]JF$='8a3HF(eZJ,~>
+:ka=4EGAogDea!$DL-MA@;gR<B38\O?=nA,EboZGE+NTt@Tl].>Z=U&>ub*4;b^"a;,'\k?X7Dl
+G&_SQOf?"7c-+>We'QCddF-Chda\6D'%>@\e^W+"f$r0teCE.%f[eR&rmqG.g"=p-e(*%$rmq)#
+!S5m%f`'M&f`'M!f`0P)f\+sWfEBm]g"+dSf`0Rtf)F95f%8R,f@S[-g"G$1e%s#Lf%8C%e^W+"
+f@\a-f%8R-g"=p-f%8R,f@eQ]Y/o;Ie'ljsda?Ile^W$pd*g:`aMY]uW32ho_p$0A^ojT2Q@jCH
+US!R(KnkVMOG8=:ItWB&K7SS3K8,27IX?BdG]7D2C1h3pA7B+_ARo\%H$4.@@p`GF>?Y68<)-.f
+;cQq%<)Zar<`iFGY/ZNQ~>
+:kaC;G&h;-FDYl5EdrIUB6AfRCgCab@V^=?GB.h]F_ko;Bjk1I@U*,FAmT(]?WgQ;>?4[9An5n2
+H?FC^P,Q"5b/h]KcHF>Pbg"AUcHuR9'@"hKd*U+bdF$:ccHjkbdaQUid/MH!e'ujpdE^+ddf.Yn
+dKItGdaQ\Edf7eqde_GmdK7nIeGdo"eCE'se,Ikse+_;ie,Rd*daZapeC;srdEp%F]>i1EcdU=h
+d*gCmeC2mreCE+!e'ZOidaHOlbHn4ee^DdidF$:ccI((fcd'e]c,[lA]sXfBUTMP^b0%W,WMc/<
+H'bG(OcPBXOdD;jL4t;;L4kD=LE;;2NJN:@Jq8DrEc?&;E,oc0D/O-(FF8RcG&Cu(@K'^M@q8kI
+=C>HB?sQo<>$G9:<H+nSP(3~>
+:l0X4ARJbLAnc%"GC=LGBm>/QBjPRfASH1/E,9QOF(8H]@UWJ@=A`!u=ArC*:eOYg<(BAd@Tm#K
+CNY;pVn'joeCE1%e'c^qf@SO$e^sfQrR_#!!8%/$!8%/$%GKRkgtUQ:f[e^.g=b-Ug&Ke)g&Ke*
+g%sG&f`9b%g]-",g\fb*g\]_'gBQHhh;$fAh>Z7AhqH)qf\P?:h;$`<gYCWArnV,?g=tB9g=tE=
+h;7,C^ph\Jh:gW<g"=s2h:pT4f%AX)cdC:j^o+cP][#9[cGQigYGReXXKSUuXK%q[Q'@;dM27%@
+ItW<%JqSf-J:W<$G&_J@F)Pr8C1_-pCiFQCH@'dMralsR>$GKOBk1RX>[(B5;c$=i='/RLZ-/;\~>
+:kO()BObI\Bl%^0I"6<QBQo#QCLM0uC2J*>Ec#lTFC\W`ARo.O>uas1>ZY69<)6Fr<(BAd@Tm&M
+CitAqV7=Lfd*L(ecd'nce'l[idF8*Er6tYn"4PcMebR](f%8O+f@SU(daZk"f%'ZKs4@5#s4@8$
+qUbbu!8%&!s4@8&r7:r$qUbc"!8%5&s4@/#%b&25dFQjse^i:$f%8R-rn&jTe^i=%e^i@)f\,'/
+]<]W6f[\R(eC2msf[eO!dF6Ulb085V];)g?\]WOMbJ=+Y9r",EX0&:oX/MYWQ'@8bLkgk?J;&N'
+JV8Z+J:`E'GB.YBF)Pr7Bk:pkC2S-<H$XRIAS,L[=^#9IAmnqL=]ed,;GU+e<)lq>XMp0L~>
+:P4".D/3fuDK0`AIt`/dDLI7gE+X32DK0uPG&_bfH"g`!ChmTi@pWPRARK.^?<U]H?;XI6CLUgk
+EI*D,VmjRdc-4GXbfe5Ud*Kt\c2,facN)>kdJhMkdJq\peGmu%dE^.fda?G<dJM8mdEp:gqU5Dk
+!7L\ls3gnqr6bSoqpPJm)UZpZda?One'c[kd)i]/aNr2ZdaHOjdaQ^rrmZGHdF-IjdF-IleC<'o
+[B7I!da6FjdEg1fe^Ddgc-Xh^a2uWM]:u^>]$/gRbe^EaXe_DSXK\_"Y,e:cR$WnoNJrmQKSbA9
+LP^kAL51S<I!Bm]HZsXWEG]W6E-6JUIt)`^C27Tq?XRPdDeiuuA7AnN=&i:'>?OpDW5OgK~>
+6Ap:u@p2uCDeifkDf9E0F`_\ABkV?tB4kt&F)>c>C1(:OBOb4H>ZFj,<**I4;c$Y%=&Mt.An,Fi
+G(c0^]?&:Dr6kYqrRCo!rn%2$rm_J/f@JL%f%A[1g"4g+fDaG6f\,!5g=b-3f[ng2gY1?7rn7>*
+qUkl&rn.5'rS%8*rS7G-rn@>*!SZ6+gAfq-gAKV.g>(N?gtUQ^gC`/qi7c,rgYLQ<hVHu@g=tE=
+rnIP/gA'G8hq,]Tdbij5g"+g/g"P36f@U#T.G32!g"+3KahY^:g""Hf['[<N['R<MY-,7CXJ)2Q
+Q'7>lP)P6XK7JINJ22V'I!U$\G'\OZFEVV=Ci=BBI=-EmGA1Q!C11FYD/O-&An>:Q=B8<o9Me_j
+=Eh$nPCN~>
+8;;FsB3nhSEc,K%FE25:FE;MACMRs.Ci!s6FDbuBCLLLTCM$mW@9Ql>=Bf<D=&`I1=&Mt.An,Fj
+GD)9_]#Dh8cHOPYcd;X<!7Lkqs3gno%FW_RdEp=ke^r@#daHVDeIU0[f%8L'eCE'te_&O+f%9oP
+s4@+u!8%5#rmq&"rn.2&s4I>&rR_/&f)F;$f`0S#ecj[Xf[n^)rmh\3f%JNcajenieCN7'e^`7&
+f`'J'f%'QI&_b[G[*@=VeC;mpeC<%"eC)eEe1&knc.(+VXMqibajne_^p()MZa$dEZE1.8[B$!l
+R?`tuO-5K[O+`%4r-o6*H[0gYH@0mXF`2#1D/ae"HQ@TZBOYOe?sR5XCM79h@Tur8<DcF_:/Y%j
+Eid6?J,~>
+8;2D"Ch7-nG]RV7GB\(MH?jaWE,]u@E,]iHH#dqTE+WQhEc#ArB4>C^@:X4h@:!SZ@9d)UDJF!.
+H\[ui]#;\2bK7lLbg$+3!71Yks3L\i%F<DIcHX\_daZ^lcd0u;dLXaRe'ujpdF-FhdaQ[ndF/$A
+s3^noqp55frmC\mrmUhqs3ptqrR1eqdJhSoe,Rkmd1OaQdEp:hdEg+ad)iW/bKnD[rmUnp!n,QI
+rmLnrdJ20Se]bJ)a4/M_d*9n`d*^:gcHae`dEp.\dEfY1`4Wb)f$_gZZ*LaDZEh!HY-#.AXeVMX
+Q^*i#Q][;lLkUN\Ke\74J:;loJ:rB!I<T^QFE`7eJUrK$D.dX&An,LpFE)5:D.[6`>?4X"<`rO'
+DlL^=J,~>
+7Z2Xq?W^?9C1:.??X-uVH#RG*@VTUjAn>UsF)5K)@preQBjk7P@Tur8='oQN?X75RA8#b"EcH8O
+LQ\@@a3`5[d*U+crm^ts"Ou&Uf[g#M!7^qsrn%2&rR_&%rn%5(qq(o&rnIJ,!nl5Xrn72$!87;&
+s4RD*qV2D3g=b38gY1E;g]#k.g=tB9qUti&rnA+?f[nm:h8R[nhV6i@gY1?7gYCT_gAp%.h>Z4/
+gBufe^qACWgY(92f`'P,f@JR+gA]c3g=Fs/c,%uO_9:E\d)ET.^V[k#]!erP[^)p0V4X6GS=?.?
+Q^3J\JUrE*J9uKcH[0mbI<g*bG]IeEFb#!kI"-?S@:X+`@qfmuBk_<p?<UK5<)-+_<)lqAZ-8G_~>
+'8Lj8A6`;JDIlpOA7&hbG]7>+Ac?O,CM@O-FDY]-A7B"UCh-p_B4"nI>@_J_@pit]A8#b"EcQAR
+LQ\=>`lu]MbK7lLcd:%bcd:.jeC+<A!7:YkrmUnsrR:brrmUquqpYVsrn.8&!nPoOrmpts!7q(u
+s472$qUl2-f@JR,f[nd/f`'G(f@\a-qUPc#f\"gTee?T`e(3:)^;n^Se'umte^W.#f@TuP!8%5&
+rn%/#$JEb;\(0-^eC;mprmV)!dF-LormY9)dF?Rb]@+U1a3i;X^pUV_^;%7gZa$dBYc4FoT:24=
+R\6.:Q\pBEJ:W<&HZsd`H?t!fH$FXZEGof:I=?QjIWfC4@qfF^BQ%WtAnPXY=&r@#9hS2X;c7V:
+`fGW~>
+:kj:$Bk1^iF_b5cB4P[tIWfUCCNFN9Df0K@H#[\@BkM'iEbf9#D.dBg@r-1*CM7^*DK9iGH?agi
+MNaaC`6-6CaMl->bg"DVbg"M^dEhd8!6tGerm:\mrQtPlrm:_oqpGAks3_(ud*L+ed/2,gci)5j
+dJhSje-XUPdF-OndaQ^prm:hre'lb@d1F[Pda?Lkd*9_Xd`f)3b0S<1d0.hDdaQ\DdK%bqeGdqr
+dL+IF[B\'+d*L(`ci2:'cHXY\dEp7fda$7da1BX6]>i:Ibe^`s]>)+l\$N?E['6R-VP'HKSXuUJ
+R[T4kKnb><Kn+Q"JU`-#K7JK'Is?-\H%Ud%J:i2cAS?!qBPqs5DfB]6Amo"N=Ai$s=B8:9WQ(-P~>
+*f"u=>$4s0<DQ1Y<)-D%E,]Go=^klSAn>dsDJEg!ram9_AR]7dA7/MBASQ""F)Q&@H\-p.LP1JH
+Q^jtcb0\P`rm(Vme,@]2eCN4$da-=je^`-seCWC+eBu[og"P04qpu#&f@S^0g&9P1g"Y66f@JR+
+f@SUPf)XD$f`0S'f`'PAgYCQ<gtgc?g=k?<g=k<;h:^H5g"b?9g"H;WrnK9bhVHr>f\"s<ho<ag
+hVR#@f[ng3h;-l?gY:N=h;$c>h;$`;g>C>m^uX5&gYLZ=g"?8TA(]Jff\"p5f\"a"grdRZf@eQl
+_SjL:`OrOd]!o)FU8G#hStN![YcOUgOG\mRMi<@>I"6]nH$a^[I=HcnGBJ%UI=-?dF_t`#BkM$l
+Ch[X#D.HpU>?Y**:Jk(h;KT1eP^i~>
+*eSW9?<pf@=].si=]&40Df98o>\.PbCM@^-Dej$%rb!KeBOtpsBk:RVC2\$3G&h\JH\-p.LP:PH
+QCF_]a3;fPb/_WJr6?,*daHOgbK\D]dEg+be()spc-=Ydf%/@JdhL6Ze(*%"eC<%!f%AU*eC2pt
+eC;tGe,[tsec4/!ec+,;f\+p0g"P-3f@S^0f@S[/g=Fg)f%J^-f%0ZK1>(:4f$r0ufA>5r_9^`b
+e'cXleCW@*f@AI'f@S[,f%/L*e^W.'c+1IDe^W1&f@AC"rR,3)eC;sre^r:!d)jnY^W4aNbJCj*
+_Ss@$YHt[E[&0OmWhc/VVPp`#URI:#LPgtIKRS9!J:)ZjG'JC`Is6!TEdE(YH$FFIAR]=bAS>gj
+B5)*h>$"g/<_uOe;,C&,XMp6N~>
+*eJQ<A7]=_?s$9(>ZP'CF`hV5@r-%&Df'T?FDl#8rbNioD/+!3DeiinE-6>MI<g0fK8PVMNJWU[
+R@L+_`QH?E`l,j;r6#o$cd0n[aNDcQcHOJVd*g=db0&#Xe'l_AckOgQd*gCkdF$=fdF6Okcd'k`
+cHXT3blGued/VGld/ME1e'ujqeCE'tdaHXqdaHUpe^;ajdF?XndF%j>1ssb$e^W$oc-+D^d'^@&
+cd:%bcHaeceC;spdaHUneC2joeC2gldFH:D[FrmOdF?Xmd*M[9/^Mejcd1"fcd0kUeAAl;d*p1S
+]Y;8$^pgJP[Bm07TV\]cSY)g[ZEC$oP)PA!O"uQDJ;&Z,IXlcoJqSi,H[0mdJ:E#rH#[S3D/3p)
+EGof:F)#5o?s[&<<EE:%:2?fIPCN~>
++,+uC?<9os=%c7f>>Imj?Y*h\?sI;WARfF`A8QI0DZ4H!CM[d"@U3>TF`MJHJ:N'!LQ%CaR$aMB
+WNs4Xc-ObbdF$FmdaQ_FeIpB\da?Rpf%8L'eCE.%f%&:"f)=5#f`0S%fEKs^g=b'.rn%,$*7rlr
+f@S[.g=k64f@\d1g"=s1g=tB9g"G-8gtVb\#i".igY(<8gtD\Z!87;('%u$rhqm)<e_&X5iRu)f
+dFd+*rn@G.qq_;/(>Ra$gY:N<g=b6?dD!HVg=Y*5gtLH7r7_2(8(Z>Df[nj2e(i*bcdpe$da$1c
+dEfkG]Y;(q\?r]SXK&>(XhM?IU8=NPR$j;%MiEaPJq8T$I=?TqJUi6!I!Bj]IXQE[D#S>PE;s_R
+D@^;]='/L$;H6k'=''RKacq;~>
+++\T=@p;l/>#%pu?rB]t?=[YZ@UEnfC1qEpAo;d5DuOSdDJsH1B4>ChH?XLYK7e]+LQ%DqR1Q$f
+WNj+Ub0/#Rbf\2VcHjl:d1XgPcHX_`daQXld*^:jda?Fgdf%YpeGn"re-4CRf%&3srm^ns*7WQi
+eC<%"f@SU(eCE.%f%&=%f@\a-f%/L,g"?5S#h[h`f[e[,g"-/Q!7q)"(=h!hg=b$(d*pV#h:9-P
+b0eVbe'ut#qq1r%(>%3jf%/I(e^W1+bdkCBe^N%!f@AC#r71hs8(,f5e'cdscI^%Nb0e\cbfIoM
+c-+#7\@T8d\$NHMWi2r"XhM?IU8=KMQC*tuMN!ROK7\f'I!pBmIXZ]mH?OFVI=-3WC]82NDuXMN
+CCalT<*!!r;,gUu<E!n;_iB6~>
+++SN@Bk(CN@T6?5@olQ1A85suBkD@)DJX<-C3"WFFT-;-F*)MFD.m[+J:2cqM2I(GO-H**SXlLQ
+Wj0.Ra2lBEaN)EGbKS61c4\CGbKA)Tcd:"`c-FY^cd'e[ci)5jdJqSld0%hGe'e0?rQlP1dEp1`
+cHjkacd'k`dF-Fhd*^:je'cXke'umrr6bl"eC;spdaQ^nrm1Ymr6cA,d*pRrdETnZcI(+`Z*hEi
+b0SG^daS*Cs4%n6eC2joe'cXjdb2[I[b&jMcdL:id*V^<s3P0!c-FY\dF-4f_S+"8e'ZC\aihoN
+_RI"b\\5DV[C<39X0&P=\ZM[*U7@XAR?ESkP)G'LM1:).JVAf2Jq8DuH@CHsHZa:JEcZAGEH-)B
+CLLOU>#n^/?X?l5D5Y:8J,~>
+084RG<EE-u@9?cC>u"'m?=7/RAQiMP@qBFfC2@TrDf]o6@;'LnAnPamFEr4_K`6]9Knbe_UStK-
+^W"@>bfe91d/qbGe,Ii%e'cXke'upurmV,%f%8O+fDO2*e^i@)f[na-f_jD(f[naSf`0S$f`0P'
+f`'V)g&BV5g"P-5g=tE:g"=s1g=uV\"PMG^gt_n_!o)MbrRh2)r7h2*'&2'he'c^lccEN/aj/5_
+g"P38r7q;-(>Ra$gY:N<g=b9Ad(dKWgXt03gY1B9rS/(@g=k63f%/C(g=P**c-t:tg"=pTeJ6QQ
+_SEk%]XYGZX0K.E[E6S/]Yh.OrfdAE$]p@)Ll%%FLkUA0KDpQJJpi*"Kn4c'H['UNDf9H-Ch[6Y
+<`N$q<EE:(=BKaMacq;~>
+7tG_Z>$G*1A6WGR@T#s#?!guPAmJt\BPMF!Ci!fuE--,:A8?.%C27U'G^OpjL5:V?L52"cUStK-
+^W"=<aN)EHbfe8Wchu/icN2GArmUhos3h"ue,7W"dF-LneC2mreGRhueC2qHec4.sec4,!ec+2#
+f)F2/f%8L)f@\d.f%&=%f@^)S"P2,Ug"HAV!nc2YrRLu#r7Lu"'%YOYcHX\ZbJ^Wr_oKgBdF?au
+r7Cr#'A(mgf%/I(e^W4-bIYFCf$i*tf)!nseGdoGda?Ihe()mtb/hlVe'ujod*L(ccbdE/\\GY]
+Za-O3['m?_ahk[,ZCh,YrfAdlM27%IL5(>0IXcm!JUVomJ:iB%IX66[Df0H,BPD'`<Dugn;,gRt
+<E3"<Wl0sK~>
+07\.F?XmMOCLC[eAQD`5AS,RnD.II"D/XK5E,]]2Fa81NBlJ3:DfBZ<I=d*+MZ/SLN/a7$W3!A:
+^Vn17`Pfa:aiMWKbl5lebQ>u3c2>llcHjh`d*^5<cNqhBd*^7fd*^8=dK.bArQtSjr6YJi"OPQE
+dF%p>%FNVOdaHUoda?FgdF-MCdKItEe'unHdK7nIe,@YodeqSod1k$Xda64[a2c*6\YZL?^VJ";
+d*gA?e,Rkrdh:0ZdaHXodF$Fs`jNA/dEg.cdf.Yndf7_pck4ULc-=JYdE^1\`66HRda?Cdrm+6^
+^V%+d]sb8RZDXh2[^4#q_7[[mTTbV(PEM&hMMd@QM2I(?Jq\r5Kn=c'KSG,3JUMlgF)uGCE,ff-
+?X6i9<a&d8>?Fd?V88=F~>
+7>>tY:fgb!>ut39>Z=[,?s6WBBO"S>?"RqgD/<coDfTf6?tO7qFE2>@G_(R)MN!FKKS,ATTrPQ9
+a3)QJaiM]Rda?JAdh1*Yda6=feCW7#da?Ile^rI+qUY\u!8.8%s4IA)!nc,Vr7M&$rRh/%qq1r%
+rn%G.gY:N<gY2SYrS%;)s4dM+!o)G^qqD#''&MEtg"P-1e'H7X`4i@a`QZWYrn@D,r7q>,s4e1?
+g=k<9g=k?@c+q?WgY(63rn7A,rnRJ,;VKgUf@JR,f\+j+f@S[.g=b*/f%8Ho`PK7)]t:kdZFI]g
+^Wk-OcI0V2Q]mPsQ'%)fNf8mWO,]$PN/s'^NerUMKn+c-JUhucDfK]2BOb1Er_a)(=^,*6>$6'R
+b*.>~>
+8V2"W<*W[2?s-cE?rg<4?WgH@BjY"I@V]q!DJNfpE-$#:@qfn(GBJ"NH\@02MiEXOKnPSXTrGK8
+a3)NH`Pfg@c-4DWcd0u;cN_\Ae(3$tdJhJpdF6UpqU5Dm!7^trs4%)!!n>]Kr71hsrRLqtqpk_t
+rm_5(f\"m0f[p&PrR_)#s4I;%!nc,Uqq(f!(YREjeCE'rcH=5E^q-MQ^W"7=daZguf)4/"f)O>5
+f%&=%f%&=&grR+DgXam'e,@hreG[kreGms%dF-OneBuXkdaQ^reC)^jdF#qL]t(kf\$i]I[(O5g
+b0J8TcbHECOH>ZjOH#9\N/EXTMhm(CMMmCLL51S;IY!-&J9Z'OE,93!?rg-#:Jk+o>$4p.<H>.Z
+Ndq~>
+>(L`l>%D5SBO>4\@p</GB45.`EFrTeBQ/*6F)Yl/Fa/(NBPqs<I!U$`J;B,CNfoH_MM[UjV6%/A
+`lQ3A_SO14b/qcKbfn>UbKJ&PcdL1dc-4DVcHstdqTo2g!7Cbls3^kp!7CYis3LYjs3LShs3^hm
+#1:oKeC2mpr6bJks3^kqrR(brda@s?r6lG/d*U1ecH=,B\[J]5Wj]UWbKnP_daJ*C("(CUe'lam
+dF6RmdF6ad\%UDAd*L&7dJM;jc4/%Dd*L(`bg+M\dF-Fgrm3";_S3Ui]=,,T[&p[H^UhM1bKJ5H
+W0NO-Pa.;jNfK*XOH5BYLQ)4n+cV>9MhZe8KnFu'F`V\HDf'2q>Zk-/>$bTE?!1*DVS\IG~>
+3eqoT<Ei[.;bg.i=^,0?@96B9B3\/,=_;MbCi4$$D/3j%A7f_(IX-6gKT;1WOHPT]M2@=YRA$ju
+rk\WR#KFs7e'ZOidf.])da6@ge(3'udEg.de("BJrRD)&f@\a,f)F2%f%8R,rmq/'qUki"rn.8&
+rmhJ0g=k64f@em5gtLH\gA9J3g=t?8g"P38g"4j1gY2VZrn81EgtLH8g=b$'bfIlCY-u<qe(EC.
+g"P0Yg`"r$g=tE;g=k<9g=k?>bJMEZgY1<3g"Y98g\TY(f`Bg[rn%D+g=k32fDaG%f-/_obf[uD
+`l,j9a2>j<d*9n`dam!m\##abSXbt8SsPLsrfnjsQ(4J>T:VI9ObS@;KS"l)G&qeHCh@*W<)HIk
+>$PBB@U<;cZcnV`~>
+7tYnZ=^PN=<_lUr?!L]E?rg-5BjX\8?>=CoCi*p#DJX')Anc:4JpVosL6%L[OctfaMMdO]RA$ju
+_83q*_SaF=cHOJUcMPopd*gIoda6:acHjl:df%PsdaQ^qdaJ-B"4GZJeGdnsf)!qne.0sUe(*(%
+f%&:$f@ej/f)F:ted^6`f@SU*f\"d)eC`F*rRUu"(YI<heCE+!dEKYL`4r=X^W=UEdaQ^rec")<
+f%&=%f@JL&f%/C%f@n6X`S/nne'care^W(Fdf._se^XTI"k(rOe'c\Ddf@hqd7_g,`l#R.^qdh)
+^V@b3aihrTdF-%@Tq%F;RZs83Q]?ufPEM,nR$sM5R?`trKRJE)JqSMoEcc56@pW,3:/4_j>?tTD
+>Zc-Oa,YZ~>
+7tPk`?YF._?WC05?t!PXBO4kVEG&BVA8cR/EH5u7F)c,=CMn<GL4Fi/MNa<iPEqAmNK'0hR\I%!
+^V7Fu^VIe1bf\&LbPfZbb6lJ=dEp1_b/qfMc2Q&fc3;P@dF$:drltVld*^8?ciDJhciDDid/M;u
+d*g@id*L+feC;pormLYj%FW_Rda?Lle'ZLfe'lbDdJhQ1e'ZOhdF-Fea2,F#[@aA*_8a^Fd*U1f
+rR1hpcd;[>s3^kqs3_D+f#"u6f$_slcHstdd*V[9rm1\nd/M?nc-XkacHab_d*L(dd*0JH^q@Fq
+^;.Ru^;S16ai_iSdD`A`S<TJ1P+%l*Nf0*bPa.H%St;LCR$EehJ:iT0Kmn8jH$4+AAmJVB<ENR9
+@qB4X<cG"UOFR~>
+>(_'+An#%J:J"2W>$YEA@U)uB?rTs)?=[e_BlS<.Bjk4RA8-+3G'\e$Q_C"<Pa@VtPaIl'PFADY
+ZEUaN_SjO@dEg+`d*gCne^Msod*U:kdE^"^cd:+irmUns"kD2Uf$r1JeGn&!f)=2.f[n^*f@\a-
+e^`@)r71u%f\5$Wf`0V,g=b-3rn@;'%G9@ff\"m3gtLE4f@npUf`0VBg=Y08h;-l@g"+^.i7PTN
+aOJekeCN:)g"QG[(>@HpgYCQ<g=t?7g>(Q.`6@)lg"=m.rn@G,qq;#%$JF4igY1?1g"P'0rmjot
+f\+s1f@AI&e(*%%gYU`8e_K'7e'ck&d)*6"WiDtn]Xk#-S"6.BT;/WsZ*1=/U7.+"Mi*4AJpr&l
+F)>T%?=$`5<E`R6BPqEjIC7@aJ,~>
+>(:[#C1^mZ;G'Y`?!^iF@9Zc>@96B3@:s@gBlJ3-C1:FVB5Da@H@(=+Q_C"<Pa@VtQ'n&)PFADX
+Z*1OJ_8F:8c-+8Pbg+P^daHOicd1(gd*9eWbKS8Yrm1Vk"jtcIda6>>d/VJndf.](eCE'te'upu
+e'ZRne,7Vre'ut"rRLr!"4u,Sf)F;!ed^0\f@AF&f\+m,eC<+$r71hu);!?ef%AX,f$r0sfA+l`
+[DU87bKJ5\e'uqIef*)geCN7&f%&@%eCE1(`kTRIe^W'qe'ujqdehE#daQ^tf@JL%cd^Lndf.Vo
+deqQddF-FgdF-Lpg"4Qsf@n^"cdLCf]s=r@VPL!!\Yb[]R@9S6T<#)pX/_teQAgWWMM6_8IX??\
+CM%$[>?+O"=]o*ECh-grZ,r&W~>
+>(1X)E,]T(>>S4$@:Ne[Bk(ObCLCCVBPh^)DKU8ADeEKjCiOcQI=I$7S"lXEQ'mr&Q^aJ0PF88S
+Y,ee;]t_J,bf\&KaihoRcd'eZbKJ5WbfRrHaN;WMrlkDe"jYH@ccs]5c2Z&hchu,scd'h^d*U+a
+cI1);cNDPAe'\-@s3UqsdEp;?deqK%d*^:gd*^=lda6=ddaA!>s3VG,cd:.ke^W'qcHOV`bGqSQ
+`r='gbg4V^dF$=fcd'h_dJhQ(e'cXle()=I_q!/]ccsf8ciDDhc="uFdF6RmdEfq[d*Bq]c-FY^
+daQXkcHje[cHjkdf$qpgeCN!ib0SMW]!/H7UnXNl[\K(SR$jD5Suf,tXK/1iQ]6i[MM6_8Isl]f
+E,95tA6i;??=.8[E+W9nW5O^H~>
+@Y/f.@:!/@;-$n+>?4m7A7/SH>>eI3ARJeRCN"-)Am\n]F)H&JKS>JTU8arXQC42,PaS#4USk-"
+ZEUaQ`5Td@cd'h^cdC1ie'ZUkd*L+ecd'bZcHjnedF$Fne^W$prmLhq"OtuPf%9oRs4%V/e^rI,
+f[eX,e^Djof%9oR%+j.bg=b*/f%8X/f\$2V%bTIff[n^*f\5*6g">!3qq))*g=tB9h#?+0h#?%:
+gtCQ<^:hbBg"G09gAT_)gAfn=g=tH=gY:N;g"P6>c,@c[f`'J&f`'V(gBQBbf[ng0f`'P-g=b$/
+g"65Us4@8'!SH$'eOS*=f%8R-f@/4#f[eO"eCrHn]=tkcZaS<+Z(e\1Z)j^p\%B,W\$`H=TUqR8
+NK9-XJpMQ]F`_G7>uO[.?t!V\A7L+qb`mV~>
+@XW<$A78hN<*3F6?W^H;@U3)?>#SL8BOY:YC2Rp'B4,+aG&_\WLkh(\U8arXQ'[o(Q("26USk-!
+Z*1OM_o0O8bK@uNbK\>Yd*U1ecd'nacHXPTb0/&Uc-=S^dEp1`rm(Pi"OPQDdaS3Fs3_D)daZgu
+eC)dqdE^"_daS0E$e<h[f$r0teCW:%ec+,0e^i=%eC2msf@\^+e^i@LeJZrif\"[&f%AX,f%8R-
+e_/Nb\]3"DcdUCmrRCkts4.b3f%AU*f%8I%e^rQs^W"gRrmCeqrmLep#1CoGcdL=lrmV,%eBl[o
+df._qdKJ(Ke'c_Ed7;O1daQ[pda$.de'ZIdcdgCZ\%9#SYHuX"YbAJ*Xf.k`Z*gmBZa$U.T:MC6
+NK9-XJpDEXF)bo,>#8+&?XRDW@UFGaa,b`~>
+6[Wu`Chmcu?!^uN@U*5NCM%$fAR/\]DeW]qDf]u;Ch70uHZj^hMi!UeUoL8]QC+,+Q("25Tr"]m
+XfJ\=^VI_,b5TKaaND^*bSACHbKA&Qb/q]Da2lEIb0%rRcHXPTrlb>c(sU@Ocd:(ed*9hZc-Oba
+d*L%dcHFAScd;[=%+!;Jda?CdcHjqdd*Vd>%a`VNd*L"_d*gCkdEp:hqp5YsdaQ[ldF6XreGdo)
+da$:cYHYa_bg"P_rQtPis3M>'d*gCkdaZ^mdaZpg]>;tBrm(Jgrm1hpcHXSZdJ_DqdEp(]cHc@6
+"OYZHda8!=8'K9)d*U1dbKJ2Wc-"2QdETG5\$N<@Yg(4jT!>5qW1KQb[Bd*FZE9soS!]D!O,o3P
+I!9dZG]7V2='&d>Anc'k>]QXVNIV~>
+6A0M\;c6If8lo>*=Ai4+?<'s-?!LB;@pW2@BPhHkAS5arF)cGYNffg-X/r:sUSFELQ^4&6Y-bOF
+\[oMqaiV]NrQk_odF-Iici2;lchu#scHjkbda6@ge'ujod*Vd?#h7DTf%&=%f@KrN%+Wq\f[n^*
+f@/*ndae9I%G9@fg"4g+f\5!0f\5$WfE9aVe^s]Os4[S+f_sJ@g=tB;h;-l?g=tE<gY(66fYGDM
+eC)n%gt_e]"l.qhg>1Tag^2]fg>(]4_8k?`rn%2's4[G+#MRk`g"G!.f)=8$f`9\(g&K_)fDjDp
+f@AI(f%8R,f@SU)f@\X(f@SU,gX3sYaMbj/e'bk2`4s7*ZDbCP_7dY%^UC>JURII8QB-cKH?sj[
+D.m0R<F]]TA7AqUI^71^J,~>
+:k!F_<E<*t9ite3>Z4^.>>e@#>[1<>Ame\GBP_?jAnYt!G'&(dOHQ-2X/r7qTqIsER$a;9Y-bRH
+\[oJoaN2KIcHXYZbK\>Xc-F\`dEqm;s31Md$d?l@bfn>Xd*Kt\bl5lnd*^7hdF$Cke,I`'daQ[p
+e'c[nccjVYdJ_N(eCE.%f$r0te^r@$e^rCNeH==Mda\0Fs4@A%ec"&%f@\a/f)F23eCE.%f[eO'
+e@`Q;c-+;YeCFHI"kVDYe_&ORf*U!WeCWNt]Y`:LrmCerrmLbo#L_#He'ugndJ_Poe,[tseGmun
+da?Fhe'ZUldF-OndaHLgd*^.bdF$=hf$(nE`5'!ud*T>)_S![rY,&M>]Xb\i]<eZAURII8QB-cK
+G^+FRC1UOF<F]ZR@UNPMHEG5LJ,~>
+:k!If?=7/H<aK?K?W^QBA6W>KAnGFcD.d*_D/jE)CMe$5H?aptPa%c<XK8CsTV.gBQBmo2XKo(;
+[C*Q^`Pom?bg"DUaND]Lb0%rQbffq*%EHQ3b0.oKb08,Sb/qd)b6ZA<cHje]cd:#;bRDbAcd:%b
+cd9nYb0A<4d1=UMd*^:hcd'h_da6=edaA$?"4,9;chl,idfIeArQt_qe'lhGdfItIrmVD*ccsh[
+ZF7Ti`Q?HRdJhQ!dEp7fda?ChrmLksrmD##g;UV:eBn3@!7CelrQkeqcHX_`ccs`6cN)5gcMc)i
+ci)3_cHjh^cdC(accs\Yc-"2Qbfe8YaLf.$]XPGqbd=:]\@oGSTsVGD\@fSfZE1("R?X))OGJC7
+I=-<[D.-LJASZ'pARAV\UVVq?~>
+6\KV[:f0t[9NYS*<DHLr=AMjs?"-oC@prPFBPhBgAo)C&DfgA_PF/#BYd(L<XfA.mURdpJXgu'W
+_8=.5b0/#Ud/M?%cI11iccse_ccsVTbg"DYrQtSls3Uep!n,KDrmD#$f%8L&e'n-B-.USte^`-s
+daZjue^iC+g"=s/f@\a/g=Y$1gY1?5f[n^*f\5$XfEU'agY(32g&'J0gYL]?f\"p5gXuMU$I6/t
+bg4P^g"P-5rnIJ,"5DVdgA]q.g^Mrjg"YN0]u&UZf[ndSg&Tn,gAfk*fEKjVf%A[-rRq8)rR_S1
+e^`7%eCN:(f@\^*fDX>be^iF-f[nj.ccsn_aiVi\b.Ym>d*Tk@^rad>aN_iC^:pnOV59rYQ]mJd
+JU)6K@U<;JAS,F[?t"Jhc'3_~>
+;L`^a;cQ^j:Kh+4=\i!u<_ZFl>[gfDAn5+NB5D3fB5MU*F*N1kPaS8GYd(I:X/;VfUn4*LY.;3Z
+_Sa:5ai_fQccsb\b0J>YbfnAZd*BhXq98l`s31Mh!m]'8rlt_qdaQXkcd2U;!7Cbl-.1/hdF$:c
+cHt"edF-Oqf%&=#eCE+#f@AC%f[n^)e^W'se^rCOeHXXXf[eR&f(mo4e^W'reCN7%da?IbZb=B"
+`Q6ETe(+HKs4%5&f@SRPf`0P8f$r1"h8Zt<f[\I!e()pqdaS3DrmCbp"jt]Ee'uhEeH"+tdga^O
+d*^:gdaQXme'cUjrQm^PcI11hd+-OdaN_iH`lloQ]#Db8bepWr`5][4aMkj*]WnB2V5'TJPDt<H
+GA^u!>[1]KAR\tQ?@&cqOFR~>
+6%3lU>@(T:=C5TK>ub'8?WLE>B5D$kD/*KfD/jB&CiXZ>G'\b!R%'kOYHb@8WMQ8_Tq%RCX1#LJ
+]tV8#a2lC$bn&%>bKS/OaND]Lai;?@aN4;$s2tA`s3(Pfb0'_,#gUcCccs\Xc-?42s32k8cd0n^
+bfn>XdEp7fdaHOid*L%bd*^:gcdC4idEp7dcHaebdJhJsdaQ[mcd:):dN[/ie'c[leCE$pbfe,E
+X0o^Z^rF[Hd*^:idEp4ddF$:ge,Ikrdgjm]_mR)+da6=eda6=dd/MAjcMu2oc-4GYd*DU9"jYH?
+d*U):cNqeAd*L%bcHOT4c2YpJc-FPVd*9SKai2*4`mDT1^r+77^oY&^_na.0`4W[lY,.kgU7I[9
+Oc+j>FDYZ"?=R\aB4>4NEMUI2J,~>
+@tJl*>$4d#>$bK;<)$7k<Dlq#=Bo*<A7f:WB5D9mB5;@!Cj(>cQ(";@YID-RZE1.8[]QI"W4'IU
+_o9X;aN;ZPccjVXcI14kccse\bK7lKbg+M[cd'h\dF$7adF6RmdJhQ!eCW:%e'QLjr6tYn!7Uqs%
+b&qXf@AC#f%Jd1f@JR,rn@A(;;0dYg"=s.e^rR1g=Op.g=t<4f%A[0g=t?7g">'6g=Y*5gtLB/e
+'Gk1]#i:BeCrR*f@\d0f[nd/g"P6;gtgfAg=b9?bIYIFgtLE5gY:H[g&K\7f@JL'f\,!4fA#$5g
+Xt-WfFZZbf%/C$f%AU*f%&:%g=OpTfDjMaf@JL(g"+d'd*Ttkg!%F^e_Afsa3N/^d+$Fbbg45?]
+=>>XZa?j-PDOd2F)YYk=^>ED@UXYicBEb~>
+6[j)X>[1?0?!q#E=&)Xn<)?Ur=Bo*>AnPR[B5;3mBl.a'E-d+nQCFPEYID-RYc+V1[]QF!W4'IV
+`5T^:a2lHLcMl!*b0JA[bfnAWbf\)Obg"DVbKJ&McHXPTc-Xi9c4/+Ie'l^jc-FV\cd:"arltMi
+rm2/$d*^=id*U4kf%&:!eCFQMrm_b8f[n^)eC2jqf\"d)e(!"%f$r0uf)F;$f)O8:f%&:!eCE.$
+e'QF`]qr-Sa2Q3KdEp:irm^ts(=^mcf\"g.f[eR$e_J-O]%P]ce'lmtrmL_l%arbOdF6Uqe^E%!
+e^i3trmMG,d*U1fd*gCkdF$=edF6Igrm:\n3RH*udaZ[mcHOPSg""3]c-k4o^r"4=c-4JV`lQ<=
+]",8XZa$g:SrnbTEH#f+='/^7?XR2cY/u`T~>
+;gi^k@qB(R@qB1[>uk-7?!LfH@V9:fDJs9#CiO?-D/jT7EdNFtR%9nIYI1mJY,A8)Z`BmmV6[\E
+^qmk*`Q$$Dbfe/NaihrQaiV]Ia2Q$;aSj3eaN)<DbK.`Hc-?41#L(K?d*KqYbPo]cbPfWcbKTq0%
+F3>Kd*L%ce'l^jcHjo;df7ZldF-LldEp7dc-Xqgda-7de'lalcHstee'lamdEp@jdEp7ieC)Xca
+htNYYeIuiaNr2Wcd:(dccs_[cd1%ge'upsdaQb"_QgT$eBuXida6>9c4J7Ec-ObadE^.ccd9q^c
+d:&<ci;8uc-FY]c-FPVc-X_ZrQRCKc-+;Ud*9kYaN29KdDW`>c-k%R^W+I=aj%rG`lPm&[^<EIZ
+*LL)PDOg7G][S$>[_2S@U!lM_i90~>
+E//^?>ZXs0@q&bI<E37*;cd+"9hnGZ<a/[&<aKBTDJEm&CO(i+R\$+HY-51B]!Jr[]tM%aZa[TZ
+_8O@7ai_fOcHa\YccaPWbg4YZaNDTJcd9nWaNDcScd'eZcd0n]bg"GZd*g@icd'tjf@'WI/^r.q
+d*U@ne'cUjdaZgueCE1)gtLH4eC3%'g"=p.f%/I*g"P*3g=k0/f%JdUf*0g[g=b-0rn1*$gYCQ;
+f[eU$`i?`$f[8C,g=b05gt^W9f\,!3gY1B9hVHuAh;H_q^"V8nf%Jj4f@AI)f[n['f@\d2gtLK8
+g=t?7f[na.g=t<3eC<%Jed'aSe'uq"g"HAWs478%rm_P1g"b60e'ujuf$D7Zf@nmUg&KbKgtUH1
+dETeSaN;?4]Xt_]X-\g$HtZAQ;HI.-@"#0!Oam~>
+8:u(f?<g]AAn5:S=BA^/;cd(":Janb<a/['='oTXEGTB-CjV/2S=Z=JY-54D]!AiX]Y(h]ZF7BV
+^r+.3aN;TKc-=GTcH?.0--jiZa2uBFcHj\Sa2uQNcHXSVc-FSXbKS5VcdC.ecHXbde'?;=cn3Sh
+c-4D[d*L"]c-F\`da6Cjf%AU)da6@if%&:!e'c[neCE."e^i=$dF-RsrR1r"e^i=$df.`,e^i@'
+e^Mpmc,$6dbg=JZrR3jXf%AU)e^i@'f[eU'f%&6teC_pR\CK3ZdF?duda6@ie'cUhdaQ^sf@AF$
+e^i:#e'c[oe^i6tcd0u;d0J%DcHjkceC=KH!n,KDrm22'eCW0qcHjhbdE92Fe()qGeGdu?eC)[e
+aMl*9`P8pm\$`K>PDOs=B2ME$<E`L0H)eiCJ,~>
+0nORP@preWCM@Bk@:3YU?"7DP>?b97?XmJF>\%YkFDu)9DL7>2S"?1FXK/S5[]m4>\.c<RY-POH
+]tqV*`lH0CbKJ&MbfKe*<m8h0`Q,s>bg"8K`Q--Fbfe/NbKS/Pai_fNc-O_]bfe>\d`p"]cd0n]
+bfe2Wcd'eYbg"J\dETt`e'ujpccs\\daHOid*L%bd*gCjdaQ[lcHjqfr6PSpe'cXirm2>+daZan
+ccsYS]V2^Sc,S&VdaQ\Ee-4:IcHjk`rm:bpeGdoGeCM^J[*d@Jc-Oe`bfe5Vcd'bXcHjkce'ZRi
+dF-Fhcd'h_dF-Cebfp%1#L(?5bKS8ZdJhK,cd'e[bfn>Ye'H4[bKJ2U`k'.8dJVAkd3-lbccjJK
+_8*n(]X>/U['6HmO,SX+;c6Y#@9d&[V8A4B~>
+4,ePe=BAX2@Ui\E;,(%l<*!1%:f'YP;-R=,=C5TGAoW$9DLRS1R@p=PW3!>8]YD:t^V[q&]"Gho
+`;[gW`Xg,4bg"ATb0/&Sbg"GVaijY,#0Y68cHXPXrm1Vk#L:Q<cdC1hdJhMld3$fde^W'rdaQXl
+dF?Ukcd:+ieC2msf%/I*f@SU*f@^)Srmq,$s4I>&#h[h_f@S^/f\$/U#27b`f@\a0rnIJ,rnB<a
+d'q!Ggt(<;gY(96gt^Z;g"P04gYLZ?hVHuAgu?hu]@Ycgf%A[.f%&=&f@JL&f@\d1gA]e*gA]b7
+f[na-f[n^)e^rC'e^aTKs4./#qUbbu"PD8Se^sfO,1F`^f\5!/g"G$3g"=s1g"=g%c,n5Sbg4_a
+bep]UOFqLPr_j#%>\&Gkb`dP~>
+4,A2`>[1TEAn>=P;c$Ot<``O,;Gp(W;-R=,=^YfMC3+WAE.F"9S"QORWNEP<]Y;1q^;7_"\\#Vk
+_u@[U`=Ku1bKS/Pai_iObKS5RaNFJ)#0P-5c-4>Trm(Pi#L1H9cHstdd/MAkd/VGkcl:<VcHje\
+c-Xb[bKS8Yd*L%cdaHUoe'laoe("BGrmLhqs4%%s#h7DSe'ljteC=HI!nPoPrmLktrmq,"rmisW
+bHeq1eBZUpeC2mrf%AX+f%8O(f\"g,f%&6teCr-V[aN^SdF6UodEp7gda?Fhe'lgsec+(uec+&-
+e'c[ne'cXjd*g=hd*V^<s3UenqU5Dk"Ok`Dd*hp@/C)8Ye()ppeC;srda6@gda?@_a2H'?a3)ZM
+aM4jDN.GkH;c6Ll>%)l_aH(i~>
+4,/#_?t!PWC2%9h?<^lL@:Nt[?=$W0>@_;O?Y*t`D0C5KE.<k4R%L+JV5UT)\@fPf]"Pkg[C<f^
+_>_CQ_[j]+ai_`Ha2lEGai_fJ`lS,##0=p/bK@oLrlkDe#Kt63bg+P\cMl)ecMl-"cHXVZc-4DX
+c-+8Qc-O`8cMu2qd*^4ecd:%drm:Yjs3Uenrm1quda?FgdaHOjrR(o!daHLgcdD^>!7Ceo#LUSp
+]ZnjIdf%Yoe,e%Grm2h6dF6RmeC2mpdauXLZHgkCbg"GXbKJ,TcHXSXcd'h^dJhMmdJhJrcd'h^
+cd)O7"O>9:bfoq.s3CMf#L:T=ccjSVcMl'>b/23FdEg(ad*L%`cHXY\c,mrA^r41/a3)NC^94#j
+LN?Nu=BJa4@="onOam~>
+4,ePb<EE=.?=R;B;,C.h;H-[r;cHIg>%;,Q@:<PIATiNIFFoO=R[p4PX0oUS^V[b#_oU'@^V7S&
+`VdaaaND`Nb/q`Lc-4>QrQ?V5bK@uNbg+JWb0A5Wcd:%bc-OhcdF-IhcHjkacHjthe'ZOhdaQXl
+rQtMj%FW_Uf%&:"e^`7'f[n^Rec44rfDjJ(g"?;U!nc2[rRq2&(#%EtgtLK:gtgc?eA9;Zgt:K=
+g=Y*XgAT\>f@AU1gY1H<gY1B?e@rKDg=b-3g"65Rqpt\trn7>(!nl;[rn%2$s4%2%f[g&Prmq/$
+rmh&"s4@5%&_GUaf@AF&f[eX*f@/4%gXt$Tg&Ke*g&KbFf[\Hue^W+$g=b01ag7OpG%4`Z>$><L
+LpbTqJ,~>
+)2NQ:=^59@@:`hL;c6Rp<*!+%<)l[j>%;.C@NJr_BR##QG(bsES=ZLSX0oXU^VRXu_T0j<^:hA"
+`;IU_a2uNJaiMNHbfe,MrQ6P3b/qcJbK\8Sair#ScHjh^bg+V_d*^7dc-FY]c-=S\cHXSWcHje\
+rQGkucHab^dF-Ijd*U1fdaZdqdf.YodeVAle,e+LrmLque^j]LrmVb7f%8O(e^i@)f@J9\`R*,]
+f$r0se'uqGecaLNf@SUQe.'jRdb2jS[*[@Qe'umqrm:Vks3gttrR:bqs3h&!e^ONGs3^kn!n#KE
+rm:Ym!7Cems3^kprR3^RdEp=gd*^=idF-IgcICFocd^IndaHOjdaQ[mccs\\cd1(jeC;pcY*t,f
+@9Qc8<a96iZ-/8[~>
+4,/#^?"%8TASGdd?=%#J?t*YU?t!5DA8H*tBP1pbCO1PYFb>a?R@KtIW3WtG]YD+k^;J",]=P_l
+_Yh=[`Q-*Ba2Z*@b/q]ErQ$D/aN)?BaihiKa3)TKbg"DVb082WcHjh\bKS5UbKJ2Vc-4ASc-FSX
+rQ>2brlkGgrm(nrc-=PZcdC.eci25ichYrfd/h\Crm1_odaS0Cs3VJ+dF-LmdF$CkeC2jh\A?G;
+c-u[?%F`hUda?IgccsY[da?G@dJqPtf#b;'bg=]8c32A6b0/$.c2Q#gc2Z,hd/VDnd*^2=cMbuh
+cHjc7bl5lmc-4GWcHab^rQl5'c-4JWbg"JYc-FVWb0\S_bL"W8chu&nbfRrIbfe2Urm:ts`Nu4r
+G[k(Z>m4VJJZ[(YJ,~>
+:Q'R!=B\j/<aK'7=&r3q:et"f<E`O6B5)'sC1L[XBm>2YIu';WS=QFRXgu6_]tV+m_oL!A_8!n,
+`Q#s=aN;TJbK@oHaj/,Pa2uKJbl5`caiaV+#Kk67cHa\ZcMl-3dF-CfdaHIcbg+P[cHstccd'kb
+e'l^jcd:+gccsb_rm_/$e'lgsqptets47/#s4I>&#2%V]f$r7%rn75%#MIhcgYCQ;gA]h;g==?k
+fA#$8gY(64g"=p-rmq\2eC`L.f\>07g"PB7^U_kmg'?9\eCE+!e^aZMs4IA'#h[h`f[na-g"?;U
+!7q/""kM;Vf%&=Mf)O;#fD4&*f@JO+f%&@(f%9oR#M%J\f[SU.gA]k7gY1?6f\"m2gY(3XfFcoq
+fZ^^lMh,\TAnYq$OLW])J,~>
+:PX3q>[LfA=C5E?=]eX$;GgFn<a&X7B5)'sC1Ud[C3bD]JVo__St;^UXgu6_]tM"j_T'd=^qR\(
+`5Ta9a2lBFb/q]DaN_oL`lQ9FbPoTaaN=G(#Kb-4c-=JVc2Q!9d*^1bdF$7_bK\>Wbfn>UbKA#R
+cd0kZbKS8Wc-4GZeC)akcd0tcqpPMls3gkps4%%s#1V2Qda6Cjrmgqrs4./#"4u,Sec+,,e^2:W
+d*pFne'c\Be,Ii-da?UreC)gpda?Lqc+(.,rRD2&d*L(ccd:%erR:ep#h.;Qe'c[neC4EF!7Cem
+"jtcGdEp8>dJqSndeV>uda?IldEp:idF/$C#11iLe'HOorR:hrrmLhq"OtuQeC+?F&_G^ba0:qf
+IqrM'@qBS:ZceM^~>
+$&3_.?tEnX?"@OG@mXR0?<puI@V01fEH?,BEGB&pDL@+hJVoY[S"$+KX1,gW]=YSa^;@q-]tD.t
+_Sa=1`Q#s>aN)9<`llKD`5]j>ao9<]`lJ)"#KOp.bKJ&NbPo]mcHjbZcd0hWaihp-b8JOIb/qfN
+cHaYVb0/&Sbf\,Sda-4`bfn>Wqp5;fs3LYjs3^hm#1:lHccsb^rmLYjs3_"uda?JAdMUBU_8X[G
+cdL4fdF6Okcd'k^c-+8Tcd'f7cj%hCe]P;(b5KWkc-"/Nb/qiNrQYeqbg+P]d*L"_cd:#;c3_b>
+c-=PZc-=JVrltJe!RB$ecjA"Bc-X_Zc-OY[rm(hncdC(^d*^5>d210Ubfn>VcI((ecHjkaeCW-l
+[@E,(DJ/r^"E0(!bE[S~>
+5)Xkr@prP=9Mnhq?s-E+:eOed<aoTUD.mO"DJ<]tD0LPeOHl9+Str3[WNNS7['mW\]tV:t^VIh0
+`Pfa9rQ5)\#04g.cH4)Irlc"u`lQ6CbKS,MaNMrWcHF>QcHlL:s3L_m)pZ[Oc-O_]cHsn_cHjqf
+dEg1ddF-Ffbg"SgeGdnseGdu;eC)n!f@JL&f%8O)f@eg-f%8R,f@AC#f%8R,rn%/%s4K`mgYCQ;
+g"4s3f@/7%gY:Q=g">!1f@AF&f%&=&g"G$1gt^Z=gu6o']@>Nef@A?ue'umreCE1&f%8O)f@ej0
+f@KiN!SH$'eI0sYf%8L'eC2ptf%BrSrn.8&rn%D.f@JR+f)F8,f[\R*f[ea0g]$"4gtLE5g"QG[
+(>.3he^W1'f&"ik[^(g7FaSUjR(1J0J,~>
+5)4JjAn54K9i>)#@p;u5;GC4l=(5]VD.mO"DJEg"DKpbiOd;N1TV\K^WNNS7['dNY]Y2(p^;%V,
+`5BO5rQ,#Z#0+^+c,dlErlYqs`Q-$?b0.oIa3)`Sc-",Mc-H=7s3CYk)pQRLbg+MXb08&Ob0/)V
+c-+>Tc-FVYbKSAcdJhGld/ME3d*C%fe'cXkdaQ[ne()srdaQ^qe'ZOhdaQ^qrmUep6IjZ=f%&9u
+e^`*ncdL:ke^W're'lamdaQ[ndaZjte'lgre'lh"d(Hg5eC;pncHXY\cd'k`e'ujqda?LmeC2jn
+qpGModf.T$dEp:hdEp4bcd:(grRChqs3gnq"kD&KdaQVCdK\1IdF6RleGdu'f%&9udF$Fnrmhk6
+dF$:cdF?Oqbe19eMKEl_H%2$aac_/~>
+5)+GoCM[Tf;HI1;Ch@*`?<L`F@r?70GB.SFF`2)7EdNLuPEq]1St`!UVl[//ZEq*O\@K8a]=l)#
+_SO+-rPnlV#/nL%bJqH=rlGeo_o9U7aN;KA`Q6<KbK.]EbKTt1s31Mg)p?@Fb08)PaihiKai_lR
+bf\,Pbg"DUai_r[cMl#fc2Q!-c-+DZd*L"_cd:%bd*g=fcd:(ed*Bn\cd:(erm:\mrm22'daQXl
+d*C%dcH=>Ud*U5?cjeINccs_[c-+;Tcd'e[rQuY6f$1b2b0J;Vb/hWEaiVWHbg+P[c-4DWd*U+a
+c25ctcd'bZc-FPXcHXSVb0/#Rd/DAkd/;2ndE^"^ccuI7/'lGacd0k_dF$Ckda?CabK\A[daHId
+c-4DWdEpXp^9Ol"GBJ7ZI?1SRQ[f~>
+@#TSC@9Q]3<)d"+>?t?6>Zt62?>="bD/X<3EH?;JDg$Y_NgH3(U8+EVV6$l(Y-GUR^:V%m_8OF;
+`PK=.b/hK7^;J(9aN;HAbKnGVaMc3Aa2uTOc-4DWd*BhVb09k0"3f-?dJhJlckXjNc-Xndcd'kb
+da6=idE^"^cd:%drmUnq!7_"u(=^d_f%/C$e^`7%e^i@%e'ut#f%/I)rmpqts3q,$f@^&T!nuJd
+qqD&&$J=(cf[eX+f@JO+rn&+Ah:pW8g"tB"][PNbeC)^kdaQ^peCN:)f)F81g"P-3f%/L+f%&@'
+f@KrOs475%#1h>Re'ut$rmq,$r7Es_g=Os-f@o!1f%&:#e^N%"g"+a,g"=p-f@em2f[na+f%A[.
+f@\a*gYCN5f!Us.R[TbE]?HXm~>
+@#02;@pN8A<`N@3?=6uB?X6i=?ts4dD/X<3EHHDME-HkcO-uK,USFNWV6$l'Xg#CN]t1hi^r+47
+`5'+*aiD93]u%k5a2l6=b0J5Ra2?!=`lQBKbfe2SccsVRaij\-"3]$<d/M>jcOS4DbKS8VbKA#R
+cHOJYc2PoncHjh`da6=ccHuR<(=:@SdaHOidF$CjdF-Ljcd:+hdaHUnrmLYls3UqseCE+Ke,n1Q
+f_j81eC2pre()ssdaQare'lmurmM_7e'ZOif$M+>cI:4fc-+>UcHje^dF6XprmD8*e^W'qdF6Rl
+d*^:idJhMmdJqW!dEp1acdC5@dJqYmdi$`edaHOke^i-qd*L(ccHjqgdF$Fme'ZRkrmVk8daHOi
+d*g:ed*^.hf@JC!ZBgH6Pa.oL`fko~>
+@#'/@BOtX[>?YHJAnbggBkCmcC34?7GBe:VH$XjdFF/[pOdVZ-U7n3PUT1GtX0/tD\[T,^^;7e/
+_S3\"a2Pj+]>2G-`Q#g5aNVfJ`PKR5`5]sCb/qcKc-+2Ja3">'"3Jg6cMl&fbo=jKaihrQb/qfN
+c-+8Ubf\)Obg"DXd*9eXbK^%3(<t%Jcd0n]cHab^cHjk^bg"J\cd0tbrm1Gfs3(Mgchu,kdF?\C
+d0@qDd*^:hd/M<Yc-4DVbfn>Wda6:acdU.MZc^S;aiDB?a2lBDbK\A[cHXSWd*^4dc-=S\c-4GX
+cHXSXc-FSZcHXSUb0/&Uc-=P[chu-*da?@cc-F_bc-=JUbfn5QcHsh\cd:#;c2Q#gbo"[Jbg"JZ
+c-FY\f%JX#c`iaqQBdZ(Yf<#[~>
+5)FYi<)6Ct?s?lB?!UoQBO5"N?t<SQBPhX(DfpM[H@CHsLldmiU7\*OTrP8tXgPp[_8F41`Pf^8
+`P]R0rkSrZ`lH*<_o9O2`l\5#%`ZT1`lQENcHXPUbfn8QrlZ#"c-=S]cHaead*Kt\c-Ob_cHXY]
+rm:ntdE^"^ci28ucdU@kdF$CkeCE+Je/$N]e(*!uf%8F#eCN4$e^rL+f%&=%f)F2/f$r:'g"G!/
+f\50;gY)S[!nl5Wrn%G.f\"g-f[p#O-/%).g"=s3f#,2Ng"4a%d*U1heC<%#f\"g,f%8U/g"=m-
+g"G$Tf)O>6f\+p/f%&@&f@\a+f%/I)f\$2V2qlp8f@JR+g"+d,f$r:#eCWF(eCE.$f@\d1g"=p-
+g"4j/g">!3g=Y$/f\#!&\$*NMZ+.ZqR=G~>
+5(n/_=&N(,@9d)F?smP]CLLXZ@UreSBPhX(DfpM\H[g["M3=0mU7\*OTrP5rXL,^W^r""-`5BL4
+`59@,rkJlX`Q#m8_Sj=.`Q8%u%`QK.`Q-3Jc-4>QbKJ&MrlPVlbfnAYc-=S]cd'c6b6?,5b/qfM
+rlkVlc-4DVcMl,scHjh^c-=P[d*^8>ckasQcdC.edaQRhd*g@idF6Xpda?Ijdf.W'da?Oof%/<u
+e(*+'f$s]L!n>]HrmLksrmLque^XQHs3W.AeC2gld*p:R\Bi[QccsYVbg+P\d*gFoeC)ameCE't
+dF-Ooe,.PmdLjsXe'cXjdF$Cke'QLidaHUnrmW(@e'ZUkdaQ^ndaHOhdEg.ee^)RgdF$CkeCE't
+da?Rmrm;D+dF-Ijd*gClfuUM"\>lR6]>p.d~>
+-\QbN?!:QIB4>CaB5)7*FD>Q)CMmg%EcuVKGC>1#ItNN1Mj'KqUAg_fT;\fjWj;W:$GO?n_SO(,
+_SEq$rk8`T_o0I0^r!n&_oD\o%`?9(_o9dBbK@oIaiVWErl>eqb0%rQbKJ/Uc-4>Pai_fLaiMTI
+rlbPjbf\)Obl5ldbQl>6b0/#RcHcC5(<jtGcHa\\d*9eZcd0n^d*g:ecHab^rltu!c-F\`dEg+a
+dF?[od/MEPd*Kt_cd:(dcd'e\c-4ARb0.uRdEp1`c-XYE[*$\<aiDB>`lQ9DbKeG\ccjSWd*^4d
+c-F\_chks#cHjkacd'eZc-=P[ccjYZcd0tbrQuD,c-FSZcd9q^cHXPWbKJ2YbKJ,Sc-H=7#0tK;
+bKe>UrltVld*^2=d0n:L`3QDRX/E#,`gD8~>
+%u5F1:J4Sl?WgQ<?=7MeDZ4/r@q&kS@qTRmE-QqfLPUeDN0'?pT:;FGU8tK$YdqQ`^rFI8`507/
+`l,^m_?e*"aN)9;_8F.g_'?k;aiDEAaj&,UbKA#Mai_fMb0%rRd*Bk[cd:%abfn>VcHcC5#0tTD
+da$1brQYSmcHXecdJhKGdF6Xse'c^od*U1geC<%#eC2pte^W+"f@JI$e'umre'ut#g"P36f@JR-
+h:pW8rRh;)e_&ONf)XD$eKreuf%8[3gY1B9fYkJPf[\BqcHjkce'uq!f@SU(f%8U/g"4g,rn.A*
+f@KrQs4IA)$/!k\f%A[/f[n^QfDjM&f`]sZf%J^Ted9mZg"4d+f%&@(rR;>.f\5'4f[n^+gY(97
+g=cJZ&(oI`eCWL)`l$KI_SsRARXb~>
+4b7]S;,1,!?WgQ=@:O.qEG&lpA7AtT@qTRmE-QqgLl%"HNKKNrT:;FGU8tK#YIM?\^W"74_na%+
+`P]Lj_%4H&a2Z'7^qmh$^;%G!`5hkq*QQ@IbK7iHa2lBFb/qcKc-OYXbg+P\c-+;SbKA!+aT]i2
+cHaVWr65Djc-4JYc2Pp?c-Oeccd'k_bfn>Wd*U1hd*L(ddEp7ge'cUicd:%bcd:+if%8R*e'c^q
+f[eR$rR:qtd*pJBdK@tJeC4EFs3q"r+k+ridaHUk^:;J;d*0YSb0/&Tcd:(geC2gmdaZgsda?MB
+e,n+IdJhSoe,Ro(e'cXke'umrdaA$As3pts"OkfHeC4EE$../Nda6Fid*^>AcO/%He(*!ue'cXl
+ec+"udaA'B&(&YJcI1Cl_S4F2]=u,'Q%/~>
+4b7cZ=BAgCB4,1\BPVa;H>d\=D/3m#CiFH:G^tX/N/`jXO->p"T:2:BTW,&pXgYpS]Yh_+_7mV#
+_nj(d^BhZo`l5j3^;%D\]d(;/`P]R1`Q?9Ea2Z0>`lH0Aa2c<Fc-+5Obg"DUaiV]JaiXM&"Nej3
+c-#q,"jG04bKJ'-aY1f\cHj_Xbfn2Nb0/&ScHsh[c-FVZc-Ob_c-=JWc-4DVcHjnde'ZLecdC7j
+d*M[;!RApdcNhb?c-+8OaiaV++j\N]cHae]]!TW)b/VB;`5Td<aihrScd'_Wc-XkbcHXZ6ciVP=
+c2Pugci29!cd'e[cd:%bcHXY[rm1Pi"OGB<d*M^9$-^`BcHOSYbg"K4b7)YAdF$7abfe5Vc-F]8
+ci;Alc4/"@c-a\K^!aR&\@]hMJ,~>
+?&*]*;G^=q;c-Ou>[qSiE,B?)BOtjc?=@PcFaJXmNfT9eQ^F;8Ssl:JWirb:\%9;b^;e..^V@V*
+`kfC-aiVTB_o'I4^r++,]tD+r`QH3@aihoOb/qfMaN)C#aplS?d*9bYd*Kt[bK\>XrQYAf$I-lD
+dEBe\cHOMWrltMiqp5u'daHOjdaHIecHt"geCE$re'n6Es3pqp&CJqVf@em3g"=s/f\5*5g"QDX
+.G38*f[n^*f@SU(e'c^qg"Fs+f@o$7gYUZ'][GBYbfS#OcHjqfeCE+Ke-jgYg"G$0f@\a/g=ZDV
+s4I8$#M.MYg"=s/fD!qtf)s[\g"-/Ps4RG((=q*gf%&@&e^W1'g=b*/f%8U0g=tE;rn7q9f%AX,
+g"b#tbi@-sbfeD'J,~>
+?%I)s<)Zk&;c-P!?Y44uF)Yo0BOtjc?=@PcFaJXnO-#KiR$jM;Ssl:JWir_8[^j)^]u@q*^:qD&
+`PB1)aN2B=_8F4/^V@Rt\[]8b_8a@0`Q-'?`l5s=`l?'taUQG<ccjPUcd'bWb08,SrQ5)^$H^H8
+cH=AVc-+;Srlt;`'$\_Ic-=PZbK@uOcHjkbcd'k_r6YJirQYu!cI(+lf@SU(e^W+!f$r4"rR<7E
+daZaodF$Cke'cUhd*gLqda-:he^W+"d_E99dEKYL`Q-*Cc-FY^rmCbm$I[GRe'c[ne'upsrmLhq
+r6bhtdaHXoe'c\=e,Rhue(<*srm1Vos3_\1da?IhdF$=ge'uptda?Ije()pseC4EF&CA_Ld*L.l
+c,@WVb/M<;b*IP~>
+?%I-$>?kQH>?P6@Ao2^<H?XCME,BQ.Anc7.I=m?6Pa.N&R[]n@SX>tCW3*;0[(!ZV]>MM"]Y(ts
+_nNb!`l?!9_Sa=0]tV7o\@9&^^r=.,`5]j;`Pfa9`5KXn`sp/6c-",Mc-4>OaND]KrQ,#\$HU?5
+c,e&ObK7lKrlb/['$AD@b0%oNaN)?CbKS5Vbfe5Sr6>8crQ>bpbKeJ^daHOid*L(dda6@grQmOM
+cHsn_c-=PZbfe&Ha2uTMaiDQKcd'kccb$O*bJqB4^VRh+a2lHJc-4DSb085Zcd'h^cd:(crm(Gf
+s3:kocHae_cd'i1ci;8mcdU7crlb>gs3;D)cHXVXc-=JVcHstbbfe2Rc-OY\dEqm=&C/MFc-+;U
+aM>aKaMGX+b*mh~>
+!Ju.%<E<'r8Q/Sf=^5QUE-6>CBk;!b>$l,gG'.t^Ll7=[R\HUPUnX]g\?r`Z_7ICt`lZ$-]u8+<
+`50=/`l?!9_ns7*^Ve+2^V7S$_T'[=ai_`Ha2lEJb5KB^aij\-5L.X(d*0YUcHje]cd0tcdEp.^
+c-OY[c-+5Oc-O_[bK\A\da?Ffc-=S_e'lXfc-F_ad*L(bcd:+ieC2gmdf._qd1FgZgXt*-e^iC,
+g=b'/gYLT_fG)rff%A[-f@\a,e'ZOie_Ad*bK\N8eh5b0_RRq@cH4)Ib08,VdaQ^qdaHUof%AU+
+f\+p/f@\[*f@S[,e^W'reCN7(fDa>$fDa@tfDjP=f\5!0f%/@&f%&@$f%/?uf@\^+ec+&=e^rI+
+g"P-5g=b*2g=k63gYCB6d*'_hf[7pdd[Yg~>
+!eYYqr`;3]8lJ\h>[M2aF*MkIBk;!b>$l,gG'.t^M2[O_S"ldRUnX]g\?r`Y^q%1p`Q5g)]Yhn8
+_na++`Poa3rkT>b^;.Y&]=P_i^;@h-`Q#m8_o0R:aSj-[aNFM*5L%O%ccaGQc-FSXbKJ,Sc-4;N
+aihoQbf\#Kbg+MWaN;WMcHXSVaiV`Ocd0eVai_lQbfe5RbKS8Yd*Kt]cMl/ibn/7Nf@A?udaQau
+f@83rf%AOPdg"7IdF6Undf.]&d*Bn]db*-ra2Z@&cO\OO]<fZ*ai)$5`Q-'Bc-H:6)U?[Ve'c[n
+eC2joe'ZRkdaQXkcd'e]dF-Llrm:_ormCSjs4&.=e^MsodEg7gd*^1edEg%be'c^nd*L%bdaQ[p
+e,Ic0dEg4gda?CieBcUe`lQWUahu!;Q@J~>
+>D%-'?=@8J;d3L4@qK\(H@LBgEG]]-@V9h2IXQ['Nf]KoSY`0WUnOQb[^*<Q^:1bh_oBC!]"uJ0
+_7m\#_o'@/_SO(']YD>!]",Me]tqV)`5T[4_Sa@6a8NsX`lS/$$-UT>c,n#IbKS0/ath/abfe)J
+aNDZKb/hTCb08)O`Q$!AbK@rJ`l?*Cbfn/J`lH6EaiMTFaN;WMc-4>QbPo`caq2hEeBuRdc-F\a
+da67adaZ\DcUQ4(c-Ob^cHje[ai23;aj85N^;.b1ai`#T\?Eln_nNar^VRe*a3)TKb0%iJbg4S[
+cd:"`cHjb[cHab]c-4AQbK\>YcMl&gcMl)bcMu9LcdC(ac-=GWc-4GUc-=GQcHje]c-4ARb08,T
+cHXSYcd'b[cd:"_d*KbT_na7=cGdN2b+!n~>
+5)X\\<E)dg92ADa=^c2fDJaT=CLq0iASZC5G'/+^GC,.4R%^FVWj&qD]t(hm_nWt&`5TX2`5g!@
+a32fQrl-2$`P]R0^qmq-a2c08^;%k5a2Q$<aihrQaiDKFbg+MYbKA$-bQ,icaWAODaNMiSd*L"^
+c-FSVaN2KFbKeGZcHOV^cd'eYbPocec2>`ucHsn_cd:"ad*pIkdF6Une'laorRM,#eCW@*rmqD-
+g=tE;g"=sVf.bk.f%Jd/e'ZRkdEg+cbJhHJd)jDUd`o>.aNVoRb0%oMaiVcQdaQ[peCE1'f@JOO
+f)XD"fEKmWeC2ptrmi"<eC<($eC2t"f\+p/f@\g3g"=p/g"Fs,eCFNIs3gturmq+u"Ou#Ug=lPZ
+(Y[Wug=b37gY1?6g=Y-3f%/O,g=FKqRt(~>
+AVG8#=&r3o92ADc>[q\nE,KlACh@BlASZC5G'/+_G^P@8R%gLWWj&qD]XYVi_S3b"_o0F._oBd<
+`lcTM`l5p8`P]R/^V@V'`Poa0]Y2G-`Pf[5a2uNIa2Z0AbK\;Ub/qg*b5f]aa?.G^`lH3Ebfe/N
+ai_`Ia2c9Bb0A5Vc-";Wc-4AQaiquRbK7lKai_iQc-+;SbKJ,Uccs_\d*Bt`cHlI;"OGKFe^aWJ
+#1hDXf$r0trmELLdF$Ioda-4acd'bXcH!c:b/qN;aNDK.Xi&3#aMl-<`Pf^8b0A8ZdEp7ge'cXk
+rR(\nr6khtd*L"`d/ME2d*L%cda-4cdaQ^pdaHUpf$r0se'umpd*L);ci;9:d*^:jd*BtbeCE+!
+eC)gqe'cXle'lakd*^7idEg+acd9nRacq;~>
+5)"/X?=@,@<EE:,@VBn/F``%XEboW/D0()UIXQd&I"73GR\Zm\Wire?]!f2a^q@=o_8="&_8O@4
+`5p0Erl$,#`P]R/]tM4u_o0C)]=c2(_ns:.`Q60B`l,j:aihlMaN)C$aT0E]`ZE+;`5]m@bK@rJ
+aN;ND`Poj:aNMfNbK.lObK@rIa8X3]ao'0mb08&NaN;NEaiquOb08,Rbfn8SrQbVibg4Y_rm(hr
+dF-Lld*L&;c7mShc-Xk`b/_QB`P]R3^::\k_n<Y"a25$X]tqS&^V@S!^:qG%a2uNKbKA&TcHXW4
+c2c,ecNVV=bf\,QrllA*bKJ/UbKA&Scd:"`cHjndd*L"`d*U%]bKTq.s2lY3c-=PWaiVcPcd0n^
+bg"J\cd'k`dEp._bK.fJb0/&Sbf7B;Q[f~>
+#E3q";,^:b:]=6J<aol`D/43:G&_;0BlSHKH[C9qJV8uJR\?XZYHk[N^:_4s_SO+*^qmn+`lQ3?
+a2uKErPK\p_SO+-_SX40`PTF*^rF=1_o0O6a2Z'9`lQ?JcHZ=3s2tGcbPoWdaiMWMrlkGgrltJg%
+`uf7bfe2Sbfe8ScHaSTrlZA.c-=GPa3)TLcHjbZc-Ob`dF$=fdaZandaHOke^aZJ!7h)#s4IA'r
+Rq2(s4RG)s4/.Bf[eO"eC2gjcHsYM_p-BE`QHNL\?j<$c-4?0a:-26c-F\`dacn!f\5$Vf`0S&g
+&BV+f@JO*rmq)#rn.8#!S,g$g&K\4g"P04f@S[.f[eR%q:,]#e^N!sf%9oRs4IY2gY:H8f\,!Xg
+B$$]r7D5,g>:N,d@,R~>
+5DF8N;cQ^j:Jt(i=^u;fDJXE>GB.M3BlSHKH[C9rJq]2NR\?XZYHk[N]t;"o_8*n&^VI\'`Q-!;
+`lQ9A_Z%Fo`59@-_nj1+`5KL,^;%Y)_SX4/`Q#m7_o9[=bg"B1bQ#]caiaV)"3AO(b5TK_b5TN_
+apuM5aihiLbfe/Qb0A2Qao9F,c-4DS`l?-CbK\>Vb/qiNbg"DVbg+S]c-FVZcI(%ccd:,>eGn)!
+e-":PeC=KJs4%(ts3Ve8e'ZLfdEp1^bK\#@^W+4,^;J".ZED-daN):!_[OK'aN;WLcdL4ge()tG
+e,RkqeGdo!da?IkrmC_nrmUnn!RT9oeGmu*eCE*udaHUoe'ZLfq9]/hrm1\ndf._qe-XURe'cXj
+dF-LmqU#Ppcd:1e_oS'm~>
+5DF>V>$kQ:=^"s2?>+A%F)cJRI!9RJEI!.kK7\i7L5D%]S>3!^YHbOI]=GSg^V7Is]tV7t_o9R3
+`5]j9_Z%FR`5;Mis1]Ac_SX($]Y25!^qde'_o0I/_8F75b0.s+aoBE_a2n8#"3/="ao9?]ao9B]
+aUZ>0a2uEDb/q`IaNMcIa8X.(bK@uK`5K^;aihoNa2Z3Bai_cJaihrQb0.uNbKeDWbfe91ci;Al
+ci;Dmd/MGmd/VGlbo>$Uc-",Ma2Pp4`4WOe^qR@h^;RdgW4p*b_8#u_%)0No_o9X<c-+;Td*V^:
+s3CVjrQbPjc-QC6rm(Mhs2tGecMl2jcO8+IdEg+`cd:"_bKK_*#0kB8bKA#PrltJg(sU@Pcd'e\
+d*^7ebfRoGaihoQc-FDD`g2,~>
+/<5$J9MnV[;HHgp<a90MCi"0>IWoXCD0'oMI=?d$O-5ZlTV\WiZELUG^:sQ]%)]lp^qmq.`l5g4
+_8#rb!5SQL,fIU;_8*ar]YDA"^r+.2`Pf[1^Ve%2aihlMb0/#QbK@uNbfp(00$_kgb0/)Ubfn>W
+b0/)Vc-+8OaNM`MbK.fLc-4GUb/q]Gb0%iKbfe5Tc-FV\rm:\ns3Ueo!RT0ldKS.Nf%/C%rn%5%
+rmq2(gA]h-g=cGV,hCMqe^i3rcHjq_a2Q';a2lEMb.>(-cHOGPa2lBId*g@idF/$F#2.bcg=k65
+rn.8(rn.8(s4@J-f@JO)r7M8+f@S[.gA]b2g=b03f\+p/f)F2$eCE+Hed9jRe(3.&f%/I*rRqS2
+f[ng1gY:N<g&BS/f\,$8hq6-!RXb~>
+/;SI?:K17g;H?aq=C#KRD/FBBIs>jGD0'oLI=?g&OHYlpTV\WiZELUF]tOBZ%Doln^VI_*`PfU0
+^qRV`_#V:L_'Hq8_8*dt]">\m^;%M&`Pf[2^qR\(`lQ<FaiV]KbK@rKb0/!-asbKYaMu9Cb/hZH
+bK7oOcHOGQaN)HFbK@lHbKS/Rb/q`EaN;QFaihj+aoBK`bPo`ccMu,gc2l/4rlu##daQ[ndaZgs
+e'ugoeCFQL!S,]udOrqod*gCic-+>WaMPa-^;.S&aMP<iaiVTB`5BL3aNMiQbfnD^da?Rqf%&=#
+eGdqseGdqseGmu#eC)aldeqSue'c[neCFQJ#h@GSe'lgqdaA'@!mf6?qp>Jkc-ZI<s3Ukqe,Ii#
+e'ZOgdF/$C!RfBpd/MDre()a\`fko~>
+/VnUH<aK'6>[CT:?=IYgEcQDUK7.f[FF&CiKS>5=Pa7W'U8FokZE:C@]">WS]a_cj]=kqo_o'@+
+^q[OsrkSTMrP9br_8*h!]=GMd^qIIt_o0I0_8!\!_SjI8aN)?BaiVWEa2lBErl?_7bf@]BaiVTD
+aNDQEbKS,Ma2Z*>a2uEA`lZBFb/hWC`5]j<`lH3Ba2Z->a2n8%s3(Gas2tGbaSs?sc-FY\c-=V_
+d*L(acd:(fe'cXjci23Bc-4ASbfIc@_oKR(\@K,\]=u8!YH5XZ_8![r]Y;5$a2c3>b0J5ScI1.g
+dEp8>ci;AkcN2D?rm1bmc-=Q3ciDDkcMl2jci2;kcNDP?cHZ@4!mAg3qoo2caNFM+s2tGec2Gp&
+c-4DWd*^7fc,muFaND`Qcd'SD`Kl#~>
+/<PBS8l&5T:fgUr>Z"U6Chn9FHZ<tDEcGo;H$t3pOHYlrW2m&*Z`LFC^VBc^0u(Q>^VRe)`PfU+
+]t:kk`PfU-^;.S#^qmn(^:1MZ]Y_@u`lZ?C`Pf[3`l?!;a2lC%aSs:,b0/#Qb08,VcHFAScHj_X
+bK\8Ucd0hWaN)<Aai_cJc-Xe\b5TL4b08#K_o'O;c-FGPb0A;]da67`d+-[nc-=S_f@JO'e'ln"
+f%&@'f\,!WgB?6`f[n^ReK3;le'H:ada-.Y_SO@?d*g+M]$\gFa2uNJc-Xtkf)F2'f[na.gY;_]
+!nl5Yrn.A*f@U#S"4u,Tec+,)e^iC+gtUQ9rn7G,f\-8Vs4Rb1eC)k!f$i.!rRV#!%FieUf@SU(
+e_&U0f\"mVgAfn1g=b68g&BV0g"P6<hq-#tRXb~>
+/<"jI9N"_^:f^Oq>Z+^9D/=KJHua1HF)bu:G^P!nOd)*!W2m&*Z`LFC^:sT[0ttH;^;.S%`5BC'
+]Xtbj`PfU-^;.S"^;%Iu]X>)R]"kqm`5fp;_ns7+`Pod7`lH1"a8X.*ai_fMaihoQb/_NCb0.lJ
+b08&QcHaVSa2Z*=aN;QFbg4SXao9@2aihfG_SX=7bK@fB`lZHMcHODPbgFh^aiV`Oe'c[lcd1%g
+da?LleC<%Ieh>S'e'cXjd*^=jd*0YUccaAG]=Pl#ai_N0[EQb2_o9[:air)YdEp7ge^Msrf%0iN
+!n>]JrmV"udaJ-D"4GTEd/MDtd*^=lf@JL%rm_)"e("BGs4%D'ccsebdE^(brR(Yl$I?rCdaHOi
+d*pOqr6ko!e'lame'lbEdJhSoeH=(4`fbi~>
+.Z8XN;d<R.>$bH>A63)PEcHM\J9H$YG^".QIY*9/Q'[f,WiN8+Z)Y":rjr-A$,"!b]Y;.r_SNtb
+\g,#0`504&^qmh$^qmh"[^<KT_7[S&aN2B>_ns:/_ns=0`Q%nrrl-5(aN;QEai_fK`l6!?b/_QD
+b/qfMbfRlD`5BR6a2c3Bc-4;Mrl-G.aiD?8^r4:7a25[1`lZEIai;?BcHaPO`lQ?Mcd0n\bg4Y^
+cHjkbdF/!B"Ob]EcHZ=3-HjNM_o0X7_7[1_]Y_S,^p1)__nNaq^:qD$aihlMb0A;Xbg4_crm:eo
+cd2U;$.$oBcd:%bc-=K3bm2J;cd:.hd*DX:&C/PGcHjhadE]qWbKnGUbKTq0s3(hm`lcNLbK@uP
+cd2O6!71Yk&'rVKbK%ZFbK\D]cGdE6Q%/~>
+6^3*r9i+SU9N,"r>"qXh@r?:-Fa8:YF`2#;I"@!+L5:hTUSOfeVQ7,=_nNds^qmau^;%J#`Po^0
+_8=%,aMl$5^])(X_ns7+^V.:n^;.P%rl"oV`W!k+aN)9<`lH0Aa2c9Ca2c?Hbfe2Rbfe8Wd*BkZ
+bKJ,UbKJ&MaN;NC`l\5'$-pl@aiMTKc-+6,arngLbf\/Tcd'kbe'cXjd*Kt_e'lame'umrdaZdq
+eCWCOgAT\)f_sD>e^Mpmd*^=fbKJ/Ubg"GZfZq1Ad*TtZcHlL7$dR/Mf@\^+f@em3g&BV*g"=sU
+g&K_)fDjG%f`0V6f[eU(f\5-8g=b37g=lMYrn%M-eC2t$f$i.!rRUtu(tR<ieC<%$g"P-2f\,!5
+gt^Z<f\5*6g=uV^#2S.og!%g3J,~>
+;NH6$:K11a9iG+s>#%akA8cL1G'\L]G&M):H[pg*LP_%XUSOfeVQ7,=_S*Ro^VIOq]tV7t`5KL,
+^qmk*aMl$5^V[k(_8*h#]t:kf]Y;+rrkecR_u@S'a2Z'8`Q#s=`l?'?`l?-DbK@uNb/_WIbf\#J
+ai_fPb0%iIa2l<?`Q8&$$-gc=aN)BGbf\$)ao9@'`lQ<Gb0/)VcHXSWbK7rRcd'e]d*U+ad*U+c
+e(*%#rmgts!7Unp.+-Dec-=P\bJqQBa2Q'=aO%r9[EHb5`lcKHaiMTJd*gFne'lgse^XTI!n>]J
+rRCkrs3gqps3q"t%F`_OdF6Xtf%&:#f%&=LeGdo&dEg+beBuRfd/DAkcjJ1KdEg.ce'uptdf._p
+e-"1Jd*hpB$ImVVeC2t!cbmeeJ,~>
+;NH9*<a8j.<Eig>@8p*-BlnQDH@C?nHZa7QJVK&?MMmRaUSOcbUoC]4^:Cbb]tV+i]=bhl_SX($
+^;.S'aMl$5^V[k(_SO%'^:_(j]t_>!rkniT`;[_)`l,a1_o0O5`5KX7`5K^<aiMQFaMu<DbK7fF
+aN2KIaN2EA`Q#m7_oD\s$-UQ7`l5s?b/hU#a8a.%`P][8aN)BFbfe/NaiMKCbfn8Qbg"DVbK\;U
+c-Xnfe,Ieod/_Plc7$oYa2Z->ai)!1_83n%_8FO8ZEM6d^q[_&^qde(`lcNNcd'e\cdC,=cN;J>
+ci)5jci)/hci;?(ccs\YcdC4id*Btacd0n^d*Vd<#gLQ8bg=VWbKTq0rlb_mbfe,Mb0A5XcHQ:4
+'[G(QdEp1ccHODQbg+P^d*K_D`0Po~>
+I?K(U;,^=e:K(:q<_c@iAp8cVJV/Q'H?XR\I=d?;L51bPS"?CRW3X%P`4s%&`5TO,^qmk)`Pod5
+`lH*:_ns:/_8=%(_SO((^:_+n_T'R4_7mV"`Pod5`Q#p<aN;NEai_iOaN)EIcd'bWbKnSad*0VS
+bKS5VaiMP>a2uNIa2Z<Gb/qcJaMl-@bK@rJb08,SaiDKEa3)ZNb0/,Yd*U%]b/qoUdEg(ce'lan
+eC2mrf@\a/g"P05f[n^*f@S[,e^DdjdF6XkcI(+lcGd`JimklYdacajc-+2Mb0A;^e^rC&fDaJ&
+fE9g\g"H>Xs4IS.f@S[0g&BV(g&BY(f`g$[f\,$6rn7S2g"4d*f@U#Qrmgtu'A(gdf\5'3f%&C+
+g"=m.f[na+fDX>)g"=s2g\on2h;I#3e!tp~>
+7?2aj<**'s:K(:q<_c@iB6\uZJqSc*H?XOZI"@-9LPLkQS"?CRW3NqM_nNh"_o0=(^VIY%`5KO/
+`5]g7_ns:1_o'@j_0Wo3^:V%l_SsI2^qIFt`5TX2`5T^8a2l<AaN;WKa2Z3EcHXPSaihrSbfRoH
+aihoQaN)?@aNDWE`QH?FaN2KD`5Kd?aiMNEbKS/N`lH-=aNM`Iaj&/WcHFAOa32fTc-+DYcd'h_
+cd0teeC<%!f%&:!da?IjdO*GkdEg%]cHt"_b08/Wa1f7-gWmF@c-X\WaiD?=`lQ?Kd*gCke,Ikr
+df\+MeC=HIs3q5$daHUqeGdnseGdqse-4=Le'ut"rm_5(eC)^kdaJ-Brm:Vk&CStRdaZaod*L+g
+eC2jpe'e6CrR1\o$e<hZe^W$rf$VFXQ%/~>
+=cIf->$kT>='Am:?<'s0Cjh"lL51M8IscTnJVK2LM2@7WS"?@OVQRDB^Uh"h^qm[r]tV4r_SX.*
+`5]g7_ns:0_Sa4*_SO((^:_+m_T'O3_7mV"`Podo_a;;\`l5p:a2uHB`5]sDbK7fFb08,RaMl0>
+ai_fH`Pod8aN)6:aN2EA`lH'8_T0a<`l6!?b/qZA`5TX6aN2BAbPo^PaiMK@aN_uPaihoPbKJ/S
+bg"M^dF-Ilda?FfcHXY[cd'bVa2c9DbJ_?=aN;9.\&-_<[^*rr`koO*]=bkp`Q64#bQ?)9d/M>n
+d*^4erR(YlrQbMmd/M>kd/M>rd*L"^c-F\_rm(erd*Bk[cHcF6rlk>c-I0l\cHa\Yb/qiOc-+8S
+c-4ASc-FV\cd:"_bKS5Vcd:"aaLoN[J,~>
+0p$i\='&C$<)m%*>ut3<CNkVpMhm.?It33,JUrZ?MiO!dS>*!e\@o_s`PTI/`Q#do_`u#U`5KO0
+`lQ0:_84"+^V@Lr]tV7q]XbVf_oKX1^:_+q`5KO2`Q#s>aiVWFaihrRbK7rPcd'_UbL"V]c-61/
+!mAg2rQ#2cbK7fEbK9\&#0"L#a2lBErlPSg`lH0@`Q-*CaiXM*"j>-5aN;^+cMu;odEp>?ec+2#
+f`'P)f[p,Rs48=Ce^Mpoe'uppeCE'taL]%1jP%Yje(2je`l#X2b0^.9!RoQtec=>$f`0V)gABS$
+fEKs_f[na-rRq5's47;(g&B_)fa6<_e^i@(f%&:#qpt_t%b]Rhf\"m2g"4d,f@JL&rmh;*f\"g-
+f\-2W"Q.qYe=M0~>
+0oUHU>$G-3<E<7->ut3=Cj:htN/<@AIXd!(J:NH=N/s0fS>*!f\@fVp`507+`5TRl_EYlR_o'=+
+`5fm7_84"-_83q%]tV7q]XbVf_oKX1^:_+q`5KO2`5Ta:aN2EBaND`Nb/h`LcHXMQaiquOaiXP'
+!m8^/rPo,ab/hTAb/jM##/nBu`lH0ArlGMe`Q#s<`5]m?aN4>'"j5$2a2lL(bllA<c-4K3dJhVp
+e-+=OeC2kFdJqYpd2^NYcd:(fc-Xh`be^WnaPG=]]["pI`59:&^rFRsbluG@e'cXlrmUns!7gtr
+r6ki!f$i'qe,@ere,Rhse("BIrmV8'da6Cida?Ffd/25gdLF[RdF$CkeC2goda?Fgrm;;*e'lao
+eCE+!e'ZUpd)F.oJ,~>
+FGkKF?t3YQ?!CZHARAn[EIEn2O,JmLK7o&<KnYMOO-#TkS>)sb[CEla^qICp^qm_!^qd_#_83n&
+`Q-!8_84",^qd_!]tV7q]XbVf_oKX1^:_+q`5KO2_o'F3`l?!:`lQ<FaMu<Dbfe)Ia32ZJaN4A#
+!m&L)rP\u]aMu09aN".r#/\0o`5Ta9rl5Aa_o0O4_SjI7`l@u!"j"g,`Q$("b66&4b/qj*cMl2j
+d4!GjdEp4bcHXY[c-4AQb0/#P`lcHG`k/@V_Um&E[`HY1]t(SY\%]i\`s'Q,bfn8Trm1Vk!7C\j
+rm1Vk"jtcEcHac7ciqb@bfn>Wrm1Vis3Ctrbg"GYc-4ATqp#,c,L+HWbfe2Rc-4>Pc-4ARb08,T
+cHjk`c-+>UcHab]cH!W=R",~>
+1m!2e?sHf8=]ep=BOtssDfgo#P)bQXKSPVPMM6hIPa\/5Uoh#:b/_K>`Pod5`5T[5`Phbn"iA'j
+`5TXn_A^8)]"5Pe\\#Me]=PSe^r!^r]tV;"_SF".a8X'ZaN=G&#Kb-4c-FSXbPoWobK\2Nb0A/Q
+aN;TGa2uO(aW/CAa2l9>`l?-Ba25d7aNDWGa2Ps6a2uB@`lH0taV)b@bfIfHbg+SadEg+ce^i=%
+f)F;$f)OA#f`0P%eH"+teL&eof@A6m^pCMog=XNacd9YE]=YYjbL=thcd1(le^W.$f\"m2g&9S%
+fDjJ)g"P*XfDjJ-f@\d1g=b-Wg&BY(ecaXYf[eUPe,\%uf)O:ted:!^g"P-5g"=p/rRV&%rn%2&
+rR_&%#27hffZhm:J,~>
+"H7b1A7>IB/6Q7gBOtssE-7,'PE1`YK85JMM1gYHQ(+>7Uoh#;bK%Q=`5KR1_Sa7.`5DSk"i7sf
+_Sj@j_AU/%]Y;(i]=beg]"5Sj_RmIo^;.Y'^qn(2rl"oYaSs3baN;WLc-4ARrQ,Mk`l6!@bK7fG
+aiDEBb5TI%a2Q'>`Pfa7aN2B;_o9[<aN)<=_SX=6`l,j9a8<pjaiqrK`Q?<Jcd0kZb0A>^da?MB
+e,@_ne,Rhqd/VMldO*Afe'Q7W\ZE$Se'Z(Hb0.T2\$rfZ`m2rUb0//]dEg1fe'lgseG[kpdf7bt
+eCE%Idf7c#daQ^re^W(HeGdqsd0.qJe'ZPAcN)>kdJqSld0@tDdF-IldeqSmdK%bqdf.](daQ^p
+da?FheBZ"SQ[f~>
+/;np\BP:pc@p`b^E,BZ=FaB.9QB@8dLl7I`Ner[XQ^aP9UoUf4`koO+^qfr`"M_[d_SQ5e"i%ac
+_o0Il_A^8*]=Ybi\\#Me]=PSe^r!^r]tV;"_SF".`W!aU`Q%nr#KFg+b0.rLaSs3iaN;E>`lQ9B
+`Q#s;`5]mt`Z2t8`5]^3_o'L6`4s.+`Q-!;`59=*`5]a4_o0Ok`Y->7ai20<aihrQb/hWGcHjh^
+ci2;ici28mccs`5bl5j7bfe,QbJ_3&VQ.DUbItC'`4<.UY-#(Fa2u?>`Q?BIaihuUcd:(drQkGf
+"OGHBdEhg;s3Cnpcd:(ccHZ=5rlkYkc-Ob_c-611!6kGes31Gd$d6Z8bfn>Uc-+8Pc2Glbc3;P@
+ccsVUrlbSlc-=5?a-_A~>
+16[H(DIcpP?X6uHAoMd1EdEM(S"Q41MN!jqS<T+uSti*XYID-[bf[rE`lH!5_8XF3rkX$#`5BC*
+_ns4-`PfO$[^Wl_^V%.h]u%\&]XY>Y]t_D"]Xkf!ai;9:`Q-'@`l6!AcI'q\aN)EGb/V?;aNVoO
+a2c9Aa2uKF`lH*<a2Q!9aN2NHaMGg<cHF/D`lQ6?a2c3Ab0.rL`lH6Gb/hZD`5^$GbfnG[c-=Sa
+e.C*We^rF'eC2ptf%Jd0f%&:Lec48#ef3)dc,n/I\$WfcaM,1#_7-_W\[]DrdF6IfcHuR?$e<k\
+f\"m0f@JR)f)=21f\+s1g"P38f[ng2hV?lbg'u]df@JU)f%Sp4e^MsrpsoAn(Y.-ig"P05g=tB6
+f@\g3g=b*/f%AU*ec+,)f@em5f#uL5J,~>
+167'"F(nrc@U<DMAoMd1F*i_,S=l=2MN!jqS!/nsT;89ZYID-[c,mrC`Q#d1^qmn(rkNs!_ns1'
+_ns4-`PfR'\@K;g^V%.h]u%\&]XY>Y]t_D"]Xkf!aMl'6`5]j<`Pfd=c-X_Xa2Z3Cai2-7a32]K
+`l?'=`lQ9B`Q#m9a2Ps7a2c<Da2#U8c-!r@`Q-$;`l?!=ai_`H`Q$$CaiDH@_o9gCbKA)QaiV`Q
+ckXmPdF6Rld*L%bdF?^qdEp4ddF-OormN@DcH*oA]s+WH]YV+a]Y1YSYdLjM`Qc`PaiVfTd*L(e
+daQ[pe'cXldF%p@%b&qWe'uq!f$i'sf%J[+rm_J,daHOld*^CqeBlLcchPldcOeCKdF-LmdaQ^r
+daHUpf%&:LdgjmVdaHUmd*L%cd`fSMQ[f~>
+0ogp%GAq/'Bk1diDg6SQG^ta>T;%j;N/j:$T9tk.TqnK\XgP^RaMks0^qm^r]=u&Y^4!f5^qIM#
+_SF+/`4rjl\@fSk]Xk\f_Sa1%\?rcZ^VRb!]"Q8,_nj.*`5T^5_SjO=cHF;J`5]m=_na+-ai_ZB
+`5T[5`lH'9`5BL3_nj4/`Q-$<^;7n6aMG[0`Po^4`5BU8aN)<<`5g!?`Poa2_o^'CaNDTD`lQEL
+(!OkHd*U(_bfn>WdF-@cbfe5Sc-O`8c77#[`4s$qWi*&/]<\QI[&Tt#XK/Y>`5]a5_oBj@aihuT
+cd0tacHXYZc2GotcdC.dd*^:icd'nce^DhDcOJ.Cbfe8Sc-b"ebf\&Nprrc],Ke*MbKS5Ubfe5T
+bfn>Xd*^4dcHae`c,n,ObKS5TbJUp2R",~>
+0pdoFIVi=jAn>RjG'8.ZJ;'2SS=l:9Q^<u+R[g"BVkp2k\%]\sa2Gp9aMu*5`6-1#`Z2t;`l,X)
+^VI\'_8!Uk]"5Me^VRe(^qICm]">WS^';?f]XYPm`W!gU`W*pia2lHLccsVSb0A2SaiMWJbK9_'
+&'2l5a2Z$6`5T^:`l?'@`r<pt_T9a8`59F3aN)3:`Poj8`5]p>`5BR5`lH*9_oVi"$-UQ;c-F\^
+cd:2?e,Rqrec4.uecF=Nrm_t:daZakbKe5AYH+h4WM6N&Za76Y_T'aEdF-MCe0*>of\"g-f\"m0
+f@\^,g"P05f\"m3g"=s1g=b36gY1B\g&BV2g"b?9g=Xp)e^rFPec45#fDjD*e^W4,g=cGW"52D_
+g&9P'fDa>&f\+pVfDX>*g"b3'e=V6~>
+0p@N>JT>.$B4Y[kG'81[JVKDWS=l:9Q^<u+R[g"BVkp2k\%]\saMc!8a2Pm1_oB^q`>lh8`P]F&
+^VI\'_8!Xn]Y(qm^VRe(^qICm]">WS^';?f]XYPm`;[[S`;ddg`lH6HcHODOaiquOaN)EFb/jP$
+&')c2`l5g2_o0O8`Poj<`W!dr_8jO4_nj4/a2Z!6`5KX4_o9^:_ns@1`Q#m5_T2Yts2b5^"j5'4
+bKS?3chl)hchu2idN$W[dE]kRa253^Uo1;hSZ&fsYI;*X_T'dDc-F]8d3$fce'c[ne'ujpe'c[o
+e^`0ue'usue'lgseCE+#e^aZKrmM5(f@JL&e'H@edaJ-As3^kps3V"scdC=mdf%PqdaQarrR1qu
+dF-LoeGdo(eC2gkcHt"a_oe?s~>
+0p7KCL3RB@Des94IXZg"L5VCfStML;Q^<u,SXuOKWMZJn[Cj8j_nWq$_SEgr^;Ihe_]6P2_nj!u
+^VI\'_8!Xm]=Y_i^VRe(^qICm]">WS^';?f]XYPm_u@LP_Z.Lc`5Tg@bf[uGa3)QG`l6!>aN"1s
+&&lQ,`5BC*_8=+0_o'F4_u@Ln^W"+,_8!e'`PfR._SX4._SaC3_8*q)_o0I-^r?;n!64uX"Nea+
+aj'e.qoo/cbPfZcbl5j?bKA&O`PKC'Y+hM]VOa'IW2?GoZaI?W_SjI8ai_cLbg"JZcHjh`cd'k^
+cHstdrm2&#da6=dd*^4fdF-GAci),rd*g@idEg"Zbg+N5bl>rfcMu,mbfe8Xc-6(.!R8pgbnJCI
+c-F\`d*9_Vbg"DVbKRu>aI7V~>
+-'O:7LO3cCA7oUqI=$KtLQ%dpS=u[JR?s;1StrBbWiWSC`Podp_]-S8ai;37`Q?0>_nj4._n`mt
+_oBX3]t:nh^:aHWs1\`O]t_7l]DTDB]`c'a_SO(f_@si+aND]Lbg+GTbK\;Tb/qcJb/sP%1s*eX
+`l5p8`5Td<a2Z'7_o9X6`59@-_oBd<_na(,aMYg1`5TU0_Sa4-`5Ta:`lH3Ec-H=5s3E[OdaZ^n
+e()sueC)jrf%A[-e^W+"f@JI#eC;jjccs;2V5:8lWkQHf]th\4c-F\aeCN7&e_&U0r7M#%'A1ph
+g=tB7f\,!5f[na.g"P07g]#n@gY1?5f\5*6g"4g,f[n^(e(31'fDa>2f@\d1h:gN6g"G$0f\+mU
+fEBgWf%8OOf`0S'ecsd\hV$3(Sq$~>
+:Q^N[Lja)JA7oUqI=$KuLlJ$uSY;dKR?s;1StrBbWN3>>`5KR1_ns@3aMl!3_oB^7_SO+-_nWgr
+_oBX3]t:ni^V.:m]>)+p]t_7l]DTAJ]tD"k]tqM"rkT8b`5p*FbKJ/Rai_fMaN)?BaiVX$a#(lW
+`Pod6_o'F4a2Z*9_8=.0_ns4(^r"(2`kfC(_o9I+^r""*^r""*_o0L5`l5s=b/qg*aoBNgbg+S\
+cHjo;cj%eAcdL=ne,Ibpdj!5ecHsn\aiVW9XIl)\U85<6]=>Gga2uKJcHsteda?OneGRepe.^<Z
+e(*%#e'c[of$i'qeC<%!f%0iN'\:gae'ljueC)aldaQXlcd1"fe'e6CrmD2'e^DjmdaHOjdaQYD
+dg"7JdF-Lne,@]$dEg+adF?L]b*RV~>
+:QC9[NIu=fD/XB;K7S`4MiXI#S=cLFR$O).T;AWhX0&_D`5BF,^q[\$_nj!u^V[k(^q[\%_7dCk
+_SsI1]t:ni^V%4k]>)+p]t_7l]DTDA]`Ppb^\tk[^VRk/aN)BDaMu9AaMl-<`lQ6@qo&]X`5BI.
+rkLM0_o9R3_8!e&`59C,^VI\)`l5d.^V[t*^qmn*^q[_%^VRe(_o'@/`Q60Db/q`Hb0%oPbKJ,T
+rlm";bfnAZd*Kt\bg+MYbf\/Qa2Gm4[AK@ZT:DLX\?iEG]"l/!`5g!Cbfn5SrQYJhcHcC7'$ehN
+daHIecdC1fcd0tcdF-Ilrm;)$d*U+bdF6LhcHcF8"jP98cHso8cMc&qc-+;Sbfe/Pbfp(2rlbVl
+cHje\bfS!+ap-&5ccX)HRt(~>
+,a*t$H[0XHA8?"%ItNW;NK^*0T;AQ_S=6%ATVeikXL5jdaM\"nJ&K=F`l>s7`5T[3^q[Xu]tCtl
+`5TX0]tD"k]t:nf\\>bh\\>_f]"Yki]Y;%j^VRb#^V@S"_8F75b0.rMc-4DVcHF;Mb0%iIaN;TI
+aiDHCa2Z->a2Z*:`5fm9_SF%-a2Pj0_8=46ai2'1_8XI2^VRe'^r"%.^r"%/`r=!bair&VcHXVZ
+d*hpC/^r5#eCE'te^i@*f[eU'f%8R+e^W."e'QCdaLna][^<Wne]u1RbL=tieCE+KecXOXgY2SX
+rn.h7f@S^0g=P!1gY191f%8USg&Tn*gAKV(fDaA$g'60XdaZn$fDa>&f@\gVgCMuif\5'4f@JR(
+f@\a,e^j`OrR_J/f%&='gY^`2e")!~>
+,a!gtH$OFEA8?%'J:ri@O-QN8Tr"cbSXQ.BTVeijWjBF\`kq_j$H'g#`Poa3_o0I/rkC2%]tCtl
+`5TX0]tD"k]t:nf\\>bh\\>_f]"Yki]Y;%i]t_=p^:q@s^r"%1bKS,Nbl5chb/_H=a3">$1<@SZ
+aMu6?`l5p:`l5m6_oB[5_8!h)`l#O)^VIe.a2>X)^V[n%]YD7s^;7b+^r"%/rPf/bb0.uNaiV]L
+cMl0Bcd:+edEp4edaZjue'c[neC2jmcd:%abK7oE\#ZL3Xg?0qa1o@,c-O\]d*Vd>!n,QIqpYPo
+&(AtTeCE*tdF$Ioda?IjeGdtuf)4(re-s^LcI(1mda-4ce'ukGd/_Vndh'sSd*^=kda?Ijd*gCl
+dEp;?df%Q#d*L"_cdL@i`Q=Bq~>
+,`RIqIt2lfDKKrDKSYVKO-?6/SYE$UR[9P9TVnroXgPpca2.bhr4rEK^AbkI^Abel]Xtbc]u%_*
+^qICn]tM%i]",Pg]=GYg]"5Vh]=bkj]"Ytq]tOEW#e[me_oBa:`Q8"u3Q/bN`Q-'>`Q#s=`l,g7
+`59@-_SO%&^Vdt*^V.D!`PfO+^qn"2aMbj-^r+.+^VRe&^VRk,^;.Vb_uIR[`6$3HbK@rKbKTt1
+/^2Jcc-FSXcHjkbd*Bn\cHjh^bfe5Sb/V?;]s4E/WMcl:aMGEs^;n@:ai_d*b6#o4cMPldcMu5j
+c4&(IdE^"^dF-@dcHjo;dK%bpdf.W)d*^7dbfnA\da-.\c-Xkbrlu8)d*^7ec-+8Qc-=JUbKS,Q
+c-=GSbPo]fbK@uLrQ#2cc-aeSbF="~>
+9:(?7?"\(qCNFN<J<6+bR%:%MW2m&"VPU/`TVJNdZ+Ilk]t1kk_8X=/_oKg:`5BF,_83jr\@]So
+^:_.m_83jq\%0)]]>;:p\,EfP]">Pb]tCtk^V7=o^:h;"`l5j6aND['bRM_:ai_cJaN2KHbK7cB
+rl,qs`l?'=_nj4.`PfU/_o0I-_8F43aMu*3^r44/rkSQM$,aa%`PTR6`P94faT'H`bl>ojcHjkc
+e,IkteGe"uef`VreC2ptf@\a-f%&7#f@A<oc-FPTbKe)Ff%SQqaj&E9fEBdTdaH\Ef`9\'f`g$[
+f@\^,rn%b4f\,$5f@AC%g"P05g"P-YfE9g\g"?;Ts47_4f%&7"f@JI%f%/I*g&B\9gXt-1g=t<5
+f\+j-f@JL%rm_P/f\+s1f[n^*f\>98c-r56~>
+A!M[I>@hYjCNFN=JWZ=fR\-IUWN<8&Vl$>bTVJKaYIVHc]=>Gd^r4++_T'U6_ns4)_83jr\@]So
+^:_.m_83jq\%0)]]>;:p\%&uY\[oGb]=kkg]Y1tg]tM(m_o9R2`W"!Yb6H,1`l5p;ao9<aaNDZH
+`P_\o#K4U#`l5g1_>_@P^`pY5_7dV"_SsO5^qIJ!_7dLp^;%G!`Q#m6`5fj3^W4C7b5TK^aTTc0
+bg+Q6d/_PmdJqW;eC2gldF-Ope^DjlcI((ec,duJa2Gs;^:hkAbJ_9;d/MK#dEg(^d+$OmdaS0E
+"k1oJe'c\DdgsjQdF?^pd*L+he^`1!e^XTI&(K.Ze'ZLecdL:id*C%ge,@YrdaQ^prmD;&d*^=l
+daHUodF-Ijd*M^<!71Yks3Uhnrm(breBPnPQ%/~>
+99Fd.?Yjn3FaJCZKp.soR@KtGUo12gU7nBTT;/EdZ+@ch]XbVd^;@\"^;@b&^:h1m^V@Fj[^j/g
+]Xtkj_83jq\%0)]]>;:p\,NlO\[oDa]=kkg]tV1k]=PPa^VR_#_#D:fa2l<@`PfX2`Q6-?`Q$!?
+`l#X1_nuDh.)Ng7]YD;"_8!b#_SX%&_SaC6`PK:(`5KL-^qmk&_SsO5^r"(.]tF?^s2b2]"j4s0
+bKJ-/c2c,gcMu35dEg%[bg"J\d*Bn[b0A5UaMPg3_7m\#\@9T)`P0"#b5TWlbK7fFb0J8Ubg$+3
+"jP99cd'i8ci;6NcHt"cc-4J[da?Ihda?Ffd*^:hcd'bYc-O_]bfe;Yccs_[cHjkbd*L"^b0%oP
+cHOMWcHFGUbK@s+b4s'_b0A;W_onO"~>
+;jrD9<b-/mEdN%TJ<?7jUp.57Z`g^B['?^-Tqe^$]">\l^:qG%a2l6<`Q6'<`Q-'=_ns4(^r++,
+]Y2%i^;7Rr]Y1ka]=PJYZaRHY]tCqc\Gj,?]FMN_]">\paiVQ?_oU!Cao9EsbKS;ZcH42LaN;TI
+aiDB=`lH*:_u@V-`59F1`lH'9^qde(`5KX5_8![u_8F4/_ns4&^;%J!_8s^9^:hA&aN)6<a3)X*
+c2Z'?dF-Fge'c^qe'ujpd*gIsf[eU'f%8I&eC)[hdaZgtf?1tYg!e9of%Sg/f)=,!fDXA/f\+s3
+g"4g+f@U#Ss47A*g"G!Uf`'J,g"Y33f%&@NfFulef@ej0f$r0teCE$rdaZguf@U#S$/=+af\5$2
+f@\dUf)jORec+,%e_/[1rn7>(#2.bffZ_g8J,~>
+J!Ya]<+9cgEdW.WJ<H=kUp.89['6pF[BZg.Tqe^#\@K8d]Y)"s`lH$8`5fj8`5]j9_ns4(^r++,
+]Y2%i^;7Rr]Y1ka]=PJYZadZ^^V7=j\\#Ja]"5D[\[oJlaN2?;_oTsAaN;QFa2lHJbK.cFa2lBE
+aMu09`Q#m6_Z%J+_nj1+`5T[2^:q@u_SX4-^V.7m^VRb%_8*h!]t_@u_8s^8]tD.u`P]L-_oBds
+aoBL7c-FSWcd'kacd:%bc-Ohge^MmldF-CgccsVTc-O_]d)3K=d`feScd^ImdJ_E%daZaodaQ^q
+e^W're'unHe,RkrdJqYne,Ic"eCN-tdEp;?dgX[Od*^:jdEg+`dF-D@cOeINdaHOid*g7edF6Un
+daQ_FdK7hCd/MDmd/MGldf7]!d*gFh_TA*o~>
+J!,:W=D;u-H@gTnKTqstUTUl-YH+k2YcXq!TVJU#\[oJh]tM1s`5TU/^r+"(^r""+_8*du^;7\$
+]"Gbf^;7Rr]Y1ka]=PJYZa[Q\^:h.g\\#Jb]=YV_\%'&d`l>p3_8aO9`lH->`Q-*Dai;?>`Q#s=
+`l,a1_o0I.^])%K^CnB#`Q#j4^V@S$_o'F1_8*e#_YqCf_nj%"^VIV!`l>j,]"Z"t_SF%,a2e2#
+s2Q\5bK@oMbKS8Uc-4>Ob0A;[cHOMWcHOMUaMc$;aiVWH]sYi'`koX8cHaYWrQ5PmcHXSWc-FV\
+cHOJVr6P>e!RK'ici22ld*g:drltGg&^JVFcHjh^bf\)Pc-+8PbKS61c3qn@c-"2Pc-FPWc-H=4
+!mAa/rlY;aqoo&_"jPH=_TJ?u~>
+-^]N_>%2>oJVJi0LR"U7ZFIQ[]"5Ma[BQd;[_'>m]XYJb_8F73a8X4Nai;69`Q6*<_8!b&`PfR*
+]Y1th^;.Lq]Y1k`[BQj?\%0&Z[^<NP\%9/]]",>]\@f]"aMl'8`lcKJb0.rLaNDcPbK.j*aU-&/
+aN;QDa2c3<rkf#Y_8!h(`Poa1rk8QP_SO%&^](qc]t_Fu^;.Ou]YD>&a2l*2_8aL9aMZ$<aihs.
+cMu5hd/DH'dF-LmdaQ^rf$r0uf%BrN!7Unp%G9@T^<P<\e(*+'f@JLOf)O>%f`'S'fDjJ+f%&=%
+f)4/4g"=s.f\5'4f%/I+gXas-f\$2Ts4IA*!SQ*(ecXIOdF/!B%b0%[f@\d2g=b05f[n^+rn%5&
+rmq)#"PDG^g"?;W#M@__hV$-%Sq$~>
+-^B6Y=CH#jJVSr3LmFd9ZFIQ\]=Y_e[]us=[_';j]!f&Z^VRh,`r=(LaMl$5`5fm9_8!b&`PfR*
+]Y1th^;.Lq]Y1k`[BQj?\%B8`\@/rX\@T8\\@8oU\%BJsa2Gj4`lcKIai_`G`5]p@aN)F%a9fo,
+a2l?@`l?!8rk\rW^qRS"_o'=)rk&EL^q[Us^&GY_]=l"m]Y;.p]YD>&a2l'0^r=:4`4s1,`Q-+"
+b5]Z`bl,ltc-F\_cd:(fe'ZLfdF8'?!7(Pf%FNV?\&Qh@bg+Vbda?G@dJqYpe,7Yne,Rkrdf@nr
+dh1$Td*^=me^W!odaZjqdF-LmrmLeprmLbm$.-uDd*U+acd:)=cj8(IdF-Lmda?MBdf@hqdJhPp
+dF/$ArmD&!d*U:f_TA-p~>
+EKGTD>@qr+LPq"EMjU9?YdV'O[^NZQZ)t(0[Ca5k]=58^^r"",`5fp<`501%^r+%*^V.=s_ns."
+]">Vd^;.Lq]Y1k`[BQj?\%9/]\$``T\%9/\\[],Y[CO&k`PTF,`5p'Aa2l<?_o9^<a2Q*u`X0W&
+`Q#p8`5KR/rkABF"i%pm`59:g]`c-e^q[V^^C\,p_nWt&_7mRs_SsL6^:V,Y_[F>q_Sa@5aN;ND
+aN4>%rQPeobKS/PbKS5Vbfe2Sci)#eaSj-gbKRT'^rsg=aNMiPbKBh-s31Mfr652c"O,'5cHc@6
+!7(Sg%F<GLd*9h\d*g1`cHji9cMu2md*L%`rlkbnbK7oMbK@uNbl#]jbfe5Tc-4ATrlkGerlb;b
+"O#'6bfg"0rlYGlc,%PkJ,~>
+#FL3H@qg(?Pl?d_PG,7l]=P_m`Q?'4\$E<O_SsI,]Xteh_8H8ks2Ynra2Gj5`lQ'8_SF"*_nj+$
+]tCqfrk&3A&\5BXZ`UC;\[])T['R0I[C<XE[MQEb\\?&(_nX")a2c9Ca3)QHaN;TGa3">'!6P5\
+&BW):a2c3=`PfU+]>2A*aMn.r0#G?;^qRLp]t_@s]YD=r]YD7r]Y;5#`PB.!_9'jAa2cHKbKJ,S
+c-F\`d*L(ermV%udF$G<e.^B`eCE1&e^W'rdb39m]?8gZf%9oP'\D!jf[eU(f@\d/e^`7%f@AC#
+e^j`Os4@G,f[naSf_sD<f[n[*g"P-3f@S[/gY190f@\d.e'ZXprR:r"f%A[TgA]b*fDa>'f@np1
+rn%2&s4IM.g"=pRfEC$_bgW/6~>
+5*^b$@;'b;P`h/lPbG@m]=GYl`lZ05\$E<N_SsF*]",Db^V[n,`5fp>`l#X1`Q,j4_8*k'_SNt"
+]tCqfrk/9C'"YT\['$U>]"5D[[^ETQ[^`iUrj<NP\@f`!_7mY#a2c9A`lQ9A`5Ta7`5qr"!6G/Z
+&BMu7`l?!9`5BC']"Z&#`l%el._r^1^:_(h]=kqk]"Pql]=u%o]Y;5#`PB-u^rFF6_o'U;a2c9C
+ai_iPrlbAfrm1enc-=S^rQtSl+4/?\dEg1fda6=cc-=_c^pV,0da6Cgd*^7hda?Ffci2>kd/VMn
+df7]%daQ[ndaQ[ndEp>@e,@]7e'cUkeCE'tdaHUpeC)^jdaQ^od*C"ddEp4cd/MGjdK.hFrm:hr
+e^W(Idf.\rdaA$?s3V(ucd1(c_TA-p~>
+,`dCQ@Vg@KR[',%QD:^p\[T/`_8O+!ZECC@^r4+%]",A`^VTodrl#&Y^qRV$`;[OO^AktK^](l&
+]=PSc]Xtbe]!o)SY-54C\[SuS['mBM\$rfS[C3ZV]Yhb*]tV>&`lH*<aN2B>`5]a6`r=!Y`r<mf
+`lH*;`5BI.^V.4g^;It2`;ROr^;%It]tD(p_8!\!`4iq"^qRIq_8O:,]",Po`l,a2aN+;"rl>&\
+s2Y5_bPo`hbK@uOc2,X7bKS5Sbg+MWb/q`GcHWu*^Wt*Ibfe2Rbg"GXbKA#Pc-=JUbKS2Tbfe5T
+rlt_mcHa\Ybg-46rQZG0cHOS\dEp4bcHjncccs\Zcd9t\aihrQbfe2Rc2Pugc2Pofc-611"3f*:
+c2Prdbn&%Cbfn8Sbfe/Naj8/Gb*mh~>
+-(9^$EdEP0VOa9MTWc&G^q@G&cHsYJ]"#Ai`l,X$]tqS$^r""g`;IM"`Q6-<_o0O4_8!b#^:h.i
+]!o,V\@AuT[C!0D[^`]N['mHNZ*Lb8ZOaIW]YDD'^V.D#`P]U3`5_ets2bA_`Q6-qa`>GA`lH-;
+^V%1q`lQ3=_o9X6]tV4o]Xtkl^q[Rs^q74l^:q:p^V@Ln]Y;2#aMu9Gd*9_SaihoRcdC(acdL4i
+da-=gdaQ^qe'lgtf@JL&f%A^0f%&=#eCW9m^WY?bf[nX'f%Jg4g"+[&f@\a-ec"&%eC2ptec+/"
+fDjM*f\+mUeI'p\f[eR'f\,!3f`'J2g"P*0e_&R.f@8=$fDX;#f)jXZgAT\Gf[n^)f%8U-f[na-
+f\,!4g"G!.f@\a-f\"s0bL<&5~>
+-'sEsE-[5+V4F0LTWc&G^Uq5"c-OGF\[T/e`P]Eu]YM@u^VRed_u.A0`5fp8_Sa=0^qROt^:h.i
+]",>\]"5D\\$iTL\@T,V[^`lVZa@0K['R'E]=P\m_S*Rp_SsFl_?n0#`Pfa7_SX@6prI'e`Poj:
+_S3Xn^r473_SO.._RmIn]=PPb]tV1l]th7l]tV4o^;%Fs\\#Ph_8O4.b07uI`5Td<b08/TbKS8V
+cd'_Yc-FY^d*L(de'cXjd*^=meBuXicd1%e_n*k<e^Msmd*_jA#gprAbg4Y_cd;U;!RT6ndf7_m
+dK.kGrm2##e'l^jdF6UqeC4EF%FikRcd:.jeC2gme'ukGdJ_Jne,.Q!dEp:heC2mpdeqQ(d*L"_
+cd:(dcd1"__9&$o~>
+-'3^bE.!S7Wh5lVTs;;H]t(blai_K4[Bm<U_SNml]"Yqm]t_A^_>M)+_SsL0^qmn(^:_+l^:h.i
+]"#5Y\[f2X[^EBH\%/oR[C<ZRZEpsG['R'F]Xtnq_nNdt_o;Sl$,ss)`Q#p8_SsLh`_"+d_o0L/
+]XbPf`Q-!9_SjF4^;%Fs]tD(p_8*e"_S*Rp^:q:p^V@Ln]">Yk_nj43bK.Z?_SjF6aN;KBaNM`M
+bK.iKbKS5UrlkDf,L+HVc-Oeac-4DTbKeAI[_gG>cd'_Xc-Ob`cHF>Obg"DVbl,ckbfe5Tc-4AS
+r6,2gcMl#pcHjh]bK\A[dEp5=c4/.Hc-+>Wd*U+_bg+P[rltJgrm1Jc#g:B6bg+JXbfoq.%*Zo=
+bfe/MaNV`?b*mh~>
+%%`W)LmFa6Y,J7rWP/;I&&lK0bJh92^r+15`PK7&_u.Fb_o0R4_84",`5Td=aiMNB`PVVj=2);Y
+]XtVZ[^s#W[C3NN[C*?G[CNoZZEUR<Z*LX=ZFmi`^VI\'`Q#g0^r+%,_o9^?bK7cB`5Td>bg"AS
+aN)<@aN2<9^r"+0^qICq^qd[r\\5bl^&GVa]Y2"i[C*NU]Y2+s^q@.g^;%Cs^r+7=ai209a34J,
+s3CYh"OPE=cHQ:7*7<6ceC<(%g"4g,f\5'3e^i@)f$r9sbgY>"f\-8V#2._ag"4d)rmqJ/f@\^,
+f$r1!fDO2/f@em3f[n^)e^rI*f$sTKs4.t9eCW@)f%AX,e^`=(e^`7&f@\a/g=cDV!S5g"f)O8-
+f%8R,g"P37g"=pTf`0V-g=4<pT7?~>
++.J@6LR"O2Y,J7rWP--`^r4.4b/D'.^;@k/`5'%"_Yh:`_Sa@0^qde(_o0R9aN)<>`52Gg1qpT6
+]XtY]\@fG_\%&rV\$rcO\%B>b['I!DZa-j?Z+@NY]tV7t_o9O-^VR_%_8=.2a2S%q+2l1@bKS/O
+a2Z*<a2c*5^VRn+^:Uti^:q7j\%B>d]Df>i]">Sa[C*NU]Y2+s^q@.g]tV1l]YDD-`PK=)_oKm@
+b0.uNb07uMb/jS+*6lgWd*U7leC)ame(*!td*^:jdEg4_a3N8ce("?Fs3_"sccs`6cO/%Ie'lam
+dEp=ke,@Z'daQ[pe'cXjd*gCkdEh^<s3Ukoci29$dF6Rmd*gIodaHOkdaQ\EdehDld/DAlciMPB
+rR1o!dEg+arm1Ymrm1bi_TA0q~>
++-_Y%KpJI5Yc+FsWP$$\]thD%`kT*q]"Z"u_S3Un_#;+L^b*C?^qROt_84",`l?!9_ns1&^;%Co
+]=bbb[C<cZ[^NZS[C3NNZF7?W\[/QGrj"SiYd(gP]Y;.r_SjF2^;.V%_SX40aN2B=_84",a2uKG
+a2Q!7`5T^3^:h;!_S<aq^;.Ls]Xkhm^V9][.D<I0]=58Z]"G_l_8*^m]=beg]">\oahtp.]thS+
+`l5s;`Pos=a2c0uaW/IIcHXVZd*U(_cHjncccjYZcd'_Y`l#sId*L)9cNDJ:b0'_-$dHuCcd'eZ
+bK\AYbl5cpbg"DXcd'eZbg+P[c--"0s31trbK\;Uc-O_]bg"M\rltJgrQbJhqo\u^rQG5`!R&^c
+c2Z&uc-4DVc-4AQaih];aI.P~>
+)PEINPG5%WYHY46Zbsc$a3DWA`QZNJb/q`Erl#2c`4s%'aiD?;`r4&!aMbs5a2uB?_84%,^q@1e
+\[oAa]=PGX[CNiPZ*L[?YHb=5Vlm/)Yd1XAYHG@F\\#Sm`Q#j3]Y_b0_S<q+aMu39^;.V)aND]L
+aiMH@aN2B<^r+7<`P&gm^;7Rr\\,Vh]Xtbd\[oAa]"#8^]`#JB\.ucq]Xkhq`5fs<_8!h*bKnP]
+cHab^rm(Mi%FW_RdF-Ooe^i@)f@\gVf+cfdf%AU*f@ns3g=k-.f@np0f%8OQf`9\'fDjM)f@KoN
+'%YR^e^rI*f@\a,f@\a-f%/I)rmq"t&_,:Xf@np1f@JL%eCN1!e(*%KfDO8&g"=pSec4,#e^i@O
+f`Ts_gY2PXs4[\3f$2^:J,~>
+-_6NRP+\_QYHY14ZGOPu`luE=_o^!@a2Z'7_SO+1_nNh#aMu-7`Vmmua2>a1`lQ0;^qdh(^Ugqb
+\[oAc]tCk`\%B5VZMh*<[C!0=ZE^[?['[-AXo>do\\,_q`5BC'_8aF/]tV>$_SO"#^VRk/ai_cI
+a2Gs:`l,[-_8a^:]=58^^V.1e]">Sc\[]/Y\@B)[\@B/`rO`*>(r*r"\\,bo_Sa4']tV>'bg"AT
+bKS2Rb0'_-%F3;Fc-F\_dF-LmdaQbGdM1*UdF6Ole(3("f%&0pdacjqd*L&;d0S+Fd*^:keC2nF
+dLt$VdF-LmdaHUndF-Lmda?Ijdf.Ylcje=Hc-Xnee'cXjcdC4irm1YmrmCeorQtSlqp>Ah!RT6n
+dKS%He'ZOhrR(Sl"3e^+R",~>
+-^KgAOJ&SRXfnk.Ye\,m_oT[-^;Rq,_SX.(^V7J%^Ugti`5BC)_>VDn`PK=)`5]a3^:qD!^Uq"c
+\[oAb]XtY\[^s&VZaI3J['m?FWj/e4Z*UgCYHG@E\@TAi`5T[1]YVY-_7m\$`P]R-]=Yen`5fs?
+`l5g4`lH'7^VRq6`P/mn^V[e!]"Phl]tCth]">Yi]Xk\d]`#JB\1,20]Xb_k^VRh']=GPf`5fs>
+`l?'>`lH-Aai_lRbf\,Rc-FY^cd'karlu5&bg"JZcHt%gdaQXic-Oebcd'e[rm(kqc-=P[d*^1b
+rQPSmbfe2Rc-4E2bm2P?cd'e[cHcF6r6,8db/qp-cO.tBbfe5Uc-+;Sc2Grbc25`ab5fcacMu5k
+ci),pc-4ASbf@K?R",~>
+FJGCfR\m6m[Bm<O\\H/,bKJ&Ja3;oWc,n#IaiVWE`PKC/bKIrF`Q?<IbfRlEaN;KA_nj1,_S3Ri
+]"GY`\@]>\['mHOZ*:I9XfAG%WMm#&Y->7AZ`^@8[^`o]^:q:o]Y)"r_nNdu_o9L-]tD+t`lA"s
+!QN1Z`WF,t`;[^V`4l2^$GF0f]Xted\@/oYrOW9F\@9#]]t=9S"hMI_]Y(rW_A^>1_nj41bKeDX
+c-FY\cHOY_daZ^oeC;sreG[o'f%A[,f%8O)f)4,%f\+p/rmq&"!8.;(rn%h7f%8R+e^N!se^W$o
+dact&fDa;?f%8O)e^i@(f%&:#f%8O(eC<%"f\5$1f%&@'ec""tec+/!fDXA5f[\O%eCE1&f\"m2
+f[na-rn75%#27khg!A-<J,~>
+FJ,(]R&-mg[C!BO\A#r(b0%iF`Q?BLb/V?;`Pod6_na(*b0%`B`5p*EbK.ZAa2l9=_SEt(_7[7d
+]"GY`\\5Yc[^`lWZE^[=YHG(3XfSk6Z*LdHZ`^@8[C3TV]Y(kg]Y(to_7[@l^VRXr]">\n`Pqhp
+!QE(X`<*ro_Z%FR_S#iX$G3s`]",A\[^<KQr4*!@\%0/b]Df>c]"btk]">\j]tM4r^VIb-bKJ&N
+bKS/PaNVoSd*Btad*L%br6YbueBu[lda?JAdf7bueCE'srmC_n!R]9ndJ_E'dF-LldEp7fda?Cc
+cdL=mdf.T-dF-Ijd*^:idEp4ddF-Iicd0tcdJhPsdEp:hdf%Snd/MGlci)8jd/VE$d*g@ke'ugm
+cd0tbcd2U;rmCbp"4"p.Q@J~>
+@%!78Q(tC_ZEU[C[_0Mua2Z*7^r4=8`PK@+_SX.*^V%4o`l>m2^r=C:ai;69`Q#j5^qROu^qI7e
+]"GY`\@fG_[C<ZT['R*EZ*1C7XK/Y2Yd(REZ`^@8[C<]Y]tOBW%_ois]t:tn_S<^n\[oMkrPAfW
+`5BL2`5BLl_u[cirO`lZ^V@Ip]XkY_\\#Mf]tV.j\[oGe]Df>E]"btl]=e*U)8<bq]YMJ*`l5p:
+a2Z-<ai_fOc-FVZbfn?2cMu,ocd9q]cHa\Zrm(Pj"4>QEci25hci;;ichu'Acd:"_bKJ,Sbf\#J
+bK\>Vb0%oPcHa\Yc-FVZbfe5TcHaYWbKS5Vcd0n]bg"GXqoo&arlk>d&'`>BbKJ,TcHjh`ccs\X
+c25clbfe/Qc,d]AQ%/~>
+(SmanUTLr8]=5Gi_Sj[Ec,e)Nai_lQbPfQbaiDC!aT'BkaN)?Bb08)Oa2c9A`;[_._ns4']Xkbh
+]X>2Y\[AiR['I!BY,nY$WN*#$XK&D.ZF.'DY-bXJ]Y(qi]",KQ]dpn5^Ve(0^q[Xu_o0I1`59@-
+`Q-!;`5BR6`50."^:q7k]YM@u]=PSa\\%gR"MD=U\%)FK3Ou`5]"#8^]tV:s^;%Y+_o0U=c-4DW
+d*Bn]cI((heC2puf$i're^`1"f%8O(f@\d/f@JO)f@AIMf,WAle^iC,g=b-1f%8F$f%8I$daZgs
+e'ZOjeCN7MeH"2"eJm)kf@JL%eCN7(f%&=%f@\^-g"=p-f@SR%eCFQJrm_8)f@S[.g"=mTdfJ"M
+rn.M0g"P*/eCFQMrn%M.f\,$9g<S*8J,~>
+(nmOfT<#?0]XYVj^r"7=bJqZFa2c?FaN+;"G/_A9`Q#p:a2c3=`Q$!@b/_K?`l5g4`5BI.^V%.h
+]Y1tc\@]A^[^`cPZa-d:XK/J+YHb=7YdCdG['6^?[C<`Y]=GG]]Y1ti^:h4q_SEgr]Y22"_SX4,
+^qmt/`P]R/_o0F,]=PYf]"#>c^V.1f\@8rXrOW3D\[],YrjiNK]">P`\@T;a]Xt_crkSlW`6$0D
+aihrPrlRIMcHjk_cdC1ecHjncd*U1gda6FkeC2jndF-LkdaQ[ne'cXjd*^:je'cUhcHje^dF-Cf
+cd:+fd*Bn^dF-JAciDJmclUT_da?FfcdC1idEp7fdaQRidF6OkdaQXkdF-Fgci2;jcNMVBdEp5=
+c2l;>rmV,%eC)^gbl5iecMPrldaZX_a-;)~>
+(n-eSS>ig'\$NW[^;.e3a2>m6_SX:2_nuDj"2_jf_>_=O`(\(b_SjI8aMu-8`5KI._ns7*^V.7j
+]Y1tc\%9/[[^`cQ[C!3BY,ne/YHY44YHtRD['6^?[^`r]]XkYa]Y1tj^V7Fu_nj$u]">]U^E(/*
+^;%S)`5BL0`5TX0]Y2(p]t:to_SEgr]=PSdrk8QO^V.4g\Gj&D\[oDa\@B-L]MZ;O]"l(o^;7e-
+`5K[:`l5s<b0/&Tc-FY]bfe5UcHXSYcd'b[cd:"`c-=P\cHjkacd:"`c-=P[dF$=dc-4GVbg+PZ
+bKJ,Sbfe,LaihoPrlP8bc2Pp.c-FVZbfe2ScHjbZbg"GZc-=P[cHXY\c-+>Ubfe3,bQQ29cHXT4
+aoT`2rm2D-d*KtZai_iOc-FVZbK@rMc,dZ=PCN~>
+-_mK6YdhHd^q@P+bL+ecbfS#Nb/qZCair#Oa2Z-?bg4SW`l?'Abl5d`bfe)I`5BO4aNDQ?_84"&
+]Xted\@8lP['[-BYd1C2WMci#Y-=k%XgPC=['d<Q]"Gbj_83n"^q[Rr_8O@8ahts4`P]^4^VIk-
+^q[e-`l5jp_E,NK^V[k&]Xtqq_S*Lm^;%J"^qRLt^:_%f\@8rX]"5G]Z*_'T^;%@o^W4:0_oKsF
+bfnA[c-=P]df._qeGn,:e'QOnf%&@'f[na-g"P-2f%8O)f\+s1rR_)""kVG]g=b-XedBjQeCN*s
+e(3+!df%\qdj`etf\"a(eCN:)e^N%!f@SU(eCE.%f@JL'f\,!3f[eR#eCE$re(*%#qpuJ3eC)am
+e^rC(f\"g/f[eR%e^jWL#2%Vbg!.j5J,~>
+-_R0-XL>j\_7d_,b0J>WaMl3@a2Z$7`lZ?A_SO+.aihiH_SX41aSs4XaN)69^q[\&`lQ-7^V@Ru
+]Xted]",;W[C*?FZ*UU6WiNA0ZF$^5Z+%$F['d<Q\@T>b^V@Io^q[Oo^V[q/`P9+$_SX:.^;%Y)
+^V7S(`5BFj^a-\/]thFs]",Mi^q7(e]Y2%o^:_(l]Xtbc\@8rX]"5G]Z*_%?]+VZ`]#2A"_T'a@
+aiV`Ob0%oPcMl/ic4\RSccj\^da?Ije'c[neCE'sdJhPreCE+!rmM/$d*U4je^`*prm(Pf#g^oD
+cHjqfd*M[</C;\gdF6Rkcd1"fe'QCddF-Ijd*L(ddaHOgcHt(keC2gmcdC1fcHaeadEqg;'@+kI
+bg"M_dF-LmdaHLfbfn8ScMl/icj%hCeBc(PQ%/~>
+-^gEoWO'7Q]XY\qaNMfL`PTO1_SNt#_8O@1^V7Ft`5fp9^V@S%`W!kTa2Z$5^V7J#a2u?;^qde#
+]Xted\[],W\$rcNZaI$>XK8\5ZaHj5YdUgB['d<Q\\#Pf^qd[s^q[Rq^r+.3`k]='_8*n$]Y25!
+]tD2$`PfXm_'Hh2^;@e']tD.u_nN^q^VI\&_8!_$_7mOl\@8rX]"5G]Z*_(@]G%ld]>D:p^;@n/
+`5K[;`Pom?bK^"2s3MS+aihuUcHab^cHab_dEp1`cHjhadaHPBcj7tBc-Oecda6;=bl>cjbg+DT
+bg4SXb5KO5b/h]Jc-=JUbK\AZbf\,RcHa\YbKS5VcHXPUc-Xkbccs\Vbg">Rb09k0r6-8+b/q`H
+bg+JYcd0n_c-+5Nb0/#Rc-4ARaN;ZH]u-(b~>
+$`9o.^VRh-a25pAao0?abK\>VrQ,Yma2Z0AbK\5PaN)?CbK\AXbPfQ`ao9B]`>H\<`l?!7]t(SY
+]!\cH['Hg8XK/V/X/`/uXDkDDX0T7E\%9/\]Y;1s^;@k/`Q#j6_o0L1_8!Uo^Ve")]tV7s_SjF4
+_o9R3^V%7p_oBX2]t1ef]=>/L[_0>i^:Uth^r+%(]=P\k^Ugk^\$il\]!f)Z]tq_$^;7e1bKJ#J
+aO&A^cd:(fe'ukGdL4RVf@JI&f\5'3f@KrO'@tghf@em2f@8:"f@em3f[eU)f`'S'f+6E\daQas
+eC<("e^W+!f%0iP'\:gbeC)aof\G-1e^W+"f\"d'e^s`OrmrCEda?Opf\"d*e^iF)e^i=%eC2jn
+d*gCmeC`F*f%8U/g"G$WfDjM,gt9p#Sq$~>
+$_sT%]YD>&`l#m@aSj*\a3)TIrPfGg_ns:/`lcBB`5BL3a2uNHa8O!X`W!do_SaC6`5KR/]t(SY
+]!eoM[Bm$<XfSh3XK/K&Y[Fi@YI1sO\%9/\]Y2%n]YMG'_oBX3_8=()^:Uk`]>2=u]Y2%o_8F4/
+_8F.+]t1hh_8O4*]=>A^\[J`D[(<oa]XbP`^;7Y#]=P\k^Ugk^\$il[\?rWO\%BMh]YMJba;`.;
+`Qc`RbKS5Vcd'e[cHaece'cUje(*!tdaA'@'@G:Ze(*%"e'QFfdaZgte'ZOgd/DAldLX^McHjnd
+dF$Fkda?IhdF%sA("(CTccs\[e(<'rd*L%ce'l^hcHjo:dj<GleBuUfcdC4jdE^"^dE^"^cd:"`
+c-4AUcHjh`d*L"`cd:%dqp5JocGdkkJ,~>
+$_!Zd\%BAj_7db-`r3dW`5Ta7rPANLs1]#Z_o9O1_8*k'`5]m=`r3jV`;[Xm_SjL9`Pod3]t(SY
+]!\fK\$`HDYHG7;Y-"l+YpZr]Y-baL\%9/\]Y2(p]tqY+`5]a4_Sa:-^V%(d]YM@p\\#Mf^VTod
+7E!*\^:V%l_SsL2^:V"j]XbAP\%TPm^V%1m_o0I-]=P\k^Ugk^\$il[\[AiS\\5nk\\,_r`P]O,
+^rX[?aN;ZNcHa]6b6uSAd*Kt^d*g=fcHZ@4'@"kNd*gCkd*9eZcdC1hd*Bn\cMPp9c-+;ScHXSW
+cHXVXbKA#Obg"GXbfn8PaNMoYccs\WbK\AZc,n/Qc2Gs4cHjh\b/qiOcd0kZb0/)Rb0/#QbK@rJ
+a2uKIbK\;UbKS92cO.q?b0%iJb/V08Q@J~>
+$EC8>`llQIa3;iRr5fSobKJ&Mb0%fF`Q$'Fc-+/H`Q.u##0Y68bf\&NrQH_6`l6!>a2Ps1\@&`R
+\?rKCYHkF;XfJJ$X/r5#Y-+n0ZF7?Y]YD7r_#D%e]tqY-a2l9>`P]R-]tCti]tV7r_8O:/`5p*D
+rl$2#^:_1r_o9L-]tD(n]!\cH\\>_i\@9#`^VR[t]t_@t]=58Z])K5J[^!3L]">_g^Ve(2rQ#5d
+cd9t^cHjo;e,Rf&eCW@*f$r7%f\+mRecaUWg"=pUeIgBaf\"m0f$r4"f%8L'f\+j*rmUkr"kD2R
+eC2qEecF=NrmM#"e^i@%qpk_r%F`n[f@AF$eC2mreC2nFeIL$VdaQgue'lgseC)akdf%Z/f@\^+
+f\>07f[n^+f@\d3f[&$=J,~>
+$`C&6_oTs@`lu`PaSj'j`lH->`Q-!:_SO+.aN;NA_84%g`WjK)aiMK@a8O(Ma2>g6`l5j3]XYAW
+\%&iNYHY@=Z*(1/WiWA&Y->.6YdM$S^q@Fs]t_7n]Xtqq`Q$!=`5BF,]t1__\@K8d^;.Y(_8F=8
+aSs(B^q@7k^VRh']t:kg]XY;NY.)'T]=,,V]tM1p]Y2(q^Upta\@T5]\?rHD['dBT\\>r"`Q#p:
+`5g'FbK7oMbl5iqbg"M`eC;pnd*gCmdehDpdaQare,Ibpdf7bteC2hEcP+[Qd*U7kdEg+`cd:(e
+daQUkd*V[;!RT0lc32J?dF-A<d/VDlcMl/id/M>md*^8<cjn=Db0/,Ubg"J\ccs\Wc2GugciVP=
+d/ME#d*L%bd*L(ecGdnmJ,~>
+$_F,u^;S"._8j[=`;ROc_o0I0_8F1,^:qA!`Poa0]tV;]_Zn&ua2Q!8`r3qK`l#a7a2Z'7]stJX
+\%&lPZ*LdEZa$^:Xfek.Yd1R=YdCpP^V%=s]th@q]tD.u`lH0?`PfX0^:Uqc\[oDc]=u+t^VRn0
+a8X"B_7dIo^r"%,^V.:o]t1SUZ+@]`^:Cbb^qmn&]Y2(q^Upta\@T5]\@&QG[C3TX\%KMn_8=(*
+_8F@9a2Z0Abl5irbKA)VdF$:bc-Ob`cd)I5"O>?AdEqm<s3L_l"jt]Bbfn?2c4A1HdE]tZbKS5T
+bg"GWbffn-!mSs4rlPAebg"GVqoo)`!QrUabl,`bbl>lbbRVb9a2lKIaiV`MbK7iGao0E_bm2J9
+c-Xh`c-610s2Y>ca1oZ]J,~>
+&?W1I^rXgIbg=\[b08)QaiFD%3QfOfaMu9Cbg">Q`l?'@bK@rLbg+JVb08,UcHXSSa2l<>_SEgm
+['dBLZEUL5YHkF8WMuhqXJr?$Xp2)9[^Wo]^AbqJ^]2,=_o9X9aN)BB`Pod5`5T^5^q[n1aMl*9
+`lQ9A`l5d,]=u(s^qd[t]thFr\@/lX\[JrOZFRie_7mOs_SEgm[C<`YZa0S:+1A_i\\5Sg_83q+
+a2lBHbKJ,ScHjnddaZape^rF(f)F2#f%9oPrn%2$$J3t_eC<%#f[na+rn%)!s4./$!7gqp#h7DR
+daQ^tf@KrO!7_"s#1_;TeBu[mrm_8&daHUoe^`1Kdf7_pciDMmdgOUOd*^:je^W$qe'n<E):R0g
+f%&:%f@JO)gY:E5f%/I*g"G37cI/;7~>
+&?;k@]u8(<bKnJWaiMQD`P_\n3QB+Z`59F3a2l<@_ns=1a2Z*<aNDWF`lQ9Eb/q`E`Q#m6^qRCg
+['dBLZa$^9Yd:X<WiE%uXfAQ'YC!O^\@K>d^;%Cr]tM1q_8F41aN)??_o'@,^qmk%]tVJ+a2Gm5
+`Q-'<`5B@$\\,Yk^:q7l]=u"j[^<HP\$WNGYd_E]^V.7p_SEgm[C<`YZa-mAYd1[D[CNf\^qd_'
+`l?!=a2c9Cb0%oObg+M[dF6Rmda?IhdF/$ArmLho$I[JRd*U1heC2jnrmL_ls3Ueo"OPH>cd2U;
+#gq)Icd:(fdaA'@!71Yi#11cEccjVYrm1hoc-=P[cMYrebl>p!cd:%bcHXSVb0%oPbfn>WcMl&k
+cI((fd/MAkc3DVBdEp4bci)2ne'H"SQ[f~>
+$DOE&\A6/,`lZ?Crl"rW_SH/e3Q&eQ_8!e'`5TX1^:qD"`5BI0`Q-!;`Q-'AaiMNB`lH*:_8!Uj
+['dBL['R$@ZF.'EY-+k-YH4u-Ym.G>\%',`^AbnI^Aku:_SjF5aN)?@`5KR0_8=()]tD8%`PTI-
+_o9X7`PfR(]"Pko^V@Ip]YD4n\@8u[]!o/SZb"&i_S<^u_SEgm[C<`YZi76<Z*UmH[^rr\^:q7r
+rk]Pl`5KX7a2uNKbg+GVcHsqacd'h\cHje\c2Q#gbmMbEd*9h\d*^4dcMl/fcMu/hcN;A7bPo`c
+b6Z>:bKA#PcHa]6bQ,icap-)7bfe)Kb5TTfb/qcJbPoZ`ao09\b5TQcb/qa(`s0W-aiMTHb5TKn
+b0A5Vbfe5SbKJ,Vd*BkYrlGAca32T?`g;2~>
+*O)ob\\,o/e'?1\bKeDWaMu9Ab0A,PaiV]Mbf\$*b5]Zbaqr7Hd*Kt\c-O_]bfn5Pai;03^:h(d
+[^H+>"gG,2YHP,.WcbAEWi`G-Z*1I>[(!TX]t_=t_SsO6`Pf^7a2l?Aa2lBGcHXDH_TU*@_Sj@/
+_SjF5_nWal]=u%n^qRIo^;%Cq]tCh[YHk:7\AGtq^q[_%^:CVV[CEZHX0B"@]",>]]t1kh]">l#
+aN)HEaNVuWd*^7hr6u#$eCE1&e^W1#rRV##s4.P0f$r7%f[n^(eCOTM!7q/"'@t^`eC2mpdaQXl
+daQXldaZk!ec+&2e^W*teCE'sd*gCme'lamdaQ_Fdfe(Hda?JAcO8+Ida?Ihd*^=keC4EFs3V)"
+e^i@)f@ACLecXRYg"?;T!8%5'"Q%hVd%#U~>
+*j)]Y[^a0!da$(Zb0.uL`P]U3`lZ9@`Poj=aMl*<rl4uYs2GAcb08&NaN;WKb5B>1`5'+#]XbM[
+[B[$CYcb.4Ycb",WiN8&Y-5(8YdCgG\[f;a]tM.q_o0I1_Sa@5a2Z':`lH-Bahtm0b/hN;_SX.*
+_o'F0]stM^]tM(m]Xk\e]tCth]!\cEYcFq8^q@Cr^;.Ot\?rQL\@/K>YHtXF[^<HQ\@]A`]#)J,
+#/eI!`5p-GrlYAecHlL:#g^lFe'cUhdEqj>s3gqp&(K"RdF6UodEg.ddaQ[ndf%Pnd/MAkcMl,r
+cHjk_cHjkcdEqm=(spUTcHjk`c-+AWcd'h\bg"GZbfe2Rc-?73!R&^dc2Z#fb5oc/rQP;ds3(tt
+d*^:jda6:ccHXV[d*M^:$.$uGd*U7f`5\'m~>
+#c=W0Z*h?hc,]h'J&fXL_8!e%_oBX4_SX41`PTI._Sa:0`5BL2a2uEBa2lBEaN)<AaiVN;^:q:k
+\$i]MZa@$BYd(L=Y-4t1YcY.7ZF$mC['dES]=kqm^VRk-`5KR3`Q-'?`Q#s>aNM`E^VIq2_na+)
+^qdh*`PT<u\%98e]YD.l]=kql]f!O:\$E6DXg#@R^VRb#_83gq['I*L[]HO5['mKR[^WiZ]=PM^
+^r4.,_nj1.aN;TJbKS8Wrlk\lc-F\^c-4K2c2Z)hbmMhCc-=V_cd'bYcMc&hcMl&icHXT1b7)P8
+b08#Mb08/Vc-4B1bQl>6bKS2Qa3">(!6Y;_"Nnp0aN4>%!6G/[!6G/]!6G/[)p$.CaN2KFaN2KI
+c-FY\bfe5RbKA&ScHXPUb5TKdaNVcA`Ku)~>
+;R=![]rnZ[e]Z(Wb08)Pa2Q3GcHaYWb08,TbK.`Md*L"]bKS8Yda6=dcHjh^bfe/ObK@f>^VRh&
+]XG,R['[6LY,SM+Y,JD+Z_sk.Za$a>rj)sB]"Pqp_SjL:`l%em!5nfS%`cZ3aiqoH_oB[2]Y)%r
+rkJrZ_nj!o[(*ca_8<t!rjabr^VILhYHYF=Z+.Q\^Ve"(]"5G\Z*1C9Xff(C]=GG]]"G\f\$WZ`
+aN2?>a3)ZTe,@_ndl>e'e(*+'e^W4%e^`1"f%8R,f%/L,g=Oj&daZk!e^`0udaQ^qda?OmdEp7g
+da6CidEp=je^W+Jdgam[e^Ddke'uq!eC)^krmM%ud*^=kdf%W!dEp.]c-Xo<d0%kIeC4BE"OYZI
+f%BuO(":U]f%/I+g"=p-f@\a/g=kB8bg2f0~>
+#d1VW\>l^KeB@j5s3!gP`l,p>b0%fG`lQ9Da2Gm=bfe/Ma2lEIcHOJTb0.uNaN)<Ab0%]=^VRh&
+]XG,R['[6LY,SM+Xf&2'ZDak0['HsBrj*`V\@]Mh^r"(2`507*_Sa:._SsO6`Q6'8^Vn%(]"5Vj
+rk8fV_8*[jZa[Q]^qdXorjNHM]tV(`Xff"5YI;-T]tqRurjX#XZ*1C9Xff"?\[T#S[CEfY[Bd9Z
+a2Ys3_oBgCcHZ@44O)0tcd'e]dF?XlcdL4fd*L(ddaQ[mdF6Uqda-1_cdU@kda?Ffd*^7dbg+S\
+c-=S\c-=PYbg+P^d*M^:%FNVNc-"8Ucd:(cc-+?1c3;G8b0/#RrQYVlbfRoIbg$(0!R8pgbll88
+cdC5@cNhb?cHa\Zcd2U9$I@)Hda?IkcGRVdJ,~>
+G,VX`[A^1Acc!`?`Q-$<_SF(/a2c0;_o9X8`5071aiMNA`5Td=bK7iHa2l?B`Pfa:b0%]=^VRh&
+]XP8W[^NZTYcFq4ZE17;\#QU;[^<BJ['R*K\\,_l_8F:6`PTI-_Sa=0_oBa:`lZ9<^r=7,]=Yhn
+rkAlX_S<XfZ*h-U^;.IorjX_q^;%:dY-549Z+7Z_^r+('\[f5YZ*1C9Xff%A]"5G^\\,Ve[^3BX
+`PfR-_8F:8bKKn/s3:Sf36TIgcI("`bg4SZc-4DVcHjh]c-ObacHF>ObKeDXc-4ARbKS2PaND]J
+aN2NHaN;WJaihoRc-611%F3;Eb/_WIbg"GWb/h^(b6?#/aN;QHrQ>Dfai;9=aiaV)rQ>)\"N\^.
+c-QC4!QrO_bQ#iebR;V<bKJ&NaNVc@`0c&~>
+(p^g*bIFa__TC!DaN;WJaiVfPbf\&Mb00e.s3:Pg)U6LNcd:(dd*L%bdEg+^bK@rKaMl!3_SX!s
+rODm<IC?>[Y->%0WiN>-Z*(13Za-sHZb!fa`5BC*_8O4-_o9O1`5Td=aMu6@b/q`D]"5Sj^;%M%
+_8*n&^:Lqk_SjC/^q[Uo['mT_^:q@s_S3e'`kT@+^:Utg]XtY[Z*LjI\@AuU]">M^]=PJY[_9Jm
+_SsX>bKeG]e'unHe,7`!f%8L'ebdqqfDjJGg"=p-f%8L&e'c[neC2gkdF6Uod*L%bdEp7fcd0tc
+dJhK0dF6Xre'ZOjeCE.#e'cXme'cUgc-t4mdf%Snci;8pcdC.ed*^>AeGdhqdf.]'eC2gnda?Im
+e^i=(rmq2%fDO8(gXj]sSU^~>
+(p19p`j;_M_8sd@a2lEFaN2KFaMu3=`lJ)"s2k8_)Tg(BbKS5Tbfe2Rc-+8Na2l<BaMl!3_SX!s
+rODm<IC?>[Y->".WN*/,ZELC7['R0KZadT[_SNt"^V[e%_8F1-_o'I6`l,a4`l5p7\@B/b]Y2(r
+^V7It]t(_g_8F1*^:h1gZF%0W]Y(qk^q@@t`4`q#]XbP_]=YPZZ*LjI\$iZN\@8iO\[]&Q[(F&e
+^;7e.a2uKIc-FT9c-FZ5dJqVrdEp8;dJVGmdhpT`da?Ijda?Ffcd:(dcHOMXd*U%]bg"H4c2Ys+
+bg"DVbKJ,Td*U(^bK\A[dEp1`bg+MYbK7iLrltDcs3(Gb"O#$5bKKn/!R8sibQ,oec3DV?bg"DV
+bl5ifbg-44!RB'kdJqMqdETVLQ%/~>
+(oO[a_m68D]YVP*_o0R6`5K[8`P]R1_o2Pns2P&Y)ofk:aN;THaiMQFb/hWB`5Td<aMl!3_SX!s
+\c02?]5Y9bXg#+9Ycb19Za@!@ZF70L[^3NV^;Ih&^;.Y&_8=.._Sa=3aN)9;`Q-!<`4<Fk^V.@s
+_SEq%^:Uka]YD;!^q[Us\?iTS^qIFq^;7Lu`Q,d2_7dFj]">S`['?pG[^`fS\%B8^\%K>_[C*[H
+]aV]n_o0R8b0A5Wc-4E0cMu2lcHXW5cMl)dcMu3Qd*L"^c-FVYbK@uNbfe,KaND`MaN)?BaiMQG
+aN2KGb/q`GaihrRbK7iJbg"GXbK@rMbK@oG`Q?<Hb5KH^aT'9aaN;QFaN=G(!6bA_!6P5_#0Y01
+aiVWFrQ5,arQ>PjbK@rI`lc?:a-qM~>
+'sG0pccNu4\AcV5aN;WLbfe2PaN)I%b6-#8dEqj9!7(Pi6I4',d*^7fccs\WaiDE=_8*ds\$ifX
+[^WcTZ*(:7Yck+*WNNJ2Y,eY0Z*^sH\\5ep_nWq#_SX74bK.]A`5]j:rko5cb0%c=^Vn++^;@h+
+rke]O&&ZB+`P]O._o'-o[(=/m^AY_M_8X@,^V7@qrkSQK*PAql[^3?JZaIHZ]!]&X[^39G[CO&i
+`5Ta<bK\E5dK7nIf)F;"ec4,jf%AX,f%&@%f%AU*f%8R.g=Y$-eC<%"f@SR$d*gIoda6=dd*U+b
+cHX\^d*Kt]cdC1gdEp:heC;pod*U1ge'cRec-Fefe'S'>s31Pirm;)!cHaebe'l^kcd;[=rm1u!
+daHUme^`1!ebmu)f@JO)fA"p%d@Gd~>
+'rnXab/M$$[_p5/a2lEHbK@uK`P]^o`rjH,c-6.-!6Y8a;Tm>0bg"DVbK7iIa2Z-:_8*ds\$ifX
+[^WcTZ*(:7YHFn&W33A0Y,eY0ZF%'I\%BAh_7dLp^qdh,b/hT?_SjF2_8*k(`lH'2]u%\#]YMD#
+r4ii[`5T[3^VI\%]<\`Q_83e_]*H*g_S!Rp\\.jS*PAql[^3?IZF%3T\$EHN['?j?ZaRK\^qmk)
+`Q64$bQ?):df._qdJqSncP"XSe'cXjdEp:ida?Ije(*!tdf.W4daQ^qda-1`d*U+`bfn>WcHXSV
+bKS2RaiV^)bl5d!c-FVZbKA#Pc-=JSa2c9Ebfe/Or5fGlc-=JTaN;TIbKS2Rb00e.rlZ/&c-4DT
+c-=GSbKS2Tcd0tacd'h`c,7SeJ,~>
+%A^/Ia2>KnZ+Run_o0Roa:-,._nj:2`l5p;aihj*`;msWa_/];b/qfKaiMK@`l?'=_nj.&]=55Z
+]XYM`\?iEEZEgg?X0&\7[BZj:['[6L[(*c`^r!h!^;7Y'a32QD`5BR6`59@,`5g!?^;.\*^:hA#
+_SO((^:qD"_ns4'^VIXrZ*CgU_S,o\#Je9r^;%@m^&>\e^:_"c\$WQN['mZ^]!f2]\$WEGZaRHZ
+^V@S$`5g%!bQ5u7rm:\js3:Sf1X=@occs\Ybg"JZc-=P[dF$:cc-4DVcHjh]b/h`Lbf\#Ia2lBE
+aN2ECaiVWD`lH3EbPoWtbg"DVb/qfLbfn8O`l?'Abfe,MrlG,[%`uo;b/hWDai_cJaN)<@rlG)Z
+$-:61aN2NHaiMU&apQ85aiDB>aiM<?Rt(~>
+.^6J1d*g4X]#;_4aND`Obfe/Ma2lNOc-+8TdF$=cbKJ/WdEp4ee'lanrm;_3cHXSUa2Gg0^:Uh\
+\%0&Y\$`QIZ*LX=YH4_'riRfRX0/b5[(*TU^VR\&^qRS%_oBmGb/qZBa2Z':a2Z0BbK.W@`P]L.
+`lH*;r5J]S!Q2eQ_\'Sj[_9Yt^:_1n^;Iq,^;7Y#r4jSm]t:eZYHkRE[^s&ZZa[EOZ`gR<\%TMi
+^V\"3b0/&Ud*^=lrRLkr#1_AZf[eR%rm_&$f)F23f@\a,eC2mre^i:$e'c[pe^OHCs3Dq8c-4M\
+d*Bk[d*g:ecHjkcda?Cdc-FY_dEp.^c-Obad*L#:cOS7FcHjkacd'k`dF$=eci28qcHXY\dEp;?
+e,Ro"e'c[oqUPl&f\G-(d@>^~>
+.]]r!bKe8G\AH;-a2lHIb0%iH`PfmAaiDEDc-=JSa2c<Gc-4AUcd0n^rllG+b/qfJ`l,^/^:Uh\
+\%0&Y\$`QIZ*LX<Y,eM#riIcRX0/b5[(*TT]t_7s^:_.r_8OI?aiMH=`PfX1_ns=2a2Pp5_nj(&
+`5T[3_u7OR_Z@WjrPB2[[C*Zb_7[@l]=l%u_7[Os]=e*Vs1KVg\?W6C[C3HP\@&TL[Bm-?Xg#4D
+]"5Me^r"%/a2uKKcd;X<!7:_k#11iKe'ZLfrm1\odJhK)daQ[mcd0tcdaQXmd*L%bd*DR6s3:\j
+bfg"0(Wsh@bK\2OaN;TKbfe,La2lBGbK@lFa8F$faN;QHb/qfLbf\&Kans6[b7Vk;ai_iNbfn8R
+bfn5OaihoQrQkMh"jbWB_o@pk~>
+.]';faNV`=Zb4/n_o9[;aiMNA`5B[=aMu3@bfn5L`5K[;b/q`Ibfn8RrlQ5%a2Z0?`l,^/^:Uh\
+\%92^\[SuQZa@'EZ`pR7rj"/[Xg#1=[CE]V^;.J"^V.A!_Ss[Cb/hQ?`l5j5`5BO6aN2<=`P]I,
+`Q#m7`5DSks1n`O^\tq\]!J`S`594"]tD%p`5'(%^V%8Y^EgP,]=>/O[(!QS]=YS[]",8VY-,%;
+\@K/]]YMD&`Q-*CbKS60c2c,gbQc>=dEp1^bPo]dcHZ@4&^J_Kc-+8Qbg"GXc-+8Pbfn6-aSs9^
+aN+;%)99_9aNDZIaN;TKbfe,Ka2lBGbK@lFa2uL'aT0E\aUQ>5b0.rLaN;TIaiDE@rl5Vi`5Ta;
+a2lBDaN;QE`lH0Cb5TK_aSs0^bK7WCRXb~>
+&@9%!dF-Fe`5]m?aj&)SbK9b,(<k.PcHFGYdEp1ccHabada6@ig""R"rm<UMcd'hZaMYa+]stAT
+]"5A^\$`WP[Bm-BXfnk/Y,nY&XL,=?\%B8`^r!k*_8*q.`lQBMbPoV(b/hWFbfe,NaiDND_S3h+
+aiVWDaN;NB_8!b#_8O7-^q@4j_8X:+_8X:.`Q#d2`lH!2]Y(tl]=>AZYHbOJ]XYAUZa@6N['R$C
+[^s,_]"Ghr`Q#s>b08/Xd*^:je'c^pe_&R-f$r-seCE+!e^i=Me.^9WdF-Ilda?FgdF6UpdEg4g
+dEha9#LLlFccse`dJhAtcHje]c-=P[cHXW5cMu,mcHXSXcHlL:s3DJ*bKS5Vcd0tacHXVZcd9t]
+bKS;\cHuR<!RfBpcjnRUe^i@(f%8R,h:g0$Rt(~>
+#d1V[bK\;S`5_es*m)RHaN2KFaN2TLb/_TIc-4>Sb0%oQcHOMYe^;^grlm@FbK@uLa2>X*]stAT
+]"5A^\$`WP[Bd'@Xfeb,XfSM#XL,=?\%B8_^;.J#^V.G$`5]pCaiOJ%s2AoraN)9>`P]^6^Uq5!
+a2c3<`lH-<^V.=p^Vdq(^Uq"f^r*t%^Vdk'`5KL,`5KI'\[oGc\[]/XYHYIH]=,&OZ*LgFZEUL8
+Za[HQ[^`r`^VI\&`Q-*Dbg"GZcd'h^d*pLndEg(_cd:%bd*^8>cQUQVc-FY^cd'e[cHsqabfn>W
+cHOMWc-4DVc-4AQbKS2NrlG,]rl>5ab/q`FrlG,[#0Fp+aN2KGrQ>;ba2l@$aoBKraiMQFbKJ&K
+`lH6HaihlMaihj+aUZM<c-Ob`cd0n_e'GqOPCN~>
+.]9PnaNMfK^VRe)_oBa;`l?'>`lH9GaMu9Cbf[uJa2Z3CbK7lMda$([rQ9N0aN2EA_nEds\?`KQ
+]=GPa\$roW[C!6EZa$a?Ycb%0[^ENP]=YYh_7mh&^;7e-`lcQJ`l?*@`l6!?aMu9?`5fm6]Y;A+
+aN)9?a2Pp0]Y(ql_8*h"\[K&`_nj(&_na%)`4s(+`PK4!]Y1th\@AuNZFIQ\\[JlP/[`1"[Bm'@
+[(!NP[C<`\^;%J#`5]m?ai_fNbfe2Rc-XkbcHODQbKS5Sbg"E2b7r(=ai_fMb/q`GaihoOaN)EF
+aiDI$a;E%Ab/q`EaN;TFaN)BDaN2EA`lZ<Ba2l@$`s'T*`Pop>r5o2a`lH-@aSs9ia2Gp8a2c3;
+_SaC8`W!ml`lH->`Q$$BaiMQFaiMQFc-!lCR=G~>
+.^Qb6e'H:_ai_`JcI't_bfe8Wcd'_VbKnYcd*U1dd*^=le^Msqf@/0rr6Z/'c,doC]">P]Ydq?V
+\@&cY^q0NL=g,!2Xfnt3WMuu'[CEcX\$ro\_8a@0a3)WOd*^1^bg+JYcHje\bK@rHai_Q8]u.Y#
+_TBsCaMP[+_83n"^;.Oq^;S%-`lH0A^qIM!_SsX=`Ordo]Y2#X]/[=9^:_(i[C*NW]!S`IZaI6L
+[Ca,e^qICr`5TX5a3)]TeCE'qd*pRue^N!sf%8I$d*gFqf@JFLdNmAmdEg.ddaQXkcd'e]dF$=b
+bK\>Zda?CccI(%aaiDTJbg+E2bq7>mda-.^cd'bWc-"2Qc-FVZbKJ5WbK7iHai_cLbfe/LaN2KG
+bfnAZbK\>WrlYntcI14le'ln"f[n^)gtL'$SU^~>
+.]ftrb/qcLb0.iFb0A,Oa2c<FbK@lFa32fSbfn>Tc-F\`dEg+ae'H=br65u"ai;<;\[o>ZYdq?V
+\@&cY^U^PPYPt\*Xfnt3WMuu'[CEcX\$icX^r4"&_oBd?bg">OaNDWIb0.rLa2Z*8`Q#^)]Y_Cr
+^rOO;`kT*s]tM%h]Y;+i]Y_V&`Q#s=^V%:r_8F@8_n*@g]">TR\i@15]XkYc[C!ES\?N'9YHbC<
+Z+%9U]XbPb^qme%_SjO>cd:"]bKeMad*Bq_dF-CebK\A]da?A=bt6=0c-+;TcHje[bfe/Pc-FPS
+a2uKJcHXPSb0A2Q`P]a:aNDQFai_oUcHF;Nb0%fFai;BCai_cJa2cBGa2Q!8`Q#p<aN2E?rPefW
+)Tg1BaN;NC`lH3Ec-=JUbg4Y_cHOM\cbmeeJ,~>
+!i2s:rl@4D`Q#g5a3)KC`5K[:aN)6:`5p0GaiV]HaiV`McHOJUd*0\Vb0%oObf\#F_nigl\?iBL
+]"5DZ\%feorj3lTYct=9ZEUC1Y-PIF\[f2X\@]Jm^VIb+a2uNKb/D<AaN=G(s2Zq8`l#a7^q%%l
+^:qG)aiVQ<]=bkl]Xtkl^U_%q`4j.-`PoO$]=ttp`lH$2]=bhi]`,E#[D0De]=k\_\\5V^Yck::
+ZEURA\%&uW[CNub]Y;2"a3)WNbfIiIc-OVWbKS8Xc-+2MbKeDXb5KF-cHXMQaND]MbK7fE`lQ<F
+ai23<a2uNIaMu9Cb/V<8`l5p;`;[b"aj&#M`Q$!>`l6$;_o9X9a2Z';b/qZA_SO+,_o0L2_S?)c
+*PoY2`Q,j6`PfX1_o0R:b/q]Ba3)TKb/hfK^rMjn~>
+'stX"cH*uD`5]m@cHsn_c-=P[ccsf8c3;P>cHt"hrRDA.e^W.%eC2jnd*L(bc2Pm(ahYd0]st\c
+\[f/V\[\lAX0/V/YHG+:[^?%A'XkTb]",Sl_8=76bKeJ]dF6RlcHuR<A(&cOcHXSWc-45H_SO%&
+_8XI9`l#[5aiVTA_8OC6_nj1+`5':/_7mXs^;7e+^qRP!_8!Xn\@TAh_7I%_]!o)U\$WKK[^WZO
+[(4)m_niss^r=@5_oKsEc-OecdEp:he,Iksec48$edU3_f@JI#e'uq"f@JFMd/VK5d*L(ccHab^
+cHOMWcHjk_bK7oNc-+8RbfRrJao9L$cd'h\bf\&I`Q$*Ba2lBFbK@lD`Q#s=aSs:%aN;WKa25^2
+`lu`Pb0%oQccsVUc-FV^daQ^sf@U#Q"kVJZc-`#2~>
+'s"[[`koR1`5fm:aihiKaN;TJbK7s,ap#u2b08/Yr6d%Ad*^@icd'eZbKS/Oa2uKF^VRb"\@]>_
+\[JoV\$)[/Xfek2Y->:A[/RHI[^s)^\\5bm_8aI7b08)Scd0kYbl5jscHXSUaiMQDa2>^,^q[Rt
+_o9X6_8*q,`59='_8X@/^V@V&^V[n(]tM(l^r4+)]Y)"o]t1\]\\,\m\?iQR\$`ZQZ*(:9Za$a=
+[D0Ml]skJ`_8F+(_SsO9b08,SbKS5Vrm1Vks3gqp%+EYQdEg+`cd:+hda.p:s33OIbK\;Tb0.uN
+aN2KGbKS,L`Q$!@a2Z3A`Pfa7aN2KIb0.rK`l5g2_T0U5`Pom<`l#U._Sa:0rl$5&`lQ6>^V@S%
+a2uB@`Q$$BaMl3Bbg"GXbg"J\d*Kt\c-XYNa,tl~>
+"/N':`;[U`_8F.,`lQ3?`Q#s>aMu=#`s'Q)a2uNKrQTW6cHXY^c-4ARai_fLaMu9@`4`q#]=,>_
+\[f/X]=PAMYHkI=Z*:OB\@/lU[^Wi[]",Pj^V@_+aND]Lbg+MWaN;WJbg"ATb0%iJa2Z$3]tV1n
+^r475`PTI/`l>s5^r4:4_SEt'_7dY#^:Cea\\,bo^:qA!_F;5O\@&fW]tV"`[Cj&Z\@JuPZF%!D
+YHP=I]tCq`[(3od^:_8#`l?'@b/q]Fai_fNbg"DYd*L"acd'eYb0%oOcHsn]rlP2_!6P5]*66(?
+aN)9=`lH0Ba2Gj4`Q#j6a2c*6_SX:1`5hks'ZIu,^V@V(_8*k&_Sj@.^VI\&_SQ5gs2"`Q'#2#h
+]=u2%_nj1+`Q#j4_o9[;rlG;aa2lBFrQ>;_]uHCh~>
+-FCD1bf7Q=_o9[<bg+MYc-FY]cHOY_d*Bq_d*gFof%&:!eC;ssrm_&!e,@ZId*Bq]bK%ZB_7R:h
+]"5>W[^E<=YHkI?[C!<L\$roZ\@K;c\[o\u`P]d>bg4\arR(bpe("?F?.%!DcHsteb/VH?_Sa@4
+`Q#j5_og6Jb/qiLa25[._8a[8_Sa4-_S<e!_nWjt^r+(+^:L_\\\,\i]=l"k\$icRZa@0M\[oDd
+_o'F3_SF"+`lH3Db0.uPcdL;@dKS1Pf%&=%rmq2(fDa;,f%&=#e^W*tdaA'?#11cGdEg(^qp,5d
+5g7BlaND]MbKS/OaN2QKbKJ,Rc-=GRa2Gj4a2Q'=ai_fK`l,g9aiMQFb/q]C`P]O.`Q#p=b0%oP
+cHsq`bfp(3s3M5'eC<$ueCE1(gt9s&S:C~>
+$`gSO`5'1+_oB^8aSj3mb0.uNaNVoQb0%oOcHt"gdaA!>rm:bnci)*Abf\/Rb/VH>^q71g]"5>W
+[^<3;YHbC>[C!<L\$roZ\@K;c\@KJq_nsI7aNMiQrQYJhcd;X:?-UR8b0.uP`PTO2_84%-_o0F-
+_8j[<`5Ta:`PB7&^Vn:2_8=")_7mRr_S3Um]tqP"]XY>V\@]Jd\\#Ve[^NZMY-5.;[C3QT^V@S#
+^:_.p_Sa@4`Q-$?bKeH4c3;VDda?FhrmChsdf.SndJM8lcd'f7b6H28cHaYUans6\aUQ>2`5K[9
+aN)BB`Pf^8rlG,]+NhgH`P]L*^Vdn)`5Td;`PTF+_o9R4`Q#m7_SX.(^V]ufs2>nraN;WKaiDNH
+bKS5TbKS;Zccs\YcdL(Vb*.>~>
+$`0uB_SEt'_8=%*`Vmdha2l?B`Q?9Ea2c9CbK\;Wc-4B1bQ,oec2u87b5TQaao9@1a2>g3^:Cea
+\[o5X\@8cGZF%$I\$i`T\[f>a\[fDd\[fPp_SF.1aNFG)"O"s3c-613!6kGbs3"Kf`PKF.^VIb*
+`5TX1_T9m@`l?*Ba2,R+^r4=/^VIRt]t1_b^:Utg^r+(*]t(JU[^j&^]"Ghj\@B)VZEggD['d?P
+^:h4o]=GMd^VI_)`Q#j8a3)U(apQA<cHXVZdF$:fcMl&ablZ,4b5THdai_fLaMu6sa8a.H`P]O/
+`5Ta9a2Z$5_8O=2_o0L4`PfX/]tD(p^:qD!_o0F-^V@Y(_ns:._SEju]Xk\f^:q@u_8=.0a2c0:
+`5]g;rQ#Ada2l?Ebg"DQ^W;dm~>
+$F@@hc,muF`5Ta;rlY>dc2Q!"c-4P^cd'kae'upte^W'qdf.\ueCN7'ec!u9e'cUgc-=GP_nNap
+]Y(_\[^EEG['d9K\[o?N\.Q<b]=P_i]">r'a2H*Bbg+S_rmCkseCFNI:t*h<cd:(eeBH%Ua2Gs:
+`5KX4_o9dAbKA&Sb/D*1^Ve4=`P]X6ai2*1^V@Iq^;Ik*_83mp['mQ\_8=./]XYJ`\@/iV]>)5"
+^qmn*`Pqho'ZJ2>bK.iLbg+YdeC2psf%8O)e^aZM.+ctteCW@(eBuXidF$Cicd'k`daHLgc-=P[
+d*U+`bKS/PaiMTHbfg".29Eq`bK@uNbg"ASa2Z*8_8=(-a2uKHaMu3>b0.oJaN;NC_S<ds^rOO7
+_SjL<d*L(bcHXZ6bn&.IdaHOkdaQ^tg"tH/e=D*~>
+#HG&H`PTL2`;[dU`rX9'rlQ)"aNVoPb0/&Ud*^7hdEp1bd*U+cdaQ[mrQlJ/cHa\Ybf[rB]t:nh
+]XP8V[Bd'E[C!?P]".gM&\>We]"Yhe\\uS/_oTm>b08-0c2u>=dJ_EgccsYVbfn8Ua2Q$;_o0O3
+_Sa4+_T0^:`Q66C_S3^s_8sj=_Sa@6`5'(#^:_%g^;7V"^V.%][CO#d^r!t"\%'#VZ*LdH]=u"l
+]tV7t_>_27_8XR;`5]j=bKnS`d*^7ieC;spdF-Ijda-4bdaQUic-4DVc-FSWb0/#ScHOJRai_fN
+bfe,KaN)<>`5Ta;a8X'[`Pfjsa"GHTb/qZ@_SNt"^:qG%`Q#p9_SO.0a2Q!8`PfX.]Xk_i`5TR+
+^V\"6b0.rLaSj6]bl5cdc-H=5#0tTFcc+(nJ,~>
+#,SH<_ns=/rk\ZQrkniV`r=!q`l6'BaN)BEbg"GWc-4AQb0/#Qc-Ob`cMc!+bfe/NaN2B=^q7.f
+]=bV]\@8iO[^W]S]=bcT\e2Qe]=P_i\[o\u`50I5a2uNKrlYAec-H73!mJg0rlY>fa8X"F_8=++
+_o0F/_oTp>a2uQH_nWq"_T9m:^qmq,^q@4h]",Db_SX.)^qR1\Za[T^_8F1&\@T>_[C!BP]"Peh
+]Xthj^AbbW^;@q0_o9R5a3)WMbKS2Ucd2U9s3NgPccaJScHsk\b/qcJb0.rKa2lBGbK7iF`lH0B
+aiMK?`Pf[2_o0O7`l5p7_SO40_ns=0`Pf[0^V9ZZ,/(b._o'=+^r"(1_nj1+_8!Rj[C3Z]^q@4i
+^;@q1a2Z*:rP];faN2B>`Q$!Ac-FYW^WDpp~>
+$F74dccsYS_o0U;rlP\nbg"DVc-F\]cHjqgeGdqseHaROeCN4$e^j`O3S)g6f[n^'d*C%_aMu-3
+^qdUm\[f5X['d6G[(3f]]t:kg]tCtk^:h;%aiMKDbK\>Ze'umtf%8LOe03;gcd:(dc-FGPaN)9<
+_SF+,_SaF8aN;WLa25^5`5BU:rl#SlbK7T9_83h"^qn"-_8=43]XYSjrkoqs_7R4g^Uq+m_Sa=3
+`l#a4^qRIs`5fs@bK%QDbfn>YrmD)%f[eU(f@SU(rm^tr#1V;Xe^;[frm1Pirm:blc2Pumcd:(d
+cHXT2b7)M6aiMNDaiMKE`l?+!b!4"g`Pod4^q[_'`Q#p<`l5s>b/hQ?`5Ta7_7mUs^V[k&^r476
+bKS/PbKeGYbfnD]da6:ddaQb!g"tE*d%,[~>
+!i`E@rPo#X`5]js`Yun=aiVWGb08#NbKeJ]cd0tdda6=fe'cXkdf.]UdaQ^qe'cXic-XYS`P]F*
+^q@1f\[]&S[Bm0G\\#Mf]=PYg]Xtkj]=l5*a2Q-@ai_iRd*U1ge'e3A'@4qHbg"APaMl*:`l#[0
+^V[e%_>V:Y`Q6$6^r4++`5hkq36'+^^q[\#]Y;+n^qd_#`5K9s]"u;%_SO!t\%02]\%9;g^r!t'
+^q[On\@fVp`5Td7^rFI:b0Bq3#gq2OdaQ^pdaA'@s31boe'l[gb0'_,rQP8c!QrO`ap-&5c-4>P
+aSa'j`Pfa7_o0R5_T'L2`Q-$?`l%el"M_U^]taQ`1;guF_SsO5_8*k&_SEjs]"Phn^Uq+m_8F:5
+`l5s>bK@rKbfe/Nb08,Ucd:%gcGIYhJ,~>
+$Dac=`Q-$<_8*q+rkfJh`Q#p:`lH3Aa2lHKc-4DTc-=GSbl,feci29Icd:%dd*Kt[aiqfE_nj""
+^V%(f]=PJ[\$`TO]=kqn]tD"k]Xtnk]Y;>(`P]^9aN;WLrlkMjd*MX7+O&!Obfe&J`5BL2_8*h!
+_nj.*`Pod7a2u<:_8X=/`Q.tp35ikU]t:qi\@]Gg_ns4*`Pf?q\A,ks_ns4#\\#Yg]"Pko^qmk$
+^:_"c[CNud_8=.,^Vn+1`lS/%(!P%Mc-FY^cd0n]c-"/Pcd9qZa2c:!ao0?_a2\,!#0=p/aiDE?
+rkoJh`l,d5`59F0_8!n'^VI_(_ns4g^&YhF]/I=9^V@S!^VRk-_n`t!^;%@l[^EWU]=PJ\]=ktr
+_ns7,`Q,s9`5fs>`50@2air&UccEc=R=G~>
+&$E@`ccsSM^;.b1aN)BEbl5j)cHje\cI(.jdEp7ge^`0ue^rF(e^W+!e^j`O-J$_td`p%Zb0/#I
+_n`mr^:q1d['mHR]tCqf]tV4q^q[Ut^r4@;rQ,Dld*^=le^i=%f%0iN/C`.sd*^=jbf%K@b/qW<
+^V[q&^;S.7aihrO`P][;b0.oE]"Z)$_nNXm_T2Yl(rOG;a2cBI`l6$A_nEXn^V@Io]Y;5%b/jP$%
+EQN'\[T>obKIuH`Q-7&c6^icdF$FodaHXsf[SC"f@\[(e^i:!d*U1ida-4bdaZambf\)Prm(Mfr
+lbAcrlP_ma2Ps6`5BL.]tqJ"`Q.ts&Au?#^q[\%`5TX1^r+.1`5DSks1oGc^:_+m^qd[t]Y25(`
+l#X0_o9[=cMl-#dEp4ccI(.le^rF-eAon+J,~>
+&#ZSGa2c0:^;7e0a2Z0?aSs:!b0.rLb082Wbfe5VdaHOidaZdqda?IjdaS3F-I^AkdEKhVai_fE
+_S<^p^:q1d['mHR]tCqf]tV4q^q[Op^Ve+6rQ#;gbg"J\dF-Lle,@]8dEp1_c-O\V^qmq.`kfC'
+_8Epu^rF=3a2u?=_SlGq+NVF1]u%_)]skSh`k]C)^Vn.0_oKj:`5g!:]XbVe]t=9T"22Rk`;RP2
+`50'nZb+,qa2Gj2_o^'DbK\AYcHt%dcdC7ld*L(fe'ZLgdF$7`bg"M[bKA#Rd*KqW`l?+!b5TN^
+a8j9[`X]u*_8!b&_SX(#^qRV%`r<mV_Z%=M^AbqR^V.:p_83q%rkAEG.(m.$\@TAg]tCth^Vn"(
+]tM.q_SsX?bKS8Ra2lEJcd:%bcdL"Na-M5~>
+&##u:`Q-!7]Y))!_ns=0`W!jpa2l<@a2uQKaiMQGc-=JUc-O_]c-4DVc-H=7-I0l^c,duF`lQ9<
+^qRFm^:q4g[^`lZ^V7@n^;%Cs^q[Rr^V\"2rPeu^b0%rQrltSicHcF6s3)t9ai_iN`kB.(`PoX*
+]YD:o]>)>&`5g$@_SF(1a2l99\%BGm^q7"a^Vg&b._s'E`5K[9_nsC5^q.%d^:q7l]=bnra2Pm2
+^q[_"\?`?K^r41-^V7M'rl6>+b/qcKcH=;RcdC"]cHsq_bfnAXbK7lKcHXMQb0A8XbK%N<`W!pW
+`r<sV`"0i*_SEn"_8*gt\@fDc^V]uc!5AED3P<,A^:_%f]thFt^:h4m]=PP^[C*KS]=>A[\%BJk
+]XkYb]Y;5$`lH-A`l5j3`5p-Gc-4DM\AXec~>
+*j)imccaAH^;J"4a2lBGc-FV\cd'h^d*pLmd*U1frmV8'e^`0ue'uq!f)=2Qf$r3tcHsh[cHaJM
+_n`t$^Uq"e]Y2%n]t1ef^:_1r_Sa4-a32QEb0A2XdF-MBec4.tePt&Ida6@hda#hPai_`H_nsC/
+]=u;/aN2NJb0%oMaNMlP`4s1,^qILt_8XR:_o0X@cHFAScHFGWaMPa-^V[k&]=Php_o0F0`Q#m9
+_S3[s`5]gr`<"$%rlu_7e(3("eC2gmeCW:!dF?h&f@JL&e'ZOie'ZOgcHsqcd*;R5$I-lAbfe/P
+b0.uMrPoSk_ns7+^V7@n_SX72a2Gm2]t:rV]*Z6h_ns4(_Sj@.rP'hr]t:hb]"Pei]YD7u`Q,p5
+^VIk1aiMZNcd'bVbKeJaeC2mre_&<kd[ks~>
+';hnIa2Pp2^;It2`lH0Aai_cLbPoWhbKeGYbKJ,Trm;&!daHOid*^:je,@c;e'ZXlc-OVWc-=8I
+_n`t$^Uq"e]Y2%n]t1ef^:_2Z_%"/q`lc?AaiquRc-FY_rmLhorR+Zmd*BkZcHaSK_o9X7`50:.
+^q.1qaMc$:aMu?EaiDQKb/:s0_S<at^;.\/`PTI0ai_ZDaNDWJc,[Z8^:qCu]t(Yd]t_@s^VRe'
+_7mLj]"l2"rkSWQ`r=+)bg=heda?FecI(+hc-=Vbe^Djld*Kt\c-OYYbKA&Qc-4</`sTr2b/hWC
+a2Z0?`Vm[f_S<h!^qRLo]>;>$`Q#g4^V%.irjr-D#J\!c]=u(q^&>Pm]",;X['mNV]=Yel^qmq(
+]t:nm_o0I4aihlK`5K^?d*U(_bg"JU^WDjn~>
+';2>=`PfX-]"c,"_Sa=2`lH-@aSs3baNMfMaN2KFrlb\lc-=JUbKS5VcMc';cHOSYaihcHbKIiA
+_SEk#^V%.j^;%J!^V%4n^:_1r_8="(`5op9a8O-]bKTt2!mSs5rQYAd;Tm2(bKIr?_8O=2_nWt'
+^::bja2>g7ai;BBa2Q-CaMGO(^qI=l]Y;8'_na+-b0.lGa2uBDbJh60]Y2+s^:Lkh^;.S!^;.Ou
+^:Uk^\%TPkrk8EK_u@\0aNMlRc-4AQair)Wb0%uVda-4`c-4>Pb08)Qb/qiMbfe)I`5K[9a2Q!7
+`5BO3r5'5c^:h1n]XkS]]tM1s_S<gs\@/lT\%)FM#.qFU]YD1nrOO,\[^<?FZaR?Q\@]Dd^;.Fn
+\@9/d^q[b*a2Z'6_8=+1rlP/^"2_UhRXb~>
+*j)inccX8G_T0a<a2uNKc-=P[cd'kadaZgrdF-Onrm_8'f%&6ueCE.IfIke+eC2jqda6=dbKJ&L
+_83n"]=u%o]XYPb]YD4q^r""0`5K^>a2cBMdF$Fmec+,#f@KlM.+H_od*U1fccOAQaMu?Ca2c'4
+_o^-D`lH6Fbg4VYcdC"Yai_Z@^WHJt(s^:Eb0SG]cHXY^cHjh\aiVWB_83ju]ts]`,JV%3`5BO0
+^VIb*_ns=0_8OI>bg"Maf@JO'e'c^qf$r'ne,IqteJH]^cd0t_c-FY^cHXSVbg"GXcHXSVaiXP)
+!Q`:Z`?iF=^qIFo]Y;>)`l?!7^:C\[\@8lR\%95e^V7Iu^V.@q]t:hbrja>d]=PJ\]"Pkq_na""
+_8sd@`lH9HbK.]Fc-b%idEp:he^;IdSq$~>
+"K/E>a2@nm"N\X'`lS)#rlb>c#L1TAcHOPZd/MGudF6Ojd*^:jqpc#&daQXle'ZLecMks5a2#O+
+]Xtnm^:^te]=bnm]t_G$`l#^6b/VHDcd9t`d*g@ke'ukEdK7hCcMbukbJhNA`5;Mm1rR2D^r=C5
+_SaC6aj&)Pc-OPPa2l36]uJ.6aNMZDa32]Nb/qfNbKS5Q`lH-;^q[On]=n3V-+gh)^q[[u]Y)"p
+^V7Iu]thV.aN;ZReC2mpd*L(ee'Q=_cdL8@d2:6Vc-+;SaiV]Kbf\&KaN;TIai_`Ha2Q$s`W=#p
+rP9ep^:h1l]=Ybo`l5p8_7d@d[(!KN['mHR]=YYd]Xt_c]",;X[/RHZ[^W`S[^j&b^VRUp\\5o#
+`PTO4a2c*6_oL$KccjPRb0A#Bb*RV~>
+%ABc:`P]L+]u.b(_8F7k`XTu0aN)BDb0/#Oai_fMrlk\lcHXPUbg"H1cjA%CcHa\\c-4ASrl?5%
+^VIRr]YM=t]t(bf]thCr^VRe+_ns@5_o'O=c-+>UrQYJjc-?73%aE5AbK7lKb/hH<`59=-rk^J*
+]YDD*_nj71`lQ?G`lcNH_o0O2]t;8(`l?0@_oBmDbfRrJbK7oMa2Gs8_8!at]"5TS]Ht/$]tV.m
+]"#8_]tCti]t1no`Poj<bg4S[c-+8Qc-FSUair)WrluP/bf\&Lb/hZGb0.oJa2c9Aa2Z0>`PfX1
+_o'F0_>V.q^:h1j]"#8]^V[h'^qI:cZ*:R@ZEgjF[^`lX]">P`\[],VZEaD7*4*#[['[<R]=kqi
+\$ii^_SEk"_Sa7*^;%P'a2n2!"2VOhRXb~>
+/$?>)cH=5L`lc?@`lcNMbfe5Tcd1%ge'upueC<%!f%8O)f@A@"f@S[.gAT\1f[n['e_&I%d/M?$
+dE]\K_SEn&^V%+b]"PiW^]q]q`5p!=a8X3cbg=edeCW@PfDjM/f[n^)eCE'urmE=Ed*Bn[ai;HH
+bfRoIb0.uM`l6$Ebg4\beC)[gdF$4\aj\bed*^+`dF6MBcn!MmdEp7gdF$7[^qmh%_8*h$_SEt(
+_o0U6_o0O3_8=11^;.b2bK\A]eC4BGrm_"trmCksdaS3F(":RVcHXMTc-O\[bKA#Qcd0k\cHXT1
+aT9H$rko_m_S<^r]Y;8%a2Ps5]stGT['m?HYHkLC]=n3Vs19ns]XkS[[^WfY\[f2UZ*UjI]=kkh
+]tq\-`P]X6`lH-@b0A>_da6=ddF?L]d%,[~>
+/#fbk`l#[3`QH6>`Q?<IbK@rLbfnDZcHjkacd0tde'umreC)^keC<%"fDX8+e^W'seCW7!ci23,
+d*9JG_8!_$^V%+b]"Phn^:qG%_oKd9`r='abKnS^d*pPEeGn)Xe^W'rdF-Ficd'h\bf\&K`PTU8
+aMl'9`lH-=_SO15aNMiRd*BhWc-=AL`QuoUbg"8Pc-OZ6bU^rac-4DWc-OYS^VIV!^q@:l^:_+m
+^VIb'^qmk%]tV>!]"Go"a2uNNdEqj>rmCemrltSkcHlL:(!k.Jb/qZDaihiKa2c?Hbfe,Mb/qa%
+`<!lmrkKGe^:_%i]=l&!`l,a1]XP5PZaI-DY-G4:\%2LJs0jVk\@/`KZEpsI[C*BIYHkOD]"GS_
+\\5hs_SEt'_8=(,`Q6<Mc-+5Laiqc<aHqD~>
+"/Dp5`;[U__8X:+^r475`l5m8a2e2%'?eVDbKJ,ScHjh^ccsYWcd0tcdf%Pnd/M?@d*pCfbKA#P
+cHF&?^V7G!^V%+b]"Phn^V@V%_8X@1`5fj9a32`Oc-Xi:cT':tcHXSVbg"AUb0.uNaiDE?_S<t,
+`P]R2`Q#p9_8*t1a2uKIc-+2Kb0%`@_TpKObKS&Lbg+H2b::cZaiV`KbK7W7^:h4o]=PVf]">Vf
+]t_4l]Y;%i]=u"g\\H&#`lQ<HbPfZablGueb6#o2bl5j%bf\&LaMl0?b/q`E`lQ<EaMu6?`l7qo
+"N/0r_SH/c)SWns\@T5_^;.V$^:h%_YH>"7Z*(13YHbOGrjVp9#e7=LYcb16ZEsP9(U:-IZF%-Q
+\$WTT^;%@n]=knl^;.S%`;[dV`W*p[^UD.MJ,~>
+*jE0!c-"2PaN)9<a3)ZObfS#NcI17ne'lgteC2msr72V4e(!(&f\+s1f@S[-f@8:!e'cXjci29E
+c,IcFa2H!7^VIk0_7[=j^rFI9`lH-@bgOnbc-Xnhg"P*0f%8U-f@JL&f%8O)rRECGcd:(aaj/8Z
+cdL+\a3;]Ha3`8[cI:.bd+$LhdF-IndF-Ooc.1FpcdDa@-.^PndaZUfb/VBAaiDE=_SjI6a2l?B
+b0%oObf.H<bKI]:`lug/dTk/FdF6[te^W+!f@JEudF-Ilda?Ffc-+DXbfe5TcHa\YcHaYWc-FSV
+a2l?DbK7fD_ns7)^:h=s^VIS!^:h4g['dBT]=+uL[^EQS]"5Mc]Xthg]",>[\$i[CZP0XJYHY:<
+[^j)e]tD"k^r+")`Q\>,!71Yl#LLlHf$D4YT7?~>
+*ilTc`P]X8a2l6;`lZHKbK.`FbKnVacHab`cd'har6lD.d*^Foe^i=%eC<%!eC2jpda?FfcMl-C
+bf%QB`l,m6^VIk0_7[=h^;S(3`Q#p<bL+\^bg4V_e^r@#e'ut!eC2joe'umrrR!+?bKS5Q`QHEJ
+bKe8L_oTj8_p$EKb0S;Rbg=YXc-FV^c-F\_ajJS`bK^%4'@P4PcHsbXai20=aMu06^;.V&_u@US
+a+)1PaMGU,a2bj*_T9sHcHjbZcHt%hda?Fhe'cRec-FV\cHXSVaiDQHaN)BDb0/#PbK@oHai_`F
+_o0L4a2Ps4^V7Cn]=bnm^;%@r]tD"cZa@0P]!\cH[Bd*G[^NZS\@8uW[^EKKZa-g=YHY75Y-5(8
+[C<]Z\[]/[]tXNZ&AZ?.ai_fObfn5Ob0@u=`gD8~>
+*i6!U_ns=1_ns1&_8OC7`l#[2`lcQMb0%oPbK@uPr6?&$bKSA[d*^7fcd0tbcd'h^cHXSVb5TWd
+b/4.s.E'6C^VIk0_7[=i^Vn+0_o0L4aj&&PaNMfQdF-CecHjh^c-4AUcHji7c?IIQai_W?a2uEF
+c,mo@a2Pp4bKIrHbfRlHc-+/MbKJ8Vc-O_Wd*g4^bg+JWccjSUc,duF_84.2`5B@'^VR\#_83q(
+_Sa=2^:V+t`4<Fn`Q?<Hb/hWFbKeDXbfnAZccjPSbKJ,Qb/qcH`lZ?C`lH0Bb0!l/aN)9<`lH*:
+^qmn+`l,a0^:h1j\[oJe]Y1kf\[]/SYHY=@\?i?@Za$dB[C*HO\$icRZa-j?Yck11XKJh2Xf\b1
+ZaI9Q[^ENO\@T2[]Yhb/`59I3`r=!]aM5+#Rt(~>
+/ZlG'ccX>M`l,g8a2uHD`PfjBd*g:fdaZjueC2mpe^rF&daQ^re^N($g=b*Vee6K\e'lgse^Mmi
+cHse[cHXJO`r=!]`PK=)`;[b?a2l<BbgFkddF-Ile^rL-f\"g,eCN:)g"=p,eCN7&eCE'ue'cOf
+d*gFlccjVXbfn>[dE^"_dEg%[c-au<d0\:Pf%&@&eC2ptrmjrre(!!qbKA&QaMbs5`l?'?`l5s;
+a3)QHai;?BbK@oIai_fOcdC1ieCN7&e^W+!e^W+!e^;[dbg4\_d*gCicHXS[ccjJMaMu9Cbfe)J
+a8X-\a2S%r7)HXL]=kni]"5Pg_83jsZF@HY]=5;^]sYJc]=>D][^<HQ\?rQJ['Hj8Y-G==Xg#.>
+\@K,[]=5>`^V[h$]tqh7bKKn/rlkVme'Q.ZRt(~>
+/Z>kia2>d4`P]X6a2l?A`5BX=cHjbZc-Oeacd'h^daZdocd:(fda6Fmf@JIMdf@epcj\=Mda6:`
+c-OSWc-49,`WX5q^;%Sb`<O?&`l?-Fci23Hcd:+if%/C%eC2goe^`7$eC)ame'l^mdEp7cb0%oP
+d*9_SaN;NEaj//RaihrPaN)EIcMbuocdC1gdaHLfcdDa?*mi6[e'#ePaN2<9^VI_'_o0F._Sa=4
+a2Z-:_oBa;rl$P2aND`Pcd:(geC2jndF-IjdF-Ifb/hZIc-+>VccjPRbKeDUa2Q*<`Q63Da2Q$r
+`^n"a_o':%\[f>b]",A`]thFs\ZrTS]=PG[]"GD[\[SrR['Hp@[C!0@YHY10VlHl'YcFq3ZaRBP
+\%8uV\\#Sh]",Poa2Z-taToo+a32T?`0Gi~>
+"JVp2`5DSj'>D5t_Sa:-^V7S)ai_]GaihrQbPoWoc-O_[b0/#Rc-+AYda?D>c6CKUbKS5VcHXPS
+b0.lKbK@lE`5KX8`4s""_Sj@0`5BI0`r+$[bSACKdF$:ccHOGTcHab^cHXSYcd'bZrlc8'a2c9D
+c-+2J`Q#m9a32WG`lQ<D`Pfd=bPoWkbKS8XcHsn^bg"H4cXtGGc-XPM_o9X4^:_.p^VI\#^:q@s
+_SX.)^V@V&_na((_SjF6ai_fNcHje\bfn>Vbfn>Vb/_K?aNDTGc-FMSaN;ZMai20:_SO42`P]O.
+_SX70_8*n'^:Le`\[o;[\%0&^]L06;Xg5CE[^<HP]!AfT[^3?IZ*1C=ZE:1/XfJ@qVlHo)XKSn8
+[^NQN\?iQN\@T5Z[^j2l_ns7*_8F4/`5TR'_O,i~>
+#HkMZd*'JMaSs3b`lH-@ai_fOrlterdaZdqe'usurmUnss4%5$e^W1JfDjJCf@JL%eCE+#e^;^h
+d*L%`bK.`FaN)BB`59I7bPoXIbK7oPdEp7fe'umug"Y66f[na+f@em2g"=p-f@\^,f[n^*e^Djn
+e'l^jcHjh^cHjned*Bn^d*L%ceC=KH!7_"urRV#!rmh)"rmMM0ccs_[bf7H4^Ve%3bK7iIb/jS(
+(!+D9bKS/Obfn8Sbg+S`e'uq!f@8:KeGmr3e'ujmbKA,WcHjnecd0n[aiDB>`l\5$!6P2\s2Y/Z
+5fL[Z_7dCg\@T>`\$ifX]tLt`Za[KT[^3BO]<SlVZ`paC\@AuS['R$D['Qs9X0&S1Y->.8[(!HN
+\$ifY^:sT]&AZ3(aN;WIaND`NcdL.\b*[\~>
+'</7TaMbs5`Q#s>a2Z->aN;TKbl5cjc-O_]cHjncrm:\ms3_"sda?PAeGn&%eC2jndJhQ.dEp1a
+cd'h\b/_NBa2Z-<_SO.2b5TLGb/hZHc-4DVcd:(gf%AU*e^W*teCN7&f%&:!eCE'ue^W'rdE]t\
+cHaYVb0.uNb0/&Ubf\&Nbfe2Sd*Vd<!7:_mrmD"ud*U1gdaA'?'%"hDai_]A]Xk_i_8OC5`Q#s;
+rl,\l_o9^=aMu?DaN;QIc-ObadaQ^nd/MGmcO8+IccaAKb08#Oc-QC4#0P$,`5KX9rl5#[rQ"rX
+s2@7A_ns4%\@/lW]=>;W\%0/a\?iKL\@8lO[(!WN[C*3>Y-G@@ZEUR:Xfnt4X/;eoXKS_.Y-5.=
+Za@0K\%0)]rjr`S^qmn,aMu3=a2Z0CaMGfYJ,~>
+$DOQ:`l#U-_84"*rkT/__o0O7a2Z->aihlMb0/&Rrlb>cs31Yic-4K2ci;?)cd'eZbg"GZcHOGR
+bKA&PaMl*s`<OB&_8!h+aSs3q`l,g9b/qcJbg"AWdF6OjcHXVXc-Oc8cN_\@d*L%bci23,bK7oM
+bK7fFaN2EBaND`Ka2Z3BaN2NKc2Poec2Q#fcN_\>c-FY]cMl$"c,doEa2Pg(\%')b_8O1+_SZ;f
+(;ISs^Ve"-_8O:0`5K[:b0/#RcHj_XrlkDb)9^:KaMc!:aiDNIcH=;OaMu08_SaC3_o'Fk_u@M=
+_ns7*^:Lb[[C<]T['R-I\@AoLY-PF@Z*:OA\?<3GY,e\/Za6p?Y,nY)XfSIrUo(/rXfnq4ZaI*E
+['R-J\$u@H!P,lB^^Ium^VRh*`5TO'_3KN~>
+1pFL7d*0SPai_]E`lH0Dc-O\ZbKS8[eC;sqe(3.%da6Ckf@JL&f%AU*e^`:(g"G!0f[g#O"4YfK
+dJhK%c-")Jb/hWFb/hTBb0Bn1s3(nsd*L%ceCN4'gYCT<rn78(pY#Mt!7h(trm2J/e'l^kd*gIo
+da6@heCN4$eCE+#f@SUQeH+7QrRM#"eGdqsd/VK.ccjDF]tD(ra32WJbfe&Fa2c3>aij\-s3:tr
+cHjh`daQ^qe^j`L&(T1XdaQ^rda-1bdE^%bdf.O)b/D08aNM`Lb/hTCaN;NDa2Z*;`59:%]"#5Z
+\[T#U\$roY\$WQN['R*DZ*Ug>ZEpd;Xg,:D[BQm?Y-5.;YcOn+XKAV-X/`;-Z*CXA[^`lX]YMA"
+^r443aMu6Abg"J]cH++oJ,~>
+2QX7(aMl'8`lZ<B`l?'Abg+JVaiV`Ocd0n^cdC4jccsb_eC2joe()ssdaHXqf%/@$e^Mspr6Z)&
+cHab[ai;BCa2Z3A`l5p=r6,nuaihrQbK\D^daZn%f[eU'f%/I)f)=,!f)F5"f)O;#e,[kpcMl!'
+c-O_\bfnA[d*BkZcHt"fdEp:gdaQ[nrmCbor6ZP3cd0n]bg"DVahtg'\@K;ja2Z-?aMbp4`59C1
+a8X0[b(%OUbKS5Vcd:%dda?FgdEp4bcd:(bbK7uQb0%uSbKJ,O_nj72b/qfJa2Q'=aN)<?`Pf^4
+_7mOl\$icU[^ENO[^`iUZa@*GZEg^=ZEpX9YH4_&Xg,7<XK8P(X0/Y-W2HPlX/i>$W2m/,Z*UaD
+[^NTS]tV4o^VI_*_nuc"aN)BEa2,]WJ,~>
+$)=Q<`PfX0_8F.h_'d+=a2uEB`5K[;bKJ&Mb0A8Xb/h]Kcd'e[cHsn_c-=S]dF$:ed*DL4&Br>@
+bfRlB`Q#j7aN2?<_oMc!'ZnG9`lH3BaN;ZOcHjqge'QCccd2U;s3C\lrm:_mrmC\k)U6IJb/hWE
+b08)PaiV`Oc-+5NbK\AZcHXY[rQkGf$.$oAc-FVZbfn9/aVDn9^Ugk\[^s5k_84%+^:Lti]=Yhp
+rkn`Ss2GAcaN;WKbg"GWbPo`bapQA<bK.]Fb/_THbl5`oa2,O,`Q6*?`P]O/_o2Plrk\uX^V%+d
+[C!?M[/I?2[/mS:rilF+s/n,]Z)Y"2X/W)"Yd1I5WiDtqX/r:sUnjoiXKAM%XKf"5Z*:RAZa.$N
+]=PPe^V@Lq]ts]e"N8*f_NfW~>
+,-eZ$cHXPTaiVN>a3)TLc-FSWb088_eC2joeCN4#daHUprmh;*f\+p.e^j]O!8%5&!S5g#eGn&2
+e'ZRhcHOGSbf\&OcHF;Lb0Bn2s3:nsdEp4eeCWC-rnRP.rS.\5g=b05gYCQ;rn7>(&D>dheC)dm
+dF-Rsf@AC#e^j`O%+a%`g=Og'f%8R,f@KrO"4l)Tec+/"eL&ktdaZgsdEg"V_S*Op_oTm>b/hK7
+_8=(.aihlOcHjkbe'cXke,7bre/?fff%&:#f%/C$e'ujmcdL=gc-4>Ma32fTrlP5_qo9Ysa2Z$4
+^V7Fq]=GDZ[^`lY\@K2_\[JiLZ*U_7YT'REZF%!BXfen4Y-+n*VQ-f'Ycb(-W3!%sUo=9r%'Zk<
+ZEpmJ^;.Ou`5MYl$-(-5c-=PYaNBj"~>
+!j/fHrPfGgaMl$9ai_fNc-4>Oaj/;]d/MAjdJqMnd*hpB#1V2Se^MsqrRCntrm_%udf.YodLspO
+c-FSWai_fKaNMiNa2Z6Fbl5cmb0/&Tc-4J\eC<%JfDjG#f*g0[eC<%"f@JL&f%0fM%ar\Jc-4DV
+d*g@id*U1grmM;(e(*$ucd:+he^`0ur6bVnd/MGmcmI/ecdC1gcHOAJ^Ugh`^;Ih*`PfL%]tV4s
+`5]g;ai_fNcHXSWcMZ&hcPb*WdEp4ddF-Fhcd:"]bKeJZbfe,I`lcTPrlG/]qo0Sq`l5g0^:h4m
+]"#2V[C<ZU\%&u[\@&WHYd1M4Y9BjFY->.2WN*&$WiE%oU8FrlXK&4sVQ-VkU8G&qYHY.5riua<
+]t_=q_8-&b$,ag*a2c9@_8MLe~>
+,,D<U_o9R3_83k!_8O=4a2l<?_o0[@bfe/ObK\;Ub0%oPrlt_od*^4cc-H:7!71Yk!RAshbl>of
+bl5`paiDB?a2Q$>bK.Z@a3)O'aT'9daN;NDair)XdJhVpd/D>sd*L"_d*gCkrR(Vk&(/\GaiVWF
+b0A8YcHXVZci28rcd:+hd*0b\rm1\lcMbuhcHXT4c2Z!8c-4>Sc-4;M_nWaiZ*_*V]Y2%m\?WEK
+[CErc^qmq,`lQ<EaN2NJrQQG.bKS5Ubfe5Ucd'eZc-48MbK\2PaiD<;aNVlK`l5mo_@jf+`5BC(
+]Xtee\@/cNZaI6M[JmT=['?d9Y->).XWaRBYHb@6WMunsVl-DcT;/<`WMcViVlQhoUSk8uYHY(1
+rid'E]"GYc^V@Fm\\5o$a2Q!4]Yp+d~>
+'sb?kc-=JS`Poa5b0A,N`lH6Fbg+W8dL=USe^W$peCE+!e(*(Lf`'J,g"=p,e^rFPfE0[Uec!u%
+e'H=ddEp/:bT"gMaMu<DbK\;UbK\D^d*L(fe_/^2f\"p6hVJ1c$/4(cg=tE;g=Y$VfF-Bef[S?t
+eC<%#g"HAW&)#RfgY:H7f[n[&eCE.&f`'J&f)F;#f)OA$ee?Zdf$r-qda?C``PTR6aiDHDaMRqj
+6GLI]b0/#TcHt(le^Djof@\^+eC2ptf@SU)f@\[*eC2stdF$Cic-")Ib0A5Uai26=aN2B>`5]j<
+`l#I!\\,ScrjDj:[f3c9[f<i:[6V%%Yd(C7YHOt.Yd1R=YHbC<Xfee&U8G#t[Bm';WNN>#UoCQ$
+Y-+e&WNj(L\$<3J_8*e#`6$6IaiM`Oaip3(~>
+'s=mZ`Q-$<_Sj@0aiqoJ`Q$$Bb0/*0cOA1JdEg+`dF-Ijd*gGCec+&&f%&9udaZeGeH47Ldf.W!
+d*Kn[cd:"^rQ>>fb/_KArQ,\na3)ZQc-4GZdacq!e'lk"g"?;T$.[PTe^i@'e^W+Jec42,e'H:`
+cd0tdeCFQJ&(T.Zf@SU'eC2gkd*^=mec+&#e'ujprmCborm;D-e'l^jcHje[a25R*_Sj=.`5KCh
+\cKFYrl.+Ab/qiQdEp.^cI11idEg+ad*g@idF-Llda6=fd*9h\c-4;L`lZHLbK.W?`Q-$<_o'I5
+`l5g,\%'&^\Gil:[^H+Cs0_m8s0O&VYHP15Xfeh+WiWA+XK/J+Xf8>"Tq8!WY-G12W2H_sV4sli
+riR*<Vl?o3]sb/L\%TGc]tq\/aMYp9`ko`[J,~>
+'rA"G_SjC0]tM(m`5fj6^qmt.`Q$%!apcJ;bfe,Mbg"DVbK\B4d/M>qdEp4ac-O`8ciVP=c2>ch
+aN;WLbK0\'#0G$/`P][8rl,Si`5]m@aN)BFc-Xndcd0tde'e6B$.$oBd*gCkdEp5=cjS7LccaGP
+bKJ,UdF/$A&(8hQeC;spdEp1_c-FY^d/M>scHje[bK\;WcMl)fc4J4Bai_`F^q7+e]Y;%k]t:`P
+YoC!X]t_A!`5BX=c-4;Nb0J>ZcHOJTbg+MYc-H=7,L+HXc-"2Pb/q]B`5g$Dai;35_8F1,^V@V'
+`5BC$[C3WV[f3T6['Tb=rj*rWYct72Xfeb+XK8>"Xfnq1X/rG'VPg;_S"HOXY,nV#W3*+tUT"-o
+(oX:/Y.2*NY-,1H]XYJa_8XC1_8="$`L25~>
+&[JskccsSO_SjL;bK@iB_oBjub7`%Ecd:+je^Mppe^`0te(*($eG[tuf*^*Ze^rI+g"G$0f)F2-
+f%&0qdaQUic-4AQrQ,#])9^:NbKJ/Xe'ZLge(!"%f[na.gtgc=g=tB\g&]s^r7V,($/=+`f%AX+
+f%8RQg&BV.g"P*1e^`7MfDsP&f_sM%f`0Vsf[eX(f%/?ud*U1gd*Bk\c-FVZbfn5L`P]O/aNVlQ
+cdL4ge()ssdaZn$f@AF$e^i@(f%&@&e^W!ndaZand*0bXaN2QIa2Gmi`E1!q_7[Cl]!nrKZaI3I
+Z*L^C[C3HJ[Bm-BXJi,#Ycb(/Xfnt8['['<YHk70XKf.A['-R5Z*(+)W2chpVl6MnYI1gDY->CE
+\@]Vsa2l<?`m)fNbF3q~>
+-a'hpa2Z*8^Ve(5b/qW>_SsX>b/qfLbg"J^dEg(`dF$=dcdL:jd/MGse'umrdaJ-E"P))ReC4?D
+s3CYk$-pc<bK@oH`l5pr`s^#4aN)HKd*Bk[cd2U>s3_/%f@\^)e^i=MeH=CQeC=KKs48(<e'ZRl
+e'ZRkeCE.$e^`-ue^`-sdF$D@e,@brec+(te,Ro1e'ZRidF-Cec-=P[c-+5OaiV^)a9or(_8![t
+`5p$Ab5TWtcHsn_c-Oheda6@ed*^:idEqm?&^\hIcd:"_bfIuMa2c?E`l#[f`)jjn^q71h\[J`G
+ZF%!DYd(L?['d6F['Hp>X/DntY-"Y#W2m#'Yct4,X0/CuW3*;1YcFb'XfJ=pVPpGkVl6MmY-k^C
+Y-57?[(!cd`5KR.^rOL4`Kbr~>
+0Vtnf`5BI,]"Ghs`PfR*]thS*`Pfa8a2lEJbf\&Oc-=JUbg+P\c-O_]cHjh^c-?76"OPQCcd)O7
+s3;(qb0/#PaN)?@`l5j4_u@Rt`lQ'8`Q?<Fa2lEHcHjh^cHjnddE^(bd*L%bdF-Fhd*M^<%+3ML
+c-=S\c-=P\dF/$A$II2Kda6=cc-F\_q9T)ds3:Shs3L_i"O,-8bfTh)5f^g[_nj1+^qd[s\@8iO
+[(3oc^r"(0`lQ<Gb/qiPd*Kt]bfn>WcHXSVbg"ARaNMiPb/qWD`l,d7`l#R*^qoub!5\ZO4MehI
+\[]/Y['$O8Za@!@YHY:;ZELC7Y-"h*V5C8rXfJJ&XKAY/Y,S4qX/2SfWi`M.Wi2u$XJ_nmWMocn
+(9+ID[]lm;[^EKN]"Pnr_SEq(_7dgVJ,~>
+&[Ajid*9\P_o'O;b/hQ>`5g%"aU?89cHjnde'cXneC4EFrR1o"eC2mrrRLu#r7D&%f)F5"f)O5!
+dM^HZccsYTa2c<Fbfe2SdETq^daQUjdaZdurR_;,gYCQ:gATe*gAfk+g'ufjg"G*4g"P68f[nd/
+rn7G,f\-2T$.mb\gY:H8f\"mUgAT_)g&]mYrmh2%e'ZPAdJqQ'dFH[mdEp4bbK.fH`lH:%bluGA
+da?IkrmV&#f@SUQec45#fDa>Ae^N$rdF6Rmd*Kn]c-+8PaMl'7a2l9<_o9X7_SQ5g+Mbb+]!elK
+Za@'CYd(L>['d<K[^<BHXJ`&#Z*:=1XKMQ-0X%U[Yd1I9Yd(L?ZEUO;Z*(.-W2HMfTr"ZdWiN8)
+YHbL@Zamid_8F71`m)fLadIY~>
+&ZrCXaN)9:^r"+5aiD?:_oBgta:$,5bKS8Xd*L"ad*M^:rQbJkrm1YmrR:er"k1uOe^W(Idf7er
+cl:<Vc-4GVb/hT@`Q-'?a2uTKb082YcHXY\cdMd@"k;,Tf$r7Kf)F5"e.:-^f[n^*e^W+!f@A?u
+e("BK!nPoOr6ku#dF6[te^W'seG[qreGn&"eC+?D"45?<c2Q#gbmr%GcHXVXbK@lD`PfX2a8X0a
+bKeDWbg-46"45KEdJhMmdJqYnd2^N\cd'k`cHOJPc-4>PaiD?:_T'X8_SX71`507g_'$M,]t(PT
+Yd1U?Y-,"6Z*UgEZaI-FZ)ab#XKSe*VPgHnXY?fTW3!/&X/rG+YHFt-Xf\V$VP^2dUS4N^WN*#$
+Y-5+;Y-57F]Y2(q^;.b/^r)Ce~>
+&YuME`PfU,]=Yks`59:&^;7be_[FE&`lH3DbK@rOc-611rQGDic-4ATrQbDgrm1\lcMl)gcMu)e
+ar&7CaN)<=_SX71`5K[<`l6!@bK7iIbKJ3/cNMVBd*Bu8d/VMlcjeCLcd:(dd*^=icd'k`rmCkq
+d*_d<#1(T@daHOiqTo,c"4,?@cMl&mbf\&KaiMO%`Y$>4`5KO/^V%+g\[T)]^;%J#rl"oXaSs?b
+bg+P[r6>8e!R8jfb8\[JaihoOaiMEBaMu3<_na"#_Sa4(^;.V&^V9]^'>;&j\$N6?Yd1R<Y-+t3
+Z*CO:Z2UpaWMHDlYck+-X/iD*XK&.oWN2trWN*##XfJM*Y,eM!Vl$;cTr"ZdWiN8)YHbL>Z*_$N
+]"S*Y"N/'g`0l,~>
+0!;Y+d*BhU`PTR5a2l<AaN;NDa2uNMcd0n_cd:(gda?Llda-7eeC;spd*gFpqUYi#e^W+HeI^6Y
+d*U7jdE]tYaihrTbfe91d07tJeC)dprmq5(g=uV\qqD5.gY:H]faHNggY(63g=b38hV8"_s4\=C
+f[nj1f@Sa2g=b05gY:H8g"P07gY2Y[s4RM.gA]_)fDO,&e'ZOieCN+JdK@nCc-$"/rQPAgd/MDs
+e(*%#f@SUPeH4=RfDX>5f@&4#e^W$ocd9tacHOGRao9?gaiMK?`5]j9^V7P`_ZR`h]=7dI*ON)U
+ZEpj@Yd1^I[C!?MYH"\.Z*1:2Xfek0XK&?"Y5b[:XfSY/Z*L^AY-"e*WMlYeUAgr&V5UDpXg#+;
+[^ilX]u%b.bKIlGQ[f~>
+$ECAKaN2B?_SX4/rl,2^`lH->`lQ=#bS/7HcHje\cHjeZbK\D\ccs_[dF8*E#Lh,Me'c[ldJVE1
+dEg(]cdC+`b/hTCaihcGaj&,VcdC.dcd;[>!n5]Nrmgns"4u,Tec+&#f%AX+rm`1Ae^rI(eC<%!
+f@\^*eCN-tdacq!eC<%"f%&:"e^`7%ec+(ueH+7OrmM;(cd0tbdEp1`cHt"crltVjbK7d&aSj3c
+b08,Sbg+S^rQtVlrm(VldJM>qcdL:jdE_a8#0Y<:bK7lIrl5Aea2Ps6`Q#g0]tjWa,f%+)[^<BI
+ZELF8ZE^U:Z*h'JZa@-CWN32*Xf84sWiN+tVPjBms/RQIW2Zl#Y-4t-WMuhoW262_UnsobWN*&%
+Ycb18[^<HQ^;%J&_nEpMJ,~>
+$DFK8`Poa1]t1kkrkSiT_8=(*_8F7i`rjE)b09k.%*Zo9aNDcPbf\&Mbg-15rQYJhbfp"0+O&!L
+air#QaiMK?`5]m;`5]sAai_iOb0%oPcHab`da@m;rR(YlrQtkrcHae`dF-PBdJqZ9da6=gdEp4f
+e'cUidF-Ijd*U+bd*U+ac-=P[d*Vd<!7(Mc,K\!G`lH3@`5KR1^qI=l]tD"l^;%J"_o0O6aNMfO
+c-FVZbl,d$cHXYZbfn5ScHXSVaN2KDb/q]C`Phbns252Z^V@Y'_7[CorkJWM]=>6HZ4sOHYct=5
+Xfeq8Yck=<XJ`&"Ycb),Ws#N'Vkp3fVuN\6VPU/iXKJe1X/`2!W2QPdUSO]^VPpMrXg#)0Z3mhB
+\A#bo_S<_#Q[f~>
+*NZWiccsYUaMPa0`lZEIb/q]DaNMfPcHXSVbg"K5dJqW(d*Bqae^Djmd*^:kf%9iN"4boMe,Ii)
+e'umrdaH^uf$i'orm)8*cHOMYe'lgse^W.$g"G$2g>(H^gAfq-g'$0cgY:HZfc8Yrf\5'6gtgcA
+gtUT;g"=s/g=k66h;-l>f@S^Qg'QNfg=b*1g"P37rRi%=f@\a-e^MsqeCE$seC2jod*9k]cd0n]
+rltksdF6Xsf@\a/f[p)Qs48+?g"P05f[AC)f[\BpcHstabK7iIbKS/Orl/9``l>s5^:qD!_8*ds
+]",>[[C!9H[C*<AWiWG3ZE^aFZ`gU<Y,\V+WMc_qXKAY.X/DnsWi2hqYHbFBZ`gR:Xfo"5VP0KK
+TW>/hSXlXb[^*0B[(3ia`5fm8aHqD~>
+!iW<=rPo\m_8!b&`lQ6A`l5p;b0/#Rbfe/Pbg-44s3;/!b0%uVcHXVXc-OedeC2kFdJ_Gkd0n=K
+dEp4ce'ujncHQ:2'@"\@aNW#XdF-Iid*gFne'uq"f)F5"f)O8'f%8L(ec+&,e^i=%eC<%!eCE."
+ec+,1f@JL&eCN-ue_&O+eC)dpqpc#(e^`0ueC<%"ec!tudF/$C'@P7Rd*^7ecd:"`cHODQb0.uN
+ao9EdbKS8Wcd;[=!RT0kcMu2kd*hmA'$o(Ye^Dadbg4Y\b/hWEb0.rKrl&3^`Poa1]tM1r^q[Ro
+\[],VZa-j@Za@!<WN35/Z*:OBZECC8XJi+sV5'laW2ZesVk^&cVPKuaX0&S0XfJM(X0&Y1VPB]Q
+U91SpSt2a`Z*1C8Z*h*Q^;%Co_NB?~>
+0qYDY`5KR1^q.%e^;7_)_SO%'_SsO8aN)<>`lH3DbKS5Ub/_QFcHFAQai_fNcHjf7c2Z#fbPo^0
+bKS2Rb0&#UcHOJRaN)BEa2Q$=bKJ,Sc-"2QcHsnadaQYDdJqSncP+[SdaHOidEp7dcd'e\cd0n_
+dF%m?&CJkOcdL:jdaZgsdE^%adF%p=&(&YKc-"5Scd:"`cd:%`cMl'!bK7fFaN2?=`Pf[2^qIIr
+rkArW^V@S$`5]m?b0/#Sc-?.0!R8jebp^`\dEp.[`lH6Fai;9:`5]j;`50=._Sa:-^:V"j^:q:m
+\@8oS[C!:=Z:D*tVl6]#XfS_5YcOt1Xf8D'W2-;fVl6MkUnFEWUS4?UWN<;/YH4h-XKJh3VP9TN
+TrbAlSXlXb[BQa5YI1pQ^:q4i_j>l~>
+%'6k[dETeR`l#a6`lJ)"#KOp.bKJ&NbPfX#cHt"fdEg+bdaQ[mcdC4leC2jpe^W.If)O;"e-4:J
+e(3+#rm^qr*7E6]dEg+_cI(%feC<%"f\+m/g"=s/f\,!3f\-,Ts4Iq8f@SU*g>1N;g"G-8gtLH\
+ecFCTr7V,&s47G,f@S^0g\]\)g&9V0g"=s1g"=s/rmi"<eC)doeCE.!daQ[ld*L+gdF$Fme'c^r
+f[p#Os47;&fDaA$f*0gYe^W-urQko!d*0_Wb0%rPai==u'ue22^V@V(_nNh"^:h7o]!\oS\[]!F
+YlCp+Yro7lXg#"2YHOt'WMuhqW2m##Wi)boWN3)$XKJb/Y-Y=5XKAJ)Z`p=$TqS6ZVkTiYWO&k4
+Z+%3LZ*M(B_#_WDJ,~>
+#H+cCaiD?<`W!^T_o2Pn#K4X(b0%iJb5KK`c2Q!"c-+8RcHjh]bK\A\d*L%bdehGkdf.Vtcd'nd
+e'e6Crm1Yjrll;(b/qiPcHjncd*^=ldaQ^pe'c^pe^W'tqUPVq&(B%Xe'ut$f$r-re'upueGdnt
+eCFKHs3q"r"k1oJeCE.DeKr_oe'umre'cXle'cXicHjkbda-4bccjVVc-OYZcd9t]c-Oearm1Sh
+s3C_kci22ici)2ldF-D?bmMbBbKJ&MaihlK`W!an`5TX.^;.\(]tD+n]Y1tg['R0L[^!!<YHG&-
+YX,InXKSe.Y-"XuVPg;fVPgDmVPBo_V5L5iW2cntWirJ%W2Z\rZEU4#U8+QaWMH5^WNiV-YdV!G
+Xf](D]">hAJ,~>
+#GJ-4`l,^/_#D"J^;'Z_#J\*n`Pod6`VmdWaNFM*&B`)9bKS2QaND`Pc-+8Qc-6+1!m]'8rlbPg
+aihuTc2Prcb6,l-b/jS%s2b8`rlbkscHje_dEp4bcd:(dcd;O9s3M;%c-=JWd*g:dbg"M^da?G@
+c2l8<rR(Vk#LC]AcHab^d/2/hcMl-<cHXY]d*L%_bKJ,Qai;<>`Q#s:_o0I.^q[_'_SX71`5KX9
+bK@rKb5TTablZ,6bl,``bQ5u3rQ%s[b/VKA`Pom<`504'^r""*]Y(tq^q71k]=PVc\$E?K\@8cI
+Y-"e,Xf\\*Vl?f"WiW;$V5^JnVPg>jVkp)[U8"HZV5L;mW2d)'WMunrXg51.rh:.'W2QJbUT:c,
+X/rV5Z*(7=\@8ubQ[f~>
+(9tBlccX;J`5Td;`Pom>aiMNDbKS/Qrlbu!cHjkac-+>WdF$=ecHaebdf%Pndf%Z@f@JL%e'c^p
+eBu^nda?IjeC<$sdF$CicHOS]e'cXle(31)g&9MBf[na-f[n^+g"G*5g"4j.f\+s1f@S^0g"G$2
+g&B\0g"=p.f\+sVf`'J(f\+sWfE0a[gA]b*gATb;g=b-2g"G$2g"=p-e^W'teGe"se-+4IdF6VB
+eI:$\f@JR)e^W'teCE+KeGn(ueofNoe'ZRle^MplcHXY[c-+5L`l5s>ai;3:aN298]tM1p]t1__
+Za7$GZELF6YH=k)W2[&+Y-"h/Y,eFrVl-DlXfSP$W2HSpY->(2Xfek1Xf\b.Y-+h-Xf8.pWMuei
+SXuONUo1/kYI1aAXg#@K]=l:PJ,~>
+-*+;fa2Gj4_o0R7`5BR7a2Z->ai_`Ib0%iKbKS8WbK7oOcd0o9bQH/;cd)O9/()emd*U7jda?Ff
+d*^7dcd:"`cHjncda-4acd'_UbKeJ\cHaebeCE*udf.]3daQ[pe'ZUne^i:#eC2pse^`0ue(*!u
+rmM"ueCE+!rR:errR:bo!n5ZKrmLque^aZK(tI6if%/C$e'lgre'umre'cUhcd'h^d*_g="jbK>
+cd:&;cO.qBd*U+ccd0n]c25fdci28udF-CecHt"dcHXT4b@eu=a2Z*:`Q6->_8O@4^qRFm]Xtec
+[^NKIZa6m<XK8S+Wi2hoYck11XKAV)V50ubV5UJqW2HMhVQ$Z!XK&;%XK/A$XK&>%WN3(uV5L;m
+W2#rVU84T_Vl?l-Z`^=0[C3NR_NTK~>
+(8e4K`504(^VI\%^V7M#_SO(*`5T[5rl#Jha2uKHa2Z0Abfe/NaN2NJbl,]obg+JWbg+MYbfe/P
+bfp%-"j"a+b0/!+aUZ;.`lZEHai_iQd*g=fci2;kci;>ocd'karmCeoqp,Gjbg"GZcMl&ocHjka
+cd'e[cMZ#fc3)>:cd)O7!m]-<rltPjd/ME%d*L"`d*U+ccHXVWb/sP$rP\lV_SX4i`;ddZ`5T^9
+ao09_aiMTHrlb>a!mAg2rlck;bK.`Hbfe,La2c9Ba2Ps5_8*n*`PTC,`PoX,]"5Pd]=>;VYd(OA
+Z*+).#-=c#V5:;qri6"!3iJjLVPg;jXK/:rV5'i`WiN+uWiW;&WiN8&XK8G'XfA7sWiN+pT:hsV
+VQ$MmX0Ak3X0&b8Z*V63J,~>
+'=56ibfRoF_SjI7`Pom>aiDE@ao'C0bg"GZcd'_Wbg4Y^c-=PYcd:"`d*U+bdF6Rme^W'qdEg4h
+e'S*As3MS1e'umqdF-LkcHaede^`1!e^rI,f[naSf`'J6f[n^*f@\d/f@JO)f\,$4fD=,$f@\dU
+gAT\-g=b-2g&BV.g"Y66f\"mVgAfh+gAK_'g'H?ag=b-0eC<%If)=,!eGdnueCE1Lf)OA+f@JO)
+f%'`J"OtuNe("9F#h7;Ne(*!sd*DX:%aN;?a2c9Aa2l<?_T0d;rk):F^:q7h['d0DYcb",Xfee+
+Vkp2dXf\Y)Xfnh)Uo(,hV5^PrVPC#gXfo"4X/`5'XfJG"Y-+k,W2c_iUSt/kVkKWQUo0u_VlHi"
+XfSY0[C<ZXa-M5~>
+'<ACR`P]U3_8O@5`5K[:aMu3<a8F(+aN;TJbg";QbKeGZbfn>UcHje\cd0n^d*U+bda?FecHOS\
+d*;R8s32A+d*^7ecHjk_bKJ/XdaHOidF6UqeC2nGeGdo.eC2joe'upteC2mre^i=$de_DodaQ_F
+ec4.ueH==Me("BG#1V5SeC2mrrmh%u"kM>Yf@JONeHOFOe^W'qqp,8hqU,;h#1:fDcHab_rm(Ym
+cd2R8"OGH?cHlC7)UZmWd*g@gc-+>SbK@oF`l?'=`lH*;_8aL2rjVs=rji0=ZaKe;5d%&bX/rA#
+V5'f^XK8G%XKJV%USXlcV5UJpV5'ldXKJe0Wi2nuX/W"oXK8G$VPp;aU8Y&jVkKWQUo0u_VlTg!
+#ct)/Z*UdF_j#Z~>
+'<&(I_8*h%^qmn)^V@V&_nj.(_Y_:Q`lJ)"+3):?b0.rKaN;NGbK@rMbK@uOc-4AUbfe,Ma2uNJ
+aSs6[`XKr1b0%fHaiVWC`Q67$bm)J@daQXld/MGmd/MGmd/VJpda?G@cMu2ld*Bl3blZ,6cMl/i
+c3)>:cd2R8s31bnd*L"^c-H=7s3:epdaQ[ndeqJrcd:"`c--%,s2b2[s2P)XrkniV`;[aU`r=!Z
+aN+8#)9L(Gb0%oOc-4GWbfn2MaihrOaMu9@aN):!_?n,s_Sa7+^;S%.rj`$?rjr6?Za9Y79Wk@q
+XKAS'V4sZYWiE"rWiW1rTqeN`V5UJpV4jZ^WiWA)WMli!XK&4sXf\Y(Vl?PhUoLJrWM?&YVQ$Dg
+W2Z_oWiN5(Z*1:6^Qj<~>
+'<nm`bK@oH_Sa=2`lH0Aa2Z-<aSsE[bmVbAd*Kt\c-F\_c-?76$..#Dbg"SbdF-GAcNqhBd*L"b
+e'lbDd1=[SeC;podaQ^rf%8U/g"?;T"P;>\g=cJWrn.;'rmq&"r7D8+f\+s1f[naSfE'[ZrS%M0
+gY1B7gA]b0g>(H:g"G*Vg]#q+g]-%1gY1<Zf`9\(f)OA%fDsP"ec4,$e^rC(rn%_6f@JR*f%&:"
+e^i@(f%'cN$J!YUe'QOleC2gkrltYmc-"/NrlJWj`l#[2_SEgo[C<`[]=YY_Za6g9XK&+tY-+h(
+Vl6SoVPL&fY-4n'Uo:;nVkp2`TqA'ZYd(=/V5:,lWMH8dY,nRsT;83STV\BWUSFQ[W2Z\oXf\Os
+VQ-c$YdCmOa-M5~>
+'<&%H`l5p:^r""-`Q#s=`l5p8`r='[b599gbKeGZbfe5Tcd0hZrlthrcHXPVcd0k^cMl#nbKS5T
+bKeJ]ci),scd:(ecd'k`dF-Lnrmh)!rmCque^i=%rmUks!7Uqqs3q"ts4%J+e'laoeC;srdaJ-D
+!S#Zsf)O8$eCFQJ#1_>Ve^W+!r7:l!rRV##!nPoNrmV"udF%s?qU,;j"jt]DdF$>?cNMV@cd:&;
+cNV\CdaHOirm:_mrm(encd:(dcHQ71'$8/4`lH0Aa2Pp3_SO!u[B['HrO>b4ZEp^:XfA.qXK8Cu
+V5C2iV5'ibXf\S!USk)jVkg)^TV%sYYHY++UnjlfVkTl]XK&.kSYDdKSu&0UUSFQ[W2Z\oXf\Ru
+VlHhuXKSt>`0>c~>
+#c4Q4_SX.,_86,d$,OKq_8*k$_8O:k`V[X^ai_`Ga2lBGbK%^'apH86aN)BGbf\)Mrl5;aa2l<@
+a2uKFrl>&[rlPVia2lBFbK\A\e'c\Dd1=[Se'c[kdF-LneC)^icd;[;rQYJhbg$.4!mSs5rll2'
+cd:%bcHX__cd'k_cHjhbd*L"_chu,idJMAldg4CLcd:"`c-+<0b5]Wlb/q`Ga2c3>`Pf^o`W*sV
+a8O*ZaV2h?bg+JWc-=PYbfn8Oai_cJaN+;""N\U#_ScAk$cBfp]t_=q]!eoP\G`rH[Bd'=X/rA!
+XKJ\*Vu<JQUS4EZX/r7pU8=ihW26;aTV%pVXfe_&UnsuiW2$)aXfJ@oSti$RTr4]^V59ucWiN,"
+Y,nFkV5jHp!jBA(J,~>
+&[&O]cHODN_o'I7b0.oIa2uL%bQ#cdc2Q!9c-Ob_cHFDUcd9t`d*^7fdEp1`cdL4dcd'e[cHOPY
+cHOS[d*BtbrmCu#f%/@"ec+/+eCWF0gtC<1fDXA>f[eU(f@\a-f%&:#f%8R,f@JL&f%8U/g&9S&
+f*0g\gY:H8rn7D+gA]b0g>(H:g"P3ZgAfn8g">!3g=tE;gY1?6rn.8&#2%V^gY:E6r7;/*f%&=#
+e(+EJrRV;*e^W.#f@\dSf6Giqe'laqe^MjhcHstcd*0YUccsVR`koX3`590s[^N]W\?rWLYcb++
+VPgAmYHkF8WiE/'XfA>!XKSe-W2HMgVPp;^T:r!QVPg>kXK/7nTqeBYVlZhmTq8!OSt;dSUSOc_
+Unso`Vl-AbUoUSrVld//]ZQOj~>
+';hnGaiDE@_8F74ai_]E`lQ9Eao9?\a8j?\asPE[cHXMSbg+PZcHjkacd:"_bg+P[bKS/Pb0.oL
+bKJ#Nbg">TcMl,ndaQ[md*hpC-.15og"Fp)daQasf%/C#daHUoeC2jnd*^=le^`0td*U1geCE(I
+e,Ic!e(*%#e^XTK!S#[!e-=ITf%&:#f)=,.f%8L'eCE+#f@JO'eC=KHr6kVpqU5Ssda?IhrQkMg
+!71Ykrm(_odF-Lnr6ce9cd'h^daHLdb0/#Rbfn/Ja32ZJa2Pm3_o'=&[^3?I[C#q<!j8W,rMLs?
+Xg#"0W2Qc!XJr+rX0/P'VPU)_V5L&XSY)RKVPg>kXK/7nU&Lf2V5gDeT:DRGS=QLPUSOc_Unso`
+Vl-AbUoUSpU8b/q\&OV^~>
+&u2J=`PfX2_SO(*`5TX1_8F41rP\`T!64uX-HXEPaMl-=ai_]Hb0.uNbK@oHai_`Fa2Z*;`l,j9
+`l,m;a2Z0ArlPDhcHaVTbPoa,bg4_eeC)^jdaZaodEp1acd:(ed*L"^c-FY^cHZ@4"jP?>dEp2<
+c2Pooc-Ob`cd'nbdEp;?cj%nHda6@gdf%SndLO[Od*^7he'c[ld*U(_c2>fcc2l26rlPJfaN;KB
+`l5mq`W*p[a2l?ErlG;cbKS8YrQ\?fc-4ASb0A2Sa2Q'>b/qcE_o0X<a2Gm1^qmk%\[JlQ\%0#U
+['Qs<Xf&%oW2m/.ZEC1+WiN.tV5C5nXK&1qV5:)hURe!LTqA-WV5LDqVkTmaV';e;Vk]oUTq@mI
+Vl$;fW2?GiVl$GmV4XK_XfA7sVPpc:Q%/~>
+&[/Xad*'GJ_ns:/`lH*<`Q-*uao]c1cMYukcHOJUbl5chb0J;WbKBe,"jP63a3)R(aoB?iaNDTG
+b/qcJcHstgeCFQL$.[VYf[\R)g"P-XfDsP&f)*u$f%8L&e^j`O!S5g#ed'j]g=b-2g"?8T"k_M]
+f\"mVgAKY#gA]b-gY1?6rn@A+"5;G^g&0J,g"P3:h:pW\fEU$\f%&:"ec+,#e^j]Nrmh)$rn.2$
+!S5g#e1];$eBuRfdaZamdE]t^dEK\Pa2H!9^V7:i\@ArT\$iZMYH4e$Uo(,lXKAV+XK2?#6)LT]
+Xf8(jV5U;dUSX`YU8+KVTq@pLVl?MbStVmRVP^&]Una`XSXlCJVl6A\R[g"ETq\<UT:r$VW2cr(
+]ZQLi~>
+#,eW?bJqH<rk\uZ`Q#m8`5]m?aSs0\a2lF&b6H29c-+8QbPoWfaj&)Sb/sV)"jG*-`5fpt`rEpc
+`Q,s;a2Z->bK\>[dF/$C$.@;Pe^Dprf%8INeG[hrdeqJrdaQXldaS3F!RoKrd0J.Ne^W'seC4BE
+"k1uNe'lhGebmqnec+(sf)F5!ecXIPe^XHE"4YoQebdi"e^Msod*Vd<s31Pir6YJk!7LkqrR*LL
+d*L%bd*g=ebKS;ZccjYVaNMiNa2Z-:`P]F'\[T#UYd(OAZE^O4X/2VhW2ZetX/`2uWBmAYWiW.m
+TqeK]TV8-SStMdNTV8!LTVnccT:VaNU84TWTVA-SSXZ.AUSk&cS=5t?U7e6UTqA$RUnafcXLH35
+J,~>
+';VY@`PTC*_8*h"^qmh$^VRh+`;[XU`5Tdqa9B`-`l5s;rl#&ZaN2E@`;RXYa2Gd._SZ;gs1TSj
+_SF")_84".aN;ZMc-FVYbKS5Vc-FY_daHOke'cSAc2c,ec3hnEcHXVZcd0k[bl5ilcdC.ecHXYZ
+rQGGicHa\Zd/MGjd/)/hd/VPldJhPsdEp:fcMPijcHsqacHXT4b6,o.a2\+trl,&Za2l@$b5]We
+bg"GZr6>;erlc2%c-4;La3)WMai_ZCaNDQB`5KL0_7[DY[nsH>\$rcPYH+_#Uo(,mXfeh/X/`+r
+Vk^)eWi2YdUo1,cUo'lYTq\9QT:MLDVQ$DaSti*WV59iYUS=NTS=Q=LWN)edS=ZFMUo'u^T;8Ca
+W!&rpZ,;iW~>
+"Ko2ScH#q%"i8!i_o9Xoa8F![aihs-c4A.BbKS2RaN2KHc-4>N`lS/$"O"j(`5hku(WXJ4`lH-A
+b0%iLc-ObbdaQ^sf%&=%f_sG#fDsP!f)O8+eCN:(f%/I*f`'M$f`Bg[rn-qt!8@G,s4[M+qV(o$
+s4dS-qqM)'"khP]g"P3Zg]?0`rn78&"P;5Te^sfQ"P22Vf%0ZKrRV"u!n5ZKrmLho,1=ujda-@f
+cHjhX`Q--A`5'%!]"#5XZ*LdH[Bm'<WhZ>crhpC-WiW;&Wi;nnVl?ViSY2dUrLt%%V50iYT:hdG
+S"QOMSXlFGT;/*NTDkT)St)CDT:_^ES"6.@R[BM4S=,_3TW"ilZb+;DJ,~>
+%&U2Dahkj1_SO%&^r$&gs2FrV!lrC*rQH)$b0%oNb/_QDb08)O`l?*AaN2NC_84(h`>?J.^r"%.
+`Q-$=a3)TLcd0tce'lane(+EHrm_&!e,%JmdJhJndaS3DqpYMn!S,^!e+V8kec+/"ec4.qec!tt
+f)F:uf)=,$eC2psrRLr!s4-tq!RoKqdJqPpcd:&;dJMAjdJqSncN)>kcT'4pcd:%abKe;RbKIoD
+`lQ-:^Uh%f[^EKFYHtXCZ)t%+USFZ`VP^8iWiE%sVl$8eVl$/WSt`%ZTG=/qU7e*LTUq[CTVJ3O
+SY;[JTq@gFrh1:%S"6.CT:VOASXu@?R$a>4R?j53USXol\&=G[~>
+%&9i7_nNdt^V@Io]Y=?[s2"ZN#K+O$aN;QFa8O!b`PTL0`Q#m7^q[_b_?@fl]Y)#X^_OMq^;.P$
+_o'@/`lH0Cb0/#Sc-4ATrQYGid/D>ncd'f7bQlD<c-=JXd*M^:s3Cblc-H:7"OYTBcHc@6qp#2h
+rmLhos3UVirQt;es3^kn"4#0:cMc)hd0e7HcHXSVbK@uLaSs3jaN;QFaiV]JbKJ,Rc-=PZrQY8a
+rQ6A,bKS2RaNM]HaiVK<`5op7^:Lqd\$rfNZF7<P['6X4UnjmeW=c/2XK8G#Vkp2cVl$5[TVSHZ
+rM(('UnOEPT:VO@TVJ3PSt_pOU7e$Jrh:@&S=Z@GTV%aFT:hgISXuFDR@0V@WMl_oZGMlW~>
+#HkJSb/D-6_u@IT_SjI8aSj0Z`WO9&b00e.(sC%DbKS/Oa2c<Gbf\#Ia3)QGa2l6;_oM_s(<+;6
+a2lHKcHOPZcd'k`dF-Ope^i='rn./#!S5ftfDa>$fD=/"f`Km_g]#n0g"=p/g&0S(f`Km^h#?%/
+gtVh^s4[P-rn.;*rn.M0gY:E8gYDY[!8@G*"PVVch;%t_rn.G,f@S[-rmqJ/g"G$1f@SU*fDaG%
+f)XD$eHsaSdaHUnd*U1grmP`3cd'qac-=DL_oKp>_7dLq]!euQYctF?ZE^O3WM?5aV5'oeX/rG*
+XJr(pV5'`VT:r'TS"H@HUo0uZS=ZCFS!fe<SXZ1AS=?.CSXuOJTUhXHTUhL:R%C%GS<fG'P*D2n
+P+&8IXg>UYP^i~>
+&#ZPE`P9.(_SEt%^;.V(`;[XY`5T^8a2uL'b8ACCai_fLaMu6@bKS,Ma2c?FaN)B>^qdne`<jAt
+_o'F5ai_]HrlYVlc-FY_daHUneGe"re,e"FqU5Aj!7L_ms3q,#f@KrO"OtoKe("<Gs3q,#f%9oP
+!S>p%ec42#ec+%uec+&#e^i@'rn%"t!7h(u!7h)"r71bqs3q"trmUkpr6bPmrmUkp!7C_krQkJf
+!7(SiD9^8Hc-+5N`koU4aMbj*]"GP[ZEgX9Yd1L:X/W(nUSO`[Uo12lX/i7uUnsi[T:MOFU7dpF
+St;[QTq%RCTUqX@S=Z:@SY)IBSXl7?T:VXESY2XHR?j53U7n'AP`_)mP`V#pTqnWi[_e/W~>
+&#6,7^:Lkh^V7Cn]=ktq_>_7L_&pP3`Q#s>aMu0;`l?!8_84%/`59=)^V[k'^VIOp]>+<[(r!c#
+^qmt/a2Q'>aN)?Bai_iPc-4DVcHc:4s3:VhrlbDfcMl&gcMGleciVVDdf.Vsd*L"`d/;;kc3M\B
+dF$Cje'e6Cs3^nprm1Ymrm1ksdaHOkdaS*A!RT0lc2c2icj\7JdEp4bcHXPTb0/!,aoT]0r6,,a
+rltGf!6tMes2tYibKS2PaN;X)bTt?Pa3;]IaMl!2`6$!6]Xtkf[^ENJZ*^sGZEC:0V5:&eUo16k
+X:2/.V5C&_TqJ'RV5'R[Te3+>URmsHTUqX@S=Z:BT:qmJSt;ICTV%jISY2XHR?j55UnaNMR?s5*
+Q'@W,rhoq!ZGDfV~>
+%Bm1Wa2>d5`50F6`Pfdq`tc\;aMc';aN;TIaiMNDb0.rKaND`Nrlb>a$I$f>ai;B@`5K^:rl?)"
+aiVTFc-FVYc-O_]bKnSadaZn$f@JU,g"G$0rmh2'f\+pTf)s[Yg"?2T"5;Mbh#5qAg">!3gY(<7
+gY1?7g=tH;g=tE;g=lP\"52>Yf_sJ-g=t?6g"P3[g'l`kgtUQ9g"P38gtgc`gA]e*f_sJ0f\+s1
+f@JO)f@^&T!8%5$!7h(u,LXuedaQUkdaHUkcHX\_ccs\WaMl-<`P9+"^:q.c['m<GY5YF]W2?Jf
+USOZWWNNG+XKJ_-Vl6>]SYE!YURdd>S"HUTSXGt>SXGe1R[]b6R[TV2S>)^LSXQ.ATVDCW'VM.k
+S"$"=P`LojP*20+W2d#1`Kbr~>
+%B-GC_S3e'_nj7/_8*qe_^37?`P]X5a2lBEaN)<@ai_`Ga2uNJb0.uNb08/Tai;B>_84(.rl#kp
+`Poa6ai_cIaihlMaNVrUcdC7meC2suf%/C$rmUkr!7Uko"4PcLe,.Vse^i@(rRDY4e'uq!eCE+#
+e^W."f%AO'f%8L'ec+,%eC2jprR:r"f%/CNf)F2)f%8O)e^W+!rRUkrr7(\q$.RGQda6=fdaHVC
+e,[qrd/_PlcNDJ;cHlI7=3o+5aihrPaiMN@_o0O3]t:nh]XP5Q['?g9W2Q\mV5L)`UnXHYXKAP'
+XK8FuVP'HLTVSBWS!KA.SY`*NQ^OJ:R?j2.S!ob6S!fY6TV%dER%0b@UA^\uTV7sHS"6"3Nf]Kg
+Od2K4V5^f;Oam~>
+%AKc-\[T,a^V7M"^:h;\^^%]m_S<n&_o2Mm35i_R`PfX1`5Ta8_o'@.`5]a3]t_:o]YD4s^qmh'
+_SF%.a2c0=aN2E>a2uKHbg4V[bg+M\dEqm<s3D(uc-=JVc-FV\d*L&8ci_\De'n9C(!t:RdF-Ch
+dF-Ffcd:%edF$Ckda?JAdK@kBcHlI9#1:lId*^:irR(Yo"OPK?cHlI9(sgUWd*L%`cHXPUbg"AU
+bKS5Tb/qiNbg$(2rlkGerl\*[ai_fMaiV]KbfRoGaNDZHa2Z'6_SjC,]Y(qk\@&`R[Bm*>XfSM#
+WMQGgV4ailYcXt.XfJ=sTq7mOVl6JcS"#tAW2?/TR\-.=Q^=0?RgkmYS!ok@TUq[ASXuLKrLXds
+U7e'JU7dp<P*VE#S#!!ZVQdk$J,~>
+(pUNfaMl*:_o0U:`l,d3`5]m@aMc':`l@tt!m&O+rl>2bc-4?0aSj3r`PTF.`5BF._8=+._o9X7
+`lH*<_oBjubR;_CdaQe!f\"g,f%9iPrRq5's4RG)"khV_g"P3Zg&g$ag\KP&gAot,g&K\0g"P07
+f\,!4rn7>*s4IS.f@S^/gAT_%fE'[ZrS.8(r7h5)s4RD*rn.P1g"G$/e^W.JfDaD(f@JLMe.C*V
+d*^:jda?IhcHXY^eBZ;;b=K^o`4idn]=YPZZa7$FY,S:rVkg)bUnji^T;\lnW2HYqVkBKIS=l^T
+Tq7mQR[KeBSX>b4S!T;"P*;,qQ^O/%OdVl8T:MGMT)YH"U8+HUT:MIATVeQYR$*VtR\?RPVmja5
+J,~>
+(ojdQ_nj1-_SjF3_SEq#^r"%0`P]X4`Pqeq!lrF(rl55cbfn5MaN4>%(<+/+_ns4'^V7Iu_8!h'
+_8=+,_8!k,rl>Jic-ObceCE+!e'lhEec42#ebmqsdfn7OeC<%"rRCu#f@KcIs4.2#rm^ts#Lq;S
+f$i.!ec+(uec4,&e'c[oeCFQJrm_"urmLntec"(seHFCNeCN4Mec4.uec+&'e^W'rdEg+brR1\o
+(t-gYcd0tcdEp1`c-FY\cHXSUai_lTb/jS&8B/Tb]XPD]\[A`JZ*LX9Vkg/cUS=T[UnjcXW3!)!
+Vl?\nTUM:<T;89USXuUDQCOV;QBdi,Q]dGnPa.Q%R[92#R@p4ESXTPLs.C1&US=ERSXZ.BV50`O
+PEM/tS=lFIZGVfT~>
+(8Rq;]=PVh^;7\&^V.:l]t_D$_SO++rPSWQ!QDtU_?7ct`l%\h(VdVm\%B;b\[o>_]=bej^V7Iu
+^V7@q_u@Usa2lEHcHjh^c-4DVcHab_d*^7ec-+;Sc-FSZcd0n_r6YSoe'e'>s3^nprm:\ks3Lqs
+da-:fdJhMmdJqPscd'h_d*_^:s3L_j!71Vjrm1Vlrm:\nrm;8&cHje]c-=P[cHXSVbKA$,bQlD=
+cd'eZbKKn/"3\g.b5TTaaqMn;`lQ?KaiDHCa2Z*8]stVa]!q[G$+74HXJr5"W2HZpW%Y'BWiiM)
+WN3(uU7@^EUT(5iUSFcYS"ZXLR@'J6R?Wl!QC"#0Ssu"/R@p4ESXTPLs.C1&US=ESSXZ1FWiDka
+Q'Rl2USOHQY/$<Q~>
+(:(Ehb/_E:_8aL6a2c0;`Q?6C`l5p8rkf2`a2uKF`l?-Ec-",Ia8X-ca2Gg-]=c#!_u7@f_Sa4,
+`5]g;`P]R3aihoQbg"Pcf@AC$fDa>%f@^)Ur7D,)gYCQ_f`9b#g\oh6g"=p.f\5*6g"=p/rRhA+
+f\+s1f_sJ*g=t<6rRqD-f\,!3rR_,'rS%5)r7_2*&),^if\,!4gXk$/g"P-4f`'M#f)OA%ed'^R
+e'upueC+?Ds3Uelqp>AerlZ%u`PK7#]XkVYZaI0GZEC4+W2?;^U]$nnUSk&hVPgDlV4ddZ*i#U/
+U7nHYTUqO;R$a/$PEM)qQ^*f#QBdYsQ'n)2rgj+Yrg+FjS=,\3SY)UNTqJ!DQC=80R%U(J\&jqd~>
+(9=[S`koO-^rF=/_o'=+_8XC3_o0L2rk],^`lQ9B`PopAbfRoFa8X-ca2Gg-]=c"t_#:q`^VIOs
+^r!t+_8!_#`Q-'AaNDfVeC)ameGdnteCFQLs4.+u"4c#Tf)F/!eb@YneI0mUdaHUpf%&:!daS0E
+"k(lLeC2nFe-"7PeC=HI"k;#Of@JINdf@nrec")!eJ-K\e(3+#eC;sse^`7!dF6UqeC;tHdeqMm
+df7]"cd'h_daHOhrltJes3(;`s2b2['un/+]=PS`[]m$CZEUR7W2?GgTqA(XTe)q8W2QSkWMlYd
+T:_^HU8=ZZTVS6NR[05)QBRGpP*20!QBdc&QB[SuR@9ZFScG5YQPZ-]R?j;4T:r$QT:M@9R[KJ*
+S!p"U`0#Q~>
+(8\%?]t:kg]>MJ!^qd[t^;@b'_8=(*rkKDf`5T^5^qdk-a2Gg.^VIY"]t1\ZZ*LmO])B,U]">Pc
+]t_=t^:_(l_SjF5`Q$$EccsYVc2Pofc-H=9#gglBbfe5Ud*Vd;!mf6?p!Nlgd/M>qdF-Fhcd'l8
+ciq_@d*U+brQkYoda6A>d0\1Gd*g=fcd'e\rQkGhs3V\1cd:+gdEp7ccHjh`bfe8Vcd'h\cHa\Y
+rlY\ncHa\ZbK@uNc-=K2b5]T`aSs9_b0/!-a8a3qa2Gd+]=YV_Za@0KZa@!>X/i7tUo4-f#cXi(
+W2ZhtVkX0a+/>a6WMcVnVPBcQR[TY1PEhAsR@9M1R[]b4Q'Rl-SGo)[Rf8WYS",n4R[p(ErhU$t
+R[9S;S=6+>S?9VlJ,~>
+$aI1[aiD<7^Vn"*`r='ZaTTZ(`Q#jp_\0r/ai_TCaND]J`l5p;aiVQ?^](qO^Ve"-_8=(g_&'o'
+_oBa;`l,g8ai_fObK\D`f$i'rf%0iP%bTIff[n[+g"G*6gtUQ9rn@>*pt>u+f[e[,g"P-YfE9g\
+g"H>V!87A(s4RA)$/=7ig=Y$/f\5$Xf`0Y)gAfh1g=tB9g">!VgB60_f\$2V"5)5Wf_sM&fEBgW
+f%&=KecXIOeC=KJ"k1oId*Bu8ciVP=c2Pp(bK@oF_SEt#]=>5V\$`EAX/W"oUS"*LT`1YbUBIEk
+WMuipVCn[<TVJB^VPBo\TUV12R$X"uPa%H#Q^!YrPEM)kOHc*$SXZ+;R$O&*Q^3r+SGo&hS!ob1
+R%9Y.P+A5C\B("e~>
+$`^GF`P]L+^;Rh#_Z%LR`<=)q_SsFk_@jf,aN;B?a2uKF`Pfa9aiVQ?^](qO^Vdq(^;%G^^)+Gq
+^V[n+_SEt(`Q#s?a2uTRe'QFfe'n<G%b9.]e^W$se^`7&f@JL%rmgtupsfW!e'ZUmeCE(Jdf\+M
+eC=HG!7_"ss4%"t(Y73he^MspeCW:$e'lgre^`1!e^i=%eG[krecXIPe'n<G"4P]He,@eqdfe+H
+dEp8<d0%bAd*_j@"jkQ?c-"6-bQ>u1ao9?ua2Z-:^qROp\[JfN[Bm!:WMcShU7RmHTDkJfU8+Q_
+WMuipVCn[<T;&0ZV4s]WS<oA%QBdSnPE_<!R$El!Pa%AoOHc*$SXZ+;R$O&*Q^3r+SGo)ZRLGUN
+R[oh-NL60/[)8&W~>
+$`'c1]Xtee]"u(k^])(L_?@Zh^r+"e^_4N&`PoX/_SjF2^qRLs_83jr[JdH9\[oA_]"7jN(:q/n
+^qd^u]t_G%`5]a7aNVoOaiVcNrlkqucd:%bbK\;Uc-FY]cHcF8!7:PhrR(qud*Bq_d*^5>cNDPA
+d*Va;!7:_ks3U_l$e!MPdEg+`d*g=gci25ici;8jci)2jci2;kdK7hCci),kc-4DVrm1Vis3Cko
+c-4ASbl,cgbfe2RrlkVib0%iHaSs<\arSUFa2c9Ba2c-7^V@Fm\$`]T[^!'>XK/A"UnXW[rhTgs
+VPgDoX/c/t0r_(IUo18pX/W%qURda=S!oV*QC!r-S!]M.R@'>+P*ME)St)=?R?j2,R$X,.SXuGP
+T+%9WR@p+:PFS&3Xh^0O~>
+"g>;M`lQ-u_>h7Y`Q63FbK.ZA`l5j5`;[a_a2l<>aihfF_SlGn(Wse8^qRV&`PTL0_SO./_na%&
+_Sa:2a8X'YaSs<]bR2V@dF-IleCE+$f_j>*f%&I.gY1B\f`^$`g=b0Yg&Th(f`'S2g"4g,g"P'0
+f\$/V"khP^g=b-WfaHNgg">!4gtUN5f%9iP#2._agY1?6rRqD-f\5-9rS%8(#M@YYg"P05f`'M%
+f)F;"f)F:ueI'dRda6:ddaHLebl#^9bfe,LaN)68^:_%f\[SoJW2?AbTq7dESY2[MTV%mQW3!"r
+V5L>lV50o`rh_]OT:D=9Pa%H!Q'@W$P`q2iO-#KaN/Wj^R$sD+QCXV9S=5k7SXc(3P*D?$QB[f+
+Q&h)uTW,KBR=G~>
+(T=IJ_Sa7+^r!ds_8O@6a2Gg1_o0F/_u@V#`lH*:aNDTB_8F73`lc?=^qRV&`PTL.^V7M#^qICn
+^;%G"_u@LQ`;[aUa9p)6cHjh`dF-Imebmo$e'casf@JOOeH=CQeC=KJ!7^qqrm_>)da?Lme^Dmp
+e,@f#eC2sueC4BG(Y.*de'ut#f$r*pdaZgteC2pte^i:#eG[o#eC2mreG[qse-FINd+$UreC4EF
+rmC_nrR(Yn!7Uhn$II,Fc-"8UcHODOr5gJ1a2Q'<`PTC&]"#5Y[BZg2V5'`WSXZ+=T:hjLStDdV
+XK&.oVlHYjUSFXaV)b<BR[02#P*;,oPEqJtP*(ifOckfdNKB?kR[B;)SXu:?R[KV8S=#P(PaRr+
+QCF>-NK0BrV7"1)J,~>
+(S[h6\\,Se]Y1kc^;7_*`501%^r!n&_>_@P`"^)'_o9O.]Y;.p^;@Xr[^<KS]=5<L\I,s^]=>>\
+]=bek_#D(K_>_=N`<jT,aN2KGbKJ/UrQYAf&^/JGcHXVXbg"J\cd'h^cd:&;cN)>kdL"=IcHjkb
+cHab^rQteqcdC.eci)3!dF-Cfd*gCkd*9h\ci2;icNDP?cHcC7"OPKAdaJ*A$II)Dc-4>Ucd0ta
+rQbGfrm(Jerm(Dc$HpT7aiDNHbK7iGqT*9ga2c3;^qI@j]"5G\Z)jt)Vl$5_Tq\B\V50l^VlHo$
+W2HVrXJr.sWN3)$WhlAZS!]P1R@'A2R[BG,Pa.Q$Q'.8mQ("53Q'e2:S=Z7?S=cCAQB[]*SXGb3
+SX>S(R@'SJ]p4*~>
+5HM0-aN;H>`5KO0`5]j=aiMQGaMYs8`Q-'@a2Z*=aiVWC`lQ6A`PT=#^;@k-^UUee]XbVg_SX.,
+`5BF/`W!dd`lH-@cHF>NaihuXf%AL%rmh)$rn%D+f\5'6gA]b.g=tB9g&9S%f`9\'f`9\(fDaG%
+fDO;#fc]#'gY1?5g"P05g"P05f\,!3f[na-g"bE<f[nm3g"G*Xg^;fgf\,!3f\"m2gA]b*f`'M%
+f)O8,f@eg.e^W1%f$jWJ$J!YTdaHOke'cXir6>2`.a#lS`l,a/]=GAXZa$[5W2#rSS"-%BUS46J
+S>)jVUnXZ]UnaTWV5U;erh9@`2OftnOHPimQ("#"MMI(MP)tNSMO9m#P`_#iR%0\9StVjKQB7,f
+P*qZ"OI;`3R$jP:VRXU2J,~>
+5GbEn_o0L2_o0C*^r""-`Pf^7`PTO2`5]j<`l5m9aN2E?`Q-'?`PT=#^;@k-^UUec\[Ju[^V@Lt
+^q[Rt_>_7L_[OK+a2Z*<aNMoYe^;eDdf@nsec4,$e^i@'rRLr!!S,]ue,@bre,@bre,Iepe,Ien
+e,Ii-e^i=%eC2pte^W+!e^W'trm`"<daQ^tf[eO"f%&:"e^rF(eC2jpeCE'te'upurmUqsrmLen
+s3M)#eC2jmcdC1hd/ME"da?Ffcd'h^cHXQ1ao09Z`[A^A^qI:f['R$@XJr+lSXZ(;S=cOKS=5q@
+Unsl]Unsl^T:r'YVP='_31ZS,P)YH_P*2&tQ&^]WMia-bN/*=ZS!]G&O-5m#S=?+DTq.L2NfT?l
+R$<c'T:D77R[KkV^lj3~>
+5G+dZ]=knj^VIOp]t_A!_SO(+_SF")_SjF4`59=,_o'@+^r!t']t1VX[(*`Z[B-O<['?pG]"5Gb
+]tCqh^AbeV^;.P#a2Gj1^qmt1bg+ARrlc,%cHjk`cHa\[c-4DVcd:%bcHXVZchu/gd0%bAcHcF8
+rm(Gfrm2e8daHOicd:(ed*U1fd*L(ddEp4bcd:(fd*9e]cd'h_rmM8'dE^(bdEp1`cHji9c2c2i
+c48+EcHOMXd*L"]bK\>XbPo]lc-4ARb/qiNbKB_'s2G)[aSs4i`P]O+]"#5X[C!3AXJhnfTV8*V
+W2?;]TVeZcVPL)eVPU)cWN<.uVPgAhUS!s=Pa7Z&R@]k2Nf9$`R$NknOI_u3QBRGqR\$+ATVJ9S
+R$*PnPb";/OdMf7S!oe2R]O/aJ,~>
+%C!:[aMu-6`5BO3_o'Fl`<=6&a2>mq`r=!Z`P_\p$H9s'aN)<=_8!b$rkBqr]"5Pe\\,es_7m_&
+_nj4-`5KX8aN;QHaMu3=air)ZeC2pte^i@)f\-8Vs4[M+s4@e6gY:E6f@S[.g=b03g&9S'f`KgW
+f)=8!fDjJ5f@\d1g=b-1f@o!4f@S[Rf`KdUfDF8$fFcong=k<:h;-l?f@S[-f@JR+r7M/'f%']J
+'%PRcf[n['eCE'qd*^7hda?Fgrm+Tibfe5Ud*U+\aN;QE`P]R.^;.Ou]!o&PZ)t%%St)7;R@Kn@
+S=?"AUS=BPU84TYU8"EZVkp2aTq7^<Oc>B_OH#-UNfK$TNK9-ZN/j'cQ]dDjPl?sdQ(+D>T:;.3
+QC!r*Q^*c$S"-">S=?@d`g)&~>
+%B6PF`59=+_o0F-^V@S`_$%Zo`59Il`W!jX`5;Mm$H0j$a2c3<_8!b$rkC%u]"5Ma[^j/g^:V(o
+^qRS!_84",`Q#p<`5BI0`lZHNdEp:hdaQ^re^i:"e,Il/eC2ptf%/@"daHUoe^W*teG[kre,n+H
+dJ_Pldf7c+daQ^re^W'rdacpudaHVCe,e%Hps]o-f%&=%f@\[(da?Lle'cXle,7\qdf.Yld!a<j
+e'cUhd*^4bc-FV\cd'e[bfe2PaN)BEbfn8L`5T^5_SO%%]Y;+m\@&ZKYcOh"T:MC;R%'\<S!oe=
+U7n0MTqnKXU8"EYVPKu]TUhF4Nf8sYO,JjPNK&gRNf]?^N/s0fR$3SmPa7W#Pae;=T:;.3QC!r+
+R$O#*rgX1^R$OGS_2s0~>
+%ATl1]=PP`^V@Lr]Y(rW^+[:<_8!h'_84"+_nj('^qd_!^r!q%]XbM\\@8lRZ`gR>['I'M]=GA[
+]Xt_d]=e-V)o0;,_SEn!^;%P(aNDWIbKJ,Tcd:(dc-=P[cMbuncHje\bfnAZdJVAkci28mccs`5
+cN)8gc2Z&ucd:(ed*L"_dF-CecHlI9!mf-;rm:\j'[=hFdEp4cd*pLnda6:bcd0n[bg$%1s3:Pe
+'$\YEc-O_]bfe2SbfIlIai_cJr5`Tm`Pfd;b0.rG_o0R5_ns7)]t_=q]=>;VZa$[4UnXKQStVsT
+TqJ$SVkp,^V5L2cUnsugX/W(sVk]lRQBIGsQ'%)fP*1lePEhDrPEhK&S!K8&R$sJ3R%9qGTq.R;
+R$jA4S!T>)SGo)`R$*l>]o[a~>
+#I(YVai;36a8X*Y`!"*!`5K[pa8a3ba2Z->`l5jo`;RXj`5BF,^q[Ll]">Ma^V@Fp_o0F+^;%J_
+_&'u+`5Td<b0%iIai_lSd*^:jeCE+#f%9oRs4@,"rn7;'#MIhag"=s1g&BY(f`]sYf%8RRf`9\'
+f)XJ&fDaDXf@\a0g"=m-f\+p0f@JL)g=k63f@em3gYCT=gY1B9gY1?5f@JL'f@\a,f@\a,f$r1J
+e-"7Pe^aWL!n>]Irm:hre'lbEd3d;gcHXSXcd:%bc-4ARaMl'6_8!h&^V%(a['Hj6V4jNOR?s8.
+S,SpMStDUFStVpTUo'o[Tr+`bUnOBJQBRAkP*1lbNKB<_MiE^TM2RFXOd(rfOd;B%Q'7K$S!o\1
+R@9S1Q^=#'QBmo,Ssc%F]?$7f~>
+*N?6W`PK=*`l?!8^qdh'^qdh)`5]j<`l5p:`PfXl_u.Ff_nj.(^Uq%f]=GMd]XYPg_8!Uo]Y4<Y
+(Vdc%_SjF6a2Z*<a3)WNcHjkbdaHUneGe"udehJqeCE+!rmM,%e^W*te'unHe,Ro#e'ZRke,Ihs
+e,@\pe,IepdgOUQe()ssdF-Lne'n<Erm_,#daHYEf)OA%f)O84eC2mre'cXjdF-LmdF-LmdF%m=
+s3^knrR(Yl!71Yi"4,?@ci)-8bf\&KaihoPbK7iG`l,a1^q[Rt^V.4e[C!6AW265]S!]M-R%"#D
+8tDQES=Q=JUnjl_TV/-YV5']SQ]mMkO-,QbMi<^ZN/WdWNJ`XTPEM2nO-5itQ^!YuR@BY3Q^O;2
+QC!u+Q^F,,R[f_1U:8%%J,~>
+#,A0-]XkVbrkT;a]tM1p]tM1r_8=+-_SO(*_nj(%rkABH(V[Po\[]/YZ`gU<Yd(XH[C3][]!f&V
+\G`rR]">Sf^VRe'^qde(`Q#s>ai_fMbg+Q6ciMD8qp#/b!R8phbm2SBd*U+bd*Vd<s3M%tc-=P[
+d*U+`rQP5crm)5&cd1"cccsb]d*L%`c-=V_dEhg9#0kH?dF$=frR(Yl$.$oAbfe5Tc-+?0blc25
+bfp(2s31Gds2tDbrlG8bbKJ'-aU655a2Z*<aND]KaSs4'`P]R/^qRV"^V.1e[^<?BWi)\eSt)=B
+TV8'PU8+HVU8@jd6)^WTV5gVtWMZG_S=,V,Q^<quOd)/oOctulO-5isQ^O,&QCFG8R?s80SXc+9
+S"-"9S"#e0Q'[r0T9bY0YJ--L~>
+#HtSWbfI`?aSs0f`5Tg<`5BR5a32WHa8O$X`W!a^`5T[4_ns=/^qRM\]F;?_^qmb!_8=%']t;#X
+_$n2u`5T^9aj&&Rc-Of9df7hseb7SofDjM&fDjM&g&K\,f%8U.rR_Y6f[na+f\,!4g"=p.f\+pT
+f+lrkg=b-1f@\d0f[n^*f@\d0f\"m2rnIG-&DGdgf\5*7g"4d)f@ej/eCFQL&Co:[e^`7&f[\L$
+e^i@%daJ*D$J!YTe'c^pda6=crm1Vis3NUKc-+2J`5BI.^q[Ol[^EHEVkg)]Ssu(3QC+/4SXc1>
+StD^OV5U>eT:i$YV4sTRS!fY.rfSstO,oBaNfB$WM2$hGOH5NcOcu&rQ^3epOd25uQ^O8-Od;>u
+PE_8pQCO>3Vn1!8J,~>
+(T=ORaMYg1a2c3<_8=10_8*q)`Q?3@`VdXS_u@LS_o0Il_Z.LT^qRM\]F;?_^:q1j^;%Cp]"#BO
+^'qcl_8=(-`lcEFb0800ci;DmdehJpda?JAdK%bqeGdqseGn&&eC2joeC=HG&(K(Vda?One^`0u
+daHUoe,7W2e'upte'c[neC;sqdF-Ope^W'seCN7'f)F8%e^ONG$e*\We'QIieC;pmd/MDod*^8?
+df7c%d*L%bdaHOhci)5uda?Fgcd0t`bfe0.bQ#`bbV[Mba2Q!6_8*h"]t1Y[[Bm!5Unj`VR[98(
+Q^XG7S!oh;StMgSW2QG_T;8?[Tq7gCQ^3j7OYDlWNfT6\NfK*VLP_"POHP`hPa7Z&QBI8jPa7W%
+R@0A'Q^F)(QB[SuR[0;7[`"8X~>
+(S[n@^V%1l_ns:+]t_D!]tD+p_8X@0_>_7M_#V7L]c=c$^:h1j]=YS][C!9HZEU[F]!o/[]=GDY
+ZaI@B\-fdX]=bns_o0L4a8X-fa3)QJbKS5VcHjh^r652c%a<,?c-=PZcd:"acHae`rQc#$cHa\Z
+cHjkaccs\Xc-O`6c4eONdEp4bcHjkacd'e[cd:(dcHZ@6s3DJ-dF$:dcHjncda?@abK\>XbfS#N
+bg$.2%F*5Fd*Kt[bKS5Vbf\*,bXTk$bKJ&Oc-+5Ma2l?DaiMZKb/q`E`P]R/^V7Fp\[T&UZE1%)
+VkfuUR[]k@U8"<QTVA3XVPgGoUnOQ^X/`(nUS+9ORJrO,QBRMsP`h5oP)tZbQ'[c%Q'Rf+S",t6
+Od)3#R@9Y9R?X21QBIGrQC4;0PFSekP(3~>
+#HkMYdEKVKa8Wsi_8OC5_SO1/`llHB`Q#p9`5Ta7rkfer`5BI._Sj1#^;e76^q.4o^V7It]tM.o
+]t_D#_o2Jm!6G,`!m]0@rmUhqq:5Mp"P))Tf[p,R"P;>[f[p)Qr7D#$rn%\5f@\d1gY1?6f\,$5
+g&0JOg=t<4f@\d1g"=p.f\+p/f@\g5h:pZ;gY:H8f@S[/gY:H7f@S^1gXuDRs475%$eX.cf@AC#
+e^i:#eGRkue^XTIFOJR`d*L%`cHXV\d*Kt]bK7fD_nj+&]XYDXZ`U+"U7n3MS!fY3R[ft=S"-+E
+U84]eV4sZYV5'`USXc1>S<o@uNJraOL51_MOc>-LLQ%7PN0'6fO,oKhO,As^Q^O2*P)kThQB@2j
+OcY`oR$j_Yad7M~>
+*iH3[bfI]>`l#^2^r+11_8*t+`5fg4_8=()^qmq+rk]_p_ns7+_Sj1#^;e76^q.4m]Xk_e]"5Mc
+]"Gbl^qord!6+oZ!mAj7rm:VkrmLYj"ObcKe^XTI"Ou#Re^XBC!7Lkq%FihTeCE.#eC;ssf%&:J
+dj`hueC)doeCE'tdaHXre^Msqe_&R,f%/I(e^W$qdF$Fof$r-reCN4"qp5l%e'ut!e^W$ocd:+h
+da?J?dfInErm5c4c-4DTbK@uLaiquPaiVWE`P]O,^:q1e[C*?DVkg)^TUqX?Q^F21SXQ":StMdP
+VlHSfTqeHZTUhUBR[]e4OH#3WM26k?Mis6_LP1GANfB$\Pa.>lPa.>eNK]ZqQB[MlN0orpOHboi
+OdDB"T!H:tJ,~>
+*hoXJ`501%_S<k"]=u+r]Xtnl^r4('^;%Fr]tV:rrk0Af^:h.h]"GJX[_BPk\?`NO\@8uX[^EQP
+[C3QS\@MOK!58?K!Q<"V`rO6\aofi2c-?75#L1K:c-=PZc2Pojc-O_]c-614r6Gu#cd'e\bg"GZ
+d*L"_c-F_ad/;3"dF-CecHjkbd*L"_cdC,=c3VbEdE^"]cHji9c3r"HdF-FgbfnAZd*;R4"j>-6
+c-F]8dL"=Ic-4DVcHXSWr6>>fbl,]mb/qcHaN)?@`llQJrQ#2_`59:%]Y"0P=gkW:W2QVjUS+3L
+StD^OTV%mPV5C/iXJ_khV5L5fU7n6RUSFEJP`h/iNf/jYQ^<qtN/s3hP*2-!R['/*R?W_pR%'Y9
+R?j&!S=5Y&Ocu#qS=#P0XML-O~>
+#I:nad*'DF_u7@s_Sa7,_SsO8a2>d5a2c-9`5]j8_8*q+`59=(]!f)\_8<t!\@qmU)nikp]=u+s
+^:_4s`Q-*BaN)<@aN;TJc-Ob`dJ_Jne,@bse^j`M#M.MZg"=m,fDaD(f@JLNfDaD+f@JO)g"QDX
+s4IA)!nuD_rn7>*"52>Yf`'JGf\,!3g"P36f%&C(f\,$6g">$3f@S[.g"Y97f@\d1g=cJZ"PMG\
+f\$2T$J<q\f\+s1f%&:"rmq%u"k;#Lda?JAc3M\Bcd'h^d*)@/)TTe4^r""+^:C\ZZ`U1%Tq7gF
+SXuCCS=H1Crh)`TV5L8jU84`eVk]oWSX>Y+Q^*_rP*D2pNJWONN/`jYNJ`UOLPh+QMi3[XMiNpa
+QBmbuOcbfkP`q2gMM[=XP`qWCaHh>~>
+:o^e>bJqE8_SEt%^VRe'^qmt.`P]I)_8F1+^VIb,_SEq&_o'@,^:Lb^]YVJ"]=>Mc]"5G]\%'&a
+]t:hf^;@h.`l5m6`5Ta:aND`Oc-H:6#11cFd*U1grm:u"eCE.#e'lhGeH47Ldf._rdf.]!da?Ij
+eCFNIs3q"t!nGlPrm^tu"4YfJe,Ic$e'upteCE.#e,Ic&e'ut"e^W1#e'c_Ee-"1Lda\9H!7_"u
+!n>]KrmUnsrRLqt!7UnormUho"jt]Ccd'f7ap6,6bK@uNbfB\$'#qo-^V7M#_7[7b['Qp7V4sTR
+rgj(Zs-j%[T)P?OTqnQaW1p)dWMcJ_St).2PEqGqOHG`jP)P3RN/`jXO,]$SN/3CQOGo-\OGf*[
+PEhDsOcYZePa.MsO,JmUPELunXhp3N~>
+0rD(f`PK7#^q@:k]"G_h]=bno_8*^q^;.Ot]Y2(r]t:kg^:q4h[^*'>[(3cWZ`pn;[i;c_ZEq!M
+\$WHK[^j#`]tCth]tV7s_84%-`5V\r!6P5a!mT$:rm(Jg"4#-7c2Pumc-4AVcd0o9cN)8iblQ,9
+rQbGfs3:\ld*_j>s3Uqqcd'l9c3_hDdEp7fda6:arQYPmcHOJVrlbSkd*^=kdE_^:!7(Si"4#0:
+cMc&hd/;8od*Bn[bl5odblu>7b0%iJrl58baiMNCaN;I#`;dgo_na%&^q[Rm\$i]MXfA:pUS=KX
+U8"?TU]$thVQ'Qp6):BXX/VtlUS43HS"?.<Q^=,.R$*JjOckrpQ^*_sPE(`hQ'%2oP`LumR$sJ2
+QBd`$R$a2%NfB'^R$E\qW5=gM~>
+9sM1LbK7]>`5BI/_ns7*_8OC8aN)6;a2uKD`Q#p9_S<h"_8=%&]XbVe^qRIp^:qG$_7dFj]=u+t
+]XbPa^;.Y*a2Z'8`5]m@bg"K5dJ_Mke-+@Qe^i@Nf_F&-f%8R,f@ej0f[na-g"QGY&D5Ueg"G*5
+g">!2g=k31e^aWMrR_8+g=Od&rn%2$r7Cu"%bKFggY:B3f@em2f\"m3rRqM0f[n^)eC<(KfETsY
+eC<%"fDX8)e^W'sdaQ_Edim/dcHabZaiMQFa2Gj0^;.Ou]=,&MYH"IpU7[sGSY)OGrgb(&U8"?T
+V5C,dV5L;nWhuPaSX>b1QBRAjOHPfmP5^LCNJd^k%#9\#M1p\>LP_%PN/mms!fi>(rfRbPPEh8f
+L4tGDNK'C5aH_8~>
+9rYA6`l,^0_o0F._SO%&^r+14`l#X/_oB^5_8=+-_8!^u^qmh"]=>Da^V.:m]tM4s]t(SZ\%BAg
+\[JoU]=l"s`5BI-_8F74ai_j,cMc&hdJ_Dpda?Ije,@hle.'mVe^W$seC2mpdaQ^rrmVM.daQ^r
+f%&:!eC<%!e'ZOhrR1Yn"OtuNcdDa?s3UhprR28)dF-RqeC2moeCE+!e'n<Gr71erqpP\rdEp7f
+qpQn?dEp7dd*^4dcd9t]b0%oJ`Pf^6`P]L*]t_=q\[8ZHYH+RsUS.UWs.04]rgXRmTqS-PUo(#c
+V5L;nWhlG_Sc4r]QBRAjOHPfmOoC@QN/EFILPCYHM2$eALl.7TNK*pr!f`5%rfI\PPa7JkLPCVD
+Mi!_%_N99~>
+=f/:5^q[Rq_8![r]tCtg]=u+u_8![s^V[n'^;%Fs]=>>Z]=b_a[Bd-I\[T#U\$ru^]!erNZaRES
+Z`gO8ZF%'L\[],W\@]Gh^qmq-`Q$!?ai_fNbg"E2ci)2jchP`fbg4Y^c2Gojc-4GXci22kc-4H3
+c2c2icj.tHdEp1`c-H=7s3Uel$..,Hb08/Vc-+<-apZD;dF-Lmd*9k^cd)I5rQbJhqp58g#1(T>
+c-FY]rQZt=bfe2PbKS2RbKS/Oa2c9?`5BL2`59:&]Y2"k]!\lMZ*14-W265_USO]\rh:U5Vl-Af
+WMuhoVl?`!XJhtjTU_UGT:;15Q^O81Q^!`"PEGj+$]gF:OGo-XNK99fOoCLGOckonrg"%ZR$a(q
+MMdCVNeigt_j,`~>
+"gPSYb/hO#_Z.FU_n`t!^r$&gs2,\l`l>s7_SX.)^V7Cq^V@Lq]Y2(r^:qG#rkS`Q^;%Frrk/9B
+'YD&m^VI_)`5BF/`lQ<FbKeJ_e("BG$e3_WeCE.#e^rI,f`'J+f[n^*f@TlO!87A*!SQ-(g&9S$
+g&BV/g"P-3f$r4#r7Cr!*nSrke^rC&eC<%"f$r7%f\,!3g=k34g"P05f\"m2rRq5'"kV>TeC2tI
+f)sUSeC=KJrmq,"-.LDmdaQdteC2mpd*Bn\bfe/Na2Gd,]Y1th\[SoMY-"\#UnXL\SdM*]SXl:>
+T;&'RU&Lf8Tr4ccWN2qkSt):>R?j&!P*1ogPEM&jOGo!LKS>,8MMQq;K7nl3M>W5FMiNp_OH#<`
+Oc50SL4k;;MOV,uQ%/~>
+&?2nL_ns4)_8F.+_nWjs^V]uf#/\3m_Sa:-r4i<Irk8?G&\Yfg]Y;1p]thJ"^qRIm]=YZR\c9,O
+\@T;b]t_D"^qRV%`Q-$?bK\B2d/;8qda?IkeCE+Ke-4CPe'lgrr7(kue("BI!S#TseG[kqe,e+L
+rmM,%e^W'qcd1#:df.W;da?Fida?Ffd*^:id*^:jeCE'tdaQ^sf%&:!e'umreC=KJs3q/"da?JA
+df7_pd/VJndf._qdO!;fd*L(fda?FgcHOGQaiMNB`PfX.]Xthf\[SuOYcb(-Vkp/]rgu-@SXc4>
+R@^+GTV/$SUS4T_Vl?_pU7RmDR[KJ)OcklhOHYihOH5<TKS+o1L5Le?K7no1L5CfdM%ki,OHGT_
+O-5ZcN/ECDKSG5HZ,;TP~>
+3i9!k^:q:n^V@Ip]t:b_]"Phm^:h1l^;%It]tD"i\[],W\@K/[[^WcW]XYMa]t:nf\[T)X[^<BH
+rid3DZEpmE\$rcP\%95d^;%P'`lH6Daihp,bm;Y@cd:(ed*L&;cMl&gcMl/iciVP<cMl,jcHZ=5
+rQYAf%F*,BcHjkbda?FebfnB1ci23$ccsYWc-4AQaiMTGa2lEIcMc,jd/D8jcMl)gb6#r6ci22m
+cd'h\cMl/icMu/dcMu,tbfe2PbKeAVbKJ&Ma8O!l`PfX/]t1bc\[],WZa$d>Y,eP#V>d8JV5'f[
+TqA-YVkp5fVPU&eW2Zi"WMH2YT:qsNR[KV5R$O,+QBml$O,T!VNfTBdN/ELNM2hFo'on?<Q'RYs
+Pa7PoN/`aPMi*7QYJlcW~>
+#.(k\b/qZ?rOrZT]Xk\e]tV4q_8*kb^\tl#^VIUu^:h4p^r!q'_84%.`PK=$]>2G*^q$k_]thJ#
+_SO%(`5KR1_oBa<aN;ZPdf.c0eCE.%f%&=%eCE.&g"=m,f@\^Sed0m\g=k32f\+sWg'$*_g"=sU
+f*9m\g"=s/fDaG&f`g$Ze^i@(rRMt=eC2ptf%/C$e'uq!f%&7"f@em2f\"m1gt^Z<rR_Y4f%/I)
+e^`7$eCE'ue^`1JeH"+ue,Rnte,IepdJqZ"dEp7dcHXW5bS&(>`5'$s]">J[[C!6DY-"_&V>d1f
+TEh*[S=5e6StH"Rs.;WKVPKuaWi)MYR@Th7QBRT$QB@8kOH5H_Mi!4DKnb;4L4b&.K7AB&L4tGA
+N/`jYNf/^VP)G$ONJW:@LPhV6ba*b~>
+(9=[R_SX.']tV7s_7[@j]=ttl^;.P!r4`0DrkAEF"M;=[^;0`_&AZ0#_na!s\@obs]sb5S]"S*W
+(VRJp^q[Ut^r++0`Q$$DcdC+edF-Ile,Ic.d*^:ke^W're()ssdaQ^rf%/CMeGdu$eCE'te,@\p
+e,Ihue'c\De,Ro$e'ZOidaJ*A#LLfBcdC1hd/M?,dF-IjcdC4le^W'rdaZn$f@A@!eC;tEdf7er
+dK7hCdJ_GldJhMkdJqSnci;93d*^1ac-4ARaiMTFa2Ps2]XbSb[^3<GYcb+0X/VrpU'dTeT:VOA
+R[0D5T)P;\T0f*GUnafeVkBKHS=5h1P*MB!OH5KaNfK'ULk^V:KS+i0K7ST+Isup$K85;AN/`jW
+MMI=WN/*@PMM-V9L6]*^Ndq~>
+#H4f<^VIRr]DfAJ]XYAX\%&uZ]"J$S!P5oB])T>?\f&#g\@B)\]t:kg]=u%p]XkMX\\GkgYcFq5
+rj<'@['R-K\$i`S])K>L^;7b.ai_`JbK\?3bmMb@cI(%fd*L"`ci),pcdC1hd*L%`cMl,mcHje\
+c2Giuc-FVZbKS8Xd*U1ecd'e\cHlI7#L1K9bKS5Sb596aa2Z0Bbg+Q6c32J@dEp2<bm2J8ai_fN
+bKKn0"O,-8cHcF6s3;8%bKA#Pbfe/Pb0%iJbKJ#KaN+;"$cL$'`5B@&\@&fV[f3Z7Zi734YHFq(
+W;WV"UnaZWS=lXQU]-uTTqJ?^VPpVsU7IdITq@mES=c@>QBmf#Q'@GnNfB$ZNf9'[Mi*ILLPUkG
+NKB9bPE_8mN0TWeL5h=VM27"DQ*SAoJ,~>
+5IJ#;aNDTA]=PVe]XY\i\[8r[^;Ih%]Xk_g^;7Xt]thJ#`4iq%bK.]B`5BF+^qn"%\A#ht^q7(h
+_o0C+_u@Rn`koX3_o'L8aihrTdb!!uf%A[/f[eU&e^i:%rn%/#!nc5[rn%/%rmq/#rmhb7g"=m+
+eCN7'f%8R,f@JX/g=b*Wef`Stf[nd.f@AC"eCE1'eBu[mf%AU)eCW:'f\+s1f\,!XgBH<af@JO'
+rmW:Cd*U1ge()srd*^:jeCE'sdEp7gda?FfdF$=dbgFb[bK@rOd)u@,6,^UR]=GMb\@8uVZEC:2
+XfJ@pVPU#\Uo0oWR?<i'Q^3o(S=Q(AUSOZ]VOs3<QBml)Ocu/uOdMAoNK/sWNfK%sL*D;+Jp_s$
+MM6\;K8GSKObnjJKo)"YNe3"ALPV%LM4(fnRt(~>
+;ld(1^Vdt)]">Vg^::tn\[K)^^Vdt(]Xk_g^;7Xs]"G_i^q.(ja2Gj2^q[Rp]YMIs\%TVp^::P]
+^qm^r^:q:o^Uq.m^;.V'`5]m@c-jn`df.`$e'c[ldaHOkrmM&!dF$FneGdnqe,Ibqd/ME+daZan
+d*L+fda?Lle'cXne^`0trm;k:eC2jpe'cUhcHjkce'Q@acdL=ldEp@je'upueC<%"rmq>)e^W's
+df.W@ccs_[cd:%dcHOPYcd:(ecd'h_daHOhcHsqac-+M\bKJ&MbK\*,`+R!']t:kf]=52V['6X4
+XK8G!U8=ZZT;&3TS!]A+R@'>*Q^aM4TVA3UUo'fPP*VB!QB%,oP`M,mN/EOMMN!OPKnY23Kn+Jq
+Knt>2K7J]6N/i^KKnP8GQ&gWUN/NRSLkUtm^6*p~>
+?E($7]u%Y#\@/lV\[K/`[^!<O]>;4o]"#;_]YD4k\\#Me^U^ke`59=)^V%1i]"YtgZFIQ\\[&?D
+\@AoO\@B#W\[AlU\@K5b^;.V(a32KBair&Uc-4ARcHje^rm1hpcHX_adJhJkd/VDmc-$%/'?neI
+bK@rMbfn8Sc-=JUd*^7fcMl'2cHsn_cd0n\bKA#Pc-45H`5]p@aMu3?a2lEIbfe2Rc2Pulc-4AR
+b/sY(#04a'a2lBFrlY;crll;*bf\#IaNDZIaN;WLbK.]Ga2>g3_oBd7rP)sV\[JlR\@B)]\[A]I
+ZEga<Wi`A%W3*5%V4X*ESXc1;S=lRHV5L8iWN2hbQ^aG6SX#S5S!KY7Q'7GqPE_>qNK0*^PE(ER
+P*Cr`N/<UZQ'RMkN/N[[P`:?RNfT6cMh[Cs_3of~>
+#I(VObK@iA^\ttY]t_=q\%fYh]=kql]tV5W]e-t9^V7M#]tV:u^V7@n]=PM_]tV4q^VIe,`59F6
+aMc!7`5Tg>a2uKHbKeJ`rRV,%f@TuP!8%5$s478%rmVA,f@\g1f@AC&g"P*0rmqG/g=b-3g"P-3
+qpl81f[eR&f@\d/f@\a-f$s]Jr71er!7h)"#1qGXf@\d0rn%5(rRq>+f[p,Rs4%S.e'c[neCE+!
+e'lane,Ihue'cVBdJ_F8ccsVYcHX_^bg"JUaN)<=_7[=f\%&uY[Bd!<X/`5&WhuSfU7e*IQBmo)
+Q^*f#QC4;8R[]qDUnO6BPEq`0St2:8R$a)'OH5E\MMmCKIX?U!LPCJ5Jqo&3KStSDO,o3VN/`aO
+NfoQ`N/NIFMM[.U[E+bd~>
+#cF`3_Sa4)^;9fc'"u&p]skbj]=Ybj]tM.p^:h4mrj`ZQ^Uq(i^:Chf]t:kc\@T5[\@hgS&A5]m
+_SEn#_nj%!]t:to`5DSn#KFm.bg=_adJhPsdF-LmeGdo0eC2jncd0tde()srd*L.ie^MqFdKn@Q
+eC2pse^W(Fd14[TdEg1fe'ujpe'lamci25fciDDkd/VJudaQUme'upurm^kr!n>cMrmUnq&CJkN
+cHab_dEp4ccHab_dF%s?rm:_mrm)5&bfS/Tbg4SXb0.cD`l5j2]Xn*P4L_c*YcXt+WN*&!V5'fZ
+T:MF9Q'[l*QBd`$R%0_8R\$4JTUV73Q^jV;S<fD*QBIGlN/WXLM2I(;H[u*L+G,)nKnFl,M1gbG
+N/EINNJ`LNP*1fdO,JgPLk:Yf]oIU~>
+)5F.<_Sa1&]"G_j^Uq.l]<o8a\[f>b]=Y`S])]GA\1P8*]"#;_\$roZ\@8oS[^EEI\%&rW[^N`W
+\$`ZW]=55X\%02f]t_@u_8F75rlY8as31Mds3)8(cd'h^cd'bYbK\A[da?Ccbg4\accuI7"4,B@
+ci)2lcHXT3c2Z)uc-+>Vcd:"`cd0n]bPoZ`bQc84aiMQFaSa0\bPo`bb6Z>;cd0n^c-=K3bQ#]l
+bK7lKbKS2TcHa]5bQl;4aN)BDaiOG'$-1!*aN)ED`Q$!u_J$d#]=>8TZaI<S\@&WHYHG+8YcOk*
+WMcSeSXc7AS=5k7S"67IStDdTW26,TR%'eDUS=<JSXc+<Q^*euOHG]eL4b>EPEV)fN0''WMiip[
+P`q2jP*1ocNffHbP*:rcO,J[OXM:!M~>
+#HkDLbfIZ8_#D1Z_7dLp]t(tn\[fAe^])%J^B)-_rjrKO]tM(h]"Pnp^&>Pe]",Db]"Geo_SsF/
+_8OF8_nj:1a2l6:`lZEJd*pOsg"G$Uf*L$^f@JL&f%8OOee-Qff[n^)f@\d0f%8R,g"P*2rn7D+
+f`'D<f%8R+f%&:#f%8R+f%8O)eC2joe'upueG[r'e^W1%f[\R(qUb`"rn%8'f)F/#e'uqHdfe4P
+e^W(Idf%Vqda@s=50qO!bKeAVcd'\Uc-")H`P]L(\[]/\]",5SZE^U7XKAP$V59lVR[BD,Q^=#%
+Pa@f,St_pUUnXWYSXZ.Argj(\1R=;jOcbZcOG\gLM2-P.Jqo/9KnP,5JU`9.L5LtKKoD+TNJ<4J
+O,SpMJq8W4LR,EnRXb~>
++/c0L`597%^r+(,_7dIn]=5Pf\$il\]tV7s^V7Fs])K5n]t:ke\%0/c^:Ute]">M`]">Mb]thJ%
+^qROu_nj$u^:h:u_8!k+a2cBJcdC7krR))&eCE.#e^W+!e^W(HdLk!ZeC2jne'uptdF-LmeCE$s
+rm_&!e,I]$dF-LldF$=gdaQ\DdK.bBrlu)$d*^4ddF-Ijd*U1he'QOkqU>;j!7Uqqrm:_mrm(_o
+dF$=erm(PjrR(Sjs3Go7c-4AVbfe;UaN2NE`Pf^3^V%.g]">P`[Bd*CYH4e+X/DejTq.X>QBml)
+Q^!c%R$jM=TV\EWU7n-JSY2RFSt2C;P`q5jNfT6YL51V@Isls*Lk^V:K7nc'JVf&;N/E=KOck]Y
+L5_1QN/E@CL51AAY/-3M~>
+#bRs$_SEgp]=n3X%D''[\[9#[[C!ES]=Y`S])fRSrjE-E\@8lPZaRBR[f3Z5ZQQZa['mHR\\#A[
+[^a#_\@9#[]Y;%h]tqS(`lZEKcd'i8c2Z'+cd:"`c-=PZc-4DVc-F\`d*L"^cd:(dc2Q#ld*^4e
+df.Vsccs\YcMl-%cHXSXcHjk`cHjh^bfe/ObKTt1%*m2Ec-=GVcd0k[cHc@4!m]-=rQbJhrltGd
+!R8jfb7)V>cd0n]bKA#Ob0%j)a8j?]au7A_aNM]Hb0.iGaiD?;_SNst\@8rX]",8UZa-j=Y-5"/
+W2ZYgT:MI@S=Q.;R@Kh?USaogW;`[sU7n<WrM)3DS!ob3QBdf'P)bWdO,&FIP*;&jO,]*SKSPSE
+Nf]9XOd;;rMMdFXPECrdM2I1BNNL$[J,~>
+#-bJNb/M-/rP/lY]Y(ql]tqCo]t_A!_>_4O^V7G]])fIRrja\g]>27u]t:ni^:_(i]"#Gh_8*q'
+^qmn,_ns7.`lH-;^Vn7<c-k.nfA#$4g"=sVf`g*]f%&@'rR_/(f_j>$f`'M&fG)lff\"g.f@S^-
+f\"g,e^i@)g"+^Pf)O;#f)O8#eGReoe-":Rf@KrOs4.D(e^i:#eCFQLs4ID)rmq8'e^N"HdL"IR
+eC2msf%/@#r6tVm"jkTAd*U,<c?.:Uc-4MYaiMWHa2Z*8^qI@k]">Sb\@/iRZ`pO2W2?AdT:2+8
+R?s5*Q'@T'S!otFVQQhjTr"Q[U7e!ES"61;P`h)fOHGW^L51S@K7SZ/L4b/4K7\T$ItN<+L4t5>
+OH,3NK8>GCK7JH%JV]&H\^$[p~>
+$`U8>_n`pt_83q%^](eM\[]>`[^j#_^&5VE^&GSD\@MUK$*q1Y_8*ar]=krX]I^\(]YM@u^V.=p
+^VIRs]YD4t_SEh"`Q?3Gd*^:me^W*teCE.$f@JO'f%8LPeH+7Or6t_srR:ntd*_j@&(AqSeC)do
+da?FhdaQ^odf._mdK.bBrQkDg"4GZIdf.YodK\(Gda?FgdJhSleGn"sdf%Snd/VDpd*^7fd/MAk
+d/DAmd/D8jcMl'!bg+GUc-+/IaN)9<_ns4&rjsDg]=GG[[^EHGXK&7tV59iSR%'P3Q^=#'Q^aG3
+Sti-aVP'U]UcP9ES=?%>T9ke*OH,EbOG\dJM2?t>KntM=KnY24J:<$%Jq\u7K9)4YN.ch=Mi*4@
+K7\]1K93@WPCN~>
+#bRp"^V%(d]=S!R$FdIQ[^E]TZaRBSrjr$<rjMj6rj+Pc[(*ZV[Bm3H['R-I[Bd6N\[T)W[^WcX
+\@8u[]Y2%k\%KSr`Q??LcdL4fd*L(ddF-IhcHXW5c3)>:cd2O7#LC]Acd:%aci29%dEg1fd*U1e
+cd'k`dF$7brQkJg"jbK=bfn9.bQlD=dF-Fhd*M^<s3Chpcd'e\rm1Pis3L_js3:Sf!6tMgs31bn
+cd:"`c-611rQ65'a2c<Eb/qfKbKS/Pbg"5Mb/hTB`P]O+]Xteg]!o-IZs'f?XK&7uVP^)YR[ot<
+R[]e8S=lOIUoCE$XJVkpWi;qoTqJ*SV4=!AQB[]&R$3SlOck]^NKB9_NfAsQKn=u6KSPD?L6Ipg
+OGJ^PP*:laMi!1EJW6hLP(3~>
+4gVW6`l#U,^qIFr_7[S"^VRb#^Vn"+_ns1&]tCqc\%95^[C*KRZFn#i^qRIp^;%Cq]XbSg_S<[p
+^;.Sa^^n8u_o0O6aMZ$?bfnMcf@ToR#i"(eg"=p-f@^&Ts4S7@f@AI(g"=s.f%8F&f@SU)e^iC%
+e^s`Os4RG(s4@A(f)=,<eC)doeCE+!e'ZUoeC<%!f%/@"e'ut"eC)dprmq)%"PD>Wf$sWG!7^tt
+"P22UeC=HIC"1V[daQRhcHjh^cHjh[c-FY_ccX;K`Q-$=`59:%]=GM`\[oA^[^<<@VPL#\T:;14
+S"#b/QBml+SXc1@USXucT:r3_Un=*CR@9V9QBdYqOHP]aMMR"BLkgS2IXurtJ:E'"J:E%II2.6a
+N/WRFJqSo9Ljsl(Jq/T1QFY8.J,~>
+#ct8A^qRLr_7oo^1:Y!0]"G\d]"bql^:q7l]",>Z[^j#Z[C!BOZ+Iff^qICn]tV4o]XkYh_S<[m
+]=kqlrk&`S^;%J#`PB@2aiDZQdaJ'D!S5m%f)O>(f%8R+rmq,$(=gp_e'ut!e^Mspcd:(ed*U+c
+da$4er6bSorm^tu!S#TtdL4OOd*L(ddaHOicd2O:s3_5$cd0tdda6:bdJhSme,n+Idf%Smd/MGm
+ciheEd*U2>dKS%HdF-LjrQbGfs3<%8bg"DYc,dlC_SsL4_nj("]=PVc\[oA^[^<<@VPU/`Tq%L9
+S=Gt3rg,"$Ssu1>U84c_StN!\V4X6FR[fn=Q^3ktOHYcbMhm1HMi*4>JV8URK,oPrJUi9"It*!%
+O-#9SK7eo7Lk:21KRni/OKlcgJ,~>
+*29@:]"5G_]=58[]!])Z\%0&X\%K;`]=PJ[[C#q>%(<XPZ*:L=XgbmQ\[MIE+1/G`['R9R\$<6G
+[^W]R[C3WW]=bhm]"Z)#`6-?Nchu33e'ujpdEp1`c-FVZc-Ob`cHXPVc-O_]c-F\]d*_j>"jbQD
+c-Of7dK%YmcN2>9rlbeqbK@rLbKS2Rb/qfOrQkMj%+!5Dcd:%abfe8Vcd2R;"45B>cMl&ibg"K5
+d!F$bdEp1`cHa\Zbfe/ObK.`Eai_`IbKS,Qc-F\_bK.`CaN2EA_na""]Xt_`\@AuSZa-[0V59l[
+T:2.=Ssl%9S"-+GTqJ0ZWir@sVQI#$Un=6OTq\BSSXc+9S!]J+PEM,oPE(QYNJWOLLkgb?KS+f+
+JV&Z@P7`k5Ll%+RP)>-TMM6e9Nip6_J,~>
+:pROE_oB^6^V.@s_7mk+_8=%(_83h"_Sj=*]=>8T[CX&^[^N`[\[f;b^;.S#^V7@o]tD"o_S3Ol
+^V[k'^V@S#^VI\(bf.TDaiMcWf@^&Trn7J-f[ndSf*BmWe^iC)f%0iP!7q/"!nPuRrn%2$#M%GZ
+e^rL.gA]_4f@J[/f@AC$f%/C#rmE">eCE.#da6CidF$Cke^`0tdFHk#f$r4"f@\^/g=b-2f@KfK
+!7q)"!nPoQrRVA,e^W*td*Bq_d/M;kcclC7!RAshb%o)=`l5m6^qRIn]">Vf]"#2UZ)jjuT9be0
+QBdf'QBdYtP*VT.SY2^NU8"E[XK8:jR\$(=QBIDsQB@8hLP1JAMi!4BJ9lKgGBnO`IY<E.Jq&2p
+H\$m(J:<-(L5:_>K7nl)ItX/saHh>~>
+#d1DA^;7\(^qTf\,.YJ']Y1ti]Y(bc]t_7k[^39E[(<r][^N]X\@B,_^;%Cprk&3Ds1B8d_S3Li
+]YD4p]=bhk]Y2%qahks8`l-!FdaS0E"kD2Te^W+Hf*BmWeC2ste'n<G!7Uko!7:_ns3V(udaZXl
+eCE+KdjNSkf%8I$daQ^qe'ZOgd*^:jeC2dic-O\\cd:+gdEg+de'ujodF/$Dr7(kue'n<Erm:_o
+rmUnqs3Ukqe,Ii'e'cXkd*Bn\cHlI6!6Y;c"O,'1a2\+sBZ%^'^V7@m]">Vf]"#2UZ)jjuT9bh2
+Q^4#+Q^3l#P*MK+S=cLJTqS3WX/i(gS"H=DR?a#(R$3_qMM?tINJiXLKRS?"H[UErK858;Kn=i'
+IY<N4K7JT,KntV?L51M3IY!Zd_N99~>
+0;GDK\@fPi]!o/Y\[K/`\[o>]\[f,W]"GV_Z`pX<[Cj5a[^EWW[^NZU\[oA_\,NfO[C!<O]!\]F
+ZaR<LZa7'K[C3QV_RmP]^]VR!cHlI9#1:oKda?CfrQb_oc-4DWc-4E2blH&gbluD=c-Ob_rlt_o
+dEU"bdaJ-A(=17Obf\#IaN;QE`Pf^6`lH0Aa2Q!:rQ#l!bfn5NaNMiQbf\)Pc-FV]dF$=fcd'h\
+c2Goid*^7frm);(cd:%bcHOJSb/qZDaN;WIb0/#Prlu"ubfRrH`Q-$=`PfX/^:jNY)nW\k[^<?C
+WMQ;UR[]e8S=H(;R$a5/T:r!TVuEPXVlHu*WhZ2^V5']TS=lRGS=,S&Q'n&,Q'75bLPgb>LPUeI
+NfApOKS"i5NJr^LMi!CSP)YH]Mh-A.Og)`gJ,~>
+1pF<u`5p!:]Y2(p^;.V&_8!h&^qI7h^V[h#]=>8T[(3i\\[T,^]!o2\]u%\(_8!b#^q]l_)nihr
+]t_@u^VIY"]YD>$`4s1/aN;cWf%A[.f_a>&f[p&Ps3q5'f@\^+f)=23f%&=%e^rF(f%8O+g"4j.
+f_sD$eH4FVf)F1ueH"+se,Ihte'e6Cs3h"uec+&%e'uq"f@KrQ!SH$'f`'M$ecXOTe^XTL!nGfM
+rmh#!s4./!!RoHqd/VK(cd'h\cd0n[aN;TKc-=>KrPTAd_8!^t]Xk_f]=5&IWi)VaTUq\PRQ-[t
+OcbipR@9_ATq7sQUSOf`T:2=?R$EbpQ'IGnNJi[NN/WXMKnFl'I<Tp^I=Hm(Ll."AJ:<%JILq!^
+J:WE3L4k54I=?m<\&ahb~>
+/$,n\]u%\&]tV1l]">Yi]t1ki]=G8V]=tqg[^<<EZam`[\[T)[\@/lW]`,Ym]tD%m^V@Fq]t:hd
+]=bhk]Y2"k\\,\m_7[P#`PfpFdF6Uoe'unHeH"+uec+,*e^W'seCE'te,@erdf7]'d*g@idF-Il
+eC)doe,@\od/VVreGdnre,Rkqd0@tFdaHOici22jcd;[=rQkPmrmLqse("9Ds4%"r.FchpdF6Rm
+dEg.cdF-Ile'c[ldEp1`c-FY\c-4ATc-FPUa2Q'>aiVL!_Z.G]^V7Co]",Gb\$<$6VPB`TT:MF?
+R[TY-OcY`mR$jJ;TUhaMU8+T\Ssl7?R?ituQ^<o!O,]*WNK/sTLP:A3JU;cnJV/`7Mi<LJJq&E'
+JUi6'IXZp+LP:J9IXQg4Z,2TQ~>
+#GIrr\A,hl\,Nl_\%'#]]!o5]\@/WJ\@];[Za$a?[Ca/b\[T,]\@&`Q\@]Dc\c0)<[N)W\['?a<
+Z*LaCZa@-IZ*UmK\?iZV]Y25(bg+Q6c2c2idJqQ!cd'h_cd'eZc2Puibg"H3ci2/hbl5m%c-FV\
+dE^%`cd'e\c-4>Sb/hWCa8X0Z`WjE%`lH->`r<pZ`lH0ArQ,5ab0%rPbPo]fc-4GXrlkksc-=JV
+cd0k\cHje\rlbAerluG,bfe/OaiDEBaihlLai_cMc-+5K`Q$!@aMn+r;T$Af^q[Us]=Ybh\[/NB
+X/D\fUS4<QT:_^AQBdf,SXuOOV4sfaVl6YpUS"9TTq7^AT:_UCR?j,(R@9M/PEClaN.lt@M2RFW
+P*;#gM2-tEreV/FLPLeMNf8mPJ:<*7Z,MuY~>
+%'[(N`Q,s5]"Gem]u0ic'u%Ju^:^qd]tV+i]"#,PZ*h*N\[JsG\-':Q]tsZa!5nfP!Pc>I]EGs]
+]Y;5]^CIuk_8O7,^Vn7<c-b"jfDaJ&g)er$g=b*.e^i@(f%&@(g"=p-f@em3f[eX*f%J^,fDaG1
+g=Y'0f%&=%f@JLOf)O;"eG[qreGRbsdaQbGecOCQf)F2&f@\^-fDX>(f@\a,r7;>/f@AF&f%&:!
+e'unFec+&Ge'ZUme'c[kcd0n_cHXSUbK\;WcHF>NaN)??_nj.&]=GSg^:LVQr2gp9Tq7jHS!fV/
+Pa7]&PaJ&8St`'XTq\6QS=H#HQj8kBR$<l!PEZ!).#Wn7KS"`)H[:'gJVAl9NK/jKJq8;sIXm'!
+I=[31KS+o/K8,c%aH_8~>
+%'-M;]tqLt]"G_h]"e6Y'YD&l]=G>Y]=b\`\$`NGYdCmK\[MLF"LbeM]=e*V%DTWk^q@:j\[f;^
+\\#TT]ahZc^;7Y!]>2A*aNVrUdJhVoeG[qte,RqteIC$We(*!ue'c^qf%/@!rm:hsda?JAdgFUQ
+da?Ffcd:(ed/MH"dF-FhdF$CjdF%j<s3Cblcd;X<rm1eod*^:jpsK5meC=KH$e<bTdF-IjcHXY\
+d/;;jcj.nAcHjk`cHZ@3s3(Vhb/hWErlIUL`l?!:`5KR0^qI=h\@oSdZ)k",XK/D"Tq.dER[KJ+
+PE_AtP*VT/S"HFLTV8$LS",n6R$X)*R$Nu#P`q,dNJr^JL&Q`KIXQ]sKSPDBNfApLJV&8tIt*&s
+H@L^*KS+o.J:`uh_N99~>
+/#&oF]"Ykg[C<]W\@oPf]=>Ja\[SlP\@K&U['R!>YHt[G\$WKK['R*G[f*`9\,Nc@ZEUR9Xg"q1
+Z2Ls<Z*:UE[^*0G]"Gbo`Q-.#bl>rfcMl-#cHXY]cd:"_cd0tbc-FY_rmD%tc-4DWc-4E2c3DV>
+c-4>Pb5TQab5KL#ai_`IbKA#Nai_]HaiMTGaN)?Cai_`IbPoWiaihoPc-4DVbl#Z^bl>rfbQ#fi
+bK7iIb5KNabPfQeaiDHEbKKn-s2bJfaiMK@`Q%nt!l`*rrkf2^_8!b!]t:to_7[1\Yl1gFXJVbg
+U7e*IR$X2/R$X87U7\6ZVPL&aTqA%XT/<.0StDODS"-"7QC!o%OH>N`O,8[LMiNp`Q'[o&Nf8mO
+Ll.+MKnP8DO,AaKK7ST9Yf)cV~>
+#dUnSa2Pj.]Y+6X.`B3>^V7Fp]"5D_]XkP]]=G8NY-G@A]!euS\@TAf^V@S$`5T^3^VIRtrk/KL
+]Xtnr^](nX^Vn+/_SaI=cI(+ieCWC,gA]k,g'ZTgf%&@'f\"g,f)=5@f@\g3gY1<4g"G-5f@Sd2
+g"P05f[eX*f\+s/ec"&2e^W+!f%8O)f%&:!e'upuf%0iP%bTCbf%/I'f@\a/f@\g3rRh2'qq2/*
+f%/I)f)*que^i=LeUH#uf%&6tdF-Fhccsb]dF-Fgc-=S[c-4>PaMl'6^V%4n^q[LhZ*:OA[Blp/
+TqIpDR\#t8R@BP+Q(+D>USaudU7n6PSXZ.AURIXAS!fY3QB$raN/3.?K7\c,It*!%MMm@NOGJUE
+KR\E"Jq/2oIYNZ2JqSr9Kp9!fQ[f~>
+#ck,:^V7=k]=\'U!l;[erk92\\[f2\]=PDZ\@8cGXg#.=\[8WI[(!UF]+Vci^VI\!]Y1ng]",A_
+\@9&b]`,MS]u%\&^:qM)aND`Nc-Xnee,%Sodf7bse^XTIs4%(t#1CuNf%/@"rmDJ0da6@je'c^o
+da?Ced*^:idEp8>d0\1Gcd:(eda?FgrQYDhrQtMj#11]Ccd0tbrQtYoeGdkre,IkqeHaUPdF-Ii
+c-?75"4,?AdJ_Dscd'nbd*Kq\rle-\ai_iPc-4>OaNDZIaN)<>`507&]"#;a]XbAPY-5.;Yc+:g
+T:2+6S=#V.R$<YoQ^jS<U8+HUT:VRAR@9\@R[T_9R$X2*NJidSLP,SZ"bhPZJ:WFRM?8]rL]2o>
+I=-KoIX$$^K8+u.Jq\l/O0HQcJ,~>
+;l-J#]tCnb[^N]W]>)(n]Xtec\$iZQ\@8cN[^E?=WN32+[BQg:Z*UgF['[0H[^W]MYd(C8Y-+n0
+XK8V4Yck45Z*q-KZEgsN]YMD$_oBg@bP]Qkc-FSYcHsqcd*Bu:d/VEFd*gCleBuRcbg+GTb0J8U
+c-=JTa2c9Cb0%oOc-FY[c-4DVc-O_]cHOMUb08)QrlY2_%*Zo;bf\,Rc-FPXcHcF3rlb5`&'N,=
+bfn5Ma2lEGbKS2RbPfR(aihrQbK@uNbK7fD`Q-'AaMu09`l5m6_SX.)^:sT[?,+7m]sk>S[CEcV
+YGe:oTUqaKS=,h8R$*`(TV/'WVkp/_TqJ$LT;&6UT:hjLStDO<PE_8nNK&mVOc><YNKKNmQ'Rl%
+O,o9WLl..LKRni:NeiCDKnFi5Xi$ES~>
+1:+L0b/1m-_nWjs^VRe%]YM+dZE^aG]"#/Z^:h"XXg#1B]t(V_^:qG$_na+,a2l98rk/9I!PlDJ
+^)4Z*^q71j_8aI2`Q$!AbK\D]eCiF)g"P3Yg,%@3f@\d/f%&=&f%&F-gY1?4g"P39gtg`:fA#$4
+g"b?9g">!3g=b*2f@AC$f@SU(e(+HL!S5d"dgss[g"=m-f@\a,eCE:*f@U#S"kqbhgtUT_g]6+.
+gAfk+f`0V0f@AF(f@AF'rn.8%):d<kg"P',daHXqeC;jldacpudE^(acHOK2aZRYb`l,d5_nj("
+\[f2VYcF^uTqS'FQ^a\:QC+87R$jP@V4jTZWi)\gU77dLV5p2YTqe-HP`C]aP*(_&L]3#NKn=r7
+PECf\N.QY9LP:8/Jpr&lI"R3,JV/f6JW[@bRt(~>
+339?r^q$qd^qRFm^;.S!]YV1fZa-sK]=>5Y]tCeTXKSt>]XP8U]=Ybj^:_.n^qmgs\%0#^^:aEU
+(qd_u\@B,b`597'^r"%.`lZBJda-:ge("<Es3`FHeCN-uda?Lid*gIqe^Msqe^`1"f$r'neC2jo
+e^W'rdF-Lmda6Cgcd'o:d2L?Ud*^:hd*Bn]c-OecdEg1ddF$7acI1+eci28pdaZq"eC=KJrRV#!
+.Fchre'QCcdEg+bdaQ[ndF$=fdF?Ukc-"8Tc-FYYbK\D]ccjMRb/q^&`ad!*_SEq$^:_"c[^<EH
+XJr"gT:_X>Q'n82P*;<$P*DB+TU_OFUnXQUSX,_8TrFQOStVR=P)P9XOH,0NL4t>9L4t52Llm^S
+L5CD/JqS]'I"-KcF*<"cJ:<$&JpiT^a-M5~>
+<Mlh-^UUY[]=,,U]"G\e\@f5SY-"n7[Bm*F\[\rDVlHo*\?`?E[^NZT\$WNM[^WZHWiN5)Yck+0
+Y-,":YH4e,ZF@6IZa@3O\\,\m_oTm>b0/$-bQ#g3cHjncd*Kt^cHXV[daQXkcdL:jdEg1bb0/)T
+bfnDYbf\&MrlYqscHa\[c-Xh`ccaV\cdC%_bfg"1$I$]8ai_fMb/hZMrlkAd"OGKCc-6".rlbPj
+cHXMQaSs?`bg-46s32G*c-F\_cH=5Oc-FVX`Q$$Bbf[uF`5T[3_Yq;[^q[\$_ns4&]=GG\[BZm7
+V5'i[S!oqER[9G5SsPk:U8FWXVQ$MkUnX<LTqnc^StVsOS<o@uP*M8nMi<RQNf]9[N0Ba!P`_2f
+M2dRTLkgkBJUW*(MhZh8K7A3(Y/cr\~>
+"gGDQaMbsp_udW`^\tu"^::SWYd(dP]",Pg]XtSWZaI6P]">Ym^VI_*`P]U5aMu0;a2c*3]Y(qg
+])K>Y^r+"%^r441`lQ<Fbg4_ff\,!4gYCN9rmqG/f\"m1f[na-rn.e8gtg`;e_8d4gtgcAhVJ1d
+)VWisg=tB8f@JR,gY(32g=k31f%Jd1f\+p.r7),)f@\^+f%8R,g&9V)g\oq-h%AGsg=k?;gY:H;
+gtLK7f@S[/rRq/%"P2,Sg"QDV$J<q\f@SU(e^W'rrmLtsc-4E2aumba`5KX5_S3[o[^*-?X/Mhi
+US+-AOcbotQ'@Z,T:hgJS=cIJTq@gAQ^O>6StD^IS=Z@BR?WbpQB7%(MBn"4LP:D7L5V"IKn=u0
+K8#,:KRnT"GB\C`K7ni-Jr#5K[)nYb~>
+D5XJG^:V"l_8<gn]tV:u_7mFfZ`p^G]t1\b]",>VYHY==[C3NQ]t:kf]tV.l]t_=r^V[k%\[JuV
+['[<Q\\5en]"Pnq]tV:u_SaF9bg4Y`dF-Ijcd'h_e'ujreC2joe'lame'uptdE^2=dj3AjeC;sr
+da?CfdF$CicHab`e'ZLgdaQUicI((gd*^4cc-=Q5c2Z)ocHXVZcd:&;d/_Vne,Ro"da?Ikrm^ts
+s4%>&da?CccHuR<$I[>KdEp4bcd:(crQYMibg"K5c2c,gb6uP;b/VE>_o9U4^qTf_*PAqk['?g8
+Wi)VbT:VR?Oc>?_Q&q&hQC4/.Q^*s;RQ[((P*2#nQ^F22R$X50Q^*YkNKT6VLPCS;K8"r0JqSl6
+KReK"I!gEqJq/8pG&VDBG^b0mI=6a!Ni^-]J,~>
+D5*r9]XYG]\[SiI[C3QT]!nrIXJr2*[Bm0J[C!<DX/rJ.['R*I]!o,W\[])U[CEWMZ*Ug@Wi2hq
+VPgGpX08e4X08k;ZaREV]Y;5"`lZEIc-FY\bfe/Qcd0n`cd'e[d*Bn]d*^:hcHFT3d0J+Id*U+a
+bg$.4+NqmJb0A;Yc-FY_cHOPYd*U(acHOJSbfe)IaN2EB`lS/%%a<,>bg"J[cHab`cd'h^rm:\k
+"OYTBcd)O6s3CVirQbGe#0kH>c-=PZrm1Vk"3es3b5KCLai;68_84"*^qIIr^VIRq\@/`JXfJFt
+U7n6ORZ`_nQ(+))R%9nCT:VRGTV8*PS=,b5S"#k8SX>e6S=,_,NfTEbMZ/GXLPUkFLkpqKO,SmK
+L4k8:MMd1BJU_ohH[g["IscQmIuLGHQ@J~>
+-aC/!aMc!6^q[Y#`5'.(_niso['?jH]t:ki]XteaZa@0N]"G\h_>_@P`;d^u`lZ?Ca2l?=]t:tn
+]t:nh]YMG%]thS,aNDZKbg+Sae^sfT!o2VfrS%J/g"G*6rn@>+s4o0]h:gQ<hVR2KhVR2Jh;7#E
+gY:N?hVHr?gYCT<g"P6;gY(98h;$c?gtMb[$.dYXf\+s1f\5*Wg]610hZ)F/hYu=3hVJ.cs4[q:
+h:p]>gtUT=gY1B\g]-",h#H)6gYCN:g"=p-f@\a-dF-LldF$:abKS/Oa2Q!7_8![q]"#2V[C!0>
+X/rM0YHY=?[^W`S['I$EZEL@0Wi`J0ZEgjBZ*UjDZ*:F6YGnCtWiE"pVPBl]VlHbqV5+$c'r@h*
+V5'`WS"#t@U84QXU8Y0"^<)am~>
+#,nZ8^:_+nrk(A,^V.:p_SEakZ`gRC]XbM_\$rlRYctF?[^W`U]Y1tj]tM%i]tqS%_8=(%\$`]V
+\$`ZR\@oYk]"PnrrkSiV_o9^>c-Oi;dgXaTda?Lme^`1"f%&=Med'aTe^`7$e'e0Fs3rUNe^W."
+e'ZUmeCE'sdF-Lnda?Lne^W!oeCN1"e^W'qdEp4ac-Ob`cd1"eqpPPprmh%urRLnu"P))Tf%'cL
+!n,KErmUbo!7Unps3V&!e'cUhdF8*C!n#?>rm4Qhb0%rObfn5M`Q#m8_S<gu]XkV][Bd'AYck1-
+Vl?_uWMuu&Yd(I;Y,n_,XJr%lUo(,kX/rG'WiWD+XfJJ$Whc>`VPU&^U7e-OUSXf]T:PtO'qLti
+T:MI>Q'I])SY2UGSYN'a\&+>Z~>
+?)"7(\[JoRZELL<['HsD\$iNBW26;nZE^U>YctC7WiN;,Za@*I\@K,Y\$iWL[C<WPZEpp?WMc_s
+WMlerX08h6XK](@\%92a]thJ&a2uTNcHjk`cHXY\d*Bo7cO.tFcd0tcd*^4cc2Q0:e^W$reC2dl
+dEp.`cd:(bbfe5Uccs\Zd*^1ac-Oeacd:%arlbqq`l6!>aN)BDbKS2Tbfn>Wr6P;g"Ob]EdF.s?
+"45B@df.Vsd*L(cci23*cd'e]dF-Fhd*gCicHXSVb0/#QbJhL#`t6>3`5BO2_8!^s]=PJ[['Ht9
+XpV81V51#hY-"k2Zi7?]['Hp@Z*:@1W2QbuWi;qtW2Qc"X/i4uVl6>^TqnHXU8+BRTqnWbV5!p]
+'qqCtU7e*KQ^4#-SXu@>R%C%P[`"P`~>
+)RmB&ccs\W`l,sCcH*uFb07oD^q[S%a2Ps9rko,Z^V@V'a2l?Bao9O(bfe2RcHstbcHa\V`PopA
+bK.`GaND`Nair&WrmUns#hIV\gY:T@h;A.g-K3h;gtglEhV[;Mhr*GMi8EMNj5T(Zj5AkSiSWSP
+i8<GMi8NYQrne@Fh;-rGiS`SKhr*GMi8NVOhqn@fr8.G2"QA:siSjdq)r]`5ioB+\j5T"Si8`bQ
+i8N\SiSrkTi8NVQiVhd9iW%gCioB(Yi8ESSj5Jqqh\Y50iS`PKi838Eg=b-3g"=p-e^`7%eC4EF
+s3V8%cd'k`dF-Fje'ugormUkm-dKrZb0/&Sd*^7hcd1%hda?Lkcd0hYc-Xb\c-4>PbK\G^ccs\Y
+c2PrebPoWoaiMQFbKS/Qbg4_ddF+S9~>
+19\($`l5s<_SO12aMYg1a2u98]tCqn_n`t$]tM4q]Y2(r_Sj@/`5fs>`Pod6`lZEGrl?"q^qdk-
+`P]R2`5]m>`Q63Fc-4ATc-F_beCOTMrR_V5g=b-2g"Y67gY:H8g=uV[(>.<qgY1E9f@S^/f@\d/
+f@S[-g"G$1rn%2$%+j4eg"=p/g"G$3g=cJX!nPlNr7:_ss4RG+#hdk_g=tE=h;&"`#Mn.fg"P38
+gAT\@g=tB;gtUT;g"G$2g"P37f@S^2gY:H9r7MS4f%8U.f[n^)eCE+!e'e3B!RT0lc2c,gbQuD9
+c-FSXbg"K5c2l8:rlYeoaMl-<aN2KGb0.iGb0Bn/s2bD``Q-0Drl>Vi`Q-*Cb/q]D`Pf^4`5]gr
+`W!dU`Vmg]aNMiRc-;W+~>
+7]*8u^:h1k[Bd6Q]=,)T]=k_]Z*:C>\[SrT[C!BLZ*UmK]=kkh]t_=q]"5D]\\#Pe]">P^Za.$M
+\@8oV\\#Pf]"GbmrPA`U`lH3EbPfcccjnIOdEg.edF-FieBu[me,7W&f@JL'e^Dmpe'QLjdJV>k
+ci23*c-O\\cdC1gd*L(ddEp:hdEp7dc-+9/bQH,8cHlF8s3^en&CJtVeCE*uda?LmdaHUoe^aZK
+#1M#Kd*^:irm:_mrm(r!e'ujodF6Xre'e*?'$ehNd*L(bcHXYZbK7oJaN;KDrl+oU$cBj!_8F42
+aN2KGbPoZabPoNb`l,a2_u@US_[j`'_SjL7`Q#p8_na%'`5DSk%`#ip_oB^8_ns:,^qde'rP8uX
+]Y(ql^V7Cr_T'^?c(':~>
+/A]BZh;7#Df%/L.h:gH1g"b<5f@e^/gXt*/f%/L,e^`:)gYCQ;gYCW@gtVe_s4n7Ag=k32fA#0=
+h;-uEhV[2GrnfHiiS`YQio9"YioB"Uio9"YjQ,F_io9"Zj5T+Zio9"[j5]4^k31pfjlPL]j5]+Y
+jSe-=ir7s=io'gq%--F1jlGF[io8qWjQ-=%ro=%?qr@h=jQ-=%%d)m6j5T1_kNCsfio/nXro4=G
+jlPRbjQ#=^ir8!DjlY^cj5o@_roO1?"6AV-jSn0>jo"3>joFKAiW%dFi8`q\jPo1ZjQ,=[j5f8"
+irA*;j8\*@hqm5IrSSpXhV[8MiS`bXjQ5@YiT&nUi8<GMiS`YSh;-rFhVI#FiSi_ohuDR5h$2Zh
+gYCZDhYc.6hVd;IgY15JJ,~>
+#.hUseCN:)rmO3`e^D^fdalsse()jre^;Xec-FbgeC<%#f\+m-f\"m1f@JR+f@S[-f@SU(e(!"'
+g=b06g"P37g"Y67gtUQ:gYDeb#2e:ngt^`Arnd\4s5"(>i8<DKi83>JiVqXBhV[;Kh;7#CgtgfA
+h;8+ds4e+?hVR&AgtgcAhV[5IgtVh`&`)=$hr*GLh;-uGhVI#EhVI#ehYl=6h;$fDrS[b7rnd\5
+!T2i7i<\Auh;-uHi8NYnhuqomi83>ihuDL7hVdDOrndb7hu2CLi8NVNh;7#EhVmJRiSWPNiSi\O
+i8NVOhr+Il!9!k6"Q%tigthtd+Q)&2gtgiCgtpoDhV-Z;h:gT9f\"m2g"G06g"P37g"HAY!87>'
+r7;)(g"P9:r7M>0gtUN6f@-.<~>
+-Esr!bg"DV`P]X7aMl$6a32TFa2u<Cb/_H>`5K[9_o0R9bK\5Qrlcn8a2Z*;`5BR8b0.uMaN2TP
+d*L%cdF-IicdC+ddE^"]cHsqdda?Ljd*U2>df7c!eC2puf)F2-f@8=%f[\O'f@Sa.rm_/"dF-Ii
+r6bSlrm1Vk&'rMIdF$CkeC2jnd*^7fdJhVpe-=@KdaZdqe,@bre,Inref3/hdaZguf%&:!daHXp
+e^`7&f%/C$daHOhd*_g=!m]';rm)8)dEg1ee(3$te'umre'c^oeCN1LdMUB[daQ[nda-7edF-Cg
+da?LicdC.ge'lhGdf@hpd/VMndK\+Gd*^:hd/MK2e^;akeBu[jcd0tcd*U7fcHjk_c-FY^d/D;j
+cMPifcHjc5b6Q;<d*U1hd[Yg~>
++4Jm)kih3kiT'%_lKRKpkiq<mk31jhl0.<okj%O!jo+6mk2k^ekj%HskNV6nj5]4]j5f=`k3)!l
+kiq<nk3(phkN:mgjlGLajlGI]ioT8#itUS9jlGI_j5]4]io/kShV[AUj5K"sit^M/iSrhTj5]+Y
+j5T.\j5JqTioB"Tro*e5"5_hihu;I3h#H41gB-3fhYl75gtUQ<h#6%7gtUN7gY:H8g&9V6g"P05
+f@JO'eC<%#f@BlO$.[VXe'ZXjc-4K2clLNYbKJ,Tbf\&Ma2lBGai_]B^V[q/`l5d0^r""+qS<BO
+^V.:n]Xe$O'"50RZ`p^?ZEppH[^<BM\@B#Trils9Xfek4['mBK[]Za7Wi5lq!3#jorMTdpV5=0g%
+AKMgSt2IHURn!FS=b.Y~>
+!mK'Lro"aShr3MOio/eOi8W_RioK"Vio/bOhr3YYj8IsGj5T%YjQ>UdjQ>Rahu2I5iVqj7j8nB$
+ro+1Aio/hSiS`Yni<8)rhr<Voi;_d9huM[6i;_aChqm5GgY:TDhV?rdhA+eugYLZ@hr!8Ihqm;L
+hqd)DhVR)Crn[M-"PVM^gY)PXs4RG(rRh/%"k_GXe^rFOfEg*[eC3%$e^`7MfDjG%f,*#fe'lam
+cd:.je'umrdaQXjcHseXaiaP*6-[QnaN;TG`l5s8_o9[9a2Z$2^V[q-_7mUr^qd_!^;%Cr^V@Lr
+]=PVb\$i]Q[C!9HYd(L>Z*L^CZELO<Yd1G2X:;/-WN*&'Z*:C8X/`1tr1sChrhC=)Unjc]US=KX
+USX]WSXZ(;SXu=<R$sRlJ,~>
+(rOJIg"=s.daQ[pf@JL&f%AU*f@e[,g=cJW);3`qeC2pte^rF(f\,!3f%&=#dEKqce^rOSgAp(/
+huDX7h?Vrpgtgc=g=Z;Ss4%/'f_sD8f[na+f%8O+f[eU'f$`("g"4g,rn&%;e(*(#e^i=$f%/C'
+e^W$pdaQ[nd*pMBdfn1IcdC1fqp5;f!7:_nrR(Yk"4GZJeGdo'dEg(_c-4DVcHcF6)UHdVc-4DT
+b/q`Ga2Gs9`5BO2^q[_!]=PYirP0Gj^q[Y"^q[Rq]t1ef^:h4m]!f&V\@ArPZ*CXBZh^mGYcb+3
+XfJJ$Wi;qpVkg/dV5:&eW2?GkXKAY*rhp:&UnjiaWiW5!WhcDaT)>,XRg#7NS"-"<rL"1bS!]J)
+P)tfjQ^*i&S"YC`~>
+$+ddd^V.:l]"PrW_]Q\-]=PVa]Y;.p^:h7q]t(Y_\$i`S\@T/Z\$WKL[Bok:&[/@@Y,nV"VP9la
+V5'i`Vkg3hVZN`lU]-trTqJ$NT:_^HTV8$NSc52^T:VVQS/[l`R\$":R@9P3Q^*l(Q^=)+QC+&+
+R[TY2QBqN;%@<HKQBd]!Q'IPqP*1q+Ns1Q)OH,9Xr/:c=NJrdRrf-r:$B'duLP^e?L51SAr.kZ6
+KS+o/JV&N.L&-E+JU`)pH$Oc8IKt:JG^"@VH?fC3(3FS<EcZ8>CN"02EH5r6DJsQ7Df9H0rbi-\
+C2%?pBkM$hB4_'P!+Pq;!+c"="D;C]BkI?Us'cFIA7K%W@:<bT?!CH7>Q.k1>?kE=>Q.k.>?Ur-%
+p<1C=BAO&<EE=%<E2ms9Rm~>
+%(3RX]"#8]]"Phl]Y+6W!PGuB[gBFN\[])V[C*NUrjO&Z['d9J\?rWLZ*1I=YcY(2XfSY,WhuSc
+T:hpQT:r!RU&C\dTqM@V"J20SSt5eL"IkjKS=KSL!1WtV#+(U@R[02&rg!MH"-\t5PQ$gGQ2d0b
+QBdYuQ'R`$PEV/lOH>TeO,]0[N;e_<MMmFNM#2r1M26qALAm#/LBN?cKS"mVK)gT$L'`NaJ:N,u
+I=Hj$rdbH,IXcfoH?j[UFEVs/H4tRKF`__JF`VPAEH,r9E,]f:Def2f%VocnD/F*)C2%EuCi*p"
+ralLMARo:^A7K(X@:K(C!+>e7!FoO:?iF=3?=!P8"C5MB>$1c)r`B,#s&T5%=8c8#<tA>:>#nR"
+:f1.h:Jt(c;bDQ~>
+)R$HV[C!9IZEpsI[C*KR\@/`JYd1F;['[0Frj)d6YHP16Y5YXF['6d;Wi<"uVk^,eW2ZerW268a
+TVA9ZTq\?YUAgniV50i[rh0IfT:V[Hrgj(\*hAgiR@'>.Q^3o%Q]dJpQB[PqPEM)kP*ME#QC!r'
+rg"=eQ^*euPE_>tP`q8mO,f6]O,]'VN/IOi",_qjLAco3M2I.GLl)+hre^r;LPCP;KS5*XL]</:
+LP1;4Jq8H(Jq<oN!.Ooq#^^iAF`VVHG^9:5#'kE9G'J7TrcJ6bFT-@]F<>O@EH#i8Df'9+DJsE0
+Chmj(DJj9)BP1piARo:^A7PRIq-sP@C27[$rb27Brac%=")24O?2e"2>?kE;>[@>6"'o5<>Q.e:
+>[q5M?!LN8>[1B9?<q#DJ,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1a.ps b/books/ps/bookvol1a.ps
new file mode 100644
index 0000000..862e881
--- /dev/null
+++ b/books/ps/bookvol1a.ps
@@ -0,0 +1,1335 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 281.197176 469.000000 541.042830
+%%Creator: xwd2ps
+%%CreationDate: Sat Nov 23 21:42:29 1991
+%%Title: h-root.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 h-root.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.919405 inch translate
+matrix currentmatrix
+4.500000 inch 3.581190 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+7fff00
+d6d6d6
+767676
+474747
+b6b6b6
+aab87f
+a4b068
+c0ba76
+8da468
+aeb19a
+99ad80
+a2ae58
+c7c497
+aa9c7c
+aa9468
+c69882
+c8ad97
+e4c5a0
+e6ccbb
+a98f73
+a88f82
+929d7e
+909169
+c1a66c
+8e944f
+8ea252
+a79857
+738d47
+907d4c
+6f7d42
+747858
+758e58
+647a5a
+666f40
+58643e
+4e4a3e
+4c552c
+594936
+4c3c34
+595139
+544c29
+4d422a
+403c30
+34242c
+3c2424
+3c242c
+342c2c
+442c30
+3c3424
+342424
+2c2931
+3c2830
+3c0e2a
+34241c
+34360e
+1a1410
+341313
+340424
+341c24
+594e46
+4c3434
+340d2d
+3c2414
+312e1c
+3c342c
+3c3434
+3c2c34
+443434
+381c34
+505c3e
+443820
+4c2034
+3a160f
+2c1429
+343424
+381c2c
+2c1610
+481814
+3c3411
+1c2c2e
+342434
+3f3c22
+543a28
+505c4e
+565141
+645c40
+796f40
+577346
+484848
+5e624e
+d1cdc2
+caa698
+e2a99e
+9c8470
+a79498
+8c8454
+414126
+414d2e
+5c5c54
+3c241c
+3c2c1c
+4d3a1f
+342c34
+6a6158
+2a3017
+441130
+431614
+1c1527
+5c303c
+58654d
+baacb9
+cc9793
+c48e6a
+a08665
+a0804c
+481430
+4c251a
+443218
+645038
+715f3a
+6e5424
+a9c3cb
+c18e79
+deb877
+343c24
+c4c9ca
+a08054
+ac8454
+541c1f
+391c3c
+9a845c
+8d7054
+d09068
+e1a48d
+8b8f77
+2c3434
+1c2e13
+725f48
+8d6971
+d49474
+a8855c
+c08064
+c59c67
+b48458
+bd8458
+b47454
+937d3d
+c29258
+91a79d
+9fa8bd
+e1a373
+8e5c4a
+81613b
+a06c54
+89815d
+98808b
+8c6c44
+a16a5c
+8b7c6e
+6f7568
+80604a
+815134
+8c573f
+9e644e
+7c4434
+7c4c44
+774f38
+796e57
+a46c4c
+898666
+6d4f37
+8d6232
+90654d
+9e683e
+622c34
+542841
+cf8e7c
+64605e
+946444
+643c34
+788c68
+a26a64
+dcced4
+ebd3d1
+90645c
+343a30
+ac7f46
+d48464
+c48656
+926939
+e19b6c
+7d6767
+e49780
+a97273
+bc7c54
+526460
+7c5d58
+b07240
+de925d
+5b6a6e
+8c9086
+6e8f8b
+b47459
+c47c5c
+7a7788
+5f6f8c
+584e5b
+88939b
+503c58
+8b9eae
+6e3a22
+e9e3d4
+6c4434
+3f234d
+6e4d42
+bf7c43
+4c4b58
+b77a41
+84543c
+955f3f
+9b4e3c
+cd7f79
+743d47
+a66841
+724a57
+723a3e
+6d2534
+e28f74
+cc7d69
+70403a
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b010c000101050001010300080103000101090007010900ff015f017b0001120601011
+101120601011105000a0102000201060002010200020102000c010b0002010400
+02010200090102000201080008010800ff015f017b0001120601011101120601011105000a01030
+00201040002010300020103000b010b0002010400020102000901020002010800
+09010700ff015f017b00011206010111011206010111050002010b0002010400020103000201070
+002011000020104000201020002010900020108000201030003010600ff015f01
+7b00011206010111011206010111050002010c00020102000201040002010700020110000201040
+00201020002010900020108000201040002010600ff015f017b00011206010111
+011206010111050002010c000201020002010400020107000201100002010400020102000201090
+00201080002010400020106007b010200000103003d01050097017b0001120601
+0111011206010111050002010d00020100000201050002010700020110000201040002010200020
+109000201080002010400020106007c010100010101003f010100010101009601
+7b00011206010111011206010111050002010d00020100000201050002010700020110000201040
+002010200020109000201080002010400020106007c010100010101003f010100
+0201010095017b00011206010111011206010111050002010e00040106000201070002011000020
+1040002010200020109000201080002010400020106007c010100010101003f01
+01000201010095017b0001120601011101120601011105000801080004010600020107000201100
+00a010200070104000201080002010300030106007c0101000101010006010300
+0001020005010100000102000901030007010100000103000701010002010100070103000901030
+07b017b0001120601011101120601011105000901080002010700020107000201
+10000a0102000801030002010800090107007c01050007010100020100000701020000010100070
+10100010101000701020001010100060101000201010006010100010101000701
+0100010101007a017b0001120601011101120601011105000901080002010700020107000201100
+00a0102000801030002010800080108007c010100010101000701010002010000
+0701010002010100050101000201010007010100020101000601010002010100050101000301010
+005010100020101007a017b00011206010111011206010111050002010e000401
+0600020107000201100002010400020102000201090002010800070109007c01010001010100080
+1010000010000080101000201010005010600070101000b010100020101000501
+010003010100050101007f017b00011206010111011206010111050002010e00040106000201070
+0020110000201040002010200020109000201080002010e007c01010001010100
+08010100000100000801010002010100050101000c0101000b01010002010100050101000301010
+0050101007f017b00011206010111011206010111050002010d00020100000201
+050002010700020110000201040002010200020109000201080002010e007c01010001010100090
+101000901010002010100050101000c0101000b01010002010100050101000301
+010005010100030100007a017b00011206010111011206010111050002010d00020100000201050
+002010700020110000201040002010200020109000201080002010e007c010100
+010101000901010009010100010101000701010002010000070101000b010100010101000701010
+00101010007010100010101007a017b0001120601011101120601011105000201
+0c00020102000201040002010700020110000201040002010200020109000201080002010e007b0
+1020000010300080100000a010400090103000701040008010500090103000901
+03007b017b00011206010111011206010111050002010c000201020002010400020107000201100
+00201040002010200020109000201080002010e008c0100000a010100c4017b00
+011206010111011206010111050002010b000201040002010300020107000201100002010400020
+10200020109000201080002010e0089010000000100000b010100c4017b000112
+0601011101120601011105000901040002010400020103000201070002011000020104000201020
+0080103000701030002010e00890102000a010300c3017b000112060101110112
+0601011105000a01020002010600020102000201070002011000020104000201020009010200080
+1020002010e00ff015f017b000112060101110112060101110600090103000101
+07000101030001010800010111000101050001010300080103000801020001010e00ff015f017b0
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b00ff015f017b000112060101110112060101117b00ff015f017b0001120601011101120601011
+17b00ff015f017b00011206010111011206010111ff00ff005700011206010111
+011206010111ff00ff005700011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111140107000001020008010000150100001501000004010200160100001c01
+03001f0103001401030006010200000103002401050027010700210103001801000023010000070
+1000050010000040102004e010112060101110112060101111401010000010100
+000101000101010007010200130102001401000005010100160100001e010100210101001301010
+00101010006010100010101002601010001010100260101000001010000010100
+2301010018010000220102000601000050010000050101004e01011206010111011206010111140
+10000010101000101000001010100080100001501000014010100050101001501
+01001e0101002101010013010100010101000601010001010100260101000201010025010000010
+1010001010000230101001701010023010000060101004f010100050101004e01
+01120601011101120601011117010100040101003501010005010100150101001e0101002101010
+0130101000a010100010101002601010002010100280101002601010017010100
+2b0101004f010100050101004e01011206010111011206010111170101000401040003010300040
+10300000100000701030004010300000100000601060002010400040103000701
+06000301030002010100000102000a01010005010300020102000101020002010300050101000a0
+10300040101000a01010001010100010103000001020000010100000102000401
+0300020101000001030002010100020101000201030004010300180101000501030008010300000
+10000030103000501010005010300040103000201060007010400020101000001
+02000801030003010600030103000201000000010100000101000f0100000001010000010100030
+10300020102000101020002010300070106000201040004010300420101120601
+0111011206010111170101000401020000010100040101000301010002010100090101000301010
+00201010008010100050102000001010002010100010101000801010005010100
+0101010002010200000101000901010004010100010101000201010002010000020101000101010
+00401010009010100010101000201040008010500020101000201000002010200
+0001010002010100010101000201020001010100010101000201010001010100010101000201010
+00101010017010100040101000101010006010100020101000201010001010100
+0401010004010100010101000201010001010100030101000901010002010100020101000101010
+0090101000501010005010100010101000101010000010100000101000e010100
+0001010000010100010101000101010002010100020100000201010001010100080101000501020
+00001010002010100010101004101011206010111011206010111170101000401
+0100010101000401010003010100030100000901010003010100030100000801010005010100010
+10100010101000201010008010100040101000301010001010100020101000801
+0100030101000201010002010100020100000101010002010100040101000801010003010100020
+101000a0101000101010002010100020100000201010002010100000101000201
+0100020101000201010001010100020101000001010003010100000101000201010017010100030
+10100030101000501010003010000010101000201010004010100030101000201
+0100010101000201010003010100090101000201010002010100010101000901010005010100040
+10100020101000101010000010100000101000e01010000010100000101000001
+0100030101000101010002010000010101000201010008010100050101000101010001010100020
+10100410101120601011101120601011117010100040101000101010004010100
+040102000c010100040102000b01010005010100010101000101060008010100040101000301010
+00101010002010100080101000301060003010100000100000201060004010100
+0801010003010100020101000a01010001010100030101000001000003010100020101000001060
+00201010006010100020101000001010003010100000101001c01010003010100
+030101000601020004010600040101000301060001010100080101000c010300020101000101010
+00901010005010100040106000101010000010100000101000e01010000010100
+0001010000010100030101000201010000010000020106000801010005010100010101000101060
+04101011206010111011206010111170101000401010001010100040101000601
+02000a01010006010200090101000501010001010100010101000d0101000401010003010100010
+10100020101000801010003010100080101000001000002010100090101000801
+010003010100020101000a010100010101000301010000010000030101000201010000010100070
+1010006010100020101000001010003010100000101001c010100030101000301
+01000801020002010100090101000301010006010100080101000a0101000101010002010100010
+101000901010005010100040101000601010000010100000101000e0101000001
+01000001010000010100030101000201010000010000020101000d0101000501010001010100010
+10100460101120601011101120601011117010100040101000101010004010100
+0301000003010100090101000301000003010100080101000501010001010100010101000d01010
+00401010003010100010101000201010008010100030101000801030002010100
+090101000801010003010100020101000a010100010101000401010004010100020101000001010
+00701010006010100020101000001010003010100000101000301000017010100
+0301010003010100050100000301010001010100090101000301010006010100030100000301010
+00901010002010100020101000101010009010100050101000401010006010100
+00010100000101000e0101000001010000010100000101000301010002010300020101000d01010
+00501010001010100010101004601011206010111011206010111170101000401
+0100010101000401010003010100020101000901010003010100020101000801010001010000020
+10100010101000201010002010000080101000101000002010100010101000201
+0100010101000901010004010100020100000401010004010100020100000401010009010100010
+10100030101000a01010001010100040101000401010001010100020101000201
+0000020101000601010001010100020101000101010002010100010101000401000011010100040
+10100010101000601010002010100020101000201000004010100040101000201
+0000020101000101010003010100010100000601010001010200020101000101010009010100050
+10100010100000201010002010000010101000001010000010100030100000901
+0100000101000001010001010100010101000401010004010100020100000801010001010000020
+10100010101000201010002010000410101120601011101120601011116010300
+02010200000103000101050001010000000103000801050001010000000103000a0102000201020
+000010300020103000a0102000401030003010400080105000301030005010100
+0501030003010500080103000301030008010200000103000301000005010400040103000201040
+0030105000401030004010300040102000f010300040103000701000000010300
+0401030003010500030103000401030005010200080102000101010000010200000103000601050
+00401020004010300020101000001010000010100020102000801010000010100
+000101000201030005010100050103000a010200020102000001030002010300420101120601011
+1011206010111870101005f01000005010100350100009e0101008c0101120601
+0111011206010111870101005c0100000001000006010100d50101008c010112060101110112060
+10111860103005b01020005010300d30101008d01011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01370100000301030008010100130104001601000
+0da010112060101110112060101115b01000007010000040102000d0100000401
+0200480100003f0102000901000019010100030103000701030011010600140101000c010000040
+1020026010300060100000d01020080010112060101110112060101115a010200
+06010000050101000d0100000501010048010000400101000801020018010100040102000801010
+01201020000010200140101000c0100000501010028010100050102000d010100
+80010112060101110112060101115b01000006010100050101000c0101000501010047010100400
+101000901000018010200040102001d010200170102000b010100050101002801
+0100060100000e010100800101120601011101120601011163010100050101000c0101000501010
+04701010040010100220106000101060002010400030103000001000006010500
+0401030001010300000102000101060008010100050101002801010016010100800101120601011
+10112060101111601030002010200000102000101010000010300020103000001
+0000030103000201010000010300060101000301010001010300030106000201040007010600020
+10400040103000701000000010100000101000301030002010200000102000201
+0300000100000301030007010600030103000801040007010100030101000201030002010100000
+10300030104000701030003010100000102000c01060001010700010104000201
+0600060105000301050000010800000106000601060002010400040103000201010000010200090
+10300050101000401030005010300030101000101020006010400070100000001
+0100000101000301030002010200000102000201030000010000030103003d01011206010111011
+20601011115010100010101000201010001010100020102000101010000010100
+0201010002010100010101000201020001010100050101000301010003010100050101000501020
+00001010008010100050102000001010002010100010101000601010000010100
+0001010001010100010101000201010001010100010101000201010002010100010101000801010
+00501010001010100060101000201010006010100030101000101010001010100
+020102000101010001010100000102000901010004010100010101000c010200040103000001020
+00301020002010200000102000701020004010200010102000001030000010200
+010102000b010100050102000001010002010100010101000201010001010100070101000101010
+00401010006010100040101000101010002010100010101000601010002010100
+0601010000010100000101000101010001010100020101000101010001010100020101000201010
+0010101003c010112060101110112060101111401010002010100020101000101
+0100020101000201010000010100030100000101010003010100010101000201010005010100000
+10100000101000301010005010100050101000101010008010100050101000101
+0100010101000201010006010100000101000001010000010100030101000101010001010100010
+10100030100000101010002010100080101000401010003010100050101000201
+0100060101000001010000010100000101000301010001010100020101000001010002010100090
+1010004010100010101000c010200040102000101020003010200020103000101
+00000701020004010200010102000001020001010200010102000b0101000501010001010100010
+10100020101000201010001010100060101000201010004010100060101000301
+0100020101000201010000010100070101000201010006010100000101000001010000010100030
+101000101010001010100010101000301000001010100020101003c0101120601
+0111011206010111140101000701010001010100020101000601020004010100030101000101010
+00a01010000010100000101000301010005010100050101000101010008010100
+0501010001010100010106000601010000010100000101000001010003010100010101000101010
+00201020004010600080101000401010003010100080103000601010000010100
+0001010000010100030101000101010005010100020101000901010004010100010101000c01020
+00401020001010200030102000301040008010200040102000101020000010200
+01010200010102000b0101000501010001010100010106000201010001010100060101000901010
+00601010003010100070103000b01030006010100000101000001010000010100
+03010100010101000101010002010200040106003c0101120601011101120601011114010100070
+101000101010002010100080102000201010003010100010101000a0101000001
+01000001010003010100050101000501010001010100080101000501010001010100010101000b0
+10100000101000001010000010100030101000101010001010100040102000201
+01000d0101000401010003010100060101000101010006010100000101000001010000010100030
+101000101010005010100020101000901010004010100010101000c0102000401
+0200010102000301020002010000010103000701020004010200010102000001020001010200010
+102000b0101000501010001010100010101000701010001010100060101000901
+0100060101000301010007010300090101000101010006010100000101000001010000010100030
+10100010101000101010004010200020101004101011206010111011206010111
+1401010003010000020101000101010002010100050100000301010001010100030101000101010
+00b01010000010200040101000501010005010100010101000801010005010100
+01010100010101000b0101000001010000010100000101000301010001010100010101000101000
+003010100010101000d0101000401010003010100050101000201010007010100
+0001020001010100030101000101010005010100020101000901010004010100010101000c01020
+00001010001010200010102000301020002010200000102000701020004010200
+0101020000010200010102000101020000010100080101000501010001010100010101000701010
+00101010006010100030100000401010006010100030101000301000002010100
+0001010007010100020101000601010000010100000101000001010003010100010101000101010
+00101000003010100010101004101011206010111011206010111150101000101
+010002010100000102000201010005010100020101000201010001010100020101000b010100010
+10100040101000501010001010000020101000101010008010100010100000201
+0100010101000201010002010000060101000001010000010100010101000101010002010100000
+10200010101000201010002010100020100000801010001010000020101000101
+0100060101000101020007010100010101000201010001010100020101000601010000010200090
+1010004010100010101000c010500000103000001030001010600000106000601
+0400040105000001030000010300010105000801010001010000020101000101010002010100020
+10000020101000101010007010100010101000401010006010100040101000101
+0100020101000101010006010100010102000601010000010100000101000101010001010100020
+1010000010200010101000201010002010100020100003c010112060101110112
+0601011116010300040102000001010000010400030100000001030004010300020104000901000
+00301000002010500040102000201020000010300080102000201020000010300
+0201030007010100000101000001010002010300040102000001010000010000000103000401030
+00a01020004010300080102000101010006010000030100000301030002010400
+05010200000101000601050001010200000103000c0103000101030000010300010106000001000
+00001030007010400050103000101030000010300020103000a01020002010200
+0001030002010300020102000001030007010300030105000201050003010300020103000001020
+00601020001010100050101000001010000010100020103000401020000010100
+0001000000010300040103003d01011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01bb010200000103000001070
+00001040003010600790101120601011101120601011114010200110100000701
+00002401070031010000100100001a01020016010000070100001e0100001201020000010300240
+105002c010300060100000d010200260102000101020000010700000104000301
+0700780101120601011101120601011115010100110100000701000025010100020101003001020
+00f0100001b01010016010000060102001d010000130101000101010026010100
+010101002d010100050102000d01010026010200010102000101020000010200010102000501020
+00001020078010112060101110112060101111501010010010100060101002501
+010003010000310100000f0101001b01010015010100070100001d0101001301010001010100260
+10100020101002c010100060100000e0101002601020001010200010102000101
+0100010102000501020000010200780101120601011101120601011115010100100101000601010
+025010100470101001b0101001501010026010100130101000101010026010100
+020101002c010100160101002601020001010200010102000501020005010200000102007801011
+20601011101120601011115010400020102000001020001010600010106000301
+0300020101000001020011010100010100000401030002010100000103000701040002010100000
+10200080103000301010000010200020106000101010000010300030103000401
+0400010102000001020003010300020106000201030005010300020101000001020007010600030
+10300080101000101010001010300000102000001010000010200040103000201
+0100000103000201010002010100020103000401030012010300050101000401030005010300030
+10100010102000701030002010100000102000c01070001010400030102000501
+0200000102007801011206010111011206010111150102000001010002010100010101000301010
+00601010005010100010101000201010001010100100104000301010001010100
+0201020001010100050101000201010002010100010101000901010004010100010101000301010
+00501020001010100010101000101010002010100000102000201010001010100
+0201010001010100030101000701010004010100010101000201010001010100080101000501010
+00101010007010500020101000201000002010200000101000201010001010100
+0201020001010100010101000201010001010100010101000201010001010100100101000101010
+00401010006010100040101000101010002010100010101000701010001010100
+02010100010101000b0107000101040003010200050106007801011206010111011206010111150
+10100020101000101010001010100030101000601010004010100030101000101
+0100010101001001010001010000020101000301010001010100020101000501010002010100020
+10100010101000901010004010100010101000301010005010100020101000001
+0100030101000001010002010100020101000101010001010100020101000301010007010100030
+10100030101000101010001010100080101000401010003010100060101000101
+0100020101000201000002010100020101000001010002010100020101000201010001010100020
+10100000101000301010000010100020101000f01010002010100040101000601
+010003010100020101000201010000010100070101000301010001010100010101000b010200010
+10200010102000501020005010500790101120601011101120601011115010100
+0201010001010100010101000301010006010100040101000301010001010100010101001001010
+00501010003010100010101000d01030002010100010101000901010004010100
+0101010003010100050101000501010003010100000101000201010002010100010101000101010
+00801010007010100030101000301010001010100010101000801010004010100
+0301010006010100010101000301010000010000030101000201010000010600020101000601010
+00201010000010100030101000001010014010100090101000601010003010100
+07010300080101000301010001010100010101000b0102000101020001010200050102000501020
+07c01011206010111011206010111150101000201010001010100010101000301
+01000601010004010100030101000101010001010100100101000501010003010100010101000b0
+10100010101000201010001010100090101000401010001010100030101000501
+0100050101000301010000010100020101000201010001010100010101000801010007010100030
+10100030101000101010001010100080101000401010003010100060101000101
+0100030101000001000003010100020101000001010007010100060101000201010000010100030
+10100000101001401010009010100060101000301010007010300080101000301
+010001010100010101000b0102000101020001010200010101000101020001010100010102007c0
+10112060101110112060101111501010002010100010101000101010003010100
+0601010004010100030101000101010001010100100101000501010003010100010101000a01010
+00201010002010100010101000901010004010100010101000301010005010100
+0501010003010100000101000201010002010100010101000101010003010000030101000701010
+00301010003010100010101000101010008010100040101000301010006010100
+0101010004010100040101000201010000010100070101000601010002010100000101000301010
+000010100030100000f0101000301000004010100060101000301010003010000
+0201010000010100070101000301010001010100010101000b01020001010200010102000001020
+00101020000010200010102007c01011206010111011206010111150102000001
+0100020101000001020003010100010100000301010001010000020101000101010002010100010
+10100040100000a0101000601010001010100020101000a010100010102000201
+0100010101000901010004010100010101000301010001010000020101000601010001010100020
+10100000102000201010000010200020101000101010003010100010100000401
+0100040101000101010002010100010101000801010001010000020101000101010007010100010
+10100040101000401010001010100020101000201000002010100060101000101
+010002010100010101000201010001010100040100000a010100010101000401010006010100040
+10100010101000201010001010100070101000101010002010100010101000b01
+0200010102000001070000010700000104000601000073010112060101110112060101111401010
+00001020004010200000101000301020005010200040103000201020000010300
+0201020008010300060103000201040009010200010101000001020000010300060105000101020
+00001030003010200020104000501030004010200000101000201020000010100
+0201030005010200030105000301030002010200000103000801020004010300070102000001030
+00301000005010400040103000201040003010500040103000401030004010200
+0a01030003010500020105000301030002010300000102000701030002010200000103000a01020
+00001030000010700000107000001040005010200720101120601011101120601
+01114d010000d401000005010100350101007d0100007301011206010111011206010111ff01200
+10000000100000601010035010100f201011206010111011206010111ff012001
+02000501030033010100f301011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff00ff005700011206010111
+011206010111ff00ff005700011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+0112060101111401010003010100000102001101000025010300070102002701030006010000040
+1020016010000160102000c010200ff0170010112060101110112060101111401
+0100030101000101010011010000270101000801010029010100050102000401010016010000170
+101000b01010000010100ff016f01011206010111011206010111140101000301
+01000101010010010100270101000801010029010100060100000501010015010100170101000a0
+1010002010100ff016e0101120601011101120601011114010100030101000101
+0100100101002701010008010100290101000d01010015010100170101000a01020001010100ff0
+16e01011206010111011206010111140101000001010000010100010104000301
+0400020106000601010003010100020103000201020000010200040101000501040006010300000
+10200020103000201020000010200090101000401030004010100010102000201
+0300070106000301030009010400030103000301000002010100ff016e010112060101110112060
+10111140101000001010000010100010102000001010001010100020101000301
+0100090101000301010001010100010101000201010001010100040101000401010000010200070
+10100020100000201010001010100020101000101010009010100060101000401
+0100010101000201010001010100080101000501010001010100070101000001020002010100010
+1010005010100ff016f0101120601011101120601011114010100000101000001
+0100010101000101010001010100020101000301010009010100000101000001010000010100030
+10100010101000101010004010100030101000201010007010100020100000101
+0100030101000101010001010100090101000601010004010100000101000201010002010100080
+1010004010100030101000501010002010100010101000301010003010100ff01
+7001011206010111011206010111150105000201010001010100040103000301010009010100000
+10100000101000001010003010100010101000101010004010100030101000201
+0100080101000001000002010100030101000101010001010100090101000601010004010300030
+10600080101000401010003010100050101000201010001010100030101000201
+0100ff0171010112060101110112060101111501010000010200020101000101010002010100010
+10100030101000901010000010100000101000001010003010100010101000101
+0100040101000301010002010100080101000001000002010100030101000101010001010100090
+101000601010004010300030101000d0101000401010003010100050101000201
+0100010101000301010003010000ff0171010112060101110112060101111501010001010100020
+10100010101000101010002010100030101000a01010000010200010101000301
+0100010101000101010004010100030101000201010009010100030101000301010001010100010
+1010009010100060101000401010000010100020101000d010100040101000301
+010005010100020101000101010003010100ff01760101120601011101120601011115010100010
+10100020101000101010001010100010102000301010001010000070101000101
+0100020101000101010002010100000102000401010004010100000102000901010004010100010
+10100020101000001020009010100060101000401010001010100020101000201
+0000080101000101000002010100010101000701010000010200020101000101010004010000ff0
+17101011206010111011206010111150100000301000001010200000103000101
+0200010101000301020008010000030100000301030004010200000101000101050003010200000
+10100080100000601030004010200000101000601050002010500010103000001
+0200020103000a0102000401030009010200000101000201030004010200ff01700101120601011
+10112060101117201000070010000ff0171010112060101110112060101116f01
+000000010000ff01e4010112060101110112060101116f010200ff01e4010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111240106001601010012010200
+0001010032010300ff01c20101120601011101120601011113010b0004010700140103001001060
+03201030020010300000100000b01030035010200060103002301020016010300
+040100000501030004010300060100001e01000015010000200103000f010000770101120601011
+101120601011113010b0005010200000102001501010011010200000102003301
+02001f010100010102000d010100360101000801010024010100150101000101010002010200060
+1010006010100050102001c01020014010000220101000f010000770101120601
+0111011206010111130101000001000000010000000100000001020005010200000102002901020
+001010100330102001f010000030101000d010100360101000801010024010100
+1501010001010100030100000701010006010100060100001e01000014010100220101000e01010
+07701011206010111011206010111130102000001000000010000000100000001
+0100050102000001020001010400030103000001000002010400040102000001010005010200010
+10100030103000201000000010100000101000101000000010100000101000201
+0400010103000001020003010500010103000001000017010100030100000d01010036010100080
+10100240101001501010010010100060101003c010100220101000e0101007701
+0112060101110112060101111301010000010000000100000001000000010200050105000101060
+00101060002010400030106000501020006010500010107000001070000010600
+0001080001010600000106001701020007010300050101000301020001010200020103000701010
+00001020002010100000103000301030003010400050101000501030002010000
+0001010000010100020103000001000007010400020103000001020007010100050103000601010
+00601010004010300030101000001020003010300000101000601030003010100
+0001020007010600030103000201000000010100000101000101010000010200050101000401040
+00201060003010300030103000001000062010112060101110112060101111301
+0200000100000001000000010000000101000501050001010100010102000101020000010200040
+10200020103000001020005010200050102000101020000010700000107000001
+0100010102000101030000010200000102000001030000010200000102001801030004010100010
+10100040101000401010002010000020101000101010007010200000101000201
+0200010101000101010001010100020102000001010004010100040101000101010001010100000
+10100000101000001010002010100070102000001010002010100020100000701
+0400050101000601010006010100060101000401010001010100010101000101010000010000080
+10100040101000101010008010100050101000101010001010100000101000001
+0100010102000001010004010100030101000201010003010100050101000101010001010100020
+10100620101120601011101120601011113010100000100000001000000010000
+0001020005010200000102000301030001010300010100000401020002010200020101000501020
+00501020001010200000101000001010000010100000101000001010000010100
+0301030001010200010102000001020001010200000103000101000019010300020101000301010
+00301010004010100020100000101010002010100070101000201010001010100
+0201010000010100030101000101010002010100030101000301010002010100010101000001010
+00001010000010100030100000701010002010100010101000201000008010100
+07010100060101000601010006010100040101000101010001010100010101000a0101000401010
+00101010008010100040101000201010001010100000101000001010001010100
+0201010003010100030101000201010003010100040101000201010001010100030100006201011
+20601011101120601011113010200000100000001000000010000000101000501
+020000010200010105000201040005010200020102000a010200050102000101020000010100000
+10100000101000001010000010100000101000101050001010200010102000001
+020001010200010104001c010200010101000301010003010100050101000001000002010600070
+10100020101000101010005010100030101000101010002010100030101000301
+0600010101000001010000010100010102000a01010002010100020101000001000009010100070
+10100060101000601010006010100040101000101010001010100010101000a01
+0100040101000101010008010100040106000101010000010100000101000101010002010100030
+10100060103000301010004010600020102006501011206010111011206010111
+1301010000010000000100000001000000010200050102000001020000010200000102000101000
+00101030004010200020102000a01020001010100010102000101020000010100
+0001010000010100000101000001010000010100000102000001020001010200010102000001020
+00101020000010000010103001701000003010100010101000301010003010100
+0501010000010000020101000c01010002010100010101000501010003010100010101000201010
+00301010003010100060101000001010000010100030102000801010002010100
+0201010000010000090101000701010006010100060101000601010004010100010101000201030
+00b01010004010100010101000801010004010100060101000001010000010100
+0101010002010100030101000401010001010100030101000401010009010200630101120601011
+10112060101111301020000010000000100000001000000010100050102000001
+0200000102000001020001010200000102000401020002010300010101000501020001010100010
+10200010102000001010000010100000101000001010000010100000101000001
+0200000102000101020001010200000102000101020000010200000102001701010003010000010
+10100030101000301010005010300020101000c01010002010100010101000501
+0100030101000101010002010100030101000301010006010100000101000001010000010000030
+101000701010002010100030101000a0101000701010006010100060101000601
+01000401010001010100010100000f0101000401010001010100080101000401010006010100000
+10100000101000101010002010100030101000301010002010100030101000401
+01000601000003010100620101120601011101120601011113010b0004010700000107000001060
+00201060001010600050106000201050001010100000101000001010000010100
+000101000001010000010b000001030001010600000106001701020001010100020101000101010
+00401010006010100040101000201000007010100010101000201010006010100
+0101010002010200000101000401010004010100020100000101010000010100000101000001010
+0020101000701020000010100040101000a010100070101000601010006010100
+060101000401010001010100010105000a010100040101000101010008010100010100000201010
+00201000001010100000101000001010001010100010101000401010003010100
+01010200030101000101000002010100020100000101010002010100040100005c0101120601011
+101120601011113010b0004010600020102000001020000010000000103000301
+0600020104000701040004010300020101000001010000010100000101000001010000010100010
+10200000106000001030002010200000101000001000000010300180100000001
+0300040103000301050004010100050103000801040002010400050103000201010000010200030
+10500030103000201010000010100000101000001000000010300070101000001
+0200050100000a01030004010500020105000201050002010500010102000001030001010500070
+10500010102000001030008010200040103000201010000010100000101000101
+040003010500020102000101010003010200040103000201000000010300040102005b010112060
+10111011206010111e7010100550100003f010000040100003901010035010000
+5c01011206010111011206010111e70101005201000000010000400101000201010039010100930
+1011206010111011206010111e601030051010200410104003901030092010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff0157010112060101110112060101112301080015010100ff01ff0
+1120101120601011101120601011113010b0003010800140103006e0103002d01
+02001f010000340102000f010000240102001601000019010000a80101120601011101120601011
+113010b0003010100000102000001010015010100700101002f0101001f010000
+350101000e010200240101001601000018010200a70101120601011101120601011113010100000
+10000000100000001000000010200060102008b0101002f0101001e0101003501
+01000f010000250101001501010019010000a801011206010111011206010111130102000001000
+00001000000010000000101000601020005010300020101000001030002010400
+040102000001010001010300000100005c0101002f0101001e01010034010300350101001501010
+0c301011206010111011206010111130101000001000000010000000100000001
+02000601020004010500010107000101040003010600000106005c0101000701030003010400020
+10100000103000101010000010200080104000401030002010100030101000501
+0600030103000701020000010200020103000001000003010300090100000001010002010200010
+10200010103000501030002010000000101000001010010010400020103000001
+02000501060003010300020101000001020003010300050103009d0101120601011101120601011
+11301020000010000000100000001000000010100060102000301020001010200
+000103000001020003010200020103000001020000010200000102005c010100060101000101010
+00101010002010100020102000101010001010100010101000701020000010100
+0201010001010100010101000301010007010100050101000101010007010100010101000101010
+00201010002010100010101000801000000010100030101000101010004010100
+04010100010101000101010000010100000101000f0102000001010002010100020100000801010
+0050101000101010002010200000101000401010004010100010101009c010112
+0601011101120601011113010100000100000001000000010000000102000601020003010200010
+10200000102000101020003010200020102000201010000010300010100005c01
+0100050101000201010001010100020101000201010002010100010101000101010007010100010
+10100010101000301010000010100000101000001010007010100040101000301
+0100060101000101010001010100030100000101010002010100080100000101010003010100000
+100000501010003010100030101000001010000010100000101000f0101000201
+0100010101000201000008010100040101000301010001010100020101000301010003010100020
+101009c0101120601011101120601011113010200000100000001000000010000
+0001010006010200030102000101020000010200010102000301020002010200060104005d01010
+00501060004010300020101000601010001010100070101000101010001010100
+0301010000010100000101000001010007010100040101000301010006010100010101000201020
+00401060007010500040101000601010003010100030101000001010000010100
+000101000f010100020101000201010000010000090101000401010003010100010101000201010
+00301010003010100a10101120601011101120601011113010100000100000001
+0000000100000001020006010200030102000101020000010200010102000301020002010200050
+10000010103005c01010005010100070101000101010002010100060101000101
+0100070101000101010001010100030101000001010000010100000101000701010004010100030
+10100060101000101010004010200020101000c01000002010100040101000601
+010003010100030101000001010000010100000101000f010100020101000201010000010000090
+10100040101000301010001010100020101000301010003010100a10101120601
+0111011206010111130102000001000000010000000100000001010006010200030102000101020
+0000102000001030003010200020103000101010000010200000102005c010100
+0301000000010100060101000201010002010100060101000101010007010100010101000101010
+00301010001010100000102000801010004010100030101000601010001010100
+0101000003010100010101000c01000003010100020100000001010005010100030101000301010
+00001010000010100000101000f01010002010100030101000a01010004010100
+0301010001010100020101000301010003010100030100009c01011206010111011206010111130
+10b000501040003010500010106000201060001010600000106005c0101000201
+0100010101000201000001010100010102000201010006010100010101000701010001010100020
+10100010101000201010001010100080101000101000002010100010101000701
+0100000102000101010002010100020101000201000006010100030101000101010001010100040
+101000401010001010100010101000001010000010100030100000a0102000001
+0100040101000a01010001010000020101000101010002010100010101000401010004010100010
+1010004010000960101120601011101120601011113010b000501040004010300
+02010500030106000201040001010000000103005c0107000201030003010200010101000001040
+00301020000010300050102000001030002010300030100000301000009010200
+0401030009010200000101000001000000010300040103000701020001010200000102000101020
+00101050003010300020101000001010000010100020102000801010000010200
+050100000c010200040103000301040003010500030103000401020095010112060101110112060
+1011136010200ff0133010100140100001c0101001a0100009601011206010111
+01120601011136010200ff013301010011010000000100001d010100b2010112060101110112060
+1011135010400ff0131010100120102001c010300b10101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff01570101120601011101120601011124010600ff01ff012b010112060101110112060
+1011113010b0004010700870105003701000004010200290102000d0100000401
+0200150102000f0100001c0103000601000004010200bc0101120601011101120601011113010b0
+00501020000010200880101000101010036010000050101002a0101000d010000
+05010100160101000e0102001d0101000501020004010100bc01011206010111011206010111130
+10100000100000001000000010000000102000501020000010200880101000101
+010035010100050101002a0101000c01010005010100160101000f0100001e01010006010000050
+10100bc0101120601011101120601011113010200000100000001000000010000
+0001010005010200000102000001020001010100030103000201020001010200010103000001000
+0030103005d0101000101010035010100050101002a0101000c01010005010100
+150103002e0101000d010100bc01011206010111011206010111130101000001000000010000000
+10000000102000501050001010700010105000101020001010200000106000201
+05005c0101000101010001010100000103000301030002010100030101000101030000010000030
+10300070106000201040002010100000103000301030002010200000102000201
+0300000101000101040007010600020104000401030009010000000101000201020001010200010
+10300050103000201000000010100000101000901010004010300040104000201
+0100000103000201040002010100000103000101030000010200930101120601011101120601011
+11301020000010000000100000001000000010100050105000201060000010200
+010102000001010003010100000102000001020001010200010102005b010400030102000101010
+00101010001010100010101000301010000010100020101000201010001010100
+0801010005010200000101000201020001010100010101000101010002010100010101000101010
+00101010000010000010102000001010008010100050102000001010002010100
+0101010008010000000101000301010001010100040101000401010001010100010101000001010
+00001010008010100060101000401020000010100020102000101010000010100
+0201010002010200010101000101010002010000940101120601011101120601011113010100000
+10000000100000001000000010200050102000001020001010300000101000001
+020001010200000101000001010000010100000103000101000001010200010102005b010100010
+10100020101000201010000010100030101000001010000010100000101000001
+0100030100000101010002010100080101000501010001010100020101000201010000010100030
+10100010101000101010001010100010101000301010001010100080101000501
+0100010101000101010002010100080100000101010003010100000100000501010003010100030
+10100000101000001010000010100080101000601010004010100020101000101
+0100020101000001010002010100020101000201010001010100020100009401011206010111011
+20601011113010200000100000001000000010000000101000501020000010200
+01010200040102000101020000010100000101000001010001010400020107005b0101000201010
+00101010005010100030101000001010000010100000101000101020004010600
+0801010005010100010101000201010005010100030101000101010001010100010101000101010
+00301010001010100080101000501010001010100010106000701050004010100
+0601010003010100030101000001010000010100000101000801010006010100040101000201010
+00101010008010300020101000701010000010000950101120601011101120601
+0111130101000001000000010000000100000001020005010200000102000101020004010200010
+10200000107000001000001010300010102006001010002010100010101000501
+01000301010000010100000101000001010003010200020101000d0101000501010001010100020
+10100050101000301010001010100010101000201030004010100010101000801
+01000501010001010100010101000c0100000201010004010100060101000301010003010100000
+10100000101000001010008010100060101000401010002010100010101000601
+0100010101000201010007010100000100009501011206010111011206010111130102000001000
+00001000000010000000101000501020000010200010102000401020001010200
+00010700000102000001020001010300010101005b0101000201010001010100050101000301010
+001010100000102000101000003010100010101000d0101000501010001010100
+0201010005010100030101000101010001010100010100000801010001010100080101000501010
+001010100010101000c0100000301010002010000000101000501010003010100
+0301010000010100000101000001010008010100060101000401010002010100010101000501010
+0020101000201010008010100960101120601011101120601011113010b000401
+07000001040004010500020102000001010001010600020106005b0101000101020001010100060
+10100010101000201010001010100010101000201010002010100020100000801
+0100010100000201010001010100020101000601010001010100020101000001020001010500030
+10100010101000801010001010000020101000101010002010100020100000601
+0100030101000101010001010100040101000401010001010100010101000001010000010100080
+10100060101000401020000010100020101000501010001010200020101000801
+0100060100008e0101120601011101120601011113010b000401060001010400050103000301010
+0010101000101000000010300040104005b010600010104000501030003010000
+030100000101000000010300040103000a010200020102000001030000010400050103000401020
+00001010001010500010102000001030008010200020102000001030002010300
+0701020001010200000102000101020001010500030103000201010000010100000101000601050
+00201050001010100000102000201040004010200010101000001040006010000
+060102008d01011206010111011206010111ff011c010000040100009a010000070100008e01011
+206010111011206010111ff011c01010002010100970100000001000098010112
+06010111011206010111ff011d010400980102009801011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+10112060101110112060101112401070025010400ff01ff010112060101110112
+0601011113010b0004010700250104005d010300000100004601030026010300320103000901000
+004010200140103000601000004010200b2010112060101110112060101111301
+0b000501020000010200270102005c0101000101020048010100250101000101010030010100010
+101000801000005010100160101000501020004010100b2010112060101110112
+0601011113010100000100000001000000010000000102000501020001010100270102005c01000
+00301010048010100250101000101010030010100010101000701010005010100
+160101000601000005010100b201011206010111011206010111130102000001000000010000000
+10000000101000501020004010300000102000101040002010000000101000001
+0100010101000001030004010200040103000301030000010000490101000301000048010100250
+10100340101000b01010005010100160101000d010100b2010112060101110112
+0601011113010100000100000001000000010000000102000501040002010200010102000001060
+00101070000010700030102000301050001010600490102000701030004010300
+0901030002010200010102000101040002010000000101000001010001010100000102000501010
+00501030003010300000100000801030004010100090102000001020002010300
+000100000301030009010300040101000901060002010400040103000a010100040103000401040
+00201010000010300020104000201010000010300010103000001020089010112
+0601011101120601011113010200000100000001000000010000000101000501040003010200000
+10100010101000101020001010700000103000001020003010200020102000101
+020000010200000102004a010300040101000101010002010100010101000701010001010100020
+10100010101000101010002010100010101000001010000010100010102000001
+0100040101000401010001010100010101000201010007010100010101000201040008010100010
+10100010101000201010002010100010101000701010001010100020104000901
+0100050102000001010002010100010101000901010006010100040102000001010002010200010
+101000001010002010100020102000101010001010100020100008a0101120601
+0111011206010111130101000001000000010000000100000001020005010200060103000501030
+00101010000010100000101000001020001010200030102000201020001010200
+00010300010100004b0103000201010002010100010101000201010006010100020101000301010
+00001000002010100020101000101010000010100000101000101010002010100
+03010100030101000201010001010100030100000601010003010100020101000a0101000101010
+0010101000301000001010100020101000601010003010100020101000b010100
+0501010001010100010101000201010009010100060101000401010002010100010101000201010
+00001010002010100020101000201010001010100020100008a01011206010111
+0112060101111301020000010000000100000001000000010100050102000601030003010500010
+10100000101000001010000010200010102000301020002010700010104004e01
+0200010106000101060006010600040101000601030001010100000101000001010001010100020
+101000301010003010600020102000901010003010100020101000a0101000101
+010002010200040106000601010003010100020101000b010100050101000101010001010600090
+10100060101000401010002010100010101000801030002010100070101000001
+00008b0101120601011101120601011113010100000100000001000000010000000102000501020
+00101010002010300020102000001020001010100000101000001010000010200
+0101020003010200020102000501000001010300490100000301010001010100060101000b01010
+00901010004010100010101000101010000010100000101000101010002010100
+0301010003010100090102000701010003010100020101000a01010001010100040102000201010
+00b01010003010100020101000b0101000501010001010100010101000e010100
+0601010004010100020101000101010006010100010101000201010007010100000100008b01011
+20601011101120601011113010200000100000001000000010000000101000501
+0200000102000101010000010200010102000001020001010100000101000001010000010200000
+10300030102000201030001010100000102000001020049010100030100000101
+0100060101000b01010008010000000101000201010002010100010101000001010000010100010
+10100020101000301010003010100060100000301010006010100030101000201
+01000a010100010101000101000003010100010101000b01010003010100020101000b010100050
+1010001010100010101000e010100060101000401010002010100010101000501
+01000201010002010100080101008c0101120601011101120601011113010b00040107000001020
+00101020000010700000101000001010000010100000106000201060001010600
+0001060049010200010101000201010002010000020101000201000007010100020100000201010
+00101010001010100010102000101010000010100000101000101010001010100
+04010100040101000201000001010100020101000701010001010100030101000a0101000001020
+0010101000201010002010100020100000701010001010100030101000b010100
+0101000002010100010101000201010002010000090101000601010004010200000101000201010
+00501010001010200020101000801010006010000840101120601011101120601
+011113010b000401070000010200000103000101020000010200000101000001010000010100000
+10500030106000201040001010000000103004a01000000010300040103000401
+0300090103000201020001010200010102000101010000010100000101000001010001010400030
+1050003010300020100000001030009010300030103000a010200000101000001
+0000000103000401030009010300030103000b01020002010200000103000201030008010500020
+10500010101000001020002010400040102000101010000010400060100000601
+0200830101120601011101120601011148010200ad010100cc01000007010000840101120601011
+101120601011148010200ad010100c9010000000100008e010112060101110112
+0601011147010400ab010300c80102008e01011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111230107000c010400ff01ff01190101120601011101120601
+011113010b00030108000a01060076010300000100003d010300060100001f0102003a010000100
+1000007010000340102000f0100008e0101120601011101120601011113010b00
+04010200010102000a0102000001020075010100010102003f010100050102001f0101003a01000
+01001000006010200340101000e0102008d010112060101110112060101111301
+01000001000000010000000100000001020004010200010102000a01020079010000030101003f0
+101000601000020010100390101000f01010007010000350101000f0100008e01
+0112060101110112060101111301020000010000000100000001000000010100040102000001020
+00301030002010500040103000201020001010100030103000101030000010200
+03010200000101000201030041010100030100003f01010028010100390101000f0101003d01030
+09e01011206010111011206010111130101000001000000010000000100000001
+0200040105000301050001010500030105000101070001010500000108000101060001010500400
+10200070103000301040002010100000102000901030002010100000102000e01
+0100040103000301010000010200040103000901040003010300040103000201020000010200010
+10000000101000001010003010300020101000001020002010600020104000201
+0600020103000501030002010100000102000901030002010100000102000901000000010100020
+10200010102000101030005010300020100000001010000010100790101120601
+0111011206010111130102000001000000010000000100000001010004010500020102000101020
+00101020004010200010102000101060000010200010102000001030000010200
+0001030000010200000102000101020040010300040101000101010001010100020101000201010
+001010100070101000101010002010100010101000d0101000601010004010100
+0101010002010100010101000701010000010200020101000101010002010100010101000201010
+00101010001010100000101000001010001010100010101000201010001010100
+0301010004010100020101000301010007010100040101000101010002010100010101000701010
+00101010002010100010101000801000000010100030101000101010004010100
+0401010001010100010101000001010000010100780101120601011101120601011113010100000
+10000000100000001000000010200040102000001020001010200010102000101
+0200040102000101020001010300000101000001020001010200000102000101020000010200020
+10100000102000101020041010300020101000201010001010100020101000201
+0100010101000601010003010100010101000101010001010700030101000601010004010100010
+10100010101000201010006010100020101000101010003010100000101000201
+0100020101000101010001010100000101000001010000010100020101000201010001010100030
+10100040101000201010003010100070101000301010003010100010101000101
+0100060101000301010001010100010101000801000001010100030101000001000005010100030
+10100030101000001010000010100000101007801011206010111011206010111
+1301020000010000000100000001000000010100040102000001020001010700010102000401070
+00101020004010700000102000101020000010200050107004301020001010100
+0901030002010100010101000601010003010100010101000101010001010700030101000601010
+00401010001010100010106000601010002010100010101000301010000010100
+0701010001010100010101000001010000010100000106000201010001010100030101000701030
+00301010007010100030101000301010001010100010101000601010003010100
+0101010001010100070105000401010006010100030101000301010000010100000101000001010
+07801011206010111011206010111130101000001000000010000000100000001
+0200040102000001020001010200060102000401020006010200040102000501020001010200000
+10200050102004401000003010100010101000701010001010100020101000101
+0100060101000301010001010100010101000d010100060101000401010001010100010101000b0
+10100020101000101010003010100000101000701010001010100010101000001
+0100000101000001010007010100010101000301010005010100010101000301010007010100030
+10100030101000101010001010100060101000301010001010100010101000701
+0000020101000401010006010100030101000301010000010100000101000001010078010112060
+10111011206010111130102000001000000010000000100000001010004010200
+0101020000010300010101000101020004010300010101000101020004010300010101000001020
+001010200000103000101010000010300010101003f0101000301000001010100
+0301000001010100020101000201010001010100060101000301010001010100010101000d01010
+0060101000401010001010100010101000b010100020101000101010003010100
+0001010003010000020101000101010001010100000101000001010000010100070101000101010
+00301010004010100020101000301010007010100030101000301010001010100
+0101010006010100030101000101010001010100070100000301010002010000000101000501010
+00301010003010100000101000001010000010100780101120601011101120601
+011113010b0003010300010102000101060000010400040106000001040004010a0000010300010
+10600010106003f01020001010100020101000101010001010100010102000201
+010001010100070101000101010002010100010101000d010100060101000401010001010100020
+10100020100000701010000010200020101000101010002010100010101000201
+0100000102000101010000010100000101000101010002010000020101000101010003010100010
+10000010101000101020003010100010100000401010004010100010101000201
+0100010101000701010001010100020101000101010006010100030101000101010001010100040
+10100040101000101010001010100000101000001010003010000730101120601
+011101120601011113010b000301030001010200020104000101040005010400010104000501040
+00001030000010300020104000301040040010000000103000401030003010200
+0101010000010200000103000701030002010200000103000a01050002010500010102000001030
+00201030009010200000101000201030004010300040102000001010000010100
+0001010000010100020103000201020000010300030102000301020001010100030102000301050
+00301030002010200000103000701030002010200000103000501020001010200
+0001020001010200010105000301030002010100000101000001010002010200720101120601011
+1011206010111ff01e20100007301011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+1011101120601011125010300000101000c0100000701000007010100ff01ff01
+090101120601011101120601011113010b00040107000b010100060101000601030068010200000
+1000000010200470102000f01000039010000390100000d01020006010300a801
+01120601011101120601011113010b0004010200010102000b01010006010100070101006801010
+00001020001010100480101000e01020038010000380102000d01010008010100
+a801011206010111011206010111130101000001000000010000000100000001020004010200020
+101000a01020005010200710101000201010001010100480101000f0100003801
+0100390100000e01010008010100a80101120601011101120601011113010200000100000001000
+00001000000010100040103000101010002010300020106000101060002010400
+0101030000010200020104000001000001010300000100004a01010003010000010101004701030
+0480101004901010008010100a801011206010111011206010111130101000001
+0000000100000001000000010200050103000401050001010600010106000201040001010800000
+10700000106004a01010003010000010104000301040002010100000102000301
+0300000101000201030008010400020101000001020009010000000101000201020001010200010
+10300050103000201000000010100000101000701030000010000010103000001
+0200010103000001000001010600030103000201000000010100000101000601020001010200010
+10400020101000001030002010300040104000301040005010100050103009e01
+0112060101110112060101111301020000010000000100000001000000010100060103000201020
+00101020001010200050102000701020002010300000102000001020000010300
+00010200000102004a0101000601020000010100010101000201010002010100010101000101010
+00101010000010000010101000101010006010100020101000201010001010100
+0801000000010100030101000101010004010100040101000101010001010100000101000001010
+00501010002010100020101000201000001010100020101000301010005010100
+0101010001010100000101000001010006010100020100000101010002010100020102000101010
+00301010003010100020101000201020000010100040101000401010001010100
+9d01011206010111011206010111130101000001000000010000000100000001020007010300010
+10200010102000101020005010200070102000201020001010200000102000001
+020001010300010100004a010100060101000101010001010100020101000201010001010100010
+10100010101000201010002010100060101000201010002010100010101000801
+0000010101000301010000010000050101000301010003010100000101000001010000010100050
+10100030100000201010002010000010101000301000003010100040101000201
+0100010101000001010000010100060101000201000001010100020101000201010002010100030
+10100030101000201010002010100020101000301010003010100020101009d01
+0112060101110112060101111301020000010000000100000001000000010100040101000101030
+00001070001010200050102000701020002010200010102000001020000010200
+020104004b010100060101000101010004010300020101000101010001010100010101000201060
+00901030002010100010101000701050004010100060101000301010003010100
+0001010000010100000101000601020006010100000100000301020006010100040106000101010
+00001010000010100070101000001000005010300020101000801010006010300
+020101000201010003010100030106009d010112060101110112060101111301010000010000000
+10000000100000001020004010100020102000001020006010200050102000701
+020002010200010102000101040002010000010103004a010100030100000101010001010100020
+1010001010100020101000101010002010300030101000c010100010101000201
+0100010101000701000002010100040101000601010003010100030101000001010000010100000
+10100080102000401010000010000050102000401010004010100060101000001
+0100000101000701010000010000030101000101010002010100080101000401010001010100020
+10100020101000301010003010100a20101120601011101120601011113010200
+0001000000010000000100000001010004010200010102000001030001010100010102000001010
+00201020000010100040102000201020001010200000103000401020000010200
+4a01010003010000010101000101010001010100020101000201010001010100010100000701010
+00b01010002010100020101000101010007010000030101000201000000010100
+0501010003010100030101000001010000010100000101000501000003010100040101000301000
+00301010003010100040101000601010000010100000101000701030002010100
+020101000201010008010100030101000201010002010100020101000301010003010100a201011
+20601011101120601011113010b00040107000101060001010500020105000201
+0a000001030000010600010106004b0101000101010001010100010101000101010001010200020
+10100010101000101050003010100020100000601010001010200020101000101
+0100060101000301010001010100010101000401010004010100010101000101010000010100000
+10100050101000201010004010100030101000201010003010100010100000201
+0100020100000101010000010100000101000801010003010100010102000201010008010100030
+10100010102000201020000010100040101000401010002010000040100009701
+01120601011101120601011113010b00040101000001030003010400030103000401030003010a0
+0000103000101060000010000000103004d010300010102000001030001010200
+0101010000010200000103000101050003010300080102000101010000010200000103000501020
+00101020000010200010102000101050003010300020101000001010000010100
+0501000000010300050100000401000000010300050102000401030002010100000101000001010
+00801010004010200010101000001040004010500020102000101010000010100
+0001020003010500030103000401020096010112060101110112060101115a01020001010200750
+1000004010000640100007801000097010112060101110112060101115a010700
+75010100020101006101000000010000ff0112010112060101110112060101115b0105007701040
+062010200ff011201011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff01570101120601011100120911ff01ff0157010112081109120011
+ff01ff01570109120011011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff12ff12591206010111011206010011ff12ff12
+5a120601011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0
+12701001100121e01011101121e0100110012ff01ff012701001100121e010111
+01121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121f110012ff11ff112811001220110012ff11ff116c1
+1
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/bookvol1b.ps b/books/ps/bookvol1b.ps
new file mode 100644
index 0000000..1db804e
--- /dev/null
+++ b/books/ps/bookvol1b.ps
@@ -0,0 +1,2060 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/bessintr1.eps
+%%CreationDate: Thu Dec  8 11:06:34 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 233 223
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 208.800000 translate
+218.160000 -208.800000 scale
+% Image geometry
+303 290 8
+% Transformation matrix
+[ 303 0 0 290 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 303 string def
+/gstr 303 string def
+/bstr 303 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       117635 ASCII Bytes
+colorimage
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcG0<#2UG0J:Jb,JcG*:J,~>
+JcG0<#2UG0J:Jb,JcG*:J,~>
+JcG0<#2UG0J:Jb,JcG*:J,~>
+JcG0<#/7qRs1\QKJcG*:J,~>
+JcG0<#/7qRs1\QKJcG*:J,~>
+JcG0<#/7qRs1\QKJcG*:J,~>
+JcG$8!C4DNs6K]8~>
+JcG$8!C4DNs6K]8~>
+JcG$8!C4DNs6K]8~>
+JcG'9!hVa8JcG'9J,~>
+JcG'9!hVa8JcG'9J,~>
+JcG'9!hVa8JcG'9J,~>
+JcG*:!e4V8JcG$8J,~>
+JcG*:!e4V8JcG$8J,~>
+JcG*:!e4V8JcG$8J,~>
+JcG*:"[Bg&s59N#s6]i:~>
+JcG*:"[Bg&s59N#s6]i:~>
+JcG*:"[Bg&s59N#s6]i:~>
+JcG0<!o>"ArdY#W5(Wb$s*t~>
+JcG0<!o>"ArdY#W5(Wb$s*t~>
+JcG0<!o>"ArdY#W5(Wb$s*t~>
+JcG0<!8dU'!2"iBmJh\~>
+JcG0<!8dU'!2"iBmJh\~>
+JcG0<!8dU'!2"iBmJh\~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcG?A!5F*biW"E~>
+JcG?A!5F*biW"E~>
+JcG?A!5F*biW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcG?A!.TS"iW"E~>
+JcGQG!8RL&!'pF3!2+oCkl6/~>
+JcGQG!8RL&!'pF3!2+oCkl6/~>
+JcGQG!8RL&!'pF3!2+oCkl6/~>
+JcG]K".NNq9)N'!('">+qd9IB?_;oLm/MS~>
+JcG]K".NNq9)N'!('">+qd9IB?_;oLm/MS~>
+JcG]K".NNq9)N'!('">+qd9IB?_;oLm/MS~>
+JcGcM#2=YJ!!#W;rkAT4('">Dr4`DZ(]YY.hLY^ps*t~>
+JcGcM#2=YJ!!#W;rkAT4('">Dr4`DZ(]YY.hLY^ps*t~>
+JcGcM#2=YJ!!#W;rkAT4('">Dr4`DZ(]YY.hLY^ps*t~>
+Jc?bEJ/]G8WkV^;AA;@L8Z?kL)0io?(d`,ERR-urhLY^rs*t~>
+Jc?bEJ/]G8WkV^;AA;@L8Z?kL)0io?(d`,ERR-urhLY^rs*t~>
+Jc?bEJ/]G8WkV^;AA;@L8Z?kL)0io?(d`,ERR-urhLY^rs*t~>
+Jc>gq!)eCI^CR/0)IO=!WP?2k7i>\N(7P6,"Ir!_?J^85nc++~>
+Jc>gq!)eCI^CR/0)IO=!WP?2k7i>\N(7P6,"Ir!_?J^85nc++~>
+Jc>gq!)eCI^CR/0)IO=!WP?2k7i>\N(7P6,"Ir!_?J^85nc++~>
+K)Yp2!!#+XciTO61]+og/c_"1^B9Su!'Po5nc++~>
+K)Yp2!!#+XciTO61]+og/c_"1^B9Su!'Po5nc++~>
+K)Yp2!!#+XciTO61]+og/c_"1^B9Su!'Po5nc++~>
+KDu,/)gK+748mM/ZPWZ^K`07#[2ArE@/[hEW#.:B)d_?Os7?8@~>
+KDu,/)gK+748mM/ZPWZ^K`07#[2ArE@/[hEW#.:B)d_?Os7?8@~>
+KDu,/)gK+748mM/ZPWZ^K`07#[2ArE@/[hEW#.:B)d_?Os7?8@~>
+KE!,Q!3k@R!2IofQN0%m0E@cmd$aqmcnbZ`^V>j11XOL?!5*m_oDa=~>
+KE!,Q!3k@R!2IofQN0%m0E@cmd$aqmcnbZ`^V>j11XOL?!5*m_oDa=~>
+KE!,Q!3k@R!2IofQN0%m0E@cmd$aqmcnbZ`^V>j11XOL?!5*m_oDa=~>
+L&WIP)Bd,YhnMtfDLWHC\BqTV!2"f[)n42@B)l=`(`Ba.d'jr8SUph5s*t~>
+L&WIP)Bd,YhnMtfDLWHC\BqTV!2"f[)n42@B)l=`(`Ba.d'jr8SUph5s*t~>
+L&WIP)Bd,YhnMtfDLWHC\BqTV!2"f[)n42@B)l=`(`Ba.d'jr8SUph5s*t~>
+L&V6s!-?uqhZ^b3*>]`Mrm1hU(f2(hKDs4$[Mfu")M.n7"O;?3*o2DIp&BO~>
+L&V6s!-?uqhZ^b3*>]`Mrm1hU(f2(hKDs4$[Mfu")M.n7"O;?3*o2DIp&BO~>
+L&V6s!-?uqhZ^b3*>]`Mrm1hU(f2(hKDs4$[Mfu")M.n7"O;?3*o2DIp&BO~>
+L]7P2)B9G4])BtXIhr*#r5\sm!!&D`a9"*s?i7YA1)3.tSUph7s*t~>
+L]7P2)B9G4])BtXIhr*#r5\sm!!&D`a9"*s?i7YA1)3.tSUph7s*t~>
+L]7P2)B9G4])BtXIhr*#r5\sm!!&D`a9"*s?i7YA1)3.tSUph7s*t~>
+M#R\4=o`5W'Vt`T"g]!_',l2r^BCAK!!$L+^BA`t!#TqZ^BUVS.@V.pgk#M"s*t~>
+M#R\4=o`5W'Vt`T"g]!_',l2r^BCAK!!$L+^BA`t!#TqZ^BUVS.@V.pgk#M"s*t~>
+M#R\4=o`5W'Vt`T"g]!_',l2r^BCAK!!$L+^BA`t!#TqZ^BUVS.@V.pgk#M"s*t~>
+M#S;J!1:O9-ig'iPlLf@YU9F8^Pi-mLFN9ZrkAu)!%b?+!04h/1&um0LB'Ads7cPD~>
+M#S;J!1:O9-ig'iPlLf@YU9F8^Pi-mLFN9ZrkAu)!%b?+!04h/1&um0LB'Ads7cPD~>
+M#S;J!1:O9-ig'iPlLf@YU9F8^Pi-mLFN9ZrkAu)!%b?+!04h/1&um0LB'Ads7cPD~>
+MZ3e2=WMnh^EK?d4L,_?SZo>c5T4oQ!/Ie_<WHRCG8NZ8YaRlpGBb!WricKp(`hC_s7u\F~>
+MZ3e2=WMnh^EK?d4L,_?SZo>c5T4oQ!/Ie_<WHRCG8NZ8YaRlpGBb!WricKp(`hC_s7u\F~>
+MZ3e2=WMnh^EK?d4L,_?SZo>c5T4oQ!/Ie_<WHRCG8NZ8YaRlpGBb!WricKp(`hC_s7u\F~>
+MZ3`5!'0tl""4-L1Ae9X-ia6#rNH9RrVupMr3-8T!!"MHYQHQZ!4d[\qYu'~>
+MZ3`5!'0tl""4-L1Ae9X-ia6#rNH9RrVupMr3-8T!!"MHYQHQZ!4d[\qYu'~>
+MZ3`5!'0tl""4-L1Ae9X-ia6#rNH9RrVupMr3-8T!!"MHYQHQZ!4d[\qYu'~>
+N;j+7)&lZj*3B.S"EY=X7</:1%@BB\(g*93Y\dJW!!$1#YRd0i!!#<QYcsWc'Nc1lJD5YTr;V9~>
+N;j+7)&lZj*3B.S"EY=X7</:1%@BB\(g*93Y\dJW!!$1#YRd0i!!#<QYcsWc'Nc1lJD5YTr;V9~>
+N;j+7)&lZj*3B.S"EY=X7</:1%@BB\(g*93Y\dJW!!$1#YRd0i!!#<QYcsWc'Nc1lJD5YTr;V9~>
+NW0eL!!&"_HN4%*^F0(<IK0A*YcoJT0X--*!#LBo.f]R&Y_<&W.P:]$JZpd-J?Z87!'#Q0r;V9~>
+NW0eL!!&"_HN4%*^F0(<IK0A*YcoJT0X--*!#LBo.f]R&Y_<&W.P:]$JZpd-J?Z87!'#Q0r;V9~>
+NW0eL!!&"_HN4%*^F0(<IK0A*YcoJT0X--*!#LBo.f]R&Y_<&W.P:]$JZpd-J?Z87!'#Q0r;V9~>
+O8f=6=9(8WYQ,sI!!Yko56([$'D_\18RNA/!!>Mh=@<&f!>KAKYQHT[*1MNZrr7K~>
+O8f=6=9(8WYQ,sI!!Yko56([$'D_\18RNA/!!>Mh=@<&f!>KAKYQHT[*1MNZrr7K~>
+O8f=6=9(8WYQ,sI!!Yko56([$'D_\18RNA/!!>Mh=@<&f!>KAKYQHT[*1MNZrr7K~>
+OT,I8=9&=?r)`u2(&e185>Y0:rVup8r)a%9!!#Ca=9'-9!!!f6=9(_f!!#Rf=9KH@!$%JZs8W+L~>
+OT,I8=9&=?r)`u2(&e185>Y0:rVup8r)a%9!!#Ca=9'-9!!!f6=9(_f!!#Rf=9KH@!$%JZs8W+L~>
+OT,I8=9&=?r)`u2(&e185>Y0:rVup8r)a%9!!#Ca=9'-9!!!f6=9(_f!!#Rf=9KH@!$%JZs8W+L~>
+P5df!(]YLW&HG='4tH[6/-$J_Nef[q7<*)W(n@gt5QFA`(DiRFYZCg$T25M&D6Rpp!#$(I0E=OL
+)\la"!!$6WK)^?~>
+P5df!(]YLW&HG='4tH[6/-$J_Nef[q7<*)W(n@gt5QFA`(DiRFYZCg$T25M&D6Rpp!#$(I0E=OL
+)\la"!!$6WK)^?~>
+P5df!(]YLW&HG='4tH[6/-$J_Nef[q7<*)W(n@gt5QFA`(DiRFYZCg$T25M&D6Rpp!#$(I0E=OL
+)\la"!!$6WK)^?~>
+PlCfNJ62UJ1.PG1!#esm=:tTu3>kqiYcq%+6uZ-+8ZBI1!*QOD(-IMIMbk*&=;Lru@V&@O!(C97
+qZ$Y$RY1Wj~>
+PlCfNJ62UJ1.PG1!#esm=:tTu3>kqiYcq%+6uZ-+8ZBI1!*QOD(-IMIMbk*&=;Lru@V&@O!(C97
+qZ$Y$RY1Wj~>
+PlCfNJ62UJ1.PG1!#esm=:tTu3>kqiYcq%+6uZ-+8ZBI1!*QOD(-IMIMbk*&=;Lru@V&@O!(C97
+qZ$Y$RY1Wj~>
+R/[;j!!'&Gr;[%QT:^!$!'0nj![n&7rkAZDYcoMU!&OSg!0-sX#q2F<\%f\?!!"MGYQosa!.V5W
+Z^1Rj">8Ru!4.I\J,~>
+R/[;j!!'&Gr;[%QT:^!$!'0nj![n&7rkAZDYcoMU!&OSg!0-sX#q2F<\%f\?!!"MGYQosa!.V5W
+Z^1Rj">8Ru!4.I\J,~>
+R/[;j!!'&Gr;[%QT:^!$!'0nj![n&7rkAZDYcoMU!&OSg!0-sX#q2F<\%f\?!!"MGYQosa!.V5W
+Z^1Rj">8Ru!4.I\J,~>
+S,WMS<r)ds)3Fii"^_d>8H<K'^BLAH+Aa#'r4`;;!&OMe""jREVu4:40c:oFRJj>n>Q@#W!)rj#
+!+5X("#'^XR>V#p~>
+S,WMS<r)ds)3Fii"^_d>8H<K'^BLAH+Aa#'r4`;;!&OMe""jREVu4:40c:oFRJj>n>Q@#W!)rj#
+!+5X("#'^XR>V#p~>
+S,WMS<r)ds)3Fii"^_d>8H<K'^BLAH+Aa#'r4`;;!&OMe""jREVu4:40c:oFRJj>n>Q@#W!)rj#
+!+5X("#'^XR>V#p~>
+Sc8gB!/-t[rW!FjY]p-J17rFa5g[l?!'1%n"XjATh_6te^BBGp3&!/e^As8m!!"_O^E8O;1=.oZ
+JZuA7!%>(U0`V3&M?!WrT:[b:!%,IK!&9H4J,~>
+Sc8gB!/-t[rW!FjY]p-J17rFa5g[l?!'1%n"XjATh_6te^BBGp3&!/e^As8m!!"_O^E8O;1=.oZ
+JZuA7!%>(U0`V3&M?!WrT:[b:!%,IK!&9H4J,~>
+Sc8gB!/-t[rW!FjY]p-J17rFa5g[l?!'1%n"XjATh_6te^BBGp3&!/e^As8m!!"_O^E8O;1=.oZ
+JZuA7!%>(U0`V3&M?!WrT:[b:!%,IK!&9H4J,~>
+U&PPNJ:JA+=:YB3++Cu<rjW,N63&-A]`-8.?3!["-QpLfhe3!_WkXDkD9uenP/"b;!+EWd(eCR>
+O8rq?d'jr/D4F!nrNH[#70"!'Of54]Yaud4!!P\s9iuqtOT0h~>
+U&PPNJ:JA+=:YB3++Cu<rjW,N63&-A]`-8.?3!["-QpLfhe3!_WkXDkD9uenP/"b;!+EWd(eCR>
+O8rq?d'jr/D4F!nrNH[#70"!'Of54]Yaud4!!P\s9iuqtOT0h~>
+U&PPNJ:JA+=:YB3++Cu<rjW,N63&-A]`-8.?3!["-QpLfhe3!_WkXDkD9uenP/"b;!+EWd(eCR>
+O8rq?d'jr/D4F!nrNH[#70"!'Of54]Yaud4!!P\s9iuqtOT0h~>
+UAkYN<$#.DTk=l[BG)DirP&i963&.Ff\"TuYt4qC'RB]8)8AuJQ+pK&U!U/?8Z?kL)5t<b?N?/%
+?l?BOcjk[J'gr%PYctLM^m4s6Qi4,tSjj>p)?<*uX^Fn+JCftaJ,~>
+UAkYN<$#.DTk=l[BG)DirP&i963&.Ff\"TuYt4qC'RB]8)8AuJQ+pK&U!U/?8Z?kL)5t<b?N?/%
+?l?BOcjk[J'gr%PYctLM^m4s6Qi4,tSjj>p)?<*uX^Fn+JCftaJ,~>
+UAkYN<$#.DTk=l[BG)DirP&i963&.Ff\"TuYt4qC'RB]8)8AuJQ+pK&U!U/?8Z?kL)5t<b?N?/%
+?l?BOcjk[J'gr%PYctLM^m4s6Qi4,tSjj>p)?<*uX^Fn+JCftaJ,~>
+VZ-d_J.qu)r`BdC!$f5)d&oh<D83iZ&g`S=>06a#"MPZP;o8Ii">Li1*JOL>"LK!G!+Pl@">:T/
+)M.k6"j355(jsR+cin:e92Yaerictk&sfc+T3*$46==1r!!$)NQBqQ$~>
+VZ-d_J.qu)r`BdC!$f5)d&oh<D83iZ&g`S=>06a#"MPZP;o8Ii">Li1*JOL>"LK!G!+Pl@">:T/
+)M.k6"j355(jsR+cin:e92Yaerictk&sfc+T3*$46==1r!!$)NQBqQ$~>
+VZ-d_J.qu)r`BdC!$f5)d&oh<D83iZ&g`S=>06a#"MPZP;o8Ii">Li1*JOL>"LK!G!+Pl@">:T/
+)M.k6"j355(jsR+cin:e92Yaerictk&sfc+T3*$46==1r!!$)NQBqQ$~>
+W;cp^J6r4W(3ZpdAe"f5i7lW*XqDhZTg:#rb>SCgrSIal(B@CIr7D+%(BA@Nci\e8!0[8p"*YR^
+@Jn1L_.!B]JGdb$3Z#-6*YXmEE\(u)YQqdb)ZW3E^TIKC!_sPtQiDR~>
+W;cp^J6r4W(3ZpdAe"f5i7lW*XqDhZTg:#rb>SCgrSIal(B@CIr7D+%(BA@Nci\e8!0[8p"*YR^
+@Jn1L_.!B]JGdb$3Z#-6*YXmEE\(u)YQqdb)ZW3E^TIKC!_sPtQiDR~>
+W;cp^J6r4W(3ZpdAe"f5i7lW*XqDhZTg:#rb>SCgrSIal(B@CIr7D+%(BA@Nci\e8!0[8p"*YR^
+@Jn1L_.!B]JGdb$3Z#-6*YXmEE\(u)YQqdb)ZW3E^TIKC!_sPtQiDR~>
+WW)sprVup]rNHfS!)Y-EaRJ]]d*O)0,65[]n,Y.0rndmL!!$[44oEY//H>d8r4`=c!!%cNYQ??U
+0DiKe1FXsWR/YG53\LBX#!;lf!$negrm1g5,)uX'KDrUc4oG?\XI9*=~>
+WW)sprVup]rNHfS!)Y-EaRJ]]d*O)0,65[]n,Y.0rndmL!!$[44oEY//H>d8r4`=c!!%cNYQ??U
+0DiKe1FXsWR/YG53\LBX#!;lf!$negrm1g5,)uX'KDrUc4oG?\XI9*=~>
+WW)sprVup]rNHfS!)Y-EaRJ]]d*O)0,65[]n,Y.0rndmL!!$[44oEY//H>d8r4`=c!!%cNYQ??U
+0DiKe1FXsWR/YG53\LBX#!;lf!$negrm1g5,)uX'KDrUc4oG?\XI9*=~>
+XT&p\J.a&W^MXP^Bp&rTGhhd:ADI.Q"(qT\T)A'k/m?B1(*C08I28X*d'?:E>pgP:rkAW5(./fQ
+DuQsTRMHZ@()Nm`^Si#!Yae)uJC&06@f=XV\fLiDZ2N#]Er\t>T19N6INAJ^Y]WM;<n3]>J,~>
+XT&p\J.a&W^MXP^Bp&rTGhhd:ADI.Q"(qT\T)A'k/m?B1(*C08I28X*d'?:E>pgP:rkAW5(./fQ
+DuQsTRMHZ@()Nm`^Si#!Yae)uJC&06@f=XV\fLiDZ2N#]Er\t>T19N6INAJ^Y]WM;<n3]>J,~>
+XT&p\J.a&W^MXP^Bp&rTGhhd:ADI.Q"(qT\T)A'k/m?B1(*C08I28X*d'?:E>pgP:rkAW5(./fQ
+DuQsTRMHZ@()Nm`^Si#!Yae)uJC&06@f=XV\fLiDZ2N#]Er\t>T19N6INAJ^Y]WM;<n3]>J,~>
+^&J*Riq!*N,QL71^B5JV!)idb!h]NhrU9n>!!#^jn,TBc!!#4]ck@o0UsL[nMQj<4!0k6W!!%eY
+.PC_)$S)41Y_<'0^V;N(Jc;kV0E@G"QMf)4\MF3cPPri/5C3:4"#g2[+T&AE3WL]$rr@PMs*t~>
+^&J*Riq!*N,QL71^B5JV!)idb!h]NhrU9n>!!#^jn,TBc!!#4]ck@o0UsL[nMQj<4!0k6W!!%eY
+.PC_)$S)41Y_<'0^V;N(Jc;kV0E@G"QMf)4\MF3cPPri/5C3:4"#g2[+T&AE3WL]$rr@PMs*t~>
+^&J*Riq!*N,QL71^B5JV!)idb!h]NhrU9n>!!#^jn,TBc!!#4]ck@o0UsL[nMQj<4!0k6W!!%eY
+.PC_)$S)41Y_<'0^V;N(Jc;kV0E@G"QMf)4\MF3cPPri/5C3:4"#g2[+T&AE3WL]$rr@PMs*t~>
+^Ae>\%KJ6Qp\tG[;#i9M;M"h^"J0!3!07!H$B.*>a`nOIg1Vher9shB!$/Dgrm1hS(*6'cEW30Q
+Qp;R8>Srs7Y^ujXY\l"\ricQp(Ddr(RJsDqY*2!K'ViIWric]9!,>US'sY@m,Q=nOZ++?F!"bCn
+YQ].i3uq=cpAY5s/eZR6s*t~>
+^Ae>\%KJ6Qp\tG[;#i9M;M"h^"J0!3!07!H$B.*>a`nOIg1Vher9shB!$/Dgrm1hS(*6'cEW30Q
+Qp;R8>Srs7Y^ujXY\l"\ricQp(Ddr(RJsDqY*2!K'ViIWric]9!,>US'sY@m,Q=nOZ++?F!"bCn
+YQ].i3uq=cpAY5s/eZR6s*t~>
+^Ae>\%KJ6Qp\tG[;#i9M;M"h^"J0!3!07!H$B.*>a`nOIg1Vher9shB!$/Dgrm1hS(*6'cEW30Q
+Qp;R8>Srs7Y^ujXY\l"\ricQp(Ddr(RJsDqY*2!K'ViIWric]9!,>US'sY@m,Q=nOZ++?F!"bCn
+YQ].i3uq=cpAY5s/eZR6s*t~>
+]`/&(!+G^'"/,\p7K1%/)ZZYJ^E!<tScDXcn,Op:!!UC3n>$%WrU9fbrVuqdqnE1\!/gZX""4-L
+0E&*TK)P`M/c;gTK`D*qr1<t9rVuqJrNHG\!.D)UN;W_XHa'jU^CWLP^HDRAY`Snc*jDk1!!'"o
+rrQ@(UoXNG~>
+]`/&(!+G^'"/,\p7K1%/)ZZYJ^E!<tScDXcn,Op:!!UC3n>$%WrU9fbrVuqdqnE1\!/gZX""4-L
+0E&*TK)P`M/c;gTK`D*qr1<t9rVuqJrNHG\!.D)UN;W_XHa'jU^CWLP^HDRAY`Snc*jDk1!!'"o
+rrQ@(UoXNG~>
+]`/&(!+G^'"/,\p7K1%/)ZZYJ^E!<tScDXcn,Op:!!UC3n>$%WrU9fbrVuqdqnE1\!/gZX""4-L
+0E&*TK)P`M/c;gTK`D*qr1<t9rVuqJrNHG\!.D)UN;W_XHa'jU^CWLP^HDRAY`Snc*jDk1!!'"o
+rrQ@(UoXNG~>
+]DhuY:B7'drreE\!$efJ^C-Sr,%(m1hXL#D.Gasl"/,]BTDe6eaqdY>n;eAUKK^E(rkAZ4'Gib0
+)4gc2"IMFS(i]JY*gp+F!!#?SYcsQ_!#6:`:l:m;N><.`;ufk$YalXXrNHEr)?>;urkAlD:*dTh
+Xr[QS*=l89ricN<!#0t4rVltf!!$T1s*t~>
+]DhuY:B7'drreE\!$efJ^C-Sr,%(m1hXL#D.Gasl"/,]BTDe6eaqdY>n;eAUKK^E(rkAZ4'Gib0
+)4gc2"IMFS(i]JY*gp+F!!#?SYcsQ_!#6:`:l:m;N><.`;ufk$YalXXrNHEr)?>;urkAlD:*dTh
+Xr[QS*=l89ricN<!#0t4rVltf!!$T1s*t~>
+]DhuY:B7'drreE\!$efJ^C-Sr,%(m1hXL#D.Gasl"/,]BTDe6eaqdY>n;eAUKK^E(rkAZ4'Gib0
+)4gc2"IMFS(i]JY*gp+F!!#?SYcsQ_!#6:`:l:m;N><.`;ufk$YalXXrNHEr)?>;urkAlD:*dTh
+Xr[QS*=l89ricN<!#0t4rVltf!!$T1s*t~>
+])N/`:G@=fc[ZQO%3r1V^BC);!!&)Zn,o6^A_d:S"D%Q\RdL(C4tJ#5b82+iYa,nAXM8gE!*4n9
+!(CmC=?lj''GsrAD*\.<=;Cm'DJhc@6#CO-!)9)F4VD4rN><1CSOENUricR/QPoikUAhn/RfHFe
+^BB!\!!",=YRG.E/-&Y5s8VF;'7eN2s*t~>
+])N/`:G@=fc[ZQO%3r1V^BC);!!&)Zn,o6^A_d:S"D%Q\RdL(C4tJ#5b82+iYa,nAXM8gE!*4n9
+!(CmC=?lj''GsrAD*\.<=;Cm'DJhc@6#CO-!)9)F4VD4rN><1CSOENUricR/QPoikUAhn/RfHFe
+^BB!\!!",=YRG.E/-&Y5s8VF;'7eN2s*t~>
+])N/`:G@=fc[ZQO%3r1V^BC);!!&)Zn,o6^A_d:S"D%Q\RdL(C4tJ#5b82+iYa,nAXM8gE!*4n9
+!(CmC=?lj''GsrAD*\.<=;Cm'DJhc@6#CO-!)9)F4VD4rN><1CSOENUricR/QPoikUAhn/RfHFe
+^BB!\!!",=YRG.E/-&Y5s8VF;'7eN2s*t~>
+\Gm5':B1AnK>3p>!)g,;SN[$c:&rN:n._JpNUY"',)TJ&<kZl9i5\ar!(W[\YQ^=V!&+CRrgs12
+rVupeqcEq8!!!i4=9(\e!!%ZNYQ\q]',;.:rLYT>!%\eMWi2ee<rbdP(_`XYXWA+K^V@Lm3tOs`
+!'?C<*=c\cY]`V=!#(Nns*t~>
+\Gm5':B1AnK>3p>!)g,;SN[$c:&rN:n._JpNUY"',)TJ&<kZl9i5\ar!(W[\YQ^=V!&+CRrgs12
+rVupeqcEq8!!!i4=9(\e!!%ZNYQ\q]',;.:rLYT>!%\eMWi2ee<rbdP(_`XYXWA+K^V@Lm3tOs`
+!'?C<*=c\cY]`V=!#(Nns*t~>
+\Gm5':B1AnK>3p>!)g,;SN[$c:&rN:n._JpNUY"',)TJ&<kZl9i5\ar!(W[\YQ^=V!&+CRrgs12
+rVupeqcEq8!!!i4=9(\e!!%ZNYQ\q]',;.:rLYT>!%\eMWi2ee<rbdP(_`XYXWA+K^V@Lm3tOs`
+!'?C<*=c\cY]`V=!#(Nns*t~>
+\Gl\m:B4A#rkAi2%00:64Y(d6`Y+@2n-d8M;=J)rH-i]`!-eFh"h[b6!(W[\YRYD3!!#6DT:^p"
+!(@PiE;m'GQrk('!#KSOYQ\,/-icPMricN0!!!X@rLY95!!![pTq@ri(D)@oB,Et0RM'VT^Ugjq
+*$:kV*<8/m!(m-n"JT!?'9]9nJ,~>
+\Gl\m:B4A#rkAi2%00:64Y(d6`Y+@2n-d8M;=J)rH-i]`!-eFh"h[b6!(W[\YRYD3!!#6DT:^p"
+!(@PiE;m'GQrk('!#KSOYQ\,/-icPMricN0!!!X@rLY95!!![pTq@ri(D)@oB,Et0RM'VT^Ugjq
+*$:kV*<8/m!(m-n"JT!?'9]9nJ,~>
+\Gl\m:B4A#rkAi2%00:64Y(d6`Y+@2n-d8M;=J)rH-i]`!-eFh"h[b6!(W[\YRYD3!!#6DT:^p"
+!(@PiE;m'GQrk('!#KSOYQ\,/-icPMricN0!!!X@rLY95!!![pTq@ri(D)@oB,Et0RM'VT^Ugjq
+*$:kV*<8/m!(m-n"JT!?'9]9nJ,~>
+])Mc%r;ZgfqnE5Z!!$'un,aj8bP^i3-NF.KrQk]o!3=Jn-i<rFN[+B#++A20!&Cd_-NGj)YUBL,
+YcoSW/[2I3!!%58T.'a?=SVps;#UG"=9&=FT:[b[rLX(?rW!!F^U='F!B;2"YQL$g!-S1C!'U8\
+!2Z[pJ,~>
+])Mc%r;ZgfqnE5Z!!$'un,aj8bP^i3-NF.KrQk]o!3=Jn-i<rFN[+B#++A20!&Cd_-NGj)YUBL,
+YcoSW/[2I3!!%58T.'a?=SVps;#UG"=9&=FT:[b[rLX(?rW!!F^U='F!B;2"YQL$g!-S1C!'U8\
+!2Z[pJ,~>
+])Mc%r;ZgfqnE5Z!!$'un,aj8bP^i3-NF.KrQk]o!3=Jn-i<rFN[+B#++A20!&Cd_-NGj)YUBL,
+YcoSW/[2I3!!%58T.'a?=SVps;#UG"=9&=FT:[b[rLX(?rW!!F^U='F!B;2"YQL$g!-S1C!'U8\
+!2Z[pJ,~>
+]`/:u:B2Yn^M=6VZi7]BC^k#>U\sT_,\Gm2n,as;5lSP(c-Xg?<C[$Tr_Nb/!!!s?T)Pr)C-DUt
+)l:'SZER7-6pMT.rics%=;;WS(-IMIV5TV\(B?O+rgs[[:_j$26We,p=;a+`!(d$["#']T;>m^#
+A,plQYQ^R<!!#&lricZB!(X8;9)ql;X8d\~>
+]`/:u:B2Yn^M=6VZi7]BC^k#>U\sT_,\Gm2n,as;5lSP(c-Xg?<C[$Tr_Nb/!!!s?T)Pr)C-DUt
+)l:'SZER7-6pMT.rics%=;;WS(-IMIV5TV\(B?O+rgs[[:_j$26We,p=;a+`!(d$["#']T;>m^#
+A,plQYQ^R<!!#&lricZB!(X8;9)ql;X8d\~>
+]`/:u:B2Yn^M=6VZi7]BC^k#>U\sT_,\Gm2n,as;5lSP(c-Xg?<C[$Tr_Nb/!!!s?T)Pr)C-DUt
+)l:'SZER7-6pMT.rics%=;;WS(-IMIV5TV\(B?O+rgs[[:_j$26We,p=;a+`!(d$["#']T;>m^#
+A,plQYQ^R<!!#&lricZB!(X8;9)ql;X8d\~>
+^&J0T!!'"s^C,8d8&'<L!*AY6!6tK3"e>WlnF3(K!!&2[YQ/qG!!7;)*<#p<2>jZ\I/j7+qS*%]
+2#4lfNW:[.YQ0FW!!%0?T)a6:!!+R8qZ$V8rLX7D!$[F'+o\\H3-bG,%'?.T!-YS.!-GG-!-A(B
+!^?[\XT*e~>
+^&J0T!!'"s^C,8d8&'<L!*AY6!6tK3"e>WlnF3(K!!&2[YQ/qG!!7;)*<#p<2>jZ\I/j7+qS*%]
+2#4lfNW:[.YQ0FW!!%0?T)a6:!!+R8qZ$V8rLX7D!$[F'+o\\H3-bG,%'?.T!-YS.!-GG-!-A(B
+!^?[\XT*e~>
+^&J0T!!'"s^C,8d8&'<L!*AY6!6tK3"e>WlnF3(K!!&2[YQ/qG!!7;)*<#p<2>jZ\I/j7+qS*%]
+2#4lfNW:[.YQ0FW!!%0?T)a6:!!+R8qZ$V8rLX7D!$[F'+o\\H3-bG,%'?.T!-YS.!-GG-!-A(B
+!^?[\XT*e~>
+^]+Is%TPRjH2PDaC^_Nt/E$$eRK/KJn/N`'Tje!oU9I2h*HdQJ&-)\l8;!!g!!$cK<</$XYQ\bS
+Y\*s%rP&K370!<tqnE8?!!!e'rNHHZ!(W(f-2sMfNBI8_Aj-2t^V>,'9E5W#LQ>7K4dE6\!)9++
+&<s>rU7Z0=G-J3F8e+Gn8,TRp4q1U:;UMZIJ,~>
+^]+Is%TPRjH2PDaC^_Nt/E$$eRK/KJn/N`'Tje!oU9I2h*HdQJ&-)\l8;!!g!!$cK<</$XYQ\bS
+Y\*s%rP&K370!<tqnE8?!!!e'rNHHZ!(W(f-2sMfNBI8_Aj-2t^V>,'9E5W#LQ>7K4dE6\!)9++
+&<s>rU7Z0=G-J3F8e+Gn8,TRp4q1U:;UMZIJ,~>
+^]+Is%TPRjH2PDaC^_Nt/E$$eRK/KJn/N`'Tje!oU9I2h*HdQJ&-)\l8;!!g!!$cK<</$XYQ\bS
+Y\*s%rP&K370!<tqnE8?!!!e'rNHHZ!(W(f-2sMfNBI8_Aj-2t^V>,'9E5W#LQ>7K4dE6\!)9++
+&<s>rU7Z0=G-J3F8e+Gn8,TRp4q1U:;UMZIJ,~>
+_#FYa%OJKN4!]LW^B5>R/>W:7!l[l6r9t,P'.FS9U9Lkc=:ZE6r;ZgZr^[S1*al+bU-i@nYa,nE
+aM1P`rP&Jm!)Q?FqnE:e)e^-VRf9N+=TFGrGq<EsT2P_NM4]el'm+e1?qgP"%QH]R&XBT)T19G`
+!)0Dirgs6K&!R!s"JQq;!-A+C#GWA0Y\O59Og"e8~>
+_#FYa%OJKN4!]LW^B5>R/>W:7!l[l6r9t,P'.FS9U9Lkc=:ZE6r;ZgZr^[S1*al+bU-i@nYa,nE
+aM1P`rP&Jm!)Q?FqnE:e)e^-VRf9N+=TFGrGq<EsT2P_NM4]el'm+e1?qgP"%QH]R&XBT)T19G`
+!)0Dirgs6K&!R!s"JQq;!-A+C#GWA0Y\O59Og"e8~>
+_#FYa%OJKN4!]LW^B5>R/>W:7!l[l6r9t,P'.FS9U9Lkc=:ZE6r;ZgZr^[S1*al+bU-i@nYa,nE
+aM1P`rP&Jm!)Q?FqnE:e)e^-VRf9N+=TFGrGq<EsT2P_NM4]el'm+e1?qgP"%QH]R&XBT)T19G`
+!)0Dirgs6K&!R!s"JQq;!-A+C#GWA0Y\O59Og"e8~>
+_Z'b`9`S2#rkAe0!-l7o490)?&6Sl"$6q%WnF4GB'*(XJrNHQ?3rg0q:i*("rW!j%cd0bK^S2A[
+=;"`Whqu0c2S["L'fjXJ(c20+%&QN6K@%%F=Ko#u/pI<0(h*J+4VD4rT<#0!0`V1e=DW(]=@N8j
+2i%C)"cu"M!&fT2T)sWF9)c%'WgP;<=<9M7Y\F.uOoDQeC]I=oZ2]=~>
+_Z'b`9`S2#rkAe0!-l7o490)?&6Sl"$6q%WnF4GB'*(XJrNHQ?3rg0q:i*("rW!j%cd0bK^S2A[
+=;"`Whqu0c2S["L'fjXJ(c20+%&QN6K@%%F=Ko#u/pI<0(h*J+4VD4rT<#0!0`V1e=DW(]=@N8j
+2i%C)"cu"M!&fT2T)sWF9)c%'WgP;<=<9M7Y\F.uOoDQeC]I=oZ2]=~>
+_Z'b`9`S2#rkAe0!-l7o490)?&6Sl"$6q%WnF4GB'*(XJrNHQ?3rg0q:i*("rW!j%cd0bK^S2A[
+=;"`Whqu0c2S["L'fjXJ(c20+%&QN6K@%%F=Ko#u/pI<0(h*J+4VD4rT<#0!0`V1e=DW(]=@N8j
+2i%C)"cu"M!&fT2T)sWF9)c%'WgP;<=<9M7Y\F.uOoDQeC]I=oZ2]=~>
+_uBk`9`P0nrP&`04!\2B/U67D+=uILn/bp:c1$Tc!(p?'*homCB+FtB)JPh9?8_d1;^7I_gA]D$
+=TAFFaSk!-BH*tI'ci"Tct"&o^V=%SCAuQ`1_uOK68&5O"K=rm!)WZu%(j9S)\El"=I-1qSjr\Z
+*]IGuO?ijX=<'5*T92H%PH_'cPsZOqY]_&s=<A!7rNHEl!!!VXZN#F~>
+_uBk`9`P0nrP&`04!\2B/U67D+=uILn/bp:c1$Tc!(p?'*homCB+FtB)JPh9?8_d1;^7I_gA]D$
+=TAFFaSk!-BH*tI'ci"Tct"&o^V=%SCAuQ`1_uOK68&5O"K=rm!)WZu%(j9S)\El"=I-1qSjr\Z
+*]IGuO?ijX=<'5*T92H%PH_'cPsZOqY]_&s=<A!7rNHEl!!!VXZN#F~>
+_uBk`9`P0nrP&`04!\2B/U67D+=uILn/bp:c1$Tc!(p?'*homCB+FtB)JPh9?8_d1;^7I_gA]D$
+=TAFFaSk!-BH*tI'ci"Tct"&o^V=%SCAuQ`1_uOK68&5O"K=rm!)WZu%(j9S)\El"=I-1qSjr\Z
+*]IGuO?ijX=<'5*T92H%PH_'cPsZOqY]_&s=<A!7rNHEl!!!VXZN#F~>
+`W$=i%0.W+2?6aaRUA5V!!(IGn,pU&!71W5"IfAk96^B>$'I=L/-#Z:C5"SE!!Zo(nF1,l[/Jkc
+^.nZPf\QPa"i!k60E@jHcj$jN!0VLA2Z1o)BE0S"Vu=@5\YC&C>Q);@W_4P.T8j`e!!O!;C9Vau
+rVus2Q2[ulF@ZB3%Z@4`T)r9uFT&EDQ2Uak3G#Fj+92k3?m?60[/YX~>
+`W$=i%0.W+2?6aaRUA5V!!(IGn,pU&!71W5"IfAk96^B>$'I=L/-#Z:C5"SE!!Zo(nF1,l[/Jkc
+^.nZPf\QPa"i!k60E@jHcj$jN!0VLA2Z1o)BE0S"Vu=@5\YC&C>Q);@W_4P.T8j`e!!O!;C9Vau
+rVus2Q2[ulF@ZB3%Z@4`T)r9uFT&EDQ2Uak3G#Fj+92k3?m?60[/YX~>
+`W$=i%0.W+2?6aaRUA5V!!(IGn,pU&!71W5"IfAk96^B>$'I=L/-#Z:C5"SE!!Zo(nF1,l[/Jkc
+^.nZPf\QPa"i!k60E@jHcj$jN!0VLA2Z1o)BE0S"Vu=@5\YC&C>Q);@W_4P.T8j`e!!O!;C9Vau
+rVus2Q2[ulF@ZB3%Z@4`T)r9uFT&EDQ2Uak3G#Fj+92k3?m?60[/YX~>
+`r?X09E7k8Y`9%j<BC15GY8$NiVi6IQiN?Ln--d+!!#ZericEd3rT*^6B[t5C]4;7@bUhN"/Q!$
+ao:0-A,lTO]@PWeg>AP'!)^<*ciod:8J`=ur6PV;!!"[e^&GMFZA0,^(3TVk!bD@(rgs=*(B=F\
+rNHHH7fWN$Q2RoiOT5@kL&R\HC)[YGrid!3A,nV_!"E%(!'P/5^Omb-OL>+=~>
+`r?X09E7k8Y`9%j<BC15GY8$NiVi6IQiN?Ln--d+!!#ZericEd3rT*^6B[t5C]4;7@bUhN"/Q!$
+ao:0-A,lTO]@PWeg>AP'!)^<*ciod:8J`=ur6PV;!!"[e^&GMFZA0,^(3TVk!bD@(rgs=*(B=F\
+rNHHH7fWN$Q2RoiOT5@kL&R\HC)[YGrid!3A,nV_!"E%(!'P/5^Omb-OL>+=~>
+`r?X09E7k8Y`9%j<BC15GY8$NiVi6IQiN?Ln--d+!!#ZericEd3rT*^6B[t5C]4;7@bUhN"/Q!$
+ao:0-A,lTO]@PWeg>AP'!)^<*ciod:8J`=ur6PV;!!"[e^&GMFZA0,^(3TVk!bD@(rgs=*(B=F\
+rNHHH7fWN$Q2RoiOT5@kL&R\HC)[YGrid!3A,nV_!"E%(!'P/5^Omb-OL>+=~>
+a8Z7/!!&VhYQGO=!*oKl!gWgir9s_1=8q[m,61O?!'U=c!$(t<!/:BD"<7E]/&hGU$Dmekhqsq(
+6JjDlr6PP2!!&bjciYs%!1s&6!]0m-r3-N`!.h@.!/nV,2'`'l"h$C00*$CtYQ0^_!"C*UYW)U_
+=9&=?T:[t]rNHBnO>7aRYQ1$h!!%?C^B-n*+L_<#~>
+a8Z7/!!&VhYQGO=!*oKl!gWgir9s_1=8q[m,61O?!'U=c!$(t<!/:BD"<7E]/&hGU$Dmekhqsq(
+6JjDlr6PP2!!&bjciYs%!1s&6!]0m-r3-N`!.h@.!/nV,2'`'l"h$C00*$CtYQ0^_!"C*UYW)U_
+=9&=?T:[t]rNHBnO>7aRYQ1$h!!%?C^B-n*+L_<#~>
+a8Z7/!!&VhYQGO=!*oKl!gWgir9s_1=8q[m,61O?!'U=c!$(t<!/:BD"<7E]/&hGU$Dmekhqsq(
+6JjDlr6PP2!!&bjciYs%!1s&6!]0m-r3-N`!.h@.!/nV,2'`'l"h$C00*$CtYQ0^_!"C*UYW)U_
+=9&=?T:[t]rNHBnO>7aRYQ1$h!!%?C^B-n*+L_<#~>
+aSua/$ihMSVm'Sf!,E#rU[S3O!ZirPr9tXKB2&@GCnI>(1]T',*`uN*!()j&2(,$cUB$,Jn-Y4:
+a^bBuhqst)EW4;gZ:dh*7@a=\"gi[p:Sk>oT*.sj-id?IYVRpIR'<)K!(@hOT;&O#^Gca\O&-Z+
+QCh7u&Qi-S!'D5$9<bXo=<086!(j;cSWJpg%;#OC%Vl&(+92je^V>D/,QJC:\Gq'~>
+aSua/$ihMSVm'Sf!,E#rU[S3O!ZirPr9tXKB2&@GCnI>(1]T',*`uN*!()j&2(,$cUB$,Jn-Y4:
+a^bBuhqst)EW4;gZ:dh*7@a=\"gi[p:Sk>oT*.sj-id?IYVRpIR'<)K!(@hOT;&O#^Gca\O&-Z+
+QCh7u&Qi-S!'D5$9<bXo=<086!(j;cSWJpg%;#OC%Vl&(+92je^V>D/,QJC:\Gq'~>
+aSua/$ihMSVm'Sf!,E#rU[S3O!ZirPr9tXKB2&@GCnI>(1]T',*`uN*!()j&2(,$cUB$,Jn-Y4:
+a^bBuhqst)EW4;gZ:dh*7@a=\"gi[p:Sk>oT*.sj-id?IYVRpIR'<)K!(@hOT;&O#^Gca\O&-Z+
+QCh7u&Qi-S!'D5$9<bXo=<086!(j;cSWJpg%;#OC%Vl&(+92je^V>D/,QJC:\Gq'~>
+ao;L1!):3Ar;Zh(rpTt.!6b?1!?TYdn-,3[!'-[JricAArVuq_rNH8BrVur<rpTq=9`+;]/cYl=
+rSIW.4oWe3/HD&n!&=GV!.k+L!%Rl<"=SJdGUrct!\OI%rNHAX!!%?D^B0`%+o\)6J,K?I,5n_G
+O8]+cK"o(5Y`\tdFdr>k$[MeoYct7%3H;:-R/6jdK$[6mT"4lO~>
+ao;L1!):3Ar;Zh(rpTt.!6b?1!?TYdn-,3[!'-[JricAArVuq_rNH8BrVur<rpTq=9`+;]/cYl=
+rSIW.4oWe3/HD&n!&=GV!.k+L!%Rl<"=SJdGUrct!\OI%rNHAX!!%?D^B0`%+o\)6J,K?I,5n_G
+O8]+cK"o(5Y`\tdFdr>k$[MeoYct7%3H;:-R/6jdK$[6mT"4lO~>
+ao;L1!):3Ar;Zh(rpTt.!6b?1!?TYdn-,3[!'-[JricAArVuq_rNH8BrVur<rpTq=9`+;]/cYl=
+rSIW.4oWe3/HD&n!&=GV!.k+L!%Rl<"=SJdGUrct!\OI%rNHAX!!%?D^B0`%+o\)6J,K?I,5n_G
+O8]+cK"o(5Y`\tdFdr>k$[MeoYct7%3H;:-R/6jdK$[6mT"4lO~>
+b5VcL!*?VDBaOh??N'@._Fdhck3MN&!1!'C`-;gn!$?EhANB_i!?QF^YQIGs-_L>+!\>\PrU9o)
+!(Q)Kh]mmmUp<T3HG@4;/o\&!<<,1@@M9K8T:_#U.%d,j'G[$j!*0!%"KZDV!*]?9!bXNLrLX4R
+(]Z^arNHd))uosN@%aZ1:B2pG0NA%5#;S?&YG.4#)>p]G5QCcnBW9@r>7Zb*s*t~>
+b5VcL!*?VDBaOh??N'@._Fdhck3MN&!1!'C`-;gn!$?EhANB_i!?QF^YQIGs-_L>+!\>\PrU9o)
+!(Q)Kh]mmmUp<T3HG@4;/o\&!<<,1@@M9K8T:_#U.%d,j'G[$j!*0!%"KZDV!*]?9!bXNLrLX4R
+(]Z^arNHd))uosN@%aZ1:B2pG0NA%5#;S?&YG.4#)>p]G5QCcnBW9@r>7Zb*s*t~>
+b5VcL!*?VDBaOh??N'@._Fdhck3MN&!1!'C`-;gn!$?EhANB_i!?QF^YQIGs-_L>+!\>\PrU9o)
+!(Q)Kh]mmmUp<T3HG@4;/o\&!<<,1@@M9K8T:_#U.%d,j'G[$j!*0!%"KZDV!*]?9!bXNLrLX4R
+(]Z^arNHd))uosN@%aZ1:B2pG0NA%5#;S?&YG.4#)>p]G5QCcnBW9@r>7Zb*s*t~>
+bPr!o$n&KF?jQgL8M?n.rpUhj/"5ATke[j5n;'a<+BV`++'8sP!$"fD*hrY<"D86U'MnYr!b_SP
+rpU,Q(B>_LkiMg$"D1P(!+u2E&1\TfQkU9oT:\jY;4jIV!)WZe'N"ir6ND\AYcOLV'G;/rFMGS;
+)fbeJ,(BSD!'P&#Yb4Me4BNR'5u.Ik=G0ct$ri<s-BbC+T83J9r3-Po$s4YQ6$15d-kFV8s*t~>
+bPr!o$n&KF?jQgL8M?n.rpUhj/"5ATke[j5n;'a<+BV`++'8sP!$"fD*hrY<"D86U'MnYr!b_SP
+rpU,Q(B>_LkiMg$"D1P(!+u2E&1\TfQkU9oT:\jY;4jIV!)WZe'N"ir6ND\AYcOLV'G;/rFMGS;
+)fbeJ,(BSD!'P&#Yb4Me4BNR'5u.Ik=G0ct$ri<s-BbC+T83J9r3-Po$s4YQ6$15d-kFV8s*t~>
+bPr!o$n&KF?jQgL8M?n.rpUhj/"5ATke[j5n;'a<+BV`++'8sP!$"fD*hrY<"D86U'MnYr!b_SP
+rpU,Q(B>_LkiMg$"D1P(!+u2E&1\TfQkU9oT:\jY;4jIV!)WZe'N"ir6ND\AYcOLV'G;/rFMGS;
+)fbeJ,(BSD!'P&#Yb4Me4BNR'5u.Ik=G0ct$ri<s-BbC+T83J9r3-Po$s4YQ6$15d-kFV8s*t~>
+bl7oK!(]ok!,SV5n-Ks`e)KT[n5o[Lrndl!!!#\pV#IS3OUV9j*0["eKMW+!=:Sl7n=]j%r9t&h
+-Cr=Y!/9oX,hW+c"R3rE!&shj"JnO(5V)c)"c<s-:_\0PT+ZDL!-Y$*OH=uP!-=c3!*Q<@,5e&H
+IfMZtY[RSq=;qg9Ycsd&*<806rNH[(8cSi"KV+lE!'-2@YQCUo)#g`FGte8I?rR++?+g2f~>
+bl7oK!(]ok!,SV5n-Ks`e)KT[n5o[Lrndl!!!#\pV#IS3OUV9j*0["eKMW+!=:Sl7n=]j%r9t&h
+-Cr=Y!/9oX,hW+c"R3rE!&shj"JnO(5V)c)"c<s-:_\0PT+ZDL!-Y$*OH=uP!-=c3!*Q<@,5e&H
+IfMZtY[RSq=;qg9Ycsd&*<806rNH[(8cSi"KV+lE!'-2@YQCUo)#g`FGte8I?rR++?+g2f~>
+bl7oK!(]ok!,SV5n-Ks`e)KT[n5o[Lrndl!!!#\pV#IS3OUV9j*0["eKMW+!=:Sl7n=]j%r9t&h
+-Cr=Y!/9oX,hW+c"R3rE!&shj"JnO(5V)c)"c<s-:_\0PT+ZDL!-Y$*OH=uP!-=c3!*Q<@,5e&H
+IfMZtY[RSq=;qg9Ycsd&*<806rNH[(8cSi"KV+lE!'-2@YQCUo)#g`FGte8I?rR++?+g2f~>
+cMn$iJ.!_brVurOrU:D!!+XL8kNK`S<8W+C%KHK&GlFoNO?!:@6u2^m#seOk.,==]a\drnn-[;R
+95+B7g$km>K`1BLbo$L#V7=%K^V>[,!)rce"ASps'T;p^"cPPD!&]3(O:#n+3f0Jh4r$]j8c51f
+<rdTOYb+Dc!'P#nYQSM;!"Y:mYQ:IjrW!*Y>b<tbOo;KcQiKPQYQ1-k!!G`0.hBq=s*t~>
+cMn$iJ.!_brVurOrU:D!!+XL8kNK`S<8W+C%KHK&GlFoNO?!:@6u2^m#seOk.,==]a\drnn-[;R
+95+B7g$km>K`1BLbo$L#V7=%K^V>[,!)rce"ASps'T;p^"cPPD!&]3(O:#n+3f0Jh4r$]j8c51f
+<rdTOYb+Dc!'P#nYQSM;!"Y:mYQ:IjrW!*Y>b<tbOo;KcQiKPQYQ1-k!!G`0.hBq=s*t~>
+cMn$iJ.!_brVurOrU:D!!+XL8kNK`S<8W+C%KHK&GlFoNO?!:@6u2^m#seOk.,==]a\drnn-[;R
+95+B7g$km>K`1BLbo$L#V7=%K^V>[,!)rce"ASps'T;p^"cPPD!&]3(O:#n+3f0Jh4r$]j8c51f
+<rdTOYb+Dc!'P#nYQSM;!"Y:mYQ:IjrW!*Y>b<tbOo;KcQiKPQYQ1-k!!G`0.hBq=s*t~>
+cMn1c!3WjD!5'!Gf_t:@OoWN#hZ/Q4!!essYSR9>Ql,c%!''kJ!uV(=;>otcT`@jcn,oKe!)!4Z
+!N8Qfn,tKH:]N9LYQ01P!!=aDT25HY!%.[F!-nI7"XsFpGlT&fO9$^Sr1='C!!%$:T)gSir3-8]
+!!"2?YQ-]^!!aOKP5kS&Ya,.e!#kd>!^Ha)rNHU%!*B4$)W+QqSA,#R~>
+cMn1c!3WjD!5'!Gf_t:@OoWN#hZ/Q4!!essYSR9>Ql,c%!''kJ!uV(=;>otcT`@jcn,oKe!)!4Z
+!N8Qfn,tKH:]N9LYQ01P!!=aDT25HY!%.[F!-nI7"XsFpGlT&fO9$^Sr1='C!!%$:T)gSir3-8]
+!!"2?YQ-]^!!aOKP5kS&Ya,.e!#kd>!^Ha)rNHU%!*B4$)W+QqSA,#R~>
+cMn1c!3WjD!5'!Gf_t:@OoWN#hZ/Q4!!essYSR9>Ql,c%!''kJ!uV(=;>otcT`@jcn,oKe!)!4Z
+!N8Qfn,tKH:]N9LYQ01P!!=aDT25HY!%.[F!-nI7"XsFpGlT&fO9$^Sr1='C!!%$:T)gSir3-8]
+!!"2?YQ-]^!!aOKP5kS&Ya,.e!#kd>!^Ha)rNHU%!*B4$)W+QqSA,#R~>
+d/Oa$$RMu=!%O/YV@$J`kNhWR%9NPd"arf>!)9<hYS<1$=:@k3!)$E'*)Mi(1]UjI,UhIHn,b'e
+g]$[Faqat'Sc/$dbSVVXbo%=XT84'Z7K$=.Q'.Z)'`\5*G^">@F^SHN:coD$T:]X/&UeR1@f;o&
+SLX[?3Jd[,!Il?mYR[[g%o>Ol!'HKf8.f7&DuK_<%TnnmYQ/D:!#IY,Ycr@'A?`;G\:Z%BYcr$G
+5bKM8JBbn0J,~>
+d/Oa$$RMu=!%O/YV@$J`kNhWR%9NPd"arf>!)9<hYS<1$=:@k3!)$E'*)Mi(1]UjI,UhIHn,b'e
+g]$[Faqat'Sc/$dbSVVXbo%=XT84'Z7K$=.Q'.Z)'`\5*G^">@F^SHN:coD$T:]X/&UeR1@f;o&
+SLX[?3Jd[,!Il?mYR[[g%o>Ol!'HKf8.f7&DuK_<%TnnmYQ/D:!#IY,Ycr@'A?`;G\:Z%BYcr$G
+5bKM8JBbn0J,~>
+d/Oa$$RMu=!%O/YV@$J`kNhWR%9NPd"arf>!)9<hYS<1$=:@k3!)$E'*)Mi(1]UjI,UhIHn,b'e
+g]$[Faqat'Sc/$dbSVVXbo%=XT84'Z7K$=.Q'.Z)'`\5*G^">@F^SHN:coD$T:]X/&UeR1@f;o&
+SLX[?3Jd[,!Il?mYR[[g%o>Ol!'HKf8.f7&DuK_<%TnnmYQ/D:!#IY,Ycr@'A?`;G\:Z%BYcr$G
+5bKM8JBbn0J,~>
+dJjE8!26V-!*/sD&/E=EhraFt)od^7!(jqL!(-Uf";jB@!'gIe!-8&=!)<FL!@5bbn/.l"`piIK
+!'J"A428PmnF3@V^G,_;T:^0%!!%lTYQlQV!/E$(!0R5p!&4?O!%.];!.+VE!$qQ9'9nSu!$Wup
+!-+W[!.;#TXe1+DDZ67.1B%7R,5o7Z56-sA*W<2F4TH=kM#IA\=9'2B]"c"W!#GO;#+GT0d(',q
+_#Jo~>
+dJjE8!26V-!*/sD&/E=EhraFt)od^7!(jqL!(-Uf";jB@!'gIe!-8&=!)<FL!@5bbn/.l"`piIK
+!'J"A428PmnF3@V^G,_;T:^0%!!%lTYQlQV!/E$(!0R5p!&4?O!%.];!.+VE!$qQ9'9nSu!$Wup
+!-+W[!.;#TXe1+DDZ67.1B%7R,5o7Z56-sA*W<2F4TH=kM#IA\=9'2B]"c"W!#GO;#+GT0d(',q
+_#Jo~>
+dJjE8!26V-!*/sD&/E=EhraFt)od^7!(jqL!(-Uf";jB@!'gIe!-8&=!)<FL!@5bbn/.l"`piIK
+!'J"A428PmnF3@V^G,_;T:^0%!!%lTYQlQV!/E$(!0R5p!&4?O!%.];!.+VE!$qQ9'9nSu!$Wup
+!-+W[!.;#TXe1+DDZ67.1B%7R,5o7Z56-sA*W<2F4TH=kM#IA\=9'2B]"c"W!#GO;#+GT0d(',q
+_#Jo~>
+e,K]q8gRSA1B<$Mr6PgC!0H)bE-D`k=^\W9^CtAk9r5']+J_C*CT=&#>qZ0X?I&N,!aG`HrpUK@
+;#k)A*e(l=KE+`K^V@dTrW"?2:f&WD?@'A^?kjM\5T!UmYcsN]!#T*6!#D$-RT<6"'2VLg!!$o&
+rf@ad!(rlUNY_[T(D;t2U7\&4%u1%T!.t1M%RG$C\\E%_8oS[PY\=)&rLXI6:`TNr?smf',<(\]
+YQoIu5\Og[%F)ciJ,~>
+e,K]q8gRSA1B<$Mr6PgC!0H)bE-D`k=^\W9^CtAk9r5']+J_C*CT=&#>qZ0X?I&N,!aG`HrpUK@
+;#k)A*e(l=KE+`K^V@dTrW"?2:f&WD?@'A^?kjM\5T!UmYcsN]!#T*6!#D$-RT<6"'2VLg!!$o&
+rf@ad!(rlUNY_[T(D;t2U7\&4%u1%T!.t1M%RG$C\\E%_8oS[PY\=)&rLXI6:`TNr?smf',<(\]
+YQoIu5\Og[%F)ciJ,~>
+e,K]q8gRSA1B<$Mr6PgC!0H)bE-D`k=^\W9^CtAk9r5']+J_C*CT=&#>qZ0X?I&N,!aG`HrpUK@
+;#k)A*e(l=KE+`K^V@dTrW"?2:f&WD?@'A^?kjM\5T!UmYcsN]!#T*6!#D$-RT<6"'2VLg!!$o&
+rf@ad!(rlUNY_[T(D;t2U7\&4%u1%T!.t1M%RG$C\\E%_8oS[PY\=)&rLXI6:`TNr?smf',<(\]
+YQoIu5\Og[%F)ciJ,~>
+e,KL`!2=*(!!#dl^Ar?N!!#jpcj.D%^N]`EDclr<$%.h?!!#dOOoW/mhZ5$"r9sb;!1j&&"bZk:
+^V>O&!!P$J+TMKtqQL#L!/UNV"+pRRGl+*5H2[dE/X$)5"X/th-ibLiT*'NB!$M64!\aTqr1='H
+CnH@Z!!7>JPPtO^E;fh;B`"D%3V`XTDu?g>S,NBk);iI7!1Lh*J,~>
+e,KL`!2=*(!!#dl^Ar?N!!#jpcj.D%^N]`EDclr<$%.h?!!#dOOoW/mhZ5$"r9sb;!1j&&"bZk:
+^V>O&!!P$J+TMKtqQL#L!/UNV"+pRRGl+*5H2[dE/X$)5"X/th-ibLiT*'NB!$M64!\aTqr1='H
+CnH@Z!!7>JPPtO^E;fh;B`"D%3V`XTDu?g>S,NBk);iI7!1Lh*J,~>
+e,KL`!2=*(!!#dl^Ar?N!!#jpcj.D%^N]`EDclr<$%.h?!!#dOOoW/mhZ5$"r9sb;!1j&&"bZk:
+^V>O&!!P$J+TMKtqQL#L!/UNV"+pRRGl+*5H2[dE/X$)5"X/th-ibLiT*'NB!$M64!\aTqr1='H
+CnH@Z!!7>JPPtO^E;fh;B`"D%3V`XTDu?g>S,NBk);iI7!1Lh*J,~>
+ec-T18L8dG!)\0K3rgX9?o\2eA.'s4e^2Zb$n0'lci>!_!";P'$ig8UE6mG!\.MI5hZ\Tmh!jfF
+rW!!jTX+R,&%Zco9j:G,T:\XS?e936Sc#\oJ,gFVqlg3k5l_UWrLY-i49/MT',Gc+H!k#D!)&rQ
+R$a2$:&l[B8=uN8(a&[J&MaiNT:_6B)?9aLBNG0G<ra-8T,M);5+eI=NBR=n!!!C/=<RZ+RY2sq
+ZdUH7bf'O3~>
+ec-T18L8dG!)\0K3rgX9?o\2eA.'s4e^2Zb$n0'lci>!_!";P'$ig8UE6mG!\.MI5hZ\Tmh!jfF
+rW!!jTX+R,&%Zco9j:G,T:\XS?e936Sc#\oJ,gFVqlg3k5l_UWrLY-i49/MT',Gc+H!k#D!)&rQ
+R$a2$:&l[B8=uN8(a&[J&MaiNT:_6B)?9aLBNG0G<ra-8T,M);5+eI=NBR=n!!!C/=<RZ+RY2sq
+ZdUH7bf'O3~>
+ec-T18L8dG!)\0K3rgX9?o\2eA.'s4e^2Zb$n0'lci>!_!";P'$ig8UE6mG!\.MI5hZ\Tmh!jfF
+rW!!jTX+R,&%Zco9j:G,T:\XS?e936Sc#\oJ,gFVqlg3k5l_UWrLY-i49/MT',Gc+H!k#D!)&rQ
+R$a2$:&l[B8=uN8(a&[J&MaiNT:_6B)?9aLBNG0G<ra-8T,M);5+eI=NBR=n!!!C/=<RZ+RY2sq
+ZdUH7bf'O3~>
+ec-"T!-a>+-)n,QN*$Ab!"<FXe5$(+gt:$$9E9bEcjY%+*ARU;UobF5!%=34hZA?gQMfVH-"PfQ
+'cgC=!+c&4&$g-e!#T@@LJSOhfC5g@?N%)2Qp:WOM#4CZ<rc#7Gl=6GGQ9ULO@fKgFhan`)?<?r
+P5^OM>no>C57h1oJ,i+<T)t)l*W2N<1]RM#d(`WoBP9(rKDhDM3AZ8ZR[/@%3.tC.rW!?7@%+jF
+H2pe!S1ICY`W(G~>
+ec-"T!-a>+-)n,QN*$Ab!"<FXe5$(+gt:$$9E9bEcjY%+*ARU;UobF5!%=34hZA?gQMfVH-"PfQ
+'cgC=!+c&4&$g-e!#T@@LJSOhfC5g@?N%)2Qp:WOM#4CZ<rc#7Gl=6GGQ9ULO@fKgFhan`)?<?r
+P5^OM>no>C57h1oJ,i+<T)t)l*W2N<1]RM#d(`WoBP9(rKDhDM3AZ8ZR[/@%3.tC.rW!?7@%+jF
+H2pe!S1ICY`W(G~>
+ec-"T!-a>+-)n,QN*$Ab!"<FXe5$(+gt:$$9E9bEcjY%+*ARU;UobF5!%=34hZA?gQMfVH-"PfQ
+'cgC=!+c&4&$g-e!#T@@LJSOhfC5g@?N%)2Qp:WOM#4CZ<rc#7Gl=6GGQ9ULO@fKgFhan`)?<?r
+P5^OM>no>C57h1oJ,i+<T)t)l*W2N<1]RM#d(`WoBP9(rKDhDM3AZ8ZR[/@%3.tC.rW!?7@%+jF
+H2pe!S1ICY`W(G~>
+fDc&r#uXk]!-\@G#%07f/j]Q$rSI[3/=ZXr'\KMr:T8":7[6(9AZ27c!0ZhY-dVbK!a6qqrSIaC
+!'C6mricoH&0.@I9`P/S84YK9!+=FWn,fX.EW30F-QT^a0Dr$YR2%U+B)m/TT)pGRIJo609)nr-
+ra5sM!&Rc=9`RcaT)_sl!!,$6rgs:S5lbd$T,X+g!,H<f7=!7,!(;'jA5IoB*#G'0OH>28%$:Im
+&?e;**WS9:^V@0&%("i]3R#MCJ,~>
+fDc&r#uXk]!-\@G#%07f/j]Q$rSI[3/=ZXr'\KMr:T8":7[6(9AZ27c!0ZhY-dVbK!a6qqrSIaC
+!'C6mricoH&0.@I9`P/S84YK9!+=FWn,fX.EW30F-QT^a0Dr$YR2%U+B)m/TT)pGRIJo609)nr-
+ra5sM!&Rc=9`RcaT)_sl!!,$6rgs:S5lbd$T,X+g!,H<f7=!7,!(;'jA5IoB*#G'0OH>28%$:Im
+&?e;**WS9:^V@0&%("i]3R#MCJ,~>
+fDc&r#uXk]!-\@G#%07f/j]Q$rSI[3/=ZXr'\KMr:T8":7[6(9AZ27c!0ZhY-dVbK!a6qqrSIaC
+!'C6mricoH&0.@I9`P/S84YK9!+=FWn,fX.EW30F-QT^a0Dr$YR2%U+B)m/TT)pGRIJo609)nr-
+ra5sM!&Rc=9`RcaT)_sl!!,$6rgs:S5lbd$T,X+g!,H<f7=!7,!(;'jA5IoB*#G'0OH>28%$:Im
+&?e;**WS9:^V@0&%("i]3R#MCJ,~>
+fDcC[!)bTQ!)Zjt?O-WaS[&W,rSI[_$s3Db'AQG55orjH:af/)Jkuhfhsd*8LAg!2OoU16hZR3b
+!$.d3YRX>,86?H(3eEZI1&q;^fDY1Hc5JIBY\Oq5d'PKGrNHZ])hZMG)Gm&uN$_^*O:H:2!#DEG
+^L[BF%nIEqM#O"MMF\K_2i%C))h@uIL7b0<@K89>T5#;WH,"#<&?NZ\=@=f@PQ$XFHjjQbYS+"-
+-s:FW!"31q?mPe?E,[C&bfBa6~>
+fDcC[!)bTQ!)Zjt?O-WaS[&W,rSI[_$s3Db'AQG55orjH:af/)Jkuhfhsd*8LAg!2OoU16hZR3b
+!$.d3YRX>,86?H(3eEZI1&q;^fDY1Hc5JIBY\Oq5d'PKGrNHZ])hZMG)Gm&uN$_^*O:H:2!#DEG
+^L[BF%nIEqM#O"MMF\K_2i%C))h@uIL7b0<@K89>T5#;WH,"#<&?NZ\=@=f@PQ$XFHjjQbYS+"-
+-s:FW!"31q?mPe?E,[C&bfBa6~>
+fDcC[!)bTQ!)Zjt?O-WaS[&W,rSI[_$s3Db'AQG55orjH:af/)Jkuhfhsd*8LAg!2OoU16hZR3b
+!$.d3YRX>,86?H(3eEZI1&q;^fDY1Hc5JIBY\Oq5d'PKGrNHZ])hZMG)Gm&uN$_^*O:H:2!#DEG
+^L[BF%nIEqM#O"MMF\K_2i%C))h@uIL7b0<@K89>T5#;WH,"#<&?NZ\=@=f@PQ$XFHjjQbYS+"-
+-s:FW!"31q?mPe?E,[C&bfBa6~>
+g&D8=!!&6o!+>[(!6b>u!>W`ThZAQ5a8OlqMY7#Mci*>7RfH4^hZT-:hqs[r!!&/YYQH$K!&=JF
+"s3iBOoV?CrU9tI!/e!.3W@A+0JEF0!eLEDrm1g*!-b&[,Q3]/Pb0HH@K6CcrkAOn!!");O8sA#
+!"0j?T/%FZT<#3#3?7sh!&aKN!+#Pb!djtbricL$MZ=FhT)_%O!!O1i])VgJaT$b~>
+g&D8=!!&6o!+>[(!6b>u!>W`ThZAQ5a8OlqMY7#Mci*>7RfH4^hZT-:hqs[r!!&/YYQH$K!&=JF
+"s3iBOoV?CrU9tI!/e!.3W@A+0JEF0!eLEDrm1g*!-b&[,Q3]/Pb0HH@K6CcrkAOn!!");O8sA#
+!"0j?T/%FZT<#3#3?7sh!&aKN!+#Pb!djtbricL$MZ=FhT)_%O!!O1i])VgJaT$b~>
+g&D8=!!&6o!+>[(!6b>u!>W`ThZAQ5a8OlqMY7#Mci*>7RfH4^hZT-:hqs[r!!&/YYQH$K!&=JF
+"s3iBOoV?CrU9tI!/e!.3W@A+0JEF0!eLEDrm1g*!-b&[,Q3]/Pb0HH@K6CcrkAOn!!");O8sA#
+!"0j?T/%FZT<#3#3?7sh!&aKN!+#Pb!djtbricL$MZ=FhT)_%O!!O1i])VgJaT$b~>
+g]%W$81%H=?3Vjg^H_\t!G9m\hZ?LPao:03ZU=f5hg@im+a0nr0=/E`%3l<4hu3$G?RO.uh[?t-
+-5$;TJ%qXA*Hh@c!)3@l!($T\&J-%>d*O7*d*UV1nBP''56.GWcj,p<LTn!4)n5dm&MuU4!,I[^
+R%9jq%o.Uo&HG9!?j'+&!&K!$O:Y1f3/;04!"VmS@&U33TL^($T,XG?)ZULi\]uQ6G.D94$:o?%
+=:C:pW1ono$A&/J%V5Vk!)VRC/46_tNrVk3b5Zt~>
+g]%W$81%H=?3Vjg^H_\t!G9m\hZ?LPao:03ZU=f5hg@im+a0nr0=/E`%3l<4hu3$G?RO.uh[?t-
+-5$;TJ%qXA*Hh@c!)3@l!($T\&J-%>d*O7*d*UV1nBP''56.GWcj,p<LTn!4)n5dm&MuU4!,I[^
+R%9jq%o.Uo&HG9!?j'+&!&K!$O:Y1f3/;04!"VmS@&U33TL^($T,XG?)ZULi\]uQ6G.D94$:o?%
+=:C:pW1ono$A&/J%V5Vk!)VRC/46_tNrVk3b5Zt~>
+g]%W$81%H=?3Vjg^H_\t!G9m\hZ?LPao:03ZU=f5hg@im+a0nr0=/E`%3l<4hu3$G?RO.uh[?t-
+-5$;TJ%qXA*Hh@c!)3@l!($T\&J-%>d*O7*d*UV1nBP''56.GWcj,p<LTn!4)n5dm&MuU4!,I[^
+R%9jq%o.Uo&HG9!?j'+&!&K!$O:Y1f3/;04!"VmS@&U33TL^($T,XG?)ZULi\]uQ6G.D94$:o?%
+=:C:pW1ono$A&/J%V5Vk!)VRC/46_tNrVk3b5Zt~>
+h#@qH!2Zp(A,oKA\RkhCd!>[srSI[1!*T9X!/UUS!(?di'lF"A^M!U:^V:ZeZeP!=S,`Q&hqsXs
+!!&\i^Bl%`Og#r.!%<=6r;ZhqrQkQqV>\aDl)XjbUAW@AQiMmk!&jc%"IoGl,F&/!!dXherI4fW
+r;[-Q2ZNh!OH=M`+T.i60`V1sricto!,J4!U9Kg]*O%X+!0Z56+8sOd9)\ek(o@5(!]pArrgsRl
+YXE<3SH'GYa8d"ThZCq#QHT;Y~>
+h#@qH!2Zp(A,oKA\RkhCd!>[srSI[1!*T9X!/UUS!(?di'lF"A^M!U:^V:ZeZeP!=S,`Q&hqsXs
+!!&\i^Bl%`Og#r.!%<=6r;ZhqrQkQqV>\aDl)XjbUAW@AQiMmk!&jc%"IoGl,F&/!!dXherI4fW
+r;[-Q2ZNh!OH=M`+T.i60`V1sricto!,J4!U9Kg]*O%X+!0Z56+8sOd9)\ek(o@5(!]pArrgsRl
+YXE<3SH'GYa8d"ThZCq#QHT;Y~>
+h#@qH!2Zp(A,oKA\RkhCd!>[srSI[1!*T9X!/UUS!(?di'lF"A^M!U:^V:ZeZeP!=S,`Q&hqsXs
+!!&\i^Bl%`Og#r.!%<=6r;ZhqrQkQqV>\aDl)XjbUAW@AQiMmk!&jc%"IoGl,F&/!!dXherI4fW
+r;[-Q2ZNh!OH=M`+T.i60`V1sricto!,J4!U9Kg]*O%X+!0Z56+8sOd9)\ek(o@5(!]pArrgsRl
+YXE<3SH'GYa8d"ThZCq#QHT;Y~>
+i;X>-J4BS>-@W2'$sBjB3<5!:ciS2GSc.FQH8sF3hg9;N!)@k>YSoe-</1l,@'[P^S.-d(d+7@!
+&gqW1!*;ShE;[H\TKrQ/!!!^SCFfHb86!8#ciRPSV>\aC[i-9tr6PSR(df$QqTo:#!%7]:!`B#(
+rI58D!$D7V@&0hC!!"8E8Go(uO;SO!3rfgo.UJsMXfupg4-HhPU)jlN\c>\-cm+#?!"2V,T9UH3
+T:i-bVBQA-Ycr*I5BE&=6aGU?AH2^'J;V\QJ,~>
+i;X>-J4BS>-@W2'$sBjB3<5!:ciS2GSc.FQH8sF3hg9;N!)@k>YSoe-</1l,@'[P^S.-d(d+7@!
+&gqW1!*;ShE;[H\TKrQ/!!!^SCFfHb86!8#ciRPSV>\aC[i-9tr6PSR(df$QqTo:#!%7]:!`B#(
+rI58D!$D7V@&0hC!!"8E8Go(uO;SO!3rfgo.UJsMXfupg4-HhPU)jlN\c>\-cm+#?!"2V,T9UH3
+T:i-bVBQA-Ycr*I5BE&=6aGU?AH2^'J;V\QJ,~>
+i;X>-J4BS>-@W2'$sBjB3<5!:ciS2GSc.FQH8sF3hg9;N!)@k>YSoe-</1l,@'[P^S.-d(d+7@!
+&gqW1!*;ShE;[H\TKrQ/!!!^SCFfHb86!8#ciRPSV>\aC[i-9tr6PSR(df$QqTo:#!%7]:!`B#(
+rI58D!$D7V@&0hC!!"8E8Go(uO;SO!3rfgo.UJsMXfupg4-HhPU)jlN\c>\-cm+#?!"2V,T9UH3
+T:i-bVBQA-Ycr*I5BE&=6aGU?AH2^'J;V\QJ,~>
+j8Tb3J:L,i!)kTP-<OA$Z&;]h/BIe:!YR-9rSJ5'A8lJr!)>EP,'pJS$Qc',!-e@U%rDb%S7leb
+&c_o6BYUY]5l8;+JOg=P1fd=%+DAEL!3OfNciTC2EW4;iZ:b0<Xh_`rrm1a$!!&Vicj.7o\>1#C
+'8ug]'IjW2It*3F/1t9p&cb=AHQ3"c&;U4V&Wf6f<fhr)(B=qA<EN@V*=nA4YSq[+7%dWmGL40>
+,reQu!"2Ul!'R9[Ybk.q5lRu"VcY/OViiMsE%M&H:]LJ'J;VbSJ,~>
+j8Tb3J:L,i!)kTP-<OA$Z&;]h/BIe:!YR-9rSJ5'A8lJr!)>EP,'pJS$Qc',!-e@U%rDb%S7leb
+&c_o6BYUY]5l8;+JOg=P1fd=%+DAEL!3OfNciTC2EW4;iZ:b0<Xh_`rrm1a$!!&Vicj.7o\>1#C
+'8ug]'IjW2It*3F/1t9p&cb=AHQ3"c&;U4V&Wf6f<fhr)(B=qA<EN@V*=nA4YSq[+7%dWmGL40>
+,reQu!"2Ul!'R9[Ybk.q5lRu"VcY/OViiMsE%M&H:]LJ'J;VbSJ,~>
+j8Tb3J:L,i!)kTP-<OA$Z&;]h/BIe:!YR-9rSJ5'A8lJr!)>EP,'pJS$Qc',!-e@U%rDb%S7leb
+&c_o6BYUY]5l8;+JOg=P1fd=%+DAEL!3OfNciTC2EW4;iZ:b0<Xh_`rrm1a$!!&Vicj.7o\>1#C
+'8ug]'IjW2It*3F/1t9p&cb=AHQ3"c&;U4V&Wf6f<fhr)(B=qA<EN@V*=nA4YSq[+7%dWmGL40>
+,reQu!"2Ul!'R9[Ybk.q5lRu"VcY/OViiMsE%M&H:]LJ'J;VbSJ,~>
+kPkb*J49M=-`d-K#Dt8:8d57q<;X`?Ucg>LE'sU)![_<XrO;rB2Bk*Y!!6),KDrUgD.!eQ./e)q
+8H?s"gX+:k:p7XKTKO;,r;ZjAM#Pa6YS9I^g""Hr.iu:Kcs[s*@RZgdYQpO\!&kJi'o`*`&PrI2
+2A9SmT.1n3Itji8H7<_1IfXO%r;[-?=ZBc\T4f&OHMrp,;Drau:^S*@!'=;GYcsj(9)\ej2#[IU
+3KX6E!i/p@r;ZsZ=<S$3qlg<P,6/'a.KDg4^BK,f!"+75ec1.~>
+kPkb*J49M=-`d-K#Dt8:8d57q<;X`?Ucg>LE'sU)![_<XrO;rB2Bk*Y!!6),KDrUgD.!eQ./e)q
+8H?s"gX+:k:p7XKTKO;,r;ZjAM#Pa6YS9I^g""Hr.iu:Kcs[s*@RZgdYQpO\!&kJi'o`*`&PrI2
+2A9SmT.1n3Itji8H7<_1IfXO%r;[-?=ZBc\T4f&OHMrp,;Drau:^S*@!'=;GYcsj(9)\ej2#[IU
+3KX6E!i/p@r;ZsZ=<S$3qlg<P,6/'a.KDg4^BK,f!"+75ec1.~>
+kPkb*J49M=-`d-K#Dt8:8d57q<;X`?Ucg>LE'sU)![_<XrO;rB2Bk*Y!!6),KDrUgD.!eQ./e)q
+8H?s"gX+:k:p7XKTKO;,r;ZjAM#Pa6YS9I^g""Hr.iu:Kcs[s*@RZgdYQpO\!&kJi'o`*`&PrI2
+2A9SmT.1n3Itji8H7<_1IfXO%r;[-?=ZBc\T4f&OHMrp,;Drau:^S*@!'=;GYcsj(9)\ej2#[IU
+3KX6E!i/p@r;ZsZ=<S$3qlg<P,6/'a.KDg4^BK,f!"+75ec1.~>
+l2M(.J40G<00'#2X8T70MD>0(Hj1oR-t'O`^C+^f4TI&A.VNK&-ADB4$G:?Y!%7gI7LB,?ra5m=
+!+8>GQi>kOOoUR4lep](!,oVk5V2d4!?m9tclFPZOl,!IdX;n,d'=EKd$=ZgYcsK[!&oC12#oaL
+rgs`M2L^)f-D-535(A<a^V;TFr-n\lq>^[1LQ<8^<rJ*]?PdPWT+Wsl?m#G1=BJ/q&TB)t2uipf
+Oo2EbU`^$D:^%m?!")h;rNHU+,7?%0X-HutB`5[P[jVGW8H9'IJ;DkXJ,~>
+l2M(.J40G<00'#2X8T70MD>0(Hj1oR-t'O`^C+^f4TI&A.VNK&-ADB4$G:?Y!%7gI7LB,?ra5m=
+!+8>GQi>kOOoUR4lep](!,oVk5V2d4!?m9tclFPZOl,!IdX;n,d'=EKd$=ZgYcsK[!&oC12#oaL
+rgs`M2L^)f-D-535(A<a^V;TFr-n\lq>^[1LQ<8^<rJ*]?PdPWT+Wsl?m#G1=BJ/q&TB)t2uipf
+Oo2EbU`^$D:^%m?!")h;rNHU+,7?%0X-HutB`5[P[jVGW8H9'IJ;DkXJ,~>
+l2M(.J40G<00'#2X8T70MD>0(Hj1oR-t'O`^C+^f4TI&A.VNK&-ADB4$G:?Y!%7gI7LB,?ra5m=
+!+8>GQi>kOOoUR4lep](!,oVk5V2d4!?m9tclFPZOl,!IdX;n,d'=EKd$=ZgYcsK[!&oC12#oaL
+rgs`M2L^)f-D-535(A<a^V;TFr-n\lq>^[1LQ<8^<rJ*]?PdPWT+Wsl?m#G1=BJ/q&TB)t2uipf
+Oo2EbU`^$D:^%m?!")h;rNHU+,7?%0X-HutB`5[P[jVGW8H9'IJ;DkXJ,~>
+nG`TCJ:L&c!!+n)rm2g^"t-IUYVuQ)X'Q!.Wj%C;-o_2,AoM^8!+jR1dEkGbHi:\c7K>nS$6GJ)
+T4Ip$!FX:RhZt>Na4fG.JItfYn.(Bk!#RBi*EYE(M!ur?_Yqgq.3cmkhqcpn!&O[od*T*80sFUW
+9Djk_I5M!eMdn)_OH<$64$>6?VZ+=3PQ4tfIh$o_!,#Rt!+rMOBHI40HMrp,K,5R-T*(L*!)W[0
+!-%o;$;%ecc<h05PUJPRridM]!&B.uR[8I'6)IaZ!!!?M$uiQ1OT8,4NrV/,^TRVprLX.Z:a5f;
+"%Rll`o-lI~>
+nG`TCJ:L&c!!+n)rm2g^"t-IUYVuQ)X'Q!.Wj%C;-o_2,AoM^8!+jR1dEkGbHi:\c7K>nS$6GJ)
+T4Ip$!FX:RhZt>Na4fG.JItfYn.(Bk!#RBi*EYE(M!ur?_Yqgq.3cmkhqcpn!&O[od*T*80sFUW
+9Djk_I5M!eMdn)_OH<$64$>6?VZ+=3PQ4tfIh$o_!,#Rt!+rMOBHI40HMrp,K,5R-T*(L*!)W[0
+!-%o;$;%ecc<h05PUJPRridM]!&B.uR[8I'6)IaZ!!!?M$uiQ1OT8,4NrV/,^TRVprLX.Z:a5f;
+"%Rll`o-lI~>
+nG`TCJ:L&c!!+n)rm2g^"t-IUYVuQ)X'Q!.Wj%C;-o_2,AoM^8!+jR1dEkGbHi:\c7K>nS$6GJ)
+T4Ip$!FX:RhZt>Na4fG.JItfYn.(Bk!#RBi*EYE(M!ur?_Yqgq.3cmkhqcpn!&O[od*T*80sFUW
+9Djk_I5M!eMdn)_OH<$64$>6?VZ+=3PQ4tfIh$o_!,#Rt!+rMOBHI40HMrp,K,5R-T*(L*!)W[0
+!-%o;$;%ecc<h05PUJPRridM]!&B.uR[8I'6)IaZ!!!?M$uiQ1OT8,4NrV/,^TRVprLX.Z:a5f;
+"%Rll`o-lI~>
+nc&]D"9<99E&n.Yg=Y'-cu'%dX'I8YWeq!-Wj&^c1B7DeE7Nk'YsJH5hq6>S5:2*!^M55pG;1.U
+T:]:B!'C6hd/Mo/=9,VThV[38.Gb!m%u_2b82)&d&12YUn7_m/ec*ns>l_2/hZUJ*!$8`Ncil$=
+E$t^)qiCtO!!#hC,lWl/Il@?-Ff55R'rae*>^q6VK)d]SOF\,_E$5s0<&/e!O:$V%!(ENOR"d^g
+T`2\9TE$A?!*Rt0c6j15QRG<%YTQ1=JtA?nOBN$QYct!,:&k8&E3nHO/IQmTE%X,;IfNdPT)is\
+qcEnI!)DJPJ,~>
+nc&]D"9<99E&n.Yg=Y'-cu'%dX'I8YWeq!-Wj&^c1B7DeE7Nk'YsJH5hq6>S5:2*!^M55pG;1.U
+T:]:B!'C6hd/Mo/=9,VThV[38.Gb!m%u_2b82)&d&12YUn7_m/ec*ns>l_2/hZUJ*!$8`Ncil$=
+E$t^)qiCtO!!#hC,lWl/Il@?-Ff55R'rae*>^q6VK)d]SOF\,_E$5s0<&/e!O:$V%!(ENOR"d^g
+T`2\9TE$A?!*Rt0c6j15QRG<%YTQ1=JtA?nOBN$QYct!,:&k8&E3nHO/IQmTE%X,;IfNdPT)is\
+qcEnI!)DJPJ,~>
+nc&]D"9<99E&n.Yg=Y'-cu'%dX'I8YWeq!-Wj&^c1B7DeE7Nk'YsJH5hq6>S5:2*!^M55pG;1.U
+T:]:B!'C6hd/Mo/=9,VThV[38.Gb!m%u_2b82)&d&12YUn7_m/ec*ns>l_2/hZUJ*!$8`Ncil$=
+E$t^)qiCtO!!#hC,lWl/Il@?-Ff55R'rae*>^q6VK)d]SOF\,_E$5s0<&/e!O:$V%!(ENOR"d^g
+T`2\9TE$A?!*Rt0c6j15QRG<%YTQ1=JtA?nOBN$QYct!,:&k8&E3nHO/IQmTE%X,;IfNdPT)is\
+qcEnI!)DJPJ,~>
+oD\uK!!$^<B`$Zf$J#(3&psZZVQd:7!!&h!WET?&Du]m^rSI[0!*]BZ("pqL9>>TLNLpjaN1Z_Q
+!*Sg\QiOr$h\D4Q8^Pi7hi[u^nF3%M0T]]C=9&??rU:)h7Gm"Od#e=6rSI[J!'L/*!&"3M!%7`,
+!,MK4!,VRp![Ri+rP&Z&!*k#'U9HBQBDmo+.KEiV!0PVn*0?8)!,\?nOH;*qJGm4s5QGMj2?3`5
+d_5\]OP`k7E0pV?QMusIIK1,\YQ@2m=T/:.F4/rL!/07eb5_MOr1=%S!"Ae0!)<Cl!0-"<J,~>
+oD\uK!!$^<B`$Zf$J#(3&psZZVQd:7!!&h!WET?&Du]m^rSI[0!*]BZ("pqL9>>TLNLpjaN1Z_Q
+!*Sg\QiOr$h\D4Q8^Pi7hi[u^nF3%M0T]]C=9&??rU:)h7Gm"Od#e=6rSI[J!'L/*!&"3M!%7`,
+!,MK4!,VRp![Ri+rP&Z&!*k#'U9HBQBDmo+.KEiV!0PVn*0?8)!,\?nOH;*qJGm4s5QGMj2?3`5
+d_5\]OP`k7E0pV?QMusIIK1,\YQ@2m=T/:.F4/rL!/07eb5_MOr1=%S!"Ae0!)<Cl!0-"<J,~>
+oD\uK!!$^<B`$Zf$J#(3&psZZVQd:7!!&h!WET?&Du]m^rSI[0!*]BZ("pqL9>>TLNLpjaN1Z_Q
+!*Sg\QiOr$h\D4Q8^Pi7hi[u^nF3%M0T]]C=9&??rU:)h7Gm"Od#e=6rSI[J!'L/*!&"3M!%7`,
+!,MK4!,VRp![Ri+rP&Z&!*k#'U9HBQBDmo+.KEiV!0PVn*0?8)!,\?nOH;*qJGm4s5QGMj2?3`5
+d_5\]OP`k7E0pV?QMusIIK1,\YQ@2m=T/:.F4/rL!/07eb5_MOr1=%S!"Ae0!)<Cl!0-"<J,~>
+p&>?8J-.ZJgiETTg\p"25ldJSh\1/;!!"BK-r?Xd:^/SFhqtXE0%KpX!dY6rrSJ9p6q;-eJ5B'[
+T7I>$GiA/]`"5fEh[d4SN6or&g63t1GYj'T<"/a+!Fsm_n.Ei(P2G*Jd?-fRhnBm,?Psp(rQl*b
+!"hF:!&oC1&HG+H*rl:Wrf@_@>6$)_(3[I-1_+DVWN_p2+8h3#:Ak/&.F>_@;H>@[JX2CZK,5^0
+^B-Y0>lL?)CE!h0d(sC0\)3Q\$<$ha!f&uUr3-i&$=^6DHVXVJRD*&`E%V+j#>fmKT*''W15c%7
+#c.MZYcC\-JApULJ,~>
+p&>?8J-.ZJgiETTg\p"25ldJSh\1/;!!"BK-r?Xd:^/SFhqtXE0%KpX!dY6rrSJ9p6q;-eJ5B'[
+T7I>$GiA/]`"5fEh[d4SN6or&g63t1GYj'T<"/a+!Fsm_n.Ei(P2G*Jd?-fRhnBm,?Psp(rQl*b
+!"hF:!&oC1&HG+H*rl:Wrf@_@>6$)_(3[I-1_+DVWN_p2+8h3#:Ak/&.F>_@;H>@[JX2CZK,5^0
+^B-Y0>lL?)CE!h0d(sC0\)3Q\$<$ha!f&uUr3-i&$=^6DHVXVJRD*&`E%V+j#>fmKT*''W15c%7
+#c.MZYcC\-JApULJ,~>
+p&>?8J-.ZJgiETTg\p"25ldJSh\1/;!!"BK-r?Xd:^/SFhqtXE0%KpX!dY6rrSJ9p6q;-eJ5B'[
+T7I>$GiA/]`"5fEh[d4SN6or&g63t1GYj'T<"/a+!Fsm_n.Ei(P2G*Jd?-fRhnBm,?Psp(rQl*b
+!"hF:!&oC1&HG+H*rl:Wrf@_@>6$)_(3[I-1_+DVWN_p2+8h3#:Ak/&.F>_@;H>@[JX2CZK,5^0
+^B-Y0>lL?)CE!h0d(sC0\)3Q\$<$ha!f&uUr3-i&$=^6DHVXVJRD*&`E%V+j#>fmKT*''W15c%7
+#c.MZYcC\-JApULJ,~>
+p&>'s!,DJi!d=Xrr8.hg!+k&7!!&n#Y[dP1!+5W\!YYRWrSIYk!6P5t!#Y\8!K@`h!!$4"n,X]J
+rSIW!8c6pE+TQeLOC/&VN%\T>!6+p+)D(rrhr!/7.RG]e!5@s'!6G2od*S*Z&O/K4rVupArI5D$
+!,RaM?Ut.s;fEcX/<^&SU].IuMBDeY"EFJB/OKF:!0R9-!i[62rK%&(+oT.WT)]f-T)^hH!!$^3
+!!!]2O9.<?DZ-d@S,dC'YQ./i!"+)!^TRV;%A/ga%K!@19k4.+"/c,!N91(i~>
+p&>'s!,DJi!d=Xrr8.hg!+k&7!!&n#Y[dP1!+5W\!YYRWrSIYk!6P5t!#Y\8!K@`h!!$4"n,X]J
+rSIW!8c6pE+TQeLOC/&VN%\T>!6+p+)D(rrhr!/7.RG]e!5@s'!6G2od*S*Z&O/K4rVupArI5D$
+!,RaM?Ut.s;fEcX/<^&SU].IuMBDeY"EFJB/OKF:!0R9-!i[62rK%&(+oT.WT)]f-T)^hH!!$^3
+!!!]2O9.<?DZ-d@S,dC'YQ./i!"+)!^TRV;%A/ga%K!@19k4.+"/c,!N91(i~>
+p&>'s!,DJi!d=Xrr8.hg!+k&7!!&n#Y[dP1!+5W\!YYRWrSIYk!6P5t!#Y\8!K@`h!!$4"n,X]J
+rSIW!8c6pE+TQeLOC/&VN%\T>!6+p+)D(rrhr!/7.RG]e!5@s'!6G2od*S*Z&O/K4rVupArI5D$
+!,RaM?Ut.s;fEcX/<^&SU].IuMBDeY"EFJB/OKF:!0R9-!i[62rK%&(+oT.WT)]f-T)^hH!!$^3
+!!!]2O9.<?DZ-d@S,dC'YQ./i!"+)!^TRV;%A/ga%K!@19k4.+"/c,!N91(i~>
+p\tE5!WY+.g\p"2G;Q)mh\cb$-s0TPYcqC:,G'Gi-<LI'bLkS,hm!NQrSJ?q$^#d'!(TkOJ-dEG
+Z]bb?=:8ilk5OiO>l_\>hZo5C=Ia%m!#to6,n0iT7K@XoO?NYFQJ_2.!*[M%]knJa!+4@InBG!)
+s8VlX1]T9056E8<0Q?u?#Tj%5ARAdu%Uo?U(h4'V%RlbhY_`?IOH>#a'i0SAa]VAB!(-Zm#9Ek"
+89o@Y;>n62D`*4HT+bN2<5:AAhp3\]X3\Ck=tNT])]&CV"*u.LNr?0gEWA*H$[U?7!.+Xk"d<V3
+8H<?#YQLmP"c<2^"KPK%#0#a)J,~>
+p\tE5!WY+.g\p"2G;Q)mh\cb$-s0TPYcqC:,G'Gi-<LI'bLkS,hm!NQrSJ?q$^#d'!(TkOJ-dEG
+Z]bb?=:8ilk5OiO>l_\>hZo5C=Ia%m!#to6,n0iT7K@XoO?NYFQJ_2.!*[M%]knJa!+4@InBG!)
+s8VlX1]T9056E8<0Q?u?#Tj%5ARAdu%Uo?U(h4'V%RlbhY_`?IOH>#a'i0SAa]VAB!(-Zm#9Ek"
+89o@Y;>n62D`*4HT+bN2<5:AAhp3\]X3\Ck=tNT])]&CV"*u.LNr?0gEWA*H$[U?7!.+Xk"d<V3
+8H<?#YQLmP"c<2^"KPK%#0#a)J,~>
+p\tE5!WY+.g\p"2G;Q)mh\cb$-s0TPYcqC:,G'Gi-<LI'bLkS,hm!NQrSJ?q$^#d'!(TkOJ-dEG
+Z]bb?=:8ilk5OiO>l_\>hZo5C=Ia%m!#to6,n0iT7K@XoO?NYFQJ_2.!*[M%]knJa!+4@InBG!)
+s8VlX1]T9056E8<0Q?u?#Tj%5ARAdu%Uo?U(h4'V%RlbhY_`?IOH>#a'i0SAa]VAB!(-Zm#9Ek"
+89o@Y;>n62D`*4HT+bN2<5:AAhp3\]X3\Ck=tNT])]&CV"*u.LNr?0gEWA*H$[U?7!.+Xk"d<V3
+8H<?#YQLmP"c<2^"KPK%#0#a)J,~>
+p\tsr!&+D>eC`F2hl?lmhqrNpE!64iJ,ZYcM$5,IX(23TYW2]Bd*pY"h@hN4rSJN>3)`XMQ_0mY
+!-#914!AmR63(5Sk4%l.!/UX3*k4`@1db)9CS.5P%3oO!(ke!4Gt8Ac[Fi&h!*X>:rVut,fDY1E
+X!FM@s-t&/1&aB>-O2>ErI4l5!#Y]B!>ldRDu_ru!"2%o=@EdKOH<0:(V]n+#dOG*E&D[N^O?)h
+"&CuYJc<CcIirM)T+l&[7'+a`&@gVa-pt#]d)'I,)`M:+YQLaH$BG(h$@=!XR>*'sZHE5;rQkqn
+?iU0^=C/59V#WIPYQ]@R3A3k@kPp&~>
+p\tsr!&+D>eC`F2hl?lmhqrNpE!64iJ,ZYcM$5,IX(23TYW2]Bd*pY"h@hN4rSJN>3)`XMQ_0mY
+!-#914!AmR63(5Sk4%l.!/UX3*k4`@1db)9CS.5P%3oO!(ke!4Gt8Ac[Fi&h!*X>:rVut,fDY1E
+X!FM@s-t&/1&aB>-O2>ErI4l5!#Y]B!>ldRDu_ru!"2%o=@EdKOH<0:(V]n+#dOG*E&D[N^O?)h
+"&CuYJc<CcIirM)T+l&[7'+a`&@gVa-pt#]d)'I,)`M:+YQLaH$BG(h$@=!XR>*'sZHE5;rQkqn
+?iU0^=C/59V#WIPYQ]@R3A3k@kPp&~>
+p\tsr!&+D>eC`F2hl?lmhqrNpE!64iJ,ZYcM$5,IX(23TYW2]Bd*pY"h@hN4rSJN>3)`XMQ_0mY
+!-#914!AmR63(5Sk4%l.!/UX3*k4`@1db)9CS.5P%3oO!(ke!4Gt8Ac[Fi&h!*X>:rVut,fDY1E
+X!FM@s-t&/1&aB>-O2>ErI4l5!#Y]B!>ldRDu_ru!"2%o=@EdKOH<0:(V]n+#dOG*E&D[N^O?)h
+"&CuYJc<CcIirM)T+l&[7'+a`&@gVa-pt#]d)'I,)`M:+YQLaH$BG(h$@=!XR>*'sZHE5;rQkqn
+?iU0^=C/59V#WIPYQ]@R3A3k@kPp&~>
+q>Uo?!\V1$OTI8^d*QQA48f-i>@>(X3<3!Y>m40(YVuQXricZd#;!sCEG0"lqu@4-3<2QfT:]3l
+UUlm%+f5.A#"&AoBP;Q$qu?jC%NJ</rgs@!0Ya_&0E$t8Gt8AE,Q;Wf'd.1Fd*RpU^\mR*1aM,9
+)upTM56OXu!!%$;Ig06[!(Ts5)uX^^C0V8]I#sFp'G^UT"WIFA(N?h^hZ],dS&ni5rP&K<*Y)!b
+r;Zg,r_N\a!!$!scjdf;=PqFQ*RN0MBI>Q)qZ$jZ=CSM4:B3c]^C[hT(#PQ74f-M`!'7?gITTMH
+!":Sa?*LA."`;W00*R'ns*t~>
+q>Uo?!\V1$OTI8^d*QQA48f-i>@>(X3<3!Y>m40(YVuQXricZd#;!sCEG0"lqu@4-3<2QfT:]3l
+UUlm%+f5.A#"&AoBP;Q$qu?jC%NJ</rgs@!0Ya_&0E$t8Gt8AE,Q;Wf'd.1Fd*RpU^\mR*1aM,9
+)upTM56OXu!!%$;Ig06[!(Ts5)uX^^C0V8]I#sFp'G^UT"WIFA(N?h^hZ],dS&ni5rP&K<*Y)!b
+r;Zg,r_N\a!!$!scjdf;=PqFQ*RN0MBI>Q)qZ$jZ=CSM4:B3c]^C[hT(#PQ74f-M`!'7?gITTMH
+!":Sa?*LA."`;W00*R'ns*t~>
+q>Uo?!\V1$OTI8^d*QQA48f-i>@>(X3<3!Y>m40(YVuQXricZd#;!sCEG0"lqu@4-3<2QfT:]3l
+UUlm%+f5.A#"&AoBP;Q$qu?jC%NJ</rgs@!0Ya_&0E$t8Gt8AE,Q;Wf'd.1Fd*RpU^\mR*1aM,9
+)upTM56OXu!!%$;Ig06[!(Ts5)uX^^C0V8]I#sFp'G^UT"WIFA(N?h^hZ],dS&ni5rP&K<*Y)!b
+r;Zg,r_N\a!!$!scjdf;=PqFQ*RN0MBI>Q)qZ$jZ=CSM4:B3c]^C[hT(#PQ74f-M`!'7?gITTMH
+!":Sa?*LA."`;W00*R'ns*t~>
+q>UL`!0$ol"Z-3jBP7MH!!4if_u@CYPViG>"]MJ+M?YE-rNHDb!+9IHr;ZgMrbr=UR:$@DDh&-o
+[$j'#H2XrL@lFB:rGWA\!,$4XJSmXO?D!jC%=6B&!)rlY$WSn]>>-9)hqs,F]`-7ZYn_ohn.0I<
+a1)*L&O/KRB+l!n=dT,;%W;mY,Wl&cE,]].@7_&6rfA=S'Ipl4WZ)OH(B?sXdbiqL:;+e-EPK8;
+:&m\SBhh29!'C0^"WdXD7&S0+cjYmk\)3Q3G/@D_$A"KA:]MR8!!N^3:B3GDrP&oP0m_`J/k3l3
+#E,gjX/M^aqu?j'=Ao2arm1b60*T;Ys*t~>
+q>UL`!0$ol"Z-3jBP7MH!!4if_u@CYPViG>"]MJ+M?YE-rNHDb!+9IHr;ZgMrbr=UR:$@DDh&-o
+[$j'#H2XrL@lFB:rGWA\!,$4XJSmXO?D!jC%=6B&!)rlY$WSn]>>-9)hqs,F]`-7ZYn_ohn.0I<
+a1)*L&O/KRB+l!n=dT,;%W;mY,Wl&cE,]].@7_&6rfA=S'Ipl4WZ)OH(B?sXdbiqL:;+e-EPK8;
+:&m\SBhh29!'C0^"WdXD7&S0+cjYmk\)3Q3G/@D_$A"KA:]MR8!!N^3:B3GDrP&oP0m_`J/k3l3
+#E,gjX/M^aqu?j'=Ao2arm1b60*T;Ys*t~>
+q>UL`!0$ol"Z-3jBP7MH!!4if_u@CYPViG>"]MJ+M?YE-rNHDb!+9IHr;ZgMrbr=UR:$@DDh&-o
+[$j'#H2XrL@lFB:rGWA\!,$4XJSmXO?D!jC%=6B&!)rlY$WSn]>>-9)hqs,F]`-7ZYn_ohn.0I<
+a1)*L&O/KRB+l!n=dT,;%W;mY,Wl&cE,]].@7_&6rfA=S'Ipl4WZ)OH(B?sXdbiqL:;+e-EPK8;
+:&m\SBhh29!'C0^"WdXD7&S0+cjYmk\)3Q3G/@D_$A"KA:]MR8!!N^3:B3GDrP&oP0m_`J/k3l3
+#E,gjX/M^aqu?j'=Ao2arm1b60*T;Ys*t~>
+qYpU!!5/9F!!N9$!6Y8e!XJeHr6P_j$36s-Y[[Z-qlg24!+(9%rSIVi>Pm:`LB%=S^V:NaS,KPp
+('%:j*Dugn!fm?+rpUN>^E!;4B`P<_cm*dsOC8+h8H.KI.7X<o!@t)HciPZs^ARI#XSr2"&cP!"
+=`aXi-8N>rrdOnir;[($E+<6^8H9q4O;hR-MSHol!-+X'0)tu"^V?0:/)T6lK:DoACn1Hc!AAWq
+YQg9k))_Hp*W<_YX8n==hn]9mAGi&$MuXOjT)alL!!!`2^B[L6K\tZm!"Jds!L*ujT)b2U!!!B*
+ciV5f$L.S@~>
+qYpU!!5/9F!!N9$!6Y8e!XJeHr6P_j$36s-Y[[Z-qlg24!+(9%rSIVi>Pm:`LB%=S^V:NaS,KPp
+('%:j*Dugn!fm?+rpUN>^E!;4B`P<_cm*dsOC8+h8H.KI.7X<o!@t)HciPZs^ARI#XSr2"&cP!"
+=`aXi-8N>rrdOnir;[($E+<6^8H9q4O;hR-MSHol!-+X'0)tu"^V?0:/)T6lK:DoACn1Hc!AAWq
+YQg9k))_Hp*W<_YX8n==hn]9mAGi&$MuXOjT)alL!!!`2^B[L6K\tZm!"Jds!L*ujT)b2U!!!B*
+ciV5f$L.S@~>
+qYpU!!5/9F!!N9$!6Y8e!XJeHr6P_j$36s-Y[[Z-qlg24!+(9%rSIVi>Pm:`LB%=S^V:NaS,KPp
+('%:j*Dugn!fm?+rpUN>^E!;4B`P<_cm*dsOC8+h8H.KI.7X<o!@t)HciPZs^ARI#XSr2"&cP!"
+=`aXi-8N>rrdOnir;[($E+<6^8H9q4O;hR-MSHol!-+X'0)tu"^V?0:/)T6lK:DoACn1Hc!AAWq
+YQg9k))_Hp*W<_YX8n==hn]9mAGi&$MuXOjT)alL!!!`2^B[L6K\tZm!"Jds!L*ujT)b2U!!!B*
+ciV5f$L.S@~>
+r;R5A5lb3*^L8ktD5;2/c2GukTK$K+rm1_?BEn>6!."RJ#@9.cB:]_hf)=J.9E8YRrSIaa$m/;#
+qu@$t2ZR:6hqqE6_>`<nO"6t&n.(@P,=MST!$c/j7K<EnbPpB(@0!RihjXVDrQkTr?e>8G&'c'n
+!"hF[9U'W!H=AFMY5WnS:CmL+).ibR%N,k,OGnR++%<!?OoRLurgs:A!!!f6E!IR(-NF,U8:CGu
+!e_C3ric^'8jT)AP>E5!0`1nR9l=,B>5XuoMuYs<T*prT$!::S!'-I^^O>tZ!A7FNT)rg/1B!gS
+RNi0?;ZHeXU!Ug["iTa,J,~>
+r;R5A5lb3*^L8ktD5;2/c2GukTK$K+rm1_?BEn>6!."RJ#@9.cB:]_hf)=J.9E8YRrSIaa$m/;#
+qu@$t2ZR:6hqqE6_>`<nO"6t&n.(@P,=MST!$c/j7K<EnbPpB(@0!RihjXVDrQkTr?e>8G&'c'n
+!"hF[9U'W!H=AFMY5WnS:CmL+).ibR%N,k,OGnR++%<!?OoRLurgs:A!!!f6E!IR(-NF,U8:CGu
+!e_C3ric^'8jT)AP>E5!0`1nR9l=,B>5XuoMuYs<T*prT$!::S!'-I^^O>tZ!A7FNT)rg/1B!gS
+RNi0?;ZHeXU!Ug["iTa,J,~>
+r;R5A5lb3*^L8ktD5;2/c2GukTK$K+rm1_?BEn>6!."RJ#@9.cB:]_hf)=J.9E8YRrSIaa$m/;#
+qu@$t2ZR:6hqqE6_>`<nO"6t&n.(@P,=MST!$c/j7K<EnbPpB(@0!RihjXVDrQkTr?e>8G&'c'n
+!"hF[9U'W!H=AFMY5WnS:CmL+).ibR%N,k,OGnR++%<!?OoRLurgs:A!!!f6E!IR(-NF,U8:CGu
+!e_C3ric^'8jT)AP>E5!0`1nR9l=,B>5XuoMuYs<T*prT$!::S!'-I^^O>tZ!A7FNT)rg/1B!gS
+RNi0?;ZHeXU!Ug["iTa,J,~>
+r;Q`uqZ$V3rSIY\!6P2d!cS-Hrm1iV!!&=WT*b>o!+5`_"+^FPbl-E#KE00oh[5,=5G+QV!3*`J
+G5_IA_uANqN;rsornd`!<W)=rSH(0iIoHEMd#7rX@/rjthZoPL6.OlM.mO!Z!g<VurpTohr;[6\
+5?XV#!.(90-8N?>rdOnjrVupgra--Q!$[M]E,Zm!MSHeZ!-8%1%501p!1_s(6ia$t49/miO99\,
+!-\@G!]pBrrLX1I!!"2AhZluHnE`gK!+c)$!^$HmrLX.N!,MS<!(Qba"bYC@!!!H,T)qC\$iHUu
+7K?osYQ.Jr!!!>ks*t~>
+r;Q`uqZ$V3rSIY\!6P2d!cS-Hrm1iV!!&=WT*b>o!+5`_"+^FPbl-E#KE00oh[5,=5G+QV!3*`J
+G5_IA_uANqN;rsornd`!<W)=rSH(0iIoHEMd#7rX@/rjthZoPL6.OlM.mO!Z!g<VurpTohr;[6\
+5?XV#!.(90-8N?>rdOnjrVupgra--Q!$[M]E,Zm!MSHeZ!-8%1%501p!1_s(6ia$t49/miO99\,
+!-\@G!]pBrrLX1I!!"2AhZluHnE`gK!+c)$!^$HmrLX.N!,MS<!(Qba"bYC@!!!H,T)qC\$iHUu
+7K?osYQ.Jr!!!>ks*t~>
+r;Q`uqZ$V3rSIY\!6P2d!cS-Hrm1iV!!&=WT*b>o!+5`_"+^FPbl-E#KE00oh[5,=5G+QV!3*`J
+G5_IA_uANqN;rsornd`!<W)=rSH(0iIoHEMd#7rX@/rjthZoPL6.OlM.mO!Z!g<VurpTohr;[6\
+5?XV#!.(90-8N?>rdOnjrVupgra--Q!$[M]E,Zm!MSHeZ!-8%1%501p!1_s(6ia$t49/miO99\,
+!-\@G!]pBrrLX1I!!"2AhZluHnE`gK!+c)$!^$HmrLX.N!,MS<!(Qba"bYC@!!!H,T)qC\$iHUu
+7K?osYQ.Jr!!!>ks*t~>
+rr3>@5qe85@K6C?e_C)\!ic?fr6PXa"CjFl9QU3*$8DOWY_k19!,0a6rndd/!0mH>)mTi'e?TH)
+:m[fH&ll<RFoZHA$S'<UhqtjQ;?#Gr=9+KQnA]\d(3P+!$Ehb&<u?UP<=N0UhqshELt:F:(-hfF
+0X2?^nBHhn/c[:"0gCMeF9$WZT2$9&^Scj:5QEJ[bFDp1!(MopE,]:t>/.S<)']'P&<7Q6d(<3V
+SDVFlE<"O'!'^CD!`KVnricHH*ZG!L'Pe["=TD"%hnT4tnF"^U$A"h-$<d>"")]1fNr?0^ErH%K
+K\t[O!.s+ZE+]AO8cU[GT*(N,"c</]#^cUP$/aJo"N9^-J,~>
+rr3>@5qe85@K6C?e_C)\!ic?fr6PXa"CjFl9QU3*$8DOWY_k19!,0a6rndd/!0mH>)mTi'e?TH)
+:m[fH&ll<RFoZHA$S'<UhqtjQ;?#Gr=9+KQnA]\d(3P+!$Ehb&<u?UP<=N0UhqshELt:F:(-hfF
+0X2?^nBHhn/c[:"0gCMeF9$WZT2$9&^Scj:5QEJ[bFDp1!(MopE,]:t>/.S<)']'P&<7Q6d(<3V
+SDVFlE<"O'!'^CD!`KVnricHH*ZG!L'Pe["=TD"%hnT4tnF"^U$A"h-$<d>"")]1fNr?0^ErH%K
+K\t[O!.s+ZE+]AO8cU[GT*(N,"c</]#^cUP$/aJo"N9^-J,~>
+rr3>@5qe85@K6C?e_C)\!ic?fr6PXa"CjFl9QU3*$8DOWY_k19!,0a6rndd/!0mH>)mTi'e?TH)
+:m[fH&ll<RFoZHA$S'<UhqtjQ;?#Gr=9+KQnA]\d(3P+!$Ehb&<u?UP<=N0UhqshELt:F:(-hfF
+0X2?^nBHhn/c[:"0gCMeF9$WZT2$9&^Scj:5QEJ[bFDp1!(MopE,]:t>/.S<)']'P&<7Q6d(<3V
+SDVFlE<"O'!'^CD!`KVnricHH*ZG!L'Pe["=TD"%hnT4tnF"^U$A"h-$<d>"")]1fNr?0^ErH%K
+K\t[O!.s+ZE+]AO8cU[GT*(N,"c</]#^cUP$/aJo"N9^-J,~>
+rr3Q2!56.^!ru^/AC/]ThqnY=@JnIRE<&Q-T+VG1VQd:7!!$+$=jYOHhqo%Hbl$?#(!.5PrLX*&
+9)cR7(''i.YSI5Hf&,@+!5STk#*;gRn0A!LrdP+e7aTL,!&+>5%:T<(e_f765g\'=/-)RGclt!S
+=+=ESHm:@1=eD=.!.(90FT@Q=^TW,o!+5djs8PFd@f:6M<re,bY_jY'T)gR.rQl'>/Do?l!&4HQ
+;#k'eG5r`aYQC!g)Z?99L&`@Cd'3Qnhqq6RrU9s;!)NZ*r1=!Q'E#'A7K@J2!#=DKb5`4RhZ@-b
+>Pt)p7K?oqYR4/+EF/]khq%i.M!k:n~>
+rr3Q2!56.^!ru^/AC/]ThqnY=@JnIRE<&Q-T+VG1VQd:7!!$+$=jYOHhqo%Hbl$?#(!.5PrLX*&
+9)cR7(''i.YSI5Hf&,@+!5STk#*;gRn0A!LrdP+e7aTL,!&+>5%:T<(e_f765g\'=/-)RGclt!S
+=+=ESHm:@1=eD=.!.(90FT@Q=^TW,o!+5djs8PFd@f:6M<re,bY_jY'T)gR.rQl'>/Do?l!&4HQ
+;#k'eG5r`aYQC!g)Z?99L&`@Cd'3Qnhqq6RrU9s;!)NZ*r1=!Q'E#'A7K@J2!#=DKb5`4RhZ@-b
+>Pt)p7K?oqYR4/+EF/]khq%i.M!k:n~>
+rr3Q2!56.^!ru^/AC/]ThqnY=@JnIRE<&Q-T+VG1VQd:7!!$+$=jYOHhqo%Hbl$?#(!.5PrLX*&
+9)cR7(''i.YSI5Hf&,@+!5STk#*;gRn0A!LrdP+e7aTL,!&+>5%:T<(e_f765g\'=/-)RGclt!S
+=+=ESHm:@1=eD=.!.(90FT@Q=^TW,o!+5djs8PFd@f:6M<re,bY_jY'T)gR.rQl'>/Do?l!&4HQ
+;#k'eG5r`aYQC!g)Z?99L&`@Cd'3Qnhqq6RrU9s;!)NZ*r1=!Q'E#'A7K@J2!#=DKb5`4RhZ@-b
+>Pt)p7K?oqYR4/+EF/]khq%i.M!k:n~>
+%KF3D09<l0!A;+$@00s<cm7,n3rkX]2uiq0?j$IJT:[e;HEaW2"t$@S?3Vt%d*U7o8nP"!DupD<
+Qi<T^@/tVgRQD^=ricrp$R^t`f\TY:cemWi&1U4OrdP/e.KHWuMZ?]RO:3$-+`<HP!3"8qRK.C-
+cjG1lEdqp9/R]5GErM[3,qJte!fB'JrkAf<G7ZEh+.iMkWIt1h$s!@d\?Lei8tT]l(G#F1%Yl-$
+^#+5TfDkm7J5$#:rNH?9!,DM*")AiDXT$QU8eAJhQm`NanF5C]/IMGQ"+b"`D#LRVEWAJA^U>Ks
+Z/;-*$*`<YB)jP.!!Q2!70SPGYRIT]51%Ma"E`PU1^(_bs*t~>
+%KF3D09<l0!A;+$@00s<cm7,n3rkX]2uiq0?j$IJT:[e;HEaW2"t$@S?3Vt%d*U7o8nP"!DupD<
+Qi<T^@/tVgRQD^=ricrp$R^t`f\TY:cemWi&1U4OrdP/e.KHWuMZ?]RO:3$-+`<HP!3"8qRK.C-
+cjG1lEdqp9/R]5GErM[3,qJte!fB'JrkAf<G7ZEh+.iMkWIt1h$s!@d\?Lei8tT]l(G#F1%Yl-$
+^#+5TfDkm7J5$#:rNH?9!,DM*")AiDXT$QU8eAJhQm`NanF5C]/IMGQ"+b"`D#LRVEWAJA^U>Ks
+Z/;-*$*`<YB)jP.!!Q2!70SPGYRIT]51%Ma"E`PU1^(_bs*t~>
+%KF3D09<l0!A;+$@00s<cm7,n3rkX]2uiq0?j$IJT:[e;HEaW2"t$@S?3Vt%d*U7o8nP"!DupD<
+Qi<T^@/tVgRQD^=ricrp$R^t`f\TY:cemWi&1U4OrdP/e.KHWuMZ?]RO:3$-+`<HP!3"8qRK.C-
+cjG1lEdqp9/R]5GErM[3,qJte!fB'JrkAf<G7ZEh+.iMkWIt1h$s!@d\?Lei8tT]l(G#F1%Yl-$
+^#+5TfDkm7J5$#:rNH?9!,DM*")AiDXT$QU8eAJhQm`NanF5C]/IMGQ"+b"`D#LRVEWAJA^U>Ks
+Z/;-*$*`<YB)jP.!!Q2!70SPGYRIT]51%Ma"E`PU1^(_bs*t~>
+#ld.sO2$c2!0-um*&KFrd*SCu2ZPZ7/7;kD^LT/H:n%biX0@F9-@Yru#rr!Ed*SV&5l`nC!"C:^
+!(WBJJ1pu'^IA3Ar3-GB!%)AmDFX\7rbqrN!&f!!Ig8pQ=23*`4G<Zp!EBU.!#?f5!*$VX[n]-6
+d'6,^It(Z=Ag7UAMZ04K,qJqd!Hp3r^BKZ@0;o^Orr3V47<!3,(8%n:>l\;0(B=FNBX.N_#'0d6
+hmEH&rVlps!'C-]!Z_7ur_NY8&?PiW%?2Z)\)3#BR.0U1!")3o!"(G&!&e;jY^7TTRJsrKI/lU=
+hin+,E%_DlI<&.V!!OSN=BLEaYcC_'EmW1W0EeH6UMN?9nGe"~>
+#ld.sO2$c2!0-um*&KFrd*SCu2ZPZ7/7;kD^LT/H:n%biX0@F9-@Yru#rr!Ed*SV&5l`nC!"C:^
+!(WBJJ1pu'^IA3Ar3-GB!%)AmDFX\7rbqrN!&f!!Ig8pQ=23*`4G<Zp!EBU.!#?f5!*$VX[n]-6
+d'6,^It(Z=Ag7UAMZ04K,qJqd!Hp3r^BKZ@0;o^Orr3V47<!3,(8%n:>l\;0(B=FNBX.N_#'0d6
+hmEH&rVlps!'C-]!Z_7ur_NY8&?PiW%?2Z)\)3#BR.0U1!")3o!"(G&!&e;jY^7TTRJsrKI/lU=
+hin+,E%_DlI<&.V!!OSN=BLEaYcC_'EmW1W0EeH6UMN?9nGe"~>
+#ld.sO2$c2!0-um*&KFrd*SCu2ZPZ7/7;kD^LT/H:n%biX0@F9-@Yru#rr!Ed*SV&5l`nC!"C:^
+!(WBJJ1pu'^IA3Ar3-GB!%)AmDFX\7rbqrN!&f!!Ig8pQ=23*`4G<Zp!EBU.!#?f5!*$VX[n]-6
+d'6,^It(Z=Ag7UAMZ04K,qJqd!Hp3r^BKZ@0;o^Orr3V47<!3,(8%n:>l\;0(B=FNBX.N_#'0d6
+hmEH&rVlps!'C-]!Z_7ur_NY8&?PiW%?2Z)\)3#BR.0U1!")3o!"(G&!&e;jY^7TTRJsrKI/lU=
+hin+,E%_DlI<&.V!!OSN=BLEaYcC_'EmW1W0EeH6UMN?9nGe"~>
+!<=hQ?ig?^^AYeH2#RCSAc??E">%1^^B9]X!%7bJ!X0pNrNH<[1]@@S/,j2a#qO'Crl>G??j[u.
+@'uF2,'s6m#*2jo!&st9rnecH&1+s(Rog+85]pcJ7aS7L(ke!4Gt8AiE6FXL+@uJ3##o8N(*?(f
+rdP,U!*+jf+-cbs!d#/grLX.K/9q0/#IdbG09H6@hZ!NuYDiMr=BHC?!'`mP%srjB'O[o]aNZpb
+L#:$7QiE0J0ie47!e_C2ricT?!&PVp5&^GA$GIet\)5OmBE/Bjr1=.O!&7;H8,`Jh$CUh,#du)f
+E,]Ch!&XSF!c7ohr_NS>r;ZjYU&NC?b[^kUDuhd#nGe"~>
+!<=hQ?ig?^^AYeH2#RCSAc??E">%1^^B9]X!%7bJ!X0pNrNH<[1]@@S/,j2a#qO'Crl>G??j[u.
+@'uF2,'s6m#*2jo!&st9rnecH&1+s(Rog+85]pcJ7aS7L(ke!4Gt8AiE6FXL+@uJ3##o8N(*?(f
+rdP,U!*+jf+-cbs!d#/grLX.K/9q0/#IdbG09H6@hZ!NuYDiMr=BHC?!'`mP%srjB'O[o]aNZpb
+L#:$7QiE0J0ie47!e_C2ricT?!&PVp5&^GA$GIet\)5OmBE/Bjr1=.O!&7;H8,`Jh$CUh,#du)f
+E,]Ch!&XSF!c7ohr_NS>r;ZjYU&NC?b[^kUDuhd#nGe"~>
+!<=hQ?ig?^^AYeH2#RCSAc??E">%1^^B9]X!%7bJ!X0pNrNH<[1]@@S/,j2a#qO'Crl>G??j[u.
+@'uF2,'s6m#*2jo!&st9rnecH&1+s(Rog+85]pcJ7aS7L(ke!4Gt8AiE6FXL+@uJ3##o8N(*?(f
+rdP,U!*+jf+-cbs!d#/grLX.K/9q0/#IdbG09H6@hZ!NuYDiMr=BHC?!'`mP%srjB'O[o]aNZpb
+L#:$7QiE0J0ie47!e_C2ricT?!&PVp5&^GA$GIet\)5OmBE/Bjr1=.O!&7;H8,`Jh$CUh,#du)f
+E,]Ch!&XSF!c7ohr_NS>r;ZjYU&NC?b[^kUDuhd#nGe"~>
+!J!H6!!$=(^B0O*!r`0#A^15$!]pC<qnE5D2#o'(!!+HrrNH</1B%7S0:;ac!_*0Hr6Q/!E^(mY
+?oe93=F.2]2ZP=HVa`,&rneo$!4'to^i`$F2C\\OBLMn<877NB!!%N+hn0[HS7iT:@9!4+!Aecq
+Ig%nMNcG,!rLX+4/,Pq>-8GJ6#,`k&W(6p$rr4+8@K6BW3"Qa*KLGl.OH<a.!*6j^AKUsfE,[$=
+J1*-trK%(Z!(m0o'0H_WCE!6`DSLa6,lgGSE%)/k>5XutQ:<TZT:_E>rW!![@%$u.!)ELn!sr?8
+2#NsJRN_o_rgsF:9)o,p!'-bPciM?ErVuseKCJnk~>
+!J!H6!!$=(^B0O*!r`0#A^15$!]pC<qnE5D2#o'(!!+HrrNH</1B%7S0:;ac!_*0Hr6Q/!E^(mY
+?oe93=F.2]2ZP=HVa`,&rneo$!4'to^i`$F2C\\OBLMn<877NB!!%N+hn0[HS7iT:@9!4+!Aecq
+Ig%nMNcG,!rLX+4/,Pq>-8GJ6#,`k&W(6p$rr4+8@K6BW3"Qa*KLGl.OH<a.!*6j^AKUsfE,[$=
+J1*-trK%(Z!(m0o'0H_WCE!6`DSLa6,lgGSE%)/k>5XutQ:<TZT:_E>rW!![@%$u.!)ELn!sr?8
+2#NsJRN_o_rgsF:9)o,p!'-bPciM?ErVuseKCJnk~>
+!J!H6!!$=(^B0O*!r`0#A^15$!]pC<qnE5D2#o'(!!+HrrNH</1B%7S0:;ac!_*0Hr6Q/!E^(mY
+?oe93=F.2]2ZP=HVa`,&rneo$!4'to^i`$F2C\\OBLMn<877NB!!%N+hn0[HS7iT:@9!4+!Aecq
+Ig%nMNcG,!rLX+4/,Pq>-8GJ6#,`k&W(6p$rr4+8@K6BW3"Qa*KLGl.OH<a.!*6j^AKUsfE,[$=
+J1*-trK%(Z!(m0o'0H_WCE!6`DSLa6,lgGSE%)/k>5XutQ:<TZT:_E>rW!![@%$u.!)ELn!sr?8
+2#NsJRN_o_rgsF:9)o,p!'-bPciM?ErVuseKCJnk~>
+rVlkKrW!8;!rr=:hfSo!b5KZgDua#=^B/*L8,f+\$2so9V6C@.!+4X@JR76kdEp6e<Vt,HI/lL(
+T+^u#!5ncm!?G&:hZAi=9)Hs8M#IATC)-UG!(d%F'q#%fd*O2WnF3@V!%!,E)ZVI1!!%EFT)j$a
+qk!m91&Sd#0E@,q!'UA^_uKd8E,\kYJ$:[.BDdhkF8>k:Gl7UB@f2;h0*$1pYQC!g)?-6.L\UoR
+Q-`2)!+c#"!^$HlrLXB['<n]1!!!YHXo/5'MU9_b!"Ak!!gEZmqk":_!+E+9:]LgKa8c2Hm/MS~>
+rVlkKrW!8;!rr=:hfSo!b5KZgDua#=^B/*L8,f+\$2so9V6C@.!+4X@JR76kdEp6e<Vt,HI/lL(
+T+^u#!5ncm!?G&:hZAi=9)Hs8M#IATC)-UG!(d%F'q#%fd*O2WnF3@V!%!,E)ZVI1!!%EFT)j$a
+qk!m91&Sd#0E@,q!'UA^_uKd8E,\kYJ$:[.BDdhkF8>k:Gl7UB@f2;h0*$1pYQC!g)?-6.L\UoR
+Q-`2)!+c#"!^$HlrLXB['<n]1!!!YHXo/5'MU9_b!"Ak!!gEZmqk":_!+E+9:]LgKa8c2Hm/MS~>
+rVlkKrW!8;!rr=:hfSo!b5KZgDua#=^B/*L8,f+\$2so9V6C@.!+4X@JR76kdEp6e<Vt,HI/lL(
+T+^u#!5ncm!?G&:hZAi=9)Hs8M#IATC)-UG!(d%F'q#%fd*O2WnF3@V!%!,E)ZVI1!!%EFT)j$a
+qk!m91&Sd#0E@,q!'UA^_uKd8E,\kYJ$:[.BDdhkF8>k:Gl7UB@f2;h0*$1pYQC!g)?-6.L\UoR
+Q-`2)!+c#"!^$HlrLXB['<n]1!!!YHXo/5'MU9_b!"Ak!!gEZmqk":_!+E+9:]LgKa8c2Hm/MS~>
+r;Qu:J,oX^Dr(EM!ic?3r6P[2!*m.N3<4!sT*YfOX,0p_!!$]arSJS-0@o%5e>3I$`mE)0$6W03
+J-dO/^V<5<!$lI(rneMl!+=12hmX.C_9gQ1&-*JGInD<-d*RaN!"<,HceRF8]G2R%>QBKVn.1X!
+1(=3`)uosS:lV)h!.+O7&9\&8^V=t0!!#M[!$6YD3(<db"Wp!rSL@S<O9&WIrW!P/nF5+>0(>ES
++Ur^YOFoXq9)c$rP5moIT,!PX!!#d5nD>`-M!!&2$A"hAPsu'_rgs:Y7gWW'YS=!;,6/*r^Z@3X
+K(%W\!%q9DC^#7bT*'-Z"c<5_"b9PP"b=PWs*t~>
+r;Qu:J,oX^Dr(EM!ic?3r6P[2!*m.N3<4!sT*YfOX,0p_!!$]arSJS-0@o%5e>3I$`mE)0$6W03
+J-dO/^V<5<!$lI(rneMl!+=12hmX.C_9gQ1&-*JGInD<-d*RaN!"<,HceRF8]G2R%>QBKVn.1X!
+1(=3`)uosS:lV)h!.+O7&9\&8^V=t0!!#M[!$6YD3(<db"Wp!rSL@S<O9&WIrW!P/nF5+>0(>ES
++Ur^YOFoXq9)c$rP5moIT,!PX!!#d5nD>`-M!!&2$A"hAPsu'_rgs:Y7gWW'YS=!;,6/*r^Z@3X
+K(%W\!%q9DC^#7bT*'-Z"c<5_"b9PP"b=PWs*t~>
+r;Qu:J,oX^Dr(EM!ic?3r6P[2!*m.N3<4!sT*YfOX,0p_!!$]arSJS-0@o%5e>3I$`mE)0$6W03
+J-dO/^V<5<!$lI(rneMl!+=12hmX.C_9gQ1&-*JGInD<-d*RaN!"<,HceRF8]G2R%>QBKVn.1X!
+1(=3`)uosS:lV)h!.+O7&9\&8^V=t0!!#M[!$6YD3(<db"Wp!rSL@S<O9&WIrW!P/nF5+>0(>ES
++Ur^YOFoXq9)c$rP5moIT,!PX!!#d5nD>`-M!!&2$A"hAPsu'_rgs:Y7gWW'YS=!;,6/*r^Z@3X
+K(%W\!%q9DC^#7bT*'-Z"c<5_"b9PP"b=PWs*t~>
+q>UPL!6rmhhZ<u^b5BThDu`rG8H#.a=9,5&Y[dY4!En:XhZJE0!6kH"*.._d][.AnO.W%Q!33fE
+YSB9m@fT$6bMV3;!5STk%$1H\d*Nm8CO^h5!(Qt7&0h0h<WE,j^V@nJRK0;5.7sF+%5Io+E#8Rp
+BE0TUF9$XaT+6#EOM<FK!2lbJ^G5ch;Z(J;+"+:L!$D0$$n;5W1%;sYVss2m!%n3>####+O=pTW
+rNH;a)Z?942ZNiJblB!fn-`:tR.0TJ!+_]a!+Yu"!f[1qr3-/krVup6rpTr!'`IM$B)Vc1$iHUu
+Q2h9hYQ@W$MWt.k~>
+q>UPL!6rmhhZ<u^b5BThDu`rG8H#.a=9,5&Y[dY4!En:XhZJE0!6kH"*.._d][.AnO.W%Q!33fE
+YSB9m@fT$6bMV3;!5STk%$1H\d*Nm8CO^h5!(Qt7&0h0h<WE,j^V@nJRK0;5.7sF+%5Io+E#8Rp
+BE0TUF9$XaT+6#EOM<FK!2lbJ^G5ch;Z(J;+"+:L!$D0$$n;5W1%;sYVss2m!%n3>####+O=pTW
+rNH;a)Z?942ZNiJblB!fn-`:tR.0TJ!+_]a!+Yu"!f[1qr3-/krVup6rpTr!'`IM$B)Vc1$iHUu
+Q2h9hYQ@W$MWt.k~>
+q>UPL!6rmhhZ<u^b5BThDu`rG8H#.a=9,5&Y[dY4!En:XhZJE0!6kH"*.._d][.AnO.W%Q!33fE
+YSB9m@fT$6bMV3;!5STk%$1H\d*Nm8CO^h5!(Qt7&0h0h<WE,j^V@nJRK0;5.7sF+%5Io+E#8Rp
+BE0TUF9$XaT+6#EOM<FK!2lbJ^G5ch;Z(J;+"+:L!$D0$$n;5W1%;sYVss2m!%n3>####+O=pTW
+rNH;a)Z?942ZNiJblB!fn-`:tR.0TJ!+_]a!+Yu"!f[1qr3-/krVup6rpTr!'`IM$B)Vc1$iHUu
+Q2h9hYQ@W$MWt.k~>
+q>Ui=!]&'Jd+?q-4oglIcin6!BEV"urgsj'"B2A"=o`E3<<cmQe(EF4JcM&6hZU6(2,\AlT+j9c
+<O0,q2BHb.T32M"ZbOK*D`,o@hZUG[,Xti6IgBa<!3X\nE=aW!If_M.*rTI`63(,$'I;?#nBDg^
+C3!\j.?KWn1]RLkNV]7IG5_IKDr9Hj1j?^5)%B%6E!9;C;fETcr^[>U!#^%+nF5'UC]<f)L)8&4
+n-#=m%9$p=YQLR>%:&n)!aYk8rpU.m&]O8/cN%5Ln-#S/7P\-FT*&sQ$BG(h$ZZ5<d"q`h[d;cL
+;#TkdU&YBo<W8TmE[*;qrNHC*-j>=gs*t~>
+q>Ui=!]&'Jd+?q-4oglIcin6!BEV"urgsj'"B2A"=o`E3<<cmQe(EF4JcM&6hZU6(2,\AlT+j9c
+<O0,q2BHb.T32M"ZbOK*D`,o@hZUG[,Xti6IgBa<!3X\nE=aW!If_M.*rTI`63(,$'I;?#nBDg^
+C3!\j.?KWn1]RLkNV]7IG5_IKDr9Hj1j?^5)%B%6E!9;C;fETcr^[>U!#^%+nF5'UC]<f)L)8&4
+n-#=m%9$p=YQLR>%:&n)!aYk8rpU.m&]O8/cN%5Ln-#S/7P\-FT*&sQ$BG(h$ZZ5<d"q`h[d;cL
+;#TkdU&YBo<W8TmE[*;qrNHC*-j>=gs*t~>
+q>Ui=!]&'Jd+?q-4oglIcin6!BEV"urgsj'"B2A"=o`E3<<cmQe(EF4JcM&6hZU6(2,\AlT+j9c
+<O0,q2BHb.T32M"ZbOK*D`,o@hZUG[,Xti6IgBa<!3X\nE=aW!If_M.*rTI`63(,$'I;?#nBDg^
+C3!\j.?KWn1]RLkNV]7IG5_IKDr9Hj1j?^5)%B%6E!9;C;fETcr^[>U!#^%+nF5'UC]<f)L)8&4
+n-#=m%9$p=YQLR>%:&n)!aYk8rpU.m&]O8/cN%5Ln-#S/7P\-FT*&sQ$BG(h$ZZ5<d"q`h[d;cL
+;#TkdU&YBo<W8TmE[*;qrNHC*-j>=gs*t~>
+q#:GI!bTaWcj\O$"#60ZBES;80E?(kT+qVZX/M[H,FY6s1B:gId*pXK#qjc5rGW2R8=,s@J-[I(
+[BMmrAc85&49/=Y?i^^ErGVj0!&f!!IgB!R=22kr+;IlTIfNOK!!"8CE"<Z`<(R)*nF18p4`G@:
+'O:X!"+2p*/,>e?FoWM$_uAO'3A/(]Go7'"E+:C`PUmLI=9KKA!#a&[n,Z'5rpU!+!,;E$!lY.$
+rE'+m!"Jm'!ZOqTrpU2f.o""Pi+N[XrpTuT!&FOM"G*1.$=`t<'mh/hVU3=i!))D4D@2!bn>e>s
++ohfG:]_jFM>XRZVuTKRs*t~>
+q#:GI!bTaWcj\O$"#60ZBES;80E?(kT+qVZX/M[H,FY6s1B:gId*pXK#qjc5rGW2R8=,s@J-[I(
+[BMmrAc85&49/=Y?i^^ErGVj0!&f!!IgB!R=22kr+;IlTIfNOK!!"8CE"<Z`<(R)*nF18p4`G@:
+'O:X!"+2p*/,>e?FoWM$_uAO'3A/(]Go7'"E+:C`PUmLI=9KKA!#a&[n,Z'5rpU!+!,;E$!lY.$
+rE'+m!"Jm'!ZOqTrpU2f.o""Pi+N[XrpTuT!&FOM"G*1.$=`t<'mh/hVU3=i!))D4D@2!bn>e>s
++ohfG:]_jFM>XRZVuTKRs*t~>
+q#:GI!bTaWcj\O$"#60ZBES;80E?(kT+qVZX/M[H,FY6s1B:gId*pXK#qjc5rGW2R8=,s@J-[I(
+[BMmrAc85&49/=Y?i^^ErGVj0!&f!!IgB!R=22kr+;IlTIfNOK!!"8CE"<Z`<(R)*nF18p4`G@:
+'O:X!"+2p*/,>e?FoWM$_uAO'3A/(]Go7'"E+:C`PUmLI=9KKA!#a&[n,Z'5rpU!+!,;E$!lY.$
+rE'+m!"Jm'!ZOqTrpU2f.o""Pi+N[XrpTuT!&FOM"G*1.$=`t<'mh/hVU3=i!))D4D@2!bn>e>s
++ohfG:]_jFM>XRZVuTKRs*t~>
+p\t<2!bVFF!!E0"!b>u[rkAhO"=/1B!1TU."XA'eT*1oi"or<7E!/H,?YF$M?jd8`:j4U8[BQlE
+$9e?[2d$Jd$n9Q\hi7\dc,di<SdlNYIt&.W^W+$=!(q`jLJJ;$OEh9[P2G/,<+niKGSi#CE,]25
+:&U.VN*QD`M#4CZK)blk_u8HoE<)!t^CdFm732Fc2unH4?2st<ha(8erU9hZVuH0%_\S:%g*R8"
+H'+J^C)T@0^T^N7/-'#9rpU!H.jFu^#F#4Ui@PC>D>d94*rn4t=99]I(&ZDcP;TW&i0aqZDZDTl
+TDr!n-iO)G"oVO)-q;2=s*t~>
+p\t<2!bVFF!!E0"!b>u[rkAhO"=/1B!1TU."XA'eT*1oi"or<7E!/H,?YF$M?jd8`:j4U8[BQlE
+$9e?[2d$Jd$n9Q\hi7\dc,di<SdlNYIt&.W^W+$=!(q`jLJJ;$OEh9[P2G/,<+niKGSi#CE,]25
+:&U.VN*QD`M#4CZK)blk_u8HoE<)!t^CdFm732Fc2unH4?2st<ha(8erU9hZVuH0%_\S:%g*R8"
+H'+J^C)T@0^T^N7/-'#9rpU!H.jFu^#F#4Ui@PC>D>d94*rn4t=99]I(&ZDcP;TW&i0aqZDZDTl
+TDr!n-iO)G"oVO)-q;2=s*t~>
+p\t<2!bVFF!!E0"!b>u[rkAhO"=/1B!1TU."XA'eT*1oi"or<7E!/H,?YF$M?jd8`:j4U8[BQlE
+$9e?[2d$Jd$n9Q\hi7\dc,di<SdlNYIt&.W^W+$=!(q`jLJJ;$OEh9[P2G/,<+niKGSi#CE,]25
+:&U.VN*QD`M#4CZK)blk_u8HoE<)!t^CdFm732Fc2unH4?2st<ha(8erU9hZVuH0%_\S:%g*R8"
+H'+J^C)T@0^T^N7/-'#9rpU!H.jFu^#F#4Ui@PC>D>d94*rn4t=99]I(&ZDcP;TW&i0aqZDZDTl
+TDr!n-iO)G"oVO)-q;2=s*t~>
+pAY*rr;Zh7rbqs%Q-dbSa:l<K!%9*hS"DD8D4dT%W.bF,4I5s'"G-W2d*;R2$YftJ-mPXoY`9&4
+DZ67`JI3[/8-"P)hmX+BNR5qk`GQ2EF_NFcahYYf!,6q<T-"l%OH<Ht,EgrR!->C[!%hd]Duri9
+EW(t%E%(be>PkW.<rb,kU>>h+"/u8jVZ+=AGuc%Y8/+=USJ`8`^Ya;:D>irSKiH7bnC]*=n;%'.
+OdMQ/OW"e'^V=ag3eSOcHJmfPn5^.?nF5@\G\I.?r1=(/+#]/YYQT:t!",V$cj<`=Z/=,F49.!_
+rhp('Y^RrS=BJN#!!*;Ck5Tr~>
+pAY*rr;Zh7rbqs%Q-dbSa:l<K!%9*hS"DD8D4dT%W.bF,4I5s'"G-W2d*;R2$YftJ-mPXoY`9&4
+DZ67`JI3[/8-"P)hmX+BNR5qk`GQ2EF_NFcahYYf!,6q<T-"l%OH<Ht,EgrR!->C[!%hd]Duri9
+EW(t%E%(be>PkW.<rb,kU>>h+"/u8jVZ+=AGuc%Y8/+=USJ`8`^Ya;:D>irSKiH7bnC]*=n;%'.
+OdMQ/OW"e'^V=ag3eSOcHJmfPn5^.?nF5@\G\I.?r1=(/+#]/YYQT:t!",V$cj<`=Z/=,F49.!_
+rhp('Y^RrS=BJN#!!*;Ck5Tr~>
+pAY*rr;Zh7rbqs%Q-dbSa:l<K!%9*hS"DD8D4dT%W.bF,4I5s'"G-W2d*;R2$YftJ-mPXoY`9&4
+DZ67`JI3[/8-"P)hmX+BNR5qk`GQ2EF_NFcahYYf!,6q<T-"l%OH<Ht,EgrR!->C[!%hd]Duri9
+EW(t%E%(be>PkW.<rb,kU>>h+"/u8jVZ+=AGuc%Y8/+=USJ`8`^Ya;:D>irSKiH7bnC]*=n;%'.
+OdMQ/OW"e'^V=ag3eSOcHJmfPn5^.?nF5@\G\I.?r1=(/+#]/YYQT:t!",V$cj<`=Z/=,F49.!_
+rhp('Y^RrS=BJN#!!*;Ck5Tr~>
+p&>(^!2BDK"02PYbl,lhTfN)P"="$sUT=Bu#@7UCaJ9(pf)FP/GmZ(BrQkRc$N:#.,$51BQN!K^
+3ri6d^V?9J;?#GS<rfQ)cigF`6i_6+^Be`hC581;3ri1VO9up,!*X=W5L?Z%8H*Q/(b,HG#Cg\M
+&TM(nE;d!MR4)7#8-#12g#(\d!+#T=$$8^cJ.r]")#uAghZAl_1&gYDfHb83n-"LH!&fT0T*JU$
+JA8k'+<:Bb$>BK=d*U5!MuZRcrW!!,:kAV<"-uCV5lInlSH(jXEWA:Drm1tl.g^/J!!!7+MZ0g^
+W_rgUr3-:$!(Orhs*t~>
+p&>(^!2BDK"02PYbl,lhTfN)P"="$sUT=Bu#@7UCaJ9(pf)FP/GmZ(BrQkRc$N:#.,$51BQN!K^
+3ri6d^V?9J;?#GS<rfQ)cigF`6i_6+^Be`hC581;3ri1VO9up,!*X=W5L?Z%8H*Q/(b,HG#Cg\M
+&TM(nE;d!MR4)7#8-#12g#(\d!+#T=$$8^cJ.r]")#uAghZAl_1&gYDfHb83n-"LH!&fT0T*JU$
+JA8k'+<:Bb$>BK=d*U5!MuZRcrW!!,:kAV<"-uCV5lInlSH(jXEWA:Drm1tl.g^/J!!!7+MZ0g^
+W_rgUr3-:$!(Orhs*t~>
+p&>(^!2BDK"02PYbl,lhTfN)P"="$sUT=Bu#@7UCaJ9(pf)FP/GmZ(BrQkRc$N:#.,$51BQN!K^
+3ri6d^V?9J;?#GS<rfQ)cigF`6i_6+^Be`hC581;3ri1VO9up,!*X=W5L?Z%8H*Q/(b,HG#Cg\M
+&TM(nE;d!MR4)7#8-#12g#(\d!+#T=$$8^cJ.r]")#uAghZAl_1&gYDfHb83n-"LH!&fT0T*JU$
+JA8k'+<:Bb$>BK=d*U5!MuZRcrW!!,:kAV<"-uCV5lInlSH(jXEWA:Drm1tl.g^/J!!!7+MZ0g^
+W_rgUr3-:$!(Orhs*t~>
+p&>-26T(\;hZ?%CPlB#ED)hSq=BI9X-WmFRMHC'7ajAC&!6tK"!_WNMrm1af$33Tq:^IF.7o4)q
+JI3[/rP&S/.F?u0NrXY,cjt@h!)R(-^E=85S$7):4+mNo*0#%M)%Q^N(*C08I3rKD6jtN+Mh#ng
+)'aWK%kmpd'q%?6OH=8YB[G2\ho$Ne^StUJOFT=i!!=$7(l/%H!^[aJrpU1b0(@P=@K6Bsr1=70
+)F0q0Y>>^@rics/9+Q6nd#DH6%VT?[?rI%frgs:O!&fl:YSF'3!,Aa9=<e0Md*Rt,!!#/q?iU0e
+ricKL!&BE/YQB.U`T7&L~>
+p&>-26T(\;hZ?%CPlB#ED)hSq=BI9X-WmFRMHC'7ajAC&!6tK"!_WNMrm1af$33Tq:^IF.7o4)q
+JI3[/rP&S/.F?u0NrXY,cjt@h!)R(-^E=85S$7):4+mNo*0#%M)%Q^N(*C08I3rKD6jtN+Mh#ng
+)'aWK%kmpd'q%?6OH=8YB[G2\ho$Ne^StUJOFT=i!!=$7(l/%H!^[aJrpU1b0(@P=@K6Bsr1=70
+)F0q0Y>>^@rics/9+Q6nd#DH6%VT?[?rI%frgs:O!&fl:YSF'3!,Aa9=<e0Md*Rt,!!#/q?iU0e
+ricKL!&BE/YQB.U`T7&L~>
+p&>-26T(\;hZ?%CPlB#ED)hSq=BI9X-WmFRMHC'7ajAC&!6tK"!_WNMrm1af$33Tq:^IF.7o4)q
+JI3[/rP&S/.F?u0NrXY,cjt@h!)R(-^E=85S$7):4+mNo*0#%M)%Q^N(*C08I3rKD6jtN+Mh#ng
+)'aWK%kmpd'q%?6OH=8YB[G2\ho$Ne^StUJOFT=i!!=$7(l/%H!^[aJrpU1b0(@P=@K6Bsr1=70
+)F0q0Y>>^@rics/9+Q6nd#DH6%VT?[?rI%frgs:O!&fl:YSF'3!,Aa9=<e0Md*Rt,!!#/q?iU0e
+ricKL!&BE/YQB.U`T7&L~>
+oD\gqCAZlmGQ;-uE<&i6YQ>0/$Msf'_Z%m`GQ;(JhZea6d*NI,5lI;W@/rJ(r;ZggqnED^!!'gl
+hi@b0rm1e(!!"npr;ZgYricqU!-aNdMgne.0qY'[!+5djrm1g!=VrTLL]25n)'f-1#9<f"Ycr]Z
+D>oUt,W,MI$.Rin/\a(cOH=DZ!!JV73rkoOhZC%_0`CJ@8cA\s+g<p+!,S:"K)d(o^B-Y#FSi9B
+55G6f*73'O^IJ8(A"Pj`D>g[?70%*$YQ1<m!!7*>H2c.p=9&>3YY5H%YQC^&%HIJ=~>
+oD\gqCAZlmGQ;-uE<&i6YQ>0/$Msf'_Z%m`GQ;(JhZea6d*NI,5lI;W@/rJ(r;ZggqnED^!!'gl
+hi@b0rm1e(!!"npr;ZgYricqU!-aNdMgne.0qY'[!+5djrm1g!=VrTLL]25n)'f-1#9<f"Ycr]Z
+D>oUt,W,MI$.Rin/\a(cOH=DZ!!JV73rkoOhZC%_0`CJ@8cA\s+g<p+!,S:"K)d(o^B-Y#FSi9B
+55G6f*73'O^IJ8(A"Pj`D>g[?70%*$YQ1<m!!7*>H2c.p=9&>3YY5H%YQC^&%HIJ=~>
+oD\gqCAZlmGQ;-uE<&i6YQ>0/$Msf'_Z%m`GQ;(JhZea6d*NI,5lI;W@/rJ(r;ZggqnED^!!'gl
+hi@b0rm1e(!!"npr;ZgYricqU!-aNdMgne.0qY'[!+5djrm1g!=VrTLL]25n)'f-1#9<f"Ycr]Z
+D>oUt,W,MI$.Rin/\a(cOH=DZ!!JV73rkoOhZC%_0`CJ@8cA\s+g<p+!,S:"K)d(o^B-Y#FSi9B
+55G6f*73'O^IJ8(A"Pj`D>g[?70%*$YQ1<m!!7*>H2c.p=9&>3YY5H%YQC^&%HIJ=~>
+oD\n^!,^Nhh\6>M"B8L)Ycrrf-`aJU2ZNh0_8st%ciU!K?2WR`'IjG\:m_0R$=Ej(QCi\(#lmqW
+r4`8K4oPF4?uSX:Z)eK:6^+.7KMW*X!(g9p-XV^aIt)5B)3CJ_LCaFc0E;(pBGLS6Hi@sc;#iu_
+Ig96Z6^t;0'7^"C!a65,rm1ktfJijg8/(q%!+PrS"1_;0BDp]ja<;CF@/^-,4_ao"%<NR":j55k
+?sle2!"NW<YR,%E!)U/^hh_>0rQk__BOsX?@f<M4VCZ0RYR7=*!!#?jhpuBFE;n2fP\=]-#%%53
+!dXi@ir=N~>
+oD\n^!,^Nhh\6>M"B8L)Ycrrf-`aJU2ZNh0_8st%ciU!K?2WR`'IjG\:m_0R$=Ej(QCi\(#lmqW
+r4`8K4oPF4?uSX:Z)eK:6^+.7KMW*X!(g9p-XV^aIt)5B)3CJ_LCaFc0E;(pBGLS6Hi@sc;#iu_
+Ig96Z6^t;0'7^"C!a65,rm1ktfJijg8/(q%!+PrS"1_;0BDp]ja<;CF@/^-,4_ao"%<NR":j55k
+?sle2!"NW<YR,%E!)U/^hh_>0rQk__BOsX?@f<M4VCZ0RYR7=*!!#?jhpuBFE;n2fP\=]-#%%53
+!dXi@ir=N~>
+oD\n^!,^Nhh\6>M"B8L)Ycrrf-`aJU2ZNh0_8st%ciU!K?2WR`'IjG\:m_0R$=Ej(QCi\(#lmqW
+r4`8K4oPF4?uSX:Z)eK:6^+.7KMW*X!(g9p-XV^aIt)5B)3CJ_LCaFc0E;(pBGLS6Hi@sc;#iu_
+Ig96Z6^t;0'7^"C!a65,rm1ktfJijg8/(q%!+PrS"1_;0BDp]ja<;CF@/^-,4_ao"%<NR":j55k
+?sle2!"NW<YR,%E!)U/^hh_>0rQk__BOsX?@f<M4VCZ0RYR7=*!!#?jhpuBFE;n2fP\=]-#%%53
+!dXi@ir=N~>
+o)A]EpAb2lricf>!!&n#Yb5,!=9&?,rkANSd!>Bd!0I,N!YGEmrgs1"r;Zqt^V>$m!!0GIq#CDM
+r1=*1!-jSBrVupIrI4iL1Ad[H*rl:$-iF#F+T66\)$"1FIfs$WLFOYJO904uS,Ub72Yd=QQi#,2
+3rklOhZ0t]!!Fk1hm=R(YQ-Z[!#/60Fcue*FKi!7!!"?L-3*8fhn^<0ci?i:!!!]0YQ[MsGQ7`&
+rnd`^&cBuU=nhss%H7>;~>
+o)A]EpAb2lricf>!!&n#Yb5,!=9&?,rkANSd!>Bd!0I,N!YGEmrgs1"r;Zqt^V>$m!!0GIq#CDM
+r1=*1!-jSBrVupIrI4iL1Ad[H*rl:$-iF#F+T66\)$"1FIfs$WLFOYJO904uS,Ub72Yd=QQi#,2
+3rklOhZ0t]!!Fk1hm=R(YQ-Z[!#/60Fcue*FKi!7!!"?L-3*8fhn^<0ci?i:!!!]0YQ[MsGQ7`&
+rnd`^&cBuU=nhss%H7>;~>
+o)A]EpAb2lricf>!!&n#Yb5,!=9&?,rkANSd!>Bd!0I,N!YGEmrgs1"r;Zqt^V>$m!!0GIq#CDM
+r1=*1!-jSBrVupIrI4iL1Ad[H*rl:$-iF#F+T66\)$"1FIfs$WLFOYJO904uS,Ub72Yd=QQi#,2
+3rklOhZ0t]!!Fk1hm=R(YQ-Z[!#/60Fcue*FKi!7!!"?L-3*8fhn^<0ci?i:!!!]0YQ[MsGQ7`&
+rnd`^&cBuU=nhss%H7>;~>
+nc&]D"9<$4BGSgb"=U@UL]f*+W2Q=f"X^7,=9_o92uEXU/,io`[[7@DQ_0n"0HY64T,(l9AY4NM
+$7$#[-B?I"WX_\KGA%L,PPq*UKJ`a/rfA3b!(f6P1itYV>+M%JOcWTR(cVKq0Lg(t'+e\n6k!T'
+IfsX"!!#XgO:ZjRB@++`!$sB]2^AB#<_Kdrcjt'qSrb)q>%Rc3inqm&&XE=!.%j*?853B))Ki9g
+U0&HH*WQl%s/dlKrU8jp.1WB)d)0&o;27\58K[j1(C=2G,7K4og&P">lfZLm7*s;?!!ZGqRf6+b
+,61Kss*t~>
+nc&]D"9<$4BGSgb"=U@UL]f*+W2Q=f"X^7,=9_o92uEXU/,io`[[7@DQ_0n"0HY64T,(l9AY4NM
+$7$#[-B?I"WX_\KGA%L,PPq*UKJ`a/rfA3b!(f6P1itYV>+M%JOcWTR(cVKq0Lg(t'+e\n6k!T'
+IfsX"!!#XgO:ZjRB@++`!$sB]2^AB#<_Kdrcjt'qSrb)q>%Rc3inqm&&XE=!.%j*?853B))Ki9g
+U0&HH*WQl%s/dlKrU8jp.1WB)d)0&o;27\58K[j1(C=2G,7K4og&P">lfZLm7*s;?!!ZGqRf6+b
+,61Kss*t~>
+nc&]D"9<$4BGSgb"=U@UL]f*+W2Q=f"X^7,=9_o92uEXU/,io`[[7@DQ_0n"0HY64T,(l9AY4NM
+$7$#[-B?I"WX_\KGA%L,PPq*UKJ`a/rfA3b!(f6P1itYV>+M%JOcWTR(cVKq0Lg(t'+e\n6k!T'
+IfsX"!!#XgO:ZjRB@++`!$sB]2^AB#<_Kdrcjt'qSrb)q>%Rc3inqm&&XE=!.%j*?853B))Ki9g
+U0&HH*WQl%s/dlKrU8jp.1WB)d)0&o;27\58K[j1(C=2G,7K4og&P">lfZLm7*s;?!!ZGqRf6+b
+,61Kss*t~>
+nG`P[!1!K/%;Z/HXC3N)W1T]0"XecuYQG:6!&+:i%LFZ#aMbj.BF.4rT3qY2rLX-P!0$oL"Bc'3
+-]\/P#^/%ad*P\k7$IVB"$loLK`7&?)',E7&-+Nq(Q"FVO:cdK(h\U`!&.)PSngPA8/MtZqgS\h
+!!$p5O:NTTJS>*5:ddi5)K<Np!+PiP&#92$+W>mabQ)GDk21Re:&V:%AH4lUSWOg$PPq]g49,@[
+PQ(RrRSqQ5p$IS96E/=`!&fq#OdM1O$N4',:]:>*;t0;<0ak_bn(q[_E0Mn*<W&HkE[+)oi;\<~>
+nG`P[!1!K/%;Z/HXC3N)W1T]0"XecuYQG:6!&+:i%LFZ#aMbj.BF.4rT3qY2rLX-P!0$oL"Bc'3
+-]\/P#^/%ad*P\k7$IVB"$loLK`7&?)',E7&-+Nq(Q"FVO:cdK(h\U`!&.)PSngPA8/MtZqgS\h
+!!$p5O:NTTJS>*5:ddi5)K<Np!+PiP&#92$+W>mabQ)GDk21Re:&V:%AH4lUSWOg$PPq]g49,@[
+PQ(RrRSqQ5p$IS96E/=`!&fq#OdM1O$N4',:]:>*;t0;<0ak_bn(q[_E0Mn*<W&HkE[+)oi;\<~>
+nG`P[!1!K/%;Z/HXC3N)W1T]0"XecuYQG:6!&+:i%LFZ#aMbj.BF.4rT3qY2rLX-P!0$oL"Bc'3
+-]\/P#^/%ad*P\k7$IVB"$loLK`7&?)',E7&-+Nq(Q"FVO:cdK(h\U`!&.)PSngPA8/MtZqgS\h
+!!$p5O:NTTJS>*5:ddi5)K<Np!+PiP&#92$+W>mabQ)GDk21Re:&V:%AH4lUSWOg$PPq]g49,@[
+PQ(RrRSqQ5p$IS96E/=`!&fq#OdM1O$N4',:]:>*;t0;<0ak_bn(q[_E0Mn*<W&HkE[+)oi;\<~>
+n,EKB">J'ucig$G!!&AaT,fWdV6IFk"t!FV/Bc]&hqq',MU9_paIW\\:^A/0rgs6)+)_(M(P)o7
+:^SGTaN2]S;#l'ld&[cuPFmLS@/c5hGRQY3YQT1N!#L:dOT.QGO8Y[Y8,u=k'H7be!(26arHJHZ%
+fcT'r0RnUOH:^f&N9\I8.uoXrndg<+%rs=ci\4e!4;_),>B$!nF5_j,7p*4*"H5ET5#9+PH_'cP
+sYOI.2.mBs8VI=,l[fbrST=p-OE\<R%L!g+#].`YGe1.!')A6Hg'tgT)aiLn,m5%!&OME!c7p5h
+Z&*~>
+n,EKB">J'ucig$G!!&AaT,fWdV6IFk"t!FV/Bc]&hqq',MU9_paIW\\:^A/0rgs6)+)_(M(P)o7
+:^SGTaN2]S;#l'ld&[cuPFmLS@/c5hGRQY3YQT1N!#L:dOT.QGO8Y[Y8,u=k'H7be!(26arHJHZ%
+fcT'r0RnUOH:^f&N9\I8.uoXrndg<+%rs=ci\4e!4;_),>B$!nF5_j,7p*4*"H5ET5#9+PH_'cP
+sYOI.2.mBs8VI=,l[fbrST=p-OE\<R%L!g+#].`YGe1.!')A6Hg'tgT)aiLn,m5%!&OME!c7p5h
+Z&*~>
+n,EKB">J'ucig$G!!&AaT,fWdV6IFk"t!FV/Bc]&hqq',MU9_paIW\\:^A/0rgs6)+)_(M(P)o7
+:^SGTaN2]S;#l'ld&[cuPFmLS@/c5hGRQY3YQT1N!#L:dOT.QGO8Y[Y8,u=k'H7be!(26arHJHZ%
+fcT'r0RnUOH:^f&N9\I8.uoXrndg<+%rs=ci\4e!4;_),>B$!nF5_j,7p*4*"H5ET5#9+PH_'cP
+sYOI.2.mBs8VI=,l[fbrST=p-OE\<R%L!g+#].`YGe1.!')A6Hg'tgT)aiLn,m5%!&OME!c7p5h
+Z&*~>
+mf*>Z!1!N0"De5A!,qk/'N>67Y.0`T!-k_.!0#:Vf\Wk?/!KtZ"jM$N!(Uu,T)sNL4oV&iX_e&J
+T0**PK"o=HW^A(ld*R#*6[(@erK%(g!+u26$?,tr!'=MKOB)jArLYI*J.DV[97(bg@$.(1E(*9*
+.0):='kEqp:lCa5TP@SCO'!1u!&2n#h[=Q,@aNK5BHC.u>1roT,c2qgbOG#hKE-7-!(<HOOW"ao
+Wi2Ya?3!dATdg\uq>^Js5gfQ1"KlYu=d]2\*0qWQNj#CZT5Pi4R>*'sZKU]1!)W1Sjtcu;/q*\j
+"*,VVa56iH~>
+mf*>Z!1!N0"De5A!,qk/'N>67Y.0`T!-k_.!0#:Vf\Wk?/!KtZ"jM$N!(Uu,T)sNL4oV&iX_e&J
+T0**PK"o=HW^A(ld*R#*6[(@erK%(g!+u26$?,tr!'=MKOB)jArLYI*J.DV[97(bg@$.(1E(*9*
+.0):='kEqp:lCa5TP@SCO'!1u!&2n#h[=Q,@aNK5BHC.u>1roT,c2qgbOG#hKE-7-!(<HOOW"ao
+Wi2Ya?3!dATdg\uq>^Js5gfQ1"KlYu=d]2\*0qWQNj#CZT5Pi4R>*'sZKU]1!)W1Sjtcu;/q*\j
+"*,VVa56iH~>
+mf*>Z!1!N0"De5A!,qk/'N>67Y.0`T!-k_.!0#:Vf\Wk?/!KtZ"jM$N!(Uu,T)sNL4oV&iX_e&J
+T0**PK"o=HW^A(ld*R#*6[(@erK%(g!+u26$?,tr!'=MKOB)jArLYI*J.DV[97(bg@$.(1E(*9*
+.0):='kEqp:lCa5TP@SCO'!1u!&2n#h[=Q,@aNK5BHC.u>1roT,c2qgbOG#hKE-7-!(<HOOW"ao
+Wi2Ya?3!dATdg\uq>^Js5gfQ1"KlYu=d]2\*0qWQNj#CZT5Pi4R>*'sZKU]1!)W1Sjtcu;/q*\j
+"*,VVa56iH~>
+mJd<F!+=/mrW!D+@/p:o=9)+1^V=RbV#IS"AH5j2cj&>@!56b+I/O$F5Q78\&cdo`X1riYMuB7L
+'`b*/^B,>SZ2W)O+94.oO:W6/P-D0fO;a4bYTX!h@fS7_T*LRAOCeJ`!&sbh",d-ZM#4CVKDkiN
+K_qtV/c_:u/cNKp`o#Z;!%jrG!&O,Y!3,ShrrUFFVu6#b9HF)(!eUJgrgs:H!!"AFn-mM@SFHCT
+s'#Jus8UpR!!a41T8WaMCo73(!fd6prkAoE!#=DKi*ua$h#Iqh9E"no$_N[a&D[;9~>
+mJd<F!+=/mrW!D+@/p:o=9)+1^V=RbV#IS"AH5j2cj&>@!56b+I/O$F5Q78\&cdo`X1riYMuB7L
+'`b*/^B,>SZ2W)O+94.oO:W6/P-D0fO;a4bYTX!h@fS7_T*LRAOCeJ`!&sbh",d-ZM#4CVKDkiN
+K_qtV/c_:u/cNKp`o#Z;!%jrG!&O,Y!3,ShrrUFFVu6#b9HF)(!eUJgrgs:H!!"AFn-mM@SFHCT
+s'#Jus8UpR!!a41T8WaMCo73(!fd6prkAoE!#=DKi*ua$h#Iqh9E"no$_N[a&D[;9~>
+mJd<F!+=/mrW!D+@/p:o=9)+1^V=RbV#IS"AH5j2cj&>@!56b+I/O$F5Q78\&cdo`X1riYMuB7L
+'`b*/^B,>SZ2W)O+94.oO:W6/P-D0fO;a4bYTX!h@fS7_T*LRAOCeJ`!&sbh",d-ZM#4CVKDkiN
+K_qtV/c_:u/cNKp`o#Z;!%jrG!&O,Y!3,ShrrUFFVu6#b9HF)(!eUJgrgs:H!!"AFn-mM@SFHCT
+s'#Jus8UpR!!a41T8WaMCo73(!fd6prkAoE!#=DKi*ua$h#Iqh9E"no$_N[a&D[;9~>
+m/I&WrVusuJGubRLb\l/#.2.[Pm/S8rNH>`!+>b=(-MXI4ocg0Ha#[6+)b6fNNKV'Rg^@'rLX0T
+!!"GGE!Su\BOP:V%iL*#O:kMATs1SeOB!a&Ycs?o&HFkJOo1:F*]\dQ%i]lp^DqA2(g'$?=IZP!
+R6^fi?q12`R]s#c6NC`FT)`-p^CnH1C&e5PcLC>T,;J]\q>]S)0)k>Bg0t%:r^[),!'C0^"!%@A
+-N*?JbS#g&nbDB%A+"473+I599`PMA!&=FK"%N>PRJjl%[O2dghZT/D!!eG]YQ92NrVusia5$]F~>
+m/I&WrVusuJGubRLb\l/#.2.[Pm/S8rNH>`!+>b=(-MXI4ocg0Ha#[6+)b6fNNKV'Rg^@'rLX0T
+!!"GGE!Su\BOP:V%iL*#O:kMATs1SeOB!a&Ycs?o&HFkJOo1:F*]\dQ%i]lp^DqA2(g'$?=IZP!
+R6^fi?q12`R]s#c6NC`FT)`-p^CnH1C&e5PcLC>T,;J]\q>]S)0)k>Bg0t%:r^[),!'C0^"!%@A
+-N*?JbS#g&nbDB%A+"473+I599`PMA!&=FK"%N>PRJjl%[O2dghZT/D!!eG]YQ92NrVusia5$]F~>
+m/I&WrVusuJGubRLb\l/#.2.[Pm/S8rNH>`!+>b=(-MXI4ocg0Ha#[6+)b6fNNKV'Rg^@'rLX0T
+!!"GGE!Su\BOP:V%iL*#O:kMATs1SeOB!a&Ycs?o&HFkJOo1:F*]\dQ%i]lp^DqA2(g'$?=IZP!
+R6^fi?q12`R]s#c6NC`FT)`-p^CnH1C&e5PcLC>T,;J]\q>]S)0)k>Bg0t%:r^[),!'C0^"!%@A
+-N*?JbS#g&nbDB%A+"473+I599`PMA!&=FK"%N>PRJjl%[O2dghZT/D!!eG]YQ92NrVusia5$]F~>
+li.$C!)`Ts!"&W)"12hD:&D-s%0-B0r6PKY!2'.m!ttY79)ZL*G!,_q)5V6O2&$%sh;@+O!(kPa
+_L2Ca0p#cC3j>I[O9$4Yr3-9K!!%-=O9$@Orf@@t!!"pl.KD4&YQo^Z!/E$(!0R8q#;6&WK<Qp-
+Rf:Y7TIfuT!]9s7r9s_V1&^SIqG%#CnF0'NA,_PkG5r`aYQfsb+.rTYlM^2R;uiEen,l\k!#YU;
+!h'*&r1<tLrVuq>r4`J3!/067!!!N)YQ7E/gAc[~>
+li.$C!)`Ts!"&W)"12hD:&D-s%0-B0r6PKY!2'.m!ttY79)ZL*G!,_q)5V6O2&$%sh;@+O!(kPa
+_L2Ca0p#cC3j>I[O9$4Yr3-9K!!%-=O9$@Orf@@t!!"pl.KD4&YQo^Z!/E$(!0R8q#;6&WK<Qp-
+Rf:Y7TIfuT!]9s7r9s_V1&^SIqG%#CnF0'NA,_PkG5r`aYQfsb+.rTYlM^2R;uiEen,l\k!#YU;
+!h'*&r1<tLrVuq>r4`J3!/067!!!N)YQ7E/gAc[~>
+li.$C!)`Ts!"&W)"12hD:&D-s%0-B0r6PKY!2'.m!ttY79)ZL*G!,_q)5V6O2&$%sh;@+O!(kPa
+_L2Ca0p#cC3j>I[O9$4Yr3-9K!!%-=O9$@Orf@@t!!"pl.KD4&YQo^Z!/E$(!0R8q#;6&WK<Qp-
+Rf:Y7TIfuT!]9s7r9s_V1&^SIqG%#CnF0'NA,_PkG5r`aYQfsb+.rTYlM^2R;uiEen,l\k!#YU;
+!h'*&r1<tLrVuq>r4`J3!/067!!!N)YQ7E/gAc[~>
+lMgoX.'3BO"c+l5H<i9)!!&koYRXtq.#:(fB$\lOd&&u,TDYo?56+Fc!*+\A!0!YNX0?LB=ce_)
+!.WJOhcTq]^sL?I;uf$7!0*3AO9/hjAc8h:Pn=rI(4uOI!bD@,r/_%K!!#3Ir29d\:_Q2uEW!<M
+TNDs09nE5h!]UslrkAV_1KPKVmeuVU7kt#4#P%SJ!'C6:<W8'r;?0@oWhsML5bGf2!(j`_kipr9
+::,7YrVupdqlgQJ!+VXnTVu]-5Go_+3LTl]!3Q5#"[-kG.gM"2YQLn'#`.47J,~>
+lMgoX.'3BO"c+l5H<i9)!!&koYRXtq.#:(fB$\lOd&&u,TDYo?56+Fc!*+\A!0!YNX0?LB=ce_)
+!.WJOhcTq]^sL?I;uf$7!0*3AO9/hjAc8h:Pn=rI(4uOI!bD@,r/_%K!!#3Ir29d\:_Q2uEW!<M
+TNDs09nE5h!]UslrkAV_1KPKVmeuVU7kt#4#P%SJ!'C6:<W8'r;?0@oWhsML5bGf2!(j`_kipr9
+::,7YrVupdqlgQJ!+VXnTVu]-5Go_+3LTl]!3Q5#"[-kG.gM"2YQLn'#`.47J,~>
+lMgoX.'3BO"c+l5H<i9)!!&koYRXtq.#:(fB$\lOd&&u,TDYo?56+Fc!*+\A!0!YNX0?LB=ce_)
+!.WJOhcTq]^sL?I;uf$7!0*3AO9/hjAc8h:Pn=rI(4uOI!bD@,r/_%K!!#3Ir29d\:_Q2uEW!<M
+TNDs09nE5h!]UslrkAV_1KPKVmeuVU7kt#4#P%SJ!'C6:<W8'r;?0@oWhsML5bGf2!(j`_kipr9
+::,7YrVupdqlgQJ!+VXnTVu]-5Go_+3LTl]!3Q5#"[-kG.gM"2YQLn'#`.47J,~>
+lMgsC!!&tsYQbC6Vm*D($2so.9X(`1!)`a1"E+9GhqA"U!>J'&YQ\bA7Bj!1rVus]Y5PR+(BAm_
+O9cO#9$kr@OT7rMciPBkGl<^+@/p:iricd)D)\]','8p.AH6fKO99+q!%du="!mpILAA%T/HD:;
+cjZQIMnd#k!&<@q0]23qn,g?)WVu;f_>kPPO9[B[Xe25=!$M6T!hfUWrSIUhrW!*Bd*T-"(]CQE
+RK+"nT;f%_!#,@9"eG\oEkeaT!!SA<d(]PjrNH>s!0Pt7J,~>
+lMgsC!!&tsYQbC6Vm*D($2so.9X(`1!)`a1"E+9GhqA"U!>J'&YQ\bA7Bj!1rVus]Y5PR+(BAm_
+O9cO#9$kr@OT7rMciPBkGl<^+@/p:iricd)D)\]','8p.AH6fKO99+q!%du="!mpILAA%T/HD:;
+cjZQIMnd#k!&<@q0]23qn,g?)WVu;f_>kPPO9[B[Xe25=!$M6T!hfUWrSIUhrW!*Bd*T-"(]CQE
+RK+"nT;f%_!#,@9"eG\oEkeaT!!SA<d(]PjrNH>s!0Pt7J,~>
+lMgsC!!&tsYQbC6Vm*D($2so.9X(`1!)`a1"E+9GhqA"U!>J'&YQ\bA7Bj!1rVus]Y5PR+(BAm_
+O9cO#9$kr@OT7rMciPBkGl<^+@/p:iricd)D)\]','8p.AH6fKO99+q!%du="!mpILAA%T/HD:;
+cjZQIMnd#k!&<@q0]23qn,g?)WVu;f_>kPPO9[B[Xe25=!$M6T!hfUWrSIUhrW!*Bd*T-"(]CQE
+RK+"nT;f%_!#,@9"eG\oEkeaT!!SA<d(]PjrNH>s!0Pt7J,~>
+l2MI9"XpI.0IVFLUn9@AV2AA1!!$/Xr4a7b#\MWEgt6ZT:T(E\!-,6IW2P8%-icteY`B/2A,ME"
+5QFr#BPS1[Y]sgn!(o9P<;qt"@/uFoYbn%0!+W7;H2pd'*>O-eOHlK8YU15$(6/6a"H!j['e]Bf
+"I^)C82L+h&YKn^H5]Yrhld$PhrX:qf3iFon-ba4!%7gV84[P53*-#T!ZD&hr4`D$&\-`ULAh/Q
+LAfI/J,fR:Y\jG'W2[#*Du`0$YS;F[!!!COKCGL&^@1"2/-h*;9*pF,s*t~>
+l2MI9"XpI.0IVFLUn9@AV2AA1!!$/Xr4a7b#\MWEgt6ZT:T(E\!-,6IW2P8%-icteY`B/2A,ME"
+5QFr#BPS1[Y]sgn!(o9P<;qt"@/uFoYbn%0!+W7;H2pd'*>O-eOHlK8YU15$(6/6a"H!j['e]Bf
+"I^)C82L+h&YKn^H5]Yrhld$PhrX:qf3iFon-ba4!%7gV84[P53*-#T!ZD&hr4`D$&\-`ULAh/Q
+LAfI/J,fR:Y\jG'W2[#*Du`0$YS;F[!!!COKCGL&^@1"2/-h*;9*pF,s*t~>
+l2MI9"XpI.0IVFLUn9@AV2AA1!!$/Xr4a7b#\MWEgt6ZT:T(E\!-,6IW2P8%-icteY`B/2A,ME"
+5QFr#BPS1[Y]sgn!(o9P<;qt"@/uFoYbn%0!+W7;H2pd'*>O-eOHlK8YU15$(6/6a"H!j['e]Bf
+"I^)C82L+h&YKn^H5]Yrhld$PhrX:qf3iFon-ba4!%7gV84[P53*-#T!ZD&hr4`D$&\-`ULAh/Q
+LAfI/J,fR:Y\jG'W2[#*Du`0$YS;F[!!!COKCGL&^@1"2/-h*;9*pF,s*t~>
+kl2<M"]R/UF/Y_'<!?4$Ycruh!*Qi/^B-Y#PlBP[fM)?A=:$4EW2QA]3WO%P!$S1*!*PDFQCsmM
+2YmD'=:bI)=JCrh(eB=A4WU2tW1fhP!0=@gPn=d&,[HLsTV\lsQP2,i'0_ETT*C06!/GDBDu?gC
+=9)^,14f>L+1N:+)B$?JhoAhq^Ye/@n@p[Hn=1a7:j5`%!!"8E./NuE;#J'8J0@L^E$l9CB1&a!
+cj.F$-4<p!$]G"g"*u.LNr-$_EW?(UrpU<M!)W1Sn!a;5KI0UKs*t~>
+kl2<M"]R/UF/Y_'<!?4$Ycruh!*Qi/^B-Y#PlBP[fM)?A=:$4EW2QA]3WO%P!$S1*!*PDFQCsmM
+2YmD'=:bI)=JCrh(eB=A4WU2tW1fhP!0=@gPn=d&,[HLsTV\lsQP2,i'0_ETT*C06!/GDBDu?gC
+=9)^,14f>L+1N:+)B$?JhoAhq^Ye/@n@p[Hn=1a7:j5`%!!"8E./NuE;#J'8J0@L^E$l9CB1&a!
+cj.F$-4<p!$]G"g"*u.LNr-$_EW?(UrpU<M!)W1Sn!a;5KI0UKs*t~>
+kl2<M"]R/UF/Y_'<!?4$Ycruh!*Qi/^B-Y#PlBP[fM)?A=:$4EW2QA]3WO%P!$S1*!*PDFQCsmM
+2YmD'=:bI)=JCrh(eB=A4WU2tW1fhP!0=@gPn=d&,[HLsTV\lsQP2,i'0_ETT*C06!/GDBDu?gC
+=9)^,14f>L+1N:+)B$?JhoAhq^Ye/@n@p[Hn=1a7:j5`%!!"8E./NuE;#J'8J0@L^E$l9CB1&a!
+cj.F$-4<p!$]G"g"*u.LNr-$_EW?(UrpU<M!)W1Sn!a;5KI0UKs*t~>
+kPkV&#"\]b!dk,sricWb1&uc*"t@(\^B8-T!&"1g!XhMbr1=</+)[^CJPZ[R9r7fm%R^:bCkFMi
+BY\j(+b7>?rjWB(%i@hdEi>\(T8!k8r3-9!!&18IYQpLZ19e!L'.j-T#>>,QYcq..=oPW1DAJ;J
+^L8"fqp5G=!!&_khZCh@0E0i6iR&nf,S3e-rLXO\)%KJe:`9jHPB@m2TDcM3T`>'*`piKT.hA]Y
+ciUTT2uQh]:&kW'@f<M>HQs!DV[U`CoC/b8'`IM'X#!>gfDg@~>
+kPkV&#"\]b!dk,sricWb1&uc*"t@(\^B8-T!&"1g!XhMbr1=</+)[^CJPZ[R9r7fm%R^:bCkFMi
+BY\j(+b7>?rjWB(%i@hdEi>\(T8!k8r3-9!!&18IYQpLZ19e!L'.j-T#>>,QYcq..=oPW1DAJ;J
+^L8"fqp5G=!!&_khZCh@0E0i6iR&nf,S3e-rLXO\)%KJe:`9jHPB@m2TDcM3T`>'*`piKT.hA]Y
+ciUTT2uQh]:&kW'@f<M>HQs!DV[U`CoC/b8'`IM'X#!>gfDg@~>
+kPkV&#"\]b!dk,sricWb1&uc*"t@(\^B8-T!&"1g!XhMbr1=</+)[^CJPZ[R9r7fm%R^:bCkFMi
+BY\j(+b7>?rjWB(%i@hdEi>\(T8!k8r3-9!!&18IYQpLZ19e!L'.j-T#>>,QYcq..=oPW1DAJ;J
+^L8"fqp5G=!!&_khZCh@0E0i6iR&nf,S3e-rLXO\)%KJe:`9jHPB@m2TDcM3T`>'*`piKT.hA]Y
+ciUTT2uQh]:&kW'@f<M>HQs!DV[U`CoC/b8'`IM'X#!>gfDg@~>
+k5PJj,]isW!\aVOricuE!)fi$3<4WFB4,*Q!&ss.Ac?'=3<3^jT)sNLAcA;*S9tYD!,__>%V,u9
+Pb4S#1]UXnGRu%&rP&NLD@ce,V>["fD&dWpYQ@T#2>aTZI/mUQYS\`'AY4el(n7b6R6`F/YaQ=E
+Vn^!/!)9m!ci\(a!29>J!^IU;rndk;70!<Xr1=7.5la?G>6#1HricH:!)NU/"b9GM!%%@<n,f@8
+L&B:BJH.8m84c8N4!ak6=CJF\,>F-sk5\T`qtKTQ$GQ$!k;*Fcf)L7~>
+k5PJj,]isW!\aVOricuE!)fi$3<4WFB4,*Q!&ss.Ac?'=3<3^jT)sNLAcA;*S9tYD!,__>%V,u9
+Pb4S#1]UXnGRu%&rP&NLD@ce,V>["fD&dWpYQ@T#2>aTZI/mUQYS\`'AY4el(n7b6R6`F/YaQ=E
+Vn^!/!)9m!ci\(a!29>J!^IU;rndk;70!<Xr1=7.5la?G>6#1HricH:!)NU/"b9GM!%%@<n,f@8
+L&B:BJH.8m84c8N4!ak6=CJF\,>F-sk5\T`qtKTQ$GQ$!k;*Fcf)L7~>
+k5PJj,]isW!\aVOricuE!)fi$3<4WFB4,*Q!&ss.Ac?'=3<3^jT)sNLAcA;*S9tYD!,__>%V,u9
+Pb4S#1]UXnGRu%&rP&NLD@ce,V>["fD&dWpYQ@T#2>aTZI/mUQYS\`'AY4el(n7b6R6`F/YaQ=E
+Vn^!/!)9m!ci\(a!29>J!^IU;rndk;70!<Xr1=7.5la?G>6#1HricH:!)NU/"b9GM!%%@<n,f@8
+L&B:BJH.8m84c8N4!ak6=CJF\,>F-sk5\T`qtKTQ$GQ$!k;*Fcf)L7~>
+jo5Mn!10;`!2f_!!=MU"YQ/84!"@*/hh5"Vd)!K3'*(8rT+DV8NLuW#=TAGj('"?&Du_rrT*Ap.
+!3h7Z62eOuJG]BNK:ecQ!0@)_"f@A$0H`4MYQ?*NMZ'a^-NJL80DhsW.P7kT!0@)n!g*JOrQkP;
+rVupRqqhE>T)RUIZMab'DuQ@6JH-^_JcGcmqlgYo!!$C,!%@kM!2fehnF4^'L&TF-9`S@YOI;_'
+!-Z,l9)S_i)ZB[:k8=0t#N>^snD+'EP1BS_~>
+jo5Mn!10;`!2f_!!=MU"YQ/84!"@*/hh5"Vd)!K3'*(8rT+DV8NLuW#=TAGj('"?&Du_rrT*Ap.
+!3h7Z62eOuJG]BNK:ecQ!0@)_"f@A$0H`4MYQ?*NMZ'a^-NJL80DhsW.P7kT!0@)n!g*JOrQkP;
+rVupRqqhE>T)RUIZMab'DuQ@6JH-^_JcGcmqlgYo!!$C,!%@kM!2fehnF4^'L&TF-9`S@YOI;_'
+!-Z,l9)S_i)ZB[:k8=0t#N>^snD+'EP1BS_~>
+jo5Mn!10;`!2f_!!=MU"YQ/84!"@*/hh5"Vd)!K3'*(8rT+DV8NLuW#=TAGj('"?&Du_rrT*Ap.
+!3h7Z62eOuJG]BNK:ecQ!0@)_"f@A$0H`4MYQ?*NMZ'a^-NJL80DhsW.P7kT!0@)n!g*JOrQkP;
+rVupRqqhE>T)RUIZMab'DuQ@6JH-^_JcGcmqlgYo!!$C,!%@kM!2fehnF4^'L&TF-9`S@YOI;_'
+!-Z,l9)S_i)ZB[:k8=0t#N>^snD+'EP1BS_~>
+jo5M'7O1e5HMt&L@jZ['YQg!j!0>dbhYuCP'Iq,Ld)a!i!+qi8+-r:ZOH;="R]s#W2uiqIPl.-U
+K/<QZr;[r_?sjNG8Th7M3riKW73%u)US*g4*#N<Z!(NQaY\G_/r3-<k5QCdgqlg3)!(%H_r4`<3
+))D3<#&F9D^GHhDr8.s.!1o8q!'u]Q3WK[e5lL`e4<+>$&<m!q*0U@&'S+[4lte$Ks8MfQ.h6a>
+=o^OLS=c'9$Z#aV"hM3c!!!r8rrQjBbPqMFoJHt3$H^ftJ,~>
+jo5M'7O1e5HMt&L@jZ['YQg!j!0>dbhYuCP'Iq,Ld)a!i!+qi8+-r:ZOH;="R]s#W2uiqIPl.-U
+K/<QZr;[r_?sjNG8Th7M3riKW73%u)US*g4*#N<Z!(NQaY\G_/r3-<k5QCdgqlg3)!(%H_r4`<3
+))D3<#&F9D^GHhDr8.s.!1o8q!'u]Q3WK[e5lL`e4<+>$&<m!q*0U@&'S+[4lte$Ks8MfQ.h6a>
+=o^OLS=c'9$Z#aV"hM3c!!!r8rrQjBbPqMFoJHt3$H^ftJ,~>
+jo5M'7O1e5HMt&L@jZ['YQg!j!0>dbhYuCP'Iq,Ld)a!i!+qi8+-r:ZOH;="R]s#W2uiqIPl.-U
+K/<QZr;[r_?sjNG8Th7M3riKW73%u)US*g4*#N<Z!(NQaY\G_/r3-<k5QCdgqlg3)!(%H_r4`<3
+))D3<#&F9D^GHhDr8.s.!1o8q!'u]Q3WK[e5lL`e4<+>$&<m!q*0U@&'S+[4lte$Ks8MfQ.h6a>
+=o^OLS=c'9$Z#aV"hM3c!!!r8rrQjBbPqMFoJHt3$H^ftJ,~>
+j8T2j!!&nqYQA;7V>[V%C]Hh-!*B0H"lA-i!!'\1ciAOo!!%iRO9/Pb6N++gDuK_:M>a%PB)hpt
+YT!R9,Q7ZCPP_Qa+8u6@32ZY9$Y05kT:^'&1pF211]"<WJ,h;!YQBFW0`&Ng1'!`hTE$PB^B$3c
+r8.LYrVup>qiCe/rW!3IYW)W-OT5A'r3-8b!!"GGrrUjR-N*lH>T?E;AGr,1490Q>^UCANSH'GP
+;ipPKrrV?`QMpgbl2VOHs*t~>
+j8T2j!!&nqYQA;7V>[V%C]Hh-!*B0H"lA-i!!'\1ciAOo!!%iRO9/Pb6N++gDuK_:M>a%PB)hpt
+YT!R9,Q7ZCPP_Qa+8u6@32ZY9$Y05kT:^'&1pF211]"<WJ,h;!YQBFW0`&Ng1'!`hTE$PB^B$3c
+r8.LYrVup>qiCe/rW!3IYW)W-OT5A'r3-8b!!"GGrrUjR-N*lH>T?E;AGr,1490Q>^UCANSH'GP
+;ipPKrrV?`QMpgbl2VOHs*t~>
+j8T2j!!&nqYQA;7V>[V%C]Hh-!*B0H"lA-i!!'\1ciAOo!!%iRO9/Pb6N++gDuK_:M>a%PB)hpt
+YT!R9,Q7ZCPP_Qa+8u6@32ZY9$Y05kT:^'&1pF211]"<WJ,h;!YQBFW0`&Ng1'!`hTE$PB^B$3c
+r8.LYrVup>qiCe/rW!3IYW)W-OT5A'r3-8b!!"GGrrUjR-N*lH>T?E;AGr,1490Q>^UCANSH'GP
+;ipPKrrV?`QMpgbl2VOHs*t~>
+ir9_4#:EWSYR;eXZadVZ#9oS.1]Un'rm1c!WX:6RBEJV^8;R8,!d-(^ricj2B`N"3$lr0/T0E<K
+GQ+fO7f\4QE"Y`bqlg/E!$#bOO9.ZIJGu/E?k>dk!/pf[#-Oo'H2mr/qnE927fXC(qS*.g9q5$b
+rP&DF!29>J"@3"f6^dnF#\Y%cA>u4m!)3Br$tTE#B<\'M'pP!a<7CjH!gs%brVlu&D?((B:]`(V
+\,ENFDu`MWd"_U#nFZMUkQ"Z`Zul_+ajU3>~>
+ir9_4#:EWSYR;eXZadVZ#9oS.1]Un'rm1c!WX:6RBEJV^8;R8,!d-(^ricj2B`N"3$lr0/T0E<K
+GQ+fO7f\4QE"Y`bqlg/E!$#bOO9.ZIJGu/E?k>dk!/pf[#-Oo'H2mr/qnE927fXC(qS*.g9q5$b
+rP&DF!29>J"@3"f6^dnF#\Y%cA>u4m!)3Br$tTE#B<\'M'pP!a<7CjH!gs%brVlu&D?((B:]`(V
+\,ENFDu`MWd"_U#nFZMUkQ"Z`Zul_+ajU3>~>
+ir9_4#:EWSYR;eXZadVZ#9oS.1]Un'rm1c!WX:6RBEJV^8;R8,!d-(^ricj2B`N"3$lr0/T0E<K
+GQ+fO7f\4QE"Y`bqlg/E!$#bOO9.ZIJGu/E?k>dk!/pf[#-Oo'H2mr/qnE927fXC(qS*.g9q5$b
+rP&DF!29>J"@3"f6^dnF#\Y%cA>u4m!)3Br$tTE#B<\'M'pP!a<7CjH!gs%brVlu&D?((B:]`(V
+\,ENFDu`MWd"_U#nFZMUkQ"Z`Zul_+ajU3>~>
+iVsdM7fZIi/:P(?^Qo*KEM&kP/c^dUd%tDh$N'l,-=Ak7>lKft2#qR!Yc49X!1C'%2ul?C$Ql/B
+YR$CQ-C*J?&fm\FYQg:n&4d?KKDgl5*'fS`T+=Hm!(NN`Y,J:qT8>T/!+Yo@"C;'p(6JC-"C_?f
+!0$lk!gE\!rSJ6L+92BQ:kt[8Nu/IAXfu:84I#iL%&$5m%p2C'CB*U8!2ohr$J>DWdf9?L/dkKE
+qu?^)r`BnqY^.K$VpNf0.1F#]nbD]4(:5q!<RCbr~>
+iVsdM7fZIi/:P(?^Qo*KEM&kP/c^dUd%tDh$N'l,-=Ak7>lKft2#qR!Yc49X!1C'%2ul?C$Ql/B
+YR$CQ-C*J?&fm\FYQg:n&4d?KKDgl5*'fS`T+=Hm!(NN`Y,J:qT8>T/!+Yo@"C;'p(6JC-"C_?f
+!0$lk!gE\!rSJ6L+92BQ:kt[8Nu/IAXfu:84I#iL%&$5m%p2C'CB*U8!2ohr$J>DWdf9?L/dkKE
+qu?^)r`BnqY^.K$VpNf0.1F#]nbD]4(:5q!<RCbr~>
+iVsdM7fZIi/:P(?^Qo*KEM&kP/c^dUd%tDh$N'l,-=Ak7>lKft2#qR!Yc49X!1C'%2ul?C$Ql/B
+YR$CQ-C*J?&fm\FYQg:n&4d?KKDgl5*'fS`T+=Hm!(NN`Y,J:qT8>T/!+Yo@"C;'p(6JC-"C_?f
+!0$lk!gE\!rSJ6L+92BQ:kt[8Nu/IAXfu:84I#iL%&$5m%p2C'CB*U8!2ohr$J>DWdf9?L/dkKE
+qu?^)r`BnqY^.K$VpNf0.1F#]nbD]4(:5q!<RCbr~>
+hu=%=7fY#H\\Glg8t#[N"fAI5!!$X/DupCo[JdiLC(!:;F9k79Un=7n+aEsi"(Vf?C\k7OOq%Hl
+-#cHV*EWgm=J2m_4;V=cO;o*ur1=+J&-.BWqk"$b(6*DSH2YJ^VClek<re<Y^B:DP!%n)_&iCP_
+ho?iMH]X=p3<0Ue(d1tkrVupAq60r^!#=#_rr_R<'\!']#4*ofs-j!Pr1=%-*XhpK"!R^F(]2Pc
+LB(9Bj`l/098_$pJ,~>
+hu=%=7fY#H\\Glg8t#[N"fAI5!!$X/DupCo[JdiLC(!:;F9k79Un=7n+aEsi"(Vf?C\k7OOq%Hl
+-#cHV*EWgm=J2m_4;V=cO;o*ur1=+J&-.BWqk"$b(6*DSH2YJ^VClek<re<Y^B:DP!%n)_&iCP_
+ho?iMH]X=p3<0Ue(d1tkrVupAq60r^!#=#_rr_R<'\!']#4*ofs-j!Pr1=%-*XhpK"!R^F(]2Pc
+LB(9Bj`l/098_$pJ,~>
+hu=%=7fY#H\\Glg8t#[N"fAI5!!$X/DupCo[JdiLC(!:;F9k79Un=7n+aEsi"(Vf?C\k7OOq%Hl
+-#cHV*EWgm=J2m_4;V=cO;o*ur1=+J&-.BWqk"$b(6*DSH2YJ^VClek<re<Y^B:DP!%n)_&iCP_
+ho?iMH]X=p3<0Ue(d1tkrVupAq60r^!#=#_rr_R<'\!']#4*ofs-j!Pr1=%-*XhpK"!R^F(]2Pc
+LB(9Bj`l/098_$pJ,~>
+hZ!o&J-Z-X?sj5(VZ*b&[[.7"!0mE="*t>U[JdiJC'u"4,'KcST7I>8rNHI-@gi>ZGPnZIAi^kg
+q>^OfFoANKPRnU:H4D\-T*:Wu!!#6Dr1=1%&hKZ3&i9O%#Gt!CYcsQ3@/I\A@K6BDWr0U9H5eTZ
+=9(_eO9'nqq>^X1)\?,9rNHEu=<.Alr;Qi!/>rIH"^2Oh/i/+XT*(?"$Y0.>"@E.h%!2?n#f\>&
+G\mE\9?PNZJ,~>
+hZ!o&J-Z-X?sj5(VZ*b&[[.7"!0mE="*t>U[JdiJC'u"4,'KcST7I>8rNHI-@gi>ZGPnZIAi^kg
+q>^OfFoANKPRnU:H4D\-T*:Wu!!#6Dr1=1%&hKZ3&i9O%#Gt!CYcsQ3@/I\A@K6BDWr0U9H5eTZ
+=9(_eO9'nqq>^X1)\?,9rNHEu=<.Alr;Qi!/>rIH"^2Oh/i/+XT*(?"$Y0.>"@E.h%!2?n#f\>&
+G\mE\9?PNZJ,~>
+hZ!o&J-Z-X?sj5(VZ*b&[[.7"!0mE="*t>U[JdiJC'u"4,'KcST7I>8rNHI-@gi>ZGPnZIAi^kg
+q>^OfFoANKPRnU:H4D\-T*:Wu!!#6Dr1=1%&hKZ3&i9O%#Gt!CYcsQ3@/I\A@K6BDWr0U9H5eTZ
+=9(_eO9'nqq>^X1)\?,9rNHEu=<.Alr;Qi!/>rIH"^2Oh/i/+XT*(?"$Y0.>"@E.h%!2?n#f\>&
+G\mE\9?PNZJ,~>
+gA_828-"8>^BZt';5mq/0%KpX"0r:]L&SgjRU?L'7W/3t*u%GGYcXjsJdZ"Z56)dLY[n:`:m.HC
+63(*$Y!rC3T`)),PZSLt!.L<&Q&q)/%mP7M(M<Z=!f7O@rgsF;!0Y+3>o0"0YQA\XO8ZgF1)#P(
+4YY70cH+)CAH3<=K:&$sT:_/]&;Q<C(_LJdYb2sI=HoIM!)^k2.'!4F$CCg+s8VG9/H@SYrLX1/
+*B0&YYQq%#!(O_L!)!19"-P,BMol!L~>
+gA_828-"8>^BZt';5mq/0%KpX"0r:]L&SgjRU?L'7W/3t*u%GGYcXjsJdZ"Z56)dLY[n:`:m.HC
+63(*$Y!rC3T`)),PZSLt!.L<&Q&q)/%mP7M(M<Z=!f7O@rgsF;!0Y+3>o0"0YQA\XO8ZgF1)#P(
+4YY70cH+)CAH3<=K:&$sT:_/]&;Q<C(_LJdYb2sI=HoIM!)^k2.'!4F$CCg+s8VG9/H@SYrLX1/
+*B0&YYQq%#!(O_L!)!19"-P,BMol!L~>
+gA_828-"8>^BZt';5mq/0%KpX"0r:]L&SgjRU?L'7W/3t*u%GGYcXjsJdZ"Z56)dLY[n:`:m.HC
+63(*$Y!rC3T`)),PZSLt!.L<&Q&q)/%mP7M(M<Z=!f7O@rgsF;!0Y+3>o0"0YQA\XO8ZgF1)#P(
+4YY70cH+)CAH3<=K:&$sT:_/]&;Q<C(_LJdYb2sI=HoIM!)^k2.'!4F$CCg+s8VG9/H@SYrLX1/
+*B0&YYQq%#!(O_L!)!19"-P,BMol!L~>
+g&DT(#q<C!^R&=6-)n,Q3rkKBh][=S-FLU'3WL@+$6F)W=ULV%Xe_S]AH7RZK2;su=:G7:rLXCL
+:^pI>Y!rC^T`2/!BNPiH!-nI(%=8U%O.Tel(QP,[Er]2=T*C068Z?kL0)Vp^/4c\R^Si#FT:^EH
+JGmh!b%Lbe:f)uIT*T'o&7;&3!"irDYRGVE!'EdeGffIE:fZ$Drt4QJ-i`OM!"E$Q1KpECPT:-m
+rNHQG!'?XaZrIKTrm1b1.L_9Ws*t~>
+g&DT(#q<C!^R&=6-)n,Q3rkKBh][=S-FLU'3WL@+$6F)W=ULV%Xe_S]AH7RZK2;su=:G7:rLXCL
+:^pI>Y!rC^T`2/!BNPiH!-nI(%=8U%O.Tel(QP,[Er]2=T*C068Z?kL0)Vp^/4c\R^Si#FT:^EH
+JGmh!b%Lbe:f)uIT*T'o&7;&3!"irDYRGVE!'EdeGffIE:fZ$Drt4QJ-i`OM!"E$Q1KpECPT:-m
+rNHQG!'?XaZrIKTrm1b1.L_9Ws*t~>
+g&DT(#q<C!^R&=6-)n,Q3rkKBh][=S-FLU'3WL@+$6F)W=ULV%Xe_S]AH7RZK2;su=:G7:rLXCL
+:^pI>Y!rC^T`2/!BNPiH!-nI(%=8U%O.Tel(QP,[Er]2=T*C068Z?kL0)Vp^/4c\R^Si#FT:^EH
+JGmh!b%Lbe:f)uIT*T'o&7;&3!"irDYRGVE!'EdeGffIE:fZ$Drt4QJ-i`OM!"E$Q1KpECPT:-m
+rNHQG!'?XaZrIKTrm1b1.L_9Ws*t~>
+fDc$f!3s9L!)!0n!b_R<r8.L0qu?hhYcr!C!!5KkU&CSa(5`!^"(qT62u0'GCARu433XP)!!>0+
+!%e,2"(_H4If>rDE<(EZT-Ja]T*0691G(6VYQog]O2$eW!-S:5!\48<rm1a.!$<Zg!!+5rqZ$VB
+q60r\!!&bln,gZ2WVlbr=T&4"ErN9I56([[!!$s9YQC9o(AtoO9)sFf;ZN6*s*t~>
+fDc$f!3s9L!)!0n!b_R<r8.L0qu?hhYcr!C!!5KkU&CSa(5`!^"(qT62u0'GCARu433XP)!!>0+
+!%e,2"(_H4If>rDE<(EZT-Ja]T*0691G(6VYQog]O2$eW!-S:5!\48<rm1a.!$<Zg!!+5rqZ$VB
+q60r\!!&bln,gZ2WVlbr=T&4"ErN9I56([[!!$s9YQC9o(AtoO9)sFf;ZN6*s*t~>
+fDc$f!3s9L!)!0n!b_R<r8.L0qu?hhYcr!C!!5KkU&CSa(5`!^"(qT62u0'GCARu433XP)!!>0+
+!%e,2"(_H4If>rDE<(EZT-Ja]T*0691G(6VYQog]O2$eW!-S:5!\48<rm1a.!$<Zg!!+5rqZ$VB
+q60r\!!&bln,gZ2WVlbr=T&4"ErN9I56([[!!$s9YQC9o(AtoO9)sFf;ZN6*s*t~>
+fDc#q#q7eZIJ^5ON!KC`.f<r^$NNr!r3-8<!!$O,T)r1EPl73XK/?F96^.J@%>7Oe68\a=?sjQH
+!$8!9YQnl*!)RtO(m"Te"`bDk,8Q:9T*$A>!/C?S"Y:Ku(__f*T*L?=(k@<;!(?dI!)`^q#<5OE
+!'WmQ:A_6uA,n^lUAaQ_gaFZMrr]>R!#ka="/JTj$iNm);'>oIC](pN[8d2`!*R;@J,~>
+fDc#q#q7eZIJ^5ON!KC`.f<r^$NNr!r3-8<!!$O,T)r1EPl73XK/?F96^.J@%>7Oe68\a=?sjQH
+!$8!9YQnl*!)RtO(m"Te"`bDk,8Q:9T*$A>!/C?S"Y:Ku(__f*T*L?=(k@<;!(?dI!)`^q#<5OE
+!'WmQ:A_6uA,n^lUAaQ_gaFZMrr]>R!#ka="/JTj$iNm);'>oIC](pN[8d2`!*R;@J,~>
+fDc#q#q7eZIJ^5ON!KC`.f<r^$NNr!r3-8<!!$O,T)r1EPl73XK/?F96^.J@%>7Oe68\a=?sjQH
+!$8!9YQnl*!)RtO(m"Te"`bDk,8Q:9T*$A>!/C?S"Y:Ku(__f*T*L?=(k@<;!(?dI!)`^q#<5OE
+!'WmQ:A_6uA,n^lUAaQ_gaFZMrr]>R!#ka="/JTj$iNm);'>oIC](pN[8d2`!*R;@J,~>
+ec,[a!)!-m#7ge7:(dQKdJhJpIK0A=rNHHB!(%G$MuB7K(-;Ac"W%05I/l5)T*H8724pLV!'^Cs
+![@\-rP&KA+ohTsq4@a5!!"SHT*$A>!/C<R!\FC"q4@g@!!".'PQ%0a/H>cjT:^T5,I"C1!!%?E
+YQZudU[Z8Qr9sba!%IpI"kN_nQ2hj$YQC0l(&aa)Pl(L]G5T)WWrN-f`;b>~>
+ec,[a!)!-m#7ge7:(dQKdJhJpIK0A=rNHHB!(%G$MuB7K(-;Ac"W%05I/l5)T*H8724pLV!'^Cs
+![@\-rP&KA+ohTsq4@a5!!"SHT*$A>!/C<R!\FC"q4@g@!!".'PQ%0a/H>cjT:^T5,I"C1!!%?E
+YQZudU[Z8Qr9sba!%IpI"kN_nQ2hj$YQC0l(&aa)Pl(L]G5T)WWrN-f`;b>~>
+ec,[a!)!-m#7ge7:(dQKdJhJpIK0A=rNHHB!(%G$MuB7K(-;Ac"W%05I/l5)T*H8724pLV!'^Cs
+![@\-rP&KA+ohTsq4@a5!!"SHT*$A>!/C<R!\FC"q4@g@!!".'PQ%0a/H>cjT:^T5,I"C1!!%?E
+YQZudU[Z8Qr9sba!%IpI"kN_nQ2hj$YQC0l(&aa)Pl(L]G5T)WWrN-f`;b>~>
+eGgl;$357RY[7Y`@(*hb63*/*f\"TL$R2IPYX&8-YcpFo7;\Z.!/^ZH%"esU^V=Xs)g>*f)j:/l
+"'mebD>q9MEW'8F')hk3(h`];"%iOn<;W9kMA&,d(N92T"E"tT4(J/[!KB8@!!#%X:^2`JT4^@g
+;#RU,F%6gVF%?:EnF50[.fAc^;&.U\X"6;oY\F.uA[&C`+:EdoW3(=g$]hNh:&kZj^U5?f:!CNT
+J,~>
+eGgl;$357RY[7Y`@(*hb63*/*f\"TL$R2IPYX&8-YcpFo7;\Z.!/^ZH%"esU^V=Xs)g>*f)j:/l
+"'mebD>q9MEW'8F')hk3(h`];"%iOn<;W9kMA&,d(N92T"E"tT4(J/[!KB8@!!#%X:^2`JT4^@g
+;#RU,F%6gVF%?:EnF50[.fAc^;&.U\X"6;oY\F.uA[&C`+:EdoW3(=g$]hNh:&kZj^U5?f:!CNT
+J,~>
+eGgl;$357RY[7Y`@(*hb63*/*f\"TL$R2IPYX&8-YcpFo7;\Z.!/^ZH%"esU^V=Xs)g>*f)j:/l
+"'mebD>q9MEW'8F')hk3(h`];"%iOn<;W9kMA&,d(N92T"E"tT4(J/[!KB8@!!#%X:^2`JT4^@g
+;#RU,F%6gVF%?:EnF50[.fAc^;&.U\X"6;oY\F.uA[&C`+:EdoW3(=g$]hNh:&kZj^U5?f:!CNT
+J,~>
+e,KZ08gRSA#?Q]Z^DWCF/TB4sf[Y$O:8X$Y+f2EIO&uc1G;;UOrLX.(,(]a.#>P7I!(1LnUA_"n
+E<%)ZSGlmu&c_nNr`B78(f6:mT*L0K&K)5t:lYIH#DtPBH=@O(S,KPqRMHT"!#(7gT)t!8&H53&
+'EA+Fr_O2_NY_[/S[c2<Ycs`=&K;L1b5Ul3:)1nLn/.,bP^k:pP-D0c9)oE`U`^%LW2["t+U_fZ
+YR%+.,!014%Y2g@s*t~>
+e,KZ08gRSA#?Q]Z^DWCF/TB4sf[Y$O:8X$Y+f2EIO&uc1G;;UOrLX.(,(]a.#>P7I!(1LnUA_"n
+E<%)ZSGlmu&c_nNr`B78(f6:mT*L0K&K)5t:lYIH#DtPBH=@O(S,KPqRMHT"!#(7gT)t!8&H53&
+'EA+Fr_O2_NY_[/S[c2<Ycs`=&K;L1b5Ul3:)1nLn/.,bP^k:pP-D0c9)oE`U`^%LW2["t+U_fZ
+YR%+.,!014%Y2g@s*t~>
+e,KZ08gRSA#?Q]Z^DWCF/TB4sf[Y$O:8X$Y+f2EIO&uc1G;;UOrLX.(,(]a.#>P7I!(1LnUA_"n
+E<%)ZSGlmu&c_nNr`B78(f6:mT*L0K&K)5t:lYIH#DtPBH=@O(S,KPqRMHT"!#(7gT)t!8&H53&
+'EA+Fr_O2_NY_[/S[c2<Ycs`=&K;L1b5Ul3:)1nLn/.,bP^k:pP-D0c9)oE`U`^%LW2["t+U_fZ
+YR%+.,!014%Y2g@s*t~>
+dJj?k8cVr%qS*)G$7u-p"@N4i,'s-j"HPMB*L-Mp!^?[[r4`>_!$7m3YX(n^4#$_+FKi!WTNG;.
+8m"7q&f4Ag:_=S9YcqmV(1j+p&f$@tT8G]HDm5[4(-IMIN'%(RMMs[u!&R4\3`&X]rLX7*(IUps
+<r9W5CB,s`n,qET;9Ah,"PdPg%[-[m")@l:3;ck[/6Iu1YQLaH%ZS7'J,~>
+dJj?k8cVr%qS*)G$7u-p"@N4i,'s-j"HPMB*L-Mp!^?[[r4`>_!$7m3YX(n^4#$_+FKi!WTNG;.
+8m"7q&f4Ag:_=S9YcqmV(1j+p&f$@tT8G]HDm5[4(-IMIN'%(RMMs[u!&R4\3`&X]rLX7*(IUps
+<r9W5CB,s`n,qET;9Ah,"PdPg%[-[m")@l:3;ck[/6Iu1YQLaH%ZS7'J,~>
+dJj?k8cVr%qS*)G$7u-p"@N4i,'s-j"HPMB*L-Mp!^?[[r4`>_!$7m3YX(n^4#$_+FKi!WTNG;.
+8m"7q&f4Ag:_=S9YcqmV(1j+p&f$@tT8G]HDm5[4(-IMIN'%(RMMs[u!&R4\3`&X]rLX7*(IUps
+<r9W5CB,s`n,qET;9Ah,"PdPg%[-[m")@l:3;ck[/6Iu1YQLaH%ZS7'J,~>
+d/O6k$NO8;qnE8J$31'3rFc6@,,Y7A"ckVC*Di""T)ofQZ2ME@Q9R&'8tu6f#9Ob7Gms`nT`))'
+Bb:=F++eeR!%7h9EW**GCD7P.3Yc6)T*L5e(ReD*4H'32#E2Io4$<R59)\ek3f3d,#EBT7UT7'%
+F8WcT3u'c9qsX[,!+l0!"PdPg%[-[m!g`lor^[2V!!!C/O8H-_Dua.Ws*t~>
+d/O6k$NO8;qnE8J$31'3rFc6@,,Y7A"ckVC*Di""T)ofQZ2ME@Q9R&'8tu6f#9Ob7Gms`nT`))'
+Bb:=F++eeR!%7h9EW**GCD7P.3Yc6)T*L5e(ReD*4H'32#E2Io4$<R59)\ek3f3d,#EBT7UT7'%
+F8WcT3u'c9qsX[,!+l0!"PdPg%[-[m!g`lor^[2V!!!C/O8H-_Dua.Ws*t~>
+d/O6k$NO8;qnE8J$31'3rFc6@,,Y7A"ckVC*Di""T)ofQZ2ME@Q9R&'8tu6f#9Ob7Gms`nT`))'
+Bb:=F++eeR!%7h9EW**GCD7P.3Yc6)T*L5e(ReD*4H'32#E2Io4$<R59)\ek3f3d,#EBT7UT7'%
+F8WcT3u'c9qsX[,!+l0!"PdPg%[-[m!g`lor^[2V!!!C/O8H-_Dua.Ws*t~>
+cMms2!)NO-$kiU@?iX<dda6?k!(6Xf!#PS6"Zi9JAcP6u^B^R,BE4`T!'C.`!d4Psrf@:m!&q-d
+HN!mIJ8YDfVZ"jD/-#Z*ricBPrVuqEqk!k3rVuqCrgs18rVuqXrkAq!!!"::/-#YpT:[\8!/LQg
+!]^78rkAW*.c3\qV#0Wg:FYf&:]LK'!!%*;YRE_r>`b&35QG^g!!!f5YQ@/lSA"rQ~>
+cMms2!)NO-$kiU@?iX<dda6?k!(6Xf!#PS6"Zi9JAcP6u^B^R,BE4`T!'C.`!d4Psrf@:m!&q-d
+HN!mIJ8YDfVZ"jD/-#Z*ricBPrVuqEqk!k3rVuqCrgs18rVuqXrkAq!!!"::/-#YpT:[\8!/LQg
+!]^78rkAW*.c3\qV#0Wg:FYf&:]LK'!!%*;YRE_r>`b&35QG^g!!!f5YQ@/lSA"rQ~>
+cMms2!)NO-$kiU@?iX<dda6?k!(6Xf!#PS6"Zi9JAcP6u^B^R,BE4`T!'C.`!d4Psrf@:m!&q-d
+HN!mIJ8YDfVZ"jD/-#Z*ricBPrVuqEqk!k3rVuqCrgs18rVuqXrkAq!!!"::/-#YpT:[\8!/LQg
+!]^78rkAW*.c3\qV#0Wg:FYf&:]LK'!!%*;YRE_r>`b&35QG^g!!!f5YQ@/lSA"rQ~>
+c2T,J$R`BM?jTkg^V?0D/CWD,dARHsV6I16$R'c!Y[e/1G;F?UZ)R_p$Q27F^MaZTTs.,h;uD^]
+Gmt])!'k5sT*'jF&0Lmb!#GG3!$2#O!+Gk'!*8u1!#k_7"rCZT8J4jVrgsC,4oc0Y!*K06%%%#^
+U;(FC@c+Qn;Teq,,G-?WMuZ(\^T_)h3g$YNUE9hdR]</W$tQTHGte8tA#<!$?+g2f~>
+c2T,J$R`BM?jTkg^V?0D/CWD,dARHsV6I16$R'c!Y[e/1G;F?UZ)R_p$Q27F^MaZTTs.,h;uD^]
+Gmt])!'k5sT*'jF&0Lmb!#GG3!$2#O!+Gk'!*8u1!#k_7"rCZT8J4jVrgsC,4oc0Y!*K06%%%#^
+U;(FC@c+Qn;Teq,,G-?WMuZ(\^T_)h3g$YNUE9hdR]</W$tQTHGte8tA#<!$?+g2f~>
+c2T,J$R`BM?jTkg^V?0D/CWD,dARHsV6I16$R'c!Y[e/1G;F?UZ)R_p$Q27F^MaZTTs.,h;uD^]
+Gmt])!'k5sT*'jF&0Lmb!#GG3!$2#O!+Gk'!*8u1!#k_7"rCZT8J4jVrgsC,4oc0Y!*K06%%%#^
+U;(FC@c+Qn;Teq,,G-?WMuZ(\^T_)h3g$YNUE9hdR]</W$tQTHGte8tA#<!$?+g2f~>
+bl7[/r;Zglr4`>U!!(%<hZeZ46a.=+Rf'AiE;fh;R/EQW(de29"b-M5*WRkkO9D#VGlTeuYQ?'M
+1]+BVJ*m:;K<5$D""F9NFSVO4/H>d8d)>mt"do?;3WL]0hZC4dV#0W``rH*hr4`K1!!!q'!!$I,
+YQ@&iE;Qj>6N-rbS\+oP~>
+bl7[/r;Zglr4`>U!!(%<hZeZ46a.=+Rf'AiE;fh;R/EQW(de29"b-M5*WRkkO9D#VGlTeuYQ?'M
+1]+BVJ*m:;K<5$D""F9NFSVO4/H>d8d)>mt"do?;3WL]0hZC4dV#0W``rH*hr4`K1!!!q'!!$I,
+YQ@&iE;Qj>6N-rbS\+oP~>
+bl7[/r;Zglr4`>U!!(%<hZeZ46a.=+Rf'AiE;fh;R/EQW(de29"b-M5*WRkkO9D#VGlTeuYQ?'M
+1]+BVJ*m:;K<5$D""F9NFSVO4/H>d8d)>mt"do?;3WL]0hZC4dV#0W``rH*hr4`K1!!!q'!!$I,
+YQ@&iE;Qj>6N-rbS\+oP~>
+bPq^g9)r&%qnE3$$7l'o"@W:j7WA:("e^GT!!$F*T)sWREW!QUD\)nWTV/.[YQ^7&)%R[Yr3-Bk
+&f4@V7WJ@1"`$@'!#T\QYQC4p62gia;#?jg;#imL&n:d2"cbb_;?1,&ciqS5KiA%^r8.QF(<ZUF
+"eT<*&!O9r\-.(Z9)oG"=99TF)#CH=Gteg0])R9~>
+bPq^g9)r&%qnE3$$7l'o"@W:j7WA:("e^GT!!$F*T)sWREW!QUD\)nWTV/.[YQ^7&)%R[Yr3-Bk
+&f4@V7WJ@1"`$@'!#T\QYQC4p62gia;#?jg;#imL&n:d2"cbb_;?1,&ciqS5KiA%^r8.QF(<ZUF
+"eT<*&!O9r\-.(Z9)oG"=99TF)#CH=Gteg0])R9~>
+bPq^g9)r&%qnE3$$7l'o"@W:j7WA:("e^GT!!$F*T)sWREW!QUD\)nWTV/.[YQ^7&)%R[Yr3-Bk
+&f4@V7WJ@1"`$@'!#T\QYQC4p62gia;#?jg;#imL&n:d2"cbb_;?1,&ciqS5KiA%^r8.QF(<ZUF
+"eT<*&!O9r\-.(Z9)oG"=99TF)#CH=Gteg0])R9~>
+ao;F/!)<C+!#5A3!4`$T"+^FPMu0+M(''\@!''tM!b_S-qnE1T!'9t\#'_nqD?'ZsricZT!!%J?
+T-41iridJo!&:^^J,fS)YcoSW!%kFZ/-#ZoT:^B/!.qGZ0*$+mT*?hHQ-_SmPkr`.56.2MhZ66B
+rpU-3!$8@*!-S1C!^-N#rLX'MrVup8r3-6k!$A`NJ,~>
+ao;F/!)<C+!#5A3!4`$T"+^FPMu0+M(''\@!''tM!b_S-qnE1T!'9t\#'_nqD?'ZsricZT!!%J?
+T-41iridJo!&:^^J,fS)YcoSW!%kFZ/-#ZoT:^B/!.qGZ0*$+mT*?hHQ-_SmPkr`.56.2MhZ66B
+rpU-3!$8@*!-S1C!^-N#rLX'MrVup8r3-6k!$A`NJ,~>
+ao;F/!)<C+!#5A3!4`$T"+^FPMu0+M(''\@!''tM!b_S-qnE1T!'9t\#'_nqD?'ZsricZT!!%J?
+T-41iridJo!&:^^J,fS)YcoSW!%kFZ/-#ZoT:^B/!.qGZ0*$+mT*?hHQ-_SmPkr`.56.2MhZ66B
+rpU-3!$8@*!-S1C!^-N#rLX'MrVup8r3-6k!$A`NJ,~>
+aSu^.$ikZh3WLL7[@.IOOT*T/W=9o6rgsUN$Qu7LYXJO[CS)H<rkA]LYGrK]==eUmYRO8+>+_FA%
+i_.FQ4b$qrLX<d!+)!*)-EF.YQpOr:_Pui=I]8n#At:k:cn_DD>paFS4"!!T8aU&J,[dr4A)pXc
+iq$''He0Fr8.p4!2K%@!'?CKTcFVTrid*2*XkktTW"M*%$78e+94B'O)=r)\,Us~>
+aSu^.$ikZh3WLL7[@.IOOT*T/W=9o6rgsUN$Qu7LYXJO[CS)H<rkA]LYGrK]==eUmYRO8+>+_FA%
+i_.FQ4b$qrLX<d!+)!*)-EF.YQpOr:_Pui=I]8n#At:k:cn_DD>paFS4"!!T8aU&J,[dr4A)pXc
+iq$''He0Fr8.p4!2K%@!'?CKTcFVTrid*2*XkktTW"M*%$78e+94B'O)=r)\,Us~>
+aSu^.$ikZh3WLL7[@.IOOT*T/W=9o6rgsUN$Qu7LYXJO[CS)H<rkA]LYGrK]==eUmYRO8+>+_FA%
+i_.FQ4b$qrLX<d!+)!*)-EF.YQpOr:_Pui=I]8n#At:k:cn_DD>paFS4"!!T8aU&J,[dr4A)pXc
+iq$''He0Fr8.p4!2K%@!'?CKTcFVTrid*2*XkktTW"M*%$78e+94B'O)=r)\,Us~>
+a8Z@&$ml;]-ADH6")82l`;\*hFU^d)T7SfuD#UXOOZ<C]:bAod]!&-+KFMRu*Z^sQYQ>pbOT(jV
+?OoY[4r@r1T*:$2)*^;uqksXo@M:nbqPXR049,?rRJa8nS/;lq;ugD+ciS.d?iJCV]2J]8L`e5G
+hZh7LBA4dEPQ%csFWM$UYcqgA5bP'TY\O5-ricWP=<IT&+V;u/s*t~>
+a8Z@&$ml;]-ADH6")82l`;\*hFU^d)T7SfuD#UXOOZ<C]:bAod]!&-+KFMRu*Z^sQYQ>pbOT(jV
+?OoY[4r@r1T*:$2)*^;uqksXo@M:nbqPXR049,?rRJa8nS/;lq;ugD+ciS.d?iJCV]2J]8L`e5G
+hZh7LBA4dEPQ%csFWM$UYcqgA5bP'TY\O5-ricWP=<IT&+V;u/s*t~>
+a8Z@&$ml;]-ADH6")82l`;\*hFU^d)T7SfuD#UXOOZ<C]:bAod]!&-+KFMRu*Z^sQYQ>pbOT(jV
+?OoY[4r@r1T*:$2)*^;uqksXo@M:nbqPXR049,?rRJa8nS/;lq;ugD+ciS.d?iJCV]2J]8L`e5G
+hZh7LBA4dEPQ%csFWM$UYcqgA5bP'TY\O5-ricWP=<IT&+V;u/s*t~>
+`W$!B!.=[Y".D;"OT*T2WFu_]$Qu8BYQ]%I!'RNZrLXK:8YNAP3urIJPRn^Hr1=4L&-*`CYHPV;
+^BC>I!'ZG@T*C06!(dtAAGVo#:]LJJr4`HI\>)Xr(UO"c$p5<2d(:A7Z-^jr!+Pl`"%N=k9Dbq&
+U.Pnt*]fIgYbOhk3Ka3C"*btccaEe'~>
+`W$!B!.=[Y".D;"OT*T2WFu_]$Qu8BYQ]%I!'RNZrLXK:8YNAP3urIJPRn^Hr1=4L&-*`CYHPV;
+^BC>I!'ZG@T*C06!(dtAAGVo#:]LJJr4`HI\>)Xr(UO"c$p5<2d(:A7Z-^jr!+Pl`"%N=k9Dbq&
+U.Pnt*]fIgYbOhk3Ka3C"*btccaEe'~>
+`W$!B!.=[Y".D;"OT*T2WFu_]$Qu8BYQ]%I!'RNZrLXK:8YNAP3urIJPRn^Hr1=4L&-*`CYHPV;
+^BC>I!'ZG@T*C06!(dtAAGVo#:]LJJr4`HI\>)Xr(UO"c$p5<2d(:A7Z-^jr!+Pl`"%N=k9Dbq&
+U.Pnt*]fIgYbOhk3Ka3C"*btccaEe'~>
+`W$%a%46f+^B/QY./[`\%0.MqqQL)l!!""&rLX-r/"usH#*TQ<TQgH?qk""m+oiXbqnE<16lSPp
+<;`?nF9"n3Fr(mPr1=.&'Gj:VVYe+2WCd.,Zhr)RL)rslVA4OYciUjZ.fJ6-b9R&f9DYjqU)j:7
+3rW4`9)pu7qlg0u+:uo,s*t~>
+`W$%a%46f+^B/QY./[`\%0.MqqQL)l!!""&rLX-r/"usH#*TQ<TQgH?qk""m+oiXbqnE<16lSPp
+<;`?nF9"n3Fr(mPr1=.&'Gj:VVYe+2WCd.,Zhr)RL)rslVA4OYciUjZ.fJ6-b9R&f9DYjqU)j:7
+3rW4`9)pu7qlg0u+:uo,s*t~>
+`W$%a%46f+^B/QY./[`\%0.MqqQL)l!!""&rLX-r/"usH#*TQ<TQgH?qk""m+oiXbqnE<16lSPp
+<;`?nF9"n3Fr(mPr1=.&'Gj:VVYe+2WCd.,Zhr)RL)rslVA4OYciUjZ.fJ6-b9R&f9DYjqU)j:7
+3rW4`9)pu7qlg0u+:uo,s*t~>
+_uBcV!3?(5!#GM5!)EL>!eUJ<qlgHK!'[V+!/@,<B`L6mYQ/nG!!%WMT*MpA^P)Yq!'0qk"t0J;
+^FB52rLX<@!0Y+3N;tF*T*?\s^QAKrNVpNo1]Wk&QMSr2V#Y0/P5ET,5Uucj#"JZ0K)bmpr3-6d
+!#bd.!MYnY!!%$;YQI,j!26b!J,~>
+_uBcV!3?(5!#GM5!)EL>!eUJ<qlgHK!'[V+!/@,<B`L6mYQ/nG!!%WMT*MpA^P)Yq!'0qk"t0J;
+^FB52rLX<@!0Y+3N;tF*T*?\s^QAKrNVpNo1]Wk&QMSr2V#Y0/P5ET,5Uucj#"JZ0K)bmpr3-6d
+!#bd.!MYnY!!%$;YQI,j!26b!J,~>
+_uBcV!3?(5!#GM5!)EL>!eUJ<qlgHK!'[V+!/@,<B`L6mYQ/nG!!%WMT*MpA^P)Yq!'0qk"t0J;
+^FB52rLX<@!0Y+3N;tF*T*?\s^QAKrNVpNo1]Wk&QMSr2V#Y0/P5ET,5Uucj#"JZ0K)bmpr3-6d
+!#bd.!MYnY!!%$;YQI,j!26b!J,~>
+_uC4j9dX7U3WLI6[$s,W>EAd1'2SZ/Cp:.+%3KeuY`TD7CP4Q;UAM.uP7Sh0YI+5B"sm!FU(\NJ
+rkAMV0RNf6#?h+TT8>TIH2YJZVAC]\T*J0mO2&H.)(kg%#,sA.d%UMLqp5JW*WQq[qp6U1!1CtS%
+YgUJO[9%0PH]1%!(!9VWHK?`7^.)0!";t_9G)g%ZN#F~>
+_uC4j9dX7U3WLI6[$s,W>EAd1'2SZ/Cp:.+%3KeuY`TD7CP4Q;UAM.uP7Sh0YI+5B"sm!FU(\NJ
+rkAMV0RNf6#?h+TT8>TIH2YJZVAC]\T*J0mO2&H.)(kg%#,sA.d%UMLqp5JW*WQq[qp6U1!1CtS%
+YgUJO[9%0PH]1%!(!9VWHK?`7^.)0!";t_9G)g%ZN#F~>
+_uC4j9dX7U3WLI6[$s,W>EAd1'2SZ/Cp:.+%3KeuY`TD7CP4Q;UAM.uP7Sh0YI+5B"sm!FU(\NJ
+rkAMV0RNf6#?h+TT8>TIH2YJZVAC]\T*J0mO2&H.)(kg%#,sA.d%UMLqp5JW*WQq[qp6U1!1CtS%
+YgUJO[9%0PH]1%!(!9VWHK?`7^.)0!";t_9G)g%ZN#F~>
+_Z'V)rVupjqnE5W!!'J+cikBhQl,lgqlg&>rVuq^qlg3tCB+@*qnE.X3rZl!L&dUU^P;eJr4`Cb
+/>%"aPP`*!NW=<r-NK5*^BQHQ^V>s40E0<!3\L<V"/Ptt.f%EkWVuktD>^"11]RMX!!"&=YQC'i
+)uHi>Qi-ma,-h/u~>
+_Z'V)rVupjqnE5W!!'J+cikBhQl,lgqlg&>rVuq^qlg3tCB+@*qnE.X3rZl!L&dUU^P;eJr4`Cb
+/>%"aPP`*!NW=<r-NK5*^BQHQ^V>s40E0<!3\L<V"/Ptt.f%EkWVuktD>^"11]RMX!!"&=YQC'i
+)uHi>Qi-ma,-h/u~>
+_Z'V)rVupjqnE5W!!'J+cikBhQl,lgqlg&>rVuq^qlg3tCB+@*qnE.X3rZl!L&dUU^P;eJr4`Cb
+/>%"aPP`*!NW=<r-NK5*^BQHQ^V>s40E0<!3\L<V"/Ptt.f%EkWVuktD>^"11]RMX!!"&=YQC'i
+)uHi>Qi-ma,-h/u~>
+`;^%#9`T3/!.+IU!Z1nbrFc:"!!#7[YQJqH!'1%W!20=`"[`8U2?7Rl^B0&gCAkmOL&bo%-qgW=
+^BJ`p((qObqnE<37fXq;@/I\C@K9]5)Aoj[ciQ6EZi8;TL)rO!!+,NK"/u8#F8Dg;MZ<`=r)a"A
+!-A%A#G`ISOduIP@C,ua~>
+`;^%#9`T3/!.+IU!Z1nbrFc:"!!#7[YQJqH!'1%W!20=`"[`8U2?7Rl^B0&gCAkmOL&bo%-qgW=
+^BJ`p((qObqnE<37fXq;@/I\C@K9]5)Aoj[ciQ6EZi8;TL)rO!!+,NK"/u8#F8Dg;MZ<`=r)a"A
+!-A%A#G`ISOduIP@C,ua~>
+`;^%#9`T3/!.+IU!Z1nbrFc:"!!#7[YQJqH!'1%W!20=`"[`8U2?7Rl^B0&gCAkmOL&bo%-qgW=
+^BJ`p((qObqnE<37fXq;@/I\C@K9]5)Aoj[ciQ6EZi8;TL)rO!!+,NK"/u8#F8Dg;MZ<`=r)a"A
+!-A%A#G`ISOduIP@C,ua~>
+`W$7g%5WP*bml%-[/@Z>CCL1B!F]jEBEA\dU\h7u7fWN.P5Cj[*#aro%N^)6^S*tgXo6!<UD"VT
+0WY&b"'P[CH252XV\]>(Vu+44W#6@B(kDP2$uQ'1d*T?F&sf+Y'n-#,"h[e7!'FrlYQe\>%p2q:
+;#L@p3G&,m#\sEMs6bCj&C@faJ,~>
+`W$7g%5WP*bml%-[/@Z>CCL1B!F]jEBEA\dU\h7u7fWN.P5Cj[*#aro%N^)6^S*tgXo6!<UD"VT
+0WY&b"'P[CH252XV\]>(Vu+44W#6@B(kDP2$uQ'1d*T?F&sf+Y'n-#,"h[e7!'FrlYQe\>%p2q:
+;#L@p3G&,m#\sEMs6bCj&C@faJ,~>
+`W$7g%5WP*bml%-[/@Z>CCL1B!F]jEBEA\dU\h7u7fWN.P5Cj[*#aro%N^)6^S*tgXo6!<UD"VT
+0WY&b"'P[CH252XV\]>(Vu+44W#6@B(kDP2$uQ'1d*T?F&sf+Y'n-#,"h[e7!'FrlYQe\>%p2q:
+;#L@p3G&,m#\sEMs6bCj&C@faJ,~>
+a8Z:d$ikA>rVn"b%OHeCRl^ULK>3p=.@B#JfW]$"+/?'E7fZ/)Ou`SKrgs7G2)P9(#"8N.^Eal&
+qS*(Z!''eh"'P[CH252XV\]>(Vtn(/1B<g=cj$6]IYJn.QN")i?kosGclftD%u-0B)*DT:Th,4p
+R(0fDYTOF=Y]`Y>3G#Fi*tm!!rr]GX&<F:"J,~>
+a8Z:d$ikA>rVn"b%OHeCRl^ULK>3p=.@B#JfW]$"+/?'E7fZ/)Ou`SKrgs7G2)P9(#"8N.^Eal&
+qS*(Z!''eh"'P[CH252XV\]>(Vtn(/1B<g=cj$6]IYJn.QN")i?kosGclftD%u-0B)*DT:Th,4p
+R(0fDYTOF=Y]`Y>3G#Fi*tm!!rr]GX&<F:"J,~>
+a8Z:d$ikA>rVn"b%OHeCRl^ULK>3p=.@B#JfW]$"+/?'E7fZ/)Ou`SKrgs7G2)P9(#"8N.^Eal&
+qS*(Z!''eh"'P[CH252XV\]>(Vtn(/1B<g=cj$6]IYJn.QN")i?kosGclftD%u-0B)*DT:Th,4p
+R(0fDYTOF=Y]`Y>3G#Fi*tm!!rr]GX&<F:"J,~>
+a8Z6D!-@`.rs+Pp-"&e7,d[Kb)Oq6cd,3a9fR?@a=BH#)U9Lkb%NCS'T0iT`rLX7J2BH6[IJpn\
+])Jl7,QKh#^BJ`p(_dmfqnE<37fY(?@/@VBGo6TkaN2L%cips#(*4-UrNHQe!(jHB]MoDJrgs[(
+!"`7(!'kG8^V?sK%VG^E#GYBC%9Q7'AGZ<.Y:pNK\,Us~>
+a8Z6D!-@`.rs+Pp-"&e7,d[Kb)Oq6cd,3a9fR?@a=BH#)U9Lkb%NCS'T0iT`rLX7J2BH6[IJpn\
+])Jl7,QKh#^BJ`p(_dmfqnE<37fY(?@/@VBGo6TkaN2L%cips#(*4-UrNHQe!(jHB]MoDJrgs[(
+!"`7(!'kG8^V?sK%VG^E#GYBC%9Q7'AGZ<.Y:pNK\,Us~>
+a8Z6D!-@`.rs+Pp-"&e7,d[Kb)Oq6cd,3a9fR?@a=BH#)U9Lkb%NCS'T0iT`rLX7J2BH6[IJpn\
+])Jl7,QKh#^BJ`p(_dmfqnE<37fY(?@/@VBGo6TkaN2L%cips#(*4-UrNHQe!(jHB]MoDJrgs[(
+!"`7(!'kG8^V?sK%VG^E#GYBC%9Q7'AGZ<.Y:pNK\,Us~>
+b5VUf9E9/*q#:KB:B2ZHqnE6'4TJmhDu^IJ!!8\#[Jd<58H<%%-u/UN"<@J#YG1re#)<aHC(a1?
+rP&Q4'euq[5\']+"tg^\Y\l(kr4`DE!*,L@Fo8uX_8pEm!.FaK#+c_^L`d4_qk!jEr;[$e?sk)W%
+[-^n"J\Ti'%-LS"Rgjp&'qfdJ,~>
+b5VUf9E9/*q#:KB:B2ZHqnE6'4TJmhDu^IJ!!8\#[Jd<58H<%%-u/UN"<@J#YG1re#)<aHC(a1?
+rP&Q4'euq[5\']+"tg^\Y\l(kr4`DE!*,L@Fo8uX_8pEm!.FaK#+c_^L`d4_qk!jEr;[$e?sk)W%
+[-^n"J\Ti'%-LS"Rgjp&'qfdJ,~>
+b5VUf9E9/*q#:KB:B2ZHqnE6'4TJmhDu^IJ!!8\#[Jd<58H<%%-u/UN"<@J#YG1re#)<aHC(a1?
+rP&Q4'euq[5\']+"tg^\Y\l(kr4`DE!*,L@Fo8uX_8pEm!.FaK#+c_^L`d4_qk!jEr;[$e?sk)W%
+[-^n"J\Ti'%-LS"Rgjp&'qfdJ,~>
+bPq^g9)s&)pAY6?%j\LX^ArQX!!">EBEU^';6[_3\-/$,)@\P"T*0lZ!#]JJT*L-2!+<$.!,)8F
+#?h+5YcrWrH2YJZVClfdYQ?@HVu=@71-q>40,CD^^BCPU!!#mmYQSu"+:hiVT)r^E&cQ/<+8u6@%
+VGRA"/AKhAbH'*TE%cJ])R9~>
+bPq^g9)s&)pAY6?%j\LX^ArQX!!">EBEU^';6[_3\-/$,)@\P"T*0lZ!#]JJT*L-2!+<$.!,)8F
+#?h+5YcrWrH2YJZVClfdYQ?@HVu=@71-q>40,CD^^BCPU!!#mmYQSu"+:hiVT)r^E&cQ/<+8u6@%
+VGRA"/AKhAbH'*TE%cJ])R9~>
+bPq^g9)s&)pAY6?%j\LX^ArQX!!">EBEU^';6[_3\-/$,)@\P"T*0lZ!#]JJT*L-2!+<$.!,)8F
+#?h+5YcrWrH2YJZVClfdYQ?@HVu=@71-q>40,CD^^BCPU!!#mmYQSu"+:hiVT)r^E&cQ/<+8u6@%
+VGRA"/AKhAbH'*TE%cJ])R9~>
+bl7d2!!$^(rrSbl8Gg.%H2R^C9Dd';+98,6^Arc_!!%]LT*B-42m=G*Jc22BDZGaqYQ6%/rP&@_
+M>aXZ-o:k;!f[13rNH?V!0@,o#;Q:2Ycrl_/H*<fPlN##/HC4qYQH`_!$;'1!\sa"rkANBYWD^_
+!-J+B!^6U\o)Ac"!1gb%J,~>
+bl7d2!!$^(rrSbl8Gg.%H2R^C9Dd';+98,6^Arc_!!%]LT*B-42m=G*Jc22BDZGaqYQ6%/rP&@_
+M>aXZ-o:k;!f[13rNH?V!0@,o#;Q:2Ycrl_/H*<fPlN##/HC4qYQH`_!$;'1!\sa"rkANBYWD^_
+!-J+B!^6U\o)Ac"!1gb%J,~>
+bl7d2!!$^(rrSbl8Gg.%H2R^C9Dd';+98,6^Arc_!!%]LT*B-42m=G*Jc22BDZGaqYQ6%/rP&@_
+M>aXZ-o:k;!f[13rNH?V!0@,o#;Q:2Ycrl_/H*<fPlN##/HC4qYQH`_!$;'1!\sa"rkANBYWD^_
+!-J+B!^6U\o)Ac"!1gb%J,~>
+cMn$iJ."4*nc'-G%j\Kr^RRCd+Jb*$$mgo3cjd&f+^e\B!!#i'?k=6=rgsX+%NM.GPs#+LT:^lM
+2#XW`C(hPdU_Oc<rNHNX!(j/5(DiS=YQcWqGGn%4<rK63S1\s!^Nph2M4^D@!)`a")P0Cu&5Z1g
+!"Vn&)%`4G[]luY8H;T%J5?_fricL"9,!KYrrhhA0b;RCs*t~>
+cMn$iJ."4*nc'-G%j\Kr^RRCd+Jb*$$mgo3cjd&f+^e\B!!#i'?k=6=rgsX+%NM.GPs#+LT:^lM
+2#XW`C(hPdU_Oc<rNHNX!(j/5(DiS=YQcWqGGn%4<rK63S1\s!^Nph2M4^D@!)`a")P0Cu&5Z1g
+!"Vn&)%`4G[]luY8H;T%J5?_fricL"9,!KYrrhhA0b;RCs*t~>
+cMn$iJ."4*nc'-G%j\Kr^RRCd+Jb*$$mgo3cjd&f+^e\B!!#i'?k=6=rgsX+%NM.GPs#+LT:^lM
+2#XW`C(hPdU_Oc<rNHNX!(j/5(DiS=YQcWqGGn%4<rK63S1\s!^Nph2M4^D@!)`a")P0Cu&5Z1g
+!"Vn&)%`4G[]luY8H;T%J5?_fricL"9,!KYrrhhA0b;RCs*t~>
+cMmq\!9rqO#G(nqVnX)LRJj>mE<#u2L\^uN62\J&J,fR+T54Ker3->K!.\tf2>aT]I/l0^!/^TW
+"G$Q9/M?k'">)9h!.t*P"Y]q7PQ2s+T*HtKIB\Y1!,qe-!.jtH"*]k-+oK([5l^n+YWVu`mJd5s
+!$&`QJ,~>
+cMmq\!9rqO#G(nqVnX)LRJj>mE<#u2L\^uN62\J&J,fR+T54Ker3->K!.\tf2>aT]I/l0^!/^TW
+"G$Q9/M?k'">)9h!.t*P"Y]q7PQ2s+T*HtKIB\Y1!,qe-!.jtH"*]k-+oK([5l^n+YWVu`mJd5s
+!$&`QJ,~>
+cMmq\!9rqO#G(nqVnX)LRJj>mE<#u2L\^uN62\J&J,fR+T54Ker3->K!.\tf2>aT]I/l0^!/^TW
+"G$Q9/M?k'">)9h!.t*P"Y]q7PQ2s+T*HtKIB\Y1!,qe-!.jtH"*]k-+oK([5l^n+YWVu`mJd5s
+!$&`QJ,~>
+f)H&58H:ZVPQ1\@o^)S]cO_?1+aEjf%N,6H+^e\pQFTTf=,YGMrl>7E!'q)cT_kqr:&l[\T),Yo
+IK0@:SbfPm.0'?Oq61!U!!!b%qlg6o6i[3IM>Nn]<WFZN5%pmnXg"Ef!(_HnBO+_B*<6(iqnE<=
++V#P,PO/;Pn:38(c2IYJnhU7_s8TGkb0Bs:~>
+f)H&58H:ZVPQ1\@o^)S]cO_?1+aEjf%N,6H+^e\pQFTTf=,YGMrl>7E!'q)cT_kqr:&l[\T),Yo
+IK0@:SbfPm.0'?Oq61!U!!!b%qlg6o6i[3IM>Nn]<WFZN5%pmnXg"Ef!(_HnBO+_B*<6(iqnE<=
++V#P,PO/;Pn:38(c2IYJnhU7_s8TGkb0Bs:~>
+f)H&58H:ZVPQ1\@o^)S]cO_?1+aEjf%N,6H+^e\pQFTTf=,YGMrl>7E!'q)cT_kqr:&l[\T),Yo
+IK0@:SbfPm.0'?Oq61!U!!!b%qlg6o6i[3IM>Nn]<WFZN5%pmnXg"Ef!(_HnBO+_B*<6(iqnE<=
++V#P,PO/;Pn:38(c2IYJnhU7_s8TGkb0Bs:~>
+ec,lr8SnE+!-P[6rr\;n!($Ic&!7;C%3`!kc-O_8AJ-5$SGm1%7fEAfOSZ0aH2mp`R/3``GQ7`$
+q60rM!!%cLYQKRZ!%RfK",HpWF8DL/If9<I55\Lb7hfO-rkJ`GTNE37!)WO,"+VNpBBfEuUB"&K
+rVm).Et$7l[#<0.J,~>
+ec,lr8SnE+!-P[6rr\;n!($Ic&!7;C%3`!kc-O_8AJ-5$SGm1%7fEAfOSZ0aH2mp`R/3``GQ7`$
+q60rM!!%cLYQKRZ!%RfK",HpWF8DL/If9<I55\Lb7hfO-rkJ`GTNE37!)WO,"+VNpBBfEuUB"&K
+rVm).Et$7l[#<0.J,~>
+ec,lr8SnE+!-P[6rr\;n!($Ic&!7;C%3`!kc-O_8AJ-5$SGm1%7fEAfOSZ0aH2mp`R/3``GQ7`$
+q60rM!!%cLYQKRZ!%RfK",HpWF8DL/If9<I55\Lb7hfO-rkJ`GTNE37!)WO,"+VNpBBfEuUB"&K
+rVm).Et$7l[#<0.J,~>
+e,KL`!-P^4rrgYu&0ReIYQmSsCTrp]!-8%Q!hWjbrW!TXC1)M*;?070YcsBp&HG=S4r@r1T*@je
+76^biSc,btQp:X='`]&>r3-BC()B7;6(.\U#FlV23^*NU@K)l*NY_[ZQEYC6BHR3R!Bk/qYR#=j
+&YQmg+$cIt^BCcK+V`DfrrKBar;QrlEu=M!bKU!:~>
+e,KL`!-P^4rrgYu&0ReIYQmSsCTrp]!-8%Q!hWjbrW!TXC1)M*;?070YcsBp&HG=S4r@r1T*@je
+76^biSc,btQp:X='`]&>r3-BC()B7;6(.\U#FlV23^*NU@K)l*NY_[ZQEYC6BHR3R!Bk/qYR#=j
+&YQmg+$cIt^BCcK+V`DfrrKBar;QrlEu=M!bKU!:~>
+e,KL`!-P^4rrgYu&0ReIYQmSsCTrp]!-8%Q!hWjbrW!TXC1)M*;?070YcsBp&HG=S4r@r1T*@je
+76^biSc,btQp:X='`]&>r3-BC()B7;6(.\U#FlV23^*NU@K)l*NY_[ZQEYC6BHR3R!Bk/qYR#=j
+&YQmg+$cIt^BCcK+V`DfrrKBar;QrlEu=M!bKU!:~>
+e,KJJ!:/_G!au(Gridb\$m27KY`TA<YeRqk56)g65QE*kcd0J$&HEfDYY>)t8"[#O&f?]/T+bTE
+)4d*r'1JFqYa@ZU6^qpY!*T9)/8c4=DOWun6(+s]S4!udM2b=I&Rh;D56*m5]>24bBHKB>7fX-7
+Ycsc?&TI`a!cJ'8rkAPT!*#0<rr_jXJBQ.9J,~>
+e,KJJ!:/_G!au(Gridb\$m27KY`TA<YeRqk56)g65QE*kcd0J$&HEfDYY>)t8"[#O&f?]/T+bTE
+)4d*r'1JFqYa@ZU6^qpY!*T9)/8c4=DOWun6(+s]S4!udM2b=I&Rh;D56*m5]>24bBHKB>7fX-7
+Ycsc?&TI`a!cJ'8rkAPT!*#0<rr_jXJBQ.9J,~>
+e,KJJ!:/_G!au(Gridb\$m27KY`TA<YeRqk56)g65QE*kcd0J$&HEfDYY>)t8"[#O&f?]/T+bTE
+)4d*r'1JFqYa@ZU6^qpY!*T9)/8c4=DOWun6(+s]S4!udM2b=I&Rh;D56*m5]>24bBHKB>7fX-7
+Ycsc?&TI`a!cJ'8rkAPT!*#0<rr_jXJBQ.9J,~>
+e,KI_!,LWp#,)#^Y]'S,qlg&>qu?_irP&CW!(m.H!/URR!&jbZ#C?FNI\.b`1]=N^IfM4-J,h8#
+YQoa[!/7X.!/19S"tfn,YV,uurLX(;qu?_]rQkYD!!"8CYQ0a]!!%WK^BQn&J%qWV.,+\%BG\hk
+J,~>
+e,KI_!,LWp#,)#^Y]'S,qlg&>qu?_irP&CW!(m.H!/URR!&jbZ#C?FNI\.b`1]=N^IfM4-J,h8#
+YQoa[!/7X.!/19S"tfn,YV,uurLX(;qu?_]rQkYD!!"8CYQ0a]!!%WK^BQn&J%qWV.,+\%BG\hk
+J,~>
+e,KI_!,LWp#,)#^Y]'S,qlg&>qu?_irP&CW!(m.H!/URR!&jbZ#C?FNI\.b`1]=N^IfM4-J,h8#
+YQoa[!/7X.!/19S"tfn,YV,uurLX(;qu?_]rQkYD!!"8CYQ0a]!!%WK^BQn&J%qWV.,+\%BG\hk
+J,~>
+eGfZ8XN:fbj8T*grVusmVY[e))uotSqmZj"?kFZ'E"r6N!_6@hrO<*?Q4a/t)H`R.YQ\eV(_dgW
+qlg6l5l`G9=So<+Rhlf,&nLp=!bbCGr;[$oBP:<E&s3!h"IDCS!/UNn"i>0X0E>h?rrHdLb5Zt~>
+eGfZ8XN:fbj8T*grVusmVY[e))uotSqmZj"?kFZ'E"r6N!_6@hrO<*?Q4a/t)H`R.YQ\eV(_dgW
+qlg6l5l`G9=So<+Rhlf,&nLp=!bbCGr;[$oBP:<E&s3!h"IDCS!/UNn"i>0X0E>h?rrHdLb5Zt~>
+eGfZ8XN:fbj8T*grVusmVY[e))uotSqmZj"?kFZ'E"r6N!_6@hrO<*?Q4a/t)H`R.YQ\eV(_dgW
+qlg6l5l`G9=So<+Rhlf,&nLp=!bbCGr;[$oBP:<E&s3!h"IDCS!/UNn"i>0X0E>h?rrHdLb5Zt~>
+ec,i:D#aO"!:&SD![@]@qS*/]!)NYXq60rC!!#1]^B2[,-hRH>Mu'XX-iO)GM#4CVKDbcM/GlXO
+L@kNQQ-dmgYcon`!$M*0"G$Q56B:lg!_!)<f`(tc(Wuc.~>
+ec,i:D#aO"!:&SD![@]@qS*/]!)NYXq60rC!!#1]^B2[,-hRH>Mu'XX-iO)GM#4CVKDbcM/GlXO
+L@kNQQ-dmgYcon`!$M*0"G$Q56B:lg!_!)<f`(tc(Wuc.~>
+ec,i:D#aO"!:&SD![@]@qS*/]!)NYXq60rC!!#1]^B2[,-hRH>Mu'XX-iO)GM#4CVKDbcM/GlXO
+L@kNQQ-dmgYcon`!$M*0"G$Q56B:lg!_!)<f`(tc(Wuc.~>
+ec,l2[f?AbJ:R:OrrQ\.ZM_HBD@]*uKFJusrNHN>3uVg>%KL>D^B1*:')hk]+)&%#F$p!G=Il[3
+56+<%F[c?J=IX/05l_^'KNJui6>i8p(B?pJ^TV<Ir;Zj_C]1ICECKpl=;h`IL]*hLO=Yb*WW63!
+ciSImC=rOdoDX7?bKU!:~>
+ec,l2[f?AbJ:R:OrrQ\.ZM_HBD@]*uKFJusrNHN>3uVg>%KL>D^B1*:')hk]+)&%#F$p!G=Il[3
+56+<%F[c?J=IX/05l_^'KNJui6>i8p(B?pJ^TV<Ir;Zj_C]1ICECKpl=;h`IL]*hLO=Yb*WW63!
+ciSImC=rOdoDX7?bKU!:~>
+ec,l2[f?AbJ:R:OrrQ\.ZM_HBD@]*uKFJusrNHN>3uVg>%KL>D^B1*:')hk]+)&%#F$p!G=Il[3
+56+<%F[c?J=IX/05l_^'KNJui6>i8p(B?pJ^TV<Ir;Zj_C]1ICECKpl=;h`IL]*hLO=Yb*WW63!
+ciSImC=rOdoDX7?bKU!:~>
+Y5\Qu!-J.R3#s!&T:\CL8trPoB+FuIT:]F"*al+bEC'XE=?QX+BY2O1XCt3+79C3B@&guVV+(Fb
+6PTS;=E"2C+Dqqp(./'rBWfFtcF?[N5Zh,+'5OhVSJ_DkQEYC!!([$\#`q>Vd*THL'70W(",\='
+e=Q\j~>
+Y5\Qu!-J.R3#s!&T:\CL8trPoB+FuIT:]F"*al+bEC'XE=?QX+BY2O1XCt3+79C3B@&guVV+(Fb
+6PTS;=E"2C+Dqqp(./'rBWfFtcF?[N5Zh,+'5OhVSJ_DkQEYC!!([$\#`q>Vd*THL'70W(",\='
+e=Q\j~>
+Y5\Qu!-J.R3#s!&T:\CL8trPoB+FuIT:]F"*al+bEC'XE=?QX+BY2O1XCt3+79C3B@&guVV+(Fb
+6PTS;=E"2C+Dqqp(./'rBWfFtcF?[N5Zh,+'5OhVSJ_DkQEYC!!([$\#`q>Vd*THL'70W(",\='
+e=Q\j~>
+XoAZh&gFTqSN[%/rLX:I%3AV5!*oDn#$s1f)d$47rNHE>=:u\jr;[a/70"?AL![2?9E5&a(B>=\
+@&Uha?l/kD7nEUZ";kf):h9L&#*_qJ!!#6Lr3-BG)ZWBi/:@BB#Bpf`d*R%<C7P<S~>
+XoAZh&gFTqSN[%/rLX:I%3AV5!*oDn#$s1f)d$47rNHE>=:u\jr;[a/70"?AL![2?9E5&a(B>=\
+@&Uha?l/kD7nEUZ";kf):h9L&#*_qJ!!#6Lr3-BG)ZWBi/:@BB#Bpf`d*R%<C7P<S~>
+XoAZh&gFTqSN[%/rLX:I%3AV5!*oDn#$s1f)d$47rNHE>=:u\jr;[a/70"?AL![2?9E5&a(B>=\
+@&Uha?l/kD7nEUZ";kf):h9L&#*_qJ!!#6Lr3-BG)ZWBi/:@BB#Bpf`d*R%<C7P<S~>
+XT&N9!-GtL!(<%KT*8I/!#e\%qPXL;!#qR,YQU7)!!!r:=;@U%=BH4WBM8CE?sosW?q11s8738K
+r_NW^R/Tna'`\kUqO[nN4obS7qR?ZR)\52=qp5SK!*R[q6rhd-s*t~>
+XT&N9!-GtL!(<%KT*8I/!#e\%qPXL;!#qR,YQU7)!!!r:=;@U%=BH4WBM8CE?sosW?q11s8738K
+r_NW^R/Tna'`\kUqO[nN4obS7qR?ZR)\52=qp5SK!*R[q6rhd-s*t~>
+XT&N9!-GtL!(<%KT*8I/!#e\%qPXL;!#qR,YQU7)!!!r:=;@U%=BH4WBM8CE?sosW?q11s8738K
+r_NW^R/Tna'`\kUqO[nN4obS7qR?ZR)\52=qp5SK!*R[q6rhd-s*t~>
+X8`CO&gAf@T;_b!#/JU4+oiXWqQL,s!(]6lF8W6I:B3V':_?0fr3-??'GqN&H2G>\G=MWa!'H2;
+T*A-m'l@.T9`1LeNYWA*B)l'1^BK$+!+Oj>rn%G'd(U\:+tK,^J,~>
+X8`CO&gAf@T;_b!#/JU4+oiXWqQL,s!(]6lF8W6I:B3V':_?0fr3-??'GqN&H2G>\G=MWa!'H2;
+T*A-m'l@.T9`1LeNYWA*B)l'1^BK$+!+Oj>rn%G'd(U\:+tK,^J,~>
+X8`CO&gAf@T;_b!#/JU4+oiXWqQL,s!(]6lF8W6I:B3V':_?0fr3-??'GqN&H2G>\G=MWa!'H2;
+T*A-m'l@.T9`1LeNYWA*B)l'1^BK$+!+Oj>rn%G'd(U\:+tK,^J,~>
+WrE66!-Pf]_#2O_Gr01H8YQ'd#A=YgTTp*.TDl&$Q4b$qT:\[T7</=2#AXtiE)ZfUH2bPbVI12V
+=G.Fi4H'32#\4Z9D6TNu&n:j4#`_(`FMFjr'VkT@"KWV<=t9I-#27_^IK0@`Rf@m~>
+WrE66!-Pf]_#2O_Gr01H8YQ'd#A=YgTTp*.TDl&$Q4b$qT:\[T7</=2#AXtiE)ZfUH2bPbVI12V
+=G.Fi4H'32#\4Z9D6TNu&n:j4#`_(`FMFjr'VkT@"KWV<=t9I-#27_^IK0@`Rf@m~>
+WrE66!-Pf]_#2O_Gr01H8YQ'd#A=YgTTp*.TDl&$Q4b$qT:\[T7</=2#AXtiE)ZfUH2bPbVI12V
+=G.Fi4H'32#\4Z9D6TNu&n:j4#`_(`FMFjr'VkT@"KWV<=t9I-#27_^IK0@`Rf@m~>
+WrE-r!(m%6#)WCMd#.lbrNH?J!''t^#C-:LNj*j10`.IH+omM)-3/o$YQlQV!0Y)K!%n/R#D<'W
+-[5Uk.f?LU0E?0dT.Bu!rP&Cn!/LNf"Zi.1ZiDTPhZ?=KXI9*=~>
+WrE-r!(m%6#)WCMd#.lbrNH?J!''t^#C-:LNj*j10`.IH+omM)-3/o$YQlQV!0Y)K!%n/R#D<'W
+-[5Uk.f?LU0E?0dT.Bu!rP&Cn!/LNf"Zi.1ZiDTPhZ?=KXI9*=~>
+WrE-r!(m%6#)WCMd#.lbrNH?J!''t^#C-:LNj*j10`.IH+omM)-3/o$YQlQV!0Y)K!%n/R#D<'W
+-[5Uk.f?LU0E?0dT.Bu!rP&Cn!/LNf"Zi.1ZiDTPhZ?=KXI9*=~>
+WW*(K'-tBlcjm0H=23,/H4h6lY\4S=T`))!Pn=s;&K$T+T*:$M'cC+nr3-Bm=BH;*=E")@"`@F/
+(LEO,YQgUc!'1l1FSrlYWuMgp^T8Gdrndd*!1EfC"3XpbQC.]&~>
+WW*(K'-tBlcjm0H=23,/H4h6lY\4S=T`))!Pn=s;&K$T+T*:$M'cC+nr3-Bm=BH;*=E")@"`@F/
+(LEO,YQgUc!'1l1FSrlYWuMgp^T8Gdrndd*!1EfC"3XpbQC.]&~>
+WW*(K'-tBlcjm0H=23,/H4h6lY\4S=T`))!Pn=s;&K$T+T*:$M'cC+nr3-Bm=BH;*=E")@"`@F/
+(LEO,YQgUc!'1l1FSrlYWuMgp^T8Gdrndd*!1EfC"3XpbQC.]&~>
+W;csr!!'8&ciP?jY5Q]NMuYk^!''eY"!R_!WVO:2L]@F4q60rM!!%cLYQKRZ!&")^"M?Dg!/gTe
+"?6Bh!1a#F!jr"XrSI[c!3DOeJ,~>
+W;csr!!'8&ciP?jY5Q]NMuYk^!''eY"!R_!WVO:2L]@F4q60rM!!%cLYQKRZ!&")^"M?Dg!/gTe
+"?6Bh!1a#F!jr"XrSI[c!3DOeJ,~>
+W;csr!!'8&ciP?jY5Q]NMuYk^!''eY"!R_!WVO:2L]@F4q60rM!!%cLYQKRZ!&")^"M?Dg!/gTe
+"?6Bh!1a#F!jr"XrSI[c!3DOeJ,~>
+VuI"M'1gKsX>Gk4cj-]d!*6>>^r?5u"'bgHI/:S]L]C(:!+#N,#+.XU8J`1]qQL,T(J"NrVY\%0
+1]RMbrQkPirl>2K;\k,bhZq:K.Gs$H,V>>^J,~>
+VuI"M'1gKsX>Gk4cj-]d!*6>>^r?5u"'bgHI/:S]L]C(:!+#N,#+.XU8J`1]qQL,T(J"NrVY\%0
+1]RMbrQkPirl>2K;\k,bhZq:K.Gs$H,V>>^J,~>
+VuI"M'1gKsX>Gk4cj-]d!*6>>^r?5u"'bgHI/:S]L]C(:!+#N,#+.XU8J`1]qQL,T(J"NrVY\%0
+1]RMbrQkPirl>2K;\k,bhZq:K.Gs$H,V>>^J,~>
+VZ-g`2o)L_8,LX9bG,[MX81*FHk]No3VpJo=9+Y_'f#Wj#CukHWHK'oS,BJpDD$.38-"YH^BCMS
+9-#Y\cigsZ(51N@hZcOb]ZVQ:QBqQ$~>
+VZ-g`2o)L_8,LX9bG,[MX81*FHk]No3VpJo=9+Y_'f#Wj#CukHWHK'oS,BJpDD$.38-"YH^BCMS
+9-#Y\cigsZ(51N@hZcOb]ZVQ:QBqQ$~>
+VZ-g`2o)L_8,LX9bG,[MX81*FHk]No3VpJo=9+Y_'f#Wj#CukHWHK'oS,BJpDD$.38-"YH^BCMS
+9-#Y\cigsZ(51N@hZcOb]ZVQ:QBqQ$~>
+V>h*>!&Pt9d)3Z7Z`oWT:I+u)r6P\Q8-!bYOT9+o^B:5F)ghS!%4Xf:YcsK/)QCKdVFN6:YR">2
+?ba@S)&K1K^B\9L9='<m(UO%d&V_A@9E:4%d+-e%ho].'!*@a:s*t~>
+V>h*>!&Pt9d)3Z7Z`oWT:I+u)r6P\Q8-!bYOT9+o^B:5F)ghS!%4Xf:YcsK/)QCKdVFN6:YR">2
+?ba@S)&K1K^B\9L9='<m(UO%d&V_A@9E:4%d+-e%ho].'!*@a:s*t~>
+V>h*>!&Pt9d)3Z7Z`oWT:I+u)r6P\Q8-!bYOT9+o^B:5F)ghS!%4Xf:YcsK/)QCKdVFN6:YR">2
+?ba@S)&K1K^B\9L9='<m(UO%d&V_A@9E:4%d+-e%ho].'!*@a:s*t~>
+V>gbK'ECJ8^pF!D#"eleTFi?\rQkh2!*$VXYt5s`rkAMi!,)8F#?h+5Ya@ZoH2YJZVClfdYQ?@H
+VuFF5GSruJrkA[p(phT9D?+,CciuWIF0&&,Z2W)SdFd*U!#O4Ns*t~>
+V>gbK'ECJ8^pF!D#"eleTFi?\rQkh2!*$VXYt5s`rkAMi!,)8F#?h+5Ya@ZoH2YJZVClfdYQ?@H
+VuFF5GSruJrkA[p(phT9D?+,CciuWIF0&&,Z2W)SdFd*U!#O4Ns*t~>
+V>gbK'ECJ8^pF!D#"eleTFi?\rQkh2!*$VXYt5s`rkAMi!,)8F#?h+5Ya@ZoH2YJZVClfdYQ?@H
+VuFF5GSruJrkA[p(phT9D?+,CciuWIF0&&,Z2W)SdFd*U!#O4Ns*t~>
+U]1BD!0mAb!?OK)^B#OZrQkQm5lAt0.QRLC!@X<3^BH)AY^c_;qnE:e!/7X.0`/ThOoUHU^QU>K
+ciKmnrQkeG!%5OrR/e]6ci^6I!3VOcJ,~>
+U]1BD!0mAb!?OK)^B#OZrQkQm5lAt0.QRLC!@X<3^BH)AY^c_;qnE:e!/7X.0`/ThOoUHU^QU>K
+ciKmnrQkeG!%5OrR/e]6ci^6I!3VOcJ,~>
+U]1BD!0mAb!?OK)^B#OZrQkQm5lAt0.QRLC!@X<3^BH)AY^c_;qnE:e!/7X.0`/ThOoUHU^QU>K
+ciKmnrQkeG!%5OrR/e]6ci^6I!3VOcJ,~>
+U]1GF<$$5^YQC"!5Q/>%;?1meY=Kdlr6PY2!)/Ff*38qN"=k<')QEVK"f=ci/-')S^BHA.G%1M_
+qp5R0(:);A*^le&^B/d;Yl;uO]HA'CP5g%~>
+U]1GF<$$5^YQC"!5Q/>%;?1meY=Kdlr6PY2!)/Ff*38qN"=k<')QEVK"f=ci/-')S^BHA.G%1M_
+qp5R0(:);A*^le&^B/d;Yl;uO]HA'CP5g%~>
+U]1GF<$$5^YQC"!5Q/>%;?1meY=Kdlr6PY2!)/Ff*38qN"=k<')QEVK"f=ci/-')S^BHA.G%1M_
+qp5R0(:);A*^le&^B/d;Yl;uO]HA'CP5g%~>
+U&P?G!0aXkFo\-3^BGe]6B;,GqTo5*rVuqbq7cug!'0f#!]'h<pqHne!!"_Lcip0E!0fSoqnE=r
+!0GR+!&0N7J,~>
+U&P?G!0aXkFo\-3^BGe]6B;,GqTo5*rVuqbq7cug!'0f#!]'h<pqHne!!"_Lcip0E!0fSoqnE=r
+!0GR+!&0N7J,~>
+U&P?G!0aXkFo\-3^BGe]6B;,GqTo5*rVuqbq7cug!'0f#!]'h<pqHne!!"_Lcip0E!0fSoqnE=r
+!0GR+!&0N7J,~>
+U&P>H;ugQD&"i^5"!\s&62f.1_u7@P-NKP/^B7X>*/+.7"LT*I!0?rj!g3O9rQ"u\rQk\Y*WQ1B
+qnE?:*F-6"(tXlLJ,~>
+U&P>H;ugQD&"i^5"!\s&62f.1_u7@P-NKP/^B7X>*/+.7"LT*I!0?rj!g3O9rQ"u\rQk\Y*WQ1B
+qnE?:*F-6"(tXlLJ,~>
+U&P>H;ugQD&"i^5"!\s&62f.1_u7@P-NKP/^B7X>*/+.7"LT*I!0?rj!g3O9rQ"u\rQk\Y*WQ1B
+qnE?:*F-6"(tXlLJ,~>
+TDo!B!!#7[^B:fe!&s\W!.=bG!13Ps"Y'L+-ifq;cioj<!*B4Tq7d"f!!"SF^B-=oM#"df3WK.6
+NrOV~>
+TDo!B!!#7[^B:fe!&s\W!.=bG!13Ps"Y'L+-ifq;cioj<!*B4Tq7d"f!!"SF^B-=oM#"df3WK.6
+NrOV~>
+TDo!B!!#7[^B:fe!&s\W!.=bG!13Ps"Y'L+-ifq;cioj<!*B4Tq7d"f!!"SF^B-=oM#"df3WK.6
+NrOV~>
+T)Sk,!,)/4"_\Ge&0%8=YQfFS7YDBoX8K^:M?$qdQp<Y/cj7#s(RhRG(.bA%^BUVS(3X0f>Pl/=
+W_3=C!*K*4"+;1,fT,u^~>
+T)Sk,!,)/4"_\Ge&0%8=YQfFS7YDBoX8K^:M?$qdQp<Y/cj7#s(RhRG(.bA%^BUVS(3X0f>Pl/=
+W_3=C!*K*4"+;1,fT,u^~>
+T)Sk,!,)/4"_\Ge&0%8=YQfFS7YDBoX8K^:M?$qdQp<Y/cj7#s(RhRG(.bA%^BUVS(3X0f>Pl/=
+W_3=C!*K*4"+;1,fT,u^~>
+T)SoB'cj"FYQZ-hFA2aFqlg<$!0"-s&kf;(^B[pBM6O4O0SKGP"1:i>DuQsB=9+E\^BS-I?,*@2
+/Gm0dAcP&K)&/kD^B:PX)46E`J,~>
+T)SoB'cj"FYQZ-hFA2aFqlg<$!0"-s&kf;(^B[pBM6O4O0SKGP"1:i>DuQsB=9+E\^BS-I?,*@2
+/Gm0dAcP&K)&/kD^B:PX)46E`J,~>
+T)SoB'cj"FYQZ-hFA2aFqlg<$!0"-s&kf;(^B[pBM6O4O0SKGP"1:i>DuQsB=9+E\^BS-I?,*@2
+/Gm0dAcP&K)&/kD^B:PX)46E`J,~>
+SGrY*!+u26%SHe`YcsB))kX@=Ps-+,ricZo&fZ24U_Oc<rNHN,!)U1V)&Je@YR$[5(jE`n)&K1L
+^BpkX(8\d\W_4"@ricH2!/LQg"+2+lfSoi\~>
+SGrY*!+u26%SHe`YcsB))kX@=Ps-+,ricZo&fZ24U_Oc<rNHN,!)U1V)&Je@YR$[5(jE`n)&K1L
+^BpkX(8\d\W_4"@ricH2!/LQg"+2+lfSoi\~>
+SGrY*!+u26%SHe`YcsB))kX@=Ps-+,ricZo&fZ24U_Oc<rNHN,!)U1V)&Je@YR$[5(jE`n)&K1L
+^BpkX(8\d\W_4"@ricH2!/LQg"+2+lfSoi\~>
+SGroG'chG$Y\4S=T`2/#9`R\UY^6@Yr3-B?'-!s.!+#N,#+.XUT.q.#qlg9B()N$&!+#N;#@mg'
+V8$RA;Z3g*Sf1\F^T8FnfSfc[~>
+SGroG'chG$Y\4S=T`2/#9`R\UY^6@Yr3-B?'-!s.!+#N,#+.XUT.q.#qlg9B()N$&!+#N;#@mg'
+V8$RA;Z3g*Sf1\F^T8FnfSfc[~>
+SGroG'chG$Y\4S=T`2/#9`R\UY^6@Yr3-B?'-!s.!+#N,#+.XUT.q.#qlg9B()N$&!+#N;#@mg'
+V8$RA;Z3g*Sf1\F^T8FnfSfc[~>
+Rf<OA!0MI*3;]oaH2ok-,63`#YQ0+M!!%lPYQH<S!&")O!/:CP!0-ii"dB"E2#o!#YQcl`-^Xl6
+ZAS[4~>
+Rf<OA!0MI*3;]oaH2ok-,63`#YQ0+M!!%lPYQH<S!&")O!/:CP!0-ii"dB"E2#o!#YQcl`-^Xl6
+ZAS[4~>
+Rf<OA!0MI*3;]oaH2ok-,63`#YQ0+M!!%lPYQH<S!&")O!/:CP!0-ii"dB"E2#o!#YQcl`-^Xl6
+ZAS[4~>
+Rf<QA<WE+jT_bkqBb:=aEqupAIK0A*q60rM!!%cLYQKRZ!%e#W#._LJ)?9b9q61!0!!!niM>r)~>
+Rf<QA<WE+jT_bkqBb:=aEqupAIK0A*q60rM!!%cLYQKRZ!%e#W#._LJ)?9b9q61!0!!!niM>r)~>
+Rf<QA<WE+jT_bkqBb:=aEqupAIK0A*q60rM!!%cLYQKRZ!%e#W#._LJ)?9b9q61!0!!!niM>r)~>
+R/[4=!0R&\![7V%q60jIr;ZhSqlg'OrVupNq60iNr;ZhLqQL&U!!%NEYQBa`1Pc!\~>
+R/[4=!0R&\![7V%q60jIr;ZhSqlg'OrVupNq60iNr;ZhLqQL&U!!%NEYQBa`1Pc!\~>
+R/[4=!0R&\![7V%q60jIr;ZhSqlg'OrVupNq60iNr;ZhLqQL&U!!%NEYQBa`1Pc!\~>
+R/[<><WG[`rNHNl=:lQ]',koiYR$Os',d@-',dA>YQn/.6^qpY!*T9)#auMEDQoTH'q,$)#Fn0^
+5SsJ7Qi+&iEZ,kLL];l~>
+R/[<><WG[`rNHNl=:lQ]',koiYR$Os',d@-',dA>YQn/.6^qpY!*T9)#auMEDQoTH'q,$)#Fn0^
+5SsJ7Qi+&iEZ,kLL];l~>
+R/[<><WG[`rNHNl=:lQ]',koiYR$Os',d@-',dA>YQn/.6^qpY!*T9)#auMEDQoTH'q,$)#Fn0^
+5SsJ7Qi+&iEZ,kLL];l~>
+Qi@3>(B@"!ricZ&!)7mVE^Lacrid,7!(Cn3Y\On@S?T5b'H!=DYaIcnDuQsB=9)G%YRYRf6(+s]
+S4!?BQuGIo;Z3g%Sf/N8LAuc~>
+Qi@3>(B@"!ricZ&!)7mVE^Lacrid,7!(Cn3Y\On@S?T5b'H!=DYaIcnDuQsB=9)G%YRYRf6(+s]
+S4!?BQuGIo;Z3g%Sf/N8LAuc~>
+Qi@3>(B@"!ricZ&!)7mVE^Lacrid,7!(Cn3Y\On@S?T5b'H!=DYaIcnDuQsB=9)G%YRYRf6(+s]
+S4!?BQuGIo;Z3g%Sf/N8LAuc~>
+Q2_*?(E@Nk!$6Rd^BR^=7YDBmT)>esQP13T;ug/"YQe//6A-*iRf'ApRhlfV>6$p)rNHQu70#Q*
+)&n+ZL&ZZ~>
+Q2_*?(E@Nk!$6Rd^BR^=7YDBmT)>esQP13T;ug/"YQe//6A-*iRf'ApRhlfV>6$p)rNHQu70#Q*
+)&n+ZL&ZZ~>
+Q2_*?(E@Nk!$6Rd^BR^=7YDBmT)>esQP13T;ug/"YQe//6A-*iRf'ApRhlfV>6$p)rNHQu70#Q*
+)&n+ZL&ZZ~>
+PlCoQ(E<u-IJ^b_U-eo3!+5T,"`"eh'H!A;YQ^F\!%\+PqQL-A(DRc$R/=)kSOEN0!-NqoJ,~>
+PlCoQ(E<u-IJ^b_U-eo3!+5T,"`"eh'H!A;YQ^F\!%\+PqQL-A(DRc$R/=)kSOEN0!-NqoJ,~>
+PlCoQ(E<u-IJ^b_U-eo3!+5T,"`"eh'H!A;YQ^F\!%\+PqQL-A(DRc$R/=)kSOEN0!-NqoJ,~>
+PQ(d;J/B>Ur4`H16N@*?!+5W-#+&F+)AX0[qlg9A5l`G96CReU!H/eR!!,?$r3-<D70$QGK)^?~>
+PQ(d;J/B>Ur4`H16N@*?!+5W-#+&F+)AX0[qlg9A5l`G96CReU!H/eR!!,?$r3-<D70$QGK)^?~>
+PQ(d;J/B>Ur4`H16N@*?!+5W-#+&F+)AX0[qlg9A5l`G96CReU!H/eR!!,?$r3-<D70$QGK)^?~>
+OoGuZ=<:kP^V=eV!$#C-'H1)EricZD56)UJ>6%'1ric]s=;:g&KNK!VDZ-d@D\j2g?j[ed=DY44
+=;`'.g4B9S~>
+OoGuZ=<:kP^V=eV!$#C-'H1)EricZD56)UJ>6%'1ric]s=;:g&KNK!VDZ-d@D\j2g?j[ed=DY44
+=;`'.g4B9S~>
+OoGuZ=<:kP^V=eV!$#C-'H1)EricZD56)UJ>6%'1ric]s=;:g&KNK!VDZ-d@D\j2g?j[ed=DY44
+=;`'.g4B9S~>
+O8f3aqu?^Wr4`Mm!&Lj`IK0A5rP&Rg!/Ie_.KD(!YQ0@U!!S"Z/cYm1rP&>squ?`+JcG`LJ,~>
+O8f3aqu?^Wr4`Mm!&Lj`IK0A5rP&Rg!/Ie_.KD(!YQ0@U!!S"Z/cYm1rP&>squ?`+JcG`LJ,~>
+O8f3aqu?^Wr4`Mm!&Lj`IK0A5rP&Rg!/Ie_.KD(!YQ0@U!!S"Z/cYm1rP&>squ?`+JcG`LJ,~>
+NW00L=TENiao'3aHqFA=*GDeWa9Je\(]XP-G5A]PG";T59n3)^"j,,F*<:>8s8;nI~>
+NW00L=TENiao'3aHqFA=*GDeWa9Je\(]XP-G5A]PG";T59n3)^"j,,F*<:>8s8;nI~>
+NW00L=TENiao'3aHqFA=*GDeWa9Je\(]XP-G5A]PG";T59n3)^"j,,F*<:>8s8;nI~>
+MuNl7!!&npciB:,!!&bkciBI2!!"eN^Aotc!!&Gcci]sA!',W1qYu'~>
+MuNl7!!&npciB:,!!&bkciBI2!!"eN^Aotc!!&Gcci]sA!',W1qYu'~>
+MuNl7!!&npciB:,!!&bkciBI2!!"eN^Aotc!!&Gcci]sA!',W1qYu'~>
+MZ5B_=W_=hI2)`THbZ@a?kiZ=Kn)hs*,)j5BMAID@#n\d!#T+A^N`<M(hfFQ*$'RbJcGTHJ,~>
+MZ5B_=W_=hI2)`THbZ@a?kiZ=Kn)hs*,)j5BMAID@#n\d!#T+A^N`<M(hfFQ*$'RbJcGTHJ,~>
+MZ5B_=W_=hI2)`THbZ@a?kiZ=Kn)hs*,)j5BMAID@#n\d!#T+A^N`<M(hfFQ*$'RbJcGTHJ,~>
+M>mh6=TDA8!)0Hk^B\iq!$)mV:k\eo#dmA,!&+Bi@!DRa#H2$%!&OZrS:U_8s*t~>
+M>mh6=TDA8!)0Hk^B\iq!$)mV:k\eo#dmA,!&+Bi@!DRa#H2$%!&OZrS:U_8s*t~>
+M>mh6=TDA8!)0Hk^B\iq!$)mV:k\eo#dmA,!&+Bi@!DRa#H2$%!&OZrS:U_8s*t~>
+L]7M1J/V+^qS*2V'cIi+WVaF7VFLV?!(*.NYQJ)0*h@l^pA]X~>
+L]7M1J/V+^qS*2V'cIi+WVaF7VFLV?!(*.NYQJ)0*h@l^pA]X~>
+L]7M1J/V+^qS*2V'cIi+WVaF7VFLV?!(*.NYQJ)0*h@l^pA]X~>
+L&V6s!)0Hk^BScp)L>TfA,O(IVFLVWO'iekRf'AlD\jIcJcGECJ,~>
+L&V6s!)0Hk^BScp)L>TfA,O(IVFLVWO'iekRf'AlD\jIcJcGECJ,~>
+L&V6s!)0Hk^BScp)L>TfA,O(IVFLVWO'iekRf'AlD\jIcJcGECJ,~>
+K`;-3!!&Ab^B,kbQ2\N(MZ<a?^V>a.1&\ihNrT/1ricGV!'Gi4oDa=~>
+K`;-3!!&Ab^B,kbQ2\N(MZ<a?^V>a.1&\ihNrT/1ricGV!'Gi4oDa=~>
+K`;-3!!&Ab^B,kbQ2\N(MZ<a?^V>a.1&\ihNrT/1ricGV!'Gi4oDa=~>
+KDu21)]N0Q!!$U.^B^T)!(dt,)6!JJ#Br]=6!+pEh1>Uss*t~>
+KDu21)]N0Q!!$U.^B^T)!(dt,)6!JJ#Br]=6!+pEh1>Uss*t~>
+KDu21)]N0Q!!$U.^B^T)!(dt,)6!JJ#Br]=6!+pEh1>Uss*t~>
+Jc>h\!!"qP^B6%f!0[,l!0I0[!5*m_nc++~>
+Jc>h\!!"qP^B6%f!0[,l!0I0[!5*m_nc++~>
+Jc>h\!!"qP^B6%f!0[,l!0I0[!5*m_nc++~>
+Jc>lQgD_$$qQL*i'`\5;pojgR+.e&`n,In~>
+Jc>lQgD_$$qQL*i'`\5;pojgR+.e&`n,In~>
+Jc>lQgD_$$qQL*i'`\5;pojgR+.e&`n,In~>
+JcGcM"1J71M>OL\JH1ib!&",P!egWgJcG0<J,~>
+JcGcM"1J71M>OL\JH1ib!&",P!egWgJcG0<J,~>
+JcGcM"1J71M>OL\JH1ib!&",P!egWgJcG0<J,~>
+JcG`L!o"]#r3-E+!0Y+3>l]WWYQJbY+5VSKmf.e~>
+JcG`L!o"]#r3-E+!0Y+3>l]WWYQJbY+5VSKmf.e~>
+JcG`L!o"]#r3-E+!0Y+3>l]WWYQJbY+5VSKmf.e~>
+JcG]K!]V'gricZq'H3sc^SXM(rNHBm(*B0"s6]i:~>
+JcG]K!]V'gricZq'H3sc^SXM(rNHBm(*B0"s6]i:~>
+JcG]K!]V'gricZq'H3sc^SXM(rNHBm(*B0"s6]i:~>
+JcGZJ#'^,RYa@[cr4`N7(DiOEDAHU:JcG*:J,~>
+JcGZJ#'^,RYa@[cr4`N7(DiOEDAHU:JcG*:J,~>
+JcGZJ#'^,RYa@[cr4`N7(DiOEDAHU:JcG*:J,~>
+JcGZJ#2:+7E)Zh$qnE>A!()>S+Q%bMli2J~>
+JcGZJ#2:+7E)Zh$qnE>A!()>S+Q%bMli2J~>
+JcGZJ#2:+7E)Zh$qnE>A!()>S+Q%bMli2J~>
+JcGTH"$$>]2#4ldNrB"Y^OcFMs*t~>
+JcGTH"$$>]2#4ldNrB"Y^OcFMs*t~>
+JcGTH"$$>]2#4ldNrB"Y^OcFMs*t~>
+JcGTH!o.'>pW*Cj!5O0cl2Q8~>
+JcGTH!o.'>pW*Cj!5O0cl2Q8~>
+JcGTH!o.'>pW*Cj!5O0cl2Q8~>
+JcGQG!kA:jq9T24!'l,8kl6/~>
+JcGQG!kA:jq9T24!'l,8kl6/~>
+JcGQG!kA:jq9T24!'l,8kl6/~>
+JcGNF!dXj>qp5G6!+=`9s60K5~>
+JcGNF!dXj>qp5G6!+=`9s60K5~>
+JcGNF!dXj>qp5G6!+=`9s60K5~>
+JcGNF!kA;Iqp5CV+lIqOkPp&~>
+JcGNF!kA;Iqp5CV+lIqOkPp&~>
+JcGNF!kA;Iqp5CV+lIqOkPp&~>
+JcGKE!o+eUrm1bT9d-0\s5s?3~>
+JcGKE!o+eUrm1bT9d-0\s5s?3~>
+JcGKE!o+eUrm1bT9d-0\s5s?3~>
+JcGHD#<Np8d*QA)Jq<s`s*t~>
+JcGHD#<Np8d*QA)Jq<s`s*t~>
+JcGHD#<Np8d*QA)Jq<s`s*t~>
+JcGHD#2NPbT7IkHJcFg2J,~>
+JcGHD#2NPbT7IkHJcFg2J,~>
+JcGHD#2NPbT7IkHJcFg2J,~>
+JcGEC"hOb2)'P])s5a31~>
+JcGEC"hOb2)'P])s5a31~>
+JcGEC"hOb2)'P])s5a31~>
+JcGBB"$6J__L_aIs*t~>
+JcGBB"$6J__L_aIs*t~>
+JcGBB"$6J__L_aIs*t~>
+JcG?A!M/2#s5O'/~>
+JcG?A!M/2#s5O'/~>
+JcG?A!M/2#s5O'/~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+JcC<$df4g~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1c.ps b/books/ps/bookvol1c.ps
new file mode 100644
index 0000000..6569fbe
--- /dev/null
+++ b/books/ps/bookvol1c.ps
@@ -0,0 +1,856 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/bookvol1c.ps
+%%CreationDate: Sat Dec 10 13:11:23 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 215 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+200.000000 -200.000000 scale
+% Image geometry
+200 200 8
+% Transformation matrix
+[ 200 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 200 string def
+/gstr 200 string def
+/bstr 200 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        32845 ASCII Bytes
+colorimage
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+X8`n&s8VQfs6p!Fhs^U6hr"J&s8VQfrnmbEs50mWJ,~>
+X8`mfs8UgQs4[L[[+bQ6[']kes8UgQrj;^Zs0Sj,J,~>
+X8`mXs8U=Cs31M1R*>TSR$dots8U=Crg<`0s-TkeJ,~>
+XT'!ln*g;6s6oFVs53kVhuE`6hs^Tkrr<#e"5j.YhlQj.~>
+XT'!Ag=lS6s4Z3,s0Vh+[/^05[+bP@rr<#P"18+.[&j:X~>
+XT'!%bfp*Ss3/^es-WidR/d2RR*>S@rr<#B".9,gR&p=<~>
+XoAX`s8V!Vs53;Errq<[s53kVr87PS#4Kn<huE`6XT*e~>
+XoAX5s8TJ+s0UMZrroe0s0Vh+r3ZM(#25.<[/^05XT*e~>
+XoAWns8SJds-V%0rrneis-Widr0[Na#0^WXR/d2RXT*e~>
+XoJCX"OI,Jhs^RE$K(m`huE`6huDTkrVuoTs8N)VXT*e~>
+XoJC-"HWT_[+bNZ$FKj5[/^05[/[M?rVuo)s8N)+XT*e~>
+XoJBf"D%Q4R*>R0$CLknR/d2RR/`P@rVunbs8N(dXT*e~>
+XoBI"s8V!VhuE06s8V!Vs53kVhr"J6huE0Fs52`6s50pXJ,~>
+XoBHLs8TJ+[/\k6s8TJ+s0Vh+[']l5[/\k[s0T05s0Sm-J,~>
+XoBH0s8SJdR/bCSs8SJds-WidR$dpRR/bD1s-T2Rs-TnfJ,~>
+XoBF1s8VQfn,NFVs52`&s6nk&s6p!fn,Mk6huE0&hlHd-~>
+XoBEqs8UgQgAh3,s0T/es4Xies4[MQgAfm6[/\je[&a4W~>
+XoBEcs8U=Cbl@^es-T1ts3-jts31NCbl>nSR/bBtR&g7;~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+RfEBE!:Q``J,~>
+RfEA[!7.J@J,~>
+RfEAS!6h8=J,~>
+R/d3TV#Pr~>
+R/d34V#Pr~>
+R/d31V#Pr~>
+RK*<UU]5i~>
+RK*<5U]5i~>
+RK*<2U]5i~>
+RfEEVUAo`~>
+RfEE6UAo`~>
+RfEE3UAo`~>
+Rf<BFU&TW~>
+Rf<A\U&TW~>
+Rf<ATU&TW~>
+RfEBE!:Q``J,~>
+RfEA[!7.J@J,~>
+RfEAS!6h8=J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+V#LkXW2R5)W484n\>Z@9U]5i~>
+V#LkukihO"kjZaYnEB**U]5i~>
+V#LkukihO"kjYtCnEB**U]5i~>
+XT/=1)c0pM:gd[-?slf=?r1fM?uTL]E+!'m?so5/gT:F*~>
+XT/=i)pm6id+I!tf\"R'f[/U0f\tK8iRlfAf\#EWpoOLG~>
+XT/=i)pm6id+I!tf\"R'f[/U0f\tK8iRlfAf\#EWpoOLG~>
+Yl>)uW),cG:dJJsE+!)ME!0QF?slh1?ij/4@/OsFPdoJPs*t~>
+Yl>*gkg7Dld)akliRlfZi<7f[f\"RMfE0FPf_j\0kj\AOs*t~>
+Yl>*gkg7Dld)akliRlfZi<7f[f\"RMfE0FPf_j\0kj\AOs*t~>
+[/U]]W,uET:kaUBYcsRMRY?Haqf)RC#&msXE+!'mra5h)?slh0Duu96gU.!2~>
+[/U0qkl03Bd,jBJm-NrtkiLpiqr.S-#3"4eiRlfArn%>"f\"RLi<&64ppC'O~>
+[/U0qkl03Bd,jBJm-NrtkiLpiqr.S-#3"4eiRlfArn%>"f\"RLi<&64ppC'O~>
+\,QK`K`+^KAp^cZRKS>5KnYulE;s;GE;a/N:gd[-?slf=:f.(/!en/R\,Us~>
+\,QL(i;M"(eCa-bkQL#2jlP_&iW%O1iVhC8d+I!tf\"R'd*V^L!p/qK\,Us~>
+\,QL(i;M"(eCa-bkQL#2jlP_&iW%O1iVhC8d+I!tf\"R'd*V^L!p/qK\,Us~>
+\c32-A3iL9Amg=]KnYtLE.s#AE!^]CLO=;iLOr?1r)!DZ!)WV["#3)-;#P>6Pdn:(J,~>
+\c32tccF2BeC`mHjlP^fiT91si<co[R>I#eR@qpZr6YJb!7:\c"2Dpud/Do(kjZ._J,~>
+\c32tccF2BeC`mHjlP^fiT91siVqL/d/V`!d+J9Cs2Y2erQ#)UaN2a,i;r03\c70~>
+]`/W!Qsa;u@%*Og`L=$8R]s#bYd"+q&VZa[N2aS(^sKm9^V@@eUQU3-?kH4C?r16=:gd[-@!5q3
+KlDaU]DmB~>
+]`/W>hq6T.f]_PcnEB6*kj7["m-O`8$0@\MD.%<j?uTNODutus`W"L%d+I!tf\"R'f[/:+f]D5R
+jm]n^J,~>
+]`/W>hq6T.f]_PcnEB6*kj7["m-O`8$0Bt#d+I=0f\tKYiVqIAd+I!tf\"R'f[/:+f]D5Rjm]n^
+J,~>
+^Aec!FAP7hAp^bNYcsS#YaVf#r0e(MP)$T\^qd\(c,7oQ`r=<k^UhS&NDO"j:gj#o"`T0LRYB#"
+s*t~>
+^Aec>f[.^\eCa-Om-Ns&m-*g&r9+TX5qubD?slf=?r1fM@/OsKRYA/rf\"R'pWs*&jlP^foY(9T~>
+^Aec>f[.^\eCa-Om-Ns&m-*g&r9+UBaM6BSf\"R'f[/U0f_j\5kiLUHf\"R'pWs*&jlP^foY(9T~>
+a8Z/.qu6`AF><b\!/:9<0nl'MKpm0mH\$s4Q(t^gZ-'Grb1P1ff%\s+b0\MM['X^52_dTa0gS)[
+5s[4k5qu47DudEErrDN.s*t~>
+a8Z.uqu6`dfY@F,!9O(@#j(:3jlkLPY[.2^s$6cB:dIoSra>J>&<4B/^W=L2aN2-;aM5g;^X2r<
+!:]jb!9(uuJ,~>
+a8Z.`qu6`dfY@F,!9O(@#j(:3jlk(/aM.Vfs2Y>Xd)aS\rn-u(&A+j3^W=L2aN2-;aM5g;^X2r<
+!:]jb!6iL`J,~>
+a8Z2/hu3QXF?s;#@/dAK`NZScYcu*NYaUJXBRtqoNjca/`m)ZTiRlf\i?-h6gXOWnbhBhSI5+#a
+:gd[-?slf=?pRUsAqc\-Kt.*]!T3@ds*t~>
+a8Z2!_u9T<fZ;^df`(4HnEfN2m-O6.m-*B[[9`bd#uG"q?slf=E+!)NE#s^PKnXK"Y_AOJ^W=dK
+f\"R'f[/:'aO&ShjlkgfnGW@f_r8Z9J,~>
+a8Z1aR/R$ffZ;^df`(4HnEfN2m-O6.m,-!jWkSJI$..>Gf\"R'iRlf[i?%+>jlPI_m,dH8OJKD5
+f\"R'f[/:'aO&ShjlkgfnGW@fR*<VNJ,~>
+`W%FFn'$GN5u<KDR]s#bYcsS#Y_@d=?ta&!LOQJ0Xh;Hjd*UFtiRlfAf\$2^s5aCIg"G32rlP@p
+/28\ArD3ti:dIBD5s]IDKpo"1n))+aJ,~>
+`W%F*iU>^GaO&l3kj7["m-Ns&m,d?]fX4[00e?-e5u9j5:f(P-E+!'m?srtQs+LTEKnYtLrgEu!
+[(iuhrQl%qd)a;TaN3?%jll(.iPWY7J,~>
+`W%ETbjXK2aO&l3kj7["m-Ns&m+]sdYe7<L^U2A/aO&#Ld*UFtiRlfAf\$2^s5aCIjlP^froaKo
+LQI:srQl%qd)a;TaN3?%jll(.ba?BLJ,~>
+`;]gnr\4ITKn]>k!/:Dk#%2)!IX['Ir367;qp5DsiRn+f%GT:Xb0eVZ`kSmqY?WXX0a9ou5s[4k
+62`M<@/b*FW5S^d~>
+`;]hRrkANXjlQ=%!9O4="PBq5/1gWP!($KY!aotTr,D[i$?1]QE.s!bKnYo$rkAZY^W=L2aN4=p
+!8.;0!7JgcJ,~>
+`;]h=rkANXjlQ@&$/a1C]<\$5^U1BE^Au@PciVkYf_j_.jV6\8jl,=_iT91'EfcBQYeS9#^W=Lp
+^Aupci;gO/s*t~>
+`r?=gF?r39G-J3>rNHCCYaU:EE"Z]3IX['<XgY@6`4OLWf\#08f_FD7m,-aZdFd0qeC;I(5r&=(%
+:DIu:dIBD5s]+:R]r$qs*t~>
+`r?>5fZ;.hh!FCkrTjXUm-*R0i=]EN/1`M<5u9j5:dJK.?smq]@/+[MY_AOMKpo67YcsS!aM7\p%
+G8bKd)a;TaN2lmkj7NPs*t~>
+`r?>5fZ;.hh!FCkrTjXUm+/]G]+^gE^U1A_]u\RAaO&#\iRlfAf\#uX+7/+Qm,dHtkj7["e=2P\
+HCM.kaO&;TaO&#LeE,o\kf*RP~>
+a8ZY(5u9jZR]s#bYcsS#YaYQFs)9K%A9`QYIX\/r^:LVfaOnklf[/:'d,F*JiT91[jlkO_hV6f;
+eC;Xjd$ZWe5n?dX5u9j5:dIBD6#`9HL%*._J,~>
+a8ZYEaO&#Xkj7["m-Ns&m-+H1s5>!+>q@N]/1a(Q:dIBD6"!Ms?r16=:iM,BE.s!bL&.8<YQUE!
+Ycbb>a:HY=aO&#Ld)a;TaPl@Ejnm*uJ,~>
+a8[mhaO&#Xkj7["m-Ns&m,c=-V6[_G[C!<U['[oqd)a;TaOnklf[/:'d,F*JiT91[jne3@lknsQ
+m*p8tGak2-]ZAI@aO&#Ld)b20jlQB[s*t~>
+aSu7ar\4XDRY?HaKnYupL&>m"BN9;#IXZI#UT1>h\?X-OciD_oi=4o%k1S/6dD*i=^WO$>nM(/i
+E.s##aT$b~>
+aSu8/rkA]ZkiLpijlP_*jo"'A[4F$[/1`1F0`XN9:]Oo!E;tUlRf%jCRY?HaKphJG"PhttjnQps
+J,~>
+aSu8/rkB5ikiLpijlP^fjhJF>ZBhH%[(iWJ[&Wu;!6G#`!8.,+s5a7Er8e1IjlP^f`F4#jO9($5
+pqHseiT91raT$b~>
+ao<j7:dIBjR]s#bYcsS#Y_AO"E.s!Q<GHu3LOO]LXf]=C]?n@GiRlfAf\$,\s5aXIm-a0&l/LXZ
+g=5$Ze,dIRr]q,m5u:rT5u9j5:dIBDG+,XhnB(]\~>
+ao<=Kd)a;`kj7["m-Ns&m,dHmiT90X0ek410e=mT5mpLT5u9jTE+!'m?srnOs+LVqYf3iN`Vcq?
+`Vm"@Y5ZKSd)aSdaN2`LaO&#Ld+mjOjnm1"J,~>
+ao<=Kd)a;`kj7["m-Ns&l,C<S]<\95^V@._^U1BIa:$A9aO&#\iRlfAf\$,\s5aFCm-sB.nGMVQ
+nGV\gaH)gOKl3cl]ZAI@aO&#Ld+mjOjnm1"J,~>
+b5X)95u9k?R]s#bYcsS#Kpm^LRW*so:1J6uIWg0h[]Q[E_RmOtd*UFtd,EX0iRn(erp0XKro*t2
+j8IIEb/hA_5s\=55u9j5:dIBD5s\=5E12K7nB1c]~>
+b5X*HaO&#hkj7["m-Ns&jlkgfki(X20ek46/12u":dIBD5s\=5:f(P-:iKfME+&T_s0)LBrNH<k
+`Vm"XR]s$!aN2`LaO&#Ld)a;TaN2`LiTTCbqo\qh~>
+b5X*HaO&#hkj7["m-Ns#cHaD*_RlY;^V@.j[&UL?d)a;TaN2`Ld*UFtd,EX0iRn(es6KaTrTjRK
+nGV\jkj7ZcH>\+_S#2[Pd)a;TaN2`LiTTCbqo\qh~>
+bPqQQr\4jiKnXK7KnYtLE.s!bL&Q#m:0_<+FqL7EWhZSoZ+.Qad*UFtd+I=0ro"OSm-aB2l/Lj^
+i8!5IeB6:U['52^1&jN@0gS,$0a)Z=Kn\:)s*t~>
+bPqRgrkAopjlPIbjlP^fiT91[jo46<1&E?n0aL'A:gd[-?uTNQDulE3rPef@#F_m$`Po'MYl:'k
+RJsu$a9',taSERRgu7AVpri\f~>
+bPqRgrkB#sjlPIbjlP^\W5Z`fV4Y&ZrkJ?1pqI*Ud*UFtd+I=0ro!nAm/?GRlj)b@m-sN2kj8<4
+$,p=]KU\HUDO\!/^BE?NjlQ9\s*t~>
+bl9,&:dIC9R]s#bYcsS#YaV#bKpo5bFB)g\LOO]-IX[ZdXgYUBc+q6L_#;pai=4o4nF5l:m-a'$
+kNV6orSJ"2_p?/4:dIoc6""+";#`fe:dIBDG+,XhnBCo_~>
+bl8F(d)a;lkj7["m-Ns&m-*["jll'iG5X/q/-7OW/H.p?:dIBT5u:rTrF#SC!JR!A`;nEb`W+Hd
+`W*.K`N[J2aO&S\f\$2Ms2YJmaN2``kj7F.bl<1~>
+bl8F(d)a;lkj7["m-NrrfYY\]\?s2Qbl,<VZi\"L[/S,Od)a;\aO&S\rRh)-!TiPEn,W+XnGi.Z
+nGhhknEc<cRuiJET!5*3d)a;TaN2``kj7F.bl<1~>
+c2Rog5u9k*qO.Dgr0mY>#*2ne<F^Q&rdG?4IX\/r_m6Yk[)g/-da8!G'&hU&jm(djmdB?,m-!Qo
+pZM#.rne"$ZFmc=>!YtNr)!DZ#uEoR:dK&hKn]$@s*t~>
+c2Rq!aO&#dqWIqGr94.A!1a$C!C8+4/.OBc/3uQu5s\=55u:Bc;#Xl&E;tUmYaYO0!7_"e"MXBT
+imdtH#dBc%ZJ*[Hd)c.3s2YMnaN2`LiTTCbqp#.k~>
+c2Rq!aO&#dqWJ7IcHa;@cFB^@JH!:aaK#6H%_oBXaN2`LaO&#Ld*UFlrn.80s5a:Jkl'uNo_n7]
+qt0[UrpU3[kj7Z1Ec-8BrMC"CaN2`LaO&#ekiLq'c2W:~>
+cMmm3r\4UCKnXK"KlHsD.r^2rE.3"#<F]9QIXZHhIWg1!USFj$Xgk[PWkuWjb1P[sf%/[>ki1[f
+l2KiZq>]pHhrinS[)9_[SsFF`0gS)[r^$B8"Ena<L"joQJ,~>
+cMmn%rkAZYjlPI_jl-.!#3"\*iRG/&r\=C'"XbiP-S-hJ1&jNL0gS)[:dIoS?uTLmE.sb[Yl)HR
+nGhLt`RMlGR]s#bWSuLN^W=L2rlFrN"PhttjnR.$J,~>
+cMmn%rkB&djlPI_jl,=U\AcFZV7`+8AGs:BZj!J:[&UL?rkJKS%_p*+^X1'Kd+I=0iSin^rp9RP
+(An.,o^MMBnEB6*kf@^dDJbl4G^,:`qS*0giT91rcMrC~>
+ci4j+5qtYkG-J3>YcsS#YaVf#R]rT.S7#)sraQt(IX['$IYWB\^q-tu[*6>-bfn)NgYp`2h:q#C
+ir83Bk5b,Prt5"opYX'A^q@dq[&ZK#?r16=r_WS[#;JMFKpo6"nB_,b~>
+ci4mOaM5g;h!FCkm-Ns&m-*g&kj7N[d"F,.62iV=/.F<b/28\P?pRUs6""(srF#VDs+LQDYaVfo
+`;norrt4b[nAVWNYcu6kkig+?f[/:'rm:Yc#J\@'jll'mqp5:m~>
+ci4mOaM5g;h!FCkm-NrrfX0;`[)B.O:tWOtaSrsSZjjdW[(iupfZ;FlaOo.lrRh,.s5a@Hm-*g6
+n,W7^rtPA*qs`tAm-O6$R\Y1kM0tPlVT.!^a9TK$bN7sSjnR1%J,~>
+ci=#2!\luQqO.JiR]ud[/<>L0HVdsP@o[8fLOO]-IX['+^9+cV['m]]a2?KDbi-dnhqQfEio'"Z
+l0\HLrq?cgkJkNf_mZe`cCY#3%q&4A?pQM55qtYkAqc\-^<ch0~>
+ci=$d!l)h+qWJ"Ikj8<4#3F4QWcp0`r\4j50e=k1/1`M,:dIBD62j[f?r1fM?uTM-KpnJ0YQMkK
+`ROkdrpU9Se?H0rYdVC)khQ0a&(o7]fZ:hKaM5g;eE,oUnB_,b~>
+ci=$d!l)h+qreLNfZqFPcEs*<6'0I.aSrp`[(iuT^U1A_[*Zn8d)c45$J<_af\#08jlP^irp0aV
+m-sZGs8Mluq"3q>nG_bUOICe#Hk3$MYcu3`aN2-;aOK>8jm:=nJ,~>
+d/O)Vr\4RBKlDa"E;kPGRY?HaKkuouaA>,s>Y]$DE.2tZIWg0qIYXH!XeWP9]"GJa[`m=<b1=__
+eC`O6k4/<J'DLtTaNql1_j\=&ZA_((:dIBD62E>9K`Z4IPgKG\~>
+d/O*lrkAWXjl,=_iVqpGkiLpijk.Yqhh48m1&id7-S-er/28\10gS)[:dIDG:]b$D@/b-FL&[SC
+YeK,nrtFn]e?HorR]s$=o\nTH^X1'Cd)c'us5a=@jlk(kJ,~>
+d/O*lrkB)ejl,=_iT91HcGcWe`I1$<R*b`Fs0N99['Zj?^U1bjaN2-CaN4>,!ncJaro*n=s6'ON
+nG)k['DqRsm-sB*m-*r`E.VtEVN6IcVY\(-jT=E&f$OGI~>
+dJkDh0gS)[R]r6bYaVf#R]s#bYb[&um`]'F>Y\d6C2n]OLOT)T'r\RV`jW\*c+qKQb0e_din38K
+j7i<Drt>"UhU]rhc*4GPpsHTJ?slf=E;i-00gS)[G-IF>YhRS*J,~>
+dJk'I^W=L2kj7O"m-*g&kj7["m-)g[ptCC2q_A+%!AQ/%1&k)M?j';6E+!)QE;kOqYaVf#`UNBm
+rt=h?eA]D2`Os(fqs<Onf\"R'iVpn)^W=L2h!F7km.f!.J,~>
+dJk'I^W=L2kj7O"m-*ftcI(:O`33"%g[EeAqnN0<!Pc#<^]2[\fEBRRiRlf^iVqpCm-*g&nGE+Y
+ru_.-o^MA:nEfNAn?A^BP)4Ra]<]N!^W=L2h!F7km.f!.J,~>
+dJj>k0gS*+q3q>f'q2A2Lpm?`KO@nW<E3O=C3Y2VLOO^MLB`p0TXMYO[f4&Of"f\UdFQh$hr"1s
+s7cEj)YMV<cIC+SYcuCPs44,V:gd[-?pR(55s[4krL*`#dJn^~>
+dJj@%^W=L>q<7kF$0^aBf\$6(WJ"dX1&id+0e=mR1&aH@:gd[-ra61S@"iQRR[UJ"`UMmenGE5(
+nAWnk`Po't_Unhfm,6OCf\"R'aN2-;aM5gpkQ(,"s*t~>
+dJj@%^W=L>qreLNcIg(\`5HD4s8V$0d/(NWZi\"L[/@]<a90fAf[0WM%H5t$iT9:em-sNAq#C6g
+rrW)eo`"@Zlk/mis/D?AI$1_2YeJ2naN2-;rTF7NdJn^~>
+df0<kr@ndiKnXK"KlEK7Kpm^LL9(=R%7*fV:/t;(>\[bfIYWCILD5o,P*i8LW5Z-Y^U1A_b1,>;
+kO80Crs/5JdaZ^k_9MtJrr3&DRmHsKq_87dE.s!bgX?+P~>
+df0=9rP&ipjlPI_jl,FbjlkgfbLlgos)7sJqCr("/28^N0`s]r5sbKH!H;HFE!M)cYf5VOipcmG
+!:]p*"L,kFY-e3.!pJR`r6Y>U"k;Mmjl-!_s*t~>
+df0=9rP&ipjlPI_jl+M(`O)qI>'0cD!m&a0qS*-4[(j!C^B;QlaN4A-!TD]0i<SK.m-sfBq"t!h
+!;l]`!UT=Tkl1SePa?9VVP]HPqnE<aiT91[maD,c~>
+df0T?5qtZ;R]s#br3-<mYcs>Irr3A9:gd[+:1I%6<GHOLL]*AAWKO6[SuK)rWW'70b.lHUhrjb&
+qu7&hkhtU]c.pRJYf4ldrt=+W?smq]?r/RD5qtYkR]s#bimRjW~>
+df0U1aM5gGkj7["r9ORMm-N6krr3)]GDgb:1&XBD?pS1.:ge6M@/b*MRY@uM`ROD:qu?]U$.Rta
+`RMl@^=:s;rt=h_f\#08f[.CSaM5g;kj7["psT1m~>
+df0s;aM5gGkj7["m-Nu[fZqFRBt40B"7X[if^Z`Ta9^G>f\"R'iRlf^i<ST.m-O66qtU'gs7com
+q"4(JnEfN2o`"k'^6kCQQBJJl^W=L2aN3T3m-+5ms*t~>
+df9>5!\luQqO.SlR]s#W\GcF9KO@VQ:K:.p<E3O7B`*VhP)#3lP*5d8s/?'k[&O&3$-L$4b2;+>
+n+ZSUrs\2Nkhb+Ydb;mKYaX)?rsdP)?r1fM?njr50gS*;rL217J,~>
+df9?g!l)h+qWJ+Lkj7Zti;NZY["NXB:AlmL/28\,r%S@@0gSW%62aX[?ij/D@/b*ORY@u7`Pp?d
+nF6GW%-#dreC<KseAo5A\**_i%IDm&d,EX0^W=L2aN2m0kgKK]~>
+df9?g!l)h+qre7>dD"8OS:pk@"Q7qZd)c1#"15hM[/@ZBaM5gCaN4>,s4@D"iRn.g$0^L;kj\*6
+q"ssfrs\\pq"44RnFZ5:m-+*?rsbrlM0uV5`kTU9^W=LGrTM]0J,~>
+e,KE8r@nLgE.s!bKn]Mp!em)Er;R460gS)j:/5:i@o[#ECA<SaOoU::P5h*SWLj$p"NnL%hr"Fr
+$iftZf%f3.f%SHpSGeoSrroW':gd+-q_87NKnXK"c-u]C~>
+e,KF*rP&QdiT91[jlQL*!p/Y(r;QnsC0Y76r\=F(!&=I(pbDe7!&=I=s%i`(;#G88RY@3L`W"?t
+s7"OWeC;IVeA]D*XKo.Rr;Qrad*UFlf_`Ded,jBJjn.%%J,~>
+e,KF*rP&cjiT91[jlOe5[)',&r;QlO^W=Lp^]1Y@^](V8^]2@T^])=SciMeGr8@eBjll4'rq$Qt
+qt0CMo^MABnF6A>r;QqkI#tS0Yku0=d,jBJjm^b!J,~>
+e,K_b5s[4kYaVf#Rf0Gl`N[>Zrunm[:gd[-:/t%h>[2#K@qpOLLQ[FUSs#\ESuJ]\WO/Y(rj3Td
+^WP'Khr!VkpZg>di8!n[kk3ZU`NZScRc=8F&=.9C?uRhd5qtYk0sImNYeJTdJ,~>
+e,Ka#aN2-;m-*g&kl'iLnEfN>rrq\XI"cidq(_n#r\4mK0gSW%:gd+-?r16M?srtQ$^ud<YaWPM
+eF;te`W"?pnC6IeeC)UW^=L6tr;R>diRlfA^W=L2aN2-_m-*g*e,Op~>
+e,L!*aN2-;m-*g&kj7E`f[Id?r;Qrif[/:'d.tHV[/RfMaM5gCaO&Sdf\"R'iRlf^i="l2kj7O&
+nFZVTq!e:T$iBSkqt0OMm-O6*q#(.'TW"?LW3aRd^W=L2m-Ns&l-oZ_~>
+eGf^,0gS)[62I&MYQC8tj8AoXP[OGd$r9Dh<_-_#<GH#KC4Q;H!hPR<rLX%g"eN*#WO0&3^Bi!3
+eDK0;aOJf?h@&K&g?@82R]s#bYg*+G$i"+K?sles5qtYk1&RI?nC7Jg~>
+eGf^I^W=L2aSP-#liQD;n,31uj/79RE,n])0e=k1/1`M,-S[@T5lskK62aX[?j0AG?smqmre1EB
+Yd",G!jKY_rmV>8eC<L-bH/V!\(C9MrsS_ViRlf0aN2-;aM7Z:!;k:GJ,~>
+eGf^?^W=L2aSY0)gs+K]`6A/Z!U/27cj\"&^U1A_['[TTWkZ=Ja9'`0aSjKcfEKX\f\#0AroF4F
+m-O`@!poFGrq$Tno^qqNnEB6*kj7s>rsS=QQAMNQaN2-;aM7Z:!;+e@J,~>
+eGfMjr@nLQKlDa"E/"7Z!6tE@s'Qs(5s[4k5ZLTN@mX[1>Y&.*J;8oCLQ[gUSs#8.SuJ<\r3ZL=%
+a)MV]#_e+f$2e"ceR6_r0dY?^AIp5W*iG0@/DY^MhQ,(Kt,Y4J,~>
+eGfO$rP&Q`jl,=_iT:%%!;-0g%F_4b@WtRW1GLF30deOO-NPbGr\4gI0gS)[:dIBD:gd+-r,D[i
+s-`t-Rf9Pj`=(27eC:q,\#R$K_W^ms"R+Lbf\$)9"lSM$jlQ!]s*t~>
+eGfNorP&`ejl,=_iT8@p`PU@+s8U^Z^W=L2aL&^h[(iWJri-"+WrBaAaM5g;^X1'Cd*UFlf_j_.
+jo=NFiTU:-rpU'_nFZA>r9+1CnGE4g]nqiTYku0=i8rqZjk\GdJ,~>
+eGg%U0gS)[G-IF>YaVf8Ycu+Drt2b[E)9qM:f(Op:0^RcC1C%>raYtC$]g4;WLg)gSuK)rWVs4(
+^DFi&X00%Lf#,5Qc//-Ikjk7J`NZScR]uYgs'Q1Q?pR(55s[5KYaYQqeGk%~>
+eGg'+^W=L2h!F7km-*g*m-O6=rs8,K^P%N!Ecua-1&id.0e=k1/1gcT$W',c?r16=:ge6M@/Y'E
+L&[SVKpnI7`NZSc`ROD,ip`nZd_WrQam/a&s4@\;fZ;.KaN2-Om-+H8eGk%~>
+eGg'!^W=L2h!F7km-*KhdDXZ6rs8,QiR$60d*UGE^]1YE^U1A_[']hI$dcuAf[/:'d+I=0f_se/
+jo=NZjlkppnEfN2nFZVMq"s:AnEfN2kj80G&!F0/YfOo#aN2-Om-*g&hUMRU~>
+ec,j.5qtYk0m<J`"L+?!Yg*(F!k;WGr_WV\)c0'r:JOr#:InN$:1J$6C2.aBG`\)MSW]qBSc5Q*
+R#lulX.Ho.ZIZ\<db<L1g9RreR]s#bYd"!(&<pR1E'ZcE5s[5`R]s#bYjg3CJ,~>
+ec,jKaM5g;^YJbN"RP@=m.C2T%.M9VI"ZNZ>]<[o/2@)S"Xc#U/28^T0`aQpr_N`*:iKfMrG_dE
+!cWjIrgEr.Yf4T[e-NXu_m7A!]&;lMrt+DHf\som^W=L2i99Ookj82ss*t~>
+ec,j8aM5g;^YJbN"QdhQ`7k+g!q=jprm:\d"OP5s[(lRH"ff>E[(j!I^B)Ejrm1f#d,EX0rSde/
+!o`8&roaIRm-sNCo`"1\kj7["m-OTK&?q"JT<cPQaN2-Skj7["m.Aj.J,~>
+ec,WJr%S@OKlDa"E;c4*c27MB\6r_D5r15]0ekpa85r,H87PCq@pE&L@pEbYGB[eGGA;eTKS5G?
+OG'0qLRk**aJuu&c-OY!Kn]Gn!JR!=rrfi.?sl:u0a;6DKpm^Lc.2iE~>
+ec,X5r4`E^jl,=_iVhs?o_\XsnBK1/GA1es@no9?/H$sp/-.IVr%\4;#;JM10i1/D;#Of#E;tUn
+YaVfp`<iB.R'`m)ZGk5OqYp]fd+I!lr4`HcjlP^fjn.+'J,~>
+ec,Wtr4`Tcjl,=_iS;Dt[+bEW!q=jprl>,TaSrsS[/I$'ZiRqKr4i9Q#J\@$^X1'Sd/DVqiW&!@
+m-*g7n,hh8jo"<CjllR@"Nl+KYd42A#1VbrkiLp[ec1.~>
+ec-/55qtYk0q,>8YcsS#`NZTCrrT]LE;j6$5u:BD5r_D2:.SVi87Q.)@qo"fG?'<XBonF#OGedR
+R"V#nP,jtC^q@Osc,/2eR]s#br3-3jYknA2gL+u.:dHg%5r!PeR]s#b^=E76~>
+ec-0<aM5g;^Zb%Jm-Ns&nEfN<rt=hPf!U0mC3"],>Xp=r0e=k1/Gh1%5mB&??pS1.;#Oc&E+&Za
+re:<T%`P[%euHBuWl)`qaP>Y9qYq-%f\tK0aM5g;^YJ2>m-Ns*ec1.~>
+ec-/raM5g;^Zb%Jm-NrnhTO":rrV]KiVqI<aO&;TaM5*h^U1A_[/7W<a9KE+fZ;^td/DStiRn.g
+roO+F#Oq*Po]YZ.kkscJkj80G&ESbSYeA,maN2-Om-*g&kgn;aJ,~>
+ec,h]5qtYk0m<J`"0e5uYknA*\6r]`5u9j5;#Wa11-e0%:.SAi85<o":3UGJGB[bSGB]-mP)t?P
+OG&dtR#J>N^;IV0_O?2XRKg!bYcsS#Yke>!?k%'@5qtYk0oML)YaVf#ec1.~>
+ec,j+aM5g;^YJbN"757<m/$_lnC#S(GD'^MG?eie68L"g/-7OW/H%='5m&i-:dP(W%:E"O?smq]
+?uUgRE136pYRSRiWgg#oZG=&hbi%^Gq>^KI%H5CL^W=L2i99Ookj7Zds*t~>
+ec,iXaM5g;^YJbN"6IhHc2.GGnCZCPaO&#Ld/M,dZiI-*Zi\"L[/Ic>a902ud)c45%G9%df\#08
+f\trRiTTM)m/QPUkiMg-#41R?m-*g&q>UtgYe.3^^W=L2i99Ookj6^Is*t~>
+f)Gc\;#E$S:k`kBKlDa7Ra(^/!4`#9!Dl)X0ePFV6:b-Q86fY">\[#6G?eBs@pF[lKS4f"OElVP
+LPMOiLTJ.aKnXK"KlEK7Rf8!@Recsc:gdZsr%SFgRY@2aKppcIs*t~>
+f)Gd?d/:Wbd,j6Jjl,=bkk+`O#OpBj^o2HWCAqK;:'*p:-iGUm1&jNE0gS)[:dJJcrF#SCs+M#'
+R]rHVR$+&6SZo0+c/%4<q>UQDf\":C^B`9PjlkgfkkNa/J,~>
+f)Gd#VYn18d,j6Jjl,=?_V4kd!:^!?!RSp_^B(^ArNuF9s2YG[aN2-CaOnl<f_se/jUC,3m-*Qm
+iT91[kiM%-jT+N?rr[Y*M5gEf#Lqu!kiLpFjjsH^~>
+f)H;k:dHg%5r!PeR]s#bYf3j+qYprJE,]2mE'Zcd0gS,(0ebjf<DH;!:/5&'>\SS2Bo.+ZOEkT&
+LO#GGLT?etWk>@?S:u[$Ks7eMYcsS#YaVflrt&RW?r0-D5s[5K`L=$8R]tf&s*t~>
+f)H<Nd)`uCaM6Nskj7["m-sB:qYq-!iShelW,Qs"C2$pJ:/t%Sq(_k7$W(4s?slf=?r16M@/b-F
+KbJEoYaW#!R&7Nh^q@7oaNrf2i9^:>&D5sod)`uCaM6O"kj7["m.f03J,~>
+f)H<(T?+dgaM6Nskj7["m+U+VqYprJiSiGAiQ0*e^W=Lg^]):^d+HFlf[/:'d+I=0ro*n='B/0A
+kj7Npjm;*qm-*g&kj7["m.pYmM3b'QaM5g;^YJ>Bm-Nrgl.5lb~>
+f)Gub?pQM55r!QZRK9Y;qYpoIKj\k-?pR(T0gYdn.4d2)1-eB$<DH;!>[1uQC2%m,GD0dWOElV7
+H&%'?LQd+)E12K7RY?IoRKS>5R]qMAs8QI:E'ZcE5s[5`R]s#bYcuC's*t~>
+f)H!EfZ:hKaM6O,kQ1&BqYp`kjk//"\Gg[[C2$F<<E;jc69m(QrA"7:!Dl)]:]Xs#ra6U_?smq]
+KlDrtLQ\[)X/_hnWk,dUg">NPjn\rVfFHl]aM5g;^Yn>Bm-*g&o[a%m~>
+f)GutUr^<laM6O-kQ9&ShYR6Zc-+buf\"9dd(d[$^BV'[['[TT[/Ic<a8sZ/rm1\ud/MZ&iRlfA
+f]D)Rro"%EjlP^fjo+BGjlkpp^\Rm@M5Ru,aM5g;^Yn>Bm-*fcg=H:S~>
+f)Gc\;#E$S6%s93KlDa7Ra(^/!8IK\!`38jqCr"%1&`^0-SmeY:/t%a<Vp#0E*QXlH$P'gLNmWS
+@/FmNKlDa"E.s!bKnXK"q>ULm?srjdrL3b?!Lh9as*t~>
+f)Gd?d/:WbaQ;CBjl,=bkk+`O#5Hj'd^IDlrb;gG:/u%):/=n]69mR.1&jNE0gS)[:dIBDrEpC[
+Ao3<VLPM%OLRk6(X/);pf@JR8iT9n8!moTPqnN*ns5a:Fo[a%m~>
+f)GcnVYn18aQ;CBjl,=H_V4kd#2>Ksf[/9lqS*'<^](SAWjK/1^]2@[^W=L2d)a;TrR_83f\#08
+qr%qEiT91[jlPI_jl*<:rrS^pYku36kl9`F_WTMMJ,~>
+f)H2h?pQM55qt[0Kpo6"Rf9Pers=Bu?smq]:dHg%qD&"$(GRHl7R0^D>\\OhH$OUZH"r"fH$=XD
+@/FpBKaX?'R]r67Y_B<cR[X'P!FTmG5moD55ut5/Ycu*8Yi=76J,~>
+f)H3KfZ:hKaM5g_jll'mkl0rEs$,W(fYHI]YD$_*<GH8D<GG9":0^=\<^9GV5u:rT?slf=?r16M
+?taq5KnkGHN/*RlR&d]h]#_k<kh5%`kihjB!SHB1a:#c(aNNr>m-O6*m.f03J,~>
+f)H<;YfOT#aM5g_jll'mki1+1q>UbacIge.f[.^SaSN[OZin.N[)g#]a:HYMaOo.lf\"R'iRlfA
+f\$)[roFOOjll'pjm;*qm+/Q>rt($QS]JmeaN2QknEfN2kg\kJs*t~>
+f)H;#?pQM55qtZ;KnYtLKpo6Mq>UbT?uTLM?sles62iSA/28\,1&WX*-S[/'r\=F=#uEoR:dJJc
+?slh1?ib4SrG_dj$^ud'RY?HaKnYtLL&(cK?k-"!5qtYkB!@`.YaVf#c.;oF~>
+f)H<?fZ:hKaM5gGjlP^fjll'tq>V>of\sWm^s'6=E,',m88;X*:1I<q85;oN:]=,h>Tdcd>\[Mm
+C3bJIH%^HuM3<XWR$aqcTW>fYdGrp;kiLq%s8U^]d)a;CaN2ltkj7["m-OAqs*t~>
+f)H;[YfOT#aM5gGjlP^fjkSA,q>UbTZf0Q`f\"QlaSrpW[(iuT^\tMAWkYpJrkJKS$.-c7d)akd
+f\"RMfE's`rSde<$g?^6kiLpijlP^9V>:-&M3>QnaM5g;eElDcm-*fgg=H:S~>
+f)GbY;#;sM<cEbHE;kOkRecsbP]1%/;#`i\1&id,0deM'r$MP#/1gWPs$6`A:dIDF:]bTD@/=gB
+L&>oiK`Q.Hq>^Ikq_@o8!6s*pJ,~>
+f)Gd'd/1Q\bMhREiVqp=kkY5uki(13d'h*!XbLS*:L%X086oIe6<$]T86enb>lIJ2<Erd/G?eC+
+C2/EBLQIFLSXkQ8SI)aIf#lt&jlPI_q>^KAqnMsj!;+kBJ,~>
+f)Gf.I'`ac#g;2gjl,=[ZFp#5!gJ>WrQtScrkJK?"2CkC[/?p*^U1BE^]2@W^X1'Cr6PN(f\$&Z
+!9O.;"6IssR/-a_Kr4a^qre+:cJ$kLJ,~>
+f)P_W%5C.70gS*ZR]qL7YaVflrrficE+!Ya@/a"$0a90`/1`M,/G_+$5mpLT:gcRs?r16M?srhM
+s+LKBE;bIoRY@3!L#Vt/&_g]40gS)[6"[@*`NZScR]tf&s*t~>
+f)Pa%%DU!*^W=LXkj7Epm-*g3s$-#7iQ^>sfYFr(W+ogWC0"SL@nog0>Y\O=:/5P/>]ORoH#SF^
+Efc'%OHPBiSVNc,Su]H@dF$e%khkUfjnS]P&bt#;^W=L2aOKSCnEfN2kj8)qs*t~>
+f)H;<PfCJZaM5g;jll'mkj6U5q>UT-O/^djrn.4srP&QD^U1A_[']\Es2YSpaO&S\f\"R'iRlfZ
+iW&!?ki)L%"mG(3[%-.Prt4\']>)G.^W=pkm-sB.nD)O\f)L7~>
+f)H>$?r/RD5qtZ%Aqc\-KpnI7c2.GR\:nmF:gd[-?pRUT4=i3</28\'r[\+*/1gcTs$7/l5s\=5
+?r16=:gd[-E+!)QE;tXlE;tUsE.sa7Kpm_MqYq/+?r0-T:dIBjYcsS#YaVf#c.;oF~>
+f)H?@f[.CSaM5gCeE,oUjlkppo_SSPnE&Wad)O_N^ob&:HXged@qo78@q/&)@pDc6C0Y"kC0Y_%
+Kkc='C5%anN0'-[SXlRbb1=tngYM)Tjlkh$qYq/kf[.^\d)a;`m-Ns&m-*g&o[a%m~>
+f)H>JUo(oJaM5gCeE,oUjlk@HgA:g_\:oRcd+I!tfZ;F\]sPP][(iuJrj2aA[']hIs2Y_taN2`L
+f[/:'d+I!tiRlf^iW&$>iW&!EiT9:b^U00YqYq/@M6G"Ad)a;`m-Ns&m-**CkLTZ`~>
+f)P_G!($K:s+LVqKnXK7Pkk@YDusE5;#N]Y0`i^R/H$pt/28^O1&jNC0i1/%:dP(W"`RjWE,]4W
+E;BM7KM_P#qO.J>Ra'F`J,~>
+f)P`r!6G&Ps5aFCjlPIbkkY8XiAK9"d(?E^['?BkG[+`g:/kJ'87Q.7:24N=:24$=BkhisGD'^T
+KS5MMOHQ07`6-6Wb1>P&r8IJO!T;?%^\[-qjll?fs*t~>
+f)Gi-VP_*)^]3C!iT91[cFWiO"`T*[`lQO*aSijTWjK/3WWKQB[/%K:a9B?*aN2`Lrm1i-f\#0A
+f_FD-c@_F8q>UJjSGU(ukQB_][,0C6J,~>
+f)PbX!-%j%#uEoqY_AOMKs7fWrtN^sKlBjr?r0[-5s\=%5qsoA0e=mP1&jNE:dIoc6""(srF#SC
+!+>\Cs+LYrKplt7R^i1nr_WV\$rB65`NZScYcu*8Yg(c!J,~>
+f)Pd&!9*js$.-cGm,dHtjm;@0s#p#5jl+A7c*k@=]</NAXbL=jC1CaRC2.!YC2.!gKPG7`GD(Eu
+OG/USSW]PB]?8:Ib0&\pg#:cNiT9:mq>^H@s2YVqaP?:Om-sB.nEB62f)L7~>
+f)GiMYe.4>a9g57f^._`m,d$Gq>V/RE0?O6f\"QtfZ;.\^W=0s[(iuTqS3'O#LLQ=fZ;^td/DVq
+i;hO-iW&!DiT8XVP,Pndrt1d7d)a;TaP?:Om-sB.l-@6$f)L7~>
+f)HA]?r15s:dIBD5s^rnKpm^LRdg1R'&.AZE,]2]5s\=55u9:%5qso<r[\()/H%='5n?dX5u9jT
+:gd[-?slfM?r6i1r,;XirGVglRdU%P&u]2(:dIBD6*Qf^YaVf#R]s$@f)L7~>
+f)HBHf[/9ld)a;TaN3T,jlkgfkkk5V)#3(OiSiG,ZH1D"Xi[iMXeUAj@q/bY@pK"J+^B5EC2/EG
+Km/W?GE@o>Y-PLb^qepOd,ER;iS3>MjllL9rt=PJaO&#Ld)bS;m-Ns&m-*g&o[a%m~>
+f)HArM0u>Ed)a;TaN3T,jlkgf_Y!^)'&.AgN0_K1aN2`LaO%]CaM5*^rj2^@[/Ic>a:HY=aO&#\
+d+I!tf\"R0f[0WMr8@nBiOkJ/KrEc&rt<GXaO&#Ld)bS;m-Ns&m*"&"g=H:S~>
+f)Gj,:f'IS0aDl@KnXK"KrOnJ!4i)J"CP%\5sb?%s"":-/12u"q(_n8">N_=5u@JFr_WW&!H;HA
+DudHErr>@^0`Yh^RfA'BRbQEnJ,~>
+f)GjId*Tl1^B`QQjlPI_jm;gC!9jF@'%k@AaN1-]^TjQ/\=&b[MfX;prFuOAC2.!tGA@,$%toIs
+U92&9[a;h1iQ'O.f)+D+kkY5YaSW^PeGAD/jT4T?f)L7~>
+f)Gm7I!h!]qnEBkiT91[jl+,Qrs4j.K7f#o^W=Lm^]1YD^U1#J[/%K:a999)aN2a+aSsQdfE's`
+rS[pZQAgH8Sb`9dDQ*KJ!7^o0"QcW%[,om=J,~>
+ec,YXE;i]65mpLT5u;`nY_AOML%+s=!ViYmE!TiJ?pR(T0gS,(0a90`/1`M,/Gq7&5mB&0?pRUs
+;#Oc&E+&?X!M]#Yrsbo'5s\=56$BK:`NZScricElYgrc(~>
+ec,[&iVq4(a:$A9aO&`+m,dHtjnnoS!W2*Zi=jkjfX/`HUTM>HUSFieUR@aLR@4#K(94L=UU7h=
+[`l1qbg!rSfZMe(f%]0<r8@\<q"k""kg7Dld)a;`m-O6.m-t#@!U/n#s*t~>
+ec-8=T;Jm?aN2`LaO&`+m,dHtf_#%?%e,p+K8c+dd+HF\d(dZCrP&QD^U1A_[']bGs2YDZaOnS\
+f[0TL!TD].i<RZ-K9h./L"lJ(s1SHR%a`;<h!FCsm-O6.gr.LVec1.~>
+ec-88:gd[-5s\=55u9k$RY?HaKtdB_!mHUBrEp%15s\=%5s[4V/28\'r[\L5/1`M,/29FV0gSW%
+62XO[?r6i1"`RjgE+!)QDukU&q>V'n:dIBD5s^sDYaVf#R]s#bYeJZfJ,~>
+ec-9?d+I!taN2`LaO&#ikiLpijm`*G!pJb)rR`^KaN2`'[)fbFRD5V\RBDsQRB<6PRD5l+UWBmG
+XjFMbahtp9fYH.uc/IX6f_sb/f_PO[aO&#Ld)a;lm-Ns&m-*g&kj7fhs*t~>
+ec-8WOKbt/aN2`LaO&#ikiLpijjs8-"-eLcCAs%u]u\:A^W=L2['[TTWrB@7^U1A_['[ThaM5gC
+aN4;+!SGcufF$TiiOk#(HBrMh@/9g8S']6td)a;lm-Ns&m-*]d[*d4Ms*t~>
+ec,`M5s\?C0aC!uE.s!bL"lJ("QmXT?srt1!($K:s"".)r?qUr"=G`T/1g]R"@4b.5r&@)r_WW&
+!-%jDs)8$a`9-pr!1<X<!-\4-"GN:uL!A0JJ,~>
+ec,a8aN2a(^B_jAiT91[jnS]P"RtC/f\$2M.*00<WkZ<RRB=5oOIW>=R?k4TRAR`oUTqS9UV"UB
+[)fkfd*TebiR@bXs5=%3iUH^D!8m[g!8RG7"Qek/jn.+'J,~>
+ec,ccS"$:FqS*9Vjl,=_iT9M(rs6,RE+"NMHuOi;^]1Y@^\t24ZimD9^U1BG^BDWmaN2-qaSsQd
+fF$TWS;D<DE/\1D\GH4*e,-l[h"p77cMs^@g=?4R~>
+ec-?<?r16=5s\=55u9j5G(kX=KnYuMqYpujW.T%s?uSqM:bb7%r@nL-0e=k1/1g]Rs$6iD6!uuT
+?r6f0#B4'iE)9q]@/b*HGf882rtEUB5u9j5:lDQsYcu*NYf3'8YaX)AJ,~>
+ec-?Yf[/:'aN2`LaO&#Lgu[Y]jlP_$qYpQbro*n0/)ek-d(dZCZ*D'YVk^W+URAL(UT2)DXf]@Z
+^obu9[a!ILc/I=+iR$69f`'h2f\tfcrtFkBaO&#Ld,=9[m-O6.m-s6*m-)t!J,~>
+ec-3KRuWu-aN2`LaO&#Lgu[Y]rT3nU%)-\"K8FZ%I#5AJaN4=p#.2.P[(iuTr4i9Q#/A73aO&Sd
+rR_S<f\t,9J!P81K5bmNE;KSCn&WSsaN2`dm-sB.nG_bVcIg(BeGk%~>
+eGg2(?slf-5u9j5:dIBDG(lB=Kpo";rsA,GdW8f(:gd[-r]p]B/1`M,-iPY+0e=k1/1`MA5qtZ%
+5sbEF"CP&6?r6i1#&msXK<WViqu7AS:dIBD5s^F5YaVf#R]s#bYcsS1eGk%~>
+eGoO#s3M7sd)a;TaN2``jlkgfkj80G!r1m=rn%>"f\"RMa<8""[(iK6['Z72['ZU2[(i`S^W<jp
+aO%BBd)4;Yf\"RMfEU<ef\tK8nGE5"n'K.sd)a;dm-Ns&m-*g&kj7["nC7Jg~>
+eGg2JM2?VbaO&#Ld)a;Tgu[b]jll(-rt=(?Kj]C<Ar2@bDOnk`['[TTWrB@7^U1A_['[ThaM5gC
+aN4;+%bT.7M0seoM0a5XE+!(`qu7B!d)a;TaN3<+m-*g&kj7ZZf\!RWeGk%~>
+eGf^,5u9j%62<58@/OsDPktCjfZq*`:f'GS5qtYk0ek46r?qUr"=G`T/1g]R"@4b.5r&:'">N_=
+5u@Pg"*hDhchm_Bbkj*rG(kYIRfA'DE12L8eGk%~>
+eGf^IaO&#CaSERNf_j\.kkb;jb2M=3d*Tk\aM5g;^V@.jV#IA"T<tW*WjK.JU]/"<XhVruWlW8u
+aN2-CaN2a+fE'@Aqu6ZbqnE3fjlQC's5a@AkiMThs*t~>
+eGf^6DL@(uVYRt,f_j\.kkb;i?uU'm:hFTK<afl`OH?iarMon)"KJiD[']bG(!+/2aM5g;YaB<"
+Hu;YjI:.,(?r18.rrDNb^B33Pjnn6FaLJ1oV<-5,J,~>
+e,L/9?slf=:dIBD5s\=56&UGNRY?Hpg\q-`huD`h];T[F?sl8s?pR(T62iS@/28\,r%\4;"Yi;N
+5u:tg:_,j"?r16=:ge6MT#AY4s53eT$A:]A:dIBDG-J3>rNHLFR]s#bYeJTdJ,~>
+e,L0@f\"R'd)a;TaN2`LaPc1AkiLpmq#13p_uK)bro"11f\"9lfZ;.\aSrpX[(iuT^UX9X)S=)*
+aNV`PfZMRfaOo.lf\"R'iRlfAf]`@QrVm5_aO&;TaO&`/m-+E7#4UjCm-*g*e,Op~>
+e,L/XM6Nk]`5p$HaN2`LaPc1AkiLpmq#14(R/a.>E,^G5?up45C2Rp:DZ5_"S\MP=r4i9Q(r+/E
+aO&S5TmU=+M,9%Y:j.J!?uTM<s-Wcb$K0"Pd)a;Th!FCkrTjaXhq5lWf[&%HJ,~>
+e,KHm@/Nh65u9j5:dIBDG(lB=Kpm_?s6nkErse)%]:s@S:dIBD5s\=5r@n=(1&WX'-iPY!0e>UF
+rBUH\62j[d?r16=F0E6pf)G[^hs]<A:dIBD5s^F5YaVf#R]s$oRK9YIe,Op~>
+e,KI;f_j)/aO&#Ld)a;Tgu[b]jlkgus5ClprrV<@iVqI7d)a;TaN2`LrP&B?^\tM>WrB@-^U2(s
+rQ##daSsNef[0WM"45]Ikl1Sp_r:CCd)a;TaN3<+m-*g&kj7[6kQ1&Fe,Op~>
+e,KI$P5V6k`lQNJaO&#Ld+maHjlP^fo`*.&rr3%RE,bea#A.jJ:i:/u:&\Q&<E`i0=o_M#=qtIL
+DIIEoDJjJqHtH33>[VV\:gd+arr3k'bkTi;aN2`LaPcFOkj7["m-NiZcEst.jjX6[~>
+df9>5!\lu,pFuYEqeuRhbPhGIps-M1Y^8Yj5sb?%r[\'t/H$sr/-.IVq(_n8#Vf.A=GWHQYMf?Y
+(VDIg5qtYk0lVi#RY?HaKnYtLE.s!bWRCfs~>
+df9?g!l)gtpV-^Tqr%RugAV$Oq#94Uf[.^SaN44mrj2^+[/I$)ZiRqKq7lsN!Pd"[a9'-'i;ETk
+dD*cD^W=L2iT91bjlP^fjlkgbjlPIfdf4g~>
+df0JsK6W$$OSHQjd/2c&[D`%D!8IKl&R\F94[DAB@6H>R@7`dh>":pY;ZngY>%'Di@0eSr@51>k
+5r!EY5lrc;K`(id]YDP/^W=L2iT91bjlP^fjlj@h]VUq9df4g~>
+df0I)?r16=r_WV\%T#GW?pRUsG(lB=Kpm_*rVm<$f\t,[Z?oDU5s\=5r\4[00e=k1/1`M,r@n==
+1&XBG:dJJs:lCpB]#2POrVmbZFC7C2?pRV4R]s#bYcsS#YaV#bR]s#bnC%>e~>
+df0IFf[/:'rm:\d%a`;<fZ;Flgu[b]jlkgqrVllmro".8iR#s(aN2`LrkA`G^U1A_['[TTrP&BS
+^\u4Yd)akld+I!lrn%57rVmc(f\"9lfZ;Fpkj7["m-Ns&m-*["kj7["qpPLp~>
+df10GM0t/:OKm0RaO&#LfZ;Flgu[b]jlkgqrVllPrbs2lE)9A=DG!_k@9#$K@9PW^>$=KK@:<.j
+DIH.'DH9S7F'qgZ?pXd"!0mH^)=Q51aO&S\d+mjOm-*g&kj7["d`]qZ`3f0bs*t~>
+dJj3jr_WV\$rB5U:dIBD5s\=5:n%B;")rsJ\GlL9pu0l0fXe;15s\=5r@n=(1&WX'-iPY!0e>UF
+rBUce5u;?eS#491d*M^k!S`;):]Wk?r0di$R]s#bRYC^/!8Gp$J,~>
+dJj48rm:\d%+*):d)a;TaN2`Ld-1Jj"6&A'nG`Fho%W.%fEBRBaO&$,^B(^VrNlR)rj2dB[)g#\
+a9p;8d)`uCd)aS\aSu2?pu)%r!Qa3skQ^D;m-Ns"jo+BCpsK+l~>
+dJj4!rd=a8%'dmpd)a;TaN2`Ld-1Jj"6&A'nG`FhgMh-1?mSWD5u9jU4Y]N34Y/p':+%Sr=tqRG
+<C&o^5u:TY5qtZ%5u:Bgrr3#oi;:k%aPd![$f^C:m-)m'[*HOqjjF*Y~>
+d/O8[5s[4k62`P<5mB&05qtYk@/=gO\GuU(iPsN^VQm@p?srsgr[\'t/H$sr/-.IVr%TTk@!Id'
+^RMm7^<ciZb[a"*0gS)[5u;NSKlDa"E.u#[RY>^7KlDaUd/SU~>
+d/O9qaN2-;aSimRa9KE#aM5g;f_XP2nGiOZd*UGEd/V2b^](S@WjM`)s0MgA[._97a;)J*])Vg!
+ccF2BaN2-;d,F*JiT91[roFCKjl,=_iT9RUs*t~>
+d/O<+DJkQ*S"0Jms2YDZaN2-;aOp@J#4VZmgMftsr_WV\s"OdB0el!k/13b_r[.hP3&)smr\4C9
+q_A+:+>H/ms8VQ6aN2-;aM5gCiT91[jlPI_XQAZk]<\9FV970bJ,~>
+ci5bR?pRUs5u:rT:gcRc?pRUs:geHcKnXK"E,_&OpuUJe]]$K,Yf=2W?qrF-/28\,0eE8X(3!Ag
+G`\#WW11l6^"CEYs-SII:gd[-ra6@mY_B<cR]s#bYct[,Y_AOML"+HKJ,~>
+ci5cYfZ;FlaO&S\d+HFdfZ;Fld+I.4jlPI_iSj"io#oV:f\t30f[/!t^V.Ch[(iuT^U3sS!m%a^
+r4i6P$ddP;^&R!Jf[/:'d/MZ1jm;*qm-*g&kj7Zokj7Epm,dlcs*t~>
+ci5erS"$:ZS$CVed+HFdfZ;Fld+I.4jlPI_iSj"igP'TS?uSqM?r0[-0h=#M/4hfP0e??(0`k'#
+4T$r55mpLs6$3.ai7QE/f[0WM''8KAm-Ns&m-*g&ZI7CE[)B9,ci8L~>
+cMn>M5s\=55u9j5:dIBD62XO\?uUhrE$pmkiRlN0VSpicVPM;&OIN/0LPMCTIYXqYOHZW)SA1/u
+aLo:/R"Y62"cJ(gRY?IlRKeG<RY?HaPg9;Z~>
+cMn@#aN2`LaO&#Ld)a;TaSaBdf\trgi<AGoa3)c]rm1\ed/M)l^W=+'['[TTWrB@+^U3pRrl>2H
+VS;!`cir@hjlkgfqWRt3"R+t/kig=lJ,~>
+cMn?/L5((nDPk(fd)a;TaSaBdf\trgi<AG>E*uLMr_NV];#W`d0gRoV/1`M,-iPXt0eE5Wr]pW@
+6&FOpcir@hjlkgfqWJ-OL<dc7[(=Q_J,~>
+cMn[70gS)[5qt)[5qtYk0gS)[5s[4k:gj';+fN'+^<"'nVSC36OL)]`LQT?#I\<]rPH(RO^V@+i
+[%)sN5oVOE5qtZ%@"j;RKnXK"KlDa"E.r7MX+bMHL"joQJ,~>
+cMn[T^W=L2aM5L2aM5g;^W=L2aN2-;d+J-P$.-]:aN2-;aM5go^]1Y@^\t24ZiI-(^B;!AWj_lI
+)o'J8^W=dSjlPI_jl,=_iT91[jl,1>jl,=_ps/ni~>
+cMn[A@;]skHB=6$aM5g;^W=L2aN2-;d+J-P$)i5Z5s[4k5qt\'1&id)1&WL"/-%'p0`in*JGmP.
+^W=L2aO&T$jl,=_iT91[jlPIU`1L#JW26?PcMrC~>
+c2SU7:gcRc:dIBD5u:rc?slf=?r16=:gd]*E':/=fYlF`d$qA_aH2q,^PB/&[%+M1ZbNl^ObdCA
+?slf=?r16=E.sa"Ks69"Y_AOMR]s#bKnXKeY_AP8c2W:~>
+c2SUTd+HFdd)a;TaO&Sdf\"R'f[/:'d+I"Fi<n&\bf\SZd)`uCaSik+[(iuT^U1A_^Sds%]%GB^
+f[/:'d+I"0jlk[bm,dHtjll'pm-Nrtjl+;IjllTds*t~>
+c2SUAI#2a)VOO'YaO&Sdf\"R'f[/:'d+I"Fi<lNB?r15s:dHg%62`Mj/28\,0e=k10e>%UJCr6$
+f[/:'d+I"0jlk[bm,dHtjll'pm-NWK]Ttk9\?tnQs*t~>
+bl8!n:dIBD5s\=561[nQ@/+[F?uTL]E+"@uQj&#"NL5?Mrf-qc-;\)X:gd[-?slf=?r1HYRY?Ha
+E.sa7Kpm^LRY@2aE.s!bXeLO(bl<1~>
+bl8"<d)a;TaN2`LaRdaYf_FD0f\tK8iRlf]d/V&dd)ETq`W+R;d+I!tf\"R'f[/:'d+$k7jlP^b
+jlkgfkiLpijlkgbjlPINjlQ9]s*t~>
+bl8"%Hu>"BS"$:PaRdaYf_FD0f\tK8iRkR:M>r51M1gBXK`B[Od+I!tf\"R'f[/:'d+$k7jlP^b
+jlkgfkiLpijlk"%`OM4TZDH[,s*t~>
+bPqRsq(W=E0gS)[5s[4k5qtYk1&aH>?r6c?"CQ1V?uZ*Q"AiK6:gilks$6]_5u@;p#).#MKlDa"
+qJZM'XkV&!J,~>
+bPqS;q7dB[^W=L2aN2-;aM5g;^]):Tf[0QT"PD\cf\uh^"OPfRd+Is:s2Y8gaO'\?#3Fh*jl,=_
+qV_M&eG.5eJ,~>
+bPqV)@K)AfGRfhJ^W=L2aN2-;aM5g;^]):Tf[0QT"PD\cf\uh^"OPfRd+Is:s2Y8gaO'\?#j(%,
+jl,=_fWtLgs-<^sJE=uSJ,~>
+bPqe8b?@_.5u@MG&Puk3?slf=?r16=:gd[-?slh1@/4dA?kI?c?uTL]E+!'m?smq]?uTL]q/?@g
+Rf8!@E;kP$R]qL7KlD!bE.s!bQ.>?Hs*t~>
+bPqe*g<e3faO'n,&^]1Wf\"R'f[/:'d+I!tf\"RMf_OM+fFd)pf\tK8iRlfAf\#08f\tK8q;DA9
+kl0ZDiVqpKkj7Epjl,1[iT91[eCrm)s*t~>
+bPrR+Z#Y50DL?>VS#"!Td+I!tf\"R'f[/:'d+I!trn.&*s4@qBf\#08f\tK8iRlfAf\#08f_OJ,
+jll^*!9*q=%d<9@hoMap`OiFPQ?0"KbQ!(~>
+bl@_3"om[f5s\?H5lrc,62+1_?r16=:gd[-?slh1?j:RX?uTL]E;a/K:gd[-?slh1?ik:T@/4aA
+Rf8!@E;bIjRf%+1KlDa"HJ&8dn'(f^~>
+bl@_%"onAEaN2a-a9',taS4$gf[/:'d+I!tf\"RMfEU<ef\tK8iVhC5d+I!tf\"RMfE1$af_OJ+
+kl0ZDiVhj<kksBFjl,=_iU?g*iQV=P~>
+bl@^e$iet%DJji>S"#M/ZM2]Qf[/:'d+I!tf\"RMfEU<ef\tK8iVhC5d+I!tf\"RMfE1$af_OJ+
+kl0ZDiVhjJkg$fPQBoM%V59-ps3/^2s*t~>
+c2Rh%n,E=fj^e-@s$7,L5s[4k5qu2%5u9j5:dOYK"CP&6?r6f0"`RjWE+!)DDubUeDulK]rr3#f
+hp)1O~>
+c2Rg^iVriXpsAfNs2Y\baN2-;aM6*CaO&#Ld)be)"PD)Rf[0TL"l\+diRlfQi;i!7i;qm*rr3#X
+_p/43~>
+c2Rg3bl7VCgM$RpqiDB%aM5g;^W=L2d)a;TaN2`Lo$@Nld+I!trR_;4f\#08f^[o#df-i`W0Wa]
+ZBgj$rr3#CR*GY]~>
+eGfaAs8VQfn)+!A(T("`5s[4k5qtY[:f(Or?slf=?r16=;#Oc8E+!'m?smq]?uTL]E+!'m?smq]
+nSnG\")rF;@/=gDKlFU!rrM$Gr;Qlfs8VQ?s*t~>
+eGfa!s8UFFiPYNl(Z`rXaN2-;aM5g2d*UFlf\"R'f[/:'d/DT1iRlfAf\#08f\tK8iRlfAf\#08
+n_sH."6&%sf_XP.jl+tjrrL$rr;QlFs8UEts*t~>
+eGf`ss8U=CbaA8,(SuM(S"#LlK40Lr\A[%Hf\"R'f[/:'d/DT1iRlfAf\#08f\tK8iRlfAf\#08
+n_sH.#N=%XVl75>ZMp-kZCd-QrrJM2r;QlCs8U<qs*t~>
+eGf^0s6oF6n+co@bV;CL0gS)[5qF`A/29Fe?slf=?r16=:gd[-?slf=?r16=:gd[-E+!'m?smq]
+?uTL]E+!)JE!D#8E+!'m@/FmDK>@9^!UnqEs8VNgs52K/J,~>
+eGf]Fs3K$/iV<F2n%Zrb^W=L2aL&^h[(j]/f\"R'f[/:'d+I!tf\"R'f[/:'d+I!tiRlfAf\#08
+f\tK8iRlfWi<JE&iRlfAf_XP,kkP/YiPYWos3C`GT\09p~>
+eGf]>s3/]SbkV2rfPQ@\@;]skL51kGLT%l4f\"R'f[/:'d+I!tf\"R'f[/:'d+I!tiRlfAf\#08
+f\tK8iRlfWi<e8a]<J3!S%H;)rK[Ggq#:B=R/R'bbQ7a2f`-I~>
+e,TF)p&>'\If(r#/.OBc/28\</5/>q:dIBD61RhT?r16=;#Oc*E+!'m?sreL"]/T'?slh1@/OsE
+SE';B!T3AFrrMTGfDg@~>
+e,KKBZ,?87!Vk=F^]1YN^U1A_[(WicaN2`LaO&$!cii"Jf\"RLfEL6df\tK8q;DM(f[/:'d/M\q
+i;qm*p&>'1iVriXc_/niJ,~>
+e,TE7p&>'IN;R)qH\[]<LQHkET"E(bd)a;TaR[[\f[/:'d/DT#iRlfAf\$&Z$eVteVQd;%P)5@6
+ZMp-jQd#.&!LV+1rrL?2fDg@~>
+e,TI*o)AfrA3iNV1&idF0hbDO:ge6M?uTL]E+!'m?smq]?uTL]E+!'m?sr\Is'Ph'rEoeJ?smq]
+@/b*GFM.2E!:Tmd!8lE.J,~>
+e,KHAZ1@nskg7DlpqQj9*P]S?f[/:0f\#08f\tK8iRlfAf\#08f\tK8iRlfViW%O1d/DT#iRlfA
+f\$2^!RT`prrD$VrrA_Ds*t~>
+e,TH8o)AiWBPq]rrfACYG[Y$*LPLtq`7WGhiRlfAf\#08f\tK8iRlfAf\#08f\tK8p>HV._ksZ$
+S$9N/P*Ur]]:YC"R.C7Wbl.PAR+M@g~>
+eGfX.s6oFIrsA,)D)!Rm0e=k1r@B3A/1`/7:f(P-:gd[-?slf=?r16=:iKfME+!'m?smq]?uTL]
+rc%mF%o?YA:iKfME+!'m?uTeOj6ZdGhq.mY~>
+eGfWDs3K$^rsAJad(crp^U1A_rNmiM['ZjSd*UFtd+I!tf\"R'f[/:'d,EX0iRlfAf\#08f\tK8
+ro*n0&(&t]d,EX0iRlfAf\t30n*L&ST\'3o~>
+eGfW<s3/^Xs$th.BOQ[8D-C+O>&]7PIYW]-Yf+o@f[/:'d+I!tf\"R'f[/U0f\tK8iRlfAf\#08
+f\t-$Yct"/P^KF6Yd0+BQAMnXFNj+O!1;C<J,~>
+eGfX>s8VQWrsA+\<\,sV/28\,q'Z1n"XcDu4A8'::^1<(?slf=@/Nh90gS)[:dIBD5s\=5?r16=
+:gd[/D:n.R!:SP>J,~>
+eGfWss8UF7rsAJQaL&^h[(iuTq5XJ%"ff8W]uA(gcj&.Lf\"R'f_j)2^W=L2d)a;TaN2`Lf[/:'
+d+I!a^[LIf!709sJ,~>
+eGfWps8U=4rs@Fr=^#6;>%(TRr-eup?"f"KI[dR>Ye9eY#M@DUf[/:'d/CHhOIM_VOIM`:RsKI"
+S#3!<I#3\W1!Jq_!6j'pJ,~>
+^&J2aQ<$WV1&id60e=k1/1`M,/28\,0eE,Ts$7;p5s\=56"!Ms?r16=:gd[-?slh0?j1LWCiFX4
+^&NT~>
+^&J3(iQ0+=^]1YM^U1A_['[TT[(iuT^U3gOs2Yl#aN2`LaOnklf[/:'d+I!tf\"RLfEL6dfZ:hk
+^&NT~>
+^&J2EE*6cO@1[[=LQHO[@9RW3LPLtHLNmk9O<B4GS#2[EVOMh"VQd;%Y`aC*YbnXrI#3]LYb-c#
+8hm9Xs*t~>
+]`/,eb+!rmr@A$u/1`1J/-RaZ/28\,pbDe7"].KN:dIDC:^pf/?slf=?r1fM=`&T$]DmB~>
+]`/-'nCZ%5rNl[,['Zk4Zj"4O[(iuTpqQjM"jk?3d)a<(cjeXSf\"R'f[/U0aM5+3]DmB~>
+]`/bk\6rl]>&\h!;d*@'>&oC[LPLOd>'Tq+$>j4@S#2[EVL!-ArMC-]I!hE\Ybul*M0u7d<\Z.h
+]DmB~>
+\c2fgYbkf*qBu:o"XbiP-S-h=0bZi-5s[4k5qu2%5u9j5:fLk,PfUE8J,~>
+\c2g%f[.^QqPsS&"fer:WjK/'^D"]'aN2-;aM6*CaO&#Ld'CEncel;5J,~>
+\c2fB?r1!(qbmc6LPKn^>#SUFrK%#4raG_d(2[JgK92RlD/O6"OIM;YDJjhq4Y1-2\c70~>
+\,R'.b_M$o8LuSI/28\,0e=k1/GV%#5o3?`5u9j5?r16=:gd[-?slf=BPMmIPiK7QJ,~>
+\,R'8kg7u/^U1b_[(iuT^U1A_[/%K:a;<4EaO&#Lf[/:'d+I!tf\"R'd(Qg$cgS@CJ,~>
+\,R&pPYbam8QoP+E0,*D@9QiCErM.#D>doCRhqr_DL?>>S#3EQI#3]-Su6smA48%(AB_O_J,~>
+[Jp`h]q:d`I;peh0e=k1/1gQNs$6fb5s\=562==]>Y/7BI\XWas*t~>
+[Jp9rkl067`W*:K^U1A_[']VCs2YAjaN2`LaS=*c^V."S`720oJ,~>
+[Jpi_W,uET<aoZE@9QiC>$?04K_o3XRg>O%DL?>>OJ[g2Hj4jf74]foPI1@?~>
+Z2Y3ld]AmT@73[H-S-h=0ag9%5t4FDE.))O^>lKuJ,~>
+Z2Y4#kg.Vs^U1b_WjK/'^C/,taM#@%['ZjOeF0[BJ,~>
+Z2Y6VW+8^j0g\H,;d+3YqI'DdK_o0cK5GL38Pq#i-X`.^Z2]=~>
+XoJFW"i7F?Ycq.'8cMp&BN\JOA8lKk>'PD8aQ'E&J,~>
+XoJFj"Q7qZf\#u6s2Y;haN2a-aT&UM^U2nUn#cV?~>
+XoJF2"GC/Z?srb$%r53V<`Wa3<_=no0eA]ZbcUnq~>
+W;ln=%BG,AK7g%jS#0V&D0Ua5O92i&g8P%%~>
+W;lnT#h[5FaN2`LaO'at!n?,gW;hA~>
+W;lmb#]r@/5s\=55u@A3!gB"kW;hA~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1d.ps b/books/ps/bookvol1d.ps
new file mode 100644
index 0000000..444282e
--- /dev/null
+++ b/books/ps/bookvol1d.ps
@@ -0,0 +1,4299 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /root/P28b.eps
+%%CreationDate: Wed Sep 10 22:23:53 2003
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 175 185
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 170.640001 translate
+160.560001 -170.640001 scale
+% Variable to keep one line of raster data
+/scanline 223 3 mul string def
+% Image geometry
+223 237 8
+% Transformation matrix
+[ 223 0 0 237 0 0 ]
+{ currentfile scanline readhexstring pop } false 3
+%%BeginData:       321383 ASCII Bytes
+colorimage
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+c5c5c5b1b1b1ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+b8ccb848bc4890ce90b9f7b999a299b9f7b9abd4abf8f8f8ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffdfdfdff1f1f1
+acacac66d86671f07171f071338133338833256425d8edd8e2eee2e7fce7eeefeeffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3b6b3b559855
+a1aca1f4f4f4e3e3e3ffffff41894159ed5959ed5959ed592b712b46bb46899189ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffbfbfbb5b5b5b5b5b5b5b5b5e4e4e4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffdfdfdcfcfcffefefe698f69a2f5a2
+a4e8a4afecaf2e572e56ad567b917be6fce6e6fce6e7fce775b87546ba4673b473addead9eb89e
+b6f6b6b8cdb8ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff9b9b9bb4b4b4dbdbdb484848ccccccffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfbfb1e521e83a483fafafaffffff
+fffffff5f7f545b84559ed5959ed5946bb46286b2850d650498a49bbf8bbbbf8bb8ebc8e3b9b3b
+348934517c51e5fce5deecdee1f2e1f9f9f9ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffff959595909090ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffdededefffffffbfcfb43b54351d9517dea7d629562
+67a2677bdf7b5797578cf38c8cf38c6fc06f46ba463da13d5b925be2e2e2fbfbfbc2c2c249c149
+5aed5a5aed5a5aed5a205420399739d8d8d8ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffb8b8b8727272fafafaffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffff7781777a907aededede7f1e7ebfdebebfdeb6c8e6c
+4fd84f348e347ec27ea5d2a5ade8ad8dc38d81c081a4f3a477be77759e75438343366a36bccfbc
+e6f9e6e7fce7e7fce73685363a963a9fe19f9dbb9da7d5a7b4f5b4cececeffffffffffffffffff
+fffffffffffffffffffffffff6f6f64a4a4ad8d8d8f8f8f89d9d9dffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffff79907957ed57579d57cde3cdb6b6b6dff7df6e8e6e
+75f07575f07575f0754d9e4d308230318531c8c8c8ffffffffffffadc3ad56e55659ed5959ed59
+2f7d2f39973956e6566b8e6bbef8bebef8be5f8d5f42aa423488348aa48abccebcccd7cccde2cd
+d8d8d8ffffffffffffffffffcecece9a9a9a9a9a9a9a9a9ab0b0b0ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffff989e9895a395d0d0d0a5b4a58df38d8df38d76cb7630833034903452ab52
+c8f9c8bcd8bcc8f9c890c69053e25349c74973e4735375536bb66b51975187e6878ff38f8ff38f
+4c8b4c54de5445b8457daf7dc2e4c2c5edc5648d645ced5c5ced5c5bed5b40a540368936338533
+bebebeffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffff7c907c4fdc4f48b54881c881a3d5a399b89992ce927ab57aa6f5a677c777
+a6f5a6285928389a38389938dae8daeefdeeeefdee3c873c49c3492f7f2fa9efa99ec49eaef0ae
+648d64a8f5a8a8f5a879c7797bb67b2c752c386338e7fce7e3f3e3e7fce7a1b0a151cf514cc44c
+90d490b1f2b19fc59fa3cfa3f4f4f4ffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffafafaff7f7f795a59576f07676f07676f07653a9533ca63c318931bcbcbcffffffffffff
+ffffff428a4250db50276c2797a697d1d8d1defcde4c8b4c78f07878f07878f078357335358e35
+3c733cffffffffffffffffffc3d2c352d6525aed5a5aed5a25612543af433fa53fa9d9a9c1f8c1
+c1f8c1acd484245a242b6d2bcde8cdc7ddc7bcc5bcd7f1d7c7c7c7ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff6ca16c549254c3f7c3c5f9c5b9d6b9c5f9c595cd954fdb4f49cc496de26d7beb7b578757
+7df17d508b508ff38f8ff38f4d884d3eac3e3eac3e76b076bfe7bfc0e9c0c6f9c667b76758ed58
+4bbe4b7ff17f537b5371cd715db05d7ccd7c93f39393f3933c893c4dc64d2e772eb3e4b3bad7ba
+c8f9c8b2d3873a923a5eee5e5eee5e4bbe4b327d3247b347a4a4a4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe0e0e0b0b4b0
+ffffff859f85a7f5a7a7f5a7a7f5a72d5e2d3594353aa23ad1dcd1f0fdf0f0fdf0e9f6e92b7a2b
+3088307b8c7bf2f8f2f5fef582918256ed5656ed5656ed5643b843286d2842b642578c57f1fdf1
+f1fdf1f1fdf14d8b4d41ad41266726d0d9d0f2f6f2f3faf34a8a4a5ced5c5ced5c5ced5c317d31
+35883544ae4490a090e5f8e5e7fbe7b9cab94ab84a47b24782c882b1f7b18c998ca2d1a2e7e7e7
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffbfbfbf38a038
+9faf9fefefefffffffffffffffffff498a494edf4e339033c5eec5a3b0a3d7eed7d5f6d555b455
+78f07878f078377537369936368436c1f8c1c1f8c1c1f8c196c09646bd4646bf464d7f4ddcfbdc
+9ea39edcfbdc578c577cf17c7cf17c7cf17c3e7d3e3a9b3a5f865fc3f8c3c3f8c3c3f8c36db16d
+5ded5d5ded5d5ded5d3e9e3e3a943a43ab4398c198c5f9c5c5f9c5c5f9c53b823b348034b7d4b7
+a5b3a5cfd6cfdefbdeb9bab9ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffeaeaeaeeeeeeffffffc8d8c84bd44b
+49d04967df6778f0784c724c70d8706f8e6fdafbdab9dbb9cbedcb64856436993640b7409b9b9b
+ffffffffffff7eb27e4eda4e337d33c2f8c2b7dab7c0f2c096c09646bd4657ed5757ed5757ed57
+266726369336708170ffffffffffffffffff7b907b54de545fd25f7ef17e5688567ae67a588c58
+dcfbdcc7d594b2d1b29ec49e4fc74f3a913aa1d4a1c4f3c4badbbac6f9c63e893e61ee6161ee61
+36833648ae4848b1487eb37ebee3bec1ebc1c7f9c7c8d6c8ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc3c3c3306f308c9a8cf4f4f4f2fbf2
+f3fef3f3fef3f3fef331863138a038718871eef3eef0f8f0f2fef2718f7151e7513fb43f6fae6f
+8da78da5eca5639463aaf6aa7cc77caaf6aa70a4702e802e276d27b9cdb9e3f3e3e4f6e4e6fce6
+38893853e25365bc65aaf6aa96be96a6eba6628d62adf6ad7fc87fadf6ad4c8d4c399239416a41
+f2fef2d8c69cf2fef2a4afa457d9575fee5f5fee5f58de5823582351ca51828f82f4fef4f4fef4
+7d907d62ee6262ee6262ee6248b0483072304cb94c648d64ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc3c3c342bf424fe34f5a925ac5e8c5
+9a9f9ad8fbd8d8fbd853ad5379f07979f0793b7d3b359b3548ce48428942c3f8c3c3f8c3a0cca0
+3497343393334a774affffffffffffffffffaec1ae51e25154ec5454ec542d802d37993750e250
+6d8e6dc5f9c5c5f9c5c5f9c54b754b379337417341ffffffffffffffffff6fb06f5ced5c5ced5c
+5ced5c26612644af443d9e3db5e2b5c7f9c7c7f9c7b9e8b93e993e46ac467da17dbdd6bdb0b0b0
+748d7485f28585f28585f28562b26254c7544fbd4f578557dcfbdc979797d6ecd6b4b8b4ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffb4b4b4a2a2a2d9d9d9c4ddc4dcfbdcdcfbdcdcfbdc
+276827308b3040b840909290ffffffffffff85b5854bde4b38a5383f863fb5ddb5baeeba9ccb9c
+3eb23e51ea514cc64c75f075486f486ad06a4b9a4bceeacec4e3c4c7e5c7728f7251e151349234
+76b076b8e2b8bae9bac0f8c062b66259ed594ec54e7af17a4c744c6dcc6d648d64defbdeb0cdb0
+defbde448a444ec74e2f782fb4eab4b4d3b4c3f9c3b6e8b63e993e61ee6160ee604ab74a3f993f
+3f823fc5f9c5c5f9c5b5d3b591b89154c75464ee6464ee6464ee643e933e4098406fa56fc6f9c6
+baddbac1eec1c0d4c0ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffa4a9a447cc4782a782effdefebf2ebecf6eceffdef
+3288324fe94f3fbb3f6ebf6e628c62a0e9a0619261abf6ababf6ababf6ab76a976287828319131
+b9bfb9f6fef6f6fef6f6fef64091403aa73a215f21dfeddfecf4eceffdef7b907b55ed5555ed55
+55ed553fb03f29712941b6415c8d5cf6fef6f6fef6f6fef64a8a4a42ad425a7b5af0fdf0ebf0eb
+edf8ed468a465eee5e5eee5e5eee5e327e3237893744ac4498aa98e4f4e4e7fbe7b2c2b250c050
+63ee6362ee6262ee62265b262c6b2cc4d7c4e8fce8e4f3e4e8fce83d8e3d65ee6565ee6565ee65
+4aac49397b354a6c46f5fef1f4fdf0f0f5edf0f6eefdfdfdffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffc3c3c3d8d8d8ffffffc2d5c279eb797bf17b7bf17b3f813f3499344ee24e
+6e8e6ec5f9c5c5f9c5c5f9c5487548319431407240ffffffffffffffffffbacfba4adc4a3fbc3f
+75dd7587eb876d9e6d8af28a54ac547cf17c7cf17c7cf17c367236359835398639c6f9c6c6f9c6
+c6f9c69dd39d4ed64e4acb4a59cd598ef38e6d976d8ef38e4c8b4c82f18282f18282f1823f7c3f
+3c9c3c658765c9f9c9c9f9c9c9f9c96caf6c60ee6060ee6060ee603d983d3d963d42a342a3c9a3
+cbf9cbcbf9cbcbf9cb4bab4b64ee6464ee6464ee642e6c2e53c653758f75ccf9ccccf9ccccf9cc
+9cc59877dc5f8bef6794ef678de462355525446e2fe9e9e9ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffa5a5a5439743809680ebebebffffffffffffffffff8090804ae14a319131
+74b274b2dfb2b5e9b5baf8ba4c8b4c4eec4e47c7476ff06f45714562ca624ca54cc5dfc5cbe8cb
+c4e1c4d4efd4246c243aae3a839183ffffffffffffffffff79b5794cdc4c378237bcf8bcafd4af
+bbf4bb8cb88c48c54857ed5757ed5756ed56276727348e34768376ffffffffffffffffff778f77
+58df5862d7627bf07b62b06265b7655b8c5be2fce2daf4dabbd5bb9dc29d55ce553c923ca4daa4
+aec8aeb6dab6c2f8c23c893c64ee6464ee6464ee644bb04b4bb04b81b681c4f8c4a2aaa2c4f8c4
+87ac875bd35b68ef6776ef6787e96474bb5180cd59a4ee8090ca725e7b5083b569b6b6b6ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffe7e7e7ffffffa5a5a54ada4a4ee64e61c3615e885e7f907f94cd945d8b5dadf6adadf6ad
+adf6ad7fb57f2572253cb53c5d8d5df8fef8f8fef8f8fef8428a4238ad38216521d1e3d1e8f2e8
+ebfdebe0f1e031933142c64265b96581c3816f8e6f9ce89c619161aff6afaff6afaff6af6b976b
+318a31369c36ced3cef9fef9f9fef9f9fef934883456e75668c068a5f5a55872589dde9d618d61
+b4f7b4a8df85b4f7b47bad7b43a643487148edfdededfbedeaf4ea99a4995de05d63ee6362ee62
+38883847a747398939849884e5f6e5e2ede2e8fce863916366ee6666ee6666ee663b843940893b
+31672cd3e2cee4ede2eaf6e6e4f2de5c944095ef6895ef6876be5372b75172b7509dcd85c6f6af
+555d51a6c3987b966df5f5f5ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff346434779777b8b8b8c6f3c6c8f9c8c8f9c8688e684dec4d39b03948c94878ca786ca46c
+85f08562b26266ca6670d17080d380b3f7b366946685f285478a477af17a7af17a7af17a387738
+30943046db467c9b7cc7f9c7c7f9c79dc59d359e353397334e774effffffffffffffffffaac3aa
+4fdf4f39a1397ce47c6fa66f7ac67a89f2894c8b4c84f28483f28383f2833f893f3da13d467246
+ffffffe9d4a8ffffffb4c3b45adf5a5fee5f5fee5f58de58276027378b37c1eac1cefaceceface
+6c8e6c65ee6565ee6565ee654bb04b367e3659d259578c57cffacfcffacfcffacf508b4982ef68
+92ef6895ef684d7c365a903f67a648899a80ddfacfddfacfb0c6a474ba5295ef6995ef6995ef69
+71b54f76bd537bc456b4f1959dcb8695bd8094b086ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa7a7a7ffffff
+ffffff3d893d4ce44c51d3516def6d49854958b258498a49e1fce1e1fce1b3cdb3a9bda933a133
+2d8c2d2f902fd6d6d6ffffffffffffffffff2067202c8b2c778377ffffffffffffffffff7fb78c
+47de5c3ab6507dbd92acd6bab4efc790c3a13eb93e4ee94e4bce4b6cef6c4373436cef6c429242
+d9f2d9c6e0c6cfe9cf6e8a6e41b4413fb43f919291ffffffffffffffffff71b8715bec5b53cc53
+77f07742663768cb684fa04fcfe5cfb6ceb6e4fce4d7f1d74ab34a378737b6efb6b6e2b6a7bca7
+658d6565ee6565ee6565ee6555c9555dd85d47a547599759c1f9c1aac1aab6ddb6488a4868ef68
+6eef6878ef684e893c96ef697fcb5997e172a8f282546c48557346b9c5b3e5f4dec7d6bfedfce6
+5b8a4396ef6996ef6996ef6970b34e588b3d475f3bffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3e833e608d60
+c8ccc8f8faf8fbfffbfbfffbfbfffb6e9b6e40c5402e652ee6f6e6e3eae3e8fde8aebdae50c450
+60eb764ab7619fefb64d605398ebb49bf3b9648e64acf2acc4ccc4d6d6d663826d96e4b05d8e69
+aef6b0aef6b1aef6c673a28229804638af5fc5c8c5fbfffbfbfffbfbfffb337d333398332e8b2e
+f5f5f5ffffffffffff7d907d56ed5645c14570c47074b074789c78a1f5a1638d63b6f7b6b6f7b6
+b6f7b640894045ae45276527d6e8d6e3eae3e8f6e8dbecdb4d9c4d6be46b74ee745bb95b419741
+386738e8fce8e8fce8e3f0e3acbcac66ca667af17a6ce36c7af17a4489434ea4487a8e74effde9
+e9f3e5e4ece27c8f72a3f17ca2f07a97e570a3f17c57893e86d55eacdd94c6f6ad65795ba9c999
+738967b0d89ccaf2b6d0f8bc9bb98c7cc5577ec05cc5f6acc5f6ac566050819c74dbdbdbffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff4fb44f50ec50
+3eb63e7eeb7e689e6876c87685f28554a9547df17d7df17d60b860267a3c34a13a39b139d2d2d2
+ffffffebebebf3f3f3287e442f9a5347e17b939393ffffffffffffd5d5d52d97512e9851437152
+ffffffffffffffffffa8a8a842d373257540c8c8c8ffffffffffffffffff45b3454adb4a41c341
+81ef81679b6780e7804c8b4c84f28484f28484f2845ead5e41ad41348e345e7c5effffffffffff
+ffffff488a485fee5f5eee5e5eee5e317a313f9c3f56d956a4a4a4e3e3e3fafafac4c4c452c052
+66ee6666ee6666ee66255625439b43d5d5d5ffffffdededeffffff7f907d7def6a8fef6a96ef6a
+68a54955873c58724bfffffffcfcfce2e2e2ffffff608b4a97ef6a97ef6a97ef6a72b55073b651
+8ac86c6aa74ba8e589738a687ba16894c979b3f392b3f392b3f3926cab4c69a749abe98bb6f496
+96c2807b966d84947cffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff526e52a6a6a6ffffffb3bfb3e4fce4
+e4fce4e4fce46286623ab13a319031548c54ffffffffffffcadad041d17141d170277e3e98ddaf
+a5ccb2b2f7c9b2f7c92a874943e1782b904d6ea9829cb1a3b1f7c894cea734ad5c46ea7c42ce71
+62ee913b6a4a57c97d419d5fd0e7d8caded1dfdfdf949a96468b5d5fda887c907fe4fce4bad2ba
+e0f8e05a835a329332345d34ffffffffffffffffffb6b6b64ccc4c56e75656d55670eb703e633e
+68d668778f77e7fce7c2d8c2dcf2dc7bb97b5de15d398b3988c388aed3aebaf2ba91bf9152c052
+66ee6666ee6666ee664db04d419441a8e0a8c0f8c0adcdadc0f8c0628d626aef6a6def6a74ef6a
+5ba54984d25e87d161a7f182a1e97e4f65437daf6483907cd9e6d2d7e5d0effde8768e6997ef6b
+97ef6b97ef6b97ef6b65a1485e9543badfa7d3f8c1b8cdaed3f8c157893d96ef6996ef6996ef69
+69a84a79c05486d15fa6f180a6f180648952678d53949892ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff438a434bd94b478a47dbf1dbdfe8df
+e4f4e4e6fce66a8e6a66ef6664e6644e924e729d727ead8176bb768fc8a2b0f6c8b0f6c8b0f6c8
+1a512c2987483fcd6f8f9290fefffefefffed8d9d8278b4827884732a85abbbcbcfefffefefffe
+fefffe39895432ac5a23753eeaeaeaffffffffffff8491884aea7f319b547e9987e3f4e8e3f6e9
+e5fced648d666aee6a55b455b5f7b550635089ba896fae6f9ed59eb7f7b7b7f7b7b3f2b33d9b3d
+3fa23f779277e5f6e5dfe6dfe8fce86f8f6f79f07976ee766ce36c4d994d368036378637cdcdcd
+fefffefefffefefffe418a4169ef6969ef6969ef693b7b3743893d496e42effde9dddfdce7efe3
+a6afa192d57196e271a6f1809ee77a5e934382cc5c8cbd73c4f6ab7f9f6f90a884647a59658b52
+4d733ac6ecb3d2f8bf598a4197ef6b97ef6b97ef6b4f7c3857893d919e8af0fde9f0fde9dde0dc
+a8b1a490d26e95e26fa5f17ea5f17e5c8a4494ee688fc674c3f6a980a26f8da68175836fffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff7aac7a83f2836cda6c3aa83a216021
+308f30339733497249e5e5e5f9f9f9e0e0e0a1a1a138b86226752bcececee0e0e0ffffffffffff
+39b26144eb7b3ccf6d5ad2816bc1886abb8567cd8957ae7478efa066ae7e9be3b3618a6f70d592
+78f0a0468a5c7af1a16bbd86a9f0c1749d8175e299468a5c7ef1a47ef1a47ef1a45fb77d267a42
+48e87e598c6affffffe0e0e0ffffff4c8b4c46c246266e26dbdbdbe0e0e0fffffffafbfa42a942
+5ded5d5ced5c4bc14b30763042a942558c55fffffffafafae5e5e5b2c7b262e56253c25383e583
+6ea06e70a3708ce68c558c5594f49494f49494f4945fa75787ef6b92ef6b97ef6b446b31609745
+456d31e1e1e1e0e0e0e0e0e0f4f4f45e944398ef6c98ef6c98ef6c79be567cc3596dab4e88c669
+67a04b5b744fade691688c56b5f496b5f496b5f49672a75797ef6b97ef6b97ef6b96ee6b3b5e2a
+466e31dededee0e0e0e0e0e0ffffff7f8f7795ef6895ef6895ef6878c05379c2557aba5ab3f493
+b3f4937c9b6c98c880adb1acffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffafc5ca4f7f8b5291a057b6cd30725e
+50ec504bdc4b4ad04a429a433f80495aca5a419741d8eddfdfe7e2f8f8f87f8681428a5a5bdb86
+809085e5fcede5fcede5fceda5b5aa2690492d9c52b8b8b8ffffffffffffffffff357a4c2ba152
+3bd06d7f9085ffffffffffffffffff6987732b954e33804dffffffffffffffffffc2c2c23ab462
+2f9551588d6afdfffefdfefdfdfffe4b8b4b55ed554cd54c67ea6739793953a85369e9698b978b
+e9fde9d6d79ebecebe4ab54a54cd544c914cbaf8ba96a096baf7ba769e7661df6168ee6868ee68
+3c893c60d9604295427cb77cbef8beabcdabbdf5bd568c566def6d70ef6d80ef6d55893e99ef6d
+8ad762a3ed7da7f1814b693b98db76959c91f1fdebf1fdebf1fdeb9ca3988dde6598ef6d98ef6d
+90e3676dab4e60964590b67dd2f8bfb7ceaccff3bd698c5898ef6d98ef6d98ef6d98ee6c578a3d
+87d760a0ed7aa4f17e4b6c3b678f536d8e5ceffde9effde9effce89da69989db5f95ef6895ef68
+95ef686cad4b70b44e8db579d0f8bdd0f8bdb4caa9c0ddb1ecececffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff9ee3f465d3ee65d3ee65d3ee3a6489
+bcbcdc7f91963b7b8b38758444d97636ab59206329d0dcd4deefe4e2fceb748f7d61ee904a9d66
+8d8f8ef4f4f4dbe6dfe1fceaa2b5a84ecb7843a062b8b8b8fefefedcede2e0fce9448a5b5ced8c
+49a367808782e6e6e6def3e5e0fce9668d7360ed8f386045fffffff0f0f0e1fae9b2d7be5ad483
+68ee9456dd8367ee941d583047e07a598c61b9f8b9b9f8b9b9f8b95b8c5b50cf503aa03a989898
+ffffffe9d4a8d0d0d04ab54a62ee6261ee6161ee613882383f983f348034efefefffffffffffff
+8391836aef6a6aef6a6aef6a6aef6a3f8d3f419041618261ffffffffffffffffff658b5299ef6d
+99ef6d99ef6d99ef6d6299475d90439daa96effce8d9dad8e6efe29aa3969ce07b97e073a8f284
+99dc78659f4898ef6d98ef6d98ef6d659f4857893e657e59effce8effce8dee2dceaf6e5618b4b
+9be576a2ec7ca7f28275b45596ef6996ef6996ef698fe3643d622b53843ac2e4b0d3f8c0d3f8c0
+d3f8c06b8c5a94ef6794ef6794ef6794ef67335324508138d4d4d4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee3f7e94
+468ca563cee865d3ee41899a77df9a70e0953ebb731f62372c934e319e553c8654ffffffffffff
+e2e2e2bbbbbb2180412481432fa858dadadaf5f5f5ecececfbfbfb15542a38d76d7c9083ffffff
+ffffffe2e2e2646e671963323ae4734b8b61ffffffe2e2e2ffffffa0a0a02a954e32b25dd0d0d0
+ffffffe2e2e2ffffff2f804a339a55738479ffffffffffffffffff89bb895aed5a4fd04f6bd66b
+71bb716db45c6dc56d6fb96f92f39292f39292f39251b55161e1614baf4b8bef8b7ecb7e74b274
+538c5398f49898f49898f49898f49874ba6d83e46983c263b4f3957b9a6c8eb87a698c57b8f49a
+b8f49ab8f49ab8f49a71a6579aef6f9aef6f9aef6f446a3261974741652fecececd1d1d1efefef
+e8e8e8659f4898ef6d98ef6d98ef6d6ca94d95ea6b98ef6d98ef6d98ef6d4c7736629a46939393
+ebebebd5d5d5ffffff718d6396ef6996ef6996ef6992e8666daf4c6daf4cacee8bb1f3908ab475
+83a970678c54b5f495b5f495b5f495b5f49570b44f78c253a4e784b0f38f93c37b728e648daa7f
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee65d3ee
+65d3ee65d3ee65d3ee41899a7f85864f8b9a5dc3dc0d221c44eb7b3dd46f32894fa2dbb5a3deb7
+aaf6c37db58f31c462238d460e371c91e1ac9ac6a9a6f5c0a3f1bd1e854124994b77877cf9fdfb
+f9fdfafafefb698e762bb15816572c42694ffafefbfafefbfafefb9da29f39c9691d6836ccd0cd
+f9fcfafafefbfafefb40b3664de47f63b57eaff6c79fc7acaff5c6588c625fed5f5fed5f5fed5f
+42a4423e993e2c702cbfc3bffbfffbfafcfafbfffb478a4767ef6767ef6767ef674fb84f408e40
+365d36fbfffbfbfffbfafcfafbfffb9496946feb6c80ef6e95ef6e58893f80c65c86ae72d2f8be
+bcd7afabbda2d0f6bd678c559def739def739def73598a409af0708cd965a4f07f81bc65506f41
+7eb4639ac884c5f6ad8b9c82c2f1aa76946897e96e9bef719bef719bef7158893f90e36697e471
+a4f17e415d336e9c5778916bf0fde9f0fde9eefae8e4f0dd5d954195ef6995ef6895ef6876be52
+7ac555699653cff8bacff8baa3b19cc1e2b158894096ee6a96ee6a96ee6a6dad4d75be505e8c47
+cef7b9cef7b9a8b99fbbd9acb3c9a7ffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee4b9db1
+65d3ee65d3ee65d3ee57b5cd62cde765d3ee65d3ee414d8597daad65af84318c65286f531d743a
+2fa7572ea05494cfa8b0f7c8b0f7c8b0f6c8071f0f318e5038e170679175aef6c6aef6c68fcaa3
+1b783a34e56f36885293f3b351c5785bed8b5bed8b41ad6589e4a862bb805fe68c58e3875be589
+327d4b34b96142ea7a678e74b9f7ceb9f7ceb9f7cd44704a38a353498a5effffffffffffffffff
+baccba5ade5a60ee6060ee6060ee602f742f50c550688e68c2f9c2c2f9c2c2f9c295bf9557c057
+6cef6c6cef6c6cef6c25522551b3513d863dc2f4c2c5f9c5c5f9c56b8d659bf0709bf0709bf070
+6ba64e6da8505b8c426f8663eefce6dde3dae7f3e2688c57acf3899ce379a8ef8686bd6b7abe58
+9af0709af0709af070527f3b5b8e4240632ee8f7e0e6f1e1d3d3d3edfce6758e69aaf28597df73
+aaf28659894197ef6b97ef6b97ef6b97ef6b41682e73b651859b7ad5f9c3d5f9c3d5f9c3889f7d
+8adf6094ef6794ef6794ef6755893b629e448d9e84ecfce4ecfce4d6d9d5acb7a68ccc6c93de6d
+a6f180a6f1805c8a4566a7463f632decfce4ecfce4d6d9d5ecfce4e7ebe6ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee2c355f5395a555b2c965d3ee41649930c160
+30be5f2baa5561e58d4f7a5d93deacabf6c4197d3a4c8c61256b3d979797ffffffffffffd1d1d1
+1d9c471b793a468a5dffffffffffffffffffffffff344d3d1d783b239248f1f1f1f0f0f0f3f3f3
+7e908438b86334b9618e928fffffffffffffffffff628d624dd34d3c6041fffffffdfdfddedede
+aeaeae56d45661ee6161ee6160ee603989394db24d838983ffffffe1e1e1fafafac4c4c457c057
+6cef6c6cef6c6cef6c68b5547dc65d80cd5fb3f393759266ade88f688c56bbf59ebbf59ebbf59e
+82a96d8ad4649cf0729cf0729cf072527e3c609447848882ffffffcbcbcbf4f4f4c6c6c67abe58
+9aef6f9aef6f9af0705889409aef6f9aef6f9aef6f71af516096455b8d4167775effffffc1c1c1
+ffffff648b5097ef6b97ef6b97ef6b97ef6b72b55074b95198db77b0f38fa9e78a69815d678b54
+aae48eb6f498b6f498b6f498608b4b94ee6694ee6694ee6694ee663d622a3d632ad8d8d8e4e4e4
+e7e7e7f4f4f481907a92ee6492ee6492ee6492ee64426b2d578d3b6d7c66ffffffffffffffffff
+f9f9f9e2e2e2ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffff4fcfe65d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee0f1f2365d3ee65d3ee65d3ee4d72b58fa198
+3c87884aa4abc1d3cd1b42285358554bae6c8295889eeab782d89f80d79d435d4c468c5d80c497
+64b68074a9852a6b409bf4b993c5a49bf1b79bf4b92eaf591e7f3e104421e9f1ecf5faf7f6fef9
+7a908147eb7e37b8626cb9869fd8b2a2e0b7a8f6c2608d67a5f5af76bd8bb7f7ccb2f2c82d623e
+45a064c1bb87effdefeffdefeffdef6e8e6e68ef686ae56a77f1774c994c4b8a4b5ab55ac1ccc1
+f0fdf0f0fdf0f0fdf0458a4481f07096f0709bf0705887406195484d6442fbfef9fbfef9f8faf7
+aeb0ac8ad4649cf0729cf0729cf072598a429cf0739ae675a6f2826ea0565d824b4f6f40c0cbbb
+f0fdeaecf6e7effbe95c8a459aef6f9aef6f9aef6f71af5181c95d97ec6c91de6aa4f17d547b41
+628b4e7a8774f0fde9f0fde9eaf4e5f0fde96c8c5c96ef6996ef6996ef6990e6656cae4c5a913f
+c4eeafcdf7b8b3cda6c4e9b2748e67c6f6ae98c87fc6f6aec6f6ae55893b8fe7629aec719ef075
+72ae55537940506645effce8effce8effce8ecf8e65e8a478fe9618cde629df0739df0739df073
+92df6ba4a4a4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee4fa5ba60c9e365d3ee65d3ee0f1f2365d3ee65d3ee65d3ee65a4ee55b1c7
+65d3ee65b6ee6565ee578a6a33bc6632a45b55ec8841c46d569f6f70c78d37a95da1aba4366b48
+64c18383efa781e1a183f1a81c542f4b8a6029de665d8c6db2f7c9b2f7c9b2f7c9457f5933e16d
+2d874bb9f7ceb9f7ceb9f7ce86b49527774240d7725d8d6dfffffffffffffffffff9f9f9337e33
+2a6e33b8c283ddf3ddd4ddd4e0fce06e8e6e85f28570dd7084f284549a5464d864367736bbd4bb
+d8e4d8d4dad4e3fce3538c538bf38b77df779df28a79b25c9df0749df0749df0749bed723b5a2c
+588641bfdcb1d9f9c9d9f9c9d9f9c9718d639cf0739cf0739cf0737abc5a95e56d9cf0729cf072
+9cf0724b74375b8c42799c68c5f6adc5f6adaccf9a90b47f91cc74acf28a98dd75acf28a608a4a
+98ef6c98ef6c98ef6c98ef6c3c5f2a6dab4d658156d7f9c6d7f9c6d7f9c6c9e9b95f994295ef68
+95ef6895ef685d9541568b3c617e53ebfce2ebfce2d7ddd5e6f4df628b4d9ae475a0ea7ba8f182
+87c66886da5c92ee6492ee6492ee6492ee644b7a33708964d5f8c3d5f8c3d5f8c3d5f8c3d5f8c3
+669f49a4a4a4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee0f1f2365d3ee65d3ee65d3ee436d9e57b7ce
+65d3ee5cadd96060e1364b5258a7ba7c8c90ffffffb3b3b34f6c5954675b84b69594dbac1bd158
+1ee6611ee360279b4db6e5c622834240925b63866f878a88ffffffffffffffffff60806a24964a
+34854fffffffffffffffffffbababa44c7702a87495d8d6dfffffffffffffffffff9f9f9398e39
+5fee5f5eee5e4dc24d357b353e973e568c56ffffffe5e5e5ffffffa2a2a267e0676eef6e6eef6e
+3d843d53ac534492449db29de8e8e8d8d8d8fefefe778e6c9df0749df0749df0749cee7373ae56
+7ab75aaeec8fb6f4966c8460789769556d49bdf5a2b8f09d9ed5837a9e6991df6a9cf0729cf072
+9cf072598a419cf0719bf0719bf0719bf07141652f41652fd7d7d7ffffffcdcdcdf3f3f383907c
+98ef6c98ef6c98ef6c98ef6c57893d81cd5b87ca65b0f38db0f38d6d895ea0dc81769c63b9f49b
+b9f49bb9f49b7499618ce36294ef6794ef6794ef674c7a355f99428f908eefefeff6f6f6dadada
+b5b5b57ecd5692ee6492ee6492ee6492ee64497732838a7fffffffffffffffffffffffffe1e1e1
+939d8fa4a4a4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a6689
+65bbee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee101f2368d4ee65d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c860cae564d3ee4050897373ef5151a9c1c9c417893d19de5a19e05b0f8335
+65d088adecc149574d43a162718d7bcaf5d840bc692de06836e9724c94649df4ba5f8d6e39e271
+213829f3fef7f2f8f4f3fef7b1b9b443c77048d5774d9e69a9f6c394b59f9ed5b0a5f0be679367
+8bd48b97d5778dc98d4fb54f62e162509650b6f7b68d998db3f2b3749d74a9e7a99bde9b9fe29f
+618d6184f07494e870a0f07a7ab25f53744384be67758e69f6fef3f6fef3f6fef3f3faf05d8d45
+9ff0769ff0769ff0765b8a4498e67295df71a7f1839ee47c435d35445f36e0ebdaf1fdeaedf8e8
+f0fcea768e6a9cf0719cf0719cf0719bf071588a4096ea6d9fee79a3f17d77b15b547942516746
+f0fde9f0fde9ecf7e7f0fde9618b4b97ef6a97ef6a97ef6a97ef6a6cad4c598e3f9cc887ccf7b6
+c6eeb2adc6a07d9871beeaa89ac882c8f7b1c8f7b1658b528ee56292e5699def739def73517b3c
+456634cfdcc9effce8effce8ebf6e6effce86b8c5b91e6669cef719cef719bef7098ea6f659c49
+eaeaeaf7f7f7ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee1c232599e2f465d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c864d2ee64d3ee3a4a896666ee4848a73a8e6025cc6649e97e47e77c34d469
+5da976bbbbbb375a4f9fada84a95707feeb17cdba37feeb165cc913472491da249378852b6f7cc
+b6f7ccb6f7cc2d603e33d26829aa54a2d2b2bff8d2bff8d2bff8d25e8d6e41a9643bb062989898
+ffffffe9d4a8d0d0d050b55069ef6968ef6868ef683e843e469a46357935efefefffffffffffff
+84918474f0747af0748cf07471b15686c9647ebd5e6a845eebfce3aab1a7cacacad6ddd2698f56
+b3f392b3f392b3f392608a4b9ff0769ff0769ff07799e7727ab85b9ff0769ff0769ff07664974a
+689d4d5e7b50dbf9cbdbf9cbdbf9cbdbf9cb5a8a439af0709af0709af0707ec55c8bd96399ef6d
+99ef6d99ef6d4d7837629a46728866d9f9c8d9f9c8d9f9c8d9f9c8658b5295ef6995ef6995ef69
+89dc613d632b426b2edef1d5e9fce0e9fce0a0a39f758e69a9f286a9f286a9f286a9f2855e8a48
+92ee6492ee6492ee6492ee6452863867a846627f53d7f9c6d7f9c6d7f9c6d4f4c4819e724b7b33
+ebebebffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffeffff95e1f365d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee1c232599e2f465d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c8438b9f64d3ee3a4a896666ee5f72df58a1d16183d88888f28383ea4a5954
+49d2a418ae7c32ac831eaa7b14b37e18dc9b0f886095e2c89ebfb41581395b7d66456f53ffffff
+ffffffffffff488a5e2ea054239147d8d8d8ffffffffffffffffff89bb9a5bed8c49bf7068da8e
+68b68264af7167c48678ba789ef59e9ef59e9ef59e5ab65a6de56d59bb598df08d62906278be78
+558c55a5f5a5a5f5a5a5f5a57eb57a86c964a0f078a0f078a0f0785782417ebc608dd36b9fdd81
+b6f498627657a0d2876c8c5cc1f5a7c1f5a7c1f5a7b6e79d65984b9ff0769ff0769ff0767dbd5d
+87cd6389c968b3f392b3f39285ae70a7e18971ae539bf0719bf07183cc5f6fac5183cd5e99ef6e
+99ef6e99ef6d57893e8ddf6490d46daef38baef38b5d73529ad37d688c56bbf59ebbf59ebbf59e
+ace191619c4394ef6794ef6794ef6794ef67568b3c698f56d9f9c9d9f9c9cae2bfd1ecc3728d65
+92ee6492ee6492ee6492ee646eb44b7fcf5684cc5faaf285aaf285aaf285a4e781aaaaaaa1a1a1
+f2f2f2ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffa3e5f565d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5dacdc65d3ee65d3ee1b222495def365d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c839788964d3ee3a4a896666ee657eee64b7ee4f71bb6666ee6363e6363636
+11584018de9c18dd9c18dd9c1586606acaaa399476919d996bb19975c28f5088652a694490f3cd
+8cc2a1a3f5be3fb26642dc761a6132ccd9d0f1fdf5eff6f1f1fdf5738f7c5ded8d5ced8c5bed8b
+3ea25f469e48389255c2c2c2ffffffffffffffffff4c8b4c72f07272f07272f072478e4563bf60
+3f623cf8fef5f8fef5f3f6f1b7bbb586c964a0f078a0f078a0f0785c8a45a2f17ba2f17ba2f17b
+a2f17b5d8a4674ac587ea669d1f8bda1b198b7d2a9c3e8b1839d76a9d194c7f0b3cff8bb839c76
+95e26d9ef0749ef0749ef0745f91469cf0729cf0729cf0729cf072395829436831cfdbc9f0fdea
+edf7e7effae97b8f7197ef6b97ef6b97ef6b97ef6b56883c6aa94a79a862caf7b4badea99bab92
+b4daa184a275a1ce8bc4f1aecaf7b3caf7b35b904093ee6693ee6693ee666bad4a4774314b663d
+effce8effce8e8f2e4ecf8e687908292ee6392ee6392ee6392ee638de6608ae15ea0a0a0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffa3e5f565d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f152365aeee65d3ee65d3ee21444d7ebac9
+65d3ee4a9baf5555c839788964d3ee65758d6666ee525bc05ca8da3a5c896666ee6363e617504c
+38cf9d18dd9c18dd9c18dd9c17d8992e6f5a265a48ededed55726981c4ad78f0c853ecb953ecb9
+3c836ccbe9df4f8b666eef996eef996cef986cef982b6b4139c6683a8954c6f9d7c6f9d7c6f9d7
+87aa935fd55f4ba94baeccaed7f3d7a2a8a2defbde598c5991f39191f39191f39169af6095f179
+a1f179a1f179a1f17938532a527b3eb9d1aedefad0defad0defad0768e6ba2f17ba2f17ba2f17b
+a2f17b5d8a47a3f17ba3f17ba3f17b5d8a4677b0595b8745a2b399eafce19a9c9ac6c6c68c9489
+a9e58bb4f393b4f393b4f393618b4c9cf0729cf0729cf0729cf0726fad509aef6f9aef6f9aef6f
+6ca84e4d7837557545dbf9cbdbf9cbdbf9cbdbf9cb5d8a4696ef6996ef6996ef6976bc53629e44
+578b3ca3b799e7fbdde7fbdda3a99fe1f2d9648b51abf288abf288abf2887cb0637cca5592ee64
+92ee6492ee644c7b345f9c41446c30d9f9c8d9f9c8d9f9c8d9f9c89fb1956bab4aa0a0a0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe3e3e3444444
+a4a4a4ffffff7b7b7bd0d0d0ffffffffffffffffffffffffffffffa3e5f565d3ee65d3ee3a6489
+6594ee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f152365aeee65d3ee65d3ee21444d95c1cb
+65d3ee4a9baf6d6dca39788964d3ee7b8c906666ee4848a7579fcf3a5c896666ee6468eb2bb19e
+2ca8a536b2bb36b2bb28a49c21da9d22d89c2acb965beabd40927f54e3b457e0b343c09668e0b8
+296a541279576d8e83ffffffffffffffffffffffff638d713fac63396548ffffffffffffffffff
+aeaeae5fd55f6aef6a6aef6a64e264366e3650b250879187ffffffffffffffffff738f7379f179
+82f17996f179a1f1797db65f8ecf6cafeb90b7f4986c855f7999696b8c5ac4f6acc4f6acc4f6ac
+c4f6ac618b4ca3f17ba3f17ba3f17b5d8a46a2f17aa2f17aa2f17aa2f17a699d4f7fbf608ed46a
+b0f09095c67d67815a98c97f6a8c59c1f6a6c1f6a6c1f6a6c1f6a65989409aef6f9aef6f9aef6f
+7fc65c8cdd6482c75fadf28aadf28a6d8f5d85b46d6b8c5abdf5a1bdf5a1bdf5a195c17e74bc51
+94ef6794ef6794ef6794ef6765a3465b923e8eb07cd7f9c6d7f9c6c0d3b69cb5907cca5592ee64
+92ee6492ee6454893988df5d75bf50a7f183a7f183a7f183a7f18393a58bcacacac3c3c3ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3f3f3
+242424d1d1d1999999ffffffffffffffffffffffffffffffffffffa9e6f565d3ee65d3ee3a6489
+658aee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f1523a3bff565d3ee65d3ee21444d95c1cb
+65d3ee4a9baf9696cf5c818c64d3ee7b8c906666ee4848a7579fcf3a5c896666ee6669ee5195c3
+4e4eb46868ef6868ef44449d1c785936e9ae36e9ae32e8d725b1b02bbc8c1ecc932b8668e5faf3
+247a5e0f4c386a7a74ffffffffffffffffffffffff71b88957ec894eb872a6f5c186968ba3ecbc
+72a78498c677a4e3a49ddd9db0f0b060bd6064c7647dbb7dacddac93aa93b9f6b96c8e6cbef8be
+90ca90bff8bec7f8be608a4aa5f17ea5f17ea5f17e7db6619fe67b6c9558d1f8bed0f6bd8a9187
+a0b1987b976dcbf7b497c182c2ebae6c8d5ca2f17aa2f17aa2f17aa2f17a5c8a45a0f078a0f078
+a0f0787ab75c7cbd5c76b35773a05dccf7b7a1b697899185a5bb9a779667a6d78eafdd99c5f6ac
+8aad7985d05e98ef6c98ef6c98ef6c57893d7dc85889b871c9f7b1c9f7b18b958693b184a0c28f
+c3efada6d290cbf7b6cbf7b66a915793ee6593ee6593ee6593ee65375a2641692cccd9c6effce8
+ebf6e5e7f0e37a8f7091ee6391ee6391ee6391ee6390ed638ce65f788e6dffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+bababa535353f2f2f2ffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+658aee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f1523a7c1f565d3ee65d3ee21444d95c1cb
+65d3ee4a9baf9696cf7b8a9064d3ee7b8c906666ee4848a7579fcf3a5c896666ee6567ec4884ad
+4e4eb46868ef6868ef44449d53786c36e9ae34e9c230e8e728c0c0179f7517cf9239896ef4f4f4
+2786672cbc8c69706effffffffffffffffffffffff638d7158ed8a56ec8854ec873c875541995e
+349354cdb88cfffffffffffff1f1f14c974c79f1797af17a60bd6058a2584b904b5b7a5bffffff
+ffffffffffffffffff628b4ca5f17ea5f17ea5f17e5f8a49a7f181a6f181a6f181a5ef8079af5e
+a7f181a7f181a7f18171a357648547657d4bd3f7b4d3f7b486a472c9eaad6b8c59b7f498b7f498
+b7f4988bba7480c35f9ef0759df0749df0745a8a429bf0709bf0709bf0709bf0705989405d9043
+53803cc0dab3ddfaceddfaceddface728d6496ef6996ef6996ef6996ef6952843955893bbcd2b1
+e5fbdbe5fbdbafbda9cfdac9768e6aadf28aadf28aadf28aadf28a69ab4892ee6492ee6492ee64
+68a9474e7f35517340daf9cbdaf9cbdaf9cbdaf9cbd8f6c9859f78708167ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+dedede464646ffffffffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+658aee65d3ee65d3ee41899a5d6edc65d3ee65d3ee0f15238da7f265d3ee65d3ee21444d608bc5
+65d3ee4a9baf9696cf7b8a9064d3ee7b8c906666ee4848a7579fcf3a5c896666ee6363e62a4e65
+4e4eb46868ef6868ef44449dc6c8c724a48e30e8e630e8e830e8e8598a86688a7f738e8545a082
+778f87dafbf0b6bcbaffffffc7c7c749a98957ecbb598c78e0fce9b2cdbbdffbe94e8b626de896
+3e8a57a9cd92b5d2bfc8f9d8bdeccc4c974c79f17979f1795fbd5f7abf68a0ee8294d076b9f49b
+779668769467ade492879182d2e0cadcebd5eefce7758e68a7f181a7f181a6f181a4ee7f628e4c
+a7f282a7f181a7f18171a357a2d872c6f17fcbf17fcbf17f8ea9587f974e9faf80ebfaccebfacc
+a8aaa3b3be9c80c35f9ef0759ef0759ef0755a8a429bf0719bf0719bf0709bf07075b55494e869
+7cc258a5ec81abf28785b56c6889586e8d5eebfce3bdceb5ebfce3ebfce35c8a4594ef6794ef67
+94ef6794ef6772b84f629f43689153d5f8c3d5f8c3bdd1b3d5f8c355893b92ee6492ee6492ee64
+68a9477dcd557dc958a6f180a6f180a6f180a6f180a1e97da6a6a6b1b1b1ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+b4b4b43c3c3cc0c0c0ffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+6586ee65d2ee65d3ee41899a5d65dc65d3ee65d3ee0f1523657fee65d3ee65d3ee21444d8e90cb
+69d4ee4a9baf9696cf7b8a9064d3ee7c8c908989f24848a796bdd652748b8c8cf26363e62a4e65
+5555b56868ef6868ef44449dd2e0e028c1c130e8e830e8e830e8e821919170827c458f773e7e68
+89908effffffffffffffffffbababa36997825b284578c7affffffffffffffffff528c6570f09a
+70f09a70f09a3a774b51a46669e1909da09dfafefafafefac4c7c469bf688ff284a6f284a9f284
+618b4ca7ec856e9c589cc289bfddb0899186939e8d7f9972cdf7b894ba81c0e5adcaf4b5628e4c
+a7f282a7f282a7f28271a35795d873a7f180b9f17fc9f17f788e4acaf17ccaf17bcaf17bcaf17b
+687c3e718743c8e09bdef6b0c3d6a0858c7b5f6a53caf6aecaf6ae90b978c4efaa748d6398ef6d
+98ef6d98ef6d98ef6c68a44a80cc5a68994fc7f6afc7f6af98ac8eaccb9c748c68b6e0a1b6e0a1
+cdf8b8cdf8b8829e758ce26093ee6593ee6593ee654b79335489398d9986effce8effce8e6eee2
+a5aca27dcd5591ee6391ee6391ee6391ee638ae35e8be45f9d9d9dffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+6565ee65c9ee65d3ee41899a5d65dc65d3ee65d3ee0f15236e82ef6dd5ef65d3ee21444d9090cb
+69d4ee4a9baf9696cf8a8e9183dcf17c8c90a7a7f54848a799bed653758b8e8ef26363e62a4e65
+8f8fbb6868ef6868ef4959b149dddd30e8e830e8e830e8e830e8e82acccc27413a17bd866c7572
+8b8b8bffffffffffffffffffbababa47c79c2e9874537b6effffffffffffffffff528c6571f09b
+71f09b70f09a458a567dd97d4b975ea0a0a0ffffffffffffc8c8c868bf6884f28487f28496f284
+618b4cadf28aabf288abf2888dc77099d77aacf289acf289acf2895e8048839d596b8a4e94ab7b
+d7f8b9627f4ca2ba966e7e66a9db90bdf5a0bdf5a0c3f5a0798c54caf17ccaf17ccaf17ccaf17b
+738a44c8f077c8f076c8f07696b358a3c65ec5f071c5f071c5f071687f3b809d48546731defad1
+defad1defad1defad199ac8f85d45d96ef6996ef6996ef6956893c70b44d88a27be4fbd8e4fbd8
+929491d7e6cf8e9d87a6e685aff28caff28caff28c71aa5392ee6392ee6392ee6392ee634d7e34
+40682bbed7b1dcfacddcfacddcfacddcfacda6b79d6997539d9d9dffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+6565ee65c9ee65d3ee41899a5d65dc65d3ee65d3ee0f15238989f282dbf165d3ee21444d9090cb
+69d4ee4a9bafcbcbd592929291e0f37c8c90a7a7f54848a799bed653758b8e8ef26363e62a4e65
+8f8fbb6868ef6868ef4752abcae9e9dcfbfbdcfbfbdcfbfb81a1a1dcfbfb4c5150d8fbef97bdbb
+29a89941e7de389b9b9cf0d473b29d44c79b4ce6b34bcfa369edc14374646aeec2758f83e7fcee
+c4dacbc9cd9a8dbb908df38d81df8190e590a0f5a0546d54699d69b9c8b9eafdeabccebceafdea
+83907dadf28aadf28aacf2897eb36491cb74adf38aacf289acf289688b4fcff289cff288cff288
+cff288758a4cabc96eabc96ed2f095b6ce856a7653a8bf7aa0b673e1f7b5adc183a1ab8de1f7b5
+748a48c8f077c8f077c8f07796b359a4c65ec6f072c6f072c5f071718a40bae367a2c65acdf285
+cdf2855b704a758f58788d50d2e0cbbfceb7edfce5edfce5768e6a94ee6694ee6694ee6694ee66
+477431619e4266a546cbf0b9d3f8c1bcd3b1d1f5bf688c5692ee6392ee6392ee6392ee63548939
+8ae25d9eeb77a4f17da4f17da4f17da4f17d8ea184e6e6e6c4c4c4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffeffff8bdef265d3ee3a6489
+6565ee65c9ee65d3ee41899a5d65dc65d3ee65d3ee0f15238989f282dbf165d3ee21444d9090cb
+69d4ee4a9bafd6d6d692929291e0f37c8c90a7a7f54848a799bed653758b8e8ef26363e66b6c6d
+8f8fbb6868ef6868ef4a4ba7dbdeeaeef1fdeef1fde8eaf0545559b7cbcb798f8f82efef80efef
+7cefef7cefef206c6978b5b55eaeae97d0bdb2f6dfb2f6dfadf4dd417a543d9d767b8c86ffffff
+ffffffe9d4a87d907d8cf38c8cf38c8df38d8df38d5f8c5980af70c1e1b1d9f9c96d7966b7cdac
+7b8e73daf9cadaf9cadaf9caa1b89591cb74adf38badf38bacf289688b4fcff28acff28acff288
+cff288768b4ecef286cef285cef285a7c46c9cb862cbf17fcbf17fcbf17fc2e7798ba753738a44
+a9bf7bdff6b195a573858c79929f77bcd192def6aed8eeaad0e5a67c8c5bc4ef6cc4ef6cc4ef6c
+c3ef6c5c893ca6ec677ca046d0e99fddf6ac97a77597a583738261cff7bacff7bacff7bacff7ba
+58893f92ee6492ee6492ee6492ee64609d42518537607953effce8effce8eaf4e5e4ebe17c8f72
+91ee6291ee6291ee6291ee6289e15d91ee62768e6affffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8cdef265d3ee3a6489
+6565ee65c9ee65d3ee41899a5d60dc65b8ee65d3ee0f15237f7ff17ad3f065d3ee21444d8080c9
+7ad8f04a9bafd6d6d692929291e0f37c8c90a7a7f54848a7abc6d853758b8e8ef26363e66d6d6d
+8f8fbb6868ef6868ef6d76ef7890f07890f07890f045538a525a7c3598981ec9c923e7e723e7e7
+23e7e732e9e935a59016837b12a4a4d8d8d8fffffffffffffdfefe5fb77c71db9478cb9494d9ab
+7fae8e9ce8a45f8d6aabf6ababf6ababf6abacf6ac5c8d5baff59dbaf59dbaf59d8cb9768bb976
+a0d188cdf7b9cdf7b97c8b7473866aa3ce8ec3f6abc3f6abc3f6ab728d5dcff28acff28acff28a
+cff289768b4ecef287cef287cef286a7c46c9cb863ccf181cbf180cbf17fbcdf76829c4ec9f178
+c8f077c8f07792b056c0e96ec5f070c5f070c5f07090b05269803a5f6e40edfad3edfad3edfad3
+edfad3618b4995ef689fef68abef68b8ef6897c25476be5176b556b4f394b4f3947f9f709aca82
+658b52b0f38eb0f38eb0f38eb0f38e7cb0628de86091ee6291ee6291ee6269ad474e80344d6e3c
+defad0defad0defad0defad0c8d8c070935e6c7e64ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8cdef265d3ee3a6489
+6565ee65c9ee65d3ee41899a5d5ddc65acee65d3ee0f15236565ee65beee65d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292ade8f67c8c90dedefb4848a7dbddde53758ba9a9f56363e66d6d6d
+8f8fbb6868ef6868ef6d76ef7890f07890f07890f045538a636c8d68939322e2e223e7e723e7e7
+2de8e8c8f9f94b8b7633a4840f8787d8d8d8fffffffffffffdfdfd4a8c617df1a47bf1a266c886
+60866d62bb7f5f8d6effffffffffffffffffffffff628d629ef59dabf59db9f59d6b8c5bbaf59e
+b8f49bb8f49bb8f49b8da464b3ce7dd4ef9edbf6a59aac777f8d64a4b87be5f8bee2f5bc6e765f
+e5f8be798c54cef287cef287cef287a7c46d9cb863ccf181ccf181ccf180bcdf76829c4ec9f179
+c9f179c8f0777b9449bee66dc6f072c6f071c5f07090b052a4c95aabd05fccf181ccf181798c54
+7a8d547a8372effde8cddac6e2f0dbf0fde8a5a99b85d75b93ee6593ee6593ee6569ab486db24a
+89b176d1f8bed1f8becbeebabdd7b07f97748ce55e91ee6291ee6291ee6269ad477aca527fcf58
+a1f179a1f179a1f179a1f179709b5af8f8f8b6b6b6ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8cdef265d3ee3a6489
+6565ee659bee65d3ee41899a5d5ddc65acee65d3ee0f15236565ee8ac9f265d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292d3f3fa7c8c90e8e8fc4848a7dbddde53758bcfcffa6363e66d6d6d
+c0c0c07777f16868ef565ac17289e57890f07890f0121624636c8dd6d6d620abab23e7e722e4e7
+297c86ffffff4b8b7945d3ab0c5c5cc1d5d5e1eeeee5fcfce3fafa4b8c6181f1a780f1a668c888
+87b89590c59f57745df4fef4f3fcf3e0e2e0f4fef4618d619df59d9df59da5f59d6a8d5bbcf5a0
+bbf59fb8f49cb8f49b7a8c59d4f496d4f494d4f4947a8d55d2f391d2f390d2f390cff08e6b7d48
+778b50a8bc81e4f8bc9ba880697c43758a4ab7d874ccf18163763e738a45738a44aacc65c8f078
+b9de6f566732758d45d6eda7def6add3e9a7d2e7a6a2b47fa4c95ac3ef6bc3ef6bc3ef6a70893c
+c0ed65a9c571dcf5a8dcf5a8d5eea35f6552656c58b7e197c7f5a6beeaa2c5f3a5678c5191ee63
+91ee6391ee6391ee6385da5b3e662a3b6028e7f5e0effce8effce8dde0dcadb7a87aca5290ee61
+90ee6190ee618de95f8be55d55893cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fe4f465d3ee3a6489
+6565ee659aee65d3ee41899a5d5ddc65acee65d3ee0f15236565eea7d1f565d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292d3f3fa7c8c90e8e8fc4848a7dbddde53758bcfcffa6363e66d6d6d
+c0c0c07777f16868ef44449d6e84dc7890f07890f0121523636c8da5e3f3167d8422e4e61bc3e1
+227f97e8e8e84a8a7c49ebd315474339c7c72679783ab2b043e9e97f9286dbfbe6dbfbe6b6d0bf
+87b88fb4f7b8b4f7b4b4f7b4aaeaaa556955759a757a8b7ae3fce3e3fce3e3fce3798f73bcf5a0
+bcf5a0bcf5a0b9f49c7a8c59d6f49ad4f496d4f4947a8c55d4f494d2f390d2f390cff08e7b8f53
+d0f38cd0f38bd0f38b8da45eb8d977ccf182ccf181ccf181748a49c9f17ac8f078c8f077c8f077
+bbe16f95b654c4ef6dc4ef6dc4ef6d768f417894415e7334c8d3b3eefad5eefad5eefad5828e69
+c1ee66c1ee66c1ee66c1ee66bce8638aab47c0ee63c0ee63c0ee637e9c4170923c758b50e0fad2
+e0fad2e0fad2e0fad2cee9c16eb64a90ee6190ee6190ee6190ee61395f2644712ebdd4b2dffad2
+dffad2dffad2d9efcd81a1713f632cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee659aee65d3ee41899a5d5ddc65acee65d3ee0f15236565eea7d1f565d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292d3f3fa7c8c90e8e8fc4848a7dbddde53758bcfcffa6363e66d6d6d
+a3b3bd7777f16868ef44449d6e84dc7890f07890f01215233b7faf21bae0158eaa1dc4e11ab8df
+11809c6999a53b857451ecb9379f7c41c8ab36887b7ac7b038b0ae949494ffffffffffffd4d4d4
+87b898b6f7cab5f7c1b4f7b4afefafabc5a0cfeec2cee9c1b7ccad6e79688a9983859080f6fef2
+c6cec2f5fdf1f6fef27c8c5cd6f49bd6f49bd4f4957a8c55d4f494d4f494d3f392cff08e7b8f53
+d1f38ed1f38dd0f38b8da45eb9d978cef286ccf183caef80748948c9f17ac9f17ac8f079c8f078
+b6da6c839f4ac5ef6fc5ef6ec4ef6d97b853beeb65aed75cc4eb76caf07bb2d36e768b4e778c4c
+dbf5a5acc777aab88cc4d99ad3eda075913dc1ee64c1ee64c1ee6493bf507dce5367924dcff8ba
+cff8bac0e0b0a8b7a0bbe0a8619f4291ee6291ee6291ee6291ee6252893781d75799eb719ff076
+9ff0769ff076799b68f4f4f4aeaeaeffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee659aee65d3ee41899a5d5ddc657dee65d3ee0f15236565ee80aaf165d3ee21444d5353c4
+b1e6f64a9bafd6d6d6929292daf5fb7f8d90ececfd4e4ea8ddddde78868fcfcffa6363e66d6d6d
+7ea1b97777f16868ef44449d6e84dc7890f07890f0121523636c8dffffffffffffffffffffffff
+0f17190f71896b868dffffffffffffffffff84918d99f4d652998b95a39ee8f2eeecf9f4c6d2ce
+90b99ebef1c6b0e7c3c1f8d1b6ebb6829d80d8faccdbfaccacc4a0b0c59cd9f0be9faa8af0fcdb
+7f867289907b8d9184919c7be9f9c7ecf9c5ecf9c5929e6dd9f495c9e48ad9f493d5f18f8e9e5d
+d6f38ebcd278e4f285c7d171dae77ce2f18296a05669803c84a14cc7f075c7f0756c833f728a43
+8eac529db077ddf6abcde2a2c7da9f859366c5eb7bc0e774c4eb78cbf17e91ad5aa4cc54bfee62
+bfee62bfee626d893883a5426b8536a1a892f5fce6f3fae5eaeee0a1a59794dd6f90e068a1f179
+a1f1797dba5d5c993d4d7f33a6b59fedfce6edfce6dee3dceaf6e35e8a4896e66e9aeb73a1f179
+a1f17988de5d648b50ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee658cee65d3ee41899a5d5ddc657dee65d3ee0f15236565ee658fee65d3ee21444d5353c4
+d4e1fa4a9bafd6d6d662628dffffff929292ffffff7272acdedede929292cfcffa6363e66d6d6d
+7ea1b97777f16868ef44449d6a88db7890f07890f018233c575c74ffffffffffffffffffffffff
+3068760e43506b868dffffffffffffffffff84918d98f4d597f4d597f4d569aa955f8b7b7dcab1
+bebebee9d4a8e2e2e2fffffff1f1f1819d81cefacdd8faccacc4a0adc59ee4f9c3e6f9c2e6f9c2
+838f6edcf5a9dbf5a5dbf5a5b3c685d3d787f4f498f4f498f4f4988c8c57f3f391f3f38ef3f38e
+f3f38e6f6f40f2f286f1f180f1f17ff1f17f9f9f54b6db6cc6f074c5f071c5f07186a54ac2ef67
+c1ee66c1ee66c1ee6669823798be4caad456cef188bde0788ba0629db37195ae63b4d07dd2f392
+d2f392d2f392758b4bbeee5fbeee5fbeee5fbeee5fb5e25a445522516629eaeaeae2e2e2ffffff
+ffffffc5c5c572bf4c8eee5f8fee5f8fee5f8fee5f4878305d9b3d8f908ee2d8c3efe9deffffff
+ffffffa5b19f516d44ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee656bee65d3ee41899a5d5ddc657dee65d3ee0f15236565ee8097f168d4ee21444d5353c4
+a7b4f54a9bafd6d6d651518bffffff929292ffffff7272acdedede929292f9f9fe7272e86d6d6d
+7ea1b99494f46868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+3778882f849969797dffffffffffffffffff84918d99f4d698f4d697f4d569aa95bbcec157766a
+bebebee9d4a8fcfcfcfffffff1f1f1819d81cdfacdcefacda9c4a0abc59fdaf9c8e4f9c3e6f9c2
+838f6ee0f7b2dcf5a6dbf5a5a2b57ab7cd87eef49af4f498f4f4988c8c57f4f498f3f391f3f38e
+f3f38e8b8b50f2f28af2f287ecec7febeb7c9b9b52b6db6dc8f077c5ee74c1ea6f6f873ec2ef67
+c2ef67c0ed66c0ed666e893abeee5fbeee5fbeee5fbeee5f91b5489dc54c668032cde3a1e1f7b5
+c8d7a9b2bc9e7c8c5ac0ee63c0ee63c0ee63c0ee63b6e35e76943aabd754c3ed6ec5ef71c5ef71
+4c633a7a9348c1cbbde7f3e1cdd9c7f1fdebf1fdeb718d6387e2598ee2649aed6b9bee6e9cf072
+78b45ae0e0e0b6b6b6ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd6f3fa68d4ee3a6489
+6565ee656bee65d3ee41899a5d5ddc657dee65d3ee0f15236565eea0a0f56cd5ef21444d5353c4
+a7b4f54a9bafd6d6d651518bffffff929292ffffff7272acdedede929292ffffff7474e86d6d6d
+5f93b6aeb3f66868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+37788854ceec6f969fe4f7fcdde8ebe4f7fc7b8e8cabf6ddaaf6dd98e3cb76ac9acaded0d7ecdd
+d6e4dbe8ecd2797e7abcc3bee0ece4939f93ebfdebebfdebb8c6b8abc59fd9f9c9daf9c8e4f9c3
+838f6ee1f7b5e0f7b2dcf5a6a2b57ab5cd87daf5a1edf49bf4f4988c8c57f4f498f4f498f3f38f
+f1f17ec7c764f1f17bf1f17b5c5c298f8f3b8f8f3ad8e666dfef6a909a4468843081a33dbeee5d
+beee5d91b547596f2d607438e5f8bfe5f8bfe5f8bfe5f8bf869170bbea5abded5cbded5cbded5c
+85a64182a43e627342f3fce3f3fce3f3fce3e6eadce7efd77d964bb9e16ac5ec75c8f079c8f079
+5588375a983bc1d2b9ebfce3ebfce3e2ecdde0e9dc748e67a2f17a8fde679fec70a0ee749beb74
+5e9e3edcdcdcffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee656bee65d3ee41899a5d5ddc6575ee65ccee0f15236565eea0a0f56cd5ef21444d5353c4
+a7b4f54a9bafd6d6d651518bffffff929292ffffff7272acdedede929292ffffff7474e86d6d6d
+4b89b3a8b0f66868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+37788854ceec54ceec5cd0ed32636d51a9be4f7f8bffffffffffffe4e4e4b2b2b2caded0e7fdee
+e7fdeee7fdee89918ccecece919993a0a0a0e3e3e3f9f9f9c8c8c8abc59fd9f9c9d9f9c9daf9c8
+818f6fe1f7b5e1f7b5e0f7b2a2b57bb5cd87d9f5a2e5f098f3eb8ed8d17df3eb8ef3eb8e959258
+d7d773f0f072f0f071f0f07189893beeee65eeee63e9e960d2d2569a9a3facdc50baed56baed56
+bbed578fb54296bf4394b946cbf17fcbf17f879a608a9e6254613bd0f08ed2f390d2f28fb0d06d
+93aa65a4cf4ebced5abced5abced5abced5a5167276f8c359f9f9fe9e9e9fafafadcdcdcffffff
+5989408ded5c8ded5c8ded5c8ded5c5691385a973b607556ffffffe3e3e3f1e3c7f7efe0d3d3d3
+687363dcdcdcffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee656bee65d3ee41899a5d5ddc6565ee65bcee0f15236565ee8484f169d2ee21444d5353c4
+afb6f660a1b1d6d6d651518bffffff929292ffffff7575acdedede929292ffffff7474e86d6d6d
+4b89b3a8b0f66868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+37788854ceec54ceec54ceec52a9b84c898f4d7a86ffffffffffffffffffb2b2b2c9ded0e6fded
+e7fdeee7fdee89918bfdfffdf0f2eff3f5f2cbccca8f8f8f8c8c8cdfe2ddfbfef9b3b7b0b7bbb4
+92968be2f7b6e1f1afeaf2abcacf8ed3db93e6f1a1b9c17ef2e98cf2e88af0e478efe36fb8af50
+f0e970efe868dcd956a8a733dbdb37eaea3de6e53be1df3b627a2891a93668862db0ce75b9cf8e
+8f997ba3bc7197c143b9ec52b7ea51b8ea526a872fabdb4da5d34ac0ee65c0ee66c0ed664c5d2b
+85a447d8ddcff8fdedf8fdedf8fdedf8fded7a8c58b3e155b9e561c3ef6bc3ef6c5a743587ab51
+88907ff3fdeef3fdeef3fdeef3fdee949a9185e25884db5998ef6d98ef6d97ec6797ed6a668b53
+f7f7f7fbfbfbffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee6567ee65baee41899a5d5ddc6565ee65bcee0f15236565ee6565ee65ceee21444d5353c4
+b9b9f77aa8b4d6d6d651518bffffff929292ffffffb3b3b3dedede929292ffffff7474e86d6d6d
+4b89b3a8b0f66868ef44449d589bda7890f07890f0294a8048566cffffffffffffffffffffffff
+37788854ceec54ceec54ceec54ceec74e1f061797af8fdfed5d6d6f8fdfeadb1b1ceded3e3f5e8
+def1e4e7f5e08b928dfffffffdfffcfdfffca5a6a4eaebe7fffffefffffefffffebbbbabfbfbd4
+fbfbd4fbfbd4989880ede59cf5eca0f5eca0f5eca08d8a5cf5f39cf2e98cf1e784d9cc4fecdd51
+ecdd51ecdd51ecdd51ded04c989745c0c05b352c177f5835b0a096fcece2fcece2fcece2b8b698
+bae662b6e35bb8e65ec1ef6791b34d6686276c8735e4f8bce4f8bce4f8bce4f8bce3f7bc607b2b
+576f27d7e1c4f2fbdff2fbdfd4d5d1f2fbdf7d8d5ec6ee76b7de66c9f079c9f07966893f77cc4d
+879c7ce9fce0e9fce0e7f7dee0edda8e99889ce8768ddc66a2f07ba2f07b9feb7083d753618a4c
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee65bcee0f15236565ee6565ee86bbb121444d5353c4
+8787f27aa8b4d6d6d6414189ddddfb60848dffffffb3b3b3dedede7f8990e0f1fca6a6ee6d6d6d
+4b89b3a7bbf66868ef44449d53a0d97890f07890f02b4e8752698bffffffdadadaffffffffffff
+37788854ceec54ceec54ceec54ceec54ceec99e2f4d8f4fb6c757695a7aa97aaafdfdfdff5f5f5
+efefefe9d4a8929292fffffffffffffdfffca5a6a4e7eae1fefffbfffffefffffe919188fbfbd3
+fbfbd4fbfbd4989880eeeca5f5eca0f5eca0f5eca08d8a5cf5f5a0f4ef97b1a962cabf5cedde55
+ecdd51ecdd51ecdd5198903ab9b958a7a75eb7ab5a8d703c8d6b3c9e6742c68153ee9b6496623f
+f0f0f0f1f1f1f4f4f4ffffffbfbfbf84ac354e5d31ffffffffffffffffffdadadafefefe6b8830
+b9ec53baec54baec54baec54556c276e8c32727a62fcfcfce8e8e8e1e1e1f8f8f8798e6f8aed59
+8aed598bed598bed597ed650355b22365c23f6f6f6e5e5e5ffffffffffffded5c39a9e85586153
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff79d9f03a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee65bcee0f15236565ee6565ee91b59e21444d5353c4
+7777f07aa8b4d6d6d63c3c89d2d2fa50808bffffffb3b3b3dedede79868fd6ecfbb5b5ef6d6d6d
+4b89b3a6d1f56868ef44449d53a0d97890f07890f06c7cb891a3eba0b1f5505879717caaa0b1f5
+868d91f0fbfdf0fbfdf0fbfd7295979af0f4cef1fad8f4fb859091d5e3e35f6869e1e1e1fdfdfd
+fbfbfbebd6ad929292ffffffffffffffffffa5a6a5e7eae1fcfef5fefffdfffffe919188fafad2
+fbfbd4fbfbd4989880eeeea7f6f1a7f1db7bf0d7728b844ef5f5a0f5f5a08b874df0e370f0e36e
+eee05fecdd51eadb508b6d37e59961c38c55eeba67eeb865eab463d9a55c4d3f213726179e6742
+e9c3aaf7cfb4f7cfb4f7cfb4b89b8799c344b3e352c0ee64c0ee64c0ee645c72308fb348929786
+f5fce5f4fce5f0f7e4f5fce5718a41b7e954b1df55c0ef64c0ef647e9c4261843d758755f4fdf0
+f4fdf0f4fdf0f5fdf0dde5d95d9f3c81dc5395ee6895ef6995ef6995ef696dad4cd8d8d8f5f5f5
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee72c0ef0f15236565ee6565ee91b59e21444d5353c4
+7777f07aa8b4d6d6d63c3c89d2d2fa50808bffffffb3b3b3dedede79868fd6ecfbb5b5ef6d6d6d
+4b89b3a6d1f56868ef44449d53a0d97890f07890f0545f8c97a9f497a9f452608b496ca58595d7
+8e8f92ffffffffffffffffff758f8f93f3f3bff4f8d8f4fb8b9192ffffffffffffffffffd4d4d4
+6d6d6ddddddd929292ffffffffffffffffffa6a6a6e7eae1fbfef4fcfef5fefffd919188fafad2
+fafad3fbfbd4989880eeeea7f6f6adf3e58fefd56e8b834df5f5a0f5f5a08b874ef0e370f0e370
+f0e370eee060c2b643b38c4fee9d64ae7249ee9c64ee9c64ee9c64ee9c6489753adbc25d968540
+8f743d89653a9d6e42bd7c4fa26a44d3d3d3ffffffffffffffffffffffff9bb26cb7ec4eb7ec4e
+b7ec4eb4e74d45591eaddf4a7e8d61e6f8c0e6f8c0e6f8c0e6f8c097a37e7ad44d5c804ae7fbdc
+e7fbdcd4dcd1e1f2d9d1e3c76da1528edc67a1ef79a3f17ba3f17c89da6165ac41d8d8d8ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee749cf00f15236565ee6565ee6fa4dc21444d5353c4
+7777f091afb7d6d6d63c3c89d2d2fa50808bffffffb3b3b3dedede79868fd6ecfbb5b5ef6d6d6d
+4b89b3a6d1f56868ef44449d52a1d97494f07890f0545f8c97a9f497a9f452608b5e93e151689a
+8c8d8fffffffffffffffffff758f8f93f3f395f3f3bef4f8859091f6fefeffffffffffffd4d4d4
+bebebeb5b5b56f6f6fffffffd9d9d9ffffffa6a6a6e7eae1fbfef4fbfef4fcfef5919186fafad2
+fafad2fbfbd3989880eeeea7dfdf9dbab078efd56f8b834df5f5a0f5f5a0b0ae6bf2e981cdc569
+f2e981f1db77e5c062e2bd66eead67895939ee9c64ee9c64ee9c64ee9c64b47c4ceea865eea865
+eea8658769397b643465422b915f3de8a87df2b287f2b287f2b287f2b28781784fd0f38cd0f38c
+d0f38cccee8966832c73943281857bffffffffffffd9d9d9ffffffa7a7a77dda4f88ed5688ed56
+88ed56477c2d58983879d24cabababe9e9e9fdfdfdffffffffffffd6d9d54b6c3ad8d8d8ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee6593ee41899a5d5ddc6565ee658dee0f15236565ee6565ee659fee21444d5353c4
+7777f0bbbbbbd6d6d63c3c89d2d2fa507f8bc2eef8b3b3b3dedede79868fd2eafab5b5ef6d6d6d
+4b89b384c2f26868ef44449d51a2d96c9cef7890f034528897a9f497a9f455618c81aef26d8fc3
+93a4bfbac7dbbcc9ddcedffa75878fc9f9f99bcbcbcaf9f9849191edfdfdf6fefeffffffd4d4d4
+bebebefefefef0f0f0ffffff666666929292949494ecececfbfbfafbfbfafffffe919188fafad2
+eae4bdf9eec2979076eeeea7b6b680cdbf87f2dc85e8cf6cefd772efd772efd772eed6718b6d3e
+efae67907940ee9b64ee9b64ee9b64895939ee9c64ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c65906a3de7c962dcbf5ec7ac5589713a776333835638895a3aed9b65947865fef8f4fef8f4
+fef8f4f9f3ef6d8c2fb8ec50b5e554bded5ebded5e3c582679994179983ce2e9dff6fef3f6fef3
+f6fef38db97885e655508b339acc81c4f6abc4f6abc4f6abc4f6abc7c8c7b5b4b2dadad9ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee657cee41899a5d5ddc6565ee658dee0f15236565ee6565ee90abf321444d5353c4
+7373f0b1b1bad6d6d63c3c89c3c3f8507f8bbdecf8b3b3b3cfcfdc79868f94cdf3c4c4f16d6d6d
+4b89b365b4ee7575f044449d51a2d96c9cef7890f032518897a9f497a9f454618c91b8f39ec0f5
+9ec0f5768fb64a5d7c8dacdb757f8fffffffffffffffffff8a9191edfdfdedfdfdf6fefed4d4d4
+bebebeffffffffffffffffffb9b9b9ffffffffffffffffffc8c8c8c9c9c8ffffffd8d8d5fdfdef
+69634ef9edbfd6cca6f5edb8b7b189cdbf87f4e29cefd671efd56eefd56eefd56eecd26d8c633a
+eea86389723aee9b64ee9b64ee9b64895939ee9c64ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65ee9c65ee9c655b4f268e703c89663aa47146b9794fd08858ee9c65
+ee9c65e99963889373e6f8c1e6f8c1e6f8c1e6f8c156893a7ddc4d466f27d4eac9e4fbd9dae8d2
+e2f7d8748e67a3f17c9eec7790de6aa3f17ca3f17c84d85b89ed5790928ff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcff1fa3a6489
+6565ee6565ee657cee41899a5d5ddc6565ee658dee0f15236565ee6565eea7b2f521444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8bbdecf8b3b3b39d9dd779868f94cdf3f7f7f76d6d6d
+4b89b36ab9efa1a1f544449d51a2d96c9cef7890f02f50888ca5f397a9f452608b76a7f09ec0f5
+9ec0f5768fb67596ca637ea7636a74ffffffd7d7d7ffffff8a9191edfdfdedfdfdedfdfdcbd3d3
+bebebeffffffffffffffffff929292ffffffffffffffffffc8c8c8c9c8c2ffffffffffffffffff
+8e8667f8eab7f9edc1f9edc1b8af8ecdbf87f5e4a1f2dc85efd56eefd56eefd56e9d8c48da9a5b
+eea86389723aee9b64ee9b64ee9b64895d3aeea164ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c65c98355ee9c65ee9c65ee9c65ee9c6589783aeed365eed365d3bb597f71369a8441896e3a
+8d6a3c93613f979797ffffffffffffffffffffffff59894086ec5286ec5286ec5386ec53569735
+508c31688c57fffffffafafaeeeeeeffffffffffffc6ccc471b84e90928ff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee657cee41899a5d5ddc6565ee8296f11417246565ee6565eea7b2f521444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8bbdecf8b3b3b39d9dd779868f94cdf3f7f7f76d6d6d
+4b89b36ab9efa1a1f544449d51a2d96b9def7890f02b4e877a9df197a9f452608b649cee91b8f4
+9ec0f5768fb699aecec8dbf8c5d6f0d0e1fa6b74818d99a8898b8efefffffefffffeffffd3d4d4
+bebebeffffffffffffffffff929292ffffffffffffffffffc8c8c8c9c8befefef8ffffffffffff
+8e8667f6e8aff9ecbff9edc1b8af8ecdbf87f5e4a1f4e29aefd672efd56eefd56e89793feea863
+eea86389723aee9b64ee9b64ee9b6489643aeea964ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c6589593aee9c65ee9c65ee9c65ee9c65df945fee9f65ee9f65ee9f6585673895843f89793a
+8464387b5534916642da9465da9465e79c6aefa26e8d897ff8fef5f8fef5f8fef5f8fef59fa39d
+76cf4a649b4ac1f6a7c1f6a7c1f6a7c1f6a7c1f6a7b3c4abcaccc99a9a9af1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee657cee41899a5d5ddc6565ee9090f31616246565ee6565ee7b86f021444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8b91e0f3b3b3b39d9dd779868f94cdf3f7f7f76d6d6d
+4b89b366b7ee7a8ff144449d51a2d95faaee7890f02b4e87729af097a9f452608b639bee74a6f0
+9dc0f5768fb67e9ccbc6daf9cddffacddffa778190c1d4e3989b9ffafbffc8c9ccceced0cfd0d3
+bebebefaf5eaffffffffffff929292ffffffffffffffffffc8c8c8c9c8befefdf2fffffeffffff
+8e8667f6e7acf8eab7f9edc1b8af8ecdbf87f5e4a1f5e4a1f2db84efd56eefd56e8a7643eea863
+eea86389733aeea064ee9b64ee9b6489643aeea964ee9c64ee9c64ee9c6489693aee9c65ee9c65
+ee9c6589593aee9c65ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c65a17544eec665eec665
+eec665ebc4647f7036655a2b675b2c91683e895a3a9d8778fbe7dafbe7dafbe7dafbe7daa1948c
+99e074a3f17da3f17da3f17da3f17d7fd65487ed556c8d5dfffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee6569ee41759a5d5ddc6565ee6565ee0f0f236565ee6565ee6570ee21444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8b7bdaf1b3b3b39d9dd779868f82c5f1f0f4f66d6d6d
+4b89b363b6ee6686ef44449d51a2d95faaee7890f02b4e87588fed97a9f452608b639bee639bee
+92b9f4768fb67596ca97bcf4c6daf9cddffa77818fe4edfceaeefdeaeefda3a6b198999a777981
+bebebee9d4a8ffffffffffff929292ffffffffffffffffffc8c8c8c9c8befefdf1fefef5ffffff
+8e8667f6e7acf6e7aef9edc0b8af8ecdbf87f5e4a1f5e4a1f5e39defd56eb6a254c4ad6feea863
+eea86389743aeeb165ee9b64ee9b6489643aeea964ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c6589593aee9c65ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65e99963726531c1ab52bfa951896f3a896f3a8d683c92603e92603ee69762ee9c65986441
+eeeeeeffffffffffffffffffffffffb7bfb46c9b556c8d5dfffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee7475f05052525353c4
+6565ee8c8cb6b3ccd23c3c899090f3507f8b7bdaf1b3b3b37a7ad379868f64b7eee5eef56d6d6d
+4b89b363b6ee6686ef44449d51a2d95faaee7890f02b4e87588fed97a9f452608b639bee639bee
+75a6f0768fb67596ca8db5f3a9c8f6ccdefa76818fd3eafae7edfdeaeefdc0c6c8dee8c7d3debb
+d1dcbae1e1ac959691e0e9cb91928fffffffd9d9d9f6f6f6c8c8c8c9c8befefdf1fefdf1fffef9
+8e8667f6e7acf6e7acf7e9b3b8af8ecdbf87f5e4a1f5e4a1f5e4a1f1db83a6944ed8c88ceeab66
+eea86389743aeeb165ee9b64ee9b6489643aeeab65ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c65895b3aee9d65ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c65e39560ee9c65ee9c65
+ee9c65ec9b64c18e52eeb665eeb665eeb665eeb665e9b263e4ad61e4ad6190603d895a3a855738
+eec2a5f6caadf6caadf6caadd7b6a0e6e6e6eeeeee7a7b79fffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffafefe49688a
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee7575f05252525353c4
+6565ee7b7bb494c3cf3c3c897373f04170897bdaf1b3b3b35b5bcf79868f64b7eee5eef56d6d6d
+4b89b363b6ee92b1f344449d51a2d95faaee7890f02b4e874b89ec8ca4f352608b639bee639bee
+659cee6987b57596ca8db5f38db5f3aac8f676818fcfe9fad3eafae7edfda3a6b1d1dbbce2f7b6
+e2f7b6dcf0b1a49b929f9988a1998efdf4ecc1bcb6babab9c6c0b9c9c8c1fefef5fefef5fefef6
+8e8666f6e7acf6e7acf6e7adb7ae8acdbf87f5e4a1f5e4a1f5e4a1f3e0938b7f4ef5e4a1f2c783
+eea86389743aeeb165ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75758f
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee7575f05252525353c4
+6565ee4a4aaf94c3cf3c3c896565ee3a698972d7f0a2afb25b5bcf79868f64b7eee5eef56d6d6d
+4b89b363b6ee6facef44449d52a2d979a6f18896f25a6fb36a92ef93a4f4555f8c639bee639bee
+5280c54e76b27596ca8db5f38db5f38db5f36a7a8ecfe9facfe9fad3eafaa0a6b0dfdfdff1fbdb
+e2f7b6dbefb0a99886f7d5b3f7d5b3f7d5b3c3a688c1ac97836950dac5b0c8bcae917a57908575
+888060f6e7acf6e7acf6e7acd0c4958b825df4e4a4f4de97f3da91f3da8fe1c982f3da91f2cc86
+eea86389743aeeb165ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65ea9a639e6743ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75758f
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee6565ee22224d5353c4
+6565ee4a4aaf94c3cf3c3c896565ee3a698964d3ee88a7af5b5bcf79868f64b7eee5eef565656c
+4b89b363b6ee64a7ee44449d55a1da9da1f5a0a0f5a0a0f57d7dbf8585c6a4a4f3a4a6f6a4a6f6
+767484817f8fdcdbeaf0eefdb2b1badfdeeb898991e9f5fdbbc7cee9f5fda8acb1dfdfdfffffff
+ebf9ccd9eeaf9c9b9afbead8f7d5b4f7d5b3c7a98be9ba8bf3bf8bf3bf8b8b7055f3e0c4f8e5c8
+f6e2c2b79560c9b37df4d898f4d898efd494f4d897f3d58ef0cc78f0cc78f0cc78f0cc78efb96d
+eea86389743aeebe65ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489733aeea765ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589703aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65e999638d5c3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc6c6c6b2b2b275758f
+6565ee6363ea4a4aae303e715d5ddc6565ee6565ee0f0f236565ee6565ee6565ee21214d5353c4
+6565ee4a4aaf94c3cf3c3c896565ee3a698964d3ee88a7af5b5bcf79868f64b7eeb7d9f02b2b65
+4b89b363b6ee64a7ee44449d51a2d97ea8f1a0a0f5a0a0f57c7cbe8484c4a6a6f6a6a6f6a6a6f6
+78778fe8e3fce8e3fce8e3fc706e7c918da26d6b73ffffffffffffffffffb2b2b2dfdfdfffffff
+fcfef8dfefbd9c9b9afffefcfae5d0f7d5b3a18b75e9ded4f3bf8bf3bf8b8c7155f9e6c9f9e6c9
+f9e6c9baa78ac8b17cf4d897f4d897f4d897f4d897f3d691f0cc79f0cc78f0cc78f0cc78f0c675
+eea86389743aeec966ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589713aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65e999638d5c3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc9b8cda344ba703e8c
+824fcb462962c390cf7e5d865d5ddc6565ee6565ee0f0f236565ee6565ee6565ee21214d5353c4
+6565ee4a4aaf7abccc3b3c896565ee3a698964d3ee88a7af5a5acf5f6c8d64b7eea3d0ee2b2b65
+4b89b363b6ee64a7ee44449d51a2d967adefa0a0f5a0a0f57c7cbe8484c4a6a6f6a6a6f6a6a6f6
+70708fdedbfbe8e3fce8e3fcb7b4c0f7f3fedad7ddfcf9ff687273d0ced2b0aeb2dfdfdfededed
+e3e3e3e1d0a79c9b9afffefcfefaf5f8dbbea18b75ebeaeaf9dec3f3bf8b8c7155f9e6c9f9e6c9
+f9e6c9efddc1eed49af4d897f4d897f4d897f4d897f4d897f1ce7df0cc78f0cc78f0cc78f0c675
+eea86389743aeec966ee9b64ee9b6489643aeed066eea064ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeeba65ee9c65ee9c65ee9c6589713aee9c65ee9c65ee9c6589673aeea365ee9c65
+ee9c65e999638d5c3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffff4f4f4ecececffffffaeadaeb94cd4ce54ec
+ce54ec4c1f578235957f34925656cc5252a283839111111e6565ee6565ee6565ee21214d5353c4
+6565ee4a4aaf55b1c83a3b896565ee3a698964d3ee7fa5ae5959cf3a488964b7eea3d0ee2b2b65
+4b89b363b6ee63afee444f9d51a2d956ace68b9beca0a0f57c7cbe8484c4a5a5f5a6a6f6a6a6f6
+6f6f8fc8c8f9e5e0fce8e3fc868391f7f3fefbf8fffbf8ff788e8b95b9b1676d66e3e2daefefea
+fefdf5e1cea19c9b9afffefcfffefcfefaf5a39382ebebebfef9f4f5caa08c7155f9e6c9f9e6c9
+f9e6c9f9e6c9f7e1b8f4d897f4d897f4d897f4d897f4d897f2d184f0cc78f0cc78f0cc78f0c775
+eea96489743aeec966ee9b64ee9b6489643aeed366eea164ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeebe65ee9c65ee9c65ee9c6589713aee9c65ee9c65ee9c6589693aeea465ee9c65
+ee9c65e999638d6a3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffb1b1b17b4788a295a6b6b6b6ebccf3f1cefa
+f1cefa793b89c24ede682a77322047a9a1abf1cefa1715246565ee5a5ad44b4ba721212e5353c4
+6565ee4a4aaf55b1c83a3b896565ee3a698964d3ee4694a75959cf3a488964b7eea3d0ee2b2b65
+4b89b363b6ee63b6ee43569d51a2d9458cbb6363bd9f9ff57c7cbe8484c4a5a5f5a6a6f6a6a6f6
+6f6f8fc4c4f9d3d1fae8e3fc837f90e3ddfbf8f4fefbf8ff878c7bf7f1b7f7f1b7f7f1b77c765b
+988a6de6e0aa9c9c9bfffffefffffefffffea6a6a6ebebebfffffffceee18c7257f9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f5da9ff4d897f4d897f4d897f4d897f2d38af0cc78f0cc78f0cc78f0cc78
+efb26989743aeec966ee9b64ee9b6489643aeed366eea164ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeebe65ee9c65ee9c65ee9c6589733aeea165ee9c65ee9c6589693aeea465ee9c65
+ee9c65e999638d743cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffefefeffffffccbcd0c151ddbe50d9bd56d7613d698e509d
+d56eef8b7a90f8e7fcd2c0d67f71858c40bc893bac572a7a48307e7d55a3b381b2473a505353c4
+6565ee4a4aad55b1c83a3b896565ee3a698964d3ee4694a75959cf3a488964b7eea2d0ed2b2b65
+4b89b363b6ee63b6ee43569d51a2d9395f8f6b6be89c9cf57c7cbe8484c4a5a5f5a5a5f5a6a6f6
+6f6f8fc4c4f9c4c4f9e0dcfb837f90e0d9fbeae5fdfbf8ff748e8fd6f5daf7f1b7f7f1b7b99f7d
+e9ac91bf9b7bc2a395fadbcdccbab3fadbcda38f86ebebebffffffffffff918c87f9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f8e4c0f4d897f4d897f4d897f4d897f4d795f0cc78f0cc78f0cc78f0cc78
+efb26989743aeed266eea764ee9b6489643aeed366eea164ee9c64ee9c6489753aeec465ee9c65
+ee9c6589673aeebe65ee9c65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeea465ee9c65
+ee9c65e999638d743cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff5f5861b8b0bad4d4d4e0b4ebebb9f7ebb9f7874199be4fda
+773288907996e3dce5f0e2f489798fae51ecae51ecae50ec522670642d889444c8381a4c4d4db5
+5a5a8e6d6d6d55b1c83a3b896565ee3a698964d3ee4694a75959cf3a488964b7ee61b1e62b2b65
+4b89b363b6ee63b6ee43569d50a0d739558b7473f09490f38a87c7918dcc9b9ae28b8bcfa7a4ef
+706f8fc4c4f9c4c4f9c8c7f9817e90e0d9fbe0d9fbede7fd748e8fbbf8f8d5f5dcf6f1b88d8064
+f3ae91f3ab8cf3ab8cf3ab8c5a4233bc856c9e6f5bebebebffffffffffff92908ef9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f9e6c9f6ddaaf4d897f4d897f4d897f4d897f0cd7af0cc78f0cc78f0cc78
+efb46a89743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec765ee9c65
+ee9c6589673aeeca65ee9d65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeeb265ee9c65
+ee9c65e999638d743cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffa35ab5af4bc7ca74dfd984ed85618edd86f29758a6dd89f2
+dd89f2dd89f26c3f7d713490562c63e9d0fae9d0fae9d0fa9767b7ac4eec843bb58d3fc13f2362
+a971cf8f5cb17cbccc3b3c894f4fbb35657e64d3ee4694a75959cf3a488964b7ee61b1e62b2b65
+4b89b363b6ee82b0f0a18ddda39fe9a289dc8472b5ccb7edd7c1f9d7c1f9796e89bababae9e4f1
+d8d8e1bfbfce8f8f9eededfc888691e9e4fce9e4fcebe7fd738d8fbbf8f8bbf8f8ddf4d38d8165
+f5baa0f3ae91f3ab8cf3ab8c8b664fc18f6e684a3cebebebffffffffffff92908ef9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f9e6c9f8e3c0f4d999f4d897f4d897f4d897f2d185f0cc78f0cc78f0cc78
+efc17289743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec765ee9c65
+ee9c6589673aeed365ee9e65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeebb65ee9c65
+ee9c65e999638d773ceea065ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffcfcfcffffffffffff7e4a8ad05aedd059edca57e7622a70923fa78d8190fcfcfc
+ffffffffffffa27fbab055ed9e4ed4985ac25e3e749357bb775a8bf2e6fae2c3b0c6bbce66427e
+7934a77b35aac296df331b4c9c70be476f8568d4ee4995a85858cd39478664b7ee61b1e62b2b65
+4b89b3729aef8c7cf0bc9bf2c4a2f5c4a2f57e689db4a2e6d7c1f9d7c1f97f758fffffffffffff
+ffffffdadadacccccca2a2a2c3c3c3ffffffccccccffffff758f8fbdf8f8bdf8f8c1f8f4838271
+f5bba2f5baa0f3ae90f3ab8c8a5f49ef9972d88865efa07e825d4dd993768b6554fefcf8fefcf8
+d0cecac7c5c1ceb885f5da9df5da9df4d898f4d897f4d897f4d897f2d38bf0cc78f0cc78f0cc78
+efc17289743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec765ee9c65
+ee9c6589673aeed365ee9e65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeebb65ee9c65
+ee9c65e999638d7d3ceeaa65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff615963958499e0e0e0cbb6d0ecbdf8ecbdf8e6b7f17d358eb54dceac65be705279
+997ea4c18ece81608ddfbbf8dfbbf8ae91c18b42bb8b42bb814aa55a4a65806672b98ed57c638d
+ddb6f7ddb6f7ddb5f7471e63622888816a90e0d8e4a99db25e4d81494f6464b7ee62b2e8433c7e
+5d89be72adef716ccb7c69b1c3a2f5c4a2f57e689da898e4cdb8f8d7c1f97f758fffffffffffff
+ffffffbebebed4d4d4ffffffffffffffffff4552559da3a48c8c8cffffffffffffffffff918782
+f5bba2f5bba2f5baa0f3ae918b664ff1a980ef9670ef956f89553b8b573b885d4bffffffffffff
+ffffffc0c0c0c8b17cf4d897f4d897f4d897f4d897f4d897f4d897f3d692f0cc78f0cc78f0cc78
+efc17289743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec965ee9e65
+ee9c6589673aeed365ee9e65ee9c65ee9c6589783aeeb165ee9c65ee9c6589693aeebb65ee9c65
+ee9c65e999638d7d3ceeaa65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff7e4d8bc859e4ae57c3da85f075587cca7eddd682eb865592df8ef3df8ef39758b5
+a352d98844b48a4ab0745b85a975cc9a67bca06ec0c98af2c98af2693a89aa51e68e42bfa45bd4
+85619d9b6bbac37ef18250a4c37ff1c37ef1653c8067279167289152396ad7edfbd2e6f58972ad
+b48bf3b48bf363508b9f8af2b598f4c4a2f57e689da797e4b9a7f6d5bff97f758fffffffffffff
+ffffffbebebed4d4d4ffffffffffffffffffb3b595dbdeb7d5d0a6faf5cb93917ef0ebc48f8672
+f8d1c0f1c3a4f8d1c0f8cfbe8b6953f2b389f1a980ef967089553bd787533b2d26ffffffffffff
+ffffffc0c0c0c8b17cf4d897f4d897f4d897f4d897f4d897f4d897f4d896f1cf7ef0cc78f0cc78
+f0c97689773ceed366eebb65ee9b6489643aeed366eeca66ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eea665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeec365ee9c65
+ee9c65e999638d7d3ceeaa65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+c7c7c7fcfcfc83548fd262eed262eed062ec9140a6893d9c9d45b2a275ada896ade5b1f27c578c
+b560eeb560eea054d2954bc68342ae623182bf96da97909cd6afef6e458ab159e9b25aedb25aed
+8341b08d43bf833db19f73bca294abc9a7e0735388a541e89536d59037cc8b44c353328660378d
+b288f3b48bf363508b9f8af2a28cf2bd9ef47e689da797e4b3a2f5bcaaf67e748fffffffffffff
+ffffffbebebed4d4d4ffffffffffffffffff748887eff0c2f8f1b9f8f1b9856957967561656255
+ffffffe9d3a8fbfbfbffffff8c6e5af2b389f2b389f1a98089563ced955bad7149f6ccb0f6cbae
+f6cbaeb99983c9b27ff4da9bf4da9bf4da9bf0d494f4d896f4d896f4d896f1cf80f0cc78f0cc78
+f0cc7889783deed366eec165ee9b6489643aeed366eed066ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eeb665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeed365ee9c65
+ee9c65e999638d7d3ceeab65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+5d2c69876390e6d0ebe0d7e2ebdceff4def97f488dd97af0d879efa052b3823a947c378d6d4677
+e9dbede2d8e5c4b3c8965ebbc079f0b66ee6b76fe7703b936c378f7e678dcdb49dd8d4daf1e0fc
+84748fbe74f0be73f0aa5edb693a89763a9f7b43a0916aac53357f603e92603e92874fda634491
+aa7bf1b68ef3755f9fa68ef3ac97f3b39bf4927cafb3a2e8a191d7a292d9746b8acfcfcfcfcfcf
+e9e9e9bebebed4d4d4ffffffffffffffffff6d888ec4edf1eef0c3f8f1b9b88773f29186cb8078
+f7bbb4e5a38c846764f7bbb48f7e75fae2d1fae2d1fae2d18d715fed955bed955bed945aec9053
+ec8f51b26c3dd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc7889783deed366eec165ee9b6489643aeed366eed066ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eeb665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeed365ee9c65
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+8e43a1d15eeed15eee713380893e9bc559e0959595fffffffdfdfdbababa9c46b1d15dedd15ded
+8b3e9d70398f642e76c6c6c6fffffff2f2f2f2f2f27d48a1b35bedb35bed6232828144aa6e3891
+543a66ffffffffffffe5e5e57c638db157edb157ed7c3da78654cfa26ff0ae82f2ad81f08867ba
+77609ac2a0f5c2a0f5c2a0f59582a8ead1faead1faead1faaca3b1d7d5d8dddadfc2c2c2777777
+929292bebebed4d4d4ffffffffffffffffff6d888ebdecf8c3edf1f0f0c28c6e5bf29287f29085
+f29085e98a8067392eb66c62918887ffffffffffffffffff8e7b6fed955bed955bed955bed945a
+ec9053b26c3dd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78d7ba64eed366eec165ee9b6489643aeed366eed066ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eeb665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeed365ee9c65
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9a979af4f4f4ffffff
+80448fd467efd467ef9f4bb4cb5ce8813b93a274aea493a9ddadeac093cc9e4cb2d466eed466ee
+a651c0ac5ae2ab5ae0b768ea4f35616f468a8752aa8e8495f2eaf7cac2cf745341b55feeae5ce5
+a759db9057b6a466cdbf75f0b367e6734393be74f0ba72e9bb74ed704993b185f2b48bf39472c7
+8a6cb7be9af4c2a0f5c2a0f56f5b8dd3b5f7e9d0faead1fa897d90faf4feffffffffffffc6c4c6
+d7d1d98b868ce7e2e8bcbabdd6d4d8fef9ff6f888fc1edf8c1edf8c8eef1866d64f29388f29287
+f29085e98a80925040995647878281fcfcfcfcfcfcffffff8e7b6fed955bed955bed955bed955b
+ed955bb67143d4d3d2ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78efcf70eed366eec265ee9b6489643aeed366eed166eea664ee9c6489753aeed365eeb365
+ee9c6589673aeed365eeb765ee9c65ee9c6589783aeecb65eea065ee9c6589693aeed365ee9d65
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff834194854a9489728f
+dcd2dfd7d1d8f6dffc89728fda80f1da7ff1a256b6823b93843c956b3179b5a5b9dfd4e2f6dffc
+a394a7b274dcb975e7b974e6693a89b662ee9d55cec07eec665074937ba3604456e4c4f9e4c4f9
+e4c4f9a790b79a56c8b866eeb867ef6c3f8abd71f0bf75f0c077f06b468aad7ff1b185f29472c7
+8a6bb7b78ef3be9af4c2a0f56e5b8dc09ef5d3b5f7e9d0fa887c90f3e4fcfaf4feffffff9c9c9c
+f2ebf5fcf2fefcf2fe878a9188aab4beb8c1929292ffffffffffffffffff8e726ef29388f29388
+f29287ed8d82ba6651ef8369cc8473e29e8ee09c8bf5b1a18d6e63f8d8c2f8d8c2f8d8c2bc9b85
+d1814bc87b48e1dbd7ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78efcf70eed366eed366eea16489643aeed366eed366eeb065ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8d46a0d160eed160ee
+7234829746ac7f3a9052335ae6e6e6fefefebfbfbf9a46aed260eed260ee8f41a27e3b8f7b398c
+5a2967c2c2c2f3f3f3f2f2f26e448ab662eeb662eeb662ee8a4cb4a85eda9556c0a475c46f587e
+87659e634a75af83cd79439c77429b623a7da160ccbd71f0be73f06b468aad7ff1ad7ff1906dc6
+8a6bb7b78ef3b78ff3be9af46e5b8dc09ef5c09ef5e1c6f9887c90f3e4fcf3e5fcfaf4fe9c9c9c
+f2eef5fcf4fefcf2fe8e8a8ae7e8bec5bc90dfd4a7c1b999b9b193f8edc08e786af7b9b2f7b9b2
+f7b9b2e6a28c925040ef8369ef8369ef8369ef8369ef83698d665dffffffffffffffffff9e9e9e
+7a4522b26c3dd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cd76eed366eed366eea16489643aeed366eed366eeb065ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceecf65eea165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff979498f1f1f1ffffff834b92d46befd46bef
+793c89d261eecb5ee6a64dbc5931639c53afad59c2b8b2bafcf3fefcf3feaba5acbc59d5cf62eb
+c25cdc733b8271468a9a54ae8f7f97ece3f1f2e7f9f4e8fc7e678db866eeb867ef8a4db39a5bc5
+ae67ddae67ddbe77ed8956acb271dfb974e78757a7714c8b734d8c9f70bfdab9f2dfc1f6cbade2
+ac82d5c394f3c59fefcda7f6a68ac2b898dd8971a8cba9ee877990f4e6fcf4e6fcf4e6fc98939b
+f2eff5fcf8fffcf4fe888a90bee9e9efe8b6f6e8aeafa57c9b5553c2b488908c7cffffffffffff
+ffffffe0ca9e925040ef8368ef8369ef8369ef8369ef83698d665dffffffffffffffffff9e9e9e
+72370f8b5430d1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc77eed366eed366eea16489643aeed366eed366eeb065ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceed365eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff874597884b9788708fd9cddbd3cdd5f5dcfb
+89738fdc84f2dc84f2a459b79747abb154c9733682c0a7c6cecacff5ddfba696abc577d8dc85f2
+c972df774685b866eeb866eeb866ee6d3d8c6d3d8c6a3c8968467eb695cbba8bb8a17eb8a674c8
+ca8df3bb7fe4c285ea6e458ac078f0c17af16f478ac683f1c787f2c787f2895da7b582d8cf99f4
+cf99f4c592e8856999deb8f8dfbaf8b093c4957fa48b77987c7283fbf5fecfcecffbf5fe99969b
+f3f0f5eeebf1f3f0f5888c91b1e9f7bbe9ecefe8b5bfae84d77371bd6b66897169fce6e3e5d9d7
+fce6e3e1bb97946154f39e89db8671e7937ecd705aef83698d665dffffffffffffffffff9e9e9e
+be591424160cd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc77eed366eed366eea16489643aeed366eed366eeb565ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceed365eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff8d489ed261eed261ee7435839b48af7e3a8e
+5c3c64e5e5e5f1f1f1c4c4c49747abd263eed263eed263ee6430717b3a8b5a2b66bcbcbcffffff
+ededed89858db866eeb866eeb866ee7a459eba6befba6befba6bef5d3676804ba255316dd2d2d2
+d7d7d7f1f1f1f7f7f76f468ac077f0c078f06f478ac581f1c582f1c786f2895da7b27bd7cb8ff3
+ce98f4c592e8815e98d4a2f5dfb9f8b093c4b39ac3ebd2fbebd3fbebd3fb6a586f8b78935b5261
+f5f5f5cacacaf6f6f6899091b1e9f7b1e9f7bde9eaacae97d67571f18980f18b80f18b8079443e
+b1645be8867b9c9c9cffffffe9e9e9cccccc7f4027c26a548d665dffffffd7d7d7ffffff9e9e9e
+be5914565656d1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efd16ceed366eeaa6589643aeed366eed366eec866ee9c6489753aeed365eec665
+ee9d6589673aeed365eed265eeaa65ee9c6589783aeed365eeb765ee9c6589693aeed365eec665
+ee9c65e999638d7d3ceed365eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff959196e9e9e9fbfbfb865094d66fefd66fef7a3e89d262eecd60e8
+c75ee29a4ead693875a654bab5b0b6fcf6fefcf6fefcf6fe7e4b8ad164ecc65fe0753c837c458a
+7c448a7c468af3e7f8f3e7f8f7e9fd806a8eba6aefba6aefba6bef6c4089bd71f0b56de6be78ee
+67447e724e8b9462b5a880c2a18eaead96bc826496c581f1b677dfc581f1885aa6b27bd7c98bf3
+ca8ef3c590e8815e98cf98f4d4a2f5b092c4af92c2e3c2f9ead1fbebd3fb88708febbff5e0b6ea
+eec5f9646073a091b18a788ffafefffafefffafeffb3b5b6cf6c6cf17f7ef1867ff18b80935048
+c86054b1635ba39997fef3f2fef3f2cbc2c1b65935b45837643427ed7556e76e50ed7557934936
+f0eae6896d5ade6e23e46d2a8d4520e6955f8a7545f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efd06deed366eeb96589643aeed366eed366eec866ee9c6489753aeed365eed365
+ee9f6589673aeed365eed365eeae65ee9c6589783aeed365eebc65ee9c6589693aeed365eecb65
+ee9c65e999638d7d3ceed365eeae65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff7640838b419e886591efd5f6dfd0e3f4dafb8a748fdd87f2dd87f2
+c36dd8a062afb355ca7f3c8fbda3c4cac6cbe0d1e4f5dafb82598cdd89f2ca76df784784d468ef
+d468efd468efa953be5a2f6ba250b77e528be8cdfae8cdfae8cdfa75528cbd70f0bd71f0bd72f0
+6e448ac078f0c17af1c17af18c5badc583f2c583f2c583f2543966724e8b5e4072ccabe2c3a9d5
+b19cbfd2b3e7886e99dab0f7c197ddaf90c3af92c2dfbaf8e0bcf8e8cdfa88718feec3f9eec2f9
+eec2f9918e979bc3bd766c63fcf8e7cccbc9fcf8e7b4b1a5d28787f49c9cdb8383f4a09dae6860
+ef7466ef7567ef7567ef7567ef7567bf5e52c0a194f8d0bfd6bfb6f8cfc1683529ec6c4c93432f
+f3f3f38b6c5ae56120e75e23aa451ad5d5d58a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efd06deed366eeb96589643aeed366eed366eec866ee9c6489753aeed365eed365
+ee9f6589673aeed365eed365eeae65ee9c6589783aeed365eebc65ee9c6589693aeed365eecb65
+ee9c65e999638d7d3ceed365eeba65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff7b428ad262eed262eed262ee632e707c3a8d7b4987ffffffffffff
+eaeaeab9b9b9b355cad364eed364ee6732758e44a07c3b8c837b85d5d5d5efefef8b878cd468ef
+d468efd468efbb5cd3b25fd1b25bc8c56adc9e68ab765a888b5f966d527ba46cabd6a7f6d6a7f6
+6f468ac077f0c077f0c179f170478ac480f1c582f2c583f2724d8bca8bf3cb8ef3cb8ef3956cb0
+aa80c6cb97eec89ee5a085b3735d81ad8bc3b8a7c5ebd4fbebd4fbecd6fb88718feec3f9eec3f9
+eec2f98b8a96d9e2b4f4e299f4e299774c419f825faea16ddbdbdbffffffeaeaeaffffff8f7a78
+ee7163ef7466ef7567ef7567ef7567bf5e52c5c5c5ffffffffffffffffff622f1aab4e3793432f
+edccbdd6602ee75e23e75e23c24f1dbab1ae8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efce73eed366eeb96589643aeed366eed366eec866ee9c6489753aeed365eed365
+ee9f6589673aeed365eed365eeae65ee9c6589783aeed365eebc65ee9c6589693aeed365eecb65
+ee9c65e999638d7d3ceed365eeba65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff938e94e4e4e4f9f9f993789aeab5f7eab5f7eab5f7a666b7ce61ea844594ca9fd5a68dac
+d4a3e0a77db2c79bd2dba7e7cc97d87c458ad366eed065ebcf67e9743c827b428a55315ef4e7f8
+eae2ecf9e9fdc6b9c99254bac26cefce6def864597b16ae1b56de6b971ea653e7c70498a905bb3
+94899bf0e8f6eae4eef6ebfd7f688ec47ff1c47ff1c581f2724c8bc786f2c98af2cb8ef374528b
+ce94f4d19df5d29ef5ac80c5cb90da815d8bd8b6e0b6a5bac0abc5edccf58d8191f7e3fccdb9d2
+f3dff876828f9de2f2c9e2c5f1e29c8b564ade70706a4c3cded1d1fef1f1f3ececfef1f18f7572
+ee7163ee7163ee7365ef7567ef7567bf5e52c5c5c5ffffffffffffffffff823b1d89381a8e412e
+e9ae95f4b398f4b398f4b398ba7a5e8d6a5b8e836df8e7c0f8e7c0f8e7c0bca56fefc970efc970
+efc46fb99d57efd06deed366eeb96589643aeed366eed366eed366eea86489753aeed365eed365
+ee9f6589673aeed365eed365eeba65ee9c6589783aeed365eebc65ee9c6589693aeed365eecf65
+eea465e999638d7d3ceed365eeba65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff7843858e43a1896392edd1f4d1c7d3e9d3eff4d8fb86698edd8af2c26fd7a466b39447a7
+8c439e663173aaa6abddcde1f4d8fb825b8cde8df2de8df2c371d79b59abd469efd469efac55c2
+6734738c459d7e3e8eb5a2c2e9d0fae9d0fa97849eb26ae2bd71f0bd72f06d428ac077f0c078f0
+c078f08d58b066417f6f468a735588ddb5f7b39ac3ddb5f77b618dd5a4f5c190e1ce9eee7a5d8d
+cb8ff3cc92f3d19df58a68a1d194e0e6a5f6e6a6f6845e8db37bc1885f92a08da5eaddedd5ced7
+f8e6fc7d858fb4e9f799cedbc8e9e2855755f17b7bf17b7bf17b7bf17b7b783d3de977778c5554
+fad1cdebb492fad1cdc098949a4a3fbf5e52c5c5c5ffffffffffffffffff833b1dba46152b130c
+f3f3f3ffffffffffffffffff8181818c8c8c8e8e8effffffffffffffffff8e8266efc668efc668
+efbd6689743aeed366eed366eec96689643aeed366eed366eed366eea86489753aeed365eed365
+eeaf6589673aeed365eed365eec565ee9c6589783aeed365eecc65ee9c6589693aeed365eed365
+eeab65e999638d7d3ceed365eec065ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff7c458ad263eed263eed263ee70357f833e94aa50c0835f8dffffffecececbdbdbdb054c6
+d365eed365ee6933779046a37b3b8b817883d4d4d4ffffffececec8b788fd469efd469efac55c2
+a253b6c364dbb05ac5d27de8654a6b9a65a78b5599cba0e7d7aaf6d7aaf6704b6abf76f0bf77f0
+c078f08d58b0a369cac37ef1c37ef1c37ef1563869724a8c807b84d4d4d4f1f1f1fafafa897e90
+cb8ff3cb8ff3cc92f38967a1d08fdfe49ef4e6a5f6845e8de39cf4e39cf4e39cf4ac76b9547b8b
+b780c689738fffffffecececffffff8c5a5af17979f17a7af17b7bf17b7b7d3e3a964b478d5d5d
+ffffffe9d4a8ffffffccbab6c85c4170352cb96a56ef896fef896fef896f833114e34e1a76250e
+e26740d25d41b4775ff2b79d744835c3c3c3929292ffffffffffffffffff8e8266efc668efc668
+efc46889773beed366eed366eed16689643aeed366eed366eed366eea86489753aeed365eed365
+eeb76589673aeed365eed365eec565ee9c6589783aeed365eed365ee9d6589693aeed365eed365
+eeab65e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff918c93e6e6e6
+ffffff957c9cebb8f7ebb8f7ebb8f7a869b7d364eea14db6754681887e8bce9fdaab7eb6c49ace
+ebb9f7cd9bd96c377ad367efd166edd067ec763c857b408a7d418c8b5998f0e5f3f6e8facabdcd
+a252b6d56cefd56defd56defa155b5bd64d4794087e2abf0a18ca7c29dcc7a5365e2c1f8e2c1f8
+b493caa68eb6a368cac27cf1c37ef1c37ef1784b8bd984f0d984ef7b4c877f518b82528f8f689a
+f1e9f4f7ecfafaeefda49da7d08fdfe39cf4e49ef4835d8de39bf4e39bf4e39cf4b37dbd7fb9be
+7aa4ab776b6dfdfbf1f1f0eafdfbf18c5a58f17979f17979f17979f17a7ab55953e9716499554e
+f6b4aca87f67f6b4aca47873dfa99cc89a8fc5988df6beb0b36f5ee66d4f918784fefaf9fefaf9
+fefaf9c1bdbc351209d744206c3b2fa35839e66833e96837953f28df7a4e8b6f4defc668efc668
+efc66889773beed366eed366eed16689643aeed366eed366eed366eea86489753aeed365eed365
+eeb76589673aeed365eed365eec565ee9c6589783aeed365eed365ee9d6589693aeed365eed365
+eeab65e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff7946868f4ca1
+afa8b0fafafaffffffffffffffffff886f8ed364eed364ee9f4cb4ad53c39246a4683276d4b7db
+959096f3d6fa835d8ddf90f3df90f3df90f39a5aaad46aefd46aefd46aef9048a27f408fac56c2
+b9a0bff2d2faf2d2faf2d2fa7d488ad670f0d671f0d671f0944fa5a258b56d4477cbb7d0a8a8a8
+f3d9f9b4a0b8b186cdd29ff5d29ff5d2a0f4714a8bcc82f1db85f29b5fabde8af3de8bf3de8bf3
+955ea473487d955da3845391e2cee6f6e1fcf6e1fc8c7b90e39bf4e39bf4e39bf4be87c3a8c1a1
+f1dd89f2dd88f2dd8857432fc3b26d8e7c6ffbd6d6fbd6d6fbd6d6fbd6d68c5d58ee7366ef7568
+ef7568632b25af554c9f4e45e7e7e7ffffffffffffffffff69605eac5039918987ffffffffffff
+ffffffc0c0c06e200c641e0c8a584c8d6655e76431e95b35e95a369292928e8266efc668efc668
+efc66889773beed366eed366eed16689643aeed366eed366eed366eeb86589753aeed365eed365
+eeb76589673aeed365eed365eec965ee9f6589783aeed365eed365ee9d6589693aeed365eed365
+eeb165e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa35ab5d263ee
+b857d1d678ed7b4f8681528dd379ea7f508be5a4f5e5a4f5ad7cb9ad53c3d366eed366eed366ee
+5f2e6c9347a68c7b90ffffffffffffffffff8b7a90d469efd469efd46aefac56c2b65ccc743a82
+ca9fd5c8afceeec2f8eec2f87d468ad670f0d670f0d671f08a499ad875f0d875f0b864cda65db8
+7e468c9b56acd7b0e1c9b2ceefc8f9efc7f9714a8bc481f1c782f17a4c8bdc86f2dd8af3de8bf3
+b471c5d185e5c87fdbca80dde09cf2805f8886648f7d5a86efc5f9efc5f9efc5f9b595bd6fb4c5
+9dddddd1dda9f2dd88b05856b95f5ba87573f9c6c6dcb8b8ebbfbff9c6c68b5854ee7264ee7264
+ee7366863931a1453c88423be7e7e7ffffffffffffffffff8d6e668c39248b8685ffffffffffff
+ffffffc0c0c0aa31133b11076d4f48bea6a0e75a35e95a36e95a368a574a8e8266efc668efc668
+efc66889773beed366eed366eed16689643aeed366eed366eed366eec06589753aeed365eed365
+eeb76589673aeed365eed365eed365eea66589783aeed365eed365ee9d6589693aeed365eed365
+eec365e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff7efdefaf6edffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffe1e1e1ffffffffffff7d488ad263ee
+d263eed263ee9f4bb4d163ec7f3c8f7645829e85a4d8a1e6ae7fb9c19acbecbcf8d09fdbdaaae5
+a04fb5ba5ad2a769b6a78aae9e86a4d7a2e485648decbdf8ecbdf8be8fcaa181a9bf61d6d56cef
+d56cef5b2f667b40899a4fad99839ee6e0e8f3e7f6f9eafd876a8ed774f0d774f0a258b5b364c7
+d97af1d97af1d97af155315f7d478aa45db6988d9be4e0e6f9ecfd8a778fdc86f2dc86f2dd88f2
+955da3c87cdade8cf3de8df3de8df3a768b7db86f08d5999ecbbf8bd9fc5d8b0e2b38ebca5c4cb
+cbf0f99dc2cbdef0e68b4746f07676f07676f07676ab5454763636e26f6f8e6d6dfffdfdfffdfd
+fffdfd894942d95a4c652e28e8d5d3fdeae8fdeae8fdeae88d675ec44a2b84564af3a28ef3a38e
+f3a38eb77b6bc08b7ea98177512c23dd5634a93b20de4d29d54d2bac4c3465593eefc668efc668
+efc66889773beed366eed366eed36689793beed366eed366eed366eec06589753aeed365eed365
+eece6589673aeed365eed365eed365eea66589783aeed365eed365eeb46589693aeed365eed365
+eec365e999638d7d3ceed365eed365eeb165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff613e6a8f7595b7b7b7d2c3d6f2d2fa
+f2d2faf2d2fa84618dd364eed364eea34db79247a58a429b723681d1d1d1ffffffffffffffffff
+7a3e89d367efd467ef7a3b89c260db8a449b73477ebfaac4abaaabf3d4faa590aac986dae196f4
+e196f49651a7d670f0d670f0d670f06d397a814490974faa6d4e75f3d7fbe4b8bdb6a1bcb263c6
+d878f0d979f1d97af19857a8da7ef1da7ef1b96bcd673c728b5099684970f5dcfbf5dcfbf5dcfb
+a594a9c87cdade8af2de8bf2de8cf37f508bdd87f2dd87f2dd87f28b55985f7694935aa1d0d0d0
+ffffffffffffffffff8a4646f07575f07575f07676ab5454cc58589c46467c6464ffffffffffff
+ffffff8a4a43ec6354ed6556ed6556ed6657ed6657ed66578a5149f8cec3dcc3bdf8cec4b48b81
+c54d2eb04529c18d80e48d78dd7359dd7359794538da93815e4039ca8d7e91614ef1b892d6b08f
+f1b892897640eed366eed366eed36689793beed366eed366eed366eec06589753aeed365eed365
+eece6589673aeed365eed365eed365eea66589783aeed365eed365eeb46589693aeed365eed365
+eec365e999638d7d3ceed365eed365eeb265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffa45cb6cd60e8b455ccd576ed7a4d85
+9d5daed879f07f4f8be6a7f5e6a7f5c68bd4bb5ad3d065ebb558ccd375ea5c3f637f508bc974de
+84608de6a9f6e6a9f681588cd469efd469efd469efaf57c5aa56bf7a3e89974caab69cbdecbff7
+edc0f87d478ad670efd670efd670f0a256b5d773f0ba64d0c16bd66b4a7387558aa565b5c093cb
+e9b2f6e9b2f6e9b3f77d488ad97cf1da7df1b96bcd9e5caecd78e2c274d5e092f3654a6c93659e
+9662a3d5aadfecbdf8ecbdf8ecbdf884618ddd87f2dd87f2dd87f2b177acaad0b4878567ded4ac
+ccc7b0f8eec6f9efc78a4645f07676f07676f07676c86161dc5f5fea6565d86464ed7b7b734646
+f17d7d8c5a56f4a59df4a59df4a69dde90877f362eed66578c5c56ffffffffffffffffff9e9e9e
+7a2a15af4429d1d1d1ffffffffffffffffff2222228d402d8b7570854839dd4018de4018b23313
+ba87798a7b49eed366eed366eed36689793beed366eed366eed366eec86689773aeed365eed365
+eece6589673aeed365eed365eed365eea66589783aeed365eed365eeb46589693aeed365eed365
+eec365e999638d7d3ceed365eed365eeb265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffdededeffffffffffff7d4a8ad263eed263eed263ee864098
+b455cb7f3c90885893e4dee5f8e7fcbfb2c2a952bfd366eed366eed366eea04eb4d467ef8a439b
+76587eb48fbee1a5f085638dedc0f8edc0f8bf92caa485acbb5ed2d56cefd56cef763c857b3f8a
+b25ac78e8591ffffffffffffffffff89738fd772f0d773f0d773f07b438ace70e67d448bd69de3
+a88daf9c86a1d5a5e189728fefc8f9efc8f99d7ca69e5baeda7ef1db7ff1db80f17d498aca76df
+7f4a8cdfabeca28ba7bb9ac3e7b4f4886d8ef1ccfac29ecbf1ccfa97809ca9ceb1ebda83f1da7d
+7f6c418b4d43d0b96b92918fffffffffffffffffffb6b6b6cd5858ee6767ef6868ea6666522420
+c55655918282ffffffffffffffffffcccccc933429aa473c8c5c56ffffffffffffffffff9e9e9e
+d2431f561e10d1d1d1ffffffffffffffffff7123105e433d706663bc573ede4018de4018d03c16
+8c584a867a48eed366eed366eed36689793beed366eed366eed366eed36689793aeed365eed365
+eece6589673aeed365eed365eed365eebd6589783aeed365eed365eeb46589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eeb265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff64416da092a3ebebebdccedff3d4faf3d4faf3d4fa9e6fa9
+d364eed364eea64fbb6d357b7b3b8b723680c3abc9f3d5faf3d5faf3d5fa7a3f89d367efd467ef
+7a3b89ab55c17f3e8f64446cffffffffffffffffffb1b1b1bb5ed2d56befd56cef7a3e89d56eef
+9e51b19c7aa49c909fc9beccf2d3fa886d8ee39cf5e39cf5e39df57e4b8bd775f0d876f0d876f0
+7c448ac86fdf8f4f9fa688adc2aec8beb2c1cfb6d5a677b1e5a5f5e5a5f5e5a5f57e4d8bda7ff1
+db80f1db80f17d498aac62be8e529c6d5673ffffffffffffffffffa0a0a076cee492dadcc5daa9
+897248f07171ab5c52d79a9afad5d58f8989fad4d4b39898d17f7ff39494f39494ee91918d3e35
+b14e44857d7cffffffffffffffffffccccccb54033c346384d3634f9cdc8cb9e99f9cdc89b7f7c
+e37a60ab6b5bdfdfdfa7a7a7e2bebaf8c4be8346379f6354895041ea8b7acf8777ea917a754135
+6a3e35726f61faf3d5faf3d5faf3d58d8565eed366eed366eed366eed36689793aeed365eed365
+eece6589673aeed365eed365eed365eebd6589783aeed365eed365eeb46589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eec365ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffa45fb6c25cdc8d4f9ddfaeebc2a6c9e8b8f4ebbaf7825a8c
+d467eed467eeba5bd1b95ad1d165ecb859d0d273ea5b3d62b869cbd879ef8e8391f9ecfdfaecfd
+835b8cd469efd469efbe60d6a461b472497d8d569a9454a4dcd0dffaecfdd7c9da827785d56eef
+d56eefd56eef9c51afa456b8814391a867b9c9add1e5bbf0edbff880528bd777eed878f0d878f0
+7c458ad877f0d878f0d878f09b56ad864a94693b75b8b8b8ffffffffffffffffff81588cda7ff1
+da7ff1db80f1a55fb6da7cf1cd74e2c573d9df8cf34b5565bc7acd8c5898e2edf0d4e0e3dae6e9
+8f817cf07171f07272f07272f072727d3737984646aa5151dbdbdbfffffffffffffbfafab65146
+ed6a5be16e61ef7e71aa5f56af6057bf645ac3b5b3fae9e7b7b3b2fceae869302ae9574692372c
+f3f3f3ffffffffffff81787750130dd63523895d58da5c4ed5311dd9301d6c170dcb766a854037
+931e119a524af2a198f2a198f1a39a8a6850eed366eed366eed366eed36689793aeed365eed365
+eed26589773aeed365eed365eed365eebd6589783aeed365eed365eec96589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eec965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff7e4c8bd263eed264eed264ee6932777c3b8cab52c281588c
+ffffffffffffc8c8c8a650bbd366eed366eed366ee88429a9a4bae7a3b8a99859ee8deebf8e5fc
+89748fd469efd469efd469ef964aaab85ccfc764e07f408ed699e586778adda2eb84618deec4f9
+eec4f9c096ca845f8dd670f0d670f0d670f0874798763e849f53b3847388e9d4a8ffffffffffff
+8e8290d877f0d877f0d878f09b56adb967cecc71e2cc93dae6aef49e86a4dfaaec89718ff0cbf9
+cca8d6e5c0ef86658dda7cf1da7cf1da7cf1da7cf166858874969b604451f1eddcebe9dffcf8e8
+8f8078f07171f07171f07171f07272893d3de261616f3232dfc8c8ebdedefce5e5f7e0e08d3e35
+ed6859ed695aed6a5b9e473d80332bae4f44c5c5c5ffffffffffffffffff7f332b9635298a342a
+f3f3f3ffffffffffff907b79b52b1b7d1f14918f8effffffffffffffffff70504d4b1009823b33
+f7c1bbf4aaa2f4aaa2c37971693c378b5f52f8edc1f8edc1f8edc1f8edc1897b41eed365eed365
+eed36589793aeed365eed365eed365eebd6589783aeed365eed365eecc6589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eec965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff8b8b8bddddddffffffa785afe094f3e094f3e095f37e4c8bd364eea04cb5573060
+969696cfbed3bda2c4b177c0e196f3e196f3e196f39149a4d367efd367efd367ef62306f8c459f
+7c4989f4d8fbf4d8fbf4d8fbad9ab2b75ccfd56befd56befcf68e9763c8583429356305fffffff
+ffffffffffff8a758fd670f0d670f0d670f0874798ca6be2b25fc79870a2917368aeaeaee6cced
+89738fe4a2f5e4a2f5e4a2f5a475b0b967cdd979f1d979f1d577ed5f35698d4f9d867f88ffffff
+ffffffffffff8b7990da7cf1da7cf1da7cf1da7cf1798d83d2d894f0d876f0d876715e37bda45c
+8b7c4ffbdadafbdadafbdadafbdada8b4d4def6868ef6868ef6868793434b34d4dea666695817f
+fad8d4eab894fad8d4a7908ed353467b322ac5c5c5ffffffffffffffffff87362dc43f2f531e18
+ecbdb8cba6a2b8a4a28d6965ef76698e2c21aa736cf7c0bad8b8b5ffffff8b5650cb2c1b5e342f
+ffffffffffffffffffadadad6b1d14473533ffffffffffffffffffffffff8a7c45eed365eed365
+eed36589793aeed365eed365eed365eecd6589793aeed365eed365eecc6589693aeed365eed365
+eed365e9b1638d7d3ceed365eed365eec965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff754a809a5aaaafacb0f6f6f6ffffffffffffffffff8a768fd364eed364eebb59d3
+a64fbb9b4aaf9a4aaece9bdabda2c3e8b6f4ebb8f77b428ad56df0d56df0d56df0a050b5c15ed9
+7f478ed0acd9b29db8e8b7f4a783b0b961cfd671f0d671f0d36feca454b8d56defc163d9b66bc8
+674371a763b8815e89fbeffdf6ebf9ccc1cf9f97a0ca6be2d772f0d772f0794087bf67d6874997
+a660b7d2b0dad6b2dfecbef8aa89b2ba6bced97df1da7df1d87cefa55cb8d174e8cd78e3ba74cb
+674570845690816089fbf1fdf7edf9cdc2cffbf1fd4d7e8b79d8edadd8b9e9d87d896242bc5b57
+5c523bfffffffbfbfbffffffffffff8c5353ef6767ef6767ef6868893a3aa54141cc5959989898
+ffffffe9d4a8ffffffccb8b6df594be75e4fe86b5ee06c5f9f5149ee7164907f7dfdebe9bfbcbb
+f6e6e4beb1b05f1e17853f37fffffffdedebfce9e7fce9e7342625bb43358b5a54fce9e6c4bbbb
+fffffff8f8f86c2e279b3125e1d1d0bababaffffffffffff867674d14e3f90837cfdfaeefdfaee
+fdfaee8e8668eed365eed365eed365eed36589793aeed365eed365eecc6589693aeed365eed365
+eed365e9b8638d7d3ceed365eed365eece65eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff7f4f8bd264eeba58d24a24538a768fb087bacf96dd84628deec3f8eec3f8bf9cc7
+a34eb8d365eed365eed365ee4f2659874199bb59d3908b91ffffffffffffffffff876b8ed468ef
+d468efa451b9974caa7d3e8d62306edac7dfe7dbeaf7e3fcf0ddf580418fd56cefd56cefad58c2
+a354b6ae59c29758a6e6a6f55a4a5ed89fe692699be1bceaefc8f9efc8f97a4f59d773f0d774f0
+d774f09e55b06e3c7b8246928f4da0dadadafffffffffffffbfbfb80478ed878f0d878f0b162c5
+a359b5d474ec975ba6e7abf653535fd9a3e6e7abf676858fcaf0f9caf0f9cef0f58c6a5eef6f6f
+c86363f5a7a7644c4ccd9494f5a7a78e6c6cf9c4c4f9c4c4f9c4c4a06868ed5d5d973d3da88e8e
+fce1e1d7b693fce1e1a89696d65447ec5d4eec5f50dc594b511e19ce5447918887ffffffffffff
+ffffffc0c0c09b2f23492b28ffffffffffffffffffffffff8940385b160f8c5a55ffffffffffff
+fffffff8f8f86a1e155b140de5e5e5ffffffffffffffffff8e6d6a902d22868281ffffffffffff
+ffffff8e886eeed365eed365eed365eed36589793aeed365eed365eecd65896c3aeed365eed365
+eed365e9b8638d7d3ceed365eed365eed365eea965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff7f4f8bd263eed264ee783989d364eead52c3b857cfa253b5825e8ad786ebb26ec2
+ae76bce298f4e298f4e298f4a051b5c761e2b357cbc370d8886292d185e4de8cf380548ce29af4
+e29af4b277c1bc5ed4d46aefd46aefd269ec472450884499c663df938497f5dcfbf5dcfbc7b2cc
+a254b6d56eefd66eefd66eef773e85894799562c60f0f0f0ffffffffffff78583ad773f0d773f0
+d773f0b662cbc369dad070e8b964cfd78cea7d6084e195f4dd93ef876191e5a5f5e5a5f5bc87c9
+a359b5d876f0d876f0d876f0486f8664769faa5dbd908991ffffffffffffffffff8e6f6fef6e6e
+ef6f6fef6f6f893c3cb14d4dae5050907c7cffffffffffffffffffa88383ed5e5eee5e5eee5f5f
+ee5f5f5a2323cf53539f3f3fe3c4c0fad8d4fad8d4e9c9c68b3329983b318c8686ffffffffffff
+ffffffc0c0c0bf3a2b703730ffffffffffffffffffffffff894038b731225a4e4dffffffffffff
+fffffffbf8f8b33224be3526e7685bcc655aa35a52ee6f6189453ddd8277d7948df6b3abb28883
+c46a5f8a5e48f4e298f4e298f4e298f4e29889793beed365eed365eed36589793aeed365eed365
+eed365e9b8638d7d3ceed365eed365eed365eea965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffc5c0c6fbf0fdfbf0fd8f8791d364eed364eed364eeac52c29145a3803d90823e93
+c5c5c5f9f9f9ffffffffffff7c458ad366eed367efd367ef743984864298823f937d5d86fdfdfd
+ffffffb9b9b9b45acbd46aefd46aefd369eda252b6c664dfa955bea47aaea796abeab7f6be95c9
+a45ab7d776f0d776f0d876f0a254b5d66fefc667ddd87bef72467c9d5dad7e4f83fbf2fefbf2fe
+cdc4cfb8b2bab461c9d774f0d774f0d774f06536717b428a9b54ad979797fbfbfbfdfdfdd1d1d1
+a359b5d876f0d876f0d876f0909a83acd2ae99a580b8aa7bded4afd6cdabf7ebba8c6b5bf07676
+f07676f07676893e3eef6767ca5858ae6b6bf7b6b6c3a0a0f6b6b68c5c5cee6666ee6666ee6666
+ee6767873232a73d3d813333e7e7e7f9f9f9fffffff4f0f0bb4638bf473ab56e66f5afa7cb9f9a
+ebaba4b9847ec04335e15141ec6354ec645465302ae759498e726ffaecebc0c0c0ffffff897d7b
+a23e33e24d3d988f8edacac8f2e2e0cdc0bf882c21b032248a4d46ffffffffffffffffffa1a1a1
+a0392d6f4d4afffffffffffff9f9f9ffffff897a3eeed365eed365eed36589793aeed365eed365
+eed365e9c3638d7d3ceed365eed365eed365eea965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff918f92d364eed364eed364eeac52c2a04cb4d365eea24db7
+ce89df59475ec28ecfe39ef4886f8eefc6f9efc6f9efc6f9825b8cd468efcb64e562306f866a8d
+d197e0a574b2cba9d3efc8f9efc8f9ecc5f67d3f8cd56befd56befb058c58644967d3f8d8a459b
+c3c3c3ffffffffffffffffff7e4a8ad66fefd66fefd66fef8d4a9eb860ce663f70f7e2fcd3d0d4
+f6e2fbb5a6b9b461c9d774f0d774f0d774f07c428ad773f0b360c8bf80cf9e73a9927599bd89c9
+b59abcf0ccf9f0ccf9f0ccf94f7a87acd6b5e0d681f0d671baa658783636ab8c508d8563ffffff
+ffffffffffff8c5555ef6767ef6868ef6868ef68686f2f2fa245458c5353ffffffffffffffffff
+ffffff8a4444ed5656aa3e3eeb8d8d825252e99292e38b8b9f7b78f8c0baf8c1bbf8c1bb9a7874
+8b3328a23d31d1d1d1ffffffffffffffffff7b2a21912e228f7774ffffffffffffffffff8f7572
+ce3f2f992a1e9a9a9affffffffffffcececeb33a2cbf3e2f79423cfbdbd7f7dad6ead6d39e8a88
+de4f3fed6454f29489f294897f514bea91878e8670f9efc6f9efc6f9efc68c8156eed365eed365
+eed365e9cf638d7d3ceed365eed365eed365eeae65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffe6e6e6f5dcfbf5dcfbf5dcfbc8b4cda04cb4d365eed365ee
+d365ee7639859a4bae7f3d8f8b868cffffffffffffffffff886d8ed468efd468ef9d4db19d4eb1
+8d469f5f2f6bd8d8d8fffffffffffffcfcfc7d3f8cd56befd56befb058c59f51b3d36beda554b9
+d17fe574577bc37fd4de8df3835b8ce4a1f5e4a1f5e4a1f5945ca2d670f0d670f0d670f0683674
+854695864696cebcd3f6e0fcf6e0fcf6dffb7c428ad773f0d773f0d773f0944fa5a658ba6c3a79
+c0c0c0ffffffffffffffffff4d7e8b71d6f07bd6e6a9d6b8c1b071d36060d86462d9726af38d8d
+805959f38d8d8c5757f59c9cf59c9cf59c9cf59c9c8a4848d65656613f3fffffffffffffffffff
+ffffff8a4343ed5555ed5656ed57577d2f2d993a36d64f4fa4a4a4ffffffffffffffffff9e9e9e
+da4d3d752a21d1d1d1ffffffffffffffffff862e24b73a2c807371ffffffffffffffffffb9827b
+e94735d14030d75a4cee70627e4e49c05b50b96a61f18a7ff18a7ff18a7fdf80754a1812943025
+ecccc9fbd9d5fbd9d5fbd9d57e575396382d908d8dffffffffffffffffff8d8667eed365eed365
+eed365e9cf638d7d3ceed365eed365eed365eec165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffe7e7e7ddd7dffcf3fee6dde8
+e3dae57c468ad366eecd63e7723c807c478a9954aacf6ee784618dfcf3fefcf3fe8c868db158c7
+d469efc863e2d472ed5032587d488abc67d1908c92f7eff9f9f1fba59ea69f51b3d56cefd56cef
+d56cef723a80964ca8954ca7948a97f7f7f7ffffffffffff89718fd670f0d670f0d670f07b408a
+cd6be68d4a9fd6a3e3bb9fc3e0b2ebeab8f77d488bda7df1da7df1da7df1b265c6c86ae0cc6ce5
+d477ecd077e7513b5ebc6fd28a8691f4fcfef4fcfec6cdcfc1c3c0bf5656ef6c6cef6c6cef6c6c
+7633339f47478d7878ffffffffffffffffffffffffb97676ee6161e66060ef6d6dea6b6b693636
+eb6b6b907c7cfef2f2d9cecef3e8e88e6d6ae65b4d7e2f2da4a4a4fffffff7f7f7ffffff9e9e9e
+df4f3fe65241e95e4e853c349b443aed6152918887fdf1f0c8c6c6ffffffbababa9d3f358a4b44
+fdf1effaeeecd2c6c4fdf1ef7838316a2018c3c3c3ffffffffffffffffffececec7a2b22551c16
+f0f0f0fbfbfbfcfcfcffffff8d6964e45747e45e4fed675893443cb852488d655efefcf3fefcf3
+fefcf3f9f7ee8d7d3ceed365eed365eed365eec165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff81578cdd87f2dd87f2663373d367efb759cf803e916c4e74dad0dcf5defcb6a4bab973ca
+dd8af2ce7ae3d581ea7a3d89d46aef9349a59a60a8645469c590d2bc83cab398baf0cbf9f0cbf9
+f0cbf97d478ad56defba5fd1d784eb6f5276997ba1ba8bc586668ef0ccfae2b0c2f0ccfa7f508b
+d670f0d670f0d670f0713b7e864696b45eca939393ffffffffffffffffffb0b0b0bd64d4d671f0
+d671f0ce6ee669978c768a8c9c9481f1ecdadad8d0fcf6dfc3bfadc27070f28c8cdb7474f28c8c
+9f4646d95e5e966e6efcdedeedd8d8f3dadafcdede8d6565f28383da6b6bf28383ec80807f3030
+9c3e3e8b7f7fffffffffffffffffff8e726fec5f4fc24e42d2786ef3998e4a3d3cf3998e975f58
+ecb8b3f8c2bcf8c2bc8d635eac3d31c54638928f8fffffffffffffffffffb4b4b4a5372a4b3431
+ffffffffffffffffffffffff883f37a3362bccaaa6fad8d5e5d1cffad8d5e8c8c59b4e45bc594e
+eeada6bc8b85865f5bda887f8c605bf8c4bef8c4bef8c4bea67a77b83e3d845351fbd8d8fbd8d8
+e5d1d1f6d4d48f8350f2dd87f2dd87f2dd87dfbc74ba7a4fc48153ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffe8e8e8ffffffffffff786f7ad367efd367efd367ef9f4eb5773a868e45a19c4cb1d5d5d5
+fffffff0f0f0f7f7f77a3d89d46aefd46aefb259c99b4eaf984dac6a3577bfbfbfffffffffffff
+ffffff7e4c8bd56defd56defd56defa153b5c566ddac59c2c46bdb73557bb470b7de8cf2825a8c
+e5a4f5e5a4f5e5a4f5a86cb8d670f0c366dbc877ddac74bb865f90df8ef39962a7cb92d9e5a5f5
+e5a5f5dc9feb739682e4d679efd66ebda95782423a977445b9a655ccccccffffffe8e8e8ffffff
+9f4a4aef6767ef6767ef6767ae4b4b7a3434ee67678e6767ffffffe8e8e8fffffffbfafab64646
+dd5555d46161ce70709f5e5ef17d7d8b4d4bf3998ff3998ff3998ff39a906a2d26a54237933c32
+f3f3f3ffffffffffff907f7dea5342ac3d31908f8fffffffffffffffffffd2bebcd74838c24639
+ee7365e97164804e49ee73658a4f48f28f84f28f84f28f84753e38b03b2ed94838a5a5a5ebebeb
+fcfcfcc3c3c3ac4135a03c3070514effffffffffffffffffaa9c9cea4d4dec4e4eec4e4eec4e4e
+692323b63c3c979797ffffffffffffffffffeeeeeecacacabebbb98f7e728f7e72917868976340
+976340d08858ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff98909ad774f0d774f0d774f0b863cebe5dd6bf5ed7763a85d49de2
+b096b7e3aff1e9b2f77c448ad877f0d877f0b564ca9b4eafd46befcc67e6d370ec5834618a4d99
+ca6ee28d8190fcf6fefcf6fecec8d0886f8ed56eefd56eefd56eef7a3f899f52b37a3f897b717e
+f6f6f6ffffffffffff8d7f90d670f0d670f0d670f0974fa9ad59c27b4089793f88e4e3e4f6f6f6
+fffffff3f3f344859574d6e9acd6b1b4a960bb5353e1656486413cde9a9ac19b9bf0b0b0f7b3b3
+8a4545f07474f07474f07474af5555c34f4f953f3f886464fffffff6f6f6fffffff9f9f98d3535
+ed5959ed5a5ac14a4a8c3232b043438c5555ffffffffffffffffffffffff883f36ce50424b1e19
+f3f3f3fafafafbfbfb907f7dea5342ea5342e55747eb5e4e632d28b84b3fa64237dcd3d3cfc6c5
+fef4f3f6edec752921a0362b8e7f7effffffffffffffffff8e6f6cc145389e352aa5a5a5ffffff
+f6f6f6c3c3c3bf483ae95848e15748ec6353823a339a423b8a3a31fbf1f1cfc6c6fef4f4fef4f4
+b76a6ab93f3fc37373f5a6a6f5a6a6f5a6a6cd9898f2f2f2fffffffffffffffffffcfcfcefefef
+efefefb2afac918c899188836e503bd4d4d4ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc1c1c1ad55c4d468efd468efd468ef
+52285c7f3f8fb157c8929292ffffffffffffd7d7d79b4eafd46befd46befd46bef7a3d89c764e0
+864497977b9ed6cdd8ead7eff5dcfb886e8edf90f3df90f3c576d97c468ad56eefd56eefbc72cf
+785680a57faedb9beb84628df1cefaf1cefaf1cefaaa91b0b960d0d56eefb65ecce29af46e577a
+b28fc3d898e980969bcef1facef1faa2bec5bb5353ef6b6bef6b6bef6b6b813a3a9b4444e56666
+928d8dffffffffffffffffffbababac95252e35d5db65a5af296965a4242e59191ee9494947676
+f9c7c7f9c7c7cba2a2b340409c3838774d4dffffffffffffffffffffffff883f36eb5b4bab4337
+ee8f85b76f6786605b8a5954f8c5bff8c5bff8c5bff8c5bf89413996352b96352addddddffffff
+fffffff9f8f8a3392ed0493b9d736efad7d3e8d0cef5d5d18d6864f07c70c36960c3837cf6b6af
+493c3bb86c64c9a19cf8c7c1f8c7c1f8c7c18d6361af3a3962251efcfcfcffffffffffffffffff
+8d5e5eec5151ec5151ec5151ec5151ec51519e3636e6e6e6ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffd8d8d8cd96dae4a2f5e4a2f5e4a2f5
+a050b5d469efc360dbaf65c16e4f76d180e6b971cca778b3e4a3f5e4a3f5e4a3f57c438ad56bef
+d56befd56bef723980894599ac57c1835e8dffffffffffffeaeaea825b8cd56eefd56eefd56eef
+7a3f89b95ecf8645977f528affffffffffffffffffb3b3b3b960d0d56eefd56eefd56eef675289
+5b9fba6353879e9e9edededef7f7f7c9c9c9bb5353ef6a6aef6a6aef6b6b893d3de36161974242
+8e8b8bffffffd6d6d6ffffffbababac95252ee6161ee6161ec61618333339b3d3db74b4b989898
+ffffffffffffd0d0d0b34040ea5555c94f4ff07777e37272ac5e5ef077778b5651f39a90f39a90
+f39a90b7746d87342a5e3732ffffffffffffffffffffffff8a4a43e452426f2820ddddddffffff
+d6d6d6f9f8f89f382dea5242ea5242ea52429b362c852f268b534dfffffffbfbfbeeeeeeffffff
+6c322b6b2720cfcfcfffffffffffffffffff907d7dec4d4dc64141ef6f6ff06f6f9e5555f06f6f
+8b4b4bf39393f39393f39393f39393c85e5e9e3636e6e6e6ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+7a3f89d469efd469efb65acd954aa88542956a3477bdb2c0f1ebf3fbf0fdfbf0fd7e4b8bd56bef
+d56befd56befa151b5d26aeba352b78e559dbf9cc8cfa4dae9b1f780528bd778e8d97df1d97df1
+a35ab5d56defd16beb864c94e9b2f7928595e0adeca47dadbd6dd1d97df1d97df1d97df1735780
+b6d5a5e5d06eebd36e9e8d4ba69050bdaa5bc7c3c3fef8f8fef8f8fef8f8908181ef6767eb6565
+ea6969f06e6e602c2cb75555af5050d7d2d2fef8f8fef8f8fdf6f6b44646ea5b5bba4949c57979
+ce9a9adda0a0c88a8ab54d4dee6666ee6666ee6666de6060571e1ecd4a4a918888ffffffffffff
+ffffffd9cac8d35142b84f43f4a89ff4a89fb5908bf4a89f89443ded6657ea6456ec6c5eee6d60
+692e28cf5144999594fef7f7fef7f7fef7f7b0a7a6a33c31704642fdeeecfdeeecf3eae9fdeeec
+b34540cc473fde8a88f4a09fd59595d595958b5353ee5f5fee5f5fee5f5fee5f5f923a3a973232
+975f5ffdededfdededfdededfcededdcdbdb5e3d3de6e6e6ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+d4c1d9f1cefaf1cefacfb1d6984babd469efd469efd469ef51285b994cadd469ef876c8ef1cffa
+f1cffaf1cffa85628dd56befd56cefd56cef874497864396934aa5807184e9d4a8ffffffffffff
+8d8190d56defd56defd56defd56def7a3e8989469a703a7edededeffffffffffffffffff788b8f
+6cd5ef95d5c6d5d5869d8c47b3514f7e6739c8c8c8ffffffffffffffffff918484ee6666ee6666
+ef6767ef6767893939c14f4f763232d8d8d8fffffffffffffdfdfd8a3636ed5c5ced5d5ded5d5d
+a23f3f853232aa4343c2c2c2fffffffffffffffffff2efefad3c3ca73a3aa17878fad4d4e4cccc
+f7d3d3bda0a0c56c61d5685bf08377f0837752201bbc483b8f7a77ffffffffffffffffffffffff
+8c5f59802e269a9a9affffffffffffffffffc2b2b0dd5242eb5746eb5746eb574664251eca4b3c
+8e6d69f9c9c4f9c9c4f9c7c4ba93937a27276d3737ffffffffffffffffffffffffb39d9dec5050
+ec5050ec5050ec5050ec5050e44d4d9b9b9be4e4e4f7f7f7ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffdadada984babd469efd469efd469ef7a3d89b45acb7c3d8b857e87d4d4d4
+ffffffffffff8a748fd56befd56befd56befa855bdce67e7bc5fd3c169d6d97de27c5586ce7ee1
+80508be6a7f5e6a7f5e6a7f5e6a7f57d478acf69e9af59c5d780ec84598ea268b0dc86f2755e8b
+a6e6f5a6e6f5abe6f1a0a6a2e36464d45d5de87a7af28383885555df7b7b8b4e4ef5a3a3f5a3a3
+f5a3a3f5a3a38a4343ee6363d15757ea7878905656d67373ef7e7e8e5b5bf49d9df49d9df49d9d
+a76b6bd24e4e863232c2c2c2ffffffd4d4d4fffffff0eeeea63939ec5151ec5252ec5252933333
+8e3131b23e3ed1d1d1ecececffffffffffff82342c9a3b31817473ffffffffffffffffffffffff
+b76e66d85040dd6355ef7567744742ef75679e4d44de8c83f39a90f39a90f39a9080444095332e
+8c8786ffffffffffffffffffbfbfbfc33f3fc94545ef6c6cef6c6c904d4dd46363893e3ef49696
+f49696f49696f49696c65555e44d4d9b9b9bffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffefefefcfafdfefbfffefbfffefbff7f4e8bd46aefd269edd16aec693776
+7b418ab85fce835c8cfefbfffefbfffefbffa19fa1c865e1d56befd56befd56bef793d8789459a
+72487cffffffffffffffffffffffff80538bd56cefd56cefd56cef77598b6bb3bb68647d8f6788
+fdfaedf1efe8fdfaeda6a49cdb6060ef6969ef6969ef69699340409c4343653838fdededf2e8e8
+fcececfdeded8b5050ee6262ee6262ee6363883838a44141d25757949494ffffffffffffffffff
+aeaeaed34f4fec5858ec5c5cee5e5e742e2ecb5151dd5757a3a1a1fefafafefafafefafaa99f9f
+d547476d2525d4c2c2f1e6e6fdeaeafdeaeab2403be95249c0615ef49d9ccf9191d79393f49c9c
+8a4a46ed6b5ced6b5ced6b5c80322a95382d95372ce9e9e9ffffffffffffffffffb97878e94949
+c26666f49c9cf49c9cb28787b67575c55050ee6161ee6161ee62628735359b3434752727ffffff
+ffffffffffffffffffdad8d8a44a4a9b9b9bffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff84618ddf92f3df92f3c375d67e4c8b
+d46aef974caa774f81f4d7fbc3bfc4f4d7fb9a889fd38ae5e092f3c375d6da87dc9656a6d56bef
+7a4886f4d8fbc4c0c5f3d7faf4d8fb835e8de093f3cc7fdfd78aea9d7b89d7d482efd46aefd46a
+efd46a5b4428d7bf5f9d8b46e5bfbffad1d1fad1d1fad1d1ac6d6dee6666ee6666ee6666923e3e
+9f4444ee66668d6565facfcffacfcffacfcf8e6767ee5e5ea24141ac8686fad4d4c4bfbffad4d4
+ab9191d77676e57878e17474f285858a4343ab3e3eba4646a4a4a4ffffffffffffffffffbaa8a8
+e44d4dec5050ec50507c2a2ab23c3cec50508f7370f9ccc7f9ccc7f9c9c7b08d8d812929d14242
+8d6262ffffffffffffffffff89423ddd5045752824e9bebeedcbcbd1c2c2facfcf8d6464f07a7a
+d35d5df07a7af07a7a5e2020752525d3d3d3ffffffffffffffffff907a7ad748486d2525fad0d0
+fad0d0fad0d0fad0d0e1d6d6a6a6a69b9b9bffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffeeeeeeffffffffffffeeeeee8a768f
+d46aefd46aefd46aefd46aef6532718f47a1864397f0f0f0ffffffeeeeeee9d4a896759fd56bef
+d56befd56bef6c36797b3e8a964ba88c7d90fffffff3f3f3fafafa7a8b9071d4e899d4c0d9d480
+efd46a87463ba25a4786773ceaeaeaffffffffffffffffff8e7070ee6666ee6666ee6666923e3e
+ca5353a446468f7878ffffffffffffffffff907c7cee5e5eee5f5fee5f5fee5f5f762e2e9b3d3d
+a24141e3e3e3f7f7f7f5f5f5ffffff8f7070ed5555782c2ca4a4a4ffffffd2d2d2ffffff9e9e9e
+e14b4bec4f4fec5050872e2ea83838cb4545928f8fffffffffffffffffffb4b4b4cb4141a13333
+735a5affffffd2d2d2ffffff89433deb5649eb5149eb4f49ba3a3a842a2aba3a3a8b5252ffffff
+eeeeeeffffffffffff883434752626d3d3d3ffffffe3e3e3eeeeee907a7aec4f4fec4f4fec4f4f
+ec4f4fec4f4fec4f4f8d6565fefefeefefefffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8a768f
+d46aefd46aefd46aefd46aefa050b5bf5fd7793c88e0a5efad8fb5e1a9f0dd98d086678eedbef8
+be90caedbef87e4a8bd46aefb95cd0a76cb6a48daeb598c2e3aaf27e6d8dbeecf8beecf890bec9
+eaecccb55c57ee68689f4645eda1a1a78888d29b9bf6aaaa8d6666f8bcbcc98e8ef8bcbcbf8383
+e96060d35757b36565f5a7a7b48c8cf0a5a58d6262f8b8b8f7b8b8ca8b8bf8b9b9894040db5454
+672828e5d1d1f7e7e7f5e6e6fde9e98e6868ed5555ec5555ec5757ed5858541f1fbd4646933737
+f3f1f1fffdfdfffdfd907d7deb4e4e9733339c8686fce7e7efe3e3fce7e7b3a4a4cc4141eb4b4b
+e94b4beb4d4d642121ac3939907f7ffffdfdfffdfdfffdfdcac9c9b83b3bb83b3b754646fce7e7
+fae6e6f2e3e3fce7e7883333eb4d4dec4f4fec4f4fad3a3a6423238a4545fffdfdfffdfdfffdfd
+fffdfdcecacab63d3d8d6565ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffddd7de
+f2d4faf2d4faf2d4faf2d4fa7c458ad46aefd46aefd46aef6b35797f3f8fb75bce84628dffffff
+ffffffffffff81558cd46aefd46aefd46aef694d8952a7bd745c9d684970ffffffffffffffffff
+ffffff8b4b4bef6868ef6868ef6868893b3bac49499a4343755454ffffffffffffffffff9c9c9c
+e55e5eee6262ee6363ee63637630309c40408a4e4effffffffffffffffffffffff8a4949ed5b5b
+ed5b5bed5b5bc14a4a732c2ce759598b4b4bfacdcdfacdcdfacdcdfacece883737b74141632424
+f3f3f3ffffffffffff907e7eec4e4eec4f4fec4f4fec4f4f5d1f1fcf4545a73838d8afaff9cbcb
+f9cbcbf9cbcb8d5e5eae3838867c7cffffffffffffffffffcacacab83b3bec4c4cec4c4cec4c4c
+d74545802929ec4c4c8f6f6ff9cbcbf9cbcbf9cbcbb79595aa3a3a5e3636ffffffffffffffffff
+fffffffefefea27c7c7c5f5fffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff7d498bd46befd46befd46bef7a3d89d469ef974baa67546dd0d0d0
+fefefffffeff81558cd46befd46befd46bef9e7393cbd48cd5c66cd3bc5ff1da7e6b6343c9b66c
+f1da7e8d665df6a9a9f6a9a9f6a9a9b76565ee6565dd5e5ed45f5ff07b7b6e4444f07b7b934b4b
+ec9f9ff5a5a5f5a5a5f5a6a68b4c4ce05959603c3cfffefefefefed1d1d1fffefe8a4949ed5c5c
+ed5c5ced5c5cc14b4ba93f3f9438388b5555ffffffffffffffffffffffffb34a4aec5454d14a4a
+ed6b6b804545dc66668a4444f49a9af49a9af49a9af49a9a893939a437378a2e2eddddddffffff
+ffffffffffffba8181ec4c4cdf5353ef6666ef66666e3c3cbd5151be7777f49999f49999f49999
+de8b8b762727ae3838918b8bffffffffffffffffffd6c4c4d74949de4f4fef6969ef6969ef6969
+ef6969a08f8ff9f9f9b7b7b7ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff886f8fd469efd469efd469ef562a61
+7a3c8aab54c08b7a90ffffffffffffffffff7c8c9068d4ef9bd4bcded479efd46889473bb1544c
+c6ac56918e83ffffffffffffffffff8f7272ee6565ee6565ee6565ee65657f35359940408b3b3b
+f5f5f5ffffffffffffffffff8e6767ee5f5fee6060ee6060ec5f5f592424e45c5c907f7fffffff
+ffffffffffffd0d0d0b44343e857579e4949f59f9feb9c9cb48787f59f9f8e6767f7b6b6ce8d8d
+f2b2b28b50509a3636773d3dffffffffffffffffffffffff8a4848ec4f4fa43737e68b8bf49999
+af8282f098988c5d5df7b3b3c98585f7b3b3f7b3b38234345d1e1ec7c7c7ffffffffffffffffff
+f1ebebbe3f3fc64141c26666f49999be8787e19393b37070d09898c98787f7b5b5f7b5b5e19f9f
+c64343907c7cffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffac9ab0e196f4e196f4e196f47c448a
+d468efa350b8936e9cf2d2faa996adf2d2fa7d7b8f95e1f495e1f49be1eecce1bd894940ee6666
+b1564ca37976d7b6b6b2a4a4fad2d28e6b6bf39393f39393f39393f39393893b3bde5c5c763131
+f3cacaccadadbdacacfad0d08e6666f38f8ff38f8ff38f8ff18e8e8032329b3e3e877b7bffffff
+ffffffffffffd0d0d0b44343ed5858ed5959ed5959dd5353421818de5353918888ffffffffffff
+ffffff8e6868ec52528b3e3ef9cbcbf9cbcbad9393f9cbcb8c5656f28484f28484f28484f28484
+7535359b34348b4c4cffffffffffffffffffffffff893c3cae3a3ad2a3a3f9cacad2adadb7a5a5
+e3b8b8a05757f28383f28383f28383914f4f973333973232d7d7d7fffffffffffffffffff4f4f4
+a06d6d877979ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff81568c
+d468efd468efd468efd468ef533d6c5d58897e5189ffffffffffffffffffffffff8b4c4cee6666
+ef6767ef6767c05353873939b950508c5b5bffffffffffffffffffffffff894141ee6363ee6363
+ee6363b14a4a903a3abe4f4f8d6363fffffffffffffffffffefdfdb44747e45959dd6060ef7272
+ae5858ac5757c35d5dba7b7bf5a2a2f5a2a2f5a3a3e497979235359738388b8585ffffffffffff
+ffffff8e6868ec5252ec5252ec5252ec52524f1c1ccc47478f7878ffffffffffffffffffffffff
+b76a6adc4a4a8e4040f7b0b0f2afafcea3a3f7b0b0883737ec5252ec5252ec5252b83f3f652222
+c94343a9a9a9ffffffffffffffffffc1a7a7e54f4f953333e09b9bf7b1b1f7b1b1f7b1b1cbaeae
+f5f5f5909090ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff81568c
+d468efd468efd468efd468ef97808cb4d3a19d8d4df6e5a58d8178e5d69ef6e5a58e736bf8c1c1
+f8c1c1ca9292c89c9cb74d4dbe5050784d4dfce5e5ebdedefce5e5fce5e5894040ee6363ee6363
+ee6363bb4e4ecc5252b84a4a7f5656fce4e4ebdedefce4e4fae3e38a3636ed5d5ded5d5ded5d5d
+a23f3fa63f3f893636c2c2c2fffffffffffffffffff4f0f0bc4545ed5656c86b6bd48f8f9f7c7c
+f29b9b8d6060f7b9b9c98a8af7b9b9f7b9b9983737a73a3a906d6dfce2e2f0dedef7e0e0fce2e2
+8c5454ec4f4fec4f4fec4f4fe24c4c5f2020e34c4c918383ffffffffffffffffffc6c6c6bc4040
+872d2db49a9afce2e2ebdcdcfce2e2978888e64f4fec5151ec5151ec5151db4b4bec51518a4949
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffded3e1
+f4d8fbf4d8fbf4d8fbf4d8fb647a8d85d3d1ddd379efd36788483a9d5c44bba551908d81ffffff
+ffffffffffffcdcdcdb74d4dee6565ee6565ee6565572525b44c4cee65658f7575fbd7d7fbd7d7
+fbd7d7caa6a6d05454ee6060ee6060ee6060532121d95757ec5f5f927c7cfad5d5fad5d5fad5d5
+ab9191d35050b54545cfa1a1f0c4c4b59898f9cbcbe8bdbd9c5959f38b8bf38b8bbb6c6ca83c3c
+9f3a3a8c5b5bffffffffffffffffffffffffa23b3bec5252ec5252ec5252a73a3a822d2dec5252
+8c5656fad1d1fad1d1fad1d1efc8c8862d2d9a34348a8181ffffffffffffffffffc6c6c6bc4040
+ec5050ec5050ec50507d2a2aac3b3b8e3030f3ccccfad2d2fad2d2fad2d2c1aaaabf49498a4949
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff6d8a926cd5f075d5e7a6d5b7814943ea6464bc5451b0716fe3b0b0
+d6aaaaf6b8b8c79494b75151ef6a6aef6a6aef6a6a863838c35050ab4848918a8affffffffffff
+ffffffbebebec55050ee6060ee6060ee60608534349e3f3faf4646949494ffffffffffffffffff
+aeaeaed35050ed5b5bed5b5be05656552020d35151dd5555a4a4a4ffffffffffffc4c4c4bf4444
+d84d4d984c4cf7b0b0c79f9ff4afaff7b0b0883434ed5858ed5858ed5858a73e3e953434bf4242
+8d6464fffffffffffffffffff8f5f5b83e3ee34d4ddf5555ee6464a44a4ab04f4fb94d4dc38080
+f5a1a1f5a1a1f5a1a18b5454ae3c3c672323f8f8f8ffffffffffffffffffffffffc3bbbb603d3d
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff8b4e4eee6666ee6666ee6666c35454
+6d2e2ea74747c05252c4c4c4ffffffffffffffffff8a4343ee6363cb5454c57070d291919e7b7b
+e09797b67777cea0a0f8c1c1ca9393f8c1c1893737ee5e5ec64e4ecb7373c98c8ca57d7df59d9d
+a76b6bddaaaae4aaaadea4a4ebb5b5953838a23d3dc24b4ba4a4a4ffffffffffffc4c4c4bf4444
+ed5555ed5555ed55557d2d2d993737e65252928f8fffffffffffffffffffc1b9b9d24949b53f3f
+845858fcdfdfe9d9d9fcdfdff0d5d5923131ec5050ec5050ec5050993434ac3c3c822c2ccbcbcb
+ffffffffffffffffff908080ec5252a03838f19393f39696f39696f39696b99e9effffffa6a6a6
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff8b4e4eee6666ee6666ee6666c35454
+b34b4bd15858783333c4c4c4ffffffffffffffffff8a4343ee6262ee6262ee6363b54b4bab4545
+9d40406f2e2ed4d4d4ffffffffffffffffff893737ee5e5eee5e5eee5e5ea64242b54646a34040
+a24040e3e3e3fffffffffffff1f1f1953838ed59599e3c3cbc8b8bb59696edbfbfbf9a9ac47272
+f38d8df38d8df38d8d8b4a4add4f4f983636918f8fffffffffffffffffffc5babad44a4aec5252
+ec5252ec5252762929b23e3ee24e4e9b8383fad5d5fad5d5fad5d5a28989db4c4cb13d3dd6a3a3
+f9c6c6978585eac1c18e6b6bf28b8bf28b8bf28b8bf28b8bcf6868eb52528d6060ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc6c0c0fdf0f0fdf0f0cfc2c2d0c5c5
+b34b4bee6464e05e5eea6d6d8d49499d5050ed7272908181fdf0f0fdf0f0cfc2c2d9c0c0d55656
+ee6161df5b5beb6c6c874545a25050ee6f6f918888fdf0f0fdefefd0c2c2cfb3b3dc5555d25252
+813232e8a3a3c49d9df3b0b0e9a8a8953d3dee6262ee6262ee6262973e3e873232b24343cdcdcd
+ffffffffffffffffff907f7fed5555e45252e45a5aef6565683535be5454a94848dbcfcffdefef
+cfc0c0fdefef8e6d6dc24444a73a3a9d9d9dffffffffffffffffffa5a5a5db4c4cec5252ec5252
+ec5252822d2d963535803e3efffffffffffffffffffffffff5f5f59557578d6060ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd1d1d1
+b34b4bee6464ee6464ee6464893939db5a5a9f42428e8686ffffffffffffffffffc2c2c2c24e4e
+ee6060ee6161ee6161893737d65555a14141929191ffffffffffffffffffb2b2b2d05151ed5c5c
+ed5c5ced5c5c782e2e983b3be05757a0a0a0ffffffffffffffffffb4a9a9da5050782c2cd4b6b6
+fbdedee7d6d6fbdede8e6f6fec5454ec5454ec5454ed5555873030b84141772b2bddddddffffff
+ffffffffffff8f7474ec5353c24444cf6f6ff39393ea9090a979799d5f5fe6b0b0e0a6a6e2a8a8
+f8bebe9f5b5bec5353773838fbddddfbddddfbddddfbdddde8d6d6c6bebe716060ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff5f5f5
+eed6d6fbdcdcfbdcdcfbdcdc8f7676ee6262db5a5aae7979f9c9c9b29393efc1c1bd9898c77b7b
+f49797f49797f497978b5050ee5f5fd75656dd9191f9c7c7847d7df9c7c7ae8b8bd58282f39595
+f39595f395958a4a4ab44545b44646a0a0a0ffffffffffffffffffb6aaaae15353ed5858ed5858
+ed58586f2929b844448a4141fbd8d8fbd8d8fbd8d8fbd8d88a4444ec5454a83c3ce2adadf8c4c4
+be9999bfa7a78d6767f38f8ff38f8ff38f8ff38f8fe48686591f1f702828ecececffffffffffff
+ffffffa57272ec5353ec5353ec5353ec5353ec5353ec53538a3131fcfcfce6e6e6ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff918888ee6262ee6262ee6262ee6262953d3d893838af4848d0d0d0
+ffffffffffffffffff907e7eee5f5fee5f5fee5f5fee5f5f7f3232913a3aa64242dfdfdfffffff
+ffffffffffffba8484ed5a5ab44444c67d7df6adadbd9898f6adad9d6e6edf5c5cee6363ee6363
+ee6363883636bd45455c3434fffffffffffff8f8f8ffffff8a4a4aec5454ec5454ec5454ec5454
+a33a3a722929844c4cfffffffffffffffffffffffff6f2f2b64040933434eca1a1f6aaaacb9b9b
+efa8a88b5050ed5f5fed5f5fed5f5fed5f5fe65656ec53538a3131fcfcfcffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffd8d5d5f9c7c7f9c7c7f9c7c7f9c7c7af8484dc5a5a793232d6b8b8
+fbdddde5d4d4fbdddd8f6f6fee5f5fee5f5fee5f5fee5f5f883636b94949752e2edfdfdfffffff
+ffffffffffff8f7474ed5a5aed5a5aed5a5aed5a5a5d2323b34444973939efefefffffffffffff
+ffffff8e6969ed5757ca5151f39393f39393784d4dc683838e6868f8c2c2f8c2c2f8c2c2f8c2c2
+bc8c8cd44b4b7e4444fbdadafbdadae5d2d2fbdadaeccdcd953535ec5353ec5353ec5353953434
+9e38388c5858ffffffffffffffffffffffffcac4c4b94c4c8a3131fcfcfcffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffb3a8a8e45d5dee6161ee6161
+ee61616f2d2db84b4b8a4747fbddddfbddddfbddddfbdddd8a4747ed5d5dc94f4fea7878d17373
+9c5e5ef17f7f8b4d4df49696f49696f49696f49696883838c249495d2323efefefffffffffffff
+ffffff8e6969ed5757ed5757ed5757ed5757812f2f9b3939837575ffffffffffffffffffffffff
+c0b6b6d64c4ced5454ed5454ed5454752929b13f3fdf4f4f9f8a8afbdbdbfbdbdbfbdbdb9e8a8a
+b942424d4242ffffffffffffffffffffffffffffffcac1c1572828fcfcfcffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffa8a8a8e46a6aef6e6eef6e6e
+ef6e6e893b3bbf4c4c5d3939fffffff6f6f6ffffffffffff8a4c4ced5d5ded5d5ded5d5dc54d4d
+8a3636ae44448b5353ffffffffffffffffffffffff894040ed5959e15555ed6262bb5050723434
+e15e5e8c5d5dfef4f4d0c6c6fef4f4fef4f48f7878e95454bd6666f6a9a9f6a9a9ba9393f6a9a9
+aa7575d15757ee6262ee6262ee6262883636c44646a23a3aa1a1a1fffffff6f6f6ffffffa1a1a1
+dd4f4fe15353ed5f5fed5f5fed5f5fed5f5f999595ffffffc4c4c4fefefeffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8e6969ee5f5fcc5858f49696614545c48383f496968e6c6cf9c8c8f9c8c8f9c8c8cfa6a6
+b04444c74d4d7b4646fbd9d9f8d8d8e6d1d1fbd9d9893d3ded5959ed5959ed5959b64444bf4747
+9a39397a5555ffffffffffffffffffffffff907c7ced5656ed5656ed5656ed5656642424ac3e3e
+a43c3ce1e1e1ffffffffffffffffff8f7272ed5555c64747d36f6ff38f8f5c4141e08888995a5a
+eab9b9f9c5c5f9c5c5f9c5c5b97575e25151928e8effffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8e6969ee5f5fee5f5fee5f5f893636b84949aa4444907c7cffffffffffffffffffd4d4d4
+b04444ed5c5ced5c5ced5c5ce05757582222d954548f7676fcdfdffcdfdffcdfdfc1ababbf4747
+e85656cb5353f07878f07878885151e273738a4949f49696f49696f49696f49696893a3ac94949
+632424e1e1e1ffffffffffffffffff8f7272ed5555ed5555ed5555ed55557d2d2d933535963636
+f0f0f0ffffffffffffffffffd7d7d7ae4949928e8effffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffcbcacafef8f8d0c9c9fef8f88b4e4eee5e5ecc5151b36767f6aaaad09b9bdca0a0cc8d8d
+b25151ef6c6cef6c6cef6c6ce267679238389c3c3c898282fffffff6f6f6fdfdfdc4c4c4bf4747
+ed5858ed5858ed5858ed58588531319738387e4444ffffffffffffffffffffffff8a4848ed5656
+e55353ec5c5cee5e5e6d2f2fd956568c5353fef7f7f8f1f1d6cfcffef7f7893d3dd24b4b561f1f
+f0f0f0fffffffffffffffffff4f4f4a3a0a08c8c8cffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff8b4f4fee5e5eee5e5eee5e5eee5e5ea64242823333ae4545
+bebebefffffffffffffffffff1f1f1953939ed5b5bcf6969f390909b5c5cca7e7ebb6f6fc9a2a2
+f9c9c9f9c9c9f9c9c9f9c9c9a55f5fed5858824040fbd6d6fbd6d6e1ccccfbd6d68c5555f18080
+de6c6cea7878f18080893c3c9e3939754949ffffffffffffffffffffffff893d3ded5555d14b4b
+ee8888f38c8cf38c8cf38c8c8e6d6dffffffdcdcdcffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffb99595f59e9ef59e9ef59e9ef59e9eab6e6ecf5050893535
+bebebefffffffffffffffffff1f1f1953838ed5a5aed5a5aed5b5b973a3a993a3a963a3acdcdcd
+ffffffffffffffffffffffffa06d6ded5858ed5858ed5858ed58584f1d1dd34e4e907c7cffffff
+f1f1f1fafafaffffffb86b6beb5555cb4f4ff07474e57070814c4cf074748c5555f49898f49898
+f49898f49898c65353ed55558c5c5cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb2b2b2d05151ec5c5c
+ec6060ee6262793434a14444de5c5ca09d9dfefafad0ccccfefafac7adade45757a63f3fdf8f8f
+f5a5a5b88e8ef0a3a3f5a5a58b5050ef6c6cef6c6cef6c6cef6c6c873232a23c3c827777ffffff
+f6f6f6fbfbfbffffff8c5c5ced5656ed5656ed5656df51517e2e2ea23b3b8f8585ffffffffffff
+ffffffffffffd2d0d0b34c4c8c5c5cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb2b2b2d47676e67c7c
+e07676f288888a4646d55252943a3aa0a0a0ffffffffffffffffffa2a2a2de5454ed5a5aed5a5a
+ed5a5a762d2d8d3535cf4f4f8d5f5fffffffffffffffffffffffff883232ed5858d06363f38c8c
+a86161906161f38c8c8d6464f9cbcbf9cbcbf9cbcbeec0c0ad3f3fd34d4da47878fad3d3fad3d3
+fad3d3ebcdcdf2f2f2d1cccc6e5e5effffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3f3f3fafafaf8f8f8
+f4f4f4ffffffba8585ed5c5cdb5555e16767f07676724545f07676994b4be59494f49e9ef49e9e
+f49e9e8a4a4aed5959a63f3f6e5353ffffffd2d2d2ffffffffffff883232ed5757ed5757ed5858
+a43d3dbe46469b39398e6868fffffffffffffffffff2f1f1a43c3ced5656ed5757ed5757ed5757
+ed5757b54242cfcfcfffffffedededffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff8f7474ed5b5bed5b5bed5c5ced5c5c803131973a3a903838efefefffffffffffff
+ffffff8e6969ed5959ed5959eb5959ed5b5b7b2f2f9b3d3de95a5a929191fffdfdfffdfdfffdfd
+cfbabadd5151da5050aa5555f5a1a1b68a8aee9e9ee69797984545ef6c6cef6d6def6d6def6d6d
+b64d4db54242cfcfcfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffded6d6facfcffacfcffacfcffacfcf893d3dde5555752d2deec5c5ebcbcbd1c1c1
+fad1d18d6666f28888f28888d46969f288888a4848da52529b3a3a929292ffffffffffffffffff
+b1b1b1d14d4ded5757ed5757ed57577b2d2d9b3939d95050a1a1a1ffffffffffffffffffffffff
+a99f9f9e3a3acfcfcfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff894141ed5b5bed5b5bed5b5bb646465f2424
+e859598c5d5dffffffffffffefefefffffff907d7ded5959de5353e06161f071716e4141ef7171
+a64e4ed88c8cf59f9ff59f9ff59f9f8b4e4ebf4747a83e3ea1a1a1ffffffffffffffffffffffff
+fcfcfc584f4fcfcfcfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff894141ed5b5bed5b5bed5b5bb64646bf4848
+943838815858ffffffffffffffffffffffff907d7ded5959ed5959ed5959ed5959873333933737
+9b3a3ae1e1e1ffffffffffffffffffba8282ed5858bc4646cd7777f59f9ff59f9ff59f9ff59f9f
+c0bbbbccccccd6d6d6ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffdecacafad2d2fad2d2fad2d2c0a1a1bf4848
+dc5454734747facecefacecedcc3c3facece8e6d6df28a8af28a8ad26a6af28a8a893a3ad24f4f
+5a2222e1e1e1ffffffffffffffffff8f7272ed5858ed5858ed5858ed5858ed5858ed5858ed5858
+918989ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc4c4c4bf4848
+ed5a5aed5a5aed5a5aed5a5a6d2a2ab043438a4949fffffffffffff1f1f1ffffff8a4949ed5959
+d65151eb6b6bef6e6ead5555ad56568a4949f5a2a2f5a2a2f5a2a2f5a2a2ed9f9fa05656ec5858
+918989ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcececed09f9f
+f8bcbcc98d8df8bcbcf8bcbc9c5858c54b4b6e3b3bfce4e4fce4e4ebddddfce4e48a4646ed5959
+ed5959ed5959ed5959a03c3c7e2f2f7c4d4dffffffffffffffffffffffffffffffe8e8e8a35b5b
+8f8888ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffa87171ed5a5aed5a5aed5a5aed5a5a521f1fd852528e6969fad4d4
+fad4d4fad4d4fad4d4a98f8fd24e4e924c4cf9cbcbf9cbcbf9cbcbf9cbcbf4c9c9e3e3e3e6e6e6
+8e8e8effffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff916c6cee6060ee6060ee6060ee60608432329d3b3b827777ffffff
+ffffffffffffffffffadadadd54f4fed5858ed5959ed5959ed5959ed5959db5252a5a5a5ffffff
+f3f3f3ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffb34444ed5959c86767f49a9a
+f49a9a8a7272e39494a56868deaaaaca8f8ff8bebef8bebebe7777e45555db5252a5a5a5ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffff883333ed5959ed5959ed5959
+ed59598632329d3b3b8d3535e5e5e5fffffffffffffffffff2f2f29f6d6dd65050a5a5a5ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffc19494f6a8a8f6a8a8f6a8a8
+f6a8a8893c3ce95757943838e9a2a2f6b0b0f6b0b0f6b0b0c8aeaef6f6f68a6363aaaaaaffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8a4747ed5959ed5959ed5959ed5959ed5959ed59598c5555ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8a4747ed5959ed5959ed5959ed5959ed5959ed59598c5555ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffc4a2a2f6ababf6ababf6ababf6ababa67676dd54548c5555ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffa38585794e4effffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffcfcfca6a6a6ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1e.ps b/books/ps/bookvol1e.ps
new file mode 100644
index 0000000..65144d6
--- /dev/null
+++ b/books/ps/bookvol1e.ps
@@ -0,0 +1,710 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/sintan06.ps
+%%CreationDate: Fri Dec  9 17:17:07 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 216 226
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 211.000000 translate
+201.000000 -211.000000 scale
+% Image geometry
+201 211 8
+% Transformation matrix
+[ 201 0 0 211 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 201 string def
+/gstr 201 string def
+/bstr 201 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        24192 ASCII Bytes
+colorimage
+JcF[.qu-]trr;uYrrE%K~>
+JcF[.qu-]trr;uYrrE%K~>
+JcF[.qu-]trr;uYrrE%K~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+rVllqTDJZfrmCcGr6t[r~>
+rVllqTDJZfrmCcGr6t[r~>
+rVllqTDJZfrmCcGr6t[r~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+hZ!T6qu6fgiSjh:ro#*ks8VTgs7$'gnGiOHs8V':nGiOIiUHm:iSjh+s8VTgs7#LRrrD!VrrMTX
+rr2uVqZ$TS)"@S*iSj;+nDW@+nGiOXs8VTWs7#"+s8W)W%.O;snGiOXs8VTgs5<bR!UoOWrrD!6
+s*t~>
+hZ!Saqu6fS\@DS=rjX3.s8UmSs4mYSh#ID_s8TU=h#IDa\D7,>\@DRos8UmSs4l?)rrBM,rrLj/
+rr2u,qZ$T*(u5/k\@C>ogpjloh#IE0s8Um.s4k,os8W).%,Cm_h#IE0s8UmSs0he(!SZ?.rrBLa
+s*t~>
+hZ!SEqu6fESXof\rgb:Zs8UCEs3CZEcN!p5s8SX\cN!p8S^.8\SXof+s8UCEs3AgarrAMerrL<g
+rr2teqZ$Sd(s`0]SXn(+cCLO+cN!pis8UBfs3@1+s8W(h%*nnQcN!pis8UCEs-ifa!R&dfrrAME
+s*t~>
+hu<`Hmed#6hu3N3s8CgQrr:pEnGgl8s53kGmf3=DrU015rVbXRrndVRhsg['s8V!PrrMQWrr2uU
+rr3#enG`G>nGiOFrU015rVbXRrndVRhsg['s8V!Vs53eRi;`c4rVliTmdU8's8V!VnF$,P!8meU
+!UfI7s*t~>
+hu<`4f_b[u[/9a/s80/"rVs=Yh#EN:s0Vg]f`1uXqq0]4qtmc#rNlD$[+t\gs8TJ%rrLd-rr2u*
+rr3#Oh#@=*h#ID\qq0]4qtmc#rNlD$[+t\gs8TJ+s0V\#[f?62qu-Q'f\HLhs8TJ+gt;H&!4;b*
+!SH2bs*t~>
+hu<`&anu)fR/6ZKs8&#Wr;W8.cMqPWs-Wi3aoDC+qT7$PqYHTZr0@-YR*P`!s8SJ^rrL6err2tc
+rr3#@cMmhqcN!p0qT7$PqYHTZr0@-YR*P`!s8SJds-WZZS,`>MqY^A_aj0p!s8SJdcH5n^!1<cc
+!QiXEs*t~>
+hu<]6qYq5ds8V!Vs53kVi;Wc6s5)]6huDU5ru'_os538'nG`IfhuE`6mdT-6s53kVn*pA8rr2uU
+rr2uUrVllTrr4P,s8V!Vs538'nG`IfhuE`6mdT-6s53kVhuE`6s8V!Vs5<nVhuDQks53k6rr32\
+s7#LWs53eT!8l]6J,~>
+hu<\`qYq59s8TJ+s0Vh+\,H?6s0B-6[/[N4ru&3Ds0UFhh#79Q[/^05f\Ek6s0Vh+g>)_;rr2u*
+rr2u*rVll)rr4OVs8TJ+s0UFhh#79Q[/^05f\Ek6s0Vh+[/^05s8TJ+s0qt,[/[G@s0Vg5rr323
+s4l?.s0Vb)!4:Y`J,~>
+hu<\DqYq4rs8SJds-WidS,E;Rs-9)RR/`QQru%4(s-Um!ci!hCR/d2RaNp7Rs-WidbKp3Xrr2tc
+rr2tcrVlkbrr4O:s8SJds-Um!ci!hCR/d2RaNp7Rs-WidR/d2Rs8SJds-rrdR/`G@s-WhRrr31l
+s3Jmgs-Wcb!1;[DJ,~>
+hu<]6rr;uT'^srZs53kVhuE`6iSi/`hu;Qks53hU'AriihuEZCi;`i7s8V!Vma2"6hu<WWmbn*D
+rrCsUrrCsTs"N@1n))IKs53kVhuEZCi;`i7s8V!Vma2"6huE`6s8V!Vs53kVhr3P@s53h6huDU5
+rrW2Xmf*4dhu3QThr"Ha~>
+hu<\`rr;u)'\]qos0Vh+[/^05\[dn'[/IJ@s0Ve*'=@f>[/^!S\,ZK8s8TJ+f9616[/U(,f=1_X
+rrBG*rrBG)s"Lh[g9cpJs0Vh+[/^!S\,ZK8s8TJ+f9616[/^05s8TJ+s0Vh+[(3`1s0Va6[/[N4
+rrW/.fDbdM[/L")[,:n6~>
+hu<\Drr;tb'[)mDs-WidR/d2RT:]fsR/EG@s-Wfc':Ah"R/d!'S,`MUs8SJdaCtVRR/[*eaIE,,
+rrAGcrrAGbs"Ki?bEuh-s-WidR/d!'S,`MUs8SJdaCtVRR/d2Rs8SJds-WidR%L!as-W_RR/`QQ
+rrW+faSu2>R/R$bR,@po~>
+hu<`FnGE58huE`6s8V!Vs53eRhZ)L5rnmbDnGiOGs7#I7s8V!Vs53kVhuE`5s8V!Urs%ELnGiOX
+mf*4dhu<WVnF$;U1>i-3huE36i;`i7s8V!Vs53kVhZ*W5s8V!Vs53kVhuE`6rVbUQhuE]5s6fCV
+s7#I7rr2uUrr3#gmbe%p~>
+hu<`/h#%+$[/^05s8TJ+s0VY!ZN%<3rNuUVh#ID]s4l58s8TJ+s0Vh+[/^03s8TJ*rs#sah#IE0
+fDbdM[/U(+gt2Q*1:7)][/\q5\,ZK8s8TJ+s0Vh+ZN's3s8TJ+s0Vh+[/^05qYIMt[/^*3s4?'+
+s4l58rr2u*rr3#SfAHUY~>
+hu<_uchm_lR/d2Rs8SJds-WTVQ2d6Or0[N*ci=$4s3JcUs8SJds-WidR/d2Os8SJcrs"t6ci=$k
+aSu2>R/[*dccH+c178+AR/bLRS,`MUs8SJds-WidQ2glOs8SJds-WidR/d2Rq"U-SR/d)Os2`Od
+s3JcUrr2tcrr3#FaP[#J~>
+hZ!T5qu8J?hr"G5s6fpemf3=Ts6fpemf3=Es8Us5mf3:DhsUO5hV\A$s8VNes6fCVn,E@Ts8V!U
+rrMWWrr2uUrVneTs8Us5mf3:DhsUO5hV\A$s8VNes6fCVmbcq$s8VNes6fpemf2_Ts6fpehuE`E
+s8MKenF$;U!8lZ5J,~>
+hZ!S_qu8J([']c2s4@;NfDkm&s4@;NfDklXs8TC3fDkcU[+G?3ZF'Y`s8U^Ns4?'+gAM!&s8TJ*
+rrLp,rr2u*rVneRs8TC3fDkcU[+G?3ZF'Y`s8U^Ns4?'+f<hp_s8U^Ns4@;NfDjJ&s4@;N[/^0X
+s8:UNgt2Q*!4:V_J,~>
+hZ!SCqu8InR$ddNs2b6?aT):]s2b6?aT):-s8S=NaT).)R)o<NPaMKls8U1?s2`OdbPV=\s8SJc
+rrLHerr2tcrVneQs8S=NaT).)R)o<NPaMKls8U1?s2`OdaI&@ls8U1?s2b6?aT'?]s2b6?R/d3-
+s81">ccH+c!1;XCJ,~>
+hZ!TTkPkP]li-taqYpQprr2utrVllsk5PG\m/I(bqYpQprVllshZ&*~>
+hZ!TRkPkP[li-t_qYpQnrr2urrVllqk5PGZm/I(`qYpQnrVllqhZ&*~>
+hZ!TQkPkPZli-t^qYpQmrr2uqrVllpk5PGYm/I(_qYpQmrVllphZ&*~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+p\t6`JcEXfJ,~>
+p\t6JJcEXfJ,~>
+p\t6*JcEXfJ,~>
+p\t6_JcEXfJ,~>
+p\t6IJcEXfJ,~>
+p\t6'JcEXfJ,~>
+p\t6_JcEXfJ,~>
+p\t6IJcEXfJ,~>
+p\t6'JcEXfJ,~>
+p\t6_JcGKE"jNO+^ROcBs*t~>
+p\t6IJcGKE"m=4X\^/[Ps*t~>
+p\t6'JcGKE"jNO+T:=6Ws*t~>
+p\t6_JcGNF#JZ9>*?lMGiRImX~>
+p\t6IJcGNF#J/'BP`_2BT%*dj~>
+p\t6'JcGNF#G@(t*?H4QT%*dj~>
+p\t6_JcGQG!gRY`r>bodhph[V~>
+p\t6IJcGQG!mP2srKI>ER+2.d~>
+p\t6'JcGQG!gP-nr>bo<R+2.d~>
+p\t6_JcGQG!k3Q;r>c#[mJkIUfDg@~>
+p\t6IJcGQG!jRj0rKIG!`W,.<fDg@~>
+p\t6'JcGQG!g?TDr>c"m`W+4?fDg@~>
+p\t6_JcGQGrf6pt"H;=>g3hNPJ,~>
+p\t6IJcGQGrlY2("N-l3Ruc2$J,~>
+p\t6'JcGQGrf6pt"G`WLQW2T:J,~>
+p\t6_JcGQG!jRcGr>c&\rVs<Fn_!kl~>
+p\t6IJcGQG!jp+mrKIJ"q#@U5db+SM~>
+p\t6'JcGQG!g8S(r>c%oq#?O1db+SM~>
+p\t6_JcGQG!gIYar>c'#s8S=BmF_Gh~>
+p\t6IJcGQG!leutrKIK&s8U*U`7Y*?~>
+p\t6'JcGQG!fnsor>c&ss8S.8`7Y*?~>
+p\t6_JcGQG!fi5"r>c#Inc+W0fDg@~>
+p\t6IJcGQG!m8C&rKIGke,RS5fDg@~>
+p\t6'JcGQG!fi%rr>c#Ie,PGgfDg@~>
+p\t6_JcGQGrf6ms"7?,KNn=;]~>
+p\t6IJcGQGrlY/'"2t5^b1HZD~>
+p\t6'JcGQGrf6ms"2t5"Nn=;]~>
+p\t6_JcGQGrf6mss8N.\p6XG3J,~>
+p\t6IJcGQGrlY/'s8N/Cqp*joJ,~>
+p\t6'JcGQGrf6mss8N.\p6XG3J,~>
+p\t6_JcGQGrf6mss8N.\s,Pb3J,~>
+p\t6IJcGQGrlY/'s8N/Cs2s!oJ,~>
+p\t6'JcGQGrf6mss8N.\s,Pb3J,~>
+p\t6_JcGQGrf6mss8N.\s,Pb3J,~>
+p\t6IJcGQGrlY/'s8N/Cs2s!oJ,~>
+p\t6'JcGQGrf6mss8N.\s,Pb3J,~>
+p\t6_JcGQGrf6pt"[E%eNrP-ls*t~>
+p\t6IJcGQGrlY2("b6RPb5]W:s*t~>
+p\t6'JcGQGrf6pt"X3pGNrP-ls*t~>
+p\t6_JcGQGrf6pt"XO-JNrP-ls*t~>
+p\t6IJcGQGrlY2("d&cab5]W:s*t~>
+p\t6'JcGQGrf6pt"Wm^DNrP-ls*t~>
+p\t6_K`;+J;R?3!!j?U(r#Ph;!g<SDf`-I~>
+p\t6IK`;,&M2V30!jujer076]!a#EEf`-I~>
+p\t6'K`;+J208Tn!g56tr#Ph;!]9q;f`-I~>
+p\t6_LAqD(FN`Z]q>UM]MiR]Us8N.`s,Pb3J,~>
+p\t6ILAqD@FcO.Fq>UN8^rlS>s8N/5s2s!oJ,~>
+p\t6'LAqD(3eOpiq>UMWKoZ'Os8N.Ts,Pb3J,~>
+p\t6_LAqF.q>^JQiqi]SNr0ptrrS5\NnFA^~>
+p\t6ILAqFMm/R+$UAFohb5@M(rrU@Cb1Q`E~>
+p\t6'LAqEfm/R*=UAFohNr0ptrrS5\NnFA^~>
+p\t6_L]7CCdJj.HoTo@Rrf6mss8N1]s,Q['s*t~>
+p\t6IL]7D$M>mMUqSi=2rlY/'s8N2Ds2rmFs*t~>
+p\t6'L]7CCKDtlOoT/kKrf6mss8N1]s,PX_s*t~>
+p\t6_L]7@7r;QbWqZ$PTr#Gt3s,R,>m+MDh~>
+p\t6IL]7@sr;Qc>qZ$Q;r0.B9s2tAa_:ej=~>
+p\t6'L]7@7r;QbWqZ$PTr#Gsls,R,>_:ej=~>
+p\t6_M#RLDo_e^iNq3)Irf6ms"RQ/Ks,Pb3J,~>
+p\t6IM#RM%qY^?ob1?IirlY/'"Mt,\s2s!oJ,~>
+p\t6'M#RLDo_e^iNn4+-rf6ms"Mt+us,Pb3J,~>
+p\t6_M#RI+qu6\Wm/-h^Nr0ptrrS5\NnFA^~>
+p\t6IM#RIKqu6]>_>F93b5@M(rrU@Cb1Q`E~>
+p\t6'M#RHdqu6\W_>F93Nr0ptrrS5\NnFA^~>
+p\t6_M>mV)d/3hD]@-TVs,I)1r#Ph;"-3Dndb4YN~>
+p\t6IM>mVAL\q)Phs1+=s2k>8r076]"3UZ$lIl2f~>
+p\t6'M>mV)Jc#HJ]@-TVs,I(jr#Ph;"-3Dndb4YN~>
+p\t6_M>mR9q>UGTqu?\V!.4Va"om&_s8S,4s*t~>
+p\t6IM>mRuq>UH;qu?]=!/pc>"omlEs8U6ps*t~>
+p\t6'M>mR9q>UGTqu?\V!)NM5"om&_s8S,4s*t~>
+p\t6_M>mR9q>UGTqu?YUr#Gh<NrK%YNnOG_~>
+p\t6IM>mRuq>UH;qu?Z<r0.6^b5VD@b1ZfF~>
+p\t6'M>mR9q>UGTqu?YUr#Gh<NrK%YNnOG_~>
+p\t6_MZ3_+](u@+Nr/kUNrL+&7NENLNrK%YNnOG_~>
+p\t6IMZ3_BhYI0Ob5;5<b5[\/H^'cpb5VD@b1ZfF~>
+p\t6'MZ3_+](u@+Nr/kUNrL+&+rq^(NrK%YNnOG_~>
+p\t6_MZ3^Zj8&]TNr/hXOcGJ"*<H2#rr2tYg&HR~>
+p\t6IMZ3^cV"t#jb5;2?>KY+dPQCg,rr2u@g&HR~>
+p\t6'MZ3^?V"t#jNr/hX2i`pr*<H2#rr2tYg&HR~>
+p\t6_MZ3^Dqt^6lNr/hXP`B8O*<H2#rr2tYg&HR~>
+p\t6IMZ3^qoD/Cdb5;2?\B;5WPQCg,rr2u@g&HR~>
+p\t6'MZ3^<oD/CdNr/hXK8sI>*<H2#rr2tYg&HR~>
+p\t6_MuNgIo(`4c\^^QWs,Qss!WS2ZrrA)4s*t~>
+p\t6IMuNh)q=ssjhWt+>s2t5'!WU=ArrC3ps*t~>
+p\t6'MuNgIo(`4c\^^QWs,Qss!WS2ZrrA)4s*t~>
+p\t6_MuNd;pAY,Qr;ZeWq],_;NrK%YNnOG_~>
+p\t6IMuNe"pAY-8r;Zf>qih-]b5VD@b1ZfF~>
+p\t6'MuNd;pAY,Qr;ZeWq],_;NrK%YNnOG_~>
+p\t6_N;iq/\G#q&Nr8qWNr'gts,R*Y!05b4J,~>
+p\t6IN;iqEhY-sLb5D;>b57D(s2t?@!6X!pJ,~>
+p\t6'N;iq/\G#q&Nr8qWNr'gts,R*Y!05b4J,~>
+p\t6_N;im<p&>#Pr;ZeWr#Gu2s,Q^Ns,Pe4J,~>
+p\t6IN;in#p&>$7r;Zf>r0.D4s2s$ps2s$pJ,~>
+p\t6'N;im<p&>#Pr;ZeWr#Gtcs,Pe4s,Pe4J,~>
+p\t6_N;im<p&>&QoDS^hNr0n%J=O+7s8S,4s*t~>
+p\t6IN;in#p&>'8g&:sNb5@J._pG[&s8U6ps*t~>
+p\t6'N;im<p&>&Qg&:sNNr0n%J=Mh;s8S,4s*t~>
+p\t6_NW0$MnFce^NpHZDs,R!trf7!X!KQ3os*t~>
+p\t6INW0%+q"=Xfb.diSs2t8(rlY6?!Qq7ms*t~>
+p\t6'NW0$MnFce^NkYJls,R!trf7!X!KO#1s*t~>
+p\t6_NW0!=o`"oOr;ZeW"<BrP*BX7\rr3"ZqqD(#~>
+p\t6INW0"$o`"p6r;Zf>"I+7tP_/nWrr3#An_4"n~>
+p\t6'NW0!=o`"oOr;ZeW"<A[,*?kEBrr3"Zn_4"n~>
+p\t6_NrK.2\+K\$\(:NXs,R$u!%@i,rr2tYg&HR~>
+p\t6INrK.Hh=U^Jh<b+?s2t;)!0.!#rr2u@g&HR~>
+p\t6'NrK.2\+K\$\(:NXs,R$u!$;-"rr2tYg&HR~>
+p\t6_NrK-\j7E9NNrB"XNr0psNrK%YNnOG_~>
+p\t6INrK-iVXsffb5MA?b5@M'b5VD@b1ZfF~>
+p\t6'NrK-CVXsffNrB"XNr0psNrK%YNnOG_~>
+p\t6_NrK-Jqt'gfNrK%[f!g\;*WD)urrKU[gAc[~>
+p\t6INrK-tnalb\b5VDBm+oh^PlAi)rrLsBgAc[~>
+p\t6'NrK-@nalb\NrK%[f!g\;*WD)urrKU[gAc[~>
+p\t6_O8f74[dsFuNrK%\NrP,#r>kltrVlkXgAc[~>
+p\t6IO8f7Ih=CRGb5VDCb5]V9rKR<(rVll?gAc[~>
+p\t6'O8f74[dsFuNrK%\NrP+_r>kltrVlkXgAc[~>
+p\t6_O8f3?nc&TLrr3(\s,JQ,*WD)trrA)5s*t~>
+p\t6IO8f4&nc&U3rr3)Cs2p?"PlAi(rrC3qs*t~>
+p\t6'O8f3?nc&TLrr3(\s,J0!*WD)trrA)5s*t~>
+p\t6_O8f3?nc&TLrr3%[s,R!trf6sW!05e5J,~>
+p\t6IO8f4&nc&U3rr3&Bs2t8(rlY3>!6X$qJ,~>
+p\t6'O8f3?nc&TLrr3%[s,R!trf6sW!05e5J,~>
+p\t6_OT,?Rmd^;WNrK%[NrP.;*WD)trrA)5s*t~>
+p\t6IOT,@0p[S7`b5VDBb5]W^PlAi(rrC3qs*t~>
+p\t6'OT,?Rmd^;WNrK%[NrP.;*WD)trrA)5s*t~>
+p\t6_OT,<@nG`KKrr3(\s,KMG*WD)trrA)5s*t~>
+p\t6IOT,='nG`L2rr3)Cs2q8<PlAi(rrC3qs*t~>
+p\t6'OT,<@nG`KKrr3(\s,KMG*WD)trrA)5s*t~>
+p\t6_OT,<@nG`KKrr3(\s,N-<*WD)trrA)5s*t~>
+p\t6IOT,='nG`L2rr3)Cs2rL_PlAi(rrC3qs*t~>
+p\t6'OT,<@nG`KKrr3(\s,N-<*WD)trrA)5s*t~>
+p\t6_OoGHTmI:,UNrK%\NrP-"r>bs"F,p5!!05e5J,~>
+p\t6IOoGI1p[J1_b5VDCb5]W,rKIB+F3=I]!6X$qJ,~>
+p\t6'OoGHTmI:,UNrK%\NrP-"r>bs"2idk:!05e5J,~>
+p\t6_OoGEAn,EBJrr3(\s,N-<*<M7XNrAtXNnXM`~>
+p\t6IOoGF(n,EC1rr3)Cs2rL_PQK"<b5M>?b1clG~>
+p\t6'OoGEAn,EBJrr3(\s,N-<*<M7MNrAtXNnXM`~>
+p\t6_OoGEAn,EX"g&M)4s,N-=*<8(uNrAtXNnXM`~>
+p\t6IOoGDjn,EXJmJm4/s2rL`PQ6@8b5M>?b1clG~>
+p\t6'OoGDCn,EX"g&M)4s,N-=*<75]NrAtXNnXM`~>
+p\t6_P5bQVp$VheNrT->s,N*[3#sLJNrAtXNnXM`~>
+p\t6IP5bR2h<t:Mb5_Las2rKKK9V>ob5M>?b1clG~>
+p\t6'P5bQVh<t:MNrT->s,N*[+<;R'NrAtXNnXM`~>
+p\t6_P5bNBmJdNRs8S,ONfG,0*?G->rVlkXgAc[~>
+p\t6IP5bO)mJdO9s8U6tb0#s-Pa)0irVll?gAc[~>
+p\t6'P5bNBmJdNRs8S,8NfG,%*?G->rVlkXgAc[~>
+p\t6_PQ([;ZgIbsNrT-glAgo'*WD)trrA)5s*t~>
+p\t6IPQ([Ng[5"Fb5_LH]#r1oPlAi(rrC3qs*t~>
+p\t6'PQ([;ZgIbsNrT-C\rMgL*WD)trrA)5s*t~>
+p\t6_PQ(WCm/I<Ns8S,ZNfH*u*WD)trrA)5s*t~>
+p\t6IPQ(X*m/I=5s8U7Ab0#D:PlAi(rrC3qs*t~>
+p\t6'PQ(WCm/I<Ns8S,ZNfG7]*WD)trrA)5s*t~>
+p\t6_PQ(WCm/I<Ns8S,ZNfHR-*WD)trrA)5s*t~>
+p\t6IPQ(X*m/I=5s8U7Ab0#)1PlAi(rrC3qs*t~>
+p\t6'PQ(WCm/I<Ns8S,ZNfG=_*WD)trrA)5s*t~>
+p\t6_PlCcYlg4WVNrT->s,N*irZ1uurVlkXgAc[~>
+p\t6IPlCd5p?_eab5_Las2rKBrfdIqb0'\_!6X$qJ,~>
+p\t6'PlCcYlg4WVNrT->s,N*]rZ)&&NfO)<!05e5J,~>
+p\t6_PlC`Dli.0Ls8S,ZNfO&Y!geq-rVlo(gY;aY~>
+p\t6IPlCa+li.13s8U7Ab0'[I!j9\grVloQmb@bl~>
+p\t6'PlC`Dli.0Ls8S,ZNfO&Y!e$)hrVlo(gY;aY~>
+p\t6_Q2^m>ZKqMpNqNF4s,N-<*WD)srrA)6s*t~>
+p\t6IQ2^mQg["kDb230@s2rL_PlJl+Ac2Q.b1lrH~>
+p\t6'Q2^m>ZKqMpNo'ers,N-<*WM-"4oG<[NnaSa~>
+p\t6_Q2^iElMh'Kl2QeDNfO&Ys,I)Gr;QbWg])d~>
+p\t6IQ2^j,lMh(2\c9hPb0'[Is2k>Er;Qc>g])d~>
+p\t6'Q2^iElMh'K\c7]iNfO&Ys,I)-r;QbWg])d~>
+p\t6_Q2^iDlMh'Ks8S,ZNfO&Yrf6pV!05h6J,~>
+p\t6IQ2^hrlMh(2s8U7Ab0'[IrlY0=!6X'rJ,~>
+p\t6'Q2^hIlMh'Ks8S,ZNfO&Yrf6pV!05h6J,~>
+p\t6_QN$u\oBQ>[NrT->s6>:9*WD)srr@/qs*t~>
+p\t6IQN%!8f]rJ@b5_Las7NAiPlAi'rr@5ss*t~>
+p\t6'QN$u\f]rJ@NrT->s6=M#*WD)srr>+7s*t~>
+p\t6_QN$rFl2LtQU]6ASs.K?3!(QsJr;QbQg])d~>
+p\t6IQN$s-l2Lt\eGm\ks(VIs!.4^fr;Qc*g])d~>
+p\t6'QN$rFl2LtQU]6ASs%ND4!$_E&r;QbCg])d~>
+p\t6_Qi@*AZ0;2kNrP.>s,R$urf6pV!05h6J,~>
+p\t6IQi@*Tg?AP?b5]Was2t;)rlY0=!6X'rJ,~>
+p\t6'Qi@*AZ0;2kNrP.>s,R$urf6pV!05h6J,~>
+p\t6_Qi@&GkPkjKs,R-ZNZC"u*WD)srrA)6s*t~>
+p\t6IQi@'.kPkk2s2tBAb*7UEPlAi'rrC3rs*t~>
+p\t6'Qi@&GkPkjKs,R-ZNZB5_*WD)srrA)6s*t~>
+p\t6_Qi@&GkPkjKs,R-ZNZB\l*WD)srrA)6s*t~>
+p\t6IQi@'.kPkk2s2tBAb*7dJPlAi'rrC3rs*t~>
+p\t6'Qi@&GkPkjKs,R-ZNZB2^*WD)srrA)6s*t~>
+p\t6_R/[3CYil#iNrP.>s,R$urf6pV!05h6J,~>
+p\t6IR/[3Ug?8J>b5]Was2t;)rlY0=!6X'rJ,~>
+p\t6'R/[3CYil#iNrP.>s,R$urf6pV!05h6J,~>
+p\t6_R/[/Hk5PXGs,R-ZN]$eV!ff,$r;Qf]V;2*$~>
+p\t6IR/[0/k5PY.s2tBAb(]hZ!m7/-r;QfieD1(S~>
+p\t6'R/[/Hk5PXGs,R-ZNZe<A!ff,$r;Qf]V;2*$~>
+p\t6_R/[/Hk5PgLs+ULQN\2>0*KD0:rrA)7s*t~>
+p\t6IR/[0/k5Ph3s/Z2"b)2F;Pff6errC3ss*t~>
+p\t6'R/[/Hk5PgLs)A#<NZT8a*KD0:rrA)7s*t~>
+p\t6_RK!;ahWFhGNrPdPs,J*?73.C/qYpPUh#Dm~>
+p\t6IRK!<<f&lu?b5Z/Ts2pRjH^)[;qYpQ<h#Dm~>
+p\t6'RK!;ab3&^3NrM`Os,J*?+ru[aqYpPUh#Dm~>
+p\t6_RK!;skiVmQNrP.>s,J*h/ffrmqYpPUh#Dm~>
+p\t6IRK!;m[c[Stb5]Was2pRQMNl8JqYpQ<h#Dm~>
+p\t6'RK!;O[c[StNrP.>s,J*D+!$@^qYpPUh#Dm~>
+p\t6_Rf<EGY3#ZeNolB%s+UFm!_/1jqYpPUh#Dm~>
+p\t6IRf<EXg#`5;b-&nes/c3a!di(SqYpQ<h#Dm~>
+p\t6'Rf<EGY3#ZeNinEBs)@rX![<XFqYpPUh#Dm~>
+p\t6_Rf<AJjSoFEfWP8SG=MQP!KJ2srrA)7s*t~>
+p\t6IRf<B1jSoG,g=cN+J:%9[!QpZ'rrC3ss*t~>
+p\t6'Rf<AJjSoFEafb[D6mDUN!KJ2srrA)7s*t~>
+p\t6_Rf<AJjT#7?rr31]*AecWN#hcp!05k7J,~>
+p\t6IRf<B1jT#8&rr31<P_PEeCR"\q!6X*sJ,~>
+p\t6'Rf<AJjT#7?rr30f*?Z@C5TT_$!05k7J,~>
+p\t6_S,WMek2cOCju35=#*9iY7RiddqYpT!hqe<_~>
+p\t6IS,WN>oAooPo:Z*_#)e_&H[D]UqYpTKnD4+p~>
+p\t6'S,WMek2cOCju35=#$i5k+sM=RqYpT!hqe<_~>
+p\t6_S,WJKir9!!rr34@>TGXAN-4jjrrA)8s*t~>
+p\t6IS,WK2ir9"Crr344D3Td>CVJg)rrC3ts*t~>
+p\t6'S,WJKir9!!rr33N,on*K6$;2`rrA)8s*t~>
+p\t6_SGrWJXlB?g*VTO5Xb<0sEnJXoqYpP<h>`!~>
+p\t6ISGrWZf])o=PiMfD4B4mO@"G)?qYpP@h>`!~>
+p\t6'SGrWJXlB?g*TR2"0.JP'."R\OqYpOZh>`!~>
+p\t6_SGrSLiVs!LhuE`SnH/LLkkb;ZLY_u\~>
+p\t6ISGrT3iVs",R/d3ad/rO=[/0e&ZJGP2~>
+p\t6'SGrSLiVs!(R/d3ad/rO=[/0e&GMW:L~>
+p\t6_Sc8`KXl99\HJe5l!05n8J,~>
+p\t6ISc8`\f\ui2I$jF'!6X-tJ,~>
+p\t6'Sc8`KXl99\6^[BC!05n8J,~>
+p\t6_Sc8_dk2H@?kj\TQXPr%9J,~>
+p\t6ISc8`'Yi5W^[.+(rf^[huJ,~>
+p\t6'Sc8_QYi5W^[.+(rXPr%9J,~>
+p\t6_Sc8_aps&g=No'ed~>
+p\t6ISc8`)kKX#,b23/K~>
+p\t6'Sc8_PkKX#,No'ed~>
+p\t6_T)ShjjNRW(No'ed~>
+p\t6IT)SiBo$%+6b23/K~>
+p\t6'T)ShjjNRW(No'ed~>
+p\t6_T)SeNbPqR&hZ&*~>
+p\t6IT)Sf5bPqRbhZ&*~>
+p\t6'T)SeNbPqR&hZ&*~>
+p\t6_TDnrOX3:MCNo'ed~>
+p\t6ITDnr^f?=0ob23/K~>
+p\t6'TDnrOX3:MCNo'ed~>
+p\t6_TDnnOb5VM'WSd`+~>
+p\t6ITDno6b5VM5f&-LX~>
+p\t6'TDnnOb5VM'WSd`+~>
+p\t6_TDnnOao;?ahuA3~>
+p\t6ITDno6ao;?ghuA3~>
+p\t6'TDnnOao;?+huA3~>
+p\t6_T`5%mj2q<$L>W#]~>
+p\t6IT`5&Eo#^n3Yi#J2~>
+p\t6'T`5%mj2q<$Fl34L~>
+p\t6_T`5"HaSu;$Wo3o-~>
+p\t6IT`5"raSu;3fAQ[Z~>
+p\t6'T`5"6aSu;$Wo3o-~>
+p\t6_U&P/R]#XgNNo9qf~>
+p\t6IU&P/aE6%tYb2E;M~>
+p\t6'U&P/R@E8BJNo9qf~>
+p\t6_U&P+Q`r?)!UZ)6'~>
+p\t6IU&P,8`r?)0^>]*B~>
+p\t6'U&P+Q`r?)!P2ZFk~>
+p\t6_UAk8TWQ"l;G2`IO~>
+p\t6IUAk8bf#@XhHf>!T~>
+p\t6'UAk8TWQ"l;5iM`n~>
+p\t6_UAk4R`;]k3eDgLY~>
+p\t6IUAk59`;]kP^Z,9D~>
+p\t6'UAk4R`;]k"Yi>\5~>
+p\t6_UAk4R`;]o5U"&-&J,~>
+p\t6IUAk59`;]o"^;&_.J,~>
+p\t6'UAk4R`;]o"OKmjGJ,~>
+p\t6_U]1@riPYZtpS"DDjo9i~>
+p\t6IU]1AIn\bA/jM&D"jo9i~>
+p\t6'U]1@riPYZtjH,Vejo9i~>
+p\t6_U]1=S_>aZ3aI''OkPp&~>
+p\t6IU]1>:_>aZ!U8$<&kPp&~>
+p\t6'U]1=S_>aZ!P'*kKkPp&~>
+rVllor:g9ClH?g7!NFeep]Sa?K7g/rb5h&2p]10fs*t~>
+rVllhr9aR0lK5_H!RKZ;mKBV^WN"5:joEd-mJukUs*t~>
+rVll^r8%FElH?fr!M$s>h?8dTAnIS+b5fogh>lg;s*t~>
+rVllnr:^?9ZGOJQrk]&;_SWUa_SWUa_SW&H_??T^I`(!VpAfiXp]'dcgqofb_?ZgP_QpJa_Tr/T
+!;ZNlJ,~>
+rVllfr9FKcY2\Gfro+<4io7,Dio7,Dio5=aiWOV"T$lK1lN!lqli5W>k2LaeiWjhiii]HDiaDcO
+!:fsdJ,~>
+rVllZr7D./Nl&Y;rk]%I_SV=n_SV=n_STOV_?=(>:o1qAfDoEnf`0;"c,*]a_?X;^_N'Yn_I3Aq
+!9O+XJ,~>
+p\t6_lMpnX"0mrbpqm%3k-q&aJ,~>
+p\t6IlMpnE"0RQuked?#o513$J,~>
+p\t6'lMpnE"--ZQked?#k$=\\J,~>
+p\t6_kPkYXa/&LJrrA(Ps*t~>
+p\t6IkPkYETY0L+rrC37s*t~>
+p\t6'kPkYEOHJbErrA(Ps*t~>
+p\t6_jo5D/V>/"/!03`PJ,~>
+p\t6Ijo5Cq]]d<6!6Uu7J,~>
+p\t6'jo5C`Om'a`!03`PJ,~>
+p\t6_jSo7Yc,K\`Y2>oPJ,~>
+p\t6IjSo82UW*66f^PR6J,~>
+p\t6'jSo7YQGrk)Y2>oPJ,~>
+p\t6_j8T+>`W#puTDsE~>
+p\t6Ij8T,%`W#q\TDsE~>
+p\t6'j8T+>`W#puTDsE~>
+p\t6_j8T.WkK!T'kGFmOJ,~>
+p\t6Ij8T/1oZ-t4o[TT6J,~>
+p\t6'j8T.WkK!T'kGFmOJ,~>
+p\t6_ir9"&a8Z."T)X<~>
+p\t6Iir9"/a8Z.^T)X<~>
+p\t6'ir9!Ia8Z."T)X<~>
+p\t6_ir9"4a8Z."T)X<~>
+p\t6Iir9"[a8Z.^T)X<~>
+p\t6'ir9!ta8Z."T)X<~>
+p\t6_ir9%UkfNi*YLfBGJ,~>
+p\t6Iir9&0oZ@+6g"N%tJ,~>
+p\t6'ir9%UkfNi*YK<C9J,~>
+p\t6_iVrn<ao;CNk+;U'~>
+p\t6IiVro#ao;CHXe,QC~>
+p\t6'iVrn<ao;C*Xe,QC~>
+p\t6_iVrn<b5VM+V4IX:~>
+p\t6IiVro#b5VM7e=HVi~>
+p\t6'iVrn<b5VM+V4IX:~>
+p\t6_iVrn<b5VI%SH"*~>
+p\t6IiVro#b5VIaSH"*~>
+p\t6'iVrn<b5VI%SH"*~>
+p\t6_iVrr7Wm(JDl(jjLJ,~>
+p\t6IiVrrI`Q\>_o[KE2J,~>
+p\t6'iVrr7SBV!6l(jjLJ,~>
+p\t6_i;We!bl7['S,\!~>
+p\t6Ii;We$bl7[cS,\!~>
+p\t6'i;Wd=bl7['S,\!~>
+p\t6_i;We;bl7['S,\!~>
+p\t6Ii;Wf"bl7[cS,\!~>
+p\t6'i;We;bl7['S,\!~>
+p\t6_i;We;n,EFRq;M>SZ.tiKJ,~>
+p\t6Ii;Wf"n,EF]lf%jEg?tI1J,~>
+p\t6'i;We;n,EFRlf%jEZ.tiKJ,~>
+p\t6_i;We;n,EF.Ol?<?Ngfuu~>
+p\t6Ii;Wf"n,EEdF5d-!b*r?\~>
+p\t6'i;We;n,EER9&]dMNgfuu~>
+p\t6_i;Wi5Z24J&Z0CQLrr3,^s8T!Gir9%aescVh~>
+p\t6Ii;WiGgA:gOg:6hBrr3,\s8TZrir9&5gRA.m~>
+p\t6'i;Wi5Z24J&Z+0)crr3,Qs8S3cir9%aaI<-Z~>
+p\t6_hu<\:qYpq`ha(G9A=RQ;s+b^UrrKUjRf@m~>
+p\t6Ihu<]!qYprGR&-(4[Zk8$s*AhIrrKC*Rf@m~>
+p\t6'hu<\:qYpq`QpF,UA8<Rms%,92rrJ=aRf@m~>
+p\t6_hu<\:qYpq`haSVF*HZ3!s.582rrMG[RK%d~>
+p\t6Ihu<]!qYprGR!Y'NP]^I8s-_$irrMfARK%d~>
+p\t6'hu<\:qYpq`Qm*On*BGSJs)="YrrMG[RK%d~>
+p\t6_hu<\:qYpSVjo$2'G^f\mNfN0"!03HHJ,~>
+p\t6Ihu<]!qYpT=Wr8.cKU2Z<b0&cE!6U]/J,~>
+p\t6'hu<\:qYpSVWr3qA86c,oNfN0"!03HHJ,~>
+p\t6_hu<\:qYpVWlULjo"b_!ts,N-"rrA(Hs*t~>
+p\t6Ihu<]!qYpW>p3Ze'"fQSDs2rLErrC3/s*t~>
+p\t6'hu<\:qYpVWlQZ<K"`6:"s,N-"rrA(Hs*t~>
+p\t6_hu<_Olhg_^NX?dr*?Brrs8S+>l/hpGZeCfHJ,~>
+p\t6Ihu<`+pA=miapOA[Pa&]#s8U6a]&iqmg[:I/J,~>
+p\t6'hu<_Olhg_^NX?dN*?BNfs8S+>]&iqmZeCfHJ,~>
+p\t6_hZ!S4qu6\WM>\G!F$fp,NfNeorrA(Gs*t~>
+p\t6IhZ!Scqu6]>\G_WrFJf*<b0&Q%rrC3.s*t~>
+p\t6'hZ!S'qu6\WI/P&i3C<cGNfMrWrrA(Gs*t~>
+p\t6_hZ!Rsqu6\WF8[*_NZJ0"NfN3#!03EGJ,~>
+p\t6IhZ!Rtqu6]>FT%F-b*;r+b0&fF!6UZ.J,~>
+p\t6'hZ!R8qu6\W3;jj$NZJ0"NfN3#!03EGJ,~>
+p\t6_hZ!S9qu?\Vr>c)f*WQ/"U$UqA!OUOHs*t~>
+p\t6IhZ!Suqu?]=rKIM?PlLd+de;i'!Sd".s*t~>
+p\t6'hZ!S9qu?\Vr>c)6*WQ/"U$UqA!OUOHs*t~>
+p\t6_hZ!S9qu?\Vr>c)p7f*.Fs,Q7A!/[$AJ,~>
+p\t6IhZ!Suqu?]=rKIMaHg^pVs2sL(!4eEqJ,~>
+p\t6'hZ!S9qu?\Vr>c)Y,4>Jks,Q7A!.C15J,~>
+p\t6_hZ!S9qu?\Vr>c*&*T[6Ts,Q:B!U[%Us*t~>
+p\t6IhZ!Suqu?]=rKIN/Pc=\2s2sO)!VU#hs*t~>
+p\t6'hZ!S9qu?\Vr>c*&*NB'3s,Q:B!UW[Ks*t~>
+p\t6_hZ!S9qu6_PN^j!g#*'`(s.B=OkPkOBQ2c@~>
+p\t6IhZ!Suqu6_Hb'X,P#0N21s-E]-kPkP)Q2c@~>
+p\t6'hZ!S9qu6^kN["HC#*'`(s).jskPkOBQ2c@~>
+p\t6_hZ!S9qu7(sNZCS0*KD0?s,R,>kPkOBQ2c@~>
+p\t6IhZ!Suqu7(ib*77;Pff6js2tAakPkP)Q2c@~>
+p\t6'hZ!S9qu7(BNZB;a*KD0?s,R,>kPkOBQ2c@~>
+p\t6_hZ!W/[J^()Nr9t&NZJ0"NrP.'rrKO[Q2c@~>
+p\t6IhZ!WDh#.3Pb5IP/b*;r+b5]WJrrLpBQ2c@~>
+p\t6'hZ!W/[J^()Nr9t&NZJ0"NrP.'rrKO[Q2c@~>
+p\t6_h>[J8r;ZeWr>c*&*WQ/"s,Q=C!03<DJ,~>
+p\t6Ih>[Jtr;Zf>rKIN/PlLd+s2sR*!6UQ+J,~>
+p\t6'h>[J8r;ZeWr>c*&*WQ/"s,Q=C!03<DJ,~>
+p\t6_h>[J#r;ZeWr>c*&*WQ/"s,Q@D!UcSEs*t~>
+p\t6Ih>[J0r;Zf>rKIN/PlLd+s2sU+!Vb$,s*t~>
+p\t6'h>[IJr;ZeWr>c*&*WQ/"s,Q@D!UcSEs*t~>
+p\t6_h>[J-r;ZeWr>c*&*WQ/"s,Q@D!039CJ,~>
+p\t6Ih>[JOr;Zf>rKIN/PlLd+s2sU+!6UN*J,~>
+p\t6'h>[Iir;ZeWr>c*&*WQ/"s,Q@D!039CJ,~>
+p\t6_h>[J8r;ZeWr>c-'*WQ/"s,Qs@rrA(Cs*t~>
+p\t6Ih>[Jtr;Zf>rKIQ0PlLd+s2sirrrC3*s*t~>
+p\t6'h>[J8r;ZeWr>c-'*WQ/"s,QU6rrA(Cs*t~>
+p\t6_h>[J8r;ZeWr>c-'*WPT"s,Q1+rrKR[PQ-.~>
+p\t6Ih>[Jtr;Zf>rKIQ0PlLL*s2q8*rrLsBPQ-.~>
+p\t6'h>[J8r;ZeWr>c-'*WPT"s,O#CrrKR[PQ-.~>
+p\t6_h>[J8r;ZeWr>c*&*WM0"s,QCE!/cs>J,~>
+p\t6Ih>[Jtr;Zf>rKIN/PlJo+s2sX,!5"EoJ,~>
+p\t6'h>[J8r;ZeWr>c*&*WM0"s,QCE!.^74J,~>
+p\t6_h>[J8r;ZeWr>c*&*WM0"s,QFF!Um(Ps*t~>
+p\t6Ih>[Jtr;Zf>rKIN/PlJo+s2s[-!Vg#bs*t~>
+p\t6'h>[J8r;ZeWr>c*&*WM0"s,QFF!UiXDs*t~>
+p\t6_h>[J8r;ZeWr>c-#*UAacs44[GrrA(As*t~>
+p\t6Ih>[Jtr;Zf>rKIQ"PeG6>s6SS.rrC3(s*t~>
+p\t6'h>[J8r;ZeWr>c,n*PIL5s44[GrrA(As*t~>
+p\t6_h>[J8r;QeNNr9t#DB8>/rr2tYm/I'GOoKq~>
+p\t6Ih>[Jtr;QeLb5IP,A!GZhrr2u@m/I(.OoKq~>
+p\t6'h>[J8r;QdmNr9t#-QUm#rr2tYm/I'GOoKq~>
+p\t6_h>[MHnGW@fTR-PW"*,F^NrK%YNpZiIn=>^AJ,~>
+p\t6Ih>[N&q#13nObit#")sM)b5VD@b3f30ps>0'J,~>
+p\t6'h>[MHnGW@fCeajK"#M%uNrK%YNpZiIn=>^AJ,~>
+p\t6_h#@A7rVlnYK)H\lNZJ.[rr2tYmJd0HOT0h~>
+p\t6Ih#@AsrVlo@U]$DZb*;qKrr2u@mJd1/OT0h~>
+p\t6'h#@A7rVlnYB`/qRNZJ.[rr2tYmJd0HOT0h~>
+p\t6_h#@A7rVunXr>c!#7fSMJrrA)HrrA(@s*t~>
+p\t6Ih#@AsrVuo?rKIE,HiM7frrC4/rrC3's*t~>
+p\t6'h#@A7rVunXr>c!#,6*]&rrA)HrrA(@s*t~>
+p\t6_h#@A#rVunXr>c!#*WM0!rrA)IrrKX[OT0h~>
+p\t6Ih#@A2rVuo?rKIE,PlJo*rrC40rrM!BOT0h~>
+p\t6'h#@@LrVunXr>c!#*WM0!rrA)IrrKX[OT0h~>
+p\t6_h#@A+rVunXr>c-'*WMMms8S,IrrA(?s*t~>
+p\t6Ih#@ALrVuo?rKIQ0PlJ\:s8U70rrC3&s*t~>
+p\t6'h#@@erVunXr>c-'*WM28s8S,IrrA(?s*t~>
+p\t6_h#@A7rVunXr>c-'*WN85s8S,IrrA(?s*t~>
+p\t6Ih#@AsrVuo?rKIQ0PlJ5Fs8U70rrC3&s*t~>
+p\t6'h#@A7rVunXr>c-'*WM;Ts8S,IrrA(?s*t~>
+p\t6_h#@A7rVunXr>c!#*WM0!rrJ/WnG`O"d#\3W~>
+p\t6Ih#@AsrVuo?rKIE,PlJo*rrL:6nG`OGhiIef~>
+p\t6'h#@A7rVunXr>c!#*WM0!rrJ/OnG`O"aH-@O~>
+p\t6_h#@A7rVunXr>c!#*WM0!rrJ/?nG`Nuj,a4j~>
+p\t6Ih#@AsrVuo?rKIE,PlJo*rrL9<nG`NoUlYP+~>
+p\t6'h#@A7rVunXr>c!#*WM0!rrJ.UnG`NQUlYP+~>
+p\t6_h#@A7rVunX#9>-3*J#72NrK%YNq!&Lnsb[>J,~>
+p\t6Ih#@AsrVuo?#F(75Pf/gdb5VD@b4,E3q9P*$J,~>
+p\t6'h#@A7rVunX#9=j+*J#72NrK%YNq!&Lnsb[>J,~>
+p\t6_h#@A7rVunX!Cf6N*<H2#rr3#J](,e#NfF'h~>
+p\t6Ih#@AsrVuo?!IKCrPQCg,rr3#ahXUUGb)QFO~>
+p\t6'h#@A7rVunX!?r]c*<H2#rr3#J](,e#NfF'h~>
+p\t6_h#@A7rr3&2duO;G!WS2YrrA)LrrA(=s*t~>
+p\t6Ih#@Asrr3&VlH9!g!WU=@rrC43rrC3$s*t~>
+p\t6'h#@A7rr3&2duO;G!WS2YrrA)LrrA(=s*t~>
+p\t6_h#@A7rr3%[s,Qss!WS2YrrA)MrrKa[NW4M~>
+p\t6Ih#@Asrr3&Bs2t5'!WU=@rrC44rrM$BNW4M~>
+p\t6'h#@A7rr3%[s,Qss!WS2YrrA)MrrKa[NW4M~>
+p\t6_h#@A7rr3%[s,R!t!\+/0rVlkXo)A]MN;nD~>
+p\t6Ih#@Asrr3&Bs2t8(!h')2rVll?o)A^4N;nD~>
+p\t6'h#@A7rr3%[s,R!t!\+/0rVlkXo)A]MN;nD~>
+p\t6_h#@A7rr3%[s,R!t!fm;@rVlkXoD\j`R>h/r~>
+p\t6Ih#@Asrr3&Bs2t8(!m:PcrVll?oD\jfc]%mS~>
+p\t6'h#@A7rr3%[s,R!t!fm;@rVlkXoD\j`R>h/r~>
+p\t6_h#@A7rr3%[s,R!t!fm;@rVlkXoD\fNMuS;~>
+p\t6Ih#@Asrr3&Bs2t8(!m:PcrVll?oD\g5MuS;~>
+p\t6'h#@A7rr3%[s,R!t!fm;@rVlkXoD\fNMuS;~>
+p\t6_h#@A7rr3%[s,R!t!fm;@rVlkXoD\fNMuS;~>
+p\t6Ih#@Asrr3&Bs2t8(!m:PcrVll?oD\g5MuS;~>
+p\t6'h#@A7rr3%[s,R!t!fm;@rVlkXoD\fNMuS;~>
+p\t6_h#@S=m/R*Gs,R!t!fR)=rVlkXo`"s)cAV^Q~>
+p\t6Ih#@T$_Z0YYs2t8(!l4iYrVll?o`"sLi/@Vc~>
+p\t6'h#@S=_Z0Xrs,R!t!egT6rVlkXo`"s)aG^(K~>
+p\t6_h#@S=o)J`Ms,R!t!ce7#rVlncp%A=c\)N>GJ,~>
+p\t6Ih#@T$ec5Zls2t8(!c7nZrVloDqXsjhZ([*UJ,~>
+p\t6'h#@S=ec5Z0s,R!t!\jY7rVlncp%A=cPG*p7J,~>
+p\t6_h#@A7rr3%[s,R!t!fm;@r;QbWp&>#PMZ82~>
+p\t6Ih#@Asrr3&Bs2t8(!m:Pcr;Qc>p&>$7MZ82~>
+p\t6'h#@A7rr3%[s,R!t!fm;@r;QbWp&>#PMZ82~>
+p\t6_h#@A7rr3%[s,R!t!fm;@r;QbWpAY0,d#.jR~>
+p\t6Ih#@Asrr3&Bs2t8(!m:Pcr;Qc>pAY0Ol&,Lk~>
+p\t6'h#@A7rr3%[s,R!t!fm;@r;QbWpAY0,d#.jR~>
+p\t6_h#@T*^&S+mr/U[q!fm;@r;QbWpAY,QM>r)~>
+p\t6Ih#@TCi;`i"p<*;t!m:Pcr;Qc>pAY-8M>r)~>
+p\t6'h#@T*^&S+mp5]%k!fm;@r;QbWpAY,QM>r)~>
+p\t6_g]%_Cs8TRfNZB-07NINhNr8nWNq`PSp6UX9J,~>
+p\t6Ig]%`*s8T?sb*8-;H^)\Qb5D8>b4ko:qp(&uJ,~>
+p\t6'g]%_Cs8S:UNZB,a+ru^DNr8nWNq`PSp6UX9J,~>
+p\t6_g]%G;s8S,ZNr0n!NpMf(rrA)RrrA(8s*t~>
+p\t6Ig]%H"s8U7Ab5@J*b/;C"rrC49rrC2ts*t~>
+p\t6'g]%G;s8S,ZNr0n!Nl-nTrrA)RrrA(8s*t~>
+p\t6_g]%G;s8S,ZNr9t#9RQAjr;QbWp\t5RM#Vu~>
+p\t6Ig]%H"s8U7Ab5IP,GE1.pr;Qc>p\t69M#Vu~>
+p\t6'g]%G;s8S,ZNr9t#,?*'Or;QbWp\t5RM#Vu~>
+p\t6_g]%G;s8S,ZNr9t#5Cicor;QeXmJ6b_pQgX8J,~>
+p\t6Ig]%H"s8U7Ab5IP,J"H\_r;Qf?`;0E6qosrsJ,~>
+p\t6'g]%G;s8S,ZNr9t#+_(J3r;QeX`;0E6pQgX8J,~>
+p\t6_g]%G;s8S,ZNr0n!NrP.;rrJGMq>UGTL];l~>
+p\t6Ig]%H"s8U7Ab5@J*b5]W^rrLBjq>UH;L];l~>
+p\t6'g]%G;s8S,ZNr0n!NrP.;rrJG/q>UGTL];l~>
+p\t6_g]%G;s8S,ZNr0n!NrP(8rrA)TrrA"5s*t~>
+p\t6Ig]%H"s8U7Ab5@J*b5]?UrrC4;rrBoks*t~>
+p\t6'g]%G;s8S,ZNr0n!NrOn3rrA)Trr@h0s*t~>
+p\t6_g]%G;s8S,ZNr0n!NrPOErrA)UrrKm-L];l~>
+p\t6Ig]%H"s8U7Ab5@J*b5Y?9rrC4<rrM(XL];l~>
+p\t6'g]%G;s8S,ZNr0n!NrLp4rrA)UrrKkqL];l~>
+p\t6_g]%G;s8S,ZNr0n!NrP.:rrA)UrrA(6s*t~>
+p\t6Ig]%H"s8U7Ab5@J*b5]W]rrC4<rrC2rs*t~>
+p\t6'g]%G;s8S,ZNr0n!NrP.:rrA)UrrA(6s*t~>
+p\t6_g]%M=s8S,ZNZo\H*<M9$Nr/hWNpZcE!Pcp7s*t~>
+p\t6Ig]%N$s8U7Ab)qhcPQK#-b5;2>b/O;Y!TE6ss*t~>
+p\t6'g]%M=s8S,ZNZK8@*<M9$Nr/hWNlCqr!Pcp7s*t~>
+p\t6_g]%M=rVqoXN^5u1*<M9$Nr/hWc*I9I!/uX3J,~>
+p\t6Ig]%N$q>\V;b'ng=PQK#-b5;2>kHt0e!5jNjJ,~>
+p\t6'g]%M=q>ZKTNZfSF*<M9$Nr/hWc'&#)!/Q@/J,~>
+p\t6_g]%G;iW"r<Nr0n!PPL78rrA)XrrKp-L&ZZ~>
+p\t6Ig]%H"T)Zt5b5@J*a8F*VrrC4?rrM(WL&ZZ~>
+p\t6'g]%G;T)XiNNr0n!O84h4rrA)XrrKnpL&ZZ~>
+p\t6_g]%G;s8S,ZNr0n!iJrrprrJ/Yrr2tWK`?Q~>
+p\t6Ig]%H"s8U7Ab5@J*T$#4PrrL:<rr2u:K`?Q~>
+p\t6'g]%G;s8S,ZNr0n!SrSj-rrJ/Urr2tSK`?Q~>
+p\t6_g]%G;s8S,ZNr0n!s,N-9rrnG?s8Tj*K`?Q~>
+p\t6Ig]%H"s8U7Ab5@J*s2rL\rrpQ4s8UkPK`?Q~>
+p\t6'g]%G;s8S,ZNr0n!s,N-9rrnFMs8T\iK`?Q~>
+p\t6_g]%GAq>ZKTNr0n!s,N-9rrg!.rP+kTs*t~>
+p\t6Ig]%H$r;Xq>b5@J*s2rL\rrfZTqV4bss*t~>
+p\t6'g]%GAq>ZKTNr0n!s,N-9rre`nqReS9s*t~>
+p\t6_gA_;9s,R,>r#Gk=NfNr8"0R$BnUpjl~>
+p\t6IgA_;us2tAar0.9_b0'P[",2k7d=_IL~>
+p\t6'gA_;9s,R,>r#Gk=NfNr8"):god=_IL~>
+p\t6_gA_;9s,I&=r#Gk=:sA_7!9/S0J,~>
+p\t6IgA_;us2G#\r0.9_XQTBY!2>&EJ,~>
+p\t6'gA_;9s,$c9r#Gk=:sA_7!2>&EJ,~>
+p\t6_gA_>9s-WhH+T3;]ruH[jpA]X~>
+p\t6IgA_>qs%`U:P5UUGs-/*7pA]X~>
+p\t6'gA_;5s"OJ5r#Gh<*J+7as*t~>
+p\t6_gA_P!s,R,>66.0k*WI.2s7ZJC~>
+p\t6IgA_Ons2tAaI?]nXPlHu!s7ZJC~>
+p\t6'gA_=,s,R,>,5iM_ruH[jpA]X~>
+p\t6_gA_P@s,R,>*?@I5*WI.2s7ZJC~>
+p\t6IgA_Q's2tAaPa$TEPlHu!s7ZJC~>
+p\t6'gA_P@s,R,>*??=J*WI.2s7ZJC~>
+p\t6_gA_;9qi^u>r#Gh<*J+7as*t~>
+p\t6IgA_;urQG5`r0.6^P_&l.s*t~>
+p\t6'gA_;9qi^u>r#Gh<*J+7as*t~>
+p\t6_gAh25s8N(Zr#Gh<*J+7as*t~>
+p\t6IgAh2qs8N)Ar0.6^P_&l.s*t~>
+p\t6'gAh25s8N(Zr#Gh<*J+7as*t~>
+p\t6_gAh25s8N(ZrZ))1+RU8$s7ZJC~>
+p\t6IgAh2qs8N)ArfdM3P/rl=s7ZJC~>
+p\t6'gAh25s8N(ZrZ)(b*QT7Ps7ZJC~>
+p\t6_gA_P@IK0>-+!!fk7Go2;s7ZJC~>
+p\t6IgA_Q'PQ1[*PE^EYH^g7Ns7ZJC~>
+p\t6'gA_P@=9&;\*??=E,+BU(s7ZJC~>
+p\t6_gA_Q'6iR+GCdpl76iS0Xs7ZJC~>
+p\t6IgA_QCIJj,fA:&ZfIK,O_s7ZJC~>
+p\t6'gA_Q',5hJ$-R'`T,6&[7s7ZJC~>
+p\t6_g&DFNhuA^-*?@TiruM)is7cPD~>
+p\t6Ig&DG+R/b<TPa$NZs-3J5s7cPD~>
+p\t6'g&DF(R/`0j*??=EruM&hs7cPD~>
+p\t6dg&D1oi;\gdrZ)(_mRQ2ds7cPD~>
+p\t6Ug&D1`RfCNrrfdMKaa0D,s7cPD~>
+p\t6>g&D1&RfACPr>bs],+=)_p]#a~>
+cMn70s8TQG*uu@jhf+/HpA]X~>
+cMn6As8T?5PE_;YQstXHpA]X~>
+cMn$;s8S91rZ)%aQm[IbpA]X~>
+bPqgWR$U;c8)M+5s7ZJC~>
+bPqgO8P4;lHC-O?s7ZJC~>
+bPqg2/1_tc,+(3<s7ZJC~>
+bPqe8i0g"Kd-lPcp&BO~>
+bPqdkRnQL4B[),.p&BO~>
+bPqdkRkHEOB[),.p&BO~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+!PA+(rrW3"rdk*ds*t~>
+!PA+(rrW3"rdk*ds*t~>
+!PA+(rrW3"rdk*ds*t~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1f.ps b/books/ps/bookvol1f.ps
new file mode 100644
index 0000000..b574962
--- /dev/null
+++ b/books/ps/bookvol1f.ps
@@ -0,0 +1,878 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/sinsinsin.ps
+%%CreationDate: Fri Dec  9 18:28:31 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 216 226
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 211.000000 translate
+201.000000 -211.000000 scale
+% Image geometry
+201 211 8
+% Transformation matrix
+[ 201 0 0 211 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 201 string def
+/gstr 201 string def
+/bstr 201 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        34510 ASCII Bytes
+colorimage
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcEUes8MioJ,~>
+JcEUes8MioJ,~>
+JcEUes8MioJ,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+g&M*2'(Gr$iSj;+nDW@+nGiOXs8VTWqYpQRrVmu/s8V':nGiOIiUHm:iSjh+s8VTgs7#LWs5Dr+
+s8VTarrD!Uru(>+s5Dr+s8V':nGi":iW&EIs7$'gnF-DHro*nW!:]ga!8uK/J,~>
+g&M)^'&<Ne\@C>ogpjloh#IE0s8Um.qYpQ(rVmtps8TU=h#IDa\D7,>\@DRos8UmSs4l?.s1#So
+s8UmMrrBM+ru'Vls1#Sos8TU=h#H0>\Gt@as4mYSgtMe`rj`".!8RDM!4LMZJ,~>
+g&M)C'$gOWSXn(+cCLO+cN!pis8UBfqYpParVmtbs8SX\cN!p8S^.8\SXof+s8UCEs3Agfs.,_+
+s8UC?rrAMdru',^s.,_+s8SX\cMu1\Sc@"8s3CZEcHH75rgj)h!7(E?!1MO>J,~>
+g&D`BrU015rVbXRrndVRhsg['s8V!UrrD!Us![=)s6oI7i;_[4mdT05rSRYShYmK3nGhDGs53kV
+i;NW3s5;f(n,M>Es![=)s6oI7i;_[4mdT05rSRYShYmK3nGhDGs53kVrr)fPs5;f(n,M>ErrMQW
+f`-I~>
+g&D_lqq0]4qtmc#rNlD$[+t\gs8TJ*rrBM+s!ZOTs4Z88[f<]2f\Eq4qm?D%Zhsd0h#Fb]s0Vh+
+[eos/s0f;igAeV[s!ZOTs4Z88[f<]2f\Eq4qm?D%Zhsd0h#Fb]s0Vh+rVQJus0f;igAeV[rrLd-
+f`-I~>
+g&D_NqT7$PqYHTZr0@-YR*P`!s8SJcrrAPes!Z"7s3&]TS,\cMaj-CPqO%<\Q2:NJcMs:3s-Wid
+S,2uKs-oD$bQ"(1s!Z"7s3&]TS,\cMaj-CPqO%<\Q2:NJcMs:3s-Widr;-8Ts-oD$bQ"(1rrL6e
+f`-I~>
+g&DrIs8V!EiUHjHs53kVhsU!ks8V!Vs6n:kn,E>9huE`6cgUnks8V!EiUHjHs53kVhsU!ks8V!V
+s8N&fmf2b%huE/khs^RE)W1Sphp:ckhuE`6mc![7s8V!Vs5386huE`6rVm5Pn,Mk&huE/khs^RE
+!8lH/J,~>
+g&Dqss8TIY\_R/`s0Vh+[+O0@s8TJ+s4WO@gA_+$[/^05O4sW@s8TIY\_R/`s0Vh+[+O0@s8TJ+
+s8DuQf`0Zd[/\j@[+bNZ)RTPE[#`r@[/^05fX]f9s8TJ+s0UG6[/^05rVm4hgAflf[/\j@[+bNZ
+!4:DYJ,~>
+g&DqWs8SJ-T$R?7s-WidR)mU@s8SJds3"r?bPqMjR/d2RABb(@s8SJ-T$R?7s-WidR)mU@s8SJd
+s8;oCaT'IpR/b??R*5L/)OUR)Qt4G@R/d2RaI^`Us8SJds-UmRR/d2RrVm4>bl>mtR/b??R*5L/
+!1;F=J,~>
+g&D`Cs8V!VrU/VDs53kVhuE,ks8V!UrrCsSru0epn,D54s53kVhuEZCi;`i7s8V!Vma2"6hu<W^
+nF$>Vmbe$4s53bS)W1S`rnm/DhuE`6s8DBDs8V!Vs53kEd/X.'rVm0%huE-%rpTmEr;QcSf`-I~>
+g&D_ms8TJ+qU`4Vs0Vh+[/\a@s8TJ*rrBG(ru/9EgASD1s0Vh+[/^!S\,ZK8s8TJ+f9616[/U(3
+gt2T+f<kM1s0V_()RTOurNt2V[/^05s8(?Vs8TJ+s0VgXP5kQhrVm0"[/\abrS%:Yr;Qc(f`-I~>
+g&D_Qs8SJdq8f'*s-WidR/b6@s8SJcrrAGaru.:)bP[aKs-WidR/d!'S,`MUs8SJdaCtVRR/[*l
+ccH.daI)nKs-W`a)OUQJr0YS*R/d2Rs7sa*s8SJds-Wi-B`J+"rVm0!R/b6pr6,,-r;Qbaf`-I~>
+g&D`Cs7#I7s8V!Vs53kVhuE`5s8V!Urs%B\nGiOXmf*5)rr<#Us7#I7s8V!Vs53kVhuE`5s8V!V
+s7#ITrrE&trs%B\nGiOXmf*5.rr<#Us7#I7s8V!Vs53kVhuE`5s8V!Vs7$'ghuE`Urr32[s7$'g
+nF"s/J,~>
+g&D_ms4l58s8TJ+s0Vh+[/^03s8TJ*rs#k1h#IE0fDbdgrVuo)s4l58s8TJ+s0Vh+[/^03s8TJ+
+s4l6)rrE#srs#k1h#IE0fDbdlrVuo)s4l58s8TJ+s0Vh+[/^03s8TJ+s4mYS[/^1)rr320s4mYS
+gt13YJ,~>
+g&D_Qs3JcUs8SJds-WidR/d2Os8SJcrs"kjci=$kaSu2Xr;Zeas3JcUs8SJds-WidR/d2Os8SJd
+s3JdbrrDurrs"kjci=$kaSu2]r;Zeas3JcUs8SJds-WidR/d2Os8SJds3L`FR/d3arr31is3L`F
+ccFc=J,~>
+g&E&KhsUODhr!l%n(ut%mf3=Ts8VNVs8W)Umf3=EqYq>fhsUODhr!l%n(ut%mf3=Ts8VNVs6fmD
+qu6j!hsUOEhtm?jhV[c$rnlW$s6nh%s6fpemf3=TnGiLFhsUCA"odEIs8V!.s*t~>
+g&E%t[+G?U['\Hbg9S*cfDkm&s8U^+s8W#(fDklXqYq>:[+G?U['\Hbg9S*cfDkm&s8U^+s4@7W
+qu6it[+G?X[/0e?ZF&6`r3Wi_s4Xccs4@;NfDkm&h#I;Z[+G3T"oPaZs8TIXs*t~>
+g&E%VR)o=)R$btpbESCoaT):]s8U0ds8Vt`aT):-qYq=qR)o=)R$btpbESCoaT):]s8U0ds2b2,
+qu6isR)o=-R/6h#PaKPlqj<bls3$Xos2b6?aT):]ci<m0R)o1)"oF\.s8SJ<s*t~>
+`W#r;qYpQpk5PG\nc&Ugk5PG\nc&UgfDg@~>
+`W#r9qYpQnk5PGZnc&Uek5PGZnc&UefDg@~>
+`W#r8qYpQmk5PGYnc&Udk5PGYnc&UdfDg@~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+Sc8][Sc=3~>
+Sc8]ESc=3~>
+Sc8]%Sc=3~>
+Sc8]ZSc=3~>
+Sc8]DSc=3~>
+Sc8]"Sc=3~>
+Sc8]ZSc=3~>
+Sc8]DSc=3~>
+Sc8]"Sc=3~>
+[K$2pmJd1UmJd12rgNo4[f:j~>
+[K$3OmJd1?mJd1Lrm(T-[f:j~>
+[K$2pmJd0rmJd12rgNo4[f:j~>
+\,QJuEW+;dG4G&$!:]FV!J[?JdK-)#\,Us~>
+\,QKUDZ,_!CXMVN!8?l@!M=oAOo^*'\,Us~>
+\,QJu1]<441XY[k!4_Is!G>d=MZI0u\,Us~>
+\GlVce,0+D!p4XMnG`LXnG`U8LWKGnrrW/iGI[['~>
+\GlW&R.L:V!lAR4nG`LBnG`URT4.Qps8VlpCq0Lq~>
+\GlVCOn8PO!l$A4nG`KunG`U8B3tE5rrW#e1q<R9~>
+\c2_dpAOmg!qrn5nc&UYnc&^:PP4tPrrMhY\c70~>
+\c2`(p%eLb!qiq-nc&UCnc&^T;t]t`rrMf;\c70~>
+\c2_Eo(i1_!qMMCnc&U!nc&^:1@k8<rrM\U\c70~>
+])Merf(f7GrJpFJ!:]OY!KR'PrrMn[])R9~>
+])MfUNqiVTpr`.,!8?uC!Qt!.rrN&B])R9~>
+])MerMYR2Ppl=nE!4_S!!KQaGrrMn[])R9~>
+]Dhnfp\+Uf^WuEM!:]RZ!P-qXrrVq\n\"mP~>
+]Dho*qtC$jiTTk4!8@#D!P"WmrrW)Bd_,U1~>
+]DhnGp\+Uf^WuEM!4_V"!LfAKrrVq\d_,U1~>
+]`/"ueb&kANq32MnFHS[Pl::T!U#][s*t~>
+]`/#WNV*5Nb4>Q4g@G7E`q]6,!Q`9ns*t~>
+]`/"uM=gfJNq32M\FTY#O8/DJ!Q:&3s*t~>
+^&J,Z^@V@*^;9F@!:]U[!LE!ArrKj[^&NT~>
+^&J,si:HsLi4S[]!8@&E!R8s^rrM'A^&NT~>
+^&J,Z^@V@*^8(<"!4_Y#!LCq#rrKj[^&NT~>
+^&J(mnc&T:oD\g[oD\j#mIL8WNkPIC~>
+^&J)Tnc&TLoD\gEoD\ir`:Ep.b.[h*~>
+^&J(mnc&SfoD\g#oD\iT`:Ep.NkPIC~>
+^Ae5#p@8.`^<cHO!:]X\!RJLMrrMh[^Ai]~>
+^Ae5Zqsj[ei99h5!8@)F!U/J3rrN#B^Ai]~>
+^Ae5#p@8.`^<cHO!4_\$!RJLMrrMh[^Ai]~>
+^]+>\Yj_SlNqE>OnFZ_\NpluK^;@YbJ,~>
+^]+?![I=+qb4P]6g@YCFb4#?2i4Zo*J,~>
+^]+>\P4/DNNqE>O\Ffe$NpluK^8/ODJ,~>
+^]+=`m-jrT^!QHP!:][]!RSOJrr@D\s*t~>
+^]+>#_sdU+i9Bq7!8@,G!U8P1rrA(os*t~>
+^]+=<_sdU+^!QHP!4__%!RSOJrr>s3s*t~>
+_#FG%p?hk[NqNDPnFce]NpZiI^!ORpJ,~>
+_#FG\qsFC`b4Yc7g@bIGb3f30i9A&WJ,~>
+_#FG%p?hk[NqNDP\Fok%NpZiI^!ORpJ,~>
+_#FCpm/I*HiqEBPnFce]P3i2KNkk[F~>
+_#FDWm/I+/U%\Kdg@bIG=7#qeb/"%-~>
+_#FCpm/I*HU%\Kd\Fok%2!k5BNkk[F~>
+_>aP'p$D\Zop,7N!:]^^!LW]LrrKd[_>f#~>
+_>aP]qX"4_qSi1.!8@/H!RC*!rrM$A_>f#~>
+_>aP'p$D\ZooJhH!4_b&!LW9@rrKd[_>f#~>
+_>aLqlMgjEpAY-^pAY,QlMgjE_>f#~>
+_>aMXlMgk,pAY-HpAY-8lMgk,_>f#~>
+_>aLqlMgjEpAY-&pAY,QlMgjE_>f#~>
+_Z'Y(p$2PWNqWJQnFuq`dCecE!PHgss*t~>
+_Z'Y^qWe(\b4bi8g@tUJl/1e+!T3.Ys*t~>
+_Z'Y(p$2PWNqWJQ\G-"(dCecE!PHgss*t~>
+_Z'Url2LeVRJ6^]nFuq_Np-KCNl(gH~>
+_Z'VYl2Le\chIG>g@tUIb38j*b/41/~>
+_Z'Url2LeVRJ6^]\G-"'Np-KCNl(gH~>
+_uBb*o]Z;TNq`PRnFuq_Np-KD]@+UsJ,~>
+_uBb`qWRqZb4ko9g@tUIb38j+hs/,ZJ,~>
+_uBb*o]Z;TNq`PR\G-"'Np-KD]@+UsJ,~>
+_uB^skPkRpdeNhBnG*"ad_"]B!04tsJ,~>
+_uB_ZkPkS?lM1AZgA([KlJLe)!6W4ZJ,~>
+_uB^skPkRpdeNhB\G6()d_"]B!04tsJ,~>
+`;]k,oB-&QEVTP6nG*"aY2\XE!P?dus*t~>
+`;]kaqW@eXD>=,2gA([K[\N$c!T31\s*t~>
+`;]k,oB-&Q1ALkL\G6()P,%4?!P?dus*t~>
+`;]gtjo5==q#:?`q#:A\r9""ZNl:sJ~>
+`;]h[jo5=qq#:?Jq#:B5o]H/Rb/F=1~>
+`;]gtjo5=5q#:?(q#:AUo]H/RNl:sJ~>
+`W#t-oB#uPNqiVSnG*"`Nog9A]$nXuJ,~>
+`W#tbq;qVVb4tu:gA([Jb2rX(hWi)[J,~>
+`W#t-oB#uPNqiVS\G6((Nog9A]$nXuJ,~>
+`W#pujSo4?q#:?`q#:>SjSo4?`W(G~>
+`W#q\jSo5&q#:?Jq#:?:jSo5&`W(G~>
+`W#pujSo4?q#:?(q#:>SjSo4?`W(G~>
+`r?(/o&TfOnsfIT!:]ga!LrZ@rrK^[`rCP~>
+`r?(cq;hPVq9Sm:!8@8K!RLT&rrM!A`rCP~>
+`r?(/o&TfOnsfIT!4_k)!LrZ@rrK^[`rCP~>
+`r?$jir9"=q>UHaq>UGTir9%>o>gl]~>
+`r?%5ir9#$q>UHKq>UH;ir9&%f>moA~>
+`r?$Nir9"=q>UH)q>UGTir9%>f>moA~>
+a8Z1icJnj(Nqr\TnG3(aNoL'>\\Q8cJ,~>
+a8Z2+L>r45b5)&;gA1aKb2WF%hQ+]sJ,~>
+a8Z1iJ)^J.Nqr\T\G?.)NoL'>\Wk/7J,~>
+a8Z."iVrn<q>UHaq>UGTiVrn<a8^Y~>
+a8Z.^iVro#q>UHKq>UH;iVro#a8^Y~>
+a8Z."iVrn<q>UH)q>UGTiVrn<a8^Y~>
+a8Z."iVrqheGB1FnG<.ce@FQ<!05,"J,~>
+a8Z.^iVrr8lh^V]gA:gMle^V#!6W@^J,~>
+a8Z."iVrqheGB1F\GH4+e@FQ<!05,"J,~>
+aSu:2n_jEINr&bUnG<.bNo9p<nXR]#J,~>
+aSu:fpu)/Pb52,<gA:gLb2E:#ps@+^J,~>
+aSu:2n_jEINr&bU\GH4*No9p<nXR]#J,~>
+aSu7#hu<\:qYpQbqYpPUhu<\:aT$b~>
+aSu7_hu<]!qYpQLqYpQ<hu<]!aT$b~>
+aSu7#hu<\:qYpQ*qYpPUhu<\:aT$b~>
+ao;Cl\DR;dNr&bUnG<.bNo0j;\CJ_$J,~>
+ao;D-h;A54b52,<gA:gLb2<4"h<W2_J,~>
+ao;Cl\DR;dNr&bU\GH4*No0j;\CJ_$J,~>
+ao;@$hZ!S9qYpQbqYpPUhZ!S9ao?k~>
+ao;@`hZ!SuqYpQLqYpQ<hZ!Suao?k~>
+ao;@$hZ!S9qYpQ*qYpPUhZ!S9ao?k~>
+ao;@$hZ!WGSbrEenGE4dSabM9!052$J,~>
+ao;@`hZ!WOdJNqDgACmNdJ2Su!6WF`J,~>
+ao;@$hZ!WGSbrEe\GQ:,SabM9!052$J,~>
+b5VL5nD4*ENr/hVnGE4cNns^9n=@`%J,~>
+b5VLiptbrMb5;2=gACmMb2*'upsI7aJ,~>
+b5VL5nD4*ENr/hV\GQ:+Nns^9n=@`%J,~>
+b5VI%h#@A7qu6Zcqu6YVh#@A7b5Zt~>
+b5VIah#@Asqu6ZMqu6Z=h#@Asb5Zt~>
+b5VI%h#@A7qu6Z+qu6YVh#@A7b5Zt~>
+bPqU7n(dpDNqE8L!:]mc!/'),!UlW's*t~>
+bPqUjptYlMb1cdn!8@>M!2\KN!Vk'cs*t~>
+bPqU7n(dpDNnXF2!4_q+!,:6g!UlW's*t~>
+bPqR&g]%;7lMUY^nGE4cU>,\JNm%HQ~>
+bPqRbg]%;s^&7m1gACmMDVP0kb00g8~>
+bPqR&g]%;7^&7m1\GQ:+;;;*NNm%HQ~>
+bl7^q[bLf_[b(HW!:]pd!S=d7rrKR[bl<1~>
+bl7_1gtVi0h!Ft=!8@AN!USUrrrLpAbl<1~>
+bl7^q[bLf_[b(HW!4_t,!S=d7rrKR[bl<1~>
+bl7['g&D&4r;Qcdr;QbWg&D&4bl<1~>
+bl7[cg&D&pr;QcNr;Qc>g&D&pbl<1~>
+bl7['g&D&4r;Qc,r;QbWg&D&4bl<1~>
+bl7['g&D&4r;Qcdr;QbWg&D&4bl<1~>
+bl7[cg&D&pr;QcNr;Qc>g&D&pbl<1~>
+bl7['g&D&4r;Qc,r;QbWg&D&4bl<1~>
+c2Rg:mb.U?Nr8nWnGN:dNnOF5m[qc(J,~>
+c2RgmpY#QHb5D8>gALsNb1ZdqpX7=dJ,~>
+c2Rg:mb.U?Nr8nW\GZ@,NnOF5m[qc(J,~>
+c2Rd(f`(r3r;Qcdr;QbWf`(r3c2W:~>
+c2Rddf`(ror;QcNr;Qc>f`(roc2W:~>
+c2Rd(f`(r3r;Qc,r;QbWf`(r3c2W:~>
+cMmpt[FkKZNr8nWnGN:dNnF@4[Fie)J,~>
+cMmq4gt;W,b5D8>gALsNb1Q^ph!NDeJ,~>
+cMmpt[FkKZNr8nW\GZ@,NnF@4[Fie)J,~>
+cMmpFjOjJ4Nr8nWnGN:dNn=:2F3af9~>
+cMmpUW7_+Mb5D8>gALsNb1HXnF3af9~>
+cMmp-W7_+MNr8nW\GZ@,Nn=:22pVGR~>
+cMmp7qUkfK[+YEX!:]se!MJi3rr@o$s*t~>
+cMmp^mb%O?h!P(?!8@DO!Rg\nrrBUTs*t~>
+cMmp,mb%O?[+YEX!4`"-!MJi3rr@Jms*t~>
+ci4$>m+21:NrAtXnGW@eNn442m%Mc*J,~>
+ci4$op=B6Db5M>?gAV$Ob1?Rnp<q:eJ,~>
+ci4$>m+21:NrAtX\GcF-Nn442m%Mc*J,~>
+ci4!*ec,W0rVllerVlkXec,W0ci8L~>
+ci4!fec,WlrVllOrVll?ec,Wlci8L~>
+ci4!*ec,W0rVll-rVlkXec,W0ci8L~>
+d/O.#Zdo'UNrAtXnGW@eNn+.1ZeEe+J,~>
+d/O.6gXZ<(b5M>?gAV$Ob16Lmg[3AfJ,~>
+d/O.#Zdo'UNrAtX\GcF-Nn+.1ZeEe+J,~>
+d/O*+eGfN/rVllerVlkXeGfN/d/SU~>
+d/O*geGfNkrVllOrVll?eGfNkd/SU~>
+d/O*+eGfN/rVll-rVlkXeGfN/d/SU~>
+d/O*+eGfN/rVllerVlkXeGfN/d/SU~>
+d/O*geGfNkrVllOrVll?eGfNkd/SU~>
+d/O*+eGfN/rVll-rVlkXeGfN/d/SU~>
+dJj6AldYq7NrAtXnGW@eNn"(0l_;f,J,~>
+dJj6rp=0*Bb5M>?gAV$Ob1-Flp=%FhJ,~>
+dJj6AldYq7NrAtX\GcF-Nn"(0l_;f,J,~>
+dJj3,e,KI7UAk/mnG`FgU?g;.!05J,J,~>
+dJj3he,KIAe,K@IgA_*Qe+M2i!6W^hJ,~>
+dJj3,e,KI7UAk/m\GlL/U?g;.!05J,J,~>
+df0@&ZI8aQK`:uOnG`FgNqLm$!05J,J,~>
+df0@9gX?*%WW)ntgA_*Qb21VI!6W^hJ,~>
+df0@&ZI8aQD>sP8\GlL/No&7b!05J,J,~>
+df0K2s1!BbgXcB)GlI^CnG`Fg\*;NE"l$P?RE))Ns*t~>
+df0Kns4rLemahC<KDtlNgA_*QZ+8Kd"n(3GZfKT`s*t~>
+df0K2s0te5gXcB)8H/Vh\GlL/PI]<F"l$P(K#aY7s*t~>
+df0_kHF<@=FDn\;\@BuBh>[J8rr2ufrr2tYh#@emd^Zg8R=pCle<`i$e,Op~>
+df0`dM1jQ[G)tJ)h;-BEh>[Jtrr2uPrr2u@h#@f=cJ@=%Z`-miY(htoe,Op~>
+df0_k9lAX53_[&q\@B0+h>[J8rr2u.rr2tYh#@em]=>A_K5N1*UL#h8e,Op~>
+e,L!7[B63aZ,G1UU".]3Z%U!)i;We;rr2ufrr2tYi;`hfs,IN,eCC7JjOD\>U9go?e,Op~>
+e,L!IKX]IQg3W(hC?t23g8URui;Wf"rr2uPrr2u@i;`i6s2b\YY3Vuaii]H+E6?5!e,Op~>
+e,L!7D3CZSZ#A0?9\%[3Z#5B.i;We;rr2u.rr2tYi;`hfs,IM]UXafCet]"#;l-(Ne,Op~>
+e,KMcUX\T-rrW#$h#@<Wq;]tX_VF2O!07'Y!:^!f!06+>"PfcIeC=Hs!o1'PrVluke:_qms*t~>
+e,KN\EU3;rrrVN?mf*4ilf%00S*o>:!6Y<@!8@GP!6X@%"RacZlg+NL!q+dprVluPl`,-Ws*t~>
+e,KMc;q1+2rrVMkh#@<WldjR'M;7.k!07'Y!4`%.!06+>"PfbNeC=Hs!o1'5rVluPe8@@ss*t~>
+ec,`_CQ\5arrKC[r;Qoqj0>Dkjo5=@rr2ufrr2tYjo5IpNj7j?r;QfQZ2+D%q1rIjec1.~>
+ec,a.\Zj]]rrLjBr;QociS)f<jo5>'rr2uPrr2u@jo5J?akHF>r;QfdgA1aNlaE5<ec1.~>
+ec,`_CO=\/rrKC[r;QoceZkp]jo5=@rr2u.rr2tYjo5IpNj7j#r;QfQZ2+D%lZu79ec1.~>
+fDbubNmj6Wp\t8lc2.GCl-k[(p#uD]Yhf?ZnGiOEYil#fduMoQrrLr8p\tB\Ggh\afDg@~>
+fDc!1am,P.p\t9*]DDO1p$0ZUi9:1Hg@,(AgAh3Ag?8J;ccPJJrrMS%p\tBhK'LJ7fDg@~>
+fDbubNmi!Wp\t8VWVZVtl-k[(i9:1HYhf?Z\GuTbYil#f]oLS;rrLq>p\tB\7amC/fDg@~>
+f`))D\c;\SpAY3iYe0]1!lE"6kl1jIs8VTgs,Q=C!o8mRq#:EOYk%Mf"HNN^d\GIpJ,~>
+f`))^QiI*#pAY3[g>D]*!k,#qkl1k0s8UgQs2sR*!q46Vq#:Eag=Gut"NpcEl>kPWJ,~>
+f`)).JH,XopAY3[Ye0]1!hYb6kl1jIs8TV/s,Q=C!o8lRq#:EOYh&OJ"HNN^dT+s"J,~>
+g&D5Piq`W1Yk7r)d\[!"e@W?B]@?lEYheRD#*/``nGiNKl2M4)YlFa8e@X5B]Cl3#Yk7r!Nnsa8
+ntk%>J,~>
+g&D6*i9L@2g@YCSlI>k&d,3a-hpDDqg@+;+#0QuGgAh2ql2M4MgAh31d,34-hr+Oag@YCKb4#B1
+f$rCQJ,~>
+g&D5PeE[(iYk7r)d\[!"^:V"k]>"=/YheRD#*/``\GuShl2M4)YlFa8^:V+k]AW^cYk7r!Nnsa8
+etq("J,~>
+g]%?2Np-KB!GqH#rsd"AVS^`sd_X@lUV*h-lMh'Ks8VTgs,QCE%AhIbKWWY=dDF;IYaaPArrM>:
+rr3&`NnrIiJ,~>
+g]%?Dan5T4!P74\rse%h]6NSKXL>4PF5P[#lMh(2s8UgQs2sX,%FjY"X-2^ll$2I$S@7#?rrMbm
+rr3&lam\!aJ,~>
+g]%?2Np-KB!Gp]crsd"AO_iF:TUqg:<kPZ5lMh'Ks8TV/s,QCE%AhIbDfjBCd;74%IYQ#:rrM>%
+rr3&`NnrIiJ,~>
+h#@E3YPeD$?0Lq\".ZR"TDJQko$N,mV;CS=#*/``nGiNKm/I:HNhrMuq"Xad"Jrr=]_;!t!ES@]
+rrK=[h#Dm~>
+h#@EDg&1jND79*:"1Hm7^\[s6e`j,teF2c(#0QuGgAh2qm/I:YajkLtlK\9H"Oq[dhr45-!HG7?
+rrLgAh#Dm~>
+h#@E3YPeD$-+<IG",F'pOS\t\e^8;XV;CS=#*/``\GuShm/I:HNhoe(lK\9H"Jop`]]&M_!@4fG
+rrK=[h#Dm~>
+h>[N4N;W\VV2+^C"f9'8s6-<Trri,UG(o)Grs"M`s7$'gNpZiLhMdKAo(i:hV<IsZ^rQ*I!I(16
+rrK"Zh>`!~>
+h>[NEC&Iu3e[4uK"k@hss7Fk;rrhWE^8nC'rs$XGs4[MQb3f33mqKo.eG9+Jeb&nA[ANTr!PZ>H
+rrKa6h>`!~>
+h>[N45Q(N^V0V_5"f6#7s6-<TrrhW8G&XSNrs"M`s1&+/NpZiLhER%IeG9+JV<IsZSX&jI!I'Y'
+rrJ7ah>`!~>
+hZ!Z6YO_Vks,QdP!N,&YrrK=[p\t<2B&;tU#*/``nGiNKmf*@F<Oql(!T($YrrM;Yp&G&Pr;Qin
+^u!rJJ,~>
+hZ!ZGg!os"s2t$7!S-i@rrLgAp\t;=V!maO#0QuGgAh2qmf*@WYIXE-!Un_?rrMb7p&G'7r;Qi_
+cgT`jJ,~>
+hZ!Z6YLNLMs,QdP!N,&YrrK=[p\t;1=5NBF#*/``\GuShmf*@F<L`a_!T($YrrM:ap&G&Pr;Qi_
+Z/4@;J,~>
+hZ!S9qu6_pkDo99!N,&WrrK:[p\t<XV9\Q0#*/``nGiNKn,EIHN9Bs8!T1'WrrMYepAY2SkGJ.V
+!Nt>;s*t~>
+hZ!Suqu6`JoZHn-!S-i>rrLgBp\t<e]=dV4#0QuGgAh2qn,EIYC@q9#!V"e>rrLU!pAY3:o[Wj=
+!SQu"s*t~>
+hZ!S9qu6_pkDo99!N,&WrrK:[p\t<XOfRsN#*/``\GuShn,EIH5j.nA!T1'WrrLTGpAY2SkGJ.V
+!Nt>;s*t~>
+hu<_SkPP8\NrP.6rrJ\9q>UJuhtR-Ppo`NDrs#X`s7$'GY42GmhlcMDrrM#[q>UKYV"aljNrP.9
+rrA):s*t~>
+hu<`-o_\Xib5]WYrrKX)q>UKKnFuqal.PRqrs%0Gs4[MBg$o"CnCc:brrMWBq>UKfG5)"<b5]W\
+rrC4!s*t~>
+hu<_SkPP8\NrP.6rrItBq>UJuhtR-Pl)rq5rs#X`s1&*dY42GmhlbH&rrM#[q>UKY=SMgsNrP.9
+rrA):s*t~>
+i;WhTkPP8]VW[u<q#:EQVtg&e!Nt>RrrK:;nG`WOs7$&KnG`OHY4hkrhlc_R!P.+_rr\;DkGJ.V
+!U$?<s*t~>
+i;Wi.oDAOiearfVq#:Eb_Wgjq!SQu9rrLg3nG`X6s4[LqnG`OYg%PFHnCdR9!P%Xorr^EHo@<a<
+!V=k"s*t~>
+i;WhTkPP8]VW[tEq#:EQR-FDG!Nt>RrrK:;nG`WOs1&)hnG`OHY4hkrhlc_R!Lhp@rr\:akGJ.V
+!U$?<s*t~>
+iVrqMc2.GBNrT-Iq#:>Sp&>&qhtI'NQ&"o0"a0k7s/"lKrrM#[pAY0NY4_epNqiVVNqiX7qYpTY
+UuD?(~>
+iVrqgU\aumb5_L?q#:?:p&>'FnFlk_c,T;R"aU.%s1GQ+rrMWApAY0_f_,7Eb4tu=b38lJqYpTf
+GN&RP~>
+iVrq9QMUU`NrT-*q#:>Sp&>&qhtI'NQ&"o0"[;srs,jMUrrM#[pAY0NY4_epNqiVVNp-M'qYpTY
+=lKC2~>
+ir9)<VYL&g"K1D^s,QpT!N5)PrrA)PrrJ@^o)AlKs7$&]q"+LdLop@M!06^O!Tp<UrreA^s5p6U
+rrKXfir=N~>
+ir9)L_W^ms"P*,Ds2t0;!S-f6rrC47rrLBpo)Am"s4[Lfkk"fT`n9ta!6Xs6!V=k;rrgLEs7=e;
+rrKUuir=N~>
+ir9)<Qg">H"K1D^s,QpT!N5)PrrA)PrrJ@^o)Al;s1&)jkk"fTLop@M!06^O!Tp<UrreA^s5p6U
+rrJPGir=N~>
+j8T/<XnhtsNrK%YNqr\TNq<8Ok,7nP!ToF6rreA^nGeO?rrK$^p&>&jk4ATQNqr\TNrK%YNqr\U
+Xl/7>J,~>
+j8T/Lf_POIb5VD@b5)&;b4GW6o@<O6!V;$:rrgLEgAf=errLZop&>'CoCMt^b5)&;b5VD@b5)&<
+f^Rr$J,~>
+j8T/<XnhtsNrK%YNqr\TNq<8Ok,7nP!TmJTrreA^\GqT\rrK$^p&>&jk4ATQNqr\TNrK%YNqr\U
+Xl/7>J,~>
+j8T+>q>UKRXoA>#Nr&bVVp4f4!ToI9rrLuSo`#&Ss7$&Ko`"rik4S`TT?Zs,!Tp6TrrA)YrrK7[
+q>UGTj8XW~>
+j8T,%q>UKbf`(mNb52,=et_g9!V;'=rrLp+o`#':s4[Lqo`"sCoC`+a\YJ`q!V:R4rrC4@rrLdA
+q>UH;j8XW~>
+j8T+>q>UKRXoA>#Nr&bVVj?oR!TmMWrrLECo`#&Ss1&)ho`"rik4S`TMjEr6!TmS^rrA)YrrK7[
+q>UGTj8XW~>
+jSo7Zjn\oVNrAtXNr&bVNqi/E!T'dJrrM5[p&>/Ts7$&Kp&>&kjn8WTW8@=>rrAJ`rrA)XrrA)T
+rrM5[jSs`~>
+jSo83oD/Cdb5M>?b52,=b38Bq!Sc2urrM`Bp&>0;s4[Lqp&>'DoC`+bf%]EYrrAtnrrC4?rrC4;
+rrM`BjSs`~>
+jSo7Zjn\oVNrAtXNr&bVNp-$5!R@Y:rrM5[p&>/Ts1&)hp&>&kjn8WTW6XVsrr@?@rrA)XrrA)T
+rrM5[jSs`~>
+jo5A?XSMksiN3"X!06sV!N>,KrrM5[p&>'SW:p5oNrSVKNqWJRW9*^P!N>,KrrM5[qu6YVrVlo"
+iVEKSXPr:@J,~>
+jo5AOf_POJn_!g?!6Y3=!S6l2rrM`Bp&>'af(T+Hb5^2qb4bi9f(8S7!S6l2rrM`Bqu6Z=rVloN
+nbN1cf^\)'J,~>
+jo5A?XSMksiN3"X!06sV!N>,KrrM5[p&>'SW:p5oNrQWhNqWJRW9*^P!N>,KrrM5[qu6YVrVlo"
+iVEKSXPr:@J,~>
+jo5=@q#:>Sr;QbWqu6YVmJd4KW:g/kjf%qR"HNNOW9*dR!N>,QrrK([mJd0Hqu6YVr;QbWq#:>S
+jo9i~>
+jo5>'q#:?:r;Qc>qu6Z=mJd4Yf(K%Do@E[9"Npbuf(8Y9!S6l8rrL^BmJd1/qu6Z=r;Qc>q#:?:
+jo9i~>
+jo5=@q#:>Sr;QbWqu6YVmJd4KW:g/kjf%qR"HNMlW9*dR!N>,QrrK([mJd0Hqu6YVr;QbWq#:>S
+jo9i~>
+k5PI]jSAfViN2tW!07!W!TC-HrrV8\iV*9QjJDVHrr_>]n;d8C!MI[1rrV/YjQumIXPs*W!07!W
+!Nb8UrrM2[k5Tr~>
+k5PJ5o(i:dn_!d>!6Y6>!V+h/rrVcBnb2tanp9Bmrr_iCg<00i!P>0$rrV`Ao'HAWf^\n>!6Y6>
+!SHr<rrM]Ak5Tr~>
+k5PI]jSAfViN2tW!07!W!TC-HrrV8\iV*9QjBUdArr_>]\;p=`!KEE=rrV/YjQumIXPs*W!07!W
+!Nb8UrrM2[k5Tr~>
+kPkR^jS8`TNr/hVNr8nWNp?WGjK.>6rrM&2q#:DUn;d;D!i`j,p\t<RXQ8[H!07!W!06sV!06jS
+!T^6Cs*t~>
+kPkS6o(`4bb5;2=b5D8>b3K!.o%3F*rrJRmq#:E<g<03j!nMGUp\t<bfCJ5,!6Y6>!6Y3=!6Y*:
+!V4h)s*t~>
+kPkR^jS8`TNr/hVNr8nWNp?WGjK.>6rrJR0q#:DU\;p@a!i]_np\t<RXQ8[H!07!W!06sV!06jS
+!T^6Cs*t~>
+kl1\CX8)\qiiDtV!NY5YrrA)CrrK1[pAY/Tiq`TUNpr))rrK+"pAY0QX6BQaUZ_XV!TL0WrrK1[
+q#:AqiopDm~>
+kl1\RfD,@Hn^m[<!S?l?rrC4*rrLaApAY0:nbN1db1b#6rrL^&pAY0`fBE58]s7S:!V+e=rrLaA
+q#:BHn`^"'~>
+kl1\CX8)\qiiDtV!NY5YrrA)CrrK1[pAY/Tiq`TUNjt,FrrK+"pAY0QX6BQaOg4oc!TL0WrrK1[
+q#:AqiopDm~>
+kl1XCp\t8KkPG2YNrK%ZWT<7B!NY5RrrK1[qYpVWn;dAF!TL0RrrM,[kPkSWUAk/mNqr\TG5)":
+Np-Ln~>
+kl1Y*p\t8tZ24J#b5VDAf(/#(!S?l8rrLaAqYpW>g<09l!V+e8rrMZAkPkSF^Ae-4b5)&;Hh[O?
+b38kU~>
+kl1XCp\t89Z24J#NrK%ZWT<7B!NY5RrrK1[qYpVW\;pFc!TL0RrrM,[kPkSFOT,7[Nqr\T5kk9Y
+Np-Ln~>
+p\t;pcfb$%!M[d4rrV2Tp\OmiNrK%YNog9AX5`jQ!KQ1:rrS5MLAUuOiiDeQ!TL0ArrA)YrrA)T
+rrJnSq#:BTVY0riOjEe%J,~>
+p\t<HA$Pb-!PG6'rrV`)k5,)Xb5VD@b2rX(fCAS7!Qss0rrU?sYP\>#n^mL7!V+e'rrC4@rrC4;
+rrKk(q#:BcI.dL?M.?;[J,~>
+p\t;pA$Pb-!KWQArrV2Ck5,)XNrK%YNog9AX5`jQ!KQ1:rrS4jFSl(=iiDeQ!TL0ArrA)YrrA)T
+rrJ;Bq#:BT?M4=!>\!O.J,~>
+p\t;Tf:Ma:!op'Mq#:>Sq#:JOs8V,ZjSo7Te+`kCj,X$:!flcBr;QfXNqWJRj,2pt"fgV_s,QjL
+rrA)RrrKUhp\t;h_nYsGJ,~>
+p\t<;Iq/6Q!qO(fq#:?:q#:K$s8VZAjSo7o^A%X.o#gk0!m95-r;Qfgb4bi9no*Uh"kW>Fs2sI!
+rrC49rrKCqp\t<.M_Xu+J,~>
+p\t;TIms,3!ooF*q#:>Sq#:J=s8V,ZjSo7CYP8%tj,X$:!fjc[r;QfXNqWJRj$Vo-"fgV_s,Q4:
+rrA)RrrJ>Dp\t;VHnkBqJ,~>
+p\t>Up[>-WrrA)RrrK.[q#:Ggs8S,>rrVqpWqZMoj/W%W!flc1r;QeXj7iTRWW;MJrreA^s,Q:<
+rrM/[p\t5Rq#:Grg\7$.s*t~>
+p\t?<jil?OrrC49rrLaBq#:G+s8U7%rrV<6fD#:Go%3g>!m96>r;Qf?o(W1af)X%TrrgLEs2qYC
+rrM]Bp\t69q#:HJf]>a"s*t~>
+p\t>Ujijb"rrA)RrrK.[q#:Fcs8S,>rrV;^WqZMoj/W%W!fjdNr;QeXj7iTRWW:9'rreA^s,OD\
+rrM/[p\t5Rq#:GralP)Js*t~>
+p\tAVkPsS?qYpSrj7rWTj/VkR"-3E]NoC!=j/VkR!TT7>rrS5MNrAtYWoNjR!NP2=rr\;]s,QjR
+!NP2TrrM/[qYp\nbQ%U.p]#a~>
+p\tB=ZN'KEqYpTJo(`4co%3X9"3UZDb2N@$o%3X9!V4D3rrU?sb5M>@fCJ\9!S?o$rr^FDs2t*9
+!S?o;rrM]BqYp]4V#UHep]#a~>
+p\tAVZN&rmqYpSrj7rWTj/VkR"-3E]NoC!=j/VkR!TT7>rrS4jNrAtYWoNjR!NP2=rr\;]s,QjR
+!NP2TrrM/[qYp\\Q2gk8p]#a~>
+p\tMZp](9%j8]/>rl>([p\t5RpAY5Ts/Xl3rrV2?j7rWTNT:$<!fif1rr3#"iqWNTj,W-Wrr_8U
+s,QgQ!06gR!07'"#iksbj.c;Jj0n^^J,~>
+p\tNAjo>@bo)Ja\roF-mp\t69pAY6;s4>o]rrV`4o(`4can#H2!m7h=rr3#NnbE+co#^F[rr_f*
+s2t'8!6Y'9!6Y<&#kJ#qo"=)ao!%lgJ,~>
+p\tMZjo>@Dj8]/>rl>([p\t5RpAY5Ts/X9"rrV2?j7rWTNT:$<!fgdMrr3#"iqWNTj,W-Wrr_8D
+s,QgQ!06gR!07'"#iksbj,`=%j-'0:J,~>
+p\t9RX8`,+NrPlKV59WWI`V9\rrK1[pAY5Ts,Q:!rrJk(q#:MsjT#8>2ZE^WX5`pS!Q^/SrrSel
+NqWJRWSI@M$-7jq@C;r"PQ-[BrrA)Qs*t~>
+p\t9afDbdWb5]2iI!h]:Qf[B,rrLaApAY6;s2qV'rrKj=q#:NKo)Ja[R/[*dfCAY9!Te=WrrQ^1
+b4bi9f%Kp"$0AD*Lp29%MuUs!rrC48s*t~>
+p\t9RX8`,+NrP9(?=%e]>fc()rrK1[pAY5Ts,OA@rrJ4Hq#:MsjT#8>./s5IX5`pS!Q[[brrPXh
+NqWJRWQY/<$-77N4cs&o?N6&brrA)Qs*t~>
+pAY,9rr3>)Ur)m+jJi1I[%mR!!T^6QrrV2\Nns^;pV`*Qq>UGTrr3*As8V/Zq>UQXNl:AArrS4]
+iq<<OG5M:HX/,LaWT=*Zfp&K8rrJhVp]#a~>
+pAY,@rr3>V^P_+Po%*i`YeBu7!V4h7rrV`Bb2*("jQ"AQq>UH;rr3+cs8VZ@q>UQfalCP"rrU?p
+nb)n^Hi*gMf6lZ?f(/k@er/,YrrKj?p]#a~>
+pAY+Zrr3>)PC)BjjJi1%OcfSA!T^6QrrV2\Nns^;jM[)>q>UGTrr3*As8V/Zq>UQXNl9)rrrS4]
+iq<<O5l:QgX'OfIWT=*Za'YhFrrJ4fp]#a~>
+pAY,Irr3.tVt^5kNrAtYiKX<@!06[Ns,Ph5!i`9^qu6o[XT/<'kN&W=rrV8_WS7CPNqE>PiN3"X
+!Mmm:rrA)YrrIk=rr3"op\4]<~>
+pAY,rrr3/:IH:G.b5M>@nVdAG!6Xp5s2s'q!nPuoqu6okfDkkhZgu]DrrVcCf%U0(b4P]7n^ma>
+!PbK0rrC4@rrK<]rr3#4jS/\)~>
+pAY,6rr3.c@-%@fNrAtYiEuQ`!06[Ns,Ph5!i`9^qu6o[XT/;GZfJ+^rrV8_WS7CPNqE>PiN3"X
+!L&fIrrA)YrrI1Jrr3"]jS/\)~>
+pAYHXV#R7,T]H-SiV`]ZfrY5RXPrdNs,Pe4"Q?&Mb2iO$"lZQ_1>Jl,rrhE*XGPohs8S,Nrs#I`
+s8T1Rp\k*uiN3(?WS+BQXPrmQJ,~>
+pAYHh^]2'+]CQ!SnbiCjf%C$&f^\S5s2s$p"S'4@k48KN"nC7FLY(,TrrhoTfQ-N8s8U75rs%'F
+s8Ua&jSf)bn_!m4f%/LRf^\\8J,~>
+pAYHXPlHtoNTC,@iV`]Z`iT4?XPrdNs,Pe4"Q>H,b2iO$"lZQ_+N^V\rrhE*X@;+$s8S,Nrs#I`
+s8T1?jSf)biN3(?WQ)%>XPrmQJ,~>
+p&>8>jd>cANod59rr]4]jf%bM!KQ-krtb=\_l/Tsb2rZ^XDj4"s5hD)Ni9kSmb%O?iK!L/"/t>C
+W;?N!W9''>s/=b6p&BO~>
+p&>8Co:tCHb4F3\rr^jDo@EL4!Qsrbrta\Gj4;?)k4AWCfXo<+s7>C*ak#MBaOpLnn]LG&"4m)8
+f)#COf(7&as45rIp&BO~>
+p&>7]j`TYaNod59rr]4]jf%bM!KQ-krta\8_l/Tsb2rZ^XDj4"s5hD)Ni9kSaOpLniK!L/"/t>C
+W;?N!W9''>s/=2&p&BO~>
+s8N)qq"P&eHf+VnTniF<!MP;=p]-6#p^GlGMem3O@BE^_MlY"Kp]-6Bp]6;Dq"OlJSc8BbEn^Bb
+!<2rsJ,~>
+s8N)jq!J@*NLoS+`No:,!QDA7mJt)OmL7uf_54!AN7bD(_4@[UmJt)nmK(/3q!J1![JoRpEo6`]
+!;ufqJ,~>
+s8N)`ptc418rqicLN`IL!Jbjgh>i#Qh@.1\IU$-"5cn3rIVt+mh>i#ph>r(Uptc%#JH"C+0#7>?
+!;ZTnJ,~>
+s8N)pq"FugMX^B7Un7AU!Mjl.pAg*"pC>*:GGN=$DmZI[cD5o[_pe>[MXgEAHH>mU!IDidpAmnB
+qY(!grVqB~>
+s8N)hq!/.&^XMN7`*rH,!Q9<SlN"]KlOM@]L<Q?b]2[A@@*G4DdaRL^^[^UjN1'J,!K<HGlN*"%
+qWe.YrVqB~>
+s8N)\pt,e*Hbn@eL-tag!JWf.fDp9IfFFa430]PfDap\B@$FK*V:4&sHh#_h7tUNg!Cqb@fE!M;
+qUbfBrVqB~>
+p&>8Rd%pI:No7&9rr]C]i2uSM!KO;6rtOV>NksZAs8T4ZFf4C%s7Y'\Nm-Y;rrK6^o)Afoi8Ca6
+rs,[aNrT-][uU.]J,~>
+p&>8<]tES/b4+'[rr^pCnC[=3!Qs'HrtP(fal;g1s8Ua@^"2fTs5VVgali9IrrLcpo)AgEnF5*,
+rs.3Gb5_LoD9DPOJ,~>
+p&>7cXc_iINo7&9rr]C]i2uSM!KO;6rtOV>NksYos8T4ZFf4C%s5V&6Nm-Y;rrK6^o)Afoi8Ca6
+rs,[aNrT-]?&nUXJ,~>
+pAYH$mJkP/Xl05Wk5>5_k,87ZVrmUNs,Pe4"6QJR_>O<:k,854pl>7O"2Un$k1Te7Nq<8SXl06Z
+VrmpW$0J/ci2u.>s/5#Qs*t~>
+pAYHO`rE`bf^SpkoDJUlo@<m@earD4s2s$p"7s@Cir&f[o@<ktkfWf&"6.jko@a0Db4GW:f^Sq@
+ear_=$1l^InC[?_s4-`7s*t~>
+pAYH$`rE-&Xl05Wk5>5_k,87ZVrmUNs,Pe4"6Po2_>O<:k,85$k`5Q?"2UmFk1Te7Nq<8SXl06Z
+VrmpW$0J/ci2u.>s/5#Qs*t~>
+pAY,Qrr3"lNrK%YNrAtYc&)E!!06[Ns,Ph5"0JKQpAFpqk,87ZL$%<qqYpWKVle\Qs,QaO!Tp<Y
+rrJe+rVlkXrr3"ZM>mMTNqWL'~>
+pAY-8rr3#6b5VD@b5M>@kB-\&!6Xp5s2s'q"5)/Rir&f]o@<m@<NkoEqYpWHe_&UUs2t!6!V=k?
+rrKmArVll?rr3#AFT2:?b4bjc~>
+pAY,Qrr3"\NrK%YNrAtYbsq[3!06[Ns,Ph5"0JK=ir&f]k,87Z.^.d4qYpW7Vle\Qs,QaO!Tp<Y
+rrJ4LrVlkXrr3"Z7fNDfNqWL'~>
+pAY,Lrr3A&TVprPhld"AVlB(^rrM#[p&>)rhi?Ll!mZh`qYpTYVuH]!*WQ/sY5/)!hi?";rrS5<
+Y4_epL]%/[p;!$Ws/t8Zk0AgRrr3"ZkkG+-~>
+pAY,8rr3A=^V]UBnC[d4_O&7?rrMWAp&>*GnB0Pd!pIbqqYpTfec,ROPlLdQf_POKnB'nLrrU@4
+f_,7EZi'h2io,phs4Hi@oB:=hrr3#A[J0]O~>
+pAY+^rr3@gOI,,0hld"AQZg@HrrM#[p&>)rhi?Ll!mZh`qYpTYVuH]!*WQ/sY5/)!hi?";rrS5<
+Y4_epGPqIKikT*es/t8Zk0?G<rr3"Z[J0]O~>
+p\t9W[/U(4NqUJYJBheXM:VCtrrK"[pAY5Ts.JT5rrVA]W;-AmNrK%ZY%.J2!T1'TrrTs%kMH4?
+GQ3]srrK:2qYplQTPe/_VkB[LNrK%ZVV_(IJ,~>
+p\t9cWrE#*b2T%eS`ll?Fjo@IrrL[ApAY6;s1bu!rrVf/Qh^R\b5VDAfq89D!V"e;rrV/?oA9KK
+JH*dcrrLehqYplN^Sm1V_S:E9b5VDAe^jKpJ,~>
+p\t9WN;ihaNoH(?@Eqt`7`+0^rrK"[pAY5Ts,aYGrrVANFnkt:NrK%ZXulX_!T1'TrrTrGkMH4?
+7/r;@rrK9,qYpl=OC(<!R#kFhNrK%ZVTJT4J,~>
+p\tDWq#CAshu<WYm@X*BmJ-\^VW[^R"-3ETV;V@UkGHi(q>UJuhu<WWNgJr.rrM#Cq#:EHVU+3#
+"0U5TNq`PSkGJ%S$20)?YK$;9s51!Yrr@iKs*t~>
+p\tE>l2Ue:nG`Fj`-L@6`;'?5eb&V9"3UZ']AW\ko[VCLq>UKKnG`Fhb-1I:rrMW6q#:EDe`brk
+"52-&b4ko:o[Wa:$0&&)Xe4VQs7"_@rrBD"s*t~>
+p\tDWl2Uddhu<WY`)kr>`;'?5VW[^R"-3E@Ol66AkGH)Tq>UJuhu<WWNaLuKrrM#Cq#:E3VU+3#
+"0TK?Nq`PSkGJ%S$0#sCMiQfss51!Yrr@<<s*t~>
+p\tB*k5XV#qYpTRY4qqrNq`PUNrT->iVrq]VYC)kY2B3X!flc1rVlnPkP+uW^96Gp"-3E]Nq`PR
+Nq`PSY2B*U"J=oXs).T2J,~>
+p\tB$Y5e-;qYpTcg%YLHb4ko<b5_LaiVrr3ebB(Eg$nt?!m96>rVlo;o_8@di7[)h"3UZDb4ko9
+b4ko:g$nk<"M_DFs'ka&J,~>
+p\tA[Y5dZTqYpTRY4qqrNq`PUNrT->iVrq]VYC)kY2B3X!fjdNrVlnPkP+uW^96Gp"-3E]Nq`PR
+Nq`PSY2B*U"H^(ls!RR@J,~>
+p\tAVpueO@q>UJmkP5&XhQQ_S"F'nGVW[%?!p>?qp\t8tVYpGqNpr),rrK"[p\t<ONoB$u"HNN^
+TBQ+N!O(ATrrM;[q>UTk^$#E5p]#a~>
+p\tB=l1ENDq>UKGo_AFen(IL9"G$OPeb%r&!q`kgp\t9IeboFKb1b#9rrL[Bp\t<`akl(X"NpcE
+^UEt<!SQr:rrMcBq>UTV`q9:?p]#a~>
+p\tAVl0"q]q>UJmkP5&XhQQ_S"@`@jVW[%?!p=gbp\t8tVYpGqNjt,IrrK"[p\t<ONmctf"HNN^
+OLFub!O(ATrrM;[q>UTVWTX:/p]#a~>
+p\t<8aGBQi!KQsMrrJt[q>UGKrr2tYjo5DGQ0.i@!U-BWrrS5ML\q)PV<IXQ!K?7(rroU_s8Sti
+qYpT[V>'uiL\C`LTAjb_s*t~>
+p\t;lNHY$q!Qs^&rrL[Bq>UGqrr2u@jo5DSTrn(h!VFq>rrU?s[/9k(eb&S8!JC%+rrq*Es8T^i
+qYpTgebB(D[.aM$^S,-2s*t~>
+p\t;[JOfG6!KQI?rrJt[q>UG6rr2tYjo5DGEio*9!U-BWrrS4jH2IUBV<IXQ!EA:ErroU_s8S5?
+qYpT[V>'uiH1q7>OJ+&rs*t~>
+p\t<PVqh"Gs3CB=!KQsOrrA)YrrA)ArrM>[pAY0WV>C2nNpq2frrJt[pAY/ikiVmFNrK%YNqr\T
+L\LfLYI+$'!qsX3p]#a~>
+p\t;^5`bX=!PG0$rrL:-qYpQ<rr2u@k5PJSeFrnCo[Na;!m95AqYpTGo_/:ceF_o'!6Y<@!6Y-;
+!4;M#!SM5]rrV.K5kk;/~>
+p\t;^/s#`+!NMI[rrJ/FqYpPUrr2tYk5PJGV=soikb\.U!fjcQqYpSmkk>#WV<I(A!07'Y!06mT
+!.">=!O#W!rrV.K0),Br~>
+p\t9em.C;YV<I^S!N"->rrM>[rr3#TYiu)fkb\"Q!U,R>rrS5MNqr\T<V?@mV<I.C!U-BZrrJt[
+qu6]\[.sY%kb[qO!VPgRs*t~>
+p\t9P_Y!j/eF`P9!S!k@rrMcArr3#fg$&G:o[NU7!VFP1rrU?sb5)&;YP%nreF_u)!VFn@rrLXA
+qu6]hC&%]/o[NO5!T:ihs*t~>
+p\t9P_Y!j/V<I^S!Mu+ZrrM>[rr3#TYiu)fkb\"Q!U,R>rrS4jNqr\T<V?@mV<I.C!U-BZrrJt[
+qu6]\=SVmskb[qO!T:ihs*t~>
+kPkOBp\t5Rqu6YVr;QbWl2LeJV=jihNnsO2!flc1q>UKOYkA"sV<I1D!KQFCrrA)VrrA)RrrA)B
+s*t~>
+kPkP)p\t69qu6Z=r;Qc>l2LeVeFihBb4#0+!m96>q>UKag@bIHeF`#*!QqnMrrC4=rrC49rrC4)
+s*t~>
+kPkOBp\t5Rqu6YVr;QbWl2LeJV=jihNnsO2!fjdNq>UKOYkA"sV<I1D!KOYfrrA)VrrA)RrrA)B
+s*t~>
+kPkS=Yk\5!V!7gW!07!W!MnuGrrMA[p&>&ma8#Z9Npr)(rrV#Vq=aghV!71E!KQjOrrA)WrrMA[
+q#:B!h<4fg~>
+kPkSOgA([KeF`\=!6Y6>!S$c-rrMcAp&>'3Vtg8nb1b#5rrVYFlh:>ZeF`&+!Qs@!rrC4>rrMcA
+q#:BKn)s_$~>
+kPkS=Yk\5!V!7gW!07!W!MnuGrrMA[p&>&_Q2(@\Njt,ErrV"klh:>ZV!71E!KQ+:rrA)WrrMA[
+q#:B!h<4fg~>
+k5PJ<Yk\4uNr8nWNr/hVNpQcHl(n"P!jK$(q>UQ$h=-I!rrLoQp&>&gl0SENYhf6W!07!W!06jS
+!O1DBs*t~>
+k5PJNgA([Jb5D8>b5;2=b3]-/p!i[7!nq>Gq>UQNn(PqYrrJ+jp&>'Bp$D\Zg@+t>!6Y6>!6Y*:
+!S[#)s*t~>
+k5PJ<Yk\4uNr8nWNr/hVNpQcHl(n"P!jG_`q>UQ$h7/L>rrJ+Ap&>&gl0SENYhf6W!07!W!06jS
+!O1DBs*t~>
+jo5@Wl1t>[V!7jX!06sV!06IH!U6EQrrKC[p\tAVs6uiKp\t9LZ1\+tV!7:H!06sV!07$X!U6EU
+rrMA[jo9i~>
+jo5A2p%eUgeFie?!6Y3=!6X^/!VOt8rrLjBp\tB=s4Yuqp\t9_g@bIHeFi5/!6Y3=!6Y9?!VOt<
+rrMfBjo9i~>
+jo5@Wl1t>[V!7jX!06sV!06IH!U6EQrrKC[p\tAVs1"lhp\t9LZ1\+tV!7:H!06sV!07$X!U6EU
+rrMA[jo9i~>
+jSo4?q#:>SrVlkXqu6\llL4`RlD+%P!LokXrreA^nGeOBrrLo[p&>&flL4`RlD+7V!07$X!06jS
+!06.?J,~>
+jSo5&q#:?:rVll?qu6]Hp$_n]p!i[7!RT?irrgLEgAf=hrrMQAp&>'Bp$_n]p!im=!6Y9?!6Y*:
+!6XC&J,~>
+jSo4?q#:>SrVlkXqu6\llL4`RlD+%P!LokXrreA^\GqT_rrLo[p&>&flL4`RlD+7V!07$X!06jS
+!06.?J,~>
+jSo89Z2+D"NrAtXNr&bUNq!&LlD+%P!M"]5rreA^nGeOArrLo[p&>&flL=fRNr&bUNrAtXNqr\U
+Z/"F?J,~>
+jSo8KgA1aKb5M>?b52,<b4,E3p!i[7!RSaWrrgLEgAf=grrMQAp&>'Bp$ht]b52,<b5M>?b5)&<
+g@"&%J,~>
+jSo89Z2+D"NrAtXNr&bUNq!&LlD+%P!M"]5rreA^\GqT^rrLo[p&>&flL=fRNr&bUNrAtXNqr\U
+Z/"F?J,~>
+j8T.TlMCM]gp-kY!06pU!M/KGrrMD?p&>&_JFrjENrSVKNqE>Qgp-/<rrJ\Eo)AaUL\h#NNrK%Z
+Z/#3U!U?H?s*t~>
+j8T//p%n[hmb7[?!6Y0<!Pl59rrMe=p&>'>_t<s3b5^2qb4P]8mb7@-rrKpOo)Aa`HM[XAb5VDA
+g@"h;!VOq%s*t~>
+j8T.TlMCM]gp-kY!06pU!Kah^rrMCVp&>&_JFrjENrQWhNqE>Qgp-/<rrJ4io)AaU8c&GeNrK%Z
+Z/#3U!U?H?s*t~>
+ir9%SlMCM\NrK%YNr&bVor.K^!pZQHp\t<[SR_9k"HNNOs,Q^N!o$`?p\t<fU[%IN!KQLBrrA)Y
+rrA)UrrMD[ir=N~>
+ir9&.p%n[gb5VD@b52,=hR`=Y!qk$Vp\t<fd:r4P"Npbus2ss5!q*8bp\t<Oe+N>4!Qr.QrrC4@
+rrC4<rrMfAir=N~>
+ir9%SlMCM\NrK%YNr&bVhN@F0!pZPpp\t<[SL3t."HNMls,Q^N!o$`?p\t<OU[%IN!KOnjrrA)Y
+rrA)UrrMD[ir=N~>
+iVrq=q>:0pgTpkZNqr\UU?hLP!UHKRrr_ReId?V*"c33Js,QpHrrUrLlh:>ZU?hLP!UHKUrreA^
+s0CDUrr@l6s*t~>
+iVrr$m/-ecmb@dAb5)&<e+ND6!VOq8rr_qt_S,R@"h4Ncs2s^"rrVW;p%JCde+ND6!VOq;rrgLE
+s4cu<rrBOes*t~>
+iVrq=m/-ecgTpkZNqr\UU?hLP!UHKRrr_ReI_G@Q"ag9Zs,QI;rrUrLlh:>ZU?hLP!UHKUrreA^
+s0CDUrr@E)s*t~>
+iVrr%dJEkFNrT-8q#:>SpAY0ZUA"TglW)^0rrnqmnGeO1nc&Walh:>ZU?hOQ!06jS"-33WNr&bV
+ZEW<fJ,~>
+iVrqiU&+ckb5_LNq#:?:pAY0de+WeCormfRrrl[-gAf<qnc&X=p%JCde+NG7!6Y*:"3U$2b52,=
+gLfFEJ,~>
+iVrqVQMUU`NrT-,q#:>SpAY0ZUA"TglW)^0rrkUd\GqShnc&Walh:>ZU?hOQ!06jS"-2dKNr&bV
+Z;TZ]J,~>
+i;Wi3Zhsb)U?hi$q#:BKZhXP$l_=+Q!p`k?nc&gZUAs`_U?h=K!M\oRrrA)RrrKI[q#:H*jm/Z<
+rrKI[i;\<~>
+i;WiGg\_!Qe+Wfaq#:B_g\CdLp=&a8!qrhcnc&gee,S/%e+W;2!Rpc9rrC49rrLmBq#:H$WqOp=
+rrLmBi;\<~>
+i;Wi3Zhsb)U?hh>q#:BKZhXP$l_=+Q!p`k?nc&gZUAqb'U?h=K!M\oRrrA)RrrKI[q#:G[Wp?DV
+rrKI[i;\<~>
+hu<`2Zhsb(NrP.6rrJYSq>UGTpAY3[SD*K4#*/``nGiNKn,EE_k4elVg9^VT!SE/$rrS5\Nr/hW
+l_<;:J,~>
+hu<`Fg\_!Pb5]WYrrKsIq>UH;pAY3f_=$gm#0QuGgAh2qn,EF;jS/ZTmb@R;!UP1-rrU@Cb5;2>
+p=%q!J,~>
+hu<`2Zhsb(NrP.6rrJ4mq>UGTpAY3[OP94(#*/``\GuShn,EE_g@tUJg9^VT!SC$=rrS5\Nr/hW
+l_<;:J,~>
+hZ!VMm/6kbU$Rg6rrVl+f_b[LZeG0R!n`Xrn,ETPs8VTgs,QOI!jA9`q#:BKZhsb(Y-mQhrrS5I
+U&=okm%N;9J,~>
+hZ!W*pAFple+UrYrrV#nmJHnag[4b8!puV[n,EU7s8UgQs2sd0!bBaQq#:B^g\_!PakXN&rrU@:
+e,94Hp=%muJ,~>
+hZ!VMm/6kbU$Rg6rrV#Qf_b[LZeG0R!n_Cjn,ETPs8TV/s,QOI!`>WWq#:BKZhsb(Ts_N,rrS5I
+U&=okm%N;9J,~>
+h>[MLkPYA[NqNDQ['T`2!OLMTrrVPiG4#;6NrT.Ks8S,HrrRS)g%bRJg9^bX!OK!&s8S,WrrMJV
+h>`!~>
+h>[N)jo#/Yb4Yc8gtVf-!Sd#:rrVo:YO2>ob5_Lqs8U7/rrU$HmJ-\^mG%U>!S_/Xs8U7>rrMi0
+h>`!~>
+h>[MLg\h*ONqNDQ['T`2!OLMTrrVP]C@2$*NrT-hs8S,HrrRRrg%bRJg9^bX!OGVqs8S,WrrMJJ
+h>`!~>
+h#@DYm/?qbTmQG3"kg!Ws0UJTrrh#k<NkKNrs"M`s7$'gNpQcJYE"Y+q>UWO[/]Kq`:X'1H_LE<
+!pl'1h>`!~>
+h#@CcpAP!ld_YSU"mq?Ms4cr:rrh`<Y@OX"rs$XGs4[MQb3]-1ABN$Uq>UWcg]-uiW:^)j_:&;^
+!qr7ch>`!~>
+h#@COm/?qbTmQG3"kdkps0UJTrrh#_<D][^rs"M`s1&+/NpQcJ:l^Rjq>UWO[/]KeQ1Y(WH_LE<
+!pjd'h>`!~>
+g]%;JgAV$P;sO#T"6toM`;BQ<g?4KYRG$p+#*/``nGiNKli.-p['#GCkPP8^a,uk:o^r.a39pMC
+!SX7%s*t~>
+g]%<&mJ[%cF1V#D"1lUtWVc]!mH)H^L$e4+#0QuGgAh2qli7">"(TI?jno&\jIa93h=U^JKY%0_
+!U\=is*t~>
+g]%;JgAV$P,eEXJ"1jMfQ2CRbg>%^*?J4ZE#*/``\GuShli.-pZql_9h#%*Sa)7!Jh=U^J+M.RP
+!SX7%s*t~>
+gA_2[[/U(+KAuM&%CE9jXL-]tM6XCim@`.trs"M`s7$'gNp?WRfoGHp^5f;Kkd62bUXJc6#.1#p
+s8TI4gAc[~>
+gA_3.h#@<SVpt><%GYHkO500Q\Y.\ep<r?nrs$XGs4[MQb3K!9mE,("QcY<Vk1mMHVkEY]#2GO"
+s8Um/gAc[~>
+gA_2[[/U(+CWc8K%CAoHEO=H.I=ee$m@`.trs"M`s1&+/Np?WRfoGHLK8ss*gpDKpJ!T^+#./=(
+s8TI4gAc[~>
+g&D6/[/0gUNqE>[[+YKZl.Mflo^r0jT]lC[NrT.Ks8S,CrsYRTs8V>hY1`I>s4OdOrrnG9s8T:U
+g&HR~>
+g&D6Ch!b:1b4P]Bh!P.A\a?;ngt_qbdcg]8b5_Lqs8U7*rs[?Ds8TXaA*r(,s6\V6rrpR4s8U:0
+g&HR~>
+g&D6/[."%JNqE>[[+YKZ\_2J2gt_q:T]lC[NrT-hs8S,CrsYRTs8TX8:>+FXs4OdOrrnG9s8SnJ
+g&HR~>
+f`))qX5*`8p&>'#f_POKgkir4rs8"bs8VTgs.JcCrrTL-mJ6b_fX:DP"BGKWNigt6J,~>
+f`))bNUHhhp&>'JmJ6b`m^]=\rs8AIs8UgQs3gZ*rrUo9p\FgimG.C7"L%jna^Wp&J,~>
+f`))NE8:JRp&>'#f_POKgjYOPrs8"bs8TV/s.JcCrrTKHmJ6b_fX:DP"BGKWN_\7,J,~>
+f)GiWNd]dYrrK@AqYp]RNj86Kkl1XCrr2ufrr2tYkPkYKT=++`rrLcFp\t?`L5rOis*t~>
+f)Gj+ahbmhrrL?CqYp]dakGP*kl1Y*rr2uPrr2u@kPkXodbOTnrrMMSp\t?iI`^<ps*t~>
+f)GiWNd\M5rrJs]qYp]RNj7Bpkl1XCrr2u.rr2tYkPkXoT=++`rrLblp\t?`9THC/s*t~>
+eGfTT<U'A["7ESAo_e^jh2\c$rrA)YrrDQfrrA)@rr^oG[I3ql!mQbnqYpWQ7-W5$J,~>
+eGfU(YNPc^"8CTmg\h'Qn&a;ErrC4@rrCdPrrC4'rr_W9h"U^Gs2b98qYpWcVmt7VJ,~>
+eGfTT<SmTP"7ES(g\h'Qh2\c$rrA)YrrBS.rrA)@rr^oG[I3ql!jn!UqYpWQ7(CbHJ,~>
+e,Kc8W/e:Amf3=TRb7T="7G!%S)XGJNrK%YnG`FfNoU-BfUo;%h>I9RTBZ@T"Pr=&O&FI,J,~>
+e,Kct;T[__p](9f_X.7$"8D8qQfA#Fb5VD@gA_*Pb2`L)m*_'cn,31ddcg]1"RkQrSoiH]J,~>
+e,Kc84cZr+mf3=TO4aF2"7FuoD;tQqNrK%Y\GlL.NoU-BfUm9Ah>I9RTATYJ"PqsqCa@L0J,~>
+e,L'4MZ;;4T<2pHcJIFC[Y_o+o^q/C!07'Y!:^!f!06%<&a?O(NfMu]hVN-uGd=QTs*_B*s*t~>
+e,L'IIK/Zed?;)$ORMZ%gq'K<gY:`f!6Y<@!8@GP!6X:#&\$HHaiX#8n*a`%ZD#r[s2'K=s*t~>
+e,L'4:&ihLT6+mALYgnF[XXOGgY:`f!07'Y!4`%.!06%<&\#!KNfMuRhVKW.DM55fs*\k8s*t~>
+df0ehK\kRBX,jHcYHP%Zo^q&@!07'Y!:^!f!05k7%%k29T=i3sH/@D_<qOl@J,~>
+df0fdXRGVhN,mTZg"Bd"gY:Wc!6Y<@!8@GP!6X*s%&T9BVNeT9L[X]WKA4lTJ,~>
+df0ehE8KH$Db.')YHLUNgY:Wc!07'Y!4`%.!05k7%"!K-H[he[9A\O'1>C:XJ,~>
+df0K2k`1\qo[a$BL&V)PnG`FgNp>3q"R)G;X.Ic>J,~>
+df0Kn[W6EBg=H9(JH#QKgA_*Qb.ZC+"Lb.IN7$)RJ,~>
+df0K2[RWjAg=H9(:&b.m\GlL/NkO$D"L`YIDP#;VJ,~>
+df0@!\'k9VT`4rknG`FgNqCg#!05J,J,~>
+df0@7h9u<'PQ(R^gA_*Qb1b>E!6W^hJ,~>
+df0@!\'k9VD>sP8\GlL/NnVt^!05J,J,~>
+dJj3,e,KHXf)G[LnG`Fgf!j-.!05J,J,~>
+dJj3he,KI)m/I"bgA_*Qm+p.j!6W^hJ,~>
+dJj3,e,KHXf)G[L\GlL/f!j-.!05J,J,~>
+dJj6<nC7I<NrAtXnGW@eNn"(0n=@u,J,~>
+dJj6ppsf<Db5M>?gAV$Ob1-FlpsILhJ,~>
+dJj6<nC7I<NrAtX\GcF-Nn"(0n=@u,J,~>
+d/O*+eGfN/rVllerVlkXeGfN/d/SU~>
+d/O*geGfNkrVllOrVll?eGfNkd/SU~>
+d/O*+eGfN/rVll-rVlkXeGfN/d/SU~>
+d/O*+eGfN/rVllerVlkXeGfN/d/SU~>
+d/O*geGfNkrVllOrVll?eGfNkd/SU~>
+d/O*+eGfN/rVll-rVlkXeGfN/d/SU~>
+d/O-s\CLTZNrAtXnGW@eNn+.1\CJt+J,~>
+d/O.4h:;N*b5M>?gAV$Ob16Lmh<WGfJ,~>
+d/O-s\CLTZNrAtX\GcF-Nn+.1\CJt+J,~>
+ci4!*ec,W0rVllerVlkXec,W0ci8L~>
+ci4!fec,WlrVllOrVll?ec,Wlci8L~>
+ci4!*ec,W0rVll-rVlkXec,W0ci8L~>
+ci4$9n^d^?NrAtXnGW@eNn442nXRr*J,~>
+ci4$mpt#HFb5M>?gAV$Ob1?Rnps@@eJ,~>
+ci4$9n^d^?NrAtX\GcF-Nn442nXRr*J,~>
+cMmm)fDbl^eG]CInGW@fe@F32!05A)J,~>
+cMmmefDbm.li$h`gAV$Ple^7n!6WUeJ,~>
+cMmm)fDbl^eG]CI\GcF.e@F32!05A)J,~>
+cMmp*le)4;Nr8nWnGN:dNn=:2K[0UJ~>
+cMmpf^Y&Pdb5D8>gALsNb1HXnK[0UJ~>
+cMmp*^Y&PdNr8nW\GZ@,Nn=:2:X8uj~>
+cMmppXk<XRNr8nWnGN:dNnF@4\`_9<J,~>
+cMmq2\(L]\b5D8>gALsNb1Q^phQY<*J,~>
+cMmppP1]d7Nr8nW\GZ@,NnF@4\ZjBZJ,~>
+c2Rd(f`(r3r;Qcdr;QbWf`(r3c2W:~>
+c2Rddf`(ror;QcNr;Qc>f`(roc2W:~>
+c2Rd(f`(r3r;Qc,r;QbWf`(r3c2W:~>
+c2Rg6o%F$CNr8nWnGN:dNnOF5]$nq(J,~>
+c2Rgjq:YcJb5D8>gALsNb1ZdqhWiAcJ,~>
+c2Rg6o%F$CNr8nW\GZ@,NnOF5]$nq(J,~>
+bl7['g&D&4r;Qcdr;QbWg&D&4bl<1~>
+bl7[cg&D&pr;QcNr;Qc>g&D&pbl<1~>
+bl7['g&D&4r;Qc,r;QbWg&D&4bl<1~>
+bl7^4o@j3ENr8nWnGN:dNnXL6o:!o'J,~>
+bl7^iq:biKb5D8>gALsNb1cjrq9R:bJ,~>
+bl7^4o@j3ENr8nW\GZ@,NnXL6o:!o'J,~>
+bPqR&g]%;ddes+FnGN:ed_"96!058&J,~>
+bPqRbg]%<3lMUY^gALsOlJL@r!6WLbJ,~>
+bPqR&g]%;ddes+F\GZ@-d_"96!058&J,~>
+bPqR&g]%;7r;?QpnGE4cMqe73Nm%HQ~>
+bPqRbg]%;so_e^hgACmM^YAbgb00g8~>
+bPqR&g]%;7o_e^h\GQ:+KA6D+Nm%HQ~>
+bPqUk]A3De\)R>c!:]mc!--fo!P?e's*t~>
+bPqV.hq\54Z(h0r!8@>M!,^Nk!T31cs*t~>
+bPqUk]A3DePG8!T!4_q+!&<:/!P?e's*t~>
+b5VI%h#@A7qu6Zcqu6YVh#@A7b5Zt~>
+b5VIah#@Asqu6ZMqu6Z=h#@Asb5Zt~>
+b5VI%h#@A7qu6Z+qu6YVh#@A7b5Zt~>
+b5VL1o\KNINr/hVnGE4cNns^9oU3l%J,~>
+b5VLgqVD/Ob5;2=gACmMb2*'uqTm=aJ,~>
+b5VL1o\KNINr/hV\GQ:+Nns^9oU3l%J,~>
+ao;@$hZ!VhdJNqDnGE4ddCe?9!052$J,~>
+ao;@`hZ!W6l21J\gACmNl/1@t!6WF`J,~>
+ao;@$hZ!VhdJNqD\GQ:,dCe?9!052$J,~>
+ao;@$hZ!S9qYpQbqYpPUhZ!S9ao?k~>
+ao;@`hZ!SuqYpQLqYpQ<hZ!Suao?k~>
+ao;@$hZ!S9qYpQ*qYpPUhZ!S9ao?k~>
+ao;Ch]\i_hNr&bUnG<.bNo0j;][=k$J,~>
+ao;D+hr"G6b52,<gA:gLb2<4"hs&8_J,~>
+ao;Ch]\i_hNr&bU\GH4*No0j;][=k$J,~>
+aSu7#hu<\:qYpQbqYpPUhu<\:aT$b~>
+aSu7_hu<]!qYpQLqYpQ<hu<]!aT$b~>
+aSu7#hu<\:qYpQ*qYpPUhu<\:aT$b~>
+aSu:-p>Q#Pp6YXU!:]jb!06";!PQk$s*t~>
+aSu:dqr.PUqp,'<!8@;L!6X7"!T<4`s*t~>
+aSu:-p>Q#Pp6YXU!4_n*!06";!PQk$s*t~>
+a8Z."iVrn<q>UHaqYpTC^#AtkNlV0M~>
+a8Z.^iVro#q>UHKqYpT\i8O\9b/aO4~>
+a8Z."iVrn<q>UH)qYpTC^#AtkNlV0M~>
+a8Z1,p>Z)PNqr\TnG3(aNoL'>p6Wi"J,~>
+a8Z1cqr7VUb5)&;gA1aKb2WF%qp*7^J,~>
+a8Z1,p>Z)PNqr\T\G?.)NoL'>p6Wi"J,~>
+`r?$dir9"=q>UHaq>UGTir9%<mDo6W~>
+`r?%!ir9#$q>UHKq>UH;ir9%r`5hn.~>
+`r?$;ir9"=q>UH)q>UGTir9%6`5hn.~>
+`r?$hir9"=q>UHaq>UGTj8T2TM=JXdJ,~>
+`r?%1ir9#$q>UHKq>UH;j8T2XU=70_J,~>
+`r?$Jir9"=q>UH)q>UGTj8T2TCX^?(J,~>
+`r?(c^?#:ppQkXT!:]ga!LEK@rrA(us*t~>
+`r?)'i8jn=qp"s:!8@8K!R:N&rrC3\s*t~>
+`r?(c^?#:ppQkXT!4_k)!LEK@rrA(us*t~>
+`W#pujSo4?q#:?`q#:>Sjo5AUQGrlS~>
+`W#q\jSo5&q#:?Jq#:?:jo5AYc,K^5~>
+`W#pujSo4?q#:?(q#:>Sjo5AUQGrlS~>
+`W#ta^ZGIqNqiVSnG*"`Nog9@Nl:sJ~>
+`W#u&iT:(>b4tu:gA([Jb2rX'b/F=1~>
+`W#ta^ZGIqNqiVS\G6((Nog9@Nl:sJ~>
+`;]gtjo5=>q#:?`q#:ATrTF1]pm&etJ,~>
+`;]h[jo5=uq#:?Jq#:B;puhYXr6<1[J,~>
+`;]gtjo5=9q#:?(q#:ATpuhYXpm&etJ,~>
+`;]k`^ZYUtpn7E^!:]d`!L;C%rrA(ss*t~>
+`;]l%iTL4Ar)<Cj!8@5J!R7+srrC3Zs*t~>
+`;]k`^ZYUtpc8-L!4_h(!L9#7rrA(ss*t~>
+_uB^skPkOBp\t6_p\t5Rkl1\YQ,EWP~>
+_uB_ZkPkP)p\t6Ip\t69kl1\]c,9R3~>
+_uB^skPkOBp\t6'p\t5Rkl1\YQ,EWP~>
+_uBb^_!(duNq`PRnFuq_Np-KCNl(gH~>
+_uBc#iTU:Ab4ko9g@tUIb38j*b/41/~>
+_uBb^_!(duNq`PR\G-"'Np-KCNl(gH~>
+_Z'Url2Le"c1h5<nFuq`PkjVE!Vqtss*t~>
+_Z'VYl2LeCkP+uVg@tUJbl$c+!W:0Ys*t~>
+_Z'Url2Le"c1h5<\G-"(PkjVE!Vqtss*t~>
+_Z'Y]_!:q"NqWJQnFlk^Np?WENktaG~>
+_Z'Z"iTgFCb4bi8g@kOHb3K!,b/++.~>
+_Z'Y]_!:q"NqWJQ\G#q&Np?WENktaG~>
+_>aLqlMgjEpAY-^pAY,Qli."]PemBM~>
+_>aMXlMgk,pAY-HpAY-8li."`bea=0~>
+_>aLqlMgjEpAY-&pAY,Qli."]PemBM~>
+_>aP[_<h1&_92KO!:]^^!R/=FrrA(ps*t~>
+_>aQ!ip?^FiqEBPg@kOIkM>M)!6W+WJ,~>
+_>aP[_<h1&_8l9L!4_b&!R/4CrrA(ps*t~>
+_#FCpm/I*qi:d0NnFce]DsdQ*qNJ_pJ,~>
+_#FDWm/I*kSbE'`g@bIGBC5^"rQN(WJ,~>
+_#FCpm/I*MSbE'`\Fok%/FEH<qNJ_pJ,~>
+_#FGY_X@F)qNLUP!:][]!L*BJrrA(os*t~>
+_#FGuipQgIrQOs7!8@,G!R1N1rrC3Vs*t~>
+_#FGY_X@F)qNLUP!4__%!L*BJrrA(os*t~>
+^]+=slL4`QNqE>OnFZ_\NpluKqLH?\J,~>
+^]+>Uam]60b4P]6g@YCFb4#?2rK+eoJ,~>
+^]+=pa7'$.NqE>O\Ffe$NpluKqH(H3J,~>
+^]+?(NpluJNqE>OnFZ_\NpluKNoIhRJ,~>
+^]+>]b4#?1b4P]6g@YCFb4#?2b+QNLJ,~>
+^]+>]NpluJNqE>O\Ffe$NpluKNhF/eJ,~>
+^Ae5W_X[X,_TVTO!:]X\!R&@MrrL![^Ai]~>
+^Ae5ripm$Lio]n5!8@)F!TrD3rrM-A^Ai]~>
+^Ae5W_X[X,_TVTO!4_\$!R&@MrrL![^Ai]~>
+^&J(mnc&TKoD\g[oD\iOrpp'hNkPIC~>
+^&J)Tnc&U/oD\gEoD\j6r:9jfb.[h*~>
+^&J(mnc&TIoD\g#oD\iOr:9jfNkPIC~>
+^&J,U_t3m/_jg8t!:]U[!Kl1/rrL$[^&NT~>
+^&J,qj7E9Oj%o:H!8@&E!R$r'rrM0B^&NT~>
+^&J,U_t3m/__^oa!4_Y#!Kic@rrL$[^&NT~>
+]`/"pqt9sir/pRM!:]RZ!KR0PrrN%Z]`3K~>
+]`/#Uqt9sirQFd3!8@#D!Qt?5rrN)>]`3K~>
+]`/"pq=Xagr/pRM!4_V"!KR*NrrN%X]`3K~>
+]DhnP_tO*1Nq*,LnFHS[]!V22!rRW-]`3K~>
+]DhnEj7`KQb45K3g@G:DZM+;"rg0+es*t~>
+]Dhm`_tO*1Nq*,L\FTY#QBV%B!rQ>n]`3K~>
+])MfQZhXP$r/gIK!:]OY!Km<TrrL'#])R9~>
+])MfnXn_nsrlFX0!8?uC!R(B8rrM0'])R9~>
+])MfQNqiVTr/U=I!4_S!!Km6RrrL'#])R9~>
+\c2`B`;]Z6!r[Z-nc&UYnG`N/rVHNp_o]IhJ,~>
+\c2`<j8JlT!reOTnc&UCnG`N$rqcWqiT7WMJ,~>
+\c2_u`;TT5!rZDnnc&U!nG`M?rVHNp_TB@gJ,~>
+\GlT?[J^%*rI=;9!:]IW!Kc[GrrL'+\Gq'~>
+\GuT7r;QfsPOJMOg@,%BaiOD[!TQnas*t~>
+\GlSpPPkF]rE8Uh!4_Lt!KP4urrL%l\Gq'~>
+\,Q]TNK*i4NIT=DrrDQWrs/%4NU-J[NOZItJ,~>
+\,Q]p`l@uU`fk*)rrCdArs-eY`le8>`iurPJ,~>
+\,Q]TMMh<.MHOW]rrBRtrs-dtMTG\4MNbOLJ,~>
+[f?Bcs)A(di9pUFnF$;\n)/2*WSm6Ss*t~>
+[f?Ass'u.DS*p:Vg@"tFc'r6SJ=Ffms*t~>
+[f?Ass!e%_S*p:V\F0A$c'p14A"1`Ps*t~>
+Sc8]ZSc=3~>
+Sc8]DSc=3~>
+Sc8]"Sc=3~>
+Sc8]ZSc=3~>
+Sc8]DSc=3~>
+Sc8]"Sc=3~>
+Sc8]fSc=3~>
+Sc8]bSc=3~>
+Sc8]\Sc=3~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+JcE7[J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1g.ps b/books/ps/bookvol1g.ps
new file mode 100644
index 0000000..00e7647
--- /dev/null
+++ b/books/ps/bookvol1g.ps
@@ -0,0 +1,638 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/cartoval.ps
+%%CreationDate: Fri Dec  9 20:00:20 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 215 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+200.000000 -200.000000 scale
+% Image geometry
+200 200 8
+% Transformation matrix
+[ 200 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 200 string def
+/gstr 200 string def
+/bstr 200 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        15398 ASCII Bytes
+colorimage
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+X8a.-s8VQfs6p!Fhs^U6hr"J&s8VQfn)*%&n)*$'s*t~>
+X8a-ms8UgQs4[L[[+bQ6[']kes8UgQg9e6eg9e5fs*t~>
+X8a-_s8U=Cs31M1R*>TSR$dots8U=Cba=dtba=cus*t~>
+XT'<un*g;6s6oFVs53kVhuE`6hs^Tks53kVhr"J6hlQj.~>
+XT'<Jg=lS6s4Z3,s0Vh+[/^05[+bP@s0Vh+[']l5[&j:X~>
+XT'<.bfp*Ss3/^es-WidR/d2RR*>S@s-WidR$dpRR&p=<~>
+XoAX`s8V!Vs53;Errq<[s53kVr87MR"lK@;s8UuXs*t~>
+XoAX5s8TJ+s0UMZrroe0s0Vh+r3ZJ'"gn<:s8TI-s*t~>
+XoAWns8SJds-V%0rrneis-Widr0[K`"do=Ws8SIfs*t~>
+XoJCX"OI,Jhs^RE'AriihuE`6huDTks8V!Vs53kVhlQj.~>
+XoJC-"HWT_[+bNZ'=@f>[/^05[/[M?s8TJ+s0Vh+[&j:X~>
+XoJBf"D%Q4R*>R0':Ah"R/d2RR/`P@s8SJds-WidR&p=<~>
+XoB3ps8V!VhuE06s8V!Vs53kVhr"J6huDU5rr_0Ys50pXJ,~>
+XoB3Es8TJ+[/\k6s8TJ+s0Vh+[']l5[/[N4rr]Y.s0Sm-J,~>
+XoB3)s8SJdR/bCSs8SJds-WidR$dpRR/`QQrr\Ygs-TnfJ,~>
+XoB1*s8VQfn,NFVs52`&s6nk&s6p!fn,NCEs6p!FX8d\~>
+XoB0js8UgQgAh3,s0T/es4Xies4[MQgAh/Zs4[L[X8d\~>
+XoB0\s8U=Cbl@^es-T1ts3-jts31NCbl@[0s31M1X8d\~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YP_Z0Xr!4Mfcs0hfb!Oe#as*t~>
+kl1Y:_Z0YY!3uIEs0;ID!O9eCs*t~>
+kl1Xm_Z0Xr!0d>@s-*>?!L&P>s*t~>
+kl1YPao;F^NjenH!rq`Xr;Zfcqu6]Ss87lX[`5BJJ,~>
+kl1Y:ao;G'b-Cof!rpKgr;Zf@qu6\as8:"?Z/htcJ,~>
+kl1Xmao;F^Ng'F%!rpKgr;Zf@qu6\as87lXPK'['J,~>
+kl1YPc2[a&!lj]tk5PJ>`r1q$s*t~>
+kl1Y:c2[ab!p%SLk5PILjSd6)s*t~>
+kl1Xmc2[a&!liI.k5PIL`r1q$s*t~>
+kl1YPdJs6,!Igp!rr\:INfLIGJ,~>
+kl1Y:dJs6h!LA/err^D9b0%'jJ,~>
+kl1XmdJs6,!Ermarr\94NfLIGJ,~>
+kl1YPec5T.dJs0*\,Us~>
+kl1Y:ec5TjdJs0f\,Us~>
+kl1Xmec5T.dJs0*\,Us~>
+kl1YPf`1u3!1(b,!e.#,])R9~>
+kl1Y:f`1uo!(tB5!g\8W])R9~>
+kl1Xmf`1u3!%c7l!a8ul])R9~>
+kl1YPg]%>pNfM$Ws,I*!^&NT~>
+kl1Y:g]%?9b0%X%s2k?&^&NT~>
+kl1Xmg]%>pNfM$Ws,I*!^&NT~>
+kl1YPhZ!\t[Z8ABrr^9$Npjd`J,~>
+kl1Y:hZ!]=Z-).Brr_?)b07[$J,~>
+kl1XmhZ!\tPE*Ytrr^9$Nm,<=J,~>
+kl1YPi;Wo!NlKtgrr__uNfM!VJ,~>
+kl1Y:i;Wo?b2er%rr^KMb0%U$J,~>
+kl1Xmi;Wo!NlIHurr^K/NfM!VJ,~>
+kl1YPir9)"NlJI+s,I*!`W(G~>
+kl1Y:ir9)@b2fr0s2k?&`W(G~>
+kl1Xmir9)"NlJI+s,I*!`W(G~>
+kl1YPjSo;$NlJ='!lg8/a8^Y~>
+kl1Y:jSo;Bb2ff,!p%M/a8^Y~>
+kl1XmjSo;$NlJ='!lg7aa8^Y~>
+kl1YPk5PM&Ic%7,!oK$Xao?k~>
+kl1Y:k5PMDQC+cR!gq-kao?k~>
+kl1Xmk5PM&>*uDk!go"fao?k~>
+kl1YPkPkRC`i/n<`fA4AJ,~>
+kl1Y:kPkS*jJ`(ZjN>XFJ,~>
+kl1XmkPkRC`i/n<`fA4AJ,~>
+kl1YPl2Le(Nhl^TNm.NR~>
+kl1Y:l2LeFb,#(;b09m9~>
+kl1Xml2Le(Nhl^TNm.NR~>
+kl1YPlMgmF`hED5Njd75J,~>
+kl1Y:lMgn-jIuSSb-B7lJ,~>
+kl1XmlMgmF`hED5Ng%cgJ,~>
+kl1YPm/I++I\-Q?hi?%_J,~>
+kl1Y:m/I+IQCe*WR**bTJ,~>
+kl1Xmm/I++>+Y`pR#]MmJ,~>
+kl1YPmJd6J[dTad!KP1Is*t~>
+kl1Y:mJd71Z-8a<!QsKNs*t~>
+kl1XmmJd6JPK]Qs!KP1Is*t~>
+kl1YPmf*9IR/[3,NmdrX~>
+kl1Y:mf*:0R/[3Jb0p<?~>
+kl1Xmmf*9IR/[3,NmdrX~>
+kl1YPnG`O/Ng9VENmn#Y~>
+kl1Y:nG`OMb*Du,b1$B@~>
+kl1XmnG`O/Ng9VENmn#Y~>
+kl1YPnc/X/PQ(ZD[akD.~>
+kl1Y:nc/XMPQ([+Z.8l)~>
+kl1Xmnc/X/PQ(ZDPL]\`~>
+kl1YPo)A`N`f^9%ho=7IJ,~>
+kl1Y:o)Aa5jH9HCR,liuJ,~>
+kl1Xmo)A`N`f^9%R)[_WJ,~>
+kl1YPoD\f>NrK."Nn=;]~>
+kl1Y:oD\fVNrK.@b1HZD~>
+kl1XmoD\eoNrK."Nn=;]~>
+kl1YPo`"rPhi.R8NnFA^~>
+kl1Y:o`"s7R#M%Fb1Q`E~>
+kl1Xmo`"rPR#M%FNnFA^~>
+kl1YPp&>#PM>mR9g&HR~>
+kl1Y:p&>$7M>mRug&HR~>
+kl1Xmp&>#PM>mR9g&HR~>
+kl1YPpAY,QL]7C8`nUND~>
+kl1Y:pAY-8L]7CtjP0]b~>
+kl1XmpAY,QL]7C8`nUND~>
+kl1YPp](95LB%:nh#Dm~>
+kl1Y:p](9SLB%;7h#Dm~>
+kl1Xmp](95LB%:nh#Dm~>
+kl1YPq#CB6K`;(]hqe<_~>
+kl1Y:q#CBTK`;(XR,.dm~>
+kl1Xmq#CB6K`;(:R,.dm~>
+kl1YPq>^K7K)bkjhZ&*~>
+kl1Y:q>^KUK)bl3hZ&*~>
+kl1Xmq>^K7K)bkjhZ&*~>
+kl1YPqYpT9Q@]&;s2N(9s*t~>
+kl1Y:qYpTW8qI!Ds5`7us*t~>
+kl1XmqYpT9/:mg&s2N(9s*t~>
+kl1YPqYpPUJcG`L!05t:J,~>
+kl1Y:qYpQ<JcG`L!6X4!J,~>
+kl1XmqYpPUJcG`L!05t:J,~>
+kl1YPqu6YVJcGZJ!06";J,~>
+kl1Y:qu6Z=JcGZJ!6X7"J,~>
+kl1Xmqu6YVJcGZJ!06";J,~>
+kl1YPr;Zf:JcGWI!06%<J,~>
+kl1Y:r;ZfXJcGWI!6X:#J,~>
+kl1Xmr;Zf:JcGWI!06%<J,~>
+kl1YPrVuo;JcGQG!1)XEJ,~>
+kl1Y:rVuoYJcGQG!(u8NJ,~>
+kl1XmrVuo;JcGQG!%d.0J,~>
+kl1YPrVlkXJcGNFs2O+!J,~>
+kl1Y:rVll?JcGNFs5`5?J,~>
+kl1XmrVlkXJcGNFs2O+!J,~>
+kl1YPrr3"Jhgth%rrA)>s*t~>
+kl1Y:rr3"bR">;3rrC4%s*t~>
+kl1Xmrr3"&R">;3rrA)>s*t~>
+kl1eTs8U*YJcGEC!06.?J,~>
+kl1e>s8V0@JcGEC!6XC&J,~>
+kl1dqs8U*YJcGEC!06.?J,~>
+kl1bSs8S+1s7?6jNog:k~>
+kl1b=s8U5ms7?6jb2rYR~>
+kl1aps8S+1s7?6jNog:k~>
+kl1bSs2N'0s7?9j`od;O~>
+kl1b=s5`6ls7?9jjQ?Jm~>
+kl1aps2N'0s7?9j`od;O~>
+kl1_Rs,M[1nc&WMn)s_$~>
+kl1_<s2oomnc&X4bif"V~>
+kl1^os,M[1nc&WMbif"V~>
+kl1\QNe.6"rrMSskPp&~>
+kl1\;b(9T^rrL?KkPp&~>
+kl1[nNe.6"rrL?-kPp&~>
+kl1\QDLqiVs8U+&s*t~>
+kl1\;@Y+RJs8V0Ds*t~>
+kl1[n-\;<ds8U+&s*t~>
+kl1X4JcG-;!06:CJ,~>
+kl1XYJcG-;!6XO*J,~>
+kl1WPJcG-;!06:CJ,~>
+kl1X;JcG*:!06=DJ,~>
+kl1XlJcG*:!6XR+J,~>
+kl1WtJcG*:!06=DJ,~>
+kl1XCJcG*:s2O@(J,~>
+kl1Y*JcG*:s5`JFJ,~>
+kl1XCJcG*:s2O@(J,~>
+l2Le(^OcFNrrJ/Kli2J~>
+l2LeFdXhGarrL9dli2J~>
+l2Le(UOiI2rrJ/(li2J~>
+l2LdEn:CW*rrMSsli2J~>
+l2Le,g4B:irrL?Kli2J~>
+l2LdE\:O\GrrL?-li2J~>
+l2Ld5n:CW)rrA)Fs*t~>
+l2LdMg4B:hrrC4-s*t~>
+l2Lcf\:O\FrrA)Fs*t~>
+lMgq*[d\kJl2LaDm/MS~>
+lMgqHZ.ad/l2Lb+m/MS~>
+lMgq*PIQ2Dl2LaDm/MS~>
+lMgpGs6tU>l2LaDm/MS~>
+lMgq.s4W&(l2Lb+m/MS~>
+lMgpGs1!X[l2LaDm/MS~>
+lMgpGs6tU>kl1XCmJh\~>
+lMgq.s4W&(kl1Y*mJh\~>
+lMgpGs1!X[kl1XCmJh\~>
+li7")!WVY?s60I`NplE9J,~>
+li7"G!WUl)s60I`b09;RJ,~>
+li7")!WTZ\s60I`Nm-qkJ,~>
+li.'Is8VTCrs-Q([Z7f)NfKG*!UmJbs*t~>
+li.(0s8Ug-rs.W-Z-'>Vb0$%M!R.h:s*t~>
+li.'Is8TU`rs-Q(PE(ijNfKG*!R-bqs*t~>
+li.'9s8VTIrrJ.grJh-&s53kFn,NFeNWXa-NlIUh!06LIJ,~>
+li.'Qs8Ug3rrL9IrQ5B+s-Wi1bl@_BaodrXb2f)m!6Xa0J,~>
+li.&js8TUfrrJ.DrJh-&s-Wi1bl@_BNWWHmNlIUh!06LIJ,~>
+li.'9s8VTLs8J&Yn*g8V`r:tu`h<>3Npcpt~>
+li.'Qs8Ug6s8L1@bjYQ3jSm:%jIlMQb3o:[~>
+li.&js8TUis8J&YbjYQ3`r:tu`h<>3Npcpt~>
+li.'Is8VTOrrU3#Nop?C`g4W=rrA)Is*t~>
+li.(0s8Ug9rrV9(b3&^*j@\L-rrC40s*t~>
+li.'Is8TUlrrU3#Nop?C`[o-(rrA)Is*t~>
+li.'Is8VTQrrU2hhr=Y;`fA'6rrA)Js*t~>
+li.(0s8Ug;rrV8IR,\,IjN?PYrrC41s*t~>
+li.'Is8TUnrrU2DR,\,I`fA'6rrA)Js*t~>
+m/I'Grr2ufli.%+NlKrU!QL.qrrA)Js*t~>
+m/I(.rr2uPli.%Ib2hFZ!T_D!rrC41s*t~>
+m/I'Grr2u.li.%+NlKrU!QL.qrrA)Js*t~>
+m/I'Grr2ufm/I*H`nLImNi)gW[bpTSJ,~>
+m/I(.rr2uPm/I+/jP'Y6b,51>Z'b%\J,~>
+m/I'Grr2u.m/I*H`nLImNi)gWPF1k>J,~>
+m/I3Kn,NFWmf3<If)G`9VZ-XVnGe"~>
+m/I42bl@^smf3=0f)G_BVZ-Y=nGe"~>
+m/I3Kbl@^Qmf3<If)G_$VZ-XVnGe"~>
+m/I3Kn,NFWn,EE;hphZ+Ni2mWNq!(!~>
+m/I42bl@^sn,EESR+2-9b,>7>b4,F]~>
+m/I3Kbl@^Qn,EDlR+2-9Ni2mWNq!(!~>
+m/I'Grr2ufnc&X0Nm[k,Ni;sXNq!(!~>
+m/I(.rr2uPnc&XNb0g4hb,G=?b4,F]~>
+m/I'Grr2u.nc&X0Nm[k,Ni;sXNq!(!~>
+m/I'Grr2ufo)Ja0ci4!*W;cjXnc++~>
+m/I(.rr2uPo)JaNci4!fW;ck?nc++~>
+m/I'Grr2u.o)Ja0ci4!*W;cjXnc++~>
+m/I'Grr2ufoDej1cN!paWW)sYnc++~>
+m/I(.rr2uPoDejOcN!q*WW)t@nc++~>
+m/I'Grr2u.oDej1cN!paWW)sYnc++~>
+m/I'Grr2ufo`"rP`m"J_`iB%>[bpZUJ,~>
+m/I(.rr2uPo`"s7jNRZ(jJr4\Z'b+^J,~>
+m/I'Grr2u.o`"rP`m"J_`iB%>PF1q@J,~>
+m/I'Grr2ufp&>#PaoDC\X8i4>o)F4~>
+m/I(.rr2uPp&>$7aoDD%X8i4\o)F4~>
+m/I'Grr2u.p&>#PaoDC\X8i4>o)F4~>
+m/I''rr2ufpAY/BhoPfu`jVrJ!06XMJ,~>
+m/I&prr2uPpAY/ZR)o:.jKYcc!6Xm4J,~>
+m/I&5rr2u.pAY.sR)o:.`fmJ'!06XMJ,~>
+m/I'Grr2ufp](95`r?%9X8`0[o)F4~>
+m/I(.rr2uPp](9S`r?$eX8`1Bo)F4~>
+m/I'Grr2u.p](95`r?$HX8`0[o)F4~>
+m/I'Grr2ufp\t5R`;]gtXT&9\o)F4~>
+m/I(.rr2uPp\t69`;]h[XT&:Co)F4~>
+m/I'Grr2u.p\t5R`;]gtXT&9\o)F4~>
+m/I'Grr2ufq#:>S_uB^sXT&9\o)F4~>
+m/I(.rr2uPq#:?:_uB_ZXT&:Co)F4~>
+m/I'Grr2u.q#:>S_uB^sXT&9\o)F4~>
+m/I'Grr2ufq>^K7_Z'UrXoAF1ht-ku~>
+m/I(.rr2uPq>^KU_Z'VYXoAF,R.L?.~>
+m/I'Grr2u.q>^K7_Z'UrXoAEcR.L?.~>
+m/I'Grr2ufq>UGT_>aLqXoAB]o)F4~>
+m/I(.rr2uPq>UH;_>aMXXoACDo)F4~>
+m/I'Grr2u.q>UGT_>aLqXoAB]o)F4~>
+m/I''rr2ufqYpSVhn]6lI]i\NNq34#~>
+m/I&prr2uPqYpT=R)&_%QEL5fb4>R_~>
+m/I&5rr2u.qYpSVR)&_%>-@l*Nq34#~>
+m/I'Grr2ufqYpPU^]+;2Y5eOAoDa=~>
+m/I(.rr2uPqYpQ<^]+:^Y5eO_oDa=~>
+m/I'Grr2u.qYpPU^]+:AY5eOAoDa=~>
+m/I'Grr2ufqYpPU^]+:oXoAB]oDa=~>
+m/I(.rr2uPqYpQ<^]+;VXoACDoDa=~>
+m/I'Grr2u.qYpPU^]+:oXoAB]oDa=~>
+m/I'Grr2ufqu?]9^]+:oXoAB]oDa=~>
+m/I(.rr2uPqu?]W^]+;VXoACDoDa=~>
+m/I'Grr2u.qu?]9^]+:oXoAB]oDa=~>
+m/I'Grr2ufqu6YV^Ae1nXoABMoDa=~>
+m/I(.rr2uPqu6Z=^Ae2UXoABeoDa=~>
+m/I'Grr2u.qu6YV^Ae1nXoAB)oDa=~>
+m/I'Grr2ufqu6YV^&J(mY5\L!oDa=~>
+m/I(.rr2uPqu6Z=^&J)TY5\KMoDa=~>
+m/I'Grr2u.qu6YV^&J(mY5\K0oDa=~>
+m-k.4kj\**qsXT7^$l#NY4)F?oC.8~>
+m+MTO\_>cXqq;%9^"NIPY1`lAo@e]~>
+m'm15W49@%qmZW0]sn&GY.+I8o=0;~>
+m/I3Kn,NFWqu6YF^&J)0Y5\L!oDa=~>
+m/I42bl@^squ6Y^^&J(\Y5\KMoDa=~>
+m/I3Kbl@^Qqu6Y"^&J(?Y5\K0oDa=~>
+m/I'Grr2ufqu6YV^Ae1nXoAB]oDa=~>
+m/I(.rr2uPqu6Z=^Ae2UXoACDoDa=~>
+m/I'Grr2u.qu6YV^Ae1nXoAB]oDa=~>
+m/I'Grr2ufqu6Y6^Ae1nY5eOAoDa=~>
+m/I(.rr2uPqu6Y*^Ae2UY5eO_oDa=~>
+m/I'Grr2u.qu6XD^Ae1nY5eOAoDa=~>
+m/I'Grr2ufqu6YV^Ae1nY5\K^o)F4~>
+m/I(.rr2uPqu6Z=^Ae2UY5\LEo)F4~>
+m/I'Grr2u.qu6YV^Ae1nY5\K^o)F4~>
+m/I'Grr2ufqYpPU^]+:oY5\K^o)F4~>
+m/I(.rr2uPqYpQ<^]+;VY5\LEo)F4~>
+m/I'Grr2u.qYpPU^]+:oY5\K^o)F4~>
+m/I'7rr2ufqYpPU^]+:_Y5\N_n+6R0~>
+m/I'Orr2uPqYpQ<^]+;"Y5\OFbk(jb~>
+m/I&hrr2u.qYpPU^]+:;Y5\N_bk(jb~>
+m/I'7rr2ufqZ$T8_>aOrhlct[[dWhfJ,~>
+m/I'Orr2uPqZ$TV_>aPYR'-GiZ-;h>J,~>
+m/I&hrr2u.qZ$T8_>aOrR'-GiPK`XuJ,~>
+m/I'Grr2ufq>UGT_>aLqXoAB]o)F4~>
+m/I(.rr2uPq>UH;_>aMXXoACDo)F4~>
+m/I'Grr2u.q>UGT_>aLqXoAB]o)F4~>
+m/I'Grr2ufq>^K'_uB^sXT&9\o)F4~>
+m/I(.rr2uPq>^K"_uB_ZXT&:Co)F4~>
+m/I'Grr2u.q>^JY_uB^sXT&9\o)F4~>
+m/I'Grr2ufq#:>S_uB^sXT&9\o)F4~>
+m/I(.rr2uPq#:?:_uB_ZXT&:Co)F4~>
+m/I'Grr2u.q#:>S_uB^sXT&9\o)F4~>
+m/I'Grr2ufp\t5R`W#puX8`0[o)F4~>
+m/I(.rr2uPp\t69`W#q\X8`1Bo)F4~>
+m/I'Grr2u.p\t5R`W#puX8`0[o)F4~>
+m/I'Grr2ufpAY,Q`r?$fX8`0Ko)F4~>
+m/I(.rr2uPpAY-8`r?%)X8`0co)F4~>
+m/I'Grr2u.pAY,Q`r?$BX8`0'o)F4~>
+m/I''rr2ufp&>#PaSu:$hlHbWVXjb;~>
+m/I&prr2uPp&>$7aSu:`R&g5eIIdDg~>
+m/I&5rr2u.p&>#PaSu:$R&g5e@.O>J~>
+m/I'Grr2ufp&G'3b5VI%WrE'Znc++~>
+m/I(.rr2uPp&G'Qb5VIaWrE(Anc++~>
+m/I'Grr2u.p&G'3b5VI%WrE'Znc++~>
+m/I'Grr2ufo`"s#Ia%flNiE$YNq*."~>
+m/I(.rr2uPo`"rsQH]@/b,PC@b45L^~>
+m/I'Grr2u.o`"rU>0R!HNiE$YNq*."~>
+m/I'Grr2ufo)A]McN!paWW)sYnc++~>
+m/I(.rr2uPo)A^4cN!q*WW)t@nc++~>
+m/I'Grr2u.o)A]McN!paWW)sYnc++~>
+m/I'Grr2ufnc&WM`mOhd`i/n;Nq*."~>
+m/I(.rr2uPnc&X4jO+#-jJ`(Yb45L^~>
+m/I'Grr2u.nc&WM`mOhd`i/n;Nq*."~>
+m/I'Grr2ufnG`O/Nmn%.`i/n;Nq!(!~>
+m/I(.rr2uPnG`OMb1$CjjJ`(Yb4,F]~>
+m/I'Grr2u.nG`O/Nmn%.`i/n;Nq!(!~>
+m/I3KhuE`Gmf*9Iec,Z1QDa``[bpWTJ,~>
+m/I42R/d3?mf*:0ec,Zm8uM[iZ'b(]J,~>
+m/I3KR/d2rmf*9Iec,Z1/>rLKPF1n?J,~>
+m/I'Grr2ufmJm3Hg&M)4V>gOUnGe"~>
+m/I(.rr2uPmJm4/g&M)pV>gP<nGe"~>
+m/I'Grr2u.mJm3Hg&M)4V>gOUnGe"~>
+m/I'Grr2ufm/I.ENfMrq!QL.qs8U+.s*t~>
+m/I(.rr2uPm/I-Sb0&Q?!T_D!s8V0Ls*t~>
+m/I'Grr2u.m/I-SNfMrq!QL.qs8U+.s*t~>
+m/R+*s8N)gl2UdDiVru!NlIjo!06OJJ,~>
+m/R+Hs8N)Ql2Ue+iVru?b2f>t!6Xd1J,~>
+m/R+*s8N)/l2UdDiVru!NlIjo!06OJJ,~>
+li.'Is8VTOs8S,@s8S)ZQD+<YNpm!u~>
+li.(0s8Ug9s8U7's8U4A8tl7bb4#@\~>
+li.'Is8TUls8S,@s8S)Z/><(DNpm!u~>
+li.'Is8VTMrr?s9NpQfFNh?@O`p`qX~>
+li.(0s8Ug7rr?O-b3]0-b+J_6jR<,!~>
+li.'Is8TUjrr=GGNpQfFNh?@O`p`qX~>
+li.'9s8VTIs8%cOrrC(:Nh$+MIc'VoJ,~>
+li.'Qs8Ug3s8'n6rrD-Xb+/J4QC..@J,~>
+li.&js8TUfs8%cOrrC(:Nh$+M>+"dYJ,~>
+li.'9s8VTFrrCsUs8J#bIVsUpNlM,!n*ceHs2OL,J,~>
+li.'Qs8Ug0rrAGcs8L.IQ=?0&b2iU&bflUWs5`VJJ,~>
+li.&js8TUcrrAGcs8J#b=smL6NlM,!bflUWs2OL,J,~>
+li.'Is8VS>s60I_NpZjs~>
+li.(0s8Uf(s60I_b3f4Z~>
+li.'Is8TT[s60I_NpZjs~>
+lMgpGs6tU>l2Ue'mJh\~>
+lMgq.s4W&(l2UeEmJh\~>
+lMgpGs1!X[l2Ue'mJh\~>
+lMgpGs6tU>l2LaDm/MS~>
+lMgq.s4W&(l2Lb+m/MS~>
+lMgpGs1!X[l2LaDm/MS~>
+lMgpGs6tU>lMpn(m/MS~>
+lMgq.s4W&(lMpnFm/MS~>
+lMgpGs1!X[lMpn(m/MS~>
+l2Ld5n:CW)rrIT+m/MS~>
+l2LdMg4B:hrrJFQm/MS~>
+l2Lcf\:O\FrrH;jm/MS~>
+l2Ld5n:CW*s8U+)s*t~>
+l2LdMg4B:is8V0Gs*t~>
+l2Lcf\:O\Gs8U+)s*t~>
+l2Le(^OcFNrrA)Es*t~>
+l2LeFdXhGarrC4,s*t~>
+l2Le(UOiI2rrA)Es*t~>
+kl1XCJcG*:s2O@(J,~>
+kl1Y*JcG*:s5`JFJ,~>
+kl1XCJcG*:s2O@(J,~>
+kl1X4JcG*:!06=DJ,~>
+kl1XYJcG*:!6XR+J,~>
+kl1WPJcG*:!06=DJ,~>
+kl1\QNe.5us8U+'s*t~>
+kl1\;b(9T\s8V0Es*t~>
+kl1[nNe.5us8U+'s*t~>
+kl1_RNphQ!n,EB:kl6/~>
+kl1_<b05G:n,EBRkl6/~>
+kl1^oNm*(Sn,EAkkl6/~>
+kl1_R`jUHunG`NLhrt)j~>
+kl1_<jKX:9nG`O3R-=R#~>
+kl1^o`fkuRnG`NLR-=R#~>
+kl1_Rs,M[1nc/X/kPp&~>
+kl1_<s2oomnc/XMkPp&~>
+kl1^os,M[1nc/X/kPp&~>
+kl1bSs2N'0s7?9j`od;O~>
+kl1b=s5`6ls7?9jjQ?Jm~>
+kl1aps2N'0s7?9j`od;O~>
+kl1bSs8S+1s7?6jNog:k~>
+kl1b=s8U5ms7?6jb2rYR~>
+kl1aps8S+1s7?6jNog:k~>
+kl1eTs8U*YJcGEC!06.?J,~>
+kl1e>s8V0@JcGEC!6XC&J,~>
+kl1dqs8U*YJcGEC!06.?J,~>
+kl1YPrr2tYJcGHD!QMS/s*t~>
+kl1Y:rr2u@JcGHD!T^NHs*t~>
+kl1Xmrr2tYJcGHD!QL>as*t~>
+kl1YPrr<#,JcGNF!lh\;jSs`~>
+kl1Y:rr<#'JcGNF!p$W1jSs`~>
+kl1Xmrr<"^JcGNF!lgGJjSs`~>
+kl1YPrVlkXJcGNF!06(=J,~>
+kl1Y:rVll?JcGNF!6X=$J,~>
+kl1XmrVlkXJcGNF!06(=J,~>
+kl1YPr;QbWJcGTH!06%<J,~>
+kl1Y:r;Qc>JcGTH!6X:#J,~>
+kl1Xmr;QbWJcGTH!06%<J,~>
+kl1YPr;Zf:JcGZJ!06";J,~>
+kl1Y:r;ZfXJcGZJ!6X7"J,~>
+kl1Xmr;Zf:JcGZJ!06";J,~>
+kl1YPqu?]9JcG`L!05t:J,~>
+kl1Y:qu?]WJcG`L!6X4!J,~>
+kl1Xmqu?]9JcG`L!05t:J,~>
+kl1YPqYpPUJcGcM!QMS*s*t~>
+kl1Y:qYpQ<JcGcM!T^NCs*t~>
+kl1XmqYpPUJcGcM!QL>\s*t~>
+kl1YPq>UG4Jc>ek[dW,RJ,~>
+kl1Y:q>UG(Jc>f4Z-;,*J,~>
+kl1Xmq>UFBJc>ekPK_qaJ,~>
+kl1YPq#:>SKE(tkh>`!~>
+kl1Y:q#:?:KE(u4h>`!~>
+kl1Xmq#:>SKE(tkh>`!~>
+kl1YPp\t5RL&_1mh#Dm~>
+kl1Y:p\t69L&_26h#Dm~>
+kl1Xmp\t5RL&_1mh#Dm~>
+kl1YPpAY,QL]@Cog])d~>
+kl1Y:pAY-8L]@D8g])d~>
+kl1XmpAY,QL]@Cog])d~>
+kl1YPp&>#PM?!UqgAc[~>
+kl1Y:p&>$7M?!V:gAc[~>
+kl1Xmp&>#PM?!UqgAc[~>
+kl1YPo`"oOMuWgsg&HR~>
+kl1Y:o`"p6MuWh<g&HR~>
+kl1Xmo`"oOMuWgsg&HR~>
+kl1YPoD\f.NW0$>QIu4f~>
+kl1Y:oD\f"NW0%%9%a/o~>
+kl1XmoD\e<NW0$>/D0uQ~>
+kl1YPo)A`N`fU3#Nn45\~>
+kl1Y:o)Aa5jH0BAb1?TC~>
+kl1Xmo)A`N`fU3#Nn45\~>
+kl1YPnc/X/PQ(['Nn+/[~>
+kl1Y:nc/XMPQ([Eb16NB~>
+kl1Xmnc/X/PQ(['Nn+/[~>
+kl1YPnGiO.Q2^lF`mk$=~>
+kl1Y:nGiOLQ2^m-jOF3[~>
+kl1XmnGiO.Q2^lF`mk$=~>
+kl1YPn,EF.NgKbGNmdrX~>
+kl1Y:n,EFLb*W,.b0p<?~>
+kl1Xmn,EF.NgKbGNmdrX~>
+kl1YPmJd0HRf<E.IaS1G~>
+kl1Y:mJd1/Rf<ELQI5__~>
+kl1XmmJd0HRf<E.>1*A#~>
+kl1YPm/I*(`h*24`f@LrdJn^~>
+kl1Y:m/I)qjIZARjN=aOdJn^~>
+kl1Xmm/I)6`h*24`f?8,dJn^~>
+kl1YPli."*NhHCQNlKBEJ,~>
+kl1Y:li."Hb+Sb8b2gkJJ,~>
+kl1Xmli."*NhHCQNlKBEJ,~>
+kl1YPl2UdDV#UITbl<1~>
+kl1Y:l2Ue+V#UJ;bl<1~>
+kl1Xml2UdDV#UITbl<1~>
+kl1YPkPkRC`i/n<Ndf.NJ,~>
+kl1Y:kPkS*jJ`(Zb*L3MJ,~>
+kl1XmkPkRC`i/n<N`sU*J,~>
+kl1YPk5PM&NlJ1#s,R-Jb5Zt~>
+kl1Y:k5PMDb2fZ(s2tAcb5Zt~>
+kl1Xmk5PM&NlJ1#s,R-'b5Zt~>
+kl1YPjo5GO[Z8A3s8S,!s*t~>
+kl1Y:jo5G,Z-).3s8U6]s*t~>
+kl1Xmjo5G,PE*Yes8S,!s*t~>
+kl1YPir9)"NlJI+s,P%tJ,~>
+kl1Y:ir9)@b2fr0s2r:[J,~>
+kl1Xmir9)"NlJI+s,P%tJ,~>
+kl1YPi;WkuNlJX0!lg7<_Z,,~>
+kl1Y:i;Wl>b2g,5!p%L5_Z,,~>
+kl1Xmi;WkuNlJX0!lg6J_Z,,~>
+kl1YPhZ!YcI`B)$s,I*!_#Jo~>
+kl1Y:hZ!Y^QK5aZs2k?&_#Jo~>
+kl1XmhZ!Y@>/n8Us,I*!_#Jo~>
+kl1YPh#@GqNfLsUs,OemJ,~>
+kl1Y:h#@H:b0%R#s2r%TJ,~>
+kl1Xmh#@GqNfLsUs,OemJ,~>
+kl1YPg&M)4!63+["3-@]DS,q!~>
+kl1Y:g&M)p!9D6$"6@VI@_;Yj~>
+kl1Xmg&M)4!63+["3-@]-bKD/~>
+kl1YPfDbrmDN9b&s8J#Y`jl&!~>
+kl1Y:fDbs6@`lj=s8L.@jLG5?~>
+kl1XmfDbrm-]X54s8J#Y`jl&!~>
+kl1YPe,TE-!63Ui"3-@]DRBFo~>
+kl1Y:e,TEi!9D`2"6@VI@^Q/c~>
+kl1Xme,TE-!63Ui"3-@]-a`o(~>
+kl1YPd/O-dDZ,Rq`o-js`r:tu`j,Po~>
+kl1Y:d/O.-@f=FLjP^%<jSm:%jK\`8~>
+kl1Xmd/O-d-iK&*`o-js`r:tu`j,Po~>
+kl1YPb5VO_Nc+cTmJd1+rJgo-[]TR[~>
+kl1Y:b5VP(b$t:kmJd1IrQ5/,Z*"%V~>
+kl1Xmb5VO_N[OabmJd1+rJgn^PHFk8~>
+kl1YP_Z'[tIX_*Q!,h[os*asfVuM8~>
+kl1Y:_Z'\[QBq?h!+PiJs-<ZGVuM8~>
+kl1Xm_Z'[t>$C`^!%7Z(s&oEBVuM8~>
+kl1YP])Vg!SH"*~>
+kl1Y:])VfSSH"*~>
+kl1Xm])VfSSH"*~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+kl1YPJcF4!J,~>
+kl1Y:JcF4!J,~>
+kl1XmJcF4!J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1h.ps b/books/ps/bookvol1h.ps
new file mode 100644
index 0000000..cb14bbf
--- /dev/null
+++ b/books/ps/bookvol1h.ps
@@ -0,0 +1,1475 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/2DPanel.ps
+%%CreationDate: Fri Dec  9 21:21:14 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 251 415
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 400.000000 translate
+236.000000 -400.000000 scale
+% Image geometry
+236 400 8
+% Transformation matrix
+[ 236 0 0 400 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 236 string def
+/gstr 236 string def
+/bstr 236 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        58610 ASCII Bytes
+colorimage
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+K)Yhci;Wel\,Us~>
+K)Ygci;Wdl\,Us~>
+K)Yg*i;Wd3\,Us~>
+Yl=^<r;Z]0r;Z]0rVuf1rr2u5r;Qc3r;Qc3q>UH0pAY--oD\g*\Gq'~>
+Yl=]<r;Z\0r;Z\0rVue1rr2t5r;Qb3r;Qb3q>UG0pAY,-oD\f*\Gq'~>
+Yl=\Xr;Z[Lr;Z[LrVudMrr2sQr;QaOr;QaOq>UFLpAY+IoD\eF\Gq'~>
+Zi:?Hs8Tk6s1eU6^]"04^]+65^\n*3^\n*3^\n*3^\n*3^\n*3^\\!1^\@a.^[hC)^UX;o~>
+Zi:>Hs8Qj6s(_T6CAn/4CB"55CAe)3CAe)3CAe)3CAe)3CAe)3CARu1CA7`.C@_B)C:O:o~>
+Zi:=ds8OhRs"XQR1&_+P1&h1Q1&V%O1&V%O1&V%O1&V%O1&V%O1&CqM1&(\J1%P>E0t@76~>
+ZMt'Bs1eTKrr2u5r;Ql6s8Tk3rrBh3rrBh3s8Tk4rrBh4rrBh1rrTt8^\@a.^[_=(^UaAp~>
+ZMt&Bs(_RKrr2t5r;Qk6s8Qj3rr?g3rr?g3s8Qj4rr?g4rr?g1rrQs8CA7`.C@V<(C:X@p~>
+ZMt%^s"XO.rr2sQr;QjRs8OhOrr=eOrr=eOs8OhPrr=ePrr=eMrrOqT1&(\J1%G8D0tI=7~>
+]`.uHr;Qc3rVul3rVll4r;Ql6s8Tk-rrBh3rrTt8^]+65^]"04^\e$5^]4>Kq#:?/rVll4r;Qc3
+qu6Z2\c70~>
+]`.tHr;Qb3rVuk3rVlk4r;Qk6s8Qj-rr?g3rrQs8CB"55CAn/4CA\#5CB+<Kq#:>/rVlk4r;Qb3
+qu6Y2\c70~>
+]`.sdr;QaOrVujOrVljPr;QjRs8OhIrr=eOrrOqT1&h1Q1&_+P1&LtQ1&q8.q#:=KrVljPr;QaO
+qu6XN\c70~>
+]DhlGrr2u5rVm#8s1eTKrr2u5r;Qc3rr;u4q>UH0r;Qu9s8Tk6s1eO4!5J=/!5J@0!5JF2!5JO5
+!5JC1!5H)EJ,~>
+]DhkGrr2t5rVm"8s(_RKrr2t5r;Qb3rr;t4q>UG0r;Qt9s8Qj6s(_N4!,D</!,D?0!,DE2!,DN5
+!,DB1!,B(EJ,~>
+]Dhjcrr2sQrVm!Ts"XO.rr2sQr;QaOrr;sPq>UFLr;QsUs8OhRs"XKP!&=9K!&=<L!&=BN!&=KQ
+!&=?M!&;%aJ,~>
+])MiHs1eO4$,?N?^]4>Ks8Tk3rrBh2s8Tk2rrBh3rrBh5rrTt8^]"04^\Ig/^\Rm0^\[s3^]2(E
+rrBgEs*t~>
+])MhHs(_N4$#9M?CB+<Ks8Qj3rr?g2s8Qj2rr?g3rr?g5rrQs8CAn/4CA@f/CAIl0CARr3CB&&E
+rr?fEs*t~>
+])Mgds"XKP#r2J[1&q8.s8OhOrr=eNs8OhNrr=eOrr=eQrrOqT1&_+P1&1bK1&:hL1&CnO1&j!(
+rr=das*t~>
+\c2ZEq>UH0r;Qc3r;Qc3q>UH0r;Qc3r;Qc3rVuo4rVll4q#:?/qYpQ1q#:?/q#:?/\c70~>
+\c2YEq>UG0r;Qb3r;Qb3q>UG0r;Qb3r;Qb3rVun4rVlk4q#:>/qYpP1q#:>/q#:>/\c70~>
+\c2Xaq>UFLr;QaOr;QaOq>UFLr;QaOr;QaOrVumPrVljPq#:=KqYpOMq#:=Kq#:=K\c70~>
+])MiHs1e4+!5JI3"2Fm9^\n*3^\n*3^\n*3^\n*3^]"04^\Ig/^\e$2^\Ig1^]2(ErrBgEs*t~>
+])MhHs(_3+!,DH3")@l9CAe)3CAe)3CAe)3CAe)3CAn/4CA@f/CA\#2CA@f1CB&&Err?fEs*t~>
+])Mgds"X0G!&=EO"#9iU1&V%O1&V%O1&V%O1&V%O1&_+P1&1bK1&LtN1&1bM1&j!(rr=das*t~>
+]DhlGrr2u5p&>$,rVll4rr2u5r;Qc3r;Qc3r;Qc3r;Qc3r;Qc3q>UH0qu6Z2q>UH0rr2u5qu6Z2
+\Gq'~>
+]DhkGrr2t5p&>#,rVlk4rr2t5r;Qb3r;Qb3r;Qb3r;Qb3r;Qb3q>UG0qu6Y2q>UG0rr2t5qu6Y2
+\Gq'~>
+]Dhjcrr2sQp&>"HrVljPrr2sQr;QaOr;QaOr;QaOr;QaOr;QaOq>UFLqu6XNq>UFLrr2sQqu6XN
+\Gq'~>
+]`.uHr;Qc3pAb'*r;Z]0rVuf1rr2u5r;Qc3r;Qc3r;ZW.s8N)6q>UH0r;Qc3r;Qc3\Gq'~>
+]`.tHr;Qb3pAb&*r;Z\0rVue1rr2t5r;Qb3r;Qb3r;ZV.s8N(6q>UG0r;Qb3r;Qb3\Gq'~>
+]`.sdr;QaOpAb%Fr;Z[LrVudMrr2sQr;QaOr;QaOr;ZUJs8N'Rq>UFLr;QaOr;QaO\Gq'~>
+K)Yhci;Wel\,Us~>
+K)Ygci;Wdl\,Us~>
+K)Yg*i;Wd3\,Us~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+gAh)cli6t!^An&EgAh/ecMrC~>
+gAh)+li6s>^An%bgAh/-cMrC~>
+gAh(*li6r=^An$agAh.,cMrC~>
+g]%8gr;Qc3lMgk!]DhlGec,Wanc&U(huA3~>
+g]%8/r;QbPlMgj>]Dhkdec,W)nc&TEhuA3~>
+g]%7.r;QaOlMgi=]Dhjcec,V(nc&SDhuA3~>
+g]%8gr;Qc3lMgk!]DhlGec,Wanc&U(huA3~>
+g]%8/r;QbPlMgj>]Dhkdec,W)nc&TEhuA3~>
+g]%7.r;QaOlMgi=]Dhjcec,V(nc&SDhuA3~>
+g]%8gq#C9,rVuf1qu6Z2qu?T/`r?%Rr;Qi5s8W)5rVuf1rr3#6s8B_2s89Y/rrBh2s89Y2s80S0
+s89Xts*t~>
+g]%8/q#C8IrVueNqu6YOqu?SL`r?$or;QhRs8W(RrVueNrr3"Ss8@`Os87ZLrr@iOs87ZOs8.TM
+s87Z<s*t~>
+g]%7.q#C7HrVudMqu6XNqu?RK`r?#nr;QgQs8W'QrVudMrr3!Rs8=\Ns84VKrr=eNs84VNs8+PL
+s84V;s*t~>
+gAh/er;Qc3r;Qc3q>UH0r;Qc3r;Qc3r;Qc3a8Z.Squ?]2rr2u5q>UT4s8TjKrVlu7s8Tk3rrBh3
+rrBh-rrBh4rrBh2rrBh3rrBh#s*t~>
+gAh/-r;QbPr;QbPq>UGMr;QbPr;QbPr;QbPa8Z-pqu?\Orr2tRq>USQs8Rk0rVltTs8RlPrr@iP
+rr@iJrr@iQrr@iOrr@iPrr@i@s*t~>
+gAh.,r;QaOr;QaOq>UFLr;QaOr;QaOr;QaOa8Z,oqu?[Nrr2sQq>URPs8Of.rVlsSs8OhOrr=eO
+rr=eIrr=ePrr=eNrr=eOrr=e?s*t~>
+fDklcrr2u5oD\g*r;Qc3r;Qc3r;Qc3a8Z.Squ6Z2rVll4q>UQ3s8Tk3rr^%9s1e:-!5J7-!5JL4
+!5JF2!5JI3!5In#J,~>
+fDkl+rr2tRoD\fGr;QbPr;QbPr;QbPa8Z-pqu6YOrVlkQq>UPPs8RlPrr\&Vs+g=J!/L:J!/LOQ
+!/LIO!/LLP!/Kq@J,~>
+fDkk*rr2sQoD\eFr;QaOr;QaOr;QaOa8Z,oqu6XNrVljPq>UOOs8OhOrrY"Us"X6I!&=3I!&=HP
+!&=BN!&=EO!&<j?J,~>
+ec,`ds8Tk/s80S/rrBh3s8'LNrrBh2rrBh0s80S2rrBh3rrBh5s89Y/rrBh2s80S0rrBh2s8'Ls
+s*t~>
+ec,`,s8RlLs8.TLrr@iPs8%Mkrr@iOrr@iMs8.TOrr@iPrr@iRs87ZLrr@iOs8.TMrr@iOs8%N;
+s*t~>
+ec,_+s8OhKs8+PKrr=eOs8"Ijrr=eNrr=eLs8+PNrr=eOrr=eQs84VKrr=eNs8+PLrr=eNs8"J:
+s*t~>
+g]%8gr;Ql6s8Tk0rrBh3rrBh3rrBh3rrBgMrrBh2rrBh1rrBh3rr^%9s1eL3!5J@0!5JI3!5JI3
+!5JI3!5JL4!5JF2!5I[rJ,~>
+g]%8/r;QkSs8RlMrr@iPrr@iPrr@iPrr@hjrr@iOrr@iNrr@iPrr\&Vs+gOP!/LCM!/LLP!/LLP
+!/LLP!/LOQ!/LIO!/K_:J,~>
+g]%7.r;QjRs8OhLrr=eOrr=eOrr=eOrr=dirr=eNrr=eMrr=eOrrY"Us"XHO!&=<L!&=EO!&=EO
+!&=EO!&=HP!&=BN!&<X9J,~>
+g]%8gr;Ql6s8Tk3rr^%9s1eO4s1eL3!5JI3!5HAM!5JF2!5JC1!5JL4s1eU6!5JI3"2Fm9^\n*3
+^\n*3^\n*3^]"34^]"04^]+68^]4>Kk5Tr~>
+g]%8/r;QkSs8RlPrr\&Vs+gRQs+gOP!/LLP!/JDj!/LIO!/LFN!/LOQs+gXS!/LLP",HpVL]%/P
+L]%/PL]%/PL].8QL].5QL]7;UL]@C0k5Tr~>
+g]%7.r;QjRs8OhOrrY"Us"XKPs"XHO!&=EO!&;=i!&=BN!&=?M!&=HPs"XQR!&=EO"#9iU1&V%O
+1&V%O1&V%O1&_.P1&_+P1&h1T1&q8.k5Tr~>
+gAh)crVuf1rVui2!WTq6s89Y1s89XOrrBh2rrBh0s8B\8s1eU6^\n*3^]+92^]"31^]"32^B+AL
+r;Zc2rVuf1li2J~>
+gAh)+rVueNrVuhO!WRrSs87ZNs87Ylrr@iOrr@iMs8@]Us+gXSL]%/PL]7>OL].8NL].8OLB7F1
+r;ZbOrVueNli2J~>
+gAh(*rVudMrVugN!WOnRs84VMs84Ukrr=eNrr=eLs8=YTs"XQR1&V%O1&h4N1&_.M1&_.N0`h;/
+r;ZaNrVudMli2J~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+r;XtIrVt(Jqu=kHr;XtIrVqB~>
+r;XuLrVt)Mqu=lKr;XuLrVqB~>
+r;XtIrVt(Jqu=kHr;XtIrVqB~>
+r;XqHrr:.Jr;XqHrVt%Irr7K~>
+r;XrKrr:/Mr;XrKrVt&Lrr7K~>
+r;XqHrr:.Jr;XqHrVt%Irr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'qu6Xbr;QacpAb([lMghjrr<!)qu6Xbr;QacpAb([lMghjr;Zd'qu6Xbr;QacpAb([lMghj
+rVum(qu6Xbr;QacpAb([lMghjrr7K~>
+r;Ze*qu6Y\r;Qb]pAb)UlMgimrr<",qu6Y\r;Qb]pAb)UlMgimr;Ze*qu6Y\r;Qb]pAb)UlMgim
+rVun+qu6Y\r;Qb]pAb)UlMgimrr7K~>
+r;Zd'qu6X:r;Qa;pAb(3lMghjrr<!)qu6X:r;Qa;pAb(3lMghjr;Zd'qu6X:r;Qa;pAb(3lMghj
+rVum(qu6X:r;Qa;pAb(3lMghjrr7K~>
+r;Zd'qu6Xbr;Qacp\t4^rVljdli-qkrr<!)qu6Xbr;Qacp\t4^rVljdli-qkr;Zd'qu6Xbr;Qac
+p\t4^rVljdli-qkrVum(qu6Xbr;Qacp\t4^rVljdli-qkrr7K~>
+r;Ze*qu6Y\r;Qb]p\t5XrVlk^li-rnrr<",qu6Y\r;Qb]p\t5XrVlk^li-rnr;Ze*qu6Y\r;Qb]
+p\t5XrVlk^li-rnrVun+qu6Y\r;Qb]p\t5XrVlk^li-rnrr7K~>
+r;Zd'qu6X:r;Qa;p\t46rVlj<li-qkrr<!)qu6X:r;Qa;p\t46rVlj<li-qkr;Zd'qu6X:r;Qa;
+p\t46rVlj<li-qkrVum(qu6X:r;Qa;p\t46rVlj<li-qkrr7K~>
+r;Zd'qYpOarr2sepAY+]rVljdli-qkrr<!)qYpOarr2sepAY+]rVljdli-qkr;Zd'qYpOarr2se
+pAY+]rVljdli-qkrVum(qYpOarr2sepAY+]rVljdli-qkrr7K~>
+r;Ze*qYpP[rr2t_pAY,WrVlk^li-rnrr<",qYpP[rr2t_pAY,WrVlk^li-rnr;Ze*qYpP[rr2t_
+pAY,WrVlk^li-rnrVun+qYpP[rr2t_pAY,WrVlk^li-rnrr7K~>
+r;Zd'qYpO9rr2s=pAY+5rVlj<li-qkrr<!)qYpO9rr2s=pAY+5rVlj<li-qkr;Zd'qYpO9rr2s=
+pAY+5rVlj<li-qkrVum(qYpO9rr2s=pAY+5rVlj<li-qkrr7K~>
+r;Zd'q>ULbs$cV\!(Hkd"@`@j7K<?Uo)A[rrr<!)q>ULbs$cV\!(Hkd"@`@j7K<?Uo)A[rr;Zd'
+q>ULbs$cV\!(Hkd"@`@j7K<?Uo)A[rrVum(q>ULbs$cV\!(Hkd"@`@j7K<?Uo)A[rrr7K~>
+r;Ze*q>UM\s-33V!0mH^"I/rdPlL`Io)A\urr<",q>UM\s-33V!0mH^"I/rdPlL`Io)A\ur;Ze*
+q>UM\s-33V!0mH^"I/rdPlL`Io)A\urVun+q>UM\s-33V!0mH^"I/rdPlL`Io)A\urr7K~>
+r;Zd'q>UL:ruLe4!$2%<"<IOB*WQ*Zo)A[rrr<!)q>UL:ruLe4!$2%<"<IOB*WQ*Zo)A[rr;Zd'
+q>UL:ruLe4!$2%<"<IOB*WQ*Zo)A[rrVum(q>UL:ruLe4!$2%<"<IOB*WQ*Zo)A[rrr7K~>
+r;Zd'q#:=_o`"n[rVm!hs8PMVrr2seoD\dsrr<!)q#:=_o`"n[rVm!hs8PMVrr2seoD\dsr;Zd'
+q#:=_o`"n[rVm!hs8PMVrr2seoD\dsrVum(q#:=_o`"n[rVm!hs8PMVrr2seoD\dsrr7K~>
+r;Ze*q#:>Yo`"oUrVm"bs8S=Jrr2t_oD\f!rr<",q#:>Yo`"oUrVm"bs8S=Jrr2t_oD\f!r;Ze*
+q#:>Yo`"oUrVm"bs8S=Jrr2t_oD\f!rVun+q#:>Yo`"oUrVm"bs8S=Jrr2t_oD\f!rr7K~>
+r;Zd'q#:=7o`"n3rVm!@s8O)[rr2s=oD\dsrr<!)q#:=7o`"n3rVm!@s8O)[rr2s=oD\dsr;Zd'
+q#:=7o`"n3rVm!@s8O)[rr2s=oD\dsrVum(q#:=7o`"n3rVm!@s8O)[rr2s=oD\dsrr7K~>
+r;Zd'q>ULbs$cV\!(Hkd"%E7i7K*5d7J$NZ$3'u)$2FN#7J-T[7K*5g7K<BVrVljdoD\dsr;Zd'
+q>ULbs$cV\!(Hkd"%E7i7K*5d7J$NZ$2so($2FN#7J-T[7K*5g7K<BVrVljdoD\dsrr7K~>
+r;Ze*q>UM\s-33V!0mH^"-iicPl:U^Pk4nT@K-<,@JKj&Pk=tUPl:UaPlLcJrVlk^oD\f!r;Ze*
+q>UM\s-33V!0mH^"-iicPl:U^Pk4nT@K$6+@JKj&Pk=tUPl:UaPlLcJrVlk^oD\f!rr7K~>
+r;Zd'q>UL:ruLe4!$2%<"!.FA*W?!<*V9:2$3'u)$2FN#*VB@3*W?!?*WQ-[rVlj<oD\dsr;Zd'
+q>UL:ruLe4!$2%<"!.FA*W?!<*V9:2$2so($2FN#*VB@3*W?!?*WQ-[rVlj<oD\dsrr7K~>
+r;Zd'qYpOarr2sepAY+]rVlsgs8POdrr>LZrr<B)s8NE#rr>L[rr>LdrrY^is$cnd!(HMZ!"&T'
+rsAQ%!(Hne!(HV]!(Hkd"%E7i7K*5d7J$NZ$2so($2FN#7J-T[7K*5g7K<BVrVljdoD\dsrr7K~>
+r;Ze*qYpP[rr2t_pAY,WrVltas8S>^rrA;Trr?L,s8QO&rrA;UrrA;^rr\Mcs-3K^!0m*T!+Gg*
+s'bd(!0mK_!0m3W!0mH^"-iicPl:U^Pk4nT@K$6+@JKj&Pk=tUPl:UaPlLcJrVlk^oD\f!rr7K~>
+r;Zd'qYpO9rr2s=pAY+5rVls?s8O,<rr=)2rr<B)s8NE#rr=)3rr=)<rrX;AruM(<!$1\2!"&T'
+rsAQ%!$2(=!$1e5!$2%<"!.FA*W?!<*V9:2$2so($2FN#*VB@3*W?!?*WQ-[rVlj<oD\dsrr7K~>
+r;Zd'qu6Xbr;Qacp\t4^rVlsgs8POdrr>LZrr<B)s8NE#rr>L[rr>LdrrY^is$cnd!(HMZ!"&T'
+rsAT&!(Hhc!(HY^!(Hkd"%E7i7K*5d7J$NZ$2so($2FN#7J-T[7K*5g7K<BVrVljdoD\dsrr7K~>
+r;Ze*qu6Y\r;Qb]p\t5XrVltas8S>^rrA;Trr?L,s8QO&rrA;UrrA;^rr\Mcs-3K^!0m*T!+Gg*
+s'bg)!0mE]!0m6X!0mH^"-iicPl:U^Pk4nT@K$6+@JKj&Pk=tUPl:UaPlLcJrVlk^oD\f!rr7K~>
+r;Zd'qu6X:r;Qa;p\t46rVls?s8O,<rr=)2rr<B)s8NE#rr=)3rr=)<rrX;AruM(<!$1\2!"&T'
+rsAT&!$2";!$1h6!$2%<"!.FA*W?!<*V9:2$2so($2FN#*VB@3*W?!?*WQ-[rVlj<oD\dsrr7K~>
+r;Zd'qu6Xbr;QacpAb([rr2serVljdoD\dsrr<!)q#:=_oDebXrr2serVljdoD\dsr;Zd'qu6Xb
+r;QacpAb([rr2serVljdoD\dsrVum(q#:=_oDebXrr2serVljdoD\dsrr7K~>
+r;Ze*qu6Y\r;Qb]pAb)Urr2t_rVlk^oD\f!rr<",q#:>YoDecRrr2t_rVlk^oD\f!r;Ze*qu6Y\
+r;Qb]pAb)Urr2t_rVlk^oD\f!rVun+q#:>YoDecRrr2t_rVlk^oD\f!rr7K~>
+r;Zd'qu6X:r;Qa;pAb(3rr2s=rVlj<oD\dsrr<!)q#:=7oDeb0rr2s=rVlj<oD\dsr;Zd'qu6X:
+r;Qa;pAb(3rr2s=rVlj<oD\dsrVum(q#:=7oDeb0rr2s=rVlj<oD\dsrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+r;Ze*cMmlQrr<",cMmlQr;Ze*cMmlQrVun+cMmlQrr7K~>
+r;Zd'cMmkNrr<!)cMmkNr;Zd'cMmkNrVum(cMmkNrr7K~>
+qu=kHrVt(Jqu=kHr;XtIrr7K~>
+qu=lKrVt)Mqu=lKr;XuLrr7K~>
+qu=kHrVt(Jqu=kHr;XtIrr7K~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+r;Vodr;VodrVqB~>
+r;Vpgr;VpgrVqB~>
+r;Vodr;VodrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bPqPKbPqPKrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*bPqQNbPqQNrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bPqPKbPqPKrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bPqRWbPqPKrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*bPqQ;bPqQNrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bPqPsbPqPKrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bl7aZ$,=^a!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*bl7`>@8>&H!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'bl7`!#r0[(!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'bl7aZ$,=^a!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*bl7`>@8>&H!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'bl7`!#r0[(!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'c2Rp]rsA_?c2RbMrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*c2RoAs'bq&c2RcPrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'c2Ro$rsA][c2RbMrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'cN!pZ"TJf.^VA(o!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*cN!o>"TMp1:/9+7!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'cN!o!"TJf.0epuR!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'ci4![rr2s)rr2u5ci3tOrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*ci3u?rr2t,rr2snci3uRrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'ci3u"rr2s)rr2sQci3tOrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'ci4![rr2s)rr2u5ci3tOrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*ci3u?rr2t,rr2snci3uRrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'ci3u"rr2s)rr2sQci3tOrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'd/X*[s8N-,s8W)5d/O(PrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*d/X)?s8N./s8W'nd/O)SrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'd/X)"s8N-,s8W'Qd/O(PrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bPqPsbPqPKr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*bPqQ;bPqQNr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'bPqRWbPqPKr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bl7`!#r0[(!"&T'!"$sN#/C3<$31%?cMmkNrVqB~>
+r;Qb*bl7`>@8>&H!+Gg*!+F1Q##>3u@K6@&cMmlQrVqB~>
+r;Qa'bl7aZ$,=^a!"&T'!"$sN"u6/X$31#[cMmkNrVqB~>
+r;Qa'c2Ro$rsA][c2RbMr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*c2RoAs'bq&c2RcPr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'c2Rp]rsA_?c2RbMr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'cMn)'s8NE*s"Vh!!"&T'!"$sN#/C3<$31%?cMmkNrVqB~>
+r;Qb*cMn)Ds8QO-s%^l>!+Gg*!+F1Q##>3u@K6@&cMmlQrVqB~>
+r;Qa'cMn*`s8NE*s1ckZ!"&T'!"$sN"u6/X$31#[cMmkNrVqB~>
+r;Qa'ci3u"rr2s)rr2sQci3tOr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*ci3u?rr2t,rr2snci3uRr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'ci4![rr2s)rr2u5ci3tOr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'd/O)#rVlj(rVljPd/O(Pr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*d/O)@rVlk+rVljmd/O)Sr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'd/O*\rVlj(rVll4d/O(Pr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'dJj2$r;Qa'r;QaOdJj1Qr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*dJj2Ar;Qb*r;QaldJj2Tr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'dJj3]r;Qa'r;Qc3dJj1Qr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'df0;%qu6X&qu6XNdf0:Rr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*df0;Bqu6Y)qu6Xkdf0;Ur;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'df0<^qu6X&qu6Z2df0:Rr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'e,KD&qYpO%qYpOMe,KCSr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*e,KDCqYpP(qYpOje,KDVr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'e,KE_qYpO%qYpQ1e,KCSr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'eGoD#rr2s)rr;jMeGfLTr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*eGoD@rr2t,rr;jjeGfMWr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'eGoE\rr2s)rr;l1eGfLTr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'ci3u"rr2s)rr2sQci3tOr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*ci3u?rr2t,rr2snci3uRr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'ci4![rr2s)rr2u5ci3tOr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'd/O)#rVlj(rVljPd/O(Pr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*d/O)@rVlk+rVljmd/O)Sr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'd/O*\rVlj(rVll4d/O(Pr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'd/O)#rVlj(rVljPd/O(Pr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*d/O)@rVlk+rVljmd/O)Sr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'd/O*\rVlj(rVll4d/O(Pr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'd/O)#rVlj(rVljPd/O(Pr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*d/O)@rVlk+rVljmd/O)Sr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'd/O*\rVlj(rVll4d/O(Pr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'dJj2$r;Qa'r;QaOdJj1Qr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*dJj2Ar;Qb*r;QaldJj2Tr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'dJj3]r;Qa'r;Qc3dJj1Qr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'dJj2$r;Qa'r;QaOdJj1Qr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*dJj2Ar;Qb*r;QaldJj2Tr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'dJj3]r;Qa'r;Qc3dJj1Qr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'dJj2$r;Qa'r;QaOdJj1Qr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*dJj2Ar;Qb*r;QaldJj2Tr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'dJj3]r;Qa'r;Qc3dJj1Qr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'df0;%qu6X&qu6XNdf0:Rr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*df0;Bqu6Y)qu6Xkdf0;Ur;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'df0<^qu6X&qu6Z2df0:Rr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'df0;%qu6X&qu6XNdf0:Rr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*df0;Bqu6Y)qu6Xkdf0;Ur;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'df0<^qu6X&qu6Z2df0:Rr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'df0;%qu6X&qu6XNdf0:Rr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*df0;Bqu6Y)qu6Xkdf0;Ur;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'df0<^qu6X&qu6Z2df0:Rr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'e,TG&qu6X&qu?[Ne,KCSr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*e,TGCqu6Y)qu?[ke,KDVr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'e,TH_qu6X&qu?]2e,KCSr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'e,KD&qYpO%qYpOMe,KCSr;Qa'l2LaukPkb$s8NE*s1das!5Idu!"&W(J,~>
+r;Qb*e,KDCqYpP(qYpOje,KDVr;Qb*l2L`YkPk`]s8QO-s%_bW!)DeY!+Gj+J,~>
+r;Qa'e,KE_qYpO%qYpQ1e,KCSr;Qa'l2L`<kPk`@s8NE*s"W^:!&<a<!"&W(J,~>
+r;Qa'e,KD&qYpO%qYpOMe,KCSr;Qa'li6t!kPkb$s8NE*s1dasrkIe!!"&W(J,~>
+r;Qb*e,KDCqYpP(qYpOje,KDVr;Qb*li6rZkPk`]s8QO-s%_bWr_DeZ!+Gj+J,~>
+r;Qa'e,KE_qYpO%qYpQ1e,KCSr;Qa'li6r=kPk`@s8NE*s"W^:r\<a=!"&W(J,~>
+r;Qa'e,KD&qYpO%qYpOMe,KCSr;Qa'mJm4$s8V5rrr3$+s8V5rrr<#5mJd.mrVqB~>
+r;Qb*e,KDCqYpP(qYpOje,KDVr;Qb*mJm2]s8V4Vrr3%.s8V4Vrr<!nmJd/prVqB~>
+r;Qa'e,KE_qYpO%qYpQ1e,KCSr;Qa'mJm2@s8V49rr3$+s8V49rr<!QmJd.mrVqB~>
+r;Qa'eGfM'q>UF$q>UFLeGfLTr;Qa'mf3=%i;Wc`i;`hlmf*7nrVqB~>
+r;Qb*eGfMDq>UG'q>UFieGfMWr;Qb*mf3;^i;Wdci;`gPmf*8qrVqB~>
+r;Qa'eGfN`q>UF$q>UH0eGfLTr;Qa'mf3;Ai;Wc`i;`g3mf*7nrVqB~>
+r;Qa'eGfM'q>UF$q>UFLeGfLTr;Qa'nGiO'hZ!Q^hZ*VjnG`IprVqB~>
+r;Qb*eGfMDq>UG'q>UFieGfMWr;Qb*nGiM`hZ!RahZ*UNnG`JsrVqB~>
+r;Qa'eGfN`q>UF$q>UH0eGfLTr;Qa'nGiMChZ!Q^hZ*U1nG`IprVqB~>
+r;Y4P!&<sL!&;q/r;Z6m!5GrK!5J"0rVqB~>
+r;Y5S!)E#l!)D!Or;Z7p!)Bt2!)E#lrVqB~>
+r;Y4P!5J"0!5Hthr;Z6m!&:ng!&<sLrVqB~>
+r;Qa'ec,V(q#:=#q#:=Kec,UUr;Qa'nGiO'hZ!Q^hZ*VjnG`IprVqB~>
+r;Qb*ec,VEq#:>&q#:=hec,VXr;Qb*nGiM`hZ!RahZ*UNnG`JsrVqB~>
+r;Qa'ec,Waq#:=#q#:?/ec,UUr;Qa'nGiMChZ!Q^hZ*U1nG`IprVqB~>
+r;Qa'ec,V(q#:=#q#:=Kec,UUr;Qa'mf3=%i;Wc`i;`hlmf*7nrVqB~>
+r;Qb*ec,VEq#:>&q#:=hec,VXr;Qb*mf3;^i;Wdci;`gPmf*8qrVqB~>
+r;Qa'ec,Waq#:=#q#:?/ec,UUr;Qa'mf3;Ai;Wc`i;`g3mf*7nrVqB~>
+r;Qa'ec,V(q#:=#q#:=Kec,UUr;Qa'mJm4$s8V2qs8N-,s8V2qs8W,6mJd.mrVqB~>
+r;Qb*ec,VEq#:>&q#:=hec,VXr;Qb*mJm2]s8V1Us8N./s8V1Us8W*omJd/prVqB~>
+r;Qa'ec,Waq#:=#q#:?/ec,UUr;Qa'mJm2@s8V18s8N-,s8V18s8W*RmJd.mrVqB~>
+r;Qa'f)G_)p\t4"p\t4Jf)G^Vr;Qa'li6t!kPkb$s8NE*s1dasrkIe!!"&W(J,~>
+r;Qb*f)G_Fp\t5%p\t4gf)G_Yr;Qb*li6rZkPk`]s8QO-s%_bWr_DeZ!+Gj+J,~>
+r;Qa'f)G`bp\t4"p\t6.f)G^Vr;Qa'li6r=kPk`@s8NE*s"W^:r\<a=!"&W(J,~>
+r;Qa'j8\^*p\t4"p]'h>j8T)cr;Qa'l2LaukPkb$s8NE*s1das!5Idu!"&W(J,~>
+r;Qb*j8\^Gp\t5%p]'h[j8T*fr;Qb*l2L`YkPk`]s8QO-s%_bW!)DeY!+Gj+J,~>
+r;Qa'j8\_cp\t4"p]'j"j8T)cr;Qa'l2L`<kPk`@s8NE*s"W^:!&<a<!"&W(J,~>
+r;Qa'ir9!5li-qkli-r>ir8ubr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*ir9!Rli-rnli-r[ir9!er;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'ir9"nli-qkli-t"ir8ubr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'iVrm4m/I%lm/I&?iVrlar;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*iVrmQm/I&om/I&\iVrmdr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'iVrnmm/I%lm/I(#iVrlar;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'i;Wd3mJd.mmJd/@i;Wc`r;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*i;WdPmJd/pmJd/]i;Wdcr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'i;WelmJd.mmJd1$i;Wc`r;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'hu<[2mf*7nmf*8Ahu<Z_r;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*hu<[Omf*8qmf*8^hu<[br;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'hu<\kmf*7nmf*:%hu<Z_r;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'hZ!R1n,E@on,EABhZ!Q^r;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*hZ!RNn,EArn,EA_hZ!Rar;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'hZ!Sjn,E@on,EC&hZ!Q^r;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'h>[I0nG`IpnG`JCh>[H]r;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*h>[IMnG`JsnG`J`h>[I`r;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'h>[JinG`IpnG`L'h>[H]r;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'h#@@/nc&Rqnc&SDh#@?\r;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*h#@@Lnc&Stnc&Sah#@@_r;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'h#@Ahnc&Rqnc&U(h#@?\r;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'g]%7.o)A[ro)A\Eg]%6[r;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*g]%7Ko)A\uo)A\bg]%7^r;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'g]%8go)A[ro)A^)g]%6[r;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'gA_.-oD\dsoD\eFgA_-Zr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*gA_.JoD\f!oD\ecgA_.]r;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'gA_/foD\dsoD\g*gA_-Zr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'g&D%,o`"mto`"nGg&D$Yr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*g&D%Io`"o"o`"ndg&D%\r;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'g&D&eo`"mto`"p+g&D$Yr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'f`(q+p&>!up&>"Hf`(pXr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*f`(qHp&>##p&>"ef`(q[r;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'f`(rdp&>!up&>$,f`(pXr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'fDbh*pAY+!pAY+IfDbgWr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*fDbhGpAY,$pAY+ffDbhZr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'fDbicpAY+!pAY--fDbgWr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'f)G_)p\t4"p\t4Jf)G^Vr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*f)G_Fp\t5%p\t4gf)G_Yr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'f)G`bp\t4"p\t6.f)G^Vr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'ec,V(q#:=#q#:=Kec,UUr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*ec,VEq#:>&q#:=hec,VXr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'ec,Waq#:=#q#:?/ec,UUr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'eGfM'q>UF$q>UFLeGfLTr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*eGfMDq>UG'q>UFieGfMWr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'eGfN`q>UF$q>UH0eGfLTr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'e,KD&qYpO%qYpOMe,KCSr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*e,KDCqYpP(qYpOje,KDVr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'e,KE_qYpO%qYpQ1e,KCSr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'df0;%qu6X&qu6XNdf0:Rr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*df0;Bqu6Y)qu6Xkdf0;Ur;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'df0<^qu6X&qu6Z2df0:Rr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'dJj2$r;Qa'r;QaOdJj1Qr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*dJj2Ar;Qb*r;QaldJj2Tr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'dJj3]r;Qa'r;Qc3dJj1Qr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'd/O)#rVlj(rVljPd/O(Pr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*d/O)@rVlk+rVljmd/O)Sr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'd/O*\rVlj(rVll4d/O(Pr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'ci3u"rr2s)rr2sQci3tOr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*ci3u?rr2t,rr2snci3uRr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'ci4![rr2s)rr2u5ci3tOr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'cMn)'s8NE*s"Vh!!"&T'!"$sN#/C3<$31%?cMmkNrVqB~>
+r;Qb*cMn)Ds8QO-s%^l>!+Gg*!+F1Q##>3u@K6@&cMmlQrVqB~>
+r;Qa'cMn*`s8NE*s1ckZ!"&T'!"$sN"u6/X$31#[cMmkNrVqB~>
+r;Qa'c2Ro$rsA][c2RbMr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*c2RoAs'bq&c2RcPr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'c2Rp]rsA_?c2RbMr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bl7`!#r0[(!"&T'!"$sN#/C3<$31%?cMmkNrVqB~>
+r;Qb*bl7`>@8>&H!+Gg*!+F1Q##>3u@K6@&cMmlQrVqB~>
+r;Qa'bl7aZ$,=^a!"&T'!"$sN"u6/X$31#[cMmkNrVqB~>
+r;Qa'bPqPsbPqPKr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*bPqQ;bPqQNr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'bPqRWbPqPKr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'd/X-\rr3$+s8W)5d/O(PrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*d/X,@rr3%.s8W'nd/O)SrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'd/X,#rr3$+s8W'Qd/O(PrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'ci4![rr2s)rr2u5ci3tOrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*ci3u?rr2t,rr2snci3uRrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'ci3u"rr2s)rr2sQci3tOrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'ci4![rr2s)rr2u5ci3tOrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*ci3u?rr2t,rr2snci3uRrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'ci3u"rr2s)rr2sQci3tOrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'cMn*`s8NE*s1ckZ!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*cMn)Ds8QO-s%^l>!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'cMn)'s8NE*s"Vh!!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'cN!pZ"TJf.^VA(o!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*cN!o>"TMp1:/9+7!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'cN!o!"TJf.0epuR!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'c2Rp]rsA_?c2RbMrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*c2RoAs'bq&c2RcPrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'c2Ro$rsA][c2RbMrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bl7aZ$,=^a!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*bl7`>@8>&H!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'bl7`!#r0[(!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'bl7aZ$,=^a!"&W(J,~>
+r;Qb*bPqQNbPqQNr;Qb*bl7`>@8>&H!+Gj+J,~>
+r;Qa'bPqPKbPqPKr;Qa'bl7`!#r0[(!"&W(J,~>
+r;Qa'bPqPKbPqPKr;Qa'bPqRWbPqPKrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*bPqQ;bPqQNrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bPqPsbPqPKrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bPqPKbPqPKrVqB~>
+r;Qb*bPqQNbPqQNr;Qb*bPqQNbPqQNrVqB~>
+r;Qa'bPqPKbPqPKr;Qa'bPqPKbPqPKrVqB~>
+r;Vodr;VodrVqB~>
+r;Vpgr;VpgrVqB~>
+r;Vodr;VodrVqB~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+rP,H6rP-YXrP,H6rkEs~>
+rEQH(rERYJrEQH(r`js~>
+r@tDRr@uUtr@tDRr\8p~>
+!5J%'rkJ()r4hOsrkJ()r4i+.!5J.*!5J:.!5J:.!5J.*!5ICjrkI(brkJ:/J,~>
+!*o$nr`o'pr*8Oer`o'pr*9*u!*o-q!*o9u!*o9u!*o-q!*nC\r`n(Tr`o:!J,~>
+!&=!Cr\=$Er%[L:r\=$Er%\'J!&=*F!&=6J!&=6J!&=*F!&<@1r\<%)r\=6KJ,~>
+!5J((!5JO5!5J4,!5JI3!5In#!5JO5!5J4,!5JI3!5JF2!5J+)!5J@0s1e@/!5J+)!5IFk!5JO5
+!5I4e!5JO5!5JC1J,~>
+!*o'o!*oO'!*o3s!*oI%!*nmj!*oO'!*o3s!*oI%!*oF$!*o*p!*o@"s'5@!!*o*p!*nF]!*oO'
+!*n4W!*oO'!*oC#J,~>
+!&=$D!&=KQ!&=0H!&=EO!&<j?!&=KQ!&=0H!&=EO!&=BN!&='E!&=<Ls"X<K!&='E!&<C2!&=KQ
+!&<1,!&=KQ!&=?MJ,~>
+!5J+)!5JI3!5J7-!5JI3!5Iq$!5JI3!5J7-!5JI3!5JF2!5J((!5JF2!l+cMq>UH0nc&U(i;Wel
+r;Qc3g]%8gr;Qc3qu;0~>
+!*o*p!*oI%!*o6t!*oI%!*npk!*oI%!*o6t!*oI%!*oF$!*o'o!*oF$!aPb1q>UG"nc&Soi;Wd^
+r;Qb%g]%7Yr;Qb%qu;0~>
+!&='E!&=EO!&=3I!&=EO!&<m@!&=EO!&=3I!&=EO!&=BN!&=$D!&=BN!\s^0q>UFLnc&SDi;Wd3
+r;QaOg]%7.r;QaOqu;0~>
+!5J+)!5JI3!5J7-!5JI3!5Iq$!5JI3!5J7-!5JI3!5JF2!5J%'!5JL4"2Fm9^\[s1^[V7'^Yo+l
+^\n*3^YAbg^\n*3^\e%]~>
+!*o*p!*oI%!*o6t!*oI%!*npk!*oI%!*o6t!*oI%!*oF$!*o$n!*oL&"'km+>l+I#>k%an>i>V^
+>l=U%>hf8Y>l=U%>l4PO~>
+!&='E!&=EO!&=3I!&=EO!&<m@!&=EO!&=3I!&=EO!&=BN!&=!C!&=HP"#9iU1&CnM1%>2C1#W'3
+1&V%O1#)^.1&V%O1&M!$~>
+!5J+)!5JI3!5J7-!5JL4s1dt$!5JI3!5J7-!5JL4s1eI2!5J"&!5JF2!5JF2!5J"&!5IIl!5JI3
+!5I:g!5JI3!5JF2J,~>
+!*o*p!*oI%!*o6t!*oL&s'4sk!*oI%!*o6t!*oL&s'5I$!*o!m!*oF$!*oF$!*o!m!*nI^!*oI%
+!*n:Y!*oI%!*oF$J,~>
+!&='E!&=EO!&=3I!&=HPs"Wp@!&=EO!&=3I!&=HPs"XEN!&<sB!&=BN!&=BN!&<sB!&<F3!&=EO
+!&<7.!&=EO!&=BNJ,~>
+!5J+)!5JI3!5J4,rP&C5^[;%$^\n*3^\.X*^B+ALqu6Z2n,EC&qu6Z2qu6Z2n,EC&l2UUps8N)6
+r;Qc3jT#(ks8N)6r;Qc3qu;0~>
+!*o*p!*oI%!*o3srEKC'>j_Ok>l=U%>kS-q>QOk0qu6Y$n,EAmqu6Y$qu6Y$n,EAml2UTbs8N((
+r;Qb%jT#']s8N((r;Qb%qu;0~>
+!&='E!&=EO!&=0Hr@n?Q1%"u@1&V%O1%kSF0`h;/qu6XNn,EABqu6XNqu6XNn,EABl2UT7s8N'R
+r;QaOjT#'2s8N'Rr;QaOqu;0~>
+!5J+)!5JI3!5J%'!5Iq$!5JI3!5J%'!5JF2!5J%'!5JC1!5JC1!5J%'!5IIl!5JI3!5I:g!5JI3
+!5JF2J,~>
+!*o*p!*oI%!*o$n!*npk!*oI%!*o$n!*oF$!*o$n!*oC#!*oC#!*o$n!*nI^!*oI%!*n:Y!*oI%
+!*oF$J,~>
+!&='E!&=EO!&=!C!&<m@!&=EO!&=!C!&=BN!&=!C!&=?M!&=?M!&=!C!&<F3!&=EO!&<7.!&=EO
+!&=BNJ,~>
+!5J+)!5JI3!5J%'!5Iq$!5JI3!5J%'!5JF2!5J((!5J@0!5J@0!5J((!5IIl!5JI3!5I:g!5JI3
+!5JF2J,~>
+!*o*p!*oI%!*o$n!*npk!*oI%!*o$n!*oF$!*o'o!*o@"!*o@"!*o'o!*nI^!*oI%!*n:Y!*oI%
+!*oF$J,~>
+!&='E!&=EO!&=!C!&<m@!&=EO!&=!C!&=BN!&=$D!&=<L!&=<L!&=$D!&<F3!&=EO!&<7.!&=EO
+!&=BNJ,~>
+!5J((!5JO5!5JF2s1e@/!5JF2s1e1*!5JO5!5JF2s1e@/!5JC1!5J+)!5J=/!5J=/!5J+)!5IFk
+!5JO5!5JF2s1dOm!5JO5!5JC1J,~>
+!*o'o!*oO'!*oF$s'5@!!*oF$s'50q!*oO'!*oF$s'5@!!*oC#!*o*p!*o=!!*o=!!*o*p!*nF]
+!*oO'!*oF$s'4O_!*oO'!*oC#J,~>
+!&=$D!&=KQ!&=BNs"X<K!&=BNs"X-F!&=KQ!&=BNs"X<K!&=?M!&='E!&=9K!&=9K!&='E!&<C2
+!&=KQ!&=BNs"WL4!&=KQ!&=?MJ,~>
+!5J%'rkJ=0s1eL3rP/4/s1e.)rkJ=0s1eL3rP/1.!5J.*!5JC1qS2n,!5J.*!5ICjrkJ=0s1dLl
+rkJ:/J,~>
+!*o$nr`o="s'5L%rET4!s'5-pr`o="s'5L%rET0u!*o-q!*oC#qHWms!*o-q!*nC\r`o="s'4L^
+r`o:!J,~>
+!&=!Cr\=9Ls"XHOrA"0Ks"X*Er\=9Ls"XHOrA"-J!&=*F!&=?MqD%jH!&=*F!&<@1r\=9Ls"WI3
+r\=6KJ,~>
+rP-q`!5I1drP-YXrP-q`!5I1drkEs~>
+rERqR!*n1VrERYJrERqR!*n1Vr`js~>
+r@un'!&<.+r@uUtr@un'!&<.+r\8p~>
+df0<^JcG<@!5I(aJ,~>
+df0;PJcG<@!*n(SJ,~>
+df0;%JcG<@!&<%(J,~>
+e,KE_JcG<@!5I%`J,~>
+e,KDQJcG<@!*n%RJ,~>
+e,KD&JcG<@!&<"'J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+V#UA-j8T+oQN)I~>
+V#U?Xj8T*EQN)I~>
+V#U?Ij8T*6QN)I~>
+V>gP1r;Qc3jSo4pQN)I~>
+V>gN\r;Qa^jSo3FQN)I~>
+V>gNMr;QaOjSo37QN)I~>
+V>gP1hZ!SjQN)I~>
+V>gN\hZ!R@QN)I~>
+V>gNMhZ!R1QN)I~>
+V>gP1q>UN2s8W)5rVuf1rr3#6s8B_3rrKn7rP/=2r4f'-J,~>
+V>gN\q>UL]s8W'`rVud\rr3!as8>4^rrGCbrBU>]r'7(XJ,~>
+V>gNMq>ULNs8W'QrVudMrr3!Rs8=\OrrFkSrA"9Nr%Y#IJ,~>
+V>gP1q#CB/rr2u5q>UT4s8TjKrVm#8s8TjKrVlu7s8Tk3rrBg1s*t~>
+V>gN\q#C@Zrr2s`q>UR_s8P>LrVm!cs8P>LrVlsbs8P@^rr><\s*t~>
+V>gNMq#C@Krr2sQq>URPs8Of.rVm!Ts8Of.rVlsSs8OhOrr=dMs*t~>
+V>gP1rr;u4rr2u5rVll4q>UQ3s8Tk3rr^%9s1eL3"2Fm9^RtOV~>
+V>gN\rr;s_rr2s`rVlj_q>UO^s8P@^rrYOds$6M^"$lnd5bJ(,~>
+V>gNMrr;sPrr2sQrVljPq>UOOs8OhOrrY"Us"XHO"#9iU0q\Jr~>
+V>gP1r;Qc3rr2u5q>^?,s8N)6r;Ql6s8Tk3rrBh5s89X-s*t~>
+V>gN\r;Qa^rr2s`q>^=Ws8N'ar;Qjas8P@^rr>=`s85-Xs*t~>
+V>gNMr;QaOrr2sQq>^=Hs8N'Rr;QjRs8OhOrr=eQs84UIs*t~>
+V>gP1r;Qc3rr2u5qYpQ1r;Ql6s8Tk3rr^%9s1eL3!5J@0!5GB1J,~>
+V>gN\r;Qa^rr2s`qYpO\r;Qjas8P@^rrYOds$6M^!'pA[!'mC\J,~>
+V>gNMr;QaOrr2sQqYpOMr;QjRs8OhOrrY"Us"XHO!&=<L!&:>MJ,~>
+V>gP1r;Qc3rr2u5qYpQ1rVuo4s8W,6rVlu7s8Tk3rr^%9s1eL3!5GB1J,~>
+V>gN\r;Qa^rr2s`qYpO\rVum_s8W*arVlsbs8P@^rrYOds$6M^!'mC\J,~>
+V>gNMr;QaOrr2sQqYpOMrVumPs8W*RrVlsSs8OhOrrY"Us"XHO!&:>MJ,~>
+V#UA-rVll4q>^E."ol@;s1eU4^]+65^\n*3^]+92^SLm[~>
+V#U?XrVlj_q>^CY"ogjfs$6V_5lUc`5lCW^5lUf]5c"F1~>
+V#U?IrVljPq>^CJ"og=Ws"XQP1&h1Q1&V%O1&h4N0r4i"~>
+MZ3[kNW4M~>
+MZ3ZANW4M~>
+MZ3Z2NW4M~>
+MZ3[kNW4M~>
+MZ3ZANW4M~>
+MZ3Z2NW4M~>
+MZ3[kNW4M~>
+MZ3ZANW4M~>
+MZ3Z2NW4M~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+r;Y+MJcGQGfa7QUJ,~>
+r;Y,PJcGQGfjXdXJ,~>
+r;Y+MJcGQGfa7QUJ,~>
+r;Y(LJcGTHfEqKUJ,~>
+r;Y)OJcGTHfO=^XJ,~>
+r;Y(LJcGTHfEqKUJ,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'qu?U8rVum<ir8ubo)A^Kqu?R7rr;g8qYpO9rr;g8rVug:rr;g8rVuj;r;Z[8eGoOTr;Z[8
+mf*8-q>UF$r;V9~>
+r;Ze*qu?VZrVun^ir9!eo)A]:qu?SArr;hBqYpPCrr;hBrVuhDrr;hBrVukEr;Z\BeGoPWr;Z\Z
+mf*9Oq>UG'r;V9~>
+r;Zd'qu?V2rVun6ir8ubo)A]/qu?SYrr;hZqYpP[rr;hZrVuh\rr;hZrVuk]r;Z\ZeGoOTr;Z\2
+mf*9'q>UF$r;V9~>
+r;Zd'r;Qa;rVlj<rVlj<ir8uboDejLr;Qa;r;Qa;q>UF8qu?[:rr2s=q#:=7o`"n3rr2s=rr2s=
+rr2s=r;Qa;ec5XUr;Qa;rVlj<rVlj<o`"n3q>UF$r;V9~>
+r;Ze*r;Qb]rVlk^rVlk^ir9!eoDei;r;QbEr;QbEq>UGBqu?\Drr2tGq#:>Ao`"o=rr2tGrr2tG
+rr2tGr;QbEec5YXr;Qb]rVlk^rVlk^o`"oUq>UG'r;V9~>
+r;Zd'r;Qb5rVlk6rVlk6ir8uboDei0r;Qb]r;Qb]q>UGZqu?\\rr2t_q#:>Yo`"oUrr2t_rr2t_
+rr2t_r;Qb]ec5XUr;Qb5rVlk6rVlk6o`"o-q>UF$r;V9~>
+r;Zd'r;Qa;q#:=7ir8ubo`#!Os5EnU!$2";!$1q9!$1t:!Zh:]rr2s=q>UF8o`"n3rr2s=r;Qj>
+s8O,;rr=(is8NE'rr=)<rr=).rr=)8rr<B's*t~>
+r;Ze*r;Qb]q#:>Yir9!eo`"u>s*O\D!.=_E!.=YC!.=\D!dt#qrr2tGq>UGBo`"o=rr2tGr;QkH
+s8RKErr@Gss8QO*rrA;^rrA;PrrA;Zrr?L*s*t~>
+r;Zd'r;Qb5q#:>1ir8ubo`"u3s)@o9!0mE]!0m?[!0mB\!gN_Lrr2t_q>UGZo`"oUrr2t_r;Qk`
+s8S>]rrA;6s8NE'rr?m6rr?m(rr?m2rr<B's*t~>
+r;Zd'r;Qa;q#:=7qu?U8rVug:rr3!>s8F&:rr<Aurr_6[s5E_P!$1q9!$1t:"!.FA*WH'>*WQ'Y
+rr2s=o`"n3rVlj<rr2s=rr2s=r;Qa;ec5XUr;Qa;rVlj<rr<!=qu?U8rr2s=rr2s=rVlj(r;V9~>
+r;Ze*r;Qb]q#:>Yqu?VZrVuh\rr3"`s8J8\rr?L#rr[WJs*OM?!.=YC!.=\D"+:.KI/a-HI/j.m
+rr2tGo`"o=rVlkFrr2tGrr2tGr;QbEec5YXr;Qb]rVlk^rr<"_qu?VZrr2t_rr2t_rVlk+r;V9~>
+r;Zd'r;Qb5q#:>1qu?V2rVuh4rr3"8s8Hj4rr<Aurr[6?s)@`4!0m?[!0mB\"-iicPlC[`PlL]H
+rr2t_o`"oUrVlk^rr2t_rr2t_r;Qb]ec5XUr;Qb5rVlk6rr<"7qu?V2rr2t7rr2t7rVlj(r;V9~>
+r;Zd'r;Qa;q#:=7r;Qa;rVlj<qYpO9rr2s=rr2s=rVlj(o)A^Kq#:=7qZ$O8rVlj<rr2s=rr<!=
+rVm!@s8O,>r>kb7!$1t:rZ1t;!$2%<ruKYirsAW'r#P_8!$2";!$2%<"s*aD*WQ-[r;Qa'r;V9~>
+r;Ze*r;Qb]q#:>Yr;Qb]rVlk^qYpP[rr2t_rr2t_rVlk+o)A]:q#:>AqZ$PBrVlkFrr2tGrr<"G
+rVm"Js8RKHrI"JA!.=\Drd=\E!.=bFs*WAss'bj*r07-Z!0mE]!0mH^#*f/fPlLcJr;Qb*r;V9~>
+r;Zd'r;Qb5q#:>1r;Qb5rVlk6qYpP3rr2t7rr2t7rVlj(o)A]/q#:>YqZ$PZrVlk^rr2t_rr<"_
+rVm"bs8S>`rKR0Y!0mB\rfmB]!0mH^s-2(6rsAW'r+u<2!,VT5!,VW6#&O>>D#aNOr;Qa'r;V9~>
+r;Zd'r;Qa;q#:=7r;ZX7rr;m:rr2s=q>UF$o)A^Kq>UF8pAY48s8O,<rr=)7rraABruE-Yrr=):
+rr=);rr=)=rr=)<s8<r=ruKYirsAW'!$1k7!$2";!$1q9rZ1n9!"&T'J,~>
+r;Ze*r;Qb]q#:>Yr;ZYYrr;n\rr2t_q>UG'o)A]:q>UGBpAY5Bs8RKFrr@HArrd`Ls*T4mrr@HD
+rr@HErr@HGrr@HFs8@<Gs*WAss'bj*!0m9Y!0mE]!0m?[rfm<[!+Gg*J,~>
+r;Zd'r;Qb5q#:>1r;ZY1rr;n4rr2t7q>UF$o)A]/q>UGZpAY5Zs8S>^rrA;YrreSds-/cHrrA;\
+rrA;]rrA;_rrA;^s8A/_s-2(6rsAW'!,VH1!,VT5!,VN3rbVK3!"&T'J,~>
+r;Zd'r;Qa;q#:=7r;Qa;qYpO9rVlj<rr2s=q>UF$o)A^KqYpO9p&>(6s8Vp9q>UO;s8O,;rr=);
+rr=);rr=);rr=)8rr=(is8NE'rr=)7rr=);rr=)9rrX;AruM%;!"&T'J,~>
+r;Ze*r;Qb]q#:>Yr;Qb]qYpP[rVlk^rr2t_q>UG'o)A]:qYpPCp&>)@s8VqCq>UPEs8RKErr@HE
+rr@HErr@HErr@HBrr@Gss8QO*rrA;YrrA;]rrA;[rr\Mcs-3H]!+Gg*J,~>
+r;Zd'r;Qb5q#:>1r;Qb5qYpP3rVlk6rr2t7q>UF$o)A]/qYpP[p&>)Xs8Vq[q>UP]s8S>]rrA;]
+rrA;]rrA;]rrA;ZrrA;6s8NE'rr?m1rr?m5rr?m3rr[*;s(qW5!"&T'J,~>
+r;Zd'r;Qa;rVlj<rVlj<r;Qa;rVls?s8O,=s8O,=rr=)8rr<ArrrD$Trr=)3rr=)9rr=)7rrX;A
+ruM%;!$2";!$2";!$2";!$1n8!$0VirsAW'!$1k7!$2";!$2%<"!.FA*WH'=*W?!<$2jgR~>
+r;Ze*r;Qb]rVlk^rVlk^r;Qb]rVltas8S>_s8S>_rrA;Zrr?Kurr@ECrr@H=rr@HCrr@HArr[ZK
+s*XbE!.=_E!.=_E!.=_E!.=VB!.<>ss'bj*!0m9Y!0mE]!0mH^"-iicPlC[_Pl:U^@Jp.U~>
+r;Zd'r;Qb5rVlk6rVlk6r;Qb5rVlt9s8Qp7s8Qp7rr?m2rr<Arrr@$8rrA;UrrA;[rrA;Yrr\Mc
+s-3H]!0mE]!0mE]!0mE]!0m<Z!0l%6rsAW'!,VH1!,VT5!,VW6")S#;D#XG7D#OA6$2jgR~>
+r;Zd'qu?U8rr;m:rVug:rVuj;!WO2>rr=)8rr<ArrrD$Urr=)8rr=);rr=)9rr=)=rr=);rrX;A
+ruM%;!$2%<!$1q9!$2(=!$1n8!$0ShrsAW'!$1q9r#Pb9r>kn;!$2%<!$2(=!"&T'J,~>
+r;Ze*qu?VZrr;n\rVuh\rVuk]!WSD`rrA;Zrr?Kurr@EDrr@HBrr@HErr@HCrr@HGrr@HErr[ZK
+s*XbE!.=bF!.=YC!.=eG!.=VB!.<;rs'bj*!0m?[r070[rKR<]!0mH^!0mK_!+Gg*J,~>
+r;Zd'qu?V2rr;n4rVuh4rVuk5!WR!8rr?m2rr<Arrr@$9rrA;ZrrA;]rrA;[rrA;_rrA;]rr\Mc
+s-3H]!0mH^!0m?[!0mK_!0m<Z!0l"5rsAW'!,VN3r+u?3rG;K5!,VW6!,VZ7!"&T'J,~>
+r;Zd'df0:Rp&FmIs8Vp9rr;m:q>UF8rVud9rVud9r;Qa;q>^F7r;Z^9e,TFSg]%6[r;V9~>
+r;Ze*df0;Up&Fl8s8VqCrr;nDq>UGBrVueCrVueCr;QbEq>^GAr;Z_Ce,TGVg]%7^r;V9~>
+r;Zd'df0:Rp&Fl-s8Vq[rr;n\q>UGZrVue[rVue[r;Qb]q>^GYr;Z_[e,TFSg]%6[r;V9~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:Ro)A^KMZ<\_g]%6[r;V9~>
+r;Ze*df0;Uo)A]:MZ<]bg]%7^r;V9~>
+r;Zd'df0:Ro)A]/MZ<\_g]%6[r;V9~>
+qu>"LoD\mNs5Ak8fa7TVJ,~>
+qu>#OoD\l=s*KY'fjXgYJ,~>
+qu>"LoD\l2s)<kqfa7TVJ,~>
+^&J)krr2uWJcFU,J,~>
+^&J(Zrr2tFJcFU,J,~>
+^&J(Orr2t;JcFU,J,~>
+^Ae2lr;QcUJcFX-J,~>
+^Ae1[r;QbDJcFX-J,~>
+^Ae1Pr;Qb9JcFX-J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+r;Y+Mli6f%s8Vp9s8Vp9s8Vp9s8Vp9s8Vp9s8Vp9s8Vp9ec4;/qu;0~>
+r;Y,Pli6g/s8VqCs8VqCs8VqCs8VqCs8VqCs8VqCs8VqCec4<2qu;0~>
+r;Y+Mli6gGs8Vq[s8Vq[s8Vq[s8Vq[s8Vq[s8Vq[s8Vq[ec4;/qu;0~>
+r;Y(LJcGTHfEqKUJ,~>
+r;Y)OJcGTHfO=^XJ,~>
+r;Y(LJcGTHfEqKUJ,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'qu?U8h#@?\JcGTHrsAW'r>ju!!"&T'J,~>
+r;Ze*qu?VZh#@@_JcGTHs'bj*rKQCC!+Gg*J,~>
+r;Zd'qu?V2h#@?\JcGTHrsAW'rG:Qp!"&T'J,~>
+r;Zd'r;Qa;rVlj<h>[H]JcGTHrsAW'!$2(=!$12$!"&T'J,~>
+r;Ze*r;Qb]rVlk^h>[I`JcGTHs'bj*!0mK_!0lUF!+Gg*J,~>
+r;Zd'r;Qb5rVlk6h>[H]JcGTHrsAW'!,VZ7!,Ucs!"&T'J,~>
+r;Zd'r;Qa;rVlj<h>[H]JcGTHrsAW'!$2%<!$15%!"&T'J,~>
+r;Ze*r;Qb]rVlk^h>[I`JcGTHs'bj*!0mH^!0lXG!+Gg*J,~>
+r;Zd'r;Qb5rVlk6h>[H]JcGTHrsAW'!,VW6!,Uft!"&T'J,~>
+r;Zd'r;Qa;rVls?s8O,=rr=)<s8<u;rrF/?rZ2"<!$2%<!$2%<!""5VqZ$R%r;Qa;rVm!@s8O,>
+rZ1t;r>kn;!?M4>*W?!<$2jgR~>
+r;Ze*r;Qb]rVltas8S>_rrA;^s8A2]rrJAarfmE^!0mH^!0mH^!+CHYqZ$S(r;Qb]rVm"bs8S>`
+rfmB]rKR<]!L3W`Pl:U^@Jp.U~>
+r;Zd'r;Qb5rVlt9s8Qp7rr?m6s8?d5rrHs9rbVT6!,VW6!,VW6!""5VqZ$R%r;Qb5rVm":s8Qp8
+rbVQ5rG;K5!Gqf8D#OA6$2jgR~>
+r;Zd'r;Qa;rVls?s8O,=rr=)=rr=)<rr=)=rr=)=rrX;AruM(<!$2%<!""5VqZ$R%r;Qa;rVlj<
+rr2s=rr3'@s8O,<rraABruE-Zrr=)=rr<B's*t~>
+r;Ze*r;Qb]rVltas8S>_rrA;_rrA;^rrA;_rrA;_rr\Mcs-3K^!0mH^!+CHYqZ$S(r;Qb]rVlk^
+rr2t_rr3(bs8S>^rreSds-/cIrrA;_rr?L*s*t~>
+r;Zd'r;Qb5rVlt9s8Qp7rr?m7rr?m6rr?m7rr?m7rr[*;s(qZ6!,VW6!""5VqZ$R%r;Qb5rVlk6
+rr2t7rr3(:s8Qp6rrd0<s(lNNrr?m7rr<B's*t~>
+r;Zd'r;Qa;rVls?s8O,=rr=)=s8*i9rr=):rr=)<rr=)<rr<@Vs8)cq$2jf'*W?!<*WH'=*W,j:
+*W?!?*WQ-[rVlj<rr2s)r;V9~>
+r;Ze*r;Qb]rVltas8S>_rrA;_s8/&[rrA;\rrA;^rrA;^rr?JYs8)cq@Jp-*Pl:U^PlC[_Pl(I\
+Pl:UaPlLcJrVlk^rr2t,r;V9~>
+r;Zd'r;Qb5rVlt9s8Qp7rr?m7s8-X3rr?m4rr?m6rr?m6rr<@Vs8)cq$2jf'D#OA6D#XG7D#=54
+D#OA9D#aNOrVlk6rr2s)r;V9~>
+r;Zd'r;R$CruM.>*WQ-[rr2s=rr2s=q>UF8qu6X:rr<!=rVlj(JcGTHrsAW'!$2%<!$2(=!$1t:
+!$2%<"<IOB*?G.Z!$2(=!"&T'J,~>
+r;Ze*r;R%es-3Q`PlLcJrr2t_rr2t_q>UGZqu6Y\rr<"_rVlk+JcGTHs'bj*!0mH^!0mK_!0mB\
+!0mH^"I/rdPa)1I!0mK_!+Gg*J,~>
+r;Zd'r;R%=s(q`8D#aNOrr2t7rr2t7q>UG2qu6Y4rr<"7rVlj(JcGTHrsAW'!,VW6!,VZ7!,VQ4
+!,VW6"Dn,<Ci'+N!,VZ7!"&T'J,~>
+r;Zd'r;R$Cs8O,>*WQ-[rr2s=rr2s=rVlj<rr2s=qZ$O8!WO2=rr<@Vs8)cq$2jf'*WH'=*W?!<
+*W,j:*W?!@*WQ-[s8F&;rr<B's*t~>
+r;Ze*r;R%es8S>`PlLcJrr2t_rr2t_rVlk^rr2t_qZ$PZ!WSD_rr?JYs8)cq@Jp-*PlC[_Pl:U^
+Pl(I\Pl:UbPlLcJs8J8]rr?L*s*t~>
+r;Zd'r;R%=s8Qp8D#aNOrr2t7rr2t7rVlk6rr2t7qZ$P2!WR!7rr<@Vs8)cq$2jf'D#XG7D#OA6
+D#=54D#OA:D#aNOs8Hj5rr<B's*t~>
+r;Zd'qu?U8rVuj;!WO2>s8<u:rr=)5rr=)<rr<@Vs8)cq$2ji%*W5p;*W#g7*WH'=*Vo^8$2jgR~>
+r;Ze*qu?VZrVuk]!WSD`s8A2\rrA;WrrA;^rr?JYs8)cq@Jp0(Pl1O]PktFYPlC[_Pkk=Z@Jp.U~>
+r;Zd'qu?V2rVuk5!WR!8s8?d4rr?m/rr?m6rr<@Vs8)cq$2ji%D#F;5D#421D#XG7D#+)2$2jgR~>
+r;Zd'p\t46kPkN&rVlj<rVlj(JcGTHrs@cd!$1n8!"&T'J,~>
+r;Ze*p\t5XkPkOHrVlk^rVlk+JcGTHs'b!g!0m<Z!+Gg*J,~>
+r;Zd'p\t50kPkNurVlk6rVlj(JcGTHrs@cd!,VK2!"&T'J,~>
+r;Zd'g].3mr;Qa'JcGTHrs@cd!$1n8!"&T'J,~>
+r;Ze*g].5:r;Qb*JcGTHs'b!g!0m<Z!+Gg*J,~>
+r;Zd'g].4gr;Qa'JcGTHrs@cd!,VK2!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+r;Ze*df0;UJcGTHs'a[^!+Gg*J,~>
+r;Zd'df0:RJcGTHrs@H[!"&T'J,~>
+qu>"LJcGQGfa7TVJ,~>
+qu>#OJcGQGfjXgYJ,~>
+qu>"LJcGQGfa7TVJ,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JH1r8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+r;WZ$r;WZ$r;YRZr;V9~>
+r;W['r;W['r;YS]r;V9~>
+r;WZ$r;WZ$r;YRZr;V9~>
+r;WW#rVlj(WW2u)rVtXZrVqB~>
+r;WX&rVlk+WW3!,rVtY]rVqB~>
+r;WW#rVlj(WW2u)rVtXZrVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(q#:>YrVlk^f)P]5r;Zb\r;Zb\p](7"rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+q#:>MrVlkRf)P])r;ZbPr;ZbPp](8%rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(q#:=7rVlj<f)P[hr;Za:r;Za:p](7"rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(q#:>YrVlk^p&>#Vqu6Y\li-sLrVlk^rr2t_rr2t_rr2t_rr2t_q#C@#rVum(
+hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+q#:>MrVlkRp&>#Jqu6YPli-s@rVlkRrr2tSrr2tSrr2tSrr2tSq#CA&rVun+
+hu<[brVqB~>
+r;Zd'WW)r)rVlj(q#:=7rVlj<p&>"4qu6X:li-r*rVlj<rr2s=rr2s=rr2s=rr2s=q#C@#rVum(
+hu<Z_rVqB~>
+r;Zd'nc/WRh#I>;jSo2drVlj(q#:>YrVlk^mf*9Oli-sLrVlk^rr2t_qYpP[o`+ptrVum(pAb&T
+rVuh\p\t4"rVqB~>
+r;Ze*nc/WFh#I>/jSo3grVlk+q#:>MrVlkRmf*9Cli-s@rVlkRrr2tSqYpPOo`+r"rVun+pAb%b
+rVugjp\t5%rVqB~>
+r;Zd'nc/V0h#I<njSo2drVlj(q#:=7rVlj<mf*8-li-r*rVlj<rr2s=qYpO9o`+ptrVum(pAb%2
+rVug:p\t4"rVqB~>
+r;Zd'o)AfVs8S>?rrA;^rrA;Frr<B(rr<B#rrA;^rreSds-3Q_Pl:X^Pl1RZPl:X\PkP+WPl:U^
+PlC[_PktC[Pk>"U$2so($24B!Pl:UaPlLcJrVlk^q#:=#rVqB~>
+r;Ze*o)AfJs8Ro3rr@lRrr@l:rr?L+rr?L&rr@lRrre/Xs+p^SM#IARM#@;NM#IAPM"^iKM#I>R
+M#RDSM#.,OM"L`I@K$6+@J9^$:&Y(o:&k5frVljlq#:>&rVqB~>
+r;Zd'o)Ae4s8O+rrr=)<rr=)$rr<B(rr<B#rr=)<rraABruM.=*W?$<*W5s8*W?$:*VTL5*W?!<
+*WH'=*W#d9*VBC3$2so($24B!*W?!?*WQ-[rVlj<q#:=#rVqB~>
+r;Zd'oD\fTrVlk^hu<\@rVlk^jo5;erVlj(q#:>YrVm"bs8S=Jrr2t_rVlk^qu6Y\qu6Y\rVlk^
+p\t5XrVlq`s8W"]rr;n\p](7"rVum(pAY,WrVltas8S>Trr<B(s*t~>
+r;Ze*oD\fHrVlkRhu<\4rVlkRjo5<hrVlk+q#:>MrVm"Vs8Rn2rr2tSrVlkRqu6YPqu6YPrVlkR
+p\t5LrVlqTs8W"Qrr;nPp](8%rVun+pAY+erVlsos8Pgbrr?L+s*t~>
+r;Zd'oD\e2rVlj<hu<ZsrVlj<jo5;erVlj(q#:=7rVm!@s8O)[rr2s=rVlj<qu6X:qu6X:rVlj<
+p\t46rVlp>s8W!;rr;m:p](7"rVum(pAY+5rVls?s8O,2rr<B(s*t~>
+r;Zd'oD\fTrVltas8S>^rrA;_s8A2\s8A2UrrA;^rreSds-3Q_PjJDM$2sl($2FN#Pl:UaPlLcJ
+rVlk^rVlk^qu6Y\qZ$S[o`"oUrVlk^rr2t_qYpP[o`+ptrVum(pAY,WrVltas8S>Trr<B(s*t~>
+r;Ze*oD\fHrVltUs8RoRrr@lSs8@cPs8@cIrr@lRrre/Xs+p^SM!Y-A@K$3+@JKj&M#I>UM#[L2
+rVlkRrVlkRqu6YPqZ$SOo`"oIrVlkRrr2tSqYpPOo`+r"rVun+pAY+erVlsos8Pgbrr?L+s*t~>
+r;Zd'oD\e2rVls?s8O,<rr=)=s8<u:s8<u3rr=)<rraABruM.=*UNe+$2sl($2FN#*W?!?*WQ-[
+rVlj<rVlj<qu6X:qZ$R9o`"n3rVlj<rr2s=qYpO9o`+ptrVum(pAY+5rVls?s8O,2rr<B(s*t~>
+r;Zd'oD\fTrVlk^rr3(bs8S>_rrA;^rr\Mcs-3K^!0m6X!0mH^"I/rdPa)1I!0lmN!"&W(!"&H#
+!0mH^"-iicPl:U^Pl:U^Pl(I\Pkb:YPkP+WPl:U^PlC[_PktC[Pk>"U$2so($24DsPl:X\PkY1X
+$2smS~>
+r;Ze*oD\fHrVlkRrr3(Vs8RoSrr@lRrr\)Ws+pXR!/UCL!/UUR"Gm*XLku'1!/U%B!+Gj+!+G[&
+!/UUR",R!WM#I>RM#I>RM#72PM"q#MM"^iKM#I>RM#RDSM#.,OM"L`I@K$6+@J9a!:&Y+j:&"Yf
+@K$4V~>
+r;Zd'oD\e2rVlj<rr3'@s8O,=rr=)<rrX;AruM(<!$1h6!$2%<"<IOB*?G.Z!$1J,!"&W(!"&H#
+!$2%<"!.FA*W?!<*W?!<*W,j:*Vf[7*VTL5*W?!<*WH'=*W#d9*VBC3$2so($24Ds*W?$:*V]R6
+$2smS~>
+r;Zd'oDe]PrVun^rVubZrr<"_o`"oUrVltas8S>^rrA;Nrr<B(rr<B#rrA;^rr\Mcs-3K^!0mH^
+!0mB\!0mK_"-iicPl:U^PkY1XPl:U^PlC[_PktC[Pk>"U$2so($24B!PkG%VPkb7Y$2smS~>
+r;Ze*oDe]DrVunRrVubNrr<"So`"oIrVltUs8RoRrr@lBrr?L+rr?L&rr@lRrr\)Ws+pXR!/UUR
+!/UOP!/UXS",R!WM#I>RM"goLM#I>RM#RDSM#.,OM"L`I@K$6+@J9^$:%eMd:&+_g@K$4V~>
+r;Zd'oDe\.rVum<rVua8rr<!=o`"n3rVls?s8O,<rr=),rr<B(rr<B#rr=)<rrX;AruM(<!$2%<
+!$1t:!$2(="!.FA*W?!<*V]R6*W?!<*WH'=*W#d9*VBC3$2so($24B!*VKF4*VfX7$2smS~>
+r;Zd'oD\fTrVlk^rVun^rVlk^p](8XpAY,WrVltas8S>^rrA;Nrr<B(rr<B"s8A2]rrA;^rrSGb
+s88,Zs8J8]s8A2Ts8A2\rrA;[rrA;Us8NE(s8NE!rrA;VrrA;Yrr<B(s*t~>
+r;Ze*oD\fHrVlkRrVunRrVlkRp](8LpAY,KrVltUs8RoRrr@lBrr?L+rr?L%s8@cQrr@lRrrS#V
+s87]Ns8IiQs8@cHs8@cPrr@lOrr@lIs8QO+s8QO$rr>ddrr>dgrr?L+s*t~>
+r;Zd'oD\e2rVlj<rVum<rVlj<p](76pAY+5rVls?s8O,<rr=),rr<B(rr<B"s8<u;rr=)<rrO5@
+s83o8s8F&;s8<u2s8<u:rr=)9rr=)3s8NE(s8NE!rr=)4rr=)7rr<B(s*t~>
+r;Zd'oD\fTrVlk^rr3(bs8S>_rrA;^rr\Mcs-3K^!0m6X!0mH^"-iicPl:U^PjSJN$2sl($*!t)
+$2so($24B!PktC[Pl:U^Pkb7Y$2smS~>
+r;Ze*oD\fHrVlkRrr3(Vs8RoSrr@lRrr\)Ws+pXR!/UCL!/UUR",R!WM#I>RM!b3B@K$3+@B';,
+@K$6+@J9^$:&=ki:&Y(l:&+_g@K$4V~>
+r;Zd'oD\e2rVlj<rr3'@s8O,=rr=)<rrX;AruM(<!$1h6!$2%<"!.FA*W?!<*UWk,$2sl($*!t)
+$2so($24B!*W#d9*W?!<*VfX7$2smS~>
+r;Zd'oD\fTrVltas8S>^rrA;_s8A2\s8A2Ts8A2]rrA;^rrA;Nrr<B(rr<A)s8NE(s8NE!rrA;Z
+s8A2Vrr<B(s*t~>
+r;Ze*oD\fHrVltUs8RoRrr@lSs8@cPs8@cHs8@cQrr@lRrr@lBrr?L+rr?K,s8QO+s8QO$rr>dh
+s8>[drr?L+s*t~>
+r;Zd'oD\e2rVls?s8O,<rr=)=s8<u:s8<u2s8<u;rr=)<rr=),rr<B(rr<A)s8NE(s8NE!rr=)8
+s8<u4rr<B(s*t~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVlk+WW3!,rVun+hu<[brVqB~>
+r;Zd'WW)r)rVlj(WW2u)rVum(hu<Z_rVqB~>
+r;Zd'WW)r)rVr`$rVum(hu<Z_rVqB~>
+r;Ze*WW)s,rVra'rVun+hu<[brVqB~>
+r;Zd'WW)r)rVr`$rVum(hu<Z_rVqB~>
+qu<Q#r;WZ$r;YRZrVqB~>
+qu<R&r;W['r;YS]rVqB~>
+qu<Q#r;WZ$r;YRZrVqB~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+r;XM<rVsS<r;Wl*r;V9~>
+r;XN?rVsT?r;Wm-r;V9~>
+r;XM<rVsS<r;Wl*r;V9~>
+r;Qa'_>jNArr9Y<rVrr*rVqB~>
+r;Qb*_>jODrr9Z?rVrs-rVqB~>
+r;Qa'_>jNArr9Y<rVrr*rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'r;Z`SjT#2;r;ZcTr;ZcTqu?[&rr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*r;Z_7jT#0tr;Zb8r;Zb8qu?\)rr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'r;Z_7jT#0tr;Zb8r;Zb8qu?[&rr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'r;QcUrr2uWk5PG?rVllVrr2uWrr2uWrr2uWrr2uWr;Zd'rr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*r;Qb9rr2t;k5PF#rVlk:rr2t;rr2t;rr2t;rr2t;r;Ze*rr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'r;Qb9rr2t;k5PF#rVlk:rr2t;rr2t;rr2t;rr2t;r;Zd'rr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'r;QcUrVllVkPkP@rVllVrr2uWqYpQSq#C@#rr<!)qu?TQjo>;<li-qkrVum(qYpQSdJs1(
+li-qkrVqB~>
+r;Qb*r;Qb9rVlk:kPkO$rVlk:rr2t;qYpP7q#CA&rr<",qu?S5jo>9uli-rnrVun+qYpP7dJs/a
+li-rnrVqB~>
+r;Qa'r;Qb9rVlk:kPkO$rVlk:rr2t;qYpP7q#C@#rr<!)qu?S5jo>9uli-qkrVum(qYpP7dJs/a
+li-qkrVqB~>
+r;Qa'r;QcUrr2uWrVuiTrr2uWrVllVp\t6PrVllVrr2uWqYpQSq#C@#rr<!)qu6ZTrVllVrr2uW
+li-tDrVllVm/I%lrVum(qYpQSq#:?Qh#@B5rVllVm/I%lrVqB~>
+r;Qb*r;Qb9rr2t;rVuh8rr2t;rVlk:p\t54rVlk:rr2t;qYpP7q#CA&rr<",qu6Y8rVlk:rr2t;
+li-s(rVlk:m/I&orVun+qYpP7q#:>5h#@@nrVlk:m/I&orVqB~>
+r;Qa'r;Qb9rr2t;rVuh8rr2t;rVlk:p\t54rVlk:rr2t;qYpP7q#C@#rr<!)qu6Y8rVlk:rr2t;
+li-s(rVlk:m/I%lrVum(qYpP7q#:>5h#@@nrVlk:m/I%lrVqB~>
+r;Qa'r;Z`SrVllVrVllVrr3)Zs8V'OrrD$VrrV0Zs8:jTs8:jQs8NE)s8NE&rrD$VrrD$WrrD$D
+rrD$VrrD$Err<B(s8NE%rrD$+rrD$VrrD$Err<B(s*t~>
+r;Qb*r;Z_7rVlk:rVlk:rr3(>s8R'3rr@$:rrR0>s86j8s86j5s8QO,s8QO)rr@$:rr@$;rr@$(
+rr@$:rr@$)rr?L+s8QO(rr@#drr@$:rr@$)rr?L+s*t~>
+r;Qa'r;Z_7rVlk:rVlk:rr3(>s8R'3rr@$:rrR0>s86j8s86j5s8NE)s8NE&rr@$:rr@$;rr@$(
+rr@$:rr@$)rr<B(s8NE%rr@#drr@$:rr@$)rr<B(s*t~>
+r;Qa'r;QcUrr2uWrr2uWrVllVrVuoVp&>$NrVllVrr2uWqYpQSq#C@#rr<!)qu6ZTrVlrXs8W#U
+rVuiTpAY-OrVm#Zs8V'Xro*JK!"&W(rsAQ%!9*bRs5EnU!TF(XiVifTiVifTiV*9OiVicZiW&r:
+s8M!Krr<B(s*t~>
+r;Qb*r;Qb9rr2t;rr2t;rVlk:rVun:p&>#2rVlk:rr2t;qYpP7q#CA&rr<",qu6Y8rVlq<s8W"9
+rVuh8pAY,3rVm">s8R'<rc%K/!+Gj+s'bd(!-%c6s)@o9!HA)<E;fh8E;fh8E;';3E;fe>E<#rW
+s8I!/rr?L+s*t~>
+r;Qa'r;Qb9rr2t;rr2t;rVlk:rVun:p&>#2rVlk:rr2t;qYpP7q#C@#rr<!)qu6Y8rVlq<s8W"9
+rVuh8pAY,3rVm">s8R'<rc%K/!"&W(rsAQ%!-%c6s)@o9!HA)<E;fh8E;fh8E;';3E;fe>E<#rW
+s8I!/rr<B(s*t~>
+r;Qa'r;QcUrVluYs8V'VrrD$Vs8V'NrrD$VrrD$WrrD$SrrD$Qs8NE)s8NE&s8:jSrrD$TrrD$V
+rrD$PrrD$Vrrh<\s5Dr9rrD$Mrr<B(s8NE%rrD$QrrD$Us8V'Wrr_6[s5EqV"6':[iVicViV3?P
+iVicZiW&r:iVriWiUm-M$2smS~>
+r;Qb*r;Qb9rVlt=s8R':rr@$:s8R'2rr@$:rr@$;rr@$7rr@$5s8QO,s8QO)s86j7rr@$8rr@$:
+rr@$4rr@$:rrd<@s);rVrr@$1rr?L+s8QO(rr@$5rr@$9s8R';rr[6?s)@r:"*";?E;fe:E;0A4
+E;fe>E<#rWE;ok;E:j/1@K$4V~>
+r;Qa'r;Qb9rVlt=s8R':rr@$:s8R'2rr@$:rr@$;rr@$7rr@$5s8NE)s8NE&s86j7rr@$8rr@$:
+rr@$4rr@$:rrd<@s);rVrr@$1rr<B(s8NE%rr@$5rr@$9s8R';rr[6?s)@r:"*";?E;fe:E;0A4
+E;fe>E<#rWE;ok;E:j/1$2smS~>
+r;Qa'r;QcUrr2uWrr2uWrVllVrr3)Zs8V'OrrD$VrrD$WrrD$SrrD$Qs8NE)s8NE&rrD$RrrD$S
+s8V'MrrD$Vrr_6[s5EqV!9*SM!"&W(rsAQ%!9*_Q!9*kU!9*nV!oa1Zqr.PSs5EVM!9*nV"6':[
+iVicViUm-M$2smS~>
+r;Qb*r;Qb9rr2t;rr2t;rVlk:rr3(>s8R'3rr@$:rr@$;rr@$7rr@$5s8QO,s8QO)rr@$6rr@$7
+s8R'1rr@$:rr[6?s)@r:!-%T1!+Gj+s'bd(!-%`5!-%l9!-%o:!c\2>qf)Q7s)@W1!-%o:"*";?
+E;fe:E:j/1@K$4V~>
+r;Qa'r;Qb9rr2t;rr2t;rVlk:rr3(>s8R'3rr@$:rr@$;rr@$7rr@$5s8NE)s8NE&rr@$6rr@$7
+s8R'1rr@$:rr[6?s)@r:!-%T1!"&W(rsAQ%!-%`5!-%l9!-%o:!c\2>qf)Q7s)@W1!-%o:"*";?
+E;fe:E:j/1$2smS~>
+r;Qa'r;Z`Sr;Z`Srr2uWrVllVpAb*MrVllVqYpQSq#C@#rr<!)qu6ZTq>UHRq#CBQpAY-OrVluY
+s8V'VrrD$Mrr<B(s8NE%rrD$QrrD$UrrD$Vrr_6[s5E_Ps5E\O!9*nV"6':[iVicViUm-M$2smS~>
+r;Qb*r;Z_7r;Z_7rr2t;rVlk:pAb)1rVlk:qYpP7q#CA&rr<",qu6Y8q>UG6q#CA5pAY,3rVlt=
+s8R':rr@$1rr?L+s8QO(rr@$5rr@$9rr@$:rr[6?s)@`4s)@]3!-%o:"*";?E;fe:E:j/1@K$4V~>
+r;Qa'r;Z_7r;Z_7rr2t;rVlk:pAb)1rVlk:qYpP7q#C@#rr<!)qu6Y8q>UG6q#CA5pAY,3rVlt=
+s8R':rr@$1rr<B(s8NE%rr@$5rr@$9rr@$:rr[6?s)@`4s)@]3!-%o:"*";?E;fe:E:j/1$2smS~>
+r;Qa'_>jNArr<!)qu6ZTq>UHRrr3)Zs8V'VrrD$PrrD$Vrr_6[s5EqV!9*SM!"&W(rsAQ%!9*_Q
+!9*kU!9*nV"6':[iVicYiW&r:rVllVp\t6PrVluYs8V'VrrD$Mrr<B(s*t~>
+r;Qb*_>jODrr<",qu6Y8q>UG6rr3(>s8R':rr@$4rr@$:rr[6?s)@r:!-%T1!+Gj+s'bd(!-%`5
+!-%l9!-%o:"*";?E;fe=E<#rWrVlk:p\t54rVlt=s8R':rr@$1rr?L+s*t~>
+r;Qa'_>jNArr<!)qu6Y8q>UG6rr3(>s8R':rr@$4rr@$:rr[6?s)@r:!-%T1!"&W(rsAQ%!-%`5
+!-%l9!-%o:"*";?E;fe=E<#rWrVlk:p\t54rVlt=s8R':rr@$1rr<B(s*t~>
+r;Qa'_>jNArr<!)qu6ZTq#C?PrVuiTp&G!Lrr2uWrVllVo`"mtrVum(qZ$HOs8W#Urr2uWrVllV
+rr;rUrVuiTp&G!Lrr2uWrVllVo`"mtrVqB~>
+r;Qb*_>jODrr<",qu6Y8q#C>4rVuh8p&Fu0rr2t;rVlk:o`"o"rVun+qZ$G3s8W"9rr2t;rVlk:
+rr;q9rVuh8p&Fu0rr2t;rVlk:o`"o"rVqB~>
+r;Qa'_>jNArr<!)qu6Y8q#C>4rVuh8p&Fu0rr2t;rVlk:o`"mtrVum(qZ$G3s8W"9rr2t;rVlk:
+rr;q9rVuh8p&Fu0rr2t;rVlk:o`"mtrVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;Qb*_>jODrr<",_#FCCrVun+YQ"T2rVqB~>
+r;Qa'_>jNArr<!)_#FB@rVum(YQ"S/rVqB~>
+r;XJ;rr<!)_#FB@rVum(YQ"S/rVqB~>
+r;XK>rr<",_#FCCrVun+YQ"T2rVqB~>
+r;XJ;rr<!)_#FB@rVum(YQ"S/rVqB~>
+qu=D;rVsS<r;Wl*rVqB~>
+qu=E>rVsT?r;Wm-rVqB~>
+qu=D;rVsS<r;Wl*rVqB~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+r;X_Br;W`&Zi>O~>
+r;X`Er;Wa)Zi>O~>
+r;X_Br;W`&Zi>O~>
+r;X\ArVrf&r;X>.!<7Q~>
+r;X]DrVrg)r;X>.!<7Q~>
+r;X\ArVrf&r;X>.!<7Q~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`s]`/!4s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVseBrVllus*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVsfErVllus*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVseBrVllus*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'pAb%ZfDbgWrVum(r;QacrVljdo)A\Yn,N;Sjo>?Lqu6X&r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*pAb&TfDbhZrVun+r;Qb]rVlk^o)A]Sn,N<Mjo>@Fqu6Y)r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'pAb%2fDbgWrVum(r;Qa;rVlj<o)A\1n,N;+jo>?$qu6X&r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'pAY+]rVljdk5PEMo`"mtrVum(r;QacrVljdrVljdp\t4^n,EAVrVljdjo5<Lqu6X&r;Q`s
+rVlj(o)J['g&M'Yrr3!!s*t~>
+r;Ze*pAY,WrVlk^k5PFGo`"o"rVun+r;Qb]rVlk^rVlk^p\t5Xn,EBPrVlk^jo5=Fqu6Y)r;Q`s
+rVlk+o)JYRg&M(\rr3!!s*t~>
+r;Zd'pAY+5rVlj<k5PE%o`"mtrVum(r;Qa;rVlj<rVlj<p\t46n,EA.rVlj<jo5<$qu6X&r;Q`s
+rVlj(o)JYCg&M'Yrr3!!s*t~>
+r;Zd'pAY+]rVljdk5PEMo`"mtrVum(r;QacrVljdo)A\Yn,EAVrVljdjo5<Lqu6X&r;Q`srVlj(
+oD\g*rVll4p&>$,qu6Z2mf3:nrr3!!s*t~>
+r;Ze*pAY,WrVlk^k5PFGo`"o"rVun+r;Qb]rVlk^o)A]Sn,EBPrVlk^jo5=Fqu6Y)r;Q`srVlk+
+oD\eUrVlj_p&>"Wqu6X]mf3;qrr3!!s*t~>
+r;Zd'pAY+5rVlj<k5PE%o`"mtrVum(r;Qa;rVlj<o)A\1n,EA.rVlj<jo5<$qu6X&r;Q`srVlj(
+oD\eFrVljPp&>"Hqu6XNmf3:nrr3!!s*t~>
+r;Zd'pAY+]rVljdrr;pcrVugbrVugbrr;mbp\t4"rVum(r;QacrVljdrr<!equ?Xa!WPUfs8>C[
+rr>Ldrr>Les8>CcrrGRgr^HecrC-Ya!(Heb!"&T'!!)ut!"&8s!5JL4!5It%!5It%rsA])!<E.M~>
+r;Ze*pAY,WrVlk^rr;q]rVuh\rVuh\rr;n\p\t5%rVun+r;Qb]rVlk^rr<"_qu?Y[!WSD`s8A2U
+rrA;^rrA;_s8A2]rrJAarfmB]rKR6[!0mB\!+Gg*!!)ut!+GL!!'pM_!'ouP!'ouPs'bp,!<E.M~>
+r;Zd'pAY+5rVlj<rr;p;rVug:rVug:rr;m:p\t4"rVum(r;Qa;rVlj<rr<!=qu?X9!WO2>s8<u3
+rr=)<rr=)=s8<u;rrF/?rZ1t;r>kh9!$1t:!"&T'!!)ut!"&8s!&=HP!&<pA!&<pArsA])!<E.M~>
+r;Zd'pAb%Zrr2serVlsgs8POdrrY^is$cnd!(Hne!(HP[!"&W(rsAW'qaLJ`!(Hhc!(Hnes$ctf
+!(Hkd!(HY^r'gG]"@`@j77I4U"%E7i7K*5d7K*5d7Jm)b$2jf'!<)ot$1n/s^]"07^]4>Krr2u5
+rVuo4r;Z]0nc/Uqrr3!!s*t~>
+r;Ze*pAb&Trr2t_rVltas8S>^rr\Mcs-3K^!0mK_!0m-U!+Gj+s'bj*qiq'Z!0mE]!0mK_s-3Q`
+!0mH^!0m6Xr07$W"I/rdPa)1I"-iicPl:U^Pl:U^Pl(I\@Jp-*!<)ot@IsL!5lL]b5l^jLrr2s`
+rVum_r;Z[[nc/Vtrr3!!s*t~>
+r;Zd'pAb%2rr2s=rVls?s8O,<rrX;AruM(<!$2(=!$1_3!"&W(rsAW'q]5Y8!$2";!$2(=ruM.>
+!$2%<!$1h6r#PV5"<IOB*?G.Z"!.FA*W?!<*W?!<*W,j:$2jf'!<)ot$1n/s1&_+S1&q8.rr2sQ
+rVumPr;Z[Lnc/Uqrr3!!s*t~>
+r;Zd'pAY1_s$ckcqaLMas$ckcqaLMa!(HP[!"&W(rsAW'!(Hkd!(Hkd!(Hhc!(Hkd!_*.hqaL8Z
+!(H_`r'gYc!(Hkd!_*.hqaLJ`!(Heb!"&T'!!)ut!"&8s!5JL4"2Fm9^]+65^\n*3^\e$2^[D.%
+$3'r*!<7Q~>
+r;Ze*pAY2Ys-3H]qiq*[s-3H]qiq*[!0m-U!+Gj+s'bj*!0mH^!0mH^!0mE]!0mH^!gN`bqipjT
+!0m<Zr076]!0mH^!gN`bqiq'Z!0mB\!+Gg*!!)ut!+GL!!'pM_"$lnd5lUc`5lCW^5l:Q]5jn[P
+@K-9-!<7Q~>
+r;Zd'pAY17ruM%;q]5\9ruM%;q]5\9!$1_3!"&W(rsAW'!$2%<!$2%<!$2";!$2%<!Zh=@q]5G2
+!$1n8r#Ph;!$2%<!Zh=@q]5Y8!$1t:!"&T'!!)ut!"&8s!&=HP"#9iU1&h1Q1&V%O1&LtN1%,)A
+$3'r*!<7Q~>
+r;Zd'pAY4`s8POdrr>L^s8POerr>L`rr>L[rr<B(s8NE'rr>Ldrr>Ldrr>Lcrr>LdrrY^is$cMY
+!(Hba!(Hkd"%E7i7K*5g7K<BVq#:=_qu6X&r;Q`srVlj(oD\g*rVlu7s8Tk5rrBh3rrBh2rrBh%
+s8NE)rrE-"J,~>
+r;Ze*pAY5Zs8S>^rrA;Xs8S>_rrA;ZrrA;Urr?L+s8QO*rrA;^rrA;^rrA;]rrA;^rr\Mcs-3*S
+!0m?[!0mH^"-iicPl:UaPlLcJq#:>Yqu6Y)r;Q`srVlk+oD\eUrVlsbs8P@`rr>=^rr>=]rr>=P
+s8QO,rrE-"J,~>
+r;Zd'pAY48s8O,<rr=)6s8O,=rr=)8rr=)3rr<B(s8NE'rr=)<rr=)<rr=);rr=)<rrX;AruL\1
+!$1q9!$2%<"!.FA*W?!?*WQ-[q#:=7qu6X&r;Q`srVlj(oD\eFrVlsSs8OhQrr=eOrr=eNrr=eA
+s8NE)rrE-"J,~>
+r;Zd'pAY+]rr2serr2serVlsgs8POdrrY^is$cnd!(Hne!(Hne!(H\_!"&W(rsAW'!(Hkd!(Hkd
+!(Hhc!(Hnes$ctf!(Hkd!(HY^!(Hba!(Hnes$ctf!(Hkd"%E7i7K*5d7K*5d7Jm)b$2jf'!<)ot
+$1n0&^]2(Ks1eU6^]+65^\n*3^\e$2^[D.%$3'r*!<7Q~>
+r;Ze*pAY,Wrr2t_rr2t_rVltas8S>^rr\Mcs-3K^!0mK_!0mK_!0m9Y!+Gj+s'bj*!0mH^!0mH^
+!0mE]!0mK_s-3Q`!0mH^!0m6X!0m?[!0mK_s-3Q`!0mH^"-iicPl:U^Pl:U^Pl(I\@Jp-*!<)ot
+@IsL)5lX+Ls$6Va5lUc`5lCW^5l:Q]5jn[P@K-9-!<7Q~>
+r;Zd'pAY+5rr2s=rr2s=rVls?s8O,<rrX;AruM(<!$2(=!$2(=!$1k7!"&W(rsAW'!$2%<!$2%<
+!$2";!$2(=ruM.>!$2%<!$1h6!$1q9!$2(=ruM.>!$2%<"!.FA*W?!<*W?!<*W,j:$2jf'!<)ot
+$1n0&1&j!.s"XQR1&h1Q1&V%O1&LtN1%,)A$3'r*!<7Q~>
+r;Zd'pAY+]rVljdrr;pcrVugbrVugbr;Zabp\t4"rVum(r;QacrVlpfs8W!crVujc!WPUfs8>C[
+rr>L`s8GFis$ctf7K*5d7K3>c7K3>b7K*5d$2jf'!<)ot$1n0&^]4>Ks1eU6^]+65^\n*3^\e$2
+^]+65^[hF)$3'r*!<7Q~>
+r;Ze*pAY,WrVlk^rr;q]rVuh\rVuh\r;Zb\p\t5%rVun+r;Qb]rVlq`s8W"]rVuk]!WSD`s8A2U
+rrA;Zs8J5cs-3Q`Pl:U^PlC^]PlC^\Pl:U^@Jp-*!<)ot@IsL)5l^jLs$6Va5lUc`5lCW^5l:Q]
+5lUc`5k=sT@K-9-!<7Q~>
+r;Zd'pAY+5rVlj<rr;p;rVug:rVug:r;Za:p\t4"rVum(r;Qa;rVlp>s8W!;rVuj;!WO2>s8<u3
+rr=)8s8F#AruM.>*W?!<*WH*;*WH*:*W?!<$2jf'!<)ot$1n0&1&q8.s"XQR1&h1Q1&V%O1&LtN
+1&h1Q1%PAE$3'r*!<7Q~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(o)J['rVul3"96.9s89Y0s8Ke's8NE)rrE-"J,~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+o)JYRrVuj^"91Xds85.[s8G:Rs8QO,rrE-"J,~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(o)JYCrVujO"91+Us84VLs8FbCs8NE)rrE-"J,~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(mf*:%gAh0Zrr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+mf*8PgAh1]rr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(mf*8AgAh0Zrr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVlk+`rH'Irr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVlj(`rH&Frr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVsbArr3!!s*t~>
+r;Ze*a8Z-JrVun+X8`0.r;Q`srVscDrr3!!s*t~>
+r;Zd'a8Z,GrVum(X8`/+r;Q`srVsbArr3!!s*t~>
+qu=VAr;W`&r;Q`sr;X\Arr3!!s*t~>
+qu=WDr;Wa)r;Q`sr;X]Drr3!!s*t~>
+qu=VAr;W`&r;Q`sr;X\Arr3!!s*t~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+!!'\3!<E.M~>
+JcFR+\c;a1J,~>
+JcFR+\c;a1J,~>
+JcFR+\c;a1J,~>
+JcD#8J,~>
+JcD#8J,~>
+JcD#8J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1i.ps b/books/ps/bookvol1i.ps
new file mode 100644
index 0000000..7826ad0
--- /dev/null
+++ b/books/ps/bookvol1i.ps
@@ -0,0 +1,638 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/2DLines.ps
+%%CreationDate: Fri Dec  9 21:19:53 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 215 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+200.000000 -200.000000 scale
+% Image geometry
+200 200 8
+% Transformation matrix
+[ 200 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 200 string def
+/gstr 200 string def
+/bstr 200 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        18590 ASCII Bytes
+colorimage
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+W;ckdrVuodRK%d~>
+W;ckOrVuoORK%d~>
+W;ckArVuoARK%d~>
+W;ckTPQ-.~>
+W;ck)PQ-.~>
+W;cjbPQ-.~>
+W;ckTrVuoTs8N5Jhr!nkrnd_Urnd_EW;hA~>
+W;ck)rVuo)s8N4_['\Q@rj2\*rj2[ZW;hA~>
+W;cjbrVunbs8N44R$c+Arg3]crg3]0W;hA~>
+W;ckTr;QrXs8V!Vs8CgUci="%VuM8~>
+W;ck)r;Qr-s8TJ+s8B;*O8o3dVuM8~>
+W;cjbr;Qqfs8SJds8A;cAH2XrVuM8~>
+W;ckTr;R#Zs8V!Vs52`4rr_`is50dTJ,~>
+W;ck)r;R#/s8TJ+s0T03rr_!Ts0Sa)J,~>
+W;cjbr;R"hs8SJds-T2Prr^LFs-TbbJ,~>
+W;lkS&b#bWhs^U6s8VQfhr!o&n)*$#s*t~>
+W;lk(&_d8l[+bQ6s8UgQ['\Qeg9e5bs*t~>
+W;lja&^:9BR*>TSs8U=CR$c+tba=cqs*t~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+p\t6_JcE[gJ,~>
+p\t6IJcE[gJ,~>
+p\t6'JcE[gJ,~>
+p\t6_W;ck;T)X<~>
+p\t6IW;ckYT)X<~>
+p\t6'W;ck;T)X<~>
+q#:EbkkM4Y"3)?%<ic6%puq5Bs*t~>
+q#:E*PhW8="6>]2YH.[)gQ]5Cs*t~>
+q#:E*PhW8="3)?%<ic6%gQ]5Cs*t~>
+q>UQliRkZ@NWW<&/fh!Q!pJV%q#>j~>
+q>UQOE.i_ANWZJLEKmMa!gIYCq#>j~>
+q>UQOE+#6;aobZb(`f["!gIYCq#>j~>
+q#:ESd."+9"-+BS0!#!RnDW@$s*t~>
+q#:D7R(03s"3QjJENB*@\8ZE^s*t~>
+q#:D7:q3S+"-+B=(p!Z<\8ZE^s*t~>
+p\t6NWrN'Y!MA#FrrC49s*t~>
+p\t6NWrE3^b0$X!X8`0[p]#a~>
+p\t5\WrE4ENfJt5X8`0[p]#a~>
+p\t6NX8`0[rVuoMXT&:Cp]#a~>
+p\t6NX8`0[rVuo7XT&9\p]#a~>
+p\t5\X8`1BrVuo7XT&9\p]#a~>
+p\t6NXT&9\qu?]KXoACDp]#a~>
+p\t6NXT&9\qu?]5XoAB]p]#a~>
+p\t5\XT&:Cqu?]5XoAB]p]#a~>
+p\t6NXoAB]q>^KIY5\LEp]#a~>
+p\t6NXoAB]q>^K3Y5\K^p]#a~>
+p\t5\XoACDq>^K3Y5\K^p]#a~>
+p\t6NY5\K^p](9GYQ"UFp]#a~>
+p\t6NY5\K^p](91YQ"T_p]#a~>
+p\t5\Y5\LEp](91YQ"T_p]#a~>
+p\t6NYQ"T_p&G'EYl=^Gp]#a~>
+p\t6NYQ"T_p&G'/Yl=]`p]#a~>
+p\t5\YQ"UFp&G'/Yl=]`p]#a~>
+p\t6NYl=]`oDejCZ2XgHp]#a~>
+p\t6NYl=]`oDej-Z2Xfap]#a~>
+p\t5\Yl=^GoDej-Z2Xfap]#a~>
+p\t6NZ2Xfanc/XAZMspIp]#a~>
+p\t6NZ2Xfanc/X+ZMsobp]#a~>
+p\t5\Z2XgHnc/X+ZMsobp]#a~>
+p\t6NZMsobn,NF?Zi:$Jp]#a~>
+p\t6NZMsobn,NF)Zi:#cp]#a~>
+p\t5\ZMspIn,NF)Zi:#cp]#a~>
+p\t6NZi:#cmJm4=[/U-Kp]#a~>
+p\t6NZi:#cmJm4'[/U,dp]#a~>
+p\t5\Zi:$JmJm4'[/U,dp]#a~>
+p\t6N[/U,dli7";[Jp6Lp]#a~>
+p\t6N[/U,dli7"%[Jp5ep]#a~>
+p\t5\[/U-Kli7"%[Jp5ep]#a~>
+p\t6N[Jp5el2Ue9[f6?Mp]#a~>
+p\t6N[Jp5el2Ue#[f6>fp]#a~>
+p\t5\[Jp6Ll2Ue#[f6>fp]#a~>
+p\t6N[f6>fkPtS7\,QHNp]#a~>
+p\t6N[f6>fkPtS!\,QGgp]#a~>
+p\t5\[f6?MkPtS!\,QGgp]#a~>
+p\t6N\,QGgjo>A5\GlQOp]#a~>
+p\t6N\,QGgjo>@t\GlPhp]#a~>
+p\t5\\,QHNjo>@t\GlPhp]#a~>
+p\t6N\GlPhj8]/3\c2ZPp]#a~>
+p\t6N\GlPhj8].r\c2Yip]#a~>
+p\t5\\GlQOj8].r\c2Yip]#a~>
+p\t6N\c2YiiW&r1])McQp]#a~>
+p\t6N\c2YiiW&qp])Mbjp]#a~>
+p\t5\\c2ZPiW&qp])Mbjp]#a~>
+p\t6N])MbjhuE`/]DhlRp]#a~>
+p\t6N])MbjhuE_n]Dhkkp]#a~>
+p\t5\])McQhuE_n]Dhkkp]#a~>
+p\t6N]Dhkkh>dN-]`.uSp]#a~>
+p\t6N]Dhkkh>dMl]`.tlp]#a~>
+p\t5\]DhlRh>dMl]`.tlp]#a~>
+p\t6N]`.tlg].<+^&J)Tp]#a~>
+p\t6N]`.tlg].;j^&J(mp]#a~>
+p\t5\]`.uSg].;j^&J(mp]#a~>
+p\t6N^&J(mg&M*)^Ae2Up]#a~>
+p\t6N^&J(mg&M)h^Ae1np]#a~>
+p\t5\^&J)Tg&M)h^Ae1np]#a~>
+p\t6N^Ae1nfDkm'^]+;Vp]#a~>
+p\t6N^Ae1nfDklf^]+:op]#a~>
+p\t5\^Ae2UfDklf^]+:op]#a~>
+p\t6N^]+:oec5[%_#FDWp]#a~>
+p\t6N^]+:oec5Zd_#FCpp]#a~>
+p\t5\^]+;Vec5Zd_#FCpp]#a~>
+p\t6N_#FCpe,TI#_>aMXp]#a~>
+p\t6N_#FCpe,THb_>aLqp]#a~>
+p\t5\_#FDWe,THb_>aLqp]#a~>
+p\t6N_>aLqdJs7!_Z'VYp]#a~>
+p\t6N_>aLqdJs6`_Z'Urp]#a~>
+p\t5\_>aMXdJs6`_Z'Urp]#a~>
+p\t6N_Z'Urci=$t_uB_Zp]#a~>
+p\t6N_Z'Urci=$^_uB^sp]#a~>
+p\t5\_Z'VYci=$^_uB^sp]#a~>
+p\t6N_uB^sc2[gr`;]h[p]#a~>
+p\t6N_uB^sc2[g\`;]gtp]#a~>
+p\t5\_uB_Zc2[g\`;]gtp]#a~>
+p\t6N`;]gtbQ%Up`W#q\p]#a~>
+p\t6N`;]gtbQ%UZ`W#pup]#a~>
+p\t5\`;]h[bQ%UZ`W#pup]#a~>
+p\t6N`W#puaoDCn`r?%]p]#a~>
+p\t6N`W#puaoDCX`r?%!p]#a~>
+p\t5\`W#q\aoDCX`r?%!p]#a~>
+p\t6N`r?%!a8c1la8Z.^p]#a~>
+p\t6N`r?%!a8c1Va8Z."p]#a~>
+p\t5\`r?%]a8c1Va8Z."p]#a~>
+p\t6Na8Z."`W,tjaSu7_p]#a~>
+p\t6Na8Z."`W,tTaSu7#p]#a~>
+p\t5\a8Z.^`W,tTaSu7#p]#a~>
+p\t6NaSu7#_uKbhao;@`p]#a~>
+p\t6NaSu7#_uKbRao;@$p]#a~>
+p\t5\aSu7__uKbRao;@$p]#a~>
+p\t6Nao;@$_>jPfb5VIap]#a~>
+p\t6Nao;@$_>jPPb5VI%p]#a~>
+p\t5\ao;@`_>jPPb5VI%p]#a~>
+p\t6Nb5VI%^]4>dbPqRbp]#a~>
+p\t6Nb5VI%^]4>NbPqR&p]#a~>
+p\t5\b5VIa^]4>NbPqR&p]#a~>
+p\t6NbPqR&^&S,bbl7[cp]#a~>
+p\t6NbPqR&^&S,Lbl7['p]#a~>
+p\t5\bPqRb^&S,Lbl7['p]#a~>
+p\t6Nbl7[']Dqo`c2Rddp]#a~>
+p\t6Nbl7[']DqoJc2Rd(p]#a~>
+p\t5\bl7[c]DqoJc2Rd(p]#a~>
+p\t6Nc2Rd(\c;]^cMmmep]#a~>
+p\t6Nc2Rd(\c;]HcMmm)p]#a~>
+p\t5\c2Rdd\c;]HcMmm)p]#a~>
+p\t6NcMmm)\,ZK\ci4!fp]#a~>
+p\t6NcMmm)\,ZKFci4!*p]#a~>
+p\t5\cMmme\,ZKFci4!*p]#a~>
+p\t6Nci4!*[K$9Zd/O*gp]#a~>
+p\t6Nci4!*[K$9Dd/O*+p]#a~>
+p\t5\ci4!f[K$9Dd/O*+p]#a~>
+p\t6Nd/O*+ZiC'XdJj3hp]#a~>
+p\t6Nd/O*+ZiC'BdJj3,p]#a~>
+p\t5\d/O*gZiC'BdJj3,p]#a~>
+p\t6NdJj3,Z2ajVdf0<ip]#a~>
+p\t6NdJj3,Z2aj@df0<-p]#a~>
+p\t5\dJj3hZ2aj@df0<-p]#a~>
+p\t6Ndf0<-YQ+XTe,KEjp]#a~>
+p\t6Ndf0<-YQ+X>e,KE.p]#a~>
+p\t5\df0<iYQ+X>e,KE.p]#a~>
+p\t6NfDc!KnEBY-XoALUnEBAmrrC49s*t~>
+p\t6NfDc!KnEBY-XoAL?nEBAmrrA)Rs*t~>
+p\t5\fDc!.\<PajXoAL?\<OMSrrA)Rs*t~>
+p\t6NfDkg.!;N\r!:^!H!9i&7!6Y'9J,~>
+p\t6NfDkg.!;N\r!:^!H!9i&7!06gRJ,~>
+p\t5\fDkeg!8FXU!4`#I!0l+8!06gRJ,~>
+p\t6Nf`)-MiSfWMOKFlQki&T$iRe)0b4kpd~>
+p\t6Nf`)-MiSfWMOKFlQki'A:iRe)0Nq`R(~>
+p\t5\f`)-0E,_23]<0rnP]0ZBE7b*iNq`R(~>
+p\t6NfDkg.!:[,j"RtAmiSiDg!6Y'9J,~>
+p\t6NfDkg.!:[,j"RtBDiSiDg!06gRJ,~>
+p\t5\fDkeg!4]02"LrD5E,aG/!06gRJ,~>
+p\t6NfDbrWiSj"%rri,UFlC^!rrC49s*t~>
+p\t6NfDbrWiSj"%rri,UU#ET7rrA)Rs*t~>
+p\t5\fDbquE,_&Crrh(q4E-nDrrA)Rs*t~>
+p\t6Nf`)&6s8U6@rr[rSs01/U!6Y'9J,~>
+p\t6Nf`)&6s8S+Yrr]M*s+K&)!06gRJ,~>
+p\t5\f`)&rs8S+Yrr[rSs+K&)!06gRJ,~>
+p\t6Ng&D&4rr2u@WW)sOrr2u&g&D&pp]#a~>
+p\t6Ng&D&4rr2tYWW)t&rr2tOg&D&4p]#a~>
+p\t5\g&D&prr2tYWW)sOrr2tOg&D&4p]#a~>
+p\t6NgA_/5rVll?WW)sOrVll%gA_/qp]#a~>
+p\t6NgA_/5rVlkXWW)t&rVlkNgA_/5p]#a~>
+p\t5\gA_/qrVlkXWW)sOrVlkNgA_/5p]#a~>
+p\t6Ng]%86r;Qc>WW)sOr;Qc$g]%8rp]#a~>
+p\t6Ng]%86r;QbWWW)t&r;QbMg]%86p]#a~>
+p\t5\g]%8rr;QbWWW)sOr;QbMg]%86p]#a~>
+p\t6Nh#@A7qu6Z=WW)sOqu6Z#h#@Asp]#a~>
+p\t6Nh#@A7qu6YVWW)t&qu6YLh#@A7p]#a~>
+p\t5\h#@Asqu6YVWW)sOqu6YLh#@A7p]#a~>
+p\t6Nh>[J8qYpQ<WW)sOqYpQ"h>[Jtp]#a~>
+p\t6Nh>[J8qYpPUWW)t&qYpPKh>[J8p]#a~>
+p\t5\h>[JtqYpPUWW)sOqYpPKh>[J8p]#a~>
+p\t6NhZ!S9q>UH;WW)sOq>UH!hZ!Sup]#a~>
+p\t6NhZ!S9q>UGTWW)t&q>UGJhZ!S9p]#a~>
+p\t5\hZ!Suq>UGTWW)sOq>UGJhZ!S9p]#a~>
+p\t6Nhu<\:q#:?:WW)sOq#:>uhu<]!p]#a~>
+p\t6Nhu<\:q#:>SWW)t&q#:>Ihu<\:p]#a~>
+p\t5\hu<]!q#:>SWW)sOq#:>Ihu<\:p]#a~>
+p\t6Ni;We;p\t69WW)sOp\t5ti;Wf"p]#a~>
+p\t6Ni;We;p\t5RWW)t&p\t5Hi;We;p]#a~>
+p\t5\i;Wf"p\t5RWW)sOp\t5Hi;We;p]#a~>
+p\t6NiVrn<pAY-8WW)sOpAY,siVro#p]#a~>
+p\t6NiVrn<pAY,QWW)t&pAY,GiVrn<p]#a~>
+p\t5\iVro#pAY,QWW)sOpAY,GiVrn<p]#a~>
+p\t6Nir9"=p&>$7WW)sOp&>#rir9#$p]#a~>
+p\t6Nir9"=p&>#PWW)t&p&>#Fir9"=p]#a~>
+p\t5\ir9#$p&>#PWW)sOp&>#Fir9"=p]#a~>
+p\t6Nj8T+>o`"p6WW)sOo`"oqj8T,%p]#a~>
+p\t6Nj8T+>o`"oOWW)t&o`"oEj8T+>p]#a~>
+p\t5\j8T,%o`"oOWW)sOo`"oEj8T+>p]#a~>
+p\t6NjSo4?oD\g5WW)sOoD\fpjSo5&p]#a~>
+p\t6NjSo4?oD\fNWW)t&oD\fDjSo4?p]#a~>
+p\t5\jSo5&oD\fNWW)sOoD\fDjSo4?p]#a~>
+p\t6Njo5=@o)A^4WW)sOo)A]ojo5>'p]#a~>
+p\t6Njo5=@o)A]MWW)t&o)A]Cjo5=@p]#a~>
+p\t5\jo5>'o)A]MWW)sOo)A]Cjo5=@p]#a~>
+p\t6Nk5PFAnc&U3WW)sOnc&Tnk5PG(p]#a~>
+p\t6Nk5PFAnc&TLWW)t&nc&TBk5PFAp]#a~>
+p\t5\k5PG(nc&TLWW)sOnc&TBk5PFAp]#a~>
+p\t6NkPkOBnG`L2WW)sOnG`KmkPkP)p]#a~>
+p\t6NkPkOBnG`KKWW)t&nG`KAkPkOBp]#a~>
+p\t5\kPkP)nG`KKWW)sOnG`KAkPkOBp]#a~>
+p\t6Nkl1XCn,EC1WW)sOn,EBlkl1Y*p]#a~>
+p\t6Nkl1XCn,EBJWW)t&n,EB@kl1XCp]#a~>
+p\t5\kl1Y*n,EBJWW)sOn,EB@kl1XCp]#a~>
+p\t6Nl2LaDmf*:0WW)sOmf*9kl2Lb+p]#a~>
+p\t6Nl2LaDmf*9IWW)t&mf*9?l2LaDp]#a~>
+p\t5\l2Lb+mf*9IWW)sOmf*9?l2LaDp]#a~>
+p\t6NlMgjEmJd1/WW)sOmJd0jlMgk,p]#a~>
+p\t6NlMgjEmJd0HWW)t&mJd0>lMgjEp]#a~>
+p\t5\lMgk,mJd0HWW)sOmJd0>lMgjEp]#a~>
+p\t6Nli-sFm/I(.WW)sOm/I'ili-t-p]#a~>
+p\t6Nli-sFm/I'GWW)t&m/I'=li-sFp]#a~>
+p\t5\li-t-m/I'GWW)sOm/I'=li-sFp]#a~>
+p\t6Nm/I'Gli-t-WW)sOli-shm/I(.p]#a~>
+p\t6Nm/I'Gli-sFWW)t&li-s<m/I'Gp]#a~>
+p\t5\m/I(.li-sFWW)sOli-s<m/I'Gp]#a~>
+p\t6NmJd0HlMgk,WW)sOlMgjgmJd1/p]#a~>
+p\t6NmJd0HlMgjEWW)t&lMgj;mJd0Hp]#a~>
+p\t5\mJd1/lMgjEWW)sOlMgj;mJd0Hp]#a~>
+p\t6Nmf*9Il2Lb+WW)sOl2Lafmf*:0p]#a~>
+p\t6Nmf*9Il2LaDWW)t&l2La:mf*9Ip]#a~>
+p\t5\mf*:0l2LaDWW)sOl2La:mf*9Ip]#a~>
+p\t6Nn,EBJkl1Y*WW)sOkl1Xen,EC1p]#a~>
+p\t6Nn,EBJkl1XCWW)t&kl1X9n,EBJp]#a~>
+p\t5\n,EC1kl1XCWW)sOkl1X9n,EBJp]#a~>
+p\t6NnG`KKkPkP)WW)sOkPkOdnG`L2p]#a~>
+p\t6NnG`KKkPkOBWW)t&kPkO8nG`KKp]#a~>
+p\t5\nG`L2kPkOBWW)sOkPkO8nG`KKp]#a~>
+p\t6Nnc&TLk5PG(WW)sOk5PFcnc&U3p]#a~>
+p\t6Nnc&TLk5PFAWW)t&k5PF7nc&TLp]#a~>
+p\t5\nc&U3k5PFAWW)sOk5PF7nc&TLp]#a~>
+p\t6No)A]Mjo5>'WW)sOjo5=bo)A^4p]#a~>
+p\t6No)A]Mjo5=@WW)t&jo5=6o)A]Mp]#a~>
+p\t5\o)A^4jo5=@WW)sOjo5=6o)A]Mp]#a~>
+p\t6NoD\fNjSo5&WW)sOjSo4aoD\g5p]#a~>
+p\t6NoD\fNjSo4?WW)t&jSo45oD\fNp]#a~>
+p\t5\oD\g5jSo4?WW)sOjSo45oD\fNp]#a~>
+p\t6No`"oOj8T,%WW)sOj8T+`o`"p6p]#a~>
+p\t6No`"oOj8T+>WW)t&j8T+4o`"oOp]#a~>
+p\t5\o`"p6j8T+>WW)sOj8T+4o`"oOp]#a~>
+p\t6Np&>#Pir9#$WW)sOir9"_p&>$7p]#a~>
+p\t6Np&>#Pir9"=WW)t&ir9"3p&>#Pp]#a~>
+p\t5\p&>$7ir9"=WW)sOir9"3p&>#Pp]#a~>
+p\t6NpAY,QiVro#WW)sOiVrn^pAY-8p]#a~>
+p\t6NpAY,QiVrn<WW)t&iVrn2pAY,Qp]#a~>
+p\t5\pAY-8iVrn<WW)sOiVrn2pAY,Qp]#a~>
+p\t6Np\t5Ri;Wf"WW)sOi;We]p\t69p]#a~>
+p\t6Np\t5Ri;We;WW)t&i;We1p\t5Rp]#a~>
+p\t5\p\t69i;We;WW)sOi;We1p\t5Rp]#a~>
+p\t6Nq#:>Shu<]!WW)sOhu<\\q#:?:p]#a~>
+p\t6Nq#:>Shu<\:WW)t&hu<\0q#:>Sp]#a~>
+p\t5\q#:?:hu<\:WW)sOhu<\0q#:>Sp]#a~>
+p\t6Nq>UGThZ!SuWW)sOhZ!S[q>UH;p]#a~>
+p\t6Nq>UGThZ!S9WW)t&hZ!S/q>UGTp]#a~>
+p\t5\q>UH;hZ!S9WW)sOhZ!S/q>UGTp]#a~>
+p\t6NqYpPUh>[JtWW)sOh>[JZqYpQ<p]#a~>
+p\t6NqYpPUh>[J8WW)t&h>[J.qYpPUp]#a~>
+p\t5\qYpQ<h>[J8WW)sOh>[J.qYpPUp]#a~>
+p\t6Nqu6YVh#@AsWW)sOh#@AYqu6Z=p]#a~>
+p\t6Nqu6YVh#@A7WW)t&h#@A-qu6YVp]#a~>
+p\t5\qu6Z=h#@A7WW)sOh#@A-qu6YVp]#a~>
+p\t6Nr;QbWg]%8rWW)sOg]%8Xr;Qc>p]#a~>
+p\t6Nr;QbWg]%86WW)t&g]%8,r;QbWp]#a~>
+p\t5\r;Qc>g]%86WW)sOg]%8,r;QbWp]#a~>
+p\t6NrVlkXgA_/qWW)sOgA_/WrVll?p]#a~>
+p\t6NrVlkXgA_/5WW)t&gA_/+rVlkXp]#a~>
+p\t5\rVll?gA_/5WW)sOgA_/+rVlkXp]#a~>
+p\t6Nrr2tYg&D&pWW)sOg&D&Vrr2u@p]#a~>
+p\t6Nrr2tYg&D&4WW)t&g&D&*rr2tYp]#a~>
+p\t5\rr2u@g&D&4WW)sOg&D&*rr2tYp]#a~>
+p\t?Qs8S,3rrC3@rr@`)rr]M*s2t*9J,~>
+p\t?Qs8S,3rrA(YrrB:Urr[rSs,QjRJ,~>
+p\t>_s8U6orrA(Yrr@`)rr[rSs,QjRJ,~>
+p\t<'s,P_2!6V;@!//u(!jM^+p]#a~>
+p\t<Es,P_2!04&Y!3k)T!egTTp]#a~>
+p\t;Ys2rsn!04&Y!//u(!egT6p]#a~>
+q>UH7rZ0Si!6V;@!//r'""kT7`qfXb~>
+q>UQXPa#;$rrA(YrrB:Srr[8*PiVZ?J,~>
+q>UQ:*?A85rrA(Yrr@`'rrX)Y*QIpTJ,~>
+q>UFqrZ0Si!6V;@!//u(!65!Y!06mTJ,~>
+q>UQ#PZX1$rrA(YrrB:TrrD-ZPQ8l%s*t~>
+q>UOt*EX?5rrA(Yrr@`(rrC(<*<;,qs*t~>
+q>UGTrZ0Si!6V;@!//r'rZ)!!q>Ys~>
+q>UH;rfl"6!04&Y!3k&SrfdE*q>Ys~>
+q>UGTrZ0Si!04&Y!//r'rZ)!!q>Ys~>
+q#:GVI\59ErrC3@rr@`(rr^K/F,p%qJ,~>
+q#:H=]"QbJrrA(YrrB:Trr_`>OimJ!J,~>
+q#:GV>)C,JrrA(Yrr@`(rr^K/<fZtTJ,~>
+p\t?Qs4GuVrrC3@rr@`)s8U:Ds2t*9J,~>
+p\t?Qs4GuVrrA(YrrB:Us8VNgs,QjRJ,~>
+p\t>_s2)Y*rrA(Yrr@`)s8U:Ds,QjRJ,~>
+p\tBRs8Ua(g&D&pWW)sOg&M)rs8N)Ap]#a~>
+p\tBRs8Ua(g&D&4WW)t&g&M*@s8N(Zp]#a~>
+p\tA`s8TsQg&D&4WW)sOg&M)rs8N(Zp]#a~>
+p\t6Nrr<#NgA_/qWW)sOgAh2srr2u@p]#a~>
+p\t6Nrr<#NgA_/5WW)t&gAh3Arr2tYp]#a~>
+p\t5\rr<#8gA_/5WW)sOgAh2srr2tYp]#a~>
+p\t6NrVuoMg]%8rWW)sOg].;trVll?p]#a~>
+p\t6NrVuoMg]%86WW)t&g].<BrVlkXp]#a~>
+p\t5\rVuo7g]%86WW)sOg].;trVlkXp]#a~>
+p\t6Nr;ZfLh#@AsWW)sOh#IDur;Qc>p]#a~>
+p\t6Nr;ZfLh#@A7WW)t&h#IECr;QbWp]#a~>
+p\t5\r;Zf6h#@A7WW)sOh#IDur;QbWp]#a~>
+p\t6Nqu?]Kh>[JtWW)sOh>dN!qu6Z=p]#a~>
+p\t6Nqu?]Kh>[J8WW)t&h>dNDqu6YVp]#a~>
+p\t5\qu?]5h>[J8WW)sOh>dN!qu6YVp]#a~>
+p\t6NqZ$TJhZ!SuWW)sOhZ*W"qYpQ<p]#a~>
+p\t6NqZ$TJhZ!S9WW)t&hZ*WEqYpPUp]#a~>
+p\t5\qZ$T4hZ!S9WW)sOhZ*W"qYpPUp]#a~>
+p\t6Nq>^KIhu<]!WW)sOhuE`#q>UH;p]#a~>
+p\t6Nq>^KIhu<\:WW)t&huE`Fq>UGTp]#a~>
+p\t5\q>^K3hu<\:WW)sOhuE`#q>UGTp]#a~>
+p\t6Nq#CBHi;Wf"WW)sOi;`i$q#:?:p]#a~>
+p\t6Nq#CBHi;We;WW)t&i;`iGq#:>Sp]#a~>
+p\t5\q#CB2i;We;WW)sOi;`i$q#:>Sp]#a~>
+p\t6Np](9GiVro#WW)sOiW&r%p\t69p]#a~>
+p\t6Np](9GiVrn<WW)t&iW&rHp\t5Rp]#a~>
+p\t5\p](91iVrn<WW)sOiW&r%p\t5Rp]#a~>
+p\t6NpAb0Fir9#$WW)sOirB&&pAY-8p]#a~>
+p\t6NpAb0Fir9"=WW)t&irB&IpAY,Qp]#a~>
+p\t5\pAb00ir9"=WW)sOirB&&pAY,Qp]#a~>
+p\t6Np&G'Ej8T,%WW)sOj8]/'p&>$7p]#a~>
+p\t6Np&G'Ej8T+>WW)t&j8]/Jp&>#Pp]#a~>
+p\t5\p&G'/j8T+>WW)sOj8]/'p&>#Pp]#a~>
+p\t6No`+sDjSo5&WW)sOjT#8(o`"p6p]#a~>
+p\t6No`+sDjSo4?WW)t&jT#8Ko`"oOp]#a~>
+p\t5\o`+s.jSo4?WW)sOjT#8(o`"oOp]#a~>
+p\t6NoDejCjo5>'WW)sOjo>A)oD\g5p]#a~>
+p\t6NoDejCjo5=@WW)t&jo>ALoD\fNp]#a~>
+p\t5\oDej-jo5=@WW)sOjo>A)oD\fNp]#a~>
+p\t6No)JaBk5PG(WW)sOk5YJ*o)A^4p]#a~>
+p\t6No)JaBk5PFAWW)t&k5YJMo)A]Mp]#a~>
+p\t5\o)Ja,k5PFAWW)sOk5YJ*o)A]Mp]#a~>
+p\t6Nnc/XAkPkP)WW)sOkPtS+nc&U3p]#a~>
+p\t6Nnc/XAkPkOBWW)t&kPtSNnc&TLp]#a~>
+p\t5\nc/X+kPkOBWW)sOkPtS+nc&TLp]#a~>
+p\t6NnGiO@kl1Y*WW)sOkl:\,nG`L2p]#a~>
+p\t6NnGiO@kl1XCWW)t&kl:\OnG`KKp]#a~>
+p\t5\nGiO*kl1XCWW)sOkl:\,nG`KKp]#a~>
+p\t6Nn,NF?l2Lb+WW)sOl2Ue-n,EC1p]#a~>
+p\t6Nn,NF?l2LaDWW)t&l2UePn,EBJp]#a~>
+p\t5\n,NF)l2LaDWW)sOl2Ue-n,EBJp]#a~>
+p\t6Nmf3=>lMgk,WW)sOlMpn.mf*:0p]#a~>
+p\t6Nmf3=>lMgjEWW)t&lMpnQmf*9Ip]#a~>
+p\t5\mf3=(lMgjEWW)sOlMpn.mf*9Ip]#a~>
+p\t6NmJm4=li-t-WW)sOli7"/mJd1/p]#a~>
+p\t6NmJm4=li-sFWW)t&li7"RmJd0Hp]#a~>
+p\t5\mJm4'li-sFWW)sOli7"/mJd0Hp]#a~>
+p\t6Nm/R+<m/I(.WW)sOm/R+0m/I(.p]#a~>
+p\t6Nm/R+<m/I'GWW)t&m/R+Sm/I'Gp]#a~>
+p\t5\m/R+&m/I'GWW)sOm/R+0m/I'Gp]#a~>
+p\t6Nli7";mJd1/WW)sOmJm41li-t-p]#a~>
+p\t6Nli7";mJd0HWW)t&mJm4Tli-sFp]#a~>
+p\t5\li7"%mJd0HWW)sOmJm41li-sFp]#a~>
+p\t6NlMpn:mf*:0WW)sOmf3=2lMgk,p]#a~>
+p\t6NlMpn:mf*9IWW)t&mf3=UlMgjEp]#a~>
+p\t5\lMpn$mf*9IWW)sOmf3=2lMgjEp]#a~>
+p\t6Nl2Ue9n,EC1WW)sOn,NF3l2Lb+p]#a~>
+p\t6Nl2Ue9n,EBJWW)t&n,NFVl2LaDp]#a~>
+p\t5\l2Ue#n,EBJWW)sOn,NF3l2LaDp]#a~>
+p\t6Nkl:\8nG`L2WW)sOnGiO4kl1Y*p]#a~>
+p\t6Nkl:\8nG`KKWW)t&nGiOWkl1XCp]#a~>
+p\t5\kl:\"nG`KKWW)sOnGiO4kl1XCp]#a~>
+p\t6NkPtS7nc&U3WW)sOnc/X5kPkP)p]#a~>
+p\t6NkPtS7nc&TLWW)t&nc/XXkPkOBp]#a~>
+p\t5\kPtS!nc&TLWW)sOnc/X5kPkOBp]#a~>
+p\t6Nk5YJ6o)A^4WW)sOo)Ja6k5PG(p]#a~>
+p\t6Nk5YJ6o)A]MWW)t&o)JaYk5PFAp]#a~>
+p\t5\k5YIuo)A]MWW)sOo)Ja6k5PFAp]#a~>
+p\t6Njo>A5oD\g5WW)sOoDej7jo5>'p]#a~>
+p\t6Njo>A5oD\fNWW)t&oDejZjo5=@p]#a~>
+p\t5\jo>@toD\fNWW)sOoDej7jo5=@p]#a~>
+p\t6NjT#84o`"p6WW)sOo`+s8jSo5&p]#a~>
+p\t6NjT#84o`"oOWW)t&o`+s[jSo4?p]#a~>
+p\t5\jT#7so`"oOWW)sOo`+s8jSo4?p]#a~>
+p\t6Nj8]/3p&>$7WW)sOp&G'9j8T,%p]#a~>
+p\t6Nj8]/3p&>#PWW)t&p&G'\j8T+>p]#a~>
+p\t5\j8].rp&>#PWW)sOp&G'9j8T+>p]#a~>
+p\t6NirB&2pAY-8WW)sOpAb0:ir9#$p]#a~>
+p\t6NirB&2pAY,QWW)t&pAb0]ir9"=p]#a~>
+p\t5\irB%qpAY,QWW)sOpAb0:ir9"=p]#a~>
+p\t6NiW&r1p\t69WW)sOp](9;iVro#p]#a~>
+p\t6NiW&r1p\t5RWW)t&p](9^iVrn<p]#a~>
+p\t5\iW&qpp\t5RWW)sOp](9;iVrn<p]#a~>
+p\t6Ni;`i0q#:?:WW)sOq#CB<i;Wf"p]#a~>
+p\t6Ni;`i0q#:>SWW)t&q#CB_i;We;p]#a~>
+p\t5\i;`hoq#:>SWW)sOq#CB<i;We;p]#a~>
+p\t6NhuE`/q>UH;WW)sOq>^K=hu<]!p]#a~>
+p\t6NhuE`/q>UGTWW)t&q>^K`hu<\:p]#a~>
+p\t5\huE_nq>UGTWW)sOq>^K=hu<\:p]#a~>
+p\t6NhZ*W.qYpQ<WW)sOqZ$T>hZ!Sup]#a~>
+p\t6NhZ*W.qYpPUWW)t&qZ$TahZ!S9p]#a~>
+p\t5\hZ*VmqYpPUWW)sOqZ$T>hZ!S9p]#a~>
+p\t6Nh>dN-qu6Z=WW)sOqu?]?h>[Jtp]#a~>
+p\t6Nh>dN-qu6YVWW)t&qu?]bh>[J8p]#a~>
+p\t5\h>dMlqu6YVWW)sOqu?]?h>[J8p]#a~>
+p\t6Nh#IE,r;Qc>WW)sOr;Zf@h#@Asp]#a~>
+p\t6Nh#IE,r;QbWWW)t&r;Zfch#@A7p]#a~>
+p\t5\h#IDkr;QbWWW)sOr;Zf@h#@A7p]#a~>
+p\t6Ng].<+rVll?WW)sOrVuoAg]%8rp]#a~>
+p\t6Ng].<+rVlkXWW)t&rVuodg]%86p]#a~>
+p\t5\g].;jrVlkXWW)sOrVuoAg]%86p]#a~>
+p\t6NgAh3*rr2u@WW)sOrr<#BgA_/qp]#a~>
+p\t6NgAh3*rr2tYWW)t&rr<#egA_/5p]#a~>
+p\t5\gAh2irr2tYWW)sOrr<#BgA_/5p]#a~>
+p\t6Ng&M*)s8N)AWW**Ss8U<eg&D&pp]#a~>
+p\t6Ng&M*)s8N(ZWW*+*s8VQVg&D&4p]#a~>
+p\t5\g&M)hs8N(ZWW**Ss8U<eg&D&4p]#a~>
+p\t6Nf`)*,d.$8oX8`=lkjZg?f`(rop]#a~>
+p\t6Nf`)*,d.$8oX8`=lkj\'0f`(r3p]#a~>
+p\t5\f`))kT"($>X8`=4Pdnr]f`(r3p]#a~>
+p\t6NfDkg.!;N\r!:^!H!9i&7!6Y'9J,~>
+p\t6NfDkg.!;N\r!:^!H!9i&7!06gRJ,~>
+p\t5\fDkeg!8FXU!4`#I!0l+8!06gRJ,~>
+p\t6Nf`(sHrS[b7Xks96d*Ub1fDbinp]#a~>
+p\t6Nf`(sHrS[b7Xks96d*Ub1fDbi2p]#a~>
+p\t5\f`(s+rGVaiXdB65:f)+MfDbi2p]#a~>
+p\t6NfDkg.!:[,j!:]sGfDbinp]#a~>
+p\t6NfDkg.!:[,j!:]sGfDbi2p]#a~>
+p\t5\fDkeg!4]02!4_uHfDbi2p]#a~>
+p\t6NfDc!;iSj"QXoACrro!kPfDbinp]#a~>
+p\t6NfDc!;iSj"QXoACrro!kPfDbi2p]#a~>
+p\t5\fDbu<E,_&YXoACUrbqklfDbi2p]#a~>
+p\t6Ne,TI#Y5\Khe,KEjp]#a~>
+p\t6Ne,TI#Y5\LZe,KE.p]#a~>
+p\t5\e,THbY5\Khe,KE.p]#a~>
+p\t6Ndf9@"Yl=]jdf0<ip]#a~>
+p\t6Ndf9@"Yl=^\df0<-p]#a~>
+p\t5\df9?aYl=]jdf0<-p]#a~>
+p\t6NdJs7!ZMsoldJj3hp]#a~>
+p\t6NdJs7!ZMsp^dJj3,p]#a~>
+p\t5\dJs6`ZMsoldJj3,p]#a~>
+p\t6Nd/X-u[/U,nd/O*gp]#a~>
+p\t6Nd/X-u[/U-`d/O*+p]#a~>
+p\t5\d/X-_[/U,nd/O*+p]#a~>
+p\t6Nci=$t[f6>pci4!fp]#a~>
+p\t6Nci=$t[f6?bci4!*p]#a~>
+p\t5\ci=$^[f6>pci4!*p]#a~>
+p\t6NcN!ps\GlPrcMmmep]#a~>
+p\t6NcN!ps\GlQdcMmm)p]#a~>
+p\t5\cN!p]\GlPrcMmm)p]#a~>
+p\t6Nc2[gr])Mbtc2Rddp]#a~>
+p\t6Nc2[gr])Mcfc2Rd(p]#a~>
+p\t5\c2[g\])Mbtc2Rd(p]#a~>
+p\t6Nbl@^q]`.u!bl7[cp]#a~>
+p\t6Nbl@^q]`.uhbl7['p]#a~>
+p\t5\bl@^[]`.u!bl7['p]#a~>
+p\t6NbQ%Up^Ae2#bPqRbp]#a~>
+p\t6NbQ%Up^Ae2jbPqR&p]#a~>
+p\t5\bQ%UZ^Ae2#bPqR&p]#a~>
+p\t6Nb5_Lo_#FD%b5VIap]#a~>
+p\t6Nb5_Lo_#FDlb5VI%p]#a~>
+p\t5\b5_LY_#FD%b5VI%p]#a~>
+p\t6NaoDCn_Z'V'ao;@`p]#a~>
+p\t6NaoDCn_Z'Vnao;@$p]#a~>
+p\t5\aoDCX_Z'V'ao;@$p]#a~>
+p\t6NaT):m`;]h)aSu7_p]#a~>
+p\t6NaT):m`;]hpaSu7#p]#a~>
+p\t5\aT):W`;]h)aSu7#p]#a~>
+p\t6Na8c1l`r?%+a8Z.^p]#a~>
+p\t6Na8c1l`r?%ra8Z."p]#a~>
+p\t5\a8c1V`r?%+a8Z."p]#a~>
+p\t6N`rH(kaSu7-`r?%]p]#a~>
+p\t6N`rH(kaSu7t`r?%!p]#a~>
+p\t5\`rH(UaSu7-`r?%!p]#a~>
+p\t6N`W,tjb5VI/`W#q\p]#a~>
+p\t6N`W,tjb5VJ!`W#pup]#a~>
+p\t5\`W,tTb5VI/`W#pup]#a~>
+p\t6N`;fkibl7[1`;]h[p]#a~>
+p\t6N`;fkibl7\#`;]gtp]#a~>
+p\t5\`;fkSbl7[1`;]gtp]#a~>
+p\t6N_uKbhcMmm3_uB_Zp]#a~>
+p\t6N_uKbhcMmn%_uB^sp]#a~>
+p\t5\_uKbRcMmm3_uB^sp]#a~>
+p\t6N_Z0Ygd/O*5_Z'VYp]#a~>
+p\t6N_Z0Ygd/O+'_Z'Urp]#a~>
+p\t5\_Z0YQd/O*5_Z'Urp]#a~>
+p\t6N_>jPfdf0<7_>aMXp]#a~>
+p\t6N_>jPfdf0=)_>aLqp]#a~>
+p\t5\_>jPPdf0<7_>aLqp]#a~>
+p\t6N_#OGeeGfN9_#FDWp]#a~>
+p\t6N_#OGeeGfO+_#FCpp]#a~>
+p\t5\_#OGOeGfN9_#FCpp]#a~>
+p\t6N^]4>df)G`;^]+;Vp]#a~>
+p\t6N^]4>df)Ga-^]+:op]#a~>
+p\t5\^]4>Nf)G`;^]+:op]#a~>
+p\t6N^An5cf`(r=^Ae2Up]#a~>
+p\t6N^An5cf`(s/^Ae1np]#a~>
+p\t5\^An5Mf`(r=^Ae1np]#a~>
+p\t6N^&S,bgA_/?^&J)Tp]#a~>
+p\t6N^&S,bgA_01^&J(mp]#a~>
+p\t5\^&S,LgA_/?^&J(mp]#a~>
+p\t6N]`8#ah#@AA]`.uSp]#a~>
+p\t6N]`8#ah#@B3]`.tlp]#a~>
+p\t5\]`8#Kh#@AA]`.tlp]#a~>
+p\t6N]Dqo`hZ!SC]DhlRp]#a~>
+p\t6N]Dqo`hZ!T5]Dhkkp]#a~>
+p\t5\]DqoJhZ!SC]Dhkkp]#a~>
+p\t6N])Vf_i;WeE])McQp]#a~>
+p\t6N])Vf_i;Wf7])Mbjp]#a~>
+p\t5\])VfIi;WeE])Mbjp]#a~>
+p\t6N\c;]^ir9"G\c2ZPp]#a~>
+p\t6N\c;]^ir9#9\c2Yip]#a~>
+p\t5\\c;]Hir9"G\c2Yip]#a~>
+p\t6N\GuT]jSo4I\GlQOp]#a~>
+p\t6N\GuT]jSo5;\GlPhp]#a~>
+p\t5\\GuTGjSo4I\GlPhp]#a~>
+p\t6N\,ZK\k5PFK\,QHNp]#a~>
+p\t6N\,ZK\k5PG=\,QGgp]#a~>
+p\t5\\,ZKFk5PFK\,QGgp]#a~>
+p\t6N[f?B[kl1XM[f6?Mp]#a~>
+p\t6N[f?B[kl1Y?[f6>fp]#a~>
+p\t5\[f?BEkl1XM[f6>fp]#a~>
+p\t6N[K$9ZlMgjO[Jp6Lp]#a~>
+p\t6N[K$9ZlMgkA[Jp5ep]#a~>
+p\t5\[K$9DlMgjO[Jp5ep]#a~>
+p\t6N[/^0Ym/I'Q[/U-Kp]#a~>
+p\t6N[/^0Ym/I(C[/U,dp]#a~>
+p\t5\[/^0Cm/I'Q[/U,dp]#a~>
+p\t6NZiC'Xmf*9SZi:$Jp]#a~>
+p\t6NZiC'Xmf*:EZi:#cp]#a~>
+p\t5\ZiC'Bmf*9SZi:#cp]#a~>
+p\t6NZN'sWnG`KUZMspIp]#a~>
+p\t6NZN'sWnG`LGZMsobp]#a~>
+p\t5\ZN'sAnG`KUZMsobp]#a~>
+p\t6NZ2ajVo)A]WZ2XgHp]#a~>
+p\t6NZ2ajVo)A^IZ2Xfap]#a~>
+p\t5\Z2aj@o)A]WZ2Xfap]#a~>
+p\t6NYlFaUo`"oYYl=^Gp]#a~>
+p\t6NYlFaUo`"pKYl=]`p]#a~>
+p\t5\YlFa?o`"oYYl=]`p]#a~>
+p\t6NYQ+XTpAY,[YQ"UFp]#a~>
+p\t6NYQ+XTpAY-MYQ"T_p]#a~>
+p\t5\YQ+X>pAY,[YQ"T_p]#a~>
+p\t6NY5eOSq#:>]Y5\LEp]#a~>
+p\t6NY5eOSq#:?OY5\K^p]#a~>
+p\t5\Y5eO=q#:>]Y5\K^p]#a~>
+p\t6NXoJFRqYpP_XoACDp]#a~>
+p\t6NXoJFRqYpQQXoAB]p]#a~>
+p\t5\XoJF<qYpP_XoAB]p]#a~>
+p\t6NXT/=Qr;QbaXT&:Cp]#a~>
+p\t6NXT/=Qr;QcSXT&9\p]#a~>
+p\t5\XT/=;r;QbaXT&9\p]#a~>
+p\t6NX8i4P"96C@R&g5eb4kpd~>
+p\t6NX8i4P"97H^hlHbWNq`R(~>
+p\t5\X8i4:"96C@R&g5eNq`R(~>
+q#:EbkkM4Y".q1d,-1_FpqlOqs*t~>
+q#:E*PhW8="20JST<%tngM47ns*t~>
+q#:E*PhW8=",Rj8,-1_FgM47ns*t~>
+q!\@DFaU6C"'.$,*NOhpkdoaJn:1~>
+q:YqlE+k32YQM(aLQnjD!gH/nptC5~>
+pp^BE4CG4C"'-6U*NOhpPX]We\:=~>
+q#CBQ!:[&h!07%!X8`7jiSjS3J,~>
+q#CA5!4]*0!6Y;*X8`72E,bUPJ,~>
+q#CA5!4]*0!07%!X8`72E,bUPJ,~>
+p\t6_WW3!Y!61Z2J,~>
+p\t6IWW3"@!9BdPJ,~>
+p\t6'WW3!Y!61Z2J,~>
+p\t6_JcE[gJ,~>
+p\t6IJcE[gJ,~>
+p\t6'JcE[gJ,~>
+p\t6_JcE[gJ,~>
+p\t6IJcE[gJ,~>
+p\t6'JcE[gJ,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1j.ps b/books/ps/bookvol1j.ps
new file mode 100644
index 0000000..9b23822
--- /dev/null
+++ b/books/ps/bookvol1j.ps
@@ -0,0 +1,512 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/2Points.ps
+%%CreationDate: Sat Dec 10 10:50:39 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 128 128
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 113.760000 translate
+113.760000 -113.760000 scale
+% Image geometry
+158 158 8
+% Transformation matrix
+[ 158 0 0 158 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 158 string def
+/gstr 158 string def
+/bstr 158 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        11759 ASCII Bytes
+colorimage
+JcFd1J,~>
+JcFd1J,~>
+JcFd1J,~>
+JcFd1J,~>
+JcFd1J,~>
+JcFd1J,~>
+a8c26!;lNj!WE#qrr`)jp%\Od!ri,o]DmB~>
+aSuAAmHsT@rrMupr;Qlilfmj:rrW/oo=P$Q~>
+aSuAAk2u7/rrMomr;QldjP]5#rr`5mn,C!"J,~>
+ao;MAq""+Mp\t9dqY^?qmd0H,rVlosr;?Qqo)?N+J,~>
+ao;M<nDEEjp\t9Vo_e^qf@&Eqrr<#tqY0pf!TO'ps*t~>
+ao;M9lI4VEp\t9LnGN:maMH-/rr<#tq=OUb!S@7ds*t~>
+ao<php[\(Op@@kOoC2JEo(;>=nb2t^s6Jk6kkXf@q"XCWo^_YKlLalFnFHJUaT$b~>
+ao<pcmG[Bol/CdojP9(\io\eIhs:7@s3\m7aRJ0LmdK'.k2>ChcK4N[gYhc&aT$b~>
+ao<p_kLS_NiRZfMg<\g1f%n<le)UB+s1bkT[-H5rkipOhh::?D]A2Z1cIDC]aT$b~>
+ao<pgp@@\8nFH;DmH3ZooBk]3m.1,Ts6T%Hq=O7RmelGJmI9]8kP+fAlg4BDaT$b~>
+ao<palf$R<gu7SWeAf\Ij4;3/dbjp$s3f3^nE/ZufD*edf%f6;a6`?OcdM1TaT$b~>
+ao<p]j4;DZcIV%+`3?_LfZ(,H_:/5[s1uA5lJ0qTaS!C=`m<2YZKCN"^;8q(aT$b~>
+ao<pkr9`k?pA4d^lfds+kO7j9p%SIcs7Gs`s7Y[>p[dP?p%\@Uq!.A@kj/'CaT$b~>
+ao<pipsddJlgt&?d)t@pa4f2=kjA<Js5`8@s6@bJmGu7Mkj\-+ma'YMajBPSaT$b~>
+ao<php;FhojR<!+^UDb.ZHUJ^hrjn:s4Z3,s5LJnk1Qoqhs0ObkIf'q[D(u'aT$b~>
+ao<pkrUojXqu$Hip%/"KnFuYTqYU9ls7uKjs8)?Xqt]gZqY^9fqt0XYoCVt[aT$b~>
+ao<pkqrm82p%eUZk2Ysdh<aJ(oCi1`s7,XZs7G@2p@.#3oCr%Op>tZ3j6$+7aT$b~>
+ao<pjqV^8nnb<"Oh:_,>d,a6^mdpDWs6T+Ps7"[mo'=iome$2?o@rBof\Q2taT$b~>
+^&J-2ri,pJ~>
+^&J-/r2K^H~>
+^&J-,ql0UG~>
+JcFd1J,~>
+JcFd1J,~>
+JcFd1J,~>
+qZ$To!<.QLmJh\~>
+qYpWoqYYpEmJh\~>
+qYpWko_=";mJh\~>
+qYpWoqYYpEmJh\~>
+qYpWjoD!n:mJh\~>
+qYpWbkja6(mJh\~>
+qYpWoqYYpEp](9lq>Ys~>
+qYpWjoD!n:q#:Hqq"apcs*t~>
+qYpWbkja6(q#:Hqq"apcs*t~>
+qYpWoqYYpEq>UTsmca-=qYu'~>
+qYpWjoD!n:q>UTso@_srqYu'~>
+qYpWbkja6(q>UTslI+A^qYu'~>
+qYpWoqYYpEqYp]mmG.7,q>Ys~>
+qYpWjoD!n:qYp`rp?hAArqcYF~>
+qYpWbkja6(qYp`nmG$prrqcYF~>
+qYpWoqYYpEqu6fumc3:'q#>j~>
+qYpWjoD!n:qu6fup[RePq#>j~>
+qYpWbkja6(qu6fumc3:'q#>j~>
+qYpWoqYYpEr;Qp!mG$Uqp]#a~>
+qYpWjoD!n:r;Qp!p?qGJp]#a~>
+qYpWbkja6(r;Qp!mG$Uqp]#a~>
+qYpWpqYYpEr;Qlsh;e"us*t~>
+qYpWjoD!n:r;Qlun+-8Is*t~>
+qYpWbkja6(r;Qlsh;e"us*t~>
+qYpWoqYYpErr30$n)WI(rq?AB~>
+qYpWjoD!n:rr3-#p[[kQp&BO~>
+qYpWbkja6(rr30$n)WI(rq?AB~>
+qYpWpqYYpEs8N5umG$Uqo`'F~>
+qYpWjoD!n:s8N6#p?qGJo`'F~>
+qYpWbkja6(s8N5umG$Uqo`'F~>
+qYpWpqYYpE"onSoh;n(ss*t~>
+qYpWjoD!n:s8N2tn+-8Fs*t~>
+qYpWbkja6("onSoh;n(ss*t~>
+qYpWoqYYpE"odo=iVNQFs*t~>
+qYpWjoD!n:"TJ,[nbr%YJ,~>
+qYpWbkja6("odo=iVNQFs*t~>
+qYpWpqYYpE"8UO1o^Vs3~>
+qYpWjoD!n:"8qKVqXOT9~>
+qYpWbkja6("8UO1o^Vs3~>
+qYpWpqYYsF"Sh-;p\XL\J,~>
+qYpWjoD!q;"T7l\qu-'bJ,~>
+qYpWbkja9)"Sh-;p\XL\J,~>
+qYpWoqYZ'I"oeJfeD^8ms*t~>
+qYpWjoD""="TJ,\nbqqVJ,~>
+qYpWbkjaB,"oeJfeD^8ms*t~>
+qYpWpqYZ'I"T.iBk4J*AJ,~>
+qYpWjoD"%>"TA2_oD7nTJ,~>
+qYpWbkjaB,"T.iBk4J*AJ,~>
+qYpWoqYZ*J"odoAi:m-:s*t~>
+qYpWjoD"%>"S_<Qqu,s_J,~>
+qYpWbkjaE-"odoAi:m-:s*t~>
+qYpWoqYZ*J"7k+-q<\-3~>
+qYpWjoD"(?"8M6Tr9XH6~>
+qYpWbkjaE-"7k+-q<\-3~>
+qYpWoqYZ0L"o\;[i:Hp6s*t~>
+qYpWjoD".A"oeJlnG3(Ms*t~>
+qYpWbkjaK/"o\;[i:Hp6s*t~>
+qYpWoqYZ3M"TIf@i;)[<J,~>
+qYpWjoD".A"8D3Pr9F<4~>
+qYpWbkjaN0"TIf@i;)[<J,~>
+qYpWoqYZ6N"ShH<kP=BBJ,~>
+qYpWjoD"4C"T.r[o_dtRJ,~>
+qYpWbkjaQ1"ShH<kP=BBJ,~>
+qYpWoqYZ9O"o[fIi:?j2s*t~>
+qYpWjoD"7D"oe5cnG3(Js*t~>
+qYpWbkjaT2"o[fIi:?j2s*t~>
+qYpWoqYZ<P"TIfEiq_d;J,~>
+qYpWjoD"7D"8D9Sr9+*1~>
+qYpWbkjaW3"TIfEiq_d;J,~>
+qYpWpqYZ?Q"S_B;o_mqPJ,~>
+qYpWjoD"=F"T.r\qYoXWJ,~>
+qYpWbkjaZ4"S_B;o_mqPJ,~>
+qYpWpqYZBR"T@]Hi;2R8J,~>
+qYpWjoD"@G"TJ,bnGVJKJ,~>
+qYpWbkja]5"T@]Hi;2R8J,~>
+qYpWoqYZES"TIfEiq_[8J,~>
+qYpWjoD"@G"8D9Sr8dm.~>
+qYpWbkja`6"TIfEiq_[8J,~>
+qYpWoqYZHT"TJ>ZiU>h,J,~>
+qYpWjoD"FI"TJAjnb;)DJ,~>
+qYpWbkjac7"TJ>ZiU>h,J,~>
+qYpWpqYZKU"T@]Hi;2I5J,~>
+qYpWjoD"IJ"TJ,bnGVAHJ,~>
+qYpWbkjaf8"T@]Hi;2I5J,~>
+qYpWoqYZNV"SqH@iq_R5J,~>
+qYpWjoD"LK"T8#_nbhAGJ,~>
+qYpWbkjai9"SqH@iq_R5J,~>
+qYpWoqYZQW"TIrOiU>_)J,~>
+qYpWjoD"OL"TJ5fnb:uAJ,~>
+qYpWbkjal:"TIrOiU>_)J,~>
+qYpWpqYZTX"T@]>i;2@2J,~>
+qYpWjoD"RM"TJ,]nGV8EJ,~>
+qYpWbkjao;"T@]>i;2@2J,~>
+qYpWpqYZTX"8gm6n)"(p~>
+qYpWjo_=[N"9%ZXpYPq#~>
+qYpWbkjao;"8gm6n)"(p~>
+qYpWoqYZZZ"oe,Ui;*?.s*t~>
+qYpWjoD"XO"oe>hnbiCCs*t~>
+qYpWbkjau="oe,Ui;*?.s*t~>
+qYpWpqYZ`\"oeDdf\lV]s*t~>
+qYpWjoD"[P"TA&\nGV/BJ,~>
+qYpWbkjb&?"oeDdf\lV]s*t~>
+qYpWpqYZ`\"TJ&Jj6tb&J,~>
+qYpWjo_=gR"TJ8co(Uo=J,~>
+qYpWbkjb&?"TJ&Jj6tb&J,~>
+qYpWoqYZc]"odu>i;*?+s*t~>
+qYpWjoD"^Q"S_3Nr;PINJ,~>
+qYpWbkjb)@"odu>i;*?+s*t~>
+qYpWpqYZc]"8::1pY#Rs~>
+qYpWjoD"aR"8hEWqq;""~>
+qYpWbkjb)@"8::1pY#Rs~>
+qYpWpqYZi_"oe;ZhtR'%s*t~>
+qYpWjoD"dS"T7l\qu5:KJ,~>
+qYpWbkjb/B"oe;ZhtR'%s*t~>
+qYpWpqYZoas8E,gc.`!Fs*t~>
+qYpWjoD"jU"TJ)Gh"oY&J,~>
+qYpWbkjb5Ds8E,e^s)Q)s*t~>
+qYpWpqYZoa"SqT;ipt\#J,~>
+qYpWjoD"mV"oS/YgZndis*t~>
+qYpWbkjb5D"o7]9d,t>Zs*t~>
+qYpWpqYZrb"odoEht-]qs*t~>
+qYpWjoD"mV"nqBPnFlk5s*t~>
+qYpWbkjb8E#6+#FhX'q7fDg@~>
+qYpWpqYZuc"TIlEkP<X-J,~>
+qYpWjoD"sX"TJ/`o_d5=J,~>
+qYpWbkjb;F"TIlEkP<X-J,~>
+qYpWpqY[#d"8VK;o$[Pg~>
+qYpWjoD#!Y"8qr[q9o:n~>
+qYpWbkjb>G"8VK;o$[Pg~>
+qYpWpqY[&e"TIfDi;1n%J,~>
+qYpWjoD#!Y"8;0Pr6kUq~>
+qYpWbkjbAH"TIfDi;1n%J,~>
+qYpWpqY[&e"7b(+q9f4m~>
+qYpWjoD#$Z"8M9Tr6bOp~>
+qYpWbkjbAH"7b(+q9f4m~>
+qYpWpqY[,g"o\;[i:6fos*t~>
+qYpWjoD#*\"oeJlnG*"1s*t~>
+qYpWbkjbGJ"o\;[i:6fos*t~>
+qYpWpqY[/h"TIfDi;1e"J,~>
+qYpWjoD#*\"8;0Pr6PCn~>
+qYpWbkjbJK"TIfDi;1e"J,~>
+qYpWpqY[2i"SqQ@jn[4%J,~>
+qYpWjoD#0^"T8&^o)-f5J,~>
+qYpWbkjbML"SqQ@jn[4%J,~>
+qYpWpqY[5j"o[lMi:6fls*t~>
+qYpWjoD#3_"oe8enG*".s*t~>
+qYpWbkjbPM"o[lMi:6fls*t~>
+qYpWoqY[8k"TIfDi;1[tJ,~>
+qYpWjoD#6`"TJ,_nGLN1J,~>
+qYpWbkjbSN"TIfDi;1[tJ,~>
+qYpWpqY[8k"8q3:lc]<Y~>
+qYpWjoD#6`"9.l\p<3Jd~>
+qYpWbkjbSN"8q3:lc]<Y~>
+qYpWpqY[>m"T@cLi;1UrJ,~>
+qYpWjoD#<b"TJ/dnGUN0J,~>
+qYpWbkjbYP"T@cLi;1UrJ,~>
+qYpWoqY[An"SqH?i;1RqJ,~>
+qYpWjoD#?c"T7u]nGLE.J,~>
+qYpWbkjb\Q"SqH?i;1RqJ,~>
+qYpWpqY[An"7tO0lcB*V~>
+qYpWjo_>Hd"8VKVp;m8a~>
+qYpWbkjb\Q"7tO0lcB*V~>
+qYpWpqY[Gp"T@c=i;1LoJ,~>
+qYpWjoD#Ee"TJ/]nGUE-J,~>
+qYpWbkjbbS"T@c=i;1LoJ,~>
+qYpWoqY[Gp"8UU5o>^f\~>
+qYpWjoD#Ee"8qNXq8WGb~>
+qYpWbkjbbS"8UU5o>^f\~>
+qYpWpqY[Jq"T@]?q>J>5J,~>
+qYpWjoD#Hf"TJ,^r;O_9J,~>
+qYpWbkjbeT"T@]?q>J>5J,~>
+qYpWpqY[Mr"8CC#p;Hu]~>
+qYpWjoD#Kg"8hHQqo&Mb~>
+qYpWbkjbhU"8CC#p;Hu]~>
+qYpWpqY[Mr!o_\n_uG5~>
+qYpWjo_>Th!qGUK_uG5~>
+qYpWbkjbhU!o_\n_uG5~>
+qYpWpqY[St"S^d+o_QK*J,~>
+qYpWjo_>Zj"T.ZTqYe>3J,~>
+qYpWbkjbnW"S^d+o_QK*J,~>
+qYpWpqY[Vu"8CL-p;-cZ~>
+qYpWjoD#Tj"8hKUqn`;_~>
+qYpWbkjbqX"8CL-p;-cZ~>
+qYpWpqY[Vu!TDnMs*t~>
+qYpWjo_>]k!V,Wns*t~>
+qYpWbkjbqX!TDnMs*t~>
+qYpWpqY[]""8C^*p:pWX~>
+qYpWjo_>cm"8hTTqnN/]~>
+qYpWbkjc"Z"8C^*p:pWX~>
+qYpWoqY[]"!nPon^Ai]~>
+qYpWjoD#Zl!po7K^Ai]~>
+qYpWbkjc"Z!nPon^Ai]~>
+qYpWoqY[`#"7Ot0q7clZ~>
+qYpWjoD#]m"8M<Wr4`2]~>
+qYpWbkjc%["7Ot0q7clZ~>
+qYpWpqY[f%"8C^*p:UEU~>
+qYpWjo_>lp"8hTSqn2rZ~>
+qYpWbkjc+]"8C^*p:UEU~>
+qYpWoqY[f%!nPon]DmB~>
+qYpWjoD#cos6B[\]DmB~>
+qYpWbkjc+]!nPon]DmB~>
+qYpWoqY[l'"SM'6lM8'lJ,~>
+qYpWjoD#iq"T%fYp&)H%J,~>
+qYpWbkjc1_"SM'6lM8'lJ,~>
+qYpWpqY[o("8CO"p::3R~>
+qYpWjo_>us"8hNPqml`W~>
+qYpWbkjc4`"8CO"p::3R~>
+qYpWpqY[o("7=h"rji&Z~>
+qYpWjoD#lr!r)*O\Gq'~>
+qYpWbkjc4`"7=h"rji&Z~>
+qYpWoqY[u*"81s5oXFjN~>
+qYpWjoD#rt"8_]XqR?KT~>
+qYpWbkjc:b"81s5oXFjN~>
+qYpWpqY\#+"8CO"p9t!O~>
+qYpWjo_?*!"8hNPqmQNT~>
+qYpWbkjc=c"8CO"p9t!O~>
+qYpWpqY\&,"8D3:hmNK7~>
+qYpWjoD$$!"8_]Xn?r:H~>
+qYpWbkjc@d"8;'7hmNK7~>
+qYpWoqY\)-"81-koX+XK~>
+qYpWjoD$'""8^NsqR$9Q~>
+qYpWbkjcCe"80LHoX+XK~>
+qYpWpqY\)-!p[hSZi>O~>
+qYpWjo_?0#!qj=HZi>O~>
+qYpWbkjcCe!pZbkZi>O~>
+qYpWpqY\//"ShB<oD>loJ,~>
+qYpWjoD$-$"T8#]n+3mcJ,~>
+qYpWbkjcIg"ShB<lgqI_J,~>
+qYpWoqY\20"81C%oWeFH~>
+qYpWjoD$0%"8_EPqQ^'N~>
+qYpWbkjcLh"81C%oWeFH~>
+qYpWpqY\20!pS7nYlB4~>
+qYpWjo_?9&!qkmKYlB4~>
+qYpWbkjcLh!pS7nYlB4~>
+qYpWpqY\82"S^L$pAV;rJ,~>
+qYpWjoD$6'"8hHQqlg$M~>
+qYpWbkjcRj"S^L$pAV;rJ,~>
+qYpWoqY\;3"81C4oWJ4E~>
+qYpWjoD$9("8_HXqQBjK~>
+qYpWbkjcUk"81C4oWJ4E~>
+qYpWpqY\;3!U81:s*t~>
+qYpWjo_?B)!VPc[s*t~>
+qYpWbkjcUk!U81:s*t~>
+qYpWpqY\A5"8CF$p8n:E~>
+qYpWjoD$?*"8hHQqlKgJ~>
+qYpWbkjc[m"8CF$p8n:E~>
+qYpWoqY\A5!oDJnX8d\~>
+qYpWjoD$?*!q5IJX8d\~>
+qYpWbkjc[m!oDJnX8d\~>
+qYpWpqY\D6"7Oq7q5aOG~>
+qYpWjoD$B+"8D3Yr2]jJ~>
+qYpWbkjc^n"7Oq7q5aOG~>
+qYpWpqY\J8"8CF$p8S(B~>
+qYpWjoD$H-"8hHQql0UG~>
+qYpWbkjcdp"8CF$p8S(B~>
+qYpWpqY\J8!oDJnW;hA~>
+qYpWjoD$H-!q5IKW;hA~>
+qYpWbkjcdp!oDJnW;hA~>
+qYpWpqY\P:"SUj.o(f6aJ,~>
+qYpWjoD$N/"T.`Vq>@2kJ,~>
+qYpWbkjcjr"SUj.o(f6aJ,~>
+qYpWpqY\S;"9$j%oVVY=~>
+qYpWjo_?Z1"9.ZQqPO:C~>
+qYpWbkjcms"9$j%oVVY=~>
+qYpWpqY\S;"7Ot,qPO:C~>
+qYpWjoD$Q0"8D6UrMKUF~>
+qYpWbkjcms"7Ot,qPO:C~>
+qYpWpqY\Y="8:a-p8%_=~>
+qYpWjoD$W2"8hWUqkX7B~>
+qYpWbkjcsu"8:a-p8%_=~>
+qYpWpqY\\>"9$j%oV;G:~>
+qYpWjo_?c4"9.ZQqP4(@~>
+qYpWbkjd"!"9$j%oV;G:~>
+qYpWpqY\_?"SM-8kPCtRJ,~>
+qYpWjoD$]4"T%i[o_kQbJ,~>
+qYpWbkjd%""SM-8kPCtRJ,~>
+qYpWpqY\b@"8:L$p7_M:~>
+qYpWjoD$`5"8hNQqP!q>~>
+qYpWbkjd(#"8:L$p7_M:~>
+qYpWpqY\b@!q"[tT`9N~>
+qYpWjo_?i6!qu$MT`9N~>
+qYpWbkjd(#!q"[tT`9N~>
+qYpWpqY\hB"82$8oUl/6~>
+qYpWjoD$f7"8_`ZqOde<~>
+qYpWbkjd.%"82$8oUl/6~>
+qYpWpqY\kC"8:L$oq)26~>
+qYpWjoD$i8"8hNQqO[_;~>
+qYpWbkjd1&"8:L$oq)26~>
+qYpWpqY\nD"8V?;hOX[s~>
+qYpWjo_?u:"8ql[n"'K/~>
+qYpWbkjd4'"8V?;hOX[s~>
+qYpWpqY\qE"81@%oUPr3~>
+qYpWjoD$o:"8_EQqOIS9~>
+qYpWbkjd7("81@%oUPr3~>
+qYpWpqY\tF"8:L9opbu3~>
+qYpWjoD$r;"8hN[qO@M8~>
+qYpWbkjd:)"8:L9opbu3~>
+qYpWpqY]"G"8_E<q3q>6~>
+qYpWjo_@)="8ql[r0mY9~>
+qYpWbkjd=*"8_E<q3q>6~>
+qYpWpqY]%H"81@%oU5`0~>
+qYpWjoD%#="8_EQqO.A6~>
+qYpWbkjd@+"81@%oU5`0~>
+qYpWpqY]%H!p8%nR/_[~>
+qYpWjoD%#=!qYaKR/_[~>
+qYpWbkjd@+!p8%nR/_[~>
+qYpWpqY]+J"T%Q?p&(3WJ,~>
+qYpWjoD%)?"TA)_qYll^J,~>
+qYpWbkjdF-"T%Q?p&(3WJ,~>
+qYpWpqY].K"81@%op5W.~>
+qYpWjoD%,@"8_EQqNh/3~>
+qYpWbkjdI."81@%op5W.~>
+qYpWpqY].K!p8%nQ2c@~>
+qYpWjoD%,@!qYaKQ2c@~>
+qYpWbkjdI.!p8%nQ2c@~>
+qYpWpqY]4M"S^X(p&(*TJ,~>
+qYpWjoD%2B"T.TSqYc]ZJ,~>
+qYpWbkjdO0"S^X(p&(*TJ,~>
+qYpWpqY]4M!o)8nPQ-.~>
+qYpWjo_@;C!q,CKPQ-.~>
+qYpWbkjdO0!o)8nPQ-.~>
+qYpWpqY]7N"7Ot4q31i/~>
+qYpWjoD%5C"8D3Xr0./2~>
+qYpWbkjdR1"7Ot4q31i/~>
+qYpWpqY]=P"8C^.p6#B*~>
+qYpWjoD%;E"8L4$qiUo/~>
+qYpWbkjdX3"8'O[p6#B*~>
+qYpWpqY]=P!nkWYOT0h~>
+qYpWjo_@DF!p-33OT0h~>
+qYpWbkjdX3!n3=^OT0h~>
+qYpWoqY]CR"SLm0lM$D?J,~>
+qYpWjoD%AG"T%`Th!pL+J,~>
+qYpWbkjd^5"SLm.eaJV"J,~>
+qYpWpqY]FS"8^^$ooB'&~>
+qYpWjoD%DH"9%WQqMtT+~>
+qYpWbkjda6"8^^$ooB'&~>
+qYpWpqY]FS"7Fq)qi:],~>
+qYpWjo_@MI"8D6SrJpo.~>
+qYpWbkjda6"7Fq)qi:],~>
+qYpWoqY]LU"81d0oo/p$~>
+qYpWjoD%JJ"8_WVqMbH)~>
+qYpWbkjdg8"81d0oo/p$~>
+qYpWpqY]OV"8^^$oo&j#~>
+qYpWjoD%MK"9%WQqMYB(~>
+qYpWbkjdj9"8^^$oo&j#~>
+qYpWpqY]RW"SV6;jSXr9J,~>
+qYpWjo_@YM"T.o\o)4LHJ,~>
+qYpWbkjdm:"SV6;jSXr9J,~>
+qYpWoqY]UX"81F$oni^!~>
+qYpWjoD%SM"8_HQqMG6&~>
+qYpWbkjdp;"81F$oni^!~>
+qYpWpqY]XY"8^^;q2#'$~>
+qYpWjoD%VN"9%W\r.tB'~>
+qYpWbkjds<"8^^;q2#'$~>
+qYpWpqY][Z"8;-:onWQt~>
+qYpWjo_@bP"8hf[qM5*$~>
+qYpWbkje!="8;-:onWQt~>
+qYpWoqY]^["81F%onNKs~>
+qYpWjoD%\P"8_HQqM,$#~>
+qYpWbkje$>"81F%onNKs~>
+qYpWoqY]a\"9.Z=hM(u[~>
+qYpWjoD%\P!qu!LL&ZZ~>
+qYpWbkje'?"9.Z=hM(u[~>
+qYpWpqY]d]"8;-:on<?q~>
+qYpWjo_@kS"8hf[qLnm!~>
+qYpWbkje*@"8;-:on<?q~>
+qYpWoqY]g^"81F%oRm0o~>
+qYpWjoD%eS"8_HQqLefu~>
+qYpWbkje-A"81F%oRm0o~>
+qYpWoqY]j_"8qN;hLbcX~>
+qYpWjoD%hT"9/#\mt1Ri~>
+qYpWbkje0B"8qN;hLbcX~>
+qYpWpqY]m`"8:@$on!-n~>
+qYpWjoD%kU"8hHQqLSZs~>
+qYpWbkje3C"8:@$on!-n~>
+qYpWpqY]m`!oqhnJc>`MJ,~>
+qYpWjoD%kU!qP[KJc>`MJ,~>
+qYpWbkje3C!oqhnJc>`MJ,~>
+qYpWoqY]sb"T7`Ap%s=?!<7Q~>
+qYpWjoD%qW"TJ/_qYc!F!<7Q~>
+qYpWbkje9E"T7`Ap%s=?!<7Q~>
+qYpWpqY^!c"8:@$on!/Bs*t~>
+qYpWjoD%tX"8hHQqLS\Gs*t~>
+qYpWbkje<F"8:@$on!/Bs*t~>
+qYpWpqY^!c!oqhoJcG]KJ,~>
+qYpWjoD%tX!qGUJJcG]KJ,~>
+qYpWbkje<F!oqhoJcG]KJ,~>
+qYpWoqY^'e"S^a*p%j7>rVqB~>
+qYpWjoD&%Z"T.ZTqYc!FrVqB~>
+qYpWbkjeBH"S^a*p%j7>rVqB~>
+qYpWpqY^'e!nc&nJcGWIJ,~>
+qYpWjo_A.[!po7KJcGWIJ,~>
+qYpWbkjeBH!nc&nJcGWIJ,~>
+qYpWpqY^*f"7Ot1q18SCs*t~>
+qYpWjoD&(["8D6Wr.4nFs*t~>
+qYpWbkjeEI"7Ot1q18SCs*t~>
+qYpWpqY^0h"8CX)p4<8>s*t~>
+qYpWjoD&.]"8hQSqgneCs*t~>
+qYpWbkjeKK"8CX)p4<8>s*t~>
+qYpWpqY^0h!nYunJcGNFJ,~>
+qYpWjo_A7^!po7KJcGNFJ,~>
+qYpWbkjeKK!nYunJcGNFJ,~>
+qYpWpqY^6j"SM!4m.l54q#>j~>
+qYpWjoD&4_"T%cYpABLAq#>j~>
+qYpWbkjeQM"SM!4m.l54q#>j~>
+qYpWpqY^9k"8CR%p4<8;s*t~>
+qYpWjoD&7`"8hNQqgne@s*t~>
+qYpWbkjeTN"8CR%p4<8;s*t~>
+qYpWpqY^9k!S?Ods7H>A~>
+qYpWjo_A@a!UTH0s7H>A~>
+qYpWbkjeTN!S?Ods7H>A~>
+qYpWoqY^?m"81p4oR[&7s*t~>
+qYpWjoD&=b"8_ZXqLS\=s*t~>
+qYpWbkjeZP"81p4oR[&7s*t~>
+qYpj!qY^BnptF9lJcG?AJ,~>
+qYpipoD&@cr9`hIJcG?AJ,~>
+qYpihkje]QptF9lJcG?AJ,~>
+qYpj!qY^BnmFpOuJcG?AJ,~>
+qYpipoD&@cp[7SNJcG?AJ,~>
+qYpihkje]QmFpOuJcG?AJ,~>
+qYpcsqY^$Ng@Tsrnc++~>
+qYpcnoD&1TmeVM7nc++~>
+qYpcfkje?1g@Tsrnc++~>
+qYp`sqXrRmp4<85s*t~>
+qYp`moC_M:qgne:s*t~>
+qYp`ekj$mPp4<85s*t~>
+qYp`so'4rerdk+=s*t~>
+qYp`mn*fZ5rdk+=s*t~>
+qYp`ei8<8Hrdk+=s*t~>
+qY:6[dF%B5q="+ZrdX~>
+qXF[JeCa)<naGuJqg\~>
+qW%b(YI)u6jR;.0pj`~>
+qXajFa3fJ1mdpMWJ,~>
+qVqY*`Q`tomc+<BJ,~>
+qTArDQ_]2Um`PV$J,~>
+qYpWlpA0@?mJh\~>
+qYpW_jR7["mJh\~>
+qYpWYh!'CimJh\~>
+qYpWoqYYpEmJh\~>
+qYpWjoD!n:mJh\~>
+qYpWbkja6(mJh\~>
+qYpWoqYYpEmJh\~>
+qYpWjoD!n:mJh\~>
+qYpWbkja6(mJh\~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1k.ps b/books/ps/bookvol1k.ps
new file mode 100644
index 0000000..39f2d82
--- /dev/null
+++ b/books/ps/bookvol1k.ps
@@ -0,0 +1,398 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/5Points.ps
+%%CreationDate: Sat Dec 10 07:49:26 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 135 135
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 120.000000 translate
+120.000000 -120.000000 scale
+% Image geometry
+120 120 8
+% Transformation matrix
+[ 120 0 0 120 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 120 string def
+/gstr 120 string def
+/bstr 120 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:         4742 ASCII Bytes
+colorimage
+M>r)~>
+M>r)~>
+M>r)~>
+e,KI9nGE4cqu6Tsq<RPLrrN#krVllpd/SU~>
+e,KI!h>@3PpAY'nnB]kgrrMi\rVllkd/SU~>
+e,KHfd/3hCoD\aklFkLBrrM`RrVllhd/SU~>
+e,LEYq=F4Rm-sW'qu?]ekN;I(oC_\Okj8'#p[[\FeGk%~>
+e,LEHnDr[$dbEihpAb0OaMmDljQYUrajTR_mGQF[eGk%~>
+e,LE=lIstY_9Uc#oDejAZ`i<'g>LKP[DD!kk1%60eGk%~>
+eGgQfo(hY=p[%>Jm/?tao(i=Ps6TdPq=<nPm/?G?p!j"l~>
+eGgQdiUG:DmF'Vddej(EiUHlqs3gqqnDVgqdeheIl.#``~>
+eGgQbf':)fk/#+<_>4-2f'<:Os2"`OlINfO_>2Bmi7.dW~>
+eGgQ\mJcPAq<[\Pme?b]q>C9em.L&8r;$$co(2J>q:,Fp~>
+eGgQMebn%No$ZIrfBrV<nG*%Ndcp#<q!dPJi8itIo$m\i~>
+eGgQC`V[]rm(q3Oa6*F%lLk2>_;O7Zp$1K8eCrWmm*u&c~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+qu6ZkOT0h~>
+qu6Z`OT0h~>
+qu6ZPOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiQiI*Wr;V9~>
+qu6Z[QiI*>r;V9~>
+qu6ZGQiI*>r;V9~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiZN'sriW"E~>
+qu6Z[ZN'sYiW"E~>
+qu6ZGZN'sYiW"E~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6Zibl7\,`rCP~>
+qu6Z[bl7[N`rCP~>
+qu6ZGbl7[N`rCP~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZikPkPGX8d\~>
+qu6Z[kPkOiX8d\~>
+qu6ZGkPkOiX8d\~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qt:$KOS42~>
+qre$TOQ_2~>
+qpYV0OOSd~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1l.ps b/books/ps/bookvol1l.ps
new file mode 100644
index 0000000..883c330
--- /dev/null
+++ b/books/ps/bookvol1l.ps
@@ -0,0 +1,398 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/2Graphs.ps
+%%CreationDate: Sat Dec 10 08:01:01 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 135 135
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 120.000000 translate
+120.000000 -120.000000 scale
+% Image geometry
+120 120 8
+% Transformation matrix
+[ 120 0 0 120 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 120 string def
+/gstr 120 string def
+/bstr 120 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        11708 ASCII Bytes
+colorimage
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+bl7q>m.Kf5p[%>IrrVffq98kh~>
+bl7q/dcoB3mF'VcrrV9Po$%,a~>
+bl7q%_;NAMk/#+;rrUp@m*,K[~>
+bl7q7s8D<[mHa-<rrMfVbQ!(~>
+bl7prs8176e^;hErrMB+bQ!(~>
+bl7pas7sLr`P97grrM&cbQ!(~>
+bl7q@m.^#9qX!_NrrVljq98kh~>
+bl7q4dd>f=o@2OorrVHYo$%,a~>
+bl7q+_<0%\n&*HMrrV-Mm*,K[~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+M>r)~>
+qu6ZkOT0h~>
+qu6Z`OT0h~>
+qu6ZPOT0h~>
+qu6ZiOT0h~>
+qu6Z\OT0h~>
+qu6ZGOT0h~>
+qu6cWip?X2rs$u]['$^Rpp^8*n`Sd#r;V9~>
+qu6bpU;?Zmrs%N/`jEP7r3u\.d]o+lr;V9~>
+qu6b[U;?Zmrs$cLU6(nXpp^8*d]o+lr;V9~>
+qu6fms7>7EnG`USZJYTZrrVJrp:C8+q;LoBqYu'~>
+qu6f_s4X40nG`U_]AiSarrV,mqmue0lCQT$qYu'~>
+qu6fKs4X40nG`USR+(g/rrUlGp:C8+lCQT$qYu'~>
+qu6Zirr3#ap%&+ajMCflrrW/0pq6V.pYl,Hs*t~>
+qu6Z[rr3#2i:?mLo!88lrrW26r4N%2k+;PHs*t~>
+qu6ZGrr3#2i:?mLjI6&ErrW.kpq6V.k+;PHs*t~>
+qu6ZirVloip[nIdjOX)*!Q*p3rrMlcpA]X~>
+qu6Z[rVloPk4JZSo'H,N!TN[arrM99pA]X~>
+qu6ZGrVloPk4JZSjOX)*!Q*p3rrM99pA]X~>
+qu6Zir;Qf`p%JCdkeZrl!QsN>rrMrSp&BO~>
+qu6Z[r;Qf2hY-sMoWn/i!R^,HrrMDVp&BO~>
+qu6ZGr;Qf2hY-sMkaM2E!P."$rrMDVp&BO~>
+qu6Zir;Qitmeuq\!r0_4p&>'k]ts^MrU0[Xs*t~>
+qu6Z[r;Qisanb`3!rV*Xp&>'li5,Epq8rU.s*t~>
+qu6ZGr;Qisanb`3!r0_4p&>'k]ts^Mq8rU.s*t~>
+qu6Ziqu6]onG*"aamo!&!T_hKrrMWdo`'F~>
+qu6Z\qu6]gcM7D?jn\NJ!V5TorrLF:o`'F~>
+qu6ZGqu6]gcM7D?amo!&!T_hKrrLF:o`'F~>
+qu6ZiqYpThm/$__g!oQl!QFEDrrM]WoDa=~>
+qu6Z[qYpTS_>=04j3[>r!SQVRrrLWcoDa=~>
+qu6ZGqYpTS_>=04dD#/N!PI=.rrLWcoDa=~>
+qu6Ziq>UH[qYpT,rUKmgrO^#J!UBXTs*t~>
+qu6Z[q>UH,qYpTLq=4Icq;9-j!PA1!s*t~>
+qu6ZGq>UH,qYpT(q=4Icq7FTF!PA1!s*t~>
+qu6Ziq>UKmnGN:eamnj"s4t]p!V$!Ws*t~>
+qu6Z[q>UKecM[\Cjn\BFs6mu-!RC<-s*t~>
+qu6ZGq>UKecM[\Camnj"s4t]p!RC<-s*t~>
+qu6Ziq#:B^rr2ouqS;Lu!PnQQrrN,dnc++~>
+qu6Z[q#:B6qu6TrrSd/D!TF!urrN#9nc++~>
+qu6ZGq#:B6qu6TrqS;Lu!PnQQrrN#9nc++~>
+qu6Ziq#:Bkjo58\f]DN#!U[bFrrM<Rnc++~>
+qu6Z[q#:B`XoA>$dbaBk!VXCOrrKIWnc++~>
+qu6ZGq#:B`XoA>$_pn)R!UZi,rrKIWnc++~>
+qu6Zip\tBarVuo0li-ssao;D?mdU7,~>
+qu6Z[p\tB:q>^KPli-tBao;D;a70+Z~>
+qu6ZGp\tB:q>^K,li-ssao;D;a70+Z~>
+qu6ZipAY6]s2jfsrrMZ3b5VJ.n,In~>
+qu6Z[pAY62s5j(BrrMrWb5VIXn,In~>
+qu6ZGpAY62s2jfsrrMZ3b5VIXn,In~>
+qu6ZipAY3`qn)+m!5$GS!W2BTs*t~>
+qu6Z[pAY3>oAAg4!8l!"!V=V*s*t~>
+qu6ZGpAY3>o=O8e!5$GS!V=V*s*t~>
+qu6ZipAY3m\FJh`!V+4SrrMKbn,In~>
+qu6Z[pAY3iYkRD^!VtWsrrKt3n,In~>
+qu6ZGpAY3iPOIc9!V+(OrrKt3n,In~>
+qu6Zip&>'+q<7hYZH`CMr8mAHJ,~>
+qu6Z[p&>&plKJ6J^s2l[or[Z^J,~>
+qu6ZGp&>&WlKJ6JSB_'7or[Z^J,~>
+qu6ZipAY3Mh!O>*s4u!#!U]mSs*t~>
+qu6Z[pAY3_lc&)fs6n85!QFs(s*t~>
+qu6ZGpAY3Mfu<1Ts4u!#!QFs(s*t~>
+qu6ZipAY3+s6SqK!5$PV!:9+QJ,~>
+qu6Z[pAY3Os2!mu!8l*%!5\(&J,~>
+qu6ZGpAY3+s2!mu!5$PV!5\(&J,~>
+qu6Zip\tBdaoD&,kl1\*n^.=9p$Md0~>
+qu6Z\p\tBljo=8skl1\Fq9]0Ai9gPp~>
+qu6ZGp\tBdaoC;Wkl1\*n^.=9i9gPp~>
+qu6Zip\t6*rr2ubkPkOod/O+4m/MS~>
+qu6Z[p\t6Nrr2u7kPkP>d/O*^m/MS~>
+qu6ZGp\t6*rr2u7kPkOod/O*^m/MS~>
+qu6Ziq#:Bk_uBZ:l1X?@!PJ$PrrN,Ym/MS~>
+qu6Z[q#:BnZi9t*\`2iQ!S-8ZrrN"im/MS~>
+qu6ZGq#:BkSGrNh\`2iQ!OLe6rrN"im/MS~>
+qu6Ziq#:B>mJd+dqXNeL!U\.[rrMTdm/MS~>
+qu6Z[q#:BXpAY'mn'^G"!VY^)rrL=9m/MS~>
+qu6ZGq#:B>mJd+dn'^G"!U\.[rrL=9m/MS~>
+qu6Ziq#:?+r;Qc`kPkOodf0=6li2J~>
+qu6Z[q#:?Or;Qc5kPkP>df0<`li2J~>
+qu6ZGq#:?+r;Qc5kPkOodf0<`li2J~>
+qu6Ziq>UKabP_A@mel;K!Q=]]rrMlcli2J~>
+qu6Z[q>UKjk5>5[anP$!!TX(,rrM99li2J~>
+qu6ZGq>UKabP_A@anP$!!Q=]]rrM99li2J~>
+qu6Ziq>UK6pAFpkr9ieK!VXI]rrDENs*t~>
+qu6Z[q>UKUqu$HppW;Y!!W1p,rrBn#s*t~>
+qu6ZGq>UK6pAFpkpW;Y!!VXI]rrBn#s*t~>
+qu6Ziq>UH,qYpQ^kPkOoeGfO8lMlA~>
+qu6Z\q>UHPqYpQ3kPkP>eGfNblMlA~>
+qu6ZGq>UH,qYpQ3kPkOoeGfNblMlA~>
+qu6ZiqYpTk`VTT8mdfTA!Q+6TrrMKXlMlA~>
+qu6Z[qYpTo[/0e'a40>Q!TM_^rrKsilMlA~>
+qu6ZGqYpTkTDJQga40>Q!Q*=:rrKsilMlA~>
+qu6ZiqYpQ-q#:?\kPkOof)Ga:l2Q8~>
+qu6Z[qYpQQq#:?1kPkP>f)G`dl2Q8~>
+qu6ZGqYpQ-q#:?1kPkOof)G`dl2Q8~>
+qu6ZiqYpQ-q#:?\kPkOofDbmKnEKt'~>
+qu6Z[qYpQQq#:?1kPkP>fDbmCcKY@Z~>
+qu6ZGqYpQ-q#:?1kPkOofDbmCcKY@Z~>
+qu6Ziqu?]Pq#CBekl:\=f`)!Aqs"-2~>
+qu6Z[qu?]bq#CBPkl:\Of`(utoBH:*~>
+qu6ZGqu?]Pq#CBPkl:\=f`(utoBH:*~>
+qu6Ziqu6Z.pAY-ZkPkOof`(s<kl6/~>
+qu6Z[qu6ZRpAY-/kPkP>f`(rfkl6/~>
+qu6ZGqu6Z.pAY-/kPkOof`(rfkl6/~>
+qu6Zir;Qfm_Y4!1meuAL!Q+WcrrN#dkl6/~>
+qu6Z\r;QfqiqEBQa8+s!!TO%2rrM`:kl6/~>
+qu6ZGr;Qfm_Y4!1a8+s!!Q+WcrrM`:kl6/~>
+qu6Zir;Qf@m.UG[qrm8D!V+"[rrMN\kl6/~>
+qu6Z[r;QfOkk>#Wo<mf^!Vt!orrL*ukl6/~>
+qu6ZGr;Qf6iV*9Po<mf^!V*DJrrL*ukl6/~>
+qu6Zir;Qf9r:U'iki_sG\(^i_lhouHJ,~>
+qu6Z[r;QfJp\"Od[HIPie(Xg&^%^ajJ,~>
+qu6ZGr;Qf-p\"Od[HIPiYM0!W^%^ajJ,~>
+qu6Zir;Qc/o`"pXkPkOog]%<Mo&p%'~>
+qu6Z[r;QcSo`"p-kPkP>g]%<@eE?j^~>
+qu6ZGr;Qc/o`"p-kPkOog]%<@eE?j^~>
+qu6ZirVll0o)A^VkPkOoh#@B@k5Tr~>
+qu6Z[rVllTo)A^+kPkP>h#@Ajk5Tr~>
+qu6ZGrVll0o)A^+kPkOoh#@Ajk5Tr~>
+qu6ZirVll0o)A^VkPkOoh#@B@k5Tr~>
+qu6Z[rVllTo)A^+kPkP>h#@Ajk5Tr~>
+qu6ZGrVll0o)A^+kPkOoh#@Ajk5Tr~>
+qu6ZirVll0o)A^VkPkOoh>[NMoB-('~>
+qu6Z[rVllTo)A^+kPkP>h>[N<g?/Ec~>
+qu6ZGrVll0o)A^+kPkOoh>[N<g?/Ec~>
+qu6Zirr3#Glgk&Vq=<bL!UJ+hrrDEIs*t~>
+qu6Z\rr3#`p%&+`m*t8!!VP^6rrBmss*t~>
+qu6ZGrr3#Glgk&Vm*t8!!UJ+hrrBmss*t~>
+qu6Zirr3#9qsj[di91+?Yi#H]ro3&>J,~>
+qu6Z[rr3#4oC;h\SEKnP]&3Mgqk3'NJ,~>
+qu6ZGrr3"poC;h\SEKnPQJ_]Cqk3'NJ,~>
+qu6fms8Vl2nG`OWrTO7^_YE'h!VQ0Js*t~>
+qu6f_s8W#VnG`O0q<7hZir%a7!T)hts*t~>
+qu6fKs8Vl2nG`O0q<7hZ_YE'h!T)hts*t~>
+qu6fms8U[2nG`O`oB?2TjOW8h!:8eHJ,~>
+qu6f_s8VHVnG`OOg?AP;o'G<7!5[arJ,~>
+qu6fKs8U[2nG`OOg?AP;jOW8h!5[arJ,~>
+qu6cls8T_!rrDEKrrB[hrrDEHs*t~>
+qu6c^s8V!ErrBmurrCs7rrBmrs*t~>
+qu6cJs8T_!rrBmurrB[hrrBmrs*t~>
+qu6cls8T_!rrDEKrrB[irrMrdjSs`~>
+qu6c^s8V!ErrBmurrCs8rrMK9jSs`~>
+qu6cJs8T_!rrBmurrB[irrMK9jSs`~>
+qu6`ks1@Xt!:8nK!5%7j!:8bGJ,~>
+qu6`]s532C!5[ju!8lf9!5[^qJ,~>
+qu6`Is1@Xt!5[ju!5%7j!5[^qJ,~>
+qu6`ks1@Xt!:8nK!5%7j!:8bGJ,~>
+qu6`]s532C!5[ju!8lf9!5[^qJ,~>
+qu6`Is1@Xt!5[ju!5%7j!5[^qJ,~>
+qu6`kn]^A"!UTFArrL+(jSo8XjQ$8j~>
+qu6`]q7#_j!Q!LRrrLg2jSo8PW8mo.~>
+qu6`InYPUP!Q!LRrrKdcjSo8PW8mo.~>
+qu6`kd-L&u!W2BMrrMH4jSo8Mqr@^,~>
+qu6`]l1OEC!V=V#rrMfWjSo8+oAfk$~>
+qu6`Id-L&u!V=V#rrMH4jSo8+oAfk$~>
+qu6]j]B]Crm-"BK]B&tlm,J%q~>
+qu6]\hs14A_<:guhrOe;_;bKF~>
+qu6]H]B]Cr_<:gu]B&tl_;bKF~>
+qu6]c_Wq.%nGDGL!5%@m!W2BGs*t~>
+qu6]Yip-OEcL^9"!8lo<!V=Urs*t~>
+qu6]A_Wq.%cL^9"!5%@m!V=Urs*t~>
+qu6]Of'<89qs`hL!S6>orrMWdir=N~>
+qu6]Pm-=TOo?QS"!UTC>rrLF:ir=N~>
+qu6]-f'<89o?QS"!S6>orrLF:ir=N~>
+qu6Z%kl1YLkPkOok5PGJiW"E~>
+qu6Z;kl1Y!kPkP>k5PFtiW"E~>
+qu6YXkl1Y!kPkOok5PFtiW"E~>
+qu6Z%kl1YLkPkOok5PGJiW"E~>
+qu6Z;kl1Y!kPkP>k5PFtiW"E~>
+qu6YXkl1Y!kPkOok5PFtiW"E~>
+qt:$+kOno9kk5%ik32L>l1!p1!TreIp4*~>
+qre$ZkNDoHki`&qa6;^f^"2E2!QW@\k^W~>
+qpYV&kL9KtkgTX/[HQ*@WP[lK!O]T<e:7~>
+qu6ZikPkPKkPkOokl1YLkPkOoqu;0~>
+qu6Z[kPkOukPkP>kl1Y!kPkP>qu;0~>
+qu6ZGkPkOukPkOokl1Y!kPkOoqu;0~>
+qu6ZikPkPKkPkOokl1YLkPkOoqu;0~>
+qu6Z[kPkOukPkP>kl1Y!kPkP>qu;0~>
+qu6ZGkPkOukPkOokl1Y!kPkOoqu;0~>
+qu6ZikPkSYo'$)Sc0afr!V6'MrrLL4qu;0~>
+qu6Z[kPkSLeEHo5kP"3@!S$K"rrMBWqu;0~>
+qu6ZGkPkSLeEHo5c0afr!S$K"rrLL4qu;0~>
+qu6Zik5PGJkl1\[_!:q"m-"BK]DDPX~>
+qu6Z[k5PFtkl1\^iTgFC_<:guhtmA'~>
+qu6ZGk5PFtkl1\[_!:q"_<:gu]DDPX~>
+qu6Zik5PGJkPkOolMgkNkPkOoqYu'~>
+qu6Z\k5PFtkPkP>lMgk#kPkP>qYu'~>
+qu6ZGk5PFtkPkOolMgk#kPkOoqYu'~>
+qu6Zik5PJRpZVVXf&Z2t!Vc3LrrM33qYu'~>
+qu6Z[k5PJ9k32gGm.0NC!Tr,"rrM]WqYu'~>
+qu6ZGk5PJ9k32gGf&Z2t!Tr,"rrM33qYu'~>
+qu6Zijo5>=kPkOdm/I+MpZVVX`qT?0J,~>
+qu6Z[jo5=NkPkOnm/I*ok32gGb3&R#J,~>
+qu6ZGjo5=NkPkOJm/I*ok32gGZ0(o_J,~>
+qu6Zijo5>IkPkOom/I(PkPkOoq>Ys~>
+qu6Z[jo5=skPkP>m/I(%kPkP>q>Ys~>
+qu6ZGjo5=skPkOom/I(%kPkOoq>Ys~>
+qu6Zijo5ALrTO7^_YER!!Vc3LrrM33q>Ys~>
+qu6Z[jo5A%q<7hZir&6E!Tr,"rrM]Wq>Ys~>
+qu6ZGjo5A%q<7hZ_YER!!Tr,"rrM33q>Ys~>
+qu6ZijSo5HkPkOomf*:RkPkOoq#>j~>
+qu6Z[jSo4rkPkP>mf*:'kPkP>q#>j~>
+qu6ZGjSo4rkPkOomf*:'kPkOoq#>j~>
+qu6ZijSo5HkPkOomf*:RkPkOoq#>j~>
+qu6Z\jSo4rkPkP>mf*:'kPkP>q#>j~>
+qu6ZGjSo4rkPkOomf*:'kPkOoq#>j~>
+qu6ZijSo8Jroj@__#!R#!V6'MrrLL4q#>j~>
+qu6Z[jSo8"qrn%\iVi9G!S$K"rrMBWq#>j~>
+qu6ZGjSo8"qrn%\_#!R#!S$K"rrLL4q#>j~>
+qu6ZijSo8Wn`]uRmEP/#!:8nK!5&"*J,~>
+qu6Z[jSo8Ldcg]3p?1rF!5[ju!8mPNJ,~>
+qu6ZGjSo8Ldcg]3mEP/#!5[ju!5&"*J,~>
+qu6Zij8T,;kPkOdnc&XgiopCCpr3"-J,~>
+qu6Z[j8T+LkPkOnnc&XcU?MUXr3Z4uJ,~>
+qu6ZGj8T+LkPkOJnc&XcU?MUXpn.<\J,~>
+qu6Zij8T/Jr94.]`:id%!V?'LrrL^3p]#a~>
+qu6Z[j8T/%pZVVXj88EI!SZ]"rrMKWp]#a~>
+qu6ZGj8T/%pZVVX`:id%!SZ]"rrL^3p]#a~>
+qu6Zij8T/Uo'$)SkgK&%!:8nK!5%t)J,~>
+qu6Z[j8T/Ff'*,7o]l#I!5[ju!8mMMJ,~>
+qu6ZGj8T/Ff'*,7kgK&%!5[ju!5%t)J,~>
+qu6Ziir9#FkPkOoo)A^VkPkOopA]X~>
+qu6Z[ir9"pkPkP>o)A^+kPkP>pA]X~>
+qu6ZGir9"pkPkOoo)A^+kPkOopA]X~>
+qu6Ziir9&IrTO7^_YEd'!Vc3LrrM33pA]X~>
+qu6Z\ir9&"q<7hZir&HK!Tr,"rrM]WpA]X~>
+qu6ZGir9&"q<7hZ_YEd'!Tr,"rrM33pA]X~>
+qu6ZiiVroEkPkOoo`"pXkPkOop&BO~>
+qu6Z[iVrnokPkP>o`"p-kPkP>p&BO~>
+qu6ZGiVrnokPkOoo`"p-kPkOop&BO~>
+qu6ZiiVroEkPkOoo`"pXkPkOop&BO~>
+qu6Z[iVrnokPkP>o`"p-kPkP>p&BO~>
+qu6ZGiVrnokPkOoo`"p-kPkOop&BO~>
+qu6ZiiVrrGo'$)SalW6r!W(pArrMN6p&BO~>
+qu6Z[iVrqtf'*,7gYVZ(!Um/SrrMi(p&BO~>
+qu6ZGiVrqtf'*,7_:82Y!Um/SrrMMep&BO~>
+qu6ZiiVrrVn*'cPoZ$V)!U]mMrrKq3p&BO~>
+qu6Z[iVrrObNSs,qW.AM!QFs"rrM*Wp&BO~>
+qu6ZGiVrrObNSs,oZ$V)!QFs"rrKq3p&BO~>
+qu6Zii;WfDkPkOopAY-ZkPkOoo`'F~>
+qu6Z[i;WenkPkP>pAY-/kPkP>o`'F~>
+qu6ZGi;WenkPkOopAY-/kPkOoo`'F~>
+qu6Zii;WiIqrn%\bO>6+!V?'LrrL^3o`'F~>
+qu6Z[i;Wi)n`]uRk4n`O!SZ]"rrMKWo`'F~>
+qu6ZGi;Wi)n`]uRbO>6+!SZ]"rrL^3o`'F~>
+qu6Zii;WiUmcaZOp;Hb+!:8nK!5%k&J,~>
+qu6Z[i;WiPalra*qr@JO!5[ju!8mDJJ,~>
+qu6ZGi;WiPalra*p;Hb+!5[ju!5%k&J,~>
+qu6Zihu<]CkPkOoq#:?\kPkOooDa=~>
+qu6Z[hu<\mkPkP>q#:?1kPkP>oDa=~>
+qu6ZGhu<\mkPkOoq#:?1kPkOooDa=~>
+qu6Zihu<`Fo'$)S_X74"!UTFArrL:6oDa=~>
+qu6Z[hu<_teEHo5in+&,!Q!LRrrL^)oDa=~>
+qu6ZGhu<_teEHo5_UJA]!Q!LRrrKgeoDa=~>
+qu6ZihZ!TBkPkOoqYpQ^kPkOoo)F4~>
+qu6Z[hZ!SlkPkP>qYpQ3kPkP>o)F4~>
+qu6ZGhZ!SlkPkOoqYpQ3kPkOoo)F4~>
+qu6ZihZ!TBkPkOoqu6]koB?2TjOWo%J,~>
+qu6Z[hZ!SlkPkP>qu6]Zg?AP;o'GrIJ,~>
+qu6ZGhZ!SlkPkOoqu6]Zg?AP;jOWo%J,~>
+qu6ZihZ!WRnEBlQn]C_/!UfpMrrL"3o)F4~>
+qu6Z[hZ!WJcKP9/q;qPS!QY$"rrM-Wo)F4~>
+qu6ZGhZ!WJcKP9/n]C_/!QY$"rrL"3o)F4~>
+qu6Zih>[KAkPkOorVlotmHFQNqS;Y$J,~>
+qu6Z\h>[JkkPkP>rVloq`T[=&rSd;HJ,~>
+qu6ZGh>[JkkPkOorVloq`T[=&qS;Y$J,~>
+qu6Zih>dNJkl:\=rr3#lp?;MWgY_Q$J,~>
+qu6Z[h>dN5kl:\Orr3#UiopCCmdTcHJ,~>
+qu6ZGh>dN5kl:\=rr3#UiopCCgY_Q$J,~>
+qu6Zih#@B4kPkOdrr3#_pZVVX`qT$'J,~>
+qu6Z[h#@AEkPkOnrr3#,k32gGb3&6oJ,~>
+qu6ZGh#@AEkPkOJrr3#,k32gGZ0(TVJ,~>
+qu6Zih#@B@kPk[ss8Vuckl1\Ramf=\~>
+qu6Z[h#@AjkPk\Bs8V]9kl1\Zjm`;#~>
+qu6ZGh#@AjkPk[ss8V]9kl1\Ramf=\~>
+qu6Zih#@ERmcaZQpqm'tkPkOon,In~>
+qu6Z[h#@ENa6<O*r8RamkPkP>n,In~>
+qu6ZGh#@ENa6<O*pqm'IkPkOon,In~>
+qu6Zig]%9?kPkUqrpAqL!W'V#s*t~>
+qu6Z[g]%8ikPkV@qo.e!!WD!Gs*t~>
+qu6ZGg]%8ikPkUqqo.e!!W'V#s*t~>
+qu6Zig]%<Fq<7h[db+K]rrL.3n,In~>
+qu6Z[g]%<*lKJ6LlG</WrrM3Wn,In~>
+qu6ZGg]%<*lKJ6Ld^Ac3rrL.3n,In~>
+qu6Zig]%<RiTU:BrNPJb!5@n$J,~>
+qu6Z\g]%<QT'61TrjCqh!3ttlJ,~>
+qu6ZGg]%<QT'61TrK?@D!1<3SJ,~>
+qu6ZigA_3Ar9=4_o=ak^rrL^3mf.e~>
+qu6Z[gA_2qpZ_\Zg<0<WrrMKWmf.e~>
+qu6ZGgA_2qpZ_\Zg8t#4rrL^3mf.e~>
+qu6ZigA_3Omcj`Qm.SB^rrB[us*t~>
+qu6Z[gA_3Jam&g,_>E9WrrCsDs*t~>
+qu6ZGgA_3Jam&g,_=kh3rrB[us*t~>
+qu6Zig&D'=lMgt^o)H>errMH4mJh\~>
+qu6Z[g&D&glMgtQeGnFkrrMfWmJh\~>
+qu6ZGg&D&glMgtQeGm/GrrMH4mJh\~>
+qu6Zif`(s<li-tOrr2u1li-ssm/MS~>
+qu6Z[f`(rfli-t$rr2uUli-tBm/MS~>
+qu6ZGf`(rfli-t$rr2u1li-ssm/MS~>
+qu6Zif`)!<p$Mb[q;M>Q!QsNkrrM?"m/MS~>
+qu6Z[f`(uchX1=DlCS"T!R^,urrMbtm/MS~>
+qu6ZGf`(uchX1=DlCS"T!P."QrrM>Pm/MS~>
+qu6Zif`)!Om-XfRm/I"a!WB_!rrKh3m/MS~>
+qu6Z\f`)!N_sRI)_u9T7!WM$ErrM'Wm/MS~>
+qu6ZGf`)!N_sRI)_u9T7!WB_!rrKh3m/MS~>
+qu6ZifDbmBq="=aoCr1_!RU0$rrL^3li2J~>
+qu6Z[fDbm$m-jrTg?/>5!U9:GrrMKWli2J~>
+qu6ZGfDbm$m-jrTg?/>5!RU0$rrL^3li2J~>
+qu6Zif)Ga:n,ECSqYpQ-n,EC"lMlA~>
+qu6Z[f)G`dn,EC(qYpQQn,ECFlMlA~>
+qu6ZGf)G`dn,EC(qYpQ-n,EC"lMlA~>
+qu6Zif)GdAmd^;XkjnTM!T)5orrKe"lMlA~>
+qu6Z[f)Gd#a7901[FG'Q!T;Z$rrLKulMlA~>
+qu6ZGf)Gd#a7901[FG'Q!R\jUrrK=PlMlA~>
+qu6Ziec,[@q=FUeoCr%[!RU0(rrL^3l2Q8~>
+qu6Z[ec,["m.:5Xg?/21!U9:KrrMKWl2Q8~>
+qu6ZGec,["m.:5Xg?/21!RU0(rrL^3l2Q8~>
+qu6ZieGfR:rq69lr9s@Z!PnR)rrMc4kl6/~>
+qu6Z[eGfQgqt9sip!!.0!TF"MrrMuWkl6/~>
+qu6ZGeGfQgqt9sip!!.0!PnR)rrMc4kl6/~>
+qu6ZieGfRKiq<<Pj7`3H!W'1rrrKS"kl6/~>
+qu6Z[eGfRHT_8<cVW.=L!WB\(rrL!tkl6/~>
+qu6ZGeGfRHT_8<cVW.=L!W&;YrrJhQkl6/~>
+qu6Zidf0=6q#:BomIL8W]D2C,qS;7nJ,~>
+qu6Z\df0<`q#:Bl`Ua$/ht[3PrSco=J,~>
+qu6ZGdf0<`q#:Bl`Ua$/]D2C,qS;7nJ,~>
+qu6Zidf0CEjnelS!rCmTo)AdW\F'1n!q!Jnk5Tr~>
+qu6Z[df0C8Xmc/e!q2`Xo)AdaaS,N2!qs/&k5Tr~>
+qu6ZGdf0C8Xmc/e!q2`Xo)AdWVsXB]!puEPk5Tr~>
+qu6ZidJjOLjm;[?s820@qXFLkpVOPus8VW$]_COfJ,~>
+qu6Z[dJjOAXhirqs7='qn*p>`n\X2Ps8VoPYjpiTJ,~>
+qu6ZGdJjOAXhirqs7='qn*p>`m\mbRs8VW$QL<l7J,~>
+qu6Zici41Cmb[$eoBcJ\pXQFR^[pLcJ,~>
+qu6Z[ci412a-N[-g?ehCk16oZ`nKJQJ,~>
+qu6ZGci412a-N[-g?ehCk/<@UWnQM5J,~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+qu6ZiOT0h~>
+qu6Z[OT0h~>
+qu6ZGOT0h~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1m.ps b/books/ps/bookvol1m.ps
new file mode 100644
index 0000000..ac9e2b6
--- /dev/null
+++ b/books/ps/bookvol1m.ps
@@ -0,0 +1,1013 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/3DCos.ps
+%%CreationDate: Sat Dec 10 08:13:02 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 215 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+200.000000 -200.000000 scale
+% Image geometry
+200 200 8
+% Transformation matrix
+[ 200 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 200 string def
+/gstr 200 string def
+/bstr 200 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        45815 ASCII Bytes
+colorimage
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+Q2^jQVZ2/~>
+Q2^j<VZ2/~>
+Q2^j.VZ2/~>
+QN.!Bs6lodJ,~>
+QN-uls4XFOJ,~>
+QN-uPs3.GAJ,~>
+XoACirnd_UrnmbErnmYRs6g<phuE/khuDU6s50pXJ,~>
+XoACTrj2\*rj;^Zrj;V's4Rh[[/\j@[/[N5s0Sm-J,~>
+XoACFrg3]crg<`0rg<W`s3(iMR/bB@R/`QRs-TnfJ,~>
+XoACYrVm,[s8V!Fhr!o"rsS;Qs8VQFs6nkFs50pXJ,~>
+XoAC.rVm,0s8TI[['\QarsRPfs8Uf[s4Xj[s0Sm-J,~>
+XoABgrVm+is8SJ1R$c+prsR&<s8U<1s3-l1s-TnfJ,~>
+XoAges8VQfhuE`6n,NFFqu6`Tn*g2S"5j.IhlQj.~>
+XoAg:s8UgQ[/^05gAh2[qu6`)g=lK)"18*^[&j:X~>
+XoAfss8U=CR/d2Rbl@^1qu6_bbfp"b".9,4R&p=<~>
+XT/=X$1Io_hr"J6hr!o#rr_`is6ojb!oNJ(XT*e~>
+XT/=-$/5F5[']l5['\Qbrr_!Ts4[AM!jp[gXT*e~>
+XT/<f$-`FnR$dpRR$c+qrr^LFs31B?!gq3!XT*e~>
+P5bXQhr!n(s*t~>
+P5bX<['\Pgs*t~>
+P5bX.R$c+!s*t~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+RfEBE!:Q``J,~>
+RfEA[!7.J@J,~>
+RfEAS!6h8=J,~>
+R/d3TV#Pr~>
+R/d34V#Pr~>
+R/d31V#Pr~>
+RK*<UU]5i~>
+RK*<5U]5i~>
+RK*<2U]5i~>
+RfEEVUAo`~>
+RfEE6UAo`~>
+RfEE3UAo`~>
+Rf<BFU&TW~>
+Rf<A\U&TW~>
+Rf<ATU&TW~>
+RfEBE!:Q``J,~>
+RfEA[!7.J@J,~>
+RfEAS!6h8=J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+WW*%DR*>R0!6kB@!5/:1!6kHB!mI%UWW.J~>
+WW*%`dHLT0!9j@\!6Y9?!9jF^!pJ%qWW.J~>
+WW*%ghs^RE!:Tjc!5/:1!:Tpe!q5%8WW.J~>
+WW*d%s(%M@AB^Fbs3,#TR/bBtb[eqbAH/$rs*t~>
+WW*d^s16VA]'.Q*s6.%qdJrFXkdp!*])U0Ws*t~>
+WW*dls3KTkcgTc[s6n9ihuE0&n'CI[ci;n%s*t~>
+WrN+Cs8Nh$ABb)RA7V)-hooVAs8U;RR/d31bc:\n~>
+WrN+_s8Nh]]'01o]"6;h_s"\Cs8V;odJs71kc4Z5~>
+WrN+fs8NhkcgUo6cd1MKR.&AIs8VQ6huE`Fn#HD<~>
+WrE'drVljPrr35I1&q:2s('@Qrr=ePrrAFds*t~>
+WrE(HrVlkmrr35eU]:A3s17FnrrAhmrrCHHs*t~>
+WrE(VrVll4rr35l^]4>$s3L05rrBh4rrCrVs*t~>
+X8`0erVukas8NC9baAFfba;r@s8JDarrAFes*t~>
+X8`1IrVulEs8ND:kgBFJkg@!As8LFErrCHIs*t~>
+X8`1WrVulSs8NDOn)+/4n))Iks8LpSrrCrWs*t~>
+X8i3err3Rts()00R/^^shdlbSs8QX0R/[-cR&g7;~>
+X8i4Irr3SXs1871dJpfX_n,lqs8T\1dJj1GdB!:t~>
+X8i4Wrr3Sfs3L`FhuD%&R*Yfis8UFFhu<ZUhlHd-~>
+X8i3err3Rts-WhRs8U<1XI0%fR/`QRR/[-cR&g7;~>
+X8i4Irr3SXs3^kos8V<1XO7(JdJqVodJj1GdB!:t~>
+X8i4Wrr3Sfs53k6s8VQFLu874huDU6hu<ZUhlHd-~>
+XT&Hks8SJdR/[-cR/[*iA5peQs-T2QrrneiR/d2RXT*e~>
+XT&IOs8ULHdJj1GdJj.M\t&!as3]6nrrpgMdJs6oXT*e~>
+XT&I]s8V!Vhu<ZUhu<W[c^aJ(s52`5rrq<[huE`6XT*e~>
+XT&Hks8SJdR/[*cR/R$cb[g\P!1<cc"do=Ws8SIfs*t~>
+XT&IOs8ULHdJj.GdJa(Gkdp`m!7CfG"k!@ts8UKJs*t~>
+XT&I]s8V!Vhu<WUhu3QUn'Ct4!8meU"lK@;s8UuXs*t~>
+XT&9frr3"0bl7VCR*>R0!LPV@rrL?2rr3#CAH)T/R&p=<~>
+XT&:Jrr3#1kl1S_dHLT0!R[\ArrM?2rr3#_])M^0dB*@u~>
+XT&:Xrr3#Fn,E=fhs^RE!T1ZkrrMTGrr3#fci3qEhlQj.~>
+XoJFFrr2tcrVlncAH)T50mLqBs(%MqrrAGcs8U<Fs*t~>
+XoJFbrr2uGrVloG])M^6UQt'Cs16VVrrCIGs8V;bs*t~>
+XoJFirr2uUrVloUci3qK^Nf5Is3KU$rrCsUs8VPis*t~>
+XoABgrVunbs8W,C&"(T@ba>K!s3-kSbl@^1R/R$bR'$C=~>
+XoACKrVuoFs8W,_&(0V@kg?KZs6.kokl:\1dJa(FdB3G!~>
+XoACYrVuoTs8W,f&)ZjUn)&rYs6nk6n,NFFhu3QThlZp/~>
+XoABgrVunbs8N[us3,$RAH1OAs('@RR/d2RR/R$bR'$C=~>
+XoACKrVuoFs8N\Ys6.&o])T[Cs17FodJs6odJa(FdB3G!~>
+XoACYrVuoTs8N\gs6n;6ci9BIs3L06huE`6hu3QThlZp/~>
+XoABgrr3e%s-WidR/d1sb[gb2R$_Fas-WidR/`QQrrAFgs*t~>
+XoACKrr3e^s3^lHdJs6Xkdpf3dF#Q*s3^lHdJqVnrrCHKs*t~>
+XoACYrr3els53kVhuE`&n'D$$hquc[s53kVhuDU5rrCrYs*t~>
+Y5\OHAH)TFR/d2Rbfp+eQt4G@hooVus8U<eR/d2Rrr3"0bc^tr~>
+Y5\Od])M^GdJs6okii'HdCSQA_s"\Zs8V<HdJs6orr3#1kcXr9~>
+Y5\Okci3q\huE`6n*g;Vhp:ckR.&AYs8VQVhuE`6rr3#Fn#l\@~>
+_Z'V'mf*T\s-WidR/d2RR/R$gABb)2b[g\Ps-Wid"do>iR/`QArrAG's*t~>
+_Z'V`mf*U@s3^lHdJs6odJa(K]'013kdp`ms3^lH"k!AMdJqV^rrCH`s*t~>
+_Z'Vnmf*UNs53kVhuE`6hu3QYcgUn$n'Ct4s53kV"lK@[huDU%rrCrns*t~>
+`;fk)!rleunG`f^s-WidR/d31R/[*jba=dthjBeTrr3:lbl@^1s8SJdR.1+YQt65aR)K#T~>
+`;fkb!rojZnG`gBs3^lHdJs71dJj.Nkg@fX_pQlqrr3;Pkl:\1s8ULHdI@/=dCTA*dDZ'8~>
+`;fkp!rpU(nG`gPs53kVhuE`Fhu<W\n)*%&R,?firr3;^n,NFFs8V!VhsgXKhp;>[ho,PF~>
+`W,t*s8N2F0pp2Urre_hs-T2PrrAGcrs+q8ba>KUR$dmQ!1<`bs-Wid!1<?W#L&Pibl@^1R)T)U~>
+`W,tcs8N2bUXA;rrrgaLs3]6mrrCIGrs-s8kg?KqdF%sn!7CcFs3^lH!7CB;#O'R1kl:\1dDc-9~>
+`W,tqs8N2i^YeMNrrh6Zs52`4rrCsUrs.HMn)&rihr"G5!8mbTs53kV!8mAI#OgQbn,NFFho5VG~>
+`W$%-s-T2Qbl;5Frre_hs-T2Qs8SJcrs+qkR$`\ss-Wfcs-Wfcs-Wid!1<BXs(),Qs-NieR)T)U~>
+`W$%fs3]6nkl86crrgaLs3]6ns8ULGrs-sOdF#;Js3^iGs3^iGs3^lH!7CE<s183ns3UlIdDc-9~>
+`W$%ts52`5n,L`*rrh6Zs52`5s8V!Urs.H]hqtNms53hUs53hUs53kV!8mDJs3L]5s5*kWho5VG~>
+`rH(_"olf6R/bD0A,r"js8U=BrrAGcrt1XBbl@^1s-Wi!R/`QRs3/]Srr2tcrr<#BpAY,[raZ8X
+s-T1ts3/^,s*t~>
+`rH)&"omf6dJrG0\cC.Os8V<^rrCIGrt3ZBkl:\1s3^khdJqVos6/[orr2uGrr<#^pAY-?rji?u
+s3]6Xs6/[ds*t~>
+`rH)-"on&KhuE0EcN)krs8VQerrCsUrt4/Wn,NFFs53jhhuDU6s6oF6rr2uUrr<#epAY-Mrm(i<
+s52`&s6oErs*t~>
+`r?40s8SJds8JAgba:+qbkV2<R/[*dbaAD0"IT4Vs-Wfc$(0V;s8SJdR/`QQrrJM2rr2tcq#:K@
+A20Iqrg<`c".9,gR)]/V~>
+`r?4is8ULHs8LCKkg?0:kkP/XdJj.HkgBD0"O[7ss3^iG$.6Z<s8ULHdJqVnrrLO2rr2uGq#:K\
+\td[:rmCcG"4@/KdDl3:~>
+`r?5"s8V!Vs8LmYn)(n+n+cn_hu<WVn)+-E"Q07:s53hU$/_--s8V!VhuDU5rrM$Grr2uUq#:Kc
+cbJB+rnmbU"5j.Yho>\H~>
+`r?40s8SJds8JAiA=/b.A7Wp\rrAGcrs>(:bl>o2s-WhRrr3"dGlI^LR/`QRbfp+2baAD0!1<W_
+#0^Ugba=c.rg<`c".9,gR)]/V~>
+`r?4is8ULHs8LCM]$\ph]"7,%rrCIGrs@*:kl9l1s3^korr3#HQ2^didJqVokii'1kgBD0!7CZC
+#3`Y0kg@ehrmCcG"4@/KdDl3:~>
+`r?5"s8V!Vs8Lm[cemXKcd2(VrrCsUrs@TOn,MkFs53k6rr3#VGlI^LhuDU6n*g;Fn)+-E!8mYQ
+#4Kman)*$KrnmbU"5j.Yho>\H~>
+a8c1`&HBtus3/^es(%M@ba=c.ABauO!1<cc"IT4Vs-Wfcs-Wfc!R-B!s8SJcrre_hR/`QQrrAGa
+rt<OdA=/b.ba;r@s3/^ebfp+2bfBa6~>
+a8c2'&HCtXs6/\Hs16VAkg@eh]'0(l!7CfG"O[7ss3^iGs3^iG!U-lhs8ULGrrgaLdJqVnrrCIE
+rt=P,]$\phkg@!As6/\Hkii'1kf<^R~>
+a8c2.&HD4fs6oFVs3KTkn)*$KcgUf3!8meU"Q07:s53hUs53hU!Um,hs8V!Urrh6ZhuDU5rrCsS
+rt=eHcemXKn))Iks6oFVn*g;Fn&PHY~>
+a8[!Ds8SJds-WidR/`P@AB^G@Qt.q=bl@^1rr3+gs-WhRrr3"dbl.PAR/[*dbaAD0"IT4Vs-Wfc
+(mt@'ba:+qR/`PtA=/baR/d2Rs8SJds-Uk,J,~>
+a8["(s8ULHs3^lHdJqVA]'.QAdCQ+#kl:\1rr3,Ks3^korr3#Hkl(M]dJj.HkgBD0"O[7ss3^iG
+(t&B`kg?0:dJqVX]$\q*dJs6os8ULHs3\meJ,~>
+a8["6s8V!Vs53kVhuDTkcgTckhp9'pn,NFFrr3,Ys53k6rr3#Vn,<7dhu<WVn)+-E"Q07:s53hU
+(uPAnn)(n+huDU&cemX[huE`6s8V!Vs51lsJ,~>
+a8ZZ\s8SJds-WidR/d1@b[gbPQj5@5Qt2Tas-Wfcs-Wfc!1<`b!LS-1rrAGcs8SJcrs+qks-R>a
+QneQ,&-$1a1&q9@s8SJds-WidAB4_#~>
+a8Z[]s8ULHs3^lHdJs6Akdpfmd0HGodCRa*s3^iGs3^iG!7CcF!R[22rrCIGs8ULGrs-sOs3\F*
+dA-Zf&-'6)U]:AAs8ULHs3^lH]#Xi$~>
+a8Z[rs8V!Vs53kVhuE_kn'D%4hZppRhp:3[s53hUs53hU!8mbT!T//#rrCsUs8V!Urs.H]s52/[
+hnT-I&-'uE^]4>ks8V!Vs53kVcc?'9~>
+a8c0q#%YsXR/d2Rrr3!Rs8JAmbl='SA=,)^R/`QQrrAGbs8SJcrs"jlbl@^1R/R$bR/[*mR/`Oa
+0plLqR/bD0Qi[4Arr37ks8SJdb[cNca8^Y~>
+a8c1G#.j$udJs6orr3"os8LCQkl9&o]$[:adJqVnrrCIFs8ULGrs$lPkl:\1dJa(FdJj.QdJqV*
+UX?[:dJrG0d/j9Brr38Os8ULHkdn+,a8^Y~>
+a8c1@#1)c<huE`6rr3#6s8Lm_n,M;6celL`huDU5rrCsTs8V!Urs%A:n,NFFhu3QThu<W_huDT[
+^YdB+huE0EhZ<blrr38]s8V!Vn'A):a8^Y~>
+aT!-Fs6kcfQt66sR/d2Rs(%KOA7V'<0pj\+R/UXqrtUpFs8U<eR/d2Rs504Ds-V$Ss8U<1rr;t.
+)44qhQn`-=A7RE^AH/%ss-WidA=1Ssn,Jcrs*t~>
+aT!.*s5C<JdCTAXdJs6os16UQ]"6;#UX>jJdJg`VrtWrFs8V<HdJs6os237as3^&os8V<1rr;u/
+):?$jdA+;#]"4Za])U1Xs3^lH]$]`JiW%<Hs*t~>
+aT!.8s3.S5hp;?&huE`6s3KT;cd1Lp^YcfPhu:t$rtXG[s8VQVhuE`6s-V^Ds53;6s8VQFrr;uD
+);icThnRLpcd0A`ci;o&s53kVcen2mbl?SAs*t~>
+aSud<s8Ro4bflGbbl>o2s3-l0bR6/LR/bB@A2,g+A24(Ns8NUss3/^eR/c'2s3/^eR/d3cQjYWZ
+Qn^=+ABb(@bVB+@&"(T@bfp+2A=1Tbhh_=4R)o;X~>
+aSudus8TFCkigF*kl9l1s6.l0kR40LdJrFA\tc%J\tf8Ps8NVWs6/\HdJq,3s6/\HdJs7Gd0l_\
+dA*JJ]'01AkbJ.@&(0V@kii'1]$]a*_mBCCdE)?<~>
+aSue.s8T0fn*f/[n,MkFs6nkEmgHo!huE/kcbI6PcbKJ:s8NVes6oFVhuB)$s6oFVhuE`Uh[@3F
+hnQqPcgUnkn%\kj&)ZjUn*g;Fcen3[R&p>fhoPhJ~>
+aT!'Ds8SJdM!tA2ba;r@s-T2RR$c*bQt0b,bQ]fGA=-m^1&dR?rs>(:bl?T#R$dpRrg<^?"D!m1
+bVB+@s().s'?li2s-T2Rs(%M@R/cW2s-WidR)o;X~>
+aT!((s8ULHZf1r3kg@!As3]6odF%1*dCQpgkQ[gG]$\*aU]/[@rs@*:kl8R#dF&!ormCb@"M3!l
+kbJ.@s186X'Bmiks3]6os16VAdJr13s3^lHdE)?<~>
+aT!(6s8V!VXN^_%n))Iks52`6hr!n[hp9XJmfpPqcem'`^]*-jrs@TOn,JdThr"J6rnmaj"OGuO
+n%\kjs3L`&'CXi9s52`6s3KTkhuCp%s53kVhoPhJ~>
+aSuX8s3/^eR.&q"s3/^dQkB@cbaAEtb[d+@R/\lqbflISraZ8$A2.V*0pmdrA-+JrR/UV.s-V$S
+0er]qs-R?@R/`PtR/d/Qs3(fLR,@A"s3/^eR)o;X~>
+aSuXqs6/\HdG`!js6/\Gd1QE+kgBFXkdo1AdJou:kigForji?^\tcjJUX?FI\cSY<dJg]hs3^&o
+USIk:s3\FAdJqVXdJs3ns6'dhdDOqjs6/\HdE)?<~>
+aSuY*s6oFVhoqJFs6oFUh\#nGn)+0&n'BnkhuCI+n*f06rm(i,cbIfP^Yc-lcN:l-hu:q6s53;6
+^VBg+s52/khuDU&huE]5s6g9ohjDXFs6oFVhoPhJ~>
+aT!3Hs-WidR/`Q2n!O.TR*:q.R$do@R*9*.bVB.qAH0jc1&q9@0em4+Lh&4pR/d1@bfouq)uhY:
+Qt4F.R/`P@A=1T.s8SJThjFG2s8SJdR)o;X~>
+aT!4,s3^lHdJqV3iR.]*dHJuhdF&!AdHJ0hkbJ1U])Ut+U]:AAUSGEJZaup,dJs6AkihrU)ul\s
+dCSPhdJqVA]$]`hs8UL*_pSM3s8ULHdE)?<~>
+aT!4:s53kVhuDT$bhrI#hs]IKhr"Ikhs\nKn%\o#ci<GG^]4>k^VA+PXO"YrhuE_kn*g2#)um\A
+hp:cKhuDTkcen3Ks8V!#R,@r$s8V!VhoPhJ~>
+aoDCb&c\6uR/d2Rs6kdDbfp+eQt66qQj@5i0k=hpA7V),bR^(OQt0aOA7SYMb[b7OA=3A?#af.5
+s(#XpQt6/_'E;U1s8U<es+p.DR/d2Rs-Wi1bfTm8~>
+aoDD)&c^8YdJs6os5C<akii'HdCTAVd0R>2UUn&:]"6;gkRZ(PdCQpQ]"4ECkdn@Q]$^N@#gp5p
+s15e:dCT;('E>Yks8V<Hs0L\adJs6os3^l1kfNjT~>
+aoDD0&c^bghuE`6s3.SEn*g;Vhp;?$h[%Qc^X(7+cd1MJmgn=%hp9X;cd/--n'B>;cen`j#iEtS
+s3K$+hp;8Y'E?D9s8VQVs/aHEhuE`6s53kFn&bT[~>
+j8]/'l2M9]s8SJdR/d2Rs3/^ER/d3cbQ26/rFGnp#%X*g1&mW.raZD(A=1SOR##:?Qt2T`AH/#"
+s"Tn.AH%tpA-"DqrlkEB%@H%sbl=(1s-WhRs8SJNs8U='s*t~>
+j8]/Cl2M:As8ULHdJs6os6/[adJs7GkQ/8irOW!U#.i40U]8`hrjiKb]$]`QdBgF3dCRa)])U.\
+s.duh])L+U\cJS;rojC^%FN)Wkl9'1s3^kos8UL2s8V<Cs*t~>
+j8]/Jl2M:Os8V!VhuE`6s6oEDhuE`UmfCbLrQkK##1)2a^]33Krm(u0cen3;hlP/]hp:3Zci;l*
+s1dIKci2i#cN1f,rpTme%H!QAn,M;Fs53k6s8V!@s8VQJs*t~>
+j8T.IAH%t_rth(&s-WhRs3/^eR/d2Bn,JdTs-T0aABb%?$d>!*AB\SO0k?Z=s8HOAb[bs/Qt0b-
+R$_D=Qt4EOR$c+sQl!tWA=/bas-WiTM#[LBs3/^eR/`QRs-W0Qrg3^sR,e3s~>
+j8T/-])L+Drtj)_s3^kos6/\HdJs6QiW%=*s3]6*]'0.@$g?!c]'-`QUUnk#s8KSBkdm%jdCQph
+dF#P#dCSPQdF%1Wd22#X]$\q*s3^l*ZiC'Qs6/\HdJqVos3^35rm:bXdGt7W~>
+j8T/;ci2hgrtjSms53k6s6oFVhuE_Xbl?T#s52_[cgUkj$h*!1cgT3;^X(fps8L=Wn'?7)hp9XK
+hqubphp:c;hr!o%h\Yb-cemX[s53k#XT/=Xs6oFVhuDU6s532Crndb&hrF`e~>
+jT#8("TOkhs((Ns'q##gs3/^eR/d2Rs3/^U]ZgE"bl=(0AH/#AAH0kaQn`-=s3,"aR*:qbA5nq`
+ba;pObl=&@0plLqs(%LaraZb2s3/^ebe3Dgbl=(1s-Wi1bl=(1R-jnXAH2[ss3/^Js*t~>
+jT#8D"TQmLs17Ut("*'/s6/\HdJs6os6/\*b38lhkl9'0])U/&])V!*dA+;#s6.&*dHK!*\t%0q
+kg?uQkl9&AUX?[:s16V*rjiils6/\HkfVlJkl9'1s3^l1kl9'1dI$r<])VfXs6/\-s*t~>
+jT#8K"TRBZs3L*4(#T&Ks6oFVhuE`6s6oF#]^Pmhn,M;Eci;lIci<I[hnRLps6n:[hs]I[c^`nM
+n))I;n,M:k^YdB+s3KT[rm)>:s6oFVn%?m5n,M;Fs53kFn,M;FhsLFJci=%&s6oF;s*t~>
+jSoIPs8U<es-T2Art8k0A=-npQt2RpR/`QRs-V^4R/[-bQmFIt0k=fLR$_EOs-T0aR$c*bR#%-R
+R$_EOR/`OaR$]U=A2.ULrg<]b&t&.FR/d2Rs-R>aA=/`pQt2Rpmf3<S"olfjs8SJIs*t~>
+jSoJ4s8V<Hs3]6^rt;oj]$\+:dCR`:dJqVos3\aCdJj1Fd3YR!UUn%3dF#PQs3]6*dF%1*dBh6a
+dF#PQdJqV*dF"`#\tcj3rmC`F'%,[UdJs6os3\F*]$\p:dCR`:mf3=7"omfMs8UL-s*t~>
+jSoJBs8VQVs52`%rt<Z8cem(+hp:3+huDU6s503fhu<ZTh^-%`^X(6@hquc;s52_[hr!n[hlP`(
+hquc;huDT[hqu2pcbIf@rnm_T'&Up#huE`6s52/[cemX+hp:3+mf3=E"on&[s8V!;s*t~>
+jo>>(rg3f3s-T2Brth(&R/`QRs-WhRs-R>aQt65ahuE_Ds8W)Bs(!3+R$_EOQneVOQt0`pA7SZ,
+Qt0`pAH+BOQt2SO0k=hobl@\XR/d3DR/^]aQt2TaR/`QRs-WhRs-W9Ts-Niebl4"/biSkT~>
+jo>>Drm:i3s3]6_rtj)_dJqVos3^kos3\F*dCTA*_uKbas8W)^s10;IdF#PQdA-`QdCQp:]"4EZ
+dCQp:])SPQdCR`QUUn&9kl:YtdJs6adJpf*dCRa*dJqVos3^kos3^<8s3UlIkl0!/kiMhp~>
+jo>>KrndhHs52`&rtjSmhuDU6s53k6s52/[hp;>[R/d3Ds8W)es3De%hquc;hnT3;hp9X+cd/-=
+hp9X+ci:c;hp:3;^X(7*n,ND&huE_DhuD$[hp:3[huDU6s53k6s53;Fs5*kWn,D5Dn)aS"~>
+jo>?k!1<cc"D!nDR*>+#)4:I(R/`QRR/d2Rs-WidR/`OaR&nNUs8SJcs8SGmba=c.A2,g+s-Wd?
+&Bs$B0eo'qQn^=+A=/b.R$dmQ)4:I(bfm/UA=3Cas8SJdR/d2Rs-WhRs8SJVrrgQ5ba;r?rrSQu
+AEEiA~>
+jo>@l!7CfG"M3"EdHL-#):AKadJqVodJs6os3^lHdJqV*dB)Qqs8ULGs8UIQkg@eh\tc%Js3^h@
+&Eq$CUSH6:dA*JJ]$\phdF%sn):AKakif+q]$^Q*s8ULHdJs6os3^kos8UL:rrhQ5kg@!@rrUTZ
+]&isB~>
+jo>A,!8meU"OGuohs^+8);kJohuDU6huE`6s53kVhuDT[hh^ais8V!Us8Us_n)*$KcbI6Ps53gj
+&FZ"4^VA\+hnQqPcemXKhr"G5);kJon*c(icenc[s8V!VhuE`6s53k6s8V!HrrhfJn))IjrrV*(
+cfP1W~>
+jo>@Js31NCs3(S4AB`9grtCe"s-V$Ss-WhRs8SJdbfp*Ss8W(c!WSPdrrneis-V#trr3MQA=/ba
+s-R=rR/d2RQt4G?rrne6R/d2Rrr3"ds8JDcrt1Xubfp*Ss8SJdR/bCSR/d2Ro)Ja6$"TFIbl@^e
+ba=dZs*t~>
+jo>A.s60L_s6'R4]'/AKrtEf[s3^&os3^kos8ULHkii&os8W)G!WURHrrpgMs3^&Xrr3Mm]$\q*
+s3\EJdJs6odCSQ@rrpg6dJs6orr3#Hs8LFGrt3ZYkii&os8ULHdJrFodJs6oo)JaR$+eOJkl:\H
+kg@f>s*t~>
+jo>A<s6p!fs6g'IcgU>nrtF;is53;6s53k6s8V!Vn*g;6s8W)U!WV'Vrrq<[s53;&rr3MtcemX[
+s52.mhuE`6hp:cjrrq<KhuE`6rr3#Vs8LpUrt4/gn*g;6s8V!VhuE06huE`6o)JaY$.%Mtn,NFV
+n)*$as*t~>
+jo5`Ds8SJ1s8SJdbflHuoD]bss-WhRs8SJdR/d2Rs-WidR/d2Rs6ipSR/`QPs8SJcrstL@R*>U1
+ba>K!s8U<1baAD0s-Wcb)jpYmQrNPSR/d2Rs8SJdR/d2Rs-WidR/`QRR.L=dba?Vus-WidbaAG1
+1$/Fc~>
+jo5aas8UL1s8ULHkigFXoD]cWs3^kos8ULHdJs6os3^lHdJs6os5BKqdJqVms8ULGrt!N@dHLW1
+kg?KZs8V<1kgBD0s3^fF)q"]5d@B1qdJs6os8ULHdJs6os3^lHdJqVodI[AHkgAVXs3^lHkgBG1
+UZMN+~>
+jo5b(s8V!Fs8V!Vn*f0&oD]ces53k6s8V!VhuE`6s53kVhuE`6s3."jhuDU4s8V!Urt"#Uhs^UF
+n)&rYs8VQFn)+-Es53eT)rL\QhjhpjhuE`6s8V!VhuE`6s53kVhuDU6ht-jVn)*U&s53kVn)+0F
+^ZGKG~>
+k5YIK$d>!^R$c+tR/^^@1%YDjR/`QRR/d2Rs-WhRs8SJdbfp*Ss8U<ehsY*Cbl>nSs8SJ1R/[-c
+bQjNZs53jDbfp(d,acfCs8SJ1s3-j@n))@5s8SJdbfp*Ss8SJdR/`QRs-WhRs-WEX%5H(;s-Wi1
+R$c*bba=d[s*t~>
+k5YJ/$g?"%dF%1XdJpfAU\"L2dJqVodJs6os3^kos8ULHkii&os8V<H_r82Skl9kos8UL1dJj1G
+kQfN!s24lakii$G,gki's8UL1s6.kAiPXmCs8ULHkii&os8ULHdJqVos3^kos3^H<%AW-us3^l1
+dF%1*kg@f?s*t~>
+k5YJ=$h*!Ahr!o&huD$k^[qINhuDU6huE`6s53k6s8V!Vn*g;6s8VQVR*<n6n,Mk6s8V!Fhu<ZU
+mg%b=s-WiDn*g8U,iA(Js8V!Fs6njkba@kfs8V!Vn*g;6s8V!VhuDU6s53k6s53GJ%DVAXs53kF
+hr!n[n)*$bs*t~>
+k5PLM0pqt?#aii'AH0kaR$dOG*gltps-WhRs3/^eR/bCSs-Wi1bl>o2s8SJDs3-jtrr3&DR$dmQ
+$-\d(s8V!VR$c+ss8SGdbl7YBQlO?MhjFHDbfp+2bl=(1bfp*Ss3/^eR/`QRR/`QGs8SGjABb'a
+R*:rsrrSQBR-+F!~>
+k5PM1UXB)@#gqk`])V!*dF%Ud*mt#8s3^kos6/\HdJrFos3^l1kl9l1s8UKas6.kXrr3&`dF%sn
+$0]das8U":dF%1Ws8UIHkl1V^d2_BM_pSMakii'1kl9'1kii&os6/\HdJqVodJqVds8UIN]'01*
+dHK!WrrUTCdH:IZ~>
+k5PM?^Yf%j#iG+.ci<I[hr")+*oI"Ts53k6s6oFVhuE06s53kFn,MkFs8UuDs6nk&rr3&ghr"G5
+$1Hd/s8SJdhr!o%s8UsVn,E@eh]2+bR,@rDn*g;Fn,M;Fn*g;6s6oFVhuDU6huDU+s8Us\cgUn[
+hs]J%rrV)mhrarh~>
+k5YIKs31NC"do>ib[gbPR.^J^R/`QRR/`QRR/d2Rs-Wi1ba;qbs-WidR/d3DR*<dAba?WSs-V#t
+bl@^1R&l\Ts3-kSR/d31R*:rAba@;fs-WidR/bB@R*<eSR/`QRs-WhRs-WhRs-WKZrKmumABb)R
+R/d31ba=d[s*t~>
+k5YJ/s60L_"k!AMkdpfmdImNBdJqVodJqVodJs6os3^l1kg@!*s3^lHdJs6adHKfAkgAVos3^&X
+kl:\1dB(aqs6.kodJs71dHK!Akg@<Js3^lHdJrFAdHKfodJqVos3^kos3^kos3^N>rQu#Q]'01o
+dJs71kg@f?s*t~>
+k5YJ=s6p!f"lK@[n'D%4ht@"PhuDU6huDU6huE`6s53kFn))I[s53kVhuE_Dhs^$kn)*U6s53;&
+n,NFFhh^1is6nk6huE`Fhs]Ikn)'N4s53kVhuE/khs^%6huDU6s53k6s53k6s53MLrSJ"_cgUo6
+huE`Fn)*$bs*t~>
+k5PuIs8U<1s8SJds-T1tQt4Fbp\uG)s3/]Ss8SJ1A=-npQt2RpR$dotA=/`pR/bBtn*g;#R$dmQ
+!mI%!rVlqdLs5kus-Nf1rr<"c+O'lSn!M?!Qt2SOABb(@Qt2RpR$_EOAB^G@s-V$Ss-WQ\s3(s`
+R*:qbs8SJds-V%1s"W[9J,~>
+k5Q!fs8V<1s8ULHs3]6XdCSQ*p\uGbs6/[os8UL1]$\+:dCR`:dF&!X]$\p:dJrFXiSjh#dF%sn
+!pJ%ZrVlrHZfqDgs3Ui1rr<#G+R&jaiR-lhdCR`Q]'01AdCR`:dF#PQ]'.QAs3^&os3^T@s6's(
+dHK!*s8ULHs3^'1s.e`VJ,~>
+k5Q"-s8VQFs8V!Vs52`&hp:c[p\uGps6oF6s8V!Fcem(+hp:3+hr"J&cemX+huE0&bfp+Uhr"G5
+!q5%(rVlrVXRH/gs5*hFrr<#U+Rf?Sbhqmhhp:3;cgUnkhp:3+hquc;cgTcks53;6s53SNs6gHD
+hs]I[s8V!Vs53;Fs1d^rJ,~>
+k5PHms888abl@_BQibL!R.pX\Qs!seA=/`pbaAEts-WidR/`QRbfp*Ss8QVsR/cWfbl@^1ba?WS
+s-V#tR/c'fR*:rts3-kSR/d31]^PlfQt66sR/bCSs-WhRs8SJdR/`PtA=/`pQt2SOp](8\!6kG0
+s8W,Cr0RNbAENoB~>
+k5PIns8::Ekl:\^d/rOZdJ*\@d94'.]$\p:kgBFXs3^lHdJqVokii&os8T[XdJr1Jkl:\1kgAVo
+s3^&XdJq,JdHK!Xs6.kodJs71b2NBJdCTAXdJrFos3^kos8ULHdJqVX]$\p:dCR`Qp](9@!9jF0
+s8W,_r6YQF]&s$C~>
+k5PJ.s8:dSn,NFehZE9(htR0Nhc\:_cemX+n)+0&s53kVhuDU6n*g;6s8UF&huCp5n,NFFn)*U6
+s53;&huB)4hs]J&s6nk6huE`F]ZgE5hp;?&huE06s53k6s8V!VhuDU&cemX+hp:3;p](9N!:TpE
+s8W,fr8.PTcfY7X~>
+kPkV-A=3Ar%%.'^AH2[sba?Ubs-WT]-(+_"s-WhRs-WidR/`QRR/`QRs-WhRs8U<es8SIRbhqmh
+ba=dsrs?o:R/d3Ds3-kSrr<"c,L$2VhoqITs8U<es8SJdR/d2Rs-WhRs-WidR/`QRR/`QRR/$[i
+R/^^@R*:rts(%MsR/[*eQt4G(s*t~>
+kPkVI]$^NW%+5+&])VfXkgAV*s3^WA-.2b?s3^kos3^lHdJqVodJqVos3^kos8V<Hs8UKokelBZ
+kg@fWrs@o:dJs6as6.korr<#G,O#0d_s#Lqs8V<Hs8ULHdJs6os3^kos3^lHdJqVodJqVodJ3_M
+dJpfAdHK!Xs16VXdJj.IdCSQ)s*t~>
+kPkVPcena%%,_*Bci=%&n)*T[s53VO-/\a[s53k6s53kVhuDU6huDU6s53k6s8VQVs8V!6n!M?!
+n)*%%rsA/OhuE_Ds6nk6rr<#U,ObZVR.&qis8VQVs8V!VhuE`6s53k6s53kVhuDU6huDU6ht[3[
+huD$khs]J&s3KU&hu<WWhp:cSs*t~>
+kPtOKrr3.hs8U;Rs8L4FAH/%sAGZ=3R/bCSs-WhRs-WhRs-WidR/`QRR/bCSs3/^es3-kSR/cWf
+bl@^1ba?WSs-WiDR*>TSR*:rts3/.Es-V#tbl@^ebl>o2s-WhRs-WidR/`QRR/`QRR/bCSs-WZ_
+"D%P"s(),Q"oi,Ws8SJcs8JDKs*t~>
+kPtP/rr3/Ls8V;os8M3b])U1X]))G4dJrFos3^kos3^kos3^lHdJqVodJrFos6/\Hs6.kodJr1J
+kl:\1kgAVos3^kadHLVodHK!Xs6.Vas3^&Xkl:\Hkl9l1s3^kos3^lHdJqVodJqVodJrFos3^]C
+"M4W\s183n"ol0ts8ULGs8LF/s*t~>
+kPtP=rr3/Zs8VQ6s8MHici;o&chdZIhuE06s53k6s53k6s53kVhuDU6huE06s6oFVs6nk6huCp5
+n,NFFn)*U6s53jDhs^U6hs]J&s6mVEs53;&n,NFVn,MkFs53k6s53kVhuDU6huDU6huE06s53\Q
+"OI,*s3L]5"olp;s8V!Us8Lp=s*t~>
+kPkW=s3/^drsb@qs-T2RR/`Ptb[d*.qu7S%s-WhRs8SJdR/`QRR/`QRR*:q.A=/`pR$dlsrr<"c
+#0buns3-kSrVlncM#I>Zba?WSn))?VR/[-bbl=%IA=/`pA=1T.s-WhRs-WhRs-WidR/`QRR/?p`
+Qj[HKbaAEts-T2Rs-Wfcs3(ND1$ARe~>
+kPkXZs6/\GrsdBUs3]6odJqVXkdo0hqu7S^s3^kos8ULHdJqVodJqVodHJuh]$\p:dF%sWrr<#G
+#3`t`s6.korVloGZi0n0kgAVoiPXm,dJj1Fkl9$I]$\p:]$]`hs3^kos3^kos3^lHdJqVodJNtD
+d0mPLkgBFXs3]6os3^iGs6'L`UZ_Z-~>
+kPkY!s6oFUrsdlcs52`6huDU&n'BnKqu7Sls53k6s8V!VhuDU6huDU6hs]IKcemX+hr"G%rr<#U
+#4Ir's6nk6rVloUXSr/)n)*U6ba@kVhu<ZTn,M8^cemX+cen3Ks53k6s53k6s53kVhuDU6hu!HR
+h[@d!n)+0&s52`6s53hUs6g!g^ZYWI~>
+kPl8Os8QVss8U<es3/]SR*>S@ba=c.bl.PKR/d2Rs-WhRs8SJbbX)8>A=1T.s-Wi1bl@]RR$dpR
+ba?VAs6mVEs3-l1s-T1TR/d2Rbl>o"n,Jd!R*>U1R$_Fas3/^eR/`PtQt0b-rQGV9s8SJdR/`QR
+s-Wcb(!L3UR*9+@ba=dAbl>o2s8SHss8Oh:s*t~>
+kPl9ls8T[Xs8V<Hs6/[odHLVAkg@ehkl(MgdJs6os3^kos8ULFkX#6[]$]`hs3^l1kl:[odF&!o
+kgAVAs5D,as6.l1s3]5qdJs6okl9khiW%<hdHLW1dF#Q*s6/\HdJqVXdCQphrTFU9s8ULHdJqVo
+s3^fF($N6VdHJ1Akg@fAkl9l1s8UKXs8SkWs*t~>
+kPl:3s8UF&s8VQVs6oF6hs^Tkn)*$Kn,<7nhuE`6s53k6s8V!Tmm7!"cen3Ks53kFn,NF6hr"J6
+n)*Tks3/.Es6nkFs52^ihuE`6n,Mjhbl?Shhs^UFhquc[s6oFVhuDU&hp9XKrU1*Ns8V!VhuDU6
+s53eT(%9K+hs\nkn)*$kn,MkFs8V!&s8Tjss*t~>
+kl1dQ0pn@.rg5=^R/d2Rs3,$RR*:qbAB`9tba=dtbfp*Ss-WhRs-WhRQt4F.s-WhRs3/^es-Wfc
+s-Nf1rr<"c!PI=hs8SJdrr_0YR$dmQ"5gbYR/[*eba=dss"9]=s3/^eR/`QRR*9*.R/`QRR/`QR
+R/bCSs-T1ts3/\tR$c*bs('@RR/d2Rbl3t4s-T0.R-=R#~>
+kl1e5UX@Khrm<@^dJs6os6.&odHK!*]'/AXkg@fXkii&os3^kos3^kodCSPhs3^kos6/\Hs3^iG
+s3Ui1rr<#G!Qr=Zs8ULHrr^1=dF%sn"2i:/dJj.Ikg@fWs";_!s6/\HdJqVodHJ0hdJqVodJqVo
+dJrFos3]6Xs6/[XdF%1*s17FodJs6okl/s4s3]5hdHLU\~>
+kl1eC^YdrKrnf?shuE`6s6n;6hs]I[cgU?&n)*%&n*g;6s53k6s53k6hp:cKs53k6s6oFVs53hU
+s5*hFrr<#U!PFg!s8V!Vrr\Yghr"G5".6aYhu<WWn)*%%s"<4/s6oFVhuDU6hs\nKhuDU6huDU6
+huE06s52`&s6oF&hr!n[s3L06huE`6n,D2Is52_Khrt)j~>
+kl:Z;rr<#B$NJ=\bl>o2s-V%1rg4GER*9*bs3-jts8SJdR/`QRA=-p-R/G2.QigldQt63r,KuP!
+R/d31R*:rthsZrVR/d3Ds-V#tn)+/4ba?WSs-V#tbl7VGA=/`pR$dfq'q##3Qt65as-WhRs8SIR
+bl>mtba?WRQjj#=R/bCSs3,#ts3/^ds8Oh;s*t~>
+kl:[Xrr<#^$NK>$kl9l1s3^'1rm;JEdHJ1*s6.kXs8ULHdJqVo]$\+hdJW5.d0$u-dCT>W,O!P=
+dJs71dHK!X_r9#,dJs6as3^&XiPY]CkgAVos3^&Xkl1Sc]$\p:dF%mU("*&mdCTA*s3^kos8UKo
+kl9kXkgAVnd1$'=dJrFos6.&Xs6/\Gs8SkXs*t~>
+kl:[trr<#e$NKS@n,MkFs53;FrneIZhs\n[s6nk&s8V!VhuDU6cem(Khu)sChZM3^hp;<%,OaOY
+huE`Fhs]J&R*=IVhuE_Ds53;&baAFfn)*U6s53;&n,E=jcemX+hr"A#(#T&;hp;>[s53k6s8V!6
+n,Mk&n)*U5h[KPRhuE06s6n;&s6oFUs8Tjts*t~>
+l2LjQ0pn@-rrAGcs!VEFs-WidAB^G@AB`8bbfp+eba=c.Qt2SOA7WoOs-WhRs(#Z-R*>U0bQF6V
+R*>R0s-Nf1rr3Lrba@;fs-V$fR/d3DR*:rsrrUE3R/[*fba?VArlcejba=c.AH/%sR/`PtA7V'p
+A=-npR*>U1bflHub[ga@b[gbRR/`Oarr2tcrr<"c!ATu+s*t~>
+l2Lk5UX@KgrrCIGs!YJ+s3^lH]'.QA]'/A*kii'Hkg@ehdCR`Q]"7+Qs3^kos15ehdHLW0kQB5r
+dHLT0s3Ui1rr3MVkg@<Js3^&JdJs6adHK!WrrVE3dJj.JkgAVArobd1kg@eh])U1XdJqVX]"6;:
+]$\+:dHLW1kigFXkdpfAkdpfodJqV*rr2uGrr<#G!Me',s*t~>
+l2LkC^YdrJrrCsUs!Z4Ns53kVcgTckcgU>[n*g;Vn)*$Khp:3;cd2(;s53k6s3K$Khs^UEmfVJ9
+hs^REs5*hFrr3Mdn)'N4s53:4huE_Dhs]J%rrVZHhu<WXn)*TkrpM98n)*$Kci;o&huDU&cd1M+
+cem(+hs^UFn*f0&n'D$kn'D%6huDT[rr2uUrr<#U!PdOVs*t~>
+l2Nc20pp2/s8U<es8U<eR*<eSR*<dAs-WhRQt4F.bl@^1s-Wi1baAEts-V#tR*:rtR/`Pts8U<1
+R/[*fba?Vurr3MQR*>Tfn,LUfs6nkFba?WRs8U:DR*>R0s-Pahs8U<1s-WhRba=dAR/`QRR*<eS
+R/`QRs3-kSA=/baR/`PtbaAFSba?Vus8U<es8U<eQnaums*t~>
+l2NckUXA;hs8V<Hs8V<HdHKfodHKfAs3^kodCSPhkl:\1s3^l1kgBFXs3^&XdHK!XdJqVXs8V<1
+dJj.JkgAVXrr3MmdHLVJiW&,Js5ClqkgAVns8V9`dHLT0s3Wdhs8V<1s3^kokg@fAdJqVodHKfo
+dJqVos6.ko]$\q*dJqVXkgBFokgAVXs8V<Hs8V<HdA,+Rs*t~>
+l2Nd$^YeMKs8VQVs8VQVhs^%6hs^$ks53k6hp:cKn,NFFs53kFn)+0&s53;&hs]J&huDU&s8VQF
+hu<WXn)*U&rr3Mths^T4bl@.5s3-l1n)*U5s8VNghs^REs5,d(s8VQFs53k6n)*$khuDU6hs^%6
+huDU6s6nk6cemX[huDU&n)+06n)*U&s8VQVs8VQVhnS(5s*t~>
+l2M$VABb(tbl@^1rr3n(s-R?ss-V#@s8QWRR/`Pts8SJdbfp*Ss-Wc/s-Q$pR/`P@A=3D@R*>U1
+R*:rAs8U<es3/^ebfp+UhjCLXn,LVUs3/^ebfp+eba?VAs8U<1bl=&@R$do@ba=drbSllKR/bCS
+s-WidbaAEtb[gbRAB^G@s(%MsR/[*kR/d31bl>mtR-FX$~>
+l2M%:]'01Xkl:\1rr3nas3\FXs3^&As8T[odJqVXs8ULHkii&os3^f/s3X'pdJqVA]$^QAdHLW1
+dHK!As8V<Hs6/\Hkii'*_pPR.iW&-*s6/\Hkii'HkgAVAs8V<1kl9&AdF&!Akg@fVkShkKdJrFo
+s3^lHkgBFXkdpfo]'.QAs16VXdJj.OdJs71kl9kXdHU[]~>
+l2M%HcgUo&n,NFFrr3nos520&s53:ks8UF6huDU&s8V!Vn*g;6s53eDs5-'0huDTkcenckhs^UF
+hs]Iks8VQVs6oFVn*g;#R,<_4bl@/#s6oFVn*g;Vn)*Tks8VQFn,M:khr"Ikn)*%$mi(*`huE06
+s53kVn)+0&n'D%6cgTcks3KU&hu<W]huE`Fn,Mk&hs(/k~>
+l2Lc=R/[+>R*>TSbl@^ebl='Ss-Wi1R/`PtR*>Sts-WidR/d2RbflISA7WoOba=c.R/d1@R/R$d
+ba?WQrrUE3bl7VKR/bBthp9Njs-Wfc!mI%UrVlrCR*>O/0UOTps-R>aR*:rAA7Y_-bflISs-Wid
+R/`QRba?VAs-V%1R/bBts3/^es3/^ebaAD0!LPV+s*t~>
+l2LdZdJj/"dHLVokl:\Hkl9&os3^l1dJqVXdHLVXs3^lHdJs6okigFo]"7+Qkg@ehdJs6AdJa(H
+kgAVmrrVE3kl1SgdJrFX_klS\s3^iG!pJ%qrVlr_dHLQ/0[ZZqs3\F*dHK!A]"7phkigFos3^lH
+dJqVokgAVAs3^'1dJrFXs6/\Hs6/\HkgBD0!R[\,s*t~>
+l2Le!hu<X0hs^U6n,NFVn,M;6s53kFhuDU&hs^U&s53kVhuE`6n*f06cd2(;n)*$KhuE_khu3QV
+n)*U4rrVZHn,E=nhuE0&Qt5[Ss53hU!q5%8rVlrfhs^OD0]0YFs52/[hs]Ikcd2XKn*f06s53kV
+huDU6n)*Tks53;FhuE0&s6oFVs6oFVn)+-E!T1ZVs*t~>
+l2Lcp1&h1Uba=dAR/[*oR/d1sR/`QRR$do@bl3t9ABb(tbl=(1R/d,Ps3)%AA=1U@s-WidR*>TS
+bl>o2rr<"cr;R"hbjXH8n'%0ss8SJcs8U:Ss3/^ebaAG1R/d31Qt2T.bl*n8s-WhRs3/^eb[g^?%
+*Y+=R$do@s-R?ss-Wfc"IRE#R*>R0!AS-Ls*t~>
+l2LdqU]18rkg@fAdJj.SdJs6XdJqVodF&!Akl/s9]'01Xkl9'1dJs0ms6($A]$]aAs3^lHdHLVo
+kl9l1rr<#Gr;R#Lki'FUiTS\es8ULGs8V9os6/\HkgBG1dJs71dCR`hkl&m8s3^kos6/\Hkdpc@%
+-Z+=dF&!As3\FXs3^iG"OZG\dHLT0!Md6js*t~>
+l2Le1^]+69n)*$khu<WahuE`&huDU6hr"Ikn,D2NcgUo&n,M;FhuEZ4s6gNVcen3ks53kVhs^U6
+n,MkFrr<#Ur;R#Zn'%/0bjXHes8V!Us8VO!s6oFVn)+0FhuE`Fhp:3Kn,;,Ms53k6s6oFVn'D!j%
+.E*Rhr"Iks520&s53hU"Q/\*hs^RE!PctFs*t~>
+l2LdO1&_+_R/bB@bl@^1s8SJdR$dpRrg<`c!gs#frg<`c!LWocQi[5SrabqorVlrCR*>R0#+5G7
+R/d2Rrr<#B#C,_;hsYg6bl7VHR/d2Rbl=(0rrUE3bl.S>R/UUsR/d,P"94bgs8JDcrrSSfs8JDc
+s8SGos-WidR/d31ABb(@rVlmQR-FX$~>
+l2Le3U](3'dJrFAkl:\1s8ULHdF&!ormCcG!n%&JrmCcG!R^rGd/j9prjr$TrVlr_dHLT0#1<J7
+dJs6orr<#^#F49J_r6mEkl1SddJs6okl9'0rrVE3kl(PZdJg]XdJs0m"96dKs8LFGrrUUJs8LFG
+s8UISs3^lHdJs71]'01ArVlnndHU[]~>
+l2LeA^]"0ChuE/kn,NFFs8V!Vhr"J6rnmbU!oO%XrnmbU!T3qUhZ<c7rm1N"rVlrfhs^RE#2fIL
+huE`6rr<#e#C+JmR*9gDn,E=khuE`6n,M;ErrVZHn,<:ahu:q&huEZ4"979Ys8LpUrrV*Xs8LpU
+s8Usas53kVhuE`FcgUnkrVlo5hs(/k~>
+l2UdNrVuoAs8NdDR*>Sts8SJdR$do@s-T2Rbfp+erg4L4Qt2Rps-T1tQt0b-s-V#tbl@^eR*<eQ
+rrJM2rVmCqs-UIVs-WiDR/c'VR/`QPrrL?2rVuoA'q!5Fs3-kSR/d1sA=1T.R/^]aA=-p,R/d3d
+bS:)ER/`QRR$do@s8SJdba;r@s3/^cs8SJNs*t~>
+l2Ue2rVuo]s8NeEdHLVXs8ULHdF&!As3]6okii'Hrm;OndCR`:s3]6XdCQphs3^&Xkl:\HdHKfm
+rrLO2rVmDUs3]!,s3^kadJq,,dJqVmrrM?2rVuo](")7Fs6.kodJs6X]$]`hdJpf*]$\+gdJs7H
+kS4'EdJqVodF&!As8ULHkg@!As6/\Fs8UL2s*t~>
+l2Ue@rVuods8NeZhs^U&s8V!Vhr"Iks52`6n*g;VrneO<hp:3+s52`&hp9XKs53;&n,NFVhs^%4
+rrM$GrVmDcs51JVs53jDhuB(VhuDU4rrMTGrVuod(#SK[s6nk6huE`&cen3KhuD$[cem(JhuE`V
+mhGfZhuDU6hr"Iks8V!Vn))Iks6oFTs8V!@s*t~>
+l2LcpR/HscR/d3cbl=(1rsb@qs-V%1R/bB@Qt4F.rr3Fps-V$SR/^]aA=3D@R/[-cbR0`]s8U<e
+s8SJ1R/R$eba@;Vrr37kXN^_En)'MVrVm:nbaAG1bfp+eba?Vurr3Fpbl=&@Qt65abflISR/[*t
+R*9*.ABb(@s3-l1s-WidR$dlss8N(dr;QebAEj,E~>
+l2LdqdJX"GdJs7Gkl9'1rsdBUs3^'1dJrFAdCSPhrr3GTs3^&odJpf*]$^QAdJj1GkR,`$s8V<H
+s8UL1dJa(Ikg@<,rr38OXQ]]aiPX(,rVm;RkgBG1kii'HkgAVXrr3GTkl9&AdCTA*kigFodJj.X
+dHJ0h]'01As6.l1s3^lHdF%sWs8N)Hr;QfF]'96F~>
+l2Le1hu*KUhuE`Un,M;Frsdlcs53;FhuE/khp:cKrr3Gbs53;6huD$[cenckhu<ZUmg@t@s8VQV
+s8V!Fhu3QWn)'MVrr38]M!tBDba@;VrVm;`n)+0Fn*g;Vn)*U&rr3Gbn,M:khp;>[n*f06hu<Wf
+hs\nKcgUnks6nkFs53kVhr"G%s8N)Vr;QfTcftI[~>
+l2Lc=R/I!abl@\UR/d2RR/bCSs8QVsR/d2Rs3-l0rsb@qbflISR$_DpR$]UqrVlrCR*>O/s3(V5
+s8U<err3%U]Zg?S!R-AurrUEWM#RGSbl@\ER*<eQrrUE3bl.PNQnatqA7V'ps-V$Ss-Wfc(7<>G
+R/d2RQt66sbfp*SR/d2Rs8U<er;Qeb1$S^g~>
+l2LdZdJX%Ekl:YqdJs6odJrFos8T[XdJs6os6.l0rsdBUkigFodF#P:dF"`:rVlr_dHLQ/s6'U5
+s8V<Hrr3&+b38g(!U-lgrrVE,Zi:")kl:YadHKfmrrVE3kl(MjdA,+:]"6;:s3^&os3^iG(=D@G
+dJs6odCTAXkii&odJs6os8V<Hr;QfFUZqf/~>
+l2Le!hu*NSn,ND#huE`6huE06s8UF&huE`6s6nkErsdlcn*f06hquc+hqu3+rVlrfhs^ODs6g*J
+s8VQVrr3&$]^Ph!!Um,grrVZ%XT&8"n,NChhs^%4rrVZHn,<7qhnS(+cd1M+s53;6s53hU(>nT\
+huE`6hp;?&n*g;6huE`6s8VQVr;QfT^ZkcK~>
+l2L`<qYr18s8U<es8QVss-WidR/`P@s8SJds-WhRs8SJ1ba=c.0kC<Os8SJ1s3/^ebfp%c!LV+1
+s8U:Gs-W9TR/[-cbQ6Ugrr31is6l?Tbfp(d!R-r0s8U:os3/^ebaAG1R/^\OA=/b.baAG1R/`QR
+s-WidR$do@s8SJdQt66sbfp+eR/6g_1$S^g~>
+l2LaYqYr1qs8V<Hs8T[Xs3^lHdJqVAs8ULHs3^kos8UL1kg@ehUUpKQs8UL1s6/\Hkii!F!R^-1
+s8V9cs3]g*dJj1GkQ/TKrr32Ms5DB*kii$G!U.r0s8V:6s6/\HkgBG1dJpeQ]$\phkgBG1dJqVo
+s3^lHdF&!As8ULHdCTAXkii'HdJEkCUZqf/~>
+l2LauqYr2*s8VQVs8UF&s53kVhuDTks8V!Vs53k6s8V!Fn)*$K^X)r;s8V!Fs6oFVn*g5T!T3AF
+s8VNjs52'#hu<ZUmfAg5rr32[s30C#n*g8U!UnqEs8VO=s6oFVn)+0FhuD$;cemXKn)+0FhuDU6
+s53kVhr"Iks8V!Vhp;?&n*g;Vhtm?Q^ZkcK~>
+l2L`<qZ$T>s8NOqs8U<eR*<eSs-Wi1AH'gQrrcl"s3/^cQiL[rR/R$dba?WRrs"kjs3-l1R/R$d
+R&nO2rs>(mbfp+Ebfp*Srr3&DXI/td#+5FXbl@^1rr3&DR*>O/rg3[rrL!W/"TOj"s8W)B&S0,c
+R/d31ba?Vus8SJds3/^`rr=e<s*t~>
+l2LaYqZ$TZs8NPUs8V<HdHKfos3^l1])Lpnrrfp\s6/\Fd/^cWdJa(HkgAVnrs$mNs6.l1dJa(H
+dB)R2rs@*Qkii&akii&orr3&`XO7"H#1<Iukl:\1rr3&`dHLQ/rm:_WrR(Z/"TQl\s8W)^&\@3+
+dJs71kgAVXs8ULHs6/\CrrAhYs*t~>
+l2LauqZ$Tas8NPcs8VQVhs^%6s53kFci3D5rrg[*s6oFThZ2"%hu3QVn)*U5rs%B\s6nkFhu3QV
+hh^b#rs@T_n*g:Dn*g;6rr3&gLu812#2fI<n,NFFrr3&ghs^ODrnd_%rSRYD"TRB*s8W)e&^TqG
+huE`Fn)*U&s8V!Vs6oFQrrBgus*t~>
+l2L`<q>UPas8SJcrt_"%Qt66sR/d2Rba;q.R/bBtA7V'ps8HO7ba?WSs3-kSbl.PLR*<eSs3/^e
+s6m%Vr;R"hbl@_#s3-l.rsP3qn,NF3bl@^ebaAA/s3(\7bl@^eR*>P?(B9bhA7V(Os-T0aR*:rt
+s-WidA=3Carr3(fs8SJ^rr=e<s*t~>
+l2LaYq>UQEs8ULGrta#^dCTAXdJs6okg?uhdJrFX]"6;:s8KS8kgAVos6.kokl(MhdHKfos6/\H
+s5C',r;R#Lkl:\#s6.l.rsR5UiW&rAkl:\HkgBA/s6'[7kl:\HdHLS@(B;e0]"6;Qs3]6*dHK!X
+s3^lH]$^Q*rr3)Js8ULBrrAhYs*t~>
+l2Lauq>UQSs8V!UrtaMlhp;?&huE`6n))IKhuE0&cd1M+s8L=Mn)*U6s6nk6n,<7ohs^%6s6oFV
+s3-;Vr;R#Zn,NETs6nkCrsR_?bl@_3n,NFVn)+*Ds6g0Ln,NFVhs^Qj(B<:Lcd1M;s52_[hs]J&
+s53kVcenc[rr3)Xs8V!PrrBgus*t~>
+l2LaNq>^K=s8NXts8SJds-T2Rs-Wi1bl@^1rr34js-WhRA20JNs8U:GR*>U1R/R$cbaAA/".9,G
+]`-.Ss8U:JR/d3Ds-V$Srr;uA"2*OkR/R$cR*>O/#+5Gjba?Vurr34j0k?[OR/`QQrtLk#s3/^e
+R/d2RR/d2Rs8SJds3/^_rrAGNs*t~>
+l2Lb2q>^KYs8NYXs8ULHs3]6os3^l1kl:\1rr35Ns3^ko\td[Ps8V9cdHLW1dJa(GkgBA/"4@.d
+b5UW(s8V9fdJs6as3^&orr;u]"3SO]dJa(GdHLQ/#1<JNkgAVXrr35NUUnkQdJqVnrtNl\s6/\H
+dJs6odJs6os8ULHs6/\BrrCI2s*t~>
+l2Lb@q>^K`s8NYfs8V!Vs52`6s53kFn,NFFrr35\s53k6cbJB:s8VNjhs^UFhu3QUn)+*D"5j-G
+]`.C!s8VNmhuE_Ds53;6rr;ud"2($$hu3QUhs^OD#2fI\n)*U&rr35\^X(g;huDU5rtOAjs6oFV
+huE`6huE`6s8V!Vs6oFPrrCs@s*t~>
+l2LaNq#:G,bl=(0rrSSfs8A>brsb@qs3/^eR/bCSQt.q=rVlrCR*>O/".9,gR/Y>/s8Tb3bl@\C
+R/[*lR/bCSs53jDs-Wfc#+5Gjbfm`4rr;uA".9,gR/R$dba?WQrstJOA=1Tbs-Wi1bl@^1s8W%b
+s8N(drr3(fs3,$KrrAGNs*t~>
+l2Lb2q#:H-kl9'0rrUUJs8C@FrsdBUs6/\HdJrFodCQ+#rVlr_dHLQ/"4@/KdJiA/s8U7Akl:Y_
+dJj.PdJrFos24las3^iG#1<JNkig13rr;u]"4@/KdJa(HkgAVmrt!MP]$]a*s3^l1kl:\1s8W&F
+s8N)Hrr3)Js6.&hrrCI2s*t~>
+l2Lb@q#:HBn,M;ErrV*Xs8CjTrsdlcs6oFVhuE06hp9'prVlrfhs^OD"5j.Yhu<*Ds8Tb3n,NCf
+hu<W^huE06s-WiDs53hU#2fI\n*dp%rr;ud"5j.Yhu3QVn)*U4rt"#%cen3[s53kFn,NFFs8W&T
+s8N)Vrr3)Xs6n;/rrCs@s*t~>
+lMgmPbkV2`R*:rAR/d2Rs8SJds-R?sbfp+eQt66sR/\lqR/`Pts3/^eR/R'bbQ+%0rs"kjs6oED
+bl.PCR/`QQrr\YghjFEC!gs"TrVm)GR.'MDs-Wfc!gq3UrVn.1s3/^ebaAEt0er]qs8QVss8U<e
+s(%Mss-WidR/d2Rba?VAq#:B=R-O^%~>
+lMgn4kkP0'dHK!AdJs6os8ULHs3\FXkii'HdCTAXdJou:dJqVXs6/\HdJa+FkQ'$0rs$mNs5Dqa
+kl(M_dJqVnrr^[K_pSJ`!n%%qrVm)cdGa'as3^iG!n$5qrVn.js6/\HkgBFXUSIk:s8T[Xs8V<H
+s16VXs3^lHdJs6okgAVAq#:BYdH^a^~>
+lMgnBn+co.hs]IkhuE`6s8V!Vs520&n*g;Vhp;?&huCI+huDU&s6oFVhu3TTmf;8Ers%B\s3/^E
+n,<7fhuDU5rr_0YR,@oC!oO%8rVm)jhos=Es53hU!oNJ8rVn/#s6oFVn)+0&^VBg+s8UF&s8VQV
+s3KU&s53kVhuE`6n)*Tkq#:B`hs15l~>
+lMgjOpAYPgs3,$Rs3/^es-Widrg3n#R$c+tR$dk`"u4@%s3-kSrr2tcrVlk.rVuoA"Q/[lbaAA/
+!gq3UrVlqdXN^\Ds3(J1rVm(hbfoP5bfp%c!+c'.!1<cc#0`IYs8U:trac%r"TQ]5Qt62`s8NFn
+s8U<es8QWRs-WN[!1<'OJ,~>
+lMgk3pAYQKs6.&os6/\Hs3^lHrm:q]dF%1XdF%s)#,CD^s6.korr2uGrVll/rVuo]"N03^kgBA/
+!n$5qrVlrHXQ]Z`s6'I1rVm)Lkih!Ckii!F!4r./!7CfG#3aIus8V;Xrjr-W"TR]5dCT>)s8NGR
+s8V<Hs8T[os3^Q?!7C*3J,~>
+lMgkApAYQYs6n;6s6oFVs53kVrndq+hr!o&hr"FZ#/BX,s6nk6rr2uUrVllDrVuod"IRF%n)+*D
+!oNJ8rVlrVM!t?Cs6fsFrVm)Zn*eJfn*g5T!71WD!8meU#4LI<s8VQ&rm1W%"TRrJhp;;Zs8NG`
+s8VQVs8UF6s53PM!8m)AJ,~>
+hZ!qMs8U;RR/`QRs-Wfc".9,gR/[*jba;oq0kC=arg<Za!1<cc!gs"Trr32kM#[LBs-Wcb!R-r/
+rrL?"r;Qebbl.PGR/`QRs+p.CrrSSfR/[*cR/R'aR/d0iA2,fLR*>R0".9,gR/[*mR/d2Rs-R?@
+s8SJCs*t~>
+hZ!r1s8V;odJqVos3^iG"4@/KdJj.Nkg?u:UUpL*rmC]E!7CfG!n%%qrr32]ZiC'Qs3^fF!U.r/
+rrM>ir;QfFkl(McdJqVos0L\`rrUUJdJj.GdJa+EdJs4M\tc%3dHLT0"4@/KdJj.QdJs6os3\FA
+s8UL's*t~>
+hZ!r?s8VQ6huDU6s53hU"5j.Yhu<W\n))I+^X)r[rnm\S!8meU!oO%8rr32HXT/=Xs53eT!UnqD
+rrMSir;QfTn,<7jhuDU6s/aHDrrV*Xhu<WUhu3TShuE][cbI6@hs^RE"5j.Yhu<W_huE`6s52/k
+s8V!5s*t~>
+hZ*W"s8NFns-R?@s8SJds-Wfc!gs#3rac$`!gq3!rr2tcrVm:ns-WidR/d3Dn,JcBrr2tcrr3%e
+bfp%c!LS-1s8U:CR/[*cR/[-cQjWl^huE_Ds8SJdR/R$bR/[*gR*:pP1&b\bbl=(0rskFrs-Wid
+b[d+@R/d31bhiAM~>
+hZ*W>s8NGRs3\FAs8ULHs3^iG!n%&3rjr-)!n$5Zrr2uGrVm;Rs3^lHdJs6aiW%<Qrr2uGrr3&I
+kii!F!R[22s8V9_dJj.GdJj1Gd0fp4_uKbas8ULHdJa(FdJj.KdHJuQU].h+kl9'0rsmHVs3^lH
+kdo1AdJs71khc>i~>
+hZ*WEs8NG`s52/ks8V!Vs53hU!oO%Hrm1VZ!oNJ(rr2uUrVm;`s53kVhuE_Dbl?SXrr2uUrr3&W
+n*g5T!T//#s8VNfhu<WUhu<ZUh[9D-R/d3Ds8V!Vhu3QThu<WYhs]I;^])O\n,M;Ersmrds53kV
+n'BnkhuE`Fn)"(p~>
+h>[hLs8U<es8QVss-Wfc!1<ccqdf\nrVlkbrVloBR/R$cLu843!+c'.s3(WGR/d2Rrr<#B!T0:D
+rs"kjs-Wi1bl.PAAH)T0hh_72!LV+0rrAGbs8JD_AH)T/R/[*mR/`Oas8U<es8SJBs*t~>
+h>[i0s8V<Hs8T[Xs3^iG!7CfGqmudSrVllFrVlo^dJa(GZbueB!4r./s6'UcdJs6orr<#^!Q3=a
+rs$mNs3^l1kl(M]])M^1_mB=A!R^-0rrCIFs8LFC])M^0dJj.QdJqV*s8V<Hs8UL&s*t~>
+h>[i>s8VQVs8UF&s53hU!8meUqp59!rVllTrVloehu3QUXI0"e!71WDs6g*jhuE`6rr<#e!LVdD
+rs%B\s53kFn,<7dci3qFR&p8d!T3AErrCsTs8LpQci3qEhu<W_huDT[s8VQVs8V!4s*t~>
+h>[JBrr3Lrs8SJdR$_EOs-WhRA7V),0a)$Ss3/^crrAGcs8SJcrrM#5rr3%es-Wcb!gq3Urr3:l
+s8SJdhos=ER/[-cbQ+%/rrSSfR/[*dLu843s-Wfc!1<`bs3(QEQt61N&"$m<R/`QRQt2SOs-Wid
+R/[*cR,.dm~>
+h>[K&rr3MVs8ULHdF#PQs3^ko]"6;gUBJ0Us6/\FrrCIGs8ULGrrL$Drr3&Is3^fF!n$5qrr3;P
+s8ULH_s$=adJj1GkQ'$/rrUUJdJj.HZbueBs3^iG!7CcFs6'OadCT=P&(.u"dJqVodCR`Qs3^lH
+dJj.GdG=hQ~>
+h>[K4rr3Mds8V!Vhquc;s53k6cd1MJ^BDm?s6oFTrrCsUs8V!UrrJLgrr3&Ws53eT!oNJ8rr3;^
+s8V!VR.'MDhu<ZUmf;8DrrV*Xhu<WVXI0"es53hU!8mbTs6g$hhp;;:&)Y^ZhuDU6hp:3;s53kV
+hu<WUhqe<_~>
+h#@nPs8U<es8SJds-WhRQt2T`bQF5C0pqt?!1<`brlbh=s3/^ehuE_Ds3/^eR/R$cbaAA/s3(_8
+s8V!VR*<eQrrJM2rVm=os3/^eR/d3Ds3/^eR/Y>.rrAGcrr\WCA=3A?&"$mpR/`QRs-Widbfp+e
+R,%^l~>
+h#@o4s8V<Hs8ULHs3^kodCRa)kQB5DUXB)@!7CcFroag=s6/\H_uKbas6/\HdJa(GkgBA/s6'^8
+s8U":dHKfmrrLO2rVm>Ss6/\HdJs6as6/\HdJiA.rrCIGrr^ZD]$^N@&(.u9dJqVos3^lHkii'H
+dG4bP~>
+h#@oBs8VQVs8V!Vs53k6hp:3ZmfVIn^Yf%j!8mbTrpL<Rs6oFVR/d3Ds6oFVhu3QUn)+*Ds6g3M
+s8SJdhs^%4rrM$GrVm>as6oFVhuE_Ds6oFVhu<*CrrCsUrr_/ncen`j&)Y^jhuDU6s53kVn*g;V
+hq\6^~>
+h#@AArr3(fs8SJcrsP4os-R>-s"V`.A=3Ars31HA!LV+1rrJMErr3%ebfp(d!1<ccs-W`a#FNa8
+s53k#R/I!aR/[*cR/[-cbQ+%0rrM#Err3#CR/R'bbl7VMQt0aO1&kcpR/d2Rrr3(fs8SJcrrAGA
+s*t~>
+h#@B%rr3)Js8ULGrsR6Ss3\Ehs.eeh]$^NWs60F]!R^-1rrLNbrr3&Ikii$G!7CfGs3^cE#LVc8
+s24m#dJX%EdJj.GdJj1GkQ'$0rrL$brr3#_dJa+Fkl1SidCQpQU]7p:dJs6orr3)Js8ULGrrCI%
+s*t~>
+h#@B3rr3)Xs8V!UrsR`as52/Ks1e$Kcena%s6opd!T3AFrrM#Err3&Wn*g8U!8meUs53bS#N,"M
+s-WiThu*NShu<WUhu<ZUmf;8ErrJMErr3#fhu3TTn,E=php9X;^]2X+huE`6rr3)Xs8V!UrrCs3
+s*t~>
+h#IDus8W,Cs8N4hs8U<erg<Xp!\s_BrVlkbrr35IR*>U1hn724rrL?2rVm(hs8U<es-Wcbs-Wid
+"5j.&AGuN4R/bCSs8SJbrrJM2rr35I]\ibhba?WRrrAGbrrSSf1&YY^R/bD1rs5"ls3/^es3/^B
+s*t~>
+h#IE<s8W,_s8N5Ls8V<HrmC\U!i,eCrVllFrr35edHLW1_oh3BrrM?2rVm)Ls8V<Hs3^fFs3^lH
+"2k0&])DX5dJrFos8ULFrrLO2rr35eb/=8ZkgAVnrrCIFrrUUJU]%e'dJrG1rs7$Ps6/\Hs6/\%
+s*t~>
+h#IECs8W,fs8N5Zs8VQVrnm\#!l+cmrVllTrr35lhs^UFR(VnerrMTGrVm)Zs8VQVs53eTs53kV
+".9,Wci*kJhuE06s8V!TrrM$Grr35l]U8a!n)*U5rrCsTrrV*X^\uLXhuE0Frs7N^s6oFVs6oF3
+s*t~>
+g]%8@rr3(fs8SJcrsR%]s-T0.A7Wpas-Wcb&"*C@bl=(!huE_Ds8U<eR/R'`bl@\CR/[*lR/`QR
+s53jDs-Wfc!gs#frQP6?&"(Sbs8SJds53:4s3/^eR/R$mR/d31A7RE^R/^^@rr3(fs8SJcrrAG@
+s*t~>
+g]%9$rr3)Js8ULGrsS&%s3]5h]"7,*s3^fF&(1F@kl9&h_uKbas8V<HdJa+Dkl:Y_dJj.PdJqVo
+s24las3^iG!n%&JrTO4[&(0V)s8ULHs23gCs6/\HdJa(QdJs71]"4ZadJpfArr3)Js8ULGrrCI$
+s*t~>
+g]%92rr3)Xs8V!UrsS;As52_Kcd2([s53eT&)[EUn,M:hR/d3Ds8VQVhu3TRn,NCfhu<W^huDU6
+s-WiDs53hU!oO%XrU9^b&)ZjEs8V!Vs-V$fs6oFVhu3Q_huE`Fcd0A`huD$krr3)Xs8V!UrrCs2
+s*t~>
+g].5>s31NC"IT5hQt62`!b=$Qrr2tcrVm(hbfp+eM!t?Cs3(WGR/d2RrVunbrVmCqs8SJds-WiD
+bfp*Ss8SJbs8SJbrs"kjs-Wi1bl7VHmth#DbflIQrrAGcrrSQBAH%r%A=3DsR/d31bl*p`s*t~>
+g].6"s60L_"O[8LdCT>)!kP/Srr2uGrVm)Lkii'HZf1o`s6'UcdJs6orVuoFrVmDUs8ULHs3^ka
+kii&os8ULFs8ULFrs$mNs3^l1kl1SdiNrRakigFmrrCIGrrUTC])L(_]$^QXdJs71kl&o`s*t~>
+g].60s6p!f"Q07Zhp;;Z!meX=rr2uUrVm)Zn*g;VXN^\Ds6g*jhuE`6rVuoTrVmDcs8V!Vs53jD
+n*g;6s8V!Ts8V!Trs%B\s53kFn,E=kbcLjEn*f04rrCsUrrV)mci2f-cend&huE`Fn,;.us*t~>
+gA__Os8SHsR$_EOQt65aABZb_r;Qbarr32HR/d3Ds-Wcbs-Wfc!1<`b!+c$-!gs"Trr<#B!T0:D
+rrSSfR/HsaAGuN.R/[-cR/R$hR/c(Ds-V%0rrAGas8Oe`b[d+@A=/`pR$_EOs8SJ?s*t~>
+gA_`3s8UKXdF#PQdCTA*]',oar;QcErr32ddJs6as3^fFs3^iG!7CcF!4r+.!n%%qrr<#^!Q3=a
+rrUUJdJX"E])DX/dJj1GdJa(LdJq,as3^'0rrCIEs8Si(kdo1A]$\p:dF#PQs8UL#s*t~>
+gA_`As8V!&hquc;hp;>[cgSW`r;QcSrr32khuE_Ds53eTs53hU!8mbT!71TC!oO%8rr<#e!LVdD
+rrV*Xhu*KSci*kDhu<ZUhu3QZhuB)Ds53;ErrCsSs8ThDn'BnkcemX+hquc;s8V!1s*t~>
+gA_/?rr2tcrr3:ls-Wi1A7RF=bl.PKR/d2Rba@kVs8SJbrr?U.s8U=Cs8U:CR/I!aR/R$dR&nO2
+s8SJars"k7bl@^ebl.PAAGuN8R/d3Dn!M=ds8SJbs8U:J0k=h=s-WhRrr2tcrr2tcgAc[~>
+gA_0#rr2uGrr3;Ps3^l1]"4[#kl(MgdJs6okgAA,s8ULFrrBY/s8V<_s8V9_dJX%EdJa(HdB)R2
+s8ULErs$m7kl:\Hkl(M]])DX9dJs6aiR-l:s8ULFs8V9fUUn&#s3^korr2uGrr2uGgAc[~>
+gA_01rr2uUrr3;^s53kFcd0Apn,<7nhuE`6n))?Vs8V!TrrCCDs8VQfs8VNfhu*NShu3QVhh^b#
+s8V!Srs%BLn,NFVn,<7dci*kNhuE_DbhqmHs8V!Ts8VNm^X(6ps53k6rr2uUrr2uUgAc[~>
+g&D&>rr3Cos8U<eR*9*.ABb(@r;Zeas8N,WR/R$gR/d2Rs-Wcb"do>iR/`QOrr?U-rrL?"r;Qb-
+r;Qqfs-WidR/R$gR/`QRs-Wcb"dn3Is-T2OrsY:pb[d)Oba?Vus8SJcrrAG>s*t~>
+g&D'"rr3DSs8V<HdHJ0h]'01Ar;ZfEs8N,;dJa(KdJs6os3^fF"k!AMdJqVlrrBY.rrM>ir;Qc.
+r;QrJs3^lHdJa(KdJqVos3^fF"jt6fs3]6lrs[<Tkdo0QkgAVXs8ULGrrCI"s*t~>
+g&D'0rr3Das8VQVhs\nKcgUnkr;ZfSs8N+ehu3QYhuE`6s53eT"lK@[huDU3rrCCCrrMSir;QcC
+r;QrXs53kVhu3QYhuDU6s53eT"lG^Is52`3rs[fbn'Bn;n)*U&s8V!UrrCs0s*t~>
+g&D&>rr2tcrr3:lb[b8.AH2\Rbl.PFAH2,Us-Wcb"do>6bl=(/s8U:CR/[*cR/[-cbQ+%/rrJLC
+rVlqdbfp(d!1<cc!gq3UrVm%gs3/^eR/R$gR/c(4s()*.s31NC"_>hfAB^G?rrAGcrrAG>s*t~>
+g&D'"rr2uGrr3;Pkdn@h])Vfokl(Mb])Ua,s3^fF"k!A6kl9'/s8V9_dJj.GdJj1GkQ'$/rrLNR
+rVlrHkii$G!7CfG!n$5qrVm&Ks6/\HdJa(KdJq,Cs181/s60L_"hNp/]'.Q@rrCIGrrCI"s*t~>
+g&D'0rr2uUrr3;^n'B>Kci=%6n,<7ici;4Vs53eT"lK@Kn,M;Ds8VNfhu<WUhu<ZUmf;8DrrM#Y
+rVlrVn*g8U!8meU!oNJ8rVm&Ys6oFVhu3QYhuB(fs3LZDs6p!f"jcY`cgTcjrrCsUrrCs0s*t~>
+f`(r=rr34js8SH@A7RFnrsP4os3-l1M!tBDbfp(d#0`IYs8U<erVunbrr2tcrr3%es-Wcb!gp(5
+rr3%es-Wfc!1<ccs-Wcbs31NC!mI%Urr<#Bs8N>mM#Wjds8SJbrs(8hA20JOs-Wfc!1;F=J,~>
+f`(s!rr35Ns8UKA]"4[8rsR6Ss6.l1Zf1rakii$G#3aIus8V<HrVuoFrr2uGrr3&Is3^fF!n"+5
+rr3&Is3^iG!7CfGs3^fFs60L_!pJ%qrr<#^s8N>_ZiAG:s8ULFrs,=1\td[Qs3^iG!7BI!J,~>
+f`(s/rr35\s8Uukcd0B)rsR`as6nkFXN^_En*g8U#4LI<s8VQVrVuoTrr2uUrr3&Ws53eT!oJh&
+rr3&Ws53hU!8meUs53eTs6p!f!q5%8rr<#es8N>JXT.2Hs8V!Trs-<bcbJB;s53hU!8lH/J,~>
+f`(r=rr34js3,#tbV@??s8C.Cn)'N2rrAGcrrL?2rVlkbrVlk.r;Qhcs-Wfc$(1bmR/c'2s8SJc
+rrSSfR/HsaAGuN.R/R$cR*>R0!1<`b!gqm6rQP6?#L"pHb[ertR/[*cR+VFh~>
+f`(s!rr35Ns6.&XkbIA?s8D-_iPX(ArrCIGrrM?2rVllFrVll/r;QiGs3^iG$.8eQdJq,3s8ULG
+rrUUJdJX"E])DX/dJa(GdHLT0!7CcF!n"pErTO4[#O%rHkdp!XdJj.GdFeJL~>
+f`(s/rr35\s6n;&n%\>is8DBfba@;drrCsUrrMTGrVllTrVllDr;QiUs53hU$/bd_huB)$s8V!U
+rrV*Xhu*KSci*kDhu3QUhs^RE!8mbT!oKBhrU9^b#OfFrn'CJ&hu<WUhq7sZ~>
+fDc/Es8U;RbaAE@bkqDER*>$fs3/^drrAGcs8SJbs8U=CrrSSfR/R$dR*<eRrs>(ms-WiDbfp*S
+rr<#B!1<`b#+5FXs8U<erVunbrr2tcrr<#B"TRrZbaA;-$-Zr[R*9*bs8SJ<s*t~>
+fDc0)s8V;okgBFAkkkAadHKQJs6/\GrrCIGs8ULFs8V<_rrUUJdJa(HdHKfnrs@*Qs3^kakii&o
+rr<#^!7CcF#1<Ius8V<HrVuoFrr2uGrr<#^"TRH>kgB;-$0\u#dHJ1*s8UKus*t~>
+fDc07s8VQ6n)+/kn,*+hhs\e5s6oFUrrCsUs8V!Ts8VQfrrV*Xhu3QVhs^%5rs@T_s53jDn*g;6
+rr<#e!8mbT#2fI<s8VQVrVuoTrr2uUrr<#e"TQ]in)+$B$1H4?hs\n[s8V!.s*t~>
+fDki;s31M1!R,*NrrUEWn,E=eR/R$gR/`QRs-Wcb"do>6bl=(.rr?U.s8U:JR/d3Ds-V$SrVlk.
+r;Qqfs3/^eR/R$gR/d2Rs-Wcb!1<cc!q3eGqYp_0ba=dAbl4!]s*t~>
+fDkits60L1!U.,krrVE,iVriWdJa(KdJqVos3^fF"k!A6kl9'.rrBY/s8V9fdJs6as3^&orVll/
+r;QrJs6/\HdJa(KdJs6os3^fF!7CfG!o_;cqYp`1kg@fAkl/u]s*t~>
+fDkj-s6p!F!UnA2rrVZ%bl7VBhu3QYhuDU6s53eT"lK@Kn,M;CrrCCDs8VNmhuE_Ds53;6rVllD
+r;QrXs6oFVhu3QYhuE`6s53eT!8meU!mJ=GqYp`Fn)*$kn,D4rs*t~>
+f)G`;rVlmQAGZ<-n)'N2rrAGbrrne6bl@^1rVlqds-Wfc!1<ccs-W`as-Wid"5j.&R/I!aR/[*c
+R/[*eR/`QPrrneis3/]SrVlkbrVlqdhs^FA!G!q`rrAG;s*t~>
+f)G`trVlnn]))F.iPX(ArrCIFrrpg6kl:\1rVlrHs3^iG!7CfGs3^cEs3^lH"2k0&dJX%EdJj.G
+dJj.IdJqVmrrpgMs6/[orVllFrVlrH_r:Il!P5')rrCHts*t~>
+f)Ga-rVlo5chdYCba@;drrCsTrrq<Kn,NFFrVlrVs53hU!8meUs53bSs53kV".9,Whu*NShu<WU
+hu<WWhuDU4rrq<[s6oF6rVllTrVlrVR*>F,!RJOZrrCs-s*t~>
+f)Pcos8W+dqYpZTn,JdQrrAGbrr?U/s8U=Arr?U.rrAGcrrSS3bl.PHR*>U1huE^erVuoA!1<cc
+!1<`b!+c'.s31KB!+c'.!1<]a".9,WhtmBQR/d3dbgufE~>
+f)Pd6s8W,HqYpZ8iW%='rrCIFrrBY0s8V<]rrBY/rrCIGrrUU3kl(MddHLW1_uKbJrVuo]!7CfG
+!7CcF!4r./s60I^!4r./!7C`E"4@/-_tsE5dJs7Hkgoca~>
+f)Pd=s8W,VqYpYbbl?SurrCsTrrCCEs8VQdrrCCDrrCsUrrV*Hn,<7khs^UFR/d34rVuod!8meU
+!8mbT!71WDs6ose!71WD!8m_S"5j.&R/6j_huE`Vn(.Mh~>
+ec,`=s3,$NrrMTGrVlkbrVlkbrr<"crVlkbrr<"crVuoA"TOkhs-Wfcs3(_8s8V!VR*<eRrs"kj
+s-Wi1bl.SAR/[*cR/R'bR/[*cR/R$bR/R$chs^IB"(]XUR+;4e~>
+ec,a!s6.&krrM)rrVllFrVllFrr<#GrVllFrr<#GrVuo]"TQmLs3^iGs6'^8s8U":dHKfnrs$mN
+s3^l1kl(P]dJj.GdJa+FdJj.GdJa(FdJa(G_r:Lm"1m^rdFJ8I~>
+ec,a/s6n;2rrL?2rVllTrVllTrr<#UrVllTrr<#UrVuod"TRBZs53hUs6g3Ms8SJdhs^%5rs%B\
+s53kFn,<:dhu<WUhu3TThu<WUhu3QThu3QUR*>I-"4-H9hpqaW~>
+eGoQ9qu6]Sn,31cR/R$gR/d2Rs-Wcb!1<cc!gq3UrVmh(s-Widbfp+eR/bCSs53jDs-Widbfp+e
+R/`QPs8U:CR/[*cR/R$gR/`QRs-Wcb!1<]a!UnqCs8SJ9s*t~>
+eGoQrqu6]7iV`]UdJa(KdJs6os3^fF!7CfG!n$5qrVmhas3^lHkii'HdJrFos24las3^lHkii'H
+dJqVms8V9_dJj.GdJa(KdJqVos3^fF!7C`E!TCrns8UKrs*t~>
+eGoR+qu6\abl%J@hu3QYhuE`6s53eT!8meU!oNJ8rVmhos53kVn*g;VhuE06s-WiDs53kVn*g;V
+huDU4s8VNfhu<WUhu3QYhuDU6s53eT!8m_S!R-r.s8V!+s*t~>
+c2Re$qZ$T>rVm%gbfp+eR/R$gR/`QRs-Wcb!R,*QrstLsbfp+eR/c'2s8U<es-Wcb!G'FQrrnei
+s-WhRrVm%gs8U<eR/R'bbkh>>hp)1O~>
+c2Rd]qZ$TZrVm&Kkii'HdJa(KdJqVos3^fF!U.,nrt!NWkii'HdJq,3s8V<Hs3^fF!P7LnrrpgM
+s3^korVm&Ks8V<HdJa+Fkkb;Z_p/43~>
+c2Rd2qZ$TarVm&Yn*g;Vhu3QYhuDU6s53eT!UnA5rt"#en*g;VhuB)$s8VQVs53eT!RL65rrq<[
+s53k6rVm&Ys8VQVhu3TTn,!%aR*GY]~>
+eGfaAs8VQfn)*p?!1<`b!LV+1rrAGbrrne6bl@^1rVloBR/R'bbQ+%/rrSSFR/[*eR*<eQrrJM2
+rVm%gs8U<eR/R$bR/[*dbaAA/!1<Q]!T3ADrr_`is6nV?J,~>
+eGfa!s8UFFiPYHj!7CcF!R^-1rrCIFrrpg6kl:\1rVlo^dJa+FkQ'$/rrUTcdJj.IdHKfmrrLO2
+rVm&Ks8V<HdJa(FdJj.HkgBA/!7CTA!Q3morr^UIs3K?tJ,~>
+eGf`ss8U=CbaA2*!8mbT!T3AFrrCsTrrq<Kn,NFFrVloehu3TTmf;8DrrV)Fhu<WWhs^%4rrM$G
+rVm&Ys8VQVhu3QThu<WVn)+*D!8mSO!LV+/rr^LFs30-qJ,~>
+eGf^0s6oF6n+Zh^R/[*eba?WRs8U=Arr?U.rrAGcs8SJarrJM2rVlncGl@XCbaA>.s-Wfc!1<`b
+!+c'.s31KB!mI%Urr2tcp\t9_hu3TTmfEIGf`-I~>
+eGf]Fs3K$/iV3?PdJj.IkgAVns8V<]rrBY/rrCIGs8ULErrLO2rVloGQ2U^`kgB>.s3^iG!7CcF
+!4r./s60I^!pJ%qrr2uGp\t9Q_u9W8cN4'=f`-I~>
+eGf]>s3/]SbkM,;hu<WWn)*U5s8VQdrrCCDrrCsUs8V!SrrM$GrVloUGl@XCn)+'Cs53hU!8mbT
+!71WDs6ose!q5%8rr2uUp\t9<R/R'bbQ7a2f`-I~>
+e,TF)o`#)^s8SJdR/R$bR/[-cR/R$hR/d2Rs8SJbrrHZSrVloBM#I>Sb[g\P#+5GjR/d2RrVunb
+rr2tcrVm%gs-WidR.UCZhs^RE!Unpts*t~>
+e,KKBZ,?56"k!AMdJqVmrrCIGs8ULFrs$mNs3^lHdJa(G]'0+m!U-lgrrM>prVm)Ls8ULHs3^fF
+s3^iG!7CcF"k!@ts8UL=rrL$rrr3#FT\'3o~>
+e,TE7o`#*Ps8V!Vhu3QThu<ZUhu3QZhuE`6s8V!TrrLI7rVloeXSr/"n'Ct4#2fI\huE`6rVuoT
+rr2uUrVm&Ys53kVht6pLR*>R0!R-q_s*t~>
+e,TI*oD\u]s-WidR/R$dR/d3bbl7Y@bl@\CR/[*eR/`QPrrSRhbl7VDR/`QQrrSSfs8C1@s8C1A
+rrAGbrrneis-WhRoD\gZrVllTfDg@~>
+e,KHAZ1Iu!dJqVos3^fF!n%&JrTO7\rTO:]!7CfG!n%%qrVlrHXQ]Z`!n%%qrr3&Is8W&]rr;r\
+s8N)HrVm&Ks8ULHdI[A<iVicVT\'3o~>
+e,TH8oD]!Os53kVhu3QVhuE`Tn,E@cn,NCfhu<WWhuDU4rrV)6n,E=ghuDU5rrV*Xs8DEcs8DEd
+rrCsTrrq<[s53k6oD\g7rVlkbfDg@~>
+eGfX.s6oFKrrUE3bl7VBR/R$gR*<eSs-Wcbs-Wfcs3)5Xbfp+2bl@^1s504Ds3/^ebfp+2bl7YB
+R/R$gR/d31baAA/!1<cc!mI%Umf*:EfDg@~>
+eGfWDs3K$`rrVE3kl1S^dJa(KdHKfos3^fFs3^iGs6(3tkii'1kl:\1s237as6/\Hkii'1kl1V^
+dJa(KdJs71kgBA/!7CfG!pJ%qmf*9[fDg@~>
+eGfW<s3/^ZrrVZHn,E=ehu3QYhs^%6s53eTs53hUs6g^&n*g;Fn,NFFs-V^Ds6oFVn*g;Fn,E@e
+hu3QYhuE`Fn)+*D!8meU!q5%8mf*9SfDg@~>
+eGfX>s8VQZrrAGbrrAGbs8SJcrrAGbrrJM2rVlqds-Wfc$(1bmR/c'fbl=(0rrSSfR/R$cbaAA/
+!1<ccs-Wcb!1<`b!1<0R!:SP>J,~>
+eGfWss8UF:rrCIFrrCIFs8ULGrrCIFrrLO2rVlrHs3^iG$.8eQdJq,Jkl9'0rrUUJdJa(GkgBA/
+!7CfGs3^fF!7CcF!7C36!709sJ,~>
+eGfWps8U=7rrCsTrrCsTs8V!UrrCsTrrM$GrVlrVs53hU$/bd_huB)4n,M;ErrV*Xhu3QUn)+*D
+!8meUs53eT!8mbT!8m2D!6j'pJ,~>
+_Z'V'rVuoArr2t/r;Qqfs8U<eR/R$cb[g\Ps3(_8s8VQfR*<eQrrHZSrVm%gbfp+eR/HsaAH)W/
+bl.PAR)8lR~>
+_Z'V`rVuo]rr2u0r;QrJs8V<HdJa(Gkdp`ms6'^8s8V'XdHKfmrrK^prVm&Kkii'HdJX"E])Ma0
+kl(M]dDGp6~>
+_Z'VnrVuodrr2uEr;QrXs8VQVhu3QUn'Ct4s6g3Ms8U=Chs^%4rrLI7rVm&Yn*g;Vhu*KSci3tE
+n,<7dhnoDD~>
+_>aM&rVm%gs8U<eR/R$hR/d2Rs3/^drrL?2r;Qebbl.PBbaA>.!LV+1s8U:Gs-WidR/R$gR*<eS
+s-Wcb!1:V&J,~>
+_>aM_rVm&Ks8V<HdJa(LdJs6os6/\GrrM?2r;QfFkl(M^kgB>.!R^-1s8V9cs3^lHdJa(KdHKfo
+s3^fF!7AX_J,~>
+_>aMmrVm&Ys8VQVhu3QZhuE`6s6oFUrrMTGr;QfTn,<7en)+'C!T3AFs8VNjs53kVhu3QYhs^%6
+s53eT!8kWmJ,~>
+_>aM&rVm%gs8SJdR/I!aR/[++R/d2RR*<eSs3,".A=3DsQt.p^bl@^eba=dts-Wfcs-W`a"do=W
+s8SJbrrAG&s*t~>
+_>aM_rVm&Ks8ULHdJX%EdJj.ddJs6odHKfos6.%h]$^QXdCQ*akl:\Hkg@fXs3^iGs3^cE"k!@t
+s8ULFrrCH_s*t~>
+_>aMmrVm&Ys8V!Vhu*NShu<WrhuE`6hs^%6s6n:Kcend&hp9'`n,NFVn)*%&s53hUs53bS"lK@;
+s8V!TrrCrms*t~>
+_>jPZrVunbrr2tcrVuka%a=s?Qt0`p0k?Y^R$dotraZP`R/`P@A=-m^Qt0`pR/bD0R/R$bR/[-c
+R/R'bbea=0~>
+_>jQ!rVuoFrr2uGrVulE%d<r?dCQp:UUnjadF&!XrjiX(dJqVA]$\*adCQp:dJrG0dJa(FdJj1G
+dJa+Fke[:L~>
+_>jQ(rVuoTrr2uUrVulS%e'GThp9X+^X(f`hr"J&rm),DhuDTkcem'`hp9X+huE0Ehu3QThu<ZU
+hu3TTn%o$S~>
+_#FD%rVlncbl7VBR/R'bQmKse0pj\_bl@]RA=/b.s8Og@Qnchbba=c.AH2\RQnas_AB^F.rVlkb
+rr3#CR/R$bR)&`P~>
+_#FD^rVloGkl1S^dJa+Fd3\"fUX>jakl:[o]$\phs8SkAdA,q*kg@eh])VfodA,*a]'.PhrVllF
+rr3#_dJa(FdD5d4~>
+_#FDlrVloUn,E=ehu3TTh^.a;^Ycf`n,NF6cemXKs8TjkhnSX[n)*$Kci=%6hnS'`cgTcKrVllT
+rr3#fhu3QThn]8B~>
+_#FD%rr3&DR*>O/!gs#frg<]b!\n5Qrr3:8R*:qbbaAE@R/Y>0QibL!AH)T1Qt.rNs8JDcrrAGb
+rrUE3bl7VBR)&`P~>
+_#FD^rr3&`dHLQ/!n%&JrmC`F!i*?Srr3;9dHK!*kgBFAdJiA0d/rOZ])M^2dCQ+Ps8LFGrrCIF
+rrVE3kl1S^dD5d4~>
+_#FDlrr3&ghs^OD!oO%Xrnm_T!l*(=rr3;Nhs]I[n)+/khu<*EhZE9(ci3qGhp9(:s8LpUrrCsT
+rrVZHn,E=ehn]8B~>
+^]+J)s8SJdR/R%<R/bBtbl=(1ba;pObl=&ts('?tR/d1sR*>StbfjVtR$dotA7V(Os-Wi1R*>St
+rVm%gs-WidR(rZO~>
+^]+Jbs8ULHdJa(udJrFXkl9'1kg?uQkl9&Xs17FXdJs6XdHLVXkifVXdF&!X]"6;Qs3^l1dHLVX
+rVm&Ks3^lHdD,^3~>
+^]+Jps8V!Vhu3R.huE0&n,M;Fn))I;n,M;&s3L0&huE`&hs^U&n*eU&hr"J&cd1M;s53kFhs^U&
+rVm&Ys53kVhnT2A~>
+^]+M*s-Widbfp%crg<`cs3)^Tb[g`aQt66@A=/baQt2T.A=3CaQt4G@A=-p-AB^Fbbl@_BR/R'b
+bl@\ER/`Pgs*t~>
+^]+Mcs3^lHkii!FrmCcGs6(]Tkdpf*dCTAA]$\q*dCR`h]$^Q*dCSQA]$\+h]'.Q*kl:\^dJa+F
+kl:YadJqV/s*t~>
+^]+Mqs53kVn*g5TrnmbUs6h2in'D$[hp;>kcemX[hp:3Kcenc[hp:ckcem(KcgTc[n,NFehu3TT
+n,NChhuDTKs*t~>
+^]+AZR*>R0!1<`b!gmMcrr4-Ps-WhRQt2SObl9Dbs3,#@b[ertQneWbR$_EOR/`QRAH)T1Qt2T_
+rrAGcrrUE3beO1.~>
+^]+B!dHLT0!7CcF!n"U,rr4.Qs3^kodCR`Qkl7F*s6.&Akdp!XdA-a*dF#PQdJqVo])M^2dCRa(
+rrCIGrrVE3keI.J~>
+^]+B(hs^RE!8mbT!oM>]rr4.fs53k6hp:3;n,L/[s6n:kn'CJ&hnT3[hquc;huDU6ci3qGhp:3Y
+rrCsUrrVZHn%\mQ~>
+^Ae2#rVuoAs8NRrs().sR/^]as8U<1ABb%?$d>!^R/`P@s-V#tbl3tBb[d*bs8SHss-T2RAH/%s
+s3/^crrAG#s*t~>
+^Ae2\rVuo]s8NSVs186XdJpf*s8V<1]'0.@$g?"%dJqVAs3^&Xkl/sBkdo1*s8UKXs3]6o])U1X
+s6/\FrrCH\s*t~>
+^Ae2jrVuods8NSds3L`&huD$[s8VQFcgUkj$h*!AhuDTks53;&n,D2Wn'Bn[s8V!&s52`6ci;o&
+s6oFTrrCrjs*t~>
+^An5WrVm=os3/]Ss-WidA20Iqs8A>bbl3t7A=/bas-T0arg<`0rKn&oba:+qs8SJdR*<eSR/R'b
+beF+-~>
+^An5srVm>Ss6/[os3^lH\td[:s8C@Fkl/s7]$\q*s3]6*rmCc0rQu)Skg?0:s8ULHdHKfodJa+F
+ke@(I~>
+^An6%rVm>as6oF6s53kVcbJB+s8CjTn,D2LcemX[s52_[rnmbErSJ(an)(n+s8V!Vhs^%6hu3TT
+n%SgP~>
+^&J)"rVm&FR*>Sts8L4DR/bD.Qj<Y%R*:q.A23pk"IRE#AH2Rp!mL\3rlbQGR/bBtbl.PAR(`NM~>
+^&J)[rVm&bdHLVXs8M3`dJrG.d0K]_dHJuh\tf,5"OZG\])V]U!pK[3roaOcdJrFXkl(M]dCoR1~>
+^&J)irVm&ihs^U&s8MHghuE0ChZs2-hs]IKcbK>&"Q/\*ci<q#!q60HrpL$jhuE0&n,<7dhnB&?~>
+^&S,Vrr3)ER/`QQs8SJcrrnd#A2.V*qj@9\qj@Co"#4=sR/[-cR/[*fR/`Ptrr<#B^&NT~>
+^&S,rrr3)adJqVns8ULGrrpf]\tcjJqpG<@qpGGT"/EH=dJj1GdJj.JdJqVXrr<#^^&NT~>
+^&S-$rr3)hhuDU5s8V!Urrq<+cbIfPqqq;NqqqG""2E1.hu<ZUhu<WXhuDU&rr<#e^&NT~>
+]`/\5s8U<es-R>as-R?@0plL=bl@^1r;Qhcbfp"bs-W`a'U\q#ba;q.1!F0qs-R>as3/^es-UJ!
+J,~>
+]`/\ns8V<Hs3\F*s3\FAUX?[#kl:\1r;QiGkihsEs3^cE'[cs\kg?uhUZf;:s3\F*s6/\Hs3\LZ
+J,~>
+]`/]'s8VQVs52/[s52/k^YdApn,NFFr;QiUn*g2Ss53bS']8rjn))IK^[KM+s52/[s6oFVs51Kh
+J,~>
+]`7rSs8W+d"O&T2R$d^L!1<`b!gs"TrVlqds-Wcb!1<T^s-O"$1!H#Ps8W&A]`3K~>
+]`7ros8W,H"R)VldF%di!7CcF!n%%qrVlrHs3^fF!7CWBs3V%^UZg+Qs8W&]]`3K~>
+]`7s!s8W,V"Rj+Ohr"80!8mbT!oO%8rVlrVs53eT!8mVPs5+%,^[L(;s8W&d]`3K~>
+]Dqnus8N1gba=djrrAGcs8U:Ds-Wcb".9,4bl7VBR.^LZQj(^$s8SIR]DmB~>
+]DqoYs8N2Kkg@fNrrCIGs8V9`s3^fF"4@/4kl1S^dImP>d08a]s8UKo]DmB~>
+]Dqogs8N2Yn)*$qrrCsUs8VNgs53eT"5j.In,E=eht@$LhZ`K+s8V!6]DmB~>
+])MoWR$_F.oD\fXrr3+gs8U<err3(fs8SJcrrAGXrrgPVR$c+/s*t~>
+])MosdF#PhoD\g<rr3,Ks8V<Hrr3)Js8ULGrrCI<rrhPsdF%0hs*t~>
+])Mp%hqucKoD\gJrr3,Ys8VQVrr3)Xs8V!UrrCsJrrhf:hr!n6s*t~>
+VZ-acs8SJcrr\Ygs-Wfc".9,gR&9n6~>
+VZ-bGs8ULGrr^[Ks3^iG"4@/KdAHqo~>
+VZ-bUs8V!Urr_0Ys53hU"5j.YhkpF(~>
+VZ-^bs-Wcb".9,gR/R$dR/`PNs*t~>
+VZ-_Fs3^fF"4@/KdJa(HdJqUks*t~>
+VZ-_Ts53eT"5j.Yhu3QVhuDT2s*t~>
+VZ6\?!1<]a!gs"TrVlqdbflsaJ,~>
+VZ6\[!7C`E!n%%qrVlrHkieoDJ,~>
+VZ6\b!8m_S!oO%8rVlrVn*d.RJ,~>
+V>pR_r;Zear;ZeaV>l&~>
+V>pSCr;ZfEr;ZfEV>l&~>
+V>pSQr;ZfSr;ZfSV>l&~>
+V>gO_qu6]@R/?m`R&0h5~>
+V>gPCqu6]\dJNqDdA?kn~>
+V>gPQqu6]chu!ERhkg@'~>
+V>pS>qu6Y`r;Zf@V>l&~>
+V>pSZqu6ZDr;Zf\V>l&~>
+V>pSaqu6ZRr;ZfcV>l&~>
+V#LF^r;Zear;QbaV#Pr~>
+V#LGBr;ZfEr;QcEV#Pr~>
+V#LGPr;ZfSr;QcSV#Pr~>
+V#LF^r;Qhcbfp%c!19S^J,~>
+V#LGBr;QiGkii!F!7@VBJ,~>
+V#LGPr;QiUn*g5T!8jUPJ,~>
+V#UJ=rr<#B!WSPds8U<=s*t~>
+V#UJYrr<#^!WURHs8V;Ys*t~>
+V#UJ`rr<#e!WV'Vs8VP`s*t~>
+U]1=]rr3(fs8SJcrrAF]s*t~>
+U]1>Arr3)Js8ULGrrCHAs*t~>
+U]1>Orr3)Xs8V!UrrCrOs*t~>
+U]1=]rr34js8U<es8SI]s*t~>
+U]1>Arr35Ns8V<Hs8UKAs*t~>
+U]1>Orr35\s8VQVs8UuOs*t~>
+U]1F`s8SJbrr\Ygs-TS]J,~>
+U]1GDs8ULFrr^[Ks3[VAJ,~>
+U]1GRs8V!Trr_0Ys50UOJ,~>
+UAk:^s-Wcb!gs"TUAo`~>
+UAk;Bs3^fF!n%%qUAo`~>
+UAk;Ps53eT!oO%8UAo`~>
+UAk:^s-Wcbs3(J1UAo`~>
+UAk;Bs3^fFs6'I1UAo`~>
+UAk;Ps53eTs6fsFUAo`~>
+UAt7\qu?\`UAo`~>
+UAt8@qu?]DUAo`~>
+UAt8Nqu?]RUAo`~>
+U&P+[qu6Y`U&TW~>
+U&P,?qu6ZDU&TW~>
+U&P,Mqu6ZRU&TW~>
+U&P+[qu6Y`U&TW~>
+U&P,?qu6ZDU&TW~>
+U&P,Mqu6ZRU&TW~>
+U&Y/:rVuoAU&TW~>
+U&Y/VrVuo]U&TW~>
+U&Y/]rVuodU&TW~>
+T`5"ZrVlkbT`9N~>
+T`5#>rVllFT`9N~>
+T`5#LrVllTT`9N~>
+T`>&9rr2tcT`9N~>
+T`>&Urr2uGT`9N~>
+T`>&\rr2uUT`9N~>
+TDo"\s8SIYs*t~>
+TDo#@s8UK=s*t~>
+TDo#Ns8UuKs*t~>
+TE"r8!WSOZs*t~>
+TE"rT!WUQ>s*t~>
+TE"r[!WV&Ls*t~>
+T)SkZbfl^ZJ,~>
+T)Sl>kieZ=J,~>
+T)SlLn*cnKJ,~>
+T)Si8R%F>.~>
+T)SiTd@UAg~>
+T)Si[hk'ju~>
+Sc8]6T)X<~>
+Sc8]RT)X<~>
+Sc8]YT)X<~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1n.ps b/books/ps/bookvol1n.ps
new file mode 100644
index 0000000..823ff09
--- /dev/null
+++ b/books/ps/bookvol1n.ps
@@ -0,0 +1,638 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/3DCurl.ps
+%%CreationDate: Sat Dec 10 08:17:20 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 215 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+200.000000 -200.000000 scale
+% Image geometry
+200 200 8
+% Transformation matrix
+[ 200 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 200 string def
+/gstr 200 string def
+/bstr 200 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        13725 ASCII Bytes
+colorimage
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+Z2ag\)Xm_+n,NFFhs^UFhr!o&n)*%&s52`&s8VQVqYpQQYQ'+~>
+Z2ag1)VY5kgAh2[[+bQ[['\Qeg9e6es0T/es8Ug,qYpQ&YQ'+~>
+Z2afj)U/6]bl@^1R*>U1R$c+tba=dts-T1ts8U<eqYpP_YQ'+~>
+Z2Xg]rr<#es5+OjhuE06huE`Fs53kVhr"J6huE`6rr2uUrVuodYlB4~>
+Z2Xg2rr<#Ps0NL?[/\k6[/^0[s0Vh+[']l5[/^05rr2u*rVuoOYlB4~>
+Z2Xfkrr<#Bs-ON#R/bCSR/d31s-WidR$dpRR/d2Rrr2tcrVuoAYlB4~>
+Z2Y9Zhr!o&hp:ckhuE`6hu3QZhuE`6n)*U5rs%B\s6n:kn,E=ehm!-2~>
+Z2Y8o['\Qe[#`r@[/^05[/L"/[/^05g9fT5rs#k1s4WO@gA_*P['9R\~>
+Z2Y8DR$c+tQt4G@R/d2RR/R$hR/d2Rba?WRrs"kjs3,#@bl7VBR'?U@~>
+Y5\jdn,M;6s53kVhr"D4$K(m`huE`FhuE`6rr2uUr;QcSYlB4~>
+Y5\j9gAeP6s0Vh+[']f3$FKj5[/^0[[/^05rr2u*r;Qc(YlB4~>
+Y5\irbl='Ss-WidR$djP$CLknR/d31R/d2Rrr2tcr;QbaYlB4~>
+Z2Xpps8V!SrtF;in*f06s6p!Fs8V!6s8V!Vs53hU#2fILs8VQVYlB4~>
+Z2Xp[s8TJ(rtDd>g=iq6s4[L[s8TI5s8TJ+s0Ve*#.4Eas8Ug,YlB4~>
+Z2XpMs8SJartCe"bflISs31M1s8SIRs8SJds-Wfc#+5G7s8U<eYlB4~>
+Z2Xmohr">2s5+IXs8V!6n,Mk6huE`6hs^UFn*g8U"Q/\Js51$[J,~>
+Z2XmZ[']`1s0NEms8TI5gAfm6[/^05[+bQ[g=lQ+"LQn_s0T!0J,~>
+Z2XmLR$ddNs-OGCs8SIRbl>nSR/d2RR*>U1bfp(d"IRF5s-U"iJ,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+RfEBE!:Q``J,~>
+RfEA[!7.J@J,~>
+RfEAS!6h8=J,~>
+R/d3TV#Pr~>
+R/d34V#Pr~>
+R/d31V#Pr~>
+RK*<UU]5i~>
+RK*<5U]5i~>
+RK*<2U]5i~>
+RfEEVUAo`~>
+RfEE6UAo`~>
+RfEE3UAo`~>
+Rf<BFU&TW~>
+Rf<A\U&TW~>
+Rf<ATU&TW~>
+RfEBE!:Q``J,~>
+RfEA[!7.J@J,~>
+RfEAS!6h8=J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+X8he=!8jCJJ,~>
+X8hdY!5kE.J,~>
+X8heK!19AXJ,~>
+YQ"UdrmC?;!5\Z^U&TW~>
+YQ"UHrg<<W!.+X3U&TW~>
+YQ"Ukrnm>I!3H1WU&TW~>
+ZMt$qhr!YerrCsUrrUTj_kd<_~>
+ZMt$NR$c+errBt9s8JC]s*t~>
+ZMt$qhr!nlrrAGcs8LoOs*t~>
+[/^0`!:T=T!8m\Rs2+iqVuM8~>
+[/^/n!6jj1!5n^6s-Nf1VuM8~>
+[/^0`!:T=T!1<Z`s5*hFVuM8~>
+[f6Bshs14Ahtd9RiPXWRs*t~>
+[f6BPR-O\O_tj<6ba?VRs*t~>
+[f6Bshs14AR/-a`n)*T5s*t~>
+\,ZKsl2Lb@p\t<R_r7ZrJ,~>
+\,ZKPl2Lb$p\t<=R*;W2J,~>
+\,ZKsl2LaNp\t<`hs[WGJ,~>
+\,QHckl1Y?p&>'O_lWlg~>
+\,QGqkl1Y#p&>':R&p=<~>
+\,QHckl1XMp&>']hlQj.~>
+\GlQdkPkP>oD\j/iNE32~>
+\GlPrkPkP"oD\iYbc^tr~>
+\GlQdkPkOLoD\jKn#l\@~>
+\GlQdkPkP>o)AaL_ls)j~>
+\GlPrkPkP"o)Aa7R'6O?~>
+\GlQdkPkOLo)AaZhlm'1~>
+\c2Zek5PG=nG`L+YlB4~>
+\c2Ysk5PG!nG`KUYlB4~>
+\c2Zek5PFKnG`LGYlB4~>
+\c2Zek5PG=n,EF+iNiK6~>
+\c2Ysk5PG!n,EEUbd.8!~>
+\c2Zek5PFKn,EFGn$;tD~>
+\c2Zek5PG=mf*=Hg9^g0~>
+\c2Ysk5PG!mf3=2Zi>O~>
+\c2Zek5PFKmf3=UZi>O~>
+\c2Zuk5PG=mJd0nZi>O~>
+\c2ZRk5PG!mJd0RZi>O~>
+\c2Zuk5PFKmJd1DZi>O~>
+Sc8]Im/I'm[/YX~>
+Sc8]-m/I'Q[/YX~>
+Sc8\Wm/I(C[/YX~>
+Sc8]Ili-sl[Jta~>
+Sc8]-li-sP[Jta~>
+Sc8\Wli-tB[Jta~>
+Sc8]Ili7"=[f:j~>
+Sc8]-li7"/[f:j~>
+Sc8\Wli7"R[f:j~>
+Sc8]IlMgjk[f:j~>
+Sc8]-lMgjO[f:j~>
+Sc8\WlMgkA[f:j~>
+Sc8]IlMgjk[f:j~>
+Sc8]-lMgjO[f:j~>
+Sc8\WlMgkA[f:j~>
+Sc8]Il2Laj\,Us~>
+Sc8]-l2LaN\,Us~>
+Sc8\Wl2Lb@\,Us~>
+Sc8]Il2Laj\,Us~>
+Sc8]-l2LaN\,Us~>
+Sc8\Wl2Lb@\,Us~>
+Sc8]Il2Laj\,Us~>
+Sc8]-l2LaN\,Us~>
+Sc8\Wl2Lb@\,Us~>
+Sc8]Il2Laj\,Us~>
+Sc8]-l2LaN\,Us~>
+Sc8\Wl2Lb@\,Us~>
+Sc8]Il2Laj\,Us~>
+Sc8]-l2LaN\,Us~>
+Sc8\Wl2Lb@\,Us~>
+Sc8]Ikl1Xi\Gq'~>
+Sc8]-kl1XM\Gq'~>
+Sc8\Wkl1Y?\Gq'~>
+Sc8]Ikl1Xi\Gq'~>
+Sc8]-kl1XM\Gq'~>
+Sc8\Wkl1Y?\Gq'~>
+a8Z1tn)s]Nbk.8&M!4j=[.OA!n))1cJ,~>
+a8Z1XiTL4@iUk"fV<IpZR.UCZiPW_9J,~>
+a8Z1-bif!+n+>K;XQ]Zaht6pLba?HNJ,~>
+`rH)-li.(2R$c+irrCsTR-jqRg@bLGn&GBX~>
+`rH(tli.(G_o(I*s8Bh8b3f6/bk;#9iPtnJ~>
+`rH(_li.(Uhr!nprrAGbhsLIDn+H_\bf9[5~>
+`W#u-hsULGba?WErrCsTs8SGdbjbW4[.XG"hs\PaJ,~>
+`W#tt_s[O+g9fi/rrBt8s8UIHkj\TPR.^I[_r8T7J,~>
+`W#t_R-stUn)*U(rrAGbs8UsVn*p>Wht@!MR*<PLJ,~>
+_uBbpn+$DYR*>%!!8m\R!mI%!o)A]sp\t9_ho#JE~>
+_uBbTiUQpK[+b!K!5n^6!pJ%Zo)A]Wp\t9Q_o)M)~>
+_uBb)bjk]6hs^%6!1<Z`!q5%(o)A^Ip\t9<R)ArS~>
+_Z'Z*ht6pLba@et!8mSOs-WHY!4;P$!T3@_s*t~>
+_Z'Yq_t<s0g9g8I!5nU3s3^K=!1<Q]!Q3m5s*t~>
+_Z'Y\R.UCZn)*O4!1<Q]s53JK!8mSO!LV*Js*t~>
+_#FGmn+Zk^bj>?0htI*MR.pX\gA:gMn)(q\J,~>
+_#FGQiV3BPg?eh>_tO-1dJ*\@bkh>?iPWJ2J,~>
+_#FG&bkM/;n*L&SR.gR[htR0Nn,!%bba?3GJ,~>
+^]+?'htd<Pbj59/ht6pLR*>C+!3Z1u!T3@\s*t~>
+^]+>n_tj?4g?\b=_t<s0dHLE+!1<W_!Q3m2s*t~>
+^]+>YR/-d^n*BuRR.UCZhs^C@!8mYQ!LV*Gs*t~>
+^&J)iqYpP_lMgkAoDej7qu?]Fqu6ZR^&NT~>
+^&J)MqYpQ&lMgk%oDejSqu?]?qu6Z6^&NT~>
+^&J)"qYpQQlMgjOoDejZqu?]bqu6Y`^&NT~>
+]`/#in,<7dR-FVNht$gIbl%J@VYpGpn)(eXJ,~>
+]`/#MiVicV[-@Sj_t*j-kktG\R/HsbiPW>.J,~>
+]`/#"bl.PAhs(.@R.C:Wn,31chu*KTba?'CJ,~>
+]Dhp#hu<WUR-FVNhspaHbl7VBVYpGphs\2WJ,~>
+]Dhoj_uBZ9[-@Sj_t!d,kl1S^R/Hsb_r86-J,~>
+]DhoUR/[*chs(.@R.:4Vn,E=ehu*KTR*<2BJ,~>
+\c2`gn!N>=!8m;Gs3(QEe'n<r!UnpVs*t~>
+\c2`KiO%hK!5n=+"R,=Sbfp(d!TCr,s*t~>
+\c2_ubhqXa!1<9Us6g$hn*g8U!R-qAs*t~>
+\GlTuM!4j=hs^RHR+'O`rrM$G\Gq'~>
+\GlTgQK\>K_sdU,hos=DrrL$r\Gq'~>
+\GlTRXQ]ZaR.(%Vhs^%5rrJM2\Gq'~>
+[f6>`l2Lb@n,EF;TDnijhmWQ8~>
+[f6>nl2Lb$n,EF4]`.p2_m]Sq~>
+[f6?/l2LaNn,EFWhu<WUR(!$F~>
+[f6Drhs]n2!8m;Gs3h)MR.&q?s*t~>
+[f6E3_r9q]!5n=+s3(TFhr2J\s*t~>
+[f6EdR*=mr!1<9Us6g'ihoqIqs*t~>
+[f6Gss6nk3rrCsHs8URJrrIrE[/YX~>
+[f6H,s5Cl^rrBt,s8U=CrrKsp[/YX~>
+[f6Hes3-ksrrAGVs8VQfrrK4F[/YX~>
+[JpAss8V!Fmf*:Eo)Aoke,Smos-U1nJ,~>
+[JpB,s8U!qmf*:)o)Ao]bl?Y>s513`J,~>
+[JpBes8SJ1mf*9So)ApOn,LV!s513`J,~>
+[K$9Ns8N,ghs^RFht6pSe#*0Fhs^UFR'cmD~>
+[K$9Us8N,Y_sdU*_t<s7baAG1_r:XqhmEE6~>
+[K$9qs8N,DR.(%TR.UCan)+0FR*>U1hmEE6~>
+[/U0NR/[*dhs^+8!8mMM"k0?ts6nkDs8U<Ns*t~>
+[/U0UVZ-Sr_r:.c!5nO1"jE@Xs5Clos8VPqs*t~>
+[/U0qhu<WVR*>+#!1<K["n1@;s3-l/s8VPqs*t~>
+ZMt)qbl@_3n+-JYht[3Ubbikhs6oFRrrAFos*t~>
+ZMt**e,TI,iU[!K_ta69ba?WSs5Dr6rrCras*t~>
+ZMt*cn,NF3bjtc6R/$[cn)*U6s3/^arrCras*t~>
+Z2Y!OR*>U!ht-jJhu!HQQiPA0rrM$GqYpP_[Jta~>
+Z2Y!VVUPS(_t3m._u'K5QiPA0rrL$rqYpQQ[Jta~>
+Z2Y!rhs^ThR.L=XR/?p_hZ3-ErrJM2qYpQQ[Jta~>
+YQ"dMR$dp2n+H\_huE`#rg<W`!Unq@rrAFos*t~>
+YQ"dTVPaC2iV!3Q_uKb\rg<W`!TCrkrrCras*t~>
+YQ"dphr"I$bk:u<R/d3TrnmYR!R-r+rrCras*t~>
+XT/<f",N>3bkfBahopnDR*>F,!T3A?s8U<Os*t~>
+XT&HrR!P-ebk^-!b^,YDbkh>?_r:@is6mDrJ,~>
+XT/=X"0CD;n+i=Rn#YF(n,!%bR*>=)s6mDrJ,~>
+X8`=_aN1laq3V2qci2i"rrMTGo`"oY[f:j~>
+X8`=khqu8Aq3V2q_>`?irrM)ro`"pK[f:j~>
+X8`=HR$_E?q;24cAH%torrL?2o`"pK[f:j~>
+XoJFB!9=(Ys6od`!8meUrnm_DoD\fX[f:j~>
+XoJFY!:Tpes5EeR!5ng9rndeGiSjD.!8k6bJ,~>
+XoJEg!6kHBs31<=!1<ccrg<]/oD\gJ[f:j~>
+YQ"X-]__X/n)+!A!8m\Rs5*hFoD\fX[f:j~>
+YQ+X[qYpTT_tsB5_u'H8dGOEarrCrbs*t~>
+YQ+WiqYpT?R/6g_R/?p`QiPA%rrCrbs*t~>
+Yl=^-pAY0Nn,31chu3QZn)+0Fn)*U-s8U<Os*t~>
+Yl=^\pAY02iV`]U_u9T>iPY]qn)*U-s8VPrs*t~>
+Yl=]jpAY/\bl%J@R/R$hbaAG1ba?WJs8VPrs*t~>
+ZMssXYk7qrn)+*D!8meU!T3ADrrVZHn+cn_R'lsE~>
+ZMssoht6pLiPYWo!5ng9!Q3morrVZHn+cn_hmNK7~>
+ZMssLR.UCZbaAA/!1<cc!LV+/rrUE3bkV2<hmNK7~>
+ZMsp/nc&jOn,NFFs6nk?s8VQ`rrAFos*t~>
+ZMsp^nc&j3iW&qqs5Cljs8VQ`rrCras*t~>
+ZMsolnc&i]bl@^1s3-l*s8U==rrCras*t~>
+Zi:$0n,ER[huDTkn+Qb^n)+!A!1:1oJ,~>
+Zi:$_n,ERM_uIWliV*9Pn)+!A!8k3aJ,~>
+Zi:#mn,ER8R/`P@bkD&;baA8,!8k3aJ,~>
+[/^0YmJd4Ecgq)9hu*NSbdIJ$~>
+[/^0pmJd4)V=OWdhu*NSn$W1G~>
+[/^0MmJd3SAFfa#R/Hsbj6sDUJ,~>
+[/U-1mJd:Whp:c^rrCsTrrAFns*t~>
+[/U-`mJd:I_kl>_rrCjQrrCr`s*t~>
+[/U,nmJd:4Qt4G3rrAGbrrC-Is*t~>
+[/U-1mf*IJn,M;6ht$dLhuE_DZi>O~>
+[/U-`mf*I.iW$gS_t*g0f`2!/Zi>O~>
+[/U,nmf*HXbl='SR.C7ZR/d3-Zi>O~>
+[K$9ZnG`OXhu<WYhuE`6n+?Y[n,LV<s*t~>
+[K$9qnG`OJ_uBZ=_uKbSiUm0Mm/QO\s*t~>
+[K$9NnG`O5R/[*gR/d2Rbk1r8bl?_0s*t~>
+[Jp62nG`OHn,<7dhu<WVn)*d;!T09Ms*t~>
+[Jp6anG`O,iVicV_uBZ:iPY<f!SH;8s*t~>
+[Jp5onG`NVbl.PAR/[*dbaA&&!LUs6s*t~>
+[Jp62o)AaZhu!ERhu*KThs^:=!LVcMs*t~>
+[Jp6ao)AaL_u'H6_u0N8_r:=h!T2P8s*t~>
+[Jp5oo)Aa7R/?m`R/HsbR*>:(!Q^Y6s*t~>
+[/U-1o`+s[qYpQQqu?]bq#:D_s51-^J,~>
+[/U-`o`+sMqYpQ5qu?]Tq#:EQs4FXWJ,~>
+[/U,no`+s8qYpP_qu?]?q#:E:s-U+lJ,~>
+[/U,np&>'Mn+lt`htm?Rn)+!As3(QEn*dU_J,~>
+[/U-`p&>'1iVEKR_tsB6iPYNls6g$hm-M(YJ,~>
+[/U,np&>&[bk_8=R/6g`baA8,s5O1\bfmEnJ,~>
+[/^0Mq#:B`htR-Nht[3Phs^ODs31KB!8k-_J,~>
+[/^0pq#:BR_tX02_ta64_r:Ros6ose!8+XXJ,~>
+[/^0Mq#:B=R.pU\R/$[^R*>O/s5X+Y!1:+mJ,~>
+Zi:#mq>UKQn+Qb]htR-Sn)+0FR*>O/!8k-_J,~>
+Zi:$_q>UK5iV*9O_tX07iPY]qhs^OD!8+XXJ,~>
+Zi:#mq>UJ_bkD&:R.pUabaAG1aQ*7!!1:+mJ,~>
+ZiC'Lr;Qfdht6pKht@!M]SQIb!8k-_J,~>
+ZiC'or;QfV_t<s/_tF$1dD>_[!8+XXJ,~>
+ZiC'Lr;QfAR.UCYR.^I[Ya#%b!1:+mJ,~>
+ZMssLR/[-cn,<:\hZD-]htd9Tba?WCn,31chm<?5~>
+ZMssohu<ZUiVifQZj!_;Y)ofhq>UTdhs]O_r;QcLZi>O~>
+ZMssLR/[-cbl.S9Qi^fcR/-abj2g9)bl%J@R'ZgC~>
+Yl=lobhqmhs8LpMrrV*Xs8LmZn,NF3R*>R0!UnqEs8VPps*t~>
+Yl=man&+,as8KD"rrU+<s8K/)f)Pd=hs^RE!TCrps8VGms*t~>
+Yl=loba?WSs8JD[rrSSfs8JAhbl@^qYiG`_!R-r0s8U<Ms*t~>
+Yl=mq]U6q#ht6pKhu*KVmtd@TqYpTRn,E=ehmEE6~>
+Yl=mcdGOE"[.O@u_u0N:f!aK)qYpT6iVriWfX1[/~>
+Yl=mNR$c*bR.UCYR/Hsdb^?YIqYpS`bl7VBR'cmD~>
+Z2Y$cn,MjhR*>4&!8meU#0`I%s6nk6qYp]ehuE`6[/YX~>
+Z2Y$GiW%`Vhs^4;!5ng9#4LI,s44@(qYp]W_uKbh[/YX~>
+Z2Y#qbl>nSR*>4&!1<cc#2$/as3-kSqYp]BR/d2R[/YX~>
+Zi:="huE`6n,NF3rKmT/q>UGrrg3]0r;Qfdhtd9Rhs]I0s*t~>
+Zi:<i_uKbLh>dNDrSIVDq>UH$rnd_Er;QfKY5/)!_r97Ts*t~>
+Zi:<TR/d2Rbl@^erNH:Sq>UG6ricCTr;QfAR/-a`R*:r)s*t~>
+[/U9dn,NFFq#:?<q3V/ppAY-Mq>UKaca<_&~>
+[/U9HiW&qjq#:?_q;22"pAY,qq>UKS]!VKf~>
+[/U8rbl@^1q#:?Hq60jppAY,[q>UK>A@2Ae~>
+[Jp6arr2uUmf*:Ep&>'Mn,*+dhuDTAs*t~>
+[Jp6Err2u2mf*:)p&>&qf),IKf`/jss*t~>
+[Jp5orr2tcmf*9Sp&>&[bkqDAR/`P]s*t~>
+\,QKthu<ZUn*^2Uht6sKn,31ghuE`6n$i=I~>
+\,QKf_uB]9h<t:C_t=!/f)5ONf`1uhiOAi;~>
+\,QKQR/[-cbjPK2R.UFYbl%JDR/d2Rbd[V&~>
+\GlTen,<7dhsLFDht-mJn,<7dhu<WVn)(YTJ,~>
+\GlTIiVicV]^>_!_t3m/f$jTt!8.;N!TCr+s*t~>
+\GlSsbl.PAR-jnRR.L@Xbl.PAR/[*dba>p?J,~>
+])Mg"hu*KShsC@Cht$dIhu3QThu*KThs\/VJ,~>
+])Mfi_u0N7]^5Xu_t*g-VZ$MpdJX"F_r83,J,~>
+])MfTR/HsaR-ahQR.C7WR/R$bR/HsbR*</AJ,~>
+]Dhohn,*+bhsC@Chsp^KhuE`6qYpTbhn/o=~>
+]DhoLiVWWT]^5Xu_t!a/VZ6\DqYpTT_n5r!~>
+]Dho!bkqD?R-ahQR.:1YR/d2RqYpT?R(NBK~>
+]`.uhq>UHPm/I(Cnc/XX!WV'PrrCrhs*t~>
+]`.uLq>UH-m/I('nc/X<!WURBrrBsLs*t~>
+]`.u!q>UG^m/I'Qnc/X5!WSP^rrAG!s*t~>
+^Ae6&ht[3OhsC@Chsg[GhtI'Nhs\;ZJ,~>
+^Ae5m_ta63]^5Xu_sm[,VU>,;!Q3m1s*t~>
+^Ae5XR/$[]R-ahQR.1.UR.gO\R*<;EJ,~>
+^]+>ln+Zh^hsC@Chsg[Ght@!Mn)(n[J,~>
+^]+>PiV3?P]^5Xu_sm^+]_2:*iPWG1J,~>
+^]+>%bkM,;R-ahQR.1.UR.^I[ba?0FJ,~>
+_>aQ)ht@!LhsC@Chsg[Ght-jKhs\D]J,~>
+_>aPp_tF$0]^5Xu_sm[,dAHO8!Q3m4s*t~>
+_>aP[R.^IZR-ahQR.1.UR.L=YR*<DHJ,~>
+_Z'Yon+?V[hsC@Chsp^KhuE06oD\j[hnoDD~>
+_Z'YSiUm-M]^5Xu_t!a/dJq\EoD\jM_nuG(~>
+_Z'Y(bk1o8R-ahQR.:1YR/bCSoD\j8R)8lR~>
+`;]l,ht$gIn*U,Tht$dIhu<WUhsp^Ihs\M`J,~>
+`;]ks_t*j-iU-XF_t*g-dJj.GVXaZe_r8Q6J,~>
+`;]k^R.C:WbjGE1R.C7WR/[*cR.:1WR*<MKJ,~>
+`W,u,nG`LGmJd1DoDejZrr2uUnGiOW`W(G~>
+`W,tsnG`L+mJd1(oDejSrr2tqnGiOI`W(G~>
+`W,t^nG`KUmJd0RoDej7rr2tcnGiO4`W(G~>
+`r?(sn*^2UhsULEht6pLhs^OD!8m8F!Unpcs*t~>
+`r?(WiU6^G_s[O)_t<s0dHLQ/!2f5b!TCr9s*t~>
+`r?(,bjPK2R-stSR.UCZR*>O/!1<6T!R-qNs*t~>
+aSu;0hs::Bhs^RFhtI'Nn)+$B!8m2D!T3@es*t~>
+aSu;"_s@=&_sdU*_tO*2kgB;-!2f/`!Q3m;s*t~>
+aSu:bR-XbPR.(%TR.gO\baA;-!1<0R!LV*Ps*t~>
+ao;D!n*0iQhs^+8!8mSO!q5%8q>UHPmJd4UhoYnK~>
+ao;CZiT^@C_r:.c!5nU3!p%bmq>UGlmJd4G_o_q/~>
+ao;C/bj#-.R*>+#!1<Q]!mI%Uq>UG^mJd42R*#AY~>
+bPqV3hraq>n)*^9!8mYQ!q5%8p\t6Nli."Cn&t`]~>
+bPqV%_rgt"iPY6d!5n[5!p%Mbp\t5gli."'iQM7O~>
+bPqUeR-+DLba@u$!1<W_!mI%Up\t5\li.!Qbfg$:~>
+bl7_$n)OHJht6pKhu*KUn)*U-s8VQQrrMTGbl<1~>
+bl7^]iT't<_t<s/_u0N9jN?QWs8UF1rrM)rbl<1~>
+bl7^2biAa'R.UCYR/Hscba?WJs8U=.rrL?2bl<1~>
+c2Re$huE]5p\t<Ps8W)U!:TR[!8lu>!8l'$J,~>
+c2Rd]hu<bq`le&U!lP'<rlP6%o`"oakPkP"c2W:~>
+c2Rd2huE\Cp\t;^s8W(c!6k*8!1;sL!1;%2J,~>
+eGfaAs8VQfn))n"pYQ%uhr!r'!8lr=!T3ADrr_`is6nV?J,~>
+eGfa!s8UFFiPXFMpW<Q=b0'5R!2/KS!Q3morr^UIs3K?tJ,~>
+eGf`ss8U=Cba@/bpQu"mR$dCC!1;pK!LV+/rr^LFs30-qJ,~>
+eGf^0s6oF6n'M(7hsULEhrXk=n)+*Ds6g!ghq7sZ~>
+eGf]Fs3K$/iR%T)_s[O)T]Q1SiPYWos3C`GT\09p~>
+eGf]>s3/]Sbg?@iR-stSR-">KbaAA/s3(NDR+VFh~>
+e,TF)cMmn%n,NFVj8T/;n,E=fn))asJ,~>
+e,KKBZ,=le!5n:*s3Ka*!Q3mqrrLH=fDg@~>
+e,TE7cMmm3n,NF3j8T.Ibl7VCba@#^J,~>
+e,TI*c2Re$n,ECFiVroHrVllTfDg@~>
+e,KHAZ-E:K_sdU*T],nNiVicVT\'3o~>
+e,TH8c2Rd2n,EBTiVro%rVlkbfDg@~>
+eGfX.s6oF%rrCsGs8VQCrrCs.s*t~>
+eGfWDs3K$:rrBt+s8UF#rrA_Ds*t~>
+eGfW<s3/^4rrAGUs8U<urrAG<s*t~>
+eGfX>s8VQ5rrCsGrrCs2rrDN>s*t~>
+eGfWss8UEjrrBt+rrA_HrrCBss*t~>
+eGfWps8U<grrAGUrrAG@rrC9ps*t~>
+Sc8]Ync/XXYlB4~>
+Sc8]Knc/X8YlB4~>
+Sc8]6nc/X5YlB4~>
+N;in8YQ'+~>
+N;imNYQ'+~>
+N;imFYQ'+~>
+NW0"9Y5a"~>
+NW0!OY5a"~>
+NW0!GY5a"~>
+NrK+:XoEn~>
+NrK*PXoEn~>
+NrK*HXoEn~>
+O8o7KXoEn~>
+O8o7+XoEn~>
+O8o7(XoEn~>
+OT5@LXT*e~>
+OT5@,XT*e~>
+OT5@)XT*e~>
+OoGI>n#QJ=~>
+OoGHTc`@(r~>
+OoGHLbcCbo~>
+P5bO>WW.J~>
+P5bNTWW.J~>
+P5bNLWW.J~>
+PlLd@W;hA~>
+PlLcNW;hA~>
+PlLcNW;hA~>
+QN.!BVZ2/~>
+QN-uPVZ2/~>
+QN-uPVZ2/~>
+Rf<BVrnjOOJ,~>
+Rf<B3rg9M]J,~>
+Rf<B3rg9M]J,~>
+UAt&H!:QW]J,~>
+UAt%V!6h/:J,~>
+UAt%V!6h/:J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1o.ps b/books/ps/bookvol1o.ps
new file mode 100644
index 0000000..fed6fdf
--- /dev/null
+++ b/books/ps/bookvol1o.ps
@@ -0,0 +1,806 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/3DCase3.ps
+%%CreationDate: Sat Dec 10 08:34:48 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 215 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+200.000000 -200.000000 scale
+% Image geometry
+200 200 8
+% Transformation matrix
+[ 200 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 200 string def
+/gstr 200 string def
+/bstr 200 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        25797 ASCII Bytes
+colorimage
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+X8a")s8V!6n,NFFhs^U6hr"J6hr!o&s6oFQrrCr[s*t~>
+X8a!is8TI5gAh2[[+bQ6[']l5['\Qes4Z3'rrBF0s*t~>
+X8a![s8SIRbl@^1R*>TSR$dpRR$c+ts3/^`rrAFis*t~>
+XoJFis5+OjhuE06huE`Fs53kVhr"J6huE`6q>^K`YlB4~>
+XoJFTs0NL?[/\k6[/^0[s0Vh+[']l5[/^05q>^KKYlB4~>
+XoJFFs-ON#R/bCSR/d31s-WidR$dpRR/d2Rq>^K=YlB4~>
+Z2Y9js53kVhp:ckhuE`6hu3QZhuE`6n)*U5rs%B\s53kVhu<WUhm!-2~>
+Z2Y9?s0Vh+[#`r@[/^05[/L"/[/^05g9fT5rs#k1s0Vh+[/U(*['9R\~>
+Z2Y9#s-WidQt4G@R/d2RR/R$hR/d2Rba?WRrs"kjs-WidR/[*cR'?U@~>
+Z2Y9js53kFs53;FhuE`6hu3Q^huE`6s8VQFs8V!UrrV*Xhu<WUhm!-2~>
+Z2Y9?s0Vg[s0UM[[/^05[/L"3[/^05s8Uf[s8TJ*rrTS-[/U(*['9R\~>
+Z2Y9#s-Wi1s-V%1R/d2RR/R$lR/d2Rs8U<1s8SJcrrSSfR/[*cR'?U@~>
+Z2Xm_s53_R'AriYn)+0Fn,M;Fs52`6s53kVhu<ZUhu<ZUn$)hB~>
+Z2Xm4s0V\''=@eng9gn[gAeP[s0T05s0Vh+[/U+*[/U+*g9CU-~>
+Z2Xlms-W]`':AgDbaAG1bl=(1s-T2Rs-WidR/[-cR/[-cbcq+t~>
+Z2Xpphs^%3s8Ushn,NFFhs^U6hr"J6hr!o&s6oFUrrDNerrCr[s*t~>
+Z2Xp[[+a73s8TG=gAh2[[+bQ6[']l5['\Qes4Z3+rrCdPrrBF0s*t~>
+Z2XpMR*<ePs8SH!bl@^1R*>TSR$dpRR$c+ts3/^drrC:BrrAFis*t~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+RfE?DV#Pr~>
+RfE>ZV#Pr~>
+RfE>RV#Pr~>
+R/[0DU]5i~>
+R/[/ZU]5i~>
+R/[/RU]5i~>
+RK!9EUAo`~>
+RK!8[UAo`~>
+RK!8SUAo`~>
+Rf<BFU&TW~>
+Rf<A\U&TW~>
+Rf<ATU&TW~>
+Rf<K9hr!mus*t~>
+Rf<J/TV0W,s*t~>
+Rf<J#R$c*ns*t~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+Sc8]YT)X<~>
+Sc8]KT)X<~>
+Sc8]6T)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+Sc8]IT)X<~>
+Sc8]-T)X<~>
+Sc8\WT)X<~>
+a8Z1tn(I^@hqJ)2n))1cJ,~>
+a8Z1XiS"52_qP+kiPW_9J,~>
+a8Z1-bh<!rR+hQ@ba?HNJ,~>
+`rH)-iW&hC!b@[Sq3V.mrKugKs6mu-J,~>
+`rH(tiW&i'!kQdcq9]2RrR'j/s5CutJ,~>
+`rH(_iW&i5!mfc*q;21urSQi=s3/L_J,~>
+`W#u-hrt+;R/HscR/c(>rr?U.s885abjYQ4hs\PaJ,~>
+`W#tt_s%-tdJX"GdJq,[rrBY/s8:7EkjSNP_r8T7J,~>
+`W#t_R-=SIhu*KUhuB)>rrCCDs8:aSn*g8WR*<PLJ,~>
+_uBbpn*^5RQiPA*rrSSfhtd9PR/$[`b[d*.o`"s\ho#JE~>
+_uBbTiU6aDd/`D*rrUUJ_tj<4dJ3_Dkdo0ho`"sN_o)M)~>
+_uBb)bjPN/hZ3-?rrV*XR/-a^ht[3Rn'BnKo`"s9R)ArS~>
+_Z'Z*ht-jJbl4"-rrAG]rrSSfhtd9PR.pU^R/d3cR/$[^hs\G^J,~>
+_Z'Yq_t3m.kl0!-rrCIArrUUJ_tj<4dJ*YBdJs7GdJ3_B_r8K4J,~>
+_Z'Y\R.L=Xn,D5BrrCsOrrV*XR/-a^htR-PhuE`Uht[3PR*<GIJ,~>
+_#FGmn+cq^QiPA+rr?U)rrSSfhtm?RbaA2*!1<Z`rg<Za!Unp]s*t~>
+_#FGQiV<HPd/`D+rrBY*rrUUJ_tsB6kgB2*!7C]DrmC]E!TCr3s*t~>
+_#FG&bkV5;hZ3-@rrCC?rrV*XR/6g`n)*p?!8m\Rrnm\S!R-qHs*t~>
+^]+?'hu!HRQiYEup\t5\q#:D_s53\Q!1<N\!+bm)s-Nl3hs\>[J,~>
+^]+>n_u'K6d/iIYp\t6@q#:ECs24^5!7CQ@!4qt*s3Uo3_r8B1J,~>
+^]+>YR/?p`hZ<3'p\t6Nq#:EQs-WZ_!8mPN!71H?s5*nHR*<>FJ,~>
+^&J8ns8U<1R/[*cAG?*)R*>O/rKmXsR#(U+!+c(r!6kB@s316;".6`gbeO1.~>
+^&J8Rs8V<1dJj.G](c4*dHLQ/rQt\XdBi\s!4r0W!9j@\s604W"4>9=keI.J~>
+^&J8's8VQFhu<WUchIG?hs^ODrSI\&hlQ\3!71Z%!:Tjcs6o^^"5gcKn%\mQ~>
+]`/&7R*>L.!R-r+rrL>SrL!Q`!gs#FqYpP_rr2uBrKmWcR.pUbLu874ba?Vjs*t~>
+]`/&7dHLN.!U.r+rrM>prR(TD!n%%cqYpQCrr2u^rQtZGdJ*YFZbuhCkgAV1s*t~>
+]`/%hhs^LC!Unq@rrMT7rSRSR!oO$FqYpQQrr2uerSIYUhtR-TXI0%fn)*TMs*t~>
+^Ae>[R*>$Vqu6Y,qu6fCR$c*bq>UM`s53\Q!1<T^!+c(rqYpSPbl%JAba?9IJ,~>
+^Ae?"dHKQ,qu6Z-qu6f_dF%1*q>UNDs24^5!7CWB!4r0WqYpT&kktG]kg@9IJ,~>
+^Ae?)hs\dVqu6ZBqu6ffhr!n[q>UNRs-WZ_!8mVP!71Z%qYpStn,31dn))"^J,~>
+_#FJ[R$djP!T3AErr^K4s8W(c!6kHB!1<Q]!LVdArrAG]rrAGcs8JDcrrVYjbk_;=R)K#T~>
+_#FK"dF%pm!Q3mprr_K4s8W)G!9jF^!7CTA!R\g^rrCIArrCIGs8LFGrrV/\kkY8YdDZ'8~>
+_#FK)hr"D4!LV+0rr_`Is8W)U!:Tpe!8mSO!T0:ArrCsOrrCsUs8LpUrrUE#n+m"`ho,PF~>
+_>jPZ!rpKgrVloehu3QV0pn@)s8U==rrJMEqu6Y`q>^K=qu6bcG_jT;rrJM2`rCP~>
+_>jQ!!rqKJrVloW_u9T:UX@Kcs8V<YrrLNbqu6ZDq>^KYqu6cGQ*]]JrrLO2`rCP~>
+_>jQ(!rq`XrVloBR/R$d^YdrFs8VQ`rrM#Equ6ZRq>^K`qu6cUGc^B-rrM$G`rCP~>
+_Z'Y(bl7YBbl%JEhuB(2s-WT]!1<W_!gmMSqj7FqR*>I-!1<W_"Q.GIR$d[K"3d.VbfBa6~>
+_Z'Yakl1V^kktGa_uJ-3s3^WA!7CZC!n"Tcqp>JVdHLK-!7CZC"N0HedF%ah"6e.rkf<^R~>
+_Z'Yon,E@en,31hR/c($s53VO!8mYQ!oM>*qqhJ$hs^IB!8mYQ"ISZHhr"5/"7P.9n&PHY~>
+`;]k^R/?m`R/I!aQilgWs-WT]!LWoaQid;TR/HsdbaAFSqO%3\"7P.IR/[*dR*>I-s31NC!R-qP
+s*t~>
+`;]l%dJNqDdJX%Ed0&A-s3^WA!R^rEd/s?qdJX"HkgBFoqU,6@"6%/tdJj.HdHLK-s60L_!U.qP
+s*t~>
+`;]l,hu!ERhu*NShZM+&s53VO!T3qShZEi8hu*KVn)+06qVV5N"3d/4hu<WVhs^IBs6p!f!Unpe
+s*t~>
+`W#t+bk_8HR/d2RR/d3ThuE_Dqu6cBQt2T\rrFjAr;Qbaq>Ubgba=dAs53;FR/Hscba?WRs8U=@
+rrAG.s*t~>
+`W#tdkkY5ddJs6odJs7*_uKbaqu6c^dCRa%rrJnBr;QcEq>UcKkg@fAs23gqdJX"GkgAVns8V<\
+rrCHgs*t~>
+`W#trn+ltkhuE`6huE`#R/d3Dqu6cehp:3VrrKmlr;QcSq>UcYn)*$ks-V%1hu*KUn)*U5s8VQc
+rrCrus*t~>
+a8Z1aR.gR[R/?mehs\e5s8W(c"3gfFR/6g`0pqn=!+bs+!+c'.!kanfrlk6="O*7WR*>F,!1:q/
+J,~>
+a8Z2(dJ!V?dJNqI_r9hCs8W)G"6fdbdJEkDUXB#>!4r%,!4r./!m8p<roj4Y"R+7sdHLH,!7Ash
+J,~>
+a8Z2/htI*Mhu!EWR*>$fs8W)U"7Q9ihtm?R^Yeth!71NA!71WD!kdFJrpT^`"Rk7:hs^FA!8ks!
+J,~>
+aSu:bR.gO]R*:rorrhfJA=/b]rr?U+rrY!Cs31J0!G%Sqs8U=Brs%BLs8SIRbkV2=R*>@*!LV*T
+s*t~>
+aSu;)dJ!SAdHK!Srrh;u]$\q&rrBY,rr]%Ds60I0!P6\Vs8V<^rs$C"s8UKokkP/YdHLB*!R^,T
+s*t~>
+aSu;0htI'Ohs]J!rrgQ5cemXWrrCCArr^$ns6osE!RK[$s8VQers"k7s8V!6n+cn`hs^@?!T3@i
+s*t~>
+aoDCb!rlfTqYpT?R/[*cR/?p`QiZ)TqZ$T>!<<"b$"Pc$R*>U1bfp+bQipt"s6nkErre_5s3-l-
+rrgQ5s3-l*s8U<fs*t~>
+aoDD)!rojqqYpT[dJj.GdJNtDd/h.rqZ$TZ!<<#F$+cnCdHLW1kii'Ed0.&\s5Clprrga5s6.l-
+rrhQ5s6.l*s8V<-s*t~>
+aoDD0!rpU8qYpTbhu<WUhu!HRhZ9+jqZ$Ta!<<#T$.$B4hs^UFn*g;ShZV:*s3-l0rrh6Js6nkB
+rrhfJs6nk?s8VQ4s*t~>
+ao;@.rr<#Br;Zf@rVuoArr<"crr<#Br;QlCQnb!,s8OeRR/R$bR/?mdR/`P@M#RDTR*>O/!LV+1
+s8U=ArrAG^rrUE3bg-6=~>
+ao;@grr<#^r;Zf\rVuo]rr<#Grr<#^r;Ql_dA,+fs8ShodJa(FdJNqHdJqVAZi9t*dHLQ/!R^-1
+s8V<]rrCIBrrVE3kg'3Y~>
+ao;@urr<#er;ZfcrVuodrr<#Urr<#er;QlfhnS(Is8Th6hu3QThu!EVhuDTkXT&5#hs^OD!T3AF
+s8VQdrrCsPrrVZHn':r`~>
+b5VI/r;QfAR/[*dR*>I-s31M1qu6tiXT-M3R*>Stbl7VEbV:i>rVlkbr;Qqfbl?Shs8JD^rrgQ5
+ba?WOrrAGarrgQ5bl='Us*t~>
+b5VIhr;Qf]dJj.HdHLK-s60L1qu6uMXT.M3dHLVXkl1SakbFp#rVllFr;QrJkl8QZs8LFBrrhQ5
+kgAVkrrCIErrhQ5kl9&Us*t~>
+b5VJ!r;Qfdhu<WVhs^IBs6p!Fqu6u[M#Zr$hs^U&n,E=hn%ZWprVllTr;QrXn,Jd!s8LpPrrhfJ
+n)*U2rrCsSrrhfJn,M:js*t~>
+bPqR0qYpZAR*:rmrrJM2q>UM`LqNZc#A!k%Qt.p+AH%trAG__pn)+*D".7<"bkqDAQt4G:rrne6
+s3-kSrVlkbci8L~>
+bPqRiqYpZ]dHK!QrrLO2q>UNDZc`4G#J0r_dCQ*J])L+W])0kUiPYWo"4?>[kkkA]dCSQ;rrpg6
+s6.korVllFci8L~>
+bPqS"qYpZdhs]ItrrM$Gq>UNRXM"K2#LEG-hp9'Pci2i%chlT#baAA/"5iS)n,*+dhp:cerrq<K
+s6nk6rVllTci8L~>
+bl7[1q#:E>R*>F,"O*85bfp"b"jE@XR.&r3rre^"R/`QP1&h1QAGuQ.bQ=l5R/[*cR/[*mba?WS
+s-R?@s3/^_s8SGdbkqG?bg?B?~>
+bl7[jq#:EZdHLH,"R+85kihsE"mF@tdG`"Brrg`\dJqVmU]18n])D[/kQ7j5dJj.GdJj.QkgAVo
+s3\FAs6/\Bs8UIHkkkD[kg9?[~>
+bl7\#q#:Eahs^FA"Rk7Jn*g2S"n1@;hoqJerrh6*huDU4^]+65ci*nDmfJ=&hu<WUhu<W_n)*U6
+s52/ks6oFPs8UsVn,*.bn'M)b~>
+c2[gfq#:G`s3/^bs8U=Bs8U=BrtUpFs8U<1s5032s8SJ10kAK_0k?Y^rg3f3s+oS3s8JD_rr^K4
+ABb#P!R-r/rr^K4baA5+!1;.5J,~>
+c2[h-q#:HDs6/\Es8V<^s8V<^rtWrFs8V<1s2373s8UL1UUoZaUUnjarm:i3s0KWBs8LFCrr_K4
+]'0+m!U.r/rr_K4kgB5+!7B0nJ,~>
+c2[h4q#:HRs6oFSs8VQes8VQertXG[s8VQFs-V^$s8V!F^X)A`^X(f`rndhHs/_Ues8LpQrr_`I
+cgUi4!UnqDrr_`In)*s@!8l0'J,~>
+cN!pgq#:>]rr3#CR/[*dR*>L.s31M1r;Zb`s6p!fs'u-bAGn7_A-A;"s-QdbQj3T7A=1T.bl7VE
+ba?VAqYp_ds8U<1bl7VBR/-a^R*kqa~>
+cN!q.q#:?Arr3#_dJj.HdHLN.s60L1r;ZcDs5F"Xs1/6+])AE(\cgF\s3[A9d0BX7]$]`hkl1Sa
+kgAVAqYp`Hs8V<1kl1S^dJ<eBdF%uE~>
+cN!q5q#:?Orr3#fhu<WVhs^LCs6p!Fr;ZcRs31NCs3C_\ci(WYcNN/*s50@GhZj,Lcen3Kn,E=h
+n)*TkqYp`Vs8VQFn,E=ehtd9PhpMIS~>
+cN!p3!6k<>!1<Z`!gq3!qYpW@R$djP$-\d\b[ga0GaN%@1&mUA0kC5;#\8aIbl=&@ABb&Q"O*7W
+R$dmQ!LV+.rrQ_ubl%M@bkhA>bgQNA~>
+cN!pl!9j:Z!7C]D!n$5ZqYpW\dF%pm$0]e#kdpf#Q-m2BU]8^BUUpE!#eI@Kkl9&A]'0.n"R+7s
+dF%sn!R^-.rrTdZkktJ\kkb>ZkgKK]~>
+cN!q%!:Tda!8m\R!oNJ(qYpWchr"D4$1Hd?n'D$8Gi-jH^]30l^X)kn#g]TRn,M:kcgUl5"Rk7:
+hr"G5!T3ACrrUO(n,34cn,!(an'_5d~>
+ci409s8U<1bl.SAbkhA>R/?p`bl@_CQibL!bl7YBQiU`br\4C`rr2sQrac!_rg4((bl@^eR*<dA
+A=1U=s8U=CrrgQ5R/`QMs8U=>rrAG7s*t~>
+ci40rs8V<1kl(P]kkb>ZdJNtDkl:\_d/rOZkl1V^d/gi+rhBJ)rr2tnrjr*(rm;+bkl:\HdHKfA
+]$]a>s8V<_rrhQ5dJqVjs8V<ZrrCHps*t~>
+ci41+s8VQFn,<:dn,!(ahu!HRn,NFfhZE9(n,E@ehZ;'\rkAHZrr2u5rm1SYrne+0n,NFVhs^$k
+cen3hs8VQfrrhfJhuDU1s8VQarrCs)s*t~>
+ci4!4rVunbs8W,CqYp\cs8SJ1rr3"dbl.POb[d+@s3-l1ba=bPA9aL@rr=eQA,qGa0`tsRA7YY+
+!+c*/!R-r/s8JAcbl7YBbkh>>R/Hsabl4!Ys*t~>
+ci4!mrVuoFs8W,_qYp]Gs8UL1rr3#Hkl(Mkkdo1As6.l1kg@eQ\s:\BrrAhn\cB)8UBA*T]"7jf
+!4r10!U.r/s8LCGkl1V^kkb;ZdJX"Ekl/uYs*t~>
+ci4"&rVuoTs8W,fqYp]Us8V!Frr3#Vn,<7rn'Bnks6nkFn)*$;cZn@HrrBh5cN('F^B;g>cd2RI
+!71ZE!UnqDs8LmUn,E@en,!%ahu*KSn,D4ns*t~>
+d/O*5qYpVabaA8,s31KB"3d.VR/I!abQ7afraZ(tA24'os-ORXn,NDB0pkq-bV>JqQt4G@bfp+e
+baAA/#+5FXA=1T.qu6Y`q>UJ_bl3t3bl@^1e,Op~>
+d/O*nqYpWEkgB8,s60I^"6e.rdJX%EkQ1_Irji0Y\tf89s3VUgiW&qQUX>UZkbHP:dCSQAkii'H
+kgBA/#1<Iu]$]`hqu6ZDq>UKCkl/s3kl:\1e,Op~>
+d/O+'qYpWSn)+!As6ose"7P.9hu*NSmfEIWrm(Z'cbKJ*s5+Tnbl@^X^YbR=n%[c+hp:ckn*g;V
+n)+*D#2fI<cen3Kqu6ZRq>UKQn,D2Hn,NFFe,Op~>
+dJs6jq>UM`ABauOs31E@!mI%!rVlncbl7VFR/d2RR/UV$Qt2T.n)+."rac%r#\;.iAH/$-Qt6/_
+!+c%q!+c$-!1<Z`!1<]as-NgtbkqG?bgcZC~>
+dJs71q>UND]'0(ls60C\!pJ%ZrVloGkl1SbdJs6odJg]^dCR`hiPY\jrjr-W#eK62])U0hdCT;(
+!4r-V!4r+.!7C]D!7C`Es3UkYkkkD[kg]W_~>
+dJs78q>UNRcgUf3s6omc!q5%(rVloUn,E=ihuE`6hu:q,hp:3KbaAFFrm1W%#g_tcci;nKhp;8Y
+!71W$!71TC!8m\R!8m_Ss5*k'n,*.bn'qAf~>
+dJj36q>^K="94a!bl7VBR/?mfR/d2RR/`QQrr^K4s8W(/s-Nf1rg<]b!f1AArg3]0qO%<_!1<`b
+!1<ccs31HAs31B?!LV+1R/[*cR/6g_R+2.d~>
+dJj3oq>^KY"96c[kl1S^dJNqJdJs6odJqVnrr_K4s8W)0s3Ui1rmC`F!jfJ5rm:`0qU,?C!7CcF
+!7CfGs60F]s60@[!R^-1dJj.GdJEkCdFA2H~>
+dJj4(q>^K`"979)n,E=ehu!EXhuE`6huDU5rr_`Is8W)Es5*hFrnm_T!j'__rnd_EqVV>Q!8mbT
+!8meUs6opds6ojb!T3AFhu<WUhtm?Qhph[V~>
+df9?kq>UG^rVlteAB^G<rrAGas!)'AA=/`pA=-oOR$_EOR*<dAs8U:t<)dCqb[eqbs(%MsA7Y\,
+rr2tcrVuoArVlqds8W%b!G'FOrrAG_rrAG9s*t~>
+df9@2q>UHBrVluI]'.Q=rrCIEs!,,&]$\p:]$\+QdF#PQdHKfAs8V;XS=I1<kdp!*s16VX]"7mg
+rr2uGrVuo]rVlrHs8W&F!P7LlrrCICrrCHrs*t~>
+df9@9q>UHPrVluWcgTcgrrCsSs!,kIcemX+cem(;hquc;hs^$ks8VQ&S=Ip_n'CI[s3KU&cd2UJ
+rr2uUrVuodrVlrVs8W&T!RL63rrCsQrrCs+s*t~>
+df0<7q>^K=qu6_.R$djPs31HAs31KB*16d+R$_EOb[erAR$dpRA2,f<A?="BbaAEtR/d/Q!rpJT
+rKmRqrKmRqr0RLqR/HsaR/?m`R/-a^R+;4e~>
+df0<pq>^KYqu6`/dF%pms60F]s60I^*7=fddF#PQkdp!AdF&!o\tc$j\ub,CkgBFXdJs3n!rqJq
+rQtVVrQtVVr6YPVdJX"EdJNqDdJ<eBdFJ8I~>
+df0=)q>^K`qu6`Dhr"D4s6opds6ose*8gerhquc;n'CIkhr"J6cbI5bc\V&In)+0&huE]5!rq`8
+rSIV$rSIV$r8.P$hu*KShu!ERhtd9PhpqaW~>
+e,KHmR/-a^R/6gaR/d3cQi[5SrVuoArr4./s8SIRs('?@s('?tR*:@sA=0IBQt3jss-T1tR/d1s
+R/Y>/rrAGbs8U=ArrAG`rrAG`rrAG^rrAG:s*t~>
+e,KI4dJ<eBdJEkEdJs7Gd/j9prVuo]rr4.hs8UKos17FAs17FXdHIpJ]$[VCdCRKJs3]6XdJs6X
+dJiA/rrCIFs8V<]rrCIDrrCIDrrCIBrrCHss*t~>
+e,KI;htd9Phtm?ShuE`UhZ<c7rVuodrr4/!s8V!6s3L/ks3L0&hs[YmcejQIhp8sms52`&huE`&
+hu<*DrrCsTs8VQdrrCsRrrCsRrrCsPrrCs,s*t~>
+e,KN;b[d+=s8U=?rrAG`rr?U/QibM3R/[-`QiR0cQiPA0QimA!baAB?'o6BTs+mbDba?WSQt66s
+R$_F.s8SJarrAGbs8U=@rrAG_rrAG_rrAG:s*t~>
+e,KNtkdo1>s8V<[rrCIDrrBY0d/rP3dJj1Dd/a4Gd/`D0d0'E[kgBC@'skKHs0JfSkgAVodCTAX
+dF#Phs8ULErrCIFs8V<\rrCICrrCICrrCHss*t~>
+e,KO-n'Bnhs8VQbrrCsRrrCCEhZE9Hhu<ZRhZ3]UhZ3-EhZNo)n)+,j's,`rs/_%6n)*U6hp;?&
+hqucKs8V!SrrCsTs8VQcrrCsQrrCsQrrCs,s*t~>
+e,KE8rr;tbs8N(dqYpP_qu6Y`rr3#CAGql#AH2\RQt65-rQGV9AH0l@bflI3R$dls%'5irbfp*S
+ABb)RR*>Ps!G'FRrrAGarrAGarrAG_rrAG`s8JD:s*t~>
+e,KEqrr;uFs8N)HqYpQCqu6ZDrr3#_])C"]])VfodCT@hrTFU9])V!AkigF3dF%sW%'7kVkii&o
+]'01odHLSW!P7LorrCIErrCIErrCICrrCIDs8LEss*t~>
+e,KF*rr;uTs8N)VqYpQQqu6ZRrr3#fci)`+ci=%6hp;>KrU1*Nci<Ikn*f/$hr"G%%#Eg@n*g;6
+cgUo6hs^R%!RL66rrCsSrrCsSrrCsQrrCsRs8Lp,s*t~>
+e,KE8r;Qc@rg<T_s31E@!1<]a!1<cc!1<cc+dgLRbaAE@s($qQQt4F.s(("ts().?R*<eSba?WS
+Qt0b*rrJM2rg3[rrg<`c!1<Z`!1<ccrg3[rqj@E`!1;@;J,~>
+e,KEqr;Qc\rmCWCs60C\!7C`E!7CfG!7CfG+joNRkgBFAs15PadCSPhs16+Zs186AdHKfokgAVo
+dCQperrLO2rm:_WrmCcG!7C]D!7CfGrm:_WqpGHD!7BBtJ,~>
+e,KF*r;QccrnmVQs6omc!8m_S!8meU!8meU+lDbgn)+/ks3Ie(hp:cKs3I(Ys3L_khs^%6n)*U6
+hp9XHrrM$Grnd_%rnmbU!8m\R!8meUrnd_%qqqGR!8lB-J,~>
+eGoQmqYp\cba=dArr2tcqu6Y`rVlkbrVlncs8JAis3/]SR/a8ebT*#MQt2RpLh)l`R/`QRbcK%4
+ABb)RA=1U@s3/^crs"kjs3-jtAG__oAH%tqrrAG^rrAG;s*t~>
+eGoR4qYp]Gkg@fArr2uGqu6ZDrVllFrVloGs8LCMs6/[odJp<IkT&"MdCR`:Zb"PqdJqVokcF"3
+]'01o]$]aAs6/\Frs$mNs6.kX])0kT])L+VrrCIBrrCHts*t~>
+eGoR;qYp]Un)*$krr2uUqu6ZRrVllTrVloUs8Lm[s6oF6huAN3mi:6bhp:3+XO#eMhuDU6mtgH$
+cgUo6cen3ks6oFTrs%B\s6nk&chlT"ci2i$rrCsPrrCs-s*t~>
+eGfN9q>UG^rr;tbs31E@s31HA!1<cc.*Q4hs8SJ1bl=&tLh)l`bfp)ts8SJDR/d2Rs3/^eR#(52
+baAEts31J0r;Qbar;Qbaqu6Y`qu6Y`q>UG^f)L7~>
+eGfNrq>UHBrr;uFs60C\s60F]!7CfG.-S7is8UL1kl9&XZb"Pqkii&Xs8UKadJs6os6/\HdBhg3
+kgBFXs60I0r;QcEr;QcEqu6ZDqu6ZDq>UHBf)L7~>
+eGfO+q>UHPrr;uTs6omcs6opd!8meU..>L>s8V!Fn,M;&XO#eMn*g;&s8UuDhuE`6s6oFVhlP'%
+n)+0&s6osEr;QcSr;QcSqu6ZRqu6ZRq>UHPf)L7~>
+eGfN9q>UG^qu6Y,rKmZ1s-Wcbs31J0!+c'."_>jWbZ'u/bSOfWR*:rtR*=I3bl=(1s(%M@be2j5
+b[gYO#%X*gbl@^1r;Qbaqu6Y`qu6Y`q>UG^f)L7~>
+eGfNrq>UHBqu6Z-rQt]1s3^fFs60I0!4r./"hNptka^'"kSLhXdHK!XdHJL3kl9'1s16VAkfUgC
+kdp]l#.i40kl:\1r;QcEqu6ZDqu6ZDq>UHBf)L7~>
+eGfO+q>UHPqu6ZBrSI\Fs53eTs6osE!71WD"jcZ;n!r;7mha=-hs]J&hsZs$n,M;Fs3KTkn%>%f
+n'Cq3#1)2an,NFFr;QcSqu6ZRqu6ZRq>UHPf)L7~>
+eGfN9q>UG^qu6Y`rVlrCQt6/_!G%SsrrAGcs8SH;s3-;CA=3CaR/d1sR$_EO]`4B!Qt2TaR/d31
+bhnf3R$dpRbfp+eba=c.bl.PAR/?m`R/?m`R/-a^R+D:f~>
+eGfNrq>UHBqu6ZDrVlr_dCT;(!P6\XrrCIGs8UIts6-fQ]$^Q*dJs6XdF#PQb5]lhdCRa*dJs71
+kekg3dF&!okii'Hkg@ehkl(M]dJNqDdJNqDdJ<eBdFS>J~>
+eGfO+q>UHPqu6ZRrVlrfhp;8Y!RK[&rrCsUs8Ut-s6m&Xcenc[huE`&hquc;]`6mhhp:3[huE`F
+n!N#$hr"J6n*g;Vn)*$Kn,<7dhu!ERhu!ERhtd9Phq%gX~>
+eGfN9qYpP_qYpP_qu6Y`rVlkbrVm=os3-l1R$_Fas-R?@AH)TER/d2Rs/_SuR/`QRs3/^es3-l!
+n,NFeR/HshR/`P@A=1T.qu6Y`qu6Y`q>UG^f)L7~>
+eGfNrqYpQCqYpQCqu6ZDrVllFrVm>Ss6.l1dF#Q*s3\FA])M^FdJs6os/aVZdJqVos6/\Hs6.kh
+iW&rWdJX"LdJqVA]$]`hqu6ZDqu6ZDq>UHBf)L7~>
+eGfO+qYpQQqYpQQqu6ZRrVllTrVm>as6nkFhquc[s52/kci3q[huE`6s+oRYhuDU6s6oFVs6njh
+bl@_Bhu*KZhuDTkcen3Kqu6ZRqu6ZRq>UHPf)L7~>
+ec,W:q>UG^qYpP_r;Qbar;QbarVunb%a=tQA5rU/bfp)AR*>Strr3e%s53jDs8SJ1s8SJdR$c+A
+n)+0Fb[d+>rrAGarr?U-QibM3R/?m`R/-a^R+D:f~>
+ec,Wsq>UHBqYpQCr;QcEr;QcErVuoF%d<rm\t&g#kii&AdHLVXrr3e^s24las8UL1s8ULHdF%1A
+iPY]qkdo1?rrCIErrBY.d/rP3dJNqDdJ<eBdFS>J~>
+ec,X,q>UHPqYpQQr;QcSr;QcSrVuoT%e'Gtc^b%8n*g:khs^U&rr3els-WiDs8V!Fs8V!Vhr!nk
+baAG1n'BnirrCsSrrCCChZE9Hhu!ERhtd9Phq%gX~>
+ec5T8r;QbaqYpP_r;Qbar;Re)s8U<1AH2\RQt65as-WhRR/bBtABb)RR/c(DR/[*gR/bBtAH)T:
+b[gb2]ZgE"A=3Caqu6Y`r;QiBQt6,^!WSP_rrAG;s*t~>
+ec5Tqr;QcEqYpQCr;QcEr;Rebs8V<1])VfodCTA*s3^kodJrFX]'01odJq,adJj.KdJrFX])M^;
+kdpf3b38lh]$^Q*qu6ZDr;Qi^dCT8'!WURCrrCHts*t~>
+ec5U*r;QcSqYpQQr;QcSr;Reps8VQFci=%6hp;>[s53k6huE0&cgUo6huB)Dhu<WYhuE0&ci3qP
+n'D$$]^Pmhcenc[qu6ZRr;Qiehp;5X!WV'QrrCs-s*t~>
+ec,W:rr;qa!WSPas8U=@rrAGas8JAsbl=(1Ls27dR/^^@R*<eSs8L7BQipreLmV`PQj%#fbl>nS
+rVltebe2j4rrUDTAGlK-bkqD?R/?maQt5uZf)L7~>
+ec,Wsrr;rE!WUREs8V<\rrCIEs8LCWkl9'1Zfog:dJpfAdHKfos8M6^d0.&.ZdHA`d07,/kl9ko
+rVluIkfUgBrrVDq]);U.kkkA[dJNqEdCT,#f)L7~>
+ec,X,rr;rS!WV'Ss8VQcrrCsSs8Lmen,M;FXRG'HhuD$khs^%6s8MKehZV9_XP_A'hZ_?`n,Mk6
+rVluWn%>%errVZ8ci!hCn,*+bhu!EShp;)Tf)L7~>
+ec,W:qYpS`AGheqs-W]`#+3W%Qt2RprVm/9R*:rts-T2Rrg<]b!+c'."IT5Hs-Wfc!R-r1s8U=B
+s8SGmbl?Shs8SJdR$dmQ!1<W_!1<W_!1<W_s30'oJ,~>
+ec,WsqYpTD])9qVs3^`D#1;Y^dCR`:rVm/GdHK!Xs3]6ormC`F!4r./"O[7es3^iG!U.r1s8V<^
+s8UIQkl8QZs8ULHdF%sn!7CZC!7CZC!7CZCs6/&6J,~>
+ec,X,qYpTRchuZ$s53_R#2en,hp:3+rVm/9hs]J&s52`6rnm_T!71WD"Q06Hs53hU!UnqFs8VQe
+s8Us_n,Jd!s8V!Vhr"G5!8mYQ!8mYQ!8mYQs6nP=J,~>
+eGfN9qYpP_r;QebAG__pA=3>q!1<cc"2(!UR/[*lba=dAba=dAs-Wcb"_@Yjs8SJcrr?U.rsNB;
+R$dpRbaAG!hjFBBs-Wi1qu6Y`qYpP_q>UG^ec1.~>
+eGfNrqYpQCr;QfF])0kU]$^KV!7CfG"3T#ddJj.Pkg@fAkg@fAs3^fF"hO`Os8ULGrrBY/rsQF<
+dF&!okgBFh_pSG_s3^l1qu6ZDqYpQCq>UHBec1.~>
+eGfO+qYpQQr;QfTchlT#cen^$!8meU"2*O+hu<W^n)*$kn)*$ks53eT"jd49s8V!UrrCCDrsR0Q
+hr"J6n)+/hR,@lBs53kFqu6ZRqYpQQq>UHPec1.~>
+eGfN9qYpP_qu6Y`qu6Y`r;RIus8QWRR$do@R/`PtR/`QRs3,#@rVm%gs53kVR/[*ibaAG1R$_F]
+rr\Y4R,@f@!b@\Br;QbaqYpP_q>UG^ec1.~>
+eGfNrqYpQCqu6ZDqu6ZDr;RJYs8T[odF&!AdJqVXdJqVos6.&ArVm&Ks24m:dJj.MkgBG1dF#Q&
+rr^[4dDPk]!kQeCr;QcEqYpQCq>UHBec1.~>
+eGfO+qYpQQqu6ZRqu6ZRr;RJgs8UF6hr"IkhuDU&huDU6s6n:krVm&Ys-Widhu<W[n)+0FhqucW
+rr_0IhjF<@!mfcmr;QcSqYpQQq>UHPec1.~>
+eGfN9qYpP_qYpP_r;Qbar;Qtgb_XK1s-Wfc"Yn53ba?WRrrJMerKn"(R#(eBR/d31Qnatqrr2tc
+r;QrER$dp2n,E=mR/d31R$c+tR/6j_bkh>>R+2.d~>
+eGfNrqYpQCqYpQCr;QcEr;QuKkd0L#s3^iG"f(:mkgAVnrrLOIrQu%bdBilQdJs71dA,+:rr2uG
+r;QradF&!3iVri_dJs71dF%1XdJEnCkkb;ZdFA2H~>
+eGfO+qYpQQqYpQQr;QcSr;QuYn#Z!8s53hU"i'NPn)*U5rrM$WrSJ%0hlQkXhuE`FhnS(+rr2uU
+r;Qrhhr"I$bl7VJhuE`Fhr!o&htmBQn,!%ahph[V~>
+eGfN9qYpP_qYpP_r;Qbar;QkTA=1U?rs+qkR/`P@baAD0s31E@$^gtOR$_EOR*>U1R/R$cbaAD0
+$(/s:s-V%!huB)@rrUE3AGZ<+R/-a^R+2.d~>
+eGfNrqYpQCqYpQCr;QcEr;Ql*]$]a@rs-sOdJqVAkgBD0s60C\$do!ldF#PQdHLW1dJa(GkgBD0
+$.7u:s3^&h_uJ-]rrVE3]))F,dJ<eBdFA2H~>
+eGfO+qYpQQqYpQQr;QcSr;Ql#cen3jrs.H]huDTkn)+-Es6omc$fCuOhquc;hs^UFhu3QUn)+-E
+$/b4Os53:hR/c(@rrVZHchdYAhtd9Phph[V~>
+eGfN9qYpP_qYpP_r;Qbarr3/GA=/b.R/[*nR*<dAs8SIRbl@^1qu6hes53kVR/HsaR/I!abl=(.
+rre_5s1H#@rrJMerL!Ta!1<T^!1;:9J,~>
+eGfNrqYpQCqYpQCr;QcErr3/c]$\phdJj.RdHKfAs8UKokl:\1qu6iIs24m:dJX"EdJX%Ekl9'.
+rrga5s2rL\rrLOIrR(WE!7CWB!7B<rJ,~>
+eGfO+qYpQQqYpQQr;QcSrr3/jcemXKhu<W`hs^$ks8V!6n,NFFqu6iWs-Widhu*KShu*NSn,M;C
+rrh6Js1H#@rrM$WrSRVS!8mVP!8l<+J,~>
+eGfN9qZ$T>qu6Y`qu?\`%#C;Ns-WidR/d31R$dmQ"do>6R$c+qrs+q8s53kVR*>L.!1<cc"3d."
+bkh>Bba?WChu*NSbl%M@QiUaAqYpP_e,Op~>
+eGfNrqZ$TZqu6ZDqu?]D%("@]s3^lHdJs71dF%sn"k!A6dF%1Urs-s8s24m:dHLN.!7CfG"6e.[
+kkb;^kgAVQ_u0Q7kktJ\d/giBqYpQCe,Op~>
+eGfO+qZ$Taqu6ZRqu?]R%'8@ds53kVhuE`Fhr"G5"lK@Khr!o#rs.HMs-Widhs^LC!8meU"7P.)
+n,!%en)*TXR/I!an,34chZ;'lqYpQQe,Op~>
+eGfN9q>UG^qu6Y`rr;tb!ATE.rsG.ns-T1tbaAG1R/R'`Qj1e7s-Widhu<WUR/HsiR/`P@bl@^e
+bkqDDR*:qbs53hUs31?>rlkA/rVlkbe,Op~>
+eGfNrq>UHBqu6ZDrr;uF!Md"!rsI0Rs3]6XkgBG1dJa+Dd0Ah7s3^lH_uBZ9dJX"MdJqVAkl:\H
+kkkA`dHK!*s24j9s60=Zroj@/rVllFe,Op~>
+eGfO+q>UHPqu6ZRrr;uT!Pb`6rsIZ`s52`&n)+0Fhu3TRhZiQLs53kVR/[*chu*K[huDTkn,NFV
+n,*+ghs]I[s-Wfcs6ogarpTjDrVllTe,Op~>
+eGo<2!+bto!+c(rs8W+0!LV+0rrSSfs8A>`bl7YBbl7VHba=c.R$`^/rrJMer0RI=qu6Y`rVloB
+R/R$gAB`s"bfon_!1<`b!6kG0s3/slJ,~>
+eGo<k!4r'T!4r0Ws8W,1!R^-0rrUUJs8C@Dkl1V^kl1Sdkg@ehdF#<"rrLOIr6YM>qu6ZDrVlo^
+dJa(K]'.&jkihjB!7CcF!9jF0s6.r3J,~>
+eGo=$!71Q"!71Z%s8W,F!T3AErrV*Xs8CjRn,E@en,E=kn)*$KhqtO7rrM$Wr8.Lhqu6ZRrVloe
+hu3QYcgR7Fn*g)P!8mbT!:TpEs6nG:J,~>
+e,KE8qYpP_qu?]?s8N;IR.('BbaAA/s-NfdrlbG2A=3>q!1<W_".9,ghu8uDA=3;p!LV+.rre_h
+s-V%-rr^K4]Qj8P!1<Q]!+aOXJ,~>
+e,KEqqYpQCqu?][s8N;edGb,QkgBA/s3UiHroaF2]$^KV!7CZC"4@/K_uA$a]$^HU!R^-.rrgaL
+s3^'-rr_K4b*Df&!7CTA!4pVYJ,~>
+e,KF*qYpQQqu?]bs8N;lhou,Xn)+*Ds5*hVrpKpGcen^$!8mYQ"5j.YR/YtDcen[#!T3ACrrh6Z
+s53;Brr_`I]Qj8P!8mSO!70*nJ,~>
+e,KE8qZ$T>qu6bcs3-l0rs+qks-V%1baACRrr;tb"3gehbkh>AR/d3Drr2tcqYpP+qYpS,R/$[a
+ba=dTn,31cR/$[]R*kqa~>
+e,KEqqZ$TZqu6cGs6.l0rs-sOs3^'1kgBCnrr;uF"6fdKkkb;]dJs6arr2uGqYpQ,qYpT-dJ3_E
+kg@eqiV`]UdJ3_AdF%uE~>
+e,KF*qZ$Taqu6cUs6nkErs.H]s53;Fn)+-5rr;uT"7Q9Yn,!%dhuE_Drr2uUqYpQAqYpTBht[3S
+n)*#ibl%J@ht[3OhpMIS~>
+df0<7qYpP_qu6`AABauO#akYlQt4G@R$dmQs31NC"3d-Cbkh>AR/d3Drr3"dbkqD@R*>R0"O*7#
+s-WW^#+3X7s-SW"rr2tcq#CB<dJn^~>
+df0<pqYpQCqu6`]]'0(l#gr\PdCSQAdF%sns60L_"6e.Dkkb;]dJs6arr3#HkkkA\dHLT0"R+7\
+s3^ZB#1;Z7s3\0jrr2uGq#CBXdJn^~>
+df0=)qYpQQqu6`dcgUf3#iG[^hp:ckhr"G5s6p!f"7P-nn,!%dhuE_Drr3#Vn,*+chs^RE"Rk7*
+s53YP#2enLs50oFrr2uUq#CB_dJn^~>
+df0<7qZ$T>rVlrCQt6*o%%,8+bl='SR$dpRbfp%crlkA/#L*5Jbfp+ehu3QTR/6gcAB^F.bl.PA
+R/HsbbaA>."jE@8n''#NrrAG5s*t~>
+df0<pqZ$TZrVlr_dCT5T%+4:dkl9&odF&!okii!Froj@/#O)3fkii'H_u9T8dJEkG]'.Phkl(M]
+dJX"FkgB>."mF@8iTTM#rrCHns*t~>
+df0=)qZ$TarVlrfhp;3"%,^O2n,M;6hr"J6n*g5TrpTjD#Oh]mn*g;VR/R$bhtm?UcgTcKn,<7d
+hu*KTn)+'C"n1?)bjY#qrrCs's*t~>
+dJj36qYpP_rr<#B!rpJTrVlrCR$djPs-No4R/`QOrrAGarr^K4Qt62`!Jnu!rrSSfs8&,YrrAGc
+rrJM2q>UN?LqNN_!1;+4J,~>
+dJj3oqYpQCrr<#^!rqJqrVlr_dF%pms3Ur4dJqVlrrCIErr_K4dCT>)!OM"hrrUUJs8(.=rrCIG
+rrLO2q>UN[Zc`(C!7B-mJ,~>
+dJj4(qYpQQrr<#e!rq`8rVlrfhr"D4s5*qIhuDU3rrCsSrr_`Ihp;;Z!NbbhrrV*Xs8(XKrrCsU
+rrM$Gq>UNbXM"?.!8l-&J,~>
+dJj36qZ$T>!rnY3rr<"c%a:;Nbl@^1s8SJds3,#@r;Zf@q>UG^rr3#Vbl3t2A=/b]rrAG]rrSS3
+R.pU_R*:qRqYpP_cMrC~>
+dJj3oqZ$TZ!rp[3rr<#G%d;<Okl:\1s8ULHs6.&Ar;Zf\q>UHBrr3#:kl/s2]$\q&rrCIArrUU3
+dJ*YCdHJuaqYpQCcMrC~>
+dJj4(qZ$Ta!rq0Hrr<#U%e&<$n,NFFs8V!Vs6n:kr;Zfcq>UHPrr3"dn,D2GcemXWrrCsOrrV*H
+htR-Qhs]I(qYpQQcMrC~>
+d/O*5qZ$S_r;Qb-rg<Zas3(J1rVlteba=dsrrAG]rrAGcrrCsTs8U=>s8U=>s8JD[rrAGbs8SJb
+s8U<gs*t~>
+d/O*nqZ$TCr;Qc.rmC]Es6'I1rVluIkg@fWrrCIArrCIGrrBt8s8V<Zs8V<Zs8LF?rrCIFs8ULF
+s8V<.s*t~>
+d/O+'qZ$TQr;QcCrnm\Ss6fsFrVluWn)*%%rrCsOrrCsUrrAGbs8VQas8VQas8LpMrrCsTs8V!T
+s8VQ5s*t~>
+d/O*5qu?\`s3(e:A=/babfp*Sbl7YBR/d0ebaAA/s-Wi1q#:>)rr2uUr;Qbaq>UG^rVlrCR$dmQ
+!LV+.rrL?2qu6igGaSO2R*GY]~>
+d/O*nqu?]Ds6'd:]$\q*kii&okl1V^dJs4IkgBA/s3^l1q#:?*rr2u9r;QcEq>UHBrVlr_dF%sn
+!R^-.rrM?2qu6iYQ-oX3dEV]A~>
+d/O+'qu?]Rs6g9OcemX[n*g;6n,E@ehuE]Wn)+*Ds53kFq#:??rr2tcr;QcSq>UHPrVlrfhr"G5
+!T3ACrrMTGqu6iDGi/Q$hp)1O~>
+ci3uUrg3jgLbY9-bkqDJR/d31bl>o2R/bCSqYpP+rg<Q^!1<cc!8m_S!1<Q]"IRE#R*>I-s31HA
+!LV++rrV)6R*>S\~>
+ci4!Vrm:n>Z_PpZkkkAfdJs71kl9l1dJrFoqYpQ,rmCTB!7CfG!5na7!7CTA"OZG\dHLK-s60F]
+!R^-+rrU*EdEMW@~>
+ci4!krndmLXM<Z=n,*+mhuE`Fn,MkFhuE06qYpQArnmSP!8meU!1<]a!8mSO"Q/\*hs^IBs6opd
+!T3A@rrSRhhou+N~>
+ci=$h#QN]Ms8SJdR/6ghR/d31R$dpRR*>C+!1<ccrL!Ta!1<cc!8m_S!1<]aqj@-X"O*85s-WN[
+!mI%hbl<1~>
+ci=%/#QM^#s8ULHdJEkLdJs71dF&!odHLE+!7CfGrR(WE!7CfG!5na7!7C`EqpG0<"R+85s3^Q?
+!pJ%Lbl<1~>
+ci=%6#QL18s8V!Vhtm?ZhuE`Fhr"J6hs^C@!8meUrSRVS!8meU!1<]a!8m_Sqqq/J"Rk7Js53PM
+!q5$6bl<1~>
+cMmp4hu*NSQiPA,rrJMerlkD0!6k9=!1<T^rg3[rrg3\Ar0RIpr0[E^!1<HZ!G%Sks8U=CrrCs$
+s*t~>
+cMmpm_u0Q7d/`D,rrLOIrojC0!9j7Y!7CWBrm:_Wrm:_Pr6YMUr6bHB!7CK>!P6\Ps8V<_rrBs]
+s*t~>
+cMmq&R/I!ahZ3-ArrM$WrpTmE!:Ta`!8mVPrnd_%rnd^Wr8.M#r87GP!8mJL!RKZss8VQfrrAG2
+s*t~>
+eGfdBs8VQfn)'N0rrUDTbkh>EABb(tAB^F.qYpP_pAY,[rr2uUr;Qbap](9;q#CA]!WSP]rrJM2
+rVloUn,31fn,NFVf`-I~>
+eGfd"s8UFFiPX(?rrVDqkkb;a]'01X]'.PhqYpQCpAY-?rr2u9r;QcEp](9Wq#CBA!WURArrLO2
+rVlo9iV`]Xci=$kf`-I~>
+eGfcts8U=Cba@;brrVZ8n,!%hcgUo&cgTcKqYpQQpAY-Mrr2tcr;QcSp](9^q#CBO!WV'OrrM$G
+rVlncbl%JCbl@^ef`-I~>
+eGfg3s6oF6n,LVUqYpS,bl%JDb[eqbbl.SAR/HsaR.pX\bl7VBhu!ERR.pU\AGcB.ba=drrrAG_
+rrL?2qYpTbhu3TTmfEIGf`-I~>
+eGffIs3K$/iW&-*qYpT-kktG`kdp!*kl(P]dJX"EdJ*\@kl1S^_u'H6dJ*Y@])2L/kg@fVrrCIC
+rrM?2qYpTT_u9W8cN4'=f`-I~>
+eGffAs3/]Sbl@/#qYpTBn,31gn'CI[n,<:dhu*KShtR0Nn,E=eR/?m`htR-Nchm_Dn)*%$rrCsQ
+rrMTGqYpT?R/R'bbQ7a2f`-I~>
+e,TF)rVuoAqYpT?R/R'aR/-d^QibM3R.gO[R/R$bhu!ERR.gO[R/[-cQiPA,rrAGas8U=;rrM$G
+rr3#fhq.mY~>
+e,KKBZ,?P?s60=Z!U.r0s8LFAs8UIJkl9'(rrCIFrrBt6rrCI?rrCIGs8UIHkkb;ZdJX%EkkG)X
+_r:Up!RIFjs*t~>
+e,TE7rVuodqYpTbhu3TShtd<PhZE9HhtI'Mhu3QTR/?m`htI'Mhu<ZUhZ3-ArrCsSs8VQ^rrJM2
+rr3#CR+M@g~>
+e,TI*qu6Y`q>^J^"96SUR.^I]ba;qbp\t5\rVllTqu6Y`pAY5^s-T2IrrAGcrrJM2p&>$\rVllT
+fDg@~>
+e,KHAZ2=P$dJ<hBd0'F4]$^3N"6e.DkkG)WdJa(F_u'H6dJ!SBdJqVApAY-?rr3#Hkk4rUiVicV
+T\'3o~>
+e,TH8qu6ZRq>^KP"97i9ht@!On))I[p\t6NrVlkbqu6ZRpAY6Ps52`-rrCsUrrM$Gp&>$9rVlkb
+fDg@~>
+eGfX.s6oFRrrAG^s8QU01%P>GR/bD/QiPA.rrAGbrrCsRrrAG^s8A;bAFog&R*:rcrrCs.s*t~>
+eGfWDs3K$grrCIBs8TY1U[nEddJrG/d/`D.rrCIFrrBt6rrCIBs8C=F](>q'dHK!GrrA_Ds*t~>
+eGfW<s3/^arrCsPs8UCF^[hC+huE0DhZ3-CrrCsTrrAG`rrCsPs8CgTch%/<hs]IjrrAG<s*t~>
+eGfX>s8VQarrAGcs8A>as8SGdbk:u9R/?m`bl*n0s-Wcb!8mYQ!LWoaR/R'bbk:u;ba?WArrDN>
+s*t~>
+eGfWss8UFArrCIGs8C@Es8UIHkk4rUdJNqDkl&m0s3^fF!5n[5!R^rEdJa+Fkk4rWkgAV]rrCBs
+s*t~>
+eGfWps8U=>rrCsUs8CjSs8UsVn+H\\hu!ERn,;,Es53eT!1<W_!T3qShu3TTn+H\^n)*U$rrC9p
+s*t~>
+ao;@brg<K\!mI%!q#:>]p&>&[AG);jA=3)j!1<N\s-Nf1_#Jo~>
+ao;A)rmCN@!pJ%Zq#:?Ap&>'?](OGO]$^6O!7CQ@s3Ui1_#Jo~>
+ao;A0rnmMN!q5%(q#:?Op&>'Mch6/rcenHr!8mPNs5*hF_#Jo~>
+\c;\sqYpP_o`"oYp&>#Zp&>':R/?mbba=d2s*t~>
+\c;]WqYpQCo`"p=p&>$>p&>'VdJNqFkg@eks*t~>
+\c;]eqYpQQo`"pKp&>$Lp&>']hu!ETn)*$9s*t~>
+\,ZJq!6kHB!1<EY!1<EY!1<EY!1<`bs-Nf1]DmB~>
+\,ZKU!9jF^!7CH=!7CH=!7CH=!7CcFs3Ui1]DmB~>
+\,ZKc!:Tpe!8mGK!8mGK!8mGK!8mbTs5*hF]DmB~>
+[JpBRR$do@o`"oYo`"rZbk1o;R*:qb\Gq'~>
+[JpBndF&!Ao`"p=o`"s>kk+lWdHK!*\Gq'~>
+[JpBuhr"Iko`"pKo`"sLn+?V^hs]I[\Gq'~>
+ZN'lj!6k3;!1<BX!1<N\!6kG0!6hnOJ,~>
+ZN'mN!9j1W!7CE<!7CQ@!9jF0!9glkJ,~>
+ZN'm\!:T[^!8mDJ!8mPN!:TpE!:RArJ,~>
+Y5\LGrL!K^!1<BX!1<]a!6kD/!6hbKJ,~>
+Y5\LcrR(NB!7CE<!7C`E!9jC/!9g`gJ,~>
+Y5\LjrSRMP!8mDJ!8m_S!:TmD!:R5nJ,~>
+WW2m`!WSPYrrJMerKmT/XoEn~>
+WW2nD!WUR=rrLOIrQtW/XoEn~>
+WW2nR!WV'KrrM$WrSIVDXoEn~>
+V#TnNW;hA~>
+V#To2W;hA~>
+V#To@W;hA~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+JcE:\J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1p.ps b/books/ps/bookvol1p.ps
new file mode 100644
index 0000000..daa9782
--- /dev/null
+++ b/books/ps/bookvol1p.ps
@@ -0,0 +1,774 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/bookvol1p.ps
+%%CreationDate: Sun Dec 11 00:00:55 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 165 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+150.000000 -200.000000 scale
+% Image geometry
+150 200 8
+% Transformation matrix
+[ 150 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 150 string def
+/gstr 150 string def
+/bstr 150 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        31819 ASCII Bytes
+colorimage
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+^]+E)hr!n-s*t~>
+^]+Di['\Pls*t~>
+^]+D[R$c+&s*t~>
+^]+Dns8Uu]s*t~>
+^]+DCs8TI2s*t~>
+^]+D's8SIks*t~>
+^]48i!<<&U!Up'fhZ3]UhZ3,[s*t~>
+^]48>!<<&*!S[SQZiL.*ZiJgps*t~>
+^]48"!<<%c!R1TCQiR0cQiP@Fs*t~>
+^]+;krVllDrne"]hquc[huE`F^]/f~>
+^]+;@rVlkYrj2t2['Yno[/^0[^]/f~>
+^]+;$rVlk.rg3ukR$_FaR/d31^]/f~>
+^]+;krVllTrr3/Zs8UFFhn8u>~>
+^]+;@rVll)rr3//s8S/[[(QEh~>
+^]+;$rVlkbrr3.hs8QX0R(WHL~>
+^]+<&rVm2mhr"J6hr!o&n%A[N~>
+^]+;frVm2X[']l5['\Qeg:[H9~>
+^]+;XrVm2JR$dpRR$c+tbe3t+~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+n,NCEf)Pd-!:T[^!Unq3rrDNehsULFn)*C0J,~>
+n,NC)f)Pcf!9*\P!TCr^rrD$W_s[O*iPXp[J,~>
+n,NBSf)Pc;!6k3;!R-qsrrC:BR-stTba@YpJ,~>
+n,ELIs8V!RrrCsPrrCs?rr_0Ys53PM!8m&@!8m/C!8mVP!8mAIJ,~>
+n,EL-s8U"6rrBt4rrBt#rr^1=s24R1!5n($!5n1'!5nX4!5nC-J,~>
+n,EKWs8SJ`rrAG^rrAGMrr\Ygs-WN[!1<$N!1<-Q!1<T^!1<?WJ,~>
+n,EO:hr!nkrndnZhp:3[s8LmZs52/[s6osEmf*FYhs^UFrndbFs8LpUrr_0Ys6osEn,EIHs8W)U
+!Up'fhZa&+hr!nkrnmbU!8meUrndnZhp:3[n,D5>s*t~>
+n,ENe_o(Hlrkep>_kk9Ns8Kn>s21\Ns5Espmf*FK_r:Xqrkecqs8Kq9rr^1=s5Espn,EI,s8W)9
+!TF(X_Zg(:_o(Hlrknd9!5ng9rkep>_kk9NiVpais*t~>
+n,EN$R$c+Arg3lhQt2Tas8JAhs-R>as31J0mf*F6R*>U1rg3`1s8JDcrr\Ygs31J0n,EHVs8W(c
+!R1TCQj*M#R$c+Arg<`c!1<ccrg3lhQt2Tabl4")s*t~>
+n,EaPn*g;6s8V!Vs53hUs5+"+s8V!Vs8LmUcg:Z6n)+0&rVuoT"jd5KhuE`UhZ2!krtaMls53kV
+n,M;&ci;o&s53;&hs^UFhu<ZUhZ_@+s53kVrnd_%q#>j~>
+n,Ea4iSjgSs8U":s24j9s2,#:s8U":s8Kn9V<n3aiPY]5rVuo8"f;8!_uKc9_Z6P%rt`NPs24m:
+iW$g5V>nI5s23g5_r:Xq_uB]9_Zcn:s24m:rke`4q#>j~>
+n,E`^bfp*Ss8SJds-Wfcs-Nt#s8SJds8JAcAF0<ubaAEtrVunb"_@Z5R/d3cQiL[crt_"%s-Wid
+bl=&tAH/%ss-V#tR*>U1R/[-cQj%%#s-Widrg3[rq#>j~>
+n,F0\s6oF6s8V!Vs53kFhuE`&s8V!Vn)*I2'&W`hhuDU6s6nkFs3L`FhuE`6m/I1Fs8V!Uru9kq
+s3L`&s8V!Fs8V!Vs53kVhuE`&s8V!Vn)*g<J,~>
+n,F0@s5DqSs8U":s24lq_uKb5s8U":iPY!]'#XbL_uIXSs5Clqs/#bq_uKbSm/I1*s8U"9ru8lU
+s/#b5s8U!qs8U":s24m:_uKb5s8U":iPY?gJ,~>
+n,F/js3/]Ss8SJds-Wi1R/d1ss8SJdba@_r&t&_!R/`QRs3-l1s()00R/d2Rm/I0Ts8SJcru7@*
+s().ss8SJ1s8SJds-WidR/d1ss8SJdbaA)'J,~>
+n,F9os8VQfhr!o&s6nkFs52`&s8VQFs8V!6n*U/Th\,DXn)*%&s52`&s6nk&s8V!6n*g8Yn,NFV
+rVuoT)t3gqs8VQfhr!o&n)*%&s52`&s8VQFs8V!6n+cp5~>
+n,F9as8V'X_o(I5s5Clqs22b5s8V&qs8U!SiU-[F_\1r.iPWS5s22b5s5Cl5s8U!SiU?dKiW&r:
+rVuo8)r^hUs8V'X_o(I5iPWS5s22b5s8V&qs8U!SiV<G'~>
+n,F9Ls8U=CR$c+ts3-l1s-T1ts8U<1s8SIRbjGH1QkIXCba=dts-T1ts3-jts8SIRbjYQ6bl@^e
+rVunb)pJ?+s8U=CR$c+tba=dts-T1ts8U<1s8SIRbkV3g~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+s8N)9kCim8kC`rSs8Tt3KE;+iq1JeK_YJlarrBq+KEB$j_XW9\_Z.LCKEB$js*t~>
+s8N)OkHP!dkHG'@s8UaIYQ=dVq60o"f_McNrrC^AYQEJWf^Z0If`0UoYQEJWs*t~>
+s8N)GkG&"VkFr(*s8UIAU&k;@q4[oid.sF8rrCF9U&r^Ad.*h3d/VJ_U&r^As*t~>
+s8N(Pkl:[9!WRi:rrWT-s+L7Kre1.Jre1.Js+LFP!/0nB!X\m[nc&Xss+KqB!X\o,J,~>
+s8N)'kl:[e!WTCfrrZ^0s02A"ril8!ril8!s02P'!3l"n!b),5nc&Z!s02%n!b)-/J,~>
+s8N(nkl:[W!WSnXrrY[hs.]AirhB8hrhB8hs.]Pn!2B#`!_!'_nc&YYs.]&`!_!(gJ,~>
+s8N(Pkl:[9!WRi:rrWT-s+L7Kre1.Jre1.Js+LFP!/0nB!X\m[nc&Xss+KqB!X\o,J,~>
+s8N)'kl:[e!WTCfrrZ^0s02A"ril8!ril8!s02P'!3l"n!b),5nc&Z!s02%n!b)-/J,~>
+s8N(nkl:[W!WSnXrrY[hs.]AirhB8hrhB8hs.]Pn!2B#`!_!'_nc&YYs.]&`!_!(gJ,~>
+s8N(Pkl:[9!WRi:rrWT-s+L7Kre1.Jre1.Js+LFP!/0nB!X\m[nc&Xss+KqB!X\o,J,~>
+s8N)'kl:[e!WTCfrrZ^0s02A"ril8!ril8!s02P'!3l"n!b),5nc&Z!s02%n!b)-/J,~>
+s8N(nkl:[W!WSnXrrY[hs.]AirhB8hrhB8hs.]Pn!2B#`!_!'_nc&YYs.]&`!_!(gJ,~>
+s8N(Pkl:[9!WRiOrrDNTrrWT-s+L7Kre1.Jre1.Js+LFP!/0nB!X\m[nc&Xss+KqB!X\o,J,~>
+s8N)'kl:[e!WTD&rrCC4rrZ^0s02A"ril8!ril8!s02P'!3l"n!b),5nc&Z!s02%n!b)-/J,~>
+s8N(nkl:[W!WSnmrrC:1rrY[hs.]AirhB8hrhB8hs.]Pn!2B#`!_!'_nc&YYs.]&`!_!(gJ,~>
+s8N(Pp\t6?qYpQBqu?\L!WRiOrrCsSrrDN^rrCsUrrWT-s+L7Kre1.Jre1.Js+LFP!/0nB!X\m[
+nc&Xss+KqB!X\o,J,~>
+s8N)'p\t6SqYpQVqu?]#!WTD&rrA_irrCC>rrA_krrZ^0s02A"ril8!ril8!s02P'!3l"n!b),5
+nc&Z!s02%n!b)-/J,~>
+s8N(np\t65qYpQ8qu?\j!WSnmrrAGarrC:;rrAGcrrY[hs.]AirhB8hrhB8hs.]Pn!2B#`!_!'_
+nc&YYs.]&`!_!(gJ,~>
+s8N+Qs8J_ms8J_qs3RM?s8J`(s3RM?s)b!0s+H(*K^[gUn,D2an,NF6s6nk&n*f/kn*eT[s8NE*
+s+LFPUAptfs8I]Orrf(rUAt8mK`D)PU'Gf?s+H(*s+L@NrT"('s8U7?rrNN,K`1rKj9!K-jSf)[
+$3,\Wrs-^Hs2sEFYN5Z^!X\o,J,~>
+s8N,(s8L.@s8L.Ds5_?&s8L.Ps5_?&s0'Sfs0/a-Yg8u8ci0RWci=#as3I@2cd/8Wcd-R's8QO-
+s02P'b5]Was8K8&rrgLEb5_M@YlFb'ap5-Ms0/a-s02J%rR(eFs8StprrQX/Yl4V"dK6:ldf'1I
+@K3S1rs,G$s/+5AHIDcl!b)-/J,~>
+s8N+os8J#Ys8J#]s2L*!s8J#is2L*!s&P/?s.Z7fU<K!lbl3tLbl@]Rs3-jtbflHAbfjUbs8PLe
+s.]PnNrP.>s8JbmrreA^NrT.YUAt8nNX&Vbs.Z7fs.]JlrPer"s8S,XrrPUgUAb,i`WD0$`r5o=
+7/s"[rs+Sas,P*Z<lY+<!_!(gJ,~>
+s8N:Vs.]Ofs.]Jl*hr]7U8$$7s.]PnUAptfKS9AYhuE`6huE`6s8V!VrndbFhu3QThu<WX$31$Y
+rr2serr;tNs8N4rs)e;@re1:N!2BJms+LFP!/1:Ms2kKEb5^PFrVlp*s+L=Ms2tBAs5a+X!X\m[
+rVm)Es5_?&jQ-7=!X\o,J,~>
+s8N;-s2tAas2t<?*m4N_b0&fFs2tBAb5]WaYd"/3T`>%bT`>%bs8Sblrh';<T`+ljT`4rn@K6A3
+rr2t_rr;u%s8N5Es0)J&rilD%!6Y<@s02P'!3lD$s/#r!VZ5)ArVlq-s02G$s/,hrs3giF!b),5
+rVm)!s3deEdaJ'n!b)-/J,~>
+s8N:ts,R,>s,R'X*fg:#NfM-Zs,R-ZNrP.>U8%[^R/d2RR/d2Rs8SJdrg3`1R/R$bR/[*f70!:]
+rr2s=rr;tls8N4^s&T1"rhBDl!07'Ys.]Pn!2BDks,I6^NrR+ZrVlpes.]Gks,R-Zs2P!:!_!'_
+rVm(^s2L*!`l@rV!_!(gJ,~>
+s8N+Qs8J_ns.]Mm(SZ#us.Z77s.XV^s.]Ofs+H(*K^[gUn,D5Emi)5`s6nk&n*f/kn,M;&n,E^o
+s+LFPUAptfs8I]Orrg]CUAt8mK`D&YFJ>N0s+H(*s+L@NrT"(\b2g_DrrNN,K`1rKj8uO-jSf)[
+$3,\Vrs$X,b2fbKjSf)[$31$U~>
+s8N,(s8L.As2t?@(WrrBs2rLFs2qP+s2tAas0/a-Yg8u8ci0U;cPlhVs3I@2cd/8Wci9Z2ci7GR
+s02P'b5]Was8K8&rrhE*b5_M@YlF_0YKG#fs0/a-s02J%rR(fJVUD@?rrQX/Yl4V"dK4`ldf'1I
+@K3S0rs#@KVUBdfdf'1I@K6@X~>
+s8N+os8J#Zs,R*Y(QMP9s,N,Zs,L."s,R,>s.Z7fU<K!lbl4"0bSpMKs3-jtbflHAbl=&tbl:*2
+s.]PnNrP.>s8Jbmrrg?%NrT.YUAt6"<fW4?s.Z7fs.]JlrPes>NlI+XrrPUgUAb,i`WB2$`r5o=
+7/s"Zrs"M'NlG+[`r5o=70!:;~>
+s8N(Po`+obq#CAI!WRiKrrVZHht-jM$31$YqZ$PJs8W(ms8W(OqZ$SKs8N(Pq>UQXb0&fDrrNN,
+K^o'D$3,\Wrr_?)b2iBu!X\o,J,~>
+s8N)'o`+p5q#CAu!WTD"rrUN>T_&0c@K6A3qZ$Q!s8W)@s8W)&qZ$T"s8N)'q>UQFVP_f?rrQX/
+Yjq_p@K3S1rr^]HVUG;?!b)-/J,~>
+s8N(no`+oNq#CAg!WSnirrUE3R.L=[70!:]qZ$Phs8W(Ys8W(mqZ$Sis8N(nq>UQ:NfM-XrrPUg
+U@J6b7/s"[rr^9$NlLnp!_!(gJ,~>
+s8N(Pkl:[9!WRi:rrWT-s+L7Kre1.Jre1.Js+LFP!/0nB!X\m[nc&Xss+KqB!X\o,J,~>
+s8N)'kl:[e!WTCfrrZ^0s02A"ril8!ril8!s02P'!3l"n!b),5nc&Z!s02%n!b)-/J,~>
+s8N(nkl:[W!WSnXrrY[hs.]AirhB8hrhB8hs.]Pn!2B#`!_!'_nc&YYs.]&`!_!(gJ,~>
+s8N(Pkl:[9!WRi:rrWT-s+L7Kre1.Jre1.Js+LFP!/0nB!X\m[nc&Xss+KqB!X\o,J,~>
+s8N)'kl:[e!WTCfrrZ^0s02A"ril8!ril8!s02P'!3l"n!b),5nc&Z!s02%n!b)-/J,~>
+s8N(nkl:[W!WSnXrrY[hs.]AirhB8hrhB8hs.]Pn!2B#`!_!'_nc&YYs.]&`!_!(gJ,~>
+s8V88"%ItD7d,L,$31&$KE+L:KE+L:KEF\ss8VSA!=AeqKE2DZn:UiLs8RT~>
+s8V8d",O2]M!2&E@K6B'YQ0LSYQ0LSYQK]cs8VSm!Fc#tYQ824n?;t&s8RT~>
+s8V8V"*:4:F6K>"70!;_U&]90U&]90U'#J2s8VS_!CZtWU&d[^n=ftPs8RT~>
+rr;/7!lFuSkCij7q1Jdcs7q<K_Z0Fb!5ea8n:^iAn:^iAn:^iAJ,~>
+rr;/c!ndP*kHOscq60nPs7rl"f`1cO!8.;Nn?Drmn?Drmn?DrmJ,~>
+rr;/U!mptokG%tUq4[o:s7rAid/Wp9!7:`Fn=os_n=os_n=os_J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+s8N)9bCfu7s8TstKEK*ks2)s4!lG!;J,~>
+s8N)ObHM*$s8Ua5YQNPXs4GN!!ndPQJ,~>
+s8N)GbG#*cs8UI-U'&dBs3Sr`!mpuIJ,~>
+s8N(Pl2UaC"&+`8`p3R+$31$YoD\fDo`#""s8Rc7rr@`8rrNN,s*t~>
+s8N)'l2Uas"-:11hWk+C@K6A3oD\fpo`##%s8T=crrB:drrQX/s*t~>
+s8N(nl2Ub*",G%AjQcaI70!:]oD\fbo`#"]s8ShUrrAeVrrPUgs*t~>
+s8N(PmJd1+rf7!X",-^S`r;"crrWT-s+L"D!/1"E!t##-K]i@9hdkpM!X\o,J,~>
+s8N)'mJd1CrkAC3"0hh*hYt7VrrZ^0s02+p!3l+q"(D60Yil#eVHE$]!b)-/J,~>
+s8N(nmJd1IrlY6?"/>hqjSm<hrrY[hs.],b!2B,c"%<1hU?DOWQoaF1!_!(gJ,~>
+s8N(Pn,EHL<lY%:!/17L!fg=$nG`Rss8RcDrr@`ErrWT-s+KV9"7P-#cfkB1$31$U~>
+s8N)'n,EI'S_j8D!3lA#!kt5^nG`T!s8T=prrB:qrrZ^0s01_e"4O-OHKbA1@K6@X~>
+s8N(nn,EI3YN5T\!2BAj!m7_-nG`SYs8ShbrrAecrrY[hs.\`W"3d.,AEa$p70!:;~>
+s8N(Pnc&[1NlLnp!/11Js,QXL!t##-K_,3DK_59H$31$Ykl1eCs+Kk0l2Leks8RT~>
+s8N)'nc&[I^>A\c!3l;!s1\%'"(D60Yk.kpYk7qt@K6A3kl1d_s00u$l2Lfns8RT~>
+s8N(nnc&[Ob2iBu!2B;hs2sm3"%<1hU@\BbU@eHf70!:]kl1dQs.[`]l2LfQs8RT~>
+s8N(Po)A`N`qTK5K_PKINlL\j!t##-K_,3DK_59H$31$Yl2LqUci8[ecftH2$31$U~>
+s8N)'o)Aa)hY7$MYkS.u^>AJ]"(D60Yk.kpYk7qt@K6A3l2Lq9HN14uHKkG2@K6@X~>
+s8N(no)Aa5jS/ZSUA+Zgb2i0o"%<1hU@\BbU@eHf70!:]l2Lq2AH/CJAEj*q70!:;~>
+s8N(PoD\hl`qKE4K_GEH<lXe3!t##-K_,3DK_59H$31$Ykl1bBs+K:nrrNN,s*t~>
+s8N)'oD\i^hY-sLYkJ(tS_j#="(D60Yk.kpYk7qt@K6A3kl1a^s0/BarrQX/s*t~>
+s8N(noD\ipjS&TRUA"TfYN5?U"%<1hU@\BbU@eHf70!:]kl1aPs.YnErrPUgs*t~>
+s8N(Po`"oOo`"oEp&G'3p&>+#s8RcDrr@`ErrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'o`"p*o`"oqp&G'Kp&>,&s8T=prrB:qrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(no`"p6o`"ocp&G'Qp&>+^s8ShbrrAecrrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(Pp&>%n`q992K_59F<lXk5!t##-K_59GQr)$"rrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'p&>&`hXpgJYk7qrS_j)?"(D60Yk7qsVM*FkrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(np&>&rjRiHPU@eHdYN5EW"%<1hU@eHehidI$rrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(PpAb04oD\fDoD\fNpAY4$s8RcFrre_hKZq[6rrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'pAb0LoD\fpoD\g)pAY5's8T=rrrf5!Yg_(prrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(npAb0RoD\fboD\g5pAY4_s8Shdrrh6ZU@7RErrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(PpAY,Qo)A]Co)A]Mp\t=%s8RcGrs"kjs+LErbkM,>$31$Ykl1bBs+K:nrrNN,s*t~>
+s8N)'pAY-,o)A]oo)A^(p\t>(s8T=srs#A#s02OPe+`kE@K6A3kl1a^s0/BarrQX/s*t~>
+s8N(npAY-8o)A]ao)A^4p\t=`s8Shers%B\s.]P^n+Zha70!:]kl1aPs.YnErrPUgs*t~>
+s8N(Pp\t4onc&TBo)A`N`q]Q9$31$Yp\t5\rr3+Ss8U<eq#:F&s8Rc9rr_0YK\u"n!X\o,J,~>
+s8N)'p\t5anc&Tno)Aa)hY@*Q@K6A3p\t5jrr3,*s8UQsq#:G)s8T=err].uYbpXa!b)-/J,~>
+s8N(np\t5snc&T`o)Aa5jS8`W70!:]p\t6Nrr3+qs8VQVq#:Fas8ShWrr\YgU6t0E!_!(gJ,~>
+s8N(Pq#:B7Nq*,LK^o'B<qu[s$31$Yq#:?<rg3lhK`>SMR/$[`$31$Ykl1bBs+K:nrrNN,s*t~>
+s8N)'q#:BO^@D4'Yjq_nSbW3e@K6A3q#:?Crh]l!YlB$HVYL/n@K6A3kl1a^s0/BarrQX/s*t~>
+s8N(nq#:BUb45K3U@J6`YPA,"70!:]q#:?_rndnZUArQsht[3R70!:]kl1aPs.YnErrPUgs*t~>
+s8N(Pq#:>SnG`KAnc&TLq#:F&s8RcGrrneis+LE>pAY4$s8Rc9rr_0YK\u"n!X\o,J,~>
+s8N)'q#:?.nG`Kmnc&U'q#:G)s8T=srro;"s02O#pAY5's8T=err].uYbpXa!b)-/J,~>
+s8N(nq#:?:nG`K_nc&U3q#:Fas8Sherrq<[s.]PNpAY4_s8ShWrr\YgU6t0E!_!(gJ,~>
+s8N(Pq#:>SnG`KAnG`KKq>UO's8RcGrs"kjs+LErbkM,>$31$Ykl1bBs+K:nrrNN,s*t~>
+s8N)'q#:?.nG`KmnG`L&q>UP*s8T=srs#A#s02OPe+`kE@K6A3kl1a^s0/BarrQX/s*t~>
+s8N(nq#:?:nG`K_nG`L2q>UObs8Shers%B\s.]P^n+Zha70!:]kl1aPs.YnErrPUgs*t~>
+s8N(Pq>^K7nG`KAnG`KKq>UO's8RcGrs"kjs+LFPR.pU_$31$Ykl1bBs+K:nrrNN,s*t~>
+s8N)'q>^KOnG`KmnG`L&q>UP*s8T=srs#A#s02P'VYC)m@K6A3kl1a^s0/BarrQX/s*t~>
+s8N(nq>^KUnG`K_nG`L2q>UObs8Shers%B\s.]PnhtR-Q70!:]kl1aPs.YnErrPUgs*t~>
+s8N(Pq>UGTn,EB@nG`KKq>UO's8RcHrrAGcrr[rSs-WQ\!t##-K]rF<huAAekl1\js8RT~>
+s8N)'q>UH/n,EBlnG`L&q>UP*s8T=trrAqqrr]M*s/,Pj"(D60Yiu)hVZ3ltkl1]ms8RT~>
+s8N(nq>UH;n,EB^nG`L2q>UObs8ShfrrCsUrr]"qs53SN"%<1hU?MUZR/`nJkl1]Ps8RT~>
+s8N(Pq>UGTn,EB@nGiO.qYpX(s8RcHrr?U/rre#Ts-V%*rrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'q>UH/n,EBlnGiOFqYpY+s8T=trr@BErrfS+s/+9?rrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(nq>UH;n,EB^nGiOLqYpXcs8ShfrrCCErrf(rs53;?rrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(Pq>UGTn,EB@n,EBJqYpX(s8RcHrrAGcrr@`OrrAG]rrWT-s+L+Gs53ML"5j-3ht6pLcgUW.
+!X\o,J,~>
+s8N)'q>UH/n,EBln,EC%qYpY+s8T=trrAqqrrB;&rrAqkrrZ^0s024ss/,Jh"/c+&VY'lhHIMWg
+!b)-/J,~>
+s8N(nq>UH;n,EB^n,EC1qYpXcs8ShfrrCsUrrAemrrCsOrrY[hs.]5es-WKZ".9+_R.UCZABafJ
+!_!(gJ,~>
+s8N(Pq>UGTn,EB@n,EBJqYpX(s8RcIs8U=Brr@`OrrAG]rrWT-s+L1I!q4J8o\Tc>s+Kk5hZEiH
+chRMA$31$U~>
+s8N)'q>UH/n,EBln,EC%qYpY+s8T=us8URIrrB;&rrAqkrrZ^0s02:u!n2JqoVM`>s00uEV?6eH
+HMILA@K6@X~>
+s8N(nq>UH;n,EB^n,EC1qYpXcs8Shgs8VQerrAemrrCsOrrY[hs.];g!mG3ToU#a)s.[a0Qid<3
+AGH0+70!:;~>
+s8VkI!)2j7!(QF1!)36B!X\o,pOiNCrIb/?re(8Jpk/\Ts8VkIs)da`!(QI2!+bnY!X\o,J,~>
+s8Vku!0?TQ!/U*J!0?u\!b)-/pTOXNrNH9XricBUpojg.s8Vkus+KmG!/U-K!*K'$!b)-/J,~>
+s8Vkg!/L$;!-@V'!/LEF!_!(gpS%YNrLs:5rh9CUpn@gXs8Vkgs).>#!-@Y(!'9qM!_!(gJ,~>
+s8N(Pq>UGTn,EB@n,EBJqYpX(s8RcIrrAGbrr@`NrrAG^rrWT-s+L4J!q5%8nc&TBnc/XHq>UL&
+s8RT~>
+s8N)'q>UH/n,EBln,EC%qYpY+s8T=urrAqprrB;%rrAqlrrZ^0s02>!!n4$qnc&Tnnc/Wdq>UM)
+s8RT~>
+s8N(nq>UH;n,EB^n,EC1qYpXcs8ShgrrCsTrrAelrrCsPrrY[hs.]>h!mI%Unc&T`nc/WVq>ULa
+s8RT~>
+s8N(Pq>UGTn,EB@n,EBJqYpX(s8RcJs8U=Arr@`NrrAG^rrWT-s+L.Hs5*h&p"ohss+L"$!mfcm
+q#:C%s8RT~>
+s8N)'q>UH/n,EBln,EC%qYpY+s8T>!s8URHrrB;%rrAqlrrZ^0s027ts/#dBoqhe:s02*l!d^`m
+q#:D(s8RT~>
+s8N(nq>UH;n,EB^n,EC1qYpXcs8Shhs8VQdrrAelrrCsPrrY[hs.]8fs-Ndsop>eks.]+P!b@\B
+q#:C`s8RT~>
+s8N(Pq>UGTn,EB@n,EBJqYpa+s8RcPs()"or;QbMrVllAr0R\!bl8"Ls+L(F!:TU\"5j-3ht6pK
+n+Qb_$31$U~>
+s8N)'q>UH/n,EBln,EC%qYpb.s8T>'s*FR>r;Qc$rVllHr2'[Ee,NkVs021r!7UW@"/c+&VY'lg
+e+WeC@K6@X~>
+s8N(nq>UH;n,EB^n,EC1qYpafs8Shns3LT"r;QbkrVlldr8._)n,GfUs.]2d!6k-9".9+_R.UCY
+bkD&<70!:;~>
+s8N(Pq>UGTn,EB@nG`KKq>UO's8RcOrrAG\rr@`Is8U=CrrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'q>UH/n,EBlnG`L&q>UP*s8T>&rrAqjrrB:us8URJrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(nq>UH;n,EB^nG`L2q>UObs8ShmrrCsNrrAegs8VQfrrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(Pq>UGTn,EB@nG`KKq>UO's8RcNrrAG]rr@`Js8U=BrrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'q>UH/n,EBlnG`L&q>UP*s8T>%rrAqkrrB;!s8URIrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(nq>UH;n,EB^nG`L2q>UObs8ShlrrCsOrrAehs8VQerrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(Pq#:>SnG`KAnG`KKq>UO's8RcMrrAG^rr@`Ks8U=ArrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'q#:?.nG`KmnG`L&q>UP*s8T>$rrAqlrrB;"s8URHrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(nq#:?:nG`K_nG`L2q>UObs8ShkrrCsPrrAeis8VQdrrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(Pq#:>SnG`KAnc/X/q>UO's8RcLrrAG_rr@`Ls8U=@rrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'q#:?.nG`Kmnc/XGq>UP*s8T>#rrAqmrrB;#s8URGrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(nq#:?:nG`K_nc/XMq>UObs8ShjrrCsQrrAejs8VQcrrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(Pq#:AT`ps'/K^o'B<qu[s$31$YqYpP_qu6YLr;Zf@qu6a)s8Rc9rr_0YK\u"n!X\o,J,~>
+s8N)'q#:B/hXUUGYjq_nSbW3e@K6A3qYpPmqu6Z#r;ZfGqu6b,s8T=err].uYbpXa!b)-/J,~>
+s8N(nq#:B;jRN6MU@J6`YPA,"70!:]qYpQQqu6Yjr;Zfcqu6ads8ShWrr\YgU6t0E!_!(gJ,~>
+s8N(Pp\t4onc&TBo)Aa1NqiVV$31$Yq>UG^r;QbMrVuoAqYpX(s8Rc9rr_0YK\u"n!X\o,J,~>
+s8N)'p\t5anc&Tno)AaI^A.^1@K6A3q>UGlr;Qc$rVuoHqYpY+s8T=err].uYbpXa!b)-/J,~>
+s8N(np\t5snc&T`o)AaOb4tu=70!:]q>UHPr;QbkrVuodqYpXcs8ShWrr\YgU6t0E!_!(gJ,~>
+s8N(Pp](95o)A]Co)A]Mp\t=%s8RcIrrAGbrr@`Os8U==rrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'p](9Mo)A]oo)A^(p\t>(s8T=urrAqprrB;&s8URDrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(np](9So)A]ao)A^4p\t=`s8ShgrrCsTrrAems8VQ`rrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(PpAY,Qo)A]CoDej1p\t=%s8RcHrrAGcrre#Ts3/^^rrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'pAY-,o)A]ooDejIp\t>(s8T=trrAqqrrfS+s3oHlrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(npAY-8o)A]aoDejOp\t=`s8ShfrrCsUrrf(rs6oFOrrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(Pp&>"moD\fDo`"s3NqWJT$31$YpAY>as8RcPbfoh]!t##-K]rF<huAAekl1\js8RT~>
+s8N)'p&>#_oD\fpo`"sK^@qR/@K6A3pAY>os8T>'e'n'k"(D60Yiu)hVZ3ltkl1]ms8RT~>
+s8N(np&>#qoD\fbo`"sQb4bi;70!:]pAY?Ss8Shnn*g#N"%<1hU?MUZR/`nJkl1]Ps8RT~>
+s8N(Pp&>'4NqE>OK_59E<qZIp$31$Yp&>/^s+JV?pAY4$s8Rc9rr_0YK\u"n!X\o,J,~>
+s8N)'p&>'L^@_F*Yk7qqSb<!b@K6A3p&>/ls00u$pAY5's8T=err].uYbpXa!b)-/J,~>
+s8N(np&>'Rb4P]6U@eHcYP%nt70!:]p&>0Ps.\uNpAY4_s8ShWrr\YgU6t0E!_!(gJ,~>
+s8N(Po`"s3NqNDPK_GEH`fB]k!t##-K_59GQr)$"rrWT-s+KV9"5j-3hrt(A$31$U~>
+s8N)'o`"sK^@hL+YkJ(thS/X^"(D60Yk7qsVM*FkrrZ^0s01_e"/c+&VWe$]@K6@X~>
+s8N(no`"sQb4Yc7UA"TfjN@,p"%<1hU@eHehidI$rrY[hs.\`W".9+_R-=PO70!:;~>
+s8N(PoD\j2<qcOnK_PKI``D^2!t##-K_,3DK_59H$31$Yl2LqUhuAAehs(.B$31$U~>
+s8N)'oD\jJSbE'`YkS.uhOX9<"(D60Yk.kpYk7qt@K6A3l2Lq9VZ3ltVWn*^@K6@X~>
+s8N(noD\jPYP.trUA+ZgjKJ1T"%<1hU@\BbU@eHf70!:]l2Lq2R/`nJR-FVP70!:;~>
+s8N(Pnc&WM`q]Q6K_YQJNlLYi!t##-K_,3DK_59H$31$Ykl1eCs+LF0l2Leks8RT~>
+s8N)'nc&X(hY@*NYk\5!^>AG\"(D60Yk.kpYk7qt@K6A3kl1d_s02O#l2Lfns8RT~>
+s8N(nnc&X4jS8`TUA4`hb2i-n"%<1hU@\BbU@eHf70!:]kl1dQs.]O\l2LfQs8RT~>
+s8N(PnG`R0<lY"9!/14K!KL4MrrWT-s+L"D!/1"E!t##-K]rF<hsZ6Ekl1\js8RT~>
+s8N)'nG`RHS_j5C!3l>"!PY,orrZ^0s02+p!3l+q"(D60Yiu)hVUMbqkl1]ms8RT~>
+s8N(nnG`RNYN5Q[!2B>i!QqV8rrY[hs.],b!2B,c"%<1hU?MUZR*;:8kl1]Ps8RT~>
+s8N(Pmf39Hr;QbMrVlu>NfM-JrrWT-s+L"D!/1"E!t##-K]i@:hfS>NrrNN,s*t~>
+s8N)'mf3:#r;Qc$rVluV^:rImrrZ^0s02+p!3l+q"(D60Yil#fVM*F^rrQX/s*t~>
+s8N(nmf3:/r;QbkrVlu\b0&f6rrY[hs.],b!2B,c"%<1hU?DOXQu:.3rrPUgs*t~>
+s8N(Pli6mC!)3?O!64C*!t##-K_,3DK_59H$31$YkPkSOFQ`Z*$31$U~>
+s8N)'li6ms!0@)m!8d)B"(D60Yk.kpYk7qt@K6A3kPkS3K]i@:@K6@X~>
+s8N(nli6n*!/LNq!9EMH"%<1hU@\BbU@eHf70!:]kPkS,DWh$$70!:;~>
+s8N)9apJ+J!5de's8N)9apJ+JJ,~>
+s8N)Ob$k>M!8-@@s8N)Ob$k>MJ,~>
+s8N)Gb!c:0!79dps8N)Gb!c:0J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+^]+E)hr!n-s*t~>
+^]+E"dF%0_s*t~>
+^]+D[R$c+&s*t~>
+^]+Dns8Uu]s*t~>
+^]+D`s8UKOs*t~>
+^]+D's8SIks*t~>
+^]48i!<<&U!Up'fhZ3]UhZ3,[s*t~>
+^]48[!<<&G!U0R_d/a4Gd/`CFs*t~>
+^]48"!<<%c!R1TCQiR0cQiP@Fs*t~>
+^]+;krVllDrne"]hquc[huE`F^]/f~>
+^]+;]rVll/rm;#OdF#Q*dJs71^]/f~>
+^]+;$rVlk.rg3ukR$_FaR/d31^]/f~>
+^]+;krVllTrr3/Zs8UFFhn8u>~>
+^]+;]rVllFrr3/Ls8T\1dCfL0~>
+^]+;$rVlkbrr3.hs8QX0R(WHL~>
+^]+<&rVm2mhr"J6hr!o&n%A[N~>
+^]+;trVm2fdF&!odF%1Xke-qG~>
+^]+;XrVm2JR$dpRR$c+tbe3t+~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JH5!9J,~>
+JH5!9J,~>
+JH5!9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+KDtr@lMlA~>
+KDtq]lMlA~>
+KDtq]lMlA~>
+KDtr@lMlA~>
+KDtq]lMlA~>
+KDtq]lMlA~>
+KDtr@lMlA~>
+KDtq]lMlA~>
+KDtq]lMlA~>
+KDtr@oD\gJq>Ys~>
+KDtq]oD\f`q>Ys~>
+KDtq]oD\fXq>Ys~>
+rVlrfhqs=k!:]X\!q4ImqYu'~>
+rVlrFTV.2B!4_\$!mbhYqYu'~>
+rVlrCR$`d2!4_\$!mG2BqYu'~>
+KDtr@oD\gZq>Ys~>
+KDtq]oD\g:q>Ys~>
+KDtq]oD\g7q>Ys~>
+KDtr@lMlA~>
+KDtq]lMlA~>
+KDtq]lMlA~>
+KDtr@lMlA~>
+KDtq]lMlA~>
+KDtq]lMlA~>
+mJd1Df"V3`rf@,)ra>duh_>-p;#XPs?N+O:D>nVWHiAU"M3*h6hsCAn~>
+mJd0Rr\4C4r]gHRr_<Gnr`fG5rb;FQrceEnreCK6rfmJRrhBInrilI5k.^o$rhBIYreCJurb;F<
+r_<P\0ek'D*<@m^m/MS~>
+mJd0RatWlfra>eOrf@,Ylb<F_mUQ@5hsCAn~>
+mJd1Df"V3`rf@,)ra>duq(Vk4kXbe<5lOLY>lJI<GlEHuQ2[NYZ2VK<hsCAn~>
+mJd0Rr\4C4r]gHRr_<Gnr`fG5rb;FQrceEnreCK6rfmJRrhBInrilI5mCrXaqd]\4r`0"pr^[#T
+r]1$7r[\-s*??Np0`[U-s*t~>
+mJd0RatWlfra>qSDG3`+lXU!YmCrYYm/MS~>
+mJd1DhnK/iq2bT0rceE[ra>e,q+1QLk:ls%r_<Gurb;FXreCK=rhBIurkAHjm/MS~>
+mJd0Rr\4C4r]gHRr_<Gnr`fG5rb;FQrceEnreCK6rfmVVUSE3?r`oM3m:63[qnE-9rhBIYreCJu
+rb;F<r_<GYl7i:+m/MS~>
+mJd0Rh_>*Ym2Z0Ur\XgEDNKsYf"V4Bm/MS~>
+mJd1Dq7cp.k`>eCq7cp.rf@,)ra>duhD#!qr_<Gurb;FXreCK=rhBIurkAHjm/MS~>
+mJd0Rr\4C4r]gTV4Y/-;r\=I3r]1$Br]gHOr^[#_r_EYp<`XUJrilI5k.^o$rhBIYreCJurb;F<
+r_<GYl7i:+m/MS~>
+mJd0Rq(VjskT'XNm4eT4ra>eOrf@,Yf"V4Bm/MS~>
+li-t3qlg(QM>r)~>
+li-sVqh+sdM>r)~>
+li-sVqh+sdM>r)~>
+li-tSK)^?~>
+li-spK)^?~>
+li-spK)^?~>
+li-tSK)^?~>
+li-spK)^?~>
+li-spK)^?~>
+li-tSK)^?~>
+li-spK)^?~>
+li-spK)^?~>
+li-tSK)^?~>
+li-spK)^?~>
+li-spK)^?~>
+li-tSK)^?~>
+li-spK)^?~>
+li-spK)^?~>
+li-tSK)^?~>
+li-spK)^?~>
+li-spK)^?~>
+li-tSMuNeGq>Ys~>
+li-spMuNe'q>Ys~>
+li-spMuNe$q>Ys~>
+rVlrfhr"#)!;MNQ!q4ImqYu'~>
+rVlrFTV1lU!8EJ4!mbhYqYu'~>
+rVlrCR$dIE!8EJ4!mG2BqYu'~>
+JcGBB!8mVPJ,~>
+JcGBB!20/fJ,~>
+JcGBB!1<T^J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JcG'9J,~>
+JUm':J,~>
+JUm':J,~>
+JUm':J,~>
+N.:mniIHF~>
+N.:mniIHF~>
+N.:mniIHF~>
+N;im.iW"E~>
+N;im.iW"E~>
+N;im.iW"E~>
+s8N)9l\,<<!5doPs8N)9kCim8!5dfMs8N.Ns8V88!5ea8J,~>
+s8N)Ol`gEh!8-J=s8N)OkHP!d!8-A:s8N.Ns8V8d!8.;NJ,~>
+s8N)Gl_=FZ!79o's8N)GkG&"V!79f$s8N.Ns8V8V!7:`FJ,~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8NCYs8V!Vs53kVn+H_\KE;++rr;uTr;Qfdhu<WUn,<7dhu<ZUKE;++rr;uT!WV'PrrCsQs8R`W
+s+LFPn)*$ko`#$^s8V!Ss8R`Vs+(.LK`D)OQiPA&rrC:@rr<B)s*t~>
+s8ND0s8Tb3s1JC3h=^gJYQ=d.rr;u1r;QfR]`.p2h>R?R]`.s2YQ=d.rr;u1!WTh-rrB_.s8T;.
+s02P'h7UDVo`#$Ls8Tb0s8T;-s+(.LYlFb&_Z8ZfrrD$Urr?L,s*t~>
+s8ND"s8SJds-Widbk;#9U&k:grr;tbr;QfAR/[*cbl.PAR/[-cU&k:grr;tb!WSP^rrAG_s8Seu
+s.]Pnba=dAo`#$;s8SJas8Sets+(.LUAt8mhZ3-;rrDNcrr>Ids*t~>
+s8N^bs8V!Vs53kFn,NFVhs^U6hs^REs+CFQK`:uOhu<Wcn)*U6s53kVn*g;Vn)*%%s8R`Qs+LCO
+!8meUs5+7Rs6nk6s6nk&s6nk6rr<"O"TO/Ts53hU'&W08s8V!6s8V!6s6n:ks53;&rr<"O)?56e
+s+LFPR/d2Rs-T2Rs-T2Rs-T2Rb[d+>rr<B)s*t~>
+s8N_9s8Tb3s1JBfh>dN2]\WVD]\WSes0)P(Yl=Y&]`.p@h7VSDs1JC3h;/,2h7UE"s8T;(s02M&
+!5/=2s1Acrs4t?Ds4t?#s4t?Drr<#&"TP_+s1J@2'"m&5s8TaEs8TaEs4s-Vs1I1#rr<#&)?56e
+s02P'_uKbSs22bSs22bSs22bSiMFHjrr?L,s*t~>
+s8N_+s8SJds-Wi1bl@^eR*>TSR*>R0s.TPoUAk/mR/[*qba?WSs-Widbfp+eba=dss8Seos.]Mm
+!1<ccs-O5=s3-kSs3-jts3-kSrr<"m"TP4rs-Wfc&t$n1s8SIRs8SIRs3,#@s-V#trr<"m)?56e
+s.]PnhuE`6s52`6s52`6s52`6n'Bnirr>Ids*t~>
+s8N^bs8V!Vhr"J6huE`6s6p!6hp;<%s+CFQK`:uXn)*%&huDU6s53hU"lK@[huD%%s8R`Qs+LCO
+'(=`8s3L`&s6njks53k&s3KTKrr<"O!WRiPs8Ut$n)*%&hr"J6hr"J6huDU6s53;FhuE_0K`?T&
+s+LFPQt2TarKm]2R/bD/Qi[5Sr;Qa'rr7K~>
+s8N_9s8Tb3]Y+:E]`8#Es5!^D]UJj"s0)P(Yl=Y/h7UE#]`5YEs1J@2"ham8]`4H"s8T;(s02M&
+'&C45s-iu#s4t>Vs1JB#s-gThrr<#&!WTD's8T_Vh7UE#]Y+:E]Y+:E]`5YEs1I1f]`8#9YlB7R
+s02P'_kk9NrPJ`r_uJ]o_ZBeTr;Qb*rr7K~>
+s8N_+s8SJdR$dpRR/d2Rs31LRQt63rs.TPoUAk0!ba=dtR/`QRs-Wfc"do>iR/^^rs8Seos.]Mm
+'$Q`1s().ss3-j@s-Wgss(%L-rr<"m!WSnns8SH2ba=dtR$dpRR$dpRR/`QRs-V%1R/d2\UAocD
+s.]Pnhp:3[rSI_GhuE0DhZ<c7r;Qabrr7K~>
+s8NL\s8V!Fhr"J6huE`6rr3&Ws6oses+CFQK`:uXn,M;FhuDU6s53hU"lK@[huD%%s8R`Qs+LCO
+'(>kXs53k6s53k&s53k&s53kFrr<"O#60AVs6p!frnfF0hr"J6hr"J6huDU6n)+0FhuE_0K`?T&
+s+LFPR/`QRR/d31bl='SR/d31s-Wi1rr2s)rr7K~>
+s8NM3s8Taf]Y+:E]`8#Err3&4s5!\Ss0)P(Yl=Y/h>b.f]`5YEs1J@2"ham8]`4H"s8T;(s02M&
+'&ET#s1JBEs1JB#s1JB#s1JBfrr<#&#61q-s5!_Trk'rb]Y+:E]Y+:E]`5YEh7Wdf]`8#9YlB7R
+s02P'_uIXS_uKbqiW$gS_uKbqs24lqrr2t,rr7K~>
+s8NM%s8SJ1R$dpRR/d2Rrr3%es31KBs.TPoUAk0!bl=(1R/`QRs-Wfc"do>iR/^^rs8Seos.]Mm
+'$UBCs-WhRs-Wgss-Wgss-Wi1rr<"m#61Fts31NCrg5D>R$dpRR$dpRR/`QRbaAG1R/d2\UAocD
+s.]PnhuDU6huE`Fn,M;6huE`Fs53kFrr2sdrr7K~>
+s8N(Prr38ms6p!Fhs^U6rr3&ghs^REs+CFQK`:uan)*U6n)*U6hr!o&hr!o&n)*U5s8R`Qs+LCO
+'(=`Hs6p!Vs6nk6s6nk6s6nk6rr<"O!WRiPs8Ut3s6p!fn,M;&s8V!6s8VQFs6p!fn,NE@K`?T&
+s+LFPbl@^es-T2Rs-T2Rs-T2Rs3-l/rr<B)s*t~>
+s8N)'rr38[s5!^f]\WVDrr3&U]\WSes0)P(Yl=Y8h7VSDh7VSD]Y*)#]Y*)#h7VSCs8T;(s02M&
+'&C4Vs5!_2s4t?Ds4t?Ds4t?Drr<#&!WTD's8T_es5!_Th>b.#s8TaEs8Uofs5!_Th>dMZYlB7R
+s02P'iW&r:s22bSs22bSs22bSs5Clorr?L,s*t~>
+s8N(nrr38Js31M1R*>TSrr3&DR*>R0s.TPoUAk0*ba?WSba?WSR$c+tR$c+tba?WRs8Seos.]Mm
+'$Q`es31Mes3-kSs3-kSs3-kSrr<"m!WSnns8SHAs31NCbl=&ts8SIRs8U<1s31NCbl@^;UAocD
+s.]Pnn,NFVs52`6s52`6s52`6s6nkDrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8N(Pm/R*=!WRi:s8R`Qs+KV9s+CFQK]W76KEV=*s8Rc9rr<B)s*t~>
+s8N)'m/R*i!WTCfs8T;(s01_es0)P(YiYobYQXuVs8T=err?L,s*t~>
+s8N(nm/R*[!WSnXs8Seos.\`Ws.TPoU?2FTU'1LHs8ShWrr>Ids*t~>
+s8VD<!_.kCkC`n+K`C4g!_.kCjFd_,K`?T&s$l4*!"&Z)J,~>
+s8VDh!f4)\kHG#DYlEmj!f4)\jKJiEYlB7Rs+omC!+Gm,J,~>
+s8VDZ!ct+9kFr$!UAsDN!ct+9jIuj"UAocDs)[Cu!(?hdJ,~>
+rr;;;!lG!;kC`oRs8V88!lG!;jFd]Rs+(.L_WQUOs*t~>
+rr;;g!ndPQkHG$?s8V8d!ndPQjKJg?s+(.Lf]TL<s*t~>
+rr;;Y!mpuIkFr%)s8V8V!mpuIjIuh)s+(.Ld-%/&s*t~>
+s8N)9jb*]Ps8V>:!lG!;hLtq/!5e8Zs8N.Ns8V88!5ea8J,~>
+s8N)Ojfeg=s8V>f!ndPQhQ[%[!8-hGs8N.Ns8V8d!8.;NJ,~>
+s8N)Gje;h's8V>X!mpuIhP1&M!7:81s8N.Ns8V8V!7:`FJ,~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N.Rs8W)Unc&UHqu6a)s8RcNs8Sh_rrWT-s+LCOrnmYR!:Tpe!UnqFrrDN\s8R`Qs+L@N#1)2q
+huE`6rVunN"TO#Ps+L@N"do>iR/bD.rrAG]rr<B)s*t~>
+s8N/)s8W(knc&T^qu6b,s8T>%s8U72rrZ^0s02M&rh02h!71ZE!RIG<rrCC<s8T;(s02J%#&p6]
+T`>%brVuo%"TO#Ps02J%"iLB?_uJ]nrrBt3rr?L,s*t~>
+s8N.ps8W(cnc&TVqu6ads8Shls8S,KrrY[hs.]Mmrg<W`!6kHB!R-r1rrC:9s8Seos.]Jl#%X+F
+R/d2RrVunl"TO#Ps.]Jl"lK@[huE0CrrCsOrr>Ids*t~>
+s8Nsis8V!Vn*g;6huE0Fn,MkFhuE`6n)+0&hu<WX$31$Yrr3J&s8Sh?s8UIGU8%\fU8%Sc!t##-
+K`:uihuDU6n,MkVcen3ks53kVn*g;Vn)*U6n)*U5s8R`Qs+L@N#2fI<huE`6rVunN"TO#Ps+L@N
+"do>iR/`QQrrne6R/`P@qu6X&rr7K~>
+s8Nt@s8Sblcd2WaT`<@<ci;>;T`>%bc_1<2T`4rn@K6A3rr3JNs8U7&s8V0[b0'bab0'Y^"(D60
+Yl=Y@T`:\bci;>kE1kPWs.KDlcd2Xkc_/Vac_/V`s8T;(s02J%#,)!hT`>%brVuo%"TO#Ps02J%
+"iLB?_uIXRrrp=!_uIWlqu6Y)rr7K~>
+s8Nt2s8SJdbfp*SR/bD1bl>o2R/d2RbaAEtR/[*f70!:]rr3Igs8S,!s8U+=NfO/>NfO&;"%<1h
+UAk02R/`QRbl>oeA=1U@s-Widbfp+eba?WSba?WRs8Seos.]Jl#+5FXR/d2RrVunl"TO#Ps.]Jl
+"lK@[huDU5rrq<KhuDTkqu6Xarr7K~>
+s8N.Rs8W)U)ZS^ps52`6huDU&s52`6n)*Tks6p!f$31$Yrr;qk"95*is8AYod%^QerVls+s8RcO
+rs7N^huDU6huDU4rrCsUrs@T_s3L`&s3KTKrr<"O!WRiOrs$g,n)+0&hu3TTKEV=*s8RcNs8A;h
+s-WidR/bD.R/Hsa$3'sT~>
+s8N/)s8W(k)ZQK1s.H%bT`:\2s.H%bc_/UWs3L`F@K6A3rr;r>"96Nds8C(BjN@M`rVlt.s8T>&
+rs5:tT`:\bT`:\`rrA_krs>@us)A"2s)=WMrr<#&!WTD&rs!G8c_1<2T`+ojYQXuVs8T>%s8Bh>
+s24m:_uJ]n_u0N7@K-:W~>
+s8N.ps8W(c)ZQ3)s-T2RR/`Pts-T2Rba?VAs31NC70!:]rr;qW"94CAs8@r[`fC)=rVlsfs8Shm
+rs5"lR/`QRR/`QPrrAGcrs>(ms().ss(%L-rr<"m!WSnmrs!#$baAEtR/R'bU'1LHs8Shls8CgZ
+s53kVhuE0Chu*KS7/m4:~>
+s8O3ps8V!Vn*f06s52`6huDU6s52`6n)*U6hs^UF$31$Yrr3M's8ShnU8%[^s8UHms.[m=rrWT-
+s+LCO%H%3Cs53k6s53kFs8V!Urs@T_s53k6s53kFrr<"O!WRiOrs%B\hr!n[hu3TTKEV=*s8RcN
+rstLss-WhRs8SJdba=dts31E@!"&Z)J,~>
+s8O4Gs8Sblcd/9as.H%bT`:\bs.H%bc_/VaT[3Z<@K6A3rr3MOs8U7Ab0'b,s8V0@s2sF$rrZ^0
+s02M&%A<`os.KCbs.KD<s8Sbkrs>@us.KCbs.KD<rr<#&!WTD&rs#.rTV0W(T`+ojYQXuVs8T>%
+rt!$Is24lSs8U":iPWS5s5EnU!+Gm,J,~>
+s8O49s8SJdbflISs-T2RR/`QRs-T2Rba?WSR*>U170!:]rr3Lhs8S,ZNfO."s8U*Ys,P+trrY[h
+s.]Mm%@I0_s-WhRs-Wi1s8SJcrs>(ms-WhRs-Wi1rr<"m!WSnmrs"kjR$c*bR/R'bU'1LHs8Shl
+rt"#es53k6s8V!Vn)*%&s6omc!(?hdJ,~>
+s8NL\s8VQFn,NFFhuE`6rpTme#Oh]Mn*g;6hu<WX$31$Yrr3JTs8UHms8UIGU8%\fU8%Sc!t##-
+K`:uin)*U6n)*U6s53;Fhr!o&hr!o&n,MkVn)*U5s8R`Qs+L@Ns53kV!q60XrVunN"TO#Ps+L@N%
+a=tQbflHAs8SJ1bl=&tqu6X&rr7K~>
+s8NM3s8UE<ci=$<T`>%brm1WE#LEFCcd2WaT`4rn@K6A3rr3Jhs8V0@s8V0[b0'bab0'Y^"(D60
+Yl=Y@c_/Vac_/Vas.I^<TV0X2TV0X2ci;>kc_/V`s8T;(s02J%s.KDl!mgnmrVuo%"TO#Ps02J%%
+cRHfiSh\ls8U!qiW$g5qu6Y)rr7K~>
+s8NM%s8U<1bl@^1R/d2RrlkEB#L*48bfp*SR/[*f70!:]rr3JJs8U*Ys8U+=NfO/>NfO&;"%<1h
+UAk02ba?WSba?WSs-V%1R$c+tR$c+tbl>oeba?WRs8Seos.]Jls-Wid!mL\grVunl"TO#Ps.]Jl%
+e'Gtn*f/ks8V!Fn,M;&qu6Xarr7K~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8N(Pjo5Dhs8Rc;rrWT-s+K>1s+CFQK_#0CKEV=*s8Rc9rr<B)s*t~>
+s8N)'jo5Eks8T=grrZ^0s01G]s0)P(Yk%hoYQXuVs8T=err?L,s*t~>
+s8N(njo5ENs8ShYrrY[hs.\HOs.TPoU@S?aU'1LHs8ShWrr>Ids*t~>
+s8V/5!t##-7d>X/$31#pi.M/$K`CRq#"F:GJH,X=k_&pBrr7K~>
+s8V/a"(D60M!D2H@K6@`i339=YlF6t#)KM`JH,Y*kcb%qrr7K~>
+s8V/S"%<1hF6]J%70!:.i1^9oUAsbX#'6O=JH,Xjkb8&Frr7K~>
+rr;&4s8N)9l%K*:!5dWH!lG!;nUq(_s+(.L_WQUOs*t~>
+rr;&`s8N)Ol*13f!8-25!ndPQnZW2Ls+(.Lf]TL<s*t~>
+rr;&Rs8N)Gl(\4X!79Vt!mpuInY-36s+(.Ld-%/&s*t~>
+s8N)9iIq72!5d*9!lG!;k_0!9!eC=NkC`iPrr7K~>
+s8N)OiNW@^!8,Z&!ndPQkck*e!eC=NkHFs=rr7K~>
+s8N)GiM-AP!79)e!mpuIkbA+W!eC=NkFqt'rr7K~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8N(Pqu6Y`rVllAqu6Y`rr2uBq>^JJ$NGeZs-WidR/d31o`##\s8SJarrL?2nc&[ts8RcNs8JDU
+s8R`Ts+(.LK`1oQn)*$kr;Qccrr2ueqYpO%rr7K~>
+s8N)'qu6Z6rVllVqu6Z6rr2uWq>^K!$NI@1s24m:_uKbqo`#$2s8U"7rrM)rnc&]"s8T>%s8Kq+
+s8T;+s+(.LYl4S(c_-rWr;QcCrr2uEqYpP(rr7K~>
+s8N(nqu6ZRrVlldqu6ZRrr2ueq>^Jh$NHk#s53kVhuE`Fo`#$Ns8V!SrrMTGnc&\Zs8Shls8LpG
+s8Sers+(.LUAb)oba=dAr;Qc@rr2uBqYpO`rr7K~>
+s8N(Pqu6Y`rr<#Bs8NGMR*>StR*>S@R*>I-s+CFQK`:u]R/`QRbfp+eba?Vus8U=@rt_"%R/bBt
+bl@^1s8U=CbflHubl>nSbl7VE$31$YrVlkbrr3>LR*>TSs31MeR*>O/s+COTJH,Y&rVmAbs8V!F
+s6p!fhuE`FcenX"!"&Z)J,~>
+s8N)'qu6Z6rr<#Ws8NGb_r:X5_r:Wl_r:Lms0)P(Yl=Y4_uIXSiSjh:iPXX5s8V'Urt`NP_uJ]5
+iW&qqs8V'XiSh]5iW%lSiVriZ@K6A3rVll8rr3>a_r:XSs5F":_r:Ros0)Y+JH,YRrVmA#s8Sb<
+s3L`FT`>&<E1m+.!+Gm,J,~>
+s8N(nqu6ZRrr<#es8NGphs^U&hs^Tkhs^IBs.TPoUAk0&huDU6n*g;Vn)*U&s8VQcrtaMlhuE0&
+n,NFFs8VQfn*f0&n,Mk6n,E=h70!:]rVllTrr3>ohs^U6s6p!Vhs^ODs.TYrJH,YDrVm@ps8SJ1
+s31NCR/d31A=38o!(?hdJ,~>
+s8N(Pqu6Y`rVm7ms8SJdR/^^sR/`QLs8R`Qs+LCO%[bJas8SJds(%L-R/bBtr;RP"bfp*Ss-Wid
+R/d2Rs-T2RR$dnaQt63r!t##-K`1o\ba=dtba;r@R/`QRA=-p+s8R`Ts+(.LK`1oWhuE`6huDU6
+s53hU!8mYQ!"&Z)J,~>
+s8N)'qu6Z6rVm8Cs8U":_uHS5_uIXMs8T;(s02M&%`@8as8U":s/!W0_uJ]5r;RPMiSjgSs24m:
+_uKbSs22bS_o)MN_kmA4"(D60Yl4S3iPWS5iPVMl_uIXSV8K/.s8T;+s+(.LYl4S.T`>%bT`:\b
+s.KAk!202g!+Gm,J,~>
+s8N(nqu6ZRrVm8_s8V!VhuD%&huDU0s8Seos.]Mm%c?aDs8V!Vs3KTKhuE0&r;RPin*g;6s53kV
+huE`6s52`6hr"I[hp;<%"%<1hUAb*%n)*%&n))IkhuDU6cem(Is8Sers+(.LUAb)uR/d2RR/`QR
+s-Wfc!1<W_!(?hdJ,~>
+s8N(Pqu6Y`rVm=os8SIRs8SJdR/`QRbkqG?KE;++rr<"crr3:ls8SJdba?VAR/I!aR/d1!R/`QR
+s-WidR/`P@s-T2RR/bD0rrWT-s+L@N%a=s?s-Wgss-T2Rs-Wi1rVunN"TO#Ps+L@N$/b4?hr"Ik
+s8V!UrrV*Xn,31c$3'sT~>
+s8N)'qu6Z6rVm>Es8U!Ss8U":_uIXSiVWZTYQ=d.rr<#9rr3;Bs8U":iPXWl_u0Q7_uK`L_uIXS
+s24m:_uIWls22bS_uJ]prrZ^0s02J%%cRH*s24l5s22bSs24lqrVuo%"TO#Ps02J%$)#VjTV2=X
+s8SbkrrSknci!eC@K-:W~>
+s8N(nqu6ZRrVm>as8V!6s8V!VhuDU6n,*.bU&k:grr<#Urr3;^s8V!Vn)*Tkhu*NShuE]hhuDU6
+s53kVhuDTks52`6huE0ErrY[hs.]Jl%e'GTs53k&s52`6s53kFrVunl"TO#Ps.]Jl$(/r\R$do@
+s8SJcrrSSfbl%J@7/m4:~>
+s8N(Pqu?Y_"TOjVbl@[0#QN$Jbl@^1bkqG?KE;++rVm>Ns8SIRbl>nSbl>oebkqDTbl@^eR*>St
+R*>TSR*<eSs31MeR*>R0!t##-K`1o\ba?WSba?WSs31NCba?WQs8R`Ts+(.LK`(lMhZE9Hhu<*E
+huE]Wn)+$B!"&Z)J,~>
+s8N)'qu?Z5"TQBWiW&np#QNc_iW&qqiVWZTYQ=d.rVm>cs8U!SiW%lSiW%m:iVWWiiW&r:_r:X5
+_r:XS_r9SSs5F":_r:Up"(D60Yl4S3iPXXSiPXXSs5F"XiPXXQs8T;+s+(.LYl+P$TE<I>T`3:;
+T`>#mc_118!+Gm,J,~>
+s8N(nqu?ZQ"TRB:n,NCE#QO8mn,NFFn,*.bU&k:grVm>qs8V!6n,Mk6n,MkVn,*,"n,NFVhs^U&
+hs^U6hs^%6s6p!Vhs^RE"%<1hUAb*%n)*U6n)*U6s6p!fn)*U4s8Sers+(.LUAY&kQibM3R/Y>0
+R/d0ebaA;-!(?hdJ,~>
+s8N(PoD\m9R*>1%s+CFQK[B`$$31$YlMpm;"TO#Ps+KV9!"&Z)J,~>
+s8N)'oD\mN_r:4es0)P(YgECP@K6A3lMpmg"TO#Ps01_e!+Gm,J,~>
+s8N(noD\m\hs^1:s.TPoU<roB70!:]lMpmY"TO#Ps.\`W!(?hdJ,~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8N(PirB%3!WRi"rrWT-s+K\;s+COTJH,Y&kl1Vhrr7K~>
+s8N)'irB%_!WTCNrrZ^0s01egs0)Y+JH,YRkl1Wkrr7K~>
+s8N(nirB%Q!WSn@rrY[hs.\fYs.TYrJH,YDkl1WNrr7K~>
+s8V&2!_.kCc\)B,s8PRRKEao!s+(.L7d,L*$3'sT~>
+s8V&^!f4)\c`dL[s8Ro?YQfofs+(.LM!2&C@K-:W~>
+s8V&P!ct+9c_:M0s8R0*U'>\5s+(.LF6K=u7/m4:~>
+rr:r1!lG!;c\2>u!5duR"iC:is8Tt!K`;"%~>
+rr:r]!ndPQc`mHL!8-P?"k`j*s8Ua7Yl=ZQ~>
+rr:rO!mpuIc_CI>!79u)"jm:"s8UI/UAk1C~>
+N;im.iW"E~>
+N;im.iW"E~>
+N;im.iW"E~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bookvol1q.ps b/books/ps/bookvol1q.ps
new file mode 100644
index 0000000..20cbd7a
--- /dev/null
+++ b/books/ps/bookvol1q.ps
@@ -0,0 +1,1292 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /home/axiom--main--1--patch-46/src/doc/ps/bookvol1q.ps
+%%CreationDate: Sat Dec 10 23:42:53 2005
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 365 240
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 225.000000 translate
+350.000000 -225.000000 scale
+% Image geometry
+350 225 8
+% Transformation matrix
+[ 350 0 0 225 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 350 string def
+/gstr 350 string def
+/bstr 350 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        60872 ASCII Bytes
+colorimage
+j+%.0ja[@sJ:[`ks5SV0s5SW[~>
+j+%.0ja[@sJ:[`ks5SV0s5SW[~>
+j+%.0ja[@sJ:[`ks5SV0s5SW[~>
+!PeZt^BB'Ps+(.4^B&jMJcD;@!J(45^BB'Ps+(.4^B&jMJ,~>
+!PeZt^BB'Ps+(.4^B&jMJcD;@!J(45^BB'Ps+(.4^B&jMJ,~>
+!PeZt^BB'Ps+(.4^B&jMJcD;@!J(45^BB'Ps+(.4^B&jMJ,~>
+!J%rJJH%k9s+%lIJH%lcs.0/jJA:8ts$-YcJA:8ts$2)~>
+!J%rJJH%k9s+%lIJH%lcs.0/jJA:8ts$-YcJA:8ts$2)~>
+!J%rJJH%k9s+%lIJH%lcs.0/jJA:8ts$-YcJA:8ts$2)~>
+!eA%9r':%-!'p:/s$-kiJA6V"5_)*bq1/K1pON9/JcF=$s+&8l!J%rJJH%k9s+%lIJH%lb~>
+!eA%9r':%-!'p:/s$-kiJA6V"5_)*bq1/K1pON9/JcF=$s+&8l!J%rJJH%k9s+%lIJH%lb~>
+!eA%9r':%-!'p:/s$-kiJA6V"5_)*bq1/K1pON9/JcF=$s+&8l!J%rJJH%k9s+%lIJH%lb~>
+#CsR>5QF&7!;V-H5QF(JJ,hk5JH%k?s+%k75QH="!;M'F!'p=0s$4g.&ANaGs8Ti!s1^i!^OSS"
+s8W(Ks1\[:s8RU7rr3*d^]-R6li.(%5_+CUs8RTN5_),krrTr#JF*:9JBIlmJA:8ts$-YcJA:8t
+s$2)~>
+#CsR>5QF&7!;V-H5QF(JJ,hk5JH%k?s+%k75QH="!;M'F!'p=0s$4g.&ANaGs8Ti!s1^i!^OSS"
+s8W(Ks1\[:s8RU7rr3*d^]-R6li.(%5_+CUs8RTN5_),krrTr#JF*:9JBIlmJA:8ts$-YcJA:8t
+s$2)~>
+#CsR>5QF&7!;V-H5QF(JJ,hk5JH%k?s+%k75QH="!;M'F!'p=0s$4g.&ANaGs8Ti!s1^i!^OSS"
+s8W(Ks1\[:s8RU7rr3*d^]-R6li.(%5_+CUs8RTN5_),krrTr#JF*:9JBIlmJA:8ts$-YcJA:8t
+s$2)~>
+"G"7;5QLJ-!'pL5!C-Y`JH%k?s+%k75QH="!;M'F!'p=0s$4d-s+(+K!eC<$rVm=Ws8TjKs8RWL
+J:RZMJH#QnJH,Y"s1a*a^OZ?7^OX*!s1a*!s8RVaJA;-aJH,Y"s8RV"rr3)8JA8kursjSZJH(0"
+s+#Y"s1c=!JGfEIJGfHIJH,WT^OZ@!JH,Y"JGoKJJBIlmJA:8ts$-YcJA:8ts$2)~>
+"G"7;5QLJ-!'pL5!C-Y`JH%k?s+%k75QH="!;M'F!'p=0s$4d-s+(+K!eC<$rVm=Ws8TjKs8RWL
+J:RZMJH#QnJH,Y"s1a*a^OZ?7^OX*!s1a*!s8RVaJA;-aJH,Y"s8RV"rr3)8JA8kursjSZJH(0"
+s+#Y"s1c=!JGfEIJGfHIJH,WT^OZ@!JH,Y"JGoKJJBIlmJA:8ts$-YcJA:8ts$2)~>
+"G"7;5QLJ-!'pL5!C-Y`JH%k?s+%k75QH="!;M'F!'p=0s$4d-s+(+K!eC<$rVm=Ws8TjKs8RWL
+J:RZMJH#QnJH,Y"s1a*a^OZ?7^OX*!s1a*!s8RVaJA;-aJH,Y"s8RV"rr3)8JA8kursjSZJH(0"
+s+#Y"s1c=!JGfEIJGfHIJH,WT^OZ@!JH,Y"JGoKJJBIlmJA:8ts$-YcJA:8ts$2)~>
+&V.WH5QH="J:KmMJ3ZAMJ3ZC!JH%kH!'if"J3ZC"JA6V"!.[<7J:RVarI>+Q5_+AMJ3ZC!JH%mX
+rrR`NJH#QLJA;'_"+^FOJH#QLJH,V!!WR]Ls8INU5l^k7s8RWLJA;-_^DR!c^]4=!s1eU6JH,Y"
+s+(.LJH*C!s1a*^rr@TKrs=5Us+(.L5l^k7rVlkJrVm@Xs8RWLs+(-a^]/ias+(+K!.`5l!J%rJ
+JH%k9s+%lIJH%lb~>
+&V.WH5QH="J:KmMJ3ZAMJ3ZC!JH%kH!'if"J3ZC"JA6V"!.[<7J:RVarI>+Q5_+AMJ3ZC!JH%mX
+rrR`NJH#QLJA;'_"+^FOJH#QLJH,V!!WR]Ls8INU5l^k7s8RWLJA;-_^DR!c^]4=!s1eU6JH,Y"
+s+(.LJH*C!s1a*^rr@TKrs=5Us+(.L5l^k7rVlkJrVm@Xs8RWLs+(-a^]/ias+(+K!.`5l!J%rJ
+JH%k9s+%lIJH%lb~>
+&V.WH5QH="J:KmMJ3ZAMJ3ZC!JH%kH!'if"J3ZC"JA6V"!.[<7J:RVarI>+Q5_+AMJ3ZC!JH%mX
+rrR`NJH#QLJA;'_"+^FOJH#QLJH,V!!WR]Ls8INU5l^k7s8RWLJA;-_^DR!c^]4=!s1eU6JH,Y"
+s+(.LJH*C!s1a*^rr@TKrs=5Us+(.L5l^k7rVlkJrVm@Xs8RWLs+(-a^]/ias+(+K!.`5l!J%rJ
+JH%k9s+%lIJH%lb~>
+"+\.:5lLc`JH#TNJ3ZC!J,oX8rdb"Ks$6U7s$-_eJA6V"r;["O5QF%L!<.KW!'l'b5QF%L!.]Sb
+5g99-J-A4<s1c=!rVltMs8RWKrs"#RJH(0"JH#QVJH,Y"s8RWLJH,Y"rr;nH"2Fm9JGoKTJH,Y"
+s+(.LJH(/prr@TKrs=5Us+(.LJH,Y"rVm%Os8Tk65lQ<6s8Th9JH,X7rdb"J!.`5l!J%rJJH%k9
+s+%lIJH%lb~>
+"+\.:5lLc`JH#TNJ3ZC!J,oX8rdb"Ks$6U7s$-_eJA6V"r;["O5QF%L!<.KW!'l'b5QF%L!.]Sb
+5g99-J-A4<s1c=!rVltMs8RWKrs"#RJH(0"JH#QVJH,Y"s8RWLJH,Y"rr;nH"2Fm9JGoKTJH,Y"
+s+(.LJH(/prr@TKrs=5Us+(.LJH,Y"rVm%Os8Tk65lQ<6s8Th9JH,X7rdb"J!.`5l!J%rJJH%k9
+s+%lIJH%lb~>
+"+\.:5lLc`JH#TNJ3ZC!J,oX8rdb"Ks$6U7s$-_eJA6V"r;["O5QF%L!<.KW!'l'b5QF%L!.]Sb
+5g99-J-A4<s1c=!rVltMs8RWKrs"#RJH(0"JH#QVJH,Y"s8RWLJH,Y"rr;nH"2Fm9JGoKTJH,Y"
+s+(.LJH(/prr@TKrs=5Us+(.LJH,Y"rVm%Os8Tk65lQ<6s8Th9JH,X7rdb"J!.`5l!J%rJJH%k9
+s+%lIJH%lb~>
+"G"7;5QL_4rr<$arI=nK5lQ975QLb5s$.(oJA6V"!.[<7J,fR75QLe6$iiPCJ3X*bJ,hib5X<Qn
+!.b(K"b?W's1c>Jrr@TKrrk[f^OZ?7rr2tKrr3(Ns8RWKs8RWLrrR_cs8B\9s1c>Ks+((J%Y4So
+^]/ias+(-a^]2'`r;QbIrr3:Ts8RWLs$6VaJGoKRJH,Y"s+(.LJH#QRJA;-aJH,Y"rr2tKb5VKm
+^ZU.I5Q^t9^ZU.I5_&~>
+"G"7;5QL_4rr<$arI=nK5lQ975QLb5s$.(oJA6V"!.[<7J,fR75QLe6$iiPCJ3X*bJ,hib5X<Qn
+!.b(K"b?W's1c>Jrr@TKrrk[f^OZ?7rr2tKrr3(Ns8RWKs8RWLrrR_cs8B\9s1c>Ks+((J%Y4So
+^]/ias+(-a^]2'`r;QbIrr3:Ts8RWLs$6VaJGoKRJH,Y"s+(.LJH#QRJA;-aJH,Y"rr2tKb5VKm
+^ZU.I5Q^t9^ZU.I5_&~>
+"G"7;5QL_4rr<$arI=nK5lQ975QLb5s$.(oJA6V"!.[<7J,fR75QLe6$iiPCJ3X*bJ,hib5X<Qn
+!.b(K"b?W's1c>Jrr@TKrrk[f^OZ?7rr2tKrr3(Ns8RWKs8RWLrrR_cs8B\9s1c>Ks+((J%Y4So
+^]/ias+(-a^]2'`r;QbIrr3:Ts8RWLs$6VaJGoKRJH,Y"s+(.LJH#QRJA;-aJH,Y"rr2tKb5VKm
+^ZU.I5Q^t9^ZU.I5_&~>
+"G"7;5QL\3rrE"J!<>CaJ,qn8rIFo5$NGXkJ3X*b5QH<7rBU@4$iiPCJ3X*bJ,hib5X<To%)7>-
+s+#X7JH*B7s1eP`rr37S^]2'!^]/h7rr34R^]/i!s8RWKrsF:kJA;-a^OX*!s8INP^]2'!JA;*`
+s+(+K!l'9#r;Qi5J:RY!s+(+KrdatI!5JJ_s8W+LrVll4rVunJrr;tJ!5HbX!J%rJJH%k9s+%lI
+JH%lb~>
+"G"7;5QL\3rrE"J!<>CaJ,qn8rIFo5$NGXkJ3X*b5QH<7rBU@4$iiPCJ3X*bJ,hib5X<To%)7>-
+s+#X7JH*B7s1eP`rr37S^]2'!^]/h7rr34R^]/i!s8RWKrsF:kJA;-a^OX*!s8INP^]2'!JA;*`
+s+(+K!l'9#r;Qi5J:RY!s+(+KrdatI!5JJ_s8W+LrVll4rVunJrr;tJ!5HbX!J%rJJH%k9s+%lI
+JH%lb~>
+"G"7;5QL\3rrE"J!<>CaJ,qn8rIFo5$NGXkJ3X*b5QH<7rBU@4$iiPCJ3X*bJ,hib5X<To%)7>-
+s+#X7JH*B7s1eP`rr37S^]2'!^]/h7rr34R^]/i!s8RWKrsF:kJA;-a^OX*!s8INP^]2'!JA;*`
+s+(+K!l'9#r;Qi5J:RY!s+(+KrdatI!5JJ_s8W+LrVll4rVunJrr;tJ!5HbX!J%rJJH%k9s+%lI
+JH%lb~>
+%=l3D5QH=b5_+AM5QCf`J,oX8rdY#7!<%HJ5S!gE^OSQLJ3X*b!!%P"5lQ9B!'l'b5QH="!'l'"
+5c=V^JH#QKJCFMuJ?/\NJA:8ts$-YcJA:8ts$2)~>
+%=l3D5QH=b5_+AM5QCf`J,oX8rdY#7!<%HJ5S!gE^OSQLJ3X*b!!%P"5lQ9B!'l'b5QH="!'l'"
+5c=V^JH#QKJCFMuJ?/\NJA:8ts$-YcJA:8ts$2)~>
+%=l3D5QH=b5_+AM5QCf`J,oX8rdY#7!<%HJ5S!gE^OSQLJ3X*b!!%P"5lQ9B!'l'b5QH="!'l'"
+5c=V^JH#QKJCFMuJ?/\NJA:8ts$-YcJA:8ts$2)~>
+"+\.:5lCZiJ3X*b5QF'"5QCf_JH#T[5_+AM5lZALJ3X*b5QH=brW!3hJ:Klb!.]SbrW!'dJ:KmM
+WW*%7J:RY!s+&Z"!l'9#XT&<O^ZU.I5Q^t9^ZU.I5_&~>
+"+\.:5lCZiJ3X*b5QF'"5QCf_JH#T[5_+AM5lZALJ3X*b5QH=brW!3hJ:Klb!.]SbrW!'dJ:KmM
+WW*%7J:RY!s+&Z"!l'9#XT&<O^ZU.I5Q^t9^ZU.I5_&~>
+"+\.:5lCZiJ3X*b5QF'"5QCf_JH#T[5_+AM5lZALJ3X*b5QH=brW!3hJ:Klb!.]SbrW!'dJ:KmM
+WW*%7J:RY!s+&Z"!l'9#XT&<O^ZU.I5Q^t9^ZU.I5_&~>
+!J%rJJH%k9s+%lPJ,qn8r.+f4JcD;@!J%rJJH%k9s+%lIJH%lb~>
+!J%rJJH%k9s+%lPJ,qn8r.+f4JcD;@!J%rJJH%k9s+%lIJH%lb~>
+!J%rJJH%k9s+%lPJ,qn8r.+f4JcD;@!J%rJJH%k9s+%lIJH%lb~>
+!.a,q!rme$m6CXOqETW3ScA_?jZinIJ:Q`HJ,~>
+!.a,q!rme$m6CXOqETW3ScA_?jZinIJ:Q`HJ,~>
+!.a,q!rme$m6CXOqETW3ScA_?jZinIJ:Q`HJ,~>
+!.a,q!<;(EJcD;@!.a,q!WR]25_&~>
+!.a,q!<;(EJcD;@!.a,q!WR]25_&~>
+!.a,q!<;(EJcD;@!.a,q!WR]25_&~>
+JH16$UB#f~>
+JH16$UB#f~>
+JH16$UB#f~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcFd1!l'9#JcE[gJ,~>
+JcFd1!l'9#JcE[gJ,~>
+JcFd1!l'9#JcE[gJ,~>
+JcFg2!.b%K!.]Y#`W(G~>
+JcFg2!.b%K!.]Y#`W(G~>
+JcFg2!.b%K!.]Y#`W(G~>
+JcFm4!P^nt!!,?8JcEdjJ,~>
+JcFm4!P^nt!!,?8JcEdjJ,~>
+JcFm4!P^nt!!,?8JcEdjJ,~>
+JcFm4p],mFa8^Y~>
+JcFm4p],mFa8^Y~>
+JcFm4p],mFa8^Y~>
+JcFm4!.anG!'l,8a8^Y~>
+JcFm4!.anG!'l,8a8^Y~>
+JcFm4!.anG!'l,8a8^Y~>
+JcFg2!'pJ_!5F*b`rCP~>
+JcFg2!'pJ_!5F*b`rCP~>
+JcFg2!'pJ_!5F*b`rCP~>
+JcFd1"+UA:^OcF(s*t~>
+JcFd1"+UA:^OcF(s*t~>
+JcFd1"+UA:^OcF(s*t~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcD8?rdb!_NrOV~>
+JcD8?rdb!_NrOV~>
+JcD8?rdb!_NrOV~>
+JcD5>rdY"LJ<'Y[~>
+JcD5>rdY"LJ<'Y[~>
+JcD5>rdY"LJ<'Y[~>
+Q2gl7r;Qc3qg\[]g]%;hJFrm=JFidAJA;!]!5JJ_pAY--rdanGs*t0cJ:N[[J,~>
+Q2gl7r;Qc3qg\[]g]%;hJFrm=JFidAJA;!]!5JJ_pAY--rdanGs*t0cJ:N[[J,~>
+Q2gl7r;Qc3qg\[]g]%;hJFrm=JFidAJA;!]!5JJ_pAY--rdanGs*t0cJ:N[[J,~>
+Q2gCT!^ON8o`+uBrVuQk!5JL4!.b%Kp\t5Dp](=[^\Rm1^OZ:`rVlkJq>^L\qYpPGq>^N1LAuc~>
+Q2gCT!^ON8o`+uBrVuQk!5JL4!.b%Kp\t5Dp](=[^\Rm1^OZ:`rVlkJq>^L\qYpPGq>^N1LAuc~>
+Q2gCT!^ON8o`+uBrVuQk!5JL4!.b%Kp\t5Dp](=[^\Rm1^OZ:`rVlkJq>^L\qYpPGq>^N1LAuc~>
+QN$r8q>^O]JGB3EJG9*EJGfHIJGK6I5_),q!;ZWp^[qL+^]+655l(H`JH,Ya5kk<Z5lL]`^HhSp
+!'l;=J,~>
+QN$r8q>^O]JGB3EJG9*EJGfHIJGK6I5_),q!;ZWp^[qL+^]+655l(H`JH,Ya5kk<Z5lL]`^HhSp
+!'l;=J,~>
+QN$r8q>^O]JGB3EJG9*EJGfHIJGK6I5_),q!;ZWp^[qL+^]+655l(H`JH,Ya5kk<Z5lL]`^HhSp
+!'l;=J,~>
+QN$r8r;ZhJqu6Z2qZ-Wq!'pD]!.anF!5JI4"[N+f^OUk3!!%QHrrBh(!!7]N^\Ij2JH%n-!!@cO
+s$68X!'l>>J,~>
+QN$r8r;ZhJqu6Z2qZ-Wq!'pD]!.anF!5JI4"[N+f^OUk3!!%QHrrBh(!!7]N^\Ij2JH%n-!!@cO
+s$68X!'l>>J,~>
+QN$r8r;ZhJqu6Z2qZ-Wq!'pD]!.anF!5JI4"[N+f^OUk3!!%QHrrBh(!!7]N^\Ij2JH%n-!!@cO
+s$68X!'l>>J,~>
+QN$r8rVur5q>UGFqu?`3rr;iq!.anF!5JL5!'pG]!5JF3!.b"I!5JL5!C4EurrKlbq>^N1rr2tK
+quHa^!WYK9rr2u5qZ-YHrr<'b^]+655l1P:s*t~>
+QN$r8rVur5q>UGFqu?`3rr;iq!.anF!5JL5!'pG]!5JF3!.b"I!5JL5!C4EurrKlbq>^N1rr2tK
+quHa^!WYK9rr2u5qZ-YHrr<'b^]+655l1P:s*t~>
+QN$r8rVur5q>UGFqu?`3rr;iq!.anF!5JL5!'pG]!5JF3!.b"I!5JL5!C4EurrKlbq>^N1rr2tK
+quHa^!WYK9rr2u5qZ-YHrr<'b^]+655l1P:s*t~>
+QN-sb!'p8X!'pJ_!.b%Jqu?^^q>^Eo!'pA[qu?_IrVll4rVuqKq#:=ZqZ-Tpq>^N1qZ$?k!5JF2
+!.atIL];l~>
+QN-sb!'p8X!'pJ_!.b%Jqu?^^q>^Eo!'pA[qu?_IrVll4rVuqKq#:=ZqZ-Tpq>^N1qZ$?k!5JF2
+!.atIL];l~>
+QN-sb!'p8X!'pJ_!.b%Jqu?^^q>^Eo!'pA[qu?_IrVll4rVuqKq#:=ZqZ-Tpq>^N1qZ$?k!5JF2
+!.atIL];l~>
+QN-sb!5J7-!.b"J!.b%J!5JF3!.atH"+U@O5ktBW!!%QKrrBh5!!#:Xrr>=^!!%QKs8)cr5l(E[
+5l1N]^\Rp-!!%P*s*t~>
+QN-sb!5J7-!.b"J!.b%J!5JF3!.atH"+U@O5ktBW!!%QKrrBh5!!#:Xrr>=^!!%QKs8)cr5l(E[
+5l1N]^\Rp-!!%P*s*t~>
+QN-sb!5J7-!.b"J!.b%J!5JF3!.atH"+U@O5ktBW!!%QKrrBh5!!#:Xrr>=^!!%QKs8)cr5l(E[
+5l1N]^\Rp-!!%P*s*t~>
+Qi@,;!5J4,!.b"J!.b"I!.atI!5JL4!5JL5!5J=/qu?_Irr2s`rVur5pAY--qu?^^rr;iqq#:>E
+qu?^^q#C6l!.]n*J,~>
+Qi@,;!5J4,!.b"J!.b"I!.atI!5JL4!5JL5!5J=/qu?_Irr2s`rVur5pAY--qu?^^rr;iqq#:>E
+qu?^^q#C6l!.]n*J,~>
+Qi@,;!5J4,!.b"J!.b"I!.atI!5JL4!5JL5!5J=/qu?_Irr2s`rVur5pAY--qu?^^rr;iqq#:>E
+qu?^^q#C6l!.]n*J,~>
+M#RI*r;ZhJqu6X]qu?`3rr;rtpAb$j"+^FOJGfK?rr>=^!<3#r!!%QErr@TI!;HNk!!%P*s*t~>
+M#RI*r;ZhJqu6X]qu?`3rr;rtpAb$j"+^FOJGfK?rr>=^!<3#r!!%QErr@TI!;HNk!!%P*s*t~>
+M#RI*r;ZhJqu6X]qu?`3rr;rtpAb$j"+^FOJGfK?rr>=^!<3#r!!%QErr@TI!;HNk!!%P*s*t~>
+M#RI*r;ZhJqYpO\qu?o8s*t(L^\7^*!!7]N^\n-4JFrjA^\e'5JH,ZI!!%QErr@TI!;HNk!!%P*
+s*t~>
+M#RI*r;ZhJqYpO\qu?o8s*t(L^\7^*!!7]N^\n-4JFrjA^\e'5JH,ZI!!%QErr@TI!;HNk!!%P*
+s*t~>
+M#RI*r;ZhJqYpO\qu?o8s*t(L^\7^*!!7]N^\n-4JFrjA^\e'5JH,ZI!!%QErr@TI!;HNk!!%P*
+s*t~>
+M#RI*r;ZhJq>^<l"2=g9JG&s?!!7]NJGfHJJFig=!!7]Ns82isJGB-EJG]EAs82isJ;F5U~>
+M#RI*r;ZhJq>^<l"2=g9JG&s?!!7]NJGfHJJFig=!!7]Ns82isJGB-EJG]EAs82isJ;F5U~>
+M#RI*r;ZhJq>^<l"2=g9JG&s?!!7]NJGfHJJFig=!!7]Ns82isJGB-EJG]EAs82isJ;F5U~>
+NrT$-qZ$VHq>UH0q>^L\o`+gh!eC;9r;ZhJoD\eUr;Zmas8Vus!.akE!.atIp](-k!.]n*J,~>
+NrT$-qZ$VHq>UH0q>^L\o`+gh!eC;9r;ZhJoD\eUr;Zmas8Vus!.akE!.atIp](-k!.]n*J,~>
+NrT$-qZ$VHq>UH0q>^L\o`+gh!eC;9r;ZhJoD\eUr;Zmas8Vus!.akE!.atIp](-k!.]n*J,~>
+OoGE3q#CC[r;ZhJq#:?/qZ-6fqu?bJs82isJFid@JG]EIs82isJGB-EJG]EAs82isJ;F5U~>
+OoGE3q#CC[r;ZhJq#:?/qZ-6fqu?bJs82isJFid@JG]EIs82isJGB-EJG]EAs82isJ;F5U~>
+OoGE3q#CC[r;ZhJq#:?/qZ-6fqu?bJs82isJFid@JG]EIs82isJGB-EJG]EAs82isJ;F5U~>
+PlCd!5l:Tc5_+Cbs+(%J!.ahD!'pG^!5J1+qu?bJs82isJFid@JGfHL5l^l^!!%QErr@TI!;HNk
+!!'cis*t~>
+PlCd!5l:Tc5_+Cbs+(%J!.ahD!'pG^!5J1+qu?bJs82isJFid@JGfHL5l^l^!!%QErr@TI!;HNk
+!!'cis*t~>
+PlCd!5l:Tc5_+Cbs+(%J!.ahD!'pG^!5J1+qu?bJs82isJFid@JGfHL5l^l^!!%QErr@TI!;HNk
+!!'cis*t~>
+Q2^hLqu?_Iqu6YHr;ZhJpAb!io`+gh!J(4J!!%Q@rr@TJ!!7]Ns82isJGB-EJG]EAs82is^PMo?~>
+Q2^hLqu?_Iqu6YHr;ZhJpAb!io`+gh!J(4J!!%Q@rr@TJ!!7]Ns82isJGB-EJG]EAs82is^PMo?~>
+Q2^hLqu?_Iqu6YHr;ZhJpAb!io`+gh!J(4J!!%Q@rr@TJ!!7]Ns82isJGB-EJG]EAs82is^PMo?~>
+QN$qMr;Zj`^\[s1JGfHJJG9'D5l1N]5kY0T!!.WMqu?_IoD\f@r;ZnLs8Vus!.akE!.atIp](-k
+L];l~>
+QN$qMr;Zj`^\[s1JGfHJJG9'D5l1N]5kY0T!!.WMqu?_IoD\f@r;ZnLs8Vus!.akE!.atIp](-k
+L];l~>
+QN$qMr;Zj`^\[s1JGfHJJG9'D5l1N]5kY0T!!.WMqu?_IoD\f@r;ZnLs8Vus!.akE!.atIp](-k
+L];l~>
+Qi@%NquHNl!.b"J!.akE"2=g95l:T^5kb6U!!.WMqu?_IoD\f@r;ZnLs8Vus!.akE!.atIp](-k
+L];l~>
+Qi@%NquHNl!.b"J!.akE"2=g95l:T^5kb6U!!.WMqu?_IoD\f@r;ZnLs8Vus!.akE!.atIp](-k
+L];l~>
+Qi@%NquHNl!.b"J!.akE"2=g95l:T^5kb6U!!.WMqu?_IoD\f@r;ZnLs8Vus!.akE!.atIp](-k
+L];l~>
+R/[0$qu?`3q#:>Er;ZhJq>UW5!!#:a^\e'3JG9*A!!.WMqZ-6f!.b"J!l+d8qu?_Iq#:>EquHKk
+quDNPJ,~>
+R/[0$qu?`3q#:>Er;ZhJq>UW5!!#:a^\e'3JG9*A!!.WMqZ-6f!.b"J!l+d8qu?_Iq#:>EquHKk
+quDNPJ,~>
+R/[0$qu?`3q#:>Er;ZhJq>UW5!!#:a^\e'3JG9*A!!.WMqZ-6f!.b"J!l+d8qu?_Iq#:>EquHKk
+quDNPJ,~>
+R/d$`p\t4Yr;ZhJq>^Eo"2Fm95l:T^JGB0B!!7]N5l:WRrr@TK!!#:`s82isJGB-EJG]EAs82kP
+s*t~>
+R/d$`p\t4Yr;ZhJq>^Eo"2Fm95l:T^JGB0B!!7]N5l:WRrr@TK!!#:`s82isJGB-EJG]EAs82kP
+s*t~>
+R/d$`p\t4Yr;ZhJq>^Eo"2Fm95l:T^JGB0B!!7]N5l:WRrr@TK!!#:`s82isJGB-EJG]EAs82kP
+s*t~>
+R/d'a!.ahDqu?_IqYpX_!!%QJrr>=^!!'e0s82iuJH(/t!!%QAs8;otJH#TH!!%QErr@TI!;HNk
+!/LT)~>
+R/d'a!.ahDqu?_IqYpX_!!%QJrr>=^!!'e0s82iuJH(/t!!%QAs8;otJH#TH!!%QErr@TI!;HNk
+!/LT)~>
+R/d'a!.ahDqu?_IqYpX_!!%QJrr>=^!!'e0s82iuJH(/t!!%QAs8;otJH#TH!!%QErr@TI!;HNk
+!/LT)~>
+R/d'a!.akE!.atI!.atH"$chd5l:TY!;ZZm!!7]N^\\$(rrBh5!!#:_s82isJGB-EJG]EAs82kP
+s*t~>
+R/d'a!.akE!.atI!.atH"$chd5l:TY!;ZZm!!7]N^\\$(rrBh5!!#:_s82isJGB-EJG]EAs82kP
+s*t~>
+R/d'a!.akE!.atI!.atH"$chd5l:TY!;ZZm!!7]N^\\$(rrBh5!!#:_s82isJGB-EJG]EAs82kP
+s*t~>
+R/d'a!'p>ZqZ$VHr;Qc3rW)fp!.atI!'pD\qu?eKs8Vrr!.aeC!.b%K!5JL4qu?_Iq#:>EquHKk
+quDNPJ,~>
+R/d'a!'p>ZqZ$VHr;Qc3rW)fp!.atI!'pD\qu?eKs8Vrr!.aeC!.b%K!5JL4qu?_Iq#:>EquHKk
+quDNPJ,~>
+R/d'a!'p>ZqZ$VHr;Qc3rW)fp!.atI!'pD\qu?eKs8Vrr!.aeC!.b%K!5JL4qu?_Iq#:>EquHKk
+quDNPJ,~>
+R/d$`!5JC1q>^MGrVll4rVur5q>UF[qu?^^qu?Qo"+^FO^\\!25kt?Z^]"35^\n-0!!%QErr@TI
+!;HNk!/LT)~>
+R/d$`!5JC1q>^MGrVll4rVur5q>UF[qu?^^qu?Qo"+^FO^\\!25kt?Z^]"35^\n-0!!%QErr@TI
+!;HNk!/LT)~>
+R/d$`!5JC1q>^MGrVll4rVur5q>UF[qu?^^qu?Qo"+^FO^\\!25kt?Z^]"35^\n-0!!%QErr@TI
+!;HNk!/LT)~>
+R/d!_r;Qc3rVup`qu?`3rr;osq#:?/qZ$U]r;ZZp!.b(K!'pD]!'pD\!5JL5!5JF2qu?_Iq#:>E
+quHKkqu?_IM#Vu~>
+R/d!_r;Qc3rVup`qu?`3rr;osq#:?/qZ$U]r;ZZp!.b(K!'pD]!'pD\!5JL5!5JF2qu?_Iq#:>E
+quHKkqu?_IM#Vu~>
+R/d!_r;Qc3rVup`qu?`3rr;osq#:?/qZ$U]r;ZZp!.b(K!'pD]!'pD\!5JL5!5JF2qu?_Iq#:>E
+quHKkqu?_IM#Vu~>
+R/[0$q#CGG5lL`b5l^lW!!%QDs7u]q5lUc`JGT?Fs7cTnJ,hk5!!'e2rr@TI!!#:Zs8)crJGK3F
+^\e'35`#Gj~>
+R/[0$q#CGG5lL`b5l^lW!!%QDs7u]q5lUc`JGT?Fs7cTnJ,hk5!!'e2rr@TI!!#:Zs8)crJGK3F
+^\e'35`#Gj~>
+R/[0$q#CGG5lL`b5l^lW!!%QDs7u]q5lUc`JGT?Fs7cTnJ,hk5!!'e2rr@TI!!#:Zs8)crJGK3F
+^\e'35`#Gj~>
+Qi@'#p&G)Crr2s`o`,!,q>UF[q#CI]^OZ+["2Fm9^[hF+5em3r!.anG!'pD\!5J@1!.aqG!'pD]
+!'lD@J,~>
+Qi@'#p&G)Crr2s`o`,!,q>UF[q#CI]^OZ+["2Fm9^[hF+5em3r!.anG!'pD\!5J@1!.aqG!'pD]
+!'lD@J,~>
+Qi@'#p&G)Crr2s`o`,!,q>UF[q#CI]^OZ+["2Fm9^[hF+5em3r!.anG!'pD\!5J@1!.aqG!'pD]
+!'lD@J,~>
+QN%!#5l(H\5lCW^^[qL+5l:TH!!>Lds$6;Y!C4Esrr@TB!!#:`rr>=X!<2uu^\.X-J;jMY~>
+QN%!#5l(H\5lCW^^[qL+5l:TH!!>Lds$6;Y!C4Esrr@TB!!#:`rr>=X!<2uu^\.X-J;jMY~>
+QN%!#5l(H\5lCW^^[qL+5l:TH!!>Lds$6;Y!C4Esrr@TB!!#:`rr>=X!<2uu^\.X-J;jMY~>
+PlCd!JGoNL5em0q!l$ucrdY!`rr3&7J:ROs!5JJ_!l+d8pjiCZr."d^rr3#6JGT<IJA:p[oRQo?
+pOE8E^]+66J,oFr"$chd^Pr2C~>
+PlCd!JGoNL5em0q!l$ucrdY!`rr3&7J:ROs!5JJ_!l+d8pjiCZr."d^rr3#6JGT<IJA:p[oRQo?
+pOE8E^]+66J,oFr"$chd^Pr2C~>
+PlCd!JGoNL5em0q!l$ucrdY!`rr3&7J:ROs!5JJ_!l+d8pjiCZr."d^rr3#6JGT<IJA:p[oRQo?
+pOE8E^]+66J,oFr"$chd^Pr2C~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcFd1!l'9#JcE[gJ,~>
+JcFd1!l'9#JcE[gJ,~>
+JcFd1!l'9#JcE[gJ,~>
+JcFj3!P^o!!!,@"JcEaiJ,~>
+JcFj3!P^o!!!,@"JcEaiJ,~>
+JcFj3!P^o!!!,@"JcEaiJ,~>
+JcFm4!5J@1!.]Y#a8^Y~>
+JcFm4!5J@1!.]Y#a8^Y~>
+JcFm4!5J@1!.]Y#a8^Y~>
+JcFm4p],mFa8^Y~>
+JcFm4p],mFa8^Y~>
+JcFm4p],mFa8^Y~>
+JcFm4!.anG!.]Y#a8^Y~>
+JcFm4!.anG!.]Y#a8^Y~>
+JcFm4!.anG!.]Y#a8^Y~>
+JcFj3!P^o!!!,@"JcEaiJ,~>
+JcFj3!P^o!!!,@"JcEaiJ,~>
+JcFj3!P^o!!!,@"JcEaiJ,~>
+JcFd1!e<OdJcE[gJ,~>
+JcFd1!e<OdJcE[gJ,~>
+JcFd1!e<OdJcE[gJ,~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JUi<%UO[j~>
+JUi<%UO[j~>
+JUi<%UO[j~>
+JUi<%UO[j~>
+JUi<%UO[j~>
+JUi<%UO[j~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+nc&T>hZ*V+qu6YHlMgq#JA:p[!.a/1!.]Y#U&TW~>
+nc&T>hZ*V+qu6YHlMgq#JA:p[!.a/1!.]Y#U&TW~>
+nc&T>hZ*V+qu6YHlMgq#JA:p[!.a/1!.]Y#U&TW~>
+p\tF_JH*AL^OZ%X!.a>6!.atH!.a;5!.b%J!.b(K!.a\@!.a\@!.aqG"2BA:5_8s:s*t~>
+p\tF_JH*AL^OZ%X!.a>6!.atH!.a;5!.b%J!.b(K!.a\@!.a\@!.aqG"2BA:5_8s:s*t~>
+p\tF_JH*AL^OZ%X!.a>6!.atH!.a;5!.b%J!.b(K!.a\@!.a\@!.aqG"2BA:5_8s:s*t~>
+p\tqXs+(-"s+%k7^]4>KJA;-a^Hd="rVm@X^]/i!s1a*!s8RWLs+(+K!.b%JrdatI%Y2=oJA;-!
+JA;-aJH,Y"qu6YHrr3#6JH#QSJH(.Ms8Tia^\n*:J3\Y"s8RV"qu?YGs8NA>JA;-a^]4=aJcDhO
+J,~>
+p\tqXs+(-"s+%k7^]4>KJA;-a^Hd="rVm@X^]/i!s1a*!s8RWLs+(+K!.b%JrdatI%Y2=oJA;-!
+JA;-aJH,Y"qu6YHrr3#6JH#QSJH(.Ms8Tia^\n*:J3\Y"s8RV"qu?YGs8NA>JA;-a^]4=aJcDhO
+J,~>
+p\tqXs+(-"s+%k7^]4>KJA;-a^Hd="rVm@X^]/i!s1a*!s8RWLs+(+K!.b%JrdatI%Y2=oJA;-!
+JA;-aJH,Y"qu6YHrr3#6JH#QSJH(.Ms8Tia^\n*:J3\Y"s8RV"qu?YGs8NA>JA;-a^]4=aJcDhO
+J,~>
+p](9.%"Q*Cs+%laJH,Yas+(+K!.atH%Y4SoJH*C!s1c>KJH,Y"rr2tKrr3(Ns8P@_rsjSZs+(-a
+^]2'`s+(.LJG]?HJGoKJJH#QTJH(0"s1c>K^VB^H!.b(K"+^FOJGoKSJH,X7s1c>K^VBdJs1a-b
+XT*e~>
+p](9.%"Q*Cs+%laJH,Yas+(+K!.atH%Y4SoJH*C!s1c>KJH,Y"rr2tKrr3(Ns8P@_rsjSZs+(-a
+^]2'`s+(.LJG]?HJGoKJJH#QTJH(0"s1c>K^VB^H!.b(K"+^FOJGoKSJH,X7s1c>K^VBdJs1a-b
+XT*e~>
+p](9.%"Q*Cs+%laJH,Yas+(+K!.atH%Y4SoJH*C!s1c>KJH,Y"rr2tKrr3(Ns8P@_rsjSZs+(-a
+^]2'`s+(.LJG]?HJGoKJJH#QTJH(0"s1c>K^VB^H!.b(K"+^FOJGoKSJH,X7s1c>K^VBdJs1a-b
+XT*e~>
+pAb)A$3,PUs+(-aJ:Koarr@THrrmqfJ:RZMrr3.Ps+(.LJH#QKJH#QNJH,Y"r;QnMs+(-"rr3.P
+s+(.LJG]?HJGoKJJH#TKJ-*Lcs8@HJ^\n*3JH#QNJH,Y"rVm%Os8RWLJH#QOJH,Y"^OcEcs*t~>
+pAb)A$3,PUs+(-aJ:Koarr@THrrmqfJ:RZMrr3.Ps+(.LJH#QKJH#QNJH,Y"r;QnMs+(-"rr3.P
+s+(.LJG]?HJGoKJJH#TKJ-*Lcs8@HJ^\n*3JH#QNJH,Y"rVm%Os8RWLJH#QOJH,Y"^OcEcs*t~>
+pAb)A$3,PUs+(-aJ:Koarr@THrrmqfJ:RZMrr3.Ps+(.LJH#QKJH#QNJH,Y"r;QnMs+(-"rr3.P
+s+(.LJG]?HJGoKJJH#TKJ-*Lcs8@HJ^\n*3JH#QNJH,Y"rVm%Os8RWLJH#QOJH,Y"^OcEcs*t~>
+pAYSP^OX*!JH,Y"s+(.L5lUccJH,Yarr3JCJA6X7^VBf`^]/ias$6S`!.b(K"+^FO5lCZ^JH,ZL
+^BaeR^]/ias$6J]!.b%J!.b(K$%W&j^]2'`s1c>Hrs+)S^]/ias+((J%=nKY5l\U6s1c>Ks1c="
+s/Z0M~>
+pAYSP^OX*!JH,Y"s+(.L5lUccJH,Yarr3JCJA6X7^VBf`^]/ias$6S`!.b(K"+^FO5lCZ^JH,ZL
+^BaeR^]/ias$6J]!.b%J!.b(K$%W&j^]2'`s1c>Hrs+)S^]/ias+((J%=nKY5l\U6s1c>Ks1c="
+s/Z0M~>
+pAYSP^OX*!JH,Y"s+(.L5lUccJH,Yarr3JCJA6X7^VBf`^]/ias$6S`!.b(K"+^FO5lCZ^JH,ZL
+^BaeR^]/ias$6J]!.b%J!.b(K$%W&j^]2'`s1c>Hrs+)S^]/ias+((J%=nKY5l\U6s1c>Ks1c="
+s/Z0M~>
+pAYW;s1eU6JA;,7^]/h7^OZ=`s+(%I#J^;Rs8Tia^]+95JH*@as8INQ^]4=aJA8ksrr@TKrrTrc
+^]+95JH*C`rrBh5JH,ZKJ-s'kJH*B7^]2'!^\e$8^OX*!s+#Xss8RWL^B=MNJA;*`s1a-bX8d\~>
+pAYW;s1eU6JA;,7^]/h7^OZ=`s+(%I#J^;Rs8Tia^]+95JH*@as8INQ^]4=aJA8ksrr@TKrrTrc
+^]+95JH*C`rrBh5JH,ZKJ-s'kJH*B7^]2'!^\e$8^OX*!s+#Xss8RWL^B=MNJA;*`s1a-bX8d\~>
+pAYW;s1eU6JA;,7^]/h7^OZ=`s+(%I#J^;Rs8Tia^]+95JH*@as8INQ^]4=aJA8ksrr@TKrrTrc
+^]+95JH*C`rrBh5JH,ZKJ-s'kJH*B7^]2'!^\e$8^OX*!s+#Xss8RWL^B=MNJA;*`s1a-bX8d\~>
+^]+:aJcC<$k5Tr~>
+^]+:aJcC<$k5Tr~>
+^]+:aJcC<$k5Tr~>
+_#OFb!5F*bJcFp5J,~>
+_#OFb!5F*bJcFp5J,~>
+_#OFb!5F*bJcFp5J,~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+n,N?:oDei@pAY60JA6WorrE+Mli.$:^VBXF!J!Gnrr>=^rrIX8li-rMoD\m,J:RY!!5JO5!J!H7
+rrTrcJGoKJ^[M1&^\.U,^[;%&^OUk0rrBgMs*t~>
+n,N?:oDei@pAY60JA6WorrE+Mli.$:^VBXF!J!Gnrr>=^rrIX8li-rMoD\m,J:RY!!5JO5!J!H7
+rrTrcJGoKJ^[M1&^\.U,^[;%&^OUk0rrBgMs*t~>
+n,N?:oDei@pAY60JA6WorrE+Mli.$:^VBXF!J!Gnrr>=^rrIX8li-rMoD\m,J:RY!!5JO5!J!H7
+rrTrcJGoKJ^[M1&^\.U,^[;%&^OUk0rrBgMs*t~>
+p](*js8NIW!.[=bs1a)7^]4?5J-<XeJ:PE6s8RWL^]+6KJ3\WM!<<(LJH*B7^V><6JA6WLJH,ZK
+J-Z+hJA6WLs8W%J!WTq6JFWXAJH*B7q>UGFi;We-qu6YHli-s8oD\f@r;Qc3rVlkJr;QbIrVll4
+n,EC&p&>#Bli-s8q#:>E_>f#~>
+p](*js8NIW!.[=bs1a)7^]4?5J-<XeJ:PE6s8RWL^]+6KJ3\WM!<<(LJH*B7^V><6JA6WLJH,ZK
+J-Z+hJA6WLs8W%J!WTq6JFWXAJH*B7q>UGFi;We-qu6YHli-s8oD\f@r;Qc3rVlkJr;QbIrVll4
+n,EC&p&>#Bli-s8q#:>E_>f#~>
+p](*js8NIW!.[=bs1a)7^]4?5J-<XeJ:PE6s8RWL^]+6KJ3\WM!<<(LJH*B7^V><6JA6WLJH,ZK
+J-Z+hJA6WLs8W%J!WTq6JFWXAJH*B7q>UGFi;We-qu6YHli-s8oD\f@r;Qc3rVlkJr;QbIrVll4
+n,EC&p&>#Bli-s8q#:>E_>f#~>
+p\t3nrI=kJrr3i9J3^mL!.]S"s+!@b5_/lb5_/n75X9i"JH#QK!<3!FJA2)7J,k*"5QF%L5QF%L
+5_+AMJ3\Y"!'l&7s$/i"!.b(LJ:IXirr@TJrr^#dJA;*`!.b(K"[Kj&5em?uJGoKU^Hd="^]/gL
+J:R\"rdb%KrIFnI!.b(K"i#S<^]-RtJ->neJ:Ko`s8@HOs1^i!^Hhbt#Co'i^]4=aJGoKJJGfEI
+JH#QL^Hheu!'pO6s8W(K!'pM_!P^o!rr>=`JGoKO^Hd="s8W(K!rp##rdb$`"$hBe^]+65JH#TJ
+JH,WQ^Hd="s8W(Ks8N29J:Ko1s*t~>
+p\t3nrI=kJrr3i9J3^mL!.]S"s+!@b5_/lb5_/n75X9i"JH#QK!<3!FJA2)7J,k*"5QF%L5QF%L
+5_+AMJ3\Y"!'l&7s$/i"!.b(LJ:IXirr@TJrr^#dJA;*`!.b(K"[Kj&5em?uJGoKU^Hd="^]/gL
+J:R\"rdb%KrIFnI!.b(K"i#S<^]-RtJ->neJ:Ko`s8@HOs1^i!^Hhbt#Co'i^]4=aJGoKJJGfEI
+JH#QL^Hheu!'pO6s8W(K!'pM_!P^o!rr>=`JGoKO^Hd="s8W(K!rp##rdb$`"$hBe^]+65JH#TJ
+JH,WQ^Hd="s8W(Ks8N29J:Ko1s*t~>
+p\t3nrI=kJrr3i9J3^mL!.]S"s+!@b5_/lb5_/n75X9i"JH#QK!<3!FJA2)7J,k*"5QF%L5QF%L
+5_+AMJ3\Y"!'l&7s$/i"!.b(LJ:IXirr@TJrr^#dJA;*`!.b(K"[Kj&5em?uJGoKU^Hd="^]/gL
+J:R\"rdb%KrIFnI!.b(K"i#S<^]-RtJ->neJ:Ko`s8@HOs1^i!^Hhbt#Co'i^]4=aJGoKJJGfEI
+JH#QL^Hheu!'pO6s8W(K!'pM_!P^o!rr>=`JGoKO^Hd="s8W(K!rp##rdb$`"$hBe^]+65JH#TJ
+JH,WQ^Hd="s8W(Ks8N29J:Ko1s*t~>
+p\t3nrI=kJrr3*$J:KobrdY.Ps1\P!JH#TKJH,WP!<<)6^]+65!<)rtJH,ZLJ-5lP!<3&rJ/#bK
+J3\Yb!<<'!rrE*!J:RYb!._iRs8RTQ^]/ias+(+K!.b%J"+^E%s87EGrs"#Rs+(.LJH#QKJH#QM
+JH(0!rr[fOs+(+K%R>Pp5lZB7JH(0"^OX)6rVlkJrr3.Ps+(-a^\n*3JGfEIJGoKJJGfEIJGoKJ
+JH#QPJH,Y"s+(+K!.b"I!.b(K"+^FOJGfEIJH#THJ-u=,s+(-"s+(.LJH#QKJH#TKJ,hk6rr@TK
+s87BMs1a*!^Wuk0~>
+p\t3nrI=kJrr3*$J:KobrdY.Ps1\P!JH#TKJH,WP!<<)6^]+65!<)rtJH,ZLJ-5lP!<3&rJ/#bK
+J3\Yb!<<'!rrE*!J:RYb!._iRs8RTQ^]/ias+(+K!.b%J"+^E%s87EGrs"#Rs+(.LJH#QKJH#QM
+JH(0!rr[fOs+(+K%R>Pp5lZB7JH(0"^OX)6rVlkJrr3.Ps+(-a^\n*3JGfEIJGoKJJGfEIJGoKJ
+JH#QPJH,Y"s+(+K!.b"I!.b(K"+^FOJGfEIJH#THJ-u=,s+(-"s+(.LJH#QKJH#TKJ,hk6rr@TK
+s87BMs1a*!^Wuk0~>
+p\t3nrI=kJrr3*$J:KobrdY.Ps1\P!JH#TKJH,WP!<<)6^]+65!<)rtJH,ZLJ-5lP!<3&rJ/#bK
+J3\Yb!<<'!rrE*!J:RYb!._iRs8RTQ^]/ias+(+K!.b%J"+^E%s87EGrs"#Rs+(.LJH#QKJH#QM
+JH(0!rr[fOs+(+K%R>Pp5lZB7JH(0"^OX)6rVlkJrr3.Ps+(-a^\n*3JGfEIJGoKJJGfEIJGoKJ
+JH#QPJH,Y"s+(+K!.b"I!.b(K"+^FOJGfEIJH#THJ-u=,s+(-"s+(.LJH#QKJH#TKJ,hk6rr@TK
+s87BMs1a*!^Wuk0~>
+p\t3nrI=kJrr3i9s8N(L5_+@bs1c=!5_/n7J:R\"!5JQKJH#QZ5em@!J:Kobs$2)7rrE'!qg]@\
+J:Kn8rrE*!!<3&6s$2,7JA6U7nc&m0s8RWLJH,Y"rr2tKrVunJs8N(Lq>UYLs8RWLs+(+K!.b(K
+!eC<$rr3(Ns8RWKrr@TJrs=5UJH(0"^]2'!rVlkJrr3+Os1c=!qu6YHr;QbIrVlkJr;QbIrVlkJ
+rr3.Ps8RWLJH#QKJGfEIJH#QNJH,Y"r;QbIrr2tKr;R(Rs+(-"s+(.LJH#QQJH,Y"s8RWKrr@TK
+rr@TIrr^%9^OXW0J,~>
+p\t3nrI=kJrr3i9s8N(L5_+@bs1c=!5_/n7J:R\"!5JQKJH#QZ5em@!J:Kobs$2)7rrE'!qg]@\
+J:Kn8rrE*!!<3&6s$2,7JA6U7nc&m0s8RWLJH,Y"rr2tKrVunJs8N(Lq>UYLs8RWLs+(+K!.b(K
+!eC<$rr3(Ns8RWKrr@TJrs=5UJH(0"^]2'!rVlkJrr3+Os1c=!qu6YHr;QbIrVlkJr;QbIrVlkJ
+rr3.Ps8RWLJH#QKJGfEIJH#QNJH,Y"r;QbIrr2tKr;R(Rs+(-"s+(.LJH#QQJH,Y"s8RWKrr@TK
+rr@TIrr^%9^OXW0J,~>
+p\t3nrI=kJrr3i9s8N(L5_+@bs1c=!5_/n7J:R\"!5JQKJH#QZ5em@!J:Kobs$2)7rrE'!qg]@\
+J:Kn8rrE*!!<3&6s$2,7JA6U7nc&m0s8RWLJH,Y"rr2tKrVunJs8N(Lq>UYLs8RWLs+(+K!.b(K
+!eC<$rr3(Ns8RWKrr@TJrs=5UJH(0"^]2'!rVlkJrr3+Os1c=!qu6YHr;QbIrVlkJr;QbIrVlkJ
+rr3.Ps8RWLJH#QKJGfEIJH#QNJH,Y"r;QbIrr2tKr;R(Rs+(-"s+(.LJH#QQJH,Y"s8RWKrr@TK
+rr@TIrr^%9^OXW0J,~>
+p\t3nrI=qLs8W#ts1eR6"$cj:JGoNL^]464!WTq6!!%QKrsle/!!%QLJ,fS"J,k*"JGoN_J,k*"
+5QCdL!.Y'"J,k,7!!#7as8Duu5k4ja5_+C"s1a)7^]4=a5_-WKrr@TKs8INK^]"0>5_+C"s+!@b
+^]4?5JH,WL5lQ<6rrmp<JA;-!rdY4Q5ehiaJA;&5rVlj_rdb"J!J%r_ruchWJA;-!J3\Ybs+!@b
+^]2'!5_/n7J3\Y"s$4@!5em?tJGoKSJ3\Y"s$4@!5em9t"M]J;^]4:`s1]L<s$6TLs$2*b^]2'!
+5_/mLJ:Kn8s8TiaJA;-`J-!FbrIFnI!!(IIJ,~>
+p\t3nrI=qLs8W#ts1eR6"$cj:JGoNL^]464!WTq6!!%QKrsle/!!%QLJ,fS"J,k*"JGoN_J,k*"
+5QCdL!.Y'"J,k,7!!#7as8Duu5k4ja5_+C"s1a)7^]4=a5_-WKrr@TKs8INK^]"0>5_+C"s+!@b
+^]4?5JH,WL5lQ<6rrmp<JA;-!rdY4Q5ehiaJA;&5rVlj_rdb"J!J%r_ruchWJA;-!J3\Ybs+!@b
+^]2'!5_/n7J3\Y"s$4@!5em?tJGoKSJ3\Y"s$4@!5em9t"M]J;^]4:`s1]L<s$6TLs$2*b^]2'!
+5_/mLJ:Kn8s8TiaJA;-`J-!FbrIFnI!!(IIJ,~>
+p\t3nrI=qLs8W#ts1eR6"$cj:JGoNL^]464!WTq6!!%QKrsle/!!%QLJ,fS"J,k*"JGoN_J,k*"
+5QCdL!.Y'"J,k,7!!#7as8Duu5k4ja5_+C"s1a)7^]4=a5_-WKrr@TKs8INK^]"0>5_+C"s+!@b
+^]4?5JH,WL5lQ<6rrmp<JA;-!rdY4Q5ehiaJA;&5rVlj_rdb"J!J%r_ruchWJA;-!J3\Ybs+!@b
+^]2'!5_/n7J3\Y"s$4@!5em?tJGoKSJ3\Y"s$4@!5em9t"M]J;^]4:`s1]L<s$6TLs$2*b^]2'!
+5_/mLJ:Kn8s8TiaJA;-`J-!FbrIFnI!!(IIJ,~>
+p](*jM#RI*c2RcofDbi$hu<\,YlB4~>
+p](*jM#RI*c2RcofDbi$hu<\,YlB4~>
+p](*jM#RI*c2RcofDbi$hu<\,YlB4~>
+JcGQG!l%"8d/O0^J3_igrd`o+!l%"8Z2]=~>
+JcGQG!l%"8d/O0^J3_igrd`o+!l%"8Z2]=~>
+JcGQG!l%"8d/O0^J3_igrd`o+!l%"8Z2]=~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+irB".O8o61kl1X5\c2`GJA7]UJ,~>
+irB".O8o61kl1X5\c2`GJA7]UJ,~>
+irB".O8o61kl1X5\c2`GJA7]UJ,~>
+p](,@s8W#t!5JC1"+WXeJ@PUZ^]&c<rr@TIrr@T;rr@T*rr@TDrr@TIrr@T=s8Tk(rt)qqJH,Ya
+5l\Sas1a(LJH,ZKJH*@e!<<(L5f`nT~>
+p](,@s8W#t!5JC1"+WXeJ@PUZ^]&c<rr@TIrr@T;rr@T*rr@TDrr@TIrr@T=s8Tk(rt)qqJH,Ya
+5l\Sas1a(LJH,ZKJH*@e!<<(L5f`nT~>
+p](,@s8W#t!5JC1"+WXeJ@PUZ^]&c<rr@TIrr@T;rr@T*rr@TDrr@TIrr@T=s8Tk(rt)qqJH,Ya
+5l\Sas1a(LJH,ZKJH*@e!<<(L5f`nT~>
+p\t3nrBLhms8RV"s1\R6J,fS"s+((K+b9TC!!%QL!!%NL5lZ?7!.b(L5QCf!s$-QL!<9f!!'n<P
+rtBq_s1eU6J:PE7s1a*!s8RVaJA;$^s+(.Ls1eSaq#:>ErVm+Q^]4>K^OUk6s8RWHs8IQKrrTrc
+^]+95J-<Xe^VBgI^DDG#JH,YaJA;-aJA6WLs8RU7JA;-aJ:RY!#Co'i^]4=a^]+6=^OX*!s+%k7
+^]"0B^Hd="s8Tia^]4=a^OX)ss8RWKrrR`NJGoKWJH,Ya^]4=as+#Y"J:P]?J,~>
+p\t3nrBLhms8RV"s1\R6J,fS"s+((K+b9TC!!%QL!!%NL5lZ?7!.b(L5QCf!s$-QL!<9f!!'n<P
+rtBq_s1eU6J:PE7s1a*!s8RVaJA;$^s+(.Ls1eSaq#:>ErVm+Q^]4>K^OUk6s8RWHs8IQKrrTrc
+^]+95J-<Xe^VBgI^DDG#JH,YaJA;-aJA6WLs8RU7JA;-aJ:RY!#Co'i^]4=a^]+6=^OX*!s+%k7
+^]"0B^Hd="s8Tia^]4=a^OX)ss8RWKrrR`NJGoKWJH,Ya^]4=as+#Y"J:P]?J,~>
+p\t3nrBLhms8RV"s1\R6J,fS"s+((K+b9TC!!%QL!!%NL5lZ?7!.b(L5QCf!s$-QL!<9f!!'n<P
+rtBq_s1eU6J:PE7s1a*!s8RVaJA;$^s+(.Ls1eSaq#:>ErVm+Q^]4>K^OUk6s8RWHs8IQKrrTrc
+^]+95J-<Xe^VBgI^DDG#JH,YaJA;-aJA6WLs8RU7JA;-aJ:RY!#Co'i^]4=a^]+6=^OX*!s+%k7
+^]"0B^Hd="s8Tia^]4=a^OX)ss8RWKrrR`NJGoKWJH,Ya^]4=as+#Y"J:P]?J,~>
+p\t3nrI?3ps8RU7J3ZAM5l^jLJH(.Ms8RU7s8P?7rr>=aJ:Kobs$2*b5l^h6#seO*!<3&6s1\Qe
+rtE.tJH,Y"s8P@as1eSas8RVas+((J$@r0VJH,X7s8RWLrIFnI!.b"I!.b(K#XJFiJH(0"s+((J
+,_5pp5l\U6s1c>KJH,X7s8RWLs+(,7s$6U7^VBf`^]/i!s+(+K!.b(K"2Fm9JH#QKJGfEUJH,Ya
+^]2'`s+%laJGfEIJH#TK^BaeR^]4=!s1eL3!eC<$rr3"L^]"07JH,Y"rr3"Ls8INLs+&/iJ,~>
+p\t3nrI?3ps8RU7J3ZAM5l^jLJH(.Ms8RU7s8P?7rr>=aJ:Kobs$2*b5l^h6#seO*!<3&6s1\Qe
+rtE.tJH,Y"s8P@as1eSas8RVas+((J$@r0VJH,X7s8RWLrIFnI!.b"I!.b(K#XJFiJH(0"s+((J
+,_5pp5l\U6s1c>KJH,X7s8RWLs+(,7s$6U7^VBf`^]/i!s+(+K!.b(K"2Fm9JH#QKJGfEUJH,Ya
+^]2'`s+%laJGfEIJH#TK^BaeR^]4=!s1eL3!eC<$rr3"L^]"07JH,Y"rr3"Ls8INLs+&/iJ,~>
+p\t3nrI?3ps8RU7J3ZAM5l^jLJH(.Ms8RU7s8P?7rr>=aJ:Kobs$2*b5l^h6#seO*!<3&6s1\Qe
+rtE.tJH,Y"s8P@as1eSas8RVas+((J$@r0VJH,X7s8RWLrIFnI!.b"I!.b(K#XJFiJH(0"s+((J
+,_5pp5l\U6s1c>KJH,X7s8RWLs+(,7s$6U7^VBf`^]/i!s+(+K!.b(K"2Fm9JH#QKJGfEUJH,Ya
+^]2'`s+%laJGfEIJH#TK^BaeR^]4=!s1eL3!eC<$rr3"L^]"07JH,Y"rr3"Ls8INLs+&/iJ,~>
+p\t3nrI>.Rs8RU7J,m?7r;[%Ps+#Y"s+(%J!eC:Nrr2tKr;chI!<<"JrVucqf)Gf%s+((J$,;"@
+5l^k7s8RWJrs=5Us+(.LJH,Y"q>UGFr;QbIrr3.Ps8RWL5lQ<4rrmrQs+(-"rr3%Ms+(%I#_;sT
+JH(0"JH,Ot"i((fs8RWKrr@TKs8@KIrr@TIrr[fOs+(+K"b?W's8RWIrr@TKrr@TKrr[fOs+("H
+rdY/;s8TjKJGoKMJH,Y"rr31Qs+(-"s+&/iJ,~>
+p\t3nrI>.Rs8RU7J,m?7r;[%Ps+#Y"s+(%J!eC:Nrr2tKr;chI!<<"JrVucqf)Gf%s+((J$,;"@
+5l^k7s8RWJrs=5Us+(.LJH,Y"q>UGFr;QbIrr3.Ps8RWL5lQ<4rrmrQs+(-"rr3%Ms+(%I#_;sT
+JH(0"JH,Ot"i((fs8RWKrr@TKs8@KIrr@TIrr[fOs+(+K"b?W's8RWIrr@TKrr@TKrr[fOs+("H
+rdY/;s8TjKJGoKMJH,Y"rr31Qs+(-"s+&/iJ,~>
+p\t3nrI>.Rs8RU7J,m?7r;[%Ps+#Y"s+(%J!eC:Nrr2tKr;chI!<<"JrVucqf)Gf%s+((J$,;"@
+5l^k7s8RWJrs=5Us+(.LJH,Y"q>UGFr;QbIrr3.Ps8RWL5lQ<4rrmrQs+(-"rr3%Ms+(%I#_;sT
+JH(0"JH,Ot"i((fs8RWKrr@TKs8@KIrr@TIrr[fOs+(+K"b?W's8RWIrr@TKrr@TKrr[fOs+("H
+rdY/;s8TjKJGoKMJH,Y"rr31Qs+(-"s+&/iJ,~>
+p\t3nrI>1Ss8P>LJA2)7!<.KRs1^faJA8i!rdY7RJ,k+Ms1\R5J.V`G5lX)7^Are7!.[="J:PDf
+rt@Zts+(-"s8RWLJH,X7s8RWLs+((J$%W'UJH,Y"s8RWFrr@TIrr@TKrs4/Ts+(-"s8RWJs!3-p
+s$6V!^]2'`s+(.LJH,Y"s1a*aJH(0"JA8l!^VBf!s8RWKrs+)S^]/ia^OZ=`!eC<crr3CWs8TjK
+s1c>KJH,Y"r;QbIrr<#5"ol?Ps8RWHrr@TKrrmrQJH*C!rr2tKrr3-es1a*aJH#QNJH,Y"b5Zt~>
+p\t3nrI>1Ss8P>LJA2)7!<.KRs1^faJA8i!rdY7RJ,k+Ms1\R5J.V`G5lX)7^Are7!.[="J:PDf
+rt@Zts+(-"s8RWLJH,X7s8RWLs+((J$%W'UJH,Y"s8RWFrr@TIrr@TKrs4/Ts+(-"s8RWJs!3-p
+s$6V!^]2'`s+(.LJH,Y"s1a*aJH(0"JA8l!^VBf!s8RWKrs+)S^]/ia^OZ=`!eC<crr3CWs8TjK
+s1c>KJH,Y"r;QbIrr<#5"ol?Ps8RWHrr@TKrrmrQJH*C!rr2tKrr3-es1a*aJH#QNJH,Y"b5Zt~>
+p\t3nrI>1Ss8P>LJA2)7!<.KRs1^faJA8i!rdY7RJ,k+Ms1\R5J.V`G5lX)7^Are7!.[="J:PDf
+rt@Zts+(-"s8RWLJH,X7s8RWLs+((J$%W'UJH,Y"s8RWFrr@TIrr@TKrs4/Ts+(-"s8RWJs!3-p
+s$6V!^]2'`s+(.LJH,Y"s1a*aJH(0"JA8l!^VBf!s8RWKrs+)S^]/ia^OZ=`!eC<crr3CWs8TjK
+s1c>KJH,Y"r;QbIrr<#5"ol?Ps8RWHrr@TKrrmrQJH*C!rr2tKrr3-es1a*aJH#QNJH,Y"b5Zt~>
+p\t3nrBLDas8W(K"93nds8INLs1eP`!l+d8rdY"KrIFnIrdYR[J:RZMJH*B7JA;-a^OUjLg&D,g
+J:RY!s+(+Ks*t?hJH(/7s+%l_s8RWLrrg)es1a*\s8INM^]2(JJ-l7jJH*B7s8RV"qu?\Hs1\[9
+^OX)us8RWKs!GL2^OX(Ls+(-"s1a*!s8RVas+%las1a*!s1a*!JA;-a^OX*!^]&c`rs?Gj^]4=a
+^]/i!rr2u5rdb%K"M]K%s8W(K!5JO5%)7>-s+#X7JH*B7s1eP`rr3@V^]2'!^]/h7s8RVls*t~>
+p\t3nrBLDas8W(K"93nds8INLs1eP`!l+d8rdY"KrIFnIrdYR[J:RZMJH*B7JA;-a^OUjLg&D,g
+J:RY!s+(+Ks*t?hJH(/7s+%l_s8RWLrrg)es1a*\s8INM^]2(JJ-l7jJH*B7s8RV"qu?\Hs1\[9
+^OX)us8RWKs!GL2^OX(Ls+(-"s1a*!s8RVas+%las1a*!s1a*!JA;-a^OX*!^]&c`rs?Gj^]4=a
+^]/i!rr2u5rdb%K"M]K%s8W(K!5JO5%)7>-s+#X7JH*B7s1eP`rr3@V^]2'!^]/h7s8RVls*t~>
+p\t3nrBLDas8W(K"93nds8INLs1eP`!l+d8rdY"KrIFnIrdYR[J:RZMJH*B7JA;-a^OUjLg&D,g
+J:RY!s+(+Ks*t?hJH(/7s+%l_s8RWLrrg)es1a*\s8INM^]2(JJ-l7jJH*B7s8RV"qu?\Hs1\[9
+^OX)us8RWKs!GL2^OX(Ls+(-"s1a*!s8RVas+%las1a*!s1a*!JA;-a^OX*!^]&c`rs?Gj^]4=a
+^]/i!rr2u5rdb%K"M]K%s8W(K!5JO5%)7>-s+#X7JH*B7s1eP`rr3@V^]2'!^]/h7s8RVls*t~>
+p](,@JcC<$Zi>O~>
+p](,@JcC<$Zi>O~>
+p](,@JcC<$Zi>O~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+n,N<9o`+rA^&J/KJ:Qe^!Pa0QrrBgorsQSl^]4>KJH*B7s1eP`rr37S^]2'!s8Tiaq>UK1JFrjA
+^[_=(^SCgZ~>
+n,N<9o`+rA^&J/KJ:Qe^!Pa0QrrBgorsQSl^]4>KJH*B7s1eP`rr37S^]2'!s8Tiaq>UK1JFrjA
+^[_=(^SCgZ~>
+n,N<9o`+rA^&J/KJ:Qe^!Pa0QrrBgorsQSl^]4>KJH*B7s1eP`rr37S^]2'!s8Tiaq>UK1JFrjA
+^[_=(^SCgZ~>
+p](*js8N`4J,k*"s8RV"s8RVaJ:R\"J:PE6s8RWL^B+ALrd`)i!.a/1!.aM;!.a)/!Pa0arr[fO
+^VBdJ!.b(K#seO*JH%mLs+#Xprr@TArr@T>rrBg/s*t~>
+p](*js8N`4J,k*"s8RV"s8RVaJ:R\"J:PE6s8RWL^B+ALrd`)i!.a/1!.aM;!.a)/!Pa0arr[fO
+^VBdJ!.b(K#seO*JH%mLs+#Xprr@TArr@T>rrBg/s*t~>
+p](*js8N`4J,k*"s8RV"s8RVaJ:R\"J:PE6s8RWL^B+ALrd`)i!.a/1!.aM;!.a)/!Pa0arr[fO
+^VBdJ!.b(K#seO*JH%mLs+#Xprr@TArr@T>rrBg/s*t~>
+p\t3nrI?'ls8N*!!<3&6!.]S"^H_dL5X>@"5_/n75X9i"JH#V"J,m[j!.b%J"i#S<^]4?5JH,WU
+J3\X8s1^gLJA;'_%R>Pp^]2'!JA;-!5l\SarVm.R5_-WL^OUjLrVm$ds8P@as8@HNs1a)7^\n*:
+JA8l!s1c=!rVltMs8RWKrs"#RJ:PDLJGB-N5_+C"s$4@!5em<u"i!<QJH,ZKJH,WL5lQ<6rrKl"
+rr3)8J:Knbs*t~>
+p\t3nrI?'ls8N*!!<3&6!.]S"^H_dL5X>@"5_/n75X9i"JH#V"J,m[j!.b%J"i#S<^]4?5JH,WU
+J3\X8s1^gLJA;'_%R>Pp^]2'!JA;-!5l\SarVm.R5_-WL^OUjLrVm$ds8P@as8@HNs1a)7^\n*:
+JA8l!s1c=!rVltMs8RWKrs"#RJ:PDLJGB-N5_+C"s$4@!5em<u"i!<QJH,ZKJH,WL5lQ<6rrKl"
+rr3)8J:Knbs*t~>
+p\t3nrI?'ls8N*!!<3&6!.]S"^H_dL5X>@"5_/n75X9i"JH#V"J,m[j!.b%J"i#S<^]4?5JH,WU
+J3\X8s1^gLJA;'_%R>Pp^]2'!JA;-!5l\SarVm.R5_-WL^OUjLrVm$ds8P@as8@HNs1a)7^\n*:
+JA8l!s1c=!rVltMs8RWKrs"#RJ:PDLJGB-N5_+C"s$4@!5em<u"i!<QJH,ZKJH,WL5lQ<6rrKl"
+rr3)8J:Knbs*t~>
+p\t3nrI=kJrVm'%s8RV"s8W%Js8NW1s8RV"s8N*!s1c>K5QH>LaSu6jrVm-gJ:Kobs+#Vbrr2tK
+rVltMs8RWJrsjSZs+(-"s8RWLs+#Y"JGfEIJH#QNJH,Y"rVm@Xs8RWLs+#Y"^]-QLJ3a)5s1\U7
+JH#QLJA;'_"+^FOJH#QQJH(/7JH(/prs4/Ts+(-a^]/i^rr@TKrr@TKrrR`NJH#QNJH,Y"rr3(N
+s8Tj6s*t~>
+p\t3nrI=kJrVm'%s8RV"s8W%Js8NW1s8RV"s8N*!s1c>K5QH>LaSu6jrVm-gJ:Kobs+#Vbrr2tK
+rVltMs8RWJrsjSZs+(-"s8RWLs+#Y"JGfEIJH#QNJH,Y"rVm@Xs8RWLs+#Y"^]-QLJ3a)5s1\U7
+JH#QLJA;'_"+^FOJH#QQJH(/7JH(/prs4/Ts+(-a^]/i^rr@TKrr@TKrrR`NJH#QNJH,Y"rr3(N
+s8Tj6s*t~>
+p\t3nrI=kJrVm'%s8RV"s8W%Js8NW1s8RV"s8N*!s1c>K5QH>LaSu6jrVm-gJ:Kobs+#Vbrr2tK
+rVltMs8RWJrsjSZs+(-"s8RWLs+#Y"JGfEIJH#QNJH,Y"rVm@Xs8RWLs+#Y"^]-QLJ3a)5s1\U7
+JH#QLJA;'_"+^FOJH#QQJH(/7JH(/prs4/Ts+(-a^]/i^rr@TKrr@TKrrR`NJH#QNJH,Y"rr3(N
+s8Tj6s*t~>
+p\t3nrI=kJrVml<s8RU7s8P?7J3a.L!<<(LJH,WL^]2'!s+%k7!6G0DJH,Y"s+((J"+^FOJH#QK
+JGoKMJH,Y"rVm4Ts8RWLJH,Y"s8W%Jr;QbIrr3(Ns8RWJrsOAWs+(.L^]/i!s+'tGrI>$cs+(-"
+rVm=Ws8TjKs8RWLJH*CaJGB-MJH,Y"s8RVa^\n*3JH#QKJH#QMJH(0!rr[fOs+(+K!._!IJ,~>
+p\t3nrI=kJrVml<s8RU7s8P?7J3a.L!<<(LJH,WL^]2'!s+%k7!6G0DJH,Y"s+((J"+^FOJH#QK
+JGoKMJH,Y"rVm4Ts8RWLJH,Y"s8W%Jr;QbIrr3(Ns8RWJrsOAWs+(.L^]/i!s+'tGrI>$cs+(-"
+rVm=Ws8TjKs8RWLJH*CaJGB-MJH,Y"s8RVa^\n*3JH#QKJH#QMJH(0!rr[fOs+(+K!._!IJ,~>
+p\t3nrI=kJrVml<s8RU7s8P?7J3a.L!<<(LJH,WL^]2'!s+%k7!6G0DJH,Y"s+((J"+^FOJH#QK
+JGoKMJH,Y"rVm4Ts8RWLJH,Y"s8W%Jr;QbIrr3(Ns8RWJrsOAWs+(.L^]/i!s+'tGrI>$cs+(-"
+rVm=Ws8TjKs8RWLJH*CaJGB-MJH,Y"s8RVa^\n*3JH#QKJH#QMJH(0!rr[fOs+(+K!._!IJ,~>
+p\t3nrI=kJrr;rts8NFV!!%QLJ3X)7^]464!WTq6!!.WMrVup`ao;R[5_+AMs1eP`&HBLqJ3\Yb
+J3\Y"s1^i!^Hheu%_k:/^Hhh6J:PE7s+(-"qu?YG"TQ5eJA;'_$bq4B5em=aJ:PE7^]&c_rt3"2
+^]/gL^Hhh65l\TL5_/n7rdb$`#XH0)J3a/7J:RUu#erWTJA;-a^OZ4]"M]J;^]4:`s8W%Js8N7Q
+5_-WL^]&c_rr<&%s*t~>
+p\t3nrI=kJrr;rts8NFV!!%QLJ3X)7^]464!WTq6!!.WMrVup`ao;R[5_+AMs1eP`&HBLqJ3\Yb
+J3\Y"s1^i!^Hheu%_k:/^Hhh6J:PE7s+(-"qu?YG"TQ5eJA;'_$bq4B5em=aJ:PE7^]&c_rt3"2
+^]/gL^Hhh65l\TL5_/n7rdb$`#XH0)J3a/7J:RUu#erWTJA;-a^OZ4]"M]J;^]4:`s8W%Js8N7Q
+5_-WL^]&c_rr<&%s*t~>
+p\t3nrI=kJrr;rts8NFV!!%QLJ3X)7^]464!WTq6!!.WMrVup`ao;R[5_+AMs1eP`&HBLqJ3\Yb
+J3\Y"s1^i!^Hheu%_k:/^Hhh6J:PE7s+(-"qu?YG"TQ5eJA;'_$bq4B5em=aJ:PE7^]&c_rt3"2
+^]/gL^Hhh65l\TL5_/n7rdb$`#XH0)J3a/7J:RUu#erWTJA;-a^OZ4]"M]J;^]4:`s8W%Js8N7Q
+5_-WL^]&c_rr<&%s*t~>
+p](*jo`+rAJcEdj!!)]ls1e+(!.^U>J,~>
+p](*jo`+rAJcEdj!!)]ls1e+(!.^U>J,~>
+p](*jo`+rAJcEdj!!)]ls1e+(!.^U>J,~>
+jT#5[!.]Y#aoDCUpAY2E5eljh!C21+s*t~>
+jT#5[!.]Y#aoDCUpAY2E5eljh!C21+s*t~>
+jT#5[!.]Y#aoDCUpAY2E5eljh!C21+s*t~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcG0<s1das!.abBs1d1c!l'9#q>UGFQiDR~>
+JcG0<s1das!.abBs1d1c!l'9#q>UGFQiDR~>
+JcG0<s1das!.abBs1d1c!l'9#q>UGFQiDR~>
+p](,@s8W#t!5G]:"M[3PJA:(C!.b%J!.a84!.anF!.b%J!.abB&ANaGs8Ti!s1^i!^OSS"s8W(K
+s1\[:s8RU7r;QbIrVlkJrr2tKQiDR~>
+p](,@s8W#t!5G]:"M[3PJA:(C!.b%J!.a84!.anF!.b%J!.abB&ANaGs8Ti!s1^i!^OSS"s8W(K
+s1\[:s8RU7r;QbIrVlkJrr2tKQiDR~>
+p](,@s8W#t!5G]:"M[3PJA:(C!.b%J!.a84!.anF!.b%J!.abB&ANaGs8Ti!s1^i!^OSS"s8W(K
+s1\[:s8RU7r;QbIrVlkJrr2tKQiDR~>
+p\t3nrBL>_rr3!!s8IN[!'idL^V<#65ehgLJH#TL^]"3:JH(-"!.`/j*J"1iJH(/7JA;-a^OX*!
+s+%laJA;-!JA8l!s+#Xtrrp/&J:R\"rdb%K)1]JP^]4>KJA;-aJH,Y"s8Tia^OZ?7^OX)trrp/&
+J:R\"rdb"Js+("Hs+(+K!eC<$rVm=Ws8TjKs8RWLJ:RZMJGfEIJH#QL^OZ=`#_9[?^]2'!^OZ=`
+s+(.L$GV,+JH,Y"^]/i!Z2]=~>
+p\t3nrBL>_rr3!!s8IN[!'idL^V<#65ehgLJH#TL^]"3:JH(-"!.`/j*J"1iJH(/7JA;-a^OX*!
+s+%laJA;-!JA8l!s+#Xtrrp/&J:R\"rdb%K)1]JP^]4>KJA;-aJH,Y"s8Tia^OZ?7^OX)trrp/&
+J:R\"rdb"Js+("Hs+(+K!eC<$rVm=Ws8TjKs8RWLJ:RZMJGfEIJH#QL^OZ=`#_9[?^]2'!^OZ=`
+s+(.L$GV,+JH,Y"^]/i!Z2]=~>
+p\t3nrBL>_rr3!!s8IN[!'idL^V<#65ehgLJH#TL^]"3:JH(-"!.`/j*J"1iJH(/7JA;-a^OX*!
+s+%laJA;-!JA8l!s+#Xtrrp/&J:R\"rdb%K)1]JP^]4>KJA;-aJH,Y"s8Tia^OZ?7^OX)trrp/&
+J:R\"rdb"Js+("Hs+(+K!eC<$rVm=Ws8TjKs8RWLJ:RZMJGfEIJH#QL^OZ=`#_9[?^]2'!^OZ=`
+s+(.L$GV,+JH,Y"^]/i!Z2]=~>
+p\t3nrI=kJrr;rt"2Fkd!<0_=!5JQK!<3&65lQ965lSM%J3a/75_-uV!^M9$rr3g#s1eTK^]2'`
+s+(-aJH,Y"s1a*aJH,Y"r;QbIrVmp(s8RWLs$6V!s1c>K^VBf!s8RWL^VBf`JH(/7s+(%I!.b%J
+#XJFiJH(0"s+(%I!eC<$rr3"L^]"07JH,Y"rr3"Ls8INLs+(%I!.b%J!.b(K)1]L%^VBf!^]2(K
+^]4=as8RVas1eSas8RVRs*t~>
+p\t3nrI=kJrr;rt"2Fkd!<0_=!5JQK!<3&65lQ965lSM%J3a/75_-uV!^M9$rr3g#s1eTK^]2'`
+s+(-aJH,Y"s1a*aJH,Y"r;QbIrVmp(s8RWLs$6V!s1c>K^VBf!s8RWL^VBf`JH(/7s+(%I!.b%J
+#XJFiJH(0"s+(%I!eC<$rr3"L^]"07JH,Y"rr3"Ls8INLs+(%I!.b%J!.b(K)1]L%^VBf!^]2(K
+^]4=as8RVas1eSas8RVRs*t~>
+p\t3nrI=kJrr;rt"2Fkd!<0_=!5JQK!<3&65lQ965lSM%J3a/75_-uV!^M9$rr3g#s1eTK^]2'`
+s+(-aJH,Y"s1a*aJH,Y"r;QbIrVmp(s8RWLs$6V!s1c>K^VBf!s8RWL^VBf`JH(/7s+(%I!.b%J
+#XJFiJH(0"s+(%I!eC<$rr3"L^]"07JH,Y"rr3"Ls8INLs+(%I!.b%J!.b(K)1]L%^VBf!^]2(K
+^]4=as8RVas1eSas8RVRs*t~>
+p\t3nrI=kJrr30&s8N*!J:RY!!!*#u!<E/u5R,"'J,fSaJGfHJJB@fqJH,Y"s8RWKrr@TKrsaMY
+JA6Vbs8TiaJH,X7rdaqH!.b%J#(ZaRJH,Y"rr2tKrr34Rs+(.LJH(0!rrmrQJH,Y"r;QbIrVm%O
+s8RWL5lQ<4s8INP5l^l!^OZ:_"+^FOJH#QQJH(0"JH(/trr@TJrr@TKrr@TKrrR`NJGoNHJH,WL
+JGfEKJH(/(s*t~>
+p\t3nrI=kJrr30&s8N*!J:RY!!!*#u!<E/u5R,"'J,fSaJGfHJJB@fqJH,Y"s8RWKrr@TKrsaMY
+JA6Vbs8TiaJH,X7rdaqH!.b%J#(ZaRJH,Y"rr2tKrr34Rs+(.LJH(0!rrmrQJH,Y"r;QbIrVm%O
+s8RWL5lQ<4s8INP5l^l!^OZ:_"+^FOJH#QQJH(0"JH(/trr@TJrr@TKrr@TKrrR`NJGoNHJH,WL
+JGfEKJH(/(s*t~>
+p\t3nrI=kJrr30&s8N*!J:RY!!!*#u!<E/u5R,"'J,fSaJGfHJJB@fqJH,Y"s8RWKrr@TKrsaMY
+JA6Vbs8TiaJH,X7rdaqH!.b%J#(ZaRJH,Y"rr2tKrr34Rs+(.LJH(0!rrmrQJH,Y"r;QbIrVm%O
+s8RWL5lQ<4s8INP5l^l!^OZ:_"+^FOJH#QQJH(0"JH(/trr@TJrr@TKrr@TKrrR`NJGoNHJH,WL
+JGfEKJH(/(s*t~>
+p\t3nrI>sis8RTLJ:Ko"5X9k7s$/i"5X>@"5ed=!J3\WMJA2*`JB7`pJH,Y"s8RWKs8ThHs1c>K
+^OX(Ls8P@as+(-"s8RWIrsOAWs1eSas8RWLs+(+Ks1]3H^VBf!s8P@a^VBf`JH(0"s+(%I%=nKY
+^]/ias+(-"s8RWJrr@TKrrmrQJH*C!rr2tKrr3-es1a*aJH#QKJGfEIJGoKJJH#QQJA;-!^]/i_
+rs"#R^OZ@aJGfHIJGoKJJ@,?,~>
+p\t3nrI>sis8RTLJ:Ko"5X9k7s$/i"5X>@"5ed=!J3\WMJA2*`JB7`pJH,Y"s8RWKs8ThHs1c>K
+^OX(Ls8P@as+(-"s8RWIrsOAWs1eSas8RWLs+(+Ks1]3H^VBf!s8P@a^VBf`JH(0"s+(%I%=nKY
+^]/ias+(-"s8RWJrr@TKrrmrQJH*C!rr2tKrr3-es1a*aJH#QKJGfEIJGoKJJH#QQJA;-!^]/i_
+rs"#R^OZ@aJGfHIJGoKJJ@,?,~>
+p\t3nrI>sis8RTLJ:Ko"5X9k7s$/i"5X>@"5ed=!J3\WMJA2*`JB7`pJH,Y"s8RWKs8ThHs1c>K
+^OX(Ls8P@as+(-"s8RWIrsOAWs1eSas8RWLs+(+Ks1]3H^VBf!s8P@a^VBf`JH(0"s+(%I%=nKY
+^]/ias+(-"s8RWJrr@TKrrmrQJH*C!rr2tKrr3-es1a*aJH#QKJGfEIJGoKJJH#QQJA;-!^]/i_
+rs"#R^OZ@aJGfHIJGoKJJ@,?,~>
+p\t3nrBLDas8W%J!WTq6J.99ns1a*!s8TjKs+(-ardb"Jrd`,j!5JM`s8W(K"i(*;^OX)urs-==
+^]4>KJ:RY!s+'tGs*t=R^OZ@!JH,V!"i(*;^OX)us8RWL^C("UJA6X7JA;,7^\n-3J-l7jJH*B7
+s8RV"rVm;@JA;,7JA6X7^OZ@!rdb"J#_9\i^OX*!J:RY!!5JM`s8W(K#J^:h^OX*!^]&c`rrp/f
+^OX)6rdatI!.b%J!._HVJ,~>
+p\t3nrBLDas8W%J!WTq6J.99ns1a*!s8TjKs+(-ardb"Jrd`,j!5JM`s8W(K"i(*;^OX)urs-==
+^]4>KJ:RY!s+'tGs*t=R^OZ@!JH,V!"i(*;^OX)us8RWL^C("UJA6X7JA;,7^\n-3J-l7jJH*B7
+s8RV"rVm;@JA;,7JA6X7^OZ@!rdb"J#_9\i^OX*!J:RY!!5JM`s8W(K#J^:h^OX*!^]&c`rrp/f
+^OX)6rdatI!.b%J!._HVJ,~>
+p\t3nrBLDas8W%J!WTq6J.99ns1a*!s8TjKs+(-ardb"Jrd`,j!5JM`s8W(K"i(*;^OX)urs-==
+^]4>KJ:RY!s+'tGs*t=R^OZ@!JH,V!"i(*;^OX)us8RWL^C("UJA6X7JA;,7^\n-3J-l7jJH*B7
+s8RV"rVm;@JA;,7JA6X7^OZ@!rdb"J#_9\i^OX*!J:RY!!5JM`s8W(K#J^:h^OX*!^]&c`rrp/f
+^OX)6rdatI!.b%J!._HVJ,~>
+p](,@JcFj3s1bE1!._6PJ,~>
+p](,@JcFj3s1bE1!._6PJ,~>
+p](,@JcFj3s1bE1!._6PJ,~>
+JcF@%s*t*aV>pRG!5G`;J,~>
+JcF@%s*t*aV>pRG!5G`;J,~>
+JcF@%s*t*aV>pRG!5G`;J,~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+n,N<9lMpka!.`)h!eA&#fDboeJ:Qqb!l'89j8].0!5JL4!5JO5!Pa0XrrTrcJGoKJ^]+655b.k)~>
+n,N<9lMpka!.`)h!eA&#fDboeJ:Qqb!l'89j8].0!5JL4!5JO5!Pa0XrrTrcJGoKJ^]+655b.k)~>
+n,N<9lMpka!.`)h!eA&#fDboeJ:Qqb!l'89j8].0!5JL4!5JO5!Pa0XrrTrcJGoKJ^]+655b.k)~>
+p](*js8NIW!.]S"^OUjLJ:R\!J-u=,^OX(Ls+%k7JH#TKJH#QP^OX*!s1eP`e,KN#s1a*7rr@T7
+rr@T/rr@TGrr@TJrr@T@rr@TJrrBh5rr@S>s*t~>
+p](*js8NIW!.]S"^OUjLJ:R\!J-u=,^OX(Ls+%k7JH#TKJH#QP^OX*!s1eP`e,KN#s1a*7rr@T7
+rr@T/rr@TGrr@TJrr@T@rr@TJrrBh5rr@S>s*t~>
+p](*js8NIW!.]S"^OUjLJ:R\!J-u=,^OX(Ls+%k7JH#TKJH#QP^OX*!s1eP`e,KN#s1a*7rr@T7
+rr@T/rr@TGrr@TJrr@T@rr@TJrrBh5rr@S>s*t~>
+p\t3nrI=kJrr2rurdZ<05X<'aJ:Kn85_)*"5QF'"5QH="5l^k7JH,X75_)*brr@S"!7UrJJGoKO
+^OUjLs8W(Kr;ZbHs8N6f^V<&6s8INMs1^huJH*@d5_+C"rr2tKrr;tJs8N29J:Ko`rs?GjJA;-a
+J3\Y"rr3A@JH*B7s1a)75l^l`JGfHHJH,WO^Hd="rVmAB5_+Cbs$2*b^]2'!JA;!]!.b(K!P^o!
+s8@H`s1^gLJA;-!J:PE7^Hd="^]-R6s$4?-s*t~>
+p\t3nrI=kJrr2rurdZ<05X<'aJ:Kn85_)*"5QF'"5QH="5l^k7JH,X75_)*brr@S"!7UrJJGoKO
+^OUjLs8W(Kr;ZbHs8N6f^V<&6s8INMs1^huJH*@d5_+C"rr2tKrr;tJs8N29J:Ko`rs?GjJA;-a
+J3\Y"rr3A@JH*B7s1a)75l^l`JGfHHJH,WO^Hd="rVmAB5_+Cbs$2*b^]2'!JA;!]!.b(K!P^o!
+s8@H`s1^gLJA;-!J:PE7^Hd="^]-R6s$4?-s*t~>
+p\t3nrI=kJrr2rurdZ<05X<'aJ:Kn85_)*"5QF'"5QH="5l^k7JH,X75_)*brr@S"!7UrJJGoKO
+^OUjLs8W(Kr;ZbHs8N6f^V<&6s8INMs1^huJH*@d5_+C"rr2tKrr;tJs8N29J:Ko`rs?GjJA;-a
+J3\Y"rr3A@JH*B7s1a)75l^l`JGfHHJH,WO^Hd="rVmAB5_+Cbs$2*b^]2'!JA;!]!.b(K!P^o!
+s8@H`s1^gLJA;-!J:PE7^Hd="^]-R6s$4?-s*t~>
+p\t3nrI=kJrr3$"J:RY!s$-b&s1a)75kom0rs&Q(s+#Y"rrE%K"T\Qf!._i4s8RTR^]-QLJ3a/4
+JH#THJH,ZLJH#TKJ.+^Cs+(-"s+(-"s8RWKrrR`Ns87BMs1a*!^]"07JH,Y"rr2tKqu6tQs8RWL
+^OX)6s87EHrr@TKrr[fOs+'tG!.b%J#_;sTJH%lbJ3a#3!.b%J!.b(K!.b(K!eC<$rVll4rdb%K
+!.b%Js1\U7J@5E-~>
+p\t3nrI=kJrr3$"J:RY!s$-b&s1a)75kom0rs&Q(s+#Y"rrE%K"T\Qf!._i4s8RTR^]-QLJ3a/4
+JH#THJH,ZLJH#TKJ.+^Cs+(-"s+(-"s8RWKrrR`Ns87BMs1a*!^]"07JH,Y"rr2tKqu6tQs8RWL
+^OX)6s87EHrr@TKrr[fOs+'tG!.b%J#_;sTJH%lbJ3a#3!.b%J!.b(K!.b(K!eC<$rVll4rdb%K
+!.b%Js1\U7J@5E-~>
+p\t3nrI=kJrr3$"J:RY!s$-b&s1a)75kom0rs&Q(s+#Y"rrE%K"T\Qf!._i4s8RTR^]-QLJ3a/4
+JH#THJH,ZLJH#TKJ.+^Cs+(-"s+(-"s8RWKrrR`Ns87BMs1a*!^]"07JH,Y"rr2tKqu6tQs8RWL
+^OX)6s87EHrr@TKrr[fOs+'tG!.b%J#_;sTJH%lbJ3a#3!.b%J!.b(K!.b(K!eC<$rVll4rdb%K
+!.b%Js1\U7J@5E-~>
+p\t3nrI=kJrr3E-s8N*!^HfP!rr@S"5l#p<5l\S!s8RV"s8N'ardY.OJA6U7e,KTds8RWLJGoKJ
+JGT9GJG]BHJH,W[JH,Y"s8RWLJH(0"JH,Y"rr3(Ns8RWIrr^%9^OZ:_"+^FOJH#QKJG]?RJH,Y"
+s1eTKJH(/rrr@TKrr[fOs+'tG!.b%J"b?XQJH(/prr@TJrr@TKrr@TKrrR`NJGoKPJH,Y"s8RWI
+rrR_c^U=)l~>
+p\t3nrI=kJrr3E-s8N*!^HfP!rr@S"5l#p<5l\S!s8RV"s8N'ardY.OJA6U7e,KTds8RWLJGoKJ
+JGT9GJG]BHJH,W[JH,Y"s8RWLJH(0"JH,Y"rr3(Ns8RWIrr^%9^OZ:_"+^FOJH#QKJG]?RJH,Y"
+s1eTKJH(/rrr@TKrr[fOs+'tG!.b%J"b?XQJH(/prr@TJrr@TKrr@TKrrR`NJGoKPJH,Y"s8RWI
+rrR_c^U=)l~>
+p\t3nrI=kJrr3E-s8N*!^HfP!rr@S"5l#p<5l\S!s8RV"s8N'ardY.OJA6U7e,KTds8RWLJGoKJ
+JGT9GJG]BHJH,W[JH,Y"s8RWLJH(0"JH,Y"rr3(Ns8RWIrr^%9^OZ:_"+^FOJH#QKJG]?RJH,Y"
+s1eTKJH(/rrr@TKrr[fOs+'tG!.b%J"b?XQJH(/prr@TJrr@TKrr@TKrrR`NJGoKPJH,Y"s8RWI
+rrR_c^U=)l~>
+p\t3nrI=qLs8Vus$%N!UJ,fR7!!#:`!""/UJ,k*b!!'e6r;['%^H_c!JH,TK!'o$5"[ITg^]2(J
+JH,ZKJ,m@_s8INh^]-R6^Hhh6J:Kn8^Hhfas$6TLJ:PE7^OSS"s8W(K!Pe[5JGoKS^OUjLs8RU7
+JA;'_rdY#7s8@KJs8INK^]"33JH,WO^Hd="r;R,=J:PDL5l\Sas1eP`rVm8?J3\Ybs+!@b^]-Ru
+J-Q%g5_+Cbs8INP5ek'!J:RY!!Pa0`rr<&0s*t~>
+p\t3nrI=qLs8Vus$%N!UJ,fR7!!#:`!""/UJ,k*b!!'e6r;['%^H_c!JH,TK!'o$5"[ITg^]2(J
+JH,ZKJ,m@_s8INh^]-R6^Hhh6J:Kn8^Hhfas$6TLJ:PE7^OSS"s8W(K!Pe[5JGoKS^OUjLs8RU7
+JA;'_rdY#7s8@KJs8INK^]"33JH,WO^Hd="r;R,=J:PDL5l\Sas1eP`rVm8?J3\Ybs+!@b^]-Ru
+J-Q%g5_+Cbs8INP5ek'!J:RY!!Pa0`rr<&0s*t~>
+p\t3nrI=qLs8Vus$%N!UJ,fR7!!#:`!""/UJ,k*b!!'e6r;['%^H_c!JH,TK!'o$5"[ITg^]2(J
+JH,ZKJ,m@_s8INh^]-R6^Hhh6J:Kn8^Hhfas$6TLJ:PE7^OSS"s8W(K!Pe[5JGoKS^OUjLs8RU7
+JA;'_rdY#7s8@KJs8INK^]"33JH,WO^Hd="r;R,=J:PDL5l\Sas1eP`rVm8?J3\Ybs+!@b^]-Ru
+J-Q%g5_+Cbs8INP5ek'!J:RY!!Pa0`rr<&0s*t~>
+p](*jl2Ud6Qi@&9L]@Ch[/YX~>
+p](*jl2Ud6Qi@&9L]@Ch[/YX~>
+p](*jl2Ud6Qi@&9L]@Ch[/YX~>
+g&M'P!.^L;!l%"8M>mX-5ej]+J,~>
+g&M'P!.^L;!l%"8M>mX-5ej]+J,~>
+g&M'P!.^L;!l%"8M>mX-5ej]+J,~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+j8T+0rVuo4r;QbIX8i3Mj8].oq#:>EhuE_kJcGBBJ,~>
+j8T+0rVuo4r;QbIX8i3Mj8].oq#:>EhuE_kJcGBBJ,~>
+j8T+0rVuo4r;QbIX8i3Mj8].oq#:>EhuE_kJcGBBJ,~>
+p](,@s8N5:5QF%LqYpNqrVunJr;QbI_Z'_Q5_+C`rr@T?rr@T/rr@TErr@T0rr@TJrr@T0rr@T+
+rr@T)rr@T*s*t~>
+p](,@s8N5:5QF%LqYpNqrVunJr;QbI_Z'_Q5_+C`rr@T?rr@T/rr@TErr@T0rr@TJrr@T0rr@T+
+rr@T)rr@T*s*t~>
+p](,@s8N5:5QF%LqYpNqrVunJr;QbI_Z'_Q5_+C`rr@T?rr@T/rr@TErr@T0rr@TJrr@T0rr@T+
+rr@T)rr@T*s*t~>
+p\t3nrBLels8RV"s1\R6J,fS"s8;ous+((K'7g+5!!*'!J,hh75l\S!!'gPa5lLc4rs+)Ss+(.L
+JA;*`#eto)^]/i!JA;*`!.b%Js+(.L"M]Ke^OZ:_%_mP/s8RVaJA;-a^OX(LrVmnQJA8l!JA6WL
+s8Tia^]4=a^OX*!s1a*!JH,Y"JGfEN^Hd="s8W(Krr<"Kqu?\H(r-*cJH*B7s8RV"^]4=a5_-WL
+s+#Y"s+('_rVm_LJA;-aJA6WLs1a*a^OZ@aJA;-a^OX(Lrr<"Ks8W,6s*tmb^V>=!JH,YaJA;-a
+JA6WLs8RU7JA:"AJ,~>
+p\t3nrBLels8RV"s1\R6J,fS"s8;ous+((K'7g+5!!*'!J,hh75l\S!!'gPa5lLc4rs+)Ss+(.L
+JA;*`#eto)^]/i!JA;*`!.b%Js+(.L"M]Ke^OZ:_%_mP/s8RVaJA;-a^OX(LrVmnQJA8l!JA6WL
+s8Tia^]4=a^OX*!s1a*!JH,Y"JGfEN^Hd="s8W(Krr<"Kqu?\H(r-*cJH*B7s8RV"^]4=a5_-WL
+s+#Y"s+('_rVm_LJA;-aJA6WLs1a*a^OZ@aJA;-a^OX(Lrr<"Ks8W,6s*tmb^V>=!JH,YaJA;-a
+JA6WLs8RU7JA:"AJ,~>
+p\t3nrBLels8RV"s1\R6J,fS"s8;ous+((K'7g+5!!*'!J,hh75l\S!!'gPa5lLc4rs+)Ss+(.L
+JA;*`#eto)^]/i!JA;*`!.b%Js+(.L"M]Ke^OZ:_%_mP/s8RVaJA;-a^OX(LrVmnQJA8l!JA6WL
+s8Tia^]4=a^OX*!s1a*!JH,Y"JGfEN^Hd="s8W(Krr<"Kqu?\H(r-*cJH*B7s8RV"^]4=a5_-WL
+s+#Y"s+('_rVm_LJA;-aJA6WLs1a*a^OZ@aJA;-a^OX(Lrr<"Ks8W,6s*tmb^V>=!JH,YaJA;-a
+JA6WLs8RU7JA:"AJ,~>
+p\t3nrI>CYs8Th6!._h75l^jLJH#WJs8RWIrr<&ursf%DrrE'!^]-QLrr@TLJCFN#JH,Y"rr2tK
+rr3CWs1a*aJA;-!^]4=arr3;>s8RWLs+(.LJGoKX^]/ias+%laJH*C!s1a*`s8ThSs1a*aJA;,7
+s8Tk6JH,Y"^]/ia^VBf`JH(0"s+(%I!.b%J#XJFiJH(0"s+((J%Y4TZ5l^k7s8RWLJH,X7rr2tK
+rr3:Ts8RWLJA6WLJH#TK^CC4X^]/i!s+(.LJH*C!rr2tKrr4$i^]2(KJH,Y"s8P@as+(,7s$6U7
+^VBf`^]/i!s+(+K!.`o*J,~>
+p\t3nrI>CYs8Th6!._h75l^jLJH#WJs8RWIrr<&ursf%DrrE'!^]-QLrr@TLJCFN#JH,Y"rr2tK
+rr3CWs1a*aJA;-!^]4=arr3;>s8RWLs+(.LJGoKX^]/ias+%laJH*C!s1a*`s8ThSs1a*aJA;,7
+s8Tk6JH,Y"^]/ia^VBf`JH(0"s+(%I!.b%J#XJFiJH(0"s+((J%Y4TZ5l^k7s8RWLJH,X7rr2tK
+rr3:Ts8RWLJA6WLJH#TK^CC4X^]/i!s+(.LJH*C!rr2tKrr4$i^]2(KJH,Y"s8P@as+(,7s$6U7
+^VBf`^]/i!s+(+K!.`o*J,~>
+p\t3nrI>CYs8Th6!._h75l^jLJH#WJs8RWIrr<&ursf%DrrE'!^]-QLrr@TLJCFN#JH,Y"rr2tK
+rr3CWs1a*aJA;-!^]4=arr3;>s8RWLs+(.LJGoKX^]/ias+%laJH*C!s1a*`s8ThSs1a*aJA;,7
+s8Tk6JH,Y"^]/ia^VBf`JH(0"s+(%I!.b%J#XJFiJH(0"s+((J%Y4TZ5l^k7s8RWLJH,X7rr2tK
+rr3:Ts8RWLJA6WLJH#TK^CC4X^]/i!s+(.LJH*C!rr2tKrr4$i^]2(KJH,Y"s8P@as+(,7s$6U7
+^VBf`^]/i!s+(+K!.`o*J,~>
+p\t3nrI=qLs8W)5!e:9$r;ZnLrrE#ts+(%I!!*#u%KQP/!<3'!s+#Y"^H_cae,KN#s8RWKrr@TK
+rrp/fJH,Y"rr3(Ns8RWKs8@KJrrR`NJGoKU^OUi"s8RWLs+(-"rr2tKrr2tKr;R=Ys8RWL^OUi"
+s8RWLs+(-"rr3%Ms$6R6r;QbIrVm%Os8RWL5lQ<3s8RTQ^]4=as+(+Ks*t*arr2tKrr2s`rdY1P
+JH(0"JH#TIJ-s'kJH,Y"s8TjKJGoKJJH#QKJGoKXJH,Y"s8RWLs+(-"s+(.IJ-E^fJH,Y"rr2tK
+h>`!~>
+p\t3nrI=qLs8W)5!e:9$r;ZnLrrE#ts+(%I!!*#u%KQP/!<3'!s+#Y"^H_cae,KN#s8RWKrr@TK
+rrp/fJH,Y"rr3(Ns8RWKs8@KJrrR`NJGoKU^OUi"s8RWLs+(-"rr2tKrr2tKr;R=Ys8RWL^OUi"
+s8RWLs+(-"rr3%Ms$6R6r;QbIrVm%Os8RWL5lQ<3s8RTQ^]4=as+(+Ks*t*arr2tKrr2s`rdY1P
+JH(0"JH#TIJ-s'kJH,Y"s8TjKJGoKJJH#QKJGoKXJH,Y"s8RWLs+(-"s+(.IJ-E^fJH,Y"rr2tK
+h>`!~>
+p\t3nrI=qLs8W)5!e:9$r;ZnLrrE#ts+(%I!!*#u%KQP/!<3'!s+#Y"^H_cae,KN#s8RWKrr@TK
+rrp/fJH,Y"rr3(Ns8RWKs8@KJrrR`NJGoKU^OUi"s8RWLs+(-"rr2tKrr2tKr;R=Ys8RWL^OUi"
+s8RWLs+(-"rr3%Ms$6R6r;QbIrVm%Os8RWL5lQ<3s8RTQ^]4=as+(+Ks*t*arr2tKrr2s`rdY1P
+JH(0"JH#TIJ-s'kJH,Y"s8TjKJGoKJJH#QKJGoKXJH,Y"s8RWLs+(-"s+(.IJ-E^fJH,Y"rr2tK
+h>`!~>
+p\t3nrI>1Ss8RTL5_),7!<.NKruM/jJ,oV"5_)+M^OQ<7^V9c`^Au#65_&ibrr@S"!7UrMJH*C!
+rr2tKrr3Bls8RWLJA;-!^]4=arr3(Ns1a*`s8RWJrssY[s$6VaJH,Y"s1c>K^OZ=`s1]TS^VBf!
+s8RWLJH,X7s8RWLs+(-a^]2'!s+(.LJGfEVJH,Yas+(.LJH(0"s+((J"+\/dJH#TKJH,WOJA;,7
+rr3FXs1eSas8RWLJH(0"JH#TK^BaeR^]/ias+(+K!J%r`rr@TKrr@TJru$@es+(.LJH,Y"s+(-"
+s+%l!s1c>KJH,Y"rr31Qs1eU6^VAh/J,~>
+p\t3nrI>1Ss8RTL5_),7!<.NKruM/jJ,oV"5_)+M^OQ<7^V9c`^Au#65_&ibrr@S"!7UrMJH*C!
+rr2tKrr3Bls8RWLJA;-!^]4=arr3(Ns1a*`s8RWJrssY[s$6VaJH,Y"s1c>K^OZ=`s1]TS^VBf!
+s8RWLJH,X7s8RWLs+(-a^]2'!s+(.LJGfEVJH,Yas+(.LJH(0"s+((J"+\/dJH#TKJH,WOJA;,7
+rr3FXs1eSas8RWLJH(0"JH#TK^BaeR^]/ias+(+K!J%r`rr@TKrr@TJru$@es+(.LJH,Y"s+(-"
+s+%l!s1c>KJH,Y"rr31Qs1eU6^VAh/J,~>
+p\t3nrI>1Ss8RTL5_),7!<.NKruM/jJ,oV"5_)+M^OQ<7^V9c`^Au#65_&ibrr@S"!7UrMJH*C!
+rr2tKrr3Bls8RWLJA;-!^]4=arr3(Ns1a*`s8RWJrssY[s$6VaJH,Y"s1c>K^OZ=`s1]TS^VBf!
+s8RWLJH,X7s8RWLs+(-a^]2'!s+(.LJGfEVJH,Yas+(.LJH(0"s+((J"+\/dJH#TKJH,WOJA;,7
+rr3FXs1eSas8RWLJH(0"JH#TK^BaeR^]/ias+(+K!J%r`rr@TKrr@TJru$@es+(.LJH,Y"s+(-"
+s+%l!s1c>KJH,Y"rr31Qs1eU6^VAh/J,~>
+p\t3nrBLPes8TjKJ:RY!rdb%K!l'89rr<"K!l+cMrdb$`"b=A&JA;-_J,oWKJ,m@6rs$5gJA;-a
+^]&c`rsHMkJH,Y"^OX*!s8INT^]2'!^OX*!s+("Hs*tNmJH(/7s+%la^OX(LrVmnQJA;-aJA;,7
+^]/h7^OZ?7^]/i!s1a*!JH,Y"JGT<GJ-l7jJH*B7s8RV"r;Zf3!J%rarr@TKs8Th7JA;*`$,;#*
+s8RV"s8RWI^]+6A^OX*!s+%laJA;-a^]+65^]&`as1eP`rr<"Ks8O.TJH*B7^OZ?7s+(-aJA;-a
+JA;,7^]4>KJA;-a^VAh/J,~>
+p\t3nrBLPes8TjKJ:RY!rdb%K!l'89rr<"K!l+cMrdb$`"b=A&JA;-_J,oWKJ,m@6rs$5gJA;-a
+^]&c`rsHMkJH,Y"^OX*!s8INT^]2'!^OX*!s+("Hs*tNmJH(/7s+%la^OX(LrVmnQJA;-aJA;,7
+^]/h7^OZ?7^]/i!s1a*!JH,Y"JGT<GJ-l7jJH*B7s8RV"r;Zf3!J%rarr@TKs8Th7JA;*`$,;#*
+s8RV"s8RWI^]+6A^OX*!s+%laJA;-a^]+65^]&`as1eP`rr<"Ks8O.TJH*B7^OZ?7s+(-aJA;-a
+JA;,7^]4>KJA;-a^VAh/J,~>
+p\t3nrBLPes8TjKJ:RY!rdb%K!l'89rr<"K!l+cMrdb$`"b=A&JA;-_J,oWKJ,m@6rs$5gJA;-a
+^]&c`rsHMkJH,Y"^OX*!s8INT^]2'!^OX*!s+("Hs*tNmJH(/7s+%la^OX(LrVmnQJA;-aJA;,7
+^]/h7^OZ?7^]/i!s1a*!JH,Y"JGT<GJ-l7jJH*B7s8RV"r;Zf3!J%rarr@TKs8Th7JA;*`$,;#*
+s8RV"s8RWI^]+6A^OX*!s+%laJA;-a^]+65^]&`as1eP`rr<"Ks8O.TJH*B7^OZ?7s+(-aJA;-a
+JA;,7^]4>KJA;-a^VAh/J,~>
+p](,@h>dM*!<BmKrr@T=rr@Srs8Tjjrr@S*s*t~>
+p](,@h>dM*!<BmKrr@T=rr@Srs8Tjjrr@S*s*t~>
+p](,@h>dM*!<BmKrr@T=rr@Srs8Tjjrr@S*s*t~>
+c2[fo!5H5Is+'_@!l'89df9>t!5IFk!l'89M#Vu~>
+c2[fo!5H5Is+'_@!l'89df9>t!5IFk!l'89M#Vu~>
+c2[fo!5H5Is+'_@!l'89df9>t!5IFk!l'89M#Vu~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+n,EZD^V>;Ls+#X7rr3)8JA6X6s8IQIs8RWGrrIWMcMms\J:RRt!5J@0!'pA[!5J7-#etoiJ:R[7
+JA;'_s*t*arr3,9JH(.Mkl1XtoD\iA5lCW`^OUk4rrg+:s1a)>s*t~>
+n,EZD^V>;Ls+#X7rr3)8JA6X6s8IQIs8RWGrrIWMcMms\J:RRt!5J@0!'pA[!5J7-#etoiJ:R[7
+JA;'_s*t*arr3,9JH(.Mkl1XtoD\iA5lCW`^OUk4rrg+:s1a)>s*t~>
+n,EZD^V>;Ls+#X7rr3)8JA6X6s8IQIs8RWGrrIWMcMms\J:RRt!5J@0!'pA[!5J7-#etoiJ:R[7
+JA;'_s*t*arr3,9JH(.Mkl1XtoD\iA5lCW`^OUk4rrg+:s1a)>s*t~>
+p](*js8NTp!5Ccas*t(Ls8RU7J3X,6rrR]NJH#TKJ.03ms+%k7JH,WLs+#XHrr@THrrBh0rr@TF
+rr@TBrs(g(s+(.L^OZ=`"$lnd5lL]b5em>Lkl1Xto)A]?qu6YHqu6Z2rr2tKL];l~>
+p](*js8NTp!5Ccas*t(Ls8RU7J3X,6rrR]NJH#TKJ.03ms+%k7JH,WLs+#XHrr@THrrBh0rr@TF
+rr@TBrs(g(s+(.L^OZ=`"$lnd5lL]b5em>Lkl1Xto)A]?qu6YHqu6Z2rr2tKL];l~>
+p](*js8NTp!5Ccas*t(Ls8RU7J3X,6rrR]NJH#TKJ.03ms+%k7JH,WLs+#XHrr@THrrBh0rr@TF
+rr@TBrs(g(s+(.L^OZ=`"$lnd5lL]b5em>Lkl1Xto)A]?qu6YHqu6Z2rr2tKL];l~>
+p\t3nrI>"Ns8RU7rdY4Q^Hb'!rrE&u!.b%J!!)ut%Y-fps8P=aJ3\Yb!5AMad/O)rr;ZeIs8ND?
+5_+C"s+(,7JGoKO^Hd="s8W(Kr;ZeI#lfGTs+%l!s+'qFs*tCTJH%n7s$6TLrI>CX^OUjLs1^gL
+JA;-aJ:RY!rI>%N^OUjLrr2tKqu6YHr;ZeIrr3<jJ:PE7J3\X8s8W(Ks8NCU5_+Cb^Hhh65bS.-~>
+p\t3nrI>"Ns8RU7rdY4Q^Hb'!rrE&u!.b%J!!)ut%Y-fps8P=aJ3\Yb!5AMad/O)rr;ZeIs8ND?
+5_+C"s+(,7JGoKO^Hd="s8W(Kr;ZeI#lfGTs+%l!s+'qFs*tCTJH%n7s$6TLrI>CX^OUjLs1^gL
+JA;-aJ:RY!rI>%N^OUjLrr2tKqu6YHr;ZeIrr3<jJ:PE7J3\X8s8W(Ks8NCU5_+Cb^Hhh65bS.-~>
+p\t3nrI>"Ns8RU7rdY4Q^Hb'!rrE&u!.b%J!!)ut%Y-fps8P=aJ3\Yb!5AMad/O)rr;ZeIs8ND?
+5_+C"s+(,7JGoKO^Hd="s8W(Kr;ZeI#lfGTs+%l!s+'qFs*tCTJH%n7s$6TLrI>CX^OUjLs1^gL
+JA;-aJ:RY!rI>%N^OUjLrr2tKqu6YHr;ZeIrr3<jJ:PE7J3\X8s8W(Ks8NCU5_+Cb^Hhh65bS.-~>
+p\t3nrI>.Rs8RV"5_+CbrBLSe!<9faJA;*`&cht3JH,Y"JH,Y"JH(.Mrr<%Lci3uqqu6YHrr34R
+s8RWLJ:PE3rr@TKrr@TKrr@TJrssXp^OZ@!^]/iaJH,YaJA;*`(4a07JH(0"s+(-"s+(-"s$2*b
+5l^k7qu6bKs8RWKrrTt8^]&c_rr@THrr@THrr@TKrs"#Rs+(.LJGoNJJ,hk6rr@TJrr[fO^V?HA
+J,~>
+p\t3nrI>.Rs8RV"5_+CbrBLSe!<9faJA;*`&cht3JH,Y"JH,Y"JH(.Mrr<%Lci3uqqu6YHrr34R
+s8RWLJ:PE3rr@TKrr@TKrr@TJrssXp^OZ@!^]/iaJH,YaJA;*`(4a07JH(0"s+(-"s+(-"s$2*b
+5l^k7qu6bKs8RWKrrTt8^]&c_rr@THrr@THrr@TKrs"#Rs+(.LJGoNJJ,hk6rr@TJrr[fO^V?HA
+J,~>
+p\t3nrI>.Rs8RV"5_+CbrBLSe!<9faJA;*`&cht3JH,Y"JH,Y"JH(.Mrr<%Lci3uqqu6YHrr34R
+s8RWLJ:PE3rr@TKrr@TKrr@TJrssXp^OZ@!^]/iaJH,YaJA;*`(4a07JH(0"s+(-"s+(-"s$2*b
+5l^k7qu6bKs8RWKrrTt8^]&c_rr@THrr@THrr@TKrs"#Rs+(.LJGoNJJ,hk6rr@TJrr[fO^V?HA
+J,~>
+p\t3nrI>O]s8RV"^Arfa!.]S"s$4?6J,m@`rt>D4rrE*!J:R\"J:RZMJH#Va!5Hn\"+^FOJH#QK
+JH#QRJH,Y"s+(-"qu6YHrr2tKrr2tKrVm"Ns+#Y"rIFm^s8N(LrVmFZs+#Y"JH,Y"s+(-"s+(-"
+r;QbIqu6bKs8RWIrr[fOs+(+K!.atH"+^FOJH#QKJH#QQJH,Y"s8RWKrr[fOs+(+K!.b%Js1\Pa
+TDsE~>
+p\t3nrI>O]s8RV"^Arfa!.]S"s$4?6J,m@`rt>D4rrE*!J:R\"J:RZMJH#Va!5Hn\"+^FOJH#QK
+JH#QRJH,Y"s+(-"qu6YHrr2tKrr2tKrVm"Ns+#Y"rIFm^s8N(LrVmFZs+#Y"JH,Y"s+(-"s+(-"
+r;QbIqu6bKs8RWIrr[fOs+(+K!.atH"+^FOJH#QKJH#QQJH,Y"s8RWKrr[fOs+(+K!.b%Js1\Pa
+TDsE~>
+p\t3nrI>O]s8RV"^Arfa!.]S"s$4?6J,m@`rt>D4rrE*!J:R\"J:RZMJH#Va!5Hn\"+^FOJH#QK
+JH#QRJH,Y"s+(-"qu6YHrr2tKrr2tKrVm"Ns+#Y"rIFm^s8N(LrVmFZs+#Y"JH,Y"s+(-"s+(-"
+r;QbIqu6bKs8RWIrr[fOs+(+K!.atH"+^FOJH#QKJH#QQJH,Y"s8RWKrr[fOs+(+K!.b%Js1\Pa
+TDsE~>
+p\t3nrI>L\s8N'!J3\Vb!.]S"!5Cc!!'pP`qu?`sr;[6*!!*$!!.Y(LJ,k,JrtW:6J:Kob^OSS"
+s1^i!^Hhfas1^h6rVm#8J:PE7rdatI$bnsA^OX'a^]/gLs8INK^]+6F^HfQKJH*B7J3^k7^OX(L
+^VBbu%0+(-J:R\"^OSS"s8W(K!Pe[6J-J9Rs+!@b^]+6T^Hd="5l\TL5_/mL5_+C"s+!@b^]2'!
+J3\YbJ3\Y"rr3"L^]+95J>E3q~>
+p\t3nrI>L\s8N'!J3\Vb!.]S"!5Cc!!'pP`qu?`sr;[6*!!*$!!.Y(LJ,k,JrtW:6J:Kob^OSS"
+s1^i!^Hhfas1^h6rVm#8J:PE7rdatI$bnsA^OX'a^]/gLs8INK^]+6F^HfQKJH*B7J3^k7^OX(L
+^VBbu%0+(-J:R\"^OSS"s8W(K!Pe[6J-J9Rs+!@b^]+6T^Hd="5l\TL5_/mL5_+C"s+!@b^]2'!
+J3\YbJ3\Y"rr3"L^]+95J>E3q~>
+p\t3nrI>L\s8N'!J3\Vb!.]S"!5Cc!!'pP`qu?`sr;[6*!!*$!!.Y(LJ,k,JrtW:6J:Kob^OSS"
+s1^i!^Hhfas1^h6rVm#8J:PE7rdatI$bnsA^OX'a^]/gLs8INK^]+6F^HfQKJH*B7J3^k7^OX(L
+^VBbu%0+(-J:R\"^OSS"s8W(K!Pe[6J-J9Rs+!@b^]+6T^Hd="5l\TL5_/mL5_+C"s+!@b^]2'!
+J3\YbJ3\Y"rr3"L^]+95J>E3q~>
+p](*jJcD):!.^[@J,~>
+p](*jJcD):!.^[@J,~>
+p](*jJcD):!.^[@J,~>
+JcCT,!l'7NT)X<~>
+JcCT,!l'7NT)X<~>
+JcCT,!l'7NT)X<~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+lMgn"JFWX>J<g-7JCjf&^OX)Ds8Tj)s*t~>
+lMgn"JFWX>J<g-7JCjf&^OX)Ds8Tj)s*t~>
+lMgn"JFWX>J<g-7JCjf&^OX)Ds8Tj)s*t~>
+p](,@s8N:R!!'e6^B!g(!!)or$\/3W^]/faJ:IWMJGoNWJH(-"!.b(LJH,WLJE$S/^]&c;rr@T=
+rr@TArr@TEs8Tjsrr@TIrr@T8rr@T>rr@THrt)qqJH,Ya5l\Sas1a(LJH,ZKJH*@e!<<(L5gTI\~>
+p](,@s8N:R!!'e6^B!g(!!)or$\/3W^]/faJ:IWMJGoNWJH(-"!.b(LJH,WLJE$S/^]&c;rr@T=
+rr@TArr@TEs8Tjsrr@TIrr@T8rr@T>rr@THrt)qqJH,Ya5l\Sas1a(LJH,ZKJH*@e!<<(L5gTI\~>
+p](,@s8N:R!!'e6^B!g(!!)or$\/3W^]/faJ:IWMJGoNWJH(-"!.b(LJH,WLJE$S/^]&c;rr@T=
+rr@TArr@TEs8Tjsrr@TIrr@T8rr@T>rr@THrt)qqJH,Ya5l\Sas1a(LJH,ZKJH*@e!<<(L5gTI\~>
+p\t3nrBL>_rr3[_!.b+L!'gNLs1^f!5ehgLrr<'!r;ccq#_2o*s8P@!^Hheu%06G.^Hhi!5ehgL
+s*t+.rs+)Ss1eU6J:RY!!l'9#r;R,=JA8l!s+#Y"s+('_s8W+Lr;R%Q^OX*!s1a*!rr<"K"Mb!:
+^OZ:_s*t*ar;R[c^]4>K^OUk7s1^gLJH,YaJA;-aJA6WLs+('_s8W+Lrr34R5_-WLs+%l`rs6Ai
+^]4=a^OX)ss8RWKs8IQJs8RWLs8Th=s1c>K^Hd="r;ZeIrr3%Ms+((J%=nKY^VBgKJH(.Ms+#XG
+s*t~>
+p\t3nrBL>_rr3[_!.b+L!'gNLs1^f!5ehgLrr<'!r;ccq#_2o*s8P@!^Hheu%06G.^Hhi!5ehgL
+s*t+.rs+)Ss1eU6J:RY!!l'9#r;R,=JA8l!s+#Y"s+('_s8W+Lr;R%Q^OX*!s1a*!rr<"K"Mb!:
+^OZ:_s*t*ar;R[c^]4>K^OUk7s1^gLJH,YaJA;-aJA6WLs+('_s8W+Lrr34R5_-WLs+%l`rs6Ai
+^]4=a^OX)ss8RWKs8IQJs8RWLs8Th=s1c>K^Hd="r;ZeIrr3%Ms+((J%=nKY^VBgKJH(.Ms+#XG
+s*t~>
+p\t3nrBL>_rr3[_!.b+L!'gNLs1^f!5ehgLrr<'!r;ccq#_2o*s8P@!^Hheu%06G.^Hhi!5ehgL
+s*t+.rs+)Ss1eU6J:RY!!l'9#r;R,=JA8l!s+#Y"s+('_s8W+Lr;R%Q^OX*!s1a*!rr<"K"Mb!:
+^OZ:_s*t*ar;R[c^]4>K^OUk7s1^gLJH,YaJA;-aJA6WLs+('_s8W+Lrr34R5_-WLs+%l`rs6Ai
+^]4=a^OX)ss8RWKs8IQJs8RWLs8Th=s1c>K^Hd="r;ZeIrr3%Ms+((J%=nKY^VBgKJH(.Ms+#XG
+s*t~>
+p\t3nrI=kJrr3`6rrE*!!5JP!J,m@a^B"96s8N*!rrDoq!W`6#rr<!`rVm'%s8RV"s8W(K!rtRd
+!9*qf^OUk7s+(.LJH*C!s1c>IrtBq_^OZ?7s8RWLJA6WLJH(0"s+((J%Y2=o^VBf`s+(.LJH,X7
+rr2tKrr3(Ns8P@]rr@TKrrtags+(.LJH#TK^CpR]^]4=!s1eSa^OX(Ls1eU6JH#QKJGfEUJH,Ya
+^]2'`s+%laJGoKa^]4=as8P@as+(-"s8RWLs+(.LJH,Y"qYpVIs+(+K!J%r`rr[fOs+(+K!J(4L
+J-#\#ci8L~>
+p\t3nrI=kJrr3`6rrE*!!5JP!J,m@a^B"96s8N*!rrDoq!W`6#rr<!`rVm'%s8RV"s8W(K!rtRd
+!9*qf^OUk7s+(.LJH*C!s1c>IrtBq_^OZ?7s8RWLJA6WLJH(0"s+((J%Y2=o^VBf`s+(.LJH,X7
+rr2tKrr3(Ns8P@]rr@TKrrtags+(.LJH#TK^CpR]^]4=!s1eSa^OX(Ls1eU6JH#QKJGfEUJH,Ya
+^]2'`s+%laJGoKa^]4=as8P@as+(-"s8RWLs+(.LJH,Y"qYpVIs+(+K!J%r`rr[fOs+(+K!J(4L
+J-#\#ci8L~>
+p\t3nrI=kJrr3`6rrE*!!5JP!J,m@a^B"96s8N*!rrDoq!W`6#rr<!`rVm'%s8RV"s8W(K!rtRd
+!9*qf^OUk7s+(.LJH*C!s1c>IrtBq_^OZ?7s8RWLJA6WLJH(0"s+((J%Y2=o^VBf`s+(.LJH,X7
+rr2tKrr3(Ns8P@]rr@TKrrtags+(.LJH#TK^CpR]^]4=!s1eSa^OX(Ls1eU6JH#QKJGfEUJH,Ya
+^]2'`s+%laJGoKa^]4=as8P@as+(-"s8RWLs+(.LJH,Y"qYpVIs+(+K!J%r`rr[fOs+(+K!J(4L
+J-#\#ci8L~>
+p\t3nrI=tMs8RWK!!e&S!<<(LJ,oTK#QXl)s8N*!rrDrr!.b%K"b?Wf5X<*`rrrK's+#Y"s8@HL
+5ed<UrrR`N5lQ96s8@HJ^]"0D^OUk7s+(.LJH(0"JH(0"5lQ<4rr@TKrrdkeJ:Koas8RTL^]+65
+JH#QKJGB-EJH#QQJH,Y"s8RWKrr@TKrr[fOs+(+K"b?W's+(.JJH#QKJGfELJH,Y"rr3.Ps+(.L
+JGoNHJH,W]JH,Y"s+(.LJH,Y"s8RWLs+("HrdY/;s8TjKJGoKMJH,Y"rr31Qs+(-"s+&GqJ,~>
+p\t3nrI=tMs8RWK!!e&S!<<(LJ,oTK#QXl)s8N*!rrDrr!.b%K"b?Wf5X<*`rrrK's+#Y"s8@HL
+5ed<UrrR`N5lQ96s8@HJ^]"0D^OUk7s+(.LJH(0"JH(0"5lQ<4rr@TKrrdkeJ:Koas8RTL^]+65
+JH#QKJGB-EJH#QQJH,Y"s8RWKrr@TKrr[fOs+(+K"b?W's+(.JJH#QKJGfELJH,Y"rr3.Ps+(.L
+JGoNHJH,W]JH,Y"s+(.LJH,Y"s8RWLs+("HrdY/;s8TjKJGoKMJH,Y"rr31Qs+(-"s+&GqJ,~>
+p\t3nrI=tMs8RWK!!e&S!<<(LJ,oTK#QXl)s8N*!rrDrr!.b%K"b?Wf5X<*`rrrK's+#Y"s8@HL
+5ed<UrrR`N5lQ96s8@HJ^]"0D^OUk7s+(.LJH(0"JH(0"5lQ<4rr@TKrrdkeJ:Koas8RTL^]+65
+JH#QKJGB-EJH#QQJH,Y"s8RWKrr@TKrr[fOs+(+K"b?W's+(.JJH#QKJGfELJH,Y"rr3.Ps+(.L
+JGoNHJH,W]JH,Y"s+(.LJH,Y"s8RWLs+("HrdY/;s8TjKJGoKMJH,Y"rr31Qs+(-"s+&GqJ,~>
+p\t3nrI@!1s1^fas$/i"!'l&7^Hb&75X>>LJ3X+Lrr@S"!<<)65X>?75_&jL^Au$`J,k,7rr@S"
+!<5;L^OQ=!ir9KRs8RWLJH,Y"s1c>K^VBaI'0uTtJH(0"s+(-"s+(-"s+(.LJGoKXJA;-!^OZ@a
+5l^k7^]/i`rr@TKrr[fOs+("H!.b(K#(ZaRJH,Y"rr<#5"ol?Ps8RWKrs=5UJH(0"JH*B7rr3%M
+s1eR5%"SBX^VBf`^]/ias+((J)M%k&JH,X7s8RWLJH,Y"s8RWL^OZ@aJH,Yarr2tKrr3.Ps+(-a
+^]+65JH#QP5l\TLs+(+K"+^FOJC=IJ~>
+p\t3nrI@!1s1^fas$/i"!'l&7^Hb&75X>>LJ3X+Lrr@S"!<<)65X>?75_&jL^Au$`J,k,7rr@S"
+!<5;L^OQ=!ir9KRs8RWLJH,Y"s1c>K^VBaI'0uTtJH(0"s+(-"s+(-"s+(.LJGoKXJA;-!^OZ@a
+5l^k7^]/i`rr@TKrr[fOs+("H!.b(K#(ZaRJH,Y"rr<#5"ol?Ps8RWKrs=5UJH(0"JH*B7rr3%M
+s1eR5%"SBX^VBf`^]/ias+((J)M%k&JH,X7s8RWLJH,Y"s8RWL^OZ@aJH,Yarr2tKrr3.Ps+(-a
+^]+65JH#QP5l\TLs+(+K"+^FOJC=IJ~>
+p\t3nrI@!1s1^fas$/i"!'l&7^Hb&75X>>LJ3X+Lrr@S"!<<)65X>?75_&jL^Au$`J,k,7rr@S"
+!<5;L^OQ=!ir9KRs8RWLJH,Y"s1c>K^VBaI'0uTtJH(0"s+(-"s+(-"s+(.LJGoKXJA;-!^OZ@a
+5l^k7^]/i`rr@TKrr[fOs+("H!.b(K#(ZaRJH,Y"rr<#5"ol?Ps8RWKrs=5UJH(0"JH*B7rr3%M
+s1eR5%"SBX^VBf`^]/ias+((J)M%k&JH,X7s8RWLJH,Y"s8RWL^OZ@aJH,Yarr2tKrr3.Ps+(-a
+^]+65JH#QP5l\TLs+(+K"+^FOJC=IJ~>
+p\t3nrBLMds1a)7s8@H\^OX*!s1a*!s8Tia^OX*!^OUk6rr^#dJH,Rus1\Vc^VBbu%);iBJ:R\"
+J:PCbJA:+D!l'89rr<"Krr3&7JA;$^!l'89rr<"Ks8N(Lr4`=5J:RRt&:hNG^]4=aJA6X7^V><6
+s8W(K"Mb!:J:RRt!5JM`#QMPhs1a*a^]&c`rrg)e^]4?5J-*LcJG[(gJA6WLs8Tia^]2(JJH,WU
+^OX*!s+%laJA;*`"2BB$JH!=`JH#TKJH#QN^OX(Lrr<"Krr3DAJA;,7JA6X7^OZ@!rdb"J$\6"l
+^OX*!J:R\"JC=IJ~>
+p\t3nrBLMds1a)7s8@H\^OX*!s1a*!s8Tia^OX*!^OUk6rr^#dJH,Rus1\Vc^VBbu%);iBJ:R\"
+J:PCbJA:+D!l'89rr<"Krr3&7JA;$^!l'89rr<"Ks8N(Lr4`=5J:RRt&:hNG^]4=aJA6X7^V><6
+s8W(K"Mb!:J:RRt!5JM`#QMPhs1a*a^]&c`rrg)e^]4?5J-*LcJG[(gJA6WLs8Tia^]2(JJH,WU
+^OX*!s+%laJA;*`"2BB$JH!=`JH#TKJH#QN^OX(Lrr<"Krr3DAJA;,7JA6X7^OZ@!rdb"J$\6"l
+^OX*!J:R\"JC=IJ~>
+p\t3nrBLMds1a)7s8@H\^OX*!s1a*!s8Tia^OX*!^OUk6rr^#dJH,Rus1\Vc^VBbu%);iBJ:R\"
+J:PCbJA:+D!l'89rr<"Krr3&7JA;$^!l'89rr<"Ks8N(Lr4`=5J:RRt&:hNG^]4=aJA6X7^V><6
+s8W(K"Mb!:J:RRt!5JM`#QMPhs1a*a^]&c`rrg)e^]4?5J-*LcJG[(gJA6WLs8Tia^]2(JJH,WU
+^OX*!s+%laJA;*`"2BB$JH!=`JH#TKJH#QN^OX(Lrr<"Krr3DAJA;,7JA6X7^OZ@!rdb"J$\6"l
+^OX*!J:R\"JC=IJ~>
+p](,@JcC<$Zi>O~>
+p](,@JcC<$Zi>O~>
+p](,@JcC<$Zi>O~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+n,NE<s1\Vc5QLQYs+(%I!!)cn"i#TfJ:PD_rrBh5J,m@]rrKlbec,Wao`"p+p&>$,rr2s`qu6Z2
+hZ!SjlMgq#J:RUus+(+K"b=AfJA;-`J.03ms1a*as+%las+%l,s*t~>
+n,NE<s1\Vc5QLQYs+(%I!!)cn"i#TfJ:PD_rrBh5J,m@]rrKlbec,Wao`"p+p&>$,rr2s`qu6Z2
+hZ!SjlMgq#J:RUus+(+K"b=AfJA;-`J.03ms1a*as+%las+%l,s*t~>
+n,NE<s1\Vc5QLQYs+(%I!!)cn"i#TfJ:PD_rrBh5J,m@]rrKlbec,Wao`"p+p&>$,rr2s`qu6Z2
+hZ!SjlMgq#J:RUus+(+K"b=AfJA;-`J.03ms1a*as+%las+%l,s*t~>
+p](*js8W*as1eS!"TZ;f^]4?5J-Gtf5X9k7rr2rurr2u5rdb"J&AJ3qJ,m@a^OX*!^OX*!J:QGT
+"+^FOJGT9GJCXZ"JFrjA^\.U,JH#QKJG]?H^Y\tj^Zth!JGT9NJA;-a^VBf!rr2tKrr3:T^]-S!
+J:R[75fs%V~>
+p](*js8W*as1eS!"TZ;f^]4?5J-Gtf5X9k7rr2rurr2u5rdb"J&AJ3qJ,m@a^OX*!^OX*!J:QGT
+"+^FOJGT9GJCXZ"JFrjA^\.U,JH#QKJG]?H^Y\tj^Zth!JGT9NJA;-a^VBf!rr2tKrr3:T^]-S!
+J:R[75fs%V~>
+p](*js8W*as1eS!"TZ;f^]4?5J-Gtf5X9k7rr2rurr2u5rdb"J&AJ3qJ,m@a^OX*!^OX*!J:QGT
+"+^FOJGT9GJCXZ"JFrjA^\.U,JH#QKJG]?H^Y\tj^Zth!JGT9NJA;-a^VBf!rr2tKrr3:T^]-S!
+J:R[75fs%V~>
+p\t3nrI=qLs8VtH%KJbE!<7R7J3\Y"5X9k7rr2tKrr3'#J:IXurso)prrE'a5_)*b^Au$`5X=-)
+"b=Af^]-RuJH,Wa5_+C"s1a)7^]2&6J:PE7^OUi"s8W(K!rp##rdY$as8IQKrr>=`JH,WTJ3\Y"
+s1a)75lCZ^JH,WP^Hd="^]"08J3\Y"s8@KJrrKl"rr3)8J:Ko`rrk[&s$4@!rdb%K"b8jgJH,ZJ
+JH,ZLJH#TJJH,WL5lQ<4rs?GjJA;-aJ3\Y"rVuo4!.b(K!eA&#rr2tKrr2tKrr<"Ks1eSaao?k~>
+p\t3nrI=qLs8VtH%KJbE!<7R7J3\Y"5X9k7rr2tKrr3'#J:IXurso)prrE'a5_)*b^Au$`5X=-)
+"b=Af^]-RuJH,Wa5_+C"s1a)7^]2&6J:PE7^OUi"s8W(K!rp##rdY$as8IQKrr>=`JH,WTJ3\Y"
+s1a)75lCZ^JH,WP^Hd="^]"08J3\Y"s8@KJrrKl"rr3)8J:Ko`rrk[&s$4@!rdb%K"b8jgJH,ZJ
+JH,ZLJH#TJJH,WL5lQ<4rs?GjJA;-aJ3\Y"rVuo4!.b(K!eA&#rr2tKrr2tKrr<"Ks1eSaao?k~>
+p\t3nrI=qLs8VtH%KJbE!<7R7J3\Y"5X9k7rr2tKrr3'#J:IXurso)prrE'a5_)*b^Au$`5X=-)
+"b=Af^]-RuJH,Wa5_+C"s1a)7^]2&6J:PE7^OUi"s8W(K!rp##rdY$as8IQKrr>=`JH,WTJ3\Y"
+s1a)75lCZ^JH,WP^Hd="^]"08J3\Y"s8@KJrrKl"rr3)8J:Ko`rrk[&s$4@!rdb%K"b8jgJH,ZJ
+JH,ZLJH#TJJH,WL5lQ<4rs?GjJA;-aJ3\Y"rVuo4!.b(K!eA&#rr2tKrr2tKrr<"Ks1eSaao?k~>
+p\t3nrI>U_s8RV"!!%P"!<<'!s1a)75_/lbJGB-H5QH>LrVm$$^OQ=a!<.KQ!<3%L!.]UTs8P@`
+rsOAWs+(.LJH,Y"s1eP`s8NCUs8RWLJH,Yas87BMs+(-"s8.<Ls+(.LJH#QKJH#QN^OX)6qu6YH
+rr3(Ns8RWIrr@TKrr[fOs+(+K!.b(K"2BB$^\n*6JH(0"r.+hI!.b%Js*t.M^]+68JH,Y"rr3.P
+s+(.LJGoKMJH,Y"rr2tKqu6nOs1c>Ks1a*_rr@TKrr@TKs8RTOs+%k7ao?k~>
+p\t3nrI>U_s8RV"!!%P"!<<'!s1a)75_/lbJGB-H5QH>LrVm$$^OQ=a!<.KQ!<3%L!.]UTs8P@`
+rsOAWs+(.LJH,Y"s1eP`s8NCUs8RWLJH,Yas87BMs+(-"s8.<Ls+(.LJH#QKJH#QN^OX)6qu6YH
+rr3(Ns8RWIrr@TKrr[fOs+(+K!.b(K"2BB$^\n*6JH(0"r.+hI!.b%Js*t.M^]+68JH,Y"rr3.P
+s+(.LJGoKMJH,Y"rr2tKqu6nOs1c>Ks1a*_rr@TKrr@TKs8RTOs+%k7ao?k~>
+p\t3nrI>U_s8RV"!!%P"!<<'!s1a)75_/lbJGB-H5QH>LrVm$$^OQ=a!<.KQ!<3%L!.]UTs8P@`
+rsOAWs+(.LJH,Y"s1eP`s8NCUs8RWLJH,Yas87BMs+(-"s8.<Ls+(.LJH#QKJH#QN^OX)6qu6YH
+rr3(Ns8RWIrr@TKrr[fOs+(+K!.b(K"2BB$^\n*6JH(0"r.+hI!.b%Js*t.M^]+68JH,Y"rr3.P
+s+(.LJGoKMJH,Y"rr2tKqu6nOs1c>Ks1a*_rr@TKrr@TKs8RTOs+%k7ao?k~>
+p\t3nrI=kJrr3Z4J:IY"!<<'!rr@S"5_/lbJH*C!qu6bK^OQ=_rrrK'5QLfa5lQ9:s*t*"!8IMm
+JH,Y"s+(.LJH,Y"s8RWLJH,Y"s8RWLs+(-"rVlkJr;QqNs+(-"JGfELJH,Y"rr2tKrr3)8s1a*]
+rr@TKrr[fOs+(%I!.b(K"+^FOJH#QKJH#QN^]2'!r;ZeIs8N(Lqu6YHrVlu7s+%l`rr[fOs+(+K
+"b?W's8RWJrr[fOs+(+K!.b"I!5JJ_s8N.Ns+(+K!.b(K$%W'U^V>=!^]/i+s*t~>
+p\t3nrI=kJrr3Z4J:IY"!<<'!rr@S"5_/lbJH*C!qu6bK^OQ=_rrrK'5QLfa5lQ9:s*t*"!8IMm
+JH,Y"s+(.LJH,Y"s8RWLJH,Y"s8RWLs+(-"rVlkJr;QqNs+(-"JGfELJH,Y"rr2tKrr3)8s1a*]
+rr@TKrr[fOs+(%I!.b(K"+^FOJH#QKJH#QN^]2'!r;ZeIs8N(Lqu6YHrVlu7s+%l`rr[fOs+(+K
+"b?W's8RWJrr[fOs+(+K!.b"I!5JJ_s8N.Ns+(+K!.b(K$%W'U^V>=!^]/i+s*t~>
+p\t3nrI=kJrr3Z4J:IY"!<<'!rr@S"5_/lbJH*C!qu6bK^OQ=_rrrK'5QLfa5lQ9:s*t*"!8IMm
+JH,Y"s+(.LJH,Y"s8RWLJH,Y"s8RWLs+(-"rVlkJr;QqNs+(-"JGfELJH,Y"rr2tKrr3)8s1a*]
+rr@TKrr[fOs+(%I!.b(K"+^FOJH#QKJH#QN^]2'!r;ZeIs8N(Lqu6YHrVlu7s+%l`rr[fOs+(+K
+"b?W's8RWJrr[fOs+(+K!.b"I!5JJ_s8N.Ns+(+K!.b(K$%W'U^V>=!^]/i+s*t~>
+p\t3nrI=kJrr3Z4s8N(L!.]S"J3X)75QLi!!!#:!qu?Wq!'pP`%tFW[^B";K5QCe7s+#Y"!8RST
+^HhdK$i`K,s$4?65l\Sas8INS5ek'!s1^i!^]&c`s8IQK^BHn&5lX+LrdY9hs$4@!5em@!rdY"K
+rIFkH$,;!UJH*ALs1^hss8INVs$4@!5em>L5_-WLrIFeF!.b(KrdYWrs+!@b^]4=!J:PE7^OSS"
+s8W(Ks8N3e^]-R6rr3;>J:PE7s+!@b^]+6F5_/mL5efS!s$4@!J3\Y"s1eP`$3*8@s1^h6s+#XE
+s*t~>
+p\t3nrI=kJrr3Z4s8N(L!.]S"J3X)75QLi!!!#:!qu?Wq!'pP`%tFW[^B";K5QCe7s+#Y"!8RST
+^HhdK$i`K,s$4?65l\Sas8INS5ek'!s1^i!^]&c`s8IQK^BHn&5lX+LrdY9hs$4@!5em@!rdY"K
+rIFkH$,;!UJH*ALs1^hss8INVs$4@!5em>L5_-WLrIFeF!.b(KrdYWrs+!@b^]4=!J:PE7^OSS"
+s8W(Ks8N3e^]-R6rr3;>J:PE7s+!@b^]+6F5_/mL5efS!s$4@!J3\Y"s1eP`$3*8@s1^h6s+#XE
+s*t~>
+p\t3nrI=kJrr3Z4s8N(L!.]S"J3X)75QLi!!!#:!qu?Wq!'pP`%tFW[^B";K5QCe7s+#Y"!8RST
+^HhdK$i`K,s$4?65l\Sas8INS5ek'!s1^i!^]&c`s8IQK^BHn&5lX+LrdY9hs$4@!5em@!rdY"K
+rIFkH$,;!UJH*ALs1^hss8INVs$4@!5em>L5_-WLrIFeF!.b(KrdYWrs+!@b^]4=!J:PE7^OSS"
+s8W(Ks8N3e^]-R6rr3;>J:PE7s+!@b^]+6F5_/mL5efS!s$4@!J3\Y"s1eP`$3*8@s1^h6s+#XE
+s*t~>
+p](*jJcC<$Zi>O~>
+p](*jJcC<$Zi>O~>
+p](*jJcC<$Zi>O~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+JcC<$U]5i~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/bouquet.ps b/books/ps/bouquet.ps
new file mode 100644
index 0000000..a8538f4
--- /dev/null
+++ b/books/ps/bouquet.ps
@@ -0,0 +1,326 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	53	231	227	100	psDrawLine
+	globGC	(X)	48	236	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	246	231	72	100	psDrawLine
+	globGC	(Y)	251	236	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	63	150	227	psDrawLine
+	globGC	(Z)	155	58	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	55	141	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	142	55	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	139	55	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	168	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	162	113	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	160	113	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	168	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	160	186	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	162	186	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	141	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	139	244	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	142	244	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	270	100	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	105	270	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	110	270	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	60	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	72	260	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	76	260	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	29	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	47	226	29	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	50	226	29	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	14	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	34	176	14	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	35	176	14	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	14	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	35	123	14	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	34	123	14	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	29	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	50	73	29	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	47	73	29	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	60	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	76	39	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	72	39	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	30	100	150	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	110	30	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	105	30	100	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/cartcoord.ps b/books/ps/cartcoord.ps
new file mode 100644
index 0000000..48dca14
--- /dev/null
+++ b/books/ps/cartcoord.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	10	259	263	95	psDrawLine
+	globGC	(X)	5	264	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	286	269	40	88	psDrawLine
+	globGC	(Y)	291	274	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	156	20	144	279	psDrawLine
+	globGC	(Z)	161	15	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.562500	setForeground
+	renderGC
+	150	170
+	149	167
+	149	169
+	4	150	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	167
+	149	169
+	3	150	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	171
+	150	168
+	150	170
+	4	151	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	168
+	150	170
+	3	151	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	167
+	150	170
+	150	168
+	4	149	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	170
+	150	168
+	3	149	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	168
+	149	164
+	149	167
+	4	150	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	164
+	149	167
+	3	150	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	173
+	151	169
+	151	171
+	4	152	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	169
+	151	171
+	3	152	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	168
+	151	171
+	151	169
+	4	150	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	171
+	151	169
+	3	150	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	169
+	151	165
+	150	168
+	4	151	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	165
+	150	168
+	3	151	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	164
+	150	168
+	151	165
+	4	149	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	168
+	151	165
+	3	149	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	174
+	152	170
+	152	173
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	170
+	152	173
+	3	152	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	169
+	152	173
+	152	170
+	4	151	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	173
+	152	170
+	3	151	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	165
+	149	162
+	149	164
+	4	151	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	162
+	149	164
+	3	151	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	170
+	151	167
+	151	169
+	4	152	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	151	169
+	3	152	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	165
+	151	169
+	151	167
+	4	151	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	169
+	151	167
+	3	151	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	167
+	151	163
+	151	165
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	163
+	151	165
+	3	151	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	162
+	151	165
+	151	163
+	4	149	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	165
+	151	163
+	3	149	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	176
+	152	172
+	152	174
+	4	152	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	152	174
+	3	152	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	170
+	152	174
+	152	172
+	4	152	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	152	172
+	3	152	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	172
+	152	168
+	152	170
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	168
+	152	170
+	3	152	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	167
+	152	170
+	152	168
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	170
+	152	168
+	3	151	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	163
+	150	160
+	149	162
+	4	151	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	160
+	149	162
+	3	151	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	168
+	151	164
+	151	167
+	4	152	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	164
+	151	167
+	3	152	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	163
+	151	167
+	151	164
+	4	151	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	151	164
+	3	151	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	178
+	152	174
+	152	176
+	4	152	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	152	176
+	3	152	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	172
+	152	176
+	152	174
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	176
+	152	174
+	3	152	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	164
+	151	161
+	151	163
+	4	151	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	161
+	151	163
+	3	151	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	160
+	151	163
+	151	161
+	4	150	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	163
+	151	161
+	3	150	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	174
+	152	170
+	152	172
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	170
+	152	172
+	3	152	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	168
+	152	172
+	152	170
+	4	152	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	152	170
+	3	152	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	170
+	152	166
+	152	168
+	4	152	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	166
+	152	168
+	3	152	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	164
+	152	168
+	152	166
+	4	151	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	168
+	152	166
+	3	151	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	161
+	150	158
+	150	160
+	4	151	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	158
+	150	160
+	3	151	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	166
+	152	162
+	151	164
+	4	152	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	162
+	151	164
+	3	152	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	161
+	151	164
+	152	162
+	4	151	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	164
+	152	162
+	3	151	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	180
+	152	176
+	152	178
+	4	151	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	176
+	152	178
+	3	151	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	174
+	152	178
+	152	176
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	178
+	152	176
+	3	152	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	176
+	152	172
+	152	174
+	4	152	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	152	174
+	3	152	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	170
+	152	174
+	152	172
+	4	152	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	152	172
+	3	152	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	162
+	151	159
+	151	161
+	4	152	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	159
+	151	161
+	3	152	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	158
+	151	161
+	151	159
+	4	150	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	161
+	151	159
+	3	150	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	172
+	152	167
+	152	170
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	152	170
+	3	152	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	166
+	152	170
+	152	167
+	4	152	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	170
+	152	167
+	3	152	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	167
+	152	164
+	152	166
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	164
+	152	166
+	3	152	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	162
+	152	166
+	152	164
+	4	152	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	166
+	152	164
+	3	152	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	159
+	150	155
+	150	158
+	4	151	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	158
+	3	151	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	164
+	152	160
+	152	162
+	4	152	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	160
+	152	162
+	3	152	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	159
+	152	162
+	152	160
+	4	151	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	162
+	152	160
+	3	151	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	178
+	152	174
+	152	176
+	4	151	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	152	176
+	3	151	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	172
+	152	176
+	152	174
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	176
+	152	174
+	3	152	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	176
+	151	180
+	151	178
+	4	152	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	180
+	151	178
+	3	152	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	183
+	151	178
+	151	180
+	4	150	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	178
+	151	180
+	3	150	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	174
+	152	169
+	152	172
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	152	172
+	3	152	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	167
+	152	172
+	152	169
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	152	169
+	3	152	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	160
+	151	156
+	151	159
+	4	152	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	156
+	151	159
+	3	152	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	155
+	151	159
+	151	156
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	159
+	151	156
+	3	150	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	169
+	152	165
+	152	167
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	165
+	152	167
+	3	152	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	164
+	152	167
+	152	165
+	4	152	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	152	165
+	3	152	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	165
+	152	161
+	152	164
+	4	152	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	161
+	152	164
+	3	152	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	160
+	152	164
+	152	161
+	4	152	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	164
+	152	161
+	3	152	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	156
+	150	153
+	150	155
+	4	151	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	150	155
+	3	151	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	161
+	152	158
+	152	160
+	4	152	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	158
+	152	160
+	3	152	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	156
+	152	160
+	152	158
+	4	151	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	160
+	152	158
+	3	151	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	176
+	152	171
+	152	174
+	4	151	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	171
+	152	174
+	3	151	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	169
+	152	174
+	152	171
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	152	171
+	3	152	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	174
+	151	178
+	151	176
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	178
+	151	176
+	3	152	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	181
+	151	176
+	151	178
+	4	150	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	176
+	151	178
+	3	150	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	178
+	150	183
+	150	181
+	4	151	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	183
+	150	181
+	3	151	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	171
+	152	167
+	152	169
+	4	152	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	152	169
+	3	152	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	165
+	152	169
+	152	167
+	4	152	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	152	167
+	3	152	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	185
+	150	181
+	150	183
+	4	149	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	181
+	150	183
+	3	149	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	158
+	151	154
+	151	156
+	4	152	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	154
+	151	156
+	3	152	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	151	156
+	151	154
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	156
+	151	154
+	3	150	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	167
+	153	163
+	152	165
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	163
+	152	165
+	3	152	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	161
+	152	165
+	153	163
+	4	152	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	165
+	153	163
+	3	152	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	163
+	152	159
+	152	161
+	4	153	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	159
+	152	161
+	3	153	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	158
+	152	161
+	152	159
+	4	152	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	161
+	152	159
+	3	152	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	154
+	150	151
+	150	153
+	4	151	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	151
+	150	153
+	3	151	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	159
+	152	155
+	152	158
+	4	152	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	155
+	152	158
+	3	152	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	154
+	152	158
+	152	155
+	4	151	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	158
+	152	155
+	3	151	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	174
+	152	169
+	152	171
+	4	151	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	152	171
+	3	151	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	167
+	152	171
+	152	169
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	171
+	152	169
+	3	152	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	171
+	151	176
+	151	174
+	4	152	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	176
+	151	174
+	3	152	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	178
+	151	174
+	151	176
+	4	150	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	174
+	151	176
+	3	150	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	176
+	150	181
+	150	178
+	4	151	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	181
+	150	178
+	3	151	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	169
+	153	165
+	152	167
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	165
+	152	167
+	3	152	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	163
+	152	167
+	153	165
+	4	153	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	153	165
+	3	153	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	183
+	150	178
+	150	181
+	4	149	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	178
+	150	181
+	3	149	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	181
+	149	185
+	149	183
+	4	150	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	185
+	149	183
+	3	150	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	155
+	151	152
+	151	154
+	4	152	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	151	154
+	3	152	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	151
+	151	154
+	151	152
+	4	150	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	154
+	151	152
+	3	150	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	165
+	153	161
+	153	163
+	4	153	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	161
+	153	163
+	3	153	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	159
+	153	163
+	153	161
+	4	152	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	163
+	153	161
+	3	152	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	188
+	149	183
+	149	185
+	4	147	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	183
+	149	185
+	3	147	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	161
+	152	157
+	152	159
+	4	153	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	152	159
+	3	153	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	155
+	152	159
+	152	157
+	4	152	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	159
+	152	157
+	3	152	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	152
+	150	148
+	150	151
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	148
+	150	151
+	3	151	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	157
+	152	153
+	152	155
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	153
+	152	155
+	3	152	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	152
+	152	155
+	152	153
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	155
+	152	153
+	3	151	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	171
+	152	167
+	152	169
+	4	151	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	152	169
+	3	151	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	165
+	152	169
+	152	167
+	4	153	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	152	167
+	3	153	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	169
+	151	174
+	151	171
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	174
+	151	171
+	3	152	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	176
+	151	171
+	151	174
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	171
+	151	174
+	3	150	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	174
+	150	178
+	150	176
+	4	151	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	178
+	150	176
+	3	151	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	167
+	153	162
+	153	165
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	162
+	153	165
+	3	152	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	161
+	153	165
+	153	162
+	4	153	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	165
+	153	162
+	3	153	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	181
+	150	176
+	150	178
+	4	149	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	150	178
+	3	149	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	178
+	149	183
+	149	181
+	4	150	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	183
+	149	181
+	3	150	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	153
+	151	149
+	151	152
+	4	152	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	151	152
+	3	152	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	148
+	151	152
+	151	149
+	4	150	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	151	149
+	3	150	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	162
+	153	158
+	153	161
+	4	153	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	158
+	153	161
+	3	153	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	157
+	153	161
+	153	158
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	161
+	153	158
+	3	152	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	186
+	149	181
+	149	183
+	4	147	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	181
+	149	183
+	3	147	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	183
+	147	188
+	147	186
+	4	149	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	188
+	147	186
+	3	149	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	158
+	153	154
+	152	157
+	4	153	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	154
+	152	157
+	3	153	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	153
+	152	157
+	153	154
+	4	152	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	153	154
+	3	152	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	191
+	147	186
+	147	188
+	4	145	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	186
+	147	188
+	3	145	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	149
+	150	146
+	150	148
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	146
+	150	148
+	3	151	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	154
+	152	151
+	152	153
+	4	153	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	151
+	152	153
+	3	153	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	149
+	152	153
+	152	151
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	153
+	152	151
+	3	151	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	169
+	152	165
+	152	167
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	165
+	152	167
+	3	152	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	162
+	152	167
+	152	165
+	4	153	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	152	165
+	3	153	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	167
+	151	171
+	152	169
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	171
+	152	169
+	3	152	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	174
+	152	169
+	151	171
+	4	150	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	151	171
+	3	150	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	171
+	150	176
+	150	174
+	4	151	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	150	174
+	3	151	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	165
+	153	160
+	153	162
+	4	152	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	160
+	153	162
+	3	152	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	158
+	153	162
+	153	160
+	4	153	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	162
+	153	160
+	3	153	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	179
+	150	174
+	150	176
+	4	149	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	174
+	150	176
+	3	149	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	176
+	149	181
+	149	179
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	181
+	149	179
+	3	150	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	151
+	151	147
+	151	149
+	4	152	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	147
+	151	149
+	3	152	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	146
+	151	149
+	151	147
+	4	150	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	151	147
+	3	150	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	160
+	153	156
+	153	158
+	4	153	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	156
+	153	158
+	3	153	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	154
+	153	158
+	153	156
+	4	153	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	158
+	153	156
+	3	153	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	184
+	149	179
+	149	181
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	179
+	149	181
+	3	147	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	181
+	147	186
+	147	184
+	4	149	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	186
+	147	184
+	3	149	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	156
+	153	152
+	153	154
+	4	153	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	152
+	153	154
+	3	153	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	151
+	153	154
+	153	152
+	4	152	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	154
+	153	152
+	3	152	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	189
+	147	184
+	147	186
+	4	146	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	147	186
+	3	146	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	186
+	145	191
+	146	189
+	4	147	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	191
+	146	189
+	3	147	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	147
+	150	144
+	150	146
+	4	151	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	144
+	150	146
+	3	151	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	152
+	152	148
+	152	151
+	4	153	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	148
+	152	151
+	3	153	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	147
+	152	151
+	152	148
+	4	151	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	151
+	152	148
+	3	151	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	167
+	152	162
+	152	165
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	162
+	152	165
+	3	152	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	160
+	152	165
+	152	162
+	4	153	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	165
+	152	162
+	3	153	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	165
+	152	169
+	152	167
+	4	152	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	169
+	152	167
+	3	152	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	171
+	152	167
+	152	169
+	4	151	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	152	169
+	3	151	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	169
+	150	174
+	151	171
+	4	152	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	174
+	151	171
+	3	152	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	195
+	146	189
+	145	191
+	4	143	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	189
+	145	191
+	3	143	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	162
+	153	158
+	153	160
+	4	152	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	158
+	153	160
+	3	152	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	156
+	153	160
+	153	158
+	4	153	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	160
+	153	158
+	3	153	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	176
+	151	171
+	150	174
+	4	149	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	171
+	150	174
+	3	149	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	174
+	149	179
+	149	176
+	4	150	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	179
+	149	176
+	3	150	174	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	148
+	152	145
+	151	147
+	4	152	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	151	147
+	3	152	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	144
+	151	147
+	152	145
+	4	150	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	147
+	152	145
+	3	150	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	158
+	153	154
+	153	156
+	4	153	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	154
+	153	156
+	3	153	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	152
+	153	156
+	153	154
+	4	153	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	156
+	153	154
+	3	153	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	182
+	149	176
+	149	179
+	4	148	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	176
+	149	179
+	3	148	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	179
+	147	184
+	148	182
+	4	149	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	148	182
+	3	149	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	154
+	153	150
+	153	152
+	4	153	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	150
+	153	152
+	3	153	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	148
+	153	152
+	153	150
+	4	152	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	152
+	153	150
+	3	152	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	187
+	148	182
+	147	184
+	4	146	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	182
+	147	184
+	3	146	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	184
+	146	189
+	146	187
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	189
+	146	187
+	3	147	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	145
+	150	141
+	150	144
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	141
+	150	144
+	3	152	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	150
+	152	146
+	152	148
+	4	153	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	146
+	152	148
+	3	153	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	145
+	152	148
+	152	146
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	148
+	152	146
+	3	152	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	164
+	153	160
+	152	162
+	4	152	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	160
+	152	162
+	3	152	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	158
+	152	162
+	153	160
+	4	153	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	162
+	153	160
+	3	153	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	162
+	152	167
+	152	164
+	4	152	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	167
+	152	164
+	3	152	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	169
+	152	164
+	152	167
+	4	151	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	164
+	152	167
+	3	151	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	167
+	151	171
+	151	169
+	4	152	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	171
+	151	169
+	3	152	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	192
+	146	187
+	146	189
+	4	143	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	187
+	146	189
+	3	143	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	189
+	143	195
+	143	192
+	4	146	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	195
+	143	192
+	3	146	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	160
+	153	156
+	153	158
+	4	153	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	156
+	153	158
+	3	153	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	154
+	153	158
+	153	156
+	4	153	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	158
+	153	156
+	3	153	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	174
+	151	169
+	151	171
+	4	149	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	169
+	151	171
+	3	149	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	171
+	149	176
+	149	174
+	4	151	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	176
+	149	174
+	3	151	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	146
+	152	142
+	152	145
+	4	152	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	142
+	152	145
+	3	152	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	141
+	152	145
+	152	142
+	4	150	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	152	142
+	3	150	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	156
+	153	151
+	153	154
+	4	153	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	153	154
+	3	153	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	150
+	153	154
+	153	151
+	4	153	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	154
+	153	151
+	3	153	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	179
+	149	174
+	149	176
+	4	148	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	174
+	149	176
+	3	148	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	176
+	148	182
+	148	179
+	4	149	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	182
+	148	179
+	3	149	176	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	151
+	153	147
+	153	150
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	147
+	153	150
+	3	153	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	146
+	153	150
+	153	147
+	4	152	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	150
+	153	147
+	3	152	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	198
+	143	192
+	143	195
+	4	141	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	192
+	143	195
+	3	141	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	185
+	148	179
+	148	182
+	4	146	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	179
+	148	182
+	3	146	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	182
+	146	187
+	146	185
+	4	148	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	187
+	146	185
+	3	148	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	142
+	151	139
+	150	141
+	4	152	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	139
+	150	141
+	3	152	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	147
+	152	144
+	152	146
+	4	153	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	144
+	152	146
+	3	153	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	142
+	152	146
+	152	144
+	4	152	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	146
+	152	144
+	3	152	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	162
+	153	158
+	153	160
+	4	152	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	158
+	153	160
+	3	152	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	156
+	153	160
+	153	158
+	4	153	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	160
+	153	158
+	3	153	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	160
+	152	164
+	152	162
+	4	153	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	164
+	152	162
+	3	153	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	167
+	152	162
+	152	164
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	162
+	152	164
+	3	151	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	164
+	151	169
+	151	167
+	4	152	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	169
+	151	167
+	3	152	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	190
+	146	185
+	146	187
+	4	143	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	185
+	146	187
+	3	143	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	187
+	143	192
+	143	190
+	4	146	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	192
+	143	190
+	3	146	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	158
+	153	153
+	153	156
+	4	153	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	153
+	153	156
+	3	153	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	151
+	153	156
+	153	153
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	156
+	153	153
+	3	153	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	172
+	151	167
+	151	169
+	4	149	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	151	169
+	3	149	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	169
+	149	174
+	149	172
+	4	151	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	174
+	149	172
+	3	151	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	144
+	152	140
+	152	142
+	4	152	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	140
+	152	142
+	3	152	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	139
+	152	142
+	152	140
+	4	151	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	142
+	152	140
+	3	151	139	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	153
+	153	149
+	153	151
+	4	153	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	149
+	153	151
+	3	153	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	147
+	153	151
+	153	149
+	4	153	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	153	149
+	3	153	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	177
+	149	172
+	149	174
+	4	148	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	172
+	149	174
+	3	148	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	174
+	148	179
+	148	177
+	4	149	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	179
+	148	177
+	3	149	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	149
+	153	145
+	153	147
+	4	153	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	145
+	153	147
+	3	153	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	144
+	153	147
+	153	145
+	4	152	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	147
+	153	145
+	3	152	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	196
+	143	190
+	143	192
+	4	141	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	190
+	143	192
+	3	141	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	192
+	141	198
+	141	196
+	4	143	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	198
+	141	196
+	3	143	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	182
+	148	177
+	148	179
+	4	146	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	177
+	148	179
+	3	146	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	179
+	146	185
+	146	182
+	4	148	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	185
+	146	182
+	3	148	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	140
+	151	137
+	151	139
+	4	152	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	137
+	151	139
+	3	152	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	145
+	153	141
+	152	144
+	4	153	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	152	144
+	3	153	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	140
+	152	144
+	153	141
+	4	152	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	144
+	153	141
+	3	152	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	160
+	153	155
+	153	158
+	4	152	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	155
+	153	158
+	3	152	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	153
+	153	158
+	153	155
+	4	153	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	158
+	153	155
+	3	153	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	158
+	152	162
+	152	160
+	4	153	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	162
+	152	160
+	3	153	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	165
+	152	160
+	152	162
+	4	151	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	160
+	152	162
+	3	151	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	162
+	151	167
+	151	165
+	4	152	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	151	165
+	3	152	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	188
+	146	182
+	146	185
+	4	144	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	182
+	146	185
+	3	144	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	185
+	143	190
+	144	188
+	4	146	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	190
+	144	188
+	3	146	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	155
+	153	151
+	153	153
+	4	153	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	153	153
+	3	153	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	149
+	153	153
+	153	151
+	4	153	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	153
+	153	151
+	3	153	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	202
+	141	196
+	141	198
+	4	138	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	196
+	141	198
+	3	138	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	170
+	151	165
+	151	167
+	4	150	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	165
+	151	167
+	3	150	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	167
+	149	172
+	150	170
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	172
+	150	170
+	3	151	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	141
+	152	138
+	152	140
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	138
+	152	140
+	3	153	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	137
+	152	140
+	152	138
+	4	151	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	140
+	152	138
+	3	151	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	151
+	153	147
+	153	149
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	147
+	153	149
+	3	153	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	145
+	153	149
+	153	147
+	4	153	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	149
+	153	147
+	3	153	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	175
+	150	170
+	149	172
+	4	148	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	170
+	149	172
+	3	148	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	172
+	148	177
+	148	175
+	4	149	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	177
+	148	175
+	3	149	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	147
+	153	143
+	153	145
+	4	153	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	153	145
+	3	153	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	141
+	153	145
+	153	143
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	145
+	153	143
+	3	153	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	194
+	144	188
+	143	190
+	4	141	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	188
+	143	190
+	3	141	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	190
+	141	196
+	141	194
+	4	143	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	196
+	141	194
+	3	143	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	180
+	148	175
+	148	177
+	4	146	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	175
+	148	177
+	3	146	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	177
+	146	182
+	146	180
+	4	148	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	182
+	146	180
+	3	148	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	138
+	151	134
+	151	137
+	4	152	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	134
+	151	137
+	3	152	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	143
+	153	139
+	153	141
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	139
+	153	141
+	3	153	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	138
+	153	141
+	153	139
+	4	152	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	153	139
+	3	152	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	157
+	153	153
+	153	155
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	153
+	153	155
+	3	152	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	151
+	153	155
+	153	153
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	155
+	153	153
+	3	153	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	155
+	152	160
+	152	157
+	4	153	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	160
+	152	157
+	3	153	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	162
+	152	157
+	152	160
+	4	151	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	152	160
+	3	151	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	160
+	151	165
+	151	162
+	4	152	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	165
+	151	162
+	3	152	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	186
+	146	180
+	146	182
+	4	144	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	180
+	146	182
+	3	144	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	182
+	144	188
+	144	186
+	4	146	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	188
+	144	186
+	3	146	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	153
+	153	148
+	153	151
+	4	153	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	148
+	153	151
+	3	153	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	147
+	153	151
+	153	148
+	4	153	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	153	148
+	3	153	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	200
+	141	194
+	141	196
+	4	138	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	194
+	141	196
+	3	138	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	196
+	138	202
+	138	200
+	4	141	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	202
+	138	200
+	3	141	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	167
+	151	162
+	151	165
+	4	150	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	162
+	151	165
+	3	150	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	165
+	150	170
+	150	167
+	4	151	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	170
+	150	167
+	3	151	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	139
+	152	135
+	152	138
+	4	153	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	135
+	152	138
+	3	153	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	134
+	152	138
+	152	135
+	4	151	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	138
+	152	135
+	3	151	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	148
+	153	144
+	153	147
+	4	153	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	144
+	153	147
+	3	153	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	143
+	153	147
+	153	144
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	147
+	153	144
+	3	153	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	172
+	150	167
+	150	170
+	4	148	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	167
+	150	170
+	3	148	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	170
+	148	175
+	148	172
+	4	150	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	175
+	148	172
+	3	150	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	144
+	153	140
+	153	143
+	4	153	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	140
+	153	143
+	3	153	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	139
+	153	143
+	153	140
+	4	153	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	153	140
+	3	153	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	192
+	144	186
+	144	188
+	4	141	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	186
+	144	188
+	3	141	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	188
+	141	194
+	141	192
+	4	144	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	194
+	141	192
+	3	144	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	178
+	148	172
+	148	175
+	4	146	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	172
+	148	175
+	3	146	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	175
+	146	180
+	146	178
+	4	148	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	180
+	146	178
+	3	148	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	135
+	151	132
+	151	134
+	4	152	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	132
+	151	134
+	3	152	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	206
+	138	200
+	138	202
+	4	135	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	200
+	138	202
+	3	135	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	140
+	153	136
+	153	139
+	4	153	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	136
+	153	139
+	3	153	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	135
+	153	139
+	153	136
+	4	152	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	139
+	153	136
+	3	152	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	155
+	153	150
+	153	153
+	4	152	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	150
+	153	153
+	3	152	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	148
+	153	153
+	153	150
+	4	153	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	153
+	153	150
+	3	153	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	153
+	152	157
+	152	155
+	4	153	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	152	155
+	3	153	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	151	160
+	152	155
+	152	157
+	4	151	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	155
+	152	157
+	3	151	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	157
+	151	162
+	151	160
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	162
+	151	160
+	3	152	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	183
+	146	178
+	146	180
+	4	144	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	178
+	146	180
+	3	144	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	180
+	144	186
+	144	183
+	4	146	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	186
+	144	183
+	3	146	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	150
+	153	146
+	153	148
+	4	153	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	146
+	153	148
+	3	153	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	144
+	153	148
+	153	146
+	4	153	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	148
+	153	146
+	3	153	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	198
+	141	192
+	141	194
+	4	138	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	192
+	141	194
+	3	138	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	194
+	138	200
+	138	198
+	4	141	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	200
+	138	198
+	3	141	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	165
+	151	160
+	151	162
+	4	150	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	160
+	151	162
+	3	150	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	162
+	150	167
+	150	165
+	4	151	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	167
+	150	165
+	3	151	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	136
+	152	133
+	152	135
+	4	153	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	133
+	152	135
+	3	153	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	132
+	152	135
+	152	133
+	4	151	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	135
+	152	133
+	3	151	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	146
+	154	142
+	153	144
+	4	153	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	153	144
+	3	153	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	140
+	153	144
+	154	142
+	4	153	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	144
+	154	142
+	3	153	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	170
+	150	165
+	150	167
+	4	148	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	165
+	150	167
+	3	148	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	167
+	148	172
+	148	170
+	4	150	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	172
+	148	170
+	3	150	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	142
+	153	138
+	153	140
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	138
+	153	140
+	3	154	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	136
+	153	140
+	153	138
+	4	153	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	140
+	153	138
+	3	153	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	189
+	144	183
+	144	186
+	4	141	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	183
+	144	186
+	3	141	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	186
+	141	192
+	141	189
+	4	144	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	192
+	141	189
+	3	144	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	175
+	148	170
+	148	172
+	4	146	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	170
+	148	172
+	3	146	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	172
+	146	178
+	146	175
+	4	148	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	178
+	146	175
+	3	148	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	133
+	151	129
+	151	132
+	4	152	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	129
+	151	132
+	3	152	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	204
+	138	198
+	138	200
+	4	135	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	198
+	138	200
+	3	135	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	200
+	135	206
+	135	204
+	4	138	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	206
+	135	204
+	3	138	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	138
+	153	134
+	153	136
+	4	153	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	134
+	153	136
+	3	153	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	133
+	153	136
+	153	134
+	4	152	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	136
+	153	134
+	3	152	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	153
+	153	148
+	153	150
+	4	152	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	148
+	153	150
+	3	152	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	146
+	153	150
+	153	148
+	4	153	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	150
+	153	148
+	3	153	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	150
+	152	155
+	152	153
+	4	153	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	155
+	152	153
+	3	153	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	158
+	152	153
+	152	155
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	153
+	152	155
+	3	151	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	155
+	151	160
+	151	158
+	4	152	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	160
+	151	158
+	3	152	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	181
+	146	175
+	146	178
+	4	144	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	175
+	146	178
+	3	144	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	178
+	144	183
+	144	181
+	4	146	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	183
+	144	181
+	3	146	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	148
+	154	144
+	153	146
+	4	153	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	153	146
+	3	153	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	142
+	153	146
+	154	144
+	4	154	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	146
+	154	144
+	3	154	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	195
+	141	189
+	141	192
+	4	138	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	189
+	141	192
+	3	138	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	192
+	138	198
+	138	195
+	4	141	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	198
+	138	195
+	3	141	192	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	163
+	151	158
+	151	160
+	4	150	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	151	160
+	3	150	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	160
+	150	165
+	150	163
+	4	151	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	165
+	150	163
+	3	151	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	134
+	152	130
+	152	133
+	4	153	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	130
+	152	133
+	3	153	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	129
+	152	133
+	152	130
+	4	151	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	133
+	152	130
+	3	151	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	144
+	154	139
+	154	142
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	139
+	154	142
+	3	154	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	138
+	154	142
+	154	139
+	4	153	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	142
+	154	139
+	3	153	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	168
+	150	163
+	150	165
+	4	148	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	163
+	150	165
+	3	148	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	165
+	148	170
+	148	168
+	4	150	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	170
+	148	168
+	3	150	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	139
+	154	135
+	153	138
+	4	154	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	135
+	153	138
+	3	154	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	134
+	153	138
+	154	135
+	4	153	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	138
+	154	135
+	3	153	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	210
+	135	204
+	135	206
+	4	131	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	204
+	135	206
+	3	131	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	187
+	144	181
+	144	183
+	4	141	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	181
+	144	183
+	3	141	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	183
+	141	189
+	141	187
+	4	144	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	189
+	141	187
+	3	144	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	173
+	148	168
+	148	170
+	4	146	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	168
+	148	170
+	3	146	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	170
+	146	175
+	146	173
+	4	148	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	175
+	146	173
+	3	148	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	130
+	151	127
+	151	129
+	4	152	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	127
+	151	129
+	3	152	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	202
+	138	195
+	138	198
+	4	135	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	195
+	138	198
+	3	135	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	198
+	135	204
+	135	202
+	4	138	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	204
+	135	202
+	3	138	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	135
+	153	132
+	153	134
+	4	154	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	132
+	153	134
+	3	154	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	130
+	153	134
+	153	132
+	4	152	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	134
+	153	132
+	3	152	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	150
+	153	146
+	153	148
+	4	152	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	146
+	153	148
+	3	152	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	144
+	153	148
+	153	146
+	4	154	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	148
+	153	146
+	3	154	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	148
+	152	153
+	152	150
+	4	153	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	153
+	152	150
+	3	153	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	155
+	152	150
+	152	153
+	4	151	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	150
+	152	153
+	3	151	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	153
+	151	158
+	151	155
+	4	152	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	151	155
+	3	152	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	179
+	146	173
+	146	175
+	4	144	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	173
+	146	175
+	3	144	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	175
+	144	181
+	144	179
+	4	146	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	181
+	144	179
+	3	146	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	146
+	154	141
+	154	144
+	4	153	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	141
+	154	144
+	3	153	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	139
+	154	144
+	154	141
+	4	154	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	144
+	154	141
+	3	154	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	193
+	141	187
+	141	189
+	4	138	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	187
+	141	189
+	3	138	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	189
+	138	195
+	138	193
+	4	141	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	195
+	138	193
+	3	141	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	160
+	151	155
+	151	158
+	4	150	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	155
+	151	158
+	3	150	160	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	151	158
+	150	163
+	150	160
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	163
+	150	160
+	3	151	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	132
+	152	128
+	152	130
+	4	153	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	128
+	152	130
+	3	153	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	127
+	152	130
+	152	128
+	4	151	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	130
+	152	128
+	3	151	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	141
+	154	137
+	154	139
+	4	154	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	137
+	154	139
+	3	154	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	135
+	154	139
+	154	137
+	4	154	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	139
+	154	137
+	3	154	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	148	165
+	150	160
+	150	163
+	4	148	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	160
+	150	163
+	3	148	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	163
+	148	168
+	148	165
+	4	150	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	168
+	148	165
+	3	150	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	137
+	154	133
+	154	135
+	4	154	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	133
+	154	135
+	3	154	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	132
+	154	135
+	154	133
+	4	153	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	135
+	154	133
+	3	153	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	208
+	135	202
+	135	204
+	4	131	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	202
+	135	204
+	3	131	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	204
+	131	210
+	131	208
+	4	135	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	210
+	131	208
+	3	135	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	185
+	144	179
+	144	181
+	4	141	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	179
+	144	181
+	3	141	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	181
+	141	187
+	141	185
+	4	144	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	187
+	141	185
+	3	144	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	171
+	148	165
+	148	168
+	4	146	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	165
+	148	168
+	3	146	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	168
+	146	173
+	146	171
+	4	148	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	173
+	146	171
+	3	148	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	128
+	151	124
+	151	127
+	4	152	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	124
+	151	127
+	3	152	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	199
+	138	193
+	138	195
+	4	135	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	193
+	138	195
+	3	135	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	195
+	135	202
+	135	199
+	4	138	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	202
+	135	199
+	3	138	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	133
+	153	129
+	153	132
+	4	154	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	129
+	153	132
+	3	154	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	128
+	153	132
+	153	129
+	4	152	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	132
+	153	129
+	3	152	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	148
+	153	143
+	153	146
+	4	153	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	153	146
+	3	153	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	141
+	153	146
+	153	143
+	4	154	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	146
+	153	143
+	3	154	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	146
+	152	150
+	153	148
+	4	153	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	150
+	153	148
+	3	153	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	153
+	153	148
+	152	150
+	4	151	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	148
+	152	150
+	3	151	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	150
+	151	155
+	151	153
+	4	152	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	155
+	151	153
+	3	152	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	176
+	146	171
+	146	173
+	4	144	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	171
+	146	173
+	3	144	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	173
+	144	179
+	144	176
+	4	146	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	179
+	144	176
+	3	146	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	143
+	154	139
+	154	141
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	139
+	154	141
+	3	153	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	137
+	154	141
+	154	139
+	4	154	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	141
+	154	139
+	3	154	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	191
+	141	185
+	141	187
+	4	138	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	185
+	141	187
+	3	138	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	187
+	138	193
+	138	191
+	4	141	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	193
+	138	191
+	3	141	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	158
+	151	153
+	151	155
+	4	150	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	153
+	151	155
+	3	150	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	155
+	150	160
+	150	158
+	4	151	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	160
+	150	158
+	3	151	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	129
+	152	125
+	152	128
+	4	153	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	125
+	152	128
+	3	153	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	124
+	152	128
+	152	125
+	4	151	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	128
+	152	125
+	3	151	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	139
+	154	135
+	154	137
+	4	154	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	135
+	154	137
+	3	154	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	133
+	154	137
+	154	135
+	4	154	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	137
+	154	135
+	3	154	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	215
+	131	208
+	131	210
+	4	127	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	208
+	131	210
+	3	127	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	163
+	150	158
+	150	160
+	4	148	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	158
+	150	160
+	3	148	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	160
+	148	165
+	148	163
+	4	150	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	165
+	148	163
+	3	150	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	135
+	154	131
+	154	133
+	4	154	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	131
+	154	133
+	3	154	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	129
+	154	133
+	154	131
+	4	153	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	133
+	154	131
+	3	153	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	206
+	135	199
+	135	202
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	199
+	135	202
+	3	131	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	202
+	131	208
+	131	206
+	4	135	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	208
+	131	206
+	3	135	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	182
+	144	176
+	144	179
+	4	141	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	176
+	144	179
+	3	141	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	179
+	141	185
+	141	182
+	4	144	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	185
+	141	182
+	3	144	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	169
+	148	163
+	148	165
+	4	146	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	163
+	148	165
+	3	146	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	165
+	146	171
+	146	169
+	4	148	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	171
+	146	169
+	3	148	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	125
+	151	122
+	151	124
+	4	152	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	122
+	151	124
+	3	152	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	197
+	138	191
+	138	193
+	4	135	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	191
+	138	193
+	3	135	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	193
+	135	199
+	135	197
+	4	138	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	199
+	135	197
+	3	138	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	131
+	153	127
+	153	129
+	4	154	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	127
+	153	129
+	3	154	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	125
+	153	129
+	153	127
+	4	152	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	129
+	153	127
+	3	152	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	146
+	153	141
+	153	143
+	4	153	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	153	143
+	3	153	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	139
+	153	143
+	153	141
+	4	154	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	153	141
+	3	154	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	143
+	153	148
+	153	146
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	148
+	153	146
+	3	153	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	150
+	153	146
+	153	148
+	4	152	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	146
+	153	148
+	3	152	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	148
+	151	153
+	152	150
+	4	153	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	153
+	152	150
+	3	153	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	174
+	146	169
+	146	171
+	4	144	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	169
+	146	171
+	3	144	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	171
+	144	176
+	144	174
+	4	146	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	176
+	144	174
+	3	146	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	141
+	154	136
+	154	139
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	136
+	154	139
+	3	153	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	135
+	154	139
+	154	136
+	4	154	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	139
+	154	136
+	3	154	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	188
+	141	182
+	141	185
+	4	138	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	182
+	141	185
+	3	138	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	185
+	138	191
+	138	188
+	4	141	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	191
+	138	188
+	3	141	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	155
+	152	150
+	151	153
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	150
+	151	153
+	3	150	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	153
+	150	158
+	150	155
+	4	151	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	158
+	150	155
+	3	151	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	127
+	153	123
+	152	125
+	4	153	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	123
+	152	125
+	3	153	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	122
+	152	125
+	153	123
+	4	151	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	125
+	153	123
+	3	151	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	136
+	154	132
+	154	135
+	4	154	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	132
+	154	135
+	3	154	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	131
+	154	135
+	154	132
+	4	154	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	135
+	154	132
+	3	154	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	213
+	131	206
+	131	208
+	4	127	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	131	208
+	3	127	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	208
+	127	215
+	127	213
+	4	131	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	215
+	127	213
+	3	131	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	161
+	150	155
+	150	158
+	4	148	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	158
+	3	148	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	158
+	148	163
+	148	161
+	4	150	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	163
+	148	161
+	3	150	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	132
+	154	128
+	154	131
+	4	154	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	128
+	154	131
+	3	154	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	127
+	154	131
+	154	128
+	4	153	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	131
+	154	128
+	3	153	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	204
+	135	197
+	135	199
+	4	131	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	197
+	135	199
+	3	131	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	199
+	131	206
+	131	204
+	4	135	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	206
+	131	204
+	3	135	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	180
+	144	174
+	144	176
+	4	141	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	174
+	144	176
+	3	141	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	176
+	141	182
+	141	180
+	4	144	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	182
+	141	180
+	3	144	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	166
+	148	161
+	148	163
+	4	146	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	161
+	148	163
+	3	146	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	148	163
+	146	169
+	146	166
+	4	148	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	169
+	146	166
+	3	148	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	123
+	151	119
+	151	122
+	4	153	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	119
+	151	122
+	3	153	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	195
+	138	188
+	138	191
+	4	135	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	188
+	138	191
+	3	135	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	191
+	135	197
+	135	195
+	4	138	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	197
+	135	195
+	3	138	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	128
+	153	124
+	153	127
+	4	154	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	124
+	153	127
+	3	154	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	123
+	153	127
+	153	124
+	4	153	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	127
+	153	124
+	3	153	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	143
+	154	138
+	153	141
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	138
+	153	141
+	3	153	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	136
+	153	141
+	154	138
+	4	154	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	154	138
+	3	154	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	141
+	153	146
+	153	143
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	146
+	153	143
+	3	153	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	148
+	153	143
+	153	146
+	4	152	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	153	146
+	3	152	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	146
+	152	150
+	152	148
+	4	153	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	150
+	152	148
+	3	153	146	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	172
+	146	166
+	146	169
+	4	144	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	166
+	146	169
+	3	144	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	169
+	144	174
+	144	172
+	4	146	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	174
+	144	172
+	3	146	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	138
+	154	134
+	154	136
+	4	154	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	134
+	154	136
+	3	154	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	132
+	154	136
+	154	134
+	4	154	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	136
+	154	134
+	3	154	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	186
+	141	180
+	141	182
+	4	138	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	180
+	141	182
+	3	138	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	182
+	138	188
+	138	186
+	4	141	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	188
+	138	186
+	3	141	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	152	148
+	152	150
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	148
+	152	150
+	3	150	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	150
+	150	155
+	150	153
+	4	152	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	150	153
+	3	152	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	124
+	153	120
+	153	123
+	4	153	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	120
+	153	123
+	3	153	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	119
+	153	123
+	153	120
+	4	151	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	123
+	153	120
+	3	151	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	134
+	154	130
+	154	132
+	4	154	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	130
+	154	132
+	3	154	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	128
+	154	132
+	154	130
+	4	154	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	132
+	154	130
+	3	154	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	220
+	127	213
+	127	215
+	4	123	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	213
+	127	215
+	3	123	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	210
+	131	204
+	131	206
+	4	127	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	204
+	131	206
+	3	127	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	206
+	127	213
+	127	210
+	4	131	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	213
+	127	210
+	3	131	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	158
+	150	153
+	150	155
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	150	155
+	3	149	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	155
+	148	161
+	149	158
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	161
+	149	158
+	3	150	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	130
+	154	126
+	154	128
+	4	154	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	126
+	154	128
+	3	154	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	124
+	154	128
+	154	126
+	4	153	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	128
+	154	126
+	3	153	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	201
+	135	195
+	135	197
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	195
+	135	197
+	3	131	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	197
+	131	204
+	131	201
+	4	135	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	204
+	131	201
+	3	135	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	178
+	144	172
+	144	174
+	4	141	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	172
+	144	174
+	3	141	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	174
+	141	180
+	141	178
+	4	144	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	180
+	141	178
+	3	144	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	164
+	149	158
+	148	161
+	4	147	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	148	161
+	3	147	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	161
+	146	166
+	147	164
+	4	148	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	166
+	147	164
+	3	148	161	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	120
+	152	117
+	151	119
+	4	153	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	117
+	151	119
+	3	153	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	192
+	138	186
+	138	188
+	4	135	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	186
+	138	188
+	3	135	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	188
+	135	195
+	135	192
+	4	138	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	195
+	135	192
+	3	138	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	126
+	154	122
+	153	124
+	4	154	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	122
+	153	124
+	3	154	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	120
+	153	124
+	154	122
+	4	153	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	124
+	154	122
+	3	153	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	141
+	154	136
+	154	138
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	136
+	154	138
+	3	153	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	134
+	154	138
+	154	136
+	4	154	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	138
+	154	136
+	3	154	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	138
+	153	143
+	153	141
+	4	154	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	143
+	153	141
+	3	154	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	146
+	153	141
+	153	143
+	4	152	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	153	143
+	3	152	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	143
+	152	148
+	152	146
+	4	153	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	148
+	152	146
+	3	153	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	169
+	147	164
+	146	166
+	4	144	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	164
+	146	166
+	3	144	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	166
+	144	172
+	144	169
+	4	146	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	172
+	144	169
+	3	146	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	136
+	154	132
+	154	134
+	4	154	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	132
+	154	134
+	3	154	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	130
+	154	134
+	154	132
+	4	154	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	134
+	154	132
+	3	154	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	184
+	141	178
+	141	180
+	4	139	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	178
+	141	180
+	3	139	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	180
+	138	186
+	139	184
+	4	141	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	186
+	139	184
+	3	141	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	151
+	152	146
+	152	148
+	4	150	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	146
+	152	148
+	3	150	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	148
+	150	153
+	150	151
+	4	152	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	150	151
+	3	152	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	122
+	153	118
+	153	120
+	4	154	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	118
+	153	120
+	3	154	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	117
+	153	120
+	153	118
+	4	152	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	120
+	153	118
+	3	152	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	132
+	154	127
+	154	130
+	4	154	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	154	130
+	3	154	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	126
+	154	130
+	154	127
+	4	154	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	130
+	154	127
+	3	154	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	217
+	127	210
+	127	213
+	4	123	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	210
+	127	213
+	3	123	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	213
+	123	220
+	123	217
+	4	127	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	220
+	123	217
+	3	127	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	208
+	131	201
+	131	204
+	4	127	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	131	204
+	3	127	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	204
+	127	210
+	127	208
+	4	131	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	210
+	127	208
+	3	131	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	156
+	150	151
+	150	153
+	4	149	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	151
+	150	153
+	3	149	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	149	158
+	149	156
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	149	156
+	3	150	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	127
+	154	123
+	154	126
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	123
+	154	126
+	3	154	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	122
+	154	126
+	154	123
+	4	154	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	126
+	154	123
+	3	154	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	199
+	135	192
+	135	195
+	4	131	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	192
+	135	195
+	3	131	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	195
+	131	201
+	131	199
+	4	135	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	131	199
+	3	135	195	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	142	175
+	144	169
+	144	172
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	169
+	144	172
+	3	142	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	172
+	141	178
+	142	175
+	4	144	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	178
+	142	175
+	3	144	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	161
+	149	156
+	149	158
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	156
+	149	158
+	3	147	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	158
+	147	164
+	147	161
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	164
+	147	161
+	3	149	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	118
+	152	114
+	152	117
+	4	153	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	114
+	152	117
+	3	153	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	190
+	139	184
+	138	186
+	4	135	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	184
+	138	186
+	3	135	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	186
+	135	192
+	135	190
+	4	138	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	192
+	135	190
+	3	138	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	123
+	154	119
+	154	122
+	4	154	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	119
+	154	122
+	3	154	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	118
+	154	122
+	154	119
+	4	153	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	122
+	154	119
+	3	153	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	138
+	154	134
+	154	136
+	4	153	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	134
+	154	136
+	3	153	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	132
+	154	136
+	154	134
+	4	154	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	136
+	154	134
+	3	154	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	136
+	153	141
+	153	138
+	4	154	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	141
+	153	138
+	3	154	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	143
+	153	138
+	153	141
+	4	152	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	138
+	153	141
+	3	152	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	141
+	152	146
+	152	143
+	4	153	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	146
+	152	143
+	3	153	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	167
+	147	161
+	147	164
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	147	164
+	3	144	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	164
+	144	169
+	144	167
+	4	147	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	169
+	144	167
+	3	147	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	134
+	154	129
+	154	132
+	4	154	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	129
+	154	132
+	3	154	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	127
+	154	132
+	154	129
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	132
+	154	129
+	3	154	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	182
+	142	175
+	141	178
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	141	178
+	3	139	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	178
+	139	184
+	139	182
+	4	141	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	184
+	139	182
+	3	141	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	148
+	152	143
+	152	146
+	4	151	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	143
+	152	146
+	3	151	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	146
+	150	151
+	151	148
+	4	152	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	151
+	151	148
+	3	152	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	119
+	153	115
+	153	118
+	4	154	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	115
+	153	118
+	3	154	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	114
+	153	118
+	153	115
+	4	152	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	118
+	153	115
+	3	152	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	129
+	154	125
+	154	127
+	4	154	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	125
+	154	127
+	3	154	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	123
+	154	127
+	154	125
+	4	154	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	154	125
+	3	154	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	215
+	127	208
+	127	210
+	4	123	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	208
+	127	210
+	3	123	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	210
+	123	217
+	123	215
+	4	127	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	217
+	123	215
+	3	127	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	225
+	123	217
+	123	220
+	4	119	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	217
+	123	220
+	3	119	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	206
+	131	199
+	131	201
+	4	128	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	199
+	131	201
+	3	128	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	201
+	127	208
+	128	206
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	208
+	128	206
+	3	131	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	153
+	151	148
+	150	151
+	4	149	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	148
+	150	151
+	3	149	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	151
+	149	156
+	149	153
+	4	150	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	156
+	149	153
+	3	150	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	125
+	154	121
+	154	123
+	4	154	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	121
+	154	123
+	3	154	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	119
+	154	123
+	154	121
+	4	154	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	123
+	154	121
+	3	154	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	197
+	135	190
+	135	192
+	4	132	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	190
+	135	192
+	3	132	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	192
+	131	199
+	132	197
+	4	135	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	199
+	132	197
+	3	135	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	173
+	144	167
+	144	169
+	4	142	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	144	169
+	3	142	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	169
+	142	175
+	142	173
+	4	144	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	175
+	142	173
+	3	144	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	159
+	149	153
+	149	156
+	4	147	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	153
+	149	156
+	3	147	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	156
+	147	161
+	147	159
+	4	149	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	147	159
+	3	149	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	115
+	152	112
+	152	114
+	4	153	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	112
+	152	114
+	3	153	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	188
+	139	182
+	139	184
+	4	135	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	139	184
+	3	135	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	184
+	135	190
+	135	188
+	4	139	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	190
+	135	188
+	3	139	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	121
+	154	117
+	154	119
+	4	154	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	117
+	154	119
+	3	154	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	115
+	154	119
+	154	117
+	4	153	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	119
+	154	117
+	3	153	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	136
+	154	131
+	154	134
+	4	153	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	131
+	154	134
+	3	153	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	129
+	154	134
+	154	131
+	4	154	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	134
+	154	131
+	3	154	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	134
+	153	138
+	153	136
+	4	154	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	138
+	153	136
+	3	154	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	141
+	153	136
+	153	138
+	4	152	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	136
+	153	138
+	3	152	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	138
+	152	143
+	152	141
+	4	153	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	143
+	152	141
+	3	153	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	165
+	147	159
+	147	161
+	4	144	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	159
+	147	161
+	3	144	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	161
+	144	167
+	144	165
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	144	165
+	3	147	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	131
+	154	127
+	154	129
+	4	154	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	154	129
+	3	154	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	125
+	154	129
+	154	127
+	4	154	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	129
+	154	127
+	3	154	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	179
+	142	173
+	142	175
+	4	139	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	173
+	142	175
+	3	139	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	175
+	139	182
+	139	179
+	4	142	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	182
+	139	179
+	3	142	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	146
+	152	141
+	152	143
+	4	151	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	141
+	152	143
+	3	151	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	143
+	151	148
+	151	146
+	4	152	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	148
+	151	146
+	3	152	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	117
+	153	113
+	153	115
+	4	154	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	113
+	153	115
+	3	154	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	112
+	153	115
+	153	113
+	4	152	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	115
+	153	113
+	3	152	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	127
+	155	122
+	154	125
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	122
+	154	125
+	3	154	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	121
+	154	125
+	155	122
+	4	154	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	125
+	155	122
+	3	154	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	213
+	128	206
+	127	208
+	4	123	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	206
+	127	208
+	3	123	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	208
+	123	215
+	123	213
+	4	127	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	215
+	123	213
+	3	127	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	223
+	123	215
+	123	217
+	4	119	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	215
+	123	217
+	3	119	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	217
+	119	225
+	119	223
+	4	123	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	225
+	119	223
+	3	123	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	204
+	132	197
+	131	199
+	4	128	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	197
+	131	199
+	3	128	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	199
+	128	206
+	128	204
+	4	131	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	206
+	128	204
+	3	131	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	151
+	151	146
+	151	148
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	146
+	151	148
+	3	149	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	148
+	149	153
+	149	151
+	4	151	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	153
+	149	151
+	3	151	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	122
+	154	118
+	154	121
+	4	155	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	118
+	154	121
+	3	155	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	117
+	154	121
+	154	118
+	4	154	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	121
+	154	118
+	3	154	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	194
+	135	188
+	135	190
+	4	132	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	188
+	135	190
+	3	132	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	190
+	132	197
+	132	194
+	4	135	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	197
+	132	194
+	3	135	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	171
+	144	165
+	144	167
+	4	142	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	165
+	144	167
+	3	142	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	167
+	142	173
+	142	171
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	173
+	142	171
+	3	144	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	157
+	149	151
+	149	153
+	4	147	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	149	153
+	3	147	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	153
+	147	159
+	147	157
+	4	149	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	159
+	147	157
+	3	149	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	113
+	152	109
+	152	112
+	4	153	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	109
+	152	112
+	3	153	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	186
+	139	179
+	139	182
+	4	135	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	179
+	139	182
+	3	135	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	182
+	135	188
+	135	186
+	4	139	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	188
+	135	186
+	3	139	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	118
+	154	114
+	154	117
+	4	154	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	114
+	154	117
+	3	154	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	113
+	154	117
+	154	114
+	4	153	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	117
+	154	114
+	3	153	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	133
+	154	129
+	154	131
+	4	153	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	129
+	154	131
+	3	153	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	127
+	154	131
+	154	129
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	131
+	154	129
+	3	154	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	131
+	153	136
+	153	133
+	4	154	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	136
+	153	133
+	3	154	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	138
+	153	133
+	153	136
+	4	152	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	133
+	153	136
+	3	152	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	136
+	152	141
+	152	138
+	4	153	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	141
+	152	138
+	3	153	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	162
+	147	157
+	147	159
+	4	145	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	157
+	147	159
+	3	145	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	159
+	144	165
+	145	162
+	4	147	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	165
+	145	162
+	3	147	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	129
+	155	124
+	154	127
+	4	154	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	124
+	154	127
+	3	154	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	122
+	154	127
+	155	124
+	4	155	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	155	124
+	3	155	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	177
+	142	171
+	142	173
+	4	139	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	171
+	142	173
+	3	139	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	142	173
+	139	179
+	139	177
+	4	142	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	179
+	139	177
+	3	142	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	143
+	152	138
+	152	141
+	4	151	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	138
+	152	141
+	3	151	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	141
+	151	146
+	151	143
+	4	152	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	146
+	151	143
+	3	152	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	114
+	153	110
+	153	113
+	4	154	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	110
+	153	113
+	3	154	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	109
+	153	113
+	153	110
+	4	152	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	113
+	153	110
+	3	152	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	124
+	155	120
+	155	122
+	4	155	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	120
+	155	122
+	3	155	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	118
+	155	122
+	155	120
+	4	154	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	122
+	155	120
+	3	154	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	211
+	128	204
+	128	206
+	4	123	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	204
+	128	206
+	3	123	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	206
+	123	213
+	123	211
+	4	128	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	213
+	123	211
+	3	128	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	220
+	123	213
+	123	215
+	4	119	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	213
+	123	215
+	3	119	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	215
+	119	223
+	119	220
+	4	123	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	223
+	119	220
+	3	123	215	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	201
+	132	194
+	132	197
+	4	128	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	194
+	132	197
+	3	128	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	197
+	128	204
+	128	201
+	4	132	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	204
+	128	201
+	3	132	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	230
+	119	223
+	119	225
+	4	114	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	223
+	119	225
+	3	114	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	149
+	151	143
+	151	146
+	4	149	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	143
+	151	146
+	3	149	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	146
+	149	151
+	149	149
+	4	151	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	149	149
+	3	151	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	120
+	155	116
+	154	118
+	4	155	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	116
+	154	118
+	3	155	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	114
+	154	118
+	155	116
+	4	154	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	118
+	155	116
+	3	154	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	192
+	135	186
+	135	188
+	4	132	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	186
+	135	188
+	3	132	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	188
+	132	194
+	132	192
+	4	135	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	194
+	132	192
+	3	135	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	168
+	145	162
+	144	165
+	4	142	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	162
+	144	165
+	3	142	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	165
+	142	171
+	142	168
+	4	144	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	171
+	142	168
+	3	144	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	154
+	149	149
+	149	151
+	4	147	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	149
+	149	151
+	3	147	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	151
+	147	157
+	147	154
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	157
+	147	154
+	3	149	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	110
+	152	107
+	152	109
+	4	153	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	107
+	152	109
+	3	153	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	135	183
+	139	177
+	139	179
+	4	135	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	177
+	139	179
+	3	135	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	179
+	135	186
+	135	183
+	4	139	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	186
+	135	183
+	3	139	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	116
+	154	112
+	154	114
+	4	155	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	112
+	154	114
+	3	155	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	110
+	154	114
+	154	112
+	4	153	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	114
+	154	112
+	3	153	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	131
+	154	126
+	154	129
+	4	153	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	126
+	154	129
+	3	153	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	124
+	154	129
+	154	126
+	4	155	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	129
+	154	126
+	3	155	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	129
+	153	133
+	153	131
+	4	154	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	133
+	153	131
+	3	154	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	136
+	153	131
+	153	133
+	4	152	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	131
+	153	133
+	3	152	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	133
+	152	138
+	152	136
+	4	153	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	138
+	152	136
+	3	153	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	160
+	147	154
+	147	157
+	4	145	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	154
+	147	157
+	3	145	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	157
+	145	162
+	145	160
+	4	147	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	162
+	145	160
+	3	147	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	126
+	155	122
+	155	124
+	4	154	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	122
+	155	124
+	3	154	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	120
+	155	124
+	155	122
+	4	155	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	124
+	155	122
+	3	155	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	174
+	142	168
+	142	171
+	4	139	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	168
+	142	171
+	3	139	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	171
+	139	177
+	139	174
+	4	142	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	177
+	139	174
+	3	142	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	141
+	152	136
+	152	138
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	136
+	152	138
+	3	151	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	138
+	151	143
+	151	141
+	4	152	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	143
+	151	141
+	3	152	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	112
+	153	108
+	153	110
+	4	154	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	108
+	153	110
+	3	154	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	107
+	153	110
+	153	108
+	4	152	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	110
+	153	108
+	3	152	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	122
+	155	117
+	155	120
+	4	155	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	155	120
+	3	155	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	116
+	155	120
+	155	117
+	4	155	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	120
+	155	117
+	3	155	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	208
+	128	201
+	128	204
+	4	123	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	201
+	128	204
+	3	123	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	204
+	123	211
+	123	208
+	4	128	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	211
+	123	208
+	3	128	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	218
+	123	211
+	123	213
+	4	119	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	211
+	123	213
+	3	119	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	213
+	119	220
+	119	218
+	4	123	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	220
+	119	218
+	3	123	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	199
+	132	192
+	132	194
+	4	128	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	192
+	132	194
+	3	128	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	194
+	128	201
+	128	199
+	4	132	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	201
+	128	199
+	3	132	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	228
+	119	220
+	119	223
+	4	114	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	220
+	119	223
+	3	114	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	223
+	114	230
+	114	228
+	4	119	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	230
+	114	228
+	3	119	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	146
+	151	141
+	151	143
+	4	149	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	151	143
+	3	149	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	143
+	149	149
+	149	146
+	4	151	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	149
+	149	146
+	3	151	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	117
+	155	113
+	155	116
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	113
+	155	116
+	3	155	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	112
+	155	116
+	155	113
+	4	154	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	116
+	155	113
+	3	154	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	190
+	135	183
+	135	186
+	4	132	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	183
+	135	186
+	3	132	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	186
+	132	192
+	132	190
+	4	135	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	192
+	132	190
+	3	135	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	166
+	145	160
+	145	162
+	4	142	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	160
+	145	162
+	3	142	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	162
+	142	168
+	142	166
+	4	145	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	168
+	142	166
+	3	145	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	152
+	149	146
+	149	149
+	4	147	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	146
+	149	149
+	3	147	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	149
+	147	154
+	147	152
+	4	149	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	154
+	147	152
+	3	149	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	108
+	152	104
+	152	107
+	4	153	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	104
+	152	107
+	3	153	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	181
+	139	174
+	139	177
+	4	135	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	174
+	139	177
+	3	135	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	177
+	135	183
+	135	181
+	4	139	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	183
+	135	181
+	3	139	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	113
+	154	109
+	154	112
+	4	155	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	109
+	154	112
+	3	155	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	108
+	154	112
+	154	109
+	4	153	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	112
+	154	109
+	3	153	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	128
+	154	124
+	154	126
+	4	154	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	124
+	154	126
+	3	154	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	122
+	154	126
+	154	124
+	4	155	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	126
+	154	124
+	3	155	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	126
+	153	131
+	154	128
+	4	154	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	131
+	154	128
+	3	154	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	133
+	154	128
+	153	131
+	4	152	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	128
+	153	131
+	3	152	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	131
+	152	136
+	152	133
+	4	153	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	136
+	152	133
+	3	153	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	157
+	147	152
+	147	154
+	4	145	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	152
+	147	154
+	3	145	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	154
+	145	160
+	145	157
+	4	147	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	160
+	145	157
+	3	147	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	124
+	155	119
+	155	122
+	4	154	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	119
+	155	122
+	3	154	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	117
+	155	122
+	155	119
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	122
+	155	119
+	3	155	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	172
+	142	166
+	142	168
+	4	139	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	166
+	142	168
+	3	139	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	168
+	139	174
+	139	172
+	4	142	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	174
+	139	172
+	3	142	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	138
+	152	133
+	152	136
+	4	151	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	133
+	152	136
+	3	151	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	136
+	151	141
+	151	138
+	4	152	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	141
+	151	138
+	3	152	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	109
+	153	105
+	153	108
+	4	154	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	105
+	153	108
+	3	154	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	104
+	153	108
+	153	105
+	4	152	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	108
+	153	105
+	3	152	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	119
+	155	115
+	155	117
+	4	155	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	115
+	155	117
+	3	155	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	113
+	155	117
+	155	115
+	4	155	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	155	115
+	3	155	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	206
+	128	199
+	128	201
+	4	123	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	199
+	128	201
+	3	123	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	201
+	123	208
+	123	206
+	4	128	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	208
+	123	206
+	3	128	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	216
+	123	208
+	123	211
+	4	119	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	208
+	123	211
+	3	119	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	211
+	119	218
+	119	216
+	4	123	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	218
+	119	216
+	3	123	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	197
+	132	190
+	132	192
+	4	128	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	190
+	132	192
+	3	128	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	192
+	128	199
+	128	197
+	4	132	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	199
+	128	197
+	3	132	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	226
+	119	218
+	119	220
+	4	114	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	218
+	119	220
+	3	114	226	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	220
+	114	228
+	114	226
+	4	119	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	228
+	114	226
+	3	119	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	144
+	151	138
+	151	141
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	138
+	151	141
+	3	149	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	141
+	149	146
+	149	144
+	4	151	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	146
+	149	144
+	3	151	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	115
+	155	110
+	155	113
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	110
+	155	113
+	3	155	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	109
+	155	113
+	155	110
+	4	154	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	113
+	155	110
+	3	154	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	187
+	135	181
+	135	183
+	4	132	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	181
+	135	183
+	3	132	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	183
+	132	190
+	132	187
+	4	135	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	190
+	132	187
+	3	135	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	163
+	145	157
+	145	160
+	4	142	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	157
+	145	160
+	3	142	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	160
+	142	166
+	142	163
+	4	145	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	166
+	142	163
+	3	145	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	236
+	114	228
+	114	230
+	4	108	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	228
+	114	230
+	3	108	236	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	149
+	149	144
+	149	146
+	4	147	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	149	146
+	3	147	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	146
+	147	152
+	147	149
+	4	149	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	152
+	147	149
+	3	149	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	178
+	139	172
+	139	174
+	4	136	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	172
+	139	174
+	3	136	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	174
+	135	181
+	136	178
+	4	139	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	181
+	136	178
+	3	139	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	110
+	154	107
+	154	109
+	4	155	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	107
+	154	109
+	3	155	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	105
+	154	109
+	154	107
+	4	153	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	109
+	154	107
+	3	153	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	126
+	154	121
+	154	124
+	4	154	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	121
+	154	124
+	3	154	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	119
+	154	124
+	154	121
+	4	155	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	124
+	154	121
+	3	155	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	124
+	154	128
+	154	126
+	4	154	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	128
+	154	126
+	3	154	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	131
+	154	126
+	154	128
+	4	153	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	126
+	154	128
+	3	153	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	128
+	152	133
+	153	131
+	4	154	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	133
+	153	131
+	3	154	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	155
+	147	149
+	147	152
+	4	145	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	149
+	147	152
+	3	145	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	152
+	145	157
+	145	155
+	4	147	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	157
+	145	155
+	3	147	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	121
+	155	116
+	155	119
+	4	154	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	116
+	155	119
+	3	154	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	115
+	155	119
+	155	116
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	119
+	155	116
+	3	155	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	170
+	142	163
+	142	166
+	4	139	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	163
+	142	166
+	3	139	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	166
+	139	172
+	139	170
+	4	142	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	172
+	139	170
+	3	142	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	136
+	153	131
+	152	133
+	4	151	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	131
+	152	133
+	3	151	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	133
+	151	138
+	151	136
+	4	152	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	138
+	151	136
+	3	152	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	116
+	155	112
+	155	115
+	4	155	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	112
+	155	115
+	3	155	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	110
+	155	115
+	155	112
+	4	155	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	115
+	155	112
+	3	155	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	204
+	128	197
+	128	199
+	4	123	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	197
+	128	199
+	3	123	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	199
+	123	206
+	123	204
+	4	128	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	206
+	123	204
+	3	128	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	213
+	123	206
+	123	208
+	4	119	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	206
+	123	208
+	3	119	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	208
+	119	216
+	119	213
+	4	123	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	216
+	119	213
+	3	123	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	194
+	132	187
+	132	190
+	4	128	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	187
+	132	190
+	3	128	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	190
+	128	197
+	128	194
+	4	132	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	197
+	128	194
+	3	132	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	223
+	119	216
+	119	218
+	4	114	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	216
+	119	218
+	3	114	223	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	218
+	114	226
+	114	223
+	4	119	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	226
+	114	223
+	3	119	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	141
+	151	136
+	151	138
+	4	149	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	136
+	151	138
+	3	149	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	138
+	149	144
+	149	141
+	4	151	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	144
+	149	141
+	3	151	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	112
+	155	108
+	155	110
+	4	155	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	108
+	155	110
+	3	155	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	107
+	155	110
+	155	108
+	4	154	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	110
+	155	108
+	3	154	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	185
+	136	178
+	135	181
+	4	132	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	178
+	135	181
+	3	132	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	135	181
+	132	187
+	132	185
+	4	135	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	187
+	132	185
+	3	135	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	161
+	145	155
+	145	157
+	4	142	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	155
+	145	157
+	3	142	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	157
+	142	163
+	142	161
+	4	145	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	163
+	142	161
+	3	145	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	234
+	114	226
+	114	228
+	4	108	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	226
+	114	228
+	3	108	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	228
+	108	236
+	108	234
+	4	114	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	236
+	108	234
+	3	114	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	147
+	149	141
+	149	144
+	4	147	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	141
+	149	144
+	3	147	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	144
+	147	149
+	147	147
+	4	149	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	149
+	147	147
+	3	149	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	176
+	139	170
+	139	172
+	4	136	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	170
+	139	172
+	3	136	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	172
+	136	178
+	136	176
+	4	139	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	178
+	136	176
+	3	139	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	123
+	155	118
+	154	121
+	4	154	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	118
+	154	121
+	3	154	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	116
+	154	121
+	155	118
+	4	155	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	121
+	155	118
+	3	155	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	121
+	154	126
+	154	123
+	4	154	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	126
+	154	123
+	3	154	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	128
+	154	123
+	154	126
+	4	153	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	123
+	154	126
+	3	153	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	126
+	153	131
+	153	128
+	4	154	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	131
+	153	128
+	3	154	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	153
+	147	147
+	147	149
+	4	145	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	147
+	147	149
+	3	145	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	149
+	145	155
+	145	153
+	4	147	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	155
+	145	153
+	3	147	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	118
+	155	114
+	155	116
+	4	155	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	114
+	155	116
+	3	155	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	112
+	155	116
+	155	114
+	4	155	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	116
+	155	114
+	3	155	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	167
+	142	161
+	142	163
+	4	139	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	161
+	142	163
+	3	139	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	163
+	139	170
+	139	167
+	4	142	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	170
+	139	167
+	3	142	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	133
+	153	128
+	153	131
+	4	151	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	128
+	153	131
+	3	151	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	131
+	151	136
+	151	133
+	4	153	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	136
+	151	133
+	3	153	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	114
+	155	110
+	155	112
+	4	155	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	110
+	155	112
+	3	155	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	108
+	155	112
+	155	110
+	4	155	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	112
+	155	110
+	3	155	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	201
+	128	194
+	128	197
+	4	123	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	194
+	128	197
+	3	123	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	197
+	123	204
+	123	201
+	4	128	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	204
+	123	201
+	3	128	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	211
+	123	204
+	123	206
+	4	119	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	204
+	123	206
+	3	119	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	206
+	119	213
+	119	211
+	4	123	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	213
+	119	211
+	3	123	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	192
+	132	185
+	132	187
+	4	128	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	185
+	132	187
+	3	128	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	187
+	128	194
+	128	192
+	4	132	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	194
+	128	192
+	3	132	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	221
+	119	213
+	119	216
+	4	114	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	213
+	119	216
+	3	114	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	216
+	114	223
+	114	221
+	4	119	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	223
+	114	221
+	3	119	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	139
+	151	133
+	151	136
+	4	149	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	133
+	151	136
+	3	149	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	136
+	149	141
+	149	139
+	4	151	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	141
+	149	139
+	3	151	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	183
+	136	176
+	136	178
+	4	132	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	176
+	136	178
+	3	132	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	178
+	132	185
+	132	183
+	4	136	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	185
+	132	183
+	3	136	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	159
+	145	153
+	145	155
+	4	142	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	153
+	145	155
+	3	142	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	155
+	142	161
+	142	159
+	4	145	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	161
+	142	159
+	3	145	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	231
+	114	223
+	114	226
+	4	108	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	223
+	114	226
+	3	108	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	226
+	108	234
+	108	231
+	4	114	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	234
+	108	231
+	3	114	226	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	144
+	149	139
+	149	141
+	4	147	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	139
+	149	141
+	3	147	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	141
+	147	147
+	147	144
+	4	149	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	147
+	147	144
+	3	149	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	174
+	139	167
+	139	170
+	4	136	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	167
+	139	170
+	3	136	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	170
+	136	176
+	136	174
+	4	139	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	176
+	136	174
+	3	139	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	242
+	108	234
+	108	236
+	4	102	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	234
+	108	236
+	3	102	242	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	121
+	155	116
+	155	118
+	4	154	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	116
+	155	118
+	3	154	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	114
+	155	118
+	155	116
+	4	155	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	118
+	155	116
+	3	155	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	118
+	154	123
+	154	121
+	4	155	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	123
+	154	121
+	3	155	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	126
+	154	121
+	154	123
+	4	153	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	121
+	154	123
+	3	153	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	123
+	153	128
+	153	126
+	4	154	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	128
+	153	126
+	3	154	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	150
+	147	144
+	147	147
+	4	145	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	144
+	147	147
+	3	145	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	147
+	145	153
+	145	150
+	4	147	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	153
+	145	150
+	3	147	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	116
+	155	111
+	155	114
+	4	155	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	111
+	155	114
+	3	155	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	110
+	155	114
+	155	111
+	4	155	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	114
+	155	111
+	3	155	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	165
+	142	159
+	142	161
+	4	139	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	159
+	142	161
+	3	139	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	161
+	139	167
+	139	165
+	4	142	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	167
+	139	165
+	3	142	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	131
+	153	126
+	153	128
+	4	151	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	126
+	153	128
+	3	151	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	128
+	151	133
+	151	131
+	4	153	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	133
+	151	131
+	3	153	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	199
+	128	192
+	128	194
+	4	123	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	192
+	128	194
+	3	123	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	194
+	123	201
+	123	199
+	4	128	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	201
+	123	199
+	3	128	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	209
+	123	201
+	123	204
+	4	119	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	201
+	123	204
+	3	119	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	204
+	119	211
+	119	209
+	4	123	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	211
+	119	209
+	3	123	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	190
+	132	183
+	132	185
+	4	128	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	183
+	132	185
+	3	128	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	185
+	128	192
+	128	190
+	4	132	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	192
+	128	190
+	3	132	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	219
+	119	211
+	119	213
+	4	114	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	211
+	119	213
+	3	114	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	213
+	114	221
+	114	219
+	4	119	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	221
+	114	219
+	3	119	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	136
+	151	131
+	151	133
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	131
+	151	133
+	3	150	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	133
+	149	139
+	150	136
+	4	151	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	139
+	150	136
+	3	151	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	180
+	136	174
+	136	176
+	4	132	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	174
+	136	176
+	3	132	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	176
+	132	183
+	132	180
+	4	136	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	183
+	132	180
+	3	136	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	156
+	145	150
+	145	153
+	4	142	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	150
+	145	153
+	3	142	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	153
+	142	159
+	142	156
+	4	145	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	159
+	142	156
+	3	145	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	229
+	114	221
+	114	223
+	4	108	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	221
+	114	223
+	3	108	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	223
+	108	231
+	108	229
+	4	114	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	231
+	108	229
+	3	114	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	142
+	150	136
+	149	139
+	4	148	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	149	139
+	3	148	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	139
+	147	144
+	148	142
+	4	149	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	144
+	148	142
+	3	149	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	171
+	139	165
+	139	167
+	4	136	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	165
+	139	167
+	3	136	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	167
+	136	174
+	136	171
+	4	139	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	174
+	136	171
+	3	139	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	239
+	108	231
+	108	234
+	4	102	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	231
+	108	234
+	3	102	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	234
+	102	242
+	102	239
+	4	108	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	242
+	102	239
+	3	108	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	118
+	155	113
+	155	116
+	4	154	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	113
+	155	116
+	3	154	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	111
+	155	116
+	155	113
+	4	155	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	116
+	155	113
+	3	155	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	116
+	154	121
+	154	118
+	4	155	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	121
+	154	118
+	3	155	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	123
+	154	118
+	154	121
+	4	153	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	118
+	154	121
+	3	153	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	121
+	153	126
+	153	123
+	4	154	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	126
+	153	123
+	3	154	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	148
+	148	142
+	147	144
+	4	145	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	142
+	147	144
+	3	145	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	144
+	145	150
+	145	148
+	4	147	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	150
+	145	148
+	3	147	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	162
+	142	156
+	142	159
+	4	139	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	156
+	142	159
+	3	139	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	159
+	139	165
+	139	162
+	4	142	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	165
+	139	162
+	3	142	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	128
+	153	123
+	153	126
+	4	151	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	123
+	153	126
+	3	151	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	126
+	151	131
+	151	128
+	4	153	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	131
+	151	128
+	3	153	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	123	197
+	128	190
+	128	192
+	4	123	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	190
+	128	192
+	3	123	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	192
+	123	199
+	123	197
+	4	128	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	199
+	123	197
+	3	128	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	207
+	123	199
+	123	201
+	4	119	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	199
+	123	201
+	3	119	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	201
+	119	209
+	119	207
+	4	123	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	209
+	119	207
+	3	123	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	187
+	132	180
+	132	183
+	4	128	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	180
+	132	183
+	3	128	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	183
+	128	190
+	128	187
+	4	132	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	190
+	128	187
+	3	132	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	217
+	119	209
+	119	211
+	4	114	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	209
+	119	211
+	3	114	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	211
+	114	219
+	114	217
+	4	119	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	219
+	114	217
+	3	119	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	134
+	151	128
+	151	131
+	4	150	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	128
+	151	131
+	3	150	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	131
+	150	136
+	150	134
+	4	151	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	136
+	150	134
+	3	151	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	178
+	136	171
+	136	174
+	4	132	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	171
+	136	174
+	3	132	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	174
+	132	180
+	132	178
+	4	136	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	180
+	132	178
+	3	136	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	154
+	145	148
+	145	150
+	4	142	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	148
+	145	150
+	3	142	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	150
+	142	156
+	142	154
+	4	145	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	156
+	142	154
+	3	145	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	227
+	114	219
+	114	221
+	4	108	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	219
+	114	221
+	3	108	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	221
+	108	229
+	108	227
+	4	114	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	229
+	108	227
+	3	114	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	139
+	150	134
+	150	136
+	4	148	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	134
+	150	136
+	3	148	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	136
+	148	142
+	148	139
+	4	150	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	142
+	148	139
+	3	150	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	169
+	139	162
+	139	165
+	4	136	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	162
+	139	165
+	3	136	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	165
+	136	171
+	136	169
+	4	139	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	171
+	136	169
+	3	139	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	237
+	108	229
+	108	231
+	4	102	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	229
+	108	231
+	3	102	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	231
+	102	239
+	102	237
+	4	108	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	239
+	102	237
+	3	108	231	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	113
+	154	118
+	154	116
+	4	155	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	118
+	154	116
+	3	155	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	121
+	154	116
+	154	118
+	4	153	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	116
+	154	118
+	3	153	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	118
+	153	123
+	153	121
+	4	154	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	123
+	153	121
+	3	154	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	145
+	148	139
+	148	142
+	4	145	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	139
+	148	142
+	3	145	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	142
+	145	148
+	145	145
+	4	148	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	148
+	145	145
+	3	148	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	160
+	142	154
+	142	156
+	4	139	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	154
+	142	156
+	3	139	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	156
+	139	162
+	139	160
+	4	142	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	162
+	139	160
+	3	142	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	126
+	153	121
+	153	123
+	4	152	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	121
+	153	123
+	3	152	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	123
+	151	128
+	152	126
+	4	153	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	128
+	152	126
+	3	153	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	248
+	102	239
+	102	242
+	4	96	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	239
+	102	242
+	3	96	248	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	194
+	128	187
+	128	190
+	4	124	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	187
+	128	190
+	3	124	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	190
+	123	197
+	124	194
+	4	128	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	197
+	124	194
+	3	128	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	204
+	123	197
+	123	199
+	4	119	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	197
+	123	199
+	3	119	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	199
+	119	207
+	119	204
+	4	123	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	207
+	119	204
+	3	123	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	185
+	132	178
+	132	180
+	4	128	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	178
+	132	180
+	3	128	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	180
+	128	187
+	128	185
+	4	132	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	187
+	128	185
+	3	132	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	214
+	119	207
+	119	209
+	4	114	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	207
+	119	209
+	3	114	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	209
+	114	217
+	114	214
+	4	119	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	217
+	114	214
+	3	119	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	131
+	152	126
+	151	128
+	4	150	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	126
+	151	128
+	3	150	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	128
+	150	134
+	150	131
+	4	151	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	134
+	150	131
+	3	151	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	176
+	136	169
+	136	171
+	4	132	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	169
+	136	171
+	3	132	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	171
+	132	178
+	132	176
+	4	136	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	178
+	132	176
+	3	136	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	151
+	145	145
+	145	148
+	4	142	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	145
+	145	148
+	3	142	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	148
+	142	154
+	142	151
+	4	145	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	154
+	142	151
+	3	145	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	224
+	114	217
+	114	219
+	4	108	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	217
+	114	219
+	3	108	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	219
+	108	227
+	108	224
+	4	114	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	227
+	108	224
+	3	114	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	137
+	150	131
+	150	134
+	4	148	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	131
+	150	134
+	3	148	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	134
+	148	139
+	148	137
+	4	150	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	139
+	148	137
+	3	150	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	166
+	139	160
+	139	162
+	4	136	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	160
+	139	162
+	3	136	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	162
+	136	169
+	136	166
+	4	139	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	169
+	136	166
+	3	139	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	235
+	108	227
+	108	229
+	4	102	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	227
+	108	229
+	3	102	235	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	229
+	102	237
+	102	235
+	4	108	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	237
+	102	235
+	3	108	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	116
+	153	121
+	153	118
+	4	154	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	121
+	153	118
+	3	154	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	143
+	148	137
+	148	139
+	4	145	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	137
+	148	139
+	3	145	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	139
+	145	145
+	145	143
+	4	148	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	145
+	145	143
+	3	148	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	157
+	142	151
+	142	154
+	4	139	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	151
+	142	154
+	3	139	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	154
+	139	160
+	139	157
+	4	142	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	160
+	139	157
+	3	142	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	123
+	153	118
+	153	121
+	4	152	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	118
+	153	121
+	3	152	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	121
+	152	126
+	152	123
+	4	153	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	126
+	152	123
+	3	153	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	246
+	102	237
+	102	239
+	4	96	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	237
+	102	239
+	3	96	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	239
+	96	248
+	96	246
+	4	102	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	248
+	96	246
+	3	102	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	192
+	128	185
+	128	187
+	4	124	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	185
+	128	187
+	3	124	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	187
+	124	194
+	124	192
+	4	128	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	194
+	124	192
+	3	128	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	119	202
+	124	194
+	123	197
+	4	119	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	194
+	123	197
+	3	119	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	197
+	119	204
+	119	202
+	4	123	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	204
+	119	202
+	3	123	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	183
+	132	176
+	132	178
+	4	128	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	176
+	132	178
+	3	128	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	178
+	128	185
+	128	183
+	4	132	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	185
+	128	183
+	3	132	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	212
+	119	204
+	119	207
+	4	114	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	204
+	119	207
+	3	114	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	207
+	114	214
+	114	212
+	4	119	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	214
+	114	212
+	3	119	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	129
+	152	123
+	152	126
+	4	150	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	123
+	152	126
+	3	150	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	126
+	150	131
+	150	129
+	4	152	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	131
+	150	129
+	3	152	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	173
+	136	166
+	136	169
+	4	132	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	166
+	136	169
+	3	132	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	169
+	132	176
+	132	173
+	4	136	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	176
+	132	173
+	3	136	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	149
+	145	143
+	145	145
+	4	143	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	143
+	145	145
+	3	143	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	145
+	142	151
+	143	149
+	4	145	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	151
+	143	149
+	3	145	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	222
+	114	214
+	114	217
+	4	108	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	214
+	114	217
+	3	108	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	217
+	108	224
+	108	222
+	4	114	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	224
+	108	222
+	3	114	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	134
+	150	129
+	150	131
+	4	148	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	129
+	150	131
+	3	148	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	131
+	148	137
+	148	134
+	4	150	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	137
+	148	134
+	3	150	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	164
+	139	157
+	139	160
+	4	136	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	157
+	139	160
+	3	136	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	160
+	136	166
+	136	164
+	4	139	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	166
+	136	164
+	3	139	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	233
+	108	224
+	108	227
+	4	102	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	224
+	108	227
+	3	102	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	227
+	102	235
+	102	233
+	4	108	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	235
+	102	233
+	3	108	227	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	140
+	148	134
+	148	137
+	4	145	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	134
+	148	137
+	3	145	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	137
+	145	143
+	145	140
+	4	148	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	143
+	145	140
+	3	148	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	155
+	143	149
+	142	151
+	4	139	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	149
+	142	151
+	3	139	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	151
+	139	157
+	139	155
+	4	142	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	157
+	139	155
+	3	142	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	118
+	152	123
+	152	121
+	4	153	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	123
+	152	121
+	3	153	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	243
+	102	235
+	102	237
+	4	96	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	235
+	102	237
+	3	96	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	237
+	96	246
+	96	243
+	4	102	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	246
+	96	243
+	3	102	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	190
+	128	183
+	128	185
+	4	124	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	183
+	128	185
+	3	124	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	185
+	124	192
+	124	190
+	4	128	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	192
+	124	190
+	3	128	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	200
+	124	192
+	124	194
+	4	119	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	192
+	124	194
+	3	119	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	124	194
+	119	202
+	119	200
+	4	124	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	202
+	119	200
+	3	124	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	180
+	132	173
+	132	176
+	4	128	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	173
+	132	176
+	3	128	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	176
+	128	183
+	128	180
+	4	132	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	183
+	128	180
+	3	132	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	210
+	119	202
+	119	204
+	4	114	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	202
+	119	204
+	3	114	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	204
+	114	212
+	114	210
+	4	119	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	212
+	114	210
+	3	119	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	126
+	152	121
+	152	123
+	4	150	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	121
+	152	123
+	3	150	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	123
+	150	129
+	150	126
+	4	152	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	129
+	150	126
+	3	152	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	171
+	136	164
+	136	166
+	4	132	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	164
+	136	166
+	3	132	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	166
+	132	173
+	132	171
+	4	136	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	173
+	132	171
+	3	136	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	146
+	145	140
+	145	143
+	4	143	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	140
+	145	143
+	3	143	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	143
+	143	149
+	143	146
+	4	145	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	149
+	143	146
+	3	145	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	220
+	114	212
+	114	214
+	4	108	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	212
+	114	214
+	3	108	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	214
+	108	222
+	108	220
+	4	114	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	222
+	108	220
+	3	114	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	132
+	150	126
+	150	129
+	4	148	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	126
+	150	129
+	3	148	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	129
+	148	134
+	148	132
+	4	150	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	134
+	148	132
+	3	150	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	255
+	96	246
+	96	248
+	4	90	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	246
+	96	248
+	3	90	255	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	161
+	139	155
+	139	157
+	4	136	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	155
+	139	157
+	3	136	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	157
+	136	164
+	136	161
+	4	139	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	164
+	136	161
+	3	139	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	230
+	108	222
+	108	224
+	4	102	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	222
+	108	224
+	3	102	230	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	224
+	102	233
+	102	230
+	4	108	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	233
+	102	230
+	3	108	224	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	138
+	148	132
+	148	134
+	4	146	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	132
+	148	134
+	3	146	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	134
+	145	140
+	146	138
+	4	148	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	140
+	146	138
+	3	148	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	152
+	143	146
+	143	149
+	4	140	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	146
+	143	149
+	3	140	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	149
+	139	155
+	140	152
+	4	143	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	155
+	140	152
+	3	143	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	241
+	102	233
+	102	235
+	4	96	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	233
+	102	235
+	3	96	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	235
+	96	243
+	96	241
+	4	102	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	243
+	96	241
+	3	102	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	187
+	128	180
+	128	183
+	4	124	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	180
+	128	183
+	3	124	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	183
+	124	190
+	124	187
+	4	128	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	190
+	124	187
+	3	128	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	197
+	124	190
+	124	192
+	4	119	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	190
+	124	192
+	3	119	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	192
+	119	200
+	119	197
+	4	124	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	200
+	119	197
+	3	124	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	178
+	132	171
+	132	173
+	4	128	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	171
+	132	173
+	3	128	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	173
+	128	180
+	128	178
+	4	132	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	180
+	128	178
+	3	132	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	114	207
+	119	200
+	119	202
+	4	114	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	200
+	119	202
+	3	114	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	202
+	114	210
+	114	207
+	4	119	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	210
+	114	207
+	3	119	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	121
+	150	126
+	150	123
+	4	152	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	126
+	150	123
+	3	152	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	168
+	136	161
+	136	164
+	4	132	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	161
+	136	164
+	3	132	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	164
+	132	171
+	132	168
+	4	136	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	171
+	132	168
+	3	136	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	144
+	146	138
+	145	140
+	4	143	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	138
+	145	140
+	3	143	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	140
+	143	146
+	143	144
+	4	145	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	146
+	143	144
+	3	145	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	218
+	114	210
+	114	212
+	4	108	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	210
+	114	212
+	3	108	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	212
+	108	220
+	108	218
+	4	114	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	220
+	108	218
+	3	114	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	129
+	150	123
+	150	126
+	4	148	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	123
+	150	126
+	3	148	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	126
+	148	132
+	148	129
+	4	150	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	132
+	148	129
+	3	150	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	252
+	96	243
+	96	246
+	4	90	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	243
+	96	246
+	3	90	252	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	246
+	90	255
+	90	252
+	4	96	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	255
+	90	252
+	3	96	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	159
+	140	152
+	139	155
+	4	136	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	152
+	139	155
+	3	136	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	155
+	136	161
+	136	159
+	4	139	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	161
+	136	159
+	3	139	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	228
+	108	220
+	108	222
+	4	102	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	220
+	108	222
+	3	102	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	222
+	102	230
+	102	228
+	4	108	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	230
+	102	228
+	3	108	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	135
+	148	129
+	148	132
+	4	146	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	129
+	148	132
+	3	146	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	132
+	146	138
+	146	135
+	4	148	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	138
+	146	135
+	3	148	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	150
+	143	144
+	143	146
+	4	140	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	144
+	143	146
+	3	140	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	146
+	140	152
+	140	150
+	4	143	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	152
+	140	150
+	3	143	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	239
+	102	230
+	102	233
+	4	96	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	230
+	102	233
+	3	96	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	233
+	96	241
+	96	239
+	4	102	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	241
+	96	239
+	3	102	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	185
+	128	178
+	128	180
+	4	124	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	178
+	128	180
+	3	124	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	180
+	124	187
+	124	185
+	4	128	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	187
+	124	185
+	3	128	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	195
+	124	187
+	124	190
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	187
+	124	190
+	3	119	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	190
+	119	197
+	119	195
+	4	124	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	197
+	119	195
+	3	124	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	175
+	132	168
+	132	171
+	4	128	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	168
+	132	171
+	3	128	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	171
+	128	178
+	128	175
+	4	132	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	178
+	128	175
+	3	132	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	205
+	119	197
+	119	200
+	4	114	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	197
+	119	200
+	3	114	205	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	119	200
+	114	207
+	114	205
+	4	119	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	207
+	114	205
+	3	119	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	166
+	136	159
+	136	161
+	4	132	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	159
+	136	161
+	3	132	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	161
+	132	168
+	132	166
+	4	136	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	168
+	132	166
+	3	136	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	141
+	146	135
+	146	138
+	4	143	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	135
+	146	138
+	3	143	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	138
+	143	144
+	143	141
+	4	146	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	144
+	143	141
+	3	146	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	215
+	114	207
+	114	210
+	4	108	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	207
+	114	210
+	3	108	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	210
+	108	218
+	108	215
+	4	114	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	218
+	108	215
+	3	114	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	123
+	148	129
+	148	127
+	4	150	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	129
+	148	127
+	3	150	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	250
+	96	241
+	96	243
+	4	89	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	241
+	96	243
+	3	89	250	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	243
+	90	252
+	89	250
+	4	96	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	252
+	89	250
+	3	96	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	157
+	140	150
+	140	152
+	4	136	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	150
+	140	152
+	3	136	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	152
+	136	159
+	136	157
+	4	140	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	159
+	136	157
+	3	140	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	226
+	108	218
+	108	220
+	4	102	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	218
+	108	220
+	3	102	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	220
+	102	228
+	102	226
+	4	108	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	228
+	102	226
+	3	108	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	132
+	148	127
+	148	129
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	127
+	148	129
+	3	146	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	129
+	146	135
+	146	132
+	4	148	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	135
+	146	132
+	3	148	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	147
+	143	141
+	143	144
+	4	140	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	141
+	143	144
+	3	140	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	144
+	140	150
+	140	147
+	4	143	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	150
+	140	147
+	3	143	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	237
+	102	228
+	102	230
+	4	96	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	228
+	102	230
+	3	96	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	230
+	96	239
+	96	237
+	4	102	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	239
+	96	237
+	3	102	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	261
+	90	252
+	90	255
+	4	83	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	252
+	90	255
+	3	83	261	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	182
+	128	175
+	128	178
+	4	124	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	175
+	128	178
+	3	124	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	178
+	124	185
+	124	182
+	4	128	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	185
+	124	182
+	3	128	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	192
+	124	185
+	124	187
+	4	119	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	185
+	124	187
+	3	119	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	187
+	119	195
+	119	192
+	4	124	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	119	192
+	3	124	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	173
+	132	166
+	132	168
+	4	128	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	166
+	132	168
+	3	128	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	168
+	128	175
+	128	173
+	4	132	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	175
+	128	173
+	3	132	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	203
+	119	195
+	119	197
+	4	114	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	195
+	119	197
+	3	114	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	197
+	114	205
+	114	203
+	4	119	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	205
+	114	203
+	3	119	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	163
+	136	157
+	136	159
+	4	132	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	157
+	136	159
+	3	132	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	159
+	132	166
+	132	163
+	4	136	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	166
+	132	163
+	3	136	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	139
+	146	132
+	146	135
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	146	135
+	3	143	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	135
+	143	141
+	143	139
+	4	146	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	141
+	143	139
+	3	146	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	213
+	114	205
+	114	207
+	4	108	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	205
+	114	207
+	3	108	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	207
+	108	215
+	108	213
+	4	114	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	215
+	108	213
+	3	114	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	248
+	96	239
+	96	241
+	4	89	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	239
+	96	241
+	3	89	248	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	241
+	89	250
+	89	248
+	4	96	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	250
+	89	248
+	3	96	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	154
+	140	147
+	140	150
+	4	136	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	147
+	140	150
+	3	136	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	150
+	136	157
+	136	154
+	4	140	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	157
+	136	154
+	3	140	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	224
+	108	215
+	108	218
+	4	102	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	215
+	108	218
+	3	102	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	218
+	102	226
+	102	224
+	4	108	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	226
+	102	224
+	3	108	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	127
+	146	132
+	146	130
+	4	148	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	146	130
+	3	148	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	145
+	143	139
+	143	141
+	4	140	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	143	141
+	3	140	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	141
+	140	147
+	140	145
+	4	143	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	147
+	140	145
+	3	143	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	234
+	102	226
+	102	228
+	4	96	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	226
+	102	228
+	3	96	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	228
+	96	237
+	96	234
+	4	102	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	237
+	96	234
+	3	102	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	259
+	89	250
+	90	252
+	4	82	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	250
+	90	252
+	3	82	259	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	252
+	83	261
+	82	259
+	4	90	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	261
+	82	259
+	3	90	252	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	180
+	128	173
+	128	175
+	4	124	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	173
+	128	175
+	3	124	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	175
+	124	182
+	124	180
+	4	128	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	182
+	124	180
+	3	128	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	190
+	124	182
+	124	185
+	4	119	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	182
+	124	185
+	3	119	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	185
+	119	192
+	119	190
+	4	124	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	192
+	119	190
+	3	124	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	170
+	132	163
+	132	166
+	4	128	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	163
+	132	166
+	3	128	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	166
+	128	173
+	128	170
+	4	132	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	173
+	128	170
+	3	132	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	200
+	119	192
+	119	195
+	4	114	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	192
+	119	195
+	3	114	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	195
+	114	203
+	114	200
+	4	119	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	203
+	114	200
+	3	119	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	161
+	136	154
+	136	157
+	4	132	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	154
+	136	157
+	3	132	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	157
+	132	163
+	132	161
+	4	136	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	163
+	132	161
+	3	136	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	136
+	146	130
+	146	132
+	4	143	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	130
+	146	132
+	3	143	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	132
+	143	139
+	143	136
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	139
+	143	136
+	3	146	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	211
+	114	203
+	114	205
+	4	108	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	203
+	114	205
+	3	108	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	114	205
+	108	213
+	108	211
+	4	114	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	213
+	108	211
+	3	114	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	246
+	96	237
+	96	239
+	4	89	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	237
+	96	239
+	3	89	246	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	239
+	89	248
+	89	246
+	4	96	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	248
+	89	246
+	3	96	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	151
+	140	145
+	140	147
+	4	136	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	145
+	140	147
+	3	136	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	147
+	136	154
+	136	151
+	4	140	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	154
+	136	151
+	3	140	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	221
+	108	213
+	108	215
+	4	102	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	213
+	108	215
+	3	102	221	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	215
+	102	224
+	102	221
+	4	108	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	224
+	102	221
+	3	108	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	142
+	143	136
+	143	139
+	4	140	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	136
+	143	139
+	3	140	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	139
+	140	145
+	140	142
+	4	143	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	145
+	140	142
+	3	143	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	232
+	102	224
+	102	226
+	4	96	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	224
+	102	226
+	3	96	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	226
+	96	234
+	96	232
+	4	102	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	234
+	96	232
+	3	102	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	257
+	89	248
+	89	250
+	4	82	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	248
+	89	250
+	3	82	257	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	250
+	82	259
+	82	257
+	4	89	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	259
+	82	257
+	3	89	250	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	178
+	128	170
+	128	173
+	4	124	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	170
+	128	173
+	3	124	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	173
+	124	180
+	124	178
+	4	128	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	180
+	124	178
+	3	128	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	188
+	124	180
+	124	182
+	4	119	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	180
+	124	182
+	3	119	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	182
+	119	190
+	119	188
+	4	124	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	190
+	119	188
+	3	124	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	168
+	132	161
+	132	163
+	4	128	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	161
+	132	163
+	3	128	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	163
+	128	170
+	128	168
+	4	132	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	170
+	128	168
+	3	132	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	198
+	119	190
+	119	192
+	4	114	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	190
+	119	192
+	3	114	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	192
+	114	200
+	114	198
+	4	119	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	200
+	114	198
+	3	119	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	158
+	136	151
+	136	154
+	4	133	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	151
+	136	154
+	3	133	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	154
+	132	161
+	133	158
+	4	136	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	161
+	133	158
+	3	136	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	130
+	143	136
+	143	133
+	4	146	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	136
+	143	133
+	3	146	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	208
+	114	200
+	114	203
+	4	108	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	200
+	114	203
+	3	108	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	203
+	108	211
+	108	208
+	4	114	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	211
+	108	208
+	3	114	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	243
+	96	234
+	96	237
+	4	89	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	234
+	96	237
+	3	89	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	237
+	89	246
+	89	243
+	4	96	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	246
+	89	243
+	3	96	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	149
+	140	142
+	140	145
+	4	136	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	142
+	140	145
+	3	136	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	145
+	136	151
+	136	149
+	4	140	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	151
+	136	149
+	3	140	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	102	219
+	108	211
+	108	213
+	4	102	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	211
+	108	213
+	3	102	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	213
+	102	221
+	102	219
+	4	108	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	221
+	102	219
+	3	108	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	269
+	82	259
+	83	261
+	4	75	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	259
+	83	261
+	3	75	269	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	140
+	143	133
+	143	136
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	133
+	143	136
+	3	140	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	136
+	140	142
+	140	140
+	4	143	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	142
+	140	140
+	3	143	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	230
+	102	221
+	102	224
+	4	96	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	221
+	102	224
+	3	96	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	224
+	96	232
+	96	230
+	4	102	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	232
+	96	230
+	3	102	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	255
+	89	246
+	89	248
+	4	82	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	246
+	89	248
+	3	82	255	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	248
+	82	257
+	82	255
+	4	89	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	257
+	82	255
+	3	89	248	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	175
+	128	168
+	128	170
+	4	124	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	168
+	128	170
+	3	124	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	170
+	124	178
+	124	175
+	4	128	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	178
+	124	175
+	3	128	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	185
+	124	178
+	124	180
+	4	119	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	178
+	124	180
+	3	119	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	180
+	119	188
+	119	185
+	4	124	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	188
+	119	185
+	3	124	180	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	165
+	133	158
+	132	161
+	4	128	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	158
+	132	161
+	3	128	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	161
+	128	168
+	128	165
+	4	132	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	168
+	128	165
+	3	132	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	195
+	119	188
+	119	190
+	4	114	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	188
+	119	190
+	3	114	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	190
+	114	198
+	114	195
+	4	119	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	198
+	114	195
+	3	119	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	156
+	136	149
+	136	151
+	4	133	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	149
+	136	151
+	3	133	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	151
+	133	158
+	133	156
+	4	136	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	158
+	133	156
+	3	136	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	206
+	114	198
+	114	200
+	4	108	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	198
+	114	200
+	3	108	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	200
+	108	208
+	108	206
+	4	114	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	208
+	108	206
+	3	114	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	241
+	96	232
+	96	234
+	4	89	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	232
+	96	234
+	3	89	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	234
+	89	243
+	89	241
+	4	96	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	243
+	89	241
+	3	96	234	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	146
+	140	140
+	140	142
+	4	137	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	140	142
+	3	137	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	142
+	136	149
+	137	146
+	4	140	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	149
+	137	146
+	3	140	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	217
+	108	208
+	108	211
+	4	102	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	208
+	108	211
+	3	102	217	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	211
+	102	219
+	102	217
+	4	108	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	219
+	102	217
+	3	108	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	266
+	82	257
+	82	259
+	4	75	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	257
+	82	259
+	3	75	266	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	259
+	75	269
+	75	266
+	4	82	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	269
+	75	266
+	3	82	259	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	133
+	140	140
+	140	137
+	4	143	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	140	137
+	3	143	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	227
+	102	219
+	102	221
+	4	96	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	219
+	102	221
+	3	96	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	221
+	96	230
+	96	227
+	4	102	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	230
+	96	227
+	3	102	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	252
+	89	243
+	89	246
+	4	82	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	243
+	89	246
+	3	82	252	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	246
+	82	255
+	82	252
+	4	89	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	255
+	82	252
+	3	89	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	173
+	128	165
+	128	168
+	4	124	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	165
+	128	168
+	3	124	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	168
+	124	175
+	124	173
+	4	128	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	175
+	124	173
+	3	128	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	183
+	124	175
+	124	178
+	4	119	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	175
+	124	178
+	3	119	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	178
+	119	185
+	119	183
+	4	124	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	185
+	119	183
+	3	124	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	163
+	133	156
+	133	158
+	4	128	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	156
+	133	158
+	3	128	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	158
+	128	165
+	128	163
+	4	133	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	165
+	128	163
+	3	133	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	193
+	119	185
+	119	188
+	4	114	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	185
+	119	188
+	3	114	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	188
+	114	195
+	114	193
+	4	119	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	195
+	114	193
+	3	119	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	153
+	137	146
+	136	149
+	4	133	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	146
+	136	149
+	3	133	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	149
+	133	156
+	133	153
+	4	136	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	156
+	133	153
+	3	136	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	203
+	114	195
+	114	198
+	4	108	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	195
+	114	198
+	3	108	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	198
+	108	206
+	108	203
+	4	114	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	206
+	108	203
+	3	114	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	239
+	96	230
+	96	232
+	4	89	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	230
+	96	232
+	3	89	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	232
+	89	241
+	89	239
+	4	96	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	241
+	89	239
+	3	96	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	144
+	140	137
+	140	140
+	4	137	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	137
+	140	140
+	3	137	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	140
+	137	146
+	137	144
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	146
+	137	144
+	3	140	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	214
+	108	206
+	108	208
+	4	102	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	206
+	108	208
+	3	102	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	208
+	102	217
+	102	214
+	4	108	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	217
+	102	214
+	3	108	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	264
+	82	255
+	82	257
+	4	75	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	255
+	82	257
+	3	75	264	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	257
+	75	266
+	75	264
+	4	82	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	266
+	75	264
+	3	82	257	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	96	225
+	102	217
+	102	219
+	4	96	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	217
+	102	219
+	3	96	225	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	219
+	96	227
+	96	225
+	4	102	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	227
+	96	225
+	3	102	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	250
+	89	241
+	89	243
+	4	82	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	241
+	89	243
+	3	82	250	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	243
+	82	252
+	82	250
+	4	89	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	252
+	82	250
+	3	89	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	170
+	128	163
+	128	165
+	4	124	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	163
+	128	165
+	3	124	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	165
+	124	173
+	124	170
+	4	128	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	173
+	124	170
+	3	128	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	180
+	124	173
+	124	175
+	4	119	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	173
+	124	175
+	3	119	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	175
+	119	183
+	119	180
+	4	124	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	183
+	119	180
+	3	124	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	160
+	133	153
+	133	156
+	4	128	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	153
+	133	156
+	3	128	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	156
+	128	163
+	128	160
+	4	133	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	163
+	128	160
+	3	133	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	190
+	119	183
+	119	185
+	4	114	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	183
+	119	185
+	3	114	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	185
+	114	193
+	114	190
+	4	119	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	193
+	114	190
+	3	119	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	151
+	137	144
+	137	146
+	4	133	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	144
+	137	146
+	3	133	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	146
+	133	153
+	133	151
+	4	137	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	153
+	133	151
+	3	137	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	201
+	114	193
+	114	195
+	4	108	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	193
+	114	195
+	3	108	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	195
+	108	203
+	108	201
+	4	114	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	203
+	108	201
+	3	114	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	276
+	75	266
+	75	269
+	4	67	276	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	266
+	75	269
+	3	67	276	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	236
+	96	227
+	96	230
+	4	89	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	227
+	96	230
+	3	89	236	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	230
+	89	239
+	89	236
+	4	96	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	239
+	89	236
+	3	96	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	137
+	137	144
+	137	141
+	4	140	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	144
+	137	141
+	3	140	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	212
+	108	203
+	108	206
+	4	102	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	203
+	108	206
+	3	102	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	206
+	102	214
+	102	212
+	4	108	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	214
+	102	212
+	3	108	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	262
+	82	252
+	82	255
+	4	75	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	252
+	82	255
+	3	75	262	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	255
+	75	264
+	75	262
+	4	82	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	264
+	75	262
+	3	82	255	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	223
+	102	214
+	102	217
+	4	96	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	214
+	102	217
+	3	96	223	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	102	217
+	96	225
+	96	223
+	4	102	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	225
+	96	223
+	3	102	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	248
+	89	239
+	89	241
+	4	82	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	239
+	89	241
+	3	82	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	241
+	82	250
+	82	248
+	4	89	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	250
+	82	248
+	3	89	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	168
+	128	160
+	128	163
+	4	124	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	160
+	128	163
+	3	124	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	163
+	124	170
+	124	168
+	4	128	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	170
+	124	168
+	3	128	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	178
+	124	170
+	124	173
+	4	119	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	170
+	124	173
+	3	119	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	173
+	119	180
+	119	178
+	4	124	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	180
+	119	178
+	3	124	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	158
+	133	151
+	133	153
+	4	129	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	151
+	133	153
+	3	129	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	153
+	128	160
+	129	158
+	4	133	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	160
+	129	158
+	3	133	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	188
+	119	180
+	119	183
+	4	114	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	180
+	119	183
+	3	114	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	183
+	114	190
+	114	188
+	4	119	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	190
+	114	188
+	3	119	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	148
+	137	141
+	137	144
+	4	133	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	141
+	137	144
+	3	133	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	144
+	133	151
+	133	148
+	4	137	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	151
+	133	148
+	3	137	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	199
+	114	190
+	114	193
+	4	108	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	190
+	114	193
+	3	108	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	193
+	108	201
+	108	199
+	4	114	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	201
+	108	199
+	3	114	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	274
+	75	264
+	75	266
+	4	67	274	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	264
+	75	266
+	3	67	274	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	266
+	67	276
+	67	274
+	4	75	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	276
+	67	274
+	3	75	266	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	234
+	96	225
+	96	227
+	4	89	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	225
+	96	227
+	3	89	234	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	227
+	89	236
+	89	234
+	4	96	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	236
+	89	234
+	3	96	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	209
+	108	201
+	108	203
+	4	102	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	201
+	108	203
+	3	102	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	203
+	102	212
+	102	209
+	4	108	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	212
+	102	209
+	3	108	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	260
+	82	250
+	82	252
+	4	75	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	250
+	82	252
+	3	75	260	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	252
+	75	262
+	75	260
+	4	82	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	262
+	75	260
+	3	82	252	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	220
+	102	212
+	102	214
+	4	96	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	212
+	102	214
+	3	96	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	214
+	96	223
+	96	220
+	4	102	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	223
+	96	220
+	3	102	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	246
+	89	236
+	89	239
+	4	82	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	236
+	89	239
+	3	82	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	239
+	82	248
+	82	246
+	4	89	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	248
+	82	246
+	3	89	239	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	165
+	129	158
+	128	160
+	4	124	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	158
+	128	160
+	3	124	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	160
+	124	168
+	124	165
+	4	128	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	168
+	124	165
+	3	128	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	175
+	124	168
+	124	170
+	4	119	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	168
+	124	170
+	3	119	175	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	170
+	119	178
+	119	175
+	4	124	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	178
+	119	175
+	3	124	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	155
+	133	148
+	133	151
+	4	129	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	148
+	133	151
+	3	129	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	151
+	129	158
+	129	155
+	4	133	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	158
+	129	155
+	3	133	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	186
+	119	178
+	119	180
+	4	114	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	178
+	119	180
+	3	114	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	180
+	114	188
+	114	186
+	4	119	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	188
+	114	186
+	3	119	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	141
+	133	148
+	133	145
+	4	137	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	148
+	133	145
+	3	137	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	196
+	114	188
+	114	190
+	4	108	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	188
+	114	190
+	3	108	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	190
+	108	199
+	108	196
+	4	114	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	199
+	108	196
+	3	114	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	272
+	75	262
+	75	264
+	4	67	272	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	262
+	75	264
+	3	67	272	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	264
+	67	274
+	67	272
+	4	75	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	274
+	67	272
+	3	75	264	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	89	232
+	96	223
+	96	225
+	4	89	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	223
+	96	225
+	3	89	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	225
+	89	234
+	89	232
+	4	96	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	234
+	89	232
+	3	96	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	207
+	108	199
+	108	201
+	4	102	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	199
+	108	201
+	3	102	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	201
+	102	209
+	102	207
+	4	108	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	209
+	102	207
+	3	108	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	258
+	82	248
+	82	250
+	4	74	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	248
+	82	250
+	3	74	258	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	250
+	75	260
+	74	258
+	4	82	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	260
+	74	258
+	3	82	250	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	218
+	102	209
+	102	212
+	4	96	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	209
+	102	212
+	3	96	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	212
+	96	220
+	96	218
+	4	102	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	220
+	96	218
+	3	102	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	243
+	89	234
+	89	236
+	4	82	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	234
+	89	236
+	3	82	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	236
+	82	246
+	82	243
+	4	89	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	246
+	82	243
+	3	89	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	163
+	129	155
+	129	158
+	4	124	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	155
+	129	158
+	3	124	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	158
+	124	165
+	124	163
+	4	129	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	165
+	124	163
+	3	129	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	173
+	124	165
+	124	168
+	4	119	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	165
+	124	168
+	3	119	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	168
+	119	175
+	119	173
+	4	124	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	175
+	119	173
+	3	124	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	153
+	133	145
+	133	148
+	4	129	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	145
+	133	148
+	3	129	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	148
+	129	155
+	129	153
+	4	133	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	155
+	129	153
+	3	133	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	183
+	119	175
+	119	178
+	4	114	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	175
+	119	178
+	3	114	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	178
+	114	186
+	114	183
+	4	119	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	186
+	114	183
+	3	119	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	194
+	114	186
+	114	188
+	4	108	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	186
+	114	188
+	3	108	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	188
+	108	196
+	108	194
+	4	114	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	196
+	108	194
+	3	114	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	270
+	75	260
+	75	262
+	4	67	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	260
+	75	262
+	3	67	270	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	262
+	67	272
+	67	270
+	4	75	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	272
+	67	270
+	3	75	262	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	229
+	96	220
+	96	223
+	4	89	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	220
+	96	223
+	3	89	229	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	96	223
+	89	232
+	89	229
+	4	96	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	232
+	89	229
+	3	96	223	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	205
+	108	196
+	108	199
+	4	102	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	196
+	108	199
+	3	102	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	199
+	102	207
+	102	205
+	4	108	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	207
+	102	205
+	3	108	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	255
+	82	246
+	82	248
+	4	74	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	246
+	82	248
+	3	74	255	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	248
+	74	258
+	74	255
+	4	82	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	258
+	74	255
+	3	82	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	216
+	102	207
+	102	209
+	4	96	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	207
+	102	209
+	3	96	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	209
+	96	218
+	96	216
+	4	102	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	218
+	96	216
+	3	102	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	241
+	89	232
+	89	234
+	4	82	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	232
+	89	234
+	3	82	241	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	234
+	82	243
+	82	241
+	4	89	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	243
+	82	241
+	3	89	234	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	160
+	129	153
+	129	155
+	4	124	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	153
+	129	155
+	3	124	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	155
+	124	163
+	124	160
+	4	129	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	163
+	124	160
+	3	129	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	170
+	124	163
+	124	165
+	4	119	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	163
+	124	165
+	3	119	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	165
+	119	173
+	119	170
+	4	124	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	173
+	119	170
+	3	124	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	145
+	129	153
+	129	150
+	4	133	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	153
+	129	150
+	3	133	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	181
+	119	173
+	119	175
+	4	114	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	173
+	119	175
+	3	114	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	175
+	114	183
+	114	181
+	4	119	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	183
+	114	181
+	3	119	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	191
+	114	183
+	114	186
+	4	108	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	183
+	114	186
+	3	108	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	186
+	108	194
+	108	191
+	4	114	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	194
+	108	191
+	3	114	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	267
+	74	258
+	75	260
+	4	66	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	258
+	75	260
+	3	66	267	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	260
+	67	270
+	66	267
+	4	75	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	270
+	66	267
+	3	75	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	227
+	96	218
+	96	220
+	4	89	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	218
+	96	220
+	3	89	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	220
+	89	229
+	89	227
+	4	96	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	229
+	89	227
+	3	96	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	202
+	108	194
+	108	196
+	4	102	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	194
+	108	196
+	3	102	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	196
+	102	205
+	102	202
+	4	108	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	205
+	102	202
+	3	108	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	253
+	82	243
+	82	246
+	4	74	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	243
+	82	246
+	3	74	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	246
+	74	255
+	74	253
+	4	82	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	255
+	74	253
+	3	82	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	213
+	102	205
+	102	207
+	4	96	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	205
+	102	207
+	3	96	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	207
+	96	216
+	96	213
+	4	102	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	216
+	96	213
+	3	102	207	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	239
+	89	229
+	89	232
+	4	82	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	229
+	89	232
+	3	82	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	232
+	82	241
+	82	239
+	4	89	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	241
+	82	239
+	3	89	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	157
+	129	150
+	129	153
+	4	124	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	150
+	129	153
+	3	124	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	153
+	124	160
+	124	157
+	4	129	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	160
+	124	157
+	3	129	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	168
+	124	160
+	124	163
+	4	119	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	160
+	124	163
+	3	119	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	163
+	119	170
+	119	168
+	4	124	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	170
+	119	168
+	3	124	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	178
+	119	170
+	119	173
+	4	114	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	170
+	119	173
+	3	114	178	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	173
+	114	181
+	114	178
+	4	119	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	181
+	114	178
+	3	119	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	189
+	114	181
+	114	183
+	4	108	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	181
+	114	183
+	3	108	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	183
+	108	191
+	108	189
+	4	114	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	191
+	108	189
+	3	114	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	265
+	74	255
+	74	258
+	4	66	265	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	255
+	74	258
+	3	66	265	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	258
+	66	267
+	66	265
+	4	74	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	267
+	66	265
+	3	74	258	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	225
+	96	216
+	96	218
+	4	89	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	216
+	96	218
+	3	89	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	218
+	89	227
+	89	225
+	4	96	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	227
+	89	225
+	3	96	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	200
+	108	191
+	108	194
+	4	102	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	191
+	108	194
+	3	102	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	194
+	102	202
+	102	200
+	4	108	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	202
+	102	200
+	3	108	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	251
+	82	241
+	82	243
+	4	74	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	241
+	82	243
+	3	74	251	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	243
+	74	253
+	74	251
+	4	82	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	253
+	74	251
+	3	82	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	211
+	102	202
+	102	205
+	4	95	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	202
+	102	205
+	3	95	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	205
+	96	213
+	95	211
+	4	102	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	213
+	95	211
+	3	102	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	236
+	89	227
+	89	229
+	4	82	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	227
+	89	229
+	3	82	236	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	89	229
+	82	239
+	82	236
+	4	89	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	239
+	82	236
+	3	89	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	150
+	124	157
+	124	155
+	4	129	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	157
+	124	155
+	3	129	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	165
+	124	157
+	124	160
+	4	119	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	157
+	124	160
+	3	119	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	160
+	119	168
+	119	165
+	4	124	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	168
+	119	165
+	3	124	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	176
+	119	168
+	119	170
+	4	114	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	168
+	119	170
+	3	114	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	170
+	114	178
+	114	176
+	4	119	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	178
+	114	176
+	3	119	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	186
+	114	178
+	114	181
+	4	108	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	178
+	114	181
+	3	108	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	181
+	108	189
+	108	186
+	4	114	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	189
+	108	186
+	3	114	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	263
+	74	253
+	74	255
+	4	66	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	253
+	74	255
+	3	66	263	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	255
+	66	265
+	66	263
+	4	74	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	265
+	66	263
+	3	74	255	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	222
+	96	213
+	96	216
+	4	89	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	213
+	96	216
+	3	89	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	216
+	89	225
+	89	222
+	4	96	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	225
+	89	222
+	3	96	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	197
+	108	189
+	108	191
+	4	102	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	189
+	108	191
+	3	102	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	191
+	102	200
+	102	197
+	4	108	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	200
+	102	197
+	3	108	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	248
+	82	239
+	82	241
+	4	74	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	239
+	82	241
+	3	74	248	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	241
+	74	251
+	74	248
+	4	82	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	251
+	74	248
+	3	82	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	208
+	102	200
+	102	202
+	4	95	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	200
+	102	202
+	3	95	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	202
+	95	211
+	95	208
+	4	102	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	211
+	95	208
+	3	102	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	234
+	89	225
+	89	227
+	4	81	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	225
+	89	227
+	3	81	234	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	227
+	82	236
+	81	234
+	4	89	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	236
+	81	234
+	3	89	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	162
+	124	155
+	124	157
+	4	119	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	155
+	124	157
+	3	119	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	157
+	119	165
+	119	162
+	4	124	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	165
+	119	162
+	3	124	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	173
+	119	165
+	119	168
+	4	114	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	165
+	119	168
+	3	114	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	168
+	114	176
+	114	173
+	4	119	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	176
+	114	173
+	3	119	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	184
+	114	176
+	114	178
+	4	108	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	176
+	114	178
+	3	108	184	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	178
+	108	186
+	108	184
+	4	114	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	186
+	108	184
+	3	114	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	261
+	74	251
+	74	253
+	4	66	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	251
+	74	253
+	3	66	261	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	253
+	66	263
+	66	261
+	4	74	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	263
+	66	261
+	3	74	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	220
+	95	211
+	96	213
+	4	89	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	211
+	96	213
+	3	89	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	213
+	89	222
+	89	220
+	4	96	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	222
+	89	220
+	3	96	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	195
+	108	186
+	108	189
+	4	102	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	186
+	108	189
+	3	102	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	189
+	102	197
+	102	195
+	4	108	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	197
+	102	195
+	3	108	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	246
+	82	236
+	82	239
+	4	74	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	236
+	82	239
+	3	74	246	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	82	239
+	74	248
+	74	246
+	4	82	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	248
+	74	246
+	3	82	239	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	206
+	102	197
+	102	200
+	4	95	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	197
+	102	200
+	3	95	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	200
+	95	208
+	95	206
+	4	102	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	208
+	95	206
+	3	102	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	232
+	89	222
+	89	225
+	4	81	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	222
+	89	225
+	3	81	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	225
+	81	234
+	81	232
+	4	89	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	234
+	81	232
+	3	89	225	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	155
+	119	162
+	119	160
+	4	124	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	162
+	119	160
+	3	124	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	170
+	119	162
+	119	165
+	4	114	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	162
+	119	165
+	3	114	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	165
+	114	173
+	114	170
+	4	119	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	173
+	114	170
+	3	119	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	181
+	114	173
+	114	176
+	4	108	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	173
+	114	176
+	3	108	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	176
+	108	184
+	108	181
+	4	114	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	184
+	108	181
+	3	114	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	258
+	74	248
+	74	251
+	4	66	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	248
+	74	251
+	3	66	258	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	251
+	66	261
+	66	258
+	4	74	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	261
+	66	258
+	3	74	251	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	217
+	95	208
+	95	211
+	4	89	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	208
+	95	211
+	3	89	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	211
+	89	220
+	89	217
+	4	95	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	220
+	89	217
+	3	95	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	192
+	108	184
+	108	186
+	4	102	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	184
+	108	186
+	3	102	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	186
+	102	195
+	102	192
+	4	108	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	195
+	102	192
+	3	108	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	244
+	81	234
+	82	236
+	4	74	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	234
+	82	236
+	3	74	244	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	82	236
+	74	246
+	74	244
+	4	82	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	246
+	74	244
+	3	82	236	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	203
+	102	195
+	102	197
+	4	95	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	195
+	102	197
+	3	95	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	197
+	95	206
+	95	203
+	4	102	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	206
+	95	203
+	3	102	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	229
+	89	220
+	89	222
+	4	81	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	220
+	89	222
+	3	81	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	222
+	81	232
+	81	229
+	4	89	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	232
+	81	229
+	3	89	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	168
+	119	160
+	119	162
+	4	114	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	160
+	119	162
+	3	114	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	162
+	114	170
+	114	168
+	4	119	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	170
+	114	168
+	3	119	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	179
+	114	170
+	114	173
+	4	108	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	170
+	114	173
+	3	108	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	173
+	108	181
+	108	179
+	4	114	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	181
+	108	179
+	3	114	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	256
+	74	246
+	74	248
+	4	66	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	246
+	74	248
+	3	66	256	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	248
+	66	258
+	66	256
+	4	74	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	258
+	66	256
+	3	74	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	215
+	95	206
+	95	208
+	4	88	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	206
+	95	208
+	3	88	215	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	208
+	89	217
+	88	215
+	4	95	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	217
+	88	215
+	3	95	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	190
+	108	181
+	108	184
+	4	102	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	181
+	108	184
+	3	102	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	184
+	102	192
+	102	190
+	4	108	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	192
+	102	190
+	3	108	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	241
+	81	232
+	81	234
+	4	74	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	232
+	81	234
+	3	74	241	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	234
+	74	244
+	74	241
+	4	81	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	244
+	74	241
+	3	81	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	201
+	102	192
+	102	195
+	4	95	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	192
+	102	195
+	3	95	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	195
+	95	203
+	95	201
+	4	102	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	203
+	95	201
+	3	102	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	227
+	89	217
+	89	220
+	4	81	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	217
+	89	220
+	3	81	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	220
+	81	229
+	81	227
+	4	89	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	229
+	81	227
+	3	89	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	160
+	114	168
+	114	165
+	4	119	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	168
+	114	165
+	3	119	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	176
+	114	168
+	114	170
+	4	108	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	168
+	114	170
+	3	108	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	170
+	108	179
+	108	176
+	4	114	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	179
+	108	176
+	3	114	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	66	254
+	74	244
+	74	246
+	4	66	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	244
+	74	246
+	3	66	254	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	246
+	66	256
+	66	254
+	4	74	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	256
+	66	254
+	3	74	246	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	213
+	95	203
+	95	206
+	4	88	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	203
+	95	206
+	3	88	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	206
+	88	215
+	88	213
+	4	95	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	215
+	88	213
+	3	95	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	187
+	108	179
+	108	181
+	4	102	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	179
+	108	181
+	3	102	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	181
+	102	190
+	102	187
+	4	108	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	190
+	102	187
+	3	108	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	239
+	81	229
+	81	232
+	4	74	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	229
+	81	232
+	3	74	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	232
+	74	241
+	74	239
+	4	81	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	241
+	74	239
+	3	81	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	198
+	102	190
+	102	192
+	4	95	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	190
+	102	192
+	3	95	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	192
+	95	201
+	95	198
+	4	102	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	201
+	95	198
+	3	102	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	224
+	88	215
+	89	217
+	4	81	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	215
+	89	217
+	3	81	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	217
+	81	227
+	81	224
+	4	89	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	227
+	81	224
+	3	89	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	173
+	114	165
+	114	168
+	4	108	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	165
+	114	168
+	3	108	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	168
+	108	176
+	108	173
+	4	114	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	176
+	108	173
+	3	114	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	251
+	74	241
+	74	244
+	4	65	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	241
+	74	244
+	3	65	251	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	244
+	66	254
+	65	251
+	4	74	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	254
+	65	251
+	3	74	244	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	210
+	95	201
+	95	203
+	4	88	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	201
+	95	203
+	3	88	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	203
+	88	213
+	88	210
+	4	95	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	213
+	88	210
+	3	95	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	185
+	108	176
+	108	179
+	4	102	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	176
+	108	179
+	3	102	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	179
+	102	187
+	102	185
+	4	108	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	187
+	102	185
+	3	108	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	237
+	81	227
+	81	229
+	4	73	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	227
+	81	229
+	3	73	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	229
+	74	239
+	73	237
+	4	81	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	239
+	73	237
+	3	81	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	196
+	102	187
+	102	190
+	4	95	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	187
+	102	190
+	3	95	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	190
+	95	198
+	95	196
+	4	102	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	198
+	95	196
+	3	102	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	222
+	88	213
+	88	215
+	4	81	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	213
+	88	215
+	3	81	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	215
+	81	224
+	81	222
+	4	88	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	224
+	81	222
+	3	88	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	165
+	108	173
+	108	171
+	4	114	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	173
+	108	171
+	3	114	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	249
+	74	239
+	74	241
+	4	65	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	239
+	74	241
+	3	65	249	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	241
+	65	251
+	65	249
+	4	74	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	251
+	65	249
+	3	74	241	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	208
+	95	198
+	95	201
+	4	88	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	198
+	95	201
+	3	88	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	201
+	88	210
+	88	208
+	4	95	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	210
+	88	208
+	3	95	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	182
+	108	173
+	108	176
+	4	102	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	173
+	108	176
+	3	102	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	176
+	102	185
+	102	182
+	4	108	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	185
+	102	182
+	3	108	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	234
+	81	224
+	81	227
+	4	73	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	224
+	81	227
+	3	73	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	227
+	73	237
+	73	234
+	4	81	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	237
+	73	234
+	3	81	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	193
+	102	185
+	102	187
+	4	95	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	185
+	102	187
+	3	95	193	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	187
+	95	196
+	95	193
+	4	102	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	196
+	95	193
+	3	102	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	219
+	88	210
+	88	213
+	4	81	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	210
+	88	213
+	3	81	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	213
+	81	222
+	81	219
+	4	88	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	222
+	81	219
+	3	88	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	247
+	73	237
+	74	239
+	4	65	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	237
+	74	239
+	3	65	247	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	239
+	65	249
+	65	247
+	4	74	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	249
+	65	247
+	3	74	239	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	205
+	95	196
+	95	198
+	4	88	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	196
+	95	198
+	3	88	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	198
+	88	208
+	88	205
+	4	95	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	208
+	88	205
+	3	95	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	179
+	108	171
+	108	173
+	4	102	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	171
+	108	173
+	3	102	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	173
+	102	182
+	102	179
+	4	108	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	182
+	102	179
+	3	108	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	232
+	81	222
+	81	224
+	4	73	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	222
+	81	224
+	3	73	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	224
+	73	234
+	73	232
+	4	81	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	234
+	73	232
+	3	81	224	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	191
+	102	182
+	102	185
+	4	95	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	182
+	102	185
+	3	95	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	185
+	95	193
+	95	191
+	4	102	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	193
+	95	191
+	3	102	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	217
+	88	208
+	88	210
+	4	81	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	208
+	88	210
+	3	81	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	210
+	81	219
+	81	217
+	4	88	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	219
+	81	217
+	3	88	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	244
+	73	234
+	73	237
+	4	65	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	234
+	73	237
+	3	65	244	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	237
+	65	247
+	65	244
+	4	73	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	247
+	65	244
+	3	73	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	203
+	95	193
+	95	196
+	4	88	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	193
+	95	196
+	3	88	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	196
+	88	205
+	88	203
+	4	95	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	205
+	88	203
+	3	95	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	171
+	102	179
+	102	177
+	4	108	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	179
+	102	177
+	3	108	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	229
+	81	219
+	81	222
+	4	73	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	219
+	81	222
+	3	73	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	222
+	73	232
+	73	229
+	4	81	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	232
+	73	229
+	3	81	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	188
+	102	179
+	102	182
+	4	95	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	179
+	102	182
+	3	95	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	182
+	95	191
+	95	188
+	4	102	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	191
+	95	188
+	3	102	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	215
+	88	205
+	88	208
+	4	81	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	205
+	88	208
+	3	81	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	208
+	81	217
+	81	215
+	4	88	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	217
+	81	215
+	3	88	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	242
+	73	232
+	73	234
+	4	65	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	232
+	73	234
+	3	65	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	234
+	65	244
+	65	242
+	4	73	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	244
+	65	242
+	3	73	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	200
+	95	191
+	95	193
+	4	88	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	191
+	95	193
+	3	88	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	193
+	88	203
+	88	200
+	4	95	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	203
+	88	200
+	3	95	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	227
+	81	217
+	81	219
+	4	73	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	217
+	81	219
+	3	73	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	219
+	73	229
+	73	227
+	4	81	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	229
+	73	227
+	3	81	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	186
+	102	177
+	102	179
+	4	95	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	177
+	102	179
+	3	95	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	179
+	95	188
+	95	186
+	4	102	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	188
+	95	186
+	3	102	179	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	212
+	88	203
+	88	205
+	4	81	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	203
+	88	205
+	3	81	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	205
+	81	215
+	81	212
+	4	88	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	215
+	81	212
+	3	88	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	239
+	73	229
+	73	232
+	4	65	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	229
+	73	232
+	3	65	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	232
+	65	242
+	65	239
+	4	73	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	242
+	65	239
+	3	73	232	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	197
+	95	188
+	95	191
+	4	88	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	188
+	95	191
+	3	88	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	191
+	88	200
+	88	197
+	4	95	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	200
+	88	197
+	3	95	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	224
+	81	215
+	81	217
+	4	73	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	215
+	81	217
+	3	73	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	217
+	73	227
+	73	224
+	4	81	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	227
+	73	224
+	3	81	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	177
+	95	186
+	95	183
+	4	102	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	186
+	95	183
+	3	102	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	210
+	88	200
+	88	203
+	4	81	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	200
+	88	203
+	3	81	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	203
+	81	212
+	81	210
+	4	88	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	212
+	81	210
+	3	88	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	237
+	73	227
+	73	229
+	4	65	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	227
+	73	229
+	3	65	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	229
+	65	239
+	65	237
+	4	73	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	239
+	65	237
+	3	73	229	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	195
+	95	186
+	95	188
+	4	88	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	186
+	95	188
+	3	88	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	188
+	88	197
+	88	195
+	4	95	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	197
+	88	195
+	3	95	188	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	222
+	81	212
+	81	215
+	4	73	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	212
+	81	215
+	3	73	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	215
+	73	224
+	73	222
+	4	81	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	224
+	73	222
+	3	81	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	207
+	88	197
+	88	200
+	4	80	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	197
+	88	200
+	3	80	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	200
+	81	210
+	80	207
+	4	88	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	210
+	80	207
+	3	88	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	64	234
+	73	224
+	73	227
+	4	64	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	224
+	73	227
+	3	64	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	227
+	65	237
+	64	234
+	4	73	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	237
+	64	234
+	3	73	227	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	192
+	95	183
+	95	186
+	4	88	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	183
+	95	186
+	3	88	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	186
+	88	195
+	88	192
+	4	95	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	195
+	88	192
+	3	95	186	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	219
+	81	210
+	81	212
+	4	73	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	210
+	81	212
+	3	73	219	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	212
+	73	222
+	73	219
+	4	81	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	222
+	73	219
+	3	81	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	204
+	88	195
+	88	197
+	4	80	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	195
+	88	197
+	3	80	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	197
+	80	207
+	80	204
+	4	88	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	207
+	80	204
+	3	88	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	232
+	73	222
+	73	224
+	4	64	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	222
+	73	224
+	3	64	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	224
+	64	234
+	64	232
+	4	73	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	234
+	64	232
+	3	73	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	183
+	88	192
+	88	190
+	4	95	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	192
+	88	190
+	3	95	183	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	217
+	80	207
+	81	210
+	4	72	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	207
+	81	210
+	3	72	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	210
+	73	219
+	72	217
+	4	81	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	219
+	72	217
+	3	81	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	202
+	88	192
+	88	195
+	4	80	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	192
+	88	195
+	3	80	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	195
+	80	204
+	80	202
+	4	88	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	204
+	80	202
+	3	88	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	230
+	73	219
+	73	222
+	4	64	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	219
+	73	222
+	3	64	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	222
+	64	232
+	64	230
+	4	73	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	232
+	64	230
+	3	73	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	214
+	80	204
+	80	207
+	4	72	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	204
+	80	207
+	3	72	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	207
+	72	217
+	72	214
+	4	80	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	217
+	72	214
+	3	80	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	199
+	88	190
+	88	192
+	4	80	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	190
+	88	192
+	3	80	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	192
+	80	202
+	80	199
+	4	88	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	202
+	80	199
+	3	88	192	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	64	227
+	72	217
+	73	219
+	4	64	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	217
+	73	219
+	3	64	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	219
+	64	230
+	64	227
+	4	73	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	230
+	64	227
+	3	73	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	212
+	80	202
+	80	204
+	4	72	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	202
+	80	204
+	3	72	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	204
+	72	214
+	72	212
+	4	80	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	214
+	72	212
+	3	80	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	190
+	80	199
+	80	197
+	4	88	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	199
+	80	197
+	3	88	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	225
+	72	214
+	72	217
+	4	64	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	214
+	72	217
+	3	64	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	72	217
+	64	227
+	64	225
+	4	72	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	227
+	64	225
+	3	72	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	209
+	80	199
+	80	202
+	4	72	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	199
+	80	202
+	3	72	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	202
+	72	212
+	72	209
+	4	80	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	212
+	72	209
+	3	80	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	222
+	72	212
+	72	214
+	4	64	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	212
+	72	214
+	3	64	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	214
+	64	225
+	64	222
+	4	72	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	225
+	64	222
+	3	72	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	207
+	80	197
+	80	199
+	4	72	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	197
+	80	199
+	3	72	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	199
+	72	209
+	72	207
+	4	80	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	209
+	72	207
+	3	80	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	219
+	72	209
+	72	212
+	4	64	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	209
+	72	212
+	3	64	219	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	212
+	64	222
+	64	219
+	4	72	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	222
+	64	219
+	3	72	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	197
+	72	207
+	72	204
+	4	80	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	207
+	72	204
+	3	80	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	217
+	72	207
+	72	209
+	4	63	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	207
+	72	209
+	3	63	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	209
+	64	219
+	63	217
+	4	72	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	219
+	63	217
+	3	72	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	214
+	72	204
+	72	207
+	4	63	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	204
+	72	207
+	3	63	214	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	207
+	63	217
+	63	214
+	4	72	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	217
+	63	214
+	3	72	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	204
+	63	214
+	63	212
+	4	72	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	214
+	63	212
+	3	72	204	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/clipgamma.ps b/books/ps/clipgamma.ps
new file mode 100644
index 0000000..50d5976
--- /dev/null
+++ b/books/ps/clipgamma.ps
@@ -0,0 +1,55300 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	30	228	244	77	psDrawLine
+	globGC	(X)	25	233	psDrawStr
+	globalGC1	177.000000	setForeground
+	globGC	177.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	269	228	55	77	psDrawLine
+	globGC	(Y)	274	233	psDrawStr
+	globalGC1	177.000000	setForeground
+	globGC	177.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	18	149	234	psDrawLine
+	globGC	(Z)	154	13	psDrawStr
+	globalGC1	177.000000	setForeground
+	globGC	177.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	196	11
+	196	113
+	187	192
+	4	196	11	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	113
+	187	192
+	3	196	11	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	148
+	187	192
+	196	113
+	4	195	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	192
+	196	113
+	3	195	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	192
+	195	148
+	190	178
+	4	187	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	148
+	190	178
+	3	187	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	192
+	191	51
+	196	11
+	4	187	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	51
+	196	11
+	3	187	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	51
+	187	192
+	190	109
+	4	191	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	192
+	190	109
+	3	191	51	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	178
+	190	109
+	187	192
+	4	190	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	109
+	187	192
+	3	190	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	139
+	190	178
+	195	148
+	4	198	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	178
+	195	148
+	3	198	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	178
+	198	139
+	195	145
+	4	190	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	139
+	195	145
+	3	190	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	109
+	190	178
+	190	145
+	4	190	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	178
+	190	145
+	3	190	109	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	195	145
+	190	145
+	190	178
+	4	195	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	145
+	190	178
+	3	195	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	209
+	166	209
+	164	207
+	4	162	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	209
+	164	207
+	3	162	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	24
+	164	207
+	166	209
+	4	175	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	207
+	166	209
+	3	175	24	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	207
+	175	24
+	169	128
+	4	164	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	24
+	169	128
+	3	164	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	207
+	160	184
+	162	209
+	4	164	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	184
+	162	209
+	3	164	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	184
+	164	207
+	162	170
+	4	160	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	207
+	162	170
+	3	160	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	128
+	162	170
+	164	207
+	4	169	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	170
+	164	207
+	3	169	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	211
+	169	211
+	166	209
+	4	164	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	211
+	166	209
+	3	164	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	132
+	166	209
+	169	211
+	4	174	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	209
+	169	211
+	3	174	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	209
+	174	132
+	175	24
+	4	166	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	132
+	175	24
+	3	166	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	202
+	164	211
+	162	209
+	4	159	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	211
+	162	209
+	3	159	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	209
+	162	209
+	164	211
+	4	166	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	209
+	164	211
+	3	166	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	209
+	157	187
+	159	202
+	4	162	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	187
+	159	202
+	3	162	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	187
+	162	209
+	160	184
+	4	157	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	209
+	160	184
+	3	157	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	213
+	173	178
+	169	211
+	4	167	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	178
+	169	211
+	3	167	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	139
+	169	211
+	173	178
+	4	177	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	211
+	173	178
+	3	177	139	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	211
+	177	139
+	174	132
+	4	169	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	139
+	174	132
+	3	169	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	209
+	167	213
+	164	211
+	4	162	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	213
+	164	211
+	3	162	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	211
+	164	211
+	167	213
+	4	169	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	211
+	167	213
+	3	169	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	211
+	159	202
+	162	209
+	4	164	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	202
+	162	209
+	3	164	211	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	164	205
+	170	191
+	167	213
+	4	164	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	191
+	167	213
+	3	164	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	178
+	167	213
+	170	191
+	4	173	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	213
+	170	191
+	3	173	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	213
+	162	209
+	164	205
+	4	167	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	209
+	164	205
+	3	167	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	59
+	152	59
+	149	57
+	4	147	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	59
+	149	57
+	3	147	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	60
+	154	60
+	152	59
+	4	149	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	60
+	152	59
+	3	149	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	59
+	147	59
+	149	60
+	4	152	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	59
+	149	60
+	3	152	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	60
+	149	60
+	147	59
+	4	145	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	60
+	147	59
+	3	145	60	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	219
+	154	219
+	152	217
+	4	149	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	219
+	152	217
+	3	149	219	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	157	213
+	152	217
+	154	219
+	4	157	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	217
+	154	219
+	3	157	213	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	217
+	157	213
+	154	206
+	4	152	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	213
+	154	206
+	3	152	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	217
+	147	184
+	149	219
+	4	152	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	149	219
+	3	152	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	184
+	152	217
+	149	192
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	217
+	149	192
+	3	147	184	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	206
+	149	192
+	152	217
+	4	154	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	192
+	152	217
+	3	154	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	62
+	157	62
+	154	60
+	4	152	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	62
+	154	60
+	3	152	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	60
+	149	60
+	152	62
+	4	154	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	60
+	152	62
+	3	154	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	62
+	152	62
+	149	60
+	4	147	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	62
+	149	60
+	3	147	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	60
+	145	60
+	147	62
+	4	149	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	60
+	147	62
+	3	149	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	62
+	147	62
+	145	60
+	4	142	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	62
+	145	60
+	3	142	62	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	207
+	164	205
+	162	209
+	4	159	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	205
+	162	209
+	3	159	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	209
+	157	201
+	159	207
+	4	162	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	201
+	159	207
+	3	162	209	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	157	201
+	162	209
+	159	202
+	4	157	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	209
+	159	202
+	3	157	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	220
+	157	220
+	154	219
+	4	152	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	220
+	154	219
+	3	152	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	210
+	154	219
+	157	220
+	4	159	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	219
+	157	220
+	3	159	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	219
+	159	210
+	157	213
+	4	154	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	210
+	157	213
+	3	154	219	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	154
+	152	220
+	149	219
+	4	147	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	220
+	149	219
+	3	147	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	219
+	149	219
+	152	220
+	4	154	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	219
+	152	220
+	3	154	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	219
+	144	151
+	147	154
+	4	149	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	151
+	147	154
+	3	149	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	151
+	149	219
+	147	184
+	4	144	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	219
+	147	184
+	3	144	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	63
+	159	63
+	157	62
+	4	154	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	63
+	157	62
+	3	154	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	62
+	152	62
+	154	63
+	4	157	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	62
+	154	63
+	3	157	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	63
+	154	63
+	152	62
+	4	149	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	63
+	152	62
+	3	149	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	62
+	147	62
+	149	63
+	4	152	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	62
+	149	63
+	3	152	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	63
+	145	63
+	142	62
+	4	140	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	63
+	142	62
+	3	140	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	62
+	142	62
+	145	63
+	4	147	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	62
+	145	63
+	3	147	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	63
+	149	63
+	147	62
+	4	145	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	63
+	147	62
+	3	145	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	222
+	160	200
+	157	220
+	4	154	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	200
+	157	220
+	3	154	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	199
+	157	220
+	160	200
+	4	162	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	220
+	160	200
+	3	162	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	220
+	162	199
+	159	210
+	4	157	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	199
+	159	210
+	3	157	220	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	222
+	154	222
+	152	220
+	4	149	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	222
+	152	220
+	3	149	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	220
+	152	220
+	154	222
+	4	157	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	220
+	154	222
+	3	157	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	220
+	147	154
+	149	222
+	4	152	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	154
+	149	222
+	3	152	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	65
+	162	65
+	159	63
+	4	157	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	65
+	159	63
+	3	157	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	63
+	154	63
+	157	65
+	4	159	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	63
+	157	65
+	3	159	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	65
+	157	65
+	154	63
+	4	152	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	65
+	154	63
+	3	152	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	63
+	149	63
+	152	65
+	4	154	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	63
+	152	65
+	3	154	63	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	65
+	142	65
+	140	63
+	4	137	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	65
+	140	63
+	3	137	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	63
+	140	63
+	142	65
+	4	145	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	63
+	142	65
+	3	145	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	65
+	152	65
+	149	63
+	4	147	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	65
+	149	63
+	3	147	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	63
+	145	63
+	147	65
+	4	149	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	63
+	147	65
+	3	149	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	65
+	147	65
+	145	63
+	4	142	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	65
+	145	63
+	3	142	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	204
+	157	213
+	159	210
+	4	162	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	213
+	159	210
+	3	162	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	213
+	162	204
+	159	207
+	4	157	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	204
+	159	207
+	3	157	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	207
+	154	206
+	157	213
+	4	159	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	206
+	157	213
+	3	159	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	202
+	155	188
+	157	201
+	4	159	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	188
+	157	201
+	3	159	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	188
+	159	202
+	157	187
+	4	155	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	202
+	157	187
+	3	155	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	158
+	157	192
+	154	222
+	4	152	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	192
+	154	222
+	3	152	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	200
+	154	222
+	157	192
+	4	160	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	222
+	157	192
+	3	160	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	41
+	152	158
+	149	222
+	4	146	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	158
+	149	222
+	3	146	41	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	222
+	149	222
+	152	158
+	4	154	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	222
+	152	158
+	3	154	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	222
+	143	53
+	146	41
+	4	149	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	53
+	146	41
+	3	149	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	53
+	149	222
+	147	154
+	4	143	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	222
+	147	154
+	3	143	53	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	66
+	164	66
+	162	65
+	4	159	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	66
+	162	65
+	3	159	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	65
+	157	65
+	159	66
+	4	162	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	65
+	159	66
+	3	162	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	66
+	159	66
+	157	65
+	4	154	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	66
+	157	65
+	3	154	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	65
+	152	65
+	154	66
+	4	157	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	65
+	154	66
+	3	157	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	66
+	140	66
+	137	65
+	4	135	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	66
+	137	65
+	3	135	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	65
+	137	65
+	140	66
+	4	142	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	65
+	140	66
+	3	142	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	66
+	154	66
+	152	65
+	4	149	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	66
+	152	65
+	3	149	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	65
+	147	65
+	149	66
+	4	152	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	65
+	149	66
+	3	152	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	66
+	145	66
+	142	65
+	4	140	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	66
+	142	65
+	3	140	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	65
+	142	65
+	145	66
+	4	147	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	65
+	145	66
+	3	147	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	66
+	149	66
+	147	65
+	4	145	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	66
+	147	65
+	3	145	66	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	68
+	167	68
+	164	66
+	4	162	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	68
+	164	66
+	3	162	68	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	66
+	159	66
+	162	68
+	4	164	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	66
+	162	68
+	3	164	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	68
+	162	68
+	159	66
+	4	157	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	68
+	159	66
+	3	157	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	66
+	154	66
+	157	68
+	4	159	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	66
+	157	68
+	3	159	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	68
+	137	68
+	135	66
+	4	132	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	68
+	135	66
+	3	132	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	66
+	135	66
+	137	68
+	4	140	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	66
+	137	68
+	3	140	66	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	68
+	142	68
+	140	66
+	4	137	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	68
+	140	66
+	3	137	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	66
+	140	66
+	142	68
+	4	145	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	66
+	142	68
+	3	145	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	68
+	157	68
+	154	66
+	4	152	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	68
+	154	66
+	3	152	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	66
+	149	66
+	152	68
+	4	154	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	66
+	152	68
+	3	154	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	68
+	147	68
+	145	66
+	4	142	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	68
+	145	66
+	3	142	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	66
+	145	66
+	147	68
+	4	149	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	66
+	147	68
+	3	149	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	68
+	152	68
+	149	66
+	4	147	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	68
+	149	66
+	3	147	68	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	205
+	159	207
+	162	204
+	4	164	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	207
+	162	204
+	3	164	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	206
+	159	207
+	157	201
+	4	154	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	207
+	157	201
+	3	154	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	192
+	154	206
+	152	191
+	4	149	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	206
+	152	191
+	3	149	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	201
+	152	191
+	154	206
+	4	157	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	191
+	154	206
+	3	157	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	204
+	167	194
+	164	205
+	4	162	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	194
+	164	205
+	3	162	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	191
+	164	205
+	167	194
+	4	170	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	205
+	167	194
+	3	170	191	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	70
+	169	70
+	167	68
+	4	164	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	70
+	167	68
+	3	164	70	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	167	68
+	162	68
+	164	70
+	4	167	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	68
+	164	70
+	3	167	68	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	70
+	164	70
+	162	68
+	4	159	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	70
+	162	68
+	3	159	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	68
+	157	68
+	159	70
+	4	162	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	68
+	159	70
+	3	162	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	70
+	135	70
+	132	68
+	4	130	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	70
+	132	68
+	3	130	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	68
+	132	68
+	135	70
+	4	137	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	68
+	135	70
+	3	137	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	70
+	140	70
+	137	68
+	4	135	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	70
+	137	68
+	3	135	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	68
+	137	68
+	140	70
+	4	142	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	68
+	140	70
+	3	142	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	70
+	159	70
+	157	68
+	4	154	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	70
+	157	68
+	3	154	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	68
+	152	68
+	154	70
+	4	157	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	68
+	154	70
+	3	157	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	70
+	144	70
+	142	68
+	4	140	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	70
+	142	68
+	3	140	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	68
+	142	68
+	144	70
+	4	147	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	68
+	144	70
+	3	147	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	70
+	154	70
+	152	68
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	70
+	152	68
+	3	149	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	68
+	147	68
+	149	70
+	4	152	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	68
+	149	70
+	3	152	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	70
+	149	70
+	147	68
+	4	144	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	147	68
+	3	144	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	125
+	211	122
+	207	138
+	4	206	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	122
+	207	138
+	3	206	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	102
+	207	138
+	211	122
+	4	215	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	138
+	211	122
+	3	215	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	138
+	215	102
+	222	-3
+	4	207	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	102
+	222	-3
+	3	207	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	138
+	203	120
+	206	125
+	4	207	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	206	125
+	3	207	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	120
+	207	138
+	206	119
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	138
+	206	119
+	3	203	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	-3
+	206	119
+	207	138
+	4	222	-3	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	119
+	207	138
+	3	222	-3	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	191
+	157	201
+	155	188
+	4	152	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	201
+	155	188
+	3	152	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	71
+	172	71
+	169	70
+	4	167	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	71
+	169	70
+	3	167	71	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	70
+	164	70
+	167	71
+	4	169	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	70
+	167	71
+	3	169	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	71
+	167	71
+	164	70
+	4	162	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	71
+	164	70
+	3	162	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	70
+	159	70
+	162	71
+	4	164	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	70
+	162	71
+	3	164	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	71
+	132	71
+	130	70
+	4	127	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	71
+	130	70
+	3	127	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	70
+	130	70
+	132	71
+	4	135	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	70
+	132	71
+	3	135	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	71
+	137	71
+	135	70
+	4	132	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	71
+	135	70
+	3	132	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	70
+	135	70
+	137	71
+	4	140	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	70
+	137	71
+	3	140	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	71
+	162	71
+	159	70
+	4	157	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	71
+	159	70
+	3	157	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	70
+	154	70
+	157	71
+	4	159	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	70
+	157	71
+	3	159	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	71
+	142	71
+	140	70
+	4	137	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	71
+	140	70
+	3	137	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	70
+	140	70
+	142	71
+	4	144	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	70
+	142	71
+	3	144	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	71
+	157	71
+	154	70
+	4	152	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	71
+	154	70
+	3	152	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	70
+	149	70
+	152	71
+	4	154	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	152	71
+	3	154	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	71
+	147	71
+	144	70
+	4	142	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	71
+	144	70
+	3	142	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	70
+	144	70
+	147	71
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	70
+	147	71
+	3	149	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	71
+	152	71
+	149	70
+	4	147	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	71
+	149	70
+	3	147	71	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	196
+	159	210
+	162	199
+	4	165	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	210
+	162	199
+	3	165	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	210
+	165	196
+	162	204
+	4	159	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	196
+	162	204
+	3	159	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	73
+	175	73
+	172	71
+	4	170	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	73
+	172	71
+	3	170	73	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	71
+	167	71
+	170	73
+	4	172	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	71
+	170	73
+	3	172	71	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	73
+	170	73
+	167	71
+	4	165	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	73
+	167	71
+	3	165	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	71
+	162	71
+	165	73
+	4	167	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	71
+	165	73
+	3	167	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	73
+	129	73
+	127	71
+	4	124	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	73
+	127	71
+	3	124	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	71
+	127	71
+	129	73
+	4	132	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	71
+	129	73
+	3	132	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	73
+	134	73
+	132	71
+	4	129	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	73
+	132	71
+	3	129	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	71
+	132	71
+	134	73
+	4	137	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	71
+	134	73
+	3	137	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	73
+	165	73
+	162	71
+	4	160	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	73
+	162	71
+	3	160	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	71
+	157	71
+	160	73
+	4	162	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	71
+	160	73
+	3	162	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	73
+	139	73
+	137	71
+	4	134	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	73
+	137	71
+	3	134	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	71
+	137	71
+	139	73
+	4	142	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	71
+	139	73
+	3	142	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	73
+	160	73
+	157	71
+	4	155	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	73
+	157	71
+	3	155	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	71
+	152	71
+	155	73
+	4	157	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	71
+	155	73
+	3	157	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	73
+	144	73
+	142	71
+	4	139	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	73
+	142	71
+	3	139	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	71
+	142	71
+	144	73
+	4	147	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	71
+	144	73
+	3	147	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	73
+	149	73
+	147	71
+	4	144	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	73
+	147	71
+	3	144	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	71
+	147	71
+	149	73
+	4	152	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	71
+	149	73
+	3	152	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	73
+	155	73
+	152	71
+	4	149	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	73
+	152	71
+	3	149	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	194
+	162	204
+	165	196
+	4	167	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	204
+	165	196
+	3	167	194	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	74
+	177	74
+	175	73
+	4	172	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	74
+	175	73
+	3	172	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	73
+	170	73
+	172	74
+	4	175	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	73
+	172	74
+	3	175	73	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	74
+	172	74
+	170	73
+	4	167	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	74
+	170	73
+	3	167	74	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	73
+	165	73
+	167	74
+	4	170	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	73
+	167	74
+	3	170	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	74
+	127	74
+	124	73
+	4	122	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	74
+	124	73
+	3	122	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	73
+	124	73
+	127	74
+	4	129	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	73
+	127	74
+	3	129	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	74
+	167	74
+	165	73
+	4	162	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	74
+	165	73
+	3	162	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	73
+	160	73
+	162	74
+	4	165	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	73
+	162	74
+	3	165	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	74
+	132	74
+	129	73
+	4	127	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	74
+	129	73
+	3	127	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	73
+	129	73
+	132	74
+	4	134	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	73
+	132	74
+	3	134	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	74
+	137	74
+	134	73
+	4	132	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	74
+	134	73
+	3	132	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	73
+	134	73
+	137	74
+	4	139	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	73
+	137	74
+	3	139	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	74
+	142	74
+	139	73
+	4	137	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	74
+	139	73
+	3	137	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	73
+	139	73
+	142	74
+	4	144	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	73
+	142	74
+	3	144	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	74
+	162	74
+	160	73
+	4	157	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	74
+	160	73
+	3	157	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	73
+	155	73
+	157	74
+	4	160	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	73
+	157	74
+	3	160	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	74
+	147	74
+	144	73
+	4	142	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	74
+	144	73
+	3	142	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	73
+	144	73
+	147	74
+	4	149	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	73
+	147	74
+	3	149	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	74
+	157	74
+	155	73
+	4	152	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	74
+	155	73
+	3	152	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	73
+	149	73
+	152	74
+	4	155	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	73
+	152	74
+	3	155	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	74
+	152	74
+	149	73
+	4	147	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	74
+	149	73
+	3	147	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	76
+	180	76
+	177	74
+	4	175	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	76
+	177	74
+	3	175	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	74
+	172	74
+	175	76
+	4	177	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	74
+	175	76
+	3	177	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	76
+	175	76
+	172	74
+	4	170	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	76
+	172	74
+	3	170	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	74
+	167	74
+	170	76
+	4	172	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	74
+	170	76
+	3	172	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	76
+	124	76
+	122	74
+	4	119	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	76
+	122	74
+	3	119	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	74
+	122	74
+	124	76
+	4	127	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	74
+	124	76
+	3	127	74	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	76
+	170	76
+	167	74
+	4	165	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	76
+	167	74
+	3	165	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	74
+	162	74
+	165	76
+	4	167	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	74
+	165	76
+	3	167	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	76
+	129	76
+	127	74
+	4	124	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	76
+	127	74
+	3	124	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	74
+	127	74
+	129	76
+	4	132	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	74
+	129	76
+	3	132	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	76
+	134	76
+	132	74
+	4	129	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	76
+	132	74
+	3	129	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	74
+	132	74
+	134	76
+	4	137	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	74
+	134	76
+	3	137	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	76
+	139	76
+	137	74
+	4	134	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	137	74
+	3	134	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	74
+	137	74
+	139	76
+	4	142	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	74
+	139	76
+	3	142	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	76
+	165	76
+	162	74
+	4	160	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	76
+	162	74
+	3	160	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	74
+	157	74
+	160	76
+	4	162	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	74
+	160	76
+	3	162	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	76
+	144	76
+	142	74
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	76
+	142	74
+	3	139	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	74
+	142	74
+	144	76
+	4	147	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	74
+	144	76
+	3	147	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	76
+	160	76
+	157	74
+	4	155	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	76
+	157	74
+	3	155	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	74
+	152	74
+	155	76
+	4	157	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	74
+	155	76
+	3	157	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	76
+	149	76
+	147	74
+	4	144	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	147	74
+	3	144	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	74
+	147	74
+	149	76
+	4	152	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	74
+	149	76
+	3	152	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	155	76
+	152	74
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	76
+	152	74
+	3	149	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	184
+	155	171
+	157	187
+	4	160	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	171
+	157	187
+	3	160	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	171
+	160	184
+	157	164
+	4	155	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	184
+	157	164
+	3	155	171	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	170
+	157	164
+	160	184
+	4	162	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	164
+	160	184
+	3	162	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	78
+	182	78
+	180	76
+	4	177	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	78
+	180	76
+	3	177	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	76
+	175	76
+	177	78
+	4	180	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	76
+	177	78
+	3	180	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	78
+	177	78
+	175	76
+	4	172	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	78
+	175	76
+	3	172	78	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	76
+	170	76
+	172	78
+	4	175	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	76
+	172	78
+	3	175	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	77
+	172	78
+	170	76
+	4	167	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	78
+	170	76
+	3	167	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	76
+	165	76
+	167	77
+	4	170	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	76
+	167	77
+	3	170	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	187
+	152	174
+	155	188
+	4	157	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	155	188
+	3	157	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	174
+	157	187
+	155	171
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	187
+	155	171
+	3	152	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	77
+	122	77
+	119	76
+	4	117	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	77
+	119	76
+	3	117	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	76
+	119	76
+	122	77
+	4	124	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	76
+	122	77
+	3	124	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	77
+	127	77
+	124	76
+	4	122	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	77
+	124	76
+	3	122	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	76
+	124	76
+	127	77
+	4	129	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	76
+	127	77
+	3	129	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	77
+	132	77
+	129	76
+	4	127	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	77
+	129	76
+	3	127	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	76
+	129	76
+	132	77
+	4	134	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	76
+	132	77
+	3	134	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	77
+	137	77
+	134	76
+	4	132	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	77
+	134	76
+	3	132	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	76
+	134	76
+	137	77
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	76
+	137	77
+	3	139	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	77
+	167	77
+	165	76
+	4	162	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	77
+	165	76
+	3	162	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	76
+	160	76
+	162	77
+	4	165	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	76
+	162	77
+	3	165	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	77
+	142	77
+	139	76
+	4	137	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	77
+	139	76
+	3	137	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	76
+	139	76
+	142	77
+	4	144	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	142	77
+	3	144	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	77
+	162	77
+	160	76
+	4	157	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	77
+	160	76
+	3	157	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	76
+	155	76
+	157	77
+	4	160	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	76
+	157	77
+	3	160	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	77
+	147	77
+	144	76
+	4	142	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	77
+	144	76
+	3	142	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	76
+	144	76
+	147	77
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	76
+	147	77
+	3	149	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	77
+	152	77
+	149	76
+	4	147	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	77
+	149	76
+	3	147	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	76
+	149	76
+	152	77
+	4	155	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	152	77
+	3	155	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	77
+	157	77
+	155	76
+	4	152	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	77
+	155	76
+	3	152	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	79
+	185	79
+	182	78
+	4	180	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	79
+	182	78
+	3	180	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	78
+	177	78
+	180	79
+	4	182	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	78
+	180	79
+	3	182	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	79
+	180	79
+	177	78
+	4	175	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	79
+	177	78
+	3	175	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	78
+	172	78
+	175	79
+	4	177	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	78
+	175	79
+	3	177	78	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	79
+	175	79
+	172	78
+	4	170	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	79
+	172	78
+	3	170	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	78
+	167	77
+	170	79
+	4	172	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	77
+	170	79
+	3	172	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	79
+	119	79
+	117	77
+	4	114	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	79
+	117	77
+	3	114	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	77
+	117	77
+	119	79
+	4	122	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	77
+	119	79
+	3	122	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	79
+	124	79
+	122	77
+	4	119	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	122	77
+	3	119	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	77
+	122	77
+	124	79
+	4	127	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	77
+	124	79
+	3	127	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	79
+	129	79
+	127	77
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	79
+	127	77
+	3	124	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	77
+	127	77
+	129	79
+	4	132	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	77
+	129	79
+	3	132	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	79
+	170	79
+	167	77
+	4	165	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	79
+	167	77
+	3	165	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	77
+	162	77
+	165	79
+	4	167	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	77
+	165	79
+	3	167	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	79
+	134	79
+	132	77
+	4	129	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	79
+	132	77
+	3	129	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	77
+	132	77
+	134	79
+	4	137	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	77
+	134	79
+	3	137	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	79
+	139	79
+	137	77
+	4	134	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	79
+	137	77
+	3	134	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	77
+	137	77
+	139	79
+	4	142	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	77
+	139	79
+	3	142	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	79
+	144	79
+	142	77
+	4	139	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	79
+	142	77
+	3	139	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	77
+	142	77
+	144	79
+	4	147	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	77
+	144	79
+	3	147	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	79
+	165	79
+	162	77
+	4	160	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	79
+	162	77
+	3	160	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	77
+	157	77
+	160	79
+	4	162	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	77
+	160	79
+	3	162	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	79
+	149	79
+	147	77
+	4	144	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	79
+	147	77
+	3	144	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	77
+	147	77
+	149	79
+	4	152	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	77
+	149	79
+	3	152	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	79
+	160	79
+	157	77
+	4	155	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	79
+	157	77
+	3	155	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	77
+	152	77
+	155	79
+	4	157	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	77
+	155	79
+	3	157	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	79
+	155	79
+	152	77
+	4	149	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	79
+	152	77
+	3	149	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	188
+	149	175
+	152	191
+	4	155	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	175
+	152	191
+	3	155	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	175
+	155	188
+	152	174
+	4	149	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	188
+	152	174
+	3	149	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	132
+	195	145
+	198	139
+	4	201	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	145
+	198	139
+	3	201	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	145
+	201	132
+	198	132
+	4	195	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	132
+	198	132
+	3	195	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	190	145
+	195	145
+	193	136
+	4	190	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	145
+	193	136
+	3	190	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	198	132
+	193	136
+	195	145
+	4	198	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	136
+	195	145
+	3	198	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	145
+	187	102
+	190	109
+	4	190	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	102
+	190	109
+	3	190	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	102
+	190	145
+	189	119
+	4	187	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	145
+	189	119
+	3	187	102	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	193	136
+	189	119
+	190	145
+	4	193	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	119
+	190	145
+	3	193	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	191
+	147	173
+	149	192
+	4	152	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	173
+	149	192
+	3	152	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	173
+	152	191
+	149	175
+	4	147	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	191
+	149	175
+	3	147	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	81
+	188	81
+	185	79
+	4	183	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	81
+	185	79
+	3	183	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	79
+	180	79
+	183	81
+	4	185	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	79
+	183	81
+	3	185	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	81
+	183	81
+	180	79
+	4	177	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	81
+	180	79
+	3	177	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	79
+	175	79
+	177	81
+	4	180	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	79
+	177	81
+	3	180	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	81
+	177	81
+	175	79
+	4	172	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	81
+	175	79
+	3	172	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	79
+	170	79
+	172	81
+	4	175	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	79
+	172	81
+	3	175	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	81
+	172	81
+	170	79
+	4	167	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	81
+	170	79
+	3	167	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	79
+	165	79
+	167	81
+	4	170	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	79
+	167	81
+	3	170	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	81
+	121	81
+	119	79
+	4	116	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	81
+	119	79
+	3	116	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	79
+	119	79
+	121	81
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	79
+	121	81
+	3	124	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	79
+	114	79
+	116	81
+	4	119	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	79
+	116	81
+	3	119	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	81
+	116	81
+	114	79
+	4	111	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	81
+	114	79
+	3	111	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	81
+	127	81
+	124	79
+	4	121	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	81
+	124	79
+	3	121	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	79
+	124	79
+	127	81
+	4	129	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	127	81
+	3	129	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	81
+	132	81
+	129	79
+	4	127	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	81
+	129	79
+	3	127	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	79
+	129	79
+	132	81
+	4	134	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	79
+	132	81
+	3	134	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	81
+	137	81
+	134	79
+	4	132	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	81
+	134	79
+	3	132	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	79
+	134	79
+	137	81
+	4	139	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	79
+	137	81
+	3	139	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	81
+	142	81
+	139	79
+	4	137	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	81
+	139	79
+	3	137	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	79
+	139	79
+	142	81
+	4	144	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	79
+	142	81
+	3	144	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	81
+	167	81
+	165	79
+	4	162	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	81
+	165	79
+	3	162	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	79
+	160	79
+	162	81
+	4	165	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	79
+	162	81
+	3	165	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	81
+	147	81
+	144	79
+	4	142	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	81
+	144	79
+	3	142	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	79
+	144	79
+	147	81
+	4	149	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	79
+	147	81
+	3	149	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	81
+	162	81
+	160	79
+	4	157	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	81
+	160	79
+	3	157	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	79
+	155	79
+	157	81
+	4	160	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	79
+	157	81
+	3	160	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	81
+	152	81
+	149	79
+	4	147	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	81
+	149	79
+	3	147	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	79
+	149	79
+	152	81
+	4	155	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	79
+	152	81
+	3	155	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	81
+	157	81
+	155	79
+	4	152	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	81
+	155	79
+	3	152	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	83
+	190	83
+	188	81
+	4	185	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	83
+	188	81
+	3	185	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	81
+	183	81
+	185	83
+	4	188	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	81
+	185	83
+	3	188	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	83
+	185	83
+	183	81
+	4	180	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	83
+	183	81
+	3	180	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	81
+	177	81
+	180	83
+	4	183	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	81
+	180	83
+	3	183	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	82
+	180	83
+	177	81
+	4	175	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	83
+	177	81
+	3	175	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	81
+	172	81
+	175	82
+	4	177	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	81
+	175	82
+	3	177	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	192
+	144	165
+	147	184
+	4	149	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	165
+	147	184
+	3	149	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	165
+	149	192
+	147	173
+	4	144	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	192
+	147	173
+	3	144	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	82
+	175	82
+	172	81
+	4	170	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	82
+	172	81
+	3	170	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	81
+	167	81
+	170	82
+	4	172	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	81
+	170	82
+	3	172	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	82
+	119	82
+	116	81
+	4	114	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	82
+	116	81
+	3	114	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	81
+	116	81
+	119	82
+	4	121	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	81
+	119	82
+	3	121	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	81
+	111	81
+	114	82
+	4	116	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	81
+	114	82
+	3	116	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	82
+	124	82
+	121	81
+	4	119	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	82
+	121	81
+	3	119	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	81
+	121	81
+	124	82
+	4	127	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	81
+	124	82
+	3	127	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	82
+	114	82
+	111	81
+	4	109	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	82
+	111	81
+	3	109	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	82
+	129	82
+	127	81
+	4	124	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	82
+	127	81
+	3	124	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	81
+	127	81
+	129	82
+	4	132	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	81
+	129	82
+	3	132	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	82
+	134	82
+	132	81
+	4	129	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	82
+	132	81
+	3	129	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	81
+	132	81
+	134	82
+	4	137	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	81
+	134	82
+	3	137	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	82
+	139	82
+	137	81
+	4	134	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	82
+	137	81
+	3	134	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	81
+	137	81
+	139	82
+	4	142	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	81
+	139	82
+	3	142	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	82
+	170	82
+	167	81
+	4	165	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	82
+	167	81
+	3	165	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	81
+	162	81
+	165	82
+	4	167	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	81
+	165	82
+	3	167	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	82
+	144	82
+	142	81
+	4	139	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	82
+	142	81
+	3	139	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	81
+	142	81
+	144	82
+	4	147	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	81
+	144	82
+	3	147	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	82
+	165	82
+	162	81
+	4	160	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	82
+	162	81
+	3	160	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	81
+	157	81
+	160	82
+	4	162	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	81
+	160	82
+	3	162	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	82
+	149	82
+	147	81
+	4	144	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	147	81
+	3	144	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	81
+	147	81
+	149	82
+	4	152	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	81
+	149	82
+	3	152	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	82
+	155	82
+	152	81
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	82
+	152	81
+	3	149	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	81
+	152	81
+	155	82
+	4	157	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	81
+	155	82
+	3	157	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	82
+	160	82
+	157	81
+	4	155	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	82
+	157	81
+	3	155	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	113
+	200	126
+	195	148
+	4	196	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	126
+	195	148
+	3	196	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	130
+	195	148
+	200	126
+	4	202	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	148
+	200	126
+	3	202	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	148
+	202	130
+	198	139
+	4	195	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	130
+	198	139
+	3	195	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	194
+	173	176
+	170	191
+	4	167	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	176
+	170	191
+	3	167	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	162
+	170	191
+	173	176
+	4	176	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	191
+	173	176
+	3	176	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	191
+	176	162
+	173	178
+	4	170	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	162
+	173	178
+	3	170	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	85
+	193	85
+	190	83
+	4	188	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	85
+	190	83
+	3	188	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	83
+	185	83
+	188	85
+	4	190	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	83
+	188	85
+	3	190	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	85
+	188	85
+	185	83
+	4	183	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	85
+	185	83
+	3	183	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	83
+	180	83
+	183	85
+	4	185	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	83
+	183	85
+	3	185	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	84
+	183	85
+	180	83
+	4	178	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	85
+	180	83
+	3	178	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	83
+	175	82
+	178	84
+	4	180	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	82
+	178	84
+	3	180	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	119
+	222	-3
+	210	98
+	4	206	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	-3
+	210	98
+	3	206	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	119
+	201	112
+	203	120
+	4	206	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	112
+	203	120
+	3	206	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	112
+	206	119
+	204	108
+	4	201	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	119
+	204	108
+	3	201	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	210	98
+	204	108
+	206	119
+	4	210	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	108
+	206	119
+	3	210	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	84
+	178	84
+	175	82
+	4	173	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	84
+	175	82
+	3	173	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	82
+	170	82
+	173	84
+	4	175	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	82
+	173	84
+	3	175	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	84
+	121	84
+	119	82
+	4	116	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	84
+	119	82
+	3	116	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	82
+	119	82
+	121	84
+	4	124	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	82
+	121	84
+	3	124	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	82
+	114	82
+	116	84
+	4	119	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	82
+	116	84
+	3	119	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	84
+	126	84
+	124	82
+	4	121	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	84
+	124	82
+	3	121	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	82
+	124	82
+	126	84
+	4	129	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	82
+	126	84
+	3	129	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	84
+	116	84
+	114	82
+	4	111	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	84
+	114	82
+	3	111	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	82
+	109	82
+	111	84
+	4	114	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	82
+	111	84
+	3	114	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	84
+	111	84
+	109	82
+	4	106	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	84
+	109	82
+	3	106	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	84
+	132	84
+	129	82
+	4	126	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	84
+	129	82
+	3	126	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	82
+	129	82
+	132	84
+	4	134	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	82
+	132	84
+	3	134	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	196
+	170	183
+	167	194
+	4	165	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	183
+	167	194
+	3	165	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	176
+	167	194
+	170	183
+	4	173	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	194
+	170	183
+	3	173	176	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	84
+	173	84
+	170	82
+	4	167	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	84
+	170	82
+	3	167	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	82
+	165	82
+	167	84
+	4	170	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	82
+	167	84
+	3	170	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	84
+	137	84
+	134	82
+	4	132	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	84
+	134	82
+	3	132	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	82
+	134	82
+	137	84
+	4	139	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	82
+	137	84
+	3	139	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	84
+	142	84
+	139	82
+	4	137	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	84
+	139	82
+	3	137	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	82
+	139	82
+	142	84
+	4	144	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	82
+	142	84
+	3	144	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	84
+	147	84
+	144	82
+	4	142	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	84
+	144	82
+	3	142	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	82
+	144	82
+	147	84
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	82
+	147	84
+	3	149	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	84
+	167	84
+	165	82
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	84
+	165	82
+	3	162	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	82
+	160	82
+	162	84
+	4	165	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	82
+	162	84
+	3	165	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	84
+	152	84
+	149	82
+	4	147	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	84
+	149	82
+	3	147	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	82
+	149	82
+	152	84
+	4	155	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	152	84
+	3	155	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	84
+	162	84
+	160	82
+	4	157	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	160	82
+	3	157	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	82
+	155	82
+	157	84
+	4	160	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	82
+	157	84
+	3	160	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	84
+	157	84
+	155	82
+	4	152	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	84
+	155	82
+	3	152	84	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	193	136
+	198	132
+	196	128
+	4	193	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	132
+	196	128
+	3	193	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	119
+	193	136
+	191	122
+	4	189	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	136
+	191	122
+	3	189	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	196	128
+	191	122
+	193	136
+	4	196	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	122
+	193	136
+	3	196	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	124
+	209	123
+	206	125
+	4	204	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	123
+	206	125
+	3	204	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	122
+	206	125
+	209	123
+	4	211	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	125
+	209	123
+	3	211	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	206	125
+	201	120
+	204	124
+	4	206	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	120
+	204	124
+	3	206	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	120
+	206	125
+	203	120
+	4	201	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	125
+	203	120
+	3	201	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	86
+	190	87
+	188	85
+	4	185	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	87
+	188	85
+	3	185	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	85
+	188	85
+	190	87
+	4	193	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	85
+	190	87
+	3	193	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	85
+	183	85
+	185	86
+	4	188	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	85
+	185	86
+	3	188	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	87
+	196	86
+	193	85
+	4	190	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	86
+	193	85
+	3	190	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	86
+	185	86
+	183	85
+	4	180	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	86
+	183	85
+	3	180	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	85
+	178	84
+	180	86
+	4	183	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	84
+	180	86
+	3	183	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	86
+	180	86
+	178	84
+	4	175	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	86
+	178	84
+	3	175	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	84
+	173	84
+	175	86
+	4	178	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	84
+	175	86
+	3	178	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	86
+	175	86
+	173	84
+	4	170	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	86
+	173	84
+	3	170	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	84
+	167	84
+	170	86
+	4	173	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	84
+	170	86
+	3	173	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	86
+	124	86
+	121	84
+	4	119	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	86
+	121	84
+	3	119	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	84
+	121	84
+	124	86
+	4	126	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	84
+	124	86
+	3	126	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	84
+	116	84
+	119	86
+	4	121	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	84
+	119	86
+	3	121	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	86
+	119	86
+	116	84
+	4	114	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	86
+	116	84
+	3	114	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	84
+	111	84
+	114	86
+	4	116	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	84
+	114	86
+	3	116	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	86
+	129	86
+	126	84
+	4	124	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	126	84
+	3	124	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	84
+	126	84
+	129	86
+	4	132	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	84
+	129	86
+	3	132	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	86
+	114	86
+	111	84
+	4	108	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	86
+	111	84
+	3	108	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	84
+	106	84
+	108	86
+	4	111	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	84
+	108	86
+	3	111	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	86
+	108	86
+	106	84
+	4	103	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	86
+	106	84
+	3	103	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	86
+	134	86
+	132	84
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	86
+	132	84
+	3	129	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	84
+	132	84
+	134	86
+	4	137	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	84
+	134	86
+	3	137	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	86
+	139	86
+	137	84
+	4	134	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	86
+	137	84
+	3	134	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	84
+	137	84
+	139	86
+	4	142	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	84
+	139	86
+	3	142	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	86
+	144	85
+	142	84
+	4	139	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	85
+	142	84
+	3	139	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	84
+	142	84
+	144	85
+	4	147	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	84
+	144	85
+	3	147	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	85
+	170	86
+	167	84
+	4	165	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	86
+	167	84
+	3	165	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	84
+	162	84
+	165	85
+	4	167	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	165	85
+	3	167	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	199
+	168	186
+	165	196
+	4	162	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	186
+	165	196
+	3	162	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	183
+	165	196
+	168	186
+	4	170	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	196
+	168	186
+	3	170	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	85
+	149	85
+	147	84
+	4	144	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	147	84
+	3	144	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	84
+	147	84
+	149	85
+	4	152	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	84
+	149	85
+	3	152	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	85
+	165	85
+	162	84
+	4	160	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	85
+	162	84
+	3	160	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	84
+	157	84
+	160	85
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	84
+	160	85
+	3	162	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	85
+	155	85
+	152	84
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	85
+	152	84
+	3	149	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	84
+	152	84
+	155	85
+	4	157	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	84
+	155	85
+	3	157	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	85
+	160	85
+	157	84
+	4	155	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	85
+	157	84
+	3	155	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	120
+	198	115
+	201	120
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	201	120
+	3	203	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	115
+	203	120
+	201	112
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	201	112
+	3	198	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	89
+	193	89
+	190	87
+	4	188	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	89
+	190	87
+	3	188	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	86
+	190	87
+	193	89
+	4	196	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	87
+	193	89
+	3	196	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	87
+	185	86
+	188	89
+	4	190	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	86
+	188	89
+	3	190	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	170
+	169	128
+	166	131
+	4	162	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	128
+	166	131
+	3	162	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	164
+	162	170
+	160	151
+	4	157	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	170
+	160	151
+	3	157	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	131
+	160	151
+	162	170
+	4	166	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	151
+	162	170
+	3	166	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	88
+	188	89
+	185	86
+	4	183	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	89
+	185	86
+	3	183	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	86
+	180	86
+	183	88
+	4	185	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	86
+	183	88
+	3	185	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	89
+	198	88
+	196	86
+	4	193	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	88
+	196	86
+	3	193	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	200
+	165	187
+	162	199
+	4	160	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	187
+	162	199
+	3	160	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	186
+	162	199
+	165	187
+	4	168	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	199
+	165	187
+	3	168	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	88
+	183	88
+	180	86
+	4	178	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	88
+	180	86
+	3	178	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	86
+	175	86
+	178	88
+	4	180	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	86
+	178	88
+	3	180	86	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	123
+	215	115
+	211	122
+	4	209	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	115
+	211	122
+	3	209	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	218	106
+	211	122
+	215	115
+	4	218	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	122
+	215	115
+	3	218	106	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	211	122
+	218	106
+	215	102
+	4	211	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	106
+	215	102
+	3	211	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	87
+	178	88
+	175	86
+	4	173	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	88
+	175	86
+	3	173	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	86
+	170	86
+	173	87
+	4	175	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	86
+	173	87
+	3	175	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	87
+	121	87
+	119	86
+	4	116	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	87
+	119	86
+	3	116	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	86
+	119	86
+	121	87
+	4	124	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	86
+	121	87
+	3	124	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	86
+	114	86
+	116	87
+	4	119	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	86
+	116	87
+	3	119	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	87
+	126	87
+	124	86
+	4	121	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	87
+	124	86
+	3	121	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	86
+	124	86
+	126	87
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	86
+	126	87
+	3	129	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	87
+	116	87
+	114	86
+	4	111	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	87
+	114	86
+	3	111	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	86
+	108	86
+	111	87
+	4	114	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	86
+	111	87
+	3	114	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	87
+	131	87
+	129	86
+	4	126	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	87
+	129	86
+	3	126	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	86
+	129	86
+	131	87
+	4	134	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	131	87
+	3	134	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	87
+	111	87
+	108	86
+	4	106	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	87
+	108	86
+	3	106	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	86
+	103	86
+	106	87
+	4	108	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	86
+	106	87
+	3	108	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	87
+	137	87
+	134	86
+	4	131	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	87
+	134	86
+	3	131	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	86
+	134	86
+	137	87
+	4	139	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	86
+	137	87
+	3	139	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	87
+	106	87
+	103	86
+	4	101	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	87
+	103	86
+	3	101	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	87
+	142	87
+	139	86
+	4	137	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	87
+	139	86
+	3	137	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	85
+	139	86
+	142	87
+	4	144	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	86
+	142	87
+	3	144	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	87
+	173	87
+	170	86
+	4	168	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	87
+	170	86
+	3	168	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	86
+	165	85
+	168	87
+	4	170	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	85
+	168	87
+	3	170	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	87
+	147	87
+	144	85
+	4	142	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	87
+	144	85
+	3	142	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	85
+	144	85
+	147	87
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	85
+	147	87
+	3	149	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	87
+	152	87
+	149	85
+	4	147	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	87
+	149	85
+	3	147	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	85
+	149	85
+	152	87
+	4	155	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	152	87
+	3	155	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	87
+	168	87
+	165	85
+	4	162	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	87
+	165	85
+	3	162	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	85
+	160	85
+	162	87
+	4	165	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	85
+	162	87
+	3	165	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	87
+	157	87
+	155	85
+	4	152	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	87
+	155	85
+	3	152	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	85
+	155	85
+	157	87
+	4	160	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	85
+	157	87
+	3	160	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	87
+	162	87
+	160	85
+	4	157	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	87
+	160	85
+	3	157	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	127
+	198	132
+	201	132
+	4	204	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	132
+	201	132
+	3	204	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	132
+	204	127
+	201	126
+	4	198	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	127
+	201	126
+	3	198	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	201	126
+	196	128
+	198	132
+	4	201	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	128
+	198	132
+	3	201	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	91
+	196	91
+	193	89
+	4	191	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	91
+	193	89
+	3	191	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	88
+	193	89
+	196	91
+	4	198	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	89
+	196	91
+	3	198	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	89
+	188	89
+	191	91
+	4	193	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	89
+	191	91
+	3	193	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	128
+	198	139
+	202	130
+	4	204	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	139
+	202	130
+	3	204	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	139
+	204	128
+	201	132
+	4	198	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	128
+	201	132
+	3	198	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	90
+	191	91
+	188	89
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	91
+	188	89
+	3	186	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	89
+	183	88
+	186	90
+	4	188	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	88
+	186	90
+	3	188	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	91
+	201	90
+	198	88
+	4	196	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	90
+	198	88
+	3	196	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	90
+	186	90
+	183	88
+	4	180	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	183	88
+	3	180	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	88
+	178	88
+	180	90
+	4	183	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	88
+	180	90
+	3	183	88	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	196	128
+	201	126
+	198	123
+	4	196	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	126
+	198	123
+	3	196	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	122
+	196	128
+	193	120
+	4	191	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	128
+	193	120
+	3	191	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	123
+	193	120
+	196	128
+	4	198	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	120
+	196	128
+	3	198	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	89
+	180	90
+	178	88
+	4	175	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	90
+	178	88
+	3	175	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	88
+	173	87
+	175	89
+	4	178	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	87
+	175	89
+	3	178	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	123
+	204	124
+	201	120
+	4	198	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	124
+	201	120
+	3	198	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	120
+	196	118
+	198	123
+	4	201	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	118
+	198	123
+	3	201	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	118
+	201	120
+	198	115
+	4	196	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	120
+	198	115
+	3	196	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	157	192
+	163	185
+	160	200
+	4	157	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	185
+	160	200
+	3	157	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	187
+	160	200
+	163	185
+	4	165	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	200
+	163	185
+	3	165	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	89
+	124	89
+	121	87
+	4	119	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	89
+	121	87
+	3	119	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	87
+	121	87
+	124	89
+	4	126	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	87
+	124	89
+	3	126	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	87
+	116	87
+	119	89
+	4	121	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	87
+	119	89
+	3	121	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	89
+	129	89
+	126	87
+	4	124	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	89
+	126	87
+	3	124	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	87
+	126	87
+	129	89
+	4	131	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	87
+	129	89
+	3	131	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	89
+	119	89
+	116	87
+	4	113	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	89
+	116	87
+	3	113	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	87
+	111	87
+	113	89
+	4	116	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	87
+	113	89
+	3	116	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	171
+	149	162
+	152	174
+	4	155	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	162
+	152	174
+	3	155	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	162
+	155	171
+	152	158
+	4	149	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	171
+	152	158
+	3	149	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	164
+	152	158
+	155	171
+	4	157	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	158
+	155	171
+	3	157	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	89
+	113	89
+	111	87
+	4	108	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	89
+	111	87
+	3	108	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	87
+	106	87
+	108	89
+	4	111	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	87
+	108	89
+	3	111	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	89
+	134	89
+	131	87
+	4	129	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	89
+	131	87
+	3	129	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	87
+	131	87
+	134	89
+	4	137	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	87
+	134	89
+	3	137	87	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	201	126
+	206	124
+	204	124
+	4	201	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	124
+	204	124
+	3	201	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	123
+	204	124
+	206	124
+	4	209	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	124
+	206	124
+	3	209	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	124
+	198	123
+	201	126
+	4	204	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	123
+	201	126
+	3	204	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	89
+	108	89
+	106	87
+	4	103	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	89
+	106	87
+	3	103	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	87
+	101	87
+	103	89
+	4	106	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	87
+	103	89
+	3	106	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	89
+	175	89
+	173	87
+	4	170	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	89
+	173	87
+	3	170	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	87
+	168	87
+	170	89
+	4	173	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	87
+	170	89
+	3	173	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	89
+	103	89
+	101	87
+	4	98	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	89
+	101	87
+	3	98	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	89
+	139	89
+	137	87
+	4	134	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	89
+	137	87
+	3	134	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	87
+	137	87
+	139	89
+	4	142	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	87
+	139	89
+	3	142	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	89
+	144	89
+	142	87
+	4	139	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	89
+	142	87
+	3	139	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	87
+	142	87
+	144	89
+	4	147	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	87
+	144	89
+	3	147	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	93
+	193	93
+	191	91
+	4	188	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	93
+	191	91
+	3	188	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	91
+	191	91
+	193	93
+	4	196	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	91
+	193	93
+	3	196	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	91
+	186	90
+	188	93
+	4	191	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	90
+	188	93
+	3	191	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	93
+	199	93
+	196	91
+	4	193	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	93
+	196	91
+	3	193	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	90
+	196	91
+	199	93
+	4	201	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	91
+	199	93
+	3	201	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	89
+	149	89
+	147	87
+	4	144	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	89
+	147	87
+	3	144	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	87
+	147	87
+	149	89
+	4	152	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	87
+	149	89
+	3	152	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	88
+	170	89
+	168	87
+	4	165	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	89
+	168	87
+	3	165	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	87
+	162	87
+	165	88
+	4	168	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	87
+	165	88
+	3	168	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	89
+	155	88
+	152	87
+	4	149	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	88
+	152	87
+	3	149	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	87
+	152	87
+	155	88
+	4	157	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	87
+	155	88
+	3	157	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	174
+	147	162
+	149	175
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	162
+	149	175
+	3	152	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	162
+	152	174
+	149	162
+	4	147	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	149	162
+	3	147	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	112
+	196	110
+	198	115
+	4	201	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	110
+	198	115
+	3	201	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	110
+	201	112
+	199	107
+	4	196	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	112
+	199	107
+	3	196	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	108
+	199	107
+	201	112
+	4	204	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	107
+	201	112
+	3	204	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	88
+	165	88
+	162	87
+	4	160	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	88
+	162	87
+	3	160	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	87
+	157	87
+	160	88
+	4	162	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	87
+	160	88
+	3	162	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	88
+	160	88
+	157	87
+	4	155	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	88
+	157	87
+	3	155	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	124
+	212	119
+	209	123
+	4	206	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	119
+	209	123
+	3	206	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	115
+	209	123
+	212	119
+	4	215	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	123
+	212	119
+	3	215	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	92
+	188	93
+	186	90
+	4	183	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	93
+	186	90
+	3	183	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	90
+	180	90
+	183	92
+	4	186	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	90
+	183	92
+	3	186	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	120
+	198	123
+	196	118
+	4	193	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	123
+	196	118
+	3	193	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	93
+	204	91
+	201	90
+	4	199	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	91
+	201	90
+	3	199	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	206	124
+	201	126
+	204	127
+	4	206	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	126
+	204	127
+	3	206	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	91
+	183	92
+	180	90
+	4	178	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	92
+	180	90
+	3	178	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	90
+	175	89
+	178	91
+	4	180	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	89
+	178	91
+	3	180	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	95
+	196	96
+	193	93
+	4	191	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	96
+	193	93
+	3	191	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	93
+	193	93
+	196	96
+	4	199	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	93
+	196	96
+	3	199	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	93
+	188	93
+	191	95
+	4	193	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	93
+	191	95
+	3	193	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	115
+	194	112
+	196	118
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	112
+	196	118
+	3	198	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	112
+	198	115
+	196	110
+	4	194	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	196	110
+	3	194	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	108
+	210	98
+	207	99
+	4	204	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	98
+	207	99
+	3	204	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	107
+	204	108
+	201	102
+	4	199	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	108
+	201	102
+	3	199	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	99
+	201	102
+	204	108
+	4	207	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	102
+	204	108
+	3	207	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	96
+	201	95
+	199	93
+	4	196	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	95
+	199	93
+	3	196	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	91
+	199	93
+	201	95
+	4	204	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	93
+	201	95
+	3	204	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	90
+	178	91
+	175	89
+	4	173	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	91
+	175	89
+	3	173	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	89
+	170	89
+	173	90
+	4	175	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	89
+	173	90
+	3	175	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	91
+	126	91
+	124	89
+	4	121	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	91
+	124	89
+	3	121	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	89
+	124	89
+	126	91
+	4	129	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	89
+	126	91
+	3	129	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	89
+	119	89
+	121	91
+	4	124	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	89
+	121	91
+	3	124	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	94
+	191	95
+	188	93
+	4	186	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	95
+	188	93
+	3	186	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	93
+	183	92
+	186	94
+	4	188	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	92
+	186	94
+	3	188	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	91
+	121	91
+	119	89
+	4	116	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	91
+	119	89
+	3	116	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	89
+	113	89
+	116	91
+	4	119	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	89
+	116	91
+	3	119	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	91
+	131	91
+	129	89
+	4	126	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	91
+	129	89
+	3	126	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	89
+	129	89
+	131	91
+	4	134	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	89
+	131	91
+	3	134	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	91
+	116	91
+	113	89
+	4	111	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	91
+	113	89
+	3	111	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	89
+	108	89
+	111	91
+	4	113	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	89
+	111	91
+	3	113	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	91
+	111	91
+	108	89
+	4	105	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	91
+	108	89
+	3	105	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	89
+	103	89
+	105	91
+	4	108	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	89
+	105	91
+	3	108	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	91
+	137	91
+	134	89
+	4	131	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	91
+	134	89
+	3	131	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	89
+	134	89
+	137	91
+	4	139	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	89
+	137	91
+	3	139	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	100	91
+	105	91
+	103	89
+	4	100	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	91
+	103	89
+	3	100	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	89
+	98	89
+	100	91
+	4	103	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	89
+	100	91
+	3	103	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	91
+	100	91
+	98	89
+	4	95	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	91
+	98	89
+	3	95	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	91
+	142	90
+	139	89
+	4	137	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	90
+	139	89
+	3	137	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	89
+	139	89
+	142	90
+	4	144	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	89
+	142	90
+	3	144	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	90
+	147	90
+	144	89
+	4	142	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	90
+	144	89
+	3	142	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	89
+	144	89
+	147	90
+	4	149	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	89
+	147	90
+	3	149	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	90
+	173	90
+	170	89
+	4	168	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	90
+	170	89
+	3	168	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	89
+	165	88
+	168	90
+	4	170	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	88
+	168	90
+	3	170	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	90
+	152	90
+	149	89
+	4	147	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	90
+	149	89
+	3	147	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	88
+	149	89
+	152	90
+	4	155	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	89
+	152	90
+	3	155	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	99
+	199	99
+	196	96
+	4	193	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	99
+	196	96
+	3	193	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	95
+	196	96
+	199	99
+	4	201	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	96
+	199	99
+	3	201	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	96
+	191	95
+	193	99
+	4	196	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	95
+	193	99
+	3	196	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	90
+	157	90
+	155	88
+	4	152	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	90
+	155	88
+	3	152	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	88
+	155	88
+	157	90
+	4	160	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	88
+	157	90
+	3	160	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	90
+	168	90
+	165	88
+	4	162	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	90
+	165	88
+	3	162	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	88
+	160	88
+	162	90
+	4	165	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	88
+	162	90
+	3	165	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	118
+	191	113
+	193	120
+	4	196	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	113
+	193	120
+	3	196	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	113
+	196	118
+	194	112
+	4	191	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	118
+	194	112
+	3	191	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	107
+	194	105
+	196	110
+	4	199	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	105
+	196	110
+	3	199	107	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	194	105
+	199	107
+	196	102
+	4	194	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	107
+	196	102
+	3	194	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	102
+	196	102
+	199	107
+	4	201	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	102
+	199	107
+	3	201	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	90
+	162	90
+	160	88
+	4	157	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	90
+	160	88
+	3	157	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	93
+	186	94
+	183	92
+	4	181	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	94
+	183	92
+	3	181	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	92
+	178	91
+	181	93
+	4	183	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	91
+	181	93
+	3	183	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	97
+	193	99
+	191	95
+	4	188	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	99
+	191	95
+	3	188	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	95
+	186	94
+	188	97
+	4	191	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	94
+	188	97
+	3	191	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	102
+	201	102
+	199	99
+	4	196	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	102
+	199	99
+	3	196	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	97
+	199	99
+	201	102
+	4	204	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	99
+	201	102
+	3	204	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	99
+	204	97
+	201	95
+	4	199	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	97
+	201	95
+	3	199	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	99
+	193	99
+	196	102
+	4	199	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	99
+	196	102
+	3	199	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	102
+	207	99
+	204	97
+	4	201	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	99
+	204	97
+	3	201	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	92
+	201	95
+	204	97
+	4	207	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	95
+	204	97
+	3	207	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	95
+	207	92
+	204	91
+	4	201	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	92
+	204	91
+	3	201	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	175
+	144	160
+	147	173
+	4	149	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	160
+	147	173
+	3	149	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	160
+	149	175
+	147	162
+	4	144	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	175
+	147	162
+	3	144	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	158
+	157	164
+	155	151
+	4	152	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	164
+	155	151
+	3	152	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	151
+	155	151
+	157	164
+	4	160	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	151
+	157	164
+	3	160	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	125
+	201	132
+	204	128
+	4	207	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	132
+	204	128
+	3	207	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	132
+	207	125
+	204	127
+	4	201	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	125
+	204	127
+	3	201	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	110
+	191	106
+	194	112
+	4	196	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	106
+	194	112
+	3	196	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	191	106
+	196	110
+	194	105
+	4	191	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	110
+	194	105
+	3	191	106	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	191	101
+	196	102
+	193	99
+	4	191	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	102
+	193	99
+	3	191	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	193	99
+	188	97
+	191	101
+	4	193	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	97
+	191	101
+	3	193	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	102
+	191	101
+	194	105
+	4	196	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	101
+	194	105
+	3	196	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	120
+	189	113
+	191	122
+	4	193	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	113
+	191	122
+	3	193	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	113
+	193	120
+	191	113
+	4	189	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	120
+	191	113
+	3	189	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	92
+	181	93
+	178	91
+	4	175	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	93
+	178	91
+	3	175	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	91
+	173	90
+	175	92
+	4	178	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	90
+	175	92
+	3	178	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	127
+	210	122
+	206	124
+	4	204	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	206	124
+	3	204	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	119
+	206	124
+	210	122
+	4	212	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	124
+	210	122
+	3	212	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	93
+	129	93
+	126	91
+	4	124	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	93
+	126	91
+	3	124	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	91
+	126	91
+	129	93
+	4	131	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	91
+	129	93
+	3	131	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	91
+	121	91
+	124	93
+	4	126	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	91
+	124	93
+	3	126	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	92
+	124	93
+	121	91
+	4	118	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	93
+	121	91
+	3	118	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	91
+	116	91
+	118	92
+	4	121	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	91
+	118	92
+	3	121	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	92
+	118	92
+	116	91
+	4	113	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	92
+	116	91
+	3	113	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	91
+	111	91
+	113	92
+	4	116	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	91
+	113	92
+	3	116	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	93
+	134	92
+	131	91
+	4	129	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	92
+	131	91
+	3	129	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	91
+	131	91
+	134	92
+	4	137	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	91
+	134	92
+	3	137	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	96
+	188	97
+	186	94
+	4	183	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	97
+	186	94
+	3	183	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	94
+	181	93
+	183	96
+	4	186	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	93
+	183	96
+	3	186	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	92
+	113	92
+	111	91
+	4	108	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	92
+	111	91
+	3	108	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	91
+	105	91
+	108	92
+	4	111	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	91
+	108	92
+	3	111	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	92
+	139	92
+	137	91
+	4	134	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	92
+	137	91
+	3	134	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	90
+	137	91
+	139	92
+	4	142	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	91
+	139	92
+	3	142	90	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	92
+	108	92
+	105	91
+	4	103	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	92
+	105	91
+	3	103	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	91
+	100	91
+	103	92
+	4	105	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	91
+	103	92
+	3	105	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	92
+	103	92
+	100	91
+	4	98	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	92
+	100	91
+	3	98	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	91
+	95	91
+	98	92
+	4	100	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	91
+	98	92
+	3	100	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	92
+	98	92
+	95	91
+	4	92	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	92
+	95	91
+	3	92	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	92
+	144	92
+	142	90
+	4	139	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	92
+	142	90
+	3	139	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	90
+	142	90
+	144	92
+	4	147	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	90
+	144	92
+	3	147	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	92
+	175	92
+	173	90
+	4	170	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	92
+	173	90
+	3	170	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	90
+	168	90
+	170	92
+	4	173	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	90
+	170	92
+	3	173	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	92
+	149	92
+	147	90
+	4	144	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	92
+	147	90
+	3	144	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	90
+	147	90
+	149	92
+	4	152	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	90
+	149	92
+	3	152	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	92
+	155	92
+	152	90
+	4	149	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	92
+	152	90
+	3	149	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	90
+	152	90
+	155	92
+	4	157	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	90
+	155	92
+	3	157	90	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	194	105
+	189	102
+	191	106
+	4	194	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	102
+	191	106
+	3	194	105	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	189	102
+	194	105
+	191	101
+	4	189	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	105
+	191	101
+	3	189	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	91
+	170	92
+	168	90
+	4	165	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	92
+	168	90
+	3	165	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	90
+	162	90
+	165	91
+	4	168	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	90
+	165	91
+	3	168	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	122
+	204	127
+	207	125
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	127
+	207	125
+	3	210	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	99
+	191	101
+	188	97
+	4	186	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	101
+	188	97
+	3	186	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	97
+	183	96
+	186	99
+	4	188	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	96
+	186	99
+	3	188	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	92
+	160	91
+	157	90
+	4	155	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	91
+	157	90
+	3	155	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	90
+	157	90
+	160	91
+	4	162	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	90
+	160	91
+	3	162	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	91
+	165	91
+	162	90
+	4	160	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	91
+	162	90
+	3	160	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	91
+	204	97
+	207	99
+	4	210	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	97
+	207	99
+	3	210	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	97
+	210	91
+	207	92
+	4	204	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	91
+	207	92
+	3	204	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	112
+	189	107
+	191	113
+	4	194	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	107
+	191	113
+	3	194	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	107
+	194	112
+	191	106
+	4	189	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	112
+	191	106
+	3	189	107	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	191	101
+	186	99
+	189	102
+	4	191	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	99
+	189	102
+	3	191	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	141
+	173	178
+	176	162
+	4	180	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	178
+	176	162
+	3	180	141	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	173	178
+	180	141
+	177	139
+	4	173	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	141
+	177	139
+	3	173	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	94
+	183	96
+	181	93
+	4	178	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	96
+	181	93
+	3	178	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	93
+	175	92
+	178	94
+	4	181	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	92
+	178	94
+	3	181	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	122
+	187	109
+	189	119
+	4	191	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	109
+	189	119
+	3	191	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	109
+	191	122
+	189	113
+	4	187	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	122
+	189	113
+	3	187	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	94
+	126	94
+	124	93
+	4	121	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	94
+	124	93
+	3	121	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	93
+	124	93
+	126	94
+	4	129	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	93
+	126	94
+	3	129	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	93
+	118	92
+	121	94
+	4	124	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	92
+	121	94
+	3	124	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	94
+	131	94
+	129	93
+	4	126	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	94
+	129	93
+	3	126	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	92
+	129	93
+	131	94
+	4	134	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	93
+	131	94
+	3	134	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	94
+	121	94
+	118	92
+	4	116	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	94
+	118	92
+	3	116	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	92
+	113	92
+	116	94
+	4	118	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	92
+	116	94
+	3	118	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	94
+	136	94
+	134	92
+	4	131	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	94
+	134	92
+	3	131	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	92
+	134	92
+	136	94
+	4	139	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	92
+	136	94
+	3	139	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	94
+	116	94
+	113	92
+	4	110	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	94
+	113	92
+	3	110	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	92
+	108	92
+	110	94
+	4	113	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	92
+	110	94
+	3	113	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	184
+	141	148
+	144	151
+	4	147	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	148
+	144	151
+	3	147	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	148
+	147	184
+	144	165
+	4	141	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	184
+	144	165
+	3	141	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	94
+	110	94
+	108	92
+	4	105	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	94
+	108	92
+	3	105	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	92
+	103	92
+	105	94
+	4	108	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	92
+	105	94
+	3	108	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	100	94
+	105	94
+	103	92
+	4	100	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	94
+	103	92
+	3	100	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	92
+	98	92
+	100	94
+	4	103	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	92
+	100	94
+	3	103	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	94
+	142	94
+	139	92
+	4	136	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	94
+	139	92
+	3	136	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	92
+	139	92
+	142	94
+	4	144	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	92
+	142	94
+	3	144	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	93
+	178	94
+	175	92
+	4	173	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	94
+	175	92
+	3	173	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	92
+	170	92
+	173	93
+	4	175	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	92
+	173	93
+	3	175	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	94
+	100	94
+	98	92
+	4	95	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	94
+	98	92
+	3	95	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	92
+	92	92
+	95	94
+	4	98	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	92
+	95	94
+	3	98	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	94
+	95	94
+	92	92
+	4	90	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	94
+	92	92
+	3	90	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	94
+	147	94
+	144	92
+	4	142	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	94
+	144	92
+	3	142	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	92
+	144	92
+	147	94
+	4	149	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	92
+	147	94
+	3	149	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	97
+	186	99
+	183	96
+	4	181	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	99
+	183	96
+	3	181	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	96
+	178	94
+	181	97
+	4	183	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	94
+	181	97
+	3	183	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	94
+	152	93
+	149	92
+	4	147	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	149	92
+	3	147	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	92
+	149	92
+	152	93
+	4	155	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	92
+	152	93
+	3	155	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	106
+	186	103
+	189	107
+	4	191	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	103
+	189	107
+	3	191	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	103
+	191	106
+	189	102
+	4	186	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	106
+	189	102
+	3	186	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	93
+	173	93
+	170	92
+	4	168	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	93
+	170	92
+	3	168	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	92
+	165	91
+	168	93
+	4	170	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	91
+	168	93
+	3	170	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	93
+	157	93
+	155	92
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	93
+	155	92
+	3	152	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	91
+	155	92
+	157	93
+	4	160	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	92
+	157	93
+	3	160	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	84
+	207	99
+	210	98
+	4	213	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	99
+	210	98
+	3	213	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	99
+	213	84
+	210	91
+	4	207	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	84
+	210	91
+	3	207	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	93
+	163	93
+	160	91
+	4	157	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	93
+	160	91
+	3	157	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	91
+	160	91
+	163	93
+	4	165	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	91
+	163	93
+	3	165	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	93
+	168	93
+	165	91
+	4	163	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	93
+	165	91
+	3	163	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	99
+	189	102
+	186	99
+	4	183	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	102
+	186	99
+	3	183	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	99
+	181	97
+	183	99
+	4	186	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	97
+	183	99
+	3	186	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	102
+	183	99
+	186	103
+	4	189	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	99
+	186	103
+	3	189	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	113
+	186	107
+	189	113
+	4	191	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	107
+	189	113
+	3	191	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	107
+	191	113
+	189	107
+	4	186	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	113
+	189	107
+	3	186	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	96
+	129	96
+	126	94
+	4	123	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	96
+	126	94
+	3	123	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	94
+	126	94
+	129	96
+	4	131	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	94
+	129	96
+	3	131	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	94
+	121	94
+	123	96
+	4	126	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	94
+	123	96
+	3	126	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	96
+	123	96
+	121	94
+	4	118	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	96
+	121	94
+	3	118	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	94
+	116	94
+	118	96
+	4	121	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	94
+	118	96
+	3	121	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	96
+	134	96
+	131	94
+	4	129	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	96
+	131	94
+	3	129	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	94
+	131	94
+	134	96
+	4	136	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	94
+	134	96
+	3	136	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	95
+	181	97
+	178	94
+	4	176	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	97
+	178	94
+	3	176	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	94
+	173	93
+	176	95
+	4	178	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	93
+	176	95
+	3	178	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	96
+	118	96
+	116	94
+	4	113	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	96
+	116	94
+	3	113	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	94
+	110	94
+	113	96
+	4	116	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	94
+	113	96
+	3	116	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	96
+	139	96
+	136	94
+	4	134	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	96
+	136	94
+	3	134	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	94
+	136	94
+	139	96
+	4	142	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	94
+	139	96
+	3	142	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	96
+	113	96
+	110	94
+	4	108	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	96
+	110	94
+	3	108	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	94
+	105	94
+	108	96
+	4	110	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	94
+	108	96
+	3	110	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	96
+	108	96
+	105	94
+	4	102	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	96
+	105	94
+	3	102	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	94
+	100	94
+	102	96
+	4	105	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	94
+	102	96
+	3	105	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	96
+	102	96
+	100	94
+	4	97	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	96
+	100	94
+	3	97	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	94
+	95	94
+	97	96
+	4	100	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	94
+	97	96
+	3	100	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	96
+	144	95
+	142	94
+	4	139	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	95
+	142	94
+	3	139	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	94
+	142	94
+	144	95
+	4	147	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	94
+	144	95
+	3	147	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	96
+	97	96
+	95	94
+	4	92	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	96
+	95	94
+	3	92	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	94
+	90	94
+	92	96
+	4	95	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	94
+	92	96
+	3	95	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	95
+	92	96
+	90	94
+	4	87	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	96
+	90	94
+	3	87	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	95
+	149	95
+	147	94
+	4	144	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	95
+	147	94
+	3	144	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	93
+	147	94
+	149	95
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	94
+	149	95
+	3	152	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	122
+	215	117
+	212	119
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	117
+	212	119
+	3	210	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	113
+	212	119
+	215	117
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	119
+	215	117
+	3	218	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	119
+	218	113
+	215	115
+	4	212	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	215	115
+	3	212	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	94
+	176	95
+	173	93
+	4	170	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	95
+	173	93
+	3	170	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	93
+	168	93
+	170	94
+	4	173	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	93
+	170	94
+	3	173	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	95
+	155	95
+	152	93
+	4	149	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	95
+	152	93
+	3	149	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	93
+	152	93
+	155	95
+	4	157	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	155	95
+	3	157	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	95
+	160	94
+	157	93
+	4	155	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	94
+	157	93
+	3	155	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	93
+	157	93
+	160	94
+	4	163	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	93
+	160	94
+	3	163	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	97
+	183	99
+	181	97
+	4	178	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	99
+	181	97
+	3	178	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	97
+	176	95
+	178	97
+	4	181	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	95
+	178	97
+	3	181	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	94
+	170	94
+	168	93
+	4	165	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	94
+	168	93
+	3	165	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	93
+	163	93
+	165	94
+	4	168	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	93
+	165	94
+	3	168	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	94
+	165	94
+	163	93
+	4	160	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	94
+	163	93
+	3	160	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	125
+	213	120
+	210	122
+	4	207	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	120
+	210	122
+	3	207	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	117
+	210	122
+	213	120
+	4	215	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	213	120
+	3	215	117	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	107
+	215	115
+	218	113
+	4	221	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	115
+	218	113
+	3	221	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	215	115
+	221	107
+	218	106
+	4	215	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	107
+	218	106
+	3	215	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	107
+	184	102
+	186	107
+	4	189	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	102
+	186	107
+	3	189	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	102
+	189	107
+	186	103
+	4	184	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	107
+	186	103
+	3	184	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	98
+	131	98
+	129	96
+	4	126	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	98
+	129	96
+	3	126	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	96
+	129	96
+	131	98
+	4	134	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	96
+	131	98
+	3	134	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	96
+	123	96
+	126	98
+	4	129	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	96
+	126	98
+	3	129	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	98
+	126	98
+	123	96
+	4	121	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	98
+	123	96
+	3	121	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	96
+	118	96
+	121	98
+	4	123	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	96
+	121	98
+	3	123	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	98
+	136	98
+	134	96
+	4	131	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	98
+	134	96
+	3	131	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	96
+	134	96
+	136	98
+	4	139	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	96
+	136	98
+	3	139	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	98
+	121	98
+	118	96
+	4	115	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	98
+	118	96
+	3	115	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	96
+	113	96
+	115	98
+	4	118	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	96
+	115	98
+	3	118	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	98
+	115	98
+	113	96
+	4	110	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	98
+	113	96
+	3	110	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	96
+	108	96
+	110	98
+	4	113	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	96
+	110	98
+	3	113	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	98
+	142	97
+	139	96
+	4	136	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	97
+	139	96
+	3	136	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	95
+	139	96
+	142	97
+	4	144	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	96
+	142	97
+	3	144	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	173
+	141	154
+	144	165
+	4	147	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	154
+	144	165
+	3	147	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	154
+	147	173
+	144	160
+	4	141	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	173
+	144	160
+	3	141	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	97
+	110	98
+	108	96
+	4	105	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	98
+	108	96
+	3	105	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	96
+	102	96
+	105	97
+	4	108	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	96
+	105	97
+	3	108	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	97
+	105	97
+	102	96
+	4	100	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	97
+	102	96
+	3	100	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	96
+	97	96
+	100	97
+	4	102	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	96
+	100	97
+	3	102	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	99
+	186	103
+	183	99
+	4	181	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	103
+	183	99
+	3	181	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	99
+	178	97
+	181	99
+	4	183	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	97
+	181	99
+	3	183	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	97
+	100	97
+	97	96
+	4	94	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	97
+	97	96
+	3	94	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	96
+	92	96
+	94	97
+	4	97	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	96
+	94	97
+	3	97	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	97
+	94	97
+	92	96
+	4	89	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	97
+	92	96
+	3	89	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	96
+	87	95
+	89	97
+	4	92	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	95
+	89	97
+	3	92	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	97
+	147	97
+	144	95
+	4	142	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	97
+	144	95
+	3	142	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	95
+	144	95
+	147	97
+	4	149	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	95
+	147	97
+	3	149	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	97
+	89	97
+	87	95
+	4	84	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	97
+	87	95
+	3	84	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	103
+	181	99
+	184	102
+	4	186	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	99
+	184	102
+	3	186	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	158
+	147	151
+	149	162
+	4	152	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	149	162
+	3	152	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	151
+	152	158
+	149	148
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	158
+	149	148
+	3	147	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	151
+	149	148
+	152	158
+	4	155	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	152	158
+	3	155	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	128
+	210	122
+	207	125
+	4	204	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	207	125
+	3	204	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	213	120
+	207	125
+	210	122
+	4	213	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	125
+	210	122
+	3	213	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	97
+	152	96
+	149	95
+	4	147	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	149	95
+	3	147	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	95
+	149	95
+	152	96
+	4	155	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	95
+	152	96
+	3	155	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	96
+	178	97
+	176	95
+	4	173	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	97
+	176	95
+	3	173	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	95
+	170	94
+	173	96
+	4	176	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	94
+	173	96
+	3	176	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	162
+	144	152
+	147	162
+	4	149	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	152
+	147	162
+	3	149	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	152
+	149	162
+	147	151
+	4	144	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	162
+	147	151
+	3	144	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	96
+	157	96
+	155	95
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	96
+	155	95
+	3	152	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	94
+	155	95
+	157	96
+	4	160	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	95
+	157	96
+	3	160	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	74
+	210	98
+	222	-3
+	4	217	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	98
+	222	-3
+	3	217	74	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	98
+	217	74
+	213	84
+	4	210	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	74
+	213	84
+	3	210	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	113
+	184	104
+	187	109
+	4	189	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	104
+	187	109
+	3	189	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	104
+	189	113
+	186	107
+	4	184	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	113
+	186	107
+	3	184	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	130
+	208	124
+	204	128
+	4	202	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	124
+	204	128
+	3	202	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	122
+	204	128
+	208	124
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	128
+	208	124
+	3	210	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	100
+	128	100
+	126	98
+	4	123	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	100
+	126	98
+	3	123	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	98
+	126	98
+	128	100
+	4	131	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	98
+	128	100
+	3	131	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	98
+	121	98
+	123	100
+	4	126	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	98
+	123	100
+	3	126	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	100
+	134	100
+	131	98
+	4	128	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	100
+	131	98
+	3	128	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	98
+	131	98
+	134	100
+	4	136	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	98
+	134	100
+	3	136	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	95
+	173	96
+	170	94
+	4	168	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	96
+	170	94
+	3	168	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	94
+	165	94
+	168	95
+	4	170	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	94
+	168	95
+	3	170	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	96
+	163	95
+	160	94
+	4	157	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	95
+	160	94
+	3	157	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	94
+	160	94
+	163	95
+	4	165	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	94
+	163	95
+	3	165	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	100
+	123	100
+	121	98
+	4	118	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	100
+	121	98
+	3	118	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	98
+	115	98
+	118	100
+	4	121	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	98
+	118	100
+	3	121	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	100
+	139	100
+	136	98
+	4	134	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	100
+	136	98
+	3	134	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	97
+	136	98
+	139	100
+	4	142	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	98
+	139	100
+	3	142	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	99
+	118	100
+	115	98
+	4	113	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	100
+	115	98
+	3	113	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	98
+	110	98
+	113	99
+	4	115	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	98
+	113	99
+	3	115	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	95
+	168	95
+	165	94
+	4	163	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	95
+	165	94
+	3	163	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	99
+	113	99
+	110	98
+	4	107	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	99
+	110	98
+	3	107	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	98
+	105	97
+	107	99
+	4	110	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	97
+	107	99
+	3	110	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	100
+	144	99
+	142	97
+	4	139	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	99
+	142	97
+	3	139	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	97
+	142	97
+	144	99
+	4	147	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	97
+	144	99
+	3	147	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	186
+	174	174
+	170	183
+	4	168	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	174
+	170	183
+	3	168	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	167
+	170	183
+	174	174
+	4	176	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	183
+	174	174
+	3	176	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	183
+	176	167
+	173	176
+	4	170	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	167
+	173	176
+	3	170	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	99
+	107	99
+	105	97
+	4	102	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	99
+	105	97
+	3	102	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	97
+	100	97
+	102	99
+	4	105	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	97
+	102	99
+	3	105	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	99
+	102	99
+	100	97
+	4	97	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	99
+	100	97
+	3	97	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	97
+	94	97
+	97	99
+	4	100	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	97
+	97	99
+	3	100	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	99
+	97	99
+	94	97
+	4	92	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	99
+	94	97
+	3	92	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	97
+	89	97
+	92	99
+	4	94	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	97
+	92	99
+	3	94	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	99
+	92	99
+	89	97
+	4	86	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	99
+	89	97
+	3	86	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	97
+	84	97
+	86	99
+	4	89	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	97
+	86	99
+	3	89	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	99
+	86	99
+	84	97
+	4	81	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	99
+	84	97
+	3	81	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	99
+	149	98
+	147	97
+	4	144	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	98
+	147	97
+	3	144	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	96
+	147	97
+	149	98
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	97
+	149	98
+	3	152	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	97
+	181	99
+	178	97
+	4	176	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	99
+	178	97
+	3	176	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	97
+	173	96
+	176	97
+	4	178	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	96
+	176	97
+	3	178	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	187
+	171	177
+	168	186
+	4	165	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	177
+	168	186
+	3	165	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	174
+	168	186
+	171	177
+	4	174	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	186
+	171	177
+	3	174	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	119
+	185	100
+	187	102
+	4	189	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	100
+	187	102
+	3	189	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	100
+	189	119
+	187	109
+	4	185	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	119
+	187	109
+	3	185	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	98
+	155	98
+	152	96
+	4	149	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	98
+	152	96
+	3	149	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	96
+	152	96
+	155	98
+	4	157	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	155	98
+	3	157	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	126
+	205	123
+	202	130
+	4	200	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	123
+	202	130
+	3	200	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	124
+	202	130
+	205	123
+	4	208	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	130
+	205	123
+	3	208	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	102
+	131	102
+	128	100
+	4	126	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	102
+	128	100
+	3	126	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	100
+	128	100
+	131	102
+	4	134	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	100
+	131	102
+	3	134	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	100
+	123	100
+	126	102
+	4	128	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	100
+	126	102
+	3	128	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	102
+	136	102
+	134	100
+	4	131	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	102
+	134	100
+	3	131	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	100
+	134	100
+	136	102
+	4	139	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	100
+	136	102
+	3	139	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	101
+	126	102
+	123	100
+	4	121	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	102
+	123	100
+	3	121	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	100
+	118	100
+	121	101
+	4	123	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	100
+	121	101
+	3	123	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	101
+	121	101
+	118	100
+	4	115	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	101
+	118	100
+	3	115	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	100
+	113	99
+	115	101
+	4	118	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	99
+	115	101
+	3	118	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	98
+	160	97
+	157	96
+	4	155	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	97
+	157	96
+	3	155	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	95
+	157	96
+	160	97
+	4	163	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	96
+	160	97
+	3	163	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	102
+	142	101
+	139	100
+	4	136	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	101
+	139	100
+	3	136	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	99
+	139	100
+	142	101
+	4	144	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	100
+	142	101
+	3	144	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	151
+	160	151
+	157	141
+	4	155	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	151
+	157	141
+	3	155	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	148
+	155	151
+	152	142
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	151
+	152	142
+	3	149	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	141
+	152	142
+	155	151
+	4	157	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	142
+	155	151
+	3	157	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	101
+	115	101
+	113	99
+	4	110	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	101
+	113	99
+	3	110	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	99
+	107	99
+	110	101
+	4	113	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	99
+	110	101
+	3	113	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	99
+	184	102
+	181	99
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	102
+	181	99
+	3	179	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	99
+	176	97
+	179	99
+	4	181	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	97
+	179	99
+	3	181	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	96
+	176	97
+	173	96
+	4	171	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	97
+	173	96
+	3	171	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	96
+	168	95
+	171	96
+	4	173	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	95
+	171	96
+	3	173	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	159
+	160	177
+	157	192
+	4	155	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	177
+	157	192
+	3	155	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	185
+	157	192
+	160	177
+	4	163	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	192
+	160	177
+	3	163	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	192
+	152	158
+	155	159
+	4	157	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	158
+	155	159
+	3	157	192	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	101
+	110	101
+	107	99
+	4	105	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	101
+	107	99
+	3	105	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	99
+	102	99
+	105	101
+	4	107	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	99
+	105	101
+	3	107	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	162
+	141	150
+	144	160
+	4	147	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	150
+	144	160
+	3	147	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	150
+	147	162
+	144	152
+	4	141	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	162
+	144	152
+	3	141	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	107
+	181	101
+	184	104
+	4	186	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	101
+	184	104
+	3	186	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	101
+	186	107
+	184	102
+	4	181	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	107
+	184	102
+	3	181	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	101
+	147	101
+	144	99
+	4	142	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	101
+	144	99
+	3	142	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	98
+	144	99
+	147	101
+	4	149	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	99
+	147	101
+	3	149	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	101
+	105	101
+	102	99
+	4	99	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	101
+	102	99
+	3	99	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	99
+	97	99
+	99	101
+	4	102	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	99
+	99	101
+	3	102	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	97
+	165	96
+	163	95
+	4	160	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	96
+	163	95
+	3	160	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	95
+	163	95
+	165	96
+	4	168	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	95
+	165	96
+	3	168	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	151
+	166	131
+	163	129
+	4	160	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	131
+	163	129
+	3	160	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	129
+	157	141
+	160	151
+	4	163	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	141
+	160	151
+	3	163	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	101
+	99	101
+	97	99
+	4	94	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	101
+	97	99
+	3	94	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	99
+	92	99
+	94	101
+	4	97	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	99
+	94	101
+	3	97	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	101
+	94	101
+	92	99
+	4	89	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	101
+	92	99
+	3	89	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	99
+	86	99
+	89	101
+	4	92	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	99
+	89	101
+	3	92	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	96
+	171	96
+	168	95
+	4	165	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	96
+	168	95
+	3	165	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	100
+	89	101
+	86	99
+	4	84	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	101
+	86	99
+	3	84	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	99
+	81	99
+	84	100
+	4	86	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	99
+	84	100
+	3	86	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	101
+	84	100
+	81	99
+	4	78	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	100
+	81	99
+	3	78	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	102
+	179	99
+	181	101
+	4	184	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	181	101
+	3	184	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	120
+	218	116
+	215	117
+	4	213	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	116
+	215	117
+	3	213	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	113
+	215	117
+	218	116
+	4	221	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	117
+	218	116
+	3	221	113	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	215	117
+	221	113
+	218	113
+	4	215	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	113
+	218	113
+	3	215	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	101
+	152	100
+	149	98
+	4	147	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	100
+	149	98
+	3	147	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	98
+	149	98
+	152	100
+	4	155	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	98
+	152	100
+	3	155	98	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	223	102
+	218	106
+	221	107
+	4	223	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	106
+	221	107
+	3	223	102	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	218	106
+	223	102
+	221	98
+	4	218	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	102
+	221	98
+	3	218	106	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	221	98
+	215	102
+	218	106
+	4	221	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	102
+	218	106
+	3	221	98	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	224	109
+	218	113
+	221	113
+	4	224	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	221	113
+	3	224	109	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	218	113
+	224	109
+	221	107
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	109
+	221	107
+	3	218	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	104
+	134	104
+	131	102
+	4	128	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	104
+	131	102
+	3	128	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	102
+	131	102
+	134	104
+	4	136	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	102
+	134	104
+	3	136	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	102
+	126	102
+	128	104
+	4	131	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	102
+	128	104
+	3	131	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	103
+	128	104
+	126	102
+	4	123	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	104
+	126	102
+	3	123	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	102
+	121	101
+	123	103
+	4	126	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	101
+	123	103
+	3	126	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	104
+	139	103
+	136	102
+	4	134	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	103
+	136	102
+	3	134	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	101
+	136	102
+	139	103
+	4	142	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	102
+	139	103
+	3	142	101	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	163	185
+	168	178
+	165	187
+	4	163	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	178
+	165	187
+	3	163	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	177
+	165	187
+	168	178
+	4	171	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	187
+	168	178
+	3	171	177	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	102
+	221	98
+	219	88
+	4	215	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	98
+	219	88
+	3	215	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	88
+	222	-3
+	215	102
+	4	219	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	-3
+	215	102
+	3	219	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	156
+	173	176
+	176	167
+	4	179	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	176
+	176	167
+	3	179	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	176
+	179	156
+	176	162
+	4	173	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	156
+	176	162
+	3	173	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	210	122
+	216	119
+	213	120
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	119
+	213	120
+	3	210	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	116
+	213	120
+	216	119
+	4	218	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	120
+	216	119
+	3	218	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	103
+	123	103
+	121	101
+	4	118	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	103
+	121	101
+	3	118	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	101
+	115	101
+	118	103
+	4	121	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	101
+	118	103
+	3	121	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	100
+	157	99
+	155	98
+	4	152	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	99
+	155	98
+	3	152	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	97
+	155	98
+	157	99
+	4	160	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	98
+	157	99
+	3	160	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	103
+	118	103
+	115	101
+	4	113	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	103
+	115	101
+	3	113	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	101
+	110	101
+	113	103
+	4	115	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	101
+	113	103
+	3	115	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	103
+	144	103
+	142	101
+	4	139	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	142	101
+	3	139	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	101
+	142	101
+	144	103
+	4	147	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	101
+	144	103
+	3	147	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	103
+	113	103
+	110	101
+	4	107	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	103
+	110	101
+	3	107	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	101
+	105	101
+	107	103
+	4	110	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	101
+	107	103
+	3	110	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	102
+	107	103
+	105	101
+	4	102	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	103
+	105	101
+	3	102	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	101
+	99	101
+	102	102
+	4	105	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	101
+	102	102
+	3	105	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	97
+	179	99
+	176	97
+	4	173	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	176	97
+	3	173	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	97
+	171	96
+	173	97
+	4	176	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	96
+	173	97
+	3	176	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	102
+	102	102
+	99	101
+	4	97	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	102
+	99	101
+	3	97	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	101
+	94	101
+	97	102
+	4	99	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	101
+	97	102
+	3	99	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	103
+	149	102
+	147	101
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	102
+	147	101
+	3	144	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	100
+	147	101
+	149	102
+	4	152	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	101
+	149	102
+	3	152	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	102
+	97	102
+	94	101
+	4	91	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	102
+	94	101
+	3	91	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	101
+	89	101
+	91	102
+	4	94	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	101
+	91	102
+	3	94	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	99
+	163	98
+	160	97
+	4	157	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	98
+	160	97
+	3	157	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	96
+	160	97
+	163	98
+	4	165	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	97
+	163	98
+	3	165	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	102
+	91	102
+	89	101
+	4	86	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	102
+	89	101
+	3	86	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	101
+	84	100
+	86	102
+	4	89	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	100
+	86	102
+	3	89	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	102
+	81	102
+	78	101
+	4	75	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	102
+	78	101
+	3	75	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	100
+	78	101
+	81	102
+	4	84	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	101
+	81	102
+	3	84	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	102
+	86	102
+	84	100
+	4	81	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	102
+	84	100
+	3	81	102	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	226	105
+	221	107
+	224	109
+	4	226	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	107
+	224	109
+	3	226	105	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	221	107
+	226	105
+	223	102
+	4	221	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	105
+	223	102
+	3	221	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	98
+	168	97
+	165	96
+	4	163	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	97
+	165	96
+	3	163	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	96
+	165	96
+	168	97
+	4	171	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	96
+	168	97
+	3	171	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	208	124
+	213	121
+	210	122
+	4	208	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	121
+	210	122
+	3	208	124	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	216	119
+	210	122
+	213	121
+	4	216	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	213	121
+	3	216	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	106
+	136	106
+	134	104
+	4	131	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	106
+	134	104
+	3	131	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	103
+	134	104
+	136	106
+	4	139	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	104
+	136	106
+	3	139	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	104
+	128	104
+	131	106
+	4	134	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	104
+	131	106
+	3	134	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	97
+	173	97
+	171	96
+	4	168	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	97
+	171	96
+	3	168	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	106
+	131	106
+	128	104
+	4	126	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	106
+	128	104
+	3	126	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	104
+	123	103
+	126	106
+	4	128	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	103
+	126	106
+	3	128	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	102
+	155	101
+	152	100
+	4	149	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	101
+	152	100
+	3	149	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	99
+	152	100
+	155	101
+	4	157	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	100
+	155	101
+	3	157	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	106
+	142	105
+	139	103
+	4	136	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	105
+	139	103
+	3	136	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	103
+	139	103
+	142	105
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	103
+	142	105
+	3	144	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	105
+	126	106
+	123	103
+	4	120	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	106
+	123	103
+	3	120	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	103
+	118	103
+	120	105
+	4	123	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	103
+	120	105
+	3	123	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	105
+	120	105
+	118	103
+	4	115	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	105
+	118	103
+	3	115	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	103
+	113	103
+	115	105
+	4	118	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	103
+	115	105
+	3	118	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	148
+	144	143
+	147	151
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	143
+	147	151
+	3	149	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	143
+	149	148
+	147	140
+	4	144	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	147	140
+	3	144	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	142
+	147	140
+	149	148
+	4	152	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	140
+	149	148
+	3	152	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	105
+	115	105
+	113	103
+	4	110	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	105
+	113	103
+	3	110	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	103
+	107	103
+	110	105
+	4	113	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	103
+	110	105
+	3	113	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	105
+	147	105
+	144	103
+	4	142	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	105
+	144	103
+	3	142	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	102
+	144	103
+	147	105
+	4	149	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	147	105
+	3	149	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	104
+	110	105
+	107	103
+	4	104	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	105
+	107	103
+	3	104	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	103
+	102	102
+	104	104
+	4	107	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	102
+	104	104
+	3	107	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	98
+	181	101
+	179	99
+	4	176	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	101
+	179	99
+	3	176	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	99
+	173	97
+	176	98
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	97
+	176	98
+	3	179	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	104
+	104	104
+	102	102
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	104
+	102	102
+	3	99	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	102
+	97	102
+	99	104
+	4	102	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	102
+	99	104
+	3	102	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	151
+	141	144
+	144	152
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	144
+	144	152
+	3	147	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	144
+	147	151
+	144	143
+	4	141	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	144	143
+	3	141	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	101
+	160	99
+	157	99
+	4	155	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	99
+	157	99
+	3	155	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	98
+	157	99
+	160	99
+	4	163	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	99
+	160	99
+	3	163	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	104
+	99	104
+	97	102
+	4	94	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	97	102
+	3	94	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	102
+	91	102
+	94	104
+	4	97	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	102
+	94	104
+	3	97	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	104
+	94	104
+	91	102
+	4	89	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	104
+	91	102
+	3	89	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	102
+	86	102
+	89	104
+	4	91	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	102
+	89	104
+	3	91	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	104
+	78	104
+	75	102
+	4	73	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	104
+	75	102
+	3	73	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	102
+	75	102
+	78	104
+	4	81	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	102
+	78	104
+	3	81	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	104
+	89	104
+	86	102
+	4	83	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	104
+	86	102
+	3	83	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	102
+	81	102
+	83	104
+	4	86	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	102
+	83	104
+	3	86	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	104
+	83	104
+	81	102
+	4	78	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	104
+	81	102
+	3	78	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	105
+	152	103
+	149	102
+	4	147	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	103
+	149	102
+	3	147	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	101
+	149	102
+	152	103
+	4	155	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	102
+	152	103
+	3	155	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	108
+	134	108
+	131	106
+	4	128	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	108
+	131	106
+	3	128	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	106
+	131	106
+	134	108
+	4	136	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	106
+	134	108
+	3	136	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	106
+	126	106
+	128	108
+	4	131	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	106
+	128	108
+	3	131	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	108
+	139	108
+	136	106
+	4	134	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	108
+	136	106
+	3	134	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	105
+	136	106
+	139	108
+	4	142	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	106
+	139	108
+	3	142	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	107
+	128	108
+	126	106
+	4	123	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	108
+	126	106
+	3	123	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	106
+	120	105
+	123	107
+	4	126	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	105
+	123	107
+	3	126	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	108
+	144	107
+	142	105
+	4	139	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	107
+	142	105
+	3	139	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	105
+	142	105
+	144	107
+	4	147	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	105
+	144	107
+	3	147	105	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	218	116
+	224	113
+	221	113
+	4	218	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	113
+	221	113
+	3	218	116	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	227	110
+	221	113
+	224	113
+	4	227	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	113
+	224	113
+	3	227	110	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	221	113
+	227	110
+	224	109
+	4	221	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	110
+	224	109
+	3	221	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	107
+	123	107
+	120	105
+	4	118	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	107
+	120	105
+	3	118	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	105
+	115	105
+	118	107
+	4	120	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	105
+	118	107
+	3	120	105	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	229	107
+	224	109
+	227	110
+	4	229	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	109
+	227	110
+	3	229	107	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	224	109
+	229	107
+	226	105
+	4	224	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	107
+	226	105
+	3	224	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	109
+	182	99
+	185	100
+	4	187	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	99
+	185	100
+	3	187	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	99
+	187	109
+	184	104
+	4	182	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	109
+	184	104
+	3	182	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	99
+	165	98
+	163	98
+	4	160	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	98
+	163	98
+	3	160	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	97
+	163	98
+	165	98
+	4	168	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	98
+	165	98
+	3	168	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	123
+	211	121
+	208	124
+	4	205	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	121
+	208	124
+	3	205	123	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	213	121
+	208	124
+	211	121
+	4	213	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	124
+	211	121
+	3	213	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	119
+	221	116
+	218	116
+	4	216	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	116
+	218	116
+	3	216	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	224	113
+	218	116
+	221	116
+	4	224	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	116
+	221	116
+	3	224	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	107
+	118	107
+	115	105
+	4	112	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	107
+	115	105
+	3	112	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	105
+	110	105
+	112	107
+	4	115	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	105
+	112	107
+	3	115	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	142
+	157	141
+	155	134
+	4	152	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	141
+	155	134
+	3	152	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	140
+	152	142
+	149	135
+	4	147	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	142
+	149	135
+	3	147	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	134
+	149	135
+	152	142
+	4	155	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	135
+	152	142
+	3	155	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	99
+	184	104
+	181	101
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	104
+	181	101
+	3	179	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	101
+	176	98
+	179	99
+	4	181	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	98
+	179	99
+	3	181	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	97
+	176	98
+	173	97
+	4	171	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	98
+	173	97
+	3	171	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	97
+	168	97
+	171	97
+	4	173	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	97
+	171	97
+	3	173	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	106
+	112	107
+	110	105
+	4	107	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	107
+	110	105
+	3	107	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	105
+	104	104
+	107	106
+	4	110	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	104
+	107	106
+	3	110	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	107
+	149	106
+	147	105
+	4	144	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	106
+	147	105
+	3	144	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	103
+	147	105
+	149	106
+	4	152	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	105
+	149	106
+	3	152	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	103
+	157	102
+	155	101
+	4	152	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	102
+	155	101
+	3	152	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	99
+	155	101
+	157	102
+	4	160	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	101
+	157	102
+	3	160	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	98
+	171	97
+	168	97
+	4	165	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	97
+	168	97
+	3	165	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	106
+	107	106
+	104	104
+	4	102	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	106
+	104	104
+	3	102	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	104
+	99	104
+	102	106
+	4	104	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	102	106
+	3	104	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	110
+	136	110
+	134	108
+	4	131	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	110
+	134	108
+	3	131	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	108
+	134	108
+	136	110
+	4	139	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	108
+	136	110
+	3	139	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	108
+	128	108
+	131	110
+	4	134	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	108
+	131	110
+	3	134	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	106
+	102	106
+	99	104
+	4	96	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	106
+	99	104
+	3	96	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	104
+	94	104
+	96	106
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	104
+	96	106
+	3	99	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	110
+	142	110
+	139	108
+	4	136	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	110
+	139	108
+	3	136	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	107
+	139	108
+	142	110
+	4	144	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	108
+	142	110
+	3	144	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	106
+	96	106
+	94	104
+	4	91	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	106
+	94	104
+	3	91	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	104
+	89	104
+	91	106
+	4	94	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	104
+	91	106
+	3	94	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	106
+	75	106
+	73	104
+	4	70	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	106
+	73	104
+	3	70	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	104
+	73	104
+	75	106
+	4	78	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	104
+	75	106
+	3	78	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	110
+	131	110
+	128	108
+	4	126	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	110
+	128	108
+	3	126	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	108
+	123	107
+	126	110
+	4	128	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	107
+	126	110
+	3	128	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	106
+	91	106
+	89	104
+	4	86	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	106
+	89	104
+	3	86	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	104
+	83	104
+	86	106
+	4	89	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	104
+	86	106
+	3	89	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	106
+	80	106
+	78	104
+	4	75	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	106
+	78	104
+	3	75	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	104
+	78	104
+	80	106
+	4	83	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	104
+	80	106
+	3	83	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	104
+	179	99
+	182	99
+	4	184	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	182	99
+	3	184	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	106
+	86	106
+	83	104
+	4	80	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	106
+	83	104
+	3	80	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	160
+	139	147
+	141	154
+	4	144	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	147
+	141	154
+	3	144	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	147
+	144	160
+	141	150
+	4	139	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	160
+	141	150
+	3	139	147	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	213	121
+	219	118
+	216	119
+	4	213	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	118
+	216	119
+	3	213	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	116
+	216	119
+	219	118
+	4	221	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	119
+	219	118
+	3	221	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	109
+	203	120
+	200	126
+	4	199	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	200	126
+	3	199	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	123
+	200	126
+	203	120
+	4	205	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	126
+	203	120
+	3	205	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	126
+	196	113
+	199	109
+	4	200	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	113
+	199	109
+	3	200	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	109
+	126	110
+	123	107
+	4	120	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	110
+	123	107
+	3	120	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	107
+	118	107
+	120	109
+	4	123	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	107
+	120	109
+	3	123	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	110
+	147	109
+	144	107
+	4	142	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	109
+	144	107
+	3	142	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	106
+	144	107
+	147	109
+	4	149	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	107
+	147	109
+	3	149	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	141
+	163	129
+	160	127
+	4	157	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	129
+	160	127
+	3	157	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	127
+	155	134
+	157	141
+	4	160	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	134
+	157	141
+	3	160	127	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	227	110
+	232	109
+	229	107
+	4	227	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	109
+	229	107
+	3	227	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	106
+	155	104
+	152	103
+	4	149	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	104
+	152	103
+	3	149	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	102
+	152	103
+	155	104
+	4	157	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	103
+	155	104
+	3	157	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	109
+	120	109
+	118	107
+	4	115	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	109
+	118	107
+	3	115	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	107
+	112	107
+	115	109
+	4	118	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	107
+	115	109
+	3	118	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	152
+	139	143
+	141	150
+	4	144	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	143
+	141	150
+	3	144	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	143
+	144	152
+	141	144
+	4	139	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	152
+	141	144
+	3	139	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	102
+	163	100
+	160	99
+	4	157	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	100
+	160	99
+	3	157	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	98
+	160	99
+	163	100
+	4	165	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	99
+	163	100
+	3	165	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	108
+	115	109
+	112	107
+	4	110	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	109
+	112	107
+	3	110	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	107
+	107	106
+	110	108
+	4	112	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	106
+	110	108
+	3	112	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	224	113
+	229	111
+	227	110
+	4	224	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	111
+	227	110
+	3	224	113	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	232	109
+	227	110
+	229	111
+	4	232	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	110
+	229	111
+	3	232	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	112
+	139	113
+	136	110
+	4	134	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	136	110
+	3	134	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	110
+	136	110
+	139	113
+	4	142	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	110
+	139	113
+	3	142	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	110
+	131	110
+	134	112
+	4	136	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	110
+	134	112
+	3	136	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	177
+	166	176
+	163	185
+	4	160	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	176
+	163	185
+	3	160	177	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	178
+	163	185
+	166	176
+	4	168	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	185
+	166	176
+	3	168	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	112
+	134	112
+	131	110
+	4	128	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	112
+	131	110
+	3	128	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	110
+	126	110
+	128	112
+	4	131	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	110
+	128	112
+	3	131	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	108
+	110	108
+	107	106
+	4	104	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	108
+	107	106
+	3	104	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	106
+	102	106
+	104	108
+	4	107	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	106
+	104	108
+	3	107	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	113
+	144	112
+	142	110
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	112
+	142	110
+	3	139	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	109
+	142	110
+	144	112
+	4	147	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	110
+	144	112
+	3	147	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	109
+	152	107
+	149	106
+	4	147	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	107
+	149	106
+	3	147	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	104
+	149	106
+	152	107
+	4	155	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	106
+	152	107
+	3	155	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	140
+	141	136
+	144	143
+	4	147	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	136
+	144	143
+	3	147	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	141	136
+	147	140
+	144	133
+	4	141	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	140
+	144	133
+	3	141	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	135
+	144	133
+	147	140
+	4	149	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	133
+	147	140
+	3	149	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	107
+	104	108
+	102	106
+	4	99	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	108
+	102	106
+	3	99	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	106
+	96	106
+	99	107
+	4	102	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	106
+	99	107
+	3	102	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	111
+	128	112
+	126	110
+	4	123	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	112
+	126	110
+	3	123	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	110
+	120	109
+	123	111
+	4	126	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	109
+	123	111
+	3	126	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	116
+	227	114
+	224	113
+	4	221	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	114
+	224	113
+	3	221	116	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	229	111
+	224	113
+	227	114
+	4	229	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	113
+	227	114
+	3	229	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	107
+	99	107
+	96	106
+	4	93	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	107
+	96	106
+	3	93	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	106
+	91	106
+	93	107
+	4	96	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	106
+	93	107
+	3	96	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	107
+	72	107
+	70	106
+	4	67	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	107
+	70	106
+	3	67	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	106
+	70	106
+	72	107
+	4	75	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	106
+	72	107
+	3	75	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	107
+	77	107
+	75	106
+	4	72	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	107
+	75	106
+	3	72	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	106
+	75	106
+	77	107
+	4	80	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	106
+	77	107
+	3	80	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	107
+	93	107
+	91	106
+	4	88	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	107
+	91	106
+	3	88	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	106
+	86	106
+	88	107
+	4	91	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	106
+	88	107
+	3	91	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	121
+	216	120
+	213	121
+	4	211	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	120
+	213	121
+	3	211	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	219	118
+	213	121
+	216	120
+	4	219	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	121
+	216	120
+	3	219	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	107
+	83	107
+	80	106
+	4	77	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	107
+	80	106
+	3	77	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	106
+	80	106
+	83	107
+	4	86	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	106
+	83	107
+	3	86	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	107
+	88	107
+	86	106
+	4	83	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	107
+	86	106
+	3	83	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	100
+	168	98
+	165	98
+	4	163	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	98
+	165	98
+	3	163	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	97
+	165	98
+	168	98
+	4	171	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	98
+	168	98
+	3	171	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	97
+	179	99
+	176	98
+	4	174	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	176	98
+	3	174	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	98
+	171	97
+	174	97
+	4	176	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	97
+	174	97
+	3	176	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	112
+	149	111
+	147	109
+	4	144	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	111
+	147	109
+	3	144	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	107
+	147	109
+	149	111
+	4	152	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	109
+	149	111
+	3	152	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	104
+	160	102
+	157	102
+	4	155	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	157	102
+	3	155	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	100
+	157	102
+	160	102
+	4	163	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	102
+	160	102
+	3	163	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	111
+	123	111
+	120	109
+	4	117	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	111
+	120	109
+	3	117	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	109
+	115	109
+	117	111
+	4	120	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	109
+	117	111
+	3	120	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	229	111
+	235	111
+	232	109
+	4	229	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	111
+	232	109
+	3	229	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	115
+	141	115
+	139	113
+	4	136	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	115
+	139	113
+	3	136	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	112
+	139	113
+	141	115
+	4	144	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	141	115
+	3	144	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	113
+	134	112
+	136	115
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	112
+	136	115
+	3	139	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	135
+	155	134
+	152	129
+	4	149	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	134
+	152	129
+	3	149	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	133
+	149	135
+	147	130
+	4	144	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	135
+	147	130
+	3	144	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	129
+	147	130
+	149	135
+	4	152	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	130
+	149	135
+	3	152	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	143
+	139	137
+	141	144
+	4	144	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	137
+	141	144
+	3	144	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	137
+	144	143
+	141	136
+	4	139	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	143
+	141	136
+	3	139	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	114
+	136	115
+	134	112
+	4	131	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	115
+	134	112
+	3	131	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	112
+	128	112
+	131	114
+	4	134	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	112
+	131	114
+	3	134	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	110
+	117	111
+	115	109
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	111
+	115	109
+	3	112	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	109
+	110	108
+	112	110
+	4	115	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	108
+	112	110
+	3	115	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	98
+	174	97
+	171	97
+	4	168	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	97
+	171	97
+	3	168	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	118
+	224	116
+	221	116
+	4	219	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	116
+	221	116
+	3	219	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	114
+	221	116
+	224	116
+	4	227	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	116
+	224	116
+	3	227	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	120
+	209	121
+	205	123
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	205	123
+	3	203	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	121
+	205	123
+	209	121
+	4	211	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	123
+	209	121
+	3	211	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	115
+	147	114
+	144	112
+	4	141	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	114
+	144	112
+	3	141	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	111
+	144	112
+	147	114
+	4	149	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	112
+	147	114
+	3	149	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	165
+	138	145
+	141	148
+	4	144	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	145
+	141	148
+	3	144	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	145
+	144	165
+	141	154
+	4	138	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	165
+	141	154
+	3	138	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	114
+	131	114
+	128	112
+	4	125	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	114
+	128	112
+	3	125	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	112
+	123	111
+	125	114
+	4	128	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	111
+	125	114
+	3	128	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	110
+	112	110
+	110	108
+	4	107	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	110	108
+	3	107	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	108
+	104	108
+	107	110
+	4	110	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	108
+	107	110
+	3	110	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	107
+	158	105
+	155	104
+	4	152	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	105
+	155	104
+	3	152	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	102
+	155	104
+	158	105
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	104
+	158	105
+	3	160	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	134
+	160	127
+	158	125
+	4	155	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	127
+	158	125
+	3	155	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	125
+	152	129
+	155	134
+	4	158	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	129
+	155	134
+	3	158	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	109
+	107	110
+	104	108
+	4	101	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	110
+	104	108
+	3	101	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	108
+	99	107
+	101	109
+	4	104	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	107
+	101	109
+	3	104	108	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	227	114
+	232	113
+	229	111
+	4	227	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	113
+	229	111
+	3	227	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	235	111
+	229	111
+	232	113
+	4	235	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	111
+	232	113
+	3	235	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	118
+	144	118
+	141	115
+	4	139	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	118
+	141	115
+	3	139	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	114
+	141	115
+	144	118
+	4	147	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	115
+	144	118
+	3	147	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	115
+	136	115
+	139	118
+	4	141	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	115
+	139	118
+	3	141	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	113
+	125	114
+	123	111
+	4	120	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	114
+	123	111
+	3	120	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	111
+	117	111
+	120	113
+	4	123	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	111
+	120	113
+	3	123	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	133	117
+	139	118
+	136	115
+	4	133	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	118
+	136	115
+	3	133	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	115
+	131	114
+	133	117
+	4	136	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	114
+	133	117
+	3	136	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	64	109
+	69	109
+	67	107
+	4	64	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	109
+	67	107
+	3	64	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	107
+	67	107
+	69	109
+	4	72	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	107
+	69	109
+	3	72	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	109
+	101	109
+	99	107
+	4	96	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	109
+	99	107
+	3	96	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	107
+	93	107
+	96	109
+	4	99	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	107
+	96	109
+	3	99	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	111
+	155	108
+	152	107
+	4	149	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	108
+	152	107
+	3	149	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	105
+	152	107
+	155	108
+	4	158	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	107
+	155	108
+	3	158	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	109
+	75	109
+	72	107
+	4	69	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	109
+	72	107
+	3	69	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	107
+	72	107
+	75	109
+	4	77	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	107
+	75	109
+	3	77	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	109
+	96	109
+	93	107
+	4	91	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	109
+	93	107
+	3	91	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	107
+	88	107
+	91	109
+	4	93	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	107
+	91	109
+	3	93	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	109
+	80	109
+	77	107
+	4	75	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	109
+	77	107
+	3	75	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	107
+	77	107
+	80	109
+	4	83	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	107
+	80	109
+	3	83	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	109
+	91	109
+	88	107
+	4	85	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	109
+	88	107
+	3	85	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	107
+	83	107
+	85	109
+	4	88	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	107
+	85	109
+	3	88	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	109
+	85	109
+	83	107
+	4	80	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	109
+	83	107
+	3	80	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	114
+	152	113
+	149	111
+	4	147	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	113
+	149	111
+	3	147	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	108
+	149	111
+	152	113
+	4	155	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	111
+	152	113
+	3	155	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	102
+	166	99
+	163	100
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	99
+	163	100
+	3	160	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	98
+	163	100
+	166	99
+	4	168	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	100
+	166	99
+	3	168	98	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	133
+	139	131
+	141	136
+	4	144	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	131
+	141	136
+	3	144	133	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	131
+	144	133
+	141	128
+	4	139	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	133
+	141	128
+	3	139	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	130
+	141	128
+	144	133
+	4	147	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	128
+	144	133
+	3	147	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	130
+	152	129
+	149	125
+	4	147	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	129
+	149	125
+	3	147	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	128
+	147	130
+	144	125
+	4	141	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	130
+	144	125
+	3	141	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	125
+	144	125
+	147	130
+	4	149	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	125
+	147	130
+	3	149	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	118
+	149	117
+	147	114
+	4	144	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	117
+	147	114
+	3	144	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	113
+	147	114
+	149	117
+	4	152	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	114
+	149	117
+	3	152	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	120
+	222	118
+	219	118
+	4	216	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	118
+	219	118
+	3	216	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	224	116
+	219	118
+	222	118
+	4	224	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	118
+	222	118
+	3	224	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	116
+	133	117
+	131	114
+	4	128	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	117
+	131	114
+	3	128	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	114
+	125	114
+	128	116
+	4	131	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	114
+	128	116
+	3	131	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	112
+	120	113
+	117	111
+	4	115	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	113
+	117	111
+	3	115	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	111
+	112	110
+	115	112
+	4	117	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	115	112
+	3	117	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	232	113
+	238	112
+	235	111
+	4	232	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	112
+	235	111
+	3	232	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	121
+	147	121
+	144	118
+	4	141	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	121
+	144	118
+	3	141	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	117
+	144	118
+	147	121
+	4	149	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	118
+	147	121
+	3	149	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	118
+	139	118
+	141	121
+	4	144	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	118
+	141	121
+	3	144	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	120
+	141	121
+	139	118
+	4	136	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	121
+	139	118
+	3	136	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	118
+	133	117
+	136	120
+	4	139	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	117
+	136	120
+	3	139	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	-3
+	219	88
+	217	74
+	4	222	-3	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	88
+	217	74
+	3	222	-3	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	116
+	230	115
+	227	114
+	4	224	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	115
+	227	114
+	3	224	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	232	113
+	227	114
+	230	115
+	4	232	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	114
+	230	115
+	3	232	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	129
+	158	125
+	155	122
+	4	152	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	125
+	155	122
+	3	152	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	122
+	149	125
+	152	129
+	4	155	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	125
+	152	129
+	3	155	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	121
+	214	121
+	211	121
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	121
+	211	121
+	3	209	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	120
+	211	121
+	214	121
+	4	216	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	121
+	214	121
+	3	216	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	112
+	115	112
+	112	110
+	4	109	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	112
+	112	110
+	3	109	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	110
+	107	110
+	109	112
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	110
+	109	112
+	3	112	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	96
+	182	99
+	179	99
+	4	176	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	99
+	179	99
+	3	176	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	99
+	174	97
+	176	96
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	97
+	176	96
+	3	179	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	125
+	149	125
+	147	121
+	4	144	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	125
+	147	121
+	3	144	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	125
+	139	124
+	141	128
+	4	144	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	141	128
+	3	144	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	124
+	144	125
+	141	121
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	125
+	141	121
+	3	139	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	121
+	141	121
+	144	125
+	4	147	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	121
+	144	125
+	3	147	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	121
+	136	120
+	139	124
+	4	141	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	120
+	139	124
+	3	141	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	115
+	128	116
+	125	114
+	4	123	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	116
+	125	114
+	3	123	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	114
+	120	113
+	123	115
+	4	125	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	113
+	123	115
+	3	125	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	119
+	147	121
+	149	125
+	4	152	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	121
+	149	125
+	3	152	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	121
+	152	119
+	149	117
+	4	147	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	119
+	149	117
+	3	147	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	144
+	136	137
+	139	143
+	4	141	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	137
+	139	143
+	3	141	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	137
+	141	144
+	139	137
+	4	136	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	144
+	139	137
+	3	136	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	125
+	155	122
+	152	119
+	4	149	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	122
+	152	119
+	3	149	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	119
+	136	120
+	133	117
+	4	131	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	120
+	133	117
+	3	131	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	117
+	128	116
+	131	119
+	4	133	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	116
+	131	119
+	3	133	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	111
+	109	112
+	107	110
+	4	104	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	112
+	107	110
+	3	104	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	110
+	101	109
+	104	111
+	4	107	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	109
+	104	111
+	3	107	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	142
+	176	162
+	179	156
+	4	183	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	162
+	179	156
+	3	183	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	162
+	183	142
+	180	141
+	4	176	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	142
+	180	141
+	3	176	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	136
+	136	132
+	139	137
+	4	141	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	132
+	139	137
+	3	141	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	132
+	141	136
+	139	131
+	4	136	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	136
+	139	131
+	3	136	132	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	141	128
+	136	126
+	139	131
+	4	141	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	126
+	139	131
+	3	141	128	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	136	126
+	141	128
+	139	124
+	4	136	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	128
+	139	124
+	3	136	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	105
+	163	101
+	160	102
+	4	158	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	101
+	160	102
+	3	158	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	99
+	160	102
+	163	101
+	4	166	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	163	101
+	3	166	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	114
+	149	117
+	152	119
+	4	155	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	117
+	152	119
+	3	155	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	117
+	155	114
+	152	113
+	4	149	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	114
+	152	113
+	3	149	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	111
+	66	111
+	64	109
+	4	61	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	111
+	64	109
+	3	61	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	109
+	64	109
+	66	111
+	4	69	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	109
+	66	111
+	3	69	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	111
+	104	111
+	101	109
+	4	98	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	111
+	101	109
+	3	98	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	109
+	96	109
+	98	111
+	4	101	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	109
+	98	111
+	3	101	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	177
+	177	167
+	174	174
+	4	171	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	167
+	174	174
+	3	171	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	161
+	174	174
+	177	167
+	4	180	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	174
+	177	167
+	3	180	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	174
+	180	161
+	176	167
+	4	174	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	161
+	176	167
+	3	174	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	99
+	171	97
+	168	98
+	4	166	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	97
+	168	98
+	3	166	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	97
+	168	98
+	171	97
+	4	174	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	98
+	171	97
+	3	174	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	111
+	72	111
+	69	109
+	4	66	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	111
+	69	109
+	3	66	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	109
+	69	109
+	72	111
+	4	75	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	109
+	72	111
+	3	75	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	114
+	123	115
+	120	113
+	4	117	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	115
+	120	113
+	3	117	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	113
+	115	112
+	117	114
+	4	120	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	112
+	117	114
+	3	120	113	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	133	122
+	139	124
+	136	120
+	4	133	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	136	120
+	3	133	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	120
+	131	119
+	133	122
+	4	136	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	119
+	133	122
+	3	136	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	115
+	235	114
+	232	113
+	4	230	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	114
+	232	113
+	3	230	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	238	112
+	232	113
+	235	114
+	4	238	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	113
+	235	114
+	3	238	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	111
+	98	111
+	96	109
+	4	93	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	111
+	96	109
+	3	93	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	109
+	91	109
+	93	111
+	4	96	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	109
+	93	111
+	3	96	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	111
+	77	111
+	75	109
+	4	72	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	111
+	75	109
+	3	72	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	109
+	75	109
+	77	111
+	4	80	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	109
+	77	111
+	3	80	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	168	178
+	174	171
+	171	177
+	4	168	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	171
+	171	177
+	3	168	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	167
+	171	177
+	174	171
+	4	177	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	177
+	174	171
+	3	177	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	111
+	93	111
+	91	109
+	4	88	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	111
+	91	109
+	3	88	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	109
+	85	109
+	88	111
+	4	91	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	109
+	88	111
+	3	91	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	111
+	82	111
+	80	109
+	4	77	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	111
+	80	109
+	3	77	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	109
+	80	109
+	82	111
+	4	85	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	109
+	82	111
+	3	85	109	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	124
+	133	122
+	136	126
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	122
+	136	126
+	3	139	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	111
+	88	111
+	85	109
+	4	82	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	111
+	85	109
+	3	82	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	118
+	227	117
+	224	116
+	4	222	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	117
+	224	116
+	3	222	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	115
+	224	116
+	227	117
+	4	230	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	116
+	227	117
+	3	230	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	150
+	136	141
+	139	147
+	4	141	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	141
+	139	147
+	3	141	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	141
+	141	150
+	139	143
+	4	136	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	150
+	139	143
+	3	136	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	109
+	152	113
+	155	114
+	4	158	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	113
+	155	114
+	3	158	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	113
+	158	109
+	155	108
+	4	152	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	109
+	155	108
+	3	152	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	118
+	131	119
+	128	116
+	4	125	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	119
+	128	116
+	3	125	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	116
+	123	115
+	125	118
+	4	128	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	115
+	125	118
+	3	128	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	108
+	160	105
+	158	105
+	4	155	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	105
+	158	105
+	3	155	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	101
+	158	105
+	160	105
+	4	163	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	105
+	160	105
+	3	163	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	97
+	176	96
+	174	97
+	4	171	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	96
+	174	97
+	3	171	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	121
+	220	120
+	216	120
+	4	214	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	120
+	216	120
+	3	214	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	118
+	216	120
+	220	120
+	4	222	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	120
+	220	120
+	3	222	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	105
+	155	108
+	158	109
+	4	160	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	108
+	158	109
+	3	160	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	114
+	117	114
+	115	112
+	4	112	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	114
+	115	112
+	3	112	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	112
+	109	112
+	112	114
+	4	115	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	112
+	112	114
+	3	115	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	235	114
+	241	114
+	238	112
+	4	235	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	114
+	238	112
+	3	235	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	115
+	152	119
+	155	122
+	4	158	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	119
+	155	122
+	3	158	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	119
+	158	115
+	155	114
+	4	152	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	115
+	155	114
+	3	152	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	131
+	133	128
+	136	132
+	4	139	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	128
+	136	132
+	3	139	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	128
+	139	131
+	136	126
+	4	133	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	131
+	136	126
+	3	133	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	121
+	133	122
+	131	119
+	4	128	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	122
+	131	119
+	3	128	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	119
+	125	118
+	128	121
+	4	131	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	118
+	128	121
+	3	131	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	113
+	112	114
+	109	112
+	4	106	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	114
+	109	112
+	3	106	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	112
+	104	111
+	106	113
+	4	109	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	111
+	106	113
+	3	109	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	117
+	125	118
+	123	115
+	4	120	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	118
+	123	115
+	3	120	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	115
+	117	114
+	120	117
+	4	123	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	114
+	120	117
+	3	123	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	117
+	233	116
+	230	115
+	4	227	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	116
+	230	115
+	3	227	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	114
+	230	115
+	233	116
+	4	235	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	115
+	233	116
+	3	235	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	113
+	63	113
+	61	111
+	4	58	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	113
+	61	111
+	3	58	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	111
+	61	111
+	63	113
+	4	66	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	111
+	63	113
+	3	66	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	113
+	106	113
+	104	111
+	4	101	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	113
+	104	111
+	3	101	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	111
+	98	111
+	101	113
+	4	104	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	111
+	101	113
+	3	104	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	124
+	136	126
+	133	122
+	4	131	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	126
+	133	122
+	3	131	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	122
+	128	121
+	131	124
+	4	133	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	121
+	131	124
+	3	133	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	126
+	131	124
+	133	128
+	4	136	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	124
+	133	128
+	3	136	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	113
+	69	113
+	66	111
+	4	63	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	113
+	66	111
+	3	63	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	111
+	66	111
+	69	113
+	4	72	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	111
+	69	113
+	3	72	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	112
+	101	113
+	98	111
+	4	96	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	113
+	98	111
+	3	96	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	111
+	93	111
+	96	112
+	4	98	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	111
+	96	112
+	3	98	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	95
+	185	100
+	182	99
+	4	179	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	100
+	182	99
+	3	179	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	99
+	176	96
+	179	95
+	4	182	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	96
+	179	95
+	3	182	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	120
+	225	119
+	222	118
+	4	220	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	119
+	222	118
+	3	220	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	227	117
+	222	118
+	225	119
+	4	227	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	118
+	225	119
+	3	227	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	113
+	74	112
+	72	111
+	4	69	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	112
+	72	111
+	3	69	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	111
+	72	111
+	74	112
+	4	77	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	111
+	74	112
+	3	77	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	137
+	133	132
+	136	137
+	4	139	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	132
+	136	137
+	3	139	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	132
+	139	137
+	136	132
+	4	133	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	137
+	136	132
+	3	133	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	112
+	79	112
+	77	111
+	4	74	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	112
+	77	111
+	3	74	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	111
+	77	111
+	79	112
+	4	82	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	111
+	79	112
+	3	82	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	112
+	96	112
+	93	111
+	4	90	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	112
+	93	111
+	3	90	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	111
+	88	111
+	90	112
+	4	93	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	111
+	90	112
+	3	93	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	115
+	155	122
+	158	125
+	4	160	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	122
+	158	125
+	3	160	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	122
+	160	115
+	158	115
+	4	155	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	115
+	158	115
+	3	155	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	116
+	120	117
+	117	114
+	4	114	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	117
+	117	114
+	3	114	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	114
+	112	114
+	114	116
+	4	117	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	114
+	114	116
+	3	117	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	112
+	85	112
+	82	111
+	4	79	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	112
+	82	111
+	3	79	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	111
+	82	111
+	85	112
+	4	88	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	111
+	85	112
+	3	88	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	112
+	90	112
+	88	111
+	4	85	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	112
+	88	111
+	3	85	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	116
+	238	116
+	235	114
+	4	233	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	116
+	235	114
+	3	233	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	241	114
+	235	114
+	238	116
+	4	241	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	114
+	238	116
+	3	241	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	101
+	168	98
+	166	99
+	4	163	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	98
+	166	99
+	3	163	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	97
+	166	99
+	168	98
+	4	171	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	99
+	168	98
+	3	171	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	119
+	128	121
+	125	118
+	4	123	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	121
+	125	118
+	3	123	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	118
+	120	117
+	123	119
+	4	125	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	117
+	123	119
+	3	125	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	108
+	155	114
+	158	115
+	4	160	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	114
+	158	115
+	3	160	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	114
+	160	108
+	158	109
+	4	155	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	108
+	158	109
+	3	155	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	238	116
+	244	115
+	241	114
+	4	238	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	115
+	241	114
+	3	238	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	153
+	176	167
+	180	161
+	4	182	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	167
+	180	161
+	3	182	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	167
+	182	153
+	179	156
+	4	176	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	153
+	179	156
+	3	176	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	115
+	114	116
+	112	114
+	4	109	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	116
+	112	114
+	3	109	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	114
+	106	113
+	109	115
+	4	112	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	113
+	109	115
+	3	112	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	119
+	230	118
+	227	117
+	4	225	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	118
+	227	117
+	3	225	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	116
+	227	117
+	230	118
+	4	233	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	117
+	230	118
+	3	233	116	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	166	176
+	171	172
+	168	178
+	4	166	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	172
+	168	178
+	3	166	176	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	171
+	168	178
+	171	172
+	4	174	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	178
+	171	172
+	3	174	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	118
+	212	120
+	209	121
+	4	207	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	120
+	209	121
+	3	207	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	121
+	209	121
+	212	120
+	4	214	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	212	120
+	3	214	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	121
+	203	120
+	207	118
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	207	118
+	3	209	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	113
+	158	125
+	160	127
+	4	163	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	125
+	160	127
+	3	163	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	125
+	163	113
+	160	115
+	4	158	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	113
+	160	115
+	3	158	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	122
+	131	124
+	128	121
+	4	125	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	124
+	128	121
+	3	125	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	121
+	123	119
+	125	122
+	4	128	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	119
+	125	122
+	3	128	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	115
+	60	115
+	58	113
+	4	55	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	115
+	58	113
+	3	55	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	113
+	58	113
+	60	115
+	4	63	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	113
+	60	115
+	3	63	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	114
+	109	115
+	106	113
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	115
+	106	113
+	3	104	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	113
+	101	113
+	104	114
+	4	106	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	113
+	104	114
+	3	106	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	132
+	131	128
+	133	132
+	4	136	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	128
+	133	132
+	3	136	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	128
+	136	132
+	133	128
+	4	131	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	132
+	133	128
+	3	131	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	120
+	217	121
+	214	121
+	4	212	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	121
+	214	121
+	3	212	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	120
+	214	121
+	217	121
+	4	220	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	121
+	217	121
+	3	220	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	118
+	123	119
+	120	117
+	4	117	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	119
+	120	117
+	3	117	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	117
+	114	116
+	117	118
+	4	120	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	116
+	117	118
+	3	120	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	115
+	66	114
+	63	113
+	4	60	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	114
+	63	113
+	3	60	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	113
+	63	113
+	66	114
+	4	69	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	113
+	66	114
+	3	69	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	109
+	186	82
+	191	51
+	4	190	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	82
+	191	51
+	3	190	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	82
+	190	109
+	187	102
+	4	186	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	109
+	187	102
+	3	186	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	105
+	166	100
+	163	101
+	4	160	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	100
+	163	101
+	3	160	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	98
+	163	101
+	166	100
+	4	168	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	101
+	166	100
+	3	168	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	143
+	133	136
+	136	141
+	4	139	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	136
+	136	141
+	3	139	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	136
+	139	143
+	136	137
+	4	133	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	143
+	136	137
+	3	133	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	103
+	158	109
+	160	108
+	4	163	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	109
+	160	108
+	3	163	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	109
+	163	103
+	160	105
+	4	158	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	103
+	160	105
+	3	158	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	114
+	71	114
+	69	113
+	4	66	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	114
+	69	113
+	3	66	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	112
+	69	113
+	71	114
+	4	74	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	113
+	71	114
+	3	74	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	114
+	104	114
+	101	113
+	4	98	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	101	113
+	3	98	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	113
+	96	112
+	98	114
+	4	101	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	112
+	98	114
+	3	101	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	118
+	236	118
+	233	116
+	4	230	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	118
+	233	116
+	3	230	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	238	116
+	233	116
+	236	118
+	4	238	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	116
+	236	118
+	3	238	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	125
+	133	128
+	131	124
+	4	128	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	128
+	131	124
+	3	128	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	124
+	125	122
+	128	125
+	4	131	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	122
+	128	125
+	3	131	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	128
+	128	125
+	131	128
+	4	133	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	125
+	131	128
+	3	133	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	114
+	77	114
+	74	112
+	4	71	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	114
+	74	112
+	3	71	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	112
+	74	112
+	77	114
+	4	79	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	112
+	77	114
+	3	79	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	114
+	98	114
+	96	112
+	4	93	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	114
+	96	112
+	3	93	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	112
+	90	112
+	93	114
+	4	96	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	112
+	93	114
+	3	96	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	114
+	82	114
+	79	112
+	4	77	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	114
+	79	112
+	3	77	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	112
+	79	112
+	82	114
+	4	85	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	112
+	82	114
+	3	85	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	121
+	223	120
+	220	120
+	4	217	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	120
+	220	120
+	3	217	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	119
+	220	120
+	223	120
+	4	225	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	120
+	223	120
+	3	225	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	100
+	160	105
+	163	103
+	4	166	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	105
+	163	103
+	3	166	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	114
+	93	114
+	90	112
+	4	87	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	114
+	90	112
+	3	87	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	112
+	85	112
+	87	114
+	4	90	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	112
+	87	114
+	3	90	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	114
+	87	114
+	85	112
+	4	82	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	114
+	85	112
+	3	82	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	98
+	174	95
+	171	97
+	4	168	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	95
+	171	97
+	3	168	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	96
+	171	97
+	174	95
+	4	176	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	97
+	174	95
+	3	176	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	154
+	136	141
+	138	145
+	4	141	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	141
+	138	145
+	3	141	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	141
+	141	154
+	139	147
+	4	136	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	154
+	139	147
+	3	136	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	111
+	207	118
+	203	120
+	4	202	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	118
+	203	120
+	3	202	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	120
+	199	109
+	202	111
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	109
+	202	111
+	3	203	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	118
+	241	117
+	238	116
+	4	236	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	117
+	238	116
+	3	236	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	115
+	238	116
+	241	117
+	4	244	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	116
+	241	117
+	3	244	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	107
+	160	127
+	163	129
+	4	166	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	127
+	163	129
+	3	166	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	127
+	166	107
+	163	113
+	4	160	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	107
+	163	113
+	3	160	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	117
+	117	118
+	114	116
+	4	112	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	118
+	114	116
+	3	112	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	116
+	109	115
+	112	117
+	4	114	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	115
+	112	117
+	3	114	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	91
+	187	102
+	185	100
+	4	182	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	102
+	185	100
+	3	182	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	100
+	179	95
+	182	91
+	4	185	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	95
+	182	91
+	3	185	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	117
+	247	117
+	244	115
+	4	241	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	117
+	244	115
+	3	241	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	95
+	179	95
+	176	96
+	4	174	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	95
+	176	96
+	3	174	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	120
+	125	122
+	123	119
+	4	120	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	122
+	123	119
+	3	120	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	119
+	117	118
+	120	120
+	4	123	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	118
+	120	120
+	3	123	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	120
+	228	120
+	225	119
+	4	223	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	120
+	225	119
+	3	223	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	118
+	225	119
+	228	120
+	4	230	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	119
+	228	120
+	3	230	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	117
+	57	117
+	55	115
+	4	52	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	117
+	55	115
+	3	52	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	115
+	55	115
+	57	117
+	4	60	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	115
+	57	117
+	3	60	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	116
+	112	117
+	109	115
+	4	106	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	117
+	109	115
+	3	106	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	115
+	104	114
+	106	116
+	4	109	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	106	116
+	3	109	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	107
+	158	115
+	160	115
+	4	163	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	115
+	160	115
+	3	163	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	115
+	163	107
+	160	108
+	4	158	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	107
+	160	108
+	3	158	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	117
+	63	116
+	60	115
+	4	57	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	116
+	60	115
+	3	57	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	114
+	60	115
+	63	116
+	4	66	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	115
+	63	116
+	3	66	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	120
+	234	120
+	230	118
+	4	228	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	120
+	230	118
+	3	228	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	236	118
+	230	118
+	234	120
+	4	236	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	118
+	234	120
+	3	236	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	63	116
+	68	116
+	66	114
+	4	63	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	116
+	66	114
+	3	63	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	114
+	66	114
+	68	116
+	4	71	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	114
+	68	116
+	3	71	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	116
+	106	116
+	104	114
+	4	101	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	116
+	104	114
+	3	101	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	114
+	98	114
+	101	116
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	114
+	101	116
+	3	104	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	137
+	130	132
+	133	136
+	4	136	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	132
+	133	136
+	3	136	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	132
+	136	137
+	133	132
+	4	130	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	137
+	133	132
+	3	130	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	123
+	128	125
+	125	122
+	4	122	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	125
+	125	122
+	3	122	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	122
+	120	120
+	122	123
+	4	125	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	120
+	122	123
+	3	125	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	90
+	163	129
+	166	131
+	4	170	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	129
+	166	131
+	3	170	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	129
+	170	90
+	166	107
+	4	163	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	90
+	166	107
+	3	163	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	116
+	74	116
+	71	114
+	4	68	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	116
+	71	114
+	3	68	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	114
+	71	114
+	74	116
+	4	77	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	114
+	74	116
+	3	77	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	119
+	120	120
+	117	118
+	4	114	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	120
+	117	118
+	3	114	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	118
+	112	117
+	114	119
+	4	117	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	117
+	114	119
+	3	117	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	115
+	101	116
+	98	114
+	4	95	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	116
+	98	114
+	3	95	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	114
+	93	114
+	95	115
+	4	98	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	114
+	95	115
+	3	98	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	116
+	79	116
+	77	114
+	4	74	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	116
+	77	114
+	3	74	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	114
+	77	114
+	79	116
+	4	82	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	114
+	79	116
+	3	82	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	120
+	239	119
+	236	118
+	4	234	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	119
+	236	118
+	3	234	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	117
+	236	118
+	239	119
+	4	241	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	118
+	239	119
+	3	241	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	115
+	95	115
+	93	114
+	4	90	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	115
+	93	114
+	3	90	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	114
+	87	114
+	90	115
+	4	93	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	114
+	90	115
+	3	93	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	116
+	84	115
+	82	114
+	4	79	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	115
+	82	114
+	3	79	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	114
+	82	114
+	84	115
+	4	87	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	114
+	84	115
+	3	87	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	115
+	90	115
+	87	114
+	4	84	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	115
+	87	114
+	3	84	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	102
+	182	91
+	186	82
+	4	187	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	91
+	186	82
+	3	187	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	239	119
+	244	119
+	241	117
+	4	239	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	119
+	241	117
+	3	239	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	247	117
+	241	117
+	244	119
+	4	247	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	117
+	244	119
+	3	247	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	126
+	131	128
+	128	125
+	4	125	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	128
+	128	125
+	3	125	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	125
+	122	123
+	125	126
+	4	128	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	123
+	125	126
+	3	128	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	119
+	250	119
+	247	117
+	4	244	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	119
+	247	117
+	3	244	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	132
+	128	129
+	130	132
+	4	133	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	129
+	130	132
+	3	133	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	129
+	133	132
+	131	128
+	4	128	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	132
+	131	128
+	3	128	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	119
+	55	119
+	52	117
+	4	49	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	119
+	52	117
+	3	49	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	117
+	52	117
+	55	119
+	4	57	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	117
+	55	119
+	3	57	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	128
+	125	126
+	128	129
+	4	131	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	126
+	128	129
+	3	131	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	118
+	114	119
+	112	117
+	4	109	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	119
+	112	117
+	3	109	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	117
+	106	116
+	109	118
+	4	112	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	116
+	109	118
+	3	112	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	121
+	220	121
+	217	121
+	4	215	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	121
+	217	121
+	3	215	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	120
+	217	121
+	220	121
+	4	223	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	121
+	220	121
+	3	223	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	121
+	212	120
+	215	121
+	4	217	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	120
+	215	121
+	3	217	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	100
+	171	95
+	168	98
+	4	166	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	95
+	168	98
+	3	166	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	95
+	168	98
+	171	95
+	4	174	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	98
+	171	95
+	3	174	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	119
+	60	118
+	57	117
+	4	55	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	118
+	57	117
+	3	55	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	116
+	57	117
+	60	118
+	4	63	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	117
+	60	118
+	3	63	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	121
+	226	122
+	223	120
+	4	220	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	122
+	223	120
+	3	220	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	120
+	223	120
+	226	122
+	4	228	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	120
+	226	122
+	3	228	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	121
+	122	123
+	120	120
+	4	117	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	123
+	120	120
+	3	117	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	120
+	114	119
+	117	121
+	4	120	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	119
+	117	121
+	3	120	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	54
+	199	109
+	196	113
+	4	197	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	109
+	196	113
+	3	197	54	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	196	113
+	196	11
+	197	54
+	4	196	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	11
+	197	54
+	3	196	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	119
+	215	121
+	212	120
+	4	210	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	121
+	212	120
+	3	210	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	120
+	207	118
+	210	119
+	4	212	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	118
+	210	119
+	3	212	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	118
+	65	118
+	63	116
+	4	60	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	118
+	63	116
+	3	60	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	116
+	63	116
+	65	118
+	4	68	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	116
+	65	118
+	3	68	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	118
+	109	118
+	106	116
+	4	103	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	118
+	106	116
+	3	103	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	116
+	101	116
+	103	118
+	4	106	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	116
+	103	118
+	3	106	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	122
+	231	121
+	228	120
+	4	226	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	121
+	228	120
+	3	226	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	120
+	228	120
+	231	121
+	4	234	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	120
+	231	121
+	3	234	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	101
+	160	108
+	163	107
+	4	166	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	108
+	163	107
+	3	166	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	108
+	166	101
+	163	103
+	4	160	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	101
+	163	103
+	3	160	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	118
+	71	118
+	68	116
+	4	65	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	118
+	68	116
+	3	65	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	116
+	68	116
+	71	118
+	4	74	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	116
+	71	118
+	3	74	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	147
+	133	138
+	136	141
+	4	139	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	136	141
+	3	139	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	138
+	139	147
+	136	141
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	147
+	136	141
+	3	133	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	121
+	237	121
+	234	120
+	4	231	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	121
+	234	120
+	3	231	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	119
+	234	120
+	237	121
+	4	239	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	120
+	237	121
+	3	239	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	117
+	103	118
+	101	116
+	4	98	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	118
+	101	116
+	3	98	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	116
+	95	115
+	98	117
+	4	101	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	115
+	98	117
+	3	101	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	118
+	76	117
+	74	116
+	4	71	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	117
+	74	116
+	3	71	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	116
+	74	116
+	76	117
+	4	79	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	116
+	76	117
+	3	79	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	28
+	166	131
+	169	128
+	4	175	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	131
+	169	128
+	3	175	28	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	131
+	175	28
+	170	90
+	4	166	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	28
+	170	90
+	3	166	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	117
+	81	117
+	79	116
+	4	76	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	117
+	79	116
+	3	76	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	115
+	79	116
+	81	117
+	4	84	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	116
+	81	117
+	3	84	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	117
+	98	117
+	95	115
+	4	92	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	117
+	95	115
+	3	92	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	115
+	90	115
+	92	117
+	4	95	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	115
+	92	117
+	3	95	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	121
+	242	121
+	239	119
+	4	237	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	121
+	239	119
+	3	237	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	244	119
+	239	119
+	242	121
+	4	244	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	119
+	242	121
+	3	244	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	117
+	87	117
+	84	115
+	4	81	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	117
+	84	115
+	3	81	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	115
+	84	115
+	87	117
+	4	90	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	115
+	87	117
+	3	90	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	117
+	92	117
+	90	115
+	4	87	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	117
+	90	115
+	3	87	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	121
+	52	121
+	49	119
+	4	46	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	121
+	49	119
+	3	46	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	119
+	49	119
+	52	121
+	4	55	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	119
+	52	121
+	3	55	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	242	121
+	247	121
+	244	119
+	4	242	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	121
+	244	119
+	3	242	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	119
+	244	119
+	247	121
+	4	250	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	119
+	247	121
+	3	250	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	160
+	163	170
+	160	177
+	4	158	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	170
+	160	177
+	3	158	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	176
+	160	177
+	163	170
+	4	166	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	177
+	163	170
+	3	166	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	177
+	155	159
+	158	160
+	4	160	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	159
+	158	160
+	3	160	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	120
+	117	121
+	114	119
+	4	111	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	121
+	114	119
+	3	111	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	119
+	109	118
+	111	120
+	4	114	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	118
+	111	120
+	3	114	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	124
+	125	126
+	122	123
+	4	120	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	126
+	122	123
+	3	120	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	123
+	117	121
+	120	124
+	4	122	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	121
+	120	124
+	3	122	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	103
+	169	97
+	166	100
+	4	163	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	97
+	166	100
+	3	163	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	95
+	166	100
+	169	97
+	4	171	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	100
+	169	97
+	3	171	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	121
+	253	121
+	250	119
+	4	247	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	121
+	250	119
+	3	247	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	121
+	57	120
+	55	119
+	4	52	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	120
+	55	119
+	3	52	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	118
+	55	119
+	57	120
+	4	60	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	119
+	57	120
+	3	60	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	102
+	160	115
+	163	113
+	4	166	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	115
+	163	113
+	3	166	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	115
+	166	102
+	163	107
+	4	160	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	102
+	163	107
+	3	160	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	97
+	163	103
+	166	101
+	4	169	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	103
+	166	101
+	3	169	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	120
+	62	120
+	60	118
+	4	57	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	120
+	60	118
+	3	57	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	118
+	60	118
+	62	120
+	4	65	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	118
+	62	120
+	3	65	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	114
+	210	119
+	207	118
+	4	204	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	119
+	207	118
+	3	204	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	118
+	202	111
+	204	114
+	4	207	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	111
+	204	114
+	3	207	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	170
+	169	170
+	166	176
+	4	163	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	170
+	166	176
+	3	163	170	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	172
+	166	176
+	169	170
+	4	171	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	176
+	169	170
+	3	171	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	119
+	111	120
+	109	118
+	4	106	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	120
+	109	118
+	3	106	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	118
+	103	118
+	106	119
+	4	109	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	118
+	106	119
+	3	109	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	95
+	177	91
+	174	95
+	4	171	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	91
+	174	95
+	3	171	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	95
+	174	95
+	177	91
+	4	179	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	95
+	177	91
+	3	179	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	126
+	128	129
+	125	126
+	4	122	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	129
+	125	126
+	3	122	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	126
+	120	124
+	122	126
+	4	125	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	124
+	122	126
+	3	125	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	120
+	68	119
+	65	118
+	4	62	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	119
+	65	118
+	3	62	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	118
+	65	118
+	68	119
+	4	71	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	118
+	68	119
+	3	71	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	141
+	130	135
+	133	138
+	4	136	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	135
+	133	138
+	3	136	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	135
+	136	141
+	133	136
+	4	130	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	141
+	133	136
+	3	130	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	144
+	179	156
+	182	153
+	4	186	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	156
+	182	153
+	3	186	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	179	156
+	186	144
+	183	142
+	4	179	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	144
+	183	142
+	3	179	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	91
+	182	91
+	179	95
+	4	177	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	91
+	179	95
+	3	177	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	123
+	229	123
+	226	122
+	4	223	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	123
+	226	122
+	3	223	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	121
+	226	122
+	229	123
+	4	231	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	122
+	229	123
+	3	231	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	122
+	220	121
+	223	123
+	4	226	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	121
+	223	123
+	3	226	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	122
+	223	123
+	220	121
+	4	218	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	123
+	220	121
+	3	218	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	121
+	215	121
+	218	122
+	4	220	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	121
+	218	122
+	3	220	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	119
+	73	119
+	71	118
+	4	68	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	119
+	71	118
+	3	68	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	117
+	71	118
+	73	119
+	4	76	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	118
+	73	119
+	3	76	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	119
+	106	119
+	103	118
+	4	100	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	119
+	103	118
+	3	100	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	118
+	98	117
+	100	119
+	4	103	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	117
+	100	119
+	3	103	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	123
+	234	123
+	231	121
+	4	229	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	123
+	231	121
+	3	229	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	121
+	231	121
+	234	123
+	4	237	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	121
+	234	123
+	3	237	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	123
+	49	123
+	46	121
+	4	43	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	123
+	46	121
+	3	43	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	121
+	46	121
+	49	123
+	4	52	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	121
+	49	123
+	3	52	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	122
+	120	124
+	117	121
+	4	114	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	124
+	117	121
+	3	114	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	121
+	111	120
+	114	122
+	4	117	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	120
+	114	122
+	3	117	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	234	123
+	240	123
+	237	121
+	4	234	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	123
+	237	121
+	3	234	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	121
+	237	121
+	240	123
+	4	242	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	121
+	240	123
+	3	242	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	119
+	79	119
+	76	117
+	4	73	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	119
+	76	117
+	3	73	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	117
+	76	117
+	79	119
+	4	81	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	117
+	79	119
+	3	81	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	129
+	130	132
+	128	129
+	4	125	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	132
+	128	129
+	3	125	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	129
+	122	126
+	125	129
+	4	128	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	126
+	125	129
+	3	128	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	119
+	100	119
+	98	117
+	4	95	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	119
+	98	117
+	3	95	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	117
+	92	117
+	95	119
+	4	98	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	117
+	95	119
+	3	98	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	171
+	180	163
+	177	167
+	4	174	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	163
+	177	167
+	3	174	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	158
+	177	167
+	180	163
+	4	183	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	167
+	180	163
+	3	183	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	167
+	183	158
+	180	161
+	4	177	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	158
+	180	161
+	3	177	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	123
+	245	123
+	242	121
+	4	240	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	123
+	242	121
+	3	240	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	121
+	242	121
+	245	123
+	4	247	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	121
+	245	123
+	3	247	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	119
+	84	119
+	81	117
+	4	79	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	119
+	81	117
+	3	79	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	117
+	81	117
+	84	119
+	4	87	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	117
+	84	119
+	3	87	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	120
+	218	122
+	215	121
+	4	212	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	122
+	215	121
+	3	212	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	121
+	210	119
+	212	120
+	4	215	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	119
+	212	120
+	3	215	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	136
+	128	131
+	130	135
+	4	133	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	131
+	130	135
+	3	133	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	131
+	133	136
+	130	132
+	4	128	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	136
+	130	132
+	3	128	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	123
+	54	122
+	52	121
+	4	49	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	122
+	52	121
+	3	49	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	120
+	52	121
+	54	122
+	4	57	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	121
+	54	122
+	3	57	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	123
+	250	123
+	247	121
+	4	245	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	123
+	247	121
+	3	245	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	253	121
+	247	121
+	250	123
+	4	253	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	121
+	250	123
+	3	253	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	118
+	95	119
+	92	117
+	4	89	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	119
+	92	117
+	3	89	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	117
+	87	117
+	89	118
+	4	92	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	117
+	89	118
+	3	92	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	119
+	89	118
+	87	117
+	4	84	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	118
+	87	117
+	3	84	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	123
+	256	123
+	253	121
+	4	250	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	123
+	253	121
+	3	250	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	132
+	125	129
+	128	131
+	4	130	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	129
+	128	131
+	3	130	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	171	172
+	177	166
+	174	171
+	4	171	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	166
+	174	171
+	3	171	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	163
+	174	171
+	177	166
+	4	180	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	171
+	177	166
+	3	180	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	122
+	59	122
+	57	120
+	4	54	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	122
+	57	120
+	3	54	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	120
+	57	120
+	59	122
+	4	62	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	120
+	59	122
+	3	62	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	121
+	114	122
+	111	120
+	4	108	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	122
+	111	120
+	3	108	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	120
+	106	119
+	108	121
+	4	111	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	119
+	108	121
+	3	111	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	122
+	65	121
+	62	120
+	4	59	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	121
+	62	120
+	3	59	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	119
+	62	120
+	65	121
+	4	68	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	120
+	65	121
+	3	68	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	124
+	122	126
+	120	124
+	4	117	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	126
+	120	124
+	3	117	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	124
+	114	122
+	117	124
+	4	120	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	122
+	117	124
+	3	120	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	126
+	46	125
+	43	123
+	4	40	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	125
+	43	123
+	3	40	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	123
+	43	123
+	46	125
+	4	49	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	123
+	46	125
+	3	49	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	121
+	70	121
+	68	119
+	4	65	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	121
+	68	119
+	3	65	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	119
+	68	119
+	70	121
+	4	73	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	119
+	70	121
+	3	73	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	120
+	108	121
+	106	119
+	4	103	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	121
+	106	119
+	3	103	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	119
+	100	119
+	103	120
+	4	106	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	119
+	103	120
+	3	106	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	125
+	51	125
+	49	123
+	4	46	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	125
+	49	123
+	3	46	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	122
+	49	123
+	51	125
+	4	54	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	123
+	51	125
+	3	54	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	121
+	76	121
+	73	119
+	4	70	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	121
+	73	119
+	3	70	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	119
+	73	119
+	76	121
+	4	79	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	119
+	76	121
+	3	79	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	124
+	232	124
+	229	123
+	4	226	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	124
+	229	123
+	3	226	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	123
+	229	123
+	232	124
+	4	234	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	123
+	232	124
+	3	234	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	123
+	223	123
+	226	124
+	4	229	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	123
+	226	124
+	3	229	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	124
+	237	125
+	234	123
+	4	232	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	125
+	234	123
+	3	232	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	123
+	234	123
+	237	125
+	4	240	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	123
+	237	125
+	3	240	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	152
+	180	161
+	183	158
+	4	186	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	161
+	183	158
+	3	186	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	180	161
+	186	152
+	182	153
+	4	180	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	152
+	182	153
+	3	180	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	125
+	243	124
+	240	123
+	4	237	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	124
+	240	123
+	3	237	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	123
+	240	123
+	243	124
+	4	245	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	123
+	243	124
+	3	245	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	117
+	212	120
+	210	119
+	4	207	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	120
+	210	119
+	3	207	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	119
+	204	114
+	207	117
+	4	210	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	114
+	207	117
+	3	210	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	124
+	226	124
+	223	123
+	4	221	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	124
+	223	123
+	3	221	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	123
+	218	122
+	221	124
+	4	223	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	122
+	221	124
+	3	223	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	124
+	248	124
+	245	123
+	4	243	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	124
+	245	123
+	3	243	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	123
+	245	123
+	248	124
+	4	250	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	123
+	248	124
+	3	250	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	120
+	103	120
+	100	119
+	4	97	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	120
+	100	119
+	3	97	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	119
+	95	119
+	97	120
+	4	100	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	119
+	97	120
+	3	100	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	121
+	81	120
+	79	119
+	4	76	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	120
+	79	119
+	3	76	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	119
+	79	119
+	81	120
+	4	84	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	119
+	81	120
+	3	84	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	248	124
+	254	124
+	250	123
+	4	248	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	124
+	250	123
+	3	248	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	256	123
+	250	123
+	254	124
+	4	256	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	123
+	254	124
+	3	256	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	254	124
+	259	124
+	256	123
+	4	254	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	124
+	256	123
+	3	254	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	125
+	56	124
+	54	122
+	4	51	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	124
+	54	122
+	3	51	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	122
+	54	122
+	56	124
+	4	59	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	122
+	56	124
+	3	59	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	120
+	86	120
+	84	119
+	4	81	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	120
+	84	119
+	3	81	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	118
+	84	119
+	86	120
+	4	89	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	119
+	86	120
+	3	89	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	120
+	97	120
+	95	119
+	4	92	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	120
+	95	119
+	3	92	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	119
+	89	118
+	92	120
+	4	95	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	118
+	92	120
+	3	95	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	120
+	92	120
+	89	118
+	4	86	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	120
+	89	118
+	3	86	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	126
+	125	129
+	122	126
+	4	119	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	129
+	122	126
+	3	119	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	126
+	117	124
+	119	126
+	4	122	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	124
+	119	126
+	3	122	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	122
+	221	124
+	218	122
+	4	215	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	124
+	218	122
+	3	215	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	122
+	212	120
+	215	122
+	4	218	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	120
+	215	122
+	3	218	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	123
+	117	124
+	114	122
+	4	111	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	124
+	114	122
+	3	111	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	122
+	108	121
+	111	123
+	4	114	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	121
+	111	123
+	3	114	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	95
+	163	107
+	166	102
+	4	169	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	107
+	166	102
+	3	169	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	107
+	169	95
+	166	101
+	4	163	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	95
+	166	101
+	3	163	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	97
+	174	90
+	171	95
+	4	169	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	90
+	171	95
+	3	169	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	177	91
+	171	95
+	174	90
+	4	177	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	95
+	174	90
+	3	177	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	124
+	62	123
+	59	122
+	4	56	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	123
+	59	122
+	3	56	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	121
+	59	122
+	62	123
+	4	65	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	122
+	62	123
+	3	65	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	37	128
+	43	128
+	40	126
+	4	37	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	128
+	40	126
+	3	37	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	125
+	40	126
+	43	128
+	4	46	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	126
+	43	128
+	3	46	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	62	123
+	67	123
+	65	121
+	4	62	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	123
+	65	121
+	3	62	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	121
+	65	121
+	67	123
+	4	70	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	121
+	67	123
+	3	70	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	128
+	48	127
+	46	125
+	4	43	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	127
+	46	125
+	3	43	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	125
+	46	125
+	48	127
+	4	51	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	125
+	48	127
+	3	51	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	170
+	174	167
+	171	172
+	4	169	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	167
+	171	172
+	3	169	170	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	177	166
+	171	172
+	174	167
+	4	177	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	172
+	174	167
+	3	177	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	122
+	111	123
+	108	121
+	4	106	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	123
+	108	121
+	3	106	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	121
+	103	120
+	106	122
+	4	108	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	120
+	106	122
+	3	108	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	89
+	202	111
+	199	109
+	4	198	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	111
+	199	109
+	3	198	89	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	109
+	197	54
+	198	89
+	4	199	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	54
+	198	89
+	3	199	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	123
+	73	122
+	70	121
+	4	67	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	70	121
+	3	67	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	121
+	70	121
+	73	122
+	4	76	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	121
+	73	122
+	3	76	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	128
+	128	131
+	125	129
+	4	122	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	131
+	125	129
+	3	122	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	129
+	119	126
+	122	128
+	4	125	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	126
+	122	128
+	3	125	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	93
+	163	113
+	166	107
+	4	169	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	113
+	166	107
+	3	169	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	113
+	169	93
+	166	102
+	4	163	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	93
+	166	102
+	3	163	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	127
+	53	126
+	51	125
+	4	48	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	126
+	51	125
+	3	48	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	124
+	51	125
+	53	126
+	4	56	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	125
+	53	126
+	3	56	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	126
+	240	126
+	237	125
+	4	235	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	126
+	237	125
+	3	235	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	124
+	237	125
+	240	126
+	4	243	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	125
+	240	126
+	3	243	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	125
+	232	124
+	235	126
+	4	237	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	124
+	235	126
+	3	237	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	126
+	246	126
+	243	124
+	4	240	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	126
+	243	124
+	3	240	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	124
+	243	124
+	246	126
+	4	248	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	124
+	246	126
+	3	248	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	126
+	235	126
+	232	124
+	4	229	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	126
+	232	124
+	3	229	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	124
+	226	124
+	229	126
+	4	232	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	124
+	229	126
+	3	232	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	126
+	251	126
+	248	124
+	4	246	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	126
+	248	124
+	3	246	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	254	124
+	248	124
+	251	126
+	4	254	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	124
+	251	126
+	3	254	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	122
+	78	122
+	76	121
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	122
+	76	121
+	3	73	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	120
+	76	121
+	78	122
+	4	81	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	121
+	78	122
+	3	81	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	251	126
+	257	126
+	254	124
+	4	251	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	126
+	254	124
+	3	251	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	259	124
+	254	124
+	257	126
+	4	259	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	124
+	257	126
+	3	259	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	257	126
+	262	126
+	259	124
+	4	257	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	126
+	259	124
+	3	257	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	122
+	106	122
+	103	120
+	4	100	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	122
+	103	120
+	3	100	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	120
+	97	120
+	100	122
+	4	103	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	120
+	100	122
+	3	103	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	120
+	215	122
+	212	120
+	4	210	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	122
+	212	120
+	3	210	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	120
+	207	117
+	210	120
+	4	212	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	117
+	210	120
+	3	212	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	125
+	229	126
+	226	124
+	4	224	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	126
+	226	124
+	3	224	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	124
+	221	124
+	224	125
+	4	226	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	124
+	224	125
+	3	226	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	34	130
+	40	130
+	37	128
+	4	34	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	130
+	37	128
+	3	34	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	128
+	37	128
+	40	130
+	4	43	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	128
+	40	130
+	3	43	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	125
+	119	126
+	117	124
+	4	114	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	126
+	117	124
+	3	114	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	124
+	111	123
+	114	125
+	4	117	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	123
+	114	125
+	3	117	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	122
+	83	122
+	81	120
+	4	78	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	122
+	81	120
+	3	78	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	120
+	81	120
+	83	122
+	4	86	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	120
+	83	122
+	3	86	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	126
+	59	126
+	56	124
+	4	53	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	126
+	56	124
+	3	53	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	123
+	56	124
+	59	126
+	4	62	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	124
+	59	126
+	3	62	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	121
+	100	122
+	97	120
+	4	94	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	122
+	97	120
+	3	94	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	120
+	92	120
+	94	121
+	4	97	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	120
+	94	121
+	3	97	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	122
+	89	121
+	86	120
+	4	83	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	121
+	86	120
+	3	83	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	120
+	86	120
+	89	121
+	4	92	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	120
+	89	121
+	3	92	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	22
+	169	128
+	175	24
+	4	178	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	128
+	175	24
+	3	178	22	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	128
+	178	22
+	175	28
+	4	169	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	22
+	175	28
+	3	169	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	101
+	172	92
+	169	97
+	4	166	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	92
+	169	97
+	3	166	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	90
+	169	97
+	172	92
+	4	174	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	97
+	172	92
+	3	174	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	121
+	94	121
+	92	120
+	4	89	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	121
+	92	120
+	3	89	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	92
+	166	101
+	169	95
+	4	172	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	101
+	169	95
+	3	172	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	131
+	130	135
+	128	131
+	4	125	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	135
+	128	131
+	3	125	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	131
+	122	128
+	125	131
+	4	128	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	128
+	125	131
+	3	128	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	124
+	224	125
+	221	124
+	4	218	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	125
+	221	124
+	3	218	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	124
+	215	122
+	218	124
+	4	221	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	122
+	218	124
+	3	221	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	40	130
+	45	129
+	43	128
+	4	40	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	129
+	43	128
+	3	40	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	127
+	43	128
+	45	129
+	4	48	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	128
+	45	129
+	3	48	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	126
+	64	125
+	62	123
+	4	59	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	125
+	62	123
+	3	59	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	123
+	62	123
+	64	125
+	4	67	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	123
+	64	125
+	3	67	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	119
+	177	139
+	180	141
+	4	183	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	139
+	180	141
+	3	183	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	177	139
+	183	119
+	181	97
+	4	177	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	119
+	181	97
+	3	177	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	97
+	174	132
+	177	139
+	4	181	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	132
+	177	139
+	3	181	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	129
+	50	129
+	48	127
+	4	45	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	129
+	48	127
+	3	45	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	126
+	48	127
+	50	129
+	4	53	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	127
+	50	129
+	3	53	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	125
+	70	124
+	67	123
+	4	64	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	124
+	67	123
+	3	64	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	122
+	67	123
+	70	124
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	123
+	70	124
+	3	73	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	124
+	114	125
+	111	123
+	4	108	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	125
+	111	123
+	3	108	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	123
+	106	122
+	108	124
+	4	111	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	122
+	108	124
+	3	111	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	133
+	133	138
+	130	135
+	4	127	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	130	135
+	3	127	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	135
+	125	131
+	127	133
+	4	130	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	131
+	127	133
+	3	130	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	102
+	204	114
+	202	111
+	4	200	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	114
+	202	111
+	3	200	102	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	202	111
+	198	89
+	200	102
+	4	202	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	89
+	200	102
+	3	202	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	31	133
+	37	132
+	34	130
+	4	31	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	132
+	34	130
+	3	31	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	130
+	34	130
+	37	132
+	4	40	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	130
+	37	132
+	3	40	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	90
+	180	85
+	177	91
+	4	174	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	85
+	177	91
+	3	174	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	91
+	177	91
+	180	85
+	4	182	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	91
+	180	85
+	3	182	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	124
+	75	124
+	73	122
+	4	70	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	124
+	73	122
+	3	70	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	122
+	73	122
+	75	124
+	4	78	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	75	124
+	3	78	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	128
+	249	128
+	246	126
+	4	243	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	128
+	246	126
+	3	243	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	126
+	246	126
+	249	128
+	4	251	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	126
+	249	128
+	3	251	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	126
+	240	126
+	243	128
+	4	246	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	126
+	243	128
+	3	246	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	129
+	56	128
+	53	126
+	4	50	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	128
+	53	126
+	3	50	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	126
+	53	126
+	56	128
+	4	59	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	126
+	56	128
+	3	59	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	128
+	243	128
+	240	126
+	4	238	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	128
+	240	126
+	3	238	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	126
+	235	126
+	238	128
+	4	240	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	126
+	238	128
+	3	240	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	128
+	254	128
+	251	126
+	4	249	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	128
+	251	126
+	3	249	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	257	126
+	251	126
+	254	128
+	4	257	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	126
+	254	128
+	3	257	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	126
+	122	128
+	119	126
+	4	116	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	128
+	119	126
+	3	116	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	126
+	114	125
+	116	126
+	4	119	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	125
+	116	126
+	3	119	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	254	128
+	260	128
+	257	126
+	4	254	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	128
+	257	126
+	3	254	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	262	126
+	257	126
+	260	128
+	4	262	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	126
+	260	128
+	3	262	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	122
+	218	124
+	215	122
+	4	213	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	124
+	215	122
+	3	213	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	122
+	210	120
+	213	122
+	4	215	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	120
+	213	122
+	3	215	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	260	128
+	265	128
+	262	126
+	4	260	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	128
+	262	126
+	3	260	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	128
+	238	128
+	235	126
+	4	232	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	128
+	235	126
+	3	232	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	126
+	229	126
+	232	128
+	4	235	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	126
+	232	128
+	3	235	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	188	145
+	182	153
+	186	152
+	4	188	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	153
+	186	152
+	3	188	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	153
+	188	145
+	186	144
+	4	182	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	145
+	186	144
+	3	182	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	37	132
+	42	132
+	40	130
+	4	37	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	132
+	40	130
+	3	37	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	45	129
+	40	130
+	42	132
+	4	45	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	130
+	42	132
+	3	45	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	134
+	136	141
+	133	138
+	4	130	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	141
+	133	138
+	3	130	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	138
+	127	133
+	130	134
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	133
+	130	134
+	3	133	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	127
+	232	128
+	229	126
+	4	227	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	128
+	229	126
+	3	227	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	126
+	224	125
+	227	127
+	4	229	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	125
+	227	127
+	3	229	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	123
+	108	124
+	106	122
+	4	103	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	124
+	106	122
+	3	103	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	122
+	100	122
+	103	123
+	4	106	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	122
+	103	123
+	3	106	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	85
+	186	82
+	182	91
+	4	180	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	82
+	182	91
+	3	180	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	124
+	81	123
+	78	122
+	4	75	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	123
+	78	122
+	3	75	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	122
+	78	122
+	81	123
+	4	83	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	122
+	81	123
+	3	83	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	128
+	61	127
+	59	126
+	4	56	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	127
+	59	126
+	3	56	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	125
+	59	126
+	61	127
+	4	64	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	126
+	61	127
+	3	64	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	135
+	138	145
+	136	141
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	145
+	136	141
+	3	133	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	141
+	130	134
+	133	135
+	4	136	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	134
+	133	135
+	3	136	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	123
+	86	123
+	83	122
+	4	81	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	123
+	83	122
+	3	81	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	121
+	83	122
+	86	123
+	4	89	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	122
+	86	123
+	3	89	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	123
+	103	123
+	100	122
+	4	97	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	123
+	100	122
+	3	97	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	122
+	94	121
+	97	123
+	4	100	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	121
+	97	123
+	3	100	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	202	109
+	207	117
+	204	114
+	4	202	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	117
+	204	114
+	3	202	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	114
+	200	102
+	202	109
+	4	204	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	102
+	202	109
+	3	204	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	127
+	227	127
+	224	125
+	4	221	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	127
+	224	125
+	3	221	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	125
+	218	124
+	221	127
+	4	224	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	124
+	221	127
+	3	224	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	42	132
+	47	131
+	45	129
+	4	42	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	131
+	45	129
+	3	42	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	129
+	45	129
+	47	131
+	4	50	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	129
+	47	131
+	3	50	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	123
+	92	123
+	89	121
+	4	86	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	123
+	89	121
+	3	86	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	121
+	89	121
+	92	123
+	4	94	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	121
+	92	123
+	3	94	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	123
+	97	123
+	94	121
+	4	92	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	123
+	94	121
+	3	92	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	128
+	180	141
+	183	142
+	4	186	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	141
+	183	142
+	3	186	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	180	141
+	186	128
+	183	119
+	4	180	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	128
+	183	119
+	3	180	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	28	136
+	34	135
+	31	133
+	4	28	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	135
+	31	133
+	3	28	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	37	132
+	31	133
+	34	135
+	4	37	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	133
+	34	135
+	3	37	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	135
+	141	148
+	138	145
+	4	135	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	148
+	138	145
+	3	135	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	145
+	133	135
+	135	135
+	4	138	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	135	135
+	3	138	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	127
+	67	126
+	64	125
+	4	61	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	126
+	64	125
+	3	61	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	124
+	64	125
+	67	126
+	4	70	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	125
+	67	126
+	3	70	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	34	135
+	39	134
+	37	132
+	4	34	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	134
+	37	132
+	3	34	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	42	132
+	37	132
+	39	134
+	4	42	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	132
+	39	134
+	3	42	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	131
+	53	130
+	50	129
+	4	47	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	130
+	50	129
+	3	47	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	128
+	50	129
+	53	130
+	4	56	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	129
+	53	130
+	3	56	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	125
+	116	126
+	114	125
+	4	111	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	126
+	114	125
+	3	111	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	125
+	108	124
+	111	125
+	4	114	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	124
+	111	125
+	3	114	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	130
+	144	151
+	141	148
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	151
+	141	148
+	3	138	130	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	141	148
+	135	135
+	138	130
+	4	141	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	135
+	138	130
+	3	141	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	115
+	210	120
+	207	117
+	4	205	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	120
+	207	117
+	3	205	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	207	117
+	202	109
+	205	115
+	4	207	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	109
+	205	115
+	3	207	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	128
+	125	131
+	122	128
+	4	119	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	131
+	122	128
+	3	119	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	128
+	116	126
+	119	128
+	4	122	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	126
+	119	128
+	3	122	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	125
+	221	127
+	218	124
+	4	216	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	127
+	218	124
+	3	216	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	218	124
+	213	122
+	216	125
+	4	218	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	122
+	216	125
+	3	218	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	126
+	72	126
+	70	124
+	4	67	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	126
+	70	124
+	3	67	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	124
+	70	124
+	72	126
+	4	75	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	124
+	72	126
+	3	75	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	130
+	257	130
+	254	128
+	4	252	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	130
+	254	128
+	3	252	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	128
+	254	128
+	257	130
+	4	260	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	128
+	257	130
+	3	260	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	128
+	249	128
+	252	130
+	4	254	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	128
+	252	130
+	3	254	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	130
+	252	130
+	249	128
+	4	246	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	130
+	249	128
+	3	246	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	128
+	243	128
+	246	130
+	4	249	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	128
+	246	130
+	3	249	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	130
+	263	130
+	260	128
+	4	257	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	130
+	260	128
+	3	257	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	265	128
+	260	128
+	263	130
+	4	265	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	128
+	263	130
+	3	265	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	263	130
+	268	130
+	265	128
+	4	263	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	130
+	265	128
+	3	263	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	130
+	246	130
+	243	128
+	4	241	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	130
+	243	128
+	3	241	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	128
+	238	128
+	241	130
+	4	243	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	128
+	241	130
+	3	243	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	130
+	241	130
+	238	128
+	4	235	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	130
+	238	128
+	3	235	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	128
+	232	128
+	235	130
+	4	238	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	128
+	235	130
+	3	238	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	166
+	183	161
+	180	163
+	4	177	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	161
+	180	163
+	3	177	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	157
+	180	163
+	183	161
+	4	186	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	163
+	183	161
+	3	186	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	180	163
+	186	157
+	183	158
+	4	180	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	157
+	183	158
+	3	180	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	134
+	44	134
+	42	132
+	4	39	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	134
+	42	132
+	3	39	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	131
+	42	132
+	44	134
+	4	47	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	132
+	44	134
+	3	47	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	114
+	147	154
+	144	151
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	154
+	144	151
+	3	141	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	151
+	138	130
+	141	114
+	4	144	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	141	114
+	3	144	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	25	138
+	31	138
+	28	136
+	4	25	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	138
+	28	136
+	3	25	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	34	135
+	28	136
+	31	138
+	4	34	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	136
+	31	138
+	3	34	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	130
+	58	129
+	56	128
+	4	53	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	129
+	56	128
+	3	53	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	127
+	56	128
+	58	129
+	4	61	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	128
+	58	129
+	3	61	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	129
+	235	130
+	232	128
+	4	230	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	130
+	232	128
+	3	230	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	128
+	227	127
+	230	129
+	4	232	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	127
+	230	129
+	3	232	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	126
+	78	125
+	75	124
+	4	72	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	125
+	75	124
+	3	72	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	123
+	75	124
+	78	125
+	4	81	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	124
+	78	125
+	3	81	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	132
+	181	97
+	181	32
+	4	174	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	97
+	181	32
+	3	174	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	32
+	175	24
+	174	132
+	4	181	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	24
+	174	132
+	3	181	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	125
+	111	125
+	108	124
+	4	105	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	125
+	108	124
+	3	105	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	124
+	103	123
+	105	125
+	4	108	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	123
+	105	125
+	3	108	124	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	208	119
+	213	122
+	210	120
+	4	208	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	122
+	210	120
+	3	208	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	120
+	205	115
+	208	119
+	4	210	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	115
+	208	119
+	3	210	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	129
+	230	129
+	227	127
+	4	224	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	129
+	227	127
+	3	224	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	127
+	221	127
+	224	129
+	4	227	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	127
+	224	129
+	3	227	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	31	138
+	36	137
+	34	135
+	4	31	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	137
+	34	135
+	3	31	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	39	134
+	34	135
+	36	137
+	4	39	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	135
+	36	137
+	3	39	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	125
+	83	125
+	81	123
+	4	78	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	125
+	81	123
+	3	78	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	123
+	81	123
+	83	125
+	4	86	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	123
+	83	125
+	3	86	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	166
+	172	167
+	169	170
+	4	166	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	167
+	169	170
+	3	166	166	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	174	167
+	169	170
+	172	167
+	4	174	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	170
+	172	167
+	3	174	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	170
+	163	170
+	166	166
+	4	169	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	170
+	166	166
+	3	169	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	134
+	50	133
+	47	131
+	4	44	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	133
+	47	131
+	3	44	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	130
+	47	131
+	50	133
+	4	53	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	131
+	50	133
+	3	53	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	129
+	64	128
+	61	127
+	4	58	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	128
+	61	127
+	3	58	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	126
+	61	127
+	64	128
+	4	67	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	127
+	64	128
+	3	67	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	124
+	105	125
+	103	123
+	4	100	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	125
+	103	123
+	3	100	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	123
+	97	123
+	100	124
+	4	103	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	123
+	100	124
+	3	103	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	152
+	183	158
+	186	157
+	4	189	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	158
+	186	157
+	3	189	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	183	158
+	189	152
+	186	152
+	4	183	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	152
+	186	152
+	3	183	158	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	174	167
+	180	163
+	177	166
+	4	174	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	163
+	177	166
+	3	174	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	161
+	177	166
+	180	163
+	4	183	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	166
+	180	163
+	3	183	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	125
+	89	124
+	86	123
+	4	83	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	124
+	86	123
+	3	83	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	123
+	86	123
+	89	124
+	4	92	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	123
+	89	124
+	3	92	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	161
+	166	166
+	163	170
+	4	161	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	166
+	163	170
+	3	161	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	170
+	158	160
+	161	161
+	4	163	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	160
+	161	161
+	3	163	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	124
+	100	124
+	97	123
+	4	94	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	124
+	97	123
+	3	94	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	123
+	92	123
+	94	124
+	4	97	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	123
+	94	124
+	3	97	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	124
+	94	124
+	92	123
+	4	89	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	124
+	92	123
+	3	89	124	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	134
+	183	142
+	186	144
+	4	189	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	142
+	186	144
+	3	189	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	183	142
+	189	134
+	186	128
+	4	183	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	134
+	186	128
+	3	183	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	154
+	141	114
+	143	53
+	4	147	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	143	53
+	3	147	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	130
+	127	133
+	125	131
+	4	122	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	133
+	125	131
+	3	122	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	131
+	119	128
+	122	130
+	4	125	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	128
+	122	130
+	3	125	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	219	128
+	224	129
+	221	127
+	4	219	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	129
+	221	127
+	3	219	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	127
+	216	125
+	219	128
+	4	221	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	125
+	219	128
+	3	221	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	22	141
+	28	141
+	25	138
+	4	22	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	141
+	25	138
+	3	22	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	31	138
+	25	138
+	28	141
+	4	31	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	138
+	28	141
+	3	31	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	36	137
+	41	136
+	39	134
+	4	36	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	136
+	39	134
+	3	36	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	44	134
+	39	134
+	41	136
+	4	44	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	134
+	41	136
+	3	44	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	127
+	119	128
+	116	126
+	4	113	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	128
+	116	126
+	3	113	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	126
+	111	125
+	113	127
+	4	116	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	125
+	113	127
+	3	116	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	211	123
+	216	125
+	213	122
+	4	211	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	125
+	213	122
+	3	211	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	213	122
+	208	119
+	211	123
+	4	213	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	119
+	211	123
+	3	213	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	128
+	69	128
+	67	126
+	4	64	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	128
+	67	126
+	3	64	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	126
+	67	126
+	69	128
+	4	72	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	126
+	69	128
+	3	72	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	133
+	55	132
+	53	130
+	4	50	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	132
+	53	130
+	3	50	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	129
+	53	130
+	55	132
+	4	58	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	130
+	55	132
+	3	58	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	28	141
+	33	140
+	31	138
+	4	28	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	140
+	31	138
+	3	28	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	36	137
+	31	138
+	33	140
+	4	36	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	138
+	33	140
+	3	36	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	132
+	260	132
+	257	130
+	4	255	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	132
+	257	130
+	3	255	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	130
+	257	130
+	260	132
+	4	263	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	130
+	260	132
+	3	263	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	130
+	252	130
+	255	132
+	4	257	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	130
+	255	132
+	3	257	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	132
+	266	132
+	263	130
+	4	260	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	132
+	263	130
+	3	260	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	130
+	263	130
+	266	132
+	4	268	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	130
+	266	132
+	3	268	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	132
+	271	132
+	268	130
+	4	266	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	132
+	268	130
+	3	266	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	132
+	255	132
+	252	130
+	4	249	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	132
+	252	130
+	3	249	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	130
+	246	130
+	249	132
+	4	252	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	130
+	249	132
+	3	252	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	244	132
+	249	132
+	246	130
+	4	244	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	132
+	246	130
+	3	244	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	130
+	241	130
+	244	132
+	4	246	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	130
+	244	132
+	3	246	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	132
+	244	132
+	241	130
+	4	238	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	132
+	241	130
+	3	238	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	130
+	235	130
+	238	132
+	4	241	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	130
+	238	132
+	3	241	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	131
+	238	132
+	235	130
+	4	233	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	132
+	235	130
+	3	233	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	130
+	230	129
+	233	131
+	4	235	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	129
+	233	131
+	3	235	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	41	136
+	47	135
+	44	134
+	4	41	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	135
+	44	134
+	3	41	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	133
+	44	134
+	47	135
+	4	50	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	134
+	47	135
+	3	50	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	128
+	75	127
+	72	126
+	4	69	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	127
+	72	126
+	3	69	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	125
+	72	126
+	75	127
+	4	78	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	126
+	75	127
+	3	78	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	87
+	166	102
+	169	93
+	4	172	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	102
+	169	93
+	3	172	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	102
+	172	87
+	169	95
+	4	166	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	87
+	169	95
+	3	166	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	92
+	178	83
+	174	90
+	4	172	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	83
+	174	90
+	3	172	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	85
+	174	90
+	178	83
+	4	180	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	90
+	178	83
+	3	180	85	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	227	131
+	233	131
+	230	129
+	4	227	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	131
+	230	129
+	3	227	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	230	129
+	224	129
+	227	131
+	4	230	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	129
+	227	131
+	3	230	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	19	144
+	25	144
+	22	141
+	4	19	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	144
+	22	141
+	3	19	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	141
+	22	141
+	25	144
+	4	28	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	141
+	25	144
+	3	28	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	132
+	61	131
+	58	129
+	4	55	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	131
+	58	129
+	3	55	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	128
+	58	129
+	61	131
+	4	64	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	129
+	61	131
+	3	64	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	140
+	38	139
+	36	137
+	4	33	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	139
+	36	137
+	3	33	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	41	136
+	36	137
+	38	139
+	4	41	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	137
+	38	139
+	3	41	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	126
+	113	127
+	111	125
+	4	108	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	127
+	111	125
+	3	108	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	125
+	105	125
+	108	126
+	4	111	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	125
+	108	126
+	3	111	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	126
+	219	128
+	216	125
+	4	213	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	128
+	216	125
+	3	213	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	125
+	211	123
+	213	126
+	4	216	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	123
+	213	126
+	3	216	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	127
+	80	126
+	78	125
+	4	75	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	126
+	78	125
+	3	75	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	125
+	78	125
+	80	126
+	4	83	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	125
+	80	126
+	3	83	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	25	144
+	30	143
+	28	141
+	4	25	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	143
+	28	141
+	3	25	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	33	140
+	28	141
+	30	143
+	4	33	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	141
+	30	143
+	3	33	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	130
+	227	131
+	224	129
+	4	222	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	131
+	224	129
+	3	222	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	129
+	219	128
+	222	130
+	4	224	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	128
+	222	130
+	3	224	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	135
+	52	134
+	50	133
+	4	47	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	134
+	50	133
+	3	47	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	132
+	50	133
+	52	134
+	4	55	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	133
+	52	134
+	3	55	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	131
+	130	134
+	127	133
+	4	124	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	134
+	127	133
+	3	124	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	133
+	122	130
+	124	131
+	4	127	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	130
+	124	131
+	3	127	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	126
+	86	126
+	83	125
+	4	80	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	126
+	83	125
+	3	80	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	124
+	83	125
+	86	126
+	4	89	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	125
+	86	126
+	3	89	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	126
+	108	126
+	105	125
+	4	102	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	126
+	105	125
+	3	102	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	125
+	100	124
+	102	126
+	4	105	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	124
+	102	126
+	3	105	125	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	191	146
+	186	152
+	189	152
+	4	191	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	152
+	189	152
+	3	191	146	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	186	152
+	191	146
+	188	145
+	4	186	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	146
+	188	145
+	3	186	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	131
+	66	130
+	64	128
+	4	61	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	130
+	64	128
+	3	61	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	128
+	64	128
+	66	130
+	4	69	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	128
+	66	130
+	3	69	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	38	139
+	44	138
+	41	136
+	4	38	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	138
+	41	136
+	3	38	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	135
+	41	136
+	44	138
+	4	47	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	136
+	44	138
+	3	47	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	16	147
+	22	147
+	19	144
+	4	16	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	147
+	19	144
+	3	16	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	25	144
+	19	144
+	22	147
+	4	25	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	144
+	22	147
+	3	25	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	126
+	91	126
+	89	124
+	4	86	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	126
+	89	124
+	3	86	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	124
+	89	124
+	91	126
+	4	94	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	124
+	91	126
+	3	94	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	125
+	102	126
+	100	124
+	4	97	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	126
+	100	124
+	3	97	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	124
+	94	124
+	97	125
+	4	100	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	124
+	97	125
+	3	100	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	30	143
+	36	142
+	33	140
+	4	30	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	142
+	33	140
+	3	30	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	38	139
+	33	140
+	36	142
+	4	38	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	140
+	36	142
+	3	38	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	126
+	97	125
+	94	124
+	4	91	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	125
+	94	124
+	3	91	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	128
+	122	130
+	119	128
+	4	116	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	130
+	119	128
+	3	116	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	128
+	113	127
+	116	128
+	4	119	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	127
+	116	128
+	3	119	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	167
+	178	165
+	174	167
+	4	172	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	165
+	174	167
+	3	172	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	180	163
+	174	167
+	178	165
+	4	180	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	167
+	178	165
+	3	180	163	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	22	147
+	27	146
+	25	144
+	4	22	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	146
+	25	144
+	3	22	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	30	143
+	25	144
+	27	146
+	4	30	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	144
+	27	146
+	3	30	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	134
+	275	134
+	271	132
+	4	269	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	134
+	271	132
+	3	269	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	132
+	266	132
+	269	134
+	4	271	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	132
+	269	134
+	3	271	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	134
+	269	134
+	266	132
+	4	264	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	134
+	266	132
+	3	264	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	132
+	260	132
+	264	134
+	4	266	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	132
+	264	134
+	3	266	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	134
+	264	134
+	260	132
+	4	258	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	134
+	260	132
+	3	258	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	132
+	255	132
+	258	134
+	4	260	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	132
+	258	134
+	3	260	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	134
+	258	134
+	255	132
+	4	252	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	134
+	255	132
+	3	252	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	132
+	249	132
+	252	134
+	4	255	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	132
+	252	134
+	3	255	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	134
+	252	134
+	249	132
+	4	247	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	134
+	249	132
+	3	247	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	132
+	244	132
+	247	134
+	4	249	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	132
+	247	134
+	3	249	132	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	191	138
+	186	144
+	188	145
+	4	191	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	144
+	188	145
+	3	191	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	186	144
+	191	138
+	189	134
+	4	186	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	138
+	189	134
+	3	186	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	134
+	247	134
+	244	132
+	4	241	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	134
+	244	132
+	3	241	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	244	132
+	238	132
+	241	134
+	4	244	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	132
+	241	134
+	3	244	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	129
+	222	130
+	219	128
+	4	216	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	130
+	219	128
+	3	216	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	128
+	213	126
+	216	129
+	4	219	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	126
+	216	129
+	3	219	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	236	133
+	241	134
+	238	132
+	4	236	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	134
+	238	132
+	3	236	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	238	132
+	233	131
+	236	133
+	4	238	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	131
+	236	133
+	3	238	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	134
+	58	133
+	55	132
+	4	52	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	133
+	55	132
+	3	52	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	131
+	55	132
+	58	133
+	4	61	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	132
+	58	133
+	3	61	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	130
+	72	129
+	69	128
+	4	66	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	129
+	69	128
+	3	66	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	127
+	69	128
+	72	129
+	4	75	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	128
+	72	129
+	3	75	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	133
+	236	133
+	233	131
+	4	230	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	133
+	233	131
+	3	230	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	233	131
+	227	131
+	230	133
+	4	233	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	131
+	230	133
+	3	233	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	13	150
+	19	150
+	16	147
+	4	13	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	150
+	16	147
+	3	13	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	22	147
+	16	147
+	19	150
+	4	22	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	147
+	19	150
+	3	22	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	44	138
+	49	137
+	47	135
+	4	44	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	137
+	47	135
+	3	44	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	134
+	47	135
+	49	137
+	4	52	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	135
+	49	137
+	3	52	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	27	146
+	33	145
+	30	143
+	4	27	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	145
+	30	143
+	3	27	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	36	142
+	30	143
+	33	145
+	4	36	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	143
+	33	145
+	3	36	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	36	142
+	41	141
+	38	139
+	4	36	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	141
+	38	139
+	3	36	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	44	138
+	38	139
+	41	141
+	4	44	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	139
+	41	141
+	3	44	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	19	150
+	24	149
+	22	147
+	4	19	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	149
+	22	147
+	3	19	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	27	146
+	22	147
+	24	149
+	4	27	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	147
+	24	149
+	3	27	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	133
+	230	133
+	227	131
+	4	225	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	133
+	227	131
+	3	225	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	131
+	222	130
+	225	133
+	4	227	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	130
+	225	133
+	3	227	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	95
+	175	84
+	172	92
+	4	169	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	84
+	172	92
+	3	169	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	83
+	172	92
+	175	84
+	4	178	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	92
+	175	84
+	3	178	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	129
+	77	128
+	75	127
+	4	72	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	128
+	75	127
+	3	72	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	126
+	75	127
+	77	128
+	4	80	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	127
+	77	128
+	3	80	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	75
+	166	107
+	170	90
+	4	173	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	107
+	170	90
+	3	173	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	107
+	173	75
+	169	93
+	4	166	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	75
+	169	93
+	3	166	107	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	119
+	211	123
+	208	119
+	4	205	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	123
+	208	119
+	3	205	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	119
+	203	113
+	205	119
+	4	208	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	113
+	205	119
+	3	208	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	203	113
+	208	119
+	205	115
+	4	203	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	119
+	205	115
+	3	203	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	84
+	169	95
+	172	87
+	4	175	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	95
+	172	87
+	3	175	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	127
+	116	128
+	113	127
+	4	110	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	128
+	113	127
+	3	110	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	127
+	108	126
+	110	127
+	4	113	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	126
+	110	127
+	3	113	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	133
+	63	132
+	61	131
+	4	58	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	132
+	61	131
+	3	58	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	130
+	61	131
+	63	132
+	4	66	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	131
+	63	132
+	3	66	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	208	123
+	213	126
+	211	123
+	4	208	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	126
+	211	123
+	3	208	123	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	211	123
+	205	119
+	208	123
+	4	211	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	119
+	208	123
+	3	211	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	57
+	155	159
+	152	158
+	4	149	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	159
+	152	158
+	3	149	57	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	158
+	146	41
+	149	57
+	4	152	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	41
+	149	57
+	3	152	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	24	149
+	30	148
+	27	146
+	4	24	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	148
+	27	146
+	3	24	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	145
+	27	146
+	30	148
+	4	33	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	146
+	30	148
+	3	33	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	16	153
+	21	153
+	19	150
+	4	16	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	153
+	19	150
+	3	16	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	24	149
+	19	150
+	21	153
+	4	24	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	150
+	21	153
+	3	24	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	19	150
+	13	150
+	16	153
+	4	19	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	150
+	16	153
+	3	19	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	10	153
+	16	153
+	13	150
+	4	10	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	153
+	13	150
+	3	10	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	131
+	133	135
+	130	134
+	4	127	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	130	134
+	3	127	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	134
+	124	131
+	127	131
+	4	130	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	131
+	127	131
+	3	130	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	128
+	83	128
+	80	126
+	4	77	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	128
+	80	126
+	3	77	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	126
+	80	126
+	83	128
+	4	86	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	126
+	83	128
+	3	86	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	115
+	200	106
+	203	113
+	4	205	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	106
+	203	113
+	3	205	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	200	106
+	205	115
+	202	109
+	4	200	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	115
+	202	109
+	3	200	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	132
+	225	133
+	222	130
+	4	219	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	133
+	222	130
+	3	219	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	130
+	216	129
+	219	132
+	4	222	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	129
+	219	132
+	3	222	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	145
+	38	144
+	36	142
+	4	33	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	144
+	36	142
+	3	33	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	41	141
+	36	142
+	38	144
+	4	41	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	142
+	38	144
+	3	41	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	137
+	55	135
+	52	134
+	4	49	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	135
+	52	134
+	3	49	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	133
+	52	134
+	55	135
+	4	58	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	134
+	55	135
+	3	58	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	127
+	216	129
+	213	126
+	4	211	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	129
+	213	126
+	3	211	127	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	213	126
+	208	123
+	211	127
+	4	213	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	123
+	211	127
+	3	213	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	41	141
+	46	139
+	44	138
+	4	41	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	139
+	44	138
+	3	41	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	137
+	44	138
+	46	139
+	4	49	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	138
+	46	139
+	3	49	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	272	136
+	278	136
+	275	134
+	4	272	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	136
+	275	134
+	3	272	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	134
+	269	134
+	272	136
+	4	275	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	134
+	272	136
+	3	275	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	136
+	272	136
+	269	134
+	4	267	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	136
+	269	134
+	3	267	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	269	134
+	264	134
+	267	136
+	4	269	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	134
+	267	136
+	3	269	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	127
+	110	127
+	108	126
+	4	105	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	127
+	108	126
+	3	105	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	126
+	102	126
+	105	127
+	4	108	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	126
+	105	127
+	3	108	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	136
+	267	136
+	264	134
+	4	261	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	136
+	264	134
+	3	261	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	134
+	258	134
+	261	136
+	4	264	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	134
+	261	136
+	3	264	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	128
+	88	127
+	86	126
+	4	83	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	127
+	86	126
+	3	83	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	126
+	86	126
+	88	127
+	4	91	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	126
+	88	127
+	3	91	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	256	136
+	261	136
+	258	134
+	4	256	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	136
+	258	134
+	3	256	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	134
+	252	134
+	256	136
+	4	258	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	134
+	256	136
+	3	258	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	136
+	256	136
+	252	134
+	4	250	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	136
+	252	134
+	3	250	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	134
+	247	134
+	250	136
+	4	252	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	134
+	250	136
+	3	252	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	13	157
+	19	157
+	16	153
+	4	13	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	157
+	16	153
+	3	13	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	21	153
+	16	153
+	19	157
+	4	21	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	153
+	19	157
+	3	21	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	16	153
+	10	153
+	13	157
+	4	16	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	153
+	13	157
+	3	16	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	244	136
+	250	136
+	247	134
+	4	244	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	136
+	247	134
+	3	244	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	134
+	241	134
+	244	136
+	4	247	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	134
+	244	136
+	3	247	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	21	153
+	27	152
+	24	149
+	4	21	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	152
+	24	149
+	3	21	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	30	148
+	24	149
+	27	152
+	4	30	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	149
+	27	152
+	3	30	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	132
+	68	131
+	66	130
+	4	63	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	131
+	66	130
+	3	63	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	129
+	66	130
+	68	131
+	4	72	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	130
+	68	131
+	3	72	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	239	135
+	244	136
+	241	134
+	4	239	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	136
+	241	134
+	3	239	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	134
+	236	133
+	239	135
+	4	241	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	133
+	239	135
+	3	241	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	129
+	124	131
+	122	130
+	4	119	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	131
+	122	130
+	3	119	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	130
+	116	128
+	119	129
+	4	122	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	128
+	119	129
+	3	122	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	127
+	94	127
+	91	126
+	4	88	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	127
+	91	126
+	3	88	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	125
+	91	126
+	94	127
+	4	97	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	126
+	94	127
+	3	97	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	127
+	105	127
+	102	126
+	4	99	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	127
+	102	126
+	3	99	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	126
+	97	125
+	99	127
+	4	102	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	125
+	99	127
+	3	102	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	135
+	239	135
+	236	133
+	4	233	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	135
+	236	133
+	3	233	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	236	133
+	230	133
+	233	135
+	4	236	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	133
+	233	135
+	3	236	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	127
+	99	127
+	97	125
+	4	94	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	127
+	97	125
+	3	94	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	19	157
+	13	157
+	16	161
+	4	19	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	157
+	16	161
+	3	19	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	19	157
+	24	156
+	21	153
+	4	19	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	156
+	21	153
+	3	19	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	27	152
+	21	153
+	24	156
+	4	27	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	153
+	24	156
+	3	27	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	30	148
+	35	147
+	33	145
+	4	30	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	147
+	33	145
+	3	30	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	38	144
+	33	145
+	35	147
+	4	38	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	145
+	35	147
+	3	38	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	135
+	233	135
+	230	133
+	4	228	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	135
+	230	133
+	3	228	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	133
+	225	133
+	228	135
+	4	230	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	133
+	228	135
+	3	230	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	16	161
+	21	160
+	19	157
+	4	16	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	160
+	19	157
+	3	16	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	24	156
+	19	157
+	21	160
+	4	24	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	157
+	21	160
+	3	24	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	21	160
+	16	161
+	19	164
+	4	21	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	161
+	19	164
+	3	21	160	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	194	140
+	188	145
+	191	146
+	4	194	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	145
+	191	146
+	3	194	140	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	188	145
+	194	140
+	191	138
+	4	188	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	140
+	191	138
+	3	188	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	163
+	186	159
+	183	161
+	4	180	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	159
+	183	161
+	3	180	163	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	156
+	183	161
+	186	159
+	4	189	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	161
+	186	159
+	3	189	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	183	161
+	189	156
+	186	157
+	4	183	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	156
+	186	157
+	3	183	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	135
+	60	134
+	58	133
+	4	55	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	134
+	58	133
+	3	55	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	132
+	58	133
+	60	134
+	4	63	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	133
+	60	134
+	3	63	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	131
+	219	132
+	216	129
+	4	214	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	132
+	216	129
+	3	214	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	129
+	211	127
+	214	131
+	4	216	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	127
+	214	131
+	3	216	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	152
+	186	157
+	189	156
+	4	192	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	157
+	189	156
+	3	192	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	186	157
+	192	152
+	189	152
+	4	186	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	152
+	189	152
+	3	186	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	131
+	74	130
+	72	129
+	4	68	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	130
+	72	129
+	3	68	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	128
+	72	129
+	74	130
+	4	77	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	129
+	74	130
+	3	77	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	38	144
+	43	142
+	41	141
+	4	38	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	142
+	41	141
+	3	38	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	46	139
+	41	141
+	43	142
+	4	46	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	141
+	43	142
+	3	46	139	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	202	109
+	198	96
+	200	106
+	4	202	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	96
+	200	106
+	3	202	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	96
+	202	109
+	200	102
+	4	198	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	109
+	200	102
+	3	198	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	46	139
+	52	138
+	49	137
+	4	46	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	138
+	49	137
+	3	46	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	135
+	49	137
+	52	138
+	4	55	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	137
+	52	138
+	3	55	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	27	152
+	32	150
+	30	148
+	4	27	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	150
+	30	148
+	3	27	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	35	147
+	30	148
+	32	150
+	4	35	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	148
+	32	150
+	3	35	147	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	24	163
+	19	164
+	21	167
+	4	24	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	164
+	21	167
+	3	24	163	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	19	164
+	24	163
+	21	160
+	4	19	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	163
+	21	160
+	3	19	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	134
+	228	135
+	225	133
+	4	222	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	135
+	225	133
+	3	222	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	133
+	219	132
+	222	134
+	4	225	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	132
+	222	134
+	3	225	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	83
+	184	75
+	180	85
+	4	178	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	75
+	180	85
+	3	178	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	82
+	180	85
+	184	75
+	4	186	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	85
+	184	75
+	3	186	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	24	156
+	29	154
+	27	152
+	4	24	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	154
+	27	152
+	3	24	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	32	150
+	27	152
+	29	154
+	4	32	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	152
+	29	154
+	3	32	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	27	158
+	21	160
+	24	163
+	4	27	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	160
+	24	163
+	3	27	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	21	160
+	27	158
+	24	156
+	4	21	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	158
+	24	156
+	3	21	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	130
+	79	129
+	77	128
+	4	74	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	129
+	77	128
+	3	74	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	128
+	77	128
+	79	129
+	4	83	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	128
+	79	129
+	3	83	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	29	154
+	24	156
+	27	158
+	4	29	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	156
+	27	158
+	3	29	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	128
+	119	129
+	116	128
+	4	113	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	129
+	116	128
+	3	113	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	128
+	110	127
+	113	128
+	4	116	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	127
+	113	128
+	3	116	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	134
+	65	133
+	63	132
+	4	60	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	133
+	63	132
+	3	60	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	131
+	63	132
+	65	133
+	4	68	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	132
+	65	133
+	3	68	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	35	147
+	40	145
+	38	144
+	4	35	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	145
+	38	144
+	3	35	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	142
+	38	144
+	40	145
+	4	43	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	144
+	40	145
+	3	43	142	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	194	147
+	189	152
+	192	152
+	4	194	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	152
+	192	152
+	3	194	147	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	189	152
+	194	147
+	191	146
+	4	189	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	147
+	191	146
+	3	189	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	275	138
+	281	138
+	278	136
+	4	275	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	138
+	278	136
+	3	275	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	136
+	272	136
+	275	138
+	4	278	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	136
+	275	138
+	3	278	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	138
+	275	138
+	272	136
+	4	270	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	138
+	272	136
+	3	270	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	272	136
+	267	136
+	270	138
+	4	272	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	136
+	270	138
+	3	272	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	138
+	270	138
+	267	136
+	4	264	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	138
+	267	136
+	3	264	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	136
+	261	136
+	264	138
+	4	267	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	136
+	264	138
+	3	267	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	259	138
+	264	138
+	261	136
+	4	259	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	138
+	261	136
+	3	259	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	261	136
+	256	136
+	259	138
+	4	261	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	136
+	259	138
+	3	261	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	253	138
+	259	138
+	256	136
+	4	253	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	138
+	256	136
+	3	253	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	256	136
+	250	136
+	253	138
+	4	256	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	136
+	253	138
+	3	256	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	134
+	222	134
+	219	132
+	4	217	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	134
+	219	132
+	3	217	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	132
+	214	131
+	217	134
+	4	219	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	131
+	217	134
+	3	219	132	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	26	165
+	21	167
+	24	170
+	4	26	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	167
+	24	170
+	3	26	165	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	21	167
+	26	165
+	24	163
+	4	21	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	165
+	24	163
+	3	21	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	247	138
+	253	138
+	250	136
+	4	247	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	138
+	250	136
+	3	247	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	136
+	244	136
+	247	138
+	4	250	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	136
+	247	138
+	3	250	136	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	178	165
+	183	162
+	180	163
+	4	178	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	162
+	180	163
+	3	178	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	159
+	180	163
+	183	162
+	4	186	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	163
+	183	162
+	3	186	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	137
+	247	138
+	244	136
+	4	242	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	138
+	244	136
+	3	242	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	244	136
+	239	135
+	242	137
+	4	244	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	135
+	242	137
+	3	244	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	122
+	158	160
+	155	159
+	4	152	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	160
+	155	159
+	3	152	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	159
+	149	57
+	152	122
+	4	155	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	57
+	152	122
+	3	155	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	129
+	85	129
+	83	128
+	4	79	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	129
+	83	128
+	3	79	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	127
+	83	128
+	85	129
+	4	88	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	128
+	85	129
+	3	88	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	137
+	242	137
+	239	135
+	4	236	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	137
+	239	135
+	3	236	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	135
+	233	135
+	236	137
+	4	239	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	135
+	236	137
+	3	239	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	142
+	49	141
+	46	139
+	4	43	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	141
+	46	139
+	3	43	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	52	138
+	46	139
+	49	141
+	4	52	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	139
+	49	141
+	3	52	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	138
+	57	137
+	55	135
+	4	52	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	137
+	55	135
+	3	52	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	134
+	55	135
+	57	137
+	4	60	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	135
+	57	137
+	3	60	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	131
+	135	135
+	133	135
+	4	130	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	135
+	133	135
+	3	130	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	135
+	127	131
+	130	131
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	131
+	130	131
+	3	133	135	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	206	125
+	211	127
+	208	123
+	4	206	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	127
+	208	123
+	3	206	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	208	123
+	203	120
+	206	125
+	4	208	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	206	125
+	3	208	123	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	203	120
+	208	123
+	205	119
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	123
+	205	119
+	3	203	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	137
+	236	137
+	233	135
+	4	231	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	137
+	233	135
+	3	231	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	135
+	228	135
+	231	137
+	4	233	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	135
+	231	137
+	3	233	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	165
+	175	165
+	172	167
+	4	169	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	165
+	172	167
+	3	169	165	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	165
+	172	167
+	175	165
+	4	178	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	167
+	175	165
+	3	178	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	167
+	166	166
+	169	165
+	4	172	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	166
+	169	165
+	3	172	167	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	208	129
+	214	131
+	211	127
+	4	208	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	131
+	211	127
+	3	208	129	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	211	127
+	206	125
+	208	129
+	4	211	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	125
+	208	129
+	3	211	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	32	150
+	37	149
+	35	147
+	4	32	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	149
+	35	147
+	3	32	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	145
+	35	147
+	37	149
+	4	40	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	147
+	37	149
+	3	40	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	128
+	113	128
+	110	127
+	4	107	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	128
+	110	127
+	3	107	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	127
+	105	127
+	107	128
+	4	110	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	127
+	107	128
+	3	110	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	129
+	91	128
+	88	127
+	4	85	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	128
+	88	127
+	3	85	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	127
+	88	127
+	91	128
+	4	94	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	127
+	91	128
+	3	94	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	133
+	71	132
+	68	131
+	4	65	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	132
+	68	131
+	3	65	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	130
+	68	131
+	71	132
+	4	74	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	131
+	71	132
+	3	74	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	29	160
+	24	163
+	26	165
+	4	29	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	163
+	26	165
+	3	29	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	24	163
+	29	160
+	27	158
+	4	24	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	160
+	27	158
+	3	24	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	161
+	169	165
+	166	166
+	4	164	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	165
+	166	166
+	3	164	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	166
+	161	161
+	164	161
+	4	166	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	161
+	164	161
+	3	166	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	137
+	231	137
+	228	135
+	4	225	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	137
+	228	135
+	3	225	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	135
+	222	134
+	225	137
+	4	228	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	134
+	225	137
+	3	228	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	130
+	127	131
+	124	131
+	4	121	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	131
+	124	131
+	3	121	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	131
+	119	129
+	121	130
+	4	124	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	129
+	121	130
+	3	124	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	128
+	96	128
+	94	127
+	4	91	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	128
+	94	127
+	3	91	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	127
+	94	127
+	96	128
+	4	99	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	127
+	96	128
+	3	99	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	128
+	107	128
+	105	127
+	4	102	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	128
+	105	127
+	3	102	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	127
+	99	127
+	102	128
+	4	105	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	127
+	102	128
+	3	105	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	29	154
+	35	152
+	32	150
+	4	29	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	152
+	32	150
+	3	29	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	37	149
+	32	150
+	35	152
+	4	37	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	150
+	35	152
+	3	37	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	119
+	200	113
+	203	120
+	4	205	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	113
+	203	120
+	3	205	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	113
+	205	119
+	203	113
+	4	200	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	119
+	203	113
+	3	200	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	128
+	102	128
+	99	127
+	4	96	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	128
+	99	127
+	3	96	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	133
+	217	134
+	214	131
+	4	211	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	134
+	214	131
+	3	211	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	214	131
+	208	129
+	211	133
+	4	214	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	129
+	211	133
+	3	214	131	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	32	156
+	27	158
+	29	160
+	4	32	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	158
+	29	160
+	3	32	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	27	158
+	32	156
+	29	154
+	4	27	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	156
+	29	154
+	3	27	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	35	152
+	29	154
+	32	156
+	4	35	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	154
+	32	156
+	3	35	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	29	167
+	24	170
+	26	172
+	4	29	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	170
+	26	172
+	3	29	167	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	24	170
+	29	167
+	26	165
+	4	24	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	167
+	26	165
+	3	24	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	145
+	46	144
+	43	142
+	4	40	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	144
+	43	142
+	3	40	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	141
+	43	142
+	46	144
+	4	49	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	142
+	46	144
+	3	49	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	136
+	225	137
+	222	134
+	4	220	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	137
+	222	134
+	3	220	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	134
+	217	134
+	220	136
+	4	222	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	134
+	220	136
+	3	222	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	137
+	62	135
+	60	134
+	4	57	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	135
+	60	134
+	3	57	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	133
+	60	134
+	62	135
+	4	65	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	134
+	62	135
+	3	65	133	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	197	143
+	191	146
+	194	147
+	4	197	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	146
+	194	147
+	3	197	143	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	191	146
+	197	143
+	194	140
+	4	191	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	143
+	194	140
+	3	191	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	141
+	54	139
+	52	138
+	4	49	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	139
+	52	138
+	3	49	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	137
+	52	138
+	54	139
+	4	57	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	138
+	54	139
+	3	57	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	132
+	76	131
+	74	130
+	4	71	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	131
+	74	130
+	3	71	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	129
+	74	130
+	76	131
+	4	79	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	130
+	76	131
+	3	79	129	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	194	131
+	189	134
+	191	138
+	4	194	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	134
+	191	138
+	3	194	131	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	134
+	194	131
+	192	125
+	4	189	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	131
+	192	125
+	3	189	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	192	125
+	186	128
+	189	134
+	4	192	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	128
+	189	134
+	3	192	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	279	140
+	284	140
+	281	138
+	4	279	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	140
+	281	138
+	3	279	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	281	138
+	275	138
+	279	140
+	4	281	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	138
+	279	140
+	3	281	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	140
+	279	140
+	275	138
+	4	273	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	140
+	275	138
+	3	273	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	275	138
+	270	138
+	273	140
+	4	275	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	138
+	273	140
+	3	275	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	140
+	273	140
+	270	138
+	4	267	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	140
+	270	138
+	3	267	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	270	138
+	264	138
+	267	140
+	4	270	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	138
+	267	140
+	3	270	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	140
+	267	140
+	264	138
+	4	262	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	140
+	264	138
+	3	262	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	264	138
+	259	138
+	262	140
+	4	264	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	138
+	262	140
+	3	264	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	256	140
+	262	140
+	259	138
+	4	256	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	140
+	259	138
+	3	256	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	259	138
+	253	138
+	256	140
+	4	259	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	138
+	256	140
+	3	259	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	140
+	256	140
+	253	138
+	4	251	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	140
+	253	138
+	3	251	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	253	138
+	247	138
+	251	140
+	4	253	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	138
+	251	140
+	3	253	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	139
+	251	140
+	247	138
+	4	245	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	140
+	247	138
+	3	245	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	138
+	242	137
+	245	139
+	4	247	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	137
+	245	139
+	3	247	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	197	135
+	191	138
+	194	140
+	4	197	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	138
+	194	140
+	3	197	135	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	191	138
+	197	135
+	194	131
+	4	191	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	135
+	194	131
+	3	191	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	37	149
+	43	147
+	40	145
+	4	37	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	147
+	40	145
+	3	37	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	46	144
+	40	145
+	43	147
+	4	46	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	145
+	43	147
+	3	46	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	136
+	220	136
+	217	134
+	4	214	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	136
+	217	134
+	3	214	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	134
+	211	133
+	214	136
+	4	217	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	133
+	214	136
+	3	217	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	139
+	245	139
+	242	137
+	4	239	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	139
+	242	137
+	3	239	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	137
+	236	137
+	239	139
+	4	242	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	137
+	239	139
+	3	242	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	102
+	196	82
+	198	96
+	4	200	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	82
+	198	96
+	3	200	102	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	196	82
+	200	102
+	198	89
+	4	196	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	102
+	198	89
+	3	196	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	139
+	239	139
+	236	137
+	4	234	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	139
+	236	137
+	3	234	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	137
+	231	137
+	234	139
+	4	236	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	137
+	234	139
+	3	236	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	131
+	82	130
+	79	129
+	4	76	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	130
+	79	129
+	3	76	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	129
+	79	129
+	82	130
+	4	85	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	129
+	82	130
+	3	85	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	31	162
+	26	165
+	29	167
+	4	31	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	165
+	29	167
+	3	31	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	26	165
+	31	162
+	29	160
+	4	26	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	162
+	29	160
+	3	26	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	75
+	191	51
+	186	82
+	4	184	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	51
+	186	82
+	3	184	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	135
+	68	134
+	65	133
+	4	62	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	134
+	65	133
+	3	62	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	132
+	65	133
+	68	134
+	4	71	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	133
+	68	134
+	3	71	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	139
+	234	139
+	231	137
+	4	228	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	139
+	231	137
+	3	228	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	137
+	225	137
+	228	139
+	4	231	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	137
+	228	139
+	3	231	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	129
+	121	130
+	119	129
+	4	116	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	130
+	119	129
+	3	116	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	129
+	113	128
+	116	129
+	4	119	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	128
+	116	129
+	3	119	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	113
+	198	105
+	200	113
+	4	203	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	105
+	200	113
+	3	203	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	105
+	203	113
+	200	106
+	4	198	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	113
+	200	106
+	3	198	105	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	165
+	181	163
+	178	165
+	4	175	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	163
+	178	165
+	3	175	165	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	183	162
+	178	165
+	181	163
+	4	183	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	165
+	181	163
+	3	183	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	131
+	211	133
+	208	129
+	4	206	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	133
+	208	129
+	3	206	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	129
+	203	127
+	206	131
+	4	208	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	127
+	206	131
+	3	208	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	127
+	208	129
+	206	125
+	4	203	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	129
+	206	125
+	3	203	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	35	152
+	40	150
+	37	149
+	4	35	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	150
+	37	149
+	3	35	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	43	147
+	37	149
+	40	150
+	4	43	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	149
+	40	150
+	3	43	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	144
+	51	142
+	49	141
+	4	46	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	49	141
+	3	46	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	139
+	49	141
+	51	142
+	4	54	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	141
+	51	142
+	3	54	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	125
+	200	122
+	203	127
+	4	206	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	122
+	203	127
+	3	206	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	122
+	206	125
+	203	120
+	4	200	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	125
+	203	120
+	3	200	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	139
+	228	139
+	225	137
+	4	223	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	139
+	225	137
+	3	223	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	137
+	220	136
+	223	139
+	4	225	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	136
+	223	139
+	3	225	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	139
+	59	138
+	57	137
+	4	54	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	138
+	57	137
+	3	54	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	135
+	57	137
+	59	138
+	4	62	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	137
+	59	138
+	3	62	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	130
+	88	130
+	85	129
+	4	82	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	85	129
+	3	82	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	128
+	85	129
+	88	130
+	4	91	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	129
+	88	130
+	3	91	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	34	158
+	29	160
+	31	162
+	4	34	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	160
+	31	162
+	3	34	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	29	160
+	34	158
+	32	156
+	4	29	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	158
+	32	156
+	3	29	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	31	169
+	26	172
+	28	174
+	4	31	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	172
+	28	174
+	3	31	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	26	172
+	31	169
+	29	167
+	4	26	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	169
+	29	167
+	3	26	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	135
+	214	136
+	211	133
+	4	209	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	136
+	211	133
+	3	209	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	133
+	206	131
+	209	135
+	4	211	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	131
+	209	135
+	3	211	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	32	156
+	37	154
+	35	152
+	4	32	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	154
+	35	152
+	3	32	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	40	150
+	35	152
+	37	154
+	4	40	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	152
+	37	154
+	3	40	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	200	138
+	194	140
+	197	143
+	4	200	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	140
+	197	143
+	3	200	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	194	140
+	200	138
+	197	135
+	4	194	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	138
+	197	135
+	3	194	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	37	154
+	32	156
+	34	158
+	4	37	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	156
+	34	158
+	3	37	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	142
+	161	161
+	158	160
+	4	155	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	161
+	158	160
+	3	155	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	160
+	152	122
+	155	142
+	4	158	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	122
+	155	142
+	3	158	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	130
+	93	129
+	91	128
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	129
+	91	128
+	3	88	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	128
+	91	128
+	93	129
+	4	96	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	128
+	93	129
+	3	96	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	128
+	192	125
+	189	117
+	4	186	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	125
+	189	117
+	3	186	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	117
+	183	119
+	186	128
+	4	189	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	119
+	186	128
+	3	189	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	138
+	223	139
+	220	136
+	4	217	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	139
+	220	136
+	3	217	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	136
+	214	136
+	217	138
+	4	220	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	136
+	217	138
+	3	220	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	129
+	116	129
+	113	128
+	4	110	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	129
+	113	128
+	3	110	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	128
+	107	128
+	110	129
+	4	113	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	128
+	110	129
+	3	113	128	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	186	159
+	192	156
+	189	156
+	4	186	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	156
+	189	156
+	3	186	159	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	195	152
+	189	156
+	192	156
+	4	195	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	156
+	192	156
+	3	195	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	189	156
+	195	152
+	192	152
+	4	189	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	152
+	192	152
+	3	189	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	134
+	73	133
+	71	132
+	4	68	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	133
+	71	132
+	3	68	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	131
+	71	132
+	73	133
+	4	76	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	132
+	73	133
+	3	76	131	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	197	149
+	192	152
+	195	152
+	4	197	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	152
+	195	152
+	3	197	149	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	192	152
+	197	149
+	194	147
+	4	192	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	149
+	194	147
+	3	192	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	129
+	99	129
+	96	128
+	4	93	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	129
+	96	128
+	3	93	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	128
+	96	128
+	99	129
+	4	102	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	128
+	99	129
+	3	102	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	129
+	110	129
+	107	128
+	4	104	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	129
+	107	128
+	3	104	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	128
+	102	128
+	104	129
+	4	107	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	128
+	104	129
+	3	107	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	147
+	48	145
+	46	144
+	4	43	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	145
+	46	144
+	3	43	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	142
+	46	144
+	48	145
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	144
+	48	145
+	3	51	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	129
+	104	129
+	102	128
+	4	99	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	129
+	102	128
+	3	99	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	282	142
+	287	142
+	284	140
+	4	282	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	142
+	284	140
+	3	282	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	284	140
+	279	140
+	282	142
+	4	284	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	140
+	282	142
+	3	284	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	276	142
+	282	142
+	279	140
+	4	276	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	142
+	279	140
+	3	276	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	279	140
+	273	140
+	276	142
+	4	279	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	140
+	276	142
+	3	279	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	271	142
+	276	142
+	273	140
+	4	271	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	142
+	273	140
+	3	271	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	273	140
+	267	140
+	271	142
+	4	273	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	140
+	271	142
+	3	273	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	265	142
+	271	142
+	267	140
+	4	265	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	142
+	267	140
+	3	265	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	267	140
+	262	140
+	265	142
+	4	267	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	140
+	265	142
+	3	267	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	142
+	265	142
+	262	140
+	4	259	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	142
+	262	140
+	3	259	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	140
+	256	140
+	259	142
+	4	262	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	140
+	259	142
+	3	262	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	120
+	198	115
+	200	122
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	200	122
+	3	203	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	115
+	203	120
+	200	113
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	200	113
+	3	198	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	142
+	259	142
+	256	140
+	4	254	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	142
+	256	140
+	3	254	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	256	140
+	251	140
+	254	142
+	4	256	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	140
+	254	142
+	3	256	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	142
+	254	142
+	251	140
+	4	248	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	142
+	251	140
+	3	248	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	140
+	245	139
+	248	142
+	4	251	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	139
+	248	142
+	3	251	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	138
+	217	138
+	214	136
+	4	211	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	138
+	214	136
+	3	211	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	136
+	209	135
+	211	138
+	4	214	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	135
+	211	138
+	3	214	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	141
+	248	142
+	245	139
+	4	242	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	142
+	245	139
+	3	242	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	139
+	239	139
+	242	141
+	4	245	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	139
+	242	141
+	3	245	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	183	162
+	189	159
+	186	159
+	4	183	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	159
+	186	159
+	3	183	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	156
+	186	159
+	189	159
+	4	192	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	159
+	189	159
+	3	192	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	135
+	209	135
+	206	131
+	4	203	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	135
+	206	131
+	3	203	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	131
+	200	131
+	203	135
+	4	206	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	131
+	203	135
+	3	206	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	131
+	206	131
+	203	127
+	4	200	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	131
+	203	127
+	3	200	131	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	200	145
+	194	147
+	197	149
+	4	200	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	147
+	197	149
+	3	200	145	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	194	147
+	200	145
+	197	143
+	4	194	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	145
+	197	143
+	3	194	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	141
+	242	141
+	239	139
+	4	237	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	141
+	239	139
+	3	237	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	139
+	234	139
+	237	141
+	4	239	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	139
+	237	141
+	3	239	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	138
+	65	136
+	62	135
+	4	59	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	136
+	62	135
+	3	59	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	134
+	62	135
+	65	136
+	4	68	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	135
+	65	136
+	3	68	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	130
+	130	131
+	127	131
+	4	124	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	131
+	127	131
+	3	124	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	131
+	121	130
+	124	130
+	4	127	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	130
+	124	130
+	3	127	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	142
+	56	140
+	54	139
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	140
+	54	139
+	3	51	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	138
+	54	139
+	56	140
+	4	59	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	139
+	56	140
+	3	59	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	141
+	237	141
+	234	139
+	4	231	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	141
+	234	139
+	3	231	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	139
+	228	139
+	231	141
+	4	234	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	139
+	231	141
+	3	234	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	127
+	197	126
+	200	131
+	4	203	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	126
+	200	131
+	3	203	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	126
+	203	127
+	200	122
+	4	197	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	127
+	200	122
+	3	197	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	34	164
+	29	167
+	31	169
+	4	34	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	167
+	31	169
+	3	34	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	29	167
+	34	164
+	31	162
+	4	29	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	164
+	31	162
+	3	29	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	133
+	79	132
+	76	131
+	4	73	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	132
+	76	131
+	3	73	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	130
+	76	131
+	79	132
+	4	82	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	131
+	79	132
+	3	82	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	84
+	181	74
+	178	83
+	4	175	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	74
+	178	83
+	3	175	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	75
+	178	83
+	181	74
+	4	184	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	83
+	181	74
+	3	184	75	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	135
+	197	135
+	200	138
+	4	203	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	135
+	200	138
+	3	203	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	135
+	203	135
+	200	131
+	4	197	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	135
+	200	131
+	3	197	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	131
+	194	131
+	197	135
+	4	200	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	131
+	197	135
+	3	200	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	141
+	231	141
+	228	139
+	4	226	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	141
+	228	139
+	3	226	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	139
+	223	139
+	226	141
+	4	228	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	139
+	226	141
+	3	228	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	138
+	211	138
+	209	135
+	4	206	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	138
+	209	135
+	3	206	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	135
+	203	135
+	206	138
+	4	209	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	135
+	206	138
+	3	209	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	131
+	200	131
+	197	126
+	4	194	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	131
+	197	126
+	3	194	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	126
+	192	125
+	194	131
+	4	197	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	125
+	194	131
+	3	197	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	150
+	45	148
+	43	147
+	4	40	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	148
+	43	147
+	3	40	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	48	145
+	43	147
+	45	148
+	4	48	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	147
+	45	148
+	3	48	145	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	203	141
+	197	143
+	200	145
+	4	203	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	143
+	200	145
+	3	203	141	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	197	143
+	203	141
+	200	138
+	4	197	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	141
+	200	138
+	3	197	143	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	128
+	138	130
+	135	135
+	4	132	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	135	135
+	3	132	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	135
+	130	131
+	132	128
+	4	135	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	131
+	132	128
+	3	135	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	141
+	226	141
+	223	139
+	4	220	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	141
+	223	139
+	3	220	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	139
+	217	138
+	220	141
+	4	223	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	138
+	220	141
+	3	223	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	138
+	206	138
+	203	135
+	4	200	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	138
+	203	135
+	3	200	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	138
+	200	138
+	203	141
+	4	206	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	138
+	203	141
+	3	206	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	132
+	84	131
+	82	130
+	4	79	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	131
+	82	130
+	3	79	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	130
+	82	130
+	84	131
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	130
+	84	131
+	3	88	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	36	159
+	31	162
+	34	164
+	4	36	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	162
+	34	164
+	3	36	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	31	162
+	36	159
+	34	158
+	4	31	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	159
+	34	158
+	3	31	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	37	154
+	42	151
+	40	150
+	4	37	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	151
+	40	150
+	3	37	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	45	148
+	40	150
+	42	151
+	4	45	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	150
+	42	151
+	3	45	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	141
+	220	141
+	217	138
+	4	214	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	141
+	217	138
+	3	214	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	138
+	211	138
+	214	141
+	4	217	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	138
+	214	141
+	3	217	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	136
+	70	135
+	68	134
+	4	65	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	135
+	68	134
+	3	65	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	133
+	68	134
+	70	135
+	4	73	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	134
+	70	135
+	3	73	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	170
+	28	174
+	31	175
+	4	33	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	174
+	31	175
+	3	33	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	28	174
+	33	170
+	31	169
+	4	28	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	170
+	31	169
+	3	28	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	145
+	53	143
+	51	142
+	4	48	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	143
+	51	142
+	3	48	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	140
+	51	142
+	53	143
+	4	56	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	53	143
+	3	56	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	39	155
+	34	158
+	36	159
+	4	39	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	158
+	36	159
+	3	39	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	34	158
+	39	155
+	37	154
+	4	34	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	155
+	37	154
+	3	34	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	42	151
+	37	154
+	39	155
+	4	42	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	154
+	39	155
+	3	42	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	122
+	195	119
+	197	126
+	4	200	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	119
+	197	126
+	3	200	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	119
+	200	122
+	198	115
+	4	195	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	122
+	198	115
+	3	195	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	141
+	214	141
+	211	138
+	4	209	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	141
+	211	138
+	3	209	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	138
+	206	138
+	209	141
+	4	211	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	138
+	209	141
+	3	211	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	181	163
+	186	161
+	183	162
+	4	181	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	161
+	183	162
+	3	181	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	159
+	183	162
+	186	161
+	4	189	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	162
+	186	161
+	3	189	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	141
+	209	141
+	206	138
+	4	203	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	141
+	206	138
+	3	203	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	106
+	195	94
+	198	105
+	4	200	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	94
+	198	105
+	3	200	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	94
+	200	106
+	198	96
+	4	195	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	106
+	198	96
+	3	195	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	140
+	62	139
+	59	138
+	4	56	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	139
+	59	138
+	3	56	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	136
+	59	138
+	62	139
+	4	65	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	138
+	62	139
+	3	65	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	131
+	90	131
+	88	130
+	4	84	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	131
+	88	130
+	3	84	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	129
+	88	130
+	90	131
+	4	93	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	90	131
+	3	93	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	285	144
+	291	144
+	287	142
+	4	285	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	144
+	287	142
+	3	285	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	287	142
+	282	142
+	285	144
+	4	287	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	142
+	285	144
+	3	287	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	125
+	197	126
+	195	119
+	4	192	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	126
+	195	119
+	3	192	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	279	144
+	285	144
+	282	142
+	4	279	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	144
+	282	142
+	3	279	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	282	142
+	276	142
+	279	144
+	4	282	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	142
+	279	144
+	3	282	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	274	144
+	279	144
+	276	142
+	4	274	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	144
+	276	142
+	3	274	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	276	142
+	271	142
+	274	144
+	4	276	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	142
+	274	144
+	3	276	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	144
+	274	144
+	271	142
+	4	268	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	144
+	271	142
+	3	268	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	142
+	265	142
+	268	144
+	4	271	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	142
+	268	144
+	3	271	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	129
+	124	130
+	121	130
+	4	118	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	130
+	121	130
+	3	118	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	130
+	116	129
+	118	129
+	4	121	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	129
+	118	129
+	3	121	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	144
+	268	144
+	265	142
+	4	262	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	144
+	265	142
+	3	262	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	142
+	259	142
+	262	144
+	4	265	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	142
+	262	144
+	3	265	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	144
+	262	144
+	259	142
+	4	257	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	144
+	259	142
+	3	257	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	142
+	254	142
+	257	144
+	4	259	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	142
+	257	144
+	3	259	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	144
+	257	144
+	254	142
+	4	251	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	144
+	254	142
+	3	251	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	142
+	248	142
+	251	144
+	4	254	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	142
+	251	144
+	3	254	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	143
+	251	144
+	248	142
+	4	246	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	144
+	248	142
+	3	246	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	142
+	242	141
+	246	143
+	4	248	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	141
+	246	143
+	3	248	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	143
+	246	143
+	242	141
+	4	240	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	143
+	242	141
+	3	240	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	141
+	237	141
+	240	143
+	4	242	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	141
+	240	143
+	3	242	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	143
+	240	143
+	237	141
+	4	234	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	143
+	237	141
+	3	234	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	141
+	231	141
+	234	143
+	4	237	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	141
+	234	143
+	3	237	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	119
+	189	117
+	192	125
+	4	195	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	117
+	192	125
+	3	195	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	113
+	195	106
+	198	115
+	4	200	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	106
+	198	115
+	3	200	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	106
+	200	113
+	198	105
+	4	195	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	113
+	198	105
+	3	195	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	131
+	96	130
+	93	129
+	4	90	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	130
+	93	129
+	3	90	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	129
+	93	129
+	96	130
+	4	99	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	129
+	96	130
+	3	99	129	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	200	145
+	206	144
+	203	141
+	4	200	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	144
+	203	141
+	3	200	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	141
+	203	141
+	206	144
+	4	209	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	141
+	206	144
+	3	209	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	143
+	234	143
+	231	141
+	4	229	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	143
+	231	141
+	3	229	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	141
+	226	141
+	229	143
+	4	231	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	141
+	229	143
+	3	231	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	135
+	76	134
+	73	133
+	4	70	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	134
+	73	133
+	3	70	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	132
+	73	133
+	76	134
+	4	79	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	133
+	76	134
+	3	79	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	74
+	169	93
+	173	75
+	4	176	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	93
+	173	75
+	3	176	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	93
+	176	74
+	172	87
+	4	169	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	74
+	172	87
+	3	169	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	164
+	178	164
+	175	165
+	4	172	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	164
+	175	165
+	3	172	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	163
+	175	165
+	178	164
+	4	181	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	165
+	178	164
+	3	181	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	165
+	169	165
+	172	164
+	4	175	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	165
+	172	164
+	3	175	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	143
+	229	143
+	226	141
+	4	223	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	143
+	226	141
+	3	223	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	141
+	220	141
+	223	143
+	4	226	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	141
+	223	143
+	3	226	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	45	148
+	50	146
+	48	145
+	4	45	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	146
+	48	145
+	3	45	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	143
+	48	145
+	50	146
+	4	53	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	145
+	50	146
+	3	53	143	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	197	149
+	203	147
+	200	145
+	4	197	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	147
+	200	145
+	3	197	149	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	206	144
+	200	145
+	203	147
+	4	206	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	145
+	203	147
+	3	206	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	129
+	118	129
+	116	129
+	4	113	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	129
+	116	129
+	3	113	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	129
+	110	129
+	113	129
+	4	116	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	129
+	113	129
+	3	116	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	130
+	101	130
+	99	129
+	4	96	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	130
+	99	129
+	3	96	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	129
+	99	129
+	101	130
+	4	104	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	129
+	101	130
+	3	104	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	162
+	172	164
+	169	165
+	4	167	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	164
+	169	165
+	3	167	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	165
+	164	161
+	167	162
+	4	169	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	161
+	167	162
+	3	169	165	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	195	152
+	200	150
+	197	149
+	4	195	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	150
+	197	149
+	3	195	152	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	203	147
+	197	149
+	200	150
+	4	203	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	149
+	200	150
+	3	203	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	143
+	223	143
+	220	141
+	4	217	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	143
+	220	141
+	3	217	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	141
+	214	141
+	217	143
+	4	220	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	141
+	217	143
+	3	220	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	130
+	107	129
+	104	129
+	4	101	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	129
+	104	129
+	3	101	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	129
+	104	129
+	107	129
+	4	110	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	129
+	107	129
+	3	110	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	129
+	113	129
+	110	129
+	4	107	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	129
+	110	129
+	3	107	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	144
+	212	143
+	209	141
+	4	206	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	143
+	209	141
+	3	206	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	141
+	209	141
+	212	143
+	4	214	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	141
+	212	143
+	3	214	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	151
+	164	161
+	161	161
+	4	158	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	161
+	161	161
+	3	158	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	161
+	155	142
+	158	151
+	4	161	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	142
+	158	151
+	3	161	161	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	36	165
+	31	169
+	33	170
+	4	36	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	169
+	33	170
+	3	36	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	31	169
+	36	165
+	34	164
+	4	31	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	165
+	34	164
+	3	31	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	143
+	217	143
+	214	141
+	4	212	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	143
+	214	141
+	3	212	143	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	192	156
+	198	153
+	195	152
+	4	192	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	153
+	195	152
+	3	192	156	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	200	150
+	195	152
+	198	153
+	4	200	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	152
+	198	153
+	3	200	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	139
+	67	137
+	65	136
+	4	62	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	137
+	65	136
+	3	62	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	135
+	65	136
+	67	137
+	4	70	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	136
+	67	137
+	3	70	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	143
+	59	141
+	56	140
+	4	53	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	141
+	56	140
+	3	53	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	139
+	56	140
+	59	141
+	4	62	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	140
+	59	141
+	3	62	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	134
+	81	133
+	79	132
+	4	76	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	133
+	79	132
+	3	76	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	131
+	79	132
+	81	133
+	4	84	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	132
+	81	133
+	3	84	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	42	151
+	47	149
+	45	148
+	4	42	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	149
+	45	148
+	3	42	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	50	146
+	45	148
+	47	149
+	4	50	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	148
+	47	149
+	3	50	146	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	189	159
+	195	157
+	192	156
+	4	189	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	157
+	192	156
+	3	189	159	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	198	153
+	192	156
+	195	157
+	4	198	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	156
+	195	157
+	3	198	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	87
+	178	75
+	175	84
+	4	172	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	75
+	175	84
+	3	172	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	74
+	175	84
+	178	75
+	4	181	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	84
+	178	75
+	3	181	74	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	203	147
+	209	146
+	206	144
+	4	203	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	146
+	206	144
+	3	203	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	143
+	206	144
+	209	146
+	4	212	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	144
+	209	146
+	3	212	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	39	160
+	34	164
+	36	165
+	4	39	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	164
+	36	165
+	3	39	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	34	164
+	39	160
+	36	159
+	4	34	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	160
+	36	159
+	3	34	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	291	144
+	285	144
+	288	146
+	4	291	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	144
+	288	146
+	3	291	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	283	146
+	288	146
+	285	144
+	4	283	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	146
+	285	144
+	3	283	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	285	144
+	279	144
+	283	146
+	4	285	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	144
+	283	146
+	3	285	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	277	146
+	283	146
+	279	144
+	4	277	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	146
+	279	144
+	3	277	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	279	144
+	274	144
+	277	146
+	4	279	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	144
+	277	146
+	3	279	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	146
+	277	146
+	274	144
+	4	271	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	146
+	274	144
+	3	271	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	274	144
+	268	144
+	271	146
+	4	274	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	144
+	271	146
+	3	274	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	146
+	271	146
+	268	144
+	4	266	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	146
+	268	144
+	3	266	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	144
+	262	144
+	266	146
+	4	268	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	144
+	266	146
+	3	268	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	146
+	266	146
+	262	144
+	4	260	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	146
+	262	144
+	3	260	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	144
+	257	144
+	260	146
+	4	262	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	144
+	260	146
+	3	262	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	146
+	260	146
+	257	144
+	4	254	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	146
+	257	144
+	3	254	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	144
+	251	144
+	254	146
+	4	257	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	144
+	254	146
+	3	257	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	146
+	254	146
+	251	144
+	4	249	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	146
+	251	144
+	3	249	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	144
+	246	143
+	249	146
+	4	251	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	143
+	249	146
+	3	251	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	39	155
+	44	152
+	42	151
+	4	39	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	152
+	42	151
+	3	39	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	149
+	42	151
+	44	152
+	4	47	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	151
+	44	152
+	3	47	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	145
+	249	146
+	246	143
+	4	243	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	146
+	246	143
+	3	243	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	143
+	240	143
+	243	145
+	4	246	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	143
+	243	145
+	3	246	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	145
+	243	145
+	240	143
+	4	237	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	145
+	240	143
+	3	237	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	143
+	234	143
+	237	145
+	4	240	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	143
+	237	145
+	3	240	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	133
+	87	132
+	84	131
+	4	81	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	132
+	84	131
+	3	81	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	131
+	84	131
+	87	132
+	4	90	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	131
+	87	132
+	3	90	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	164
+	184	163
+	181	163
+	4	178	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	163
+	181	163
+	3	178	164	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	186	161
+	181	163
+	184	163
+	4	186	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	163
+	184	163
+	3	186	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	145
+	237	145
+	234	143
+	4	232	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	145
+	234	143
+	3	232	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	143
+	229	143
+	232	145
+	4	234	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	143
+	232	145
+	3	234	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	115
+	192	110
+	195	119
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	110
+	195	119
+	3	198	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	110
+	198	115
+	195	106
+	4	192	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	195	106
+	3	192	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	42	156
+	36	159
+	39	160
+	4	42	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	159
+	39	160
+	3	42	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	36	159
+	42	156
+	39	155
+	4	36	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	156
+	39	155
+	3	36	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	145
+	232	145
+	229	143
+	4	226	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	145
+	229	143
+	3	226	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	143
+	223	143
+	226	145
+	4	229	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	143
+	226	145
+	3	229	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	44	152
+	39	155
+	42	156
+	4	44	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	155
+	42	156
+	3	44	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	137
+	73	136
+	70	135
+	4	67	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	136
+	70	135
+	3	67	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	134
+	70	135
+	73	136
+	4	76	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	135
+	73	136
+	3	76	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	146
+	215	145
+	212	143
+	4	209	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	145
+	212	143
+	3	209	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	143
+	212	143
+	215	145
+	4	217	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	143
+	215	145
+	3	217	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	117
+	195	119
+	192	110
+	4	189	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	119
+	192	110
+	3	189	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	145
+	226	145
+	223	143
+	4	220	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	145
+	223	143
+	3	220	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	143
+	217	143
+	220	145
+	4	223	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	143
+	220	145
+	3	223	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	146
+	56	144
+	53	143
+	4	50	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	144
+	53	143
+	3	50	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	141
+	53	143
+	56	144
+	4	59	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	143
+	56	144
+	3	59	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	145
+	220	145
+	217	143
+	4	215	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	145
+	217	143
+	3	215	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	170
+	31	175
+	33	175
+	4	35	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	175
+	33	175
+	3	35	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	31	175
+	35	170
+	33	170
+	4	31	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	170
+	33	170
+	3	31	175	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	161
+	192	159
+	189	159
+	4	186	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	159
+	189	159
+	3	186	161	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	195	157
+	189	159
+	192	159
+	4	195	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	159
+	192	159
+	3	195	157	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	200	150
+	206	149
+	203	147
+	4	200	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	149
+	203	147
+	3	200	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	209	146
+	203	147
+	206	149
+	4	209	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	147
+	206	149
+	3	209	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	128
+	132	128
+	130	131
+	4	127	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	128
+	130	131
+	3	127	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	131
+	124	130
+	127	128
+	4	130	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	130
+	127	128
+	3	130	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	141
+	64	140
+	62	139
+	4	59	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	140
+	62	139
+	3	59	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	137
+	62	139
+	64	140
+	4	67	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	139
+	64	140
+	3	67	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	132
+	93	132
+	90	131
+	4	87	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	132
+	90	131
+	3	87	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	130
+	90	131
+	93	132
+	4	96	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	131
+	93	132
+	3	96	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	75
+	172	87
+	176	74
+	4	178	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	87
+	176	74
+	3	178	75	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	119
+	189	117
+	187	104
+	4	183	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	117
+	187	104
+	3	183	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	104
+	181	97
+	183	119
+	4	187	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	97
+	183	119
+	3	187	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	132
+	98	131
+	96	130
+	4	93	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	131
+	96	130
+	3	93	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	130
+	96	130
+	98	131
+	4	101	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	130
+	98	131
+	3	101	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	198	153
+	203	152
+	200	150
+	4	198	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	152
+	200	150
+	3	198	153	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	206	149
+	200	150
+	203	152
+	4	206	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	150
+	203	152
+	3	206	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	136
+	78	135
+	76	134
+	4	73	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	135
+	76	134
+	3	73	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	133
+	76	134
+	78	135
+	4	81	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	134
+	78	135
+	3	81	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	149
+	53	147
+	50	146
+	4	47	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	147
+	50	146
+	3	47	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	144
+	50	146
+	53	147
+	4	56	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	146
+	53	147
+	3	56	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	206	149
+	212	148
+	209	146
+	4	206	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	148
+	209	146
+	3	206	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	145
+	209	146
+	212	148
+	4	215	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	146
+	212	148
+	3	215	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	131
+	104	130
+	101	130
+	4	98	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	130
+	101	130
+	3	98	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	129
+	101	130
+	104	130
+	4	107	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	130
+	104	130
+	3	107	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	288	146
+	283	146
+	286	148
+	4	288	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	146
+	286	148
+	3	288	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	280	148
+	286	148
+	283	146
+	4	280	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	148
+	283	146
+	3	280	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	283	146
+	277	146
+	280	148
+	4	283	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	146
+	280	148
+	3	283	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	148
+	280	148
+	277	146
+	4	275	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	148
+	277	146
+	3	275	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	277	146
+	271	146
+	275	148
+	4	277	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	146
+	275	148
+	3	277	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	148
+	275	148
+	271	146
+	4	269	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	148
+	271	146
+	3	269	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	146
+	266	146
+	269	148
+	4	271	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	146
+	269	148
+	3	271	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	148
+	269	148
+	266	146
+	4	263	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	148
+	266	146
+	3	263	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	146
+	260	146
+	263	148
+	4	266	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	146
+	263	148
+	3	266	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	148
+	263	148
+	260	146
+	4	258	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	148
+	260	146
+	3	258	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	146
+	254	146
+	258	148
+	4	260	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	146
+	258	148
+	3	260	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	129
+	127	128
+	124	130
+	4	121	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	128
+	124	130
+	3	121	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	130
+	118	129
+	121	129
+	4	124	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	129
+	121	129
+	3	124	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	148
+	258	148
+	254	146
+	4	252	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	148
+	254	146
+	3	252	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	146
+	249	146
+	252	148
+	4	254	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	146
+	252	148
+	3	254	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	148
+	252	148
+	249	146
+	4	246	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	148
+	249	146
+	3	246	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	146
+	243	145
+	246	148
+	4	249	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	145
+	246	148
+	3	249	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	130
+	110	130
+	107	129
+	4	104	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	130
+	107	129
+	3	104	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	129
+	107	129
+	110	130
+	4	113	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	129
+	110	130
+	3	113	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	148
+	246	148
+	243	145
+	4	240	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	148
+	243	145
+	3	240	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	145
+	237	145
+	240	148
+	4	243	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	145
+	240	148
+	3	243	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	148
+	218	148
+	215	145
+	4	212	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	148
+	215	145
+	3	212	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	145
+	215	145
+	218	148
+	4	220	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	145
+	218	148
+	3	220	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	38	165
+	33	170
+	35	170
+	4	38	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	170
+	35	170
+	3	38	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	170
+	38	165
+	36	165
+	4	33	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	165
+	36	165
+	3	33	170	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	195	157
+	201	155
+	198	153
+	4	195	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	155
+	198	153
+	3	195	157	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	203	152
+	198	153
+	201	155
+	4	203	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	153
+	201	155
+	3	203	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	147
+	240	148
+	237	145
+	4	235	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	148
+	237	145
+	3	235	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	145
+	232	145
+	235	147
+	4	237	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	145
+	235	147
+	3	237	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	140
+	70	138
+	67	137
+	4	64	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	138
+	67	137
+	3	64	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	136
+	67	137
+	70	138
+	4	73	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	137
+	70	138
+	3	73	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	147
+	235	147
+	232	145
+	4	229	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	147
+	232	145
+	3	229	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	145
+	226	145
+	229	147
+	4	232	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	145
+	229	147
+	3	232	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	218	148
+	223	148
+	220	145
+	4	218	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	148
+	220	145
+	3	218	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	145
+	220	145
+	223	148
+	4	226	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	145
+	223	148
+	3	226	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	148
+	229	147
+	226	145
+	4	223	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	147
+	226	145
+	3	223	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	130
+	115	129
+	113	129
+	4	110	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	129
+	113	129
+	3	110	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	129
+	113	129
+	115	129
+	4	118	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	129
+	115	129
+	3	118	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	129
+	121	129
+	118	129
+	4	115	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	129
+	118	129
+	3	115	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	144
+	61	142
+	59	141
+	4	56	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	142
+	59	141
+	3	56	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	140
+	59	141
+	61	142
+	4	64	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	141
+	61	142
+	3	64	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	110
+	187	104
+	189	117
+	4	192	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	104
+	189	117
+	3	192	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	184	163
+	189	161
+	186	161
+	4	184	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	161
+	186	161
+	3	184	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	159
+	186	161
+	189	161
+	4	192	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	161
+	189	161
+	3	192	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	89
+	194	61
+	196	82
+	4	198	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	61
+	196	82
+	3	198	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	61
+	198	89
+	197	54
+	4	194	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	89
+	197	54
+	3	194	61	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	105
+	193	95
+	195	106
+	4	198	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	95
+	195	106
+	3	198	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	95
+	198	105
+	195	94
+	4	193	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	105
+	195	94
+	3	193	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	135
+	84	134
+	81	133
+	4	78	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	134
+	81	133
+	3	78	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	132
+	81	133
+	84	134
+	4	87	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	133
+	84	134
+	3	87	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	44	152
+	50	150
+	47	149
+	4	44	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	150
+	47	149
+	3	44	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	147
+	47	149
+	50	150
+	4	53	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	149
+	50	150
+	3	53	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	155
+	167	162
+	164	161
+	4	161	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	162
+	164	161
+	3	161	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	161
+	158	151
+	161	155
+	4	164	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	151
+	161	155
+	3	164	161	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	203	152
+	209	151
+	206	149
+	4	203	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	151
+	206	149
+	3	203	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	212	148
+	206	149
+	209	151
+	4	212	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	149
+	209	151
+	3	212	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	41	161
+	36	165
+	38	165
+	4	41	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	165
+	38	165
+	3	41	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	36	165
+	41	161
+	39	160
+	4	36	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	161
+	39	160
+	3	36	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	192	159
+	198	157
+	195	157
+	4	192	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	157
+	195	157
+	3	192	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	201	155
+	195	157
+	198	157
+	4	201	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	157
+	198	157
+	3	201	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	42	156
+	47	153
+	44	152
+	4	42	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	153
+	44	152
+	3	42	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	50	150
+	44	152
+	47	153
+	4	50	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	152
+	47	153
+	3	50	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	134
+	90	133
+	87	132
+	4	84	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	133
+	87	132
+	3	84	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	132
+	87	132
+	90	133
+	4	93	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	132
+	90	133
+	3	93	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	96
+	193	82
+	195	94
+	4	198	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	82
+	195	94
+	3	198	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	82
+	198	96
+	196	82
+	4	193	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	96
+	196	82
+	3	193	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	138
+	75	137
+	73	136
+	4	70	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	137
+	73	136
+	3	70	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	135
+	73	136
+	75	137
+	4	78	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	136
+	75	137
+	3	78	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	44	157
+	39	160
+	41	161
+	4	44	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	160
+	41	161
+	3	44	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	39	160
+	44	157
+	42	156
+	4	39	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	157
+	42	156
+	3	39	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	153
+	42	156
+	44	157
+	4	47	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	156
+	44	157
+	3	47	153	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	209	151
+	215	150
+	212	148
+	4	209	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	150
+	212	148
+	3	209	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	218	148
+	212	148
+	215	150
+	4	218	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	148
+	215	150
+	3	218	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	164
+	181	164
+	178	164
+	4	175	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	164
+	178	164
+	3	175	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	163
+	178	164
+	181	164
+	4	184	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	164
+	181	164
+	3	184	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	164
+	172	164
+	175	164
+	4	178	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	164
+	175	164
+	3	178	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	162
+	175	164
+	172	164
+	4	170	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	164
+	172	164
+	3	170	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	164
+	167	162
+	170	162
+	4	172	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	162
+	170	162
+	3	172	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	147
+	58	145
+	56	144
+	4	53	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	145
+	56	144
+	3	53	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	142
+	56	144
+	58	145
+	4	61	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	144
+	58	145
+	3	61	142	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	201	155
+	207	153
+	203	152
+	4	201	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	153
+	203	152
+	3	201	155	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	151
+	203	152
+	207	153
+	4	209	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	152
+	207	153
+	3	209	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	133
+	95	132
+	93	132
+	4	90	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	132
+	93	132
+	3	90	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	131
+	93	132
+	95	132
+	4	98	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	132
+	95	132
+	3	98	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	150
+	221	150
+	218	148
+	4	215	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	150
+	218	148
+	3	215	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	223	148
+	218	148
+	221	150
+	4	223	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	148
+	221	150
+	3	223	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	142
+	67	140
+	64	140
+	4	61	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	140
+	64	140
+	3	61	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	138
+	64	140
+	67	140
+	4	70	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	140
+	67	140
+	3	70	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	286	148
+	280	148
+	284	150
+	4	286	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	148
+	284	150
+	3	286	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	278	150
+	284	150
+	280	148
+	4	278	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	150
+	280	148
+	3	278	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	280	148
+	275	148
+	278	150
+	4	280	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	148
+	278	150
+	3	280	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	272	150
+	278	150
+	275	148
+	4	272	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	150
+	275	148
+	3	272	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	148
+	269	148
+	272	150
+	4	275	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	148
+	272	150
+	3	275	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	266	150
+	272	150
+	269	148
+	4	266	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	150
+	269	148
+	3	266	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	148
+	263	148
+	266	150
+	4	269	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	148
+	266	150
+	3	269	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	150
+	266	150
+	263	148
+	4	261	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	150
+	263	148
+	3	261	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	148
+	258	148
+	261	150
+	4	263	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	148
+	261	150
+	3	263	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	150
+	261	150
+	258	148
+	4	255	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	150
+	258	148
+	3	255	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	148
+	252	148
+	255	150
+	4	258	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	148
+	255	150
+	3	258	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	150
+	255	150
+	252	148
+	4	249	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	150
+	252	148
+	3	249	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	148
+	246	148
+	249	150
+	4	252	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	148
+	249	150
+	3	252	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	150
+	249	150
+	246	148
+	4	244	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	150
+	246	148
+	3	244	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	148
+	240	148
+	244	150
+	4	246	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	148
+	244	150
+	3	246	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	150
+	244	150
+	240	148
+	4	238	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	150
+	240	148
+	3	238	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	148
+	235	147
+	238	150
+	4	240	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	147
+	238	150
+	3	240	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	150
+	226	150
+	223	148
+	4	221	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	150
+	223	148
+	3	221	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	147
+	223	148
+	226	150
+	4	229	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	148
+	226	150
+	3	229	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	150
+	238	150
+	235	147
+	4	232	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	150
+	235	147
+	3	232	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	147
+	229	147
+	232	150
+	4	235	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	147
+	232	150
+	3	235	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	150
+	232	150
+	229	147
+	4	226	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	150
+	229	147
+	3	226	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	38	170
+	33	175
+	35	175
+	4	38	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	175
+	35	175
+	3	38	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	33	175
+	38	170
+	35	170
+	4	33	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	170
+	35	170
+	3	33	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	132
+	101	132
+	98	131
+	4	95	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	132
+	98	131
+	3	95	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	130
+	98	131
+	101	132
+	4	104	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	131
+	101	132
+	3	104	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	161
+	195	160
+	192	159
+	4	189	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	160
+	192	159
+	3	189	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	157
+	192	159
+	195	160
+	4	198	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	159
+	195	160
+	3	198	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	137
+	81	136
+	78	135
+	4	75	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	136
+	78	135
+	3	75	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	134
+	78	135
+	81	136
+	4	84	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	135
+	81	136
+	3	84	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	74
+	188	58
+	184	75
+	4	181	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	58
+	184	75
+	3	181	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	51
+	184	75
+	188	58
+	4	191	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	75
+	188	58
+	3	191	51	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	164
+	187	163
+	184	163
+	4	181	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	163
+	184	163
+	3	181	164	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	189	161
+	184	163
+	187	163
+	4	189	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	163
+	187	163
+	3	189	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	150
+	55	147
+	53	147
+	4	50	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	147
+	53	147
+	3	50	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	145
+	53	147
+	55	147
+	4	58	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	147
+	55	147
+	3	58	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	207	153
+	212	153
+	209	151
+	4	207	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	153
+	209	151
+	3	207	153	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	150
+	209	151
+	212	153
+	4	215	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	151
+	212	153
+	3	215	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	106
+	190	98
+	192	110
+	4	195	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	98
+	192	110
+	3	195	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	98
+	195	106
+	193	95
+	4	190	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	106
+	193	95
+	3	190	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	157
+	204	156
+	201	155
+	4	198	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	156
+	201	155
+	3	198	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	207	153
+	201	155
+	204	156
+	4	207	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	155
+	204	156
+	3	207	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	132
+	107	131
+	104	130
+	4	101	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	131
+	104	130
+	3	101	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	130
+	104	130
+	107	131
+	4	110	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	130
+	107	131
+	3	110	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	121
+	141	114
+	138	130
+	4	135	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	138	130
+	3	135	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	130
+	132	128
+	135	121
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	128
+	135	121
+	3	138	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	104
+	192	110
+	190	98
+	4	187	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	110
+	190	98
+	3	187	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	140
+	72	139
+	70	138
+	4	67	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	139
+	70	138
+	3	67	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	137
+	70	138
+	72	139
+	4	75	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	138
+	72	139
+	3	75	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	212	153
+	218	152
+	215	150
+	4	212	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	152
+	215	150
+	3	212	153	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	150
+	215	150
+	218	152
+	4	221	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	150
+	218	152
+	3	221	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	136
+	86	135
+	84	134
+	4	81	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	135
+	84	134
+	3	81	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	133
+	84	134
+	86	135
+	4	90	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	134
+	86	135
+	3	90	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	131
+	112	130
+	110	130
+	4	107	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	130
+	110	130
+	3	107	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	129
+	110	130
+	112	130
+	4	115	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	130
+	112	130
+	3	115	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	145
+	64	143
+	61	142
+	4	58	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	143
+	61	142
+	3	58	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	140
+	61	142
+	64	143
+	4	67	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	142
+	64	143
+	3	67	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	153
+	52	150
+	50	150
+	4	47	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	150
+	50	150
+	3	47	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	147
+	50	150
+	52	150
+	4	55	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	150
+	52	150
+	3	55	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	218	152
+	224	152
+	221	150
+	4	218	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	152
+	221	150
+	3	218	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	150
+	221	150
+	224	152
+	4	226	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	150
+	224	152
+	3	226	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	40	165
+	35	170
+	38	170
+	4	40	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	170
+	38	170
+	3	40	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	170
+	40	165
+	38	165
+	4	35	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	165
+	38	165
+	3	35	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	284	150
+	278	150
+	281	152
+	4	284	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	150
+	281	152
+	3	284	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	152
+	281	152
+	278	150
+	4	275	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	152
+	278	150
+	3	275	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	278	150
+	272	150
+	275	152
+	4	278	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	150
+	275	152
+	3	278	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	152
+	275	152
+	272	150
+	4	270	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	152
+	272	150
+	3	270	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	272	150
+	266	150
+	270	152
+	4	272	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	150
+	270	152
+	3	272	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	152
+	270	152
+	266	150
+	4	264	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	152
+	266	150
+	3	264	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	150
+	261	150
+	264	152
+	4	266	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	150
+	264	152
+	3	266	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	152
+	230	152
+	226	150
+	4	224	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	152
+	226	150
+	3	224	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	232	150
+	226	150
+	230	152
+	4	232	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	150
+	230	152
+	3	232	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	152
+	264	152
+	261	150
+	4	258	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	152
+	261	150
+	3	258	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	150
+	255	150
+	258	152
+	4	261	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	150
+	258	152
+	3	261	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	152
+	258	152
+	255	150
+	4	252	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	152
+	255	150
+	3	252	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	150
+	249	150
+	252	152
+	4	255	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	150
+	252	152
+	3	255	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	152
+	252	152
+	249	150
+	4	247	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	152
+	249	150
+	3	247	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	150
+	244	150
+	247	152
+	4	249	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	150
+	247	152
+	3	249	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	152
+	247	152
+	244	150
+	4	241	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	152
+	244	150
+	3	241	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	150
+	238	150
+	241	152
+	4	244	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	150
+	241	152
+	3	244	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	152
+	235	152
+	232	150
+	4	230	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	152
+	232	150
+	3	230	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	150
+	232	150
+	235	152
+	4	238	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	150
+	235	152
+	3	238	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	130
+	118	129
+	115	129
+	4	112	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	129
+	115	129
+	3	112	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	129
+	115	129
+	118	129
+	4	121	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	129
+	118	129
+	3	121	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	152
+	241	152
+	238	150
+	4	235	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	152
+	238	150
+	3	235	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	158
+	170	162
+	167	162
+	4	164	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	162
+	167	162
+	3	164	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	162
+	161	155
+	164	158
+	4	167	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	155
+	164	158
+	3	167	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	156
+	210	155
+	207	153
+	4	204	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	155
+	207	153
+	3	204	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	212	153
+	207	153
+	210	155
+	4	212	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	153
+	210	155
+	3	212	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	160
+	201	159
+	198	157
+	4	195	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	159
+	198	157
+	3	195	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	156
+	198	157
+	201	159
+	4	204	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	157
+	201	159
+	3	204	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	135
+	92	134
+	90	133
+	4	86	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	134
+	90	133
+	3	86	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	132
+	90	133
+	92	134
+	4	95	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	133
+	92	134
+	3	95	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	163
+	193	162
+	189	161
+	4	187	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	162
+	189	161
+	3	187	163	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	195	160
+	189	161
+	193	162
+	4	195	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	161
+	193	162
+	3	195	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	44	157
+	49	154
+	47	153
+	4	44	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	154
+	47	153
+	3	44	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	150
+	47	153
+	49	154
+	4	52	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	153
+	49	154
+	3	52	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	129
+	124	127
+	121	129
+	4	118	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	121	129
+	3	118	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	128
+	121	129
+	124	127
+	4	127	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	129
+	124	127
+	3	127	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	139
+	78	138
+	75	137
+	4	72	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	138
+	75	137
+	3	72	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	136
+	75	137
+	78	138
+	4	81	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	137
+	78	138
+	3	81	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	161
+	38	165
+	40	165
+	4	43	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	165
+	40	165
+	3	43	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	38	165
+	43	161
+	41	161
+	4	38	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	161
+	41	161
+	3	38	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	147
+	60	145
+	58	145
+	4	55	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	145
+	58	145
+	3	55	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	143
+	58	145
+	60	145
+	4	64	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	145
+	60	145
+	3	64	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	41	161
+	46	157
+	44	157
+	4	41	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	157
+	44	157
+	3	41	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	154
+	44	157
+	46	157
+	4	49	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	157
+	46	157
+	3	49	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	210	155
+	215	155
+	212	153
+	4	210	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	155
+	212	153
+	3	210	155	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	218	152
+	212	153
+	215	155
+	4	218	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	153
+	215	155
+	3	218	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	134
+	98	133
+	95	132
+	4	92	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	133
+	95	132
+	3	92	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	132
+	95	132
+	98	133
+	4	101	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	132
+	98	133
+	3	101	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	46	157
+	41	161
+	43	161
+	4	46	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	161
+	43	161
+	3	46	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	143
+	69	141
+	67	140
+	4	64	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	141
+	67	140
+	3	64	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	139
+	67	140
+	69	141
+	4	72	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	140
+	69	141
+	3	72	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	127
+	129	125
+	127	128
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	125
+	127	128
+	3	124	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	128
+	127	128
+	129	125
+	4	132	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	128
+	129	125
+	3	132	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	125
+	135	121
+	132	128
+	4	129	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	121
+	132	128
+	3	129	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	155
+	221	154
+	218	152
+	4	215	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	154
+	218	152
+	3	215	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	152
+	218	152
+	221	154
+	4	224	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	152
+	221	154
+	3	224	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	159
+	207	158
+	204	156
+	4	201	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	158
+	204	156
+	3	201	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	155
+	204	156
+	207	158
+	4	210	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	156
+	207	158
+	3	210	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	138
+	83	137
+	81	136
+	4	78	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	137
+	81	136
+	3	78	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	135
+	81	136
+	83	137
+	4	86	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	136
+	83	137
+	3	86	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	133
+	103	132
+	101	132
+	4	98	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	132
+	101	132
+	3	98	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	131
+	101	132
+	103	132
+	4	107	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	132
+	103	132
+	3	107	131	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	154
+	227	154
+	224	152
+	4	221	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	154
+	224	152
+	3	221	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	230	152
+	224	152
+	227	154
+	4	230	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	152
+	227	154
+	3	230	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	163
+	178	165
+	175	164
+	4	173	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	165
+	175	164
+	3	173	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	164
+	175	164
+	178	165
+	4	181	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	164
+	178	165
+	3	181	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	164
+	170	162
+	173	163
+	4	175	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	162
+	173	163
+	3	175	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	165
+	184	164
+	181	164
+	4	178	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	164
+	181	164
+	3	178	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	163
+	181	164
+	184	164
+	4	187	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	164
+	184	164
+	3	187	163	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	193	162
+	198	161
+	195	160
+	4	193	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	161
+	195	160
+	3	193	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	159
+	195	160
+	198	161
+	4	201	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	160
+	198	161
+	3	201	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	227	154
+	233	154
+	230	152
+	4	227	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	154
+	230	152
+	3	227	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	235	152
+	230	152
+	233	154
+	4	235	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	152
+	233	154
+	3	235	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	152
+	275	152
+	279	154
+	4	281	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	152
+	279	154
+	3	281	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	154
+	279	154
+	275	152
+	4	273	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	154
+	275	152
+	3	273	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	275	152
+	270	152
+	273	154
+	4	275	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	152
+	273	154
+	3	275	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	154
+	273	154
+	270	152
+	4	267	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	154
+	270	152
+	3	267	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	152
+	264	152
+	267	154
+	4	270	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	152
+	267	154
+	3	270	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	154
+	267	154
+	264	152
+	4	261	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	154
+	264	152
+	3	261	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	152
+	258	152
+	261	154
+	4	264	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	152
+	261	154
+	3	264	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	154
+	238	154
+	235	152
+	4	233	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	154
+	235	152
+	3	233	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	152
+	235	152
+	238	154
+	4	241	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	152
+	238	154
+	3	241	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	256	154
+	261	154
+	258	152
+	4	256	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	154
+	258	152
+	3	256	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	258	152
+	252	152
+	256	154
+	4	258	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	152
+	256	154
+	3	258	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	154
+	256	154
+	252	152
+	4	250	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	154
+	252	152
+	3	250	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	252	152
+	247	152
+	250	154
+	4	252	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	152
+	250	154
+	3	252	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	154
+	244	154
+	241	152
+	4	238	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	154
+	241	152
+	3	238	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	152
+	241	152
+	244	154
+	4	247	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	152
+	244	154
+	3	247	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	154
+	250	154
+	247	152
+	4	244	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	154
+	247	152
+	3	244	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	150
+	57	148
+	55	147
+	4	52	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	148
+	55	147
+	3	52	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	145
+	55	147
+	57	148
+	4	60	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	147
+	57	148
+	3	60	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	132
+	109	131
+	107	131
+	4	103	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	131
+	107	131
+	3	103	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	130
+	107	131
+	109	131
+	4	112	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	131
+	109	131
+	3	112	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	75
+	185	65
+	181	74
+	4	178	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	65
+	181	74
+	3	178	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	58
+	181	74
+	185	65
+	4	188	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	74
+	185	65
+	3	188	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	94
+	190	82
+	193	95
+	4	195	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	82
+	193	95
+	3	195	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	82
+	195	94
+	193	82
+	4	190	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	94
+	193	82
+	3	190	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	158
+	213	157
+	210	155
+	4	207	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	157
+	210	155
+	3	207	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	155
+	210	155
+	213	157
+	4	215	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	155
+	213	157
+	3	215	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	141
+	75	140
+	72	139
+	4	69	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	140
+	72	139
+	3	69	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	138
+	72	139
+	75	140
+	4	78	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	139
+	75	140
+	3	78	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	137
+	89	136
+	86	135
+	4	83	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	136
+	86	135
+	3	83	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	134
+	86	135
+	89	136
+	4	92	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	135
+	89	136
+	3	92	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	164
+	190	164
+	187	163
+	4	184	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	164
+	187	163
+	3	184	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	193	162
+	187	163
+	190	164
+	4	193	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	163
+	190	164
+	3	193	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	145
+	66	143
+	64	143
+	4	60	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	143
+	64	143
+	3	60	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	141
+	64	143
+	66	143
+	4	69	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	143
+	66	143
+	3	69	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	169
+	35	175
+	37	174
+	4	40	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	175
+	37	174
+	3	40	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	175
+	40	169
+	38	170
+	4	35	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	169
+	38	170
+	3	35	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	46
+	170	90
+	175	28
+	4	177	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	90
+	175	28
+	3	177	46	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	170	90
+	177	46
+	173	75
+	4	170	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	46
+	173	75
+	3	170	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	161
+	204	160
+	201	159
+	4	198	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	160
+	201	159
+	3	198	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	158
+	201	159
+	204	160
+	4	207	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	159
+	204	160
+	3	207	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	157
+	219	157
+	215	155
+	4	213	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	157
+	215	155
+	3	213	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	154
+	215	155
+	219	157
+	4	221	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	155
+	219	157
+	3	221	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	131
+	115	130
+	112	130
+	4	109	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	130
+	112	130
+	3	109	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	129
+	112	130
+	115	130
+	4	118	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	130
+	115	130
+	3	118	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	154
+	54	151
+	52	150
+	4	49	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	52	150
+	3	49	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	148
+	52	150
+	54	151
+	4	57	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	150
+	54	151
+	3	57	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	161
+	173	163
+	170	162
+	4	167	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	163
+	170	162
+	3	167	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	162
+	164	158
+	167	161
+	4	170	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	158
+	167	161
+	3	170	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	136
+	95	135
+	92	134
+	4	89	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	135
+	92	134
+	3	89	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	133
+	92	134
+	95	135
+	4	98	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	134
+	95	135
+	3	98	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	157
+	224	156
+	221	154
+	4	219	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	156
+	221	154
+	3	219	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	227	154
+	221	154
+	224	156
+	4	227	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	154
+	224	156
+	3	227	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	156
+	230	156
+	227	154
+	4	224	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	156
+	227	154
+	3	224	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	154
+	227	154
+	230	156
+	4	233	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	154
+	230	156
+	3	233	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	164
+	196	163
+	193	162
+	4	190	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	163
+	193	162
+	3	190	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	161
+	193	162
+	196	163
+	4	198	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	162
+	196	163
+	3	198	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	140
+	80	138
+	78	138
+	4	75	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	138
+	78	138
+	3	75	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	137
+	78	138
+	80	138
+	4	83	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	138
+	80	138
+	3	83	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	230	156
+	236	156
+	233	154
+	4	230	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	156
+	233	154
+	3	230	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	238	154
+	233	154
+	236	156
+	4	238	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	154
+	236	156
+	3	238	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	236	156
+	242	156
+	238	154
+	4	236	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	156
+	238	154
+	3	236	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	154
+	238	154
+	242	156
+	4	244	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	154
+	242	156
+	3	244	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	154
+	273	154
+	276	156
+	4	279	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	154
+	276	156
+	3	279	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	156
+	276	156
+	273	154
+	4	270	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	156
+	273	154
+	3	270	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	154
+	267	154
+	270	156
+	4	273	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	154
+	270	156
+	3	273	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	156
+	247	156
+	244	154
+	4	242	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	156
+	244	154
+	3	242	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	154
+	244	154
+	247	156
+	4	250	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	154
+	247	156
+	3	250	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	265	156
+	270	156
+	267	154
+	4	265	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	156
+	267	154
+	3	265	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	267	154
+	261	154
+	265	156
+	4	267	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	154
+	265	156
+	3	267	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	259	156
+	265	156
+	261	154
+	4	259	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	156
+	261	154
+	3	259	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	154
+	256	154
+	259	156
+	4	261	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	154
+	259	156
+	3	261	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	253	156
+	259	156
+	256	154
+	4	253	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	156
+	256	154
+	3	253	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	256	154
+	250	154
+	253	156
+	4	256	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	154
+	253	156
+	3	256	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	156
+	253	156
+	250	154
+	4	247	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	156
+	250	154
+	3	247	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	160
+	210	159
+	207	158
+	4	204	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	159
+	207	158
+	3	204	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	157
+	207	158
+	210	159
+	4	213	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	158
+	210	159
+	3	213	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	46	157
+	51	154
+	49	154
+	4	46	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	154
+	49	154
+	3	46	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	151
+	49	154
+	51	154
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	154
+	51	154
+	3	54	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	42	165
+	38	170
+	40	169
+	4	42	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	170
+	40	169
+	3	42	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	38	170
+	42	165
+	40	165
+	4	38	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	165
+	40	165
+	3	38	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	130
+	121	128
+	118	129
+	4	115	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	128
+	118	129
+	3	115	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	127
+	118	129
+	121	128
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	129
+	121	128
+	3	124	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	135
+	100	134
+	98	133
+	4	95	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	134
+	98	133
+	3	95	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	132
+	98	133
+	100	134
+	4	103	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	133
+	100	134
+	3	103	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	148
+	63	146
+	60	145
+	4	57	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	146
+	60	145
+	3	57	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	143
+	60	145
+	63	146
+	4	66	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	145
+	63	146
+	3	66	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	143
+	72	142
+	69	141
+	4	66	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	142
+	69	141
+	3	66	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	140
+	69	141
+	72	142
+	4	75	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	141
+	72	142
+	3	75	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	97
+	187	104
+	185	83
+	4	181	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	104
+	185	83
+	3	181	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	98
+	185	83
+	187	104
+	4	190	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	83
+	187	104
+	3	190	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	161
+	48	157
+	46	157
+	4	43	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	157
+	46	157
+	3	43	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	154
+	46	157
+	48	157
+	4	51	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	157
+	48	157
+	3	51	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	210	159
+	216	159
+	213	157
+	4	210	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	159
+	213	157
+	3	210	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	157
+	213	157
+	216	159
+	4	219	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	157
+	216	159
+	3	219	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	161
+	40	165
+	42	165
+	4	45	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	165
+	42	165
+	3	45	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	165
+	45	161
+	43	161
+	4	40	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	161
+	43	161
+	3	40	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	163
+	201	162
+	198	161
+	4	196	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	162
+	198	161
+	3	196	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	160
+	198	161
+	201	162
+	4	204	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	161
+	201	162
+	3	204	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	138
+	86	137
+	83	137
+	4	80	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	137
+	83	137
+	3	80	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	136
+	83	137
+	86	137
+	4	89	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	137
+	86	137
+	3	89	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	48	157
+	43	161
+	45	161
+	4	48	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	161
+	45	161
+	3	48	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	134
+	106	133
+	103	132
+	4	100	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	133
+	103	132
+	3	100	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	131
+	103	132
+	106	133
+	4	109	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	132
+	106	133
+	3	109	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	159
+	222	158
+	219	157
+	4	216	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	158
+	219	157
+	3	216	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	156
+	219	157
+	222	158
+	4	224	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	157
+	222	158
+	3	224	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	165
+	181	165
+	178	165
+	4	176	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	165
+	178	165
+	3	176	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	164
+	178	165
+	181	165
+	4	184	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	165
+	181	165
+	3	184	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	165
+	173	163
+	176	165
+	4	178	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	163
+	176	165
+	3	178	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	165
+	187	165
+	184	164
+	4	181	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	165
+	184	164
+	3	181	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	164
+	184	164
+	187	165
+	4	190	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	164
+	187	165
+	3	190	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	158
+	227	158
+	224	156
+	4	222	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	158
+	224	156
+	3	222	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	156
+	224	156
+	227	158
+	4	230	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	156
+	227	158
+	3	230	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	95
+	188	81
+	190	98
+	4	193	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	81
+	190	98
+	3	193	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	81
+	193	95
+	190	82
+	4	188	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	95
+	190	82
+	3	188	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	227	158
+	233	158
+	230	156
+	4	227	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	158
+	230	156
+	3	227	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	156
+	230	156
+	233	158
+	4	236	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	156
+	233	158
+	3	236	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	162
+	207	162
+	204	160
+	4	201	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	162
+	204	160
+	3	201	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	159
+	204	160
+	207	162
+	4	210	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	160
+	207	162
+	3	210	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	128
+	126	125
+	124	127
+	4	121	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	125
+	124	127
+	3	121	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	125
+	124	127
+	126	125
+	4	129	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	126	125
+	3	129	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	151
+	60	148
+	57	148
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	148
+	57	148
+	3	54	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	146
+	57	148
+	60	148
+	4	63	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	148
+	60	148
+	3	63	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	158
+	239	158
+	236	156
+	4	233	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	158
+	236	156
+	3	233	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	242	156
+	236	156
+	239	158
+	4	242	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	156
+	239	158
+	3	242	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	74
+	182	66
+	178	75
+	4	176	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	66
+	178	75
+	3	176	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	65
+	178	75
+	182	66
+	4	185	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	75
+	182	66
+	3	185	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	137
+	92	136
+	89	136
+	4	86	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	136
+	89	136
+	3	86	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	135
+	89	136
+	92	136
+	4	95	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	136
+	92	136
+	3	95	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	239	158
+	245	158
+	242	156
+	4	239	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	158
+	242	156
+	3	239	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	247	156
+	242	156
+	245	158
+	4	247	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	156
+	245	158
+	3	247	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	245	158
+	251	158
+	247	156
+	4	245	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	158
+	247	156
+	3	245	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	253	156
+	247	156
+	251	158
+	4	253	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	156
+	251	158
+	3	253	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	142
+	77	140
+	75	140
+	4	72	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	140
+	75	140
+	3	72	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	138
+	75	140
+	77	140
+	4	80	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	140
+	77	140
+	3	80	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	251	158
+	256	158
+	253	156
+	4	251	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	158
+	253	156
+	3	251	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	259	156
+	253	156
+	256	158
+	4	259	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	156
+	256	158
+	3	259	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	276	156
+	270	156
+	274	158
+	4	276	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	156
+	274	158
+	3	276	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	268	158
+	274	158
+	270	156
+	4	268	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	158
+	270	156
+	3	268	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	270	156
+	265	156
+	268	158
+	4	270	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	156
+	268	158
+	3	270	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	256	158
+	262	158
+	259	156
+	4	256	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	158
+	259	156
+	3	256	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	265	156
+	259	156
+	262	158
+	4	265	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	156
+	262	158
+	3	265	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	262	158
+	268	158
+	265	156
+	4	262	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	158
+	265	156
+	3	262	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	165
+	193	165
+	190	164
+	4	187	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	165
+	190	164
+	3	187	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	163
+	190	164
+	193	165
+	4	196	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	164
+	193	165
+	3	196	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	133
+	112	131
+	109	131
+	4	106	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	131
+	109	131
+	3	106	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	130
+	109	131
+	112	131
+	4	115	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	131
+	112	131
+	3	115	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	146
+	68	144
+	66	143
+	4	63	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	144
+	66	143
+	3	63	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	142
+	66	143
+	68	144
+	4	72	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	143
+	68	144
+	3	72	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	151
+	164	158
+	161	155
+	4	158	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	158
+	161	155
+	3	158	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	155
+	155	144
+	158	151
+	4	161	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	144
+	158	151
+	3	161	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	144
+	161	155
+	158	151
+	4	155	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	155
+	158	151
+	3	155	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	163
+	176	165
+	173	163
+	4	170	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	165
+	173	163
+	3	170	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	163
+	167	161
+	170	163
+	4	173	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	161
+	170	163
+	3	173	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	162
+	213	161
+	210	159
+	4	207	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	161
+	210	159
+	3	207	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	159
+	210	159
+	213	161
+	4	216	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	159
+	213	161
+	3	216	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	82
+	191	69
+	193	82
+	4	196	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	69
+	193	82
+	3	196	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	69
+	196	82
+	194	61
+	4	191	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	82
+	194	61
+	3	191	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	136
+	97	135
+	95	135
+	4	92	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	135
+	95	135
+	3	92	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	134
+	95	135
+	97	135
+	4	100	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	135
+	97	135
+	3	100	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	151
+	152	133
+	155	144
+	4	158	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	133
+	155	144
+	3	158	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	133
+	158	151
+	155	142
+	4	152	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	151
+	155	142
+	3	152	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	165
+	199	164
+	196	163
+	4	193	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	164
+	196	163
+	3	193	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	162
+	196	163
+	199	164
+	4	201	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	163
+	199	164
+	3	201	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	83
+	190	98
+	188	81
+	4	185	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	98
+	188	81
+	3	185	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	161
+	219	161
+	216	159
+	4	213	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	161
+	216	159
+	3	213	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	158
+	216	159
+	219	161
+	4	222	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	159
+	219	161
+	3	222	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	154
+	57	151
+	54	151
+	4	51	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	151
+	54	151
+	3	51	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	148
+	54	151
+	57	151
+	4	60	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	57	151
+	3	60	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	140
+	83	139
+	80	138
+	4	77	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	139
+	80	138
+	3	77	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	137
+	80	138
+	83	139
+	4	86	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	138
+	83	139
+	3	86	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	131
+	118	129
+	115	130
+	4	112	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	129
+	115	130
+	3	112	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	128
+	115	130
+	118	129
+	4	121	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	130
+	118	129
+	3	121	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	161
+	225	160
+	222	158
+	4	219	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	160
+	222	158
+	3	219	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	158
+	222	158
+	225	160
+	4	227	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	158
+	225	160
+	3	227	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	156
+	167	161
+	164	158
+	4	161	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	161
+	164	158
+	3	161	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	158
+	158	151
+	161	156
+	4	164	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	151
+	161	156
+	3	164	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	160
+	231	160
+	227	158
+	4	225	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	160
+	227	158
+	3	225	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	158
+	227	158
+	231	160
+	4	233	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	158
+	231	160
+	3	233	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	135
+	103	134
+	100	134
+	4	97	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	134
+	100	134
+	3	97	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	133
+	100	134
+	103	134
+	4	106	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	134
+	103	134
+	3	106	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	164
+	205	164
+	201	162
+	4	199	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	164
+	201	162
+	3	199	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	162
+	201	162
+	205	164
+	4	207	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	162
+	205	164
+	3	207	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	231	160
+	236	160
+	233	158
+	4	231	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	160
+	233	158
+	3	231	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	158
+	233	158
+	236	160
+	4	239	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	158
+	236	160
+	3	239	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	160
+	242	160
+	239	158
+	4	236	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	160
+	239	158
+	3	236	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	245	158
+	239	158
+	242	160
+	4	245	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	158
+	242	160
+	3	245	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	160
+	248	160
+	245	158
+	4	242	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	160
+	245	158
+	3	242	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	251	158
+	245	158
+	248	160
+	4	251	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	158
+	248	160
+	3	251	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	248	160
+	254	160
+	251	158
+	4	248	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	160
+	251	158
+	3	248	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	256	158
+	251	158
+	254	160
+	4	256	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	158
+	254	160
+	3	256	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	254	160
+	260	160
+	256	158
+	4	254	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	160
+	256	158
+	3	254	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	262	158
+	256	158
+	260	160
+	4	262	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	158
+	260	160
+	3	262	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	160
+	265	160
+	262	158
+	4	260	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	160
+	262	158
+	3	260	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	268	158
+	262	158
+	265	160
+	4	268	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	158
+	265	160
+	3	268	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	265	160
+	271	160
+	268	158
+	4	265	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	160
+	268	158
+	3	265	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	274	158
+	268	158
+	271	160
+	4	274	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	158
+	271	160
+	3	274	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	144
+	74	142
+	72	142
+	4	68	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	142
+	72	142
+	3	68	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	140
+	72	142
+	74	142
+	4	77	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	142
+	74	142
+	3	77	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	148
+	65	146
+	63	146
+	4	60	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	146
+	63	146
+	3	60	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	144
+	63	146
+	65	146
+	4	68	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	146
+	65	146
+	3	68	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	157
+	54	154
+	51	154
+	4	48	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	154
+	51	154
+	3	48	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	57	151
+	51	154
+	54	154
+	4	57	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	154
+	54	154
+	3	57	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	139
+	88	138
+	86	137
+	4	83	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	138
+	86	137
+	3	83	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	136
+	86	137
+	88	138
+	4	92	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	137
+	88	138
+	3	92	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	168
+	37	174
+	39	172
+	4	41	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	174
+	39	172
+	3	41	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	174
+	41	168
+	40	169
+	4	37	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	168
+	40	169
+	3	37	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	125
+	132	119
+	129	125
+	4	126	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	119
+	129	125
+	3	126	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	121
+	129	125
+	132	119
+	4	135	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	125
+	132	119
+	3	135	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	164
+	210	163
+	207	162
+	4	205	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	163
+	207	162
+	3	205	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	161
+	207	162
+	210	163
+	4	213	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	162
+	210	163
+	3	213	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	134
+	109	133
+	106	133
+	4	103	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	133
+	106	133
+	3	103	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	131
+	106	133
+	109	133
+	4	112	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	133
+	109	133
+	3	112	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	166
+	184	167
+	181	165
+	4	179	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	167
+	181	165
+	3	179	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	165
+	181	165
+	184	167
+	4	187	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	165
+	184	167
+	3	187	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	165
+	176	165
+	179	166
+	4	181	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	165
+	179	166
+	3	181	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	167
+	190	167
+	187	165
+	4	184	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	167
+	187	165
+	3	184	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	165
+	187	165
+	190	167
+	4	193	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	165
+	190	167
+	3	193	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	163
+	216	163
+	213	161
+	4	210	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	163
+	213	161
+	3	210	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	161
+	213	161
+	216	163
+	4	219	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	161
+	216	163
+	3	219	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	161
+	50	157
+	48	157
+	4	45	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	157
+	48	157
+	3	45	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	154
+	48	157
+	50	157
+	4	54	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	157
+	50	157
+	3	54	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	167
+	196	166
+	193	165
+	4	190	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	166
+	193	165
+	3	190	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	164
+	193	165
+	196	166
+	4	199	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	165
+	196	166
+	3	199	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	164
+	40	169
+	41	168
+	4	44	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	169
+	41	168
+	3	44	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	169
+	44	164
+	42	165
+	4	40	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	164
+	42	165
+	3	40	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	138
+	94	137
+	92	136
+	4	88	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	137
+	92	136
+	3	88	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	135
+	92	136
+	94	137
+	4	97	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	136
+	94	137
+	3	97	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	129
+	123	126
+	121	128
+	4	118	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	126
+	121	128
+	3	118	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	125
+	121	128
+	123	126
+	4	126	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	128
+	123	126
+	3	126	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	163
+	222	163
+	219	161
+	4	216	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	163
+	219	161
+	3	216	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	160
+	219	161
+	222	163
+	4	225	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	161
+	222	163
+	3	225	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	159
+	170	163
+	167	161
+	4	164	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	163
+	167	161
+	3	164	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	161
+	161	156
+	164	159
+	4	167	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	156
+	164	159
+	3	167	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	142
+	80	141
+	77	140
+	4	74	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	141
+	77	140
+	3	74	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	139
+	77	140
+	80	141
+	4	83	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	140
+	80	141
+	3	83	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	165
+	47	160
+	45	161
+	4	42	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	160
+	45	161
+	3	42	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	157
+	45	161
+	47	160
+	4	50	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	161
+	47	160
+	3	50	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	165
+	179	166
+	176	165
+	4	173	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	166
+	176	165
+	3	173	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	165
+	170	163
+	173	165
+	4	176	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	163
+	173	165
+	3	176	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	160
+	42	165
+	44	164
+	4	47	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	165
+	44	164
+	3	47	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	163
+	228	163
+	225	160
+	4	222	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	163
+	225	160
+	3	222	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	160
+	225	160
+	228	163
+	4	231	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	160
+	228	163
+	3	231	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	151
+	62	148
+	60	148
+	4	57	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	148
+	60	148
+	3	57	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	146
+	60	148
+	62	148
+	4	65	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	148
+	62	148
+	3	65	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	166
+	202	166
+	199	164
+	4	196	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	166
+	199	164
+	3	196	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	164
+	199	164
+	202	166
+	4	205	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	164
+	202	166
+	3	205	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	163
+	234	162
+	231	160
+	4	228	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	162
+	231	160
+	3	228	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	236	160
+	231	160
+	234	162
+	4	236	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	160
+	234	162
+	3	236	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	162
+	240	162
+	236	160
+	4	234	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	162
+	236	160
+	3	234	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	160
+	236	160
+	240	162
+	4	242	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	160
+	240	162
+	3	242	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	240	162
+	245	162
+	242	160
+	4	240	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	162
+	242	160
+	3	240	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	248	160
+	242	160
+	245	162
+	4	248	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	160
+	245	162
+	3	248	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	146
+	71	144
+	68	144
+	4	65	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	144
+	68	144
+	3	65	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	142
+	68	144
+	71	144
+	4	74	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	144
+	71	144
+	3	74	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	245	162
+	251	162
+	248	160
+	4	245	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	162
+	248	160
+	3	245	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	160
+	248	160
+	251	162
+	4	254	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	160
+	251	162
+	3	254	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	75
+	179	60
+	176	74
+	4	173	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	60
+	176	74
+	3	173	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	66
+	176	74
+	179	60
+	4	182	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	74
+	179	60
+	3	182	66	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	251	162
+	257	162
+	254	160
+	4	251	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	162
+	254	160
+	3	251	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	260	160
+	254	160
+	257	162
+	4	260	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	160
+	257	162
+	3	260	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	257	162
+	263	162
+	260	160
+	4	257	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	162
+	260	160
+	3	257	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	265	160
+	260	160
+	263	162
+	4	265	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	160
+	263	162
+	3	265	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	263	162
+	269	162
+	265	160
+	4	263	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	162
+	265	160
+	3	263	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	271	160
+	265	160
+	269	162
+	4	271	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	160
+	269	162
+	3	271	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	133
+	114	131
+	112	131
+	4	109	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	131
+	112	131
+	3	109	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	129
+	112	131
+	114	131
+	4	118	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	131
+	114	131
+	3	118	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	137
+	100	136
+	97	135
+	4	94	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	136
+	97	135
+	3	94	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	134
+	97	135
+	100	136
+	4	103	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	135
+	100	136
+	3	103	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	166
+	208	166
+	205	164
+	4	202	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	166
+	205	164
+	3	202	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	210	163
+	205	164
+	208	166
+	4	210	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	164
+	208	166
+	3	210	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	82
+	188	70
+	190	82
+	4	193	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	70
+	190	82
+	3	193	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	70
+	193	82
+	191	69
+	4	188	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	82
+	191	69
+	3	188	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	141
+	85	140
+	83	139
+	4	80	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	140
+	83	139
+	3	80	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	138
+	83	139
+	85	140
+	4	88	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	139
+	85	140
+	3	88	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	166
+	214	165
+	210	163
+	4	208	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	165
+	210	163
+	3	208	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	163
+	210	163
+	214	165
+	4	216	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	163
+	214	165
+	3	216	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	154
+	59	151
+	57	151
+	4	54	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	151
+	57	151
+	3	54	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	148
+	57	151
+	59	151
+	4	62	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	151
+	59	151
+	3	62	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	136
+	106	135
+	103	134
+	4	100	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	135
+	103	134
+	3	100	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	133
+	103	134
+	106	135
+	4	109	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	134
+	106	135
+	3	109	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	165
+	219	165
+	216	163
+	4	214	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	165
+	216	163
+	3	214	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	163
+	216	163
+	219	165
+	4	222	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	163
+	219	165
+	3	222	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	142
+	149	113
+	152	133
+	4	155	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	152	133
+	3	155	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	113
+	155	142
+	152	122
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	142
+	152	122
+	3	149	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	83
+	181	32
+	181	97
+	4	185	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	32
+	181	97
+	3	185	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	165
+	225	165
+	222	163
+	4	219	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	165
+	222	163
+	3	219	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	163
+	222	163
+	225	165
+	4	228	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	163
+	225	165
+	3	228	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	162
+	173	165
+	170	163
+	4	167	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	165
+	170	163
+	3	167	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	163
+	164	159
+	167	162
+	4	170	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	159
+	167	162
+	3	170	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	144
+	76	143
+	74	142
+	4	71	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	143
+	74	142
+	3	71	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	141
+	74	142
+	76	143
+	4	80	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	142
+	76	143
+	3	80	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	140
+	91	139
+	88	138
+	4	85	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	139
+	88	138
+	3	85	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	137
+	88	138
+	91	139
+	4	94	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	138
+	91	139
+	3	94	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	165
+	231	165
+	228	163
+	4	225	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	165
+	228	163
+	3	225	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	162
+	228	163
+	231	165
+	4	234	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	163
+	231	165
+	3	234	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	168
+	193	168
+	190	167
+	4	187	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	168
+	190	167
+	3	187	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	166
+	190	167
+	193	168
+	4	196	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	167
+	193	168
+	3	196	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	167
+	184	167
+	187	168
+	4	190	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	167
+	187	168
+	3	190	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	168
+	187	168
+	184	167
+	4	182	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	168
+	184	167
+	3	182	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	167
+	179	166
+	182	168
+	4	184	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	166
+	182	168
+	3	184	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	165
+	237	164
+	234	162
+	4	231	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	164
+	234	162
+	3	231	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	240	162
+	234	162
+	237	164
+	4	240	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	162
+	237	164
+	3	240	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	148
+	68	146
+	65	146
+	4	62	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	146
+	65	146
+	3	62	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	144
+	65	146
+	68	146
+	4	71	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	146
+	68	146
+	3	71	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	237	164
+	243	164
+	240	162
+	4	237	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	164
+	240	162
+	3	237	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	245	162
+	240	162
+	243	164
+	4	245	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	162
+	243	164
+	3	245	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	131
+	120	128
+	118	129
+	4	114	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	128
+	118	129
+	3	114	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	126
+	118	129
+	120	128
+	4	123	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	129
+	120	128
+	3	123	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	243	164
+	249	164
+	245	162
+	4	243	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	164
+	245	162
+	3	243	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	251	162
+	245	162
+	249	164
+	4	251	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	162
+	249	164
+	3	251	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	168
+	199	168
+	196	166
+	4	193	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	168
+	196	166
+	3	193	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	166
+	196	166
+	199	168
+	4	202	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	166
+	199	168
+	3	202	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	249	164
+	254	164
+	251	162
+	4	249	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	164
+	251	162
+	3	249	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	257	162
+	251	162
+	254	164
+	4	257	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	162
+	254	164
+	3	257	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	164
+	260	164
+	257	162
+	4	254	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	164
+	257	162
+	3	254	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	263	162
+	257	162
+	260	164
+	4	263	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	162
+	260	164
+	3	263	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	164
+	266	164
+	263	162
+	4	260	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	164
+	263	162
+	3	260	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	269	162
+	263	162
+	266	164
+	4	269	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	162
+	266	164
+	3	269	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	166
+	182	168
+	179	166
+	4	176	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	168
+	179	166
+	3	176	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	166
+	173	165
+	176	166
+	4	179	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	165
+	176	166
+	3	179	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	126
+	129	121
+	126	125
+	4	123	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	121
+	126	125
+	3	123	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	119
+	126	125
+	129	121
+	4	132	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	125
+	129	121
+	3	132	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	168
+	205	168
+	202	166
+	4	199	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	168
+	202	166
+	3	199	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	166
+	202	166
+	205	168
+	4	208	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	166
+	205	168
+	3	208	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	157
+	56	153
+	54	154
+	4	50	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	153
+	54	154
+	3	50	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	151
+	54	154
+	56	153
+	4	59	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	154
+	56	153
+	3	59	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	60
+	173	75
+	177	46
+	4	179	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	75
+	177	46
+	3	179	60	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	119
+	137	104
+	135	121
+	4	132	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	104
+	135	121
+	3	132	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	114
+	135	121
+	137	104
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	121
+	137	104
+	3	141	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	135
+	111	133
+	109	133
+	4	106	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	133
+	109	133
+	3	106	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	131
+	109	133
+	111	133
+	4	114	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	133
+	111	133
+	3	114	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	139
+	97	138
+	94	137
+	4	91	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	138
+	94	137
+	3	91	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	136
+	94	137
+	97	138
+	4	100	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	137
+	97	138
+	3	100	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	168
+	211	167
+	208	166
+	4	205	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	167
+	208	166
+	3	205	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	165
+	208	166
+	211	167
+	4	214	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	166
+	211	167
+	3	214	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	143
+	82	141
+	80	141
+	4	76	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	141
+	80	141
+	3	76	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	140
+	80	141
+	82	141
+	4	85	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	141
+	82	141
+	3	85	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	167
+	217	167
+	214	165
+	4	211	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	167
+	214	165
+	3	211	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	165
+	214	165
+	217	167
+	4	219	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	165
+	217	167
+	3	219	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	167
+	223	167
+	219	165
+	4	217	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	167
+	219	165
+	3	217	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	165
+	219	165
+	223	167
+	4	225	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	165
+	223	167
+	3	225	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	160
+	53	156
+	50	157
+	4	47	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	156
+	50	157
+	3	47	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	153
+	50	157
+	53	156
+	4	56	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	157
+	53	156
+	3	56	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	138
+	103	136
+	100	136
+	4	97	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	136
+	100	136
+	3	97	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	135
+	100	136
+	103	136
+	4	106	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	136
+	103	136
+	3	106	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	167
+	228	167
+	225	165
+	4	223	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	167
+	225	165
+	3	223	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	165
+	225	165
+	228	167
+	4	231	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	165
+	228	167
+	3	231	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	151
+	64	148
+	62	148
+	4	59	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	148
+	62	148
+	3	59	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	146
+	62	148
+	64	148
+	4	68	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	148
+	64	148
+	3	68	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	146
+	73	144
+	71	144
+	4	68	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	71	144
+	3	68	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	143
+	71	144
+	73	144
+	4	76	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	144
+	73	144
+	3	76	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	165
+	176	166
+	173	165
+	4	170	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	166
+	173	165
+	3	170	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	165
+	167	162
+	170	165
+	4	173	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	162
+	170	165
+	3	173	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	167
+	234	167
+	231	165
+	4	228	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	167
+	231	165
+	3	228	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	237	164
+	231	165
+	234	167
+	4	237	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	165
+	234	167
+	3	237	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	167
+	240	167
+	237	164
+	4	234	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	167
+	237	164
+	3	234	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	243	164
+	237	164
+	240	167
+	4	243	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	164
+	240	167
+	3	243	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	167
+	246	166
+	243	164
+	4	240	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	166
+	243	164
+	3	240	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	249	164
+	243	164
+	246	166
+	4	249	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	164
+	246	166
+	3	249	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	82
+	185	64
+	188	81
+	4	190	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	64
+	188	81
+	3	190	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	64
+	190	82
+	188	70
+	4	185	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	82
+	188	70
+	3	185	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	141
+	88	140
+	85	140
+	4	82	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	140
+	85	140
+	3	82	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	139
+	85	140
+	88	140
+	4	91	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	140
+	88	140
+	3	91	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	246	166
+	252	166
+	249	164
+	4	246	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	166
+	249	164
+	3	246	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	254	164
+	249	164
+	252	166
+	4	254	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	164
+	252	166
+	3	254	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	252	166
+	258	166
+	254	164
+	4	252	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	166
+	254	164
+	3	252	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	164
+	254	164
+	258	166
+	4	260	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	164
+	258	166
+	3	260	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	258	166
+	264	166
+	260	164
+	4	258	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	166
+	260	164
+	3	258	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	266	164
+	260	164
+	264	166
+	4	266	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	164
+	264	166
+	3	266	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	133
+	117	131
+	114	131
+	4	111	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	131
+	114	131
+	3	111	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	128
+	114	131
+	117	131
+	4	120	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	131
+	117	131
+	3	120	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	164
+	49	159
+	47	160
+	4	44	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	159
+	47	160
+	3	44	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	156
+	47	160
+	49	159
+	4	53	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	160
+	49	159
+	3	53	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	166
+	39	172
+	40	170
+	4	43	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	172
+	40	170
+	3	43	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	172
+	43	166
+	41	168
+	4	39	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	166
+	41	168
+	3	39	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	66
+	188	61
+	185	65
+	4	182	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	61
+	185	65
+	3	182	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	47
+	185	65
+	188	61
+	4	191	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	65
+	188	61
+	3	191	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	65
+	191	47
+	188	58
+	4	185	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	47
+	188	58
+	3	185	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	154
+	164	159
+	161	156
+	4	158	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	159
+	161	156
+	3	158	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	156
+	155	149
+	158	154
+	4	161	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	149
+	158	154
+	3	161	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	149
+	161	156
+	158	151
+	4	155	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	156
+	158	151
+	3	155	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	170
+	196	170
+	193	168
+	4	191	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	170
+	193	168
+	3	191	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	168
+	193	168
+	196	170
+	4	199	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	168
+	196	170
+	3	199	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	168
+	187	168
+	191	170
+	4	193	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	168
+	191	170
+	3	193	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	169
+	191	170
+	187	168
+	4	185	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	170
+	187	168
+	3	185	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	168
+	182	168
+	185	169
+	4	187	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	168
+	185	169
+	3	187	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	170
+	202	170
+	199	168
+	4	196	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	170
+	199	168
+	3	196	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	168
+	199	168
+	202	170
+	4	205	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	168
+	202	170
+	3	205	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	168
+	46	162
+	44	164
+	4	41	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	162
+	44	164
+	3	41	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	159
+	44	164
+	46	162
+	4	49	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	164
+	46	162
+	3	49	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	136
+	108	135
+	106	135
+	4	103	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	135
+	106	135
+	3	103	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	133
+	106	135
+	108	135
+	4	111	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	135
+	108	135
+	3	111	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	162
+	41	168
+	43	166
+	4	46	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	168
+	43	166
+	3	46	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	170
+	208	169
+	205	168
+	4	202	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	169
+	205	168
+	3	202	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	167
+	205	168
+	208	169
+	4	211	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	168
+	208	169
+	3	211	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	168
+	185	169
+	182	168
+	4	179	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	169
+	182	168
+	3	179	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	168
+	176	166
+	179	168
+	4	182	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	166
+	179	168
+	3	182	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	151
+	152	141
+	155	149
+	4	158	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	141
+	155	149
+	3	158	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	141
+	158	151
+	155	144
+	4	152	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	151
+	155	144
+	3	152	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	128
+	126	124
+	123	126
+	4	120	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	124
+	123	126
+	3	120	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	121
+	123	126
+	126	124
+	4	129	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	126
+	126	124
+	3	129	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	140
+	94	139
+	91	139
+	4	88	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	139
+	91	139
+	3	88	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	138
+	91	139
+	94	139
+	4	97	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	139
+	94	139
+	3	97	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	158
+	167	162
+	164	159
+	4	161	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	162
+	164	159
+	3	161	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	159
+	158	154
+	161	158
+	4	164	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	154
+	161	158
+	3	164	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	144
+	79	143
+	76	143
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	143
+	76	143
+	3	73	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	141
+	76	143
+	79	143
+	4	82	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	143
+	79	143
+	3	82	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	169
+	214	169
+	211	167
+	4	208	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	169
+	211	167
+	3	208	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	167
+	211	167
+	214	169
+	4	217	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	167
+	214	169
+	3	217	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	153
+	61	150
+	59	151
+	4	56	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	150
+	59	151
+	3	56	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	148
+	59	151
+	61	150
+	4	64	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	151
+	61	150
+	3	64	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	169
+	220	169
+	217	167
+	4	214	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	169
+	217	167
+	3	214	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	167
+	217	167
+	220	169
+	4	223	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	167
+	220	169
+	3	223	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	169
+	226	169
+	223	167
+	4	220	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	169
+	223	167
+	3	220	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	228	167
+	223	167
+	226	169
+	4	228	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	167
+	226	169
+	3	228	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	148
+	70	146
+	68	146
+	4	64	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	146
+	68	146
+	3	64	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	144
+	68	146
+	70	146
+	4	73	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	146
+	70	146
+	3	73	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	169
+	232	169
+	228	167
+	4	226	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	169
+	228	167
+	3	226	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	167
+	228	167
+	232	169
+	4	234	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	167
+	232	169
+	3	234	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	169
+	238	169
+	234	167
+	4	232	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	169
+	234	167
+	3	232	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	167
+	234	167
+	238	169
+	4	240	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	167
+	238	169
+	3	240	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	169
+	243	169
+	240	167
+	4	238	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	169
+	240	167
+	3	238	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	246	166
+	240	167
+	243	169
+	4	246	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	167
+	243	169
+	3	246	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	139
+	99	138
+	97	138
+	4	94	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	138
+	97	138
+	3	94	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	136
+	97	138
+	99	138
+	4	103	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	138
+	99	138
+	3	103	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	169
+	249	169
+	246	166
+	4	243	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	169
+	246	166
+	3	243	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	252	166
+	246	166
+	249	169
+	4	252	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	166
+	249	169
+	3	252	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	167
+	179	168
+	176	166
+	4	173	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	168
+	176	166
+	3	173	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	166
+	170	165
+	173	167
+	4	176	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	165
+	173	167
+	3	176	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	249	169
+	255	169
+	252	166
+	4	249	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	169
+	252	166
+	3	249	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	258	166
+	252	166
+	255	169
+	4	258	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	166
+	255	169
+	3	258	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	255	169
+	261	169
+	258	166
+	4	255	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	169
+	258	166
+	3	255	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	264	166
+	258	166
+	261	169
+	4	264	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	166
+	261	169
+	3	264	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	135
+	114	133
+	111	133
+	4	108	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	133
+	111	133
+	3	108	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	131
+	111	133
+	114	133
+	4	117	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	133
+	114	133
+	3	117	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	162
+	170	165
+	167	162
+	4	164	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	165
+	167	162
+	3	164	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	162
+	161	158
+	164	162
+	4	167	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	158
+	164	162
+	3	167	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	143
+	85	142
+	82	141
+	4	79	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	142
+	82	141
+	3	79	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	140
+	82	141
+	85	142
+	4	88	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	141
+	85	142
+	3	88	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	131
+	123	127
+	120	128
+	4	117	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	127
+	120	128
+	3	117	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	124
+	120	128
+	123	127
+	4	126	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	128
+	123	127
+	3	126	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	156
+	58	153
+	56	153
+	4	53	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	153
+	56	153
+	3	53	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	150
+	56	153
+	58	153
+	4	61	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	153
+	58	153
+	3	61	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	11
+	188	58
+	191	47
+	4	196	11	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	58
+	191	47
+	3	196	11	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	58
+	196	11
+	191	51
+	4	188	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	11
+	191	51
+	3	188	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	171
+	199	171
+	196	170
+	4	194	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	171
+	196	170
+	3	194	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	170
+	196	170
+	199	171
+	4	202	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	170
+	199	171
+	3	202	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	170
+	191	170
+	194	171
+	4	196	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	170
+	194	171
+	3	196	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	138
+	105	137
+	103	136
+	4	99	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	137
+	103	136
+	3	99	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	135
+	103	136
+	105	137
+	4	108	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	136
+	105	137
+	3	108	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	171
+	194	171
+	191	170
+	4	188	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	171
+	191	170
+	3	188	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	170
+	185	169
+	188	171
+	4	191	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	169
+	188	171
+	3	191	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	171
+	205	171
+	202	170
+	4	199	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	171
+	202	170
+	3	199	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	169
+	202	170
+	205	171
+	4	208	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	170
+	205	171
+	3	208	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	60
+	185	63
+	182	66
+	4	179	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	63
+	182	66
+	3	179	60	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	61
+	182	66
+	185	63
+	4	188	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	66
+	185	63
+	3	188	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	171
+	211	171
+	208	169
+	4	205	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	171
+	208	169
+	3	205	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	169
+	208	169
+	211	171
+	4	214	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	169
+	211	171
+	3	214	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	146
+	76	145
+	73	144
+	4	70	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	145
+	73	144
+	3	70	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	143
+	73	144
+	76	145
+	4	79	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	144
+	76	145
+	3	79	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	142
+	91	141
+	88	140
+	4	85	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	141
+	88	140
+	3	85	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	139
+	88	140
+	91	141
+	4	94	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	140
+	91	141
+	3	94	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	170
+	188	171
+	185	169
+	4	182	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	171
+	185	169
+	3	182	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	169
+	179	168
+	182	170
+	4	185	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	168
+	182	170
+	3	185	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	171
+	217	171
+	214	169
+	4	211	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	171
+	214	169
+	3	211	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	169
+	214	169
+	217	171
+	4	220	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	169
+	217	171
+	3	220	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	171
+	223	171
+	220	169
+	4	217	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	171
+	220	169
+	3	217	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	169
+	220	169
+	223	171
+	4	226	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	169
+	223	171
+	3	226	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	144
+	149	131
+	152	141
+	4	155	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	152	141
+	3	155	144	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	131
+	155	144
+	152	133
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	144
+	152	133
+	3	149	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	150
+	67	148
+	64	148
+	4	61	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	148
+	64	148
+	3	61	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	146
+	64	148
+	67	148
+	4	70	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	148
+	67	148
+	3	70	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	171
+	229	171
+	226	169
+	4	223	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	171
+	226	169
+	3	223	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	232	169
+	226	169
+	229	171
+	4	232	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	169
+	229	171
+	3	232	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	171
+	235	171
+	232	169
+	4	229	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	171
+	232	169
+	3	229	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	238	169
+	232	169
+	235	171
+	4	238	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	169
+	235	171
+	3	238	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	235	171
+	241	171
+	238	169
+	4	235	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	171
+	238	169
+	3	235	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	169
+	238	169
+	241	171
+	4	243	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	169
+	241	171
+	3	243	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	165
+	173	167
+	170	165
+	4	167	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	167
+	170	165
+	3	167	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	165
+	164	162
+	167	165
+	4	170	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	162
+	167	165
+	3	170	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	241	171
+	247	171
+	243	169
+	4	241	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	171
+	243	169
+	3	241	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	169
+	243	169
+	247	171
+	4	249	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	169
+	247	171
+	3	249	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	171
+	253	171
+	249	169
+	4	247	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	171
+	249	169
+	3	247	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	255	169
+	249	169
+	253	171
+	4	255	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	169
+	253	171
+	3	255	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	253	171
+	258	171
+	255	169
+	4	253	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	171
+	255	169
+	3	253	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	261	169
+	255	169
+	258	171
+	4	261	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	169
+	258	171
+	3	261	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	81
+	183	49
+	185	83
+	4	188	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	49
+	185	83
+	3	188	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	49
+	188	81
+	185	64
+	4	183	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	81
+	185	64
+	3	183	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	121
+	134	109
+	132	119
+	4	129	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	109
+	132	119
+	3	129	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	104
+	132	119
+	134	109
+	4	137	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	119
+	134	109
+	3	137	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	159
+	55	155
+	53	156
+	4	49	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	155
+	53	156
+	3	49	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	153
+	53	156
+	55	155
+	4	58	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	156
+	55	155
+	3	58	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	169
+	182	170
+	179	168
+	4	176	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	170
+	179	168
+	3	176	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	168
+	173	167
+	176	169
+	4	179	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	167
+	176	169
+	3	179	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	104
+	143	53
+	141	114
+	4	137	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	53
+	141	114
+	3	137	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	137
+	111	136
+	108	135
+	4	105	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	136
+	108	135
+	3	105	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	133
+	108	135
+	111	136
+	4	114	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	135
+	111	136
+	3	114	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	141
+	96	140
+	94	139
+	4	91	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	140
+	94	139
+	3	91	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	138
+	94	139
+	96	140
+	4	99	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	139
+	96	140
+	3	99	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	69
+	185	63
+	188	70
+	4	191	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	63
+	188	70
+	3	191	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	63
+	191	69
+	188	61
+	4	185	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	69
+	188	61
+	3	185	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	61
+	188	61
+	191	69
+	4	194	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	61
+	191	69
+	3	194	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	133
+	120	130
+	117	131
+	4	114	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	130
+	117	131
+	3	114	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	127
+	117	131
+	120	130
+	4	123	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	131
+	120	130
+	3	123	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	145
+	82	143
+	79	143
+	4	76	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	143
+	79	143
+	3	76	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	142
+	79	143
+	82	143
+	4	85	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	143
+	82	143
+	3	85	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	140
+	102	139
+	99	138
+	4	96	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	139
+	99	138
+	3	96	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	137
+	99	138
+	102	139
+	4	105	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	138
+	102	139
+	3	105	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	173
+	203	173
+	199	171
+	4	197	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	173
+	199	171
+	3	197	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	171
+	199	171
+	203	173
+	4	205	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	171
+	203	173
+	3	205	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	171
+	194	171
+	197	173
+	4	199	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	171
+	197	173
+	3	199	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	162
+	52	158
+	49	159
+	4	46	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	158
+	49	159
+	3	46	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	155
+	49	159
+	52	158
+	4	55	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	159
+	52	158
+	3	55	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	173
+	209	173
+	205	171
+	4	203	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	173
+	205	171
+	3	203	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	171
+	205	171
+	209	173
+	4	211	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	171
+	209	173
+	3	211	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	173
+	197	173
+	194	171
+	4	191	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	173
+	194	171
+	3	191	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	171
+	188	171
+	191	173
+	4	194	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	171
+	191	173
+	3	194	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	173
+	214	173
+	211	171
+	4	209	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	173
+	211	171
+	3	209	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	171
+	211	171
+	214	173
+	4	217	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	171
+	214	173
+	3	217	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	148
+	72	146
+	70	146
+	4	67	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	146
+	70	146
+	3	67	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	145
+	70	146
+	72	146
+	4	76	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	146
+	72	146
+	3	76	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	153
+	64	150
+	61	150
+	4	58	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	150
+	61	150
+	3	58	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	148
+	61	150
+	64	150
+	4	67	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	150
+	64	150
+	3	67	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	173
+	220	173
+	217	171
+	4	214	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	173
+	217	171
+	3	214	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	171
+	217	171
+	220	173
+	4	223	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	171
+	220	173
+	3	223	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	167
+	176	169
+	173	167
+	4	170	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	169
+	173	167
+	3	170	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	167
+	167	165
+	170	167
+	4	173	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	165
+	170	167
+	3	173	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	173
+	226	173
+	223	171
+	4	220	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	173
+	223	171
+	3	220	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	171
+	223	171
+	226	173
+	4	229	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	171
+	226	173
+	3	229	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	172
+	191	173
+	188	171
+	4	185	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	173
+	188	171
+	3	185	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	171
+	182	170
+	185	172
+	4	188	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	170
+	185	172
+	3	188	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	143
+	87	142
+	85	142
+	4	82	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	142
+	85	142
+	3	82	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	141
+	85	142
+	87	142
+	4	91	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	142
+	87	142
+	3	91	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	173
+	232	173
+	229	171
+	4	226	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	173
+	229	171
+	3	226	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	171
+	229	171
+	232	173
+	4	235	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	171
+	232	173
+	3	235	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	173
+	238	173
+	235	171
+	4	232	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	173
+	235	171
+	3	232	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	171
+	235	171
+	238	173
+	4	241	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	171
+	238	173
+	3	241	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	173
+	244	173
+	241	171
+	4	238	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	173
+	241	171
+	3	238	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	247	171
+	241	171
+	244	173
+	4	247	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	171
+	244	173
+	3	247	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	244	173
+	250	173
+	247	171
+	4	244	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	173
+	247	171
+	3	244	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	253	171
+	247	171
+	250	173
+	4	253	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	171
+	250	173
+	3	253	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	173
+	256	173
+	253	171
+	4	250	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	173
+	253	171
+	3	250	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	171
+	253	171
+	256	173
+	4	258	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	171
+	256	173
+	3	258	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	136
+	117	133
+	114	133
+	4	111	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	133
+	114	133
+	3	111	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	130
+	114	133
+	117	133
+	4	120	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	133
+	117	133
+	3	120	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	158
+	164	162
+	161	158
+	4	158	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	162
+	161	158
+	3	158	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	158
+	155	153
+	158	158
+	4	161	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	153
+	158	158
+	3	161	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	153
+	161	158
+	158	154
+	4	155	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	158
+	158	154
+	3	155	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	154
+	152	148
+	155	153
+	4	158	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	148
+	155	153
+	3	158	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	148
+	158	154
+	155	149
+	4	152	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	154
+	155	149
+	3	152	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	166
+	48	161
+	46	162
+	4	43	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	161
+	46	162
+	3	43	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	158
+	46	162
+	48	161
+	4	52	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	162
+	48	161
+	3	52	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	124
+	132	115
+	129	121
+	4	126	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	115
+	129	121
+	3	126	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	109
+	129	121
+	132	115
+	4	134	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	121
+	132	115
+	3	134	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	139
+	108	138
+	105	137
+	4	102	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	138
+	105	137
+	3	102	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	136
+	105	137
+	108	138
+	4	111	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	137
+	108	138
+	3	111	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	171
+	185	172
+	182	170
+	4	179	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	172
+	182	170
+	3	179	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	170
+	176	169
+	179	171
+	4	182	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	169
+	179	171
+	3	182	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	32
+	185	83
+	183	49
+	4	181	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	83
+	183	49
+	3	181	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	142
+	93	142
+	91	141
+	4	87	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	142
+	91	141
+	3	87	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	140
+	91	141
+	93	142
+	4	96	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	141
+	93	142
+	3	96	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	170
+	45	164
+	43	166
+	4	40	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	164
+	43	166
+	3	40	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	161
+	43	166
+	45	164
+	4	48	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	166
+	45	164
+	3	48	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	162
+	167	165
+	164	162
+	4	161	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	165
+	164	162
+	3	161	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	162
+	158	158
+	161	162
+	4	164	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	158
+	161	162
+	3	164	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	61
+	194	61
+	191	47
+	4	188	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	61
+	191	47
+	3	188	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	164
+	40	170
+	42	167
+	4	45	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	170
+	42	167
+	3	45	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	54
+	191	47
+	194	61
+	4	197	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	47
+	194	61
+	3	197	54	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	146
+	78	145
+	76	145
+	4	72	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	145
+	76	145
+	3	72	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	143
+	76	145
+	78	145
+	4	82	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	145
+	78	145
+	3	82	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	127
+	129	121
+	126	124
+	4	123	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	121
+	126	124
+	3	123	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	115
+	126	124
+	129	121
+	4	132	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	124
+	129	121
+	3	132	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	70
+	183	54
+	185	64
+	4	188	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	54
+	185	64
+	3	188	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	54
+	188	70
+	185	63
+	4	183	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	70
+	185	63
+	3	183	54	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	149
+	149	141
+	152	148
+	4	155	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	141
+	152	148
+	3	155	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	141
+	155	149
+	152	141
+	4	149	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	149
+	152	141
+	3	149	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	155
+	60	152
+	58	153
+	4	55	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	152
+	58	153
+	3	55	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	150
+	58	153
+	60	152
+	4	64	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	153
+	60	152
+	3	64	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	170
+	179	171
+	176	169
+	4	173	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	171
+	176	169
+	3	173	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	169
+	170	167
+	173	170
+	4	176	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	167
+	173	170
+	3	176	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	142
+	99	141
+	96	140
+	4	93	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	96	140
+	3	93	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	139
+	96	140
+	99	141
+	4	102	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	140
+	99	141
+	3	102	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	175
+	206	175
+	203	173
+	4	200	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	175
+	203	173
+	3	200	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	173
+	203	173
+	206	175
+	4	209	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	173
+	206	175
+	3	209	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	173
+	197	173
+	200	175
+	4	203	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	173
+	200	175
+	3	203	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	175
+	212	175
+	209	173
+	4	206	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	175
+	209	173
+	3	206	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	173
+	209	173
+	212	175
+	4	214	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	173
+	212	175
+	3	214	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	175
+	218	175
+	214	173
+	4	212	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	175
+	214	173
+	3	212	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	173
+	214	173
+	218	175
+	4	220	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	173
+	218	175
+	3	220	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	175
+	200	175
+	197	173
+	4	194	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	175
+	197	173
+	3	194	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	173
+	191	173
+	194	175
+	4	197	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	173
+	194	175
+	3	197	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	175
+	224	175
+	220	173
+	4	218	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	175
+	220	173
+	3	218	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	173
+	220	173
+	224	175
+	4	226	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	173
+	224	175
+	3	226	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	150
+	69	148
+	67	148
+	4	64	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	148
+	67	148
+	3	64	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	146
+	67	148
+	69	148
+	4	72	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	148
+	69	148
+	3	72	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	138
+	114	136
+	111	136
+	4	108	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	136
+	111	136
+	3	108	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	133
+	111	136
+	114	136
+	4	117	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	136
+	114	136
+	3	117	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	175
+	230	175
+	226	173
+	4	224	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	175
+	226	173
+	3	224	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	173
+	226	173
+	230	175
+	4	232	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	173
+	230	175
+	3	232	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	130
+	126	126
+	123	127
+	4	120	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	126
+	123	127
+	3	120	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	121
+	123	127
+	126	126
+	4	129	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	127
+	126	126
+	3	129	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	175
+	235	175
+	232	173
+	4	230	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	175
+	232	173
+	3	230	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	173
+	232	173
+	235	175
+	4	238	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	173
+	235	175
+	3	238	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	165
+	170	167
+	167	165
+	4	164	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	167
+	167	165
+	3	164	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	165
+	161	162
+	164	165
+	4	167	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	162
+	164	165
+	3	167	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	175
+	241	175
+	238	173
+	4	235	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	175
+	238	173
+	3	235	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	173
+	238	173
+	241	175
+	4	244	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	173
+	241	175
+	3	244	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	175
+	247	175
+	244	173
+	4	241	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	175
+	244	173
+	3	241	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	173
+	244	173
+	247	175
+	4	250	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	173
+	247	175
+	3	250	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	175
+	194	175
+	191	173
+	4	188	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	175
+	191	173
+	3	188	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	173
+	185	172
+	188	175
+	4	191	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	172
+	188	175
+	3	191	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	175
+	253	175
+	250	173
+	4	247	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	175
+	250	173
+	3	247	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	256	173
+	250	173
+	253	175
+	4	256	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	173
+	253	175
+	3	256	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	145
+	84	144
+	82	143
+	4	78	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	144
+	82	143
+	3	78	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	142
+	82	143
+	84	144
+	4	87	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	143
+	84	144
+	3	87	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	141
+	105	140
+	102	139
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	140
+	102	139
+	3	99	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	138
+	102	139
+	105	140
+	4	108	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	139
+	105	140
+	3	108	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	174
+	188	175
+	185	172
+	4	182	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	175
+	185	172
+	3	182	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	172
+	179	171
+	182	174
+	4	185	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	171
+	182	174
+	3	185	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	133
+	123	130
+	120	130
+	4	117	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	130
+	120	130
+	3	117	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	126
+	120	130
+	123	130
+	4	126	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	130
+	123	130
+	3	126	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	63
+	179	60
+	183	54
+	4	185	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	60
+	183	54
+	3	185	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	158
+	57	154
+	55	155
+	4	52	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	154
+	55	155
+	3	52	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	152
+	55	155
+	57	154
+	4	60	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	155
+	57	154
+	3	60	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	144
+	90	143
+	87	142
+	4	84	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	87	142
+	3	84	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	142
+	87	142
+	90	143
+	4	93	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	142
+	90	143
+	3	93	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	168
+	173	170
+	170	167
+	4	167	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	170
+	170	167
+	3	167	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	170	167
+	164	165
+	167	168
+	4	170	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	165
+	167	168
+	3	170	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	47
+	197	54
+	196	11
+	4	191	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	54
+	196	11
+	3	191	47	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	148
+	75	147
+	72	146
+	4	69	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	147
+	72	146
+	3	69	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	145
+	72	146
+	75	147
+	4	78	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	146
+	75	147
+	3	78	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	173
+	182	174
+	179	171
+	4	176	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	174
+	179	171
+	3	176	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	171
+	173	170
+	176	173
+	4	179	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	170
+	176	173
+	3	179	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	140
+	111	139
+	108	138
+	4	105	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	139
+	108	138
+	3	105	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	136
+	108	138
+	111	139
+	4	114	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	138
+	111	139
+	3	114	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	136
+	120	134
+	117	133
+	4	114	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	134
+	117	133
+	3	114	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	130
+	117	133
+	120	134
+	4	123	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	133
+	120	134
+	3	123	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	177
+	215	177
+	212	175
+	4	209	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	177
+	212	175
+	3	209	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	175
+	212	175
+	215	177
+	4	218	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	175
+	215	177
+	3	218	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	175
+	206	175
+	209	177
+	4	212	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	175
+	209	177
+	3	212	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	177
+	221	177
+	218	175
+	4	215	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	177
+	218	175
+	3	215	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	175
+	218	175
+	221	177
+	4	224	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	175
+	221	177
+	3	224	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	177
+	209	177
+	206	175
+	4	203	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	177
+	206	175
+	3	203	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	175
+	200	175
+	203	177
+	4	206	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	175
+	203	177
+	3	206	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	177
+	227	177
+	224	175
+	4	221	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	177
+	224	175
+	3	221	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	175
+	224	175
+	227	177
+	4	230	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	175
+	227	177
+	3	230	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	177
+	233	177
+	230	175
+	4	227	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	177
+	230	175
+	3	227	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	175
+	230	175
+	233	177
+	4	235	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	175
+	233	177
+	3	235	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	177
+	203	177
+	200	175
+	4	197	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	177
+	200	175
+	3	197	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	175
+	194	175
+	197	177
+	4	200	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	175
+	197	177
+	3	200	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	152
+	66	150
+	64	150
+	4	60	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	64	150
+	3	60	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	148
+	64	150
+	66	150
+	4	69	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	150
+	66	150
+	3	69	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	177
+	239	177
+	235	175
+	4	233	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	177
+	235	175
+	3	233	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	175
+	235	175
+	239	177
+	4	241	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	175
+	239	177
+	3	241	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	177
+	245	177
+	241	175
+	4	239	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	177
+	241	175
+	3	239	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	175
+	241	175
+	245	177
+	4	247	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	175
+	245	177
+	3	247	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	143
+	96	142
+	93	142
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	142
+	93	142
+	3	90	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	141
+	93	142
+	96	142
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	142
+	96	142
+	3	99	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	177
+	251	177
+	247	175
+	4	245	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	177
+	247	175
+	3	245	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	253	175
+	247	175
+	251	177
+	4	253	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	175
+	251	177
+	3	253	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	177
+	197	177
+	194	175
+	4	191	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	177
+	194	175
+	3	191	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	175
+	188	175
+	191	177
+	4	194	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	175
+	191	177
+	3	194	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	141
+	146	133
+	149	141
+	4	152	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	133
+	149	141
+	3	152	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	133
+	152	141
+	149	131
+	4	146	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	141
+	149	131
+	3	146	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	158
+	161	162
+	158	158
+	4	155	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	162
+	158	158
+	3	155	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	158
+	152	154
+	155	158
+	4	158	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	154
+	155	158
+	3	158	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	154
+	158	158
+	155	153
+	4	152	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	158
+	155	153
+	3	152	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	133
+	146	117
+	149	131
+	4	152	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	117
+	149	131
+	3	152	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	117
+	152	133
+	149	113
+	4	146	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	133
+	149	113
+	3	146	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	176
+	191	177
+	188	175
+	4	185	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	177
+	188	175
+	3	185	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	175
+	182	174
+	185	176
+	4	188	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	174
+	185	176
+	3	188	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	161
+	54	156
+	52	158
+	4	48	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	156
+	52	158
+	3	48	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	154
+	52	158
+	54	156
+	4	57	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	158
+	54	156
+	3	57	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	153
+	149	149
+	152	154
+	4	155	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	149
+	152	154
+	3	155	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	149
+	155	153
+	152	148
+	4	149	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	153
+	152	148
+	3	149	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	147
+	81	145
+	78	145
+	4	75	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	145
+	78	145
+	3	75	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	144
+	78	145
+	81	145
+	4	84	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	145
+	81	145
+	3	84	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	142
+	102	142
+	99	141
+	4	96	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	142
+	99	141
+	3	96	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	140
+	99	141
+	102	142
+	4	105	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	102	142
+	3	105	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	162
+	164	165
+	161	162
+	4	158	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	165
+	161	162
+	3	158	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	162
+	155	158
+	158	162
+	4	161	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	158
+	158	162
+	3	161	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	171
+	176	173
+	173	170
+	4	170	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	173
+	173	170
+	3	170	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	170
+	167	168
+	170	171
+	4	173	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	168
+	170	171
+	3	173	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	139
+	117	137
+	114	136
+	4	111	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	137
+	114	136
+	3	111	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	134
+	114	136
+	117	137
+	4	120	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	136
+	117	137
+	3	120	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	175
+	185	176
+	182	174
+	4	179	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	176
+	182	174
+	3	179	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	174
+	176	173
+	179	175
+	4	182	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	173
+	179	175
+	3	182	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	46
+	183	54
+	179	60
+	4	177	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	54
+	179	60
+	3	177	46	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	166
+	167	168
+	164	165
+	4	161	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	168
+	164	165
+	3	161	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	165
+	158	162
+	161	166
+	4	164	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	162
+	161	166
+	3	164	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	142
+	108	141
+	105	140
+	4	102	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	141
+	105	140
+	3	102	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	139
+	105	140
+	108	141
+	4	111	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	140
+	108	141
+	3	111	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	145
+	87	145
+	84	144
+	4	81	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	145
+	84	144
+	3	81	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	143
+	84	144
+	87	145
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	144
+	87	145
+	3	90	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	150
+	72	148
+	69	148
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	148
+	69	148
+	3	66	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	147
+	69	148
+	72	148
+	4	75	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	148
+	72	148
+	3	75	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	180
+	224	180
+	221	177
+	4	218	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	180
+	221	177
+	3	218	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	177
+	221	177
+	224	180
+	4	227	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	177
+	224	180
+	3	227	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	177
+	215	177
+	218	180
+	4	221	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	177
+	218	180
+	3	221	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	180
+	218	180
+	215	177
+	4	212	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	180
+	215	177
+	3	212	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	177
+	209	177
+	212	180
+	4	215	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	177
+	212	180
+	3	215	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	180
+	230	180
+	227	177
+	4	224	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	180
+	227	177
+	3	224	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	177
+	227	177
+	230	180
+	4	233	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	177
+	230	180
+	3	233	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	148
+	146	143
+	149	149
+	4	152	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	143
+	149	149
+	3	152	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	143
+	152	148
+	149	141
+	4	146	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	148
+	149	141
+	3	146	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	180
+	236	180
+	233	177
+	4	230	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	180
+	233	177
+	3	230	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	177
+	233	177
+	236	180
+	4	239	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	177
+	236	180
+	3	239	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	179
+	212	180
+	209	177
+	4	206	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	180
+	209	177
+	3	206	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	177
+	203	177
+	206	179
+	4	209	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	177
+	206	179
+	3	209	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	180
+	242	180
+	239	177
+	4	236	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	180
+	239	177
+	3	236	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	177
+	239	177
+	242	180
+	4	245	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	177
+	242	180
+	3	245	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	180
+	248	180
+	245	177
+	4	242	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	180
+	245	177
+	3	242	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	251	177
+	245	177
+	248	180
+	4	251	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	177
+	248	180
+	3	251	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	164
+	50	158
+	48	161
+	4	45	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	158
+	48	161
+	3	45	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	156
+	48	161
+	50	158
+	4	54	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	161
+	50	158
+	3	54	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	154
+	63	151
+	60	152
+	4	57	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	151
+	60	152
+	3	57	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	150
+	60	152
+	63	151
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	152
+	63	151
+	3	66	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	179
+	206	179
+	203	177
+	4	200	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	179
+	203	177
+	3	200	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	177
+	197	177
+	200	179
+	4	203	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	177
+	200	179
+	3	203	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	122
+	146	79
+	149	113
+	4	152	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	79
+	149	113
+	3	152	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	79
+	152	122
+	149	57
+	4	146	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	122
+	149	57
+	3	146	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	179
+	200	179
+	197	177
+	4	194	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	179
+	197	177
+	3	194	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	177
+	191	177
+	194	179
+	4	197	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	177
+	194	179
+	3	197	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	145
+	93	144
+	90	143
+	4	87	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	144
+	90	143
+	3	87	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	142
+	90	143
+	93	144
+	4	96	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	93	144
+	3	96	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	174
+	179	175
+	176	173
+	4	173	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	175
+	176	173
+	3	173	174	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	176	173
+	170	171
+	173	174
+	4	176	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	171
+	173	174
+	3	176	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	134
+	126	131
+	123	130
+	4	120	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	131
+	123	130
+	3	120	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	126
+	123	130
+	126	131
+	4	129	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	130
+	126	131
+	3	129	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	130
+	129	126
+	126	126
+	4	123	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	126
+	126	126
+	3	123	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	119
+	126	126
+	129	126
+	4	131	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	126
+	129	126
+	3	131	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	126
+	131	119
+	129	121
+	4	126	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	119
+	129	121
+	3	126	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	178
+	194	179
+	191	177
+	4	188	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	179
+	191	177
+	3	188	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	177
+	185	176
+	188	178
+	4	191	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	176
+	188	178
+	3	191	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	169
+	170	171
+	167	168
+	4	164	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	171
+	167	168
+	3	164	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	168
+	161	166
+	164	169
+	4	167	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	166
+	164	169
+	3	167	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	141
+	114	140
+	111	139
+	4	108	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	140
+	111	139
+	3	108	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	137
+	111	139
+	114	140
+	4	117	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	139
+	114	140
+	3	117	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	167
+	47	161
+	45	164
+	4	42	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	161
+	45	164
+	3	42	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	158
+	45	164
+	47	161
+	4	50	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	164
+	47	161
+	3	50	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	144
+	99	143
+	96	142
+	4	93	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	143
+	96	142
+	3	93	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	142
+	96	142
+	99	143
+	4	102	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	142
+	99	143
+	3	102	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	137
+	123	135
+	120	134
+	4	117	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	135
+	120	134
+	3	117	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	131
+	120	134
+	123	135
+	4	126	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	134
+	123	135
+	3	126	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	148
+	78	147
+	75	147
+	4	72	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	147
+	75	147
+	3	72	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	145
+	75	147
+	78	147
+	4	81	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	147
+	78	147
+	3	81	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	178
+	188	178
+	185	176
+	4	182	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	178
+	185	176
+	3	182	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	176
+	179	175
+	182	178
+	4	185	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	175
+	182	178
+	3	185	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	110
+	129	121
+	131	119
+	4	134	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	121
+	131	119
+	3	134	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	121
+	134	110
+	132	115
+	4	129	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	110
+	132	115
+	3	129	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	143
+	105	143
+	102	142
+	4	99	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	143
+	102	142
+	3	99	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	141
+	102	142
+	105	143
+	4	108	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	142
+	105	143
+	3	108	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	182
+	227	182
+	224	180
+	4	221	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	182
+	224	180
+	3	221	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	180
+	224	180
+	227	182
+	4	230	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	180
+	227	182
+	3	230	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	180
+	218	180
+	221	182
+	4	224	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	180
+	221	182
+	3	224	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	182
+	233	182
+	230	180
+	4	227	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	182
+	230	180
+	3	227	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	180
+	230	180
+	233	182
+	4	236	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	180
+	233	182
+	3	236	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	182
+	239	182
+	236	180
+	4	233	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	182
+	236	180
+	3	233	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	180
+	236	180
+	239	182
+	4	242	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	180
+	239	182
+	3	242	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	182
+	221	182
+	218	180
+	4	215	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	182
+	218	180
+	3	215	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	180
+	212	180
+	215	182
+	4	218	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	180
+	215	182
+	3	218	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	161
+	42	167
+	44	163
+	4	47	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	167
+	44	163
+	3	47	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	182
+	245	182
+	242	180
+	4	239	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	182
+	242	180
+	3	239	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	248	180
+	242	180
+	245	182
+	4	248	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	180
+	245	182
+	3	248	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	182
+	215	182
+	212	180
+	4	209	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	182
+	212	180
+	3	209	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	180
+	206	179
+	209	182
+	4	212	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	179
+	209	182
+	3	212	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	172
+	173	174
+	170	171
+	4	167	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	174
+	170	171
+	3	167	172	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	170	171
+	164	169
+	167	172
+	4	170	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	169
+	167	172
+	3	170	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	156
+	59	153
+	57	154
+	4	54	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	153
+	57	154
+	3	54	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	151
+	57	154
+	59	153
+	4	63	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	154
+	59	153
+	3	63	151	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	152	159
+	158	162
+	155	158
+	4	152	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	162
+	155	158
+	3	152	159	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	155	158
+	149	155
+	152	159
+	4	155	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	155
+	152	159
+	3	155	158	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	149	155
+	155	158
+	152	154
+	4	149	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	158
+	152	154
+	3	149	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	181
+	209	182
+	206	179
+	4	203	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	182
+	206	179
+	3	203	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	179
+	200	179
+	203	181
+	4	206	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	179
+	203	181
+	3	206	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	140
+	120	138
+	117	137
+	4	114	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	138
+	117	137
+	3	114	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	135
+	117	137
+	120	138
+	4	123	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	137
+	120	138
+	3	123	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	177
+	182	178
+	179	175
+	4	176	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	178
+	179	175
+	3	176	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	175
+	173	174
+	176	177
+	4	179	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	174
+	176	177
+	3	179	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	151
+	68	149
+	66	150
+	4	63	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	149
+	66	150
+	3	63	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	148
+	66	150
+	68	149
+	4	72	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	68	149
+	3	72	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	147
+	83	146
+	81	145
+	4	78	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	146
+	81	145
+	3	78	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	145
+	81	145
+	83	146
+	4	87	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	145
+	83	146
+	3	87	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	181
+	203	181
+	200	179
+	4	197	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	181
+	200	179
+	3	197	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	179
+	194	179
+	197	181
+	4	200	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	179
+	197	181
+	3	200	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	141
+	143	136
+	146	143
+	4	149	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	136
+	146	143
+	3	149	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	136
+	149	141
+	146	133
+	4	143	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	141
+	146	133
+	3	143	136	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	152	154
+	146	150
+	149	155
+	4	152	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	150
+	149	155
+	3	152	154	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	146	150
+	152	154
+	149	149
+	4	146	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	154
+	149	149
+	3	146	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	163
+	161	166
+	158	162
+	4	155	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	166
+	158	162
+	3	155	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	162
+	152	159
+	155	163
+	4	158	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	159
+	155	163
+	3	158	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	143
+	110	142
+	108	141
+	4	105	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	142
+	108	141
+	3	105	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	140
+	108	141
+	110	142
+	4	114	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	141
+	110	142
+	3	114	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	181
+	197	181
+	194	179
+	4	191	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	181
+	194	179
+	3	191	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	179
+	188	178
+	191	181
+	4	194	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	178
+	191	181
+	3	194	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	159	167
+	164	169
+	161	166
+	4	159	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	169
+	161	166
+	3	159	167	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	166
+	155	163
+	159	167
+	4	161	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	163
+	159	167
+	3	161	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	97
+	132	115
+	134	110
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	115
+	134	110
+	3	137	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	115
+	137	97
+	134	109
+	4	132	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	134	109
+	3	132	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	146
+	89	145
+	87	145
+	4	83	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	145
+	87	145
+	3	83	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	144
+	87	145
+	89	145
+	4	93	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	145
+	89	145
+	3	93	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	180
+	191	181
+	188	178
+	4	186	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	181
+	188	178
+	3	186	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	178
+	182	178
+	186	180
+	4	188	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	178
+	186	180
+	3	188	178	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	149	149
+	143	145
+	146	150
+	4	149	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	145
+	146	150
+	3	149	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	145
+	149	149
+	146	143
+	4	143	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	149
+	146	143
+	3	143	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	64
+	181	25
+	183	49
+	4	185	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	25
+	183	49
+	3	185	64	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	25
+	185	64
+	183	54
+	4	181	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	64
+	183	54
+	3	181	25	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	171	175
+	176	177
+	173	174
+	4	171	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	177
+	173	174
+	3	171	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	173	174
+	167	172
+	171	175
+	4	173	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	172
+	171	175
+	3	173	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	142
+	116	141
+	114	140
+	4	110	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	141
+	114	140
+	3	110	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	138
+	114	140
+	116	141
+	4	120	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	140
+	116	141
+	3	120	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	145
+	95	145
+	93	144
+	4	89	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	145
+	93	144
+	3	89	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	143
+	93	144
+	95	145
+	4	99	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	144
+	95	145
+	3	99	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	149
+	74	148
+	72	148
+	4	68	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	148
+	72	148
+	3	68	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	147
+	72	148
+	74	148
+	4	78	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	148
+	74	148
+	3	78	147	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	170
+	167	172
+	164	169
+	4	162	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	172
+	164	169
+	3	162	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	169
+	159	167
+	162	170
+	4	164	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	167
+	162	170
+	3	164	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	135
+	128	133
+	126	131
+	4	123	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	133
+	126	131
+	3	123	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	127
+	126	131
+	128	133
+	4	131	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	131
+	128	133
+	3	131	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	131
+	131	127
+	129	126
+	4	126	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	127
+	129	126
+	3	126	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	184
+	237	184
+	233	182
+	4	231	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	184
+	233	182
+	3	231	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	182
+	233	182
+	237	184
+	4	239	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	182
+	237	184
+	3	239	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	182
+	227	182
+	231	184
+	4	233	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	182
+	231	184
+	3	233	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	184
+	243	184
+	239	182
+	4	237	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	184
+	239	182
+	3	237	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	182
+	239	182
+	243	184
+	4	245	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	182
+	243	184
+	3	245	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	179
+	186	180
+	182	178
+	4	180	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	180
+	182	178
+	3	180	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	178
+	176	177
+	180	179
+	4	182	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	177
+	180	179
+	3	182	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	184
+	231	184
+	227	182
+	4	225	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	184
+	227	182
+	3	225	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	182
+	221	182
+	225	184
+	4	227	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	182
+	225	184
+	3	227	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	184
+	225	184
+	221	182
+	4	219	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	184
+	221	182
+	3	219	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	182
+	215	182
+	219	184
+	4	221	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	182
+	219	184
+	3	221	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	184
+	219	184
+	215	182
+	4	213	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	184
+	215	182
+	3	213	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	182
+	209	182
+	213	184
+	4	215	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	182
+	213	184
+	3	215	182	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	131
+	143	123
+	146	133
+	4	149	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	123
+	146	133
+	3	149	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	123
+	149	131
+	146	117
+	4	143	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	131
+	146	117
+	3	143	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	138
+	125	137
+	123	135
+	4	120	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	137
+	123	135
+	3	120	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	133
+	123	135
+	125	137
+	4	128	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	135
+	125	137
+	3	128	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	158
+	56	155
+	54	156
+	4	50	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	155
+	54	156
+	3	50	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	153
+	54	156
+	56	155
+	4	59	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	156
+	56	155
+	3	59	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	145
+	101	145
+	99	143
+	4	95	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	145
+	99	143
+	3	95	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	143
+	99	143
+	101	145
+	4	105	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	143
+	101	145
+	3	105	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	184
+	213	184
+	209	182
+	4	207	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	184
+	209	182
+	3	207	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	182
+	203	181
+	207	184
+	4	209	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	181
+	207	184
+	3	209	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	183
+	207	184
+	203	181
+	4	201	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	184
+	203	181
+	3	201	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	181
+	197	181
+	201	183
+	4	203	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	181
+	201	183
+	3	203	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	183
+	201	183
+	197	181
+	4	195	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	183
+	197	181
+	3	195	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	181
+	191	181
+	195	183
+	4	197	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	181
+	195	183
+	3	197	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	120
+	129	126
+	131	127
+	4	134	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	126
+	131	127
+	3	134	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	126
+	134	120
+	131	119
+	4	129	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	120
+	131	119
+	3	129	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	145
+	107	144
+	105	143
+	4	101	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	144
+	105	143
+	3	101	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	142
+	105	143
+	107	144
+	4	110	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	143
+	107	144
+	3	110	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	153
+	65	151
+	63	151
+	4	59	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	151
+	63	151
+	3	59	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	149
+	63	151
+	65	151
+	4	68	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	151
+	65	151
+	3	68	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	143
+	140	140
+	143	145
+	4	146	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	143	145
+	3	146	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	140
+	146	143
+	143	136
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	143
+	143	136
+	3	140	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	141
+	122	140
+	120	138
+	4	116	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	140
+	120	138
+	3	116	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	137
+	120	138
+	122	140
+	4	125	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	138
+	122	140
+	3	125	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	109
+	140	75
+	137	104
+	4	134	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	75
+	137	104
+	3	134	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	53
+	137	104
+	140	75
+	4	143	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	104
+	140	75
+	3	143	53	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	178
+	180	179
+	176	177
+	4	174	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	179
+	176	177
+	3	174	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	176	177
+	171	175
+	174	178
+	4	176	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	175
+	174	178
+	3	176	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	148
+	80	147
+	78	147
+	4	74	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	147
+	78	147
+	3	74	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	146
+	78	147
+	80	147
+	4	83	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	147
+	80	147
+	3	83	146	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	165	173
+	171	175
+	167	172
+	4	165	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	175
+	167	172
+	3	165	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	172
+	162	170
+	165	173
+	4	167	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	170
+	165	173
+	3	167	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	75
+	134	109
+	137	97
+	4	140	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	109
+	137	97
+	3	140	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	182
+	195	183
+	191	181
+	4	189	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	183
+	191	181
+	3	189	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	181
+	186	180
+	189	182
+	4	191	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	180
+	189	182
+	3	191	181	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	149	161
+	155	163
+	152	159
+	4	149	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	163
+	152	159
+	3	149	161	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	152	159
+	146	156
+	149	161
+	4	152	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	156
+	149	161
+	3	152	159	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	146	156
+	152	159
+	149	155
+	4	146	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	159
+	149	155
+	3	146	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	144
+	113	144
+	110	142
+	4	107	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	144
+	110	142
+	3	107	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	141
+	110	142
+	113	144
+	4	116	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	142
+	113	144
+	3	116	141	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	149	155
+	143	152
+	146	156
+	4	149	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	152
+	146	156
+	3	149	155	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	152
+	149	155
+	146	150
+	4	143	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	155
+	146	150
+	3	143	152	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	164
+	159	167
+	155	163
+	4	153	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	167
+	155	163
+	3	153	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	163
+	149	161
+	153	164
+	4	155	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	161
+	153	164
+	3	155	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	182
+	189	182
+	186	180
+	4	183	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	182
+	186	180
+	3	183	182	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	180
+	180	179
+	183	182
+	4	186	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	179
+	183	182
+	3	186	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	147
+	86	147
+	83	146
+	4	80	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	147
+	83	146
+	3	80	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	145
+	83	146
+	86	147
+	4	89	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	146
+	86	147
+	3	89	145	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	146	150
+	140	148
+	143	152
+	4	146	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	148
+	143	152
+	3	146	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	148
+	146	150
+	143	145
+	4	140	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	150
+	143	145
+	3	140	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	184
+	237	184
+	240	186
+	4	243	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	184
+	240	186
+	3	243	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	186
+	240	186
+	237	184
+	4	234	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	186
+	237	184
+	3	234	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	184
+	231	184
+	234	186
+	4	237	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	184
+	234	186
+	3	237	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	186
+	234	186
+	231	184
+	4	228	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	186
+	231	184
+	3	228	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	184
+	225	184
+	228	186
+	4	231	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	184
+	228	186
+	3	231	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	161
+	52	156
+	50	158
+	4	47	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	156
+	50	158
+	3	47	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	155
+	50	158
+	52	156
+	4	56	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	158
+	52	156
+	3	56	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	186
+	228	186
+	225	184
+	4	222	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	186
+	225	184
+	3	222	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	184
+	219	184
+	222	186
+	4	225	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	184
+	222	186
+	3	225	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	186
+	222	186
+	219	184
+	4	216	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	186
+	219	184
+	3	216	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	184
+	213	184
+	216	186
+	4	219	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	184
+	216	186
+	3	219	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	168
+	162	170
+	159	167
+	4	156	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	170
+	159	167
+	3	156	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	159	167
+	153	164
+	156	168
+	4	159	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	164
+	156	168
+	3	159	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	144
+	119	143
+	116	141
+	4	113	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	143
+	116	141
+	3	113	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	140
+	116	141
+	119	143
+	4	122	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	141
+	119	143
+	3	122	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	133
+	140	129
+	143	136
+	4	146	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	129
+	143	136
+	3	146	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	129
+	146	133
+	143	123
+	4	140	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	133
+	143	123
+	3	140	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	186
+	216	186
+	213	184
+	4	210	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	186
+	213	184
+	3	210	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	184
+	207	184
+	210	186
+	4	213	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	184
+	210	186
+	3	213	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	147
+	92	146
+	89	145
+	4	86	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	146
+	89	145
+	3	86	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	145
+	89	145
+	92	146
+	4	95	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	145
+	92	146
+	3	95	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	186
+	210	186
+	207	184
+	4	204	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	186
+	207	184
+	3	204	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	184
+	201	183
+	204	186
+	4	207	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	183
+	204	186
+	3	207	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	177
+	174	178
+	171	175
+	4	168	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	178
+	171	175
+	3	168	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	175
+	165	173
+	168	177
+	4	171	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	173
+	168	177
+	3	171	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	137
+	131	135
+	128	133
+	4	125	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	135
+	128	133
+	3	125	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	134	130
+	128	133
+	131	135
+	4	134	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	133
+	131	135
+	3	134	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	133
+	134	130
+	131	127
+	4	128	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	130
+	131	127
+	3	128	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	140
+	128	139
+	125	137
+	4	122	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	139
+	125	137
+	3	122	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	135
+	125	137
+	128	139
+	4	131	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	137
+	128	139
+	3	131	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	151
+	71	149
+	68	149
+	4	65	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	149
+	68	149
+	3	65	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	74	148
+	68	149
+	71	149
+	4	74	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	149
+	71	149
+	3	74	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	185
+	204	186
+	201	183
+	4	198	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	186
+	201	183
+	3	198	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	183
+	195	183
+	198	185
+	4	201	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	183
+	198	185
+	3	201	183	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	177	181
+	183	182
+	180	179
+	4	177	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	182
+	180	179
+	3	177	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	179
+	174	178
+	177	181
+	4	180	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	178
+	177	181
+	3	180	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	146
+	98	146
+	95	145
+	4	92	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	146
+	95	145
+	3	92	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	145
+	95	145
+	98	146
+	4	101	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	145
+	98	146
+	3	101	145	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	145
+	137	143
+	140	148
+	4	143	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	143
+	140	148
+	3	143	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	143
+	143	145
+	140	140
+	4	137	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	145
+	140	140
+	3	137	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	109
+	131	119
+	134	120
+	4	137	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	119
+	134	120
+	3	137	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	119
+	137	109
+	134	110
+	4	131	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	109
+	134	110
+	3	131	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	172
+	165	173
+	162	170
+	4	159	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	173
+	162	170
+	3	159	172	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	170
+	156	168
+	159	172
+	4	162	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	168
+	159	172
+	3	162	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	185
+	198	185
+	195	183
+	4	192	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	185
+	195	183
+	3	192	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	195	183
+	189	182
+	192	185
+	4	195	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	182
+	192	185
+	3	195	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	146
+	104	146
+	101	145
+	4	98	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	146
+	101	145
+	3	98	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	144
+	101	145
+	104	146
+	4	107	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	145
+	104	146
+	3	107	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	136
+	137	134
+	140	140
+	4	143	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	134
+	140	140
+	3	143	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	134
+	143	136
+	140	129
+	4	137	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	136
+	140	129
+	3	137	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	143
+	125	143
+	122	140
+	4	119	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	143
+	122	140
+	3	119	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	139
+	122	140
+	125	143
+	4	128	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	140
+	125	143
+	3	128	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	155
+	61	152
+	59	153
+	4	56	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	152
+	59	153
+	3	56	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	151
+	59	153
+	61	152
+	4	65	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	153
+	61	152
+	3	65	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	146
+	110	146
+	107	144
+	4	104	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	146
+	107	144
+	3	104	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	144
+	107	144
+	110	146
+	4	113	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	144
+	110	146
+	3	113	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	124
+	131	127
+	134	130
+	4	137	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	127
+	134	130
+	3	137	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	127
+	137	124
+	134	120
+	4	131	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	124
+	134	120
+	3	131	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	184
+	192	185
+	189	182
+	4	186	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	185
+	189	182
+	3	186	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	182
+	183	182
+	186	184
+	4	189	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	182
+	186	184
+	3	189	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	54
+	177	46
+	181	25
+	4	183	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	46
+	181	25
+	3	183	54	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	140
+	134	139
+	137	143
+	4	140	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	139
+	137	143
+	3	140	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	139
+	140	140
+	137	134
+	4	134	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	140
+	137	134
+	3	134	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	180
+	177	181
+	174	178
+	4	171	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	181
+	174	178
+	3	171	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	178
+	168	177
+	171	180
+	4	174	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	177
+	171	180
+	3	174	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	163
+	49	158
+	47	161
+	4	44	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	158
+	47	161
+	3	44	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	156
+	47	161
+	49	158
+	4	52	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	161
+	49	158
+	3	52	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	146
+	116	146
+	113	144
+	4	110	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	146
+	113	144
+	3	110	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	143
+	113	144
+	116	146
+	4	119	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	144
+	116	146
+	3	119	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	149
+	77	148
+	74	148
+	4	71	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	148
+	74	148
+	3	71	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	147
+	74	148
+	77	148
+	4	80	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	148
+	77	148
+	3	80	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	139
+	134	139
+	131	135
+	4	128	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	139
+	131	135
+	3	128	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	134
+	131	135
+	134	139
+	4	137	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	135
+	134	139
+	3	137	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	135
+	137	134
+	134	130
+	4	131	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	134
+	134	130
+	3	131	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	175
+	168	177
+	165	173
+	4	162	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	177
+	165	173
+	3	162	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	165	173
+	159	172
+	162	175
+	4	165	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	172
+	162	175
+	3	165	173	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	158
+	149	161
+	146	156
+	4	143	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	161
+	146	156
+	3	143	158	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	146	156
+	140	154
+	143	158
+	4	146	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	154
+	143	158
+	3	146	156	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	140	154
+	146	156
+	143	152
+	4	140	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	156
+	143	152
+	3	140	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	186
+	234	186
+	237	189
+	4	240	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	186
+	237	189
+	3	240	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	188
+	237	189
+	234	186
+	4	231	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	189
+	234	186
+	3	231	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	186
+	228	186
+	231	188
+	4	234	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	186
+	231	188
+	3	234	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	188
+	231	188
+	228	186
+	4	225	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	188
+	228	186
+	3	225	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	186
+	222	186
+	225	188
+	4	228	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	186
+	225	188
+	3	228	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	143
+	131	142
+	128	139
+	4	125	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	142
+	128	139
+	3	125	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	139
+	128	139
+	131	142
+	4	134	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	139
+	131	142
+	3	134	139	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	143	152
+	137	150
+	140	154
+	4	143	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	150
+	140	154
+	3	143	152	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	150
+	143	152
+	140	148
+	4	137	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	152
+	140	148
+	3	137	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	188
+	225	188
+	222	186
+	4	219	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	188
+	222	186
+	3	219	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	186
+	216	186
+	219	188
+	4	222	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	186
+	219	188
+	3	222	186	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	146	162
+	153	164
+	149	161
+	4	146	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	164
+	149	161
+	3	146	162	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	149	161
+	143	158
+	146	162
+	4	149	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	158
+	146	162
+	3	149	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	188
+	219	188
+	216	186
+	4	213	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	188
+	216	186
+	3	213	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	186
+	210	186
+	213	188
+	4	216	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	186
+	213	188
+	3	216	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	183
+	186	184
+	183	182
+	4	180	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	184
+	183	182
+	3	180	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	182
+	177	181
+	180	183
+	4	183	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	181
+	180	183
+	3	183	182	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	148
+	134	146
+	137	150
+	4	140	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	146
+	137	150
+	3	140	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	146
+	140	148
+	137	143
+	4	134	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	148
+	137	143
+	3	134	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	188
+	213	188
+	210	186
+	4	207	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	188
+	210	186
+	3	207	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	186
+	204	186
+	207	188
+	4	210	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	186
+	207	188
+	3	210	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	146
+	122	146
+	119	143
+	4	116	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	146
+	119	143
+	3	116	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	143
+	119	143
+	122	146
+	4	125	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	143
+	122	146
+	3	125	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	166
+	156	168
+	153	164
+	4	149	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	168
+	153	164
+	3	149	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	164
+	146	162
+	149	166
+	4	153	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	162
+	149	166
+	3	153	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	142
+	137	143
+	134	139
+	4	131	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	143
+	134	139
+	3	131	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	188
+	207	188
+	204	186
+	4	201	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	188
+	204	186
+	3	201	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	186
+	198	185
+	201	188
+	4	204	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	185
+	201	188
+	3	204	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	143
+	131	142
+	134	146
+	4	137	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	142
+	134	146
+	3	137	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	129
+	134	130
+	137	134
+	4	140	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	130
+	137	134
+	3	140	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	130
+	140	129
+	137	124
+	4	134	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	129
+	137	124
+	3	134	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	148
+	83	148
+	80	147
+	4	77	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	148
+	80	147
+	3	77	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	147
+	80	147
+	83	148
+	4	86	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	147
+	83	148
+	3	86	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	146
+	128	146
+	125	143
+	4	122	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	146
+	125	143
+	3	122	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	142
+	125	143
+	128	146
+	4	131	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	143
+	128	146
+	3	131	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	195	187
+	201	188
+	198	185
+	4	195	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	188
+	198	185
+	3	195	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	185
+	192	185
+	195	187
+	4	198	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	185
+	195	187
+	3	198	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	170
+	159	172
+	156	168
+	4	153	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	172
+	156	168
+	3	153	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	168
+	149	166
+	153	170
+	4	156	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	166
+	153	170
+	3	156	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	146
+	134	146
+	131	142
+	4	128	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	146
+	131	142
+	3	128	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	178
+	171	180
+	168	177
+	4	165	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	180
+	168	177
+	3	165	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	177
+	162	175
+	165	178
+	4	168	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	175
+	165	178
+	3	168	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	148
+	89	148
+	86	147
+	4	83	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	148
+	86	147
+	3	83	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	146
+	86	147
+	89	148
+	4	92	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	147
+	89	148
+	3	92	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	182
+	180	183
+	177	181
+	4	174	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	183
+	177	181
+	3	174	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	181
+	171	180
+	174	182
+	4	177	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	180
+	174	182
+	3	177	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	187
+	195	187
+	192	185
+	4	189	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	187
+	192	185
+	3	189	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	185
+	186	184
+	189	187
+	4	192	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	184
+	189	187
+	3	192	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	123
+	137	124
+	140	129
+	4	143	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	124
+	140	129
+	3	143	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	152
+	67	150
+	65	151
+	4	61	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	150
+	65	151
+	3	61	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	149
+	65	151
+	67	150
+	4	71	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	151
+	67	150
+	3	71	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	158
+	44	163
+	45	160
+	4	49	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	163
+	45	160
+	3	49	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	148
+	95	148
+	92	146
+	4	89	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	148
+	92	146
+	3	89	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	146
+	92	146
+	95	148
+	4	98	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	146
+	95	148
+	3	98	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	148
+	101	148
+	98	146
+	4	95	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	148
+	98	146
+	3	95	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	146
+	98	146
+	101	148
+	4	104	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	146
+	101	148
+	3	104	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	148
+	107	148
+	104	146
+	4	101	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	148
+	104	146
+	3	101	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	146
+	104	146
+	107	148
+	4	110	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	146
+	107	148
+	3	110	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	149
+	137	150
+	134	146
+	4	131	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	150
+	134	146
+	3	131	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	146
+	128	146
+	131	149
+	4	134	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	146
+	131	149
+	3	134	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	156
+	58	153
+	56	155
+	4	52	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	153
+	56	155
+	3	52	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	152
+	56	155
+	58	153
+	4	61	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	155
+	58	153
+	3	61	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	148
+	113	148
+	110	146
+	4	107	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	148
+	110	146
+	3	107	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	146
+	110	146
+	113	148
+	4	116	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	146
+	113	148
+	3	116	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	173
+	162	175
+	159	172
+	4	156	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	175
+	159	172
+	3	156	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	172
+	153	170
+	156	173
+	4	159	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	170
+	156	173
+	3	159	172	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	153
+	140	154
+	137	150
+	4	134	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	154
+	137	150
+	3	134	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	150
+	131	149
+	134	153
+	4	137	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	149
+	134	153
+	3	137	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	148
+	119	148
+	116	146
+	4	113	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	148
+	116	146
+	3	113	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	146
+	116	146
+	119	148
+	4	122	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	146
+	119	148
+	3	122	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	186
+	189	187
+	186	184
+	4	183	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	187
+	186	184
+	3	183	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	184
+	180	183
+	183	186
+	4	186	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	183
+	183	186
+	3	186	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	189
+	231	188
+	234	191
+	4	237	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	188
+	234	191
+	3	237	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	191
+	234	191
+	231	188
+	4	228	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	191
+	231	188
+	3	228	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	188
+	225	188
+	228	191
+	4	231	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	188
+	228	191
+	3	231	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	191
+	228	191
+	225	188
+	4	222	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	191
+	225	188
+	3	222	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	188
+	219	188
+	222	191
+	4	225	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	188
+	222	191
+	3	225	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	114
+	134	120
+	137	124
+	4	140	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	120
+	137	124
+	3	140	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	120
+	140	114
+	137	109
+	4	134	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	114
+	137	109
+	3	134	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	148
+	125	148
+	122	146
+	4	119	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	148
+	122	146
+	3	119	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	146
+	122	146
+	125	148
+	4	128	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	146
+	125	148
+	3	128	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	148
+	131	149
+	128	146
+	4	125	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	149
+	128	146
+	3	125	148	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	156
+	143	158
+	140	154
+	4	137	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	158
+	140	154
+	3	137	156	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	140	154
+	134	153
+	137	156
+	4	140	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	153
+	137	156
+	3	140	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	191
+	222	191
+	219	188
+	4	216	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	191
+	219	188
+	3	216	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	188
+	213	188
+	216	191
+	4	219	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	188
+	216	191
+	3	219	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	190
+	216	191
+	213	188
+	4	210	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	191
+	213	188
+	3	210	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	188
+	207	188
+	210	190
+	4	213	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	188
+	210	190
+	3	213	188	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	140	160
+	146	162
+	143	158
+	4	140	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	162
+	143	158
+	3	140	160	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	158
+	137	156
+	140	160
+	4	143	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	156
+	140	160
+	3	143	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	181
+	174	182
+	171	180
+	4	168	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	182
+	171	180
+	3	168	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	180
+	165	178
+	168	181
+	4	171	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	178
+	168	181
+	3	171	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	190
+	210	190
+	207	188
+	4	204	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	190
+	207	188
+	3	204	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	188
+	201	188
+	204	190
+	4	207	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	188
+	204	190
+	3	207	188	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	164
+	149	166
+	146	162
+	4	143	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	166
+	146	162
+	3	143	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	162
+	140	160
+	143	164
+	4	146	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	160
+	143	164
+	3	146	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	177
+	165	178
+	162	175
+	4	159	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	178
+	162	175
+	3	159	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	175
+	156	173
+	159	177
+	4	162	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	173
+	159	177
+	3	162	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	124
+	143	123
+	140	114
+	4	137	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	123
+	140	114
+	3	137	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	185
+	183	186
+	180	183
+	4	177	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	186
+	180	183
+	3	177	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	183
+	174	182
+	177	185
+	4	180	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	182
+	177	185
+	3	180	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	190
+	204	190
+	201	188
+	4	198	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	190
+	201	188
+	3	198	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	201	188
+	195	187
+	198	190
+	4	201	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	187
+	198	190
+	3	201	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	150
+	73	149
+	71	149
+	4	67	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	71	149
+	3	67	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	148
+	71	149
+	73	149
+	4	77	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	149
+	73	149
+	3	77	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	117
+	140	114
+	143	123
+	4	146	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	114
+	143	123
+	3	146	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	151
+	134	153
+	131	149
+	4	128	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	153
+	131	149
+	3	128	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	149
+	125	148
+	128	151
+	4	131	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	148
+	128	151
+	3	131	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	92
+	134	110
+	137	109
+	4	140	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	110
+	137	109
+	3	140	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	110
+	140	92
+	137	97
+	4	134	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	92
+	137	97
+	3	134	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	168
+	153	170
+	149	166
+	4	146	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	170
+	149	166
+	3	146	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	166
+	143	164
+	146	168
+	4	149	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	164
+	146	168
+	3	149	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	189
+	198	190
+	195	187
+	4	192	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	190
+	195	187
+	3	192	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	187
+	189	187
+	192	189
+	4	195	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	187
+	192	189
+	3	195	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	151
+	128	151
+	125	148
+	4	122	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	151
+	125	148
+	3	122	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	148
+	119	148
+	122	151
+	4	125	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	148
+	122	151
+	3	125	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	155
+	137	156
+	134	153
+	4	131	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	156
+	134	153
+	3	131	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	153
+	128	151
+	131	155
+	4	134	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	151
+	131	155
+	3	134	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	189
+	192	189
+	189	187
+	4	186	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	189
+	189	187
+	3	186	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	187
+	183	186
+	186	189
+	4	189	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	186
+	186	189
+	3	189	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	149
+	79	149
+	77	148
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	149
+	77	148
+	3	73	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	148
+	77	148
+	79	149
+	4	83	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	148
+	79	149
+	3	83	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	171
+	156	173
+	153	170
+	4	149	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	173
+	153	170
+	3	149	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	170
+	146	168
+	149	171
+	4	153	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	168
+	149	171
+	3	153	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	150
+	122	151
+	119	148
+	4	116	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	151
+	119	148
+	3	116	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	148
+	113	148
+	116	150
+	4	119	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	148
+	116	150
+	3	119	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	184
+	177	185
+	174	182
+	4	171	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	185
+	174	182
+	3	171	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	182
+	168	181
+	171	184
+	4	174	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	181
+	171	184
+	3	174	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	180
+	168	181
+	165	178
+	4	162	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	181
+	165	178
+	3	162	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	178
+	159	177
+	162	180
+	4	165	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	177
+	162	180
+	3	165	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	150
+	116	150
+	113	148
+	4	110	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	150
+	113	148
+	3	110	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	148
+	107	148
+	110	150
+	4	113	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	148
+	110	150
+	3	113	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	149
+	110	150
+	107	148
+	4	104	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	150
+	107	148
+	3	104	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	148
+	101	148
+	104	149
+	4	107	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	148
+	104	149
+	3	107	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	191
+	228	191
+	232	193
+	4	234	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	191
+	232	193
+	3	234	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	193
+	232	193
+	228	191
+	4	226	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	193
+	228	191
+	3	226	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	191
+	222	191
+	226	193
+	4	228	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	191
+	226	193
+	3	228	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	193
+	226	193
+	222	191
+	4	220	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	193
+	222	191
+	3	220	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	191
+	216	191
+	220	193
+	4	222	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	191
+	220	193
+	3	222	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	149
+	104	149
+	101	148
+	4	98	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	149
+	101	148
+	3	98	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	148
+	95	148
+	98	149
+	4	101	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	148
+	98	149
+	3	101	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	149
+	85	148
+	83	148
+	4	79	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	148
+	83	148
+	3	79	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	148
+	83	148
+	85	148
+	4	89	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	148
+	85	148
+	3	89	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	158
+	54	154
+	52	156
+	4	49	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	154
+	52	156
+	3	49	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	153
+	52	156
+	54	154
+	4	58	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	156
+	54	154
+	3	58	153	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	158
+	140	160
+	137	156
+	4	134	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	160
+	137	156
+	3	134	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	156
+	131	155
+	134	158
+	4	137	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	155
+	134	158
+	3	137	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	193
+	220	193
+	216	191
+	4	213	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	193
+	216	191
+	3	213	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	191
+	210	190
+	213	193
+	4	216	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	190
+	213	193
+	3	216	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	153
+	64	151
+	61	152
+	4	58	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	151
+	61	152
+	3	58	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	150
+	61	152
+	64	151
+	4	67	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	152
+	64	151
+	3	67	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	149
+	98	149
+	95	148
+	4	92	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	149
+	95	148
+	3	92	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	148
+	89	148
+	92	149
+	4	95	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	148
+	92	149
+	3	95	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	148
+	92	149
+	89	148
+	4	85	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	149
+	89	148
+	3	85	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	188
+	186	189
+	183	186
+	4	180	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	189
+	183	186
+	3	180	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	186
+	177	185
+	180	188
+	4	183	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	185
+	180	188
+	3	183	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	193
+	213	193
+	210	190
+	4	207	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	193
+	210	190
+	3	207	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	190
+	204	190
+	207	193
+	4	210	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	190
+	207	193
+	3	210	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	175
+	159	177
+	156	173
+	4	153	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	177
+	156	173
+	3	153	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	173
+	149	171
+	153	175
+	4	156	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	171
+	153	175
+	3	156	173	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	162
+	143	164
+	140	160
+	4	137	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	164
+	140	160
+	3	137	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	160
+	134	158
+	137	162
+	4	140	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	158
+	137	162
+	3	140	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	154
+	131	155
+	128	151
+	4	125	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	155
+	128	151
+	3	125	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	151
+	122	151
+	125	154
+	4	128	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	151
+	125	154
+	3	128	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	192
+	207	193
+	204	190
+	4	201	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	193
+	204	190
+	3	201	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	190
+	198	190
+	201	192
+	4	204	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	190
+	201	192
+	3	204	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	113
+	143	101
+	146	117
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	101
+	146	117
+	3	149	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	101
+	149	113
+	146	79
+	4	143	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	146	79
+	3	143	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	183
+	171	184
+	168	181
+	4	165	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	184
+	168	181
+	3	165	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	181
+	162	180
+	165	183
+	4	168	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	180
+	165	183
+	3	168	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	192
+	201	192
+	198	190
+	4	195	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	192
+	198	190
+	3	195	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	190
+	192	189
+	195	192
+	4	198	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	189
+	195	192
+	3	198	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	114
+	146	117
+	143	101
+	4	140	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	117
+	143	101
+	3	140	114	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	166
+	146	168
+	143	164
+	4	140	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	168
+	143	164
+	3	140	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	164
+	137	162
+	140	166
+	4	143	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	162
+	140	166
+	3	143	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	187
+	180	188
+	177	185
+	4	174	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	188
+	177	185
+	3	174	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	185
+	171	184
+	174	187
+	4	177	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	184
+	174	187
+	3	177	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	153
+	125	154
+	122	151
+	4	119	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	154
+	122	151
+	3	119	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	151
+	116	150
+	119	153
+	4	122	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	150
+	119	153
+	3	122	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	178
+	162	180
+	159	177
+	4	156	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	180
+	159	177
+	3	156	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	177
+	153	175
+	156	178
+	4	159	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	175
+	156	178
+	3	159	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	191
+	195	192
+	192	189
+	4	189	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	192
+	192	189
+	3	189	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	189
+	186	189
+	189	191
+	4	192	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	189
+	189	191
+	3	192	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	157
+	134	158
+	131	155
+	4	128	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	158
+	131	155
+	3	128	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	155
+	125	154
+	128	157
+	4	131	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	154
+	128	157
+	3	131	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	169
+	149	171
+	146	168
+	4	143	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	171
+	146	168
+	3	143	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	168
+	140	166
+	143	169
+	4	146	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	166
+	143	169
+	3	146	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	152
+	119	153
+	116	150
+	4	113	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	153
+	116	150
+	3	113	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	150
+	110	150
+	113	152
+	4	116	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	150
+	113	152
+	3	116	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	64	151
+	70	150
+	67	150
+	4	64	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	150
+	67	150
+	3	64	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	149
+	67	150
+	70	150
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	150
+	70	150
+	3	73	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	191
+	189	191
+	186	189
+	4	183	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	191
+	186	189
+	3	183	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	189
+	180	188
+	183	191
+	4	186	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	188
+	183	191
+	3	186	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	193
+	226	193
+	229	195
+	4	232	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	193
+	229	195
+	3	232	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	195
+	229	195
+	226	193
+	4	223	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	195
+	226	193
+	3	223	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	193
+	220	193
+	223	195
+	4	226	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	193
+	223	195
+	3	226	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	152
+	113	152
+	110	150
+	4	107	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	152
+	110	150
+	3	107	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	150
+	104	149
+	107	152
+	4	110	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	149
+	107	152
+	3	110	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	195
+	223	195
+	220	193
+	4	217	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	195
+	220	193
+	3	217	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	193
+	213	193
+	217	195
+	4	220	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	193
+	217	195
+	3	220	193	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	160
+	137	162
+	134	158
+	4	131	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	162
+	134	158
+	3	131	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	158
+	128	157
+	131	160
+	4	134	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	157
+	131	160
+	3	134	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	186
+	174	187
+	171	184
+	4	168	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	187
+	171	184
+	3	168	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	184
+	165	183
+	168	186
+	4	171	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	183
+	168	186
+	3	171	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	173
+	153	175
+	149	171
+	4	146	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	175
+	149	171
+	3	146	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	171
+	143	169
+	146	173
+	4	149	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	169
+	146	173
+	3	149	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	182
+	165	183
+	162	180
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	183
+	162	180
+	3	159	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	180
+	156	178
+	159	182
+	4	162	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	178
+	159	182
+	3	162	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	195
+	217	195
+	213	193
+	4	211	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	195
+	213	193
+	3	211	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	193
+	207	193
+	211	195
+	4	213	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	193
+	211	195
+	3	213	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	156
+	128	157
+	125	154
+	4	122	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	157
+	125	154
+	3	122	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	154
+	119	153
+	122	156
+	4	125	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	153
+	122	156
+	3	125	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	151
+	107	152
+	104	149
+	4	100	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	152
+	104	149
+	3	100	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	149
+	98	149
+	100	151
+	4	104	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	149
+	100	151
+	3	104	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	195
+	211	195
+	207	193
+	4	205	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	195
+	207	193
+	3	205	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	193
+	201	192
+	205	195
+	4	207	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	192
+	205	195
+	3	207	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	160
+	51	155
+	49	158
+	4	45	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	155
+	49	158
+	3	45	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	154
+	49	158
+	51	155
+	4	54	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	158
+	51	155
+	3	54	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	190
+	183	191
+	180	188
+	4	177	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	191
+	180	188
+	3	177	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	188
+	174	187
+	177	190
+	4	180	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	187
+	177	190
+	3	180	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	194
+	205	195
+	201	192
+	4	198	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	195
+	201	192
+	3	198	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	192
+	195	192
+	198	194
+	4	201	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	192
+	198	194
+	3	201	192	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	164
+	140	166
+	137	162
+	4	134	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	166
+	137	162
+	3	134	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	162
+	131	160
+	134	164
+	4	137	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	160
+	134	164
+	3	137	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	28
+	181	25
+	177	46
+	4	175	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	25
+	177	46
+	3	175	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	150
+	100	151
+	98	149
+	4	94	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	151
+	98	149
+	3	94	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	149
+	92	149
+	94	150
+	4	98	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	149
+	94	150
+	3	98	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	150
+	76	149
+	73	149
+	4	70	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	149
+	73	149
+	3	70	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	149
+	73	149
+	76	149
+	4	79	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	76	149
+	3	79	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	177
+	156	178
+	153	175
+	4	149	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	178
+	153	175
+	3	149	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	175
+	146	173
+	149	177
+	4	153	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	173
+	149	177
+	3	153	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	101
+	137	109
+	140	114
+	4	143	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	109
+	140	114
+	3	143	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	194
+	198	194
+	195	192
+	4	192	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	194
+	195	192
+	3	192	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	192
+	189	191
+	192	194
+	4	195	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	191
+	192	194
+	3	195	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	150
+	94	150
+	92	149
+	4	88	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	150
+	92	149
+	3	88	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	149
+	85	148
+	88	150
+	4	92	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	148
+	88	150
+	3	92	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	154
+	60	151
+	58	153
+	4	54	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	151
+	58	153
+	3	54	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	151
+	58	153
+	60	151
+	4	64	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	153
+	60	151
+	3	64	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	155
+	122	156
+	119	153
+	4	116	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	156
+	119	153
+	3	116	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	153
+	113	152
+	116	155
+	4	119	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	152
+	116	155
+	3	119	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	149
+	82	149
+	79	149
+	4	76	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	149
+	79	149
+	3	76	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	148
+	79	149
+	82	149
+	4	85	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	149
+	82	149
+	3	85	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	149
+	88	150
+	85	148
+	4	82	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	150
+	85	148
+	3	82	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	168
+	143	169
+	140	166
+	4	137	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	169
+	140	166
+	3	137	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	166
+	134	164
+	137	168
+	4	140	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	164
+	137	168
+	3	140	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	185
+	168	186
+	165	183
+	4	162	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	186
+	165	183
+	3	162	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	183
+	159	182
+	162	185
+	4	165	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	162	185
+	3	165	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	159
+	131	160
+	128	157
+	4	125	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	160
+	128	157
+	3	125	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	157
+	122	156
+	125	159
+	4	128	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	156
+	125	159
+	3	128	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	189
+	177	190
+	174	187
+	4	171	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	190
+	174	187
+	3	171	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	187
+	168	186
+	171	189
+	4	174	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	186
+	171	189
+	3	174	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	109
+	143	101
+	140	92
+	4	137	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	101
+	140	92
+	3	137	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	194
+	192	194
+	189	191
+	4	186	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	194
+	189	191
+	3	186	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	191
+	183	191
+	186	194
+	4	189	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	191
+	186	194
+	3	189	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	180
+	159	182
+	156	178
+	4	153	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	156	178
+	3	153	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	178
+	149	177
+	153	180
+	4	156	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	177
+	153	180
+	3	156	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	154
+	116	155
+	113	152
+	4	110	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	155
+	113	152
+	3	110	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	152
+	107	152
+	110	154
+	4	113	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	152
+	110	154
+	3	113	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	171
+	146	173
+	143	169
+	4	140	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	173
+	143	169
+	3	140	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	169
+	137	168
+	140	171
+	4	143	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	168
+	140	171
+	3	143	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	195
+	223	195
+	226	198
+	4	229	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	195
+	226	198
+	3	229	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	198
+	226	198
+	223	195
+	4	220	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	198
+	223	195
+	3	220	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	195
+	217	195
+	220	198
+	4	223	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	195
+	220	198
+	3	223	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	193
+	186	194
+	183	191
+	4	180	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	194
+	183	191
+	3	180	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	191
+	177	190
+	180	193
+	4	183	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	190
+	180	193
+	3	183	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	197
+	220	198
+	217	195
+	4	214	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	198
+	217	195
+	3	214	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	195
+	211	195
+	214	197
+	4	217	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	195
+	214	197
+	3	217	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	162
+	134	164
+	131	160
+	4	128	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	164
+	131	160
+	3	128	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	160
+	125	159
+	128	162
+	4	131	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	159
+	128	162
+	3	131	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	197
+	214	197
+	211	195
+	4	208	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	197
+	211	195
+	3	208	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	195
+	205	195
+	208	197
+	4	211	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	195
+	208	197
+	3	211	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	158
+	125	159
+	122	156
+	4	119	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	159
+	122	156
+	3	119	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	156
+	116	155
+	119	158
+	4	122	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	155
+	119	158
+	3	122	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	188
+	171	189
+	168	186
+	4	165	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	189
+	168	186
+	3	165	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	186
+	162	185
+	165	188
+	4	168	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	185
+	165	188
+	3	168	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	153
+	110	154
+	107	152
+	4	103	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	154
+	107	152
+	3	103	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	152
+	100	151
+	103	153
+	4	107	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	151
+	103	153
+	3	107	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	197
+	208	197
+	205	195
+	4	202	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	197
+	205	195
+	3	202	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	195
+	198	194
+	202	197
+	4	205	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	194
+	202	197
+	3	205	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	175
+	149	177
+	146	173
+	4	143	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	177
+	146	173
+	3	143	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	173
+	140	171
+	143	175
+	4	146	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	171
+	143	175
+	3	146	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	184
+	162	185
+	159	182
+	4	156	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	185
+	159	182
+	3	156	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	182
+	153	180
+	156	184
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	180
+	156	184
+	3	159	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	197
+	202	197
+	198	194
+	4	196	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	197
+	198	194
+	3	196	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	194
+	192	194
+	196	197
+	4	198	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	194
+	196	197
+	3	198	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	192
+	180	193
+	177	190
+	4	174	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	193
+	177	190
+	3	174	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	190
+	171	189
+	174	192
+	4	177	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	189
+	174	192
+	3	177	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	155
+	45	160
+	47	156
+	4	51	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	160
+	47	156
+	3	51	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	166
+	137	168
+	134	164
+	4	131	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	168
+	134	164
+	3	131	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	164
+	128	162
+	131	166
+	4	134	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	162
+	131	166
+	3	134	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	60	151
+	66	150
+	64	151
+	4	60	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	64	151
+	3	60	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	150
+	64	151
+	66	150
+	4	70	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	151
+	66	150
+	3	70	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	152
+	103	153
+	100	151
+	4	97	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	153
+	100	151
+	3	97	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	151
+	94	150
+	97	152
+	4	100	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	150
+	97	152
+	3	100	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	196
+	196	197
+	192	194
+	4	189	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	197
+	192	194
+	3	189	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	194
+	186	194
+	189	196
+	4	192	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	194
+	189	196
+	3	192	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	179
+	153	180
+	149	177
+	4	146	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	180
+	149	177
+	3	146	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	177
+	143	175
+	146	179
+	4	149	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	175
+	146	179
+	3	149	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	156
+	119	158
+	116	155
+	4	113	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	158
+	116	155
+	3	113	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	155
+	110	154
+	113	156
+	4	116	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	154
+	113	156
+	3	116	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	161
+	128	162
+	125	159
+	4	122	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	162
+	125	159
+	3	122	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	159
+	119	158
+	122	161
+	4	125	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	158
+	122	161
+	3	125	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	170
+	140	171
+	137	168
+	4	134	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	171
+	137	168
+	3	134	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	168
+	131	166
+	134	170
+	4	137	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	166
+	134	170
+	3	137	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	187
+	165	188
+	162	185
+	4	159	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	188
+	162	185
+	3	159	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	185
+	156	184
+	159	187
+	4	162	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	184
+	159	187
+	3	162	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	196
+	189	196
+	186	194
+	4	183	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	196
+	186	194
+	3	183	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	194
+	180	193
+	183	196
+	4	186	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	193
+	183	196
+	3	186	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	191
+	174	192
+	171	189
+	4	168	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	192
+	171	189
+	3	168	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	189
+	165	188
+	168	191
+	4	171	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	188
+	168	191
+	3	171	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	151
+	97	152
+	94	150
+	4	91	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	152
+	94	150
+	3	91	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	150
+	88	150
+	91	151
+	4	94	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	150
+	91	151
+	3	94	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	198
+	220	198
+	223	200
+	4	226	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	198
+	223	200
+	3	226	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	200
+	223	200
+	220	198
+	4	217	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	200
+	220	198
+	3	217	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	198
+	214	197
+	217	200
+	4	220	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	197
+	217	200
+	3	220	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	182
+	156	184
+	153	180
+	4	149	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	184
+	153	180
+	3	149	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	180
+	146	179
+	149	182
+	4	153	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	179
+	149	182
+	3	153	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	155
+	56	152
+	54	154
+	4	51	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	152
+	54	154
+	3	51	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	151
+	54	154
+	56	152
+	4	60	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	154
+	56	152
+	3	60	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	200
+	217	200
+	214	197
+	4	211	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	200
+	214	197
+	3	211	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	197
+	208	197
+	211	200
+	4	214	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	197
+	211	200
+	3	214	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	150
+	72	149
+	70	150
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	149
+	70	150
+	3	66	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	149
+	70	150
+	72	149
+	4	76	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	150
+	72	149
+	3	76	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	173
+	143	175
+	140	171
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	175
+	140	171
+	3	137	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	171
+	134	170
+	137	173
+	4	140	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	170
+	137	173
+	3	140	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	150
+	91	151
+	88	150
+	4	85	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	151
+	88	150
+	3	85	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	150
+	82	149
+	85	150
+	4	88	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	149
+	85	150
+	3	88	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	155
+	113	156
+	110	154
+	4	106	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	156
+	110	154
+	3	106	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	154
+	103	153
+	106	155
+	4	110	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	153
+	106	155
+	3	110	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	195
+	183	196
+	180	193
+	4	177	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	196
+	180	193
+	3	177	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	193
+	174	192
+	177	195
+	4	180	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	192
+	177	195
+	3	180	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	199
+	211	200
+	208	197
+	4	205	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	200
+	208	197
+	3	205	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	197
+	202	197
+	205	199
+	4	208	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	197
+	205	199
+	3	208	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	164
+	131	166
+	128	162
+	4	125	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	166
+	128	162
+	3	125	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	162
+	122	161
+	125	164
+	4	128	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	161
+	125	164
+	3	128	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	199
+	205	199
+	202	197
+	4	199	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	199
+	202	197
+	3	199	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	197
+	196	197
+	199	199
+	4	202	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	197
+	199	199
+	3	202	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	150
+	85	150
+	82	149
+	4	78	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	150
+	82	149
+	3	78	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	149
+	76	149
+	78	150
+	4	82	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	149
+	78	150
+	3	82	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	149
+	78	150
+	76	149
+	4	72	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	150
+	76	149
+	3	72	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	49
+	178	22
+	181	32
+	4	183	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	22
+	181	32
+	3	183	49	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	22
+	183	49
+	181	25
+	4	178	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	49
+	181	25
+	3	178	22	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	159
+	122	161
+	119	158
+	4	116	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	161
+	119	158
+	3	116	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	158
+	113	156
+	116	159
+	4	119	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	156
+	116	159
+	3	119	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	190
+	168	191
+	165	188
+	4	162	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	191
+	165	188
+	3	162	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	188
+	159	187
+	162	190
+	4	165	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	187
+	162	190
+	3	165	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	55
+	137	97
+	140	92
+	4	143	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	140	92
+	3	143	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	97
+	143	55
+	140	75
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	55
+	140	75
+	3	137	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	177
+	146	179
+	143	175
+	4	140	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	179
+	143	175
+	3	140	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	175
+	137	173
+	140	177
+	4	143	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	140	177
+	3	143	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	199
+	199	199
+	196	197
+	4	193	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	199
+	196	197
+	3	193	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	197
+	189	196
+	193	199
+	4	196	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	196
+	193	199
+	3	196	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	186
+	159	187
+	156	184
+	4	153	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	187
+	156	184
+	3	153	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	184
+	149	182
+	153	186
+	4	156	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	182
+	153	186
+	3	156	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	194
+	177	195
+	174	192
+	4	171	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	195
+	174	192
+	3	171	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	192
+	168	191
+	171	194
+	4	174	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	191
+	171	194
+	3	174	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	168
+	134	170
+	131	166
+	4	128	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	170
+	131	166
+	3	128	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	166
+	125	164
+	128	168
+	4	131	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	164
+	128	168
+	3	131	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	154
+	106	155
+	103	153
+	4	100	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	155
+	103	153
+	3	100	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	153
+	97	152
+	100	154
+	4	103	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	152
+	100	154
+	3	103	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	198
+	193	199
+	189	196
+	4	187	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	199
+	189	196
+	3	187	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	196
+	183	196
+	187	198
+	4	189	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	196
+	187	198
+	3	189	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	180
+	149	182
+	146	179
+	4	143	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	182
+	146	179
+	3	143	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	179
+	140	177
+	143	180
+	4	146	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	177
+	143	180
+	3	146	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	163
+	125	164
+	122	161
+	4	119	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	164
+	122	161
+	3	119	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	161
+	116	159
+	119	163
+	4	122	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	159
+	119	163
+	3	122	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	198
+	187	198
+	183	196
+	4	180	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	198
+	183	196
+	3	180	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	196
+	177	195
+	180	198
+	4	183	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	195
+	180	198
+	3	183	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	158
+	116	159
+	113	156
+	4	109	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	159
+	113	156
+	3	109	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	156
+	106	155
+	109	158
+	4	113	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	155
+	109	158
+	3	113	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	171
+	137	173
+	134	170
+	4	131	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	134	170
+	3	131	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	170
+	128	168
+	131	171
+	4	134	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	168
+	131	171
+	3	134	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	189
+	162	190
+	159	187
+	4	156	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	190
+	159	187
+	3	156	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	187
+	153	186
+	156	189
+	4	159	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	186
+	156	189
+	3	159	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	200
+	217	200
+	221	202
+	4	223	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	200
+	221	202
+	3	223	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	193
+	171	194
+	168	191
+	4	165	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	194
+	168	191
+	3	165	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	191
+	162	190
+	165	193
+	4	168	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	190
+	165	193
+	3	168	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	202
+	221	202
+	217	200
+	4	214	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	202
+	217	200
+	3	214	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	200
+	211	200
+	214	202
+	4	217	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	200
+	214	202
+	3	217	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	153
+	100	154
+	97	152
+	4	94	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	154
+	97	152
+	3	94	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	152
+	91	151
+	94	153
+	4	97	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	151
+	94	153
+	3	97	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	202
+	214	202
+	211	200
+	4	208	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	202
+	211	200
+	3	208	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	200
+	205	199
+	208	202
+	4	211	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	199
+	208	202
+	3	211	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	184
+	153	186
+	149	182
+	4	146	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	186
+	149	182
+	3	146	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	182
+	143	180
+	146	184
+	4	149	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	180
+	146	184
+	3	149	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	202
+	208	202
+	205	199
+	4	202	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	202
+	205	199
+	3	202	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	199
+	199	199
+	202	202
+	4	205	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	199
+	202	202
+	3	205	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	197
+	180	198
+	177	195
+	4	174	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	198
+	177	195
+	3	174	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	195
+	171	194
+	174	197
+	4	177	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	194
+	174	197
+	3	177	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	152
+	62	150
+	60	151
+	4	56	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	150
+	60	151
+	3	56	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	150
+	60	151
+	62	150
+	4	66	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	151
+	62	150
+	3	66	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	175
+	140	177
+	137	173
+	4	134	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	177
+	137	173
+	3	134	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	173
+	131	171
+	134	175
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	171
+	134	175
+	3	137	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	202
+	202	202
+	199	199
+	4	196	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	202
+	199	199
+	3	196	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	199
+	193	199
+	196	202
+	4	199	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	199
+	196	202
+	3	199	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	166
+	128	168
+	125	164
+	4	122	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	168
+	125	164
+	3	122	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	164
+	119	163
+	122	166
+	4	125	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	163
+	122	166
+	3	125	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	192
+	165	193
+	162	190
+	4	159	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	193
+	162	190
+	3	159	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	190
+	156	189
+	159	192
+	4	162	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	189
+	159	192
+	3	162	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	151
+	94	153
+	91	151
+	4	87	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	153
+	91	151
+	3	87	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	151
+	85	150
+	87	151
+	4	91	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	150
+	87	151
+	3	91	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	201
+	196	202
+	193	199
+	4	190	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	202
+	193	199
+	3	190	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	199
+	187	198
+	190	201
+	4	193	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	198
+	190	201
+	3	193	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	156
+	109	158
+	106	155
+	4	103	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	158
+	106	155
+	3	103	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	155
+	100	154
+	103	156
+	4	106	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	154
+	103	156
+	3	106	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	188
+	156	189
+	153	186
+	4	149	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	189
+	153	186
+	3	149	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	186
+	146	184
+	149	188
+	4	153	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	184
+	149	188
+	3	153	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	161
+	119	163
+	116	159
+	4	112	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	163
+	116	159
+	3	112	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	159
+	109	158
+	112	161
+	4	116	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	158
+	112	161
+	3	116	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	197
+	174	197
+	171	194
+	4	168	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	197
+	171	194
+	3	168	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	194
+	165	193
+	168	197
+	4	171	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	193
+	168	197
+	3	171	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	179
+	143	180
+	140	177
+	4	137	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	180
+	140	177
+	3	137	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	177
+	134	175
+	137	179
+	4	140	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	175
+	137	179
+	3	140	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	156
+	53	152
+	51	155
+	4	47	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	152
+	51	155
+	3	47	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	152
+	51	155
+	53	152
+	4	56	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	155
+	53	152
+	3	56	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	201
+	190	201
+	187	198
+	4	184	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	201
+	187	198
+	3	184	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	198
+	180	198
+	184	201
+	4	187	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	198
+	184	201
+	3	187	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	169
+	131	171
+	128	168
+	4	125	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	171
+	128	168
+	3	125	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	168
+	122	166
+	125	169
+	4	128	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	166
+	125	169
+	3	128	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	150
+	87	151
+	85	150
+	4	81	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	151
+	85	150
+	3	81	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	150
+	78	150
+	81	150
+	4	85	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	150
+	81	150
+	3	85	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	150
+	69	149
+	66	150
+	4	62	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	149
+	66	150
+	3	62	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	149
+	66	150
+	69	149
+	4	72	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	150
+	69	149
+	3	72	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	183
+	146	184
+	143	180
+	4	140	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	184
+	143	180
+	3	140	183	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	180
+	137	179
+	140	183
+	4	143	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	179
+	140	183
+	3	143	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	200
+	184	201
+	180	198
+	4	177	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	201
+	180	198
+	3	177	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	198
+	174	197
+	177	200
+	4	180	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	197
+	177	200
+	3	180	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	202
+	214	202
+	218	205
+	4	221	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	202
+	218	205
+	3	221	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	205
+	218	205
+	214	202
+	4	211	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	205
+	214	202
+	3	211	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	202
+	208	202
+	211	205
+	4	214	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	202
+	211	205
+	3	214	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	196
+	168	197
+	165	193
+	4	162	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	197
+	165	193
+	3	162	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	193
+	159	192
+	162	196
+	4	165	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	192
+	162	196
+	3	165	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	191
+	159	192
+	156	189
+	4	153	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	192
+	156	189
+	3	153	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	189
+	149	188
+	153	191
+	4	156	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	188
+	153	191
+	3	156	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	150
+	81	150
+	78	150
+	4	75	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	150
+	78	150
+	3	75	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	150
+	72	149
+	75	150
+	4	78	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	149
+	75	150
+	3	78	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	204
+	211	205
+	208	202
+	4	205	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	205
+	208	202
+	3	205	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	202
+	202	202
+	205	204
+	4	208	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	202
+	205	204
+	3	208	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	155
+	103	156
+	100	154
+	4	97	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	156
+	100	154
+	3	97	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	154
+	94	153
+	97	155
+	4	100	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	153
+	97	155
+	3	100	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	173
+	134	175
+	131	171
+	4	128	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	175
+	131	171
+	3	128	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	171
+	125	169
+	128	173
+	4	131	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	169
+	128	173
+	3	131	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	149
+	75	150
+	72	149
+	4	69	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	150
+	72	149
+	3	69	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	164
+	122	166
+	119	163
+	4	115	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	166
+	119	163
+	3	115	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	163
+	112	161
+	115	164
+	4	119	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	161
+	115	164
+	3	119	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	204
+	205	204
+	202	202
+	4	199	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	204
+	202	202
+	3	199	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	202
+	196	202
+	199	204
+	4	202	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	202
+	199	204
+	3	202	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	200
+	177	200
+	174	197
+	4	171	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	200
+	174	197
+	3	171	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	197
+	168	197
+	171	200
+	4	174	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	197
+	171	200
+	3	174	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	159
+	112	161
+	109	158
+	4	106	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	161
+	109	158
+	3	106	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	158
+	103	156
+	106	159
+	4	109	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	156
+	106	159
+	3	109	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	186
+	149	188
+	146	184
+	4	143	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	188
+	146	184
+	3	143	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	184
+	140	183
+	143	186
+	4	146	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	183
+	143	186
+	3	146	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	204
+	199	204
+	196	202
+	4	193	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	204
+	196	202
+	3	193	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	202
+	190	201
+	193	204
+	4	196	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	201
+	193	204
+	3	196	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	79
+	140	92
+	143	101
+	4	146	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	92
+	143	101
+	3	146	79	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	177
+	137	179
+	134	175
+	4	131	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	179
+	134	175
+	3	131	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	175
+	128	173
+	131	177
+	4	134	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	173
+	131	177
+	3	134	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	204
+	193	204
+	190	201
+	4	187	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	204
+	190	201
+	3	187	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	201
+	184	201
+	187	204
+	4	190	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	201
+	187	204
+	3	190	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	195
+	162	196
+	159	192
+	4	156	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	196
+	159	192
+	3	156	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	192
+	153	191
+	156	195
+	4	159	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	191
+	156	195
+	3	159	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	167
+	125	169
+	122	166
+	4	118	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	169
+	122	166
+	3	118	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	166
+	115	164
+	118	167
+	4	122	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	164
+	118	167
+	3	122	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	199
+	171	200
+	168	197
+	4	165	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	200
+	168	197
+	3	165	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	197
+	162	196
+	165	199
+	4	168	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	196
+	165	199
+	3	168	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	190
+	153	191
+	149	188
+	4	146	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	191
+	149	188
+	3	146	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	188
+	143	186
+	146	190
+	4	149	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	186
+	146	190
+	3	149	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	153
+	97	155
+	94	153
+	4	90	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	155
+	94	153
+	3	90	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	153
+	87	151
+	90	153
+	4	94	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	151
+	90	153
+	3	94	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	203
+	187	204
+	184	201
+	4	181	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	204
+	184	201
+	3	181	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	201
+	177	200
+	181	203
+	4	184	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	200
+	181	203
+	3	184	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	181
+	140	183
+	137	179
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	183
+	137	179
+	3	134	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	179
+	131	177
+	134	181
+	4	137	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	177
+	134	181
+	3	137	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	162
+	115	164
+	112	161
+	4	109	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	164
+	112	161
+	3	109	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	161
+	106	159
+	109	162
+	4	112	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	159
+	109	162
+	3	112	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	205
+	211	205
+	215	207
+	4	218	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	205
+	215	207
+	3	218	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	203
+	181	203
+	177	200
+	4	174	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	203
+	177	200
+	3	174	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	200
+	171	200
+	174	203
+	4	177	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	200
+	174	203
+	3	177	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	171
+	128	173
+	125	169
+	4	121	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	173
+	125	169
+	3	121	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	169
+	118	167
+	121	171
+	4	125	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	167
+	121	171
+	3	125	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	157
+	106	159
+	103	156
+	4	100	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	159
+	103	156
+	3	100	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	156
+	97	155
+	100	157
+	4	103	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	155
+	100	157
+	3	103	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	207
+	215	207
+	211	205
+	4	209	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	207
+	211	205
+	3	209	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	205
+	205	204
+	209	207
+	4	211	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	204
+	209	207
+	3	211	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	152
+	59	150
+	56	152
+	4	53	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	150
+	56	152
+	3	53	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	150
+	56	152
+	59	150
+	4	62	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	152
+	59	150
+	3	62	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	198
+	165	199
+	162	196
+	4	159	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	199
+	162	196
+	3	159	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	196
+	156	195
+	159	198
+	4	162	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	195
+	159	198
+	3	162	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	185
+	143	186
+	140	183
+	4	137	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	186
+	140	183
+	3	137	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	183
+	134	181
+	137	185
+	4	140	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	137	185
+	3	140	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	194
+	156	195
+	153	191
+	4	149	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	195
+	153	191
+	3	149	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	191
+	146	190
+	149	194
+	4	153	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	190
+	149	194
+	3	153	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	207
+	209	207
+	205	204
+	4	202	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	207
+	205	204
+	3	202	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	204
+	199	204
+	202	207
+	4	205	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	204
+	202	207
+	3	205	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	207
+	202	207
+	199	204
+	4	196	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	207
+	199	204
+	3	196	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	204
+	193	204
+	196	207
+	4	199	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	204
+	196	207
+	3	199	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	152
+	47	156
+	49	152
+	4	53	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	156
+	49	152
+	3	53	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	151
+	90	153
+	87	151
+	4	84	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	153
+	87	151
+	3	84	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	151
+	81	150
+	84	151
+	4	87	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	150
+	84	151
+	3	87	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	202
+	174	203
+	171	200
+	4	168	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	203
+	171	200
+	3	168	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	200
+	165	199
+	168	202
+	4	171	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	199
+	168	202
+	3	171	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	175
+	131	177
+	128	173
+	4	125	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	177
+	128	173
+	3	125	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	173
+	121	171
+	125	175
+	4	128	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	171
+	125	175
+	3	128	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	206
+	196	207
+	193	204
+	4	190	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	207
+	193	204
+	3	190	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	204
+	187	204
+	190	206
+	4	193	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	204
+	190	206
+	3	193	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	188
+	146	190
+	143	186
+	4	140	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	190
+	143	186
+	3	140	188	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	186
+	137	185
+	140	188
+	4	143	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	185
+	140	188
+	3	143	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	165
+	118	167
+	115	164
+	4	112	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	167
+	115	164
+	3	112	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	164
+	109	162
+	112	165
+	4	115	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	162
+	112	165
+	3	115	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	206
+	190	206
+	187	204
+	4	184	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	206
+	187	204
+	3	184	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	204
+	181	203
+	184	206
+	4	187	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	203
+	184	206
+	3	187	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	197
+	159	198
+	156	195
+	4	153	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	198
+	156	195
+	3	153	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	195
+	149	194
+	153	197
+	4	156	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	194
+	153	197
+	3	156	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	201
+	168	202
+	165	199
+	4	162	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	202
+	165	199
+	3	162	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	199
+	159	198
+	162	201
+	4	165	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	198
+	162	201
+	3	165	199	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	179
+	134	181
+	131	177
+	4	128	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	181
+	131	177
+	3	128	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	177
+	125	175
+	128	179
+	4	131	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	175
+	128	179
+	3	131	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	206
+	184	206
+	181	203
+	4	178	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	206
+	181	203
+	3	178	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	203
+	174	203
+	178	206
+	4	181	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	203
+	178	206
+	3	181	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	192
+	149	194
+	146	190
+	4	143	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	194
+	146	190
+	3	143	192	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	190
+	140	188
+	143	192
+	4	146	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	188
+	143	192
+	3	146	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	150
+	84	151
+	81	150
+	4	77	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	151
+	81	150
+	3	77	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	150
+	75	150
+	77	150
+	4	81	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	150
+	77	150
+	3	81	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	155
+	100	157
+	97	155
+	4	93	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	157
+	97	155
+	3	93	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	155
+	90	153
+	93	155
+	4	97	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	153
+	93	155
+	3	97	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	160
+	109	162
+	106	159
+	4	103	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	162
+	106	159
+	3	103	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	159
+	100	157
+	103	160
+	4	106	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	157
+	103	160
+	3	106	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	150
+	65	149
+	62	150
+	4	59	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	149
+	62	150
+	3	59	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	149
+	62	150
+	65	149
+	4	69	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	150
+	65	149
+	3	69	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	183
+	137	185
+	134	181
+	4	131	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	185
+	134	181
+	3	131	183	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	181
+	128	179
+	131	183
+	4	134	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	179
+	131	183
+	3	134	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	169
+	121	171
+	118	167
+	4	115	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	171
+	118	167
+	3	115	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	167
+	112	165
+	115	169
+	4	118	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	165
+	115	169
+	3	118	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	207
+	209	207
+	212	209
+	4	215	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	207
+	212	209
+	3	215	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	205
+	178	206
+	174	203
+	4	171	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	206
+	174	203
+	3	171	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	203
+	168	202
+	171	205
+	4	174	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	202
+	171	205
+	3	174	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	209
+	212	209
+	209	207
+	4	206	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	209
+	209	207
+	3	206	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	207
+	202	207
+	206	209
+	4	209	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	207
+	206	209
+	3	209	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	201
+	162	201
+	159	198
+	4	156	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	201
+	159	198
+	3	156	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	198
+	153	197
+	156	201
+	4	159	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	197
+	156	201
+	3	159	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	149
+	77	150
+	75	150
+	4	71	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	150
+	75	150
+	3	71	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	150
+	69	149
+	71	149
+	4	75	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	149
+	71	149
+	3	75	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	209
+	206	209
+	202	207
+	4	199	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	209
+	202	207
+	3	199	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	207
+	196	207
+	199	209
+	4	202	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	207
+	199	209
+	3	202	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	196
+	153	197
+	149	194
+	4	146	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	197
+	149	194
+	3	146	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	194
+	143	192
+	146	196
+	4	149	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	192
+	146	196
+	3	149	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	149
+	71	149
+	69	149
+	4	65	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	149
+	69	149
+	3	65	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	187
+	140	188
+	137	185
+	4	134	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	188
+	137	185
+	3	134	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	185
+	131	183
+	134	187
+	4	137	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	183
+	134	187
+	3	137	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	209
+	199	209
+	196	207
+	4	193	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	209
+	196	207
+	3	193	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	207
+	190	206
+	193	209
+	4	196	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	206
+	193	209
+	3	196	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	205
+	171	205
+	168	202
+	4	165	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	205
+	168	202
+	3	165	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	202
+	162	201
+	165	205
+	4	168	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	201
+	165	205
+	3	168	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	173
+	125	175
+	121	171
+	4	118	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	175
+	121	171
+	3	118	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	171
+	115	169
+	118	173
+	4	121	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	169
+	118	173
+	3	121	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	92
+	146	79
+	143	55
+	4	140	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	79
+	143	55
+	3	140	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	209
+	193	209
+	190	206
+	4	187	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	209
+	190	206
+	3	187	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	206
+	184	206
+	187	209
+	4	190	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	206
+	187	209
+	3	190	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	163
+	112	165
+	109	162
+	4	106	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	165
+	109	162
+	3	106	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	162
+	103	160
+	106	163
+	4	109	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	160
+	106	163
+	3	109	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	191
+	143	192
+	140	188
+	4	137	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	192
+	140	188
+	3	137	191	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	188
+	134	187
+	137	191
+	4	140	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	187
+	137	191
+	3	140	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	208
+	187	209
+	184	206
+	4	181	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	209
+	184	206
+	3	181	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	206
+	178	206
+	181	208
+	4	184	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	206
+	181	208
+	3	184	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	153
+	93	155
+	90	153
+	4	87	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	155
+	90	153
+	3	87	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	153
+	84	151
+	87	153
+	4	90	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	151
+	87	153
+	3	90	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	200
+	156	201
+	153	197
+	4	149	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	201
+	153	197
+	3	149	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	197
+	146	196
+	149	200
+	4	153	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	196
+	149	200
+	3	153	197	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	177
+	128	179
+	125	175
+	4	121	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	179
+	125	175
+	3	121	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	125	175
+	118	173
+	121	177
+	4	125	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	173
+	121	177
+	3	125	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	204
+	165	205
+	162	201
+	4	159	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	205
+	162	201
+	3	159	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	201
+	156	201
+	159	204
+	4	162	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	201
+	159	204
+	3	162	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	158
+	103	160
+	100	157
+	4	96	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	160
+	100	157
+	3	96	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	157
+	93	155
+	96	158
+	4	100	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	155
+	96	158
+	3	100	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	208
+	181	208
+	178	206
+	4	175	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	208
+	178	206
+	3	175	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	206
+	171	205
+	175	208
+	4	178	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	205
+	175	208
+	3	178	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	195
+	146	196
+	143	192
+	4	140	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	196
+	143	192
+	3	140	195	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	192
+	137	191
+	140	195
+	4	143	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	191
+	140	195
+	3	143	192	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	124	181
+	131	183
+	128	179
+	4	124	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	183
+	128	179
+	3	124	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	179
+	121	177
+	124	181
+	4	128	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	177
+	124	181
+	3	128	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	208
+	175	208
+	171	205
+	4	168	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	208
+	171	205
+	3	168	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	205
+	165	205
+	168	208
+	4	171	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	205
+	168	208
+	3	171	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	166
+	115	169
+	112	165
+	4	109	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	169
+	112	165
+	3	109	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	165
+	106	163
+	109	166
+	4	112	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	163
+	109	166
+	3	112	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	209
+	206	209
+	209	212
+	4	212	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	209
+	209	212
+	3	212	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	49	152
+	55	149
+	53	152
+	4	49	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	149
+	53	152
+	3	49	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	150
+	53	152
+	55	149
+	4	59	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	152
+	55	149
+	3	59	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	203
+	159	204
+	156	201
+	4	153	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	204
+	156	201
+	3	153	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	201
+	149	200
+	153	203
+	4	156	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	200
+	153	203
+	3	156	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	212
+	209	212
+	206	209
+	4	203	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	212
+	206	209
+	3	203	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	209
+	199	209
+	203	212
+	4	206	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	209
+	203	212
+	3	206	209	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	185
+	134	187
+	131	183
+	4	128	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	187
+	131	183
+	3	128	185	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	131	183
+	124	181
+	128	185
+	4	131	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	181
+	128	185
+	3	131	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	212
+	203	212
+	199	209
+	4	196	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	212
+	199	209
+	3	196	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	209
+	193	209
+	196	212
+	4	199	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	209
+	196	212
+	3	199	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	198
+	149	200
+	146	196
+	4	143	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	200
+	146	196
+	3	143	198	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	196
+	140	195
+	143	198
+	4	146	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	195
+	143	198
+	3	146	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	211
+	196	212
+	193	209
+	4	190	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	212
+	193	209
+	3	190	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	209
+	187	209
+	190	211
+	4	193	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	209
+	190	211
+	3	193	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	207
+	168	208
+	165	205
+	4	162	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	208
+	165	205
+	3	162	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	205
+	159	204
+	162	207
+	4	165	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	204
+	162	207
+	3	165	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	151
+	87	153
+	84	151
+	4	80	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	153
+	84	151
+	3	80	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	151
+	77	150
+	80	151
+	4	84	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	150
+	80	151
+	3	84	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	189
+	137	191
+	134	187
+	4	131	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	191
+	134	187
+	3	131	189	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	187
+	128	185
+	131	189
+	4	134	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	185
+	131	189
+	3	134	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	211
+	190	211
+	187	209
+	4	184	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	211
+	187	209
+	3	184	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	209
+	181	208
+	184	211
+	4	187	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	208
+	184	211
+	3	187	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	170
+	118	173
+	115	169
+	4	112	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	173
+	115	169
+	3	112	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	169
+	109	166
+	112	170
+	4	115	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	166
+	112	170
+	3	115	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	160
+	106	163
+	103	160
+	4	99	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	163
+	103	160
+	3	99	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	160
+	96	158
+	99	160
+	4	103	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	158
+	99	160
+	3	103	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	211
+	184	211
+	181	208
+	4	178	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	211
+	181	208
+	3	178	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	208
+	175	208
+	178	211
+	4	181	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	208
+	178	211
+	3	181	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	202
+	153	203
+	149	200
+	4	146	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	203
+	149	200
+	3	146	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	200
+	143	198
+	146	202
+	4	149	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	198
+	146	202
+	3	149	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	207
+	162	207
+	159	204
+	4	156	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	207
+	159	204
+	3	156	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	204
+	153	203
+	156	207
+	4	159	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	203
+	156	207
+	3	159	204	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	193
+	140	195
+	137	191
+	4	134	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	195
+	137	191
+	3	134	193	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	191
+	131	189
+	134	193
+	4	137	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	189
+	134	193
+	3	137	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	155
+	96	158
+	93	155
+	4	90	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	158
+	93	155
+	3	90	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	155
+	87	153
+	90	155
+	4	93	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	153
+	90	155
+	3	93	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	211
+	178	211
+	175	208
+	4	171	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	211
+	175	208
+	3	171	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	208
+	168	208
+	171	211
+	4	175	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	208
+	171	211
+	3	175	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	174
+	121	177
+	118	173
+	4	115	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	177
+	118	173
+	3	115	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	173
+	112	170
+	115	174
+	4	118	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	170
+	115	174
+	3	118	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	197
+	143	198
+	140	195
+	4	137	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	198
+	140	195
+	3	137	197	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	195
+	134	193
+	137	197
+	4	140	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	193
+	137	197
+	3	140	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	150
+	80	151
+	77	150
+	4	74	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	151
+	77	150
+	3	74	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	150
+	71	149
+	74	150
+	4	77	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	149
+	74	150
+	3	77	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	210
+	171	211
+	168	208
+	4	165	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	211
+	168	208
+	3	165	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	208
+	162	207
+	165	210
+	4	168	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	207
+	165	210
+	3	168	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	206
+	156	207
+	153	203
+	4	149	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	207
+	153	203
+	3	149	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	203
+	146	202
+	149	206
+	4	153	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	202
+	149	206
+	3	153	203	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	178
+	124	181
+	121	177
+	4	118	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	181
+	121	177
+	3	118	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	177
+	115	174
+	118	178
+	4	121	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	174
+	118	178
+	3	121	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	212
+	203	212
+	206	214
+	4	209	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	212
+	206	214
+	3	209	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	149
+	61	148
+	59	150
+	4	55	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	148
+	59	150
+	3	55	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	65	149
+	59	150
+	61	148
+	4	65	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	150
+	61	148
+	3	65	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	214
+	206	214
+	203	212
+	4	200	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	214
+	203	212
+	3	200	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	212
+	196	212
+	200	214
+	4	203	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	212
+	200	214
+	3	203	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	164
+	109	166
+	106	163
+	4	102	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	166
+	106	163
+	3	102	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	163
+	99	160
+	102	164
+	4	106	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	160
+	102	164
+	3	106	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	201
+	146	202
+	143	198
+	4	140	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	202
+	143	198
+	3	140	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	198
+	137	197
+	140	201
+	4	143	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	197
+	140	201
+	3	143	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	214
+	200	214
+	196	212
+	4	193	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	214
+	196	212
+	3	193	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	212
+	190	211
+	193	214
+	4	196	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	211
+	193	214
+	3	196	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	210
+	165	210
+	162	207
+	4	159	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	210
+	162	207
+	3	159	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	207
+	156	207
+	159	210
+	4	162	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	207
+	159	210
+	3	162	207	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	182
+	128	185
+	124	181
+	4	121	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	185
+	124	181
+	3	121	182	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	181
+	118	178
+	121	182
+	4	124	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	178
+	121	182
+	3	124	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	214
+	193	214
+	190	211
+	4	187	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	214
+	190	211
+	3	187	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	211
+	184	211
+	187	214
+	4	190	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	211
+	187	214
+	3	190	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	148
+	74	150
+	71	149
+	4	67	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	150
+	71	149
+	3	67	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	149
+	65	149
+	67	148
+	4	71	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	149
+	67	148
+	3	71	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	214
+	187	214
+	184	211
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	214
+	184	211
+	3	181	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	211
+	178	211
+	181	214
+	4	184	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	211
+	181	214
+	3	184	211	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	187
+	131	189
+	128	185
+	4	124	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	189
+	128	185
+	3	124	187	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	128	185
+	121	182
+	124	187
+	4	128	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	182
+	124	187
+	3	128	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	148
+	67	148
+	65	149
+	4	61	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	148
+	65	149
+	3	61	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	205
+	149	206
+	146	202
+	4	143	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	206
+	146	202
+	3	143	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	202
+	140	201
+	143	205
+	4	146	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	201
+	143	205
+	3	146	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	214
+	181	214
+	178	211
+	4	175	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	178	211
+	3	175	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	211
+	171	211
+	175	214
+	4	178	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	211
+	175	214
+	3	178	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	209
+	159	210
+	156	207
+	4	153	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	210
+	156	207
+	3	153	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	207
+	149	206
+	153	209
+	4	156	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	206
+	153	209
+	3	156	207	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	127	191
+	134	193
+	131	189
+	4	127	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	193
+	131	189
+	3	127	191	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	131	189
+	124	187
+	127	191
+	4	131	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	187
+	127	191
+	3	131	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	158
+	99	160
+	96	158
+	4	93	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	160
+	96	158
+	3	93	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	158
+	90	155
+	93	158
+	4	96	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	155
+	93	158
+	3	96	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	167
+	112	170
+	109	166
+	4	105	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	170
+	109	166
+	3	105	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	166
+	102	164
+	105	167
+	4	109	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	164
+	105	167
+	3	109	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	153
+	90	155
+	87	153
+	4	83	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	155
+	87	153
+	3	83	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	153
+	80	151
+	83	153
+	4	87	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	151
+	83	153
+	3	87	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	213
+	175	214
+	171	211
+	4	168	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	214
+	171	211
+	3	168	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	211
+	165	210
+	168	213
+	4	171	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	210
+	168	213
+	3	171	211	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	131	195
+	137	197
+	134	193
+	4	131	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	197
+	134	193
+	3	131	195	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	193
+	127	191
+	131	195
+	4	134	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	191
+	131	195
+	3	134	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	213
+	168	213
+	165	210
+	4	162	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	213
+	165	210
+	3	162	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	210
+	159	210
+	162	213
+	4	165	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	210
+	162	213
+	3	165	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	200
+	140	201
+	137	197
+	4	134	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	201
+	137	197
+	3	134	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	197
+	131	195
+	134	200
+	4	137	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	195
+	134	200
+	3	137	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	25
+	175	28
+	178	22
+	4	181	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	28
+	178	22
+	3	181	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	209
+	153	209
+	149	206
+	4	146	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	209
+	149	206
+	3	146	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	206
+	143	205
+	146	209
+	4	149	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	205
+	146	209
+	3	149	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	171
+	115	174
+	112	170
+	4	108	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	174
+	112	170
+	3	108	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	170
+	105	167
+	108	171
+	4	112	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	167
+	108	171
+	3	112	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	214
+	200	214
+	203	217
+	4	206	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	214
+	203	217
+	3	206	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	213
+	162	213
+	159	210
+	4	156	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	213
+	159	210
+	3	156	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	210
+	153	209
+	156	213
+	4	159	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	209
+	156	213
+	3	159	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	204
+	143	205
+	140	201
+	4	137	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	205
+	140	201
+	3	137	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	201
+	134	200
+	137	204
+	4	140	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	200
+	137	204
+	3	140	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	217
+	203	217
+	200	214
+	4	197	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	217
+	200	214
+	3	197	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	214
+	193	214
+	197	217
+	4	200	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	214
+	197	217
+	3	200	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	217
+	197	217
+	193	214
+	4	190	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	217
+	193	214
+	3	190	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	214
+	187	214
+	190	217
+	4	193	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	214
+	190	217
+	3	193	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	149
+	49	152
+	51	148
+	4	55	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	152
+	51	148
+	3	55	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	217
+	190	217
+	187	214
+	4	184	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	217
+	187	214
+	3	184	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	214
+	181	214
+	184	217
+	4	187	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	214
+	184	217
+	3	187	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	175
+	118	178
+	115	174
+	4	112	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	178
+	115	174
+	3	112	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	174
+	108	171
+	112	175
+	4	115	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	171
+	112	175
+	3	115	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	217
+	184	217
+	181	214
+	4	178	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	217
+	181	214
+	3	178	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	214
+	175	214
+	178	217
+	4	181	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	214
+	178	217
+	3	181	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	212
+	156	213
+	153	209
+	4	149	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	213
+	153	209
+	3	149	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	209
+	146	209
+	149	212
+	4	153	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	209
+	149	212
+	3	153	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	208
+	146	209
+	143	205
+	4	140	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	209
+	143	205
+	3	140	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	205
+	137	204
+	140	208
+	4	143	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	204
+	140	208
+	3	143	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	161
+	102	164
+	99	160
+	4	96	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	164
+	99	160
+	3	96	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	160
+	93	158
+	96	161
+	4	99	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	158
+	96	161
+	3	99	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	217
+	178	217
+	175	214
+	4	172	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	217
+	175	214
+	3	172	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	214
+	168	213
+	172	217
+	4	175	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	213
+	172	217
+	3	175	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	115	180
+	121	182
+	118	178
+	4	115	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	182
+	118	178
+	3	115	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	178
+	112	175
+	115	180
+	4	118	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	175
+	115	180
+	3	118	178	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	118	184
+	124	187
+	121	182
+	4	118	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	187
+	121	182
+	3	118	184	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	121	182
+	115	180
+	118	184
+	4	121	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	180
+	118	184
+	3	121	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	216
+	172	217
+	168	213
+	4	165	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	217
+	168	213
+	3	165	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	213
+	162	213
+	165	216
+	4	168	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	213
+	165	216
+	3	168	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	150
+	83	153
+	80	151
+	4	76	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	153
+	80	151
+	3	76	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	151
+	74	150
+	76	150
+	4	80	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	150
+	76	150
+	3	80	151	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	121	189
+	127	191
+	124	187
+	4	121	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	191
+	124	187
+	3	121	189	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	187
+	118	184
+	121	189
+	4	124	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	184
+	121	189
+	3	124	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	41
+	140	75
+	143	55
+	4	146	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	75
+	143	55
+	3	146	41	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	75
+	146	41
+	143	53
+	4	140	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	41
+	143	53
+	3	140	75	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	193
+	131	195
+	127	191
+	4	124	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	195
+	127	191
+	3	124	193	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	127	191
+	121	189
+	124	193
+	4	127	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	189
+	124	193
+	3	127	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	216
+	165	216
+	162	213
+	4	159	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	216
+	162	213
+	3	159	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	213
+	156	213
+	159	216
+	4	162	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	213
+	159	216
+	3	162	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	212
+	149	212
+	146	209
+	4	143	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	212
+	146	209
+	3	143	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	209
+	140	208
+	143	212
+	4	146	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	208
+	143	212
+	3	146	209	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	127	198
+	134	200
+	131	195
+	4	127	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	200
+	131	195
+	3	127	198	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	131	195
+	124	193
+	127	198
+	4	131	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	193
+	127	198
+	3	131	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	155
+	93	158
+	90	155
+	4	86	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	158
+	90	155
+	3	86	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	155
+	83	153
+	86	155
+	4	90	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	153
+	86	155
+	3	90	155	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	202
+	137	204
+	134	200
+	4	131	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	204
+	134	200
+	3	131	202	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	200
+	127	198
+	131	202
+	4	134	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	198
+	131	202
+	3	134	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	216
+	159	216
+	156	213
+	4	153	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	216
+	156	213
+	3	153	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	213
+	149	212
+	153	216
+	4	156	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	212
+	153	216
+	3	156	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	207
+	140	208
+	137	204
+	4	134	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	208
+	137	204
+	3	134	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	204
+	131	202
+	134	207
+	4	137	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	202
+	134	207
+	3	137	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	164
+	105	167
+	102	164
+	4	99	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	167
+	102	164
+	3	99	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	164
+	96	161
+	99	164
+	4	102	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	161
+	99	164
+	3	102	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	217
+	197	217
+	200	220
+	4	203	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	217
+	200	220
+	3	203	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	220
+	200	220
+	197	217
+	4	194	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	220
+	197	217
+	3	194	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	217
+	190	217
+	194	220
+	4	197	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	217
+	194	220
+	3	197	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	215
+	153	216
+	149	212
+	4	146	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	216
+	149	212
+	3	146	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	212
+	143	212
+	146	215
+	4	149	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	212
+	146	215
+	3	149	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	219
+	194	220
+	190	217
+	4	187	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	220
+	190	217
+	3	187	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	217
+	184	217
+	187	219
+	4	190	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	217
+	187	219
+	3	190	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	219
+	187	219
+	184	217
+	4	181	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	219
+	184	217
+	3	181	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	217
+	178	217
+	181	219
+	4	184	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	217
+	181	219
+	3	184	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	211
+	143	212
+	140	208
+	4	137	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	212
+	140	208
+	3	137	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	208
+	134	207
+	137	211
+	4	140	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	207
+	137	211
+	3	140	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	219
+	181	219
+	178	217
+	4	175	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	219
+	178	217
+	3	175	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	217
+	172	217
+	175	219
+	4	178	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	217
+	175	219
+	3	178	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	219
+	175	219
+	172	217
+	4	168	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	219
+	172	217
+	3	168	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	217
+	165	216
+	168	219
+	4	172	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	216
+	168	219
+	3	172	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	148
+	76	150
+	74	150
+	4	70	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	150
+	74	150
+	3	70	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	150
+	67	148
+	70	148
+	4	74	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	148
+	70	148
+	3	74	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	219
+	168	219
+	165	216
+	4	162	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	219
+	165	216
+	3	162	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	216
+	159	216
+	162	219
+	4	165	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	216
+	162	219
+	3	165	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	168
+	108	171
+	105	167
+	4	102	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	171
+	105	167
+	3	102	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	167
+	99	164
+	102	168
+	4	105	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	164
+	102	168
+	3	105	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	148
+	57	147
+	55	149
+	4	51	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	147
+	55	149
+	3	51	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	148
+	55	149
+	57	147
+	4	61	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	149
+	57	147
+	3	61	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	215
+	146	215
+	143	212
+	4	140	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	215
+	143	212
+	3	140	215	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	212
+	137	211
+	140	215
+	4	143	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	211
+	140	215
+	3	143	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	219
+	162	219
+	159	216
+	4	156	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	219
+	159	216
+	3	156	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	216
+	153	216
+	156	219
+	4	159	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	216
+	156	219
+	3	159	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	219
+	156	219
+	153	216
+	4	149	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	219
+	153	216
+	3	149	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	216
+	146	215
+	149	219
+	4	153	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	215
+	149	219
+	3	153	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	172
+	112	175
+	108	171
+	4	105	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	175
+	108	171
+	3	105	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	171
+	102	168
+	105	172
+	4	108	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	168
+	105	172
+	3	108	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	157
+	96	161
+	93	158
+	4	89	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	161
+	93	158
+	3	89	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	158
+	86	155
+	89	157
+	4	93	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	155
+	89	157
+	3	93	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	205
+	134	207
+	131	202
+	4	127	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	207
+	131	202
+	3	127	205	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	131	202
+	124	200
+	127	205
+	4	131	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	200
+	127	205
+	3	131	202	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	200
+	131	202
+	127	198
+	4	124	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	202
+	127	198
+	3	124	200	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	127	198
+	121	195
+	124	200
+	4	127	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	195
+	124	200
+	3	127	198	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	121	195
+	127	198
+	124	193
+	4	121	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	198
+	124	193
+	3	121	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	210
+	137	211
+	134	207
+	4	130	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	211
+	134	207
+	3	130	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	207
+	127	205
+	130	210
+	4	134	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	205
+	130	210
+	3	134	207	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	124	193
+	118	191
+	121	195
+	4	124	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	191
+	121	195
+	3	124	193	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	118	191
+	124	193
+	121	189
+	4	118	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	193
+	121	189
+	3	118	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	147
+	70	148
+	67	148
+	4	63	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	148
+	67	148
+	3	63	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	148
+	61	148
+	63	147
+	4	67	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	148
+	63	147
+	3	67	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	219
+	149	219
+	146	215
+	4	143	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	219
+	146	215
+	3	143	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	215
+	140	215
+	143	219
+	4	146	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	215
+	143	219
+	3	146	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	176
+	115	180
+	112	175
+	4	108	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	180
+	112	175
+	3	108	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	175
+	105	172
+	108	176
+	4	112	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	172
+	108	176
+	3	112	175	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	121	189
+	115	186
+	118	191
+	4	121	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	186
+	118	191
+	3	121	189	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	115	186
+	121	189
+	118	184
+	4	115	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	189
+	118	184
+	3	115	186	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	118	184
+	111	181
+	115	186
+	4	118	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	181
+	115	186
+	3	118	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	111	181
+	118	184
+	115	180
+	4	111	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	184
+	115	180
+	3	111	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	115	180
+	108	176
+	111	181
+	4	115	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	176
+	111	181
+	3	115	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	147
+	63	147
+	61	148
+	4	57	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	147
+	61	148
+	3	57	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	214
+	140	215
+	137	211
+	4	134	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	215
+	137	211
+	3	134	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	211
+	130	210
+	134	214
+	4	137	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	210
+	134	214
+	3	137	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	152
+	86	155
+	83	153
+	4	79	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	155
+	83	153
+	3	79	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	153
+	76	150
+	79	152
+	4	83	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	150
+	79	152
+	3	83	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	24
+	181	32
+	178	22
+	4	175	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	32
+	178	22
+	3	175	24	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	220
+	194	220
+	197	222
+	4	200	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	220
+	197	222
+	3	200	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	222
+	197	222
+	194	220
+	4	191	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	222
+	194	220
+	3	191	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	220
+	187	219
+	191	222
+	4	194	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	219
+	191	222
+	3	194	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	222
+	191	222
+	187	219
+	4	184	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	222
+	187	219
+	3	184	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	219
+	181	219
+	184	222
+	4	187	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	219
+	184	222
+	3	187	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	222
+	184	222
+	181	219
+	4	178	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	222
+	181	219
+	3	178	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	219
+	175	219
+	178	222
+	4	181	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	219
+	178	222
+	3	181	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	222
+	178	222
+	175	219
+	4	172	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	222
+	175	219
+	3	172	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	219
+	168	219
+	172	222
+	4	175	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	219
+	172	222
+	3	175	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	222
+	172	222
+	168	219
+	4	165	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	222
+	168	219
+	3	165	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	219
+	162	219
+	165	222
+	4	168	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	219
+	165	222
+	3	168	219	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	218
+	143	219
+	140	215
+	4	137	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	219
+	140	215
+	3	137	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	215
+	134	214
+	137	218
+	4	140	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	214
+	137	218
+	3	140	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	222
+	165	222
+	162	219
+	4	159	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	222
+	162	219
+	3	159	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	219
+	156	219
+	159	222
+	4	162	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	219
+	159	222
+	3	162	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	223
+	159	222
+	156	219
+	4	153	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	222
+	156	219
+	3	153	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	219
+	149	219
+	153	223
+	4	156	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	219
+	153	223
+	3	156	219	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	127	249
+	121	251
+	124	255
+	4	127	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	251
+	124	255
+	3	127	249	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	121	251
+	127	249
+	124	245
+	4	121	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	249
+	124	245
+	3	121	251	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	245
+	118	246
+	121	251
+	4	124	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	246
+	121	251
+	3	124	245	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	222
+	153	223
+	149	219
+	4	146	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	223
+	149	219
+	3	146	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	219
+	143	219
+	146	222
+	4	149	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	219
+	146	222
+	3	149	219	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	130	253
+	124	255
+	127	259
+	4	130	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	255
+	127	259
+	3	130	253	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	255
+	130	253
+	127	249
+	4	124	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	253
+	127	249
+	3	124	255	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	222
+	146	222
+	143	219
+	4	140	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	222
+	143	219
+	3	140	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	219
+	137	218
+	140	222
+	4	143	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	218
+	140	222
+	3	143	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	160
+	99	164
+	96	161
+	4	92	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	164
+	96	161
+	3	92	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	161
+	89	157
+	92	160
+	4	96	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	157
+	92	160
+	3	96	161	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	118	246
+	124	245
+	121	240
+	4	118	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	245
+	121	240
+	3	118	246	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	121	240
+	115	240
+	118	246
+	4	121	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	240
+	118	246
+	3	121	240	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	213
+	134	214
+	130	210
+	4	127	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	214
+	130	210
+	3	127	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	210
+	124	208
+	127	213
+	4	130	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	208
+	127	213
+	3	130	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	208
+	130	210
+	127	205
+	4	124	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	210
+	127	205
+	3	124	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	218
+	137	218
+	134	214
+	4	130	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	218
+	134	214
+	3	130	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	214
+	127	213
+	130	218
+	4	134	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	213
+	130	218
+	3	134	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	205
+	121	203
+	124	208
+	4	127	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	203
+	124	208
+	3	127	205	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	121	203
+	127	205
+	124	200
+	4	121	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	205
+	124	200
+	3	121	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	57
+	143	55
+	146	79
+	4	149	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	55
+	146	79
+	3	149	57	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	222
+	140	222
+	137	218
+	4	134	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	222
+	137	218
+	3	134	222	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	218
+	130	218
+	134	222
+	4	137	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	218
+	134	222
+	3	137	218	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	124	200
+	118	198
+	121	203
+	4	124	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	198
+	121	203
+	3	124	200	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	118	198
+	124	200
+	121	195
+	4	118	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	200
+	121	195
+	3	118	198	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	256
+	127	259
+	130	262
+	4	134	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	259
+	130	262
+	3	134	256	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	127	259
+	134	256
+	130	253
+	4	127	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	256
+	130	253
+	3	127	259	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	226
+	156	226
+	153	223
+	4	149	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	226
+	153	223
+	3	149	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	222
+	153	223
+	156	226
+	4	159	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	223
+	156	226
+	3	159	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	153	223
+	146	222
+	149	226
+	4	153	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	222
+	149	226
+	3	153	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	226
+	162	226
+	159	222
+	4	156	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	226
+	159	222
+	3	156	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	222
+	159	222
+	162	226
+	4	165	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	222
+	162	226
+	3	165	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	226
+	149	226
+	146	222
+	4	143	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	226
+	146	222
+	3	143	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	222
+	140	222
+	143	226
+	4	146	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	222
+	143	226
+	3	146	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	226
+	169	225
+	165	222
+	4	162	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	225
+	165	222
+	3	162	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	222
+	165	222
+	169	225
+	4	172	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	222
+	169	225
+	3	172	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	225
+	175	225
+	172	222
+	4	169	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	225
+	172	222
+	3	169	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	222
+	172	222
+	175	225
+	4	178	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	222
+	175	225
+	3	178	222	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	121	195
+	114	192
+	118	198
+	4	121	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	192
+	118	198
+	3	121	195	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	114	192
+	121	195
+	118	191
+	4	114	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	195
+	118	191
+	3	114	192	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	226
+	143	226
+	140	222
+	4	137	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	226
+	140	222
+	3	137	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	222
+	134	222
+	137	226
+	4	140	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	222
+	137	226
+	3	140	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	225
+	181	225
+	178	222
+	4	175	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	225
+	178	222
+	3	175	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	222
+	178	222
+	181	225
+	4	184	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	222
+	181	225
+	3	184	222	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	130	244
+	124	245
+	127	249
+	4	130	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	245
+	127	249
+	3	130	244	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	245
+	130	244
+	127	239
+	4	124	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	244
+	127	239
+	3	124	245	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	127	239
+	121	240
+	124	245
+	4	127	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	240
+	124	245
+	3	127	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	164
+	102	168
+	99	164
+	4	95	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	168
+	99	164
+	3	95	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	99	164
+	92	160
+	95	164
+	4	99	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	160
+	95	164
+	3	99	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	225
+	188	225
+	184	222
+	4	181	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	225
+	184	222
+	3	181	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	222
+	184	222
+	188	225
+	4	191	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	222
+	188	225
+	3	191	222	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	225
+	194	225
+	191	222
+	4	188	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	225
+	191	222
+	3	188	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	222
+	191	222
+	194	225
+	4	197	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	222
+	194	225
+	3	197	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	149
+	79	152
+	76	150
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	152
+	76	150
+	3	73	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	150
+	70	148
+	73	149
+	4	76	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	148
+	73	149
+	3	76	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	221
+	134	222
+	130	218
+	4	127	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	222
+	130	218
+	3	127	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	218
+	124	216
+	127	221
+	4	130	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	216
+	127	221
+	3	130	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	216
+	130	218
+	127	213
+	4	124	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	218
+	127	213
+	3	124	216	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	247
+	127	249
+	130	253
+	4	134	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	249
+	130	253
+	3	134	247	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	127	249
+	134	247
+	130	244
+	4	127	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	247
+	130	244
+	3	127	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	154
+	89	157
+	86	155
+	4	82	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	157
+	86	155
+	3	82	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	155
+	79	152
+	82	154
+	4	86	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	152
+	82	154
+	3	86	155	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	118	191
+	111	187
+	114	192
+	4	118	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	187
+	114	192
+	3	118	191	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	111	187
+	118	191
+	115	186
+	4	111	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	191
+	115	186
+	3	111	187	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	226
+	137	226
+	134	222
+	4	130	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	226
+	134	222
+	3	130	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	222
+	127	221
+	130	226
+	4	134	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	221
+	130	226
+	3	134	222	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	121	240
+	127	239
+	124	235
+	4	121	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	239
+	124	235
+	3	121	240	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	115	240
+	121	240
+	118	235
+	4	115	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	240
+	118	235
+	3	115	240	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	235
+	118	235
+	121	240
+	4	124	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	235
+	121	240
+	3	124	235	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	118	235
+	111	233
+	115	240
+	4	118	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	233
+	115	240
+	3	118	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	213
+	121	211
+	124	216
+	4	127	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	211
+	124	216
+	3	127	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	211
+	127	213
+	124	208
+	4	121	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	213
+	124	208
+	3	121	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	168
+	105	172
+	102	168
+	4	98	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	172
+	102	168
+	3	98	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	168
+	95	164
+	98	168
+	4	102	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	164
+	98	168
+	3	102	168	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	230
+	146	230
+	143	226
+	4	140	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	230
+	143	226
+	3	140	230	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	226
+	143	226
+	146	230
+	4	149	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	226
+	146	230
+	3	149	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	226
+	137	226
+	140	230
+	4	143	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	226
+	140	230
+	3	143	226	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	230
+	140	230
+	137	226
+	4	134	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	230
+	137	226
+	3	134	230	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	226
+	130	226
+	134	230
+	4	137	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	226
+	134	230
+	3	137	226	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	115	186
+	108	182
+	111	187
+	4	115	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	182
+	111	187
+	3	115	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	182
+	115	186
+	111	181
+	4	108	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	186
+	111	181
+	3	108	182	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	230
+	153	229
+	149	226
+	4	146	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	229
+	149	226
+	3	146	230	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	226
+	149	226
+	153	229
+	4	156	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	226
+	153	229
+	3	156	226	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	208
+	118	206
+	121	211
+	4	124	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	206
+	121	211
+	3	124	208	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	118	206
+	124	208
+	121	203
+	4	118	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	208
+	121	203
+	3	118	206	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	239
+	127	239
+	130	244
+	4	134	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	239
+	130	244
+	3	134	239	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	127	239
+	134	239
+	130	235
+	4	127	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	239
+	130	235
+	3	127	239	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	130	235
+	124	235
+	127	239
+	4	130	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	235
+	127	239
+	3	130	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	127	230
+	134	230
+	130	226
+	4	127	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	230
+	130	226
+	3	127	230	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	226
+	124	225
+	127	230
+	4	130	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	225
+	127	230
+	3	130	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	225
+	130	226
+	127	221
+	4	124	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	226
+	127	221
+	3	124	225	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	111	181
+	105	177
+	108	182
+	4	111	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	177
+	108	182
+	3	111	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	177
+	111	181
+	108	176
+	4	105	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	181
+	108	176
+	3	105	177	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	229
+	159	229
+	156	226
+	4	153	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	229
+	156	226
+	3	153	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	226
+	156	226
+	159	229
+	4	162	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	226
+	159	229
+	3	162	226	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	235
+	130	235
+	127	230
+	4	124	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	235
+	127	230
+	3	124	235	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	118	235
+	124	235
+	121	230
+	4	118	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	235
+	121	230
+	3	118	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	127	230
+	121	230
+	124	235
+	4	127	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	230
+	124	235
+	3	127	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	172
+	108	176
+	105	172
+	4	101	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	176
+	105	172
+	3	101	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	172
+	98	168
+	101	172
+	4	105	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	168
+	101	172
+	3	105	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	221
+	121	220
+	124	225
+	4	127	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	220
+	124	225
+	3	127	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	220
+	127	221
+	124	216
+	4	121	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	221
+	124	216
+	3	121	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	176
+	101	172
+	105	177
+	4	108	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	172
+	105	177
+	3	108	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	130	235
+	137	234
+	134	230
+	4	130	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	234
+	134	230
+	3	130	235	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	230
+	134	230
+	137	234
+	4	140	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	230
+	137	234
+	3	140	230	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	230
+	127	230
+	130	235
+	4	134	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	230
+	130	235
+	3	134	230	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	137	251
+	130	253
+	134	256
+	4	137	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	253
+	134	256
+	3	137	251	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	130	253
+	137	251
+	134	247
+	4	130	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	251
+	134	247
+	3	130	253	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	230
+	127	230
+	124	225
+	4	121	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	230
+	124	225
+	3	121	230	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	137	234
+	130	235
+	134	239
+	4	137	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	235
+	134	239
+	3	137	234	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	229
+	165	229
+	162	226
+	4	159	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	229
+	162	226
+	3	159	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	225
+	162	226
+	165	229
+	4	169	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	226
+	165	229
+	3	169	225	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	137	242
+	130	244
+	134	247
+	4	137	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	244
+	134	247
+	3	137	242	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	130	244
+	137	242
+	134	239
+	4	130	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	242
+	134	239
+	3	130	244	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	137	258
+	130	262
+	134	264
+	4	137	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	262
+	134	264
+	3	137	258	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	130	262
+	137	258
+	134	256
+	4	130	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	258
+	134	256
+	3	130	262	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	111	233
+	118	235
+	114	229
+	4	111	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	235
+	114	229
+	3	111	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	230
+	114	229
+	118	235
+	4	121	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	229
+	118	235
+	3	121	230	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	137	234
+	143	234
+	140	230
+	4	137	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	234
+	140	230
+	3	137	234	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	230
+	140	230
+	143	234
+	4	146	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	230
+	143	234
+	3	146	230	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	165	229
+	172	228
+	169	225
+	4	165	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	228
+	169	225
+	3	165	229	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	225
+	169	225
+	172	228
+	4	175	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	225
+	172	228
+	3	175	225	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	203
+	114	200
+	118	206
+	4	121	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	200
+	118	206
+	3	121	203	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	114	200
+	121	203
+	118	198
+	4	114	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	203
+	118	198
+	3	114	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	216
+	118	214
+	121	220
+	4	124	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	214
+	121	220
+	3	124	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	214
+	124	216
+	121	211
+	4	118	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	216
+	121	211
+	3	118	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	225
+	118	224
+	121	230
+	4	124	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	224
+	121	230
+	3	124	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	224
+	124	225
+	121	220
+	4	118	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	225
+	121	220
+	3	118	224	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	228
+	178	228
+	175	225
+	4	172	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	228
+	175	225
+	3	172	228	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	181	225
+	175	225
+	178	228
+	4	181	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	225
+	178	228
+	3	181	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	229
+	121	230
+	118	224
+	4	114	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	230
+	118	224
+	3	114	229	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	238
+	134	239
+	137	242
+	4	140	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	239
+	137	242
+	3	140	238	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	239
+	140	238
+	137	234
+	4	134	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	238
+	137	234
+	3	134	239	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	234
+	149	233
+	146	230
+	4	143	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	233
+	146	230
+	3	143	234	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	229
+	146	230
+	149	233
+	4	153	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	230
+	149	233
+	3	153	229	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	234
+	137	234
+	140	238
+	4	143	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	234
+	140	238
+	3	143	234	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	228
+	185	228
+	181	225
+	4	178	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	228
+	181	225
+	3	178	228	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	188	225
+	181	225
+	185	228
+	4	188	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	225
+	185	228
+	3	188	225	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	228
+	191	228
+	188	225
+	4	185	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	228
+	188	225
+	3	185	228	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	225
+	188	225
+	191	228
+	4	194	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	225
+	191	228
+	3	194	225	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	147
+	73	149
+	70	148
+	4	66	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	70	148
+	3	66	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	148
+	63	147
+	66	147
+	4	70	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	147
+	66	147
+	3	70	148	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	233
+	156	232
+	153	229
+	4	149	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	232
+	153	229
+	3	149	233	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	229
+	153	229
+	156	232
+	4	159	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	229
+	156	232
+	3	159	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	156
+	92	160
+	89	157
+	4	85	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	160
+	89	157
+	3	85	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	157
+	82	154
+	85	156
+	4	89	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	154
+	85	156
+	3	89	157	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	140	246
+	134	247
+	137	251
+	4	140	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	247
+	137	251
+	3	140	246	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	247
+	140	246
+	137	242
+	4	134	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	246
+	137	242
+	3	134	247	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	118	198
+	111	194
+	114	200
+	4	118	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	194
+	114	200
+	3	118	198	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	111	194
+	118	198
+	114	192
+	4	111	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	198
+	114	192
+	3	111	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	147
+	51	148
+	53	145
+	4	57	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	148
+	53	145
+	3	57	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	211
+	114	209
+	118	214
+	4	121	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	209
+	118	214
+	3	121	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	114	209
+	121	211
+	118	206
+	4	114	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	211
+	118	206
+	3	114	209	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	238
+	146	237
+	143	234
+	4	140	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	237
+	143	234
+	3	140	238	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	233
+	143	234
+	146	237
+	4	149	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	234
+	146	237
+	3	149	233	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	220
+	114	218
+	118	224
+	4	121	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	218
+	118	224
+	3	121	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	218
+	121	220
+	118	214
+	4	114	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	220
+	118	214
+	3	114	218	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	229
+	108	226
+	111	233
+	4	114	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	226
+	111	233
+	3	114	229	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	156	232
+	162	232
+	159	229
+	4	156	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	159	229
+	3	156	232	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	165	229
+	159	229
+	162	232
+	4	165	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	229
+	162	232
+	3	165	229	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	241
+	137	242
+	140	246
+	4	143	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	242
+	140	246
+	3	143	241	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	137	242
+	143	241
+	140	238
+	4	137	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	241
+	140	238
+	3	137	242	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	237
+	140	238
+	143	241
+	4	146	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	238
+	143	241
+	3	146	237	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	140	253
+	134	256
+	137	258
+	4	140	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	256
+	137	258
+	3	140	253	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	256
+	140	253
+	137	251
+	4	134	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	253
+	137	251
+	3	134	256	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	224
+	111	222
+	114	229
+	4	118	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	222
+	114	229
+	3	118	224	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	222
+	118	224
+	114	218
+	4	111	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	224
+	114	218
+	3	111	222	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	232
+	169	231
+	165	229
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	231
+	165	229
+	3	162	232	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	228
+	165	229
+	169	231
+	4	172	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	229
+	169	231
+	3	172	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	226
+	114	229
+	111	222
+	4	108	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	229
+	111	222
+	3	108	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	114	192
+	108	189
+	111	194
+	4	114	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	189
+	111	194
+	3	114	192	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	189
+	114	192
+	111	187
+	4	108	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	192
+	111	187
+	3	108	189	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	237
+	153	236
+	149	233
+	4	146	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	236
+	149	233
+	3	146	237	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	232
+	149	233
+	153	236
+	4	156	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	233
+	153	236
+	3	156	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	150
+	82	154
+	79	152
+	4	75	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	154
+	79	152
+	3	75	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	152
+	73	149
+	75	150
+	4	79	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	75	150
+	3	79	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	145
+	66	147
+	63	147
+	4	59	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	147
+	63	147
+	3	59	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	147
+	57	147
+	59	145
+	4	63	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	147
+	59	145
+	3	63	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	231
+	175	231
+	172	228
+	4	169	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	231
+	172	228
+	3	169	231	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	228
+	172	228
+	175	231
+	4	178	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	228
+	175	231
+	3	178	228	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	206
+	111	203
+	114	209
+	4	118	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	203
+	114	209
+	3	118	206	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	111	203
+	118	206
+	114	200
+	4	111	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	206
+	114	200
+	3	111	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	145
+	59	145
+	57	147
+	4	53	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	145
+	57	147
+	3	53	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	231
+	182	231
+	178	228
+	4	175	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	231
+	178	228
+	3	175	231	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	228
+	178	228
+	182	231
+	4	185	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	228
+	182	231
+	3	185	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	214
+	111	212
+	114	218
+	4	118	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	212
+	114	218
+	3	118	214	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	212
+	118	214
+	114	209
+	4	111	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	214
+	114	209
+	3	111	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	160
+	95	164
+	92	160
+	4	88	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	164
+	92	160
+	3	88	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	160
+	85	156
+	88	160
+	4	92	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	156
+	88	160
+	3	92	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	249
+	137	251
+	140	253
+	4	143	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	251
+	140	253
+	3	143	249	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	137	251
+	143	249
+	140	246
+	4	137	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	249
+	140	246
+	3	137	251	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	261
+	134	264
+	137	266
+	4	140	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	264
+	137	266
+	3	140	261	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	264
+	140	261
+	137	258
+	4	134	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	261
+	137	258
+	3	134	264	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	236
+	159	235
+	156	232
+	4	153	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	235
+	156	232
+	3	153	236	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	232
+	156	232
+	159	235
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	232
+	159	235
+	3	162	232	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	241
+	149	240
+	146	237
+	4	143	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	240
+	146	237
+	3	143	241	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	236
+	146	237
+	149	240
+	4	153	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	237
+	149	240
+	3	153	236	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	111	187
+	104	183
+	108	189
+	4	111	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	183
+	108	189
+	3	111	187	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	104	183
+	111	187
+	108	182
+	4	104	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	187
+	108	182
+	3	104	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	231
+	188	231
+	185	228
+	4	182	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	231
+	185	228
+	3	182	231	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	228
+	185	228
+	188	231
+	4	191	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	228
+	188	231
+	3	191	228	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	244
+	140	246
+	143	249
+	4	146	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	246
+	143	249
+	3	146	244	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	246
+	146	244
+	143	241
+	4	140	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	244
+	143	241
+	3	140	246	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	240
+	143	241
+	146	244
+	4	149	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	241
+	146	244
+	3	149	240	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	235
+	166	235
+	162	232
+	4	159	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	235
+	162	232
+	3	159	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	231
+	162	232
+	166	235
+	4	169	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	166	235
+	3	169	231	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	182
+	101	178
+	104	183
+	4	108	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	178
+	104	183
+	3	108	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	178
+	108	182
+	105	177
+	4	101	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	182
+	105	177
+	3	101	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	114	200
+	108	196
+	111	203
+	4	114	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	196
+	111	203
+	3	114	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	196
+	114	200
+	111	194
+	4	108	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	200
+	111	194
+	3	108	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	163
+	98	168
+	95	164
+	4	91	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	168
+	95	164
+	3	91	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	164
+	88	160
+	91	163
+	4	95	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	160
+	91	163
+	3	95	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	218
+	108	215
+	111	222
+	4	114	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	215
+	111	222
+	3	114	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	215
+	114	218
+	111	212
+	4	108	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	218
+	111	212
+	3	108	215	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	240
+	156	239
+	153	236
+	4	149	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	239
+	153	236
+	3	149	240	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	235
+	153	236
+	156	239
+	4	159	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	236
+	156	239
+	3	159	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	235
+	172	234
+	169	231
+	4	166	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	234
+	169	231
+	3	166	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	231
+	169	231
+	172	234
+	4	175	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	231
+	172	234
+	3	175	231	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	256
+	137	258
+	140	261
+	4	143	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	258
+	140	261
+	3	143	256	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	137	258
+	143	256
+	140	253
+	4	137	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	256
+	140	253
+	3	137	258	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	177
+	98	172
+	101	178
+	4	105	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	172
+	101	178
+	3	105	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	172
+	105	177
+	101	172
+	4	98	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	177
+	101	172
+	3	98	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	168
+	101	172
+	98	168
+	4	95	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	172
+	98	168
+	3	95	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	168
+	91	163
+	95	168
+	4	98	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	163
+	95	168
+	3	98	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	209
+	108	205
+	111	212
+	4	114	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	205
+	111	212
+	3	114	209	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	205
+	114	209
+	111	203
+	4	108	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	209
+	111	203
+	3	108	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	172
+	95	168
+	98	172
+	4	101	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	168
+	98	172
+	3	101	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	222
+	104	219
+	108	226
+	4	111	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	219
+	108	226
+	3	111	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	219
+	111	222
+	108	215
+	4	104	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	222
+	108	215
+	3	104	219	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	234
+	178	234
+	175	231
+	4	172	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	234
+	175	231
+	3	172	234	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	182	231
+	175	231
+	178	234
+	4	182	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	231
+	178	234
+	3	182	231	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	244
+	153	243
+	149	240
+	4	146	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	243
+	149	240
+	3	146	244	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	239
+	149	240
+	153	243
+	4	156	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	240
+	153	243
+	3	156	239	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	239
+	162	238
+	159	235
+	4	156	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	238
+	159	235
+	3	156	239	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	235
+	159	235
+	162	238
+	4	166	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	235
+	162	238
+	3	166	235	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	178	234
+	185	233
+	182	231
+	4	178	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	233
+	182	231
+	3	178	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	231
+	182	231
+	185	233
+	4	188	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	231
+	185	233
+	3	188	231	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	251
+	140	253
+	143	256
+	4	146	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	253
+	143	256
+	3	146	251	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	253
+	146	251
+	143	249
+	4	140	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	251
+	143	249
+	3	140	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	152
+	85	156
+	82	154
+	4	78	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	156
+	82	154
+	3	78	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	154
+	75	150
+	78	152
+	4	82	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	150
+	78	152
+	3	82	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	194
+	104	190
+	108	196
+	4	111	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	190
+	108	196
+	3	111	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	190
+	111	194
+	108	189
+	4	104	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	194
+	108	189
+	3	104	190	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	143	249
+	149	247
+	146	244
+	4	143	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	247
+	146	244
+	3	143	249	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	243
+	146	244
+	149	247
+	4	153	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	244
+	149	247
+	3	153	243	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	247
+	143	249
+	146	251
+	4	149	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	249
+	146	251
+	3	149	247	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	147
+	75	150
+	73	149
+	4	69	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	150
+	73	149
+	3	69	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	149
+	66	147
+	69	147
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	147
+	69	147
+	3	73	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	238
+	169	237
+	166	235
+	4	162	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	237
+	166	235
+	3	162	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	234
+	166	235
+	169	237
+	4	172	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	235
+	169	237
+	3	172	234	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	243
+	159	242
+	156	239
+	4	153	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	242
+	156	239
+	3	153	243	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	238
+	156	239
+	159	242
+	4	162	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	239
+	159	242
+	3	162	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	212
+	104	208
+	108	215
+	4	111	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	208
+	108	215
+	3	111	212	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	208
+	111	212
+	108	205
+	4	104	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	212
+	108	205
+	3	104	208	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	143	263
+	137	266
+	140	268
+	4	143	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	266
+	140	268
+	3	143	263	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	137	266
+	143	263
+	140	261
+	4	137	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	263
+	140	261
+	3	137	266	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	203
+	104	198
+	108	205
+	4	111	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	198
+	108	205
+	3	111	203	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	104	198
+	111	203
+	108	196
+	4	104	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	203
+	108	196
+	3	104	198	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	237
+	175	237
+	172	234
+	4	169	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	237
+	172	234
+	3	169	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	234
+	172	234
+	175	237
+	4	178	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	234
+	175	237
+	3	178	234	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	108	189
+	101	184
+	104	190
+	4	108	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	184
+	104	190
+	3	108	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	184
+	108	189
+	104	183
+	4	101	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	189
+	104	183
+	3	101	184	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	247
+	156	246
+	153	243
+	4	149	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	246
+	153	243
+	3	149	247	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	242
+	153	243
+	156	246
+	4	159	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	243
+	156	246
+	3	159	242	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	237
+	182	236
+	178	234
+	4	175	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	236
+	178	234
+	3	175	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	233
+	178	234
+	182	236
+	4	185	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	234
+	182	236
+	3	185	233	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	242
+	166	241
+	162	238
+	4	159	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	241
+	162	238
+	3	159	242	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	237
+	162	238
+	166	241
+	4	169	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	238
+	166	241
+	3	169	237	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	258
+	140	261
+	143	263
+	4	146	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	261
+	143	263
+	3	146	258	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	140	261
+	146	258
+	143	256
+	4	140	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	258
+	143	256
+	3	140	261	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	155
+	88	160
+	85	156
+	4	81	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	160
+	85	156
+	3	81	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	156
+	78	152
+	81	155
+	4	85	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	152
+	81	155
+	3	85	156	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	251
+	153	250
+	149	247
+	4	146	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	250
+	149	247
+	3	146	251	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	246
+	149	247
+	153	250
+	4	156	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	247
+	153	250
+	3	156	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	215
+	101	211
+	104	219
+	4	108	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	211
+	104	219
+	3	108	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	211
+	108	215
+	104	208
+	4	101	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	215
+	104	208
+	3	101	211	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	254
+	143	256
+	146	258
+	4	149	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	256
+	146	258
+	3	149	254	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	256
+	149	254
+	146	251
+	4	143	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	254
+	146	251
+	3	143	256	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	250
+	146	251
+	149	254
+	4	153	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	251
+	149	254
+	3	153	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	183
+	98	178
+	101	184
+	4	104	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	178
+	101	184
+	3	104	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	178
+	104	183
+	101	178
+	4	98	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	183
+	101	178
+	3	98	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	144
+	69	147
+	66	147
+	4	62	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	147
+	66	147
+	3	62	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	147
+	59	145
+	62	144
+	4	66	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	145
+	62	144
+	3	66	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	241
+	172	240
+	169	237
+	4	166	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	240
+	169	237
+	3	166	241	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	237
+	169	237
+	172	240
+	4	175	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	237
+	172	240
+	3	175	237	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	196
+	101	191
+	104	198
+	4	108	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	191
+	104	198
+	3	108	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	191
+	108	196
+	104	190
+	4	101	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	196
+	104	190
+	3	101	191	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	246
+	162	244
+	159	242
+	4	156	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	244
+	159	242
+	3	156	246	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	241
+	159	242
+	162	244
+	4	166	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	242
+	162	244
+	3	166	241	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	205
+	101	200
+	104	208
+	4	108	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	200
+	104	208
+	3	108	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	200
+	108	205
+	104	198
+	4	101	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	205
+	104	198
+	3	101	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	158
+	91	163
+	88	160
+	4	84	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	163
+	88	160
+	3	84	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	160
+	81	155
+	84	158
+	4	88	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	155
+	84	158
+	3	88	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	240
+	179	240
+	175	237
+	4	172	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	240
+	175	237
+	3	172	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	236
+	175	237
+	179	240
+	4	182	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	237
+	179	240
+	3	182	236	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	178
+	94	172
+	98	178
+	4	101	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	172
+	98	178
+	3	101	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	172
+	101	178
+	98	172
+	4	94	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	178
+	98	172
+	3	94	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	148
+	78	152
+	75	150
+	4	71	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	152
+	75	150
+	3	71	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	150
+	69	147
+	71	148
+	4	75	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	147
+	71	148
+	3	75	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	250
+	159	248
+	156	246
+	4	153	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	248
+	156	246
+	3	153	250	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	244
+	156	246
+	159	248
+	4	162	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	246
+	159	248
+	3	162	244	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	244
+	169	243
+	166	241
+	4	162	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	243
+	166	241
+	3	162	244	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	240
+	166	241
+	169	243
+	4	172	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	241
+	169	243
+	3	172	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	172
+	91	167
+	94	172
+	4	98	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	167
+	94	172
+	3	98	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	167
+	98	172
+	95	168
+	4	91	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	172
+	95	168
+	3	91	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	162
+	95	168
+	91	163
+	4	88	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	168
+	91	163
+	3	88	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	163
+	84	158
+	88	162
+	4	91	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	158
+	88	162
+	3	91	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	142
+	62	144
+	59	145
+	4	55	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	144
+	59	145
+	3	55	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	145
+	53	145
+	55	142
+	4	59	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	145
+	55	142
+	3	59	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	168
+	88	162
+	91	167
+	4	95	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	162
+	91	167
+	3	95	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	254
+	156	252
+	153	250
+	4	149	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	252
+	153	250
+	3	149	254	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	248
+	153	250
+	156	252
+	4	159	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	250
+	156	252
+	3	159	248	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	264
+	140	268
+	143	269
+	4	146	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	268
+	143	269
+	3	146	264	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	268
+	146	264
+	143	263
+	4	140	268	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	264
+	143	263
+	3	140	268	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	190
+	97	185
+	101	191
+	4	104	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	185
+	101	191
+	3	104	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	185
+	104	190
+	101	184
+	4	97	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	190
+	101	184
+	3	97	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	243
+	175	243
+	172	240
+	4	169	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	243
+	172	240
+	3	169	243	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	240
+	172	240
+	175	243
+	4	179	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	240
+	175	243
+	3	179	240	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	258
+	153	256
+	149	254
+	4	146	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	256
+	149	254
+	3	146	258	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	252
+	149	254
+	153	256
+	4	156	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	254
+	153	256
+	3	156	252	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	260
+	143	263
+	146	264
+	4	149	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	263
+	146	264
+	3	149	260	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	143	263
+	149	260
+	146	258
+	4	143	263	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	260
+	146	258
+	3	143	263	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	256
+	146	258
+	149	260
+	4	153	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	258
+	149	260
+	3	153	256	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	248
+	166	247
+	162	244
+	4	159	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	247
+	162	244
+	3	159	248	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	243
+	162	244
+	166	247
+	4	169	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	244
+	166	247
+	3	169	243	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	208
+	97	202
+	101	211
+	4	104	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	202
+	101	211
+	3	104	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	202
+	104	208
+	101	200
+	4	97	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	208
+	101	200
+	3	97	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	198
+	97	193
+	101	200
+	4	104	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	193
+	101	200
+	3	104	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	193
+	104	198
+	101	191
+	4	97	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	198
+	101	191
+	3	97	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	150
+	81	155
+	78	152
+	4	74	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	155
+	78	152
+	3	74	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	152
+	71	148
+	74	150
+	4	78	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	148
+	74	150
+	3	78	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	252
+	162	250
+	159	248
+	4	156	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	250
+	159	248
+	3	156	252	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	247
+	159	248
+	162	250
+	4	166	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	248
+	162	250
+	3	166	247	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	247
+	172	246
+	169	243
+	4	166	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	246
+	169	243
+	3	166	247	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	243
+	169	243
+	172	246
+	4	175	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	243
+	172	246
+	3	175	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	184
+	94	178
+	97	185
+	4	101	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	178
+	97	185
+	3	101	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	178
+	101	184
+	98	178
+	4	94	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	184
+	98	178
+	3	94	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	144
+	71	148
+	69	147
+	4	64	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	148
+	69	147
+	3	64	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	147
+	62	144
+	64	144
+	4	69	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	144
+	64	144
+	3	69	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	256
+	159	254
+	156	252
+	4	153	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	254
+	156	252
+	3	153	256	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	250
+	156	252
+	159	254
+	4	162	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	252
+	159	254
+	3	162	250	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	250
+	169	249
+	166	247
+	4	162	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	249
+	166	247
+	3	162	250	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	246
+	166	247
+	169	249
+	4	172	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	247
+	169	249
+	3	172	246	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	260
+	156	258
+	153	256
+	4	149	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	258
+	153	256
+	3	149	260	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	254
+	153	256
+	156	258
+	4	159	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	256
+	156	258
+	3	159	254	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	98	178
+	90	172
+	94	178
+	4	98	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	172
+	94	178
+	3	98	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	172
+	98	178
+	94	172
+	4	90	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	178
+	94	172
+	3	90	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	152
+	84	158
+	81	155
+	4	77	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	158
+	81	155
+	3	77	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	155
+	74	150
+	77	152
+	4	81	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	150
+	77	152
+	3	81	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	191
+	94	185
+	97	193
+	4	101	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	185
+	97	193
+	3	101	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	185
+	101	191
+	97	185
+	4	94	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	191
+	97	185
+	3	94	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	264
+	153	262
+	149	260
+	4	146	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	262
+	149	260
+	3	146	264	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	258
+	149	260
+	153	262
+	4	156	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	260
+	153	262
+	3	156	258	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	200
+	94	194
+	97	202
+	4	101	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	194
+	97	202
+	3	101	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	194
+	101	200
+	97	193
+	4	94	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	200
+	97	193
+	3	94	194	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	143	269
+	149	266
+	146	264
+	4	143	269	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	266
+	146	264
+	3	143	269	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	153	262
+	146	264
+	149	266
+	4	153	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	264
+	149	266
+	3	153	262	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	266
+	143	269
+	146	270
+	4	149	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	269
+	146	270
+	3	149	266	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	254
+	166	253
+	162	250
+	4	159	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	253
+	162	250
+	3	159	254	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	249
+	162	250
+	166	253
+	4	169	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	250
+	166	253
+	3	169	249	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	172
+	87	166
+	90	172
+	4	94	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	90	172
+	3	94	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	166
+	94	172
+	91	167
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	172
+	91	167
+	3	87	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	55
+	149	57
+	146	41
+	4	143	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	57
+	146	41
+	3	143	55	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	156
+	88	162
+	84	158
+	4	80	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	162
+	84	158
+	3	80	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	158
+	77	152
+	80	156
+	4	84	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	152
+	80	156
+	3	84	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	167
+	84	161
+	87	166
+	4	91	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	161
+	87	166
+	3	91	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	161
+	91	167
+	88	162
+	4	84	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	167
+	88	162
+	3	84	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	140
+	64	144
+	62	144
+	4	57	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	144
+	62	144
+	3	57	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	144
+	55	142
+	57	140
+	4	62	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	142
+	57	140
+	3	62	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	162
+	80	156
+	84	161
+	4	88	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	156
+	84	161
+	3	88	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	258
+	163	256
+	159	254
+	4	156	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	256
+	159	254
+	3	156	258	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	253
+	159	254
+	163	256
+	4	166	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	254
+	163	256
+	3	166	253	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	145
+	74	150
+	71	148
+	4	67	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	150
+	71	148
+	3	67	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	148
+	64	144
+	67	145
+	4	71	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	144
+	67	145
+	3	71	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	97	185
+	90	177
+	94	185
+	4	97	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	177
+	94	185
+	3	97	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	177
+	97	185
+	94	178
+	4	90	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	185
+	94	178
+	3	90	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	262
+	159	260
+	156	258
+	4	153	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	260
+	156	258
+	3	153	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	256
+	156	258
+	159	260
+	4	163	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	258
+	159	260
+	3	163	256	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	266
+	156	264
+	153	262
+	4	149	266	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	264
+	153	262
+	3	149	266	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	159	260
+	153	262
+	156	264
+	4	159	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	262
+	156	264
+	3	159	260	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	193
+	90	185
+	94	194
+	4	97	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	185
+	94	194
+	3	97	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	185
+	97	193
+	94	185
+	4	90	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	193
+	94	185
+	3	90	185	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	270
+	153	267
+	149	266
+	4	146	270	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	267
+	149	266
+	3	146	270	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	156	264
+	149	266
+	153	267
+	4	156	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	266
+	153	267
+	3	156	264	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	94	178
+	87	170
+	90	177
+	4	94	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	170
+	90	177
+	3	94	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	170
+	94	178
+	90	172
+	4	87	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	178
+	90	172
+	3	87	170	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	267
+	146	270
+	149	271
+	4	153	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	270
+	149	271
+	3	153	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	146
+	77	152
+	74	150
+	4	70	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	152
+	74	150
+	3	70	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	150
+	67	145
+	70	146
+	4	74	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	145
+	70	146
+	3	74	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	140
+	67	145
+	64	144
+	4	60	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	145
+	64	144
+	3	60	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	144
+	57	140
+	60	140
+	4	64	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	140
+	60	140
+	3	64	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	172
+	83	164
+	87	170
+	4	90	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	164
+	87	170
+	3	90	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	164
+	90	172
+	87	166
+	4	83	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	172
+	87	166
+	3	83	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	149
+	80	156
+	77	152
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	156
+	77	152
+	3	73	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	152
+	70	146
+	73	149
+	4	77	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	146
+	73	149
+	3	77	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	185
+	86	177
+	90	185
+	4	94	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	177
+	90	185
+	3	94	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	177
+	94	185
+	90	177
+	4	86	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	185
+	90	177
+	3	86	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	166
+	80	158
+	83	164
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	158
+	83	164
+	3	87	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	158
+	87	166
+	84	161
+	4	80	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	84	161
+	3	80	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	153
+	84	161
+	80	156
+	4	76	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	161
+	80	156
+	3	76	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	156
+	73	149
+	76	153
+	4	80	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	76	153
+	3	80	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	161
+	76	153
+	80	158
+	4	84	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	153
+	80	158
+	3	84	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	177
+	83	169
+	86	177
+	4	90	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	169
+	86	177
+	3	90	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	169
+	90	177
+	87	170
+	4	83	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	177
+	87	170
+	3	83	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	140
+	70	146
+	67	145
+	4	63	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	146
+	67	145
+	3	63	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	145
+	60	140
+	63	140
+	4	67	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	140
+	63	140
+	3	67	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	87	170
+	79	161
+	83	169
+	4	87	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	161
+	83	169
+	3	87	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	161
+	87	170
+	83	164
+	4	79	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	170
+	83	164
+	3	79	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	142
+	73	149
+	70	146
+	4	65	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	149
+	70	146
+	3	65	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	146
+	63	140
+	65	142
+	4	70	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	140
+	65	142
+	3	70	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	164
+	75	155
+	79	161
+	4	83	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	155
+	79	161
+	3	83	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	155
+	83	164
+	80	158
+	4	75	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	164
+	80	158
+	3	75	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	145
+	76	153
+	73	149
+	4	69	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	153
+	73	149
+	3	69	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	149
+	65	142
+	69	145
+	4	73	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	142
+	69	145
+	3	73	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	158
+	72	149
+	75	155
+	4	80	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	149
+	75	155
+	3	80	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	149
+	80	158
+	76	153
+	4	72	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	158
+	76	153
+	3	72	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	153
+	69	145
+	72	149
+	4	76	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	145
+	72	149
+	3	76	153	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/compatan.ps b/books/ps/compatan.ps
new file mode 100644
index 0000000..7cbee24
--- /dev/null
+++ b/books/ps/compatan.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	237	96	7	156	psDrawLine
+	globGC	(X)	242	91	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	92	54	178	221	psDrawLine
+	globGC	(Y)	87	49	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	129	21	129	199	psDrawLine
+	globGC	(Z)	134	16	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	96	98
+	101	28
+	99	24
+	4	96	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	28
+	99	24
+	3	96	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	28
+	96	98
+	98	102
+	4	101	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	98
+	98	102
+	3	101	28	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	99
+	98	102
+	96	98
+	4	90	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	102
+	96	98
+	3	90	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	102
+	90	99
+	92	103
+	4	98	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	99
+	92	103
+	3	98	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	100
+	92	103
+	90	99
+	4	83	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	103
+	90	99
+	3	83	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	103
+	83	100
+	85	104
+	4	92	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	100
+	85	104
+	3	92	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	101
+	85	104
+	83	100
+	4	77	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	104
+	83	100
+	3	77	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	102
+	103	32
+	101	28
+	4	98	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	32
+	101	28
+	3	98	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	32
+	98	102
+	100	106
+	4	103	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	102
+	100	106
+	3	103	32	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	103
+	100	106
+	98	102
+	4	92	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	106
+	98	102
+	3	92	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	104
+	77	101
+	79	105
+	4	85	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	101
+	79	105
+	3	85	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	102
+	79	105
+	77	101
+	4	71	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	105
+	77	101
+	3	71	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	106
+	92	103
+	93	107
+	4	100	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	103
+	93	107
+	3	100	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	104
+	93	107
+	92	103
+	4	85	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	107
+	92	103
+	3	85	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	105
+	71	102
+	72	106
+	4	79	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	102
+	72	106
+	3	79	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	103
+	72	106
+	71	102
+	4	64	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	106
+	71	102
+	3	64	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	107
+	85	104
+	87	108
+	4	93	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	104
+	87	108
+	3	93	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	105
+	87	108
+	85	104
+	4	79	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	108
+	85	104
+	3	79	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	106
+	105	36
+	103	32
+	4	100	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	36
+	103	32
+	3	100	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	36
+	100	106
+	102	110
+	4	105	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	106
+	102	110
+	3	105	36	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	107
+	102	110
+	100	106
+	4	93	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	110
+	100	106
+	3	93	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	106
+	64	103
+	66	107
+	4	72	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	103
+	66	107
+	3	72	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	104
+	66	107
+	64	103
+	4	58	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	107
+	64	103
+	3	58	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	108
+	79	105
+	81	109
+	4	87	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	105
+	81	109
+	3	87	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	106
+	81	109
+	79	105
+	4	72	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	109
+	79	105
+	3	72	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	110
+	93	107
+	95	111
+	4	102	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	107
+	95	111
+	3	102	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	108
+	95	111
+	93	107
+	4	87	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	111
+	93	107
+	3	87	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	107
+	58	104
+	60	108
+	4	66	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	104
+	60	108
+	3	66	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	106
+	60	108
+	58	104
+	4	51	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	108
+	58	104
+	3	51	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	109
+	72	106
+	74	110
+	4	81	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	106
+	74	110
+	3	81	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	107
+	74	110
+	72	106
+	4	66	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	110
+	72	106
+	3	66	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	110
+	108	40
+	105	36
+	4	102	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	40
+	105	36
+	3	102	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	40
+	102	110
+	104	114
+	4	108	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	110
+	104	114
+	3	108	40	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	111
+	104	114
+	102	110
+	4	95	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	102	110
+	3	95	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	111
+	87	108
+	89	111
+	4	95	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	108
+	89	111
+	3	95	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	109
+	89	111
+	87	108
+	4	81	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	111
+	87	108
+	3	81	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	108
+	51	106
+	53	110
+	4	60	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	106
+	53	110
+	3	60	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	45	107
+	53	110
+	51	106
+	4	45	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	110
+	51	106
+	3	45	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	110
+	66	107
+	68	111
+	4	74	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	107
+	68	111
+	3	74	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	108
+	68	111
+	66	107
+	4	60	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	111
+	66	107
+	3	60	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	110
+	45	107
+	47	111
+	4	53	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	107
+	47	111
+	3	53	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	38	109
+	47	111
+	45	107
+	4	38	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	111
+	45	107
+	3	38	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	111
+	81	109
+	83	112
+	4	89	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	109
+	83	112
+	3	89	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	110
+	83	112
+	81	109
+	4	74	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	112
+	81	109
+	3	74	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	114
+	95	111
+	97	115
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	111
+	97	115
+	3	104	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	111
+	97	115
+	95	111
+	4	89	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	115
+	95	111
+	3	89	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	111
+	60	108
+	61	112
+	4	68	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	108
+	61	112
+	3	68	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	110
+	61	112
+	60	108
+	4	53	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	112
+	60	108
+	3	53	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	111
+	38	109
+	40	113
+	4	47	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	109
+	40	113
+	3	47	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	32	110
+	40	113
+	38	109
+	4	32	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	113
+	38	109
+	3	32	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	112
+	74	110
+	76	113
+	4	83	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	110
+	76	113
+	3	83	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	111
+	76	113
+	74	110
+	4	68	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	113
+	74	110
+	3	68	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	114
+	110	45
+	108	40
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	45
+	108	40
+	3	104	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	45
+	104	114
+	106	118
+	4	110	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	106	118
+	3	110	45	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	115
+	106	118
+	104	114
+	4	97	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	118
+	104	114
+	3	97	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	115
+	89	111
+	91	115
+	4	97	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	111
+	91	115
+	3	97	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	83	112
+	91	115
+	89	111
+	4	83	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	115
+	89	111
+	3	83	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	112
+	53	110
+	55	114
+	4	61	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	110
+	55	114
+	3	61	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	111
+	55	114
+	53	110
+	4	47	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	114
+	53	110
+	3	47	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	40	113
+	32	110
+	33	114
+	4	40	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	110
+	33	114
+	3	40	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	25	112
+	33	114
+	32	110
+	4	25	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	114
+	32	110
+	3	25	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	113
+	68	111
+	69	115
+	4	76	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	111
+	69	115
+	3	76	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	112
+	69	115
+	68	111
+	4	61	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	115
+	68	111
+	3	61	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	114
+	47	111
+	48	115
+	4	55	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	111
+	48	115
+	3	55	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	40	113
+	48	115
+	47	111
+	4	40	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	115
+	47	111
+	3	40	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	115
+	83	112
+	84	116
+	4	91	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	112
+	84	116
+	3	91	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	113
+	84	116
+	83	112
+	4	76	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	116
+	83	112
+	3	76	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	33	114
+	25	112
+	27	116
+	4	33	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	112
+	27	116
+	3	33	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	19	113
+	27	116
+	25	112
+	4	19	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	116
+	25	112
+	3	19	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	118
+	97	115
+	99	119
+	4	106	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	115
+	99	119
+	3	106	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	115
+	99	119
+	97	115
+	4	91	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	119
+	97	115
+	3	91	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	115
+	61	112
+	63	116
+	4	69	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	112
+	63	116
+	3	69	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	114
+	63	116
+	61	112
+	4	55	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	116
+	61	112
+	3	55	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	48	115
+	40	113
+	41	117
+	4	48	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	113
+	41	117
+	3	48	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	33	114
+	41	117
+	40	113
+	4	33	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	117
+	40	113
+	3	33	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	27	116
+	19	113
+	20	117
+	4	27	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	113
+	20	117
+	3	27	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	12	115
+	20	117
+	19	113
+	4	12	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	117
+	19	113
+	3	12	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	118
+	113	50
+	110	45
+	4	106	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	50
+	110	45
+	3	106	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	50
+	106	118
+	108	123
+	4	113	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	118
+	108	123
+	3	113	50	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	119
+	108	123
+	106	118
+	4	99	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	123
+	106	118
+	3	99	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	116
+	76	113
+	78	117
+	4	84	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	113
+	78	117
+	3	84	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	115
+	78	117
+	76	113
+	4	69	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	117
+	76	113
+	3	69	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	119
+	91	115
+	93	119
+	4	99	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	115
+	93	119
+	3	99	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	116
+	93	119
+	91	115
+	4	84	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	119
+	91	115
+	3	84	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	116
+	55	114
+	56	117
+	4	63	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	114
+	56	117
+	3	63	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	48	115
+	56	117
+	55	114
+	4	48	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	117
+	55	114
+	3	48	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	41	117
+	33	114
+	35	118
+	4	41	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	114
+	35	118
+	3	41	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	27	116
+	35	118
+	33	114
+	4	27	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	118
+	33	114
+	3	27	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	20	117
+	12	115
+	13	119
+	4	20	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	115
+	13	119
+	3	20	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	117
+	69	115
+	71	118
+	4	78	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	115
+	71	118
+	3	78	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	116
+	71	118
+	69	115
+	4	63	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	118
+	69	115
+	3	63	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	56	117
+	48	115
+	50	119
+	4	56	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	115
+	50	119
+	3	56	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	41	117
+	50	119
+	48	115
+	4	41	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	119
+	48	115
+	3	41	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	118
+	27	116
+	28	120
+	4	35	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	116
+	28	120
+	3	35	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	20	117
+	28	120
+	27	116
+	4	20	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	120
+	27	116
+	3	20	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	119
+	84	116
+	86	120
+	4	93	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	116
+	86	120
+	3	93	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	117
+	86	120
+	84	116
+	4	78	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	120
+	84	116
+	3	78	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	123
+	99	119
+	101	122
+	4	108	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	119
+	101	122
+	3	108	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	119
+	101	122
+	99	119
+	4	93	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	122
+	99	119
+	3	93	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	118
+	63	116
+	65	120
+	4	71	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	116
+	65	120
+	3	71	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	56	117
+	65	120
+	63	116
+	4	56	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	120
+	63	116
+	3	56	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	50	119
+	41	117
+	43	121
+	4	50	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	117
+	43	121
+	3	50	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	118
+	43	121
+	41	117
+	4	35	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	121
+	41	117
+	3	35	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	28	120
+	20	117
+	21	121
+	4	28	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	117
+	21	121
+	3	28	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	13	119
+	21	121
+	20	117
+	4	13	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	121
+	20	117
+	3	13	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	123
+	115	55
+	113	50
+	4	108	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	55
+	113	50
+	3	108	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	55
+	108	123
+	110	126
+	4	115	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	123
+	110	126
+	3	115	55	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	101	122
+	110	126
+	108	123
+	4	101	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	126
+	108	123
+	3	101	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	120
+	78	117
+	80	121
+	4	86	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	117
+	80	121
+	3	86	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	118
+	80	121
+	78	117
+	4	71	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	121
+	78	117
+	3	71	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	120
+	56	117
+	58	121
+	4	65	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	117
+	58	121
+	3	65	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	50	119
+	58	121
+	56	117
+	4	50	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	121
+	56	117
+	3	50	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	122
+	93	119
+	95	122
+	4	101	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	119
+	95	122
+	3	101	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	120
+	95	122
+	93	119
+	4	86	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	122
+	93	119
+	3	86	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	121
+	35	118
+	36	122
+	4	43	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	118
+	36	122
+	3	43	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	28	120
+	36	122
+	35	118
+	4	28	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	122
+	35	118
+	3	28	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	21	121
+	13	119
+	14	123
+	4	21	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	119
+	14	123
+	3	21	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	121
+	71	118
+	73	122
+	4	80	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	118
+	73	122
+	3	80	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	120
+	73	122
+	71	118
+	4	65	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	71	118
+	3	65	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	121
+	50	119
+	51	123
+	4	58	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	119
+	51	123
+	3	58	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	121
+	51	123
+	50	119
+	4	43	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	123
+	50	119
+	3	43	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	36	122
+	28	120
+	29	124
+	4	36	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	120
+	29	124
+	3	36	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	21	121
+	29	124
+	28	120
+	4	21	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	124
+	28	120
+	3	21	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	122
+	86	120
+	88	123
+	4	95	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	120
+	88	123
+	3	95	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	121
+	88	123
+	86	120
+	4	80	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	123
+	86	120
+	3	80	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	126
+	101	122
+	104	125
+	4	110	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	122
+	104	125
+	3	110	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	122
+	104	125
+	101	122
+	4	95	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	125
+	101	122
+	3	95	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	122
+	65	120
+	66	124
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	120
+	66	124
+	3	73	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	121
+	66	124
+	65	120
+	4	58	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	124
+	65	120
+	3	58	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	29	124
+	21	121
+	23	126
+	4	29	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	121
+	23	126
+	3	29	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	14	123
+	23	126
+	21	121
+	4	14	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	126
+	21	121
+	3	14	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	123
+	43	121
+	44	125
+	4	51	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	121
+	44	125
+	3	51	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	122
+	44	125
+	43	121
+	4	36	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	125
+	43	121
+	3	36	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	126
+	118	62
+	115	55
+	4	110	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	62
+	115	55
+	3	110	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	62
+	110	126
+	112	129
+	4	118	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	126
+	112	129
+	3	118	62	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	104	125
+	112	129
+	110	126
+	4	104	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	129
+	110	126
+	3	104	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	123
+	80	121
+	81	124
+	4	88	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	121
+	81	124
+	3	88	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	122
+	81	124
+	80	121
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	124
+	80	121
+	3	73	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	23	126
+	14	123
+	16	127
+	4	23	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	123
+	16	127
+	3	23	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	125
+	36	122
+	38	126
+	4	44	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	122
+	38	126
+	3	44	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	29	124
+	38	126
+	36	122
+	4	29	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	126
+	36	122
+	3	29	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	124
+	58	121
+	60	125
+	4	66	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	121
+	60	125
+	3	66	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	123
+	60	125
+	58	121
+	4	51	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	125
+	58	121
+	3	51	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	125
+	95	122
+	97	125
+	4	104	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	122
+	97	125
+	3	104	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	123
+	97	125
+	95	122
+	4	88	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	125
+	95	122
+	3	88	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	126
+	29	124
+	31	128
+	4	38	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	124
+	31	128
+	3	38	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	23	126
+	31	128
+	29	124
+	4	23	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	128
+	29	124
+	3	23	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	125
+	51	123
+	53	127
+	4	60	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	123
+	53	127
+	3	60	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	125
+	53	127
+	51	123
+	4	44	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	127
+	51	123
+	3	44	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	124
+	73	122
+	75	126
+	4	81	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	75	126
+	3	81	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	124
+	75	126
+	73	122
+	4	66	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	73	122
+	3	66	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	128
+	23	126
+	24	130
+	4	31	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	126
+	24	130
+	3	31	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	16	127
+	24	130
+	23	126
+	4	16	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	130
+	23	126
+	3	16	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	125
+	88	123
+	90	126
+	4	97	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	123
+	90	126
+	3	97	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	124
+	90	126
+	88	123
+	4	81	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	126
+	88	123
+	3	81	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	127
+	44	125
+	46	129
+	4	53	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	125
+	46	129
+	3	53	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	126
+	46	129
+	44	125
+	4	38	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	129
+	44	125
+	3	38	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	126
+	66	124
+	68	127
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	124
+	68	127
+	3	75	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	125
+	68	127
+	66	124
+	4	60	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	127
+	66	124
+	3	60	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	112	129
+	104	125
+	106	127
+	4	112	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	125
+	106	127
+	3	112	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	125
+	106	127
+	104	125
+	4	97	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	127
+	104	125
+	3	97	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	11
+	187	14
+	185	10
+	4	178	11	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	14
+	185	10
+	3	178	11	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	24	130
+	16	127
+	17	132
+	4	24	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	127
+	17	132
+	3	24	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	129
+	38	126
+	39	131
+	4	46	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	126
+	39	131
+	3	46	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	128
+	39	131
+	38	126
+	4	31	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	131
+	38	126
+	3	31	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	127
+	60	125
+	61	129
+	4	68	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	125
+	61	129
+	3	68	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	127
+	61	129
+	60	125
+	4	53	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	129
+	60	125
+	3	53	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	129
+	120	77
+	118	62
+	4	112	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	77
+	118	62
+	3	112	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	77
+	112	129
+	114	126
+	4	120	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	129
+	114	126
+	3	120	77	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	127
+	114	126
+	112	129
+	4	106	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	126
+	112	129
+	3	106	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	126
+	81	124
+	83	127
+	4	90	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	124
+	83	127
+	3	90	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	126
+	83	127
+	81	124
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	127
+	81	124
+	3	75	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	14
+	178	11
+	181	15
+	4	187	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	11
+	181	15
+	3	187	14	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	13
+	181	15
+	178	11
+	4	172	13	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	15
+	178	11
+	3	172	13	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	131
+	31	128
+	32	133
+	4	39	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	128
+	32	133
+	3	39	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	24	130
+	32	133
+	31	128
+	4	24	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	133
+	31	128
+	3	24	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	129
+	53	127
+	54	131
+	4	61	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	127
+	54	131
+	3	61	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	129
+	54	131
+	53	127
+	4	46	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	131
+	53	127
+	3	46	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	127
+	97	125
+	99	127
+	4	106	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	125
+	99	127
+	3	106	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	126
+	99	127
+	97	125
+	4	90	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	127
+	97	125
+	3	90	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	127
+	75	126
+	77	129
+	4	83	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	77	129
+	3	83	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	127
+	77	129
+	75	126
+	4	68	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	129
+	75	126
+	3	68	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	15
+	172	13
+	175	17
+	4	181	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	13
+	175	17
+	3	181	15	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	14
+	175	17
+	172	13
+	4	165	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	17
+	172	13
+	3	165	14	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	133
+	24	130
+	25	134
+	4	32	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	130
+	25	134
+	3	32	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	17	132
+	25	134
+	24	130
+	4	17	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	134
+	24	130
+	3	17	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	131
+	46	129
+	48	133
+	4	54	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	129
+	48	133
+	3	54	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	131
+	48	133
+	46	129
+	4	39	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	133
+	46	129
+	3	39	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	15
+	190	18
+	187	14
+	4	181	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	18
+	187	14
+	3	181	15	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	129
+	68	127
+	70	131
+	4	77	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	127
+	70	131
+	3	77	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	129
+	70	131
+	68	127
+	4	61	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	131
+	68	127
+	3	61	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	17
+	165	14
+	168	18
+	4	175	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	14
+	168	18
+	3	175	17	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	15
+	168	18
+	165	14
+	4	159	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	18
+	165	14
+	3	159	15	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	127
+	90	126
+	92	129
+	4	99	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	126
+	92	129
+	3	99	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	127
+	92	129
+	90	126
+	4	83	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	129
+	90	126
+	3	83	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	25	134
+	17	132
+	18	136
+	4	25	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	132
+	18	136
+	3	25	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	133
+	39	131
+	41	135
+	4	48	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	131
+	41	135
+	3	48	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	133
+	41	135
+	39	131
+	4	32	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	135
+	39	131
+	3	32	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	18
+	181	15
+	184	19
+	4	190	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	15
+	184	19
+	3	190	18	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	17
+	184	19
+	181	15
+	4	175	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	19
+	181	15
+	3	175	17	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	131
+	61	129
+	63	133
+	4	70	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	129
+	63	133
+	3	70	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	131
+	63	133
+	61	129
+	4	54	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	133
+	61	129
+	3	54	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	18
+	159	15
+	162	19
+	4	168	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	15
+	162	19
+	3	168	18	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	16
+	162	19
+	159	15
+	4	152	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	19
+	159	15
+	3	152	16	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	126
+	106	127
+	108	126
+	4	114	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	127
+	108	126
+	3	114	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	127
+	108	126
+	106	127
+	4	99	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	126
+	106	127
+	3	99	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	129
+	83	127
+	85	131
+	4	92	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	127
+	85	131
+	3	92	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	129
+	85	131
+	83	127
+	4	77	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	131
+	83	127
+	3	77	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	135
+	32	133
+	34	137
+	4	41	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	133
+	34	137
+	3	41	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	25	134
+	34	137
+	32	133
+	4	25	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	137
+	32	133
+	3	25	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	19
+	175	17
+	177	21
+	4	184	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	17
+	177	21
+	3	184	19	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	18
+	177	21
+	175	17
+	4	168	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	21
+	175	17
+	3	168	18	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	133
+	54	131
+	56	135
+	4	63	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	131
+	56	135
+	3	63	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	133
+	56	135
+	54	131
+	4	48	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	135
+	54	131
+	3	48	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	19
+	152	16
+	155	20
+	4	162	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	16
+	155	20
+	3	162	19	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	17
+	155	20
+	152	16
+	4	146	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	20
+	152	16
+	3	146	17	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	19
+	193	22
+	190	18
+	4	184	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	22
+	190	18
+	3	184	19	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	137
+	25	134
+	27	139
+	4	34	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	134
+	27	139
+	3	34	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	18	136
+	27	139
+	25	134
+	4	18	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	139
+	25	134
+	3	18	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	131
+	77	129
+	78	133
+	4	85	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	129
+	78	133
+	3	85	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	131
+	78	133
+	77	129
+	4	70	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	133
+	77	129
+	3	70	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	21
+	168	18
+	171	22
+	4	177	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	18
+	171	22
+	3	177	21	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	19
+	171	22
+	168	18
+	4	162	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	22
+	168	18
+	3	162	19	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	135
+	48	133
+	49	137
+	4	56	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	133
+	49	137
+	3	56	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	135
+	49	137
+	48	133
+	4	41	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	137
+	48	133
+	3	41	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	126
+	99	127
+	101	128
+	4	108	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	127
+	101	128
+	3	108	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	129
+	101	128
+	99	127
+	4	92	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	128
+	99	127
+	3	92	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	22
+	184	19
+	187	23
+	4	193	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	19
+	187	23
+	3	193	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	21
+	187	23
+	184	19
+	4	177	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	23
+	184	19
+	3	177	21	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	27	139
+	18	136
+	20	141
+	4	27	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	136
+	20	141
+	3	27	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	133
+	70	131
+	72	135
+	4	78	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	131
+	72	135
+	3	78	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	133
+	72	135
+	70	131
+	4	63	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	135
+	70	131
+	3	63	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	20
+	146	17
+	148	22
+	4	155	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	17
+	148	22
+	3	155	20	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	19
+	148	22
+	146	17
+	4	139	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	22
+	146	17
+	3	139	19	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	137
+	41	135
+	42	139
+	4	49	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	135
+	42	139
+	3	49	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	137
+	42	139
+	41	135
+	4	34	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	139
+	41	135
+	3	34	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	22
+	162	19
+	164	23
+	4	171	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	19
+	164	23
+	3	171	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	20
+	164	23
+	162	19
+	4	155	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	23
+	162	19
+	3	155	20	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	135
+	63	133
+	65	137
+	4	72	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	133
+	65	137
+	3	72	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	135
+	65	137
+	63	133
+	4	56	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	137
+	63	133
+	3	56	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	23
+	177	21
+	180	25
+	4	187	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	21
+	180	25
+	3	187	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	22
+	180	25
+	177	21
+	4	171	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	25
+	177	21
+	3	171	22	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	128
+	92	129
+	94	131
+	4	101	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	129
+	94	131
+	3	101	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	131
+	94	131
+	92	129
+	4	85	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	131
+	92	129
+	3	85	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	139
+	34	137
+	35	141
+	4	42	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	137
+	35	141
+	3	42	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	27	139
+	35	141
+	34	137
+	4	27	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	141
+	34	137
+	3	27	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	22
+	139	19
+	142	23
+	4	148	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	19
+	142	23
+	3	148	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	20
+	142	23
+	139	19
+	4	133	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	23
+	139	19
+	3	133	20	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	23
+	155	20
+	158	25
+	4	164	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	20
+	158	25
+	3	164	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	22
+	158	25
+	155	20
+	4	148	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	25
+	155	20
+	3	148	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	23
+	196	26
+	193	22
+	4	187	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	26
+	193	22
+	3	187	23	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	137
+	56	135
+	58	139
+	4	65	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	135
+	58	139
+	3	65	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	137
+	58	139
+	56	135
+	4	49	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	56	135
+	3	49	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	131
+	85	131
+	87	133
+	4	94	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	131
+	87	133
+	3	94	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	133
+	87	133
+	85	131
+	4	78	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	133
+	85	131
+	3	78	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	25
+	171	22
+	174	26
+	4	180	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	22
+	174	26
+	3	180	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	23
+	174	26
+	171	22
+	4	164	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	26
+	171	22
+	3	164	23	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	141
+	27	139
+	28	143
+	4	35	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	139
+	28	143
+	3	35	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	20	141
+	28	143
+	27	139
+	4	20	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	143
+	27	139
+	3	20	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	126
+	123	99
+	120	77
+	4	114	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	99
+	120	77
+	3	114	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	99
+	114	126
+	116	115
+	4	123	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	126
+	116	115
+	3	123	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	126
+	116	115
+	114	126
+	4	108	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	115
+	114	126
+	3	108	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	23
+	133	20
+	135	24
+	4	142	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	20
+	135	24
+	3	142	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	21
+	135	24
+	133	20
+	4	126	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	24
+	133	20
+	3	126	21	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	139
+	49	137
+	51	142
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	137
+	51	142
+	3	58	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	139
+	51	142
+	49	137
+	4	42	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	49	137
+	3	42	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	26
+	187	23
+	190	28
+	4	196	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	23
+	190	28
+	3	196	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	25
+	190	28
+	187	23
+	4	180	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	28
+	187	23
+	3	180	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	25
+	148	22
+	151	26
+	4	158	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	22
+	151	26
+	3	158	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	23
+	151	26
+	148	22
+	4	142	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	26
+	148	22
+	3	142	23	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	133
+	78	133
+	80	136
+	4	87	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	133
+	80	136
+	3	87	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	135
+	80	136
+	78	133
+	4	72	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	136
+	78	133
+	3	72	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	143
+	20	141
+	21	146
+	4	28	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	141
+	21	146
+	3	28	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	26
+	164	23
+	167	28
+	4	174	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	23
+	167	28
+	3	174	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	25
+	167	28
+	164	23
+	4	158	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	28
+	164	23
+	3	158	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	142
+	42	139
+	44	144
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	139
+	44	144
+	3	51	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	35	141
+	44	144
+	42	139
+	4	35	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	144
+	42	139
+	3	35	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	136
+	72	135
+	73	139
+	4	80	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	135
+	73	139
+	3	80	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	137
+	73	139
+	72	135
+	4	65	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	139
+	72	135
+	3	65	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	28
+	180	25
+	183	29
+	4	190	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	25
+	183	29
+	3	190	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	26
+	183	29
+	180	25
+	4	174	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	29
+	180	25
+	3	174	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	24
+	126	21
+	128	25
+	4	135	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	21
+	128	25
+	3	135	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	21
+	128	25
+	126	21
+	4	119	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	25
+	126	21
+	3	119	21	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	26
+	142	23
+	144	27
+	4	151	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	23
+	144	27
+	3	151	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	24
+	144	27
+	142	23
+	4	135	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	27
+	142	23
+	3	135	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	28
+	158	25
+	160	29
+	4	167	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	25
+	160	29
+	3	167	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	26
+	160	29
+	158	25
+	4	151	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	29
+	158	25
+	3	151	26	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	115
+	108	126
+	110	124
+	4	116	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	126
+	110	124
+	3	116	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	128
+	110	124
+	108	126
+	4	101	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	124
+	108	126
+	3	101	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	139
+	65	137
+	66	141
+	4	73	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	137
+	66	141
+	3	73	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	139
+	66	141
+	65	137
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	141
+	65	137
+	3	58	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	28
+	199	30
+	196	26
+	4	190	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	30
+	196	26
+	3	190	28	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	144
+	35	141
+	37	146
+	4	44	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	141
+	37	146
+	3	44	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	143
+	37	146
+	35	141
+	4	28	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	146
+	35	141
+	3	28	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	29
+	174	26
+	177	31
+	4	183	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	26
+	177	31
+	3	183	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	28
+	177	31
+	174	26
+	4	167	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	31
+	174	26
+	3	167	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	124
+	101	128
+	103	129
+	4	110	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	128
+	103	129
+	3	110	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	131
+	103	129
+	101	128
+	4	94	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	129
+	101	128
+	3	94	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	25
+	119	21
+	122	26
+	4	128	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	21
+	122	26
+	3	128	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	22
+	122	26
+	119	21
+	4	112	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	26
+	119	21
+	3	112	22	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	141
+	58	139
+	60	144
+	4	66	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	60	144
+	3	66	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	142
+	60	144
+	58	139
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	144
+	58	139
+	3	51	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	27
+	135	24
+	138	28
+	4	144	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	24
+	138	28
+	3	144	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	25
+	138	28
+	135	24
+	4	128	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	28
+	135	24
+	3	128	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	146
+	28	143
+	30	148
+	4	37	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	143
+	30	148
+	3	37	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	21	146
+	30	148
+	28	143
+	4	21	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	148
+	28	143
+	3	21	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	29
+	151	26
+	154	31
+	4	160	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	26
+	154	31
+	3	160	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	27
+	154	31
+	151	26
+	4	144	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	31
+	151	26
+	3	144	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	30
+	190	28
+	193	32
+	4	199	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	28
+	193	32
+	3	199	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	29
+	193	32
+	190	28
+	4	183	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	32
+	190	28
+	3	183	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	129
+	94	131
+	96	133
+	4	103	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	131
+	96	133
+	3	103	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	133
+	96	133
+	94	131
+	4	87	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	133
+	94	131
+	3	87	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	31
+	167	28
+	170	32
+	4	177	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	28
+	170	32
+	3	177	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	29
+	170	32
+	167	28
+	4	160	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	32
+	167	28
+	3	160	29	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	144
+	51	142
+	53	146
+	4	60	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	53	146
+	3	60	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	144
+	53	146
+	51	142
+	4	44	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	146
+	51	142
+	3	44	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	133
+	87	133
+	89	137
+	4	96	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	133
+	89	137
+	3	96	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	136
+	89	137
+	87	133
+	4	80	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	137
+	87	133
+	3	80	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	30	148
+	21	146
+	23	150
+	4	30	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	146
+	23	150
+	3	30	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	32
+	183	29
+	186	34
+	4	193	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	29
+	186	34
+	3	193	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	31
+	186	34
+	183	29
+	4	177	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	34
+	183	29
+	3	177	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	26
+	112	22
+	115	26
+	4	122	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	22
+	115	26
+	3	122	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	23
+	115	26
+	112	22
+	4	105	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	26
+	112	22
+	3	105	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	28
+	128	25
+	131	29
+	4	138	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	25
+	131	29
+	3	138	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	26
+	131	29
+	128	25
+	4	122	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	29
+	128	25
+	3	122	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	31
+	144	27
+	147	32
+	4	154	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	27
+	147	32
+	3	154	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	28
+	147	32
+	144	27
+	4	138	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	32
+	144	27
+	3	138	28	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	137
+	80	136
+	82	140
+	4	89	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	136
+	82	140
+	3	89	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	139
+	82	140
+	80	136
+	4	73	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	140
+	80	136
+	3	73	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	146
+	44	144
+	46	148
+	4	53	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	144
+	46	148
+	3	53	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	37	146
+	46	148
+	44	144
+	4	37	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	148
+	44	144
+	3	37	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	32
+	160	29
+	163	34
+	4	170	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	29
+	163	34
+	3	170	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	31
+	163	34
+	160	29
+	4	154	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	34
+	160	29
+	3	154	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	32
+	202	35
+	199	30
+	4	193	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	35
+	199	30
+	3	193	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	140
+	73	139
+	75	143
+	4	82	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	139
+	75	143
+	3	82	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	141
+	75	143
+	73	139
+	4	66	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	143
+	73	139
+	3	66	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	34
+	177	31
+	179	35
+	4	186	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	31
+	179	35
+	3	186	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	32
+	179	35
+	177	31
+	4	170	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	35
+	177	31
+	3	170	32	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	148
+	37	146
+	38	151
+	4	46	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	146
+	38	151
+	3	46	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	30	148
+	38	151
+	37	146
+	4	30	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	151
+	37	146
+	3	30	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	32
+	138	28
+	140	33
+	4	147	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	28
+	140	33
+	3	147	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	29
+	140	33
+	138	28
+	4	131	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	33
+	138	28
+	3	131	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	29
+	122	26
+	124	30
+	4	131	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	26
+	124	30
+	3	131	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	26
+	124	30
+	122	26
+	4	115	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	30
+	122	26
+	3	115	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	26
+	105	23
+	108	27
+	4	115	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	23
+	108	27
+	3	115	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	24
+	108	27
+	105	23
+	4	99	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	27
+	105	23
+	3	99	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	143
+	66	141
+	68	145
+	4	75	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	141
+	68	145
+	3	75	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	144
+	68	145
+	66	141
+	4	60	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	145
+	66	141
+	3	60	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	34
+	154	31
+	156	35
+	4	163	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	31
+	156	35
+	3	163	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	32
+	156	35
+	154	31
+	4	147	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	35
+	154	31
+	3	147	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	35
+	193	32
+	196	37
+	4	202	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	32
+	196	37
+	3	202	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	34
+	196	37
+	193	32
+	4	186	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	37
+	193	32
+	3	186	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	35
+	170	32
+	173	37
+	4	179	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	32
+	173	37
+	3	179	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	34
+	173	37
+	170	32
+	4	163	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	37
+	170	32
+	3	163	34	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	151
+	30	148
+	31	153
+	4	38	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	148
+	31	153
+	3	38	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	23	150
+	31	153
+	30	148
+	4	23	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	153
+	30	148
+	3	23	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	145
+	60	144
+	61	148
+	4	68	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	144
+	61	148
+	3	68	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	146
+	61	148
+	60	144
+	4	53	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	148
+	60	144
+	3	53	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	37
+	186	34
+	189	38
+	4	196	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	34
+	189	38
+	3	196	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	35
+	189	38
+	186	34
+	4	179	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	38
+	186	34
+	3	179	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	33
+	131	29
+	133	34
+	4	140	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	29
+	133	34
+	3	140	33	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	30
+	133	34
+	131	29
+	4	124	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	34
+	131	29
+	3	124	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	35
+	147	32
+	150	37
+	4	156	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	32
+	150	37
+	3	156	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	33
+	150	37
+	147	32
+	4	140	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	37
+	147	32
+	3	140	33	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	148
+	53	146
+	54	151
+	4	61	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	146
+	54	151
+	3	61	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	148
+	54	151
+	53	146
+	4	46	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	53	146
+	3	46	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	30
+	115	26
+	117	31
+	4	124	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	26
+	117	31
+	3	124	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	27
+	117	31
+	115	26
+	4	108	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	31
+	115	26
+	3	108	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	27
+	99	24
+	101	28
+	4	108	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	24
+	101	28
+	3	108	27	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	153
+	23	150
+	24	155
+	4	31	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	150
+	24	155
+	3	31	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	37
+	163	34
+	166	39
+	4	173	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	34
+	166	39
+	3	173	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	35
+	166	39
+	163	34
+	4	156	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	39
+	163	34
+	3	156	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	37
+	206	39
+	202	35
+	4	196	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	39
+	202	35
+	3	196	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	151
+	46	148
+	47	153
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	148
+	47	153
+	3	54	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	151
+	47	153
+	46	148
+	4	38	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	153
+	46	148
+	3	38	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	38
+	179	35
+	182	40
+	4	189	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	35
+	182	40
+	3	189	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	37
+	182	40
+	179	35
+	4	173	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	40
+	179	35
+	3	173	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	133
+	105	131
+	103	129
+	4	96	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	131
+	103	129
+	3	96	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	131
+	96	133
+	98	136
+	4	105	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	133
+	98	136
+	3	105	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	137
+	98	136
+	96	133
+	4	89	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	136
+	96	133
+	3	89	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	136
+	89	137
+	91	140
+	4	98	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	137
+	91	140
+	3	98	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	140
+	91	140
+	89	137
+	4	82	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	140
+	89	137
+	3	82	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	129
+	112	125
+	110	124
+	4	103	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	125
+	110	124
+	3	103	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	125
+	103	129
+	105	131
+	4	112	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	129
+	105	131
+	3	112	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	140
+	82	140
+	84	144
+	4	91	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	140
+	84	144
+	3	91	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	143
+	84	144
+	82	140
+	4	75	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	144
+	82	140
+	3	75	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	37
+	140	33
+	143	38
+	4	150	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	33
+	143	38
+	3	150	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	34
+	143	38
+	140	33
+	4	133	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	38
+	140	33
+	3	133	34	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	34
+	124	30
+	126	35
+	4	133	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	30
+	126	35
+	3	133	34	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	31
+	126	35
+	124	30
+	4	117	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	35
+	124	30
+	3	117	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	39
+	156	35
+	159	40
+	4	166	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	35
+	159	40
+	3	166	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	37
+	159	40
+	156	35
+	4	150	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	40
+	156	35
+	3	150	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	31
+	108	27
+	110	31
+	4	117	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	27
+	110	31
+	3	117	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	28
+	110	31
+	108	27
+	4	101	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	31
+	108	27
+	3	101	28	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	153
+	38	151
+	40	155
+	4	47	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	151
+	40	155
+	3	47	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	31	153
+	40	155
+	38	151
+	4	31	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	155
+	38	151
+	3	31	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	144
+	75	143
+	77	147
+	4	84	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	143
+	77	147
+	3	84	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	145
+	77	147
+	75	143
+	4	68	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	147
+	75	143
+	3	68	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	39
+	196	37
+	199	41
+	4	206	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	37
+	199	41
+	3	206	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	38
+	199	41
+	196	37
+	4	189	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	41
+	196	37
+	3	189	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	40
+	173	37
+	176	42
+	4	182	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	37
+	176	42
+	3	182	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	39
+	176	42
+	173	37
+	4	166	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	42
+	173	37
+	3	166	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	147
+	68	145
+	70	150
+	4	77	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	145
+	70	150
+	3	77	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	148
+	70	150
+	68	145
+	4	61	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	150
+	68	145
+	3	61	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	124
+	119	117
+	116	115
+	4	110	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	117
+	116	115
+	3	110	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	117
+	110	124
+	112	125
+	4	119	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	124
+	112	125
+	3	119	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	155
+	31	153
+	33	158
+	4	40	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	153
+	33	158
+	3	40	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	24	155
+	33	158
+	31	153
+	4	24	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	158
+	31	153
+	3	24	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	40
+	150	37
+	152	42
+	4	159	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	37
+	152	42
+	3	159	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	38
+	152	42
+	150	37
+	4	143	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	42
+	150	37
+	3	143	38	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	38
+	133	34
+	136	39
+	4	143	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	34
+	136	39
+	3	143	38	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	35
+	136	39
+	133	34
+	4	126	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	39
+	133	34
+	3	126	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	41
+	189	38
+	192	43
+	4	199	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	38
+	192	43
+	3	199	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	40
+	192	43
+	189	38
+	4	182	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	43
+	189	38
+	3	182	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	150
+	61	148
+	63	153
+	4	70	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	148
+	63	153
+	3	70	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	151
+	63	153
+	61	148
+	4	54	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	153
+	61	148
+	3	54	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	35
+	117	31
+	119	35
+	4	126	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	31
+	119	35
+	3	126	35	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	31
+	119	35
+	117	31
+	4	110	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	35
+	117	31
+	3	110	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	42
+	166	39
+	169	44
+	4	176	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	39
+	169	44
+	3	176	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	40
+	169	44
+	166	39
+	4	159	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	44
+	166	39
+	3	159	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	31
+	101	28
+	103	32
+	4	110	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	28
+	103	32
+	3	110	31	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	158
+	24	155
+	26	160
+	4	33	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	155
+	26	160
+	3	33	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	153
+	54	151
+	56	155
+	4	63	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	151
+	56	155
+	3	63	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	153
+	56	155
+	54	151
+	4	47	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	155
+	54	151
+	3	47	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	41
+	209	44
+	206	39
+	4	199	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	44
+	206	39
+	3	199	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	43
+	182	40
+	185	45
+	4	192	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	40
+	185	45
+	3	192	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	42
+	185	45
+	182	40
+	4	176	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	45
+	182	40
+	3	176	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	42
+	143	38
+	145	43
+	4	152	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	38
+	145	43
+	3	152	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	39
+	145	43
+	143	38
+	4	136	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	43
+	143	38
+	3	136	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	44
+	159	40
+	162	45
+	4	169	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	40
+	162	45
+	3	169	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	42
+	162	45
+	159	40
+	4	152	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	45
+	159	40
+	3	152	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	39
+	126	35
+	129	40
+	4	136	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	35
+	129	40
+	3	136	39	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	35
+	129	40
+	126	35
+	4	119	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	40
+	126	35
+	3	119	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	155
+	47	153
+	49	158
+	4	56	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	153
+	49	158
+	3	56	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	155
+	49	158
+	47	153
+	4	40	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	158
+	47	153
+	3	40	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	35
+	110	31
+	112	36
+	4	119	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	31
+	112	36
+	3	119	35	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	32
+	112	36
+	110	31
+	4	103	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	36
+	110	31
+	3	103	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	44
+	199	41
+	202	46
+	4	209	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	41
+	202	46
+	3	209	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	43
+	202	46
+	199	41
+	4	192	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	46
+	199	41
+	3	192	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	45
+	176	42
+	179	47
+	4	185	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	42
+	179	47
+	3	185	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	44
+	179	47
+	176	42
+	4	169	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	47
+	176	42
+	3	169	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	158
+	40	155
+	42	160
+	4	49	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	155
+	42	160
+	3	49	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	158
+	42	160
+	40	155
+	4	33	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	160
+	40	155
+	3	33	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	144
+	93	144
+	91	140
+	4	84	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	144
+	91	140
+	3	84	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	144
+	84	144
+	86	148
+	4	93	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	144
+	86	148
+	3	93	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	147
+	86	148
+	84	144
+	4	77	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	148
+	84	144
+	3	77	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	140
+	100	140
+	98	136
+	4	91	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	140
+	98	136
+	3	91	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	140
+	91	140
+	93	144
+	4	100	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	140
+	93	144
+	3	100	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	45
+	152	42
+	155	47
+	4	162	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	42
+	155	47
+	3	162	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	43
+	155	47
+	152	42
+	4	145	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	47
+	152	42
+	3	145	43	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	43
+	136	39
+	139	44
+	4	145	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	39
+	139	44
+	3	145	43	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	40
+	139	44
+	136	39
+	4	129	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	44
+	136	39
+	3	129	40	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	148
+	77	147
+	79	151
+	4	86	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	147
+	79	151
+	3	86	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	150
+	79	151
+	77	147
+	4	70	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	151
+	77	147
+	3	70	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	136
+	107	134
+	105	131
+	4	98	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	134
+	105	131
+	3	98	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	134
+	98	136
+	100	140
+	4	107	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	136
+	100	140
+	3	107	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	46
+	192	43
+	195	48
+	4	202	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	43
+	195	48
+	3	202	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	45
+	195	48
+	192	43
+	4	185	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	48
+	192	43
+	3	185	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	47
+	169	44
+	172	49
+	4	179	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	44
+	172	49
+	3	179	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	45
+	172	49
+	169	44
+	4	162	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	49
+	169	44
+	3	162	45	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	115
+	126	107
+	123	99
+	4	116	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	107
+	123	99
+	3	116	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	107
+	116	115
+	119	117
+	4	126	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	115
+	119	117
+	3	126	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	151
+	70	150
+	72	155
+	4	79	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	150
+	72	155
+	3	79	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	153
+	72	155
+	70	150
+	4	63	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	155
+	70	150
+	3	63	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	40
+	119	35
+	122	40
+	4	129	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	35
+	122	40
+	3	129	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	36
+	122	40
+	119	35
+	4	112	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	40
+	119	35
+	3	112	36	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	160
+	33	158
+	34	163
+	4	42	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	158
+	34	163
+	3	42	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	26	160
+	34	163
+	33	158
+	4	26	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	163
+	33	158
+	3	26	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	36
+	103	32
+	105	36
+	4	112	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	32
+	105	36
+	3	112	36	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	155
+	63	153
+	65	158
+	4	72	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	153
+	65	158
+	3	72	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	155
+	65	158
+	63	153
+	4	56	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	158
+	63	153
+	3	56	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	131
+	114	128
+	112	125
+	4	105	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	128
+	112	125
+	3	105	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	128
+	105	131
+	107	134
+	4	114	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	131
+	107	134
+	3	114	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	48
+	185	45
+	188	50
+	4	195	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	45
+	188	50
+	3	195	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	47
+	188	50
+	185	45
+	4	179	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	50
+	185	45
+	3	179	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	47
+	145	43
+	148	48
+	4	155	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	43
+	148	48
+	3	155	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	44
+	148	48
+	145	43
+	4	139	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	48
+	145	43
+	3	139	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	46
+	212	48
+	209	44
+	4	202	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	48
+	209	44
+	3	202	46	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	163
+	26	160
+	27	165
+	4	34	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	160
+	27	165
+	3	34	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	49
+	162	45
+	165	50
+	4	172	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	45
+	165	50
+	3	172	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	47
+	165	50
+	162	45
+	4	155	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	50
+	162	45
+	3	155	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	158
+	56	155
+	58	160
+	4	65	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	155
+	58	160
+	3	65	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	158
+	58	160
+	56	155
+	4	49	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	160
+	56	155
+	3	49	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	44
+	129	40
+	132	45
+	4	139	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	40
+	132	45
+	3	139	44	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	40
+	132	45
+	129	40
+	4	122	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	45
+	129	40
+	3	122	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	50
+	179	47
+	182	52
+	4	188	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	47
+	182	52
+	3	188	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	49
+	182	52
+	179	47
+	4	172	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	52
+	179	47
+	3	172	49	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	40
+	112	36
+	115	40
+	4	122	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	36
+	115	40
+	3	122	40	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	36
+	115	40
+	112	36
+	4	105	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	40
+	112	36
+	3	105	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	48
+	202	46
+	205	50
+	4	212	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	46
+	205	50
+	3	212	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	48
+	205	50
+	202	46
+	4	195	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	50
+	202	46
+	3	195	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	160
+	49	158
+	51	163
+	4	58	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	158
+	51	163
+	3	58	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	160
+	51	163
+	49	158
+	4	42	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	163
+	49	158
+	3	42	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	50
+	155	47
+	158	52
+	4	165	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	47
+	158	52
+	3	165	50	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	48
+	158	52
+	155	47
+	4	148	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	52
+	155	47
+	3	148	48	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	48
+	139	44
+	141	50
+	4	148	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	44
+	141	50
+	3	148	48	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	45
+	141	50
+	139	44
+	4	132	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	50
+	139	44
+	3	132	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	125
+	121	121
+	119	117
+	4	112	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	121
+	119	117
+	3	112	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	121	121
+	112	125
+	114	128
+	4	121	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	125
+	114	128
+	3	121	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	163
+	42	160
+	43	166
+	4	51	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	160
+	43	166
+	3	51	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	163
+	43	166
+	42	160
+	4	34	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	166
+	42	160
+	3	34	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	52
+	172	49
+	175	54
+	4	182	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	49
+	175	54
+	3	182	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	50
+	175	54
+	172	49
+	4	165	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	54
+	172	49
+	3	165	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	50
+	195	48
+	198	52
+	4	205	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	48
+	198	52
+	3	205	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	50
+	198	52
+	195	48
+	4	188	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	52
+	195	48
+	3	188	50	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	45
+	122	40
+	124	45
+	4	132	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	40
+	124	45
+	3	132	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	40
+	124	45
+	122	40
+	4	115	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	45
+	122	40
+	3	115	40	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	148
+	95	149
+	93	144
+	4	86	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	149
+	93	144
+	3	86	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	95	149
+	86	148
+	88	153
+	4	95	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	148
+	88	153
+	3	95	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	151
+	88	153
+	86	148
+	4	79	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	153
+	86	148
+	3	79	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	153
+	79	151
+	81	156
+	4	88	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	151
+	81	156
+	3	88	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	155
+	81	156
+	79	151
+	4	72	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	156
+	79	151
+	3	72	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	52
+	148	48
+	151	54
+	4	158	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	48
+	151	54
+	3	158	52	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	50
+	151	54
+	148	48
+	4	141	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	54
+	148	48
+	3	141	50	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	144
+	102	144
+	100	140
+	4	93	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	144
+	100	140
+	3	93	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	144
+	93	144
+	95	149
+	4	102	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	144
+	95	149
+	3	102	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	166
+	34	163
+	36	168
+	4	43	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	163
+	36	168
+	3	43	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	27	165
+	36	168
+	34	163
+	4	27	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	168
+	34	163
+	3	27	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	156
+	72	155
+	74	160
+	4	81	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	155
+	74	160
+	3	81	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	158
+	74	160
+	72	155
+	4	65	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	160
+	72	155
+	3	65	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	40
+	105	36
+	108	40
+	4	115	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	36
+	108	40
+	3	115	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	54
+	165	50
+	168	56
+	4	175	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	50
+	168	56
+	3	175	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	52
+	168	56
+	165	50
+	4	158	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	56
+	165	50
+	3	158	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	52
+	188	50
+	192	54
+	4	198	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	50
+	192	54
+	3	198	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	52
+	192	54
+	188	50
+	4	182	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	54
+	188	50
+	3	182	52	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	50
+	132	45
+	134	51
+	4	141	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	45
+	134	51
+	3	141	50	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	45
+	134	51
+	132	45
+	4	124	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	51
+	132	45
+	3	124	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	140
+	110	139
+	107	134
+	4	100	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	139
+	107	134
+	3	100	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	139
+	100	140
+	102	144
+	4	110	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	140
+	102	144
+	3	110	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	50
+	215	53
+	212	48
+	4	205	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	53
+	212	48
+	3	205	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	160
+	65	158
+	67	163
+	4	74	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	158
+	67	163
+	3	74	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	160
+	67	163
+	65	158
+	4	58	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	163
+	65	158
+	3	58	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	36	168
+	27	165
+	29	171
+	4	36	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	165
+	29	171
+	3	36	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	163
+	58	160
+	60	166
+	4	67	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	160
+	60	166
+	3	67	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	163
+	60	166
+	58	160
+	4	51	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	166
+	58	160
+	3	51	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	54
+	182	52
+	185	57
+	4	192	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	52
+	185	57
+	3	192	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	54
+	185	57
+	182	52
+	4	175	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	57
+	182	52
+	3	175	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	54
+	141	50
+	144	56
+	4	151	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	50
+	144	56
+	3	151	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	51
+	144	56
+	141	50
+	4	134	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	56
+	141	50
+	3	134	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	56
+	158	52
+	161	58
+	4	168	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	52
+	161	58
+	3	168	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	54
+	161	58
+	158	52
+	4	151	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	58
+	158	52
+	3	151	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	45
+	115	40
+	117	45
+	4	124	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	40
+	117	45
+	3	124	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	40
+	117	45
+	115	40
+	4	108	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	45
+	115	40
+	3	108	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	53
+	205	50
+	209	55
+	4	215	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	50
+	209	55
+	3	215	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	52
+	209	55
+	205	50
+	4	198	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	55
+	205	50
+	3	198	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	134
+	117	132
+	114	128
+	4	107	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	132
+	114	128
+	3	107	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	132
+	107	134
+	110	139
+	4	117	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	134
+	110	139
+	3	117	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	166
+	51	163
+	52	168
+	4	60	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	163
+	52	168
+	3	60	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	166
+	52	168
+	51	163
+	4	43	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	168
+	51	163
+	3	43	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	117
+	128	113
+	126	107
+	4	119	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	113
+	126	107
+	3	119	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	113
+	119	117
+	121	121
+	4	128	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	117
+	121	121
+	3	128	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	57
+	175	54
+	178	59
+	4	185	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	54
+	178	59
+	3	185	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	56
+	178	59
+	175	54
+	4	168	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	59
+	175	54
+	3	168	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	51
+	124	45
+	127	51
+	4	134	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	45
+	127	51
+	3	134	51	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	45
+	127	51
+	124	45
+	4	117	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	51
+	124	45
+	3	117	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	58
+	151	54
+	154	60
+	4	161	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	54
+	154	60
+	3	161	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	56
+	154	60
+	151	54
+	4	144	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	60
+	151	54
+	3	144	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	55
+	198	52
+	202	57
+	4	209	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	52
+	202	57
+	3	209	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	54
+	202	57
+	198	52
+	4	192	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	57
+	198	52
+	3	192	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	168
+	43	166
+	45	171
+	4	52	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	166
+	45	171
+	3	52	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	168
+	45	171
+	43	166
+	4	36	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	171
+	43	166
+	3	36	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	56
+	134	51
+	137	57
+	4	144	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	51
+	137	57
+	3	144	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	51
+	137	57
+	134	51
+	4	127	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	57
+	134	51
+	3	127	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	59
+	168	56
+	171	61
+	4	178	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	56
+	171	61
+	3	178	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	58
+	171	61
+	168	56
+	4	161	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	61
+	168	56
+	3	161	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	57
+	192	54
+	195	59
+	4	202	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	54
+	195	59
+	3	202	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	57
+	195	59
+	192	54
+	4	185	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	59
+	192	54
+	3	185	57	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	88	153
+	98	154
+	95	149
+	4	88	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	154
+	95	149
+	3	88	153	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	98	154
+	88	153
+	91	158
+	4	98	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	153
+	91	158
+	3	98	154	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	81	156
+	91	158
+	88	153
+	4	81	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	158
+	88	153
+	3	81	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	128
+	124	125
+	121	121
+	4	114	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	125
+	121	121
+	3	114	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	125
+	114	128
+	117	132
+	4	124	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	128
+	117	132
+	3	124	125	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	91	158
+	81	156
+	83	162
+	4	91	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	156
+	83	162
+	3	91	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	74	160
+	83	162
+	81	156
+	4	74	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	162
+	81	156
+	3	74	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	171
+	36	168
+	38	174
+	4	45	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	168
+	38	174
+	3	45	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	29	171
+	38	174
+	36	168
+	4	29	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	174
+	36	168
+	3	29	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	45
+	108	40
+	110	45
+	4	117	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	40
+	110	45
+	3	117	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	60
+	144	56
+	147	62
+	4	154	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	56
+	147	62
+	3	154	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	57
+	147	62
+	144	56
+	4	137	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	62
+	144	56
+	3	137	57	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	83	162
+	74	160
+	76	165
+	4	83	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	160
+	76	165
+	3	83	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	163
+	76	165
+	74	160
+	4	67	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	165
+	74	160
+	3	67	163	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	95	149
+	105	149
+	102	144
+	4	95	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	149
+	102	144
+	3	95	149	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	105	149
+	95	149
+	98	154
+	4	105	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	149
+	98	154
+	3	105	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	55
+	219	57
+	215	53
+	4	209	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	57
+	215	53
+	3	209	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	61
+	161	58
+	163	64
+	4	171	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	58
+	163	64
+	3	171	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	60
+	163	64
+	161	58
+	4	154	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	64
+	161	58
+	3	154	60	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	76	165
+	67	163
+	69	168
+	4	76	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	163
+	69	168
+	3	76	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	60	166
+	69	168
+	67	163
+	4	60	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	168
+	67	163
+	3	60	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	59
+	185	57
+	188	62
+	4	195	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	57
+	188	62
+	3	195	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	59
+	188	62
+	185	57
+	4	178	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	62
+	185	57
+	3	178	59	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	51
+	117	45
+	120	51
+	4	127	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	45
+	120	51
+	3	127	51	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	45
+	120	51
+	117	45
+	4	110	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	51
+	117	45
+	3	110	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	38	174
+	29	171
+	30	176
+	4	38	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	171
+	30	176
+	3	38	174	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	102	144
+	112	144
+	110	139
+	4	102	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	144
+	110	139
+	3	102	144	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	112	144
+	102	144
+	105	149
+	4	112	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	144
+	105	149
+	3	112	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	57
+	209	55
+	212	59
+	4	219	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	55
+	212	59
+	3	219	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	57
+	212	59
+	209	55
+	4	202	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	59
+	209	55
+	3	202	57	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	69	168
+	60	166
+	62	171
+	4	69	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	166
+	62	171
+	3	69	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	168
+	62	171
+	60	166
+	4	52	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	171
+	60	166
+	3	52	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	57
+	127	51
+	130	58
+	4	137	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	51
+	130	58
+	3	137	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	51
+	130	58
+	127	51
+	4	120	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	58
+	127	51
+	3	120	51	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	89
+	120	77
+	123	99
+	4	130	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	77
+	123	99
+	3	130	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	99
+	133	98
+	130	89
+	4	123	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	98
+	130	89
+	3	123	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	98
+	123	99
+	126	107
+	4	133	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	99
+	126	107
+	3	133	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	64
+	154	60
+	156	66
+	4	163	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	60
+	156	66
+	3	163	64	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	62
+	156	66
+	154	60
+	4	147	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	66
+	154	60
+	3	147	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	62
+	178	59
+	181	64
+	4	188	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	59
+	181	64
+	3	188	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	61
+	181	64
+	178	59
+	4	171	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	64
+	178	59
+	3	171	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	62
+	137	57
+	139	64
+	4	147	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	57
+	139	64
+	3	147	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	58
+	139	64
+	137	57
+	4	130	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	64
+	137	57
+	3	130	58	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	62	171
+	52	168
+	54	174
+	4	62	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	168
+	54	174
+	3	62	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	45	171
+	54	174
+	52	168
+	4	45	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	174
+	52	168
+	3	45	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	59
+	202	57
+	205	62
+	4	212	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	57
+	205	62
+	3	212	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	59
+	205	62
+	202	57
+	4	195	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	62
+	202	57
+	3	195	59	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	139
+	119	138
+	117	132
+	4	110	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	138
+	117	132
+	3	110	139	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	119	138
+	110	139
+	112	144
+	4	119	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	139
+	112	144
+	3	119	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	66
+	147	62
+	149	69
+	4	156	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	62
+	149	69
+	3	156	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	64
+	149	69
+	147	62
+	4	139	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	69
+	147	62
+	3	139	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	64
+	171	61
+	174	67
+	4	181	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	61
+	174	67
+	3	181	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	64
+	174	67
+	171	61
+	4	163	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	67
+	171	61
+	3	163	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	121
+	131	118
+	128	113
+	4	121	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	118
+	128	113
+	3	121	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	118
+	121	121
+	124	125
+	4	131	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	121
+	124	125
+	3	131	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	107
+	136	105
+	133	98
+	4	126	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	105
+	133	98
+	3	126	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	105
+	126	107
+	128	113
+	4	136	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	107
+	128	113
+	3	136	105	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	174
+	45	171
+	47	177
+	4	54	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	171
+	47	177
+	3	54	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	38	174
+	47	177
+	45	171
+	4	38	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	177
+	45	171
+	3	38	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	62
+	195	59
+	198	64
+	4	205	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	59
+	198	64
+	3	205	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	62
+	198	64
+	195	59
+	4	188	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	64
+	195	59
+	3	188	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	67
+	163	64
+	166	69
+	4	174	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	64
+	166	69
+	3	174	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	66
+	166	69
+	163	64
+	4	156	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	69
+	163	64
+	3	156	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	51
+	110	45
+	113	50
+	4	120	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	45
+	113	50
+	3	120	51	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	91	158
+	100	160
+	98	154
+	4	91	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	160
+	98	154
+	3	91	158	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	100	160
+	91	158
+	93	164
+	4	100	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	158
+	93	164
+	3	100	160	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	83	162
+	93	164
+	91	158
+	4	83	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	164
+	91	158
+	3	83	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	93	164
+	83	162
+	86	168
+	4	93	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	162
+	86	168
+	3	93	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	165
+	86	168
+	83	162
+	4	76	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	168
+	83	162
+	3	76	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	58
+	120	51
+	122	57
+	4	130	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	51
+	122	57
+	3	130	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	64
+	130	58
+	132	65
+	4	139	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	58
+	132	65
+	3	139	64	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	57
+	132	65
+	130	58
+	4	122	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	65
+	130	58
+	3	122	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	69
+	139	64
+	142	72
+	4	149	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	64
+	142	72
+	3	149	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	65
+	142	72
+	139	64
+	4	132	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	72
+	139	64
+	3	132	65	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	47	177
+	38	174
+	40	179
+	4	47	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	174
+	40	179
+	3	47	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	176
+	40	179
+	38	174
+	4	30	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	179
+	38	174
+	3	30	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	59
+	222	62
+	219	57
+	4	212	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	62
+	219	57
+	3	212	59	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	168
+	76	165
+	78	171
+	4	86	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	165
+	78	171
+	3	86	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	168
+	78	171
+	76	165
+	4	69	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	171
+	76	165
+	3	69	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	50
+	122	57
+	120	51
+	4	113	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	57
+	120	51
+	3	113	50	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	98	154
+	107	155
+	105	149
+	4	98	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	155
+	105	149
+	3	98	154	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	107	155
+	98	154
+	100	160
+	4	107	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	154
+	100	160
+	3	107	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	69
+	156	66
+	159	72
+	4	166	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	66
+	159	72
+	3	166	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	69
+	159	72
+	156	66
+	4	149	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	72
+	156	66
+	3	149	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	64
+	188	62
+	191	67
+	4	198	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	62
+	191	67
+	3	198	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	64
+	191	67
+	188	62
+	4	181	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	67
+	188	62
+	3	181	64	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	132
+	126	131
+	124	125
+	4	117	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	131
+	124	125
+	3	117	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	131
+	117	132
+	119	138
+	4	126	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	132
+	119	138
+	3	126	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	171
+	69	168
+	71	174
+	4	78	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	168
+	71	174
+	3	78	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	171
+	71	174
+	69	168
+	4	62	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	174
+	69	168
+	3	62	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	149
+	114	150
+	112	144
+	4	105	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	150
+	112	144
+	3	105	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	114	150
+	105	149
+	107	155
+	4	114	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	149
+	107	155
+	3	114	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	72
+	149	69
+	152	76
+	4	159	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	69
+	152	76
+	3	159	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	72
+	152	76
+	149	69
+	4	142	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	76
+	149	69
+	3	142	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	40	179
+	30	176
+	32	182
+	4	40	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	176
+	32	182
+	3	40	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	62
+	212	59
+	215	64
+	4	222	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	59
+	215	64
+	3	222	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	62
+	215	64
+	212	59
+	4	205	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	64
+	212	59
+	3	205	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	67
+	181	64
+	184	69
+	4	191	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	64
+	184	69
+	3	191	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	67
+	184	69
+	181	64
+	4	174	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	69
+	181	64
+	3	174	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	174
+	62	171
+	64	177
+	4	71	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	171
+	64	177
+	3	71	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	174
+	64	177
+	62	171
+	4	54	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	177
+	62	171
+	3	54	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	65
+	122	57
+	125	65
+	4	132	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	57
+	125	65
+	3	132	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	72
+	132	65
+	135	74
+	4	142	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	65
+	135	74
+	3	142	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	65
+	135	74
+	132	65
+	4	125	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	74
+	132	65
+	3	125	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	76
+	142	72
+	145	79
+	4	152	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	72
+	145	79
+	3	152	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	74
+	145	79
+	142	72
+	4	135	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	79
+	142	72
+	3	135	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	83
+	128	77
+	130	89
+	4	138	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	77
+	130	89
+	3	138	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	77
+	130	89
+	128	77
+	4	120	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	89
+	128	77
+	3	120	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	89
+	140	92
+	138	83
+	4	130	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	92
+	138	83
+	3	130	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	92
+	130	89
+	133	98
+	4	140	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	89
+	133	98
+	3	140	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	69
+	174	67
+	177	72
+	4	184	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	67
+	177	72
+	3	184	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	69
+	177	72
+	174	67
+	4	166	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	72
+	174	67
+	3	166	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	177
+	54	174
+	56	180
+	4	64	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	174
+	56	180
+	3	64	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	177
+	56	180
+	54	174
+	4	47	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	180
+	54	174
+	3	47	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	128	113
+	138	111
+	136	105
+	4	128	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	111
+	136	105
+	3	128	113	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	138	111
+	128	113
+	131	118
+	4	138	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	113
+	131	118
+	3	138	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	64
+	205	62
+	208	66
+	4	215	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	62
+	208	66
+	3	215	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	64
+	208	66
+	205	62
+	4	198	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	66
+	205	62
+	3	198	64	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	144
+	122	144
+	119	138
+	4	112	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	144
+	119	138
+	3	112	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	144
+	112	144
+	114	150
+	4	122	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	144
+	114	150
+	3	122	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	74
+	125	65
+	128	77
+	4	135	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	65
+	128	77
+	3	135	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	79
+	135	74
+	138	83
+	4	145	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	74
+	138	83
+	3	145	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	77
+	138	83
+	135	74
+	4	128	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	83
+	135	74
+	3	128	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	72
+	166	69
+	169	75
+	4	177	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	69
+	169	75
+	3	177	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	72
+	169	75
+	166	69
+	4	159	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	75
+	166	69
+	3	159	72	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	133	98
+	143	99
+	140	92
+	4	133	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	99
+	140	92
+	3	133	98	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	99
+	133	98
+	136	105
+	4	143	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	98
+	136	105
+	3	143	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	57
+	113	50
+	115	55
+	4	122	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	50
+	115	55
+	3	122	57	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	55
+	125	65
+	122	57
+	4	115	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	65
+	122	57
+	3	115	55	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	180
+	47	177
+	49	182
+	4	56	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	177
+	49	182
+	3	56	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	179
+	49	182
+	47	177
+	4	40	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	182
+	47	177
+	3	40	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	124	125
+	134	123
+	131	118
+	4	124	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	131	118
+	3	124	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	123
+	124	125
+	126	131
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	125
+	126	131
+	3	134	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	66
+	198	64
+	201	69
+	4	208	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	64
+	201	69
+	3	208	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	67
+	201	69
+	198	64
+	4	191	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	69
+	198	64
+	3	191	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	75
+	159	72
+	162	78
+	4	169	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	72
+	162	78
+	3	169	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	76
+	162	78
+	159	72
+	4	152	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	78
+	159	72
+	3	152	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	83
+	148	86
+	145	79
+	4	138	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	86
+	145	79
+	3	138	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	86
+	138	83
+	140	92
+	4	148	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	83
+	140	92
+	3	148	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	62
+	128	77
+	125	65
+	4	118	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	77
+	125	65
+	3	118	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	77
+	118	62
+	120	77
+	4	128	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	62
+	120	77
+	3	128	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	78
+	152	76
+	155	82
+	4	162	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	76
+	155	82
+	3	162	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	79
+	155	82
+	152	76
+	4	145	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	82
+	152	76
+	3	145	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	164
+	103	167
+	100	160
+	4	93	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	167
+	100	160
+	3	93	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	167
+	93	164
+	95	170
+	4	103	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	164
+	95	170
+	3	103	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	168
+	95	170
+	93	164
+	4	86	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	170
+	93	164
+	3	86	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	82
+	145	79
+	148	86
+	4	155	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	79
+	148	86
+	3	155	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	170
+	86	168
+	88	174
+	4	95	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	168
+	88	174
+	3	95	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	171
+	88	174
+	86	168
+	4	78	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	174
+	86	168
+	3	78	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	118
+	137	172
+	140	186
+	4	149	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	172
+	140	186
+	3	149	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	173
+	140	186
+	137	172
+	4	130	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	186
+	137	172
+	3	130	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	186
+	130	173
+	132	184
+	4	140	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	173
+	132	184
+	3	140	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	186
+	153	122
+	149	118
+	4	140	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	122
+	149	118
+	3	140	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	122
+	140	186
+	142	194
+	4	153	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	186
+	142	194
+	3	153	122	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	184
+	142	194
+	140	186
+	4	132	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	194
+	140	186
+	3	132	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	160
+	110	162
+	107	155
+	4	100	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	162
+	107	155
+	3	100	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	162
+	100	160
+	103	167
+	4	110	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	160
+	103	167
+	3	110	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	174
+	78	171
+	81	177
+	4	88	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	171
+	81	177
+	3	88	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	174
+	81	177
+	78	171
+	4	71	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	177
+	78	171
+	3	71	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	64
+	226	67
+	222	62
+	4	215	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	67
+	222	62
+	3	215	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	69
+	191	67
+	194	72
+	4	201	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	67
+	194	72
+	3	201	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	69
+	194	72
+	191	67
+	4	184	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	72
+	191	67
+	3	184	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	182
+	40	179
+	41	185
+	4	49	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	179
+	41	185
+	3	49	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	32	182
+	41	185
+	40	179
+	4	32	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	185
+	40	179
+	3	32	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	65
+	115	55
+	118	62
+	4	125	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	55
+	118	62
+	3	125	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	155
+	117	157
+	114	150
+	4	107	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	157
+	114	150
+	3	107	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	157
+	107	155
+	110	162
+	4	117	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	155
+	110	162
+	3	117	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	138
+	129	136
+	126	131
+	4	119	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	136
+	126	131
+	3	119	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	136
+	119	138
+	122	144
+	4	129	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	138
+	122	144
+	3	129	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	177
+	71	174
+	73	180
+	4	81	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	174
+	73	180
+	3	81	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	177
+	73	180
+	71	174
+	4	64	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	180
+	71	174
+	3	64	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	92
+	150	93
+	148	86
+	4	140	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	93
+	148	86
+	3	140	92	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	93
+	140	92
+	143	99
+	4	150	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	92
+	143	99
+	3	150	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	72
+	184	69
+	187	74
+	4	194	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	69
+	187	74
+	3	194	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	72
+	187	74
+	184	69
+	4	177	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	74
+	184	69
+	3	177	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	67
+	215	64
+	219	69
+	4	226	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	64
+	219	69
+	3	226	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	66
+	219	69
+	215	64
+	4	208	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	69
+	215	64
+	3	208	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	185
+	32	182
+	34	188
+	4	41	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	182
+	34	188
+	3	41	185	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	136	105
+	146	104
+	143	99
+	4	136	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	104
+	143	99
+	3	136	105	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	146	104
+	136	105
+	138	111
+	4	146	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	105
+	138	111
+	3	146	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	180
+	64	177
+	66	183
+	4	73	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	177
+	66	183
+	3	73	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	180
+	66	183
+	64	177
+	4	56	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	183
+	64	177
+	3	56	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	74
+	177	72
+	180	77
+	4	187	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	72
+	180	77
+	3	187	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	75
+	180	77
+	177	72
+	4	169	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	77
+	177	72
+	3	169	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	150
+	124	151
+	122	144
+	4	114	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	151
+	122	144
+	3	114	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	151
+	114	150
+	117	157
+	4	124	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	150
+	117	157
+	3	124	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	86
+	158	88
+	155	82
+	4	148	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	88
+	155	82
+	3	148	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	88
+	148	86
+	150	93
+	4	158	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	86
+	150	93
+	3	158	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	77
+	169	75
+	172	81
+	4	180	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	75
+	172	81
+	3	180	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	78
+	172	81
+	169	75
+	4	162	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	81
+	169	75
+	3	162	78	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	118
+	141	116
+	138	111
+	4	131	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	116
+	138	111
+	3	131	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	141	116
+	131	118
+	134	123
+	4	141	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	118
+	134	123
+	3	141	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	69
+	208	66
+	212	71
+	4	219	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	66
+	212	71
+	3	219	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	69
+	212	71
+	208	66
+	4	201	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	71
+	208	66
+	3	201	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	183
+	56	180
+	58	186
+	4	66	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	180
+	58	186
+	3	66	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	182
+	58	186
+	56	180
+	4	49	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	186
+	56	180
+	3	49	182	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	142	194
+	132	184
+	135	193
+	4	142	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	184
+	135	193
+	3	142	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	194
+	156	127
+	153	122
+	4	142	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	127
+	153	122
+	3	142	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	127
+	142	194
+	145	200
+	4	156	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	194
+	145	200
+	3	156	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	135	193
+	145	200
+	142	194
+	4	135	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	200
+	142	194
+	3	135	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	82
+	165	84
+	162	78
+	4	155	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	84
+	162	78
+	3	155	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	84
+	155	82
+	158	88
+	4	165	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	82
+	158	88
+	3	165	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	81
+	162	78
+	165	84
+	4	172	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	78
+	165	84
+	3	172	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	170
+	105	174
+	103	167
+	4	95	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	174
+	103	167
+	3	95	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	174
+	95	170
+	98	177
+	4	105	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	170
+	98	177
+	3	105	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	174
+	98	177
+	95	170
+	4	88	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	177
+	95	170
+	3	88	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	167
+	112	170
+	110	162
+	4	103	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	170
+	110	162
+	3	103	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	170
+	103	167
+	105	174
+	4	112	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	167
+	105	174
+	3	112	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	123
+	134	151
+	137	172
+	4	146	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	137	172
+	3	146	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	161
+	137	172
+	134	151
+	4	127	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	172
+	134	151
+	3	127	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	172
+	127	161
+	130	173
+	4	137	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	161
+	130	173
+	3	137	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	172
+	149	118
+	146	123
+	4	137	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	118
+	146	123
+	3	137	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	71
+	201	69
+	205	74
+	4	212	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	69
+	205	74
+	3	212	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	72
+	205	74
+	201	69
+	4	194	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	74
+	201	69
+	3	194	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	186
+	49	182
+	51	188
+	4	58	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	182
+	51	188
+	3	58	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	41	185
+	51	188
+	49	182
+	4	41	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	188
+	49	182
+	3	41	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	131
+	136	128
+	134	123
+	4	126	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	128
+	134	123
+	3	126	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	128
+	126	131
+	129	136
+	4	136	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	131
+	129	136
+	3	136	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	177
+	88	174
+	90	180
+	4	98	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	174
+	90	180
+	3	98	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	177
+	90	180
+	88	174
+	4	81	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	180
+	88	174
+	3	81	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	162
+	120	166
+	117	157
+	4	110	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	166
+	117	157
+	3	110	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	166
+	110	162
+	112	170
+	4	120	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	162
+	112	170
+	3	120	166	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	99
+	153	99
+	150	93
+	4	143	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	99
+	150	93
+	3	143	99	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	153	99
+	143	99
+	146	104
+	4	153	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	99
+	146	104
+	3	153	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	180
+	81	177
+	83	183
+	4	90	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	177
+	83	183
+	3	90	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	180
+	83	183
+	81	177
+	4	73	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	183
+	81	177
+	3	73	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	74
+	194	72
+	197	76
+	4	205	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	72
+	197	76
+	3	205	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	74
+	197	76
+	194	72
+	4	187	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	76
+	194	72
+	3	187	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	144
+	132	143
+	129	136
+	4	122	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	143
+	129	136
+	3	122	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	143
+	122	144
+	124	151
+	4	132	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	144
+	124	151
+	3	132	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	69
+	230	71
+	226	67
+	4	219	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	71
+	226	67
+	3	219	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	188
+	41	185
+	43	191
+	4	51	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	185
+	43	191
+	3	51	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	34	188
+	43	191
+	41	185
+	4	34	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	191
+	41	185
+	3	34	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	183
+	73	180
+	75	186
+	4	83	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	180
+	75	186
+	3	83	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	183
+	75	186
+	73	180
+	4	66	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	186
+	73	180
+	3	66	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	157
+	127	161
+	124	151
+	4	117	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	161
+	124	151
+	3	117	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	161
+	117	157
+	120	166
+	4	127	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	157
+	120	166
+	3	127	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	76
+	187	74
+	190	79
+	4	197	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	74
+	190	79
+	3	197	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	77
+	190	79
+	187	74
+	4	180	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	79
+	187	74
+	3	180	77	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	138	111
+	149	109
+	146	104
+	4	138	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	109
+	146	104
+	3	138	111	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	149	109
+	138	111
+	141	116
+	4	149	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	111
+	141	116
+	3	149	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	93
+	161	94
+	158	88
+	4	150	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	94
+	158	88
+	3	150	93	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	94
+	150	93
+	153	99
+	4	161	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	93
+	153	99
+	3	161	94	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	122	175
+	132	184
+	130	173
+	4	122	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	184
+	130	173
+	3	122	175	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	132	184
+	122	175
+	125	185
+	4	132	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	175
+	125	185
+	3	132	184	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	125	185
+	135	193
+	132	184
+	4	125	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	193
+	132	184
+	3	125	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	71
+	219	69
+	222	73
+	4	230	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	69
+	222	73
+	3	230	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	71
+	222	73
+	219	69
+	4	212	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	73
+	219	69
+	3	212	71	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	186
+	66	183
+	68	189
+	4	75	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	183
+	68	189
+	3	75	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	186
+	68	189
+	66	183
+	4	58	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	189
+	66	183
+	3	58	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	191
+	34	188
+	36	194
+	4	43	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	188
+	36	194
+	3	43	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	79
+	180	77
+	183	82
+	4	190	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	77
+	183	82
+	3	190	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	81
+	183	82
+	180	77
+	4	172	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	82
+	180	77
+	3	172	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	88
+	168	89
+	165	84
+	4	158	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	89
+	165	84
+	3	158	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	89
+	158	88
+	161	94
+	4	168	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	88
+	161	94
+	3	168	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	82
+	172	81
+	175	86
+	4	183	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	81
+	175	86
+	3	183	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	84
+	175	86
+	172	81
+	4	165	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	86
+	172	81
+	3	165	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	170
+	122	175
+	120	166
+	4	112	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	175
+	120	166
+	3	112	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	175
+	112	170
+	115	178
+	4	122	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	170
+	115	178
+	3	122	175	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	174
+	115	178
+	112	170
+	4	105	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	178
+	112	170
+	3	105	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	86
+	165	84
+	168	89
+	4	175	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	84
+	168	89
+	3	175	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	178
+	105	174
+	108	181
+	4	115	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	174
+	108	181
+	3	115	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	177
+	108	181
+	105	174
+	4	98	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	181
+	105	174
+	3	98	177	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	200
+	135	193
+	138	200
+	4	145	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	193
+	138	200
+	3	145	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	200
+	159	132
+	156	127
+	4	145	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	132
+	156	127
+	3	145	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	132
+	145	200
+	148	206
+	4	159	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	200
+	148	206
+	3	159	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	200
+	148	206
+	145	200
+	4	138	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	206
+	145	200
+	3	138	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	166
+	130	173
+	127	161
+	4	120	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	173
+	127	161
+	3	120	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	173
+	120	166
+	122	175
+	4	130	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	166
+	122	175
+	3	130	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	181
+	98	177
+	100	184
+	4	108	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	177
+	100	184
+	3	108	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	180
+	100	184
+	98	177
+	4	90	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	184
+	98	177
+	3	90	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	189
+	58	186
+	60	192
+	4	68	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	186
+	60	192
+	3	68	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	188
+	60	192
+	58	186
+	4	51	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	192
+	58	186
+	3	51	188	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	123
+	144	120
+	141	116
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	120
+	141	116
+	3	134	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	120
+	134	123
+	136	128
+	4	144	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	136	128
+	3	144	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	73
+	212	71
+	215	76
+	4	222	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	71
+	215	76
+	3	222	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	74
+	215	76
+	212	71
+	4	205	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	76
+	212	71
+	3	205	74	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	135	193
+	125	185
+	128	193
+	4	135	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	185
+	128	193
+	3	135	193	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	128	193
+	138	200
+	135	193
+	4	128	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	200
+	135	193
+	3	128	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	151
+	134	151
+	132	143
+	4	124	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	132	143
+	3	124	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	151
+	124	151
+	127	161
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	151
+	127	161
+	3	134	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	184
+	90	180
+	93	187
+	4	100	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	180
+	93	187
+	3	100	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	183
+	93	187
+	90	180
+	4	83	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	187
+	90	180
+	3	83	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	178
+	125	185
+	122	175
+	4	115	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	185
+	122	175
+	3	115	178	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	146	104
+	156	104
+	153	99
+	4	146	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	104
+	153	99
+	3	146	104	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	104
+	146	104
+	149	109
+	4	156	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	104
+	149	109
+	3	156	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	192
+	51	188
+	53	194
+	4	60	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	188
+	53	194
+	3	60	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	43	191
+	53	194
+	51	188
+	4	43	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	194
+	51	188
+	3	43	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	136
+	139	132
+	136	128
+	4	129	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	132
+	136	128
+	3	129	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	132
+	129	136
+	132	143
+	4	139	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	136
+	132	143
+	3	139	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	76
+	205	74
+	208	78
+	4	215	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	74
+	208	78
+	3	215	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	76
+	208	78
+	205	74
+	4	197	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	78
+	205	74
+	3	197	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	187
+	83	183
+	85	190
+	4	93	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	183
+	85	190
+	3	93	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	186
+	85	190
+	83	183
+	4	75	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	190
+	83	183
+	3	75	186	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	125	185
+	115	178
+	118	187
+	4	125	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	178
+	118	187
+	3	125	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	181
+	118	187
+	115	178
+	4	108	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	187
+	115	178
+	3	108	181	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	118	187
+	128	193
+	125	185
+	4	118	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	193
+	125	185
+	3	118	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	78
+	197	76
+	201	81
+	4	208	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	76
+	201	81
+	3	208	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	79
+	201	81
+	197	76
+	4	190	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	81
+	197	76
+	3	190	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	190
+	75	186
+	78	193
+	4	85	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	186
+	78	193
+	3	85	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	189
+	78	193
+	75	186
+	4	68	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	193
+	75	186
+	3	68	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	194
+	43	191
+	45	197
+	4	53	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	191
+	45	197
+	3	53	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	36	194
+	45	197
+	43	191
+	4	36	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	197
+	43	191
+	3	36	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	73
+	233	76
+	230	71
+	4	222	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	76
+	230	71
+	3	222	73	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	187
+	108	181
+	110	189
+	4	118	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	181
+	110	189
+	3	118	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	184
+	110	189
+	108	181
+	4	100	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	189
+	108	181
+	3	100	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	99
+	164	99
+	161	94
+	4	153	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	99
+	161	94
+	3	153	99	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	164	99
+	153	99
+	156	104
+	4	164	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	99
+	156	104
+	3	164	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	81
+	190	79
+	193	84
+	4	201	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	79
+	193	84
+	3	201	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	82
+	193	84
+	190	79
+	4	183	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	84
+	190	79
+	3	183	82	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	141	116
+	152	114
+	149	109
+	4	141	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	114
+	149	109
+	3	141	116	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	152	114
+	141	116
+	144	120
+	4	152	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	116
+	144	120
+	3	152	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	193
+	68	189
+	70	195
+	4	78	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	189
+	70	195
+	3	78	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	192
+	70	195
+	68	189
+	4	60	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	195
+	68	189
+	3	60	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	189
+	100	184
+	103	191
+	4	110	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	184
+	103	191
+	3	110	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	93	187
+	103	191
+	100	184
+	4	93	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	191
+	100	184
+	3	93	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	94
+	171	94
+	168	89
+	4	161	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	94
+	168	89
+	3	161	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	94
+	161	94
+	164	99
+	4	171	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	94
+	164	99
+	3	171	94	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	138	200
+	128	193
+	130	201
+	4	138	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	193
+	130	201
+	3	138	200	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	206
+	138	200
+	141	207
+	4	148	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	200
+	141	207
+	3	148	206	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	201
+	141	207
+	138	200
+	4	130	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	207
+	138	200
+	3	130	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	84
+	183	82
+	186	87
+	4	193	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	82
+	186	87
+	3	193	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	86
+	186	87
+	183	82
+	4	175	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	87
+	183	82
+	3	175	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	45	197
+	36	194
+	37	200
+	4	45	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	194
+	37	200
+	3	45	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	76
+	222	73
+	226	78
+	4	233	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	73
+	226	78
+	3	233	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	76
+	226	78
+	222	73
+	4	215	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	78
+	222	73
+	3	215	76	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	128	193
+	118	187
+	120	195
+	4	128	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	187
+	120	195
+	3	128	193	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	189
+	120	195
+	118	187
+	4	110	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	195
+	118	187
+	3	110	189	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	195
+	130	201
+	128	193
+	4	120	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	201
+	128	193
+	3	120	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	87
+	175	86
+	179	91
+	4	186	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	86
+	179	91
+	3	186	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	89
+	179	91
+	175	86
+	4	168	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	91
+	175	86
+	3	168	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	91
+	168	89
+	171	94
+	4	179	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	89
+	171	94
+	3	179	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	206
+	163	138
+	159	132
+	4	148	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	138
+	159	132
+	3	148	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	138
+	148	206
+	151	213
+	4	163	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	206
+	151	213
+	3	163	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	207
+	151	213
+	148	206
+	4	141	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	213
+	148	206
+	3	141	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	191
+	93	187
+	95	194
+	4	103	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	187
+	95	194
+	3	103	191	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	190
+	95	194
+	93	187
+	4	85	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	194
+	93	187
+	3	85	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	195
+	60	192
+	62	198
+	4	70	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	192
+	62	198
+	3	70	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	194
+	62	198
+	60	192
+	4	53	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	198
+	60	192
+	3	53	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	78
+	215	76
+	219	81
+	4	226	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	76
+	219	81
+	3	226	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	78
+	219	81
+	215	76
+	4	208	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	81
+	215	76
+	3	208	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	143
+	142	135
+	139	132
+	4	132	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	135
+	139	132
+	3	132	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	135
+	132	143
+	134	151
+	4	142	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	143
+	134	151
+	3	142	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	128
+	147	124
+	144	120
+	4	136	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	124
+	144	120
+	3	136	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	147	124
+	136	128
+	139	132
+	4	147	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	128
+	139	132
+	3	147	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	194
+	85	190
+	88	197
+	4	95	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	190
+	88	197
+	3	95	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	193
+	88	197
+	85	190
+	4	78	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	197
+	85	190
+	3	78	193	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	195
+	110	189
+	113	197
+	4	120	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	189
+	113	197
+	3	120	195	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	191
+	113	197
+	110	189
+	4	103	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	197
+	110	189
+	3	103	191	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	109
+	159	108
+	156	104
+	4	149	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	108
+	156	104
+	3	149	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	159	108
+	149	109
+	152	114
+	4	159	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	109
+	152	114
+	3	159	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	198
+	53	194
+	55	201
+	4	62	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	194
+	55	201
+	3	62	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	45	197
+	55	201
+	53	194
+	4	45	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	201
+	53	194
+	3	45	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	81
+	208	78
+	212	83
+	4	219	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	78
+	212	83
+	3	219	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	81
+	212	83
+	208	78
+	4	201	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	83
+	208	78
+	3	201	81	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	130	201
+	120	195
+	123	202
+	4	130	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	195
+	123	202
+	3	130	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	197
+	123	202
+	120	195
+	4	113	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	202
+	120	195
+	3	113	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	197
+	78	193
+	80	199
+	4	88	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	193
+	80	199
+	3	88	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	195
+	80	199
+	78	193
+	4	70	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	199
+	78	193
+	3	70	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	197
+	103	191
+	105	199
+	4	113	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	191
+	105	199
+	3	113	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	194
+	105	199
+	103	191
+	4	95	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	199
+	103	191
+	3	95	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	151
+	146	123
+	142	135
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	123
+	142	135
+	3	134	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	207
+	130	201
+	133	208
+	4	141	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	201
+	133	208
+	3	141	207	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	202
+	133	208
+	130	201
+	4	123	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	208
+	130	201
+	3	123	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	83
+	201	81
+	204	86
+	4	212	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	81
+	204	86
+	3	212	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	84
+	204	86
+	201	81
+	4	193	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	86
+	201	81
+	3	193	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	201
+	45	197
+	47	203
+	4	55	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	197
+	47	203
+	3	55	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	37	200
+	47	203
+	45	197
+	4	37	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	203
+	45	197
+	3	37	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	104
+	167	103
+	164	99
+	4	156	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	103
+	164	99
+	3	156	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	103
+	156	104
+	159	108
+	4	167	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	104
+	159	108
+	3	167	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	78
+	237	81
+	233	76
+	4	226	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	81
+	233	76
+	3	226	78	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	151	213
+	141	207
+	143	214
+	4	151	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	207
+	143	214
+	3	151	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	208
+	143	214
+	141	207
+	4	133	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	214
+	141	207
+	3	133	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	199
+	70	195
+	72	202
+	4	80	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	195
+	72	202
+	3	80	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	198
+	72	202
+	70	195
+	4	62	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	202
+	70	195
+	3	62	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	86
+	193	84
+	197	89
+	4	204	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	84
+	197	89
+	3	204	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	87
+	197	89
+	193	84
+	4	186	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	89
+	193	84
+	3	186	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	199
+	95	194
+	98	201
+	4	105	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	194
+	98	201
+	3	105	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	197
+	98	201
+	95	194
+	4	88	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	201
+	95	194
+	3	88	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	203
+	37	200
+	39	206
+	4	47	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	200
+	39	206
+	3	47	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	99
+	174	99
+	171	94
+	4	164	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	99
+	171	94
+	3	164	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	99
+	164	99
+	167	103
+	4	174	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	99
+	167	103
+	3	174	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	89
+	186	87
+	189	92
+	4	197	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	87
+	189	92
+	3	197	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	91
+	189	92
+	186	87
+	4	179	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	92
+	186	87
+	3	179	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	202
+	113	197
+	115	204
+	4	123	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	197
+	115	204
+	3	123	202	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	199
+	115	204
+	113	197
+	4	105	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	204
+	113	197
+	3	105	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	213
+	167	144
+	163	138
+	4	151	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	144
+	163	138
+	3	151	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	144
+	151	213
+	154	219
+	4	167	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	213
+	154	219
+	3	167	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	214
+	154	219
+	151	213
+	4	143	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	219
+	151	213
+	3	143	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	81
+	226	78
+	230	83
+	4	237	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	78
+	230	83
+	3	237	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	81
+	230	83
+	226	78
+	4	219	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	83
+	226	78
+	3	219	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	92
+	179	91
+	182	95
+	4	189	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	91
+	182	95
+	3	189	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	94
+	182	95
+	179	91
+	4	171	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	95
+	179	91
+	3	171	94	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	120
+	155	117
+	152	114
+	4	144	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	152	114
+	3	144	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	117
+	144	120
+	147	124
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	120
+	147	124
+	3	155	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	95
+	171	94
+	174	99
+	4	182	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	94
+	174	99
+	3	182	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	202
+	62	198
+	65	205
+	4	72	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	198
+	65	205
+	3	72	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	201
+	65	205
+	62	198
+	4	55	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	205
+	62	198
+	3	55	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	201
+	88	197
+	90	204
+	4	98	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	197
+	90	204
+	3	98	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	199
+	90	204
+	88	197
+	4	80	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	204
+	88	197
+	3	80	199	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	133	208
+	123	202
+	126	210
+	4	133	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	202
+	126	210
+	3	133	208	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	204
+	126	210
+	123	202
+	4	115	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	210
+	123	202
+	3	115	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	83
+	219	81
+	223	85
+	4	230	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	81
+	223	85
+	3	230	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	83
+	223	85
+	219	81
+	4	212	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	85
+	219	81
+	3	212	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	205
+	55	201
+	57	207
+	4	65	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	201
+	57	207
+	3	65	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	47	203
+	57	207
+	55	201
+	4	47	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	207
+	55	201
+	3	47	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	204
+	105	199
+	108	206
+	4	115	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	199
+	108	206
+	3	115	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	201
+	108	206
+	105	199
+	4	98	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	206
+	105	199
+	3	98	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	143	214
+	133	208
+	136	215
+	4	143	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	208
+	136	215
+	3	143	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	210
+	136	215
+	133	208
+	4	126	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	215
+	133	208
+	3	126	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	204
+	80	199
+	82	206
+	4	90	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	199
+	82	206
+	3	90	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	202
+	82	206
+	80	199
+	4	72	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	206
+	80	199
+	3	72	202	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	132
+	150	125
+	147	124
+	4	139	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	125
+	147	124
+	3	139	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	125
+	139	132
+	142	135
+	4	150	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	132
+	142	135
+	3	150	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	85
+	212	83
+	215	88
+	4	223	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	83
+	215	88
+	3	223	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	86
+	215	88
+	212	83
+	4	204	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	88
+	212	83
+	3	204	86	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	152	114
+	162	112
+	159	108
+	4	152	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	159	108
+	3	152	114	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	112
+	152	114
+	155	117
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	114
+	155	117
+	3	162	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	57	207
+	47	203
+	49	210
+	4	57	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	203
+	49	210
+	3	57	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	39	206
+	49	210
+	47	203
+	4	39	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	210
+	47	203
+	3	39	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	219
+	143	214
+	146	221
+	4	154	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	214
+	146	221
+	3	154	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	215
+	146	221
+	143	214
+	4	136	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	221
+	143	214
+	3	136	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	206
+	98	201
+	100	208
+	4	108	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	201
+	100	208
+	3	108	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	204
+	100	208
+	98	201
+	4	90	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	208
+	98	201
+	3	90	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	210
+	115	204
+	118	211
+	4	126	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	204
+	118	211
+	3	126	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	206
+	118	211
+	115	204
+	4	108	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	211
+	115	204
+	3	108	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	206
+	72	202
+	75	209
+	4	82	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	202
+	75	209
+	3	82	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	205
+	75	209
+	72	202
+	4	65	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	209
+	72	202
+	3	65	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	88
+	204	86
+	208	90
+	4	215	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	86
+	208	90
+	3	215	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	89
+	208	90
+	204	86
+	4	197	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	90
+	204	86
+	3	197	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	83
+	241	85
+	237	81
+	4	230	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	85
+	237	81
+	3	230	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	90
+	197	89
+	200	93
+	4	208	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	89
+	200	93
+	3	208	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	92
+	200	93
+	197	89
+	4	189	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	93
+	197	89
+	3	189	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	210
+	39	206
+	41	212
+	4	49	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	206
+	41	212
+	3	49	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	108
+	170	107
+	167	103
+	4	159	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	107
+	167	103
+	3	159	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	107
+	159	108
+	162	112
+	4	170	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	108
+	162	112
+	3	170	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	215
+	126	210
+	128	217
+	4	136	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	210
+	128	217
+	3	136	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	211
+	128	217
+	126	210
+	4	118	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	217
+	126	210
+	3	118	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	75	209
+	65	205
+	67	211
+	4	75	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	205
+	67	211
+	3	75	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	57	207
+	67	211
+	65	205
+	4	57	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	211
+	65	205
+	3	57	207	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	208
+	90	204
+	92	211
+	4	100	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	204
+	92	211
+	3	100	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	206
+	92	211
+	90	204
+	4	82	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	211
+	90	204
+	3	82	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	219
+	170	151
+	167	144
+	4	154	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	151
+	167	144
+	3	154	219	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	151
+	154	219
+	157	226
+	4	170	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	219
+	157	226
+	3	170	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	221
+	157	226
+	154	219
+	4	146	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	226
+	154	219
+	3	146	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	93
+	189	92
+	193	96
+	4	200	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	92
+	193	96
+	3	200	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	95
+	193	96
+	189	92
+	4	182	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	96
+	189	92
+	3	182	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	85
+	230	83
+	234	88
+	4	241	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	83
+	234	88
+	3	241	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	85
+	234	88
+	230	83
+	4	223	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	88
+	230	83
+	3	223	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	103
+	178	103
+	174	99
+	4	167	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	103
+	174	99
+	3	167	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	103
+	167	103
+	170	107
+	4	178	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	103
+	170	107
+	3	178	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	211
+	108	206
+	110	213
+	4	118	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	206
+	110	213
+	3	118	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	208
+	110	213
+	108	206
+	4	100	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	213
+	108	206
+	3	100	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	96
+	182	95
+	185	100
+	4	193	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	95
+	185	100
+	3	193	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	99
+	185	100
+	182	95
+	4	174	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	100
+	182	95
+	3	174	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	100
+	174	99
+	178	103
+	4	185	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	99
+	178	103
+	3	185	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	221
+	136	215
+	139	222
+	4	146	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	215
+	139	222
+	3	146	221	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	217
+	139	222
+	136	215
+	4	128	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	222
+	136	215
+	3	128	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	211
+	57	207
+	59	214
+	4	67	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	207
+	59	214
+	3	67	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	210
+	59	214
+	57	207
+	4	49	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	214
+	57	207
+	3	49	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	211
+	82	206
+	85	213
+	4	92	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	206
+	85	213
+	3	92	211	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	75	209
+	85	213
+	82	206
+	4	75	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	213
+	82	206
+	3	75	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	88
+	223	85
+	226	90
+	4	234	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	85
+	226	90
+	3	234	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	88
+	226	90
+	223	85
+	4	215	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	90
+	223	85
+	3	215	88	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	147	124
+	158	119
+	155	117
+	4	147	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	119
+	155	117
+	3	147	124	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	119
+	147	124
+	150	125
+	4	158	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	124
+	150	125
+	3	158	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	217
+	118	211
+	121	218
+	4	128	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	211
+	121	218
+	3	128	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	213
+	121	218
+	118	211
+	4	110	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	218
+	118	211
+	3	110	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	213
+	100	208
+	103	215
+	4	110	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	208
+	103	215
+	3	110	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	92	211
+	103	215
+	100	208
+	4	92	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	215
+	100	208
+	3	92	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	90
+	215	88
+	219	92
+	4	226	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	88
+	219	92
+	3	226	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	90
+	219	92
+	215	88
+	4	208	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	92
+	215	88
+	3	208	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	59	214
+	49	210
+	51	216
+	4	59	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	210
+	51	216
+	3	59	214	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	41	212
+	51	216
+	49	210
+	4	41	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	216
+	49	210
+	3	41	212	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	226
+	146	221
+	149	227
+	4	157	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	221
+	149	227
+	3	157	226	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	222
+	149	227
+	146	221
+	4	139	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	227
+	146	221
+	3	139	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	213
+	75	209
+	77	216
+	4	85	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	209
+	77	216
+	3	85	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	211
+	77	216
+	75	209
+	4	67	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	216
+	75	209
+	3	67	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	222
+	128	217
+	131	224
+	4	139	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	217
+	131	224
+	3	139	222	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	218
+	131	224
+	128	217
+	4	121	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	224
+	128	217
+	3	121	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	92
+	208	90
+	212	95
+	4	219	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	90
+	212	95
+	3	219	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	93
+	212	95
+	208	90
+	4	200	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	95
+	208	90
+	3	200	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	215
+	92	211
+	95	218
+	4	103	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	211
+	95	218
+	3	103	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	213
+	95	218
+	92	211
+	4	85	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	218
+	92	211
+	3	85	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	88
+	245	90
+	241	85
+	4	234	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	90
+	241	85
+	3	234	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	216
+	41	212
+	43	219
+	4	51	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	212
+	43	219
+	3	51	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	218
+	110	213
+	113	220
+	4	121	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	213
+	113	220
+	3	121	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	215
+	113	220
+	110	213
+	4	103	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	220
+	110	213
+	3	103	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	216
+	67	211
+	69	218
+	4	77	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	211
+	69	218
+	3	77	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	214
+	69	218
+	67	211
+	4	59	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	218
+	67	211
+	3	59	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	117
+	166	114
+	162	112
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	114
+	162	112
+	3	155	117	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	166	114
+	155	117
+	158	119
+	4	166	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	158	119
+	3	166	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	95
+	200	93
+	204	98
+	4	212	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	93
+	204	98
+	3	212	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	96
+	204	98
+	200	93
+	4	193	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	98
+	200	93
+	3	193	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	226
+	174	157
+	170	151
+	4	157	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	157
+	170	151
+	3	157	226	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	157
+	157	226
+	160	232
+	4	174	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	226
+	160	232
+	3	174	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	227
+	160	232
+	157	226
+	4	149	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	232
+	157	226
+	3	149	227	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	90
+	234	88
+	238	92
+	4	245	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	88
+	238	92
+	3	245	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	90
+	238	92
+	234	88
+	4	226	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	92
+	234	88
+	3	226	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	227
+	139	222
+	142	229
+	4	149	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	222
+	142	229
+	3	149	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	224
+	142	229
+	139	222
+	4	131	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	139	222
+	3	131	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	98
+	193	96
+	196	101
+	4	204	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	96
+	196	101
+	3	204	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	100
+	196	101
+	193	96
+	4	185	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	101
+	193	96
+	3	185	100	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	142	135
+	154	122
+	150	125
+	4	142	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	122
+	150	125
+	3	142	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	122
+	142	135
+	146	123
+	4	154	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	135
+	146	123
+	3	154	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	218
+	85	213
+	87	220
+	4	95	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	213
+	87	220
+	3	95	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	216
+	87	220
+	85	213
+	4	77	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	220
+	85	213
+	3	77	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	218
+	59	214
+	61	221
+	4	69	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	214
+	61	221
+	3	69	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	51	216
+	61	221
+	59	214
+	4	51	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	221
+	59	214
+	3	51	216	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	112
+	173	110
+	170	107
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	110
+	170	107
+	3	162	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	110
+	162	112
+	166	114
+	4	173	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	166	114
+	3	173	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	101
+	185	100
+	189	104
+	4	196	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	100
+	189	104
+	3	196	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	103
+	189	104
+	185	100
+	4	178	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	104
+	185	100
+	3	178	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	224
+	121	218
+	123	226
+	4	131	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	218
+	123	226
+	3	131	224	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	220
+	123	226
+	121	218
+	4	113	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	226
+	121	218
+	3	113	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	220
+	103	215
+	105	223
+	4	113	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	215
+	105	223
+	3	113	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	218
+	105	223
+	103	215
+	4	95	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	223
+	103	215
+	3	95	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	107
+	181	107
+	178	103
+	4	170	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	107
+	178	103
+	3	170	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	107
+	170	107
+	173	110
+	4	181	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	107
+	173	110
+	3	181	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	104
+	178	103
+	181	107
+	4	189	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	103
+	181	107
+	3	189	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	92
+	226	90
+	230	95
+	4	238	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	90
+	230	95
+	3	238	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	92
+	230	95
+	226	90
+	4	219	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	95
+	226	90
+	3	219	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	220
+	77	216
+	79	223
+	4	87	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	216
+	79	223
+	3	87	220	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	218
+	79	223
+	77	216
+	4	69	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	223
+	77	216
+	3	69	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	61	221
+	51	216
+	53	223
+	4	61	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	216
+	53	223
+	3	61	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	43	219
+	53	223
+	51	216
+	4	43	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	223
+	51	216
+	3	43	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	232
+	149	227
+	152	234
+	4	160	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	227
+	152	234
+	3	160	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	229
+	152	234
+	149	227
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	234
+	149	227
+	3	142	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	95
+	219	92
+	223	97
+	4	230	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	92
+	223	97
+	3	230	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	95
+	223	97
+	219	92
+	4	212	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	97
+	219	92
+	3	212	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	229
+	131	224
+	134	231
+	4	142	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	224
+	134	231
+	3	142	229	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	226
+	134	231
+	131	224
+	4	123	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	231
+	131	224
+	3	123	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	223
+	95	218
+	97	225
+	4	105	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	218
+	97	225
+	3	105	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	220
+	97	225
+	95	218
+	4	87	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	225
+	95	218
+	3	87	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	226
+	113	220
+	116	228
+	4	123	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	220
+	116	228
+	3	123	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	223
+	116	228
+	113	220
+	4	105	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	228
+	113	220
+	3	105	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	223
+	69	218
+	71	225
+	4	79	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	218
+	71	225
+	3	79	223	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	61	221
+	71	225
+	69	218
+	4	61	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	225
+	69	218
+	3	61	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	223
+	43	219
+	45	226
+	4	53	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	219
+	45	226
+	3	53	223	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	97
+	212	95
+	215	100
+	4	223	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	95
+	215	100
+	3	223	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	98
+	215	100
+	212	95
+	4	204	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	100
+	212	95
+	3	204	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	92
+	249	95
+	245	90
+	4	238	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	95
+	245	90
+	3	238	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	232
+	178	164
+	174	157
+	4	160	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	164
+	174	157
+	3	160	232	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	164
+	160	232
+	163	239
+	4	178	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	232
+	163	239
+	3	178	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	234
+	163	239
+	160	232
+	4	152	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	239
+	160	232
+	3	152	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	225
+	87	220
+	89	227
+	4	97	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	220
+	89	227
+	3	97	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	223
+	89	227
+	87	220
+	4	79	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	227
+	87	220
+	3	79	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	234
+	142	229
+	145	236
+	4	152	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	229
+	145	236
+	3	152	234	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	231
+	145	236
+	142	229
+	4	134	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	236
+	142	229
+	3	134	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	100
+	204	98
+	208	102
+	4	215	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	98
+	208	102
+	3	215	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	101
+	208	102
+	204	98
+	4	196	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	102
+	204	98
+	3	196	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	225
+	61	221
+	63	228
+	4	71	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	221
+	63	228
+	3	71	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	53	223
+	63	228
+	61	221
+	4	53	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	228
+	61	221
+	3	53	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	231
+	123	226
+	126	233
+	4	134	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	226
+	126	233
+	3	134	231	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	228
+	126	233
+	123	226
+	4	116	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	233
+	123	226
+	3	116	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	228
+	105	223
+	108	230
+	4	116	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	223
+	108	230
+	3	116	228	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	225
+	108	230
+	105	223
+	4	97	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	230
+	105	223
+	3	97	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	249	95
+	238	92
+	242	97
+	4	249	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	92
+	242	97
+	3	249	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	95
+	242	97
+	238	92
+	4	230	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	97
+	238	92
+	3	230	95	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	125
+	161	120
+	158	119
+	4	150	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	120
+	158	119
+	3	150	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	120
+	150	125
+	154	122
+	4	161	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	125
+	154	122
+	3	161	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	102
+	196	101
+	200	105
+	4	208	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	101
+	200	105
+	3	208	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	104
+	200	105
+	196	101
+	4	189	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	105
+	196	101
+	3	189	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	227
+	79	223
+	82	230
+	4	89	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	223
+	82	230
+	3	89	227	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	225
+	82	230
+	79	223
+	4	71	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	230
+	79	223
+	3	71	225	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	63	228
+	53	223
+	55	230
+	4	63	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	223
+	55	230
+	3	63	228	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	45	226
+	55	230
+	53	223
+	4	45	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	230
+	53	223
+	3	45	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	105
+	189	104
+	192	108
+	4	200	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	104
+	192	108
+	3	200	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	107
+	192	108
+	189	104
+	4	181	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	108
+	189	104
+	3	181	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	97
+	230	95
+	234	99
+	4	242	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	95
+	234	99
+	3	242	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	97
+	234	99
+	230	95
+	4	223	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	99
+	230	95
+	3	223	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	239
+	152	234
+	155	241
+	4	163	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	234
+	155	241
+	3	163	239	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	236
+	155	241
+	152	234
+	4	145	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	241
+	152	234
+	3	145	236	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	230
+	97	225
+	100	232
+	4	108	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	225
+	100	232
+	3	108	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	227
+	100	232
+	97	225
+	4	89	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	232
+	97	225
+	3	89	227	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	145	236
+	134	231
+	137	238
+	4	145	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	231
+	137	238
+	3	145	236	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	233
+	137	238
+	134	231
+	4	126	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	238
+	134	231
+	3	126	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	233
+	116	228
+	118	235
+	4	126	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	228
+	118	235
+	3	126	233	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	230
+	118	235
+	116	228
+	4	108	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	235
+	116	228
+	3	108	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	108
+	181	107
+	185	111
+	4	192	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	107
+	185	111
+	3	192	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	110
+	185	111
+	181	107
+	4	173	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	111
+	181	107
+	3	173	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	119
+	169	117
+	166	114
+	4	158	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	117
+	166	114
+	3	158	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	117
+	158	119
+	161	120
+	4	169	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	119
+	161	120
+	3	169	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	111
+	173	110
+	177	114
+	4	185	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	110
+	177	114
+	3	185	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	114
+	177	114
+	173	110
+	4	166	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	114
+	173	110
+	3	166	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	114
+	166	114
+	169	117
+	4	177	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	114
+	169	117
+	3	177	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	230
+	71	225
+	74	232
+	4	82	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	225
+	74	232
+	3	82	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	63	228
+	74	232
+	71	225
+	4	63	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	232
+	71	225
+	3	63	228	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	99
+	223	97
+	227	102
+	4	234	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	97
+	227	102
+	3	234	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	100
+	227	102
+	223	97
+	4	215	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	102
+	223	97
+	3	215	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	230
+	45	226
+	47	233
+	4	55	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	226
+	47	233
+	3	55	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	232
+	89	227
+	92	234
+	4	100	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	227
+	92	234
+	3	100	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	230
+	92	234
+	89	227
+	4	82	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	234
+	89	227
+	3	82	230	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	97
+	253	100
+	249	95
+	4	242	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	100
+	249	95
+	3	242	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	241
+	145	236
+	148	243
+	4	155	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	236
+	148	243
+	3	155	241	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	238
+	148	243
+	145	236
+	4	137	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	243
+	145	236
+	3	137	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	102
+	215	100
+	219	104
+	4	227	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	100
+	219	104
+	3	227	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	102
+	219	104
+	215	100
+	4	208	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	104
+	215	100
+	3	208	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	235
+	108	230
+	111	237
+	4	118	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	230
+	111	237
+	3	118	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	232
+	111	237
+	108	230
+	4	100	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	237
+	108	230
+	3	100	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	238
+	126	233
+	129	240
+	4	137	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	233
+	129	240
+	3	137	238	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	235
+	129	240
+	126	233
+	4	118	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	240
+	126	233
+	3	118	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	74	232
+	63	228
+	65	235
+	4	74	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	228
+	65	235
+	3	74	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	230
+	65	235
+	63	228
+	4	55	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	235
+	63	228
+	3	55	230	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	104
+	208	102
+	212	107
+	4	219	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	102
+	212	107
+	3	219	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	105
+	212	107
+	208	102
+	4	200	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	107
+	208	102
+	3	200	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	100
+	242	97
+	246	102
+	4	253	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	97
+	246	102
+	3	253	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	99
+	246	102
+	242	97
+	4	234	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	102
+	242	97
+	3	234	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	234
+	82	230
+	84	237
+	4	92	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	230
+	84	237
+	3	92	234	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	74	232
+	84	237
+	82	230
+	4	74	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	237
+	82	230
+	3	74	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	235
+	55	230
+	57	237
+	4	65	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	230
+	57	237
+	3	65	235	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	233
+	57	237
+	55	230
+	4	47	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	237
+	55	230
+	3	47	233	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	237
+	100	232
+	103	239
+	4	111	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	232
+	103	239
+	3	111	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	234
+	103	239
+	100	232
+	4	92	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	239
+	100	232
+	3	92	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	107
+	200	105
+	204	109
+	4	212	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	105
+	204	109
+	3	212	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	108
+	204	109
+	200	105
+	4	192	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	200	105
+	3	192	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	243
+	137	238
+	140	245
+	4	148	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	238
+	140	245
+	3	148	243	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	240
+	140	245
+	137	238
+	4	129	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	245
+	137	238
+	3	129	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	240
+	118	235
+	121	242
+	4	129	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	235
+	121	242
+	3	129	240	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	237
+	121	242
+	118	235
+	4	111	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	242
+	118	235
+	3	111	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	102
+	234	99
+	238	104
+	4	246	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	99
+	238	104
+	3	246	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	102
+	238	104
+	234	99
+	4	227	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	104
+	234	99
+	3	227	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	237
+	74	232
+	76	239
+	4	84	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	232
+	76	239
+	3	84	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	235
+	76	239
+	74	232
+	4	65	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	239
+	74	232
+	3	65	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	109
+	192	108
+	196	112
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	108
+	196	112
+	3	204	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	111
+	196	112
+	192	108
+	4	185	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	112
+	192	108
+	3	185	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	57	237
+	47	233
+	49	240
+	4	57	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	233
+	49	240
+	3	57	237	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	239
+	92	234
+	94	242
+	4	103	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	234
+	94	242
+	3	103	239	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	237
+	94	242
+	92	234
+	4	84	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	242
+	92	234
+	3	84	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	104
+	227	102
+	231	107
+	4	238	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	102
+	231	107
+	3	238	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	104
+	231	107
+	227	102
+	4	219	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	107
+	227	102
+	3	219	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	112
+	185	111
+	188	114
+	4	196	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	111
+	188	114
+	3	196	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	114
+	188	114
+	185	111
+	4	177	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	114
+	185	111
+	3	177	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	242
+	111	237
+	113	244
+	4	121	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	237
+	113	244
+	3	121	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	239
+	113	244
+	111	237
+	4	103	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	244
+	111	237
+	3	103	239	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	245
+	129	240
+	132	247
+	4	140	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	240
+	132	247
+	3	140	245	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	242
+	132	247
+	129	240
+	4	121	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	247
+	129	240
+	3	121	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	239
+	65	235
+	68	242
+	4	76	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	235
+	68	242
+	3	76	239	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	57	237
+	68	242
+	65	235
+	4	57	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	242
+	65	235
+	3	57	237	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	102
+	258	105
+	253	100
+	4	246	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	105
+	253	100
+	3	246	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	114
+	177	114
+	181	117
+	4	188	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	114
+	181	117
+	3	188	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	117
+	181	117
+	177	114
+	4	169	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	117
+	177	114
+	3	169	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	107
+	219	104
+	223	109
+	4	231	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	104
+	223	109
+	3	231	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	107
+	223	109
+	219	104
+	4	212	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	109
+	219	104
+	3	212	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	242
+	84	237
+	86	244
+	4	94	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	237
+	86	244
+	3	94	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	239
+	86	244
+	84	237
+	4	76	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	244
+	84	237
+	3	76	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	117
+	169	117
+	173	119
+	4	181	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	117
+	173	119
+	3	181	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	120
+	173	119
+	169	117
+	4	161	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	119
+	169	117
+	3	161	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	242
+	57	237
+	60	244
+	4	68	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	237
+	60	244
+	3	68	242	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	49	240
+	60	244
+	57	237
+	4	49	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	244
+	57	237
+	3	49	240	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	244
+	103	239
+	105	246
+	4	113	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	239
+	105	246
+	3	113	244	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	242
+	105	246
+	103	239
+	4	94	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	246
+	103	239
+	3	94	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	105
+	246	102
+	250	107
+	4	258	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	102
+	250	107
+	3	258	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	104
+	250	107
+	246	102
+	4	238	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	107
+	246	102
+	3	238	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	247
+	121	242
+	124	249
+	4	132	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	242
+	124	249
+	3	132	247	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	244
+	124	249
+	121	242
+	4	113	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	249
+	121	242
+	3	113	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	109
+	212	107
+	216	111
+	4	223	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	107
+	216	111
+	3	223	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	109
+	216	111
+	212	107
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	111
+	212	107
+	3	204	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	119
+	161	120
+	165	121
+	4	173	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	120
+	165	121
+	3	173	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	154	122
+	165	121
+	161	120
+	4	154	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	121
+	161	120
+	3	154	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	244
+	76	239
+	78	246
+	4	86	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	239
+	78	246
+	3	86	244	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	242
+	78	246
+	76	239
+	4	68	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	246
+	76	239
+	3	68	242	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	107
+	238	104
+	243	109
+	4	250	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	104
+	243	109
+	3	250	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	107
+	243	109
+	238	104
+	4	231	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	109
+	238	104
+	3	231	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	244
+	49	240
+	51	247
+	4	60	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	240
+	51	247
+	3	60	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	111
+	204	109
+	208	114
+	4	216	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	208	114
+	3	216	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	112
+	208	114
+	204	109
+	4	196	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	114
+	204	109
+	3	196	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	165	121
+	154	122
+	157	121
+	4	165	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	122
+	157	121
+	3	165	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	123
+	157	121
+	154	122
+	4	146	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	121
+	154	122
+	3	146	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	246
+	94	242
+	97	249
+	4	105	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	242
+	97	249
+	3	105	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	244
+	97	249
+	94	242
+	4	86	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	249
+	94	242
+	3	86	244	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	249
+	113	244
+	116	251
+	4	124	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	244
+	116	251
+	3	124	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	246
+	116	251
+	113	244
+	4	105	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	251
+	113	244
+	3	105	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	246
+	68	242
+	70	249
+	4	78	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	242
+	70	249
+	3	78	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	244
+	70	249
+	68	242
+	4	60	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	249
+	68	242
+	3	60	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	114
+	196	112
+	200	116
+	4	208	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	112
+	200	116
+	3	208	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	114
+	200	116
+	196	112
+	4	188	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	116
+	196	112
+	3	188	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	109
+	231	107
+	235	112
+	4	243	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	107
+	235	112
+	3	243	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	109
+	235	112
+	231	107
+	4	223	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	112
+	231	107
+	3	223	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	249
+	86	244
+	89	251
+	4	97	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	244
+	89	251
+	3	97	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	246
+	89	251
+	86	244
+	4	78	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	251
+	86	244
+	3	78	246	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	107
+	262	110
+	258	105
+	4	250	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	110
+	258	105
+	3	250	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	116
+	188	114
+	192	118
+	4	200	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	114
+	192	118
+	3	200	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	117
+	192	118
+	188	114
+	4	181	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	118
+	188	114
+	3	181	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	251
+	105	246
+	108	254
+	4	116	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	246
+	108	254
+	3	116	251	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	249
+	108	254
+	105	246
+	4	97	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	254
+	105	246
+	3	97	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	249
+	60	244
+	62	252
+	4	70	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	244
+	62	252
+	3	70	249	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	51	247
+	62	252
+	60	244
+	4	51	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	252
+	60	244
+	3	51	247	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	112
+	223	109
+	227	114
+	4	235	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	109
+	227	114
+	3	235	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	111
+	227	114
+	223	109
+	4	216	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	114
+	223	109
+	3	216	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	121
+	146	123
+	149	118
+	4	157	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	123
+	149	118
+	3	157	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	110
+	250	107
+	255	112
+	4	262	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	107
+	255	112
+	3	262	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	109
+	255	112
+	250	107
+	4	243	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	112
+	250	107
+	3	243	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	251
+	78	246
+	81	254
+	4	89	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	246
+	81	254
+	3	89	251	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	249
+	81	254
+	78	246
+	4	70	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	254
+	78	246
+	3	70	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	118
+	181	117
+	184	120
+	4	192	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	117
+	184	120
+	3	192	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	119
+	184	120
+	181	117
+	4	173	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	120
+	181	117
+	3	173	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	114
+	216	111
+	220	116
+	4	227	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	111
+	220	116
+	3	227	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	114
+	220	116
+	216	111
+	4	208	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	116
+	216	111
+	3	208	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	252
+	51	247
+	53	254
+	4	62	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	247
+	53	254
+	3	62	252	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	254
+	97	249
+	100	256
+	4	108	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	249
+	100	256
+	3	108	254	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	251
+	100	256
+	97	249
+	4	89	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	256
+	97	249
+	3	89	251	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	112
+	243	109
+	247	114
+	4	255	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	109
+	247	114
+	3	255	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	112
+	247	114
+	243	109
+	4	235	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	114
+	243	109
+	3	235	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	120
+	173	119
+	176	122
+	4	184	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	119
+	176	122
+	3	184	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	121
+	176	122
+	173	119
+	4	165	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	122
+	173	119
+	3	165	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	254
+	70	249
+	72	256
+	4	81	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	249
+	72	256
+	3	81	254	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	252
+	72	256
+	70	249
+	4	62	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	256
+	70	249
+	3	62	252	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	116
+	208	114
+	212	118
+	4	220	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	114
+	212	118
+	3	220	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	116
+	212	118
+	208	114
+	4	200	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	118
+	208	114
+	3	200	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	256
+	89	251
+	91	259
+	4	100	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	251
+	91	259
+	3	100	256	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	254
+	91	259
+	89	251
+	4	81	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	259
+	89	251
+	3	81	254	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	114
+	235	112
+	239	117
+	4	247	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	112
+	239	117
+	3	247	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	114
+	239	117
+	235	112
+	4	227	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	117
+	235	112
+	3	227	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	118
+	200	116
+	204	121
+	4	212	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	116
+	204	121
+	3	212	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	118
+	204	121
+	200	116
+	4	192	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	121
+	200	116
+	3	192	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	112
+	267	115
+	262	110
+	4	255	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	115
+	262	110
+	3	255	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	256
+	62	252
+	64	259
+	4	72	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	252
+	64	259
+	3	72	256	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	53	254
+	64	259
+	62	252
+	4	53	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	259
+	62	252
+	3	53	254	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	122
+	165	121
+	169	123
+	4	176	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	121
+	169	123
+	3	176	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	121
+	169	123
+	165	121
+	4	157	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	123
+	165	121
+	3	157	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	117
+	227	114
+	232	119
+	4	239	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	114
+	232	119
+	3	239	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	116
+	232	119
+	227	114
+	4	220	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	119
+	227	114
+	3	220	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	259
+	81	254
+	83	261
+	4	91	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	254
+	83	261
+	3	91	259	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	256
+	83	261
+	81	254
+	4	72	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	261
+	81	254
+	3	72	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	121
+	192	118
+	196	123
+	4	204	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	118
+	196	123
+	3	204	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	120
+	196	123
+	192	118
+	4	184	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	123
+	192	118
+	3	184	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	115
+	255	112
+	259	117
+	4	267	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	112
+	259	117
+	3	267	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	114
+	259	117
+	255	112
+	4	247	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	117
+	255	112
+	3	247	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	259
+	53	254
+	56	262
+	4	64	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	254
+	56	262
+	3	64	259	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	119
+	220	116
+	224	121
+	4	232	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	116
+	224	121
+	3	232	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	118
+	224	121
+	220	116
+	4	212	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	121
+	220	116
+	3	212	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	83	261
+	72	256
+	75	264
+	4	83	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	256
+	75	264
+	3	83	261	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	259
+	75	264
+	72	256
+	4	64	259	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	264
+	72	256
+	3	64	259	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	117
+	247	114
+	251	119
+	4	259	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	114
+	251	119
+	3	259	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	117
+	251	119
+	247	114
+	4	239	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	119
+	247	114
+	3	239	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	123
+	184	120
+	188	124
+	4	196	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	120
+	188	124
+	3	196	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	122
+	188	124
+	184	120
+	4	176	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	124
+	184	120
+	3	176	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	123
+	157	121
+	161	123
+	4	169	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	121
+	161	123
+	3	169	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	118
+	161	123
+	157	121
+	4	149	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	123
+	157	121
+	3	149	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	121
+	212	118
+	216	123
+	4	224	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	118
+	216	123
+	3	224	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	121
+	216	123
+	212	118
+	4	204	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	123
+	212	118
+	3	204	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	75	264
+	64	259
+	66	267
+	4	75	264	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	259
+	66	267
+	3	75	264	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	262
+	66	267
+	64	259
+	4	56	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	267
+	64	259
+	3	56	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	119
+	239	117
+	244	122
+	4	251	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	117
+	244	122
+	3	251	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	119
+	244	122
+	239	117
+	4	232	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	122
+	239	117
+	3	232	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	117
+	271	120
+	267	115
+	4	259	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	120
+	267	115
+	3	259	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	124
+	176	122
+	180	126
+	4	188	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	122
+	180	126
+	3	188	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	123
+	180	126
+	176	122
+	4	169	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	126
+	176	122
+	3	169	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	123
+	204	121
+	208	125
+	4	216	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	121
+	208	125
+	3	216	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	123
+	208	125
+	204	121
+	4	196	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	125
+	204	121
+	3	196	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	267
+	56	262
+	58	269
+	4	66	267	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	262
+	58	269
+	3	66	267	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	244	122
+	232	119
+	236	124
+	4	244	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	119
+	236	124
+	3	244	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	121
+	236	124
+	232	119
+	4	224	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	124
+	232	119
+	3	224	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	120
+	259	117
+	264	123
+	4	271	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	117
+	264	123
+	3	271	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	251	119
+	264	123
+	259	117
+	4	251	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	123
+	259	117
+	3	251	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	125
+	196	123
+	200	127
+	4	208	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	123
+	200	127
+	3	208	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	124
+	200	127
+	196	123
+	4	188	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	127
+	196	123
+	3	188	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	126
+	169	123
+	172	127
+	4	180	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	123
+	172	127
+	3	180	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	123
+	172	127
+	169	123
+	4	161	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	127
+	169	123
+	3	161	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	124
+	224	121
+	228	126
+	4	236	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	121
+	228	126
+	3	236	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	123
+	228	126
+	224	121
+	4	216	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	126
+	224	121
+	3	216	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	123
+	251	119
+	256	125
+	4	264	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	119
+	256	125
+	3	264	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	244	122
+	256	125
+	251	119
+	4	244	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	125
+	251	119
+	3	244	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	127
+	188	124
+	192	129
+	4	200	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	124
+	192	129
+	3	200	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	126
+	192	129
+	188	124
+	4	180	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	129
+	188	124
+	3	180	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	123
+	149	118
+	153	122
+	4	161	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	118
+	153	122
+	3	161	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	126
+	216	123
+	220	128
+	4	228	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	123
+	220	128
+	3	228	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	125
+	220	128
+	216	123
+	4	208	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	128
+	216	123
+	3	208	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	256	125
+	244	122
+	248	127
+	4	256	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	122
+	248	127
+	3	256	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	124
+	248	127
+	244	122
+	4	236	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	127
+	244	122
+	3	236	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	264	123
+	276	126
+	271	120
+	4	264	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	126
+	271	120
+	3	264	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	127
+	161	123
+	164	127
+	4	172	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	123
+	164	127
+	3	172	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	122
+	164	127
+	161	123
+	4	153	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	127
+	161	123
+	3	153	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	128
+	208	125
+	212	130
+	4	220	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	125
+	212	130
+	3	220	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	127
+	212	130
+	208	125
+	4	200	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	130
+	208	125
+	3	200	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	127
+	236	124
+	240	129
+	4	248	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	124
+	240	129
+	3	248	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	126
+	240	129
+	236	124
+	4	228	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	129
+	236	124
+	3	228	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	129
+	180	126
+	184	130
+	4	192	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	126
+	184	130
+	3	192	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	127
+	184	130
+	180	126
+	4	172	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	130
+	180	126
+	3	172	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	126
+	264	123
+	268	128
+	4	276	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	123
+	268	128
+	3	276	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	256	125
+	268	128
+	264	123
+	4	256	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	128
+	264	123
+	3	256	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	130
+	200	127
+	204	132
+	4	212	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	127
+	204	132
+	3	212	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	129
+	204	132
+	200	127
+	4	192	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	132
+	200	127
+	3	192	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	129
+	228	126
+	232	131
+	4	240	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	126
+	232	131
+	3	240	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	128
+	232	131
+	228	126
+	4	220	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	131
+	228	126
+	3	220	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	268	128
+	256	125
+	261	130
+	4	268	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	125
+	261	130
+	3	268	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	127
+	261	130
+	256	125
+	4	248	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	130
+	256	125
+	3	248	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	130
+	172	127
+	176	131
+	4	184	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	127
+	176	131
+	3	184	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	127
+	176	131
+	172	127
+	4	164	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	131
+	172	127
+	3	164	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	131
+	220	128
+	224	133
+	4	232	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	128
+	224	133
+	3	232	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	130
+	224	133
+	220	128
+	4	212	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	133
+	220	128
+	3	212	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	130
+	248	127
+	253	133
+	4	261	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	127
+	253	133
+	3	261	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	129
+	253	133
+	248	127
+	4	240	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	133
+	248	127
+	3	240	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	128
+	281	131
+	276	126
+	4	268	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	131
+	276	126
+	3	268	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	132
+	192	129
+	196	134
+	4	204	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	129
+	196	134
+	3	204	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	130
+	196	134
+	192	129
+	4	184	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	134
+	192	129
+	3	184	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	127
+	153	122
+	156	127
+	4	164	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	122
+	156	127
+	3	164	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	133
+	240	129
+	245	135
+	4	253	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	129
+	245	135
+	3	253	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	131
+	245	135
+	240	129
+	4	232	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	135
+	240	129
+	3	232	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	281	131
+	268	128
+	273	134
+	4	281	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	128
+	273	134
+	3	281	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	130
+	273	134
+	268	128
+	4	261	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	134
+	268	128
+	3	261	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	133
+	212	130
+	216	135
+	4	224	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	130
+	216	135
+	3	224	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	132
+	216	135
+	212	130
+	4	204	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	135
+	212	130
+	3	204	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	131
+	164	127
+	168	132
+	4	176	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	127
+	168	132
+	3	176	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	127
+	168	132
+	164	127
+	4	156	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	132
+	164	127
+	3	156	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	134
+	184	130
+	188	135
+	4	196	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	130
+	188	135
+	3	196	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	131
+	188	135
+	184	130
+	4	176	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	135
+	184	130
+	3	176	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	273	134
+	261	130
+	265	136
+	4	273	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	130
+	265	136
+	3	273	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	133
+	265	136
+	261	130
+	4	253	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	136
+	261	130
+	3	253	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	135
+	232	131
+	237	137
+	4	245	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	131
+	237	137
+	3	245	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	133
+	237	137
+	232	131
+	4	224	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	137
+	232	131
+	3	224	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	135
+	204	132
+	208	137
+	4	216	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	132
+	208	137
+	3	216	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	134
+	208	137
+	204	132
+	4	196	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	137
+	204	132
+	3	196	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	134
+	286	137
+	281	131
+	4	273	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	137
+	281	131
+	3	273	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	136
+	253	133
+	257	138
+	4	265	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	133
+	257	138
+	3	265	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	245	135
+	257	138
+	253	133
+	4	245	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	138
+	253	133
+	3	245	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	135
+	176	131
+	180	137
+	4	188	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	131
+	180	137
+	3	188	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	132
+	180	137
+	176	131
+	4	168	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	137
+	176	131
+	3	168	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	137
+	224	133
+	229	139
+	4	237	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	133
+	229	139
+	3	237	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	135
+	229	139
+	224	133
+	4	216	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	139
+	224	133
+	3	216	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	137
+	196	134
+	200	139
+	4	208	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	134
+	200	139
+	3	208	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	135
+	200	139
+	196	134
+	4	188	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	139
+	196	134
+	3	188	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	132
+	156	127
+	159	132
+	4	168	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	127
+	159	132
+	3	168	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	286	137
+	273	134
+	278	140
+	4	286	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	134
+	278	140
+	3	286	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	136
+	278	140
+	273	134
+	4	265	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	140
+	273	134
+	3	265	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	138
+	245	135
+	249	140
+	4	257	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	135
+	249	140
+	3	257	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	137
+	249	140
+	245	135
+	4	237	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	140
+	245	135
+	3	237	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	139
+	216	135
+	220	141
+	4	229	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	135
+	220	141
+	3	229	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	137
+	220	141
+	216	135
+	4	208	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	141
+	216	135
+	3	208	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	137
+	168	132
+	171	138
+	4	180	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	132
+	171	138
+	3	180	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	132
+	171	138
+	168	132
+	4	159	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	138
+	168	132
+	3	159	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	139
+	188	135
+	192	141
+	4	200	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	135
+	192	141
+	3	200	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	137
+	192	141
+	188	135
+	4	180	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	141
+	188	135
+	3	180	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	278	140
+	265	136
+	270	142
+	4	278	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	136
+	270	142
+	3	278	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	138
+	270	142
+	265	136
+	4	257	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	142
+	265	136
+	3	257	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	140
+	237	137
+	241	143
+	4	249	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	137
+	241	143
+	3	249	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	139
+	241	143
+	237	137
+	4	229	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	143
+	237	137
+	3	229	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	141
+	208	137
+	212	143
+	4	220	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	137
+	212	143
+	3	220	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	139
+	212	143
+	208	137
+	4	200	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	143
+	208	137
+	3	200	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	142
+	257	138
+	262	144
+	4	270	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	138
+	262	144
+	3	270	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	140
+	262	144
+	257	138
+	4	249	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	144
+	257	138
+	3	249	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	143
+	229	139
+	233	145
+	4	241	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	139
+	233	145
+	3	241	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	141
+	233	145
+	229	139
+	4	220	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	145
+	229	139
+	3	220	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	141
+	180	137
+	183	142
+	4	192	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	137
+	183	142
+	3	192	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	138
+	183	142
+	180	137
+	4	171	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	142
+	180	137
+	3	171	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	143
+	200	139
+	204	145
+	4	212	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	139
+	204	145
+	3	212	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	141
+	204	145
+	200	139
+	4	192	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	145
+	200	139
+	3	192	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	138
+	159	132
+	163	138
+	4	171	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	132
+	163	138
+	3	171	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	262	144
+	249	140
+	254	146
+	4	262	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	140
+	254	146
+	3	262	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	143
+	254	146
+	249	140
+	4	241	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	146
+	249	140
+	3	241	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	145
+	220	141
+	225	147
+	4	233	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	141
+	225	147
+	3	233	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	143
+	225	147
+	220	141
+	4	212	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	147
+	220	141
+	3	212	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	142
+	171	138
+	175	143
+	4	183	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	138
+	175	143
+	3	183	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	138
+	175	143
+	171	138
+	4	163	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	143
+	171	138
+	3	163	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	145
+	192	141
+	196	146
+	4	204	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	141
+	196	146
+	3	204	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	142
+	196	146
+	192	141
+	4	183	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	146
+	192	141
+	3	183	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	146
+	241	143
+	246	148
+	4	254	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	143
+	246	148
+	3	254	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	145
+	246	148
+	241	143
+	4	233	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	148
+	241	143
+	3	233	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	147
+	212	143
+	217	149
+	4	225	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	143
+	217	149
+	3	225	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	145
+	217	149
+	212	143
+	4	204	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	149
+	212	143
+	3	204	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	148
+	233	145
+	238	151
+	4	246	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	145
+	238	151
+	3	246	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	147
+	238	151
+	233	145
+	4	225	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	151
+	233	145
+	3	225	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	146
+	183	142
+	187	148
+	4	196	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	142
+	187	148
+	3	196	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	143
+	187	148
+	183	142
+	4	175	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	148
+	183	142
+	3	175	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	143
+	163	138
+	167	144
+	4	175	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	138
+	167	144
+	3	175	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	149
+	204	145
+	208	151
+	4	217	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	145
+	208	151
+	3	217	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	146
+	208	151
+	204	145
+	4	196	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	151
+	204	145
+	3	196	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	151
+	225	147
+	229	153
+	4	238	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	147
+	229	153
+	3	238	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	149
+	229	153
+	225	147
+	4	217	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	153
+	225	147
+	3	217	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	148
+	175	143
+	179	149
+	4	187	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	143
+	179	149
+	3	187	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	144
+	179	149
+	175	143
+	4	167	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	149
+	175	143
+	3	167	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	151
+	196	146
+	200	152
+	4	208	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	146
+	200	152
+	3	208	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	148
+	200	152
+	196	146
+	4	187	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	152
+	196	146
+	3	187	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	153
+	217	149
+	221	155
+	4	229	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	149
+	221	155
+	3	229	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	151
+	221	155
+	217	149
+	4	208	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	155
+	217	149
+	3	208	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	152
+	187	148
+	191	154
+	4	200	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	148
+	191	154
+	3	200	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	149
+	191	154
+	187	148
+	4	179	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	154
+	187	148
+	3	179	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	149
+	167	144
+	170	151
+	4	179	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	144
+	170	151
+	3	179	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	155
+	208	151
+	213	157
+	4	221	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	151
+	213	157
+	3	221	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	152
+	213	157
+	208	151
+	4	200	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	157
+	208	151
+	3	200	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	154
+	179	149
+	183	156
+	4	191	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	149
+	183	156
+	3	191	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	151
+	183	156
+	179	149
+	4	170	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	156
+	179	149
+	3	170	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	157
+	200	152
+	204	159
+	4	213	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	152
+	204	159
+	3	213	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	154
+	204	159
+	200	152
+	4	191	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	159
+	200	152
+	3	191	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	156
+	170	151
+	174	157
+	4	183	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	151
+	174	157
+	3	183	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	159
+	191	154
+	195	161
+	4	204	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	154
+	195	161
+	3	204	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	156
+	195	161
+	191	154
+	4	183	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	161
+	191	154
+	3	183	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	161
+	183	156
+	187	162
+	4	195	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	156
+	187	162
+	3	195	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	157
+	187	162
+	183	156
+	4	174	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	162
+	183	156
+	3	174	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	162
+	174	157
+	178	164
+	4	187	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	157
+	178	164
+	3	187	162	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/compexp.ps b/books/ps/compexp.ps
new file mode 100644
index 0000000..fd152b4
--- /dev/null
+++ b/books/ps/compexp.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	0	300	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	195	74	67	269	psDrawLine
+	globGC	(X)	200	69	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	15	115	285	205	psDrawLine
+	globGC	(Y)	10	110	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	141	31	141	247	psDrawLine
+	globGC	(Z)	146	26	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.750000	setForeground
+	renderGC
+	106	186
+	114	200
+	108	194
+	4	106	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	200
+	108	194
+	3	106	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	200
+	106	186
+	112	192
+	4	114	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	186
+	112	192
+	3	114	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	192
+	119	191
+	114	200
+	4	112	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	191
+	114	200
+	3	112	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	168
+	108	194
+	100	173
+	4	99	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	194
+	100	173
+	3	99	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	194
+	99	168
+	106	186
+	4	108	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	168
+	106	186
+	3	108	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	179
+	112	192
+	106	186
+	4	105	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	192
+	106	186
+	3	105	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	192
+	105	179
+	111	184
+	4	112	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	179
+	111	184
+	3	112	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	191
+	112	192
+	118	184
+	4	119	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	192
+	118	184
+	3	119	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	184
+	118	184
+	112	192
+	4	111	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	184
+	112	192
+	3	111	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	163
+	106	186
+	99	168
+	4	97	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	186
+	99	168
+	3	97	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	186
+	97	163
+	105	179
+	4	106	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	163
+	105	179
+	3	106	186	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	118	184
+	125	168
+	119	191
+	4	118	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	168
+	119	191
+	3	118	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	91	138
+	100	173
+	92	140
+	4	91	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	173
+	92	140
+	3	91	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	173
+	91	138
+	99	168
+	4	100	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	138
+	99	168
+	3	100	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	174
+	111	184
+	105	179
+	4	103	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	184
+	105	179
+	3	103	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	184
+	103	174
+	110	178
+	4	111	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	174
+	110	178
+	3	111	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	184
+	111	184
+	117	178
+	4	118	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	184
+	117	178
+	3	118	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	178
+	117	178
+	111	184
+	4	110	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	178
+	111	184
+	3	110	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	159
+	105	179
+	97	163
+	4	96	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	179
+	97	163
+	3	96	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	105	179
+	96	159
+	103	174
+	4	105	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	159
+	103	174
+	3	105	179	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	125	168
+	118	184
+	124	164
+	4	125	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	184
+	124	164
+	3	125	168	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	117	178
+	124	164
+	118	184
+	4	117	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	164
+	118	184
+	3	117	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	208
+	194	229
+	189	215
+	4	189	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	229
+	189	215
+	3	189	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	229
+	189	208
+	194	221
+	4	194	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	208
+	194	221
+	3	194	229	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	221
+	201	227
+	194	229
+	4	194	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	227
+	194	229
+	3	194	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	136
+	99	168
+	91	138
+	4	89	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	168
+	91	138
+	3	89	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	168
+	89	136
+	97	163
+	4	99	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	136
+	97	163
+	3	99	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	169
+	110	178
+	103	174
+	4	102	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	178
+	103	174
+	3	102	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	178
+	102	169
+	108	173
+	4	110	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	169
+	108	173
+	3	110	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	178
+	110	178
+	115	173
+	4	117	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	178
+	115	173
+	3	117	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	173
+	115	173
+	110	178
+	4	108	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	173
+	110	178
+	3	108	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	155
+	103	174
+	96	159
+	4	95	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	174
+	96	159
+	3	95	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	174
+	95	155
+	102	169
+	4	103	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	155
+	102	169
+	3	103	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	227
+	194	221
+	201	220
+	4	201	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	221
+	201	220
+	3	201	227	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	201	220
+	210	211
+	201	227
+	4	201	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	211
+	201	227
+	3	201	220	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	124	164
+	117	178
+	122	160
+	4	124	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	178
+	122	160
+	3	124	164	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	115	173
+	122	160
+	117	178
+	4	115	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	160
+	117	178
+	3	115	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	135
+	97	163
+	89	136
+	4	88	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	163
+	89	136
+	3	88	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	163
+	88	135
+	96	159
+	4	97	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	135
+	96	159
+	3	97	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	184
+	189	215
+	184	188
+	4	184	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	215
+	184	188
+	3	184	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	215
+	184	184
+	189	208
+	4	189	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	184
+	189	208
+	3	189	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	203
+	194	221
+	189	208
+	4	188	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	221
+	189	208
+	3	188	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	221
+	188	203
+	194	214
+	4	194	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	203
+	194	214
+	3	194	221	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	214
+	201	220
+	194	221
+	4	194	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	220
+	194	221
+	3	194	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	164
+	108	173
+	102	169
+	4	100	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	173
+	102	169
+	3	100	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	173
+	100	164
+	107	169
+	4	108	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	164
+	107	169
+	3	108	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	173
+	108	173
+	114	168
+	4	115	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	173
+	114	168
+	3	115	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	169
+	114	168
+	108	173
+	4	107	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	168
+	108	173
+	3	107	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	152
+	102	169
+	95	155
+	4	93	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	169
+	95	155
+	3	93	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	169
+	93	152
+	100	164
+	4	102	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	152
+	100	164
+	3	102	169	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	122	160
+	115	173
+	121	158
+	4	122	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	173
+	121	158
+	3	122	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	168
+	121	158
+	115	173
+	4	114	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	158
+	115	173
+	3	114	168	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	164
+	131	133
+	125	168
+	4	124	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	133
+	125	168
+	3	124	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	135
+	96	159
+	88	135
+	4	87	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	159
+	88	135
+	3	87	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	159
+	87	135
+	95	155
+	4	96	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	135
+	95	155
+	3	96	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	220
+	194	214
+	201	213
+	4	201	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	214
+	201	213
+	3	201	220	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	210	211
+	201	220
+	210	206
+	4	210	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	220
+	210	206
+	3	210	211	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	213
+	210	206
+	201	220
+	4	201	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	206
+	201	220
+	3	201	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	150
+	100	164
+	93	152
+	4	92	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	164
+	93	152
+	3	92	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	164
+	92	150
+	99	161
+	4	100	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	150
+	99	161
+	3	100	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	161
+	107	169
+	100	164
+	4	99	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	169
+	100	164
+	3	99	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	169
+	99	161
+	105	165
+	4	107	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	161
+	105	165
+	3	107	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	168
+	107	169
+	113	165
+	4	114	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	169
+	113	165
+	3	114	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	165
+	113	165
+	107	169
+	4	105	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	165
+	107	169
+	3	105	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	181
+	189	208
+	184	184
+	4	183	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	208
+	184	184
+	3	183	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	208
+	183	181
+	188	203
+	4	189	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	181
+	188	203
+	3	189	208	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	101
+	92	140
+	82	97
+	4	81	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	140
+	82	97
+	3	81	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	140
+	81	101
+	91	138
+	4	92	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	101
+	91	138
+	3	92	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	121	158
+	114	168
+	120	156
+	4	121	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	168
+	120	156
+	3	121	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	165
+	120	156
+	114	168
+	4	113	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	156
+	114	168
+	3	113	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	134
+	95	155
+	87	135
+	4	85	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	155
+	87	135
+	3	85	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	155
+	85	134
+	93	152
+	4	95	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	134
+	93	152
+	3	95	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	133
+	124	164
+	130	134
+	4	131	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	164
+	130	134
+	3	131	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	122	160
+	130	134
+	124	164
+	4	122	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	134
+	124	164
+	3	122	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	198
+	194	214
+	188	203
+	4	188	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	214
+	188	203
+	3	188	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	214
+	188	198
+	194	208
+	4	194	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	198
+	194	208
+	3	194	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	208
+	201	213
+	194	214
+	4	194	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	213
+	194	214
+	3	194	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	104
+	91	138
+	81	101
+	4	80	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	138
+	81	101
+	3	80	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	138
+	80	104
+	89	136
+	4	91	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	104
+	89	136
+	3	91	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	148
+	99	161
+	92	150
+	4	91	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	161
+	92	150
+	3	91	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	161
+	91	148
+	98	158
+	4	99	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	148
+	98	158
+	3	99	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	158
+	105	165
+	99	161
+	4	98	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	165
+	99	161
+	3	98	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	165
+	98	158
+	104	162
+	4	105	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	158
+	104	162
+	3	105	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	165
+	105	165
+	112	162
+	4	113	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	165
+	112	162
+	3	113	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	162
+	112	162
+	105	165
+	4	104	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	162
+	105	165
+	3	104	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	134
+	93	152
+	85	134
+	4	84	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	152
+	85	134
+	3	84	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	152
+	84	134
+	92	150
+	4	93	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	134
+	92	150
+	3	93	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	213
+	194	208
+	201	207
+	4	201	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	208
+	201	207
+	3	201	213	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	210	206
+	201	213
+	210	201
+	4	210	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	213
+	210	201
+	3	210	206	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	207
+	210	201
+	201	213
+	4	201	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	201
+	201	213
+	3	201	207	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	210	206
+	221	182
+	210	211
+	4	210	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	182
+	210	211
+	3	210	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	134
+	122	160
+	128	135
+	4	130	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	160
+	128	135
+	3	130	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	121	158
+	128	135
+	122	160
+	4	121	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	135
+	122	160
+	3	121	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	156
+	113	165
+	119	154
+	4	120	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	165
+	119	154
+	3	120	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	162
+	119	154
+	113	165
+	4	112	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	154
+	113	165
+	3	112	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	178
+	188	203
+	183	181
+	4	182	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	203
+	183	181
+	3	182	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	203
+	182	178
+	188	198
+	4	188	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	178
+	188	198
+	3	188	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	107
+	89	136
+	80	104
+	4	79	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	136
+	80	104
+	3	79	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	136
+	79	107
+	88	135
+	4	89	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	107
+	88	135
+	3	89	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	193
+	194	208
+	188	198
+	4	188	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	208
+	188	198
+	3	188	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	208
+	188	193
+	194	203
+	4	194	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	193
+	194	203
+	3	194	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	203
+	201	207
+	194	208
+	4	194	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	207
+	194	208
+	3	194	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	147
+	98	158
+	91	148
+	4	89	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	158
+	91	148
+	3	89	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	158
+	89	147
+	96	156
+	4	98	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	147
+	96	156
+	3	98	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	156
+	104	162
+	98	158
+	4	96	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	162
+	98	158
+	3	96	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	134
+	92	150
+	84	134
+	4	83	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	150
+	84	134
+	3	83	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	150
+	83	134
+	91	148
+	4	92	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	134
+	91	148
+	3	92	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	162
+	96	156
+	103	159
+	4	104	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	156
+	103	159
+	3	104	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	162
+	104	162
+	110	159
+	4	112	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	162
+	110	159
+	3	112	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	159
+	110	159
+	104	162
+	4	103	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	159
+	104	162
+	3	103	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	135
+	121	158
+	127	136
+	4	128	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	158
+	127	136
+	3	128	135	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	120	156
+	127	136
+	121	158
+	4	120	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	136
+	121	158
+	3	120	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	110
+	88	135
+	79	107
+	4	78	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	135
+	79	107
+	3	78	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	135
+	78	110
+	87	135
+	4	88	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	110
+	87	135
+	3	88	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	154
+	112	162
+	118	153
+	4	119	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	162
+	118	153
+	3	119	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	159
+	118	153
+	112	162
+	4	110	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	153
+	112	162
+	3	110	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	150
+	184	188
+	180	149
+	4	179	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	188
+	180	149
+	3	179	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	188
+	179	150
+	184	184
+	4	184	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	150
+	184	184
+	3	184	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	207
+	194	203
+	201	203
+	4	201	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	203
+	201	203
+	3	201	207	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	210	201
+	201	207
+	210	197
+	4	210	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	207
+	210	197
+	3	210	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	203
+	210	197
+	201	207
+	4	201	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	197
+	201	207
+	3	201	203	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	182
+	210	206
+	221	181
+	4	221	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	206
+	221	181
+	3	221	182	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	210	201
+	221	181
+	210	206
+	4	210	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	181
+	210	206
+	3	210	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	134
+	91	148
+	83	134
+	4	82	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	148
+	83	134
+	3	82	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	148
+	82	134
+	89	147
+	4	91	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	134
+	89	147
+	3	91	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	146
+	96	156
+	89	147
+	4	88	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	156
+	89	147
+	3	88	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	156
+	88	146
+	95	154
+	4	96	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	146
+	95	154
+	3	96	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	154
+	103	159
+	96	156
+	4	95	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	159
+	96	156
+	3	95	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	113
+	87	135
+	78	110
+	4	77	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	135
+	78	110
+	3	77	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	135
+	77	113
+	85	134
+	4	87	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	113
+	85	134
+	3	87	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	176
+	188	198
+	182	178
+	4	182	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	198
+	182	178
+	3	182	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	198
+	182	176
+	188	193
+	4	188	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	176
+	188	193
+	3	188	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	159
+	95	154
+	102	157
+	4	103	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	154
+	102	157
+	3	103	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	159
+	103	159
+	109	158
+	4	110	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	159
+	109	158
+	3	110	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	157
+	109	158
+	103	159
+	4	102	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	158
+	103	159
+	3	102	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	136
+	120	156
+	126	137
+	4	127	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	156
+	126	137
+	3	127	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	119	154
+	126	137
+	120	156
+	4	119	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	137
+	120	156
+	3	119	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	153
+	110	159
+	117	152
+	4	118	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	159
+	117	152
+	3	118	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	158
+	117	152
+	110	159
+	4	109	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	152
+	110	159
+	3	109	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	190
+	194	203
+	188	193
+	4	187	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	203
+	188	193
+	3	187	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	203
+	187	190
+	194	198
+	4	194	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	190
+	194	198
+	3	194	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	198
+	201	203
+	194	203
+	4	194	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	203
+	194	203
+	3	194	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	115
+	85	134
+	77	113
+	4	76	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	134
+	77	113
+	3	76	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	134
+	76	115
+	84	134
+	4	85	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	115
+	84	134
+	3	85	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	150
+	184	184
+	179	150
+	4	178	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	184
+	179	150
+	3	178	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	184
+	178	150
+	183	181
+	4	184	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	150
+	183	181
+	3	184	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	135
+	89	147
+	82	134
+	4	80	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	147
+	82	134
+	3	80	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	147
+	80	135
+	88	146
+	4	89	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	135
+	88	146
+	3	89	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	146
+	95	154
+	88	146
+	4	87	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	154
+	88	146
+	3	87	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	154
+	87	146
+	94	153
+	4	95	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	146
+	94	153
+	3	95	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	153
+	102	157
+	95	154
+	4	94	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	157
+	95	154
+	3	94	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	157
+	94	153
+	100	156
+	4	102	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	153
+	100	156
+	3	102	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	158
+	102	157
+	108	156
+	4	109	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	157
+	108	156
+	3	109	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	156
+	108	156
+	102	157
+	4	100	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	156
+	102	157
+	3	100	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	137
+	119	154
+	125	138
+	4	126	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	154
+	125	138
+	3	126	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	153
+	125	138
+	119	154
+	4	118	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	138
+	119	154
+	3	118	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	117
+	84	134
+	76	115
+	4	75	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	134
+	76	115
+	3	75	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	134
+	75	117
+	83	134
+	4	84	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	117
+	83	134
+	3	84	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	152
+	109	158
+	116	151
+	4	117	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	158
+	116	151
+	3	117	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	156
+	116	151
+	109	158
+	4	108	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	151
+	109	158
+	3	108	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	181
+	210	201
+	220	179
+	4	221	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	201
+	220	179
+	3	221	181	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	210	197
+	220	179
+	210	201
+	4	210	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	179
+	210	201
+	3	210	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	203
+	194	198
+	201	199
+	4	201	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	198
+	201	199
+	3	201	203	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	210	197
+	201	203
+	209	194
+	4	210	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	203
+	209	194
+	3	210	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	199
+	209	194
+	201	203
+	4	201	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	194
+	201	203
+	3	201	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	135
+	88	146
+	80	135
+	4	79	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	146
+	80	135
+	3	79	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	88	146
+	79	135
+	87	146
+	4	88	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	135
+	87	146
+	3	88	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	174
+	188	193
+	182	176
+	4	181	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	193
+	182	176
+	3	181	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	188	193
+	181	174
+	187	190
+	4	188	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	174
+	187	190
+	3	188	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	145
+	94	153
+	87	146
+	4	85	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	153
+	87	146
+	3	85	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	153
+	85	145
+	92	152
+	4	94	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	145
+	92	152
+	3	94	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	152
+	100	156
+	94	153
+	4	92	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	156
+	94	153
+	3	92	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	120
+	83	134
+	75	117
+	4	74	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	134
+	75	117
+	3	74	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	134
+	74	120
+	82	134
+	4	83	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	120
+	82	134
+	3	83	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	156
+	92	152
+	99	155
+	4	100	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	152
+	99	155
+	3	100	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	156
+	100	156
+	107	155
+	4	108	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	156
+	107	155
+	3	108	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	155
+	107	155
+	100	156
+	4	99	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	155
+	100	156
+	3	99	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	138
+	118	153
+	124	139
+	4	125	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	153
+	124	139
+	3	125	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	152
+	124	139
+	118	153
+	4	117	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	139
+	118	153
+	3	117	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	152
+	183	181
+	178	150
+	4	177	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	181
+	178	150
+	3	177	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	181
+	177	152
+	182	178
+	4	183	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	152
+	182	178
+	3	183	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	187
+	194	198
+	187	190
+	4	187	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	198
+	187	190
+	3	187	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	198
+	187	187
+	193	195
+	4	194	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	187
+	193	195
+	3	194	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	195
+	201	199
+	194	198
+	4	193	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	199
+	194	198
+	3	193	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	151
+	108	156
+	114	151
+	4	116	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	156
+	114	151
+	3	116	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	155
+	114	151
+	108	156
+	4	107	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	151
+	108	156
+	3	107	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	136
+	87	146
+	79	135
+	4	78	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	146
+	79	135
+	3	78	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	146
+	78	136
+	85	145
+	4	87	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	136
+	85	145
+	3	87	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	122
+	82	134
+	74	120
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	134
+	74	120
+	3	73	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	134
+	73	122
+	80	135
+	4	82	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	80	135
+	3	82	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	145
+	92	152
+	85	145
+	4	84	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	152
+	85	145
+	3	84	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	152
+	84	145
+	91	151
+	4	92	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	145
+	91	151
+	3	92	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	91	151
+	99	155
+	92	152
+	4	91	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	155
+	92	152
+	3	91	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	139
+	117	152
+	123	140
+	4	124	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	152
+	123	140
+	3	124	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	151
+	123	140
+	117	152
+	4	116	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	140
+	117	152
+	3	116	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	155
+	91	151
+	98	154
+	4	99	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	151
+	98	154
+	3	99	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	155
+	99	155
+	105	154
+	4	107	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	155
+	105	154
+	3	107	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	154
+	105	154
+	99	155
+	4	98	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	154
+	99	155
+	3	98	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	124
+	80	135
+	73	122
+	4	72	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	135
+	73	122
+	3	72	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	80	135
+	72	124
+	79	135
+	4	80	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	124
+	79	135
+	3	80	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	137
+	85	145
+	78	136
+	4	77	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	145
+	78	136
+	3	77	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	145
+	77	137
+	84	145
+	4	85	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	137
+	84	145
+	3	85	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	173
+	187	190
+	181	174
+	4	180	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	190
+	181	174
+	3	180	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	190
+	180	173
+	187	187
+	4	187	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	173
+	187	187
+	3	187	190	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	220	179
+	210	197
+	220	179
+	4	220	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	197
+	220	179
+	3	220	179	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	209	194
+	220	179
+	210	197
+	4	209	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	179
+	210	197
+	3	209	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	199
+	193	195
+	200	195
+	4	201	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	195
+	200	195
+	3	201	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	194
+	201	199
+	209	191
+	4	209	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	199
+	209	191
+	3	209	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	195
+	209	191
+	201	199
+	4	200	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	191
+	201	199
+	3	200	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	151
+	107	155
+	113	151
+	4	114	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	155
+	113	151
+	3	114	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	154
+	113	151
+	107	155
+	4	105	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	151
+	107	155
+	3	105	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	134
+	137	93
+	131	133
+	4	130	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	93
+	131	133
+	3	130	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	153
+	182	178
+	177	152
+	4	176	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	178
+	177	152
+	3	176	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	178
+	176	153
+	182	176
+	4	182	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	153
+	182	176
+	3	182	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	145
+	91	151
+	84	145
+	4	83	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	151
+	84	145
+	3	83	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	151
+	83	145
+	90	151
+	4	91	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	145
+	90	151
+	3	91	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	151
+	98	154
+	91	151
+	4	90	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	154
+	91	151
+	3	90	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	126
+	79	135
+	72	124
+	4	70	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	135
+	72	124
+	3	70	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	79	135
+	70	126
+	78	136
+	4	79	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	126
+	78	136
+	3	79	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	140
+	116	151
+	122	142
+	4	123	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	151
+	122	142
+	3	123	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	151
+	122	142
+	116	151
+	4	114	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	142
+	116	151
+	3	114	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	93
+	130	134
+	136	99
+	4	137	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	134
+	136	99
+	3	137	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	135
+	136	99
+	130	134
+	4	128	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	99
+	130	134
+	3	128	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	185
+	193	195
+	187	187
+	4	186	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	195
+	187	187
+	3	186	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	195
+	186	185
+	193	192
+	4	193	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	185
+	193	192
+	3	193	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	192
+	200	195
+	193	195
+	4	193	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	195
+	193	195
+	3	193	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	138
+	84	145
+	77	137
+	4	75	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	145
+	77	137
+	3	75	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	145
+	75	138
+	83	145
+	4	84	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	138
+	83	145
+	3	84	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	154
+	90	151
+	96	154
+	4	98	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	151
+	96	154
+	3	98	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	154
+	98	154
+	104	154
+	4	105	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	154
+	104	154
+	3	105	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	154
+	104	154
+	98	154
+	4	96	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	154
+	98	154
+	3	96	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	101
+	71	72
+	80	104
+	4	81	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	72
+	80	104
+	3	81	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	79
+	80	104
+	71	72
+	4	70	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	104
+	71	72
+	3	70	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	104
+	70	79
+	79	107
+	4	80	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	79
+	79	107
+	3	80	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	86
+	79	107
+	70	79
+	4	69	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	107
+	70	79
+	3	69	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	107
+	69	86
+	78	110
+	4	79	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	86
+	78	110
+	3	79	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	97
+	71	63
+	81	101
+	4	82	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	63
+	81	101
+	3	82	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	72
+	81	101
+	71	63
+	4	71	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	101
+	71	63
+	3	71	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	92
+	78	110
+	69	86
+	4	69	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	110
+	69	86
+	3	69	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	110
+	69	92
+	77	113
+	4	78	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	92
+	77	113
+	3	78	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	151
+	105	154
+	112	151
+	4	113	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	154
+	112	151
+	3	113	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	154
+	112	151
+	105	154
+	4	104	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	151
+	105	154
+	3	104	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	128
+	78	136
+	70	126
+	4	69	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	136
+	70	126
+	3	69	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	136
+	69	128
+	77	137
+	4	78	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	128
+	77	137
+	3	78	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	71	63
+	82	97
+	72	53
+	4	71	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	97
+	72	53
+	3	71	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	97
+	77	113
+	69	92
+	4	68	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	113
+	69	92
+	3	68	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	113
+	68	97
+	76	115
+	4	77	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	97
+	76	115
+	3	77	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	146
+	90	151
+	83	145
+	4	81	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	151
+	83	145
+	3	81	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	151
+	81	146
+	88	151
+	4	90	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	146
+	88	151
+	3	90	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	151
+	96	154
+	90	151
+	4	88	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	154
+	90	151
+	3	88	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	99
+	128	135
+	135	106
+	4	136	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	135
+	135	106
+	3	136	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	136
+	135	106
+	128	135
+	4	127	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	106
+	128	135
+	3	127	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	101
+	76	115
+	68	97
+	4	67	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	115
+	68	97
+	3	67	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	115
+	67	101
+	75	117
+	4	76	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	101
+	75	117
+	3	76	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	106
+	75	117
+	67	101
+	4	66	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	117
+	67	101
+	3	66	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	117
+	66	106
+	74	120
+	4	75	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	106
+	74	120
+	3	75	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	139
+	83	145
+	75	138
+	4	74	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	145
+	75	138
+	3	74	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	145
+	74	139
+	81	146
+	4	83	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	139
+	81	146
+	3	83	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	142
+	114	151
+	121	143
+	4	122	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	151
+	121	143
+	3	122	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	151
+	121	143
+	114	151
+	4	113	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	143
+	114	151
+	3	113	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	173
+	187	187
+	180	173
+	4	179	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	187
+	180	173
+	3	179	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	187
+	179	173
+	186	185
+	4	187	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	173
+	186	185
+	3	187	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	130
+	77	137
+	69	128
+	4	68	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	137
+	69	128
+	3	68	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	137
+	68	130
+	75	138
+	4	77	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	130
+	75	138
+	3	77	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	154
+	182	176
+	176	153
+	4	175	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	176
+	176	153
+	3	175	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	176
+	175	154
+	181	174
+	4	182	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	154
+	181	174
+	3	182	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	109
+	74	120
+	66	106
+	4	65	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	120
+	66	106
+	3	65	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	120
+	65	109
+	73	122
+	4	74	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	109
+	73	122
+	3	74	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	154
+	88	151
+	95	153
+	4	96	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	151
+	95	153
+	3	96	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	154
+	96	154
+	103	154
+	4	104	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	154
+	103	154
+	3	104	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	153
+	103	154
+	96	154
+	4	95	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	154
+	96	154
+	3	95	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	220	179
+	209	194
+	219	178
+	4	220	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	194
+	219	178
+	3	220	179	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	191
+	219	178
+	209	194
+	4	209	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	178
+	209	194
+	3	209	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	195
+	193	192
+	200	193
+	4	200	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	192
+	200	193
+	3	200	195	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	191
+	200	195
+	209	189
+	4	209	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	195
+	209	189
+	3	209	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	193
+	209	189
+	200	195
+	4	200	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	189
+	200	195
+	3	200	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	106
+	127	136
+	134	111
+	4	135	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	136
+	134	111
+	3	135	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	137
+	134	111
+	127	136
+	4	126	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	111
+	127	136
+	3	126	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	113
+	73	122
+	65	109
+	4	64	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	122
+	65	109
+	3	64	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	122
+	64	113
+	72	124
+	4	73	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	113
+	72	124
+	3	73	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	151
+	104	154
+	111	151
+	4	112	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	154
+	111	151
+	3	112	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	154
+	111	151
+	104	154
+	4	103	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	151
+	104	154
+	3	103	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	146
+	88	151
+	81	146
+	4	80	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	151
+	81	146
+	3	80	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	151
+	80	146
+	87	151
+	4	88	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	146
+	87	151
+	3	88	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	151
+	95	153
+	88	151
+	4	87	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	153
+	88	151
+	3	87	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	116
+	72	124
+	64	113
+	4	63	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	124
+	64	113
+	3	63	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	124
+	63	116
+	70	126
+	4	72	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	116
+	70	126
+	3	72	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	131
+	75	138
+	68	130
+	4	67	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	138
+	68	130
+	3	67	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	138
+	67	131
+	74	139
+	4	75	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	131
+	74	139
+	3	75	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	140
+	81	146
+	74	139
+	4	73	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	146
+	74	139
+	3	73	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	146
+	73	140
+	80	146
+	4	81	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	140
+	80	146
+	3	81	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	111
+	126	137
+	133	116
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	137
+	133	116
+	3	134	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	138
+	133	116
+	126	137
+	4	125	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	116
+	126	137
+	3	125	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	143
+	113	151
+	120	144
+	4	121	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	151
+	120	144
+	3	121	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	151
+	120	144
+	113	151
+	4	112	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	144
+	113	151
+	3	112	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	183
+	193	192
+	186	185
+	4	185	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	192
+	186	185
+	3	185	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	192
+	185	183
+	192	190
+	4	193	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	183
+	192	190
+	3	193	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	190
+	200	193
+	193	192
+	4	192	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	193
+	193	192
+	3	192	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	119
+	70	126
+	63	116
+	4	62	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	126
+	63	116
+	3	62	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	126
+	62	119
+	69	128
+	4	70	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	119
+	69	128
+	3	70	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	153
+	87	151
+	94	154
+	4	95	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	151
+	94	154
+	3	95	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	154
+	95	153
+	102	154
+	4	103	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	153
+	102	154
+	3	103	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	94	154
+	102	154
+	95	153
+	4	94	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	154
+	95	153
+	3	94	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	133
+	74	139
+	67	131
+	4	66	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	139
+	67	131
+	3	66	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	139
+	66	133
+	73	140
+	4	74	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	133
+	73	140
+	3	74	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	181
+	234	144
+	221	182
+	4	221	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	144
+	221	182
+	3	221	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	122
+	69	128
+	62	119
+	4	61	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	128
+	62	119
+	3	61	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	128
+	61	122
+	68	130
+	4	69	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	122
+	68	130
+	3	69	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	151
+	103	154
+	110	152
+	4	111	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	154
+	110	152
+	3	111	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	154
+	110	152
+	103	154
+	4	102	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	152
+	103	154
+	3	102	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	116
+	125	138
+	132	120
+	4	133	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	138
+	132	120
+	3	133	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	139
+	132	120
+	125	138
+	4	124	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	120
+	125	138
+	3	124	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	147
+	87	151
+	80	146
+	4	79	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	151
+	80	146
+	3	79	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	151
+	79	147
+	86	151
+	4	87	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	147
+	86	151
+	3	87	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	151
+	94	154
+	87	151
+	4	86	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	154
+	87	151
+	3	86	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	141
+	80	146
+	73	140
+	4	72	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	146
+	73	140
+	3	72	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	146
+	72	141
+	79	147
+	4	80	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	141
+	79	147
+	3	80	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	155
+	181	174
+	175	154
+	4	174	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	174
+	175	154
+	3	174	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	174
+	174	155
+	180	173
+	4	181	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	155
+	180	173
+	3	181	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	172
+	186	185
+	179	173
+	4	179	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	185
+	179	173
+	3	179	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	185
+	179	172
+	185	183
+	4	186	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	172
+	185	183
+	3	186	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	124
+	68	130
+	61	122
+	4	60	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	130
+	61	122
+	3	60	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	130
+	60	124
+	67	131
+	4	68	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	124
+	67	131
+	3	68	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	144
+	112	151
+	119	146
+	4	120	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	151
+	119	146
+	3	120	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	151
+	119	146
+	112	151
+	4	111	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	146
+	112	151
+	3	111	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	135
+	73	140
+	66	133
+	4	65	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	140
+	66	133
+	3	65	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	140
+	65	135
+	72	141
+	4	73	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	135
+	72	141
+	3	73	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	178
+	209	191
+	218	178
+	4	219	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	191
+	218	178
+	3	219	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	189
+	218	178
+	209	191
+	4	209	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	178
+	209	191
+	3	209	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	154
+	86	151
+	93	154
+	4	94	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	151
+	93	154
+	3	94	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	154
+	94	154
+	101	154
+	4	102	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	154
+	101	154
+	3	102	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	154
+	101	154
+	94	154
+	4	93	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	154
+	94	154
+	3	93	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	120
+	124	139
+	131	124
+	4	132	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	139
+	131	124
+	3	132	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	140
+	131	124
+	124	139
+	4	123	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	124
+	124	139
+	3	123	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	193
+	192	190
+	199	191
+	4	200	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	190
+	199	191
+	3	200	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	189
+	200	193
+	208	188
+	4	209	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	193
+	208	188
+	3	209	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	191
+	208	188
+	200	193
+	4	199	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	188
+	200	193
+	3	199	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	127
+	67	131
+	60	124
+	4	58	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	131
+	60	124
+	3	58	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	131
+	58	127
+	66	133
+	4	67	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	127
+	66	133
+	3	67	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	142
+	79	147
+	72	141
+	4	70	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	147
+	72	141
+	3	70	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	147
+	70	142
+	78	147
+	4	79	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	142
+	78	147
+	3	79	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	147
+	86	151
+	79	147
+	4	78	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	151
+	79	147
+	3	78	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	152
+	102	154
+	109	153
+	4	110	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	154
+	109	153
+	3	110	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	154
+	109	153
+	102	154
+	4	101	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	153
+	102	154
+	3	101	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	151
+	78	147
+	84	152
+	4	86	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	147
+	84	152
+	3	86	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	152
+	93	154
+	86	151
+	4	84	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	154
+	86	151
+	3	84	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	113
+	56	109
+	63	116
+	4	64	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	109
+	63	116
+	3	64	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	112
+	63	116
+	56	109
+	4	55	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	116
+	56	109
+	3	55	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	116
+	55	112
+	62	119
+	4	63	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	112
+	62	119
+	3	63	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	109
+	56	104
+	64	113
+	4	65	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	104
+	64	113
+	3	65	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	109
+	64	113
+	56	104
+	4	56	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	113
+	56	104
+	3	56	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	137
+	72	141
+	65	135
+	4	63	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	141
+	65	135
+	3	63	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	141
+	63	137
+	70	142
+	4	72	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	137
+	70	142
+	3	72	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	129
+	66	133
+	58	127
+	4	57	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	133
+	58	127
+	3	57	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	133
+	57	129
+	65	135
+	4	66	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	129
+	65	135
+	3	66	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	116
+	62	119
+	55	112
+	4	54	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	119
+	55	112
+	3	54	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	119
+	54	116
+	61	122
+	4	62	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	116
+	61	122
+	3	62	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	124
+	123	140
+	130	128
+	4	131	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	140
+	130	128
+	3	131	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	142
+	130	128
+	123	140
+	4	122	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	128
+	123	140
+	3	122	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	146
+	111	151
+	118	147
+	4	119	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	151
+	118	147
+	3	119	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	152
+	118	147
+	111	151
+	4	110	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	147
+	111	151
+	3	110	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	106
+	57	100
+	65	109
+	4	66	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	100
+	65	109
+	3	66	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	104
+	65	109
+	57	100
+	4	56	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	109
+	57	100
+	3	56	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	182
+	192	190
+	185	183
+	4	185	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	190
+	185	183
+	3	185	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	190
+	185	182
+	192	188
+	4	192	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	182
+	192	188
+	3	192	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	188
+	199	191
+	192	190
+	4	192	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	191
+	192	190
+	3	192	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	119
+	61	122
+	54	116
+	4	52	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	122
+	54	116
+	3	52	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	122
+	52	119
+	60	124
+	4	61	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	119
+	60	124
+	3	61	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	46	115
+	54	116
+	47	112
+	4	46	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	116
+	47	112
+	3	46	115	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	116
+	46	115
+	52	119
+	4	54	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	115
+	52	119
+	3	54	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	45	118
+	52	119
+	46	115
+	4	45	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	119
+	46	115
+	3	45	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	52	119
+	45	118
+	51	122
+	4	52	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	118
+	51	122
+	3	52	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	43	121
+	51	122
+	45	118
+	4	43	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	122
+	45	118
+	3	43	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	101
+	58	95
+	66	106
+	4	67	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	95
+	66	106
+	3	67	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	100
+	66	106
+	58	95
+	4	57	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	106
+	58	95
+	3	57	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	47	112
+	55	112
+	48	108
+	4	47	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	112
+	48	108
+	3	47	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	55	112
+	47	112
+	54	116
+	4	55	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	112
+	54	116
+	3	55	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	122
+	60	124
+	52	119
+	4	51	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	124
+	52	119
+	3	51	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	124
+	51	122
+	58	127
+	4	60	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	122
+	58	127
+	3	60	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	156
+	180	173
+	174	155
+	4	173	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	173
+	174	155
+	3	173	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	173
+	173	156
+	179	173
+	4	180	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	156
+	179	173
+	3	180	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	51	122
+	43	121
+	50	124
+	4	51	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	121
+	50	124
+	3	51	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	42	124
+	50	124
+	43	121
+	4	42	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	124
+	43	121
+	3	42	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	234	144
+	221	181
+	233	148
+	4	234	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	181
+	233	148
+	3	234	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	220	179
+	233	148
+	221	181
+	4	220	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	148
+	221	181
+	3	220	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	154
+	84	152
+	91	154
+	4	93	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	152
+	91	154
+	3	93	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	154
+	93	154
+	99	155
+	4	101	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	154
+	99	155
+	3	101	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	91	154
+	99	155
+	93	154
+	4	91	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	155
+	93	154
+	3	91	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	108
+	56	109
+	49	104
+	4	48	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	109
+	49	104
+	3	48	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	56	109
+	48	108
+	55	112
+	4	56	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	108
+	55	112
+	3	56	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	131
+	65	135
+	57	129
+	4	56	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	135
+	57	129
+	3	56	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	135
+	56	131
+	63	137
+	4	65	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	131
+	63	137
+	3	65	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	144
+	78	147
+	70	142
+	4	69	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	147
+	70	142
+	3	69	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	147
+	69	144
+	76	148
+	4	78	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	144
+	76	148
+	3	78	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	148
+	84	152
+	78	147
+	4	76	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	152
+	78	147
+	3	76	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	50	124
+	42	124
+	49	127
+	4	50	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	124
+	49	127
+	3	50	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	41	127
+	49	127
+	42	124
+	4	41	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	127
+	42	124
+	3	41	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	124
+	58	127
+	51	122
+	4	50	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	127
+	51	122
+	3	50	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	127
+	50	124
+	57	129
+	4	58	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	124
+	57	129
+	3	58	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	97
+	59	89
+	67	101
+	4	68	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	89
+	67	101
+	3	68	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	95
+	67	101
+	59	89
+	4	58	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	101
+	59	89
+	3	58	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	138
+	70	142
+	63	137
+	4	62	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	142
+	63	137
+	3	62	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	142
+	62	138
+	69	144
+	4	70	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	138
+	69	144
+	3	70	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	152
+	76	148
+	83	152
+	4	84	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	148
+	83	152
+	3	84	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	152
+	91	154
+	84	152
+	4	83	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	154
+	84	152
+	3	83	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	128
+	122	142
+	129	131
+	4	130	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	142
+	129	131
+	3	130	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	143
+	129	131
+	122	142
+	4	121	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	131
+	122	142
+	3	121	143	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	173	111
+	180	149
+	174	104
+	4	173	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	149
+	174	104
+	3	173	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	149
+	173	111
+	179	150
+	4	180	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	111
+	179	150
+	3	180	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	104
+	56	104
+	49	100
+	4	49	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	104
+	49	100
+	3	49	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	56	104
+	49	104
+	56	109
+	4	56	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	104
+	56	109
+	3	56	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	153
+	101	154
+	107	153
+	4	109	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	154
+	107	153
+	3	109	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	155
+	107	153
+	101	154
+	4	99	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	153
+	101	154
+	3	99	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	127
+	41	127
+	48	129
+	4	49	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	127
+	48	129
+	3	49	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	40	129
+	48	129
+	41	127
+	4	40	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	129
+	41	127
+	3	40	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	172
+	185	183
+	179	172
+	4	178	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	183
+	179	172
+	3	178	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	183
+	178	172
+	185	182
+	4	185	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	172
+	185	182
+	3	185	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	49	127
+	57	129
+	50	124
+	4	49	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	129
+	50	124
+	3	49	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	129
+	49	127
+	56	131
+	4	57	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	127
+	56	131
+	3	57	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	134
+	63	137
+	56	131
+	4	55	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	137
+	56	131
+	3	55	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	137
+	55	134
+	62	138
+	4	63	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	134
+	62	138
+	3	63	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	147
+	110	152
+	116	149
+	4	118	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	152
+	116	149
+	3	118	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	153
+	116	149
+	110	152
+	4	109	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	149
+	110	152
+	3	109	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	129
+	40	129
+	47	132
+	4	48	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	129
+	47	132
+	3	48	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	39	131
+	47	132
+	40	129
+	4	39	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	132
+	40	129
+	3	39	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	69	92
+	60	83
+	68	97
+	4	69	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	83
+	68	97
+	3	69	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	89
+	68	97
+	60	83
+	4	59	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	97
+	60	83
+	3	59	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	48	129
+	56	131
+	49	127
+	4	48	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	131
+	49	127
+	3	48	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	49	100
+	57	100
+	50	95
+	4	49	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	100
+	50	95
+	3	49	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	57	100
+	49	100
+	56	104
+	4	57	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	100
+	56	104
+	3	57	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	131
+	48	129
+	55	134
+	4	56	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	129
+	55	134
+	3	56	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	145
+	76	148
+	69	144
+	4	68	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	148
+	69	144
+	3	68	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	148
+	68	145
+	75	149
+	4	76	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	145
+	75	149
+	3	76	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	149
+	83	152
+	76	148
+	4	75	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	152
+	76	148
+	3	75	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	140
+	69	144
+	62	138
+	4	61	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	144
+	62	138
+	3	61	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	144
+	61	140
+	68	145
+	4	69	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	140
+	68	145
+	3	69	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	178
+	209	189
+	218	178
+	4	218	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	189
+	218	178
+	3	218	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	188
+	218	178
+	209	189
+	4	208	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	178
+	209	189
+	3	208	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	131
+	121	143
+	128	134
+	4	129	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	143
+	128	134
+	3	129	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	144
+	128	134
+	121	143
+	4	120	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	134
+	121	143
+	3	120	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	47	132
+	39	131
+	46	134
+	4	47	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	131
+	46	134
+	3	47	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	38	133
+	46	134
+	39	131
+	4	38	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	134
+	39	131
+	3	38	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	91	154
+	83	152
+	90	155
+	4	91	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	152
+	90	155
+	3	91	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	155
+	91	154
+	98	155
+	4	99	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	154
+	98	155
+	3	99	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	155
+	98	155
+	91	154
+	4	90	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	155
+	91	154
+	3	90	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	47	132
+	55	134
+	48	129
+	4	47	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	134
+	48	129
+	3	47	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	191
+	192	188
+	199	189
+	4	199	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	188
+	199	189
+	3	199	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	188
+	199	191
+	207	187
+	4	208	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	191
+	207	187
+	3	208	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	189
+	207	187
+	199	191
+	4	199	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	187
+	199	191
+	3	199	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	136
+	62	138
+	55	134
+	4	54	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	138
+	55	134
+	3	54	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	138
+	54	136
+	61	140
+	4	62	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	136
+	61	140
+	3	62	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	117
+	179	150
+	173	111
+	4	172	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	150
+	173	111
+	3	172	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	150
+	172	117
+	178	150
+	4	179	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	117
+	178	150
+	3	179	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	134
+	47	132
+	54	136
+	4	55	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	132
+	54	136
+	3	55	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	152
+	75	149
+	82	153
+	4	83	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	149
+	82	153
+	3	83	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	153
+	90	155
+	83	152
+	4	82	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	155
+	83	152
+	3	82	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	95
+	50	95
+	57	100
+	4	58	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	95
+	57	100
+	3	58	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	134
+	54	136
+	47	132
+	4	46	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	136
+	47	132
+	3	46	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	46	134
+	38	133
+	44	136
+	4	46	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	133
+	44	136
+	3	46	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	36	135
+	44	136
+	38	133
+	4	36	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	136
+	38	133
+	3	36	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	153
+	99	155
+	106	154
+	4	107	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	155
+	106	154
+	3	107	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	155
+	106	154
+	99	155
+	4	98	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	154
+	99	155
+	3	98	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	50	95
+	58	95
+	51	90
+	4	50	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	95
+	51	90
+	3	50	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	86
+	60	76
+	69	92
+	4	69	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	76
+	69	92
+	3	69	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	83
+	69	92
+	60	76
+	4	60	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	92
+	60	76
+	3	60	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	158
+	179	173
+	173	156
+	4	172	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	173
+	173	156
+	3	172	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	173
+	172	158
+	179	172
+	4	179	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	158
+	179	172
+	3	179	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	149
+	109	153
+	115	150
+	4	116	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	153
+	115	150
+	3	116	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	153
+	115	150
+	109	153
+	4	107	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	150
+	109	153
+	3	107	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	136
+	46	134
+	53	138
+	4	54	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	134
+	53	138
+	3	54	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	138
+	61	140
+	54	136
+	4	53	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	140
+	54	136
+	3	53	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	142
+	68	145
+	61	140
+	4	60	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	145
+	61	140
+	3	60	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	145
+	60	142
+	67	146
+	4	68	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	142
+	67	146
+	3	68	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	146
+	75	149
+	68	145
+	4	67	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	149
+	68	145
+	3	67	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	134
+	120	144
+	127	137
+	4	128	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	144
+	127	137
+	3	128	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	146
+	127	137
+	120	144
+	4	119	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	137
+	120	144
+	3	119	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	140
+	53	138
+	60	142
+	4	61	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	138
+	60	142
+	3	61	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	181
+	192	188
+	185	182
+	4	184	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	188
+	185	182
+	3	184	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	188
+	184	181
+	191	186
+	4	192	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	181
+	191	186
+	3	192	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	186
+	199	189
+	192	188
+	4	191	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	189
+	192	188
+	3	191	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	136
+	53	138
+	46	134
+	4	44	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	138
+	46	134
+	3	44	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	148
+	220	179
+	232	151
+	4	233	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	179
+	232	151
+	3	233	148	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	220	179
+	232	151
+	220	179
+	4	220	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	151
+	220	179
+	3	220	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	149
+	67	146
+	74	150
+	4	75	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	146
+	74	150
+	3	75	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	150
+	82	153
+	75	149
+	4	74	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	153
+	75	149
+	3	74	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	136
+	36	135
+	43	138
+	4	44	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	135
+	43	138
+	3	44	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	137
+	43	138
+	36	135
+	4	35	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	138
+	36	135
+	3	35	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	59	89
+	51	90
+	58	95
+	4	59	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	90
+	58	95
+	3	59	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	155
+	82	153
+	89	156
+	4	90	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	153
+	89	156
+	3	90	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	155
+	90	155
+	97	156
+	4	98	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	155
+	97	156
+	3	98	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	156
+	97	156
+	90	155
+	4	89	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	156
+	90	155
+	3	89	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	122
+	178	150
+	172	117
+	4	171	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	150
+	172	117
+	3	171	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	150
+	171	122
+	177	152
+	4	178	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	122
+	177	152
+	3	178	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	138
+	44	136
+	51	140
+	4	53	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	136
+	51	140
+	3	53	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	140
+	60	142
+	53	138
+	4	51	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	142
+	53	138
+	3	51	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	138
+	51	140
+	44	136
+	4	43	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	140
+	44	136
+	3	43	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	153
+	74	150
+	81	154
+	4	82	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	150
+	81	154
+	3	82	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	154
+	89	156
+	82	153
+	4	81	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	156
+	82	153
+	3	81	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	172
+	185	182
+	178	172
+	4	177	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	182
+	178	172
+	3	177	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	182
+	177	172
+	184	181
+	4	185	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	172
+	184	181
+	3	185	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	90
+	59	89
+	52	83
+	4	51	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	89
+	52	83
+	3	51	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	138
+	35	137
+	42	140
+	4	43	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	137
+	42	140
+	3	43	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	34	139
+	42	140
+	35	137
+	4	34	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	140
+	35	137
+	3	34	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	142
+	51	140
+	58	143
+	4	60	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	140
+	58	143
+	3	60	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	143
+	67	146
+	60	142
+	4	58	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	146
+	60	142
+	3	58	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	154
+	98	155
+	105	155
+	4	106	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	155
+	105	155
+	3	106	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	156
+	105	155
+	98	155
+	4	97	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	155
+	98	155
+	3	97	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	137
+	119	146
+	126	140
+	4	127	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	146
+	126	140
+	3	127	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	147
+	126	140
+	119	146
+	4	118	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	140
+	119	146
+	3	118	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	146
+	58	143
+	65	148
+	4	67	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	143
+	65	148
+	3	67	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	148
+	74	150
+	67	146
+	4	65	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	150
+	67	146
+	3	65	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	79
+	61	67
+	69	86
+	4	70	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	67
+	69	86
+	3	70	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	76
+	69	86
+	61	67
+	4	60	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	86
+	61	67
+	3	60	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	150
+	107	153
+	114	152
+	4	115	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	153
+	114	152
+	3	115	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	154
+	114	152
+	107	153
+	4	106	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	152
+	107	153
+	3	106	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	140
+	43	138
+	50	141
+	4	51	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	138
+	50	141
+	3	51	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	140
+	50	141
+	43	138
+	4	42	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	141
+	43	138
+	3	42	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	150
+	65	148
+	72	152
+	4	74	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	148
+	72	152
+	3	74	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	152
+	81	154
+	74	150
+	4	72	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	154
+	74	150
+	3	72	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	141
+	58	143
+	51	140
+	4	50	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	143
+	51	140
+	3	50	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	140
+	34	139
+	41	142
+	4	42	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	139
+	41	142
+	3	42	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	141
+	41	142
+	34	139
+	4	33	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	142
+	34	139
+	3	33	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	143
+	50	141
+	57	145
+	4	58	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	141
+	57	145
+	3	58	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	145
+	65	148
+	58	143
+	4	57	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	148
+	58	143
+	3	57	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	60	83
+	52	83
+	59	89
+	4	60	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	83
+	59	89
+	3	60	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	127
+	177	152
+	171	122
+	4	170	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	152
+	171	122
+	3	170	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	152
+	170	127
+	176	153
+	4	177	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	127
+	176	153
+	3	177	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	178
+	208	188
+	217	178
+	4	218	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	188
+	217	178
+	3	218	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	187
+	217	178
+	208	188
+	4	207	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	178
+	208	188
+	3	207	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	156
+	81	154
+	88	156
+	4	89	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	154
+	88	156
+	3	89	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	156
+	89	156
+	96	157
+	4	97	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	156
+	96	157
+	3	97	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	156
+	96	157
+	89	156
+	4	88	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	157
+	89	156
+	3	88	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	159
+	179	172
+	172	158
+	4	171	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	172
+	172	158
+	3	171	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	172
+	171	159
+	178	172
+	4	179	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	159
+	178	172
+	3	179	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	141
+	42	140
+	49	143
+	4	50	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	140
+	49	143
+	3	50	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	142
+	49	143
+	42	140
+	4	41	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	143
+	42	140
+	3	41	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	140
+	118	147
+	124	142
+	4	126	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	147
+	124	142
+	3	126	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	149
+	124	142
+	118	147
+	4	116	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	142
+	118	147
+	3	116	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	154
+	72	152
+	79	155
+	4	81	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	152
+	79	155
+	3	81	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	155
+	88	156
+	81	154
+	4	79	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	156
+	81	154
+	3	79	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	148
+	57	145
+	64	149
+	4	65	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	145
+	64	149
+	3	65	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	149
+	72	152
+	65	148
+	4	64	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	152
+	65	148
+	3	64	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	143
+	57	145
+	50	141
+	4	49	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	145
+	50	141
+	3	49	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	189
+	191	186
+	198	188
+	4	199	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	186
+	198	188
+	3	199	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	187
+	199	189
+	207	186
+	4	207	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	189
+	207	186
+	3	207	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	188
+	207	186
+	199	189
+	4	198	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	186
+	199	189
+	3	198	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	142
+	33	141
+	39	144
+	4	41	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	141
+	39	144
+	3	41	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	143
+	39	144
+	33	141
+	4	31	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	144
+	33	141
+	3	31	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	83
+	60	83
+	52	76
+	4	52	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	83
+	52	76
+	3	52	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	155
+	97	156
+	104	157
+	4	105	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	156
+	104	157
+	3	105	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	157
+	104	157
+	97	156
+	4	96	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	157
+	97	156
+	3	96	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	152
+	106	154
+	113	153
+	4	114	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	154
+	113	153
+	3	114	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	155
+	113	153
+	106	154
+	4	105	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	153
+	106	154
+	3	105	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	152
+	64	149
+	71	153
+	4	72	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	149
+	71	153
+	3	72	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	153
+	79	155
+	72	152
+	4	71	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	155
+	72	152
+	3	71	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	151
+	220	179
+	231	155
+	4	232	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	179
+	231	155
+	3	232	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	219	178
+	231	155
+	220	179
+	4	219	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	155
+	220	179
+	3	219	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	145
+	49	143
+	56	147
+	4	57	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	143
+	56	147
+	3	57	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	147
+	64	149
+	57	145
+	4	56	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	149
+	57	145
+	3	56	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	143
+	41	142
+	48	145
+	4	49	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	142
+	48	145
+	3	49	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	144
+	48	145
+	41	142
+	4	39	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	145
+	41	142
+	3	39	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	180
+	191	186
+	184	181
+	4	183	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	186
+	184	181
+	3	183	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	186
+	183	180
+	190	185
+	4	191	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	180
+	190	185
+	3	191	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	185
+	198	188
+	191	186
+	4	190	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	188
+	191	186
+	3	190	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	72
+	61	58
+	70	79
+	4	71	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	58
+	70	79
+	3	71	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	67
+	70	79
+	61	58
+	4	61	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	79
+	61	58
+	3	61	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	145
+	56	147
+	49	143
+	4	48	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	147
+	49	143
+	3	48	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	144
+	31	143
+	38	146
+	4	39	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	143
+	38	146
+	3	39	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	145
+	38	146
+	31	143
+	4	30	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	146
+	31	143
+	3	30	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	132
+	176	153
+	170	127
+	4	168	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	153
+	170	127
+	3	168	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	153
+	168	132
+	175	154
+	4	176	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	132
+	175	154
+	3	176	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	142
+	116	149
+	123	145
+	4	124	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	149
+	123	145
+	3	124	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	150
+	123	145
+	116	149
+	4	115	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	145
+	116	149
+	3	115	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	64	149
+	56	147
+	63	151
+	4	64	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	147
+	63	151
+	3	64	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	151
+	71	153
+	64	149
+	4	63	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	153
+	64	149
+	3	63	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	156
+	79	155
+	86	157
+	4	88	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	155
+	86	157
+	3	88	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	157
+	88	156
+	95	158
+	4	96	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	156
+	95	158
+	3	96	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	157
+	95	158
+	88	156
+	4	86	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	158
+	88	156
+	3	86	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	172
+	184	181
+	177	172
+	4	176	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	181
+	177	172
+	3	176	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	181
+	176	172
+	183	180
+	4	184	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	172
+	183	180
+	3	184	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	155
+	71	153
+	78	156
+	4	79	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	153
+	78	156
+	3	79	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	156
+	86	157
+	79	155
+	4	78	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	157
+	79	155
+	3	78	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	60	76
+	52	76
+	60	83
+	4	60	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	76
+	60	83
+	3	60	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	145
+	39	144
+	46	147
+	4	48	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	144
+	46	147
+	3	48	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	38	146
+	46	147
+	39	144
+	4	38	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	147
+	39	144
+	3	38	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	147
+	48	145
+	55	148
+	4	56	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	145
+	55	148
+	3	56	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	148
+	63	151
+	56	147
+	4	55	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	151
+	56	147
+	3	55	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	147
+	55	148
+	48	145
+	4	46	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	148
+	48	145
+	3	46	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	153
+	63	151
+	70	154
+	4	71	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	151
+	70	154
+	3	71	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	154
+	78	156
+	71	153
+	4	70	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	156
+	71	153
+	3	70	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	157
+	96	157
+	103	158
+	4	104	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	157
+	103	158
+	3	104	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	158
+	103	158
+	96	157
+	4	95	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	158
+	96	157
+	3	95	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	153
+	105	155
+	112	155
+	4	113	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	155
+	112	155
+	3	113	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	157
+	112	155
+	105	155
+	4	104	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	155
+	105	155
+	3	104	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	38	146
+	30	145
+	37	148
+	4	38	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	145
+	37	148
+	3	38	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	161
+	178	172
+	171	159
+	4	170	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	172
+	171	159
+	3	170	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	172
+	170	161
+	177	172
+	4	178	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	161
+	177	172
+	3	178	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	145
+	115	150
+	122	147
+	4	123	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	150
+	122	147
+	3	123	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	152
+	122	147
+	115	150
+	4	114	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	147
+	115	150
+	3	114	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	151
+	55	148
+	62	152
+	4	63	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	148
+	62	152
+	3	63	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	152
+	70	154
+	63	151
+	4	62	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	154
+	63	151
+	3	62	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	136
+	175	154
+	168	132
+	4	167	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	154
+	168	132
+	3	167	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	154
+	167	136
+	174	155
+	4	175	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	136
+	174	155
+	3	175	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	46	147
+	38	146
+	45	149
+	4	46	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	146
+	45	149
+	3	46	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	148
+	45	149
+	38	146
+	4	37	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	149
+	38	146
+	3	37	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	52	76
+	60	76
+	53	68
+	4	52	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	76
+	53	68
+	3	52	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	148
+	46	147
+	53	150
+	4	55	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	147
+	53	150
+	3	55	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	150
+	62	152
+	55	148
+	4	53	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	152
+	55	148
+	3	53	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	149
+	53	150
+	46	147
+	4	45	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	150
+	46	147
+	3	45	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	178
+	207	187
+	216	179
+	4	217	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	187
+	216	179
+	3	217	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	186
+	216	179
+	207	187
+	4	207	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	179
+	207	187
+	3	207	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	156
+	70	154
+	77	157
+	4	78	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	154
+	77	157
+	3	78	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	157
+	78	156
+	85	159
+	4	86	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	156
+	85	159
+	3	86	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	157
+	85	159
+	78	156
+	4	77	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	159
+	78	156
+	3	77	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	158
+	86	157
+	93	159
+	4	95	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	157
+	93	159
+	3	95	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	159
+	93	159
+	86	157
+	4	85	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	159
+	86	157
+	3	85	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	155
+	219	178
+	230	158
+	4	231	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	178
+	230	158
+	3	231	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	178
+	230	158
+	219	178
+	4	218	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	158
+	219	178
+	3	218	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	154
+	62	152
+	69	155
+	4	70	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	152
+	69	155
+	3	70	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	155
+	77	157
+	70	154
+	4	69	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	157
+	70	154
+	3	69	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	188
+	190	185
+	198	187
+	4	198	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	185
+	198	187
+	3	198	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	186
+	198	188
+	206	185
+	4	207	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	188
+	206	185
+	3	207	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	187
+	206	185
+	198	188
+	4	198	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	185
+	198	188
+	3	198	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	155
+	104	157
+	111	156
+	4	112	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	157
+	111	156
+	3	112	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	158
+	111	156
+	104	157
+	4	103	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	156
+	104	157
+	3	103	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	63
+	61	47
+	71	72
+	4	71	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	47
+	71	72
+	3	71	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	58
+	71	72
+	61	47
+	4	61	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	72
+	61	47
+	3	61	58	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	147
+	114	152
+	121	149
+	4	122	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	152
+	121	149
+	3	122	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	153
+	121	149
+	114	152
+	4	113	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	149
+	114	152
+	3	113	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	149
+	37	148
+	44	150
+	4	45	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	148
+	44	150
+	3	45	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	158
+	95	158
+	101	159
+	4	103	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	158
+	101	159
+	3	103	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	159
+	101	159
+	95	158
+	4	93	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	159
+	95	158
+	3	93	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	152
+	53	150
+	60	153
+	4	62	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	150
+	60	153
+	3	62	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	153
+	69	155
+	62	152
+	4	60	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	155
+	62	152
+	3	60	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	150
+	45	149
+	52	152
+	4	53	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	149
+	52	152
+	3	53	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	150
+	52	152
+	45	149
+	4	44	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	152
+	45	149
+	3	44	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	152
+	60	153
+	53	150
+	4	52	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	153
+	53	150
+	3	52	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	139
+	174	155
+	167	136
+	4	166	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	155
+	167	136
+	3	166	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	155
+	166	139
+	173	156
+	4	174	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	139
+	173	156
+	3	174	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	180
+	190	185
+	183	180
+	4	182	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	185
+	183	180
+	3	182	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	185
+	182	180
+	189	185
+	4	190	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	180
+	189	185
+	3	190	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	185
+	198	187
+	190	185
+	4	189	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	187
+	190	185
+	3	189	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	67
+	53	68
+	60	76
+	4	61	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	68
+	60	76
+	3	61	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	173
+	183	180
+	176	172
+	4	175	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	180
+	176	172
+	3	175	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	180
+	175	173
+	182	180
+	4	183	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	173
+	182	180
+	3	183	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	157
+	69	155
+	76	158
+	4	77	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	155
+	76	158
+	3	77	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	159
+	77	157
+	84	160
+	4	85	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	157
+	84	160
+	3	85	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	158
+	84	160
+	77	157
+	4	76	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	160
+	77	157
+	3	76	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	159
+	85	159
+	92	160
+	4	93	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	159
+	92	160
+	3	93	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	160
+	92	160
+	85	159
+	4	84	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	160
+	85	159
+	3	84	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	162
+	177	172
+	170	161
+	4	169	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	172
+	170	161
+	3	169	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	172
+	169	162
+	176	172
+	4	177	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	162
+	176	172
+	3	177	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	155
+	60	153
+	67	157
+	4	69	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	153
+	67	157
+	3	69	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	157
+	76	158
+	69	155
+	4	67	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	158
+	69	155
+	3	67	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	149
+	113	153
+	120	152
+	4	121	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	153
+	120	152
+	3	121	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	155
+	120	152
+	113	153
+	4	112	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	152
+	113	153
+	3	112	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	153
+	52	152
+	59	155
+	4	60	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	152
+	59	155
+	3	60	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	155
+	67	157
+	60	153
+	4	59	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	157
+	60	153
+	3	59	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	152
+	44	150
+	51	153
+	4	52	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	150
+	51	153
+	3	52	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	156
+	103	158
+	110	158
+	4	111	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	158
+	110	158
+	3	111	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	159
+	110	158
+	103	158
+	4	101	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	158
+	103	158
+	3	101	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	153
+	59	155
+	52	152
+	4	51	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	155
+	52	152
+	3	51	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	159
+	93	159
+	100	160
+	4	101	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	159
+	100	160
+	3	101	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	160
+	100	160
+	93	159
+	4	92	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	160
+	93	159
+	3	92	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	131
+	137	118
+	130	128
+	4	129	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	118
+	130	128
+	3	129	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	118
+	129	131
+	136	123
+	4	137	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	131
+	136	123
+	3	137	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	134
+	136	123
+	129	131
+	4	128	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	123
+	129	131
+	3	128	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	143
+	173	156
+	166	139
+	4	165	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	156
+	166	139
+	3	165	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	156
+	165	143
+	172	158
+	4	173	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	143
+	172	158
+	3	173	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	128
+	138	112
+	131	124
+	4	130	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	131	124
+	3	130	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	112
+	130	128
+	137	118
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	128
+	137	118
+	3	138	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	123
+	128	134
+	135	127
+	4	136	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	134
+	135	127
+	3	136	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	137
+	135	127
+	128	134
+	4	127	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	127
+	128	134
+	3	127	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	124
+	139	105
+	132	120
+	4	131	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	105
+	132	120
+	3	131	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	105
+	131	124
+	138	112
+	4	139	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	124
+	138	112
+	3	139	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	127
+	127	137
+	134	132
+	4	135	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	137
+	134	132
+	3	135	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	140
+	134	132
+	127	137
+	4	126	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	132
+	127	137
+	3	126	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	68
+	61	67
+	53	59
+	4	53	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	67
+	53	59
+	3	53	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	158
+	218	178
+	229	161
+	4	230	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	178
+	229	161
+	3	230	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	218	178
+	229	161
+	218	178
+	4	218	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	161
+	218	178
+	3	218	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	158
+	67	157
+	74	160
+	4	76	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	157
+	74	160
+	3	76	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	160
+	76	158
+	83	161
+	4	84	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	158
+	83	161
+	3	84	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	160
+	83	161
+	76	158
+	4	74	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	161
+	76	158
+	3	74	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	179
+	207	186
+	215	179
+	4	216	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	186
+	215	179
+	3	216	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	185
+	215	179
+	207	186
+	4	206	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	179
+	207	186
+	3	206	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	157
+	59	155
+	66	158
+	4	67	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	155
+	66	158
+	3	67	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	158
+	74	160
+	67	157
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	160
+	67	157
+	3	66	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	132
+	126	140
+	133	135
+	4	134	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	140
+	133	135
+	3	134	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	142
+	133	135
+	126	140
+	4	124	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	126	140
+	3	124	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	152
+	112	155
+	119	154
+	4	120	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	155
+	119	154
+	3	120	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	156
+	119	154
+	112	155
+	4	111	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	154
+	112	155
+	3	111	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	160
+	84	160
+	91	162
+	4	92	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	160
+	91	162
+	3	92	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	161
+	91	162
+	84	160
+	4	83	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	162
+	84	160
+	3	83	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	120
+	140	98
+	133	116
+	4	132	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	98
+	133	116
+	3	132	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	98
+	132	120
+	139	105
+	4	140	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	120
+	139	105
+	3	140	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	155
+	51	153
+	58	157
+	4	59	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	153
+	58	157
+	3	59	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	157
+	66	158
+	59	155
+	4	58	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	59	155
+	3	58	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	187
+	189	185
+	197	187
+	4	198	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	185
+	197	187
+	3	198	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	185
+	198	187
+	205	185
+	4	206	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	187
+	205	185
+	3	206	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	187
+	205	185
+	198	187
+	4	197	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	185
+	198	187
+	3	197	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	158
+	101	159
+	108	159
+	4	110	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	159
+	108	159
+	3	110	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	160
+	108	159
+	101	159
+	4	100	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	159
+	101	159
+	3	100	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	135
+	124	142
+	132	139
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	142
+	132	139
+	3	133	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	145
+	132	139
+	124	142
+	4	123	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	139
+	124	142
+	3	123	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	146
+	172	158
+	165	143
+	4	164	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	158
+	165	143
+	3	164	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	158
+	164	146
+	171	159
+	4	172	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	146
+	171	159
+	3	172	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	160
+	92	160
+	99	162
+	4	100	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	160
+	99	162
+	3	100	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	162
+	99	162
+	92	160
+	4	91	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	162
+	92	160
+	3	91	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	164
+	176	172
+	169	162
+	4	168	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	172
+	169	162
+	3	168	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	172
+	168	164
+	175	173
+	4	176	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	164
+	175	173
+	3	176	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	173
+	182	180
+	175	173
+	4	174	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	180
+	175	173
+	3	174	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	180
+	174	173
+	181	180
+	4	182	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	173
+	181	180
+	3	182	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	180
+	189	185
+	182	180
+	4	181	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	185
+	182	180
+	3	181	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	185
+	181	180
+	189	185
+	4	189	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	180
+	189	185
+	3	189	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	185
+	197	187
+	189	185
+	4	189	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	187
+	189	185
+	3	189	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	116
+	141	90
+	134	111
+	4	133	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	90
+	134	111
+	3	133	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	90
+	133	116
+	140	98
+	4	141	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	116
+	140	98
+	3	141	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	53
+	61	34
+	71	63
+	4	72	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	34
+	71	63
+	3	72	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	47
+	71	63
+	61	34
+	4	61	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	63
+	61	34
+	3	61	47	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	139
+	123	145
+	130	142
+	4	132	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	145
+	130	142
+	3	132	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	147
+	130	142
+	123	145
+	4	122	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	142
+	123	145
+	3	122	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	154
+	111	156
+	118	156
+	4	119	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	156
+	118	156
+	3	119	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	158
+	118	156
+	111	156
+	4	110	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	156
+	111	156
+	3	110	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	160
+	66	158
+	73	161
+	4	74	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	73	161
+	3	74	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	161
+	74	160
+	81	162
+	4	83	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	160
+	81	162
+	3	83	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	161
+	81	162
+	74	160
+	4	73	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	162
+	74	160
+	3	73	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	158
+	58	157
+	65	160
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	157
+	65	160
+	3	66	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	160
+	73	161
+	66	158
+	4	65	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	161
+	66	158
+	3	65	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	58
+	53	59
+	61	67
+	4	61	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	59
+	61	67
+	3	61	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	162
+	83	161
+	90	163
+	4	91	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	161
+	90	163
+	3	91	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	162
+	90	163
+	83	161
+	4	81	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	163
+	83	161
+	3	81	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	142
+	122	147
+	129	145
+	4	130	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	147
+	129	145
+	3	130	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	149
+	129	145
+	122	147
+	4	121	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	145
+	122	147
+	3	121	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	159
+	100	160
+	107	161
+	4	108	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	160
+	107	161
+	3	108	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	162
+	107	161
+	100	160
+	4	99	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	161
+	100	160
+	3	99	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	111
+	142	80
+	135	106
+	4	134	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	80
+	135	106
+	3	134	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	80
+	134	111
+	141	90
+	4	142	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	111
+	141	90
+	3	142	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	149
+	171	159
+	164	146
+	4	163	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	159
+	164	146
+	3	163	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	159
+	163	149
+	170	161
+	4	171	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	149
+	170	161
+	3	171	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	162
+	91	162
+	98	163
+	4	99	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	162
+	98	163
+	3	99	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	163
+	98	163
+	91	162
+	4	90	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	163
+	91	162
+	3	90	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	161
+	218	178
+	228	163
+	4	229	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	178
+	228	163
+	3	229	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	178
+	228	163
+	218	178
+	4	217	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	163
+	218	178
+	3	217	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	156
+	110	158
+	117	158
+	4	118	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	158
+	117	158
+	3	118	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	159
+	117	158
+	110	158
+	4	108	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	158
+	110	158
+	3	108	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	145
+	121	149
+	128	148
+	4	129	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	149
+	128	148
+	3	129	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	152
+	128	148
+	121	149
+	4	120	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	148
+	121	149
+	3	120	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	161
+	65	160
+	72	162
+	4	73	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	160
+	72	162
+	3	73	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	162
+	73	161
+	80	164
+	4	81	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	161
+	80	164
+	3	81	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	162
+	80	164
+	73	161
+	4	72	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	164
+	73	161
+	3	72	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	179
+	206	185
+	215	180
+	4	215	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	185
+	215	180
+	3	215	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	185
+	215	180
+	206	185
+	4	205	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	180
+	206	185
+	3	205	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	165
+	175	173
+	168	164
+	4	167	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	173
+	168	164
+	3	167	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	173
+	167	165
+	174	173
+	4	175	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	165
+	174	173
+	3	175	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	163
+	81	162
+	88	164
+	4	90	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	162
+	88	164
+	3	90	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	164
+	88	164
+	81	162
+	4	80	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	164
+	81	162
+	3	80	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	187
+	189	185
+	196	186
+	4	197	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	185
+	196	186
+	3	197	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	185
+	197	187
+	205	185
+	4	205	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	187
+	205	185
+	3	205	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	186
+	205	185
+	197	187
+	4	196	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	185
+	197	187
+	3	196	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	161
+	99	162
+	106	163
+	4	107	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	162
+	106	163
+	3	107	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	163
+	106	163
+	99	162
+	4	98	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	163
+	99	162
+	3	98	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	148
+	120	152
+	127	151
+	4	128	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	152
+	127	151
+	3	128	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	154
+	127	151
+	120	152
+	4	119	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	151
+	120	152
+	3	119	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	174
+	181	180
+	174	173
+	4	173	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	180
+	174	173
+	3	173	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	180
+	173	174
+	180	180
+	4	181	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	174
+	180	180
+	3	181	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	180
+	189	185
+	181	180
+	4	180	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	185
+	181	180
+	3	180	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	152
+	170	161
+	163	149
+	4	162	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	161
+	163	149
+	3	162	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	161
+	162	152
+	169	162
+	4	170	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	152
+	169	162
+	3	170	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	106
+	144	69
+	136	99
+	4	135	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	69
+	136	99
+	3	135	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	69
+	135	106
+	142	80
+	4	144	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	106
+	142	80
+	3	144	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	59
+	61	58
+	53	49
+	4	53	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	58
+	53	49
+	3	53	59	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	185
+	180	180
+	188	185
+	4	189	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	180
+	188	185
+	3	189	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	185
+	196	186
+	189	185
+	4	188	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	186
+	189	185
+	3	188	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	163
+	90	163
+	97	164
+	4	98	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	163
+	97	164
+	3	98	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	164
+	97	164
+	90	163
+	4	88	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	164
+	90	163
+	3	88	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	158
+	108	159
+	115	160
+	4	117	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	159
+	115	160
+	3	117	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	161
+	115	160
+	108	159
+	4	107	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	160
+	108	159
+	3	107	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	164
+	72	162
+	79	165
+	4	80	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	162
+	79	165
+	3	80	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	151
+	119	154
+	126	153
+	4	127	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	154
+	126	153
+	3	127	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	156
+	126	153
+	119	154
+	4	118	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	153
+	119	154
+	3	118	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	164
+	80	164
+	87	166
+	4	88	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	164
+	87	166
+	3	88	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	165
+	87	166
+	80	164
+	4	79	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	80	164
+	3	79	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	163
+	217	178
+	227	166
+	4	228	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	178
+	227	166
+	3	228	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	179
+	227	166
+	217	178
+	4	216	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	166
+	217	178
+	3	216	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	163
+	98	163
+	105	164
+	4	106	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	163
+	105	164
+	3	106	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	164
+	105	164
+	98	163
+	4	97	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	164
+	98	163
+	3	97	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	154
+	169	162
+	162	152
+	4	161	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	162
+	162	152
+	3	161	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	162
+	161	154
+	168	164
+	4	169	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	154
+	168	164
+	3	169	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	167
+	174	173
+	167	165
+	4	166	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	173
+	167	165
+	3	166	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	173
+	166	167
+	173	174
+	4	174	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	167
+	173	174
+	3	174	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	160
+	107	161
+	114	162
+	4	115	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	161
+	114	162
+	3	115	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	163
+	114	162
+	107	161
+	4	106	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	162
+	107	161
+	3	106	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	164
+	88	164
+	95	166
+	4	97	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	164
+	95	166
+	3	97	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	166
+	95	166
+	88	164
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	166
+	88	164
+	3	87	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	153
+	118	156
+	125	156
+	4	126	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	156
+	125	156
+	3	126	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	158
+	125	156
+	118	156
+	4	117	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	156
+	118	156
+	3	117	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	34
+	72	53
+	61	19
+	4	61	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	53
+	61	19
+	3	61	34	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	180
+	205	185
+	214	181
+	4	215	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	185
+	214	181
+	3	215	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	185
+	214	181
+	205	185
+	4	205	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	181
+	205	185
+	3	205	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	99
+	145	56
+	137	93
+	4	136	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	56
+	137	93
+	3	136	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	56
+	136	99
+	144	69
+	4	145	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	99
+	144	69
+	3	145	56	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	47
+	53	49
+	61	58
+	4	61	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	49
+	61	58
+	3	61	47	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	175
+	180	180
+	173	174
+	4	172	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	180
+	173	174
+	3	172	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	180
+	172	175
+	179	181
+	4	180	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	175
+	179	181
+	3	180	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	181
+	188	185
+	180	180
+	4	179	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	185
+	180	180
+	3	179	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	166
+	79	165
+	86	167
+	4	87	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	165
+	86	167
+	3	87	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	186
+	188	185
+	195	187
+	4	196	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	185
+	195	187
+	3	196	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	185
+	196	186
+	204	186
+	4	205	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	186
+	204	186
+	3	205	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	187
+	204	186
+	196	186
+	4	195	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	186
+	196	186
+	3	195	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	157
+	168	164
+	161	154
+	4	160	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	164
+	161	154
+	3	160	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	164
+	160	157
+	167	165
+	4	168	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	157
+	167	165
+	3	168	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	164
+	97	164
+	104	166
+	4	105	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	164
+	104	166
+	3	105	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	166
+	104	166
+	97	164
+	4	95	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	166
+	97	164
+	3	95	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	156
+	117	158
+	124	158
+	4	125	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	158
+	124	158
+	3	125	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	160
+	124	158
+	117	158
+	4	115	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	158
+	117	158
+	3	115	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	185
+	179	181
+	187	185
+	4	188	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	181
+	187	185
+	3	188	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	185
+	195	187
+	188	185
+	4	187	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	187
+	188	185
+	3	187	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	162
+	106	163
+	113	163
+	4	114	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	163
+	113	163
+	3	114	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	164
+	113	163
+	106	163
+	4	105	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	163
+	106	163
+	3	105	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	139
+	140	134
+	133	135
+	4	132	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	134
+	133	135
+	3	132	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	134
+	132	139
+	139	138
+	4	140	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	139
+	139	138
+	3	140	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	142
+	139	138
+	132	139
+	4	130	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	138
+	132	139
+	3	130	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	138
+	130	142
+	138	142
+	4	139	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	142
+	138	142
+	3	139	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	145
+	138	142
+	130	142
+	4	129	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	142
+	130	142
+	3	129	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	166
+	87	166
+	94	168
+	4	95	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	166
+	94	168
+	3	95	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	167
+	94	168
+	87	166
+	4	86	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	168
+	87	166
+	3	86	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	135
+	141	130
+	134	132
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	130
+	134	132
+	3	133	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	130
+	133	135
+	140	134
+	4	141	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	140	134
+	3	141	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	138	142
+	129	145
+	137	145
+	4	138	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	145
+	137	145
+	3	138	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	148
+	137	145
+	129	145
+	4	128	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	129	145
+	3	128	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	166
+	216	179
+	226	169
+	4	227	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	179
+	226	169
+	3	227	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	179
+	226	169
+	216	179
+	4	215	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	169
+	216	179
+	3	215	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	168
+	173	174
+	166	167
+	4	165	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	174
+	166	167
+	3	165	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	174
+	165	168
+	172	175
+	4	173	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	168
+	172	175
+	3	173	174	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	137	145
+	128	148
+	136	148
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	148
+	136	148
+	3	137	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	151
+	136	148
+	128	148
+	4	127	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	148
+	128	148
+	3	127	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	132
+	142	125
+	135	127
+	4	134	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	125
+	135	127
+	3	134	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	125
+	134	132
+	141	130
+	4	142	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	132
+	141	130
+	3	142	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	158
+	115	160
+	123	160
+	4	124	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	160
+	123	160
+	3	124	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	162
+	123	160
+	115	160
+	4	114	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	160
+	115	160
+	3	114	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	159
+	167	165
+	160	157
+	4	159	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	165
+	160	157
+	3	159	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	165
+	159	159
+	166	167
+	4	167	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	159
+	166	167
+	3	167	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	166
+	95	166
+	103	167
+	4	104	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	166
+	103	167
+	3	104	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	168
+	103	167
+	95	166
+	4	94	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	167
+	95	166
+	3	94	168	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	136	148
+	127	151
+	134	151
+	4	136	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	151
+	134	151
+	3	136	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	153
+	134	151
+	127	151
+	4	126	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	127	151
+	3	126	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	163
+	105	164
+	112	165
+	4	113	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	164
+	112	165
+	3	113	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	166
+	112	165
+	105	164
+	4	104	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	165
+	105	164
+	3	104	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	127
+	143	119
+	136	123
+	4	135	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	119
+	136	123
+	3	135	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	119
+	135	127
+	142	125
+	4	143	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	127
+	142	125
+	3	143	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	168
+	86	167
+	93	169
+	4	94	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	167
+	93	169
+	3	94	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	176
+	179	181
+	172	175
+	4	171	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	181
+	172	175
+	3	171	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	181
+	171	176
+	179	181
+	4	179	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	176
+	179	181
+	3	179	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	181
+	187	185
+	179	181
+	4	179	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	185
+	179	181
+	3	179	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	181
+	205	185
+	213	182
+	4	214	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	185
+	213	182
+	3	214	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	186
+	213	182
+	205	185
+	4	204	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	182
+	205	185
+	3	204	186	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	151
+	126	153
+	133	154
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	153
+	133	154
+	3	134	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	125	156
+	133	154
+	126	153
+	4	125	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	154
+	126	153
+	3	125	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	160
+	114	162
+	122	162
+	4	123	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	162
+	122	162
+	3	123	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	163
+	122	162
+	114	162
+	4	113	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	162
+	114	162
+	3	113	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	139
+	158	130
+	165	143
+	4	166	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	130
+	165	143
+	3	166	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	134
+	165	143
+	158	130
+	4	157	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	143
+	158	130
+	3	157	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	143
+	157	134
+	164	146
+	4	165	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	134
+	164	146
+	3	165	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	136
+	159	125
+	166	139
+	4	167	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	125
+	166	139
+	3	167	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	130
+	166	139
+	159	125
+	4	158	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	139
+	159	125
+	3	158	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	139
+	164	146
+	157	134
+	4	156	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	146
+	157	134
+	3	156	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	146
+	156	139
+	163	149
+	4	164	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	139
+	163	149
+	3	164	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	49
+	61	47
+	53	36
+	4	53	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	47
+	53	36
+	3	53	49	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	187
+	187	185
+	194	187
+	4	195	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	185
+	194	187
+	3	195	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	186
+	195	187
+	203	186
+	4	204	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	187
+	203	186
+	3	204	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	187
+	203	186
+	195	187
+	4	194	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	186
+	195	187
+	3	194	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	132
+	160	119
+	167	136
+	4	168	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	119
+	167	136
+	3	168	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	125
+	167	136
+	160	119
+	4	159	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	136
+	160	119
+	3	159	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	143
+	163	149
+	156	139
+	4	155	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	149
+	156	139
+	3	155	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	149
+	155	143
+	162	152
+	4	163	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	143
+	162	152
+	3	163	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	185
+	179	181
+	186	185
+	4	187	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	181
+	186	185
+	3	187	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	185
+	194	187
+	187	185
+	4	186	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	187
+	187	185
+	3	186	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	170
+	172	175
+	165	168
+	4	164	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	175
+	165	168
+	3	164	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	175
+	164	170
+	171	176
+	4	172	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	170
+	171	176
+	3	172	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	123
+	144	113
+	137	118
+	4	136	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	113
+	137	118
+	3	136	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	113
+	136	123
+	143	119
+	4	144	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	123
+	143	119
+	3	144	113	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	133	154
+	125	156
+	132	157
+	4	133	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	156
+	132	157
+	3	133	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	158
+	132	157
+	125	156
+	4	124	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	157
+	125	156
+	3	124	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	161
+	166	167
+	159	159
+	4	158	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	167
+	159	159
+	3	158	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	167
+	158	161
+	165	168
+	4	166	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	161
+	165	168
+	3	166	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	165
+	104	166
+	111	167
+	4	112	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	166
+	111	167
+	3	112	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	167
+	111	167
+	104	166
+	4	103	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	167
+	104	166
+	3	103	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	169
+	215	179
+	225	171
+	4	226	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	179
+	225	171
+	3	226	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	180
+	225	171
+	215	179
+	4	215	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	171
+	215	179
+	3	215	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	167
+	94	168
+	101	169
+	4	103	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	168
+	101	169
+	3	103	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	169
+	101	169
+	94	168
+	4	93	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	169
+	94	168
+	3	93	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	146
+	162	152
+	155	143
+	4	154	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	152
+	155	143
+	3	154	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	152
+	154	146
+	161	154
+	4	162	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	146
+	161	154
+	3	162	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	127
+	162	112
+	168	132
+	4	170	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	168	132
+	3	170	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	119
+	168	132
+	162	112
+	4	160	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	132
+	162	112
+	3	160	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	162
+	113	163
+	120	165
+	4	122	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	163
+	120	165
+	3	122	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	165
+	120	165
+	113	163
+	4	112	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	165
+	113	163
+	3	112	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	157
+	124	158
+	131	159
+	4	132	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	158
+	131	159
+	3	132	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	160
+	131	159
+	124	158
+	4	123	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	159
+	124	158
+	3	123	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	149
+	161	154
+	154	146
+	4	152	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	154
+	154	146
+	3	152	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	154
+	152	149
+	160	157
+	4	161	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	149
+	160	157
+	3	161	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	122
+	163	105
+	170	127
+	4	171	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	105
+	170	127
+	3	171	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	112
+	170	127
+	163	105
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	127
+	163	105
+	3	162	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	118
+	145	106
+	138	112
+	4	137	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	106
+	138	112
+	3	137	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	106
+	137	118
+	144	113
+	4	145	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	118
+	144	113
+	3	145	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	167
+	103	167
+	110	169
+	4	111	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	167
+	110	169
+	3	111	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	169
+	110	169
+	103	167
+	4	101	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	169
+	103	167
+	3	101	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	177
+	179	181
+	171	176
+	4	170	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	181
+	171	176
+	3	170	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	181
+	170	177
+	178	182
+	4	179	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	177
+	178	182
+	3	179	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	182
+	186	185
+	179	181
+	4	178	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	185
+	179	181
+	3	178	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	164
+	165	168
+	158	161
+	4	157	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	168
+	158	161
+	3	157	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	168
+	157	164
+	164	170
+	4	165	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	164
+	164	170
+	3	165	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	152
+	160	157
+	152	149
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	157
+	152	149
+	3	151	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	157
+	151	152
+	159	159
+	4	160	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	159	159
+	3	160	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	169
+	93	169
+	100	171
+	4	101	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	169
+	100	171
+	3	101	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	159
+	123	160
+	130	162
+	4	131	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	160
+	130	162
+	3	131	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	162
+	130	162
+	123	160
+	4	122	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	162
+	123	160
+	3	122	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	182
+	204	186
+	212	183
+	4	213	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	186
+	212	183
+	3	213	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	186
+	212	183
+	204	186
+	4	203	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	183
+	204	186
+	3	203	186	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	137	145
+	145	144
+	138	142
+	4	137	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	144
+	138	142
+	3	137	145	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	145	144
+	137	145
+	144	148
+	4	145	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	145
+	144	148
+	3	145	144	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	136	148
+	144	148
+	137	145
+	4	136	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	137	145
+	3	136	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	172
+	171	176
+	164	170
+	4	163	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	176
+	164	170
+	3	163	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	176
+	163	172
+	170	177
+	4	171	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	172
+	170	177
+	3	171	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	165
+	112	165
+	119	167
+	4	120	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	165
+	119	167
+	3	120	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	167
+	119	167
+	112	165
+	4	111	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	167
+	112	165
+	3	111	167	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	138	142
+	146	140
+	139	138
+	4	138	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	140
+	139	138
+	3	138	142	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	146	140
+	138	142
+	145	144
+	4	146	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	142
+	145	144
+	3	146	140	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	144	148
+	136	148
+	143	151
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	148
+	143	151
+	3	144	148	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	151
+	143	151
+	136	148
+	4	134	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	151
+	136	148
+	3	134	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	34
+	53	36
+	61	47
+	4	61	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	36
+	61	47
+	3	61	34	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	151
+	134	151
+	142	154
+	4	143	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	151
+	142	154
+	3	143	151	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	133	154
+	142	154
+	134	151
+	4	133	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	154
+	134	151
+	3	133	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	138
+	147	136
+	140	134
+	4	139	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	136
+	140	134
+	3	139	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	147	136
+	139	138
+	146	140
+	4	147	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	138
+	146	140
+	3	147	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	171
+	215	180
+	224	173
+	4	225	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	180
+	224	173
+	3	225	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	181
+	224	173
+	215	180
+	4	214	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	173
+	215	180
+	3	214	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	155
+	159	159
+	151	152
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	159
+	151	152
+	3	150	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	159
+	150	155
+	158	161
+	4	159	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	158	161
+	3	159	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	187
+	186	185
+	194	187
+	4	194	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	185
+	194	187
+	3	194	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	186
+	194	187
+	202	187
+	4	203	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	187
+	202	187
+	3	203	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	187
+	202	187
+	194	187
+	4	194	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	187
+	194	187
+	3	194	187	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	185
+	178	182
+	185	186
+	4	186	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	182
+	185	186
+	3	186	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	186
+	194	187
+	186	185
+	4	185	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	187
+	186	185
+	3	185	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	142	154
+	133	154
+	141	157
+	4	142	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	154
+	141	157
+	3	142	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	157
+	141	157
+	133	154
+	4	132	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	157
+	133	154
+	3	132	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	117
+	164	96
+	171	122
+	4	172	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	96
+	171	122
+	3	172	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	105
+	171	122
+	164	96
+	4	163	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	122
+	164	96
+	3	163	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	162
+	122	162
+	129	164
+	4	130	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	162
+	129	164
+	3	130	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	165
+	129	164
+	122	162
+	4	120	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	164
+	122	162
+	3	120	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	134
+	148	132
+	141	130
+	4	140	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	132
+	141	130
+	3	140	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	132
+	140	134
+	147	136
+	4	148	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	134
+	147	136
+	3	148	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	169
+	101	169
+	109	171
+	4	110	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	169
+	109	171
+	3	110	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	171
+	109	171
+	101	169
+	4	100	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	171
+	101	169
+	3	100	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	166
+	164	170
+	157	164
+	4	155	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	170
+	157	164
+	3	155	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	170
+	155	166
+	163	172
+	4	164	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	166
+	163	172
+	3	164	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	167
+	111	167
+	118	169
+	4	119	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	167
+	118	169
+	3	119	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	169
+	118	169
+	111	167
+	4	110	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	169
+	111	167
+	3	110	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	157
+	132	157
+	140	159
+	4	141	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	157
+	140	159
+	3	141	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	159
+	140	159
+	132	157
+	4	131	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	159
+	132	157
+	3	131	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	158
+	158	161
+	150	155
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	161
+	150	155
+	3	149	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	161
+	149	158
+	157	164
+	4	158	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	157	164
+	3	158	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	112
+	147	98
+	139	105
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	98
+	139	105
+	3	138	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	98
+	138	112
+	145	106
+	4	147	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	145	106
+	3	147	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	143
+	146	140
+	154	146
+	4	155	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	140
+	154	146
+	3	155	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	144
+	154	146
+	146	140
+	4	145	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	146
+	146	140
+	3	145	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	146
+	145	144
+	152	149
+	4	154	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	144
+	152	149
+	3	154	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	148
+	152	149
+	145	144
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	149
+	145	144
+	3	144	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	149
+	144	148
+	151	152
+	4	152	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	151	152
+	3	152	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	179
+	178	182
+	170	177
+	4	169	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	182
+	170	177
+	3	169	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	182
+	169	179
+	177	183
+	4	178	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	179
+	177	183
+	3	178	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	183
+	185	186
+	178	182
+	4	177	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	186
+	178	182
+	3	177	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	173
+	170	177
+	163	172
+	4	162	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	177
+	163	172
+	3	162	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	177
+	162	173
+	169	179
+	4	170	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	173
+	169	179
+	3	170	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	164
+	120	165
+	128	166
+	4	129	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	165
+	128	166
+	3	129	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	167
+	128	166
+	120	165
+	4	119	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	120	165
+	3	119	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	130
+	150	127
+	142	125
+	4	141	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	127
+	142	125
+	3	141	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	127
+	141	130
+	148	132
+	4	150	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	130
+	148	132
+	3	150	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	139
+	147	136
+	155	143
+	4	156	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	136
+	155	143
+	3	156	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	140
+	155	143
+	147	136
+	4	146	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	143
+	147	136
+	3	146	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	151
+	151	152
+	144	148
+	4	143	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	152
+	144	148
+	3	143	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	159
+	131	159
+	138	162
+	4	140	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	159
+	138	162
+	3	140	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	162
+	138	162
+	131	159
+	4	130	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	162
+	131	159
+	3	130	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	152
+	143	151
+	150	155
+	4	151	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	151
+	150	155
+	3	151	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	154
+	150	155
+	143	151
+	4	142	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	155
+	143	151
+	3	142	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	161
+	157	164
+	149	158
+	4	148	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	164
+	149	158
+	3	148	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	164
+	148	161
+	155	166
+	4	157	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	161
+	155	166
+	3	157	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	155
+	142	154
+	149	158
+	4	150	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	154
+	149	158
+	3	150	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	157
+	149	158
+	142	154
+	4	141	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	142	154
+	3	141	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	183
+	203	186
+	211	184
+	4	212	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	186
+	211	184
+	3	212	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	187
+	211	184
+	203	186
+	4	202	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	184
+	203	186
+	3	202	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	134
+	148	132
+	156	139
+	4	157	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	132
+	156	139
+	3	157	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	136
+	156	139
+	148	132
+	4	147	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	139
+	148	132
+	3	147	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	171
+	100	171
+	107	173
+	4	109	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	171
+	107	173
+	3	109	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	111
+	165	87
+	172	117
+	4	173	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	87
+	172	117
+	3	173	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	96
+	172	117
+	165	87
+	4	164	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	117
+	165	87
+	3	164	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	173
+	214	181
+	223	175
+	4	224	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	181
+	223	175
+	3	224	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	182
+	223	175
+	214	181
+	4	213	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	175
+	214	181
+	3	213	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	169
+	110	169
+	117	171
+	4	118	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	169
+	117	171
+	3	118	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	171
+	117	171
+	110	169
+	4	109	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	171
+	110	169
+	3	109	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	168
+	163	172
+	155	166
+	4	154	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	172
+	155	166
+	3	154	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	172
+	154	168
+	162	173
+	4	163	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	168
+	162	173
+	3	163	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	162
+	130	162
+	137	164
+	4	138	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	162
+	137	164
+	3	138	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	164
+	137	164
+	130	162
+	4	129	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	164
+	130	162
+	3	129	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	158
+	141	157
+	148	161
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	157
+	148	161
+	3	149	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	159
+	148	161
+	141	157
+	4	140	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	161
+	141	157
+	3	140	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	186
+	177	183
+	184	187
+	4	185	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	183
+	184	187
+	3	185	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	187
+	185	186
+	193	188
+	4	194	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	186
+	193	188
+	3	194	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	187
+	193	188
+	185	186
+	4	184	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	188
+	185	186
+	3	184	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	187
+	194	187
+	201	188
+	4	202	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	187
+	201	188
+	3	202	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	188
+	201	188
+	194	187
+	4	193	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	188
+	194	187
+	3	193	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	166
+	119	167
+	127	169
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	167
+	127	169
+	3	128	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	169
+	127	169
+	119	167
+	4	118	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	169
+	119	167
+	3	118	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	130
+	150	127
+	157	134
+	4	158	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	127
+	157	134
+	3	158	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	132
+	157	134
+	150	127
+	4	148	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	134
+	150	127
+	3	148	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	125
+	151	121
+	143	119
+	4	142	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	121
+	143	119
+	3	142	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	121
+	142	125
+	150	127
+	4	151	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	125
+	150	127
+	3	151	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	163
+	155	166
+	148	161
+	4	147	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	166
+	148	161
+	3	147	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	166
+	147	163
+	154	168
+	4	155	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	163
+	154	168
+	3	155	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	161
+	140	159
+	147	163
+	4	148	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	159
+	147	163
+	3	148	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	162
+	147	163
+	140	159
+	4	138	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	163
+	140	159
+	3	138	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	164
+	129	164
+	136	167
+	4	137	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	164
+	136	167
+	3	137	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	166
+	136	167
+	129	164
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	167
+	129	164
+	3	128	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	175
+	169	179
+	162	173
+	4	161	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	179
+	162	173
+	3	161	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	179
+	161	175
+	168	180
+	4	169	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	175
+	168	180
+	3	169	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	180
+	177	183
+	169	179
+	4	168	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	183
+	169	179
+	3	168	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	171
+	109	171
+	116	173
+	4	117	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	171
+	116	173
+	3	117	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	173
+	116	173
+	109	171
+	4	107	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	173
+	109	171
+	3	107	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	105
+	148	88
+	140	98
+	4	139	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	88
+	140	98
+	3	139	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	88
+	139	105
+	147	98
+	4	148	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	105
+	147	98
+	3	148	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	183
+	168	180
+	176	184
+	4	177	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	180
+	176	184
+	3	177	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	184
+	184	187
+	177	183
+	4	176	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	187
+	177	183
+	3	176	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	170
+	162	173
+	154	168
+	4	153	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	173
+	154	168
+	3	153	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	173
+	153	170
+	161	175
+	4	162	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	170
+	161	175
+	3	162	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	163
+	138	162
+	146	165
+	4	147	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	162
+	146	165
+	3	147	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	164
+	146	165
+	138	162
+	4	137	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	165
+	138	162
+	3	137	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	169
+	118	169
+	125	171
+	4	127	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	169
+	125	171
+	3	127	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	171
+	125	171
+	118	169
+	4	117	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	171
+	118	169
+	3	117	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	36
+	61	34
+	53	22
+	4	53	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	34
+	53	22
+	3	53	36	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	125
+	151	121
+	158	130
+	4	159	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	121
+	158	130
+	3	159	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	127
+	158	130
+	151	121
+	4	150	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	130
+	151	121
+	3	150	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	165
+	154	168
+	147	163
+	4	146	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	168
+	147	163
+	3	146	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	168
+	146	165
+	153	170
+	4	154	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	165
+	153	170
+	3	154	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	175
+	213	182
+	222	178
+	4	223	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	182
+	222	178
+	3	223	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	183
+	222	178
+	213	182
+	4	212	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	178
+	213	182
+	3	212	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	167
+	128	166
+	135	169
+	4	136	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	135	169
+	3	136	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	169
+	135	169
+	128	166
+	4	127	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	169
+	128	166
+	3	127	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	184
+	202	187
+	210	186
+	4	211	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	187
+	210	186
+	3	211	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	188
+	210	186
+	202	187
+	4	201	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	186
+	202	187
+	3	201	188	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	104
+	167	75
+	173	111
+	4	174	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	75
+	173	111
+	3	174	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	87
+	173	111
+	167	75
+	4	165	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	111
+	167	75
+	3	165	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	165
+	137	164
+	145	168
+	4	146	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	164
+	145	168
+	3	146	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	167
+	145	168
+	137	164
+	4	136	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	168
+	137	164
+	3	136	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	119
+	152	115
+	144	113
+	4	143	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	115
+	144	113
+	3	143	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	115
+	143	119
+	151	121
+	4	152	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	119
+	151	121
+	3	152	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	168
+	153	170
+	146	165
+	4	145	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	170
+	146	165
+	3	145	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	173
+	107	173
+	115	174
+	4	116	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	173
+	115	174
+	3	116	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	187
+	176	184
+	183	188
+	4	184	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	184
+	183	188
+	3	184	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	188
+	184	187
+	192	189
+	4	193	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	187
+	192	189
+	3	193	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	188
+	192	189
+	184	187
+	4	183	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	189
+	184	187
+	3	183	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	171
+	117	171
+	124	173
+	4	125	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	171
+	124	173
+	3	125	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	173
+	124	173
+	117	171
+	4	116	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	173
+	117	171
+	3	116	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	188
+	193	188
+	201	189
+	4	201	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	188
+	201	189
+	3	201	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	189
+	201	189
+	193	188
+	4	192	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	189
+	193	188
+	3	192	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	172
+	161	175
+	153	170
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	175
+	153	170
+	3	152	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	175
+	152	172
+	160	177
+	4	161	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	160	177
+	3	161	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	177
+	168	180
+	161	175
+	4	160	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	180
+	161	175
+	3	160	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	180
+	160	177
+	167	181
+	4	168	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	177
+	167	181
+	3	168	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	181
+	176	184
+	168	180
+	4	167	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	184
+	168	180
+	3	167	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	170
+	145	168
+	152	172
+	4	153	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	168
+	152	172
+	3	153	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	169
+	127	169
+	134	171
+	4	135	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	169
+	134	171
+	3	135	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	171
+	134	171
+	127	169
+	4	125	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	171
+	127	169
+	3	125	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	168
+	136	167
+	144	170
+	4	145	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	167
+	144	170
+	3	145	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	169
+	144	170
+	136	167
+	4	135	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	170
+	136	167
+	3	135	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	119
+	152	115
+	159	125
+	4	160	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	115
+	159	125
+	3	160	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	121
+	159	125
+	152	115
+	4	151	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	125
+	152	115
+	3	151	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	184
+	167	181
+	175	185
+	4	176	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	181
+	175	185
+	3	176	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	185
+	183	188
+	176	184
+	4	175	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	188
+	176	184
+	3	175	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	170
+	152	172
+	145	168
+	4	144	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	172
+	145	168
+	3	144	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	151
+	246	114
+	233	148
+	4	232	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	114
+	233	148
+	3	232	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	114
+	232	151
+	244	123
+	4	246	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	151
+	244	123
+	3	246	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	155
+	244	123
+	232	151
+	4	231	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	123
+	232	151
+	3	231	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	123
+	231	155
+	243	131
+	4	244	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	155
+	243	131
+	3	244	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	158
+	243	131
+	231	155
+	4	230	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	131
+	231	155
+	3	230	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	148
+	249	104
+	234	144
+	4	233	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	104
+	234	144
+	3	233	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	104
+	233	148
+	246	114
+	4	249	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	148
+	246	114
+	3	249	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	178
+	212	183
+	221	180
+	4	222	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	183
+	221	180
+	3	222	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	184
+	221	180
+	212	183
+	4	211	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	180
+	212	183
+	3	211	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	131
+	230	158
+	241	138
+	4	243	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	158
+	241	138
+	3	243	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	161
+	241	138
+	230	158
+	4	229	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	138
+	230	158
+	3	229	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	173
+	116	173
+	123	175
+	4	124	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	173
+	123	175
+	3	124	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	174
+	123	175
+	116	173
+	4	115	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	175
+	116	173
+	3	115	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	170
+	135	169
+	143	172
+	4	144	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	169
+	143	172
+	3	144	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	171
+	143	172
+	135	169
+	4	134	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	172
+	135	169
+	3	134	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	171
+	125	171
+	133	173
+	4	134	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	171
+	133	173
+	3	134	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	173
+	133	173
+	125	171
+	4	124	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	173
+	125	171
+	3	124	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	172
+	144	170
+	151	174
+	4	152	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	170
+	151	174
+	3	152	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	174
+	160	177
+	152	172
+	4	151	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	177
+	152	172
+	3	151	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	186
+	201	188
+	210	187
+	4	210	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	188
+	210	187
+	3	210	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	189
+	210	187
+	201	188
+	4	201	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	187
+	201	188
+	3	201	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	138
+	229	161
+	239	144
+	4	241	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	161
+	239	144
+	3	241	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	163
+	239	144
+	229	161
+	4	228	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	144
+	229	161
+	3	228	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	177
+	151	174
+	159	178
+	4	160	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	174
+	159	178
+	3	160	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	178
+	167	181
+	160	177
+	4	159	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	181
+	160	177
+	3	159	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	61	19
+	53	22
+	61	34
+	4	61	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	22
+	61	34
+	3	61	19	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	98
+	149	78
+	141	90
+	4	140	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	78
+	141	90
+	3	140	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	78
+	140	98
+	148	88
+	4	149	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	98
+	148	88
+	3	149	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	172
+	151	174
+	144	170
+	4	143	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	174
+	144	170
+	3	143	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	181
+	159	178
+	166	183
+	4	167	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	178
+	166	183
+	3	167	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	183
+	175	185
+	167	181
+	4	166	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	185
+	167	181
+	3	166	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	113
+	153	108
+	145	106
+	4	144	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	108
+	145	106
+	3	144	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	108
+	144	113
+	152	115
+	4	153	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	113
+	152	115
+	3	153	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	188
+	175	185
+	182	189
+	4	183	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	185
+	182	189
+	3	183	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	189
+	183	188
+	191	190
+	4	192	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	188
+	191	190
+	3	192	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	189
+	191	190
+	183	188
+	4	182	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	190
+	183	188
+	3	182	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	144
+	228	163
+	238	150
+	4	239	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	163
+	238	150
+	3	239	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	166
+	238	150
+	228	163
+	4	227	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	150
+	228	163
+	3	227	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	189
+	192	189
+	200	190
+	4	201	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	189
+	200	190
+	3	201	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	190
+	200	190
+	192	189
+	4	191	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	190
+	192	189
+	3	191	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	75
+	174	104
+	168	62
+	4	167	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	104
+	168	62
+	3	167	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	112
+	153	108
+	160	119
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	108
+	160	119
+	3	162	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	115
+	160	119
+	153	108
+	4	152	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	119
+	153	108
+	3	152	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	172
+	134	171
+	141	174
+	4	143	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	171
+	141	174
+	3	143	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	173
+	141	174
+	134	171
+	4	133	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	174
+	134	171
+	3	133	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	175
+	115	174
+	122	177
+	4	123	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	174
+	122	177
+	3	123	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	173
+	124	173
+	132	175
+	4	133	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	173
+	132	175
+	3	133	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	175
+	132	175
+	124	173
+	4	123	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	175
+	124	173
+	3	123	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	174
+	143	172
+	150	176
+	4	151	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	172
+	150	176
+	3	151	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	176
+	159	178
+	151	174
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	178
+	151	174
+	3	150	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	185
+	166	183
+	174	187
+	4	175	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	183
+	174	187
+	3	175	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	187
+	182	189
+	175	185
+	4	174	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	189
+	175	185
+	3	174	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	150
+	227	166
+	236	155
+	4	238	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	166
+	236	155
+	3	238	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	169
+	236	155
+	227	166
+	4	226	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	155
+	227	166
+	3	226	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	174
+	150	176
+	143	172
+	4	141	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	143	172
+	3	141	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	180
+	211	184
+	220	182
+	4	221	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	184
+	220	182
+	3	221	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	186
+	220	182
+	211	184
+	4	210	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	182
+	211	184
+	3	210	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	178
+	150	176
+	158	180
+	4	159	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	158	180
+	3	159	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	180
+	166	183
+	159	178
+	4	158	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	183
+	159	178
+	3	158	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	174
+	133	173
+	140	176
+	4	141	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	173
+	140	176
+	3	141	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	175
+	140	176
+	133	173
+	4	132	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	176
+	133	173
+	3	132	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	155
+	226	169
+	235	159
+	4	236	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	169
+	235	159
+	3	236	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	171
+	235	159
+	226	169
+	4	225	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	159
+	226	169
+	3	225	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	183
+	158	180
+	165	184
+	4	166	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	180
+	165	184
+	3	166	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	184
+	174	187
+	166	183
+	4	165	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	187
+	166	183
+	3	165	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	175
+	123	175
+	131	177
+	4	132	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	175
+	131	177
+	3	132	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	177
+	131	177
+	123	175
+	4	122	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	177
+	123	175
+	3	122	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	187
+	201	189
+	209	189
+	4	210	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	189
+	209	189
+	3	210	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	190
+	209	189
+	201	189
+	4	200	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	189
+	201	189
+	3	200	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	176
+	141	174
+	149	178
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	174
+	149	178
+	3	150	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	178
+	158	180
+	150	176
+	4	149	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	180
+	150	176
+	3	149	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	176
+	149	178
+	141	174
+	4	140	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	178
+	141	174
+	3	140	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	189
+	174	187
+	181	190
+	4	182	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	187
+	181	190
+	3	182	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	190
+	182	189
+	190	191
+	4	191	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	189
+	190	191
+	3	191	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	190
+	190	191
+	182	189
+	4	181	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	191
+	182	189
+	3	181	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	190
+	191	190
+	199	191
+	4	200	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	190
+	199	191
+	3	200	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	191
+	199	191
+	191	190
+	4	190	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	191
+	191	190
+	3	190	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	159
+	225	171
+	234	163
+	4	235	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	171
+	234	163
+	3	235	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	173
+	234	163
+	225	171
+	4	224	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	163
+	225	171
+	3	224	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	180
+	149	178
+	157	182
+	4	158	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	178
+	157	182
+	3	158	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	182
+	165	184
+	158	180
+	4	157	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	184
+	158	180
+	3	157	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	187
+	165	184
+	173	188
+	4	174	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	184
+	173	188
+	3	174	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	188
+	181	190
+	174	187
+	4	173	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	190
+	174	187
+	3	173	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	176
+	132	175
+	139	178
+	4	140	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	175
+	139	178
+	3	140	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	177
+	139	178
+	132	175
+	4	131	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	178
+	132	175
+	3	131	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	182
+	210	186
+	219	184
+	4	220	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	186
+	219	184
+	3	220	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	187
+	219	184
+	210	186
+	4	210	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	184
+	210	186
+	3	210	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	106
+	154	100
+	147	98
+	4	145	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	100
+	147	98
+	3	145	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	100
+	145	106
+	153	108
+	4	154	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	106
+	153	108
+	3	154	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	177
+	122	177
+	129	179
+	4	131	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	177
+	129	179
+	3	131	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	105
+	154	100
+	162	112
+	4	163	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	100
+	162	112
+	3	163	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	108
+	162	112
+	154	100
+	4	153	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	154	100
+	3	153	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	178
+	140	176
+	148	180
+	4	149	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	176
+	148	180
+	3	149	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	180
+	157	182
+	149	178
+	4	148	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	182
+	149	178
+	3	148	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	178
+	148	180
+	140	176
+	4	139	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	180
+	140	176
+	3	139	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	184
+	157	182
+	164	186
+	4	165	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	182
+	164	186
+	3	165	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	186
+	173	188
+	165	184
+	4	164	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	188
+	165	184
+	3	164	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	163
+	224	173
+	233	167
+	4	234	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	173
+	233	167
+	3	234	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	175
+	233	167
+	224	173
+	4	223	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	167
+	224	173
+	3	223	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	90
+	150	66
+	142	80
+	4	141	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	66
+	142	80
+	3	141	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	66
+	141	90
+	149	78
+	4	150	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	90
+	149	78
+	3	150	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	189
+	200	190
+	208	190
+	4	209	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	190
+	208	190
+	3	209	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	191
+	208	190
+	200	190
+	4	199	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	190
+	200	190
+	3	199	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	178
+	131	177
+	138	180
+	4	139	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	177
+	138	180
+	3	139	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	179
+	138	180
+	131	177
+	4	129	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	180
+	131	177
+	3	129	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	182
+	148	180
+	155	183
+	4	157	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	180
+	155	183
+	3	157	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	183
+	164	186
+	157	182
+	4	155	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	186
+	157	182
+	3	155	183	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	190
+	173	188
+	180	191
+	4	181	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	188
+	180	191
+	3	181	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	191
+	181	190
+	189	192
+	4	190	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	190
+	189	192
+	3	190	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	191
+	189	192
+	181	190
+	4	180	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	192
+	181	190
+	3	180	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	180
+	139	178
+	147	182
+	4	148	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	178
+	147	182
+	3	148	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	180
+	147	182
+	139	178
+	4	138	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	182
+	139	178
+	3	138	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	167
+	223	175
+	232	170
+	4	233	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	175
+	232	170
+	3	233	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	178
+	232	170
+	223	175
+	4	222	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	170
+	223	175
+	3	222	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	182
+	155	183
+	148	180
+	4	147	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	183
+	148	180
+	3	147	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	188
+	164	186
+	172	189
+	4	173	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	186
+	172	189
+	3	173	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	189
+	180	191
+	173	188
+	4	172	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	191
+	173	188
+	3	172	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	191
+	190	191
+	198	192
+	4	199	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	191
+	198	192
+	3	199	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	192
+	198	192
+	190	191
+	4	189	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	192
+	190	191
+	3	189	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	184
+	210	187
+	218	186
+	4	219	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	187
+	218	186
+	3	219	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	189
+	218	186
+	210	187
+	4	209	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	186
+	210	187
+	3	209	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	53	22
+	61	19
+	53	4
+	4	53	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	19
+	53	4
+	3	53	22	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	186
+	155	183
+	163	187
+	4	164	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	183
+	163	187
+	3	164	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	187
+	172	189
+	164	186
+	4	163	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	189
+	164	186
+	3	163	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	180
+	129	179
+	137	182
+	4	138	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	179
+	137	182
+	3	138	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	170
+	222	178
+	230	174
+	4	232	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	178
+	230	174
+	3	232	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	180
+	230	174
+	222	178
+	4	221	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	174
+	222	178
+	3	221	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	183
+	147	182
+	154	185
+	4	155	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	182
+	154	185
+	3	155	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	185
+	163	187
+	155	183
+	4	154	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	187
+	155	183
+	3	154	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	182
+	138	180
+	146	184
+	4	147	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	180
+	146	184
+	3	147	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	182
+	146	184
+	138	180
+	4	137	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	184
+	138	180
+	3	137	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	184
+	154	185
+	147	182
+	4	146	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	185
+	147	182
+	3	146	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	190
+	199	191
+	207	192
+	4	208	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	191
+	207	192
+	3	208	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	192
+	207	192
+	199	191
+	4	198	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	192
+	199	191
+	3	198	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	191
+	172	189
+	179	192
+	4	180	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	189
+	179	192
+	3	180	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	192
+	180	191
+	188	193
+	4	189	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	191
+	188	193
+	3	189	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	192
+	188	193
+	180	191
+	4	179	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	193
+	180	191
+	3	179	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	96
+	155	91
+	163	105
+	4	164	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	163	105
+	3	164	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	100
+	163	105
+	155	91
+	4	154	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	105
+	155	91
+	3	154	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	189
+	163	187
+	171	191
+	4	172	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	187
+	171	191
+	3	172	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	191
+	179	192
+	172	189
+	4	171	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	192
+	172	189
+	3	171	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	186
+	209	189
+	217	188
+	4	218	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	189
+	217	188
+	3	218	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	190
+	217	188
+	209	189
+	4	208	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	188
+	209	189
+	3	208	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	192
+	189	192
+	197	194
+	4	198	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	192
+	197	194
+	3	198	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	193
+	197	194
+	189	192
+	4	188	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	194
+	189	192
+	3	188	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	98
+	155	91
+	148	88
+	4	147	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	148	88
+	3	147	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	91
+	147	98
+	154	100
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	98
+	154	100
+	3	155	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	174
+	221	180
+	229	177
+	4	230	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	180
+	229	177
+	3	230	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	182
+	229	177
+	221	180
+	4	220	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	177
+	221	180
+	3	220	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	187
+	154	185
+	162	189
+	4	163	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	185
+	162	189
+	3	163	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	189
+	171	191
+	163	187
+	4	162	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	191
+	163	187
+	3	162	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	184
+	137	182
+	145	185
+	4	146	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	182
+	145	185
+	3	146	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	185
+	146	184
+	153	187
+	4	154	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	184
+	153	187
+	3	154	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	187
+	162	189
+	154	185
+	4	153	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	189
+	154	185
+	3	153	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	185
+	153	187
+	146	184
+	4	145	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	187
+	146	184
+	3	145	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	192
+	198	192
+	206	193
+	4	207	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	192
+	206	193
+	3	207	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	194
+	206	193
+	198	192
+	4	197	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	193
+	198	192
+	3	197	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	177
+	220	182
+	228	180
+	4	229	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	182
+	228	180
+	3	229	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	184
+	228	180
+	220	182
+	4	219	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	180
+	220	182
+	3	219	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	192
+	171	191
+	178	194
+	4	179	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	191
+	178	194
+	3	179	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	193
+	179	192
+	187	195
+	4	188	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	192
+	187	195
+	3	188	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	194
+	187	195
+	179	192
+	4	178	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	195
+	179	192
+	3	178	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	191
+	162	189
+	170	192
+	4	171	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	189
+	170	192
+	3	171	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	192
+	178	194
+	171	191
+	4	170	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	194
+	171	191
+	3	170	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	188
+	208	190
+	216	190
+	4	217	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	190
+	216	190
+	3	217	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	192
+	216	190
+	208	190
+	4	207	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	190
+	208	190
+	3	207	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	189
+	153	187
+	161	190
+	4	162	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	187
+	161	190
+	3	162	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	190
+	170	192
+	162	189
+	4	161	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	192
+	162	189
+	3	161	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	194
+	188	193
+	196	195
+	4	197	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	193
+	196	195
+	3	197	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	195
+	196	195
+	188	193
+	4	187	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	195
+	188	193
+	3	187	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	187
+	145	185
+	152	189
+	4	153	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	185
+	152	189
+	3	153	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	189
+	161	190
+	153	187
+	4	152	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	190
+	153	187
+	3	152	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	80
+	152	51
+	144	69
+	4	142	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	51
+	144	69
+	3	142	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	51
+	142	80
+	150	66
+	4	152	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	80
+	150	66
+	3	152	51	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	180
+	219	184
+	227	182
+	4	228	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	184
+	227	182
+	3	228	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	186
+	227	182
+	219	184
+	4	218	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	182
+	219	184
+	3	218	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	193
+	197	194
+	205	195
+	4	206	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	194
+	205	195
+	3	206	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	195
+	205	195
+	197	194
+	4	196	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	195
+	197	194
+	3	196	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	192
+	161	190
+	169	194
+	4	170	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	190
+	169	194
+	3	170	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	194
+	170	192
+	177	195
+	4	178	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	192
+	177	195
+	3	178	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	194
+	177	195
+	170	192
+	4	169	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	195
+	170	192
+	3	169	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	195
+	178	194
+	186	196
+	4	187	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	194
+	186	196
+	3	187	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	195
+	186	196
+	178	194
+	4	177	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	196
+	178	194
+	3	177	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	190
+	207	192
+	215	192
+	4	216	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	192
+	215	192
+	3	216	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	193
+	215	192
+	207	192
+	4	206	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	192
+	207	192
+	3	206	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	190
+	152	189
+	160	192
+	4	161	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	189
+	160	192
+	3	161	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	192
+	169	194
+	161	190
+	4	160	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	194
+	161	190
+	3	160	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	87
+	157	80
+	164	96
+	4	165	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	80
+	164	96
+	3	165	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	91
+	164	96
+	157	80
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	96
+	157	80
+	3	155	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	195
+	187	195
+	195	197
+	4	196	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	195
+	195	197
+	3	196	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	196
+	195	197
+	187	195
+	4	186	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	197
+	187	195
+	3	186	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	182
+	218	186
+	226	185
+	4	227	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	186
+	226	185
+	3	227	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	188
+	226	185
+	218	186
+	4	217	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	185
+	218	186
+	3	217	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	88
+	157	80
+	149	78
+	4	148	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	80
+	149	78
+	3	148	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	80
+	148	88
+	155	91
+	4	157	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	88
+	155	91
+	3	157	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	195
+	196	195
+	204	197
+	4	205	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	195
+	204	197
+	3	205	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	197
+	204	197
+	196	195
+	4	195	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	197
+	196	195
+	3	195	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	194
+	160	192
+	168	195
+	4	169	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	192
+	168	195
+	3	169	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	195
+	169	194
+	176	197
+	4	177	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	194
+	176	197
+	3	177	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	195
+	176	197
+	169	194
+	4	168	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	197
+	169	194
+	3	168	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	192
+	206	193
+	214	194
+	4	215	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	193
+	214	194
+	3	215	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	195
+	214	194
+	206	193
+	4	205	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	194
+	206	193
+	3	205	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	185
+	217	188
+	225	187
+	4	226	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	188
+	225	187
+	3	226	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	190
+	225	187
+	217	188
+	4	216	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	187
+	217	188
+	3	216	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	196
+	177	195
+	185	198
+	4	186	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	195
+	185	198
+	3	186	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	197
+	185	198
+	177	195
+	4	176	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	198
+	177	195
+	3	176	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	197
+	186	196
+	194	198
+	4	195	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	196
+	194	198
+	3	195	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	198
+	194	198
+	186	196
+	4	185	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	198
+	186	196
+	3	185	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	187
+	216	190
+	224	190
+	4	225	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	190
+	224	190
+	3	225	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	192
+	224	190
+	216	190
+	4	215	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	190
+	216	190
+	3	215	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	197
+	195	197
+	203	198
+	4	204	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	197
+	203	198
+	3	204	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	198
+	203	198
+	195	197
+	4	194	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	198
+	195	197
+	3	194	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	197
+	168	195
+	175	198
+	4	176	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	195
+	175	198
+	3	176	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	194
+	205	195
+	213	196
+	4	214	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	195
+	213	196
+	3	214	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	197
+	213	196
+	205	195
+	4	204	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	196
+	205	195
+	3	204	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	170
+	242	163
+	233	167
+	4	232	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	163
+	233	167
+	3	232	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	163
+	232	170
+	241	168
+	4	242	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	170
+	241	168
+	3	242	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	174
+	241	168
+	232	170
+	4	230	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	168
+	232	170
+	3	230	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	233	167
+	243	158
+	234	163
+	4	233	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	158
+	234	163
+	3	233	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	158
+	233	167
+	242	163
+	4	243	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	167
+	242	163
+	3	243	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	198
+	176	197
+	184	199
+	4	185	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	197
+	184	199
+	3	185	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	198
+	184	199
+	176	197
+	4	175	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	199
+	176	197
+	3	175	198	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	241	168
+	230	174
+	239	172
+	4	241	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	174
+	239	172
+	3	241	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	229	177
+	239	172
+	230	174
+	4	229	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	172
+	230	174
+	3	229	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	163
+	245	153
+	235	159
+	4	234	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	153
+	235	159
+	3	234	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	245	153
+	234	163
+	243	158
+	4	245	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	163
+	243	158
+	3	245	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	239	172
+	229	177
+	238	175
+	4	239	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	177
+	238	175
+	3	239	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	228	180
+	238	175
+	229	177
+	4	228	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	175
+	229	177
+	3	228	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	198
+	185	198
+	193	200
+	4	194	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	198
+	193	200
+	3	194	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	199
+	193	200
+	185	198
+	4	184	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	200
+	185	198
+	3	184	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	159
+	246	147
+	236	155
+	4	235	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	147
+	236	155
+	3	235	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	246	147
+	235	159
+	245	153
+	4	246	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	159
+	245	153
+	3	246	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	190
+	215	192
+	223	192
+	4	224	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	192
+	223	192
+	3	224	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	194
+	223	192
+	215	192
+	4	214	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	192
+	215	192
+	3	214	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	238	175
+	228	180
+	237	179
+	4	238	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	180
+	237	179
+	3	238	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	227	182
+	237	179
+	228	180
+	4	227	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	179
+	228	180
+	3	227	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	69
+	153	34
+	145	56
+	4	144	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	34
+	145	56
+	3	144	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	34
+	144	69
+	152	51
+	4	153	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	69
+	152	51
+	3	153	34	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	196
+	204	197
+	212	198
+	4	213	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	197
+	212	198
+	3	213	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	198
+	212	198
+	204	197
+	4	203	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	198
+	204	197
+	3	203	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	198
+	194	198
+	202	200
+	4	203	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	198
+	202	200
+	3	203	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	200
+	202	200
+	194	198
+	4	193	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	200
+	194	198
+	3	193	200	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	237	179
+	227	182
+	236	182
+	4	237	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	182
+	236	182
+	3	237	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	185
+	236	182
+	227	182
+	4	226	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	182
+	227	182
+	3	226	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	75
+	158	68
+	165	87
+	4	167	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	68
+	165	87
+	3	167	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	80
+	165	87
+	158	68
+	4	157	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	87
+	158	68
+	3	157	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	236	155
+	248	140
+	238	150
+	4	236	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	140
+	238	150
+	3	236	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	140
+	236	155
+	246	147
+	4	248	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	155
+	246	147
+	3	248	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	199
+	175	198
+	183	201
+	4	184	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	198
+	183	201
+	3	184	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	192
+	214	194
+	222	195
+	4	223	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	194
+	222	195
+	3	223	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	196
+	222	195
+	214	194
+	4	213	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	195
+	214	194
+	3	213	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	200
+	184	199
+	192	202
+	4	193	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	199
+	192	202
+	3	193	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	201
+	192	202
+	184	199
+	4	183	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	184	199
+	3	183	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	236	182
+	226	185
+	235	185
+	4	236	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	185
+	235	185
+	3	236	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	187
+	235	185
+	226	185
+	4	225	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	185
+	226	185
+	3	225	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	150
+	250	133
+	239	144
+	4	238	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	133
+	239	144
+	3	238	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	133
+	238	150
+	248	140
+	4	250	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	150
+	248	140
+	3	250	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	198
+	203	198
+	211	200
+	4	212	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	198
+	211	200
+	3	212	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	200
+	211	200
+	203	198
+	4	202	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	200
+	203	198
+	3	202	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	185
+	225	187
+	234	188
+	4	235	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	187
+	234	188
+	3	235	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	190
+	234	188
+	225	187
+	4	224	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	188
+	225	187
+	3	224	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	78
+	158	68
+	150	66
+	4	149	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	68
+	150	66
+	3	149	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	68
+	149	78
+	157	80
+	4	158	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	78
+	157	80
+	3	158	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	200
+	193	200
+	201	202
+	4	202	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	200
+	201	202
+	3	202	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	202
+	201	202
+	193	200
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	202
+	193	200
+	3	192	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	195
+	213	196
+	221	197
+	4	222	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	196
+	221	197
+	3	222	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	198
+	221	197
+	213	196
+	4	212	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	197
+	213	196
+	3	212	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	202
+	183	201
+	191	203
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	201
+	191	203
+	3	192	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	188
+	224	190
+	233	191
+	4	234	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	190
+	233	191
+	3	234	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	192
+	233	191
+	224	190
+	4	223	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	191
+	224	190
+	3	223	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	200
+	202	200
+	210	202
+	4	211	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	200
+	210	202
+	3	211	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	202
+	210	202
+	202	200
+	4	201	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	202
+	202	200
+	3	201	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	144
+	252	124
+	241	138
+	4	239	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	124
+	241	138
+	3	239	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	124
+	239	144
+	250	133
+	4	252	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	144
+	250	133
+	3	252	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	202
+	192	202
+	200	204
+	4	201	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	200	204
+	3	201	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	203
+	200	204
+	192	202
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	204
+	192	202
+	3	191	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	197
+	212	198
+	220	199
+	4	221	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	198
+	220	199
+	3	221	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	200
+	220	199
+	212	198
+	4	211	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	199
+	212	198
+	3	211	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	191
+	223	192
+	232	193
+	4	233	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	192
+	232	193
+	3	233	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	195
+	232	193
+	223	192
+	4	222	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	193
+	223	192
+	3	222	195	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	238	175
+	248	173
+	239	172
+	4	238	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	173
+	239	172
+	3	238	175	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	248	173
+	238	175
+	246	177
+	4	248	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	175
+	246	177
+	3	248	173	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	237	179
+	246	177
+	238	175
+	4	237	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	177
+	238	175
+	3	237	179	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	246	177
+	237	179
+	245	180
+	4	246	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	179
+	245	180
+	3	246	177	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	236	182
+	245	180
+	237	179
+	4	236	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	180
+	237	179
+	3	236	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	202
+	201	202
+	209	204
+	4	210	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	202
+	209	204
+	3	210	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	204
+	209	204
+	201	202
+	4	200	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	204
+	201	202
+	3	200	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	193
+	222	195
+	231	196
+	4	232	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	195
+	231	196
+	3	232	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	197
+	231	196
+	222	195
+	4	221	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	196
+	222	195
+	3	221	197	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	239	172
+	249	168
+	241	168
+	4	239	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	168
+	241	168
+	3	239	172	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	249	168
+	239	172
+	248	173
+	4	249	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	172
+	248	173
+	3	249	168	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	245	180
+	236	182
+	244	184
+	4	245	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	182
+	244	184
+	3	245	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	235	185
+	244	184
+	236	182
+	4	235	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	184
+	236	182
+	3	235	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	199
+	211	200
+	219	201
+	4	220	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	200
+	219	201
+	3	220	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	202
+	219	201
+	211	200
+	4	210	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	201
+	211	200
+	3	210	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	204
+	191	203
+	199	205
+	4	200	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	199	205
+	3	200	204	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	244	184
+	235	185
+	243	187
+	4	244	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	185
+	243	187
+	3	244	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	188
+	243	187
+	235	185
+	4	234	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	187
+	235	185
+	3	234	188	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	241	168
+	250	163
+	242	163
+	4	241	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	163
+	242	163
+	3	241	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	250	163
+	241	168
+	249	168
+	4	250	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	168
+	249	168
+	3	250	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	138
+	254	114
+	243	131
+	4	241	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	114
+	243	131
+	3	241	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	114
+	241	138
+	252	124
+	4	254	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	138
+	252	124
+	3	254	114	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	243	187
+	234	188
+	242	190
+	4	243	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	188
+	242	190
+	3	243	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	233	191
+	242	190
+	234	188
+	4	233	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	190
+	234	188
+	3	233	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	196
+	221	197
+	230	198
+	4	231	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	197
+	230	198
+	3	231	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	199
+	230	198
+	221	197
+	4	220	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	198
+	221	197
+	3	220	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	62
+	160	53
+	167	75
+	4	168	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	53
+	167	75
+	3	168	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	68
+	167	75
+	160	53
+	4	158	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	75
+	160	53
+	3	158	68	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	242	163
+	252	158
+	243	158
+	4	242	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	158
+	243	158
+	3	242	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	252	158
+	242	163
+	250	163
+	4	252	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	163
+	250	163
+	3	252	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	204
+	200	204
+	208	205
+	4	209	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	204
+	208	205
+	3	209	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	205
+	208	205
+	200	204
+	4	199	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	205
+	200	204
+	3	199	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	201
+	210	202
+	218	203
+	4	219	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	202
+	218	203
+	3	219	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	204
+	218	203
+	210	202
+	4	209	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	203
+	210	202
+	3	209	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	190
+	233	191
+	241	193
+	4	242	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	191
+	241	193
+	3	242	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	193
+	241	193
+	233	191
+	4	232	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	193
+	233	191
+	3	232	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	198
+	220	199
+	229	201
+	4	230	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	199
+	229	201
+	3	230	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	201
+	229	201
+	220	199
+	4	219	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	201
+	220	199
+	3	219	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	158
+	253	152
+	245	153
+	4	243	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	152
+	245	153
+	3	243	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	253	152
+	243	158
+	252	158
+	4	253	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	158
+	252	158
+	3	253	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	193
+	232	193
+	240	195
+	4	241	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	193
+	240	195
+	3	241	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	196
+	240	195
+	232	193
+	4	231	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	195
+	232	193
+	3	231	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	203
+	209	204
+	217	205
+	4	218	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	204
+	217	205
+	3	218	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	205
+	217	205
+	209	204
+	4	208	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	205
+	209	204
+	3	208	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	205
+	199	205
+	207	207
+	4	208	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	205
+	207	207
+	3	208	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	195
+	231	196
+	239	198
+	4	240	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	196
+	239	198
+	3	240	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	198
+	239	198
+	231	196
+	4	230	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	198
+	231	196
+	3	230	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	131
+	257	102
+	244	123
+	4	243	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	102
+	244	123
+	3	243	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	102
+	243	131
+	254	114
+	4	257	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	131
+	254	114
+	3	257	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	201
+	219	201
+	228	203
+	4	229	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	201
+	228	203
+	3	229	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	203
+	228	203
+	219	201
+	4	218	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	203
+	219	201
+	3	218	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	66
+	160	53
+	152	51
+	4	150	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	53
+	152	51
+	3	150	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	53
+	150	66
+	158	68
+	4	160	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	66
+	158	68
+	3	160	53	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	245	153
+	255	146
+	246	147
+	4	245	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	146
+	246	147
+	3	245	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	255	146
+	245	153
+	253	152
+	4	255	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	153
+	253	152
+	3	255	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	239	198
+	230	198
+	238	201
+	4	239	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	198
+	238	201
+	3	239	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	201
+	238	201
+	230	198
+	4	229	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	201
+	230	198
+	3	229	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	205
+	208	205
+	216	207
+	4	217	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	205
+	216	207
+	3	217	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	207
+	216	207
+	208	205
+	4	207	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	207
+	208	205
+	3	207	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	228	203
+	218	203
+	227	205
+	4	228	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	203
+	227	205
+	3	228	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	205
+	227	205
+	218	203
+	4	217	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	205
+	218	203
+	3	217	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	238	201
+	229	201
+	237	203
+	4	238	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	201
+	237	203
+	3	238	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	203
+	237	203
+	229	201
+	4	228	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	203
+	229	201
+	3	228	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	207
+	207	207
+	215	209
+	4	216	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	207
+	215	209
+	3	216	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	205
+	217	205
+	226	207
+	4	227	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	205
+	226	207
+	3	227	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	207
+	226	207
+	217	205
+	4	216	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	207
+	217	205
+	3	216	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	246	147
+	257	138
+	248	140
+	4	246	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	138
+	248	140
+	3	246	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	138
+	246	147
+	255	146
+	4	257	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	147
+	255	146
+	3	257	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	237	203
+	228	203
+	236	205
+	4	237	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	203
+	236	205
+	3	237	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	205
+	236	205
+	228	203
+	4	227	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	205
+	228	203
+	3	227	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	123
+	259	89
+	246	114
+	4	244	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	89
+	246	114
+	3	244	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	89
+	244	123
+	257	102
+	4	259	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	123
+	257	102
+	3	259	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	207
+	216	207
+	225	210
+	4	226	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	207
+	225	210
+	3	226	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	209
+	225	210
+	216	207
+	4	215	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	210
+	216	207
+	3	215	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	205
+	227	205
+	235	208
+	4	236	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	205
+	235	208
+	3	236	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	207
+	235	208
+	227	205
+	4	226	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	208
+	227	205
+	3	226	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	53
+	168	62
+	161	36
+	4	160	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	62
+	161	36
+	3	160	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	210
+	215	209
+	224	212
+	4	225	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	209
+	224	212
+	3	225	210	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	248	140
+	259	130
+	250	133
+	4	248	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	130
+	250	133
+	3	248	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	130
+	248	140
+	257	138
+	4	259	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	140
+	257	138
+	3	259	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	208
+	226	207
+	234	210
+	4	235	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	207
+	234	210
+	3	235	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	210
+	234	210
+	226	207
+	4	225	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	210
+	226	207
+	3	225	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	210
+	225	210
+	233	212
+	4	234	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	210
+	233	212
+	3	234	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	212
+	233	212
+	225	210
+	4	224	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	212
+	225	210
+	3	224	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	114
+	263	73
+	249	104
+	4	246	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	73
+	249	104
+	3	246	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	263	73
+	246	114
+	259	89
+	4	263	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	114
+	259	89
+	3	263	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	212
+	224	212
+	232	214
+	4	233	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	212
+	232	214
+	3	233	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	51
+	161	36
+	153	34
+	4	152	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	36
+	153	34
+	3	152	51	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	36
+	152	51
+	160	53
+	4	161	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	51
+	160	53
+	3	161	36	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	133
+	261	120
+	252	124
+	4	250	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	120
+	252	124
+	3	250	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	120
+	250	133
+	259	130
+	4	261	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	133
+	259	130
+	3	261	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	124
+	264	109
+	254	114
+	4	252	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	109
+	254	114
+	3	252	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	109
+	252	124
+	261	120
+	4	264	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	124
+	261	120
+	3	264	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	254	114
+	267	96
+	257	102
+	4	254	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	96
+	257	102
+	3	254	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	267	96
+	254	114
+	264	109
+	4	267	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	114
+	264	109
+	3	267	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	257	102
+	270	81
+	259	89
+	4	257	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	81
+	259	89
+	3	257	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	81
+	257	102
+	267	96
+	4	270	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	102
+	267	96
+	3	270	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	89
+	274	63
+	263	73
+	4	259	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	63
+	263	73
+	3	259	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	274	63
+	259	89
+	270	81
+	4	274	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	89
+	270	81
+	3	274	63	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/compgamm.ps b/books/ps/compgamm.ps
new file mode 100644
index 0000000..da2b450
--- /dev/null
+++ b/books/ps/compgamm.ps
@@ -0,0 +1,18791 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	37	224	239	81	psDrawLine
+	globGC	(X)	32	229	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	262	224	60	81	psDrawLine
+	globGC	(Y)	267	229	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	24	149	229	psDrawLine
+	globGC	(Z)	154	19	psDrawStr
+	globalGC1	109.000000	setForeground
+	globGC	109.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	194	18
+	193	114
+	185	190
+	4	194	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	114
+	185	190
+	3	194	18	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	148
+	185	190
+	193	114
+	4	193	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	190
+	193	114
+	3	193	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	190
+	193	148
+	188	177
+	4	185	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	148
+	188	177
+	3	185	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	190
+	189	56
+	194	18
+	4	185	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	56
+	194	18
+	3	185	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	56
+	185	190
+	188	111
+	4	189	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	190
+	188	111
+	3	189	56	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	177
+	188	111
+	185	190
+	4	188	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	111
+	185	190
+	3	188	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	140
+	188	177
+	193	148
+	4	196	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	177
+	193	148
+	3	196	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	177
+	196	140
+	193	145
+	4	188	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	140
+	193	145
+	3	188	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	111
+	188	177
+	188	144
+	4	188	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	177
+	188	144
+	3	188	111	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	193	145
+	188	144
+	188	177
+	4	193	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	144
+	188	177
+	3	193	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	206
+	166	206
+	163	204
+	4	161	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	206
+	163	204
+	3	161	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	30
+	163	204
+	166	206
+	4	174	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	204
+	166	206
+	3	174	30	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	204
+	174	30
+	168	129
+	4	163	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	30
+	168	129
+	3	163	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	204
+	159	181
+	161	206
+	4	163	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	181
+	161	206
+	3	163	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	181
+	163	204
+	162	169
+	4	159	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	204
+	162	169
+	3	159	181	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	129
+	162	169
+	163	204
+	4	168	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	169
+	163	204
+	3	168	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	207
+	168	207
+	166	206
+	4	163	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	207
+	166	206
+	3	163	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	132
+	166	206
+	168	207
+	4	173	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	206
+	168	207
+	3	173	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	206
+	173	132
+	174	30
+	4	166	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	132
+	174	30
+	3	166	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	199
+	163	207
+	161	206
+	4	159	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	207
+	161	206
+	3	159	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	206
+	161	206
+	163	207
+	4	166	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	206
+	163	207
+	3	166	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	206
+	157	184
+	159	199
+	4	161	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	184
+	159	199
+	3	161	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	184
+	161	206
+	159	181
+	4	157	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	206
+	159	181
+	3	157	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	209
+	172	176
+	168	207
+	4	166	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	176
+	168	207
+	3	166	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	139
+	168	207
+	172	176
+	4	176	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	207
+	172	176
+	3	176	139	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	168	207
+	176	139
+	173	132
+	4	168	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	139
+	173	132
+	3	168	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	206
+	166	209
+	163	207
+	4	161	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	209
+	163	207
+	3	161	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	207
+	163	207
+	166	209
+	4	168	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	207
+	166	209
+	3	168	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	207
+	159	199
+	161	206
+	4	163	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	199
+	161	206
+	3	163	207	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	164	202
+	169	189
+	166	209
+	4	164	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	189
+	166	209
+	3	164	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	176
+	166	209
+	169	189
+	4	172	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	209
+	169	189
+	3	172	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	209
+	161	206
+	164	202
+	4	166	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	206
+	164	202
+	3	166	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	63
+	152	63
+	149	62
+	4	147	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	63
+	149	62
+	3	147	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	65
+	154	65
+	152	63
+	4	149	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	65
+	152	63
+	3	149	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	63
+	147	63
+	149	65
+	4	152	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	63
+	149	65
+	3	152	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	65
+	149	65
+	147	63
+	4	145	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	65
+	147	63
+	3	145	65	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	215
+	154	215
+	152	213
+	4	149	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	215
+	152	213
+	3	149	215	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	157	210
+	152	213
+	154	215
+	4	157	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	213
+	154	215
+	3	157	210	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	213
+	157	210
+	154	202
+	4	152	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	210
+	154	202
+	3	152	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	213
+	147	182
+	149	215
+	4	152	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	182
+	149	215
+	3	152	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	182
+	152	213
+	149	190
+	4	147	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	213
+	149	190
+	3	147	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	202
+	149	190
+	152	213
+	4	154	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	190
+	152	213
+	3	154	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	66
+	157	66
+	154	65
+	4	152	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	66
+	154	65
+	3	152	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	65
+	149	65
+	152	66
+	4	154	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	65
+	152	66
+	3	154	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	66
+	152	66
+	149	65
+	4	147	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	66
+	149	65
+	3	147	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	65
+	145	65
+	147	66
+	4	149	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	65
+	147	66
+	3	149	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	66
+	147	66
+	145	65
+	4	142	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	66
+	145	65
+	3	142	66	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	203
+	164	202
+	161	206
+	4	159	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	202
+	161	206
+	3	159	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	206
+	157	198
+	159	203
+	4	161	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	198
+	159	203
+	3	161	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	157	198
+	161	206
+	159	199
+	4	157	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	206
+	159	199
+	3	157	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	216
+	157	216
+	154	215
+	4	152	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	216
+	154	215
+	3	152	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	206
+	154	215
+	157	216
+	4	159	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	215
+	157	216
+	3	159	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	215
+	159	206
+	157	210
+	4	154	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	206
+	157	210
+	3	154	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	154
+	152	216
+	149	215
+	4	147	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	216
+	149	215
+	3	147	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	215
+	149	215
+	152	216
+	4	154	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	215
+	152	216
+	3	154	215	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	215
+	144	151
+	147	154
+	4	149	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	151
+	147	154
+	3	149	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	151
+	149	215
+	147	182
+	4	144	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	215
+	147	182
+	3	144	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	68
+	159	68
+	157	66
+	4	154	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	68
+	157	66
+	3	154	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	66
+	152	66
+	154	68
+	4	157	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	66
+	154	68
+	3	157	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	68
+	154	68
+	152	66
+	4	149	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	68
+	152	66
+	3	149	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	66
+	147	66
+	149	68
+	4	152	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	66
+	149	68
+	3	152	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	68
+	145	68
+	142	66
+	4	140	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	68
+	142	66
+	3	140	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	66
+	142	66
+	145	68
+	4	147	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	66
+	145	68
+	3	147	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	68
+	149	68
+	147	66
+	4	145	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	68
+	147	66
+	3	145	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	218
+	159	197
+	157	216
+	4	154	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	197
+	157	216
+	3	154	218	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	196
+	157	216
+	159	197
+	4	162	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	216
+	159	197
+	3	162	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	216
+	162	196
+	159	206
+	4	157	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	196
+	159	206
+	3	157	216	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	218
+	154	218
+	152	216
+	4	149	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	218
+	152	216
+	3	149	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	216
+	152	216
+	154	218
+	4	157	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	216
+	154	218
+	3	157	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	216
+	147	154
+	149	218
+	4	152	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	154
+	149	218
+	3	152	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	69
+	161	69
+	159	68
+	4	157	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	69
+	159	68
+	3	157	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	68
+	154	68
+	157	69
+	4	159	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	68
+	157	69
+	3	159	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	69
+	157	69
+	154	68
+	4	152	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	69
+	154	68
+	3	152	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	68
+	149	68
+	152	69
+	4	154	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	68
+	152	69
+	3	154	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	69
+	142	69
+	140	68
+	4	138	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	69
+	140	68
+	3	138	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	68
+	140	68
+	142	69
+	4	145	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	68
+	142	69
+	3	145	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	69
+	152	69
+	149	68
+	4	147	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	69
+	149	68
+	3	147	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	68
+	145	68
+	147	69
+	4	149	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	68
+	147	69
+	3	149	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	69
+	147	69
+	145	68
+	4	142	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	69
+	145	68
+	3	142	69	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	201
+	157	210
+	159	206
+	4	161	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	210
+	159	206
+	3	161	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	210
+	161	201
+	159	203
+	4	157	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	201
+	159	203
+	3	157	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	203
+	154	202
+	157	210
+	4	159	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	202
+	157	210
+	3	159	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	199
+	154	186
+	157	198
+	4	159	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	186
+	157	198
+	3	159	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	186
+	159	199
+	157	184
+	4	154	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	199
+	157	184
+	3	154	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	157
+	157	190
+	154	218
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	190
+	154	218
+	3	152	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	197
+	154	218
+	157	190
+	4	159	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	218
+	157	190
+	3	159	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	46
+	152	157
+	149	218
+	4	146	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	149	218
+	3	146	46	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	218
+	149	218
+	152	157
+	4	154	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	218
+	152	157
+	3	154	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	218
+	143	58
+	146	46
+	4	149	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	58
+	146	46
+	3	149	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	58
+	149	218
+	147	154
+	4	143	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	218
+	147	154
+	3	143	58	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	70
+	164	70
+	161	69
+	4	159	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	70
+	161	69
+	3	159	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	69
+	157	69
+	159	70
+	4	161	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	69
+	159	70
+	3	161	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	70
+	159	70
+	157	69
+	4	154	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	70
+	157	69
+	3	154	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	69
+	152	69
+	154	70
+	4	157	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	69
+	154	70
+	3	157	69	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	70
+	140	70
+	138	69
+	4	135	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	70
+	138	69
+	3	135	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	69
+	138	69
+	140	70
+	4	142	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	69
+	140	70
+	3	142	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	70
+	154	70
+	152	69
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	70
+	152	69
+	3	149	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	69
+	147	69
+	149	70
+	4	152	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	69
+	149	70
+	3	152	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	70
+	145	70
+	142	69
+	4	140	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	142	69
+	3	140	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	69
+	142	69
+	145	70
+	4	147	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	69
+	145	70
+	3	147	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	70
+	149	70
+	147	69
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	147	69
+	3	145	70	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	161	72
+	166	72
+	164	70
+	4	161	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	72
+	164	70
+	3	161	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	70
+	159	70
+	161	72
+	4	164	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	70
+	161	72
+	3	164	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	72
+	161	72
+	159	70
+	4	157	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	72
+	159	70
+	3	157	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	70
+	154	70
+	157	72
+	4	159	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	70
+	157	72
+	3	159	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	72
+	138	72
+	135	70
+	4	133	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	72
+	135	70
+	3	133	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	70
+	135	70
+	138	72
+	4	140	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	70
+	138	72
+	3	140	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	72
+	142	72
+	140	70
+	4	138	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	72
+	140	70
+	3	138	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	70
+	140	70
+	142	72
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	70
+	142	72
+	3	145	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	72
+	157	72
+	154	70
+	4	152	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	72
+	154	70
+	3	152	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	70
+	149	70
+	152	72
+	4	154	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	152	72
+	3	154	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	72
+	147	72
+	145	70
+	4	142	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	72
+	145	70
+	3	142	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	70
+	145	70
+	147	72
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	147	72
+	3	149	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	72
+	152	72
+	149	70
+	4	147	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	72
+	149	70
+	3	147	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	202
+	159	203
+	161	201
+	4	164	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	203
+	161	201
+	3	164	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	202
+	159	203
+	157	198
+	4	154	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	203
+	157	198
+	3	154	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	190
+	154	202
+	152	188
+	4	149	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	202
+	152	188
+	3	149	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	198
+	152	188
+	154	202
+	4	157	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	188
+	154	202
+	3	157	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	201
+	166	192
+	164	202
+	4	161	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	192
+	164	202
+	3	161	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	189
+	164	202
+	166	192
+	4	169	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	202
+	166	192
+	3	169	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	73
+	168	73
+	166	72
+	4	164	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	73
+	166	72
+	3	164	73	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	72
+	161	72
+	164	73
+	4	166	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	72
+	164	73
+	3	166	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	73
+	164	73
+	161	72
+	4	159	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	73
+	161	72
+	3	159	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	72
+	157	72
+	159	73
+	4	161	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	72
+	159	73
+	3	161	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	73
+	135	73
+	133	72
+	4	131	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	73
+	133	72
+	3	131	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	72
+	133	72
+	135	73
+	4	138	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	72
+	135	73
+	3	138	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	73
+	140	73
+	138	72
+	4	135	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	73
+	138	72
+	3	135	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	72
+	138	72
+	140	73
+	4	142	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	72
+	140	73
+	3	142	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	73
+	159	73
+	157	72
+	4	154	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	73
+	157	72
+	3	154	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	72
+	152	72
+	154	73
+	4	157	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	72
+	154	73
+	3	157	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	73
+	145	73
+	142	72
+	4	140	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	73
+	142	72
+	3	140	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	72
+	142	72
+	145	73
+	4	147	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	72
+	145	73
+	3	147	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	73
+	154	73
+	152	72
+	4	149	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	73
+	152	72
+	3	149	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	72
+	147	72
+	149	73
+	4	152	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	72
+	149	73
+	3	152	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	73
+	149	73
+	147	72
+	4	145	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	73
+	147	72
+	3	145	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	126
+	208	123
+	204	139
+	4	203	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	123
+	204	139
+	3	203	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	104
+	204	139
+	208	123
+	4	212	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	139
+	208	123
+	3	212	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	139
+	212	104
+	218	4
+	4	204	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	104
+	218	4
+	3	204	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	139
+	200	121
+	203	126
+	4	204	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	121
+	203	126
+	3	204	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	121
+	204	139
+	203	120
+	4	200	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	139
+	203	120
+	3	200	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	4
+	203	120
+	204	139
+	4	218	4	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	204	139
+	3	218	4	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	188
+	157	198
+	154	186
+	4	152	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	198
+	154	186
+	3	152	188	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	75
+	171	75
+	168	73
+	4	166	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	75
+	168	73
+	3	166	75	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	73
+	164	73
+	166	75
+	4	168	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	73
+	166	75
+	3	168	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	75
+	166	75
+	164	73
+	4	161	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	75
+	164	73
+	3	161	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	73
+	159	73
+	161	75
+	4	164	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	73
+	161	75
+	3	164	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	75
+	133	75
+	131	73
+	4	128	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	75
+	131	73
+	3	128	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	73
+	131	73
+	133	75
+	4	135	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	73
+	133	75
+	3	135	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	75
+	138	75
+	135	73
+	4	133	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	75
+	135	73
+	3	133	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	73
+	135	73
+	138	75
+	4	140	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	73
+	138	75
+	3	140	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	75
+	161	75
+	159	73
+	4	157	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	75
+	159	73
+	3	157	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	73
+	154	73
+	157	75
+	4	159	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	73
+	157	75
+	3	159	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	75
+	142	75
+	140	73
+	4	138	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	75
+	140	73
+	3	138	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	73
+	140	73
+	142	75
+	4	145	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	73
+	142	75
+	3	145	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	75
+	157	75
+	154	73
+	4	152	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	75
+	154	73
+	3	152	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	73
+	149	73
+	152	75
+	4	154	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	73
+	152	75
+	3	154	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	75
+	147	75
+	145	73
+	4	142	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	75
+	145	73
+	3	142	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	73
+	145	73
+	147	75
+	4	149	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	73
+	147	75
+	3	149	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	75
+	152	75
+	149	73
+	4	147	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	75
+	149	73
+	3	147	75	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	193
+	159	206
+	162	196
+	4	164	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	206
+	162	196
+	3	164	193	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	206
+	164	193
+	161	201
+	4	159	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	193
+	161	201
+	3	159	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	76
+	173	76
+	171	75
+	4	169	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	76
+	171	75
+	3	169	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	75
+	166	75
+	169	76
+	4	171	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	75
+	169	76
+	3	171	75	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	76
+	169	76
+	166	75
+	4	164	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	76
+	166	75
+	3	164	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	75
+	161	75
+	164	76
+	4	166	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	75
+	164	76
+	3	166	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	76
+	130	76
+	128	75
+	4	126	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	76
+	128	75
+	3	126	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	75
+	128	75
+	130	76
+	4	133	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	75
+	130	76
+	3	133	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	76
+	135	76
+	133	75
+	4	130	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	76
+	133	75
+	3	130	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	75
+	133	75
+	135	76
+	4	138	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	75
+	135	76
+	3	138	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	76
+	164	76
+	161	75
+	4	159	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	76
+	161	75
+	3	159	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	75
+	157	75
+	159	76
+	4	161	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	75
+	159	76
+	3	161	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	76
+	140	76
+	138	75
+	4	135	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	76
+	138	75
+	3	135	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	75
+	138	75
+	140	76
+	4	142	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	75
+	140	76
+	3	142	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	76
+	159	76
+	157	75
+	4	154	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	76
+	157	75
+	3	154	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	75
+	152	75
+	154	76
+	4	157	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	75
+	154	76
+	3	157	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	76
+	145	76
+	142	75
+	4	140	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	76
+	142	75
+	3	140	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	75
+	142	75
+	145	76
+	4	147	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	75
+	145	76
+	3	147	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	76
+	149	76
+	147	75
+	4	145	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	147	75
+	3	145	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	75
+	147	75
+	149	76
+	4	152	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	75
+	149	76
+	3	152	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	154	76
+	152	75
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	76
+	152	75
+	3	149	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	192
+	161	201
+	164	193
+	4	166	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	201
+	164	193
+	3	166	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	78
+	176	78
+	173	76
+	4	171	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	78
+	173	76
+	3	171	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	76
+	169	76
+	171	78
+	4	173	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	76
+	171	78
+	3	173	76	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	78
+	171	78
+	169	76
+	4	166	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	78
+	169	76
+	3	166	78	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	76
+	164	76
+	166	78
+	4	169	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	76
+	166	78
+	3	169	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	78
+	128	78
+	126	76
+	4	123	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	78
+	126	76
+	3	123	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	76
+	126	76
+	128	78
+	4	130	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	76
+	128	78
+	3	130	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	78
+	166	78
+	164	76
+	4	161	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	78
+	164	76
+	3	161	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	76
+	159	76
+	161	78
+	4	164	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	76
+	161	78
+	3	164	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	78
+	133	78
+	130	76
+	4	128	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	78
+	130	76
+	3	128	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	76
+	130	76
+	133	78
+	4	135	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	76
+	133	78
+	3	135	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	78
+	138	78
+	135	76
+	4	133	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	78
+	135	76
+	3	133	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	76
+	135	76
+	138	78
+	4	140	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	76
+	138	78
+	3	140	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	78
+	142	78
+	140	76
+	4	138	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	78
+	140	76
+	3	138	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	76
+	140	76
+	142	78
+	4	145	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	76
+	142	78
+	3	145	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	78
+	161	78
+	159	76
+	4	157	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	78
+	159	76
+	3	157	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	76
+	154	76
+	157	78
+	4	159	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	76
+	157	78
+	3	159	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	78
+	147	78
+	145	76
+	4	142	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	78
+	145	76
+	3	142	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	145	76
+	147	78
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	76
+	147	78
+	3	149	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	78
+	157	78
+	154	76
+	4	152	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	78
+	154	76
+	3	152	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	76
+	149	76
+	152	78
+	4	154	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	152	78
+	3	154	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	78
+	152	78
+	149	76
+	4	147	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	78
+	149	76
+	3	147	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	79
+	178	80
+	176	78
+	4	173	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	80
+	176	78
+	3	173	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	78
+	171	78
+	173	79
+	4	176	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	78
+	173	79
+	3	176	78	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	79
+	173	79
+	171	78
+	4	169	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	79
+	171	78
+	3	169	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	78
+	166	78
+	169	79
+	4	171	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	78
+	169	79
+	3	171	78	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	79
+	126	79
+	123	78
+	4	121	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	79
+	123	78
+	3	121	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	78
+	123	78
+	126	79
+	4	128	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	78
+	126	79
+	3	128	78	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	79
+	169	79
+	166	78
+	4	164	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	79
+	166	78
+	3	164	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	78
+	161	78
+	164	79
+	4	166	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	78
+	164	79
+	3	166	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	79
+	130	79
+	128	78
+	4	126	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	79
+	128	78
+	3	126	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	78
+	128	78
+	130	79
+	4	133	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	78
+	130	79
+	3	133	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	79
+	135	79
+	133	78
+	4	130	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	79
+	133	78
+	3	130	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	78
+	133	78
+	135	79
+	4	138	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	78
+	135	79
+	3	138	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	79
+	140	79
+	138	78
+	4	135	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	138	78
+	3	135	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	78
+	138	78
+	140	79
+	4	142	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	78
+	140	79
+	3	142	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	79
+	164	79
+	161	78
+	4	159	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	79
+	161	78
+	3	159	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	78
+	157	78
+	159	79
+	4	161	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	78
+	159	79
+	3	161	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	79
+	145	79
+	142	78
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	79
+	142	78
+	3	140	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	78
+	142	78
+	145	79
+	4	147	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	78
+	145	79
+	3	147	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	79
+	159	79
+	157	78
+	4	154	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	79
+	157	78
+	3	154	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	78
+	152	78
+	154	79
+	4	157	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	78
+	154	79
+	3	157	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	79
+	149	79
+	147	78
+	4	145	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	79
+	147	78
+	3	145	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	78
+	147	78
+	149	79
+	4	152	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	78
+	149	79
+	3	152	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	79
+	154	79
+	152	78
+	4	149	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	79
+	152	78
+	3	149	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	181
+	154	170
+	157	184
+	4	159	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	170
+	157	184
+	3	159	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	170
+	159	181
+	157	163
+	4	154	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	181
+	157	163
+	3	154	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	169
+	157	163
+	159	181
+	4	162	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	163
+	159	181
+	3	162	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	81
+	181	81
+	178	80
+	4	176	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	81
+	178	80
+	3	176	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	80
+	173	79
+	176	81
+	4	178	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	79
+	176	81
+	3	178	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	81
+	176	81
+	173	79
+	4	171	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	81
+	173	79
+	3	171	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	79
+	169	79
+	171	81
+	4	173	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	79
+	171	81
+	3	173	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	81
+	171	81
+	169	79
+	4	166	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	81
+	169	79
+	3	166	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	79
+	164	79
+	166	81
+	4	169	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	79
+	166	81
+	3	169	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	184
+	152	173
+	154	186
+	4	157	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	173
+	154	186
+	3	157	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	173
+	157	184
+	154	170
+	4	152	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	184
+	154	170
+	3	152	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	81
+	123	81
+	121	79
+	4	118	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	81
+	121	79
+	3	118	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	79
+	121	79
+	123	81
+	4	126	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	79
+	123	81
+	3	126	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	81
+	128	81
+	126	79
+	4	123	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	81
+	126	79
+	3	123	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	79
+	126	79
+	128	81
+	4	130	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	79
+	128	81
+	3	130	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	81
+	133	81
+	130	79
+	4	128	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	81
+	130	79
+	3	128	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	79
+	130	79
+	133	81
+	4	135	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	79
+	133	81
+	3	135	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	81
+	138	81
+	135	79
+	4	133	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	81
+	135	79
+	3	133	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	79
+	135	79
+	138	81
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	79
+	138	81
+	3	140	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	81
+	166	81
+	164	79
+	4	161	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	81
+	164	79
+	3	161	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	79
+	159	79
+	161	81
+	4	164	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	79
+	161	81
+	3	164	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	81
+	142	81
+	140	79
+	4	138	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	81
+	140	79
+	3	138	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	79
+	140	79
+	142	81
+	4	145	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	142	81
+	3	145	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	81
+	161	81
+	159	79
+	4	157	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	81
+	159	79
+	3	157	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	79
+	154	79
+	157	81
+	4	159	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	79
+	157	81
+	3	159	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	81
+	147	81
+	145	79
+	4	142	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	81
+	145	79
+	3	142	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	79
+	145	79
+	147	81
+	4	149	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	79
+	147	81
+	3	149	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	81
+	152	81
+	149	79
+	4	147	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	81
+	149	79
+	3	147	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	79
+	149	79
+	152	81
+	4	154	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	79
+	152	81
+	3	154	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	81
+	157	81
+	154	79
+	4	152	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	81
+	154	79
+	3	152	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	83
+	183	83
+	181	81
+	4	178	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	83
+	181	81
+	3	178	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	81
+	176	81
+	178	83
+	4	181	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	81
+	178	83
+	3	181	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	83
+	178	83
+	176	81
+	4	174	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	83
+	176	81
+	3	174	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	81
+	171	81
+	174	83
+	4	176	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	81
+	174	83
+	3	176	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	82
+	174	83
+	171	81
+	4	169	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	83
+	171	81
+	3	169	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	81
+	166	81
+	169	82
+	4	171	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	81
+	169	82
+	3	171	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	82
+	121	82
+	118	81
+	4	116	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	82
+	118	81
+	3	116	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	81
+	118	81
+	121	82
+	4	123	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	81
+	121	82
+	3	123	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	82
+	125	82
+	123	81
+	4	121	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	82
+	123	81
+	3	121	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	81
+	123	81
+	125	82
+	4	128	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	81
+	125	82
+	3	128	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	82
+	130	82
+	128	81
+	4	125	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	82
+	128	81
+	3	125	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	81
+	128	81
+	130	82
+	4	133	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	81
+	130	82
+	3	133	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	82
+	169	82
+	166	81
+	4	164	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	82
+	166	81
+	3	164	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	81
+	161	81
+	164	82
+	4	166	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	81
+	164	82
+	3	166	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	82
+	135	82
+	133	81
+	4	130	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	82
+	133	81
+	3	130	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	81
+	133	81
+	135	82
+	4	138	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	81
+	135	82
+	3	138	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	82
+	140	82
+	138	81
+	4	135	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	82
+	138	81
+	3	135	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	81
+	138	81
+	140	82
+	4	142	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	81
+	140	82
+	3	142	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	82
+	145	82
+	142	81
+	4	140	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	82
+	142	81
+	3	140	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	81
+	142	81
+	145	82
+	4	147	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	81
+	145	82
+	3	147	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	82
+	164	82
+	161	81
+	4	159	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	82
+	161	81
+	3	159	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	81
+	157	81
+	159	82
+	4	161	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	81
+	159	82
+	3	161	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	82
+	149	82
+	147	81
+	4	145	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	147	81
+	3	145	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	81
+	147	81
+	149	82
+	4	152	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	81
+	149	82
+	3	152	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	82
+	159	82
+	157	81
+	4	154	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	82
+	157	81
+	3	154	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	81
+	152	81
+	154	82
+	4	157	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	81
+	154	82
+	3	157	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	82
+	154	82
+	152	81
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	82
+	152	81
+	3	149	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	186
+	149	174
+	152	188
+	4	154	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	174
+	152	188
+	3	154	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	174
+	154	186
+	152	173
+	4	149	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	186
+	152	173
+	3	149	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	132
+	193	145
+	196	140
+	4	199	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	145
+	196	140
+	3	199	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	145
+	199	132
+	196	133
+	4	193	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	132
+	196	133
+	3	193	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	188	144
+	193	145
+	191	136
+	4	188	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	145
+	191	136
+	3	188	144	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	196	133
+	191	136
+	193	145
+	4	196	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	136
+	193	145
+	3	196	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	144
+	185	104
+	188	111
+	4	188	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	104
+	188	111
+	3	188	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	104
+	188	144
+	187	120
+	4	185	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	144
+	187	120
+	3	185	104	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	191	136
+	187	120
+	188	144
+	4	191	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	120
+	188	144
+	3	191	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	188
+	147	172
+	149	190
+	4	152	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	172
+	149	190
+	3	152	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	172
+	152	188
+	149	174
+	4	147	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	188
+	149	174
+	3	147	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	84
+	186	84
+	183	83
+	4	181	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	84
+	183	83
+	3	181	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	83
+	178	83
+	181	84
+	4	183	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	83
+	181	84
+	3	183	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	84
+	181	84
+	178	83
+	4	176	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	84
+	178	83
+	3	176	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	83
+	174	83
+	176	84
+	4	178	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	83
+	176	84
+	3	178	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	84
+	176	84
+	174	83
+	4	171	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	84
+	174	83
+	3	171	84	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	83
+	169	82
+	171	84
+	4	174	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	82
+	171	84
+	3	174	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	84
+	171	84
+	169	82
+	4	166	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	84
+	169	82
+	3	166	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	82
+	164	82
+	166	84
+	4	169	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	82
+	166	84
+	3	169	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	84
+	123	84
+	121	82
+	4	118	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	84
+	121	82
+	3	118	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	82
+	121	82
+	123	84
+	4	125	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	82
+	123	84
+	3	125	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	82
+	116	82
+	118	84
+	4	121	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	82
+	118	84
+	3	121	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	84
+	118	84
+	116	82
+	4	113	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	84
+	116	82
+	3	113	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	84
+	128	84
+	125	82
+	4	123	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	84
+	125	82
+	3	123	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	82
+	125	82
+	128	84
+	4	130	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	82
+	128	84
+	3	130	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	84
+	133	84
+	130	82
+	4	128	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	84
+	130	82
+	3	128	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	82
+	130	82
+	133	84
+	4	135	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	82
+	133	84
+	3	135	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	84
+	137	84
+	135	82
+	4	133	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	84
+	135	82
+	3	133	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	82
+	135	82
+	137	84
+	4	140	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	82
+	137	84
+	3	140	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	84
+	142	84
+	140	82
+	4	137	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	84
+	140	82
+	3	137	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	82
+	140	82
+	142	84
+	4	145	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	82
+	142	84
+	3	145	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	84
+	166	84
+	164	82
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	84
+	164	82
+	3	162	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	82
+	159	82
+	162	84
+	4	164	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	82
+	162	84
+	3	164	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	84
+	147	84
+	145	82
+	4	142	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	84
+	145	82
+	3	142	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	82
+	145	82
+	147	84
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	82
+	147	84
+	3	149	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	84
+	162	84
+	159	82
+	4	157	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	159	82
+	3	157	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	82
+	154	82
+	157	84
+	4	159	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	82
+	157	84
+	3	159	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	84
+	152	84
+	149	82
+	4	147	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	84
+	149	82
+	3	147	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	82
+	149	82
+	152	84
+	4	154	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	152	84
+	3	154	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	84
+	157	84
+	154	82
+	4	152	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	84
+	154	82
+	3	152	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	86
+	188	86
+	186	84
+	4	183	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	86
+	186	84
+	3	183	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	84
+	181	84
+	183	86
+	4	186	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	84
+	183	86
+	3	186	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	86
+	183	86
+	181	84
+	4	179	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	86
+	181	84
+	3	179	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	84
+	176	84
+	179	86
+	4	181	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	84
+	179	86
+	3	181	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	86
+	179	86
+	176	84
+	4	174	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	86
+	176	84
+	3	174	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	84
+	171	84
+	174	86
+	4	176	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	84
+	174	86
+	3	176	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	190
+	144	164
+	147	182
+	4	149	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	164
+	147	182
+	3	149	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	164
+	149	190
+	147	172
+	4	144	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	190
+	147	172
+	3	144	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	85
+	174	86
+	171	84
+	4	169	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	86
+	171	84
+	3	169	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	84
+	166	84
+	169	85
+	4	171	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	84
+	169	85
+	3	171	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	86
+	120	86
+	118	84
+	4	116	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	86
+	118	84
+	3	116	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	84
+	118	84
+	120	86
+	4	123	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	84
+	120	86
+	3	123	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	84
+	113	84
+	116	86
+	4	118	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	84
+	116	86
+	3	118	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	86
+	125	86
+	123	84
+	4	120	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	86
+	123	84
+	3	120	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	84
+	123	84
+	125	86
+	4	128	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	84
+	125	86
+	3	128	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	86
+	116	86
+	113	84
+	4	111	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	86
+	113	84
+	3	111	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	86
+	130	86
+	128	84
+	4	125	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	86
+	128	84
+	3	125	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	84
+	128	84
+	130	86
+	4	133	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	84
+	130	86
+	3	133	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	86
+	135	85
+	133	84
+	4	130	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	133	84
+	3	130	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	84
+	133	84
+	135	85
+	4	137	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	84
+	135	85
+	3	137	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	85
+	140	85
+	137	84
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	85
+	137	84
+	3	135	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	84
+	137	84
+	140	85
+	4	142	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	84
+	140	85
+	3	142	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	85
+	169	85
+	166	84
+	4	164	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	85
+	166	84
+	3	164	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	84
+	162	84
+	164	85
+	4	166	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	164	85
+	3	166	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	85
+	145	85
+	142	84
+	4	140	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	85
+	142	84
+	3	140	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	84
+	142	84
+	145	85
+	4	147	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	84
+	145	85
+	3	147	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	85
+	164	85
+	162	84
+	4	159	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	85
+	162	84
+	3	159	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	84
+	157	84
+	159	85
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	84
+	159	85
+	3	162	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	85
+	149	85
+	147	84
+	4	145	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	147	84
+	3	145	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	84
+	147	84
+	149	85
+	4	152	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	84
+	149	85
+	3	152	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	85
+	154	85
+	152	84
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	85
+	152	84
+	3	149	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	84
+	152	84
+	154	85
+	4	157	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	84
+	154	85
+	3	157	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	85
+	159	85
+	157	84
+	4	154	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	85
+	157	84
+	3	154	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	114
+	197	127
+	193	148
+	4	193	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	127
+	193	148
+	3	193	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	130
+	193	148
+	197	127
+	4	199	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	148
+	197	127
+	3	199	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	148
+	199	130
+	196	140
+	4	193	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	130
+	196	140
+	3	193	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	192
+	172	174
+	169	189
+	4	166	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	174
+	169	189
+	3	166	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	162
+	169	189
+	172	174
+	4	175	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	189
+	172	174
+	3	175	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	189
+	175	162
+	172	176
+	4	169	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	162
+	172	176
+	3	169	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	88
+	191	88
+	188	86
+	4	186	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	88
+	188	86
+	3	186	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	86
+	183	86
+	186	88
+	4	188	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	86
+	186	88
+	3	188	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	88
+	186	88
+	183	86
+	4	181	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	88
+	183	86
+	3	181	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	86
+	179	86
+	181	88
+	4	183	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	86
+	181	88
+	3	183	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	87
+	181	88
+	179	86
+	4	176	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	88
+	179	86
+	3	176	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	86
+	174	86
+	176	87
+	4	179	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	86
+	176	87
+	3	179	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	120
+	218	4
+	207	100
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	4
+	207	100
+	3	203	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	120
+	198	114
+	200	121
+	4	203	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	114
+	200	121
+	3	203	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	114
+	203	120
+	201	110
+	4	198	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	120
+	201	110
+	3	198	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	100
+	201	110
+	203	120
+	4	207	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	110
+	203	120
+	3	207	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	87
+	176	87
+	174	86
+	4	171	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	87
+	174	86
+	3	171	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	86
+	169	85
+	171	87
+	4	174	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	85
+	171	87
+	3	174	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	87
+	123	87
+	120	86
+	4	118	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	87
+	120	86
+	3	118	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	86
+	120	86
+	123	87
+	4	125	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	86
+	123	87
+	3	125	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	86
+	116	86
+	118	87
+	4	120	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	86
+	118	87
+	3	120	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	87
+	128	87
+	125	86
+	4	123	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	87
+	125	86
+	3	123	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	86
+	125	86
+	128	87
+	4	130	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	86
+	128	87
+	3	130	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	87
+	118	87
+	116	86
+	4	113	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	87
+	116	86
+	3	113	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	86
+	111	86
+	113	87
+	4	116	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	86
+	113	87
+	3	116	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	87
+	113	87
+	111	86
+	4	108	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	87
+	111	86
+	3	108	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	87
+	133	87
+	130	86
+	4	128	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	87
+	130	86
+	3	128	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	85
+	130	86
+	133	87
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	86
+	133	87
+	3	135	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	193
+	169	181
+	166	192
+	4	164	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	166	192
+	3	164	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	174
+	166	192
+	169	181
+	4	172	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	192
+	169	181
+	3	172	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	87
+	171	87
+	169	85
+	4	166	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	87
+	169	85
+	3	166	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	85
+	164	85
+	166	87
+	4	169	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	85
+	166	87
+	3	169	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	87
+	137	87
+	135	85
+	4	133	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	87
+	135	85
+	3	133	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	85
+	135	85
+	137	87
+	4	140	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	137	87
+	3	140	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	87
+	142	87
+	140	85
+	4	137	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	87
+	140	85
+	3	137	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	85
+	140	85
+	142	87
+	4	145	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	85
+	142	87
+	3	145	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	87
+	147	87
+	145	85
+	4	142	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	87
+	145	85
+	3	142	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	85
+	145	85
+	147	87
+	4	149	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	85
+	147	87
+	3	149	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	87
+	166	87
+	164	85
+	4	162	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	87
+	164	85
+	3	162	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	85
+	159	85
+	162	87
+	4	164	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	85
+	162	87
+	3	164	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	87
+	152	87
+	149	85
+	4	147	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	87
+	149	85
+	3	147	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	85
+	149	85
+	152	87
+	4	154	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	85
+	152	87
+	3	154	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	87
+	162	87
+	159	85
+	4	157	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	87
+	159	85
+	3	157	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	85
+	154	85
+	157	87
+	4	159	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	85
+	157	87
+	3	159	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	87
+	157	87
+	154	85
+	4	152	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	87
+	154	85
+	3	152	87	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	191	136
+	196	133
+	193	129
+	4	191	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	133
+	193	129
+	3	191	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	120
+	191	136
+	189	124
+	4	187	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	136
+	189	124
+	3	187	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	193	129
+	189	124
+	191	136
+	4	193	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	124
+	191	136
+	3	193	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	125
+	206	124
+	203	126
+	4	201	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	124
+	203	126
+	3	201	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	123
+	203	126
+	206	124
+	4	208	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	126
+	206	124
+	3	208	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	203	126
+	198	122
+	201	125
+	4	203	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	122
+	201	125
+	3	203	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	122
+	203	126
+	200	121
+	4	198	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	126
+	200	121
+	3	198	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	89
+	188	90
+	186	88
+	4	184	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	90
+	186	88
+	3	184	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	88
+	186	88
+	188	90
+	4	191	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	88
+	188	90
+	3	191	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	88
+	181	88
+	184	89
+	4	186	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	88
+	184	89
+	3	186	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	90
+	193	89
+	191	88
+	4	188	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	89
+	191	88
+	3	188	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	89
+	184	89
+	181	88
+	4	179	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	89
+	181	88
+	3	179	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	88
+	176	87
+	179	89
+	4	181	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	87
+	179	89
+	3	181	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	89
+	179	89
+	176	87
+	4	174	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	89
+	176	87
+	3	174	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	87
+	171	87
+	174	89
+	4	176	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	87
+	174	89
+	3	176	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	89
+	174	89
+	171	87
+	4	169	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	89
+	171	87
+	3	169	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	87
+	166	87
+	169	89
+	4	171	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	87
+	169	89
+	3	171	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	89
+	125	89
+	123	87
+	4	120	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	89
+	123	87
+	3	120	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	87
+	123	87
+	125	89
+	4	128	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	87
+	125	89
+	3	128	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	87
+	118	87
+	120	89
+	4	123	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	87
+	120	89
+	3	123	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	89
+	120	89
+	118	87
+	4	115	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	89
+	118	87
+	3	115	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	87
+	113	87
+	115	89
+	4	118	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	87
+	115	89
+	3	118	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	89
+	130	89
+	128	87
+	4	125	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	89
+	128	87
+	3	125	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	87
+	128	87
+	130	89
+	4	133	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	87
+	130	89
+	3	133	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	89
+	115	89
+	113	87
+	4	111	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	89
+	113	87
+	3	111	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	87
+	108	87
+	111	89
+	4	113	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	87
+	111	89
+	3	113	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	89
+	111	89
+	108	87
+	4	106	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	89
+	108	87
+	3	106	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	89
+	135	89
+	133	87
+	4	130	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	89
+	133	87
+	3	130	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	87
+	133	87
+	135	89
+	4	137	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	87
+	135	89
+	3	137	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	89
+	140	89
+	137	87
+	4	135	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	89
+	137	87
+	3	135	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	87
+	137	87
+	140	89
+	4	142	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	87
+	140	89
+	3	142	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	89
+	145	88
+	142	87
+	4	140	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	88
+	142	87
+	3	140	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	87
+	142	87
+	145	88
+	4	147	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	87
+	145	88
+	3	147	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	88
+	169	89
+	166	87
+	4	164	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	89
+	166	87
+	3	164	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	87
+	162	87
+	164	88
+	4	166	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	87
+	164	88
+	3	166	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	196
+	167	184
+	164	193
+	4	162	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	164	193
+	3	162	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	181
+	164	193
+	167	184
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	193
+	167	184
+	3	169	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	88
+	149	88
+	147	87
+	4	145	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	88
+	147	87
+	3	145	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	87
+	147	87
+	149	88
+	4	152	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	87
+	149	88
+	3	152	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	88
+	164	88
+	162	87
+	4	159	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	88
+	162	87
+	3	159	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	87
+	157	87
+	159	88
+	4	162	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	87
+	159	88
+	3	162	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	88
+	154	88
+	152	87
+	4	149	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	88
+	152	87
+	3	149	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	87
+	152	87
+	154	88
+	4	157	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	87
+	154	88
+	3	157	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	88
+	159	88
+	157	87
+	4	154	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	88
+	157	87
+	3	154	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	121
+	196	116
+	198	122
+	4	200	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	116
+	198	122
+	3	200	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	116
+	200	121
+	198	114
+	4	196	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	121
+	198	114
+	3	196	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	91
+	191	91
+	188	90
+	4	186	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	91
+	188	90
+	3	186	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	89
+	188	90
+	191	91
+	4	193	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	90
+	191	91
+	3	193	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	90
+	184	89
+	186	91
+	4	188	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	89
+	186	91
+	3	188	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	169
+	168	129
+	165	132
+	4	162	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	129
+	165	132
+	3	162	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	163
+	162	169
+	159	151
+	4	157	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	169
+	159	151
+	3	157	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	132
+	159	151
+	162	169
+	4	165	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	151
+	162	169
+	3	165	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	91
+	186	91
+	184	89
+	4	181	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	91
+	184	89
+	3	181	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	89
+	179	89
+	181	91
+	4	184	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	89
+	181	91
+	3	184	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	91
+	196	91
+	193	89
+	4	191	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	91
+	193	89
+	3	191	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	197
+	164	185
+	162	196
+	4	159	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	185
+	162	196
+	3	159	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	184
+	162	196
+	164	185
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	196
+	164	185
+	3	167	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	91
+	181	91
+	179	89
+	4	176	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	91
+	179	89
+	3	176	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	89
+	174	89
+	176	91
+	4	179	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	89
+	176	91
+	3	179	89	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	206	124
+	211	116
+	208	123
+	4	206	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	116
+	208	123
+	3	206	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	108
+	208	123
+	211	116
+	4	214	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	123
+	211	116
+	3	214	108	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	208	123
+	214	108
+	212	104
+	4	208	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	108
+	212	104
+	3	208	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	90
+	176	91
+	174	89
+	4	171	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	91
+	174	89
+	3	171	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	89
+	169	89
+	171	90
+	4	174	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	89
+	171	90
+	3	174	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	90
+	123	90
+	120	89
+	4	118	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	90
+	120	89
+	3	118	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	89
+	120	89
+	123	90
+	4	125	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	89
+	123	90
+	3	125	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	89
+	115	89
+	118	90
+	4	120	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	89
+	118	90
+	3	120	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	90
+	128	90
+	125	89
+	4	123	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	90
+	125	89
+	3	123	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	89
+	125	89
+	128	90
+	4	130	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	89
+	128	90
+	3	130	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	90
+	118	90
+	115	89
+	4	113	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	90
+	115	89
+	3	113	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	89
+	111	89
+	113	90
+	4	115	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	89
+	113	90
+	3	115	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	90
+	132	90
+	130	89
+	4	128	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	90
+	130	89
+	3	128	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	89
+	130	89
+	132	90
+	4	135	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	89
+	132	90
+	3	135	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	90
+	113	90
+	111	89
+	4	108	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	90
+	111	89
+	3	108	90	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	89
+	106	89
+	108	90
+	4	111	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	89
+	108	90
+	3	111	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	90
+	137	90
+	135	89
+	4	132	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	90
+	135	89
+	3	132	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	89
+	135	89
+	137	90
+	4	140	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	89
+	137	90
+	3	140	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	90
+	108	90
+	106	89
+	4	103	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	90
+	106	89
+	3	103	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	90
+	142	90
+	140	89
+	4	137	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	90
+	140	89
+	3	137	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	88
+	140	89
+	142	90
+	4	145	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	89
+	142	90
+	3	145	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	90
+	171	90
+	169	89
+	4	167	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	90
+	169	89
+	3	167	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	89
+	164	88
+	167	90
+	4	169	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	88
+	167	90
+	3	169	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	90
+	147	90
+	145	88
+	4	142	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	90
+	145	88
+	3	142	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	88
+	145	88
+	147	90
+	4	149	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	88
+	147	90
+	3	149	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	90
+	152	90
+	149	88
+	4	147	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	90
+	149	88
+	3	147	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	88
+	149	88
+	152	90
+	4	154	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	88
+	152	90
+	3	154	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	90
+	167	90
+	164	88
+	4	162	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	90
+	164	88
+	3	162	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	88
+	159	88
+	162	90
+	4	164	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	88
+	162	90
+	3	164	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	90
+	157	90
+	154	88
+	4	152	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	90
+	154	88
+	3	152	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	88
+	154	88
+	157	90
+	4	159	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	88
+	157	90
+	3	159	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	90
+	162	90
+	159	88
+	4	157	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	90
+	159	88
+	3	157	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	127
+	196	133
+	199	132
+	4	201	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	133
+	199	132
+	3	201	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	133
+	201	127
+	198	127
+	4	196	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	127
+	198	127
+	3	196	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	198	127
+	193	129
+	196	133
+	4	198	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	129
+	196	133
+	3	198	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	94
+	193	93
+	191	91
+	4	189	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	93
+	191	91
+	3	189	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	91
+	191	91
+	193	93
+	4	196	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	91
+	193	93
+	3	196	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	91
+	186	91
+	189	94
+	4	191	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	91
+	189	94
+	3	191	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	128
+	196	140
+	199	130
+	4	202	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	140
+	199	130
+	3	202	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	140
+	202	128
+	199	132
+	4	196	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	128
+	199	132
+	3	196	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	93
+	189	94
+	186	91
+	4	184	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	94
+	186	91
+	3	184	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	91
+	181	91
+	184	93
+	4	186	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	91
+	184	93
+	3	186	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	93
+	198	93
+	196	91
+	4	193	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	93
+	196	91
+	3	193	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	92
+	184	93
+	181	91
+	4	179	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	93
+	181	91
+	3	179	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	91
+	176	91
+	179	92
+	4	181	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	91
+	179	92
+	3	181	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	193	129
+	198	127
+	196	124
+	4	193	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	127
+	196	124
+	3	193	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	124
+	193	129
+	191	122
+	4	189	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	129
+	191	122
+	3	189	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	124
+	191	122
+	193	129
+	4	196	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	122
+	193	129
+	3	196	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	92
+	179	92
+	176	91
+	4	174	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	92
+	176	91
+	3	174	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	91
+	171	90
+	174	92
+	4	176	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	90
+	174	92
+	3	176	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	124
+	201	125
+	198	122
+	4	196	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	125
+	198	122
+	3	196	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	122
+	194	119
+	196	124
+	4	198	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	119
+	196	124
+	3	198	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	119
+	198	122
+	196	116
+	4	194	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	122
+	196	116
+	3	194	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	157	190
+	162	183
+	159	197
+	4	157	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	159	197
+	3	157	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	185
+	159	197
+	162	183
+	4	164	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	197
+	162	183
+	3	164	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	92
+	125	92
+	123	90
+	4	120	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	92
+	123	90
+	3	120	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	90
+	123	90
+	125	92
+	4	128	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	90
+	125	92
+	3	128	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	90
+	118	90
+	120	92
+	4	123	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	90
+	120	92
+	3	123	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	92
+	130	92
+	128	90
+	4	125	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	92
+	128	90
+	3	125	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	90
+	128	90
+	130	92
+	4	132	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	90
+	130	92
+	3	132	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	92
+	120	92
+	118	90
+	4	115	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	92
+	118	90
+	3	115	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	90
+	113	90
+	115	92
+	4	118	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	90
+	115	92
+	3	118	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	170
+	149	161
+	152	173
+	4	154	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	161
+	152	173
+	3	154	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	161
+	154	170
+	152	157
+	4	149	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	170
+	152	157
+	3	149	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	163
+	152	157
+	154	170
+	4	157	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	154	170
+	3	157	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	92
+	115	92
+	113	90
+	4	110	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	92
+	113	90
+	3	110	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	90
+	108	90
+	110	92
+	4	113	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	90
+	110	92
+	3	113	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	92
+	135	92
+	132	90
+	4	130	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	92
+	132	90
+	3	130	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	90
+	132	90
+	135	92
+	4	137	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	90
+	135	92
+	3	137	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	198	127
+	203	125
+	201	125
+	4	198	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	201	125
+	3	198	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	124
+	201	125
+	203	125
+	4	206	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	125
+	203	125
+	3	206	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	125
+	196	124
+	198	127
+	4	201	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	124
+	198	127
+	3	201	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	92
+	110	92
+	108	90
+	4	105	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	92
+	108	90
+	3	105	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	90
+	103	90
+	105	92
+	4	108	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	90
+	105	92
+	3	108	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	91
+	174	92
+	171	90
+	4	169	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	92
+	171	90
+	3	169	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	90
+	167	90
+	169	91
+	4	171	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	90
+	169	91
+	3	171	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	92
+	105	92
+	103	90
+	4	101	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	92
+	103	90
+	3	101	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	92
+	140	92
+	137	90
+	4	135	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	92
+	137	90
+	3	135	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	90
+	137	90
+	140	92
+	4	142	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	90
+	140	92
+	3	142	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	92
+	145	92
+	142	90
+	4	140	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	92
+	142	90
+	3	140	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	90
+	142	90
+	145	92
+	4	147	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	90
+	145	92
+	3	147	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	95
+	191	96
+	189	94
+	4	186	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	96
+	189	94
+	3	186	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	93
+	189	94
+	191	96
+	4	193	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	94
+	191	96
+	3	193	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	94
+	184	93
+	186	95
+	4	189	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	93
+	186	95
+	3	189	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	96
+	196	96
+	193	93
+	4	191	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	96
+	193	93
+	3	191	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	93
+	193	93
+	196	96
+	4	198	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	93
+	196	96
+	3	198	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	92
+	149	91
+	147	90
+	4	145	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	91
+	147	90
+	3	145	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	90
+	147	90
+	149	91
+	4	152	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	90
+	149	91
+	3	152	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	91
+	169	91
+	167	90
+	4	164	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	91
+	167	90
+	3	164	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	90
+	162	90
+	164	91
+	4	167	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	90
+	164	91
+	3	167	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	91
+	154	91
+	152	90
+	4	149	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	91
+	152	90
+	3	149	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	90
+	152	90
+	154	91
+	4	157	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	90
+	154	91
+	3	157	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	173
+	147	161
+	149	174
+	4	152	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	149	174
+	3	152	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	161
+	152	173
+	149	161
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	173
+	149	161
+	3	147	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	114
+	194	111
+	196	116
+	4	198	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	111
+	196	116
+	3	198	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	111
+	198	114
+	196	109
+	4	194	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	114
+	196	109
+	3	194	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	110
+	196	109
+	198	114
+	4	201	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	109
+	198	114
+	3	201	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	91
+	164	91
+	162	90
+	4	159	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	91
+	162	90
+	3	159	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	90
+	157	90
+	159	91
+	4	162	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	90
+	159	91
+	3	162	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	91
+	159	91
+	157	90
+	4	154	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	91
+	157	90
+	3	154	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	125
+	209	121
+	206	124
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	206	124
+	3	203	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	116
+	206	124
+	209	121
+	4	211	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	124
+	209	121
+	3	211	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	95
+	186	95
+	184	93
+	4	181	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	95
+	184	93
+	3	181	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	93
+	179	92
+	181	95
+	4	184	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	92
+	181	95
+	3	184	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	122
+	196	124
+	194	119
+	4	191	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	124
+	194	119
+	3	191	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	96
+	201	94
+	198	93
+	4	196	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	94
+	198	93
+	3	196	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	203	125
+	198	127
+	201	127
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	127
+	201	127
+	3	203	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	94
+	181	95
+	179	92
+	4	176	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	95
+	179	92
+	3	176	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	92
+	174	92
+	176	94
+	4	179	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	92
+	176	94
+	3	179	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	98
+	194	98
+	191	96
+	4	189	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	98
+	191	96
+	3	189	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	96
+	191	96
+	194	98
+	4	196	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	96
+	194	98
+	3	196	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	96
+	186	95
+	189	98
+	4	191	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	95
+	189	98
+	3	191	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	116
+	191	113
+	194	119
+	4	196	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	113
+	194	119
+	3	196	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	113
+	196	116
+	194	111
+	4	191	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	116
+	194	111
+	3	191	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	110
+	207	100
+	204	101
+	4	201	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	100
+	204	101
+	3	201	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	109
+	201	110
+	199	105
+	4	196	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	110
+	199	105
+	3	196	109	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	101
+	199	105
+	201	110
+	4	204	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	105
+	201	110
+	3	204	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	98
+	199	98
+	196	96
+	4	194	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	98
+	196	96
+	3	194	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	94
+	196	96
+	199	98
+	4	201	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	96
+	199	98
+	3	201	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	93
+	176	94
+	174	92
+	4	172	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	94
+	174	92
+	3	172	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	92
+	169	91
+	172	93
+	4	174	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	91
+	172	93
+	3	174	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	94
+	127	94
+	125	92
+	4	123	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	94
+	125	92
+	3	123	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	92
+	125	92
+	127	94
+	4	130	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	92
+	127	94
+	3	130	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	92
+	120	92
+	123	94
+	4	125	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	92
+	123	94
+	3	125	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	97
+	189	98
+	186	95
+	4	184	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	98
+	186	95
+	3	184	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	95
+	181	95
+	184	97
+	4	186	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	95
+	184	97
+	3	186	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	93
+	123	94
+	120	92
+	4	118	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	94
+	120	92
+	3	118	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	92
+	115	92
+	118	93
+	4	120	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	92
+	118	93
+	3	120	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	94
+	132	93
+	130	92
+	4	127	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	93
+	130	92
+	3	127	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	92
+	130	92
+	132	93
+	4	135	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	92
+	132	93
+	3	135	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	93
+	118	93
+	115	92
+	4	113	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	93
+	115	92
+	3	113	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	92
+	110	92
+	113	93
+	4	115	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	92
+	113	93
+	3	115	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	93
+	113	93
+	110	92
+	4	108	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	93
+	110	92
+	3	108	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	92
+	105	92
+	108	93
+	4	110	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	92
+	108	93
+	3	110	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	93
+	137	93
+	135	92
+	4	132	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	93
+	135	92
+	3	132	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	92
+	135	92
+	137	93
+	4	140	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	92
+	137	93
+	3	140	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	93
+	108	93
+	105	92
+	4	103	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	93
+	105	92
+	3	103	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	92
+	101	92
+	103	93
+	4	105	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	92
+	103	93
+	3	105	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	93
+	103	93
+	101	92
+	4	98	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	93
+	101	92
+	3	98	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	93
+	142	93
+	140	92
+	4	137	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	93
+	140	92
+	3	137	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	92
+	140	92
+	142	93
+	4	145	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	92
+	142	93
+	3	145	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	93
+	147	93
+	145	92
+	4	142	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	93
+	145	92
+	3	142	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	91
+	145	92
+	147	93
+	4	149	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	92
+	147	93
+	3	149	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	93
+	172	93
+	169	91
+	4	167	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	93
+	169	91
+	3	167	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	91
+	164	91
+	167	93
+	4	169	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	91
+	167	93
+	3	169	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	93
+	152	93
+	149	91
+	4	147	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	149	91
+	3	147	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	91
+	149	91
+	152	93
+	4	154	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	91
+	152	93
+	3	154	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	101
+	196	101
+	194	98
+	4	191	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	101
+	194	98
+	3	191	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	98
+	194	98
+	196	101
+	4	199	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	98
+	196	101
+	3	199	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	98
+	189	98
+	191	101
+	4	194	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	98
+	191	101
+	3	194	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	93
+	157	93
+	154	91
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	93
+	154	91
+	3	152	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	91
+	154	91
+	157	93
+	4	159	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	91
+	157	93
+	3	159	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	93
+	167	93
+	164	91
+	4	162	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	93
+	164	91
+	3	162	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	91
+	159	91
+	162	93
+	4	164	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	91
+	162	93
+	3	164	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	119
+	189	115
+	191	122
+	4	194	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	115
+	191	122
+	3	194	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	115
+	194	119
+	191	113
+	4	189	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	119
+	191	113
+	3	189	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	109
+	191	107
+	194	111
+	4	196	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	107
+	194	111
+	3	196	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	191	107
+	196	109
+	194	104
+	4	191	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	109
+	194	104
+	3	191	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	105
+	194	104
+	196	109
+	4	199	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	104
+	196	109
+	3	199	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	93
+	162	93
+	159	91
+	4	157	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	93
+	159	91
+	3	157	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	96
+	184	97
+	181	95
+	4	179	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	97
+	181	95
+	3	179	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	95
+	176	94
+	179	96
+	4	181	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	94
+	179	96
+	3	181	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	100
+	191	101
+	189	98
+	4	186	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	101
+	189	98
+	3	186	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	98
+	184	97
+	186	100
+	4	189	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	97
+	186	100
+	3	189	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	104
+	199	105
+	196	101
+	4	194	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	105
+	196	101
+	3	194	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	100
+	196	101
+	199	105
+	4	201	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	101
+	199	105
+	3	201	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	101
+	201	100
+	199	98
+	4	196	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	100
+	199	98
+	3	196	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	101
+	191	101
+	194	104
+	4	196	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	101
+	194	104
+	3	196	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	105
+	204	101
+	201	100
+	4	199	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	101
+	201	100
+	3	199	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	95
+	199	98
+	201	100
+	4	204	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	98
+	201	100
+	3	204	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	98
+	204	95
+	201	94
+	4	199	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	95
+	201	94
+	3	199	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	174
+	144	159
+	147	172
+	4	149	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	159
+	147	172
+	3	149	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	159
+	149	174
+	147	161
+	4	144	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	174
+	147	161
+	3	144	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	157
+	157	163
+	154	151
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	163
+	154	151
+	3	152	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	151
+	154	151
+	157	163
+	4	159	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	151
+	157	163
+	3	159	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	126
+	199	132
+	202	128
+	4	204	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	132
+	202	128
+	3	204	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	132
+	204	126
+	201	127
+	4	199	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	126
+	201	127
+	3	199	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	111
+	189	108
+	191	113
+	4	194	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	191	113
+	3	194	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	189	108
+	194	111
+	191	107
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	111
+	191	107
+	3	189	108	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	189	103
+	194	104
+	191	101
+	4	189	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	104
+	191	101
+	3	189	103	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	191	101
+	186	100
+	189	103
+	4	191	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	100
+	189	103
+	3	191	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	194	104
+	189	103
+	191	107
+	4	194	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	103
+	191	107
+	3	194	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	122
+	187	114
+	189	124
+	4	191	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	114
+	189	124
+	3	191	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	114
+	191	122
+	189	115
+	4	187	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	122
+	189	115
+	3	187	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	95
+	179	96
+	176	94
+	4	174	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	96
+	176	94
+	3	174	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	94
+	172	93
+	174	95
+	4	176	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	93
+	174	95
+	3	176	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	127
+	206	123
+	203	125
+	4	201	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	123
+	203	125
+	3	201	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	121
+	203	125
+	206	123
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	206	123
+	3	209	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	95
+	130	95
+	127	94
+	4	125	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	95
+	127	94
+	3	125	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	93
+	127	94
+	130	95
+	4	132	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	94
+	130	95
+	3	132	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	94
+	123	94
+	125	95
+	4	127	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	94
+	125	95
+	3	127	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	95
+	125	95
+	123	94
+	4	120	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	95
+	123	94
+	3	120	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	94
+	118	93
+	120	95
+	4	123	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	93
+	120	95
+	3	123	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	95
+	120	95
+	118	93
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	95
+	118	93
+	3	115	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	93
+	113	93
+	115	95
+	4	118	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	93
+	115	95
+	3	118	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	95
+	135	95
+	132	93
+	4	130	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	95
+	132	93
+	3	130	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	93
+	132	93
+	135	95
+	4	137	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	93
+	135	95
+	3	137	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	98
+	186	100
+	184	97
+	4	182	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	100
+	184	97
+	3	182	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	97
+	179	96
+	182	98
+	4	184	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	96
+	182	98
+	3	184	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	95
+	115	95
+	113	93
+	4	110	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	113	93
+	3	110	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	93
+	108	93
+	110	95
+	4	113	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	93
+	110	95
+	3	113	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	95
+	140	95
+	137	93
+	4	135	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	95
+	137	93
+	3	135	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	93
+	137	93
+	140	95
+	4	142	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	93
+	140	95
+	3	142	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	95
+	110	95
+	108	93
+	4	105	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	95
+	108	93
+	3	105	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	93
+	103	93
+	105	95
+	4	108	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	93
+	105	95
+	3	108	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	95
+	105	95
+	103	93
+	4	100	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	95
+	103	93
+	3	100	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	93
+	98	93
+	100	95
+	4	103	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	93
+	100	95
+	3	103	93	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	95
+	100	95
+	98	93
+	4	95	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	95
+	98	93
+	3	95	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	95
+	145	95
+	142	93
+	4	140	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	95
+	142	93
+	3	140	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	93
+	142	93
+	145	95
+	4	147	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	93
+	145	95
+	3	147	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	94
+	174	95
+	172	93
+	4	169	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	95
+	172	93
+	3	169	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	93
+	167	93
+	169	94
+	4	172	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	93
+	169	94
+	3	172	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	95
+	149	94
+	147	93
+	4	145	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	94
+	147	93
+	3	145	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	93
+	147	93
+	149	94
+	4	152	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	93
+	149	94
+	3	152	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	94
+	154	94
+	152	93
+	4	149	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	94
+	152	93
+	3	149	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	93
+	152	93
+	154	94
+	4	157	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	93
+	154	94
+	3	157	93	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	191	107
+	186	104
+	189	108
+	4	191	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	104
+	189	108
+	3	191	107	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	186	104
+	191	107
+	189	103
+	4	186	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	107
+	189	103
+	3	186	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	94
+	169	94
+	167	93
+	4	164	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	94
+	167	93
+	3	164	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	93
+	162	93
+	164	94
+	4	167	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	93
+	164	94
+	3	167	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	123
+	201	127
+	204	126
+	4	206	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	127
+	204	126
+	3	206	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	184	101
+	189	103
+	186	100
+	4	184	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	103
+	186	100
+	3	184	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	100
+	182	98
+	184	101
+	4	186	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	98
+	184	101
+	3	186	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	94
+	159	94
+	157	93
+	4	154	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	94
+	157	93
+	3	154	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	93
+	157	93
+	159	94
+	4	162	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	93
+	159	94
+	3	162	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	94
+	164	94
+	162	93
+	4	159	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	94
+	162	93
+	3	159	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	94
+	201	100
+	204	101
+	4	207	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	100
+	204	101
+	3	207	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	100
+	207	94
+	204	95
+	4	201	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	94
+	204	95
+	3	201	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	113
+	187	109
+	189	115
+	4	191	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	109
+	189	115
+	3	191	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	109
+	191	113
+	189	108
+	4	187	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	113
+	189	108
+	3	187	109	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	189	103
+	184	101
+	186	104
+	4	189	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	101
+	186	104
+	3	189	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	141
+	172	176
+	175	162
+	4	178	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	176
+	175	162
+	3	178	141	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	172	176
+	178	141
+	176	139
+	4	172	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	141
+	176	139
+	3	172	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	97
+	182	98
+	179	96
+	4	177	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	98
+	179	96
+	3	177	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	96
+	174	95
+	177	97
+	4	179	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	95
+	177	97
+	3	179	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	124
+	185	111
+	187	120
+	4	189	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	111
+	187	120
+	3	189	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	111
+	189	124
+	187	114
+	4	185	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	124
+	187	114
+	3	185	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	97
+	127	97
+	125	95
+	4	122	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	97
+	125	95
+	3	122	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	95
+	125	95
+	127	97
+	4	130	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	95
+	127	97
+	3	130	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	95
+	120	95
+	122	97
+	4	125	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	95
+	122	97
+	3	125	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	97
+	132	97
+	130	95
+	4	127	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	97
+	130	95
+	3	127	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	95
+	130	95
+	132	97
+	4	135	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	95
+	132	97
+	3	135	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	97
+	122	97
+	120	95
+	4	117	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	97
+	120	95
+	3	117	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	95
+	115	95
+	117	97
+	4	120	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	117	97
+	3	120	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	97
+	137	97
+	135	95
+	4	132	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	135	95
+	3	132	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	95
+	135	95
+	137	97
+	4	140	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	95
+	137	97
+	3	140	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	97
+	117	97
+	115	95
+	4	112	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	97
+	115	95
+	3	112	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	95
+	110	95
+	112	97
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	95
+	112	97
+	3	115	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	182
+	142	148
+	144	151
+	4	147	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	148
+	144	151
+	3	147	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	148
+	147	182
+	144	164
+	4	142	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	182
+	144	164
+	3	142	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	108	97
+	112	97
+	110	95
+	4	108	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	97
+	110	95
+	3	108	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	95
+	105	95
+	108	97
+	4	110	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	95
+	108	97
+	3	110	95	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	97
+	108	97
+	105	95
+	4	103	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	97
+	105	95
+	3	103	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	95
+	100	95
+	103	97
+	4	105	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	95
+	103	97
+	3	105	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	97
+	142	96
+	140	95
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	96
+	140	95
+	3	137	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	95
+	140	95
+	142	96
+	4	145	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	95
+	142	96
+	3	145	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	96
+	177	97
+	174	95
+	4	172	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	97
+	174	95
+	3	172	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	95
+	169	94
+	172	96
+	4	174	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	94
+	172	96
+	3	174	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	96
+	103	97
+	100	95
+	4	98	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	97
+	100	95
+	3	98	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	95
+	95	95
+	98	96
+	4	100	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	95
+	98	96
+	3	100	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	96
+	98	96
+	95	95
+	4	93	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	96
+	95	95
+	3	93	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	96
+	147	96
+	145	95
+	4	142	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	96
+	145	95
+	3	142	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	94
+	145	95
+	147	96
+	4	149	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	95
+	147	96
+	3	149	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	99
+	184	101
+	182	98
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	101
+	182	98
+	3	179	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	98
+	177	97
+	179	99
+	4	182	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	97
+	179	99
+	3	182	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	96
+	152	96
+	149	94
+	4	147	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	149	94
+	3	147	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	94
+	149	94
+	152	96
+	4	154	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	94
+	152	96
+	3	154	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	108
+	184	105
+	187	109
+	4	189	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	105
+	187	109
+	3	189	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	105
+	189	108
+	186	104
+	4	184	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	108
+	186	104
+	3	184	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	95
+	172	96
+	169	94
+	4	167	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	96
+	169	94
+	3	167	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	94
+	164	94
+	167	95
+	4	169	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	94
+	167	95
+	3	169	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	96
+	157	96
+	154	94
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	96
+	154	94
+	3	152	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	94
+	154	94
+	157	96
+	4	159	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	94
+	157	96
+	3	159	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	87
+	204	101
+	207	100
+	4	210	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	101
+	207	100
+	3	210	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	101
+	210	87
+	207	94
+	4	204	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	87
+	207	94
+	3	204	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	96
+	162	95
+	159	94
+	4	157	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	95
+	159	94
+	3	157	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	94
+	159	94
+	162	95
+	4	164	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	94
+	162	95
+	3	164	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	95
+	167	95
+	164	94
+	4	162	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	95
+	164	94
+	3	162	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	102
+	186	104
+	184	101
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	104
+	184	101
+	3	182	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	101
+	179	99
+	182	102
+	4	184	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	182	102
+	3	184	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	104
+	182	102
+	184	105
+	4	186	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	184	105
+	3	186	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	115
+	184	108
+	187	114
+	4	189	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	108
+	187	114
+	3	189	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	108
+	189	115
+	187	109
+	4	184	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	115
+	187	109
+	3	184	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	99
+	130	99
+	127	97
+	4	125	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	99
+	127	97
+	3	125	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	97
+	127	97
+	130	99
+	4	132	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	97
+	130	99
+	3	132	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	97
+	122	97
+	125	99
+	4	127	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	97
+	125	99
+	3	127	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	98
+	125	99
+	122	97
+	4	120	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	99
+	122	97
+	3	120	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	97
+	117	97
+	120	98
+	4	122	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	97
+	120	98
+	3	122	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	99
+	135	98
+	132	97
+	4	130	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	98
+	132	97
+	3	130	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	97
+	132	97
+	135	98
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	97
+	135	98
+	3	137	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	98
+	179	99
+	177	97
+	4	174	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	177	97
+	3	174	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	97
+	172	96
+	174	98
+	4	177	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	96
+	174	98
+	3	177	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	98
+	120	98
+	117	97
+	4	115	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	98
+	117	97
+	3	115	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	97
+	112	97
+	115	98
+	4	117	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	97
+	115	98
+	3	117	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	98
+	140	98
+	137	97
+	4	135	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	98
+	137	97
+	3	135	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	96
+	137	97
+	140	98
+	4	142	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	140	98
+	3	142	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	98
+	115	98
+	112	97
+	4	110	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	98
+	112	97
+	3	110	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	97
+	108	97
+	110	98
+	4	112	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	97
+	110	98
+	3	112	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	98
+	110	98
+	108	97
+	4	105	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	98
+	108	97
+	3	105	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	97
+	103	97
+	105	98
+	4	108	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	97
+	105	98
+	3	108	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	98
+	105	98
+	103	97
+	4	100	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	98
+	103	97
+	3	100	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	97
+	98	96
+	100	98
+	4	103	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	96
+	100	98
+	3	103	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	98
+	145	98
+	142	96
+	4	140	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	98
+	142	96
+	3	140	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	96
+	142	96
+	145	98
+	4	147	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	96
+	145	98
+	3	147	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	98
+	100	98
+	98	96
+	4	95	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	98
+	98	96
+	3	95	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	96
+	93	96
+	95	98
+	4	98	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	96
+	95	98
+	3	98	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	98
+	95	98
+	93	96
+	4	90	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	98
+	93	96
+	3	90	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	98
+	149	98
+	147	96
+	4	145	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	98
+	147	96
+	3	145	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	96
+	147	96
+	149	98
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	96
+	149	98
+	3	152	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	123
+	212	118
+	209	121
+	4	206	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	118
+	209	121
+	3	206	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	114
+	209	121
+	212	118
+	4	214	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	212	118
+	3	214	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	121
+	214	114
+	211	116
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	114
+	211	116
+	3	209	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	97
+	174	98
+	172	96
+	4	169	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	98
+	172	96
+	3	169	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	96
+	167	95
+	169	97
+	4	172	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	95
+	169	97
+	3	172	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	98
+	154	97
+	152	96
+	4	149	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	97
+	152	96
+	3	149	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	96
+	152	96
+	154	97
+	4	157	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	154	97
+	3	157	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	97
+	159	97
+	157	96
+	4	154	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	97
+	157	96
+	3	154	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	95
+	157	96
+	159	97
+	4	162	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	96
+	159	97
+	3	162	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	99
+	182	102
+	179	99
+	4	177	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	179	99
+	3	177	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	99
+	174	98
+	177	99
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	98
+	177	99
+	3	179	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	97
+	169	97
+	167	95
+	4	164	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	97
+	167	95
+	3	164	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	95
+	162	95
+	164	97
+	4	167	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	95
+	164	97
+	3	167	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	97
+	164	97
+	162	95
+	4	159	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	97
+	162	95
+	3	159	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	126
+	209	121
+	206	123
+	4	204	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	206	123
+	3	204	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	118
+	206	123
+	209	121
+	4	212	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	123
+	209	121
+	3	212	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	109
+	211	116
+	214	114
+	4	217	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	116
+	214	114
+	3	217	109	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	211	116
+	217	109
+	214	108
+	4	211	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	109
+	214	108
+	3	211	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	109
+	182	105
+	184	108
+	4	187	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	105
+	184	108
+	3	187	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	105
+	187	109
+	184	105
+	4	182	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	109
+	184	105
+	3	182	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	100
+	132	100
+	130	99
+	4	127	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	100
+	130	99
+	3	127	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	98
+	130	99
+	132	100
+	4	135	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	99
+	132	100
+	3	135	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	99
+	125	99
+	127	100
+	4	130	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	99
+	127	100
+	3	130	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	100
+	127	100
+	125	99
+	4	122	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	100
+	125	99
+	3	122	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	99
+	120	98
+	122	100
+	4	125	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	98
+	122	100
+	3	125	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	100
+	137	100
+	135	98
+	4	132	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	100
+	135	98
+	3	132	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	98
+	135	98
+	137	100
+	4	140	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	98
+	137	100
+	3	140	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	100
+	122	100
+	120	98
+	4	117	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	100
+	120	98
+	3	117	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	98
+	115	98
+	117	100
+	4	120	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	98
+	117	100
+	3	120	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	100
+	117	100
+	115	98
+	4	112	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	100
+	115	98
+	3	112	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	98
+	110	98
+	112	100
+	4	115	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	98
+	112	100
+	3	115	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	100
+	142	100
+	140	98
+	4	137	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	100
+	140	98
+	3	137	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	98
+	140	98
+	142	100
+	4	145	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	98
+	142	100
+	3	145	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	172
+	142	153
+	144	164
+	4	147	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	153
+	144	164
+	3	147	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	153
+	147	172
+	144	159
+	4	142	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	172
+	144	159
+	3	142	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	100
+	112	100
+	110	98
+	4	107	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	100
+	110	98
+	3	107	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	98
+	105	98
+	107	100
+	4	110	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	98
+	107	100
+	3	110	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	100
+	107	100
+	105	98
+	4	102	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	100
+	105	98
+	3	102	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	98
+	100	98
+	102	100
+	4	105	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	98
+	102	100
+	3	105	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	102
+	184	105
+	182	102
+	4	179	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	105
+	182	102
+	3	179	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	102
+	177	99
+	179	102
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	99
+	179	102
+	3	182	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	100
+	102	100
+	100	98
+	4	97	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	100
+	100	98
+	3	97	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	98
+	95	98
+	97	100
+	4	100	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	98
+	97	100
+	3	100	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	100
+	97	100
+	95	98
+	4	92	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	100
+	95	98
+	3	92	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	98
+	90	98
+	92	100
+	4	95	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	98
+	92	100
+	3	95	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	100
+	147	99
+	145	98
+	4	142	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	99
+	145	98
+	3	142	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	98
+	145	98
+	147	99
+	4	149	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	98
+	147	99
+	3	149	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	100
+	92	100
+	90	98
+	4	87	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	100
+	90	98
+	3	87	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	105
+	179	102
+	182	105
+	4	184	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	102
+	182	105
+	3	184	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	157
+	147	151
+	149	161
+	4	152	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	149	161
+	3	152	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	151
+	152	157
+	149	148
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	149	148
+	3	147	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	151
+	149	148
+	152	157
+	4	154	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	152	157
+	3	154	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	128
+	207	123
+	204	126
+	4	202	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	123
+	204	126
+	3	202	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	121
+	204	126
+	207	123
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	126
+	207	123
+	3	209	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	99
+	152	99
+	149	98
+	4	147	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	99
+	149	98
+	3	147	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	97
+	149	98
+	152	99
+	4	154	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	98
+	152	99
+	3	154	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	98
+	177	99
+	174	98
+	4	172	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	99
+	174	98
+	3	172	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	98
+	169	97
+	172	98
+	4	174	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	97
+	172	98
+	3	174	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	161
+	144	152
+	147	161
+	4	149	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	152
+	147	161
+	3	149	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	152
+	149	161
+	147	151
+	4	144	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	161
+	147	151
+	3	144	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	99
+	157	98
+	154	97
+	4	152	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	98
+	154	97
+	3	152	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	97
+	154	97
+	157	98
+	4	159	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	97
+	157	98
+	3	159	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	77
+	207	100
+	218	4
+	4	214	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	100
+	218	4
+	3	214	77	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	207	100
+	214	77
+	210	87
+	4	207	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	77
+	210	87
+	3	207	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	114
+	182	106
+	185	111
+	4	187	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	106
+	185	111
+	3	187	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	106
+	187	114
+	184	108
+	4	182	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	114
+	184	108
+	3	182	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	130
+	205	125
+	202	128
+	4	199	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	125
+	202	128
+	3	199	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	123
+	202	128
+	205	125
+	4	207	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	128
+	205	125
+	3	207	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	102
+	130	102
+	127	100
+	4	125	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	102
+	127	100
+	3	125	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	100
+	127	100
+	130	102
+	4	132	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	100
+	130	102
+	3	132	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	100
+	122	100
+	125	102
+	4	127	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	100
+	125	102
+	3	127	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	102
+	135	102
+	132	100
+	4	130	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	102
+	132	100
+	3	130	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	100
+	132	100
+	135	102
+	4	137	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	100
+	135	102
+	3	137	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	98
+	172	98
+	169	97
+	4	167	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	98
+	169	97
+	3	167	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	97
+	164	97
+	167	98
+	4	169	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	97
+	167	98
+	3	169	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	98
+	162	98
+	159	97
+	4	157	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	98
+	159	97
+	3	157	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	97
+	159	97
+	162	98
+	4	164	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	97
+	162	98
+	3	164	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	102
+	125	102
+	122	100
+	4	120	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	102
+	122	100
+	3	120	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	100
+	117	100
+	120	102
+	4	122	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	100
+	120	102
+	3	122	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	102
+	140	102
+	137	100
+	4	135	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	102
+	137	100
+	3	135	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	100
+	137	100
+	140	102
+	4	142	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	100
+	140	102
+	3	142	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	102
+	120	102
+	117	100
+	4	115	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	102
+	117	100
+	3	115	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	100
+	112	100
+	115	102
+	4	117	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	100
+	115	102
+	3	117	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	98
+	167	98
+	164	97
+	4	162	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	98
+	164	97
+	3	162	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	102
+	115	102
+	112	100
+	4	110	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	102
+	112	100
+	3	110	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	100
+	107	100
+	110	102
+	4	112	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	100
+	110	102
+	3	112	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	102
+	145	101
+	142	100
+	4	140	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	101
+	142	100
+	3	140	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	99
+	142	100
+	145	101
+	4	147	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	100
+	145	101
+	3	147	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	184
+	172	172
+	169	181
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	172
+	169	181
+	3	167	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	166
+	169	181
+	172	172
+	4	175	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	172	172
+	3	175	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	181
+	175	166
+	172	174
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	166
+	172	174
+	3	169	181	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	101
+	110	102
+	107	100
+	4	105	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	102
+	107	100
+	3	105	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	100
+	102	100
+	105	101
+	4	107	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	100
+	105	101
+	3	107	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	101
+	105	101
+	102	100
+	4	100	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	101
+	102	100
+	3	100	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	100
+	97	100
+	100	101
+	4	102	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	100
+	100	101
+	3	102	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	101
+	100	101
+	97	100
+	4	95	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	101
+	97	100
+	3	95	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	100
+	92	100
+	95	101
+	4	97	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	100
+	95	101
+	3	97	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	101
+	95	101
+	92	100
+	4	90	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	101
+	92	100
+	3	90	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	100
+	87	100
+	90	101
+	4	92	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	100
+	90	101
+	3	92	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	101
+	90	101
+	87	100
+	4	85	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	101
+	87	100
+	3	85	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	101
+	149	101
+	147	99
+	4	145	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	101
+	147	99
+	3	145	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	99
+	147	99
+	149	101
+	4	152	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	99
+	149	101
+	3	152	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	100
+	179	102
+	177	99
+	4	174	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	102
+	177	99
+	3	174	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	99
+	172	98
+	174	100
+	4	177	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	98
+	174	100
+	3	177	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	185
+	170	175
+	167	184
+	4	164	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	175
+	167	184
+	3	164	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	172
+	167	184
+	170	175
+	4	172	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	170	175
+	3	172	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	120
+	183	103
+	185	104
+	4	187	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	103
+	185	104
+	3	187	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	103
+	187	120
+	185	111
+	4	183	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	120
+	185	111
+	3	183	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	101
+	154	100
+	152	99
+	4	149	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	100
+	152	99
+	3	149	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	98
+	152	99
+	154	100
+	4	157	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	99
+	154	100
+	3	157	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	127
+	203	125
+	199	130
+	4	197	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	199	130
+	3	197	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	125
+	199	130
+	203	125
+	4	205	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	130
+	203	125
+	3	205	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	104
+	132	104
+	130	102
+	4	127	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	104
+	130	102
+	3	127	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	102
+	130	102
+	132	104
+	4	135	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	102
+	132	104
+	3	135	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	102
+	125	102
+	127	104
+	4	130	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	102
+	127	104
+	3	130	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	104
+	137	104
+	135	102
+	4	132	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	104
+	135	102
+	3	132	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	140	102
+	135	102
+	137	104
+	4	140	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	102
+	137	104
+	3	140	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	104
+	127	104
+	125	102
+	4	122	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	104
+	125	102
+	3	122	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	102
+	120	102
+	122	104
+	4	125	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	102
+	122	104
+	3	125	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	103
+	122	104
+	120	102
+	4	117	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	104
+	120	102
+	3	117	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	102
+	115	102
+	117	103
+	4	120	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	102
+	117	103
+	3	120	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	100
+	159	99
+	157	98
+	4	154	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	99
+	157	98
+	3	154	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	98
+	157	98
+	159	99
+	4	162	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	98
+	159	99
+	3	162	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	104
+	142	103
+	140	102
+	4	137	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	103
+	140	102
+	3	137	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	101
+	140	102
+	142	103
+	4	145	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	102
+	142	103
+	3	145	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	154	151
+	159	151
+	157	141
+	4	154	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	151
+	157	141
+	3	154	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	148
+	154	151
+	152	142
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	151
+	152	142
+	3	149	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	141
+	152	142
+	154	151
+	4	157	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	142
+	154	151
+	3	157	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	103
+	117	103
+	115	102
+	4	112	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	103
+	115	102
+	3	112	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	102
+	110	102
+	112	103
+	4	115	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	102
+	112	103
+	3	115	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	101
+	182	105
+	179	102
+	4	177	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	105
+	179	102
+	3	177	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	102
+	174	100
+	177	101
+	4	179	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	100
+	177	101
+	3	179	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	99
+	174	100
+	172	98
+	4	170	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	100
+	172	98
+	3	170	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	98
+	167	98
+	170	99
+	4	172	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	98
+	170	99
+	3	172	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	158
+	160	175
+	157	190
+	4	155	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	175
+	157	190
+	3	155	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	183
+	157	190
+	160	175
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	190
+	160	175
+	3	162	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	190
+	152	157
+	155	158
+	4	157	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	157
+	155	158
+	3	157	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	103
+	112	103
+	110	102
+	4	107	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	103
+	110	102
+	3	107	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	102
+	105	101
+	107	103
+	4	110	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	101
+	107	103
+	3	110	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	161
+	142	150
+	144	159
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	150
+	144	159
+	3	147	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	150
+	147	161
+	144	152
+	4	142	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	144	152
+	3	142	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	108
+	180	103
+	182	106
+	4	184	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	103
+	182	106
+	3	184	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	103
+	184	108
+	182	105
+	4	180	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	108
+	182	105
+	3	180	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	103
+	147	103
+	145	101
+	4	142	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	103
+	145	101
+	3	142	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	101
+	145	101
+	147	103
+	4	149	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	101
+	147	103
+	3	149	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	103
+	107	103
+	105	101
+	4	102	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	103
+	105	101
+	3	102	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	101
+	100	101
+	102	103
+	4	105	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	101
+	102	103
+	3	105	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	99
+	165	99
+	162	98
+	4	159	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	99
+	162	98
+	3	159	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	98
+	162	98
+	165	99
+	4	167	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	98
+	165	99
+	3	167	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	151
+	165	132
+	162	130
+	4	159	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	132
+	162	130
+	3	159	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	130
+	157	141
+	159	151
+	4	162	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	141
+	159	151
+	3	162	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	103
+	102	103
+	100	101
+	4	97	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	103
+	100	101
+	3	97	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	101
+	95	101
+	97	103
+	4	100	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	101
+	97	103
+	3	100	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	103
+	97	103
+	95	101
+	4	92	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	103
+	95	101
+	3	92	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	101
+	90	101
+	92	103
+	4	95	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	101
+	92	103
+	3	95	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	99
+	170	99
+	167	98
+	4	165	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	99
+	167	98
+	3	165	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	103
+	92	103
+	90	101
+	4	87	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	103
+	90	101
+	3	87	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	101
+	85	101
+	87	103
+	4	90	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	101
+	87	103
+	3	90	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	103
+	87	103
+	85	101
+	4	82	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	103
+	85	101
+	3	82	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	105
+	177	101
+	180	103
+	4	182	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	101
+	180	103
+	3	182	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	121
+	215	118
+	212	118
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	118
+	212	118
+	3	209	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	114
+	212	118
+	215	118
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	118
+	215	118
+	3	217	114	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	212	118
+	217	114
+	214	114
+	4	212	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	214	114
+	3	212	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	103
+	152	102
+	149	101
+	4	147	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	102
+	149	101
+	3	147	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	100
+	149	101
+	152	102
+	4	154	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	101
+	152	102
+	3	154	100	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	220	104
+	214	108
+	217	109
+	4	220	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	108
+	217	109
+	3	220	104	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	214	108
+	220	104
+	217	100
+	4	214	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	104
+	217	100
+	3	214	108	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	217	100
+	212	104
+	214	108
+	4	217	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	104
+	214	108
+	3	217	100	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	220	111
+	214	114
+	217	114
+	4	220	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	114
+	217	114
+	3	220	111	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	214	114
+	220	111
+	217	109
+	4	214	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	111
+	217	109
+	3	214	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	106
+	134	106
+	132	104
+	4	129	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	106
+	132	104
+	3	129	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	104
+	132	104
+	134	106
+	4	137	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	104
+	134	106
+	3	137	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	104
+	127	104
+	129	106
+	4	132	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	104
+	129	106
+	3	132	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	106
+	129	106
+	127	104
+	4	124	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	106
+	127	104
+	3	124	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	104
+	122	104
+	124	106
+	4	127	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	104
+	124	106
+	3	127	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	106
+	139	106
+	137	104
+	4	134	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	106
+	137	104
+	3	134	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	103
+	137	104
+	139	106
+	4	142	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	104
+	139	106
+	3	142	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	162	183
+	167	176
+	164	185
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	176
+	164	185
+	3	162	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	175
+	164	185
+	167	176
+	4	170	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	185
+	167	176
+	3	170	175	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	212	104
+	217	100
+	215	91
+	4	212	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	100
+	215	91
+	3	212	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	91
+	218	4
+	212	104
+	4	215	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	4
+	212	104
+	3	215	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	156
+	172	174
+	175	166
+	4	178	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	174
+	175	166
+	3	178	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	174
+	178	156
+	175	162
+	4	172	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	156
+	175	162
+	3	172	174	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	207	123
+	212	120
+	209	121
+	4	207	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	120
+	209	121
+	3	207	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	118
+	209	121
+	212	120
+	4	215	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	212	120
+	3	215	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	105
+	124	106
+	122	104
+	4	119	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	106
+	122	104
+	3	119	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	104
+	117	103
+	119	105
+	4	122	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	103
+	119	105
+	3	122	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	102
+	157	101
+	154	100
+	4	152	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	101
+	154	100
+	3	152	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	99
+	154	100
+	157	101
+	4	159	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	100
+	157	101
+	3	159	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	105
+	119	105
+	117	103
+	4	114	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	105
+	117	103
+	3	114	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	103
+	112	103
+	114	105
+	4	117	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	103
+	114	105
+	3	117	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	106
+	144	105
+	142	103
+	4	139	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	142	103
+	3	139	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	103
+	142	103
+	144	105
+	4	147	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	103
+	144	105
+	3	147	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	105
+	114	105
+	112	103
+	4	109	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	105
+	112	103
+	3	109	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	103
+	107	103
+	109	105
+	4	112	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	103
+	109	105
+	3	112	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	105
+	109	105
+	107	103
+	4	104	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	105
+	107	103
+	3	104	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	103
+	102	103
+	104	105
+	4	107	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	103
+	104	105
+	3	107	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	100
+	177	101
+	174	100
+	4	172	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	101
+	174	100
+	3	172	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	100
+	170	99
+	172	100
+	4	174	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	99
+	172	100
+	3	174	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	104
+	104	105
+	102	103
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	105
+	102	103
+	3	99	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	103
+	97	103
+	99	104
+	4	102	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	103
+	99	104
+	3	102	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	105
+	149	104
+	147	103
+	4	144	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	104
+	147	103
+	3	144	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	102
+	147	103
+	149	104
+	4	152	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	103
+	149	104
+	3	152	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	104
+	99	104
+	97	103
+	4	94	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	97	103
+	3	94	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	103
+	92	103
+	94	104
+	4	97	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	103
+	94	104
+	3	97	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	101
+	162	100
+	159	99
+	4	157	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	100
+	159	99
+	3	157	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	99
+	159	99
+	162	100
+	4	165	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	99
+	162	100
+	3	165	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	104
+	94	104
+	92	103
+	4	89	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	104
+	92	103
+	3	89	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	103
+	87	103
+	89	104
+	4	92	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	103
+	89	104
+	3	92	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	104
+	84	104
+	82	103
+	4	79	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	104
+	82	103
+	3	79	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	103
+	82	103
+	84	104
+	4	87	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	103
+	84	104
+	3	87	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	104
+	89	104
+	87	103
+	4	84	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	104
+	87	103
+	3	84	104	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	222	107
+	217	109
+	220	111
+	4	222	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	109
+	220	111
+	3	222	107	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	217	109
+	222	107
+	220	104
+	4	217	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	107
+	220	104
+	3	217	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	100
+	167	99
+	165	99
+	4	162	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	99
+	165	99
+	3	162	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	99
+	165	99
+	167	99
+	4	170	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	99
+	167	99
+	3	170	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	205	125
+	210	122
+	207	123
+	4	205	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	207	123
+	3	205	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	212	120
+	207	123
+	210	122
+	4	212	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	123
+	210	122
+	3	212	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	108
+	137	108
+	134	106
+	4	132	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	108
+	134	106
+	3	132	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	106
+	134	106
+	137	108
+	4	139	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	106
+	137	108
+	3	139	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	106
+	129	106
+	132	108
+	4	134	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	106
+	132	108
+	3	134	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	99
+	172	100
+	170	99
+	4	167	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	100
+	170	99
+	3	167	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	107
+	132	108
+	129	106
+	4	127	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	108
+	129	106
+	3	127	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	106
+	124	106
+	127	107
+	4	129	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	106
+	127	107
+	3	129	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	104
+	155	103
+	152	102
+	4	149	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	152	102
+	3	149	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	101
+	152	102
+	155	103
+	4	157	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	102
+	155	103
+	3	157	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	108
+	142	107
+	139	106
+	4	137	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	107
+	139	106
+	3	137	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	105
+	139	106
+	142	107
+	4	144	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	106
+	142	107
+	3	144	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	107
+	127	107
+	124	106
+	4	122	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	107
+	124	106
+	3	122	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	106
+	119	105
+	122	107
+	4	124	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	105
+	122	107
+	3	124	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	107
+	122	107
+	119	105
+	4	117	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	107
+	119	105
+	3	117	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	105
+	114	105
+	117	107
+	4	119	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	105
+	117	107
+	3	119	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	148
+	144	143
+	147	151
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	143
+	147	151
+	3	149	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	143
+	149	148
+	147	140
+	4	144	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	147	140
+	3	144	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	142
+	147	140
+	149	148
+	4	152	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	140
+	149	148
+	3	152	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	107
+	117	107
+	114	105
+	4	112	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	107
+	114	105
+	3	112	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	105
+	109	105
+	112	107
+	4	114	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	105
+	112	107
+	3	114	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	107
+	147	107
+	144	105
+	4	142	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	107
+	144	105
+	3	142	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	104
+	144	105
+	147	107
+	4	149	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	147	107
+	3	149	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	107	106
+	112	107
+	109	105
+	4	107	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	107
+	109	105
+	3	107	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	105
+	104	105
+	107	106
+	4	109	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	105
+	107	106
+	3	109	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	100
+	180	103
+	177	101
+	4	175	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	103
+	177	101
+	3	175	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	101
+	172	100
+	175	100
+	4	177	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	100
+	175	100
+	3	177	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	106
+	107	106
+	104	105
+	4	102	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	106
+	104	105
+	3	102	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	105
+	99	104
+	102	106
+	4	104	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	104
+	102	106
+	3	104	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	151
+	142	144
+	144	152
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	144
+	144	152
+	3	147	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	144
+	147	151
+	144	143
+	4	142	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	144	143
+	3	142	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	103
+	160	102
+	157	101
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	157	101
+	3	155	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	100
+	157	101
+	160	102
+	4	162	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	101
+	160	102
+	3	162	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	106
+	102	106
+	99	104
+	4	97	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	106
+	99	104
+	3	97	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	104
+	94	104
+	97	106
+	4	99	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	104
+	97	106
+	3	99	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	106
+	97	106
+	94	104
+	4	92	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	106
+	94	104
+	3	92	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	104
+	89	104
+	92	106
+	4	94	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	104
+	92	106
+	3	94	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	106
+	82	106
+	79	104
+	4	77	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	106
+	79	104
+	3	77	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	104
+	79	104
+	82	106
+	4	84	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	104
+	82	106
+	3	84	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	106
+	92	106
+	89	104
+	4	87	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	106
+	89	104
+	3	87	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	104
+	84	104
+	87	106
+	4	89	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	104
+	87	106
+	3	89	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	106
+	87	106
+	84	104
+	4	82	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	106
+	84	104
+	3	82	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	107
+	152	105
+	149	104
+	4	147	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	105
+	149	104
+	3	147	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	103
+	149	104
+	152	105
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	104
+	152	105
+	3	155	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	110
+	134	110
+	132	108
+	4	129	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	110
+	132	108
+	3	129	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	108
+	132	108
+	134	110
+	4	137	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	108
+	134	110
+	3	137	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	108
+	127	107
+	129	110
+	4	132	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	107
+	129	110
+	3	132	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	110
+	139	110
+	137	108
+	4	134	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	110
+	137	108
+	3	134	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	107
+	137	108
+	139	110
+	4	142	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	108
+	139	110
+	3	142	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	109
+	129	110
+	127	107
+	4	124	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	110
+	127	107
+	3	124	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	107
+	122	107
+	124	109
+	4	127	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	107
+	124	109
+	3	127	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	110
+	144	109
+	142	107
+	4	139	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	109
+	142	107
+	3	139	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	107
+	142	107
+	144	109
+	4	147	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	107
+	144	109
+	3	147	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	215	118
+	220	115
+	217	114
+	4	215	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	115
+	217	114
+	3	215	118	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	223	112
+	217	114
+	220	115
+	4	223	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	114
+	220	115
+	3	223	112	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	217	114
+	223	112
+	220	111
+	4	217	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	112
+	220	111
+	3	217	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	109
+	124	109
+	122	107
+	4	119	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	109
+	122	107
+	3	119	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	107
+	117	107
+	119	109
+	4	122	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	107
+	119	109
+	3	122	107	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	225	109
+	220	111
+	223	112
+	4	225	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	111
+	223	112
+	3	225	109	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	220	111
+	225	109
+	222	107
+	4	220	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	109
+	222	107
+	3	220	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	111
+	180	102
+	183	103
+	4	185	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	102
+	183	103
+	3	185	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	102
+	185	111
+	182	106
+	4	180	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	111
+	182	106
+	3	180	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	102
+	165	100
+	162	100
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	100
+	162	100
+	3	160	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	99
+	162	100
+	165	100
+	4	167	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	100
+	165	100
+	3	167	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	125
+	208	123
+	205	125
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	123
+	205	125
+	3	203	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	210	122
+	205	125
+	208	123
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	125
+	208	123
+	3	210	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	120
+	218	117
+	215	118
+	4	212	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	117
+	215	118
+	3	212	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	220	115
+	215	118
+	218	117
+	4	220	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	118
+	218	117
+	3	220	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	108
+	119	109
+	117	107
+	4	114	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	109
+	117	107
+	3	114	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	107
+	112	107
+	114	108
+	4	117	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	107
+	114	108
+	3	117	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	142
+	157	141
+	155	135
+	4	152	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	141
+	155	135
+	3	152	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	140
+	152	142
+	149	136
+	4	147	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	142
+	149	136
+	3	147	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	135
+	149	136
+	152	142
+	4	155	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	136
+	152	142
+	3	155	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	101
+	182	106
+	180	103
+	4	177	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	106
+	180	103
+	3	177	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	103
+	175	100
+	177	101
+	4	180	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	100
+	177	101
+	3	180	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	100
+	175	100
+	172	100
+	4	170	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	100
+	172	100
+	3	170	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	100
+	167	99
+	170	100
+	4	172	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	99
+	170	100
+	3	172	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	108
+	114	108
+	112	107
+	4	109	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	108
+	112	107
+	3	109	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	107
+	107	106
+	109	108
+	4	112	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	106
+	109	108
+	3	112	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	109
+	149	108
+	147	107
+	4	144	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	108
+	147	107
+	3	144	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	105
+	147	107
+	149	108
+	4	152	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	107
+	149	108
+	3	152	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	105
+	157	104
+	155	103
+	4	152	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	104
+	155	103
+	3	152	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	102
+	155	103
+	157	104
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	157	104
+	3	160	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	100
+	170	100
+	167	99
+	4	165	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	100
+	167	99
+	3	165	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	108
+	109	108
+	107	106
+	4	104	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	108
+	107	106
+	3	104	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	106
+	102	106
+	104	108
+	4	107	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	106
+	104	108
+	3	107	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	112
+	137	112
+	134	110
+	4	132	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	112
+	134	110
+	3	132	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	110
+	134	110
+	137	112
+	4	139	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	110
+	137	112
+	3	139	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	110
+	129	110
+	132	112
+	4	134	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	110
+	132	112
+	3	134	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	108
+	104	108
+	102	106
+	4	99	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	108
+	102	106
+	3	99	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	106
+	97	106
+	99	108
+	4	102	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	106
+	99	108
+	3	102	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	112
+	142	112
+	139	110
+	4	137	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	112
+	139	110
+	3	137	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	109
+	139	110
+	142	112
+	4	144	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	110
+	142	112
+	3	144	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	108
+	99	108
+	97	106
+	4	94	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	108
+	97	106
+	3	94	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	106
+	92	106
+	94	108
+	4	97	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	106
+	94	108
+	3	97	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	108
+	79	108
+	77	106
+	4	74	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	108
+	77	106
+	3	74	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	106
+	77	106
+	79	108
+	4	82	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	106
+	79	108
+	3	82	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	111
+	132	112
+	129	110
+	4	127	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	112
+	129	110
+	3	127	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	110
+	124	109
+	127	111
+	4	129	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	109
+	127	111
+	3	129	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	108
+	94	108
+	92	106
+	4	89	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	108
+	92	106
+	3	89	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	106
+	87	106
+	89	108
+	4	92	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	106
+	89	108
+	3	92	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	108
+	84	108
+	82	106
+	4	79	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	108
+	82	106
+	3	79	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	106
+	82	106
+	84	108
+	4	87	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	106
+	84	108
+	3	87	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	106
+	177	101
+	180	102
+	4	182	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	101
+	180	102
+	3	182	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	108
+	89	108
+	87	106
+	4	84	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	108
+	87	106
+	3	84	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	159
+	139	146
+	142	153
+	4	144	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	142	153
+	3	144	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	146
+	144	159
+	142	150
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	159
+	142	150
+	3	139	146	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	210	122
+	215	120
+	212	120
+	4	210	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	120
+	212	120
+	3	210	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	117
+	212	120
+	215	120
+	4	218	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	120
+	215	120
+	3	218	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	111
+	201	121
+	197	127
+	4	196	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	121
+	197	127
+	3	196	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	125
+	197	127
+	201	121
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	127
+	201	121
+	3	203	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	127
+	193	114
+	196	111
+	4	197	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	114
+	196	111
+	3	197	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	111
+	127	111
+	124	109
+	4	122	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	111
+	124	109
+	3	122	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	109
+	119	109
+	122	111
+	4	124	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	109
+	122	111
+	3	124	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	112
+	147	111
+	144	109
+	4	142	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	111
+	144	109
+	3	142	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	108
+	144	109
+	147	111
+	4	149	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	109
+	147	111
+	3	149	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	141
+	162	130
+	160	128
+	4	157	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	130
+	160	128
+	3	157	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	128
+	155	135
+	157	141
+	4	160	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	135
+	157	141
+	3	160	128	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	223	112
+	228	111
+	225	109
+	4	223	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	111
+	225	109
+	3	223	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	108
+	155	106
+	152	105
+	4	149	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	106
+	152	105
+	3	149	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	104
+	152	105
+	155	106
+	4	157	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	105
+	155	106
+	3	157	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	110
+	122	111
+	119	109
+	4	117	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	111
+	119	109
+	3	117	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	109
+	114	108
+	117	110
+	4	119	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	108
+	117	110
+	3	119	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	152
+	139	143
+	142	150
+	4	144	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	143
+	142	150
+	3	144	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	143
+	144	152
+	142	144
+	4	139	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	152
+	142	144
+	3	139	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	104
+	162	102
+	160	102
+	4	157	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	102
+	160	102
+	3	157	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	100
+	160	102
+	162	102
+	4	165	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	162	102
+	3	165	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	110
+	117	110
+	114	108
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	110
+	114	108
+	3	112	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	108
+	109	108
+	112	110
+	4	114	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	108
+	112	110
+	3	114	108	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	220	115
+	225	113
+	223	112
+	4	220	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	113
+	223	112
+	3	220	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	228	111
+	223	112
+	225	113
+	4	228	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	112
+	225	113
+	3	228	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	114
+	139	114
+	137	112
+	4	134	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	114
+	137	112
+	3	134	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	112
+	137	112
+	139	114
+	4	142	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	112
+	139	114
+	3	142	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	112
+	132	112
+	134	114
+	4	137	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	112
+	134	114
+	3	137	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	175
+	165	174
+	162	183
+	4	160	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	174
+	162	183
+	3	160	175	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	176
+	162	183
+	165	174
+	4	167	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	165	174
+	3	167	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	114
+	134	114
+	132	112
+	4	129	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	114
+	132	112
+	3	129	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	112
+	127	111
+	129	114
+	4	132	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	111
+	129	114
+	3	132	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	110
+	112	110
+	109	108
+	4	107	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	109	108
+	3	107	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	108
+	104	108
+	107	110
+	4	109	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	108
+	107	110
+	3	109	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	114
+	144	114
+	142	112
+	4	139	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	114
+	142	112
+	3	139	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	111
+	142	112
+	144	114
+	4	147	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	112
+	144	114
+	3	147	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	111
+	152	109
+	149	108
+	4	147	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	109
+	149	108
+	3	147	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	106
+	149	108
+	152	109
+	4	155	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	108
+	152	109
+	3	155	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	140
+	142	136
+	144	143
+	4	147	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	136
+	144	143
+	3	147	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	142	136
+	147	140
+	144	134
+	4	142	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	140
+	144	134
+	3	142	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	136
+	144	134
+	147	140
+	4	149	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	134
+	147	140
+	3	149	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	109
+	107	110
+	104	108
+	4	101	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	110
+	104	108
+	3	101	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	108
+	99	108
+	101	109
+	4	104	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	108
+	101	109
+	3	104	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	113
+	129	114
+	127	111
+	4	124	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	114
+	127	111
+	3	124	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	111
+	122	111
+	124	113
+	4	127	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	111
+	124	113
+	3	127	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	218	117
+	223	116
+	220	115
+	4	218	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	116
+	220	115
+	3	218	117	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	225	113
+	220	115
+	223	116
+	4	225	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	115
+	223	116
+	3	225	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	109
+	101	109
+	99	108
+	4	96	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	109
+	99	108
+	3	96	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	108
+	94	108
+	96	109
+	4	99	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	108
+	96	109
+	3	99	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	109
+	76	109
+	74	108
+	4	71	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	109
+	74	108
+	3	71	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	108
+	74	108
+	76	109
+	4	79	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	108
+	76	109
+	3	79	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	109
+	81	109
+	79	108
+	4	76	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	109
+	79	108
+	3	76	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	108
+	79	108
+	81	109
+	4	84	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	108
+	81	109
+	3	84	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	109
+	96	109
+	94	108
+	4	91	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	109
+	94	108
+	3	91	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	108
+	89	108
+	91	109
+	4	94	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	108
+	91	109
+	3	94	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	123
+	213	121
+	210	122
+	4	208	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	121
+	210	122
+	3	208	123	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	120
+	210	122
+	213	121
+	4	215	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	122
+	213	121
+	3	215	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	109
+	86	109
+	84	108
+	4	81	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	109
+	84	108
+	3	81	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	108
+	84	108
+	86	109
+	4	89	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	108
+	86	109
+	3	89	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	109
+	91	109
+	89	108
+	4	86	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	109
+	89	108
+	3	86	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	102
+	167	100
+	165	100
+	4	162	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	100
+	165	100
+	3	162	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	100
+	165	100
+	167	100
+	4	170	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	100
+	167	100
+	3	170	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	100
+	177	101
+	175	100
+	4	172	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	101
+	175	100
+	3	172	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	100
+	170	100
+	172	100
+	4	175	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	100
+	172	100
+	3	175	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	114
+	149	113
+	147	111
+	4	144	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	147	111
+	3	144	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	109
+	147	111
+	149	113
+	4	152	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	111
+	149	113
+	3	152	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	106
+	160	104
+	157	104
+	4	155	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	104
+	157	104
+	3	155	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	102
+	157	104
+	160	104
+	4	162	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	104
+	160	104
+	3	162	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	112
+	124	113
+	122	111
+	4	119	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	113
+	122	111
+	3	119	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	111
+	117	110
+	119	112
+	4	122	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	110
+	119	112
+	3	122	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	225	113
+	231	112
+	228	111
+	4	225	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	112
+	228	111
+	3	225	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	117
+	142	117
+	139	114
+	4	137	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	117
+	139	114
+	3	137	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	114
+	139	114
+	142	117
+	4	144	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	114
+	142	117
+	3	144	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	114
+	134	114
+	137	117
+	4	139	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	114
+	137	117
+	3	139	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	136
+	155	135
+	152	130
+	4	149	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	135
+	152	130
+	3	149	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	134
+	149	136
+	147	130
+	4	144	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	136
+	147	130
+	3	144	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	130
+	147	130
+	149	136
+	4	152	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	130
+	149	136
+	3	152	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	143
+	139	138
+	142	144
+	4	144	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	138
+	142	144
+	3	144	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	138
+	144	143
+	142	136
+	4	139	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	143
+	142	136
+	3	139	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	116
+	137	117
+	134	114
+	4	132	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	117
+	134	114
+	3	132	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	114
+	129	114
+	132	116
+	4	134	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	114
+	132	116
+	3	134	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	112
+	119	112
+	117	110
+	4	114	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	112
+	117	110
+	3	114	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	110
+	112	110
+	114	112
+	4	117	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	110
+	114	112
+	3	117	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	100
+	172	100
+	170	100
+	4	167	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	100
+	170	100
+	3	167	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	120
+	221	118
+	218	117
+	4	215	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	118
+	218	117
+	3	215	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	116
+	218	117
+	221	118
+	4	223	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	117
+	221	118
+	3	223	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	121
+	206	122
+	203	125
+	4	201	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	122
+	203	125
+	3	201	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	123
+	203	125
+	206	122
+	4	208	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	206	122
+	3	208	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	117
+	147	116
+	144	114
+	4	142	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	116
+	144	114
+	3	142	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	113
+	144	114
+	147	116
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	114
+	147	116
+	3	149	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	164
+	139	145
+	142	148
+	4	144	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	145
+	142	148
+	3	144	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	145
+	144	164
+	142	153
+	4	139	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	164
+	142	153
+	3	139	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	115
+	132	116
+	129	114
+	4	127	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	116
+	129	114
+	3	127	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	114
+	124	113
+	127	115
+	4	129	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	113
+	127	115
+	3	129	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	111
+	114	112
+	112	110
+	4	109	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	112
+	112	110
+	3	109	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	110
+	107	110
+	109	111
+	4	112	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	110
+	109	111
+	3	112	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	109
+	157	107
+	155	106
+	4	152	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	107
+	155	106
+	3	152	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	104
+	155	106
+	157	107
+	4	160	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	106
+	157	107
+	3	160	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	135
+	160	128
+	157	126
+	4	155	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	128
+	157	126
+	3	155	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	126
+	152	130
+	155	135
+	4	157	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	130
+	155	135
+	3	157	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	111
+	109	111
+	107	110
+	4	104	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	111
+	107	110
+	3	104	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	110
+	101	109
+	104	111
+	4	107	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	109
+	104	111
+	3	107	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	223	116
+	228	114
+	225	113
+	4	223	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	114
+	225	113
+	3	223	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	231	112
+	225	113
+	228	114
+	4	231	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	113
+	228	114
+	3	231	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	119
+	144	119
+	142	117
+	4	139	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	119
+	142	117
+	3	139	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	116
+	142	117
+	144	119
+	4	147	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	117
+	144	119
+	3	147	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	117
+	137	117
+	139	119
+	4	142	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	117
+	139	119
+	3	142	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	114
+	127	115
+	124	113
+	4	122	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	115
+	124	113
+	3	122	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	113
+	119	112
+	122	114
+	4	124	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	112
+	122	114
+	3	124	113	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	119
+	139	119
+	137	117
+	4	134	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	119
+	137	117
+	3	134	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	117
+	132	116
+	134	119
+	4	137	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	116
+	134	119
+	3	137	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	111
+	73	111
+	71	109
+	4	68	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	111
+	71	109
+	3	68	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	109
+	71	109
+	73	111
+	4	76	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	109
+	73	111
+	3	76	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	111
+	104	111
+	101	109
+	4	99	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	111
+	101	109
+	3	99	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	109
+	96	109
+	99	111
+	4	101	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	109
+	99	111
+	3	101	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	113
+	155	110
+	152	109
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	110
+	152	109
+	3	149	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	107
+	152	109
+	155	110
+	4	157	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	109
+	155	110
+	3	157	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	111
+	78	111
+	76	109
+	4	73	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	111
+	76	109
+	3	73	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	109
+	76	109
+	78	111
+	4	81	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	109
+	78	111
+	3	81	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	111
+	99	111
+	96	109
+	4	94	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	111
+	96	109
+	3	94	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	109
+	91	109
+	94	111
+	4	96	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	109
+	94	111
+	3	96	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	111
+	84	111
+	81	109
+	4	78	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	111
+	81	109
+	3	78	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	109
+	81	109
+	84	111
+	4	86	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	109
+	84	111
+	3	86	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	111
+	94	111
+	91	109
+	4	89	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	111
+	91	109
+	3	89	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	109
+	86	109
+	89	111
+	4	91	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	109
+	89	111
+	3	91	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	111
+	89	111
+	86	109
+	4	84	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	111
+	86	109
+	3	84	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	116
+	152	114
+	149	113
+	4	147	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	114
+	149	113
+	3	147	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	110
+	149	113
+	152	114
+	4	155	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	152	114
+	3	155	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	104
+	165	101
+	162	102
+	4	160	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	101
+	162	102
+	3	160	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	100
+	162	102
+	165	101
+	4	167	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	102
+	165	101
+	3	167	100	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	134
+	139	131
+	142	136
+	4	144	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	131
+	142	136
+	3	144	134	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	131
+	144	134
+	142	129
+	4	139	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	134
+	142	129
+	3	139	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	130
+	142	129
+	144	134
+	4	147	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	129
+	144	134
+	3	147	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	130
+	152	130
+	149	126
+	4	147	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	130
+	149	126
+	3	147	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	129
+	147	130
+	144	126
+	4	142	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	130
+	144	126
+	3	142	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	126
+	144	126
+	147	130
+	4	149	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	126
+	147	130
+	3	149	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	119
+	149	118
+	147	116
+	4	144	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	118
+	147	116
+	3	144	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	114
+	147	116
+	149	118
+	4	152	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	116
+	149	118
+	3	152	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	121
+	218	120
+	215	120
+	4	213	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	120
+	215	120
+	3	213	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	118
+	215	120
+	218	120
+	4	221	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	120
+	218	120
+	3	221	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	118
+	134	119
+	132	116
+	4	129	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	119
+	132	116
+	3	129	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	116
+	127	115
+	129	118
+	4	132	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	115
+	129	118
+	3	132	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	114
+	122	114
+	119	112
+	4	116	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	114
+	119	112
+	3	116	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	112
+	114	112
+	116	114
+	4	119	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	112
+	116	114
+	3	119	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	114
+	233	114
+	231	112
+	4	228	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	114
+	231	112
+	3	228	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	122
+	147	122
+	144	119
+	4	142	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	122
+	144	119
+	3	142	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	118
+	144	119
+	147	122
+	4	149	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	119
+	147	122
+	3	149	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	119
+	139	119
+	142	122
+	4	144	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	119
+	142	122
+	3	144	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	122
+	142	122
+	139	119
+	4	137	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	122
+	139	119
+	3	137	122	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	139	119
+	134	119
+	137	122
+	4	139	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	119
+	137	122
+	3	139	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	4
+	215	91
+	214	77
+	4	218	4	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	91
+	214	77
+	3	218	4	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	118
+	226	117
+	223	116
+	4	221	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	117
+	223	116
+	3	221	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	114
+	223	116
+	226	117
+	4	228	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	116
+	226	117
+	3	228	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	130
+	157	126
+	155	123
+	4	152	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	126
+	155	123
+	3	152	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	123
+	149	126
+	152	130
+	4	155	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	126
+	152	130
+	3	155	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	122
+	211	122
+	208	123
+	4	206	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	122
+	208	123
+	3	206	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	121
+	208	123
+	211	122
+	4	213	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	123
+	211	122
+	3	213	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	113
+	116	114
+	114	112
+	4	111	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	114
+	114	112
+	3	111	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	112
+	109	111
+	111	113
+	4	114	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	111
+	111	113
+	3	114	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	99
+	180	102
+	177	101
+	4	175	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	102
+	177	101
+	3	175	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	101
+	172	100
+	175	99
+	4	177	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	100
+	175	99
+	3	177	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	144	126
+	149	126
+	147	122
+	4	144	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	126
+	147	122
+	3	144	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	126
+	139	125
+	142	129
+	4	144	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	125
+	142	129
+	3	144	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	125
+	144	126
+	142	122
+	4	139	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	126
+	142	122
+	3	139	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	122
+	142	122
+	144	126
+	4	147	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	122
+	144	126
+	3	147	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	122
+	137	122
+	139	125
+	4	142	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	122
+	139	125
+	3	142	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	117
+	129	118
+	127	115
+	4	124	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	118
+	127	115
+	3	124	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	115
+	122	114
+	124	117
+	4	127	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	114
+	124	117
+	3	127	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	121
+	147	122
+	149	126
+	4	152	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	122
+	149	126
+	3	152	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	122
+	152	121
+	149	118
+	4	147	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	121
+	149	118
+	3	147	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	144
+	137	138
+	139	143
+	4	142	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	138
+	139	143
+	3	142	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	138
+	142	144
+	139	138
+	4	137	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	144
+	139	138
+	3	137	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	126
+	155	123
+	152	121
+	4	149	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	123
+	152	121
+	3	149	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	120
+	137	122
+	134	119
+	4	132	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	122
+	134	119
+	3	132	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	119
+	129	118
+	132	120
+	4	134	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	118
+	132	120
+	3	134	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	113
+	111	113
+	109	111
+	4	106	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	113
+	109	111
+	3	106	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	111
+	104	111
+	106	113
+	4	109	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	111
+	106	113
+	3	109	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	142
+	175	162
+	178	156
+	4	181	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	162
+	178	156
+	3	181	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	175	162
+	181	142
+	178	141
+	4	175	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	142
+	178	141
+	3	175	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	136
+	137	133
+	139	138
+	4	142	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	133
+	139	138
+	3	142	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	133
+	142	136
+	139	131
+	4	137	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	136
+	139	131
+	3	137	133	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	142	129
+	137	127
+	139	131
+	4	142	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	127
+	139	131
+	3	142	129	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	137	127
+	142	129
+	139	125
+	4	137	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	129
+	139	125
+	3	137	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	107
+	162	104
+	160	104
+	4	157	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	104
+	160	104
+	3	157	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	101
+	160	104
+	162	104
+	4	165	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	104
+	162	104
+	3	165	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	115
+	149	118
+	152	121
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	118
+	152	121
+	3	155	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	118
+	155	115
+	152	114
+	4	149	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	115
+	152	114
+	3	149	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	113
+	71	113
+	68	111
+	4	66	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	113
+	68	111
+	3	66	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	111
+	68	111
+	71	113
+	4	73	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	111
+	71	113
+	3	73	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	112
+	106	113
+	104	111
+	4	101	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	113
+	104	111
+	3	101	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	111
+	99	111
+	101	112
+	4	104	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	111
+	101	112
+	3	104	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	175
+	175	166
+	172	172
+	4	170	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	166
+	172	172
+	3	170	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	160
+	172	172
+	175	166
+	4	178	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	172
+	175	166
+	3	178	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	172
+	178	160
+	175	166
+	4	172	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	160
+	175	166
+	3	172	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	101
+	170	99
+	167	100
+	4	165	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	99
+	167	100
+	3	165	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	100
+	167	100
+	170	99
+	4	172	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	100
+	170	99
+	3	172	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	71	113
+	76	112
+	73	111
+	4	71	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	112
+	73	111
+	3	71	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	111
+	73	111
+	76	112
+	4	78	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	111
+	76	112
+	3	78	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	116
+	124	117
+	122	114
+	4	119	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	117
+	122	114
+	3	119	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	114
+	116	114
+	119	116
+	4	122	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	114
+	119	116
+	3	122	114	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	134	124
+	139	125
+	137	122
+	4	134	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	125
+	137	122
+	3	134	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	122
+	132	120
+	134	124
+	4	137	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	120
+	134	124
+	3	137	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	117
+	231	116
+	228	114
+	4	226	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	116
+	228	114
+	3	226	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	114
+	228	114
+	231	116
+	4	233	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	114
+	231	116
+	3	233	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	112
+	101	112
+	99	111
+	4	96	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	112
+	99	111
+	3	96	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	111
+	94	111
+	96	112
+	4	99	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	111
+	96	112
+	3	99	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	112
+	81	112
+	78	111
+	4	76	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	112
+	78	111
+	3	76	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	111
+	78	111
+	81	112
+	4	84	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	111
+	81	112
+	3	84	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	167	176
+	173	169
+	170	175
+	4	167	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	169
+	170	175
+	3	167	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	166
+	170	175
+	173	169
+	4	175	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	175
+	173	169
+	3	175	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	112
+	96	112
+	94	111
+	4	91	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	112
+	94	111
+	3	91	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	111
+	89	111
+	91	112
+	4	94	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	111
+	91	112
+	3	94	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	112
+	86	112
+	84	111
+	4	81	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	112
+	84	111
+	3	81	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	111
+	84	111
+	86	112
+	4	89	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	111
+	86	112
+	3	89	111	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	139	125
+	134	124
+	137	127
+	4	139	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	124
+	137	127
+	3	139	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	112
+	91	112
+	89	111
+	4	86	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	112
+	89	111
+	3	86	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	120
+	223	119
+	221	118
+	4	218	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	119
+	221	118
+	3	218	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	117
+	221	118
+	223	119
+	4	226	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	118
+	223	119
+	3	226	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	150
+	137	141
+	139	146
+	4	142	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	141
+	139	146
+	3	142	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	141
+	142	150
+	139	143
+	4	137	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	150
+	139	143
+	3	137	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	111
+	152	114
+	155	115
+	4	157	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	114
+	155	115
+	3	157	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	114
+	157	111
+	155	110
+	4	152	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	111
+	155	110
+	3	152	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	119
+	132	120
+	129	118
+	4	127	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	120
+	129	118
+	3	127	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	118
+	124	117
+	127	119
+	4	129	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	117
+	127	119
+	3	129	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	110
+	160	107
+	157	107
+	4	155	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	107
+	157	107
+	3	155	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	104
+	157	107
+	160	107
+	4	162	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	107
+	160	107
+	3	162	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	99
+	175	99
+	172	100
+	4	170	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	99
+	172	100
+	3	170	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	122
+	216	121
+	213	121
+	4	211	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	121
+	213	121
+	3	211	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	120
+	213	121
+	216	121
+	4	218	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	121
+	216	121
+	3	218	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	107
+	155	110
+	157	111
+	4	160	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	110
+	157	111
+	3	160	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	115
+	119	116
+	116	114
+	4	114	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	116
+	116	114
+	3	114	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	114
+	111	113
+	114	115
+	4	116	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	113
+	114	115
+	3	116	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	231	116
+	236	115
+	233	114
+	4	231	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	115
+	233	114
+	3	231	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	116
+	152	121
+	155	123
+	4	157	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	121
+	155	123
+	3	157	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	121
+	157	116
+	155	115
+	4	152	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	116
+	155	115
+	3	152	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	131
+	134	128
+	137	133
+	4	139	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	128
+	137	133
+	3	139	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	128
+	139	131
+	137	127
+	4	134	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	131
+	137	127
+	3	134	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	122
+	134	124
+	132	120
+	4	129	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	124
+	132	120
+	3	129	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	120
+	127	119
+	129	122
+	4	132	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	119
+	129	122
+	3	132	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	115
+	114	115
+	111	113
+	4	109	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	115
+	111	113
+	3	109	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	113
+	106	113
+	109	115
+	4	111	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	113
+	109	115
+	3	111	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	118
+	127	119
+	124	117
+	4	121	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	119
+	124	117
+	3	121	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	117
+	119	116
+	121	118
+	4	124	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	116
+	121	118
+	3	124	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	119
+	229	118
+	226	117
+	4	223	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	118
+	226	117
+	3	223	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	116
+	226	117
+	229	118
+	4	231	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	117
+	229	118
+	3	231	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	63	115
+	68	114
+	66	113
+	4	63	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	114
+	66	113
+	3	63	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	113
+	66	113
+	68	114
+	4	71	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	113
+	68	114
+	3	71	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	114
+	109	115
+	106	113
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	115
+	106	113
+	3	104	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	113
+	101	112
+	104	114
+	4	106	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	112
+	104	114
+	3	106	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	125
+	137	127
+	134	124
+	4	132	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	127
+	134	124
+	3	132	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	124
+	129	122
+	132	125
+	4	134	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	122
+	132	125
+	3	134	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	127
+	132	125
+	134	128
+	4	137	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	125
+	134	128
+	3	137	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	68	114
+	73	114
+	71	113
+	4	68	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	114
+	71	113
+	3	68	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	76	112
+	71	113
+	73	114
+	4	76	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	113
+	73	114
+	3	76	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	114
+	104	114
+	101	112
+	4	98	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	101	112
+	3	98	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	112
+	96	112
+	98	114
+	4	101	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	112
+	98	114
+	3	101	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	97
+	183	103
+	180	102
+	4	178	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	103
+	180	102
+	3	178	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	102
+	175	99
+	178	97
+	4	180	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	99
+	178	97
+	3	180	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	121
+	221	120
+	218	120
+	4	216	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	120
+	218	120
+	3	216	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	223	119
+	218	120
+	221	120
+	4	223	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	120
+	221	120
+	3	223	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	114
+	78	114
+	76	112
+	4	73	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	114
+	76	112
+	3	73	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	112
+	76	112
+	78	114
+	4	81	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	112
+	78	114
+	3	81	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	138
+	134	133
+	137	138
+	4	139	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	137	138
+	3	139	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	133
+	139	138
+	137	133
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	138
+	137	133
+	3	134	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	114
+	83	114
+	81	112
+	4	78	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	114
+	81	112
+	3	78	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	112
+	81	112
+	83	114
+	4	86	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	112
+	83	114
+	3	86	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	114
+	98	114
+	96	112
+	4	93	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	114
+	96	112
+	3	93	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	112
+	91	112
+	93	114
+	4	96	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	112
+	93	114
+	3	96	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	116
+	155	123
+	157	126
+	4	160	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	123
+	157	126
+	3	160	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	123
+	160	116
+	157	116
+	4	155	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	116
+	157	116
+	3	155	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	117
+	121	118
+	119	116
+	4	116	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	118
+	119	116
+	3	116	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	116
+	114	115
+	116	117
+	4	119	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	115
+	116	117
+	3	119	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	114
+	88	114
+	86	112
+	4	83	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	114
+	86	112
+	3	83	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	112
+	86	112
+	88	114
+	4	91	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	112
+	88	114
+	3	91	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	114
+	93	114
+	91	112
+	4	88	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	114
+	91	112
+	3	88	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	118
+	234	117
+	231	116
+	4	229	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	117
+	231	116
+	3	229	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	236	115
+	231	116
+	234	117
+	4	236	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	116
+	234	117
+	3	236	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	104
+	167	100
+	165	101
+	4	162	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	100
+	165	101
+	3	162	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	99
+	165	101
+	167	100
+	4	170	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	101
+	167	100
+	3	170	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	120
+	129	122
+	127	119
+	4	124	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	122
+	127	119
+	3	124	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	119
+	121	118
+	124	120
+	4	127	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	118
+	124	120
+	3	127	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	110
+	155	115
+	157	116
+	4	160	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	115
+	157	116
+	3	160	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	115
+	160	110
+	157	111
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	110
+	157	111
+	3	155	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	117
+	239	117
+	236	115
+	4	234	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	117
+	236	115
+	3	234	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	153
+	175	166
+	178	160
+	4	181	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	166
+	178	160
+	3	181	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	166
+	181	153
+	178	156
+	4	175	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	153
+	178	156
+	3	175	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	116
+	116	117
+	114	115
+	4	111	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	117
+	114	115
+	3	111	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	115
+	109	115
+	111	116
+	4	114	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	115
+	111	116
+	3	114	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	120
+	226	120
+	223	119
+	4	221	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	120
+	223	119
+	3	221	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	118
+	223	119
+	226	120
+	4	229	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	119
+	226	120
+	3	229	118	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	165	174
+	170	170
+	167	176
+	4	165	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	170
+	167	176
+	3	165	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	169
+	167	176
+	170	170
+	4	173	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	176
+	170	170
+	3	173	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	120
+	209	121
+	206	122
+	4	204	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	206	122
+	3	204	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	122
+	206	122
+	209	121
+	4	211	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	122
+	209	121
+	3	211	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	122
+	201	121
+	204	120
+	4	206	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	121
+	204	120
+	3	206	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	115
+	157	126
+	160	128
+	4	162	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	126
+	160	128
+	3	162	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	126
+	162	115
+	160	116
+	4	157	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	115
+	160	116
+	3	157	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	123
+	132	125
+	129	122
+	4	126	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	125
+	129	122
+	3	126	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	122
+	124	120
+	126	123
+	4	129	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	120
+	126	123
+	3	129	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	117
+	65	116
+	63	115
+	4	60	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	116
+	63	115
+	3	60	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	68	114
+	63	115
+	65	116
+	4	68	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	115
+	65	116
+	3	68	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	116
+	111	116
+	109	115
+	4	106	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	116
+	109	115
+	3	106	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	115
+	104	114
+	106	116
+	4	109	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	114
+	106	116
+	3	109	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	133
+	132	129
+	134	133
+	4	137	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	129
+	134	133
+	3	137	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	129
+	137	133
+	134	128
+	4	132	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	133
+	134	128
+	3	132	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	121
+	214	122
+	211	122
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	122
+	211	122
+	3	209	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	121
+	211	122
+	214	122
+	4	216	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	122
+	214	122
+	3	216	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	119
+	124	120
+	121	118
+	4	119	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	120
+	121	118
+	3	119	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	118
+	116	117
+	119	119
+	4	121	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	117
+	119	119
+	3	121	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	116
+	70	116
+	68	114
+	4	65	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	116
+	68	114
+	3	65	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	73	114
+	68	114
+	70	116
+	4	73	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	114
+	70	116
+	3	73	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	111
+	184	85
+	189	56
+	4	188	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	85
+	189	56
+	3	188	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	85
+	188	111
+	185	104
+	4	184	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	111
+	185	104
+	3	184	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	107
+	165	102
+	162	104
+	4	160	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	102
+	162	104
+	3	160	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	100
+	162	104
+	165	102
+	4	167	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	104
+	165	102
+	3	167	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	143
+	134	137
+	137	141
+	4	139	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	137
+	137	141
+	3	139	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	137
+	139	143
+	137	138
+	4	134	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	143
+	137	138
+	3	134	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	105
+	157	111
+	160	110
+	4	162	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	111
+	160	110
+	3	162	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	111
+	162	105
+	160	107
+	4	157	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	105
+	160	107
+	3	157	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	116
+	75	116
+	73	114
+	4	70	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	116
+	73	114
+	3	70	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	114
+	73	114
+	75	116
+	4	78	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	114
+	75	116
+	3	78	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	101	116
+	106	116
+	104	114
+	4	101	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	116
+	104	114
+	3	101	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	114
+	98	114
+	101	116
+	4	104	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	114
+	101	116
+	3	104	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	120
+	231	119
+	229	118
+	4	226	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	119
+	229	118
+	3	226	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	117
+	229	118
+	231	119
+	4	234	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	118
+	231	119
+	3	234	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	126
+	134	128
+	132	125
+	4	129	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	128
+	132	125
+	3	129	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	125
+	126	123
+	129	126
+	4	132	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	123
+	129	126
+	3	132	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	128
+	129	126
+	132	129
+	4	134	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	126
+	132	129
+	3	134	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	116
+	80	115
+	78	114
+	4	75	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	115
+	78	114
+	3	75	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	114
+	78	114
+	80	115
+	4	83	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	114
+	80	115
+	3	83	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	115
+	101	116
+	98	114
+	4	96	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	116
+	98	114
+	3	96	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	114
+	93	114
+	96	115
+	4	98	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	114
+	96	115
+	3	98	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	115
+	85	115
+	83	114
+	4	80	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	115
+	83	114
+	3	80	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	114
+	83	114
+	85	115
+	4	88	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	114
+	85	115
+	3	88	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	122
+	219	122
+	216	121
+	4	214	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	122
+	216	121
+	3	214	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	120
+	216	121
+	219	122
+	4	221	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	121
+	219	122
+	3	221	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	102
+	160	107
+	162	105
+	4	165	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	107
+	162	105
+	3	165	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	115
+	96	115
+	93	114
+	4	91	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	115
+	93	114
+	3	91	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	114
+	88	114
+	91	115
+	4	93	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	114
+	91	115
+	3	93	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	115
+	91	115
+	88	114
+	4	85	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	115
+	88	114
+	3	85	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	100
+	173	97
+	170	99
+	4	167	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	97
+	170	99
+	3	167	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	99
+	170	99
+	173	97
+	4	175	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	99
+	173	97
+	3	175	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	153
+	136	141
+	139	145
+	4	142	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	141
+	139	145
+	3	142	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	141
+	142	153
+	139	146
+	4	136	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	153
+	139	146
+	3	136	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	113
+	204	120
+	201	121
+	4	199	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	120
+	201	121
+	3	199	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	121
+	196	111
+	199	113
+	4	201	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	111
+	199	113
+	3	201	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	119
+	237	119
+	234	117
+	4	231	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	119
+	234	117
+	3	231	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	117
+	234	117
+	237	119
+	4	239	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	117
+	237	119
+	3	239	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	109
+	160	128
+	162	130
+	4	165	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	128
+	162	130
+	3	165	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	128
+	165	109
+	162	115
+	4	160	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	109
+	162	115
+	3	160	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	118
+	119	119
+	116	117
+	4	114	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	119
+	116	117
+	3	114	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	117
+	111	116
+	114	118
+	4	116	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	116
+	114	118
+	3	116	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	94
+	185	104
+	183	103
+	4	181	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	104
+	183	103
+	3	181	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	103
+	178	97
+	181	94
+	4	183	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	97
+	181	94
+	3	183	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	119
+	242	119
+	239	117
+	4	237	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	119
+	239	117
+	3	237	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	97
+	178	97
+	175	99
+	4	173	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	97
+	175	99
+	3	173	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	122
+	126	123
+	124	120
+	4	121	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	123
+	124	120
+	3	121	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	120
+	119	119
+	121	122
+	4	124	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	119
+	121	122
+	3	124	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	122
+	224	121
+	221	120
+	4	219	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	121
+	221	120
+	3	219	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	120
+	221	120
+	224	121
+	4	226	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	120
+	224	121
+	3	226	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	118
+	62	118
+	60	117
+	4	57	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	118
+	60	117
+	3	57	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	116
+	60	117
+	62	118
+	4	65	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	117
+	62	118
+	3	65	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	118
+	114	118
+	111	116
+	4	108	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	118
+	111	116
+	3	108	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	116
+	106	116
+	108	118
+	4	111	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	116
+	108	118
+	3	111	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	109
+	157	116
+	160	116
+	4	162	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	116
+	160	116
+	3	162	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	116
+	162	109
+	160	110
+	4	157	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	109
+	160	110
+	3	157	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	62	118
+	67	118
+	65	116
+	4	62	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	118
+	65	116
+	3	62	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	116
+	65	116
+	67	118
+	4	70	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	116
+	67	118
+	3	70	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	121
+	229	121
+	226	120
+	4	224	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	121
+	226	120
+	3	224	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	119
+	226	120
+	229	121
+	4	231	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	120
+	229	121
+	3	231	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	118
+	72	117
+	70	116
+	4	67	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	117
+	70	116
+	3	67	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	116
+	70	116
+	72	117
+	4	75	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	116
+	72	117
+	3	75	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	117
+	108	118
+	106	116
+	4	103	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	118
+	106	116
+	3	103	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	116
+	101	116
+	103	117
+	4	106	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	116
+	103	117
+	3	106	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	138
+	131	133
+	134	137
+	4	137	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	133
+	134	137
+	3	137	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	133
+	137	138
+	134	133
+	4	131	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	138
+	134	133
+	3	131	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	124
+	129	126
+	126	123
+	4	124	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	126
+	126	123
+	3	124	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	123
+	121	122
+	124	124
+	4	126	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	122
+	124	124
+	3	126	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	93
+	162	130
+	165	132
+	4	169	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	130
+	165	132
+	3	169	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	130
+	169	93
+	165	109
+	4	162	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	93
+	165	109
+	3	162	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	117
+	78	117
+	75	116
+	4	72	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	117
+	75	116
+	3	72	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	115
+	75	116
+	78	117
+	4	80	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	116
+	78	117
+	3	80	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	120
+	121	122
+	119	119
+	4	116	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	122
+	119	119
+	3	116	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	119
+	114	118
+	116	120
+	4	119	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	118
+	116	120
+	3	119	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	117
+	103	117
+	101	116
+	4	98	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	117
+	101	116
+	3	98	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	116
+	96	115
+	98	117
+	4	101	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	115
+	98	117
+	3	101	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	117
+	83	117
+	80	115
+	4	78	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	117
+	80	115
+	3	78	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	115
+	80	115
+	83	117
+	4	85	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	115
+	83	117
+	3	85	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	121
+	234	121
+	231	119
+	4	229	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	121
+	231	119
+	3	229	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	119
+	231	119
+	234	121
+	4	237	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	119
+	234	121
+	3	237	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	117
+	98	117
+	96	115
+	4	93	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	117
+	96	115
+	3	93	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	115
+	91	115
+	93	117
+	4	96	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	115
+	93	117
+	3	96	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	117
+	88	117
+	85	115
+	4	83	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	117
+	85	115
+	3	83	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	115
+	85	115
+	88	117
+	4	91	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	115
+	88	117
+	3	91	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	117
+	93	117
+	91	115
+	4	88	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	117
+	91	115
+	3	88	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	104
+	181	94
+	184	85
+	4	185	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	94
+	184	85
+	3	185	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	234	121
+	240	120
+	237	119
+	4	234	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	120
+	237	119
+	3	234	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	119
+	237	119
+	240	120
+	4	242	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	119
+	240	120
+	3	242	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	127
+	132	129
+	129	126
+	4	126	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	129
+	129	126
+	3	126	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	126
+	124	124
+	126	127
+	4	129	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	124
+	126	127
+	3	129	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	120
+	245	120
+	242	119
+	4	240	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	120
+	242	119
+	3	240	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	133
+	129	130
+	131	133
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	130
+	131	133
+	3	134	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	130
+	134	133
+	132	129
+	4	129	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	132	129
+	3	129	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	120
+	59	120
+	57	118
+	4	54	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	120
+	57	118
+	3	54	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	118
+	57	118
+	59	120
+	4	62	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	118
+	59	120
+	3	62	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	129
+	126	127
+	129	130
+	4	132	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	127
+	129	130
+	3	132	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	119
+	116	120
+	114	118
+	4	111	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	120
+	114	118
+	3	111	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	118
+	108	118
+	111	119
+	4	114	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	118
+	111	119
+	3	114	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	122
+	217	123
+	214	122
+	4	211	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	123
+	214	122
+	3	211	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	122
+	214	122
+	217	123
+	4	219	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	122
+	217	123
+	3	219	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	122
+	209	121
+	211	122
+	4	214	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	211	122
+	3	214	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	102
+	170	97
+	167	100
+	4	165	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	97
+	167	100
+	3	165	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	97
+	167	100
+	170	97
+	4	173	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	100
+	170	97
+	3	173	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	120
+	65	120
+	62	118
+	4	59	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	120
+	62	118
+	3	59	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	118
+	62	118
+	65	120
+	4	67	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	118
+	65	120
+	3	67	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	123
+	222	123
+	219	122
+	4	217	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	123
+	219	122
+	3	217	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	121
+	219	122
+	222	123
+	4	224	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	122
+	222	123
+	3	224	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	122
+	124	124
+	121	122
+	4	119	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	124
+	121	122
+	3	119	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	121	122
+	116	120
+	119	122
+	4	121	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	120
+	119	122
+	3	121	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	59
+	196	111
+	193	114
+	4	194	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	111
+	193	114
+	3	194	59	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	193	114
+	194	18
+	194	59
+	4	193	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	18
+	194	59
+	3	193	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	120
+	211	122
+	209	121
+	4	206	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	122
+	209	121
+	3	206	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	121
+	204	120
+	206	120
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	120
+	206	120
+	3	209	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	65	120
+	70	119
+	67	118
+	4	65	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	119
+	67	118
+	3	65	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	117
+	67	118
+	70	119
+	4	72	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	118
+	70	119
+	3	72	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	119
+	111	119
+	108	118
+	4	106	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	119
+	108	118
+	3	106	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	118
+	103	117
+	106	119
+	4	108	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	117
+	106	119
+	3	108	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	123
+	227	123
+	224	121
+	4	222	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	123
+	224	121
+	3	222	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	121
+	224	121
+	227	123
+	4	229	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	121
+	227	123
+	3	229	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	103
+	160	110
+	162	109
+	4	165	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	110
+	162	109
+	3	165	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	110
+	165	103
+	162	105
+	4	160	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	103
+	162	105
+	3	160	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	70	119
+	75	119
+	72	117
+	4	70	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	119
+	72	117
+	3	70	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	78	117
+	72	117
+	75	119
+	4	78	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	117
+	75	119
+	3	78	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	146
+	134	138
+	136	141
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	136	141
+	3	139	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	138
+	139	146
+	137	141
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	137	141
+	3	134	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	123
+	232	122
+	229	121
+	4	227	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	122
+	229	121
+	3	227	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	121
+	229	121
+	232	122
+	4	234	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	121
+	232	122
+	3	234	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	119
+	106	119
+	103	117
+	4	100	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	119
+	103	117
+	3	100	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	117
+	98	117
+	100	119
+	4	103	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	117
+	100	119
+	3	103	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	75	119
+	80	119
+	78	117
+	4	75	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	119
+	78	117
+	3	75	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	117
+	78	117
+	80	119
+	4	83	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	117
+	80	119
+	3	83	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	34
+	165	132
+	168	129
+	4	173	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	132
+	168	129
+	3	173	34	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	132
+	173	34
+	169	93
+	4	165	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	34
+	169	93
+	3	165	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	119
+	85	118
+	83	117
+	4	80	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	118
+	83	117
+	3	80	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	117
+	83	117
+	85	118
+	4	88	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	117
+	85	118
+	3	88	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	118
+	100	119
+	98	117
+	4	95	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	119
+	98	117
+	3	95	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	117
+	93	117
+	95	118
+	4	98	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	117
+	95	118
+	3	98	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	122
+	237	122
+	234	121
+	4	232	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	122
+	234	121
+	3	232	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	240	120
+	234	121
+	237	122
+	4	240	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	121
+	237	122
+	3	240	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	118
+	90	118
+	88	117
+	4	85	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	118
+	88	117
+	3	85	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	117
+	88	117
+	90	118
+	4	93	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	117
+	90	118
+	3	93	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	118
+	95	118
+	93	117
+	4	90	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	118
+	93	117
+	3	90	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	122
+	57	122
+	54	120
+	4	52	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	122
+	54	120
+	3	52	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	120
+	54	120
+	57	122
+	4	59	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	120
+	57	122
+	3	59	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	237	122
+	242	122
+	240	120
+	4	237	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	122
+	240	120
+	3	237	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	245	120
+	240	120
+	242	122
+	4	245	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	120
+	242	122
+	3	245	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	159
+	163	168
+	160	175
+	4	157	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	168
+	160	175
+	3	157	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	174
+	160	175
+	163	168
+	4	165	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	175
+	163	168
+	3	165	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	175
+	155	158
+	157	159
+	4	160	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	158
+	157	159
+	3	160	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	121
+	119	122
+	116	120
+	4	113	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	122
+	116	120
+	3	113	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	120
+	111	119
+	113	121
+	4	116	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	119
+	113	121
+	3	116	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	125
+	126	127
+	124	124
+	4	121	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	127
+	124	124
+	3	121	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	124
+	119	122
+	121	125
+	4	124	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	122
+	121	125
+	3	124	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	105
+	168	99
+	165	102
+	4	162	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	99
+	165	102
+	3	162	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	97
+	165	102
+	168	99
+	4	170	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	102
+	168	99
+	3	170	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	122
+	248	122
+	245	120
+	4	242	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	122
+	245	120
+	3	242	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	57	122
+	62	122
+	59	120
+	4	57	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	122
+	59	120
+	3	57	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	120
+	59	120
+	62	122
+	4	65	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	120
+	62	122
+	3	65	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	104
+	160	116
+	162	115
+	4	165	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	116
+	162	115
+	3	165	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	116
+	165	104
+	162	109
+	4	160	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	104
+	162	109
+	3	160	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	99
+	162	105
+	165	103
+	4	168	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	105
+	165	103
+	3	168	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	122
+	67	121
+	65	120
+	4	62	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	121
+	65	120
+	3	62	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	70	119
+	65	120
+	67	121
+	4	70	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	120
+	67	121
+	3	70	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	115
+	206	120
+	204	120
+	4	202	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	120
+	204	120
+	3	202	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	120
+	199	113
+	202	115
+	4	204	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	113
+	202	115
+	3	204	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	168
+	168	169
+	165	174
+	4	163	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	169
+	165	174
+	3	163	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	170	170
+	165	174
+	168	169
+	4	170	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	174
+	168	169
+	3	170	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	121
+	113	121
+	111	119
+	4	108	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	121
+	111	119
+	3	108	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	119
+	106	119
+	108	121
+	4	111	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	119
+	108	121
+	3	111	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	97
+	176	94
+	173	97
+	4	170	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	94
+	173	97
+	3	170	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	97
+	173	97
+	176	94
+	4	178	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	97
+	176	94
+	3	178	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	127
+	129	130
+	126	127
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	130
+	126	127
+	3	124	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	127
+	121	125
+	124	127
+	4	126	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	125
+	124	127
+	3	126	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	67	121
+	72	121
+	70	119
+	4	67	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	121
+	70	119
+	3	67	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	119
+	70	119
+	72	121
+	4	75	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	119
+	72	121
+	3	75	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	141
+	131	135
+	134	138
+	4	137	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	135
+	134	138
+	3	137	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	135
+	137	141
+	134	137
+	4	131	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	141
+	134	137
+	3	131	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	144
+	178	156
+	181	153
+	4	184	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	156
+	181	153
+	3	184	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	178	156
+	184	144
+	181	142
+	4	178	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	144
+	181	142
+	3	178	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	94
+	181	94
+	178	97
+	4	176	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	94
+	178	97
+	3	176	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	124
+	225	124
+	222	123
+	4	219	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	124
+	222	123
+	3	219	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	123
+	222	123
+	225	124
+	4	227	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	123
+	225	124
+	3	227	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	123
+	217	123
+	219	124
+	4	222	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	123
+	219	124
+	3	222	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	123
+	219	124
+	217	123
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	124
+	217	123
+	3	214	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	123
+	211	122
+	214	123
+	4	217	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	122
+	214	123
+	3	217	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	121
+	77	120
+	75	119
+	4	72	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	120
+	75	119
+	3	72	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	80	119
+	75	119
+	77	120
+	4	80	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	119
+	77	120
+	3	80	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	120
+	108	121
+	106	119
+	4	103	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	121
+	106	119
+	3	103	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	119
+	100	119
+	103	120
+	4	106	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	119
+	103	120
+	3	106	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	124
+	230	124
+	227	123
+	4	225	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	124
+	227	123
+	3	225	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	122
+	227	123
+	230	124
+	4	232	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	123
+	230	124
+	3	232	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	124
+	54	124
+	52	122
+	4	49	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	124
+	52	122
+	3	49	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	122
+	52	122
+	54	124
+	4	57	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	122
+	54	124
+	3	57	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	123
+	121	125
+	119	122
+	4	116	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	125
+	119	122
+	3	116	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	122
+	113	121
+	116	123
+	4	119	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	121
+	116	123
+	3	119	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	230	124
+	235	124
+	232	122
+	4	230	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	124
+	232	122
+	3	230	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	122
+	232	122
+	235	124
+	4	237	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	122
+	235	124
+	3	237	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	120
+	82	120
+	80	119
+	4	77	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	120
+	80	119
+	3	77	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	118
+	80	119
+	82	120
+	4	85	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	119
+	82	120
+	3	85	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	129
+	131	133
+	129	130
+	4	126	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	133
+	129	130
+	3	126	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	130
+	124	127
+	126	129
+	4	129	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	126	129
+	3	129	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	120
+	103	120
+	100	119
+	4	98	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	120
+	100	119
+	3	98	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	119
+	95	118
+	98	120
+	4	100	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	118
+	98	120
+	3	100	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	169
+	178	162
+	175	166
+	4	173	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	162
+	175	166
+	3	173	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	157
+	175	166
+	178	162
+	4	181	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	166
+	178	162
+	3	181	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	166
+	181	157
+	178	160
+	4	175	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	157
+	178	160
+	3	175	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	124
+	240	124
+	237	122
+	4	235	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	124
+	237	122
+	3	235	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	122
+	237	122
+	240	124
+	4	242	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	122
+	240	124
+	3	242	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	120
+	87	120
+	85	118
+	4	82	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	120
+	85	118
+	3	82	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	118
+	85	118
+	87	120
+	4	90	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	118
+	87	120
+	3	90	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	122
+	214	123
+	211	122
+	4	209	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	211	122
+	3	209	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	122
+	206	120
+	209	122
+	4	211	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	120
+	209	122
+	3	211	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	137
+	129	132
+	131	135
+	4	134	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	132
+	131	135
+	3	134	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	132
+	134	137
+	131	133
+	4	129	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	137
+	131	133
+	3	129	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	124
+	59	124
+	57	122
+	4	54	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	124
+	57	122
+	3	54	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	122
+	57	122
+	59	124
+	4	62	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	122
+	59	124
+	3	62	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	124
+	245	124
+	242	122
+	4	240	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	124
+	242	122
+	3	240	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	248	122
+	242	122
+	245	124
+	4	248	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	122
+	245	124
+	3	248	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	120
+	98	120
+	95	118
+	4	93	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	120
+	95	118
+	3	93	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	118
+	90	118
+	93	120
+	4	95	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	118
+	93	120
+	3	95	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	120
+	93	120
+	90	118
+	4	87	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	120
+	90	118
+	3	87	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	124
+	250	124
+	248	122
+	4	245	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	124
+	248	122
+	3	245	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	133
+	126	129
+	129	132
+	4	131	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	129
+	129	132
+	3	131	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	170	170
+	176	165
+	173	169
+	4	170	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	165
+	173	169
+	3	170	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	162
+	173	169
+	176	165
+	4	178	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	169
+	176	165
+	3	178	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	124
+	64	123
+	62	122
+	4	59	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	123
+	62	122
+	3	59	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	121
+	62	122
+	64	123
+	4	67	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	122
+	64	123
+	3	67	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	122
+	116	123
+	113	121
+	4	111	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	123
+	113	121
+	3	111	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	121
+	108	121
+	111	122
+	4	113	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	121
+	111	122
+	3	113	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	64	123
+	69	123
+	67	121
+	4	64	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	123
+	67	121
+	3	64	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	72	121
+	67	121
+	69	123
+	4	72	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	121
+	69	123
+	3	72	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	125
+	124	127
+	121	125
+	4	118	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	121	125
+	3	118	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	125
+	116	123
+	118	125
+	4	121	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	123
+	118	125
+	3	121	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	127
+	51	126
+	49	124
+	4	46	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	126
+	49	124
+	3	46	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	124
+	49	124
+	51	126
+	4	54	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	124
+	51	126
+	3	54	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	69	123
+	74	122
+	72	121
+	4	69	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	122
+	72	121
+	3	69	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	77	120
+	72	121
+	74	122
+	4	77	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	121
+	74	122
+	3	77	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	122
+	111	122
+	108	121
+	4	105	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	122
+	108	121
+	3	105	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	121
+	103	120
+	105	122
+	4	108	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	120
+	105	122
+	3	108	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	126
+	56	126
+	54	124
+	4	51	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	126
+	54	124
+	3	51	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	59	124
+	54	124
+	56	126
+	4	59	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	124
+	56	126
+	3	59	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	74	122
+	79	122
+	77	120
+	4	74	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	122
+	77	120
+	3	74	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	82	120
+	77	120
+	79	122
+	4	82	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	120
+	79	122
+	3	82	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	125
+	227	125
+	225	124
+	4	222	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	125
+	225	124
+	3	222	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	124
+	225	124
+	227	125
+	4	230	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	124
+	227	125
+	3	230	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	124
+	219	124
+	222	125
+	4	225	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	124
+	222	125
+	3	225	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	125
+	233	126
+	230	124
+	4	227	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	126
+	230	124
+	3	227	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	124
+	230	124
+	233	126
+	4	235	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	124
+	233	126
+	3	235	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	152
+	178	160
+	181	157
+	4	184	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	160
+	181	157
+	3	184	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	160
+	184	152
+	181	153
+	4	178	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	152
+	181	153
+	3	178	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	126
+	238	125
+	235	124
+	4	233	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	125
+	235	124
+	3	233	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	124
+	235	124
+	238	125
+	4	240	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	124
+	238	125
+	3	240	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	118
+	209	122
+	206	120
+	4	204	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	122
+	206	120
+	3	204	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	120
+	202	115
+	204	118
+	4	206	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	115
+	204	118
+	3	206	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	125
+	222	125
+	219	124
+	4	217	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	125
+	219	124
+	3	217	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	124
+	214	123
+	217	125
+	4	219	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	217	125
+	3	219	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	125
+	243	125
+	240	124
+	4	238	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	125
+	240	124
+	3	238	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	124
+	240	124
+	243	125
+	4	245	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	124
+	243	125
+	3	245	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	121
+	105	122
+	103	120
+	4	100	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	122
+	103	120
+	3	100	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	120
+	98	120
+	100	121
+	4	103	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	120
+	100	121
+	3	103	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	122
+	85	121
+	82	120
+	4	79	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	121
+	82	120
+	3	79	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	120
+	82	120
+	85	121
+	4	87	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	120
+	85	121
+	3	87	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	125
+	248	125
+	245	124
+	4	243	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	125
+	245	124
+	3	243	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	124
+	245	124
+	248	125
+	4	250	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	124
+	248	125
+	3	250	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	248	125
+	253	125
+	250	124
+	4	248	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	125
+	250	124
+	3	248	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	56	126
+	61	125
+	59	124
+	4	56	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	125
+	59	124
+	3	56	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	123
+	59	124
+	61	125
+	4	64	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	124
+	61	125
+	3	64	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	121
+	90	121
+	87	120
+	4	85	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	121
+	87	120
+	3	85	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	120
+	87	120
+	90	121
+	4	93	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	120
+	90	121
+	3	93	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	121
+	100	121
+	98	120
+	4	95	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	121
+	98	120
+	3	95	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	120
+	93	120
+	95	121
+	4	98	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	120
+	95	121
+	3	98	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	121
+	95	121
+	93	120
+	4	90	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	121
+	93	120
+	3	90	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	127
+	126	129
+	124	127
+	4	121	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	129
+	124	127
+	3	121	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	127
+	118	125
+	121	127
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	125
+	121	127
+	3	124	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	123
+	217	125
+	214	123
+	4	212	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	125
+	214	123
+	3	212	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	123
+	209	122
+	212	123
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	122
+	212	123
+	3	214	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	124
+	118	125
+	116	123
+	4	113	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	125
+	116	123
+	3	113	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	123
+	111	122
+	113	124
+	4	116	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	122
+	113	124
+	3	116	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	98
+	162	109
+	165	104
+	4	168	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	109
+	165	104
+	3	168	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	109
+	168	98
+	165	103
+	4	162	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	98
+	165	103
+	3	162	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	99
+	173	93
+	170	97
+	4	168	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	93
+	170	97
+	3	168	99	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/complexexp.ps b/books/ps/complexexp.ps
new file mode 100644
index 0000000..b598e04
--- /dev/null
+++ b/books/ps/complexexp.ps
@@ -0,0 +1,14050 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	-77	368	334	57	psDrawLine
+	globGC	(X)	-82	373	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	379	368	-32	57	psDrawLine
+	globGC	(Y)	384	373	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	-28	150	360	psDrawLine
+	globGC	(Z)	155	-33	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.687500	setForeground
+	renderGC
+	156	76
+	145	76
+	150	72
+	4	156	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	76
+	150	72
+	3	156	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	80
+	150	80
+	156	76
+	4	161	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	80
+	156	76
+	3	161	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	76
+	156	76
+	150	80
+	4	145	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	76
+	150	80
+	3	145	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	80
+	140	79
+	145	76
+	4	150	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	145	76
+	3	150	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	85
+	156	84
+	161	80
+	4	166	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	84
+	161	80
+	3	166	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	80
+	161	80
+	156	84
+	4	150	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	80
+	156	84
+	3	150	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	84
+	145	83
+	150	80
+	4	156	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	83
+	150	80
+	3	156	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	79
+	150	80
+	145	83
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	80
+	145	83
+	3	140	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	83
+	134	83
+	140	79
+	4	145	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	83
+	140	79
+	3	145	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	89
+	161	89
+	166	85
+	4	172	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	89
+	166	85
+	3	172	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	84
+	166	85
+	161	89
+	4	156	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	85
+	161	89
+	3	156	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	89
+	150	88
+	156	84
+	4	161	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	88
+	156	84
+	3	161	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	83
+	156	84
+	150	88
+	4	145	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	84
+	150	88
+	3	145	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	88
+	140	87
+	145	83
+	4	150	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	87
+	145	83
+	3	150	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	83
+	145	83
+	140	87
+	4	134	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	83
+	140	87
+	3	134	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	87
+	129	86
+	134	83
+	4	140	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	86
+	134	83
+	3	140	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	93
+	166	93
+	172	89
+	4	177	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	93
+	172	89
+	3	177	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	89
+	172	89
+	166	93
+	4	161	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	89
+	166	93
+	3	161	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	93
+	156	92
+	161	89
+	4	166	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	92
+	161	89
+	3	166	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	88
+	161	89
+	156	92
+	4	150	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	89
+	156	92
+	3	150	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	92
+	145	92
+	150	88
+	4	156	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	92
+	150	88
+	3	156	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	87
+	150	88
+	145	92
+	4	140	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	88
+	145	92
+	3	140	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	92
+	134	91
+	140	87
+	4	145	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	91
+	140	87
+	3	145	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	86
+	140	87
+	134	91
+	4	129	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	87
+	134	91
+	3	129	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	91
+	124	90
+	129	86
+	4	134	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	90
+	129	86
+	3	134	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	98
+	172	97
+	177	93
+	4	183	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	97
+	177	93
+	3	183	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	93
+	177	93
+	172	97
+	4	166	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	93
+	172	97
+	3	166	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	97
+	161	97
+	166	93
+	4	172	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	97
+	166	93
+	3	172	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	92
+	166	93
+	161	97
+	4	156	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	93
+	161	97
+	3	156	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	97
+	150	96
+	156	92
+	4	161	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	96
+	156	92
+	3	161	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	92
+	156	92
+	150	96
+	4	145	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	92
+	150	96
+	3	145	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	96
+	140	95
+	145	92
+	4	150	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	95
+	145	92
+	3	150	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	91
+	145	92
+	140	95
+	4	134	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	92
+	140	95
+	3	134	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	95
+	129	94
+	134	91
+	4	140	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	94
+	134	91
+	3	140	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	90
+	134	91
+	129	94
+	4	124	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	91
+	129	94
+	3	124	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	102
+	177	102
+	183	98
+	4	188	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	102
+	183	98
+	3	188	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	97
+	183	98
+	177	102
+	4	172	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	98
+	177	102
+	3	172	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	102
+	166	101
+	172	97
+	4	177	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	101
+	172	97
+	3	177	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	97
+	172	97
+	166	101
+	4	161	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	97
+	166	101
+	3	161	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	94
+	118	93
+	124	90
+	4	129	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	93
+	124	90
+	3	129	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	101
+	156	101
+	161	97
+	4	166	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	101
+	161	97
+	3	166	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	96
+	161	97
+	156	101
+	4	150	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	97
+	156	101
+	3	150	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	101
+	145	100
+	150	96
+	4	156	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	100
+	150	96
+	3	156	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	95
+	150	96
+	145	100
+	4	140	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	96
+	145	100
+	3	140	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	100
+	134	99
+	140	95
+	4	145	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	99
+	140	95
+	3	145	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	94
+	140	95
+	134	99
+	4	129	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	95
+	134	99
+	3	129	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	106
+	183	106
+	188	102
+	4	193	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	106
+	188	102
+	3	193	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	102
+	188	102
+	183	106
+	4	177	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	102
+	183	106
+	3	177	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	106
+	172	106
+	177	102
+	4	183	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	106
+	177	102
+	3	183	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	101
+	177	102
+	172	106
+	4	166	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	102
+	172	106
+	3	166	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	99
+	123	97
+	129	94
+	4	134	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	97
+	129	94
+	3	134	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	93
+	129	94
+	123	97
+	4	118	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	94
+	123	97
+	3	118	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	106
+	161	105
+	166	101
+	4	172	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	105
+	166	101
+	3	172	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	101
+	166	101
+	161	105
+	4	156	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	101
+	161	105
+	3	156	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	105
+	150	105
+	156	101
+	4	161	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	105
+	156	101
+	3	161	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	100
+	156	101
+	150	105
+	4	145	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	101
+	150	105
+	3	145	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	97
+	113	96
+	118	93
+	4	123	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	96
+	118	93
+	3	123	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	105
+	140	103
+	145	100
+	4	150	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	103
+	145	100
+	3	150	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	99
+	145	100
+	140	103
+	4	134	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	100
+	140	103
+	3	134	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	103
+	129	102
+	134	99
+	4	140	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	102
+	134	99
+	3	140	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	97
+	134	99
+	129	102
+	4	123	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	99
+	129	102
+	3	123	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	111
+	188	111
+	193	106
+	4	199	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	111
+	193	106
+	3	199	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	106
+	193	106
+	188	111
+	4	183	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	106
+	188	111
+	3	183	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	111
+	177	111
+	183	106
+	4	188	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	111
+	183	106
+	3	188	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	106
+	183	106
+	177	111
+	4	172	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	106
+	177	111
+	3	172	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	111
+	167	110
+	172	106
+	4	177	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	110
+	172	106
+	3	177	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	105
+	172	106
+	167	110
+	4	161	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	106
+	167	110
+	3	161	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	110
+	156	109
+	161	105
+	4	167	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	109
+	161	105
+	3	167	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	105
+	161	105
+	156	109
+	4	150	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	105
+	156	109
+	3	150	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	102
+	118	101
+	123	97
+	4	129	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	123	97
+	3	129	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	96
+	123	97
+	118	101
+	4	113	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	97
+	118	101
+	3	113	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	109
+	145	108
+	150	105
+	4	156	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	108
+	150	105
+	3	156	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	103
+	150	105
+	145	108
+	4	140	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	105
+	145	108
+	3	140	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	101
+	107	99
+	113	96
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	99
+	113	96
+	3	118	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	108
+	134	107
+	140	103
+	4	145	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	107
+	140	103
+	3	145	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	102
+	140	103
+	134	107
+	4	129	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	103
+	134	107
+	3	129	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	115
+	183	115
+	188	111
+	4	194	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	115
+	188	111
+	3	194	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	111
+	188	111
+	183	115
+	4	177	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	111
+	183	115
+	3	177	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	111
+	199	111
+	194	115
+	4	188	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	111
+	194	115
+	3	188	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	115
+	172	115
+	177	111
+	4	183	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	115
+	177	111
+	3	183	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	110
+	177	111
+	172	115
+	4	167	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	111
+	172	115
+	3	167	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	115
+	194	115
+	199	111
+	4	205	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	115
+	199	111
+	3	205	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	115
+	161	114
+	167	110
+	4	172	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	114
+	167	110
+	3	172	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	109
+	167	110
+	161	114
+	4	156	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	110
+	161	114
+	3	156	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	107
+	123	105
+	129	102
+	4	134	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	105
+	129	102
+	3	134	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	101
+	129	102
+	123	105
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	102
+	123	105
+	3	118	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	114
+	150	113
+	156	109
+	4	161	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	113
+	156	109
+	3	161	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	108
+	156	109
+	150	113
+	4	145	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	109
+	150	113
+	3	145	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	113
+	139	112
+	145	108
+	4	150	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	112
+	145	108
+	3	150	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	107
+	145	108
+	139	112
+	4	134	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	108
+	139	112
+	3	134	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	105
+	112	104
+	118	101
+	4	123	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	104
+	118	101
+	3	123	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	99
+	118	101
+	112	104
+	4	107	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	112	104
+	3	107	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	120
+	177	120
+	183	115
+	4	188	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	120
+	183	115
+	3	188	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	115
+	183	115
+	177	120
+	4	172	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	115
+	177	120
+	3	172	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	115
+	194	115
+	188	120
+	4	183	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	115
+	188	120
+	3	183	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	119
+	188	120
+	194	115
+	4	199	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	120
+	194	115
+	3	199	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	115
+	205	115
+	199	119
+	4	194	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	115
+	199	119
+	3	194	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	120
+	167	119
+	172	115
+	4	177	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	119
+	172	115
+	3	177	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	114
+	172	115
+	167	119
+	4	161	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	115
+	167	119
+	3	161	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	119
+	199	119
+	205	115
+	4	210	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	119
+	205	115
+	3	210	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	112
+	129	110
+	134	107
+	4	139	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	110
+	134	107
+	3	139	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	105
+	134	107
+	129	110
+	4	123	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	107
+	129	110
+	3	123	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	104
+	101	102
+	107	99
+	4	112	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	102
+	107	99
+	3	112	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	119
+	156	119
+	161	114
+	4	167	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	119
+	161	114
+	3	167	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	113
+	161	114
+	156	119
+	4	150	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	114
+	156	119
+	3	150	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	119
+	145	117
+	150	113
+	4	156	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	117
+	150	113
+	3	156	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	112
+	150	113
+	145	117
+	4	139	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	113
+	145	117
+	3	139	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	110
+	118	108
+	123	105
+	4	129	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	108
+	123	105
+	3	129	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	104
+	123	105
+	118	108
+	4	112	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	105
+	118	108
+	3	112	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	124
+	172	124
+	177	120
+	4	183	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	124
+	177	120
+	3	183	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	119
+	177	120
+	172	124
+	4	167	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	120
+	172	124
+	3	167	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	120
+	188	120
+	183	124
+	4	177	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	120
+	183	124
+	3	177	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	124
+	183	124
+	188	120
+	4	194	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	124
+	188	120
+	3	194	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	120
+	199	119
+	194	124
+	4	188	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	119
+	194	124
+	3	188	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	117
+	134	115
+	139	112
+	4	145	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	115
+	139	112
+	3	145	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	110
+	139	112
+	134	115
+	4	129	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	112
+	134	115
+	3	129	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	124
+	194	124
+	199	119
+	4	205	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	124
+	199	119
+	3	205	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	119
+	210	119
+	205	124
+	4	199	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	119
+	205	124
+	3	199	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	124
+	161	124
+	167	119
+	4	172	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	124
+	167	119
+	3	172	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	119
+	167	119
+	161	124
+	4	156	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	119
+	161	124
+	3	156	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	108
+	107	107
+	112	104
+	4	118	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	107
+	112	104
+	3	118	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	102
+	112	104
+	107	107
+	4	101	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	104
+	107	107
+	3	101	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	123
+	205	124
+	210	119
+	4	216	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	124
+	210	119
+	3	216	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	124
+	150	123
+	156	119
+	4	161	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	123
+	156	119
+	3	161	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	117
+	156	119
+	150	123
+	4	145	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	119
+	150	123
+	3	145	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	115
+	123	113
+	129	110
+	4	134	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	113
+	129	110
+	3	134	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	108
+	129	110
+	123	113
+	4	118	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	110
+	123	113
+	3	118	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	107
+	96	105
+	101	102
+	4	107	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	105
+	101	102
+	3	107	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	123
+	139	121
+	145	117
+	4	150	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	121
+	145	117
+	3	150	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	115
+	145	117
+	139	121
+	4	134	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	117
+	139	121
+	3	134	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	129
+	178	129
+	183	124
+	4	189	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	129
+	183	124
+	3	189	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	124
+	183	124
+	178	129
+	4	172	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	124
+	178	129
+	3	172	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	124
+	194	124
+	189	129
+	4	183	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	124
+	189	129
+	3	183	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	129
+	167	129
+	172	124
+	4	178	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	129
+	172	124
+	3	178	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	124
+	172	124
+	167	129
+	4	161	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	124
+	167	129
+	3	161	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	128
+	189	129
+	194	124
+	4	199	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	129
+	194	124
+	3	199	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	124
+	205	124
+	199	128
+	4	194	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	124
+	199	128
+	3	194	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	113
+	112	111
+	118	108
+	4	123	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	111
+	118	108
+	3	123	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	107
+	118	108
+	112	111
+	4	107	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	108
+	112	111
+	3	107	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	129
+	156	128
+	161	124
+	4	167	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	128
+	161	124
+	3	167	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	123
+	161	124
+	156	128
+	4	150	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	124
+	156	128
+	3	150	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	128
+	199	128
+	205	124
+	4	210	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	128
+	205	124
+	3	210	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	124
+	216	123
+	210	128
+	4	205	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	123
+	210	128
+	3	205	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	121
+	128	118
+	134	115
+	4	139	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	118
+	134	115
+	3	139	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	113
+	134	115
+	128	118
+	4	123	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	115
+	128	118
+	3	123	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	127
+	210	128
+	216	123
+	4	221	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	128
+	216	123
+	3	221	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	128
+	145	126
+	150	123
+	4	156	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	126
+	150	123
+	3	156	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	121
+	150	123
+	145	126
+	4	139	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	123
+	145	126
+	3	139	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	111
+	101	109
+	107	107
+	4	112	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	109
+	107	107
+	3	112	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	105
+	107	107
+	101	109
+	4	96	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	107
+	101	109
+	3	96	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	134
+	172	134
+	178	129
+	4	183	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	134
+	178	129
+	3	183	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	129
+	178	129
+	172	134
+	4	167	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	129
+	172	134
+	3	167	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	129
+	189	129
+	183	134
+	4	178	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	129
+	183	134
+	3	178	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	133
+	183	134
+	189	129
+	4	194	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	134
+	189	129
+	3	194	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	129
+	199	128
+	194	133
+	4	189	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	128
+	194	133
+	3	189	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	134
+	161	134
+	167	129
+	4	172	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	134
+	167	129
+	3	172	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	128
+	167	129
+	161	134
+	4	156	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	129
+	161	134
+	3	156	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	118
+	117	116
+	123	113
+	4	128	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	116
+	123	113
+	3	128	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	111
+	123	113
+	117	116
+	4	112	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	113
+	117	116
+	3	112	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	133
+	194	133
+	199	128
+	4	205	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	133
+	199	128
+	3	205	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	128
+	210	128
+	205	133
+	4	199	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	128
+	205	133
+	3	199	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	126
+	134	124
+	139	121
+	4	145	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	124
+	139	121
+	3	145	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	118
+	139	121
+	134	124
+	4	128	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	121
+	134	124
+	3	128	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	109
+	90	108
+	96	105
+	4	101	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	108
+	96	105
+	3	101	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	134
+	150	132
+	156	128
+	4	161	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	132
+	156	128
+	3	161	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	126
+	156	128
+	150	132
+	4	145	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	128
+	150	132
+	3	145	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	132
+	205	133
+	210	128
+	4	216	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	133
+	210	128
+	3	216	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	128
+	221	127
+	216	132
+	4	210	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	127
+	216	132
+	3	210	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	131
+	216	132
+	221	127
+	4	227	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	132
+	221	127
+	3	227	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	116
+	106	114
+	112	111
+	4	117	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	114
+	112	111
+	3	117	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	109
+	112	111
+	106	114
+	4	101	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	111
+	106	114
+	3	101	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	139
+	167	139
+	172	134
+	4	178	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	139
+	172	134
+	3	178	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	134
+	172	134
+	167	139
+	4	161	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	134
+	167	139
+	3	161	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	134
+	183	134
+	178	139
+	4	172	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	134
+	178	139
+	3	172	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	139
+	178	139
+	183	134
+	4	189	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	139
+	183	134
+	3	189	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	134
+	194	133
+	189	139
+	4	183	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	133
+	189	139
+	3	183	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	132
+	139	130
+	145	126
+	4	150	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	130
+	145	126
+	3	150	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	124
+	145	126
+	139	130
+	4	134	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	126
+	139	130
+	3	134	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	124
+	123	121
+	128	118
+	4	134	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	121
+	128	118
+	3	134	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	116
+	128	118
+	123	121
+	4	117	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	118
+	123	121
+	3	117	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	139
+	156	138
+	161	134
+	4	167	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	138
+	161	134
+	3	167	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	132
+	161	134
+	156	138
+	4	150	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	134
+	156	138
+	3	150	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	138
+	189	139
+	194	133
+	4	200	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	139
+	194	133
+	3	200	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	133
+	205	133
+	200	138
+	4	194	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	133
+	200	138
+	3	194	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	137
+	200	138
+	205	133
+	4	211	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	138
+	205	133
+	3	211	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	133
+	216	132
+	211	137
+	4	205	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	132
+	211	137
+	3	205	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	114
+	95	112
+	101	109
+	4	106	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	112
+	101	109
+	3	106	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	108
+	101	109
+	95	112
+	4	90	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	109
+	95	112
+	3	90	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	138
+	145	136
+	150	132
+	4	156	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	136
+	150	132
+	3	156	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	130
+	150	132
+	145	136
+	4	139	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	132
+	145	136
+	3	139	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	130
+	128	127
+	134	124
+	4	139	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	127
+	134	124
+	3	139	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	121
+	134	124
+	128	127
+	4	123	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	124
+	128	127
+	3	123	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	135
+	211	137
+	216	132
+	4	222	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	137
+	216	132
+	3	222	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	132
+	227	131
+	222	135
+	4	216	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	131
+	222	135
+	3	216	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	121
+	112	119
+	117	116
+	4	123	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	119
+	117	116
+	3	123	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	114
+	117	116
+	112	119
+	4	106	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	116
+	112	119
+	3	106	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	144
+	172	144
+	178	139
+	4	183	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	144
+	178	139
+	3	183	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	139
+	178	139
+	172	144
+	4	167	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	139
+	172	144
+	3	167	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	139
+	189	139
+	183	144
+	4	178	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	139
+	183	144
+	3	178	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	144
+	161	144
+	167	139
+	4	172	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	144
+	167	139
+	3	172	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	138
+	167	139
+	161	144
+	4	156	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	139
+	161	144
+	3	156	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	112
+	84	110
+	90	108
+	4	95	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	110
+	90	108
+	3	95	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	143
+	183	144
+	189	139
+	4	194	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	144
+	189	139
+	3	194	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	139
+	200	138
+	194	143
+	4	189	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	138
+	194	143
+	3	189	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	233	134
+	222	135
+	227	131
+	4	233	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	135
+	227	131
+	3	233	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	144
+	150	142
+	156	138
+	4	161	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	142
+	156	138
+	3	161	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	136
+	156	138
+	150	142
+	4	145	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	138
+	150	142
+	3	145	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	142
+	194	143
+	200	138
+	4	205	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	143
+	200	138
+	3	205	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	138
+	211	137
+	205	142
+	4	200	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	137
+	205	142
+	3	200	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	136
+	134	133
+	139	130
+	4	145	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	139	130
+	3	145	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	127
+	139	130
+	134	133
+	4	128	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	130
+	134	133
+	3	128	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	119
+	101	116
+	106	114
+	4	112	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	116
+	106	114
+	3	112	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	112
+	106	114
+	101	116
+	4	95	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	114
+	101	116
+	3	95	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	127
+	117	124
+	123	121
+	4	128	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	124
+	123	121
+	3	128	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	119
+	123	121
+	117	124
+	4	112	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	121
+	117	124
+	3	112	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	150
+	167	150
+	172	144
+	4	178	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	150
+	172	144
+	3	178	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	144
+	172	144
+	167	150
+	4	161	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	144
+	167	150
+	3	161	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	144
+	183	144
+	178	150
+	4	172	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	144
+	178	150
+	3	172	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	140
+	205	142
+	211	137
+	4	216	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	142
+	211	137
+	3	216	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	137
+	222	135
+	216	140
+	4	211	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	135
+	216	140
+	3	211	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	150
+	156	149
+	161	144
+	4	167	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	149
+	161	144
+	3	167	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	142
+	161	144
+	156	149
+	4	150	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	144
+	156	149
+	3	150	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	148
+	178	150
+	183	144
+	4	189	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	150
+	183	144
+	3	189	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	144
+	194	143
+	189	148
+	4	183	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	143
+	189	148
+	3	183	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	142
+	139	139
+	145	136
+	4	150	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	139
+	145	136
+	3	150	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	133
+	145	136
+	139	139
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	136
+	139	139
+	3	134	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	139
+	216	140
+	222	135
+	4	227	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	140
+	222	135
+	3	227	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	135
+	233	134
+	227	139
+	4	222	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	134
+	227	139
+	3	222	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	116
+	90	114
+	95	112
+	4	101	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	114
+	95	112
+	3	101	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	110
+	95	112
+	90	114
+	4	84	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	112
+	90	114
+	3	84	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	147
+	189	148
+	194	143
+	4	200	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	148
+	194	143
+	3	200	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	143
+	205	142
+	200	147
+	4	194	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	142
+	200	147
+	3	194	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	149
+	145	146
+	150	142
+	4	156	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	146
+	150	142
+	3	156	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	139
+	150	142
+	145	146
+	4	139	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	142
+	145	146
+	3	139	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	133
+	123	129
+	128	127
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	129
+	128	127
+	3	134	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	124
+	128	127
+	123	129
+	4	117	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	127
+	123	129
+	3	117	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	155
+	161	155
+	167	150
+	4	172	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	155
+	167	150
+	3	172	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	149
+	167	150
+	161	155
+	4	156	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	150
+	161	155
+	3	156	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	150
+	178	150
+	172	155
+	4	167	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	150
+	172	155
+	3	167	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	138
+	227	139
+	233	134
+	4	239	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	139
+	233	134
+	3	239	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	124
+	106	121
+	112	119
+	4	117	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	121
+	112	119
+	3	117	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	116
+	112	119
+	106	121
+	4	101	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	119
+	106	121
+	3	101	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	154
+	172	155
+	178	150
+	4	183	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	155
+	178	150
+	3	183	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	150
+	189	148
+	183	154
+	4	178	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	148
+	183	154
+	3	178	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	145
+	200	147
+	205	142
+	4	211	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	147
+	205	142
+	3	211	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	142
+	216	140
+	211	145
+	4	205	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	140
+	211	145
+	3	205	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	114
+	79	113
+	84	110
+	4	90	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	113
+	84	110
+	3	90	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	155
+	150	153
+	156	149
+	4	161	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	156	149
+	3	161	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	146
+	156	149
+	150	153
+	4	145	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	149
+	150	153
+	3	145	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	152
+	183	154
+	189	148
+	4	194	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	154
+	189	148
+	3	194	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	148
+	200	147
+	194	152
+	4	189	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	147
+	194	152
+	3	189	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	139
+	128	135
+	134	133
+	4	139	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	135
+	134	133
+	3	139	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	129
+	134	133
+	128	135
+	4	123	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	128	135
+	3	123	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	144
+	211	145
+	216	140
+	4	222	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	145
+	216	140
+	3	222	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	140
+	227	139
+	222	144
+	4	216	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	139
+	222	144
+	3	216	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	161
+	156	161
+	161	155
+	4	167	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	161
+	161	155
+	3	167	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	161	155
+	156	161
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	155
+	156	161
+	3	150	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	155
+	172	155
+	167	161
+	4	161	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	155
+	167	161
+	3	161	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	160
+	167	161
+	172	155
+	4	178	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	161
+	172	155
+	3	178	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	155
+	183	154
+	178	160
+	4	172	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	154
+	178	160
+	3	172	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	121
+	95	118
+	101	116
+	4	106	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	118
+	101	116
+	3	106	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	114
+	101	116
+	95	118
+	4	90	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	116
+	95	118
+	3	90	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	129
+	112	125
+	117	124
+	4	123	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	125
+	117	124
+	3	123	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	121
+	117	124
+	112	125
+	4	106	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	124
+	112	125
+	3	106	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	151
+	194	152
+	200	147
+	4	206	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	152
+	200	147
+	3	206	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	147
+	211	145
+	206	151
+	4	200	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	145
+	206	151
+	3	200	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	143
+	222	144
+	227	139
+	4	233	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	144
+	227	139
+	3	233	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	139
+	239	138
+	233	143
+	4	227	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	138
+	233	143
+	3	227	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	146
+	134	141
+	139	139
+	4	145	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	141
+	139	139
+	3	145	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	135
+	139	139
+	134	141
+	4	128	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	139
+	134	141
+	3	128	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	158
+	178	160
+	183	154
+	4	189	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	160
+	183	154
+	3	189	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	154
+	194	152
+	189	158
+	4	183	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	152
+	189	158
+	3	183	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	139	148
+	145	146
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	148
+	145	146
+	3	150	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	141
+	145	146
+	139	148
+	4	134	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	146
+	139	148
+	3	134	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	167
+	161	168
+	167	161
+	4	172	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	168
+	167	161
+	3	172	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	161
+	167	161
+	161	168
+	4	156	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	161
+	161	168
+	3	156	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	161
+	178	160
+	172	167
+	4	167	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	160
+	172	167
+	3	167	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	141
+	233	143
+	239	138
+	4	244	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	143
+	239	138
+	3	244	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	161
+	145	157
+	150	153
+	4	156	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	157
+	150	153
+	3	156	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	148
+	150	153
+	145	157
+	4	139	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	145	157
+	3	139	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	118
+	84	117
+	90	114
+	4	95	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	117
+	90	114
+	3	95	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	113
+	90	114
+	84	117
+	4	79	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	114
+	84	117
+	3	79	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	149
+	206	151
+	211	145
+	4	217	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	151
+	211	145
+	3	217	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	145
+	222	144
+	217	149
+	4	211	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	144
+	217	149
+	3	211	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	168
+	150	165
+	156	161
+	4	161	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	165
+	156	161
+	3	161	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	157
+	156	161
+	150	165
+	4	145	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	161
+	150	165
+	3	145	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	156
+	189	158
+	194	152
+	4	200	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	158
+	194	152
+	3	200	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	152
+	206	151
+	200	156
+	4	194	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	151
+	200	156
+	3	194	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	164
+	172	167
+	178	160
+	4	184	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	167
+	178	160
+	3	184	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	160
+	189	158
+	184	164
+	4	178	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	158
+	184	164
+	3	178	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	135
+	117	130
+	123	129
+	4	128	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	130
+	123	129
+	3	128	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	125
+	123	129
+	117	130
+	4	112	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	129
+	117	130
+	3	112	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	173
+	156	174
+	161	168
+	4	167	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	174
+	161	168
+	3	167	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	165
+	161	168
+	156	174
+	4	150	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	168
+	156	174
+	3	150	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	168
+	172	167
+	167	173
+	4	161	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	167
+	167	173
+	3	161	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	125
+	100	122
+	106	121
+	4	112	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	122
+	106	121
+	3	112	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	118
+	106	121
+	100	122
+	4	95	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	121
+	100	122
+	3	95	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	117
+	73	115
+	79	113
+	4	84	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	115
+	79	113
+	3	84	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	147
+	217	149
+	222	144
+	4	228	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	149
+	222	144
+	3	228	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	144
+	233	143
+	228	147
+	4	222	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	143
+	228	147
+	3	222	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	171
+	167	173
+	172	167
+	4	178	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	173
+	172	167
+	3	178	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	167
+	184	164
+	178	171
+	4	172	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	164
+	178	171
+	3	172	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	154
+	200	156
+	206	151
+	4	211	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	156
+	206	151
+	3	211	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	151
+	217	149
+	211	154
+	4	206	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	149
+	211	154
+	3	206	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	146
+	228	147
+	233	143
+	4	239	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	147
+	233	143
+	3	239	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	143
+	244	141
+	239	146
+	4	233	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	141
+	239	146
+	3	233	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	162
+	184	164
+	189	158
+	4	195	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	164
+	189	158
+	3	195	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	158
+	200	156
+	195	162
+	4	189	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	156
+	195	162
+	3	189	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	141
+	123	136
+	128	135
+	4	134	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	136
+	128	135
+	3	134	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	130
+	128	135
+	123	136
+	4	117	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	135
+	123	136
+	3	117	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	180
+	150	179
+	156	174
+	4	161	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	179
+	156	174
+	3	161	180	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	168
+	156	174
+	150	179
+	4	145	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	174
+	150	179
+	3	145	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	174
+	145	168
+	150	165
+	4	156	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	168
+	150	165
+	3	156	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	174
+	167	173
+	161	180
+	4	156	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	173
+	161	180
+	3	156	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	158
+	150	165
+	145	168
+	4	139	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	165
+	145	168
+	3	139	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	165
+	139	158
+	145	157
+	4	150	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	158
+	145	157
+	3	150	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	177
+	161	180
+	167	173
+	4	173	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	180
+	167	173
+	3	173	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	173
+	178	171
+	173	177
+	4	167	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	171
+	173	177
+	3	167	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	122
+	89	120
+	95	118
+	4	100	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	120
+	95	118
+	3	100	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	84	117
+	95	118
+	89	120
+	4	84	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	118
+	89	120
+	3	84	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	145
+	239	146
+	244	141
+	4	250	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	146
+	244	141
+	3	250	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	148
+	128	142
+	134	141
+	4	139	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	142
+	134	141
+	3	139	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	136
+	134	141
+	128	142
+	4	123	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	141
+	128	142
+	3	123	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	152
+	211	154
+	217	149
+	4	223	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	154
+	217	149
+	3	223	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	149
+	228	147
+	223	152
+	4	217	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	147
+	223	152
+	3	217	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	130
+	106	127
+	112	125
+	4	117	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	127
+	112	125
+	3	117	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	122
+	112	125
+	106	127
+	4	100	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	125
+	106	127
+	3	100	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	149
+	145	157
+	139	158
+	4	134	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	157
+	139	158
+	3	134	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	157
+	134	149
+	139	148
+	4	145	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	149
+	139	148
+	3	145	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	184
+	156	186
+	161	180
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	186
+	161	180
+	3	167	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	179
+	161	180
+	156	186
+	4	150	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	180
+	156	186
+	3	150	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	180
+	173	177
+	167	184
+	4	161	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	177
+	167	184
+	3	161	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	168
+	178	171
+	184	164
+	4	189	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	171
+	184	164
+	3	189	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	164
+	195	162
+	189	168
+	4	184	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	162
+	189	168
+	3	184	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	142
+	139	148
+	134	149
+	4	128	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	148
+	134	149
+	3	128	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	159
+	195	162
+	200	156
+	4	206	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	162
+	200	156
+	3	206	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	156
+	211	154
+	206	159
+	4	200	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	154
+	206	159
+	3	200	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	120
+	78	119
+	84	117
+	4	89	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	119
+	84	117
+	3	89	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	73	115
+	84	117
+	78	119
+	4	73	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	117
+	78	119
+	3	73	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	186
+	145	178
+	150	179
+	4	156	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	178
+	150	179
+	3	156	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	163
+	150	179
+	145	178
+	4	139	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	179
+	145	178
+	3	139	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	179
+	139	163
+	145	168
+	4	150	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	163
+	145	168
+	3	150	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	151
+	223	152
+	228	147
+	4	234	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	152
+	228	147
+	3	234	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	147
+	239	146
+	234	151
+	4	228	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	146
+	234	151
+	3	228	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	191
+	150	191
+	156	186
+	4	161	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	191
+	156	186
+	3	161	191	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	178
+	156	186
+	150	191
+	4	145	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	186
+	150	191
+	3	145	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	186
+	167	184
+	161	191
+	4	156	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	161	191
+	3	156	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	174
+	173	177
+	178	171
+	4	184	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	177
+	178	171
+	3	184	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	171
+	189	168
+	184	174
+	4	178	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	168
+	184	174
+	3	178	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	119
+	67	118
+	73	115
+	4	78	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	118
+	73	115
+	3	78	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	157
+	206	159
+	211	154
+	4	217	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	159
+	211	154
+	3	217	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	154
+	223	152
+	217	157
+	4	211	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	152
+	217	157
+	3	211	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	150
+	234	151
+	239	146
+	4	245	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	151
+	239	146
+	3	245	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	146
+	250	145
+	245	150
+	4	239	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	145
+	245	150
+	3	239	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	136
+	111	131
+	117	130
+	4	123	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	131
+	117	130
+	3	123	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	127
+	117	130
+	111	131
+	4	106	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	130
+	111	131
+	3	106	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	180
+	167	184
+	173	177
+	4	178	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	173	177
+	3	178	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	177
+	184	174
+	178	180
+	4	173	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	174
+	178	180
+	3	173	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	127
+	95	124
+	100	122
+	4	106	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	124
+	100	122
+	3	106	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	120
+	100	122
+	95	124
+	4	89	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	122
+	95	124
+	3	89	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	165
+	189	168
+	195	162
+	4	200	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	168
+	195	162
+	3	200	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	162
+	206	159
+	200	165
+	4	195	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	159
+	200	165
+	3	195	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	186
+	161	191
+	167	184
+	4	173	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	191
+	167	184
+	3	173	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	184
+	178	180
+	173	186
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	180
+	173	186
+	3	167	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	256	148
+	245	150
+	250	145
+	4	256	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	150
+	250	145
+	3	256	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	153
+	145	168
+	139	163
+	4	133	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	168
+	139	163
+	3	133	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	168
+	133	153
+	139	158
+	4	145	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	153
+	139	158
+	3	145	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	156
+	217	157
+	223	152
+	4	228	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	157
+	223	152
+	3	228	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	152
+	234	151
+	228	156
+	4	223	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	151
+	228	156
+	3	223	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	196
+	144	8
+	150	191
+	4	156	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	8
+	150	191
+	3	156	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	66
+	150	191
+	144	8
+	4	138	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	191
+	144	8
+	3	138	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	191
+	138	66
+	145	178
+	4	150	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	66
+	145	178
+	3	150	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	191
+	161	191
+	156	196
+	4	150	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	191
+	156	196
+	3	150	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	170
+	184	174
+	189	168
+	4	195	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	174
+	189	168
+	3	195	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	168
+	200	165
+	195	170
+	4	189	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	165
+	195	170
+	3	189	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	124
+	83	122
+	89	120
+	4	95	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	122
+	89	120
+	3	95	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	119
+	89	120
+	83	122
+	4	78	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	120
+	83	122
+	3	78	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	142
+	117	136
+	123	136
+	4	128	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	136
+	123	136
+	3	128	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	131
+	123	136
+	117	136
+	4	111	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	136
+	117	136
+	3	111	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	162
+	200	165
+	206	159
+	4	212	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	165
+	206	159
+	3	212	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	159
+	217	157
+	212	162
+	4	206	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	157
+	212	162
+	3	206	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	192
+	156	196
+	161	191
+	4	167	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	196
+	161	191
+	3	167	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	191
+	173	186
+	167	192
+	4	161	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	186
+	167	192
+	3	161	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	154
+	228	156
+	234	151
+	4	240	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	156
+	234	151
+	3	240	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	151
+	245	150
+	240	154
+	4	234	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	150
+	240	154
+	3	234	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	131
+	100	128
+	106	127
+	4	111	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	128
+	106	127
+	3	111	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	124
+	106	127
+	100	128
+	4	95	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	127
+	100	128
+	3	95	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	122
+	72	121
+	78	119
+	4	83	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	121
+	78	119
+	3	83	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	118
+	78	119
+	72	121
+	4	67	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	119
+	72	121
+	3	67	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	176
+	178	180
+	184	174
+	4	189	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	180
+	184	174
+	3	189	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	174
+	195	170
+	189	176
+	4	184	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	170
+	189	176
+	3	184	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	149
+	122	141
+	128	142
+	4	134	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	141
+	128	142
+	3	134	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	136
+	128	142
+	122	141
+	4	117	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	142
+	122	141
+	3	117	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	146
+	139	158
+	133	153
+	4	128	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	158
+	133	153
+	3	128	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	158
+	128	146
+	134	149
+	4	139	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	146
+	134	149
+	3	139	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	153
+	240	154
+	245	150
+	4	251	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	154
+	245	150
+	3	251	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	245	150
+	256	148
+	251	153
+	4	245	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	148
+	251	153
+	3	245	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	160
+	212	162
+	217	157
+	4	223	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	162
+	217	157
+	3	223	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	157
+	228	156
+	223	160
+	4	217	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	156
+	223	160
+	3	217	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	121
+	61	121
+	67	118
+	4	72	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	121
+	67	118
+	3	72	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	167
+	195	170
+	200	165
+	4	206	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	170
+	200	165
+	3	206	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	165
+	212	162
+	206	167
+	4	200	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	162
+	206	167
+	3	200	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	141
+	134	149
+	128	146
+	4	122	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	149
+	128	146
+	3	122	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	181
+	173	186
+	178	180
+	4	184	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	186
+	178	180
+	3	184	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	180
+	189	176
+	184	181
+	4	178	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	176
+	184	181
+	3	178	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	152
+	251	153
+	256	148
+	4	262	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	153
+	256	148
+	3	262	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	190
+	150	12
+	156	196
+	4	162	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	12
+	156	196
+	3	162	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	8
+	156	196
+	150	12
+	4	144	8	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	196
+	150	12
+	3	144	8	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	196
+	167	192
+	162	190
+	4	156	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	192
+	162	190
+	3	156	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	128
+	89	126
+	95	124
+	4	100	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	126
+	95	124
+	3	100	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	122
+	95	124
+	89	126
+	4	83	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	124
+	89	126
+	3	83	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	159
+	223	160
+	228	156
+	4	234	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	160
+	228	156
+	3	234	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	156
+	240	154
+	234	159
+	4	228	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	154
+	234	159
+	3	228	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	136
+	105	131
+	111	131
+	4	117	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	131
+	111	131
+	3	117	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	128
+	111	131
+	105	131
+	4	100	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	131
+	105	131
+	3	100	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	186
+	167	192
+	173	186
+	4	178	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	192
+	173	186
+	3	178	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	186
+	184	181
+	178	186
+	4	173	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	181
+	178	186
+	3	173	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	173
+	189	176
+	195	170
+	4	201	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	176
+	195	170
+	3	201	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	170
+	206	167
+	201	173
+	4	195	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	167
+	201	173
+	3	195	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	165
+	206	167
+	212	162
+	4	218	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	167
+	212	162
+	3	218	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	162
+	223	160
+	218	165
+	4	212	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	160
+	218	165
+	3	212	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	132
+	145	178
+	138	66
+	4	133	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	178
+	138	66
+	3	133	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	178
+	133	132
+	139	163
+	4	145	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	132
+	139	163
+	3	145	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	157
+	234	159
+	240	154
+	4	246	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	159
+	240	154
+	3	246	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	154
+	251	153
+	246	157
+	4	240	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	153
+	246	157
+	3	240	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	126
+	77	124
+	83	122
+	4	89	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	124
+	83	122
+	3	89	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	121
+	83	122
+	77	124
+	4	72	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	122
+	77	124
+	3	72	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	156
+	246	157
+	251	153
+	4	257	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	157
+	251	153
+	3	257	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	153
+	262	152
+	257	156
+	4	251	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	152
+	257	156
+	3	251	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	124
+	66	124
+	72	121
+	4	77	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	124
+	72	121
+	3	77	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	61	121
+	72	121
+	66	124
+	4	61	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	121
+	66	124
+	3	61	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	163
+	218	165
+	223	160
+	4	229	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	165
+	223	160
+	3	229	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	160
+	234	159
+	229	163
+	4	223	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	159
+	229	163
+	3	223	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	178
+	184	181
+	189	176
+	4	195	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	181
+	189	176
+	3	195	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	176
+	201	173
+	195	178
+	4	189	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	173
+	195	178
+	3	189	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	124
+	55	123
+	61	121
+	4	66	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	123
+	61	121
+	3	66	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	189
+	162	190
+	167	192
+	4	173	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	190
+	167	192
+	3	173	189	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	192
+	178	186
+	173	189
+	4	167	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	186
+	173	189
+	3	167	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	155
+	257	156
+	262	152
+	4	268	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	156
+	262	152
+	3	268	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	170
+	201	173
+	206	167
+	4	212	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	173
+	206	167
+	3	212	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	167
+	218	165
+	212	170
+	4	206	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	165
+	212	170
+	3	206	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	141
+	111	135
+	117	136
+	4	122	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	135
+	117	136
+	3	122	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	131
+	117	136
+	111	135
+	4	105	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	136
+	111	135
+	3	105	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	131
+	94	129
+	100	128
+	4	105	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	129
+	100	128
+	3	105	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	126
+	100	128
+	94	129
+	4	89	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	128
+	94	129
+	3	89	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	162
+	229	163
+	234	159
+	4	240	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	163
+	234	159
+	3	240	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	234	159
+	246	157
+	240	162
+	4	234	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	157
+	240	162
+	3	234	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	182
+	178	186
+	184	181
+	4	190	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	186
+	184	181
+	3	190	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	181
+	195	178
+	190	182
+	4	184	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	178
+	190	182
+	3	184	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	161
+	240	162
+	246	157
+	4	252	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	162
+	246	157
+	3	252	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	157
+	257	156
+	252	161
+	4	246	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	156
+	252	161
+	3	246	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	129
+	83	127
+	89	126
+	4	94	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	127
+	89	126
+	3	94	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	124
+	89	126
+	83	127
+	4	77	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	126
+	83	127
+	3	77	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	168
+	212	170
+	218	165
+	4	223	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	170
+	218	165
+	3	223	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	165
+	229	163
+	223	168
+	4	218	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	163
+	223	168
+	3	218	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	175
+	195	178
+	201	173
+	4	207	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	178
+	201	173
+	3	207	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	173
+	212	170
+	207	175
+	4	201	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	170
+	207	175
+	3	201	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	146
+	116	138
+	122	141
+	4	128	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	138
+	122	141
+	3	128	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	135
+	122	141
+	116	138
+	4	111	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	141
+	116	138
+	3	111	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	160
+	252	161
+	257	156
+	4	263	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	161
+	257	156
+	3	263	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	156
+	268	155
+	263	160
+	4	257	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	155
+	263	160
+	3	257	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	127
+	72	127
+	77	124
+	4	83	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	127
+	77	124
+	3	83	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	124
+	77	124
+	72	127
+	4	66	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	124
+	72	127
+	3	66	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	166
+	223	168
+	229	163
+	4	235	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	168
+	229	163
+	3	235	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	163
+	240	162
+	235	166
+	4	229	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	162
+	235	166
+	3	229	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	159
+	263	160
+	268	155
+	4	274	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	160
+	268	155
+	3	274	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	127
+	60	126
+	66	124
+	4	72	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	126
+	66	124
+	3	72	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	55	123
+	66	124
+	60	126
+	4	55	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	124
+	60	126
+	3	55	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	135
+	100	131
+	105	131
+	4	111	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	131
+	105	131
+	3	111	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	129
+	105	131
+	100	131
+	4	94	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	131
+	100	131
+	3	94	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	126
+	49	126
+	55	123
+	4	60	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	126
+	55	123
+	3	60	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	140
+	139	163
+	133	132
+	4	127	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	163
+	133	132
+	3	127	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	163
+	127	140
+	133	153
+	4	139	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	140
+	133	153
+	3	139	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	186
+	173	189
+	178	186
+	4	184	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	189
+	178	186
+	3	184	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	186
+	190	182
+	184	186
+	4	178	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	182
+	184	186
+	3	178	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	153
+	122	140
+	128	146
+	4	133	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	140
+	128	146
+	3	133	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	138
+	128	146
+	122	140
+	4	116	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	146
+	122	140
+	3	116	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	173
+	207	175
+	212	170
+	4	218	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	175
+	212	170
+	3	218	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	170
+	223	168
+	218	173
+	4	212	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	168
+	218	173
+	3	212	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	165
+	235	166
+	240	162
+	4	246	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	166
+	240	162
+	3	246	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	240	162
+	252	161
+	246	165
+	4	240	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	161
+	246	165
+	3	240	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	179
+	190	182
+	195	178
+	4	201	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	182
+	195	178
+	3	201	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	178
+	207	175
+	201	179
+	4	195	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	175
+	201	179
+	3	195	178	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	140
+	133	153
+	127	140
+	4	122	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	153
+	127	140
+	3	122	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	164
+	246	165
+	252	161
+	4	258	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	165
+	252	161
+	3	258	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	161
+	263	160
+	258	164
+	4	252	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	160
+	258	164
+	3	252	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	131
+	88	130
+	94	129
+	4	100	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	94	129
+	3	100	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	127
+	94	129
+	88	130
+	4	83	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	129
+	88	130
+	3	83	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	171
+	218	173
+	223	168
+	4	229	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	173
+	223	168
+	3	229	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	168
+	235	166
+	229	171
+	4	223	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	166
+	229	171
+	3	223	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	163
+	258	164
+	263	160
+	4	269	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	164
+	263	160
+	3	269	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	160
+	274	159
+	269	163
+	4	263	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	159
+	269	163
+	3	263	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	130
+	77	129
+	83	127
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	129
+	83	127
+	3	88	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	127
+	83	127
+	77	129
+	4	72	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	127
+	77	129
+	3	72	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	280	162
+	269	163
+	274	159
+	4	280	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	163
+	274	159
+	3	280	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	177
+	201	179
+	207	175
+	4	213	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	179
+	207	175
+	3	213	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	175
+	218	173
+	213	177
+	4	207	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	173
+	213	177
+	3	207	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	138
+	105	133
+	111	135
+	4	116	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	133
+	111	135
+	3	116	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	131
+	111	135
+	105	133
+	4	100	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	135
+	105	133
+	3	100	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	184
+	157	79
+	162	190
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	79
+	162	190
+	3	167	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	12
+	162	190
+	157	79
+	4	150	12	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	190
+	157	79
+	3	150	12	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	190
+	173	189
+	167	184
+	4	162	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	189
+	167	184
+	3	162	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	169
+	229	171
+	235	166
+	4	241	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	171
+	235	166
+	3	241	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	166
+	246	165
+	241	169
+	4	235	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	165
+	241	169
+	3	235	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	129
+	66	129
+	72	127
+	4	77	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	129
+	72	127
+	3	77	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	60	126
+	72	127
+	66	129
+	4	60	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	127
+	66	129
+	3	60	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	183
+	184	186
+	190	182
+	4	196	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	186
+	190	182
+	3	196	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	182
+	201	179
+	196	183
+	4	190	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	179
+	196	183
+	3	190	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	129
+	43	130
+	49	126
+	4	54	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	130
+	49	126
+	3	54	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	126
+	60	126
+	54	129
+	4	49	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	126
+	54	129
+	3	49	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	129
+	54	129
+	60	126
+	4	66	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	129
+	60	126
+	3	66	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	168
+	241	169
+	246	165
+	4	252	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	169
+	246	165
+	3	252	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	246	165
+	258	164
+	252	168
+	4	246	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	164
+	252	168
+	3	246	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	187
+	167	184
+	173	189
+	4	179	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	173	189
+	3	179	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	189
+	184	186
+	179	187
+	4	173	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	186
+	179	187
+	3	173	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	175
+	213	177
+	218	173
+	4	224	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	177
+	218	173
+	3	224	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	173
+	229	171
+	224	175
+	4	218	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	171
+	224	175
+	3	218	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	167
+	252	168
+	258	164
+	4	264	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	168
+	258	164
+	3	264	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	164
+	269	163
+	264	167
+	4	258	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	163
+	264	167
+	3	258	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	133
+	94	132
+	100	131
+	4	105	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	132
+	100	131
+	3	105	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	130
+	100	131
+	94	132
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	131
+	94	132
+	3	88	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	167
+	264	167
+	269	163
+	4	275	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	167
+	269	163
+	3	275	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	163
+	280	162
+	275	167
+	4	269	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	162
+	275	167
+	3	269	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	181
+	196	183
+	201	179
+	4	207	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	183
+	201	179
+	3	207	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	179
+	213	177
+	207	181
+	4	201	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	177
+	207	181
+	3	201	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	174
+	224	175
+	229	171
+	4	235	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	175
+	229	171
+	3	235	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	171
+	241	169
+	235	174
+	4	229	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	169
+	235	174
+	3	229	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	286	166
+	275	167
+	280	162
+	4	286	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	167
+	280	162
+	3	286	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	132
+	82	131
+	88	130
+	4	94	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	131
+	88	130
+	3	94	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	77	129
+	88	130
+	82	131
+	4	77	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	82	131
+	3	77	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	140
+	110	134
+	116	138
+	4	122	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	134
+	116	138
+	3	122	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	133
+	116	138
+	110	134
+	4	105	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	138
+	110	134
+	3	105	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	186
+	179	187
+	184	186
+	4	190	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	187
+	184	186
+	3	190	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	186
+	196	183
+	190	186
+	4	184	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	183
+	190	186
+	3	184	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	173
+	235	174
+	241	169
+	4	247	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	174
+	241	169
+	3	247	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	169
+	252	168
+	247	173
+	4	241	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	168
+	247	173
+	3	241	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	132
+	37	133
+	43	130
+	4	48	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	133
+	43	130
+	3	48	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	130
+	54	129
+	48	132
+	4	43	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	129
+	48	132
+	3	43	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	132
+	48	132
+	54	129
+	4	59	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	132
+	54	129
+	3	59	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	54	129
+	66	129
+	59	132
+	4	54	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	129
+	59	132
+	3	54	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	131
+	71	131
+	77	129
+	4	82	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	131
+	77	129
+	3	82	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	66	129
+	77	129
+	71	131
+	4	66	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	129
+	71	131
+	3	66	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	131
+	59	132
+	66	129
+	4	71	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	132
+	66	129
+	3	71	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	179
+	207	181
+	213	177
+	4	219	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	181
+	213	177
+	3	219	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	177
+	224	175
+	219	179
+	4	213	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	175
+	219	179
+	3	213	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	172
+	247	173
+	252	168
+	4	258	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	173
+	252	168
+	3	258	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	252	168
+	264	167
+	258	172
+	4	252	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	167
+	258	172
+	3	252	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	171
+	258	172
+	264	167
+	4	270	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	172
+	264	167
+	3	270	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	167
+	275	167
+	270	171
+	4	264	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	167
+	270	171
+	3	264	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	230	178
+	219	179
+	224	175
+	4	230	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	179
+	224	175
+	3	230	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	175
+	235	174
+	230	178
+	4	224	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	174
+	230	178
+	3	224	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	184
+	190	186
+	196	183
+	4	202	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	186
+	196	183
+	3	202	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	183
+	207	181
+	202	184
+	4	196	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	181
+	202	184
+	3	196	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	170
+	270	171
+	275	167
+	4	281	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	171
+	275	167
+	3	281	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	275	167
+	286	166
+	281	170
+	4	275	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	286	166
+	281	170
+	3	275	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	293	170
+	281	170
+	286	166
+	4	293	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	170
+	286	166
+	3	293	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	177
+	230	178
+	235	174
+	4	241	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	178
+	235	174
+	3	241	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	235	174
+	247	173
+	241	177
+	4	235	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	173
+	241	177
+	3	235	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	134
+	99	132
+	105	133
+	4	110	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	132
+	105	133
+	3	110	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	132
+	105	133
+	99	132
+	4	94	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	133
+	99	132
+	3	94	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	136
+	31	136
+	37	133
+	4	42	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	136
+	37	133
+	3	42	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	133
+	48	132
+	42	136
+	4	37	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	132
+	42	136
+	3	37	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	183
+	202	184
+	207	181
+	4	213	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	184
+	207	181
+	3	213	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	181
+	219	179
+	213	183
+	4	207	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	179
+	213	183
+	3	207	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	176
+	241	177
+	247	173
+	4	253	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	177
+	247	173
+	3	253	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	173
+	258	172
+	253	176
+	4	247	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	172
+	253	176
+	3	247	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	135
+	42	136
+	48	132
+	4	53	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	136
+	48	132
+	3	53	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	132
+	59	132
+	53	135
+	4	48	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	132
+	53	135
+	3	48	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	134
+	53	135
+	59	132
+	4	65	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	135
+	59	132
+	3	65	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	132
+	71	131
+	65	134
+	4	59	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	131
+	65	134
+	3	59	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	127	140
+	116	132
+	122	140
+	4	127	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	132
+	122	140
+	3	127	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	110	134
+	122	140
+	116	132
+	4	110	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	140
+	116	132
+	3	110	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	132
+	88	132
+	94	132
+	4	99	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	132
+	94	132
+	3	99	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	131
+	94	132
+	88	132
+	4	82	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	132
+	88	132
+	3	82	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	175
+	253	176
+	258	172
+	4	264	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	176
+	258	172
+	3	264	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	172
+	270	171
+	264	175
+	4	258	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	171
+	264	175
+	3	258	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	133
+	65	134
+	71	131
+	4	76	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	134
+	71	131
+	3	76	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	131
+	82	131
+	76	133
+	4	71	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	131
+	76	133
+	3	71	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	132
+	76	133
+	82	131
+	4	88	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	133
+	82	131
+	3	88	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	182
+	213	183
+	219	179
+	4	225	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	183
+	219	179
+	3	225	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	179
+	230	178
+	225	182
+	4	219	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	178
+	225	182
+	3	219	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	174
+	264	175
+	270	171
+	4	276	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	175
+	270	171
+	3	276	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	171
+	281	170
+	276	174
+	4	270	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	170
+	276	174
+	3	270	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	186
+	173	182
+	179	187
+	4	185	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	182
+	179	187
+	3	185	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	184
+	179	187
+	173	182
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	187
+	173	182
+	3	167	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	187
+	190	186
+	185	186
+	4	179	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	186
+	185	186
+	3	179	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	287	174
+	276	174
+	281	170
+	4	287	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	174
+	281	170
+	3	287	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	170
+	293	170
+	287	174
+	4	281	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	170
+	287	174
+	3	281	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	236	181
+	225	182
+	230	178
+	4	236	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	182
+	230	178
+	3	236	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	178
+	241	177
+	236	181
+	4	230	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	177
+	236	181
+	3	230	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	187
+	185	186
+	190	186
+	4	196	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	186
+	190	186
+	3	196	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	186
+	202	184
+	196	187
+	4	190	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	184
+	196	187
+	3	190	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	180
+	236	181
+	241	177
+	4	247	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	181
+	241	177
+	3	247	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	241	177
+	253	176
+	247	180
+	4	241	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	176
+	247	180
+	3	241	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	139
+	25	140
+	31	136
+	4	36	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	140
+	31	136
+	3	36	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	136
+	42	136
+	36	139
+	4	31	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	136
+	36	139
+	3	31	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	186
+	196	187
+	202	184
+	4	208	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	187
+	202	184
+	3	208	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	184
+	213	183
+	208	186
+	4	202	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	183
+	208	186
+	3	202	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	138
+	36	139
+	42	136
+	4	47	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	139
+	42	136
+	3	47	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	136
+	53	135
+	47	138
+	4	42	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	135
+	47	138
+	3	42	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	179
+	247	180
+	253	176
+	4	259	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	180
+	253	176
+	3	259	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	253	176
+	264	175
+	259	179
+	4	253	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	175
+	259	179
+	3	253	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	182
+	162	153
+	167	184
+	4	173	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	153
+	167	184
+	3	173	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	79
+	167	184
+	162	153
+	4	157	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	162	153
+	3	157	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	137
+	47	138
+	53	135
+	4	59	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	138
+	53	135
+	3	59	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	135
+	65	134
+	59	137
+	4	53	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	134
+	59	137
+	3	53	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	179
+	259	179
+	264	175
+	4	270	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	179
+	264	175
+	3	270	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	264	175
+	276	174
+	270	179
+	4	264	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	174
+	270	179
+	3	264	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	185
+	208	186
+	213	183
+	4	219	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	186
+	213	183
+	3	219	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	183
+	225	182
+	219	185
+	4	213	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	182
+	219	185
+	3	213	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	282	178
+	270	179
+	276	174
+	4	282	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	179
+	276	174
+	3	282	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	174
+	287	174
+	282	178
+	4	276	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	174
+	282	178
+	3	276	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	136
+	59	137
+	65	134
+	4	70	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	137
+	65	134
+	3	70	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	134
+	76	133
+	70	136
+	4	65	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	133
+	70	136
+	3	65	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	132
+	104	131
+	110	134
+	4	116	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	131
+	110	134
+	3	116	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	132
+	110	134
+	104	131
+	4	99	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	134
+	104	131
+	3	99	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	185
+	219	185
+	225	182
+	4	231	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	185
+	225	182
+	3	231	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	182
+	236	181
+	231	185
+	4	225	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	181
+	231	185
+	3	225	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	134
+	70	136
+	76	133
+	4	81	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	136
+	76	133
+	3	81	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	133
+	88	132
+	81	134
+	4	76	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	132
+	81	134
+	3	76	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	132
+	81	134
+	88	132
+	4	93	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	134
+	88	132
+	3	93	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	132
+	99	132
+	93	132
+	4	88	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	132
+	93	132
+	3	88	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	131
+	93	132
+	99	132
+	4	104	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	132
+	99	132
+	3	104	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	184
+	231	185
+	236	181
+	4	242	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	185
+	236	181
+	3	242	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	181
+	247	180
+	242	184
+	4	236	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	180
+	242	184
+	3	236	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	143
+	19	144
+	25	140
+	4	30	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	144
+	25	140
+	3	30	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	140
+	36	139
+	30	143
+	4	25	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	139
+	30	143
+	3	25	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	133	132
+	121	122
+	127	140
+	4	133	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	122
+	127	140
+	3	133	132	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	116	132
+	127	140
+	121	122
+	4	116	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	140
+	121	122
+	3	116	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	183
+	242	184
+	247	180
+	4	254	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	184
+	247	180
+	3	254	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	247	180
+	259	179
+	254	183
+	4	247	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	179
+	254	183
+	3	247	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	142
+	30	143
+	36	139
+	4	41	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	143
+	36	139
+	3	41	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	139
+	47	138
+	41	142
+	4	36	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	138
+	41	142
+	3	36	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	183
+	254	183
+	259	179
+	4	265	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	183
+	259	179
+	3	265	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	259	179
+	270	179
+	265	183
+	4	259	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	179
+	265	183
+	3	259	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	141
+	41	142
+	47	138
+	4	53	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	142
+	47	138
+	3	53	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	138
+	59	137
+	53	141
+	4	47	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	137
+	53	141
+	3	47	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	189
+	191	188
+	196	187
+	4	202	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	188
+	196	187
+	3	202	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	186
+	196	187
+	191	188
+	4	185	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	187
+	191	188
+	3	185	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	187
+	208	186
+	202	189
+	4	196	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	186
+	202	189
+	3	196	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	277	182
+	265	183
+	270	179
+	4	277	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	183
+	270	179
+	3	277	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	270	179
+	282	178
+	277	182
+	4	270	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	178
+	277	182
+	3	270	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	188
+	179	184
+	185	186
+	4	191	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	184
+	185	186
+	3	191	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	182
+	185	186
+	179	184
+	4	173	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	186
+	179	184
+	3	173	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	189
+	202	189
+	208	186
+	4	214	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	189
+	208	186
+	3	214	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	186
+	219	185
+	214	189
+	4	208	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	185
+	214	189
+	3	208	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	139
+	53	141
+	59	137
+	4	64	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	141
+	59	137
+	3	64	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	137
+	70	136
+	64	139
+	4	59	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	136
+	64	139
+	3	59	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	188
+	214	189
+	219	185
+	4	225	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	189
+	219	185
+	3	225	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	185
+	231	185
+	225	188
+	4	219	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	185
+	225	188
+	3	219	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	147
+	12	148
+	19	144
+	4	24	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	12	148
+	19	144
+	3	24	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	19	144
+	30	143
+	24	147
+	4	19	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	143
+	24	147
+	3	19	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	188
+	225	188
+	231	185
+	4	237	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	188
+	231	185
+	3	237	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	185
+	242	184
+	237	188
+	4	231	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	184
+	237	188
+	3	231	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	137
+	64	139
+	70	136
+	4	75	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	139
+	70	136
+	3	75	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	136
+	81	134
+	75	137
+	4	70	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	134
+	75	137
+	3	70	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	187
+	237	188
+	242	184
+	4	248	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	188
+	242	184
+	3	248	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	242	184
+	254	183
+	248	187
+	4	242	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	183
+	248	187
+	3	242	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	146
+	24	147
+	30	143
+	4	35	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	147
+	30	143
+	3	35	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	143
+	41	142
+	35	146
+	4	30	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	142
+	35	146
+	3	30	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	187
+	248	187
+	254	183
+	4	260	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	187
+	254	183
+	3	260	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	183
+	265	183
+	260	187
+	4	254	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	183
+	260	187
+	3	254	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	134
+	75	137
+	81	134
+	4	87	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	137
+	81	134
+	3	87	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	134
+	93	132
+	87	134
+	4	81	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	132
+	87	134
+	3	81	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	271	186
+	260	187
+	265	183
+	4	271	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	187
+	265	183
+	3	271	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	265	183
+	277	182
+	271	186
+	4	265	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	182
+	271	186
+	3	265	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	145
+	35	146
+	41	142
+	4	47	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	146
+	41	142
+	3	47	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	142
+	53	141
+	47	145
+	4	41	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	141
+	47	145
+	3	41	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	184
+	168	169
+	173	182
+	4	179	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	169
+	173	182
+	3	179	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	153
+	173	182
+	168	169
+	4	162	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	182
+	168	169
+	3	162	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	143
+	47	145
+	53	141
+	4	58	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	145
+	53	141
+	3	58	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	141
+	64	139
+	58	143
+	4	53	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	139
+	58	143
+	3	53	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	130
+	87	134
+	93	132
+	4	98	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	134
+	93	132
+	3	98	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	132
+	104	131
+	98	130
+	4	93	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	131
+	98	130
+	3	93	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	18	151
+	6	152
+	12	148
+	4	18	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	152
+	12	148
+	3	18	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	12	148
+	24	147
+	18	151
+	4	12	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	147
+	18	151
+	3	12	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	191
+	197	190
+	202	189
+	4	208	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	190
+	202	189
+	3	208	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	188
+	202	189
+	197	190
+	4	191	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	189
+	197	190
+	3	191	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	189
+	214	189
+	208	191
+	4	202	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	189
+	208	191
+	3	202	189	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	121	122
+	110	126
+	116	132
+	4	121	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	126
+	116	132
+	3	121	122	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	104	131
+	116	132
+	110	126
+	4	104	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	132
+	110	126
+	3	104	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	191
+	208	191
+	214	189
+	4	220	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	191
+	214	189
+	3	220	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	189
+	225	188
+	220	191
+	4	214	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	188
+	220	191
+	3	214	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	191
+	220	191
+	225	188
+	4	231	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	191
+	225	188
+	3	231	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	188
+	237	188
+	231	191
+	4	225	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	188
+	231	191
+	3	225	188	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	126
+	98	130
+	104	131
+	4	110	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	130
+	104	131
+	3	110	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	29	150
+	18	151
+	24	147
+	4	29	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	151
+	24	147
+	3	29	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	147
+	35	146
+	29	150
+	4	24	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	146
+	29	150
+	3	24	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	140
+	58	143
+	64	139
+	4	69	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	143
+	64	139
+	3	69	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	64	139
+	75	137
+	69	140
+	4	64	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	137
+	69	140
+	3	64	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	190
+	185	187
+	191	188
+	4	197	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	187
+	191	188
+	3	197	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	184
+	191	188
+	185	187
+	4	179	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	188
+	185	187
+	3	179	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	191
+	231	191
+	237	188
+	4	243	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	191
+	237	188
+	3	243	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	237	188
+	248	187
+	243	191
+	4	237	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	187
+	243	191
+	3	237	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	191
+	243	191
+	248	187
+	4	254	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	191
+	248	187
+	3	254	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	248	187
+	260	187
+	254	191
+	4	248	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	187
+	254	191
+	3	248	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	149
+	29	150
+	35	146
+	4	40	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	150
+	35	146
+	3	40	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	146
+	47	145
+	40	149
+	4	35	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	145
+	40	149
+	3	35	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	190
+	254	191
+	260	187
+	4	266	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	191
+	260	187
+	3	266	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	187
+	271	186
+	266	190
+	4	260	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	186
+	266	190
+	3	260	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	81	137
+	69	140
+	75	137
+	4	81	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	140
+	75	137
+	3	81	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	137
+	87	134
+	81	137
+	4	75	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	134
+	81	137
+	3	75	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	147
+	40	149
+	47	145
+	4	52	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	149
+	47	145
+	3	52	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	145
+	58	143
+	52	147
+	4	47	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	143
+	52	147
+	3	47	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	6	152
+	18	151
+	11	156
+	4	6	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	18	151
+	11	156
+	3	6	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	187
+	174	178
+	179	184
+	4	185	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	178
+	179	184
+	3	185	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	169
+	179	184
+	174	178
+	4	168	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	184
+	174	178
+	3	168	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	23	154
+	11	156
+	18	151
+	4	23	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	156
+	18	151
+	3	23	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	18	151
+	29	150
+	23	154
+	4	18	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	150
+	23	154
+	3	18	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	144
+	52	147
+	58	143
+	4	63	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	147
+	58	143
+	3	63	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	143
+	69	140
+	63	144
+	4	58	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	140
+	63	144
+	3	58	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	194
+	214	194
+	220	191
+	4	226	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	194
+	220	191
+	3	226	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	208	191
+	220	191
+	214	194
+	4	208	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	191
+	214	194
+	3	208	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	191
+	231	191
+	226	194
+	4	220	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	191
+	226	194
+	3	220	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	195
+	226	194
+	231	191
+	4	237	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	194
+	231	191
+	3	237	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	231	191
+	243	191
+	237	195
+	4	231	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	191
+	237	195
+	3	231	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	132
+	81	137
+	87	134
+	4	92	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	137
+	87	134
+	3	92	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	134
+	98	130
+	92	132
+	4	87	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	130
+	92	132
+	3	87	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	194
+	203	193
+	208	191
+	4	214	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	193
+	208	191
+	3	214	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	190
+	208	191
+	203	193
+	4	197	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	191
+	203	193
+	3	197	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	34	153
+	23	154
+	29	150
+	4	34	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	154
+	29	150
+	3	34	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	29	150
+	40	149
+	34	153
+	4	29	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	149
+	34	153
+	3	29	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	249	194
+	237	195
+	243	191
+	4	249	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	195
+	243	191
+	3	249	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	191
+	254	191
+	249	194
+	4	243	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	191
+	249	194
+	3	243	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	261	194
+	249	194
+	254	191
+	4	261	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	194
+	254	191
+	3	261	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	191
+	266	190
+	261	194
+	4	254	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	190
+	261	194
+	3	254	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	193
+	191	190
+	197	190
+	4	203	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	190
+	197	190
+	3	203	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	187
+	197	190
+	191	190
+	4	185	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	190
+	191	190
+	3	185	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	151
+	34	153
+	40	149
+	4	46	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	153
+	40	149
+	3	46	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	149
+	52	147
+	46	151
+	4	40	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	147
+	46	151
+	3	40	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	66
+	126	85
+	133	132
+	4	138	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	85
+	133	132
+	3	138	66	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	121	122
+	133	132
+	126	85
+	4	121	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	132
+	126	85
+	3	121	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	141
+	63	144
+	69	140
+	4	75	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	144
+	69	140
+	3	75	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	140
+	81	137
+	75	141
+	4	69	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	137
+	75	141
+	3	69	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	11	156
+	23	154
+	17	159
+	4	11	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	154
+	17	159
+	3	11	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	149
+	46	151
+	52	147
+	4	57	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	151
+	52	147
+	3	57	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	52	147
+	63	144
+	57	149
+	4	52	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	144
+	57	149
+	3	52	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	124
+	92	132
+	98	130
+	4	103	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	132
+	98	130
+	3	103	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	130
+	110	126
+	103	124
+	4	98	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	126
+	103	124
+	3	98	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	157
+	17	159
+	23	154
+	4	28	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	159
+	23	154
+	3	28	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	23	154
+	34	153
+	28	157
+	4	23	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	153
+	28	157
+	3	23	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	190
+	180	184
+	185	187
+	4	191	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	184
+	185	187
+	3	191	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	178
+	185	187
+	180	184
+	4	174	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	187
+	180	184
+	3	174	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	243	198
+	232	198
+	237	195
+	4	243	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	198
+	237	195
+	3	243	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	194
+	237	195
+	232	198
+	4	226	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	195
+	232	198
+	3	226	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	237	195
+	249	194
+	243	198
+	4	237	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	194
+	243	198
+	3	237	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	198
+	220	197
+	226	194
+	4	232	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	197
+	226	194
+	3	232	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	194
+	226	194
+	220	197
+	4	214	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	194
+	220	197
+	3	214	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	255	198
+	243	198
+	249	194
+	4	255	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	198
+	249	194
+	3	255	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	249	194
+	261	194
+	255	198
+	4	249	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	194
+	255	198
+	3	249	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	135
+	75	141
+	81	137
+	4	86	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	141
+	81	137
+	3	86	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	137
+	92	132
+	86	135
+	4	81	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	132
+	86	135
+	3	81	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	197
+	209	196
+	214	194
+	4	220	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	196
+	214	194
+	3	220	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	193
+	214	194
+	209	196
+	4	203	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	194
+	209	196
+	3	203	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	156
+	28	157
+	34	153
+	4	40	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	157
+	34	153
+	3	40	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	34	153
+	46	151
+	40	156
+	4	34	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	151
+	40	156
+	3	34	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	145
+	57	149
+	63	144
+	4	69	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	149
+	63	144
+	3	69	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	144
+	75	141
+	69	145
+	4	63	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	141
+	69	145
+	3	63	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	196
+	197	194
+	203	193
+	4	209	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	194
+	203	193
+	3	209	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	190
+	203	193
+	197	194
+	4	191	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	193
+	197	194
+	3	191	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	153
+	40	156
+	46	151
+	4	51	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	156
+	46	151
+	3	51	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	46	151
+	57	149
+	51	153
+	4	46	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	149
+	51	153
+	3	46	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	17	159
+	28	157
+	22	162
+	4	17	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	157
+	22	162
+	3	17	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	115	111
+	103	124
+	110	126
+	4	115	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	124
+	110	126
+	3	115	111	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	110	126
+	121	122
+	115	111
+	4	110	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	122
+	115	111
+	3	110	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	160
+	22	162
+	28	157
+	4	33	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	162
+	28	157
+	3	33	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	28	157
+	40	156
+	33	160
+	4	28	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	156
+	33	160
+	3	28	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	194
+	186	190
+	191	190
+	4	197	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	190
+	191	190
+	3	197	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	184
+	191	190
+	186	190
+	4	180	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	190
+	186	190
+	3	180	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	140
+	69	145
+	75	141
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	145
+	75	141
+	3	80	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	141
+	86	135
+	80	140
+	4	75	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	135
+	80	140
+	3	75	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	250	202
+	238	201
+	243	198
+	4	250	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	201
+	243	198
+	3	250	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	198
+	243	198
+	238	201
+	4	232	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	198
+	238	201
+	3	232	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	243	198
+	255	198
+	250	202
+	4	243	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	198
+	250	202
+	3	243	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	150
+	51	153
+	57	149
+	4	63	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	153
+	57	149
+	3	63	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	149
+	69	145
+	63	150
+	4	57	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	145
+	63	150
+	3	57	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	238	201
+	226	201
+	232	198
+	4	238	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	201
+	232	198
+	3	238	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	197
+	232	198
+	226	201
+	4	220	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	198
+	226	201
+	3	220	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	127
+	86	135
+	92	132
+	4	97	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	135
+	92	132
+	3	97	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	132
+	103	124
+	97	127
+	4	92	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	124
+	97	127
+	3	92	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	201
+	215	200
+	220	197
+	4	226	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	200
+	220	197
+	3	226	201	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	196
+	220	197
+	215	200
+	4	209	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	197
+	215	200
+	3	209	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	158
+	33	160
+	40	156
+	4	45	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	160
+	40	156
+	3	45	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	156
+	51	153
+	45	158
+	4	40	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	153
+	45	158
+	3	40	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	200
+	203	198
+	209	196
+	4	215	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	198
+	209	196
+	3	215	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	194
+	209	196
+	203	198
+	4	197	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	196
+	203	198
+	3	197	194	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	126	85
+	115	111
+	121	122
+	4	126	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	111
+	121	122
+	3	126	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	22	162
+	33	160
+	27	165
+	4	22	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	160
+	27	165
+	3	22	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	145
+	63	150
+	69	145
+	4	74	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	150
+	69	145
+	3	74	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	145
+	80	140
+	74	145
+	4	69	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	74	145
+	3	69	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	155
+	45	158
+	51	153
+	4	56	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	158
+	51	153
+	3	56	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	153
+	63	150
+	56	155
+	4	51	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	150
+	56	155
+	3	51	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	184
+	168	170
+	174	178
+	4	180	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	170
+	174	178
+	3	180	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	152
+	174	178
+	168	170
+	4	162	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	178
+	168	170
+	3	162	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	178
+	162	152
+	168	169
+	4	174	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	152
+	168	169
+	3	174	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	106
+	168	169
+	162	152
+	4	156	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	169
+	162	152
+	3	156	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	169
+	156	106
+	162	153
+	4	168	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	106
+	162	153
+	3	168	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	198
+	191	195
+	197	194
+	4	203	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	195
+	197	194
+	3	203	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	190
+	197	194
+	191	195
+	4	186	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	194
+	191	195
+	3	186	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	238	201
+	250	202
+	244	205
+	4	238	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	202
+	244	205
+	3	238	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	163
+	27	165
+	33	160
+	4	39	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	165
+	33	160
+	3	39	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	160
+	45	158
+	39	163
+	4	33	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	158
+	39	163
+	3	33	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	244	205
+	232	205
+	238	201
+	4	244	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	205
+	238	201
+	3	244	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	201
+	238	201
+	232	205
+	4	226	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	201
+	232	205
+	3	226	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	132
+	80	140
+	86	135
+	4	91	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	86	135
+	3	91	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	135
+	97	127
+	91	132
+	4	86	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	127
+	91	132
+	3	86	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	205
+	221	204
+	226	201
+	4	232	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	204
+	226	201
+	3	232	205	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	200
+	226	201
+	221	204
+	4	215	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	201
+	221	204
+	3	215	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	190
+	174	181
+	180	184
+	4	186	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	181
+	180	184
+	3	186	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	170
+	180	184
+	174	181
+	4	168	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	184
+	174	181
+	3	168	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	204
+	209	202
+	215	200
+	4	221	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	202
+	215	200
+	3	221	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	198
+	215	200
+	209	202
+	4	203	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	200
+	209	202
+	3	203	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	151
+	56	155
+	63	150
+	4	68	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	155
+	63	150
+	3	68	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	150
+	74	145
+	68	151
+	4	63	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	145
+	68	151
+	3	63	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	161
+	39	163
+	45	158
+	4	50	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	163
+	45	158
+	3	50	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	45	158
+	56	155
+	50	161
+	4	45	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	155
+	50	161
+	3	45	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	111
+	97	127
+	103	124
+	4	109	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	127
+	103	124
+	3	109	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	124
+	115	111
+	109	111
+	4	103	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	111
+	109	111
+	3	103	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	27	165
+	39	163
+	33	168
+	4	27	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	163
+	33	168
+	3	27	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	202
+	197	200
+	203	198
+	4	209	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	200
+	203	198
+	3	209	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	195
+	203	198
+	197	200
+	4	191	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	198
+	197	200
+	3	191	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	138
+	74	145
+	80	140
+	4	85	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	145
+	80	140
+	3	85	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	140
+	91	132
+	85	138
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	132
+	85	138
+	3	80	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	195
+	180	189
+	186	190
+	4	191	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	189
+	186	190
+	3	191	195	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	181
+	186	190
+	180	189
+	4	174	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	190
+	180	189
+	3	174	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	232	205
+	244	205
+	239	209
+	4	232	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	205
+	239	209
+	3	232	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	157
+	50	161
+	56	155
+	4	62	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	161
+	56	155
+	3	62	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	155
+	68	151
+	62	157
+	4	56	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	151
+	62	157
+	3	56	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	239	209
+	227	208
+	232	205
+	4	239	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	208
+	232	205
+	3	239	209	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	204
+	232	205
+	227	208
+	4	221	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	205
+	227	208
+	3	221	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	166
+	33	168
+	39	163
+	4	44	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	168
+	39	163
+	3	44	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	39	163
+	50	161
+	44	166
+	4	39	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	161
+	44	166
+	3	39	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	227	208
+	215	207
+	221	204
+	4	227	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	207
+	221	204
+	3	227	208	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	209	202
+	221	204
+	215	207
+	4	209	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	204
+	215	207
+	3	209	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	145
+	68	151
+	74	145
+	4	79	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	151
+	74	145
+	3	79	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	145
+	85	138
+	79	145
+	4	74	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	138
+	79	145
+	3	74	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	21
+	162	153
+	156	106
+	4	150	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	153
+	156	106
+	3	150	21	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	153
+	150	21
+	157	79
+	4	162	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	21
+	157	79
+	3	162	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	197	200
+	186	195
+	191	195
+	4	197	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	195
+	191	195
+	3	197	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	189
+	191	195
+	186	195
+	4	180	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	195
+	186	195
+	3	180	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	207
+	204	204
+	209	202
+	4	215	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	204
+	209	202
+	3	215	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	200
+	209	202
+	204	204
+	4	197	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	202
+	204	204
+	3	197	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	163
+	44	166
+	50	161
+	4	56	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	166
+	50	161
+	3	56	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	50	161
+	62	157
+	56	163
+	4	50	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	157
+	56	163
+	3	50	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	117
+	91	132
+	97	127
+	4	103	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	132
+	97	127
+	3	103	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	127
+	109	111
+	103	117
+	4	97	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	111
+	103	117
+	3	97	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	33	168
+	44	166
+	38	171
+	4	33	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	166
+	38	171
+	3	33	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	152
+	62	157
+	68	151
+	4	73	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	157
+	68	151
+	3	73	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	151
+	79	145
+	73	152
+	4	68	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	145
+	73	152
+	3	68	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	227	208
+	239	209
+	233	212
+	4	227	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	209
+	233	212
+	3	227	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	204
+	192	201
+	197	200
+	4	204	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	201
+	197	200
+	3	204	204	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	195
+	197	200
+	192	201
+	4	186	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	200
+	192	201
+	3	186	195	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	233	212
+	221	211
+	227	208
+	4	233	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	211
+	227	208
+	3	233	212	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	207
+	227	208
+	221	211
+	4	215	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	208
+	221	211
+	3	215	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	50	169
+	38	171
+	44	166
+	4	50	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	171
+	44	166
+	3	50	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	166
+	56	163
+	50	169
+	4	44	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	163
+	50	169
+	3	44	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	126
+	85	138
+	91	132
+	4	97	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	138
+	91	132
+	3	97	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	132
+	103	117
+	97	126
+	4	91	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	117
+	97	126
+	3	91	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	159
+	56	163
+	62	157
+	4	67	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	163
+	62	157
+	3	67	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	157
+	73	152
+	67	159
+	4	62	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	152
+	67	159
+	3	62	157	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	211
+	210	209
+	215	207
+	4	221	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	209
+	215	207
+	3	221	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	204
+	215	207
+	210	209
+	4	204	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	207
+	210	209
+	3	204	204	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	189
+	168	178
+	174	181
+	4	180	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	178
+	174	181
+	3	180	189	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	164
+	174	181
+	168	178
+	4	162	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	181
+	168	178
+	3	162	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	181
+	162	164
+	168	170
+	4	174	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	164
+	168	170
+	3	174	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	195
+	174	188
+	180	189
+	4	186	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	188
+	180	189
+	3	186	195	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	178
+	180	189
+	174	188
+	4	168	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	189
+	174	188
+	3	168	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	136
+	79	145
+	85	138
+	4	91	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	145
+	85	138
+	3	91	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	138
+	97	126
+	91	136
+	4	85	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	126
+	91	136
+	3	85	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	165
+	50	169
+	56	163
+	4	61	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	169
+	56	163
+	3	61	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	56	163
+	67	159
+	61	165
+	4	56	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	159
+	61	165
+	3	56	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	38	171
+	50	169
+	44	174
+	4	38	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	169
+	44	174
+	3	38	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	209
+	198	206
+	204	204
+	4	210	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	206
+	204	204
+	3	210	209	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	201
+	204	204
+	198	206
+	4	192	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	204
+	198	206
+	3	192	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	145
+	73	152
+	79	145
+	4	85	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	152
+	79	145
+	3	85	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	145
+	91	136
+	85	145
+	4	79	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	136
+	85	145
+	3	79	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	211
+	233	212
+	228	215
+	4	221	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	212
+	228	215
+	3	221	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	201
+	180	196
+	186	195
+	4	192	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	186	195
+	3	192	201	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	188
+	186	195
+	180	196
+	4	174	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	195
+	180	196
+	3	174	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	141
+	168	170
+	162	164
+	4	156	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	170
+	162	164
+	3	156	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	170
+	156	141
+	162	152
+	4	168	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	141
+	162	152
+	3	168	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	71
+	109	111
+	115	111
+	4	120	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	111
+	115	111
+	3	120	71	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	115	111
+	126	85
+	120	71
+	4	115	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	85
+	120	71
+	3	115	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	228	215
+	216	214
+	221	211
+	4	228	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	214
+	221	211
+	3	228	215	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	209
+	221	211
+	216	214
+	4	210	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	211
+	216	214
+	3	210	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	153
+	67	159
+	73	152
+	4	79	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	159
+	73	152
+	3	79	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	152
+	85	145
+	79	153
+	4	73	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	145
+	79	153
+	3	73	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	171
+	44	174
+	50	169
+	4	55	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	174
+	50	169
+	3	55	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	50	169
+	61	165
+	55	171
+	4	50	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	165
+	55	171
+	3	50	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	206
+	186	203
+	192	201
+	4	198	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	203
+	192	201
+	3	198	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	196
+	192	201
+	186	203
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	201
+	186	203
+	3	180	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	214
+	204	212
+	210	209
+	4	216	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	212
+	210	209
+	3	216	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	206
+	210	209
+	204	212
+	4	198	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	209
+	204	212
+	3	198	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	160
+	61	165
+	67	159
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	165
+	67	159
+	3	73	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	159
+	79	153
+	73	160
+	4	67	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	153
+	73	160
+	3	67	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	174
+	55	171
+	49	177
+	4	44	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	171
+	49	177
+	3	44	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	168
+	55	171
+	61	165
+	4	67	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	171
+	61	165
+	3	67	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	165
+	73	160
+	67	168
+	4	61	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	67	168
+	3	61	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	214
+	228	215
+	222	218
+	4	216	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	215
+	222	218
+	3	216	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	212
+	192	209
+	198	206
+	4	204	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	209
+	198	206
+	3	204	212	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	203
+	198	206
+	192	209
+	4	186	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	206
+	192	209
+	3	186	203	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	222	218
+	210	217
+	216	214
+	4	222	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	217
+	216	214
+	3	222	218	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	212
+	216	214
+	210	217
+	4	204	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	214
+	210	217
+	3	204	212	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	174
+	49	177
+	55	171
+	4	61	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	177
+	55	171
+	3	61	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	171
+	67	168
+	61	174
+	4	55	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	168
+	61	174
+	3	55	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	196
+	168	188
+	174	188
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	188
+	174	188
+	3	180	196	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	178
+	174	188
+	168	188
+	4	162	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	188
+	168	188
+	3	162	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	188
+	162	178
+	168	178
+	4	174	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	178
+	168	178
+	3	174	188	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	203
+	174	197
+	180	196
+	4	186	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	197
+	180	196
+	3	186	203	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	188
+	180	196
+	174	197
+	4	168	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	174	197
+	3	168	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	144
+	79	153
+	85	145
+	4	90	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	153
+	85	145
+	3	90	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	145
+	96	133
+	90	144
+	4	85	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	133
+	90	144
+	3	85	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	133
+	85	145
+	91	136
+	4	96	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	145
+	91	136
+	3	96	133	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	163
+	168	178
+	162	178
+	4	156	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	178
+	162	178
+	3	156	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	178
+	156	163
+	162	164
+	4	168	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	163
+	162	164
+	3	168	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	154
+	73	160
+	79	153
+	4	84	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	79	153
+	3	84	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	153
+	90	144
+	84	154
+	4	79	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	144
+	84	154
+	3	79	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	84
+	103	117
+	109	111
+	4	114	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	117
+	109	111
+	3	114	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	111
+	120	71
+	114	84
+	4	109	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	71
+	114	84
+	3	109	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	217
+	198	214
+	204	212
+	4	210	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	214
+	204	212
+	3	210	217	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	209
+	204	212
+	198	214
+	4	192	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	212
+	198	214
+	3	192	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	136
+	102	119
+	96	133
+	4	91	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	119
+	96	133
+	3	91	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	119
+	91	136
+	97	126
+	4	102	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	136
+	97	126
+	3	102	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	177
+	61	174
+	55	181
+	4	49	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	174
+	55	181
+	3	49	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	162
+	67	168
+	73	160
+	4	78	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	168
+	73	160
+	3	78	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	160
+	84	154
+	78	162
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	154
+	78	162
+	3	73	160	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	209
+	180	204
+	186	203
+	4	192	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	204
+	186	203
+	3	192	209	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	197
+	186	203
+	180	204
+	4	174	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	203
+	180	204
+	3	174	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	97	126
+	108	102
+	102	119
+	4	97	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	102
+	102	119
+	3	97	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	102
+	97	126
+	103	117
+	4	108	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	126
+	103	117
+	3	108	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	92
+	162	152
+	156	141
+	4	150	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	152
+	156	141
+	3	150	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	152
+	150	92
+	156	106
+	4	162	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	92
+	156	106
+	3	162	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	117
+	114	84
+	108	102
+	4	103	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	84
+	108	102
+	3	103	117	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	217
+	222	218
+	216	222
+	4	210	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	218
+	216	222
+	3	210	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	170
+	61	174
+	67	168
+	4	72	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	174
+	67	168
+	3	72	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	168
+	78	162
+	72	170
+	4	67	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	162
+	72	170
+	3	67	168	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	214
+	186	211
+	192	209
+	4	198	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	211
+	192	209
+	3	198	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	204
+	192	209
+	186	211
+	4	180	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	209
+	186	211
+	3	180	204	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	216	222
+	204	220
+	210	217
+	4	216	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	220
+	210	217
+	3	216	222	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	198	214
+	210	217
+	204	220
+	4	198	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	217
+	204	220
+	3	198	214	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	177
+	55	181
+	61	174
+	4	66	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	181
+	61	174
+	3	66	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	174
+	72	170
+	66	177
+	4	61	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	170
+	66	177
+	3	61	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	141
+	162	164
+	156	163
+	4	150	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	164
+	156	163
+	3	150	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	164
+	150	141
+	156	141
+	4	162	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	141
+	156	141
+	3	162	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	181
+	66	177
+	60	184
+	4	55	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	177
+	60	184
+	3	55	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	220
+	192	217
+	198	214
+	4	204	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	217
+	198	214
+	3	204	220	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	211
+	198	214
+	192	217
+	4	186	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	214
+	192	217
+	3	186	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	204
+	168	199
+	174	197
+	4	180	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	199
+	174	197
+	3	180	204	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	162	190
+	174	197
+	168	199
+	4	162	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	197
+	168	199
+	3	162	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	197
+	162	190
+	168	188
+	4	174	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	190
+	168	188
+	3	174	197	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	180
+	168	188
+	162	190
+	4	156	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	188
+	162	190
+	3	156	180	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	168	188
+	156	180
+	162	178
+	4	168	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	180
+	162	178
+	3	168	188	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	165
+	72	170
+	78	162
+	4	84	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	170
+	78	162
+	3	84	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	162
+	90	156
+	84	165
+	4	78	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	156
+	84	165
+	3	78	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	156
+	78	162
+	84	154
+	4	90	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	162
+	84	154
+	3	90	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	220
+	216	222
+	210	225
+	4	204	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	222
+	210	225
+	3	204	220	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	154
+	96	144
+	90	156
+	4	84	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	144
+	90	156
+	3	84	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	144
+	84	154
+	90	144
+	4	96	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	154
+	90	144
+	3	96	144	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	186	211
+	174	207
+	180	204
+	4	186	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	207
+	180	204
+	3	186	211	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	199
+	180	204
+	174	207
+	4	168	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	204
+	174	207
+	3	168	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	173
+	66	177
+	72	170
+	4	78	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	177
+	72	170
+	3	78	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	170
+	84	165
+	78	173
+	4	72	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	165
+	78	173
+	3	72	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	144
+	102	130
+	96	144
+	4	90	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	130
+	96	144
+	3	90	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	130
+	90	144
+	96	133
+	4	102	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	144
+	96	133
+	3	102	130	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	166
+	162	178
+	156	180
+	4	150	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	178
+	156	180
+	3	150	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	178
+	150	166
+	156	163
+	4	162	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	166
+	156	163
+	3	162	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	181
+	60	184
+	66	177
+	4	72	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	184
+	66	177
+	3	72	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	177
+	78	173
+	72	181
+	4	66	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	173
+	72	181
+	3	66	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	225
+	199	223
+	204	220
+	4	210	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	223
+	204	220
+	3	210	225	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	217
+	204	220
+	199	223
+	4	192	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	220
+	199	223
+	3	192	217	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	217
+	180	214
+	186	211
+	4	192	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	214
+	186	211
+	3	192	217	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	207
+	186	211
+	180	214
+	4	174	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	211
+	180	214
+	3	174	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	184
+	72	181
+	66	188
+	4	60	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	181
+	66	188
+	3	60	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	133
+	108	111
+	102	130
+	4	96	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	111
+	102	130
+	3	96	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	111
+	96	133
+	102	119
+	4	108	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	133
+	102	119
+	3	108	111	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	223
+	187	220
+	192	217
+	4	199	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	220
+	192	217
+	3	199	223	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	214
+	192	217
+	187	220
+	4	180	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	217
+	187	220
+	3	180	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	223
+	210	225
+	205	228
+	4	199	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	225
+	205	228
+	3	199	223	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	174	207
+	162	202
+	168	199
+	4	174	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	202
+	168	199
+	3	174	207	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	194
+	168	199
+	162	202
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	199
+	162	202
+	3	156	194	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	168	199
+	156	194
+	162	190
+	4	168	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	162	190
+	3	168	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	169
+	78	173
+	84	165
+	4	90	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	173
+	84	165
+	3	90	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	165
+	96	159
+	90	169
+	4	84	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	159
+	90	169
+	3	84	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	159
+	84	165
+	90	156
+	4	96	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	165
+	90	156
+	3	96	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	177
+	72	181
+	78	173
+	4	84	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	181
+	78	173
+	3	84	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	173
+	90	169
+	84	177
+	4	78	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	169
+	84	177
+	3	78	173	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	150	183
+	162	190
+	156	194
+	4	150	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	190
+	156	194
+	3	150	183	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	162	190
+	150	183
+	156	180
+	4	162	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	183
+	156	180
+	3	162	190	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	214
+	168	210
+	174	207
+	4	180	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	210
+	174	207
+	3	180	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	202
+	174	207
+	168	210
+	4	162	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	207
+	168	210
+	3	162	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	156
+	102	146
+	96	159
+	4	90	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	146
+	96	159
+	3	90	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	146
+	90	156
+	96	144
+	4	102	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	156
+	96	144
+	3	102	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	185
+	66	188
+	72	181
+	4	78	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	188
+	72	181
+	3	78	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	181
+	84	177
+	78	185
+	4	72	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	177
+	78	185
+	3	72	181	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	228
+	193	226
+	199	223
+	4	205	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	226
+	199	223
+	3	205	228	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	187	220
+	199	223
+	193	226
+	4	187	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	223
+	193	226
+	3	187	220	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	148
+	156	163
+	150	166
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	163
+	150	166
+	3	144	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	163
+	144	148
+	150	141
+	4	156	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	150	141
+	3	156	163	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	187	220
+	175	217
+	180	214
+	4	187	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	217
+	180	214
+	3	187	220	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	210
+	180	214
+	175	217
+	4	168	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	214
+	175	217
+	3	168	210	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	144	171
+	156	180
+	150	183
+	4	144	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	180
+	150	183
+	3	144	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	180
+	144	171
+	150	166
+	4	156	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	171
+	150	166
+	3	156	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	188
+	78	185
+	72	192
+	4	66	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	185
+	72	192
+	3	66	188	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	131	8
+	120	71
+	126	85
+	4	131	8	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	71
+	126	85
+	3	131	8	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	85
+	138	66
+	131	8
+	4	126	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	66
+	131	8
+	3	126	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	119
+	113	83
+	108	111
+	4	102	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	83
+	108	111
+	3	102	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	83
+	102	119
+	108	102
+	4	113	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	119
+	108	102
+	3	113	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	96	144
+	108	131
+	102	146
+	4	96	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	131
+	102	146
+	3	96	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	131
+	96	144
+	102	130
+	4	108	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	144
+	102	130
+	3	108	131	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	193	226
+	181	224
+	187	220
+	4	193	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	224
+	187	220
+	3	193	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	217
+	187	220
+	181	224
+	4	175	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	220
+	181	224
+	3	175	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	182
+	78	185
+	84	177
+	4	90	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	185
+	84	177
+	3	90	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	177
+	96	173
+	90	182
+	4	84	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	173
+	90	182
+	3	84	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	173
+	84	177
+	90	169
+	4	96	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	177
+	90	169
+	3	96	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	169
+	102	163
+	96	173
+	4	90	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	163
+	96	173
+	3	90	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	163
+	90	169
+	96	159
+	4	102	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	169
+	96	159
+	3	102	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	226
+	205	228
+	199	232
+	4	193	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	228
+	199	232
+	3	193	226	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	168	210
+	156	206
+	162	202
+	4	168	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	206
+	162	202
+	3	168	210	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	150	198
+	162	202
+	156	206
+	4	150	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	202
+	156	206
+	3	150	198	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	162	202
+	150	198
+	156	194
+	4	162	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	198
+	156	194
+	3	162	202	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	144	188
+	156	194
+	150	198
+	4	144	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	194
+	150	198
+	3	144	188	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	194
+	144	188
+	150	183
+	4	156	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	188
+	150	183
+	3	156	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	190
+	72	192
+	78	185
+	4	84	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	192
+	78	185
+	3	84	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	185
+	90	182
+	84	190
+	4	78	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	182
+	84	190
+	3	78	185	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	217
+	162	214
+	168	210
+	4	175	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	214
+	168	210
+	3	175	217	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	206
+	168	210
+	162	214
+	4	156	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	210
+	162	214
+	3	156	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	159
+	108	151
+	102	163
+	4	96	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	151
+	102	163
+	3	96	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	151
+	96	159
+	102	146
+	4	108	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	159
+	102	146
+	3	108	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	192
+	84	190
+	77	197
+	4	72	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	190
+	77	197
+	3	72	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	105
+	156	141
+	150	141
+	4	144	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	141
+	150	141
+	3	144	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	141
+	144	105
+	150	92
+	4	156	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	150	92
+	3	156	141	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	138	178
+	150	183
+	144	188
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	183
+	144	188
+	3	138	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	183
+	138	178
+	144	171
+	4	150	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	144	171
+	3	150	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	232
+	187	230
+	193	226
+	4	199	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	230
+	193	226
+	3	199	232	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	224
+	193	226
+	187	230
+	4	181	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	226
+	187	230
+	3	181	224	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	138	157
+	150	166
+	144	171
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	166
+	144	171
+	3	138	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	166
+	138	157
+	144	148
+	4	150	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	144	148
+	3	150	166	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	181	224
+	169	221
+	175	217
+	4	181	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	221
+	175	217
+	3	181	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	214
+	175	217
+	169	221
+	4	162	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	217
+	169	221
+	3	162	214	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	187
+	84	190
+	90	182
+	4	96	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	190
+	90	182
+	3	96	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	182
+	102	179
+	96	187
+	4	90	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	179
+	96	187
+	3	90	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	179
+	90	182
+	96	173
+	4	102	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	182
+	96	173
+	3	102	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	130
+	113	108
+	108	131
+	4	102	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	108
+	108	131
+	3	102	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	108
+	102	130
+	108	111
+	4	113	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	130
+	108	111
+	3	113	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	173
+	108	169
+	102	179
+	4	96	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	169
+	102	179
+	3	96	173	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	169
+	96	173
+	102	163
+	4	108	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	173
+	102	163
+	3	108	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	195
+	77	197
+	84	190
+	4	90	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	197
+	84	190
+	3	90	195	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	190
+	96	187
+	90	195
+	4	84	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	187
+	90	195
+	3	84	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	146
+	114	135
+	108	151
+	4	102	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	135
+	108	151
+	3	102	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	135
+	102	146
+	108	131
+	4	114	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	146
+	108	131
+	3	114	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	230
+	175	227
+	181	224
+	4	187	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	227
+	181	224
+	3	187	230	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	221
+	181	224
+	175	227
+	4	169	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	224
+	175	227
+	3	169	221	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	206
+	144	203
+	150	198
+	4	156	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	203
+	150	198
+	3	156	206	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	138	194
+	150	198
+	144	203
+	4	138	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	198
+	144	203
+	3	138	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	198
+	138	194
+	144	188
+	4	150	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	194
+	144	188
+	3	150	198	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	214
+	150	211
+	156	206
+	4	162	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	211
+	156	206
+	3	162	214	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	144	203
+	156	206
+	150	211
+	4	144	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	206
+	150	211
+	3	144	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	230
+	199	232
+	193	235
+	4	187	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	232
+	193	235
+	3	187	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	163
+	114	158
+	108	169
+	4	102	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	158
+	108	169
+	3	102	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	158
+	102	163
+	108	151
+	4	114	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	163
+	108	151
+	3	114	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	167
+	144	171
+	138	178
+	4	132	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	171
+	138	178
+	3	132	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	171
+	132	167
+	138	157
+	4	144	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	167
+	138	157
+	3	144	171	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	185
+	144	188
+	138	194
+	4	132	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	188
+	138	194
+	3	132	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	188
+	132	185
+	138	178
+	4	144	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	185
+	138	178
+	3	144	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	102
+	118	37
+	113	83
+	4	108	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	37
+	113	83
+	3	108	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	37
+	108	102
+	114	84
+	4	118	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	102
+	114	84
+	3	118	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	197
+	90	195
+	83	202
+	4	77	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	195
+	83	202
+	3	77	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	221
+	156	218
+	162	214
+	4	169	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	218
+	162	214
+	3	169	221	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	211
+	162	214
+	156	218
+	4	150	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	214
+	156	218
+	3	150	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	185
+	96	187
+	102	179
+	4	108	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	187
+	102	179
+	3	108	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	179
+	114	176
+	108	185
+	4	102	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	176
+	108	185
+	3	102	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	176
+	102	179
+	108	169
+	4	114	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	179
+	108	169
+	3	114	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	193
+	90	195
+	96	187
+	4	102	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	195
+	96	187
+	3	102	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	187
+	108	185
+	102	193
+	4	96	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	185
+	102	193
+	3	96	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	235
+	181	233
+	187	230
+	4	193	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	233
+	187	230
+	3	193	235	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	227
+	187	230
+	181	233
+	4	175	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	230
+	181	233
+	3	175	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	176
+	138	178
+	132	185
+	4	126	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	178
+	132	185
+	3	126	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	178
+	126	176
+	132	167
+	4	138	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	176
+	132	167
+	3	138	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	227
+	163	225
+	169	221
+	4	175	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	225
+	169	221
+	3	175	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	218
+	169	221
+	163	225
+	4	156	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	221
+	163	225
+	3	156	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	169
+	120	166
+	114	176
+	4	108	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	166
+	114	176
+	3	108	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	166
+	108	169
+	114	158
+	4	120	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	169
+	114	158
+	3	120	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	200
+	83	202
+	90	195
+	4	95	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	202
+	90	195
+	3	95	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	195
+	102	193
+	95	200
+	4	90	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	193
+	95	200
+	3	90	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	203
+	132	200
+	138	194
+	4	144	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	200
+	138	194
+	3	144	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	192
+	138	194
+	132	200
+	4	126	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	194
+	132	200
+	3	126	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	194
+	126	192
+	132	185
+	4	138	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	192
+	132	185
+	3	138	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	211
+	138	208
+	144	203
+	4	150	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	208
+	144	203
+	3	150	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	200
+	144	203
+	138	208
+	4	132	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	203
+	138	208
+	3	132	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	151
+	120	143
+	114	158
+	4	108	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	114	158
+	3	108	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	143
+	108	151
+	114	135
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	151
+	114	135
+	3	120	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	184
+	132	185
+	126	192
+	4	120	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	185
+	126	192
+	3	120	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	185
+	120	184
+	126	176
+	4	132	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	184
+	126	176
+	3	132	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	192
+	102	193
+	108	185
+	4	114	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	193
+	108	185
+	3	114	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	185
+	120	184
+	114	192
+	4	108	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	184
+	114	192
+	3	108	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	184
+	108	185
+	114	176
+	4	120	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	185
+	114	176
+	3	120	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	176
+	126	176
+	120	184
+	4	114	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	176
+	120	184
+	3	114	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	176
+	114	176
+	120	166
+	4	126	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	176
+	120	166
+	3	126	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	218
+	144	215
+	150	211
+	4	156	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	215
+	150	211
+	3	156	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	208
+	150	211
+	144	215
+	4	138	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	211
+	144	215
+	3	138	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	202
+	95	200
+	89	207
+	4	83	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	200
+	89	207
+	3	83	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	166
+	132	167
+	126	176
+	4	120	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	167
+	126	176
+	3	120	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	199
+	95	200
+	102	193
+	4	108	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	200
+	102	193
+	3	108	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	193
+	114	192
+	108	199
+	4	102	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	192
+	108	199
+	3	102	193	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	233
+	169	231
+	175	227
+	4	181	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	231
+	175	227
+	3	181	233	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	225
+	175	227
+	169	231
+	4	163	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	227
+	169	231
+	3	163	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	192
+	114	192
+	120	184
+	4	126	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	192
+	120	184
+	3	126	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	124
+	150	141
+	144	148
+	4	138	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	141
+	144	148
+	3	138	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	141
+	138	124
+	144	105
+	4	150	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	124
+	144	105
+	3	150	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	167
+	120	166
+	126	155
+	4	132	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	166
+	126	155
+	3	132	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	155
+	138	157
+	132	167
+	4	126	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	132	167
+	3	126	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	233
+	193	235
+	187	239
+	4	181	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	235
+	187	239
+	3	181	233	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	158
+	126	155
+	120	166
+	4	114	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	155
+	120	166
+	3	114	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	155
+	114	158
+	120	143
+	4	126	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	158
+	120	143
+	3	126	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	200
+	120	199
+	126	192
+	4	132	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	199
+	126	192
+	3	132	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	192
+	126	192
+	120	199
+	4	114	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	192
+	120	199
+	3	114	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	225
+	150	222
+	156	218
+	4	163	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	222
+	156	218
+	3	163	225	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	215
+	156	218
+	150	222
+	4	144	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	218
+	150	222
+	3	144	215	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	199
+	108	199
+	114	192
+	4	120	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	199
+	114	192
+	3	120	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	208
+	126	206
+	132	200
+	4	138	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	206
+	132	200
+	3	138	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	199
+	132	200
+	126	206
+	4	120	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	200
+	126	206
+	3	120	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	157
+	126	155
+	132	141
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	155
+	132	141
+	3	138	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	141
+	144	148
+	138	157
+	4	132	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	138	157
+	3	132	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	206
+	89	207
+	95	200
+	4	101	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	207
+	95	200
+	3	101	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	200
+	108	199
+	101	206
+	4	95	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	199
+	101	206
+	3	95	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	131
+	119	112
+	114	135
+	4	108	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	112
+	114	135
+	3	108	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	112
+	108	131
+	113	108
+	4	119	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	131
+	113	108
+	3	119	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	148
+	132	141
+	138	124
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	141
+	138	124
+	3	144	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	215
+	132	213
+	138	208
+	4	144	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	213
+	138	208
+	3	144	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	206
+	138	208
+	132	213
+	4	126	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	208
+	132	213
+	3	126	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	206
+	101	206
+	108	199
+	4	114	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	206
+	108	199
+	3	114	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	199
+	120	199
+	114	206
+	4	108	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	199
+	114	206
+	3	108	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	206
+	114	206
+	120	199
+	4	126	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	206
+	120	199
+	3	126	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	239
+	175	237
+	181	233
+	4	187	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	237
+	181	233
+	3	187	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	231
+	181	233
+	175	237
+	4	169	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	233
+	175	237
+	3	169	231	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	231
+	156	229
+	163	225
+	4	169	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	229
+	163	225
+	3	169	231	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	222
+	163	225
+	156	229
+	4	150	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	225
+	156	229
+	3	150	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	207
+	101	206
+	95	213
+	4	89	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	206
+	95	213
+	3	89	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	222
+	138	220
+	144	215
+	4	150	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	220
+	144	215
+	3	150	222	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	213
+	144	215
+	138	220
+	4	132	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	215
+	138	220
+	3	132	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	143
+	132	141
+	126	155
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	141
+	126	155
+	3	120	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	111
+	119	70
+	113	108
+	4	108	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	70
+	113	108
+	3	108	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	70
+	108	111
+	113	83
+	4	119	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	111
+	113	83
+	3	119	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	213
+	120	212
+	126	206
+	4	132	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	212
+	126	206
+	3	132	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	206
+	126	206
+	120	212
+	4	114	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	206
+	120	212
+	3	114	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	212
+	95	213
+	101	206
+	4	107	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	213
+	101	206
+	3	107	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	206
+	114	206
+	107	212
+	4	101	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	206
+	107	212
+	3	101	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	212
+	107	212
+	114	206
+	4	120	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	212
+	114	206
+	3	120	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	237
+	163	236
+	169	231
+	4	175	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	236
+	169	231
+	3	175	237	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	229
+	169	231
+	163	236
+	4	156	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	231
+	163	236
+	3	156	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	229
+	144	227
+	150	222
+	4	156	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	227
+	150	222
+	3	156	229	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	220
+	150	222
+	144	227
+	4	138	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	222
+	144	227
+	3	138	220	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	84
+	125	12
+	118	37
+	4	114	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	12
+	118	37
+	3	114	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	12
+	114	84
+	120	71
+	4	125	12	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	84
+	120	71
+	3	125	12	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	220
+	126	219
+	132	213
+	4	138	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	219
+	132	213
+	3	138	220	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	212
+	132	213
+	126	219
+	4	120	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	213
+	126	219
+	3	120	212	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	237
+	187	239
+	181	243
+	4	175	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	239
+	181	243
+	3	175	237	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	8
+	131	8
+	138	66
+	4	144	8	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	8
+	138	66
+	3	144	8	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	135
+	126	124
+	120	143
+	4	114	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	124
+	120	143
+	3	114	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	124
+	114	135
+	119	112
+	4	126	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	135
+	119	112
+	3	126	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	141
+	120	143
+	126	124
+	4	132	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	126	124
+	3	132	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	213
+	107	212
+	101	218
+	4	95	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	212
+	101	218
+	3	95	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	219
+	114	218
+	120	212
+	4	126	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	218
+	120	212
+	3	126	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	212
+	120	212
+	114	218
+	4	107	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	212
+	114	218
+	3	107	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	218
+	101	218
+	107	212
+	4	114	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	218
+	107	212
+	3	114	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	227
+	132	226
+	138	220
+	4	144	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	226
+	138	220
+	3	144	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	219
+	138	220
+	132	226
+	4	126	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	220
+	132	226
+	3	126	219	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	236
+	150	234
+	156	229
+	4	163	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	234
+	156	229
+	3	163	236	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	227
+	156	229
+	150	234
+	4	144	227	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	229
+	150	234
+	3	144	227	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	243
+	169	242
+	175	237
+	4	181	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	242
+	175	237
+	3	181	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	236
+	175	237
+	169	242
+	4	163	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	237
+	169	242
+	3	163	236	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	226
+	120	225
+	126	219
+	4	132	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	225
+	126	219
+	3	132	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	218
+	126	219
+	120	225
+	4	114	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	219
+	120	225
+	3	114	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	25
+	156	106
+	150	92
+	4	144	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	106
+	150	92
+	3	144	25	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	106
+	144	25
+	150	21
+	4	156	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	25
+	150	21
+	3	156	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	124
+	138	124
+	132	141
+	4	126	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	124
+	132	141
+	3	126	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	234
+	138	232
+	144	227
+	4	150	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	232
+	144	227
+	3	150	234	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	226
+	144	227
+	138	232
+	4	132	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	227
+	138	232
+	3	132	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	225
+	107	224
+	114	218
+	4	120	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	224
+	114	218
+	3	120	225	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	218
+	114	218
+	107	224
+	4	101	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	218
+	107	224
+	3	101	218	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	242
+	156	240
+	163	236
+	4	169	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	240
+	163	236
+	3	169	242	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	234
+	163	236
+	156	240
+	4	150	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	236
+	156	240
+	3	150	234	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	71
+	131	8
+	125	12
+	4	120	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	8
+	125	12
+	3	120	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	242
+	181	243
+	175	248
+	4	169	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	243
+	175	248
+	3	169	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	232
+	126	231
+	132	226
+	4	138	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	231
+	132	226
+	3	138	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	225
+	132	226
+	126	231
+	4	120	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	226
+	126	231
+	3	120	225	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	240
+	144	239
+	150	234
+	4	156	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	239
+	150	234
+	3	156	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	232
+	150	234
+	144	239
+	4	138	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	234
+	144	239
+	3	138	232	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	231
+	113	231
+	120	225
+	4	126	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	231
+	120	225
+	3	126	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	224
+	120	225
+	113	231
+	4	107	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	225
+	113	231
+	3	107	224	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	248
+	163	246
+	169	242
+	4	175	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	246
+	169	242
+	3	175	248	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	240
+	169	242
+	163	246
+	4	156	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	242
+	163	246
+	3	156	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	239
+	132	237
+	138	232
+	4	144	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	237
+	138	232
+	3	144	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	231
+	138	232
+	132	237
+	4	126	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	232
+	132	237
+	3	126	231	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	246
+	150	245
+	156	240
+	4	163	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	245
+	156	240
+	3	163	246	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	239
+	156	240
+	150	245
+	4	144	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	240
+	150	245
+	3	144	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	237
+	119	237
+	126	231
+	4	132	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	237
+	126	231
+	3	132	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	231
+	126	231
+	119	237
+	4	113	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	231
+	119	237
+	3	113	231	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	246
+	175	248
+	169	252
+	4	163	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	248
+	169	252
+	3	163	246	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	245
+	138	244
+	144	239
+	4	150	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	244
+	144	239
+	3	150	245	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	237
+	144	239
+	138	244
+	4	132	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	239
+	138	244
+	3	132	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	108
+	125	74
+	119	112
+	4	113	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	74
+	119	112
+	3	113	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	74
+	113	108
+	119	70
+	4	125	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	108
+	119	70
+	3	125	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	124
+	126	124
+	132	96
+	4	138	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	124
+	132	96
+	3	138	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	112
+	132	96
+	126	124
+	4	119	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	96
+	126	124
+	3	119	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	252
+	157	251
+	163	246
+	4	169	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	251
+	163	246
+	3	169	252	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	245
+	163	246
+	157	251
+	4	150	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	246
+	157	251
+	3	150	245	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	96
+	144	105
+	138	124
+	4	132	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	138	124
+	3	132	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	244
+	126	243
+	132	237
+	4	138	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	243
+	132	237
+	3	138	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	237
+	132	237
+	126	243
+	4	119	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	237
+	126	243
+	3	119	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	17
+	157	79
+	150	21
+	4	144	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	79
+	150	21
+	3	144	17	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	79
+	144	17
+	150	12
+	4	157	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	17
+	150	12
+	3	157	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	251
+	144	250
+	150	245
+	4	157	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	250
+	150	245
+	3	157	251	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	244
+	150	245
+	144	250
+	4	138	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	245
+	144	250
+	3	138	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	250
+	132	249
+	138	244
+	4	144	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	249
+	138	244
+	3	144	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	243
+	138	244
+	132	249
+	4	126	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	244
+	132	249
+	3	126	243	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	251
+	169	252
+	163	257
+	4	157	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	252
+	163	257
+	3	157	251	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	96
+	119	112
+	125	74
+	4	132	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	112
+	125	74
+	3	132	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	257
+	150	256
+	157	251
+	4	163	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	256
+	157	251
+	3	163	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	250
+	157	251
+	150	256
+	4	144	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	251
+	150	256
+	3	144	250	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	83
+	124	21
+	119	70
+	4	113	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	21
+	119	70
+	3	113	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	21
+	113	83
+	118	37
+	4	124	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	83
+	118	37
+	3	124	21	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	256
+	138	255
+	144	250
+	4	150	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	255
+	144	250
+	3	150	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	249
+	144	250
+	138	255
+	4	132	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	250
+	138	255
+	3	132	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	256
+	163	257
+	157	262
+	4	150	256	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	257
+	157	262
+	3	150	256	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	262
+	144	261
+	150	256
+	4	157	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	261
+	150	256
+	3	157	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	255
+	150	256
+	144	261
+	4	138	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	256
+	144	261
+	3	138	255	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	105
+	132	96
+	137	50
+	4	144	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	96
+	137	50
+	3	144	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	50
+	150	92
+	144	105
+	4	137	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	92
+	144	105
+	3	137	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	261
+	157	262
+	150	267
+	4	144	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	262
+	150	267
+	3	144	261	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	92
+	137	50
+	144	25
+	4	150	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	50
+	144	25
+	3	150	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	74
+	137	50
+	132	96
+	4	125	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	50
+	132	96
+	3	125	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	70
+	131	25
+	125	74
+	4	119	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	25
+	125	74
+	3	119	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	25
+	119	70
+	124	21
+	4	131	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	70
+	124	21
+	3	131	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	50
+	125	74
+	131	25
+	4	137	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	74
+	131	25
+	3	137	50	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	37
+	131	17
+	124	21
+	4	118	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	17
+	124	21
+	3	118	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	17
+	118	37
+	125	12
+	4	131	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	37
+	125	12
+	3	131	17	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	137	12
+	125	12
+	131	8
+	4	137	12	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	12
+	131	8
+	3	137	12	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	12
+	137	12
+	144	8
+	4	150	12	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	12
+	144	8
+	3	150	12	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	8
+	144	8
+	137	12
+	4	131	8	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	8
+	137	12
+	3	131	8	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	25
+	144	25
+	137	50
+	4	131	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	25
+	137	50
+	3	131	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	17
+	131	17
+	137	12
+	4	144	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	17
+	137	12
+	3	144	17	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	12
+	137	12
+	131	17
+	4	125	12	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	12
+	131	17
+	3	125	12	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	12
+	150	12
+	144	17
+	4	137	12	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	12
+	144	17
+	3	137	12	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	21
+	124	21
+	131	17
+	4	137	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	21
+	131	17
+	3	137	21	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	21
+	137	21
+	144	17
+	4	150	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	21
+	144	17
+	3	150	21	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	17
+	144	17
+	137	21
+	4	131	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	17
+	137	21
+	3	131	17	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	25
+	131	25
+	137	21
+	4	144	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	25
+	137	21
+	3	144	25	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	21
+	137	21
+	131	25
+	4	124	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	21
+	131	25
+	3	124	21	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	21
+	150	21
+	144	25
+	4	137	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	21
+	144	25
+	3	137	21	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/complexroot.ps b/books/ps/complexroot.ps
new file mode 100644
index 0000000..bf60408
--- /dev/null
+++ b/books/ps/complexroot.ps
@@ -0,0 +1,14050 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	62	228	220	104	psDrawLine
+	globGC	(X)	57	233	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	237	228	79	104	psDrawLine
+	globGC	(Y)	242	233	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	78	149	221	psDrawLine
+	globGC	(Z)	154	73	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	154	44
+	145	44
+	149	40
+	4	154	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	44
+	149	40
+	3	154	44	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	48
+	149	48
+	154	44
+	4	159	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	48
+	154	44
+	3	159	48	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	44
+	154	44
+	149	48
+	4	145	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	44
+	149	48
+	3	145	44	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	48
+	140	47
+	145	44
+	4	149	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	47
+	145	44
+	3	149	48	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	53
+	154	52
+	159	48
+	4	164	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	52
+	159	48
+	3	164	53	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	48
+	159	48
+	154	52
+	4	149	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	48
+	154	52
+	3	149	48	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	52
+	145	51
+	149	48
+	4	154	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	51
+	149	48
+	3	154	52	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	47
+	149	48
+	145	51
+	4	140	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	48
+	145	51
+	3	140	47	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	51
+	135	50
+	140	47
+	4	145	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	50
+	140	47
+	3	145	51	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	57
+	159	56
+	164	53
+	4	169	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	56
+	164	53
+	3	169	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	52
+	164	53
+	159	56
+	4	154	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	53
+	159	56
+	3	154	52	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	56
+	149	55
+	154	52
+	4	159	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	55
+	154	52
+	3	159	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	51
+	154	52
+	149	55
+	4	145	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	52
+	149	55
+	3	145	51	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	55
+	140	54
+	145	51
+	4	149	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	54
+	145	51
+	3	149	55	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	50
+	145	51
+	140	54
+	4	135	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	51
+	140	54
+	3	135	50	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	54
+	130	54
+	135	50
+	4	140	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	54
+	135	50
+	3	140	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	62
+	164	60
+	169	57
+	4	174	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	60
+	169	57
+	3	174	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	56
+	169	57
+	164	60
+	4	159	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	57
+	164	60
+	3	159	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	60
+	154	59
+	159	56
+	4	164	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	59
+	159	56
+	3	164	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	55
+	159	56
+	154	59
+	4	149	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	56
+	154	59
+	3	149	55	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	59
+	145	58
+	149	55
+	4	154	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	58
+	149	55
+	3	154	59	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	54
+	149	55
+	145	58
+	4	140	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	55
+	145	58
+	3	140	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	66
+	169	65
+	174	62
+	4	179	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	65
+	174	62
+	3	179	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	60
+	174	62
+	169	65
+	4	164	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	62
+	169	65
+	3	164	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	58
+	135	58
+	140	54
+	4	145	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	58
+	140	54
+	3	145	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	54
+	140	54
+	135	58
+	4	130	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	54
+	135	58
+	3	130	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	58
+	125	57
+	130	54
+	4	135	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	57
+	130	54
+	3	135	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	65
+	159	63
+	164	60
+	4	169	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	63
+	164	60
+	3	169	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	59
+	164	60
+	159	63
+	4	154	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	60
+	159	63
+	3	154	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	72
+	174	69
+	179	66
+	4	184	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	69
+	179	66
+	3	184	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	65
+	179	66
+	174	69
+	4	169	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	66
+	174	69
+	3	169	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	63
+	149	62
+	154	59
+	4	159	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	62
+	154	59
+	3	159	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	58
+	154	59
+	149	62
+	4	145	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	59
+	149	62
+	3	145	58	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	62
+	140	62
+	145	58
+	4	149	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	62
+	145	58
+	3	149	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	58
+	145	58
+	140	62
+	4	135	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	58
+	140	62
+	3	135	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	69
+	164	68
+	169	65
+	4	174	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	68
+	169	65
+	3	174	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	63
+	169	65
+	164	68
+	4	159	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	65
+	164	68
+	3	159	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	62
+	130	61
+	135	58
+	4	140	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	61
+	135	58
+	3	140	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	57
+	135	58
+	130	61
+	4	125	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	58
+	130	61
+	3	125	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	77
+	179	74
+	184	72
+	4	189	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	74
+	184	72
+	3	189	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	69
+	184	72
+	179	74
+	4	174	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	72
+	179	74
+	3	174	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	61
+	120	61
+	125	57
+	4	130	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	61
+	125	57
+	3	130	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	68
+	154	66
+	159	63
+	4	164	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	66
+	159	63
+	3	164	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	62
+	159	63
+	154	66
+	4	149	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	63
+	154	66
+	3	149	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	109
+	204	109
+	209	105
+	4	214	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	209	105
+	3	214	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	199	100
+	209	105
+	204	109
+	4	199	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	105
+	204	109
+	3	199	100	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	209	105
+	199	100
+	204	97
+	4	209	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	100
+	204	97
+	3	209	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	83
+	184	80
+	189	77
+	4	194	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	80
+	189	77
+	3	194	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	74
+	189	77
+	184	80
+	4	179	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	77
+	184	80
+	3	179	74	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	194	92
+	204	97
+	199	100
+	4	194	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	97
+	199	100
+	3	194	92	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	97
+	194	92
+	199	90
+	4	204	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	92
+	199	90
+	3	204	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	74
+	169	72
+	174	69
+	4	179	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	72
+	174	69
+	3	179	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	68
+	174	69
+	169	72
+	4	164	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	69
+	169	72
+	3	164	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	66
+	145	66
+	149	62
+	4	154	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	66
+	149	62
+	3	154	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	62
+	149	62
+	145	66
+	4	140	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	62
+	145	66
+	3	140	62	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	90
+	189	85
+	194	83
+	4	199	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	85
+	194	83
+	3	199	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	80
+	194	83
+	189	85
+	4	184	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	83
+	189	85
+	3	184	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	85
+	199	90
+	194	92
+	4	189	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	90
+	194	92
+	3	189	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	66
+	135	65
+	140	62
+	4	145	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	65
+	140	62
+	3	145	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	61
+	140	62
+	135	65
+	4	130	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	62
+	135	65
+	3	130	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	65
+	125	65
+	130	61
+	4	135	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	65
+	130	61
+	3	135	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	61
+	130	61
+	125	65
+	4	120	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	61
+	125	65
+	3	120	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	65
+	115	65
+	120	61
+	4	125	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	65
+	120	61
+	3	125	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	72
+	159	71
+	164	68
+	4	169	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	71
+	164	68
+	3	169	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	66
+	164	68
+	159	71
+	4	154	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	68
+	159	71
+	3	154	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	113
+	200	105
+	204	109
+	4	209	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	105
+	204	109
+	3	209	113	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	195	98
+	204	109
+	200	105
+	4	195	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	200	105
+	3	195	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	109
+	195	98
+	199	100
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	98
+	199	100
+	3	204	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	109
+	214	109
+	209	113
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	109
+	209	113
+	3	204	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	80
+	175	77
+	179	74
+	4	184	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	77
+	179	74
+	3	184	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	72
+	179	74
+	175	77
+	4	169	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	74
+	175	77
+	3	169	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	71
+	149	70
+	154	66
+	4	159	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	154	66
+	3	159	71	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	66
+	154	66
+	149	70
+	4	145	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	66
+	149	70
+	3	145	66	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	220	108
+	209	113
+	214	109
+	4	220	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	113
+	214	109
+	3	220	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	70
+	139	69
+	145	66
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	69
+	145	66
+	3	149	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	65
+	145	66
+	139	69
+	4	135	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	66
+	139	69
+	3	135	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	85
+	180	81
+	184	80
+	4	189	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	81
+	184	80
+	3	189	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	77
+	184	80
+	180	81
+	4	175	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	80
+	180	81
+	3	175	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	69
+	129	69
+	135	65
+	4	139	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	69
+	135	65
+	3	139	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	65
+	135	65
+	129	69
+	4	125	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	65
+	129	69
+	3	125	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	77
+	165	75
+	169	72
+	4	175	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	75
+	169	72
+	3	175	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	71
+	169	72
+	165	75
+	4	159	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	72
+	165	75
+	3	159	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	190	92
+	199	100
+	195	98
+	4	190	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	100
+	195	98
+	3	190	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	100
+	190	92
+	194	92
+	4	199	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	92
+	194	92
+	3	199	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	69
+	119	68
+	125	65
+	4	129	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	68
+	125	65
+	3	129	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	65
+	125	65
+	119	68
+	4	115	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	65
+	119	68
+	3	115	65	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	68
+	109	68
+	115	65
+	4	119	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	68
+	115	65
+	3	119	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	92
+	185	86
+	189	85
+	4	194	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	86
+	189	85
+	3	194	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	81
+	189	85
+	185	86
+	4	180	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	85
+	185	86
+	3	180	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	86
+	194	92
+	190	92
+	4	185	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	92
+	190	92
+	3	185	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	111
+	206	108
+	209	113
+	4	216	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	108
+	209	113
+	3	216	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	105
+	209	113
+	206	108
+	4	200	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	113
+	206	108
+	3	200	105	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	209	113
+	220	108
+	216	111
+	4	209	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	108
+	216	111
+	3	209	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	75
+	155	73
+	159	71
+	4	165	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	73
+	159	71
+	3	165	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	70
+	159	71
+	155	73
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	71
+	155	73
+	3	149	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	73
+	144	73
+	149	70
+	4	155	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	73
+	149	70
+	3	155	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	69
+	149	70
+	144	73
+	4	139	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	144	73
+	3	139	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	81
+	170	79
+	175	77
+	4	180	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	79
+	175	77
+	3	180	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	75
+	175	77
+	170	79
+	4	165	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	77
+	170	79
+	3	165	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	73
+	134	72
+	139	69
+	4	144	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	72
+	139	69
+	3	144	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	69
+	139	69
+	134	72
+	4	129	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	69
+	134	72
+	3	129	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	72
+	124	72
+	129	69
+	4	134	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	72
+	129	69
+	3	134	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	68
+	129	69
+	124	72
+	4	119	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	69
+	124	72
+	3	119	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	72
+	104	72
+	109	68
+	4	114	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	72
+	109	68
+	3	114	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	68
+	119	68
+	114	72
+	4	109	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	68
+	114	72
+	3	109	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	72
+	114	72
+	119	68
+	4	124	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	72
+	119	68
+	3	124	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	79
+	160	77
+	165	75
+	4	170	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	77
+	165	75
+	3	170	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	73
+	165	75
+	160	77
+	4	155	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	75
+	160	77
+	3	155	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	86
+	175	82
+	180	81
+	4	185	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	82
+	180	81
+	3	185	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	79
+	180	81
+	175	82
+	4	170	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	81
+	175	82
+	3	170	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	77
+	149	76
+	155	73
+	4	160	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	155	73
+	3	160	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	73
+	155	73
+	149	76
+	4	144	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	73
+	149	76
+	3	144	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	76
+	139	76
+	144	73
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	144	73
+	3	149	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	72
+	144	73
+	139	76
+	4	134	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	73
+	139	76
+	3	134	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	76
+	99	77
+	104	72
+	4	109	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	77
+	104	72
+	3	109	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	72
+	114	72
+	109	76
+	4	104	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	72
+	109	76
+	3	104	72	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	226	108
+	216	111
+	220	108
+	4	226	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	111
+	220	108
+	3	226	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	76
+	129	76
+	134	72
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	76
+	134	72
+	3	139	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	72
+	134	72
+	129	76
+	4	124	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	72
+	129	76
+	3	124	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	76
+	109	76
+	114	72
+	4	119	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	76
+	114	72
+	3	119	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	72
+	124	72
+	119	76
+	4	114	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	72
+	119	76
+	3	114	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	76
+	119	76
+	124	72
+	4	129	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	76
+	124	72
+	3	129	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	92
+	180	86
+	185	86
+	4	190	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	86
+	185	86
+	3	190	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	82
+	185	86
+	180	86
+	4	175	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	86
+	180	86
+	3	175	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	82
+	165	81
+	170	79
+	4	175	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	81
+	170	79
+	3	175	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	77
+	170	79
+	165	81
+	4	160	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	79
+	165	81
+	3	160	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	81
+	155	80
+	160	77
+	4	165	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	80
+	160	77
+	3	165	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	76
+	160	77
+	155	80
+	4	149	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	77
+	155	80
+	3	149	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	98
+	186	88
+	190	92
+	4	195	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	88
+	190	92
+	3	195	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	86
+	190	92
+	186	88
+	4	180	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	92
+	186	88
+	3	180	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	80
+	93	81
+	99	77
+	4	104	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	81
+	99	77
+	3	104	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	77
+	109	76
+	104	80
+	4	99	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	76
+	104	80
+	3	99	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	80
+	144	80
+	149	76
+	4	155	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	80
+	149	76
+	3	155	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	76
+	149	76
+	144	80
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	76
+	144	80
+	3	139	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	105
+	191	89
+	195	98
+	4	200	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	89
+	195	98
+	3	200	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	88
+	195	98
+	191	89
+	4	186	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	98
+	191	89
+	3	186	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	80
+	104	80
+	109	76
+	4	114	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	80
+	109	76
+	3	114	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	76
+	119	76
+	114	80
+	4	109	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	76
+	114	80
+	3	109	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	80
+	134	79
+	139	76
+	4	144	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	79
+	139	76
+	3	144	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	76
+	139	76
+	134	79
+	4	129	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	134	79
+	3	129	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	108
+	197	88
+	200	105
+	4	206	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	88
+	200	105
+	3	206	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	191	89
+	200	105
+	197	88
+	4	191	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	105
+	197	88
+	3	191	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	79
+	114	80
+	119	76
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	80
+	119	76
+	3	124	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	76
+	129	76
+	124	79
+	4	119	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	76
+	124	79
+	3	119	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	79
+	124	79
+	129	76
+	4	134	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	129	76
+	3	134	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	86
+	170	84
+	175	82
+	4	180	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	84
+	175	82
+	3	180	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	81
+	175	82
+	170	84
+	4	165	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	82
+	170	84
+	3	165	81	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	222	110
+	212	109
+	216	111
+	4	222	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	109
+	216	111
+	3	222	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	108
+	216	111
+	212	109
+	4	206	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	111
+	212	109
+	3	206	108	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	216	111
+	226	108
+	222	110
+	4	216	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	108
+	222	110
+	3	216	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	84
+	88	86
+	93	81
+	4	98	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	86
+	93	81
+	3	98	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	81
+	104	80
+	98	84
+	4	93	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	80
+	98	84
+	3	93	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	84
+	160	84
+	165	81
+	4	170	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	84
+	165	81
+	3	170	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	80
+	165	81
+	160	84
+	4	155	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	81
+	160	84
+	3	155	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	84
+	149	83
+	155	80
+	4	160	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	83
+	155	80
+	3	160	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	80
+	155	80
+	149	83
+	4	144	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	80
+	149	83
+	3	144	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	84
+	98	84
+	104	80
+	4	108	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	84
+	104	80
+	3	108	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	80
+	114	80
+	108	84
+	4	104	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	80
+	108	84
+	3	104	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	83
+	139	83
+	144	80
+	4	149	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	83
+	144	80
+	3	149	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	79
+	144	80
+	139	83
+	4	134	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	80
+	139	83
+	3	134	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	83
+	108	84
+	114	80
+	4	119	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	84
+	114	80
+	3	119	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	80
+	124	79
+	119	83
+	4	114	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	79
+	119	83
+	3	114	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	83
+	129	83
+	134	79
+	4	139	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	83
+	134	79
+	3	139	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	79
+	134	79
+	129	83
+	4	124	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	79
+	129	83
+	3	124	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	83
+	119	83
+	124	79
+	4	129	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	83
+	124	79
+	3	129	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	109
+	203	92
+	206	108
+	4	212	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	92
+	206	108
+	3	212	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	88
+	206	108
+	203	92
+	4	197	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	108
+	203	92
+	3	197	88	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	233	108
+	222	110
+	226	108
+	4	233	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	110
+	226	108
+	3	233	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	88
+	175	86
+	180	86
+	4	186	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	86
+	180	86
+	3	186	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	84
+	180	86
+	175	86
+	4	170	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	86
+	175	86
+	3	170	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	89
+	83	91
+	88	86
+	4	93	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	91
+	88	86
+	3	93	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	86
+	98	84
+	93	89
+	4	88	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	84
+	93	89
+	3	88	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	88
+	93	89
+	98	84
+	4	103	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	89
+	98	84
+	3	103	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	84
+	108	84
+	103	88
+	4	98	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	84
+	103	88
+	3	98	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	86
+	165	87
+	170	84
+	4	175	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	87
+	170	84
+	3	175	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	84
+	170	84
+	165	87
+	4	160	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	84
+	165	87
+	3	160	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	87
+	155	87
+	160	84
+	4	165	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	87
+	160	84
+	3	165	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	83
+	160	84
+	155	87
+	4	149	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	84
+	155	87
+	3	149	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	87
+	103	88
+	108	84
+	4	113	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	88
+	108	84
+	3	113	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	84
+	119	83
+	113	87
+	4	108	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	83
+	113	87
+	3	108	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	87
+	144	87
+	149	83
+	4	155	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	87
+	149	83
+	3	155	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	83
+	149	83
+	144	87
+	4	139	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	83
+	144	87
+	3	139	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	94
+	77	96
+	83	91
+	4	87	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	96
+	83	91
+	3	87	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	91
+	93	89
+	87	94
+	4	83	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	89
+	87	94
+	3	83	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	87
+	113	87
+	119	83
+	4	124	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	87
+	119	83
+	3	124	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	83
+	129	83
+	124	87
+	4	119	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	83
+	124	87
+	3	119	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	87
+	134	87
+	139	83
+	4	144	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	87
+	139	83
+	3	144	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	83
+	139	83
+	134	87
+	4	129	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	83
+	134	87
+	3	129	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	87
+	124	87
+	129	83
+	4	134	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	87
+	129	83
+	3	134	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	92
+	87	94
+	93	89
+	4	97	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	94
+	93	89
+	3	97	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	89
+	103	88
+	97	92
+	4	93	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	88
+	97	92
+	3	93	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	99
+	72	102
+	77	96
+	4	82	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	102
+	77	96
+	3	82	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	96
+	87	94
+	82	99
+	4	77	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	94
+	82	99
+	3	77	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	89
+	181	85
+	186	88
+	4	191	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	85
+	186	88
+	3	191	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	86
+	186	88
+	181	85
+	4	175	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	88
+	181	85
+	3	175	86	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	228	110
+	218	110
+	222	110
+	4	228	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	110
+	222	110
+	3	228	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	109
+	222	110
+	218	110
+	4	212	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	110
+	218	110
+	3	212	109	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	222	110
+	233	108
+	228	110
+	4	222	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	108
+	228	110
+	3	222	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	91
+	97	92
+	103	88
+	4	108	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	92
+	103	88
+	3	108	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	88
+	113	87
+	108	91
+	4	103	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	87
+	108	91
+	3	103	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	106
+	67	109
+	72	102
+	4	77	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	109
+	72	102
+	3	77	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	102
+	82	99
+	77	106
+	4	72	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	99
+	77	106
+	3	72	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	90
+	108	91
+	113	87
+	4	118	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	91
+	113	87
+	3	118	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	87
+	124	87
+	118	90
+	4	113	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	87
+	118	90
+	3	113	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	90
+	149	90
+	155	87
+	4	160	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	155	87
+	3	160	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	87
+	155	87
+	149	90
+	4	144	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	87
+	149	90
+	3	144	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	87
+	165	87
+	160	90
+	4	155	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	87
+	160	90
+	3	155	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	113
+	61	115
+	67	109
+	4	71	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	115
+	67	109
+	3	71	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	109
+	77	106
+	71	113
+	4	67	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	106
+	71	113
+	3	67	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	110
+	208	100
+	212	109
+	4	218	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	100
+	212	109
+	3	218	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	92
+	212	109
+	208	100
+	4	203	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	109
+	208	100
+	3	203	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	90
+	139	90
+	144	87
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	144	87
+	3	149	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	87
+	144	87
+	139	90
+	4	134	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	87
+	139	90
+	3	134	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	90
+	118	90
+	124	87
+	4	129	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	90
+	124	87
+	3	129	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	87
+	134	87
+	129	90
+	4	124	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	87
+	129	90
+	3	124	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	90
+	129	90
+	134	87
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	90
+	134	87
+	3	139	90	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	89
+	160	90
+	165	87
+	4	170	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	90
+	165	87
+	3	170	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	87
+	175	86
+	170	89
+	4	165	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	86
+	170	89
+	3	165	87	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	96
+	82	99
+	87	94
+	4	92	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	99
+	87	94
+	3	92	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	94
+	97	92
+	92	96
+	4	87	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	92
+	92	96
+	3	87	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	85
+	170	89
+	175	86
+	4	181	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	89
+	175	86
+	3	181	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	121
+	56	121
+	61	115
+	4	66	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	121
+	61	115
+	3	66	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	115
+	71	113
+	66	121
+	4	61	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	113
+	66	121
+	3	61	115	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	239	109
+	228	110
+	233	108
+	4	239	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	110
+	233	108
+	3	239	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	137
+	60	140
+	66	136
+	4	70	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	140
+	66	136
+	3	70	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	55	132
+	66	136
+	60	140
+	4	55	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	136
+	60	140
+	3	55	132	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	66	136
+	55	132
+	61	129
+	4	66	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	132
+	61	129
+	3	66	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	136
+	75	126
+	70	137
+	4	66	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	70	137
+	3	66	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	75	126
+	66	136
+	71	126
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	136
+	71	126
+	3	75	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	61	129
+	71	126
+	66	136
+	4	61	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	126
+	66	136
+	3	61	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	126
+	61	129
+	66	121
+	4	71	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	129
+	66	121
+	3	71	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	121
+	66	121
+	61	129
+	4	56	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	121
+	61	129
+	3	56	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	66	121
+	76	116
+	71	126
+	4	66	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	116
+	71	126
+	3	66	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	116
+	66	121
+	71	113
+	4	76	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	121
+	71	113
+	3	76	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	101
+	77	106
+	82	99
+	4	86	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	106
+	82	99
+	3	86	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	82	99
+	92	96
+	86	101
+	4	82	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	96
+	86	101
+	3	82	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	95
+	92	96
+	97	92
+	4	102	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	96
+	97	92
+	3	102	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	92
+	108	91
+	102	95
+	4	97	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	91
+	102	95
+	3	97	92	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	50	125
+	61	129
+	55	132
+	4	50	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	129
+	55	132
+	3	50	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	61	129
+	50	125
+	56	121
+	4	61	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	125
+	56	121
+	3	61	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	71	113
+	81	108
+	76	116
+	4	71	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	108
+	76	116
+	3	71	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	108
+	71	113
+	77	106
+	4	81	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	113
+	77	106
+	3	81	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	77	106
+	86	101
+	81	108
+	4	77	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	101
+	81	108
+	3	77	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	94
+	102	95
+	108	91
+	4	113	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	95
+	108	91
+	3	113	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	91
+	118	90
+	113	94
+	4	108	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	90
+	113	94
+	3	108	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	94
+	113	94
+	118	90
+	4	123	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	94
+	118	90
+	3	123	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	90
+	129	90
+	123	94
+	4	118	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	90
+	123	94
+	3	118	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	94
+	144	94
+	149	90
+	4	155	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	94
+	149	90
+	3	155	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	90
+	149	90
+	144	94
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	90
+	144	94
+	3	139	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	90
+	160	90
+	155	94
+	4	149	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	90
+	155	94
+	3	149	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	94
+	134	94
+	139	90
+	4	144	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	94
+	139	90
+	3	144	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	90
+	139	90
+	134	94
+	4	129	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	134	94
+	3	129	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	94
+	123	94
+	129	90
+	4	134	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	94
+	129	90
+	3	134	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	93
+	155	94
+	160	90
+	4	165	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	94
+	160	90
+	3	165	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	90
+	170	89
+	165	93
+	4	160	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	89
+	165	93
+	3	160	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	71	126
+	80	114
+	75	126
+	4	71	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	114
+	75	126
+	3	71	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	80	114
+	71	126
+	76	116
+	4	80	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	126
+	76	116
+	3	80	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	98
+	86	101
+	92	96
+	4	97	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	101
+	92	96
+	3	97	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	96
+	102	95
+	97	98
+	4	92	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	95
+	97	98
+	3	92	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	88
+	165	93
+	170	89
+	4	176	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	93
+	170	89
+	3	176	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	170	89
+	181	85
+	176	88
+	4	170	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	85
+	176	88
+	3	170	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	88
+	188	71
+	191	89
+	4	197	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	71
+	191	89
+	3	197	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	85
+	191	89
+	188	71
+	4	181	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	89
+	188	71
+	3	181	85	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	234	112
+	224	112
+	228	110
+	4	234	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	112
+	228	110
+	3	234	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	110
+	228	110
+	224	112
+	4	218	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	110
+	224	112
+	3	218	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	228	110
+	239	109
+	234	112
+	4	228	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	109
+	234	112
+	3	228	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	60	140
+	49	134
+	55	132
+	4	60	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	134
+	55	132
+	3	60	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	44	127
+	55	132
+	49	134
+	4	44	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	132
+	49	134
+	3	44	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	55	132
+	44	127
+	50	125
+	4	55	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	127
+	50	125
+	3	55	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	141
+	54	139
+	60	140
+	4	65	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	139
+	60	140
+	3	65	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	49	134
+	60	140
+	54	139
+	4	49	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	140
+	54	139
+	3	49	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	60	140
+	70	137
+	65	141
+	4	60	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	137
+	65	141
+	3	60	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	112
+	214	107
+	218	110
+	4	224	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	107
+	218	110
+	3	224	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	100
+	218	110
+	214	107
+	4	208	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	110
+	214	107
+	3	208	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	98
+	97	98
+	102	95
+	4	107	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	98
+	102	95
+	3	107	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	95
+	113	94
+	107	98
+	4	102	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	94
+	107	98
+	3	102	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	98
+	107	98
+	113	94
+	4	118	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	98
+	113	94
+	3	118	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	94
+	123	94
+	118	98
+	4	113	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	94
+	118	98
+	3	113	94	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	245	111
+	234	112
+	239	109
+	4	245	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	112
+	239	109
+	3	245	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	91	102
+	81	108
+	86	101
+	4	91	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	108
+	86	101
+	3	91	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	101
+	97	98
+	91	102
+	4	86	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	98
+	91	102
+	3	86	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	98
+	118	98
+	123	94
+	4	128	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	98
+	123	94
+	3	128	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	94
+	134	94
+	128	98
+	4	123	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	94
+	128	98
+	3	123	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	98
+	139	98
+	144	94
+	4	149	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	98
+	144	94
+	3	149	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	94
+	144	94
+	139	98
+	4	134	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	94
+	139	98
+	3	134	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	94
+	155	94
+	149	98
+	4	144	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	94
+	149	98
+	3	144	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	98
+	128	98
+	134	94
+	4	139	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	98
+	134	94
+	3	139	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	98
+	149	98
+	155	94
+	4	160	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	98
+	155	94
+	3	160	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	94
+	165	93
+	160	98
+	4	155	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	93
+	160	98
+	3	155	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	116
+	85	107
+	80	114
+	4	76	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	107
+	80	114
+	3	76	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	107
+	76	116
+	81	108
+	4	85	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	116
+	81	108
+	3	85	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	97
+	160	98
+	165	93
+	4	171	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	98
+	165	93
+	3	171	97	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	165	93
+	176	88
+	171	97
+	4	165	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	88
+	171	97
+	3	165	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	81	108
+	91	102
+	85	107
+	4	81	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	102
+	85	107
+	3	81	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	103
+	171	110
+	176	108
+	4	182	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	110
+	176	108
+	3	182	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	102
+	176	108
+	171	110
+	4	165	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	108
+	171	110
+	3	165	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	108
+	165	102
+	171	97
+	4	176	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	102
+	171	97
+	3	176	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	108
+	194	3
+	182	103
+	4	176	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	3
+	182	103
+	3	176	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	3
+	176	108
+	183	72
+	4	194	3	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	108
+	183	72
+	3	194	3	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	97
+	183	72
+	176	108
+	4	171	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	72
+	176	108
+	3	171	97	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	73	129
+	65	141
+	70	137
+	4	73	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	141
+	70	137
+	3	73	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	70	137
+	78	114
+	73	129
+	4	70	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	114
+	73	129
+	3	70	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	114
+	70	137
+	75	126
+	4	78	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	137
+	75	126
+	3	78	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	71
+	176	88
+	181	85
+	4	188	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	88
+	181	85
+	3	188	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	100
+	91	102
+	97	98
+	4	101	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	102
+	97	98
+	3	101	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	98
+	107	98
+	101	100
+	4	97	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	98
+	101	100
+	3	97	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	102
+	155	101
+	160	98
+	4	165	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	101
+	160	98
+	3	165	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	98
+	160	98
+	155	101
+	4	149	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	98
+	155	101
+	3	149	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	98
+	171	97
+	165	102
+	4	160	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	97
+	165	102
+	3	160	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	101
+	123	101
+	128	98
+	4	134	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	101
+	128	98
+	3	134	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	98
+	128	98
+	123	101
+	4	118	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	98
+	123	101
+	3	118	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	98
+	139	98
+	134	101
+	4	128	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	98
+	134	101
+	3	128	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	101
+	134	101
+	139	98
+	4	144	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	101
+	139	98
+	3	144	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	98
+	149	98
+	144	101
+	4	139	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	98
+	144	101
+	3	139	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	101
+	144	101
+	149	98
+	4	155	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	101
+	149	98
+	3	155	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	101
+	112	101
+	118	98
+	4	123	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	101
+	118	98
+	3	123	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	98
+	118	98
+	112	101
+	4	107	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	98
+	112	101
+	3	107	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	101
+	101	100
+	107	98
+	4	112	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	100
+	107	98
+	3	112	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	49	134
+	37	129
+	44	127
+	4	49	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	129
+	44	127
+	3	49	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	72
+	171	97
+	176	88
+	4	183	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	97
+	176	88
+	3	183	72	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	114
+	230	114
+	234	112
+	4	241	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	114
+	234	112
+	3	241	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	112
+	234	112
+	230	114
+	4	224	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	112
+	230	114
+	3	224	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	234	112
+	245	111
+	241	114
+	4	234	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	111
+	241	114
+	3	234	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	114
+	219	112
+	224	112
+	4	230	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	112
+	224	112
+	3	230	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	107
+	224	112
+	219	112
+	4	214	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	112
+	219	112
+	3	214	107	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	54	139
+	42	135
+	49	134
+	4	54	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	135
+	49	134
+	3	54	139	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	37	129
+	49	134
+	42	135
+	4	37	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	134
+	42	135
+	3	37	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	137
+	58	142
+	65	141
+	4	68	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	142
+	65	141
+	3	68	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	139
+	65	141
+	58	142
+	4	54	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	141
+	58	142
+	3	54	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	141
+	73	129
+	68	137
+	4	65	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	129
+	68	137
+	3	65	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	126
+	83	100
+	78	114
+	4	75	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	100
+	78	114
+	3	75	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	83	100
+	75	126
+	80	114
+	4	83	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	126
+	80	114
+	3	83	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	252	113
+	241	114
+	245	111
+	4	252	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	114
+	245	111
+	3	252	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	88
+	188	71
+	183	72
+	4	176	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	71
+	183	72
+	3	176	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	92
+	199	11
+	197	88
+	4	203	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	11
+	197	88
+	3	203	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	71
+	197	88
+	199	11
+	4	188	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	88
+	199	11
+	3	188	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	110
+	160	105
+	165	102
+	4	171	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	105
+	165	102
+	3	171	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	101
+	165	102
+	160	105
+	4	155	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	102
+	160	105
+	3	155	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	106
+	166	102
+	171	110
+	4	177	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	102
+	171	110
+	3	177	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	105
+	171	110
+	166	102
+	4	160	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	110
+	166	102
+	3	160	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	110
+	182	103
+	177	106
+	4	171	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	103
+	177	106
+	3	171	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	102
+	85	107
+	91	102
+	4	95	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	107
+	91	102
+	3	95	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	102
+	101	100
+	95	102
+	4	91	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	100
+	95	102
+	3	91	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	58	142
+	47	139
+	54	139
+	4	58	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	139
+	54	139
+	3	58	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	42	135
+	54	139
+	47	139
+	4	42	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	139
+	47	139
+	3	42	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	105
+	149	105
+	155	101
+	4	160	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	105
+	155	101
+	3	160	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	101
+	155	101
+	149	105
+	4	144	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	101
+	149	105
+	3	144	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	105
+	128	105
+	134	101
+	4	139	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	105
+	134	101
+	3	139	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	101
+	134	101
+	128	105
+	4	123	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	101
+	128	105
+	3	123	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	105
+	139	105
+	144	101
+	4	149	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	105
+	144	101
+	3	149	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	101
+	144	101
+	139	105
+	4	134	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	101
+	139	105
+	3	134	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	105
+	117	105
+	123	101
+	4	128	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	105
+	123	101
+	3	128	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	101
+	123	101
+	117	105
+	4	112	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	101
+	117	105
+	3	112	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	105
+	106	104
+	112	101
+	4	117	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	104
+	112	101
+	3	117	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	100
+	112	101
+	106	104
+	4	101	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	101
+	106	104
+	3	101	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	104
+	95	102
+	101	100
+	4	106	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	102
+	101	100
+	3	106	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	107
+	205	83
+	208	100
+	4	214	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	83
+	208	100
+	3	214	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	14
+	208	100
+	205	83
+	4	205	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	100
+	205	83
+	3	205	14	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	100
+	205	14
+	203	92
+	4	208	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	14
+	203	92
+	3	208	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	80	114
+	89	100
+	83	100
+	4	80	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	100
+	83	100
+	3	80	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	100
+	80	114
+	85	107
+	4	89	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	114
+	85	107
+	3	89	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	11
+	203	92
+	205	14
+	4	199	11	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	92
+	205	14
+	3	199	11	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	112
+	210	103
+	214	107
+	4	219	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	103
+	214	107
+	3	219	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	83
+	214	107
+	210	103
+	4	205	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	107
+	210	103
+	3	205	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	85	107
+	95	102
+	89	100
+	4	85	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	102
+	89	100
+	3	85	107	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	42	135
+	30	131
+	37	129
+	4	42	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	131
+	37	129
+	3	42	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	117
+	225	116
+	230	114
+	4	236	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	116
+	230	114
+	3	236	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	112
+	230	114
+	225	116
+	4	219	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	114
+	225	116
+	3	219	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	114
+	241	114
+	236	117
+	4	230	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	114
+	236	117
+	3	230	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	116
+	236	117
+	241	114
+	4	247	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	117
+	241	114
+	3	247	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	241	114
+	252	113
+	247	116
+	4	241	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	113
+	247	116
+	3	241	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	104
+	155	117
+	160	121
+	4	166	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	160	121
+	3	166	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	113
+	160	121
+	155	117
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	121
+	155	117
+	3	149	113	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	160	121
+	149	113
+	155	109
+	4	160	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	155	109
+	3	160	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	160	121
+	175	14
+	166	104
+	4	160	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	14
+	166	104
+	3	160	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	14
+	160	121
+	166	102
+	4	175	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	121
+	166	102
+	3	175	14	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	109
+	166	102
+	160	121
+	4	155	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	102
+	160	121
+	3	155	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	109
+	112	109
+	117	105
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	109
+	117	105
+	3	122	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	104
+	117	105
+	112	109
+	4	106	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	105
+	112	109
+	3	106	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	105
+	128	105
+	122	109
+	4	117	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	105
+	122	109
+	3	117	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	109
+	122	109
+	128	105
+	4	133	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	128	105
+	3	133	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	105
+	139	105
+	133	109
+	4	128	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	105
+	133	109
+	3	128	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	109
+	133	109
+	139	105
+	4	144	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	109
+	139	105
+	3	144	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	105
+	149	105
+	144	109
+	4	139	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	105
+	144	109
+	3	139	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	109
+	144	109
+	149	105
+	4	155	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	109
+	149	105
+	3	155	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	105
+	160	105
+	155	109
+	4	149	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	105
+	155	109
+	3	149	105	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	258	115
+	247	116
+	252	113
+	4	258	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	116
+	252	113
+	3	258	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	102
+	155	109
+	160	105
+	4	166	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	109
+	160	105
+	3	166	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	47	139
+	35	136
+	42	135
+	4	47	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	136
+	42	135
+	3	47	139	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	30	131
+	42	135
+	35	136
+	4	30	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	135
+	35	136
+	3	30	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	116
+	215	112
+	219	112
+	4	225	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	112
+	219	112
+	3	225	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	103
+	219	112
+	215	112
+	4	210	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	112
+	215	112
+	3	210	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	109
+	100	104
+	106	104
+	4	112	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	104
+	106	104
+	3	112	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	102
+	106	104
+	100	104
+	4	95	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	104
+	100	104
+	3	95	102	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	199	117
+	188	121
+	193	119
+	4	199	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	121
+	193	119
+	3	199	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	110
+	193	119
+	188	121
+	4	182	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	119
+	188	121
+	3	182	110	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	193	119
+	182	110
+	187	107
+	4	193	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	110
+	187	107
+	3	193	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	193	119
+	205	107
+	199	117
+	4	193	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	107
+	199	117
+	3	193	119	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	205	107
+	193	119
+	200	84
+	4	205	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	119
+	200	84
+	3	205	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	107
+	200	84
+	193	119
+	4	187	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	84
+	193	119
+	3	187	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	141
+	51	142
+	58	142
+	4	62	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	58	142
+	3	62	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	47	139
+	58	142
+	51	142
+	4	47	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	142
+	51	142
+	3	47	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	142
+	68	137
+	62	141
+	4	58	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	137
+	62	141
+	3	58	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	107
+	177	106
+	182	103
+	4	187	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	106
+	182	103
+	3	187	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	103
+	200	6
+	187	107
+	4	182	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	6
+	187	107
+	3	182	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	6
+	182	103
+	194	3
+	4	200	6	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	103
+	194	3
+	3	200	6	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	108	88
+	98	111
+	106	134
+	4	108	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	111
+	106	134
+	3	108	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	84	22
+	106	134
+	98	111
+	4	84	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	134
+	98	111
+	3	84	22	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	134
+	84	22
+	99	107
+	4	106	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	22
+	99	107
+	3	106	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	134
+	115	93
+	108	88
+	4	106	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	93
+	108	88
+	3	106	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	93
+	106	134
+	111	122
+	4	115	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	134
+	111	122
+	3	115	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	107
+	111	122
+	106	134
+	4	99	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	122
+	106	134
+	3	99	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	113
+	106	116
+	112	109
+	4	117	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	116
+	112	109
+	3	117	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	104
+	112	109
+	106	116
+	4	100	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	109
+	106	116
+	3	100	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	109
+	122	109
+	117	113
+	4	112	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	117	113
+	3	112	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	104
+	89	100
+	95	102
+	4	100	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	100
+	95	102
+	3	100	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	109
+	155	109
+	149	113
+	4	144	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	109
+	149	113
+	3	144	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	113
+	117	113
+	122	109
+	4	128	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	113
+	122	109
+	3	128	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	109
+	133	109
+	128	113
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	109
+	128	113
+	3	122	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	113
+	128	113
+	133	109
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	113
+	133	109
+	3	139	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	109
+	144	109
+	139	113
+	4	133	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	109
+	139	113
+	3	133	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	113
+	139	113
+	144	109
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	144	109
+	3	149	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	119
+	231	119
+	236	117
+	4	242	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	119
+	236	117
+	3	242	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	116
+	236	117
+	231	119
+	4	225	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	117
+	231	119
+	3	225	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	117
+	247	116
+	242	119
+	4	236	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	116
+	242	119
+	3	236	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	51	142
+	40	140
+	47	139
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	140
+	47	139
+	3	51	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	35	136
+	47	139
+	40	140
+	4	35	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	139
+	40	140
+	3	35	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	253	119
+	242	119
+	247	116
+	4	253	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	119
+	247	116
+	3	253	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	247	116
+	258	115
+	253	119
+	4	247	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	115
+	253	119
+	3	247	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	122
+	99	107
+	106	116
+	4	111	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	107
+	106	116
+	3	111	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	87
+	106	116
+	99	107
+	4	92	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	116
+	99	107
+	3	92	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	116
+	92	87
+	100	104
+	4	106	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	87
+	100	104
+	3	106	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	116
+	117	113
+	111	122
+	4	106	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	113
+	111	122
+	3	106	116	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	35	136
+	23	133
+	30	131
+	4	35	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	133
+	30	131
+	3	35	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	119
+	221	118
+	225	116
+	4	231	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	118
+	225	116
+	3	231	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	112
+	225	116
+	221	118
+	4	215	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	116
+	221	118
+	3	215	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	265	117
+	253	119
+	258	115
+	4	265	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	119
+	258	115
+	3	265	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	106
+	187	107
+	182	110
+	4	177	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	107
+	182	110
+	3	177	106	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	200	84
+	187	107
+	200	6
+	4	200	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	107
+	200	6
+	3	200	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	132
+	62	141
+	68	137
+	4	71	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	141
+	68	137
+	3	71	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	137
+	76	114
+	71	132
+	4	68	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	114
+	71	132
+	3	68	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	114
+	68	137
+	73	129
+	4	76	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	137
+	73	129
+	3	76	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	111	122
+	122	116
+	115	93
+	4	111	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	116
+	115	93
+	3	111	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	116
+	111	122
+	117	113
+	4	122	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	122
+	117	113
+	3	122	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	129
+	75	58
+	76	114
+	4	73	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	58
+	76	114
+	3	73	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	75	58
+	73	129
+	78	114
+	4	75	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	129
+	78	114
+	3	75	58	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	110
+	175	14
+	177	106
+	4	182	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	14
+	177	106
+	3	182	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	102
+	177	106
+	175	14
+	4	166	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	106
+	175	14
+	3	166	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	122
+	183	114
+	188	121
+	4	194	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	114
+	188	121
+	3	194	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	18
+	188	121
+	183	114
+	4	182	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	121
+	183	114
+	3	182	18	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	121
+	182	18
+	182	110
+	4	188	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	18
+	182	110
+	3	188	121	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	188	121
+	199	117
+	194	122
+	4	188	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	117
+	194	122
+	3	188	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	135
+	117	42
+	128	129
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	42
+	128	129
+	3	133	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	93
+	128	129
+	117	42
+	4	115	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	129
+	117	42
+	3	115	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	129
+	115	93
+	122	116
+	4	128	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	93
+	122	116
+	3	128	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	129
+	139	124
+	133	135
+	4	128	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	133	135
+	3	128	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	124
+	128	129
+	133	116
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	129
+	133	116
+	3	139	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	116
+	133	116
+	128	129
+	4	122	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	116
+	128	129
+	3	122	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	113
+	128	113
+	122	116
+	4	117	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	113
+	122	116
+	3	117	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	40	140
+	28	138
+	35	136
+	4	40	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	138
+	35	136
+	3	40	140	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	23	133
+	35	136
+	28	138
+	4	23	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	136
+	28	138
+	3	23	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	116
+	122	116
+	128	113
+	4	133	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	116
+	128	113
+	3	133	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	113
+	139	113
+	133	116
+	4	128	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	133	116
+	3	128	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	117
+	144	116
+	149	113
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	116
+	149	113
+	3	155	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	113
+	149	113
+	144	116
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	144	116
+	3	139	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	116
+	133	116
+	139	113
+	4	144	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	116
+	139	113
+	3	144	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	118
+	210	115
+	215	112
+	4	221	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	115
+	215	112
+	3	221	118	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	205	107
+	215	112
+	210	115
+	4	205	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	112
+	210	115
+	3	205	107	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	215	112
+	205	107
+	210	103
+	4	215	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	107
+	210	103
+	3	215	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	89	100
+	100	104
+	92	87
+	4	89	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	104
+	92	87
+	3	89	100	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	138	112
+	127	129
+	133	135
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	129
+	133	135
+	3	138	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	42
+	133	135
+	127	129
+	4	117	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	127	129
+	3	117	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	135
+	144	103
+	138	112
+	4	133	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	138	112
+	3	133	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	103
+	133	135
+	139	124
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	135
+	139	124
+	3	144	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	249	122
+	238	123
+	242	119
+	4	249	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	123
+	242	119
+	3	249	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	119
+	242	119
+	238	123
+	4	231	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	119
+	238	123
+	3	231	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	119
+	253	119
+	249	122
+	4	242	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	119
+	249	122
+	3	242	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	238	123
+	227	122
+	231	119
+	4	238	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	122
+	231	119
+	3	238	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	118
+	231	119
+	227	122
+	4	221	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	119
+	227	122
+	3	221	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	144
+	44	144
+	51	142
+	4	55	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	144
+	51	142
+	3	55	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	40	140
+	51	142
+	44	144
+	4	40	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	142
+	44	144
+	3	40	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	142
+	62	141
+	55	144
+	4	51	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	141
+	55	144
+	3	51	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	84
+	210	103
+	205	107
+	4	200	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	103
+	205	107
+	3	200	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	103
+	200	84
+	205	83
+	4	210	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	84
+	205	83
+	3	210	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	121
+	249	122
+	253	119
+	4	260	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	122
+	253	119
+	3	260	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	253	119
+	265	117
+	260	121
+	4	253	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	117
+	260	121
+	3	253	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	140
+	55	144
+	62	141
+	4	66	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	144
+	62	141
+	3	66	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	141
+	71	132
+	66	140
+	4	62	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	132
+	66	140
+	3	62	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	11
+	183	72
+	188	71
+	4	199	11	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	72
+	188	71
+	3	199	11	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	14
+	182	110
+	182	18
+	4	175	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	110
+	182	18
+	3	175	14	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	122
+	216	121
+	221	118
+	4	227	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	121
+	221	118
+	3	227	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	115
+	221	118
+	216	121
+	4	210	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	118
+	216	121
+	3	210	115	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	271	120
+	260	121
+	265	117
+	4	271	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	121
+	265	117
+	3	271	120	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	28	138
+	16	135
+	23	133
+	4	28	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	135
+	23	133
+	3	28	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	183	129
+	172	129
+	177	133
+	4	183	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	129
+	177	133
+	3	183	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	125
+	177	133
+	172	129
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	133
+	172	129
+	3	166	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	133
+	166	125
+	172	108
+	4	177	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	172	108
+	3	177	133	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	177	133
+	188	125
+	183	129
+	4	177	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	125
+	183	129
+	3	177	133	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	188	125
+	177	133
+	183	114
+	4	188	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	133
+	183	114
+	3	188	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	108
+	183	114
+	177	133
+	4	172	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	114
+	177	133
+	3	172	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	44	144
+	33	142
+	40	140
+	4	44	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	142
+	40	140
+	3	44	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	28	138
+	40	140
+	33	142
+	4	28	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	140
+	33	142
+	3	28	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	121
+	149	119
+	155	117
+	4	161	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	119
+	155	117
+	3	161	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	116
+	155	117
+	149	119
+	4	144	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	117
+	149	119
+	3	144	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	117
+	166	104
+	161	121
+	4	155	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	104
+	161	121
+	3	155	117	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	205	120
+	194	122
+	199	117
+	4	205	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	122
+	199	117
+	3	205	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	199	117
+	210	115
+	205	120
+	4	199	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	115
+	205	120
+	3	199	117	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	210	115
+	199	117
+	205	107
+	4	210	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	117
+	205	107
+	3	210	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	119
+	139	124
+	144	116
+	4	149	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	144	116
+	3	149	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	116
+	144	116
+	139	124
+	4	133	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	116
+	139	124
+	3	133	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	124
+	149	119
+	144	103
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	119
+	144	103
+	3	139	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	92	87
+	83	100
+	89	100
+	4	92	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	100
+	89	100
+	3	92	87	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	121
+	205	120
+	210	115
+	4	216	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	120
+	210	115
+	3	216	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	126
+	233	126
+	238	123
+	4	244	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	126
+	238	123
+	3	244	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	227	122
+	238	123
+	233	126
+	4	227	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	123
+	233	126
+	3	227	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	238	123
+	249	122
+	244	126
+	4	238	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	122
+	244	126
+	3	238	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	255	125
+	244	126
+	249	122
+	4	255	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	126
+	249	122
+	3	255	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	249	122
+	260	121
+	255	125
+	4	249	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	121
+	255	125
+	3	249	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	126
+	222	125
+	227	122
+	4	233	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	125
+	227	122
+	3	233	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	121
+	227	122
+	222	125
+	4	216	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	122
+	222	125
+	3	216	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	33	142
+	21	139
+	28	138
+	4	33	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	139
+	28	138
+	3	33	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	16	135
+	28	138
+	21	139
+	4	16	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	138
+	21	139
+	3	16	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	125
+	188	125
+	194	122
+	4	200	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	125
+	194	122
+	3	200	125	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	183	114
+	194	122
+	188	125
+	4	183	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	122
+	188	125
+	3	183	114	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	194	122
+	205	120
+	200	125
+	4	194	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	120
+	200	125
+	3	194	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	114
+	78	18
+	75	58
+	4	78	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	18
+	75	58
+	3	78	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	18
+	78	114
+	83	100
+	4	78	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	114
+	83	100
+	3	78	18	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	267	124
+	255	125
+	260	121
+	4	267	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	125
+	260	121
+	3	267	124	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	260	121
+	271	120
+	267	124
+	4	260	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	120
+	267	124
+	3	260	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	123
+	99	141
+	105	137
+	4	109	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	105	137
+	3	109	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	111
+	105	137
+	99	141
+	4	91	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	137
+	99	141
+	3	91	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	137
+	91	111
+	98	111
+	4	105	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	111
+	98	111
+	3	105	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	137
+	109	30
+	109	123
+	4	105	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	30
+	109	123
+	3	105	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	30
+	105	137
+	108	88
+	4	109	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	137
+	108	88
+	3	109	30	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	98	111
+	108	88
+	105	137
+	4	98	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	88
+	105	137
+	3	98	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	125
+	155	109
+	161	121
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	109
+	161	121
+	3	166	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	119
+	161	121
+	155	109
+	4	149	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	121
+	155	109
+	3	149	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	121
+	172	108
+	166	125
+	4	161	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	108
+	166	125
+	3	161	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	108
+	161	121
+	166	104
+	4	172	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	121
+	166	104
+	3	172	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	125
+	211	125
+	216	121
+	4	222	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	125
+	216	121
+	3	222	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	120
+	216	121
+	211	125
+	4	205	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	121
+	211	125
+	3	205	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	144
+	49	146
+	55	144
+	4	60	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	146
+	55	144
+	3	60	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	144
+	55	144
+	49	146
+	4	44	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	144
+	49	146
+	3	44	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	55	144
+	66	140
+	60	144
+	4	55	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	140
+	60	144
+	3	55	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	125
+	200	125
+	205	120
+	4	211	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	125
+	205	120
+	3	211	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	49	146
+	37	145
+	44	144
+	4	49	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	145
+	44	144
+	3	49	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	33	142
+	44	144
+	37	145
+	4	33	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	144
+	37	145
+	3	33	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	278	123
+	267	124
+	271	120
+	4	278	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	124
+	271	120
+	3	278	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	72
+	199	11
+	194	3
+	4	183	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	11
+	194	3
+	3	183	72	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	21	139
+	9	137
+	16	135
+	4	21	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	137
+	16	135
+	3	21	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	109
+	144	103
+	149	119
+	4	155	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	103
+	149	119
+	3	155	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	37	145
+	26	144
+	33	142
+	4	37	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	144
+	33	142
+	3	37	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	21	139
+	33	142
+	26	144
+	4	21	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	142
+	26	144
+	3	21	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	129
+	239	130
+	244	126
+	4	250	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	130
+	244	126
+	3	250	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	126
+	244	126
+	239	130
+	4	233	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	126
+	239	130
+	3	233	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	126
+	255	125
+	250	129
+	4	244	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	125
+	250	129
+	3	244	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	130
+	228	130
+	233	126
+	4	239	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	130
+	233	126
+	3	239	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	125
+	233	126
+	228	130
+	4	222	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	126
+	228	130
+	3	222	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	130
+	217	129
+	222	125
+	4	228	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	129
+	222	125
+	3	228	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	125
+	222	125
+	217	129
+	4	211	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	125
+	217	129
+	3	211	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	262	128
+	250	129
+	255	125
+	4	262	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	129
+	255	125
+	3	262	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	255	125
+	267	124
+	262	128
+	4	255	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	124
+	262	128
+	3	255	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	139
+	92	136
+	99	141
+	4	104	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	136
+	99	141
+	3	104	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	122
+	99	141
+	92	136
+	4	86	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	141
+	92	136
+	3	86	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	141
+	86	122
+	91	111
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	122
+	91	111
+	3	99	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	141
+	109	123
+	104	139
+	4	99	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	123
+	104	139
+	3	99	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	129
+	161	113
+	166	125
+	4	172	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	113
+	166	125
+	3	172	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	109
+	166	125
+	161	113
+	4	155	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	161	113
+	3	155	109	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	129
+	194	129
+	200	125
+	4	206	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	129
+	200	125
+	3	206	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	125
+	200	125
+	194	129
+	4	188	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	125
+	194	129
+	3	188	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	125
+	211	125
+	206	129
+	4	200	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	125
+	206	129
+	3	200	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	217	129
+	206	129
+	211	125
+	4	217	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	129
+	211	125
+	3	217	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	129
+	183	129
+	188	125
+	4	194	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	129
+	188	125
+	3	194	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	273	127
+	262	128
+	267	124
+	4	273	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	128
+	267	124
+	3	273	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	267	124
+	278	123
+	273	127
+	4	267	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	123
+	273	127
+	3	267	124	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	83	100
+	92	87
+	78	18
+	4	83	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	87
+	78	18
+	3	83	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	129
+	66	140
+	71	132
+	4	75	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	140
+	71	132
+	3	75	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	132
+	79	104
+	75	129
+	4	71	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	104
+	75	129
+	3	71	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	104
+	71	132
+	76	114
+	4	79	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	132
+	76	114
+	3	79	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	139
+	60	144
+	66	140
+	4	70	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	144
+	66	140
+	3	70	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	140
+	75	129
+	70	139
+	4	66	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	129
+	70	139
+	3	66	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	26	144
+	14	142
+	21	139
+	4	26	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	142
+	21	139
+	3	26	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	9	137
+	21	139
+	14	142
+	4	9	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	21	139
+	14	142
+	3	9	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	285	126
+	273	127
+	278	123
+	4	285	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	127
+	278	123
+	3	285	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	78	18
+	99	107
+	84	22
+	4	78	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	107
+	84	22
+	3	78	18	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	107
+	78	18
+	92	87
+	4	99	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	18
+	92	87
+	3	99	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	148
+	42	149
+	49	146
+	4	53	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	149
+	49	146
+	3	53	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	37	145
+	49	146
+	42	149
+	4	37	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	146
+	42	149
+	3	37	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	146
+	60	144
+	53	148
+	4	49	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	144
+	53	148
+	3	49	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	118
+	127	135
+	133	138
+	4	138	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	135
+	133	138
+	3	138	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	138
+	133	138
+	127	135
+	4	121	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	127	135
+	3	121	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	138
+	121	138
+	127	129
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	138
+	127	129
+	3	133	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	138
+	143	34
+	138	118
+	4	133	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	34
+	138	118
+	3	133	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	34
+	133	138
+	138	112
+	4	143	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	138
+	138	112
+	3	143	34	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	127	129
+	138	112
+	133	138
+	4	127	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	133	138
+	3	127	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	114
+	172	108
+	182	18
+	4	183	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	108
+	182	18
+	3	183	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	6
+	205	83
+	200	84
+	4	200	6	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	83
+	200	84
+	3	200	6	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	83
+	200	6
+	205	14
+	4	205	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	6
+	205	14
+	3	205	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	135
+	115	138
+	121	138
+	4	127	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	138
+	121	138
+	3	127	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	109	123
+	121	138
+	115	138
+	4	109	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	138
+	115	138
+	3	109	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	138
+	109	123
+	109	30
+	4	121	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	123
+	109	30
+	3	121	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	30
+	127	129
+	121	138
+	4	109	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	129
+	121	138
+	3	109	30	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	133
+	234	133
+	239	130
+	4	246	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	133
+	239	130
+	3	246	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	130
+	239	130
+	234	133
+	4	228	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	130
+	234	133
+	3	228	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	130
+	250	129
+	246	133
+	4	239	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	129
+	246	133
+	3	239	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	42	149
+	30	148
+	37	145
+	4	42	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	148
+	37	145
+	3	42	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	26	144
+	37	145
+	30	148
+	4	26	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	145
+	30	148
+	3	26	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	234	133
+	223	133
+	228	130
+	4	234	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	133
+	228	130
+	3	234	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	217	129
+	228	130
+	223	133
+	4	217	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	130
+	223	133
+	3	217	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	257	133
+	246	133
+	250	129
+	4	257	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	133
+	250	129
+	3	257	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	129
+	262	128
+	257	133
+	4	250	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	128
+	257	133
+	3	250	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	133
+	167	131
+	172	129
+	4	178	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	131
+	172	129
+	3	178	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	113
+	172	129
+	167	131
+	4	161	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	129
+	167	131
+	3	161	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	129
+	183	129
+	178	133
+	4	172	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	129
+	178	133
+	3	172	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	133
+	178	133
+	183	129
+	4	189	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	133
+	183	129
+	3	189	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	129
+	194	129
+	189	133
+	4	183	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	129
+	189	133
+	3	183	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	223	133
+	212	133
+	217	129
+	4	223	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	133
+	217	129
+	3	223	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	129
+	217	129
+	212	133
+	4	206	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	129
+	212	133
+	3	206	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	133
+	189	133
+	194	129
+	4	200	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	133
+	194	129
+	3	200	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	129
+	206	129
+	200	133
+	4	194	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	129
+	200	133
+	3	194	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	133
+	200	133
+	206	129
+	4	212	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	133
+	206	129
+	3	212	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	129
+	109	30
+	117	42
+	4	127	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	30
+	117	42
+	3	127	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	146
+	53	148
+	60	144
+	4	64	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	148
+	60	144
+	3	64	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	144
+	70	139
+	64	146
+	4	60	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	139
+	64	146
+	3	60	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	269	132
+	257	133
+	262	128
+	4	269	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	133
+	262	128
+	3	269	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	262	128
+	273	127
+	269	132
+	4	262	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	127
+	269	132
+	3	262	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	30	148
+	19	146
+	26	144
+	4	30	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	146
+	26	144
+	3	30	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	14	142
+	26	144
+	19	146
+	4	14	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	144
+	19	146
+	3	14	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	104
+	182	18
+	172	108
+	4	166	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	18
+	172	108
+	3	166	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	18
+	166	104
+	175	14
+	4	182	18	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	104
+	175	14
+	3	182	18	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	280	130
+	269	132
+	273	127
+	4	280	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	132
+	273	127
+	3	280	130	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	273	127
+	285	126
+	280	130
+	4	273	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	126
+	280	130
+	3	273	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	292	129
+	280	130
+	285	126
+	4	292	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	130
+	285	126
+	3	292	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	137
+	229	138
+	234	133
+	4	241	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	138
+	234	133
+	3	241	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	223	133
+	234	133
+	229	138
+	4	223	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	133
+	229	138
+	3	223	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	234	133
+	246	133
+	241	137
+	4	234	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	133
+	241	137
+	3	234	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	138
+	218	138
+	223	133
+	4	229	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	138
+	223	133
+	3	229	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	133
+	223	133
+	218	138
+	4	212	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	133
+	218	138
+	3	212	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	252	137
+	241	137
+	246	133
+	4	252	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	137
+	246	133
+	3	252	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	133
+	257	133
+	252	137
+	4	246	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	133
+	252	137
+	3	246	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	138
+	206	137
+	212	133
+	4	218	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	137
+	212	133
+	3	218	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	133
+	212	133
+	206	137
+	4	200	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	133
+	206	137
+	3	200	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	137
+	172	137
+	178	133
+	4	184	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	137
+	178	133
+	3	184	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	131
+	178	133
+	172	137
+	4	167	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	133
+	172	137
+	3	167	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	133
+	189	133
+	184	137
+	4	178	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	133
+	184	137
+	3	178	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	137
+	184	137
+	189	133
+	4	195	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	137
+	189	133
+	3	195	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	133
+	200	133
+	195	137
+	4	189	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	133
+	195	137
+	3	189	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	137
+	195	137
+	200	133
+	4	206	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	137
+	200	133
+	3	206	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	264	136
+	252	137
+	257	133
+	4	264	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	137
+	257	133
+	3	264	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	257	133
+	269	132
+	264	136
+	4	257	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	132
+	264	136
+	3	257	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	151
+	35	151
+	42	149
+	4	47	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	151
+	42	149
+	3	47	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	30	148
+	42	149
+	35	151
+	4	30	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	149
+	35	151
+	3	30	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	149
+	53	148
+	47	151
+	4	42	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	148
+	47	151
+	3	42	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	58	150
+	47	151
+	53	148
+	4	58	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	151
+	53	148
+	3	58	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	148
+	64	146
+	58	150
+	4	53	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	146
+	58	150
+	3	53	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	158
+	155	150
+	161	156
+	4	167	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	150
+	161	156
+	3	167	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	151
+	161	156
+	155	150
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	156
+	155	150
+	3	149	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	156
+	149	151
+	155	125
+	4	161	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	155	125
+	3	161	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	161	156
+	173	146
+	167	158
+	4	161	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	146
+	167	158
+	3	161	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	146
+	161	156
+	167	145
+	4	173	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	156
+	167	145
+	3	173	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	125
+	167	145
+	161	156
+	4	155	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	161	156
+	3	155	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	275	135
+	264	136
+	269	132
+	4	275	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	136
+	269	132
+	3	275	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	269	132
+	280	130
+	275	135
+	4	269	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	130
+	275	135
+	3	269	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	35	151
+	23	150
+	30	148
+	4	35	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	150
+	30	148
+	3	35	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	19	146
+	30	148
+	23	150
+	4	19	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	148
+	23	150
+	3	19	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	142
+	64	146
+	70	139
+	4	75	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	146
+	70	139
+	3	75	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	139
+	81	133
+	75	142
+	4	70	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	133
+	75	142
+	3	70	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	133
+	70	139
+	75	129
+	4	81	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	139
+	75	129
+	3	81	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	137
+	161	116
+	167	131
+	4	172	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	116
+	167	131
+	3	172	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	34
+	167	131
+	161	116
+	4	156	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	131
+	161	116
+	3	156	34	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	131
+	156	34
+	161	113
+	4	167	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	34
+	161	113
+	3	167	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	142
+	98	142
+	104	139
+	4	109	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	142
+	104	139
+	3	109	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	136
+	104	139
+	98	142
+	4	92	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	139
+	98	142
+	3	92	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	139
+	115	138
+	109	142
+	4	104	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	138
+	109	142
+	3	104	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	138
+	104	139
+	109	123
+	4	115	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	139
+	109	123
+	3	115	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	287	134
+	275	135
+	280	130
+	4	287	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	135
+	280	130
+	3	287	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	280	130
+	292	129
+	287	134
+	4	280	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	129
+	287	134
+	3	280	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	142
+	109	142
+	115	138
+	4	121	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	142
+	115	138
+	3	121	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	138
+	127	135
+	121	142
+	4	115	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	135
+	121	142
+	3	115	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	114
+	76	26
+	79	104
+	4	76	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	26
+	79	104
+	3	76	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	26
+	76	114
+	75	58
+	4	76	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	114
+	75	58
+	3	76	26	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	148
+	58	150
+	64	146
+	4	69	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	150
+	64	146
+	3	69	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	146
+	75	142
+	69	148
+	4	64	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	142
+	69	148
+	3	64	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	142
+	224	142
+	229	138
+	4	236	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	142
+	229	138
+	3	236	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	138
+	229	138
+	224	142
+	4	218	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	138
+	224	142
+	3	218	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	138
+	241	137
+	236	142
+	4	229	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	137
+	236	142
+	3	229	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	142
+	213	142
+	218	138
+	4	224	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	142
+	218	138
+	3	224	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	137
+	218	138
+	213	142
+	4	206	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	138
+	213	142
+	3	206	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	142
+	201	142
+	206	137
+	4	213	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	142
+	206	137
+	3	213	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	137
+	206	137
+	201	142
+	4	195	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	137
+	201	142
+	3	195	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	142
+	178	142
+	184	137
+	4	190	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	142
+	184	137
+	3	190	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	137
+	184	137
+	178	142
+	4	172	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	137
+	178	142
+	3	172	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	137
+	195	137
+	190	142
+	4	184	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	137
+	190	142
+	3	184	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	142
+	190	142
+	195	137
+	4	201	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	142
+	195	137
+	3	201	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	141
+	236	142
+	241	137
+	4	247	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	142
+	241	137
+	3	247	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	137
+	252	137
+	247	141
+	4	241	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	137
+	247	141
+	3	241	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	129
+	86	122
+	81	133
+	4	75	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	122
+	81	133
+	3	75	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	122
+	75	129
+	79	104
+	4	86	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	129
+	79	104
+	3	86	122	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	178	142
+	167	145
+	172	137
+	4	178	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	145
+	172	137
+	3	178	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	116
+	172	137
+	167	145
+	4	161	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	137
+	167	145
+	3	161	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	259	141
+	247	141
+	252	137
+	4	259	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	141
+	252	137
+	3	259	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	252	137
+	264	136
+	259	141
+	4	252	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	136
+	259	141
+	3	252	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	145
+	155	125
+	161	116
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	125
+	161	116
+	3	167	145	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	167	145
+	178	142
+	173	146
+	4	167	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	142
+	173	146
+	3	167	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	142
+	86	140
+	92	136
+	4	98	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	140
+	92	136
+	3	98	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	81	133
+	92	136
+	86	140
+	4	81	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	136
+	86	140
+	3	81	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	136
+	81	133
+	86	122
+	4	92	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	133
+	86	122
+	3	92	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	271	140
+	259	141
+	264	136
+	4	271	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	141
+	264	136
+	3	271	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	264	136
+	275	135
+	271	140
+	4	264	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	135
+	271	140
+	3	264	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	142
+	121	142
+	127	135
+	4	132	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	142
+	127	135
+	3	132	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	135
+	138	118
+	132	142
+	4	127	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	118
+	132	142
+	3	127	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	154
+	40	155
+	47	151
+	4	51	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	155
+	47	151
+	3	51	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	35	151
+	47	151
+	40	155
+	4	35	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	151
+	40	155
+	3	35	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	151
+	58	150
+	51	154
+	4	47	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	150
+	51	154
+	3	47	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	76	26
+	98	111
+	91	111
+	4	76	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	111
+	91	111
+	3	76	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	111
+	76	26
+	84	22
+	4	98	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	26
+	84	22
+	3	98	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	40	155
+	28	154
+	35	151
+	4	40	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	154
+	35	151
+	3	40	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	23	150
+	35	151
+	28	154
+	4	23	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	151
+	28	154
+	3	23	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	282	138
+	271	140
+	275	135
+	4	282	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	140
+	275	135
+	3	282	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	275	135
+	287	134
+	282	138
+	4	275	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	134
+	282	138
+	3	275	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	150
+	144	149
+	149	151
+	4	155	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	149	151
+	3	155	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	146
+	149	151
+	144	149
+	4	138	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	144	149
+	3	138	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	151
+	138	146
+	144	122
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	146
+	144	122
+	3	149	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	122
+	155	125
+	149	151
+	4	144	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	125
+	149	151
+	3	144	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	153
+	51	154
+	58	150
+	4	63	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	154
+	58	150
+	3	63	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	58	150
+	69	148
+	63	153
+	4	58	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	148
+	63	153
+	3	58	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	146
+	92	146
+	98	142
+	4	103	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	146
+	98	142
+	3	103	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	140
+	98	142
+	92	146
+	4	86	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	142
+	92	146
+	3	86	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	142
+	109	142
+	103	146
+	4	98	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	142
+	103	146
+	3	98	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	154
+	163	72
+	167	158
+	4	173	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	72
+	167	158
+	3	173	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	150
+	167	158
+	163	72
+	4	155	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	158
+	163	72
+	3	155	150	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	167	158
+	179	151
+	173	154
+	4	167	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	151
+	173	154
+	3	167	158	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	179	151
+	167	158
+	173	146
+	4	179	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	158
+	173	146
+	3	179	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	146
+	126	146
+	132	142
+	4	138	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	146
+	132	142
+	3	138	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	142
+	132	142
+	126	146
+	4	121	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	142
+	126	146
+	3	121	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	142
+	144	122
+	138	146
+	4	132	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	122
+	138	146
+	3	132	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	122
+	132	142
+	138	118
+	4	144	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	142
+	138	118
+	3	144	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	146
+	173	146
+	178	142
+	4	184	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	146
+	178	142
+	3	184	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	142
+	190	142
+	184	146
+	4	178	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	142
+	184	146
+	3	178	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	146
+	184	146
+	190	142
+	4	196	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	146
+	190	142
+	3	196	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	142
+	201	142
+	196	146
+	4	190	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	142
+	196	146
+	3	190	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	146
+	196	146
+	201	142
+	4	207	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	146
+	201	142
+	3	207	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	201	142
+	213	142
+	207	146
+	4	201	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	142
+	207	146
+	3	201	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	146
+	207	146
+	213	142
+	4	219	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	146
+	213	142
+	3	219	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	142
+	224	142
+	219	146
+	4	213	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	142
+	219	146
+	3	213	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	146
+	69	148
+	75	142
+	4	80	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	148
+	75	142
+	3	80	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	142
+	86	140
+	80	146
+	4	75	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	140
+	80	146
+	3	75	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	140
+	75	142
+	81	133
+	4	86	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	142
+	81	133
+	3	86	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	146
+	219	146
+	224	142
+	4	230	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	146
+	224	142
+	3	230	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	224	142
+	236	142
+	230	146
+	4	224	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	142
+	230	146
+	3	224	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	146
+	115	146
+	121	142
+	4	126	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	146
+	121	142
+	3	126	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	142
+	121	142
+	115	146
+	4	109	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	142
+	115	146
+	3	109	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	146
+	103	146
+	109	142
+	4	115	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	146
+	109	142
+	3	115	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	146
+	230	146
+	236	142
+	4	242	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	146
+	236	142
+	3	242	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	142
+	247	141
+	242	146
+	4	236	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	141
+	242	146
+	3	236	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	113
+	149	30
+	155	109
+	4	161	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	30
+	155	109
+	3	161	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	103
+	155	109
+	149	30
+	4	144	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	109
+	149	30
+	3	144	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	254	145
+	242	146
+	247	141
+	4	254	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	146
+	247	141
+	3	254	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	141
+	259	141
+	254	145
+	4	247	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	141
+	254	145
+	3	247	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	266	144
+	254	145
+	259	141
+	4	266	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	145
+	259	141
+	3	266	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	259	141
+	271	140
+	266	144
+	4	259	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	140
+	266	144
+	3	259	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	146
+	80	146
+	86	140
+	4	92	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	146
+	86	140
+	3	92	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	151
+	63	153
+	69	148
+	4	74	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	153
+	69	148
+	3	74	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	69	148
+	80	146
+	74	151
+	4	69	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	146
+	74	151
+	3	69	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	277	143
+	266	144
+	271	140
+	4	277	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	144
+	271	140
+	3	277	143	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	271	140
+	282	138
+	277	143
+	4	271	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	138
+	277	143
+	3	271	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	44	158
+	33	158
+	40	155
+	4	44	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	158
+	40	155
+	3	44	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	28	154
+	40	155
+	33	158
+	4	28	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	155
+	33	158
+	3	28	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	155
+	51	154
+	44	158
+	4	40	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	154
+	44	158
+	3	40	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	104
+	91	111
+	86	122
+	4	79	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	111
+	86	122
+	3	79	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	149
+	132	151
+	138	146
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	151
+	138	146
+	3	144	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	146
+	138	146
+	132	151
+	4	126	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	146
+	132	151
+	3	126	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	151
+	97	151
+	103	146
+	4	109	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	151
+	103	146
+	3	109	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	146
+	103	146
+	97	151
+	4	92	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	146
+	97	151
+	3	92	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	146
+	115	146
+	109	151
+	4	103	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	146
+	109	151
+	3	103	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	151
+	120	151
+	126	146
+	4	132	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	151
+	126	146
+	3	132	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	146
+	126	146
+	120	151
+	4	115	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	146
+	120	151
+	3	115	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	151
+	109	151
+	115	146
+	4	120	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	151
+	115	146
+	3	120	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	151
+	179	151
+	184	146
+	4	190	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	151
+	184	146
+	3	190	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	146
+	184	146
+	179	151
+	4	173	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	146
+	179	151
+	3	173	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	146
+	196	146
+	190	151
+	4	184	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	146
+	190	151
+	3	184	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	151
+	190	151
+	196	146
+	4	202	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	151
+	196	146
+	3	202	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	146
+	207	146
+	202	151
+	4	196	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	146
+	202	151
+	3	196	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	151
+	202	151
+	207	146
+	4	214	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	151
+	207	146
+	3	214	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	146
+	219	146
+	214	151
+	4	207	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	146
+	214	151
+	3	207	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	225	151
+	214	151
+	219	146
+	4	225	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	151
+	219	146
+	3	225	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	146
+	230	146
+	225	151
+	4	219	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	146
+	225	151
+	3	219	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	158
+	44	158
+	51	154
+	4	56	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	158
+	51	154
+	3	56	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	51	154
+	63	153
+	56	158
+	4	51	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	153
+	56	158
+	3	51	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	237	150
+	225	151
+	230	146
+	4	237	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	151
+	230	146
+	3	237	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	230	146
+	242	146
+	237	150
+	4	230	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	146
+	237	150
+	3	230	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	151
+	74	151
+	80	146
+	4	85	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	151
+	80	146
+	3	85	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	146
+	92	146
+	85	151
+	4	80	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	146
+	85	151
+	3	80	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	30
+	161	113
+	156	34
+	4	149	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	113
+	156	34
+	3	149	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	151
+	85	151
+	92	146
+	4	97	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	151
+	92	146
+	3	97	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	249	150
+	237	150
+	242	146
+	4	249	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	150
+	242	146
+	3	249	150	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	242	146
+	254	145
+	249	150
+	4	242	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	145
+	249	150
+	3	242	146	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	261	149
+	249	150
+	254	145
+	4	261	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	150
+	254	145
+	3	261	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	145
+	266	144
+	261	149
+	4	254	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	144
+	261	149
+	3	254	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	112
+	149	30
+	143	34
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	30
+	143	34
+	3	138	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	30
+	138	112
+	144	103
+	4	149	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	144	103
+	3	149	30	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	156
+	56	158
+	63	153
+	4	68	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	158
+	63	153
+	3	68	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	63	153
+	74	151
+	68	156
+	4	63	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	151
+	68	156
+	3	63	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	91	111
+	79	104
+	76	26
+	4	91	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	104
+	76	26
+	3	91	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	273	148
+	261	149
+	266	144
+	4	273	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	149
+	266	144
+	3	273	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	266	144
+	277	143
+	273	148
+	4	266	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	143
+	273	148
+	3	266	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	156
+	68	156
+	74	151
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	156
+	74	151
+	3	79	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	151
+	85	151
+	79	156
+	4	74	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	151
+	79	156
+	3	74	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	60
+	144	160
+	149	160
+	4	157	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	160
+	149	160
+	3	157	60	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	155
+	149	160
+	144	160
+	4	138	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	160
+	144	160
+	3	138	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	160
+	138	155
+	144	149
+	4	149	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	155
+	144	149
+	3	149	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	160
+	163	72
+	157	60
+	4	149	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	72
+	157	60
+	3	149	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	72
+	149	160
+	155	150
+	4	163	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	160
+	155	150
+	3	163	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	149
+	155	150
+	149	160
+	4	144	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	150
+	149	160
+	3	144	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	155
+	173	154
+	179	151
+	4	185	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	154
+	179	151
+	3	185	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	151
+	190	151
+	185	155
+	4	179	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	151
+	185	155
+	3	179	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	155
+	126	155
+	132	151
+	4	138	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	155
+	132	151
+	3	138	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	151
+	132	151
+	126	155
+	4	120	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	151
+	126	155
+	3	120	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	151
+	144	149
+	138	155
+	4	132	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	149
+	138	155
+	3	132	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	155
+	196	155
+	202	151
+	4	208	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	155
+	202	151
+	3	208	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	151
+	202	151
+	196	155
+	4	190	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	151
+	196	155
+	3	190	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	151
+	214	151
+	208	155
+	4	202	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	151
+	208	155
+	3	202	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	155
+	103	155
+	109	151
+	4	114	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	155
+	109	151
+	3	114	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	151
+	109	151
+	103	155
+	4	97	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	151
+	103	155
+	3	97	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	151
+	120	151
+	114	155
+	4	109	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	151
+	114	155
+	3	109	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	155
+	185	155
+	190	151
+	4	196	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	155
+	190	151
+	3	196	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	155
+	114	155
+	120	151
+	4	126	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	155
+	120	151
+	3	126	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	220	155
+	208	155
+	214	151
+	4	220	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	155
+	214	151
+	3	220	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	151
+	225	151
+	220	155
+	4	214	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	151
+	220	155
+	3	214	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	155
+	91	155
+	97	151
+	4	103	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	155
+	97	151
+	3	103	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	151
+	97	151
+	91	155
+	4	85	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	151
+	91	155
+	3	85	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	155
+	79	156
+	85	151
+	4	91	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	85	151
+	3	91	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	232	155
+	220	155
+	225	151
+	4	232	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	155
+	225	151
+	3	232	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	225	151
+	237	150
+	232	155
+	4	225	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	150
+	232	155
+	3	225	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	42
+	108	88
+	115	93
+	4	117	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	88
+	115	93
+	3	117	42	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	154
+	232	155
+	237	150
+	4	244	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	155
+	237	150
+	3	244	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	237	150
+	249	150
+	244	154
+	4	237	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	150
+	244	154
+	3	237	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	162
+	37	162
+	44	158
+	4	49	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	162
+	44	158
+	3	49	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	33	158
+	44	158
+	37	162
+	4	33	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	158
+	37	162
+	3	33	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	158
+	56	158
+	49	162
+	4	44	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	158
+	49	162
+	3	44	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	256	154
+	244	154
+	249	150
+	4	256	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	154
+	249	150
+	3	256	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	249	150
+	261	149
+	256	154
+	4	249	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	149
+	256	154
+	3	249	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	161
+	49	162
+	56	158
+	4	61	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	162
+	56	158
+	3	61	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	56	158
+	68	156
+	61	161
+	4	56	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	156
+	61	161
+	3	56	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	268	153
+	256	154
+	261	149
+	4	268	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	154
+	261	149
+	3	268	153	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	261	149
+	273	148
+	268	153
+	4	261	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	148
+	268	153
+	3	261	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	164
+	162	160
+	167	182
+	4	174	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	160
+	167	182
+	3	174	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	177
+	167	182
+	162	160
+	4	155	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	182
+	162	160
+	3	155	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	182
+	155	177
+	162	128
+	4	167	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	177
+	162	128
+	3	167	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	182
+	179	172
+	174	164
+	4	167	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	172
+	174	164
+	3	167	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	172
+	167	182
+	173	169
+	4	179	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	182
+	173	169
+	3	179	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	128
+	173	169
+	167	182
+	4	162	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	169
+	167	182
+	3	162	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	160
+	61	161
+	68	156
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	161
+	68	156
+	3	73	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	156
+	79	156
+	73	160
+	4	68	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	73	160
+	3	68	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	160
+	73	160
+	79	156
+	4	84	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	79	156
+	3	84	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	156
+	91	155
+	84	160
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	155
+	84	160
+	3	79	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	160
+	203	160
+	208	155
+	4	215	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	160
+	208	155
+	3	215	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	155
+	208	155
+	203	160
+	4	196	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	155
+	203	160
+	3	196	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	155
+	220	155
+	215	160
+	4	208	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	155
+	215	160
+	3	208	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	160
+	84	160
+	91	155
+	4	96	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	160
+	91	155
+	3	96	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	155
+	103	155
+	96	160
+	4	91	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	155
+	96	160
+	3	91	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	160
+	179	160
+	185	155
+	4	191	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	160
+	185	155
+	3	191	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	154
+	185	155
+	179	160
+	4	173	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	155
+	179	160
+	3	173	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	155
+	196	155
+	191	160
+	4	185	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	155
+	191	160
+	3	185	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	160
+	108	160
+	114	155
+	4	120	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	160
+	114	155
+	3	120	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	155
+	114	155
+	108	160
+	4	103	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	155
+	108	160
+	3	103	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	155
+	126	155
+	120	160
+	4	114	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	155
+	120	160
+	3	114	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	160
+	120	160
+	126	155
+	4	132	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	160
+	126	155
+	3	132	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	155
+	138	155
+	132	160
+	4	126	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	155
+	132	160
+	3	126	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	160
+	96	160
+	103	155
+	4	108	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	160
+	103	155
+	3	108	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	160
+	215	160
+	220	155
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	160
+	220	155
+	3	226	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	220	155
+	232	155
+	226	160
+	4	220	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	155
+	226	160
+	3	220	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	160
+	191	160
+	196	155
+	4	203	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	160
+	196	155
+	3	203	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	160
+	132	160
+	138	155
+	4	144	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	160
+	138	155
+	3	144	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	238	159
+	226	160
+	232	155
+	4	238	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	232	155
+	3	238	159	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	232	155
+	244	154
+	238	159
+	4	232	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	154
+	238	159
+	3	232	155	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	250	159
+	238	159
+	244	154
+	4	250	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	159
+	244	154
+	3	250	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	244	154
+	256	154
+	250	159
+	4	244	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	154
+	250	159
+	3	244	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	160
+	168	132
+	173	154
+	4	179	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	132
+	173	154
+	3	179	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	72
+	173	154
+	168	132
+	4	163	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	154
+	168	132
+	3	163	72	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	262	158
+	250	159
+	256	154
+	4	262	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	159
+	256	154
+	3	262	158	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	256	154
+	268	153
+	262	158
+	4	256	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	153
+	262	158
+	3	256	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	37	162
+	49	162
+	42	165
+	4	37	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	162
+	42	165
+	3	37	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	165
+	42	165
+	49	162
+	4	54	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	165
+	49	162
+	3	54	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	49	162
+	61	161
+	54	165
+	4	49	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	161
+	54	165
+	3	49	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	165
+	54	165
+	61	161
+	4	66	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	165
+	61	161
+	3	66	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	161
+	73	160
+	66	165
+	4	61	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	160
+	66	165
+	3	61	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	169
+	162	128
+	168	132
+	4	173	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	128
+	168	132
+	3	173	169	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	173	169
+	185	165
+	179	172
+	4	173	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	165
+	179	172
+	3	173	169	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	185	165
+	173	169
+	179	160
+	4	185	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	169
+	179	160
+	3	185	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	132
+	179	160
+	173	169
+	4	168	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	160
+	173	169
+	3	168	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	165
+	66	165
+	73	160
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	165
+	73	160
+	3	78	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	160
+	84	160
+	78	165
+	4	73	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	160
+	78	165
+	3	73	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	155
+	138	164
+	144	160
+	4	149	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	164
+	144	160
+	3	149	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	160
+	144	160
+	138	164
+	4	132	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	160
+	138	164
+	3	132	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	160
+	157	60
+	149	155
+	4	144	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	60
+	149	155
+	3	144	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	160
+	149	182
+	155	177
+	4	162	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	182
+	155	177
+	3	162	160	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	143	170
+	155	177
+	149	182
+	4	143	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	177
+	149	182
+	3	143	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	177
+	143	170
+	149	155
+	4	155	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	170
+	149	155
+	3	155	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	155
+	162	128
+	155	177
+	4	149	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	128
+	155	177
+	3	149	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	165
+	78	165
+	84	160
+	4	90	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	84	160
+	3	90	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	160
+	96	160
+	90	165
+	4	84	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	160
+	90	165
+	3	84	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	160
+	191	160
+	185	165
+	4	179	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	160
+	185	165
+	3	179	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	165
+	209	165
+	215	160
+	4	221	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	165
+	215	160
+	3	221	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	160
+	215	160
+	209	165
+	4	203	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	160
+	209	165
+	3	203	160	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	160
+	226	160
+	221	165
+	4	215	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	160
+	221	165
+	3	215	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	118
+	149	38
+	144	122
+	4	138	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	38
+	144	122
+	3	138	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	38
+	138	118
+	143	34
+	4	149	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	118
+	143	34
+	3	149	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	164
+	90	165
+	96	160
+	4	102	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	165
+	96	160
+	3	102	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	160
+	108	160
+	102	164
+	4	96	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	160
+	102	164
+	3	96	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	197	164
+	185	165
+	191	160
+	4	197	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	165
+	191	160
+	3	197	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	160
+	203	160
+	197	164
+	4	191	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	160
+	197	164
+	3	191	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	164
+	126	164
+	132	160
+	4	138	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	164
+	132	160
+	3	138	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	160
+	132	160
+	126	164
+	4	120	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	160
+	126	164
+	3	120	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	164
+	102	164
+	108	160
+	4	114	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	164
+	108	160
+	3	114	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	160
+	120	160
+	114	164
+	4	108	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	160
+	114	164
+	3	108	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	164
+	114	164
+	120	160
+	4	126	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	164
+	120	160
+	3	126	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	165
+	197	164
+	203	160
+	4	209	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	164
+	203	160
+	3	209	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	164
+	221	165
+	226	160
+	4	233	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	165
+	226	160
+	3	233	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	160
+	238	159
+	233	164
+	4	226	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	159
+	233	164
+	3	226	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	245	164
+	233	164
+	238	159
+	4	245	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	164
+	238	159
+	3	245	164	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	238	159
+	250	159
+	245	164
+	4	238	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	159
+	245	164
+	3	238	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	257	163
+	245	164
+	250	159
+	4	257	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	164
+	250	159
+	3	257	163	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	250	159
+	262	158
+	257	163
+	4	250	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	158
+	257	163
+	3	250	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	125
+	144	122
+	149	38
+	4	155	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	122
+	149	38
+	3	155	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	38
+	161	116
+	155	125
+	4	149	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	116
+	155	125
+	3	149	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	116
+	149	38
+	156	34
+	4	161	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	38
+	156	34
+	3	161	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	165
+	54	165
+	47	170
+	4	42	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	165
+	47	170
+	3	42	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	170
+	47	170
+	54	165
+	4	59	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	170
+	54	165
+	3	59	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	165
+	66	165
+	59	170
+	4	54	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	165
+	59	170
+	3	54	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	169
+	59	170
+	66	165
+	4	71	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	170
+	66	165
+	3	71	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	165
+	78	165
+	71	169
+	4	66	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	71	169
+	3	66	165	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	192	168
+	179	172
+	185	165
+	4	192	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	172
+	185	165
+	3	192	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	165
+	197	164
+	192	168
+	4	185	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	164
+	192	168
+	3	185	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	162
+	143	178
+	149	182
+	4	156	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	178
+	149	182
+	3	156	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	174
+	149	182
+	143	178
+	4	137	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	182
+	143	178
+	3	137	174	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	149	182
+	137	174
+	143	170
+	4	149	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	174
+	143	170
+	3	149	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	182
+	162	160
+	156	162
+	4	149	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	160
+	156	162
+	3	149	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	170
+	216	170
+	221	165
+	4	228	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	170
+	221	165
+	3	228	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	165
+	221	165
+	216	170
+	4	209	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	165
+	216	170
+	3	209	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	165
+	233	164
+	228	170
+	4	221	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	164
+	228	170
+	3	221	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	169
+	71	169
+	78	165
+	4	83	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	169
+	78	165
+	3	83	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	165
+	90	165
+	83	169
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	165
+	83	169
+	3	78	165	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	170
+	204	169
+	209	165
+	4	216	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	169
+	209	165
+	3	216	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	164
+	209	165
+	204	169
+	4	197	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	165
+	204	169
+	3	197	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	169
+	83	169
+	90	165
+	4	95	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	169
+	90	165
+	3	95	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	165
+	102	164
+	95	169
+	4	90	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	164
+	95	169
+	3	90	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	169
+	119	169
+	126	164
+	4	131	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	169
+	126	164
+	3	131	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	164
+	126	164
+	119	169
+	4	114	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	164
+	119	169
+	3	114	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	164
+	138	164
+	131	169
+	4	126	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	164
+	131	169
+	3	126	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	169
+	107	169
+	114	164
+	4	119	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	169
+	114	164
+	3	119	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	164
+	114	164
+	107	169
+	4	102	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	164
+	107	169
+	3	102	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	169
+	95	169
+	102	164
+	4	107	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	169
+	102	164
+	3	107	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	240	169
+	228	170
+	233	164
+	4	240	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	170
+	233	164
+	3	240	169	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	164
+	245	164
+	240	169
+	4	233	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	164
+	240	169
+	3	233	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	170
+	131	169
+	138	164
+	4	143	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	169
+	138	164
+	3	143	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	164
+	149	155
+	143	170
+	4	138	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	155
+	143	170
+	3	138	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	169
+	192	168
+	197	164
+	4	204	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	168
+	197	164
+	3	204	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	88
+	117	42
+	109	30
+	4	108	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	42
+	109	30
+	3	108	88	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	252	168
+	240	169
+	245	164
+	4	252	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	169
+	245	164
+	3	252	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	245	164
+	257	163
+	252	168
+	4	245	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	163
+	252	168
+	3	245	164	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	169
+	174	164
+	179	172
+	4	186	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	164
+	179	172
+	3	186	169	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	179	172
+	192	168
+	186	169
+	4	179	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	168
+	186	169
+	3	179	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	169
+	143	170
+	137	174
+	4	131	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	170
+	137	174
+	3	131	169	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	175
+	210	175
+	216	170
+	4	222	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	175
+	216	170
+	3	222	175	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	169
+	216	170
+	210	175
+	4	204	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	170
+	210	175
+	3	204	169	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	170
+	228	170
+	222	175
+	4	216	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	170
+	222	175
+	3	216	170	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	234	174
+	222	175
+	228	170
+	4	234	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	175
+	228	170
+	3	234	174	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	228	170
+	240	169
+	234	174
+	4	228	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	169
+	234	174
+	3	228	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	170
+	59	170
+	52	174
+	4	47	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	170
+	52	174
+	3	47	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	174
+	52	174
+	59	170
+	4	65	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	174
+	59	170
+	3	65	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	170
+	71	169
+	65	174
+	4	59	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	169
+	65	174
+	3	59	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	174
+	65	174
+	71	169
+	4	77	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	174
+	71	169
+	3	77	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	169
+	83	169
+	77	174
+	4	71	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	169
+	77	174
+	3	71	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	174
+	125	174
+	131	169
+	4	137	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	174
+	131	169
+	3	137	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	169
+	131	169
+	125	174
+	4	119	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	169
+	125	174
+	3	119	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	174
+	77	174
+	83	169
+	4	89	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	174
+	83	169
+	3	89	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	169
+	95	169
+	89	174
+	4	83	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	169
+	89	174
+	3	83	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	174
+	101	174
+	107	169
+	4	113	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	174
+	107	169
+	3	113	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	169
+	107	169
+	101	174
+	4	95	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	169
+	101	174
+	3	95	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	169
+	119	169
+	113	174
+	4	107	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	169
+	113	174
+	3	107	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	174
+	113	174
+	119	169
+	4	125	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	174
+	119	169
+	3	125	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	174
+	89	174
+	95	169
+	4	101	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	174
+	95	169
+	3	101	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	175
+	198	173
+	204	169
+	4	210	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	173
+	204	169
+	3	210	175	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	168
+	204	169
+	198	173
+	4	192	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	169
+	198	173
+	3	192	168	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	247	174
+	234	174
+	240	169
+	4	247	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	174
+	240	169
+	3	247	174	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	240	169
+	252	168
+	247	174
+	4	240	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	168
+	247	174
+	3	240	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	173
+	186	169
+	192	168
+	4	198	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	169
+	192	168
+	3	198	173	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	180
+	216	180
+	222	175
+	4	229	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	180
+	222	175
+	3	229	180	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	175
+	222	175
+	216	180
+	4	210	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	175
+	216	180
+	3	210	175	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	222	175
+	234	174
+	229	180
+	4	222	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	174
+	229	180
+	3	222	175	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	180
+	204	180
+	210	175
+	4	216	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	180
+	210	175
+	3	216	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	173
+	210	175
+	204	180
+	4	198	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	175
+	204	180
+	3	198	173	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	241	179
+	229	180
+	234	174
+	4	241	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	180
+	234	174
+	3	241	179	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	234	174
+	247	174
+	241	179
+	4	234	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	174
+	241	179
+	3	234	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	178
+	131	179
+	137	174
+	4	143	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	179
+	137	174
+	3	143	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	174
+	137	174
+	131	179
+	4	125	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	174
+	131	179
+	3	125	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	179
+	107	179
+	113	174
+	4	119	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	179
+	113	174
+	3	119	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	174
+	113	174
+	107	179
+	4	101	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	174
+	107	179
+	3	101	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	174
+	125	174
+	119	179
+	4	113	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	174
+	119	179
+	3	113	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	179
+	94	179
+	101	174
+	4	107	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	179
+	101	174
+	3	107	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	174
+	101	174
+	94	179
+	4	89	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	174
+	94	179
+	3	89	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	179
+	119	179
+	125	174
+	4	131	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	179
+	125	174
+	3	131	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	179
+	82	179
+	89	174
+	4	94	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	179
+	89	174
+	3	94	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	174
+	89	174
+	82	179
+	4	77	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	174
+	82	179
+	3	77	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	179
+	70	179
+	77	174
+	4	82	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	179
+	77	174
+	3	82	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	174
+	77	174
+	70	179
+	4	65	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	174
+	70	179
+	3	65	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	179
+	58	178
+	65	174
+	4	70	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	178
+	65	174
+	3	70	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	52	174
+	65	174
+	58	178
+	4	52	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	174
+	58	178
+	3	52	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	180
+	193	176
+	198	173
+	4	204	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	176
+	198	173
+	3	204	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	169
+	198	173
+	193	176
+	4	186	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	173
+	193	176
+	3	186	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	233
+	168	230
+	174	224
+	4	180	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	230
+	174	224
+	3	180	233	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	217
+	174	224
+	168	230
+	4	162	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	224
+	168	230
+	3	162	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	224
+	162	217
+	168	208
+	4	174	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	217
+	168	208
+	3	174	224	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	224
+	186	221
+	180	233
+	4	174	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	221
+	180	233
+	3	174	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	221
+	174	224
+	180	212
+	4	186	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	224
+	180	212
+	3	186	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	208
+	180	212
+	174	224
+	4	168	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	212
+	174	224
+	3	168	208	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	187	234
+	174	237
+	180	233
+	4	187	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	237
+	180	233
+	3	187	234	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	230
+	180	233
+	174	237
+	4	168	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	233
+	174	237
+	3	168	230	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	180	233
+	193	226
+	187	234
+	4	180	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	226
+	187	234
+	3	180	233	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	193	226
+	180	233
+	186	221
+	4	193	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	233
+	186	221
+	3	193	226	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	223	186
+	211	186
+	216	180
+	4	223	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	186
+	216	180
+	3	223	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	180
+	216	180
+	211	186
+	4	204	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	180
+	211	186
+	3	204	180	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	180
+	229	180
+	223	186
+	4	216	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	180
+	223	186
+	3	216	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	128
+	149	155
+	157	60
+	4	162	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	155
+	157	60
+	3	162	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	236	185
+	223	186
+	229	180
+	4	236	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	186
+	229	180
+	3	236	185	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	229	180
+	241	179
+	236	185
+	4	229	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	179
+	236	185
+	3	229	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	186
+	199	185
+	204	180
+	4	211	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	185
+	204	180
+	3	211	186	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	193	176
+	204	180
+	199	185
+	4	193	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	180
+	199	185
+	3	193	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	184
+	100	184
+	107	179
+	4	113	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	184
+	107	179
+	3	113	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	179
+	107	179
+	100	184
+	4	94	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	179
+	100	184
+	3	94	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	179
+	119	179
+	113	184
+	4	107	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	179
+	113	184
+	3	107	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	184
+	113	184
+	119	179
+	4	125	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	184
+	119	179
+	3	125	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	179
+	131	179
+	125	184
+	4	119	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	179
+	125	184
+	3	119	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	184
+	88	184
+	94	179
+	4	100	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	184
+	94	179
+	3	100	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	179
+	94	179
+	88	184
+	4	82	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	179
+	88	184
+	3	82	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	184
+	75	183
+	82	179
+	4	88	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	183
+	82	179
+	3	88	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	179
+	82	179
+	75	183
+	4	70	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	179
+	75	183
+	3	70	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	182
+	125	184
+	131	179
+	4	137	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	184
+	131	179
+	3	137	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	179
+	143	178
+	137	182
+	4	131	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	178
+	137	182
+	3	131	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	183
+	63	183
+	70	179
+	4	75	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	183
+	70	179
+	3	75	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	178
+	70	179
+	63	183
+	4	58	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	179
+	63	183
+	3	58	178	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	186	221
+	199	216
+	193	226
+	4	186	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	216
+	193	226
+	3	186	221	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	199	216
+	186	221
+	193	210
+	4	199	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	221
+	193	210
+	3	199	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	212
+	193	210
+	186	221
+	4	180	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	210
+	186	221
+	3	180	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	173
+	137	182
+	143	178
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	182
+	143	178
+	3	149	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	178
+	156	162
+	149	173
+	4	143	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	162
+	149	173
+	3	143	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	176
+	182	154
+	186	169
+	4	193	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	154
+	186	169
+	3	193	176	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	174	164
+	186	169
+	182	154
+	4	174	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	169
+	182	154
+	3	174	164	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	217	192
+	205	193
+	211	186
+	4	217	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	193
+	211	186
+	3	217	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	185
+	211	186
+	205	193
+	4	199	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	186
+	205	193
+	3	199	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	186
+	223	186
+	217	192
+	4	211	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	186
+	217	192
+	3	211	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	237
+	162	232
+	168	230
+	4	174	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	168	230
+	3	174	237	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	222
+	168	230
+	162	232
+	4	156	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	230
+	162	232
+	3	156	222	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	168	230
+	156	222
+	162	217
+	4	168	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	222
+	162	217
+	3	168	230	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	230	191
+	217	192
+	223	186
+	4	230	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	192
+	223	186
+	3	230	191	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	223	186
+	236	185
+	230	191
+	4	223	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	185
+	230	191
+	3	223	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	212
+	168	208
+	175	191
+	4	180	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	208
+	175	191
+	3	180	212	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	210
+	180	212
+	187	199
+	4	193	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	212
+	187	199
+	3	193	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	191
+	187	199
+	180	212
+	4	175	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	199
+	180	212
+	3	175	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	240
+	168	239
+	174	237
+	4	181	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	239
+	174	237
+	3	181	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	232
+	174	237
+	168	239
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	237
+	168	239
+	3	162	232	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	237
+	187	234
+	181	240
+	4	174	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	234
+	181	240
+	3	174	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	193
+	193	190
+	199	185
+	4	205	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	190
+	199	185
+	3	205	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	175
+	199	185
+	193	190
+	4	187	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	185
+	193	190
+	3	187	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	185
+	187	175
+	193	176
+	4	199	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	175
+	193	176
+	3	199	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	14
+	194	3
+	199	11
+	4	205	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	3
+	199	11
+	3	205	14	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	154
+	193	176
+	187	175
+	4	182	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	176
+	187	175
+	3	182	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	189
+	106	189
+	113	184
+	4	118	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	189
+	113	184
+	3	118	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	184
+	113	184
+	106	189
+	4	100	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	184
+	106	189
+	3	100	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	184
+	125	184
+	118	189
+	4	113	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	184
+	118	189
+	3	113	184	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	211	199
+	199	200
+	205	193
+	4	211	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	200
+	205	193
+	3	211	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	190
+	205	193
+	199	200
+	4	193	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	193
+	199	200
+	3	193	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	205	193
+	217	192
+	211	199
+	4	205	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	192
+	211	199
+	3	205	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	189
+	94	189
+	100	184
+	4	106	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	189
+	100	184
+	3	106	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	184
+	100	184
+	94	189
+	4	88	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	184
+	94	189
+	3	88	184	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	193	210
+	205	207
+	199	216
+	4	193	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	207
+	199	216
+	3	193	210	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	205	207
+	193	210
+	199	200
+	4	205	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	210
+	199	200
+	3	205	207	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	199
+	199	200
+	193	210
+	4	187	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	200
+	193	210
+	3	187	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	189
+	118	189
+	125	184
+	4	131	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	189
+	125	184
+	3	131	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	184
+	137	182
+	131	189
+	4	125	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	182
+	131	189
+	3	125	184	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	224	198
+	211	199
+	217	192
+	4	224	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	199
+	217	192
+	3	224	198	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	192
+	230	191
+	224	198
+	4	217	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	191
+	224	198
+	3	217	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	189
+	81	188
+	88	184
+	4	94	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	188
+	88	184
+	3	94	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	183
+	88	184
+	81	188
+	4	75	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	184
+	81	188
+	3	75	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	188
+	69	188
+	75	183
+	4	81	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	188
+	75	183
+	3	81	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	183
+	75	183
+	69	188
+	4	63	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	183
+	69	188
+	3	63	183	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	200
+	187	199
+	193	190
+	4	199	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	199
+	193	190
+	3	199	200	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	199	200
+	211	199
+	205	207
+	4	199	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	199
+	205	207
+	3	199	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	185
+	131	189
+	137	182
+	4	143	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	189
+	137	182
+	3	143	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	182
+	149	173
+	143	185
+	4	137	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	143	185
+	3	137	182	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	200	229
+	187	234
+	193	226
+	4	200	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	234
+	193	226
+	3	200	229	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	193	226
+	206	221
+	200	229
+	4	193	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	221
+	200	229
+	3	193	226	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	206	221
+	193	226
+	199	216
+	4	206	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	226
+	199	216
+	3	206	221	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	218	205
+	205	207
+	211	199
+	4	218	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	207
+	211	199
+	3	218	205	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	211	199
+	224	198
+	218	205
+	4	211	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	198
+	218	205
+	3	211	199	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	199
+	175	191
+	181	177
+	4	187	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	191
+	181	177
+	3	187	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	177
+	193	190
+	187	199
+	4	181	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	190
+	187	199
+	3	181	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	154
+	172	80
+	174	164
+	4	182	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	80
+	174	164
+	3	182	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	160
+	174	164
+	172	80
+	4	162	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	164
+	172	80
+	3	162	160	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	149	211
+	162	217
+	156	222
+	4	149	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	217
+	156	222
+	3	149	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	217
+	149	211
+	156	202
+	4	162	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	211
+	156	202
+	3	162	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	202
+	168	208
+	162	217
+	4	156	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	208
+	162	217
+	3	156	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	190
+	181	177
+	187	175
+	4	193	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	177
+	187	175
+	3	193	190	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	194	236
+	181	240
+	187	234
+	4	194	236	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	240
+	187	234
+	3	194	236	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	187	234
+	200	229
+	194	236
+	4	187	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	229
+	194	236
+	3	187	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	208
+	156	202
+	162	184
+	4	168	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	202
+	162	184
+	3	168	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	184
+	175	191
+	168	208
+	4	162	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	191
+	168	208
+	3	162	184	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	199	216
+	212	213
+	206	221
+	4	199	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	213
+	206	221
+	3	199	216	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	212	213
+	199	216
+	205	207
+	4	212	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	216
+	205	207
+	3	212	213	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	205	207
+	218	205
+	212	213
+	4	205	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	205
+	212	213
+	3	205	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	58
+	84	22
+	76	26
+	4	75	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	22
+	76	26
+	3	75	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	22
+	75	58
+	78	18
+	4	84	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	58
+	78	18
+	3	84	22	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	3
+	205	14
+	200	6
+	4	194	3	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	14
+	200	6
+	3	194	3	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	195
+	112	195
+	118	189
+	4	124	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	195
+	118	189
+	3	124	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	189
+	118	189
+	112	195
+	4	106	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	189
+	112	195
+	3	106	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	118	189
+	131	189
+	124	195
+	4	118	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	189
+	124	195
+	3	118	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	195
+	99	194
+	106	189
+	4	112	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	194
+	106	189
+	3	112	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	189
+	106	189
+	99	194
+	4	94	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	189
+	99	194
+	3	94	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	194
+	87	194
+	94	189
+	4	99	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	194
+	94	189
+	3	99	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	188
+	94	189
+	87	194
+	4	81	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	189
+	87	194
+	3	81	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	194
+	124	195
+	131	189
+	4	137	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	195
+	131	189
+	3	137	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	189
+	143	185
+	137	194
+	4	131	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	185
+	137	194
+	3	131	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	194
+	74	193
+	81	188
+	4	87	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	193
+	81	188
+	3	87	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	188
+	81	188
+	74	193
+	4	69	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	188
+	74	193
+	3	69	188	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	168	239
+	156	234
+	162	232
+	4	168	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	234
+	162	232
+	3	168	239	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	226
+	162	232
+	156	234
+	4	149	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	232
+	156	234
+	3	149	226	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	162	232
+	149	226
+	156	222
+	4	162	232	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	226
+	156	222
+	3	162	232	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	242
+	175	243
+	181	240
+	4	188	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	243
+	181	240
+	3	188	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	239
+	181	240
+	175	243
+	4	168	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	240
+	175	243
+	3	168	239	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	181	240
+	194	236
+	188	242
+	4	181	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	236
+	188	242
+	3	181	240	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	80
+	156	162
+	162	160
+	4	172	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	162
+	162	160
+	3	172	80	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	217
+	156	222
+	149	226
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	222
+	149	226
+	3	143	217	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	156	222
+	143	217
+	149	211
+	4	156	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	149	211
+	3	156	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	201
+	118	201
+	124	195
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	201
+	124	195
+	3	131	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	195
+	124	195
+	118	201
+	4	112	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	195
+	118	201
+	3	112	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	195
+	137	194
+	131	201
+	4	124	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	194
+	131	201
+	3	124	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	201
+	105	200
+	112	195
+	4	118	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	200
+	112	195
+	3	118	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	194
+	112	195
+	105	200
+	4	99	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	195
+	105	200
+	3	99	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	200
+	93	199
+	99	194
+	4	105	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	199
+	99	194
+	3	105	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	194
+	99	194
+	93	199
+	4	87	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	194
+	93	199
+	3	87	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	243
+	162	241
+	168	239
+	4	175	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	241
+	168	239
+	3	175	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	234
+	168	239
+	162	241
+	4	156	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	239
+	162	241
+	3	156	234	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	201
+	131	201
+	137	194
+	4	143	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	137	194
+	3	143	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	194
+	149	190
+	143	201
+	4	137	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	190
+	143	201
+	3	137	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	190
+	137	194
+	143	185
+	4	149	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	194
+	143	185
+	3	149	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	185
+	156	165
+	149	190
+	4	143	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	165
+	149	190
+	3	143	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	165
+	143	185
+	149	173
+	4	156	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	185
+	149	173
+	3	156	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	60
+	168	132
+	162	128
+	4	157	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	132
+	162	128
+	3	157	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	132
+	157	60
+	163	72
+	4	168	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	60
+	163	72
+	3	168	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	199
+	80	199
+	87	194
+	4	93	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	199
+	87	194
+	3	93	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	193
+	87	194
+	80	199
+	4	74	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	194
+	80	199
+	3	74	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	201
+	156	202
+	149	211
+	4	143	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	202
+	149	211
+	3	143	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	202
+	143	201
+	149	190
+	4	156	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	201
+	149	190
+	3	156	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	190
+	162	184
+	156	202
+	4	149	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	184
+	156	202
+	3	149	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	208
+	149	211
+	143	217
+	4	137	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	211
+	143	217
+	3	137	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	211
+	137	208
+	143	201
+	4	149	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	208
+	143	201
+	3	149	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	85
+	187	175
+	181	177
+	4	180	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	175
+	181	177
+	3	180	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	175
+	180	85
+	182	154
+	4	187	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	85
+	182	154
+	3	187	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	201
+	143	201
+	137	208
+	4	131	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	201
+	137	208
+	3	131	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	208
+	124	207
+	131	201
+	4	137	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	207
+	131	201
+	3	137	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	201
+	131	201
+	124	207
+	4	118	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	201
+	124	207
+	3	118	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	207
+	111	206
+	118	201
+	4	124	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	206
+	118	201
+	3	124	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	200
+	118	201
+	111	206
+	4	105	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	201
+	111	206
+	3	105	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	191
+	162	184
+	171	127
+	4	175	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	184
+	171	127
+	3	175	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	127
+	181	177
+	175	191
+	4	171	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	177
+	175	191
+	3	171	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	206
+	99	205
+	105	200
+	4	111	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	205
+	105	200
+	3	111	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	199
+	105	200
+	99	205
+	4	93	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	200
+	99	205
+	3	93	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	173
+	165	85
+	156	165
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	85
+	156	165
+	3	149	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	85
+	149	173
+	156	162
+	4	165	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	156	162
+	3	165	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	217
+	130	214
+	137	208
+	4	143	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	214
+	137	208
+	3	143	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	207
+	137	208
+	130	214
+	4	124	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	208
+	130	214
+	3	124	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	205
+	86	204
+	93	199
+	4	99	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	204
+	93	199
+	3	99	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	199
+	93	199
+	86	204
+	4	80	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	199
+	86	204
+	3	80	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	184
+	149	190
+	156	165
+	4	162	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	190
+	156	165
+	3	162	184	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	226
+	137	222
+	143	217
+	4	149	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	222
+	143	217
+	3	149	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	214
+	143	217
+	137	222
+	4	130	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	217
+	137	222
+	3	130	214	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	234
+	143	229
+	149	226
+	4	156	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	229
+	149	226
+	3	156	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	222
+	149	226
+	143	229
+	4	137	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	226
+	143	229
+	3	137	222	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	246
+	169	246
+	175	243
+	4	182	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	246
+	175	243
+	3	182	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	241
+	175	243
+	169	246
+	4	162	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	243
+	169	246
+	3	162	241	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	243
+	188	242
+	182	246
+	4	175	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	242
+	182	246
+	3	175	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	214
+	118	212
+	124	207
+	4	130	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	212
+	124	207
+	3	130	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	206
+	124	207
+	118	212
+	4	111	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	207
+	118	212
+	3	111	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	241
+	149	237
+	156	234
+	4	162	241	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	237
+	156	234
+	3	162	241	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	229
+	156	234
+	149	237
+	4	143	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	234
+	149	237
+	3	143	229	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	162
+	172	80
+	165	85
+	4	156	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	80
+	165	85
+	3	156	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	212
+	105	211
+	111	206
+	4	118	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	211
+	111	206
+	3	118	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	205
+	111	206
+	105	211
+	4	99	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	206
+	105	211
+	3	99	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	222
+	124	219
+	130	214
+	4	137	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	219
+	130	214
+	3	137	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	212
+	130	214
+	124	219
+	4	118	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	214
+	124	219
+	3	118	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	211
+	92	210
+	99	205
+	4	105	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	210
+	99	205
+	3	105	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	204
+	99	205
+	92	210
+	4	86	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	205
+	92	210
+	3	86	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	246
+	156	243
+	162	241
+	4	169	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	243
+	162	241
+	3	169	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	237
+	162	241
+	156	243
+	4	149	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	241
+	156	243
+	3	149	237	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	177
+	171	127
+	180	85
+	4	181	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	127
+	180	85
+	3	181	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	229
+	130	226
+	137	222
+	4	143	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	226
+	137	222
+	3	143	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	219
+	137	222
+	130	226
+	4	124	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	222
+	130	226
+	3	124	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	219
+	111	217
+	118	212
+	4	124	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	217
+	118	212
+	3	124	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	211
+	118	212
+	111	217
+	4	105	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	212
+	111	217
+	3	105	211	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	237
+	137	233
+	143	229
+	4	149	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	233
+	143	229
+	3	149	237	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	226
+	143	229
+	137	233
+	4	130	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	229
+	137	233
+	3	130	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	217
+	98	216
+	105	211
+	4	111	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	216
+	105	211
+	3	111	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	210
+	105	211
+	98	216
+	4	92	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	211
+	98	216
+	3	92	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	165
+	171	127
+	162	184
+	4	156	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	127
+	162	184
+	3	156	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	246
+	182	246
+	176	250
+	4	169	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	246
+	176	250
+	3	169	246	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	226
+	117	224
+	124	219
+	4	130	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	224
+	124	219
+	3	130	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	217
+	124	219
+	117	224
+	4	111	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	219
+	117	224
+	3	111	217	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	243
+	143	240
+	149	237
+	4	156	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	240
+	149	237
+	3	156	243	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	233
+	149	237
+	143	240
+	4	137	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	237
+	143	240
+	3	137	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	250
+	163	249
+	169	246
+	4	176	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	249
+	169	246
+	3	176	250	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	243
+	169	246
+	163	249
+	4	156	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	246
+	163	249
+	3	156	243	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	80
+	182	154
+	180	85
+	4	172	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	154
+	180	85
+	3	172	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	224
+	104	222
+	111	217
+	4	117	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	222
+	111	217
+	3	117	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	216
+	111	217
+	104	222
+	4	98	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	217
+	104	222
+	3	98	216	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	233
+	123	231
+	130	226
+	4	137	233	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	231
+	130	226
+	3	137	233	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	224
+	130	226
+	123	231
+	4	117	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	226
+	123	231
+	3	117	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	249
+	149	247
+	156	243
+	4	163	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	247
+	156	243
+	3	163	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	240
+	156	243
+	149	247
+	4	143	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	243
+	149	247
+	3	143	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	240
+	130	238
+	137	233
+	4	143	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	238
+	137	233
+	3	143	240	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	231
+	137	233
+	130	238
+	4	123	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	233
+	130	238
+	3	123	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	231
+	110	229
+	117	224
+	4	123	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	229
+	117	224
+	3	123	231	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	222
+	117	224
+	110	229
+	4	104	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	224
+	110	229
+	3	104	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	249
+	176	250
+	169	254
+	4	163	249	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	250
+	169	254
+	3	163	249	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	247
+	136	244
+	143	240
+	4	149	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	244
+	143	240
+	3	149	247	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	238
+	143	240
+	136	244
+	4	130	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	240
+	136	244
+	3	130	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	238
+	116	235
+	123	231
+	4	130	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	235
+	123	231
+	3	130	238	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	229
+	123	231
+	116	235
+	4	110	229	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	231
+	116	235
+	3	110	229	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	254
+	156	253
+	163	249
+	4	169	254	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	253
+	163	249
+	3	169	254	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	247
+	163	249
+	156	253
+	4	149	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	249
+	156	253
+	3	149	247	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	127
+	156	165
+	165	85
+	4	171	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	165
+	165	85
+	3	171	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	244
+	123	242
+	130	238
+	4	136	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	242
+	130	238
+	3	136	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	235
+	130	238
+	123	242
+	4	116	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	238
+	123	242
+	3	116	235	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	253
+	143	251
+	149	247
+	4	156	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	251
+	149	247
+	3	156	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	244
+	149	247
+	143	251
+	4	136	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	247
+	143	251
+	3	136	244	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	253
+	169	254
+	163	258
+	4	156	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	254
+	163	258
+	3	156	253	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	251
+	129	248
+	136	244
+	4	143	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	248
+	136	244
+	3	143	251	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	242
+	136	244
+	129	248
+	4	123	242	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	244
+	129	248
+	3	123	242	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	258
+	149	257
+	156	253
+	4	163	258	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	257
+	156	253
+	3	163	258	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	251
+	156	253
+	149	257
+	4	143	251	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	253
+	149	257
+	3	143	251	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	257
+	136	255
+	143	251
+	4	149	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	255
+	143	251
+	3	149	257	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	248
+	143	251
+	136	255
+	4	129	248	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	251
+	136	255
+	3	129	248	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	257
+	163	258
+	156	262
+	4	149	257	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	258
+	156	262
+	3	149	257	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	34
+	143	34
+	149	30
+	4	156	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	34
+	149	30
+	3	156	34	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	262
+	143	261
+	149	257
+	4	156	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	261
+	149	257
+	3	156	262	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	255
+	149	257
+	143	261
+	4	136	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	257
+	143	261
+	3	136	255	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	34
+	156	34
+	149	38
+	4	143	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	34
+	149	38
+	3	143	34	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	261
+	156	262
+	149	267
+	4	143	261	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	262
+	149	267
+	3	143	261	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	85
+	180	85
+	171	127
+	4	165	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	85
+	171	127
+	3	165	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	85
+	165	85
+	172	80
+	4	180	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	85
+	172	80
+	3	180	85	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/cylcoord.ps b/books/ps/cylcoord.ps
new file mode 100644
index 0000000..171942c
--- /dev/null
+++ b/books/ps/cylcoord.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	6	271	259	82	psDrawLine
+	globGC	(X)	1	276	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	285	267	34	85	psDrawLine
+	globGC	(Y)	290	272	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	142	26	150	270	psDrawLine
+	globGC	(Z)	137	21	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.500000	setForeground
+	renderGC
+	203	129
+	197	128
+	197	124
+	4	203	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	128
+	197	124
+	3	203	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	128
+	203	129
+	203	132
+	4	197	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	129
+	203	132
+	3	197	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	125
+	197	124
+	198	120
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	124
+	198	120
+	3	203	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	124
+	203	125
+	203	129
+	4	197	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	203	129
+	3	197	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	133
+	203	132
+	203	129
+	4	208	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	132
+	203	129
+	3	208	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	132
+	208	133
+	208	137
+	4	203	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	133
+	208	137
+	3	203	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	121
+	198	120
+	198	117
+	4	204	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	120
+	198	117
+	3	204	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	120
+	204	121
+	203	125
+	4	198	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	121
+	203	125
+	3	198	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	130
+	203	129
+	203	125
+	4	209	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	129
+	203	125
+	3	209	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	129
+	209	130
+	208	133
+	4	203	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	130
+	208	133
+	3	203	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	139
+	208	137
+	208	133
+	4	213	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	137
+	208	133
+	3	213	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	137
+	213	139
+	213	143
+	4	208	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	139
+	213	143
+	3	208	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	117
+	198	117
+	198	113
+	4	204	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	117
+	198	113
+	3	204	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	117
+	204	117
+	204	121
+	4	198	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	117
+	204	121
+	3	198	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	126
+	203	125
+	204	121
+	4	209	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	204	121
+	3	209	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	125
+	209	126
+	209	130
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	126
+	209	130
+	3	203	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	135
+	208	133
+	209	130
+	4	213	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	133
+	209	130
+	3	213	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	133
+	213	135
+	213	139
+	4	208	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	135
+	213	139
+	3	208	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	144
+	213	143
+	213	139
+	4	216	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	143
+	213	139
+	3	216	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	143
+	216	144
+	216	148
+	4	213	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	144
+	216	148
+	3	213	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	113
+	198	113
+	198	109
+	4	204	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	113
+	198	109
+	3	204	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	113
+	204	113
+	204	117
+	4	198	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	113
+	204	117
+	3	198	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	122
+	204	121
+	204	117
+	4	209	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	121
+	204	117
+	3	209	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	121
+	209	122
+	209	126
+	4	204	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	122
+	209	126
+	3	204	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	131
+	209	130
+	209	126
+	4	213	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	130
+	209	126
+	3	213	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	130
+	213	131
+	213	135
+	4	209	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	131
+	213	135
+	3	209	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	141
+	213	139
+	213	135
+	4	217	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	139
+	213	135
+	3	217	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	139
+	217	141
+	216	144
+	4	213	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	141
+	216	144
+	3	213	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	109
+	198	109
+	198	105
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	109
+	198	105
+	3	204	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	109
+	204	109
+	204	113
+	4	198	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	204	113
+	3	198	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	118
+	204	117
+	204	113
+	4	209	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	117
+	204	113
+	3	209	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	117
+	209	118
+	209	122
+	4	204	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	118
+	209	122
+	3	204	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	150
+	216	148
+	216	144
+	4	219	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	148
+	216	144
+	3	219	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	148
+	219	150
+	219	154
+	4	216	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	150
+	219	154
+	3	216	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	127
+	209	126
+	209	122
+	4	213	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	126
+	209	122
+	3	213	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	209	126
+	213	127
+	213	131
+	4	209	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	127
+	213	131
+	3	209	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	137
+	213	135
+	213	131
+	4	217	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	135
+	213	131
+	3	217	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	135
+	217	137
+	217	141
+	4	213	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	137
+	217	141
+	3	213	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	105
+	198	105
+	198	101
+	4	204	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	105
+	198	101
+	3	204	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	105
+	204	105
+	204	109
+	4	198	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	105
+	204	109
+	3	198	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	114
+	204	113
+	204	109
+	4	209	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	113
+	204	109
+	3	209	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	113
+	209	114
+	209	118
+	4	204	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	114
+	209	118
+	3	204	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	147
+	216	144
+	217	141
+	4	219	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	144
+	217	141
+	3	219	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	144
+	219	147
+	219	150
+	4	216	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	147
+	219	150
+	3	216	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	123
+	209	122
+	209	118
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	122
+	209	118
+	3	214	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	122
+	214	123
+	213	127
+	4	209	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	213	127
+	3	209	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	157
+	219	154
+	219	150
+	4	221	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	154
+	219	150
+	3	221	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	154
+	221	157
+	221	160
+	4	219	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	157
+	221	160
+	3	219	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	133
+	213	131
+	213	127
+	4	217	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	131
+	213	127
+	3	217	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	131
+	217	133
+	217	137
+	4	213	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	133
+	217	137
+	3	213	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	101
+	198	101
+	198	97
+	4	204	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	101
+	198	97
+	3	204	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	101
+	204	101
+	204	105
+	4	198	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	101
+	204	105
+	3	198	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	110
+	204	109
+	204	105
+	4	209	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	204	105
+	3	209	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	109
+	209	110
+	209	114
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	110
+	209	114
+	3	204	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	143
+	217	141
+	217	137
+	4	220	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	141
+	217	137
+	3	220	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	141
+	220	143
+	219	147
+	4	217	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	143
+	219	147
+	3	217	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	119
+	209	118
+	209	114
+	4	214	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	118
+	209	114
+	3	214	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	118
+	214	119
+	214	123
+	4	209	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	119
+	214	123
+	3	209	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	153
+	219	150
+	219	147
+	4	221	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	150
+	219	147
+	3	221	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	150
+	221	153
+	221	157
+	4	219	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	153
+	221	157
+	3	219	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	129
+	213	127
+	214	123
+	4	217	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	127
+	214	123
+	3	217	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	127
+	217	129
+	217	133
+	4	213	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	129
+	217	133
+	3	213	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	97
+	198	97
+	198	93
+	4	204	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	97
+	198	93
+	3	204	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	97
+	204	97
+	204	101
+	4	198	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	97
+	204	101
+	3	198	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	106
+	204	105
+	204	101
+	4	210	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	105
+	204	101
+	3	210	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	105
+	210	106
+	209	110
+	4	204	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	106
+	209	110
+	3	204	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	139
+	217	137
+	217	133
+	4	220	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	137
+	217	133
+	3	220	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	137
+	220	139
+	220	143
+	4	217	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	139
+	220	143
+	3	217	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	163
+	221	160
+	221	157
+	4	222	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	160
+	221	157
+	3	222	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	160
+	222	163
+	222	167
+	4	221	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	163
+	222	167
+	3	221	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	115
+	209	114
+	209	110
+	4	214	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	114
+	209	110
+	3	214	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	114
+	214	115
+	214	119
+	4	209	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	115
+	214	119
+	3	209	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	149
+	219	147
+	220	143
+	4	221	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	147
+	220	143
+	3	221	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	147
+	221	149
+	221	153
+	4	219	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	149
+	221	153
+	3	219	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	125
+	214	123
+	214	119
+	4	218	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	123
+	214	119
+	3	218	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	123
+	218	125
+	217	129
+	4	214	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	125
+	217	129
+	3	214	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	93
+	198	93
+	198	88
+	4	205	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	93
+	198	88
+	3	205	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	93
+	205	93
+	204	97
+	4	198	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	93
+	204	97
+	3	198	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	102
+	204	101
+	204	97
+	4	210	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	101
+	204	97
+	3	210	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	101
+	210	102
+	210	106
+	4	204	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	102
+	210	106
+	3	204	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	135
+	217	133
+	217	129
+	4	220	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	133
+	217	129
+	3	220	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	133
+	220	135
+	220	139
+	4	217	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	135
+	220	139
+	3	217	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	159
+	221	157
+	221	153
+	4	222	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	157
+	221	153
+	3	222	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	157
+	222	159
+	222	163
+	4	221	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	159
+	222	163
+	3	221	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	111
+	209	110
+	210	106
+	4	214	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	110
+	210	106
+	3	214	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	110
+	214	111
+	214	115
+	4	209	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	111
+	214	115
+	3	209	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	145
+	220	143
+	220	139
+	4	222	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	143
+	220	139
+	3	222	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	143
+	222	145
+	221	149
+	4	220	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	145
+	221	149
+	3	220	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	121
+	214	119
+	214	115
+	4	218	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	119
+	214	115
+	3	218	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	119
+	218	121
+	218	125
+	4	214	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	121
+	218	125
+	3	214	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	169
+	222	167
+	222	163
+	4	222	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	167
+	222	163
+	3	222	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	167
+	222	169
+	221	173
+	4	222	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	169
+	221	173
+	3	222	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	89
+	198	88
+	199	84
+	4	205	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	88
+	199	84
+	3	205	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	198	88
+	205	89
+	205	93
+	4	198	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	89
+	205	93
+	3	198	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	98
+	204	97
+	205	93
+	4	210	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	97
+	205	93
+	3	210	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	204	97
+	210	98
+	210	102
+	4	204	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	98
+	210	102
+	3	204	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	131
+	217	129
+	218	125
+	4	220	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	129
+	218	125
+	3	220	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	129
+	220	131
+	220	135
+	4	217	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	131
+	220	135
+	3	217	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	155
+	221	153
+	221	149
+	4	222	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	153
+	221	149
+	3	222	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	153
+	222	155
+	222	159
+	4	221	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	155
+	222	159
+	3	221	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	107
+	210	106
+	210	102
+	4	214	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	106
+	210	102
+	3	214	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	106
+	214	107
+	214	111
+	4	210	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	107
+	214	111
+	3	210	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	141
+	220	139
+	220	135
+	4	222	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	139
+	220	135
+	3	222	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	139
+	222	141
+	222	145
+	4	220	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	141
+	222	145
+	3	220	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	117
+	214	115
+	214	111
+	4	218	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	115
+	214	111
+	3	218	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	115
+	218	117
+	218	121
+	4	214	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	117
+	218	121
+	3	214	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	166
+	222	163
+	222	159
+	4	222	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	163
+	222	159
+	3	222	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	163
+	222	166
+	222	169
+	4	222	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	166
+	222	169
+	3	222	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	84
+	199	84
+	199	80
+	4	205	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	84
+	199	80
+	3	205	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	84
+	205	84
+	205	89
+	4	199	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	84
+	205	89
+	3	199	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	93
+	205	93
+	205	89
+	4	210	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	93
+	205	89
+	3	210	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	93
+	210	93
+	210	98
+	4	205	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	93
+	210	98
+	3	205	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	127
+	218	125
+	218	121
+	4	221	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	125
+	218	121
+	3	221	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	125
+	221	127
+	220	131
+	4	218	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	127
+	220	131
+	3	218	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	151
+	221	149
+	222	145
+	4	222	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	149
+	222	145
+	3	222	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	149
+	222	151
+	222	155
+	4	221	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	151
+	222	155
+	3	221	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	103
+	210	102
+	210	98
+	4	215	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	102
+	210	98
+	3	215	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	102
+	215	103
+	214	107
+	4	210	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	103
+	214	107
+	3	210	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	176
+	221	173
+	222	169
+	4	220	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	173
+	222	169
+	3	220	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	173
+	220	176
+	220	180
+	4	221	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	176
+	220	180
+	3	221	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	137
+	220	135
+	220	131
+	4	222	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	135
+	220	131
+	3	222	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	135
+	222	137
+	222	141
+	4	220	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	137
+	222	141
+	3	220	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	113
+	214	111
+	214	107
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	111
+	214	107
+	3	218	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	111
+	218	113
+	218	117
+	4	214	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	218	117
+	3	214	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	162
+	222	159
+	222	155
+	4	222	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	159
+	222	155
+	3	222	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	159
+	222	162
+	222	166
+	4	222	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	162
+	222	166
+	3	222	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	80
+	199	80
+	199	76
+	4	205	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	80
+	199	76
+	3	205	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	80
+	205	80
+	205	84
+	4	199	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	80
+	205	84
+	3	199	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	89
+	205	89
+	205	84
+	4	210	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	89
+	205	84
+	3	210	89	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	205	89
+	210	89
+	210	93
+	4	205	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	89
+	210	93
+	3	205	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	123
+	218	121
+	218	117
+	4	221	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	121
+	218	117
+	3	221	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	121
+	221	123
+	221	127
+	4	218	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	123
+	221	127
+	3	218	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	147
+	222	145
+	222	141
+	4	223	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	145
+	222	141
+	3	223	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	145
+	223	147
+	222	151
+	4	222	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	147
+	222	151
+	3	222	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	99
+	210	98
+	210	93
+	4	215	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	98
+	210	93
+	3	215	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	98
+	215	99
+	215	103
+	4	210	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	99
+	215	103
+	3	210	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	172
+	222	169
+	222	166
+	4	221	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	169
+	222	166
+	3	221	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	169
+	221	172
+	220	176
+	4	222	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	172
+	220	176
+	3	222	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	133
+	220	131
+	221	127
+	4	222	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	131
+	221	127
+	3	222	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	131
+	222	133
+	222	137
+	4	220	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	133
+	222	137
+	3	220	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	109
+	214	107
+	215	103
+	4	218	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	107
+	215	103
+	3	218	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	107
+	218	109
+	218	113
+	4	214	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	109
+	218	113
+	3	214	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	158
+	222	155
+	222	151
+	4	222	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	155
+	222	151
+	3	222	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	155
+	222	158
+	222	162
+	4	222	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	158
+	222	162
+	3	222	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	182
+	220	180
+	220	176
+	4	218	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	180
+	220	176
+	3	218	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	180
+	218	182
+	218	186
+	4	220	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	182
+	218	186
+	3	220	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	76
+	199	76
+	199	72
+	4	205	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	76
+	199	72
+	3	205	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	76
+	205	76
+	205	80
+	4	199	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	76
+	205	80
+	3	199	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	85
+	205	84
+	205	80
+	4	211	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	84
+	205	80
+	3	211	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	205	84
+	211	85
+	210	89
+	4	205	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	85
+	210	89
+	3	205	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	119
+	218	117
+	218	113
+	4	221	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	117
+	218	113
+	3	221	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	117
+	221	119
+	221	123
+	4	218	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	119
+	221	123
+	3	218	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	143
+	222	141
+	222	137
+	4	223	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	141
+	222	137
+	3	223	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	141
+	223	143
+	223	147
+	4	222	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	143
+	223	147
+	3	222	141	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	94
+	210	93
+	210	89
+	4	215	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	93
+	210	89
+	3	215	94	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	210	93
+	215	94
+	215	99
+	4	210	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	94
+	215	99
+	3	210	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	168
+	222	166
+	222	162
+	4	221	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	166
+	222	162
+	3	221	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	166
+	221	168
+	221	172
+	4	222	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	168
+	221	172
+	3	222	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	129
+	221	127
+	221	123
+	4	223	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	127
+	221	123
+	3	223	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	127
+	223	129
+	222	133
+	4	221	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	129
+	222	133
+	3	221	127	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	219	104
+	215	103
+	215	99
+	4	219	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	103
+	215	99
+	3	219	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	103
+	219	104
+	218	109
+	4	215	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	104
+	218	109
+	3	215	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	154
+	222	151
+	223	147
+	4	223	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	151
+	223	147
+	3	223	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	151
+	223	154
+	222	158
+	4	222	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	154
+	222	158
+	3	222	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	179
+	220	176
+	221	172
+	4	218	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	176
+	221	172
+	3	218	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	176
+	218	179
+	218	182
+	4	220	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	179
+	218	182
+	3	220	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	72
+	199	72
+	199	67
+	4	205	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	72
+	199	67
+	3	205	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	72
+	205	72
+	205	76
+	4	199	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	72
+	205	76
+	3	199	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	81
+	205	80
+	205	76
+	4	211	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	80
+	205	76
+	3	211	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	80
+	211	81
+	211	85
+	4	205	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	81
+	211	85
+	3	205	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	115
+	218	113
+	218	109
+	4	221	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	113
+	218	109
+	3	221	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	113
+	221	115
+	221	119
+	4	218	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	115
+	221	119
+	3	218	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	139
+	222	137
+	222	133
+	4	223	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	137
+	222	133
+	3	223	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	137
+	223	139
+	223	143
+	4	222	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	139
+	223	143
+	3	222	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	90
+	210	89
+	211	85
+	4	215	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	89
+	211	85
+	3	215	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	89
+	215	90
+	215	94
+	4	210	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	90
+	215	94
+	3	210	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	164
+	222	162
+	222	158
+	4	221	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	162
+	222	158
+	3	221	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	162
+	221	164
+	221	168
+	4	222	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	164
+	221	168
+	3	222	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	189
+	218	186
+	218	182
+	4	215	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	186
+	218	182
+	3	215	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	186
+	215	189
+	214	192
+	4	218	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	189
+	214	192
+	3	218	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	125
+	221	123
+	221	119
+	4	223	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	123
+	221	119
+	3	223	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	123
+	223	125
+	223	129
+	4	221	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	125
+	223	129
+	3	221	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	100
+	215	99
+	215	94
+	4	219	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	99
+	215	94
+	3	219	100	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	215	99
+	219	100
+	219	104
+	4	215	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	100
+	219	104
+	3	215	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	150
+	223	147
+	223	143
+	4	223	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	147
+	223	143
+	3	223	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	147
+	223	150
+	223	154
+	4	223	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	150
+	223	154
+	3	223	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	175
+	221	172
+	221	168
+	4	218	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	172
+	221	168
+	3	218	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	172
+	218	175
+	218	179
+	4	221	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	175
+	218	179
+	3	221	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	67
+	199	67
+	199	63
+	4	205	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	67
+	199	63
+	3	205	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	67
+	205	67
+	205	72
+	4	199	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	67
+	205	72
+	3	199	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	76
+	205	76
+	205	72
+	4	211	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	76
+	205	72
+	3	211	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	76
+	211	76
+	211	81
+	4	205	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	76
+	211	81
+	3	205	76	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	110
+	218	109
+	219	104
+	4	221	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	109
+	219	104
+	3	221	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	109
+	221	110
+	221	115
+	4	218	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	110
+	221	115
+	3	218	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	135
+	222	133
+	223	129
+	4	223	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	133
+	223	129
+	3	223	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	133
+	223	135
+	223	139
+	4	222	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	135
+	223	139
+	3	222	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	86
+	211	85
+	211	81
+	4	215	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	85
+	211	81
+	3	215	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	85
+	215	86
+	215	90
+	4	211	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	86
+	215	90
+	3	211	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	160
+	222	158
+	223	154
+	4	221	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	158
+	223	154
+	3	221	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	158
+	221	160
+	221	164
+	4	222	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	160
+	221	164
+	3	222	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	185
+	218	182
+	218	179
+	4	215	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	182
+	218	179
+	3	215	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	182
+	215	185
+	215	189
+	4	218	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	185
+	215	189
+	3	218	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	121
+	221	119
+	221	115
+	4	223	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	119
+	221	115
+	3	223	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	119
+	223	121
+	223	125
+	4	221	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	121
+	223	125
+	3	221	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	96
+	215	94
+	215	90
+	4	219	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	94
+	215	90
+	3	219	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	94
+	219	96
+	219	100
+	4	215	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	96
+	219	100
+	3	215	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	146
+	223	143
+	223	139
+	4	223	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	143
+	223	139
+	3	223	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	143
+	223	146
+	223	150
+	4	223	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	146
+	223	150
+	3	223	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	194
+	214	192
+	215	189
+	4	210	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	192
+	215	189
+	3	210	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	192
+	210	194
+	210	198
+	4	214	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	194
+	210	198
+	3	214	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	171
+	221	168
+	221	164
+	4	219	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	168
+	221	164
+	3	219	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	168
+	219	171
+	218	175
+	4	221	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	171
+	218	175
+	3	221	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	63
+	199	63
+	199	58
+	4	206	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	63
+	199	58
+	3	206	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	63
+	206	63
+	205	67
+	4	199	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	63
+	205	67
+	3	199	63	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	72
+	205	72
+	205	67
+	4	211	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	72
+	205	67
+	3	211	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	72
+	211	72
+	211	76
+	4	205	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	72
+	211	76
+	3	205	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	106
+	219	104
+	219	100
+	4	222	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	104
+	219	100
+	3	222	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	219	104
+	222	106
+	221	110
+	4	219	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	106
+	221	110
+	3	219	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	131
+	223	129
+	223	125
+	4	224	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	129
+	223	125
+	3	224	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	129
+	224	131
+	223	135
+	4	223	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	131
+	223	135
+	3	223	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	82
+	211	81
+	211	76
+	4	216	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	81
+	211	76
+	3	216	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	81
+	216	82
+	215	86
+	4	211	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	82
+	215	86
+	3	211	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	156
+	223	154
+	223	150
+	4	221	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	154
+	223	150
+	3	221	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	154
+	221	156
+	221	160
+	4	223	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	156
+	221	160
+	3	223	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	181
+	218	179
+	218	175
+	4	215	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	179
+	218	175
+	3	215	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	179
+	215	181
+	215	185
+	4	218	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	181
+	215	185
+	3	218	179	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	117
+	221	115
+	221	110
+	4	223	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	115
+	221	110
+	3	223	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	115
+	223	117
+	223	121
+	4	221	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	117
+	223	121
+	3	221	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	92
+	215	90
+	215	86
+	4	219	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	90
+	215	86
+	3	219	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	90
+	219	92
+	219	96
+	4	215	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	92
+	219	96
+	3	215	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	142
+	223	139
+	223	135
+	4	223	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	139
+	223	135
+	3	223	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	139
+	223	142
+	223	146
+	4	223	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	142
+	223	146
+	3	223	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	191
+	215	189
+	215	185
+	4	211	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	189
+	215	185
+	3	211	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	189
+	211	191
+	210	194
+	4	215	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	191
+	210	194
+	3	215	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	167
+	221	164
+	221	160
+	4	219	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	164
+	221	160
+	3	219	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	164
+	219	167
+	219	171
+	4	221	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	167
+	219	171
+	3	221	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	58
+	199	58
+	199	54
+	4	206	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	58
+	199	54
+	3	206	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	58
+	206	58
+	206	63
+	4	199	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	58
+	206	63
+	3	199	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	68
+	205	67
+	206	63
+	4	211	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	67
+	206	63
+	3	211	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	67
+	211	68
+	211	72
+	4	205	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	68
+	211	72
+	3	205	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	102
+	219	100
+	219	96
+	4	222	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	100
+	219	96
+	3	222	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	219	100
+	222	102
+	222	106
+	4	219	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	102
+	222	106
+	3	219	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	200
+	210	198
+	210	194
+	4	205	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	198
+	210	194
+	3	205	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	198
+	205	200
+	205	204
+	4	210	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	200
+	205	204
+	3	210	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	127
+	223	125
+	223	121
+	4	224	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	125
+	223	121
+	3	224	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	125
+	224	127
+	224	131
+	4	223	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	127
+	224	131
+	3	223	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	77
+	211	76
+	211	72
+	4	216	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	76
+	211	72
+	3	216	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	76
+	216	77
+	216	82
+	4	211	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	77
+	216	82
+	3	211	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	152
+	223	150
+	223	146
+	4	222	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	150
+	223	146
+	3	222	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	150
+	222	152
+	221	156
+	4	223	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	152
+	221	156
+	3	223	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	177
+	218	175
+	219	171
+	4	215	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	175
+	219	171
+	3	215	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	175
+	215	177
+	215	181
+	4	218	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	177
+	215	181
+	3	218	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	112
+	221	110
+	222	106
+	4	224	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	110
+	222	106
+	3	224	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	221	110
+	224	112
+	223	117
+	4	221	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	112
+	223	117
+	3	221	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	87
+	215	86
+	216	82
+	4	220	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	86
+	216	82
+	3	220	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	86
+	220	87
+	219	92
+	4	215	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	87
+	219	92
+	3	215	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	138
+	223	135
+	224	131
+	4	224	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	135
+	224	131
+	3	224	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	135
+	224	138
+	223	142
+	4	223	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	138
+	223	142
+	3	223	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	187
+	215	185
+	215	181
+	4	211	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	185
+	215	181
+	3	211	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	185
+	211	187
+	211	191
+	4	215	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	187
+	211	191
+	3	215	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	163
+	221	160
+	221	156
+	4	219	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	160
+	221	156
+	3	219	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	160
+	219	163
+	219	167
+	4	221	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	163
+	219	167
+	3	221	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	54
+	199	54
+	200	49
+	4	206	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	54
+	200	49
+	3	206	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	54
+	206	54
+	206	58
+	4	199	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	54
+	206	58
+	3	199	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	63
+	206	63
+	206	58
+	4	211	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	63
+	206	58
+	3	211	63	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	63
+	211	63
+	211	68
+	4	206	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	63
+	211	68
+	3	206	63	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	98
+	219	96
+	219	92
+	4	222	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	96
+	219	92
+	3	222	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	96
+	222	98
+	222	102
+	4	219	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	98
+	222	102
+	3	219	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	196
+	210	194
+	211	191
+	4	205	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	194
+	211	191
+	3	205	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	194
+	205	196
+	205	200
+	4	210	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	196
+	205	200
+	3	210	194	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	123
+	223	121
+	223	117
+	4	224	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	121
+	223	117
+	3	224	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	121
+	224	123
+	224	127
+	4	223	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	123
+	224	127
+	3	223	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	73
+	211	72
+	211	68
+	4	216	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	72
+	211	68
+	3	216	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	72
+	216	73
+	216	77
+	4	211	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	73
+	216	77
+	3	211	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	148
+	223	146
+	223	142
+	4	222	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	146
+	223	142
+	3	222	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	146
+	222	148
+	222	152
+	4	223	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	148
+	222	152
+	3	223	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	173
+	219	171
+	219	167
+	4	215	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	171
+	219	167
+	3	215	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	171
+	215	173
+	215	177
+	4	219	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	173
+	215	177
+	3	219	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	205
+	205	204
+	205	200
+	4	199	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	204
+	205	200
+	3	199	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	204
+	199	205
+	199	209
+	4	205	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	205
+	199	209
+	3	205	204	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	108
+	222	106
+	222	102
+	4	224	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	106
+	222	102
+	3	224	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	106
+	224	108
+	224	112
+	4	222	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	108
+	224	112
+	3	222	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	83
+	216	82
+	216	77
+	4	220	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	82
+	216	77
+	3	220	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	82
+	220	83
+	220	87
+	4	216	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	83
+	220	87
+	3	216	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	134
+	224	131
+	224	127
+	4	224	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	131
+	224	127
+	3	224	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	131
+	224	134
+	224	138
+	4	224	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	134
+	224	138
+	3	224	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	183
+	215	181
+	215	177
+	4	211	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	181
+	215	177
+	3	211	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	181
+	211	183
+	211	187
+	4	215	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	183
+	211	187
+	3	215	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	159
+	221	156
+	222	152
+	4	219	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	156
+	222	152
+	3	219	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	156
+	219	159
+	219	163
+	4	221	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	159
+	219	163
+	3	221	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	49
+	200	49
+	200	45
+	4	206	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	49
+	200	45
+	3	206	49	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	49
+	206	49
+	206	54
+	4	200	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	49
+	206	54
+	3	200	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	59
+	206	58
+	206	54
+	4	212	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	58
+	206	54
+	3	212	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	58
+	212	59
+	211	63
+	4	206	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	59
+	211	63
+	3	206	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	93
+	219	92
+	220	87
+	4	222	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	92
+	220	87
+	3	222	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	92
+	222	93
+	222	98
+	4	219	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	93
+	222	98
+	3	219	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	192
+	211	191
+	211	187
+	4	205	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	191
+	211	187
+	3	205	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	191
+	205	192
+	205	196
+	4	211	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	192
+	205	196
+	3	211	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	119
+	223	117
+	224	112
+	4	224	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	117
+	224	112
+	3	224	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	117
+	224	119
+	224	123
+	4	223	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	119
+	224	123
+	3	223	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	68
+	211	68
+	211	63
+	4	216	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	68
+	211	63
+	3	216	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	68
+	216	68
+	216	73
+	4	211	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	68
+	216	73
+	3	211	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	144
+	223	142
+	224	138
+	4	222	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	142
+	224	138
+	3	222	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	142
+	222	144
+	222	148
+	4	223	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	144
+	222	148
+	3	223	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	169
+	219	167
+	219	163
+	4	216	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	167
+	219	163
+	3	216	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	167
+	216	169
+	215	173
+	4	219	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	169
+	215	173
+	3	219	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	213
+	90	204
+	90	208
+	4	97	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	204
+	90	208
+	3	97	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	201
+	205	200
+	205	196
+	4	199	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	200
+	205	196
+	3	199	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	200
+	199	201
+	199	205
+	4	205	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	201
+	199	205
+	3	205	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	210
+	199	209
+	199	205
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	209
+	199	205
+	3	192	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	209
+	192	210
+	192	213
+	4	199	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	192	213
+	3	199	209	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	104
+	222	102
+	222	98
+	4	224	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	102
+	222	98
+	3	224	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	102
+	224	104
+	224	108
+	4	222	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	104
+	224	108
+	3	222	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	78
+	216	77
+	216	73
+	4	220	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	77
+	216	73
+	3	220	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	77
+	220	78
+	220	83
+	4	216	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	78
+	220	83
+	3	216	77	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	129
+	224	127
+	224	123
+	4	224	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	127
+	224	123
+	3	224	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	127
+	224	129
+	224	134
+	4	224	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	129
+	224	134
+	3	224	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	179
+	215	177
+	215	173
+	4	211	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	177
+	215	173
+	3	211	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	177
+	211	179
+	211	183
+	4	215	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	179
+	211	183
+	3	215	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	155
+	222	152
+	222	148
+	4	220	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	152
+	222	148
+	3	220	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	152
+	220	155
+	219	159
+	4	222	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	155
+	219	159
+	3	222	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	45
+	200	45
+	200	40
+	4	206	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	45
+	200	40
+	3	206	45	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	45
+	206	45
+	206	49
+	4	200	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	45
+	206	49
+	3	200	45	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	54
+	206	54
+	206	49
+	4	212	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	54
+	206	49
+	3	212	54	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	54
+	212	54
+	212	59
+	4	206	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	54
+	212	59
+	3	206	54	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	89
+	220	87
+	220	83
+	4	223	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	87
+	220	83
+	3	223	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	87
+	223	89
+	222	93
+	4	220	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	89
+	222	93
+	3	220	87	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	189
+	211	187
+	211	183
+	4	205	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	187
+	211	183
+	3	205	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	187
+	205	189
+	205	192
+	4	211	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	189
+	205	192
+	3	211	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	114
+	224	112
+	224	108
+	4	225	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	112
+	224	108
+	3	225	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	112
+	225	114
+	224	119
+	4	224	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	114
+	224	119
+	3	224	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	64
+	211	63
+	212	59
+	4	216	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	63
+	212	59
+	3	216	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	63
+	216	64
+	216	68
+	4	211	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	64
+	216	68
+	3	211	63	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	140
+	224	138
+	224	134
+	4	222	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	138
+	224	134
+	3	222	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	138
+	222	140
+	222	144
+	4	224	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	140
+	222	144
+	3	224	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	165
+	219	163
+	219	159
+	4	216	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	163
+	219	159
+	3	216	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	163
+	216	165
+	216	169
+	4	219	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	165
+	216	169
+	3	219	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	209
+	90	201
+	90	204
+	4	97	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	201
+	90	204
+	3	97	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	204
+	97	213
+	97	209
+	4	90	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	213
+	97	209
+	3	90	204	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	217
+	97	209
+	97	213
+	4	104	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	209
+	97	213
+	3	104	217	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	198
+	205	196
+	205	192
+	4	199	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	196
+	205	192
+	3	199	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	196
+	199	198
+	199	201
+	4	205	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	198
+	199	201
+	3	205	196	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	214
+	192	213
+	192	210
+	4	184	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	213
+	192	210
+	3	184	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	192	213
+	184	214
+	184	217
+	4	192	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	214
+	184	217
+	3	192	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	206
+	199	205
+	199	201
+	4	192	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	205
+	199	201
+	3	192	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	205
+	192	206
+	192	210
+	4	199	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	206
+	192	210
+	3	199	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	99
+	222	98
+	222	93
+	4	224	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	98
+	222	93
+	3	224	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	98
+	224	99
+	224	104
+	4	222	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	99
+	224	104
+	3	222	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	74
+	216	73
+	216	68
+	4	220	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	73
+	216	68
+	3	220	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	73
+	220	74
+	220	78
+	4	216	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	74
+	220	78
+	3	216	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	125
+	224	123
+	224	119
+	4	224	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	123
+	224	119
+	3	224	125	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	123
+	224	125
+	224	129
+	4	224	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	125
+	224	129
+	3	224	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	175
+	215	173
+	216	169
+	4	211	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	173
+	216	169
+	3	211	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	173
+	211	175
+	211	179
+	4	215	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	175
+	211	179
+	3	215	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	151
+	222	148
+	222	144
+	4	220	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	148
+	222	144
+	3	220	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	148
+	220	151
+	220	155
+	4	222	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	151
+	220	155
+	3	222	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	40
+	200	40
+	200	36
+	4	206	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	40
+	200	36
+	3	206	40	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	40
+	206	40
+	206	45
+	4	200	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	40
+	206	45
+	3	200	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	49
+	206	49
+	206	45
+	4	212	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	49
+	206	45
+	3	212	49	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	49
+	212	49
+	212	54
+	4	206	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	49
+	212	54
+	3	206	49	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	84
+	220	83
+	220	78
+	4	223	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	83
+	220	78
+	3	223	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	83
+	223	84
+	223	89
+	4	220	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	84
+	223	89
+	3	220	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	185
+	211	183
+	211	179
+	4	206	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	183
+	211	179
+	3	206	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	183
+	206	185
+	205	189
+	4	211	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	185
+	205	189
+	3	211	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	110
+	224	108
+	224	104
+	4	225	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	108
+	224	104
+	3	225	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	108
+	225	110
+	225	114
+	4	224	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	110
+	225	114
+	3	224	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	220
+	104	213
+	104	217
+	4	112	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	213
+	104	217
+	3	112	220	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	209
+	104	217
+	104	213
+	4	97	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	217
+	104	213
+	3	97	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	59
+	212	59
+	212	54
+	4	217	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	59
+	212	54
+	3	217	59	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	59
+	217	59
+	216	64
+	4	212	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	59
+	216	64
+	3	212	59	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	136
+	224	134
+	224	129
+	4	223	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	134
+	224	129
+	3	223	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	134
+	223	136
+	222	140
+	4	224	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	136
+	222	140
+	3	224	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	161
+	219	159
+	220	155
+	4	216	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	159
+	220	155
+	3	216	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	159
+	216	161
+	216	165
+	4	219	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	161
+	216	165
+	3	219	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	205
+	89	197
+	90	201
+	4	96	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	197
+	90	201
+	3	96	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	90	201
+	97	209
+	96	205
+	4	90	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	209
+	96	205
+	3	90	201	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	217
+	184	217
+	184	214
+	4	176	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	217
+	184	214
+	3	176	217	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	184	217
+	176	217
+	176	221
+	4	184	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	217
+	176	221
+	3	184	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	213
+	96	205
+	97	209
+	4	104	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	205
+	97	209
+	3	104	213	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	194
+	205	192
+	205	189
+	4	199	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	192
+	205	189
+	3	199	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	192
+	199	194
+	199	198
+	4	205	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	194
+	199	198
+	3	205	192	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	210
+	192	210
+	192	206
+	4	184	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	210
+	192	206
+	3	184	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	210
+	184	210
+	184	214
+	4	192	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	210
+	184	214
+	3	192	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	202
+	199	201
+	199	198
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	201
+	199	198
+	3	192	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	201
+	192	202
+	192	206
+	4	199	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	192	206
+	3	199	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	95
+	222	93
+	223	89
+	4	225	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	93
+	223	89
+	3	225	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	93
+	225	95
+	224	99
+	4	222	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	95
+	224	99
+	3	222	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	69
+	216	68
+	216	64
+	4	220	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	68
+	216	64
+	3	220	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	68
+	220	69
+	220	74
+	4	216	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	69
+	220	74
+	3	216	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	121
+	224	119
+	225	114
+	4	225	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	119
+	225	114
+	3	225	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	119
+	225	121
+	224	125
+	4	224	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	121
+	224	125
+	3	224	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	171
+	216	169
+	216	165
+	4	211	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	169
+	216	165
+	3	211	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	169
+	211	171
+	211	175
+	4	216	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	171
+	211	175
+	3	216	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	147
+	222	144
+	222	140
+	4	220	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	144
+	222	140
+	3	220	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	144
+	220	147
+	220	151
+	4	222	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	147
+	220	151
+	3	222	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	35
+	200	36
+	200	31
+	4	207	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	36
+	200	31
+	3	207	35	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	36
+	207	35
+	206	40
+	4	200	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	35
+	206	40
+	3	200	36	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	121	223
+	112	216
+	112	220
+	4	121	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	216
+	112	220
+	3	121	223	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	213
+	112	220
+	112	216
+	4	104	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	220
+	112	216
+	3	104	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	45
+	206	45
+	206	40
+	4	212	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	45
+	206	40
+	3	212	45	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	45
+	212	45
+	212	49
+	4	206	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	45
+	212	49
+	3	206	45	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	167	219
+	176	221
+	176	217
+	4	167	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	221
+	176	217
+	3	167	219	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	221
+	167	219
+	167	223
+	4	176	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	219
+	167	223
+	3	176	221	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	80
+	220	78
+	220	74
+	4	223	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	78
+	220	74
+	3	223	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	78
+	223	80
+	223	84
+	4	220	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	80
+	223	84
+	3	220	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	181
+	211	179
+	211	175
+	4	206	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	179
+	211	175
+	3	206	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	179
+	206	181
+	206	185
+	4	211	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	181
+	206	185
+	3	211	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	106
+	224	104
+	224	99
+	4	225	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	104
+	224	99
+	3	225	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	104
+	225	106
+	225	110
+	4	224	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	106
+	225	110
+	3	224	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	216
+	104	209
+	104	213
+	4	112	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	209
+	104	213
+	3	112	216	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	205
+	104	213
+	104	209
+	4	96	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	213
+	104	209
+	3	96	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	55
+	212	54
+	212	49
+	4	217	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	54
+	212	49
+	3	217	55	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	54
+	217	55
+	217	59
+	4	212	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	55
+	217	59
+	3	212	54	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	132
+	224	129
+	224	125
+	4	223	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	129
+	224	125
+	3	223	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	224	129
+	223	132
+	223	136
+	4	224	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	132
+	223	136
+	3	224	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	157
+	220	155
+	220	151
+	4	216	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	155
+	220	151
+	3	216	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	155
+	216	157
+	216	161
+	4	220	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	157
+	216	161
+	3	220	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	201
+	89	193
+	89	197
+	4	96	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	193
+	89	197
+	3	96	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	197
+	96	205
+	96	201
+	4	89	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	205
+	96	201
+	3	89	197	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	213
+	184	214
+	184	210
+	4	176	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	214
+	184	210
+	3	176	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	214
+	176	213
+	176	217
+	4	184	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	213
+	176	217
+	3	184	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	209
+	96	201
+	96	205
+	4	104	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	201
+	96	205
+	3	104	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	190
+	205	189
+	206	185
+	4	199	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	189
+	206	185
+	3	199	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	189
+	199	190
+	199	194
+	4	205	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	190
+	199	194
+	3	205	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	206
+	192	206
+	192	202
+	4	184	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	206
+	192	202
+	3	184	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	206
+	184	206
+	184	210
+	4	192	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	206
+	184	210
+	3	192	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	198
+	199	198
+	199	194
+	4	192	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	198
+	199	194
+	3	192	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	198
+	192	198
+	192	202
+	4	199	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	198
+	192	202
+	3	199	198	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	130	224
+	121	219
+	121	223
+	4	130	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	219
+	121	223
+	3	130	224	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	112	216
+	121	223
+	121	219
+	4	112	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	223
+	121	219
+	3	112	216	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	158	221
+	167	223
+	167	219
+	4	158	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	223
+	167	219
+	3	158	221	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	167	223
+	158	221
+	158	225
+	4	167	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	221
+	158	225
+	3	167	223	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	91
+	223	89
+	223	84
+	4	225	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	89
+	223	84
+	3	225	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	89
+	225	91
+	225	95
+	4	223	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	91
+	225	95
+	3	223	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	65
+	216	64
+	217	59
+	4	221	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	64
+	217	59
+	3	221	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	64
+	221	65
+	220	69
+	4	216	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	65
+	220	69
+	3	216	64	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	117
+	225	114
+	225	110
+	4	225	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	114
+	225	110
+	3	225	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	114
+	225	117
+	225	121
+	4	225	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	117
+	225	121
+	3	225	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	167
+	216	165
+	216	161
+	4	212	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	165
+	216	161
+	3	212	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	165
+	212	167
+	211	171
+	4	216	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	167
+	211	171
+	3	216	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	142
+	222	140
+	223	136
+	4	220	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	140
+	223	136
+	3	220	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	222	140
+	220	142
+	220	147
+	4	222	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	142
+	220	147
+	3	222	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	31
+	200	31
+	200	26
+	4	207	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	31
+	200	26
+	3	207	31	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	31
+	207	31
+	207	35
+	4	200	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	31
+	207	35
+	3	200	31	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	139	225
+	130	221
+	130	224
+	4	139	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	221
+	130	224
+	3	139	225	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	121	219
+	130	224
+	130	221
+	4	121	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	224
+	130	221
+	3	121	219	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	222
+	158	225
+	158	221
+	4	148	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	225
+	158	221
+	3	148	222	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	158	225
+	148	222
+	148	225
+	4	158	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	222
+	148	225
+	3	158	225	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	219
+	112	213
+	112	216
+	4	121	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	213
+	112	216
+	3	121	219	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	209
+	112	216
+	112	213
+	4	104	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	216
+	112	213
+	3	104	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	40
+	206	40
+	207	35
+	4	212	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	40
+	207	35
+	3	212	40	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	40
+	212	40
+	212	45
+	4	206	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	40
+	212	45
+	3	206	40	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	167	215
+	176	217
+	176	213
+	4	167	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	217
+	176	213
+	3	167	215	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	217
+	167	215
+	167	219
+	4	176	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	215
+	167	219
+	3	176	217	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	148	225
+	139	222
+	139	225
+	4	148	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	222
+	139	225
+	3	148	225	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	130	221
+	139	225
+	139	222
+	4	130	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	225
+	139	222
+	3	130	221	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	139	222
+	148	225
+	148	222
+	4	139	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	225
+	148	222
+	3	139	222	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	75
+	220	74
+	220	69
+	4	223	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	74
+	220	69
+	3	223	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	74
+	223	75
+	223	80
+	4	220	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	75
+	223	80
+	3	220	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	177
+	211	175
+	211	171
+	4	206	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	175
+	211	171
+	3	206	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	175
+	206	177
+	206	181
+	4	211	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	177
+	206	181
+	3	211	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	101
+	224	99
+	225	95
+	4	226	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	99
+	225	95
+	3	226	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	99
+	226	101
+	225	106
+	4	224	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	101
+	225	106
+	3	224	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	213
+	103	205
+	104	209
+	4	112	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	205
+	104	209
+	3	112	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	201
+	104	209
+	103	205
+	4	96	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	209
+	103	205
+	3	96	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	50
+	212	49
+	212	45
+	4	217	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	49
+	212	45
+	3	217	50	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	49
+	217	50
+	217	55
+	4	212	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	50
+	217	55
+	3	212	49	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	127
+	224	125
+	225	121
+	4	223	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	125
+	225	121
+	3	223	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	125
+	223	127
+	223	132
+	4	224	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	127
+	223	132
+	3	224	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	153
+	220	151
+	220	147
+	4	217	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	151
+	220	147
+	3	217	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	151
+	217	153
+	216	157
+	4	220	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	153
+	216	157
+	3	220	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	198
+	88	189
+	89	193
+	4	95	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	189
+	89	193
+	3	95	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	193
+	96	201
+	95	198
+	4	89	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	201
+	95	198
+	3	89	193	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	209
+	184	210
+	184	206
+	4	176	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	210
+	184	206
+	3	176	209	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	210
+	176	209
+	176	213
+	4	184	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	209
+	176	213
+	3	184	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	205
+	95	198
+	96	201
+	4	103	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	198
+	96	201
+	3	103	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	186
+	206	185
+	206	181
+	4	199	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	185
+	206	181
+	3	199	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	185
+	199	186
+	199	190
+	4	206	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	186
+	199	190
+	3	206	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	202
+	192	202
+	192	198
+	4	184	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	192	198
+	3	184	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	202
+	184	202
+	184	206
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	202
+	184	206
+	3	192	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	194
+	199	194
+	199	190
+	4	192	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	194
+	199	190
+	3	192	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	194
+	192	194
+	192	198
+	4	199	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	194
+	192	198
+	3	199	194	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	130	221
+	120	215
+	121	219
+	4	130	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	215
+	121	219
+	3	130	221	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	112	213
+	121	219
+	120	215
+	4	112	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	219
+	120	215
+	3	112	213	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	158	217
+	167	219
+	167	215
+	4	158	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	219
+	167	215
+	3	158	217	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	167	219
+	158	217
+	158	221
+	4	167	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	217
+	158	221
+	3	167	219	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	86
+	223	84
+	223	80
+	4	225	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	84
+	223	80
+	3	225	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	84
+	225	86
+	225	91
+	4	223	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	86
+	225	91
+	3	223	84	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	60
+	217	59
+	217	55
+	4	221	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	59
+	217	55
+	3	221	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	59
+	221	60
+	221	65
+	4	217	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	60
+	221	65
+	3	217	59	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	112
+	225	110
+	225	106
+	4	225	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	110
+	225	106
+	3	225	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	110
+	225	112
+	225	117
+	4	225	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	112
+	225	117
+	3	225	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	163
+	216	161
+	216	157
+	4	212	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	161
+	216	157
+	3	212	163	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	161
+	212	163
+	212	167
+	4	216	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	163
+	212	167
+	3	216	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	138
+	223	136
+	223	132
+	4	221	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	136
+	223	132
+	3	221	138	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	223	136
+	221	138
+	220	142
+	4	223	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	138
+	220	142
+	3	223	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	26
+	200	26
+	200	21
+	4	207	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	26
+	200	21
+	3	207	26	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	26
+	207	26
+	207	31
+	4	200	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	26
+	207	31
+	3	200	26	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	222
+	129	217
+	130	221
+	4	139	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	217
+	130	221
+	3	139	222	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	215
+	130	221
+	129	217
+	4	120	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	221
+	129	217
+	3	120	215	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	218
+	158	221
+	158	217
+	4	148	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	221
+	158	217
+	3	148	218	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	158	221
+	148	218
+	148	222
+	4	158	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	218
+	148	222
+	3	158	221	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	215
+	111	209
+	112	213
+	4	120	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	209
+	112	213
+	3	120	215	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	205
+	112	213
+	111	209
+	4	103	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	213
+	111	209
+	3	103	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	35
+	207	35
+	207	31
+	4	213	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	35
+	207	31
+	3	213	35	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	35
+	213	35
+	212	40
+	4	207	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	35
+	212	40
+	3	207	35	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	212
+	176	213
+	176	209
+	4	167	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	213
+	176	209
+	3	167	212	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	213
+	167	212
+	167	215
+	4	176	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	212
+	167	215
+	3	176	213	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	148	222
+	139	218
+	139	222
+	4	148	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	218
+	139	222
+	3	148	222	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	129	217
+	139	222
+	139	218
+	4	129	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	222
+	139	218
+	3	129	217	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	139	218
+	148	222
+	148	218
+	4	139	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	222
+	148	218
+	3	139	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	71
+	220	69
+	221	65
+	4	224	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	69
+	221	65
+	3	224	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	69
+	224	71
+	223	75
+	4	220	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	71
+	223	75
+	3	220	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	173
+	211	171
+	212	167
+	4	206	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	171
+	212	167
+	3	206	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	171
+	206	173
+	206	177
+	4	211	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	173
+	206	177
+	3	211	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	97
+	225	95
+	225	91
+	4	226	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	95
+	225	91
+	3	226	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	95
+	226	97
+	226	101
+	4	225	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	97
+	226	101
+	3	225	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	209
+	103	202
+	103	205
+	4	111	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	202
+	103	205
+	3	111	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	198
+	103	205
+	103	202
+	4	95	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	205
+	103	202
+	3	95	198	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	45
+	212	45
+	212	40
+	4	217	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	45
+	212	40
+	3	217	45	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	45
+	217	45
+	217	50
+	4	212	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	45
+	217	50
+	3	212	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	123
+	225	121
+	225	117
+	4	223	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	121
+	225	117
+	3	223	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	121
+	223	123
+	223	127
+	4	225	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	123
+	223	127
+	3	225	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	217	149
+	220	147
+	220	142
+	4	217	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	147
+	220	142
+	3	217	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	220	147
+	217	149
+	217	153
+	4	220	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	149
+	217	153
+	3	220	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	194
+	88	185
+	88	189
+	4	95	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	185
+	88	189
+	3	95	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	189
+	95	198
+	95	194
+	4	88	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	198
+	95	194
+	3	88	189	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	205
+	184	206
+	184	202
+	4	176	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	206
+	184	202
+	3	176	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	206
+	176	205
+	176	209
+	4	184	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	205
+	176	209
+	3	184	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	202
+	95	194
+	95	198
+	4	103	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	194
+	95	198
+	3	103	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	182
+	206	181
+	206	177
+	4	200	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	181
+	206	177
+	3	200	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	181
+	200	182
+	199	186
+	4	206	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	182
+	199	186
+	3	206	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	198
+	192	198
+	192	194
+	4	184	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	198
+	192	194
+	3	184	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	198
+	184	198
+	184	202
+	4	192	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	198
+	184	202
+	3	192	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	190
+	199	190
+	199	186
+	4	192	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	190
+	199	186
+	3	192	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	190
+	192	190
+	192	194
+	4	199	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	190
+	192	194
+	3	199	190	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	217
+	120	211
+	120	215
+	4	129	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	211
+	120	215
+	3	129	217	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	209
+	120	215
+	120	211
+	4	111	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	215
+	120	211
+	3	111	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	213
+	167	215
+	167	212
+	4	158	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	215
+	167	212
+	3	158	213	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	215
+	158	213
+	158	217
+	4	167	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	213
+	158	217
+	3	167	215	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	82
+	223	80
+	223	75
+	4	225	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	80
+	223	75
+	3	225	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	80
+	225	82
+	225	86
+	4	223	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	82
+	225	86
+	3	223	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	56
+	217	55
+	217	50
+	4	221	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	55
+	217	50
+	3	221	56	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	55
+	221	56
+	221	60
+	4	217	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	56
+	221	60
+	3	217	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	108
+	225	106
+	226	101
+	4	225	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	106
+	226	101
+	3	225	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	106
+	225	108
+	225	112
+	4	225	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	108
+	225	112
+	3	225	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	159
+	216	157
+	217	153
+	4	212	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	157
+	217	153
+	3	212	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	216	157
+	212	159
+	212	163
+	4	216	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	159
+	212	163
+	3	216	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	134
+	223	132
+	223	127
+	4	221	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	132
+	223	127
+	3	221	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	223	132
+	221	134
+	221	138
+	4	223	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	134
+	221	138
+	3	223	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	21
+	200	21
+	200	17
+	4	207	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	21
+	200	17
+	3	207	21	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	21
+	207	21
+	207	26
+	4	200	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	21
+	207	26
+	3	200	21	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	218
+	129	213
+	129	217
+	4	139	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	213
+	129	217
+	3	139	218	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	211
+	129	217
+	129	213
+	4	120	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	217
+	129	213
+	3	120	211	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	214
+	158	217
+	158	213
+	4	148	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	217
+	158	213
+	3	148	214	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	158	217
+	148	214
+	148	218
+	4	158	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	214
+	148	218
+	3	158	217	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	211
+	111	205
+	111	209
+	4	120	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	205
+	111	209
+	3	120	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	202
+	111	209
+	111	205
+	4	103	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	209
+	111	205
+	3	103	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	30
+	207	31
+	207	26
+	4	213	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	31
+	207	26
+	3	213	30	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	31
+	213	30
+	213	35
+	4	207	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	30
+	213	35
+	3	207	31	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	208
+	176	209
+	176	205
+	4	167	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	209
+	176	205
+	3	167	208	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	209
+	167	208
+	167	212
+	4	176	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	208
+	167	212
+	3	176	209	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	148	218
+	139	214
+	139	218
+	4	148	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	214
+	139	218
+	3	148	218	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	129	213
+	139	218
+	139	214
+	4	129	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	218
+	139	214
+	3	129	213	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	139	214
+	148	218
+	148	214
+	4	139	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	218
+	148	214
+	3	139	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	66
+	221	65
+	221	60
+	4	224	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	65
+	221	60
+	3	224	66	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	65
+	224	66
+	224	71
+	4	221	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	66
+	224	71
+	3	221	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	206	168
+	212	167
+	212	163
+	4	206	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	167
+	212	163
+	3	206	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	167
+	206	168
+	206	173
+	4	212	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	168
+	206	173
+	3	212	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	92
+	225	91
+	225	86
+	4	226	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	91
+	225	86
+	3	226	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	91
+	226	92
+	226	97
+	4	225	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	92
+	226	97
+	3	225	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	205
+	103	198
+	103	202
+	4	111	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	198
+	103	202
+	3	111	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	194
+	103	202
+	103	198
+	4	95	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	202
+	103	198
+	3	95	194	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	218	40
+	212	40
+	213	35
+	4	218	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	40
+	213	35
+	3	218	40	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	40
+	218	40
+	217	45
+	4	212	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	40
+	217	45
+	3	212	40	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	119
+	225	117
+	225	112
+	4	224	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	117
+	225	112
+	3	224	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	117
+	224	119
+	223	123
+	4	225	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	119
+	223	123
+	3	225	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	144
+	220	142
+	221	138
+	4	217	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	142
+	221	138
+	3	217	144	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	220	142
+	217	144
+	217	149
+	4	220	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	144
+	217	149
+	3	220	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	190
+	87	181
+	88	185
+	4	95	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	181
+	88	185
+	3	95	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	185
+	95	194
+	95	190
+	4	88	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	194
+	95	190
+	3	88	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	201
+	184	202
+	184	198
+	4	176	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	202
+	184	198
+	3	176	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	202
+	176	201
+	176	205
+	4	184	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	201
+	176	205
+	3	184	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	198
+	95	190
+	95	194
+	4	103	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	190
+	95	194
+	3	103	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	178
+	206	177
+	206	173
+	4	200	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	177
+	206	173
+	3	200	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	177
+	200	178
+	200	182
+	4	206	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	178
+	200	182
+	3	206	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	194
+	192	194
+	192	190
+	4	184	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	194
+	192	190
+	3	184	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	194
+	184	194
+	184	198
+	4	192	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	194
+	184	198
+	3	192	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	186
+	199	186
+	200	182
+	4	192	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	186
+	200	182
+	3	192	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	186
+	192	186
+	192	190
+	4	199	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	186
+	192	190
+	3	199	186	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	213
+	120	207
+	120	211
+	4	129	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	207
+	120	211
+	3	129	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	205
+	120	211
+	120	207
+	4	111	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	211
+	120	207
+	3	111	205	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	209
+	167	212
+	167	208
+	4	157	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	212
+	167	208
+	3	157	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	212
+	157	209
+	158	213
+	4	167	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	209
+	158	213
+	3	167	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	77
+	223	75
+	224	71
+	4	226	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	75
+	224	71
+	3	226	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	75
+	226	77
+	225	82
+	4	223	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	77
+	225	82
+	3	223	75	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	51
+	217	50
+	217	45
+	4	221	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	50
+	217	45
+	3	221	51	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	50
+	221	51
+	221	56
+	4	217	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	51
+	221	56
+	3	217	50	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	103
+	226	101
+	226	97
+	4	226	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	101
+	226	97
+	3	226	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	101
+	226	103
+	225	108
+	4	226	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	103
+	225	108
+	3	226	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	212	155
+	217	153
+	217	149
+	4	212	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	153
+	217	149
+	3	212	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	153
+	212	155
+	212	159
+	4	217	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	155
+	212	159
+	3	217	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	130
+	223	127
+	223	123
+	4	221	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	127
+	223	123
+	3	221	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	127
+	221	130
+	221	134
+	4	223	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	130
+	221	134
+	3	223	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	16
+	200	17
+	201	12
+	4	207	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	17
+	201	12
+	3	207	16	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	17
+	207	16
+	207	21
+	4	200	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	16
+	207	21
+	3	200	17	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	214
+	129	209
+	129	213
+	4	139	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	209
+	129	213
+	3	139	214	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	207
+	129	213
+	129	209
+	4	120	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	213
+	129	209
+	3	120	207	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	210
+	158	213
+	157	209
+	4	148	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	213
+	157	209
+	3	148	210	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	158	213
+	148	210
+	148	214
+	4	158	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	210
+	148	214
+	3	158	213	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	207
+	111	201
+	111	205
+	4	120	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	201
+	111	205
+	3	120	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	198
+	111	205
+	111	201
+	4	103	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	205
+	111	201
+	3	103	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	26
+	207	26
+	207	21
+	4	213	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	26
+	207	21
+	3	213	26	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	26
+	213	26
+	213	30
+	4	207	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	26
+	213	30
+	3	207	26	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	204
+	176	205
+	176	201
+	4	167	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	205
+	176	201
+	3	167	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	205
+	167	204
+	167	208
+	4	176	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	204
+	167	208
+	3	176	205	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	214
+	138	210
+	139	214
+	4	148	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	210
+	139	214
+	3	148	214	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	209
+	139	214
+	138	210
+	4	129	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	214
+	138	210
+	3	129	209	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	210
+	148	214
+	148	210
+	4	138	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	214
+	148	210
+	3	138	210	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	61
+	221	60
+	221	56
+	4	224	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	60
+	221	56
+	3	224	61	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	60
+	224	61
+	224	66
+	4	221	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	61
+	224	66
+	3	221	60	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	164
+	212	163
+	212	159
+	4	207	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	163
+	212	159
+	3	207	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	163
+	207	164
+	206	168
+	4	212	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	164
+	206	168
+	3	212	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	88
+	225	86
+	225	82
+	4	226	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	86
+	225	82
+	3	226	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	86
+	226	88
+	226	92
+	4	225	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	88
+	226	92
+	3	225	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	111	201
+	102	194
+	103	198
+	4	111	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	194
+	103	198
+	3	111	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	190
+	103	198
+	102	194
+	4	95	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	198
+	102	194
+	3	95	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	36
+	213	35
+	213	30
+	4	218	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	35
+	213	30
+	3	218	36	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	35
+	218	36
+	218	40
+	4	213	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	36
+	218	40
+	3	213	35	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	114
+	225	112
+	225	108
+	4	224	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	112
+	225	108
+	3	224	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	112
+	224	114
+	224	119
+	4	225	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	114
+	224	119
+	3	225	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	140
+	221	138
+	221	134
+	4	217	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	138
+	221	134
+	3	217	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	221	138
+	217	140
+	217	144
+	4	221	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	140
+	217	144
+	3	221	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	186
+	87	177
+	87	181
+	4	94	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	177
+	87	181
+	3	94	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	181
+	95	190
+	94	186
+	4	87	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	190
+	94	186
+	3	87	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	197
+	184	198
+	184	194
+	4	176	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	198
+	184	194
+	3	176	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	198
+	176	197
+	176	201
+	4	184	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	197
+	176	201
+	3	184	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	194
+	94	186
+	95	190
+	4	102	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	186
+	95	190
+	3	102	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	174
+	206	173
+	206	168
+	4	200	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	173
+	206	168
+	3	200	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	173
+	200	174
+	200	178
+	4	206	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	174
+	200	178
+	3	206	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	190
+	192	190
+	192	186
+	4	184	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	190
+	192	186
+	3	184	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	190
+	184	190
+	184	194
+	4	192	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	190
+	184	194
+	3	192	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	182
+	200	182
+	200	178
+	4	192	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	182
+	200	178
+	3	192	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	182
+	192	182
+	192	186
+	4	200	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	182
+	192	186
+	3	200	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	209
+	120	204
+	120	207
+	4	129	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	204
+	120	207
+	3	129	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	201
+	120	207
+	120	204
+	4	111	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	207
+	120	204
+	3	111	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	206
+	167	208
+	167	204
+	4	157	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	208
+	167	204
+	3	157	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	208
+	157	206
+	157	209
+	4	167	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	206
+	157	209
+	3	167	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	72
+	224	71
+	224	66
+	4	226	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	71
+	224	66
+	3	226	72	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	71
+	226	72
+	226	77
+	4	224	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	72
+	226	77
+	3	224	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	46
+	217	45
+	218	40
+	4	222	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	45
+	218	40
+	3	222	46	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	45
+	222	46
+	221	51
+	4	217	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	46
+	221	51
+	3	217	45	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	99
+	226	97
+	226	92
+	4	226	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	97
+	226	92
+	3	226	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	97
+	226	99
+	226	103
+	4	226	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	99
+	226	103
+	3	226	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	150
+	217	149
+	217	144
+	4	212	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	149
+	217	144
+	3	212	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	217	149
+	212	150
+	212	155
+	4	217	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	150
+	212	155
+	3	217	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	125
+	223	123
+	224	119
+	4	221	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	123
+	224	119
+	3	221	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	123
+	221	125
+	221	130
+	4	223	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	125
+	221	130
+	3	223	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	210
+	129	205
+	129	209
+	4	138	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	205
+	129	209
+	3	138	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	204
+	129	209
+	129	205
+	4	120	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	209
+	129	205
+	3	120	204	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	206
+	157	209
+	157	206
+	4	148	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	209
+	157	206
+	3	148	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	209
+	148	206
+	148	210
+	4	157	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	206
+	148	210
+	3	157	209	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	204
+	110	197
+	111	201
+	4	120	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	197
+	111	201
+	3	120	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	194
+	111	201
+	110	197
+	4	102	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	201
+	110	197
+	3	102	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	21
+	207	21
+	207	16
+	4	213	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	21
+	207	16
+	3	213	21	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	21
+	213	21
+	213	26
+	4	207	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	21
+	213	26
+	3	207	21	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	200
+	176	201
+	176	197
+	4	167	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	201
+	176	197
+	3	167	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	201
+	167	200
+	167	204
+	4	176	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	200
+	167	204
+	3	176	201	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	148	210
+	138	206
+	138	210
+	4	148	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	206
+	138	210
+	3	148	210	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	205
+	138	210
+	138	206
+	4	129	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	210
+	138	206
+	3	129	205	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	206
+	148	210
+	148	206
+	4	138	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	210
+	148	206
+	3	138	206	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	57
+	221	56
+	221	51
+	4	225	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	56
+	221	51
+	3	225	57	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	56
+	225	57
+	224	61
+	4	221	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	57
+	224	61
+	3	221	56	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	160
+	212	159
+	212	155
+	4	207	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	159
+	212	155
+	3	207	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	159
+	207	160
+	207	164
+	4	212	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	160
+	207	164
+	3	212	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	83
+	225	82
+	226	77
+	4	227	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	82
+	226	77
+	3	227	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	82
+	227	83
+	226	88
+	4	225	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	83
+	226	88
+	3	225	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	197
+	102	190
+	102	194
+	4	110	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	190
+	102	194
+	3	110	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	186
+	102	194
+	102	190
+	4	94	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	194
+	102	190
+	3	94	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	31
+	213	30
+	213	26
+	4	218	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	30
+	213	26
+	3	218	31	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	30
+	218	31
+	218	36
+	4	213	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	31
+	218	36
+	3	213	30	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	224	110
+	225	108
+	226	103
+	4	224	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	108
+	226	103
+	3	224	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	108
+	224	110
+	224	114
+	4	225	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	110
+	224	114
+	3	225	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	136
+	221	134
+	221	130
+	4	217	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	134
+	221	130
+	3	217	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	134
+	217	136
+	217	140
+	4	221	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	136
+	217	140
+	3	221	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	94	182
+	87	173
+	87	177
+	4	94	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	173
+	87	177
+	3	94	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	177
+	94	186
+	94	182
+	4	87	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	186
+	94	182
+	3	87	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	193
+	184	194
+	184	190
+	4	176	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	194
+	184	190
+	3	176	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	194
+	176	193
+	176	197
+	4	184	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	193
+	176	197
+	3	184	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	190
+	94	182
+	94	186
+	4	102	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	182
+	94	186
+	3	102	190	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	169
+	206	168
+	207	164
+	4	200	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	168
+	207	164
+	3	200	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	168
+	200	169
+	200	174
+	4	206	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	169
+	200	174
+	3	206	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	186
+	192	186
+	192	182
+	4	184	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	186
+	192	182
+	3	184	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	186
+	184	186
+	184	190
+	4	192	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	186
+	184	190
+	3	192	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	178
+	200	178
+	200	174
+	4	193	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	178
+	200	174
+	3	193	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	178
+	193	178
+	192	182
+	4	200	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	178
+	192	182
+	3	200	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	205
+	119	200
+	120	204
+	4	129	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	200
+	120	204
+	3	129	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	197
+	120	204
+	119	200
+	4	110	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	204
+	119	200
+	3	110	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	202
+	167	204
+	167	200
+	4	157	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	204
+	167	200
+	3	157	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	204
+	157	202
+	157	206
+	4	167	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	202
+	157	206
+	3	167	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	68
+	224	66
+	224	61
+	4	226	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	66
+	224	61
+	3	226	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	66
+	226	68
+	226	72
+	4	224	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	68
+	226	72
+	3	224	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	41
+	218	40
+	218	36
+	4	222	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	40
+	218	36
+	3	222	41	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	40
+	222	41
+	222	46
+	4	218	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	41
+	222	46
+	3	218	40	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	94
+	226	92
+	226	88
+	4	226	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	92
+	226	88
+	3	226	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	92
+	226	94
+	226	99
+	4	226	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	94
+	226	99
+	3	226	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	146
+	217	144
+	217	140
+	4	213	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	144
+	217	140
+	3	213	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	144
+	213	146
+	212	150
+	4	217	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	146
+	212	150
+	3	217	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	121
+	224	119
+	224	114
+	4	222	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	119
+	224	114
+	3	222	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	119
+	222	121
+	221	125
+	4	224	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	121
+	221	125
+	3	224	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	206
+	129	201
+	129	205
+	4	138	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	201
+	129	205
+	3	138	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	200
+	129	205
+	129	201
+	4	119	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	205
+	129	201
+	3	119	200	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	202
+	157	206
+	157	202
+	4	148	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	206
+	157	202
+	3	148	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	206
+	148	202
+	148	206
+	4	157	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	202
+	148	206
+	3	157	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	200
+	110	193
+	110	197
+	4	119	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	193
+	110	197
+	3	119	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	102	190
+	110	197
+	110	193
+	4	102	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	197
+	110	193
+	3	102	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	196
+	176	197
+	176	193
+	4	167	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	197
+	176	193
+	3	167	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	197
+	167	196
+	167	200
+	4	176	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	196
+	167	200
+	3	176	197	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	206
+	138	202
+	138	206
+	4	148	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	202
+	138	206
+	3	148	206	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	201
+	138	206
+	138	202
+	4	129	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	206
+	138	202
+	3	129	201	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	202
+	148	206
+	148	202
+	4	138	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	206
+	148	202
+	3	138	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	52
+	221	51
+	222	46
+	4	225	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	51
+	222	46
+	3	225	52	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	51
+	225	52
+	225	57
+	4	221	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	52
+	225	57
+	3	221	51	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	156
+	212	155
+	212	150
+	4	207	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	155
+	212	150
+	3	207	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	155
+	207	156
+	207	160
+	4	212	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	156
+	207	160
+	3	212	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	79
+	226	77
+	226	72
+	4	227	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	77
+	226	72
+	3	227	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	77
+	227	79
+	227	83
+	4	226	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	79
+	227	83
+	3	226	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	193
+	101	186
+	102	190
+	4	110	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	186
+	102	190
+	3	110	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	182
+	102	190
+	101	186
+	4	94	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	190
+	101	186
+	3	94	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	26
+	213	26
+	213	21
+	4	218	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	26
+	213	21
+	3	218	26	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	26
+	218	26
+	218	31
+	4	213	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	26
+	218	31
+	3	213	26	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	105
+	226	103
+	226	99
+	4	225	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	103
+	226	99
+	3	225	105	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	226	103
+	225	105
+	224	110
+	4	226	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	105
+	224	110
+	3	226	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	131
+	221	130
+	221	125
+	4	218	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	130
+	221	125
+	3	218	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	130
+	218	131
+	217	136
+	4	221	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	131
+	217	136
+	3	221	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	178
+	86	169
+	87	173
+	4	93	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	169
+	87	173
+	3	93	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	173
+	94	182
+	93	178
+	4	87	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	182
+	93	178
+	3	87	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	189
+	184	190
+	184	186
+	4	176	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	190
+	184	186
+	3	176	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	190
+	176	189
+	176	193
+	4	184	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	189
+	176	193
+	3	184	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	186
+	93	178
+	94	182
+	4	101	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	178
+	94	182
+	3	101	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	165
+	207	164
+	207	160
+	4	200	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	164
+	207	160
+	3	200	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	164
+	200	165
+	200	169
+	4	207	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	165
+	200	169
+	3	207	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	182
+	192	182
+	193	178
+	4	184	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	182
+	193	178
+	3	184	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	182
+	184	182
+	184	186
+	4	192	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	182
+	184	186
+	3	192	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	174
+	200	174
+	200	169
+	4	193	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	174
+	200	169
+	3	193	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	174
+	193	174
+	193	178
+	4	200	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	174
+	193	178
+	3	200	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	201
+	119	196
+	119	200
+	4	129	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	196
+	119	200
+	3	129	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	193
+	119	200
+	119	196
+	4	110	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	200
+	119	196
+	3	110	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	198
+	167	200
+	167	196
+	4	157	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	200
+	167	196
+	3	157	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	200
+	157	198
+	157	202
+	4	167	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	198
+	157	202
+	3	167	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	63
+	224	61
+	225	57
+	4	227	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	61
+	225	57
+	3	227	63	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	61
+	227	63
+	226	68
+	4	224	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	63
+	226	68
+	3	224	61	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	36
+	218	36
+	218	31
+	4	222	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	36
+	218	31
+	3	222	36	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	218	36
+	222	36
+	222	41
+	4	218	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	36
+	222	41
+	3	218	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	90
+	226	88
+	227	83
+	4	226	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	88
+	227	83
+	3	226	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	88
+	226	90
+	226	94
+	4	226	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	90
+	226	94
+	3	226	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	142
+	217	140
+	217	136
+	4	213	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	140
+	217	136
+	3	213	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	140
+	213	142
+	213	146
+	4	217	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	142
+	213	146
+	3	217	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	116
+	224	114
+	224	110
+	4	222	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	114
+	224	110
+	3	222	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	114
+	222	116
+	222	121
+	4	224	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	116
+	222	121
+	3	224	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	202
+	128	197
+	129	201
+	4	138	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	197
+	129	201
+	3	138	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	196
+	129	201
+	128	197
+	4	119	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	201
+	128	197
+	3	119	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	198
+	157	202
+	157	198
+	4	148	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	202
+	157	198
+	3	148	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	202
+	148	198
+	148	202
+	4	157	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	198
+	148	202
+	3	157	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	196
+	110	189
+	110	193
+	4	119	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	189
+	110	193
+	3	119	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	186
+	110	193
+	110	189
+	4	101	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	193
+	110	189
+	3	101	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	192
+	176	193
+	176	189
+	4	167	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	193
+	176	189
+	3	167	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	193
+	167	192
+	167	196
+	4	176	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	192
+	167	196
+	3	176	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	202
+	138	198
+	138	202
+	4	148	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	198
+	138	202
+	3	148	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	197
+	138	202
+	138	198
+	4	128	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	202
+	138	198
+	3	128	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	198
+	148	202
+	148	198
+	4	138	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	202
+	148	198
+	3	138	198	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	47
+	222	46
+	222	41
+	4	225	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	46
+	222	41
+	3	225	47	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	222	46
+	225	47
+	225	52
+	4	222	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	47
+	225	52
+	3	222	46	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	152
+	212	150
+	213	146
+	4	207	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	150
+	213	146
+	3	207	152	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	212	150
+	207	152
+	207	156
+	4	212	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	152
+	207	156
+	3	212	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	74
+	226	72
+	226	68
+	4	227	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	72
+	226	68
+	3	227	74	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	72
+	227	74
+	227	79
+	4	226	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	74
+	227	79
+	3	226	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	189
+	101	182
+	101	186
+	4	110	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	182
+	101	186
+	3	110	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	93	178
+	101	186
+	101	182
+	4	93	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	186
+	101	182
+	3	93	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	101
+	226	99
+	226	94
+	4	225	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	99
+	226	94
+	3	225	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	99
+	225	101
+	225	105
+	4	226	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	101
+	225	105
+	3	226	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	127
+	221	125
+	222	121
+	4	218	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	125
+	222	121
+	3	218	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	125
+	218	127
+	218	131
+	4	221	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	127
+	218	131
+	3	221	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	173
+	86	165
+	86	169
+	4	93	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	165
+	86	169
+	3	93	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	169
+	93	178
+	93	173
+	4	86	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	178
+	93	173
+	3	86	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	185
+	184	186
+	184	182
+	4	176	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	186
+	184	182
+	3	176	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	186
+	176	185
+	176	189
+	4	184	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	185
+	176	189
+	3	184	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	182
+	93	173
+	93	178
+	4	101	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	173
+	93	178
+	3	101	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	161
+	207	160
+	207	156
+	4	200	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	160
+	207	156
+	3	200	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	207	160
+	200	161
+	200	165
+	4	207	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	161
+	200	165
+	3	207	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	178
+	193	178
+	193	174
+	4	185	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	178
+	193	174
+	3	185	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	178
+	185	178
+	184	182
+	4	193	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	178
+	184	182
+	3	193	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	170
+	200	169
+	200	165
+	4	193	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	169
+	200	165
+	3	193	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	169
+	193	170
+	193	174
+	4	200	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	170
+	193	174
+	3	200	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	197
+	119	192
+	119	196
+	4	128	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	192
+	119	196
+	3	128	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	189
+	119	196
+	119	192
+	4	110	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	196
+	119	192
+	3	110	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	194
+	167	196
+	167	192
+	4	157	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	196
+	167	192
+	3	157	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	196
+	157	194
+	157	198
+	4	167	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	194
+	157	198
+	3	167	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	58
+	225	57
+	225	52
+	4	227	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	57
+	225	52
+	3	227	58	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	57
+	227	58
+	227	63
+	4	225	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	58
+	227	63
+	3	225	57	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	31
+	218	31
+	218	26
+	4	222	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	31
+	218	26
+	3	222	31	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	218	31
+	222	31
+	222	36
+	4	218	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	31
+	222	36
+	3	218	31	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	85
+	227	83
+	227	79
+	4	227	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	83
+	227	79
+	3	227	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	83
+	227	85
+	226	90
+	4	227	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	85
+	226	90
+	3	227	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	137
+	217	136
+	218	131
+	4	213	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	136
+	218	131
+	3	213	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	136
+	213	137
+	213	142
+	4	217	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	137
+	213	142
+	3	217	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	112
+	224	110
+	225	105
+	4	222	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	110
+	225	105
+	3	222	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	224	110
+	222	112
+	222	116
+	4	224	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	112
+	222	116
+	3	224	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	198
+	128	193
+	128	197
+	4	138	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	193
+	128	197
+	3	138	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	192
+	128	197
+	128	193
+	4	119	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	197
+	128	193
+	3	119	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	194
+	157	198
+	157	194
+	4	147	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	198
+	157	194
+	3	147	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	198
+	147	194
+	148	198
+	4	157	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	194
+	148	198
+	3	157	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	192
+	109	185
+	110	189
+	4	119	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	185
+	110	189
+	3	119	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	182
+	110	189
+	109	185
+	4	101	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	189
+	109	185
+	3	101	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	188
+	176	189
+	176	185
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	189
+	176	185
+	3	167	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	189
+	167	188
+	167	192
+	4	176	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	167	192
+	3	176	189	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	198
+	138	194
+	138	198
+	4	148	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	194
+	138	198
+	3	148	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	193
+	138	198
+	138	194
+	4	128	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	198
+	138	194
+	3	128	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	194
+	148	198
+	147	194
+	4	138	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	198
+	147	194
+	3	138	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	42
+	222	41
+	222	36
+	4	225	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	41
+	222	36
+	3	225	42	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	41
+	225	42
+	225	47
+	4	222	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	42
+	225	47
+	3	222	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	147
+	213	146
+	213	142
+	4	207	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	146
+	213	142
+	3	207	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	146
+	207	147
+	207	152
+	4	213	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	147
+	207	152
+	3	213	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	69
+	226	68
+	227	63
+	4	228	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	68
+	227	63
+	3	228	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	68
+	228	69
+	227	74
+	4	226	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	69
+	227	74
+	3	226	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	185
+	101	177
+	101	182
+	4	109	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	177
+	101	182
+	3	109	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	173
+	101	182
+	101	177
+	4	93	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	182
+	101	177
+	3	93	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	96
+	226	94
+	226	90
+	4	225	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	94
+	226	90
+	3	225	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	94
+	225	96
+	225	101
+	4	226	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	96
+	225	101
+	3	226	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	123
+	222	121
+	222	116
+	4	218	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	121
+	222	116
+	3	218	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	121
+	218	123
+	218	127
+	4	222	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	123
+	218	127
+	3	222	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	169
+	85	160
+	86	165
+	4	93	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	160
+	86	165
+	3	93	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	86	165
+	93	173
+	93	169
+	4	86	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	173
+	93	169
+	3	86	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	181
+	184	182
+	185	178
+	4	176	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	182
+	185	178
+	3	176	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	182
+	176	181
+	176	185
+	4	184	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	181
+	176	185
+	3	184	182	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	177
+	93	169
+	93	173
+	4	101	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	169
+	93	173
+	3	101	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	157
+	207	156
+	207	152
+	4	200	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	156
+	207	152
+	3	200	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	156
+	200	157
+	200	161
+	4	207	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	157
+	200	161
+	3	207	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	174
+	193	174
+	193	170
+	4	185	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	174
+	193	170
+	3	185	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	174
+	185	174
+	185	178
+	4	193	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	174
+	185	178
+	3	193	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	166
+	200	165
+	200	161
+	4	193	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	165
+	200	161
+	3	193	166	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	200	165
+	193	166
+	193	170
+	4	200	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	166
+	193	170
+	3	200	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	193
+	118	188
+	119	192
+	4	128	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	188
+	119	192
+	3	128	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	185
+	119	192
+	118	188
+	4	109	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	192
+	118	188
+	3	109	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	189
+	167	192
+	167	188
+	4	157	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	192
+	167	188
+	3	157	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	192
+	157	189
+	157	194
+	4	167	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	189
+	157	194
+	3	167	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	53
+	225	52
+	225	47
+	4	227	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	52
+	225	47
+	3	227	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	52
+	227	53
+	227	58
+	4	225	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	53
+	227	58
+	3	225	52	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	80
+	227	79
+	227	74
+	4	227	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	79
+	227	74
+	3	227	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	79
+	227	80
+	227	85
+	4	227	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	80
+	227	85
+	3	227	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	133
+	218	131
+	218	127
+	4	213	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	131
+	218	127
+	3	213	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	131
+	213	133
+	213	137
+	4	218	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	133
+	213	137
+	3	218	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	107
+	225	105
+	225	101
+	4	222	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	105
+	225	101
+	3	222	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	105
+	222	107
+	222	112
+	4	225	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	107
+	222	112
+	3	225	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	194
+	128	189
+	128	193
+	4	138	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	189
+	128	193
+	3	138	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	188
+	128	193
+	128	189
+	4	118	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	193
+	128	189
+	3	118	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	190
+	157	194
+	157	189
+	4	147	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	194
+	157	189
+	3	147	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	194
+	147	190
+	147	194
+	4	157	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	190
+	147	194
+	3	157	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	188
+	109	181
+	109	185
+	4	118	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	181
+	109	185
+	3	118	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	177
+	109	185
+	109	181
+	4	101	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	185
+	109	181
+	3	101	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	184
+	176	185
+	176	181
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	185
+	176	181
+	3	167	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	185
+	167	184
+	167	188
+	4	176	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	167	188
+	3	176	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	194
+	137	190
+	138	194
+	4	147	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	190
+	138	194
+	3	147	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	189
+	138	194
+	137	190
+	4	128	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	194
+	137	190
+	3	128	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	190
+	147	194
+	147	190
+	4	137	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	194
+	147	190
+	3	137	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	37
+	222	36
+	222	31
+	4	226	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	36
+	222	31
+	3	226	37	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	36
+	226	37
+	225	42
+	4	222	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	37
+	225	42
+	3	222	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	143
+	213	142
+	213	137
+	4	207	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	142
+	213	137
+	3	207	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	142
+	207	143
+	207	147
+	4	213	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	143
+	207	147
+	3	213	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	64
+	227	63
+	227	58
+	4	228	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	63
+	227	58
+	3	228	64	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	63
+	228	64
+	228	69
+	4	227	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	64
+	228	69
+	3	227	63	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	181
+	100	173
+	101	177
+	4	109	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	173
+	101	177
+	3	109	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	93	169
+	101	177
+	100	173
+	4	93	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	177
+	100	173
+	3	93	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	92
+	226	90
+	227	85
+	4	225	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	90
+	227	85
+	3	225	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	226	90
+	225	92
+	225	96
+	4	226	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	92
+	225	96
+	3	226	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	118
+	222	116
+	222	112
+	4	218	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	116
+	222	112
+	3	218	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	116
+	218	118
+	218	123
+	4	222	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	118
+	218	123
+	3	222	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	165
+	85	156
+	85	160
+	4	92	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	156
+	85	160
+	3	92	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	160
+	93	169
+	92	165
+	4	85	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	169
+	92	165
+	3	85	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	177
+	185	178
+	185	174
+	4	176	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	178
+	185	174
+	3	176	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	178
+	176	177
+	176	181
+	4	185	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	177
+	176	181
+	3	185	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	173
+	92	165
+	93	169
+	4	100	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	165
+	93	169
+	3	100	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	153
+	207	152
+	207	147
+	4	201	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	152
+	207	147
+	3	201	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	152
+	201	153
+	200	157
+	4	207	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	153
+	200	157
+	3	207	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	170
+	193	170
+	193	166
+	4	185	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	170
+	193	166
+	3	185	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	170
+	185	170
+	185	174
+	4	193	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	170
+	185	174
+	3	193	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	161
+	200	161
+	200	157
+	4	193	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	161
+	200	157
+	3	193	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	161
+	193	161
+	193	166
+	4	200	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	161
+	193	166
+	3	200	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	189
+	118	183
+	118	188
+	4	128	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	183
+	118	188
+	3	128	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	181
+	118	188
+	118	183
+	4	109	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	188
+	118	183
+	3	109	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	185
+	167	188
+	167	184
+	4	157	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	167	184
+	3	157	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	188
+	157	185
+	157	189
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	185
+	157	189
+	3	167	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	48
+	225	47
+	225	42
+	4	227	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	47
+	225	42
+	3	227	48	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	47
+	227	48
+	227	53
+	4	225	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	48
+	227	53
+	3	225	47	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	76
+	227	74
+	228	69
+	4	227	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	74
+	228	69
+	3	227	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	74
+	227	76
+	227	80
+	4	227	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	76
+	227	80
+	3	227	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	129
+	218	127
+	218	123
+	4	214	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	127
+	218	123
+	3	214	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	127
+	214	129
+	213	133
+	4	218	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	129
+	213	133
+	3	218	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	103
+	225	101
+	225	96
+	4	223	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	101
+	225	96
+	3	223	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	101
+	223	103
+	222	107
+	4	225	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	103
+	222	107
+	3	225	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	190
+	128	185
+	128	189
+	4	137	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	185
+	128	189
+	3	137	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	183
+	128	189
+	128	185
+	4	118	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	189
+	128	185
+	3	118	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	186
+	157	189
+	157	185
+	4	147	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	189
+	157	185
+	3	147	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	189
+	147	186
+	147	190
+	4	157	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	186
+	147	190
+	3	157	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	183
+	109	177
+	109	181
+	4	118	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	177
+	109	181
+	3	118	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	100	173
+	109	181
+	109	177
+	4	100	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	181
+	109	177
+	3	100	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	180
+	176	181
+	176	177
+	4	167	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	181
+	176	177
+	3	167	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	181
+	167	180
+	167	184
+	4	176	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	180
+	167	184
+	3	176	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	190
+	137	186
+	137	190
+	4	147	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	186
+	137	190
+	3	147	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	185
+	137	190
+	137	186
+	4	128	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	190
+	137	186
+	3	128	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	186
+	147	190
+	147	186
+	4	137	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	190
+	147	186
+	3	137	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	139
+	213	137
+	213	133
+	4	208	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	137
+	213	133
+	3	208	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	137
+	208	139
+	207	143
+	4	213	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	139
+	207	143
+	3	213	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	60
+	227	58
+	227	53
+	4	228	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	58
+	227	53
+	3	228	60	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	58
+	228	60
+	228	64
+	4	227	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	60
+	228	64
+	3	227	58	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	177
+	100	169
+	100	173
+	4	109	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	169
+	100	173
+	3	109	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	92	165
+	100	173
+	100	169
+	4	92	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	173
+	100	169
+	3	92	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	87
+	227	85
+	227	80
+	4	226	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	85
+	227	80
+	3	226	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	85
+	226	87
+	225	92
+	4	227	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	87
+	225	92
+	3	227	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	114
+	222	112
+	222	107
+	4	219	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	112
+	222	107
+	3	219	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	112
+	219	114
+	218	118
+	4	222	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	114
+	218	118
+	3	222	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	161
+	84	152
+	85	156
+	4	92	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	152
+	85	156
+	3	92	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	156
+	92	165
+	92	161
+	4	85	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	165
+	92	161
+	3	85	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	173
+	185	174
+	185	170
+	4	176	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	174
+	185	170
+	3	176	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	174
+	176	173
+	176	177
+	4	185	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	173
+	176	177
+	3	185	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	169
+	92	161
+	92	165
+	4	100	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	161
+	92	165
+	3	100	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	148
+	207	147
+	207	143
+	4	201	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	147
+	207	143
+	3	201	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	147
+	201	148
+	201	153
+	4	207	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	148
+	201	153
+	3	207	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	165
+	193	166
+	193	161
+	4	185	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	166
+	193	161
+	3	185	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	166
+	185	165
+	185	170
+	4	193	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	165
+	185	170
+	3	193	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	157
+	200	157
+	201	153
+	4	193	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	157
+	201	153
+	3	193	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	157
+	193	157
+	193	161
+	4	200	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	157
+	193	161
+	3	200	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	185
+	118	179
+	118	183
+	4	128	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	179
+	118	183
+	3	128	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	177
+	118	183
+	118	179
+	4	109	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	183
+	118	179
+	3	109	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	181
+	167	184
+	167	180
+	4	157	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	184
+	167	180
+	3	157	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	184
+	157	181
+	157	185
+	4	167	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	181
+	157	185
+	3	167	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	43
+	225	42
+	226	37
+	4	228	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	42
+	226	37
+	3	228	43	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	42
+	228	43
+	227	48
+	4	225	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	43
+	227	48
+	3	225	42	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	71
+	228	69
+	228	64
+	4	228	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	69
+	228	64
+	3	228	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	69
+	228	71
+	227	76
+	4	228	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	71
+	227	76
+	3	228	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	124
+	218	123
+	218	118
+	4	214	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	123
+	218	118
+	3	214	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	123
+	214	124
+	214	129
+	4	218	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	124
+	214	129
+	3	218	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	98
+	225	96
+	225	92
+	4	223	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	96
+	225	92
+	3	223	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	96
+	223	98
+	223	103
+	4	225	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	98
+	223	103
+	3	225	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	186
+	127	181
+	128	185
+	4	137	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	181
+	128	185
+	3	137	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	179
+	128	185
+	127	181
+	4	118	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	185
+	127	181
+	3	118	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	182
+	157	185
+	157	181
+	4	147	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	185
+	157	181
+	3	147	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	185
+	147	182
+	147	186
+	4	157	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	182
+	147	186
+	3	157	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	179
+	108	172
+	109	177
+	4	118	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	172
+	109	177
+	3	118	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	169
+	109	177
+	108	172
+	4	100	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	177
+	108	172
+	3	100	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	175
+	176	177
+	176	173
+	4	166	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	177
+	176	173
+	3	166	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	177
+	166	175
+	167	180
+	4	176	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	175
+	167	180
+	3	176	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	186
+	137	182
+	137	186
+	4	147	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	182
+	137	186
+	3	147	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	181
+	137	186
+	137	182
+	4	127	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	186
+	137	182
+	3	127	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	182
+	147	186
+	147	182
+	4	137	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	186
+	147	182
+	3	137	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	134
+	213	133
+	214	129
+	4	208	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	133
+	214	129
+	3	208	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	133
+	208	134
+	208	139
+	4	213	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	134
+	208	139
+	3	213	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	55
+	227	53
+	227	48
+	4	228	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	53
+	227	48
+	3	228	55	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	53
+	228	55
+	228	60
+	4	227	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	55
+	228	60
+	3	227	53	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	172
+	100	165
+	100	169
+	4	108	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	165
+	100	169
+	3	108	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	161
+	100	169
+	100	165
+	4	92	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	169
+	100	165
+	3	92	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	82
+	227	80
+	227	76
+	4	226	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	80
+	227	76
+	3	226	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	80
+	226	82
+	226	87
+	4	227	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	82
+	226	87
+	3	227	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	109
+	222	107
+	223	103
+	4	219	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	107
+	223	103
+	3	219	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	107
+	219	109
+	219	114
+	4	222	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	109
+	219	114
+	3	222	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	156
+	84	147
+	84	152
+	4	91	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	147
+	84	152
+	3	91	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	152
+	92	161
+	91	156
+	4	84	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	161
+	91	156
+	3	84	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	169
+	185	170
+	185	165
+	4	176	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	170
+	185	165
+	3	176	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	170
+	176	169
+	176	173
+	4	185	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	169
+	176	173
+	3	185	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	165
+	91	156
+	92	161
+	4	100	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	156
+	92	161
+	3	100	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	144
+	207	143
+	208	139
+	4	201	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	143
+	208	139
+	3	201	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	143
+	201	144
+	201	148
+	4	207	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	144
+	201	148
+	3	207	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	161
+	193	161
+	193	157
+	4	185	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	161
+	193	157
+	3	185	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	161
+	185	161
+	185	165
+	4	193	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	161
+	185	165
+	3	193	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	153
+	201	153
+	201	148
+	4	193	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	153
+	201	148
+	3	193	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	153
+	193	153
+	193	157
+	4	201	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	153
+	193	157
+	3	201	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	181
+	118	175
+	118	179
+	4	127	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	175
+	118	179
+	3	127	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	172
+	118	179
+	118	175
+	4	108	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	179
+	118	175
+	3	108	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	177
+	167	180
+	166	175
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	180
+	166	175
+	3	157	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	180
+	157	177
+	157	181
+	4	167	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	157	181
+	3	167	180	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	66
+	228	64
+	228	60
+	4	228	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	64
+	228	60
+	3	228	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	64
+	228	66
+	228	71
+	4	228	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	66
+	228	71
+	3	228	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	120
+	218	118
+	219	114
+	4	214	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	118
+	219	114
+	3	214	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	118
+	214	120
+	214	124
+	4	218	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	120
+	214	124
+	3	218	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	93
+	225	92
+	226	87
+	4	223	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	92
+	226	87
+	3	223	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	92
+	223	93
+	223	98
+	4	225	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	93
+	223	98
+	3	225	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	182
+	127	177
+	127	181
+	4	137	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	177
+	127	181
+	3	137	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	175
+	127	181
+	127	177
+	4	118	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	181
+	127	177
+	3	118	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	178
+	157	181
+	157	177
+	4	147	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	181
+	157	177
+	3	147	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	181
+	147	178
+	147	182
+	4	157	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	178
+	147	182
+	3	157	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	175
+	108	168
+	108	172
+	4	118	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	168
+	108	172
+	3	118	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	165
+	108	172
+	108	168
+	4	100	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	172
+	108	168
+	3	100	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	171
+	176	173
+	176	169
+	4	166	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	173
+	176	169
+	3	166	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	173
+	166	171
+	166	175
+	4	176	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	171
+	166	175
+	3	176	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	182
+	137	178
+	137	182
+	4	147	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	178
+	137	182
+	3	147	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	177
+	137	182
+	137	178
+	4	127	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	182
+	137	178
+	3	127	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	178
+	147	182
+	147	178
+	4	137	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	182
+	147	178
+	3	137	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	130
+	214	129
+	214	124
+	4	208	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	129
+	214	124
+	3	208	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	129
+	208	130
+	208	134
+	4	214	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	130
+	208	134
+	3	214	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	50
+	227	48
+	228	43
+	4	229	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	48
+	228	43
+	3	229	50	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	48
+	229	50
+	228	55
+	4	227	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	50
+	228	55
+	3	227	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	168
+	99	161
+	100	165
+	4	108	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	161
+	100	165
+	3	108	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	156
+	100	165
+	99	161
+	4	91	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	165
+	99	161
+	3	91	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	77
+	227	76
+	228	71
+	4	226	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	76
+	228	71
+	3	226	77	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	76
+	226	77
+	226	82
+	4	227	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	77
+	226	82
+	3	227	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	104
+	223	103
+	223	98
+	4	219	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	103
+	223	98
+	3	219	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	103
+	219	104
+	219	109
+	4	223	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	104
+	219	109
+	3	223	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	152
+	83	143
+	84	147
+	4	91	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	143
+	84	147
+	3	91	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	147
+	91	156
+	91	152
+	4	84	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	156
+	91	152
+	3	84	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	164
+	185	165
+	185	161
+	4	176	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	165
+	185	161
+	3	176	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	165
+	176	164
+	176	169
+	4	185	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	164
+	176	169
+	3	185	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	161
+	91	152
+	91	156
+	4	99	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	152
+	91	156
+	3	99	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	139
+	208	139
+	208	134
+	4	201	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	139
+	208	134
+	3	201	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	139
+	201	139
+	201	144
+	4	208	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	139
+	201	144
+	3	208	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	157
+	193	157
+	193	153
+	4	185	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	157
+	193	153
+	3	185	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	157
+	185	157
+	185	161
+	4	193	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	157
+	185	161
+	3	193	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	148
+	201	148
+	201	144
+	4	193	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	148
+	201	144
+	3	193	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	148
+	193	148
+	193	153
+	4	201	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	148
+	193	153
+	3	201	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	177
+	117	171
+	118	175
+	4	127	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	171
+	118	175
+	3	127	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	168
+	118	175
+	117	171
+	4	108	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	175
+	117	171
+	3	108	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	173
+	166	175
+	166	171
+	4	157	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	175
+	166	171
+	3	157	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	175
+	157	173
+	157	177
+	4	166	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	173
+	157	177
+	3	166	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	61
+	228	60
+	228	55
+	4	228	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	60
+	228	55
+	3	228	61	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	60
+	228	61
+	228	66
+	4	228	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	61
+	228	66
+	3	228	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	115
+	219	114
+	219	109
+	4	214	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	114
+	219	109
+	3	214	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	114
+	214	115
+	214	120
+	4	219	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	115
+	214	120
+	3	219	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	89
+	226	87
+	226	82
+	4	223	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	87
+	226	82
+	3	223	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	87
+	223	89
+	223	93
+	4	226	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	89
+	223	93
+	3	226	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	178
+	127	173
+	127	177
+	4	137	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	173
+	127	177
+	3	137	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	171
+	127	177
+	127	173
+	4	117	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	177
+	127	173
+	3	117	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	174
+	157	177
+	157	173
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	157	173
+	3	147	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	177
+	147	174
+	147	178
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	147	178
+	3	157	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	171
+	108	164
+	108	168
+	4	117	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	164
+	108	168
+	3	117	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	161
+	108	168
+	108	164
+	4	99	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	168
+	108	164
+	3	99	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	167
+	176	169
+	176	164
+	4	166	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	169
+	176	164
+	3	166	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	169
+	166	167
+	166	171
+	4	176	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	167
+	166	171
+	3	176	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	178
+	137	173
+	137	178
+	4	147	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	137	178
+	3	147	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	173
+	137	178
+	137	173
+	4	127	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	178
+	137	173
+	3	127	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	137	173
+	147	178
+	147	174
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	178
+	147	174
+	3	137	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	125
+	214	124
+	214	120
+	4	208	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	124
+	214	120
+	3	208	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	124
+	208	125
+	208	130
+	4	214	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	125
+	208	130
+	3	214	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	164
+	99	156
+	99	161
+	4	108	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	156
+	99	161
+	3	108	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	152
+	99	161
+	99	156
+	4	91	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	161
+	99	156
+	3	91	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	73
+	228	71
+	228	66
+	4	227	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	71
+	228	66
+	3	227	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	71
+	227	73
+	226	77
+	4	228	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	73
+	226	77
+	3	228	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	100
+	223	98
+	223	93
+	4	219	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	98
+	223	93
+	3	219	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	98
+	219	100
+	219	104
+	4	223	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	100
+	219	104
+	3	223	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	148
+	83	139
+	83	143
+	4	90	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	139
+	83	143
+	3	90	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	143
+	91	152
+	90	148
+	4	83	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	152
+	90	148
+	3	83	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	160
+	185	161
+	185	157
+	4	176	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	161
+	185	157
+	3	176	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	161
+	176	160
+	176	164
+	4	185	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	160
+	176	164
+	3	185	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	156
+	90	148
+	91	152
+	4	99	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	148
+	91	152
+	3	99	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	135
+	208	134
+	208	130
+	4	201	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	134
+	208	130
+	3	201	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	134
+	201	135
+	201	139
+	4	208	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	135
+	201	139
+	3	208	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	152
+	193	153
+	193	148
+	4	185	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	153
+	193	148
+	3	185	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	153
+	185	152
+	185	157
+	4	193	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	152
+	185	157
+	3	193	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	144
+	201	144
+	201	139
+	4	193	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	144
+	201	139
+	3	193	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	144
+	193	144
+	193	148
+	4	201	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	144
+	193	148
+	3	201	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	173
+	117	166
+	117	171
+	4	127	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	166
+	117	171
+	3	127	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	164
+	117	171
+	117	166
+	4	108	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	171
+	117	166
+	3	108	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	168
+	166	171
+	166	167
+	4	157	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	171
+	166	167
+	3	157	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	171
+	157	168
+	157	173
+	4	166	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	168
+	157	173
+	3	166	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	56
+	228	55
+	229	50
+	4	228	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	55
+	229	50
+	3	228	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	55
+	228	56
+	228	61
+	4	228	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	56
+	228	61
+	3	228	55	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	110
+	219	109
+	219	104
+	4	214	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	109
+	219	104
+	3	214	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	109
+	214	110
+	214	115
+	4	219	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	110
+	214	115
+	3	219	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	84
+	226	82
+	226	77
+	4	224	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	82
+	226	77
+	3	224	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	82
+	224	84
+	223	89
+	4	226	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	84
+	223	89
+	3	226	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	173
+	127	168
+	127	173
+	4	137	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	168
+	127	173
+	3	137	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	166
+	127	173
+	127	168
+	4	117	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	173
+	127	168
+	3	117	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	169
+	157	173
+	157	168
+	4	147	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	173
+	157	168
+	3	147	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	173
+	147	169
+	147	174
+	4	157	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	169
+	147	174
+	3	157	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	166
+	107	160
+	108	164
+	4	117	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	160
+	108	164
+	3	117	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	156
+	108	164
+	107	160
+	4	99	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	164
+	107	160
+	3	99	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	162
+	176	164
+	176	160
+	4	166	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	164
+	176	160
+	3	166	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	164
+	166	162
+	166	167
+	4	176	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	162
+	166	167
+	3	176	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	174
+	136	169
+	137	173
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	169
+	137	173
+	3	147	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	168
+	137	173
+	136	169
+	4	127	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	173
+	136	169
+	3	127	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	169
+	147	174
+	147	169
+	4	136	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	147	169
+	3	136	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	121
+	214	120
+	214	115
+	4	208	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	120
+	214	115
+	3	208	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	214	120
+	208	121
+	208	125
+	4	214	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	121
+	208	125
+	3	214	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	160
+	98	152
+	99	156
+	4	107	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	152
+	99	156
+	3	107	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	148
+	99	156
+	98	152
+	4	90	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	156
+	98	152
+	3	90	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	68
+	228	66
+	228	61
+	4	227	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	66
+	228	61
+	3	227	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	66
+	227	68
+	227	73
+	4	228	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	68
+	227	73
+	3	228	66	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	95
+	223	93
+	223	89
+	4	220	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	93
+	223	89
+	3	220	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	93
+	220	95
+	219	100
+	4	223	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	95
+	219	100
+	3	223	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	90	143
+	82	134
+	83	139
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	134
+	83	139
+	3	90	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	139
+	90	148
+	90	143
+	4	83	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	148
+	90	143
+	3	83	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	156
+	185	157
+	185	152
+	4	176	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	157
+	185	152
+	3	176	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	157
+	176	156
+	176	160
+	4	185	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	156
+	176	160
+	3	185	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	152
+	90	143
+	90	148
+	4	98	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	90	148
+	3	98	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	130
+	208	130
+	208	125
+	4	201	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	130
+	208	125
+	3	201	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	130
+	201	130
+	201	135
+	4	208	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	130
+	201	135
+	3	208	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	148
+	193	148
+	193	144
+	4	185	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	148
+	193	144
+	3	185	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	148
+	185	148
+	185	152
+	4	193	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	148
+	185	152
+	3	193	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	139
+	201	139
+	201	135
+	4	194	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	139
+	201	135
+	3	194	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	139
+	194	139
+	193	144
+	4	201	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	139
+	193	144
+	3	201	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	168
+	117	162
+	117	166
+	4	127	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	162
+	117	166
+	3	127	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	160
+	117	166
+	117	162
+	4	107	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	166
+	117	162
+	3	107	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	164
+	166	167
+	166	162
+	4	156	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	167
+	166	162
+	3	156	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	167
+	156	164
+	157	168
+	4	166	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	164
+	157	168
+	3	166	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	106
+	219	104
+	219	100
+	4	215	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	104
+	219	100
+	3	215	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	104
+	215	106
+	214	110
+	4	219	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	106
+	214	110
+	3	219	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	79
+	226	77
+	227	73
+	4	224	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	77
+	227	73
+	3	224	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	77
+	224	79
+	224	84
+	4	226	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	79
+	224	84
+	3	226	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	169
+	126	164
+	127	168
+	4	136	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	164
+	127	168
+	3	136	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	162
+	127	168
+	126	164
+	4	117	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	168
+	126	164
+	3	117	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	165
+	157	168
+	156	164
+	4	146	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	168
+	156	164
+	3	146	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	157	168
+	146	165
+	147	169
+	4	157	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	165
+	147	169
+	3	157	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	162
+	107	155
+	107	160
+	4	117	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	155
+	107	160
+	3	117	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	152
+	107	160
+	107	155
+	4	98	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	160
+	107	155
+	3	98	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	158
+	176	160
+	176	156
+	4	166	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	160
+	176	156
+	3	166	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	160
+	166	158
+	166	162
+	4	176	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	158
+	166	162
+	3	176	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	169
+	136	165
+	136	169
+	4	147	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	165
+	136	169
+	3	147	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	164
+	136	169
+	136	165
+	4	126	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	169
+	136	165
+	3	126	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	165
+	147	169
+	146	165
+	4	136	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	169
+	146	165
+	3	136	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	116
+	214	115
+	214	110
+	4	209	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	115
+	214	110
+	3	209	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	115
+	209	116
+	208	121
+	4	214	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	116
+	208	121
+	3	214	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	155
+	98	147
+	98	152
+	4	107	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	147
+	98	152
+	3	107	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	143
+	98	152
+	98	147
+	4	90	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	152
+	98	147
+	3	90	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	63
+	228	61
+	228	56
+	4	227	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	61
+	228	56
+	3	227	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	61
+	227	63
+	227	68
+	4	228	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	63
+	227	68
+	3	228	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	90
+	223	89
+	224	84
+	4	220	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	89
+	224	84
+	3	220	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	89
+	220	90
+	220	95
+	4	223	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	90
+	220	95
+	3	223	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	139
+	82	130
+	82	134
+	4	89	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	130
+	82	134
+	3	89	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	134
+	90	143
+	89	139
+	4	82	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	143
+	89	139
+	3	82	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	151
+	185	152
+	185	148
+	4	176	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	152
+	185	148
+	3	176	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	152
+	176	151
+	176	156
+	4	185	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	151
+	176	156
+	3	185	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	147
+	89	139
+	90	143
+	4	98	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	139
+	90	143
+	3	98	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	126
+	208	125
+	208	121
+	4	201	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	125
+	208	121
+	3	201	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	125
+	201	126
+	201	130
+	4	208	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	126
+	201	130
+	3	208	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	143
+	193	144
+	194	139
+	4	185	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	144
+	194	139
+	3	185	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	144
+	185	143
+	185	148
+	4	193	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	143
+	185	148
+	3	193	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	135
+	201	135
+	201	130
+	4	194	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	135
+	201	130
+	3	194	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	135
+	194	135
+	194	139
+	4	201	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	135
+	194	139
+	3	201	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	164
+	116	158
+	117	162
+	4	126	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	158
+	117	162
+	3	126	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	155
+	117	162
+	116	158
+	4	107	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	162
+	116	158
+	3	107	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	160
+	166	162
+	166	158
+	4	156	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	162
+	166	158
+	3	156	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	162
+	156	160
+	156	164
+	4	166	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	160
+	156	164
+	3	166	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	101
+	219	100
+	220	95
+	4	215	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	100
+	220	95
+	3	215	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	100
+	215	101
+	215	106
+	4	219	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	101
+	215	106
+	3	219	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	74
+	227	73
+	227	68
+	4	224	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	73
+	227	68
+	3	224	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	73
+	224	74
+	224	79
+	4	227	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	74
+	224	79
+	3	227	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	165
+	126	159
+	126	164
+	4	136	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	159
+	126	164
+	3	136	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	158
+	126	164
+	126	159
+	4	116	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	164
+	126	159
+	3	116	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	160
+	156	164
+	156	160
+	4	146	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	164
+	156	160
+	3	146	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	164
+	146	160
+	146	165
+	4	156	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	160
+	146	165
+	3	156	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	158
+	107	151
+	107	155
+	4	116	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	151
+	107	155
+	3	116	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	147
+	107	155
+	107	151
+	4	98	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	155
+	107	151
+	3	98	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	154
+	176	156
+	176	151
+	4	166	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	156
+	176	151
+	3	166	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	156
+	166	154
+	166	158
+	4	176	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	154
+	166	158
+	3	176	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	165
+	136	160
+	136	165
+	4	146	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	160
+	136	165
+	3	146	165	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	159
+	136	165
+	136	160
+	4	126	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	165
+	136	160
+	3	126	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	160
+	146	165
+	146	160
+	4	136	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	165
+	146	160
+	3	136	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	111
+	214	110
+	215	106
+	4	209	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	110
+	215	106
+	3	209	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	110
+	209	111
+	209	116
+	4	214	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	111
+	209	116
+	3	214	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	151
+	97	143
+	98	147
+	4	107	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	143
+	98	147
+	3	107	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	139
+	98	147
+	97	143
+	4	89	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	147
+	97	143
+	3	89	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	85
+	224	84
+	224	79
+	4	220	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	84
+	224	79
+	3	220	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	84
+	220	85
+	220	90
+	4	224	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	85
+	220	90
+	3	224	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	134
+	81	125
+	82	130
+	4	89	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	125
+	82	130
+	3	89	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	130
+	89	139
+	89	134
+	4	82	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	139
+	89	134
+	3	82	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	147
+	185	148
+	185	143
+	4	176	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	148
+	185	143
+	3	176	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	148
+	176	147
+	176	151
+	4	185	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	147
+	176	151
+	3	185	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	143
+	89	134
+	89	139
+	4	97	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	134
+	89	139
+	3	97	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	121
+	208	121
+	209	116
+	4	202	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	121
+	209	116
+	3	202	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	121
+	202	121
+	201	126
+	4	208	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	121
+	201	126
+	3	208	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	139
+	194	139
+	194	135
+	4	185	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	139
+	194	135
+	3	185	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	139
+	185	139
+	185	143
+	4	194	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	139
+	185	143
+	3	194	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	130
+	201	130
+	201	126
+	4	194	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	130
+	201	126
+	3	194	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	130
+	194	130
+	194	135
+	4	201	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	130
+	194	135
+	3	201	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	159
+	116	153
+	116	158
+	4	126	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	153
+	116	158
+	3	126	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	151
+	116	158
+	116	153
+	4	107	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	158
+	116	153
+	3	107	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	155
+	166	158
+	166	154
+	4	156	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	158
+	166	154
+	3	156	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	158
+	156	155
+	156	160
+	4	166	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	155
+	156	160
+	3	166	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	96
+	220	95
+	220	90
+	4	215	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	95
+	220	90
+	3	215	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	95
+	215	96
+	215	101
+	4	220	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	96
+	215	101
+	3	220	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	69
+	227	68
+	227	63
+	4	225	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	68
+	227	63
+	3	225	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	68
+	225	69
+	224	74
+	4	227	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	69
+	224	74
+	3	227	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	160
+	126	155
+	126	159
+	4	136	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	155
+	126	159
+	3	136	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	153
+	126	159
+	126	155
+	4	116	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	159
+	126	155
+	3	116	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	156
+	156	160
+	156	155
+	4	146	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	160
+	156	155
+	3	146	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	160
+	146	156
+	146	160
+	4	156	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	156
+	146	160
+	3	156	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	153
+	106	146
+	107	151
+	4	116	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	146
+	107	151
+	3	116	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	143
+	107	151
+	106	146
+	4	97	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	151
+	106	146
+	3	97	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	149
+	176	151
+	176	147
+	4	166	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	151
+	176	147
+	3	166	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	151
+	166	149
+	166	154
+	4	176	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	149
+	166	154
+	3	176	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	160
+	136	156
+	136	160
+	4	146	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	136	160
+	3	146	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	155
+	136	160
+	136	156
+	4	126	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	160
+	136	156
+	3	126	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	156
+	146	160
+	146	156
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	160
+	146	156
+	3	136	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	106
+	215	106
+	215	101
+	4	209	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	106
+	215	101
+	3	209	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	106
+	209	106
+	209	111
+	4	215	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	106
+	209	111
+	3	215	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	146
+	97	138
+	97	143
+	4	106	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	138
+	97	143
+	3	106	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	134
+	97	143
+	97	138
+	4	89	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	143
+	97	138
+	3	89	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	80
+	224	79
+	224	74
+	4	220	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	79
+	224	74
+	3	220	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	79
+	220	80
+	220	85
+	4	224	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	80
+	220	85
+	3	224	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	130
+	81	120
+	81	125
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	120
+	81	125
+	3	88	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	125
+	89	134
+	88	130
+	4	81	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	134
+	88	130
+	3	81	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	142
+	185	143
+	185	139
+	4	176	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	143
+	185	139
+	3	176	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	143
+	176	142
+	176	147
+	4	185	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	142
+	176	147
+	3	185	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	138
+	88	130
+	89	134
+	4	97	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	89	134
+	3	97	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	116
+	209	116
+	209	111
+	4	202	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	116
+	209	111
+	3	202	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	116
+	202	116
+	202	121
+	4	209	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	116
+	202	121
+	3	209	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	134
+	194	135
+	194	130
+	4	185	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	135
+	194	130
+	3	185	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	135
+	185	134
+	185	139
+	4	194	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	134
+	185	139
+	3	194	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	126
+	201	126
+	202	121
+	4	194	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	126
+	202	121
+	3	194	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	126
+	194	126
+	194	130
+	4	201	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	126
+	194	130
+	3	201	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	126	155
+	116	149
+	116	153
+	4	126	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	149
+	116	153
+	3	126	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	146
+	116	153
+	116	149
+	4	106	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	153
+	116	149
+	3	106	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	151
+	166	154
+	166	149
+	4	156	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	154
+	166	149
+	3	156	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	154
+	156	151
+	156	155
+	4	166	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	151
+	156	155
+	3	166	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	91
+	220	90
+	220	85
+	4	215	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	90
+	220	85
+	3	215	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	90
+	215	91
+	215	96
+	4	220	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	91
+	215	96
+	3	220	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	156
+	126	151
+	126	155
+	4	136	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	151
+	126	155
+	3	136	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	149
+	126	155
+	126	151
+	4	116	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	155
+	126	151
+	3	116	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	152
+	156	155
+	156	151
+	4	146	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	155
+	156	151
+	3	146	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	155
+	146	152
+	146	156
+	4	156	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	152
+	146	156
+	3	156	155	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	149
+	106	142
+	106	146
+	4	116	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	142
+	106	146
+	3	116	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	138
+	106	146
+	106	142
+	4	97	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	146
+	106	142
+	3	97	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	145
+	176	147
+	176	142
+	4	166	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	147
+	176	142
+	3	166	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	147
+	166	145
+	166	149
+	4	176	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	145
+	166	149
+	3	176	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	156
+	136	151
+	136	156
+	4	146	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	151
+	136	156
+	3	146	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	126	151
+	136	156
+	136	151
+	4	126	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	156
+	136	151
+	3	126	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	151
+	146	156
+	146	152
+	4	136	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	156
+	146	152
+	3	136	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	102
+	215	101
+	215	96
+	4	209	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	101
+	215	96
+	3	209	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	101
+	209	102
+	209	106
+	4	215	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	102
+	209	106
+	3	215	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	142
+	97	134
+	97	138
+	4	106	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	134
+	97	138
+	3	106	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	88	130
+	97	138
+	97	134
+	4	88	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	138
+	97	134
+	3	88	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	75
+	224	74
+	225	69
+	4	221	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	74
+	225	69
+	3	221	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	224	74
+	221	75
+	220	80
+	4	224	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	75
+	220	80
+	3	224	74	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	125
+	80	116
+	81	120
+	4	88	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	116
+	81	120
+	3	88	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	81	120
+	88	130
+	88	125
+	4	81	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	130
+	88	125
+	3	81	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	137
+	185	139
+	185	134
+	4	176	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	139
+	185	134
+	3	176	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	139
+	176	137
+	176	142
+	4	185	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	137
+	176	142
+	3	185	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	134
+	88	125
+	88	130
+	4	97	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	125
+	88	130
+	3	97	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	112
+	209	111
+	209	106
+	4	202	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	111
+	209	106
+	3	202	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	209	111
+	202	112
+	202	116
+	4	209	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	112
+	202	116
+	3	209	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	130
+	194	130
+	194	126
+	4	185	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	130
+	194	126
+	3	185	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	130
+	185	130
+	185	134
+	4	194	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	130
+	185	134
+	3	194	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	121
+	202	121
+	202	116
+	4	194	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	121
+	202	116
+	3	194	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	121
+	194	121
+	194	126
+	4	202	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	121
+	194	126
+	3	202	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	151
+	115	144
+	116	149
+	4	126	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	144
+	116	149
+	3	126	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	142
+	116	149
+	115	144
+	4	106	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	149
+	115	144
+	3	106	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	146
+	166	149
+	166	145
+	4	156	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	149
+	166	145
+	3	156	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	149
+	156	146
+	156	151
+	4	166	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	146
+	156	151
+	3	166	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	86
+	220	85
+	220	80
+	4	216	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	85
+	220	80
+	3	216	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	85
+	216	86
+	215	91
+	4	220	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	86
+	215	91
+	3	220	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	151
+	125	146
+	126	151
+	4	136	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	146
+	126	151
+	3	136	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	144
+	126	151
+	125	146
+	4	115	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	151
+	125	146
+	3	115	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	147
+	156	151
+	156	146
+	4	146	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	151
+	156	146
+	3	146	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	151
+	146	147
+	146	152
+	4	156	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	147
+	146	152
+	3	156	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	144
+	105	137
+	106	142
+	4	115	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	137
+	106	142
+	3	115	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	134
+	106	142
+	105	137
+	4	97	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	142
+	105	137
+	3	97	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	140
+	176	142
+	176	137
+	4	166	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	142
+	176	137
+	3	166	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	142
+	166	140
+	166	145
+	4	176	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	140
+	166	145
+	3	176	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	152
+	135	147
+	136	151
+	4	146	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	136	151
+	3	146	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	146
+	136	151
+	135	147
+	4	125	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	151
+	135	147
+	3	125	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	147
+	146	152
+	146	147
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	152
+	146	147
+	3	135	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	97
+	215	96
+	215	91
+	4	209	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	96
+	215	91
+	3	209	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	96
+	209	97
+	209	102
+	4	215	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	97
+	209	102
+	3	215	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	137
+	96	129
+	97	134
+	4	105	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	129
+	97	134
+	3	105	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	125
+	97	134
+	96	129
+	4	88	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	134
+	96	129
+	3	88	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	87	120
+	80	111
+	80	116
+	4	87	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	111
+	80	116
+	3	87	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	80	116
+	88	125
+	87	120
+	4	80	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	125
+	87	120
+	3	80	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	133
+	185	134
+	185	130
+	4	176	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	134
+	185	130
+	3	176	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	134
+	176	133
+	176	137
+	4	185	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	133
+	176	137
+	3	185	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	96	129
+	87	120
+	88	125
+	4	96	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	120
+	88	125
+	3	96	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	107
+	209	106
+	209	102
+	4	202	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	106
+	209	102
+	3	202	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	209	106
+	202	107
+	202	112
+	4	209	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	107
+	202	112
+	3	209	106	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	125
+	194	126
+	194	121
+	4	185	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	126
+	194	121
+	3	185	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	126
+	185	125
+	185	130
+	4	194	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	125
+	185	130
+	3	194	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	116
+	202	116
+	202	112
+	4	194	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	116
+	202	112
+	3	194	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	116
+	194	116
+	194	121
+	4	202	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	116
+	194	121
+	3	202	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	125	146
+	115	140
+	115	144
+	4	125	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	140
+	115	144
+	3	125	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	137
+	115	144
+	115	140
+	4	105	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	144
+	115	140
+	3	105	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	142
+	166	145
+	166	140
+	4	156	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	145
+	166	140
+	3	156	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	145
+	156	142
+	156	146
+	4	166	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	142
+	156	146
+	3	166	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	81
+	220	80
+	221	75
+	4	216	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	80
+	221	75
+	3	216	81	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	80
+	216	81
+	216	86
+	4	220	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	81
+	216	86
+	3	220	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	147
+	125	141
+	125	146
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	141
+	125	146
+	3	135	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	140
+	125	146
+	125	141
+	4	115	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	146
+	125	141
+	3	115	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	142
+	156	146
+	156	142
+	4	146	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	146
+	156	142
+	3	146	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	146
+	146	142
+	146	147
+	4	156	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	142
+	146	147
+	3	156	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	115	140
+	105	132
+	105	137
+	4	115	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	132
+	105	137
+	3	115	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	96	129
+	105	137
+	105	132
+	4	96	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	137
+	105	132
+	3	96	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	135
+	176	137
+	176	133
+	4	166	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	137
+	176	133
+	3	166	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	137
+	166	135
+	166	140
+	4	176	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	135
+	166	140
+	3	176	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	147
+	135	142
+	135	147
+	4	146	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	142
+	135	147
+	3	146	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	125	141
+	135	147
+	135	142
+	4	125	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	135	142
+	3	125	141	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	135	142
+	146	147
+	146	142
+	4	135	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	147
+	146	142
+	3	135	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	92
+	215	91
+	216	86
+	4	210	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	91
+	216	86
+	3	210	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	215	91
+	210	92
+	209	97
+	4	215	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	92
+	209	97
+	3	215	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	105	132
+	96	124
+	96	129
+	4	105	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	124
+	96	129
+	3	105	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	87	120
+	96	129
+	96	124
+	4	87	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	129
+	96	124
+	3	87	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	87	116
+	79	106
+	80	111
+	4	87	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	106
+	80	111
+	3	87	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	80	111
+	87	120
+	87	116
+	4	80	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	120
+	87	116
+	3	80	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	128
+	185	130
+	185	125
+	4	176	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	130
+	185	125
+	3	176	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	130
+	176	128
+	176	133
+	4	185	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	128
+	176	133
+	3	185	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	96	124
+	87	116
+	87	120
+	4	96	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	116
+	87	120
+	3	96	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	102
+	209	102
+	209	97
+	4	202	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	102
+	209	97
+	3	202	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	102
+	202	102
+	202	107
+	4	209	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	102
+	202	107
+	3	209	102	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	185	120
+	194	121
+	194	116
+	4	185	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	121
+	194	116
+	3	185	120	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	194	121
+	185	120
+	185	125
+	4	194	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	120
+	185	125
+	3	194	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	111
+	202	112
+	202	107
+	4	194	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	112
+	202	107
+	3	194	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	202	112
+	194	111
+	194	116
+	4	202	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	111
+	194	116
+	3	202	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	125	141
+	115	135
+	115	140
+	4	125	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	135
+	115	140
+	3	125	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	105	132
+	115	140
+	115	135
+	4	105	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	140
+	115	135
+	3	105	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	137
+	166	140
+	166	135
+	4	156	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	140
+	166	135
+	3	156	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	140
+	156	137
+	156	142
+	4	166	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	137
+	156	142
+	3	166	140	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	135	142
+	125	137
+	125	141
+	4	135	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	137
+	125	141
+	3	135	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	115	135
+	125	141
+	125	137
+	4	115	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	141
+	125	137
+	3	115	135	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	145	138
+	156	142
+	156	137
+	4	145	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	142
+	156	137
+	3	145	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	156	142
+	145	138
+	146	142
+	4	156	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	138
+	146	142
+	3	156	142	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	115	135
+	105	128
+	105	132
+	4	115	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	128
+	105	132
+	3	115	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	96	124
+	105	132
+	105	128
+	4	96	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	132
+	105	128
+	3	96	124	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	166	131
+	176	133
+	176	128
+	4	166	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	133
+	176	128
+	3	166	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	176	133
+	166	131
+	166	135
+	4	176	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	131
+	166	135
+	3	176	133	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	142
+	135	138
+	135	142
+	4	146	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	138
+	135	142
+	3	146	142	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	125	137
+	135	142
+	135	138
+	4	125	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	142
+	135	138
+	3	125	137	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	135	138
+	146	142
+	145	138
+	4	135	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	142
+	145	138
+	3	135	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	87
+	216	86
+	216	81
+	4	210	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	86
+	216	81
+	3	210	87	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	86
+	210	87
+	210	92
+	4	216	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	87
+	210	92
+	3	216	86	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	105	128
+	95	120
+	96	124
+	4	105	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	120
+	96	124
+	3	105	128	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	87	116
+	96	124
+	95	120
+	4	87	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	124
+	95	120
+	3	87	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	111
+	79	101
+	79	106
+	4	86	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	101
+	79	106
+	3	86	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	106
+	87	116
+	86	111
+	4	79	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	116
+	86	111
+	3	79	106	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	176	123
+	185	125
+	185	120
+	4	176	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	125
+	185	120
+	3	176	123	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	185	125
+	176	123
+	176	128
+	4	185	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	123
+	176	128
+	3	185	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	95	120
+	86	111
+	87	116
+	4	95	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	111
+	87	116
+	3	95	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	97
+	209	97
+	210	92
+	4	202	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	97
+	210	92
+	3	202	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	97
+	202	97
+	202	102
+	4	209	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	97
+	202	102
+	3	209	97	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	115
+	194	116
+	194	111
+	4	185	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	116
+	194	111
+	3	185	115	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	116
+	185	115
+	185	120
+	4	194	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	115
+	185	120
+	3	194	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	106
+	202	107
+	202	102
+	4	194	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	107
+	202	102
+	3	194	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	107
+	194	106
+	194	111
+	4	202	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	106
+	194	111
+	3	202	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	125	137
+	114	130
+	115	135
+	4	125	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	130
+	115	135
+	3	125	137	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	105	128
+	115	135
+	114	130
+	4	105	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	135
+	114	130
+	3	105	128	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	156	132
+	166	135
+	166	131
+	4	156	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	135
+	166	131
+	3	156	132	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	166	135
+	156	132
+	156	137
+	4	166	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	132
+	156	137
+	3	166	135	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	135	138
+	124	132
+	125	137
+	4	135	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	125	137
+	3	135	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	130
+	125	137
+	124	132
+	4	114	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	137
+	124	132
+	3	114	130	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	133
+	156	137
+	156	132
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	137
+	156	132
+	3	145	133	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	156	137
+	145	133
+	145	138
+	4	156	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	138
+	3	156	137	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	114	130
+	104	123
+	105	128
+	4	114	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	123
+	105	128
+	3	114	130	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	95	120
+	105	128
+	104	123
+	4	95	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	128
+	104	123
+	3	95	120	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	166	126
+	176	128
+	176	123
+	4	166	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	128
+	176	123
+	3	166	126	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	176	128
+	166	126
+	166	131
+	4	176	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	126
+	166	131
+	3	176	128	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	138
+	135	133
+	135	138
+	4	145	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	133
+	135	138
+	3	145	138	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	132
+	135	138
+	135	133
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	138
+	135	133
+	3	124	132	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	135	133
+	145	138
+	145	133
+	4	135	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	138
+	145	133
+	3	135	133	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	123
+	95	115
+	95	120
+	4	104	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	115
+	95	120
+	3	104	123	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	86	111
+	95	120
+	95	115
+	4	86	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	120
+	95	115
+	3	86	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	106
+	78	96
+	79	101
+	4	86	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	96
+	79	101
+	3	86	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	101
+	86	111
+	86	106
+	4	79	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	111
+	86	106
+	3	79	101	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	176	119
+	185	120
+	185	115
+	4	176	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	120
+	185	115
+	3	176	119	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	185	120
+	176	119
+	176	123
+	4	185	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	119
+	176	123
+	3	185	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	115
+	86	106
+	86	111
+	4	95	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	106
+	86	111
+	3	95	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	92
+	210	92
+	210	87
+	4	203	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	92
+	210	87
+	3	203	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	92
+	203	92
+	202	97
+	4	210	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	92
+	202	97
+	3	210	92	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	110
+	194	111
+	194	106
+	4	186	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	111
+	194	106
+	3	186	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	194	111
+	186	110
+	185	115
+	4	194	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	110
+	185	115
+	3	194	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	102
+	202	102
+	202	97
+	4	194	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	102
+	202	97
+	3	194	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	102
+	194	102
+	194	106
+	4	202	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	102
+	194	106
+	3	202	102	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	124	132
+	114	125
+	114	130
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	125
+	114	130
+	3	124	132	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	104	123
+	114	130
+	114	125
+	4	104	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	130
+	114	125
+	3	104	123	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	156	127
+	166	131
+	166	126
+	4	156	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	131
+	166	126
+	3	156	127	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	166	131
+	156	127
+	156	132
+	4	166	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	127
+	156	132
+	3	166	131	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	135	133
+	124	127
+	124	132
+	4	135	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	124	132
+	3	135	133	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	114	125
+	124	132
+	124	127
+	4	114	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	124	127
+	3	114	125	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	145	128
+	156	132
+	156	127
+	4	145	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	132
+	156	127
+	3	145	128	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	156	132
+	145	128
+	145	133
+	4	156	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	128
+	145	133
+	3	156	132	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	125
+	104	118
+	104	123
+	4	114	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	118
+	104	123
+	3	114	125	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	95	115
+	104	123
+	104	118
+	4	95	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	123
+	104	118
+	3	95	115	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	166	121
+	176	123
+	176	119
+	4	166	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	123
+	176	119
+	3	166	121	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	176	123
+	166	121
+	166	126
+	4	176	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	121
+	166	126
+	3	176	123	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	145	133
+	135	128
+	135	133
+	4	145	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	128
+	135	133
+	3	145	133	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	124	127
+	135	133
+	135	128
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	133
+	135	128
+	3	124	127	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	135	128
+	145	133
+	145	128
+	4	135	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	133
+	145	128
+	3	135	128	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	104	118
+	94	110
+	95	115
+	4	104	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	110
+	95	115
+	3	104	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	86	106
+	95	115
+	94	110
+	4	86	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	115
+	94	110
+	3	86	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	101
+	77	91
+	78	96
+	4	85	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	91
+	78	96
+	3	85	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	78	96
+	86	106
+	85	101
+	4	78	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	106
+	85	101
+	3	78	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	114
+	185	115
+	186	110
+	4	176	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	115
+	186	110
+	3	176	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	185	115
+	176	114
+	176	119
+	4	185	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	114
+	176	119
+	3	185	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	110
+	85	101
+	86	106
+	4	94	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	101
+	86	106
+	3	94	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	105
+	194	106
+	194	102
+	4	186	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	106
+	194	102
+	3	186	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	106
+	186	105
+	186	110
+	4	194	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	105
+	186	110
+	3	194	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	97
+	202	97
+	203	92
+	4	195	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	97
+	203	92
+	3	195	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	97
+	195	97
+	194	102
+	4	202	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	97
+	194	102
+	3	202	97	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	127
+	114	121
+	114	125
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	121
+	114	125
+	3	124	127	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	118
+	114	125
+	114	121
+	4	104	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	125
+	114	121
+	3	104	118	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	156	123
+	166	126
+	166	121
+	4	156	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	126
+	166	121
+	3	156	123	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	166	126
+	156	123
+	156	127
+	4	166	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	123
+	156	127
+	3	166	126	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	135	128
+	124	122
+	124	127
+	4	135	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	122
+	124	127
+	3	135	128	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	114	121
+	124	127
+	124	122
+	4	114	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	124	122
+	3	114	121	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	145	123
+	156	127
+	156	123
+	4	145	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	127
+	156	123
+	3	145	123	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	156	127
+	145	123
+	145	128
+	4	156	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	123
+	145	128
+	3	156	127	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	121
+	104	113
+	104	118
+	4	114	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	113
+	104	118
+	3	114	121	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	94	110
+	104	118
+	104	113
+	4	94	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	118
+	104	113
+	3	94	110	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	166	116
+	176	119
+	176	114
+	4	166	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	119
+	176	114
+	3	166	116	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	176	119
+	166	116
+	166	121
+	4	176	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	116
+	166	121
+	3	176	119	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	145	128
+	134	123
+	135	128
+	4	145	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	135	128
+	3	145	128	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	124	122
+	135	128
+	134	123
+	4	124	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	128
+	134	123
+	3	124	122	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	134	123
+	145	128
+	145	123
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	128
+	145	123
+	3	134	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	104	113
+	94	105
+	94	110
+	4	104	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	105
+	94	110
+	3	104	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	101
+	94	110
+	94	105
+	4	85	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	110
+	94	105
+	3	85	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	91
+	85	101
+	85	96
+	4	77	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	101
+	85	96
+	3	77	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	109
+	186	110
+	186	105
+	4	176	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	110
+	186	105
+	3	176	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	186	110
+	176	109
+	176	114
+	4	186	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	109
+	176	114
+	3	186	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	105
+	85	96
+	85	101
+	4	94	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	96
+	85	101
+	3	94	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	100
+	194	102
+	195	97
+	4	186	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	102
+	195	97
+	3	186	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	102
+	186	100
+	186	105
+	4	194	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	100
+	186	105
+	3	194	102	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	122
+	113	116
+	114	121
+	4	124	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	116
+	114	121
+	3	124	122	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	104	113
+	114	121
+	113	116
+	4	104	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	121
+	113	116
+	3	104	113	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	156	118
+	166	121
+	166	116
+	4	156	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	121
+	166	116
+	3	156	118	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	166	121
+	156	118
+	156	123
+	4	166	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	118
+	156	123
+	3	166	121	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	123
+	124	118
+	124	122
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	118
+	124	122
+	3	134	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	113	116
+	124	122
+	124	118
+	4	113	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	122
+	124	118
+	3	113	116	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	119
+	156	123
+	156	118
+	4	145	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	123
+	156	118
+	3	145	119	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	156	123
+	145	119
+	145	123
+	4	156	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	119
+	145	123
+	3	156	123	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	113	116
+	103	108
+	104	113
+	4	113	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	108
+	104	113
+	3	113	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	105
+	104	113
+	103	108
+	4	94	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	113
+	103	108
+	3	94	105	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	111
+	176	114
+	176	109
+	4	166	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	114
+	176	109
+	3	166	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	114
+	166	111
+	166	116
+	4	176	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	111
+	166	116
+	3	176	114	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	123
+	134	118
+	134	123
+	4	145	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	118
+	134	123
+	3	145	123	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	124	118
+	134	123
+	134	118
+	4	124	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	134	118
+	3	124	118	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	118
+	145	123
+	145	119
+	4	134	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	123
+	145	119
+	3	134	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	108
+	93	100
+	94	105
+	4	103	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	100
+	94	105
+	3	103	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	85	96
+	94	105
+	93	100
+	4	85	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	105
+	93	100
+	3	85	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	104
+	186	105
+	186	100
+	4	176	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	105
+	186	100
+	3	176	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	105
+	176	104
+	176	109
+	4	186	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	104
+	176	109
+	3	186	105	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	124	118
+	113	111
+	113	116
+	4	124	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	111
+	113	116
+	3	124	118	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	108
+	113	116
+	113	111
+	4	103	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	116
+	113	111
+	3	103	108	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	155	113
+	166	116
+	166	111
+	4	155	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	116
+	166	111
+	3	155	113	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	166	116
+	155	113
+	156	118
+	4	166	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	113
+	156	118
+	3	166	116	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	118
+	123	113
+	124	118
+	4	134	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	113
+	124	118
+	3	134	118	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	113	111
+	124	118
+	123	113
+	4	113	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	118
+	123	113
+	3	113	111	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	145	114
+	156	118
+	155	113
+	4	145	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	118
+	155	113
+	3	145	114	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	156	118
+	145	114
+	145	119
+	4	156	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	114
+	145	119
+	3	156	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	111
+	103	103
+	103	108
+	4	113	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	103
+	103	108
+	3	113	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	93	100
+	103	108
+	103	103
+	4	93	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	108
+	103	103
+	3	93	100	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	106
+	176	109
+	176	104
+	4	166	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	109
+	176	104
+	3	166	106	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	176	109
+	166	106
+	166	111
+	4	176	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	106
+	166	111
+	3	176	109	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	145	119
+	134	114
+	134	118
+	4	145	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	114
+	134	118
+	3	145	119	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	123	113
+	134	118
+	134	114
+	4	123	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	118
+	134	114
+	3	123	113	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	134	114
+	145	119
+	145	114
+	4	134	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	119
+	145	114
+	3	134	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	123	113
+	113	106
+	113	111
+	4	123	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	106
+	113	111
+	3	123	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	103
+	113	111
+	113	106
+	4	103	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	111
+	113	106
+	3	103	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	155	108
+	166	111
+	166	106
+	4	155	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	111
+	166	106
+	3	155	108	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	111
+	155	108
+	155	113
+	4	166	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	108
+	155	113
+	3	166	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	134	114
+	123	108
+	123	113
+	4	134	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	108
+	123	113
+	3	134	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	113	106
+	123	113
+	123	108
+	4	113	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	113
+	123	108
+	3	113	106	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	144	109
+	155	113
+	155	108
+	4	144	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	113
+	155	108
+	3	144	109	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	155	113
+	144	109
+	145	114
+	4	155	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	109
+	145	114
+	3	155	113	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	145	114
+	134	109
+	134	114
+	4	145	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	109
+	134	114
+	3	145	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	123	108
+	134	114
+	134	109
+	4	123	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	114
+	134	109
+	3	123	108	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	134	109
+	145	114
+	144	109
+	4	134	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	114
+	144	109
+	3	134	109	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/defcoord.ps b/books/ps/defcoord.ps
new file mode 100644
index 0000000..7ebe12b
--- /dev/null
+++ b/books/ps/defcoord.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	8	264	253	91	psDrawLine
+	globGC	(X)	3	269	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	284	259	32	94	psDrawLine
+	globGC	(Y)	289	264	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	143	20	146	280	psDrawLine
+	globGC	(Z)	138	15	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.562500	setForeground
+	renderGC
+	143	168
+	147	169
+	145	168
+	4	143	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	169
+	145	168
+	3	143	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	169
+	145	170
+	143	168
+	4	142	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	170
+	143	168
+	3	142	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	169
+	143	168
+	145	170
+	4	147	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	168
+	145	170
+	3	147	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	170
+	149	171
+	147	169
+	4	145	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	171
+	147	169
+	3	145	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	169
+	144	170
+	142	169
+	4	141	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	170
+	142	169
+	3	141	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	170
+	142	169
+	144	170
+	4	145	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	169
+	144	170
+	3	145	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	170
+	148	171
+	145	170
+	4	144	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	171
+	145	170
+	3	144	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	171
+	145	170
+	148	171
+	4	149	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	170
+	148	171
+	3	149	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	171
+	151	172
+	149	171
+	4	148	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	172
+	149	171
+	3	148	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	170
+	146	172
+	144	170
+	4	143	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	172
+	144	170
+	3	143	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	148	171
+	144	170
+	146	172
+	4	148	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	170
+	146	172
+	3	148	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	170
+	141	169
+	143	170
+	4	144	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	169
+	143	170
+	3	144	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	169
+	143	170
+	141	169
+	4	139	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	170
+	141	169
+	3	139	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	172
+	150	173
+	148	171
+	4	146	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	173
+	148	171
+	3	146	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	172
+	148	171
+	150	173
+	4	151	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	171
+	150	173
+	3	151	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	173
+	153	173
+	151	172
+	4	150	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	173
+	151	172
+	3	150	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	172
+	149	173
+	146	172
+	4	145	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	146	172
+	3	145	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	150	173
+	146	172
+	149	173
+	4	150	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	172
+	149	173
+	3	150	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	172
+	143	170
+	145	172
+	4	146	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	170
+	145	172
+	3	146	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	170
+	145	172
+	143	170
+	4	142	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	172
+	143	170
+	3	142	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	170
+	139	169
+	142	170
+	4	143	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	169
+	142	170
+	3	143	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	173
+	152	174
+	150	173
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	150	173
+	3	149	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	173
+	150	173
+	152	174
+	4	153	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	173
+	152	174
+	3	153	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	168
+	142	170
+	139	169
+	4	138	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	170
+	139	169
+	3	138	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	174
+	156	175
+	153	173
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	175
+	153	173
+	3	152	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	173
+	151	175
+	149	173
+	4	147	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	175
+	149	173
+	3	147	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	174
+	149	173
+	151	175
+	4	152	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	151	175
+	3	152	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	173
+	145	172
+	147	173
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	172
+	147	173
+	3	149	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	172
+	147	173
+	145	172
+	4	144	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	173
+	145	172
+	3	144	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	172
+	142	170
+	144	172
+	4	145	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	170
+	144	172
+	3	145	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	175
+	154	176
+	152	174
+	4	151	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	176
+	152	174
+	3	151	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	175
+	152	174
+	154	176
+	4	156	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	174
+	154	176
+	3	156	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	170
+	144	172
+	142	170
+	4	140	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	172
+	142	170
+	3	140	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	170
+	138	168
+	140	170
+	4	142	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	168
+	140	170
+	3	142	170	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	176
+	158	176
+	156	175
+	4	154	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	176
+	156	175
+	3	154	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	168
+	140	170
+	138	168
+	4	137	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	170
+	138	168
+	3	137	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	175
+	153	176
+	151	175
+	4	150	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	176
+	151	175
+	3	150	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	176
+	151	175
+	153	176
+	4	154	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	175
+	153	176
+	3	154	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	175
+	147	173
+	150	175
+	4	151	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	173
+	150	175
+	3	151	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	173
+	150	175
+	147	173
+	4	146	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	175
+	147	173
+	3	146	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	173
+	144	172
+	146	173
+	4	147	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	172
+	146	173
+	3	147	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	176
+	157	177
+	154	176
+	4	153	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	154	176
+	3	153	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	176
+	154	176
+	157	177
+	4	158	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	176
+	157	177
+	3	158	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	171
+	146	173
+	144	172
+	4	142	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	173
+	144	172
+	3	142	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	172
+	140	170
+	142	171
+	4	144	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	170
+	142	171
+	3	144	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	177
+	160	178
+	158	176
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	178
+	158	176
+	3	157	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	169
+	142	171
+	140	170
+	4	139	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	171
+	140	170
+	3	139	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	170
+	137	168
+	139	169
+	4	140	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	168
+	139	169
+	3	140	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	176
+	155	178
+	153	176
+	4	152	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	178
+	153	176
+	3	152	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	177
+	153	176
+	155	178
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	176
+	155	178
+	3	157	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	176
+	150	175
+	152	176
+	4	153	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	175
+	152	176
+	3	153	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	175
+	152	176
+	150	175
+	4	148	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	176
+	150	175
+	3	148	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	175
+	146	173
+	148	175
+	4	150	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	173
+	148	175
+	3	150	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	178
+	159	179
+	157	177
+	4	155	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	179
+	157	177
+	3	155	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	178
+	157	177
+	159	179
+	4	160	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	159	179
+	3	160	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	167
+	139	169
+	137	168
+	4	135	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	169
+	137	168
+	3	135	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	173
+	148	175
+	146	173
+	4	145	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	175
+	146	173
+	3	145	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	173
+	142	171
+	145	173
+	4	146	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	171
+	145	173
+	3	146	173	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	179
+	162	179
+	160	178
+	4	159	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	179
+	160	178
+	3	159	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	171
+	145	173
+	142	171
+	4	141	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	173
+	142	171
+	3	141	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	171
+	139	169
+	141	171
+	4	142	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	169
+	141	171
+	3	142	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	178
+	158	179
+	155	178
+	4	154	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	179
+	155	178
+	3	154	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	179
+	155	178
+	158	179
+	4	159	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	178
+	158	179
+	3	159	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	178
+	152	176
+	154	178
+	4	155	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	176
+	154	178
+	3	155	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	176
+	154	178
+	152	176
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	178
+	152	176
+	3	150	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	176
+	148	175
+	150	176
+	4	152	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	175
+	150	176
+	3	152	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	179
+	161	180
+	159	179
+	4	158	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	180
+	159	179
+	3	158	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	179
+	159	179
+	161	180
+	4	162	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	179
+	161	180
+	3	162	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	168
+	141	171
+	139	169
+	4	138	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	171
+	139	169
+	3	138	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	169
+	135	167
+	138	168
+	4	139	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	167
+	138	168
+	3	139	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	174
+	150	176
+	148	175
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	148	175
+	3	147	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	175
+	145	173
+	147	174
+	4	148	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	173
+	147	174
+	3	148	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	180
+	165	181
+	162	179
+	4	161	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	181
+	162	179
+	3	161	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	172
+	147	174
+	145	173
+	4	143	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	145	173
+	3	143	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	173
+	141	171
+	143	172
+	4	145	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	171
+	143	172
+	3	145	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	165
+	138	168
+	135	167
+	4	134	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	168
+	135	167
+	3	134	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	179
+	160	181
+	158	179
+	4	156	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	181
+	158	179
+	3	156	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	180
+	158	179
+	160	181
+	4	161	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	179
+	160	181
+	3	161	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	179
+	154	178
+	156	179
+	4	158	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	178
+	156	179
+	3	158	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	178
+	156	179
+	154	178
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	179
+	154	178
+	3	153	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	178
+	150	176
+	153	178
+	4	154	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	153	178
+	3	154	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	181
+	163	182
+	161	180
+	4	160	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	182
+	161	180
+	3	160	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	181
+	161	180
+	163	182
+	4	165	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	180
+	163	182
+	3	165	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	170
+	143	172
+	141	171
+	4	140	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	172
+	141	171
+	3	140	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	171
+	138	168
+	140	170
+	4	141	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	168
+	140	170
+	3	141	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	176
+	153	178
+	150	176
+	4	149	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	150	176
+	3	149	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	176
+	147	174
+	149	176
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	149	176
+	3	150	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	182
+	167	182
+	165	181
+	4	163	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	182
+	165	181
+	3	163	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	174
+	149	176
+	147	174
+	4	146	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	176
+	147	174
+	3	146	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	174
+	143	172
+	146	174
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	172
+	146	174
+	3	147	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	167
+	140	170
+	138	168
+	4	136	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	170
+	138	168
+	3	136	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	168
+	134	165
+	136	167
+	4	138	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	165
+	136	167
+	3	138	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	181
+	162	182
+	160	181
+	4	159	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	182
+	160	181
+	3	159	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	182
+	160	181
+	162	182
+	4	163	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	181
+	162	182
+	3	163	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	181
+	156	179
+	159	181
+	4	160	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	179
+	159	181
+	3	160	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	179
+	159	181
+	156	179
+	4	155	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	181
+	156	179
+	3	155	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	179
+	153	178
+	155	179
+	4	156	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	155	179
+	3	156	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	182
+	166	183
+	163	182
+	4	162	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	183
+	163	182
+	3	162	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	182
+	163	182
+	166	183
+	4	167	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	182
+	166	183
+	3	167	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	171
+	146	174
+	143	172
+	4	142	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	174
+	143	172
+	3	142	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	172
+	140	170
+	142	171
+	4	143	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	170
+	142	171
+	3	143	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	177
+	155	179
+	153	178
+	4	151	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	179
+	153	178
+	3	151	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	178
+	149	176
+	151	177
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	176
+	151	177
+	3	153	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	183
+	169	184
+	167	182
+	4	166	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	184
+	167	182
+	3	166	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	175
+	151	177
+	149	176
+	4	148	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	177
+	149	176
+	3	148	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	176
+	146	174
+	148	175
+	4	149	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	174
+	148	175
+	3	149	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	164
+	136	167
+	134	165
+	4	133	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	167
+	134	165
+	3	133	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	168
+	142	171
+	140	170
+	4	138	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	171
+	140	170
+	3	138	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	170
+	136	167
+	138	168
+	4	140	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	167
+	138	168
+	3	140	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	182
+	164	184
+	162	182
+	4	161	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	184
+	162	182
+	3	161	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	183
+	162	182
+	164	184
+	4	166	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	182
+	164	184
+	3	166	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	182
+	159	181
+	161	182
+	4	162	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	181
+	161	182
+	3	162	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	181
+	161	182
+	159	181
+	4	157	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	182
+	159	181
+	3	157	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	181
+	155	179
+	157	181
+	4	159	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	179
+	157	181
+	3	159	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	184
+	168	185
+	166	183
+	4	164	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	185
+	166	183
+	3	164	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	184
+	166	183
+	168	185
+	4	169	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	183
+	168	185
+	3	169	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	173
+	148	175
+	146	174
+	4	144	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	175
+	146	174
+	3	144	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	174
+	142	171
+	144	173
+	4	146	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	171
+	144	173
+	3	146	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	179
+	157	181
+	155	179
+	4	154	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	181
+	155	179
+	3	154	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	179
+	151	177
+	154	179
+	4	155	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	177
+	154	179
+	3	155	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	185
+	171	185
+	169	184
+	4	168	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	185
+	169	184
+	3	168	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	177
+	154	179
+	151	177
+	4	150	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	179
+	151	177
+	3	150	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	177
+	148	175
+	150	177
+	4	151	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	175
+	150	177
+	3	151	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	165
+	138	168
+	136	167
+	4	135	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	168
+	136	167
+	3	135	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	136	167
+	133	164
+	135	165
+	4	136	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	164
+	135	165
+	3	136	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	170
+	144	173
+	142	171
+	4	141	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	173
+	142	171
+	3	141	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	171
+	138	168
+	141	170
+	4	142	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	168
+	141	170
+	3	142	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	184
+	167	185
+	164	184
+	4	163	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	185
+	164	184
+	3	163	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	185
+	164	184
+	167	185
+	4	168	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	184
+	167	185
+	3	168	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	184
+	161	182
+	163	184
+	4	164	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	182
+	163	184
+	3	164	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	182
+	163	184
+	161	182
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	184
+	161	182
+	3	159	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	182
+	157	181
+	159	182
+	4	161	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	181
+	159	182
+	3	161	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	185
+	170	186
+	168	185
+	4	167	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	186
+	168	185
+	3	167	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	185
+	168	185
+	170	186
+	4	171	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	185
+	170	186
+	3	171	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	174
+	150	177
+	148	175
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	177
+	148	175
+	3	147	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	175
+	144	173
+	147	174
+	4	148	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	173
+	147	174
+	3	148	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	180
+	159	182
+	157	181
+	4	156	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	157	181
+	3	156	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	181
+	154	179
+	156	180
+	4	157	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	179
+	156	180
+	3	157	181	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	186
+	174	187
+	171	185
+	4	170	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	187
+	171	185
+	3	170	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	178
+	156	180
+	154	179
+	4	152	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	180
+	154	179
+	3	152	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	179
+	150	177
+	152	178
+	4	154	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	177
+	152	178
+	3	154	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	167
+	141	170
+	138	168
+	4	137	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	170
+	138	168
+	3	137	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	168
+	135	165
+	137	167
+	4	138	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	165
+	137	167
+	3	138	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	162
+	135	165
+	133	164
+	4	131	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	165
+	133	164
+	3	131	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	171
+	147	174
+	144	173
+	4	143	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	144	173
+	3	143	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	173
+	141	170
+	143	171
+	4	144	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	170
+	143	171
+	3	144	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	185
+	169	187
+	167	185
+	4	165	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	187
+	167	185
+	3	165	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	186
+	167	185
+	169	187
+	4	170	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	185
+	169	187
+	3	170	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	185
+	163	184
+	165	185
+	4	167	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	184
+	165	185
+	3	167	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	184
+	165	185
+	163	184
+	4	162	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	185
+	163	184
+	3	162	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	184
+	159	182
+	162	184
+	4	163	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	162	184
+	3	163	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	187
+	172	188
+	170	186
+	4	169	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	188
+	170	186
+	3	169	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	187
+	170	186
+	172	188
+	4	174	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	186
+	172	188
+	3	174	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	175
+	152	178
+	150	177
+	4	149	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	178
+	150	177
+	3	149	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	177
+	147	174
+	149	175
+	4	150	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	149	175
+	3	150	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	182
+	162	184
+	159	182
+	4	158	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	184
+	159	182
+	3	158	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	182
+	156	180
+	158	182
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	180
+	158	182
+	3	159	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	188
+	176	188
+	174	187
+	4	172	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	188
+	174	187
+	3	172	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	179
+	158	182
+	156	180
+	4	155	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	182
+	156	180
+	3	155	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	180
+	152	178
+	155	179
+	4	156	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	178
+	155	179
+	3	156	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	168
+	143	171
+	141	170
+	4	139	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	171
+	141	170
+	3	139	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	141	170
+	137	167
+	139	168
+	4	141	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	167
+	139	168
+	3	141	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	163
+	137	167
+	135	165
+	4	133	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	167
+	135	165
+	3	133	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	165
+	131	162
+	133	163
+	4	135	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	162
+	133	163
+	3	135	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	173
+	149	175
+	147	174
+	4	145	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	175
+	147	174
+	3	145	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	174
+	143	171
+	145	173
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	171
+	145	173
+	3	147	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	187
+	171	188
+	169	187
+	4	168	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	188
+	169	187
+	3	168	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	188
+	169	187
+	171	188
+	4	172	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	187
+	171	188
+	3	172	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	187
+	165	185
+	168	187
+	4	169	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	185
+	168	187
+	3	169	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	185
+	168	187
+	165	185
+	4	164	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	187
+	165	185
+	3	164	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	185
+	162	184
+	164	185
+	4	165	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	184
+	164	185
+	3	165	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	188
+	175	189
+	172	188
+	4	171	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	189
+	172	188
+	3	171	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	188
+	172	188
+	175	189
+	4	176	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	188
+	175	189
+	3	176	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	177
+	155	179
+	152	178
+	4	151	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	179
+	152	178
+	3	151	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	178
+	149	175
+	151	177
+	4	152	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	175
+	151	177
+	3	152	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	183
+	164	185
+	162	184
+	4	160	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	185
+	162	184
+	3	160	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	184
+	158	182
+	160	183
+	4	162	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	182
+	160	183
+	3	162	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	189
+	178	190
+	176	188
+	4	175	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	190
+	176	188
+	3	175	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	181
+	160	183
+	158	182
+	4	157	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	183
+	158	182
+	3	157	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	182
+	155	179
+	157	181
+	4	158	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	179
+	157	181
+	3	158	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	169
+	145	173
+	143	171
+	4	142	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	173
+	143	171
+	3	142	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	171
+	139	168
+	142	169
+	4	143	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	168
+	142	169
+	3	143	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	165
+	139	168
+	137	167
+	4	136	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	168
+	137	167
+	3	136	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	167
+	133	163
+	136	165
+	4	137	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	163
+	136	165
+	3	137	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	174
+	151	177
+	149	175
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	177
+	149	175
+	3	147	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	175
+	145	173
+	147	174
+	4	149	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	173
+	147	174
+	3	149	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	188
+	174	190
+	171	188
+	4	170	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	190
+	171	188
+	3	170	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	189
+	171	188
+	174	190
+	4	175	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	188
+	174	190
+	3	175	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	188
+	168	187
+	170	188
+	4	171	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	187
+	170	188
+	3	171	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	187
+	170	188
+	168	187
+	4	166	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	188
+	168	187
+	3	166	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	187
+	164	185
+	166	187
+	4	168	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	185
+	166	187
+	3	168	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	174	190
+	177	191
+	175	189
+	4	174	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	191
+	175	189
+	3	174	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	190
+	175	189
+	177	191
+	4	178	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	189
+	177	191
+	3	178	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	159
+	133	163
+	131	162
+	4	130	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	163
+	131	162
+	3	130	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	178
+	157	181
+	155	179
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	181
+	155	179
+	3	153	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	179
+	151	177
+	153	178
+	4	155	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	177
+	153	178
+	3	155	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	185
+	166	187
+	164	185
+	4	163	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	187
+	164	185
+	3	163	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	185
+	160	183
+	163	185
+	4	164	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	183
+	163	185
+	3	164	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	191
+	181	191
+	178	190
+	4	177	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	191
+	178	190
+	3	177	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	182
+	163	185
+	160	183
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	185
+	160	183
+	3	159	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	183
+	157	181
+	159	182
+	4	160	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	181
+	159	182
+	3	160	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	171
+	147	174
+	145	173
+	4	144	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	145	173
+	3	144	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	173
+	142	169
+	144	171
+	4	145	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	169
+	144	171
+	3	145	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	166
+	142	169
+	139	168
+	4	138	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	169
+	139	168
+	3	138	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	168
+	136	165
+	138	166
+	4	139	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	165
+	138	166
+	3	139	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	176
+	153	178
+	151	177
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	151	177
+	3	150	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	177
+	147	174
+	150	176
+	4	151	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	174
+	150	176
+	3	151	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	190
+	176	191
+	174	190
+	4	172	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	191
+	174	190
+	3	172	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	191
+	174	190
+	176	191
+	4	177	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	190
+	176	191
+	3	177	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	190
+	170	188
+	172	190
+	4	174	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	188
+	172	190
+	3	174	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	188
+	172	190
+	170	188
+	4	169	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	190
+	170	188
+	3	169	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	188
+	166	187
+	169	188
+	4	170	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	187
+	169	188
+	3	170	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	191
+	179	192
+	177	191
+	4	176	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	192
+	177	191
+	3	176	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	191
+	177	191
+	179	192
+	4	181	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	191
+	179	192
+	3	181	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	161
+	136	165
+	133	163
+	4	132	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	165
+	133	163
+	3	132	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	163
+	130	159
+	132	161
+	4	133	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	159
+	132	161
+	3	133	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	180
+	159	182
+	157	181
+	4	156	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	157	181
+	3	156	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	181
+	153	178
+	156	180
+	4	157	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	178
+	156	180
+	3	157	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	186
+	169	188
+	166	187
+	4	165	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	188
+	166	187
+	3	165	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	187
+	163	185
+	165	186
+	4	166	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	185
+	165	186
+	3	166	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	192
+	183	193
+	181	191
+	4	179	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	193
+	181	191
+	3	179	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	184
+	165	186
+	163	185
+	4	161	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	186
+	163	185
+	3	161	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	185
+	159	182
+	161	184
+	4	163	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	161	184
+	3	163	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	172
+	150	176
+	147	174
+	4	146	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	147	174
+	3	146	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	174
+	144	171
+	146	172
+	4	147	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	171
+	146	172
+	3	147	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	167
+	144	171
+	142	169
+	4	140	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	171
+	142	169
+	3	140	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	169
+	138	166
+	140	167
+	4	142	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	166
+	140	167
+	3	142	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	177
+	156	180
+	153	178
+	4	152	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	180
+	153	178
+	3	152	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	178
+	150	176
+	152	177
+	4	153	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	176
+	152	177
+	3	153	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	191
+	178	193
+	176	191
+	4	175	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	193
+	176	191
+	3	175	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	192
+	176	191
+	178	193
+	4	179	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	191
+	178	193
+	3	179	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	191
+	172	190
+	175	191
+	4	176	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	190
+	175	191
+	3	176	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	190
+	175	191
+	172	190
+	4	171	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	191
+	172	190
+	3	171	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	190
+	169	188
+	171	190
+	4	172	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	188
+	171	190
+	3	172	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	193
+	182	194
+	179	192
+	4	178	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	194
+	179	192
+	3	178	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	193
+	179	192
+	182	194
+	4	183	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	192
+	182	194
+	3	183	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	162
+	138	166
+	136	165
+	4	134	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	166
+	136	165
+	3	134	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	165
+	132	161
+	134	162
+	4	136	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	161
+	134	162
+	3	136	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	181
+	161	184
+	159	182
+	4	158	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	184
+	159	182
+	3	158	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	182
+	156	180
+	158	181
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	180
+	158	181
+	3	159	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	188
+	171	190
+	169	188
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	190
+	169	188
+	3	167	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	188
+	165	186
+	167	188
+	4	169	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	186
+	167	188
+	3	169	188	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	194
+	185	194
+	183	193
+	4	182	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	194
+	183	193
+	3	182	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	157
+	132	161
+	130	159
+	4	128	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	161
+	130	159
+	3	128	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	186
+	167	188
+	165	186
+	4	164	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	165	186
+	3	164	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	186
+	161	184
+	164	186
+	4	165	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	184
+	164	186
+	3	165	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	174
+	152	177
+	150	176
+	4	148	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	177
+	150	176
+	3	148	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	176
+	146	172
+	148	174
+	4	150	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	172
+	148	174
+	3	150	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	169
+	146	172
+	144	171
+	4	142	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	172
+	144	171
+	3	142	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	171
+	140	167
+	142	169
+	4	144	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	167
+	142	169
+	3	144	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	179
+	158	181
+	156	180
+	4	154	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	181
+	156	180
+	3	154	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	180
+	152	177
+	154	179
+	4	156	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	177
+	154	179
+	3	156	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	193
+	180	194
+	178	193
+	4	177	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	194
+	178	193
+	3	177	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	194
+	178	193
+	180	194
+	4	182	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	193
+	180	194
+	3	182	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	193
+	175	191
+	177	193
+	4	178	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	191
+	177	193
+	3	178	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	191
+	177	193
+	175	191
+	4	173	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	193
+	175	191
+	3	173	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	191
+	171	190
+	173	191
+	4	175	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	190
+	173	191
+	3	175	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	194
+	184	195
+	182	194
+	4	180	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	195
+	182	194
+	3	180	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	194
+	182	194
+	184	195
+	4	185	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	194
+	184	195
+	3	185	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	164
+	140	167
+	138	166
+	4	137	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	167
+	138	166
+	3	137	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	166
+	134	162
+	137	164
+	4	138	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	162
+	137	164
+	3	138	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	183
+	164	186
+	161	184
+	4	160	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	186
+	161	184
+	3	160	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	184
+	158	181
+	160	183
+	4	161	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	181
+	160	183
+	3	161	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	189
+	173	191
+	171	190
+	4	170	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	191
+	171	190
+	3	170	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	190
+	167	188
+	170	189
+	4	171	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	170	189
+	3	171	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	195
+	188	196
+	185	194
+	4	184	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	196
+	185	194
+	3	184	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	158
+	134	162
+	132	161
+	4	131	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	162
+	132	161
+	3	131	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	161
+	128	157
+	131	158
+	4	132	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	157
+	131	158
+	3	132	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	187
+	170	189
+	167	188
+	4	166	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	189
+	167	188
+	3	166	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	188
+	164	186
+	166	187
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	186
+	166	187
+	3	167	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	175
+	154	179
+	152	177
+	4	151	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	179
+	152	177
+	3	151	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	177
+	148	174
+	151	175
+	4	152	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	174
+	151	175
+	3	152	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	170
+	148	174
+	146	172
+	4	145	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	174
+	146	172
+	3	145	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	172
+	142	169
+	145	170
+	4	146	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	169
+	145	170
+	3	146	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	180
+	160	183
+	158	181
+	4	157	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	183
+	158	181
+	3	157	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	181
+	154	179
+	157	180
+	4	158	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	179
+	157	180
+	3	158	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	194
+	183	196
+	180	194
+	4	179	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	196
+	180	194
+	3	179	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	195
+	180	194
+	183	196
+	4	184	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	194
+	183	196
+	3	184	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	194
+	177	193
+	179	194
+	4	180	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	193
+	179	194
+	3	180	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	193
+	179	194
+	177	193
+	4	176	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	194
+	177	193
+	3	176	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	193
+	173	191
+	176	193
+	4	177	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	191
+	176	193
+	3	177	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	196
+	186	197
+	184	195
+	4	183	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	197
+	184	195
+	3	183	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	196
+	184	195
+	186	197
+	4	188	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	195
+	186	197
+	3	188	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	165
+	142	169
+	140	167
+	4	139	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	169
+	140	167
+	3	139	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	167
+	137	164
+	139	165
+	4	140	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	164
+	139	165
+	3	140	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	184
+	166	187
+	164	186
+	4	162	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	187
+	164	186
+	3	162	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	186
+	160	183
+	162	184
+	4	164	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	183
+	162	184
+	3	164	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	191
+	176	193
+	173	191
+	4	172	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	193
+	173	191
+	3	172	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	191
+	170	189
+	172	191
+	4	173	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	189
+	172	191
+	3	173	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	197
+	190	197
+	188	196
+	4	186	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	197
+	188	196
+	3	186	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	160
+	137	164
+	134	162
+	4	133	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	164
+	134	162
+	3	133	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	162
+	131	158
+	133	160
+	4	134	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	158
+	133	160
+	3	134	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	189
+	172	191
+	170	189
+	4	168	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	191
+	170	189
+	3	168	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	189
+	166	187
+	168	189
+	4	170	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	187
+	168	189
+	3	170	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	177
+	157	180
+	154	179
+	4	153	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	180
+	154	179
+	3	153	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	179
+	151	175
+	153	177
+	4	154	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	175
+	153	177
+	3	154	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	172
+	151	175
+	148	174
+	4	147	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	175
+	148	174
+	3	147	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	174
+	145	170
+	147	172
+	4	148	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	170
+	147	172
+	3	148	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	182
+	162	184
+	160	183
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	184
+	160	183
+	3	159	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	183
+	157	180
+	159	182
+	4	160	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	180
+	159	182
+	3	160	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	196
+	185	197
+	183	196
+	4	182	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	197
+	183	196
+	3	182	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	197
+	183	196
+	185	197
+	4	186	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	196
+	185	197
+	3	186	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	196
+	179	194
+	182	196
+	4	183	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	194
+	182	196
+	3	183	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	194
+	182	196
+	179	194
+	4	178	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	196
+	179	194
+	3	178	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	194
+	176	193
+	178	194
+	4	179	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	193
+	178	194
+	3	179	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	197
+	189	198
+	186	197
+	4	185	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	198
+	186	197
+	3	185	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	197
+	186	197
+	189	198
+	4	190	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	197
+	189	198
+	3	190	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	154
+	131	158
+	128	157
+	4	127	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	158
+	128	157
+	3	127	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	167
+	145	170
+	142	169
+	4	141	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	170
+	142	169
+	3	141	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	169
+	139	165
+	141	167
+	4	142	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	165
+	141	167
+	3	142	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	186
+	168	189
+	166	187
+	4	165	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	189
+	166	187
+	3	165	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	187
+	162	184
+	165	186
+	4	166	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	184
+	165	186
+	3	166	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	192
+	178	194
+	176	193
+	4	174	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	194
+	176	193
+	3	174	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	193
+	172	191
+	174	192
+	4	176	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	191
+	174	192
+	3	176	193	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	198
+	192	199
+	190	197
+	4	189	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	199
+	190	197
+	3	189	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	161
+	139	165
+	137	164
+	4	135	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	165
+	137	164
+	3	135	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	164
+	133	160
+	135	161
+	4	137	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	160
+	135	161
+	3	137	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	190
+	174	192
+	172	191
+	4	171	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	192
+	172	191
+	3	171	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	191
+	168	189
+	171	190
+	4	172	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	189
+	171	190
+	3	172	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	178
+	159	182
+	157	180
+	4	155	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	157	180
+	3	155	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	180
+	153	177
+	155	178
+	4	157	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	177
+	155	178
+	3	157	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	173
+	153	177
+	151	175
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	177
+	151	175
+	3	149	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	175
+	147	172
+	149	173
+	4	151	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	172
+	149	173
+	3	151	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	183
+	165	186
+	162	184
+	4	161	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	186
+	162	184
+	3	161	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	184
+	159	182
+	161	183
+	4	162	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	182
+	161	183
+	3	162	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	197
+	188	199
+	185	197
+	4	184	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	199
+	185	197
+	3	184	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	198
+	185	197
+	188	199
+	4	189	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	197
+	188	199
+	3	189	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	197
+	182	196
+	184	197
+	4	185	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	196
+	184	197
+	3	185	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	196
+	184	197
+	182	196
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	197
+	182	196
+	3	180	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	196
+	178	194
+	180	196
+	4	182	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	194
+	180	196
+	3	182	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	199
+	191	200
+	189	198
+	4	188	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	200
+	189	198
+	3	188	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	199
+	189	198
+	191	200
+	4	192	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	198
+	191	200
+	3	192	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	155
+	133	160
+	131	158
+	4	129	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	160
+	131	158
+	3	129	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	158
+	127	154
+	129	155
+	4	131	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	154
+	129	155
+	3	131	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	168
+	147	172
+	145	170
+	4	143	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	172
+	145	170
+	3	143	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	170
+	141	167
+	143	168
+	4	145	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	167
+	143	168
+	3	145	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	188
+	171	190
+	168	189
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	190
+	168	189
+	3	167	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	189
+	165	186
+	167	188
+	4	168	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	186
+	167	188
+	3	168	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	194
+	180	196
+	178	194
+	4	177	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	178	194
+	3	177	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	194
+	174	192
+	177	194
+	4	178	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	192
+	177	194
+	3	178	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	200
+	195	201
+	192	199
+	4	191	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	201
+	192	199
+	3	191	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	162
+	141	167
+	139	165
+	4	137	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	167
+	139	165
+	3	137	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	165
+	135	161
+	137	162
+	4	139	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	161
+	137	162
+	3	139	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	192
+	177	194
+	174	192
+	4	173	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	194
+	174	192
+	3	173	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	192
+	171	190
+	173	192
+	4	174	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	190
+	173	192
+	3	174	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	180
+	161	183
+	159	182
+	4	158	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	183
+	159	182
+	3	158	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	182
+	155	178
+	158	180
+	4	159	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	178
+	158	180
+	3	159	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	175
+	155	178
+	153	177
+	4	152	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	178
+	153	177
+	3	152	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	177
+	149	173
+	152	175
+	4	153	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	152	175
+	3	153	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	185
+	167	188
+	165	186
+	4	164	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	165	186
+	3	164	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	186
+	161	183
+	164	185
+	4	165	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	183
+	164	185
+	3	165	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	199
+	190	200
+	188	199
+	4	186	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	200
+	188	199
+	3	186	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	200
+	188	199
+	190	200
+	4	191	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	199
+	190	200
+	3	191	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	199
+	184	197
+	186	199
+	4	188	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	197
+	186	199
+	3	188	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	197
+	186	199
+	184	197
+	4	183	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	199
+	184	197
+	3	183	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	197
+	180	196
+	183	197
+	4	184	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	183	197
+	3	184	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	200
+	194	201
+	191	200
+	4	190	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	201
+	191	200
+	3	190	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	201
+	191	200
+	194	201
+	4	195	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	200
+	194	201
+	3	195	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	157
+	135	161
+	133	160
+	4	131	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	161
+	133	160
+	3	131	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	160
+	129	155
+	131	157
+	4	133	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	155
+	131	157
+	3	133	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	170
+	149	173
+	147	172
+	4	146	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	173
+	147	172
+	3	146	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	172
+	143	168
+	146	170
+	4	147	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	168
+	146	170
+	3	147	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	189
+	173	192
+	171	190
+	4	169	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	192
+	171	190
+	3	169	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	190
+	167	188
+	169	189
+	4	171	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	169	189
+	3	171	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	195
+	183	197
+	180	196
+	4	179	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	197
+	180	196
+	3	179	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	196
+	177	194
+	179	195
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	194
+	179	195
+	3	180	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	201
+	197	202
+	195	201
+	4	194	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	202
+	195	201
+	3	194	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	164
+	143	168
+	141	167
+	4	140	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	168
+	141	167
+	3	140	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	167
+	137	162
+	140	164
+	4	141	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	162
+	140	164
+	3	141	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	193
+	179	195
+	177	194
+	4	175	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	195
+	177	194
+	3	175	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	194
+	173	192
+	175	193
+	4	177	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	192
+	175	193
+	3	177	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	182
+	164	185
+	161	183
+	4	160	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	185
+	161	183
+	3	160	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	183
+	158	180
+	160	182
+	4	161	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	180
+	160	182
+	3	161	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	150
+	129	155
+	127	154
+	4	125	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	155
+	127	154
+	3	125	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	176
+	158	180
+	155	178
+	4	154	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	180
+	155	178
+	3	154	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	178
+	152	175
+	154	176
+	4	155	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	175
+	154	176
+	3	155	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	186
+	169	189
+	167	188
+	4	166	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	189
+	167	188
+	3	166	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	188
+	164	185
+	166	186
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	185
+	166	186
+	3	167	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	201
+	192	202
+	190	200
+	4	189	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	190	200
+	3	189	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	201
+	190	200
+	192	202
+	4	194	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	200
+	192	202
+	3	194	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	200
+	186	199
+	189	201
+	4	190	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	199
+	189	201
+	3	190	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	199
+	189	201
+	186	199
+	4	185	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	201
+	186	199
+	3	185	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	199
+	183	197
+	185	199
+	4	186	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	197
+	185	199
+	3	186	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	202
+	196	203
+	194	201
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	203
+	194	201
+	3	192	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	202
+	194	201
+	196	203
+	4	197	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	201
+	196	203
+	3	197	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	158
+	137	162
+	135	161
+	4	134	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	162
+	135	161
+	3	134	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	161
+	131	157
+	134	158
+	4	135	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	157
+	134	158
+	3	135	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	171
+	152	175
+	149	173
+	4	148	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	175
+	149	173
+	3	148	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	173
+	146	170
+	148	171
+	4	149	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	170
+	148	171
+	3	149	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	191
+	175	193
+	173	192
+	4	172	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	193
+	173	192
+	3	172	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	192
+	169	189
+	172	191
+	4	173	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	189
+	172	191
+	3	173	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	197
+	185	199
+	183	197
+	4	181	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	199
+	183	197
+	3	181	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	197
+	179	195
+	181	197
+	4	183	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	195
+	181	197
+	3	183	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	203
+	200	204
+	197	202
+	4	196	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	204
+	197	202
+	3	196	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	165
+	146	170
+	143	168
+	4	142	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	170
+	143	168
+	3	142	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	168
+	140	164
+	142	165
+	4	143	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	164
+	142	165
+	3	143	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	195
+	181	197
+	179	195
+	4	178	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	197
+	179	195
+	3	178	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	195
+	175	193
+	178	195
+	4	179	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	193
+	178	195
+	3	179	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	183
+	166	186
+	164	185
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	186
+	164	185
+	3	162	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	185
+	160	182
+	162	183
+	4	164	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	182
+	162	183
+	3	164	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	152
+	131	157
+	129	155
+	4	128	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	157
+	129	155
+	3	128	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	155
+	125	150
+	128	152
+	4	129	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	150
+	128	152
+	3	129	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	178
+	160	182
+	158	180
+	4	156	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	182
+	158	180
+	3	156	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	180
+	154	176
+	156	178
+	4	158	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	176
+	156	178
+	3	158	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	188
+	172	191
+	169	189
+	4	168	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	191
+	169	189
+	3	168	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	189
+	166	186
+	168	188
+	4	169	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	186
+	168	188
+	3	169	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	202
+	195	203
+	192	202
+	4	191	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	203
+	192	202
+	3	191	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	203
+	192	202
+	195	203
+	4	196	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	195	203
+	3	196	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	202
+	189	201
+	191	202
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	201
+	191	202
+	3	192	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	200
+	191	202
+	189	201
+	4	187	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	202
+	189	201
+	3	187	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	201
+	185	199
+	187	200
+	4	189	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	199
+	187	200
+	3	189	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	203
+	198	204
+	196	203
+	4	195	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	204
+	196	203
+	3	195	203	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	204
+	196	203
+	198	204
+	4	200	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	203
+	198	204
+	3	200	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	159
+	140	164
+	137	162
+	4	136	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	164
+	137	162
+	3	136	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	162
+	134	158
+	136	159
+	4	137	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	158
+	136	159
+	3	137	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	173
+	154	176
+	152	175
+	4	150	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	176
+	152	175
+	3	150	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	175
+	148	171
+	150	173
+	4	152	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	171
+	150	173
+	3	152	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	192
+	178	195
+	175	193
+	4	174	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	195
+	175	193
+	3	174	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	193
+	172	191
+	174	192
+	4	175	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	191
+	174	192
+	3	175	193	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	199
+	187	200
+	185	199
+	4	184	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	200
+	185	199
+	3	184	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	199
+	181	197
+	184	199
+	4	185	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	197
+	184	199
+	3	185	199	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	204
+	202	205
+	200	204
+	4	198	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	205
+	200	204
+	3	198	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	167
+	148	171
+	146	170
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	171
+	146	170
+	3	144	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	170
+	142	165
+	144	167
+	4	146	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	165
+	144	167
+	3	146	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	196
+	184	199
+	181	197
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	199
+	181	197
+	3	180	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	197
+	178	195
+	180	196
+	4	181	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	195
+	180	196
+	3	181	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	185
+	168	188
+	166	186
+	4	165	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	188
+	166	186
+	3	165	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	186
+	162	183
+	165	185
+	4	166	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	165	185
+	3	166	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	153
+	134	158
+	131	157
+	4	130	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	158
+	131	157
+	3	130	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	157
+	128	152
+	130	153
+	4	131	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	152
+	130	153
+	3	131	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	180
+	162	183
+	160	182
+	4	159	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	183
+	160	182
+	3	159	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	182
+	156	178
+	159	180
+	4	160	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	178
+	159	180
+	3	160	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	189
+	174	192
+	172	191
+	4	171	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	192
+	172	191
+	3	171	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	191
+	168	188
+	171	189
+	4	172	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	188
+	171	189
+	3	172	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	204
+	197	205
+	195	203
+	4	193	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	205
+	195	203
+	3	193	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	204
+	195	203
+	197	205
+	4	198	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	203
+	197	205
+	3	198	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	203
+	191	202
+	193	204
+	4	195	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	202
+	193	204
+	3	195	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	202
+	193	204
+	191	202
+	4	190	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	204
+	191	202
+	3	190	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	202
+	187	200
+	190	202
+	4	191	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	200
+	190	202
+	3	191	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	205
+	201	206
+	198	204
+	4	197	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	206
+	198	204
+	3	197	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	205
+	198	204
+	201	206
+	4	202	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	204
+	201	206
+	3	202	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	161
+	142	165
+	140	164
+	4	138	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	165
+	140	164
+	3	138	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	164
+	136	159
+	138	161
+	4	140	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	159
+	138	161
+	3	140	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	174
+	156	178
+	154	176
+	4	153	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	178
+	154	176
+	3	153	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	176
+	150	173
+	153	174
+	4	154	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	173
+	153	174
+	3	154	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	194
+	180	196
+	178	195
+	4	177	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	178	195
+	3	177	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	195
+	174	192
+	177	194
+	4	178	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	192
+	177	194
+	3	178	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	200
+	190	202
+	187	200
+	4	186	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	202
+	187	200
+	3	186	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	200
+	184	199
+	186	200
+	4	187	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	199
+	186	200
+	3	187	200	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	206
+	204	207
+	202	205
+	4	201	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	207
+	202	205
+	3	201	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	168
+	150	173
+	148	171
+	4	147	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	173
+	148	171
+	3	147	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	171
+	144	167
+	147	168
+	4	148	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	147	168
+	3	148	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	198
+	186	200
+	184	199
+	4	183	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	200
+	184	199
+	3	183	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	199
+	180	196
+	183	198
+	4	184	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	183	198
+	3	184	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	146
+	128	152
+	125	150
+	4	124	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	152
+	125	150
+	3	124	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	186
+	171	189
+	168	188
+	4	167	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	189
+	168	188
+	3	167	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	188
+	165	185
+	167	186
+	4	168	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	185
+	167	186
+	3	168	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	155
+	136	159
+	134	158
+	4	132	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	159
+	134	158
+	3	132	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	158
+	130	153
+	132	155
+	4	134	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	153
+	132	155
+	3	134	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	181
+	165	185
+	162	183
+	4	161	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	185
+	162	183
+	3	161	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	183
+	159	180
+	161	181
+	4	162	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	180
+	161	181
+	3	162	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	191
+	177	194
+	174	192
+	4	173	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	194
+	174	192
+	3	173	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	192
+	171	189
+	173	191
+	4	174	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	189
+	173	191
+	3	174	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	205
+	200	207
+	197	205
+	4	196	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	207
+	197	205
+	3	196	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	206
+	197	205
+	200	207
+	4	201	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	205
+	200	207
+	3	201	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	205
+	193	204
+	196	205
+	4	197	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	204
+	196	205
+	3	197	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	204
+	196	205
+	193	204
+	4	192	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	205
+	193	204
+	3	192	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	204
+	190	202
+	192	204
+	4	193	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	202
+	192	204
+	3	193	204	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	207
+	203	208
+	201	206
+	4	200	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	208
+	201	206
+	3	200	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	207
+	201	206
+	203	208
+	4	204	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	206
+	203	208
+	3	204	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	162
+	144	167
+	142	165
+	4	141	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	142	165
+	3	141	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	165
+	138	161
+	141	162
+	4	142	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	161
+	141	162
+	3	142	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	176
+	159	180
+	156	178
+	4	155	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	180
+	156	178
+	3	155	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	178
+	153	174
+	155	176
+	4	156	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	174
+	155	176
+	3	156	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	195
+	183	198
+	180	196
+	4	179	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	198
+	180	196
+	3	179	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	196
+	177	194
+	179	195
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	194
+	179	195
+	3	180	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	202
+	192	204
+	190	202
+	4	189	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	204
+	190	202
+	3	189	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	202
+	186	200
+	189	202
+	4	190	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	200
+	189	202
+	3	190	202	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	208
+	207	208
+	204	207
+	4	203	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	208
+	204	207
+	3	203	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	170
+	153	174
+	150	173
+	4	149	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	174
+	150	173
+	3	149	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	173
+	147	168
+	149	170
+	4	150	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	168
+	149	170
+	3	150	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	199
+	189	202
+	186	200
+	4	185	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	202
+	186	200
+	3	185	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	200
+	183	198
+	185	199
+	4	186	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	198
+	185	199
+	3	186	200	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	148
+	130	153
+	128	152
+	4	126	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	153
+	128	152
+	3	126	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	152
+	124	146
+	126	148
+	4	128	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	146
+	126	148
+	3	128	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	188
+	173	191
+	171	189
+	4	169	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	191
+	171	189
+	3	169	188	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	189
+	167	186
+	169	188
+	4	171	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	186
+	169	188
+	3	171	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	156
+	138	161
+	136	159
+	4	134	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	161
+	136	159
+	3	134	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	159
+	132	155
+	134	156
+	4	136	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	155
+	134	156
+	3	136	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	183
+	167	186
+	165	185
+	4	163	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	186
+	165	185
+	3	163	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	185
+	161	181
+	163	183
+	4	165	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	181
+	163	183
+	3	165	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	192
+	179	195
+	177	194
+	4	175	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	195
+	177	194
+	3	175	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	194
+	173	191
+	175	192
+	4	177	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	191
+	175	192
+	3	177	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	207
+	202	208
+	200	207
+	4	198	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	208
+	200	207
+	3	198	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	208
+	200	207
+	202	208
+	4	203	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	207
+	202	208
+	3	203	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	207
+	196	205
+	198	207
+	4	200	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	205
+	198	207
+	3	200	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	205
+	198	207
+	196	205
+	4	195	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	207
+	196	205
+	3	195	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	205
+	192	204
+	195	205
+	4	196	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	204
+	195	205
+	3	196	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	202	208
+	206	209
+	203	208
+	4	202	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	209
+	203	208
+	3	202	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	208
+	203	208
+	206	209
+	4	207	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	208
+	206	209
+	3	207	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	164
+	147	168
+	144	167
+	4	143	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	168
+	144	167
+	3	143	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	167
+	141	162
+	143	164
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	162
+	143	164
+	3	144	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	177
+	161	181
+	159	180
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	181
+	159	180
+	3	157	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	180
+	155	176
+	157	177
+	4	159	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	176
+	157	177
+	3	159	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	197
+	185	199
+	183	198
+	4	181	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	199
+	183	198
+	3	181	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	198
+	179	195
+	181	197
+	4	183	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	195
+	181	197
+	3	183	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	203
+	195	205
+	192	204
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	205
+	192	204
+	3	191	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	204
+	189	202
+	191	203
+	4	192	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	202
+	191	203
+	3	192	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	172
+	155	176
+	153	174
+	4	151	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	176
+	153	174
+	3	151	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	174
+	149	170
+	151	172
+	4	153	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	170
+	151	172
+	3	153	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	201
+	191	203
+	189	202
+	4	187	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	189	202
+	3	187	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	202
+	185	199
+	187	201
+	4	189	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	199
+	187	201
+	3	189	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	149
+	132	155
+	130	153
+	4	128	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	155
+	130	153
+	3	128	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	153
+	126	148
+	128	149
+	4	130	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	148
+	128	149
+	3	130	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	189
+	175	192
+	173	191
+	4	172	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	192
+	173	191
+	3	172	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	191
+	169	188
+	172	189
+	4	173	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	188
+	172	189
+	3	173	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	158
+	141	162
+	138	161
+	4	137	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	162
+	138	161
+	3	137	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	161
+	134	156
+	137	158
+	4	138	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	156
+	137	158
+	3	138	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	184
+	169	188
+	167	186
+	4	166	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	188
+	167	186
+	3	166	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	186
+	163	183
+	166	184
+	4	167	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	183
+	166	184
+	3	167	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	194
+	181	197
+	179	195
+	4	178	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	197
+	179	195
+	3	178	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	195
+	175	192
+	178	194
+	4	179	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	192
+	178	194
+	3	179	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	208
+	204	210
+	202	208
+	4	201	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	210
+	202	208
+	3	201	208	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	209
+	202	208
+	204	210
+	4	206	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	208
+	204	210
+	3	206	209	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	208
+	198	207
+	201	208
+	4	202	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	207
+	201	208
+	3	202	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	207
+	201	208
+	198	207
+	4	197	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	208
+	198	207
+	3	197	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	207
+	195	205
+	197	207
+	4	198	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	205
+	197	207
+	3	198	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	165
+	149	170
+	147	168
+	4	145	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	170
+	147	168
+	3	145	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	168
+	143	164
+	145	165
+	4	147	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	164
+	145	165
+	3	147	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	179
+	163	183
+	161	181
+	4	160	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	183
+	161	181
+	3	160	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	181
+	157	177
+	160	179
+	4	161	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	160	179
+	3	161	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	198
+	187	201
+	185	199
+	4	184	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	201
+	185	199
+	3	184	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	199
+	181	197
+	184	198
+	4	185	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	197
+	184	198
+	3	185	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	205
+	197	207
+	195	205
+	4	193	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	207
+	195	205
+	3	193	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	205
+	191	203
+	193	205
+	4	195	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	193	205
+	3	195	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	173
+	157	177
+	155	176
+	4	154	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	177
+	155	176
+	3	154	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	176
+	151	172
+	154	173
+	4	155	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	172
+	154	173
+	3	155	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	203
+	193	205
+	191	203
+	4	190	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	205
+	191	203
+	3	190	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	203
+	187	201
+	190	203
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	201
+	190	203
+	3	191	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	151
+	134	156
+	132	155
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	156
+	132	155
+	3	131	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	155
+	128	149
+	131	151
+	4	132	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	149
+	131	151
+	3	132	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	191
+	178	194
+	175	192
+	4	174	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	194
+	175	192
+	3	174	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	192
+	172	189
+	174	191
+	4	175	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	189
+	174	191
+	3	175	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	122	142
+	126	148
+	124	146
+	4	122	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	148
+	124	146
+	3	122	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	159
+	143	164
+	141	162
+	4	139	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	164
+	141	162
+	3	139	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	162
+	137	158
+	139	159
+	4	141	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	158
+	139	159
+	3	141	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	186
+	172	189
+	169	188
+	4	168	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	189
+	169	188
+	3	168	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	188
+	166	184
+	168	186
+	4	169	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	184
+	168	186
+	3	169	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	196
+	184	198
+	181	197
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	198
+	181	197
+	3	180	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	197
+	178	194
+	180	196
+	4	181	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	194
+	180	196
+	3	181	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	210
+	201	208
+	203	210
+	4	204	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	208
+	203	210
+	3	204	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	208
+	203	210
+	201	208
+	4	199	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	210
+	201	208
+	3	199	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	208
+	197	207
+	199	208
+	4	201	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	207
+	199	208
+	3	201	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	167
+	151	172
+	149	170
+	4	147	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	172
+	149	170
+	3	147	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	170
+	145	165
+	147	167
+	4	149	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	165
+	147	167
+	3	149	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	180
+	166	184
+	163	183
+	4	162	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	184
+	163	183
+	3	162	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	183
+	160	179
+	162	180
+	4	163	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	179
+	162	180
+	3	163	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	200
+	190	203
+	187	201
+	4	186	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	203
+	187	201
+	3	186	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	201
+	184	198
+	186	200
+	4	187	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	198
+	186	200
+	3	187	201	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	206
+	199	208
+	197	207
+	4	196	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	208
+	197	207
+	3	196	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	207
+	193	205
+	196	206
+	4	197	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	205
+	196	206
+	3	197	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	175
+	160	179
+	157	177
+	4	156	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	179
+	157	177
+	3	156	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	177
+	154	173
+	156	175
+	4	157	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	173
+	156	175
+	3	157	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	204
+	196	206
+	193	205
+	4	192	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	206
+	193	205
+	3	192	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	205
+	190	203
+	192	204
+	4	193	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	203
+	192	204
+	3	193	205	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	152
+	137	158
+	134	156
+	4	133	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	158
+	134	156
+	3	133	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	156
+	131	151
+	133	152
+	4	134	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	133	152
+	3	134	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	192
+	180	196
+	178	194
+	4	176	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	178	194
+	3	176	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	194
+	174	191
+	176	192
+	4	178	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	191
+	176	192
+	3	178	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	144
+	128	149
+	126	148
+	4	125	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	149
+	126	148
+	3	125	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	148
+	122	142
+	125	144
+	4	126	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	142
+	125	144
+	3	126	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	161
+	145	165
+	143	164
+	4	141	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	165
+	143	164
+	3	141	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	164
+	139	159
+	141	161
+	4	143	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	159
+	141	161
+	3	143	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	187
+	174	191
+	172	189
+	4	170	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	191
+	172	189
+	3	170	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	189
+	168	186
+	170	187
+	4	172	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	186
+	170	187
+	3	172	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	197
+	186	200
+	184	198
+	4	182	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	200
+	184	198
+	3	182	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	198
+	180	196
+	182	197
+	4	184	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	196
+	182	197
+	3	184	198	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	210
+	199	208
+	202	210
+	4	203	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	208
+	202	210
+	3	203	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	169
+	154	173
+	151	172
+	4	150	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	173
+	151	172
+	3	150	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	172
+	147	167
+	150	169
+	4	151	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	167
+	150	169
+	3	151	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	182
+	168	186
+	166	184
+	4	164	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	186
+	166	184
+	3	164	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	184
+	162	180
+	164	182
+	4	166	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	180
+	164	182
+	3	166	184	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	202
+	192	204
+	190	203
+	4	189	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	204
+	190	203
+	3	189	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	203
+	186	200
+	189	202
+	4	190	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	200
+	189	202
+	3	190	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	208
+	202	210
+	199	208
+	4	198	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	210
+	199	208
+	3	198	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	208
+	196	206
+	198	208
+	4	199	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	206
+	198	208
+	3	199	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	176
+	162	180
+	160	179
+	4	158	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	180
+	160	179
+	3	158	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	179
+	156	175
+	158	176
+	4	160	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	175
+	158	176
+	3	160	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	206
+	198	208
+	196	206
+	4	195	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	208
+	196	206
+	3	195	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	206
+	192	204
+	195	206
+	4	196	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	204
+	195	206
+	3	196	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	154
+	139	159
+	137	158
+	4	135	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	159
+	137	158
+	3	135	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	158
+	133	152
+	135	154
+	4	137	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	152
+	135	154
+	3	137	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	194
+	182	197
+	180	196
+	4	179	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	197
+	180	196
+	3	179	194	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	196
+	176	192
+	179	194
+	4	180	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	192
+	179	194
+	3	180	196	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	145
+	131	151
+	128	149
+	4	127	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	151
+	128	149
+	3	127	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	149
+	125	144
+	127	145
+	4	128	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	144
+	127	145
+	3	128	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	162
+	147	167
+	145	165
+	4	144	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	167
+	145	165
+	3	144	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	165
+	141	161
+	144	162
+	4	145	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	161
+	144	162
+	3	145	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	189
+	176	192
+	174	191
+	4	173	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	192
+	174	191
+	3	173	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	191
+	170	187
+	173	189
+	4	174	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	187
+	173	189
+	3	174	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	199
+	189	202
+	186	200
+	4	185	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	202
+	186	200
+	3	185	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	200
+	182	197
+	185	199
+	4	186	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	197
+	185	199
+	3	186	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	170
+	156	175
+	154	173
+	4	152	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	175
+	154	173
+	3	152	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	173
+	150	169
+	152	170
+	4	154	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	169
+	152	170
+	3	154	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	183
+	170	187
+	168	186
+	4	167	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	187
+	168	186
+	3	167	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	186
+	164	182
+	167	183
+	4	168	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	182
+	167	183
+	3	168	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	203
+	195	206
+	192	204
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	206
+	192	204
+	3	191	203	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	204
+	189	202
+	191	203
+	4	192	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	202
+	191	203
+	3	192	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	210
+	198	208
+	201	210
+	4	202	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	208
+	201	210
+	3	202	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	178
+	164	182
+	162	180
+	4	161	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	182
+	162	180
+	3	161	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	180
+	158	176
+	161	178
+	4	162	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	176
+	161	178
+	3	162	180	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	207
+	201	210
+	198	208
+	4	197	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	210
+	198	208
+	3	197	207	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	208
+	195	206
+	197	207
+	4	198	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	206
+	197	207
+	3	198	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	155
+	141	161
+	139	159
+	4	138	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	161
+	139	159
+	3	138	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	159
+	135	154
+	138	155
+	4	139	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	154
+	138	155
+	3	139	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	196
+	185	199
+	182	197
+	4	181	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	199
+	182	197
+	3	181	196	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	182	197
+	179	194
+	181	196
+	4	182	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	194
+	181	196
+	3	182	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	147
+	133	152
+	131	151
+	4	129	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	152
+	131	151
+	3	129	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	151
+	127	145
+	129	147
+	4	131	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	145
+	129	147
+	3	131	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	164
+	150	169
+	147	167
+	4	146	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	169
+	147	167
+	3	146	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	167
+	144	162
+	146	164
+	4	147	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	162
+	146	164
+	3	147	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	190
+	179	194
+	176	192
+	4	175	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	194
+	176	192
+	3	175	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	192
+	173	189
+	175	190
+	4	176	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	189
+	175	190
+	3	176	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	200
+	191	203
+	189	202
+	4	187	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	189	202
+	3	187	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	202
+	185	199
+	187	200
+	4	189	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	199
+	187	200
+	3	189	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	138
+	125	144
+	122	142
+	4	121	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	144
+	122	142
+	3	121	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	172
+	158	176
+	156	175
+	4	155	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	176
+	156	175
+	3	155	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	175
+	152	170
+	155	172
+	4	156	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	170
+	155	172
+	3	156	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	185
+	173	189
+	170	187
+	4	169	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	189
+	170	187
+	3	169	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	187
+	167	183
+	169	185
+	4	170	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	183
+	169	185
+	3	170	187	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	205
+	197	207
+	195	206
+	4	193	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	207
+	195	206
+	3	193	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	206
+	191	203
+	193	205
+	4	195	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	203
+	193	205
+	3	195	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	179
+	167	183
+	164	182
+	4	163	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	183
+	164	182
+	3	163	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	182
+	161	178
+	163	179
+	4	164	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	178
+	163	179
+	3	164	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	201	210
+	197	207
+	199	209
+	4	201	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	207
+	199	209
+	3	201	210	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	157
+	144	162
+	141	161
+	4	140	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	162
+	141	161
+	3	140	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	161
+	138	155
+	140	157
+	4	141	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	155
+	140	157
+	3	141	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	197
+	187	200
+	185	199
+	4	184	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	200
+	185	199
+	3	184	197	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	199
+	181	196
+	184	197
+	4	185	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	196
+	184	197
+	3	185	199	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	148
+	135	154
+	133	152
+	4	131	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	154
+	133	152
+	3	131	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	152
+	129	147
+	131	148
+	4	133	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	147
+	131	148
+	3	133	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	165
+	152	170
+	150	169
+	4	148	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	170
+	150	169
+	3	148	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	169
+	146	164
+	148	165
+	4	150	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	164
+	148	165
+	3	150	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	192
+	181	196
+	179	194
+	4	178	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	196
+	179	194
+	3	178	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	194
+	175	190
+	178	192
+	4	179	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	190
+	178	192
+	3	179	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	202
+	193	205
+	191	203
+	4	190	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	205
+	191	203
+	3	190	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	203
+	187	200
+	190	202
+	4	191	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	200
+	190	202
+	3	191	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	139
+	127	145
+	125	144
+	4	123	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	145
+	125	144
+	3	123	139	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	125	144
+	121	138
+	123	139
+	4	125	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	138
+	123	139
+	3	125	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	173
+	161	178
+	158	176
+	4	157	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	178
+	158	176
+	3	157	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	176
+	155	172
+	157	173
+	4	158	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	172
+	157	173
+	3	158	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	187
+	175	190
+	173	189
+	4	171	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	190
+	173	189
+	3	171	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	189
+	169	185
+	171	187
+	4	173	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	185
+	171	187
+	3	173	189	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	206
+	199	209
+	197	207
+	4	196	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	209
+	197	207
+	3	196	206	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	207
+	193	205
+	196	206
+	4	197	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	205
+	196	206
+	3	197	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	181
+	169	185
+	167	183
+	4	165	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	185
+	167	183
+	3	165	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	183
+	163	179
+	165	181
+	4	167	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	179
+	165	181
+	3	167	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	158
+	146	164
+	144	162
+	4	142	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	164
+	144	162
+	3	142	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	162
+	140	157
+	142	158
+	4	144	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	157
+	142	158
+	3	144	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	199
+	190	202
+	187	200
+	4	186	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	202
+	187	200
+	3	186	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	200
+	184	197
+	186	199
+	4	187	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	197
+	186	199
+	3	187	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	150
+	138	155
+	135	154
+	4	134	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	155
+	135	154
+	3	134	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	154
+	131	148
+	134	150
+	4	135	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	148
+	134	150
+	3	135	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	167
+	155	172
+	152	170
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	172
+	152	170
+	3	151	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	170
+	148	165
+	151	167
+	4	152	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	165
+	151	167
+	3	152	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	194
+	184	197
+	181	196
+	4	180	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	197
+	181	196
+	3	180	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	196
+	178	192
+	180	194
+	4	181	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	192
+	180	194
+	3	181	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	204
+	196	206
+	193	205
+	4	192	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	206
+	193	205
+	3	192	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	205
+	190	202
+	192	204
+	4	193	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	202
+	192	204
+	3	193	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	141
+	129	147
+	127	145
+	4	125	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	147
+	127	145
+	3	125	141	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	145
+	123	139
+	125	141
+	4	127	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	139
+	125	141
+	3	127	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	175
+	163	179
+	161	178
+	4	159	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	179
+	161	178
+	3	159	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	178
+	157	173
+	159	175
+	4	161	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	173
+	159	175
+	3	161	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	188
+	178	192
+	175	190
+	4	174	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	192
+	175	190
+	3	174	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	190
+	171	187
+	174	188
+	4	175	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	187
+	174	188
+	3	175	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	209
+	196	206
+	198	208
+	4	199	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	206
+	198	208
+	3	199	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	182
+	171	187
+	169	185
+	4	168	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	187
+	169	185
+	3	168	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	185
+	165	181
+	168	182
+	4	169	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	181
+	168	182
+	3	169	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	160
+	148	165
+	146	164
+	4	145	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	165
+	146	164
+	3	145	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	164
+	142	158
+	145	160
+	4	146	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	158
+	145	160
+	3	146	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	200
+	192	204
+	190	202
+	4	189	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	204
+	190	202
+	3	189	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	202
+	186	199
+	189	200
+	4	190	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	199
+	189	200
+	3	190	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	151
+	140	157
+	138	155
+	4	136	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	157
+	138	155
+	3	136	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	155
+	134	150
+	136	151
+	4	138	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	150
+	136	151
+	3	138	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	168
+	157	173
+	155	172
+	4	153	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	173
+	155	172
+	3	153	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	172
+	151	167
+	153	168
+	4	155	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	153	168
+	3	155	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	195
+	186	199
+	184	197
+	4	182	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	199
+	184	197
+	3	182	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	197
+	180	194
+	182	195
+	4	184	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	194
+	182	195
+	3	184	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	205
+	198	208
+	196	206
+	4	195	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	208
+	196	206
+	3	195	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	206
+	192	204
+	195	205
+	4	196	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	204
+	195	205
+	3	196	206	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	142
+	131	148
+	129	147
+	4	128	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	148
+	129	147
+	3	128	142	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	129	147
+	125	141
+	128	142
+	4	129	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	141
+	128	142
+	3	129	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	176
+	165	181
+	163	179
+	4	162	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	181
+	163	179
+	3	162	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	179
+	159	175
+	162	176
+	4	163	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	175
+	162	176
+	3	163	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	190
+	180	194
+	178	192
+	4	176	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	194
+	178	192
+	3	176	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	192
+	174	188
+	176	190
+	4	178	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	188
+	176	190
+	3	178	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	133
+	123	139
+	121	138
+	4	119	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	139
+	121	138
+	3	119	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	184
+	174	188
+	171	187
+	4	170	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	188
+	171	187
+	3	170	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	187
+	168	182
+	170	184
+	4	171	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	182
+	170	184
+	3	171	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	161
+	151	167
+	148	165
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	167
+	148	165
+	3	147	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	165
+	145	160
+	147	161
+	4	148	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	160
+	147	161
+	3	148	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	202
+	195	205
+	192	204
+	4	191	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	205
+	192	204
+	3	191	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	204
+	189	200
+	191	202
+	4	192	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	200
+	191	202
+	3	192	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	153
+	142	158
+	140	157
+	4	138	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	158
+	140	157
+	3	138	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	157
+	136	151
+	138	153
+	4	140	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	151
+	138	153
+	3	140	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	170
+	159	175
+	157	173
+	4	156	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	175
+	157	173
+	3	156	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	173
+	153	168
+	156	170
+	4	157	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	168
+	156	170
+	3	157	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	197
+	189	200
+	186	199
+	4	185	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	200
+	186	199
+	3	185	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	199
+	182	195
+	185	197
+	4	186	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	195
+	185	197
+	3	186	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	208
+	195	205
+	197	207
+	4	198	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	205
+	197	207
+	3	198	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	144
+	134	150
+	131	148
+	4	130	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	150
+	131	148
+	3	130	144	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	148
+	128	142
+	130	144
+	4	131	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	142
+	130	144
+	3	131	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	178
+	168	182
+	165	181
+	4	164	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	182
+	165	181
+	3	164	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	181
+	162	176
+	164	178
+	4	165	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	176
+	164	178
+	3	165	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	191
+	182	195
+	180	194
+	4	179	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	195
+	180	194
+	3	179	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	194
+	176	190
+	179	191
+	4	180	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	190
+	179	191
+	3	180	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	134
+	125	141
+	123	139
+	4	121	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	141
+	123	139
+	3	121	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	139
+	119	133
+	121	134
+	4	123	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	133
+	121	134
+	3	123	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	186
+	176	190
+	174	188
+	4	173	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	190
+	174	188
+	3	173	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	188
+	170	184
+	173	186
+	4	174	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	184
+	173	186
+	3	174	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	163
+	153	168
+	151	167
+	4	149	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	168
+	151	167
+	3	149	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	167
+	147	161
+	149	163
+	4	151	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	149	163
+	3	151	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	193	204
+	197	207
+	195	205
+	4	193	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	207
+	195	205
+	3	193	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	205
+	191	202
+	193	204
+	4	195	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	202
+	193	204
+	3	195	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	154
+	145	160
+	142	158
+	4	141	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	160
+	142	158
+	3	141	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	158
+	138	153
+	141	154
+	4	142	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	153
+	141	154
+	3	142	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	171
+	162	176
+	159	175
+	4	158	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	176
+	159	175
+	3	158	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	175
+	156	170
+	158	171
+	4	159	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	170
+	158	171
+	3	159	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	198
+	191	202
+	189	200
+	4	187	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	202
+	189	200
+	3	187	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	200
+	185	197
+	187	198
+	4	189	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	197
+	187	198
+	3	189	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	145
+	136	151
+	134	150
+	4	132	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	151
+	134	150
+	3	132	145	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	134	150
+	130	144
+	132	145
+	4	134	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	144
+	132	145
+	3	134	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	179
+	170	184
+	168	182
+	4	166	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	184
+	168	182
+	3	166	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	182
+	164	178
+	166	179
+	4	168	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	178
+	166	179
+	3	168	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	193
+	185	197
+	182	195
+	4	181	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	197
+	182	195
+	3	181	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	195
+	179	191
+	181	193
+	4	182	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	191
+	181	193
+	3	182	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	124	136
+	128	142
+	125	141
+	4	124	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	142
+	125	141
+	3	124	136	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	125	141
+	121	134
+	124	136
+	4	125	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	134
+	124	136
+	3	125	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	187
+	179	191
+	176	190
+	4	175	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	191
+	176	190
+	3	175	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	190
+	173	186
+	175	187
+	4	176	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	186
+	175	187
+	3	176	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	165
+	156	170
+	153	168
+	4	152	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	170
+	153	168
+	3	152	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	168
+	149	163
+	152	165
+	4	153	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	163
+	152	165
+	3	153	168	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	207
+	193	204
+	196	205
+	4	197	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	204
+	196	205
+	3	197	207	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	156
+	147	161
+	145	160
+	4	143	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	161
+	145	160
+	3	143	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	160
+	141	154
+	143	156
+	4	145	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	154
+	143	156
+	3	145	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	173
+	164	178
+	162	176
+	4	160	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	178
+	162	176
+	3	160	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	176
+	158	171
+	160	173
+	4	162	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	171
+	160	173
+	3	162	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	200
+	193	204
+	191	202
+	4	190	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	204
+	191	202
+	3	190	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	202
+	187	198
+	190	200
+	4	191	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	198
+	190	200
+	3	191	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	147
+	138	153
+	136	151
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	153
+	136	151
+	3	135	147	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	151
+	132	145
+	135	147
+	4	136	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	145
+	135	147
+	3	136	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	181
+	173	186
+	170	184
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	186
+	170	184
+	3	169	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	184
+	166	179
+	169	181
+	4	170	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	179
+	169	181
+	3	170	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	195
+	187	198
+	185	197
+	4	184	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	198
+	185	197
+	3	184	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	197
+	181	193
+	184	195
+	4	185	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	193
+	184	195
+	3	185	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	137
+	130	144
+	128	142
+	4	126	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	144
+	128	142
+	3	126	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	142
+	124	136
+	126	137
+	4	128	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	136
+	126	137
+	3	128	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	189
+	181	193
+	179	191
+	4	177	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	193
+	179	191
+	3	177	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	191
+	175	187
+	177	189
+	4	179	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	187
+	177	189
+	3	179	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	166
+	158	171
+	156	170
+	4	154	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	171
+	156	170
+	3	154	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	170
+	152	165
+	154	166
+	4	156	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	165
+	154	166
+	3	156	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	157
+	149	163
+	147	161
+	4	146	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	163
+	147	161
+	3	146	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	161
+	143	156
+	146	157
+	4	147	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	156
+	146	157
+	3	147	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	174
+	166	179
+	164	178
+	4	163	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	179
+	164	178
+	3	163	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	178
+	160	173
+	163	174
+	4	164	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	173
+	163	174
+	3	164	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	202
+	196	205
+	193	204
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	205
+	193	204
+	3	192	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	204
+	190	200
+	192	202
+	4	193	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	200
+	192	202
+	3	193	204	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	148
+	141	154
+	138	153
+	4	137	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	154
+	138	153
+	3	137	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	138	153
+	135	147
+	137	148
+	4	138	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	137	148
+	3	138	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	128
+	121	134
+	119	133
+	4	117	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	134
+	119	133
+	3	117	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	183
+	175	187
+	173	186
+	4	171	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	187
+	173	186
+	3	171	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	186
+	169	181
+	171	183
+	4	173	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	171	183
+	3	173	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	196
+	190	200
+	187	198
+	4	186	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	200
+	187	198
+	3	186	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	198
+	184	195
+	186	196
+	4	187	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	195
+	186	196
+	3	187	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	139
+	132	145
+	130	144
+	4	128	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	145
+	130	144
+	3	128	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	130	144
+	126	137
+	128	139
+	4	130	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	137
+	128	139
+	3	130	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	190
+	184	195
+	181	193
+	4	180	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	195
+	181	193
+	3	180	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	193
+	177	189
+	180	190
+	4	181	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	189
+	180	190
+	3	181	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	168
+	160	173
+	158	171
+	4	157	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	173
+	158	171
+	3	157	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	171
+	154	166
+	157	168
+	4	158	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	166
+	157	168
+	3	158	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	148	159
+	152	165
+	149	163
+	4	148	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	165
+	149	163
+	3	148	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	163
+	146	157
+	148	159
+	4	149	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	157
+	148	159
+	3	149	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	176
+	169	181
+	166	179
+	4	165	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	181
+	166	179
+	3	165	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	179
+	163	174
+	165	176
+	4	166	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	174
+	165	176
+	3	166	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	205
+	192	202
+	195	203
+	4	196	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	195	203
+	3	196	205	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	150
+	143	156
+	141	154
+	4	139	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	156
+	141	154
+	3	139	150	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	141	154
+	137	148
+	139	150
+	4	141	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	148
+	139	150
+	3	141	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	129
+	124	136
+	121	134
+	4	120	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	136
+	121	134
+	3	120	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	134
+	117	128
+	120	129
+	4	121	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	128
+	120	129
+	3	121	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	184
+	177	189
+	175	187
+	4	174	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	189
+	175	187
+	3	174	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	187
+	171	183
+	174	184
+	4	175	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	183
+	174	184
+	3	175	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	198
+	192	202
+	190	200
+	4	189	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	202
+	190	200
+	3	189	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	200
+	186	196
+	189	198
+	4	190	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	196
+	189	198
+	3	190	200	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	140
+	135	147
+	132	145
+	4	131	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	147
+	132	145
+	3	131	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	145
+	128	139
+	131	140
+	4	132	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	139
+	131	140
+	3	132	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	192
+	186	196
+	184	195
+	4	182	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	196
+	184	195
+	3	182	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	195
+	180	190
+	182	192
+	4	184	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	190
+	182	192
+	3	184	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	169
+	163	174
+	160	173
+	4	159	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	174
+	160	173
+	3	159	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	173
+	157	168
+	159	169
+	4	160	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	168
+	159	169
+	3	160	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	160
+	154	166
+	152	165
+	4	150	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	166
+	152	165
+	3	150	160	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	165
+	148	159
+	150	160
+	4	152	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	159
+	150	160
+	3	152	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	178
+	171	183
+	169	181
+	4	168	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	183
+	169	181
+	3	168	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	181
+	165	176
+	168	178
+	4	169	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	176
+	168	178
+	3	169	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	151
+	146	157
+	143	156
+	4	142	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	157
+	143	156
+	3	142	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	143	156
+	139	150
+	142	151
+	4	143	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	150
+	142	151
+	3	143	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	131
+	126	137
+	124	136
+	4	122	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	137
+	124	136
+	3	122	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	136
+	120	129
+	122	131
+	4	124	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	129
+	122	131
+	3	124	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	186
+	180	190
+	177	189
+	4	176	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	190
+	177	189
+	3	176	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	189
+	174	184
+	176	186
+	4	177	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	184
+	176	186
+	3	177	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	199
+	195	203
+	192	202
+	4	191	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	203
+	192	202
+	3	191	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	202
+	189	198
+	191	199
+	4	192	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	198
+	191	199
+	3	192	202	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	142
+	137	148
+	135	147
+	4	133	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	148
+	135	147
+	3	133	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	147
+	131	140
+	133	142
+	4	135	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	140
+	133	142
+	3	135	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	194
+	189	198
+	186	196
+	4	185	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	198
+	186	196
+	3	185	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	196
+	182	192
+	185	194
+	4	186	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	192
+	185	194
+	3	186	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	171
+	165	176
+	163	174
+	4	161	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	176
+	163	174
+	3	161	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	174
+	159	169
+	161	171
+	4	163	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	169
+	161	171
+	3	163	174	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	162
+	157	168
+	154	166
+	4	153	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	168
+	154	166
+	3	153	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	166
+	150	160
+	153	162
+	4	154	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	160
+	153	162
+	3	154	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	179
+	174	184
+	171	183
+	4	170	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	184
+	171	183
+	3	170	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	183
+	168	178
+	170	179
+	4	171	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	178
+	170	179
+	3	171	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	153
+	148	159
+	146	157
+	4	144	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	159
+	146	157
+	3	144	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	146	157
+	142	151
+	144	153
+	4	146	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	151
+	144	153
+	3	146	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	132
+	128	139
+	126	137
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	139
+	126	137
+	3	124	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	137
+	122	131
+	124	132
+	4	126	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	131
+	124	132
+	3	126	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	187
+	182	192
+	180	190
+	4	179	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	192
+	180	190
+	3	179	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	190
+	176	186
+	179	187
+	4	180	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	186
+	179	187
+	3	180	190	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	203
+	191	199
+	194	201
+	4	195	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	199
+	194	201
+	3	195	203	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	143
+	139	150
+	137	148
+	4	135	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	150
+	137	148
+	3	135	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	148
+	133	142
+	135	143
+	4	137	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	142
+	135	143
+	3	137	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	195
+	191	199
+	189	198
+	4	187	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	199
+	189	198
+	3	187	195	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	198
+	185	194
+	187	195
+	4	189	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	194
+	187	195
+	3	189	198	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	172
+	168	178
+	165	176
+	4	164	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	178
+	165	176
+	3	164	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	176
+	161	171
+	164	172
+	4	165	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	171
+	164	172
+	3	165	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	164
+	159	169
+	157	168
+	4	155	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	169
+	157	168
+	3	155	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	168
+	153	162
+	155	164
+	4	157	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	162
+	155	164
+	3	157	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	122
+	120	129
+	117	128
+	4	116	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	129
+	117	128
+	3	116	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	181
+	176	186
+	174	184
+	4	172	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	186
+	174	184
+	3	172	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	184
+	170	179
+	172	181
+	4	174	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	179
+	172	181
+	3	174	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	154
+	150	160
+	148	159
+	4	147	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	160
+	148	159
+	3	147	154	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	148	159
+	144	153
+	147	154
+	4	148	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	153
+	147	154
+	3	148	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	134
+	131	140
+	128	139
+	4	127	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	140
+	128	139
+	3	127	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	139
+	124	132
+	127	134
+	4	128	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	127	134
+	3	128	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	189
+	185	194
+	182	192
+	4	181	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	194
+	182	192
+	3	181	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	192
+	179	187
+	181	189
+	4	182	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	187
+	181	189
+	3	182	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	145
+	142	151
+	139	150
+	4	138	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	151
+	139	150
+	3	138	145	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	150
+	135	143
+	138	145
+	4	139	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	143
+	138	145
+	3	139	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	197
+	194	201
+	191	199
+	4	190	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	201
+	191	199
+	3	190	197	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	199
+	187	195
+	190	197
+	4	191	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	195
+	190	197
+	3	191	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	174
+	170	179
+	168	178
+	4	166	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	179
+	168	178
+	3	166	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	178
+	164	172
+	166	174
+	4	168	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	172
+	166	174
+	3	168	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	165
+	161	171
+	159	169
+	4	158	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	171
+	159	169
+	3	158	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	169
+	155	164
+	158	165
+	4	159	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	164
+	158	165
+	3	159	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	123
+	122	131
+	120	129
+	4	118	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	131
+	120	129
+	3	118	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	129
+	116	122
+	118	123
+	4	120	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	122
+	118	123
+	3	120	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	182
+	179	187
+	176	186
+	4	175	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	187
+	176	186
+	3	175	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	186
+	172	181
+	175	182
+	4	176	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	181
+	175	182
+	3	176	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	156
+	153	162
+	150	160
+	4	149	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	162
+	150	160
+	3	149	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	150	160
+	147	154
+	149	156
+	4	150	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	154
+	149	156
+	3	150	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	135
+	133	142
+	131	140
+	4	129	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	142
+	131	140
+	3	129	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	140
+	127	134
+	129	135
+	4	131	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	134
+	129	135
+	3	131	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	191
+	187	195
+	185	194
+	4	184	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	195
+	185	194
+	3	184	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	194
+	181	189
+	184	191
+	4	185	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	189
+	184	191
+	3	185	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	146
+	144	153
+	142	151
+	4	140	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	153
+	142	151
+	3	140	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	151
+	138	145
+	140	146
+	4	142	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	145
+	140	146
+	3	142	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	201
+	190	197
+	192	198
+	4	194	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	197
+	192	198
+	3	194	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	169	176
+	172	181
+	170	179
+	4	169	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	181
+	170	179
+	3	169	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	179
+	166	174
+	169	176
+	4	170	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	174
+	169	176
+	3	170	179	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	167
+	164	172
+	161	171
+	4	160	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	172
+	161	171
+	3	160	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	171
+	158	165
+	160	167
+	4	161	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	165
+	160	167
+	3	161	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	125
+	124	132
+	122	131
+	4	120	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	132
+	122	131
+	3	120	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	131
+	118	123
+	120	125
+	4	122	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	123
+	120	125
+	3	122	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	184
+	181	189
+	179	187
+	4	177	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	189
+	179	187
+	3	177	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	187
+	175	182
+	177	184
+	4	179	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	182
+	177	184
+	3	179	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	158
+	155	164
+	153	162
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	164
+	153	162
+	3	151	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	153	162
+	149	156
+	151	158
+	4	153	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	156
+	151	158
+	3	153	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	137
+	135	143
+	133	142
+	4	131	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	143
+	133	142
+	3	131	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	142
+	129	135
+	131	137
+	4	133	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	135
+	131	137
+	3	133	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	192
+	190	197
+	187	195
+	4	186	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	197
+	187	195
+	3	186	192	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	195
+	184	191
+	186	192
+	4	187	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	191
+	186	192
+	3	187	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	148
+	147	154
+	144	153
+	4	143	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	154
+	144	153
+	3	143	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	153
+	140	146
+	143	148
+	4	144	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	146
+	143	148
+	3	144	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	177
+	175	182
+	172	181
+	4	171	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	182
+	172	181
+	3	171	177	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	181
+	169	176
+	171	177
+	4	172	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	176
+	171	177
+	3	172	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	168
+	166	174
+	164	172
+	4	162	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	174
+	164	172
+	3	162	168	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	172
+	160	167
+	162	168
+	4	164	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	167
+	162	168
+	3	164	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	126
+	127	134
+	124	132
+	4	123	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	134
+	124	132
+	3	123	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	132
+	120	125
+	123	126
+	4	124	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	125
+	123	126
+	3	124	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	186
+	184	191
+	181	189
+	4	180	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	191
+	181	189
+	3	180	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	189
+	177	184
+	180	186
+	4	181	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	184
+	180	186
+	3	181	189	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	159
+	158	165
+	155	164
+	4	154	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	165
+	155	164
+	3	154	159	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	155	164
+	151	158
+	154	159
+	4	155	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	154	159
+	3	155	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	138
+	138	145
+	135	143
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	145
+	135	143
+	3	134	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	143
+	131	137
+	134	138
+	4	135	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	137
+	134	138
+	3	135	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	194
+	192	198
+	190	197
+	4	189	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	198
+	190	197
+	3	189	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	197
+	186	192
+	189	194
+	4	190	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	192
+	189	194
+	3	190	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	150
+	149	156
+	147	154
+	4	145	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	156
+	147	154
+	3	145	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	154
+	143	148
+	145	150
+	4	147	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	148
+	145	150
+	3	147	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	179
+	177	184
+	175	182
+	4	174	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	184
+	175	182
+	3	174	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	182
+	171	177
+	174	179
+	4	175	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	177
+	174	179
+	3	175	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	116
+	118	123
+	116	122
+	4	114	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	123
+	116	122
+	3	114	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	170
+	169	176
+	166	174
+	4	165	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	176
+	166	174
+	3	165	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	174
+	162	168
+	165	170
+	4	166	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	168
+	165	170
+	3	166	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	128
+	129	135
+	127	134
+	4	125	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	135
+	127	134
+	3	125	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	134
+	123	126
+	125	128
+	4	127	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	126
+	125	128
+	3	127	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	187
+	186	192
+	184	191
+	4	182	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	192
+	184	191
+	3	182	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	191
+	180	186
+	182	187
+	4	184	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	186
+	182	187
+	3	184	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	161
+	160	167
+	158	165
+	4	156	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	167
+	158	165
+	3	156	161	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	165
+	154	159
+	156	161
+	4	158	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	159
+	156	161
+	3	158	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	140
+	140	146
+	138	145
+	4	136	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	146
+	138	145
+	3	136	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	145
+	134	138
+	136	140
+	4	138	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	136	140
+	3	138	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	198
+	189	194
+	191	195
+	4	192	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	194
+	191	195
+	3	192	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	151
+	151	158
+	149	156
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	158
+	149	156
+	3	147	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	156
+	145	150
+	147	151
+	4	149	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	150
+	147	151
+	3	149	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	180
+	180	186
+	177	184
+	4	176	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	186
+	177	184
+	3	176	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	184
+	174	179
+	176	180
+	4	177	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	179
+	176	180
+	3	177	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	117
+	120	125
+	118	123
+	4	116	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	125
+	118	123
+	3	116	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	123
+	114	116
+	116	117
+	4	118	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	116
+	116	117
+	3	118	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	171
+	171	177
+	169	176
+	4	167	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	177
+	169	176
+	3	167	171	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	176
+	165	170
+	167	171
+	4	169	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	170
+	167	171
+	3	169	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	129
+	131	137
+	129	135
+	4	127	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	137
+	129	135
+	3	127	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	135
+	125	128
+	127	129
+	4	129	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	128
+	127	129
+	3	129	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	189
+	189	194
+	186	192
+	4	185	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	194
+	186	192
+	3	185	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	192
+	182	187
+	185	189
+	4	186	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	187
+	185	189
+	3	186	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	162
+	162	168
+	160	167
+	4	159	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	168
+	160	167
+	3	159	162	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	160	167
+	156	161
+	159	162
+	4	160	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	161
+	159	162
+	3	160	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	141
+	143	148
+	140	146
+	4	139	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	148
+	140	146
+	3	139	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	146
+	136	140
+	139	141
+	4	140	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	140
+	139	141
+	3	140	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	150	153
+	154	159
+	151	158
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	159
+	151	158
+	3	150	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	151	158
+	147	151
+	150	153
+	4	151	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	150	153
+	3	151	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	182
+	182	187
+	180	186
+	4	179	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	187
+	180	186
+	3	179	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	186
+	176	180
+	179	182
+	4	180	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	180
+	179	182
+	3	180	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	119
+	123	126
+	120	125
+	4	119	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	126
+	120	125
+	3	119	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	125
+	116	117
+	119	119
+	4	120	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	117
+	119	119
+	3	120	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	173
+	174	179
+	171	177
+	4	170	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	179
+	171	177
+	3	170	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	177
+	167	171
+	170	173
+	4	171	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	171
+	170	173
+	3	171	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	131
+	134	138
+	131	137
+	4	130	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	131	137
+	3	130	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	137
+	127	129
+	130	131
+	4	131	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	129
+	130	131
+	3	131	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	191
+	191	195
+	189	194
+	4	187	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	195
+	189	194
+	3	187	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	194
+	185	189
+	187	191
+	4	189	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	189
+	187	191
+	3	189	194	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	164
+	165	170
+	162	168
+	4	161	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	170
+	162	168
+	3	161	164	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	162	168
+	159	162
+	161	164
+	4	162	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	162
+	161	164
+	3	162	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	143
+	145	150
+	143	148
+	4	141	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	150
+	143	148
+	3	141	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	148
+	139	141
+	141	143
+	4	143	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	141
+	141	143
+	3	143	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	154
+	156	161
+	154	159
+	4	152	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	161
+	154	159
+	3	152	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	159
+	150	153
+	152	154
+	4	154	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	152	154
+	3	154	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	184
+	185	189
+	182	187
+	4	181	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	189
+	182	187
+	3	181	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	187
+	179	182
+	181	184
+	4	182	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	182
+	181	184
+	3	182	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	120
+	125	128
+	123	126
+	4	121	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	128
+	123	126
+	3	121	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	126
+	119	119
+	121	120
+	4	123	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	119
+	121	120
+	3	123	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	175
+	176	180
+	174	179
+	4	172	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	180
+	174	179
+	3	172	175	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	179
+	170	173
+	172	175
+	4	174	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	173
+	172	175
+	3	174	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	132
+	136	140
+	134	138
+	4	132	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	140
+	134	138
+	3	132	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	138
+	130	131
+	132	132
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	131
+	132	132
+	3	134	138	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	195
+	187	191
+	190	192
+	4	191	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	191
+	190	192
+	3	191	195	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	165
+	167	171
+	165	170
+	4	164	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	171
+	165	170
+	3	164	165	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	165	170
+	161	164
+	164	165
+	4	165	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	164
+	164	165
+	3	165	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	144
+	147	151
+	145	150
+	4	144	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	151
+	145	150
+	3	144	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	150
+	141	143
+	144	144
+	4	145	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	143
+	144	144
+	3	145	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	156
+	159	162
+	156	161
+	4	155	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	162
+	156	161
+	3	155	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	161
+	152	154
+	155	156
+	4	156	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	154
+	155	156
+	3	156	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	185
+	187	191
+	185	189
+	4	184	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	191
+	185	189
+	3	184	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	189
+	181	184
+	184	185
+	4	185	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	184
+	184	185
+	3	185	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	122
+	127	129
+	125	128
+	4	123	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	129
+	125	128
+	3	123	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	128
+	121	120
+	123	122
+	4	125	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	120
+	123	122
+	3	125	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	176
+	179	182
+	176	180
+	4	175	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	182
+	176	180
+	3	175	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	180
+	172	175
+	175	176
+	4	176	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	175
+	175	176
+	3	176	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	134
+	139	141
+	136	140
+	4	135	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	141
+	136	140
+	3	135	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	140
+	132	132
+	135	134
+	4	136	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	132
+	135	134
+	3	136	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	109
+	116	117
+	114	116
+	4	112	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	117
+	114	116
+	3	112	109	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	167
+	170	173
+	167	171
+	4	166	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	173
+	167	171
+	3	166	167	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	171
+	164	165
+	166	167
+	4	167	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	165
+	166	167
+	3	167	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	146
+	150	153
+	147	151
+	4	146	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	153
+	147	151
+	3	146	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	151
+	144	144
+	146	146
+	4	147	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	144
+	146	146
+	3	147	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	157	157
+	161	164
+	159	162
+	4	157	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	164
+	159	162
+	3	157	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	162
+	155	156
+	157	157
+	4	159	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	156
+	157	157
+	3	159	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	187
+	190	192
+	187	191
+	4	186	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	192
+	187	191
+	3	186	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	191
+	184	185
+	186	187
+	4	187	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	185
+	186	187
+	3	187	191	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	123
+	130	131
+	127	129
+	4	126	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	131
+	127	129
+	3	126	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	129
+	123	122
+	126	123
+	4	127	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	122
+	126	123
+	3	127	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	178
+	181	184
+	179	182
+	4	177	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	184
+	179	182
+	3	177	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	182
+	175	176
+	177	178
+	4	179	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	176
+	177	178
+	3	179	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	135
+	141	143
+	139	141
+	4	137	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	143
+	139	141
+	3	137	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	141
+	135	134
+	137	135
+	4	139	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	134
+	137	135
+	3	139	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	111
+	119	119
+	116	117
+	4	114	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	119
+	116	117
+	3	114	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	117
+	112	109
+	114	111
+	4	116	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	109
+	114	111
+	3	116	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	169
+	172	175
+	170	173
+	4	169	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	175
+	170	173
+	3	169	169	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	170	173
+	166	167
+	169	169
+	4	170	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	167
+	169	169
+	3	170	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	147
+	152	154
+	150	153
+	4	148	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	154
+	150	153
+	3	148	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	153
+	146	146
+	148	147
+	4	150	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	146
+	148	147
+	3	150	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	159
+	164	165
+	161	164
+	4	160	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	165
+	161	164
+	3	160	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	164
+	157	157
+	160	159
+	4	161	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	157
+	160	159
+	3	161	164	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	192
+	186	187
+	189	188
+	4	190	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	187
+	189	188
+	3	190	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	125
+	132	132
+	130	131
+	4	128	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	132
+	130	131
+	3	128	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	131
+	126	123
+	128	125
+	4	130	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	123
+	128	125
+	3	130	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	180
+	184	185
+	181	184
+	4	180	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	185
+	181	184
+	3	180	180	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	184
+	177	178
+	180	180
+	4	181	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	178
+	180	180
+	3	181	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	137
+	144	144
+	141	143
+	4	140	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	144
+	141	143
+	3	140	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	143
+	137	135
+	140	137
+	4	141	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	135
+	140	137
+	3	141	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	112
+	121	120
+	119	119
+	4	117	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	120
+	119	119
+	3	117	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	119
+	114	111
+	117	112
+	4	119	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	111
+	117	112
+	3	119	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	170
+	175	176
+	172	175
+	4	171	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	176
+	172	175
+	3	171	170	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	172	175
+	169	169
+	171	170
+	4	172	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	169
+	171	170
+	3	172	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	149
+	155	156
+	152	154
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	156
+	152	154
+	3	151	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	154
+	148	147
+	151	149
+	4	152	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	147
+	151	149
+	3	152	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	161
+	166	167
+	164	165
+	4	162	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	167
+	164	165
+	3	162	161	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	165
+	160	159
+	162	161
+	4	164	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	159
+	162	161
+	3	164	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	126
+	135	134
+	132	132
+	4	131	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	134
+	132	132
+	3	131	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	132
+	128	125
+	131	126
+	4	132	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	125
+	131	126
+	3	132	132	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	182	181
+	186	187
+	184	185
+	4	182	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	187
+	184	185
+	3	182	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	185
+	180	180
+	182	181
+	4	184	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	180
+	182	181
+	3	184	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	139
+	146	146
+	144	144
+	4	142	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	146
+	144	144
+	3	142	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	144
+	140	137
+	142	139
+	4	144	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	137
+	142	139
+	3	144	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	114
+	123	122
+	121	120
+	4	119	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	122
+	121	120
+	3	119	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	120
+	117	112
+	119	114
+	4	121	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	112
+	119	114
+	3	121	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	172
+	177	178
+	175	176
+	4	174	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	178
+	175	176
+	3	174	172	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	176
+	171	170
+	174	172
+	4	175	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	170
+	174	172
+	3	175	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	151
+	157	157
+	155	156
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	157
+	155	156
+	3	153	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	156
+	151	149
+	153	151
+	4	155	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	153	151
+	3	155	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	165	162
+	169	169
+	166	167
+	4	165	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	169
+	166	167
+	3	165	162	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	167
+	162	161
+	165	162
+	4	166	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	161
+	165	162
+	3	166	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	128
+	137	135
+	135	134
+	4	133	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	135
+	135	134
+	3	133	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	134
+	131	126
+	133	128
+	4	135	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	126
+	133	128
+	3	135	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	183
+	189	188
+	186	187
+	4	185	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	188
+	186	187
+	3	185	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	187
+	182	181
+	185	183
+	4	186	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	181
+	185	183
+	3	186	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	140
+	148	147
+	146	146
+	4	144	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	147
+	146	146
+	3	144	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	146
+	142	139
+	144	140
+	4	146	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	139
+	144	140
+	3	146	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	115
+	126	123
+	123	122
+	4	122	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	123
+	123	122
+	3	122	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	122
+	119	114
+	122	115
+	4	123	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	114
+	122	115
+	3	123	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	173
+	180	180
+	177	178
+	4	176	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	180
+	177	178
+	3	176	173	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	177	178
+	174	172
+	176	173
+	4	177	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	172
+	176	173
+	3	177	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	152
+	160	159
+	157	157
+	4	156	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	159
+	157	157
+	3	156	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	157
+	153	151
+	156	152
+	4	157	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	156	152
+	3	157	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	102
+	114	111
+	112	109
+	4	110	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	111
+	112	109
+	3	110	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	164
+	171	170
+	169	169
+	4	167	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	170
+	169	169
+	3	167	164	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	169
+	165	162
+	167	164
+	4	169	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	162
+	167	164
+	3	169	169	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	129
+	140	137
+	137	135
+	4	135	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	137
+	137	135
+	3	135	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	135
+	133	128
+	135	129
+	4	137	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	128
+	135	129
+	3	137	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	188
+	185	183
+	188	184
+	4	189	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	183
+	188	184
+	3	189	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	142
+	151	149
+	148	147
+	4	147	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	149
+	148	147
+	3	147	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	147
+	144	140
+	147	142
+	4	148	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	140
+	147	142
+	3	148	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	117
+	128	125
+	126	123
+	4	124	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	125
+	126	123
+	3	124	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	123
+	122	115
+	124	117
+	4	126	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	115
+	124	117
+	3	126	123	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	175
+	182	181
+	180	180
+	4	179	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	181
+	180	180
+	3	179	175	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	180
+	176	173
+	179	175
+	4	180	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	173
+	179	175
+	3	180	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	154
+	162	161
+	160	159
+	4	158	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	161
+	160	159
+	3	158	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	159
+	156	152
+	158	154
+	4	160	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	152
+	158	154
+	3	160	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	103
+	117	112
+	114	111
+	4	113	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	112
+	114	111
+	3	113	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	111
+	110	102
+	113	103
+	4	114	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	102
+	113	103
+	3	114	111	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	170	165
+	174	172
+	171	170
+	4	170	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	172
+	171	170
+	3	170	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	170
+	167	164
+	170	165
+	4	171	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	164
+	170	165
+	3	171	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	138	131
+	142	139
+	140	137
+	4	138	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	139
+	140	137
+	3	138	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	137
+	135	129
+	138	131
+	4	140	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	129
+	138	131
+	3	140	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	143
+	153	151
+	151	149
+	4	149	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	151	149
+	3	149	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	149
+	147	142
+	149	143
+	4	151	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	142
+	149	143
+	3	151	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	118
+	131	126
+	128	125
+	4	126	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	126
+	128	125
+	3	126	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	125
+	124	117
+	126	118
+	4	128	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	117
+	126	118
+	3	128	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	177
+	185	183
+	182	181
+	4	181	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	183
+	182	181
+	3	181	177	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	182	181
+	179	175
+	181	177
+	4	182	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	175
+	181	177
+	3	182	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	155
+	165	162
+	162	161
+	4	161	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	162
+	162	161
+	3	161	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	161
+	158	154
+	161	155
+	4	162	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	154
+	161	155
+	3	162	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	105
+	119	114
+	117	112
+	4	115	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	114
+	117	112
+	3	115	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	112
+	113	103
+	115	105
+	4	117	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	103
+	115	105
+	3	117	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	167
+	176	173
+	174	172
+	4	172	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	173
+	174	172
+	3	172	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	174	172
+	170	165
+	172	167
+	4	174	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	165
+	172	167
+	3	174	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	132
+	144	140
+	142	139
+	4	140	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	140
+	142	139
+	3	140	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	142	139
+	138	131
+	140	132
+	4	142	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	131
+	140	132
+	3	142	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	145
+	156	152
+	153	151
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	152
+	153	151
+	3	152	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	151
+	149	143
+	152	145
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	143
+	152	145
+	3	153	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	120
+	133	128
+	131	126
+	4	129	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	128
+	131	126
+	3	129	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	126
+	126	118
+	129	120
+	4	131	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	118
+	129	120
+	3	131	126	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	178
+	188	184
+	185	183
+	4	184	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	184
+	185	183
+	3	184	178	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	185	183
+	181	177
+	184	178
+	4	185	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	177
+	184	178
+	3	185	183	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	157
+	167	164
+	165	162
+	4	163	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	164
+	165	162
+	3	163	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	162
+	161	155
+	163	157
+	4	165	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	155
+	163	157
+	3	165	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	106
+	122	115
+	119	114
+	4	117	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	115
+	119	114
+	3	117	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	114
+	115	105
+	117	106
+	4	119	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	105
+	117	106
+	3	119	114	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	169
+	179	175
+	176	173
+	4	175	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	175
+	176	173
+	3	175	169	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	173
+	172	167
+	175	169
+	4	176	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	167
+	175	169
+	3	176	173	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	143	134
+	147	142
+	144	140
+	4	143	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	142
+	144	140
+	3	143	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	140
+	140	132
+	143	134
+	4	144	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	132
+	143	134
+	3	144	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	146
+	158	154
+	156	152
+	4	154	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	154
+	156	152
+	3	154	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	152
+	152	145
+	154	146
+	4	156	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	154	146
+	3	156	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	121
+	135	129
+	133	128
+	4	131	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	129
+	133	128
+	3	131	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	128
+	129	120
+	131	121
+	4	133	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	120
+	131	121
+	3	133	128	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	184
+	184	178
+	186	180
+	4	188	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	178
+	186	180
+	3	188	184	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	158
+	170	165
+	167	164
+	4	166	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	165
+	167	164
+	3	166	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	164
+	163	157
+	166	158
+	4	167	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	157
+	166	158
+	3	167	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	108
+	124	117
+	122	115
+	4	120	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	117
+	122	115
+	3	120	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	115
+	117	106
+	120	108
+	4	122	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	106
+	120	108
+	3	122	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	170
+	181	177
+	179	175
+	4	177	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	177
+	179	175
+	3	177	170	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	175
+	175	169
+	177	170
+	4	179	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	169
+	177	170
+	3	179	175	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	94
+	113	103
+	110	102
+	4	108	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	103
+	110	102
+	3	108	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	135
+	149	143
+	147	142
+	4	145	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	143
+	147	142
+	3	145	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	142
+	143	134
+	145	135
+	4	147	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	134
+	145	135
+	3	147	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	148
+	161	155
+	158	154
+	4	157	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	155
+	158	154
+	3	157	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	154
+	154	146
+	157	148
+	4	158	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	146
+	157	148
+	3	158	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	123
+	138	131
+	135	129
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	131
+	135	129
+	3	134	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	129
+	131	121
+	134	123
+	4	135	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	121
+	134	123
+	3	135	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	160
+	172	167
+	170	165
+	4	168	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	167
+	170	165
+	3	168	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	165
+	166	158
+	168	160
+	4	170	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	158
+	168	160
+	3	170	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	109
+	126	118
+	124	117
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	118
+	124	117
+	3	122	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	117
+	120	108
+	122	109
+	4	124	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	108
+	122	109
+	3	124	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	172
+	184	178
+	181	177
+	4	180	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	178
+	181	177
+	3	180	172	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	177
+	177	170
+	180	172
+	4	181	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	170
+	180	172
+	3	181	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	96
+	115	105
+	113	103
+	4	111	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	105
+	113	103
+	3	111	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	103
+	108	94
+	111	96
+	4	113	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	94
+	111	96
+	3	113	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	148	137
+	152	145
+	149	143
+	4	148	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	145
+	149	143
+	3	148	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	143
+	145	135
+	148	137
+	4	149	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	135
+	148	137
+	3	149	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	150
+	163	157
+	161	155
+	4	159	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	157
+	161	155
+	3	159	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	155
+	157	148
+	159	150
+	4	161	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	148
+	159	150
+	3	161	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	124
+	140	132
+	138	131
+	4	136	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	132
+	138	131
+	3	136	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	131
+	134	123
+	136	124
+	4	138	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	136	124
+	3	138	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	162
+	175	169
+	172	167
+	4	171	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	169
+	172	167
+	3	171	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	167
+	168	160
+	171	162
+	4	172	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	160
+	171	162
+	3	172	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	111
+	129	120
+	126	118
+	4	125	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	120
+	126	118
+	3	125	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	118
+	122	109
+	125	111
+	4	126	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	125	111
+	3	126	118	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	173
+	186	180
+	184	178
+	4	183	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	180
+	184	178
+	3	183	173	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	178
+	180	172
+	183	173
+	4	184	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	172
+	183	173
+	3	184	178	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	97
+	117	106
+	115	105
+	4	113	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	106
+	115	105
+	3	113	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	105
+	111	96
+	113	97
+	4	115	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	96
+	113	97
+	3	115	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	150	139
+	154	146
+	152	145
+	4	150	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	146
+	152	145
+	3	150	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	145
+	148	137
+	150	139
+	4	152	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	137
+	150	139
+	3	152	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	151
+	166	158
+	163	157
+	4	162	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	158
+	163	157
+	3	162	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	157
+	159	150
+	162	151
+	4	163	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	150
+	162	151
+	3	163	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	126
+	143	134
+	140	132
+	4	139	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	134
+	140	132
+	3	139	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	132
+	136	124
+	139	126
+	4	140	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	124
+	139	126
+	3	140	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	163
+	177	170
+	175	169
+	4	174	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	170
+	175	169
+	3	174	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	169
+	171	162
+	174	163
+	4	175	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	162
+	174	163
+	3	175	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	112
+	131	121
+	129	120
+	4	127	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	121
+	129	120
+	3	127	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	120
+	125	111
+	127	112
+	4	129	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	111
+	127	112
+	3	129	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	186	180
+	183	173
+	185	175
+	4	186	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	173
+	185	175
+	3	186	180	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	99
+	120	108
+	117	106
+	4	116	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	108
+	117	106
+	3	116	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	106
+	113	97
+	116	99
+	4	117	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	97
+	116	99
+	3	117	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	153	140
+	157	148
+	154	146
+	4	153	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	148
+	154	146
+	3	153	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	146
+	150	139
+	153	140
+	4	154	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	139
+	153	140
+	3	154	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	153
+	168	160
+	166	158
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	160
+	166	158
+	3	165	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	158
+	162	151
+	165	153
+	4	166	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	151
+	165	153
+	3	166	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	127
+	145	135
+	143	134
+	4	141	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	135
+	143	134
+	3	141	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	134
+	139	126
+	141	127
+	4	143	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	126
+	141	127
+	3	143	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	165
+	180	172
+	177	170
+	4	176	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	172
+	177	170
+	3	176	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	170
+	174	163
+	176	165
+	4	177	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	163
+	176	165
+	3	177	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	114
+	134	123
+	131	121
+	4	130	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	131	121
+	3	130	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	121
+	127	112
+	130	114
+	4	131	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	112
+	130	114
+	3	131	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	100
+	122	109
+	120	108
+	4	118	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	120	108
+	3	118	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	108
+	116	99
+	118	100
+	4	120	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	99
+	118	100
+	3	120	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	142
+	159	150
+	157	148
+	4	155	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	150
+	157	148
+	3	155	142	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	148
+	153	140
+	155	142
+	4	157	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	140
+	155	142
+	3	157	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	154
+	171	162
+	168	160
+	4	167	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	162
+	168	160
+	3	167	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	160
+	165	153
+	167	154
+	4	168	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	167	154
+	3	168	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	129
+	148	137
+	145	135
+	4	144	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	137
+	145	135
+	3	144	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	135
+	141	127
+	144	129
+	4	145	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	127
+	144	129
+	3	145	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	167
+	183	173
+	180	172
+	4	179	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	173
+	180	172
+	3	179	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	172
+	176	165
+	179	167
+	4	180	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	165
+	179	167
+	3	180	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	116
+	136	124
+	134	123
+	4	132	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	124
+	134	123
+	3	132	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	123
+	130	114
+	132	116
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	114
+	132	116
+	3	134	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	86
+	111	96
+	108	94
+	4	106	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	96
+	108	94
+	3	106	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	102
+	125	111
+	122	109
+	4	120	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	111
+	122	109
+	3	120	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	109
+	118	100
+	120	102
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	100
+	120	102
+	3	122	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	143
+	162	151
+	159	150
+	4	158	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	151
+	159	150
+	3	158	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	150
+	155	142
+	158	143
+	4	159	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	142
+	158	143
+	3	159	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	156
+	174	163
+	171	162
+	4	170	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	163
+	171	162
+	3	170	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	162
+	167	154
+	170	156
+	4	171	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	154
+	170	156
+	3	171	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	130
+	150	139
+	148	137
+	4	146	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	139
+	148	137
+	3	146	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	137
+	144	129
+	146	130
+	4	148	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	129
+	146	130
+	3	148	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	168
+	185	175
+	183	173
+	4	181	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	175
+	183	173
+	3	181	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	173
+	179	167
+	181	168
+	4	183	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	167
+	181	168
+	3	183	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	117
+	139	126
+	136	124
+	4	135	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	126
+	136	124
+	3	135	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	124
+	132	116
+	135	117
+	4	136	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	116
+	135	117
+	3	136	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	88
+	113	97
+	111	96
+	4	109	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	97
+	111	96
+	3	109	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	96
+	106	86
+	109	88
+	4	111	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	86
+	109	88
+	3	111	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	103
+	127	112
+	125	111
+	4	123	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	112
+	125	111
+	3	123	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	111
+	120	102
+	123	103
+	4	125	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	102
+	123	103
+	3	125	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	145
+	165	153
+	162	151
+	4	161	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	153
+	162	151
+	3	161	145	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	151
+	158	143
+	161	145
+	4	162	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	143
+	161	145
+	3	162	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	158
+	176	165
+	174	163
+	4	172	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	165
+	174	163
+	3	172	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	174	163
+	170	156
+	172	158
+	4	174	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	156
+	172	158
+	3	174	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	132
+	153	140
+	150	139
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	140
+	150	139
+	3	149	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	139
+	146	130
+	149	132
+	4	150	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	130
+	149	132
+	3	150	139	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	175
+	181	168
+	184	170
+	4	185	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	168
+	184	170
+	3	185	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	119
+	141	127
+	139	126
+	4	137	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	127
+	139	126
+	3	137	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	126
+	135	117
+	137	119
+	4	139	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	117
+	137	119
+	3	139	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	111	89
+	116	99
+	113	97
+	4	111	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	99
+	113	97
+	3	111	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	97
+	109	88
+	111	89
+	4	113	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	88
+	111	89
+	3	113	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	105
+	130	114
+	127	112
+	4	125	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	114
+	127	112
+	3	125	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	112
+	123	103
+	125	105
+	4	127	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	103
+	125	105
+	3	127	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	147
+	167	154
+	165	153
+	4	163	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	154
+	165	153
+	3	163	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	165	153
+	161	145
+	163	147
+	4	165	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	145
+	163	147
+	3	165	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	159
+	179	167
+	176	165
+	4	175	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	167
+	176	165
+	3	175	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	165
+	172	158
+	175	159
+	4	176	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	158
+	175	159
+	3	176	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	134
+	155	142
+	153	140
+	4	151	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	142
+	153	140
+	3	151	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	140
+	149	132
+	151	134
+	4	153	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	151	134
+	3	153	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	120
+	144	129
+	141	127
+	4	140	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	129
+	141	127
+	3	140	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	127
+	137	119
+	140	120
+	4	141	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	119
+	140	120
+	3	141	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	91
+	118	100
+	116	99
+	4	114	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	100
+	116	99
+	3	114	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	99
+	111	89
+	114	91
+	4	116	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	89
+	114	91
+	3	116	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	106
+	132	116
+	130	114
+	4	128	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	116
+	130	114
+	3	128	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	114
+	125	105
+	128	106
+	4	130	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	105
+	128	106
+	3	130	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	148
+	170	156
+	167	154
+	4	166	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	156
+	167	154
+	3	166	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	154
+	163	147
+	166	148
+	4	167	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	147
+	166	148
+	3	167	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	161
+	181	168
+	179	167
+	4	177	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	168
+	179	167
+	3	177	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	167
+	175	159
+	177	161
+	4	179	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	159
+	177	161
+	3	179	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	135
+	158	143
+	155	142
+	4	154	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	143
+	155	142
+	3	154	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	142
+	151	134
+	154	135
+	4	155	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	134
+	154	135
+	3	155	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	122
+	146	130
+	144	129
+	4	142	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	130
+	144	129
+	3	142	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	129
+	140	120
+	142	122
+	4	144	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	120
+	142	122
+	3	144	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	116	92
+	120	102
+	118	100
+	4	116	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	102
+	118	100
+	3	116	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	118	100
+	114	91
+	116	92
+	4	118	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	91
+	116	92
+	3	118	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	108
+	135	117
+	132	116
+	4	130	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	117
+	132	116
+	3	130	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	116
+	128	106
+	130	108
+	4	132	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	106
+	130	108
+	3	132	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	150
+	172	158
+	170	156
+	4	168	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	158
+	170	156
+	3	168	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	156
+	166	148
+	168	150
+	4	170	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	148
+	168	150
+	3	170	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	163
+	184	170
+	181	168
+	4	180	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	170
+	181	168
+	3	180	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	168
+	177	161
+	180	163
+	4	181	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	161
+	180	163
+	3	181	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	157	137
+	161	145
+	158	143
+	4	157	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	145
+	158	143
+	3	157	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	143
+	154	135
+	157	137
+	4	158	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	135
+	157	137
+	3	158	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	78
+	109	88
+	106	86
+	4	104	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	88
+	106	86
+	3	104	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	123
+	149	132
+	146	130
+	4	145	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	146	130
+	3	145	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	130
+	142	122
+	145	123
+	4	146	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	122
+	145	123
+	3	146	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	119	94
+	123	103
+	120	102
+	4	119	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	103
+	120	102
+	3	119	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	102
+	116	92
+	119	94
+	4	120	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	92
+	119	94
+	3	120	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	109
+	137	119
+	135	117
+	4	133	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	119
+	135	117
+	3	133	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	117
+	130	108
+	133	109
+	4	135	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	108
+	133	109
+	3	135	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	171	151
+	175	159
+	172	158
+	4	171	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	159
+	172	158
+	3	171	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	158
+	168	150
+	171	151
+	4	172	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	150
+	171	151
+	3	172	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	170
+	180	163
+	183	164
+	4	184	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	163
+	183	164
+	3	184	170	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	138
+	163	147
+	161	145
+	4	159	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	147
+	161	145
+	3	159	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	145
+	157	137
+	159	138
+	4	161	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	137
+	159	138
+	3	161	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	79
+	111	89
+	109	88
+	4	107	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	89
+	109	88
+	3	107	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	88
+	104	78
+	107	79
+	4	109	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	78
+	107	79
+	3	109	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	147	125
+	151	134
+	149	132
+	4	147	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	134
+	149	132
+	3	147	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	132
+	145	123
+	147	125
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	123
+	147	125
+	3	149	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	121	95
+	125	105
+	123	103
+	4	121	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	105
+	123	103
+	3	121	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	123	103
+	119	94
+	121	95
+	4	123	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	94
+	121	95
+	3	123	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	111
+	140	120
+	137	119
+	4	135	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	120
+	137	119
+	3	135	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	119
+	133	109
+	135	111
+	4	137	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	109
+	135	111
+	3	137	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	153
+	177	161
+	175	159
+	4	173	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	161
+	175	159
+	3	173	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	159
+	171	151
+	173	153
+	4	175	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	151
+	173	153
+	3	175	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	140
+	166	148
+	163	147
+	4	162	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	148
+	163	147
+	3	162	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	147
+	159	138
+	162	140
+	4	163	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	138
+	162	140
+	3	163	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	80
+	114	91
+	111	89
+	4	109	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	91
+	111	89
+	3	109	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	111	89
+	107	79
+	109	80
+	4	111	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	79
+	109	80
+	3	111	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	126
+	154	135
+	151	134
+	4	150	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	135
+	151	134
+	3	150	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	134
+	147	125
+	150	126
+	4	151	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	125
+	150	126
+	3	151	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	97
+	128	106
+	125	105
+	4	124	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	106
+	125	105
+	3	124	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	105
+	121	95
+	124	97
+	4	125	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	95
+	124	97
+	3	125	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	113
+	142	122
+	140	120
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	122
+	140	120
+	3	138	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	120
+	135	111
+	138	113
+	4	140	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	111
+	138	113
+	3	140	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	155
+	180	163
+	177	161
+	4	176	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	163
+	177	161
+	3	176	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	161
+	173	153
+	176	155
+	4	177	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	153
+	176	155
+	3	177	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	142
+	168	150
+	166	148
+	4	164	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	150
+	166	148
+	3	164	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	148
+	162	140
+	164	142
+	4	166	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	140
+	164	142
+	3	166	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	82
+	116	92
+	114	91
+	4	112	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	92
+	114	91
+	3	112	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	114	91
+	109	80
+	112	82
+	4	114	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	80
+	112	82
+	3	114	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	128
+	157	137
+	154	135
+	4	152	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	137
+	154	135
+	3	152	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	135
+	150	126
+	152	128
+	4	154	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	126
+	152	128
+	3	154	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	98
+	130	108
+	128	106
+	4	126	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	108
+	128	106
+	3	126	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	106
+	124	97
+	126	98
+	4	128	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	97
+	126	98
+	3	128	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	114
+	145	123
+	142	122
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	123
+	142	122
+	3	141	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	122
+	138	113
+	141	114
+	4	142	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	141	114
+	3	142	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	156
+	183	164
+	180	163
+	4	179	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	164
+	180	163
+	3	179	156	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	163
+	176	155
+	179	156
+	4	180	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	155
+	179	156
+	3	180	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	143
+	171	151
+	168	150
+	4	167	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	151
+	168	150
+	3	167	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	150
+	164	142
+	167	143
+	4	168	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	142
+	167	143
+	3	168	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	83
+	119	94
+	116	92
+	4	114	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	94
+	116	92
+	3	114	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	92
+	112	82
+	114	83
+	4	116	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	82
+	114	83
+	3	116	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	130
+	159	138
+	157	137
+	4	155	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	138
+	157	137
+	3	155	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	137
+	152	128
+	155	130
+	4	157	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	128
+	155	130
+	3	157	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	129	100
+	133	109
+	130	108
+	4	129	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	109
+	130	108
+	3	129	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	130	108
+	126	98
+	129	100
+	4	130	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	98
+	129	100
+	3	130	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	116
+	147	125
+	145	123
+	4	143	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	125
+	145	123
+	3	143	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	123
+	141	114
+	143	116
+	4	145	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	143	116
+	3	145	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	164
+	179	156
+	181	158
+	4	183	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	156
+	181	158
+	3	183	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	68
+	107	79
+	104	78
+	4	102	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	79
+	104	78
+	3	102	68	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	145
+	173	153
+	171	151
+	4	170	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	153
+	171	151
+	3	170	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	151
+	167	143
+	170	145
+	4	171	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	143
+	170	145
+	3	171	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	85
+	121	95
+	119	94
+	4	117	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	95
+	119	94
+	3	117	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	119	94
+	114	83
+	117	85
+	4	119	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	83
+	117	85
+	3	119	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	131
+	162	140
+	159	138
+	4	158	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	140
+	159	138
+	3	158	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	138
+	155	130
+	158	131
+	4	159	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	130
+	158	131
+	3	159	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	101
+	135	111
+	133	109
+	4	131	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	111
+	133	109
+	3	131	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	109
+	129	100
+	131	101
+	4	133	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	100
+	131	101
+	3	133	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	117
+	150	126
+	147	125
+	4	146	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	126
+	147	125
+	3	146	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	147	125
+	143	116
+	146	117
+	4	147	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	116
+	146	117
+	3	147	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	70
+	109	80
+	107	79
+	4	105	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	80
+	107	79
+	3	105	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	79
+	102	68
+	105	70
+	4	107	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	68
+	105	70
+	3	107	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	146
+	176	155
+	173	153
+	4	172	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	155
+	173	153
+	3	172	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	153
+	170	145
+	172	146
+	4	173	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	145
+	172	146
+	3	173	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	86
+	124	97
+	121	95
+	4	119	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	97
+	121	95
+	3	119	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	121	95
+	117	85
+	119	86
+	4	121	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	85
+	119	86
+	3	121	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	133
+	164	142
+	162	140
+	4	160	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	142
+	162	140
+	3	160	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	140
+	158	131
+	160	133
+	4	162	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	131
+	160	133
+	3	162	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	103
+	138	113
+	135	111
+	4	134	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	113
+	135	111
+	3	134	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	111
+	131	101
+	134	103
+	4	135	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	101
+	134	103
+	3	135	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	119
+	152	128
+	150	126
+	4	148	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	128
+	150	126
+	3	148	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	126
+	146	117
+	148	119
+	4	150	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	117
+	148	119
+	3	150	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	71
+	112	82
+	109	80
+	4	107	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	82
+	109	80
+	3	107	71	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	80
+	105	70
+	107	71
+	4	109	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	70
+	107	71
+	3	109	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	148
+	179	156
+	176	155
+	4	175	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	156
+	176	155
+	3	175	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	155
+	172	146
+	175	148
+	4	176	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	146
+	175	148
+	3	176	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	88
+	126	98
+	124	97
+	4	122	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	98
+	124	97
+	3	122	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	124	97
+	119	86
+	122	88
+	4	124	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	86
+	122	88
+	3	124	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	134
+	167	143
+	164	142
+	4	163	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	143
+	164	142
+	3	163	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	142
+	160	133
+	163	134
+	4	164	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	133
+	163	134
+	3	164	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	136	104
+	141	114
+	138	113
+	4	136	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	138	113
+	3	136	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	113
+	134	103
+	136	104
+	4	138	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	103
+	136	104
+	3	138	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	120
+	155	130
+	152	128
+	4	151	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	130
+	152	128
+	3	151	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	128
+	148	119
+	151	120
+	4	152	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	119
+	151	120
+	3	152	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	73
+	114	83
+	112	82
+	4	110	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	83
+	112	82
+	3	110	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	82
+	107	71
+	110	73
+	4	112	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	71
+	110	73
+	3	112	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	150
+	181	158
+	179	156
+	4	177	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	158
+	179	156
+	3	177	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	156
+	175	148
+	177	150
+	4	179	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	148
+	177	150
+	3	179	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	89
+	129	100
+	126	98
+	4	124	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	100
+	126	98
+	3	124	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	98
+	122	88
+	124	89
+	4	126	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	88
+	124	89
+	3	126	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	136
+	170	145
+	167	143
+	4	166	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	145
+	167	143
+	3	166	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	143
+	163	134
+	166	136
+	4	167	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	134
+	166	136
+	3	167	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	106
+	143	116
+	141	114
+	4	139	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	116
+	141	114
+	3	139	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	114
+	136	104
+	139	106
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	104
+	139	106
+	3	141	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	122
+	158	131
+	155	130
+	4	154	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	131
+	155	130
+	3	154	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	130
+	151	120
+	154	122
+	4	155	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	120
+	154	122
+	3	155	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	74
+	117	85
+	114	83
+	4	112	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	85
+	114	83
+	3	112	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	83
+	110	73
+	112	74
+	4	114	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	73
+	112	74
+	3	114	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	158
+	177	150
+	180	151
+	4	181	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	150
+	180	151
+	3	181	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	127	91
+	131	101
+	129	100
+	4	127	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	101
+	129	100
+	3	127	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	129	100
+	124	89
+	127	91
+	4	129	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	89
+	127	91
+	3	129	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	138
+	172	146
+	170	145
+	4	168	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	146
+	170	145
+	3	168	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	145
+	166	136
+	168	138
+	4	170	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	136
+	168	138
+	3	170	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	107
+	146	117
+	143	116
+	4	141	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	117
+	143	116
+	3	141	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	116
+	139	106
+	141	107
+	4	143	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	106
+	141	107
+	3	143	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	124
+	160	133
+	158	131
+	4	156	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	133
+	158	131
+	3	156	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	131
+	154	122
+	156	124
+	4	158	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	122
+	156	124
+	3	158	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	115	76
+	119	86
+	117	85
+	4	115	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	86
+	117	85
+	3	115	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	85
+	112	74
+	115	76
+	4	117	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	74
+	115	76
+	3	117	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	93
+	134	103
+	131	101
+	4	129	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	103
+	131	101
+	3	129	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	101
+	127	91
+	129	93
+	4	131	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	91
+	129	93
+	3	131	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	139
+	175	148
+	172	146
+	4	171	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	148
+	172	146
+	3	171	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	146
+	168	138
+	171	139
+	4	172	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	138
+	171	139
+	3	172	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	144	109
+	148	119
+	146	117
+	4	144	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	119
+	146	117
+	3	144	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	117
+	141	107
+	144	109
+	4	146	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	107
+	144	109
+	3	146	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	125
+	163	134
+	160	133
+	4	159	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	134
+	160	133
+	3	159	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	133
+	156	124
+	159	125
+	4	160	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	124
+	159	125
+	3	160	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	117	77
+	122	88
+	119	86
+	4	117	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	88
+	119	86
+	3	117	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	86
+	115	76
+	117	77
+	4	119	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	76
+	117	77
+	3	119	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	94
+	136	104
+	134	103
+	4	132	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	104
+	134	103
+	3	132	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	103
+	129	93
+	132	94
+	4	134	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	93
+	132	94
+	3	134	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	141
+	177	150
+	175	148
+	4	173	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	150
+	175	148
+	3	173	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	148
+	171	139
+	173	141
+	4	175	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	139
+	173	141
+	3	175	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	147	111
+	151	120
+	148	119
+	4	147	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	120
+	148	119
+	3	147	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	119
+	144	109
+	147	111
+	4	148	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	109
+	147	111
+	3	148	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	127
+	166	136
+	163	134
+	4	161	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	136
+	163	134
+	3	161	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	134
+	159	125
+	161	127
+	4	163	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	125
+	161	127
+	3	163	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	79
+	124	89
+	122	88
+	4	120	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	89
+	122	88
+	3	120	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	88
+	117	77
+	120	79
+	4	122	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	77
+	120	79
+	3	122	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	96
+	139	106
+	136	104
+	4	135	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	106
+	136	104
+	3	135	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	136	104
+	132	94
+	135	96
+	4	136	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	94
+	135	96
+	3	136	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	143
+	180	151
+	177	150
+	4	176	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	151
+	177	150
+	3	176	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	150
+	173	141
+	176	143
+	4	177	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	141
+	176	143
+	3	177	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	112
+	154	122
+	151	120
+	4	149	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	122
+	151	120
+	3	149	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	151	120
+	147	111
+	149	112
+	4	151	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	111
+	149	112
+	3	151	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	128
+	168	138
+	166	136
+	4	164	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	138
+	166	136
+	3	164	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	136
+	161	127
+	164	128
+	4	166	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	127
+	164	128
+	3	166	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	80
+	127	91
+	124	89
+	4	122	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	91
+	124	89
+	3	122	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	89
+	120	79
+	122	80
+	4	124	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	79
+	122	80
+	3	124	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	97
+	141	107
+	139	106
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	107
+	139	106
+	3	137	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	106
+	135	96
+	137	97
+	4	139	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	96
+	137	97
+	3	139	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	151
+	176	143
+	179	144
+	4	180	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	143
+	179	144
+	3	180	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	114
+	156	124
+	154	122
+	4	152	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	124
+	154	122
+	3	152	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	154	122
+	149	112
+	152	114
+	4	154	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	112
+	152	114
+	3	154	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	130
+	171	139
+	168	138
+	4	167	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	139
+	168	138
+	3	167	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	138
+	164	128
+	167	130
+	4	168	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	128
+	167	130
+	3	168	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	82
+	129	93
+	127	91
+	4	125	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	93
+	127	91
+	3	125	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	91
+	122	80
+	125	82
+	4	127	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	80
+	125	82
+	3	127	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	99
+	144	109
+	141	107
+	4	140	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	109
+	141	107
+	3	140	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	107
+	137	97
+	140	99
+	4	141	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	140	99
+	3	141	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	155	115
+	159	125
+	156	124
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	125
+	156	124
+	3	155	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	124
+	152	114
+	155	115
+	4	156	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	114
+	155	115
+	3	156	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	132
+	173	141
+	171	139
+	4	169	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	141
+	171	139
+	3	169	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	139
+	167	130
+	169	132
+	4	171	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	130
+	169	132
+	3	171	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	83
+	132	94
+	129	93
+	4	128	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	94
+	129	93
+	3	128	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	93
+	125	82
+	128	83
+	4	129	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	82
+	128	83
+	3	129	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	100
+	147	111
+	144	109
+	4	142	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	111
+	144	109
+	3	142	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	109
+	140	99
+	142	100
+	4	144	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	99
+	142	100
+	3	144	109	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	157	117
+	161	127
+	159	125
+	4	157	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	127
+	159	125
+	3	157	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	125
+	155	115
+	157	117
+	4	159	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	115
+	157	117
+	3	159	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	133
+	176	143
+	173	141
+	4	172	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	143
+	173	141
+	3	172	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	141
+	169	132
+	172	133
+	4	173	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	132
+	172	133
+	3	173	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	130	85
+	135	96
+	132	94
+	4	130	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	96
+	132	94
+	3	130	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	94
+	128	83
+	130	85
+	4	132	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	83
+	130	85
+	3	132	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	102
+	149	112
+	147	111
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	112
+	147	111
+	3	145	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	147	111
+	142	100
+	145	102
+	4	147	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	100
+	145	102
+	3	147	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	119
+	164	128
+	161	127
+	4	160	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	128
+	161	127
+	3	160	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	127
+	157	117
+	160	119
+	4	161	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	117
+	160	119
+	3	161	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	135
+	179	144
+	176	143
+	4	175	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	144
+	176	143
+	3	175	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	143
+	172	133
+	175	135
+	4	176	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	133
+	175	135
+	3	176	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	86
+	137	97
+	135	96
+	4	133	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	97
+	135	96
+	3	133	86	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	96
+	130	85
+	133	86
+	4	135	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	85
+	133	86
+	3	135	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	148	103
+	152	114
+	149	112
+	4	148	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	114
+	149	112
+	3	148	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	112
+	145	102
+	148	103
+	4	149	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	148	103
+	3	149	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	120
+	167	130
+	164	128
+	4	163	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	130
+	164	128
+	3	163	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	128
+	160	119
+	163	120
+	4	164	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	119
+	163	120
+	3	164	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	144
+	175	135
+	178	137
+	4	179	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	135
+	178	137
+	3	179	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	88
+	140	99
+	137	97
+	4	135	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	99
+	137	97
+	3	135	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	97
+	133	86
+	135	88
+	4	137	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	86
+	135	88
+	3	137	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	150	105
+	155	115
+	152	114
+	4	150	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	115
+	152	114
+	3	150	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	114
+	148	103
+	150	105
+	4	152	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	103
+	150	105
+	3	152	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	122
+	169	132
+	167	130
+	4	165	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	132
+	167	130
+	3	165	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	130
+	163	120
+	165	122
+	4	167	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	120
+	165	122
+	3	167	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	89
+	142	100
+	140	99
+	4	138	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	100
+	140	99
+	3	138	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	99
+	135	88
+	138	89
+	4	140	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	88
+	138	89
+	3	140	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	153	107
+	157	117
+	155	115
+	4	153	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	117
+	155	115
+	3	153	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	115
+	150	105
+	153	107
+	4	155	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	105
+	153	107
+	3	155	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	123
+	172	133
+	169	132
+	4	168	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	133
+	169	132
+	3	168	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	132
+	165	122
+	168	123
+	4	169	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	122
+	168	123
+	3	169	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	91
+	145	102
+	142	100
+	4	141	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	142	100
+	3	141	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	100
+	138	89
+	141	91
+	4	142	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	89
+	141	91
+	3	142	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	108
+	160	119
+	157	117
+	4	156	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	119
+	157	117
+	3	156	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	117
+	153	107
+	156	108
+	4	157	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	107
+	156	108
+	3	157	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	125
+	175	135
+	172	133
+	4	171	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	135
+	172	133
+	3	171	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	133
+	168	123
+	171	125
+	4	172	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	123
+	171	125
+	3	172	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	143	92
+	148	103
+	145	102
+	4	143	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	103
+	145	102
+	3	143	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	102
+	141	91
+	143	92
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	91
+	143	92
+	3	145	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	110
+	163	120
+	160	119
+	4	158	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	120
+	160	119
+	3	158	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	119
+	156	108
+	158	110
+	4	160	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	108
+	158	110
+	3	160	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	173	127
+	178	137
+	175	135
+	4	173	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	137
+	175	135
+	3	173	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	135
+	171	125
+	173	127
+	4	175	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	125
+	173	127
+	3	175	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	94
+	150	105
+	148	103
+	4	146	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	105
+	148	103
+	3	146	94	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	148	103
+	143	92
+	146	94
+	4	148	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	92
+	146	94
+	3	148	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	111
+	165	122
+	163	120
+	4	161	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	122
+	163	120
+	3	161	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	120
+	158	110
+	161	111
+	4	163	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	110
+	161	111
+	3	163	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	137
+	173	127
+	176	128
+	4	178	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	127
+	176	128
+	3	178	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	96
+	153	107
+	150	105
+	4	149	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	107
+	150	105
+	3	149	96	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	150	105
+	146	94
+	149	96
+	4	150	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	94
+	149	96
+	3	150	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	113
+	168	123
+	165	122
+	4	164	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	123
+	165	122
+	3	164	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	122
+	161	111
+	164	113
+	4	165	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	111
+	164	113
+	3	165	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	151	97
+	156	108
+	153	107
+	4	151	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	108
+	153	107
+	3	151	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	107
+	149	96
+	151	97
+	4	153	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	96
+	151	97
+	3	153	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	115
+	171	125
+	168	123
+	4	167	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	125
+	168	123
+	3	167	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	123
+	164	113
+	167	115
+	4	168	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	113
+	167	115
+	3	168	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	99
+	158	110
+	156	108
+	4	154	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	110
+	156	108
+	3	154	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	108
+	151	97
+	154	99
+	4	156	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	97
+	154	99
+	3	156	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	116
+	173	127
+	171	125
+	4	169	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	127
+	171	125
+	3	169	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	125
+	167	115
+	169	116
+	4	171	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	115
+	169	116
+	3	171	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	100
+	161	111
+	158	110
+	4	157	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	111
+	158	110
+	3	157	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	110
+	154	99
+	157	100
+	4	158	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	99
+	157	100
+	3	158	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	118
+	176	128
+	173	127
+	4	172	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	128
+	173	127
+	3	172	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	127
+	169	116
+	172	118
+	4	173	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	116
+	172	118
+	3	173	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	160	102
+	164	113
+	161	111
+	4	160	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	113
+	161	111
+	3	160	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	111
+	157	100
+	160	102
+	4	161	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	100
+	160	102
+	3	161	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	128
+	172	118
+	175	120
+	4	176	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	118
+	175	120
+	3	176	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	162	104
+	167	115
+	164	113
+	4	162	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	115
+	164	113
+	3	162	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	113
+	160	102
+	162	104
+	4	164	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	102
+	162	104
+	3	164	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	105
+	169	116
+	167	115
+	4	165	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	116
+	167	115
+	3	165	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	115
+	162	104
+	165	105
+	4	167	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	104
+	165	105
+	3	167	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	107
+	172	118
+	169	116
+	4	168	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	118
+	169	116
+	3	168	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	116
+	165	105
+	168	107
+	4	169	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	105
+	168	107
+	3	169	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	109
+	175	120
+	172	118
+	4	171	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	120
+	172	118
+	3	171	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	118
+	168	107
+	171	109
+	4	172	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	107
+	171	109
+	3	172	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	120
+	171	109
+	174	110
+	4	175	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	109
+	174	110
+	3	175	120	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/exit.ps b/books/ps/exit.ps
new file mode 100644
index 0000000..400b9c0
--- /dev/null
+++ b/books/ps/exit.ps
@@ -0,0 +1,386 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 284.120003 559.000000 538.120003
+%%Creator: /u/jonms/XtoPS/xwd2ps
+%%CreationDate: Tue Oct  8 20:20:30 1991
+%%Title: standard input
+%%EndComments
+% /u/jonms/XtoPS/xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   /u/jonms/XtoPS/xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  60, height = 30, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 60, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 30
+%   starting column = 1
+%   ending column = 60
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  60 30 8
+  [60 0 0 -30 0 30]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%`0.750000 inch 3.960000 inch translate
+matrix currentmatrix
+.5 inch .16 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+dbdb70
+2f4f4f
+23238e
+d3d3d3
+ff0000
+000000
+004900
+004955
+0049aa
+0049ff
+006d00
+006d55
+006daa
+006dff
+009200
+009255
+0092aa
+0092ff
+00b600
+00b655
+00b6aa
+00b6ff
+00db00
+00db55
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+3b073b073b073b070507090103070101070701010307010103070b01050705070a0102070201060702010207020102070c01040705070a0103070201040702010307020103070b01
+0407050702010b0702010407020103070201070702010907050702010c0702010207020104070201070702010907050702010c070201020702010407020107070201090705070201
+0d0702010007020105070201070702010907050702010d0702010007020105070201070702010907050702010e070401060702010707020109070507080108070401060702010707
+02010907050709010807020107070201070702010907050709010807020107070201070702010907050702010e07040106070201070702010907050702010e070401060702010707
+02010907050702010d0702010007020105070201070702010907050702010d0702010007020105070201070702010907050702010c07020102070201040702010707020109070507
+02010c0702010207020104070201070702010907050702010b07020104070201030702010707020109070507090104070201040702010307020107070201090705070a0102070201
+0607020102070201070702010907060709010307010107070101030701010807010109073b073b073b073b07
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-alldoms.ps b/books/ps/h-alldoms.ps
new file mode 100644
index 0000000..0fd08ef
--- /dev/null
+++ b/books/ps/h-alldoms.ps
@@ -0,0 +1,1367 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:13:14 1991
+%%Title: h-alldoms.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-alldoms.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+00201070002014900730100000301070008010200000100001e01000022010000
+8c0106000201040002010200020103000201020004010100040102000201280000011d000112060
+10111011206010111050002010d00020100000201050002010700020149007201
+01000301070007010100000102001e010000220100008c010600020104000201020002010300020
+1020004010100040102000201260004011b000112060101110112060101110500
+02010d0002010000020105000201070002014900710102000301000004010000070101000201010
+01d010100210101008c010600020104000201020002010300020102000b010200
+0201240008011900011206010111011206010111050002010e00040106000201070002014900700
+103000801000008010100030100001d010100210101008c010600020104000201
+02000201030002010200020100000301000002010200020122000c0117000112060101110112060
+10111050008010800040106000201070002014900720101000701010008010100
+0301000002010300020101000001020003010300000100000101060001010100000103000101020
+00001020003010300020106000301030002010100000103000201030000010000
+6e0106000a010200020103000201020002010000030100000201020007011b00100115000112060
+10111011206010111050009010800020107000201070002014900720101000601
+0100090101000601010001010100020101000101010001010100020101000301010005010200010
+10100010101000101010002010100010101000301010005010100010101000201
+02000101010000010100020101006e0106000a01020002010300020102000201010001010100020
+10200080118001401130001120601011101120601011105000901080002010700
+0201070002014900720101000601010009010100050101000301010001010100010101000101010
+00301000003010100050101000201010001010100010101000101010002010100
+030101000401010003010100010101000201010000010100030100006e0106000a0102000201030
+00201020002010100010101000201020008011600180111000112060101110112
+06010111050002010e0004010600020107000201490072010100050101000a01010005010100030
+10100010101000101010002010200060101000501010006010100010101000101
+0100080101000401010003010100010101000601020071010600020104000201020002010300020
+102000201050002010200020121000e0116000112060101110112060101110500
+02010e0004010600020107000201490072010100050101000a01010003010000000101000301010
+00101010001010100040102000401010005010100060101000101010001010100
+08010100040101000301010001010100080102006f0106000201040002010200020103000201020
+00201050002010200020121000e01160001120601011101120601011105000201
+0d000201000002010500020107000201490072010100040102000a0101000301000000010100030
+10100010101000101010001010000030101000301010005010100060101000101
+010001010100030100000301010004010100030101000101010005010000030101006e010600020
+104000201020002010300020102000201050002010200020121000e0116000112
+06010111011206010111050002010d0002010000020105000201070002014900720101000401010
+00c01010001010100010101000101010002010100010101000101010002010100
+0301010001010000020101000601010000010200020101000101010003010100010100000201010
+0010101000201010005010100020101006e010600020104000201020002010300
+020102000201050002010200020121000e011600011206010111011206010111050002010c00020
+1020002010400020107000201490071010400020101000d010300030103000201
+0200000103000001000000010300050102000201040005010200000101000201030005010200040
+103000201040003010000000103006f0106000201040002010200020103000201
+02000201050002010200020121000e011600011206010111011206010111050002010c000201020
+00201040002010700020149007001050002010000e40106000201040002010200
+0201030002010200020105000201020002014700011206010111011206010111050002010b00020
+10400020103000201070002014900ff015f010600020104000201020002010300
+0201020002010500020102000201470001120601011101120601011105000901040002010400020
+103000201070002014900ff015f01060002010400020102000901020002010500
+020102000801410001120601011101120601011105000a010200020106000201020002010700020
+14900ff015f010600020104000201030008010200020105000201020009014000
+01120601011101120601011106000901030001010700010103000101080001014900ff015f01070
+00101050001010400060104000101060001010300080140000112060101110112
+060101117b00ff015f017b000112060101110112060101117b00ff015f017b00011206010111011
+2060101117b00ff015f017b000112060101110112060101117b00ff015f017b00
+011206010111011206010111ff00ff005700011206010111011206010111ff00ff0057000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+40011600011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff0
+140011600011206010111011206010111ff01ff0140010b000001090001120601
+0111011206010111ff01ff0140010a0002010800011206010111011206010111ff01ff014001090
+004010700011206010111011206010111ff01ff01400108000601060001120601
+0111011206010111ff01ff014001070008010500011206010111011206010111ff01ff014001060
+00a010400011206010111011206010111ff01ff01400105000c01030001120601
+0111011206010111ff01ff01400104000e010200011206010111011206010111ff01ff014001030
+010010100011206010111011206010111ff01ff01400102001201000001120601
+0111011206010111ff01ff0140011600011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+4001160001120601011101120601011115010300040104001301030018010300000101000301010
+01e0106000b010300000101000301000022010000200104000301020000010100
+1f01000019010000ff0110011600011206010111011206010111150103000401040013010300170
+10700020103001d01070009010700020101002101010020010400020106001e01
+010018010100ff01100116000112060101110112060101111601020006010200140102001701020
+000010300030101001f0102000001020009010200010102000201010021010100
+2201020002010200000102001e01010018010100ff0110011600011206010111011206010111150
+10400050102001401020017010200010102002501020000010200090102000201
+010001010200200102002201020002010200010101001d01020017010200ff01100116000112060
+10111011206010111150104000501020003010400000100000201030002010500
+0201020001010100020104000201020002010100010104000201020001010200020103000101030
+00001020002010200000102000001030000010200000103000101010000010600
+0101020001010100010102000001030002010200000101000001060001010200000103000001020
+00101010002010400050102000201020001010100030103000101030000010200
+020103000001000001010600020104000101030000010200010106000201030000010000ff01040
+11600011206010111011206010111150101000001010005010200020107000101
+0500010106000101070000010600010102000601040002010200010102000101050000010800010
+10500010103000001020001010300030106000101070000010200000103000101
+0600000106000101020000010300000107000001060004010200020102000601050000010800000
+106000101060001010600000108000001060001010600ff010401020000010100
+0001010000010100000101000001010000010100000100000112060101110112060101111501010
+00001020004010200020102000001030000010200010102000001030000010200
+0101060000010100010102000101020008010200020102000101020000010200010102000001030
+00001020001010500010102000101020002010300030102000501060000010200
+0101020000010300000102000101020004010200010102000101060000010100010102000401020
+00201020005010200010102000001030000010200000102000001020002010200
+04010100010102000101030000010200010102000401020000010200ff010401160001120601011
+10112060101111501010001010100040102000201020000010200010102000101
+0200000102000101020001010300000101000301030001010200000103000301020003010200000
+10100010102000101020000010200010102000101020000010200010102000001
+0100040103000201020005010300000101000001020001010200000102000201010001010200040
+10200010102000101030000010100030103000401020002010200050102000101
+0200000102000101020000010300010100000201020007010300010102000101020001010200040
+1030001010000ff01040103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111401060004010200020102000001020001010700000
+10200010102000101020005010500010102000001030003010200030102000001
+0100010107000001020001010200010102000001020001010500010101000101030001010200050
+10200040102000101020000010200060102000401020001010200010102000501
+0500040102000201020005010200010102000001020001010200010104000301020005010500010
+10200010102000101020005010400ff0105010200000101000001010000010100
+0001010000010100000101000001000001120601011101120601011114010700030102000301040
+00201020005010200010102000101020004010200000102000101020001010200
+0301020003010400020102000501020001010200010102000001020002010300020101000201020
+00101020005010200040102000101020000010200060102000401020001010200
+0101020004010200000102000401020002010200010101000101020001010200000102000101020
+00001000001010300020102000401020000010200010102000101020001010200
+0401000001010300ff0104011600011206010111011206010111140101000201020003010200020
+10300040103000101010000010200010102000101020004010200000102000101
+0200000103000301020004010300020103000101010000010200010102000101020000010200020
+10300020102000101020001010200000101000201020004010200000103000001
+0300010101000101020000010100010102000001030001010200040102000001020004010200020
+10200010101000101020001010200000102000101020000010200000102000201
+0200000101000101020000010200010102000101020001010200000101000101020000010200ff0
+10401030000010100000101000001010000010100000101000001010000010112
+0601011101120601011113010300000103000101060000010600020106000001060001010400030
+1070000010700010106000201020004010a000001030000010700030101000301
+0700010105000101040003010700010106000101050001010700000104000301070001010600000
+10600020105000001030000010300000106000201050001010b00000103000101
+050001010600ff01040102000001010000010100000101000001010000010100000101000001000
+00112060101110112060101111301030000010300010106000101060002010400
+0101010000010200020104000401020000010200010103000001010001010600020102000501040
+00001030000010300000106000301020003010100000103000301030002010400
+0401030000010100020104000301030003010300000101000001040004010200000102000101060
+00101040004010300010103000001030000010000000103000401030003010200
+0001060000010300020103000201000000010300ff0105011600011206010111011206010111260
+10200010102005b010200ff01b201030000010100000101000001010000010100
+00010100000101000001011206010111011206010111260107005a010300ff01b20102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+06010111270105005b010200ff01b3011600011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400102000001010000010100000101000001010000010100000101000001000
+0011206010111011206010111ff01ff0140011600011206010111011206010111
+ff01ff0140010300000101000001010000010100000101000001010000010100000101120601011
+1011206010111ff01ff0140010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111ff01ff0140011600
+0112060101110112060101111501030004010400130103001a0101000c0107001e0100000701010
+015010700030101000d01040006010300ff016601030000010100000101000001
+0100000101000001010000010100000101120601011101120601011115010300040104001301030
+0190103000b0107001d0101000601030014010700020103000c01040006010300
+ff01660102000001010000010100000101000001010000010100000101000001000001120601011
+10112060101111601020006010200140102001a0101000d010200000102001d01
+0100070101001601020000010200030101000f01020007010200ff0166011600011206010111011
+2060101111501040005010200140102002a010200010101001c01020020010200
+010101001501020007010200ff01660103000001010000010100000101000001010000010100000
+10100000101120601011101120601011115010400050102000301040000010000
+0201030002010500020102000101010002010400030104000401020000010100010102000401020
+00001070000010200030102000001010000010600020104000401030001010300
+000102000201020005010400040103000501020004010500ff01660102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101111501
+0100000101000501020002010700010105000101060001010700000106000201040003010600010
+104000201020000010c0001010600000106000201040003010500000108000101
+040003010400030105000401020003010600ff01660116000112060101110112060101111501010
+00001020004010200020102000001030000010200010102000001030000010200
+0101060000010100010102000401020002010300000102000101040002010200010102000001030
+00001020000010300000102000101020007010200020102000101020000010300
+0001020001010400050102000201020001010200030102000201020000010300ff0166010300000
+10100000101000001010000010100000101000001010000010112060101110112
+0601011115010100010101000401020002010200000102000101020001010200000102000101020
+00101030000010100030103000401020002010200020101000101020004010200
+0101020000010200010102000001020002010100010102000701020002010200010102000001020
+00101020001010200070102000201020001010200030102000201020001010200
+ff01660102000001010000010100000101000001010000010100000101000001000001120601011
+10112060101111401060004010200020102000001020001010700000102000101
+0200010102000501050004010200020102000601020004010200010102000001020001010200000
+10200060102000701020002010200010102000001020001010200010102000701
+020002010700030102000201020001010200ff01660116000112060101110112060101111401070
+00301020003010400020102000501020001010200010102000401020000010200
+0401020002010200060102000401020001010200000102000101020000010200060102000701020
+00201020001010200000102000101020001010200070102000201020008010200
+0201020001010200ff0166010300000101000001010000010100000101000001010000010100000
+10112060101110112060101111401010002010200030102000201030004010300
+0101010000010200010102000101020004010200000102000401020002010300010101000101020
+00401020000010300000102000101020000010300010101000101020000010100
+0401020002010200010102000001020001010200010102000701020002010300010101000301020
+00201020001010200ff0166010200000101000001010000010100000101000001
+0100000101000001000001120601011101120601011113010300000103000101060000010600020
+1060000010600010104000301070001010600010106000001040003010b000001
+0300010106000101050002010600010105000001030000010300000104000401060001010600010
+1060001010600ff01660116000112060101110112060101111301030000010300
+0101060001010600020104000101010000010200020104000401020000010200010106000201040
+00101040004010300000105000001030002010400030103000301060002010300
+0101030000010300000104000401060002010400020106000201020000010100ff0166010300000
+10100000101000001010000010100000101000001010000010112060101110112
+060101112601020001010200ff01ff0111010200000101000001010000010100000101000001010
+0000101000001000001120601011101120601011126010700ff01ff0111011600
+01120601011101120601011127010500ff01ff01120103000001010000010100000101000001010
+000010100000101000001011206010111011206010111ff01ff01400102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111ff0
+1ff0140011600011206010111011206010111ff01ff0140010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111ff01ff014001020
+00001010000010100000101000001010000010100000101000001000001120601
+0111011206010111ff01ff0140011600011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff014001020000010100000101000001010000010100000101000001010000010000011
+206010111011206010111ff01ff0140011600011206010111011206010111ff01
+ff01400103000001010000010100000101000001010000010100000101000001011206010111011
+206010111150103002a0101000f01000011010300020105001601030013010300
+0401040013010300ff0174010200000101000001010000010100000101000001010000010100000
+1000001120601011101120601011115010300290103000d010100110103000201
+050016010300130103000401040013010300ff01740116000112060101110112060101111601020
+02a0101000e010100120102000401020018010200140102000601020014010200
+ff01740103000001010000010100000101000001010000010100000101000001011206010111011
+20601011115010400390102001201020004010200180102001301040005010200
+14010200ff017401020000010100000101000001010000010100000101000001010000010000011
+20601011101120601011115010400030103000001000002010300000100000301
+0300040102000001010001010400030104000201060003010300040105000401020003010300020
+10200010101000301050001010400010103000001020002010400050102000301
+0400000100000201030002010500020102000101010002010400ff015f011600011206010111011
+20601011115010100000101000201060001010600020105000201060001010400
+0201060001010600020105000201060004010200020105000101070001010600000106000001080
+00101010000010100050102000201070001010500010106000101070000010600
+ff015e0103000001010000010100000101000001010000010100000101000001011206010111011
+20601011115010100000102000101020000010200010102000001020001010200
+0101020000010300000102000301020002010100010102000201020004010200010102000001020
+00001030004010200010102000101020001010600000102000001030000010100
+0101020001010300000102000101010000010200040102000201020000010300000102000101020
+00001030000010200010106000001010001010200ff015e010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011115010100010
+10100010103000101000001010300010100000101020001010200000102000201
+0100030102000501030002010200040102000101020000010200010102000401020001010200010
+10200010103000001010000010200010102000301030001010200010102000101
+0100010101000401020002010200000102000101020001010200000102000101020001010300000
+1010003010300ff015e0116000112060101110112060101111401060002010400
+0301040002010200010102000001020008010200030105000201020004010700000102000101020
+00401020001010200010102000101020004010200010102000101050001010200
+0101020000010600040102000201020000010200010107000001020001010200010102000501050
+0ff015e0103000001010000010100000101000001010000010100000101000001
+0112060101110112060101111401070000010000010103000101000001010300010102000101020
+00001020008010200020102000001020002010200040102000501020001010200
+0001010001010200010102000101020001010200040102000101020000010200000102000101020
+00101020000010700030102000301040002010200050102000101020001010200
+0401020000010200ff015e010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111140101000201020000010200000102000101
+0200000102000101020001010200000103000101010003010200020102000001020002010200000
+10100010103000101010000010200010102000001010001010200010102000101
+0200010102000401020001010200000102000001020001010200010102000001010002010200030
+10200020103000401030001010100000102000101020001010200040102000001
+0200ff015e011600011206010111011206010111130103000001030000010600010106000201050
+00201060001010600000107000101050002010600010106000001060002010500
+010104000401060000010b000001070000010300010106000001060002010600000106000101040
+003010700ff015d01030000010100000101000001010000010100000101000001
+0100000101120601011101120601011113010300000103000001000000010300020100000001030
+00401030004010400020106000101020000010200020103000401040003010200
+0001010001010400040103000201040005010200000101000101020000010600000107000001030
+00101060001010600020104000101010000010200020104000401020000010200
+ff015d0102000001010000010100000101000001010000010100000101000001000001120601011
+1011206010111b601020001010200ff0181011600011206010111011206010111
+b6010700ff018101030000010100000101000001010000010100000101000001010000010112060
+10111011206010111b7010500ff01820102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111ff01ff014001160001120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001020000010100000101000001010
+000010100000101000001010000010000011206010111011206010111ff01ff01
+40011600011206010111011206010111ff01ff01400103000001010000010100000101000001010
+000010100000101000001011206010111011206010111ff01ff01400102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111ff0
+1ff0140011600011206010111011206010111ff01ff0140010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111ff01ff014001020
+00001010000010100000101000001010000010100000101000001000001120601
+0111011206010111150103002a0101000f0100001101030000010400060101000d0103000401040
+013010300ff018f01160001120601011101120601011115010300290103000d01
+01001101030000010400050103000c0103000401040013010300ff018f010300000101000001010
+00001010000010100000101000001010000010112060101110112060101111601
+02002a0101000e0101001201020001010200070101000e0102000601020014010200ff018f01020
+00001010000010100000101000001010000010100000101000001000001120601
+011101120601011115010400390102001201020001010200170104000501020014010200ff018f0
+11600011206010111011206010111150104000301030000010000020103000001
+0000030103000401020000010100010104000301040002010600030103000401050001010200050
+10400040103000301040005010200030104000001000002010300020105000201
+02000101010002010400ff017a01030000010100000101000001010000010100000101000001010
+00001011206010111011206010111150101000001010002010600010106000201
+0500020106000101040002010600010106000201050002010600010102000501040003010500020
+1010000010100050102000201070001010500010106000101070000010600ff01
+7901020000010100000101000001010000010100000101000001010000010000011206010111011
+20601011115010100000102000101020000010200010102000001020001010200
+0101020000010300000102000301020002010100010102000201020004010200010102000001020
+00001030001010200070102000201020001010200010101000001020004010200
+020102000001030000010200010102000001030000010200010106000001010001010200ff01790
+11600011206010111011206010111150101000101010001010300010100000101
+0300010100000101020001010200000102000201010003010200050103000201020004010200010
+10200000102000101020001010200070102000201020001010200010101000101
+0100040102000201020000010200010102000101020000010200010102000101030000010100030
+10300ff0179010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111140106000201040003010400020102000101020000010200080
+10200030105000201020004010700000102000101020001010200070102000201
+0700000106000401020002010200000102000101070000010200010102000101020005010500ff0
+17901020000010100000101000001010000010100000101000001010000010000
+0112060101110112060101111401070000010000010103000101000001010300010102000101020
+00001020008010200020102000001020002010200040102000501020001010200
+0101020001010100030102000201020005010700030102000301040002010200050102000101020
+0010102000401020000010200ff01790116000112060101110112060101111401
+0100020102000001020000010200010102000001020001010200010102000001030001010100030
+10200020102000001020002010200000101000101030001010100000102000101
+0200010102000001020003010200020103000101010000010100020102000301020002010300040
+10300010101000001020001010200010102000401020000010200ff0179010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111130
+10300000103000001060001010600020105000201060001010600000107000101
+05000201060001010600000107000101060001010a0000010300010106000001060002010600000
+106000101040003010700ff017801020000010100000101000001010000010100
+0001010000010100000100000112060101110112060101111301030000010300000100000001030
+00201000000010300040103000401040002010600010102000001020002010300
+0401040003010200000101000001070001010600020104000001030000010300010106000101060
+0020104000101010000010200020104000401020000010200ff01780116000112
+060101110112060101119b01020001010200ff019c0103000001010000010100000101000001010
+0000101000001010000010112060101110112060101119b010700ff019c010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+19c010500ff019d011600011206010111011206010111ff01ff01400103000001
+010000010100000101000001010000010100000101000001011206010111011206010111ff01ff0
+14001020000010100000101000001010000010100000101000001010000010000
+011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff0140010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff014001020000010100000101000001010000010100
+000101000001010000010000011206010111011206010111ff01ff0140011600011206010111011
+2060101111501020000010100160100001901010014010800ff01d20103000001
+0100000101000001010000010100000101000001010000010112060101110112060101111401060
+0150101001801030013010800ff01d20102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111140102000001020015010100190
+10100140101000001020000010100ff01d2011600011206010111011206010111
+14010200010101001401020033010200ff01d501030000010100000101000001010000010100000
+10100000101000001011206010111011206010111140102000101010002010400
+0201020001010100010106000301030003010300000100000201040003010400010103000001020
+00301020005010300010103000001020002010300000100000301030002010200
+01010100ff01a601020000010100000101000001010000010100000101000001010000010000011
+20601011101120601011114010200050106000101070000010600020105000101
+0600020104000201060000010800020102000401050000010800000106000201050001010700ff0
+1a501160001120601011101120601011114010200050101000101020002010600
+0101020004010200010102000001020000010200040102000201010001010200010103000001020
+00201020003010200010102000001030000010200000102000001020001010200
+0101020001010600ff01a5010300000101000001010000010100000101000001010000010100000
+10112060101110112060101111401020008010300020103000001010001010200
+0401020001010200000103000101000004010200050103000101020001010200020102000301020
+00101020000010200010102000001030001010000010102000101020001010300
+00010100ff01a501020000010100000101000001010000010100000101000001010000010000011
+20601011101120601011114010200060105000201020005010200040107000101
+0400050102000301050001010200010102000201020003010700000102000101020001010400020
+102000101020001010200ff01a901160001120601011101120601011114010200
+0101010001010200000102000201020005010200040102000501000001010300040102000201020
+00001020001010200010102000201020003010200050102000101020000010000
+01010300010102000101020001010200ff01a901030000010100000101000001010000010100000
+10100000101000001011206010111011206010111140102000101010001010200
+0001020002010200050102000001010001010300010101000001020000010200040102000201020
+00001020001010200010102000201020003010300010101000001020001010200
+0001020000010200010102000101020001010200ff01a9010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111140106000101
+0700000104000401050002010600000106000201060000010b00000103000101040003010a00000
+10300000106000201050001010400ff01a8011600011206010111011206010111
+1501040003010200000102000001040005010300040104000101000000010300030106000101020
+00001060000010300010104000401040000010300000103000001000000010300
+0401030002010400ff01a8010300000101000001010000010100000101000001010000010100000
+1011206010111011206010111ff01ff0140010200000101000001010000010100
+00010100000101000001010000010000011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400102000001010000010100000
+1010000010100000101000001010000010000011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+10200000101000001010000010100000101000001010000010100000100000112
+06010111011206010111ff01ff0140011600011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+0601011115010200000101001d010400ff01ff01010102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111140106001d010400
+ff01ff010101160001120601011101120601011114010200000102001f010200ff01ff010101030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011114010200010101001f010200ff01ff0101010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111140102000101
+0100030103000201000000010100000101000101010000010300040102000401030002010300000
+10200ff01ed011600011206010111011206010111140102000601050001010700
+0001070003010200030105000101020001010200ff01ed010300000101000001010000010100000
+10100000101000001010000010112060101110112060101111401020005010200
+010102000001070000010300000102000301020002010200010102000101020000010100ff01ee0
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011114010200050102000101020000010100000101000001010000010200010
+1020003010200020102000101020002010300ff01ef0116000112060101110112
+0601011114010200050102000101020000010100000101000001010000010200010102000301020
+00201070002010300ff01ef010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111140102000101010001010200010102000001010
+000010100000101000001020001010200030102000201020007010300ff01ef01
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111140102000101010001010200010102000001010000010100000101000001
+0200000103000301020002010300010101000101010000010200ff01ee011600011206010111011
+20601011114010600020105000101010000010100000101000001060002010600
+010106000001020001010200ff01ed0103000001010000010100000101000001010000010100000
+10100000101120601011101120601011115010400040103000201010000010100
+000101000001050003010600020104000101020000010300ff01ed0102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101112f01
+0200ff01ff010d0116000112060101110112060101112f010200ff01ff010d01030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+2e010400ff01ff010c0102000001010000010100000101000001010000010100000101000001000
+0011206010111011206010111ff01ff0140011600011206010111011206010111
+ff01ff0140010300000101000001010000010100000101000001010000010100000101120601011
+1011206010111ff01ff0140010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011114010600280
+10100060100000401020000010300150100001501030020010100030101000c01
+000010010100ff01690116000112060101110112060101111401070026010300040101000401020
+001010200140101001501030020010100030101000b0101000f010300ff016801
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+11501020000010200270101000501010004010200010102001401010016010200
+20010200010102000b01010010010100ff016901020000010100000101000001010000010100000
+10100000101000001000001120601011101120601011115010200000102002e01
+02000401020001010200130102001601020020010200010102000a010200ff017c0116000112060
+10111011206010111150102000001020002010300010103000001020002010400
+0201020001010200010104000201060001010200010102000101040002010200010101000101060
+00301030001010300000102000101050004010300020102000101010002010400
+000100000001070001010400020106000101020001010100020104000201030000010200ff015d0
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111150102000001020001010500000108000001060001010200010102000101040
+00201060001010700000106000101070000010600020105000001080000010600
+0201050001010700000107000001070000010600010106000101070001010400020102000101020
+0ff015d0102000001010000010100000101000001010000010100000101000001
+0000011206010111011206010111150102000001020000010200010102000001030000010200000
+10100010102000101020001010200030102000301020004010700000101000101
+0200020106000101020004010200010102000001030000010200000103000001020000010200010
+10200010106000001020000010300000107000001010001010200020102000501
+0600030102000301020000010100ff015e011600011206010111011206010111150102000001020
+00001020001010200000102000101020003010300020102000001010004010200
+0301020004010200010102000301030002010300000101000101020004010200010102000001020
+00101020000010200010102000001020001010200010103000001010000010200
+0001020001010100000101000001010003010300020102000501030000010100030102000401030
+0ff015f0103000001010000010100000101000001010000010100000101000001
+0112060101110112060101111501020000010200000107000001020001010200010105000201020
+00001010004010200030102000401020001010200010105000201020005010200
+0401070000010200010102000001020001010200000107000101020004010200000102000101010
+000010100000101000101050002010200050102000701020004010300ff015f01
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111150102000001020000010200050102000101020000010200000102000201
+0400050102000301020004010200010102000001020000010200020102000501020004010200050
+10200010102000001020001010200000102000601020005010400020101000001
+010000010100000102000001020002010200050102000701020004010300ff015f0116000112060
+10111011206010111150102000001020000010300010101000001020001010200
+0001020000010200030103000501020003010200000101000101020001010200000102000001020
+00201020005010200000101000101030001010100000102000101020000010200
+0101020000010300010101000101020004010300040101000301010000010200000102000201020
+00001010002010200070102000301010000010200ff015e010300000101000001
+01000001010000010100000101000001010000010112060101110112060101111401070001010a0
+00001030000010700020102000401060001010500010102000101020000010700
+000104000401050002010a000001030000010600020106000001040003010600010102000101020
+0000107000101050001010400040106000001020001010200ff015d0102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111140
+10600030104000001030000010300010102000001020002010200040106000201
+0300020102000001030001010200000102000001040005010300040104000001030000010300000
+10100000102000401040001010400040106000001020001010200010102000001
+02000201030002010400040106000001020000010300ff015d01160001120601011101120601011
+1a401020001010200ff0193010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111a4010700ff01930102000001010000010100000
+1010000010100000101000001010000010000011206010111011206010111a501
+0500ff0194011600011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111ff01ff0140011600011206010111011206010111ff01ff01400103000001
+010000010100000101000001010000010100000101000001011206010111011206010111ff01ff0
+14001020000010100000101000001010000010100000101000001010000010000
+011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff0140010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111ff01ff014001160001120601011101120601
+01111501030000010100270101000c01010002010200130103002a0101000f01000007010100160
+103000401040013010300ff014701030000010100000101000001010000010100
+0001010000010100000101120601011101120601011114010700260103000b01020001010200130
+10300290103000d01010006010300150103000401040013010300ff0147010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+11401020000010300270101000c01020002010100140102002a0101000e010100
+07010100170102000601020014010200ff014701160001120601011101120601011114010200010
+1020036010300010101001301040039010200200104000501020014010200ff01
+4701030000010100000101000001010000010100000101000001010000010112060101110112060
+10111140102000201010002010300010103000001020003010300020102000101
+0100020104000401020000010100000103000101010002010300010103000001020002010400030
+10300000100000201030000010000030103000401020000010100010104000301
+0400020106000201040002010200010102000201030003010400050102000301040000010000020
+1030002010500020102000101010002010400ff01320102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111140102000601050
+00001080001010500010107000101040003010600000104000001010001010500
+0001080001010100000101000201060001010600020105000201060001010400020106000101060
+00201040002010200010102000101050002010100000101000501020002010700
+01010500010106000101070000010600ff013101160001120601011101120601011114010200050
+10200010102000001030000010200000102000101020001010600030102000201
+0300000102000001010000010100000101000001020001010200000103000001020001010100000
+10200010102000001020001010200000102000101020001010200000103000001
+0200030102000201010001010200020102000701020002010200010102000001020001010200010
+10100000102000401020002010200000103000001020001010200000103000001
+0200010106000001010001010200ff0131010300000101000001010000010100000101000001010
+00001010000010112060101110112060101111401020000010300000102000101
+0200000102000101020000010200010102000101030000010100030102000201020002010100000
+10100000104000001020001010200000102000101020001010100010101000101
+0300010100000101030001010000010102000101020000010200020101000301020005010300020
+10200070102000301020000010100010102000101020001010100010101000401
+0200020102000001020001010200010102000001020001010200010103000001010003010300ff0
+13101020000010100000101000001010000010100000101000001010000010000
+0112060101110112060101111401020000010300000107000001020001010200000107000101020
+00701020002010200050101000101030000010200010102000001020001010200
+0001060002010400030104000201020001010200000102000801020003010500020102000701020
+00301020000010100010107000001060004010200020102000001020001010700
+00010200010102000101020005010500ff013101160001120601011101120601011114010200010
+10200000102000501020001010200000102000601020007010200020102000501
+0100010103000001020001010200000102000101020000010700000100000101030001010000010
+10300010102000101020000010200080102000201020000010200020102000701
+0200030104000201020005010700030102000301040002010200050102000101020001010200040
+1020000010200ff01310103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111401020000010300000103000101010000010200010
+10200000103000101010001010200070102000201030001010100000101000201
+0200000102000101020000010200010102000001010002010200000102000001020001010200000
+10200010102000101020000010300010101000301020002010200000102000201
+0200000101000401020004010300020103000101010000010100020102000301020002010300040
+10300010101000001020001010200010102000401020000010200ff0131010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+11401070001010a00000103000101060000010400040106000101060000010200
+0101020001010500000103000001070000010300000106000101060002010500020106000101060
+00001070001010500020106000201020004010a00000103000101060000010600
+02010600000106000101040003010700ff013001160001120601011101120601011115010300000
+10100020104000001030000010300020104000101040004010600020104000101
+0200020101000201030001010300000107000001030000010000000103000201000000010300040
+10300040104000201060001010200000102000201030003010600020102000501
+0400000103000001030001010600010106000201040001010100000102000201040004010200000
+10200ff0130010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111e301020001010200ff015401020000010100000101000001010
+000010100000101000001010000010000011206010111011206010111e3010700
+ff0154011600011206010111011206010111e4010500ff015501030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111ff01ff0140011600011206010111011206010111ff01ff01400103000001
+010000010100000101000001010000010100000101000001011206010111011206010111ff01ff0
+14001020000010100000101000001010000010100000101000001010000010000
+011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff0140010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+10111011206010111140106000e0103001f01030000010100030101000c010000
+10010100ff01c301020000010100000101000001010000010100000101000001010000010000011
+206010111011206010111140106000e0103001f01030000010100030101000b01
+01000f010300ff01c20116000112060101110112060101111601020011010200200102000001020
+0010102000b01010010010100ff01c30103000001010000010100000101000001
+0100000101000001010000010112060101110112060101111601020011010200200102000001020
+0010102000a010200ff01d6010200000101000001010000010100000101000001
+0100000101000001000001120601011101120601011116010200020103000001020003010500020
+10300020103000001020002010300040105000001070001010400020106000101
+020001010100020104000201030000010200ff01b70116000112060101110112060101111601020
+00201080001010600010105000101020001010200010105000201060000010700
+000106000101060001010700010104000201020001010200ff01b70103000001010000010100000
+10100000101000001010000010100000101120601011101120601011116010200
+0301030000010200000102000001030000010200010102000101020000010100010102000101020
+00001020000010300000107000001010001010200020102000501060003010200
+0301020000010100ff01b8010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111160102000301020001010200000102000101
+0200000102000101020002010300020102000101020000010200010102000001010000010100000
+10100030103000201020005010300000101000301020004010300ff01b9011600
+0112060101110112060101111601020003010200010102000001020001010200000107000201030
+00201070000010200010102000001010000010100000101000101050002010200
+050102000701020004010300ff01b90103000001010000010100000101000001010000010100000
+10100000101120601011101120601011116010200030102000101020000010200
+0101020000010200070103000201020005010200010102000001010000010100000101000001020
+00001020002010200050102000701020004010300ff01b9010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011116010200030
+10200010102000001020001010200000103000101010001010100000102000101
+0300010101000001020001010200000101000301010000010200000102000201020000010100020
+10200070102000301010000010200ff01b8011600011206010111011206010111
+1401060000010300000103000101060001010600000102000101020001010600010106000001020
+001010200000107000101050001010400040106000001020001010200ff01b701
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+11401060000010300000103000201020000010100020104000101020000010300
+0201040003010200000101000001020001010200010102000001020002010300020104000401060
+00001020000010300ff01b7010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010200000101000001
+01000001010000010100000101000001010000010000011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ff01ff01400102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+06010111ff01ff0140011600011206010111011206010111ff01ff0140010300000101000001010
+0000101000001010000010100000101000001011206010111011206010111ff01
+ff01400102000001010000010100000101000001010000010100000101000001000001120601011
+101120601011114010400060101000d010300000101002d010100030101000c01
+000010010100ff01b101160001120601011101120601011114010400050103000b0107002d01010
+0030101000b0101000f010300ff01b00103000001010000010100000101000001
+01000001010000010100000101120601011101120601011115010200070101000c0102000101020
+02d010200010102000b01010010010100ff01b101020000010100000101000001
+0100000101000001010000010100000100000112060101110112060101111501020016010200020
+101002d010200010102000a010200ff01c4011600011206010111011206010111
+1501020005010400040103000201030001010100020102000001010000010200000103000101040
+00201020001010100030103000201070001010400020106000101020001010100
+020104000201030000010200ff01a50103000001010000010100000101000001010000010100000
+10100000101120601011101120601011115010200050104000301050002010300
+0401060000010200000103000001060001010700010105000101070000010600010106000101070
+0010104000201020001010200ff01a50102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111150102000701020002010200010
+10200020103000201020001010200000102000101020000010100010102000201
+0600000102000101020000010700000101000101020002010200050106000301020003010200000
+10100ff01a6011600011206010111011206010111150102000701020002010200
+0101020003010300010102000101020000010200010102000301030002010300000101000001020
+00101020000010100000101000001010003010300020102000501030000010100
+0301020004010300ff01a7010300000101000001010000010100000101000001010000010100000
+10112060101110112060101111501020007010200020107000001010001010300
+0001020001010200000102000101020001010500020102000401070000010100000101000001010
+00101050002010200050102000701020004010300ff01a7010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011115010200010
+10100030102000201020005010100020102000001020001010200000102000101
+0200000102000001020002010200040102000501010000010100000101000001020000010200020
+10200050102000701020004010300ff01a7011600011206010111011206010111
+1501020000010200030102000201030001010100000102000101020000010300000102000001020
+00001030000010200000102000201020004010300010101000001010003010100
+0001020000010200020102000001010002010200070102000301010000010200ff01a6010300000
+10100000101000001010000010100000101000001010000010112060101110112
+0601011114010700010106000101060000010700010106000001070000010700000104000401060
+00001020001010200000107000101050001010400040106000001020001010200
+ff01a50102000001010000010100000101000001010000010100000101000001000001120601011
+10112060101111401070001010600020104000101010000010300030105000101
+0300000101000101020000010200000104000501040001010200010102000101020000010200020
+1030002010400040106000001020000010300ff01a50116000112060101110112
+060101113d010200ff01ff010300000101000001010000010100000101000001010000010100000
+10112060101110112060101113d010200ff01ff01020000010100000101000001
+0100000101000001010000010100000100000112060101110112060101113c010300ff01ff01030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111140104000601010028010300
+000101001501000016010100030101000c010000100101000c01060012010300ff016b010100140
+10112060101110112060101111401040005010300260107001401010016010100
+030101000b0101000f0103000b01070011010300ff016b010100140101120601011101120601011
+1150102000701010027010200010102001401010016010200010102000b010100
+100101000d0102000001020012010200ff016b01030000010100000101000001010000010100000
+10100000101000001011206010111011206010111150102003101020002010100
+1301020016010200010102000a010200200102000001020012010200ff016b01010014010112060
+10111011206010111150102000501040001010300000102000301030003010400
+0201020001010100010103000101010000010300000102000101030000010000010106000301030
+00201000000010100000101000101070001010400020106000101020001010100
+0201040002010300000102000101020000010200010104000401020000010100000102000101020
+001010400030104000001000002010300ff014d01010014010112060101110112
+0601011115010200050104000101080001010500010106000101070001010300030103000001020
+00001060001010600020105000101070000010700000106000101060001010700
+0101040002010200010102000101020000010200000106000201060000010200010102000001060
+00101070001010500ff014c010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111150102000701020002010300000102000001020
+00101020000010100010102000201060002010300020102000101020000010200
+0001020002010200040102000101020000010700000107000001010001010200020102000501060
+00301020003010200000101000201060000010100010102000101030000010200
+0001020000010200010101000101020001010200000103000001020001010200ff014b010100140
+10112060101110112060101111501020007010200020102000101020000010200
+0101020003010300020103000001010003010300020102000001010001010300010100000201020
+00401020001010200000101000001010000010100000101000001010000010100
+0301030002010200050103000001010003010200040103000301050004010300010102000201010
+0000105000501030001010200000102000101020001010200ff014b0101001401
+0112060101110112060101111501020007010200020102000101020000010700010105000201020
+00401010001010300010105000201040003010200040107000001010000010100
+0001010000010100000101000001010001010500020102000501020007010200040103000301020
+005010500010102000501040004010500010102000001020001010700ff014b01
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+11501020001010100030102000201020001010200000102000501020000010200
+0201020004010100020102000201030002010000010103000201020004010200050101000001010
+00001010000010100000101000001010000010200000102000201020005010200
+0701020004010300030102000401020000010200010102000501020000010100020102000001020
+00201040002010200ff0150010100140101120601011101120601011115010200
+0001020003010200020102000101020000010300010101000001020000010200020102000401020
+00101020002010300020102000001020002010200000101000101030001010100
+0001010000010100000101000001010003010100000102000001020002010200000101000201020
+00701020003010100000102000201020004010200000102000101030001010100
+00010200000102000101020000010200010103000401030001010100ff014b01010014010112060
+101110112060101111401070001010a0000010300010106000001070000010400
+0301070003010100030106000201050002010600000101000001010000010100000102000101020
+00001070001010500010104000401060000010200010102000001040003010700
+010106000001020001010200000107000001060002010600ff014b0103000001010000010100000
+10100000101000001010000010100000101120601011101120601011114010700
+01010a0000010300020104000201020000010200000104000301010000010300030102000301000
+00001030004010300040104000101010000010100000101000001020001010200
+0101020000010200020103000201040004010600000102000001030000010400040102000001020
+002010400010102000101020001010200000102000101060002010400ff014c01
+01001401011206010111011206010111540102008b01020001010200ff015401010014010112060
+10111011206010111530103008b010700ff015401030000010100000101000001
+01000001010000010100000101000001011206010111011206010111530102008d010500ff01550
+101001401011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff0140010300000101000001010000010100000101000001010000010100000
+1011206010111011206010111ff01ff0140010100140101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010300000101000001010
+0000101000001010000010100000101000001011206010111011206010111ff01
+ff01400101001401011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400101001401011206010111011206010111140
+10100030101000c01000010010100ff01ff010201010014010112060101110112
+0601011114010100030101000b0101000f010300ff01ff010101030000010100000101000001010
+00001010000010100000101000001011206010111011206010111140102000101
+02000b01010010010100ff01ff01020101001401011206010111011206010111140102000101020
+00a010200ff01ff01150101001401011206010111011206010111140107000101
+0400020106000101020001010100020104000201030000010200ff01f6010300000101000001010
+00001010000010100000101000001010000010112060101110112060101111401
+0700000106000101060001010700010104000201020001010200ff01f6010100140101120601011
+10112060101111401070000010100010102000201020005010600030102000301
+020000010100ff01f70101001401011206010111011206010111140101000001010000010100030
+103000201020005010300000101000301020004010300ff01f801030000010100
+0001010000010100000101000001010000010100000101120601011101120601011114010100000
+10100000101000101050002010200050102000701020004010300ff01f8010100
+1401011206010111011206010111140101000001010000010100000102000001020002010200050
+102000701020004010300ff01f801010014010112060101110112060101111401
+0100030101000001020000010200020102000001010002010200070102000301010000010200ff0
+1f701030000010100000101000001010000010100000101000001010000010112
+0601011101120601011114010200010102000001070001010500010104000401060000010200010
+10200ff01f6010100140101120601011101120601011114010200010102000101
+0200000102000201030002010400040106000001020000010300ff01f6010100140101120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010100140101120601011
+101120601011114010100030101000c010000100101000c010400060101002801
+03000401040013010300170107001e01000007010100ff014e01030000010100000101000001010
+00001010000010100000101000001011206010111011206010111140101000301
+01000b0101000f0103000b01040005010300270103000401040013010300170107001d010100060
+10300ff014d010100140101120601011101120601011114010200010102000b01
+0100100101000d0102000701010029010200060102001401020018010200000102001d010100070
+10100ff014e010100140101120601011101120601011114010200010102000a01
+02002001020032010400050102001401020018010200010101001c010200ff01580103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111140107000101040002010600010102000101010002010400020103000001020001010200050
+10400010103000001020003010300030104000201020001010100020104000501
+0200030104000001000002010300020105000201020001010100020104000301020004010200000
+10700000102000301020000010100000106000201040004010300010103000001
+02000201030000010000ff013101010014010112060101110112060101111401070000010600010
+10600010107000101040002010200010102000101020005010400010108000101
+0500010106000101070001010100000101000501020002010700010105000101060001010700000
+10600020104000201020000010c00010106000001060002010400030105000001
+080000010600ff01310101001401011206010111011206010111140107000001010001010200020
+10200050106000301020003010200000101000201020007010200020103000001
+0200000102000101020000010100010102000201060001010100000102000401020002010200000
+10300000102000101020000010300000102000101060000010100010102000201
+0400020102000101020000010300000102000001030000010200010102000701020002010200010
+1020000010300000102000001020000010200ff01310103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111401010000010100000
+10100030103000201020005010300000101000301020004010300030102000701
+0200020102000101020000010200010102000301030002010300000101000101010001010100040
+10200020102000001020001010200010102000001020001010200010103000001
+0100030103000201020004010200010102000001020001010200000102000201010001010200070
+10200020102000101020000010200010102000001030001010000ff0131010100
+1401011206010111011206010111140101000001010000010100010105000201020005010200070
+10200040103000301020007010200020102000101020000010700010105000201
+0200040106000401020002010200000102000101070000010200010102000101020005010500020
+10200040102000101020000010200010102000001020006010200070102000201
+020001010200000102000101020001010400ff01320116000112060101110112060101111401010
+00001010000010100000102000001020002010200050102000701020004010300
+0301020001010100030102000201020001010200000102000501020000010200020102000401070
+00301020003010400020102000501020001010200010102000401020000010200
+0201020004010200010102000001020001010200000102000601020007010200020102000101020
+000010200010102000001000001010300ff013101160001120601011101120601
+0111140101000301010000010200000102000201020000010100020102000701020003010100000
+10200020102000001020003010200020102000101020000010300010101000001
+0200000102000201020004010100020102000301020002010300040103000101010000010200010
+10200010102000401020000010200020102000401020000010300000102000101
+0200000103000101010001010200000101000401020002010200010102000001020001010200000
+1020000010200ff01310116000112060101110112060101111401020001010200
+0001070001010500010104000401060000010200010102000001070001010a00000103000101060
+00001070000010400020103000001030001010600000106000201060000010600
+01010400030107000001040003010b0000010300010106000101050002010600010105000001030
+00001030000010600ff0131011600011206010111011206010111140102000101
+0200010102000001020002010300020104000401060000010200000103000001070001010a00000
+10300020104000201020000010200000104000201030000010300010106000101
+0600020104000101010000010200020104000401020000010200000104000401030000010500000
+10300020104000301030003010600020103000101030000010300000100000001
+0300ff01320116000112060101110112060101119201020001010200ff01a501160001120601011
+101120601011192010700ff01a501160001120601011101120601011193010500
+ff01a6011600011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff014001020012010000011206010111011206010111ff01ff01400103001001
+0100011206010111011206010111ff01ff01400104000e010200011206010111011206010111ff0
+1ff01400105000c010300011206010111011206010111ff01ff01400106000a01
+0400011206010111011206010111ff01ff014001070008010500011206010111011206010111ff0
+1ff014001080006010600011206010111011206010111ff01ff01400109000401
+0700011206010111011206010111ff01ff0140010a0002010800011206010111011206010111ff0
+1ff0140010b0000010900011206010111011206010111ff01ff01400116000112
+06010111011206010111ff01ff0140011600011206010111011206010111ff01ff0140011600011
+206010111011206010111ff00ff005700011206010111011206010111ff00ff00
+5700011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01a40199001801011206010111011206010111ff01a40
+199001801011206010111011206010111ac01030008010100100103005d010000
+3c0104000401010004010400050100001a019900180101120601011101120601011114010200010
+102000401000089010300070103000f0103005c0101003b010600020103000301
+0400040101001a01990018010112060101110112060101111501010002010100030102008901020
+008010100110102005c0101003b01020000010200030101000601020004010100
+1a01990018010112060101110112060101111501010002010000050100008a0102001c0102005b0
+102003b01020010010200030102001a0199001801011206010111011206010111
+1501010002010000910102000101020001010400010103000001020003010500010103000001000
+01c01010000010300020104000201020001010100020104000201000000010100
+00010100030103000201060003010300020102000101010002010300000100001c0105000301040
+00501020002010600030103000201020001010100050199001801011206010111
+01120601011115010100010100000301030005010300010101000401000003010300050100001f0
+101000101010004010300020101000201010003010300040103001d0102000101
+0200010104000101080001010600000106001c01070000010600010107000001060001010700010
+10500010106000201050001010700000106001c01050003010400050102000201
+0600020105000101070004019900180101120601011101120601011115010100010100000501010
+0030102000101010001010100020101000101020001010100030102001d010000
+0001000000010300020101000101010000010300000103000001020001010100010102000101010
+01c01020000010200040102000201030000010200000102000001030000010200
+000102001c010300000102000001010001010200020106000001010001010200010107000001020
+0010102000101020004010200010102000101060000010200000102001d010200
+0701020005010200030102000401020001010200010106000401990018010112060101110112060
+10111150101000101000004010100040101000201010001010100020101000101
+0100020100000501000020010200000101000601010001010000000100000001000000010100000
+101000201010001010100020100001d0105000501020002010200010102000001
+02000101020000010300010100001c0102000101020003010300020103000001010003010300010
+10100000101000001010000010200010102000101020004010200010102000101
+03000001010000010300010100001d0102000701020005010200030102000401020001010200010
+10300000101000401990018010112060101110112060101111501010000010000
+0501010003010100020101000201010002010000030101002a01010001010100030103000201000
+00001010001010300020101000301010020010400060102000201020001010200
+0001020001010200010104001d01020001010200010105000201020005010500010101000001010
+00001010000010700010102000401070001010200050104001e01020007010200
+0501020003010200040107000101020008019900180101120601011101120601011115010100000
+10000050101000301040003010100010100000001000004010200270101000201
+0000020101000101010001010100000101000001010000010400060102001e01020000010100050
+102000201020001010200000102000101020000010000010103001c0102000101
+0200000102000001020002010200040102000001020001010100000101000001010000010200060
+10200040102000601020004010000010103001d01020007010200050102000301
+0200040102000601020008019900180101120601011101120601011115010100000100000401010
+00401010006010100000101000001000002010000020101002601010001010100
+01010100020101000101010000010000010101000001010007010000020101001d0102000001020
+0040102000201020001010200000102000101020000010200000102001c010200
+0001030000010200000102000201020004010200000102000101010000010100000101000001030
+00101010001010200000101000101030001010100010102000401020000010200
+1d01020007010200050102000301020000010100010103000101010001010200080199001801011
+20601011101120601011115010200050101000101000002010100020100000101
+0600010101000101020004010000200101000101010000010200010102000001010001010000010
+10000020101000201000001010100010102001d0102000101020001010a000001
+030001010600000106001c010600010107000001040003010700000101000001010000010100010
+10600010105000201060000010400030106001c01040004010600010106000101
+0500020106000001040007019900180101120601011101120601011115010100070102000401030
+0030101000001010003010300050102001e010100030101000101020001010100
+000100000401000003010300030103001f0102000101020001010a0000010300020102000001010
+000010000000103001d0105000301020000010200000104000401020000010200
+0001010000010100000101000201040003010300040104000101040003010000000103001d01040
+00401060001010600020103000401040001010400070199001801011206010111
+011206010111430100003801000076010200ab0199001801011206010111011206010111f501020
+0ab0199001801011206010111011206010111f4010400aa019900180101120601
+0111011206010111ff01a40199001801011206010111011206010111ff01a401990018010112060
+10111011206010111ff01a401040008018b001801011206010111011206010111
+ff01a401040008018b001801011206010111011206010111ff01a40199001801011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+2060101116d010300040103003401040004010100040104004e01030003010100
+06010000070101003d010300270101000f010000070101009f010112060101110112060101116d0
+10300040103003301060002010300030104004e01030002010300040101000601
+03003c010300260103000d010100060103009e010112060101110112060101116e0102000501020
+0330102000001020003010100060102004f010200030101000501010007010100
+3e010200270101000e010100070101009f010112060101110112060101116e01020005010200330
+10200100102004f0102000a0102004801020037010200a9010112060101110112
+06010111660104000201050002010500020102000101010002010300000100001c0105000301040
+0050102000401030003010300000100001e010200000101000201030001010300
+0001020003010500010104000201060002010400040103000101030000010200020103000001000
+01e01050002010300030103000001000003010200000101000001020001010100
+02010400020101000001030001010600020104000401030001010300000102008b0101120601011
+10012091165010600010106000101060001010700000106001c01050003010400
+0501020003010500010106001d01060001010500000108000101060001010400020106000201040
+00301050000010800000106001d01060001010500010106000201060000010700
+0101040002010700000106000201040003010500000108008a01011208110912001165010100010
+10200010103000001020000010300000102000101060000010200000102001d01
+02000701020005010200020102000101020000010200000102001c0103000001020000010200010
+10200000103000001020000010200000103000301020003010200070102000201
+020001010200000103000001020000010200000102001c010200000103000001020001010200000
+10200000102000101030000010200010106000301020002010300000102000101
+020007010200020102000101020000010300000102008a010912001101120601011168010300010
+10200010102000001020001010200010103000001010000010300010100001d01
+02000701020005010200020102000101020000010300010100001c0102000201010000010200010
+10200000102000101020000010200010102000301020003010200070102000201
+020001010200000102000101020000010300010100001c010200010102000001020001010200000
+10300010100000101020002010100010103000001010003010200020102000101
+02000101020007010200020102000101020000010200010102008a0101120601011101120601011
+1660105000101020001010200000102000101020001010200050104001e010200
+070102000501020002010700010104001d010200050102000101020000010200010102000001020
+00101020003010200030102000701020002010200010102000001020001010200
+010104001d010200010102000001070001010400020102000601020007010200020102000101020
+00101020007010200020102000101020000010200010102008a01011206010111
+0112060101116501020000010200010102000101020000010200010102000101020004010000010
+103001d01020007010200050102000201020005010000010103001c0102000501
+0200010102000001020001010200000102000101020003010200030102000701020002010200010
+10200000102000101020000010000010103001c01020001010200000102000501
+0000010103000101020006010200070102000201020001010200010102000701020002010200010
+1020000010200010102008a010112060101110112060101116501020000010200
+010102000101020000010200010102000101020004010200000102001d010200070102000501020
+0020103000101010000010200000102001c010300010101000001020001010200
+0001020001010200000102000101020003010200030102000001010004010200020102000101020
+0000102000101020000010200000102001c010200010102000001030001010100
+0001020000010200010103000101010001010200070102000201020000010300010102000001010
+004010200020102000101020000010200010102008a0101120601011101120601
+011165010700000106000101060001010400030106001c010400040106000101060001010600000
+106001d0106000101050000010300000103000101060001010600010105000201
+0600010105000001030000010300000106001d01060001010600000106000201060000010400040
+106000001060002010500020106000101050000010300000103008a0101120601
+0111011206010111660102000001020000010100000102000201010000010200020104000301000
+0000103001d01040004010600010106000201040001010000000103001f010400
+0301030001010300000103000201020000010100010106000201030003010600020103000101030
+00001030000010000000103001f01020000010100020104000101000000010300
+0401040001010400040106000001050004010300030106000201030001010300000103008a01011
+206010111011206010111ff01a0010200b301011206010111011206010111ff01
+a0010200b301011206010111011206010111ff019f010400b201011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff12ff12591206010111011206010011
+ff12ff125a120601011101121e0100110012ff01ff012701001100121e01011101121e010011001
+2ff01ff012701001100121e01011101121e0100110012ff01ff01270100110012
+1e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1e0100110012ff01ff012701001100121e01011101121f110012ff11ff112811001220110012ff1
+1ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-allrank.ps b/books/ps/h-allrank.ps
new file mode 100644
index 0000000..51ebf3e
--- /dev/null
+++ b/books/ps/h-allrank.ps
@@ -0,0 +1,1565 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:13:35 1991
+%%Title: h-allrank.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-allrank.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+00201070002014900680107000701030029010000070100003f0102006b010600
+0201040002010200020103000201020004010100040102000201280000011d00011206010111011
+206010111050002010d0002010000020105000201070002014900680107000601
+01000101010028010000060102003f0101006b01060002010400020102000201030002010200040
+10100040102000201260004011b00011206010111011206010111050002010d00
+0201000002010500020107000201490068010000040100000601010003010100260101000701000
+0400101006b010600020104000201020002010300020102000b01020002012400
+08011900011206010111011206010111050002010e000401060002010700020149006d010000070
+10100030101002601010049010100000102006701060002010400020102000201
+030002010200020100000301000002010200020122000c011700011206010111011206010111050
+0080108000401060002010700020149006c010100070101000301010000010100
+0001020004010300020101000001030002010400020106000201030005010300020101000001020
+00301030000010000060101000101020003010300020101000101010002010100
+02010000680106000a010200020103000201020002010000030100000201020007011b001001150
+00112060101110112060101110500090108000201070002010700020149006b01
+0100080101000301010001010200000101000201010001010100020102000101010000010100020
+10100030101000701010004010100010101000201010001010100010101000201
+0100050100000001020001010100010101000101010000010000000100000001030001010100010
+10000690106000a01020002010300020102000201010001010100020102000801
+1800140113000112060101110112060101110500090108000201070002010700020149006b01010
+00801010003010100010101000201010000010100020101000201010002010100
+0001010002010100030101000701010003010100030101000101010001010100010101000301000
+00701020001010100050101000201020000010100010103006a0106000a010200
+0201030002010200020101000101010002010200080116001801110001120601011101120601011
+1050002010e000401060002010700020149006a01010009010100030101000101
+0100020101000001060002010100080103000301010007010100030101000301010001010100010
+10100020102000a010100070103000301010001010100010103006a0106000201
+04000201020002010300020102000201050002010200020121000e0116000112060101110112060
+10111050002010e000401060002010700020149006a0101000901010003010100
+0101010002010100000101000701010006010100010101000301010007010100030101000301010
+00101010001010100040102000801010005010100010101000201010002010000
+02010000010100006a0106000201040002010200020103000201020002010500020102000201210
+00e011600011206010111011206010111050002010d0002010000020105000201
+0700020149006901020009010100030101000101010002010100000101000701010005010100020
+10100030101000701010003010100030101000101010001010100010100000301
+0100060101000501010002010100020101000101010001010100010101006901060002010400020
+1020002010300020102000201050002010200020121000e011600011206010111
+011206010111050002010d0002010000020105000201070002014900690101000b0101000101010
+00201010001010100020101000201000002010100050101000101020003010100
+0101000004010100040101000101010002010100010101000101010002010100060101000501010
+00101020000010000000101000101010000010200010101000001000067010600
+020104000201020002010300020102000201050002010200020121000e011600011206010111011
+206010111050002010c0002010200020104000201070002014900690101000c01
+0300030104000401030002010400040102000101010003010200030105000301030002010200000
+10300000100000001030007010100060102000101010000010100030101000001
+01000201010068010600020104000201020002010300020102000201050002010200020121000e0
+11600011206010111011206010111050002010c00020102000201040002010700
+020149006901000015010100dc01060002010400020102000201030002010200020105000201020
+002014700011206010111011206010111050002010b0002010400020103000201
+07000201490080010100dc010600020104000201020002010300020102000201050002010200020
+14700011206010111011206010111050009010400020104000201030002010700
+020149007f010300db0106000201040002010200090102000201050002010200080141000112060
+1011101120601011105000a01020002010600020102000201070002014900ff01
+5f01060002010400020103000801020002010500020102000901400001120601011101120601011
+106000901030001010700010103000101080001014900ff015f01070001010500
+01010400060104000101060001010300080140000112060101110112060101117b00ff015f017b0
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b00ff015f017b000112060101110112060101117b00ff015f017b0001120601011101120601011
+1ff00ff005700011206010111011206010111ff00ff0057000112060101110112
+06010111ff01ff0140011600011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff0140011600011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140010b0000010900011206010111011206010111ff01ff0
+140010a0002010800011206010111011206010111ff01ff014001090004010700
+011206010111011206010111ff01ff014001080006010600011206010111011206010111ff01ff0
+14001070008010500011206010111011206010111ff01ff01400106000a010400
+011206010111011206010111ff01ff01400105000c010300011206010111011206010111ff01ff0
+1400104000e010200011206010111011206010111ff01ff014001030010010100
+011206010111011206010111ff01ff014001020012010000011206010111011206010111ff01ff0
+140011600011206010111011206010111ff01ff01400116000112060101110112
+06010111ff01ff0140011600011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff014001160001120601011101120601011113010b0021010200
+090101000d010100ff01df01160001120601011101120601011113010b0022010100080101000f0
+10100ff01de011600011206010111011206010111130101000001000000010000
+000100000001020022010100080101000f010100ff01de011600011206010111011206010111130
+1020000010000000100000001000000010100220101000701010011010100ff01
+dd01160001120601011101120601011113010100000100000001000000010000000102000601010
+00001030002010400020101000001020003010100010102000201010005010100
+0201010004010100ff01dd010100140101120601011101120601011113010200000100000001000
+00001000000010100070102000101010000010100020101000201010001010100
+02010100010101000301010004010000000101000001010005010100ff01dd01030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+1301010000010000000100000001000000010200070101000201010000010100020101000201010
+0010101000201010000010100040101000601030006010100ff01dd0101001401
+0112060101110112060101111301020000010000000100000001000000010100070101000801030
+0020101000101010002010300050101000701020006010100ff01dd0101001401
+0112060101110112060101111301010000010000000100000001000000010200070101000601010
+001010100020101000101010002010300050101000601020007010100ff01dd01
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+11301020000010000000100000001000000010100070101000501010002010100
+0201010001010100020101000001010004010100050101000001010006010100ff01dd010100140
+101120601011101120601011113010b0007010100050101000101020002010100
+0101010002010100010101000401010004010000010101000001000003010100ff01de010100140
+101120601011101120601011113010b0006010400040102000101010000010200
+00010300000103000001020003010100020101000301010004010100ff01de01030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+4e0101000d010100ff01df0101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff0164010000da01010014010112060101110112060101112a010100a60103002a0
+10000150103000a0102001f01000017010000da01010014010112060101110112
+06010111290102003c0100006a0101002a01000014010100010101000a0101001e0102001401040
+0d801030000010100000101000001010000010100000101000001010000010112
+06010111011206010111290102003c0100006a0101002901010014010100010101000a0101001f0
+10000140100000001000000010100d80101001401011206010111011206010111
+28010000000101003b0101006a01010029010100140101000e01010034010000010100000101000
+0d801010014010112060101110112060101112801000000010100020101000101
+0200040102000001000000010100030100000101010002010100030103000201010001010100030
+10500030103000501000020010100020101000f01040002010100000102000901
+0300050101000501030002010000000101000001010003010300020101000001020002010600080
+10300040101000b01040003010300020100000001010000010100020104000301
+030003010100000102000801010000010000db01030000010100000101000001010000010100000
+10100000101000001011206010111011206010111280100000001010001010000
+0001020001010100020101000001030000010100010101000001030000010300000102000101010
+0000100000001000000010300030101000401020001010100030102001e010000
+00010100000101000f0101000201010002010100010101000701010001010100040101000401010
+00101010001010100000101000001010001010100010101000201010001010100
+030101000a010100010101000201040008010100000102000201010001010100010101000001010
+000010100000101000201010004010100040101000101010007010300db010100
+1401011206010111011206010111270100000101010003010200010101000101010002010000020
+10100010101000101000000010000000100000001010000010100020101000201
+0200000101000301010004010100020100000501000021010300100101000201010002010100010
+10100060101000201010004010100030101000201010001010100000101000001
+0100000101000201010002010100010101000301010009010100030101000201010009010100020
+10100010101000301010000010100000101000001010000010100020101000401
+0100040101000101010008010300da0101001401011206010111011206010111270100000101010
+00301010006010100010101000201010001010000020100000001010001010300
+02010100030101000101010003010100050101002c0102001301030002010100010101000601060
+00401010003010600010101000001010000010100000106000201010001010100
+0301010009010100030101000201010009010100020101000101010003010100000101000001010
+0000101000301030004010100040101000101010009010300d901030000010100
+0001010000010100000101000001010000010100000101120601011101120601011126010500030
+10100060104000201010002010000010101000001010000010100000104000401
+0100020100000301010007010200290102001201010001010100020101000101010006010100090
+10100030101000601010000010100000101000001010007010100010101000301
+0100090101000301010002010100090101000201010001010100030101000001010000010100000
+1010001010100010101000401010004010100010101000901000000010100d901
+0100140101120601011101120601011126010000020101000201010006010100060101000101010
+00101010000010000010101000001010007010100010101000301010005010000
+0201010027010100000101001001010002010100020101000101010006010100090101000301010
+00601010000010100000101000001010007010100010101000301010009010100
+0301010002010100090101000201010001010100030101000001010000010100000101000001010
+002010100040101000401010001010100060100000101000001010000d9010100
+1401011206010111011206010111260100000201010002010100060104000301010000010200000
+10100010100000101000002010100020100000201010001010100000100000101
+0100010100000101010001010200040100002101000001010100000100000301000009010100010
+10200020101000101010007010100020100000401010004010100020100000101
+0100000101000001010001010100020100000201010001010100030101000101000007010100010
+10100030101000a01010000010200020101000101010001010100000101000001
+01000001010001010200040101000401010001010100060101000001000000010000da010300000
+10100000101000001010000010100000101000001010000010112060101110112
+0601011125010200000103000101010007010400030101000101010000010000040100000301030
+002010100030101000301020003010300050102001e0101000301010003010200
+0901020001010100000102000001030007010300030105000301030002010100000101000001010
+00201030002010200000103000301020009010300030103000a01020000010100
+0201030002010100000101000001010001010200010101000101050001010200000103000501040
+0db01010014010112060101110112060101113801000003010000110100002701
+00002c010100b7010000dd010100140101120601011101120601011137010100020101006801010
+0b7010000dd010300000101000001010000010100000101000001010000010100
+00010112060101110112060101113801040068010100ff019701010014010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff014d0101000201020012010100020
+102001e01000007010100150106000d0100007901010014010112060101110112
+06010111270105008e0103002a010000150103000a0102001f01000017010200010102001201020
+0010102001d01010006010300140106000c010100790103000001010000010100
+00010100000101000001010000010100000101120601011101120601011128010100010101000d0
+10000800101002a01000014010100010101000a0101001e010200160102000201
+010012010200020101001d01010007010100170102000e010100790101001401011206010111011
+20601011128010100010101000d01000080010100290101001401010001010100
+0a0101001f010000170103000101010012010300010101001c010200210102000d0102007901010
+0140101120601011101120601011128010100010101000c010100800101002901
+0100140101000e01010038010300010101000201030001010300000102000101030001010100020
+10300030104000001000001010400020106000201040002010200010102000201
+0300040102000201030000010200010106000301030003010400000100000201030002010200010
+10100520103000001010000010100000101000001010000010100000101000001
+0112060101110112060101112701010001010100030103000301050001010100030100000101010
+00101020001010100010101000401030005010000320104000201010000010200
+0901030005010100050103000201000000010100000101000301030002010100000102000201060
+008010300040101000b0104000301030002010000000101000001010002010400
+0301030003010100000102000c01040000010100010105000001080000010400000101000101050
+00101070000010600010106000201040002010200010102000101050003010200
+0201080000010600020105000101070001010500010107005101010014010112060101110112060
+10111270101000101010001010200010101000301010003010000000101000101
+0100000100000001020001010200000100000001030001010200010101000301020030010100020
+10100020101000101010007010100010101000401010004010100010101000101
+0100000101000001010001010100010101000201010001010100030101000a01010001010100020
+10400080101000001020002010100010101000101010000010100000101000001
+0100020101000401010004010100010101000b01010000010100000101000001020001010200000
+10300000102000001010000010100000101000001020001010200000102000001
+0300000101000101020002010200070102000201020001010200000102000101020002010200030
+10300000102000101020004010200010102000001020000010300000102000101
+0200010106005101010014010112060101110112060101112701040002010100020101000301010
+00501010001010100020102000101010001010200000101000101010002010000
+0501000031010100020101000201010001010100060101000201010004010100030101000201010
+00101010000010100000101000001010002010100020101000101010003010100
+0901010003010100020101000901010002010100010101000301010000010100000101000001010
+000010100020101000401010004010100010101000b0101000001040000010200
+0101020000010200010102000001010000010400000102000101020000010200000102000401030
+00201020007010200030102000001010001010200010102000201020003010200
+0101020001010200040102000101020000010200000102000101020001010200010103000001010
+05101030000010100000101000001010000010100000101000001010000010112
+0601011101120601011127010300020101000201010004010100050101000101000003010100060
+1010001010100020101003e010300020101000101010006010600040101000301
+0600010101000001010000010100000106000201010001010100030101000901010003010100020
+10100090101000201010001010100030101000001010000010100000101000301
+03000401010004010100010101000b0101000101030000010200010102000001020001010200000
+10100010103000001070000010200000102000201050002010200070102000301
+0200000101000101070002010200030102000101020001010200040107000001020000010200010
+10700010102005501010014010112060101110112060101112601010000010100
+02010400050101000501010002010000030101000501010002010000040102003a0101000101010
+00201010001010100060101000901010003010100060101000001010000010100
+0001010007010100010101000301010009010100030101000201010009010100020101000101010
+00301010000010100000101000001010001010100010101000401010004010100
+010101000b010100010103000001020001010200000102000101020000010100010103000001020
+00601040002010200000102000201020007010200030104000201020007010200
+0301020001010200010102000401020006010400020102000601020055010100140101120601011
+10112060101112601010001010100010101000801010005010100010101000201
+0100060101000101010002010000020101003801010002010100020101000101010006010100090
+10100030101000601010000010100000101000001010007010100010101000301
+0100090101000301010002010100090101000201010001010100030101000001010000010100000
+1010000010100020101000401010004010100010101000b010100020102000001
+0200010102000001020001010200000101000201020000010300010101000001030004010200000
+10200020102000001010004010200040103000201030001010100020102000301
+0200010102000101020000010100010103000101010000010300040103000101010001010200550
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111260101000101010002010100020100000301010001010000020101000001020
+00001000000010100060101000101010000010200010102000401000032010100
+0101020002010100010101000701010002010000040101000401010002010000010101000001010
+00001010001010100020100000201010001010100030101000101000007010100
+01010100030101000a0101000001020002010100010101000101010000010100000101000001010
+0010102000401010004010100010101000b010200010102000101050000010300
+0001030000010200010102000101060000010600010107000101050002010600020102000401060
+00001060000010300000103000101050002010600000106000201060000010400
+5401010014010112060101110112060101112501030001010100020103000501020004010100010
+10100010101000501010003010100010103000501020032010200010101000001
+0200000103000701030003010500030103000201010000010100000101000201030002010200000
+103000301020009010300030103000a0102000001010002010300020101000001
+01000001010001010200010101000101050001010200000103000a0102000201010002010300010
+10300000103000001020002010100020104000201060001010200000102000201
+0300030106000201020005010400010106000001030000010300020103000401040002010600020
+104000101040054010100140101120601011101120601011167010000ff011101
+0200010102005101020001010200630103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff017a01070051010700630101001401
+011206010111011206010111ff017b0105005301050064010100140101120601011101120601011
+1ff01ff0140010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+1400101001401011206010111011206010111ff01ff0140010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111ff01ff014001010
+01401011206010111011206010111ff01ff014001010014010112060101110112
+06010111ff01ff01400103000001010000010100000101000001010000010100000101000001011
+206010111011206010111ff01ff01400101001401011206010111011206010111
+ff01ff014001010014010112060101110112060101119c010200000101001601000019010100140
+10800ff014b010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111290103000e010000100100004b0106001501010018010300130
+10800310101000f010000100100001a010200040100001601050003010100ad01
+0100140101120601011101120601011128010200000101000c0102000e0102004a0102000001020
+01501010019010100140101000001020000010100300101000f0102000e010200
+1a01010003010200160101000101010003010100ac0101001401011206010111011206010111280
+10100020100000d010000100100004b0102000101010014010200330102003301
+010010010000100100001b01010004010000170101000101010003010100ac01030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+27010100020101006c0102000101010002010400020102000101010001010600030103000301030
+00001000002010400030104000101030000010200030102000501030001010300
+000102000201030000010000030103000201020001010100030101003f0101001e0101000101010
+004010100ab010100140101120601011101120601011127010100020101000001
+010001010200020103000601020000010000010103000301010001010100050100003a010200050
+10600010107000001060002010500010106000201040002010600000108000201
+0200040105000001080000010600020105000101070002010100040101000201010002010300030
+10100010101000301030004010100020101000b01010000010100020103000301
+0100020101000b0101000101010005010100ab01010014010112060101110112060101112701010
+00201020000010200010101000301010005010100000102000301010002010000
+0001000000010300030102003901020005010100010102000201060001010200040102000101020
+00001020000010200040102000201010001010200010103000001020002010200
+0301020001010200000103000001020000010200000102000101020001010200010106000201010
+00301030000010300030101000201000000010000000103000401010003010000
+00010100000101000b010000010102000401010002010300000103000a010100010101000501010
+0ab01030000010100000101000001010000010100000101000001010000010112
+0601011101120601011126010100020101000201020001010100020101000501010002010000030
+101000501020000010100040100003a0102000801030002010300000101000101
+0200040102000101020000010300010100000401020005010300010102000101020002010200030
+10200010102000001020001010200000103000101000001010200010102000101
+0300000101000201010004010000000100000001000000010100020101000501020000010100030
+10100060103000b01010001010100040101000401000000010000000100000001
+01000a01040006010100ab010100140101120601011101120601011126010100020101000201010
+00701010005010100010101000301010005010100010101004001020006010500
+0201020005010200040107000101040005010200030105000101020001010200020102000301070
+00001020001010200010104000201020001010200010102000601010004010000
+000101000101010002010100050101000101010003010100070102000b010100010101000401010
+00401000000010100010101000a01030007010100ab0101001401011206010111
+0112060101112601010002010100020101000701010005010400040101000401010002010000410
+10200010101000101020000010200020102000501020004010200050100000101
+0300040102000201020000010200010102000101020002010200030102000501020001010200000
+10000010103000101020001010200010102000601010003010100000101000001
+010003010100040101000201000004010100060102000b010100020101000401010003010100000
+10100000101000a0101000001010007010100ab01030000010100000101000001
+0100000101000001010000010100000101120601011101120601011126010000020101000201010
+00701010005010100070101000501010001010100410102000101010001010200
+0001020002010200050102000001010001010300010101000001020000010200040102000201020
+00001020001010200010102000201020003010300010101000001020001010200
+0001020000010200010102000101020001010200060101000301010000010000010101000201010
+005010100010101000301010006010100000101000a0101000101010004010100
+0401010000010000010101000a0101000101010006010100ab01010014010112060101110112060
+10111260101000001020002010100070101000101000002010400040101000101
+0000020101000101010000010000020100003b01060001010700000104000401050002010600000
+106000201060000010b00000103000101040003010a0000010300000106000201
+0500010104000601010002010000010100000101000003010100010100000201010001010100000
+10000010101000101000003010000010101000001000003010000030101000001
+0200000100000201010001010000010100000101000001010000050100000401010001010100050
+10100ac0101001401011206010111011206010111270103000301010008010200
+04010400040102000201010003010100020102003b0104000301020000010200000104000501030
+00401040001010000000103000301060001010200000106000001030001010400
+0401040000010300000103000001000000010300040103000201040006010100020100000401000
+00401020002010100030101000301020002010100030101000301020003010200
+0001010004010200020100000401000004010200020103000101010004010100ac0103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111410100000301000016010000c601010008010000280101001b010000040101000e010100ad0
+1010014010112060101110112060101114001010002010100ff01130101002101
+0100be010100140101120601011101120601011141010400ff011301010021010100bf010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400101001401011206010111011
+206010111ff01ff01400101001401011206010111011206010111ff01ff014001
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff01400101001401011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010100140101120601
+0111011206010111270104002a0100001901000042010200090101000e0100001e0100003001000
+00401020016010000340100000e01030023010200160103001801010005010000
+04010200110100000c0100002201010014010112060101110112060101112801010001010000280
+102000f01000006010200420101000801000008010000070100001d0100003001
+00000501010016010000330102000f010100240101001501010001010100090100000b010100060
+1000005010100110100000b010200210103000001010000010100000101000001
+0100000101000001010000010112060101110112060101112801010001010100280100001001000
+007010000430101000701010008010000070100001c0101002f01010005010100
+150101003401000010010100240101001501010001010100090100000b010100050101000501010
+0100101000c010000220101001401011206010111011206010111280101000101
+0100390101004c010100000102000201010008010100070101001b0101002f01010005010100150
+101004601010024010100150101000c0101000a01010006010100050101001001
+0100300101001401011206010111011206010111270101000201010002010300040103000401030
+00201010001010200020103000401010000010100030105000201030006010200
+0201010001010100050100000d01010001010200030103000201010001010100020101000201000
+00301010006010500050101000701010000010300030103000201060001010200
+0001020001010100000103000101010000010200030103000001000006010600020104000401030
+00701060003010300020101000001020003010300000100000301030002010100
+0001030002010300040104000501010008010100000103000201040002010100000102000301010
+00101020007010300040101000a01050008010100040106000201040003010400
+0201060007010300040103000001000016010300000101000001010000010100000101000001010
+00001010000010112060101110112060101112701010002010100000102000101
+0100010102000101010001010200010101000001000000010200010101000301010003010000000
+10100000101000301010007010100040101000101010000010000000100000001
+0300030102000b01000000010200010101000101010001010100000100000001000000010300010
+10100010100000301010008010100080101000801020001010100010101000101
+0100030101000501010001010100020102000101010001010100010101000101010002010100080
+10100050102000001010002010100010101000801010005010100010101000201
+0100010101000101010002010100020101000101010002010200010101000301010003010100020
+10100040101000901020001010100000101000201010002010100010101000201
+010001010100070101000101010002010400090101000b010100060101000501020000010100010
+1010002010100030101000c010100030101000201010016010100140101120601
+0111011206010111270101000101010001010100020101000101010002010000020101000201000
+00301020001010100020101000601010000010100030101000601010005010100
+010101000201020000010100040100000e010200010101000501010002010200000101000101030
+00401010008010100080101000801010002010100000101000201010003010100
+0501010001010100020101000201010001010100010101000101010003010000080101000501010
+00101010001010100020101000801010004010100020101000201010001010100
+0101010003010000010101000301010001010100020101000301010003010100020101000401010
+00901010002010100000101000201010002010100010101000201010000010100
+0701010003010100020101000b0101000b010100060101000501010001010100010101000201010
+0030101000c010100030101000301000016010100140101120601011101120601
+0111270101000101010000010100020101000301010004010100080101000701010006010000010
+10100030101000601010004010100020101000201010001010100140101000701
+0300030101000101010001010300040101000801010007010100090101000501060003010100050
+1010001010100020101000601010001010100020102000b010100050101000101
+0100010106000801010004010600020101000101010002010200040101000301010001010100080
+10100060103000401010009010100080103000201010001010100020103000801
+010003010100020101000b0101000b01010006010100050101000101010004010300030101000c0
+10100040102001901030000010100000101000001010000010100000101000001
+0100000101120601011101120601011126010100020101000001040006010200020101000801010
+00701010005010100010101000201010007010100040101000201010001010100
+0201000015010100050101000101010002010100020100000201000001010000040101000701010
+00801010009010100050101000801010005010100010101000201010006010100
+0101010004010200090101000501010001010100010101000d01010004010100070101000101010
+00401020002010100030101000101010008010100040101000101010004010100
+0901010006010100010101000201010001010100020103000801010003010100020101000a01010
+00c0101000601010005010100010101000201010001010100030101000c010100
+0601020017010100140101120601011101120601011126010100010101000101010007010000020
+10100010101000701010007010100060101000001010003010100060101000501
+0100010101000201010001010100140101000501010002010100020101000101010001010100010
+101000301010007010100070101000a0101000501010008010100050101000101
+01000201010006010100010101000101000003010100080101000501010001010100010101000d0
+10100040101000701010001010100010100000301010001010100030101000101
+0100080101000301010002010100040101000901010005010100020101000201010001010100020
+10100000101000701010003010100020101000a0101000c010100060101000501
+0100010101000101010002010100030101000c01010003010000030101001601010014010112060
+10111011206010111260101000101010002010100020100000101010001010200
+0201010002010000020101000701010001010000030101000001010003010100010100000301010
+0010100000201010001010100020101000101010000010000020100000e010100
+0501010001010200000100000001010001010100000102000101010000010000020100000701010
+001010000040101000a0101000601010002010000030101000101000002010100
+0001020002010100060101000101010001010100020101000801010001010000020101000101010
+00201010002010000080101000101000002010100020100000201010001010100
+0101010002010100020101000101010002010100080101000301010001010200040101000901010
+00501010001010200020101000101010002010100010101000701010001010100
+030101000a010100010100000a01010005010100010100000201010001010100010101000101020
+00301010001010000090101000301010002010100040100001001030000010100
+0001010000010100000101000001010000010100000101120601011101120601011125010400050
+10300030103000501030003010100080102000301040005010200050102000401
+02000301010003010100020102000d0101000601020001010100000101000301010000010100020
+101000301000008010200040100000b0104000501030005010200040102000001
+010000010400030102000001030000010000000103000a0102000201020000010300020103000a0
+10200040103000201020000010300000100000001030004010300020104000401
+0500020102000101010001010500060104000401020001010100000102000001030000010300000
+1020007010300030103000a0102000b0101000601020002010200000103000101
+02000101010003010200080105000101000000010300040102000f0101001401011206010111011
+2060101115c0101002c010000340100000d010100ff0118010100400101000f01
+010014010112060101110112060101115c010100ff01cf0101000f0103000001010000010100000
+1010000010100000101000001010000010112060101110112060101115b010300
+ff01cd010100100101001401011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff014001010014010112060101110112060101119e010000040102002e01020
+02801030009010000110102000401000021010100170107000001020008010000
+15010000150100000401020056010000040102002b0103000001010000010100000101000001010
+0000101000001010000010112060101110112060101119e010000050101002f01
+0100270101000101010007010200110101000301020021010100160101000001010000010100010
+101000701020013010200140100000501010056010000050101002b0101001401
+0112060101110112060101119d010100050101002f0101002701010001010100080100001201010
+00401000022010100160100000101010001010000010101000801000015010000
+140101000501010055010100050101002b01010014010112060101110112060101119d010100050
+101002f0101002701010020010100290101001801010004010100350101000501
+010055010100050101002b010300000101000001010000010100000101000001010000010100000
+10112060101110112060101119b01060002010400040103000701010000010200
+0201020000010200010100000001010000010100020104000401030002010100000103000801030
+0040101000a010300030101000001020004010400020103000501030004010300
+0301030000010000050101001801010004010400030103000401030000010000070103000401030
+00001000006010600020104000401030008010300000100000201040002010000
+0001010000010100030103000801040003010300000100000601060002010400040103001f01010
+014010112060101110112060101119d0101000501020000010100020101000101
+0100070101000101010002010100010101000101010000010100000101000101020000010100020
+101000101010002010200010101000601010001010100020104000a0101000401
+0100010101000201010000010200040101000401010001010100020101000101010001010100020
+10100050101001801010004010200000101000401010003010100020101000901
+0100030101000201010008010100050102000001010002010100010101000601010002010100010
+10100020101000101010000010100000101000101010001010100060101000201
+0100010101000201010008010100050102000001010002010100010101001e01010014010112060
+101110112060101119d0101000501010001010100010101000201010007010100
+0101010002010100010101000101010000010100000101000101010002010100000101000201010
+002010100020101000501010003010100020101000c0101000401010001010100
+0101010002010100040101000301010002010100010101000201010001010100030100000501010
+01801010004010100010101000401010003010100030100000901010003010100
+0301000008010100050101000101010001010100020101000601010003010000010101000201010
+00101010000010100000101000001010002010100060101000201010001010100
+0301000008010100050101000101010001010100020101001e01030000010100000101000001010
+000010100000101000001010000010112060101110112060101119d0101000501
+0100010101000101060007010100010101000201010001010100010101000001010000010100010
+101000201010000010600020101000a01010003010100020101000c0101000401
+0100010101000101010002010100040101000301010006010600020102000801010018010100040
+101000101010004010100040102000c010100040102000b010100050101000101
+01000101060007010200070103000101010000010100000101000001060009010300020102000b0
+101000501010001010100010106001e0101001401011206010111011206010111
+9d0101000501010001010100010101000c010100010101000201010001010100010101000001010
+000010100010101000201010000010100070101000a0101000301010002010100
+0c01010004010100010101000101010002010100040101000301010006010100090102000601010
+018010100040101000101010004010100060102000a0101000601020009010100
+0501010001010100010101000e01020003010100010101000101010000010100000101000001010
+00c01010001010100040102000901010005010100010101000101010023010100
+14010112060101110112060101119d0101000501010001010100010101000c01010001010100020
+10100010101000101010000010100000101000101010002010100000101000701
+01000a01010003010100020101000c0101000401010001010100010101000201010004010100030
+10100030100000101010006010000030101000501010018010100040101000101
+0100040101000301000003010100090101000301000003010100080101000501010001010100010
+101000b0100000301010001010100020101000101010000010100000101000001
+01000b0101000201010001010000030101000801010005010100010101000101010023010300000
+10100000101000001010000010100000101000001010000010112060101110112
+060101119d010100010100000201010001010100020101000201000007010100010101000201010
+00001020001010100000101000001010001010200000101000201010002010000
+020101000b01010001010100030101000c010100040101000101010002010100000102000401010
+00401010001010100020101000201000001010100020101000401010006010000
+1101010004010100010101000401010003010100020101000901010003010100020101000801010
+00101000002010100010101000201010002010000060101000201010001010100
+0101020001010100000101000001010001010100020100000601010001010200010101000201010
+00801010001010000020101000101010002010100020100001e01010014010112
+060101110112060101119e010200020102000001030002010300070102000001030002010200000
+10100000101000001010000010100000101000001020004010300020104000a01
+0300030103000901050001010200000103000201020000010100010105000301030004010300020
+100000001030005010100050102000f0103000201020000010300010105000101
+0000000103000801050001010000000103000a01020002010200000103000201030007010000000
+10300030102000101010000010100000101000001010002010300080102000101
+010000010000000103000a0102000201020000010300020103001f0101001401011206010111011
+206010111ff014e01010007010000e60103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ba0102000e0102001c0102000b01030
+015010200ff01270101001401011206010111011206010111bb0101000f010100
+1d0101000d01010016010100ff01270101001401011206010111011206010111bb0101000f01010
+01d0101000d01010016010100ff01270103000001010000010100000101000001
+010000010100000101000001011206010111011206010111bb0101000f0101001d0101000d01010
+016010100ff012701010014010112060101110112060101119c01030000010100
+0001010000010300020104000401040003010300040104000601000000010100000101000301030
+00401040001010200000102000401010005010300090104000301030003010300
+0001010000010100000103000301030004010300fb01010014010112060101110112060101119b0
+10100010101000001000001010200010101000001010002010100020101000001
+0200020101000101010002010100000102000601010000010100000101000101010001010100020
+10100000102000201010001010100040101000401010001010100070101000001
+0200020101000101010001010100010101000001000001010200010101000101010001010100020
+1010001010100fa01030000010100000101000001010000010100000101000001
+010000010112060101110112060101119b010100010101000301010002010100000101000201010
+00101010002010100010101000201010001010100020101000601010000010100
+0001010000010100030101000001010002010100020101000101010004010100030101000201010
+00601010002010100010101000201010001010100010101000301010002010100
+00010100020101000101010002010100fa01010014010112060101110112060101119b010100010
+10100030101000801030001010100020101000101060001010100020101000601
+0100000101000001010000010100030101000001010002010100020101000101010004010100030
+10600060101000201010001010600010101000101010003010100050106000101
+0600fa01010014010112060101110112060101119c0103000401010006010100010101000101010
+00201010001010100060101000201010006010100000101000001010000010100
+030101000001010002010100020101000101010004010100030101000b010100020101000101010
+007010300040101000501010006010100ff010300000101000001010000010100
+00010100000101000001010000010112060101110112060101119b0100000801010005010100020
+10100010101000201010001010100060101000201010006010100000101000001
+010000010100030101000001010002010100020101000101010004010100030101000b010100020
+101000101010006010000080101000501010006010100ff010100140101120601
+01110112060101119b0105000301010005010100010102000201010000010200020101000201000
+00201010000010200060101000001010000010100010101000101010002010100
+0001020002010100000102000401010004010100020100000701010000010200020101000201000
+001010500030101000601010002010000020101000201000004010000f4010100
+14010112060101110112060101119c0105000101040004010200010101000201020000010100020
+10300040102000001010005010100000101000001010002010300040102000001
+0100020102000001010001010500030103000901020000010100020103000301050001010400050
+103000401030004010200f3010300000101000001010000010100000101000001
+01000001010000010112060101110112060101119b0100000401000080010000040100001f01000
+0f401010014010112060101110112060101119b01010002010100800101000201
+0100ff011501010014010112060101110112060101119c01040082010400ff01160103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+01120601011113010b0021010200090101001f010100ff01cd01010014010112060101110112060
+1011113010b00220101000801010021010100ff01cc0103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111301010000010000000
+100000001000000010200220101000801010021010100ff01cc01010014010112
+0601011101120601011113010200000100000001000000010000000101002201010007010100230
+10100ff01cb010100140101120601011101120601011113010100000100000001
+0000000100000001020006010100000103000201040002010100000102000301010001010200020
+1010005010100020101000a0100000401000004010100ff01cb01030000010100
+0001010000010100000101000001010000010100000101120601011101120601011113010200000
+10000000100000001000000010100070102000101010000010100020101000201
+0100010101000201010001010100030101000401000000010100000101000a01020002010100040
+10100ff01cb010100140101120601011101120601011113010100000100000001
+0000000100000001020007010100020101000001010002010100020101000101010002010100000
+1010004010100060103000d0101000101000005010100ff01cb01020000010100
+0001010000010100000101000001010000010100000100000112060101110112060101111301020
+00001000000010000000100000001010007010100080103000201010001010100
+0201030005010100070102000e0100000101000005010100ff01cb0116000112060101110112060
+10111130101000001000000010000000100000001020007010100060101000101
+010002010100010101000201030005010100060102000f0100000001000006010100ff01cb01030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101111301020000010000000100000001000000010100070101000501010002010100020
+101000101010002010100000101000401010005010100000101000e0102000601
+0100ff01cb010200000101000001010000010100000101000001010000010100000100000112060
+1011101120601011113010b000701010005010100010102000201010001010100
+020101000101010004010100040100000101010000010000030100000701010006010100ff01cc0
+1160001120601011101120601011113010b000601040004010200010101000001
+0200000103000001030000010200030101000201010003010100030102000601000007010100ff0
+1cc01030000010100000101000001010000010100000101000001010000010112
+060101110112060101114e0101000e0101000501010006010100ff01cd010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+5f01010003010200ff01d70116000112060101110112060101115e01010004010100ff01d801030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff0140010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff014001020000010100000101000001010000010100
+000101000001010000010000011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff01400103000001010000010100000101000001010000010100
+000101000001011206010111011206010111ff01ff0140010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111ff01ff014001
+1600011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001020000010100
+0001010000010100000101000001010000010100000100000112060101110112060101112a01010
+0a60103002a010000150103000a0102001f0100001301000004010000d8011600
+011206010111011206010111290102003c0100006a0101002a01000014010100010101000a01010
+01e0102001201000003010100d801030000010100000101000001010000010100
+00010100000101000001011206010111011206010111290102003c0100006a01010029010100140
+10100010101000a0101001f0100001301010002010100d8010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011128010000000
+101003b0101006a01010029010100140101000e0101003401010001010100d901
+1600011206010111011206010111280100000001010002010100010102000401020000010000000
+10100030100000101010002010100030103000201010001010100030105000301
+03000501000020010100020101000f0104000201010000010200090103000501010005010300020
+10000000101000001010003010300020101000001020002010600080103000401
+01000b0104000301030002010000000101000001010002010400030103000301010000010200080
+10500d90103000001010000010100000101000001010000010100000101000001
+0112060101110112060101112801000000010100010100000001020001010100020101000001030
+00001010001010100000103000001030000010200010101000001000000010000
+00010300030101000401020001010100030102001e01000000010100000101000f0101000201010
+00201010001010100070101000101010004010100040101000101010001010100
+000101000001010001010100010101000201010001010100030101000a010100010101000201040
+00801010000010200020101000101010001010100000101000001010000010100
+0201010004010100040101000101010006010600d90102000001010000010100000101000001010
+00001010000010100000100000112060101110112060101112701000001010100
+0301020001010100010101000201000002010100010101000101000000010000000100000001010
+00001010002010100020102000001010003010100040101000201000005010000
+2101030010010100020101000201010001010100060101000201010004010100030101000201010
+00101010000010100000101000001010002010100020101000101010003010100
+0901010003010100020101000901010002010100010101000301010000010100000101000001010
+00001010002010100040101000401010001010100060100000001020000010000
+d901160001120601011101120601011127010000010101000301010006010100010101000201010
+00101000002010000000101000101030002010100030101000101010003010100
+050101002c010200130103000201010001010100060106000401010003010600010101000001010
+00001010000010600020101000101010003010100090101000301010002010100
+0901010002010100010101000301010000010100000101000001010003010300040101000401010
+001010100060100000101000001010000d9010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111260105000301010006010400020
+10100020100000101010000010100000101000001040004010100020100000301
+0100070102002901020012010100010101000201010001010100060101000901010003010100060
+10100000101000001010000010100070101000101010003010100090101000301
+0100020101000901010002010100010101000301010000010100000101000001010001010100010
+101000401010004010100010101000601000003010000da010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011126010000020
+10100020101000601010006010100010101000101010000010000010101000001
+0100070101000101010003010100050100000201010027010100000101001001010002010100020
+10100010101000601010009010100030101000601010000010100000101000001
+0100070101000101010003010100090101000301010002010100090101000201010001010100030
+10100000101000001010000010100000101000201010004010100040101000101
+01000501000004010000da011600011206010111011206010111260100000201010002010100060
+10400030101000001020000010100010100000101000002010100020100000201
+0100010101000001000001010100010100000101010001010200040100002101000001010100000
+10000030100000901010001010200020101000101010007010100020100000401
+0100040101000201000001010100000101000001010001010100020100000201010001010100030
+10100010100000701010001010100030101000a01010000010200020101000101
+0100010101000001010000010100000101000101020004010100040101000101010005010000040
+10000da0103000001010000010100000101000001010000010100000101000001
+0112060101110112060101112501020000010300010101000701040003010100010101000001000
+0040100000301030002010100030101000301020003010300050102001e010100
+0301010003010200090102000101010000010200000103000701030003010500030103000201010
+00001010000010100020103000201020000010300030102000901030003010300
+0a01020000010100020103000201010000010100000101000101020001010100010105000101020
+0000103000401010002010200d901020000010100000101000001010000010100
+0001010000010100000100000112060101110112060101113801000003010000110100002701000
+02c010100ff019601160001120601011101120601011137010100020101006801
+0100ff0196010300000101000001010000010100000101000001010000010100000101120601011
+10112060101113801040068010100ff0197010200000101000001010000010100
+00010100000101000001010000010000011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400102000001010000010100000
+1010000010100000101000001010000010000011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+10200000101000001010000010100000101000001010000010100000100000112
+06010111011206010111ff01ff0140011600011206010111011206010111d30103002a010000150
+103000a0102001f010000150103000c010200c901030000010100000101000001
+01000001010000010100000101000001011206010111011206010111d50101002a0100001401010
+0010101000a0101001e01020012010200010101000c010100c901020000010100
+000101000001010000010100000101000001010000010000011206010111011206010111d501010
+02901010014010100010101000a0101001f01000012010200020100000d010100
+c9011600011206010111011206010111d501010029010100140101000e010100330101001101010
+0ca01030000010100000101000001010000010100000101000001010000010112
+060101110112060101119c010000040100000f01040002010100000102000901030005010100050
+10300020100000001010000010100030103000201010000010200020106000801
+0300040101000b01040003010300020100000001010000010100020104000301030003010100000
+10200060102000901020004010100ca0102000001010000010100000101000001
+01000001010000010100000100000112060101110112060101119b010200020101000e010100020
+10100020101000101010007010100010101000401010004010100010101000101
+0100000101000001010001010100010101000201010001010100030101000a01010001010100020
+10400080101000001020002010100010101000101010000010100000101000001
+01000201010004010100040101000101010005010100080101000101010003010100ca011600011
+2060101110112060101119d010100010100000f01010002010100020101000101
+0100060101000201010004010100030101000201010001010100000101000001010000010100020
+10100020101000101010003010100090101000301010002010100090101000201
+0100010101000301010000010100000101000001010000010100020101000401010004010100010
+1010005010100080101000101010002010200ca01030000010100000101000001
+010000010100000101000001010000010112060101110112060101119e010000010100001201030
+00201010001010100060106000401010003010600010101000001010000010100
+0001060002010100010101000301010009010100030101000201010009010100020101000101010
+00301010000010100000101000001010003010300040101000401010001010100
+05010100070101000201010002010100cb010200000101000001010000010100000101000001010
+000010100000100000112060101110112060101119e0100000001000011010100
+0101010002010100010101000601010009010100030101000601010000010100000101000001010
+00701010001010100030101000901010003010100020101000901010002010100
+0101010003010100000101000001010000010100010101000101010004010100040101000101010
+005010100070101000201010002010100cb011600011206010111011206010111
+9e01020010010100020101000201010001010100060101000901010003010100060101000001010
+00001010000010100070101000101010003010100090101000301010002010100
+0901010002010100010101000301010000010100000101000001010000010100020101000401010
+004010100010101000501010004010000010101000101010002010100cc010300
+00010100000101000001010000010100000101000001010000010112060101110112060101119e0
+10100060100000901010001010200020101000101010007010100020100000401
+0100040101000201000001010100000101000001010001010100020100000201010001010100030
+10100010100000701010001010100030101000a01010000010200020101000101
+0100010101000001010000010100000101000101020004010100040101000101010006010100020
+1010001010100010101000201010001010000c901020000010100000101000001
+0100000101000001010000010100000100000112060101110112060101119e01000006010200090
+10200010101000001020000010300070103000301050003010300020101000001
+0100000101000201030002010200000103000301020009010300030103000a01020000010100020
+10300020101000001010000010100010102000101010001010500010102000001
+0300060103000401020005010200ca0116000112060101110112060101119d01010007010100ff0
+19601030000010100000101000001010000010100000101000001010000010112
+060101110112060101119b01020008010100ff01960102000001010000010100000101000001010
+00001010000010100000100000112060101110112060101119b01010008010100
+ff0197011600011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+10200000101000001010000010100000101000001010000010100000100000112
+06010111011206010111ff01ff0140011600011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400102000001010000010100000101000001010000010100000101000001000
+0011206010111011206010111ff01ff0140011600011206010111011206010111
+ff014d0101000201020012010100020102001e01000007010100150106000d01000079010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111270105008e0103002a010000150103000a0102001f01000017010200010102001201020
+0010102001d01010006010300140106000c010100790102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111280101000101010
+00d010000800101002a01000014010100010101000a0101001e01020016010200
+0201010012010200020101001d01010007010100170102000e01010079011600011206010111011
+20601011128010100010101000d01000080010100290101001401010001010100
+0a0101001f010000170103000101010012010300010101001c010200210102000d0102007901030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011128010100010101000c0101008001010029010100140101000e01010038010300010
+10100020103000101030000010200010103000101010002010300030104000001
+0000010104000201060002010400020102000101020002010300040102000201030000010200010
+10600030103000301040000010000020103000201020001010100520102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111270
+10100010101000301030003010500010101000301000001010100010102000101
+0100010101000401030005010000320104000201010000010200090103000501010005010300020
+10000000101000001010003010300020101000001020002010600080103000401
+01000b01040003010300020100000001010000010100020104000301030003010100000102000c0
+10400000101000101050000010800000104000001010001010500010107000001
+0600010106000201040002010200010102000101050003010200020108000001060002010500010
+10700010105000101070051011600011206010111011206010111270101000101
+0100010102000101010003010100030100000001010001010100000100000001020001010200000
+10000000103000101020001010100030102003001010002010100020101000101
+0100070101000101010004010100040101000101010001010100000101000001010001010100010
+101000201010001010100030101000a0101000101010002010400080101000001
+0200020101000101010001010100000101000001010000010100020101000401010004010100010
+101000b0101000001010000010100000102000101020000010300000102000001
+0100000101000001010000010200010102000001020000010300000101000101020002010200070
+10200020102000101020000010200010102000201020003010300000102000101
+0200040102000101020000010200000103000001020001010200010106005101030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+2701040002010100020101000301010005010100010101000201020001010100010102000001010
+00101010002010000050100003101010002010100020101000101010006010100
+0201010004010100030101000201010001010100000101000001010000010100020101000201010
+00101010003010100090101000301010002010100090101000201010001010100
+0301010000010100000101000001010000010100020101000401010004010100010101000b01010
+00001040000010200010102000001020001010200000101000001040000010200
+0101020000010200000102000401030002010200070102000301020000010100010102000101020
+00201020003010200010102000101020004010200010102000001020000010200
+0101020001010200010103000001010051010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111270103000201010002010100
+040101000501010001010000030101000601010001010100020101003e010300020101000101010
+00601060004010100030106000101010000010100000101000001060002010100
+0101010003010100090101000301010002010100090101000201010001010100030101000001010
+00001010000010100030103000401010004010100010101000b01010001010300
+0001020001010200000102000101020000010100010103000001070000010200000102000201050
+00201020007010200030102000001010001010700020102000301020001010200
+0101020004010700000102000001020001010700010102005501160001120601011101120601011
+12601010000010100020104000501010005010100020100000301010005010100
+02010000040102003a0101000101010002010100010101000601010009010100030101000601010
+00001010000010100000101000701010001010100030101000901010003010100
+0201010009010100020101000101010003010100000101000001010000010100010101000101010
+00401010004010100010101000b01010001010300000102000101020000010200
+0101020000010100010103000001020006010400020102000001020002010200070102000301040
+00201020007010200030102000101020001010200040102000601040002010200
+0601020055010300000101000001010000010100000101000001010000010100000101120601011
+10112060101112601010001010100010101000801010005010100010101000201
+0100060101000101010002010000020101003801010002010100020101000101010006010100090
+10100030101000601010000010100000101000001010007010100010101000301
+0100090101000301010002010100090101000201010001010100030101000001010000010100000
+1010000010100020101000401010004010100010101000b010100020102000001
+0200010102000001020001010200000101000201020000010300010101000001030004010200000
+10200020102000001010004010200040103000201030001010100020102000301
+0200010102000101020000010100010103000101010000010300040103000101010001010200550
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011126010100010101000201010002010000030101000101000002010100000
+10200000100000001010006010100010101000001020001010200040100003201
+0100010102000201010001010100070101000201000004010100040101000201000001010100000
+10100000101000101010002010000020101000101010003010100010100000701
+010001010100030101000a010100000102000201010001010100010101000001010000010100000
+10100010102000401010004010100010101000b01020001010200010105000001
+0300000103000001020001010200010106000001060001010700010105000201060002010200040
+10600000106000001030000010300010105000201060000010600020106000001
+0400540116000112060101110112060101112501030001010100020103000501020004010100010
+10100010101000501010003010100010103000501020032010200010101000001
+0200000103000701030003010500030103000201010000010100000101000201030002010200000
+103000301020009010300030103000a0102000001010002010300020101000001
+01000001010001010200010101000101050001010200000103000a0102000201010002010300010
+10300000103000001020002010100020104000201060001010200000102000201
+0300030106000201020005010400010106000001030000010300020103000401040002010600020
+10400010104005401030000010100000101000001010000010100000101000001
+0100000101120601011101120601011167010000ff0111010200010102005101020001010200630
+10200000101000001010000010100000101000001010000010100000100000112
+06010111011206010111ff017a0107005101070063011600011206010111011206010111ff017b0
+10500530105006401030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010200000101000001
+01000001010000010100000101000001010000010000011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+10112060101119b01040006010100280103000001010015010000160101000301
+01000c010000100101000c01060012010300e401010014010112060101110112060101112901030
+00e010000100100004b0104000501030026010700140101001601010003010100
+0b0101000f0103000b0107001101030024010100030106000a0105001f0103000c0102000d01000
+00401000002010100530103000001010000010100000101000001010000010100
+00010100000101120601011101120601011128010200000101000c0102000e0102004b010200070
+1010027010200010102001401010016010200010102000b010100100101000d01
+020000010200120102002301010005010100010101000b010100010101001c010200010101000c0
+101000d0100000301010003010100520101001401011206010111011206010111
+28010100020100000d010000100100004c010200310102000201010013010200160102000101020
+00a0102002001020000010200120102002301010005010100020100000b010100
+010101001b010200020100000d0101000d010100020101000301010052010100140101120601011
+101120601011127010100020101006d0102000501040001010300000102000301
+0300030104000201020001010100010103000101010000010300000102000101030000010000010
+10600030103000201000000010100000101000101070001010400020106000101
+0200010101000201040002010300000102000101020000010200010104000401020000010100000
+10200010102000101040003010400000100000201030004010100060101000f01
+0100010101001b010100110101000e0101000101010005010100510103000001010000010100000
+10100000101000001010000010100000101120601011101120601011127010100
+0201010000010100010102000201030006010200000100000101030003010100010101000501000
+03b01020005010400010108000101050001010600010107000101030003010300
+0001020000010600010106000201050001010700000107000001060001010600010107000101040
+00201020001010200010102000001020000010600020106000001020001010200
+0001060001010700010105000301010005010100010100000c01010001010100040102000101010
+0040100000901020009010200040101000e010500050101005101010014010112
+0601011101120601011127010100020102000001020001010100030101000501010000010200030
+10100020100000001000000010300030102003a01020007010200020103000001
+0200000102000101020000010100010102000201060002010300020102000101020000010200000
+10200020102000401020001010200000107000001070000010100010102000201
+0200050106000301020003010200000101000201060000010100010102000101030000010200000
+10200000102000101010001010200010102000001030000010200010102000201
+0100050104000c01010001010100020101000101010001010100020101000901010008010100010
+10100030101000d01060005010100510101001401011206010111011206010111
+2601010002010100020102000101010002010100050101000201000003010100050102000001010
+0040100003b010200070102000201020001010200000102000101020003010300
+0201030000010100030103000201020000010100010103000101000002010200040102000101020
+00001010000010100000101000001010000010100000101000301030002010200
+0501030000010100030102000401030003010500040103000101020002010100000105000501030
+0010102000001020001010200010102000201010005010100010100000c010400
+03010100010101000101010002010100090101000801010001010100020102000d0100000001020
+00001000005010100510103000001010000010100000101000001010000010100
+0001010000010112060101110112060101112601010002010100020101000701010005010100010
+10100030101000501010001010100410102000701020002010200010102000001
+0700010105000201020004010100010103000101050002010400030102000401070000010100000
+10100000101000001010000010100000101000101050002010200050102000701
+0200040103000301020005010500010102000501040004010500010102000001020001010700020
+10100050101000f010300030101000201010001010100020100000a0101000701
+010002010100020101000e010000010100000101000005010100510101001401011206010111011
+20601011126010100020101000201010007010100050104000401010004010100
+0201000042010200010101000301020002010200010102000001020005010200000102000201020
+00401010002010200020103000201000001010300020102000401020005010100
+0001010000010100000101000001010000010100000102000001020002010200050102000701020
+00401030003010200040102000001020001010200050102000001010002010200
+00010200020104000201020007010100040101000f0101000001010003010100020101000001010
+001010000000100000a0101000701010002010100020101000e01000003010000
+0601010051010100140101120601011101120601011126010000020101000201010007010100050
+10100070101000501010001010100420102000001020003010200020102000101
+0200000103000101010000010200000102000201020004010200010102000201030002010200000
+10200020102000001010001010300010101000001010000010100000101000001
+0100030101000001020000010200020102000001010002010200070102000301010000010200020
+10200040102000001020001010300010101000001020000010200010102000001
+020001010300040103000101010002010100040101000f010100010101000201010001010100010
+1010000010100000100000a010100040100000101010001010100020101000e01
+0000040100000601010051010300000101000001010000010100000101000001010000010100000
+10112060101110112060101112601010000010200020101000701010001010000
+020104000401010001010000020101000101010000010000020100003b01070001010a000001030
+00101060000010700000104000301070003010100030106000201050002010600
+0001010000010100000101000001020001010200000107000101050001010400040106000001020
+00101020000010400030107000101060000010200010102000001070000010600
+0201060003010100030101000901000004010100010101000201010001010100010106000501000
+00401010002010100010101000101010002010100010100000601000003010000
+0401000005010100520101001401011206010111011206010111270103000301010008010200040
+10400040102000201010003010100020102003a01070001010a00000103000201
+0400020102000001020000010400030101000001030003010200030100000001030004010300040
+10400010101000001010000010100000102000101020001010200000102000201
+0300020104000401060000010200000103000001040004010200000102000201040001010200010
+10200010102000001020001010600020104000401010002010300070102000201
+0300010101000201020004010100000101000501020004010300040102000501020006010200020
+10100020102000401010052010100140101120601011101120601011141010000
+03010000160100007b0102008b010200010102000d0101000e01010021010100210101000e01010
+05301030000010100000101000001010000010100000101000001010000010112
+060101110112060101114001010002010100920103008b0107001e0101002101010021010100640
+10100140101120601011101120601011141010400930102008d0105001e010100
+2101010021010100650101001401011206010111011206010111ff01ff014001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff01400101001401011206010111011206010111ff01ff01400101001401011206010111011
+206010111ff01ff01400103000001010000010100000101000001010000010100
+000101000001011206010111011206010111ff01ff0140010100140101120601011101120601011
+1ff01ff01400101001401011206010111011206010111ff01ff01400103000001
+010000010100000101000001010000010100000101000001011206010111011206010111ff01ff0
+1400101001401011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+000010112060101110112060101112601020002010100010102006a0103000c01
+02000b010000240102001f0100001e0103001b010000f7010100140101120601011101120601011
+127010000040100000201010068010200010101000c0101000a01020024010100
+1e0102001c010100010101001a010000f7010100140101120601011101120601011127010000040
+100000201010067010200020100000d0101000b010000250101001f0100001d01
+01000101010019010100f7011600011206010111011206010111270100000301000002010100680
+1010011010100330101003e0101001d010100f701160001120601011101120601
+0111260100000101000001010000020101000001000005010300020101000101020003010300050
+100004201020009010200040101000a0103000401030000010000070104000901
+0400030103000201000000010100000101000201040003010300030101000001020009010300040
+101000b0103000301040002010600030103000301030000010100020103000201
+0100000103000101030000010200c60116000112060101110112060101112601000000010200000
+10000020102000001000002010200010101000001000000010200010101000001
+02000101010003010200410101000801010001010100030101000c0101000301010002010100060
+10100020101000701010000010200020101000101010001010100000101000001
+0100000101000201010004010100040101000101010007010100010101000201040008010100010
+10100010101000201010003010100050101000101010001010100010101000001
+0000010101000101010002010200010101000101010002010000c70116000112060101110112060
+10111260100000001040002010100010100000201010002010100020102000101
+0100000101000201010004010000420101000801010001010100020102000c01010003010100030
+10000060101000201010006010100020101000101010003010100000101000001
+0100000101000001010002010100040101000401010001010100060101000301010002010100090
+10100020101000101010002010100030101000401010002010100010101000101
+0100020101000301010001010100020101000101010002010000c70116000112060101110112060
+10111260105000201010001010100010101000201010003010100040101000201
+0100490101000701010002010100020101000d010100040102000c0103000601010002010100010
+10100030101000001010000010100000101000301030004010100040101000101
+0100060101000301010002010100090101000901030003010100040106000101010001010100020
+1010003010100010101000701010000010000c801160001120601011101120601
+0111260101000101010002010100010101000101040005010100040104004b01010007010100020
+10100020101000d01010006010200080101000101010006010100020101000101
+0100030101000001010000010100000101000101010001010100040101000401010001010100060
+10100030101000201010009010100070101000101010003010100040101000701
+03000301010003010100010101000701010000010000c8011600011206010111011206010111250
+101000201010002010000010101000201010007010100050101004e0101000401
+00000101010001010100020101000e0101000301000003010100060101000201010006010100020
+10100010101000301010000010100000101000001010000010100020101000401
+0100040101000101010006010100030101000201010009010100030100000101010002010100030
+10100040101000601000007010100030101000101010008010100c90116000112
+0601011101120601011125010100030100000101010001010100000100000101010002010000020
+10100060101000201000004010000440101000201010001010100010101000201
+0100010100000b01010003010100020101000601010001010200070101000001020002010100010
+10100010101000001010000010100000101000101020004010100040101000101
+01000701010001010100030101000a0101000101010001010100010102000301010001010000020
+10100020100000101050003010100010101000201010008010100c90116000112
+0601011101120601011125010000040100000101010002010100030103000301010007010300040
+102004401030004010200050102000a0105000101000000010300080102000101
+0100070102000001010002010300020101000001010000010100010102000101010001010500010
+102000001030007010300030103000a0103000301020001010100030102000401
+030003010500030103000201040006010000ca01020012010000011206010111011206010111550
+10000ff0100000401000016010000ca0103001001010001120601011101120601
+0111ff0156010100020101001301000000010000cb0104000e01020001120601011101120601011
+1ff015701040014010200cb0105000c010300011206010111011206010111ff01
+ff01400106000a010400011206010111011206010111ff01ff01400107000801050001120601011
+1011206010111ff01ff014001080006010600011206010111011206010111ff01
+ff014001090004010700011206010111011206010111ff01ff0140010a000201080001120601011
+1011206010111ff01ff0140010b0000010900011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff0140011600011206010111011206010111ff00ff0057000112060101110112
+06010111ff00ff005700011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff0157010112060101110112060101119e010100210100007c010000
+56010400030104000b0103001e0101007f010112060101110112060101111401020001010200040
+100007a0103001f0101007b01010056010400030104000b0103001d0103007e01
+0112060101110112060101111501010002010100030102007a010100200101007b0101005801020
+0050102000c0102001e0101007f01011206010111011206010111150101000201
+0000050100009d0102007a01020058010200050102000c010200a00101120601011101120601011
+11501010002010000770103000001000002010400030104000001040000010200
+0201040002010600010102000001030000010200010101000301030003010300000100001c01010
+00001030002010400020102000101010002010400020100000001010000010100
+030103000201060003010300020102000101010002010300000100002f010400050102000501020
+00901050002010300020100000001010000010100020104000301040001010300
+0001020002010300000100006b01011206010111011206010111150101000101000003010300050
+10300010101000401000003010300050100000d01010001010100040103000201
+0100020101000301030004010300140106000201040002011000000106000101060001010200000
+103000001070001010500010106001c0107000001060001010700000106000101
+070001010500010106000201050001010700000106002e010600040102000501020008010600010
+1050001010700000106000201040001010800000106006b010112060101110112
+0601011115010100010100000501010003010200010101000101010002010100010102000101010
+0030102000b010000000100000001030002010100010101000001030000010300
+0001020001010100010102000101010013010200000102000401020002010200000103000001030
+00001020000010100010102000201020004010200010102000101060000010200
+0101020000010200000102001c01030000010200000101000101020002010600000101000101020
+00101070000010200010102000101020004010200010102000101060000010200
+000102002e010100010102000401020005010200070102000001030000010200010102000001070
+0000101000101020004010200020103000001020000010200000102006b010112
+0601011101120601011115010100010100000401010004010100020101000101010002010100010
+1010002010000050100000e010200000101000601010001010000000100000001
+0000000101000001010002010100010101000201000014010300010100000401020002010200000
+10200010102000101020003010300020102000401020001010200010103000001
+0100000102000101020000010300010100001c01020001010200030103000201030000010100030
+10300010101000001010000010100000102000101020001010200040102000101
+0200010103000001010000010300010100003101030004010200050102000701020001010200000
+10200010102000001010000010100000101000301030004010200020102000101
+020000010300010100006b010112060101110112060101111501010000010000050101000301010
+00201010002010100020100000301010018010100010101000301030002010000
+0001010001010300020101000301010018010400050102000201020000010200010102000101020
+0010105000201020004010200010102000101020004010700010104001d010200
+0101020001010500020102000501050001010100000101000001010000010700010102000401070
+00101020005010400300105000401020005010200070102000101020000010200
+0101020000010100000101000001010001010500040102000201020001010200010104006c01011
+20601011101120601011115010100000100000501010003010400030101000101
+0000000100000401020015010100020100000201010001010100010101000001010000010100000
+10400060102001501000001010300040102000301040002010200010102000001
+020000010200020102000401020001010200010102000401020005010000010103001c010200010
+10200000102000001020002010200040102000001020001010100000101000001
+01000001020006010200040102000601020004010000010103002e0102000001020004010200050
+10200070102000101020000010200010102000001010000010100000101000001
+02000001020004010200020102000101020000010000010103006b0101120601011101120601011
+11501010000010000040101000401010006010100000101000001000002010000
+0201010014010100010101000101010002010100010101000001000001010100000101000701000
+00201010014010200000102000401020002010300040102000101020000010200
+0001020002010200000101000101020000010300010102000401030001010100000102000001020
+01c01020000010300000102000001020002010200040102000001020001010100
+0001010000010100000103000101010001010200000101000101030001010100010102000401020
+0000102002e010200000102000401020005010200070102000101020000010200
+0101020000010100000101000001010000010200000102000401020002010200010102000001020
+0000102006b010112060101110112060101111501020005010100010100000201
+010002010000010106000101010001010200040100000e010100010101000001020001010200000
+10100010100000101000002010100020100000101010001010200140106000201
+06000001060000010300000103000001070001010500010107000001040004010600000106001c0
+10600010107000001040003010700000101000001010000010100010106000101
+05000201060000010400030106002e0107000101060001010600060106000101050001010100000
+10100000101000001070001010a0000010300000106006b010112060101110112
+06010111150101000701020004010300030101000001010003010300050102000c0101000301010
+00101020001010100000100000401000003010300030103001601000000010300
+0301060001010a00000103000101020000010200020103000301030000010100000104000501040
+001010000000103001d0105000301020000010200000104000401020000010200
+0001010000010100000101000201040003010300040104000101040003010000000103003001020
+00001020001010600010106000701020000010100020103000201010000010100
+00010100010102000001020001010a000001030000010000000103006c010112060101110112060
+10111430100002601000037010200010102005a010200ff014c01011206010111
+011206010111a40107005a010200ff014c01011206010111011206010111a50105005a010400ff0
+14b01011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+a70101000f0101006a010300030101000601000007010100ff01140101120601011101120601011
+1a60103000d010300690103000201030004010100060103004f01020028010000
+190100007b01011206010111011206010111a70101000f0101006b0102000301010005010100070
+1010051010100270102000f010000060102007a01011206010111011206010111
+ff01270102000a0102005b0101002801000010010000070100007b0101120601011101120601011
+19401030002010200010101000201040003010400000100000101040001010300
+0001020002010300000100003901020000010100020103000101030000010200030105000101040
+00201060002010400040103000101030000010200020103000001000033010100
+3a01010084010112060101110112060101119301050001010700010104000201070001010400010
+10800000106003801060001010500000108000101060001010400020106000201
+0400030105000001080000010600300101000001010003010300040103000401030002010100010
+10200020103000401010000010100030105000201030006010200020101000101
+0100680101120601011101120601011192010200010102000101060003010200020102000001030
+00301020002010300000102000001020000010200370103000001020000010200
+0101020000010300000102000001020000010300030102000301020007010200020102000101020
+0000103000001020000010200000102002f010000010102000101020001010100
+0101020001010100010102000101010000010000000102000101010003010100030100000001010
+00001010003010100070101000401010001010100000100000001000000010300
+6701011206010111011206010111920102000101020001010300000101000301020002010200000
+10200040102000201020001010200000103000101000037010200020101000001
+0200010102000001020001010200000102000101020003010200030102000701020002010200010
+10200000102000101020000010300010100002e01010001010100020101000201
+0100010101000201000002010100020100000301020001010100020101000601010000010100030
+10100060101000501010001010100020102000001010067010112060101110112
+0601011192010200010102000101020007010200020102000001020004010200020102000101020
+00101040038010200050102000101020000010200010102000001020001010200
+03010200030102000701020002010200010102000001020001010200010104002f0101000101010
+00101010002010100030101000401010008010100070101000601000001010100
+0301010006010100040101000201010002010100010101006701011206010111011206010111920
+10200010102000101020007010200030104000501020002010200010102000001
+0000010103003701020005010200010102000001020001010200000102000101020003010200030
+10200070102000201020001010200000102000101020000010000010103002d01
+0100020101000101040006010200020101000801010007010100050101000101010002010100070
+10100040101000201010001010100020100006801011206010111001209119201
+0200010102000101020007010200020103000701020002010200010102000001020000010200370
+10300010101000001020001010200000102000101020000010200010102000301
+02000301020000010100040102000201020001010200000102000101020000010200000102002d0
+10100010101000201010007010000020101000101010007010100070101000601
+0100000101000301010006010100050101000101010002010100010101006801011208110912001
+19301050001010400040106000001060002010a00000103000001060038010600
+0101050000010300000103000101060001010600010105000201060001010500000103000001030
+0000106002d010100000102000001000001010100020100000101010001010200
+0201010002010000020101000701010001010000030101000001010003010100010100000301010
+00101000002010100010101000201010001010100000100006601091200110112
+060101119401030002010400040106000101060001010a000001030000010000000103003a01040
+00301030001010300000103000201020000010100010106000201030003010600
+02010300010103000001030000010000000103002f0102000001010003010300030103000501030
+00301010008010200030104000501020005010200040102000301010003010100
+6701011206010111011206010111ad01020001010200ff010e01010090010112060101110112060
+10111ad010700ff010e0101009001011206010111011206010111ae010500ff01
+0e0103008f01011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff12ff12591206010111011206010011ff12
+ff125a120601011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff0
+1ff012701001100121e01011101121e0100110012ff01ff012701001100121e01
+011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001
+100121e01011101121e0100110012ff01ff012701001100121e01011101121e01
+00110012ff01ff012701001100121e01011101121f110012ff11ff112811001220110012ff11ff1
+16c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-atsearch.ps b/books/ps/h-atsearch.ps
new file mode 100644
index 0000000..e72ceea
--- /dev/null
+++ b/books/ps/h-atsearch.ps
@@ -0,0 +1,1208 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:13:53 1991
+%%Title: h-atsearch.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-atsearch.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900b2010000ab010600020104000201020002010300
+02010200030103000301020002014700011206010111011206010111050002010c0002010200020
+104000201070002014900470100000401030008010100020102002c0103001c01
+0100020107000701020006010000070100001001000004010200110100005801060002010400020
+10200020103000201020004010100040102000201280000011d00011206010111
+011206010111050002010d000201000002010500020107000201490046010100030101000101010
+008010100020100002c010100010101001a010100030107000801010006010000
+070100000f010200040101001101000058010600020104000201020002010300020102000401010
+0040102000201260004011b00011206010111011206010111050002010d000201
+000002010500020107000201490045010200030101000201010007010100020100002c010100010
+10100190101000401000004010000090101000501010006010100100100000501
+01001001010058010600020104000201020002010300020102000b0102000201240008011900011
+206010111011206010111050002010e0004010600020107000201490044010300
+030101000201010007010200010100002c0101001c0101000a01000009010300040101000601010
+01701010010010100580106000201040002010200020103000201020002010000
+0301000002010200020122000c01170001120601011101120601011105000801080004010600020
+10700020149004601010003010100020101000701020001010000020104000201
+0000000101000001010003010300030103000001000008010100060103000201010000010300070
+10100090101000901000000010100020106000101060001010100000103000201
+030004010400020102000001020001010600030103000301030000010000430106000a010200020
+103000201020002010000030100000201020007011b0010011500011206010111
+0112060101110500090108000201070002010700020149004601010004010100010101000701000
+00001010000010000010101000201010001010100000101000001010001010100
+0101010001010100020101000701040003010100010101000201020001010100050101000901010
+00a01000000010100040101000601010005010200010101000301010004010200
+0001010002010100010101000301010005010100010101000101010002010100430106000a01020
+00201030002010200020101000101010002010200080118001401130001120601
+0111011206010111050009010800020107000201070002014900460101000501040007010000000
+10100000100000101010002010100010101000001010000010100000101000201
+0100010101000301000008010100040101000301010001010100020101000501010000010200050
+101000a0100000101010003010100060101000501010002010100030101000401
+01000201010001010100010101000301010004010100020101000101010003010000430106000a0
+10200020103000201020002010100010101000201020008011600180111000112
+06010111011206010111050002010e0004010600020107000201490046010100070102000701000
+0010102000401030001010100000101000001010000010600020102000b010100
+0401010003010100010101000a01020001010100030101000a01050003010100060101000501010
+00801010004010100020101000101010001010100030101000401060002010200
+46010600020104000201020002010300020102000201050002010200020121000e0116000112060
+10111011206010111050002010e00040106000201070002014900460101000701
+0100080100000101020002010100010101000101010000010100000101000001010009010200090
+101000401010003010100010101000a01010003010100020101000a0100000201
+0100030101000601010005010100080101000401010002010100010101000101010003010100040
+10100090102004401060002010400020102000201030002010200020105000201
+0200020121000e011600011206010111011206010111050002010d0002010000020105000201070
+00201490046010100070101000801000002010100010101000201010001010100
+0001010000010100000101000601000003010100080101000401010003010100010101000a01010
+003010100010102000a0100000301010002010100060101000501010008010100
+0401010002010100010101000101010003010100040101000601000003010100430106000201040
+00201020002010300020102000201050002010200020121000e01160001120601
+0111011206010111050002010d00020100000201050002010700020149004601010006010100090
+10000020101000101010001010200010101000001010000010100010101000201
+00000101010002010100080101000501010001010100020101000a01010003010100010101000a0
+10100030101000201010001010000030101000101000002010100080101000401
+0200000101000201010000010200030101000101000002010100020100000101010002010100430
+10600020104000201020002010300020102000201050002010200020121000e01
+1600011206010111011206010111050002010c00020102000201040002010700020149004501040
+00301010009010200020100000201020001010100000101000001010000010100
+0201030002010000000103000801030005010300020104000901010001010100020101000a01020
+00101020003010200050102000201040004010500010101000001020004010200
+0001010003010200040103000201000000010300440106000201040002010200020103000201020
+00201050002010200020121000e01160001120601011101120601011105000201
+0c000201020002010400020107000201490044010500020101005e01030003010000a7010600020
+10400020102000201030002010200020105000201020002014700011206010111
+011206010111050002010b00020104000201030002010700020149004c010000ff0111010600020
+10400020102000201030002010200020105000201020002014700011206010111
+01120601011105000901040002010400020103000201070002014900ff015f01060002010400020
+10200090102000201050002010200080141000112060101110112060101110500
+0a01020002010600020102000201070002014900ff015f010600020104000201030008010200020
+10500020102000901400001120601011101120601011106000901030001010700
+010103000101080001014900ff015f0107000101050001010400060104000101060001010300080
+140000112060101110112060101117b00ff015f017b0001120601011101120601
+01117b00ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060
+101117b00ff015f017b00011206010111011206010111ff00ff00570001120601
+0111011206010111ff00ff005700011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff01570101120601011101120601011121010300040103000301
+0100060100000701010014010300000103000a01040017010000070101008a010400040101000f0
+10100060100000e0103003c010000bd0101120601011101120601011121010300
+0401030002010300040101000601030013010300000103000a01040016010100060103008801060
+0020103000d010300040101000e0103003b010100bd0101120601011101120601
+0111220102000501020003010100050101000701010014010200020101000d01020016010100070
+101008901020000010200030101000f010100050101000f0102003b010100bd01
+01120601011101120601011122010200050102000a0102001e010200020101000d0102001501020
+093010200200102000e01040039010200bd010112060101110112060101111501
+0400040105000201050001010400020106000201040002010200010102000201030002010200000
+10200020104000501020002010200000103000101040002010600020104000401
+0300010103000001020074010500030104000101030000010200020104000201060003010300030
+10400030104000001000001010400000100000001020001010100030103000301
+040000010000010104000201060003010300b201011206010111011206010111140106000201060
+00101060001010400020106000201040002010200010102000101050001010200
+0001010002010600040102000201020000010300000106000101060002010400030105000001080
+07301050003010400010108000101040002010600020105000201010000010100
+0201070000010700000107000101050001010700000106000101060002010500b10101120601011
+10112060101111401010001010200010102000001030000010200000103000301
+0200030102000701020002010200010102000001020001010200000102000001010002010100010
+10200040102000201020001010200000101000101020002010200070102000201
+0200010102000001030000010200740102000701020002010300000102000301020003010200040
+10200010102000101010000010200010102000001030000010200000103000101
+0600000102000101020000010200000103000001010001010200020102000401020001010200b00
+10112060101110112060101111701030001010200010102000001020001010200
+0301020003010200070102000301020000010100010102000101020001010400050103000401020
+00201020001010200030103000201020007010200020102000101020000010200
+0101020074010200070102000201020001010200030102000301020004010200010102000101010
+00101010001010200000102000101020000010200020103000001010000010200
+01010200000102000001020004010300020102000401020001010200b0010112060101110112060
+10111150105000101020001010200000102000101020003010200030102000701
+0200030102000001010001010700010103000401050004010200020102000101020001010500020
+10200070102000201020001010200000102000101020074010200070102000201
+0200010102000301020003010200040107000001060001010200000102000101020000010200020
+10200040107000001020000010200020105000201020004010700b00101120601
+0111011206010111140102000001020001010200010102000001020001010200030102000301020
+00701020003010400020102000601030003010200000102000401020002010200
+0101020000010200000102000201020007010200020102000101020000010200010102007401020
+00701020002010200010102000301020003010200040102000501070001010400
+0301040003010200040102000601040002010200000102000201020004010200b50101120601011
+10112060101111401020000010200010102000101020000010200010102000301
+0200030102000001010004010200040103000201030001010100020102000301020000010200040
+10200020102000001030000010200000102000201020000010100040102000201
+0200010102000001020001010200740102000701020002010200010102000301020003010200000
+10100010103000101010000010100020102000001030004010300050102000401
+03000101010000010300040102000001020002010200000101000101030001010100b0010112060
+10111011206010111140107000101060001010600010106000101050002010600
+0201020004010600020101000401070001010600000107000001070001010500020106000101050
+000010300000103007301040004010a0000010300010106000101050002010a00
+000103000001060001010600010104000401060000010600010107000101050002010600b001011
+20601011101120601011115010200000102000201020000010100020102000001
+0100010106000201030003010600020102000501040003010100050102000001020001010600010
+10300000101000101020000010200020103000301060002010300010103000001
+03007301040004010a0000010300010106000201030004010400000103000001030001010600010
+1060000010400050104000201060001010200000102000201030004010400b101
+011206010111011206010111ff015f0102000101020000010200010102001201020001010200cb0
+1011206010111011206010111ff015f0107000001070012010700cb0101120601
+0111011206010111ff01600105000201050014010500cc01011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+157010112060101110112060101114d01010018010000b70104000d0104000401
+000003010300000103000c01010006010000f3010112060101110112060101114c0103001601010
+0b70104000c0106000201010003010300000103000b01030004010100f3010112
+060101110112060101114d01010017010100b90102000c010200000102000201010004010200010
+101000d01010005010100f30101120601011101120601011166010200b9010200
+0c01020005010200040102000101010014010200f30101120601011101120601011115010400020
+10100000103000101010000010300010102000101010003010300020103000001
+020001010400020100000001010000010100020104000201060003010300ae01020004010300020
+10500020106000101020001010100000103000001020002010400020106000201
+040002010200010101000101030000010200d401011206010111011206010111140106000101070
+00001070000010700010105000101020001010200010104000201070000010600
+0101060002010500ad0102000301050001010500020106000101020001010100000108000101040
+00201060001010600010107000001030000010200d40101120601011101120601
+0111140101000101020001010300000102000001030000010200010106000001020001010200010
+10200000101000401020002010700000101000101020002010200040102000101
+0200ac0102000201020001010200010102000501020004010200010101000101030000010200030
+10200030102000401010001010200020106000001020001010200d40101120601
+0111011206010111170103000101020001010200000102000101020001010300000101000001020
+00101020002010300050102000201010000010100000101000301030002010200
+0401020001010200ac0102000201020001010200010102000501020004010200010101000101020
+00101020003010200030102000701030002010300000101000101020000010100
+d501011206010111011206010111150105000101020001010200000102000101020001010200040
+10200010102000201030005010200020101000001010000010100010105000201
+020004010700ac01020002010700010102000501020004010200010101000101020001010200030
+1020003010200050105000201020005010500d501011206010111011206010111
+1401020000010200010102000101020000010200010102000101020004010200010102000201030
+00501020002010100000101000001010000010200000102000201020004010200
+b101020002010200060102000501020004010200010101000101020001010200030102000301020
+004010200000102000201020006010300d6010112060101110112060101111401
+0200000102000101020000010300000102000001030001010200040102000101020001010100000
+10200040102000201010000010100000101000001020000010200020102000001
+01000101030001010100ac010200020103000101010001010200050102000001010001010200010
+10100010102000101020003010200030102000001010001010200000102000201
+020006010300d601011206010111011206010111140107000001060001010600010104000401050
+00101020001010200010106000001010000010100000101000001070001010500
+02010600aa010600010106000001040004010500010106000001030000010300010106000101050
+0010107000001040006010100d701011206010111011206010111150102000001
+0200000105000201050002010400050103000201020000010300010106000001010000010100000
+1010001010200000102000201030004010400ab01060002010400010104000501
+0300030104000101030000010300010106000201030003010200000102000001040005010200d70
+10112060101110112060101111d01020005010200ff0151010200d80101120601
+01110112060101111d01020005010200ff0150010300d8010112060101110112060101111c01040
+003010400ff014f010200d901011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+0601011101120601011125010300080101000601000028010700390100008a01040005010000070
+101000d01040005010100180100000701010014010300000103000a0104001701
+0000070101007d01011206010111011206010111250103000701030004010100280107003801010
+08a01040004010100060103000c01040004010300160101000601030013010300
+000103000a01040016010100060103007c010112060101110112060101112601020008010100050
+101002901020000010200380101008c01020004010100070101000f0102000501
+0100170101000701010014010200020101000d01020016010100070101007d01011206010111011
+206010111260102000f0102002901020001010100370102008c01020003010200
+190102001e0102001e010200020101000d010200150102008701011206010111011206010111150
+10400020102000101010001010500030104000201060001010200010101000201
+0400020102000101010001010300000102000101020004010300000102000001010000010300030
+10300010103000001020003010300010103000001020001010600740100000001
+0100000101000101020000010300030102000201060002010400020101000001030004010200030
+10400040102000001010001010400020106000201040002010200010102000201
+0300020102000001020002010400050102000201020000010300010104000201060002010400040
+10300010103000001020069010112060101110112060101111401060001010700
+0001060002010400020106000101070000010600010107000001030000010200010104000201020
+00101020000010700010105000001080001010500000108000001060074010700
+0001020000010300030102000201060002010400020107000301020003010400030106000001060
+00101060002010400020102000101020001010500010102000001010002010600
+0401020002010200000103000001060001010600020104000301050000010800680101120601011
+10112060101111401010001010200020106000001030000010200030102000301
+0200050106000001010001010200020106000001020001010200010104000301020000010100010
+10300000102000001020001010200000103000001020000010200010102000001
+0300000102000101020077010700000102000101020003010200030102000701020002010300000
+10200030102000501020002010300000102000001010001010200020102000701
+0200020102000101020000010200010102000001020000010100020101000101020004010200020
+10200010102000001010001010200020102000701020002010200010102000001
+0300000102006801011206010111011206010111170103000201030000010100000102000101020
+00301020003010200050103000001010003010300020103000001010001010200
+0001010002010200060103000201020001010200000102000101020000010200010102000001020
+00101020000010200010102000101020077010100000101000001010000010200
+0101020003010200030102000701020002010200010102000301020005010200020102000201010
+00301030002010200070102000301020000010100010102000101020001010400
+0501030004010200020102000101020003010300020102000701020002010200010102000001020
+00101020068010112060101110112060101111501050002010200040102000101
+0200030102000301020005010200050105000201020005010500020102000601030002010200010
+10200000102000101020000010200010102000001070000010200010102000101
+0200770101000001010000010100000102000101020003010200030102000701020002010200010
+10200030102000501020002010200060105000201020007010200030102000001
+0100010107000101030004010500040102000201020001010200010105000201020007010200020
+10200010102000001020001010200680101120601011101120601011114010200
+0001020002010200040102000101020003010200030102000501020004010200000102000201020
+00601030003010200010101000201030002010200010102000001020001010200
+0001020001010200000102000501020001010200010102007701010000010100000101000001020
+00101020003010200030102000701020002010200010102000301020005010200
+0201020005010200000102000201020007010200030104000201020006010300030102000001020
+00401020002010200010102000001020000010200020102000701020002010200
+0101020000010200010102006801011206010111011206010111140102000001020002010200040
+10200010102000301020003010200000101000201020004010200000102000201
+0200060103000301020000010200010101000001020001010200000103000001020001010200000
+10200010102000001030001010100000102000101020001010200000101007401
+0100000101000001010000010200000103000301020003010200000101000401020002010200000
+10300030102000501020002010300010101000001020000010200020102000001
+0100040102000401030002010300010101000201020003010200000102000401020002010200000
+10300000102000001020002010200000101000401020002010200010102000001
+0200010102006801011206010111011206010111140107000001040003010600020106000101050
+00101040003010700000104000601010003010700000102000101020000010600
+02010500000103000001030001010a0000010300010105007401010000010100000101000001070
+00101060001010500020106000001060002010600010106000101060000010700
+0101050002010600020102000401060002010100040107000101060000010700000107000101050
+00201060001010500000103000001030068010112060101110112060101111501
+0200000102000001040003010100000102000301060002010300020104000401020000010200000
+10400050102000301070000010200000103000001050004010300010103000001
+0300020104000001030000010300020103007501010000010100000101000101030000010100010
+10600020103000301060000010500030106000101060002010400020102000001
+0200020103000301060002010200050104000301010005010200000102000101060001010300000
+10100010102000001020002010300030106000201030001010300000103006801
+0112060101110112060101115d01020016010200d2010200ff01060101120601011101120601011
+15c01030016010200d2010200ff0106010112060101110112060101115c010200
+16010400d0010400ff010501011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111250103000801010006010000280106001f0101000f0101009d0100000301
+03001a010100f201011206010111011206010111250103000701030004010100280107001d01030
+00d0103009b0101000301030019010300f1010112060101110112060101112601
+0200080101000501010029010200000102001e0101000f0101009c010100040102001a010100f20
+1011206010111011206010111260102000f0102002901020000010200ce010200
+04010200ff010f01011206010111011206010111150104000201020001010100010105000301040
+00201060001010200010101000201040002010200010101000101030000010200
+0101020000010200000102000101010003010300040102000001010001010400030103000001000
+0020104000401030001010300000102006a010300000102000301030004010300
+020106000101060003010300020102000101010002010400030104000101030000010200de01011
+20601011101120601011114010600010107000001060002010400020106000101
+0700000106000101070000010300000102000101020000010200000107000101050002010600010
+10400020106000201040003010500000108006901080001010500020105000101
+0600010107000101050001010700010104000201060000010800dd0101120601011101120601011
+11401010001010200020106000001030000010200030102000301020005010600
+0001010001010200020106000001020001010200010106000101060000010200010102000001030
+00001020003010200020102000001020004010200020102000101020000010300
+000102006a010300000102000001020001010200000102000101020001010200040103000001020
+00001020001010200010106000301020002010100010102000101030000010200
+dd01011206010111011206010111170103000201030000010100000102000101020003010200030
+10200050103000001010003010300020103000001010001010200000101000201
+0500020103000001010000010200010102000001020002010100030102000201030001010000040
+10200020102000101020000010200010102006a01020001010200000102000101
+0200000102000101020001010200040102000101020000010200010102000101030000010100030
+10200050103000101020001010200dd0101120601011101120601011115010500
+0201020004010200010102000301020003010200050102000501050002010200050105000201020
+00501020004010700000102000801020003010400050102000201020001010200
+00010200010102006a0102000101020000010200010102000001070001010200040102000101020
+0000107000101020007010200030105000101020001010200dd01011206010111
+0112060101111401020000010200020102000401020001010200030102000301020005010200040
+10200000102000201020006010300030102000501020004010200050102000801
+0200020100000101030004010200020102000101020000010200010102006a01020001010200000
+10200010102000001020006010200040102000101020000010200060102000701
+020002010200000102000101020001010200dd01011206010111011206010111140102000001020
+00201020004010200010102000301020003010200000101000201020004010200
+0001020002010200060103000301020005010200040103000101010000010300010101000301020
+0020102000001020004010200020102000101020000010200010102006a010200
+0101020000010200010102000001030001010100010102000001010001010200010102000001030
+001010100010102000701020002010200000102000101020001010200dd010112
+0601011101120601011114010700000104000301060002010600010105000101040003010700000
+10400060101000301040003010400040106000101060001010600000106000201
+0600010105000001030000010300690103000001030001010500020106000101050000010300000
+1030001010600000104000401060000010b0000010300dd010112060101110112
+0601011115010200000102000001040003010100000102000301060002010300020104000401020
+00001020000010400050102000301040003010400050104000301040002010600
+0001000000010300030106000201030001010300000103006901030000010300020103000401040
+00301030001010300000103000201040001010400040106000101020000010600
+00010300dd010112060101110112060101115d010200ff01f6010112060101110112060101115c0
+10300ff01f6010112060101110112060101115c010200ff01f701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff0157010112060101110112060101114401010016010400cf0107001b01060
+0040101000f010100e0010112060101110112060101114301030015010400cf01
+07001b010700020103000d010300df010112060101110112060101114401010018010200cf01020
+0010102001c01020000010200030101000f010100e00101120601011101120601
+01115f010200cf010100010102001d01020000010200f8010112060101110112060101111601020
+00001010001010400010103000001020003010300010103000001020002010400
+04010200000101000101040005010200bc010300000102000301030006010200030103000201020
+00101010003010300030102000001020001010400020102000101020001010400
+03010300000100000301030002010200010101000201030000010000ba010112060101110112060
+10111150106000001060000010800010105000001080001010400030106000001
+060004010200bc01080001010500040102000301050001010700010105000201020000010200010
+1040002010200010102000101040002010600020105000101070000010600ba01
+0112060101110112060101111401030000010200000101000101020001010300000102000001020
+00101020000010300000102000301020002010300000102000001010001010200
+04010200bd010300000102000001020001010200020102000301020001010200010106000001020
+00101020001010200000102000301020002010200010102000301020002010200
+000102000101020001010200010106000001020000010200ba01011206010111011206010111140
+10200020101000301030001010200010102000001020001010200000102000101
+02000301020002010200020101000301030004010200bd010200010102000001020001010200020
+10200030102000101020001010300000101000001020001010200010102000001
+0200030102000301020000010100040102000201030001010000010102000101020001010300000
+101000001030001010000ba010112060101110112060101111401020006010500
+0101020001010200000102000101020000010200010102000301020002010200060105000401020
+0bd01020001010200000102000101020001010200040107000101020004010200
+0101020001010200000102000301020003010200000101000401020003010400020102000101020
+00101020005010400bb0101120601011101120601011114010200050102000001
+0200010102000101020000010200010102000001020001010200030102000201020005010200000
+1020004010200bd01020001010200000102000101020001010200010101000001
+0200060102000401020001010200010102000001020003010200030104000501020002010000010
+103000101020001010200010102000401000001010300ba010112060101110112
+0601011114010300010101000001020000010200010102000101020000010200010102000001020
+001010200030102000201030001010100000102000001020004010200bd010200
+0101020000010200010102000001020001010200000103000101010001010200040102000101020
+00101020000010200030102000401030005010200020102000001020001010200
+01010200010102000401020000010200ba010112060101110112060101111501060000010b00000
+1030001010500000103000001030001010600010106000001070001010600ba01
+0300000103000101050001010700010106000001040004010500010107000101060002010200040
+1060000010600020105000101040003010600ba01011206010111011206010111
+1601040002010200000106000001030002010300010103000001030001010600020104000201020
+00001020001010600ba0103000001030002010300020107000201040001010400
+0501030002010600020106000201020004010600000100000001030004010300020104000301000
+000010300bb01011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff01570101120601011101120601011144010100160104000c0102000001
+010002010400210103009a010000070101000d010400030104000c0105000e0103001f010300010
+10300000101000c01000090010112060101110112060101114301030015010400
+0b010600020104002101030099010100060103000c010400030104000b0107000d0103001f01030
+0000107000b010100900101120601011101120601011144010100180102000b01
+020000010200040102002201020099010100070101000f010200050102000b010200010102000e0
+102002001020000010200010102000b0101009001011206010111011206010111
+5f0102000b0102000101010004010200220102009801020019010200050102000b0102000101020
+00e0102002001020000010200020101000a010200900101120601011101120601
+0111160102000001010001010400010103000001020003010300010103000001020002010400040
+10200000101000101040005010200030103000001000001010200010101000401
+020004010300030103000001000003010300040105007c010100000103000201040002010200010
+10100010106000201040003010400050102000501020002010300000102000001
+0200010102000001020001010100030105000201030002010200010101000301030004010500000
+103000101010002010300020106008d0101120601011101120601011115010600
+0001060000010800010105000001080001010400030106000001060004010200020106000101020
+008010200030105000101060002010500020106007c0107000001060001010700
+0001060002010400020106000401020005010200020103000001020000010200010102000001070
+00101060001010500010107000101050002010600010103000401050001010600
+8d01011206010111011206010111140103000001020000010100010102000101030000010200000
+10200010102000001030000010200030102000201030000010200000101000101
+0200040102000201020000010200010102000801020002010200010102000001020000010200010
+102000101020000010200000103007c0103000001020000010100010102000201
+0600010102000701020002010100010102000401020005010200020102000101020000010200010
+10200010106000001020000010300000102000101020001010600000102000101
+0200000102000001030002010300020102000101020001010200900101120601011101120601011
+11401020002010100030103000101020001010200000102000101020000010200
+0101020003010200020102000201010003010300040102000201030001010000010102000801020
+00201020001010200000103000101000001010200010102000001020001010200
+7c01020001010200030103000201030000010100010102000701020005010300040102000501020
+00301020000010100010102000101020001010300000101000001020001010200
+0001020001010200010103000001010000010200010102000001020001010200030103000101020
+00101020001010200900101120601011101120601011114010200060105000101
+0200010102000001020001010200000102000101020003010200020102000601050004010200030
+10400020102000801020002010200010102000101040002010700000102000101
+02007c0102000101020001010500020102000501020007010200030105000401020005010200030
+10500010102000101020001010200040102000101020000010700010102000401
+0700000102000101020000010100010103000001070001010200900101120601011101120601011
+11401020005010200000102000101020001010200000102000101020000010200
+0101020003010200020102000501020000010200040102000201000001010300010102000101010
+00401020002010200010102000001000001010300010102000501020001010200
+7c01020001010200000102000001020002010200050102000701020002010200000102000401020
+00501020004010300020102000101020001010200040102000101020000010200
+0601020004010200050102000101020000010100020102000001020006010200900101120601011
+10112060101111401030001010100000102000001020001010200010102000001
+0200010102000001020001010200030102000201030001010100000102000001020004010200020
+10200000102000101020001010100040102000201020001010200000102000001
+0200010103000101010000010200010102007c01020000010300000102000001020002010200050
+10200000101000401020002010200000102000401020005010200040103000201
+0200010102000101020004010200010102000001030001010100010102000401030001010100000
+10200010102000001020001010200000103000101010001010200000101008d01
+0112060101110112060101111501060000010b00000103000101050000010300000103000101060
+00101060000010700010106000001060001010600020106000101050001010600
+02010600010106007c0106000101070000010400040105000201060000010700010106000101060
+00301010003010700000104000401060001010600000104000401060001010600
+0001070001010600010105008d01011206010111011206010111160104000201020000010600000
+10300020103000101030000010300010106000201040002010200000102000101
+0600000100000001030003010400030106000201030002010000000103000401040003010200000
+101007c0105000301020000010200000104000501030003010600010102000001
+0200010106000101060002010200040105000101040005010200000101000201040001010400050
+104000301020000010100000101000001030003010400030103008e0101120601
+0111011206010111ff012001020045010200ea01011206010111011206010111ff0120010200440
+10300ea01011206010111011206010111ff011f01040043010200eb0101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111440101001601040001010300000
+103000c010100060100000401010002010200250104006f0101000b0103000801
+000003010300000103000c01010006010000ea01011206010111011206010111430103001501040
+001010300000103000b010300040101000401020001010200250104006e010300
+0a0103000701010003010300000103000b01030004010100ea01011206010111011206010111440
+101001801020002010200010101000d0101000501010004010200020101002701
+02006f0101000c0102000701010004010200010101000d01010005010100ea01011206010111011
+2060101115f010200020102000101010014010200040103000101010027010200
+7e01020006010200040102000101010014010200ea0101120601011101120601011116010200000
+10100010104000101030000010200030103000101030000010200020104000401
+0200000101000101040005010200020102000101010000010300000102000201040002010600010
+10300010101000201030002010200010101000101000000010100000101000201
+0400050102006301020001010100020104000301040000010000000106000101060001010200010
+10100000103000001020002010400020106000201040002010200010101000101
+030000010200cb01011206010111011206010111150106000001060000010800010105000001080
+00101040003010600000106000401020002010200010101000001080001010400
+0201060001010400000101000101050001010700000107000001060004010200630107000101040
+00201070000010700000106000101020001010100000108000101040002010600
+01010600010107000001030000010200cb010112060101110112060101111401030000010200000
+10100010102000101030000010200000102000101020000010300000102000301
+0200020103000001020000010100010102000401020002010200010101000101030000010200030
+10200030102000401010000010100000101000001020001010200010106000001
+0700000101000101020004010200640106000301020002010200000103000001030000010200010
+10200040102000101010001010300000102000301020003010200040101000101
+0200020106000001020001010200cb0101120601011101120601011114010200020101000301030
+00101020001010200000102000101020000010200010102000301020002010200
+0201010003010300040102000201020001010100010102000101020003010200030102000401010
+00001040000010200010102000101030000010100000101000001010000010100
+0301030004010200640103000001010003010200020102000001020001010200010102000101020
+00401020001010100010102000101020003010200030102000701030002010300
+000101000101020000010100cc01011206010111011206010111140102000601050001010200010
+10200000102000101020000010200010102000301020002010200060105000401
+0200020102000101010001010200010102000301020003010200040101000101030000010200010
+10200010102000401010000010100000101000101050004010200640102000701
+0200020102000001020001010200010102000101020004010200010101000101020001010200030
+1020003010200050105000201020005010500cc01011206010111011206010111
+1401020005010200000102000101020001010200000102000101020000010200010102000301020
+00201020005010200000102000401020002010200010101000101020001010200
+0301020003010200040101000101030000010200010102000101020004010100000101000001010
+00001020000010200040102006401020007010200030104000201020001010200
+0101020004010200010101000101020001010200030102000301020004010200000102000201020
+006010300cd010112060101110112060101111401030001010100000102000001
+0200010102000101020000010200010102000001020001010200030102000201030001010100000
+10200000102000401020002010200010101000101020001010200030102000301
+0200000101000101010002010200000102000101020001010200040101000001010000010100000
+10200000102000401020064010200070102000201030004010200010102000101
+0200000101000101020001010100010102000101020003010200030102000001010001010200000
+102000201020006010300cd010112060101110112060101111501060000010b00
+0001030001010500000103000001030001010600010106000001070001010600000106000001030
+00001030001010600010105000101020001010200010105000101040003010100
+0001010000010100000107000101060061010400040106000001060000010300000103000101050
+00101060000010300000103000101060001010500010107000001040006010100
+ce01011206010111011206010111160104000201020000010600000103000201030001010300000
+10300010106000201040002010200000102000101060001010400010103000001
+0300010106000201030002010200020101000201030002010400030101000001010000010100010
+102000001020001010600610104000401060001010a0000010300020103000301
+04000101030000010300010106000201030003010200000102000001040005010200ce010112060
+10111011206010111ff01320102000101020049010200cf010112060101110112
+06010111ff013201070048010300cf01011206010111011206010111ff013301050049010200d00
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff0157010112060101110112060101113201
+000017010400d70103000f01040003010400150104000b010100030101000c0100000c010300060
+10400b2010112060101110112060101113101010017010400d70103000f010400
+03010400150104000b010100030101000b0101000c01030006010400b2010112060101110112060
+101113101010019010200d80102001101020005010200170102000b0102000101
+02000b0101000d01020008010200b2010112060101110112060101113001020019010200d801020
+01101020005010200170102000b010200010102000a0102000d01020008010200
+b201011206010111011206010111160102000001010002010300010103000001020001010600010
+10200010101000201040005010200d00103000001000001010600020104000501
+0200050102000401030002010200010102000301020002010300000102000001070000010200000
+103000001060002010400020105000501020004010300a9010112060101110112
+0601011115010600010105000001080000010600010107000001060004010200cf0106000101070
+00001060004010200050102000301050001010200010102000301020002010300
+000102000001070000010200000103000001060001010600010106000401020003010500a801011
+20601011101120601011114010300000102000001020001010200000103000001
+02000101020005010600000101000101020004010200cf010200000102000101030000010200000
+10100010102000401020005010200020102000101020000010100030101000301
+0200020102000101020000010700000102000101020001010200040101000101020001010300000
+10200030102000201020001010200a70101120601011101120601011114010200
+0201010000010200010102000001020001010200010102000501030000010100030103000401020
+0cf01030001010000010102000101020003010300040102000501020002010200
+0101020000010100000101000001010003010200030102000001010001010100000101000001010
+00001020001010200010102000701030001010200010102000301020002010200
+01010200a7010112060101110112060101111401020005010700000102000101020001010200050
+102000501050004010200d0010400020102000101020001010500040102000501
+0200020102000101020000010100000101000001010003010200030105000101010000010100000
+10100000102000101020001010200050105000101020001010200030102000201
+0700a70101120601011101120601011114010200050102000501020001010200010102000501020
+0040102000001020004010200cf01000001010300010102000101020000010200
+0001020004010200050102000201020001010200000107000301020004010300020101000001010
+00001010000010200010102000101020004010200000102000101020001010200
+0301020002010200ac0101120601011101120601011114010300010101000001030001010100000
+1020001010200010102000001010002010200040102000001020004010200cf01
+0200000102000101020001010200000102000001020004010200050102000201020001010200000
+10700030102000401030002010100030101000001020000010300010102000001
+010001010200000102000101020001010200030102000201030001010100a701011206010111011
+2060101111501060001010a000001030001010500010104000301070001010600
+cd01060000010300000103000001070001010600010106000101050002010200000101000201060
+00301010003010200010102000001070001010500010107000001060002010600
+01010600a7010112060101110112060101111601040003010400000103000001030002010300020
+10400040102000001020001010600cd0100000001030001010300000103000101
+0200000102000101060001010600020103000301010001010100020106000201020003010200010
+10200010103000001010002010300030102000001020000010100000102000301
+060002010400a801011206010111011206010111ff0169010200ea0101120601011101120601011
+1ff0168010300ea01011206010111011206010111ff0168010200eb0101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111440100001001000007010100d30
+10100060100000c01040000010200ff0101010112060101110112060101114301
+01000f01010006010300d1010300040101000c01040000010200ff0101010112060101110112060
+10111430101000f01010007010100d3010100050101000d01020001010200ff01
+0101011206010111011206010111420102000e010200e40102000d01020000010200ff010201011
+20601011101120601011116010200000101000201030002010000000101000001
+0100010100000001010000010100010102000001030000010600020104000201060002010400020
+102000101020002010300ab010200000107000001020002010400020106000201
+0300000100000101020000010200000103000001020003010300020102000101060000010200de0
+10112060101110112060101111501060001010500010107000001070000010200
+0001030000010600010106000101060002010400020102000101020001010500aa01020000010c0
+00101040002010600010106000101050001010800010105000101020001010b00
+dd01011206010111011206010111140103000001020000010200010102000001070000010700000
+10200010102000101020004010100010102000201020007010200020102000101
+02000001020001010200a9010200010102000001030000010200030102000301020004010200000
+10200010105000201030000010200000102000101020000010100030101000001
+030000010200dd01011206010111011206010111140102000201010000010200010102000001010
+00001010000010100000101000001010000010100000102000101020001010200
+07010300020102000701020003010200000101000101020001010200a9010200010102000001020
+00101020003010200030102000401030001010000010106000101020001010200
+00010200010102000001010000010100000101000001020001010200dd010112060101110112060
+10111140102000501020001010200000101000001010000010100000101000001
+0100000101000001020001010200010102000501050002010200070102000301020000010100010
+10700a90102000101020000010200010102000301020003010200050104000201
+0200000102000101020001010200000102000101020000010100000101000001010000010200010
+10200dd0101120601011101120601011114010200050102000101020000010100
+0001010000010100000101000001010000010100000102000101020001010200040102000001020
+002010200070102000301040002010200ae010200010102000001020001010200
+0301020003010200040100000101030001010200000102000101020001010200000102000101020
+0000107000001020001010200dd01011206010111011206010111140103000101
+0100000102000101020000010100000101000001010000010100000101000001010000010200000
+10300010102000001010001010200000102000201020000010100040102000401
+03000201030001010100a9010200000103000001020001010200030102000301020000010100010
+10200000102000101020001010200000102000101020000010200010102000001
+07000001020001010200dd010112060101110112060101111501060001010500010101000001010
+00001010000010100000101000001010000010700010105000101070001010500
+020106000201020004010600a9010b0000010300010106000101050001010600000104000001060
+0000103000101050002010200000101000001030000010300dd01011206010111
+0112060101111601040003010300020101000001010000010100000101000001010000010100010
+10300000101000201030003010200000102000201030003010600020102000501
+0400ab0103000001050000010300010106000201030002010000000103000101040000010600000
+103000201030003010100010101000001030000010300dd010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+0601011139010400ff01ff01180101120601011101120601011139010400ff01ff0118010112060
+101110112060101113b010200ff01ff0118010112060101110112060101113b01
+0200ff01ff011801011206010111011206010111160102000001010002010300020100000001010
+000010100010101000001030004010200040103000201030000010200ff01ff01
+0401011206010111011206010111150106000101050001010700000107000301020003010500010
+1020001010200ff01ff0104010112060101110112060101111401030000010200
+0001020001010200000107000001030000010200030102000201020001010200010102000001010
+0ff01ff0105010112060101110112060101111401020002010100000102000101
+0200000101000001010000010100000102000101020003010200020102000101020002010300ff0
+1ff01060101120601011101120601011114010200050102000101020000010100
+00010100000101000001020001010200030102000201070002010300ff01ff01060101120601011
+10112060101111401020005010200010102000001010000010100000101000001
+020001010200030102000201020007010300ff01ff0106010112060101110112060101111401030
+00101010000010200010102000001010000010100000101000001020000010300
+0301020002010300010101000101010000010200ff01ff010501011206010111011206010111150
+10600010105000101010000010100000101000001060002010600010106000001
+020001010200ff01ff0104010112060101110112060101111601040003010300020101000001010
+0000101000001050003010600020104000101020000010300ff01ff0104010112
+060101110112060101112f010200ff01ff0124010112060101110112060101112f010200ff01ff0
+124010112060101110112060101112e010400ff01ff0123010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff00ff00570001120601011101120601011
+1ff00ff005700011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01c80175001801011206010111
+011206010111ff01c80175001801011206010111011206010111ff0190010400040101000401040
+0050100001a017500180101120601011101120601011114010200010102000401
+0000ff016c0106000201030003010400040101001a0175001801011206010111011206010111150
+101000201010003010200ff011d0100004c010200000102000301010006010200
+040101001a0175001801011206010111011206010111150101000201000005010000ff011e01000
+04c01020010010200030102001a01750018010112060101110112060101111501
+010002010000ff01240101004b01050003010400050102000201060003010300020102000101010
+00501750018010112060101110112060101111501010001010000030103000501
+0300010101000401000003010300050100004c01010001010100040103000201010002010100030
+10300040103004b01010000010100040103000201010001010200030103000201
+0100020101000301030003010500030103000201010001010200030103002f01050003010400050
+10200020106000201050001010700040175001801011206010111011206010111
+1501010001010000050101000301020001010100010101000201010001010200010101000301020
+04a01000000010000000103000201010001010100000103000001030000010200
+0101010001010200010101004901000000010100000101000201010001010100000100000001020
+00101010001010100010101000001030000010300000102000101010003010100
+040102000101010000010000000102000101010000010200010101002f010200070102000501020
+00301020004010200010102000101060004017500180101120601011101120601
+0111150101000101000004010100040101000201010001010100020101000101010002010000050
+100004d0102000001010006010100010100000001000000010000000101000001
+01000201010001010100020100004c0101000001010006010100020102000101010005010100010
+10000000100000001000000010100000101000201010003010100040101000201
+0100020102000101010000010100020100003001020007010200050102000301020004010200010
+10200010103000001010004017500180101120601011101120601011115010100
+0001000005010100030101000201010002010100020100000301010057010100010101000301030
+002010000000101000101030002010100030101004f0100000101010003010300
+0301010007010300020100000001010001010300020101000401010003010100020101000301010
+00601010033010200070102000501020003010200040107000101020008017500
+1801011206010111011206010111150101000001000005010100030104000301010001010000000
+10000040102005401010002010000020101000101010001010100000101000001
+010000010400060102004c010100010101000101010001010100030101000501010001010100010
+10100000101000001010000010400050101000401040005010100070102003101
+0200070102000501020003010200040102000601020008017500180101120601011101120601011
+11501010000010000040101000401010006010100000101000001000002010000
+0201010053010100010101000101010002010100010101000001000001010100000101000701000
+0020101004b010100000101000101010002010100020101000501010002010100
+0101010000010000010101000001010008010100040101000701010006010000020101003001020
+00701020005010200030102000001010001010300010101000101020008017500
+1801011206010111011206010111150102000501010001010000020101000201000001010600010
+1010001010200040100004d010100010101000001020001010200000101000101
+000001010000020101000201000001010100010102004b010100000101000101010001010200000
+10000000101000501010001010200000101000101000001010000020101000201
+0000030101000101000002010100020100000201010005010100010102002f01040004010600010
+10600010105000201060000010400070175001801011206010111011206010111
+150101000701020004010300030101000001010003010300050102004b010100030101000101020
+001010100000100000401000003010300030103004c0104000301020001010100
+0101010006010200010101000001000004010000030103000501020004010300030101000601030
+03101040004010600010106000201030004010400010104000701750018010112
+0601011101120601011143010000650100005b01010027010000950175001801011206010111011
+206010111ff0107010100be0175001801011206010111011206010111ff010601
+0300bd0175001801011206010111011206010111ff01c8017500180101120601011101120601011
+1ff01c80175001801011206010111011206010111ff01c8010400080167001801
+011206010111011206010111ff01c8010400080167001801011206010111011206010111ff01c80
+175001801011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111a70101000f0101006a01030003010100
+06010000070101004f010300270101000f010000070101007b01011206010111011206010111a60
+103000d010300690103000201030004010100060103004e010300260103000d01
+0100060103007a01011206010111011206010111a70101000f0101006b010200030101000501010
+00701010050010200270101000e010100070101007b0101120601011101120601
+0111ff01270102000a0102005a01020037010200850101120601011101120601011194010300020
+10200010101000201040003010400000100000101040001010300000102000201
+0300000100003901020000010100020103000101030000010200030105000101040002010600020
+10400040103000101030000010200020103000001000030010500020103000301
+0300000100000301020000010100000102000101010002010400020101000001030001010600020
+10400040103000101030000010200670101120601011100120911930105000101
+0700010104000201070001010400010108000001060038010600010105000001080001010600010
+1040002010600020104000301050000010800000106002f010600010105000101
+0600020106000001070001010400020107000001060002010400030105000001080066010112081
+10912001192010200010102000101060003010200020102000001030003010200
+0201030000010200000102000001020037010300000102000001020001010200000103000001020
+00001020000010300030102000301020007010200020102000101020000010300
+0001020000010200000102002e01020000010300000102000101020000010200000102000101030
+00001020001010600030102000201030000010200010102000701020002010200
+0101020000010300000102006601091200110112060101119201020001010200010103000001010
+00301020002010200000102000401020002010200010102000001030001010000
+3701020002010100000102000101020000010200010102000001020001010200030102000301020
+0070102000201020001010200000102000101020000010300010100002e010200
+0101020000010200010102000001030001010000010102000201010001010300000101000301020
+00201020001010200010102000701020002010200010102000001020001010200
+6601011206010111011206010111920102000101020001010200070102000201020000010200040
+10200020102000101020001010400380102000501020001010200000102000101
+0200000102000101020003010200030102000701020002010200010102000001020001010200010
+104002f0102000101020000010700010104000201020006010200070102000201
+0200010102000101020007010200020102000101020000010200010102006601011206010111011
+20601011192010200010102000101020007010200030104000501020002010200
+0101020000010000010103003701020005010200010102000001020001010200000102000101020
+00301020003010200070102000201020001010200000102000101020000010000
+010103002e010200010102000001020005010000010103000101020006010200070102000201020
+00101020001010200070102000201020001010200000102000101020066010112
+0601011101120601011192010200010102000101020007010200020103000701020002010200010
+10200000102000001020037010300010101000001020001010200000102000101
+0200000102000101020003010200030102000001010004010200020102000101020000010200010
+1020000010200000102002e010200010102000001030001010100000102000001
+0200010103000101010001010200070102000201020000010300010102000001010004010200020
+10200010102000001020001010200660101120601011101120601011193010500
+01010400040106000001060002010a0000010300000106003801060001010500000103000001030
+00101060001010600010105000201060001010500000103000001030000010600
+2f01060001010600000106000201060000010400040106000001060002010500020106000101050
+00001030000010300660101120601011101120601011194010300020104000401
+06000101060001010a000001030000010000000103003a010400030103000101030000010300020
+10200000101000101060002010300030106000201030001010300000103000001
+0000000103003101020000010100020104000101000000010300040104000101040004010600000
+10500040103000301060002010300010103000001030066010112060101110112
+06010111ad01020001010200ff010e0102008f01011206010111011206010111ad010700ff010e0
+102008f01011206010111011206010111ae010500ff010e0104008e0101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff12ff125912060101110112060
+10011ff12ff125a120601011101121e0100110012ff01ff012701001100121e01
+011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001
+100121e01011101121e0100110012ff01ff012701001100121e01011101121e01
+00110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011
+101121e0100110012ff01ff012701001100121e01011101121f110012ff11ff11
+2811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-brfront.ps b/books/ps/h-brfront.ps
new file mode 100644
index 0000000..d1dbe18
--- /dev/null
+++ b/books/ps/h-brfront.ps
@@ -0,0 +1,1074 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:14:14 1991
+%%Title: h-brfront.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-brfront.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b010c000101050001010300080103000101090007010900ff015f017b0001120601011
+101120601011105000a0102000201060002010200020102000c010b0002010400
+02010200090102000201080008010800ff015f017b0001120601011101120601011105000a01030
+00201040002010300020103000b010b0002010400020102000901020002010800
+09010700ff015f017b00011206010111011206010111050002010b0002010400020103000201070
+002011000020104000201020002010900020108000201030003010600ff015f01
+7b00011206010111011206010111050002010c00020102000201040002010700020110000201040
+00201020002010900020108000201040002010600ff015f017b00011206010111
+011206010111050002010c000201020002010400020107000201100002010400020102000201090
+002010800020104000201060089010500cf017b00011206010111011206010111
+050002010d000201000002010500020107000201100002010400020102000201090002010800020
+10400020106008a01010001010100ce017b000112060101110112060101110500
+02010d0002010000020105000201070002011000020104000201020002010900020108000201040
+0020106008a01010001010100ce017b0001120601011101120601011105000201
+0e000401060002010700020110000201040002010200020109000201080002010400020106008a0
+1010001010100ce017b0001120601011101120601011105000801080004010600
+02010700020110000a010200070104000201080002010300030106008a010100010101000601010
+00001030008010300070101000301010006010300000100000801030089017b00
+0112060101110112060101110500090108000201070002010700020110000a01020008010300020
+10800090107008a01040008010200010101000601010001010100060101000301
+01000501010002010100070101000101010088017b0001120601011101120601011105000901080
+00201070002010700020110000a0102000801030002010800080108008a010100
+0101010007010100020101000501010003010100050101000001010000010100050101000301000
+0060101000201010088017b00011206010111011206010111050002010e000401
+0600020107000201100002010400020102000201090002010800070109008a01010002010100060
+101000a0101000301010005010100000101000001010006010200090106008801
+7b00011206010111011206010111050002010e00040106000201070002011000020104000201020
+0020109000201080002010e008a01010002010100060101000a01010003010100
+05010100000101000001010008010200070101008d017b000112060101110112060101110500020
+10d00020100000201050002010700020110000201040002010200020109000201
+080002010e008a01010002010100060101000a01010003010100060101000001020006010000030
+10100060101008d017b00011206010111011206010111050002010d0002010000
+0201050002010700020110000201040002010200020109000201080002010e008a0101000101020
+0060101000b010100010101000701010001010100060101000201010007010100
+0201000088017b00011206010111011206010111050002010c00020102000201040002010700020
+110000201040002010200020109000201080002010e0089010600060104000a01
+0300080100000301000006010000000103000901030089017b00011206010111011206010111050
+002010c0002010200020104000201070002011000020104000201020002010900
+0201080002010e00ff015f017b00011206010111011206010111050002010b00020104000201030
+002010700020110000201040002010200020109000201080002010e00ff015f01
+7b00011206010111011206010111050009010400020104000201030002010700020110000201040
+002010200080103000701030002010e00ff015f017b0001120601011101120601
+011105000a010200020106000201020002010700020110000201040002010200090102000801020
+002010e00ff015f017b0001120601011101120601011106000901030001010700
+0101030001010800010111000101050001010300080103000801020001010e00ff015f017b00011
+2060101110112060101117b00ff015f017b000112060101110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b00011206010111011206010111ff00ff0057000112060101110112
+06010111ff00ff005700011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111140107000c0100004801020016010000100100001f01010033010300240100000501030
+0070102002501020003010100f201011206010111011206010111150101000201
+01000c01000049010100160100000f0102001d01010033010100010101002201020006010100080
+101002601010004010100f1010112060101110112060101111501010003010000
+0b0101004901010015010100100100001e010100260101000a01010001010100230100000701010
+0080101002601010004010100f101011206010111011206010111150101001001
+010049010100150101002f010100270101000a01010030010100080101002601010005010100f00
+10112060101110112060101111501010001010000020101000001020002010600
+0301030002010100000103000701030000010000030103000301040002010100000103000301030
+00301040008010300000100000101060001010100000103000201030003010100
+0001020003010300000101000701010004010200000102000201030000010000030103000701010
+00001000001010100070101000601030002010100000103000601010003010100
+0101030006010100050104000801030003010400020101000001030003010400050101000501000
+0e901011206010111011206010111150104000301010001010100030101000501
+0100010101000201020001010100050101000201010002010100010101000101010002010100020
+10200010101000101010001010100020102000001010006010100020101000301
+0100050102000101010003010100040101000101010001010100010101000001000007010100050
+10100010101000101010002010100020101000101010006010200000103000601
+0400030101000101010002010200010101000501010003010100030101000601010004010100000
+10200070101000101010001010100020101000201020001010100010101000001
+02000501010004010200e8010112060101110112060101111501010001010000030101000101010
+00301010004010100020101000201010002010100050101000301000001010100
+0201010001010100020101000201010002010100000101000201010002010100010101000601010
+00301000003010100050101000201010003010100040101000101010001010100
+0101010009010100050101000101010001010100030100000101010002010100080100000001000
+00a01010004010100030101000101010002010100050101000001010000010100
+0301010006010100030101000201010006010100020101000101010002010100020101000201010
+000010100020101000501010005010000e9010112060101110112060101111501
+010006010100010101000301010004010600020101000b010200040106000401030002010100050
+10100070101000101010007010200060101000501010008010100040101000101
+01000101010001010100090101000501010001010100020102000401060006010100000101000a0
+101000401010003010100010101000a0101000001010000010100030101000601
+01000301010002010100060101000901030002010100050101000201010005010100f0010112060
+10111011206010111150101000601010001010100030101000401010007010100
+0d01020002010100070101000101010002010100050101000701010001010100090102000401010
+005010100080101000401010001010100020103000a0101000501010001010100
+04010200020101000a01010002010100090101000401010003010100010101000a0101000001010
+00001010003010100060101000301010002010100060101000701010001010100
+02010100050101000201010005010100f0010112060101110112060101111501010003010000010
+10100010101000301010004010100070101000a01000003010100010101000601
+0100020101000201010005010100030100000201010001010100060100000301010003010100050
+10100080101000401010001010100010100000e01010005010100010101000101
+000003010100010101000a01010002010100090101000401010003010100010101000b010100000
+10200040101000601010003010100020101000601010003010000010101000201
+010002010100050101000201010005010100f001011206010111011206010111150101000201010
+0010101000101010003010100010100000201010002010000020101000a010100
+0201010002010100020100000101010001010200020101000601010001010100020101000101010
+00601010002010100030101000101000002010100080101000401010001010100
+010105000a010100040101000001020001010100020101000201010002010000160101000501010
+001010100020101000b0101000101010004010100060101000401010000010200
+070101000101010001010100010102000201010006010100000102000401010006010000e901011
+20601011101120601011114010700000102000001030003010200040103000201
+0400080100000001030004010300030102000101010000010400050103000201020000010300050
+10000000103000501020002010400040105000101020000010300010105000901
+0100050102000001010000010000000103000401030016010300050103000201040009010000030
+10000020105000201050003010200000101000701030003010200010101000001
+040005010200000101000301010005010200e801011206010111011206010111ae0100000401000
+00a0101009f01010007010000e901011206010111011206010111ae0101000201
+0100ff01a101011206010111011206010111af010400ff01a201011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff0157010112060101110112060101111301ff007a00c80101120601011101120601011
+11301ff007a00c8010112060101110112060101111301ff007a00c80101120601
+01110112060101111301ff007a00c8010112060101110112060101111301ff007a00c8010112060
+101110112060101111301ff007a00c8010112060101110112060101111301ff00
+7a00c8010112060101110112060101111301ff007a00c8010112060101110112060101111301ff0
+07a00c8010112060101110112060101111301ff007a00c8010112060101110112
+060101111301ff007a00c8010112060101110112060101111301ff007a00c801011206010111011
+2060101111301ff007a00c8010112060101110112060101111301ff007a00c801
+0112060101110112060101111301ff007a00c8010112060101110112060101111301ff007a00c80
+10112060101110112060101111301ff007a00c801011206010111011206010111
+1301ff007a00c8010112060101110112060101111301ff007a00c80101120601011101120601011
+11301ff007a00c801011206010111011206010111130104000801ff006c00c801
+011206010111011206010111130104000801ff006c00c8010112060101110112060101111301ff0
+07a00c801011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff01570101120601011101120601011125010200000101001f01000022010000
+af0100002b0101002c0103001e01010059010300570101120601011101120601011113010b00040
+106001e010100210101003b01030000010000250102000d010300310101002a01
+03002b0103001d01030058010300570101120601011101120601011113010b00040102000001020
+01e010100210101003a01010001010200260101000c0101000101010030010100
+2b0101002d0102001e0101005a01020057010112060101110112060101111301010000010000000
+10000000100000001020004010200010101001d010200200102003a0100000301
+0100260101000c010100010101002f0102005b0102007b010200570101120601011101120601011
+11301020000010000000100000001000000010100040102000101010003010300
+0101030000010200020103000001000001010600010102000101010001010200000103000201020
+0000101000001060003010300020102000101010002010300000100001c010100
+03010000260101000c0101002201020000010100010104000201060003010300030104000001000
+00201030002010200010101000201040004010300030103000001000016010500
+0201030002010000000101000001010002010400030104000101030000010200020103000001000
+02b01010000010300020104000401020000010100000102000101020001010400
+03010400000100000201030003010300000100002f0101120601011101120601011113010100000
+10000000100000001000000010200040102000601050000010800000106000101
+060001010700000102000001030001010600000106000201050001010700000106001c010200070
+10300030104000201010000010300030103000301040009010100060103000201
+0100000103000c01060000010600010106000201050001010700010105000101070001010400030
+10500010106001501060001010500010107000001060002010400010108000001
+06001101030002010100000103000b0107000001060002010600000102000101020000010600010
+1070001010500010106002f010112060101110112060101111301020000010000
+0001000000010000000101000401020005010200010102000001030000010200000102000001020
+00201020005010600000102000101020000010300000102000101020004010200
+010102000101060000010200000102001d010300040101000101010001010100020101000201020
+00101010001010100010101000201020000010100070104000301010001010100
+02010200010101000a0103000001020000010100010102000201020004010200010102000001020
+00001030000010200010102000101060003010200020102000101020000010200
+0001020014010200000103000001020001010200000107000001010001010200040102000201030
+0000102000001020000010200100101000101010002010200010101000a010300
+0001020000010100010102000101030000010200000102000001020001010100010102000101020
+000010300000102000101020000010200000102002f0101120601011101120601
+0111130101000001000000010000000100000001020004010200050102000101020000010200010
+10200000103000101000002010200050103000001010000010200010102000001
+020002010100010102000401020001010200010103000001010000010300010100001e010300020
+10100020101000101010002010100020101000201010000010100020101000201
+01000101010008010100040101000301010001010100020101000a0102000201010003010300020
+10200040102000101020000010200000102000101020001010200010103000001
+0100030102000201020001010200000103000101000014010200010102000001020001010200000
+10100000101000001010003010300040102000201020001010200000103000101
+00000f0101000301010001010100020101000a01020001010200030103000101020002010100000
+10500050103000101020000010200010102000101020000010300010100002f01
+0112060101110112060101111301020000010000000100000001000000010100040102000501020
+00101020000010200010102000101040003010200050102000401020001010200
+0001020006010200040102000101020001010200050104002101020001010600040103000201010
+0050101000701010001010100080101000401010003010100010101000f010200
+0601050002010200040107000001020000010200010102000101020001010200070102000201070
+00101040015010200010102000001020001010200000101000001010000010100
+01010500040102000201020001010200010104001001010003010100010101000f0102000101020
+00101050001010200050104000401050001010200000102000101070001010400
+3001011206010111011206010111130101000001000000010000000100000001020004010200010
+10100010102000101020000010200010102000001000001010300020102000501
+02000401020001010200000102000601020004010200010102000101020004010000010103001c0
+10000030101000101010007010100010101000201010005010100070101000101
+0100080101000401010003010100010101000f01020005010200000102000201020004010200060
+10400020102000101020001010200070102000201020005010000010103001401
+0200010102000001020001010200000101000001010000010100000102000001020004010200020
+102000101020000010000010103000f01010003010100010101000f0102000101
+0200000102000001020001010200050102000001010002010200000102000201040002010200050
+10000010103002f01011206010111011206010111130102000001000000010000
+0001000000010100040102000101010001010200010102000001020001010200000102000001020
+00201020000010100020102000401020000010300000103000101010001010200
+0001010001010200010102000101020004010200000102001c01010003010000010101000601010
+00201010002010100050101000301000002010100010101000801010004010100
+03010100010101000f0103000101010000010200000102000201020000010100010103000101010
+00001030004010200010102000101020007010200020103000101010000010200
+0001020014010200010102000001020001010200000101000001010000010100000102000001020
+004010200020102000101020000010200000102000f0101000301010001010100
+0f01020000010300000102000001020001010300010101000001020000010200010102000001020
+001010300040103000101010000010200000102002f0101120601011101120601
+011113010b000401060002010500000103000001030000010600020105000101040003010700010
+10600010105000201050001010400030106001c01020001010100020101000201
+0000010101000101020002010100060101000101010002010100010101000801010005010100010
+10100020101001001060000010700010105000201060000010600020105000101
+0400040106000101060000010600040100000f01060001010500010101000001010000010100000
+1070001010a000001030000010600040100000a01010001010100020101000f01
+060001010700010106000001020001010200000107000001060002010600000106002f010112060
+1011101120601011113010b000501040004010300010103000001030000010000
+0001030004010300020104000401030000010100020104000301030004010300020104000301000
+0000103001d010000000103000401030003010200010101000001040005010300
+02010200000103000601030005010300020104000f0104000201020000010200020103000401040
+00201060002010300020104000401060002010400010100000001030004010200
+0f0102000001010002010300020101000001010000010100010102000001020001010a000001030
+00001000000010300040102000a010300020104000d0105000301020000010200
+0201040001010200010102000101020000010200010106000201040001010000000103003001011
+206010111011206010111ff012f01020001010200300101004f01010024010200
+29010200010102004001011206010111011206010111ff012f010700300101004f0101002401020
+0290107004001011206010111011206010111ff0130010500300101004f010100
+24010400290105004101011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1250105002801000007010100ff01f70101120601011101120601011113010b00
+0401070026010100060103004b01030000010000250102000d0103004801000007010000ff01160
+101120601011101120601011113010b0004010200010102002601010007010100
+4b01010001010200260101000c010100010101004701000006010200ff011501011206010111011
+20601011113010100000100000001000000010000000102000401020001010200
+250102005501000003010100260101000c010100010101004601010007010000ff0116010112060
+10111011206010111130102000001000000010000000100000001010004010200
+0101020000010100000103000301030002010200010101000201040002010600020104000401030
+0010103000001020002010300000100002e01010003010000260101000c010100
+4a010100ff011f01011206010111011206010111130101000001000000010000000100000001020
+00401020001010200000107000101050001010700000106000101060002010400
+0301050000010800000106002e01020007010300030104000201010000010300030103000301040
+00901010006010300020101000001030008010300020101000001020004010300
+0201010000010300020104000201060002010300050103000201010000010200030103000001000
+0f801011206010111011206010111130102000001000000010000000100000001
+0100040102000101020000010300000102000001020001010200010106000001010001010200020
+10200070102000201020001010200000103000001020000010200000102002f01
+0300040101000101010001010100020101000201020001010100010101000101010002010200000
+10100070104000301010001010100020102000101010006010100010101000201
+0200000101000201010001010100020102000101010000010100020101000301010007010100040
+101000101010002010100010101000101010002010100f8010112060101110112
+0601011113010100000100000001000000010000000102000401020001010200000102000101020
+00001020001010200010103000001010003010300020102000701020002010200
+0101020000010200010102000001030001010000300103000201010002010100010101000201010
+00201010002010100000101000201010002010100010101000801010004010100
+0301010001010100020101000501010003010100010101000201010000010100020101000201010
+00201010000010100020101000301010007010100030101000301010001010100
+010101000101010003010000f801011206010111011206010111130102000001000000010000000
+10000000101000401020001010200000102000101020000010700010102000501
+0500020102000701020002010200010102000001020001010200010104003301020001010600040
+10300020101000501010007010100010101000801010004010100030101000101
+01000a0101000301010001010100020101000001060002010100080103000301010007010100030
+1010003010100010101000101010002010200fb01011206010111011206010111
+1301010000010000000100000001000000010200040102000101020000010200010102000001020
+00601020004010200000102000201020007010200020102000101020000010200
+0101020000010000010103002e01000003010100010101000701010001010100020101000501010
+00701010001010100080101000401010003010100010101000a01010003010100
+0101010002010100000101000701010006010100010101000301010007010100030101000301010
+0010101000101010004010200f901011206010111011206010111130102000001
+0000000100000001000000010100040102000101020000010200000103000001030001010100010
+10200040102000001020002010200000101000401020002010200010102000001
+02000101020000010200000102002e0101000301000001010100060101000201010002010100050
+10100030100000201010001010100080101000401010003010100010101000a01
+0100030101000101010002010100000101000701010005010100020101000301010007010100030
+101000301010001010100010101000101000003010100f8010112060101110112
+0601011113010b00040107000001060002010600000104000301070001010500020106000101050
+00001030000010300000106002e01020001010100020101000201000001010100
+0101020002010100060101000101010002010100010101000801010005010100010101000201010
+00b01010001010100020101000101010002010100020100000201010005010100
+0101020003010100010100000401010004010100010101000201010001010100010101000201010
+0f80101120601011101120601011113010b000501050001010500040104000101
+04000401020000010200020103000301060002010300010103000001030000010000000103002f0
+10000000103000401030003010200010101000001040005010300020102000001
+03000601030005010300020104000a0103000301040004010300020104000401020001010100030
+10200030105000301030002010200000103000001000000010300f90101120601
+01110112060101112d010200df010100ff0144010112060101110112060101112d010200df01010
+0ff0144010112060101110112060101112c010400dd010300ff01430101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111250103000601000007010000100
+101000201030011010000ff01ef0101120601011101120601011113010b000501
+030005010100060101000f01030001010300100101004401030000010000250102000d010300240
+1000007010000100100000401020011010000ff010d0101120601011101120601
+011113010b000601020005010100060101001001010003010200100101004301010001010200260
+101000c0101000101010023010000070100000f0102000401010011010000ff01
+0d01011206010111011206010111130101000001000000010000000100000001020005010400030
+1020005010200160102000f0102004301000003010100260101000c0101000101
+01002201010006010100100100000501010010010100ff010d01011206010111011206010111130
+10200000100000001000000010000000101000501040002010600010106000101
+02000101010002010400020105000201020000010300000106000301030003010300000100002e0
+1010003010000260101000c01010026010100060101001701010010010100ff01
+0d01011206010111011206010111130101000001000000010000000100000001020005010100000
+10100020106000101060001010700010104000201060001010200000103000001
+060002010500010106002e010200070103000301040002010100000103000301030003010400090
+10100060103000201010000010300070104000201060001010600010101000001
+03000201030004010400020102000001020001010600030103000301030000010000f8010112060
+10111011206010111130102000001000000010000000100000001010005010100
+0001020002010200050102000501060003010200020103000001020000010200010102000101020
+0040102000101020000010200000102002f010300040101000101010001010100
+0201010002010200010101000101010001010100020102000001010007010400030101000101010
+00201020001010100050101000201010003010100060101000501020001010100
+0301010004010200000101000201010001010100030101000501010001010100010101000201010
+0f801011206010111011206010111130101000001000000010000000100000001
+0200050101000101010002010200050102000501030000010100030102000201020001010200000
+10200010102000101020004010200010102000001030001010000300103000201
+0100020101000101010002010100020101000201010000010100020101000201010001010100080
+10100040101000301010001010100020101000501010002010100030101000601
+0100050101000201010003010100040101000201010001010100010101000301010004010100020
+101000101010003010000f8010112060101110112060101111301020000010000
+0001000000010000000101000401060002010200050102000501020007010200020102000101020
+00001020001010200010102000401070001010400330102000101060004010300
+02010100050101000701010001010100080101000401010003010100010101000d0103000301010
+00601010005010100080101000401010002010100010101000101010003010100
+0401060002010200fb0101120601011101120601011113010100000100000001000000010000000
+10200040107000101020005010200050102000701020002010200010102000001
+020001010200010102000401020005010000010103002e010000030101000101010007010100010
+10100020101000501010007010100010101000801010004010100030101000101
+01000b0101000101010003010100060101000501010008010100040101000201010001010100010
+10100030101000401010009010200f90101120601011101120601011113010200
+0001000000010000000100000001010004010100020102000101020000010100020102000001010
+00201020007010200020102000101020000010200000103000101020000010100
+010103000101010000010200000102002e010100030100000101010006010100020101000201010
+00501010003010000020101000101010008010100040101000301010001010100
+0a01010002010100030101000601010005010100080101000401010002010100010101000101010
+003010100040101000601000003010100f8010112060101110112060101111301
+0b00030103000001030001010500020105000101040004010600000106000101070001010500020
+10600000106002e01020001010100020101000201000001010100010102000201
+010006010100010101000201010001010100080101000501010001010100020101000a010100010
+10200030101000101000003010100010100000201010008010100040102000001
+01000201010000010200030101000101000002010100020100000101010002010100f8010112060
+1011101120601011113010b000301030000010300020103000401030002010400
+0401060000010100000102000301030000010100020103000401040001010000000103002f01000
+00001030004010300030102000101010000010400050103000201020000010300
+0601030005010300020104000901020001010100030102000501020002010400040105000101010
+000010200040102000001010003010200040103000201000000010300f9010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+0601011101120601011125010300000101002e010400ff01f601011206010111011206010111130
+10b00040107002e0104004b01030000010000250102000d010300220103000401
+03000b010000040102003101030009010000040102001c010200bb0101120601011101120601011
+113010b000401020000010300300102004a01010001010200260101000c010100
+0101010023010100060101000b01000005010100300101000101010008010000050101001d01010
+0bb01011206010111011206010111130101000001000000010000000100000001
+02000401020001010200300102004a01000003010100260101000c0101000101010023010100060
+101000a01010005010100300101000101010007010100050101001d010100bb01
+0112060101110112060101111301020000010000000100000001000000010100040102000201010
+00201030001010300000102000301030002010200010101000201040005010200
+4a01010003010000260101000c01010027010100060101000a01010005010100300101000b01010
+0050101001d010100bb0101120601011101120601011113010100000100000001
+00000001000000010200040102000601050000010800010105000101070000010600040102004a0
+10200070103000301040002010100000103000301030003010400090101000601
+0300020101000001030007010400050101000601010008010600020104000201010000010300030
+10300040103000901030004010100090106000201040004010300080104000301
+0400040103000201020001010200020103009d01011206010111011206010111130102000001000
+00001000000010000000101000401020005010200010102000001030000010200
+0001020001010200010106000001010001010200040102004b01030004010100010101000101010
+00201010002010200010101000101010001010100020102000001010007010400
+03010100010101000201020001010100050101000201010004010100060101000a0101000501020
+00001010002010200010101000101010001010100020101000101010007010100
+0101010002010400090101000501020000010100020101000101010006010100020101000201020
+0000101000201010001010100020101000201000002010100010101009c010112
+0601011101120601011113010100000100000001000000010000000102000401020000010300000
+10200010102000001020001010200000102000101020001010300000101000301
+0300040102004c01030002010100020101000101010002010100020101000201010000010100020
+10100020101000101010008010100040101000301010001010100020101000501
+01000201010004010100060101000a0101000501010001010100020101000201010000010100020
+1010001010100020101000601010003010100020101000b010100050101000101
+0100010101000201010006010100020101000201010002010100000101000301010001010100020
+1000001010100020101009c010112060101110112060101111301020000010000
+0001000000010000000101000401020000010300000107000001020001010200000107000101020
+005010500040102004e0102000101060004010300020101000501010007010100
+01010100080101000401010003010100010101000d01030004010100060101000a0101000501010
+0010101000201010005010600010106000601010003010100020101000b010100
+0501010001010100010106000901030002010100020101000001010003010100020101000001000
+0020106009c010112060101110112060101111301010000010000000100000001
+0000000102000401020001010200000102000501020001010200000102000601020004010200000
+10200040102004a01000003010100010101000701010001010100020101000501
+01000701010001010100080101000401010003010100010101000b0101000101010004010100060
+101000a01010005010100010101000201010005010100060101000b0101000301
+0100020101000b0101000501010001010100010101000c010100010101000201010002010100000
+1010003010100020101000001000002010100a101011206010111011206010111
+1301020000010000000100000001000000010100040102000001030000010300010101000001020
+0010102000001030001010100010102000401020000010200040102004a010100
+0301000001010100060101000201010002010100050101000301000002010100010101000801010
+00401010003010100010101000a0101000201010004010100060101000a010100
+05010100010101000201010005010100060101000b01010003010100020101000b0101000501010
+001010100010101000b0101000201010002010100020101000001010003010100
+0201030002010100a10101120601011101120601011113010b000401070001010a0000010300010
+10600000104000301070001010600480102000101010002010100020100000101
+0100010102000201010006010100010101000201010001010100080101000501010001010100020
+101000a0101000101020004010100060101000a01010001010000020101000101
+010002010100060101000201000002010100020100000701010001010100030101000b010100010
+10000020101000101010002010100020100000601010001010200020102000001
+010002010100010101000401010004010100020100009c0101120601011101120601011113010b0
+00501030000010100020104000001030000010300020104000101040004010200
+0001020001010600480100000001030004010300030102000101010000010400050103000201020
+00001030006010300050103000201040009010200010101000101050002010500
+09010200020102000001030000010400050103000401030009010300030103000b0102000201020
+00001030002010300080102000101010000010100000102000401030005010100
+050103009d01011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111240106003a0100001001000007010100ff01d301011
+20601011101120601011113010b0004010700380101000f010100060103002701
+030000010000250102000b0103000601000004010200320102003a0100001001000007010000ce0
+101120601011101120601011113010b000501020000010200380101000f010100
+070101002701010001010200260101000d0101000501020004010100330101003a0100001001000
+006010200cd010112060101110112060101111301010000010000000100000001
+0000000102000501020000010200370102000e0102003101000003010100260101000d010100060
+100000501010033010100390101000f01010007010000ce010112060101110112
+0601011113010200000100000001000000010000000101000501020000010200020103000401020
+00001010000010200000103000001000000010100000101000301030001010300
+0001020001010600020104000201060002010400040103000101030000010200130101000301000
+0260101000d0101000d01010033010100390101000f010100d701011206010111
+0112060101111301010000010000000100000001000000010200050102000001020001010500020
+10600000102000001030000010700010105000001080000010600010106000101
+0600020104000301050000010800120102000701030003010400020101000001030003010300030
+104000a0101000401030004010400020101000001030002010400020101000001
+0300010103000001020007010400030103000401030002010200000102000101000000010100000
+10100030103000201010000010200020106000201040002010600020103000501
+03000201010000010200ba010112060101110112060101111301020000010000000100000001000
+00001010005010200000102000001020001010200000103000001020000010200
+0101020000010700000102000101020000010300000102000101020004010100010102000201020
+00701020002010200010102000001030000010200130103000401010001010100
+0101010002010100020102000101010001010100010101000201020000010100090101000601010
+00401020000010100020102000101010000010100020101000201020001010100
+0101010002010000070101000001020002010100010101000201010001010100020101000101010
+00101010000010100000101000101010001010100020101000101010003010100
+0401010002010100030101000701010004010100010101000201010001010100b90101120601011
+10112060101111301010000010000000100000001000000010200050102000001
+0200000102000101020000010200020101000001020001010200000101000001010000010100000
+10200010102000001020001010200010102000701030002010200070102000201
+0200010102000001020001010200140103000201010002010100010101000201010002010100020
+10100000101000201010002010100010101000901010006010100040101000201
+0100010101000201010000010100020101000201010002010100010101000201000006010100020
+10100010101000301010000010100020101000201010001010100010101000001
+0100000101000001010002010100020101000101010003010100040101000201010003010100070
+1010003010100030101000101010001010100b901011206010111011206010111
+1301020000010000000100000001000000010100050102000001020000010200010102000001020
+00501020001010200000101000001010000010100000107000001020001010200
+0101020005010500020102000701020002010200010102000001020001010200160102000101060
+00401030002010100050101000701010001010100090101000601010004010100
+0201010001010100080103000201010007010100000100000701010002010100010101000301010
+00001010007010100010101000101010000010100000101000001060002010100
+010101000301010007010300030101000701010003010100030101000101010001010100b901011
+20601011101120601011113010100000100000001000000010000000102000501
+0200000102000001020001010200000102000501020001010200000101000001010000010100000
+10200050102000101020001010200040102000001020002010200070102000201
+0200010102000001020001010200120100000301010001010100070101000101010002010100050
+10100070101000101010009010100060101000401010002010100010101000601
+0100010101000201010007010100000100000701010002010100010101000301010000010100070
+10100010101000101010000010100000101000001010007010100010101000301
+01000501010001010100030101000701010003010100030101000101010001010100b9010112060
+10111011206010111130102000001000000010000000100000001010005010200
+0001020000010200010102000001030001010100000102000001030000010100000101000001010
+00001030001010100000102000101020001010200000101000101020000010200
+0201020000010100040102000201020001010200000102000101020012010100030100000101010
+00601010002010100020101000501010003010000020101000101010009010100
+0601010004010100020101000101010005010100020101000201010008010100080101000201010
+00101010003010100000101000301000002010100010101000101010000010100
+0001010000010100070101000101010003010100040101000201010003010100070101000301010
+0030101000101010001010100b90101120601011101120601011113010b000401
+070001010500020106000001070000010100000101000001010001010a000001030001010500010
+10700010105000201060001010500000103000001030012010200010101000201
+0100020100000101010001010200020101000601010001010100020101000101010009010100060
+10100040102000001010002010100050101000101020002010100080101000901
+0100000102000201010001010100020101000101010002010100000102000101010000010100000
+10100010101000201000002010100010101000301010001010000010101000101
+020003010100010100000401010004010100010101000201010001010100b901011206010111011
+20601011113010b00040106000301030004010400020103000001010000010100
+0001010000010100020104000001030000010300020103000301020000010200020103000301060
+00201030001010300000103001201000000010300040103000301020001010100
+0001040005010300020102000001030006010500020105000101010000010200020104000401020
+00101010000010400060100000b01020000010100020103000401030004010200
+0001010000010100000101000001010002010300020102000001030003010200030102000101010
+00301020003010500030103000201020000010300b80101120601011101120601
+0111ff011f010000ff013601011206010111011206010111ff011c01000000010000ff013701011
+206010111011206010111ff011c010200ff013701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff01570101120601011101120601011125010200000101001d0104000e010000ff01f801011
+20601011101120601011113010b00040106001d0104000d0101004e0102000401
+0300040103001401030009010000040102001c010200ff014801011206010111011206010111130
+10b0004010200000102001f0102000d0101004f01010006010100060101001301
+01000101010008010000050101001d010100ff01480101120601011101120601011113010100000
+1000000010000000100000001020004010200010101001f0102000c0102004f01
+01000601010006010100130101000101010007010100050101001d010100ff01480101120601011
+10112060101111301020000010000000100000001000000010100040102000101
+0100030103000201000000010100000101000101010000010300040102000401030002010600030
+10300430103000501010006010100130101000b010100050101001d010100ff01
+4801011206010111011206010111130101000001000000010000000100000001020004010200060
+10500010107000001070003010200030105000101060002010500420100000001
+010005010100060101000a010300040101000901060002010400040103000801040003010400040
+10300020102000101020002010300ff012a010112060101110112060101111301
+0200000100000001000000010000000101000401020005010200010102000001070000010300000
+10200030102000201020001010200010102000401020001010200410100000001
+0100050101000601010009010100010101000201040009010100050102000001010002010100010
+10100060101000201010002010200000101000201010001010100020101000201
+00000201010001010100ff012901011206010111011206010111130101000001000000010000000
+10000000102000401020005010200010102000001010000010100000101000001
+0200010102000301020002010200010102000101020004010200010102004101000001010100040
+10100060101000801010003010100020101000b01010005010100010101000101
+0100020101000601010002010100020101000201010000010100030101000101010002010000010
+1010002010100ff01290101120601011101120601011113010200000100000001
+0000000100000001010004010200050102000101020000010100000101000001010000010200010
+10200030102000201070001010200040107004001050004010100060101000801
+010003010100020101000b010100050101000101010001010600090103000201010002010100000
+1010003010100020101000001000002010600ff01290101120601011101120601
+0111130101000001000000010000000100000001020004010200010101000101020001010200000
+10100000101000001010000010200010102000301020002010200060102000401
+0200450100000201010004010100060101000801010003010100020101000b01010005010100010
+10100010101000c01010001010100020101000201010000010100030101000201
+01000001000002010100ff012e01011206010111011206010111130102000001000000010000000
+10000000101000401020001010100010102000101020000010100000101000001
+0100000102000001030003010200020103000101010001010200000101000101030001010100400
+100000301010003010100060101000801010003010100020101000b0101000501
+010001010100010101000b010100020101000201010002010100000101000301010002010300020
+10100ff012e0101120601011101120601011113010b0004010600020105000101
+0100000101000001010000010600020106000101060001010500020106003f01010003010100030
+10100060101000901010001010100030101000b01010001010000020101000101
+0100020101000201000006010100010102000201020000010100020101000101010004010100040
+1010002010000ff01290101120601011101120601011113010b00050104000401
+0300020101000001010000010100000105000301060002010400030103000401040040010200010
+10200010105000201050008010300030103000b01020002010200000103000201
+030008010200010101000001010000010200040103000501010005010300ff012a0101120601011
+10112060101113f010200ff01ff0114010112060101110112060101113f010200
+ff01ff0114010112060101110112060101113e010400ff01ff01130101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff01570101120601011100120911ff01ff0157010112081109120011ff01
+ff01570109120011011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff12ff12591206010111011206010011ff12ff125a12
+0601011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e0
+1011101121e0100110012ff01ff012701001100121e01011101121e0100110012
+ff01ff012701001100121e01011101121f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-browse.ps b/books/ps/h-browse.ps
new file mode 100644
index 0000000..4fd6451
--- /dev/null
+++ b/books/ps/h-browse.ps
@@ -0,0 +1,799 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 108.287220 559.000000 713.952785
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:48:38 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 745, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 745
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 745 8
+  [622 0 0 -745 0 745]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+% 0.750000 inch 1.517878 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a0402010305020103030208030302
+0103090207030702011aff035f03011a3b02011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a0402020304020203020209030202
+0203080208030602011aff035f03011a3b02011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a0402020304020203020209030202
+0203080209030502011aff035f03011a3b02011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a0402020304020203020202030902
+020308020203030203030402011aff035f03011a3b02011a3b02010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a04020203040202030202
+02030902020308020203040202030402011aff035f03011a3b02011a3b02010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a040202030402
+0203020202030902020308020203040202030402011a8903051acf03011a3b02011a3b02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a
+0402020304020203020202030902020308020203040202030402011a8a03011a0103011ace03011a3b02011a3b02010c060a010d010c060a010d050202030d020203000202030502
+0203070202030902011a0402020304020203020202030902020308020203040202030402011a8a03011a0103011ace03011a3b02011a3b02010c060a010d010c060a010d05020203
+0e02040306020203070202030902011a0402020304020203020202030902020308020203040202030402011a8a03011a0103011ace03011a3b02011a3b02010c060a010d010c060a
+010d050208030802040306020203070202030902011a04020a03020207030402020308020203030203030402011a8a03011a0103011a0603011a0003031a0803031a0703011a0303
+011a0603031a0003001a0803031a8903011a3b02011a3b02010c060a010d010c060a010d050209030802020307020203070202030902011a04020a03020208030302020308020903
+0502011a8a03041a0803021a0103011a0603011a0103011a0603011a0303011a0503011a0203011a0703011a0103011a8803011a3b02011a3b02010c060a010d010c060a010d0502
+09030802020307020203070202030902011a04020a030202080303020203080208030602011a8a03011a0103011a0703011a0203011a0503011a0303011a0503011a0003011a0003
+011a0503011a0303001a0603011a0203011a8803011a3b02011a3b02010c060a010d010c060a010d050202030e02040306020203070202030902011a040202030402020302020203
+09020203080207030702011a8a03011a0203011a0603011a0a03011a0303011a0503011a0003011a0003011a0603021a0903061a8803011a3b02011a3b02010c060a010d010c060a
+010d050202030e02040306020203070202030902011a04020203040202030202020309020203080202030c02011a8a03011a0203011a0603011a0a03011a0303011a0503011a0003
+011a0003011a0803021a0703011a8d03011a3b02011a3b02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a040202030402020302020203
+09020203080202030c02011a8a03011a0203011a0603011a0a03011a0303011a0603011a0003021a0603001a0303011a0603011a8d03011a3b02011a3b02010c060a010d010c060a
+010d050202030d0202030002020305020203070202030902011a04020203040202030202020309020203080202030c02011a8a03011a0103021a0603011a0b03011a0103011a0703
+011a0103011a0603011a0203011a0703011a0203001a8803011a3b02011a3b02010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a04020203
+040202030202020309020203080202030c02011a8903061a0603041a0a03031a0803001a0303001a0603001a0003031a0903031a8903011a3b02011a3b02010c060a010d010c060a
+010d050202030c0202030202020304020203070202030902011a04020203040202030202020309020203080202030c02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d050202030b0202030402020303020203070202030902011a04020203040202030202020309020203080202030c02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d05020903040202030402020303020203070202030902011a04020203040202030202080303020703030202030c02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d05020a03020202030602020302020203070202030902011a04020203040202030202090302020803020202030c02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d06020903030201030702010303020103080201030902011a05020103050201030302080303020803020201030c02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02
+011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a010d010c
+060a010dff1aff1a571a010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010d1403071a0c03001a4803021a1603001a1003001a1f03011a3303031a2403001a0503031a0703021a2503021a0303011af203010c060a010d010c060a010d1503011a0203
+011a0c03001a4903011a1603001a0f03021a1d03011a3303011a0103011a2203021a0603011a0803011a2603011a0403011af103010c060a010d010c060a010d1503011a0303001a
+0b03011a4903011a1503011a1003001a1e03011a260301040a03011a0103011a2303001a0703011a0803011a2603011a0403011af103010c060a010d010c060a010d1503011a1003
+011a4903011a1503011a2f03011a270301040a03011a3003011a0803011a2603011a0503011af003010c060a010d010c060a010d1503011a0103001a0203011a0003021a0203061a
+0303031a0203011a0003031a0703031a0003001a0303031a0303041a0203011a0003031a0303031a0303041a0803031a0003001a0103061a0103011a0003031a0203031a0303011a
+0003021a0303031a0003011a0703011a0403021a0003021a0203031a0003001a0303031a0703010400030004010301040703011a0603031a0203011a0003031a0603011a0303011a
+0103031a0603011a0503041a0803031a0303041a0203011a0003031a0303041a0503011a0503001ae903010c060a010d010c060a010d1503041a0303011a0103011a0303011a0503
+011a0103011a0203021a0103011a0503011a0203011a0203011a0103011a0103011a0203011a0203021a0103011a0103011a0103011a0203021a0003011a0603011a0203011a0303
+011a0503021a0103011a0303011a0403011a0103011a0103011a0103011a0003001a0703011a0503011a0103011a0103011a0203011a0203011a0103011a06030204000303040603
+041a0303011a0103011a0203021a0103011a0503011a0303011a0303011a0603011a0403011a0003021a0703011a0103011a0103011a0203011a0203021a0103011a0103011a0003
+021a0503011a0403021ae803010c060a010d010c060a010d1503011a0103001a0303011a0103011a0303011a0403011a0203011a0203011a0203011a0503011a0303001a0103011a
+0203011a0103011a0203011a0203011a0203011a0003011a0203011a0203011a0103011a0603011a0303001a0303011a0503011a0203011a0303011a0403011a0103011a0103011a
+0103011a0903011a0503011a0103011a0103011a0303001a0103011a0203011a08030004000300040a03011a0403011a0303011a0103011a0203011a0503011a0003011a0003011a
+0303011a0603011a0303011a0203011a0603011a0203011a0103011a0203011a0203011a0203011a0003011a0203011a0503011a0503001ae903010c060a010d010c060a010d1503
+011a0603011a0103011a0303011a0403061a0203011a0b03021a0403061a0403031a0203011a0503011a0703011a0103011a0703021a0603011a0503011a0803011a0403011a0103
+011a0103011a0103011a0903011a0503011a0103011a0203021a0403061a06030104000301040a03011a0403011a0303011a0103011a0a03011a0003011a0003011a0303011a0603
+011a0303011a0203011a0603011a0903031a0203011a0503011a0203011a0503011af003010c060a010d010c060a010d1503011a0603011a0103011a0303011a0403011a0703011a
+0d03021a0203011a0703011a0103011a0203011a0503011a0703011a0103011a0903021a0403011a0503011a0803011a0403011a0103011a0203031a0a03011a0503011a0103011a
+0403021a0203011a0a030104020301040903011a0403011a0303011a0103011a0a03011a0003011a0003011a0303011a0603011a0303011a0203011a0603011a0703011a0103011a
+0203011a0503011a0203011a0503011af003010c060a010d010c060a010d1503011a0303001a0103011a0103011a0303011a0403011a0703011a0a03001a0303011a0103011a0603
+011a0203011a0203011a0503011a0303001a0203011a0103011a0603001a0303011a0303011a0503011a0803011a0403011a0103011a0103001a0e03011a0503011a0103011a0103
+001a0303011a0103011a0a030104020301040903011a0403011a0303011a0103011a0b03011a0003021a0403011a0603011a0303011a0203011a0603011a0303001a0103011a0203
+011a0203011a0503011a0203011a0503011af003010c060a010d010c060a010d1503011a0203011a0103011a0103011a0303011a0103001a0203011a0203001a0203011a0a03011a
+0203011a0203011a0203001a0103011a0103021a0203011a0603011a0103011a0203011a0103011a0603011a0203011a0303011a0103001a0203011a0803011a0403011a0103011a
+0103051a0a03011a0403011a0003021a0103011a0203011a0203011a0203001a1603011a0503011a0103011a0203011a0b03011a0103011a0403011a0603011a0403011a0003021a
+0703011a0103011a0103011a0103021a0203011a0603011a0003021a0403011a0603001ae903010c060a010d010c060a010d1403071a0003021a0003031a0303021a0403031a0203
+041a0803001a0003031a0403031a0303021a0103011a0003041a0503031a0203021a0003031a0503001a0003031a0503021a0203041a0403051a0103021a0003031a0103051a0903
+011a0503021a0003011a0003001a0003031a0403031a1603031a0503031a0203041a0903001a0303001a0203051a0203051a0303021a0003011a0703031a0303021a0103011a0003
+041a0503021a0003011a0303011a0503021ae803010c060a010d010c060a010dae03001a0403001a0a03011a9f03011a0703001ae903010c060a010d010c060a010dae03011a0203
+011aff03a103010c060a010d010c060a010daf03041aff03a203010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010d1303ff1a7a1ac803010c060a010d010c060a010d1303ff1a7a1ac803010c060a010d010c060a010d1303ff1a7a1ac803010c060a
+010d010c060a010d1303ff1a7a1ac803010c060a010d010c060a010d13031a1a0003101a0003ff1a4c1ac803010c060a010d010c060a010d13031a1a00030f1a0203ff1a4b1ac803
+010c060a010d010c060a010d1303191a0103101a0003ff1a4c1ac803010c060a010d010c060a010d1303191a0103ff1a5e1ac803010c060a010d010c060a010d1303051a0003001a
+0103001a0103021a0403021a0603011a0103001a0303021a0303031a0203011a0203ff1a3f1ac803010c060a010d010c060a010d1303051a0103001a0103001a0103001a0103021a
+0103031a0103051a0203011a0103031a0103041a0103011a0103ff1a401ac803010c060a010d010c060a010d1303051a0103001a0103001a0103001a0103021a0103031a0103051a
+0103021a0103031a0103051a0103001a0003ff1a411ac803010c060a010d010c060a010d1303051a0103001a0103001a0103031a0303031a0103051a0103081a0103061a0103ff1a
+421ac803010c060a010d010c060a010d1303051a0103001a0103001a0103011a0103011a0103031a0103051a0103081a0103061a0103ff1a421ac803010c060a010d010c060a010d
+1303051a0103001a0103001a0103001a0103021a0103031a0103051a0103081a0103051a0003001a0103ff1a411ac803010c060a010d010c060a010d1303051a0103001a0103001a
+0103001a0103011a0203031a0103011a0003021a0103081a0103041a0103011a0103ff1a401ac803010c060a010d010c060a010d1303051a0103001a0103001a0103011a0203011a
+0103031a0203021a0403041a0503011a0203011a0203ff1a3f1ac803010c060a010d010c060a010d1303ff1a7a1ac803010c060a010d010c060a010d1303ff1a7a1ac803010c060a
+010d010c060a010d1303ff1a7a1ac803010c060a010d010c060a010d1303ff1a7a1ac803010c060a010d010c060a010d13033a1a0803ff1a361ac803010c060a010d010c060a010d
+13033a1a0803ff1a361ac803010c060a010d010c060a010d1303ff1a7a1ac803010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d25030202000301021f03000222030002af0300022b0301022c030302
+1e030102590303025703010c060a010d010c060a010d13030b02040306021e030102210301023b03031a0003001a2503021a0d03031a310301022a0303022b0303021d0303025803
+03025703010c060a010d010c060a010d13030b0204030202000302021e030102210301023a03011a0103021a2603011a0c03011a0103011a300301022b0301022d0302021e030102
+5a0302025703010c060a010d010c060a010d130301020003000200030002000300020003020204030202010301021d030202200302023a03001a0303011a2603011a0c03011a0103
+011a2f0302025b0302027b0302025703010c060a010d010c060a010d1303020200030002000300020003000200030102040302020103010203030302010303020003020202030302
+00030002010306020103020201030102010302020003030202030202000301020003060203030302020302020103010202030302000300021c03011a0303001a2603011a0c03011a
+220302020003010201030402020306020303030203030402000300020203030202030202010301020203040204030302030303020003000216030502020303020203000200030102
+000301020203040203030402010303020003020202030302000300022b03010200030302020304020403020200030102000302020103020201030402030304020003000202030302
+03030302000300022f03010c060a010d010c060a010d1303010200030002000300020003000200030202040302020603050200030802000306020103060201030702000302020003
+030201030602000306020203050201030702000306021c03021a0703031a0303041a0203011a0003031a0303031a0303041a0903011a0603031a0203011a0003031a0c0306020003
+06020103060202030502010307020103050201030702010304020303050201030602150306020103050201030702000306020203040201030802000306021103031a0203011a0003
+031a0b03070200030602020306020003020201030202000306020103070201030502010306022f03010c060a010d010c060a010d1303020200030002000300020003000200030102
+040302020503020201030202000303020003020200030202000302020203020205030602000302020103020200030302000302020103020204030202010302020103060200030202
+000302021d03031a0403011a0103011a0103011a0203011a0203021a0103011a0103011a0103011a0203021a0003011a0703041a0303011a0103011a0203021a0103011a0a030302
+000302020003010201030202020302020403020201030202000302020003030200030202010302020103060203030202020302020103020200030202000302021403020200030302
+000302020103020200030702000301020103020204030202020303020003020200030202000302021003011a0103011a0203021a0103011a0a030302000302020003010201030202
+0103030200030202000302020003020201030102010302020103020200030302000302020103020200030202000302022f03010c060a010d010c060a010d13030102000300020003
+000200030002000302020403020205030202010302020003020201030202000303020103000202030202050303020003010200030202010302020003020202030102010302020403
+020201030202010303020003010200030302010300021e03031a0203011a0203011a0103011a0203011a0203011a0203011a0003011a0203011a0203011a0103011a0803011a0403
+011a0303011a0103011a0203011a0a030202020301020303030202030202040302020103020200030202000302020103020201030202010303020003010203030202020302020103
+02020003030201030002140302020103020200030202010302020003010200030102000301020303030204030202020302020103020200030302010300020f03011a0303011a0103
+011a0203011a0a0302020103020203030302010302020203010200030502050303020103020200030202010302020103020200030302010300022f03010c060a010d010c060a010d
+130302020003000200030002000300020003010204030202050302020103020200030202010302020103040203030202050302020403020201030202000302020603020204030202
+0103020201030202050304022103021a0103061a0403031a0203011a0503011a0703011a0103011a0803011a0403011a0303011a0103011a0f030202060305020203020204030702
+000302020003020201030202010302020103020207030202020307020103040215030202010302020003020201030202000301020003010200030102010305020403020202030202
+01030202010304021003011a0303011a0103011a0f0302020103020201030502010302020503040204030502010302020003020201030702010304023003010c060a010d010c060a
+010d13030102000300020003000200030002000302020403020201030102010302020103020200030202010302020003000201030302020302020503020204030202010302020003
+02020603020204030202010302020103020204030002010303021c03001a0303011a0103011a0703011a0103011a0203011a0503011a0703011a0103011a0803011a0403011a0303
+011a0103011a0f0302020503020200030202020302020403020206030402020302020103020201030202070302020203020205030002010303021403020201030202000302020103
+0202000301020003010200030102000302020003020204030202020302020103020200030002010303020f03011a0303011a0103011a0f0302020103020200030202000302020103
+020205030202000301020203020200030202020304020203020205030002010303022f03010c060a010d010c060a010d130302020003000200030002000300020003010204030202
+010301020103020201030202000302020103020200030202000302020203020200030102020302020403020200030302000303020103010201030202000301020103020201030202
+0103020204030202000302021c03011a0303001a0103011a0603011a0203011a0203011a0503011a0303001a0203011a0103011a0803011a0403011a0303011a0103011a0f030302
+010301020003020200030202020302020003010201030302010301020003030204030202010302020103020207030202020303020103010200030202000302021403020201030202
+0003020201030202000301020003010200030102000302020003020204030202020302020103020200030202000302020f03011a0303011a0103011a0f0302020003030200030202
+0003020201030302010301020003020200030202010302020003020201030302040303020103010200030202000302022f03010c060a010d010c060a010d13030b02040306020203
+050200030302000303020003060202030502010304020303070201030602010305020203050201030402030306021c03021a0103011a0203011a0203001a0103011a0103021a0203
+011a0603011a0103011a0203011a0103011a0803011a0503011a0103011a0203011a1003060200030702010305020203060200030602020305020103040204030602010306020003
+06020403001a0f030602010305020103010200030102000301020003070201030a0200030302000306020403001a0a03011a0103011a0203011a0f03060201030702010306020003
+020201030202000307020003060202030602000306022f03010c060a010d010c060a010d13030b020503040204030302010303020003030200030002000303020403030202030402
+04030302000301020203040203030302040303020203040203030002000303021d03001a0003031a0403031a0303021a0103011a0003041a0503031a0203021a0003031a0603031a
+0503031a0203041a0f03040202030202000302020203030204030402020306020203030202030402040306020203040201030002000303020403021a0f0302020003010202030302
+020301020003010200030102010302020003020201030a020003030200030002000303020403021a0a03031a0203041a0d0305020303020200030202020304020103020201030202
+0103020200030202010306020203040201030002000303023003010c060a010d010c060a010dff032f030202010302023003011a4f03011a2403020229030202010302024003010c
+060a010d010c060a010dff032f0307023003011a4f03011a24030202290307024003010c060a010d010c060a010dff03300305023003011a4f03011a24030402290305024103010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010d250305022803000207030102ff03f703010c060a010d010c060a010d13030b02040307022603010206030302
+4b03031a0003001a2503021a0d03031a4803001a0703001aff031603010c060a010d010c060a010d13030b02040302020103020226030102070301024b03011a0103021a2603011a
+0c03011a0103011a4703001a0603021aff031503010c060a010d010c060a010d13030102000300020003000200030002000302020403020201030202250302025503001a0303011a
+2603011a0c03011a0103011a4603011a0703001aff031603010c060a010d010c060a010d130302020003000200030002000300020003010204030202010302020003010200030302
+03030302020302020103010202030402020306020203040204030302010303020003020202030302000300022e03011a0303001a2603011a0c03011a4a03011aff031f03010c060a
+010d010c060a010d13030102000300020003000200030002000302020403020201030202000307020103050201030702000306020103060202030402030305020003080200030602
+2e03021a0703031a0303041a0203011a0003031a0303031a0303041a0903011a0603031a0203011a0003031a0803031a0203011a0003021a0403031a0203011a0003031a0203041a
+0203061a0203031a0503031a0203011a0003021a0303031a0003001af803010c060a010d010c060a010d130302020003000200030002000300020003010204030202010302020003
+030200030202000302020103020201030602000301020103020202030202070302020203020201030202000303020003020200030202000302022f03031a0403011a0103011a0103
+011a0203011a0203021a0103011a0103011a0103011a0203021a0003011a0703041a0303011a0103011a0203021a0103011a0603011a0103011a0203021a0003011a0203011a0103
+011a0203021a0103011a0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011af803010c060a010d010c060a010d1303010200030002
+000300020003000200030202040302020103020200030202010302020003020201030202010303020003010203030302020302020703020202030202010302020003020201030202
+00030302010300023003031a0203011a0203011a0103011a0203011a0203011a0203011a0003011a0203011a0203011a0103011a0803011a0403011a0303011a0103011a0203011a
+0503011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0103011a0303001a
+f803010c060a010d010c060a010d13030202000300020003000200030002000301020403020201030202000302020103020200030702010302020503050202030202070302020203
+0202010302020003020201030202010304023303021a0103061a0403031a0203011a0503011a0703011a0103011a0803011a0403011a0303011a0103011a0a03011a0303011a0103
+011a0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0203021afb03010c060a010d010c060a010d130301020003000200030002
+000300020003020204030202010302020003020201030202000302020603020204030202000302020203020207030202020302020103020200030202010302020003000201030302
+2e03001a0303011a0103011a0703011a0103011a0203011a0503011a0703011a0103011a0803011a0403011a0303011a0103011a0a03011a0303011a0103011a0203011a0003011a
+0703011a0603011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403021af903010c060a010d010c060a010d130302020003000200030002000300020003
+010204030202010302020003020200030302000303020103010201030202040302020003020202030202000301020403020202030202010302020003020201030202000302020003
+02022e03011a0303001a0103011a0603011a0203011a0203011a0503011a0303001a0203011a0103011a0803011a0403011a0303011a0103011a0a03011a0303011a0103011a0203
+011a0003011a0703011a0503011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0103001a0303011af803010c060a010d010c060a010d13030b0204030702
+000306020203060200030402030307020103050202030602010305020003030200030302000306022e03021a0103011a0203011a0203001a0103011a0103021a0203011a0603011a
+0103011a0203011a0103011a0803011a0503011a0103011a0203011a0b03011a0103011a0203011a0103011a0203011a0203001a0203011a0503011a0103021a0303011a0103001a
+0403011a0403011a0103011a0203011a0103011a0103011a0203011af803010c060a010d010c060a010d13030b020503050201030502040304020103040204030202000302020203
+03020303060202030302010303020003030200030002000303022f03001a0003031a0403031a0303021a0103011a0003041a0503031a0203021a0003031a0603031a0503031a0203
+041a0a03031a0303041a0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a0003001a0003031af903010c060a010d010c060a010d2d030202
+df03011aff034403010c060a010d010c060a010d2d030202df03011aff034403010c060a010d010c060a010d2c030402dd03031aff034303010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010d250303020603000207030002100301020203030211030002ff03ef03010c060a010d010c060a010d13030b020503030205030102060301020f03
+030201030302100301024403031a0003001a2503021a0d03031a2403001a0703001a1003001a0403021a1103001aff030d03010c060a010d010c060a010d13030b02060302020503
+0102060301021003010203030202100301024303011a0103021a2603011a0c03011a0103011a2303001a0703001a0f03021a0403011a1103001aff030d03010c060a010d010c060a
+010d1303010200030002000300020003000200030202050304020303020205030202160302020f0302024303001a0303011a2603011a0c03011a0103011a2203011a0603011a1003
+001a0503011a1003011aff030d03010c060a010d010c060a010d13030202000300020003000200030002000301020503040202030602010306020103020201030102020304020203
+05020203020200030302000306020303030203030302000300022e03011a0303001a2603011a0c03011a2603011a0603011a1703011a1003011aff030d03010c060a010d010c060a
+010d13030102000300020003000200030002000302020503010200030102020306020103060201030702010304020203060201030202000303020003060202030502010306022e03
+021a0703031a0303041a0203011a0003031a0303031a0303041a0903011a0603031a0203011a0003031a0703041a0203061a0103061a0103011a0003031a0203031a0403041a0203
+021a0003021a0103061a0303031a0303031a0003001af803010c060a010d010c060a010d130302020003000200030002000300020003010205030102000302020203020205030202
+05030602030302020203030200030202000302020103020201030202040302020103020200030202000302022f03031a0403011a0103011a0103011a0203011a0203021a0103011a
+0103011a0103011a0203021a0003011a0703041a0303011a0103011a0203021a0103011a0503011a0203011a0303011a0603011a0503021a0103011a0303011a0403021a0003011a
+0203011a0103011a0303011a0503011a0103011a0103011a0203011af803010c060a010d010c060a010d130301020003000200030002000300020003020205030102010301020203
+0202050302020503030200030102030302020203020201030202000302020103020201030202040302020103020200030302010300023003031a0203011a0203011a0103011a0203
+011a0203011a0203011a0003011a0203011a0203011a0103011a0803011a0403011a0303011a0103011a0203011a0503011a0203011a0303011a0603011a0503011a0203011a0303
+011a0403011a0203011a0103011a0103011a0303011a0403011a0203011a0103011a0303001af803010c060a010d010c060a010d1303020200030002000300020003000200030102
+0403060202030202050302020503020207030202020302020103020200030202010302020103020204030702010304023303021a0103061a0403031a0203011a0503011a0703011a
+0103011a0803011a0403011a0303011a0103011a0d03031a0303011a0603011a0503011a0803011a0403011a0203011a0103011a0103011a0303011a0403061a0203021afb03010c
+060a010d010c060a010d1303010200030002000300020003000200030202040307020103020205030202050302020703020202030202010302020003020201030202010302020403
+020205030002010303022e03001a0303011a0103011a0703011a0103011a0203011a0503011a0703011a0103011a0803011a0403011a0303011a0103011a0b03011a0103011a0303
+011a0603011a0503011a0803011a0403011a0203011a0103011a0103011a0303011a0403011a0903021af903010c060a010d010c060a010d13030202000300020003000200030002
+000301020403010202030202010302020003010202030202000301020203020207030202020302020103020200030202000303020103020200030102010303020103010200030202
+000302022e03011a0303001a0103011a0603011a0203011a0203011a0503011a0303001a0203011a0103011a0803011a0403011a0303011a0103011a0a03011a0203011a0303011a
+0603011a0503011a0803011a0403011a0203011a0103011a0103011a0303011a0403011a0603001a0303011af803010c060a010d010c060a010d13030b0203030302000303020103
+050202030502010304020403060200030602010307020103050202030602000306022e03021a0103011a0203011a0203001a0103011a0103021a0203011a0603011a0103011a0203
+011a0103011a0803011a0503011a0103011a0203011a0a03011a0103021a0303011a0103001a0303011a0103001a0203011a0803011a0403021a0003011a0203011a0003021a0303
+011a0103001a0203011a0203001a0103011a0203011af803010c060a010d010c060a010d13030b020303030200030302020303020403030202030402040306020003010200030202
+0303030200030102020303020403040201030002000303022f03001a0003031a0403031a0303021a0103011a0003041a0503031a0203021a0003031a0603031a0503031a0203041a
+0903021a0103011a0303021a0503021a0203041a0403051a0103011a0003021a0403021a0003011a0303021a0403031a0203001a0003031af903010c060a010d010c060a010dff03
+ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03
+ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03
+ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d2503
+0302000301022e030402ff03f603010c060a010d010c060a010d13030b02040307022e0304024b03031a0003001a2503021a0d03031a2203031a0403031a0b03001a0403021a3103
+031a0903001a0403021a1c03021abb03010c060a010d010c060a010d13030b020403020200030302300302024a03011a0103021a2603011a0c03011a0103011a2303011a0603011a
+0b03001a0503011a3003011a0103011a0803001a0503011a1d03011abb03010c060a010d010c060a010d130301020003000200030002000300020003020204030202010302023003
+02024a03001a0303011a2603011a0c03011a0103011a2303011a0603011a0a03011a0503011a3003011a0103011a0703011a0503011a1d03011abb03010c060a010d010c060a010d
+1303020200030002000300020003000200030102040302020203010202030302010303020003020203030302020302020103010202030402050302024a03011a0303001a2603011a
+0c03011a2703011a0603011a0a03011a0503011a3003011a0b03011a0503011a1d03011abb03010c060a010d010c060a010d13030102000300020003000200030002000302020403
+02020603050200030802010305020103070200030602040302024a03021a0703031a0303041a0203011a0003031a0303031a0303041a0903011a0603031a0203011a0003031a0703
+041a0503011a0603011a0803061a0203041a0203011a0003031a0303031a0403031a0903031a0403011a0903061a0203041a0403031a0803041a0303041a0403031a0203021a0103
+021a0203031a9d03010c060a010d010c060a010d13030202000300020003000200030002000301020403020205030202010302020003030200030202000302020103020201030602
+0003010201030202040302024b03031a0403011a0103011a0103011a0203011a0203021a0103011a0103011a0103011a0203021a0003011a0703041a0303011a0103011a0203021a
+0103011a0503011a0203011a0403011a0603011a0a03011a0503021a0003011a0203021a0103011a0103011a0103011a0203011a0103011a0703011a0103011a0203041a0903011a
+0503021a0003011a0203011a0103011a0603011a0203011a0203021a0003011a0203011a0103011a0203011a0203001a0203011a0103011a9c03010c060a010d010c060a010d1303
+0102000300020003000200030002000302020403020200030302000302020103020200030202010302020003020201030202010303020003010203030302040302024c03031a0203
+011a0203011a0103011a0203011a0203011a0203011a0003011a0203011a0203011a0103011a0803011a0403011a0303011a0103011a0203011a0503011a0203011a0403011a0603
+011a0a03011a0503011a0103011a0203011a0203011a0003011a0203011a0103011a0203011a0603011a0303011a0203011a0b03011a0503011a0103011a0103011a0203011a0603
+011a0203011a0203011a0203011a0003011a0303011a0103011a0203001a0103011a0203011a9c03010c060a010d010c060a010d1303020200030002000300020003000200030102
+0403020200030302000307020003020201030202000307020103020205030502040302024e03021a0103061a0403031a0203011a0503011a0703011a0103011a0803011a0403011a
+0303011a0103011a0d03031a0403011a0603011a0a03011a0503011a0103011a0203011a0503061a0103061a0603011a0303011a0203011a0b03011a0503011a0103011a0103061a
+0903031a0203011a0203011a0003011a0303011a0203011a0003001a0203061a9c03010c060a010d010c060a010d1303010200030002000300020003000200030202040302020103
+020200030202050302020103020200030202060302020403020200030202040302024a03001a0303011a0103011a0703011a0103011a0203011a0503011a0703011a0103011a0803
+011a0403011a0303011a0103011a0b03011a0103011a0403011a0603011a0a03011a0503011a0103011a0203011a0503011a0603011a0b03011a0303011a0203011a0b03011a0503
+011a0103011a0103011a0c03011a0103011a0203011a0203011a0003011a0303011a0203011a0003001a0203011aa103010c060a010d010c060a010d130302020003000200030002
+00030002000301020403020200030302000303020103010200030202010302020003030201030102010302020403020200030202040302024a03011a0303001a0103011a0603011a
+0203011a0203011a0503011a0303001a0203011a0103011a0803011a0403011a0303011a0103011a0a03011a0203011a0403011a0603011a0a03011a0503011a0103011a0203011a
+0503011a0603011a0b03011a0303011a0203011a0b03011a0503011a0103011a0103011a0b03011a0203011a0203011a0203011a0003011a0303011a0203031a0203011aa103010c
+060a010d010c060a010d13030b020403070201030a0200030302010306020003040203030702010306024803021a0103011a0203011a0203001a0103011a0103021a0203011a0603
+011a0103011a0203011a0103011a0803011a0503011a0103011a0203011a0a03011a0103021a0403011a0603011a0a03011a0103001a0203011a0103011a0203011a0603011a0203
+001a0203011a0203001a0703011a0103011a0303011a0b03011a0103001a0203011a0103011a0203011a0203001a0603011a0103021a0203021a0003011a0203011a0103011a0403
+011a0403011a0203001a9c03010c060a010d010c060a010d13030b02050303020003010202030402000303020003030202030402010304020403020200030202010306024803001a
+0003031a0403031a0303021a0103011a0003041a0503031a0203021a0003031a0603031a0503031a0203041a0903021a0103011a0103051a0203051a0903021a0203021a0003031a
+0003041a0503031a0403031a0903031a0303031a0b03021a0203021a0003031a0203031a0803021a0103011a0003011a0003021a0403031a0503011a0503031a9d03010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010d240306023a0300021003000207030102ff03d303010c060a010d010c060a010d13030b0204030702380301020f030102060303022703031a0003001a2503021a0b03
+031a0603001a0403021a3203021a3a03001a1003001a0703001ace03010c060a010d010c060a010d13030b020503020200030202380301020f030102070301022703011a0103021a
+2603011a0d03011a0503021a0403011a3303011a3a03001a1003001a0603021acd03010c060a010d010c060a010d1303010200030002000300020003000200030202050302020003
+0202370302020e0302023103001a0303011a2603011a0d03011a0603001a0503011a3303011a3903011a0f03011a0703001ace03010c060a010d010c060a010d1303020200030002
+000300020003000200030102050302020003020202030302040302020003010200030202000303020003000200030102000301020303030201030302000302020103060202030402
+02030602020304020403030201030302000302021303011a0303001a2603011a0d03011a0d03011a3303011a3903011a0f03011ad703010c060a010d010c060a010d130301020003
+000200030002000300020003020205030202000302020103050202030602000302020003030200030702010305020003080200030602010306020103060202030402030305020003
+08021203021a0703031a0303041a0203011a0003031a0303031a0303041a0a03011a0403031a0403041a0203011a0003031a0203041a0203011a0003031a0103031a0003021a0703
+041a0303031a0403031a0203021a0003021a0103001a0003011a0003011a0303031a0203011a0003021a0203061a0203041a0203061a0203031a0503031a0203011a0003021aba03
+010c060a010d010c060a010d130302020003000200030002000300020003010205030202000302020003020201030202000303020003020200030202010302020003070200030202
+0103020200030302000302020103020204030102010302020203020207030202020302020103020200030302000302021303031a0403011a0103011a0103011a0203011a0203021a
+0103011a0103011a0103011a0203021a0003011a0903011a0603011a0403021a0003011a0203021a0103011a0003011a0203011a0203021a0103011a0103011a0203001a0703011a
+0003021a0203011a0103011a0203011a0103011a0203011a0103011a0103011a0003011a0003011a0103011a0103011a0203011a0103011a0303011a0403011a0203011a0303011a
+0703011a0403011a0103011a0203011a0103011ab903010c060a010d010c060a010d1303010200030002000300020003000200030202050302020003020200030202010302020003
+020202030102000302020103020200030102000301020003010200030202010302020003020201030202010302020703030202030202070302020203020201030202000302020103
+02021403031a0203011a0203011a0103011a0203011a0203011a0203011a0003011a0203011a0203011a0103011a0903011a0603011a0403011a0203011a0103011a0203011a0003
+011a0203011a0203011a0203011a0103011a0203001a0603011a0203011a0103011a0303011a0003011a0203011a0203011a0103011a0103011a0003011a0003011a0003011a0203
+011a0203011a0103011a0303011a0403011a0203011a0303011a0703011a0303011a0303011a0103011a0103011ab903010c060a010d010c060a010d130302020003000200030002
+000300020003010205030202000302020003020201030202000302020503020201030202000301020003010200030102000307020003020201030202010302020503050202030202
+07030202020302020103020200030202010302021603021a0103061a0403031a0203011a0503011a0703011a0103011a0903011a0603011a0403011a0203011a0103011a0803031a
+0203011a0703011a0003001a0703011a0203011a0103011a0303011a0003011a0703011a0103011a0103011a0003011a0003011a0003061a0203011a0103011a0303011a0703031a
+0303011a0703011a0303011a0303011a0103011a0103011ab903010c060a010d010c060a010d13030102000300020003000200030002000302020503020200030202000302020103
+020200030202050302020103020200030102000301020003010200030202050302020103020201030202040302020003020202030202070302020203020201030202000302020103
+02021203001a0303011a0103011a0703011a0103011a0203011a0503011a0703011a0103011a0903011a0603011a0403011a0203011a0103011a0603011a0103011a0203011a0703
+011a0003001a0703011a0203011a0103011a0303011a0003011a0703011a0103011a0103011a0003011a0003011a0003011a0703011a0103011a0303011a0503011a0103011a0303
+011a0703011a0303011a0303011a0103011a0103011ab903010c060a010d010c060a010d130302020003000200030002000300020003010205030202000302020003020201030202
+000303020103010200030202000303020003010200030102000301020003030201030102000302020103020201030202000301020103020200030202020302020003010204030202
+020302020103020200030202010302021203011a0303001a0103011a0603011a0203011a0203011a0503011a0303001a0203011a0103011a0903011a0603011a0403011a0203011a
+0103011a0503011a0203011a0203011a0803011a0803011a0203011a0103011a0303011a0003011a0303001a0203011a0103011a0103011a0003011a0003011a0003011a0703011a
+0103011a0303011a0403011a0203011a0303011a0703011a0303011a0303011a0103011a0103011ab903010c060a010d010c060a010d13030b020403070201030502020306020003
+070200030102000301020003010201030a0200030302010305020103070201030502020306020103050200030302000303021203021a0103011a0203011a0203001a0103011a0103
+021a0203011a0603011a0103011a0203011a0103011a0903011a0603011a0403021a0003011a0203011a0503011a0103021a0203011a0803011a0903011a0003021a0203011a0103
+011a0203011a0103011a0203011a0003021a0103011a0003011a0003011a0103011a0203001a0203011a0103011a0303011a0103001a0103011a0103021a0303011a0103001a0403
+011a0403011a0103011a0203011a0103011ab903010c060a010d010c060a010d13030b02040306020303030204030402020303020003010200030102000301020003010202030402
+000303020003030202030302030302020003020202030302030306020203030201030302000303021203001a0003031a0403031a0303021a0103011a0003041a0503031a0203021a
+0003031a0603051a0203051a0103011a0003021a0203041a0403021a0103011a0003041a0603001a0b03021a0003011a0203031a0403031a0403021a0003011a0003011a0003011a
+0003011a0203031a0203021a0003031a0303021a0303021a0103011a0303021a0303051a0303031a0203021a0003031ab803010c060a010d010c060a010dff031f03001aff033603
+010c060a010d010c060a010dff031c03001a0003001aff033703010c060a010d010c060a010dff031c03021aff033703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010d25030202000301021d0304020e030002ff03f803010c060a010d010c060a010d13030b02040306021d0304020d0301024e03021a0403031a0403031a1403031a0903
+001a0403021a1c03021aff034803010c060a010d010c060a010d13030b0204030202000302021f0302020d0301024f03011a0603011a0603011a1303011a0103011a0803001a0503
+011a1d03011aff034803010c060a010d010c060a010d130301020003000200030002000300020003020204030202010301021f0302020c0302024f03011a0603011a0603011a1303
+011a0103011a0703011a0503011a1d03011aff034803010c060a010d010c060a010d1303020200030002000300020003000200030102040302020103010203030302020300020003
+0102000301020103010200030302040302020403030202030602030303024303031a0503011a0603011a1303011a0b03011a0503011a1d03011aff034803010c060a010d010c060a
+010d130301020003000200030002000300020003020204030202060305020103070200030702030302020303050201030602020305024203001a0003011a0503011a0603011a0a03
+031a0403011a0903061a0203041a0403031a0803041a0303041a0403031a0203021a0103021a0203031aff032a03010c060a010d010c060a010d1303020200030002000300020003
+0002000301020403020205030202010302020003070200030302000302020303020202030202010302020103020204030202010302024103001a0003011a0503011a0603011a0903
+011a0103011a0203041a0903011a0503021a0003011a0203011a0103011a0603011a0203011a0203021a0003011a0203011a0103011a0203011a0203001a0203011a0103011aff03
+2903010c060a010d010c060a010d13030102000300020003000200030002000302020403020205030202010302020003010200030102000301020003020201030202030302020203
+0202010302020103020204030202010302024103001a0103011a0403011a0603011a0803011a0303011a0203011a0b03011a0503011a0103011a0103011a0203011a0603011a0203
+011a0203011a0203011a0003011a0303011a0103011a0203001a0103011a0203011aff032903010c060a010d010c060a010d13030202000300020003000200030002000301020403
+020205030202010302020003010200030102000301020003020201030202030302020203070201030202040307024003051a0403011a0603011a0803011a0303011a0203011a0b03
+011a0503011a0103011a0103061a0903031a0203011a0203011a0003011a0303011a0203011a0003001a0203061aff032903010c060a010d010c060a010d13030102000300020003
+00020003000200030202040302020103010201030202010302020003010200030102000301020003020201030202030302020203020206030202040302024503001a0203011a0403
+011a0603011a0803011a0303011a0203011a0b03011a0503011a0103011a0103011a0c03011a0103011a0203011a0203011a0003011a0303011a0203011a0003001a0203011aff03
+2e03010c060a010d010c060a010d13030202000300020003000200030002000301020403020201030102010302020103020200030102000301020003010200030202000303020303
+02020203030201030102010302020003010201030302010301024003001a0303011a0303011a0603011a0803011a0303011a0203011a0b03011a0503011a0103011a0103011a0b03
+011a0203011a0203011a0203011a0003011a0303011a0203031a0203011aff032e03010c060a010d010c060a010d13030b0204030602020305020103010200030102000301020003
+0602020306020103060201030502020306023f03011a0303011a0303011a0603011a0903011a0103011a0303011a0b03011a0103001a0203011a0103011a0203011a0203001a0603
+011a0103021a0203021a0003011a0203011a0103011a0403011a0403011a0203001aff032903010c060a010d010c060a010d13030b02050304020403030202030102000301020003
+010200030502030306020203040203030302040304024003021a0103021a0103051a0203051a0803031a0303031a0b03021a0203021a0003031a0203031a0803021a0103011a0003
+011a0003021a0403031a0503011a0503031aff032a03010c060a010d010c060a010d3f030202ff03ff031403010c060a010d010c060a010d3f030202ff03ff031403010c060a010d
+010c060a010d3e030402ff03ff031303010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d000c090dff03ff035703010c080d090c000dff03ff035703090c000d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d
+010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-comsearch.ps b/books/ps/h-comsearch.ps
new file mode 100644
index 0000000..62f65d5
--- /dev/null
+++ b/books/ps/h-comsearch.ps
@@ -0,0 +1,1480 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:14:32 1991
+%%Title: h-comsearch.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-comsearch.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+002010400020107000201490059010000ff010401060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+00201040002010700020149004501000003010700040101001c01000010010000
+300100000d0102003b0100005501060002010400020102000201030002010200040101000401020
+00201280000011d00011206010111011206010111050002010d00020100000201
+050002010700020149004401010003010700030101001d0100000f0102002f0100000e010100290
+100000f0102005401060002010400020102000201030002010200040101000401
+02000201260004011b00011206010111011206010111050002010d0002010000020105000201070
+002014900430102000301000004010000030101001d010100100100002f010100
+0e0101000d01010019010000100100000f010100430106000201040002010200020103000201020
+00b0102000201240008011900011206010111011206010111050002010e000401
+060002010700020149004201030008010000030101001e010100410101000e0101000d010100180
+10100210101004301060002010400020102000201030002010200020100000301
+000002010200020122000c011700011206010111011206010111050008010800040106000201070
+0020149004401010007010100030101000c010300020101000001020002010600
+0101010000010300020103000501030003010300000100000601000000010100000101000201040
+00201060003010300030104000701010000010000010101000001010002010100
+0301030003010500010101000101020002010300040101000201010000010100000100000101010
+0400106000a010200020103000201020002010000030100000201020007011b00
+1001150001120601011101120601011105000901080002010700020107000201490044010100060
+10100030101000c01010001010100020101000101010003010100050102000101
+0100030101000401010001010100010101000201010006010100000101000001010000010100020
+10100030101000501010001010100020102000001010006010200000107000001
+0300010101000101010003010100030100000001020001010100030101000301000000010100000
+101000101020000010300400106000a0102000201030002010200020101000101
+0100020102000801180014011300011206010111011206010111050009010800020107000201070
+00201490044010100060101000301010000010200070101000201010002010100
+0101010003010100050101000201010003010100030101000201010001010100030100000601010
+00001010000010100000101000201010003010100040101000201010002010100
+0101010008010000000100000301000000010000000100000001010005010100030101000501020
+00101010002010100060103000401000000010000430106000a01020002010300
+0201020002010100010101000201020008011600180111000112060101110112060101110500020
+10e00040106000201070002014900440101000501010004010200010101000601
+0600020101000101010003010100050101000801010003010600020102000901010000010100000
+10100030103000301010004010100070101000101010006010100000101000301
+0000000101000101010002010300040101000501010007010100070102000201010000010100430
+10600020104000201020002010300020102000201050002010200020121000e01
+1600011206010111011206010111050002010e00040106000201070002014900440101000501010
+00401010003010100050101000701010001010100030101000501010008010100
+0301010009010200070101000001010000010100010101000101010003010100040101000701010
+00101010005010100020101000101010000010100000101000101010001010100
+0301010006010100070101000601020002010100020101004201060002010400020102000201030
+0020102000201050002010200020121000e011600011206010111011206010111
+050002010d000201000002010500020107000201490044010100040102000401010003010100050
+10100070101000101010003010100050101000801010003010100060100000301
+0100060101000001010000010100000101000201010003010100040101000301000002010100010
+10100050101000201010001010100000100000101010000010100020101000301
+0100050101000701010006010100000101000101010002010100420106000201040002010200020
+10300020102000201050002010200020121000e01160001120601011101120601
+0111050002010d00020100000201050002010700020149004401010004010100050101000301010
+00601010002010000020101000101010003010100010100000201010008010100
+0401010002010000010101000201010006010100000101000001010000010100010102000301010
+001010000020101000101010002010100010101000e0100000101000001010000
+0101010001010200000100000101010001010000020101000701010001010000030100000101010
+00001000049010600020104000201020002010300020102000201050002010200
+020121000e011600011206010111011206010111050002010c00020102000201040002010700020
+14900430104000201010006010100010101000801030002010200000103000301
+0200020104000401050003010300020100000001030007010100000101000001010001010200010
+10100030102000401030002010200000103000d01000004010000020102000101
+010003010200030101000801020002010100030101004a010600020104000201020002010300020
+102000201050002010200020121000e0116000112060101110112060101110500
+02010c00020102000201040002010700020149004201050002010000080103008c0100007701060
+00201040002010200020103000201020002010500020102000201470001120601
+0111011206010111050002010b0002010400020103000201070002014900ff015f0106000201040
+00201020002010300020102000201050002010200020147000112060101110112
+0601011105000901040002010400020103000201070002014900ff015f010600020104000201020
+00901020002010500020102000801410001120601011101120601011105000a01
+020002010600020102000201070002014900ff015f0106000201040002010300080102000201050
+00201020009014000011206010111011206010111060009010300010107000101
+03000101080001014900ff015f01070001010500010104000601040001010600010103000801400
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b00ff015f017b000112060101110112060101117b00ff015f017b0001120601011101120601011
+17b00ff015f017b00011206010111011206010111ff00ff005700011206010111
+011206010111ff00ff005700011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff0140011600011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff0140010b0
+000010900011206010111011206010111ff01ff0140010a000201080001120601
+0111011206010111ff01ff014001090004010700011206010111011206010111ff01ff014001080
+006010600011206010111011206010111ff01ff01400107000801050001120601
+0111011206010111ff01ff01400106000a010400011206010111011206010111ff01ff014001050
+00c010300011206010111011206010111ff01ff01400104000e01020001120601
+0111011206010111ff01ff014001030010010100011206010111011206010111ff01ff014001020
+012010000011206010111011206010111ff01ff01400116000112060101110112
+06010111ff01ff0140011600011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff0140011600011206010111011206010111ff01ff0140011600
+01120601011101120601011117010200000100001e010000220100000a010300000100004601040
+0030105004d0100000d010200ff01180116000112060101110112060101111601
+0100000102001e0100002201000009010100010102004501010001010200020104004e0100000e0
+10100ff011801160001120601011101120601011115010100020101001d010100
+210101000901000003010100450100000301010002010000510101000e010100ff0118011600011
+20601011101120601011115010100030100001d01010021010100090101000301
+00004a01010002010000510101000e010100ff01180116000112060101110112060101111501010
+00301000002010300020101000001020003010300000100000101060001010100
+0001030001010200000102000301030002010600060102000501020000010200010100000001010
+00001010001010000000101000001010002010400020101000001030001010300
+00010200030100000d0101000301000000010200070101000001020003010400020100000001010
+00001010003010300030103000001000006010000000101000001010002010400
+02010600030103000301040005010000ff010e01020000010100000101000001010000010100000
+10100000101000001000001120601011101120601011115010100060101000101
+0100020101000101010001010100020101000301010005010200010101000101010001010100020
+1010001010100030101000a010300040101000101010001010100000101000001
+0100000101000001010000010100000101000201010002010200010101000101010002010000030
+102000a0102000401010001010100070101000101010001010100020101000101
+0100000101000001010001010100010101000101010002010100060101000001010000010100000
+1010002010100030101000501010001010100020102000001010003010200ff01
+0d01160001120601011101120601011115010100050101000301010001010100010101000101010
+00301000003010100050101000201010001010100010101000101010002010100
+030101000b010300030101000101010001010100000101000001010000010100000101000001010
+0000101000201010002010100020101000101010002010000040100000d010100
+0301000003010100060101000101010001010100020101000101010000010100000101000001010
+00201010001010100030100000601010000010100000101000001010002010100
+030101000401010002010100020101000101010004010000ff010e0103000001010000010100000
+10100000101000001010000010100000101120601011101120601011115010100
+0501010003010100010101000101010002010200060101000501010006010100010101000101010
+0080101000d010200020101000101010001010100000101000001010000010100
+0001010000010100030103000201010007010100000100001501010007010100060101000101010
+00401030001010100000101000001010000010600020102000901010000010100
+000101000301030003010100040101000701010001010100ff01140102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101111501
+0100030100000001010003010100010101000101010004010200040101000501010006010100010
+10100010101000801010009010000030101000201010001010100010101000001
+0100000101000001010000010100000101000101010001010100020101000701010000010000150
+10100070101000601010001010100020101000101010001010100000101000001
+0100000101000901020007010100000101000001010001010100010101000301010004010100070
+1010001010100ff01140116000112060101110112060101111501010003010000
+0001010003010100010101000101010001010000030101000301010005010100060101000101010
+00101010003010000030101000901010003010000020101000101010001010100
+0001010000010100000101000001010000010100000101000201010002010100080101001601010
+00701010006010100010101000101010002010100010101000001010000010100
+0001010006010000030101000601010000010100000101000001010002010100030101000401010
+0030100000201010001010100ff01140103000001010000010100000101000001
+0100000101000001010000010112060101110112060101111601010001010100010101000101010
+00201010001010100010101000201010003010100010100000201010006010100
+0001020002010100010101000301010001010000060102000101010002010100000102000101010
+00001010000010100000101000001010000010100000101000101020002010100
+0801010006010000090100000301010001010000030101000701010001010100010101000101020
+00101010000010100000101000101010002010000010101000201010006010100
+0001010000010100000101000101020003010100010100000201010001010100020101000101010
+004010000ff010e01020000010100000101000001010000010100000101000001
+0100000100000112060101110112060101111701030003010300020102000001030000010000000
+10300050102000201040005010200000101000201030005010200070100000001
+0300040102000001010000010100000101000001010000010100000101000001010001010200010
+10100000104000601000006010200080101000101010002010100010101000701
+0200000103000101020001010100000101000001010000010100020103000201000000010300070
+10100000101000001010001010200010101000301020004010300020102000001
+030002010200ff010d011600011206010111011206010111a3010000070100000a0103000401030
+06a010000ff010e01030000010100000101000001010000010100000101000001
+01000001011206010111011206010111a001000000010000ff019c0102000001010000010100000
+1010000010100000101000001010000010000011206010111011206010111a001
+0200ff019c011600011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111ff01ff0140011600011206010111011206010111ff01ff01400103000001
+010000010100000101000001010000010100000101000001011206010111011206010111ff01ff0
+14001020000010100000101000001010000010100000101000001010000010000
+011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff0140010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+1011101120601011125010b0006010300040105003f010000ff01b70102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111250
+10b00050100000201010003010000000102003701000006010200ff01b6011600
+01120601011101120601011125010100000100000001000000010000000102000a0101000101000
+03c01000007010000ff01b7010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111250102000001000000010000000100000001010
+00a010100010100003b010100ff01c00102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111250101000001000000010000000
+10000000102000a010100000104000b0102000301010000010100040103000201
+01000101020003010300030105000201030006010200020101000101010004010300ff019b01160
+00112060101110112060101112501020000010000000100000001000000010100
+0901020000010000020101000801010001010100010100000001010000010100010102000101010
+00001000000010200010101000101010001010100030101000701010004010100
+010101000001000000010000000103000101020001010100ff019a0103000001010000010100000
+10100000101000001010000010100000101120601011101120601011125010100
+0001000000010000000100000001020008010200060101000701010001010100030101000001010
+00101010002010100020102000101010005010100030101000601010005010100
+0101010002010200000101000101010002010000ff019b010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111250102000001
+0000000100000001000000010100070102000701010006010100020101000301000001010100000
+10100020101000301010007010300040101000601010004010100020101000201
+01000101010002010100ff019e01160001120601011101120601011125010100000100000001000
+00001000000010200060101000901010006010100020101000201010001010100
+0001040005010100050101000101010003010100070101000401010002010100010101000201000
+004010200ff019c01030000010100000101000001010000010100000101000001
+0100000101120601011101120601011125010200000100000001000000010000000101000501000
+00b01010006010100010101000301010000010100010101000701010005010100
+020101000301010006010100050101000101010002010100010101000201000002010100ff019b0
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011125010b00040100000401000005010200060101000101010003010100000
+10100020101000201000002010100050101000101020000010000010101000101
+00000301010001010000020101000101010002010100010101000001020001010200ff019b01160
+001120601011101120601011125010b0003010700000100000201020008010200
+0401040004010300030101000601020001010100030102000501020004010200030101000301010
+001010300ff019d01030000010100000101000001010000010100000101000001
+01000001011206010111011206010111350106000201030012010100ff01e701020000010100000
+10100000101000001010000010100000101000001000001120601011101120601
+011156010100ff01e701160001120601011101120601011155010300ff01e601030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff0140010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff014001020000010100000101000001010000010100000101000001
+010000010000011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff0140010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111ff01ff014001020000010100000101000001
+01000001010000010100000101000001000001120601011101120601011125010b00060103004a0
+10000ff01b701160001120601011101120601011125010b000501000002010100
+1c0100002a010200ff01b6010300000101000001010000010100000101000001010000010100000
+10112060101110112060101112501010000010000000100000001000000010200
+090101001c0100002b010000ff01b70102000001010000010100000101000001010000010100000
+10100000100000112060101110112060101112501020000010000000100000001
+000000010100090101001b010100ff01e4011600011206010111011206010111250101000001000
+00001000000010000000102000801010009010300040103000301050003010300
+0501020000010000030102000201010001010200020103000501030004010300ff01a4010300000
+10100000101000001010000010100000101000001010000010112060101110112
+0601011125010200000100000001000000010000000101000601020008010200010101000201010
+00101010003010100040102000101010003010100000102000101010001010100
+0001000000010200010101000301010003010200010101000101020001010100ff01a3010200000
+10100000101000001010000010100000101000001010000010000011206010111
+0112060101112501010000010000000100000001000000010200070101000801010002010000070
+10100030101000401010002010100020101000201000002010100010101000201
+0200010101000201010004010100020101000101010002010000ff01a4011600011206010111011
+20601011125010200000100000001000000010000000101000801010006010100
+0901030004010100030101000201010003010100010101000101010002010100020101000701010
+0030101000201010003010100ff01a70103000001010000010100000101000001
+0100000101000001010000010112060101110112060101112501010000010000000100000001000
+00001020008010100060101000701010001010100030101000401040005010400
+020101000201010002010100070101000301040006010200ff01a50102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101112501
+0200000100000001000000010000000101000801010006010100060101000201010003010100040
+10100070101000601010001010100020101000701010004010100070100000201
+0100ff01a401160001120601011101120601011125010b000801010007010100020100000101010
+00101020000010000010101000101000002010100020100000201040003010100
+0101010002010100070101000101000002010100020100000101010001010200ff01a4010300000
+10100000101000001010000010100000101000001010000010112060101110112
+0601011125010b00030100000201010009010300030102000101010003010200040103000401040
+00301020004010100080102000401030003010300ff01a6010200000101000001
+01000001010000010100000101000001010000010000011206010111011206010111360103002d0
+1000003010000ff01d10116000112060101110112060101116701010002010100
+ff01d10103000001010000010100000101000001010000010100000101000001011206010111011
+20601011168010400ff01d2010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010200000101000001
+01000001010000010100000101000001010000010000011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ff01ff01400102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+0601011138010100030101000c010000100101000d010200000101000d010000ae0103000001010
+02d010100030101000c010000100101000d010200000101000d0100008b011600
+01120601011101120601011138010100030101000b0101000f0103000b0106000c010100ad01070
+02d010100030101000b0101000f0103000b0106000c0101008b01030000010100
+0001010000010100000101000001010000010100000101120601011101120601011138010200010
+102000b010100100101000c010200000102000c010100ad010200010102002d01
+0200010102000b010100100101000c010200000102000c0101008b0102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101113801
+0200010102000a0102001f010200010101000b010200ad010200020101002d010200010102000a0
+102001f010200010101000b0102008b0116000112060101110112060101113801
+0700010104000201060001010200010101000201040002010300000102000001020001010100020
+10400020106000301030003010400000100000201030002010200010101000101
+0300000102007c01030001010100020102000001010000010200000103000101040002010200010
+10100030103000201070001010400020106000101020001010100020104000201
+0300000102000001020001010100020104000201060003010300030104000001000002010300020
+102000101010001010300000102005a0103000001010000010100000101000001
+0100000101000001010000010112060101110112060101113801070000010600010106000101070
+00101040002010200010102000001020005010600010106000201050001010700
+010105000101070000010300000102007d010300040106000001020000010300000106000101070
+00101050001010700000106000101060001010700010104000201020001010200
+0001020005010600010106000201050001010700010105000101070000010300000102005a01020
+00001010000010100000101000001010000010100000101000001000001120601
+0111011206010111380107000001010001010200020102000501060003010200030102000001010
+00101020005010100010102000201020004010200010102000001020000010300
+00010200010102000101060000010200010102007e0103000201020001010200000102000101020
+00001010001010200020106000001020001010200000107000001010001010200
+0201020005010600030102000301020000010100010102000501010001010200020102000401020
+00101020000010200000103000001020001010200010106000001020001010200
+5a01160001120601011101120601011138010100000101000001010003010300020102000501030
+00001010003010200040103000201020008010300020102000401020001010200
+0001020000010200010102000101020001010300000101000101020000010100800103000101020
+00101020000010200010102000301030002010300000101000001020001010200
+0001010000010100000101000301030002010200050103000001010003010200040103000201020
+00801030002010200040102000101020000010200000102000101020001010200
+010103000001010001010200000101005b010300000101000001010000010100000101000001010
+00001010000010112060101110112060101113801010000010100000101000101
+0500020102000501020007010200040103000201020006010500020102000401070000010200000
+10200010102000101020001010200050105007d01010001010300000102000101
+0200000102000101020001010500020102000401070000010100000101000001010001010500020
+10200050102000701020004010300020102000601050002010200040107000001
+020000010200010102000101020001010200050105005b010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111380101000001
+0100000101000001020000010200020102000501020007010200040103000201020001010100010
+10200000102000201020004010200060104000201020001010200010102000601
+03007e0101000201020000010200010102000001020001010200000102000001020002010200040
+10200050101000001010000010100000102000001020002010200050102000701
+0200040103000201020001010100010102000001020002010200040102000601040002010200010
+1020001010200060103005c011600011206010111011206010111380101000301
+0100000102000001020002010200000101000201020007010200030101000001020001010200010
+10100010102000001020002010200000101000101030001010100000103000401
+02000101020001010200060103007e0102000101020000010300000102000001020000010300000
+10200000102000201020004010300010101000001010003010100000102000001
+0200020102000001010002010200070102000301010000010200010102000101010001010200000
+10200020102000001010001010300010101000001030004010200010102000101
+0200060103005c01030000010100000101000001010000010100000101000001010000010112060
+10111011206010111380102000101020000010700010105000101040004010600
+0001020001010200000106000101070001010500020106000001060002010500010104000601010
+07f01070001010600000107000001070000010400040106000001020001010200
+0001070001010500010104000401060000010200010102000001060001010700010105000201060
+0000106000201050001010400060101005d010200000101000001010000010100
+0001010000010100000101000001000001120601011101120601011138010200010102000101020
+00001020002010300020104000401060000010200000103000101040003010200
+000102000201030004010400020106000201030002010400050102007f010100000103000301050
+00101030000010100010102000001020000010400050104000101020001010200
+0101020000010200020103000201040004010600000102000001030001010400030102000001020
+00201030004010400020106000201030002010400050102005d01160001120601
+01110112060101119201020001010200130102008e0102007e01020001010200130102005e01030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011192010700120103008e0102007e010700120103005e0102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101119301
+0500130102008e0103007f010500130102005f011600011206010111011206010111ff01ff01400
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111ff01ff014001020000010100000101000001010000010100000101000001010
+000010000011206010111011206010111ff01ff01400116000112060101110112
+06010111ff01ff01400103000001010000010100000101000001010000010100000101000001011
+206010111011206010111ff01ff01400102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111ff01ff014001160001120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001020000010100000101000001010
+000010100000101000001010000010000011206010111011206010111ff01ff01
+4001160001120601011101120601011137010700160100002901040014010100030101000c01000
+0100101000d010200000101000d010000ff015801030000010100000101000001
+0100000101000001010000010100000101120601011101120601011137010800140101002901040
+014010100030101000b0101000f0103000b0106000c010100ff01580102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111380
+1020001010200140101002b01020014010200010102000b010100100101000c01
+0200000102000c010100ff015801160001120601011101120601011138010200010102001301020
+02b01020014010200010102000a0102001f010200010101000b010200ff015801
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+13801020000010200030103000401020000010100000106000201040001010300
+0001020002010400000100000001020000010300030102000301040002010200010101000101070
+00101040002010600010102000101010002010400020103000001020000010200
+0101010002010400020106000301030003010400000100000201030002010200010101000101030
+000010200ff012701020000010100000101000001010000010100000101000001
+0100000100000112060101110112060101113801050003010500020106000001060001010600000
+10800000107000001020000010300030102000201060001010700000107000001
+0600010106000101070001010400020102000101020000010200050106000101060002010500010
+1070001010500010107000001030000010200ff01270116000112060101110112
+0601011138010500020102000101020000010300000102000101020004010100010102000101030
+00001020000010200000103000001020001010200030102000201010001010200
+0201060000010700000101000101020002010200050106000301020003010200000101000101020
+00501010001010200020102000401020001010200000102000001030000010200
+01010200010106000001020001010200ff012701030000010100000101000001010000010100000
+10100000101000001011206010111011206010111380102000001020001010200
+0101020000010200020101000101020007010300010102000101020000010200000102000101020
+00101020003010200050103000201030000010100000101000001010000010100
+0301030002010200050103000001010003010200040103000201020008010300020102000401020
+00101020000010200000102000101020001010200010103000001010001010200
+00010100ff012801020000010100000101000001010000010100000101000001010000010000011
+20601011101120601011138010200000102000101070000010200060102000501
+0500010102000101020000010200000102000101020001010200030102000301050002010200040
+10100000101000001010001010500020102000501020007010200040103000201
+0200060105000201020004010700000102000001020001010200010102000101020005010500ff0
+12801160001120601011101120601011138010200000102000101020005010200
+0601020004010200000102000101020001010200010104000201020001010200030102000201020
+00001020002010200040101000001010000010100000102000001020002010200
+0501020007010200040103000201020001010100010102000001020002010200040102000601040
+002010200010102000101020006010300ff012901030000010100000101000001
+0100000101000001010000010100000101120601011101120601011138010200010102000001030
+00101010000010300010101000101020000010100010102000001020001010200
+0101020000010300040102000001030003010200020102000001020002010200040101000301010
+00001020000010200020102000001010002010200070102000301010000010200
+0101020001010100010102000001020002010200000101000101030001010100000103000401020
+0010102000101020006010300ff01290102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111370103000101020001010600010
+106000101050001010b0000010300000106000101070001010600000107000001
+0400030102000101020000010700010105000101040004010600000102000101020000010600010
+10700010105000201060000010600020105000101040006010100ff012a011600
+0112060101110112060101113701030001010200020104000301040003010300030102000001060
+00001030001010600010103000001010001010600010102000001020000010400
+0301020001010200010102000001020002010300020104000401060000010200000103000101040
+00301020000010200020103000401040002010600020103000201040005010200
+ff012a0103000001010000010100000101000001010000010100000101000001011206010111011
+2060101116e010200010102007e0102000101020013010200ff012b0102000001
+01000001010000010100000101000001010000010100000100000112060101110112060101116e0
+107007e01070012010300ff012b0116000112060101110112060101116f010500
+8001050013010200ff012c010300000101000001010000010100000101000001010000010100000
+1011206010111011206010111ff01ff0140010200000101000001010000010100
+00010100000101000001010000010000011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400102000001010000010100000
+1010000010100000101000001010000010000011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011125010b00060103000c0102001f010000ff01d2011600011206010111011
+20601011125010b0005010000020101000c0101001e010200ff01d10103000001
+0100000101000001010000010100000101000001010000010112060101110112060101112501010
+0000100000001000000010000000102000a0101000b0101001f010000ff01d201
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+1011125010200000100000001000000010000000101000a0101000a010100ff01
+f401160001120601011101120601011125010100000100000001000000010000000102000a01010
+00701010000010100040102000201010002010100030103000301030003010100
+0101010004010300ff01bf010300000101000001010000010100000101000001010000010100000
+10112060101110112060101112501020000010000000100000001000000010100
+0901020006010000010102000201010001010100000103000001030001010100010101000401010
+00201000000010000000103000101020001010100ff01be010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011125010100000
+10000000100000001000000010200080102000601010001010100030101000101
+0100010100000001000000010000000101000501010003010100050102000001010001010100020
+10000ff01bf011600011206010111011206010111250102000001000000010000
+0001000000010100070102000701010001010100020101000201010001010000000101000101010
+00201030004010100050101000101010002010100ff01c2010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111250101000001000
+00001000000010000000102000601010008010100020101000201010002010100
+000101000001010000010100010101000101010004010100040101000201000004010200ff01c00
+10200000101000001010000010100000101000001010000010100000100000112
+060101110112060101112501020000010000000100000001000000010100050100000a010100010
+10100030101000101010001010100000100000101010000010100020101000301
+010005010100010101000201000002010100ff01bf01160001120601011101120601011125010b0
+00401000004010000050101000001020000010000010101000101010001010000
+0101000001010000010101000101020000010000010101000101000002010100010101000001020
+001010200ff01bf01030000010100000101000001010000010100000101000001
+0100000101120601011101120601011125010b00030107000601020000010100030102000301000
+004010000020102000101010003010200020101000301010001010300ff01c101
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111350106001f010000ff01e2011600011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff014001020000010100000101000001010000010100000101000001
+010000010000011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff0140010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111ff01ff014001020000010100000101000001
+010000010100000101000001010000010000011206010111011206010111ff01ff0140011600011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+38010400060101000d010300000101002d010100030101000c010000100101007f0101000301010
+00c01000010010100e40116000112060101110112060101113801040005010300
+0b0107002d010100030101000b0101000f0103007e010100030101000b0101000f010300e301030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011139010200070101000c010200010102002d010200010102000b010100100101007f0
+10200010102000b01010010010100e40102000001010000010100000101000001
+01000001010000010100000100000112060101110112060101113901020016010200020101002d0
+10200010102000a01020092010200010102000a010200f7011600011206010111
+0112060101113901020005010400040103000201030001010100020102000001010000010200000
+10300010104000201020001010100030103000201070001010400020106000101
+0200010101000201040002010300000102007301070001010400020106000101020001010100020
+104000201030000010200d8010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111390102000501040003010500020103000401060
+00001020000010300000106000101070001010500010107000001060001010600
+0101070001010400020102000101020073010700000106000101060001010700010104000201020
+001010200d8010200000101000001010000010100000101000001010000010100
+0001000001120601011101120601011139010200070102000201020001010200020103000201020
+00101020000010200010102000001010001010200020106000001020001010200
+0001070000010100010102000201020005010600030102000301020000010100740107000001010
+0010102000201020005010600030102000301020000010100d901160001120601
+0111011206010111390102000701020002010200010102000301030001010200010102000001020
+00101020003010300020103000001010000010200010102000001010000010100
+0001010003010300020102000501030000010100030102000401030075010100000101000001010
+0030103000201020005010300000101000301020004010300da01030000010100
+0001010000010100000101000001010000010100000101120601011101120601011139010200070
+10200020107000001010001010300000102000101020000010200010102000101
+0500020102000401070000010100000101000001010001010500020102000501020007010200040
+10300750101000001010000010100010105000201020005010200070102000401
+0300da0102000001010000010100000101000001010000010100000101000001000001120601011
+10112060101113901020001010100030102000201020005010100020102000001
+0200010102000001020001010200000102000001020002010200040102000501010000010100000
+10100000102000001020002010200050102000701020004010300750101000001
+010000010100000102000001020002010200050102000701020004010300da01160001120601011
+10112060101113901020000010200030102000201030001010100000102000101
+0200000103000001020000010200000103000001020000010200020102000401030001010100000
+10100030101000001020000010200020102000001010002010200070102000301
+0100000102007401010003010100000102000001020002010200000101000201020007010200030
+1010000010200d901030000010100000101000001010000010100000101000001
+0100000101120601011101120601011138010700010106000101060000010700010106000001070
+00001070000010400040106000001020001010200000107000101050001010400
+0401060000010200010102007301020001010200000107000101050001010400040106000001020
+001010200d8010200000101000001010000010100000101000001010000010100
+0001000001120601011101120601011138010700010106000201040001010100000103000301050
+00101030000010100010102000001020000010400050104000101020001010200
+0101020000010200020103000201040004010600000102000001030073010200010102000101020
+0000102000201030002010400040106000001020000010300d801160001120601
+011101120601011161010200ff01db0103000001010000010100000101000001010000010100000
+10100000101120601011101120601011161010200ff01db010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011160010300ff0
+1db011600011206010111011206010111ff01ff01400103000001010000010100
+000101000001010000010100000101000001011206010111011206010111ff01ff0140010200000
+10100000101000001010000010100000101000001010000010000011206010111
+011206010111ff01ff0140011600011206010111011206010111ff01ff014001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff0140010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff014001020000010100000101000001010000010100000101000001
+010000010000011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+01120601011101120601011125010b000601050020010200ff01dd0102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101112501
+0b00060100000001020022010100ff01dd011600011206010111011206010111250101000001000
+00001000000010000000102000501000027010100ff01dd010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111250102000001000
+0000100000001000000010100050100002701010000010200ff01d90102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111250
+10100000100000001000000010000000102000401040009010100000101000401
+03000401030002010100020100000401030005010200000100000201030004010300ff01b601160
+00112060101110112060101112501020000010000000100000001000000010100
+0401000002010100070100000001010000010100020101000101010001010200010101000101010
+00101000004010100010101000301010000010200000102000101010001010200
+01010100ff01b501030000010100000101000001010000010100000101000001010000010112060
+10111011206010111250101000001000000010000000100000001020009010100
+0801010000010100060101000101010002010000020103000901010002010100020100000101010
+0020101000101010002010000ff01b60102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111250102000001000000010000000
+10000000101000901010008010000010101000301030001010100070103000601
+03000301010001010100000101000201010003010100ff01b901160001120601011101120601011
+12501010000010000000100000001000000010200090101000701010001010100
+0101010001010100010101000701000001010000040101000101010003010400010104000601020
+0ff01b70103000001010000010100000101000001010000010100000101000001
+0112060101110112060101112501020000010000000100000001000000010100090101000701010
+00001010001010100020101000101010006010100010101000201010002010100
+02010100050101000701000002010100ff01b601020000010100000101000001010000010100000
+10100000101000001000001120601011101120601011125010b00080102000701
+0100000101000101010001010200000100000001010002010000010101000101010000010000000
+1010001010200000100000001040003010100020100000101010001010200ff01
+b601160001120601011101120601011125010b00030100000201020007010400030102000101010
+00201030002010100020101000201020001010100020104000301030003010300
+ff01b80103000001010000010100000101000001010000010100000101000001011206010111011
+20601011136010300090101002a01000003010000ff01c8010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011144010100290
+1010002010100ff01c80116000112060101110112060101114301030029010400
+ff01c90103000001010000010100000101000001010000010100000101000001011206010111011
+206010111ff01ff01400102000001010000010100000101000001010000010100
+0001010000010000011206010111011206010111ff01ff014001160001120601011101120601011
+1ff01ff0140010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff014001020000010100000101000001010000010100000
+101000001010000010000011206010111011206010111ff01ff01400116000112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111ff01ff014001160
+0011206010111011206010111ff01ff0140010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111380104000601010028010300000
+101001501000016010100030101000c010000100101000c01060012010300ff01
+4701020000010100000101000001010000010100000101000001010000010000011206010111011
+2060101113801040005010300260107001401010016010100030101000b010100
+0f0103000b01070011010300ff01470116000112060101110112060101113901020007010100270
+10200010102001401010016010200010102000b010100100101000d0102000001
+020012010200ff01470103000001010000010100000101000001010000010100000101000001011
+20601011101120601011139010200310102000201010013010200160102000101
+02000a010200200102000001020012010200ff01470102000001010000010100000101000001010
+00001010000010100000100000112060101110112060101113901020005010400
+0101030000010200030103000301040002010200010101000101030001010100000103000001020
+00101030000010000010106000301030002010000000101000001010001010700
+0101040002010600010102000101010002010400020103000001020001010200000102000101040
+00401020000010100000102000101020001010400030104000001000002010300
+ff01290116000112060101110112060101113901020005010400010108000101050001010600010
+10700010103000301030000010200000106000101060002010500010107000001
+0700000106000101060001010700010104000201020001010200010102000001020000010600020
+106000001020001010200000106000101070001010500ff012801030000010100
+0001010000010100000101000001010000010100000101120601011101120601011139010200070
+10200020103000001020000010200010102000001010001010200020106000201
+0300020102000101020000010200000102000201020004010200010102000001070000010700000
+10100010102000201020005010600030102000301020000010100020106000001
+0100010102000101030000010200000102000001020001010100010102000101020000010300000
+1020001010200ff01270102000001010000010100000101000001010000010100
+0001010000010000011206010111011206010111390102000701020002010200010102000001020
+00101020003010300020103000001010003010300020102000001010001010300
+0101000002010200040102000101020000010100000101000001010000010100000101000001010
+00301030002010200050103000001010003010200040103000301050004010300
+0101020002010100000105000501030001010200000102000101020001010200ff0127011600011
+20601011101120601011139010200070102000201020001010200000107000101
+0500020102000401010001010300010105000201040003010200040107000001010000010100000
+10100000101000001010000010100010105000201020005010200070102000401
+03000301020005010500010102000501040004010500010102000001020001010700ff012701030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101113901020001010100030102000201020001010200000102000501020000010200020
+10200040101000201020002010300020100000101030002010200040102000501
+0100000101000001010000010100000101000001010000010200000102000201020005010200070
+10200040103000301020004010200000102000101020005010200000101000201
+0200000102000201040002010200ff012c010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111390102000001020003010200
+0201020001010200000103000101010000010200000102000201020004010200010102000201030
+00201020000010200020102000001010001010300010101000001010000010100
+0001010000010100030101000001020000010200020102000001010002010200070102000301010
+00001020002010200040102000001020001010300010101000001020000010200
+0101020000010200010103000401030001010100ff0127011600011206010111011206010111380
+1070001010a000001030001010600000107000001040003010700030101000301
+0600020105000201060000010100000101000001010000010200010102000001070001010500010
+10400040106000001020001010200000104000301070001010600000102000101
+0200000107000001060002010600ff0127010300000101000001010000010100000101000001010
+00001010000010112060101110112060101113801070001010a00000103000201
+0400020102000001020000010400030101000001030003010200030100000001030004010300040
+10400010101000001010000010100000102000101020001010200000102000201
+0300020104000401060000010200000103000001040004010200000102000201040001010200010
+1020001010200000102000101060002010400ff01280102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111780102008b01020
+001010200ff0130011600011206010111011206010111770103008b010700ff01
+3001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111770102008d010500ff013101020000010100000101000001010000010100
+000101000001010000010000011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff01400103000001010000010100000101000001010000010100
+000101000001011206010111011206010111ff01ff0140010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111ff01ff014001
+1600011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001020000010100
+000101000001010000010100000101000001010000010000011206010111011206010111ff01ff0
+140011600011206010111011206010111ff01ff01400103000001010000010100
+000101000001010000010100000101000001011206010111011206010111ff01ff0140010200000
+10100000101000001010000010100000101000001010000010000011206010111
+01120601011138010100030101000c010000100101000d010200000101000d010000310107001e0
+10000070101001f010400ff013201160001120601011101120601011138010100
+030101000b0101000f0103000b0106000c010100310107001d010100060103001d010600ff01310
+10300000101000001010000010100000101000001010000010100000101120601
+011101120601011138010200010102000b010100100101000c010200000102000c0101003201020
+0000102001d010100070101001e01010001010300ff0130010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011138010200010
+102000a0102001f010200010101000b01020032010200010101001c0102002801
+010002010200ff01300116000112060101110112060101113801070001010400020106000101020
+00101010002010400020103000001020000010200010101000201040002010600
+0301030003010400000100000201030002010200010101000101030000010200010102000401020
+00001070000010200030102000001010000010600020104000401030001010300
+00010200020103000001000006010200ff013001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111380107000001060001010600
+0101070001010400020102000101020000010200050106000101060002010500010107000101050
+0010107000001030000010200010104000201020000010c000101060000010600
+0201040003010500000108000001060006010100ff0131010100140101120601011101120601011
+13801070000010100010102000201020005010600030102000301020000010100
+0101020005010100010102000201020004010200010102000001020000010300000102000101020
+00101060000010200010102000101040002010200010102000001030000010200
+0001030000010200010102000701020002010200010102000001030000010200000102000001020
+005010100ff013201030000010100000101000001010000010100000101000001
+0100000101120601011101120601011138010100000101000001010003010300020102000501030
+00001010003010200040103000201020008010300020102000401020001010200
+0001020000010200010102000101020001010300000101000101020000010100020102000401020
+00101020000010200010102000001020002010100010102000701020002010200
+010102000001020001010200000103000101000004010100ff01330101001401011206010111011
+20601011138010100000101000001010001010500020102000501020007010200
+0401030002010200060105000201020004010700000102000001020001010200010102000101020
+00501050002010200040102000101020000010200010102000001020006010200
+07010200020102000101020000010200010102000101040004010100ff013401010014010112060
+10111011206010111380101000001010000010100000102000001020002010200
+0501020007010200040103000201020001010100010102000001020002010200040102000601040
+00201020001010200010102000601030003010200040102000101020000010200
+0101020000010200060102000701020002010200010102000001020001010200000100000101030
+002010100ff013501030000010100000101000001010000010100000101000001
+0100000101120601011101120601011138010100030101000001020000010200020102000001010
+00201020007010200030101000001020001010200010101000101020000010200
+0201020000010100010103000101010000010300040102000101020001010200060103000301020
+00401020000010300000102000101020000010300010101000101020000010100
+040102000201020001010200000102000101020000010200000102000101020003010000ff01300
+10100140101120601011101120601011138010200010102000001070001010500
+0101040004010600000102000101020000010600010107000101050002010600000106000201050
+001010400060101000301040003010b0000010300010106000101050002010600
+010105000001030000010300000106000101020002010100ff01300101001401011206010111011
+20601011138010200010102000101020000010200020103000201040004010600
+0001020000010300010104000301020000010200020103000401040002010600020103000201040
+00501020003010400040103000001050000010300020104000301030003010600
+020103000101030000010300000100000001030002010700ff01300103000001010000010100000
+10100000101000001010000010100000101120601011101120601011192010200
+010102001301020055010700ff01300101001401011206010111011206010111920107001201030
+0ff018e01010014010112060101110112060101119301050013010200ff018f01
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff01400101001401011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+0001010000010100000101120601011101120601011138010100030101000c010000100101000d0
+10200000101002e0106002801010018010000ff014f0101001401011206010111
+01120601011138010100030101000b0101000f0103000b0106002e0107002601030016010100ff0
+14f010100140101120601011101120601011138010200010102000b0101001001
+01000c010200000102002f010200000102002701010017010100ff014f010300000101000001010
+00001010000010100000101000001010000010112060101110112060101113801
+0200010102000a0102001f010200010101002f0102000001020040010200ff014f0101001401011
+20601011101120601011138010700010104000201060001010200010101000201
+0400020103000001020000010200010101000301030002010000000101000001010001010000000
+10100000101000301030001010300000102000201020000010200020103000101
+0300000102000301030002010000000101000001010002010400010103000001020002010400020
+10600030103000201020001010100ff013a010100140101120601011101120601
+0111380107000001060001010600010107000101040002010200010102000001020006010500010
+10700000107000101050000010800010102000001020001010500000108000101
+050001010700010104000101080000010600010106000201050001010700ff01390103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111380107000001010001010200020102000501060003010200030102000001010001010200050
+10200010102000001070000010700000102000101020000010300000102000101
+0200000102000001020001010200000103000001020000010200010102000001070003010200020
+1030000010200000101000101020002010200040102000101020001010600ff01
+3901010014010112060101110112060101113801010000010100000101000301030002010200050
+10300000101000301020004010300020102000501020001010200000101000001
+0100000101000001010000010100000101000001020001010200000102000101020001010200000
+10200000102000101020000010200010102000001020001010200000101000001
+0100000101000301020002010200010102000301030002010200040102000101020001010300000
+10100ff0139010100140101120601011101120601011138010100000101000001
+0100010105000201020005010200070102000401030002010200050102000101020000010100000
+10100000101000001010000010100000101000001020001010200000102000101
+0200010102000001020000010700000102000101020000010200010102000001010000010100000
+10100030102000201020001010200010105000201020004010200010102000101
+0200ff013d010300000101000001010000010100000101000001010000010100000101120601011
+10112060101113801010000010100000101000001020000010200020102000501
+0200070102000401030002010200010101000101020001010200000101000001010000010100000
+10100000101000001010000010200010102000001020001010200010102000001
+0200000102000501020001010200000102000101020000010100000101000001010003010200020
+1020001010200000102000001020002010200040102000101020001010200ff01
+3d01010014010112060101110112060101113801010003010100000102000001020002010200000
+10100020102000701020003010100000102000101020001010100010102000101
+0200000101000001010000010100000101000001010000010100000102000101020000010200010
+10200010102000001020000010300010101000001020001010200000102000101
+0200000101000001010000010100030102000201020001010200000102000001020002010200000
+10100010102000101020001010200ff013d010100140101120601011101120601
+0111380102000101020000010700010105000101040004010600000102000101020000010600020
+10500010101000001010000010100000101000001010000010100010105000001
+0300000103000001070001010a00000103000101050001010100000101000001010001010a00000
+1030000010700010105000201050001010400ff013c0103000001010000010100
+0001010000010100000101000001010000010112060101110112060101113801020001010200010
+10200000102000201030002010400040106000001020000010300010104000401
+0300020101000001010000010100000101000001010000010100020103000101030000010300000
+10600030104000001030000010300020103000201010000010100000101000101
+0a00000103000101020000010200020103000401030002010400ff013c010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+101120601011138010100030101000c010000100101000c010400060101002801
+03000401040013010300170107001e01000007010100ff012a01010014010112060101110112060
+1011138010100030101000b0101000f0103000b01040005010300270103000401
+040013010300170107001d01010006010300ff01290103000001010000010100000101000001010
+00001010000010100000101120601011101120601011138010200010102000b01
+0100100101000d0102000701010029010200060102001401020018010200000102001d010100070
+10100ff012a010100140101120601011101120601011138010200010102000a01
+02002001020032010400050102001401020018010200010101001c010200ff01340101001401011
+20601011101120601011138010700010104000201060001010200010101000201
+0400020103000001020001010200050104000101030000010200030103000301040002010200010
+10100020104000501020003010400000100000201030002010500020102000101
+0100020104000301020004010200000107000001020003010200000101000001060002010400040
+1030001010300000102000201030000010000ff010d0103000001010000010100
+0001010000010100000101000001010000010112060101110112060101113801070000010600010
+10600010107000101040002010200010102000101020005010400010108000101
+0500010106000101070001010100000101000501020002010700010105000101060001010700000
+10600020104000201020000010c00010106000001060002010400030105000001
+080000010600ff010d0101001401011206010111011206010111380107000001010001010200020
+10200050106000301020003010200000101000201020007010200020103000001
+0200000102000101020000010100010102000201060001010100000102000401020002010200000
+10300000102000101020000010300000102000101060000010100010102000201
+0400020102000101020000010300000102000001030000010200010102000701020002010200010
+1020000010300000102000001020000010200ff010d0101001401011206010111
+0112060101113801010000010100000101000301030002010200050103000001010003010200040
+10300030102000701020002010200010102000001020001010200030103000201
+0300000101000101010001010100040102000201020000010200010102000101020000010200010
+10200010103000001010003010300020102000401020001010200000102000101
+0200000102000201010001010200070102000201020001010200000102000101020000010300010
+10000ff010d010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111380101000001010000010100010105000201020005010200070
+10200040103000301020007010200020102000101020000010700010105000201
+0200040106000401020002010200000102000101070000010200010102000101020005010500020
+10200040102000101020000010200010102000001020006010200070102000201
+020001010200000102000101020001010400ff010e0101001401011206010111011206010111380
+10100000101000001010000010200000102000201020005010200070102000401
+0300030102000101010003010200020102000101020000010200050102000001020002010200040
+10700030102000301040002010200050102000101020001010200040102000001
+0200020102000401020001010200000102000101020000010200060102000701020002010200010
+1020000010200010102000001000001010300ff010d0101001401011206010111
+0112060101113801010003010100000102000001020002010200000101000201020007010200030
+10100000102000201020000010200030102000201020001010200000103000101
+0100000102000001020002010200040101000201020003010200020103000401030001010100000
+10200010102000101020004010200000102000201020004010200000103000001
+0200010102000001030001010100010102000001010004010200020102000101020000010200010
+102000001020000010200ff010d01030000010100000101000001010000010100
+0001010000010100000101120601011101120601011138010200010102000001070001010500010
+104000401060000010200010102000001070001010a0000010300010106000001
+0700000104000201030000010300010106000001060002010600000106000101040003010700000
+1040003010b000001030001010600010105000201060001010500000103000001
+030000010600ff010d0101001401011206010111011206010111380102000101020001010200000
+1020002010300020104000401060000010200000103000001070001010a000001
+0300020104000201020000010200000104000201030000010300010106000101060002010400010
+10100000102000201040004010200000102000001040004010300000105000001
+03000201040003010300030106000201030001010300000103000001000000010300ff010e01010
+01401011206010111011206010111b601020001010200ff018101030000010100
+00010100000101000001010000010100000101000001011206010111011206010111b6010700ff0
+1810101001401011206010111011206010111b7010500ff018201010014010112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff014001010014010112060101110112060101113701070016010000
+2901040014010100030101000c010000100101000d010200000101000d010000310107001e01000
+0070101001f010400cf0103000001010000010100000101000001010000010100
+00010100000101120601011101120601011137010800140101002901040014010100030101000b0
+101000f0103000b0106000c010100310107001d010100060103001d010600ce01
+010014010112060101110112060101113801020001010200140101002b010200140102000101020
+00b010100100101000c010200000102000c01010032010200000102001d010100
+070101001e01010001010300cd01010014010112060101110112060101113801020001010200130
+102002b01020014010200010102000a0102001f010200010101000b0102003201
+0200010101001c0102002801010002010200cd01030000010100000101000001010000010100000
+10100000101000001011206010111011206010111380102000001020003010300
+0401020000010100000106000201040001010300000102000201040000010000000102000001030
+00301020003010400020102000101010001010700010104000201060001010200
+0101010002010400020103000001020000010200010101000201040002010600030103000301040
+00001000002010300020102000101010001010300000102000101020004010200
+0001070000010200030102000001010000010600020104000401030001010300000102000201030
+00001000006010200cd0101001401011206010111011206010111380105000301
+0500020106000001060001010600000108000001070000010200000103000301020002010600010
+10700000107000001060001010600010107000101040002010200010102000001
+0200050106000101060002010500010107000101050001010700000103000001020001010400020
+1020000010c000101060000010600020104000301050000010800000106000601
+0100ce0101001401011206010111011206010111380105000201020001010200000103000001020
+00101020004010100010102000101030000010200000102000001030000010200
+0101020003010200020101000101020002010600000107000001010001010200020102000501060
+00301020003010200000101000101020005010100010102000201020004010200
+0101020000010200000103000001020001010200010106000001020001010200010104000201020
+00101020000010300000102000001030000010200010102000701020002010200
+010102000001030000010200000102000001020005010100cf01030000010100000101000001010
+00001010000010100000101000001011206010111011206010111380102000001
+0200010102000101020000010200020101000101020007010300010102000101020000010200000
+10200010102000101020003010200050103000201030000010100000101000001
+0100000101000301030002010200050103000001010003010200040103000201020008010300020
+10200040102000101020000010200000102000101020001010200010103000001
+0100010102000001010002010200040102000101020000010200010102000001020002010100010
+10200070102000201020001010200000102000101020000010300010100000401
+0100d00101001401011206010111011206010111380102000001020001010700000102000601020
+00501050001010200010102000001020000010200010102000101020003010200
+0301050002010200040101000001010000010100010105000201020005010200070102000401030
+00201020006010500020102000401070000010200000102000101020001010200
+0101020005010500020102000401020001010200000102000101020000010200060102000701020
+0020102000101020000010200010102000101040004010100d101010014010112
+0601011101120601011138010200000102000101020005010200060102000401020000010200010
+10200010102000101040002010200010102000301020002010200000102000201
+0200040101000001010000010100000102000001020002010200050102000701020004010300020
+10200010101000101020000010200020102000401020006010400020102000101
+0200010102000601030003010200040102000101020000010200010102000001020006010200070
+1020002010200010102000001020001010200000100000101030002010100d201
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+13801020001010200000103000101010000010300010101000101020000010100
+0101020000010200010102000101020000010300040102000001030003010200020102000001020
+00201020004010100030101000001020000010200020102000001010002010200
+0701020003010100000102000101020001010100010102000001020002010200000101000101030
+00101010000010300040102000101020001010200060103000301020004010200
+0001030000010200010102000001030001010100010102000001010004010200020102000101020
+0000102000101020000010200000102000101020003010000cd01010014010112
+06010111011206010111370103000101020001010600010106000101050001010b0000010300000
+10600010107000101060000010700000104000301020001010200000107000101
+0500010104000401060000010200010102000001060001010700010105000201060000010600020
+1050001010400060101000301040003010b000001030001010600010105000201
+0600010105000001030000010300000106000101020002010100cd0101001401011206010111011
+20601011137010300010102000201040003010400030103000301020000010600
+0001030001010600010103000001010001010600010102000001020000010400030102000101020
+00101020000010200020103000201040004010600000102000001030001010400
+0301020000010200020103000401040002010600020103000201040005010200030104000401030
+00001050000010300020104000301030003010600020103000101030000010300
+000100000001030002010700cd01030000010100000101000001010000010100000101000001010
+000010112060101110112060101116e010200010102007e010200010102001301
+020055010700cd01010014010112060101110112060101116e0107007e01070012010300ff012b0
+1010014010112060101110112060101116f0105008001050013010200ff012c01
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff01400101001401011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400101001401011206010111011
+206010111140105003b01000010010000070100001c0103000001000049010000
+08010000060100002601000007010000300103002e010000b701010014010112060101110112060
+1011115010100010101003a01000010010000060102001a010100010102004801
+0100070101000501010026010000060102002e010100010101001b0100000f010200b6010300000
+10100000101000001010000010100000101000001010000010112060101110112
+060101111501010002010100380101000f010100070100001b01000003010100470102000601020
+00401020025010100070100002f010100010101001b01000010010000b7010100
+14010112060101110112060101111501010002010100380101000f0101002401010003010000460
+10300060102000301030025010100380101001e010100c9010100140101120601
+0111011206010111150101000201010002010300040103000201020000010200010100000001010
+00001010003010300020101000001020002010600020104000201060002010300
+0501030002010100000102000701020005010200000102000101000000010100000101000101000
+00001010000010100020104000201010000010300010103000001020003010000
+0c01010005010000000101000501010008010000000101000001010003010300020101000001020
+00201060002010300050103000201010000010200030103000001000008010300
+0401010009010100020101000301030003010500010101000101020002010300040101000201010
+003010000a6010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111150101000201010001010100010101000201010001010100020
+10100010101000101010000010100000101000101010001010100020101000101
+0100030101000401010002010100030101000701010004010100010101000201010001010100070
+10300040101000101010001010100000101000001010000010100000101000001
+0100000101000201010002010200010101000101010002010000030102000b01010005010000000
+10100050101000801010000010100000101000101010001010100020101000101
+0100030101000701010004010100010101000201010001010100010101000201010007010100010
+10100020104000601030000010300010101000101010003010100030100000001
+0200010101000301010003010000000101000001010003010200a50101001401011206010111011
+20601011115010100020101000001010003010100000101000201010002010100
+0101010001010100000101000001010000010100020101000201010001010100030101000401010
+00201010003010100070101000301010003010100010101000101010008010300
+0301010001010100010101000001010000010100000101000001010000010100000101000201010
+002010100020101000101010002010000040100000c0101000401000001010100
+0501010008010100000101000001010000010100020101000201010001010100030101000701010
+00301010003010100010101000101010001010100030100000601010003010100
+0201010009010000000100000001000000010100050101000301010005010200010101000201010
+00601030005010000a60101001401011206010111011206010111150101000201
+0100000101000301010000010100070101000101010001010100000101000001010000010600020
+10100010101000301010007010300030101000701010003010100030101000101
+0100010101000a01020002010100010101000101010000010100000101000001010000010100000
+10100030103000201010007010100000100001301010004010000010101000501
+0100080101000001010000010100000106000201010001010100030101000701010003010100030
+10100010101000101010002010200090101000301010002010100090100000001
+0100010101000201030004010100050101000701010007010200ad0103000001010000010100000
+10100000101000001010000010100000101120601011101120601011115010100
+0201010000010100030101000001010007010100010101000101010000010100000101000001010
+00701010001010100030101000501010001010100030101000701010003010100
+0301010001010100010101000601000003010100020101000101010001010100000101000001010
+00001010000010100000101000101010001010100020101000701010000010000
+1301010003010000020101000501010008010100000101000001010000010100070101000101010
+00301010007010100030101000301010001010100010101000401020007010100
+0301010002010100080101000001010000010100010101000101010003010100060101000701010
+006010200ae010100140101120601011101120601011115010100020101000001
+0100030101000001010003010000020101000101010001010100000101000001010000010100070
+10100010101000301010004010100020101000301010007010100030101000301
+0100010101000101010006010100030100000201010001010100010101000001010000010100000
+10100000101000001010000010100020101000201010008010100140101000301
+0700030101000801010000010100000101000001010007010100010101000301010007010100030
+10100030101000101010001010100010100000301010006010100030101000201
+0100080101000001000001010100000101000201010003010100050101000701010006010100000
+10100ad0101001401011206010111011206010111150101000101010002010100
+0101010002010100010101000201010000010200010101000001010000010100010101000201000
+00201010001010100030101000101000001010100010102000301010001010000
+0401010004010100010101000201010001010100060102000101010002010100000102000101010
+00001010000010100000101000001010000010100000101000101020002010100
+08010100060100000c0101000701010005010100080101000001010000010100010101000201000
+00201010001010100030101000101000004010100040101000101010002010100
+0101010001010100020101000701010001010100030101000801000001010000010100000101010
+00101020000010000010101000101000002010100070101000101000003010000
+010101000001000003010000a601030000010100000101000001010000010100000101000001010
+00001011206010111011206010111140105000401030004010300040102000001
+0100000101000001010000010100020103000201020000010300030102000301020001010100030
+10200030105000301030002010200000103000501000000010300040102000001
+0100000101000001010000010100000101000001010000010100010102000101010000010400060
+10000060102000a01040005010100040104000601010000010100000101000201
+0300020102000001030003010200030105000301030002010200000103000001000000010300090
+10300030103000701000004010000020102000101010003010200030101000801
+0200020101000301010003010200a50101001401011206010111011206010111c70100000701000
+00a01050004010300020105007001000031010000a60101001401011206010111
+011206010111c401000000010000ff0178010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111c4010200ff017801010014010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+140101120601011101120601011125010b0008010100040103000501020041010000ff01ae01030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011125010b0007010200030100000201010003010100000101003701000006010200ff0
+1ad01010014010112060101110112060101112501010000010000000100000001
+000000010200060103000701010002010100010101003701000007010000ff01ae0101001401011
+20601011101120601011125010200000100000001000000010000000101000801
+010007010100020101000201000036010100ff01b70103000001010000010100000101000001010
+00001010000010100000101120601011101120601011125010100000100000001
+0000000100000001020007010100070101000301010001010100090102000301010000010100040
+10300020101000101020003010300030105000201030006010200020101000101
+010004010300ff01920101001401011206010111011206010111250102000001000000010000000
+10000000101000701010005010200030101000201010007010100010101000101
+0000000101000001010001010200010101000001000000010200010101000101010001010100030
+10100070101000401010001010100000100000001000000010300010102000101
+0100ff0191010100140101120601011101120601011125010100000100000001000000010000000
+10200070101000601010003010100020101000701010001010100030101000001
+0100010101000201010002010200010101000501010003010100060101000501010001010100020
+10200000101000101010002010000ff0192010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111250102000001000000010000000
+10000000101000701010007010100020101000201010006010100020101000301
+0000010101000001010002010100030101000701030004010100060101000401010002010100020
+101000101010002010100ff019501010014010112060101110112060101112501
+0100000100000001000000010000000102000601010008010100020101000101010007010100020
+10100020101000101010000010400050101000501010001010100030101000701
+01000401010002010100010101000201000004010200ff019301010014010112060101110112060
+10111250102000001000000010000000100000001010006010100080101000201
+0000020101000701010001010100030101000001010001010100070101000501010002010100030
+1010006010100050101000101010002010100010101000201000002010100ff01
+9201030000010100000101000001010000010100000101000001010000010112060101110112060
+1011125010b000601010008010100020101000101010007010100010101000301
+0100000101000201010002010000020101000501010001010200000100000101010001010000030
+1010001010000020101000101010002010100010101000001020001010200ff01
+92010100140101120601011101120601011125010b0005010200030100000201010003010100000
+10100090102000401040004010300030101000601020001010100030102000501
+020004010200030101000301010001010300ff01940101001401011206010111011206010111360
+10400030103000501020012010100ff01de010300000101000001010000010100
+00010100000101000001010000010112060101110112060101115f010100ff01de0101001401011
+2060101110112060101115e010300ff01dd010100140101120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff01400101001401011206010111011206010111ff01
+ff01400101001401011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+01001401011206010111011206010111ff01ff01400101001401011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400103000001010000010100
+0001010000010100000101000001010000010112060101110012091125010b00060103004a01000
+0ff01b70101001401011208110912001125010b0005010000020101001c010000
+2a010200ff01b601160009120011011206010111250101000001000000010000000100000001020
+0090101001c0100002b010000ff01b70116000112060101110112060101112501
+020000010000000100000001000000010100090101001b010100ff01e4011600011206010111011
+20601011125010100000100000001000000010000000102000801010009010300
+0401030003010500030103000501020000010000030102000201010001010200020103000501030
+004010300ff01a401160001120601011101120601011125010200000100000001
+0000000100000001010006010200080102000101010002010100010101000301010004010200010
+10100030101000001020001010100010101000001000000010200010101000301
+010003010200010101000101020001010100ff01a30116000112060101110112060101112501010
+00001000000010000000100000001020007010100080101000201000007010100
+0301010004010100020101000201010002010000020101000101010002010200010101000201010
+004010100020101000101010002010000ff01a401160001120601011101120601
+0111250102000001000000010000000100000001010008010100060101000901030004010100030
+10100020101000301010001010100010101000201010002010100070101000301
+01000201010003010100ff01a701160001120601011101120601011125010100000100000001000
+00001000000010200080101000601010007010100010101000301010004010400
+05010400020101000201010002010100070101000301040006010200ff01a501160001120601011
+10112060101112501020000010000000100000001000000010100080101000601
+0100060101000201010003010100040101000701010006010100010101000201010007010100040
+101000701000002010100ff01a401160001120601011101120601011125010b00
+0801010007010100020100000101010001010200000100000101010001010000020101000201000
+00201040003010100010101000201010007010100010100000201010002010000
+0101010001010200ff01a40102001201000001120601011101120601011125010b0003010000020
+10100090103000301020001010100030102000401030004010400030102000401
+0100080102000401030003010300ff01a6010300100101000112060101110112060101113601030
+02d01000003010000ff01d10104000e0102000112060101110112060101116701
+010002010100ff01d10105000c01030001120601011101120601011168010400ff01d20106000a0
+10400011206010111011206010111ff01ff014001070008010500011206010111
+011206010111ff01ff014001080006010600011206010111011206010111ff01ff0140010900040
+10700011206010111011206010111ff01ff0140010a0002010800011206010111
+011206010111ff01ff0140010b0000010900011206010111011206010111ff01ff0140011600011
+206010111011206010111ff01ff0140011600011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140011600011206010111011206010111ff1
+2ff12591206010111011206010011ff12ff125a120601011101121e0100110012
+ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e0
+100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701
+001100121e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff0
+1ff012701001100121e01011101121e0100110012ff01ff012701001100121e01
+011101121f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-condition.ps b/books/ps/h-condition.ps
new file mode 100644
index 0000000..16fda24
--- /dev/null
+++ b/books/ps/h-condition.ps
@@ -0,0 +1,950 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:52:57 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c0202030202
+020304020203070202030902011a3b02011a1f03021a0b03021a0003001a1603021a0403001a0703001a0703001a2703031a1a03021a0503021a0a03031a2903001a0703001a2703
+031a3703011a040202030402020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203
+070202030902011a3b02011a1e03011a0003011a0903011a0003021a1703011a0303021a0603001a0603021a2503011a0103011a1803011a0003011a0303001a0103011a0803011a
+0103011a2803001a0603021a2503011a0103011a3603011a040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d010c060a
+010d050202030d0202030002020305020203070202030902011a3b02011a1d03011a0203011a0703011a0203011a1703011a0403001a0603011a0703001a2603011a0103011a1703
+011a0203011a0203001a0103011a0703011a0303011a2603011a0703001a2603011a0103011a3603011a0402020304020203020202030302020302020b03020202030902011a1802
+08031902010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a1d03011a0203011a0703011a0303001a1703011a0c03011a2f03011a1b03011a
+0203011a0103011a0203011a0603011a0303011a2603011a2f03011a3a03011a04020203040202030202020303020203020202030002030300020203020202030902011a16020c03
+1702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a1d03021a0103001a0803011a0303001a0203031a0203011a0003021a0403041a0203
+031a0303061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0603031a0203011a0003031a0603021a0103001a0203011a0203011a0603011a0303011a0003
+011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0403011a0003031a0303031a0203001a0003
+011a0003011a1c03011a04020a030202020303020203020202030002030300020203020207030402011a140210031502010c060a010d010c060a010d050209030802020307020203
+070202030902011a3b02011a1e03031a0903011a0603011a0103011a0203011a0103011a0203011a0003021a0403011a0503011a0703011a0403011a0103011a0203011a0103011a
+0103011a0203011a0703041a0303011a0103011a0203021a0103011a0603031a0303011a0203011a0603011a0303011a0103021a0003011a0203011a0103011a0203021a0103011a
+0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011a0703041a0303021a0103011a0103011a0103011a0103011a0003011a0003011a
+1b03011a04020a030202020303020203020202030102010301020203020208030302011a120214031302010c060a010d010c060a010d050209030802020307020203070202030902
+011a3b02011a1f03021a0903011a0503011a0303011a0103011a0103011a0103011a0203011a0403011a0503011a0703011a0303011a0303011a0103011a0103011a0103011a0303
+001a0803011a0403011a0303011a0103011a0203011a0703021a0303011a0203011a0603011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203
+011a0303011a0703011a0303011a0303011a0103011a0103011a0103011a0303001a0803011a0503011a0203011a0003011a0303011a0003011a0003011a0003011a1b03011a0402
+0a030202020303020203020202030102010301020203020208030302011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a
+1f03031a0803011a0503011a0303011a0103011a0103011a0103011a0203011a0403011a0503011a0703011a0303011a0303011a0103011a0103011a0203021a0b03011a0403011a
+0303011a0103011a0c03031a0203011a0203011a0603011a0303011a0103011a0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a
+0203021a0b03011a0503011a0503011a0303011a0003011a0003011a0003011a1b03011a040202030402020302020203030202030202020305020203020202030902011a15020e03
+1602010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a1e03001a0103021a0703011a0303001a0003011a0303011a0103011a0103011a0103
+011a0203011a0403011a0503011a0703011a0303011a0303011a0103011a0103011a0403021a0903011a0403011a0303011a0103011a0b03001a0103021a0103011a0203011a0603
+011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403021a0903011a0503011a0503011a0303
+011a0003011a0003011a0003011a1b03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d05020203
+0d0202030002020305020203070202030902011a3b02011a1d03011a0203011a0703011a0303001a0003011a0303011a0103011a0103011a0103011a0203011a0403011a0503011a
+0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0403011a0303011a0103011a0a03011a0203011a0103011a0203011a0603011a0303011a0103011a
+0203011a0003011a0703011a0503011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0503011a0503011a0303011a0003011a
+0003011a0003011a1b03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030d0202030002
+020305020203070202030902011a3b02011a1d03011a0203011a0803011a0103011a0103011a0103011a0203011a0103011a0203011a0003021a0403011a0503011a0103001a0403
+011a0403011a0103011a0203011a0103011a0103011a0203011a0803011a0503011a0103011a0203011a0a03011a0203011a0203011a0103001a0803011a0103011a0203011a0103
+011a0203011a0203001a0203011a0503011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0803011a0503011a0603011a0103
+011a0103011a0003011a0003011a1b03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d05020203
+0c0202030202020304020203070202030902011a3b02011a1d03011a0203011a0903031a0303031a0203021a0003031a0203021a0003011a0103051a0403021a0303051a0303031a
+0203021a0003031a0003001a0003031a0803031a0503031a0203041a0803011a0203011a0203011a0103001a0903031a0303041a0403031a0203041a0403021a0103011a0303021a
+0303051a0303031a0203021a0003031a0003001a0003031a0803031a0303041a0503031a0203011a0003011a0003011a1b03011a0402020304020203020202030302020302020203
+05020203020202030902011a15020e031602010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a1e03041a8703041a0403021a1203
+011a9103011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d050202030b020203040202030302020307020203
+0902011a3b02011acb03011a9103011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d05020903040202030402
+020303020203070202030902011a3b02011aca03031a9003011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c060a010d05020a03
+020202030602020302020203070202030902011a3b02011aff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a010d010c060a010d
+06020903030201030702010303020103080201030902011a3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02010c060a010d010c
+060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a
+3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03
+011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a2003001a13030004040300041f030004
+1003010403030504040300046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0103011a1e03021a12030004030301040d0300040f0302040e03
+00040603010401030104040300046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a1e03001a13030104020301040d03000410030004
+0e0301040603010401030104040300046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a33030104010301040d0301041f0301040703
+010401030104040301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0203031a0203001a0003011a0003011a0203041a0303031a
+0303011a0003021a0803050403030304030305040103010401030204020303040403010402030104010301040603010401030104050301046b03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011a6b03011a0203011a0103011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030604020301040103
+01040303010403030004000302040103010403030104030300040003010400030104010301040703010401030104050301046b03011a3b02011a3b02010c060a010d010c060a010d
+3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030004000302040003000406030104
+03030104050302040103010402030104060303040203010407030404060301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003
+011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011a0603000401030004010300040303030404030104050301040703010407030204020301040703
+0304060301046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0103011a0103011a
+0403011a0403011a0103011a0603000403030004020301040103010403030104060301040703010406030204030301040603010400030104060301046c03011a3b02011a3b02010c
+060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a050300040403
+000401030104020301040303010405030104070301040603010400030104020301040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a
+3b02011a6b03011a0103011a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a0503000404030004010301040103020400030004
+0103010401030004020301040703010401030004030300040103010400030004010300040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011a6a03051a0403031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a0403010402030204010302040103010403030204030301040803
+02040203010403030104020300040503030401030104020300046f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011add0300040d0301047003011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff03
+5f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010d
+ff1aff1a571a010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402
+010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a08020203
+0802010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003
+011a050208030502010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010d
+ff03ff034003011a02020e030202010c060a010d010c060a010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d
+010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d
+ff03ff034003011a1402010c060a010d010c060a010d270300025d03001a2303001aff039303011a1402010c060a010d010c060a010d260301025d03001a2303001aff039303011a
+1402010c060a010d010c060a010d260301025b03051a1e03051aff039003011a1402010c060a010d010c060a010d250302025a03011a0003001a0003011a1d03011a0003001a0003
+011aff039003161a010c060a010d010c060a010d24030602010302020103010202030402010303020003020202030302000300020103010200030302030303020303030200030002
+030303021003011a0003001a0103001a0f03011a0b03011a0003001a0103001aff039003161a010c060a010d010c060a010d24030602010307020003060200030802000306020103
+07020103050201030602020305020403001a0903011a0003001a1203031a0903011a0003001aff039303011a1403010c060a010d010c060a010d2503020205030602000301020103
+02020103030200030202000302020003020201030302000302020003020201030202000302020003020201030202010302020203021a0803031a1403031a0703031aff039303011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2503020205030302000301020303030201030202010302020003030201030002
+01030202010302020003020201030202000303020103000201030202010302020303001a0a03041a0703071a0403031a0603041aff039103011a1403010c060a010d010c060a010d
+2503020205030202050305020103020201030202010304020203020201030202000302020103020201030402020307021103031a0603071a0403031a0803031aff039003011a1403
+010c060a010d010c060a010d250302020503020204030202000302020103020201030202000300020103030201030202010302020003020201030202000300020103030201030202
+1603001a0003011a1103031a0a03001a0003011aff039003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d250302020003
+01020203020204030202000302020103020201030202000302020003020201030202000303020003020201030202000302020003020201030302010301020e03001a0103001a0003
+011a0f03031a0903001a0103001a0003011aff039003011a1403010c060a010d010c060a010d250305020103040203030b0200030302000306020103060202030502010306020203
+06020303001a0903011a0003001a0003011a0f03011a0b03011a0003001a0003011aff039003011a1403010c060a010d010c060a010d260303020203040204030202000306020003
+0302000300020003030202030502040303020203000200030302040304020303021a0803051a1e03051aff039103011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d510302022303001a0c03001a2303001aff039303011a1403010c060a010d010c060a010d510302023103001a2303001aff039303011a1403
+010c060a010d010c060a010d500304023003001a2303001aff039303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03
+ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d270300025e030302000303021503
+00025003001aff034603011a1403010c060a010d010c060a010d260301025e03030200030302140301021a03011a0203051a0403011a2303001aff034603011a1403010c060a010d
+010c060a010d260301025e03020202030102150301021903011a0403011a0103011a0403011a2003051aff034303011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d250302025e03020202030102140302021903011a0403011a0103011a0403011a1f03011a0003001a0003011aff034303011a1403010c060a
+010d010c060a010d24030602010302020103010202030402010303020003020202030302000300020103010200030302030303020303030200030002030303021503020200030202
+030303020403020200030102000306020303030202030202010301020303011a0503011a0103011a0503011a1003011a0b03011a0003001a0103001aff034303011a1403010c060a
+010d010c060a010d2403060201030702000306020003080200030602010307020103050201030602020305020403001a0e0302020003010203030502020306020003060202030502
+010307020203011a0503011a0103011a0503011a1003031a0903011a0003001aff034603011a01020003010200030102000301020003010200030102000301020003010c060a010d
+010c060a010d250302020503060200030102010302020103030200030202000302020003020201030302000302020003020201030202000302020003020201030202010302020203
+021a0d0302020003010202030202010302020003030200030202010302020403020201030202010306020203011a0503011a0003011a0603011a1203031a0703031aff034603011a
+1403010c060a010d010c060a010d25030202050303020003010203030302010302020103020200030302010300020103020201030202000302020103020200030302010300020103
+0202010302020303001a0f0304020203020201030202000302020203010201030202040302020103020201030302000301020203011a0503031a0703011a0703071a0403031a0603
+041aff034403011a1403010c060a010d010c060a010d2503020205030202050305020103020201030202010304020203020201030202000302020103020201030402020307021403
+03020303070200030202060302020403020201030202010302020603011a0503011a0003011a0603011a0703071a0403031a0803031aff034303011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d2503020205030202040302020003020201030202010302020003000201030302010302020103020200030202
+01030202000300020103030201030202190303020303020205030202060302020403020201030202010302020603011a0503011a0103011a0503011a1203031a0a03001a0003011a
+ff034303011a1403010c060a010d010c060a010d25030202000301020203020204030202000302020103020201030202000302020003020201030202000303020003020201030202
+00030202000302020103030201030102150302020303030201030102000303020103010201030202000301020103020201030202010302020603011a0503011a0103011a0503011a
+1003031a0903001a0103001a0003011aff034303011a1403010c060a010d010c060a010d250305020103040203030b02000303020003060201030602020305020103060202030602
+0303001a1003010205030602010306020103050202030502010304020603011a0403011a0203011a0303011a1103011a0b03011a0003001a0003011aff034303011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d2603030202030402040302020003060200030302000300020003030202030502040303020203
+000200030302040304020303021a0f03010206030402030304020303030204030302020304020603011a0303031a0103011a0303011a1f03051aff034403011a1403010c060a010d
+010c060a010d510302022303001a4803011a0d03011a2303001aff034603011a1403010c060a010d010c060a010d51030202a303001aff034603011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d50030402a203001aff034603011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d420300020503020200030102280300021e03001a1003001a2c03001a
+ff036603011a1403010c060a010d010c060a010d4103010204030602270301021603011a0503001a1003001a0603011a2303001aff036603011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d410301020403020200030202270301021503011a0403051a0b03051a0403011a2003051aff036303011a1403010c
+060a010d010c060a010d400302020403020201030102260302021503011a0303011a0003001a0003011a0a03011a0003001a0003011a0403011a1f03011a0003001a0003011aff03
+6303011a1403010c060a010d010c060a010d240302020103020202030302020302020103010201030602010302020103010203030302010303020003020203030202000301020103
+0402020306021103011a0403011a0003001a0103001a0a03011a0003001a0103001a0503011a1003011a0b03011a0003001a0103001aff036303011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d2403020201030202010305020103070200030602010302020603050200030802010306020003060201030602
+0403001a0b03011a0403011a0003001a0d03011a0003001a0803011a1003031a0903011a0003001aff036603011a1403010c060a010d010c060a010d240302020103020200030202
+010302020103060201030202040302020503020201030202000303020003020200030302000302020003010201030202020302020603021a0a03011a0403031a0d03031a0803011a
+1203031a0703031aff036603011a1403010c060a010d010c060a010d2503020200030102010302020103020201030302000301020103020204030202050302020103020200030202
+01030202000302020203010203030302020302020703001a0b03011a0503041a0c03041a0603011a0703071a0403031a0603041aff036403011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d25030202000301020103070201030202050302020403020205030202010302020003020201030202000302020603
+0502020302021403011a0703031a0d03031a0503011a0703071a0403031a0803031aff036303011a1403010c060a010d010c060a010d250304020203020206030202050302020403
+02020103010201030202010302020003020201030202000302020503020200030202020302021403011a0703001a0003011a0d03001a0003011a0503011a1203031a0a03001a0003
+011aff036303011a1403010c060a010d010c060a010d2603030202030302010301020103020205030202000301020103020201030102010302020103020200030202010302020003
+030201030102000302020003020202030202000301021103011a0403001a0103001a0003011a0a03001a0103001a0003011a0503011a1003031a0903001a0103001a0003011aff03
+6303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d26030202040306020003040204030502010306020203050200030302
+000303020103060200030702010305020403001a0c03011a0303011a0003001a0003011a0403001a0403011a0003001a0003011a0403011a1103011a0b03011a0003001a0003011a
+ff036303011a1403010c060a010d010c060a010d2603020205030402010304020503030203030402040303020103030200030302020304020203020200030202020303020403021a
+0b03011a0303051a0403021a0303051a0503011a1f03051aff036403011a1403010c060a010d010c060a010d8103001a0d03011a0503001a0703011a0603001a0603011a2303001a
+ff036603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d9803001a0703011a0603001a2c03001aff036603011a1403010c
+060a010d010c060a010d9803001a0603011a0703001a2c03001aff036603011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d5f0301020203020212030102020302021e03000207030102150306020d030002310301020203
+020212030102020302021e03000207030102150306020d0300025003001a6a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d5a03011a020302020103020212030202010302021d03010206030302140306020c030102310302020103020212030202010302021d03010206030302140306020c0301022a03
+011a2303001a6a03011a1403010c060a010d010c060a010d5903011a030302020203010212030202020301021d03010207030102170302020e030102310302020203010212030202
+020301021d03010207030102170302020e0301022b03011a2003051a6703011a1403010c060a010d010c060a010d5903011a030303020103010212030302010301021c0302022103
+02020d030202310303020103010212030302010301021c030202210302020d0302022b03011a1f03011a0003001a0003011a6703011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d24030702020303020203020201030102030303021203011a0403030201030102020303020103030200030202010303020103
+010202030302030304020003000201030402020306020203040202030202010302020203030204030202020303020003020201030602030303020303040200030002020303020203
+0202010301020a0303020103010202030302010303020003020201030302010301020203030203030402000300020103040202030602020304020203020201030202020303020403
+02020203030200030202010306020303030203030402000300020203030202030202010301020503011a1003011a0b03011a0003001a0103001a6703011a1403010c060a010d010c
+060a010d240307020103050201030702010305020403001a0b03011a0403040200030102010305020003080200030402000301020103050201030702000306020103060202030402
+020302020103020201030502030302020203080200030602020305020103070201030502010307020903040200030102010305020003080200030402000301020103050201030702
+000306020103060202030402020302020103020201030502030302020203080200030602020305020103070201030502010307020403011a1003031a0903011a0003001a6a03011a
+1403010c060a010d010c060a010d240301020103030200030202010302020103060200030202010302020203021a0a03011a04030102000301020003010200030202010302020003
+030200030202000301020003010200030102000302020103020200030202000303020003010201030202020302020703020202030202010302020003020201030202020302020303
+030200030202010302020403020201030202000302020003030200030202010302020103060209030102000301020003010200030202010302020003030200030202000301020003
+010200030102000302020103020200030202000303020003010201030202020302020703020202030202010302020003020201030202020302020303030200030202010302020403
+02020103020200030202000303020003020201030202010306020403011a1203031a0703031a6a03011a01020003010200030102000301020003010200030102000301020003010c
+060a010d010c060a010d24030002010303020103020201030202010303020003010200030202010302020303001a0b03011a04030102000304020003020201030202000302020103
+020200030102000304020003020201030202000302020003020204030302020302020703020203030202000301020103020201030202020302020303020201030202010302020403
+020201030202000302020003020201030202010302020103030200030102090301020003040200030202010302020003020201030202000301020003040200030202010302020003
+020200030202040303020203020207030202030302020003010201030202010302020203020203030202010302020103020204030202010302020003020200030202010302020103
+020201030302000301020403011a0703071a0403031a0603041a6803011a1403010c060a010d010c060a010d26030302020307020103020204030202010302021003011a04030102
+010303020003020201030202000302020103020200030102010303020003070200030202000302020203050202030202070302020303020200030102010307020203020203030202
+010302020103020204030702000302020003020201030702010302020d03010201030302000302020103020200030202010302020003010201030302000307020003020200030202
+0203050202030202070302020303020200030102010307020203020203030202010302020103020204030702000302020003020201030702010302020803011a0703071a0403031a
+0803031a6703011a1403010c060a010d010c060a010d2503030201030002000302020603020204030202010302021003011a04030102010303020003020201030202000302020103
+020200030102010303020003020206030402020302020003020202030202070302020303040202030202070302020303020201030202010302020403020206030402020302020603
+02020d030102010303020003020201030202000302020103020200030102010303020003020206030402020302020003020202030202070302020303040202030202070302020303
+02020103020201030202040302020603040202030202060302020803011a1203031a0a03001a0003011a6703011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d240303020103010200030302010301020103020204030202010302021003011a0403010202030202000302020103020200030202010302020003
+010202030202000303020103010200030302040302020003020202030202000301020403020204030302020303020103010202030202030302020103020201030202000301020103
+030201030102000303020403030201030102010302020d03010202030202000302020103020200030202010302020003010202030202000303020103010200030302040302020003
+020202030202000301020403020204030302020303020103010202030202030302020103020201030202000301020103030201030102000303020403030201030102010302020803
+011a1003031a0903001a0103001a0003011a6703011a1403010c060a010d010c060a010d240307020103060200030402040305020403001a0c03011a030302020103020201030502
+000303020003030200030202010302020103060200030602010307020103050202030602020302020403060200030602000303020003030201030502020306020003060202030602
+000304020603001a04030202010302020103050200030302000303020003020201030202010306020003060201030702010305020203060202030202040306020003060200030302
+0003030201030502020306020003060202030602000304020603011a1103011a0b03011a0003001a0003011a6703011a1403010c060a010d010c060a010d24030702020304020103
+0402050303020403021a0b03011a03030202020301020203030201030302000303020003020202030102020304020203060201030202000302020203030203030602020302020503
+040201030602000303020003030202030302040304020203060202030402010304020503021a03030202020301020203030201030302000303020003020202030102020304020203
+060201030202000302020203030203030602020302020503040201030602000303020003030202030302040304020203060202030402010304020603011a1f03051a6803011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d4b03001a0d03011a2f0302020103020251030202010302021503011a300302020103
+020251030202010302021403011a2303001a6a03011a1403010c060a010d010c060a010d8c030702510307021503011a30030702510307023a03001a6a03011a1403010c060a010d
+010c060a010d8d030502530305021503011a32030502530305023b03001a6a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d4303001a300304020403
+01020f030102060300020e0303023c03000266030302000301020c03000205030202000301020d030002bc03011a1403010c060a010d010c060a010d13030b020d03000407030204
+0903001a0903021a22030602020303020d030302040301020e0303023b0301022803021a0603051a0703021a210307020b030102040306020c030102bc03011a1403010c060a010d
+010c060a010d13030b020c03020405030104000301040603051a0703011a2203020200030202030301020f030102050301020f0302023b0301022903011a0703011a0103011a0703
+011a21030202010302020b03010204030202000302020c030102bc03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1303
+0102000300020003000200030002000302020d03000406030104000301040503011a0003001a0003011a0703011a22030202200302020e030402390302022903011a0703011a0103
+011a0703011a21030202020301020a03020204030202010301020b030202bc03011a1403010c060a010d010c060a010d130302020003000200030002000300020003010214030204
+0803011a0003001a0103001a0703011a2103050203030402010303020003020202030402020306020303030203030402030304020003000201030402000300020003020201030102
+0303030203030402000300020103040202030602030303021e03011a0703011a0103011a0703011a2103030201030102020303020203060201030202010301020203040202030602
+03030302030304020003000202030302020302020103010201030302000302028b03011a1403010c060a010d010c060a010d13030102000300020003000200030002000302020a03
+0304050301040903011a0003001a0a03041a0303041a0303031a0003001a0b0305020303040201030802010304020203060202030502020301020003010202030702000307020003
+070201030502010307020003060201030602020305020703041a0203011a0003021a0403041a0703011a0103011a0703041a0303041a0303031a0003001a0c030302040305020103
+06020103020205030602010306020203050201030702010305020103070200030302000302020303001a8603011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d13030202000300020003000200030002000301020c030104050301040903031a0a03021a0003011a0103011a0203011a0103011a0203011a0c03
+020207030202020303020003020203030202030302020403020201030202010301020003020201030202000303020003020200030302010306020003020201030202000302020003
+030200030102010302020203020204030202010302020503011a0203011a0203011a0103011a0203011a0003021a0703011a0003011a0803021a0003011a0103011a0203011a0103
+011a0203011a0d0303020203020201030202010302020403020205030102010302020203020204030202010302020003020200030302000302020103020201030602000302020103
+02020203021a8503011a1403010c060a010d010c060a010d13030102000300020003000200030002000302020b03010406030104000300040803041a0803011a0103011a0103011a
+0203011a0103011a0303001a0c0302020703020202030202010302020303020203030202040302020103020201030102010301020103020200030202010302020003020202030302
+0003010200030202010302020003020200030202040303020203020204030202010302020503011a0203011a0203011a0103011a0103011a0203011a0703031a0903011a0103011a
+0103011a0203011a0103011a0303001a0e03030201030202010302020103020204030202080303020203020204030202010302020003020200030202010302020103020201030302
+0003010201030202000301020403001a8603011a1403010c060a010d010c060a010d13030202000300020003000200030002000301020b030104040304040b03031a0703011a0103
+011a0403031a0203021a0f03020207030202020302020103020203030202030302020403070200030602010302020003020201030202000302020203020204030702000302020003
+02020203050202030202040307020803031a0203011a0103011a0103011a0203011a0703011a0003011a0803011a0103011a0403031a0203021a0e03010201030302000307020103
+0202040302020603050202030202040307020003020200030202010302020103020201030202050305028c03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d13030102000300020003000200030002000302020b03010403030004000301040d03001a0003011a0703011a0103011a0203011a0103011a0403
+021a0d030202070302020203020201030202030302020303020204030202050307020103040203030402030302020403020206030402020302020003020202030202040302020b03
+011a0103011a0203011a0103011a0103011a0203011a0703011a0103011a0703011a0103011a0203011a0103011a0403021a0c030102020302020003020206030202040302020103
+01020103020200030202020302020403020206030402020302020103020201030202060303028d03011a1403010c060a010d010c060a010d13030202000300020003000200030002
+000301020a030104060301040a03001a0103001a0003011a0703011a0103011a0103011a0203011a0103001a0303011a0c0302020703020202030202010302020303020203030202
+00030102010303020103010200030102020302020003030204030302050302020403030201030102000303020403020200030202020302020003010201030302010301020503011a
+0203011a0203011a0103011a0103011a0203011a0703011a0103011a0703011a0103011a0103011a0203011a0103001a0303011a0b03020201030202000303020103010201030202
+00030102010302020103010201030202000302020203020200030102010303020103010200030302040302020103020201030202060303028d03011a1403010c060a010d010c060a
+010d13030b020a03010401030004030301040a03011a0003001a0003011a0703011a0103011a0103011a0103021a0103011a0203011a0b03040204030a0200030302010306020103
+050202030a020003030200030602010306020103040204030602000306020103070201030502020306020503011a0103021a0203011a0103011a0203011a0003021a0703011a0203
+011a0603011a0103011a0103011a0103021a0103011a0203011a0b030702010306020103050201030602010307020103050202030602000306020203050201030402060301020603
+001a8603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030b020b030204040301040a03051a0703021a0003031a0103
+021a0103011a0003001a0003031a0c03040204030a020003030201030602020303020403040200030302000303020103060201030602000304020503040202030602010302020003
+020202030302040304020703021a0103011a0003021a0003031a0203021a0003011a0503031a0103011a0503021a0003031a0103021a0103011a0003001a0003031a0c0301020003
+030203030402030303020303040203030202000302020203030204030402020306020203030202030402050302020503021a8503011a1403010c060a010d010c060a010d33030004
+0e03001a6d0302020103020200030202010302021203020201030202b203020201030202130302020703001a8603011a1403010c060a010d010c060a010d310302040e03001a6d03
+07020003070212030702b2030702120303028f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d310301040f03001a6e03
+05020203050214030502b4030502130302029003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010d4b0300023003001a2e0301020203020212030102020302021e03000207030102150306020d030002ff031903011a1403
+010c060a010d010c060a010d4a0301021603011a0203051a0e03001a0603011a250302020103020212030202010302021d03010206030302140306020c030102ff031903011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d4a0301021503011a0403011a0103011a0b03051a0403011a24030202020301021203
+0202020301021d03010207030102170302020e030102ff031903011a1403010c060a010d010c060a010d490302021503011a0403011a0103011a0a03011a0003001a0003011a0403
+011a240303020103010212030302010301021c030202210302020d030202ff031903011a1403010c060a010d010c060a010d26030202000301020203030202030202000307020003
+0202010306021103011a0503011a0103011a0a03011a0003001a0103001a0503011a1003011a10030302010301020203030201030302000302020103030201030102020303020303
+04020003000201030402020306020203040202030202010302020203030204030202020303020003020201030602030303020303040200030002020303020203020201030102f203
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030602010305020103020200030c02000306020403001a0b03011a0503
+011a0103011a0a03011a0003001a0803011a1003031a0e03040200030102010305020003080200030402000301020103050201030702000306020103060202030402020302020103
+02020103050203030202020308020003060202030502010307020103050201030702f103011a1403010c060a010d010c060a010d2403030200030202000302020103020200030202
+010302020003030200030202010302020603021a0a03011a0503011a0003011a0b03031a0803011a1203031a0c030102000301020003010200030202010302020003030200030202
+000301020003010200030102000302020103020200030202000303020003010201030202020302020703020202030202010302020003020201030202020302020303030200030202
+0103020204030202010302020003020200030302000302020103020201030602f103011a1403010c060a010d010c060a010d24030202020301020003020201030202000302020103
+02020003020201030202010302020703001a0b03011a0503031a0d03041a0603011a0703071a0403031a0a0301020003040200030202010302020003020201030202000301020003
+040200030202010302020003020200030202040303020203020207030202030302020003010201030202010302020203020203030202010302020103020204030202010302020003
+02020003020201030202010302020103030200030102f103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d240302020503
+02020103020200030202010302020003020201030202010302021403011a0503011a0003011a0e03031a0503011a0703071a0403031a0a0301020103030200030202010302020003
+020201030202000301020103030200030702000302020003020202030502020302020703020203030202000301020103070202030202030302020103020201030202040307020003
+0202000302020103070201030202f503011a1403010c060a010d010c060a010d24030202050302020103020200030202010302020003020201030202010302021403011a0503011a
+0103011a0d03001a0003011a0503011a1203031a0c030102010303020003020201030202000302020103020200030102010303020003020206030402020302020003020202030202
+0703020203030402020302020703020203030202010302020103020204030202060304020203020206030202f503011a1403010c060a010d010c060a010d24030302010301020003
+0202010302020003020200030302000302020103020201030202000301021103011a0503011a0103011a0a03001a0103001a0003011a0503011a1003031a0e030102020302020003
+020201030202000302020103020200030102020302020003030201030102000303020403020200030202020302020003010204030202040303020203030201030102020302020303
+0202010302020103020200030102010303020103010200030302040303020103010201030202f503011a01020003010200030102000301020003010200030102000301020003010c
+060a010d010c060a010d250306020103050201030b0200030302010305020403001a0c03011a0403011a0203011a0303001a0403011a0003001a0003011a0403011a1103011a1003
+020201030202010305020003030200030302000302020103020201030602000306020103070201030502020306020203020204030602000306020003030200030302010305020203
+0602000306020203060200030402f403011a1403010c060a010d010c060a010d2603040203030302030303020003050200030302020303020403021a0b03011a0303031a0103011a
+0203021a0303051a0503011a240302020203010202030302010303020003030200030202020301020203040202030602010302020003020202030302030306020203020205030402
+0103060200030302000303020203030204030402020306020203040201030402f403011a1403010c060a010d010c060a010d5403001a0d03011a0e03011a0603001a0603011a5203
+0202010302025103020201030202ff030303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d7403011a0603001a5b030702
+51030702ff030303011a1403010c060a010d010c060a010d7303011a0703001a5c03050253030502ff030403011a1403010c060a010d010c060a010dff03ff034003011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d3e0303024c03001a2e03060214030402ff035f03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d3e030302190303021403011a0203051a0e03001a0603011a2503070213030402ff03
+5f03011a1403010c060a010d010c060a010d3f030202180305021203011a0403011a0103011a0b03051a0403011a250302020003020215030202ff035f03011a1403010c060a010d
+010c060a010d3f03020217030202010302021103011a0403011a0103011a0a03011a0003001a0003011a0403011a250302020003020215030202ff035f03011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d24030002000301020003010203030302020300020003010200030102010305020403030202030202
+0103010201030302000302021003011a0503011a0103011a0a03011a0003001a0103001a0503011a1003011a11030202000302020203030204030302050302020403030203030402
+0103030200030202ff034303011a1403010c060a010d010c060a010d24030702010305020103070200030602020305020103070201030102010302020303001a0b03011a0503011a
+0103011a0a03011a0003001a0803011a1003031a0f030502020305020203050204030202030305020103060200030802ff034203011a1403010c060a010d010c060a010d24030702
+0003020201030202000307020003030200030202000302020103020201030602040302020303021a0a03011a0503011a0003011a0b03031a0803011a1203031a0d03050201030202
+01030202000302020103020203030202020302020103020200030102010302020103030200030202ff034203011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d24030102000301020003010200030202010302020003010200030102000301020003020201030202000302020103020201030302000301020303
+02020503001a0b03011a0503031a0d03041a0603011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203020201030202030303020103
+020201030202ff034203011a1403010c060a010d010c060a010d24030102000301020003010200030702000301020003010200030102000302020103020200030702010302020603
+02021303011a0503011a0003011a0e03031a0503011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203070201030502010302020103
+0202ff034203011a1403010c060a010d010c060a010d2403010200030102000301020003020205030102000301020003010200030202010302020003020206030202070301021303
+011a0503011a0103011a0d03001a0003011a0503011a1203031a0d030202000302020003020201030202000302020103020203030202020302020503020200030202010302020103
+0202ff034203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d240301020003010200030102000303020103010200030102
+000301020003010200030202010302020003030201030102010302021d03011a0503011a0103011a0a03001a0103001a0003011a0503011a1003031a0f0302020003020200030202
+01030202000302020103020203030202020303020103010200030202000302020103020201030202ff034203011a1403010c060a010d010c060a010d240301020003010200030102
+01030602000301020003010200030102000306020203060200030402060301020603001a0c03011a0403011a0203011a0303001a0403011a0003001a0003011a0403011a1103011a
+100307020103050202030502020306020103060200030b0200030302ff034203011a1403010c060a010d010c060a010d240301020003010200030102020304020103010200030102
+0003010200030102000302020403040201030402050303020403021a0b03011a0303031a0103011a0203021a0303051a0503011a2403060203030302040303020303060202030402
+020302020003060200030302ff034203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d5d0301020603001a0d03011a0e03
+011a0603001a0603011aff03a603011a1403010c060a010d010c060a010d8603011a0603001aff03af03011a1403010c060a010d010c060a010d8503011a0703001aff03af03011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d4303001a30030402040301020f030102060300020e0303023c030002ff035303011a1403010c060a010d010c
+060a010d13030b020d030004070302040903001a0903021a22030602020303020d030302040301020e0303023b030102ff035303011a1403010c060a010d010c060a010d13030b02
+0c03020405030104000301040603051a0703011a2203020200030202030301020f030102050301020f0302023b030102ff035303011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d13030102000300020003000200030002000302020d03000406030104000301040503011a0003001a0003011a0703011a2203
+0202200302020e03040239030202ff035303011a1403010c060a010d010c060a010d1303020200030002000300020003000200030102140302040803011a0003001a0103001a0703
+011a21030502030304020103030200030202020304020203060203030302030304020303040200030002010304020003000200030202010301020303030203030402000300020103
+04020203060203030302ff034803011a1403010c060a010d010c060a010d13030102000300020003000200030002000302020a030304050301040903011a0003001a0a03041a0303
+041a0303031a0003001a0b03050203030402010308020103040202030602020305020203010200030102020307020003070200030702010305020103070200030602010306020203
+05020403001aff034103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1303020200030002000300020003000200030102
+0c030104050301040903031a0a03021a0003011a0103011a0203011a0103011a0203011a0c0302020703020202030302000302020303020203030202040302020103020201030102
+0003020201030202000303020003020200030302010306020003020201030202000302020003030200030102010302020203020204030202010302020203021aff034003011a1403
+010c060a010d010c060a010d13030102000300020003000200030002000302020b03010406030104000300040803041a0803011a0103011a0103011a0203011a0103011a0303001a
+0c0302020703020202030202010302020303020203030202040302020103020201030102010301020103020200030202010302020003020202030302000301020003020201030202
+0003020200030202040303020203020204030202010302020303001aff034103011a1403010c060a010d010c060a010d13030202000300020003000200030002000301020b030104
+040304040b03031a0703011a0103011a0403031a0203021a0f0302020703020202030202010302020303020203030202040307020003060201030202000302020103020200030202
+02030202040307020003020200030202020305020203020204030702ff034603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d13030102000300020003000200030002000302020b03010403030004000301040d03001a0003011a0703011a0103011a0203011a0103011a0403021a0d030202070302020203
+02020103020203030202030302020403020205030702010304020303040203030202040302020603040202030202000302020203020204030202ff034b03011a1403010c060a010d
+010c060a010d13030202000300020003000200030002000301020a030104060301040a03001a0103001a0003011a0703011a0103011a0103011a0203011a0103001a0303011a0c03
+020207030202020302020103020203030202030302020003010201030302010301020003010202030202000303020403030205030202040303020103010200030302040302020003
+020202030202000301020103030201030102ff034603011a1403010c060a010d010c060a010d13030b020a03010401030004030301040a03011a0003001a0003011a0703011a0103
+011a0103011a0103021a0103011a0203011a0b03040204030a0200030302010306020103050202030a02000303020003060201030602010304020403060200030602010307020103
+0502020306020303001aff034103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030b020b030204040301040a03051a
+0703021a0003031a0103021a0103011a0003001a0003031a0c03040204030a0200030302010306020203030204030402000303020003030201030602010306020003040205030402
+02030602010302020003020202030302040304020303021aff034003011a1403010c060a010d010c060a010d330300040e03001a6d03020201030202000302020103020212030202
+010302021e03001aff034103011a1403010c060a010d010c060a010d310302040e03001a6d0307020003070212030702ff036103011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d310301040f03001a6e0305020203050214030502ff036203011a1403010c060a010d010c060a010dff03ff034003011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003010200030102000301020003010200030102
+00030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a
+1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d27030102000301021103
+001a250301020203020212030102020302021e03000207030102150306020d030002ff036103011a000200030102000301020003010200030102000301020003010200030002010c
+060a010d010c060a010d27030102000301021103001a250302020103020212030202010302021d03010206030302140306020c030102ff036103011a1402010c060a010d010c060a
+010d27030102000301020f03051a220302020203010212030202020301021d03010207030102170302020e030102ff036103011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d250306020e03011a0003001a0003011a220303020103010212030302010301021c030202210302020d030202ff036103011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d250306020e03011a0003001a0103001a0f03011a100303020103010202030302
+010303020003020201030302010301020203030203030402000300020103040202030602020304020203020201030202020303020403020202030302000302020103060203030302
+0303040200030002020303020203020201030102ff033a03011a1402010c060a010d010c060a010d26030102000301020403001a0903011a0003001a1203031a0e03040200030102
+010305020003080200030402000301020103050201030702000306020103060202030402020302020103020201030502030302020203080200030602020305020103070201030502
+01030702ff033903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d26030102000301020303021a0803031a1403031a0c03
+010200030102000301020003020201030202000303020003020200030102000301020003010200030202010302020003020200030302000301020103020202030202070302020203
+02020103020200030202010302020203020203030302000302020103020204030202010302020003020200030302000302020103020201030602ff033903011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010d26030102000301020403001a0a03041a0703071a0403031a0a03010200030402000302020103
+020200030202010302020003010200030402000302020103020200030202000302020403030202030202070302020303020200030102010302020103020202030202030302020103
+0202010302020403020201030202000302020003020201030202010302020103030200030102ff033903011a1402010c060a010d010c060a010d240306021203031a0603071a0403
+031a0a030102010303020003020201030202000302020103020200030102010303020003070200030202000302020203050202030202070302020303020200030102010307020203
+02020303020201030202010302020403070200030202000302020103070201030202ff033d03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d240306021203001a0003011a1103031a0c0301020103030200030202010302020003020201030202000301020103030200030202060304020203020200030202
+020302020703020203030402020302020703020203030202010302020103020204030202060304020203020206030202ff033d03011a000200030102000301020003010200030102
+000301020003010200030002010c060a010d010c060a010d25030102000301021003001a0103001a0003011a0f03031a0e0301020203020200030202010302020003020201030202
+000301020203020200030302010301020003030204030202000302020203020200030102040302020403030202030302010301020203020203030202010302020103020200030102
+010303020103010200030302040303020103010201030202ff033d03011a1402010c060a010d010c060a010d25030102000301020503001a0903011a0003001a0003011a0f03011a
+100302020103020201030502000303020003030200030202010302020103060200030602010307020103050202030602020302020403060200030602000303020003030201030502
+02030602000306020203060200030402ff033c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030102000301020403
+021a0803051a230302020203010202030302010303020003030200030202020301020203040202030602010302020003020202030302030306020203020205030402010306020003
+0302000303020203030204030402020306020203040201030402ff033c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a
+010d25030102000301020503001a0c03001a52030202010302025103020201030202ff034b03011a1402010c060a010d010c060a010d3e03001a5203070251030702ff034b03011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d3e03001a5303050253030502ff034c03011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c
+060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a
+010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010d89030602140304022903001a2e03060214030402ff031a03011a1402010c060a010d010c060a010d41030302
+1403011a0203051a23030702130304022903001a0603011a2503070213030402ff031a03011a01020003010200030102000301020003010200030102000301020003010c060a010d
+010c060a010d400305021203011a0403011a0103011a2303020200030202150302022703051a0403011a250302020003020215030202ff031a03011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010d3f030202010302021103011a0403011a0103011a2303020200030202150302022603011a0003001a0003
+011a0403011a250302020003020215030202ff031a03011a1402010c060a010d010c060a010d250304020103030200030202010303020003020200030302000302021003011a0503
+011a0103011a0f03011a1103020200030202020303020403030205030202040303020303040201030302000302020a03011a0003001a0103001a0503011a1003011a110302020003
+020202030302040303020503020204030302030304020103030200030202fe03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d2403060200030802000303020003020201030102010302020303001a0b03011a0503011a0103011a0f03031a0f03050202030502020305020403020203030502010306020003
+08020903011a0003001a0803011a1003031a0f030502020305020203050204030202030305020103060200030802fd03011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010d240301020103020201030302000302020003020201030202040302020303021a0a03011a0503011a0003011a1203031a0d030502
+01030202010302020003020201030202030302020203020201030202000301020103020201030302000302020903031a0803011a1203031a0d030502010302020103020200030202
+0103020203030202020302020103020200030102010302020103030200030202fd03011a1402010c060a010d010c060a010d27030302010302020103020201030202000301020403
+02020503001a0b03011a0503031a0803071a0403031a0b03020200030202000302020103020200030202010302020303020202030202010302020303030201030202010302020a03
+041a0603011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203020201030202030303020103020201030202fd03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d25030502010302020103020201030502030302021303011a0503011a0003011a0703071a0403
+031a0b030202000302020003020201030202000302020103020203030202020307020103050201030202010302020c03031a0503011a0703071a0403031a0b030202000302020003
+02020103020200030202010302020303020202030702010305020103020201030202fd03011a000200030102000301020003010200030102000301020003010200030002010c060a
+010d010c060a010d2403020200030202010302020103020202030302050301021303011a0503011a0103011a1103031a0d0302020003020200030202010302020003020201030202
+0303020202030202050302020003020201030202010302020c03001a0003011a0503011a1203031a0d03020200030202000302020103020200030202010302020303020202030202
+05030202000302020103020201030202fd03011a1402010c060a010d010c060a010d24030202000302020103020201030202020303021b03011a0503011a0103011a0f03031a0f03
+02020003020200030202010302020003020201030202030302020203030201030102000302020003020201030202010302020903001a0103001a0003011a0503011a1003031a0f03
+0202000302020003020201030202000302020103020203030202020303020103010200030202000302020103020201030202fd03011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d24030b020003030203030102060301020603001a0c03011a0403011a0203011a0e03011a1003070201030502020305020203
+06020103060200030b02000303020303001a0403011a0003001a0003011a0403011a1103011a100307020103050202030502020306020103060200030b0200030302fd03011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d25030202000306020003030202030202050303020403021a0b03011a0303031a
+0103011a21030602030303020403030203030602020304020203020200030602000303020203021a0303051a0503011a240306020303030204030302030306020203040202030202
+0003060200030302fd03011a1402010c060a010d010c060a010d37030202070301020603001a0d03011a6e03011a0603001a0603011aff036103011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d360303029003011a0603001aff036a03011a1403010c060a010d010c060a010d360302029003011a0703001a
+ff036a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d4b03000245030602140304022903001a2e0301020203020212030102020302021e0300020703
+0102150306020d030002b903011a1403010c060a010d010c060a010d4a0301021603011a0203051a23030702130304022903001a0603011a25030202010302021203020201030202
+1d03010206030302140306020c030102b903011a1403010c060a010d010c060a010d4a0301021503011a0403011a0103011a2303020200030202150302022703051a0403011a2403
+02020203010212030202020301021d03010207030102170302020e030102b903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d490302021503011a0403011a0103011a2303020200030202150302022603011a0003001a0003011a0403011a240303020103010212030302010301021c030202210302020d03
+0202b903011a1403010c060a010d010c060a010d260302020003010202030302020302020003070200030202010306021103011a0503011a0103011a0f03011a1103020200030202
+020303020403030205030202040303020303040201030302000302020a03011a0003001a0103001a0503011a1003011a100303020103010202030302010303020003020201030302
+010301020203030203030402000300020103040202030602020304020203020201030202020303020403020202030302000302020103060203030302030304020003000202030302
+02030202010301029203011a1403010c060a010d010c060a010d25030602010305020103020200030c02000306020403001a0b03011a0503011a0103011a0f03031a0f0305020203
+050202030502040302020303050201030602000308020903011a0003001a0803011a1003031a0e030402000301020103050200030802000304020003010201030502010307020003
+06020103060202030402020302020103020201030502030302020203080200030602020305020103070201030502010307029103011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d2403030200030202000302020103020200030202010302020003030200030202010302020603021a0a03011a0503011a0003
+011a1203031a0d03050201030202010302020003020201030202030302020203020201030202000301020103020201030302000302020903031a0803011a1203031a0c0301020003
+010200030102000302020103020200030302000302020003010200030102000301020003020201030202000302020003030200030102010302020203020207030202020302020103
+0202000302020103020202030202030303020003020201030202040302020103020200030202000303020003020201030202010306029103011a1403010c060a010d010c060a010d
+2403020202030102000302020103020200030202010302020003020201030202010302020703001a0b03011a0503031a0803071a0403031a0b030202000302020003020201030202
+00030202010302020303020202030202010302020303030201030202010302020a03041a0603011a0703071a0403031a0a0301020003040200030202010302020003020201030202
+000301020003040200030202010302020003020200030202040303020203020207030202030302020003010201030202010302020203020203030202010302020103020204030202
+010302020003020200030202010302020103020201030302000301029103011a1403010c060a010d010c060a010d2403020205030202010302020003020201030202000302020103
+0202010302021403011a0503011a0003011a0703071a0403031a0b030202000302020003020201030202000302020103020203030202020307020103050201030202010302020c03
+031a0503011a0703071a0403031a0a030102010303020003020201030202000302020103020200030102010303020003070200030202000302020203050202030202070302020303
+020200030102010307020203020203030202010302020103020204030702000302020003020201030702010302029503011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010d24030202050302020103020200030202010302020003020201030202010302021403011a0503011a0103011a1103031a0d0302020003
+0202000302020103020200030202010302020303020202030202050302020003020201030202010302020c03001a0003011a0503011a1203031a0c03010201030302000302020103
+020200030202010302020003010201030302000302020603040202030202000302020203020207030202030304020203020207030202030302020103020201030202040302020603
+040202030202060302029503011a1403010c060a010d010c060a010d240303020103010200030202010302020003020200030302000302020103020201030202000301021103011a
+0503011a0103011a0f03031a0f0302020003020200030202010302020003020201030202030302020203030201030102000302020003020201030202010302020903001a0103001a
+0003011a0503011a1003031a0e0301020203020200030202010302020003020201030202000301020203020200030302010301020003030204030202000302020203020200030102
+0403020204030302020303020103010202030202030302020103020201030202000301020103030201030102000303020403030201030102010302029503011a1403010c060a010d
+010c060a010d250306020103050201030b0200030302010305020403001a0c03011a0403011a0203011a0e03011a100307020103050202030502020306020103060200030b020003
+03020303001a0403011a0003001a0003011a0403011a1103011a10030202010302020103050200030302000303020003020201030202010306020003060201030702010305020203
+0602020302020403060200030602000303020003030201030502020306020003060202030602000304029403011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d2603040203030302030303020003050200030302020303020403021a0b03011a0303031a0103011a210306020303030204030302030306020203
+04020203020200030602000303020203021a0303051a0503011a24030202020301020203030201030302000303020003020202030102020304020203060201030202000302020203
+030203030602020302020503040201030602000303020003030202030302040304020203060202030402010304029403011a1403010c060a010d010c060a010d5403001a0d03011a
+6e03011a0603001a0603011a52030202010302025103020201030202a303011a1403010c060a010d010c060a010dd403011a0603001a5b03070251030702a303011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dd303011a0703001a5c03050253030502a403011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d9b030602140304022903001a2e030602
+14030402ff030803011a1403010c060a010d010c060a010d530303021403011a0203051a23030702130304022903001a0603011a2503070213030402ff030803011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d520305021203011a0403011a0103011a2303020200030202150302022703051a0403011a2503
+02020003020215030202ff030803011a1403010c060a010d010c060a010d51030202010302021103011a0403011a0103011a2303020200030202150302022603011a0003001a0003
+011a0403011a250302020003020215030202ff030803161a010c060a010d010c060a010d260303020203020201030202020303020203020201030102010303020003020200030302
+000302021003011a0503011a0103011a0f03011a1103020200030202020303020403030205030202040303020303040201030302000302020a03011a0003001a0103001a0503011a
+1003011a110302020003020202030302040303020503020204030302030304020103030200030202ec03161a010c060a010d010c060a010d25030502010302020103020201030502
+01030702000303020003020201030102010302020303001a0b03011a0503011a0103011a0f03031a0f0305020203050202030502040302020303050201030602000308020903011a
+0003001a0803011a1003031a0f030502020305020203050204030202030305020103060200030802eb03011a1402010c060a010d010c060a010d2403020201030202000302020103
+02020003020201030202010306020003020201030202040302020303021a0a03011a0503011a0003011a1203031a0d03050201030202010302020003020201030202030302020203
+020201030202000301020103020201030302000302020903031a0803011a1203031a0d03050201030202010302020003020201030202030302020203020201030202000301020103
+02020103030200030202eb03011a1402010c060a010d010c060a010d2403020201030202010302020003010201030202010302020103030200030102010302020003010204030202
+0503001a0b03011a0503031a0803071a0403031a0b03020200030202000302020103020200030202010302020303020202030202010302020303030201030202010302020a03041a
+0603011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203020201030202030303020103020201030202eb03011a1402010c060a010d
+010c060a010d240307020103020200030102010307020103020205030502030302021303011a0503011a0003011a0703071a0403031a0b0302020003020200030202010302020003
+02020103020203030202020307020103050201030202010302020c03031a0503011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203
+0702010305020103020201030202eb03011a1402010c060a010d010c060a010d2403020206030402020302020603020206030302050301021303011a0503011a0103011a1103031a
+0d03020200030202000302020103020200030202010302020303020202030202050302020003020201030202010302020c03001a0003011a0503011a1203031a0d03020200030202
+00030202010302020003020201030202030302020203020205030202000302020103020201030202eb03011a1402010c060a010d010c060a010d2403030201030102020303020203
+03020103010201030202060303021b03011a0503011a0103011a0f03031a0f0302020003020200030202010302020003020201030202030302020203030201030102000302020003
+020201030202010302020903001a0103001a0003011a0503011a1003031a0f0302020003020200030202010302020003020201030202030302020203030201030102000302020003
+02020103020201030202eb03011a1402010c060a010d010c060a010d2503060202030202040306020003040206030102060301020603001a0c03011a0403011a0203011a0e03011a
+100307020103050202030502020306020103060200030b02000303020303001a0403011a0003001a0003011a0403011a1103011a1003070201030502020305020203060201030602
+00030b0200030302eb03011a1402010c060a010d010c060a010d2603040203030202050304020103040205030202050303020403021a0b03011a0303031a0103011a210306020303
+03020403030203030602020304020203020200030602000303020203021a0303051a0503011a2403060203030302040303020303060202030402020302020003060200030302eb03
+011a000212030002010c060a010d010c060a010d49030202070301020603001a0d03011a6e03011a0603001a0603011aff034f03011a010210030102010c060a010d010c060a010d
+480303029003011a0603001aff035803011a02020e030202010c060a010d010c060a010d480302029003011a0703001aff035803011a03020c030302010c060a010d010c060a010d
+ff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d
+010c060a010dff03ff034003011a070204030702010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a090200030902
+010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d
+010c060a010dff1aff1a421a1402010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003161a010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a
+1803010c060a010d010c060a010d9e030102210300027c0300024e0304020403010204030402050300021a03751a1803010c060a010d010c060a010d140302040103020404030004
+7a0303021f0301027b0301024d0306020203030203030402040301021a03751a1803010c060a010d010c060a010d1503010402030104030302047a030102200301027b0301024d03
+0202000302020303010206030202040301021a03751a1803010c060a010d010c060a010d1503010402030004050300049d0302027a0302024d03020210030202030302021a03751a
+1803010c060a010d010c060a010d15030104020300043603030200030202020304020203000200030102000301020303030203030302000300021403030200030002020304020303
+040200030402000302020203040202030602010302020003030200030202010301020303030203030302000300021c03010200030302020304020203020201030102020304020203
+00020003010200030102030303020203060203030302020302020103010202030302000300022e0305020303040205030202020306020303030202030202010301020503751a1803
+010c060a010d010c060a010d15030104010300040303030405030304010301040403000403030304050300040c030802000306020103070201030502010306021303060202030402
+02031002000306020103060201030202000303020003070201030502010306021c030702000306020103070200030602010307020103050201030602020305020103070200030602
+2e03050203030402050302020203060202030502010307020403751a1803010c060a010d010c060a010d150301040103000405030104030302040103010401030104020301040103
+020401030104030302040c03030200030202000301020103020201030702000302020103020200030202000302021303020200030202040302020203020200030302000303020003
+0202000301020103020202030202040302020103020201030602000302020103020200030202000302021c0303020003020200030102010302020203060200030102010302020103
+070200030202010302020103020204030202010302020103060200030202000302022f0302020703020205030202030302020403020201030202010306020403751a1803010c060a
+010d010c060a010d150301040103000404030104040301040203010401030104020301040103010402030004050300040d0302020103020203030302010301020003010200030102
+000302020103020200030302010300021303030201030002040302020203020200030202010302020103020203030302020302020403020201030202010303020003010200030202
+0103020200030302010300021c0302020103020203030302020303020003010203030302010301020003010200030102000302020103020201030202040302020103020201030302
+0003010200030302010300022f030202070302020503020203030202040302020103020201030302000301020403751a1803010c060a010d010c060a010d15030104000300040503
+010403030104020301040203010402030004030301041703020201030202010305020103010200030102000301020003070201030402150304020503020202030202000302020103
+020201030202010305020203020204030202010302020103020204030702010304021d03020201030202010305020203020205030502010301020003010200030102000307020103
+02020403070201030202050304023003020207030202050302020303020204030702010302020803751a1803010c060a010d010c060a010d15030104000300040503010403030404
+030301040103000400030004040302041503020201030202000302020003020201030102000301020003010200030202050300020103030213030002010303020403020203030402
+02030202010302020003020200030202020302020403020201030202010302020403020205030002010303021c030202010302020003020200030202020302020403020200030202
+0103010200030102000301020003020206030202040302020603020204030002010303022f03020207030202050302020303020204030202060302020803751a1803010c060a010d
+010c060a010d150301040003000404030104040301040603010400030104000300040203000402030104140302020103020200030202000302020103010200030102000301020003
+030201030102000302020003020213030202000302020403020202030302040302020103020200030202000302020203020200030102010302020003030201030202040303020103
+010200030202000302021c03020200030302000302020003020202030202040302020003020201030102000301020003010200030302010301020103020200030102010303020103
+01020103020204030202000302022f030202070302020503020203030202000301020103030201030102010302020803751a1803010c060a010d010c060a010d1503020405030104
+010300040203010402030004010306040103010401030204040300040d03030200030302000307020003010200030102000301020103060200030602130306020203060200030602
+00030302000303020003070201030502010307020003040204030602000306021c030602010307020003040203030702000301020003010200030102010306020103050202030602
+00030402030306022e03040204030602010306020103050202030602000304020703751a1803010c060a010d010c060a010d15030104070302040403030403030104000301040303
+0304050302040c03030200030302010302020003020200030102000301020003010202030402010300020003030214030002000303020303060201030a0200030302010302020003
+0202020303020303030200030102000304020503040201030002000303021d0305020303020200030202000304020403020200030202000301020003010200030102020304020303
+0302040304020103040203030002000303022f03040204030602010306020203030204030402010304020703751a1803010c060a010d010c060a010d430300045f03020201030202
+5a030202bd03751a1803010c060a010d010c060a010da40307025a030202bd03751a1803010c060a010d010c060a010da50305025a030402bc03751a1803010c060a010d010c060a
+010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803041a0803671a1803010c060a010d010c060a010dff03c803041a
+0803671a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010da70301020f030102d6030302270301020f030002070301027b03010c060a010d010c
+060a010da60303020d0303026a03020404030004100300044f030302260303020d030102060303027a03010c060a010d010c060a010da70301020f0301026c030104030302040603
+0004060302044f030202270301020e030102070301027b03010c060a010d010c060a010dff032803010404030004070300040703000450030202370302028503010c060a010d010c
+060a010d5303020200030302010303020003000202030402030304020003000202030302160303020203020201030102020304020303040200030002010304020103030200030202
+0203030200030002570301040d0301045603050202030302030303020003000203030202000301020003020201030102020304020203010200030302010306020203040204030302
+01030302000302026703010c060a010d010c060a010d5303020200030302000306020103060201030702010305021403050201030702010304020203070201030402010308020003
+060239030304050302040203010401030104040301040003010402030304040305040203030406030204020301040103010404030304300306020103050201030602020306020003
+07020103040202030702000306020203040203030502000308026603010c060a010d010c060a010d5303020201030202000302020003020201030102010302020103020200030302
+000302020103020212030202010302020103060203030202020302020003030203030202020303020003020200030202000302023703020401030104020301040103010400030004
+00030004000303040203000401030204040301040503010407030104040301040103010400030004000300040003030401030204010301042e030202000303020003020201030202
+00030202000302020103030200030202010306020303020202030302000302020103020207030202020302020103020200030302000302026603010c060a010d010c060a010d5303
+020201030202000303020103000204030302010302020003020201030202010302021203020201030202010303020003010203030202020302020003020204030202020302020103
+020200030302010300023703010402030004030301040103010402030204000301040103010401030104040301040603010406030104050301040103010402030204000301040103
+0104020300042f0302020103020200030202010302020003030201030002010302020203010201030302000301020303020202030202010302020103020207030202020302020103
+020200030202010302026603010c060a010d010c060a010d530302020103020201030402030305020103020200030202010307021203020201030202010302020703020202030202
+000302020403020202030202010302020103040237030104070301040203010402030104010301040103010401030104040301040603010406030104040301040203010402030104
+01030104020301043203020201030202000307020103040202030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c
+060a010d010c060a010d5303020201030202000300020103030201030202000302020203040202030202170302020103020201030202070302020303040205030202020302020103
+020200030002010303023603010407030104020301040103010402030004010301040203010404030104050301040703010404030104020301040103010402030004040302043003
+02020103020200030202050300020103030201030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d000c
+090d53030202000303020003020200030202010302020003020201030302040303020103010212030202010302020103020207030202020303020703020202030202010302020003
+020200030202360301040703010401030104020301040103010401030104010301040403010406030104060301040503010401030104020301040103010402030004020301042f03
+020201030202000303020103010200030202000302020103030201030102010302020703020202030202000303020103020200030102040302020203020201030202000302020103
+02026603010c080d090c000d53030702000306020103070200030602020306021303050201030402040306020003060202030a020003030200030602370301040203000402030104
+010301040203010401030104000302040003020400030004020301040103000403030104010300040303010401030004020301040103010402030104010301040003020401030204
+3003060201030602000306020203060200030402040306020003060202030502020306020103050200030302000303026603090c000d010c060a010d540303020003010200030002
+00030302030302020003020201030602020304021503030202030402040306020103060201030a020003030200030002000303023903030404030204030301040303010401030204
+000301040403020405030204050302040403020403030104030301040103030433030202000301020203040201030002000303020403040201030402040306020003050204030302
+030306020203030201030302000303026603010c060a010d010c060a010d6e030202010302023603020201030202ff030e0302028f03010c060a010d010c060a010d6e0307023603
+0702ff030e0302028f03010c060a010d010c060a010d6f03050238030502ff030e0304028e03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0a
+ff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d
+000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d
+6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-consearch.ps b/books/ps/h-consearch.ps
new file mode 100644
index 0000000..c9325ad
--- /dev/null
+++ b/books/ps/h-consearch.ps
@@ -0,0 +1,1145 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:14:53 1991
+%%Title: h-consearch.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-consearch.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+0020107000201490073010000050102000b010200000100001e01000022010000
+8c0106000201040002010200020103000201020004010100040102000201280000011d000112060
+10111011206010111050002010d00020100000201050002010700020149007201
+0100040100000101010009010100000102001e010000220100008c0106000201040002010200020
+103000201020004010100040102000201260004011b0001120601011101120601
+0111050002010d00020100000201050002010700020149007101020004010000010101000801010
+0020101001d010100210101008c01060002010400020102000201030002010200
+0b0102000201240008011900011206010111011206010111050002010e000401060002010700020
+1490070010300030101000201010007010100030100001d010100210101008c01
+060002010400020102000201030002010200020100000301000002010200020122000c011700011
+20601011101120601011105000801080004010600020107000201490072010100
+0301010002010100070101000301000002010300020101000001020003010300000100000101060
+00101010000010300010102000001020003010300020106000301030002010100
+0001030002010300000100006e0106000a010200020103000201020002010000030100000201020
+007011b0010011500011206010111011206010111050009010800020107000201
+0700020149007201010003010100020101000701010006010100010101000201010001010100010
+10100020101000301010005010200010101000101010001010100020101000101
+0100030101000501010001010100020102000101010000010100020101006e0106000a010200020
+10300020102000201010001010100020102000801180014011300011206010111
+0112060101110500090108000201070002010700020149007201010003010100020101000701010
+00501010003010100010101000101010001010100030100000301010005010100
+0201010001010100010101000101010002010100030101000401010003010100010101000201010
+000010100030100006e0106000a01020002010300020102000201010001010100
+020102000801160018011100011206010111011206010111050002010e000401060002010700020
+14900720101000301010002010100070101000501010003010100010101000101
+0100020102000601010005010100060101000101010001010100080101000401010003010100010
+10100060102007101060002010400020102000201030002010200020105000201
+0200020121000e011600011206010111011206010111050002010e0004010600020107000201490
+07201010003010100020101000701010003010000000101000301010001010100
+0101010004010200040101000501010006010100010101000101010008010100040101000301010
+001010100080102006f0106000201040002010200020103000201020002010500
+02010200020121000e011600011206010111011206010111050002010d000201000002010500020
+10700020149007201010003010100020101000701010003010000000101000301
+0100010101000101010001010000030101000301010005010100060101000101010001010100030
+100000301010004010100030101000101010005010000030101006e0106000201
+04000201020002010300020102000201050002010200020121000e0116000112060101110112060
+10111050002010d00020100000201050002010700020149007201010004010100
+0101000009010100010101000101010001010100020101000101010001010100020101000301010
+00101000002010100060101000001020002010100010101000301010001010000
+02010100010101000201010005010100020101006e0106000201040002010200020103000201020
+00201050002010200020121000e01160001120601011101120601011105000201
+0c00020102000201040002010700020149007101040002010100010100000a01030003010300020
+10200000103000001000000010300050102000201040005010200000101000201
+030005010200040103000201040003010000000103006f010600020104000201020002010300020
+102000201050002010200020121000e0116000112060101110112060101110500
+02010c00020102000201040002010700020149007001050003010200e1010600020104000201020
+00201030002010200020105000201020002014700011206010111011206010111
+050002010b0002010400020103000201070002014900ff015f01060002010400020102000201030
+00201020002010500020102000201470001120601011101120601011105000901
+040002010400020103000201070002014900ff015f0106000201040002010200090102000201050
+0020102000801410001120601011101120601011105000a010200020106000201
+02000201070002014900ff015f01060002010400020103000801020002010500020102000901400
+00112060101110112060101110600090103000101070001010300010108000101
+4900ff015f010700010105000101040006010400010106000101030008014000011206010111011
+2060101117b00ff015f017b000112060101110112060101117b00ff015f017b00
+0112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b0
+0011206010111011206010111ff00ff005700011206010111011206010111ff00
+ff005700011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+101120601011101120601011114010400060101000d010300000101002d010100
+030101000c01000010010100ff01c80101120601011101120601011114010400050103000b01070
+02d010100030101000b0101000f010300ff01c701011206010111011206010111
+15010200070101000c010200010102002d010200010102000b01010010010100ff01c8010112060
+101110112060101111501020016010200020101002d010200010102000a010200
+ff01db0101120601011101120601011115010200050104000401030002010300010101000201020
+00001010000010200000103000101040002010200010101000301030002010700
+01010400020106000101020001010100020104000201030000010200ff01bc01011206010111011
+20601011115010200050104000301050002010300040106000001020000010300
+0001060001010700010105000101070000010600010106000101070001010400020102000101020
+0ff01bc0101120601011101120601011115010200070102000201020001010200
+0201030002010200010102000001020001010200000101000101020002010600000102000101020
+00001070000010100010102000201020005010600030102000301020000010100
+ff01bd0101120601011101120601011115010200070102000201020001010200030103000101020
+00101020000010200010102000301030002010300000101000001020001010200
+000101000001010000010100030103000201020005010300000101000301020004010300ff01be0
+10112060101110112060101111501020007010200020107000001010001010300
+0001020001010200000102000101020001010500020102000401070000010100000101000001010
+00101050002010200050102000701020004010300ff01be010112060101110112
+0601011115010200010101000301020002010200050101000201020000010200010102000001020
+00101020000010200000102000201020004010200050101000001010000010100
+000102000001020002010200050102000701020004010300ff01be0101120601011101120601011
+11501020000010200030102000201030001010100000102000101020000010300
+0001020000010200000103000001020000010200020102000401030001010100000101000301010
+00001020000010200020102000001010002010200070102000301010000010200
+ff01bd0101120601011101120601011114010700010106000101060000010700010106000001070
+00001070000010400040106000001020001010200000107000101050001010400
+040106000001020001010200ff01bc0101120601011101120601011114010700010106000201040
+00101010000010300030105000101030000010100010102000001020000010400
+0501040001010200010102000101020000010200020103000201040004010600000102000001030
+0ff01bc010112060101110112060101113d010200ff01ff011601011206010111
+0112060101113d010200ff01ff0116010112060101110112060101113c010300ff01ff011601011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff01570101120601011101120601011114010400
+0601010028010300000101001501000016010100030101000c010000100101000c0106001201030
+0ff01820101120601011101120601011114010400050103002601070014010100
+16010100030101000b0101000f0103000b01070011010300ff01820101120601011101120601011
+1150102000701010027010200010102001401010016010200010102000b010100
+100101000d0102000001020012010200ff018201011206010111011206010111150102003101020
+0020101001301020016010200010102000a010200200102000001020012010200
+ff01820101120601011101120601011115010200050104000101030000010200030103000301040
+00201020001010100010103000101010000010300000102000101030000010000
+0101060003010300020100000001010000010100010107000101040002010600010102000101010
+00201040002010300000102000101020000010200010104000401020000010100
+000102000101020001010400030104000001000002010300ff01640101120601011101120601011
+11501020005010400010108000101050001010600010107000101030003010300
+0001020000010600010106000201050001010700000107000001060001010600010107000101040
+00201020001010200010102000001020000010600020106000001020001010200
+000106000101070001010500ff01630101120601011101120601011115010200070102000201030
+00001020000010200010102000001010001010200020106000201030002010200
+0101020000010200000102000201020004010200010102000001070000010700000101000101020
+00201020005010600030102000301020000010100020106000001010001010200
+0101030000010200000102000001020001010100010102000101020000010300000102000101020
+0ff01620101120601011101120601011115010200070102000201020001010200
+0001020001010200030103000201030000010100030103000201020000010100010103000101000
+00201020004010200010102000001010000010100000101000001010000010100
+0001010003010300020102000501030000010100030102000401030003010500040103000101020
+002010100000105000501030001010200000102000101020001010200ff016201
+0112060101110112060101111501020007010200020102000101020000010700010105000201020
+00401010001010300010105000201040003010200040107000001010000010100
+0001010000010100000101000001010001010500020102000501020007010200040103000301020
+005010500010102000501040004010500010102000001020001010700ff016201
+0112060101110112060101111501020001010100030102000201020001010200000102000501020
+00001020002010200040101000201020002010300020100000101030002010200
+0401020005010100000101000001010000010100000101000001010000010200000102000201020
+00501020007010200040103000301020004010200000102000101020005010200
+0001010002010200000102000201040002010200ff0167010112060101110112060101111501020
+00001020003010200020102000101020000010300010101000001020000010200
+0201020004010200010102000201030002010200000102000201020000010100010103000101010
+00001010000010100000101000001010003010100000102000001020002010200
+0001010002010200070102000301010000010200020102000401020000010200010103000101010
+000010200000102000101020000010200010103000401030001010100ff016201
+0112060101110112060101111401070001010a00000103000101060000010700000104000301070
+00301010003010600020105000201060000010100000101000001010000010200
+0101020000010700010105000101040004010600000102000101020000010400030107000101060
+00001020001010200000107000001060002010600ff0162010112060101110112
+060101111401070001010a000001030002010400020102000001020000010400030101000001030
+00301020003010000000103000401030004010400010101000001010000010100
+0001020001010200010102000001020002010300020104000401060000010200000103000001040
+00401020000010200020104000101020001010200010102000001020001010600
+02010400ff016301011206010111011206010111540102008b01020001010200ff016b010112060
+10111011206010111530103008b010700ff016b01011206010111011206010111
+530102008d010500ff016c01011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+1011114010100030101000c01000010010100ff01ff0119010112060101110112
+0601011114010100030101000b0101000f010300ff01ff011801011206010111011206010111140
+10200010102000b01010010010100ff01ff011901011206010111011206010111
+14010200010102000a010200ff01ff012c010112060101110112060101111401070001010400020
+106000101020001010100020104000201030000010200ff01ff010d0101120601
+011101120601011114010700000106000101060001010700010104000201020001010200ff01ff0
+10d01011206010111011206010111140107000001010001010200020102000501
+0600030102000301020000010100ff01ff010e01011206010111011206010111140101000001010
+000010100030103000201020005010300000101000301020004010300ff01ff01
+0f01011206010111011206010111140101000001010000010100010105000201020005010200070
+1020004010300ff01ff010f010112060101110112060101111401010000010100
+00010100000102000001020002010200050102000701020004010300ff01ff010f0101120601011
+10112060101111401010003010100000102000001020002010200000101000201
+0200070102000301010000010200ff01ff010e01011206010111011206010111140102000101020
+0000107000101050001010400040106000001020001010200ff01ff010d010112
+0601011101120601011114010200010102000101020000010200020103000201040004010600000
+1020000010300ff01ff010d01011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff0157010112060101110112060101111401010003010100
+0c010000100101000d010200000101000d010000ff01f6010112060101110112060101111401010
+0030101000b0101000f0103000b0106000c010100ff01f6010112060101110112
+0601011114010200010102000b010100100101000c010200000102000c010100ff01f6010112060
+1011101120601011114010200010102000a0102001f010200010101000b010200
+ff01f60101120601011101120601011114010700010104000201060001010200010101000201040
+00201030000010200000102000101010002010400020106000301030003010400
+000100000201030002010200010101000101030000010200ff01c50101120601011101120601011
+11401070000010600010106000101070001010400020102000101020000010200
+0501060001010600020105000101070001010500010107000001030000010200ff01c5010112060
+10111011206010111140107000001010001010200020102000501060003010200
+0301020000010100010102000501010001010200020102000401020001010200000102000001030
+00001020001010200010106000001020001010200ff01c5010112060101110112
+0601011114010100000101000001010003010300020102000501030000010100030102000401030
+00201020008010300020102000401020001010200000102000001020001010200
+0101020001010300000101000101020000010100ff01c6010112060101110112060101111401010
+00001010000010100010105000201020005010200070102000401030002010200
+060105000201020004010700000102000001020001010200010102000101020005010500ff01c60
+10112060101110112060101111401010000010100000101000001020000010200
+0201020005010200070102000401030002010200010101000101020000010200020102000401020
+00601040002010200010102000101020006010300ff01c7010112060101110112
+0601011114010100030101000001020000010200020102000001010002010200070102000301010
+00001020001010200010101000101020000010200020102000001010001010300
+010101000001030004010200010102000101020006010300ff01c70101120601011101120601011
+11401020001010200000107000101050001010400040106000001020001010200
+0001060001010700010105000201060000010600020105000101040006010100ff01c8010112060
+10111011206010111140102000101020001010200000102000201030002010400
+0401060000010200000103000101040003010200000102000201030004010400020106000201030
+00201040005010200ff01c8010112060101110112060101116e01020001010200
+13010200ff01c9010112060101110112060101116e01070012010300ff01c901011206010111011
+2060101116f01050013010200ff01ca01011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+570101120601011101120601011114010100030101000c010000100101000d010200000101000d0
+10000310107001e010000070101001f010400ff016d0101120601011101120601
+011114010100030101000b0101000f0103000b0106000c010100310107001d010100060103001d0
+10600ff016c0101120601011101120601011114010200010102000b0101001001
+01000c010200000102000c01010032010200000102001d010100070101001e01010001010300ff0
+16b0101120601011101120601011114010200010102000a0102001f0102000101
+01000b01020032010200010101001c0102002801010002010200ff016b010112060101110112060
+10111140107000101040002010600010102000101010002010400020103000001
+0200000102000101010002010400020106000301030003010400000100000201030002010200010
+10100010103000001020001010200040102000001070000010200030102000001
+01000001060002010400040103000101030000010200020103000001000006010200ff016b01011
+20601011101120601011114010700000106000101060001010700010104000201
+0200010102000001020005010600010106000201050001010700010105000101070000010300000
+10200010104000201020000010c00010106000001060002010400030105000001
+08000001060006010100ff016c01011206010111011206010111140107000001010001010200020
+10200050106000301020003010200000101000101020005010100010102000201
+0200040102000101020000010200000103000001020001010200010106000001020001010200010
+10400020102000101020000010300000102000001030000010200010102000701
+020002010200010102000001030000010200000102000001020005010100ff016d0101120601011
+10112060101111401010000010100000101000301030002010200050103000001
+0100030102000401030002010200080103000201020004010200010102000001020000010200010
+10200010102000101030000010100010102000001010002010200040102000101
+0200000102000101020000010200020101000101020007010200020102000101020000010200010
+10200000103000101000004010100ff016e010112060101110112060101111401
+0100000101000001010001010500020102000501020007010200040103000201020006010500020
+10200040107000001020000010200010102000101020001010200050105000201
+0200040102000101020000010200010102000001020006010200070102000201020001010200000
+10200010102000101040004010100ff016f010112060101110112060101111401
+0100000101000001010000010200000102000201020005010200070102000401030002010200010
+10100010102000001020002010200040102000601040002010200010102000101
+0200060103000301020004010200010102000001020001010200000102000601020007010200020
+10200010102000001020001010200000100000101030002010100ff0170010112
+0601011101120601011114010100030101000001020000010200020102000001010002010200070
+10200030101000001020001010200010101000101020000010200020102000001
+0100010103000101010000010300040102000101020001010200060103000301020004010200000
+10300000102000101020000010300010101000101020000010100040102000201
+020001010200000102000101020000010200000102000101020003010000ff016b0101120601011
+10112060101111401020001010200000107000101050001010400040106000001
+0200010102000001060001010700010105000201060000010600020105000101040006010100030
+1040003010b000001030001010600010105000201060001010500000103000001
+0300000106000101020002010100ff016b010112060101110112060101111401020001010200010
+10200000102000201030002010400040106000001020000010300010104000301
+0200000102000201030004010400020106000201030002010400050102000301040004010300000
+10500000103000201040003010300030106000201030001010300000103000001
+00000001030002010700ff016b010112060101110112060101116e0102000101020013010200550
+10700ff016b010112060101110112060101116e01070012010300ff01c9010112
+060101110112060101116f01050013010200ff01ca01011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+101120601011101120601011114010100030101000c010000100101000d010200
+000101002e0106002801010018010000ff018a01011206010111011206010111140101000301010
+00b0101000f0103000b0106002e0107002601030016010100ff018a0101120601
+011101120601011114010200010102000b010100100101000c010200000102002f0102000001020
+02701010017010100ff018a010112060101110112060101111401020001010200
+0a0102001f010200010101002f0102000001020040010200ff018a0101120601011101120601011
+11401070001010400020106000101020001010100020104000201030000010200
+0001020001010100030103000201000000010100000101000101000000010100000101000301030
+00101030000010200020102000001020002010300010103000001020003010300
+0201000000010100000101000201040001010300000102000201040002010600030103000201020
+001010100ff017501011206010111011206010111140107000001060001010600
+0101070001010400020102000101020000010200060105000101070000010700010105000001080
+00101020000010200010105000001080001010500010107000101040001010800
+00010600010106000201050001010700ff017401011206010111011206010111140107000001010
+00101020002010200050106000301020003010200000101000101020005010200
+0101020000010700000107000001020001010200000103000001020001010200000102000001020
+00101020000010300000102000001020001010200000107000301020002010300
+00010200000101000101020002010200040102000101020001010600ff017401011206010111011
+20601011114010100000101000001010003010300020102000501030000010100
+0301020004010300020102000501020001010200000101000001010000010100000101000001010
+00001010000010200010102000001020001010200010102000001020000010200
+0101020000010200010102000001020001010200000101000001010000010100030102000201020
+001010200030103000201020004010200010102000101030000010100ff017401
+0112060101110112060101111401010000010100000101000101050002010200050102000701020
+00401030002010200050102000101020000010100000101000001010000010100
+0001010000010100000102000101020000010200010102000101020000010200000107000001020
+00101020000010200010102000001010000010100000101000301020002010200
+010102000101050002010200040102000101020001010200ff01780101120601011101120601011
+11401010000010100000101000001020000010200020102000501020007010200
+0401030002010200010101000101020001010200000101000001010000010100000101000001010
+00001010000010200010102000001020001010200010102000001020000010200
+0501020001010200000102000101020000010100000101000001010003010200020102000101020
+0000102000001020002010200040102000101020001010200ff01780101120601
+0111011206010111140101000301010000010200000102000201020000010100020102000701020
+00301010000010200010102000101010001010200010102000001010000010100
+0001010000010100000101000001010000010200010102000001020001010200010102000001020
+00001030001010100000102000101020000010200010102000001010000010100
+0001010003010200020102000101020000010200000102000201020000010100010102000101020
+001010200ff017801011206010111011206010111140102000101020000010700
+0101050001010400040106000001020001010200000106000201050001010100000101000001010
+00001010000010100000101000101050000010300000103000001070001010a00
+000103000101050001010100000101000001010001010a000001030000010700010105000201050
+001010400ff017701011206010111011206010111140102000101020001010200
+0001020002010300020104000401060000010200000103000101040004010300020101000001010
+00001010000010100000101000001010002010300010103000001030000010600
+0301040000010300000103000201030002010100000101000001010001010a00000103000101020
+000010200020103000401030002010400ff017701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+14010100030101000c010000100101000c010400060101002801030004010400130103001701070
+01e01000007010100ff0165010112060101110112060101111401010003010100
+0b0101000f0103000b01040005010300270103000401040013010300170107001d0101000601030
+0ff01640101120601011101120601011114010200010102000b01010010010100
+0d0102000701010029010200060102001401020018010200000102001d01010007010100ff01650
+101120601011101120601011114010200010102000a0102002001020032010400
+050102001401020018010200010101001c010200ff016f010112060101110112060101111401070
+00101040002010600010102000101010002010400020103000001020001010200
+0501040001010300000102000301030003010400020102000101010002010400050102000301040
+00001000002010300020105000201020001010100020104000301020004010200
+0001070000010200030102000001010000010600020104000401030001010300000102000201030
+000010000ff014801011206010111011206010111140107000001060001010600
+0101070001010400020102000101020001010200050104000101080001010500010106000101070
+00101010000010100050102000201070001010500010106000101070000010600
+020104000201020000010c00010106000001060002010400030105000001080000010600ff01480
+10112060101110112060101111401070000010100010102000201020005010600
+0301020003010200000101000201020007010200020103000001020000010200010102000001010
+00101020002010600010101000001020004010200020102000001030000010200
+0101020000010300000102000101060000010100010102000201040002010200010102000001030
+00001020000010300000102000101020007010200020102000101020000010300
+000102000001020000010200ff01480101120601011101120601011114010100000101000001010
+00301030002010200050103000001010003010200040103000301020007010200
+0201020001010200000102000101020003010300020103000001010001010100010101000401020
+00201020000010200010102000101020000010200010102000101030000010100
+0301030002010200040102000101020000010200010102000001020002010100010102000701020
+0020102000101020000010200010102000001030001010000ff01480101120601
+0111011206010111140101000001010000010100010105000201020005010200070102000401030
+00301020007010200020102000101020000010700010105000201020004010600
+0401020002010200000102000101070000010200010102000101020005010500020102000401020
+00101020000010200010102000001020006010200070102000201020001010200
+000102000101020001010400ff01490101120601011101120601011114010100000101000001010
+00001020000010200020102000501020007010200040103000301020001010100
+0301020002010200010102000001020005010200000102000201020004010700030102000301040
+00201020005010200010102000101020004010200000102000201020004010200
+0101020000010200010102000001020006010200070102000201020001010200000102000101020
+00001000001010300ff0148010112060101110112060101111401010003010100
+0001020000010200020102000001010002010200070102000301010000010200020102000001020
+00301020002010200010102000001030001010100000102000001020002010200
+0401010002010200030102000201030004010300010101000001020001010200010102000401020
+00001020002010200040102000001030000010200010102000001030001010100
+010102000001010004010200020102000101020000010200010102000001020000010200ff01480
+10112060101110112060101111401020001010200000107000101050001010400
+0401060000010200010102000001070001010a00000103000101060000010700000104000201030
+00001030001010600000106000201060000010600010104000301070000010400
+03010b000001030001010600010105000201060001010500000103000001030000010600ff01480
+10112060101110112060101111401020001010200010102000001020002010300
+020104000401060000010200000103000001070001010a000001030002010400020102000001020
+00001040002010300000103000101060001010600020104000101010000010200
+0201040004010200000102000001040004010300000105000001030002010400030103000301060
+00201030001010300000103000001000000010300ff0149010112060101110112
+060101119201020001010200ff01bc0101120601011101120601011192010700ff01bc010112060
+1011101120601011193010500ff01bd01011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+570101120601011101120601011113010700160100002901040014010100030101000c010000100
+101000d010200000101000d010000ff0193010112060101110112060101111301
+0800140101002901040014010100030101000b0101000f0103000b0106000c010100ff019301011
+2060101110112060101111401020001010200140101002b010200140102000101
+02000b010100100101000c010200000102000c010100ff019301011206010111011206010111140
+1020001010200130102002b01020014010200010102000a0102001f0102000101
+01000b010200ff01930101120601011101120601011114010200000102000301030004010200000
+10100000106000201040001010300000102000201040000010000000102000001
+0300030102000301040002010200010101000101070001010400020106000101020001010100020
+10400020103000001020000010200010101000201040002010600030103000301
+0400000100000201030002010200010101000101030000010200ff0162010112060101110112060
+10111140105000301050002010600000106000101060000010800000107000001
+0200000103000301020002010600010107000001070000010600010106000101070001010400020
+10200010102000001020005010600010106000201050001010700010105000101
+07000001030000010200ff016201011206010111011206010111140105000201020001010200000
+10300000102000101020004010100010102000101030000010200000102000001
+0300000102000101020003010200020101000101020002010600000107000001010001010200020
+10200050106000301020003010200000101000101020005010100010102000201
+0200040102000101020000010200000103000001020001010200010106000001020001010200ff0
+16201011206010111011206010111140102000001020001010200010102000001
+0200020101000101020007010300010102000101020000010200000102000101020001010200030
+10200050103000201030000010100000101000001010000010100030103000201
+0200050103000001010003010200040103000201020008010300020102000401020001010200000
+1020000010200010102000101020001010300000101000101020000010100ff01
+6301011206010111011206010111140102000001020001010700000102000601020005010500010
+10200010102000001020000010200010102000101020003010200030105000201
+0200040101000001010000010100010105000201020005010200070102000401030002010200060
+10500020102000401070000010200000102000101020001010200010102000501
+0500ff0163010112060101110112060101111401020000010200010102000501020006010200040
+10200000102000101020001010200010104000201020001010200030102000201
+0200000102000201020004010100000101000001010000010200000102000201020005010200070
+10200040103000201020001010100010102000001020002010200040102000601
+040002010200010102000101020006010300ff01640101120601011101120601011114010200010
+10200000103000101010000010300010101000101020000010100010102000001
+0200010102000101020000010300040102000001030003010200020102000001020002010200040
+10100030101000001020000010200020102000001010002010200070102000301
+0100000102000101020001010100010102000001020002010200000101000101030001010100000
+1030004010200010102000101020006010300ff01640101120601011101120601
+0111130103000101020001010600010106000101050001010b00000103000001060001010700010
+10600000107000001040003010200010102000001070001010500010104000401
+0600000102000101020000010600010107000101050002010600000106000201050001010400060
+10100ff0165010112060101110112060101111301030001010200020104000301
+0400030103000301020000010600000103000101060001010300000101000101060001010200000
+10200000104000301020001010200010102000001020002010300020104000401
+0600000102000001030001010400030102000001020002010300040104000201060002010300020
+1040005010200ff0165010112060101110112060101114a010200010102007e01
+02000101020013010200ff0166010112060101110112060101114a0107007e01070012010300ff0
+166010112060101110112060101114b0105008001050013010200ff0167010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff01570101120601011101120601011113010700160100002901040
+014010100030101000c010000100101000d010200000101000d01000031010700
+1e010000070101001f010400ff010a0101120601011101120601011113010800140101002901040
+014010100030101000b0101000f0103000b0106000c010100310107001d010100
+060103001d010600ff0109010112060101110112060101111401020001010200140101002b01020
+014010200010102000b010100100101000c010200000102000c01010032010200
+000102001d010100070101001e01010001010300ff0108010112060101110112060101111401020
+001010200130102002b01020014010200010102000a0102001f01020001010100
+0b01020032010200010101001c0102002801010002010200ff01080101120601011101120601011
+11401020000010200030103000401020000010100000106000201040001010300
+0001020002010400000100000001020000010300030102000301040002010200010101000101070
+00101040002010600010102000101010002010400020103000001020000010200
+0101010002010400020106000301030003010400000100000201030002010200010101000101030
+00001020001010200040102000001070000010200030102000001010000010600
+02010400040103000101030000010200020103000001000006010200ff010801011206010111011
+20601011114010500030105000201060000010600010106000001080000010700
+0001020000010300030102000201060001010700000107000001060001010600010107000101040
+00201020001010200000102000501060001010600020105000101070001010500
+010107000001030000010200010104000201020000010c000101060000010600020104000301050
+0000108000001060006010100ff01090101120601011101120601011114010500
+0201020001010200000103000001020001010200040101000101020001010300000102000001020
+00001030000010200010102000301020002010100010102000201060000010700
+0001010001010200020102000501060003010200030102000001010001010200050101000101020
+00201020004010200010102000001020000010300000102000101020001010600
+0001020001010200010104000201020001010200000103000001020000010300000102000101020
+00701020002010200010102000001030000010200000102000001020005010100
+ff010a0101120601011101120601011114010200000102000101020001010200000102000201010
+00101020007010300010102000101020000010200000102000101020001010200
+0301020005010300020103000001010000010100000101000001010003010300020102000501030
+00001010003010200040103000201020008010300020102000401020001010200
+0001020000010200010102000101020001010300000101000101020000010100020102000401020
+00101020000010200010102000001020002010100010102000701020002010200
+010102000001020001010200000103000101000004010100ff010b0101120601011101120601011
+11401020000010200010107000001020006010200050105000101020001010200
+0001020000010200010102000101020003010200030105000201020004010100000101000001010
+00101050002010200050102000701020004010300020102000601050002010200
+0401070000010200000102000101020001010200010102000501050002010200040102000101020
+00001020001010200000102000601020007010200020102000101020000010200
+010102000101040004010100ff010c0101120601011101120601011114010200000102000101020
+00501020006010200040102000001020001010200010102000101040002010200
+0101020003010200020102000001020002010200040101000001010000010100000102000001020
+00201020005010200070102000401030002010200010101000101020000010200
+0201020004010200060104000201020001010200010102000601030003010200040102000101020
+00001020001010200000102000601020007010200020102000101020000010200
+01010200000100000101030002010100ff010d01011206010111011206010111140102000101020
+00001030001010100000103000101010001010200000101000101020000010200
+0101020001010200000103000401020000010300030102000201020000010200020102000401010
+00301010000010200000102000201020000010100020102000701020003010100
+0001020001010200010101000101020000010200020102000001010001010300010101000001030
+00401020001010200010102000601030003010200040102000001030000010200
+0101020000010300010101000101020000010100040102000201020001010200000102000101020
+000010200000102000101020003010000ff010801011206010111011206010111
+130103000101020001010600010106000101050001010b000001030000010600010107000101060
+00001070000010400030102000101020000010700010105000101040004010600
+0001020001010200000106000101070001010500020106000001060002010500010104000601010
+00301040003010b00000103000101060001010500020106000101050000010300
+00010300000106000101020002010100ff010801011206010111011206010111130103000101020
+00201040003010400030103000301020000010600000103000101060001010300
+0001010001010600010102000001020000010400030102000101020001010200000102000201030
+00201040004010600000102000001030001010400030102000001020002010300
+0401040002010600020103000201040005010200030104000401030000010500000103000201040
+00301030003010600020103000101030000010300000100000001030002010700
+ff0108010112060101110112060101114a010200010102007e01020001010200130102005501070
+0ff0108010112060101110112060101114a0107007e01070012010300ff016601
+0112060101110112060101114b0105008001050013010200ff01670101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff01570101120601011101120601011115010300000101002d0101000301
+01000c010000100101000d010200000101000d010000ff01c001011206010111011206010111140
+107002d010100030101000b0101000f0103000b0106000c010100ff01c0010112
+0601011101120601011114010200010102002d010200010102000b010100100101000c010200000
+102000c010100ff01c00101120601011101120601011114010200020101002d01
+0200010102000a0102001f010200010101000b010200ff01c001011206010111011206010111140
+10300010101000201020000010100000102000001030001010400020102000101
+0100030103000201070001010400020106000101020001010100020104000201030000010200000
+10200010101000201040002010600030103000301040000010000020103000201
+0200010101000101030000010200ff018f010112060101110112060101111501030004010600000
+10200000103000001060001010700010105000101070000010600010106000101
+0700010104000201020001010200000102000501060001010600020105000101070001010500010
+107000001030000010200ff018f01011206010111011206010111160103000201
+0200010102000001020001010200000101000101020002010600000102000101020000010700000
+10100010102000201020005010600030102000301020000010100010102000501
+0100010102000201020004010200010102000001020000010300000102000101020001010600000
+1020001010200ff018f0101120601011101120601011117010300010102000101
+0200000102000101020003010300020103000001010000010200010102000001010000010100000
+10100030103000201020005010300000101000301020004010300020102000801
+0300020102000401020001010200000102000001020001010200010102000101030000010100010
+1020000010100ff01900101120601011101120601011114010100010103000001
+0200010102000001020001010200010105000201020004010700000101000001010000010100010
+10500020102000501020007010200040103000201020006010500020102000401
+0700000102000001020001010200010102000101020005010500ff0190010112060101110112060
+10111140101000201020000010200010102000001020001010200000102000001
+0200020102000401020005010100000101000001010000010200000102000201020005010200070
+10200040103000201020001010100010102000001020002010200040102000601
+040002010200010102000101020006010300ff01910101120601011101120601011114010200010
+10200000103000001020000010200000103000001020000010200020102000401
+0300010101000001010003010100000102000001020002010200000101000201020007010200030
+10100000102000101020001010100010102000001020002010200000101000101
+0300010101000001030004010200010102000101020006010300ff0191010112060101110112060
+10111140107000101060000010700000107000001040004010600000102000101
+0200000107000101050001010400040106000001020001010200000106000101070001010500020
+1060000010600020105000101040006010100ff01920101120601011101120601
+0111140101000001030003010500010103000001010001010200000102000001040005010400010
+10200010102000101020000010200020103000201040004010600000102000001
+0300010104000301020000010200020103000401040002010600020103000201040005010200ff0
+19201011206010111011206010111220102007e0102000101020013010200ff01
+9301011206010111011206010111220102007e01070012010300ff0193010112060101110112060
+10111210103007f01050013010200ff019401011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff00
+ff005700011206010111011206010111ff00ff005700011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01a401990
+01801011206010111011206010111ff01a4019900180101120601011101120601
+0111ac01030008010100100103005d0100003c0104000401010004010400050100001a019900180
+10112060101110112060101111401020001010200040100008901030007010300
+0f0103005c0101003b0106000201030003010400040101001a01990018010112060101110112060
+101111501010002010100030102008901020008010100110102005c0101003b01
+0200000102000301010006010200040101001a01990018010112060101110112060101111501010
+002010000050100008a0102001c0102005b0102003b0102001001020003010200
+1a01990018010112060101110112060101111501010002010000910102000101020001010400010
+10300000102000301050001010300000100001c01010000010300020104000201
+0200010101000201040002010000000101000001010003010300020106000301030002010200010
+1010002010300000100001c010500030104000501020002010600030103000201
+0200010101000501990018010112060101110112060101111501010001010000030103000501030
+0010101000401000003010300050100001f010100010101000401030002010100
+0201010003010300040103001d01020001010200010104000101080001010600000106001c01070
+00001060001010700000106000101070001010500010106000201050001010700
+000106001c010500030104000501020002010600020105000101070004019900180101120601011
+10112060101111501010001010000050101000301020001010100010101000201
+01000101020001010100030102001d0100000001000000010300020101000101010000010300000
+10300000102000101010001010200010101001c01020000010200040102000201
+030000010200000102000001030000010200000102001c010300000102000001010001010200020
+10600000101000101020001010700000102000101020001010200040102000101
+02000101060000010200000102001d0102000701020005010200030102000401020001010200010
+10600040199001801011206010111011206010111150101000101000004010100
+0401010002010100010101000201010001010100020100000501000020010200000101000601010
+00101000000010000000100000001010000010100020101000101010002010000
+1d010500050102000201020001010200000102000101020000010300010100001c0102000101020
+00301030002010300000101000301030001010100000101000001010000010200
+01010200010102000401020001010200010103000001010000010300010100001d0102000701020
+00501020003010200040102000101020001010300000101000401990018010112
+0601011101120601011115010100000100000501010003010100020101000201010002010000030
+101002a0101000101010003010300020100000001010001010300020101000301
+0100200104000601020002010200010102000001020001010200010104001d01020001010200010
+10500020102000501050001010100000101000001010000010700010102000401
+070001010200050104001e010200070102000501020003010200040107000101020008019900180
+10112060101110112060101111501010000010000050101000301040003010100
+0101000000010000040102002701010002010000020101000101010001010100000101000001010
+000010400060102001e0102000001010005010200020102000101020000010200
+0101020000010000010103001c01020001010200000102000001020002010200040102000001020
+00101010000010100000101000001020006010200040102000601020004010000
+010103001d010200070102000501020003010200040102000601020008019900180101120601011
+10112060101111501010000010000040101000401010006010100000101000001
+0000020100000201010026010100010101000101010002010100010101000001000001010100000
+1010007010000020101001d010200000102000401020002010200010102000001
+02000101020000010200000102001c0102000001030000010200000102000201020004010200000
+10200010101000001010000010100000103000101010001010200000101000101
+0300010101000101020004010200000102001d01020007010200050102000301020000010100010
+10300010101000101020008019900180101120601011101120601011115010200
+0501010001010000020101000201000001010600010101000101020004010000200101000101010
+00001020001010200000101000101000001010000020101000201000001010100
+010102001d0102000101020001010a000001030001010600000106001c010600010107000001040
+00301070000010100000101000001010001010600010105000201060000010400
+030106001c010400040106000101060001010500020106000001040007019900180101120601011
+10112060101111501010007010200040103000301010000010100030103000501
+02001e010100030101000101020001010100000100000401000003010300030103001f010200010
+1020001010a0000010300020102000001010000010000000103001d0105000301
+0200000102000001040004010200000102000001010000010100000101000201040003010300040
+104000101040003010000000103001d0104000401060001010600020103000401
+040001010400070199001801011206010111011206010111430100003801000076010200ab01990
+01801011206010111011206010111f5010200ab01990018010112060101110112
+06010111f4010400aa0199001801011206010111011206010111ff01a4019900180101120601011
+1011206010111ff01a40199001801011206010111011206010111ff01a4010400
+08018b001801011206010111011206010111ff01a401040008018b0018010112060101110112060
+10111ff01a40199001801011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff0157010112060101110112060101116d010300040103003401
+04000401010004010400a8010300270101000f010000070101009f0101120601011101120601011
+16d010300040103003301060002010300030104004f0102000401000010010000
+3d010300260103000d010100060103009e010112060101110112060101116e01020005010200330
+10200000102000301010006010200500101000301020006010000060102003d01
+0200270101000e010100070101009f010112060101110112060101116e010200050102003301020
+010010200500101000401000007010000070100003e01020037010200a9010112
+06010111011206010111660104000201050002010500020102000101010002010300000100001c0
+1050003010400050102000401030003010300000100003c0101000d0101004401
+0500020103000301030000010000030102000001010000010200010101000201040002010100000
+1030001010600020104000401030001010300000102008b010112060101110112
+0601011165010600010106000101060001010700000106001c01050003010400050102000301050
+0010106001e010300050102000201010001010100040101000001010002010300
+0401050002010300060102000201010001010100040103001e01060001010500010106000201060
+0000107000101040002010700000106000201040003010500000108008a010112
+0601011101120601011165010100010102000101030000010200000103000001020001010600000
+10200000102001d01020007010200050102000201020001010200000102000001
+02001c0102000101010002010100010101000001000000010000000103000201000001010200040
+10100050101000701010004010100010101000001000000010000000103000101
+0200010101001c01020000010300000102000101020000010200000102000101030000010200010
+10600030102000201030000010200010102000701020002010200010102000001
+0300000102008a01011206010111011206010111680103000101020001010200000102000101020
+0010103000001010000010300010100001d010200070102000501020002010200
+0101020000010300010100001c01010002010000030101000101010002010200000101000101010
+00101010004010100060101000601010005010100010101000201020000010100
+01010100020100001d0102000101020000010200010102000001030001010000010102000201010
+00101030000010100030102000201020001010200010102000701020002010200
+0101020000010200010102008a01011206010111011206010111660105000101020001010200000
+102000101020001010200050104001e0102000701020005010200020107000101
+04001c0101000701010002010100020101000101010001010100010101000401010006010100060
+10100040101000201010002010100010101000201010020010200010102000001
+0700010104000201020006010200070102000201020001010200010102000701020002010200010
+1020000010200010102008a010112060101110112060101116501020000010200
+010102000101020000010200010102000101020004010000010103001d010200070102000501020
+00201020005010000010103001b01010007010100020101000101010002010000
+0101010002010100040101000501010007010100040101000201010001010100020100000401020
+01e01020001010200000102000501000001010300010102000601020007010200
+02010200010102000101020007010200020102000101020000010200010102008a0101120601011
+10012091165010200000102000101020001010200000102000101020001010200
+04010200000102001d0102000701020005010200020103000101010000010200000102001b01010
+00701010001010100020101000101010001010100010101000401010006010100
+060101000501010001010100020101000101010002010000020101001d010200010102000001030
+00101010000010200000102000101030001010100010102000701020002010200
+00010300010102000001010004010200020102000101020000010200010102008a0101120811091
+2001165010700000106000101060001010400030106001c010400040106000101
+060001010600000106001c010100020100000201010001010100020101000101010000010200000
+10200000100000201010001010000030101000101000003010100010100000201
+010001010100020101000101010000010200010102001e010600010106000001060002010600000
+10400040106000001060002010500020106000101050000010300000103008a01
+0912001101120601011166010200000102000001010000010200020101000001020002010400030
+10000000103001d01040004010600010106000201040001010000000103001e01
+0300040102000301010003010100010102000001010004010200050102000501020004010200030
+10100030101000101030021010200000101000201040001010000000103000401
+040001010400040106000001050004010300030106000201030001010300000103008a010112060
+10111011206010111ff01a0010200b301011206010111011206010111ff01a001
+0200b301011206010111011206010111ff019f010400b201011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff12ff12591206010111011206010011ff12ff125a120601011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e0
+1011101121e0100110012ff01ff012701001100121e01011101121e0100110012
+ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121f1
+10012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-consearch2.ps b/books/ps/h-consearch2.ps
new file mode 100644
index 0000000..0bec001
--- /dev/null
+++ b/books/ps/h-consearch2.ps
@@ -0,0 +1,1392 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:15:09 1991
+%%Title: h-consearch2.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-consearch2.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+0020107000201490070010400060100000b010200000100001e01000022010000
+8c0106000201040002010200020103000201020004010100040102000201280000011d000112060
+10111011206010111050002010d00020100000201050002010700020149006f01
+010001010200040101000a010100000102001e010000220100008c0106000201040002010200020
+103000201020004010100040102000201260004011b0001120601011101120601
+0111050002010d00020100000201050002010700020149006f01010002010100030102000901010
+0020101001d010100210101008c01060002010400020102000201030002010200
+0b0102000201240008011900011206010111011206010111050002010e000401060002010700020
+149006f010000030101000201030009010100030100001d010100210101008c01
+060002010400020102000201030002010200020100000301000002010200020122000c011700011
+20601011101120601011105000801080004010600020107000201490074010100
+0401010009010100030100000201030002010100000102000301030000010000010106000101010
+00001030001010200000102000301030002010600030103000201010000010300
+02010300000100006e0106000a010200020103000201020002010000030100000201020007011b0
+01001150001120601011101120601011105000901080002010700020107000201
+4900740101000401010009010100060101000101010002010100010101000101010002010100030
+10100050102000101010001010100010101000201010001010100030101000501
+010001010100020102000101010000010100020101006e0106000a0102000201030002010200020
+10100010101000201020008011800140113000112060101110112060101110500
+0901080002010700020107000201490073010100050101000901010005010100030101000101010
+00101010001010100030100000301010005010100020101000101010001010100
+0101010002010100030101000401010003010100010101000201010000010100030100006e01060
+00a01020002010300020102000201010001010100020102000801160018011100
+011206010111011206010111050002010e000401060002010700020149007201010006010100090
+10100050101000301010001010100010101000201020006010100050101000601
+0100010101000101010008010100040101000301010001010100060102007101060002010400020
+1020002010300020102000201050002010200020121000e011600011206010111
+011206010111050002010e000401060002010700020149007101010007010100090101000301000
+00001010003010100010101000101010004010200040101000501010006010100
+010101000101010008010100040101000301010001010100080102006f010600020104000201020
+002010300020102000201050002010200020121000e0116000112060101110112
+06010111050002010d0002010000020105000201070002014900700101000801010009010100030
+10000000101000301010001010100010101000101000003010100030101000501
+0100060101000101010001010100030100000301010004010100030101000101010005010000030
+101006e0106000201040002010200020103000201020002010500020102000201
+21000e011600011206010111011206010111050002010d000201000002010500020107000201490
+06f01010003010000040101000a01010001010100010101000101010002010100
+0101010001010100020101000301010001010000020101000601010000010200020101000101010
+0030101000101000002010100010101000201010005010100020101006e010600
+020104000201020002010300020102000201050002010200020121000e011600011206010111011
+206010111050002010c00020102000201040002010700020149006f0106000301
+0400090103000301030002010200000103000001000000010300050102000201040005010200000
+101000201030005010200040103000201040003010000000103006f0106000201
+04000201020002010300020102000201050002010200020121000e0116000112060101110112060
+10111050002010c00020102000201040002010700020149006f01050003010500
+df01060002010400020102000201030002010200020105000201020002014700011206010111011
+206010111050002010b0002010400020103000201070002014900ff015f010600
+0201040002010200020103000201020002010500020102000201470001120601011101120601011
+105000901040002010400020103000201070002014900ff015f01060002010400
+020102000901020002010500020102000801410001120601011101120601011105000a010200020
+10600020102000201070002014900ff015f010600020104000201030008010200
+0201050002010200090140000112060101110112060101110600090103000101070001010300010
+1080001014900ff015f0107000101050001010400060104000101060001010300
+080140000112060101110112060101117b00ff015f017b000112060101110112060101117b00ff0
+15f017b000112060101110112060101117b00ff015f017b000112060101110112
+060101117b00ff015f017b00011206010111011206010111ff00ff0057000112060101110112060
+10111ff00ff005700011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff0140011600011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+40010b0000010900011206010111011206010111ff01ff0140010a0002010800011206010111011
+206010111ff01ff014001090004010700011206010111011206010111ff01ff01
+4001080006010600011206010111011206010111ff01ff014001070008010500011206010111011
+206010111ff01ff01400106000a010400011206010111011206010111ff01ff01
+400105000c010300011206010111011206010111ff01ff01400104000e010200011206010111011
+206010111ff01ff014001030010010100011206010111011206010111ff01ff01
+4001020012010000011206010111011206010111ff01ff014001160001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff01400116000112060101110112060101111d010600280100000401010
+0030101000c01000010010100ff01c30116000112060101110112060101111d01
+07002601010004010100030101000b0101000f010300ff01c201160001120601011101120601011
+11e010200000102002601010004010200010102000b01010010010100ff01c301
+16000112060101110112060101111e010200000102002501020004010200010102000a010200ff0
+1d601160001120601011101120601011117010100040102000001020002010300
+0201070002010300020102000001030000010600010107000101040002010600010102000101010
+0020104000201030000010200ff01b70116000112060101110112060101111701
+0100040105000201050001010700010105000101020000010300000106000101070000010600010
+1060001010700010104000201020001010200ff01b70102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111140101000001010
+00001010001010500010102000101020000010100010103000001020001010200
+0001020001010200010102000401070000010100010102000201020005010600030102000301020
+000010100ff01b801160001120601011101120601011114010200010102000101
+0200000102000001020001010200000100000101030001010200010102000001020001010200010
+10200040101000001010000010100030103000201020005010300000101000301
+020004010300ff01b90103000001010000010100000101000001010000010100000101000001011
+20601011101120601011117010100040102000001020000010700020103000201
+0200010102000001020001010200010102000401010000010100000101000101050002010200050
+102000701020004010300ff01b901020000010100000101000001010000010100
+0001010000010100000100000112060101110112060101111601000001010000030102000001020
+00001020006010300010100000001020001010200000102000101020001010200
+040101000001010000010100000102000001020002010200050102000701020004010300ff01b90
+11600011206010111011206010111150101000101010002010200000102000001
+0300010101000001030001010100000102000101020000010200000103000101020000010100010
+10100030101000001020000010200020102000001010002010200070102000301
+010000010200ff01b80103000001010000010100000101000001010000010100000101000001011
+20601011101120601011115010100010101000101070001010600000107000101
+0500010107000101050001010200010102000001070001010500010104000401060000010200010
+10200ff01b7010200000101000001010000010100000101000001010000010100
+000100000112060101110112060101111d010600030104000101070002010300030103000001010
+00201030002010200010102000101020000010200020103000201040004010600
+0001020000010300ff01b7011600011206010111011206010111ff01ff014001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff0140010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff014001020000010100000101000001010000010100000101000001
+010000010000011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff0140010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111ff01ff014001020000010100000101000001
+010000010100000101000001010000010000011206010111011206010111ff01ff0140011600011
+2060101110112060101111e010200000101002d01030000010300150100001601
+0100030101000c010000100101000c01060012010300ff016201030000010100000101000001010
+000010100000101000001010000010112060101110112060101111d0106002d01
+0300000103001401010016010100030101000b0101000f0103000b01070011010300ff016201020
+00001010000010100000101000001010000010100000101000001000001120601
+01110112060101111d010200000102002d010200020101001501010016010200010102000b01010
+0100101000d0102000001020012010200ff016201160001120601011101120601
+01111d010200010101002d010200020101001401020016010200010102000a01020020010200000
+1020012010200ff01620103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111701010003010200010101000301030004010300020
+10200010101000301020000010100020103000201020000010200030103000401
+0200000101000001060003010300020102000101010001010700010104000201060001010200010
+10100020104000201030000010200010102000001020001010400040102000001
+0100000102000101020001010400030104000001000002010300ff0144010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+1701010003010200060105000201050001010700010106000101050001010200000101000301050
+00201060000010600020105000101070000010700000106000101060001010700
+0101040002010200010102000101020000010200000106000201060000010200010102000001060
+00101070001010500ff0143011600011206010111011206010111140101000001
+0100000101000001020005010200010102000001020001010200010106000001030000010200000
+10200010102000001020000010100020102000101020000010300000102000101
+0200040102000101020001010600000107000001010001010200020102000501060003010200030
+10200000101000201060000010100010102000101030000010200000102000001
+0200010101000101020001010200000103000001020001010200ff0142010300000101000001010
+00001010000010100000101000001010000010112060101110112060101111401
+0200010102000001020005010200010102000001020001010200010103000001010000010200020
+10100000102000101020001010400020102000101020000010200020101000101
+0200040102000101020001010300000101000001010000010100000101000301030002010200050
+10300000101000301020004010300030105000401030001010200020101000001
+05000501030001010200000102000101020001010200ff014201020000010100000101000001010
+00001010000010100000101000001000001120601011101120601011117010100
+0301020005010200010102000001070001010200040102000501070001010300030107000001020
+00601020004010200010102000101020004010100000101000001010001010500
+0201020005010200070102000401030003010200050105000101020005010400040105000101020
+00001020001010700ff0142011600011206010111011206010111160100000101
+0000020102000101010001010200010102000001020006010200040102000501020006010300030
+10200050102000601020004010200010102000101020004010100000101000001
+0100000102000001020002010200050102000701020004010300030102000401020000010200010
+10200050102000001010002010200000102000201040002010200ff0147010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111150
+10100010101000101020001010100010102000101020000010300010101000101
+0200040103000101010000010300010101000201020003010300010101000001030001010100010
+10200000101000101020001010200010102000401010003010100000102000001
+0200020102000001010002010200070102000301010000010200020102000401020000010200010
+10300010101000001020000010200010102000001020001010300040103000101
+0100ff0142010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111150101000101010001010600020105000201060000010400
+0401060001010600020101000501060001010600010105000201050001010400030102000101020
+00001070001010500010104000401060000010200010102000001040003010700
+010106000001020001010200000107000001060002010600ff01420116000112060101110112060
+101111e0104000401030004010400010104000501040003010400030101000601
+0400030104000301030004010300020104000301020001010200010102000001020002010300020
+10400040106000001020000010300000104000401020000010200020104000101
+02000101020001010200000102000101060002010400ff014301030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ec0102000101
+0200ff014b010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ec010700ff014b011600011206010111011206010111ed01
+0500ff014c010300000101000001010000010100000101000001010000010100000101120601011
+1011206010111ff01ff0140010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010200000101000001
+01000001010000010100000101000001010000010000011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001030000010100000101000001
+010000010100000101000001010000010112060101110112060101111d010600280101000601000
+00401020000010300150100001501030020010100030101000c01000010010100
+ff01600102000001010000010100000101000001010000010100000101000001000001120601011
+10112060101111d01070026010300040101000401020001010200140101001501
+030020010100030101000b0101000f010300ff015f0116000112060101110112060101111e01020
+00001020027010100050101000401020001010200140101001601020020010200
+010102000b01010010010100ff01600103000001010000010100000101000001010000010100000
+1010000010112060101110112060101111e010200000102002e01020004010200
+01010200130102001601020020010200010102000a010200ff01730102000001010000010100000
+10100000101000001010000010100000100000112060101110112060101111701
+0100040102000001020002010300010103000001020002010400020102000101020001010400020
+10600010102000101020001010400020102000101010001010600030103000101
+0300000102000101050004010300020102000101010002010400000100000001070001010400020
+106000101020001010100020104000201030000010200ff015401160001120601
+0111011206010111170101000401020000010200010105000001080000010600010102000101020
+00101040002010600010107000001060001010700000106000201050000010800
+0001060002010500010107000001070000010700000106000101060001010700010104000201020
+001010200ff015401030000010100000101000001010000010100000101000001
+0100000101120601011101120601011114010100000101000001010001010200000102000001020
+00101020000010300000102000001010001010200010102000101020003010200
+0301020004010700000101000101020002010600010102000401020001010200000103000001020
+00001030000010200000102000101020001010600000102000001030000010700
+00010100010102000201020005010600030102000301020000010100ff015501020000010100000
+10100000101000001010000010100000101000001000001120601011101120601
+0111140102000101020001010200000102000001020001010200000102000101020003010300020
+10200000101000401020003010200040102000101020003010300020103000001
+0100010102000401020001010200000102000101020000010200010102000001020001010200010
+10300000101000001020000010200010101000001010000010100030103000201
+020005010300000101000301020004010300ff01560116000112060101110112060101111701010
+00401020000010200000107000001020001010200010105000201020000010100
+0401020003010200040102000101020001010500020102000501020004010700000102000101020
+00001020001010200000107000101020004010200000102000101010000010100
+000101000101050002010200050102000701020004010300ff01560103000001010000010100000
+10100000101000001010000010100000101120601011101120601011116010000
+0101000003010200000102000001020005010200010102000001020000010200020104000501020
+00301020004010200010102000001020000010200020102000501020004010200
+0501020001010200000102000101020000010200060102000501040002010100000101000001010
+0000102000001020002010200050102000701020004010300ff01560102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111150
+10100010101000201020000010200000103000101010000010200010102000001
+0200000102000301030005010200030102000001010001010200010102000001020000010200020
+10200050102000001010001010300010101000001020001010200000102000101
+0200000103000101010001010200040103000401010003010100000102000001020002010200000
+1010002010200070102000301010000010200ff01550116000112060101110112
+0601011115010100010101000101070001010a00000103000001070002010200040106000101050
+0010102000101020000010700000104000401050002010a000001030000010600
+0201060000010400030106000101020001010200000107000101050001010400040106000001020
+001010200ff015401030000010100000101000001010000010100000101000001
+010000010112060101110112060101111d010600030104000001030000010300010102000001020
+00201020004010600020103000201020000010300010102000001020000010400
+0501030004010400000103000001030000010100000102000401040001010400040106000001020
+00101020001010200000102000201030002010400040106000001020000010300
+ff01540102000001010000010100000101000001010000010100000101000001000001120601011
+1011206010111ad01020001010200ff018a011600011206010111011206010111
+ad010700ff018a01030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ae010500ff018b0102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111ff01ff014001160001120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001020000010100000101000001010
+000010100000101000001010000010000011206010111011206010111ff01ff01
+40011600011206010111011206010111ff01ff01400103000001010000010100000101000001010
+000010100000101000001011206010111011206010111ff01ff01400102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111ff0
+1ff0140011600011206010111011206010111ff01ff0140010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111ff01ff014001020
+00001010000010100000101000001010000010100000101000001000001120601
+01110112060101111d0106000401010021010000040106001701030015010000040101000301010
+00c010000100101000c010100030101000d0103000a010400ff014d0116000112
+060101110112060101111d010700020103001f01010004010700160103001401010004010100030
+101000b0101000f0103000b010100030101000d0103000a010400ff014d010300
+00010100000101000001010000010100000101000001010000010112060101110112060101111e0
+10200000102000301010020010100050102000001020017010200140101000401
+0200010102000b010100100101000c010200010102000e0102000c010200ff014d0102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+060101111e010200000102002501020005010200000102001701020013010200040102000101020
+00a0102001f010200010102000e0102000c010200ff014d011600011206010111
+0112060101111701010004010200000102000101040002010200010101000301030004010200000
+10100000106000201020000010200000102000101010003010300040105000001
+0200000103000201020000010100000106000101070001010400020106000101020001010100020
+10400020103000001020000010700020103000401050000010200000103000301
+020004010300ff01440103000001010000010100000101000001010000010100000101000001011
+20601011101120601011117010100040102000001020001010400020107000101
+0500020106000001060002010200000102000001070001010500020106000001020000010300010
+10600000106000101070000010600010106000101070001010400020102000101
+020000010700010105000201060000010200000103000301020003010500ff01430102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+0601011114010100000101000001010001010200000102000301020003010600000102000101020
+00001030000010200010102000501060001010600000102000101020000010200
+0001030000010200010102000001030000010200010102000401070000010100010102000201020
+00501060003010200030102000001010001010700000102000101020000010200
+000103000001020001010200030102000201020001010200ff01420116000112060101110112060
+10111140102000101020001010200000102000301020003010300000101000001
+0200010102000001020002010100010102000501050002010300000101000001020001010200000
+10200010102000001020001010200000102000201010001010200040101000001
+0100000101000301030002010200050103000001010003010200040103000201010000010100000
+10100000102000101020000010200010102000001020001010200030102000201
+020001010200ff01420103000001010000010100000101000001010000010100000101000001011
+20601011101120601011117010100040102000001020003010200030102000401
+0700000102000601020005010200050102000401020001010200000102000101020000010200010
+10200000102000601020004010100000101000001010001010500020102000501
+0200070102000401030002010100000101000001010000010200010102000001020001010200000
+10200010102000301020002010700ff0142010200000101000001010000010100
+0001010000010100000101000001000001120601011101120601011116010000010100000301020
+00001020003010200030102000401020005010200060102000501020005010200
+0401020001010200000102000101020000010200010102000001020006010200040101000001010
+00001010000010200000102000201020005010200070102000401030002010100
+0001010000010100000102000101020000010200010102000001020001010200030102000201020
+0ff01470116000112060101110112060101111501010001010100020102000001
+0200030102000301020004010300010101000001030001010100010102000001010002010200050
+10200040102000101020000010200010102000001020000010300000103000101
+0100010102000001010001010100030101000001020000010200020102000001010002010200070
+10200030101000001020001010100030101000001020001010200000102000101
+02000001020000010300030102000201030001010100ff014201030000010100000101000001010
+00001010000010100000101000001011206010111011206010111150101000101
+0100010107000101060000010400040106000101060001010500010104000301040004010500020
+10600000107000101060001010500010102000101020000010700010105000101
+0400040106000001020001010200000102000101020001010500020106000001070001010600010
+10600ff0142010200000101000001010000010100000101000001010000010100
+000100000112060101110112060101111d010600020106000001040005010400030104000301030
+00201040003010400050103000401020000010100010103000001010002010400
+0301030002010200010102000101020000010200020103000201040004010600000102000001030
+00001020001010200020103000401020000010100010103000001010001010600
+02010400ff0143011600011206010111011206010111ff01ff01400103000001010000010100000
+101000001010000010100000101000001011206010111011206010111ff01ff01
+4001020000010100000101000001010000010100000101000001010000010000011206010111011
+206010111ff01ff0140011600011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400102000001010000010100000101000001010000010100000101000001
+0000011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff01400
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111ff01ff014001020000010100000101000001010000010100000101000001010
+000010000011206010111011206010111ff01ff01400116000112060101110112
+06010111ff01ff01400103000001010000010100000101000001010000010100000101000001011
+206010111011206010111ff01ff01400102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111ff01ff014001160001120601011
+10112060101111d0106000e0103001f01030000010100030101000c0100001001
+0100ff01ba010300000101000001010000010100000101000001010000010100000101120601011
+10112060101111d0106000e0103001f01030000010100030101000b0101000f01
+0300ff01b9010200000101000001010000010100000101000001010000010100000100000112060
+101110112060101111f010200110102002001020000010200010102000b010100
+10010100ff01ba0116000112060101110112060101111f010200110102002001020000010200010
+102000a010200ff01cd0103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111701010005010200020103000001020003010500020
+10300020103000001020002010300040105000001070001010400020106000101
+020001010100020104000201030000010200ff01ae0102000001010000010100000101000001010
+00001010000010100000100000112060101110112060101111701010005010200
+0201080001010600010105000101020001010200010105000201060000010700000106000101060
+001010700010104000201020001010200ff01ae01160001120601011101120601
+0111140101000001010000010100020102000301030000010200000102000001030000010200010
+10200010102000001010001010200010102000001020000010300000107000001
+0100010102000201020005010600030102000301020000010100ff01af010300000101000001010
+00001010000010100000101000001010000010112060101110112060101111401
+0200010102000201020003010200010102000001020001010200000102000101020002010300020
+10200010102000001020001010200000101000001010000010100030103000201
+020005010300000101000301020004010300ff01b00102000001010000010100000101000001010
+00001010000010100000100000112060101110112060101111701010005010200
+0301020001010200000102000101020000010700020103000201070000010200010102000001010
+000010100000101000101050002010200050102000701020004010300ff01b001
+1600011206010111011206010111160100000101000004010200030102000101020000010200010
+10200000102000701030002010200050102000101020000010100000101000001
+0100000102000001020002010200050102000701020004010300ff01b0010300000101000001010
+00001010000010100000101000001010000010112060101110112060101111501
+0100010101000301020003010200010102000001020001010200000103000101010001010100000
+10200010103000101010000010200010102000001010003010100000102000001
+0200020102000001010002010200070102000301010000010200ff01af010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+1501010001010100010106000001030000010300010106000101060000010200010102000101060
+00101060000010200010102000001070001010500010104000401060000010200
+01010200ff01ae0116000112060101110112060101111d010600000103000001030002010200000
+10100020104000101020000010300020104000301020000010100000102000101
+020001010200000102000201030002010400040106000001020000010300ff01ae0103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff014001020000010100000101000001010000010100000101000001010000010000011
+206010111011206010111ff01ff0140011600011206010111011206010111ff01
+ff01400103000001010000010100000101000001010000010100000101000001011206010111011
+206010111ff01ff01400102000001010000010100000101000001010000010100
+0001010000010000011206010111011206010111ff01ff014001160001120601011101120601011
+1ff01ff0140010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff014001020000010100000101000001010000010100000
+101000001010000010000011206010111011206010111ff01ff01400116000112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111ff01ff014001160
+0011206010111011206010111ff01ff0140010300000101000001010000010100
+00010100000101000001010000010112060101110112060101111d01060025010100030101000c0
+10000100101000c01040006010100280103000401040013010300170107001e01
+000007010100ff01180102000001010000010100000101000001010000010100000101000001000
+00112060101110112060101111d01060025010100030101000b0101000f010300
+0b01040005010300270103000401040013010300170107001d01010006010300ff0117011600011
+2060101110112060101111f01020027010200010102000b010100100101000d01
+02000701010029010200060102001401020018010200000102001d01010007010100ff011801030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101111f01020027010200010102000a01020020010200320104000501020014010200180
+10200010101001c010200ff012201020000010100000101000001010000010100
+0001010000010100000100000112060101110112060101111701010005010200020103000001020
+00001030000010200030103000201020001010100010107000101040002010600
+0101020001010100020104000201030000010200010102000501040001010300000102000301030
+00301040002010200010101000201040005010200030104000001000002010300
+0201050002010200010101000201040003010200040102000001070000010200030102000001010
+000010600020104000401030001010300000102000201030000010000fb011600
+0112060101110112060101111701010005010200020111000101050001010700000107000001060
+00101060001010700010104000201020001010200010102000501040001010800
+0101050001010600010107000101010000010100050102000201070001010500010106000101070
+000010600020104000201020000010c0001010600000106000201040003010500
+0001080000010600fb0103000001010000010100000101000001010000010100000101000001011
+20601011101120601011114010100000101000001010002010200030103000001
+0200000103000001020000010200010102000101060000010700000101000101020002010200050
+10600030102000301020000010100020102000701020002010300000102000001
+0200010102000001010001010200020106000101010000010200040102000201020000010300000
+10200010102000001030000010200010106000001010001010200020104000201
+0200010102000001030000010200000103000001020001010200070102000201020001010200000
+10300000102000001020000010200fb0102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111140102000101020002010200030
+10200010102000001020001010200000102000101020001010300000101000001
+0100000101000001010003010300020102000501030000010100030102000401030003010200070
+10200020102000101020000010200010102000301030002010300000101000101
+0100010101000401020002010200000102000101020001010200000102000101020001010300000
+10100030103000201020004010200010102000001020001010200000102000201
+01000101020007010200020102000101020000010200010102000001030001010000fb011600011
+20601011101120601011117010100050102000301020001010200000102000101
+0200000107000101020004010100000101000001010001010500020102000501020007010200040
+10300030102000701020002010200010102000001070001010500020102000401
+0600040102000201020000010200010107000001020001010200010102000501050002010200040
+10200010102000001020001010200000102000601020007010200020102000101
+0200000102000101020001010400fc0103000001010000010100000101000001010000010100000
+10100000101120601011101120601011116010000010100000401020003010200
+0101020000010200010102000001020006010200040101000001010000010100000102000001020
+00201020005010200070102000401030003010200010101000301020002010200
+0101020000010200050102000001020002010200040107000301020003010400020102000501020
+00101020001010200040102000001020002010200040102000101020000010200
+0101020000010200060102000701020002010200010102000001020001010200000100000101030
+0fb01020000010100000101000001010000010100000101000001010000010000
+0112060101110112060101111501010001010100030102000301020001010200000102000101020
+00001030001010100010102000401010003010100000102000001020002010200
+0001010002010200070102000301010000010200020102000001020003010200020102000101020
+00001030001010100000102000001020002010200040101000201020003010200
+0201030004010300010101000001020001010200010102000401020000010200020102000401020
+00001030000010200010102000001030001010100010102000001010004010200
+020102000101020000010200010102000001020000010200fb01160001120601011101120601011
+11501010001010100010106000001030000010700000103000101060000010400
+03010200010102000001070001010500010104000401060000010200010102000001070001010a0
+00001030001010600000107000001040002010300000103000101060000010600
+020106000001060001010400030107000001040003010b000001030001010600010105000201060
+001010500000103000001030000010600fb010300000101000001010000010100
+00010100000101000001010000010112060101110112060101111d0106000001030000010700000
+10300020104000101040003010200010102000101020000010200020103000201
+04000401060000010200000103000001070001010a0000010300020104000201020000010200000
+10400020103000001030001010600010106000201040001010100000102000201
+0400040102000001020000010400040103000001050000010300020104000301030003010600020
+1030001010300000103000001000000010300fc01020000010100000101000001
+010000010100000101000001010000010000011206010111011206010111c801020001010200ff0
+16f011600011206010111011206010111c8010700ff016f010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111c9010500ff01700
+10200000101000001010000010100000101000001010000010100000100000112
+06010111011206010111ff01ff0140011600011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400102000001010000010100000101000001010000010100000101000001000
+0011206010111011206010111ff01ff0140011600011206010111011206010111
+ff01ff0140010300000101000001010000010100000101000001010000010100000101120601011
+1011206010111ff01ff0140010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+00001010000010100000100000112060101110112060101111d01060025010100
+030101000c010000100101000d01050016010000070101001801000004010700030101000d01040
+006010300000107001e01000007010100ff011801160001120601011101120601
+01111d01060025010100030101000b0101000f0103000b010700140101000601030016010100040
+10700020103000c01040006010300000107001d01010006010300ff0117010300
+00010100000101000001010000010100000101000001010000010112060101110112060101111f0
+1020027010200010102000b010100100101000c01020001010200140101000701
+0100170101000501020000010200030101000f0102000701020001010200000102001d010100070
+10100ff0118010200000101000001010000010100000101000001010000010100
+000100000112060101110112060101111f01020027010200010102000a0102001f0102000101020
+01301020020010200050102000101010015010200070102000101020001010100
+1c010200ff012201160001120601011101120601011117010100050102000201030000010200000
+10300000102000301030002010200010101000101070001010400020106000101
+0200010101000201040002010300000102000001020001010200000102000001030002010300020
+10600020104000401030001010300000102000101060002010200050104000401
+0300050102000401050001010200040102000001070000010200030102000001010000010600020
+104000401030001010300000102000201030000010000fb010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111170101000501020
+00201110001010500010107000001070000010600010106000101070001010400
+0201020001010200000102000101020000010200000103000101050001010600020104000301050
+00001080000010600020104000301040003010500040102000301060001010400
+0201020000010c00010106000001060002010400030105000001080000010600fb0102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+0601011114010100000101000001010002010200030103000001020000010300000102000001020
+00101020001010600000107000001010001010200020102000501060003010200
+0301020000010100010102000101020000010200010102000001020001010200010102000701020
+00201020001010200000103000001020001010200050104000501020002010200
+0101020003010200020102000001030001010400020102000101020000010300000102000001030
+00001020001010200070102000201020001010200000103000001020000010200
+00010200fb011600011206010111011206010111140102000101020002010200030102000101020
+00001020001010200000102000101020001010300000101000001010000010100
+0001010003010300020102000501030000010100030102000401030002010200010102000001020
+00101020000010200010102000101020007010200020102000101020000010200
+0101020001010200050102000701020002010200010102000301020002010200010102000101020
+00401020001010200000102000101020000010200020101000101020007010200
+020102000101020000010200010102000001030001010000fb01030000010100000101000001010
+00001010000010100000101000001011206010111011206010111170101000501
+0200030102000101020000010200010102000001070001010200040101000001010000010100010
+10500020102000501020007010200040103000201020001010200000102000101
+0200000102000101020001010200070102000201070000010200010102000101020005010200070
+10200020107000301020002010200010102000101020004010200010102000001
+0200010102000001020006010200070102000201020001010200000102000101020001010400fc0
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011116010000010100000401020003010200010102000001020001010200000
+10200060102000401010000010100000101000001020000010200020102000501
+0200070102000401030002010200010102000001020001010200000102000101020001010200070
+10200020102000501020001010200010102000501020007010200020102000801
+0200020102000101020001010200040102000101020000010200010102000001020006010200070
+10200020102000101020000010200010102000001000001010300fb0116000112
+0601011101120601011115010100010101000301020003010200010102000001020001010200000
+10300010101000101020004010100030101000001020000010200020102000001
+0100020102000701020003010100000102000101020001010200000102000001030000010200010
+10200010102000001010004010200020103000101010000010200010102000101
+0200000101000201020007010200020103000101010003010200020102000101020001010200040
+10200000103000001020001010200000103000101010001010200000101000401
+0200020102000101020000010200010102000001020000010200fb0103000001010000010100000
+10100000101000001010000010100000101120601011101120601011115010100
+0101010001010600000103000001070000010300010106000001040003010200010102000001070
+00101050001010400040106000001020001010200000107000001070001010500
+020105000201060001010a000001030001010500010104000401060001010600010106000101060
+00001040003010b00000103000101060001010500020106000101050000010300
+0001030000010600fb0102000001010000010100000101000001010000010100000101000001000
+00112060101110112060101111d01060000010300000107000001030002010400
+0101040003010200010102000101020000010200020103000201040004010600000102000001030
+00101050002010300000101000201030004010300030106000201040000010300
+0001030002010300020104000401060002010400020106000201020000010100000104000401030
+00001050000010300020104000301030003010600020103000101030000010300
+0001000000010300fc01160001120601011101120601011184010100ff01b901030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+84010300ff01b701020000010100000101000001010000010100000101000001010000010000011
+20601011101120601011185010200ff01b7011600011206010111011206010111
+ff01ff0140010300000101000001010000010100000101000001010000010100000101120601011
+1011206010111ff01ff0140010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400102000001010000010100000101000001010
+0000101000001010000010000011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010200000101000001
+01000001010000010100000101000001010000010000011206010111011206010111ff01ff01400
+116000112060101110112060101111d010400060101000d010300000101002d01
+0100030101000c01000010010100ff01a8010300000101000001010000010100000101000001010
+00001010000010112060101110112060101111d010400050103000b0107002d01
+0100030101000b0101000f010300ff01a7010200000101000001010000010100000101000001010
+000010100000100000112060101110112060101111e010200070101000c010200
+010102002d010200010102000b01010010010100ff01a80116000112060101110112060101111e0
+1020016010200020101002d010200010102000a010200ff01bb01030000010100
+000101000001010000010100000101000001010000010112060101110112060101111e010200050
+10400040103000201030001010100020102000001010000010200000103000101
+0400020102000101010003010300020107000101040002010600010102000101010002010400020
+1030000010200ff019c0102000001010000010100000101000001010000010100
+00010100000100000112060101110112060101111e0102000501040003010500020103000401060
+00001020000010300000106000101070001010500010107000001060001010600
+01010700010104000201020001010200ff019c0116000112060101110112060101111e010200070
+10200020102000101020002010300020102000101020000010200010102000001
+0100010102000201060000010200010102000001070000010100010102000201020005010600030
+102000301020000010100ff019d01030000010100000101000001010000010100
+000101000001010000010112060101110112060101111e010200070102000201020001010200030
+10300010102000101020000010200010102000301030002010300000101000001
+0200010102000001010000010100000101000301030002010200050103000001010003010200040
+10300ff019e010200000101000001010000010100000101000001010000010100
+000100000112060101110112060101111e010200070102000201070000010100010103000001020
+00101020000010200010102000101050002010200040107000001010000010100
+000101000101050002010200050102000701020004010300ff019e0116000112060101110112060
+101111e0102000101010003010200020102000501010002010200000102000101
+0200000102000101020000010200000102000201020004010200050101000001010000010100000
+102000001020002010200050102000701020004010300ff019e01030000010100
+000101000001010000010100000101000001010000010112060101110112060101111e010200000
+10200030102000201030001010100000102000101020000010300000102000001
+0200000103000001020000010200020102000401030001010100000101000301010000010200000
+10200020102000001010002010200070102000301010000010200ff019d010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+11d01070001010600010106000001070001010600000107000001070000010400
+040106000001020001010200000107000101050001010400040106000001020001010200ff019c0
+116000112060101110112060101111d0107000101060002010400010101000001
+0300030105000101030000010100010102000001020000010400050104000101020001010200010
+10200000102000201030002010400040106000001020000010300ff019c010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111460
+10200ff01f6010200000101000001010000010100000101000001010000010100
+0001000001120601011101120601011146010200ff01f6011600011206010111011206010111450
+10300ff01f6010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff014001020000010100000101000001010000010100000
+101000001010000010000011206010111011206010111ff01ff01400116000112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff0140010300000101000001010000010100000101000001010000010100000
+1011206010111011206010111ff01ff0140010100140101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010300000101000001010
+0000101000001010000010100000101000001011206010111011206010111ff01
+ff014001010014010112060101110112060101111d0104000601010028010300000101001501000
+016010100030101000c010000100101000c01060012010300ff01620101001401
+0112060101110112060101111d01040005010300260107001401010016010100030101000b01010
+00f0103000b01070011010300ff01620103000001010000010100000101000001
+0100000101000001010000010112060101110112060101111e01020007010100270102000101020
+01401010016010200010102000b010100100101000d0102000001020012010200
+ff016201010014010112060101110112060101111e0102003101020002010100130102001601020
+0010102000a010200200102000001020012010200ff0162010100140101120601
+01110112060101111e0102000501040001010300000102000301030003010400020102000101010
+00101030001010100000103000001020001010300000100000101060003010300
+0201000000010100000101000101070001010400020106000101020001010100020104000201030
+00001020001010200000102000101040004010200000101000001020001010200
+01010400030104000001000002010300ff014401030000010100000101000001010000010100000
+101000001010000010112060101110112060101111e0102000501040001010800
+0101050001010600010107000101030003010300000102000001060001010600020105000101070
+00001070000010600010106000101070001010400020102000101020001010200
+0001020000010600020106000001020001010200000106000101070001010500ff0143010100140
+10112060101110112060101111e01020007010200020103000001020000010200
+0101020000010100010102000201060002010300020102000101020000010200000102000201020
+00401020001010200000107000001070000010100010102000201020005010600
+0301020003010200000101000201060000010100010102000101030000010200000102000001020
+0010101000101020001010200000103000001020001010200ff01420101001401
+0112060101110112060101111e01020007010200020102000101020000010200010102000301030
+00201030000010100030103000201020000010100010103000101000002010200
+0401020001010200000101000001010000010100000101000001010000010100030103000201020
+00501030000010100030102000401030003010500040103000101020002010100
+000105000501030001010200000102000101020001010200ff01420103000001010000010100000
+1010000010100000101000001010000010112060101110112060101111e010200
+0701020002010200010102000001070001010500020102000401010001010300010105000201040
+00301020004010700000101000001010000010100000101000001010000010100
+0101050002010200050102000701020004010300030102000501050001010200050104000401050
+0010102000001020001010700ff01420101001401011206010111011206010111
+1e01020001010100030102000201020001010200000102000501020000010200020102000401010
+00201020002010300020100000101030002010200040102000501010000010100
+0001010000010100000101000001010000010200000102000201020005010200070102000401030
+00301020004010200000102000101020005010200000101000201020000010200
+0201040002010200ff014701010014010112060101110112060101111e010200000102000301020
+00201020001010200000103000101010000010200000102000201020004010200
+0101020002010300020102000001020002010200000101000101030001010100000101000001010
+00001010000010100030101000001020000010200020102000001010002010200
+0701020003010100000102000201020004010200000102000101030001010100000102000001020
+00101020000010200010103000401030001010100ff0142010300000101000001
+01000001010000010100000101000001010000010112060101110112060101111d01070001010a0
+00001030001010600000107000001040003010700030101000301060002010500
+0201060000010100000101000001010000010200010102000001070001010500010104000401060
+00001020001010200000104000301070001010600000102000101020000010700
+0001060002010600ff014201010014010112060101110112060101111d01070001010a000001030
+00201040002010200000102000001040003010100000103000301020003010000
+0001030004010300040104000101010000010100000101000001020001010200010102000001020
+00201030002010400040106000001020000010300000104000401020000010200
+02010400010102000101020001010200000102000101060002010400ff014301010014010112060
+101110112060101115d0102008b01020001010200ff014b010300000101000001
+01000001010000010100000101000001010000010112060101110112060101115c0103008b01070
+0ff014b01010014010112060101110112060101115c0102008d010500ff014c01
+01001401011206010111011206010111ff01ff01400103000001010000010100000101000001010
+000010100000101000001011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010100140
+1011206010111011206010111ff01ff0140010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001010014010112060101110112060101111d01
+0100030101000c01000010010100ff01f9010300000101000001010000010100000101000001010
+00001010000010112060101110112060101111d010100030101000b0101000f01
+0300ff01f801010014010112060101110112060101111d010200010102000b01010010010100ff0
+1f901010014010112060101110112060101111d010200010102000a010200ff01
+ff010c0103000001010000010100000101000001010000010100000101000001011206010111011
+2060101111d010700010104000201060001010200010101000201040002010300
+00010200ff01ed01010014010112060101110112060101111d01070000010600010106000101070
+0010104000201020001010200ff01ed0101001401011206010111011206010111
+1d01070000010100010102000201020005010600030102000301020000010100ff01ee010300000
+10100000101000001010000010100000101000001010000010112060101110112
+060101111d010100000101000001010003010300020102000501030000010100030102000401030
+0ff01ef01010014010112060101110112060101111d0101000001010000010100
+0101050002010200050102000701020004010300ff01ef010100140101120601011101120601011
+11d01010000010100000101000001020000010200020102000501020007010200
+04010300ff01ef01030000010100000101000001010000010100000101000001010000010112060
+101110112060101111d0101000301010000010200000102000201020000010100
+02010200070102000301010000010200ff01ee01010014010112060101110112060101111d01020
+001010200000107000101050001010400040106000001020001010200ff01ed01
+010014010112060101110112060101111d010200010102000101020000010200020103000201040
+0040106000001020000010300ff01ed0103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+0100000101000001010000010112060101110112060101111d010100030101000c0100001001010
+00d010200000101000d010000ff01d60101001401011206010111011206010111
+1d010100030101000b0101000f0103000b0106000c010100ff01d60101001401011206010111011
+2060101111d010200010102000b010100100101000c010200000102000c010100
+ff01d60103000001010000010100000101000001010000010100000101000001011206010111011
+2060101111d010200010102000a0102001f010200010101000b010200ff01d601
+010014010112060101110112060101111d010700010104000201060001010200010101000201040
+00201030000010200000102000101010002010400020106000301030003010400
+000100000201030002010200010101000101030000010200ff01a50101001401011206010111011
+2060101111d010700000106000101060001010700010104000201020001010200
+000102000501060001010600020105000101070001010500010107000001030000010200ff01a50
+10300000101000001010000010100000101000001010000010100000101120601
+01110112060101111d0107000001010001010200020102000501060003010200030102000001010
+00101020005010100010102000201020004010200010102000001020000010300
+0001020001010200010106000001020001010200ff01a5010100140101120601011101120601011
+11d01010000010100000101000301030002010200050103000001010003010200
+0401030002010200080103000201020004010200010102000001020000010200010102000101020
+001010300000101000101020000010100ff01a601010014010112060101110112
+060101111d010100000101000001010001010500020102000501020007010200040103000201020
+00601050002010200040107000001020000010200010102000101020001010200
+05010500ff01a601030000010100000101000001010000010100000101000001010000010112060
+101110112060101111d0101000001010000010100000102000001020002010200
+0501020007010200040103000201020001010100010102000001020002010200040102000601040
+002010200010102000101020006010300ff01a701010014010112060101110112
+060101111d010100030101000001020000010200020102000001010002010200070102000301010
+00001020001010200010101000101020000010200020102000001010001010300
+010101000001030004010200010102000101020006010300ff01a70101001401011206010111011
+2060101111d010200010102000001070001010500010104000401060000010200
+010102000001060001010700010105000201060000010600020105000101040006010100ff01a80
+10300000101000001010000010100000101000001010000010100000101120601
+01110112060101111d0102000101020001010200000102000201030002010400040106000001020
+00001030001010400030102000001020002010300040104000201060002010300
+0201040005010200ff01a8010100140101120601011101120601011177010200010102001301020
+0ff01a901010014010112060101110112060101117701070012010300ff01a901
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+17801050013010200ff01aa0101001401011206010111011206010111ff01ff01
+400101001401011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+14001030000010100000101000001010000010100000101000001010000010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001010
+01401011206010111011206010111ff01ff014001030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ff01ff01400101001401011
+2060101110112060101111d010100030101000c010000100101000d0102000001
+01000d010000310107001e010000070101001f010400ff014d01010014010112060101110112060
+101111d010100030101000b0101000f0103000b0106000c010100310107001d01
+0100060103001d010600ff014c01030000010100000101000001010000010100000101000001010
+000010112060101110112060101111d010200010102000b010100100101000c01
+0200000102000c01010032010200000102001d010100070101001e01010001010300ff014b01010
+014010112060101110112060101111d010200010102000a0102001f0102000101
+01000b01020032010200010101001c0102002801010002010200ff014b010100140101120601011
+10112060101111d01070001010400020106000101020001010100020104000201
+0300000102000001020001010100020104000201060003010300030104000001000002010300020
+10200010101000101030000010200010102000401020000010700000102000301
+0200000101000001060002010400040103000101030000010200020103000001000006010200ff0
+14b01030000010100000101000001010000010100000101000001010000010112
+060101110112060101111d010700000106000101060001010700010104000201020001010200000
+10200050106000101060002010500010107000101050001010700000103000001
+0200010104000201020000010c00010106000001060002010400030105000001080000010600060
+10100ff014c01010014010112060101110112060101111d010700000101000101
+0200020102000501060003010200030102000001010001010200050101000101020002010200040
+10200010102000001020000010300000102000101020001010600000102000101
+0200010104000201020001010200000103000001020000010300000102000101020007010200020
+10200010102000001030000010200000102000001020005010100ff014d010100
+14010112060101110112060101111d0101000001010000010100030103000201020005010300000
+10100030102000401030002010200080103000201020004010200010102000001
+0200000102000101020001010200010103000001010001010200000101000201020004010200010
+10200000102000101020000010200020101000101020007010200020102000101
+02000001020001010200000103000101000004010100ff014e01030000010100000101000001010
+000010100000101000001010000010112060101110112060101111d0101000001
+0100000101000101050002010200050102000701020004010300020102000601050002010200040
+10700000102000001020001010200010102000101020005010500020102000401
+0200010102000001020001010200000102000601020007010200020102000101020000010200010
+102000101040004010100ff014f01010014010112060101110112060101111d01
+0100000101000001010000010200000102000201020005010200070102000401030002010200010
+10100010102000001020002010200040102000601040002010200010102000101
+0200060103000301020004010200010102000001020001010200000102000601020007010200020
+10200010102000001020001010200000100000101030002010100ff0150010100
+14010112060101110112060101111d0101000301010000010200000102000201020000010100020
+10200070102000301010000010200010102000101010001010200000102000201
+0200000101000101030001010100000103000401020001010200010102000601030003010200040
+10200000103000001020001010200000103000101010001010200000101000401
+02000201020001010200000102000101020000010200000102000101020003010000ff014b01030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101111d01020001010200000107000101050001010400040106000001020001010200000
+10600010107000101050002010600000106000201050001010400060101000301
+040003010b000001030001010600010105000201060001010500000103000001030000010600010
+1020002010100ff014b01010014010112060101110112060101111d0102000101
+0200010102000001020002010300020104000401060000010200000103000101040003010200000
+10200020103000401040002010600020103000201040005010200030104000401
+0300000105000001030002010400030103000301060002010300010103000001030000010000000
+1030002010700ff014b0101001401011206010111011206010111770102000101
+02001301020055010700ff014b01030000010100000101000001010000010100000101000001010
+000010112060101110112060101117701070012010300ff01a901010014010112
+060101110112060101117801050013010200ff01aa0101001401011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400103000001010000010100
+000101000001010000010100000101000001011206010111011206010111ff01ff0140010100140
+1011206010111011206010111ff01ff0140010100140101120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff01400101001401011206010111011206010111ff01
+ff014001010014010112060101110112060101111d010100030101000c010000100101000d01020
+0000101002e0106002801010018010000ff016a01030000010100000101000001
+010000010100000101000001010000010112060101110112060101111d010100030101000b01010
+00f0103000b0106002e0107002601030016010100ff016a010100140101120601
+01110112060101111d010200010102000b010100100101000c010200000102002f0102000001020
+02701010017010100ff016a01010014010112060101110112060101111d010200
+010102000a0102001f010200010101002f0102000001020040010200ff016a01160001120601011
+10112060101111d01070001010400020106000101020001010100020104000201
+0300000102000001020001010100030103000201000000010100000101000101000000010100000
+10100030103000101030000010200020102000001020002010300010103000001
+0200030103000201000000010100000101000201040001010300000102000201040002010600030
+103000201020001010100ff01550116000112060101110112060101111d010700
+0001060001010600010107000101040002010200010102000001020006010500010107000001070
+00101050000010800010102000001020001010500000108000101050001010700
+010104000101080000010600010106000201050001010700ff01540116000112060101110112060
+101111d0107000001010001010200020102000501060003010200030102000001
+0100010102000501020001010200000107000001070000010200010102000001030000010200010
+10200000102000001020001010200000103000001020000010200010102000001
+0700030102000201030000010200000101000101020002010200040102000101020001010600ff0
+1540116000112060101110112060101111d010100000101000001010003010300
+0201020005010300000101000301020004010300020102000501020001010200000101000001010
+00001010000010100000101000001010000010200010102000001020001010200
+0101020000010200000102000101020000010200010102000001020001010200000101000001010
+00001010003010200020102000101020003010300020102000401020001010200
+0101030000010100ff01540116000112060101110112060101111d0101000001010000010100010
+10500020102000501020007010200040103000201020005010200010102000001
+0100000101000001010000010100000101000001010000010200010102000001020001010200010
+10200000102000001070000010200010102000001020001010200000101000001
+0100000101000301020002010200010102000101050002010200040102000101020001010200ff0
+1580116000112060101110112060101111d010100000101000001010000010200
+0001020002010200050102000701020004010300020102000101010001010200010102000001010
+00001010000010100000101000001010000010100000102000101020000010200
+0101020001010200000102000001020005010200010102000001020001010200000101000001010
+00001010003010200020102000101020000010200000102000201020004010200
+0101020001010200ff01580116000112060101110112060101111d0101000301010000010200000
+10200020102000001010002010200070102000301010000010200010102000101
+0100010102000101020000010100000101000001010000010100000101000001010000010200010
+10200000102000101020001010200000102000001030001010100000102000101
+0200000102000101020000010100000101000001010003010200020102000101020000010200000
+102000201020000010100010102000101020001010200ff015801160001120601
+01110112060101111d0102000101020000010700010105000101040004010600000102000101020
+00001060002010500010101000001010000010100000101000001010000010100
+0101050000010300000103000001070001010a00000103000101050001010100000101000001010
+001010a000001030000010700010105000201050001010400ff01570116000112
+060101110112060101111d010200010102000101020000010200020103000201040004010600000
+10200000103000101040004010300020101000001010000010100000101000001
+0100000101000201030001010300000103000001060003010400000103000001030002010300020
+10100000101000001010001010a00000103000101020000010200020103000401
+030002010400ff015701020012010000011206010111011206010111ff01ff01400103001001010
+0011206010111011206010111ff01ff01400104000e0102000112060101110112
+06010111ff01ff01400105000c010300011206010111011206010111ff01ff01400106000a01040
+0011206010111011206010111ff01ff0140010700080105000112060101110112
+06010111ff01ff014001080006010600011206010111011206010111ff01ff01400109000401070
+0011206010111011206010111ff01ff0140010a00020108000112060101110112
+06010111ff01ff0140010b0000010900011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+40011600011206010111011206010111ff00ff005700011206010111011206010111ff00ff00570
+0011206010111011206010111ff01ff0140011600011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01a4019900180101120601011101120601
+0111ff01a40199001801011206010111011206010111ac01030008010100100103005d0100003c0
+104000401010004010400050100001a01040008018b0018010112060101110112
+0601011114010200010102000401000089010300070103000f0103005c0101003b0106000201030
+003010400040101001a01040008018b0018010112060101110112060101111501
+010002010100030102008901020008010100110102005c0101003b0102000001020003010100060
+10200040101001a01040008018b00180101120601011101120601011115010100
+02010000050100008a0102001c0102005b0102003b01020010010200030102001a01040008018b0
+01801011206010111011206010111150101000201000091010200010102000101
+040001010300000102000301050001010300000100001c010100000103000201040002010200010
+10100020104000201000000010100000101000301030002010600030103000201
+02000101010002010300000100001c0105000301040005010200020106000301030002010200010
+101000501040008018b0018010112060101110112060101111501010001010000
+0301030005010300010101000401000003010300050100001f01010001010100040103000201010
+00201010003010300040103001d01020001010200010104000101080001010600
+000106001c010700000106000101070000010600010107000101050001010600020105000101070
+0000106001c010500030104000501020002010600020105000101070004010400
+08018b0018010112060101110112060101111501010001010000050101000301020001010100010
+10100020101000101020001010100030102001d01000000010000000103000201
+0100010101000001030000010300000102000101010001010200010101001c01020000010200040
+102000201030000010200000102000001030000010200000102001c0103000001
+0200000101000101020002010600000101000101020001010700000102000101020001010200040
+10200010102000101060000010200000102001d01020007010200050102000301
+02000401020001010200010106000401040008018b0018010112060101110112060101111501010
+00101000004010100040101000201010001010100020101000101010002010000
+0501000020010200000101000601010001010000000100000001000000010100000101000201010
+001010100020100001d0105000501020002010200010102000001020001010200
+00010300010100001c0102000101020003010300020103000001010003010300010101000001010
+00001010000010200010102000101020004010200010102000101030000010100
+00010300010100001d0102000701020005010200030102000401020001010200010103000001010
+00401040008018b00180101120601011101120601011115010100000100000501
+010003010100020101000201010002010000030101002a010100010101000301030002010000000
+10100010103000201010003010100200104000601020002010200010102000001
+020001010200010104001d010200010102000101050002010200050105000101010000010100000
+1010000010700010102000401070001010200050104001e010200070102000501
+02000301020004010700010102000801040008018b0018010112060101110112060101111501010
+00001000005010100030104000301010001010000000100000401020027010100
+02010000020101000101010001010100000101000001010000010400060102001e0102000001010
+0050102000201020001010200000102000101020000010000010103001c010200
+0101020000010200000102000201020004010200000102000101010000010100000101000001020
+006010200040102000601020004010000010103001d0102000701020005010200
+0301020004010200060102000801040008018b00180101120601011101120601011115010100000
+10000040101000401010006010100000101000001000002010000020101002601
+01000101010001010100020101000101010000010000010101000001010007010000020101001d0
+10200000102000401020002010200010102000001020001010200000102000001
+02001c0102000001030000010200000102000201020004010200000102000101010000010100000
+10100000103000101010001010200000101000101030001010100010102000401
+0200000102001d01020007010200050102000301020000010100010103000101010001010200080
+1040008018b001801011206010111011206010111150102000501010001010000
+0201010002010000010106000101010001010200040100002001010001010100000102000101020
+0000101000101000001010000020101000201000001010100010102001d010200
+0101020001010a000001030001010600000106001c0106000101070000010400030107000001010
+0000101000001010001010600010105000201060000010400030106001c010400
+04010600010106000101050002010600000104000701040008018b0018010112060101110112060
+10111150101000701020004010300030101000001010003010300050102001e01
+0100030101000101020001010100000100000401000003010300030103001f01020001010200010
+10a0000010300020102000001010000010000000103001d010500030102000001
+0200000104000401020000010200000101000001010000010100020104000301030004010400010
+1040003010000000103001d010400040106000101060002010300040104000101
+04000701040008018b001801011206010111011206010111430100003801000076010200ab01040
+008018b001801011206010111011206010111f5010200ab01040008018b001801
+011206010111011206010111f4010400aa01040008018b001801011206010111011206010111ff0
+1a401040008018b001801011206010111011206010111ff01a401040008018b00
+1801011206010111011206010111ff01a401040008018b001801011206010111011206010111ff0
+1a401040008018b001801011206010111011206010111ff01a401990018010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+060101110112060101116d01030004010300340104000401010004010400a8010300270101000f0
+10000070101009f010112060101110112060101116d0103000401030033010600
+02010300030104004f01020004010000100100003d010300260103000d010100060103009e01011
+2060101110112060101116e010200050102003301020000010200030101000601
+0200500101000301020006010000060102003d010200270101000e010100070101009f010112060
+101110112060101116e0102000501020033010200100102005001010004010000
+07010000070100003e01020037010200a9010112060101110112060101116601040002010500020
+10500020102000101010002010300000100001c01050003010400050102000401
+030003010300000100003c0101000d0101004401050002010300030103000001000003010200000
+10100000102000101010002010400020101000001030001010600020104000401
+030001010300000102008b010112060101110112060101116501060001010600010106000101070
+0000106001c010500030104000501020003010500010106001e01030005010200
+0201010001010100040101000001010002010300040105000201030006010200020101000101010
+0040103001e010600010105000101060002010600000107000101040002010700
+000106000201040003010500000108008a010112060101110112060101116501010001010200010
+103000001020000010300000102000101060000010200000102001d0102000701
+020005010200020102000101020000010200000102001c010200010101000201010001010100000
+10000000100000001030002010000010102000401010005010100070101000401
+01000101010000010000000100000001030001010200010101001c0102000001030000010200010
+10200000102000001020001010300000102000101060003010200020103000001
+02000101020007010200020102000101020000010300000102008a0101120601011101120601011
+16801030001010200010102000001020001010200010103000001010000010300
+010100001d0102000701020005010200020102000101020000010300010100001c0101000201000
+00301010001010100020102000001010001010100010101000401010006010100
+060101000501010001010100020102000001010001010100020100001d010200010102000001020
+00101020000010300010100000101020002010100010103000001010003010200
+02010200010102000101020007010200020102000101020000010200010102008a0101120601011
+10112060101116601050001010200010102000001020001010200010102000501
+04001e010200070102000501020002010700010104001c010100070101000201010002010100010
+10100010101000101010004010100060101000601010004010100020101000201
+0100010101000201010020010200010102000001070001010400020102000601020007010200020
+10200010102000101020007010200020102000101020000010200010102008a01
+0112060101110112060101116501020000010200010102000101020000010200010102000101020
+004010000010103001d0102000701020005010200020102000501000001010300
+1b01010007010100020101000101010002010000010101000201010004010100050101000701010
+004010100020101000101010002010000040102001e0102000101020000010200
+0501000001010300010102000601020007010200020102000101020001010200070102000201020
+00101020000010200010102008a01011206010111001209116501020000010200
+010102000101020000010200010102000101020004010200000102001d010200070102000501020
+0020103000101010000010200000102001b010100070101000101010002010100
+0101010001010100010101000401010006010100060101000501010001010100020101000101010
+002010000020101001d0102000101020000010300010101000001020000010200
+0101030001010100010102000701020002010200000103000101020000010100040102000201020
+00101020000010200010102008a01011208110912001165010700000106000101
+060001010400030106001c010400040106000101060001010600000106001c01010002010000020
+10100010101000201010001010100000102000001020000010000020101000101
+0000030101000101000003010100010100000201010001010100020101000101010000010200010
+102001e0106000101060000010600020106000001040004010600000106000201
+0500020106000101050000010300000103008a01091200110112060101116601020000010200000
+101000001020002010100000102000201040003010000000103001d0104000401
+0600010106000201040001010000000103001e01030004010200030101000301010001010200000
+10100040102000501020005010200040102000301010003010100010103002101
+0200000101000201040001010000000103000401040001010400040106000001050004010300030
+106000201030001010300000103008a01011206010111011206010111ff01a001
+0200b301011206010111011206010111ff01a0010200b301011206010111011206010111ff019f0
+10400b201011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff12ff12591206010111011206010011ff12ff1
+25a120601011101121e0100110012ff01ff012701001100121e01011101121e01
+00110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011
+101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01
+ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e01001
+10012ff01ff012701001100121e01011101121f110012ff11ff112811001220110012
+ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-crossref.ps b/books/ps/h-crossref.ps
new file mode 100644
index 0000000..08b71c6
--- /dev/null
+++ b/books/ps/h-crossref.ps
@@ -0,0 +1,819 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:53:43 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c0202030202
+020304020203070202030902011a3b02011a1903021a0003001a2903051a0e03031a3f03031a1803051a2003001a13030004040300041f0300041003010403030504040300041903
+011a040202030402020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d020203000202030502020307020203
+0902011a3b02011a1803011a0003021a2a03011a0103011a0c03011a0103011a3d03011a0103011a1803011a0103011a1e03021a12030004030301040d0300040f0302040e030004
+0603010401030104040300041803011a040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d010c060a010d050202030d02
+02030002020305020203070202030902011a3b02011a1703011a0203011a2a03011a0103011a0c03011a0103011a3d03011a0103011a1803011a0203011a1e03001a130301040203
+01040d030004100300040e0301040603010401030104040300041803011a0402020304020203020202030302020302020b03020202030902011a180208031902010c060a010d010c
+060a010d050202030e02040306020203070202030902011a3b02011a1703011a0303001a2a03011a0103011a0c03011a4103011a1c03011a0203011a33030104010301040d030104
+1f0301040703010401030104040301041703011a04020203040202030202020303020203020202030002030300020203020202030902011a16020c031702010c060a010d010c060a
+010d050208030802040306020203070202030902011a3b02011a1703011a0303001a0003011a0003031a0303031a0303031a0003001a0203031a0003001a0703011a0103011a0303
+031a0403011a0603031a0203011a0003031a0303031a0203011a0003021a0403031a0403031a0903011a0603031a0203011a0003031a0703011a0203011a0203031a0203001a0003
+011a0003011a0203041a0303031a0303011a0003021a0803050403030304030305040103010401030204020303040403010402030104010301040603010401030104050301041703
+011a04020a030202020303020203020202030002030300020203020207030402011a140210031502010c060a010d010c060a010d050209030802020307020203070202030902011a
+3b02011a1703011a0603021a0103011a0103011a0103011a0103011a0203011a0103011a0203011a0703011a0003011a0303011a0103011a0203041a0303011a0103011a0203021a
+0103011a0103011a0103011a0203011a0103011a0203011a0103011a0203011a0103011a0703041a0303011a0103011a0203021a0103011a0603011a0203011a0103011a0103011a
+0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030604020301040103010403030104030300040003020401030104030301040303000400030104
+00030104010301040703010401030104050301041703011a04020a030202020303020203020202030102010301020203020208030302011a120214031302010c060a010d010c060a
+010d050209030802020307020203070202030902011a3b02011a1703011a0603011a0203011a0003011a0303011a0003011a0303001a0103011a0303001a0703031a0303011a0203
+011a0303011a0403011a0203011a0203011a0203011a0003011a0203011a0203011a0103011a0103011a0203011a0103011a0203011a0803011a0403011a0303011a0103011a0203
+011a0603011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030004000302040003000406030104030301040503
+02040103010402030104060303040203010407030404060301041703011a04020a030202020303020203020202030102010301020203020208030302011a100218031102010c060a
+010d010c060a010d050202030e02040306020203070202030902011a3b02011a1703011a0603011a0503011a0303011a0103021a0503021a0a03011a0003011a0203061a0303011a
+0403061a0203011a0503061a0203011a0103011a0103011a0603061a0803011a0403011a0303011a0103011a0b03011a0203011a0003011a0303011a0003011a0003011a0003011a
+0303031a0403011a0403011a0103011a06030004010300040103000403030304040301040503010407030104070302040203010407030304060301041803011a0402020304020203
+02020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a1703011a0303
+001a0103011a0503011a0303011a0303021a0503021a0803011a0103011a0103011a0803011a0403011a0703011a0503011a0703011a0103011a0103011a0603011a0d03011a0403
+011a0303011a0103011a0b03011a0203011a0003011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a0603000403030004020301040103
+010403030104060301040703010406030204030301040603010400030104060301041803011a040202030402020302020203030202030202020305020203020202030902011a1502
+0e031602010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a1703011a0303001a0103011a0503011a0303011a0003001a0303011a
+0103001a0303011a0703011a0103011a0103011a0803011a0403011a0703011a0503011a0703011a0103011a0103011a0303001a0103011a0d03011a0403011a0303011a0103011a
+0b03011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a050300040403000401030104020301040303010405030104
+070301040603010400030104020301040603010401030104040301041903011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c
+060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a1803011a0103011a0103011a0603011a0103011a0103011a0203011a0103011a0203
+011a0703011a0203011a0103011a0203001a0303011a0503011a0203001a0203011a0603011a0203001a0203011a0103011a0203011a0103011a0203011a0203001a0803011a0503
+011a0103011a0203011a0b03011a0103011a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a0503000404030004010301040103
+0204000300040103010401030004020301040703010401030004030300040103010400030004010300040603010401030104040301041903011a0402020304020203020202030302
+02030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a1903031a0103041a
+0503031a0203001a0003031a0203001a0003031a0703031a0103011a0203031a0303031a0503031a0203041a0503031a0203021a0003031a0203031a0403031a0803031a0503031a
+0203041a0803051a0403031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a04030104020302040103020401030104030302040303010408030204
+0203010403030104020300040503030401030104020300041b03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d
+010c060a010d050202030c0202030202020304020203070202030902011a3b02011aff03310300040d0301041c03011a040202030402020302020203030202030202020305020203
+020202030902011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02011aff035f03011a04020203040202030202020303020203
+0202020305020203020202030902011a3b02010c060a010d010c060a010d05020903040202030402020303020203070202030902011a3b02011aff035f03011a0402020304020203
+020209030202020305020203020208030302011a3b02010c060a010d010c060a010d05020a03020202030602020302020203070202030902011a3b02011aff035f03011a04020203
+04020203030208030202020305020203020209030202011a3b02010c060a010d010c060a010d06020903030201030702010303020103080201030902011a3b02011aff035f03011a
+0502010305020103040206030402010306020103030208030202011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02
+011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010d2403060228030002ff03ff030103010c060a010d010c060a010d13030b0204030702260301023d03021a0003001a
+0c03001a2b03001a1e03001a0403021a1703021a1f03001a1203021a0f03031a2f03001a1203021a4303001a0703001a6003010c060a010d010c060a010d13030b02050302020003
+0202260301023c03011a0003021a0c03001a2a03021a1d03001a0503011a1803011a1e03021a1203011a1103011a2f03001a1303011a4303001a0603021a5f03010c060a010d010c
+060a010d13030102000300020003000200030002000302020503020200030202250302023b03011a0203011a0b03011a2b03001a1d03011a0503011a1803011a1f03001a1303011a
+1103011a2e03011a1303011a4203011a0703001a6003010c060a010d010c060a010d1303020200030002000300020003000200030102050302020003020201030402020302020103
+01020303030201030302000302020103060202030302000300022f03011a0303001a0b03011a4a03011a0503011a1803011a3403011a1103011a2e03011a1303011a4203011a6903
+010c060a010d010c060a010d130301020003000200030002000300020003020205030202000302020003060201030702010305020003080200030602010306022f03011a0303001a
+0103041a0203061a0303031a0303031a0003011a0203031a0203011a0003031a0203031a0503031a0303031a0003001a0603061a0203041a0403031a0903041a0303031a0203001a
+0003011a0003011a0203041a0303031a0303011a0003021a0803041a0403031a0503011a0503031a0203011a0003021a0303031a0003011a0103031a0003001a0603061a0303031a
+0803041a0203031a0003021a0603041a0303031a0003001a0203031a0003001a0303031a0203011a0003031a0103061a0203031a0503031a0203011a0003021a4c03010c060a010d
+010c060a010d130302020003000200030002000300020003010205030602000301020103020202030602000302020103020200030302000302020103020204030202000302022f03
+011a0503011a0203011a0303011a0503011a0103011a0103011a0103011a0003001a0103011a0103011a0203021a0103011a0303011a0403011a0103011a0103011a0203011a0803
+011a0503021a0003011a0203011a0103011a0703011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0703021a0003
+011a0203011a0103011a0403011a0403011a0103011a0203011a0103011a0103011a0103011a0003001a0003011a0203011a0803011a0503011a0103011a0703021a0003011a0203
+011a0203001a0603011a0203011a0103011a0203011a0103011a0203011a0203011a0103011a0203021a0103011a0203011a0703011a0403011a0103011a0203011a0103011a4b03
+010c060a010d010c060a010d130301020003000200030002000300020003020205030502040303020203030200030102000302020103020200030202010302020103020204030302
+010300022f03011a0503011a0203011a0303011a0403011a0203011a0103011a0103011a0203011a0303011a0103011a0203011a0303011a0303011a0203011a0103011a0303001a
+0803011a0503011a0103011a0103011a0203011a0603011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0703011a
+0203011a0003011a0203011a0403011a0303011a0303011a0103011a0103011a0103011a0103011a0203011a0303001a0803011a0403011a0303011a0603011a0203011a0103011a
+0203001a0603011a0203011a0103011a0303001a0103011a0303001a0103011a0203011a0203011a0203011a0203011a0703011a0303011a0303011a0103011a0103011a4b03010c
+060a010d010c060a010d130302020003000200030002000300020003010205030202050305020203020204030702000302020103020201030202050304023003011a0803031a0303
+011a0403061a0103011a0103011a0203011a0303011a0103011a0803011a0303061a0203021a0b03011a0503011a0103011a0103061a0603011a0203011a0103011a0303011a0003
+011a0003011a0003011a0303031a0403011a0403011a0103011a0703011a0203011a0003061a0403011a0303011a0303011a0103011a0103011a0103011a0103011a0303021a0b03
+011a0403011a0303011a0603011a0203011a0203011a0003001a0a03031a0203021a0503021a0403061a0203011a0703011a0703011a0303011a0303011a0103011a0103011a4b03
+010c060a010d010c060a010d130301020003000200030002000300020003020205030202040302020003020202030202040302020503020201030202010302020403000201030302
+2f03011a0303001a0103011a0103011a0303011a0403011a0703031a0303011a0303011a0103011a0803011a0303011a0903021a0903011a0503011a0103011a0103011a0b03011a
+0203011a0103011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a0703011a0203011a0003011a0903011a0303011a0303011a0103011a
+0103011a0203031a0603021a0903011a0403011a0303011a0603011a0203011a0203011a0003001a0803011a0103011a0403021a0503021a0203011a0703011a0703011a0703011a
+0303011a0303011a0103011a0103011a4b03010c060a010d010c060a010d130302020003000200030002000300020003010205030202040302020003020202030202040303020103
+01020003020201030202010302020003010201030202000302022f03011a0303001a0003011a0203011a0303011a0403011a0603001a0703011a0303011a0103011a0803011a0303
+011a0603001a0303011a0803011a0503011a0103011a0103011a0b03011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103
+011a0703011a0203011a0003011a0903011a0303011a0303011a0103011a0103011a0103001a0703001a0303011a0803011a0403011a0303011a0603011a0203011a0303011a0803
+011a0203011a0103001a0303011a0103001a0303011a0103011a0703011a0703011a0703011a0303011a0303011a0103011a0103011a4b03010c060a010d010c060a010d13030b02
+04030402030307020003040204030a020003030201030502010306023003011a0103011a0003011a0103021a0303011a0103001a0203011a0203001a0103051a0303011a0103011a
+0203011a0803011a0403011a0203001a0103011a0203011a0803011a0103001a0203011a0103011a0203011a0203001a0703011a0003021a0203011a0103011a0103011a0003011a
+0003011a0003011a0103021a0403011a0403011a0103011a0703021a0003011a0203011a0203001a0403011a0403011a0103011a0203011a0103011a0103051a0203011a0203011a
+0803011a0103001a0203011a0103011a0703021a0003011a0403011a0803011a0103021a0103011a0203011a0103011a0203011a0203011a0203001a0203011a0703011a0103001a
+0403011a0403011a0103011a0203011a0103011a4b03010c060a010d010c060a010d13030b0204030402040302020003020200030402050304020003030200030302020303020203
+0002000303023203031a0203021a0103011a0303021a0403031a0303051a0303031a0203041a0403051a0303031a0203001a0003031a0a03021a0203021a0003031a0203031a0903
+021a0003011a0203031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a0503011a0003021a0403031a0303051a0303031a0203021a0003031a0103
+051a0103001a0003031a0a03021a0403031a0703011a0003021a0503001a0a03021a0103011a0003001a0003031a0203001a0003031a0403031a0203041a0603021a0303051a0303
+031a0203021a0003031a4a03010c060a010d010c060a010db403001a0403001abb03001a0403001a3203001aa403010c060a010d010c060a010db403011a0203011abb03011a0203
+011a2f03001a0003001aa503010c060a010d010c060a010db503041abd03041a3003021aa503010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d25030302
+2a030002ff03ff030103010c060a010d010c060a010d13030b0205030302290301023c03021a0403031a0403031a1d03001a2b03001a1e03001a0403021a1703021a1f03001a1203
+021a0f03031a2f03001aa403010c060a010d010c060a010d13030b0206030202290301023d03011a0603011a0603011a1d03001a2a03021a1d03001a0503011a1803011a1e03021a
+1203011a1103011a2f03001aa403010c060a010d010c060a010d130301020003000200030002000300020003020205030402270302023d03011a0603011a0603011a1c03011a2b03
+001a1d03011a0503011a1803011a1f03001a1303011a1103011a2e03011aa403010c060a010d010c060a010d13030202000300020003000200030002000301020503040201030302
+0003020203030202000301020203030203030302000300020103060203030302020302020103010202030302000300021e03031a0503011a0603011a1c03011a4a03011a0503011a
+1803011a3403011a1103011a2e03011aa403010c060a010d010c060a010d130301020003000200030002000300020003020205030102000301020103080201030602010305020103
+0602010306020203050201030702000306021e03001a0003011a0503011a0603011a0a03031a0303041a0203061a0303031a0303031a0003011a0203031a0203011a0003031a0203
+031a0503031a0303031a0003001a0603061a0203041a0403031a0903041a0303031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a0803041a0403031a0503
+011a0503031a0203011a0003021a0303031a0003011a0103031a0003001a0603061a0303031a9903010c060a010d010c060a010d1303020200030002000300020003000200030102
+050301020003020201030302000302020003030200030202000302020103020200030202000302020203020204030202010302020103060200030202000302021e03001a0003011a
+0503011a0603011a0903011a0103011a0103011a0203011a0303011a0503011a0103011a0103011a0103011a0003001a0103011a0103011a0203021a0103011a0303011a0403011a
+0103011a0103011a0203011a0803011a0503021a0003011a0203011a0103011a0703011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a
+0403011a0103011a0703021a0003011a0203011a0103011a0403011a0403011a0103011a0203011a0103011a0103011a0103011a0003001a0003011a0203011a0803011a0503011a
+0103011a9803010c060a010d010c060a010d130301020003000200030002000300020003020205030102010301020103020201030202000302020203010200030202010302020003
+030201030002020302020403020201030202010303020003010200030302010300021e03001a0103011a0403011a0603011a0803011a0203011a0103011a0203011a0303011a0403
+011a0203011a0103011a0103011a0203011a0303011a0103011a0203011a0303011a0303011a0203011a0103011a0303001a0803011a0503011a0103011a0103011a0203011a0603
+011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0703011a0203011a0003011a0203011a0403011a0303011a0303
+011a0103011a0103011a0103011a0103011a0203011a0303001a0803011a0403011a0303011a9703010c060a010d010c060a010d1303020200030002000300020003000200030102
+04030602010302020103020200030202050307020103040203030202040302020103020201030202050304021e03051a0403011a0603011a0803011a0903031a0303011a0403061a
+0103011a0103011a0203011a0303011a0103011a0803011a0303061a0203021a0b03011a0503011a0103011a0103061a0603011a0203011a0103011a0303011a0003011a0003011a
+0003011a0303031a0403011a0403011a0103011a0703011a0203011a0003061a0403011a0303011a0303011a0103011a0103011a0103011a0103011a0303021a0b03011a0403011a
+0303011a9703010c060a010d010c060a010d130301020003000200030002000300020003020204030702000302020103020200030202050302020503000201030302020302020403
+0202010302020103020204030002010303021d03001a0203011a0403011a0603011a0803011a0703011a0103011a0303011a0403011a0703031a0303011a0303011a0103011a0803
+011a0303011a0903021a0903011a0503011a0103011a0103011a0b03011a0203011a0103011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103
+011a0703011a0203011a0003011a0903011a0303011a0303011a0103011a0103011a0203031a0603021a0903011a0403011a0303011a9703010c060a010d010c060a010d13030202
+000300020003000200030002000301020403010202030202000302020103020200030302010301020003030201030102000302020003020202030202000301020103020201030202
+0103020204030202000302021d03001a0303011a0303011a0603011a0803011a0303001a0103011a0203011a0303011a0403011a0603001a0703011a0303011a0103011a0803011a
+0303011a0603001a0303011a0803011a0503011a0103011a0103011a0b03011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a
+0103011a0703011a0203011a0003011a0903011a0303011a0303011a0103011a0103011a0103001a0703001a0303011a0803011a0403011a0303011a9703010c060a010d010c060a
+010d13030b02030303020003070200030302010306020103060200030602020305020203050201030402030306021c03011a0303011a0303011a0603011a0903011a0103011a0103
+011a0103021a0303011a0103001a0203011a0203001a0103051a0303011a0103011a0203011a0803011a0403011a0203001a0103011a0203011a0803011a0103001a0203011a0103
+011a0203011a0203001a0703011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a0703021a0003011a0203011a0203
+001a0403011a0403011a0103011a0203011a0103011a0103051a0203011a0203011a0803011a0103001a0203011a0103011a9803010c060a010d010c060a010d13030b0203030302
+00030702000303020203040203030402010300020003030204030302040303020203040203030002000303021d03021a0103021a0103051a0203051a0803031a0303021a0103011a
+0303021a0403031a0303051a0303031a0203041a0403051a0303031a0203001a0003031a0a03021a0203021a0003031a0203031a0903021a0003011a0203031a0203011a0003011a
+0003011a0103021a0103011a0103051a0103021a0003031a0503011a0003021a0403031a0303051a0303031a0203021a0003031a0103051a0103001a0003031a0a03021a0403031a
+9903010c060a010d010c060a010dd403001a0403001abb03001a0403001ab803010c060a010d010c060a010dd403011a0203011abb03011a0203011ab803010c060a010d010c060a
+010dd503041abd03041ab903010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d230307020b0304020e03000207030102ff03ff030003010c060a010d010c
+060a010d13030b02030308020a0304020d030102060303023803061a1303021a3a03001a0703001a0403021a3a03001a0703001a3703031a0f03001a0703001a1e03001a1603021a
+1f03001a6503010c060a010d010c060a010d13030b0204030202010302020c0302020d030102070301023a03011a0103021a1303011a3903021a0603001a0503011a3a03001a0603
+021a3803011a0f03001a0603021a1d03001a1703011a1e03021a6403010c060a010d010c060a010d130301020003000200030002000300020003020204030202010302020c030202
+0c0302024403011a0203011a1303011a3a03001a0603011a0503011a3903011a0703001a3903011a0e03011a0703001a1d03011a1703011a1f03001a6503010c060a010d010c060a
+010d13030202000300020003000200030002000301020403020200030202030303020503020203030402020306020203040202030202010302020203030203030302000300021d03
+011a0203011a1303011a4203011a0503011a3903011a4203011a0e03011a2603011a1703011a8603010c060a010d010c060a010d1303010200030002000300020003000200030202
+040305020303050204030202020306020103060202030402020302020103020201030502010306021d03011a0203011a0103041a0403031a0303011a0103021a0103041a0303031a
+0003011a0203031a0303031a0003001a0603011a0303011a0103031a0303061a0203041a0903031a0203011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a
+0503031a0203011a0003021a0303031a0003001a0603011a0003031a0303031a0503011a0403041a0203061a0203031a0303011a0003021a0303031a0003011a0503061a0303031a
+0903041a0303031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a5a03010c060a010d010c060a010d13030202000300020003000200030002000301020403
+0502020302020103020203030202020301020103020202030202070302020203020201030202000302020103020200030202000302021d03011a0103021a0003011a0203011a0203
+011a0103011a0203011a0103011a0103011a0203011a0103011a0103011a0003001a0103011a0103011a0103011a0203011a0603011a0303011a0303011a0503011a0503021a0003
+011a0703011a0103011a0203021a0003011a0203011a0103011a0203021a0103011a0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203
+011a0703021a0103011a0103011a0103011a0403011a0303011a0203011a0303011a0703011a0403011a0103011a0103011a0103011a0003001a0703011a0503011a0103011a0703
+011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a5903010c060a010d010c060a010d130301020003000200030002
+000300020003020204030202000302020103020201030202030302020503030202030202070302020303020200030102010302020103020200030302010300021d03051a0103011a
+0203011a0103011a0203011a0203011a0003011a0203011a0203011a0103011a0103011a0203011a0203011a0103011a0303001a0603011a0003011a0003011a0303011a0503011a
+0503011a0103011a0603011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a
+0103011a0303001a0703011a0203011a0003011a0203011a0403011a0303011a0203011a0303011a0703011a0403011a0103011a0103011a0103011a0903011a0403011a0303011a
+0503011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a5903010c060a010d010c060a010d13030202000300020003
+0002000300020003010204030202000302020103070203030202030305020203020207030202030302020003010201030702010304021e03011a0803031a0103011a0703031a0603
+031a0103011a0103011a0203061a0203021a0903011a0003011a0003011a0303011a0503011a0503011a0103011a0603011a0303011a0103011a0203011a0003061a0203011a0803
+031a0303011a0703011a0303011a0303011a0103011a0103011a0203021a0a03011a0503061a0403011a0603031a0303011a0703011a0403011a0103011a0103011a0103011a0903
+011a0403011a0303011a0503011a0203011a0103011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011a5903010c060a010d010c060a010d13030102
+000300020003000200030002000302020403020200030202010302020803020202030202000302020203020207030202030304020203020205030002010303021d03011a0603011a
+0103011a0103011a0703031a0403011a0103011a0203031a0303011a0903021a0703011a0003011a0003011a0303011a0503011a0503011a0103011a0603011a0303011a0103011a
+0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403021a0803011a0503011a0903011a0403011a0103011a0303011a
+0703011a0403011a0103011a0203031a0a03011a0403011a0303011a0503011a0203011a0103011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a
+0103011a5903010c060a010d010c060a010d130302020003000200030002000300020003010204030202010302020003030201030102030302020203020200030202020302020003
+01020403020204030302020303020103010200030202000302021d03011a0503011a0203011a0103011a0303001a0203011a0003011a0203011a0203011a0103001a0703011a0603
+001a0303011a0703011a0003021a0403011a0503011a0503011a0103011a0603011a0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a0703011a0303
+011a0303011a0103011a0103011a0103001a0303011a0703011a0503011a0903011a0303011a0203011a0303011a0703011a0403011a0103011a0103001a0e03011a0403011a0303
+011a0503011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a5903010c060a010d010c060a010d13030b0203030302
+0103020201030602010306020003070201030502020306020203020204030602000306021d03011a0503011a0103021a0203011a0103011a0203011a0103011a0103011a0103021a
+0103051a0303011a0203001a0103011a0203011a0703011a0103011a0403011a0503011a0103001a0203011a0103011a0703011a0103011a0203011a0103011a0203011a0203001a
+0203011a0503011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0703011a0603011a0203001a0403011a0303011a0103021a
+0303011a0103001a0403011a0403011a0103011a0103051a0903011a0103001a0203011a0103011a0703011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a
+0103021a0403011a0403011a0103011a5903010c060a010d010c060a010d13030b020303030201030202020304020203060201030202000302020203030203030602020302020503
+040201030002000303021d03031a0503021a0103011a0203031a0203031a0003021a0103021a0103011a0103051a0303031a0203001a0003031a0803001a0303001a0203051a0403
+021a0203021a0003031a0703031a0303041a0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a0003001a0003031a0703041a0503031a0303
+051a0203021a0103011a0303021a0303051a0103021a0003031a0103051a0903021a0403031a0903021a0003011a0203031a0203011a0003011a0003011a0103021a0103011a0103
+051a0103021a0003031a5803010c060a010d010c060a010dbd03001a0403001a4b03011a9103001a0403001aab03010c060a010d010c060a010dbd03011a0203011a4b03011a9103
+011a0203011aab03010c060a010d010c060a010dbe03041a4b03031a9103041aac03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d2403060229030302
+15030002ff03e603010c060a010d010c060a010d13030b020403070228030302140301022203021a0003001a1e03001a2203001a4203001a0703001a1903001a1e03001a0403021a
+0803001a8203001a0c03001a4e03010c060a010d010c060a010d13030b02050302020003020229030202140301022103011a0003021a1e03001a2203001a4203001a0603021a1703
+021a1d03001a0503011a0703021a8103001a0c03001a4e03010c060a010d010c060a010d130301020003000200030002000300020003020205030202000302022903020213030202
+2003011a0203011a1d03011a2103011a4103011a0703001a1903001a1d03011a0503011a0803001a8103011a0b03011a4e03010c060a010d010c060a010d13030202000300020003
+000200030002000301020503020200030202020303020203010200030302030303020103030200030202030305020203030201030302000302020103060202030302000300021403
+011a0303001a1d03011a2103011a4103011a4103011a0503011a8b03011a0b03011a4e03010c060a010d010c060a010d130301020003000200030002000300020003020205030202
+000302020103050201030702010305020003080201030602010305020003080200030602010306021403011a0303001a0203031a0203011a0003021a0303031a0003001a0103061a
+0103011a0003031a0103021a0003021a0303031a0203061a0303031a0203011a0003031a0203031a0003001a0603001a0003011a0003011a0303031a0203011a0003021a0203061a
+0203031a0503031a0203011a0003021a0303031a0303011a0003021a0303031a0003011a0503061a0203041a0303031a0403031a0003001a0703041a0303031a0003001a0703041a
+0203011a0003021a0803041a0203011a0003031a0203031a0003011a0003021a0003021a0103001a0003011a0003011a0303031a0203011a0003021a0203061a0603061a0103031a
+0003021a0003011a0003021a0403031a3103010c060a010d010c060a010d130302020003000200030002000300020003010205030202000302020003020201030202000303020003
+0202000302020103020200030302000302020003020200030302000302020103020200030302000302020103020204030202000302021403011a0603011a0103011a0203011a0103
+011a0103011a0203011a0303011a0503021a0103011a0103011a0103011a0203011a0103011a0303011a0503011a0103011a0203021a0103011a0003011a0203011a0603011a0003
+011a0003011a0103011a0103011a0203011a0103011a0303011a0703011a0403011a0103011a0203011a0103011a0403011a0403011a0103011a0103011a0103011a0003001a0703
+011a0503021a0003011a0403011a0303011a0203011a0603011a0203011a0103011a0203011a0603011a0203011a0203011a0103011a0603011a0203011a0203021a0103011a0003
+011a0103011a0003001a0103011a0103011a0103011a0003011a0003011a0103011a0103011a0203011a0103011a0303011a0b03011a0503011a0203001a0203021a0003011a0203
+011a0103011a3003010c060a010d010c060a010d13030102000300020003000200030002000302020503020200030202000302020103020200030202010302020003020201030202
+00030202010302020003020201030202000302020103020200030202010302020103020204030302010300021403011a0503011a0303011a0103011a0103011a0103011a0303001a
+0303011a0503011a0203011a0103011a0103011a0103011a0203011a0303011a0403011a0303011a0103011a0203011a0003011a0303001a0603011a0003011a0003011a0003011a
+0203011a0203011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403011a0403011a0103011a0103011a0103011a0903011a0503011a0103011a0403011a
+0303011a0303001a0603011a0203011a0103011a0303001a0603011a0203011a0203011a0103011a0603011a0203011a0203011a0203011a0003011a0103011a0303011a0103011a
+0103011a0003011a0003011a0003011a0203011a0203011a0103011a0303011a0b03011a0503011a0203001a0203011a0203011a0003011a0203011a3003010c060a010d010c060a
+010d13030202000300020003000200030002000301020503020200030202000307020003020201030202000307020003020201030202000302020103020200030702000302020103
+020201030202050304021503011a0503011a0303011a0103011a0103011a0203021a0603011a0503011a0603011a0103011a0103011a0803011a0403011a0303011a0103011a0603
+021a0903011a0003011a0003011a0003061a0203011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403011a0403011a0103011a0103011a0103011a0903
+011a0503011a0103011a0403011a0403021a0c03031a0203021a0c03031a0203011a0103011a0903031a0203011a0503011a0103011a0303011a0103011a0103011a0003011a0003
+011a0003061a0203011a0103011a0303011a0b03011a0603011a0003001a0303011a0203011a0003061a3003010c060a010d010c060a010d13030102000300020003000200030002
+00030202050302020003020200030202050302020103020200030202050302020103020200030202010302020003020205030202010302020103020204030002010303021403011a
+0303001a0003011a0303011a0103011a0103011a0403021a0403011a0503011a0603011a0103011a0103011a0803011a0403011a0303011a0103011a0803021a0703011a0003011a
+0003011a0003011a0703011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403011a0403011a0103011a0203031a0a03011a0503011a0103011a0403011a
+0603021a0803011a0103011a0403021a0803011a0103011a0203011a0103011a0703011a0103011a0203011a0603031a0403011a0103011a0103011a0003011a0003011a0003011a
+0703011a0103011a0303011a0b03011a0603011a0003001a0303011a0203011a0003011a3503010c060a010d010c060a010d13030202000300020003000200030002000301020503
+020200030202000303020103010200030202000303020003030201030102000302020103020200030202010302020003030201030102000302020103020201030202000301020103
+0202000302021403011a0303001a0003011a0303011a0103011a0103011a0103001a0303011a0303011a0503011a0603011a0103011a0103011a0303001a0303011a0403011a0303
+011a0103011a0503001a0303011a0603011a0003011a0003011a0003011a0703011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403011a0403011a0103
+011a0103001a0e03011a0503011a0103011a0403011a0303001a0303011a0603011a0203011a0103001a0303011a0603011a0203011a0203011a0103011a0603011a0203011a0203
+011a0503001a0803011a0103011a0103011a0003011a0003011a0003011a0703011a0103011a0303011a0b03011a0703011a0403011a0203011a0003011a3503010c060a010d010c
+060a010d13030b0204030702010306020003060202030a02000303020103060201030a020003030201030502010306021503011a0103011a0103011a0103011a0203011a0103011a
+0103011a0203011a0303011a0103001a0203011a0603011a0003021a0203011a0103011a0303011a0103001a0203011a0103011a0203011a0503011a0203011a0603011a0003011a
+0003011a0103011a0203001a0203011a0103011a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0403011a0403011a0103011a0103051a0903011a0103001a
+0203011a0103011a0403011a0303011a0203011a0603011a0103021a0103011a0203011a0603011a0103021a0203011a0103011a0603011a0103021a0203011a0503051a0303011a
+0003021a0103011a0003011a0003011a0103011a0203001a0203011a0103011a0303011a0103001a0803011a0103001a0403011a0403011a0103011a0203011a0203001a3003010c
+060a010d010c060a010d13030b0204030602030304020103050204030402000303020003030202030202000301020203040200030302000303020203030202030002000303021703
+031a0303031a0203021a0003031a0003001a0003031a0503021a0203041a0503021a0003011a0203031a0503021a0403031a0203041a0303001a0003031a0703011a0003011a0003
+011a0203031a0203021a0003031a0303021a0303051a0303031a0203021a0003031a0103051a0103021a0003031a0103051a0903021a0203021a0003031a0103051a0103001a0003
+031a0803021a0103011a0003001a0003031a0803021a0103011a0003021a0003031a0603021a0103011a0003041a0403051a0303021a0003011a0003011a0003011a0003011a0203
+031a0203021a0003031a0303021a0a03021a0503001a0503041a0403031a3103010c060a010d010c060a010d36030202ff031803001a0403001a6f03001a0403001a3f03001a0503
+011a3d03010c060a010d010c060a010d36030202ff031803011a0203011a6f03011a0203011a3c03001a0003001a0603011a3d03010c060a010d010c060a010d35030402ff031803
+041a7103041a3d03021a0503031a3c03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d2403040206030102ff03ff032403010c060a010d010c060a010d
+13030b0204030402050303025f03021a0003001a1e03001a2203001a1b03021a0803001a3103021a3203021a0903031a4803001a0703001a1c03031a1503021a4b03010c060a010d
+010c060a010d13030b0205030202070301025f03011a0003021a1e03001a2203001a1c03011a0703021a3103011a3303011a0803011a0103011a4703001a0603021a1d03011a1603
+011a4b03010c060a010d010c060a010d1303010200030002000300020003000200030202050302026803011a0203011a1d03011a2103011a1c03011a0803001a3203011a3303011a
+0803011a0103011a4603011a0703001a1e03011a1603011a4b03010c060a010d010c060a010d13030202000300020003000200030002000301020503020205030402010303020003
+020203030302030304020303040200030002020303023003011a0303001a1d03011a2103011a1c03011a3c03011a3303011a0803011a4a03011a2703011a1603011a4b03010c060a
+010d010c060a010d1303010200030002000300020003000200030202050302020503040201030802010305020103060201030702010305022f03011a0303001a0203031a0203011a
+0003021a0303031a0003001a0103061a0103011a0003031a0103021a0003021a0303031a0203061a0303031a0203011a0003031a0703041a0303031a0503031a0203011a0003031a
+0203041a0203011a0003031a0303031a0303041a0203031a0003021a0503021a0003021a0203031a0003001a0303031a0403041a0803011a0603031a0203011a0003031a0803031a
+0203011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0a03011a0503031a0403031a0303011a0103021a0003021a0003021a
+0103011a0003021a3603010c060a010d010c060a010d1303020200030002000300020003000200030102050302020703020202030302000302020003020201030202000301020103
+0202010302020003030200030202010302022e03011a0603011a0103011a0203011a0103011a0103011a0203011a0303011a0503021a0103011a0103011a0103011a0203011a0103
+011a0303011a0503011a0103011a0203021a0103011a0603021a0003011a0403011a0403011a0103011a0203021a0103011a0003011a0203011a0203021a0103011a0103011a0103
+011a0203021a0003011a0203011a0203001a0703011a0103011a0103011a0203011a0203011a0103011a0203011a0003021a0703041a0303011a0103011a0203021a0103011a0603
+011a0103011a0203021a0003011a0203011a0103011a0203021a0103011a0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0903011a0403011a0103
+011a0203011a0103011a0203011a0103011a0203011a0103011a0203021a0003011a3503010c060a010d010c060a010d130301020003000200030002000300020003020205030202
+070302020203020201030202000302020103020203030302010302020003020201030202010302022e03011a0503011a0303011a0103011a0103011a0103011a0303001a0303011a
+0503011a0203011a0103011a0103011a0103011a0203011a0303011a0403011a0303011a0103011a0203011a0603011a0103011a0403011a0303011a0203011a0203011a0203011a
+0003011a0203011a0203011a0203011a0003011a0203011a0203011a0103011a0203011a0203001a0703011a0103011a0103011a0303001a0103011a0203011a0103011a0203011a
+0803011a0403011a0303011a0103011a0203011a0503011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303011a0703011a0303011a
+0303011a0103011a0103011a0903011a0303011a0303011a0003011a0303011a0103011a0003011a0303011a0103011a0203011a0203011a3403010c060a010d010c060a010d1303
+0202000300020003000200030002000301020503020207030202020302020103020200030702010305020103020200030202010307022e03011a0503011a0303011a0103011a0103
+011a0203021a0603011a0503011a0603011a0103011a0103011a0803011a0403011a0303011a0103011a0b03011a0103011a0403011a0303061a0203011a0803031a0203011a0503
+011a0703011a0103011a0303011a0003001a0803011a0103011a0203021a0403061a0103011a0203011a0803011a0403011a0303011a0103011a0a03011a0303011a0103011a0203
+011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0903011a0303011a0303011a0003011a0303011a0103031a0403011a0103011a0203
+011a0203011a3403010c060a010d010c060a010d13030102000300020003000200030002000302020503020201030102030302020203020201030202000302020503020200030202
+02030402020302023303011a0303001a0003011a0303011a0103011a0103011a0403021a0403011a0503011a0603011a0103011a0103011a0803011a0403011a0303011a0103011a
+0b03011a0103011a0403011a0303011a0703011a0603011a0103011a0203011a0503011a0703011a0103011a0303011a0003001a0803011a0103011a0403021a0203011a0603011a
+0203011a0803011a0403011a0303011a0103011a0a03011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303011a0303011a0103011a
+0103011a0903011a0303011a0303011a0003011a0303011a0103031a0403011a0103011a0203011a0203011a3403010c060a010d010c060a010d1303020200030002000300020003
+0002000301020503020200030202030302020203020201030202000303020103010200030202000302020103030204030302010301022e03011a0303001a0003011a0303011a0103
+011a0103011a0103001a0303011a0303011a0503011a0603011a0103011a0103011a0303001a0303011a0403011a0303011a0103011a0b03011a0103011a0403011a0303011a0703
+011a0503011a0203011a0203011a0503011a0303001a0203011a0103011a0403011a0903011a0103011a0103001a0303011a0103011a0603011a0203011a0803011a0403011a0303
+011a0103011a0a03011a0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0903011a0303011a0303
+011a0003011a0303011a0103011a0003011a0303011a0103011a0203011a0203011a3403010c060a010d010c060a010d13030b020403070201030a02000303020103060200030702
+00030602020306022f03011a0103011a0103011a0103011a0203011a0103011a0103011a0203011a0303011a0103001a0203011a0603011a0003021a0203011a0103011a0303011a
+0103001a0203011a0103011a0203011a0b03011a0103011a0403011a0403011a0203001a0203011a0503011a0103021a0203011a0603011a0103011a0203011a0103011a0403011a
+0903011a0003021a0103011a0203011a0203011a0203001a0203011a0003021a0803011a0503011a0103011a0203011a0b03011a0103011a0203011a0103011a0203011a0203001a
+0203011a0503011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0903011a0403011a0103011a0203011a0103011a0203011a0103011a0203011a
+0003021a0203011a0103011a3503010c060a010d010c060a010d13030b020403070201030a020003030202030402020302020003020201030602020304023103031a0303031a0203
+021a0003031a0003001a0003031a0503021a0203041a0503021a0003011a0203031a0503021a0403031a0203041a0803021a0003031a0103051a0303031a0203041a0403021a0103
+011a0003041a0503031a0203021a0003031a0303001a0b03021a0003011a0003001a0003031a0403031a0403021a0003011a0603031a0503031a0203041a0a03031a0303041a0403
+031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a0603051a0303031a0403031a0203031a0003021a0203021a0003011a0103041a3603010c060a
+010d010c060a010d5103020201030202e903001a5c03011a7703011a3903010c060a010d010c060a010d51030702e603001a0003001a5d03011a7703011a3903010c060a010d010c
+060a010d52030502e703021a5c03031a7503031a3803010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03
+ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03
+ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d2503020200030102020304020503010218030002
+ff03ff030103010c060a010d010c060a010d13030b02040306020203040204030302160301023d03021a0003001a1e03001a2203001a2d03021a0803001a0d03021a2d03001a0403
+021a0803001a1603021a1f03001ab203010c060a010d010c060a010d13030b0204030202000302020403020205030102170301023c03011a0003021a1e03001a2203001a2e03011a
+0703021a0d03011a2d03001a0503011a0703021a1603011a1e03021ab103010c060a010d010c060a010d130301020003000200030002000300020003020204030202010301020403
+02021e0302023b03011a0203011a1d03011a2103011a2e03011a0803001a0e03011a2c03011a0503011a0803001a1703011a1f03001ab203010c060a010d010c060a010d13030202
+00030002000300020003000200030102040302020103010204030202030304020403030201030302000302020103060202030302000300022f03011a0303001a1d03011a2103011a
+2e03011a1803011a2c03011a0503011a2103011ad303010c060a010d010c060a010d1303010200030002000300020003000200030202040302020803020203030402030305020003
+080200030602010306022f03011a0303001a0203031a0203011a0003021a0303031a0003001a0103061a0103011a0003031a0103021a0003021a0303031a0203061a0303031a0203
+011a0003031a0203031a0003001a0603011a0303011a0103041a0303031a0503031a0303041a070301040303000403030304040303040703061a0203041a0303031a0403031a0003
+001a0803041a0303031a0203001a0003011a0003011a0203041a0303031a0303011a0003021aa703010c060a010d010c060a010d1303020200030002000300020003000200030102
+040302020803020205030202020302020103020200030302000302020103020204030202000302022f03011a0603011a0103011a0203011a0103011a0103011a0203011a0303011a
+0503021a0103011a0103011a0103011a0203011a0103011a0303011a0503011a0103011a0203021a0103011a0003011a0203011a0603011a0303011a0103021a0003011a0403011a
+0403011a0103011a0203021a0003011a050300040003010401030104010302040103010401030204010301040803011a0503021a0003011a0403011a0303011a0203011a0703011a
+0003021a0203011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011aa603010c060a010d010c060a010d1303010200030002000300020003
+000200030202040302020803020205030202020302020103020200030202010302020103020204030302010300022f03011a0503011a0303011a0103011a0103011a0103011a0303
+001a0303011a0503011a0203011a0103011a0103011a0103011a0203011a0303011a0403011a0303011a0103011a0203011a0003011a0303001a0603011a0003011a0003011a0103
+011a0103011a0403011a0303011a0203011a0203011a0103011a0703010401030104010301040203000402030104020301040803011a0503011a0103011a0403011a0303011a0303
+001a0603011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011aa603010c060a010d010c060a010d1303020200030002
+00030002000300020003010204030202080302020503020202030702000302020103020201030202050304023003011a0503011a0303011a0103011a0103011a0203021a0603011a
+0503011a0603011a0103011a0103011a0803011a0403011a0303011a0103011a0603021a0903011a0003011a0003011a0103011a0103011a0403011a0303011a0703011a0103011a
+07030104010300040303010404030104020301040903011a0503011a0103011a0403011a0403021a0903011a0203011a0103011a0303011a0003011a0003011a0003011a0303031a
+0403011a0403011a0103011aa603010c060a010d010c060a010d13030102000300020003000200030002000302020403020201030102040302020503020202030202050302020103
+02020103020204030002010303022f03011a0303001a0003011a0303011a0103011a0103011a0403021a0403011a0503011a0603011a0103011a0103011a0803011a0403011a0303
+011a0103011a0803021a0703011a0003011a0003011a0103011a0103011a0403011a0303011a0703011a0103011a060301040203000404030204020304040b03011a0503011a0103
+011a0403011a0603021a0703011a0203011a0103011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011aa603010c060a010d010c060a010d
+13030202000300020003000200030002000301020403020201030102040302020503020202030302010301020003020201030202010302020003010201030202000302022f03011a
+0303001a0003011a0303011a0103011a0103011a0103001a0303011a0303011a0503011a0603011a0103011a0103011a0303001a0303011a0403011a0303011a0103011a0503001a
+0303011a0703011a0003021a0203011a0103011a0403011a0303011a0303001a0203011a0103011a06030104010301040203000402030104010301040e03011a0503011a0103011a
+0403011a0303001a0303011a0603011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011aa603010c060a010d010c060a
+010d13030b0204030602020306020103060201030a020003030201030502010306023003011a0103011a0103011a0103011a0203011a0103011a0103011a0203011a0303011a0103
+001a0203011a0603011a0003021a0203011a0103011a0303011a0103001a0203011a0103011a0203011a0503011a0203011a0703011a0103011a0203011a0103011a0403011a0403
+011a0103011a0203011a0103011a0603010400030204000302040103020402030104020300040903011a0103001a0203011a0103011a0403011a0303011a0203011a0703011a0003
+021a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011aa603010c060a010d010c060a010d13030b02050304020303060201030602
+0203040200030302000303020203030202030002000303023203031a0303031a0203021a0003031a0003001a0003031a0503021a0203041a0503021a0003011a0203031a0503021a
+0403031a0203041a0303001a0003031a0803001a0303001a0103021a0003031a0103051a0303031a0203021a0003031a060301040103010401030304050303040b03021a0203021a
+0003031a0103051a0103001a0003031a0903021a0003011a0203031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031aa503010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010d240306021e03040216030002ff03ef03010c060a010d010c060a010d13030b02040307021c030602140301022b03021a0003001a1e03001a2203001a44030204070302041403
+001a0403021a1703021a1f03001acd03010c060a010d010c060a010d13030b0205030202000302021c03020200030202140301022a03011a0003021a1e03001a2203001a45030104
+080301041403001a0503011a1803011a1e03021acc03010c060a010d010c060a010d130301020003000200030002000300020003020205030202000302021c030202170302022903
+011a0203011a1d03011a2103011a45030104080301041303011a0503011a1803011a1f03001acd03010c060a010d010c060a010d1303020200030002000300020003000200030102
+050302020003020202030302010303020003020203030302020305020303040204030202000301020003060203030302020302020103010202030302000300020b03011a0303001a
+1d03011a2103011a44030104080301041403011a0503011a1803011aee03010c060a010d010c060a010d130301020003000200030002000300020003020205030502020305020003
+080201030502010305020203060202030602000306020203050201030702000306020b03011a0303001a0203031a0203011a0003021a0303031a0003001a0103061a0103011a0003
+031a0103021a0003021a0303031a0203061a0303031a0203011a0003031a0203031a0003001a06030104030300040303030404030304040301040003010408030104000301040203
+0004040300040503061a0203041a0403031a0903041a0303031a0203001a0003011a0003011a0203041a0303031a0303011a0003021ac203010c060a010d010c060a010d13030202
+000300020003000200030002000301020503050201030202010302020003030200030202000302020103020201030202040301020103020201030302000302020103020204030202
+010302020103060200030202000302020b03011a0603011a0103011a0203011a0103011a0103011a0203011a0303011a0503021a0103011a0103011a0103011a0203011a0103011a
+0303011a0503011a0103011a0203021a0103011a0003011a0203011a0503000400030104010301040103020401030104010302040103010402030004010302040803020400030104
+00030204020301040703011a0503021a0003011a0203011a0103011a0703011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a
+0103011ac103010c060a010d010c060a010d130301020003000200030002000300020003020205030202000302020003020201030202000302020103020200030202010302020103
+0202070303020103020202030102010302020403020201030202010303020003010200030302010300020b03011a0503011a0303011a0103011a0103011a0103011a0303001a0303
+011a0503011a0203011a0103011a0103011a0103011a0203011a0303011a0403011a0303011a0103011a0203011a0003011a0303001a070301040103010401030104020300040203
+0104020301040103010401030104080302040103010402030104010300040803011a0503011a0103011a0103011a0203011a0603011a0203011a0103011a0303011a0003011a0003
+011a0003011a0003011a0203011a0403011a0403011a0103011ac103010c060a010d010c060a010d1303020200030002000300020003000200030102050302020003020200030702
+00030202010302020003070201030202050305020103020206030202040302020103020201030202050304020c03011a0503011a0303011a0103011a0103011a0203021a0603011a
+0503011a0603011a0103011a0103011a0803011a0403011a0303011a0103011a0603021a0a0301040103000403030104040301040203010402030104010301040803010402030104
+03030004010300040803011a0503011a0103011a0103061a0603011a0203011a0103011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011ac103010c
+060a010d010c060a010d1303010200030002000300020003000200030202050302020003020200030202050302020103020200030202060302020403020200030202010302020603
+020204030202010302020103020204030002010303020b03011a0303001a0003011a0303011a0103011a0103011a0403021a0403011a0503011a0603011a0103011a0103011a0803
+011a0403011a0303011a0103011a0803021a070301040203000404030204020304040303010402030104080301040103010404030004000300040903011a0503011a0103011a0103
+011a0b03011a0203011a0103011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011ac103010c060a010d010c060a010d1303020200030002
+000300020003000200030102050302020003020200030302010301020003020201030202000303020103010201030202040302020003020201030302010301020103020200030102
+01030202010302020103020204030202000302020b03011a0303001a0003011a0303011a0103011a0103011a0103001a0303011a0303011a0503011a0603011a0103011a0103011a
+0303001a0303011a0403011a0303011a0103011a0503001a0303011a060301040103010402030004020301040103010406030104010301040803010402030104040302040903011a
+0503011a0103011a0103011a0b03011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011ac103010c060a010d010c060a
+010d13030b020403070201030a020003030201030602000304020303070201030602010305020203050201030402030306020c03011a0103011a0103011a0103011a0203011a0103
+011a0103011a0203011a0303011a0103001a0203011a0603011a0003021a0203011a0103011a0303011a0103001a0203011a0103011a0203011a0503011a0203011a060301040003
+0204000302040103020402030104020300040103010400030204000300040603010401030104050301040a03011a0103001a0203011a0103011a0203011a0203001a0703011a0003
+021a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011ac103010c060a010d010c060a010d13030b02040306020303040200030302
+00030302020304020103040204030202000302020203040203030302040303020203040203030002000303020e03031a0303031a0203021a0003031a0003001a0003031a0503021a
+0203041a0503021a0003011a0203031a0503021a0403031a0203041a0303001a0003031a08030104010301040103030405030304030302040003010408030204070300040c03021a
+0203021a0003031a0203031a0903021a0003011a0203031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031ac003010c060a010d010c060a010dff03
+35030104ff031f03010c060a010d010c060a010dff0333030204ff032003010c060a010d010c060a010dff0333030104ff032103010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d000c090dff03ff035703010c080d090c000dff03ff035703090c000d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a
+000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0a
+ff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000c
+ff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-docsearch.ps b/books/ps/h-docsearch.ps
new file mode 100644
index 0000000..26a6271
--- /dev/null
+++ b/books/ps/h-docsearch.ps
@@ -0,0 +1,1260 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:15:28 1991
+%%Title: h-docsearch.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-docsearch.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+002010700020149004501000008010000060100001d0100001001000030010000
+0d0102003b010000550106000201040002010200020103000201020004010100040102000201280
+000011d00011206010111011206010111050002010d0002010000020105000201
+0700020149004401010007010100050101001d0100000f0102002f0100000e010100290100000f0
+10200540106000201040002010200020103000201020004010100040102000201
+260004011b00011206010111011206010111050002010d000201000002010500020107000201490
+04301020006010200040102001c010100100100002f0101000e0101000d010100
+19010000100100000f01010043010600020104000201020002010300020102000b0102000201240
+008011900011206010111011206010111050002010e0004010600020107000201
+49004201030006010200030103001c010100410101000e0101000d0101001801010021010100430
+10600020104000201020002010300020102000201000003010000020102000201
+22000c0117000112060101110112060101110500080108000401060002010700020149004401010
+00501000000010100050101000a01030002010100000102000201060001010100
+0001030002010300050103000301030000010000060100000001010000010100020104000201060
+00301030003010400070101000001000001010100000101000201010003010300
+0301050001010100010102000201030004010100020101000001010000010000010101004001060
+00a010200020103000201020002010000030100000201020007011b0010011500
+0112060101110112060101110500090108000201070002010700020149004401010005010000000
+10100050101000901010001010100020101000101010003010100050102000101
+0100030101000401010001010100010101000201010006010100000101000001010000010100020
+10100030101000501010001010100020102000001010006010200000107000001
+0300010101000101010003010100030100000001020001010100030101000301000000010100000
+101000101020000010300400106000a0102000201030002010200020101000101
+0100020102000801180014011300011206010111011206010111050009010800020107000201070
+00201490044010100040100000101010005010100080101000201010002010100
+0101010003010100050101000201010003010100030101000201010001010100030100000601010
+00001010000010100000101000201010003010100040101000201010002010100
+0101010008010000000100000301000000010000000100000001010005010100030101000501020
+00101010002010100060103000401000000010000430106000a01020002010300
+0201020002010100010101000201020008011600180111000112060101110112060101110500020
+10e00040106000201070002014900440101000401000001010100050101000801
+0600020101000101010003010100050101000801010003010600020102000901010000010100000
+10100030103000301010004010100070101000101010006010100000101000301
+0000000101000101010002010300040101000501010007010100070102000201010000010100430
+10600020104000201020002010300020102000201050002010200020121000e01
+1600011206010111011206010111050002010e00040106000201070002014900440101000301000
+00201010005010100080101000701010001010100030101000501010008010100
+0301010009010200070101000001010000010100010101000101010003010100040101000701010
+00101010005010100020101000101010000010100000101000101010001010100
+0301010006010100070101000601020002010100020101004201060002010400020102000201030
+0020102000201050002010200020121000e011600011206010111011206010111
+050002010d000201000002010500020107000201490044010100030107000301010008010100070
+10100010101000301010005010100080101000301010006010000030101000601
+0100000101000001010000010100020101000301010004010100030100000201010001010100050
+10100020101000101010000010000010101000001010002010100030101000501
+0100070101000601010000010100010101000201010042010600020104000201020002010300020
+102000201050002010200020121000e0116000112060101110112060101110500
+02010d0002010000020105000201070002014900440101000701010005010100090101000201000
+00201010001010100030101000101000002010100080101000401010002010000
+0101010002010100060101000001010000010100000101000101020003010100010100000201010
+00101010002010100010101000e01000001010000010100000101010001010200
+0001000001010100010100000201010007010100010100000301000001010100000100004901060
+0020104000201020002010300020102000201050002010200020121000e011600
+011206010111011206010111050002010c000201020002010400020107000201490043010400050
+10100040104000801030002010200000103000301020002010400040105000301
+0300020100000001030007010100000101000001010001010200010101000301020004010300020
+10200000103000d01000004010000020102000101010003010200030101000801
+020002010100030101004a010600020104000201020002010300020102000201050002010200020
+121000e011600011206010111011206010111050002010c000201020002010400
+02010700020149004201050004010300020105008b0100007701060002010400020102000201030
+00201020002010500020102000201470001120601011101120601011105000201
+0b0002010400020103000201070002014900ff015f0106000201040002010200020103000201020
+00201050002010200020147000112060101110112060101110500090104000201
+0400020103000201070002014900ff015f010600020104000201020009010200020105000201020
+00801410001120601011101120601011105000a01020002010600020102000201
+070002014900ff015f0106000201040002010300080102000201050002010200090140000112060
+1011101120601011106000901030001010700010103000101080001014900ff01
+5f01070001010500010104000601040001010600010103000801400001120601011101120601011
+17b00ff015f017b000112060101110112060101117b00ff015f017b0001120601
+01110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b000112060
+10111011206010111ff00ff005700011206010111011206010111ff00ff005700
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111140105003b01
+000010010000070100001c010300000100004901000008010000060100002601000007010000300
+1030037010000c50101120601011101120601011115010100010101003a010000
+10010000060102001a0101000101020048010100070101000501010026010000060102002e01010
+001010100240100000f010200c401011206010111011206010111150101000201
+0100380101000f010100070100001b0100000301010047010200060102000401020025010100070
+100002f010100010101000801010019010000100100000f010100b30101120601
+01110112060101111501010002010100380101000f0101002401010003010000460103000601020
+00301030025010100380101000c0101001801010021010100b301011206010111
+0112060101111501010002010100020103000401030002010200000102000101000000010100000
+10100030103000201010000010200020106000201040002010600020103000501
+0300020101000001020007010200050102000001020001010000000101000001010001010000000
+10100000101000201040002010100000103000101030000010200030100000c01
+0100050100000001010005010100080100000001010000010100030103000201010000010200020
+10600020103000501030002010100000102000301030000010000080103000401
+0100090101000001000001010100000101000201010003010300030105000101010001010200020
+10300040101000201010000010100000100000101010003010000ab0101120601
+0111011206010111150101000201010001010100010101000201010001010100020101000101010
+00101010000010100000101000101010001010100020101000101010003010100
+0401010002010100030101000701010004010100010101000201010001010100070103000401010
+00101010001010100000101000001010000010100000101000001010000010100
+0201010002010200010101000101010002010000030102000b01010005010000000101000501010
+00801010000010100000101000101010001010100020101000101010003010100
+0701010004010100010101000201010001010100010101000201010007010100010101000201040
+00701020000010700000103000101010001010100030101000301000000010200
+0101010003010100030100000001010000010100010102000001030002010200aa0101120601011
+10112060101111501010002010100000101000301010000010100020101000201
+0100010101000101010000010100000101000001010002010100020101000101010003010100040
+10100020101000301010007010100030101000301010001010100010101000801
+0300030101000101010001010100000101000001010000010100000101000001010000010100020
+1010002010100020101000101010002010000040100000c010100040100000101
+0100050101000801010000010100000101000001010002010100020101000101010003010100070
+10100030101000301010001010100010101000101010003010000060101000301
+0100020101000b01000000010000030100000001000000010000000101000501010003010100050
+10200010101000201010006010300040100000001000006010000ab0101120601
+0111011206010111150101000201010000010100030101000001010007010100010101000101010
+00001010000010100000106000201010001010100030101000701030003010100
+07010100030101000301010001010100010101000a0102000201010001010100010101000001010
+00001010000010100000101000001010003010300020101000701010000010000
+1301010004010000010101000501010008010100000101000001010000010600020101000101010
+00301010007010100030101000301010001010100010101000201020009010100
+0301010002010100090101000001010003010000000101000101010002010300040101000501010
+007010100070102000201010000010100b3010112060101110112060101111501
+0100020101000001010003010100000101000701010001010100010101000001010000010100000
+10100070101000101010003010100050101000101010003010100070101000301
+0100030101000101010001010100060100000301010002010100010101000101010000010100000
+10100000101000001010000010100010101000101010002010100070101000001
+0000130101000301000002010100050101000801010000010100000101000001010007010100010
+10100030101000701010003010100030101000101010001010100040102000701
+0100030101000201010008010100020101000101010000010100000101000101010001010100030
+101000601010007010100060102000201010002010100b2010112060101110112
+0601011115010100020101000001010003010100000101000301000002010100010101000101010
+00001010000010100000101000701010001010100030101000401010002010100
+0301010007010100030101000301010001010100010101000601010003010000020101000101010
+00101010000010100000101000001010000010100000101000001010002010100
+0201010008010100140101000301070003010100080101000001010000010100000101000701010
+00101010003010100070101000301010003010100010101000101010001010000
+0301010006010100030101000201010008010100020101000101010000010000010101000001010
+00201010003010100050101000701010006010100000101000101010002010100
+b201011206010111011206010111150101000101010002010100010101000201010001010100020
+10100000102000101010000010100000101000101010002010000020101000101
+0100030101000101000001010100010102000301010001010000040101000401010001010100020
+10100010101000601020001010100020101000001020001010100000101000001
+010000010100000101000001010000010100010102000201010008010100060100000c010100070
+10100050101000801010000010100000101000101010002010000020101000101
+0100030101000101000004010100040101000101010002010100010101000101010002010100070
+10100010101000301010011010000010100000101000001010100010102000001
+000001010100010100000201010007010100010100000301000001010100000100000c010000ab0
+10112060101110112060101111401050004010300040103000401020000010100
+0001010000010100000101000201030002010200000103000301020003010200010101000301020
+00301050003010300020102000001030005010000000103000401020000010100
+0001010000010100000101000001010000010100000101000101020001010100000104000601000
+0060102000a010400050101000401040006010100000101000001010002010300
+0201020000010300030102000301050003010300020102000001030000010000000103000901030
+00301030010010000040100000201020001010100030102000301010008010200
+02010100030101000c010200aa01011206010111011206010111c7010000070100000a010500040
+1030002010500790100003a010000ab01011206010111011206010111c4010000
+00010000ff018f01011206010111011206010111c4010200ff018f0101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+0601011125010b0008010100040103000501020041010000ff01c50101120601011101120601011
+125010b0007010200030100000201010003010100000101003701000006010200
+ff01c40101120601011101120601011125010100000100000001000000010000000102000601030
+00701010002010100010101003701000007010000ff01c5010112060101110112
+0601011125010200000100000001000000010000000101000801010007010100020101000201000
+036010100ff01ce01011206010111011206010111250101000001000000010000
+0001000000010200070101000701010003010100010101000901020003010100000101000401030
+00201010001010200030103000301050002010300060102000201010001010100
+04010300ff01a901011206010111011206010111250102000001000000010000000100000001010
+00701010005010200030101000201010007010100010101000101000000010100
+0001010001010200010101000001000000010200010101000101010001010100030101000701010
+004010100010101000001000000010000000103000101020001010100ff01a801
+0112060101110112060101112501010000010000000100000001000000010200070101000601010
+00301010002010100070101000101010003010100000101000101010002010100
+0201020001010100050101000301010006010100050101000101010002010200000101000101010
+002010000ff01a901011206010111011206010111250102000001000000010000
+0001000000010100070101000701010002010100020101000601010002010100030100000101010
+00001010002010100030101000701030004010100060101000401010002010100
+020101000101010002010100ff01ac0101120601011101120601011125010100000100000001000
+00001000000010200060101000801010002010100010101000701010002010100
+0201010001010100000104000501010005010100010101000301010007010100040101000201010
+0010101000201000004010200ff01aa0101120601011101120601011125010200
+0001000000010000000100000001010006010100080101000201000002010100070101000101010
+00301010000010100010101000701010005010100020101000301010006010100
+050101000101010002010100010101000201000002010100ff01a90101120601011101120601011
+125010b0006010100080101000201010001010100070101000101010003010100
+0001010002010100020100000201010005010100010102000001000001010100010100000301010
+001010000020101000101010002010100010101000001020001010200ff01a901
+01120601011101120601011125010b0005010200030100000201010003010100000101000901020
+00401040004010300030101000601020001010100030102000501020004010200
+030101000301010001010300ff01ab0101120601011101120601011136010400030103000501020
+012010100ff01f5010112060101110112060101115f010100ff01f50101120601
+01110112060101115e010300ff01f401011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff01570101120601011101120601011125010b0006010300
+4a010000ff01ce0101120601011101120601011125010b0005010000020101001c0100002a01020
+0ff01cd0101120601011101120601011125010100000100000001000000010000
+00010200090101001c0100002b010000ff01ce01011206010111011206010111250102000001000
+0000100000001000000010100090101001b010100ff01fb010112060101110112
+0601011125010100000100000001000000010000000102000801010009010300040103000301050
+00301030005010200000100000301020002010100010102000201030005010300
+04010300ff01bb01011206010111011206010111250102000001000000010000000100000001010
+00601020008010200010101000201010001010100030101000401020001010100
+0301010000010200010101000101010000010000000102000101010003010100030102000101010
+00101020001010100ff01ba010112060101110112060101112501010000010000
+0001000000010000000102000701010008010100020100000701010003010100040101000201010
+00201010002010000020101000101010002010200010101000201010004010100
+020101000101010002010000ff01bb0101120601011101120601011125010200000100000001000
+00001000000010100080101000601010009010300040101000301010002010100
+030101000101010001010100020101000201010007010100030101000201010003010100ff01be0
+10112060101110112060101112501010000010000000100000001000000010200
+0801010006010100070101000101010003010100040104000501040002010100020101000201010
+0070101000301040006010200ff01bc0101120601011101120601011125010200
+0001000000010000000100000001010008010100060101000601010002010100030101000401010
+00701010006010100010101000201010007010100040101000701000002010100
+ff01bb0101120601011101120601011125010b00080101000701010002010000010101000101020
+00001000001010100010100000201010002010000020104000301010001010100
+02010100070101000101000002010100020100000101010001010200ff01bb01011206010111011
+20601011125010b00030100000201010009010300030102000101010003010200
+04010300040104000301020004010100080102000401030003010300ff01bd01011206010111011
+206010111360103002d01000003010000ff01e801011206010111011206010111
+6701010002010100ff01e80101120601011101120601011168010400ff01e901011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff01570101120601011101120601011138010100030101000c01
+0000100101000d010200000101000d010000ae010300000101002d010100030101000c010000100
+101000d010200000101000d010000a20101120601011101120601011138010100
+030101000b0101000f0103000b0106000c010100ad0107002d010100030101000b0101000f01030
+00b0106000c010100a20101120601011101120601011138010200010102000b01
+0100100101000c010200000102000c010100ad010200010102002d010200010102000b010100100
+101000c010200000102000c010100a20101120601011101120601011138010200
+010102000a0102001f010200010101000b010200ad010200020101002d010200010102000a01020
+01f010200010101000b010200a201011206010111011206010111380107000101
+0400020106000101020001010100020104000201030000010200000102000101010002010400020
+10600030103000301040000010000020103000201020001010100010103000001
+02007c0103000101010002010200000101000001020000010300010104000201020001010100030
+10300020107000101040002010600010102000101010002010400020103000001
+0200000102000101010002010400020106000301030003010400000100000201030002010200010
+10100010103000001020071010112060101110112060101113801070000010600
+0101060001010700010104000201020001010200000102000501060001010600020105000101070
+0010105000101070000010300000102007d010300040106000001020000010300
+0001060001010700010105000101070000010600010106000101070001010400020102000101020
+00001020005010600010106000201050001010700010105000101070000010300
+0001020071010112060101110112060101113801070000010100010102000201020005010600030
+10200030102000001010001010200050101000101020002010200040102000101
+0200000102000001030000010200010102000101060000010200010102007e01030002010200010
+10200000102000101020000010100010102000201060000010200010102000001
+0700000101000101020002010200050106000301020003010200000101000101020005010100010
+10200020102000401020001010200000102000001030000010200010102000101
+0600000102000101020071010112060101110112060101113801010000010100000101000301030
+00201020005010300000101000301020004010300020102000801030002010200
+0401020001010200000102000001020001010200010102000101030000010100010102000001010
+08001030001010200010102000001020001010200030103000201030000010100
+0001020001010200000101000001010000010100030103000201020005010300000101000301020
+00401030002010200080103000201020004010200010102000001020000010200
+0101020001010200010103000001010001010200000101007201011206010111011206010111380
+10100000101000001010001010500020102000501020007010200040103000201
+02000601050002010200040107000001020000010200010102000101020001010200050105007d0
+10100010103000001020001010200000102000101020001010500020102000401
+0700000101000001010000010100010105000201020005010200070102000401030002010200060
+10500020102000401070000010200000102000101020001010200010102000501
+0500720101120601011101120601011138010100000101000001010000010200000102000201020
+00501020007010200040103000201020001010100010102000001020002010200
+0401020006010400020102000101020001010200060103007e01010002010200000102000101020
+00001020001010200000102000001020002010200040102000501010000010100
+0001010000010200000102000201020005010200070102000401030002010200010101000101020
+00001020002010200040102000601040002010200010102000101020006010300
+7301011206010111011206010111380101000301010000010200000102000201020000010100020
+10200070102000301010000010200010102000101010001010200000102000201
+020000010100010103000101010000010300040102000101020001010200060103007e010200010
+10200000103000001020000010200000103000001020000010200020102000401
+0300010101000001010003010100000102000001020002010200000101000201020007010200030
+10100000102000101020001010100010102000001020002010200000101000101
+0300010101000001030004010200010102000101020006010300730101120601011101120601011
+13801020001010200000107000101050001010400040106000001020001010200
+00010600010107000101050002010600000106000201050001010400060101007f0107000101060
+00001070000010700000104000401060000010200010102000001070001010500
+0101040004010600000102000101020000010600010107000101050002010600000106000201050
+00101040006010100740101120601011101120601011138010200010102000101
+0200000102000201030002010400040106000001020000010300010104000301020000010200020
+1030004010400020106000201030002010400050102007f010100000103000301
+0500010103000001010001010200000102000001040005010400010102000101020001010200000
+10200020103000201040004010600000102000001030001010400030102000001
+0200020103000401040002010600020103000201040005010200740101120601011101120601011
+19201020001010200130102008e0102007e010200010102001301020075010112
+0601011101120601011192010700120103008e0102007e010700120103007501011206010111011
+20601011193010500130102008e0103007f010500130102007601011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff0157010112060101110112060101113701070016010000290104001401010
+0030101000c010000100101000d010200000101000d010000ff016f0101120601
+011101120601011137010800140101002901040014010100030101000b0101000f0103000b01060
+00c010100ff016f01011206010111011206010111380102000101020014010100
+2b01020014010200010102000b010100100101000c010200000102000c010100ff016f010112060
+101110112060101113801020001010200130102002b0102001401020001010200
+0a0102001f010200010101000b010200ff016f01011206010111011206010111380102000001020
+00301030004010200000101000001060002010400010103000001020002010400
+0001000000010200000103000301020003010400020102000101010001010700010104000201060
+00101020001010100020104000201030000010200000102000101010002010400
+020106000301030003010400000100000201030002010200010101000101030000010200ff013e0
+10112060101110112060101113801050003010500020106000001060001010600
+0001080000010700000102000001030003010200020106000101070000010700000106000101060
+00101070001010400020102000101020000010200050106000101060002010500
+0101070001010500010107000001030000010200ff013e010112060101110112060101113801050
+00201020001010200000103000001020001010200040101000101020001010300
+0001020000010200000103000001020001010200030102000201010001010200020106000001070
+00001010001010200020102000501060003010200030102000001010001010200
+0501010001010200020102000401020001010200000102000001030000010200010102000101060
+00001020001010200ff013e010112060101110112060101113801020000010200
+0101020001010200000102000201010001010200070103000101020001010200000102000001020
+00101020001010200030102000501030002010300000101000001010000010100
+0001010003010300020102000501030000010100030102000401030002010200080103000201020
+00401020001010200000102000001020001010200010102000101030000010100
+0101020000010100ff013f010112060101110112060101113801020000010200010107000001020
+00601020005010500010102000101020000010200000102000101020001010200
+0301020003010500020102000401010000010100000101000101050002010200050102000701020
+00401030002010200060105000201020004010700000102000001020001010200
+010102000101020005010500ff013f0101120601011101120601011138010200000102000101020
+00501020006010200040102000001020001010200010102000101040002010200
+0101020003010200020102000001020002010200040101000001010000010100000102000001020
+00201020005010200070102000401030002010200010101000101020000010200
+02010200040102000601040002010200010102000101020006010300ff014001011206010111011
+20601011138010200010102000001030001010100000103000101010001010200
+0001010001010200000102000101020001010200000103000401020000010300030102000201020
+00001020002010200040101000301010000010200000102000201020000010100
+0201020007010200030101000001020001010200010101000101020000010200020102000001010
+001010300010101000001030004010200010102000101020006010300ff014001
+011206010111011206010111370103000101020001010600010106000101050001010b000001030
+00001060001010700010106000001070000010400030102000101020000010700
+0101050001010400040106000001020001010200000106000101070001010500020106000001060
+0020105000101040006010100ff01410101120601011101120601011137010300
+0101020002010400030104000301030003010200000106000001030001010600010103000001010
+00101060001010200000102000001040003010200010102000101020000010200
+0201030002010400040106000001020000010300010104000301020000010200020103000401040
+002010600020103000201040005010200ff014101011206010111011206010111
+6e010200010102007e0102000101020013010200ff0142010112060101110112060101116e01070
+07e01070012010300ff0142010112060101110112060101116f01050080010500
+13010200ff014301011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff01570101120601011101120601011125010b00060103000c0102001f010000
+ff01e90101120601011101120601011125010b0005010000020101000c0101001e010200ff01e80
+10112060101110112060101112501010000010000000100000001000000010200
+0a0101000b0101001f010000ff01e90101120601011101120601011125010200000100000001000
+000010000000101000a0101000a010100ff01ff010b0101120601011101120601
+011125010100000100000001000000010000000102000a010100070101000001010004010200020
+10100020101000301030003010300030101000101010004010300ff01d6010112
+0601011101120601011125010200000100000001000000010000000101000901020006010000010
+10200020101000101010000010300000103000101010001010100040101000201
+000000010000000103000101020001010100ff01d50101120601011101120601011125010100000
+10000000100000001000000010200080102000601010001010100030101000101
+0100010100000001000000010000000101000501010003010100050102000001010001010100020
+10000ff01d6010112060101110112060101112501020000010000000100000001
+0000000101000701020007010100010101000201010002010100010100000001010001010100020
+1030004010100050101000101010002010100ff01d90101120601011101120601
+0111250101000001000000010000000100000001020006010100080101000201010002010100020
+10100000101000001010000010100010101000101010004010100040101000201
+000004010200ff01d70101120601011101120601011125010200000100000001000000010000000
+10100050100000a01010001010100030101000101010001010100000100000101
+010000010100020101000301010005010100010101000201000002010100ff01d60101120601011
+101120601011125010b0004010000040100000501010000010200000100000101
+0100010101000101000001010000010100000101010001010200000100000101010001010000020
+10100010101000001020001010200ff01d6010112060101110112060101112501
+0b00030107000601020000010100030102000301000004010000020102000101010003010200020
+101000301010001010300ff01d801011206010111011206010111350106001f01
+0000ff01f901011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+38010400060101000d010300000101002d010100030101000c010000100101007f0101000301010
+00c01000010010100fb0101120601011101120601011138010400050103000b01
+07002d010100030101000b0101000f0103007e010100030101000b0101000f010300fa010112060
+1011101120601011139010200070101000c010200010102002d01020001010200
+0b010100100101007f010200010102000b01010010010100fb01011206010111011206010111390
+1020016010200020101002d010200010102000a01020092010200010102000a01
+0200ff010e010112060101110112060101113901020005010400040103000201030001010100020
+10200000101000001020000010300010104000201020001010100030103000201
+0700010104000201060001010200010101000201040002010300000102007301070001010400020
+106000101020001010100020104000201030000010200ef010112060101110112
+0601011139010200050104000301050002010300040106000001020000010300000106000101070
+00101050001010700000106000101060001010700010104000201020001010200
+73010700000106000101060001010700010104000201020001010200ef010112060101110112060
+10111390102000701020002010200010102000201030002010200010102000001
+0200010102000001010001010200020106000001020001010200000107000001010001010200020
+10200050106000301020003010200000101007401070000010100010102000201
+020005010600030102000301020000010100f001011206010111011206010111390102000701020
+00201020001010200030103000101020001010200000102000101020003010300
+0201030000010100000102000101020000010100000101000001010003010300020102000501030
+00001010003010200040103007501010000010100000101000301030002010200
+05010300000101000301020004010300f1010112060101110112060101113901020007010200020
+10700000101000101030000010200010102000001020001010200010105000201
+0200040107000001010000010100000101000101050002010200050102000701020004010300750
+1010000010100000101000101050002010200050102000701020004010300f101
+0112060101110112060101113901020001010100030102000201020005010100020102000001020
+00101020000010200010102000001020000010200020102000401020005010100
+0001010000010100000102000001020002010200050102000701020004010300750101000001010
+000010100000102000001020002010200050102000701020004010300f1010112
+0601011101120601011139010200000102000301020002010300010101000001020001010200000
+10300000102000001020000010300000102000001020002010200040103000101
+0100000101000301010000010200000102000201020000010100020102000701020003010100000
+10200740101000301010000010200000102000201020000010100020102000701
+02000301010000010200f0010112060101110112060101113801070001010600010106000001070
+00101060000010700000107000001040004010600000102000101020000010700
+0101050001010400040106000001020001010200730102000101020000010700010105000101040
+0040106000001020001010200ef01011206010111011206010111380107000101
+0600020104000101010000010300030105000101030000010100010102000001020000010400050
+10400010102000101020001010200000102000201030002010400040106000001
+0200000103007301020001010200010102000001020002010300020104000401060000010200000
+10300ef0101120601011101120601011161010200ff01f2010112060101110112
+0601011161010200ff01f20101120601011101120601011160010300ff01f201011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff0157010112060101110112060101113d010000ff01ff011801
+01120601011101120601011125010b000901010021010200ff01f40101120601011101120601011
+125010b000801010023010100ff01f40101120601011101120601011125010100
+000100000001000000010000000102000701010024010100ff01f40101120601011101120601011
+12501020000010000000100000001000000010100060101002501010000010200
+ff01f00101120601011101120601011125010100000100000001000000010000000102000601010
+00a01010000010100040103000401030002010100020100000401030005010200
+000100000201030004010300ff01cd0101120601011101120601011125010200000100000001000
+00001000000010100050101000001010007010000000101000001010002010100
+0101010001010200010101000101010001010000040101000101010003010100000102000001020
+0010101000101020001010100ff01cc0101120601011101120601011125010100
+0001000000010000000100000001020005010200000101000801010000010100060101000101010
+00201000002010300090101000201010002010000010101000201010001010100
+02010000ff01cd01011206010111011206010111250102000001000000010000000100000001010
+00501010001010100080100000101010003010300010101000701030006010300
+0301010001010100000101000201010003010100ff01d0010112060101110112060101112501010
+00001000000010000000100000001020004010100020101000701010001010100
+0101010001010100010101000701000001010000040101000101010003010400010104000601020
+0ff01ce0101120601011101120601011125010200000100000001000000010000
+0001010004010100010101000801010000010100010101000201010001010100060101000101010
+0020101000201010002010100050101000701000002010100ff01cd0101120601
+011101120601011125010b000401010001010100080101000001010001010100010102000001000
+00001010002010000010101000101010000010000000101000101020000010000
+0001040003010100020100000101010001010200ff01cd0101120601011101120601011125010b0
+00401010000010100080104000301020001010100020103000201010002010100
+0201020001010100020104000301030003010300ff01cf010112060101110112060101113701020
+0090101002a01000003010000ff01df0101120601011101120601011144010100
+2901010002010100ff01df010112060101110112060101114301030029010400ff01e0010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111390102000001
+0100000103002c010000190101000f010000070101000c0106000b010400290101000d010400020
+1060012010300ff01280101120601011101120601011138010600000103002b01
+0100180103000d010100060103000b0107000a010400280103000c0104000201070011010300ff0
+128010112060101110112060101113801020000010200010102002b0101001901
+01000e010100070101000d010200000102000c010200290101000f0102000301020000010200120
+10200ff0128010112060101110112060101113801020001010100010102002a01
+02002901020017010200000102000c0102003b010200030102000001020012010200ff012801011
+20601011101120601011138010200010101000101060002010400020102000101
+0100020104000401020000010100000106000301030002010200010101000201040003010300000
+10000010106000201040004010200000101000101020000010200020103000501
+0200020103000001060000010200030103000201000000010100000101000201040003010400050
+10200030102000001020001010400040102000001010000010200010102000101
+0400030104000001000002010300ff010a010112060101110112060101113801020005010700000
+10600010107000001060002010600000106000201050001010700010104000201
+0600010106000201040003010600010102000001020001010500040102000201030000010b00010
+10500010107000101040002010600040102000301020000010200000106000201
+06000001020001010200000106000101070001010500ff010901011206010111011206010111380
+10200050103000001020000010100010102000201060000010100010102000101
+0300000102000101020004010200010102000101060003010200020102000001020002010200070
+10200020103000001020001010600000102000101020003010200020102000101
+0200000103000001020000010200010102000001070003010200020101000101020004010200030
+10600000101000101020001010300000102000001020000010200010101000101
+020001010200000103000001020001010200ff01080101120601011101120601011138010200050
+10200010102000301030002010300000101000301030001010200020101000101
+0200040102000101020001010300000101000301020002010300010100000201020007010200020
+10200020101000101050001010200010102000301020003010200000101000101
+0200010102000001020001010200000101000001010000010100030102000501030004010200030
+10500040103000101020002010100000105000501030001010200000102000101
+020001010200ff01080101120601011101120601011138010200050102000101020001010500020
+10200050105000101020006010200040107000101020007010200030104000301
+0200070102000201020006010200040102000101020003010200030105000101020001010200000
+10200010102000001010000010100000101000301020003010500040102000301
+020005010500010102000501040004010500010102000001020001010700ff01080101120601011
+10112060101113801020001010100010102000101020000010200000102000201
+0200040102000001020001010200060102000401020006010200070102000201000001010300020
+10200070102000201020006010200040102000101020003010200040103000201
+0200010102000001020001010200000101000001010000010100030102000201020000010200040
+10200030102000401020000010200010102000501020000010100020102000001
+02000201040002010200ff010d01011206010111011206010111380102000101010001010200010
+10200000102000001020002010200040102000001020001010300010101000101
+0200000101000101030001010100010102000701020002010200000102000201020000010100040
+10200020103000101010001010200040102000101020003010200040103000201
+0200010102000001020001010200000101000001010000010100030102000201020000010200040
+10200030102000401020000010200010103000101010000010200000102000101
+020000010200010103000401030001010100ff01080101120601011101120601011138010600000
+10300000103000001070000010400030107000101060001010500020106000001
+0400040106000001060002010500020106000101060000010400040105000201060003010100020
+10300000103000101050001010100000101000001010001010600000107000101
+06000001040003010700010106000001020001010200000107000001060002010600ff010801011
+20601011101120601011139010400010103000001030001010200000102000001
+0400040102000001020002010400030103000401040001010400040106000001000000010300040
+10300030106000201040001010400050103000301060002010200020103000001
+0300020103000201010000010100000101000101060001010200000102000101060000010400040
+10200000102000201040001010200010102000101020000010200010106000201
+0400ff010901011206010111011206010111d20102006701020001010200ff01110101120601011
+1011206010111d101030067010700ff011101011206010111011206010111d101
+020069010500ff011201011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1380104000601010028010300000101001501000016010100030101000c010000
+100101000c01060012010300ff015e0101120601011101120601011138010400050103002601070
+01401010016010100030101000b0101000f0103000b01070011010300ff015e01
+0112060101110112060101113901020007010100270102000101020014010100160102000101020
+00b010100100101000d0102000001020012010200ff015e010112060101110112
+060101113901020031010200020101001301020016010200010102000a010200200102000001020
+012010200ff015e01011206010111011206010111390102000501040001010300
+0001020003010300030104000201020001010100010103000101010000010300000102000101030
+00001000001010600030103000201000000010100000101000101070001010400
+0201060001010200010101000201040002010300000102000101020000010200010104000401020
+000010100000102000101020001010400030104000001000002010300ff014001
+0112060101110112060101113901020005010400010108000101050001010600010107000101030
+00301030000010200000106000101060002010500010107000001070000010600
+0101060001010700010104000201020001010200010102000001020000010600020106000001020
+001010200000106000101070001010500ff013f01011206010111011206010111
+3901020007010200020103000001020000010200010102000001010001010200020106000201030
+00201020001010200000102000001020002010200040102000101020000010700
+0001070000010100010102000201020005010600030102000301020000010100020106000001010
+00101020001010300000102000001020000010200010101000101020001010200
+000103000001020001010200ff013e0101120601011101120601011139010200070102000201020
+00101020000010200010102000301030002010300000101000301030002010200
+0001010001010300010100000201020004010200010102000001010000010100000101000001010
+00001010000010100030103000201020005010300000101000301020004010300
+0301050004010300010102000201010000010500050103000101020000010200010102000101020
+0ff013e0101120601011101120601011139010200070102000201020001010200
+0001070001010500020102000401010001010300010105000201040003010200040107000001010
+00001010000010100000101000001010000010100010105000201020005010200
+0701020004010300030102000501050001010200050104000401050001010200000102000101070
+0ff013e0101120601011101120601011139010200010101000301020002010200
+0101020000010200050102000001020002010200040101000201020002010300020100000101030
+00201020004010200050101000001010000010100000101000001010000010100
+0001020000010200020102000501020007010200040103000301020004010200000102000101020
+0050102000001010002010200000102000201040002010200ff01430101120601
+0111011206010111390102000001020003010200020102000101020000010300010101000001020
+00001020002010200040102000101020002010300020102000001020002010200
+0001010001010300010101000001010000010100000101000001010003010100000102000001020
+00201020000010100020102000701020003010100000102000201020004010200
+0001020001010300010101000001020000010200010102000001020001010300040103000101010
+0ff013e010112060101110112060101113801070001010a000001030001010600
+0001070000010400030107000301010003010600020105000201060000010100000101000001010
+00001020001010200000107000101050001010400040106000001020001010200
+0001040003010700010106000001020001010200000107000001060002010600ff013e010112060
+101110112060101113801070001010a0000010300020104000201020000010200
+0001040003010100000103000301020003010000000103000401030004010400010101000001010
+00001010000010200010102000101020000010200020103000201040004010600
+0001020000010300000104000401020000010200020104000101020001010200010102000001020
+00101060002010400ff013f01011206010111011206010111780102008b010200
+01010200ff014701011206010111011206010111770103008b010700ff014701011206010111011
+206010111770102008d010500ff014801011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+570101120601011101120601011138010100030101000c010000100101000d010200000101000d0
+10000310107001e010000070101001f010400ff01490101120601011101120601
+011138010100030101000b0101000f0103000b0106000c010100310107001d010100060103001d0
+10600ff01480101120601011101120601011138010200010102000b0101001001
+01000c010200000102000c01010032010200000102001d010100070101001e01010001010300ff0
+1470101120601011101120601011138010200010102000a0102001f0102000101
+01000b01020032010200010101001c0102002801010002010200ff0147010112060101110112060
+10111380107000101040002010600010102000101010002010400020103000001
+0200000102000101010002010400020106000301030003010400000100000201030002010200010
+10100010103000001020001010200040102000001070000010200030102000001
+01000001060002010400040103000101030000010200020103000001000006010200ff014701011
+20601011101120601011138010700000106000101060001010700010104000201
+0200010102000001020005010600010106000201050001010700010105000101070000010300000
+10200010104000201020000010c00010106000001060002010400030105000001
+08000001060006010100ff014801011206010111011206010111380107000001010001010200020
+10200050106000301020003010200000101000101020005010100010102000201
+0200040102000101020000010200000103000001020001010200010106000001020001010200010
+10400020102000101020000010300000102000001030000010200010102000701
+020002010200010102000001030000010200000102000001020005010100ff01490101120601011
+10112060101113801010000010100000101000301030002010200050103000001
+0100030102000401030002010200080103000201020004010200010102000001020000010200010
+10200010102000101030000010100010102000001010002010200040102000101
+0200000102000101020000010200020101000101020007010200020102000101020000010200010
+10200000103000101000004010100ff014a010112060101110112060101113801
+0100000101000001010001010500020102000501020007010200040103000201020006010500020
+10200040107000001020000010200010102000101020001010200050105000201
+0200040102000101020000010200010102000001020006010200070102000201020001010200000
+10200010102000101040004010100ff014b010112060101110112060101113801
+0100000101000001010000010200000102000201020005010200070102000401030002010200010
+10100010102000001020002010200040102000601040002010200010102000101
+0200060103000301020004010200010102000001020001010200000102000601020007010200020
+10200010102000001020001010200000100000101030002010100ff014c010112
+0601011101120601011138010100030101000001020000010200020102000001010002010200070
+10200030101000001020001010200010101000101020000010200020102000001
+0100010103000101010000010300040102000101020001010200060103000301020004010200000
+10300000102000101020000010300010101000101020000010100040102000201
+020001010200000102000101020000010200000102000101020003010000ff01470101120601011
+10112060101113801020001010200000107000101050001010400040106000001
+0200010102000001060001010700010105000201060000010600020105000101040006010100030
+1040003010b000001030001010600010105000201060001010500000103000001
+0300000106000101020002010100ff0147010112060101110112060101113801020001010200010
+10200000102000201030002010400040106000001020000010300010104000301
+0200000102000201030004010400020106000201030002010400050102000301040004010300000
+10500000103000201040003010300030106000201030001010300000103000001
+00000001030002010700ff014701011206010111011206010111920102000101020013010200550
+10700ff0147010112060101110112060101119201070012010300ff01a5010112
+060101110112060101119301050013010200ff01a601011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+101120601011101120601011138010100030101000c010000100101000d010200
+000101002e0106002801010018010000ff016601011206010111011206010111380101000301010
+00b0101000f0103000b0106002e0107002601030016010100ff01660101120601
+011101120601011138010200010102000b010100100101000c010200000102002f0102000001020
+02701010017010100ff0166010112060101110112060101113801020001010200
+0a0102001f010200010101002f0102000001020040010200ff01660101120601011101120601011
+13801070001010400020106000101020001010100020104000201030000010200
+0001020001010100030103000201000000010100000101000101000000010100000101000301030
+00101030000010200020102000001020002010300010103000001020003010300
+0201000000010100000101000201040001010300000102000201040002010600030103000201020
+001010100ff015101011206010111011206010111380107000001060001010600
+0101070001010400020102000101020000010200060105000101070000010700010105000001080
+00101020000010200010105000001080001010500010107000101040001010800
+00010600010106000201050001010700ff015001011206010111011206010111380107000001010
+00101020002010200050106000301020003010200000101000101020005010200
+0101020000010700000107000001020001010200000103000001020001010200000102000001020
+00101020000010300000102000001020001010200000107000301020002010300
+00010200000101000101020002010200040102000101020001010600ff015001011206010111011
+20601011138010100000101000001010003010300020102000501030000010100
+0301020004010300020102000501020001010200000101000001010000010100000101000001010
+00001010000010200010102000001020001010200010102000001020000010200
+0101020000010200010102000001020001010200000101000001010000010100030102000201020
+001010200030103000201020004010200010102000101030000010100ff015001
+0112060101110112060101113801010000010100000101000101050002010200050102000701020
+00401030002010200050102000101020000010100000101000001010000010100
+0001010000010100000102000101020000010200010102000101020000010200000107000001020
+00101020000010200010102000001010000010100000101000301020002010200
+010102000101050002010200040102000101020001010200ff01540101120601011101120601011
+13801010000010100000101000001020000010200020102000501020007010200
+0401030002010200010101000101020001010200000101000001010000010100000101000001010
+00001010000010200010102000001020001010200010102000001020000010200
+0501020001010200000102000101020000010100000101000001010003010200020102000101020
+0000102000001020002010200040102000101020001010200ff01540101120601
+0111011206010111380101000301010000010200000102000201020000010100020102000701020
+00301010000010200010102000101010001010200010102000001010000010100
+0001010000010100000101000001010000010200010102000001020001010200010102000001020
+00001030001010100000102000101020000010200010102000001010000010100
+0001010003010200020102000101020000010200000102000201020000010100010102000101020
+001010200ff015401011206010111011206010111380102000101020000010700
+0101050001010400040106000001020001010200000106000201050001010100000101000001010
+00001010000010100000101000101050000010300000103000001070001010a00
+000103000101050001010100000101000001010001010a000001030000010700010105000201050
+001010400ff015301011206010111011206010111380102000101020001010200
+0001020002010300020104000401060000010200000103000101040004010300020101000001010
+00001010000010100000101000001010002010300010103000001030000010600
+0301040000010300000103000201030002010100000101000001010001010a00000103000101020
+000010200020103000401030002010400ff015301011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+38010100030101000c010000100101000c010400060101002801030004010400130103001701070
+01e01000007010100ff0141010112060101110112060101113801010003010100
+0b0101000f0103000b01040005010300270103000401040013010300170107001d0101000601030
+0ff01400101120601011101120601011138010200010102000b01010010010100
+0d0102000701010029010200060102001401020018010200000102001d01010007010100ff01410
+101120601011101120601011138010200010102000a0102002001020032010400
+050102001401020018010200010101001c010200ff014b010112060101110112060101113801070
+00101040002010600010102000101010002010400020103000001020001010200
+0501040001010300000102000301030003010400020102000101010002010400050102000301040
+00001000002010300020105000201020001010100020104000301020004010200
+0001070000010200030102000001010000010600020104000401030001010300000102000201030
+000010000ff012401011206010111011206010111380107000001060001010600
+0101070001010400020102000101020001010200050104000101080001010500010106000101070
+00101010000010100050102000201070001010500010106000101070000010600
+020104000201020000010c00010106000001060002010400030105000001080000010600ff01240
+10112060101110112060101113801070000010100010102000201020005010600
+0301020003010200000101000201020007010200020103000001020000010200010102000001010
+00101020002010600010101000001020004010200020102000001030000010200
+0101020000010300000102000101060000010100010102000201040002010200010102000001030
+00001020000010300000102000101020007010200020102000101020000010300
+000102000001020000010200ff01240101120601011101120601011138010100000101000001010
+00301030002010200050103000001010003010200040103000301020007010200
+0201020001010200000102000101020003010300020103000001010001010100010101000401020
+00201020000010200010102000101020000010200010102000101030000010100
+0301030002010200040102000101020000010200010102000001020002010100010102000701020
+0020102000101020000010200010102000001030001010000ff01240101120601
+0111011206010111380101000001010000010100010105000201020005010200070102000401030
+00301020007010200020102000101020000010700010105000201020004010600
+0401020002010200000102000101070000010200010102000101020005010500020102000401020
+00101020000010200010102000001020006010200070102000201020001010200
+000102000101020001010400ff01250101120601011101120601011138010100000101000001010
+00001020000010200020102000501020007010200040103000301020001010100
+0301020002010200010102000001020005010200000102000201020004010700030102000301040
+00201020005010200010102000101020004010200000102000201020004010200
+0101020000010200010102000001020006010200070102000201020001010200000102000101020
+00001000001010300ff0124010112060101110112060101113801010003010100
+0001020000010200020102000001010002010200070102000301010000010200020102000001020
+00301020002010200010102000001030001010100000102000001020002010200
+0401010002010200030102000201030004010300010101000001020001010200010102000401020
+00001020002010200040102000001030000010200010102000001030001010100
+010102000001010004010200020102000101020000010200010102000001020000010200ff01240
+10112060101110112060101113801020001010200000107000101050001010400
+0401060000010200010102000001070001010a00000103000101060000010700000104000201030
+00001030001010600000106000201060000010600010104000301070000010400
+03010b000001030001010600010105000201060001010500000103000001030000010600ff01240
+10112060101110112060101113801020001010200010102000001020002010300
+020104000401060000010200000103000001070001010a000001030002010400020102000001020
+00001040002010300000103000101060001010600020104000101010000010200
+0201040004010200000102000001040004010300000105000001030002010400030103000301060
+00201030001010300000103000001000000010300ff0125010112060101110112
+06010111b601020001010200ff019801011206010111011206010111b6010700ff0198010112060
+10111011206010111b7010500ff019901011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+570101120601011101120601011137010700160100002901040014010100030101000c010000100
+101000d010200000101000d010000310107001e010000070101001f010400e601
+01120601011101120601011137010800140101002901040014010100030101000b0101000f01030
+00b0106000c010100310107001d010100060103001d010600e501011206010111
+0112060101113801020001010200140101002b01020014010200010102000b010100100101000c0
+10200000102000c01010032010200000102001d010100070101001e0101000101
+0300e4010112060101110112060101113801020001010200130102002b010200140102000101020
+00a0102001f010200010101000b01020032010200010101001c01020028010100
+02010200e4010112060101110112060101113801020000010200030103000401020000010100000
+10600020104000101030000010200020104000001000000010200000103000301
+0200030104000201020001010100010107000101040002010600010102000101010002010400020
+10300000102000001020001010100020104000201060003010300030104000001
+0000020103000201020001010100010103000001020001010200040102000001070000010200030
+10200000101000001060002010400040103000101030000010200020103000001
+000006010200e401011206010111011206010111380105000301050002010600000106000101060
+00001080000010700000102000001030003010200020106000101070000010700
+0001060001010600010107000101040002010200010102000001020005010600010106000201050
+00101070001010500010107000001030000010200010104000201020000010c00
+01010600000106000201040003010500000108000001060006010100e5010112060101110112060
+10111380105000201020001010200000103000001020001010200040101000101
+0200010103000001020000010200000103000001020001010200030102000201010001010200020
+10600000107000001010001010200020102000501060003010200030102000001
+0100010102000501010001010200020102000401020001010200000102000001030000010200010
+10200010106000001020001010200010104000201020001010200000103000001
+0200000103000001020001010200070102000201020001010200000103000001020000010200000
+1020005010100e601011206010111011206010111380102000001020001010200
+0101020000010200020101000101020007010300010102000101020000010200000102000101020
+00101020003010200050103000201030000010100000101000001010000010100
+0301030002010200050103000001010003010200040103000201020008010300020102000401020
+00101020000010200000102000101020001010200010103000001010001010200
+0001010002010200040102000101020000010200010102000001020002010100010102000701020
+002010200010102000001020001010200000103000101000004010100e7010112
+0601011101120601011138010200000102000101070000010200060102000501050001010200010
+10200000102000001020001010200010102000301020003010500020102000401
+0100000101000001010001010500020102000501020007010200040103000201020006010500020
+10200040107000001020000010200010102000101020001010200050105000201
+0200040102000101020000010200010102000001020006010200070102000201020001010200000
+10200010102000101040004010100e80101120601011101120601011138010200
+0001020001010200050102000601020004010200000102000101020001010200010104000201020
+00101020003010200020102000001020002010200040101000001010000010100
+0001020000010200020102000501020007010200040103000201020001010100010102000001020
+00201020004010200060104000201020001010200010102000601030003010200
+0401020001010200000102000101020000010200060102000701020002010200010102000001020
+001010200000100000101030002010100e9010112060101110112060101113801
+0200010102000001030001010100000103000101010001010200000101000101020000010200010
+10200010102000001030004010200000103000301020002010200000102000201
+0200040101000301010000010200000102000201020000010100020102000701020003010100000
+10200010102000101010001010200000102000201020000010100010103000101
+0100000103000401020001010200010102000601030003010200040102000001030000010200010
+10200000103000101010001010200000101000401020002010200010102000001
+02000101020000010200000102000101020003010000e4010112060101110112060101113701030
+00101020001010600010106000101050001010b00000103000001060001010700
+0101060000010700000104000301020001010200000107000101050001010400040106000001020
+00101020000010600010107000101050002010600000106000201050001010400
+060101000301040003010b000001030001010600010105000201060001010500000103000001030
+0000106000101020002010100e401011206010111011206010111370103000101
+0200020104000301040003010300030102000001060000010300010106000101030000010100010
+10600010102000001020000010400030102000101020001010200000102000201
+0300020104000401060000010200000103000101040003010200000102000201030004010400020
+10600020103000201040005010200030104000401030000010500000103000201
+04000301030003010600020103000101030000010300000100000001030002010700e4010112060
+101110112060101116e010200010102007e010200010102001301020055010700
+e4010112060101110112060101116e0107007e01070012010300ff0142010112060101110112060
+101116f0105008001050013010200ff014301011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+101120601011100120911ff01ff0157010112081109120011ff01ff0157010912
+0011011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff12ff12591206010111011206010011ff12ff125a12060101110112
+1e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e0
+1011101121e0100110012ff01ff012701001100121e01011101121e0100110012
+ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e0
+100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701
+001100121e01011101121f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-gensearch.ps b/books/ps/h-gensearch.ps
new file mode 100644
index 0000000..d8a2205
--- /dev/null
+++ b/books/ps/h-gensearch.ps
@@ -0,0 +1,1138 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:15:44 1991
+%%Title: h-gensearch.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-gensearch.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+0020107000201490047010400030105001b01000010010000300100000d010200
+3b010000590106000201040002010200020103000201020004010100040102000201280000011d0
+0011206010111011206010111050002010d000201000002010500020107000201
+49004601010001010200020104001c0100000f0102002f0100000e010100290100000f010200580
+10600020104000201020002010300020102000401010004010200020126000401
+1b00011206010111011206010111050002010d00020100000201050002010700020149004601000
+003010100020100001f010100100100002f0101000e0101000d01010019010000
+100100000f01010047010600020104000201020002010300020102000b010200020124000801190
+0011206010111011206010111050002010e000401060002010700020149004b01
+0100020100001f010100410101000e0101000d01010018010100210101004701060002010400020
+102000201030002010200020100000301000002010200020122000c0117000112
+060101110112060101110500080108000401060002010700020149004a010100030100000001020
+00901030002010100000102000201060001010100000103000201030005010300
+0301030000010000060100000001010000010100020104000201060003010300030104000701010
+00001000001010100000101000201010003010300030105000101010001010200
+020103000401010002010100000101000001000001010100440106000a010200020103000201020
+002010000030100000201020007011b0010011500011206010111011206010111
+0500090108000201070002010700020149004801020004010100010101000701010001010100020
+10100010101000301010005010200010101000301010004010100010101000101
+0100020101000601010000010100000101000001010002010100030101000501010001010100020
+10200000101000601020000010700000103000101010001010100030101000301
+00000001020001010100030101000301000000010100000101000101020000010300440106000a0
+10200020103000201020002010100010101000201020008011800140113000112
+060101110112060101110500090108000201070002010700020149004a010100030100000301010
+00501010002010100020101000101010003010100050101000201010003010100
+0301010002010100010101000301000006010100000101000001010000010100020101000301010
+00401010002010100020101000101010008010000000100000301000000010000
+0001000000010100050101000301010005010200010101000201010006010300040100000001000
+0470106000a010200020103000201020002010100010101000201020008011600
+18011100011206010111011206010111050002010e000401060002010700020149004b010100070
+10100050106000201010001010100030101000501010008010100030106000201
+0200090101000001010000010100030103000301010004010100070101000101010006010100000
+10100030100000001010001010100020103000401010005010100070101000701
+0200020101000001010047010600020104000201020002010300020102000201050002010200020
+121000e011600011206010111011206010111050002010e000401060002010700
+020149004b010100070101000501010007010100010101000301010005010100080101000301010
+00901020007010100000101000001010001010100010101000301010004010100
+0701010001010100050101000201010001010100000101000001010001010100010101000301010
+00601010007010100060102000201010002010100460106000201040002010200
+02010300020102000201050002010200020121000e0116000112060101110112060101110500020
+10d00020100000201050002010700020149004b01010007010100050101000701
+0100010101000301010005010100080101000301010006010000030101000601010000010100000
+10100000101000201010003010100040101000301000002010100010101000501
+0100020101000101010000010000010101000001010002010100030101000501010007010100060
+10100000101000101010002010100460106000201040002010200020103000201
+02000201050002010200020121000e011600011206010111011206010111050002010d000201000
+00201050002010700020149004601000003010100010100000301010007010100
+0201000002010100010101000301010001010000020101000801010004010100020100000101010
+00201010006010100000101000001010000010100010102000301010001010000
+020101000101010002010100010101000e010000010100000101000001010100010102000001000
+00101010001010000020101000701010001010000030100000101010000010000
+4d010600020104000201020002010300020102000201050002010200020121000e0116000112060
+10111011206010111050002010c00020102000201040002010700020149004601
+0100010101000201010001010100090103000201020000010300030102000201040004010500030
+10300020100000001030007010100000101000001010001010200010101000301
+02000401030002010200000103000d0100000401000002010200010101000301020003010100080
+1020002010100030101004e010600020104000201020002010300020102000201
+050002010200020121000e011600011206010111011206010111050002010c00020102000201040
+0020107000201490047010300040103008d0100007b0106000201040002010200
+0201030002010200020105000201020002014700011206010111011206010111050002010b00020
+10400020103000201070002014900ff015f010600020104000201020002010300
+0201020002010500020102000201470001120601011101120601011105000901040002010400020
+103000201070002014900ff015f01060002010400020102000901020002010500
+020102000801410001120601011101120601011105000a010200020106000201020002010700020
+14900ff015f010600020104000201030008010200020105000201020009014000
+01120601011101120601011106000901030001010700010103000101080001014900ff015f01070
+00101050001010400060104000101060001010300080140000112060101110112
+060101117b00ff015f017b000112060101110112060101117b00ff015f017b00011206010111011
+2060101117b00ff015f017b000112060101110112060101117b00ff015f017b00
+011206010111011206010111ff00ff005700011206010111011206010111ff00ff0057000112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff01570101120601011101120601011125010b0006010300040
+105003f010000ff01ce0101120601011101120601011125010b00050100000201
+010003010000000102003701000006010200ff01cd0101120601011101120601011125010100000
+100000001000000010000000102000a010100010100003c01000007010000ff01
+ce0101120601011101120601011125010200000100000001000000010000000101000a010100010
+100003b010100ff01d70101120601011101120601011125010100000100000001
+000000010000000102000a010100000104000b01020003010100000101000401030002010100010
+1020003010300030105000201030006010200020101000101010004010300ff01
+b201011206010111011206010111250102000001000000010000000100000001010009010200000
+10000020101000801010001010100010100000001010000010100010102000101
+0100000100000001020001010100010101000101010003010100070101000401010001010100000
+1000000010000000103000101020001010100ff01b10101120601011101120601
+0111250101000001000000010000000100000001020008010200060101000701010001010100030
+10100000101000101010002010100020102000101010005010100030101000601
+0100050101000101010002010200000101000101010002010000ff01b2010112060101110112060
+10111250102000001000000010000000100000001010007010200070101000601
+0100020101000301000001010100000101000201010003010100070103000401010006010100040
+1010002010100020101000101010002010100ff01b50101120601011101120601
+0111250101000001000000010000000100000001020006010100090101000601010002010100020
+10100010101000001040005010100050101000101010003010100070101000401
+010002010100010101000201000004010200ff01b30101120601011101120601011125010200000
+10000000100000001000000010100050100000b01010006010100010101000301
+0100000101000101010007010100050101000201010003010100060101000501010001010100020
+10100010101000201000002010100ff01b2010112060101110112060101112501
+0b00040100000401000005010200060101000101010003010100000101000201010002010000020
+10100050101000101020000010000010101000101000003010100010100000201
+01000101010002010100010101000001020001010200ff01b201011206010111011206010111250
+10b00030107000001000002010200080102000401040004010300030101000601
+020001010100030102000501020004010200030101000301010001010300ff01b40101120601011
+1011206010111350106000201030012010100ff01fe0101120601011101120601
+011156010100ff01fe0101120601011101120601011155010300ff01fd010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+01120601011125010b00060103004a010000ff01ce0101120601011101120601011125010b00050
+10000020101001c0100002a010200ff01cd010112060101110112060101112501
+010000010000000100000001000000010200090101001c0100002b010000ff01ce0101120601011
+10112060101112501020000010000000100000001000000010100090101001b01
+0100ff01fb010112060101110112060101112501010000010000000100000001000000010200080
+10100090103000401030003010500030103000501020000010000030102000201
+010001010200020103000501030004010300ff01bb0101120601011101120601011125010200000
+10000000100000001000000010100060102000801020001010100020101000101
+0100030101000401020001010100030101000001020001010100010101000001000000010200010
+101000301010003010200010101000101020001010100ff01ba01011206010111
+0112060101112501010000010000000100000001000000010200070101000801010002010000070
+10100030101000401010002010100020101000201000002010100010101000201
+0200010101000201010004010100020101000101010002010000ff01bb010112060101110112060
+10111250102000001000000010000000100000001010008010100060101000901
+0300040101000301010002010100030101000101010001010100020101000201010007010100030
+101000201010003010100ff01be01011206010111011206010111250101000001
+0000000100000001000000010200080101000601010007010100010101000301010004010400050
+10400020101000201010002010100070101000301040006010200ff01bc010112
+0601011101120601011125010200000100000001000000010000000101000801010006010100060
+10100020101000301010004010100070101000601010001010100020101000701
+0100040101000701000002010100ff01bb0101120601011101120601011125010b0008010100070
+10100020100000101010001010200000100000101010001010000020101000201
+0000020104000301010001010100020101000701010001010000020101000201000001010100010
+10200ff01bb0101120601011101120601011125010b0003010000020101000901
+0300030102000101010003010200040103000401040003010200040101000801020004010300030
+10300ff01bd01011206010111011206010111360103002d01000003010000ff01
+e8010112060101110112060101116701010002010100ff01e801011206010111011206010111680
+10400ff01e901011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+0601011138010100030101000c010000100101000d010200000101000d010000ae0103000001010
+02d010100030101000c010000100101000d010200000101000d010000a2010112
+0601011101120601011138010100030101000b0101000f0103000b0106000c010100ad0107002d0
+10100030101000b0101000f0103000b0106000c010100a2010112060101110112
+0601011138010200010102000b010100100101000c010200000102000c010100ad0102000101020
+02d010200010102000b010100100101000c010200000102000c010100a2010112
+0601011101120601011138010200010102000a0102001f010200010101000b010200ad010200020
+101002d010200010102000a0102001f010200010101000b010200a20101120601
+0111011206010111380107000101040002010600010102000101010002010400020103000001020
+00001020001010100020104000201060003010300030104000001000002010300
+020102000101010001010300000102007c010300010101000201020000010100000102000001030
+00101040002010200010101000301030002010700010104000201060001010200
+0101010002010400020103000001020000010200010101000201040002010600030103000301040
+00001000002010300020102000101010001010300000102007101011206010111
+0112060101113801070000010600010106000101070001010400020102000101020000010200050
+10600010106000201050001010700010105000101070000010300000102007d01
+0300040106000001020000010300000106000101070001010500010107000001060001010600010
+10700010104000201020001010200000102000501060001010600020105000101
+0700010105000101070000010300000102007101011206010111011206010111380107000001010
+00101020002010200050106000301020003010200000101000101020005010100
+0101020002010200040102000101020000010200000103000001020001010200010106000001020
+0010102007e010300020102000101020000010200010102000001010001010200
+0201060000010200010102000001070000010100010102000201020005010600030102000301020
+00001010001010200050101000101020002010200040102000101020000010200
+0001030000010200010102000101060000010200010102007101011206010111011206010111380
+10100000101000001010003010300020102000501030000010100030102000401
+0300020102000801030002010200040102000101020000010200000102000101020001010200010
+10300000101000101020000010100800103000101020001010200000102000101
+0200030103000201030000010100000102000101020000010100000101000001010003010300020
+10200050103000001010003010200040103000201020008010300020102000401
+0200010102000001020000010200010102000101020001010300000101000101020000010100720
+10112060101110112060101113801010000010100000101000101050002010200
+0501020007010200040103000201020006010500020102000401070000010200000102000101020
+00101020001010200050105007d01010001010300000102000101020000010200
+0101020001010500020102000401070000010100000101000001010001010500020102000501020
+00701020004010300020102000601050002010200040107000001020000010200
+0101020001010200010102000501050072010112060101110112060101113801010000010100000
+10100000102000001020002010200050102000701020004010300020102000101
+01000101020000010200020102000401020006010400020102000101020001010200060103007e0
+10100020102000001020001010200000102000101020000010200000102000201
+0200040102000501010000010100000101000001020000010200020102000501020007010200040
+10300020102000101010001010200000102000201020004010200060104000201
+0200010102000101020006010300730101120601011101120601011138010100030101000001020
+00001020002010200000101000201020007010200030101000001020001010200
+0101010001010200000102000201020000010100010103000101010000010300040102000101020
+001010200060103007e0102000101020000010300000102000001020000010300
+0001020000010200020102000401030001010100000101000301010000010200000102000201020
+00001010002010200070102000301010000010200010102000101010001010200
+0001020002010200000101000101030001010100000103000401020001010200010102000601030
+07301011206010111011206010111380102000101020000010700010105000101
+0400040106000001020001010200000106000101070001010500020106000001060002010500010
+10400060101007f01070001010600000107000001070000010400040106000001
+0200010102000001070001010500010104000401060000010200010102000001060001010700010
+10500020106000001060002010500010104000601010074010112060101110112
+0601011138010200010102000101020000010200020103000201040004010600000102000001030
+00101040003010200000102000201030004010400020106000201030002010400
+050102007f010100000103000301050001010300000101000101020000010200000104000501040
+00101020001010200010102000001020002010300020104000401060000010200
+0001030001010400030102000001020002010300040104000201060002010300020104000501020
+074010112060101110112060101119201020001010200130102008e0102007e01
+02000101020013010200750101120601011101120601011192010700120103008e0102007e01070
+012010300750101120601011101120601011193010500130102008e0103007f01
+0500130102007601011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111370
+10700160100002901040014010100030101000c010000100101000d0102000001
+01000d010000ff016f0101120601011101120601011137010800140101002901040014010100030
+101000b0101000f0103000b0106000c010100ff016f0101120601011101120601
+01113801020001010200140101002b01020014010200010102000b010100100101000c010200000
+102000c010100ff016f0101120601011101120601011138010200010102001301
+02002b01020014010200010102000a0102001f010200010101000b010200ff016f0101120601011
+10112060101113801020000010200030103000401020000010100000106000201
+0400010103000001020002010400000100000001020000010300030102000301040002010200010
+10100010107000101040002010600010102000101010002010400020103000001
+0200000102000101010002010400020106000301030003010400000100000201030002010200010
+101000101030000010200ff013e01011206010111011206010111380105000301
+0500020106000001060001010600000108000001070000010200000103000301020002010600010
+10700000107000001060001010600010107000101040002010200010102000001
+02000501060001010600020105000101070001010500010107000001030000010200ff013e01011
+20601011101120601011138010500020102000101020000010300000102000101
+0200040101000101020001010300000102000001020000010300000102000101020003010200020
+10100010102000201060000010700000101000101020002010200050106000301
+0200030102000001010001010200050101000101020002010200040102000101020000010200000
+103000001020001010200010106000001020001010200ff013e01011206010111
+0112060101113801020000010200010102000101020000010200020101000101020007010300010
+10200010102000001020000010200010102000101020003010200050103000201
+0300000101000001010000010100000101000301030002010200050103000001010003010200040
+10300020102000801030002010200040102000101020000010200000102000101
+02000101020001010300000101000101020000010100ff013f01011206010111011206010111380
+10200000102000101070000010200060102000501050001010200010102000001
+0200000102000101020001010200030102000301050002010200040101000001010000010100010
+10500020102000501020007010200040103000201020006010500020102000401
+0700000102000001020001010200010102000101020005010500ff013f010112060101110112060
+10111380102000001020001010200050102000601020004010200000102000101
+0200010102000101040002010200010102000301020002010200000102000201020004010100000
+10100000101000001020000010200020102000501020007010200040103000201
+0200010101000101020000010200020102000401020006010400020102000101020001010200060
+10300ff0140010112060101110112060101113801020001010200000103000101
+0100000103000101010001010200000101000101020000010200010102000101020000010300040
+10200000103000301020002010200000102000201020004010100030101000001
+0200000102000201020000010100020102000701020003010100000102000101020001010100010
+10200000102000201020000010100010103000101010000010300040102000101
+02000101020006010300ff014001011206010111011206010111370103000101020001010600010
+106000101050001010b0000010300000106000101070001010600000107000001
+0400030102000101020000010700010105000101040004010600000102000101020000010600010
+10700010105000201060000010600020105000101040006010100ff0141010112
+0601011101120601011137010300010102000201040003010400030103000301020000010600000
+10300010106000101030000010100010106000101020000010200000104000301
+0200010102000101020000010200020103000201040004010600000102000001030001010400030
+1020000010200020103000401040002010600020103000201040005010200ff01
+41010112060101110112060101116e010200010102007e0102000101020013010200ff014201011
+2060101110112060101116e0107007e01070012010300ff014201011206010111
+0112060101116f0105008001050013010200ff014301011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff0157010112060101110112060101112501
+0b00060103000c0102001f010000ff01e90101120601011101120601011125010b0005010000020
+101000c0101001e010200ff01e801011206010111011206010111250101000001
+00000001000000010000000102000a0101000b0101001f010000ff01e9010112060101110112060
+1011125010200000100000001000000010000000101000a0101000a010100ff01
+ff010b0101120601011101120601011125010100000100000001000000010000000102000a01010
+00701010000010100040102000201010002010100030103000301030003010100
+0101010004010300ff01d6010112060101110112060101112501020000010000000100000001000
+00001010009010200060100000101020002010100010101000001030000010300
+0101010001010100040101000201000000010000000103000101020001010100ff01d5010112060
+10111011206010111250101000001000000010000000100000001020008010200
+0601010001010100030101000101010001010000000100000001000000010100050101000301010
+005010200000101000101010002010000ff01d601011206010111011206010111
+2501020000010000000100000001000000010100070102000701010001010100020101000201010
+00101000000010100010101000201030004010100050101000101010002010100
+ff01d90101120601011101120601011125010100000100000001000000010000000102000601010
+00801010002010100020101000201010000010100000101000001010001010100
+0101010004010100040101000201000004010200ff01d7010112060101110112060101112501020
+000010000000100000001000000010100050100000a0101000101010003010100
+0101010001010100000100000101010000010100020101000301010005010100010101000201000
+002010100ff01d60101120601011101120601011125010b000401000004010000
+0501010000010200000100000101010001010100010100000101000001010000010101000101020
+000010000010101000101000002010100010101000001020001010200ff01d601
+01120601011101120601011125010b0003010700060102000001010003010200030100000401000
+0020102000101010003010200020101000301010001010300ff01d80101120601
+0111011206010111350106001f010000ff01f901011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+570101120601011101120601011138010400060101000d010300000101002d010100030101000c0
+10000100101007f010100030101000c01000010010100fb010112060101110112
+0601011138010400050103000b0107002d010100030101000b0101000f0103007e0101000301010
+00b0101000f010300fa0101120601011101120601011139010200070101000c01
+0200010102002d010200010102000b010100100101007f010200010102000b01010010010100fb0
+10112060101110112060101113901020016010200020101002d01020001010200
+0a01020092010200010102000a010200ff010e01011206010111011206010111390102000501040
+00401030002010300010101000201020000010100000102000001030001010400
+0201020001010100030103000201070001010400020106000101020001010100020104000201030
+00001020073010700010104000201060001010200010101000201040002010300
+00010200ef010112060101110112060101113901020005010400030105000201030004010600000
+10200000103000001060001010700010105000101070000010600010106000101
+0700010104000201020001010200730107000001060001010600010107000101040002010200010
+10200ef0101120601011101120601011139010200070102000201020001010200
+0201030002010200010102000001020001010200000101000101020002010600000102000101020
+00001070000010100010102000201020005010600030102000301020000010100
+7401070000010100010102000201020005010600030102000301020000010100f00101120601011
+10112060101113901020007010200020102000101020003010300010102000101
+0200000102000101020003010300020103000001010000010200010102000001010000010100000
+10100030103000201020005010300000101000301020004010300750101000001
+010000010100030103000201020005010300000101000301020004010300f101011206010111011
+20601011139010200070102000201070000010100010103000001020001010200
+0001020001010200010105000201020004010700000101000001010000010100010105000201020
+00501020007010200040103007501010000010100000101000101050002010200
+050102000701020004010300f101011206010111011206010111390102000101010003010200020
+10200050101000201020000010200010102000001020001010200000102000001
+0200020102000401020005010100000101000001010000010200000102000201020005010200070
+10200040103007501010000010100000101000001020000010200020102000501
+02000701020004010300f1010112060101110112060101113901020000010200030102000201030
+00101010000010200010102000001030000010200000102000001030000010200
+0001020002010200040103000101010000010100030101000001020000010200020102000001010
+00201020007010200030101000001020074010100030101000001020000010200
+020102000001010002010200070102000301010000010200f001011206010111011206010111380
+10700010106000101060000010700010106000001070000010700000104000401
+0600000102000101020000010700010105000101040004010600000102000101020073010200010
+10200000107000101050001010400040106000001020001010200ef0101120601
+0111011206010111380107000101060002010400010101000001030003010500010103000001010
+00101020000010200000104000501040001010200010102000101020000010200
+0201030002010400040106000001020000010300730102000101020001010200000102000201030
+002010400040106000001020000010300ef010112060101110112060101116101
+0200ff01f20101120601011101120601011161010200ff01f201011206010111011206010111600
+10300ff01f201011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff01570101120601011101120601011125010b000601050020010200ff01f401011
+20601011101120601011125010b00060100000001020022010100ff01f4010112
+0601011101120601011125010100000100000001000000010000000102000501000027010100ff0
+1f401011206010111011206010111250102000001000000010000000100000001
+0100050100002701010000010200ff01f0010112060101110112060101112501010000010000000
+10000000100000001020004010400090101000001010004010300040103000201
+0100020100000401030005010200000100000201030004010300ff01cd010112060101110112060
+10111250102000001000000010000000100000001010004010000020101000701
+0000000101000001010002010100010101000101020001010100010101000101000004010100010
+10100030101000001020000010200010101000101020001010100ff01cc010112
+0601011101120601011125010100000100000001000000010000000102000901010008010100000
+10100060101000101010002010000020103000901010002010100020100000101
+0100020101000101010002010000ff01cd010112060101110112060101112501020000010000000
+10000000100000001010009010100080100000101010003010300010101000701
+0300060103000301010001010100000101000201010003010100ff01d0010112060101110112060
+10111250101000001000000010000000100000001020009010100070101000101
+0100010101000101010001010100070100000101000004010100010101000301040001010400060
+10200ff01ce010112060101110112060101112501020000010000000100000001
+0000000101000901010007010100000101000101010002010100010101000601010001010100020
+101000201010002010100050101000701000002010100ff01cd01011206010111
+01120601011125010b0008010200070101000001010001010100010102000001000000010100020
+10000010101000101010000010000000101000101020000010000000104000301
+0100020100000101010001010200ff01cd0101120601011101120601011125010b0003010000020
+10200070104000301020001010100020103000201010002010100020102000101
+0100020104000301030003010300ff01cf0101120601011101120601011136010300090101002a0
+1000003010000ff01df0101120601011101120601011144010100290101000201
+0100ff01df010112060101110112060101114301030029010400ff01e0010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111380104000601010028010300
+000101001501000016010100030101000c010000100101000c01060012010300ff015e010112060
+10111011206010111380104000501030026010700140101001601010003010100
+0b0101000f0103000b01070011010300ff015e01011206010111011206010111390102000701010
+027010200010102001401010016010200010102000b010100100101000d010200
+0001020012010200ff015e010112060101110112060101113901020031010200020101001301020
+016010200010102000a010200200102000001020012010200ff015e0101120601
+0111011206010111390102000501040001010300000102000301030003010400020102000101010
+00101030001010100000103000001020001010300000100000101060003010300
+0201000000010100000101000101070001010400020106000101020001010100020104000201030
+00001020001010200000102000101040004010200000101000001020001010200
+01010400030104000001000002010300ff014001011206010111011206010111390102000501040
+00101080001010500010106000101070001010300030103000001020000010600
+0101060002010500010107000001070000010600010106000101070001010400020102000101020
+00101020000010200000106000201060000010200010102000001060001010700
+01010500ff013f01011206010111011206010111390102000701020002010300000102000001020
+00101020000010100010102000201060002010300020102000101020000010200
+0001020002010200040102000101020000010700000107000001010001010200020102000501060
+00301020003010200000101000201060000010100010102000101030000010200
+0001020000010200010101000101020001010200000103000001020001010200ff013e010112060
+10111011206010111390102000701020002010200010102000001020001010200
+0301030002010300000101000301030002010200000101000101030001010000020102000401020
+00101020000010100000101000001010000010100000101000001010003010300
+0201020005010300000101000301020004010300030105000401030001010200020101000001050
+00501030001010200000102000101020001010200ff013e010112060101110112
+0601011139010200070102000201020001010200000107000101050002010200040101000101030
+00101050002010400030102000401070000010100000101000001010000010100
+0001010000010100010105000201020005010200070102000401030003010200050105000101020
+00501040004010500010102000001020001010700ff013e010112060101110112
+0601011139010200010101000301020002010200010102000001020005010200000102000201020
+00401010002010200020103000201000001010300020102000401020005010100
+0001010000010100000101000001010000010100000102000001020002010200050102000701020
+00401030003010200040102000001020001010200050102000001010002010200
+000102000201040002010200ff01430101120601011101120601011139010200000102000301020
+00201020001010200000103000101010000010200000102000201020004010200
+0101020002010300020102000001020002010200000101000101030001010100000101000001010
+00001010000010100030101000001020000010200020102000001010002010200
+0701020003010100000102000201020004010200000102000101030001010100000102000001020
+00101020000010200010103000401030001010100ff013e010112060101110112
+060101113801070001010a000001030001010600000107000001040003010700030101000301060
+00201050002010600000101000001010000010100000102000101020000010700
+0101050001010400040106000001020001010200000104000301070001010600000102000101020
+0000107000001060002010600ff013e0101120601011101120601011138010700
+01010a0000010300020104000201020000010200000104000301010000010300030102000301000
+00001030004010300040104000101010000010100000101000001020001010200
+0101020000010200020103000201040004010600000102000001030000010400040102000001020
+002010400010102000101020001010200000102000101060002010400ff013f01
+011206010111011206010111780102008b01020001010200ff01470101120601011101120601011
+1770103008b010700ff014701011206010111011206010111770102008d010500
+ff014801011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff01570101120601011101120601011138010100030
+101000c010000100101000d010200000101000d010000310107001e0100000701
+01001f010400ff01490101120601011101120601011138010100030101000b0101000f0103000b0
+106000c010100310107001d010100060103001d010600ff014801011206010111
+01120601011138010200010102000b010100100101000c010200000102000c01010032010200000
+102001d010100070101001e01010001010300ff01470101120601011101120601
+011138010200010102000a0102001f010200010101000b01020032010200010101001c010200280
+1010002010200ff01470101120601011101120601011138010700010104000201
+0600010102000101010002010400020103000001020000010200010101000201040002010600030
+10300030104000001000002010300020102000101010001010300000102000101
+0200040102000001070000010200030102000001010000010600020104000401030001010300000
+10200020103000001000006010200ff0147010112060101110112060101113801
+0700000106000101060001010700010104000201020001010200000102000501060001010600020
+10500010107000101050001010700000103000001020001010400020102000001
+0c0001010600000106000201040003010500000108000001060006010100ff01480101120601011
+10112060101113801070000010100010102000201020005010600030102000301
+0200000101000101020005010100010102000201020004010200010102000001020000010300000
+10200010102000101060000010200010102000101040002010200010102000001
+0300000102000001030000010200010102000701020002010200010102000001030000010200000
+102000001020005010100ff014901011206010111011206010111380101000001
+0100000101000301030002010200050103000001010003010200040103000201020008010300020
+10200040102000101020000010200000102000101020001010200010103000001
+0100010102000001010002010200040102000101020000010200010102000001020002010100010
+10200070102000201020001010200000102000101020000010300010100000401
+0100ff014a010112060101110112060101113801010000010100000101000101050002010200050
+10200070102000401030002010200060105000201020004010700000102000001
+0200010102000101020001010200050105000201020004010200010102000001020001010200000
+10200060102000701020002010200010102000001020001010200010104000401
+0100ff014b010112060101110112060101113801010000010100000101000001020000010200020
+10200050102000701020004010300020102000101010001010200000102000201
+0200040102000601040002010200010102000101020006010300030102000401020001010200000
+10200010102000001020006010200070102000201020001010200000102000101
+0200000100000101030002010100ff014c010112060101110112060101113801010003010100000
+10200000102000201020000010100020102000701020003010100000102000101
+0200010101000101020000010200020102000001010001010300010101000001030004010200010
+10200010102000601030003010200040102000001030000010200010102000001
+0300010101000101020000010100040102000201020001010200000102000101020000010200000
+102000101020003010000ff014701011206010111011206010111380102000101
+0200000107000101050001010400040106000001020001010200000106000101070001010500020
+10600000106000201050001010400060101000301040003010b00000103000101
+06000101050002010600010105000001030000010300000106000101020002010100ff014701011
+20601011101120601011138010200010102000101020000010200020103000201
+0400040106000001020000010300010104000301020000010200020103000401040002010600020
+10300020104000501020003010400040103000001050000010300020104000301
+030003010600020103000101030000010300000100000001030002010700ff01470101120601011
+101120601011192010200010102001301020055010700ff014701011206010111
+0112060101119201070012010300ff01a5010112060101110112060101119301050013010200ff0
+1a601011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+38010100030101000c010000100101000d010200000101002e0106002801010018010000ff01660
+101120601011101120601011138010100030101000b0101000f0103000b010600
+2e0107002601030016010100ff01660101120601011101120601011138010200010102000b01010
+0100101000c010200000102002f010200000102002701010017010100ff016601
+01120601011101120601011138010200010102000a0102001f010200010101002f0102000001020
+040010200ff016601011206010111011206010111380107000101040002010600
+0101020001010100020104000201030000010200000102000101010003010300020100000001010
+00001010001010000000101000001010003010300010103000001020002010200
+0001020002010300010103000001020003010300020100000001010000010100020104000101030
+0000102000201040002010600030103000201020001010100ff01510101120601
+0111011206010111380107000001060001010600010107000101040002010200010102000001020
+00601050001010700000107000101050000010800010102000001020001010500
+000108000101050001010700010104000101080000010600010106000201050001010700ff01500
+10112060101110112060101113801070000010100010102000201020005010600
+0301020003010200000101000101020005010200010102000001070000010700000102000101020
+00001030000010200010102000001020000010200010102000001030000010200
+0001020001010200000107000301020002010300000102000001010001010200020102000401020
+00101020001010600ff0150010112060101110112060101113801010000010100
+0001010003010300020102000501030000010100030102000401030002010200050102000101020
+00001010000010100000101000001010000010100000101000001020001010200
+0001020001010200010102000001020000010200010102000001020001010200000102000101020
+00001010000010100000101000301020002010200010102000301030002010200
+04010200010102000101030000010100ff015001011206010111011206010111380101000001010
+00001010001010500020102000501020007010200040103000201020005010200
+0101020000010100000101000001010000010100000101000001010000010200010102000001020
+00101020001010200000102000001070000010200010102000001020001010200
+0001010000010100000101000301020002010200010102000101050002010200040102000101020
+001010200ff015401011206010111011206010111380101000001010000010100
+0001020000010200020102000501020007010200040103000201020001010100010102000101020
+00001010000010100000101000001010000010100000101000001020001010200
+0001020001010200010102000001020000010200050102000101020000010200010102000001010
+00001010000010100030102000201020001010200000102000001020002010200
+040102000101020001010200ff01540101120601011101120601011138010100030101000001020
+00001020002010200000101000201020007010200030101000001020001010200
+0101010001010200010102000001010000010100000101000001010000010100000101000001020
+00101020000010200010102000101020000010200000103000101010000010200
+0101020000010200010102000001010000010100000101000301020002010200010102000001020
+0000102000201020000010100010102000101020001010200ff01540101120601
+0111011206010111380102000101020000010700010105000101040004010600000102000101020
+00001060002010500010101000001010000010100000101000001010000010100
+0101050000010300000103000001070001010a00000103000101050001010100000101000001010
+001010a000001030000010700010105000201050001010400ff01530101120601
+0111011206010111380102000101020001010200000102000201030002010400040106000001020
+00001030001010400040103000201010000010100000101000001010000010100
+0001010002010300010103000001030000010600030104000001030000010300020103000201010
+0000101000001010001010a000001030001010200000102000201030004010300
+02010400ff015301011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff01570101120601011101120601011138010100030101000c010000100101000c01040
+006010100280103000401040013010300170107001e01000007010100ff014101
+01120601011101120601011138010100030101000b0101000f0103000b010400050103002701030
+00401040013010300170107001d01010006010300ff0140010112060101110112
+0601011138010200010102000b010100100101000d0102000701010029010200060102001401020
+018010200000102001d01010007010100ff014101011206010111011206010111
+38010200010102000a0102002001020032010400050102001401020018010200010101001c01020
+0ff014b0101120601011101120601011138010700010104000201060001010200
+0101010002010400020103000001020001010200050104000101030000010200030103000301040
+00201020001010100020104000501020003010400000100000201030002010500
+0201020001010100020104000301020004010200000107000001020003010200000101000001060
+0020104000401030001010300000102000201030000010000ff01240101120601
+0111011206010111380107000001060001010600010107000101040002010200010102000101020
+00501040001010800010105000101060001010700010101000001010005010200
+0201070001010500010106000101070000010600020104000201020000010c00010106000001060
+002010400030105000001080000010600ff012401011206010111011206010111
+3801070000010100010102000201020005010600030102000301020000010100020102000701020
+00201030000010200000102000101020000010100010102000201060001010100
+0001020004010200020102000001030000010200010102000001030000010200010106000001010
+00101020002010400020102000101020000010300000102000001030000010200
+0101020007010200020102000101020000010300000102000001020000010200ff0124010112060
+10111011206010111380101000001010000010100030103000201020005010300
+0001010003010200040103000301020007010200020102000101020000010200010102000301030
+00201030000010100010101000101010004010200020102000001020001010200
+0101020000010200010102000101030000010100030103000201020004010200010102000001020
+00101020000010200020101000101020007010200020102000101020000010200
+010102000001030001010000ff01240101120601011101120601011138010100000101000001010
+00101050002010200050102000701020004010300030102000701020002010200
+0101020000010700010105000201020004010600040102000201020000010200010107000001020
+00101020001010200050105000201020004010200010102000001020001010200
+0001020006010200070102000201020001010200000102000101020001010400ff0125010112060
+10111011206010111380101000001010000010100000102000001020002010200
+0501020007010200040103000301020001010100030102000201020001010200000102000501020
+00001020002010200040107000301020003010400020102000501020001010200
+0101020004010200000102000201020004010200010102000001020001010200000102000601020
+007010200020102000101020000010200010102000001000001010300ff012401
+0112060101110112060101113801010003010100000102000001020002010200000101000201020
+00701020003010100000102000201020000010200030102000201020001010200
+0001030001010100000102000001020002010200040101000201020003010200020103000401030
+00101010000010200010102000101020004010200000102000201020004010200
+0001030000010200010102000001030001010100010102000001010004010200020102000101020
+000010200010102000001020000010200ff012401011206010111011206010111
+38010200010102000001070001010500010104000401060000010200010102000001070001010a0
+00001030001010600000107000001040002010300000103000101060000010600
+020106000001060001010400030107000001040003010b000001030001010600010105000201060
+001010500000103000001030000010600ff012401011206010111011206010111
+3801020001010200010102000001020002010300020104000401060000010200000103000001070
+001010a0000010300020104000201020000010200000104000201030000010300
+0101060001010600020104000101010000010200020104000401020000010200000104000401030
+00001050000010300020104000301030003010600020103000101030000010300
+0001000000010300ff012501011206010111011206010111b601020001010200ff0198010112060
+10111011206010111b6010700ff019801011206010111011206010111b7010500
+ff019901011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff01570101120601011101120601011137010700160
+100002901040014010100030101000c010000100101000d010200000101000d01
+0000310107001e010000070101001f010400e601011206010111011206010111370108001401010
+02901040014010100030101000b0101000f0103000b0106000c01010031010700
+1d010100060103001d010600e5010112060101110112060101113801020001010200140101002b0
+1020014010200010102000b010100100101000c010200000102000c0101003201
+0200000102001d010100070101001e01010001010300e4010112060101110112060101113801020
+001010200130102002b01020014010200010102000a0102001f01020001010100
+0b01020032010200010101001c0102002801010002010200e401011206010111011206010111380
+10200000102000301030004010200000101000001060002010400010103000001
+0200020104000001000000010200000103000301020003010400020102000101010001010700010
+10400020106000101020001010100020104000201030000010200000102000101
+0100020104000201060003010300030104000001000002010300020102000101010001010300000
+10200010102000401020000010700000102000301020000010100000106000201
+0400040103000101030000010200020103000001000006010200e40101120601011101120601011
+13801050003010500020106000001060001010600000108000001070000010200
+0001030003010200020106000101070000010700000106000101060001010700010104000201020
+00101020000010200050106000101060002010500010107000101050001010700
+0001030000010200010104000201020000010c00010106000001060002010400030105000001080
+00001060006010100e50101120601011101120601011138010500020102000101
+0200000103000001020001010200040101000101020001010300000102000001020000010300000
+10200010102000301020002010100010102000201060000010700000101000101
+0200020102000501060003010200030102000001010001010200050101000101020002010200040
+10200010102000001020000010300000102000101020001010600000102000101
+0200010104000201020001010200000103000001020000010300000102000101020007010200020
+10200010102000001030000010200000102000001020005010100e60101120601
+0111011206010111380102000001020001010200010102000001020002010100010102000701030
+00101020001010200000102000001020001010200010102000301020005010300
+0201030000010100000101000001010000010100030103000201020005010300000101000301020
+00401030002010200080103000201020004010200010102000001020000010200
+0101020001010200010103000001010001010200000101000201020004010200010102000001020
+00101020000010200020101000101020007010200020102000101020000010200
+01010200000103000101000004010100e7010112060101110112060101113801020000010200010
+10700000102000601020005010500010102000101020000010200000102000101
+0200010102000301020003010500020102000401010000010100000101000101050002010200050
+10200070102000401030002010200060105000201020004010700000102000001
+0200010102000101020001010200050105000201020004010200010102000001020001010200000
+10200060102000701020002010200010102000001020001010200010104000401
+0100e80101120601011101120601011138010200000102000101020005010200060102000401020
+00001020001010200010102000101040002010200010102000301020002010200
+0001020002010200040101000001010000010100000102000001020002010200050102000701020
+00401030002010200010101000101020000010200020102000401020006010400
+0201020001010200010102000601030003010200040102000101020000010200010102000001020
+00601020007010200020102000101020000010200010102000001000001010300
+02010100e9010112060101110112060101113801020001010200000103000101010000010300010
+10100010102000001010001010200000102000101020001010200000103000401
+0200000103000301020002010200000102000201020004010100030101000001020000010200020
+10200000101000201020007010200030101000001020001010200010101000101
+0200000102000201020000010100010103000101010000010300040102000101020001010200060
+10300030102000401020000010300000102000101020000010300010101000101
+0200000101000401020002010200010102000001020001010200000102000001020001010200030
+10000e40101120601011101120601011137010300010102000101060001010600
+0101050001010b00000103000001060001010700010106000001070000010400030102000101020
+00001070001010500010104000401060000010200010102000001060001010700
+0101050002010600000106000201050001010400060101000301040003010b00000103000101060
+00101050002010600010105000001030000010300000106000101020002010100
+e401011206010111011206010111370103000101020002010400030104000301030003010200000
+10600000103000101060001010300000101000101060001010200000102000001
+0400030102000101020001010200000102000201030002010400040106000001020000010300010
+10400030102000001020002010300040104000201060002010300020104000501
+0200030104000401030000010500000103000201040003010300030106000201030001010300000
+10300000100000001030002010700e4010112060101110112060101116e010200
+010102007e010200010102001301020055010700e4010112060101110112060101116e0107007e0
+1070012010300ff0142010112060101110112060101116f010500800105001301
+0200ff014301011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff01570101120601011100120911ff01ff01570
+10112081109120011ff01ff01570109120011011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff12ff12591206010111011
+206010011ff12ff125a120601011101121e0100110012ff01ff01270100110012
+1e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e0
+1011101121e0100110012ff01ff012701001100121e01011101121f110012ff11
+ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-inverse.ps b/books/ps/h-inverse.ps
new file mode 100644
index 0000000..dc44032
--- /dev/null
+++ b/books/ps/h-inverse.ps
@@ -0,0 +1,822 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:50:00 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c0202030202
+020304020203070202030902011a3b02011a3303031a2903001a0703001a1f0300044103031a2103051a2003001a4203011a04020203040202030202020303020203020204030102
+0403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a3203011a0103011a2803001a0603021a
+1d0302043f03011a0103011a2103011a0103011a1e03021a4103011a040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d
+010c060a010d050202030d0202030002020305020203070202030902011a3b02011a3103011a0303011a2603011a0703001a1f0300044003011a0103011a2103011a0203011a1e03
+001a4203011a0402020304020203020202030302020302020b03020202030902011a180208031902010c060a010d010c060a010d050202030e02040306020203070202030902011a
+3b02011a3103011a0303011a2603011a6a03011a2503011a0203011a6203011a04020203040202030202020303020203020202030002030300020203020202030902011a16020c03
+1702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a3103011a0303011a0003011a0003021a0403031a0203011a0003031a0203041a0203
+061a0203031a0503031a0203011a0003021a080303040303010401030104020301040303000403030304020301040103020403030304040303040903011a0403011a0003031a0303
+031a0203001a0003011a0003011a0703011a0203011a0203031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a3703011a04020a0302020203030202030202
+02030002030300020203020207030402011a140210031502010c060a010d010c060a010d050209030802020307020203070202030902011a3b02011a3103011a0303011a0103021a
+0003011a0203011a0103011a0203021a0103011a0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0903010402030004000300040003030400030004
+00030104010301040103020401030104000300040003020401030104000302040103010401030204010301040703041a0303021a0103011a0103011a0103011a0103011a0003011a
+0003011a0603011a0203011a0103011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a3603011a04020a03020202030302020302020203
+0102010301020203020208030302011a120214031302010c060a010d010c060a010d050209030802020307020203070202030902011a3b02011a3103011a0303011a0103011a0203
+011a0003011a0203011a0203011a0203011a0003011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a08030104050302040003010402030104010301040103
+0104020301040203020401030104000301040203000402030104020301040803011a0503011a0203011a0003011a0303011a0003011a0003011a0003011a0603011a0203011a0003
+011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a3603011a04020a030202020303020203020202030102010301020203020208030302
+011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a3103011a0303011a0103011a0203011a0003061a0203011a0803031a
+0303011a0703011a0303011a0303011a0103011a0103011a08030104050301040103010402030104010300040103010402030104030301040603010404030104020301040903011a
+0503011a0503011a0303011a0003011a0003011a0003011a0603011a0203011a0003011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011a3603011a
+040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02
+011a3103011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0803010404030104020300040203
+010401030104010304040503010407030204020304040b03011a0503011a0503011a0303011a0003011a0003011a0003011a0603011a0203011a0003011a0303011a0003011a0003
+011a0003011a0103011a0103011a0403011a0403011a0103011a3603011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a
+010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a3103011a0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a
+0703011a0303011a0303011a0103011a0103011a070301040503010401030104020301040103000402030104070301040603000402030104010301040e03011a0503011a0503011a
+0303011a0003011a0003011a0003011a0603011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a3603011a04020203
+0402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02
+011a3203011a0103011a0203011a0103011a0203011a0203001a0203011a0503011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a070301040103
+00040203010401030104000300040003010400030004040301040203000402030104050301040103020402030104020300040903011a0503011a0603011a0103011a0103011a0003
+011a0003011a0603011a0103011a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a3603011a0402020304020203020202030302
+02030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a3303031a0303041a
+0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a07030204020301040303010402030104060303040303010406030304050303040903031a
+0303041a0503031a0203011a0003011a0003011a0503051a0403031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a3503011a0402020304020203
+02020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a3b03
+011aff032103011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d050202030b02020304020203030202030702
+02030902011a3b02011a3b03011aff032103011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d050209030402
+02030402020303020203070202030902011a3b02011a3a03031aff032003011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c060a
+010d05020a03020202030602020302020203070202030902011a3b02011aff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a010d
+010c060a010d06020903030201030702010303020103080201030902011a3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02010c
+060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02
+011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a
+3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a89030004040300041f0300041003
+010403030504040300048a03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a89030004030301040d0300040f0302040e030004060301040103010404030004
+8903011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a89030104020301040d030004100300040e0301040603010401030104040300048903011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011a89030104010301040d0301041f0301040703010401030104040301048803011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011a8903050403030304030305040103010401030204020303040403010402030104010301040603010401030104050301048803011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011a880306040203010401030104030301040303000400030204010301040303010403030004000301040003010401030104070301040103010405030104
+8803011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a880300040003020400030004060301040303010405030204010301040203010406030304020301040703
+0404060301048803011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a880300040103000401030004030303040403010405030104070301040703020402030104
+07030304060301048903011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a88030004030300040203010401030104030301040603010407030104060302040303
+01040603010400030104060301048903011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a87030004040300040103010402030104030301040503010407030104
+0603010400030104020301040603010401030104040301048a03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a870300040403000401030104010302040003
+00040103010401030004020301040703010401030004030300040103010400030004010300040603010401030104040301048a03011a3b02011a3b02010c060a010d010c060a010d
+3b02011a3b02011a870301040203020401030204010301040303020403030104080302040203010403030104020300040503030401030104020300048c03011a3b02011a3b02010c
+060a010d010c060a010d3b02011a3b02011ac00300040d0301048d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a
+010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d
+ff1aff1a571a010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010d13030b1a0903001a3e03011a0d03011aff03db03010c060a010d010c060a010d13030b1a0803021a3c03011a0f03011aff03da03010c
+060a010d010c060a010d1303011a0003001a0003001a0003001a0003021a0903001a3d03011a0f03011aff03da03010c060a010d010c060a010d1303021a0003001a0003001a0003
+001a0003011a4703011a1103011aff03d903010c060a010d010c060a010d1303011a0003001a0003001a0003001a0003021a0703031a0303011a0003021a0203021a0103021a0203
+031a0203011a0003031a0203031a0003001a0303031a0403011a04030104020301040503011aff03d903010c060a010d010c060a010d1303021a0003001a0003001a0003001a0003
+011a0903011a0403011a0103011a0203011a0203001a0203011a0103011a0203021a0103011a0003011a0203011a0203011a0103011a0303011a03030304000303040403011aff03
+d903010c060a010d010c060a010d1303011a0003001a0003001a0003001a0003021a0903011a0403011a0103011a0203011a0203001a0103011a0203011a0203011a0203011a0003
+011a0303001a0103011a0203011a0303011a040300040003000400030004000301040403011aff03d903010c060a010d010c060a010d1303021a0003001a0003001a0003001a0003
+011a0903011a0403011a0103011a0303011a0003001a0203061a0203011a0603021a0403061a0303011a0403000400030104010301040403011aff03d903010c060a010d010c060a
+010d1303011a0003001a0003001a0003001a0003021a0903011a0403011a0103011a0303011a0003001a0203011a0703011a0803021a0203011a0803011a03030104000301040003
+01040503011aff03d903010c060a010d010c060a010d1303021a0003001a0003001a0003001a0003011a0903011a0403011a0103011a0303031a0203011a0703011a0503001a0303
+011a0103011a0803011a0303010400030004010301040503011aff03d903010c060a010d010c060a010d13030b1a0903011a0403011a0103011a0403011a0403011a0203001a0203
+011a0503011a0203011a0203011a0203001a0403011a0203000401030004010300040503011aff03da03010c060a010d010c060a010d13030b1a0703051a0103021a0003031a0303
+011a0503031a0203041a0303001a0003031a0403031a0503011a02030004040300040503011aff03da03010c060a010d010c060a010d6903011a080300040303011aff03db03010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0364030004f103
+010c060a010d010c060a010d2a030104a603031a2a03001a1503031a0a03021a1f03001a17030004f103010c060a010d010c060a010d290302043c0300046a03011a2a03001a1403
+011a0103011a0a03011a1e03021a14030404ef03010c060a010d010c060a010d290302043c0300046a03011a2903011a1403011a0103011a0a03011a1f03001a1403000400030004
+00030104ef03010c060a010d010c060a010d28030004000301043b0301046a03011a2903011a1403011a0e03011a340300040103000401030004ef03010c060a010d010c060a010d
+280300040003010402030104010302040403020400030004000301040303000401030104020301040303030402030104010301040303050403030304050300041f03010402030104
+1003041a0203011a0003021a0903031a0503011a0503031a0203001a0003011a0003011a0303031a0203011a0003021a0203061a0803031a0403011a0b03041a0303031a0203001a
+0003011a0003011a0203041a0303031a0303011a0003021a0803010400030004f203010c060a010d010c060a010d2803000400030104010300040003020401030104020301040003
+0304000301040103010400030304000303040003020401030104000300040003000400030304030301040403020401030104030302041d030304000303040e03011a0203011a0203
+011a0103011a0703011a0103011a0403011a0403011a0103011a0103011a0003011a0003011a0103011a0103011a0203011a0103011a0303011a0a03011a0103011a0203041a0803
+011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a07030304f203010c060a010d010c060a010d2703000401030104
+030302040103010401030104020300040203010401030104010300040003000400030004000301040003010402030104020302040003010403030104040301040203000405030004
+1f0300040003000400030004000301040e03011a0203011a0203011a0103011a0603011a0203011a0403011a0303011a0203011a0103011a0003011a0003011a0003011a0203011a
+0203011a0103011a0303011a0903011a0303011a0203011a0903011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a
+08030304f103010c060a010d010c060a010d270300040103010403030104060301040103010402030104010300040203000400030104010303040203010403030104010301040303
+0104050301042903000400030104010301041103031a0203011a0103011a0603061a0403011a0303061a0103011a0003011a0003011a0003061a0203011a0103011a0303011a0903
+011a0303011a0203011a0903011a0203011a0103011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011a09030304f003010c060a010d010c060a010d
+260305040303010406030404020301040203000401030104000301040003010400030404040301040203000403030104070302042603010400030104000301041003011a0103011a
+0203011a0103011a0603011a0903011a0303011a0603011a0003011a0003011a0003011a0703011a0103011a0303011a0903011a0303011a0203011a0903011a0203011a0103011a
+0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a0903000400030104f003010c060a010d010c060a010d2603000402030104020301040603
+010406030104010301040103010400030004010301040003010407030104010301040303010405030004020301042503010400030004010301040f03011a0203011a0203011a0103
+011a0603011a0903011a0303011a0603011a0003011a0003011a0003011a0703011a0103011a0303011a0903011a0303011a0203011a0903011a0203011a0103011a0303011a0003
+011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a060300040103000401030004f003010c060a010d010c060a010d26030004020301040203010406030404
+0303010400030204000301040103000401030004020301040203000402030104010301040003000401030104010300040103010401030204040300041f0300040103000401030004
+0503001a0903011a0103021a0203011a0103011a0703011a0203001a0403011a0403011a0203001a0103011a0003011a0003011a0103011a0203001a0203011a0103011a0303011a
+0103001a0703011a0103011a0303011a0a03011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a0603010400030004
+00030004f103010c060a010d010c060a010d250302040003030401030104070304040303010401030104000300040403000403030304020301040303010403030204030303040503
+02041e030004040300040403021a0903021a0103011a0003021a0003031a0703031a0303051a0303031a0203011a0003011a0003011a0203031a0203021a0003031a0303021a0903
+031a0303031a0a03021a0003011a0203031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a05030404f203010c060a010d010c060a010d38030004
+030300041103000427030004260300040403011ab7030004f403010c060a010d010c060a010d37030104020301046803011ab7030004f403010c060a010d010c060a010d38030404
+6803011aff03ae03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0383030004d203010c060a010d010c060a010d270305048e03031a2a03001a1503
+031a0a03021a1f03001a12030304000302040d0300041903011a070300040f0302040e03000405030204110302040203011a8c03010c060a010d010c060a010d2803010401030104
+0d0300048003011a2a03001a1403011a0103011a0a03011a1e03021a12030104020300040d0302041703011a060304040c030104000301040c03020405030104120301040303011a
+8b03010c060a010d010c060a010d28030104010301040d0300048003011a2903011a1403011a0103011a0a03011a1f03001a13030104010301040e0300041803011a050300040003
+0004000301040c030104000301040d03000406030104120301040303011a8b03010c060a010d010c060a010d28030104010301040c0301048003011a2903011a1403011a0e03011a
+34030104010301042703011a0503000401030004010300040b03020417030104120301040503011a8a03010c060a010d010c060a010d270301040103010403030304030305040103
+0104030300040103010401030204010301040103010404030304050300043203041a0203011a0003021a0903031a0503011a0503031a0203001a0003011a0003011a0303031a0203
+011a0003021a0203061a0803031a0403011a0b03041a0303031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a070301040203000402030104010301040303
+03040603020402030104010301040403011a05030104000300040e0301040603030403030304050301040603030404030104000301040503011a8a03010c060a010d010c060a010d
+270301040103010401030204010301040303010403030004000301040103010400030004000302040103020400030004000303040103020401030104030302043003011a0203011a
+0203011a0103011a0703011a0103011a0403011a0403011a0103011a0103011a0003011a0003011a0103011a0103011a0203011a0103011a0303011a0a03011a0103011a0203041a
+0803011a0003021a0203011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a060301040203000401030004000300040003030404030104
+04030104010301040003000400030004000303040303011a050303040e03010405030104010301040403010405030104040302040103010402030004010302040503011a8a03010c
+060a010d010c060a010d270304040203010402030104030301040503010401030104020302040103010401030204000301040103010402030004050300043103011a0203011a0203
+011a0103011a0603011a0203011a0403011a0303011a0203011a0103011a0003011a0003011a0003011a0203011a0203011a0103011a0303011a0903011a0303011a0203011a0903
+011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0603010401030104030302040003010403030104050301040103
+010402030204000301040303011a060303040d03010400030004070301040303010405030204040301040203010401030104010301040603011a8a03010c060a010d010c060a010d
+270303040203010402030104040301040503010401030004030301040603010401030104020301043e03031a0203011a0103011a0603061a0403011a0303061a0103011a0003011a
+0003011a0003061a0203011a0103011a0303011a0903011a0303011a0203011a0903011a0203011a0103011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a
+0103011a0603010401030104030301040103010403030104040301040203010402030104010301040303011a070303040a0304040503030404030104050301040403010402030104
+02030104010301040603011a8a03010c060a010d010c060a010d260301040003010402030404050301040503010402030004030301040503010402030004040302043a03011a0103
+011a0203011a0103011a0603011a0903011a0303011a0603011a0003011a0003011a0003011a0703011a0103011a0303011a0903011a0303011a0203011a0903011a0203011a0103
+011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a05030104020300040303010402030004040301040403010402030104010301040203
+00040403011a07030004000301040903000400030104050301040103010404030104050301040403040403030104020301040603011a8a03010c060a010d010c060a010d26030104
+010301040103010408030104050301040103010402030104060301040103010402030004020301043803011a0203011a0203011a0103011a0603011a0903011a0303011a0603011a
+0003011a0003011a0003011a0703011a0103011a0303011a0903011a0303011a0203011a0903011a0203011a0103011a0303011a0003011a0003011a0003011a0003011a0203011a
+0403011a0403011a0103011a0503010401030104030301040103010403030104050301040103010402030104010301040403011a0403000401030004010300040b03010404030104
+0203010403030104050301040503010406030104010301040703011a8a03010c060a010d010c060a010d260301040103010402030104020300040303010401030004020301040003
+0204000300040003010406030104010301040003020401030204040300043203011a0103021a0203011a0103011a0703011a0203001a0403011a0403011a0203001a0103011a0003
+011a0003011a0103011a0203001a0203011a0103011a0303011a0103001a0703011a0103011a0303011a0a03011a0003021a0203011a0103011a0103011a0003011a0003011a0003
+011a0103021a0403011a0403011a0103011a0503020400030104030301040103010400030004010301040103000402030104010301040203010401030104000300040303011a0303
+010400030004000300040503001a050301040403010401030204000300040103010401030004020301040103000403030104020300040103010400030204000300040403011a8b03
+010c060a010d010c060a010d25030304010301040203030405030204040301040103010401030104050301040303010401030304050302043203021a0103011a0003021a0003031a
+0703031a0303051a0303031a0203011a0003011a0003011a0203031a0203021a0003031a0303021a0903031a0303031a0a03021a0003011a0203031a0203011a0003011a0003011a
+0103021a0103011a0103051a0103021a0003031a050303040303010403030104030302040403020403030104030301040403011a030304040503021a040301040503020401030104
+03030204040302040503030403030204000301040503011a8b03010c060a010d010c060a010d67030004ff031003011a040300040803011a040300043503011a8c03010c060a010d
+010c060a010dff03800300040803011a02030204c403010c060a010d010c060a010dff038903011a03030104c503010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010d9b030102030301020c03000210030102ff039203010c060a010d010c060a010d290303040e030004100300044b030102030301020b0301020f0303020f03011a03030504
+0303011aff036f03010c060a010d010c060a010d28030204000301040c0302040e0302044a030202010302020b030102100301020f03011a05030104010301040303011aff036e03
+010c060a010d010c060a010d28030104020300040d030004100300044b030202010302020a0302022203011a05030104010301040303011aff036e03010c060a010d010c060a010d
+27030104020301046c030702010304020203060201030202010301020203040202030302000302020203011a06030104010301040403011aff036d03010c060a010d010c060a010d
+27030104020301040003010401030204020303040603020400030004010303040303010401030104050300043a030702000306020103060201030702010304020203020201030202
+0203011a05030104010301040503011aff036d03010c060a010d010c060a010d27030104020302040003020401030104030301040503010400030204030301040203000400030004
+000303040303020439030702000301020103020202030202050306020303020203030202000301020303011a05030104010301040503011aff036d03010c060a010d010c060a010d
+26030104020301040203020401030104020301040503010402030004030301040503020400030104040300043a030102000301020003010203030302020302020503030200030102
+03030202040303020403011a050304040603011aff036d03010c060a010d010c060a010d260301040203010402030104070301040503010401030104030301040503010401030104
+40030102000301020003010201030502020302020503020207030202040303020403011a050303040703011aff036d03010c060a010d010c060a010d260301040203010402030104
+07030104050304040403010404030104020300044103010200030102000301020003020200030202020302020503020207030202040303020403011a04030104000301040703011a
+ff036d03010c060a010d010c060a010d2603000402030104020301040703010405030104070301040503010401030104410301020303010200030202000302020203020200030102
+020302020703020203030102000302020303011a04030104010301040603011aff036d03010c060a010d010c060a010d260301040003020402030104070301040103000402030404
+0403010401030004020301040103010400030004020300043b030202010302020003070201030502010304020403060200030202010302020303011a03030104010301040503011a
+ff036e03010c060a010d010c060a010d27030304030301040803020404030404040302040203010403030104020302043a0302020103020201030202000302020203030202030402
+0403060200030202000303020303011a02030304010301040403011aff036e03010c060a010d010c060a010d4103000403030004160300047503011a0d03011aff036f03010c060a
+010d010c060a010d4003010402030104ff03ff030f03010c060a010d010c060a010d41030404ff03ff031003010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a
+010dce030702030301020d03040206030302ff035c03010c060a010d010c060a010d290303041803020404030004100300043a0305040603021a21030702020303020c0304020603
+0302ff035c03010c060a010d010c060a010d2703020401030104180301040303020406030004060302043a030104010301040603011a2203020200030202030301020f0302020703
+0202ff035c03010c060a010d010c060a010d2603020402030004190301040403000407030004070300043b030104010301040603011a22030202010301021503020207030202ff03
+5c03010c060a010d010c060a010d260301041d0301040d03010444030104010301040603011a2203020205030402040303020503020204030502ff035c03010c060a010d010c060a
+010d250302040903020402030104010301040403010400030104020303040403050402030304060302040203010401030104040303040503000417030104010301040703041a0303
+041a0303031a0003001a0c03040203030402030305020403020203030602ff035c03010c060a010d010c060a010d2503010408030104010301040003000400030004000303040203
+000401030204040301040503010407030104040301040103010400030004000300040003030401030204010301040303020416030104010301040703021a0003011a0103011a0203
+011a0103011a0203011a0c030402050302020203020201030202030302020203020200030302ff035c03010c060a010d010c060a010d250301040803010401030104020302040003
+0104010301040103010404030104060301040603010405030104010301040203020400030104010301040203000405030004170304040803011a0103011a0103011a0203011a0103
+011a0303001a0c030202070302020203020201030202030302020203020201030202ff035c03010c060a010d010c060a010d25030104070301040203010402030104010301040103
+0104010301040403010406030104060301040403010402030104020301040103010402030104210303040903011a0103011a0403031a0203021a0f03020207030202020307020303
+02020203020201030202ff035c03010c060a010d010c060a010d25030104070301040203010401030104020300040103010402030104040301040503010407030104040301040203
+01040103010402030004040302041e030104000301040903011a0103011a0203011a0103011a0403021a0d0302020703020202030202080302020203020201030202ff035c03010c
+060a010d010c060a010d2503010404030004010301040103010402030104010301040103010401030104040301040603010406030104050301040103010402030104010301040203
+0004020301041d030104010301040803011a0103011a0103011a0203011a0103001a0303011a0c030202070302020203030201030102030302020203020201030202ff035c03010c
+060a010d010c060a010d2603010402030104010301040103010402030104010301040003020400030204000300040203010401030004030301040103000403030104010300040203
+010401030104020301040103010400030204010302040403000417030104010301040803011a0103011a0103011a0103021a0103011a0203011a0b03040204030602010306020103
+060201030602ff035c03010c060a010d010c060a010d2703030404030204030301040303010401030204000301040403020405030204050302040403020403030104030301040103
+03040503020415030304010301040603021a0003031a0103021a0103011a0003001a0003031a0c0304020403060202030402020306020203020200030102ff035c03010c060a010d
+010c060a010d82030004ff03d303010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010d270304042a030004190300042b0300043d0301040e0300041e03001a3003001a0403021a1603001a4b03031a0903
+001a0403021a2803001a1003001a5503010c060a010d010c060a010d2803010401030004280302040f03000406030204290302043b030004110300041d03001a3003001a0503011a
+1503021a4903011a0103011a0803001a0503011a2803001a0f03021a5403010c060a010d010c060a010d28030104010301042803000410030004070300042b0300043b0301041103
+00041c03011a2f03011a0503011a1603001a4a03011a0103011a0703011a0503011a2703011a1003001a5503010c060a010d010c060a010d28030104010301043903010470030104
+120301041b03011a2f03011a0503011a6203011a0b03011a0503011a2703011a6703010c060a010d010c060a010d2703010402030104020303040403030404030304020301040103
+02040203030404030104000301040303050402030304060302040203010401030104050300040e030304030301040103010402030104030300040303030402030104010302040303
+030404030304030301040503010402030104050301040703011a0003031a0303031a0203061a0103021a0003021a0103011a0003031a0103011a0003021a0303031a0003001a0603
+061a0203041a0403031a0803031a0303011a0003021a0203021a0103021a0203031a0203011a0003031a0203031a0003001a0303031a0903031a0403011a0903061a0203041a0403
+031a0703001a0003011a0003011a0203041a0203061a0103011a0003031a0203031a0303021a0103021a05030104020301040403001a3503010c060a010d010c060a010d27030104
+020301040003020401030104010302040103010401030204010301040003000400030204010301040303010403030004000301040003010403030104070301040403010401030104
+000300040003000400030304030302040f03010402030004000300040003030400030004000301040103010401030204010301040003000400030204010301040003020401030104
+0103020401030104010301040503030400030304040301040803021a0103011a0103011a0103011a0303011a0503011a0103011a0203021a0103011a0103011a0103011a0103011a
+0203011a0803011a0503021a0003011a0203011a0103011a0903011a0403011a0103011a0203011a0203001a0203011a0103011a0203021a0103011a0003011a0203011a0203011a
+0103011a0703011a0103011a0203041a0903011a0503021a0003011a0203011a0103011a0603011a0003011a0003011a0003011a0203011a0303011a0503021a0103011a0303011a
+0403011a0103011a05030304000303040203021a3403010c060a010d010c060a010d2703010401030104010301040203010401030104020300040203010402030004030302040103
+0104020301040603010400030104030301040603010405030104010301040203020400030104040300040f0301040503020400030104020301040103010401030104020301040203
+020401030104000301040203000402030104020301040103010406030004000300040003000400030104040301040803011a0203011a0003011a0203011a0303011a0503011a0103
+011a0203011a0203011a0103011a0103011a0103011a0303001a0803011a0503011a0103011a0103011a0203011a0903011a0403011a0103011a0203011a0203001a0103011a0203
+011a0203011a0203011a0003011a0303001a0103011a0203011a0603011a0303011a0203011a0b03011a0503011a0103011a0103011a0203011a0603011a0003011a0003011a0003
+011a0203011a0303011a0503011a0203011a0303011a0503011a0003001a070300040003000400030004000301040303001a3503010c060a010d010c060a010d2703010401030104
+000301040203010403030104040301040803010407030104060300040103010403030104060301040403010402030104020301040103010415030104050301040103010402030104
+0103000401030104020301040303010406030104040301040203010402030104060300040003010401030104030301040903011a0503061a0303011a0503011a0103011a0203011a
+0603011a0103011a0203021a0b03011a0503011a0103011a0103061a0903011a0403011a0103011a0303011a0003001a0203061a0203011a0603021a0403061a0603011a0303011a
+0203011a0b03011a0503011a0103011a0103061a0603011a0003011a0003011a0303031a0303011a0503011a0803011a0603011a0803000400030104010301043a03010c060a010d
+010c060a010d260301040203010400030404060302040203010408030104070301040503010401030104020301040703010404030104020301040103010402030004160301040403
+01040203000402030104010301040103040405030104070302040203040404030104050301040003010400030104040301040903011a0503011a0803011a0503011a0103011a0203
+011a0603011a0103011a0403021a0903011a0503011a0103011a0103011a0e03011a0403011a0103011a0303011a0003001a0203011a0703011a0803021a0203011a0b03011a0303
+011a0203011a0b03011a0503011a0103011a0103011a0b03011a0003011a0003011a0103011a0103011a0303011a0503011a0803011a0603011a0703010400030104000301043b03
+010c060a010d010c060a010d260301040103010401030104070300040203010401030104070301040703010406030104000301040303010406030104050301040103010402030104
+010301041503010405030104010301040203010401030004020301040703010406030004020301040103010407030104050301040003000401030104030301040a03011a0503011a
+0803011a0503011a0103011a0203011a0603011a0103011a0103001a0303011a0803011a0503011a0103011a0103011a0e03011a0403011a0103011a0303031a0203011a0703011a
+0503001a0303011a0103011a0b03011a0303011a0203011a0b03011a0503011a0103011a0103011a0b03011a0003011a0003011a0003011a0203011a0303011a0503011a0803011a
+0503001a0003011a0603010400030004010301043b03010c060a010d010c060a010d2603010401030104020301040203000401030104010302040203010402030004020301040703
+0104010300040303010400030104030301040103000403030104010300040203010401030104020301040103010400030004020300040f0301040103000402030104010301040003
+000400030104000300040403010402030004020301040503010401030204020301040203000403030004050300040103000401030004040301040a03011a0603011a0203001a0303
+011a0103001a0203011a0003021a0203011a0603011a0103011a0103011a0203011a0803011a0103001a0203011a0103011a0203011a0203001a0903011a0403011a0103011a0403
+011a0403011a0203001a0203011a0503011a0203011a0203011a0203001a0703011a0103011a0303011a0b03011a0103001a0203011a0103011a0203011a0203001a0603011a0003
+011a0003011a0003011a0103021a0303011a0103001a0203011a0803011a0403011a0103011a0503000401030004010300040503001a3503010c060a010d010c060a010d25030404
+0503030403030304050303040303010408030204030304040503020405030204040302040303010403030104020302040f0302040203010403030104020301040603030403030104
+0603030405030304040300040503000404030004030300040b03041a0503031a0503021a0403021a0003011a0003041a0303021a0003031a0003001a0003031a0a03021a0203021a
+0003031a0203031a0803051a0103021a0003031a0303011a0503031a0203041a0303001a0003031a0403031a0903031a0303031a0b03021a0203021a0003031a0203031a0703011a
+0003011a0003011a0103021a0103011a0303021a0203041a0403051a0103021a0103021a04030004040300040403021a3403010c060a010d010c060a010d5c0301042c0300044f03
+00040b03000400030104ff032c0300040503001a3403010c060a010d010c060a010d5c030104ff03c103011a3403010c060a010d010c060a010d5b030304ff03bf03011a3503010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d9e03001a0703031a0903001a0403021a2803001a1003001a1503
+001a2703001add03001a3d03010c060a010d010c060a010d9d03021a0503011a0103011a0803001a0503011a2803001a0f03021a1303021a2603001adc03021a3c03010c060a010d
+010c060a010d9e03001a0603011a0103011a0703011a0503011a2703011a1003001a1503001a2603011add03001a3d03010c060a010d010c060a010da603011a0b03011a0503011a
+2703011a4f03011aff031c03010c060a010d010c060a010d9c03031a0503011a0903061a0203041a0403031a0703001a0003011a0003011a0203041a0203061a0103011a0003031a
+0203031a0303021a0103021a0603031a0403031a0003001a0603011a0003021a0403031a0203061a0703031a0003001a0303021a0003001a0103021a0003021a0203041a0203011a
+0003031a0303031a1103041a0203011a0003021a0903031a0203011a0003031a0103011a0003031a0303031a0203011a0003031a0603001a0003011a0003011a0303031a0303031a
+0003001a0203031a0003001a0203041a0303031a0003011a0203031a0803031a0403031a0003001a3103010c060a010d010c060a010d9e03011a0403041a0903011a0503021a0003
+011a0203011a0103011a0603011a0003011a0003011a0003011a0203011a0303011a0503021a0103011a0303011a0403011a0103011a0903011a0303011a0203011a0703011a0103
+011a0203011a0103011a0303011a0903011a0203011a0203011a0103011a0203011a0103011a0103011a0203011a0203021a0103011a0103011a0103011a0f03011a0203011a0203
+011a0103011a0703011a0103011a0203021a0103011a0103021a0103011a0103011a0103011a0203021a0103011a0503011a0003011a0003011a0103011a0103011a0103011a0203
+011a0103011a0203011a0103011a0203011a0103011a0103011a0003001a0103011a0103011a0903011a0303011a0203011a3103010c060a010d010c060a010d9e03011a0503011a
+0b03011a0503011a0103011a0103011a0203011a0603011a0003011a0003011a0003011a0203011a0303011a0503011a0203011a0303011a0503011a0003001a0a03011a0303011a
+0303001a0703011a0103011a0103011a0303011a0203011a0903011a0303001a0103011a0203011a0203011a0103011a0103011a0203011a0203011a0203011a0003011a0203011a
+0f03011a0203011a0203011a0103011a0603011a0203011a0203011a0203011a0103011a0203011a0003011a0303011a0103011a0203011a0503011a0003011a0003011a0003011a
+0203011a0103011a0303001a0103011a0303001a0103011a0203011a0103011a0103011a0203011a0203011a0903011a0303011a0303001a3103010c060a010d010c060a010d9e03
+011a0503011a0b03011a0503011a0103011a0103061a0603011a0003011a0003011a0303031a0303011a0503011a0803011a0603011a0b03011a0403021a0a03011a0103011a0103
+011a0303011a0203011a0a03021a0403011a0203011a0203011a0103011a0403031a0203011a0503061a1203031a0203011a0103011a0603061a0203011a0603011a0503011a0303
+011a0103011a0a03011a0003011a0003011a0003061a0203021a0503021a0703031a0103011a0103011a0203061a0903011a0403021a3403010c060a010d010c060a010d9e03011a
+0503011a0b03011a0503011a0103011a0103011a0b03011a0003011a0003011a0103011a0103011a0303011a0503011a0803011a0603011a0b03011a0603021a0803011a0103011a
+0103011a0303011a0203011a0c03021a0203011a0203011a0203011a0103011a0203011a0103011a0203011a0503011a1503011a0103011a0203011a0103011a0603011a0703011a
+0603011a0503011a0303011a0103011a0a03011a0003011a0003011a0003011a0903021a0503021a0303011a0103011a0203031a0303011a0e03011a0603021a3203010c060a010d
+010c060a010d9e03011a0503011a0b03011a0503011a0103011a0103011a0b03011a0003011a0003011a0003011a0203011a0303011a0503011a0803011a0503001a0003011a0a03
+011a0303001a0303011a0703011a0103011a0103011a0303011a0203011a0903001a0303011a0103011a0203011a0203011a0103011a0103011a0203011a0203011a0503011a1403
+011a0203011a0203011a0103011a0603011a0703011a0603011a0503011a0303011a0103011a0a03011a0003011a0003011a0003011a0603001a0303011a0103001a0303011a0103
+011a0203011a0103001a0703011a0e03011a0303001a0303011a3103010c060a010d010c060a010d9e03011a0503011a0b03011a0103001a0203011a0103011a0203011a0203001a
+0603011a0003011a0003011a0003011a0103021a0303011a0103001a0203011a0803011a0403011a0103011a0903011a0303011a0203011a0703011a0103011a0203011a0103011a
+0303011a0103001a0603011a0203011a0203011a0103011a0203011a0003021a0103011a0103021a0203011a0603011a0203001a0403001a0903011a0103021a0203011a0103011a
+0703011a0203001a0203011a0603011a0603011a0103011a0203011a0a03011a0003011a0003011a0103011a0203001a0103011a0203011a0103011a0203011a0103011a0103021a
+0103051a0303011a0203001a0903011a0303011a0203011a3103010c060a010d010c060a010d9c03051a0203031a0b03021a0203021a0003031a0203031a0703011a0003011a0003
+011a0103021a0103011a0303021a0203041a0403051a0103021a0103021a0603051a0103001a0003031a0703021a0003031a0203031a0503021a0703001a0003031a0403041a0303
+021a0003011a0103021a0103011a0003041a0503031a0403021a0903021a0103011a0003021a0003031a0703031a0203041a0303041a0503031a0203041a0803011a0003011a0003
+011a0203031a0203001a0003031a0203001a0003031a0303021a0103011a0103051a0303031a0803051a0103001a0003031a3203010c060a010d010c060a010dff035203011a2803
+011a7e03001a0403001a5103010c060a010d010c060a010dff035203011a2803011a7e03011a0203011a5103010c060a010d010c060a010dff035103031a2603011a8003041a5203
+010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703
+010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703
+010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010db003001a2c03021a1203001a0703031a0903001a0403021a
+2803001a1003001a1503001a2703001a0c03001a2b03001a0703001a0403021a0603031a6f03010c060a010d010c060a010db003001a2d03011a1103021a0503011a0103011a0803
+001a0503011a2803001a0f03021a1303021a2603001a0b03021a2a03001a0603021a0403011a0803011a6f03010c060a010d010c060a010daf03011a2d03011a1203001a0603011a
+0103011a0703011a0503011a2703011a1003001a1503001a2603011a0c03001a2a03011a0703001a0503011a0803011a6f03010c060a010d010c060a010daf03011a2d03011a1a03
+011a0b03011a0503011a2703011a4f03011a3803011a0e03011a0803011a6f03010c060a010d010c060a010d9b03011a0003031a0303031a0203061a0103021a0003021a0103011a
+0003031a0103011a0003021a0403031a0403041a0403001a0a03031a0503011a0903061a0203041a0403031a0703001a0003011a0003011a0203041a0203061a0103011a0003031a
+0203031a0303021a0103021a0603031a0403031a0003001a0603011a0003021a0403031a0203061a0703031a0303011a0003021a0203021a0103021a0203031a0203011a0003031a
+0103061a0203031a0403041a0503011a0503031a6503010c060a010d010c060a010d9c03021a0103011a0103011a0103011a0303011a0503011a0103011a0203021a0103011a0103
+011a0103011a0203011a0103011a0203011a0003021a0303021a0b03011a0403041a0903011a0503021a0003011a0203011a0103011a0603011a0003011a0003011a0003011a0203
+011a0303011a0503021a0103011a0303011a0403011a0103011a0903011a0303011a0203011a0703011a0103011a0203011a0103011a0303011a0c03011a0403011a0103011a0203
+011a0203001a0203011a0103011a0203021a0103011a0203011a0703011a0403021a0003011a0403011a0403011a0103011a6403010c060a010d010c060a010d9c03011a0203011a
+0003011a0203011a0303011a0503011a0103011a0203011a0203011a0103011a0103011a0103011a0203011a0103011a0203011a0403001a0c03011a0503011a0b03011a0503011a
+0103011a0103011a0203011a0603011a0003011a0003011a0003011a0203011a0303011a0503011a0203011a0303011a0503011a0003001a0a03011a0303011a0303001a0703011a
+0103011a0103011a0303011a0203011a0c03011a0403011a0103011a0203011a0203001a0103011a0203011a0203011a0203011a0203011a0703011a0403011a0203011a0303011a
+0303011a0203011a6403010c060a010d010c060a010d9c03011a0503061a0303011a0503011a0103011a0203011a0603011a0103011a0103061a0103011a0203011a1203011a0503
+011a0b03011a0503011a0103011a0103061a0603011a0003011a0003011a0303031a0303011a0503011a0803011a0603011a0b03011a0403021a0a03011a0103011a0103011a0303
+011a0203011a0c03011a0403011a0103011a0303011a0003001a0203061a0203011a0703011a0703011a0403011a0203011a0303011a0303061a6403010c060a010d010c060a010d
+9c03011a0503011a0803011a0503011a0103011a0203011a0603011a0103011a0103011a0603011a0203011a1203011a0503011a0b03011a0503011a0103011a0103011a0b03011a
+0003011a0003011a0103011a0103011a0303011a0503011a0803011a0603011a0b03011a0603021a0803011a0103011a0103011a0303011a0203011a0c03011a0403011a0103011a
+0303011a0003001a0203011a0703011a0703011a0703011a0403011a0203011a0303011a0303011a6903010c060a010d010c060a010d9c03011a0503011a0803011a0503011a0103
+011a0203011a0603011a0103011a0103011a0603011a0203011a1203011a0503011a0b03011a0503011a0103011a0103011a0b03011a0003011a0003011a0003011a0203011a0303
+011a0503011a0803011a0503001a0003011a0a03011a0303001a0303011a0703011a0103011a0103011a0303011a0203011a0c03011a0403011a0103011a0303031a0203011a0703
+011a0703011a0703011a0403011a0203011a0303011a0303011a6903010c060a010d010c060a010d9c03011a0603011a0203001a0303011a0103001a0203011a0003021a0203011a
+0603011a0103011a0203011a0203001a0203011a0003021a0403001a0c03011a0503011a0b03011a0103001a0203011a0103011a0203011a0203001a0603011a0003011a0003011a
+0003011a0103021a0303011a0103001a0203011a0803011a0403011a0103011a0903011a0303011a0203011a0703011a0103011a0203011a0103011a0303011a0103001a0903011a
+0403011a0103011a0403011a0403011a0203001a0203011a0703011a0103001a0403011a0403021a0003011a0403011a0403011a0203001a0403001a5e03010c060a010d010c060a
+010d9b03041a0503031a0503021a0403021a0003011a0003041a0303021a0003031a0203031a0403021a0003011a0203021a0903051a0203031a0b03021a0203021a0003031a0203
+031a0703011a0003011a0003011a0103021a0103011a0303021a0203041a0403051a0103021a0103021a0603051a0103001a0003031a0703021a0003031a0203031a0503021a0803
+051a0103021a0003031a0303011a0503031a0203041a0603021a0303051a0103011a0003021a0303051a0303031a0403021a5d03010c060a010d010c060a010de703001aff030e03
+011a5d03010c060a010d010c060a010de603011aff030e03011a5d03010c060a010d010c060a010de503011aff030e03011a5e03010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010da103011a0103011a0403031a0d03001a0503031a1003021a0203011a0103011a0903001a2703001a2c03021a
+ff030c03010c060a010d010c060a010da103011a0103011a0303011a0103011a0b03021a0603011a1103011a0203011a0103011a0803021a2603001a2d03011aff030c03010c060a
+010d010c060a010da103011a0103011a0303011a0103011a0c03001a0703011a1103011a0203011a0103011a0903001a2603011a2d03011aff030c03010c060a010d010c060a010d
+a203001a0103001a0403011a1903011a1103011a0303001a0103001a3203011a2d03011aff030c03010c060a010d010c060a010dab03011a0503041a0303031a0603011a0503031a
+0403041a1003031a0403031a0003001a0603011a0003031a0303031a0203061a0103021a0003021a0103011a0003031a0103011a0003021a0403031a0403041aff030c03010c060a
+010d010c060a010daa03041a0203011a0203011a0403011a0603011a0403011a0103011a0203011a0003021a1203011a0303011a0203011a0703021a0103011a0103011a0103011a
+0303011a0503011a0103011a0203021a0103011a0103011a0103011a0203011a0103011a0203011a0003021aff030c03010c060a010d010c060a010dab03011a0403011a0203011a
+0403011a0603011a0303011a0203011a0103011a0203011a1203011a0303011a0303001a0703011a0203011a0003011a0203011a0303011a0503011a0103011a0203011a0203011a
+0103011a0103011a0103011a0203011a0103011a0203011aff030c03010c060a010d010c060a010dab03011a0703031a0403011a0603011a0303061a0103011a0203011a1203011a
+0403021a0a03011a0503061a0303011a0503011a0103011a0203011a0603011a0103011a0103061a0103011a0203011aff030c03010c060a010d010c060a010dab03011a0503011a
+0103011a0403011a0603011a0303011a0603011a0203011a1203011a0603021a0803011a0503011a0803011a0503011a0103011a0203011a0603011a0103011a0103011a0603011a
+0203011aff030c03010c060a010d010c060a010dab03011a0403011a0203011a0403011a0603011a0303011a0603011a0203011a1203011a0303001a0303011a0703011a0503011a
+0803011a0503011a0103011a0203011a0603011a0103011a0103011a0603011a0203011aff030c03010c060a010d010c060a010dab03011a0403011a0103021a0403011a0603011a
+0403011a0203001a0203011a0003021a1203011a0303011a0203011a0703011a0603011a0203001a0303011a0103001a0203011a0003021a0203011a0603011a0103011a0203011a
+0203001a0203011a0003021aff030c03010c060a010d010c060a010daa03031a0403021a0103011a0103051a0203051a0303031a0403021a0003011a0f03051a0103001a0003031a
+0703041a0503031a0503021a0403021a0003011a0003041a0303021a0003031a0203031a0403021a0003011aff030b03010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff1aff1a571a010c060a010d
+010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d9e030102210300027c030002
+83030402050301028403010c060a010d010c060a010d1403020401030204040300047a0303021f0301027b03010283030402040303028303010c060a010d010c060a010d15030104
+02030104030302047a030102200301027b03010285030202050301028403010c060a010d010c060a010d1503010402030004050300049d0302027a030202850302028c03010c060a
+010d010c060a010d15030104020300047703030200030002020304020303040200030402000302020203040202030602010302020003030200030202010301020303030203030302
+000300021c0301020003030202030402020302020103010202030402020300020003010200030102030303020203060203030302020302020103010202030302000300022f030402
+000300020203030201030302000302020303030202030202010301020203040205030202030304020303030200030002030303027103010c060a010d010c060a010d150301040103
+00040303030405030304010301040403000403030304050300040d030104010301040403030402030104020301040303030404030304140306020203040202031002000306020103
+060201030202000303020003070201030502010306021c0307020003060201030702000306020103070201030502010306020203050201030702000306022e030702010305020003
+0802010305020103070200030602040302020303040202030602020305027003010c060a010d010c060a010d15030104010300040503010403030204010301040103010402030104
+0103020401030104030302040b0300040003000400030304020301040103010400030304000303040003020401030104010302040103010413030202000302020403020202030202
+000303020003030200030202000301020103020202030202040302020103020201030602000302020103020200030202000302021c03030200030202000301020103020202030602
+00030102010302020103070200030202010302020103020204030202010302020103060200030202000302022e030202000303020003020201030202000303020003020200030202
+010302020103060200030102010302020403020205030202020302020003020201030202010302026f03010c060a010d010c060a010d150301040103000404030104040301040203
+010401030104020301040103010402030004050300040e03020400030104060301040103000400030004000300040003010400030104020301040103010402030004140303020103
+00020403020202030202000302020103020201030202030303020203020204030202010302020103030200030102000302020103020200030302010300021c030202010302020303
+03020203030200030102030303020103010200030102000301020003020201030202010302020403020201030202010303020003010200030302010300022e030202000302020103
+020201030202000302020103020200030202010302020103030200030102030303020403020205030202020303020103000201030202010302026f03010c060a010d010c060a010d
+150301040003000405030104030301040203010402030104020300040303010418030104010301040303030402030004000301040103030402030104030301041803040205030202
+02030202000302020103020201030202010305020203020204030202010302020103020204030702010304021d030202010302020103050202030202050305020103010200030102
+0003010200030702010302020403070201030202050304022f0302020003020201030702000302020103020200030702010302020503050204030202050302020303040202030702
+6f03010c060a010d010c060a010d15030104000300040503010403030404030301040103000400030004040302041503010402030004020301040103010401030104000301040003
+010400030404060302041503000201030302040302020303040202030202010302020003020200030202020302020403020201030202010302020403020205030002010303021c03
+02020103020200030202000302020203020204030202000302020103010200030102000301020003020206030202040302020603020204030002010303022f030402020302020503
+0202010302020003020206030202040302020003020204030202050302020203000201030302010302027403010c060a010d010c060a010d15030104000300040403010404030104
+060301040003010400030004020300040203010414030104010301040103010402030104010301040003000401030104000301040703000402030104140302020003020204030202
+02030302040302020103020200030202000302020203020200030102010302020003030201030202040303020103010200030202000302021c030202000303020003020200030202
+0203020204030202000302020103010200030102000301020003030201030102010302020003010201030302010301020103020204030202000302022e0303020403030201030102
+000302020103020200030302010301020103020204030202000302020403020205030202020302020003020201030302010301026f03010c060a010d010c060a010d150302040503
+0104010300040203010402030004010306040103010401030204040300040e0301040103010400030204010302040003010401030004010300040203010402030004010301040103
+020414030602020306020003060200030302000303020003070201030502010307020003040204030602000306021c03060201030702000304020303070200030102000301020003
+010201030602010305020203060200030402030306022e03060202030a0200030302010306020003040203030702010306020103060200030602020306026f03010c060a010d010c
+060a010d150301040703020404030304030301040003010403030304050302040c030104030301040103020401030104000300040403000403030304030303041603000200030302
+0303060201030a02000303020103020200030202020303020303030200030102000304020503040201030002000303021d0305020303020200030202000304020403020200030202
+000301020003010200030102020304020303030204030402010304020303000200030302300306020203040200030302000303020203040201030402040302020003020201030602
+010306020003000200030302040304027003010c060a010d010c060a010d430300042603000437030202010302025a0302028303020201030202c003010c060a010d010c060a010d
+a40307025a03020283030702c003010c060a010d010c060a010da50305025a03040283030502c103010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03
+ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03
+ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010da703
+01020f0301026a030302030301020603000207030102ff031403010c060a010d010c060a010da60303020d030302690303020203030204030102060303024f030204280300041903
+00047b03010c060a010d010c060a010da70301020f0301026b03020203030102050301020703010251030104270302040f030004060302047a03010c060a010d010c060a010dff03
+270302020a0302025b0301042803000410030004070300047b03010c060a010d010c060a010d53030202000303020103030200030002020304020303040200030002020303021603
+030202030202010301020203040203030402000300020103040201030302000302020203030200030002390302020003010202030302010303020003020203030502010304020203
+0602020304020403030201030302000302020203030200030002330301043a0301048403010c060a010d010c060a010d530302020003030200030602010306020103070201030502
+140305020103070201030402020307020103040201030802000306023803060201030502000308020103060201030402020306020203040203030502000308020003060230030104
+00030104030303040403030404030304020301040103020402030304040301040003010403030504020303040603020402030104010301046803010c060a010d010c060a010d5303
+020201030202000302020003020201030102010302020103020200030302000302020103020212030202010302020103060203030202020302020003030203030202020303020003
+020200030202000302023703030200030202000302020103020200030302000302020003020200030302030302020303020207030202020302020103020200030302000302020003
+0202000302022f0300040103020401030204010301040103020401030104010302040103010400030004000302040103010403030104030300040003010400030104030301040703
+010404030104010301040003000400030004000303046703010c060a010d010c060a010d530302020103020200030302010300020403030201030202000302020103020201030202
+120302020103020201030302000301020303020202030202000302020403020202030202010302020003030201030002370302020203010200030202010302020003020201030202
+00030202010302020303020203030202070302020203020201030202000302020103020200030302010300022e030104010301040203010402030104010301040203000402030104
+0203000403030204010301040203010406030104000301040303010406030104050301040103010402030204000301046703010c060a010d010c060a010d53030202010302020103
+040203030502010302020003020201030702120302020103020201030202070302020203020200030202040302020203020201030202010304023803020205030202010302020003
+020201030202000302020103020203030202030302020703020202030202010302020003020201030202010304022f03010401030104010301040203010403030104040301040803
+01040703010406030004010301040303010406030104040301040203010402030104010301046703010c060a010d010c060a010d5303020201030202000300020103030201030202
+000302020203040202030202170302020103020201030202070302020303040205030202020302020103020200030002010303023703020205030202010302020003020201030202
+00030202010302020303020203030202070302020203020201030202000302020103020200030002010303022d030104020301040103040406030204020301040803010407030104
+05030104010301040203010407030104040301040203010401030104020300046803010c060a010d000c090d53030202000303020003020200030202010302020003020201030302
+040303020103010212030202010302020103020207030202020303020703020202030202010302020003020200030202370303020103010200030202010302020003020201030202
+0003020201030202030302020303020200030102040302020203020201030202000302020103020200030202000302022d0301040103010402030104070300040203010401030104
+070301040703010406030104000301040303010406030104050301040103010402030104010301046803010c080d090c000d53030702000306020103070200030602020306021303
+050201030402040306020003060202030a02000303020003060238030602010305020003030200030302010306020103060201030502020306020103050200030302000303020003
+06022d030104000302040003000401030104020300040103010401030204020301040203000402030104070301040103000403030104000301040303010401030004030301040103
+000402030104010301040203010401030104000300046603090c000d010c060a010d5403030200030102000300020003030203030202000302020103060202030402150303020203
+0402040306020103060201030a020003030200030002000303023a030402030303020103030200030302020302020003010201030602020303020303060202030302010303020003
+030200030002000303022f0302040003010403030304030303040503030403030104080302040303040405030204050302040403020403030104030301046703010c060a010d010c
+060a010d6e030202010302023603020201030202ff030e0301049003010c060a010d010c060a010d6e03070236030702ff030e0301049003010c060a010d010c060a010d6f030502
+38030502ff030e0303048f03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d
+010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0cff0c590c060a010d010c
+060a000dff0cff0c5a0c060a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a
+000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a
+010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-matargs.ps b/books/ps/h-matargs.ps
new file mode 100644
index 0000000..5a9806d
--- /dev/null
+++ b/books/ps/h-matargs.ps
@@ -0,0 +1,1337 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:16:00 1991
+%%Title: h-matargs.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matargs.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+002010700020149002a010200040105000601050020010000140102003c010000
+1e01030007010000040100001f0100001001010003010500040100002b010600020104000201020
+0020103000201020004010100040102000201280000011d000112060101110112
+06010111050002010d0002010000020105000201070002014900290101000001010003010400080
+10100010101001e010200140101003c0100001d01010001010100060100000301
+01000d0100000f0102000e0100000601010001010100040100002a0106000201040002010200020
+103000201020004010100040102000201260004011b0001120601011101120601
+0111050002010d00020100000201050002010700020149002801010002010100020100000c01010
+0020101001e010000150101003b0101001d010100010101000601010002010100
+0d010000100100000e0101000601010001010100040100002a01060002010400020102000201030
+0020102000b010200020124000801190001120601011101120601011105000201
+0e000401060002010700020149002801010002010100020100000c01010002010100340103003a0
+101001d0101000a010100010101000d0101001f01010007010100010101000401
+01002901060002010400020102000201030002010200020100000301000002010200020122000c0
+11700011206010111011206010111050008010800040106000201070002014900
+2801020001010000030100000001020008010100020101000201030002010000000101000001010
+00201040003010300030101000001020009010000000101000201010000010300
+0201030000010100000102000001020001010000000101000001010003010300020101000001020
+002010600020103000001000008010300040101000a0105000301030003010500
+0101010001010200020103000401010002010100010101000601010001010100050101002901060
+00a010200020103000201020002010000030100000201020007011b0010011500
+0112060101110112060101110500090108000201070002010700020149002901030004010100010
+10100070101000201010001010100010101000101010000010100000101000001
+0100020101000401010004010100010101000801000000010100030102000101010000010100010
+10100000100000101010001010100010101000001010000010100010101000101
+0100020101000101010003010100040101000201010007010100010101000201040007010600020
+10100010101000301010003010000000102000101010003010100030100000001
+01000001010001010100070101000101010005010100290106000a0102000201030002010200020
+10100010101000201020008011800140113000112060101110112060101110500
+090108000201070002010700020149002a010200040100000301010006010100020101000001010
+00301010000010100000101000001010000010100020101000401010004010100
+0101010008010000010101000201010002010100000101000101010003010100010101000101010
+00001010000010100000101000201010002010100010101000301010004010100
+0301000006010100030101000201010009010000000102000001000006010100030101000501020
+0010101000201010006010300020101000701040006010100290106000a010200
+0201030002010200020101000101010002010200080116001801110001120601011101120601011
+1050002010e000401060002010700020149002a01030008010100060101000201
+0100000101000301010000010100000101000001010003010300040101000401010001010100070
+10500020101000501010001010100030101000101010001010100000101000001
+0100000106000201010001010100030101000501020009010100030101000201010009010000010
+10000010100000301030004010100050101000701010007010200020101000701
+0300060101002a010600020104000201020002010300020102000201050002010200020121000e0
+11600011206010111011206010111050002010e00040106000201070002014900
+2901000001010200070101000601010002010100000101000301010000010100000101000001010
+00101010001010100040101000401010001010100070100000201010002010100
+0601030004010100010101000101010000010100000101000001010007010100010101000301010
+00701020007010100030101000201010009010000030100000201010001010100
+03010100060101000701010006010200030101000601010000010100060101002a0106000201040
+00201020002010300020102000201050002010200020121000e01160001120601
+0111011206010111050002010d00020100000201050002010700020149002801010002010100070
+10100060101000201010000010100030101000001010000010100000101000001
+0100020101000401010004010100010101000701000003010100010101000501000008010100010
+10100010101000001010000010100000101000701010001010100030101000401
+0000030101000601010003010100020101000801000004010000010101000201010003010100050
+10100070101000601010000010100020101000601010001010100040101002b01
+0600020104000201020002010300020102000201050002010200020121000e01160001120601011
+1011206010111050002010d000201000002010500020107000201490028010100
+0201010001010000030101000701010001010100020101000101010001010100000101000001010
+00001010001010200040101000401010001010100060101000301010001010100
+0501050003010100000102000101010000010100000101000101010002010000020101000101010
+00301010001010000010101000201010007010100010101000301010008010000
+0401000001010100010102000001000001010100010100000201010007010100010100000301000
+00101010000010000010100000601010001010100040101002b01060002010400
+0201020002010300020102000201050002010200020121000e01160001120601011101120601011
+1050002010c000201020002010400020107000201490028010100020101000101
+0100010101000701050004010300020101000001010000010100010102000101010001010500010
+10200000103000501020001010200000104000401050003010200000101000001
+0100000101000001010002010300020102000001030003010200020100000001030009010300030
+10300070101000201020001010200010101000301020003010100080102000201
+010003010100020100000501030001010100020100002d010600020104000201020002010300020
+102000201050002010200020121000e0116000112060101110112060101110500
+02010c0002010200020104000201070002014900290104000301030055010000040100008b01000
+00d0101002e010600020104000201020002010300020102000201050002010200
+02014700011206010111011206010111050002010b00020104000201030002010700020149008c0
+1010002010100cb01060002010400020102000201030002010200020105000201
+0200020147000112060101110112060101110500090104000201040002010300020107000201490
+08d010400cc010600020104000201020009010200020105000201020008014100
+01120601011101120601011105000a01020002010600020102000201070002014900ff015f01060
+00201040002010300080102000201050002010200090140000112060101110112
+0601011106000901030001010700010103000101080001014900ff015f010700010105000101040
+0060104000101060001010300080140000112060101110112060101117b00ff01
+5f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b00ff0
+15f017b000112060101110112060101117b00ff015f017b000112060101110112
+06010111ff00ff005700011206010111011206010111ff00ff00570001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff0140011600011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff0140010b0000010900011206010111011206010111
+ff01ff0140010a0002010800011206010111011206010111ff01ff0140010900040107000112060
+10111011206010111ff01ff014001080006010600011206010111011206010111
+ff01ff014001070008010500011206010111011206010111ff01ff01400106000a0104000112060
+10111011206010111ff01ff01400105000c010300011206010111011206010111
+ff01ff01400104000e010200011206010111011206010111ff01ff0140010300100101000112060
+10111011206010111ff01ff014001020012010000011206010111011206010111
+ff01ff0140011600011206010111011206010111ff01ff014001160001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001160001120601
+01110112060101111501030004010400130103001a0101000c0107001e010000070101001501070
+0030101000d01040006010300ff01660116000112060101110112060101111501
+03000401040013010300190103000b0107001d0101000601030014010700020103000c010400060
+10300ff0166011600011206010111011206010111160102000601020014010200
+1a0101000d010200000102001d010100070101001601020000010200030101000f0102000701020
+0ff01660116000112060101110112060101111501040005010200140102002a01
+0200010101001c01020020010200010101001501020007010200ff0166011600011206010111011
+20601011115010400050102000301040000010000020103000201050002010200
+0101010002010400030104000401020000010100010102000401020000010700000102000301020
+00001010000010600020104000401030001010300000102000201020005010400
+040103000501020004010500ff01660116000112060101110112060101111501010000010100050
+10200020107000101050001010600010107000001060002010400030106000101
+04000201020000010c0001010600000106000201040003010500000108000101040003010400030
+105000401020003010600ff016601020000010100000101000001010000010100
+0001010000010100000100000112060101110112060101111501010000010200040102000201020
+00001030000010200010102000001030000010200010106000001010001010200
+0401020002010300000102000101040002010200010102000001030000010200000103000001020
+00101020007010200020102000101020000010300000102000101040005010200
+0201020001010200030102000201020000010300ff0166011600011206010111011206010111150
+10100010101000401020002010200000102000101020001010200000102000101
+0200010103000001010003010300040102000201020002010100010102000401020001010200000
+10200010102000001020002010100010102000701020002010200010102000001
+02000101020001010200070102000201020001010200030102000201020001010200ff016601030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101111401060004010200020102000001020001010700000102000101020001010200050
+10500040102000201020006010200040102000101020000010200010102000001
+0200060102000701020002010200010102000001020001010200010102000701020002010700030
+102000201020001010200ff016601020000010100000101000001010000010100
+0001010000010100000100000112060101110112060101111401070003010200030104000201020
+00501020001010200010102000401020000010200040102000201020006010200
+0401020001010200000102000101020000010200060102000701020002010200010102000001020
+001010200010102000701020002010200080102000201020001010200ff016601
+1600011206010111011206010111140101000201020003010200020103000401030001010100000
+10200010102000101020004010200000102000401020002010300010101000101
+0200040102000001030000010200010102000001030001010100010102000001010004010200020
+10200010102000001020001010200010102000701020002010300010101000301
+02000201020001010200ff016601030000010100000101000001010000010100000101000001010
+00001011206010111011206010111130103000001030001010600000106000201
+060000010600010104000301070001010600010106000001040003010b000001030001010600010
+10500020106000101050000010300000103000001040004010600010106000101
+060001010600ff01660102000001010000010100000101000001010000010100000101000001000
+00112060101110112060101111301030000010300010106000101060002010400
+0101010000010200020104000401020000010200010106000201040001010400040103000001050
+00001030002010400030103000301060002010300010103000001030000010400
+0401060002010400020106000201020000010100ff0166011600011206010111011206010111260
+1020001010200ff01ff0111010300000101000001010000010100000101000001
+010000010100000101120601011101120601011126010700ff01ff0111010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+27010500ff01ff0112011600011206010111011206010111ff01ff0140010300000101000001010
+0000101000001010000010100000101000001011206010111011206010111ff01
+ff01400102000001010000010100000101000001010000010100000101000001000001120601011
+1011206010111ff01ff0140011600011206010111011206010111ff01ff014001
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff0140010200000101000001010000010100000101000001010000010100
+00010000011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff0
+14001030000010100000101000001010000010100000101000001010000010112
+06010111011206010111ff01ff01400102000001010000010100000101000001010000010100000
+1010000010000011206010111011206010111ff01ff0140011600011206010111
+0112060101111501030004010400130103001a0101000c0101000201020011010300ff01bc01030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111150103000401040013010300190103000b0102000101020011010300ff01bc01020
+00001010000010100000101000001010000010100000101000001000001120601
+01110112060101111601020006010200140102001a0101000c0102000201010012010200ff01bc0
+11600011206010111011206010111150104000501020014010200290103000101
+010012010200ff01bc0103000001010000010100000101000001010000010100000101000001011
+20601011101120601011115010400050102000301040000010000020103000201
+0500020102000101010002010400030104000401020000010100000103000101010000010200000
+1030000010000000101000001010001010500040103000201020001010100ff01
+a601020000010100000101000001010000010100000101000001010000010000011206010111011
+20601011115010100000101000501020002010700010105000101060001010700
+0001060002010400030106000001040000010100000102000001030000010700000106000201050
+001010700ff01a501160001120601011101120601011115010100000102000401
+0200020102000001030000010200010102000001030000010200010106000001010001010200040
+10200020103000001020000010100000101000001010000010200010102000001
+07000001030000010200000102000101020001010600ff01a501030000010100000101000001010
+00001010000010100000101000001011206010111011206010111150101000101
+0100040102000201020000010200010102000101020000010200010102000101030000010100030
+10300040102000201020002010100000101000001040000010200010102000001
+01000001010000010100000102000101020000010200010102000101030000010100ff01a501020
+00001010000010100000101000001010000010100000101000001000001120601
+0111011206010111140106000401020002010200000102000101070000010200010102000101020
+00501050004010200020102000501010001010300000102000101020000010100
+000101000001010000010200010102000001070001010200ff01a90116000112060101110112060
+10111140107000301020003010400020102000501020001010200010102000401
+0200000102000401020002010200050101000101030000010200010102000001010000010100000
+1010000010200010102000001020006010200ff01a90103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111401010002010200030
+10200020103000401030001010100000102000101020001010200040102000001
+0200040102000201030001010100000101000201020000010200000103000001010000010100000
+101000001020001010200000103000101010001010200ff01a901020000010100
+0001010000010100000101000001010000010100000100000112060101110112060101111301030
+00001030001010600000106000201060000010600010104000301070001010600
+0101060000010200010102000001070000010100000101000001010000010600020106000001040
+0ff01a80116000112060101110112060101111301030000010300010106000101
+0600020104000101010000010200020104000401020000010200010106000201040001010200020
+10100010103000001010000010100000101000001010000010100000102000401
+040001010400ff01a80103000001010000010100000101000001010000010100000101000001011
+2060101110112060101112601020001010200ff01ff0111010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011126010700ff0
+1ff011101160001120601011101120601011127010500ff01ff01120103000001
+010000010100000101000001010000010100000101000001011206010111011206010111ff01ff0
+14001020000010100000101000001010000010100000101000001010000010000
+011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff0140010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff014001020000010100000101000001010000010100
+000101000001010000010000011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff01400103000001010000010100000101000001010000010100
+000101000001011206010111011206010111140106000b0104002a0103000001060002010300070
+10300030101000c0106000d010000ff01a0010200000101000001010000010100
+00010100000101000001010000010000011206010111011206010111140107000a0104002a01030
+0000107000101030007010300020103000b0106000c010100ff01a00116000112
+0601011101120601011115010200000102000c0102002b010200010102000001020002010200080
+10200030101000e0102000e010100ff01a0010300000101000001010000010100
+000101000001010000010100000101120601011101120601011115010200000102000c0102002b0
+1020001010200000102000101040007010200140102000d010200ff01a0010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+11501020000010200010104000501020003010400010103000001020003010200
+0001010002010300040105000101020000010200010104000401050001010400040102000001010
+00201020002010300000102000101060003010300030104000001000002010300
+0201020001010100ff0179011600011206010111011206010111150105000101060004010200020
+10600000108000101060001010500020106000101020000010200010101000001
+0100030106000101040003010600020102000201080000010600020105000101070001010500010
+10700ff0178010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111150105000101010001010200040102000201010001010200010
+10300000102000001030000010200000102000101020000010200000103000101
+0600010101000001020001010200000103000301020002010300000102000201020003010300000
+10200010102000401020001010200000102000001030000010200010102000101
+0600ff0178010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111150102000001020003010300040102000501030001010200
+0101020000010200020101000001020001010200000102000101020001010500020101000101010
+00101020001010200030102000201020002010100020102000301020001010200
+010102000401020001010200000102000001020001010200010102000101030000010100ff01780
+11600011206010111011206010111150102000001020001010500040102000301
+0500010102000101020000010200050107000001020001010200010102000401060001010200010
+10200030102000201020007010200030102000101020001010200040107000001
+0200000102000101070001010200ff017c010300000101000001010000010100000101000001010
+00001010000010112060101110112060101111501020000010200000102000001
+0200040102000201020000010200010102000101020000010200050102000501020001010200010
+10200040107000001020001010200030102000201020007010200030102000101
+02000101020004010200060104000201020006010200ff017c01020000010100000101000001010
+00001010000010100000101000001000001120601011101120601011115010200
+0001020000010200000102000401020002010200000102000101020001010200000103000101010
+00001030001010100000102000101020001010200040101000201020000010200
+0101020003010200020103000101010002010200030102000101020001010200000101000101030
+00101010000010300040103000101010001010200ff017c010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111140107000001070
+00101060000010b00000103000101060001010600010106000001040002010300
+0001030001010600010106000101060000010600000103000001030001010500020106000001060
+00201060000010400ff017b010100140101120601011101120601011114010600
+0201020000010200010106000101020000010600000103000201040003010400030102000001010
+00001040002010300000103000201020000010100010106000201040001010600
+00010300000103000201030004010400020106000201040001010400ff017b01010014010112060
+10111011206010111ad01020001010200ff018a01030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ad010700ff018a010100140
+1011206010111011206010111ae010500ff018b01010014010112060101110112
+06010111ff01ff01400103000001010000010100000101000001010000010100000101000001011
+206010111011206010111ff01ff01400101001401011206010111011206010111
+ff01ff01400101001401011206010111011206010111ff01ff01400103000001010000010100000
+101000001010000010100000101000001011206010111011206010111ff01ff01
+400101001401011206010111011206010111ff01ff0140010100140101120601011101120601011
+1ff01ff0140010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+1400101001401011206010111011206010111140106000b0104002a0103000001
+06000201030007010300030101000b0107000d010000070101001f010400ff01710103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111140107000a0104002a010300000107000101030007010300020103000a0108000b010100060
+103001e010400ff01710101001401011206010111011206010111150102000001
+02000c0102002b01020001010200000102000201020008010200030101000c010200010102000b0
+101000701010021010200ff017101010014010112060101110112060101111501
+0200000102000c0102002b0102000101020000010200010104000701020012010200010102000a0
+102002b010200ff01710103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111501020000010200010104000501020003010400010
+10300000102000301020000010100020103000401050001010200000102000101
+0400040105000101040004010200000101000001020000010200020104000201060002010400040
+1030001010300000102000201040005010200ff01710101001401011206010111
+0112060101111501050001010600040102000201060000010800010106000101050002010600010
+10200000102000101010000010100030106000101040003010600000105000201
+0600010106000201040003010500000108000001060004010200ff0171010100140101120601011
+10112060101111501050001010100010102000401020002010100010102000101
+0300000102000001030000010200000102000101020000010200000103000101060001010100000
+10200010102000001030003010200020103000001020000010500020101000101
+0200020102000701020002010200010102000001030000010200000101000101020004010200ff0
+17101030000010100000101000001010000010100000101000001010000010112
+0601011101120601011115010200000102000301030004010200050103000101020001010200000
+10200020101000001020001010200000102000101020001010500020101000101
+0100010102000101020003010200020102000201010000010200000102000401030002010200070
+10200020102000101020000010200010102000301030004010200ff0171010100
+1401011206010111011206010111150102000001020001010500040102000301050001010200010
+10200000102000501070000010200010102000101020004010600010102000101
+0200030102000201020005010200000102000201050002010200070102000201020001010200000
+10200010102000101050004010200ff0171010100140101120601011101120601
+0111150102000001020000010200000102000401020002010200000102000101020001010200000
+10200050102000501020001010200010102000401070000010200010102000301
+0200020102000501020000010200010102000001020002010200070102000201020001010200000
+1020001010200000102000001020004010200ff01710103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111501020000010200000
+10200000102000401020002010200000102000101020001010200000103000101
+0100000103000101010000010200010102000101020004010100020102000001020001010200030
+10200020103000101010000010200010102000001020000010200020102000001
+01000401020002010200010102000001020001010200000102000001020004010200ff017101010
+0140101120601011101120601011114010700000107000101060000010b000001
+0300010106000101060001010600000104000201030000010300010106000101060001010a00010
+10200000107000101050002010600010105000001030000010300000107000101
+0600ff016f010100140101120601011101120601011114010600020102000001020001010600010
+10200000106000001030002010400030104000301020000010100000104000201
+0300000103000201020000010100010106000201040000010300010102000101020000010200020
+1030003010600020103000101030000010300010102000001020001010600ff01
+6f01030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+1011114010600040101002701070030010100ff01ba0101001401011206010111
+0112060101111401070002010300260107002f010300ff01b901010014010112060101110112060
+10111150102000001020003010100280102000001020030010100ff01ba010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111150
+10200000102002e01020001010100ff01ed010100140101120601011101120601
+0111150102000001020001010400010103000001020002010400020102000101010001010300000
+10200010102000401030000010200000101000001030002010400010103000001
+0200020103000001000002010400040103000101030000010200ff01a6010100140101120601011
+10112060101111501050002010400010108000001060001010700000103000001
+0200010104000201020001010200000107000001060000010800000106000201040003010500000
+10800ff01a5010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111150105000401020002010300000102000001010001010200020
+10600000102000101020001010400030102000001010001010300000102000001
+0100010102000101030000010200000102000001020004010200020102000101020000010300000
+10200ff01a5010100140101120601011101120601011115010200000102000301
+0200020102000101020003010300020103000001010001010200000101000201020006010300020
+10200010102000301030001010200010102000001030001010000040102000201
+0200010102000001020001010200ff01a5010100140101120601011101120601011115010200000
+10200030102000201020001010200010105000201020005010500020102000601
+0300020102000101020001010500010102000101020001010400050102000201020001010200000
+1020001010200ff01a50103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111501020000010200030102000201020001010200000
+10200000102000201020006010300030102000101010002010300020102000101
+0200000102000001020001010200010102000001000001010300040102000201020001010200000
+1020001010200ff01a50101001401011206010111011206010111150102000001
+0200030102000201020001010200000102000001020002010200060103000301020000010200010
+10100000102000101020000010300000102000001020001010200010102000001
+0200000102000401020002010200010102000001020001010200ff01a5010100140101120601011
+10112060101111401070001010a00000103000001070000010400060101000301
+070000010200010102000001060001010b000001030000010600020106000101050000010300000
+10300ff01a5010300000101000001010000010100000101000001010000010100
+00010112060101110112060101111401060002010a0000010300010102000001020000010400050
+10200030107000001020000010300000105000301020000010600000103000001
+00000001030003010600020103000101030000010300ff01a501010014010112060101110112060
+101114201020016010200ff01e001010014010112060101110112060101114101
+030016010200ff01e00103000001010000010100000101000001010000010100000101000001011
+2060101110112060101114101020016010400ff01df0101001401011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400101001401011206010111011206010111150102000001010002010400
+05010100050104000301040017010300010103000401040013010300ff01bc01010014010112060
+10111011206010111140106000201040004010300030106000101060016010300
+010103000401040013010300ff01bc0103000001010000010100000101000001010000010100000
+10100000101120601011101120601011114010200000102000401020005010100
+0401020000010200010102000001020017010200020102000601020014010200ff01bc010100140
+10112060101110112060101111401020001010100040102000c01020005010200
+1b010200010104000501020014010200ff01bc01010014010112060101110112060101111401020
+00101010004010200030104000201050002010500040103000201020001010100
+0301050001010400050102000301040000010000020103000201050002010200010101000201040
+0ff01a70103000001010000010100000101000001010000010100000101000001
+0112060101110112060101111401020008010200030104000201050002010500030105000101070
+00101060001010100000101000501020002010700010105000101060001010700
+00010600ff01a601010014010112060101110112060101111401020008010200050102000301020
+00501020004010200010102000101060000010200000103000101010000010200
+0401020002010200000103000001020001010200000103000001020001010600000101000101020
+0ff01a60101001401011206010111011206010111140102000801020005010200
+0301020005010200040102000101020001010300000101000001020001010200010101000101010
+00401020002010200000102000101020001010200000102000101020001010300
+0001010003010300ff01a6010300000101000001010000010100000101000001010000010100000
+10112060101110112060101111401020008010200050102000301020005010200
+0401020001010200010102000401020001010200000106000401020002010200000102000101070
+000010200010102000101020005010500ff01a601010014010112060101110112
+0601011114010200010101000401020005010200030102000501020004010200010102000101020
+00401020001010200000107000301020003010400020102000501020001010200
+010102000401020000010200ff01a60101001401011206010111011206010111140102000101010
+00401020005010200030102000501020004010200010102000101020004010200
+0101020000010100020102000301020002010300040103000101010000010200010102000101020
+00401020000010200ff01a6010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111140106000201060001010600000104000301040
+0040105000101040004010a000001030001010600000106000201060000010600
+0101040003010700ff01a5010100140101120601011101120601011115010400030106000101060
+00001040003010400050103000201040005010200000105000001030001010600
+01010600020104000101010000010200020104000401020000010200ff01a501010014010112060
+101110112060101116e01020001010200ff01c901030000010100000101000001
+010000010100000101000001010000010112060101110112060101116e010700ff01c9010100140
+10112060101110112060101116f010500ff01ca01010014010112060101110112
+06010111ff01ff01400103000001010000010100000101000001010000010100000101000001011
+206010111011206010111ff01ff01400101001401011206010111011206010111
+ff01ff01400101001401011206010111011206010111ff01ff01400103000001010000010100000
+101000001010000010100000101000001011206010111011206010111ff01ff01
+400101001401011206010111011206010111ff01ff0140010100140101120601011101120601011
+1ff01ff0140010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+140010100140101120601011101120601011115010200000101001d010400ff01
+ff01010103000001010000010100000101000001010000010100000101000001011206010111011
+206010111140106001d010400ff01ff0101010100140101120601011101120601
+011114010200000102001f010200ff01ff010101010014010112060101110112060101111401020
+0010101001f010200ff01ff010101030000010100000101000001010000010100
+0001010000010100000101120601011101120601011114010200010101000301030002010000000
+1010000010100010101000001030004010200040103000201030000010200ff01
+ed01010014010112060101110112060101111401020006010500010107000001070003010200030
+105000101020001010200ff01ed01010014010112060101110112060101111401
+0200050102000101020000010700000103000001020003010200020102000101020001010200000
+10100ff01ee010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111140102000501020001010200000101000001010000010100000
+102000101020003010200020102000101020002010300ff01ef01010014010112
+0601011101120601011114010200050102000101020000010100000101000001010000010200010
+10200030102000201070002010300ff01ef010100140101120601011101120601
+0111140102000101010001010200010102000001010000010100000101000001020001010200030
+102000201020007010300ff01ef01030000010100000101000001010000010100
+0001010000010100000101120601011101120601011114010200010101000101020001010200000
+10100000101000001010000010200000103000301020002010300010101000101
+010000010200ff01ee0101001401011206010111011206010111140106000201050001010100000
+10100000101000001060002010600010106000001020001010200ff01ed010100
+1401011206010111011206010111150104000401030002010100000101000001010000010500030
+10600020104000101020000010300ff01ed010300000101000001010000010100
+00010100000101000001010000010112060101110112060101112f010200ff01ff010d010100140
+10112060101110112060101112f010200ff01ff010d0101001401011206010111
+0112060101112e010400ff01ff010c0103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111150
+1020000010100160100000701010022010300000107001e01000007010100ff01
+a8010100140101120601011101120601011114010600150101000601030021010300000107001d0
+1010006010300ff01a70101001401011206010111011206010111140102000001
+020015010100070101002301020001010200000102001d01010007010100ff01a80103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+01111401020001010100140102002d01020001010200010101001c010200ff01b20101001401011
+20601011101120601011114010200010101000301030001010300000102000101
+0600020104000101030000010200010102000001030002010300040105000101020004010200010
+10100020104000401020000010100000106000201040004010300010103000001
+0200ff0194010100140101120601011101120601011114010200060105000001080000010600020
+10400010108000001020000010300010105000201060001010400020107000001
+06000201060000010600020104000301050000010800ff019301030000010100000101000001010
+00001010000010100000101000001011206010111011206010111140102000501
+0200010102000001030000010200010102000701020002010300000102000001020001010200000
+10200010102000001020000010300010104000301060000010100010102000101
+030000010200010102000701020002010200010102000001030000010200ff01930101001401011
+20601011101120601011114010200050102000101020000010200010102000101
+0200070102000201020001010200000102000101020000010200010102000001020001010200010
+10200050103000001010003010300010102000201010001010200070102000201
+0200010102000001020001010200ff0193010100140101120601011101120601011114010200050
+10200010102000001020001010200010102000701020002010200010102000001
+0200010102000001070000010200010102000101020005010200050105000101020006010200070
+1020002010200010102000001020001010200ff01930103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111401020001010100010
+10200010102000001020001010200010102000701020002010200010102000001
+0200010102000001020005010200010102000101020005010200040102000001020001010200060
+102000701020002010200010102000001020001010200ff019301010014010112
+0601011101120601011114010200010101000101020001010200000102000101020001010200000
+10100040102000201020001010200000102000001030000010300010101000001
+0200010102000101020005010200040102000001020001010300010101000101020000010100040
+1020002010200010102000001020001010200ff01930101001401011206010111
+011206010111140106000201050000010300000103000101050002010a000001030000010700010
+10600010106000001040003010400030107000101060001010500020106000101
+05000001030000010300ff019301030000010100000101000001010000010100000101000001010
+00001011206010111011206010111150104000401030001010300000103000201
+030003010a000001030001010300000101000201040003010200000101000001040003010400040
+1020000010200020104000301030003010600020103000101030000010300ff01
+930101001401011206010111011206010111ff01ff0140010100140101120601011101120601011
+1ff01ff0140010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+1400101001401011206010111011206010111ff01ff0140010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111ff01ff014001010
+01401011206010111011206010111ff01ff014001010014010112060101110112
+06010111ff01ff01400103000001010000010100000101000001010000010100000101000001011
+206010111011206010111ff01ff01400101001401011206010111011206010111
+ff01ff01400101001401011206010111011206010111ff01ff01400103000001010000010100000
+101000001010000010100000101000001011206010111011206010111ff01ff01
+4001010014010112060101110112060101111401060016010100160104000201070030010100ff0
+1b101010014010112060101110112060101111401070014010300150104000201
+07002f010300ff01b00103000001010000010100000101000001010000010100000101000001011
+20601011101120601011115010200000102001501010018010200030102000001
+020030010100ff01b10101001401011206010111011206010111150102000001020030010200030
+1020001010100ff01e40101001401011206010111011206010111150102000001
+0200020103000401020000010100010104000201000000010100000101000201040005010200030
+10200040103000001020000010100000103000201040001010300000102000201
+03000001000002010400040103000101030000010200ff019d01030000010100000101000001010
+00001010000010100000101000001011206010111011206010111150102000001
+0200010105000201060001010400020107000001060004010200030104000201020001010200000
+10700000106000001080000010600020104000301050000010800ff019c010100
+1401011206010111011206010111150102000001020000010200010102000001030000010200030
+10200020107000001010001010200040102000301040003010200000101000101
+0300000102000001010001010200010103000001020000010200000102000401020002010200010
+102000001030000010200ff019c01010014010112060101110112060101111501
+0200000102000001020001010200000102000201010003010200020101000001010000010100030
+10300040102000301020006010300020102000101020003010300010102000101
+020000010300010100000401020002010200010102000001020001010200ff019c0103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111150102000001020000010700000102000801020002010100000101000001010001010500040
+10200030102000601030002010200010102000101050001010200010102000101
+04000501020002010200010102000001020001010200ff019c01010014010112060101110112060
+10111150102000001020000010200050102000801020002010100000101000001
+0100000102000001020004010200030102000101010002010300020102000101020000010200000
+10200010102000101020000010000010103000401020002010200010102000001
+020001010200ff019c0101001401011206010111011206010111150102000001020000010300010
+10100000103000101010003010200020101000001010000010100000102000001
+0200040102000301020000010200010101000001020001010200000103000001020000010200010
+10200010102000001020000010200040102000201020001010200000102000101
+0200ff019c010300000101000001010000010100000101000001010000010100000101120601011
+10112060101111401070001010600010106000101060000010100000101000001
+010000010700010106000001070000010200010102000001060001010b000001030000010600020
+10600010105000001030000010300ff019c010100140101120601011101120601
+0111140106000301040003010400020106000001010000010100000101000101020000010200010
+10600000107000001020000010300000105000301020000010600000103000001
+00000001030003010600020103000101030000010300ff019c01010014010112060101110112060
+1011165010200ff01d70103000001010000010100000101000001010000010100
+00010100000101120601011101120601011165010200ff01d701010014010112060101110112060
+1011164010400ff01d60101001401011206010111011206010111ff01ff014001
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff01400101001401011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001010014010112060
+10111011206010111140106000401010005010400030104002801000007010100
+0d01040003010300000101002d010100030101000a0104000501000007010100210101000f01000
+00d0106000b010400290101000d010400c6010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111140107000201030003010600010
+1060026010100060103000c010400020107002d010100030101000a0104000401
+0100060103001f0103000d0101000d0107000a010400280103000c010400c601010014010112060
+10111011206010111150102000001020003010100040102000001020001010200
+0001020026010100070101000f01020002010200010102002d010200010102000c0102000401010
+007010100210101000e0101000e010200000102000c010200290101000f010200
+c6010100140101120601011101120601011115010200000102000a0102000501020029010200190
+1020002010200020101002d010200010102000c010200030102003b0102000e01
+0200000102000c0102003b010200c60103000001010000010100000101000001010000010100000
+10100000101120601011101120601011115010200000102000101040002010500
+0201050004010300020102000101010003010300010103000001020001010600020104000301040
+00501020002010300010101000001010000010300020104000201020001010100
+0201030000010000030103000201070000010200000103000301020002010600020104000201020
+00101020001010400020102000101010002010400030104000201060003010300
+0301020000010200020103000501020002010300000106000001020003010300020100000001010
+000010100020104000301040005010200c6010100140101120601011101120601
+0111150102000001020001010400020105000201050003010500010107000101050000010800000
+10600020104000201060004010200030103000301070000010600010107000001
+0600020105000101070000010200000103000301020002010600020104000201020001010200000
+10600010107000101040002010600010106000201050002010200000102000101
+0500040102000201030000010b000101050001010700010104000201060004010200c6010100140
+10112060101110112060101111501020000010200030102000301020005010200
+0401020001010200010106000001020001010200000103000001020001010200070102000201010
+00101020004010200040103000201030000010200000101000101020002010600
+0001020000010200010102000101020000010700000102000101020003010200030102000701020
+00201020001010200000101000101020002010600030102000201010001010200
+0201020004010200010102000101060000010200010102000301020002010200010102000001030
+00001020000010200010102000001070003010200020101000101020004010200
+c601030000010100000101000001010000010100000101000001010000010112060101110112060
+10111150102000001020003010200030102000501020004010200010102000101
+0300000101000001020001010200000102000101020001010200070102000501030004010200050
+10300010102000101020003010300020103000001010000010300010100000101
+0200010102000001010000010100000101000001020001010200030102000301020007010200030
+10200000101000401030002010300000101000301020005010300020102000401
+0200010102000101050001010200010102000301020003010200000101000101020001010200000
+1020001010200000101000001010000010100030102000501030004010200c601
+0100140101120601011101120601011115010200000102000301020003010200050102000401070
+00101020004010700000102000101020001010200070102000301050004010200
+0201010001010300000102000101020001010500020102000501040002010700000101000001010
+00001010000010200010102000301020003010200070102000301020000010100
+0201050002010200070102000301050002010200040107000101020004010200010102000301020
+00301050001010200010102000001020001010200000101000001010000010100
+030102000301050004010200c601010014010112060101110112060101111501020000010200030
+10200030102000501020004010200060102000401020005010200010102000101
+0200070102000201020000010200040102000201010002010200000102000101020000010200000
+10200020102000401000001010300010102000501010000010100000101000001
+0200010102000301020003010200070102000301040002010200000102000201020007010200020
+10200000102000201020004010200060102000401020001010200030102000401
+0300020102000101020000010200010102000001010000010100000101000301020002010200000
+1020004010200c601030000010100000101000001010000010100000101000001
+0100000101120601011101120601011115010200000102000301020003010200050102000401030
+00101010001010200040103000101010000010200010102000101020000010100
+0401020002010200000102000401020002010200010102000001020000010300000102000001020
+00201020004010200000102000101030001010100000101000301010000010200
+0001030003010200030102000001010004010200040103000201020000010200020102000701020
+00201020000010200020102000001010001010300010101000101020004010200
+0101020003010200040103000201020001010200000102000101020000010100000101000001010
+003010200020102000001020004010200c6010100140101120601011101120601
+011114010700010106000001040003010400040106000001040004010a000001030001010500020
+10600000107000101060000010700000106000101070000010400030106000201
+0600000102000101020000010700010106000101050002010600020102000301070000010400040
+10600000107000101050002010600000104000401050002010600030101000201
+03000001030001010500010101000001010000010100010106000001070001010600c4010100140
+10112060101110112060101111401060002010600000104000301040005010400
+0101040005010400000103000001030002010300030106000101020000010200010106000001010
+00001030001010500030102000001020000010400030100000001030004010400
+0101020001010200010103000001010001010600020103000301060002010200040102000001020
+00001040004010600010102000001020002010300040104000101040005010300
+0301060002010200020103000001030002010300020101000001010000010100010106000101020
+00001020001010600c40103000001010000010100000101000001010000010100
+00010100000101120601011101120601011189010200b1010200fe0101001401011206010111011
+20601011189010200b0010300fe01010014010112060101110112060101118801
+0400af010200ff01030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff01400101001401011206010111011206010111ff01
+ff01400101001401011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+01001401011206010111011206010111ff01ff01400101001401011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111401060004010100210
+10000040106001701030015010000ff01bb010100140101120601011101120601
+011114010700020103001f010100040107001601030014010100ff01bb010100140101120601011
+10112060101111501020000010200030101002001010005010200000102001701
+020014010100ff01bb0103000001010000010100000101000001010000010100000101000001011
+20601011101120601011115010200000102002501020005010200000102001701
+020013010200ff01bb0101001401011206010111011206010111150102000001020001010400020
+10200010101000301030004010200000101000001060002010200000102000001
+02000101010003010300040105000001020000010300020102000001010000010600ff01b801010
+01401011206010111011206010111150102000001020001010400020107000101
+0500020106000001060002010200000102000001070001010500020106000001020000010300010
+1060000010600ff01b80103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111501020000010200030102000301060000010200010
+10200000103000001020001010200050106000101060000010200010102000001
+0200000103000001020001010200000103000001020001010200ff01bb010100140101120601011
+10112060101111501020000010200030102000301030000010100000102000101
+0200000102000201010001010200050105000201030000010100000102000101020000010200010
+102000001020001010200000102000201010001010200ff01bb01010014010112
+0601011101120601011115010200000102000301020003010200040107000001020006010200050
+10200050102000401020001010200000102000101020000010200010102000001
+020006010200ff01bb0103000001010000010100000101000001010000010100000101000001011
+20601011101120601011115010200000102000301020003010200040102000501
+0200060102000501020005010200040102000101020000010200010102000001020001010200000
+1020006010200ff01bb0101001401011206010111011206010111150102000001
+0200030102000301020004010300010101000001030001010100010102000001010002010200050
+10200040102000101020000010200010102000001020000010300000103000101
+01000101020000010100ff01b801010014010112060101110112060101111401070001010600000
+10400040106000101060001010500010104000301040004010500020106000001
+07000101060001010500ff01b801030000010100000101000001010000010100000101000001010
+00001011206010111011206010111140106000201060000010400050104000301
+0400030103000201040003010400050103000401020000010100010103000001010002010400030
+10300ff01b90101001401011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400101001401011206010111011
+206010111ff01ff01400101001401011206010111011206010111ff01ff014001
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff0140010100140101120601011101120601011114010600040101002101
+000004010600170103001501000004010100030101000c010000100101000c010100030101000d0
+103000a010400ff01560101001401011206010111011206010111140107000201
+03001f01010004010700160103001401010004010100030101000b0101000f0103000b010100030
+101000d0103000a010400ff015601030000010100000101000001010000010100
+0001010000010100000101120601011101120601011115010200000102000301010020010100050
+1020000010200170102001401010004010200010102000b010100100101000c01
+0200010102000e0102000c010200ff0156010100140101120601011101120601011115010200000
+10200250102000501020000010200170102001301020004010200010102000a01
+02001f010200010102000e0102000c010200ff01560101001401011206010111011206010111150
+10200000102000101040002010200010101000301030004010200000101000001
+0600020102000001020000010200010101000301030004010500000102000001030002010200000
+10100000106000101070001010400020106000101020001010100020104000201
+03000001020000010700020103000401050000010200000103000301020004010300ff014d01030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101111501020000010200010104000201070001010500020106000001060002010200000
+10200000107000101050002010600000102000001030001010600000106000101
+0700000106000101060001010700010104000201020001010200000107000101050002010600000
+10200000103000301020003010500ff014c010100140101120601011101120601
+0111150102000001020003010200030106000001020001010200000103000001020001010200050
+10600010106000001020001010200000102000001030000010200010102000001
+0300000102000101020004010700000101000101020002010200050106000301020003010200000
+10100010107000001020001010200000102000001030000010200010102000301
+02000201020001010200ff014b01010014010112060101110112060101111501020000010200030
+10200030103000001010000010200010102000001020002010100010102000501
+0500020103000001010000010200010102000001020001010200000102000101020000010200020
+10100010102000401010000010100000101000301030002010200050103000001
+0100030102000401030002010100000101000001010000010200010102000001020001010200000
+1020001010200030102000201020001010200ff014b0103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111501020000010200030
+10200030102000401070000010200060102000501020005010200040102000101
+0200000102000101020000010200010102000001020006010200040101000001010000010100010
+10500020102000501020007010200040103000201010000010100000101000001
+020001010200000102000101020000010200010102000301020002010700ff014b0101001401011
+20601011101120601011115010200000102000301020003010200040102000501
+0200060102000501020005010200040102000101020000010200010102000001020001010200000
+10200060102000401010000010100000101000001020000010200020102000501
+0200070102000401030002010100000101000001010000010200010102000001020001010200000
+10200010102000301020002010200ff0150010100140101120601011101120601
+0111150102000001020003010200030102000401030001010100000103000101010001010200000
+10100020102000501020004010200010102000001020001010200000102000001
+0300000103000101010001010200000101000101010003010100000102000001020002010200000
+10100020102000701020003010100000102000101010003010100000102000101
+020000010200010102000001020000010300030102000201030001010100ff014b0103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111140107000101060000010400040106000101060001010500010104000301040004010500020
+10600000107000101060001010500010102000101020000010700010105000101
+0400040106000001020001010200000102000101020001010500020106000001070001010600010
+10600ff014b010100140101120601011101120601011114010600020106000001
+0400050104000301040003010300020104000301040005010300040102000001010001010300000
+10100020104000301030002010200010102000101020000010200020103000201
+0400040106000001020000010300000102000101020002010300040102000001010001010300000
+101000101060002010400ff014c0101001401011206010111011206010111ff01
+ff01400103000001010000010100000101000001010000010100000101000001011206010111011
+206010111ff01ff01400101001401011206010111011206010111ff01ff014001
+01001401011206010111011206010111ff01ff01400103000001010000010100000101000001010
+000010100000101000001011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010100140
+1011206010111011206010111ff01ff0140010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001010014010112060101110112060101111401
+0600040101002101000004010600170103001501000004010100030101000d0103000a010400ff0
+18c01030000010100000101000001010000010100000101000001010000010112
+0601011101120601011114010700020103001f01010004010700160103001401010004010100030
+101000d0103000a010400ff018c01010014010112060101110112060101111501
+02000001020003010100200101000501020000010200170102001401010004010200010102000e0
+102000c010200ff018c0101001401011206010111011206010111150102000001
+0200250102000501020000010200170102001301020004010200010102000e0102000c010200ff0
+18c01030000010100000101000001010000010100000101000001010000010112
+0601011101120601011115010200000102000101040002010200010101000301030004010200000
+10100000106000201020000010200000102000101010003010300040105000001
+0200000103000201020000010100000106000101070002010300040105000001020000010300030
+1020004010300ff01830101001401011206010111011206010111150102000001
+0200010104000201070001010500020106000001060002010200000102000001070001010500020
+10600000102000001030001010600000106000101070001010500020106000001
+0200000103000301020003010500ff0182010100140101120601011101120601011115010200000
+10200030102000301060000010200010102000001030000010200010102000501
+0600010106000001020001010200000102000001030000010200010102000001030000010200010
+10200040107000001020001010200000102000001030000010200010102000301
+02000201020001010200ff018101030000010100000101000001010000010100000101000001010
+00001011206010111011206010111150102000001020003010200030103000001
+0100000102000101020000010200020101000101020005010500020103000001010000010200010
+10200000102000101020000010200010102000001020002010100010102000401
+0100000101000001010000010200010102000001020001010200000102000101020003010200020
+1020001010200ff01810101001401011206010111011206010111150102000001
+0200030102000301020004010700000102000601020005010200050102000401020001010200000
+10200010102000001020001010200000102000601020004010100000101000001
+01000001020001010200000102000101020000010200010102000301020002010700ff018101160
+00112060101110112060101111501020000010200030102000301020004010200
+0501020006010200050102000501020004010200010102000001020001010200000102000101020
+00001020006010200040101000001010000010100000102000101020000010200
+0101020000010200010102000301020002010200ff0186011600011206010111011206010111150
+10200000102000301020003010200040103000101010000010300010101000101
+0200000101000201020005010200040102000101020000010200010102000001020000010300000
+10300010101000101020000010100010101000301010000010200010102000001
+0200010102000001020000010300030102000201030001010100ff0181011600011206010111011
+20601011114010700010106000001040004010600010106000101050001010400
+0301040004010500020106000001070001010600010105000101020001010200010105000201060
+0000107000101060001010600ff01810116000112060101110112060101111401
+0600020106000001040005010400030104000301030002010400030104000501030004010200000
+10100010103000001010002010400030103000201020001010200020103000401
+02000001010001010300000101000101060002010400ff018201160001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff0140011600011206010111011206010111ff01ff01400116000112060
+10111011206010111ff01ff014001020012010000011206010111011206010111
+ff01ff014001030010010100011206010111011206010111ff01ff01400104000e0102000112060
+10111011206010111ff01ff01400105000c010300011206010111011206010111
+ff01ff01400106000a010400011206010111011206010111ff01ff0140010700080105000112060
+10111011206010111ff01ff014001080006010600011206010111011206010111
+ff01ff014001090004010700011206010111011206010111ff01ff0140010a00020108000112060
+10111011206010111ff01ff0140010b0000010900011206010111011206010111
+ff01ff0140011600011206010111011206010111ff01ff014001160001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff00ff005700011206010111
+011206010111ff00ff005700011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01a4019900180101120601011
+1011206010111ff01a40199001801011206010111011206010111ff012e010000
+3c0104000401010004010400050100001a019900180101120601011101120601011114010200010
+10200040100008a01020009010000110102005c0101003b010600020103000301
+0400040101001a01990018010112060101110112060101111501010002010100030102008a01010
+008010200110101005c0101003b01020000010200030101000601020004010100
+1a01990018010112060101110112060101111501010002010000050100008b01010009010000120
+101005b0102003b01020010010200030102001a01990018010112060101110112
+0601011115010100020100009201010000010200180101002501010000010300020104000201020
+00101010002010400020100000001010000010100030103000201060003010300
+020102000101010002010300000100001c010500030104000501020002010600030103000201020
+00101010005019900180101120601011101120601011115010100010100000301
+030005010300010101000401000003010300050100001f010100010101000401030002010100020
+1010003010300040103001d010100020100000301030003010100010101000401
+010000010100030103001d010700000106000101070000010600010107000101050001010600020
+1050001010700000106001c010500030104000501020002010600020105000101
+0700040199001801011206010111011206010111150101000101000005010100030102000101010
+001010100020101000101020001010100030102001d0100000001000000010300
+02010100010101000001030000010300000102000101010001010200010101001c0101000101000
+00601010002010000000100000001030002010000010102000101020001010100
+1c01030000010200000101000101020002010600000101000101020001010700000102000101020
+00101020004010200010102000101060000010200000102001d01020007010200
+0501020003010200040102000101020001010600040199001801011206010111011206010111150
+10100010100000401010004010100020101000101010002010100010101000201
+0000050100002001020000010100060101000101000000010000000100000001010000010100020
+1010001010100020100001d010300060101000501020000010100010101000101
+010002010100020100001d010200010102000301030002010300000101000301030001010100000
+10100000101000001020001010200010102000401020001010200010103000001
+010000010300010100001d010200070102000501020003010200040102000101020001010300000
+10100040199001801011206010111011206010111150101000001000005010100
+03010100020101000201010002010000030101002a0101000101010003010300020100000001010
+00101030002010100030101002001030006010100050101000101010001010100
+0101010003010100200102000101020001010500020102000501050001010100000101000001010
+000010700010102000401070001010200050104001e0102000701020005010200
+0301020004010700010102000801990018010112060101110112060101111501010000010000050
+10100030104000301010001010000000100000401020027010100020100000201
+01000101010001010100000101000001010000010400060102001e0100000101000006010100040
+10100020100000101010002010100040102001e01020001010200000102000001
+0200020102000401020000010200010101000001010000010100000102000601020004010200060
+1020004010000010103001d010200070102000501020003010200040102000601
+0200080199001801011206010111011206010111150101000001000004010100040101000601010
+00001010000010000020100000201010026010100010101000101010002010100
+0101010000010000010101000001010007010000020101001c01010001010100040101000501010
+001010100010101000101010003010000020101001d0102000001030000010200
+0001020002010200040102000001020001010100000101000001010000010300010101000101020
+00001010001010300010101000101020004010200000102001d01020007010200
+0501020003010200000101000101030001010100010102000801990018010112060101110112060
+10111150102000501010001010000020101000201000001010600010101000101
+0200040100002001010001010100000102000101020000010100010100000101000002010100020
+1000001010100010102001c010100010101000001000002010100010100000201
+01000101010000010200000102000001000000010100010102001d0106000101070000010400030
+10700000101000001010000010100010106000101050002010600000104000301
+06001c0104000401060001010600010105000201060000010400070199001801011206010111011
+20601011115010100070102000401030003010100000101000301030005010200
+1e010100030101000101020001010100000100000401000003010300030103001e0101000201010
+00401020002010100030101000101020000010100020103001f01050003010200
+0001020000010400040102000001020000010100000101000001010002010400030103000401040
+00101040003010000000103001d01040004010600010106000201030004010400
+01010400070199001801011206010111011206010111430100003801000076010200ab019900180
+1011206010111011206010111f5010200ab019900180101120601011101120601
+0111f4010400aa0199001801011206010111011206010111ff01a40199001801011206010111011
+206010111ff01a40199001801011206010111011206010111ff01a40104000801
+8b001801011206010111011206010111ff01a401040008018b00180101120601011101120601011
+1ff01a40199001801011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff0157010112060101110112060101116d0103000401030034010400
+04010100040104004e0103000301010006010000070101003d010300270101000f0100000701010
+09f010112060101110112060101116d0103000401030033010600020103000301
+04004e0103000201030004010100060103003c010300260103000d010100060103009e010112060
+101110112060101116e0102000501020033010200000102000301010006010200
+4f0102000301010005010100070101003e010200270101000e010100070101009f0101120601011
+10112060101116e0102000501020033010200100102004f0102000a0102004801
+020037010200a901011206010111011206010111660104000201050002010500020102000101010
+002010300000100001c0105000301040005010200040103000301030000010000
+1e01020000010100020103000101030000010200030105000101040002010600020104000401030
+0010103000001020002010300000100001e010500020103000301030000010000
+0301020000010100000102000101010002010400020101000001030001010600020104000401030
+001010300000102008b0101120601011100120911650106000101060001010600
+01010700000106001c010500030104000501020003010500010106001d010600010105000001080
+0010106000101040002010600020104000301050000010800000106001d010600
+0101050001010600020106000001070001010400020107000001060002010400030105000001080
+08a01011208110912001165010100010102000101030000010200000103000001
+02000101060000010200000102001d0102000701020005010200020102000101020000010200000
+102001c0103000001020000010200010102000001030000010200000102000001
+03000301020003010200070102000201020001010200000103000001020000010200000102001c0
+10200000103000001020001010200000102000001020001010300000102000101
+06000301020002010300000102000101020007010200020102000101020000010300000102008a0
+10912001101120601011168010300010102000101020000010200010102000101
+03000001010000010300010100001d0102000701020005010200020102000101020000010300010
+100001c0102000201010000010200010102000001020001010200000102000101
+02000301020003010200070102000201020001010200000102000101020000010300010100001c0
+10200010102000001020001010200000103000101000001010200020101000101
+0300000101000301020002010200010102000101020007010200020102000101020000010200010
+102008a0101120601011101120601011166010500010102000101020000010200
+0101020001010200050104001e010200070102000501020002010700010104001d0102000501020
+00101020000010200010102000001020001010200030102000301020007010200
+02010200010102000001020001010200010104001d0102000101020000010700010104000201020
+00601020007010200020102000101020001010200070102000201020001010200
+00010200010102008a0101120601011101120601011165010200000102000101020001010200000
+10200010102000101020004010000010103001d01020007010200050102000201
+020005010000010103001c010200050102000101020000010200010102000001020001010200030
+10200030102000701020002010200010102000001020001010200000100000101
+03001c0102000101020000010200050100000101030001010200060102000701020002010200010
+102000101020007010200020102000101020000010200010102008a0101120601
+0111011206010111650102000001020001010200010102000001020001010200010102000401020
+0000102001d010200070102000501020002010300010101000001020000010200
+1c01030001010100000102000101020000010200010102000001020001010200030102000301020
+00001010004010200020102000101020000010200010102000001020000010200
+1c01020001010200000103000101010000010200000102000101030001010100010102000701020
+00201020000010300010102000001010004010200020102000101020000010200
+010102008a0101120601011101120601011165010700000106000101060001010400030106001c0
+10400040106000101060001010600000106001d01060001010500000103000001
+030001010600010106000101050002010600010105000001030000010300000106001d010600010
+10600000106000201060000010400040106000001060002010500020106000101
+050000010300000103008a010112060101110112060101116601020000010200000101000001020
+002010100000102000201040003010000000103001d0104000401060001010600
+0201040001010000000103001f01040003010300010103000001030002010200000101000101060
+0020103000301060002010300010103000001030000010000000103001f010200
+0001010002010400010100000001030004010400010104000401060000010500040103000301060
+00201030001010300000103008a01011206010111011206010111ff01a0010200
+b301011206010111011206010111ff01a0010200b301011206010111011206010111ff019f01040
+0b201011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff12ff12591206010111011206010011ff12ff125a120601011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e0
+1011101121e0100110012ff01ff012701001100121e01011101121e0100110012
+ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121f1
+10012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matats.ps b/books/ps/h-matats.ps
new file mode 100644
index 0000000..3decf98
--- /dev/null
+++ b/books/ps/h-matats.ps
@@ -0,0 +1,860 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:16:14 1991
+%%Title: h-matats.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matats.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+00201070002014900200104000901020006010000070100001001000004010200
+110100001e010300210105002001000013010000040100001f01000010010100030105000401000
+02201060002010400020102000201030002010200040101000401020002012800
+00011d00011206010111011206010111050002010d00020100000201050002010700020149001f0
+10100010102000901010006010000070100000f01020004010100110100001d01
+01000101010021010100010101001e01020012010000030101000d0100000f0102000e010000060
+10100010101000401000021010600020104000201020002010300020102000401
+0100040102000201260004011b00011206010111011206010111050002010d00020100000201050
+002010700020149001f0101000201010009010100050101000601010010010000
+05010100100101001d0101000101010021010100020101001e01000013010100020101000d01000
+0100100000e010100060101000101010004010000210106000201040002010200
+02010300020102000b0102000201240008011900011206010111011206010111050002010e00040
+1060002010700020149001f010000030101000801030004010100060101001701
+0100100101001d010100250101000201010033010100010101000d0101001f01010007010100010
+10100040101002001060002010400020102000201030002010200020100000301
+000002010200020122000c011700011206010111011206010111050008010800040106000201070
+00201490024010100080100000001010002010600010106000101010000010300
+0201030004010400020102000001020001010600030103000301030000010000080101000401010
+00001030003010300020100000001010000010100070101000201010002010300
+0201000000010100000101000201040003010300030101000001020008010500030103000301050
+00101010001010200020103000401010002010100010101000601010001010100
+05010100200106000a010200020103000201020002010000030100000201020007011b001001150
+00112060101110112060101110500090108000201070002010700020149002401
+0100080100000001010004010100060101000501020001010100030101000401020000010100020
+10100010101000301010005010100010101000101010002010100070104000301
+0200010101000101010001010100010101000001010000010100060101000201010001010100010
+10100010101000001010000010100000101000201010004010100040101000101
+0100060106000201010001010100030101000301000000010200010101000301010003010000000
+101000001010001010100070101000101010005010100200106000a0102000201
+0300020102000201010001010100020102000801180014011300011206010111011206010111050
+00901080002010700020107000201490023010100090100000101010003010100
+0601010005010100020101000301010004010100020101000101010001010100030101000401010
+00201010001010100030100000801010005010100020101000001010003010100
+0001010000010100000101000601010002010100000101000301010000010100000101000001010
+00001010002010100040101000401010001010100060100000001020000010000
+0601010003010100050102000101010002010100060103000201010007010400060101002001060
+00a01020002010300020102000201010001010100020102000801160018011100
+011206010111011206010111050002010e000401060002010700020149002201010009010500030
+10100060101000501010008010100040101000201010001010100010101000301
+010004010600020102000b010100050101000501010003010100000101000001010000010100060
+10100020101000001010003010100000101000001010000010100030103000401
+0100040101000101010006010000010100000101000003010300040101000501010007010100070
+10200020101000701030006010100210106000201040002010200020103000201
+02000201050002010200020121000e011600011206010111011206010111050002010e000401060
+00201070002014900210101000a01000002010100030101000601010005010100
+0801010004010100020101000101010001010100030101000401010009010200090101000501010
+00501010003010100000101000001010000010100060101000201010000010100
+0301010000010100000101000001010001010100010101000401010004010100010101000601000
+00301000002010100010101000301010006010100070101000601020003010100
+0601010000010100060101002101060002010400020102000201030002010200020105000201020
+0020121000e011600011206010111011206010111050002010d00020100000201
+05000201070002014900200101000b0100000301010002010100060101000501010008010100040
+10100020101000101010001010100030101000401010006010000030101000801
+0100050101000501010003010100000101000001010000010100060101000201010000010100030
+10100000101000001010000010100000101000201010004010100040101000101
+0100050100000401000001010100020101000301010005010100070101000601010000010100020
+10100060101000101010004010100220106000201040002010200020103000201
+02000201050002010200020121000e011600011206010111011206010111050002010d000201000
+00201050002010700020149001f01010003010000060101000301010002010100
+0101000003010100010100000201010008010100040102000001010002010100000102000301010
+00101000002010100020100000101010002010100080101000501010006010100
+0101010001010100000101000001010006010100010101000201010001010100010101000001010
+00001010000010100010102000401010004010100010101000501000004010000
+0101010001010200000100000101010001010000020101000701010001010000030100000101010
+00001000001010000060101000101010004010100220106000201040002010200
+02010300020102000201050002010200020121000e0116000112060101110112060101110500020
+10c00020102000201040002010700020149001f01060006010200010102000301
+0200050102000201040004010500010101000001020004010200000101000301020004010300020
+10000000103000801030003010400050103000201010000010100000101000501
+0500040103000201010000010100000101000101020001010100010105000101020000010300040
+10100020102000101020001010100030102000301010008010200020101000301
+0100020100000501030001010100020100002401060002010400020102000201030002010200020
+1050002010200020121000e011600011206010111011206010111050002010c00
+020102000201040002010700020149001f010500ff01020100000d0101002501060002010400020
+10200020103000201020002010500020102000201470001120601011101120601
+0111050002010b0002010400020103000201070002014900ff015f0106000201040002010200020
+10300020102000201050002010200020147000112060101110112060101110500
+0901040002010400020103000201070002014900ff015f010600020104000201020009010200020
+10500020102000801410001120601011101120601011105000a01020002010600
+020102000201070002014900ff015f0106000201040002010300080102000201050002010200090
+14000011206010111011206010111060009010300010107000101030001010800
+01014900ff015f01070001010500010104000601040001010600010103000801400001120601011
+10112060101117b00ff015f017b000112060101110112060101117b00ff015f01
+7b000112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f0
+17b00011206010111011206010111ff00ff005700011206010111011206010111
+ff00ff005700011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+1570101120601011101120601011116010400040101000f010100060100000e01
+03003c0100009a0103000f01040003010400150104000b010100030101000c0100000c010300060
+10400b20101120601011101120601011115010600020103000d01030004010100
+0e0103003b0101009a0103000f01040003010400150104000b010100030101000b0101000c01030
+006010400b2010112060101110112060101111501020000010200030101000f01
+0100050101000f0102003b0101009b0102001101020005010200170102000b010200010102000b0
+101000d01020008010200b2010112060101110112060101111501020020010200
+0e010400390102009b0102001101020005010200170102000b010200010102000a0102000d01020
+008010200b2010112060101110112060101111401050003010400010103000001
+0200020104000201060003010300030104000301040000010000010104000001000000010200010
+10100030103000301040000010000010104000201060003010300880103000001
+0000010106000201040005010200050102000401030002010200010102000301020002010300000
+10200000107000001020000010300000106000201040002010500050102000401
+0300a90101120601011101120601011114010500030104000101080001010400020106000201050
+00201010000010100020107000001070000010700010105000101070000010600
+0101060002010500860106000101070000010600040102000501020003010500010102000101020
+00301020002010300000102000001070000010200000103000001060001010600
+010106000401020003010500a801011206010111011206010111150102000701020002010300000
+10200030102000301020004010200010102000101010000010200010102000001
+0300000102000001030001010600000102000101020000010200000103000001010001010200020
+10200040102000101020085010200000102000101030000010200000101000101
+0200040102000501020002010200010102000001010003010100030102000201020001010200000
+10700000102000101020001010200040101000101020001010300000102000301
+02000201020001010200a7010112060101110112060101111501020007010200020102000101020
+00301020003010200040102000101020001010100010101000101020000010200
+0101020000010200020103000001010000010200010102000001020000010200040103000201020
+00401020001010200850103000101000001010200010102000301030004010200
+0501020002010200010102000001010000010100000101000301020003010200000101000101010
+00001010000010100000102000101020001010200070103000101020001010200
+030102000201020001010200a701011206010111011206010111150102000701020002010200010
+10200030102000301020004010700000106000101020000010200010102000001
+0200020102000401070000010200000102000201050002010200040107008601040002010200010
+10200010105000401020005010200020102000101020000010100000101000001
+0100030102000301050001010100000101000001010000010200010102000101020005010500010
+10200010102000301020002010700a70101120601011101120601011115010200
+0701020002010200010102000301020003010200040102000501070001010400030104000301020
+00401020006010400020102000001020002010200040102008a01000001010300
+0101020001010200000102000001020004010200050102000201020001010200000107000301020
+00401030002010100000101000001010000010200010102000101020004010200
+0001020001010200010102000301020002010200ac0101120601011101120601011115010200070
+10200020102000101020003010200030102000001010001010300010101000001
+0100020102000001030004010300050102000401030001010100000103000401020000010200020
+10200000101000101030001010100850102000001020001010200010102000001
+0200000102000401020005010200020102000101020000010700030102000401030002010100030
+10100000102000001030001010200000101000101020000010200010102000101
+0200030102000201030001010100a7010112060101110112060101111401040004010a000001030
+0010106000101050002010a000001030000010600010106000101040004010600
+0001060001010700010105000201060085010600000103000001030000010700010106000101060
+00101050002010200000101000201060003010100030102000101020000010700
+0101050001010700000106000201060001010600a70101120601011101120601011114010400040
+10a00000103000101060002010300040104000001030000010300010106000101
+0600000104000501040002010600010102000001020002010300040104008601000000010300010
+10300000103000101020000010200010106000101060002010300030101000101
+0100020106000201020003010200010102000101030000010100020103000301020000010200000
+10100000102000301060002010400a80101120601011101120601011153010200
+0101020000010200010102001201020001010200e9010200ea01011206010111011206010111530
+107000001070012010700e8010300ea0101120601011101120601011154010500
+0201050014010500e9010200eb01011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff00ff005700011206010111011206010111ff00ff00570001120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01c80175001801011206010111011206010111ff01c801750018010112060
+10111011206010111ff01900104000401010004010400050100001a0175001801
+011206010111011206010111140102000101020004010000ff016c0106000201030003010400040
+101001a0175001801011206010111011206010111150101000201010003010200
+ff011d0100004c010200000102000301010006010200040101001a0175001801011206010111011
+206010111150101000201000005010000ff011e0100004c010200100102000301
+02001a01750018010112060101110112060101111501010002010000ff01240101004b010500030
+10400050102000201060003010300020102000101010005017500180101120601
+0111011206010111150101000101000003010300050103000101010004010000030103000501000
+04c0101000101010004010300020101000201010003010300040103004b010100
+0001010004010300020101000101020003010300020101000201010003010300030105000301030
+00201010001010200030103002f01050003010400050102000201060002010500
+0101070004017500180101120601011101120601011115010100010100000501010003010200010
+1010001010100020101000101020001010100030102004a010000000100000001
+0300020101000101010000010300000103000001020001010100010102000101010049010000000
+10100000101000201010001010100000100000001020001010100010101000101
+0100000103000001030000010200010101000301010004010200010101000001000000010200010
+1010000010200010101002f010200070102000501020003010200040102000101
+0200010106000401750018010112060101110112060101111501010001010000040101000401010
+00201010001010100020101000101010002010000050100004d01020000010100
+0601010001010000000100000001000000010100000101000201010001010100020100004c01010
+00001010006010100020102000101010005010100010100000001000000010000
+0001010000010100020101000301010004010100020101000201020001010100000101000201000
+03001020007010200050102000301020004010200010102000101030000010100
+0401750018010112060101110112060101111501010000010000050101000301010002010100020
+10100020100000301010057010100010101000301030002010000000101000101
+030002010100030101004f010000010101000301030003010100070103000201000000010100010
+10300020101000401010003010100020101000301010006010100330102000701
+0200050102000301020004010700010102000801750018010112060101110112060101111501010
+00001000005010100030104000301010001010000000100000401020054010100
+02010000020101000101010001010100000101000001010000010400060102004c0101000101010
+00101010001010100030101000501010001010100010101000001010000010100
+0001040005010100040104000501010007010200310102000701020005010200030102000401020
+00601020008017500180101120601011101120601011115010100000100000401
+0100040101000601010000010100000100000201000002010100530101000101010001010100020
+101000101010000010000010101000001010007010000020101004b0101000001
+0100010101000201010002010100050101000201010001010100000100000101010000010100080
+10100040101000701010006010000020101003001020007010200050102000301
+0200000101000101030001010100010102000801750018010112060101110112060101111501020
+00501010001010000020101000201000001010600010101000101020004010000
+4d01010001010100000102000101020000010100010100000101000002010100020100000101010
+0010102004b010100000101000101010001010200000100000001010005010100
+0101020000010100010100000101000002010100020100000301010001010000020101000201000
+00201010005010100010102002f01040004010600010106000101050002010600
+0001040007017500180101120601011101120601011115010100070102000401030003010100000
+1010003010300050102004b010100030101000101020001010100000100000401
+000003010300030103004c010400030102000101010001010100060102000101010000010000040
+10000030103000501020004010300030101000601030031010400040106000101
+0600020103000401040001010400070175001801011206010111011206010111430100006501000
+05b01010027010000950175001801011206010111011206010111ff0107010100
+be0175001801011206010111011206010111ff0106010300bd01750018010112060101110112060
+10111ff01c80175001801011206010111011206010111ff01c801750018010112
+06010111011206010111ff01c8010400080167001801011206010111011206010111ff01c801040
+0080167001801011206010111011206010111ff01c80175001801011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111a70101000f010100d6010300270101000f010000070101007b01011206010111011
+206010111a60103000d0103006a01020004010000100100004f01030026010300
+0d010100060103007a01011206010111011206010111a70101000f0101006c01010003010200060
+10000060102004f010200270101000e010100070101007b010112060101110112
+06010111ff012801010004010000070100000701000050010200370102008501011206010111011
+20601011194010300020102000101010002010400030104000001000001010400
+01010300000102000201030000010000570101000d0101005601050002010300030103000001000
+00301020000010100000102000101010002010400020101000001030001010600
+0201040004010300010103000001020067010112060101110112060101119301050001010700010
+10400020107000101040001010800000106003901030005010200020101000101
+0100040101000001010002010300040105000201030006010200020101000101010004010300300
+10600010105000101060002010600000107000101040002010700000106000201
+0400030105000001080066010112060101110112060101119201020001010200010106000301020
+00201020000010300030102000201030000010200000102000001020037010200
+0101010002010100010101000001000000010000000103000201000001010200040101000501010
+00701010004010100010101000001000000010000000103000101020001010100
+2e01020000010300000102000101020000010200000102000101030000010200010106000301020
+00201030000010200010102000701020002010200010102000001030000010200
+6601011206010111011206010111920102000101020001010300000101000301020002010200000
+10200040102000201020001010200000103000101000037010100020100000301
+0100010101000201020000010100010101000101010004010100060101000601010005010100010
+10100020102000001010001010100020100002f01020001010200000102000101
+0200000103000101000001010200020101000101030000010100030102000201020001010200010
+10200070102000201020001010200000102000101020066010112060101110112
+0601011192010200010102000101020007010200020102000001020004010200020102000101020
+00101040037010100070101000201010002010100010101000101010001010100
+0401010006010100060101000401010002010100020101000101010002010100320102000101020
+00001070001010400020102000601020007010200020102000101020001010200
+0701020002010200010102000001020001010200660101120601011101120601011192010200010
+10200010102000701020003010400050102000201020001010200000100000101
+0300360101000701010002010100010101000201000001010100020101000401010005010100070
+10100040101000201010001010100020100000401020030010200010102000001
+0200050100000101030001010200060102000701020002010200010102000101020007010200020
+10200010102000001020001010200660101120601011100120911920102000101
+0200010102000701020002010300070102000201020001010200000102000001020036010100070
+10100010101000201010001010100010101000101010004010100060101000601
+01000501010001010100020101000101010002010000020101002f0102000101020000010300010
+10100000102000001020001010300010101000101020007010200020102000001
+0300010102000001010004010200020102000101020000010200010102006601011208110912001
+19301050001010400040106000001060002010a00000103000001060037010100
+0201000002010100010101000201010001010100000102000001020000010000020101000101000
+00301010001010000030101000101000002010100010101000201010001010100
+0001020001010200300106000101060000010600020106000001040004010600000106000201050
+00201060001010500000103000001030066010912001101120601011194010300
+02010400040106000101060001010a0000010300000100000001030039010300040102000301010
+00301010001010200000101000401020005010200050102000401020003010100
+0301010001010300330102000001010002010400010100000001030004010400010104000401060
+00001050004010300030106000201030001010300000103006601011206010111
+011206010111ad01020001010200ff010e0102008f01011206010111011206010111ad010700ff0
+10e0102008f01011206010111011206010111ae010500ff010e0104008e010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff12ff12591206010111011206010011ff12ff125a1206010111
+01121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matdesc.ps b/books/ps/h-matdesc.ps
new file mode 100644
index 0000000..fe1fa02
--- /dev/null
+++ b/books/ps/h-matdesc.ps
@@ -0,0 +1,1041 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:16:31 1991
+%%Title: h-matdesc.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matdesc.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+00201070002014900360105002001000015010200000100001e01000022010000
+1c010000040100001f0100001001010003010500040100003901060002010400020102000201030
+00201020004010100040102000201280000011d00011206010111011206010111
+050002010d000201000002010500020107000201490037010100010101001e01020013010100000
+102001e010000220100001c010000030101000d0100000f0102000e0100000601
+0100010101000401000038010600020104000201020002010300020102000401010004010200020
+1260004011b00011206010111011206010111050002010d000201000002010500
+020107000201490037010100020101001e01000013010100020101001d010100210101001c01010
+0020101000d010000100100000e01010006010100010101000401000038010600
+020104000201020002010300020102000b010200020124000801190001120601011101120601011
+1050002010e000401060002010700020149003701010002010100330101000301
+00001d010100210101001c010100010101000d0101001f010100070101000101010004010100370
+10600020104000201020002010300020102000201000003010000020102000201
+22000c0117000112060101110112060101110500080108000401060002010700020149003701010
+00201010002010300020100000001010000010100020104000301030003010100
+0001020008010100030100000201030002010100000102000301030000010000010106000101010
+00001030001010200000102000301030002010600030103000201010000010300
+0701050003010300030105000101010001010200020103000401010002010100010101000601010
+00101010005010100370106000a01020002010300020102000201000003010000
+0201020007011b00100115000112060101110112060101110500090108000201070002010700020
+14900370101000201010001010100010101000101010000010100000101000001
+0100020101000401010004010100010101000701010006010100010101000201010001010100010
+10100020101000301010005010200010101000101010001010100020101000101
+0100030101000501010001010100020102000101010005010600020101000101010003010100030
+10000000102000101010003010100030100000001010000010100010101000701
+01000101010005010100370106000a0102000201030002010200020101000101010002010200080
+11800140113000112060101110112060101110500090108000201070002010700
+0201490037010100020101000001010003010100000101000001010000010100000101000201010
+00401010004010100010101000701010005010100030101000101010001010100
+0101010003010000030101000501010002010100010101000101010001010100020101000301010
+00401010003010100010101000201010005010000000102000001000006010100
+0301010005010200010101000201010006010300020101000701040006010100370106000a01020
+00201030002010200020101000101010002010200080116001801110001120601
+0111011206010111050002010e00040106000201070002014900370101000201010000010100030
+10100000101000001010000010100030103000401010004010100010101000701
+0100050101000301010001010100010101000201020006010100050101000601010001010100010
+10100080101000401010003010100010101000a01000001010000010100000301
+0300040101000501010007010100070102000201010007010300060101003801060002010400020
+1020002010300020102000201050002010200020121000e011600011206010111
+011206010111050002010e000401060002010700020149003701010002010100000101000301010
+00001010000010100000101000101010001010100040101000401010001010100
+0701010003010000000101000301010001010100010101000401020004010100050101000601010
+00101010001010100080101000401010003010100010101000a01000003010000
+0201010001010100030101000601010007010100060102000301010006010100000101000601010
+03801060002010400020102000201030002010200020105000201020002012100
+0e011600011206010111011206010111050002010d0002010000020105000201070002014900370
+10100020101000001010003010100000101000001010000010100000101000201
+0100040101000401010001010100070101000301000000010100030101000101010001010100010
+10000030101000301010005010100060101000101010001010100030100000301
+0100040101000301010001010100090100000401000001010100020101000301010005010100070
+10100060101000001010002010100060101000101010004010100390106000201
+04000201020002010300020102000201050002010200020121000e0116000112060101110112060
+10111050002010d00020100000201050002010700020149003701010001010100
+0201010001010100010101000001010000010100000101000101020004010100040101000101010
+00801010001010100010101000101010002010100010101000101010002010100
+0301010001010000020101000601010000010200020101000101010003010100010100000201010
+00101010002010100090100000401000001010100010102000001000001010100
+0101000002010100070101000101000003010000010101000001000001010000060101000101010
+00401010039010600020104000201020002010300020102000201050002010200
+020121000e011600011206010111011206010111050002010c00020102000201040002010700020
+14900360105000401030002010100000101000001010001010200010101000101
+0500010102000001030008010300030103000201020000010300000100000001030005010200020
+10400050102000001010002010300050102000401030002010400070101000201
+0200010102000101010003010200030101000801020002010100030101000201000005010300010
+10100020100003b01060002010400020102000201030002010200020105000201
+0200020121000e011600011206010111011206010111050002010c0002010200020104000201070
+002014900ff01110100000d0101003c0106000201040002010200020103000201
+0200020105000201020002014700011206010111011206010111050002010b00020104000201030
+00201070002014900ff015f010600020104000201020002010300020102000201
+0500020102000201470001120601011101120601011105000901040002010400020103000201070
+002014900ff015f01060002010400020102000901020002010500020102000801
+410001120601011101120601011105000a01020002010600020102000201070002014900ff015f0
+10600020104000201030008010200020105000201020009014000011206010111
+01120601011106000901030001010700010103000101080001014900ff015f01070001010500010
+10400060104000101060001010300080140000112060101110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101117b00ff015f017b00011206010111
+011206010111ff00ff005700011206010111011206010111ff00ff0057000112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff01570101120601011101120601011113010b0006010100030101000c01000
+010010000110101000301050003010100ff01e401011206010111011206010111
+13010b0007010000030100000d0100000f0102000f010100050101000101010003010100ff01e30
+10112060101110112060101111301010000010000000100000001000000010200
+07010100010101000c0101001001000010010100050101000101010003010100ff01e3010112060
+10111011206010111130102000001000000010000000100000001010007010100
+010101000c01010021010100060101000101010004010100ff01e20101120601011101120601011
+11301010000010000000100000001000000010200070105000201040002010600
+010101000001030002010300030102000101020002010100050101000101010005010100ff01e20
+10112060101110112060101111301020000010000000100000001000000010100
+0701050001010100020101000301010005010200010101000301010004010100010101000301010
+0050101000101010005010100ff01e20101120601011101120601011113010100
+0001000000010000000100000001020007010000000101000001000001010100020101000301010
+00501010002010100030101000501010000010000040101000501040006010100
+ff01e20101120601011101120601011113010200000100000001000000010000000101000701000
+00001010000010000040103000301010005010100080101000601010005010100
+0501030007010100ff01e2010112060101110112060101111301010000010000000100000001000
+00001020007010000030100000201010001010100030101000501010008010100
+0601010005010100040101000001010007010100ff01e2010112060101110112060101111301020
+00001000000010000000100000001010007010000030100000101010002010100
+030101000501010008010100050100000001010004010100040101000101010006010100ff01e20
+101120601011101120601011113010b0007010000030100000101010001010200
+0301010001010000020101000801010004010100010101000401010003010100010101000501010
+0ff01e30101120601011101120601011113010b00060102000101020001010200
+0101010003010200020104000401050001010200010102000301010002010300010101000401010
+0ff01e301011206010111011206010111600101000d010100ff01e40101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff016301070004010100
+e4010112060101110112060101112a0101006f010500210102001f0100001e0103001b0100003a0
+1080002010300e301011206010111011206010111290102003c01000032010100
+01010100210101001e0102001c010100010101001a0100003b0102000101020003010100e401011
+206010111011206010111290102003c0100003201010001010100210101001f01
+00001d01010001010100190101003b01020001010200ea010112060101110112060101112801000
+0000101003b0101003201010001010100210101003e0101001d0101003b010200
+000102000201040001010300000102000201040000010000cf01011206010111011206010111280
+10000000101000201010001010200040102000001000000010100030100000101
+0100020101000301030002010100010101000301050003010300050100002001010001010100100
+10400090104000301030002010000000101000001010002010400030103000301
+01000001020009010300040101000b0103000301040002010600030103000301030000010100020
+10300020101000001030001010300000102000a01050003010400010108000001
+0700cf0101120601011101120601011128010000000101000101000000010200010101000201010
+00001030000010100010101000001030000010300000102000101010000010000
+0001000000010300030101000401020001010100030102001f010100010101000f0101000201010
+00701010000010200020101000101010001010100000101000001010000010100
+0201010004010100040101000101010007010100010101000201040008010100010101000101010
+00201010003010100050101000101010001010100010101000001000001010100
+01010100020102000101010001010100020100000b0105000501020002010300000102000001020
+000010300cf010112060101110112060101112701000001010100030102000101
+0100010101000201000002010100010101000101000000010000000100000001010000010100020
+10100020102000001010003010100040101000201000005010000200104001001
+0100020101000601010002010100010101000301010000010100000101000001010000010100020
+10100040101000401010001010100060101000301010002010100090101000201
+0100010101000201010003010100040101000201010001010100010101000201010003010100010
+101000201010001010100020100000b0102000001020004010200020102000101
+02000001020000010200d0010112060101110112060101112701000001010100030101000601010
+00101010002010100010100000201000000010100010103000201010003010100
+0101010003010100050101002a01030014010300060101000201010001010100030101000001010
+00001010000010100030103000401010004010100010101000601010003010100
+0201010009010100090103000301010004010600010101000101010002010100030101000101010
+007010100000100000c0102000001020004010200020102000101020000010200
+00010200d0010112060101110112060101112601050003010100060104000201010002010000010
+10100000101000001010000010400040101000201000003010100070102002701
+0100000101001201010001010100060101000201010001010100030101000001010000010100000
+10100010101000101010004010100040101000101010006010100030101000201
+0100090101000701010001010100030101000401010007010300030101000301010001010100070
+10100000100000c0102000001020004010200020102000101020001010400d101
+0112060101110112060101112601000002010100020101000601010006010100010101000101010
+00001000001010100000101000701010001010100030101000501000002010100
+2601010001010100100101000201010006010100020101000101010003010100000101000001010
+00001010000010100020101000401010004010100010101000601010003010100
+0201010009010100030100000101010002010100030101000401010006010000070101000301010
+001010100080101000d0102000101020003010200020102000101020000010300
+d301011206010111011206010111260100000201010002010100060104000301010000010200000
+10100010100000101000002010100020100000201010001010100000100000101
+0100010100000101010001010200040100002001010001010100050100000901010001010200070
+10100000102000201010001010100010101000001010000010100000101000101
+02000401010004010100010101000701010001010100030101000a0101000101010001010100010
+10200030101000101000002010100020100000101050003010100010101000201
+0100080101000c0103000101020001010a000001030000010600d00101120601011101120601011
+12501020000010300010101000701040003010100010101000001000004010000
+0301030002010100030101000301020003010300050102001e01030001010100030102000901020
+00101010007010200000101000201030002010100000101000001010001010200
+0101010001010500010102000001030007010300030103000a01030003010200010101000301020
+004010300030105000301030002010400060100000d0103000101020001010a00
+0001030001010600cf01011206010111011206010111380100000301000011010000270100002c0
+101008c01000004010000160100002901020001010200cf010112060101110112
+060101113701010002010100680101008c0101000201010013010000000100002a010700cf01011
+20601011101120601011138010400680101008e010400140102002b010500d001
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff014d0101000301010
+00c010000100101000d010200000101000d0100004b0103000001030015010000
+5101011206010111011206010111270105007f0102001f0100001e0103001b0100003b010100030
+101000b0101000f0103000b0106000c0101003501010003010500090103000001
+0300140101001a010100340101120601011101120601011128010100010101000d0100007001010
+01e0102001c010100010101001a0100003b010200010102000b01010010010100
+0c010200000102000c0101003401010005010100010101000801020002010100150101001901010
+0350101120601011101120601011128010100010101000d010000700101001f01
+00001d01010001010100190101003b010200010102000a0102001f010200010101000b010200340
+10100050101000101010008010200020101001401020019010100350101120601
+011101120601011128010100010101000c010100700101003e0101001d0101003b0107000101040
+00201060001010200010101000201040002010300000102000001020001010100
+0201040002010600030103000301040000010000020103000201020001010100010103000001020
+00201010006010100010101000901020000010200030103000401020000010100
+0001060003010300020102000101010003010100360101120601011101120601011127010100010
+10100030103000301050001010100030100000101010001010200010101000101
+0100040103000501000032010400090104000301030002010000000101000001010002010400030
+10300030101000001020009010300040101000b01030003010400020106000301
+0300030103000001010002010300020101000001030001010300000102000a01070000010600010
+10600010107000101040002010200010102000001020005010600010106000201
+050001010700010105000101070000010300000102000201010005010100010101000a010200000
+10100030105000201060000010600020105000101070002010100360101120601
+0111011206010111270101000101010001010200010101000301010003010000000101000101010
+00001000000010200010102000001000000010300010102000101010003010200
+3001010002010100070101000001020002010100010101000101010000010100000101000001010
+00201010004010100040101000101010007010100010101000201040008010100
+0101010001010100020101000301010005010100010101000101010001010100000100000101010
+001010100020102000101010001010100020100000b0107000001010001010200
+0201020005010600030102000301020000010100010102000501010001010200020102000401020
+00101020000010200000103000001020001010200010106000001020001010200
+0201010005010100010101000a01020000010100020102000101020000010300000102000101020
+00401020001010200010106000201010036010112060101110112060101112701
+0400020101000201010003010100050101000101010002010200010101000101020000010100010
+10100020100000501000031010100020101000601010002010100010101000301
+0100000101000001010000010100000101000201010004010100040101000101010006010100030
+10100020101000901010002010100010101000201010003010100040101000201
+010001010100010101000201010003010100010101000201010001010100020100000b010100000
+10100000101000301030002010200050103000001010003010200040103000201
+0200080103000201020004010200010102000001020000010200010102000101020001010300000
+10100010102000001010003010100050104000c01040002010200010102000001
+0200020101000101020004010200010102000101030000010100020101003601011206010111011
+20601011127010300020101000201010004010100050101000101000003010100
+0601010001010100020101003e01030006010100020101000101010003010100000101000001010
+00001010003010300040101000401010001010100060101000301010002010100
+0901010009010300030101000401060001010100010101000201010003010100010101000701010
+0000100000c010100000101000001010001010500020102000501020007010200
+0401030002010200060105000201020004010700000102000001020001010200010102000101020
+00501050003010100050103000d01030003010700000102000601020004010200
+0101020001010200060101003601011206010111011206010111260101000001010002010400050
+101000501010002010000030101000501010002010000040102003a0101000101
+0100060101000201010001010100030101000001010000010100000101000101010001010100040
+10100040101000101010006010100030101000201010009010100070101000101
+010003010100040101000701030003010100030101000101010007010100000100000c010100000
+10100000101000001020000010200020102000501020007010200040103000201
+0200010101000101020000010200020102000401020006010400020102000101020001010200060
+103000401010004010100000101000d0103000301020005010200060102000401
+0200010102000101020006010100360101120601011101120601011126010100010101000101010
+00801010005010100010101000201010006010100010101000201000002010100
+3801010002010100060101000201010001010100030101000001010000010100000101000001010
+00201010004010100040101000101010006010100030101000201010009010100
+0301000001010100020101000301010004010100060100000701010003010100010101000801010
+00d01010003010100000102000001020002010200000101000201020007010200
+0301010000010200010102000101010001010200000102000201020000010100010103000101010
+00001030004010200010102000101020006010300040101000401010001010100
+0d01020003010300010101000001030001010100010102000001010001010200010102000101020
+00601010036010112060101110112060101112601010001010100020101000201
+0000030101000101000002010100000102000001000000010100060101000101010000010200010
+10200040100003201010001010200070101000001020002010100010101000101
+0100000101000001010000010100010102000401010004010100010101000701010001010100030
+101000a0101000101010001010100010102000301010001010000020101000201
+000001010500030101000101010002010100080101000d010200010102000001070001010500010
+10400040106000001020001010200000106000101070001010500020106000001
+0600020105000101040006010100060101000301010001010100050100000601010005010600010
+10600010105000201050001010400060101003501011206010111011206010111
+2501030001010100020103000501020004010100010101000101010005010100030101000101030
+00501020032010200010101000701020000010100020103000201010000010100
+00010100010102000101010001010500010102000001030007010300030103000a0103000301020
+0010101000301020004010300030105000301030002010400060100000e010200
+0101020001010200000102000201030002010400040106000001020000010300010104000301020
+00001020002010300040104000201060002010300020104000501020006010100
+0201030001010100030102000501010006010400030104000301030004010300020104000601010
+0350101120601011101120601011167010000b601000004010000160100006801
+02000101020013010200080101000e0101003d0101003401011206010111011206010111ff011f0
+10100020101001301000000010000690107001201030019010100740101120601
+0111011206010111ff0120010400140102006a01050013010200190101007501011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111c7010300000103001501
+0000ff016f01011206010111011206010111ae010500030101000c01030000010300140101001a0
+10100030105000301010006010100150100000701000004010200260103000601
+00001001000007010000390100008801011206010111011206010111af010100010101000301010
+00b01020002010100150101001901010005010100010101000301010006010100
+13010200060100000501010028010100050102000e0102000601000039010000880101120601011
+1011206010111af01010001010100030101000b01020002010100140102001901
+0100050101000101010003010100060101001401000006010100050101002801010006010000100
+1000006010100380101008801011206010111011206010111af01010001010100
+040101000b010200000102000301030004010200000101000001060003010300020102000101010
+003010100060101000101010004010100060101001b0101000501010028010100
+20010100380101008801011206010111011206010111ae01010001010100050101000b010200000
+10100030105000201060000010600020105000101070002010100050101000101
+0100050101000601010007010100030101000101030003010600020104000901030002010200010
+10200000101000001020005010100040103000501030003010300030106000801
+0300020102000101020000010100000102000401030002010100000103000101060002010300000
+100007c01011206010111011206010111ae01010001010100050101000b010200
+0001010002010200010102000001030000010200010102000401020001010200010106000201010
+00501010001010100050101000601010007010100030101000301010005010100
+0501020000010100070101000101010002010100010101000201020000010100040101000601010
+0040101000101010004010100050101000a010100010101000201010001010100
+0201020000010100020101000101010002010200010101000201010004010100020101007c01011
+206010111011206010111ae010400060101000c01040002010200010102000001
+0200020101000101020004010200010102000101030000010100020101000501040006010100060
+10100070101000001010000010100030101000501010005010100010101000601
+0100020101000301010000010000030101000201010003010100060101000301010002010100040
+10100050101000901010002010100030101000001000003010100020101000001
+01000301010001010100020101000201010004010100030100007c0101120601011101120601011
+1ae010300070101000c0103000301070000010200060102000401020001010200
+0101020006010100050103000701010006010100070101000001010000010100030101000501010
+00501010001010100060106000401010004010100020101000301010006010100
+0301010009010100050101000901060004010100040101000201010000010100030101000101010
+007010100050102007f01011206010111011206010111ad010100000101000701
+01000c0103000301020005010200060102000401020001010200010102000601010004010100000
+10100070101000601010007010100000101000001010003010100050101000501
+0100010101000601010009010100040101000201010003010100060101000301010009010100050
+10100090101000901010004010100020101000001010003010100010101000701
+0100070102007d01011206010111011206010111ad01010001010100060101000d0102000301030
+00101010000010300010101000101020000010100010102000101020001010200
+0601010004010100010101000601010006010100080101000001020004010100050101000501010
+00101010006010100080100000001010003010100020101000301010006010100
+0301010003010000040101000501010009010100080100000001010003010100020101000001010
+003010100010101000701010004010000030101007c0101120601011101120601
+0111ad0101000101010005010100060100000601010005010600010106000101050002010500010
+10400060101000301010001010100050101000601010009010100010101000401
+0100050101000101000002010100010101000701010002010000020101000101010002010100010
+10100040101000601010004010100010101000401010005010100010100000701
+0100020100000201010001010100020101000101010002010100010101000201010007010100010
+1000001010100020101007c01011206010111011206010111ac01030001010100
+0401010005010200050101000601040003010400030103000401030002010400060101000201030
+00101010004010100060101000901000003010000020105000401020002010200
+0001030007010300020102000101020001010400030105000201050003010300030105000401020
+00901030002010200010102000101040004010300020104000601020002010000
+000103007d01011206010111011206010111b8010100070101003d0101000d01010006010100450
+101004a010100a401011206010111011206010111c20101009e0101004a010100
+a401011206010111011206010111c10101009e01030048010300a30101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff0157010112060101110112060101119b010100030101000c0100001001
+0100ff019201011206010111011206010111270104002a0100001901000027010100030101000b0
+101000f010300130100003501000010010000160102001f0100001b0102002901
+00000c0102002401020076010112060101110112060101112801010001010000280102000f01000
+00601020026010200010102000b0101001001010013010200340100000f010200
+160101001e0102001b010100280101000d010100250101007601011206010111011206010111280
+101000101010028010000100100000701000027010200010102000a0102002701
+00003401010010010000170101001f0100001c010100270102000d0101002501010076010112060
+10111011206010111280101000101010039010100300107000101040002010600
+01010200010101000201040002010300000102003e010100290101003d010100260103000d01010
+02501010076010112060101110112060101112701010002010100020103000401
+0300040103000201010001010200020103000401010000010100030105000201030006010200020
+1010001010100050100000d010700000106000101060001010700010104000201
+0200010102000601030004010300000100000701040007010000000101000001010002010400020
+10600010101000001030002010300030102000101020007010400030103000201
+0000000101000001010002010400030103000301010000010200070101000301010001010400040
+103000201010000010300030103000a0101000d01040003010400030103000001
+0000030103000401040076010112060101110112060101112701010002010100000102000101010
+00101020001010100010102000101010000010000000102000101010003010100
+0301000000010100000101000301010007010100040101000101010000010000000100000001030
+0030102000c010700000101000101020002010200050106000301020003010200
+0001010009010100030101000201010006010100020101000601010000010100000101000001010
+00201010003010100050102000101010003010100040101000101010007010100
+0001020002010100010101000101010000010100000101000001010002010100040101000401010
+00101010006010100030101000101020000010100020101000101010002010200
+010101000101010001010100090101000d010200000101000101010002010100010101000201010
+00201010001010100020101000001020076010112060101110112060101112701
+0100010101000101010002010100010101000201000002010100020100000301020001010100020
+10100060101000001010003010100060101000501010001010100020102000001
+0100040100000d01010000010100000101000301030002010200050103000001010003010200040
+103000a0101000301010003010000060101000201010006010100000101000001
+0100000101000201010003010100050101000201010003010100050101000001000007010100020
+10100010101000301010000010100000101000001010000010100020101000401
+0100040101000101010006010100000101000001010001010100010101000101010002010100020
+10100020101000001010002010100090101000301070001010100020101000001
+0100020101000101010003010000010101000201010001010100020101007601011206010111011
+20601011127010100010101000001010002010100030101000401010008010100
+0701010006010000010101000301010006010100040101000201010002010100010101001301010
+0000101000001010001010500020102000501020007010200040103000a010100
+040102000c010300060101000001010000010100030103000301010005010100080101000601010
+00801010002010100010101000301010000010100000101000001010003010300
+0401010004010100010101000601010000010100000101000101010001010100010106000201010
+00501060009010100030107000101010002010100030103000201020004010600
+0101010002010100760101120601011101120601011126010100020101000001040006010200020
+10100080101000701010005010100010101000201010007010100040101000201
+0100010101000201000014010100000101000001010000010200000102000201020005010200070
+10200040103000a01010006010200080101000101010006010100000101000001
+0100010101000101010003010100050101000801010006010100080101000201010001010100030
+10100000101000001010000010100010101000101010004010100040101000101
+010006010100000101000001010001010100010101000101010007010100050101000e0101000d0
+10100020101000101010001010100040102000201010006010100020101007601
+0112060101110112060101112601010001010100010101000701000002010100010101000701010
+00701010006010100000101000301010006010100050101000101010002010100
+0101010014010100030101000001020000010200020102000001010002010200070102000301010
+00001020009010100030100000301010006010100020101000601010000010100
+0001010000010100020101000301010005010100080101000501000000010100070101000201010
+00101010003010100000101000001010000010100000101000201010004010100
+0401010001010100070101000001020002010100010101000101010007010100050101000e01010
+00d01010002010100000101000201010001010000030101000101010006010100
+0201010076010112060101110112060101112601010001010100020101000201000001010100010
+10200020101000201000002010100070101000101000003010100000101000301
+01000101000003010100010100000201010001010100020101000101010000010000020100000e0
+10200010102000001070001010500010104000401060000010200010102000801
+0100030101000201010006010100010102000601010000010100000101000001010001010200030
+10100010100000201010008010100040101000101010007010100000102000201
+0100010101000101010000010100000101000001010001010200040101000401010001010100070
+10100010101000201010001010100020101000201000002010100060101000201
+0000090101000d01020000010100010101000101020001010100020101000201010002010000020
+10100000102007601011206010111011206010111250104000501030003010300
+0501030003010100080102000301040005010200050102000401020003010100030101000201020
+00d01020001010200010102000001020002010300020104000401060000010200
+0001030006010500010100000001030008010200010101000501010000010100000101000101020
+00101010003010200020104000401050001010200010102000701020000010100
+0201030002010100000101000001010001010200010101000101050001010200000103000601000
+0030100000101020000010300020103000201040005010300090104000a010100
+0001020003010200010101000001000000010300040103000401020000010100750101120601011
+10112060101115c0101002c010000ff0117010500ac0101120601011101120601
+01115c010100ff01f8010112060101110112060101115b010300ff01f7010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+0112060101119e01000011010200160100001e01000031010200090103001801020011010000040
+10200490102001901030085010112060101110112060101119d01020011010100
+150102001c0102003101010008010100010101001801010011010000050101004a0101001b01010
+085010112060101110112060101119e01000012010100160100001e0100003201
+010008010100010101001801010010010100050101004a0101001b0101008501011206010111011
+206010111b20101006a010100080101001c01010010010100050101004a010100
+1b01010085010112060101110112060101119c01030003010100000102000401040003010300020
+10200010102000101030003010100000102000301030000010100060103000401
+0300000100000601020000010200020103000001000003010300040104000801010006010300020
+10100000103000701040004010300020106000201040007010100000103000301
+0300020101000301010001010300000100000701040002010100000102000401040008010300040
+10300050101000301020000010200010100000001010000010100010101000001
+020003010300000100005f010112060101110112060101119e01010004010100010101000201010
+00001020002010100010101000201010001010100040101000401010001010100
+0101010001010100000100000801010003010100020101000701010001010100010101000201010
+00201010001010100020101000001020007010400030101000101010002010200
+0101010006010200000101000201010001010100030101000501020000010100070102000101010
+00101010001010100010101000301010000010100020101000601010002010100
+0201010001010100020101000001020007010100010101000201010001010100040101000401010
+00101010001010100000101000001010001010100010101000101010002010100
+5f010112060101110112060101119e0101000401010001010100010101000201010001010100020
+10100030101000001000005010100040101000101010001010100010101000a01
+0100030101000301000007010100010101000101010003010000010101000201010001010100020
+10100080101000401010003010100010101000201010006010100020101000001
+0100030101000201010005010100010101000701010002010100000101000301010000010100000
+10100000101000001010003010000060101000201010002010100010101000101
+0100020101000601010002010100010101000301010003010100040101000101010001010100000
+1010000010100010101000101010001010100030100005f010112060101110112
+060101119e010100040101000101010001010100020101000101060004010100060101000401010
+00101010001010100010101000a010100040102000a0101000101010002010200
+040106000101010002010100080101000401010003010100010101000b010100020101000001010
+00301010002010100050101000101010007010100050101000301010000010100
+0001010000010100010102000c01030002010100010101000101010002010100060101000601010
+00301010003010100040101000101010001010100000101000001010001010100
+010101000201020062010112060101110112060101119e010100040101000101010001010100020
+101000101010009010100060101000401010001010100020103000b0101000601
+0200080101000101010004010200020101000601010002010100080101000401010003010100010
+101000b0101000201010000010100030101000201010005010100010101000701
+0100050101000301010000010100000101000001010003010200080101000101010002010100010
+10100010101000201010006010100060101000301010003010100040101000101
+0100010101000001010000010100010101000101010004010200600101120601011101120601011
+19e01010004010100010101000101010002010100010101000801000000010100
+050101000401010001010100010100000f010100030100000301010007010100010101000101000
+00301010001010100060101000201010008010100040101000301010001010100
+0b01010002010100000101000301010002010100050101000101010007010100050101000301010
+00101010000010200010100000301010006010100020101000201010001010100
+0101010002010100060101000301000001010100030101000301010004010100010101000101010
+00001010000010100010101000101010001010000030101005f01011206010111
+0112060101119e01010004010100010101000201010000010200020101000201000002010100010
+10100040101000401010001010100010105000a01010003010100020101000701
+0100000102000101010002010100020101000201000002010100000102000801010005010100010
+10100020101000b01020000010100020101000101010003010100010100000201
+0100010101000701010006010100010101000201010001010100010101000201010006010100010
+10200020101000101010002010100000102000701010001010100020101000101
+0100040101000401010000010200010101000001010000010100010101000101010001010100020
+101000401000059010112060101110112060101119c0105000101020000010300
+0201020000010100020103000201020001010200010105000101020000010300010105000701050
+00101000000010300090102000001010000010000000103000401030004010200
+0001010006010300050103000201040008010100000102000401030005010200020102000001030
+00501040005010300030100000301000001010000000103000801020001010100
+0001020000010300020102000001010007010300040103000301050003010200000101000001010
+00001010000010100000102000001030000010000000103000401020058010112
+06010111011206010111da01000004010000ff011a0100005901011206010111011206010111da0
+1010002010100ff017501011206010111011206010111db010400ff0176010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff01570101120601011100120911ff01ff01570101120811
+09120011ff01ff01570109120011011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff12ff12591206010111011206010011
+ff12ff125a120601011101121e0100110012ff01ff012701001100121e01011101121e010011001
+2ff01ff012701001100121e01011101121e0100110012ff01ff01270100110012
+1e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1e0100110012ff01ff012701001100121e01011101121f110012ff11ff112811001220110012ff1
+1ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matexamp.ps b/books/ps/h-matexamp.ps
new file mode 100644
index 0000000..fb8c63e
--- /dev/null
+++ b/books/ps/h-matexamp.ps
@@ -0,0 +1,1074 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:16:46 1991
+%%Title: h-matexamp.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matexamp.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+0020107000201490080010000070100000d010500030102000801010003010100
+0c01000010010000880106000201040002010200020103000201020004010100040102000201280
+000011d00011206010111011206010111050002010d0002010000020105000201
+0700020149007f010100060101000d010400030100000101010008010000030100000d0100000f0
+10200870106000201040002010200020103000201020004010100040102000201
+260004011b00011206010111011206010111050002010d000201000002010500020107000201490
+07e010200050102000d010000070100000101010008010100010101000c010100
+1001000088010600020104000201020002010300020102000b01020002012400080119000112060
+10111011206010111050002010e000401060002010700020149007d0103000401
+03000d010000060101000201010007010100010101000c0101009a0106000201040002010200020
+1030002010200020100000301000002010200020122000c011700011206010111
+0112060101110500080108000401060002010700020149007f010100060101000d0100000001020
+00201010002010100070105000201040002010600010101000001030002010300
+03010200010102007b0106000a010200020103000201020002010000030100000201020007011b0
+01001150001120601011101120601011105000901080002010700020107000201
+49007f010100060101000d010100010101000101010002010100070105000101010002010100030
+1010005010200010101000301010004010100010101007c0106000a0102000201
+0300020102000201010001010100020102000801180014011300011206010111011206010111050
+0090108000201070002010700020149007f010100060101000d01000003010100
+0001010002010100070100000001010000010000010101000201010003010100050101000201010
+00301010005010100000100007d0106000a010200020103000201020002010100
+01010100020102000801160018011100011206010111011206010111050002010e0004010600020
+10700020149007f01010006010100120101000001010002010100070100000001
+01000001000004010300030101000501010008010100060101007e0106000201040002010200020
+10300020102000201050002010200020121000e01160001120601011101120601
+0111050002010e000401060002010700020149007f0101000601010012010100000101000201010
+00701000003010000020101000101010003010100050101000801010006010100
+7e010600020104000201020002010300020102000201050002010200020121000e0116000112060
+10111011206010111050002010d00020100000201050002010700020149007f01
+0100060101001201010000010100020101000701000003010000010101000201010003010100050
+101000801010005010000000101007d0106000201040002010200020103000201
+02000201050002010200020121000e011600011206010111011206010111050002010d000201000
+00201050002010700020149007f01010006010100060100000401000003010100
+0201010001010000080100000301000001010100010102000301010001010000020101000801010
+004010100010101007c0106000201040002010200020103000201020002010500
+02010200020121000e011600011206010111011206010111050002010c000201020002010400020
+10700020149007e01040003010400030102000301010001010100030101000101
+00000701020001010200010102000101010003010200020104000401050001010200010102007b0
+10600020104000201020002010300020102000201050002010200020121000e01
+1600011206010111011206010111050002010c00020102000201040002010700020149007d01050
+002010500040100000501030005010200b9010600020104000201020002010300
+02010200020105000201020002014700011206010111011206010111050002010b0002010400020
+103000201070002014900ff015f01060002010400020102000201030002010200
+0201050002010200020147000112060101110112060101110500090104000201040002010300020
+1070002014900ff015f0106000201040002010200090102000201050002010200
+0801410001120601011101120601011105000a01020002010600020102000201070002014900ff0
+15f01060002010400020103000801020002010500020102000901400001120601
+011101120601011106000901030001010700010103000101080001014900ff015f0107000101050
+00101040006010400010106000101030008014000011206010111011206010111
+7b00ff015f017b000112060101110112060101117b00ff015f017b0001120601011101120601011
+17b00ff015f017b000112060101110112060101117b00ff015f017b0001120601
+0111011206010111ff00ff005700011206010111011206010111ff00ff005700011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+011101120601011152010100030101000c01000010010100ff01db0101120601011101120601011
+1320107000001020013010100030101000b0101000f010300140102001f010000
+39010000080102002d01000007010000040102001a010000070100004201000007010000a801011
+20601011101120601011132010100000101000001010001010100130102000101
+02000b01010010010100160101001e01020037010200080101002c01020006010000050101001a0
+10000060102004101000006010200a70101120601011101120601011132010000
+01010100010100000101010013010200010102000a010200290101001f010000390100000901010
+02d010000060101000501010019010100070100004101010007010000a8010112
+0601011101120601011135010100040101001301070001010400020106000101020001010100020
+1040002010300000102000a010100650101003501010005010100190101004a01
+0100b10101120601011101120601011135010100040104000401030007010700000106000101060
+00101070001010400020102000101020007010400030103000201000000010100
+0001010002010400030103000301010000010200070101000001020002010100000103000301030
+00201020001010200010103000501040003010300030103000001000007010400
+0201010000010300020103000301060002010400020100000001010000010100030103000201060
+00201030005010300090103000201010000010200040103000201010000010300
+0201040002010600020103000501030002010100000102000301030000010000080103000201010
+00001020074010112060101110112060101113501010004010200000101000201
+0100010101000601070000010100010102000201020005010600030102000301020000010100070
+10100000102000201010001010100010101000001010000010100000101000201
+0100040101000401010001010100070102000001010002010200010101000101010001010100020
+10100020100000401010004010100000102000201010001010100010101000201
+0100060101000201010002010200010101000301010005010100050102000001010001010100000
+10100000101000101010001010100030101000701010004010100010101000701
+0100010101000201020000010100020101000101010002010200010101000001010002010100030
+10100070101000401010001010100020101000101010001010100020101000701
+0100010101000201010001010100730101120601011101120601011135010100040101000101010
+00101010002010100060101000001010000010100030103000201020005010300
+0001010003010200040103000701010002010100010101000301010000010100000101000001010
+00001010002010100040101000401010001010100070101000201010001010100
+0201010000010100030101000101010002010000040101000301010002010100010101000201010
+00101010003010000060101000201010002010100020101000301010005010100
+0501010001010100010101000001010000010100000101000201010003010100070101000301010
+00201010006010100030101000101010002010100000101000201010002010100
+0201010000010100020101000301010007010100030101000301010001010100010101000101010
+00301000006010100030101000101010001010100730101120601011101120601
+0111350101000401010001010100010106000601010000010100000101000101050002010200050
+10200070102000401030007010100020101000101010003010100000101000001
+0100000101000301030004010100040101000101010007010100020101000101010005010100030
+10100020101000001000005010100030101000201010001010600020102000c01
+0300020101000801010005010100050101000101010001010100000101000001010000010600030
+1010007010100030101000b010100030101000101010002010100000106000201
+0100080103000301010007010100030101000301010001010100010101000201020009010100030
+10100010101000101010073010112060101110112060101113501010004010100
+01010100010101000b0101000001010000010100000102000001020002010200050102000701020
+00401030007010100020101000101010003010100000101000001010000010100
+0101010001010100040101000401010001010100070101000201010001010100050101000301010
+00201010000010000050101000301010002010100010101000901020008010100
+0101010002010100080101000501010005010100010101000101010000010100000101000001010
+00801010007010100030101000b01010003010100010101000201010000010100
+0701010006010100010101000301010007010100030101000301010001010100010101000401020
+00701010003010100010101000101010073010112060101110112060101113501
+01000401010001010100010101000b0101000301010000010200000102000201020000010100020
+10200070102000301010000010200060101000201010001010100030101000001
+0100000101000001010000010100020101000401010004010100010101000701010002010100010
+10100050101000301010002010300050101000301010002010100010101000601
+0000030101000601010002010100020101000801010005010100050101000101010001010100000
+10100000101000001010008010100070101000301010003010000060101000301
+0100010101000201010000010100070101000501010002010100030101000701010003010100030
+10100010101000101010001010000030101000601010003010100010101000101
+0100730101120601011101120601011135010100040101000101010002010100020100000601020
+00101020000010700010105000101040004010600000102000101020006010100
+0001020002010100010101000101010000010100000101000001010001010200040101000401010
+00101010007010100010101000201010006010100010101000401010006010100
+0401010000010200020101000201000001010100020101000601010001010200020101000801010
+00501010001010000020101000101010001010100000101000001010001010100
+0201000003010100010100000401010004010100010101000701010001010100020101000101010
+00201010002010000020101000501010001010200030101000101000004010100
+0401010001010100020101000101010001010100020101000701010001010100020101000101010
+07301011206010111011206010111340103000201020000010300020103000701
+0200010102000101020000010200020103000201040004010600000102000001030007010200000
+10100020103000201010000010100000101000101020001010100010105000101
+0200000103000601040002010400050103000501010004010500030102000001010002010300020
+10000000103000801020001010100000104000401050004010200020102000001
+0300000101000001010000010100020103000501020003010500030103000901030003010400040
+10300020104000401020001010100030102000301050003010300020102000001
+030000010000000103000901030002010200000103007201011206010111011206010111c901010
+0b2010100d601011206010111011206010111c9010100b2010100d60101120601
+0111011206010111c8010300b0010300d501011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111290100001001
+00003a010200120100001a01020017010200090103001f010000070100002701030022010300060
+1000037010300150102002a010700000102000801000066010112060101110112
+06010111290100000f0102003a010100120100001b0101001801010008010100010101001e01000
+0060102002501010001010100230101000501020038010100160101002a010100
+00010100000101000101010007010200650101120601011101120601011128010100100100003b0
+10100110101001b0101001801010008010100010101001d010100070100002601
+010001010100230101000601000039010100160101002a010000010101000101000001010100080
+100006601011206010111011206010111280101004d010100110101001b010100
+1801010008010100210101002f0101002701010041010100160101002d010100040101007001011
+20601011101120601011114010000000101000001010002010400020106000101
+0100000103000201030005010300040103000301030000010000070104000201010000010200040
+10400070103000001000001010600020104000201010000010200040104000201
+0400020101000001030003010400080101000401020000010200010101000001020004010300020
+10600020103000501030002010100000102000301030000010000080101000401
+0100000103000301030002010000000101000001010009010100040103000301010000010200040
+10300030104000201010000010300070104000501010004010300000101000201
+03000301040002010100000103000201040018010100040104000301030004010300000100005a0
+10112060101110112060101111401010000010100000101000001010002010100
+0301010005010200010101000301010004010100010101000201010001010100010101000201010
+00601010002010100020101000101010002010100000102000601010002010100
+0301010004010100020101000201010001010100020101000001020001010100020101000201020
+00101010001010100000102000701040003010100010101000201010001010100
+0201010001010100030101000701010004010100010101000201010001010100010101000201010
+00701040003010200010101000101010001010100010101000001010000010100
+0801010006010100040101000101010002010100010101000101010002010100020102000101010
+00501010002010100040101000301010001010100000100000101010001010100
+0201020000010100020102000101010000010100020101001701010004010200000101000401010
+003010100020101005a0101120601011101120601011114010100000101000001
+0100000101000201010003010100050101000201010003010100030101000201010001010100020
+10100010101000301000006010100020101000201010001010100010101000201
+0100060101000301000003010100040101000201010002010100010101000101010002010100010
+10100020101000201010002010100000101000201010008010100050101000101
+0100020101000101010001010100020101000301010007010100030101000301010001010100010
+10100010101000301000008010100050101000201010000010100030101000001
+0100000101000001010008010100060101000401010001010100010101000201010001010100020
+10100020101000201010005010100020101000401010003010100010101000201
+0100020101000201010002010100010101000201010000010100020101001701010004010100010
+101000401010003010100030100005a0101120601011101120601011114010100
+0001010000010100030103000301010005010100080101000301010006010600020102000c01030
+00201010001010100010101000201010007010200060101000701030002010100
+0101010001010100020101000401030002010100050101000201010008010100050101000101010
+00201010001010100010101000801010007010100030101000301010001010100
+01010100020102000b0101000501010005010100030101000001010000010100000101000801010
+00601010004010100010101000101060004010300020101000d01030004010100
+0301010001010100020106000201010002010100010101000801030017010100040101000101010
+004010100040102005d0101120601011101120601011114010100000101000001
+0100010101000101010003010100050101000801010003010100060101000901020008010100010
+10100020101000101010001010100020101000901020004010100050101000101
+0100020101000101010001010100020101000201010001010100020101000501010002010100080
+10100050101000101010002010100010101000101010008010100070101000301
+0100030101000101010001010100040102000901010005010100050101000301010000010100000
+10100000101000801010006010100040101000101010001010100070101000101
+0100020101000b01010001010100040101000401030003010100070101000201010001010100060
+101000101010017010100040101000101010004010100060102005b0101120601
+0111011206010111140101000001010000010100000101000201010003010100050101000801010
+00301010003010000010101000601000003010100060101000201010002010100
+0101010001010100020101000601000003010100030101000401010002010100020101000101010
+00101010002010100010101000201010002010100050101000201010008010100
+0501010001010100020101000101010001010100030100000301010007010100030101000301010
+00101010001010100010100000301010008010100050101000501010003010100
+0001010000010100000101000801010006010100040101000101010001010100060101000201010
+0020101000a010100020101000401010003010000070101000701010002010100
+0101010005010100020101001701010004010100010101000401010003010000030101005a01011
+20601011101120601011114010100000101000001010000010100010102000301
+0100010100000201010008010100040101000101010002010100020100000101010002010100060
+10100010102000201010001010100020101000001020006010100020101000301
+0100010100000101010001010200020101000101010002010100000102000101010001010200020
+10100060101000001020008010100050101000001020002010100010101000201
+0100010101000301010001010000040101000401010001010100020101000101010001010100020
+10100080101000501010006010100010101000101010000010100000101000801
+010006010100040101000101010002010100020100000101010001010200020101000a010100010
+10200040101000301050003010100020100000201020000010100020101000501
+010001010200040100001101010004010100010101000401010003010100020101005a010112060
+10111011206010111140101000001010000010100010102000101010003010200
+0201040004010500030103000401030002010000000103000801020001010100000102000001030
+00201020000010100050100000001030005010200030102000101010000010200
+0001030002010200000101000101020001010100000104000501020000010100060103000501020
+00001010000010200000103000201030005010200030105000301030002010200
+0001030000010000000103000801030003010400050103000201010000010100000101000601050
+00201050001010200000103000201030003010200010101000001040009010200
+0101010001010500020105000301030002010100000102000201040004010200010101000201020
+00f01030002010200000103000101050001010000000103005b01011206010111
+011206010111ff019a01000004010000280100008b01011206010111011206010111ff019a01010
+002010100b501011206010111011206010111ff019b010400b601011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111e001080012010600040101002a01010
+01f01040003010300f201011206010111011206010111180102001f0100001501
+00001e01000010010000050103001d0100001501000004010200120108001201070002010300280
+103001e01040003010300300102001f0100004b01000050010112060101110112
+06010111190101001e010200130102001c0102000e010200060101001d010000150100000501010
+01201010000010200000101001301020000010200030101002a01010021010200
+04010200310101001e0102004a0100005001011206010111011206010111190101001f010000150
+100001e01000010010000070101001c0101001401010005010100150102001601
+0200000102005401020003010400300101001f0100004a010100500101120601011101120601011
+119010100710101001c0101001401010005010100150102000301020001010200
+0201030003010200000102000101040002010000000101000001010003010300010103000001020
+00201030000010000020104000401030001010300000102000201040005010200
+03010400020102000101010001010200010101000201040002010300000102000a0101006b01010
+05001011206010111011206010111160104000301030002010000000101000001
+0100020104000301030003010100000102000801030004010300000100000701030000010000020
+10300030100000001010000010100020103000601010004010400020101000001
+0300060106000301030007010600020104000401030009010200030102000101020001010500020
+10200000102000101040002010700010105000001080000010600020104000301
+0500000108000001060004010200030101000001010002010700000107000001060001010300000
+10200070104000301030002010000000101000001010002010400030103000301
+01000001020012010300020102000101020002010300040103000201010000010200020106004d0
+10112060101110112060101111501010000010200020101000101010001010100
+0001010000010100000101000201010004010100040101000101010009010100030101000201010
+00601010002010100040101000301010000010100000101000301010006010100
+0301010002010100020102000101010007010100050101000101010008010100050102000001010
+00201010001010100080102000301010003010100000102000101020001010200
+0001020003010200020107000001020001010200000103000001020000010200000102000401020
+00201020001010200000103000001020000010100010102000401020003010100
+0001020002010600010106000001010001010200010102000101020006010100000102000201010
+00101010001010100000101000001010000010100020101000401010004010100
+0101010010010100010101000201010001010100020101000101010002010100010101000201020
+00001010003010100500101120601011101120601011114010100020101000101
+0100030101000001010000010100000101000001010002010100040101000401010001010100090
+10100030101000301000006010100030100000401010003010100000101000001
+0100030101000601010003010100020101000201010002010100070101000401010003010100070
+10100050101000101010001010100020101000801020003010100000101000001
+0100000102000101020001010200000102000301020002010100000101000001010000010200010
+10200000102000101020000010300010100000401020002010200010102000001
+0200010102000301030004010200030101000101010002010300000101000101030000010100030
+10300020102000001010006010100020101000101010003010100000101000001
+01000001010000010100020101000401010004010100010101000f0101000201010003010100000
+10000020101000201010001010100020101000201010002010100020101005001
+0112060101110112060101111401010002010100010101000301010000010100000101000001010
+00301030004010100040101000101010009010100040102000a01020007010100
+030101000001010000010100030101000601010006010300020101000c010100040101000301010
+00701010005010100010101000101060008010200030101000001010000010100
+0001020001010200010102000001020003010200020101000001010000010100000107000001020
+00101020001010400050102000201020001010200000102000101020001010500
+0401020002010600020102000501020005010500020105000601010002010100010101000301010
+0000101000001010000010100030103000401010004010100010101000f010600
+0401010003010100060106000201010002010100020101005001011206010111011206010111140
+10100020101000101010003010100000101000001010000010100010101000101
+010004010100040101000101010009010100060102000a010200050101000301010000010100000
+1010003010100060101000401010001010100020101000c010100040101000301
+0100070101000501010001010100010101000d01020003010700000102000101020001010200000
+10200030102000201010000010100000101000001020005010200010102000001
+0000010103000401020002010200010102000001020001010200000102000001020004010200020
+10700010102000501020004010200000102000301030007010100020101000101
+01000301010000010100000101000001010001010100010101000401010004010100010101000f0
+10100090101000301010006010100070101000201010002010100500101120601
+0111011206010111140101000201010001010100030101000001010000010100000101000001010
+00201010004010100040101000101010009010100030100000301010006010000
+0301010004010100030101000001010000010100030101000601010003010100020101000201010
+00c0101000401010003010100070101000501010001010100010101000d010200
+0301070000010200010102000101020000010200030102000201010000010100000101000001030
+00101010000010200010102000001020000010200040102000201020001010200
+0001020001010200000102000001020004010200020101000201020001010200050102000401020
+00001020003010300070101000201010001010100030101000001010000010100
+0001010000010100020101000401010004010100010101000f01010008010000000101000201010
+00301000001010100070101000201010002010100500101120601011101120601
+0111150101000001020002010100010101000101010000010100000101000001010001010200040
+10100040101000101010009010100030101000201010006010100020101000401
+010003010100000101000001010003010100060101000301010001010200020101000c010100010
+10000020101000101010008010100010100000201010001010100020101000201
+0000070104000301020000010100020105000101070001010600000101000001010000010100010
+10a00000103000001060002010600010105000001030000010300000107000101
+0a00000103000001040003010400030107000301010009010100000102000201010001010100010
+10100000101000001010000010100010102000401010004010100010101000401
+00000a0101000201000002010100010101000201010001010100020101000201000002010100010
+1010003010100010100004d010112060101110112060101111601020000010100
+0201030002010100000101000001010001010200010101000101050001010200000103000601050
+00101000000010300070100000001030003010500010101000001010000010100
+01010500020105000201020001010100000104000b010200040103000a010200020102000001030
+00201030008010400030101000101010003010300020106000201060000010100
+0001010000010100020104000001030000010300000100000001030003010600020103000101030
+000010300010102000001020001010a0000010300000104000301040004010200
+00010200020102000a0102000001010002010300020101000001010000010100010102000101010
+0010105000101020000010300020102000a010300020102000101020002010300
+0401030003010400050102004e01011206010111011206010111ff0184010200420101002d01010
+05a01011206010111011206010111ff0183010300420101002d0101005a010112
+06010111011206010111ff0183010200420101002d0103005901011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111c1010100030101000c01000010010100
+9901070004010100c3010112060101110112060101111701000004010200110100000c010000040
+1020028010000100100001e01030018010100030101000b0101000f0103002e01
+0000090102000f010300260100001f01080002010300c2010112060101110112060101111701000
+005010100110100000c01000005010100280100000f0102001c01010001010100
+17010200010102000b010100100101002f0100000a0101001101010026010000200102000101020
+003010100c3010112060101110112060101111601010005010100100101000b01
+01000501010027010100100100001d0101000101010017010200010102000a010200410101000a0
+1010011010100250101002001020001010200c901011206010111011206010111
+1601010005010100100101000b01010005010100270101002f0101001b010700010104000201060
+00101020001010100020104000201030000010200220101000a01010011010100
+2501010020010200000102000201040001010300000102000201040000010000ae0101120601011
+10112060101111401060002010400030104000201060006010600020104000401
+0300090103000201010000010200020106000101010000010300020103000501030003010300000
+10000080101000601030002010100000103000601070000010600010106000101
+0700010104000201020001010200050100000001010000010100010102000001020002010300000
+10000010106000701040004010300050101000501030002010100000102000301
+03000001010005010600030103000801040007010500030104000101080000010700ae010112060
+10111011206010111160101000501020000010100010101000201010003010100
+0b01010005010200000101000201010001010100070101000101010002010100010101000301010
+00501020001010100030101000401010001010100010101000201010007010400
+0301010001010100020102000101010005010700000101000101020002010200050106000301020
+00301020000010100060101000001010000010100010101000101010001010100
+02010100030101000a0102000001010002010100010101000401010004010100010101000201010
+00101010001010100010101000001000007010100050101000101010006010100
+02010100060105000501020002010300000102000001020000010300ae010112060101110112060
+101111601010005010100010101000101010002010100030101000b0101000501
+0100010101000101010002010100060101000201010002010100010101000301010005010100020
+10100030101000301010002010100010101000301000008010100040101000301
+0100010101000201010005010100000101000001010003010300020102000501030000010100030
+10200040103000701010000010100000101000101010001010100010101000301
+0000030101000a01010002010100000101000201010004010100030101000301010001010100010
+10100010101000101010009010100040101000301010005010100020101000601
+0200000102000401020002010200010102000001020000010200af0101120601011101120601011
+116010100050101000101010004010300030101000b0101000501010001010100
+0101060006010600020101000101010003010100050101000801010003010600020102000b01010
+00401010003010100010101000a01010000010100000101000101050002010200
+0501020007010200040103000701010000010100000101000101010001010100020102000601010
+00a01010002010100000106000401010003010100030101000101010001010100
+0101010001010100090101000401010003010100080103000601020000010200040102000201020
+0010102000001020000010200af01011206010111011206010111160101000501
+0100010101000201010001010100030101000b0101000501010001010100010101000b010100070
+10100010101000301010005010100080101000301010009010200090101000401
+010003010100010101000a010100000101000001010000010200000102000201020005010200070
+10200040103000701010000010100000101000101010001010100040102000401
+01000a01010002010100000101000901010003010100030101000101010001010100020103000a0
+10100040101000301010006010100010101000601020000010200040102000201
+02000101020001010400b0010112060101110112060101111601010005010100010101000101010
+002010100030101000b0101000501010001010100010101000b01010007010100
+0101010003010100050101000801010003010100060100000301010008010100040101000301010
+0010101000a010100030101000001020000010200020102000001010002010200
+0701020003010100000102000601010000010100000101000101010001010100010100000301010
+0030101000a010100020101000001010009010100030101000301010001010100
+01010100010100000e0101000401010003010100050101000201010006010200010102000301020
+0020102000101020000010300b201011206010111011206010111160101000101
+0000020101000101010001010100010102000301010001010000080101000101000002010100010
+10100020101000201000007010100020100000201010001010100030101000101
+0000020101000801010004010100020100000101010002010100080101000501010001010100020
+101000a0102000101020000010700010105000101040004010600000102000101
+0200050101000001010000010100010101000001020001010100020101000301010001010000070
+10200000101000201010002010000040101000401010001010100020101000101
+0100010105000901010001010000020101000101010006010100010102000501030001010200010
+10a00000103000001060004010000a90101120601011101120601011117010200
+02010200000103000101020001010100030102000a0102000201020000010300020103000901030
+00201020000010300030102000201040004010500030103000201000000010300
+0801030005010300020104000801020001010200010102000001020002010300020104000401060
+00001020000010300050101000001010000010100020102000001010000010000
+0001030005010200070101000001020004010300030105000301030002010200000103000101050
+009010200040103000801020001010100040103000101020001010a0000010300
+0101060002010200a801011206010111011206010111ff015201000004010000460102000101020
+003010000a901011206010111011206010111ff01520101000201010046010700
+ae01011206010111011206010111ff015301040048010500af01011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff01570101120601011101120601011127010100060101000c01060003010300
+0e01010017010200000101001f010000070101001a010100030101000c01000010010100ff016a0
+101120601011101120601011113010b0006010200050102000c01050003010500
+0c010200160106001e0101000601030019010100030101000b0101000f010300ff0169010112060
+1011101120601011113010b0005010300040103000c0101000701010000010200
+0b01030016010200000102001e010100070101001a010200010102000b01010010010100ff016a0
+10112060101110112060101111301010000010000000100000001000000010200
+04010400030104000c01010006010200000103000901040016010200010101001d0102002401020
+0010102000a010200ff017d010112060101110112060101111301020000010000
+00010000000100000001010004010400030104000c0105000201020001010200090104001601020
+00101010001010200010101000301030003010400020106000201040001010300
+0001020002010400000100000501070001010400020106000101020001010100020104000401020
+000010100020103000301030000010000ff014d01011206010111011206010111
+130101000001000000010000000100000001020006010200050102000c010600010102000101020
+00b01020016010200050107000101050001010600010106000201040001010800
+000107000501070000010600010106000101070001010400030106000101050001010600ff014d0
+10112060101110112060101111301020000010000000100000001000000010100
+06010200050102000c0101000101030000010200010102000b01020016010200060106000001020
+00101020000010100010102000201020007010200020103000001020000010200
+0001030005010700000101000101020002010200050106000301020002010300000102000001020
+0010102000001020000010200ff014d0101120601011101120601011113010100
+0001000000010000000100000001020006010200050102000c01000003010200000102000101020
+00b01020016010200060103000001010000010200010102000301030002010200
+0701020002010200010102000001020000010200060101000001010000010100030103000201020
+00501030000010100030102000201020002010100000102000101020000010300
+01010000ff014d01011206010111011206010111130102000001000000010000000100000001010
+006010200050102001101020000010200010102000b0102001601020006010200
+0401070001010500020102000701020002010200010102000001020000010200060101000001010
+00001010001010500020102000501020007010200020102000501070001010400
+ff014e0101120601011101120601011113010100000100000001000000010000000102000601020
+0050102001101020000010200010102000b010200160102000101010002010200
+0401020005010200000102000201020007010200020102000101020001010400070101000001010
+00001010000010200000102000201020005010200070102000201020005010200
+0501000001010300ff014d010112060101110112060101111301020000010000000100000001000
+00001010006010200050102000c0101000201020000010300000102000b010200
+1601020001010100020102000401030001010100000102000001020002010200000101000401020
+00201020001010200000103000901010003010100000102000001020002010200
+000101000201020007010200020103000101010000010300010101000001020000010200ff014d0
+101120601011101120601011113010b0006010200050102000501010004010100
+0101030001010200000101000301010006010200050101000e01060001010400040106000001070
+00101050002010a00000103000001060006010200010102000001070001010500
+0101040004010600010106000101060000010600ff014d0101120601011101120601011113010b0
+00501050002010500020103000301060002010500020103000401050002010300
+0e010400020104000501040002010200000102000201030003010a0000010300010106000501020
+00101020001010200000102000201030002010400040106000201040003010400
+0101000000010300ff014e010112060101110112060101112401060001010600030101000501040
+0040103000401010004010600030101004d01020001010200ff01990101120601
+0111011206010111b5010700ff019901011206010111011206010111b6010500ff019a010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111270101000601
+01000c010600030103000c0104001601050028010000070101003a010100030101000c010000100
+10100ff01410101120601011101120601011113010b0006010200050102000c01
+0500030105000a01060014010700260101000601030039010100030101000b0101000f010300ff0
+1400101120601011101120601011113010b0005010300040103000c0101000701
+0100000102000a01010001010300130102000101020026010100070101003a010200010102000b0
+1010010010100ff01410101120601011101120601011113010100000100000001
+0000000100000001020004010400030104000c01010006010200000103000901010002010200130
+10200010102002501020044010200010102000a010200ff015401011206010111
+011206010111130102000001000000010000000100000001010004010400030104000c010500020
+10200010102000e01020013010200010102000001010000010300030103000201
+0200010101000201040002010600020104000401030001010300000102000201030000010000080
+10300010103000001020006010700010104000201060001010200010101000201
+04000401020000010100020103000301030000010000ff012401011206010111011206010111130
+101000001000000010000000100000001020006010200050102000c0106000101
+0200010102000e01010014010200010102000001070001010500010107000001060001010600020
+10400030105000001080000010600070105000001080005010700000106000101
+06000101070001010400030106000101050001010600ff012401011206010111011206010111130
+102000001000000010000000100000001010006010200050102000c0101000101
+030000010200010102000d010100150102000101020000010300000102000001020001010200010
+10600000101000101020002010200070102000201020001010200000103000001
+0200000102000001020006010200010102000001030000010200050107000001010001010200020
+10200050106000301020002010300000102000001020001010200000102000001
+0200ff0124010112060101110112060101111301010000010000000100000001000000010200060
+10200050102000c0100000301020000010200010102000c010100160102000101
+0200000102000101020000010200010102000101030000010100030103000201020007010200020
+10200010102000001020001010200000103000101000006010200010102000001
+0200010102000501010000010100000101000301030002010200050103000001010003010200020
+102000201010000010200010102000001030001010000ff012401011206010111
+0112060101111301020000010000000100000001000000010100060102000501020011010200000
+10200010102000b01010017010200010102000001020001010200000107000101
+0200050105000201020007010200020102000101020000010200010102000101040007010200010
+10200000102000101020005010100000101000001010001010500020102000501
+020007010200020102000501070001010400ff01250101120601011101120601011113010100000
+10000000100000001000000010200060102000501020011010200000102000101
+02000a0101001801020001010200000102000101020000010200060102000401020000010200020
+10200070102000201020001010200000102000101020000010000010103000601
+0200010102000001020001010200050101000001010000010100000102000001020002010200050
+102000701020002010200050102000501000001010300ff012401011206010111
+011206010111130102000001000000010000000100000001010006010200050102000c010100020
+10200000103000001020009010200030100001301020001010200000102000001
+0300000103000101010001010200040102000001020002010200000101000401020002010200010
+10200000102000101020000010200000102000601020001010200000102000101
+0200050101000301010000010200000102000201020000010100020102000701020002010300010
+1010000010300010101000001020000010200ff01240101120601011101120601
+011113010b000601020005010200050101000401010001010300010102000001010003010100040
+1020002010100020101000e010700000106000201060000010400030107000101
+0500020106000101050000010300000103000001060007010500000103000001030005010200010
+1020000010700010105000101040004010600010106000101060000010600ff01
+240101120601011101120601011113010b000501050002010500020103000301060002010500020
+1030003010700010103000e010500010105000401040001010400040102000001
+0200020103000301060002010300010103000001030000010000000103000901030001010300000
+10300050102000101020001010200000102000201030002010400040106000201
+0400030104000101000000010300ff0125010112060101110112060101112401060001010600030
+10100050104000401030004010100040107000201010017010200ff01d4010112
+060101110112060101117f010200ff01d4010112060101110112060101117e010400ff01d301011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff01570101120601011100120911ff01ff0157010112081
+109120011ff01ff01570109120011011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff12ff1259120601011101120601001
+1ff12ff125a120601011101121e0100110012ff01ff012701001100121e010111
+01121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121f110012ff11ff112811
+001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matexports.ps b/books/ps/h-matexports.ps
new file mode 100644
index 0000000..5ab9ed2
--- /dev/null
+++ b/books/ps/h-matexports.ps
@@ -0,0 +1,911 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:17:04 1991
+%%Title: h-matexports.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matexports.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+002010700020149003701040007010700270100001e0103000601050020010000
+13010000040100001f0100001001010003010500040100003801060002010400020102000201030
+00201020004010100040102000201280000011d00011206010111011206010111
+050002010d000201000002010500020107000201490036010100010102000701010002010100270
+100001d0101000101010006010100010101001e01020012010000030101000d01
+00000f0102000e01000006010100010101000401000037010600020104000201020002010300020
+1020004010100040102000201260004011b000112060101110112060101110500
+02010d0002010000020105000201070002014900360100000301010007010100030100002601010
+01d0101000101010006010100020101001e01000013010100020101000d010000
+100100000e010100060101000101010004010000370106000201040002010200020103000201020
+00b0102000201240008011900011206010111011206010111050002010e000401
+060002010700020149003b010100070101002b0101001d0101000a0101000201010033010100010
+101000d0101001f01010007010100010101000401010036010600020104000201
+02000201030002010200020100000301000002010200020122000c0117000112060101110112060
+101110500080108000401060002010700020149003a0101000801010001010000
+0201020001010200000101000001020004010300020101000001030001010600020103000001000
+008010300040101000a0101000201010002010300020100000001010000010100
+0201040003010300030101000001020008010500030103000301050001010100010102000201030
+0040101000201010001010100060101000101010005010100360106000a010200
+020103000201020002010000030100000201020007011b001001150001120601011101120601011
+10500090108000201070002010700020149003801020009010400030101000101
+0100020102000001010002010100010101000201020001010100020101000401010002010100070
+10100010101000201040008010100020101000101010001010100010101000001
+0100000101000001010002010100040101000401010001010100060106000201010001010100030
+10100030100000001020001010100030101000301000000010100000101000101
+0100070101000101010005010100360106000a01020002010300020102000201010001010100020
+10200080118001401130001120601011101120601011105000901080002010700
+02010700020149003a0101000801010001010000040101000001000003010100020101000001010
+00301010001010100020101000201010004010100030100000601010003010100
+020101000a010100020101000001010003010100000101000001010000010100000101000201010
+00401010004010100010101000601000000010200000100000601010003010100
+05010200010101000201010006010300020101000701040006010100360106000a0102000201030
+00201020002010100010101000201020008011600180111000112060101110112
+06010111050002010e000401060002010700020149003b010100070101000801010004010100020
+10100000101000301010001010100070101000501020009010100030101000201
+01000a0101000201010000010100030101000001010000010100000101000301030004010100040
+10100010101000601000001010000010100000301030004010100050101000701
+0100070102000201010007010300060101003701060002010400020102000201030002010200020
+1050002010200020121000e011600011206010111011206010111050002010e00
+0401060002010700020149003b01010007010100080101000401010002010100000101000301010
+00101010007010100070102000701010003010100020101000a01010002010100
+0001010003010100000101000001010000010100010101000101010004010100040101000101010
+00601000003010000020101000101010003010100060101000701010006010200
+0301010006010100000101000601010037010600020104000201020002010300020102000201050
+002010200020121000e011600011206010111011206010111050002010d000201
+00000201050002010700020149003b0101000701010003010000020100000001010003010100020
+10100000101000301010001010100070101000401000003010100060101000301
+0100020101000a01010002010100000101000301010000010100000101000001010000010100020
+10100040101000401010001010100050100000401000001010100020101000301
+0100050101000701010006010100000101000201010006010100010101000401010038010600020
+104000201020002010300020102000201050002010200020121000e0116000112
+06010111011206010111050002010d0002010000020105000201070002014900360100000301010
+00701010002010100010101000101010002010100010101000201010001010100
+02010100070101000101000001010100020101000701010001010100030101000a0101000101010
+00201010001010100010101000001010000010100000101000101020004010100
+0401010001010100050100000401000001010100010102000001000001010100010100000201010
+00701010001010000030100000101010000010000010100000601010001010100
+0401010038010600020104000201020002010300020102000201050002010200020121000e01160
+0011206010111011206010111050002010c000201020002010400020107000201
+4900360101000101010007010700000102000101020001010400040103000201040006010200020
+10000000103000901030003010300080105000401030002010100000101000001
+0100010102000101010001010500010102000001030004010100020102000101020001010100030
+10200030101000801020002010100030101000201000005010300010101000201
+00003a010600020104000201020002010300020102000201050002010200020121000e011600011
+206010111011206010111050002010c0002010200020104000201070002014900
+370103001b010100b80100000d0101003b010600020104000201020002010300020102000201050
+00201020002014700011206010111011206010111050002010b00020104000201
+0300020107000201490057010100ff0105010600020104000201020002010300020102000201050
+00201020002014700011206010111011206010111050009010400020104000201
+0300020107000201490056010300ff0104010600020104000201020009010200020105000201020
+00801410001120601011101120601011105000a01020002010600020102000201
+070002014900ff015f0106000201040002010300080102000201050002010200090140000112060
+1011101120601011106000901030001010700010103000101080001014900ff01
+5f01070001010500010104000601040001010600010103000801400001120601011101120601011
+17b00ff015f017b000112060101110112060101117b00ff015f017b0001120601
+01110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b000112060
+10111011206010111ff00ff005700011206010111011206010111ff00ff005700
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff01570101120601011101120601011113010b000801
+0200040103000401030014010000070100001001000004010200110100003101020036010000070
+1000027010300ff012b0101120601011101120601011113010b00090101000601
+01000601010014010000070100000f0102000401010011010000320101003601000006010200250
+1010001010100ff012a0101120601011101120601011113010100000100000001
+0000000100000001020009010100060101000601010013010100060101001001000005010100100
+101003201010035010100070100002601010001010100ff012a01011206010111
+0112060101111301020000010000000100000001000000010100080103000501010006010100130
+1010006010100170101001001010032010100350101002f010100ff012e010112
+0601011101120601011113010100000100000001000000010000000102000801000000010100050
+10100060101000901040002010600010106000101010000010300020103000401
+0400020102000001020001010600030103000301030000010000070104000201010000010200040
+10400080103000201010000010200040103000201010000010300020104000201
+0600020103000501030002010100000102000301030000010000080101000401010000010300030
+1030002010000000101000001010004010000ff010a0101120601011101120601
+0111130102000001000000010000000100000001010008010000000101000501010006010100080
+10100020101000301010006010100050102000101010003010100040102000001
+0100020101000101010003010100050101000101010001010100020101000601010002010100020
+10100010101000201010000010200070101000101010002010200000101000201
+0100010101000201020001010100000101000201010003010100070101000401010001010100020
+10100010101000101010002010100070104000301020001010100010101000101
+010001010100000101000001010002010200ff01090101120601011101120601011113010100000
+10000000100000001000000010200080100000101010004010100060101000801
+0100020101000301010006010100050101000201010003010100040101000201010001010100010
+10100030101000401010002010100010101000301000006010100020101000201
+0100010101000101010002010100060101000301010001010100020101000001010002010100020
+10100020101000001010002010100030101000701010003010100030101000101
+0100010101000101010003010000080101000501010002010100000101000301010000010100000
+101000001010003010000ff010a01011206010111011206010111130102000001
+00000001000000010000000101000701050004010100060101000b0103000301010006010100050
+10100080101000401010002010100010101000101010003010100040106000201
+02000c0103000201010001010100010101000201010006010100030101000101010002010100000
+10600020101000801030003010100070101000301010003010100010101000101
+0100020102000b010100050101000501010003010100000101000001010000010100ff010f01011
+20601011101120601011113010100000100000001000000010000000102000701
+0000020101000401010006010100090101000101010003010100060101000501010008010100040
+10100020101000101010001010100030101000401010009010200080101000101
+0100020101000101010001010100020101000601010003010100010101000201010000010100070
+10100060101000101010003010100070101000301010003010100010101000101
+01000401020009010100050101000501010003010100000101000001010000010100ff010f01011
+20601011101120601011113010200000100000001000000010000000101000701
+0000030101000301010006010100080101000201010003010100060101000501010008010100040
+10100020101000101010001010100030101000401010006010000030101000601
+0100020101000201010001010100010101000201010006010100030101000101010002010100000
+10100070101000501010002010100030101000701010003010100030101000101
+0100010101000101000003010100080101000501010005010100030101000001010000010100000
+10100ff010f0101120601011101120601011113010b0006010100030101000301
+0100060101000801010001010200030101000101000003010100010100000201010008010100040
+10200000101000201010000010200030101000101000002010100020100000101
+0100020101000601010001010200020101000101010002010100000102000701010001010100020
+10100010101000201010002010000020101000501010001010200030101000101
+0000040101000401010001010100020101000101010001010100020101000801010005010100060
+101000101010001010100000101000001010003010000ff010a01011206010111
+01120601011113010b0006010200010102000101050002010500070102000101010003010200050
+10200020104000401050001010100000102000401020000010100030102000401
+0300020100000001030008010200010101000001020000010300020102000001010007010300030
+10400040103000201040004010200010101000301020003010500030103000201
+0200000103000001000000010300080103000301040005010300020101000001010000010100020
+10200ff010901011206010111011206010111cf01010079010000ff010a010112
+06010111011206010111cf010100ff018501011206010111011206010111ce010300ff018401011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff01570101120601011101120601011114010100
+030101000c010000100101000d010200000101000d0100004b01030000010300150100003901030
+00001030015010000ff0130010112060101110112060101111401010003010100
+0b0101000f0103000b0106000c01010035010100030105000901030000010300140101001a01010
+003010500030101000c01030000010300140101001a0101000301050003010100
+06010100fa0101120601011101120601011114010200010102000b010100100101000c010200000
+102000c0101003401010005010100010101000801020002010100150101001901
+01000501010001010100030101000b0102000201010015010100190101000501010001010100030
+1010006010100f90101120601011101120601011114010200010102000a010200
+1f010200010101000b0102003401010005010100010101000801020002010100140102001901010
+00501010001010100030101000b01020002010100140102001901010005010100
+010101000301010006010100f901011206010111011206010111140107000101040002010600010
+10200010101000201040002010300000102000001020001010100020104000201
+0600030103000301040000010000020103000201020001010100010103000001020002010100060
+10100010101000901020000010200030103000401020000010100000106000301
+03000201020001010100030101000601010001010100040101000b0102000001020003010300040
+10200000101000001060003010300020102000101010003010100060101000101
+01000401010006010100f8010112060101110112060101111401070000010600010106000101070
+00101040002010200010102000001020005010600010106000201050001010700
+010105000101070000010300000102000201010005010100010101000a010200000101000301050
+00201060000010600020105000101070002010100050101000101010005010100
+0b01020000010100030105000201060000010600020105000101070002010100050101000101010
+00501010006010100f80101120601011101120601011114010700000101000101
+0200020102000501060003010200030102000001010001010200050101000101020002010200040
+10200010102000001020000010300000102000101020001010600000102000101
+02000201010005010100010101000a0102000001010002010200010102000001030000010200010
+10200040102000101020001010600020101000501010001010100050101000b01
+0200000101000201020001010200000103000001020001010200040102000101020001010600020
+1010005010100010101000501010006010100f801011206010111011206010111
+1401010000010100000101000301030002010200050103000001010003010200040103000201020
+00801030002010200040102000101020000010200000102000101020001010200
+0101030000010100010102000001010003010100050104000c01040002010200010102000001020
+00201010001010200040102000101020001010300000101000201010005010400
+060101000c010400020102000101020000010200020101000101020004010200010102000101030
+00001010002010100050104000601010006010100f80101120601011101120601
+0111140101000001010000010100010105000201020005010200070102000401030002010200060
+10500020102000401070000010200000102000101020001010200010102000501
+050003010100050103000d010300030107000001020006010200040102000101020001010200060
+1010005010300070101000c010300030107000001020006010200040102000101
+02000101020006010100050103000701010006010100f8010112060101110112060101111401010
+00001010000010100000102000001020002010200050102000701020004010300
+0201020001010100010102000001020002010200040102000601040002010200010102000101020
+0060103000401010004010100000101000d010300030102000501020006010200
+040102000101020001010200060101000401010000010100070101000c010300030102000501020
+00601020004010200010102000101020006010100040101000001010007010100
+06010100f8010112060101110112060101111401010003010100000102000001020002010200000
+10100020102000701020003010100000102000101020001010100010102000001
+0200020102000001010001010300010101000001030004010200010102000101020006010300040
+1010004010100010101000d010200030103000101010000010300010101000101
+020000010100010102000101020001010200060101000401010001010100060101000d010200030
+10300010101000001030001010100010102000001010001010200010102000101
+02000601010004010100010101000601010006010100f8010112060101110112060101111401020
+00101020000010700010105000101040004010600000102000101020000010600
+0101070001010500020106000001060002010500010104000601010006010100030101000101010
+00501000006010100050106000101060001010500020105000101040006010100
+0301010001010100050101000601000006010100050106000101060001010500020105000101040
+00601010003010100010101000501010006010100f90101120601011101120601
+0111140102000101020001010200000102000201030002010400040106000001020000010300010
+10400030102000001020002010300040104000201060002010300020104000501
+0200060101000201030001010100030102000501010006010400030104000301030004010300020
+10400060101000201030001010100040101000501020005010100060104000301
+04000301030004010300020104000601010002010300010101000401010006010100f9010112060
+101110112060101116e0102000101020013010200080101000e0101003d010100
+0d010100070101003d0101000d01010006010100fa010112060101110112060101116e010700120
+103001901010057010100ff0153010112060101110112060101116f0105001301
+02001901010057010100ff015401011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff01570101120601011101120601011113010b000701040037010000070
+1000060010300060100001001000007010000050103004101000011010200fe01
+01120601011101120601011113010b0006010100010102003601000006010200610101000501020
+00e01020006010000070101004101000012010100fe0101120601011101120601
+0111130101000001000000010000000100000001020006010100020101003501010007010000620
+10100060100001001000006010100070101004001010012010100fe0101120601
+0111011206010111130102000001000000010000000100000001010006010000030101003501010
+06b01010020010100070101004001010012010100fe0101120601011101120601
+011113010100000100000001000000010000000102000b010100080103000201010000010200040
+10300020101000001030002010400020106000201030005010300020101000001
+0200030103000001000007010400020101000001030003010300090103000201020001010200000
+10100000102000501010004010300050103000301030003010600040101000301
+0300000102000701030002010200010102000001010000010200040103000201010000010300010
+10600030103000401040004010000f80101120601011101120601011113010200
+000100000001000000010000000101000b010100070101000101010002010200000101000201010
+00101010002010200010101000001010002010100030101000701010004010100
+0101010002010100010101000101010002010100060101000201010002010200010101000101010
+00101010007010100010101000201010001010100020102000001010004010100
+0601010004010100010101000401010005010100070101000401010002010000070101000101010
+00201010001010100020102000001010002010100010101000201020001010100
+020101000501010001010100020101000001020003010200f701011206010111011206010111130
+10100000100000001000000010000000102000a01010007010100030101000101
+0100020101000001010002010100020101000201010000010100020101000301010007010100030
+10100030101000101010001010100010101000301000006010100020101000201
+0100020101000001010002010100060101000201010003010100000100000301010002010100030
+10100060101000301010002010100040101000501010007010100040101000201
+0000060101000201010003010100000100000301010002010100000101000301010001010100020
+10100020101000401010002010100010101000201010004010000f80101120601
+0111011206010111130102000001000000010000000100000001010009010100080101000301010
+00101010002010100000106000201010008010300030101000701010003010100
+030101000101010001010100020102000c010300020101000501060006010600040101000401010
+00201010003010100060101000301010009010100050101000701010005010100
+0001000007010600040101000401010002010100000101000301010001010100070101000401060
+00101010002010100fe0101120601011101120601011113010100000100000001
+0000000100000001020008010100090101000301010001010100020101000001010007010100060
+10100010101000301010007010100030101000301010001010100010101000401
+0200080101000101010002010100050101000b01010009010100040101000201010003010100060
+10100030101000901010005010100070101000501010000010000070101000901
+0100040101000201010000010100030101000101010007010100040101000601010002010100fe0
+10112060101110112060101111301020000010000000100000001000000010100
+070101000a010100030101000101010002010100000101000701010005010100020101000301010
+00701010003010100030101000101010001010100010100000301010006010100
+0201010002010100050101000b01010008010000000101000301010002010100030101000601010
+00301010003010000040101000501010007010100060101000801010008010000
+0001010003010100020101000001010003010100010101000701010004010100060101000201010
+0fe0101120601011101120601011113010b000601010003010000070101000101
+0100020101000101010002010100020100000201010005010100010102000301010001010000040
+10100040101000101010002010100010101000101010002010100060101000101
+0200020101000601010002010000070101000201000002010100010101000201010001010100040
+10100060101000401010001010100040101000501010001010000040101000601
+0100090101000201000002010100010101000201010001010100020101000101010002010100070
+10100010100000201010002010000020101000001020004010000f80101120601
+011101120601011113010b000601060008010300030104000401030002010400040102000101010
+00301020003010500030103000201020000010300000100000001030008010200
+0101010000010400050103000901030002010200010102000101040003010500020105000301030
+0030105000401020003010500040100000b010300020102000101020001010400
+04010300020104000601020004010300040102000001010002010200f7010112060101110112060
+101112601050011010100850101003e0100001c01010035010000f80101120601
+01110112060101113e010100850101003b010000000100001d010100ff012f01011206010111011
+2060101113d010300830103003a0102001c010300ff012e010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff01570101120601011101120601011117010100ff010a010300030101003101040
+002010100030101000c01000010010100c5010112060101110112060101111601
+0300ff0109010300020103003001040002010100030101000b0101000f010300c40101120601011
+101120601011117010100ff010b01020003010100330102000201020001010200
+0b01010010010100c501011206010111011206010111ff012501020039010200020102000101020
+00a010200d8010112060101110112060101111501040001010300000102000101
+020001010200020103000201020001010100020103000001000003010300d101050001010400030
+10400030104000001000002010300010103000001020002010400050102000201
+070001010400020106000101020001010100020104000201030000010200b901011206010111011
+20601011115010400010108000001020001010200010105000101070000010600
+02010500cf010600010104000201060001010700010105000001080000010600040102000201070
+0000106000101060001010700010104000201020001010200b901011206010111
+0112060101111701020002010300000102000001020001010200000102000101020001010600000
+10200000102000101020001010200cd0102000001030003010200020101000101
+0200010102000001030000010200010102000001030000010200000101000101020004010200020
+1070000010100010102000201020005010600030102000301020000010100ba01
+0112060101110112060101111701020002010200010102000101020000010100010102000101020
+0010103000001010000010300010100000101020001010200cd01020001010200
+0301020005010300010102000001020001010200010102000001020001010200030103000401020
+00201010000010100000101000301030002010200050103000001010003010200
+04010300bb010112060101110112060101111701020002010200010102000101020000010100010
+10700010102000501040002010700cd0102000101020003010200030105000101
+0200000102000101020001010200000102000101020001010500040102000201010000010100000
+101000101050002010200050102000701020004010300bb010112060101110112
+0601011117010200020102000101020001010400020102000601020004010000010103000101020
+0d201020001010200030102000201020000010200020104000201020001010200
+0001020001010200000102000001020004010200020101000001010000010100000102000001020
+002010200050102000701020004010300bb010112060101110112060101111701
+0200020102000101020002010300020103000101010001010200040102000001020001010300010
+10100cd0102000101020003010200020102000001020001010300040102000101
+0200000102000101020000010200000102000401020002010100030101000001020000010200020
+102000001010002010200070102000301010000010200ba010112060101110112
+0601011115010a00000103000201020004010600000104000301060002010600ce0106000101060
+00001070000010600020105000001030000010300000107000101060000010200
+01010200000107000101050001010400040106000001020001010200b9010112060101110112060
+1011115010a000001030002010200050104000101040003010000000103000401
+0400d00102000001010001010600010102000001020001010600020103000101030000010300010
+10200000102000101060000010200010102000101020000010200020103000201
+0400040106000001020000010300b901011206010111011206010111ff013b01020001010200ff0
+11301011206010111011206010111ff013b010700ff0113010112060101110112
+06010111ff013c010500ff011401011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+011100120911ff01ff0157010112081109120011ff01ff01570109120011011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff12ff12591206010111011206010011ff12ff125a120601011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e0
+1011101121e0100110012ff01ff012701001100121e01011101121e0100110012
+ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121f1
+10012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matimp.ps b/books/ps/h-matimp.ps
new file mode 100644
index 0000000..05d3e20
--- /dev/null
+++ b/books/ps/h-matimp.ps
@@ -0,0 +1,1404 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:17:22 1991
+%%Title: h-matimp.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matimp.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+002010400020107000201490033010000ff012a01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+00201040002010700020149003101010008010500140103002a01000010010000
+070100001b010500200100001e01030018010700000107002b01060002010400020102000201030
+00201020004010100040102000201280000011d00011206010111011206010111
+050002010d0002010000020105000201070002014900300101000b010100180101002a010000100
+10000060102001b010100010101001e0102001c01010001010100170107000001
+07002b0106000201040002010200020103000201020004010100040102000201260004011b00011
+206010111011206010111050002010d0002010000020105000201070002014900
+2f0101000c01010018010100290101000f010100070100001c010100020101001e0100001d01010
+001010100170100000401000001010000040100002c0106000201040002010200
+02010300020102000b0102000201240008011900011206010111011206010111050002010e00040
+1060002010700020149002e0101000d01010018010100290101000f0101002501
+0100020101003d01010020010000070100002d01060002010400020102000201030002010200020
+100000301000002010200020122000c0117000112060101110112060101110500
+080108000401060002010700020149002e0101000d0101000301000000010100000101000101010
+00001020005010100050103000201000000010100000101000301030002010100
+0001020002010600020104000201060002010300050103000201010000010200080101000201010
+00201030002010000000101000001010002010400030103000301010000010200
+0301030000010000080101000601030002010100000103000a010100060101002d0106000a01020
+0020103000201020002010000030100000201020007011b001001150001120601
+01110112060101110500090108000201070002010700020149002d0101000e01010003010100000
+10100000101000101020000010100040101000401010001010100010101000001
+0100000101000101010001010100020101000101010003010100040101000201010003010100070
+10100040101000101010002010100010101000701010002010100010101000101
+0100010101000001010000010100000101000201010004010100040101000101010001010100020
+10100070104000301010001010100020102000101010008010100060101002e01
+06000a0102000201030002010200020101000101010002010200080118001401130001120601011
+10112060101110500090108000201070002010700020149002d01010000010200
+0a01010003010100000101000001010001010100020101000301010003010100020101000101010
+00001010000010100000101000201010002010100010101000301010004010100
+0201010003010100070101000301010003010100010101000101010007010100020101000001010
+00301010000010100000101000001010000010100020101000401010004010100
+0101010001010100030100000801010004010100030101000101010002010100080101000601010
+02e0106000a010200020103000201020002010100010101000201020008011600
+18011100011206010111011206010111050002010e000401060002010700020149002d010200010
+10100090101000301010000010100000101000101010002010100030101000301
+0600010101000001010000010100000106000201010001010100030101000701030003010100070
+10100030101000301010001010100010101000701010002010100000101000301
+010000010100000101000001010003010300040101000401010001010100020102000b010100040
+1010003010100010101000c010100060101002f01060002010400020102000201
+0300020102000201050002010200020121000e011600011206010111011206010111050002010e0
+00401060002010700020149002d01010003010100080101000301010000010100
+0001010001010100020101000301010003010100060101000001010000010100000101000701010
+00101010003010100050101000101010003010100070101000301010003010100
+0101010001010100070101000201010000010100030101000001010000010100000101000101010
+00101010004010100040101000101010004010200090101000401010003010100
+010101000c010100060101002f01060002010400020102000201030002010200020105000201020
+0020121000e011600011206010111011206010111050002010d00020100000201
+050002010700020149002d010100030101000801010003010100000101000001010001010100020
+10100030101000301010006010100000101000001010000010100070101000101
+0100030101000401010002010100030101000701010003010100030101000101010001010100070
+10100020101000001010003010100000101000001010000010100000101000201
+01000401010004010100010101000101000003010100080101000401010003010100010101000b0
+10200050102002f01060002010400020102000201030002010200020105000201
+0200020121000e011600011206010111011206010111050002010d0002010000020105000201070
+0020149002d010100030101000801010003010100000101000001010001010100
+0101010004010100040101000201000001010100000101000001010001010100020100000201010
+00101010003010100010100000101010001010200030101000101000004010100
+0401010001010100020101000101010007010100010101000201010001010100010101000001010
+00001010000010100010102000401010004010100010101000101010002010100
+080101000501010001010100020101000b010100060101003001060002010400020102000201030
+0020102000201050002010200020121000e011600011206010111011206010111
+050002010c00020102000201040002010700020149002e010100010101000701050001010100000
+10100000101000101040003010500030103000201010000010100000101000201
+0300020102000001030003010200030102000101010003010200030105000301030002010200000
+10300050105000401030002010100000101000001010001010200010101000101
+0500010102000001030000010000000103000801030005010300020104000901010006010100300
+10600020104000201020002010300020102000201050002010200020121000e01
+1600011206010111011206010111050002010c00020102000201040002010700020149002f01030
+01a010100d2010000070100003101060002010400020102000201030002010200
+020105000201020002014700011206010111011206010111050002010b000201040002010300020
+10700020149004e010100ff010e01060002010400020102000201030002010200
+0201050002010200020147000112060101110112060101110500090104000201040002010300020
+10700020149004d010300ff010d01060002010400020102000901020002010500
+020102000801410001120601011101120601011105000a010200020106000201020002010700020
+14900ff015f010600020104000201030008010200020105000201020009014000
+01120601011101120601011106000901030001010700010103000101080001014900ff015f01070
+00101050001010400060104000101060001010300080140000112060101110112
+060101117b00ff015f017b000112060101110112060101117b00ff015f017b00011206010111011
+2060101117b00ff015f017b000112060101110112060101117b00ff015f017b00
+0112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b0
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b00ff015f017b000112060101110112060101117b0051010300290100000701000027010300210
+10500200100005f017b000112060101110112060101117b005001010001010100
+2801000006010200250101000101010021010100010101001e0102005e017b00011206010111011
+2060101117b004f01010003010100260101000701000026010100010101002101
+0100020101001e0100005f017b000112060101110112060101117b004f010100030101002601010
+02f01010025010100020101007f017b000112060101110112060101117b004f01
+0100030101000001010000010200040103000201010000010300020104000201060002010300050
+10300020101000001020003010300000100000801010004010100000103000301
+0300020100000001010000010100070101000201010002010300020100000001010000010100020
+1040003010300030101000001020054017b000112060101110112060101117b00
+4f01010003010100010102000001010002010100010101000201020001010100000101000201010
+00301010007010100040101000101010002010100010101000101010002010100
+0701040003010200010101000101010001010100010101000001010000010100060101000201010
+00101010001010100010101000001010000010100000101000201010004010100
+040101000101010053017b000112060101110112060101117b004f0101000301010001010100020
+10100000101000201010002010100020101000001010002010100030101000701
+0100030101000301010001010100010101000101010003010000080101000501010002010100000
+10100030101000001010000010100000101000601010002010100000101000301
+0100000101000001010000010100000101000201010004010100040101000101010053017b00011
+2060101110112060101117b004f01010003010100010101000201010000010600
+0201010008010300030101000701010003010100030101000101010001010100020102000b01010
+00501010005010100030101000001010000010100000101000601010002010100
+00010100030101000001010000010100000101000301030004010100040101000101010053017b0
+00112060101110112060101117b004f0101000301010001010100020101000001
+0100070101000601010001010100030101000701010003010100030101000101010001010100040
+10200090101000501010005010100030101000001010000010100000101000601
+0100020101000001010003010100000101000001010000010100010101000101010004010100040
+101000101010053017b000112060101110112060101117b004f01010003010100
+0101010002010100000101000701010005010100020101000301010007010100030101000301010
+00101010001010100010100000301010008010100050101000501010003010100
+0001010000010100000101000601010002010100000101000301010000010100000101000001010
+0000101000201010004010100040101000101010053017b000112060101110112
+060101117b005001010001010100020101000101010002010100020100000201010005010100010
+10200030101000101000004010100040101000101010002010100010101000101
+0100020101000801010005010100060101000101010001010100000101000001010006010100010
+10100020101000101010001010100000101000001010000010100010102000401
+0100040101000101010053017b000112060101110112060101117b0051010300030104000401030
+00201040004010200010101000301020003010500030103000201020000010300
+0001000000010300080103000301040005010300020101000001010000010100050105000401030
+00201010000010100000101000101020001010100010105000101020000010300
+52017b000112060101110112060101117b0059010100ff0103017b0001120601011101120601011
+17b0059010100ff0103017b000112060101110112060101117b0058010300ff01
+02017b000112060101110112060101117b00ff015f017b000112060101110112060101117b00ff0
+15f017b000112060101110112060101117b00ff015f017b000112060101110112
+060101117b00ff015f017b000112060101110112060101117b00ff015f017b00011206010111011
+2060101117b00ff015f017b000112060101110112060101117b00ff015f017b00
+0112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b0
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b006e010000040100001f0100001001010005010400390100006f017b000112060101110112060
+101117b006e010000030101000d0100000f0102000e010000080101000f010000
+2b0100006e017b000112060101110112060101117b006e010100020101000d010000100100000e0
+10100080101000f0100002b0100006e017b000112060101110112060101117b00
+6e010100010101000d0101001f010100090101000e0101002b0101006d017b00011206010111011
+2060101117b006e01050003010300030105000101010001010200020103000401
+0100020101000101010008010100030101000101010003010500030103000501020000010000020
+103000201010001010200050101006d017b000112060101110112060101117b00
+6d01060002010100010101000301010003010000000102000101010003010100030100000001010
+00001010001010100090101000201000000010000000103000301010004010200
+0101010003010100000102000001020001010100000100000001020001010100040101006d017b0
+00112060101110112060101117b006d0100000001020000010000060101000301
+0100050102000101010002010100060103000201010009010100040102000001010003010100040
+10100020101000201010002010000010101000201010002010200010101000401
+01006d017b000112060101110112060101117b006d0100000101000001010000030103000401010
+00501010007010100070102000201010009010100040101000101010003010100
+03010100020101000301010001010100000101000201010003010100080101006e017b000112060
+101110112060101117b006d010000030100000201010001010100030101000601
+0100070101000601020003010100080101000401010002010000030101000401040005010400010
+1040005010100080101006e017b000112060101110112060101117b006c010000
+0401000001010100020101000301010005010100070101000601010000010100020101000801010
+00401010001010100030101000401010007010100050101000701010008010100
+6f017b000112060101110112060101117b006c01000004010000010101000101020000010000010
+10100010100000201010007010100010100000301000001010100000100000101
+0000080101000401010001010100000100000101010001010000020101000201000002010400030
+101000201000002010100080101006f017b000112060101110112060101117b00
+6c01010002010200010102000101010003010200030101000801020002010100030101000201000
+00601040002010100030101000301020004010300040104000301030003010100
+0701000071017b000112060101110112060101117b00a5010000290100000301000013010100720
+17b000112060101110112060101117b00cf0101000201010088017b0001120601
+01110112060101117b00d001040089017b000112060101110112060101117b00ff015f017b00011
+206010111011206010111ff00ff005700011206010111011206010111ff00ff00
+5700011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff0140011600011206010111011206010111ff01ff0140010b000001090001120601011
+1011206010111ff01ff0140010a0002010800011206010111011206010111ff01
+ff014001090004010700011206010111011206010111ff01ff01400108000601060001120601011
+1011206010111ff01ff014001070008010500011206010111011206010111ff01
+ff01400106000a010400011206010111011206010111ff01ff01400105000c01030001120601011
+1011206010111ff01ff01400104000e010200011206010111011206010111ff01
+ff014001030010010100011206010111011206010111ff01ff01400102001201000001120601011
+1011206010111ff01ff0140011600011206010111011206010111ff01ff014001
+1600011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001160001120601011101120601
+011113010b00060102001b010200170102001f010000ff01bb01160001120601011101120601011
+113010b00070101001501000005010100180101001e010200ff01ba0116000112
+0601011101120601011113010100000100000001000000010000000102000701010015010000050
+10100180101001f010000ff01bb01160001120601011101120601011113010200
+0001000000010000000100000001010006010100150101000401010018010100ff01dd011600011
+20601011101120601011113010100000100000001000000010000000102000601
+0100000101000201000004010000060105000201010000010000050103000901010000010100040
+1020002010100020101000301030003010300030101000101010005010000ff01
+aa01020000010100000101000001010000010100000101000001010000010000011206010111011
+20601011113010200000100000001000000010000000101000601020000010100
+0001020002010100070101000501020000010000020102000101010007010000010102000201010
+00101010000010300000103000101010001010100040101000201000000010000
+0001030003010200ff01a9011600011206010111011206010111130101000001000000010000000
+10000000102000501020001010100020101000101000008010100050101000101
+0000020101000201010006010100010101000301010001010100010100000001000000010000000
+101000501010003010100050102000001010004010000ff01aa01030000010100
+0001010000010100000101000001010000010100000101120601011101120601011113010200000
+10000000100000001000000010100050101000201010003010000010100000801
+0100040101000101010001010100020101000701010001010100020101000201010001010000000
+101000101010002010300040101000501010001010100ff01b001020000010100
+0001010000010100000101000001010000010100000100000112060101110112060101111301010
+00001000000010000000100000001020005010100010101000401000000010000
+0801010005010100010101000101040008010100020101000201010002010100000101000001010
+0000101000101010001010100040101000401010002010000ff01b10116000112
+0601011101120601011113010200000100000001000000010000000101000401010002010100040
+10200080101000501000001010100020101000b01010001010100030101000101
+01000101010000010000010101000001010002010100030101000501010001010100ff01b101030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011113010b0004010100010101000501010009010100010100000101010001010100000
+10000010101000201000006010100000102000001000001010100010101000101
+0000010100000101000001010100010102000001000001010100010100000201010001010100000
+1000003010000ff01aa0102000001010000010100000101000001010000010100
+000101000001000001120601011101120601011113010b0005010200070100000b0102000201010
+00201010003010300080102000001010003010200030100000401000002010200
+0101010003010200020101000301010003010200ff01a90116000112060101110112060101112f0
+10100410100001f010000ff01aa01030000010100000101000001010000010100
+000101000001010000010112060101110112060101112d010200ff01ff010f01020000010100000
+10100000101000001010000010100000101000001000001120601011101120601
+01112d010100ff01ff0110011600011206010111011206010111ff01ff014001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff0140010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff014001020000010100000101000001010000010100000101000001
+010000010000011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff0140010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111ff01ff014001160001120601
+0111011206010111280103000c010000220101002101000015010000250106000d010000ff016a0
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111280103000b010100210103001f01010015010000250106000c010100ff016a0
+10200000101000001010000010100000101000001010000010100000100000112
+06010111011206010111290102000b010100220101002001010013010500240102000e010100ff0
+16a011600011206010111011206010111290102000a0102004401020012010100
+0001000000010100240102000d010200ff016a01030000010100000101000001010000010100000
+10100000101000001011206010111011206010111260105000201030002010600
+0301030002010200010101000101000000010100000101000201040001010300000102000201040
+00101030000010200010106000f01010000010000010100000f01010012010200
+020103000001020001010600030103000301040000010000020103000201020001010100ff01430
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011125010600010105000101060002010500010107000001070001010400010
+10800000106000001080000010600040100000901010000010000120103001001
+0200020108000001060002010500010107000101050001010700ff0142011600011206010111011
+20601011124010200000103000001020001010200010102000401020001010200
+0101060000010700030102000201030000010200000101000101020001010300000102000101020
+00601020008010300140103000e01020003010300000102000101020004010200
+010102000001020000010300000102000101020001010600ff01420103000001010000010100000
+10100000101000001010000010100000101120601011101120601011124010200
+0101020000010200010102000101020004010200010102000101030000010100000101000001010
+00001010003010200020102000101020003010300010102000101020001010200
+070100000a01040007010700040103000c010200030102000101020001010200040102000101020
+0000102000001020001010200010102000101030000010100ff01420102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111240
+10200010102000001070001010200040107000101020004010100000101000001
+0100030102000201020001010200010105000101020001010200010102001501030006010700040
+103000c0102000301020001010200010102000401070000010200000102000101
+070001010200ff01460116000112060101110112060101112401020001010200000102000601020
+00401020006010200040101000001010000010100030102000201020001010200
+00010200000102000101020001010200010102001501000000010100110103000e0102000301020
+0010102000101020004010200060104000201020006010200ff01460103000001
+0100000101000001010000010100000101000001010000010112060101110112060101112401020
+00101020000010300010101000101020000010100010103000101010001010200
+0401010000010100000101000301020002010200010102000001020000010200010102000101020
+001010200000101000f01000001010000000101000f0103001001020003010200
+010102000101020000010100010103000101010000010300040103000101010001010200ff01460
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011125010600010106000101050002010600000104000301010000010100000
+1010001010a000001030000010b00000103000101050004010000090101000001
+0000000101000f01010010010600000103000001030001010500020106000001060002010600000
+10400ff0145011600011206010111011206010111260102000001010002010400
+03010300040104000101040003010100000101000001010001010a0000010300010102000001060
+00001030002010300040102000801050023010600000103000001030002010300
+04010400020106000201040001010400ff014501030000010100000101000001010000010100000
+101000001010000010112060101110112060101118a0100000c01000049010200
+01010200ff015401020000010100000101000001010000010100000101000001010000010000011
+2060101110112060101119801000049010700ff01540116000112060101110112
+06010111980100004a010500ff01550103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111ff01ff014001160
+0011206010111011206010111ff01ff0140010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111ff01ff014001020000010100000
+10100000101000001010000010100000101000001000001120601011101120601
+0111ff01ff0140011600011206010111011206010111ff01ff01400103000001010000010100000
+101000001010000010100000101000001011206010111011206010111ff01ff01
+400101001401011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010100
+140101120601011101120601011128010300030101003101040002010100030101000c010000100
+101001e01030000010300150100001f0106000d01000050010000e30101001401
+01120601011101120601011128010300020103003001040002010100030101000b0101000f01030
+01d01030000010300140101001a010100020106000c0101002a01010023010000
+e301030000010100000101000001010000010100000101000001010000010112060101110112060
+1011129010200030101003301020002010200010102000b010100100101001e01
+0200020101001501010019010100050102000e0101002b01010020010500e001010014010112060
+10111011206010111290102003901020002010200010102000a01020031010200
+020101001401020019010100050102000d0102002b0101001f0101000001000000010100e001010
+01401011206010111011206010111260105000101040003010400030104000001
+0000020103000101030000010200020104000501020002010700010104000201060001010200010
+10100020104000201030000010200130102000001020003010300040102000001
+0100000106000301030002010200010101000301010006010200020103000001020001010600030
+10300030104000001000002010300020102000101010005010100100101000b01
+01000001000001010000e0010300000101000001010000010100000101000001010000010100000
+10112060101110112060101112501060001010400020106000101070001010500
+0001080000010600040102000201070000010600010106000101070001010400020102000101020
+0030100000e010200000101000301050002010600000106000201050001010700
+0201010006010200020108000001060002010500010107000101050001010700040101001001030
+00901010000010000e30101001401011206010111011206010111240102000001
+0300030102000201010001010200010102000001030000010200010102000001030000010200000
+10100010102000401020002010700000101000101020002010200050106000301
+02000301020000010100030102000d0102000001010002010200010102000001030000010200010
+10200040102000101020001010600020101000601020003010300000102000101
+0200040102000101020000010200000103000001020001010200010106000401010012010300070
+10300e30101001401011206010111011206010111240102000101020003010200
+0501030001010200000102000101020001010200000102000101020003010300040102000201010
+00001010000010100030103000201020005010300000101000301020004010300
+050100000f010400020102000101020000010200020101000101020004010200010102000101030
+00001010002010100060102000301020001010200010102000401020001010200
+0001020000010200010102000101020001010300000101000401010007010700040103000601040
+0e101030000010100000101000001010000010100000101000001010000010112
+0601011101120601011124010200010102000301020003010500010102000001020001010200010
+10200000102000101020001010500040102000201010000010100000101000101
+0500020102000501020007010200040103001601030003010700000102000601020004010200010
+10200010102000601010006010200030102000101020001010200040107000001
+020000010200010107000101020008010100070107000401030008010300e001010014010112060
+10111011206010111240102000101020003010200020102000001020002010400
+0201020001010200000102000101020000010200000102000401020002010100000101000001010
+00001020000010200020102000501020007010200040103001601030003010200
+0501020006010200040102000101020001010200060101000601020003010200010102000101020
+00401020006010400020102000601020008010100120103000a01000000010100
+e001010014010112060101110112060101112401020001010200030102000201020000010200010
+10300040102000101020000010200010102000001020000010200040102000201
+0100030101000001020000010200020102000001010002010200070102000301010000010200160
+10200030103000101010000010300010101000101020000010100010102000101
+0200010102000601010006010200030102000101020001010200000101000101030001010100000
+10300040103000101010001010200080101001001030009010000010100000001
+0100e00103000001010000010100000101000001010000010100000101000001011206010111011
+20601011125010600010106000001070000010600020105000001030000010300
+0001070001010600000102000101020000010700010105000101040004010600000102000101020
+00301000010010100050106000101060001010500020105000101040006010100
+0301060000010300000103000101050002010600000106000201060000010400060101001101010
+00b0101000001000000010100e001010014010112060101110112060101112601
+0200000101000101060001010200000102000101060002010300010103000001030001010200000
+10200010106000001020001010200010102000001020002010300020104000401
+06000001020000010300020102000f0101000601040003010400030103000401030002010400060
+10100030106000001030000010300020103000401040002010600020104000101
+0400060101001f010500e101010014010112060101110112060101113f010200010102005d01000
+04801010026010200010102001401010023010000e30103000001010000010100
+0001010000010100000101000001010000010112060101110112060101113f010700d00107003a0
+10000e3010100140101120601011101120601011140010500d20105003b010000
+e30101001401011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+14001030000010100000101000001010000010100000101000001010000010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001010
+01401011206010111011206010111ff01ff014001030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400101001401011206010111011206010111
+300101000d010200000101000b010400020106000e01030023010000250106000d010000ff016a0
+10300000101000001010000010100000101000001010000010100000101120601
+01110112060101112f0103000b0106000b010400020106000e01030023010000250106000c01010
+0ff016a0101001401011206010111011206010111300101000c01020000010200
+0d010200040102001101020021010500240102000e010100ff016a0101001401011206010111011
+2060101113f010200010101000d01020004010200110102002001010000010000
+00010100240102000d010200ff016a0103000001010000010100000101000001010000010100000
+10100000101120601011101120601011124010000000101000001010002010400
+0101030000010200010102000101010003010300050102000401020002010300000102000301050
+00201030002010300000102000e01010000010000010100000f01010012010200
+020103000001020001010600030103000301040000010000020103000201020001010100ff01430
+10100140101120601011101120601011124010700010104000101080000010200
+0601050004010200040102000201080001010600010105000101020001010200030100000901010
+00001000012010300100102000201080000010600020105000101070001010500
+01010700ff014201010014010112060101110112060101112401070003010200020103000001020
+00001020005010200010102000301020004010200030103000001020000010200
+00010300000102000101020001010200000101000301020008010300140103000e0102000301030
+00001020001010200040102000101020000010200000103000001020001010200
+01010600ff014201030000010100000101000001010000010100000101000001010000010112060
+10111011206010111240101000001010000010100030102000201020001010200
+0001020005010200010102000301020004010200030102000101020000010200010102000001020
+00101020002010300050100000a01040007010700040103000c01020003010200
+0101020001010200040102000101020000010200000102000101020001010200010103000001010
+0ff01420101001401011206010111011206010111240101000001010000010100
+0301020002010200010102000001020005010200010102000301020004010200030102000101020
+0000102000101020000010700020103001301030006010700040103000c010200
+0301020001010200010102000401070000010200000102000101070001010200ff0146010100140
+10112060101110112060101112401010000010100000101000301020002010200
+0101020000010200010101000101020001010200030102000401020003010200010102000001020
+00101020000010200070103001301000000010100110103000e01020003010200
+010102000101020004010200060104000201020006010200ff01460103000001010000010100000
+10100000101000001010000010100000101120601011101120601011124010100
+0001010000010100030102000201020001010200000102000101010001010200010102000301020
+00401020003010200010102000001020001010200000103000101010001010100
+000102000f01000001010000000101000f010300100102000301020001010200010102000001010
+0010103000101010000010300040103000101010001010200ff01460101001401
+01120601011101120601011124010100000101000001010001010a0000010300000106000201050
+00201060000010600000103000001030001010600010106000001020001010200
+030100000901010000010000000101000f010100100106000001030000010300010105000201060
+0000106000201060000010400ff01450101001401011206010111011206010111
+24010100000101000001010001010a0000010300010104000401030003010600000106000001030
+00001030002010200000101000201040001010200000103000201020008010500
+2301060000010300000103000201030004010400020106000201040001010400ff0145010300000
+10100000101000001010000010100000101000001010000010112060101110112
+060101118a0100000c0100004901020001010200ff0154010100140101120601011101120601011
+19801000049010700ff0154010100140101120601011101120601011198010000
+4a010500ff015501030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff01400101001401011206010111011206010111ff01
+ff01400101001401011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+01001401011206010111011206010111ff01ff01400101001401011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400103000001010000010100
+000101000001010000010100000101000001011206010111011206010111300101000b010700130
+106000e01030023010000250106000d010000ff016a0101001401011206010111
+0112060101112f0103000a010800120106000e01030023010000250106000c010100ff016a01010
+01401011206010111011206010111300101000c01020001010200140102001101
+020021010500240102000e010100ff016a010300000101000001010000010100000101000001010
+00001010000010112060101110112060101113f01020001010200140102001101
+0200200101000001000000010100240102000d010200ff016a01010014010112060101110112060
+10111240100000001010000010100020104000101030000010200010102000001
+0200030103000201020001010200020102000201030000010200030105000201030002010300000
+102000e01010000010000010100000f0101001201020002010300000102000101
+0600030103000301040000010000020103000201020001010100ff0143010100140101120601011
+10112060101112401070001010400010108000001050003010500010102000101
+0200020102000201080001010600010105000101020001010200030100000901010000010000120
+1030010010200020108000001060002010500010107000101050001010700ff01
+4201030000010100000101000001010000010100000101000001010000010112060101110112060
+10111240107000301020002010300000102000001050002010200010102000001
+0100030101000201020003010300000102000001020000010300000102000101020001010200000
+101000301020008010300140103000e0102000301030000010200010102000401
+0200010102000001020000010300000102000101020001010600ff0142010100140101120601011
+10112060101112401010000010100000101000301020002010200010102000001
+0200000102000101020001010200000101000001010000010100020102000301020001010200000
+1020001010200000102000101020002010300050100000a010400070107000401
+03000c0102000301020001010200010102000401020001010200000102000001020001010200010
+102000101030000010100ff014201010014010112060101110112060101112401
+0100000101000001010003010200020102000101020000010200000102000101020001010200000
+10100000101000001010002010200030102000101020000010200010102000001
+0700020103001301030006010700040103000c01020003010200010102000101020004010700000
+10200000102000101070001010200ff0146010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111240101000001010000010100030
+10200020102000101020000010200000102000101020001010200000107000201
+02000301020001010200000102000101020000010200070103001301000000010100110103000e0
+1020003010200010102000101020004010200060104000201020006010200ff01
+4601010014010112060101110112060101112401010000010100000101000301020002010200010
+10200000102000101020000010200010102000001070002010200030102000101
+02000001020001010200000103000101010001010100000102000f01000001010000000101000f0
+10300100102000301020001010200010102000001010001010300010101000001
+0300040103000101010001010200ff0146010100140101120601011101120601011124010100000
+101000001010001010a0000010700010102000101050002010200000101000101
+0600000103000001030001010600010106000001020001010200030100000901010000010000000
+101000f0101001001060000010300000103000101050002010600000106000201
+060000010400ff01450103000001010000010100000101000001010000010100000101000001011
+20601011101120601011124010100000101000001010001010a00000107000101
+0200020103000301010001010100010106000001030000010300020102000001010002010400010
+10200000103000201020008010500230106000001030000010300020103000401
+0400020106000201040001010400ff014501010014010112060101110112060101118a0100000c0
+100004901020001010200ff015401010014010112060101110112060101119801
+000049010700ff01540103000001010000010100000101000001010000010100000101000001011
+206010111011206010111980100004a010500ff01550101001401011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff0140010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff0140010100140101120601011101120601011130010100220103000c010000
+15010000250106000d010000ff018501010014010112060101110112060101112f0103002101030
+00b01010015010000250106000c010100ff018501030000010100000101000001
+0100000101000001010000010100000101120601011101120601011130010100230102000b01010
+013010500240102000e010100ff01850101001401011206010111011206010111
+560102000a010200120101000001000000010100240102000d010200ff018501010014010112060
+10111011206010111240100000001010000010100020104000101030000010200
+0301030002010200010101000301050002010300020106000f01010000010000010100000f01010
+01201020002010300000102000101060003010300030104000001000002010300
+0201020001010100ff015e010300000101000001010000010100000101000001010000010100000
+10112060101110112060101112401070001010400010108000101050001010700
+0101060001010500010106000401000009010100000100001201030010010200020108000001060
+002010500010107000101050001010700ff015d01010014010112060101110112
+0601011124010700030102000201030000010200000102000101020001010600000102000001030
+00001020001010200010102000601020008010300140103000e01020003010300
+000102000101020004010200010102000001020000010300000102000101020001010600ff015d0
+10100140101120601011101120601011124010100000101000001010003010200
+0201020001010200000102000101020001010300000101000001020001010200000102000101020
+001010200070100000a01040007010700040103000c0102000301020001010200
+010102000401020001010200000102000001020001010200010102000101030000010100ff015d0
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111240101000001010000010100030102000201020001010200000102000101020
+00101020004010200010102000001070001010200150103000601070004010300
+0c0102000301020001010200010102000401070000010200000102000101070001010200ff01610
+10100140101120601011101120601011124010100000101000001010003010200
+0201020001010200000102000101020001010200040102000101020000010200060102001501000
+000010100110103000e0102000301020001010200010102000401020006010400
+0201020006010200ff0161010100140101120601011101120601011124010100000101000001010
+00301020002010200010102000001020001010200010102000401020001010200
+000103000101010001010200000101000f01000001010000000101000f010300100102000301020
+00101020001010200000101000101030001010100000103000401030001010100
+01010200ff016101030000010100000101000001010000010100000101000001010000010112060
+1011101120601011124010100000101000001010001010a000001030001010500
+01010400040106000101060001010500040100000901010000010000000101000f0101001001060
+000010300000103000101050002010600000106000201060000010400ff016001
+0100140101120601011101120601011124010100000101000001010001010a00000103000201030
+00201040005010200000101000201040003010300040102000801050023010600
+00010300000103000201030004010400020106000201040001010400ff016001010014010112060
+101110112060101116f0100000c0100004901020001010200ff016f0103000001
+0100000101000001010000010100000101000001010000010112060101110112060101117d01000
+049010700ff016f01010014010112060101110112060101117d0100004a010500
+ff01700101001401011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+01001401011206010111011206010111ff01ff01400101001401011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400103000001010000010100
+000101000001010000010100000101000001011206010111011206010111ff01ff0140010100140
+1011206010111011206010111ff01ff0140010100140101120601011101120601
+0111370104000301040003010300000101003501000025010400060101000f0100000c010300000
+10300150100001f0106000d010000ff0110010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111370104000301040002010700350
+1000025010400050103000d010100080101000101030000010300140101001a01
+0100020106000c0101002a01010006010100da01010014010112060101110112060101113901020
+00501020002010200010102003301050023010200070101000e01010007010100
+02010200020101001501010019010100050102000e0101002b01010006010100d90101001401011
+20601011101120601011139010200050102000201020002010100320101000001
+00000001010023010200170102000701010002010200020101001401020019010100050102000d0
+102002b01010006010100d9010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111230103000001020001010200000103000301020
+00501020002010300010101000001010000010300020104000401020000010100
+020103001001010000010000010100000f010100110102000501040003010300000100000101060
+00301010004010200000102000301030004010200000101000001060003010300
+0201020001010100030101000601020002010300000102000101060003010300030104000001000
+00201030002010200010101000501010006010100d80101001401011206010111
+0112060101112301080000010200000103000301020005010200030103000301070000010600020
+1060001010500040100000901010000010000120103000f010200050104000201
+0600010106000301010004010200000101000301050002010600000106000201050001010700020
+10100060102000201080000010600020105000101070001010500010107000401
+010006010100d801010014010112060101110112060101112401030000010200000102000101020
+00301020005010200040103000201030000010200000101000101020001010300
+0001020000010200010102000201020008010300140103000d01020007010200020102000001020
+00201020006010100040102000001010002010200010102000001030000010200
+0101020004010200010102000101060002010100060102000301030000010200010102000401020
+00101020000010200000103000001020001010200010106000401010006010100
+d801030000010100000101000001010000010100000101000001010000010112060101110112060
+10111240102000101020000010200010102000301020005010200050103000101
+0200010102000301030001010200020101000001020001010200030100000a01040007010700040
+103000b0102000701020002010300010100000201020006010100050104000201
+0200010102000001020002010100010102000401020001010200010103000001010002010100060
+10200030102000101020001010200040102000101020000010200000102000101
+02000101020001010300000101000401010006010100d8010100140101120601011101120601011
+12401020001010200000102000101020003010200050102000201010001010300
+00010200010102000101050001010200050107001101030006010700040103000b0102000701020
+00301040003010200060101000501030003010700000102000601020004010200
+0101020001010200060101000601020003010200010102000101020004010700000102000001020
+001010700010102000801010006010100d8010100140101120601011101120601
+0111240102000101020000010200010102000301020005010200020101000201020000010200010
+10200000102000001020001010200050102001601000000010100110103000d01
+0200010101000301020002010000010103000201020006010100050103000301020005010200060
+10200040102000101020001010200060101000601020003010200010102000101
+0200040102000601040002010200060102000801010006010100d80103000001010000010100000
+10100000101000001010000010100000101120601011101120601011124010200
+0101020000010200000103000301020005010200020102000101020000010200000103000001020
+000010200010103000101010000010300010101000e0100000101000000010100
+0f0103000f010200000102000301020002010200000102000201020000010100030101000601020
+00301030001010100000103000101010001010200000101000101020001010200
+0101020006010100060102000301020001010200010102000001010001010300010101000001030
+00401030001010100010102000801010006010100d80101001401011206010111
+0112060101112301030000010300000107000101060001010600000107000001060001010700010
+1060001010600030100000901010000010000000101000f010100100107000101
+0600000106000201050004010100050101000501060001010600010105000201050001010400060
+10100030106000001030000010300010105000201060000010600020106000001
+04000601010006010100d9010100140101120601011101120601011123010300000103000101030
+00001010001010600010106000001010000010300010105000301020000010200
+0201040003010400030102000801050023010700010106000001000000010300040103000501010
+00501010006010400030104000301030004010300020104000601010003010600
+000103000001030002010300040104000201060002010400010104000601010006010100d901030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011151010200230100000c0100004d0101003c010100260102000101020014010100060
+10100da01010014010112060101110112060101115101020031010000b5010700
+fa01010014010112060101110112060101115001040030010000b6010500fb01030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff01400101001401011206010111011206010111ff01ff01400101001401011206010111011
+206010111ff01ff01400103000001010000010100000101000001010000010100
+000101000001011206010111011206010111ff01ff0140010100140101120601011101120601011
+1ff01ff01400101001401011206010111011206010111ff01ff01400103000001
+010000010100000101000001010000010100000101000001011206010111011206010111ff01ff0
+1400101001401011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111370104000301040005010100060100001e01
+0000250101000201020012010100020102001e01000007010100150106000d010000ff012b01010
+01401011206010111011206010111370104000301040004010300040101001e01
+0000250102000101020012010200010102001d01010006010300140106000c010100ff012b01010
+01401011206010111011206010111390102000501020005010100050101001c01
+0500220102000201010012010200020101001d01010007010100170102000e010100ff012b01030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011139010200050102000c0102001b01010000010000000101002201030001010100120
+10300010101001c010200210102000d010200ff012b0101001401011206010111
+0112060101112301030000010200010102000001030003010200050102000301040002010600010
+10300000102000e01010000010000010100000f01010010010300010101000201
+0300010103000001020001010300010101000201030003010400000100000101040002010600020
+10400020102000101020002010300040102000201030000010200010106000301
+03000301040000010000020103000201020001010100ff010401010014010112060101110112060
+10111230108000001020000010300030102000501020003010400020106000101
+030000010200030100000901010000010000120103000e010400000101000101050000010800000
+10400000101000101050001010700000106000101060002010400020102000101
+02000101050003010200020108000001060002010500010107000101050001010700ff010301030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101112401030000010200000102000101020003010200050102000501020003010200040
+10200010102000201020008010300140103000c01010000010100000101000001
+0200010102000001030000010200000101000001010000010100000102000101020000010200000
+10300000101000101020002010200070102000201020001010200000102000101
+0200020102000301030000010200010102000401020001010200000102000001030000010200010
+1020001010600ff01030101001401011206010111011206010111240102000101
+02000001020001010200030102000501020005010200030102000501020000010100040100000a0
+1040007010700040103000a010100000104000001020001010200000102000101
+0200000101000001040000010200010102000001020000010200040103000201020007010200030
+10200000101000101020001010200020102000301020001010200010102000401
+020001010200000102000001020001010200010102000101030000010100ff01030101001401011
+20601011101120601011124010200010102000001020001010200030102000501
+02000501020003010200050105001201030006010700040103000a0101000101030000010200010
+10200000102000101020000010100010103000001070000010200000102000201
+0500020102000701020003010200000101000101070002010200030102000101020001010200040
+1070000010200000102000101070001010200ff01070103000001010000010100
+0001010000010100000101000001010000010112060101110112060101112401020001010200000
+10200010102000301020005010200050102000301020006010300130100000001
+0100110103000c01010001010300000102000101020000010200010102000001010001010300000
+10200060104000201020000010200020102000701020003010400020102000701
+020003010200010102000101020004010200060104000201020006010200ff01070101001401011
+20601011101120601011124010200010102000001020000010300030102000501
+0200050102000301020000010100030103001001000001010000000101000f0103000e010100020
+10200000102000101020000010200010102000001010002010200000103000101
+0100000103000401020000010200020102000001010004010200040103000201030001010100020
+10200030102000101020001010200000101000101030001010100000103000401
+03000101010001010200ff010701010014010112060101110112060101112301030000010300000
+10700010106000101060001010600010105000401010006010000090101000001
+0000000101000f01010010010200010102000101050000010300000103000001020001010200010
+10600000106000101070001010500020106000201020004010600000106000001
+0300000103000101050002010600000106000201060000010400ff0106010300000101000001010
+00001010000010100000101000001010000010112060101110112060101112301
+0300000103000101030000010100010106000101060001010600020103000401020005010200080
+10500230102000201010002010300010103000001030000010200020101000201
+0400020106000101020000010200020103000301060002010200050104000101060000010300000
+103000201030004010400020106000201040001010400ff010601010014010112
+060101110112060101115b010200070100000c01000052010200010102005101020001010200ff0
+11501010014010112060101110112060101115a01030015010000520107005101
+0700ff0115010300000101000001010000010100000101000001010000010100000101120601011
+10112060101115a010200160100005301050053010500ff011601010014010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff014001010014010112060101110112060101113e01030016010000
+250101000201020012010100020102001e01000007010100150106000d010000ff0146010100140
+10112060101110112060101113e01030016010000250102000101020012010200
+010102001d01010006010300140106000c010100ff0146010300000101000001010000010100000
+10100000101000001010000010112060101110112060101113f01020014010500
+220102000201010012010200020101001d01010007010100170102000e010100ff0146010100140
+10112060101110112060101113f01020013010100000100000001010022010300
+0101010012010300010101001c010200210102000d010200ff01460101001401011206010111011
+20601011124010200010101000201040001010300000102000101020001010200
+0e01010000010000010100000f01010010010300010101000201030001010300000102000101030
+00101010002010300030104000001000001010400020106000201040002010200
+0101020002010300040102000201030000010200010106000301030003010400000100000201030
+00201020001010100ff011f010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111240107000001060000010800000102000101020
+0030100000901010000010000120103000e010400000101000101050000010800
+0001040000010100010105000101070000010600010106000201040002010200010102000101050
+003010200020108000001060002010500010107000101050001010700ff011e01
+0100140101120601011101120601011125010600000101000101020001010300000102000001020
+0000102000301020008010300140103000c010100000101000001010000010200
+0101020000010300000102000001010000010100000101000001020001010200000102000001030
+00001010001010200020102000701020002010200010102000001020001010200
+0201020003010300000102000101020004010200010102000001020000010300000102000101020
+001010600ff011e01010014010112060101110112060101112501030000010100
+03010300010102000101020000010500050100000a01040007010700040103000a0101000001040
+00001020001010200000102000101020000010100000104000001020001010200
+0001020000010200040103000201020007010200030102000001010001010200010102000201020
+00301020001010200010102000401020001010200000102000001020001010200
+010102000101030000010100ff011e0103000001010000010100000101000001010000010100000
+10100000101120601011101120601011125010200050105000101020001010200
+000104001401030006010700040103000a010100010103000001020001010200000102000101020
+00001010001010300000107000001020000010200020105000201020007010200
+0301020000010100010107000201020003010200010102000101020004010700000102000001020
+00101070001010200ff0122010100140101120601011101120601011125010200
+0401020000010200010102000101020000010200000101001301000000010100110103000c01010
+00101030000010200010102000001020001010200000101000101030000010200
+0601040002010200000102000201020007010200030104000201020007010200030102000101020
+00101020004010200060104000201020006010200ff0122010100140101120601
+0111011206010111250102000401020000010200010102000101020000010200000102000f01000
+001010000000101000f0103000e01010002010200000102000101020000010200
+0101020000010100020102000001030001010100000103000401020000010200020102000001010
+00401020004010300020103000101010002010200030102000101020001010200
+00010100010103000101010000010300040103000101010001010200ff012201030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+2401040003010b00000103000001020001010200030100000901010000010000000101000f01010
+01001020001010200010105000001030000010300000102000101020001010600
+0001060001010700010105000201060002010200040106000001060000010300000103000101050
+002010600000106000201060000010400ff012101010014010112060101110112
+0601011124010400040102000001060000010300000102000101020002010200080105002301020
+00201010002010300010103000001030000010200020101000201040002010600
+0101020000010200020103000301060002010200050104000101060000010300000103000201030
+004010400020106000201040001010400ff012101010014010112060101110112
+060101114b0100000c01000052010200010102005101020001010200ff013001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+590100005201070051010700ff01300101001401011206010111011206010111590100005301050
+053010500ff01310101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010100140101120601011
+10112060101113f010700080103000f0104002501000023010000ff018a010300
+00010100000101000001010000010100000101000001010000010112060101110112060101113f0
+10700080103000f0104002501000023010000ff018a0101001401011206010111
+01120601011140010200000102000901020011010200230105001e010500ff01870101001401011
+20601011101120601011140010200010101000901020011010200220101000001
+0000000101001d0101000001000000010100ff01870103000001010000010100000101000001010
+00001010000010100000101120601011101120601011124010200010101000301
+0300020102000101020001010200060102000001010000010600030103000501020004010300010
+10300000102000f01010000010000010100000f0101000b010100000100000101
+0000ff0187010100140101120601011101120601011124010700010105000101020001010200010
+10400030106000001070001010500040102000301050000010800030100000901
+010000010000120103000901010000010000ff018a0101001401011206010111011206010111250
+10600000102000101020000010100030101000101040002010300000102000001
+0300000102000001020001010200030102000201020001010200000103000001020002010200080
+103001401030007010300ff018a01030000010100000101000001010000010100
+0001010000010100000101120601011101120601011125010300000101000001020001010200000
+10100000101000001010001010200040102000201010000010200010102000001
+0200010102000301020002010200010102000001020001010200030100000a01040007010700040
+1030006010400ff01880101001401011206010111011206010111250102000401
+0200010102000001010000010100000101000101020004010200050102000101020000010700030
+10200020102000101020000010200010102001101030006010700040103000801
+0300ff0187010100140101120601011101120601011125010200040102000101020000010700010
+10200010101000001020005010200010102000001020008010200020102000101
+020000010200010102001101000000010100110103000a01000000010100ff01870103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111250102000401020001010200000107000101020000010200000103000101010000010200010
+10200000103000101010003010200020102000101020000010200010102000e01
+000001010000000101000f010300090100000101000000010100ff0187010100140101120601011
+1011206010111240104000401050002010200000101000101070001010a000001
+03000101060001010600010105000001030000010300030100000901010000010000000101000f0
+101000b0101000001000000010100ff0187010100140101120601011101120601
+0111240104000501030003010100010101000101070002010400000103000001030002010400020
+1060002010300010103000001030002010200080105001e010500ff0188010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111810
+100000c01000023010000ff018a01010014010112060101110112060101118f01
+000023010000ff018a01010014010112060101110112060101118f01000023010000ff018a01030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111470107001f0101001d010000
+0d0106000d010000310106000d01000050010000f10101001401011206010111011206010111470
+108001d01030014010100050100000d0106000c010100310106000c0101002a01
+010023010000f1010100140101120601011101120601011148010200010102001d0103001301010
+0040105000c0102000e010100330102000e0101002b01010020010500ee010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111480
+10200010102001d010300130101000301010000010000000101000c0102000d01
+0200330102000d0102002b0101001f0101000001000000010100ee0101001401011206010111011
+20601011125010300000100000101020001010200010104000201010000010300
+0101020000010200030103000201020001010200010103000001000003010300120101000401010
+000010000010100000c0102000201030000010200010106000301030003010400
+000100000201030002010200010101000c010200020103000001020001010600030103000301040
+00001000002010300020102000101010005010100100101000b01010000010000
+01010000ee010100140101120601011101120601011124010600010102000101020000010600010
+10700000105000301050001010200010102000001060003010300050100000b01
+010004010100000100000f0102000201080000010600020105000101070001010500010107000b0
+10200020108000001060002010500010107000101050001010700040101001001
+03000901010000010000f1010300000101000001010000010100000101000001010000010100000
+10112060101110112060101112401020000010200010101000301010000010100
+0101020001010300000102000001050002010200010102000001010003010100000102000001020
+003010300040102000a010100040103000f010200030103000001020001010200
+040102000101020000010200000103000001020001010200010106000b010200030103000001020
+00101020004010200010102000001020000010300000102000101020001010600
+040101001201030007010300f101010014010112060101110112060101112401030001010000010
+10100000101000001010003010300010102000101020000010200000102000101
+020001010200000101000001010000010100000103000101000004010100060100000b010100050
+104000d0102000301020001010200010102000401020001010200000102000001
+0200010102000101020001010300000101000b01020003010200010102000101020004010200010
+10200000102000001020001010200010102000101030000010100040101000701
+07000401030006010400ef010100140101120601011101120601011125010400020101000001010
+00001010001010500010102000101020000010200000102000101020001010200
+000101000001010000010100010104000501010013010100070103000c010200030102000101020
+00101020004010700000102000001020001010700010102000f01020003010200
+0101020001010200040107000001020000010200010107000101020008010100070107000401030
+008010300ee011600011206010111011206010111240100000101030001010700
+0001020000010200010102000101020000010200000102000101020001010200000107000001000
+001010300040101001301010007010000000101000c0102000301020001010200
+01010200040102000601040002010200060102000f0102000301020001010200010102000401020
+006010400020102000601020008010100120103000a01000000010100ee011600
+0112060101110112060101112401020000010200010107000001020000010200010102000001030
+0000102000101020000010200010102000001070000010200000102001a010100
+0401000001010000000101000c01020003010200010102000101020000010100010103000101010
+0000103000401030001010100010102000f010200030102000101020001010200
+0001010001010300010101000001030004010300010101000101020008010100100103000901000
+00101000000010100ee0116000112060101110112060101112401060002010200
+0001010001010700000106000001030001010200010105000201020000010100010106000401010
+0060100000c010100030101000001000000010100040100000401060000010300
+0001030001010500020106000001060002010600000104000601000004010600000103000001030
+0010105000201060000010600020106000001040006010100110101000b010100
+0001000000010100ee0116000112060101110112060101112401000000010300030101000101010
+00201020000010200000105000101030001010200020103000301010001010100
+010100000001030004010300040102000b010100030105000401020003010600000103000001030
+00201030004010400020106000201040001010400050102000301060000010300
+000103000201030004010400020106000201040001010400060101001f010500ef0116000112060
+101110112060101113f0102002c010100060100000d0101000501000007010100
+27010200010102001501010027010200010102001401010023010000f1011600011206010111011
+2060101113f0102004c010000070101002701070015010100270107003a010000
+f10116000112060101110112060101113e0104004b0100000601010029010500150101002901050
+03b010000f1011600011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff014001020012010000011206010111011206010111ff01ff014001030
+010010100011206010111011206010111ff01ff01400104000e01020001120601
+0111011206010111ff01ff01400105000c010300011206010111011206010111ff01ff014001060
+00a010400011206010111011206010111ff01ff01400107000801050001120601
+0111011206010111ff01ff014001080006010600011206010111011206010111ff01ff014001090
+004010700011206010111011206010111ff01ff0140010a000201080001120601
+0111011206010111ff01ff0140010b0000010900011206010111011206010111ff01ff014001160
+0011206010111011206010111ff01ff0140011600011206010111011206010111
+ff01ff0140011600011206010111011206010111ff00ff005700011206010111011206010111ff0
+0ff005700011206010111011206010111ff01ff01400116000112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01c80175001801011206010111
+011206010111ff01c801750018010112060101110112060101119e010100210100007c0100004e0
+104000401010004010400050100001a0175001801011206010111011206010111
+1401020001010200040100007a0103001f0101007b0101004d01060002010300030104000401010
+01a01750018010112060101110112060101111501010002010100030102007a01
+0100200101007b0101004d010200000102000301010006010200040101001a01750018010112060
+101110112060101111501010002010000050100009d0102007a0102004d010200
+10010200030102001a0175001801011206010111011206010111150101000201000036010300000
+10200020104000201000000010100000101000301030003010300000100001401
+0300000100000201040003010400000104000001020002010400020106000101020000010300000
+10200010101000301030003010300000100001c01010000010300020104000201
+0200010101000201040002010000000101000001010003010300020106000301030002010200010
+1010002010300000100002e010500030104000501020002010600030103000201
+0200010101000501750018010112060101110112060101111501010001010000030103000501030
+0010101000401000003010300050100000c010800000106000101070001010500
+0101060013010600020104000201100000010600010106000101020000010300000107000101050
+0010106001c010700000106000101070000010600010107000101050001010600
+0201050001010700000106002e01050003010400050102000201060002010500010107000401750
+01801011206010111011206010111150101000101000005010100030102000101
+010001010100020101000101020001010100030102000c010300000102000001010001010200010
+10700000102000101020000010200000102001301020000010200040102000201
+0200000103000001030000010200000101000101020002010200040102000101020001010600000
+102000101020000010200000102001c0103000001020000010100010102000201
+0600000101000101020001010700000102000101020001010200040102000101020001010600000
+10200000102002f01020007010200050102000301020004010200010102000101
+0600040175001801011206010111011206010111150101000101000004010100040101000201010
+001010100020101000101010002010000050100000d0102000101020003010300
+0101010000010100000101000001020001010200000103000101000013010300010100000401020
+00201020000010200010102000101020003010300020102000401020001010200
+0101030000010100000102000101020000010300010100001c01020001010200030103000201030
+00001010003010300010101000001010000010100000102000101020001010200
+0401020001010200010103000001010000010300010100002f01020007010200050102000301020
+00401020001010200010103000001010004017500180101120601011101120601
+0111150101000001000005010100030101000201010002010100020100000301010017010200010
+10200010105000101010000010100000101000001070001010400150104000501
+0200020102000001020001010200010102000101050002010200040102000101020001010200040
+10700010104001d01020001010200010105000201020005010500010101000001
+0100000101000001070001010200040107000101020005010400300102000701020005010200030
+10200040107000101020008017500180101120601011101120601011115010100
+0001000005010100030104000301010001010000000100000401020015010200010102000001020
+00001020001010100000101000001010000010200050100000101030013010000
+0101030004010200030104000201020001010200000102000001020002010200040102000101020
+0010102000401020005010000010103001c010200010102000001020000010200
+0201020004010200000102000101010000010100000101000001020006010200040102000601020
+004010000010103002f0102000701020005010200030102000401020006010200
+0801750018010112060101110112060101111501010000010000040101000401010006010100000
+10100000100000201000002010100140102000101020000010200000102000101
+0100000101000001010000010300010101000001020000010200130102000001020004010200020
+10300040102000101020000010200000102000201020000010100010102000001
+030001010200040103000101010000010200000102001c010200000103000001020000010200020
+10200040102000001020001010100000101000001010000010300010101000101
+02000001010001010300010101000101020004010200000102002f0102000701020005010200030
+10200000101000101030001010100010102000801750018010112060101110112
+0601011115010200050101000101000002010100020100000101060001010100010102000401000
+00d01030000010300000107000001010000010100000101000101060000010600
+1301060002010600000106000001030000010300000107000101050001010700000104000401060
+0000106001c010600010107000001040003010700000101000001010000010100
+01010600010105000201060000010400030106002e0104000401060001010600010105000201060
+00001040007017500180101120601011101120601011115010100070102000401
+0300030101000001010003010300050102000c01030000010300010102000001020000010100000
+10100000101000201040001010000000103001401000000010300030106000101
+0a00000103000101020000010200020103000301030000010100000104000501040001010000000
+103001d0105000301020000010200000104000401020000010200000101000001
+0100000101000201040003010300040104000101040003010000000103002f01040004010600010
+10600020103000401040001010400070175001801011206010111011206010111
+430100005f010200010102005a010200bd0175001801011206010111011206010111a40107005a0
+10200bd0175001801011206010111011206010111a50105005a010400bc017500
+1801011206010111011206010111ff01c80175001801011206010111011206010111ff01c801750
+01801011206010111011206010111ff01c8010400080167001801011206010111
+011206010111ff01c8010400080167001801011206010111011206010111ff01c80175001801011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111a70101000f010100d6010300270101000f0100000701
+01007b01011206010111011206010111a60103000d0103004e01000017010200460100002201030
+0260103000d010100060103007a01011206010111011206010111a70101000f01
+01004e010200170101002b010000100100000601020022010200270101000e010100070101007b0
+1011206010111011206010111ff010b010000180101002b010000100100000701
+0000230102003701020085010112060101110112060101115301020000010300010103000001000
+00201040003010400000100000201030016010300020102000101010002010400
+03010400000100000101040001010300000102000201030000010000540101002b0101000f01010
+02901050002010300030103000001000003010200000101000001020001010100
+0201040002010100000103000101060002010400040103000101030000010200670101120601011
+10112060101115301020000010300000106000101060001010700010105001401
+0500010107000101040002010700010104000101080000010600380103000301010002010100020
+10100000101000401010006010300020101000201010003010300020101000101
+0100030105000301030003010500020103000601020002010100010101000c01060001010500010
+10600020106000001070001010400020107000001060002010400030105000001
+0800660101120601011101120601011153010200010102000001020000010200010101000101020
+00101020000010300000102000101020012010200010102000101060003010200
+020102000001030003010200020103000001020000010200000102003a010100020103000001030
+00001000000010100000101000301010004010200010101000001030000010300
+0001020001010100000100000001000000010300030101000501010001010100030101000701010
+004010100010101000001000000010000000103000a0102000001030000010200
+0101020000010200000102000101030000010200010106000301020002010300000102000101020
+00701020002010200010102000001030000010200660101120601011101120601
+0111530102000101020000010300010100000401030001010200000102000101020001010200120
+10200010102000101030000010100030102000201020000010200040102000201
+0200010102000001030001010000390101000401000000010000000100000001010002010100000
+10100020102000401010002010100010100000001000000010000000101000001
+0100020101000201020000010100030101000901010003010100060101000501010001010100020
+10200000101000a01020001010200000102000101020000010300010100000101
+0200020101000101030000010100030102000201020001010200010102000701020002010200010
+10200000102000101020066010112060101110112060101115301020001010200
+0101040003010500010102000001020001010700120102000101020001010200070102000201020
+000010200040102000201020001010200010104003a0101000401000000010100
+0101010002010000010101000201010004010100020101000201000000010100010103000201010
+00301010001010100030101000601030004010100060101000401010002010100
+02010100010101000a0102000101020000010700010104000201020006010200070102000201020
+00101020001010200070102000201020001010200000102000101020066010112
+0601011101120601011153010200010102000001000001010300010102000001020002010400020
+10200170102000101020001010200070102000301040005010200020102000101
+0200000100000101030039010100030101000001010000010100020101000101010002010100040
+10400030101000001010000010100000104000401010002010000030101000501
+0100010101000301010007010100040101000201010001010100020100000b01020001010200000
+10200050100000101030001010200060102000701020002010200010102000101
+0200070102000201020001010200000102000101020066010112060101110012091153010200000
+10300000102000001020001010200000102000101030004010300010101001201
+0200010102000101020007010200020103000701020002010200010102000001020000010200380
+10100040101000001000001010100020101000001010002010100050101000601
+0100000100000101010000010100070101000101010003010100040101000201010003010100060
+10100050101000101010002010100010101000b01020001010200000103000101
+0100000102000001020001010300010101000101020007010200020102000001030001010200000
+10100040102000201020001010200000102000101020066010112081109120011
+53010700000106000101070000010600020106001301050001010400040106000001060002010a0
+00001030000010600380101000101000001010000010100000101000003010100
+0001010002010100010100000301010002010000010100000101000001010000020101000201000
+00201010001010100000100000101010001010000010101000101020000010000
+0101010001010000030101000101000002010100010101000201010001010100000100000a01060
+00101060000010600020106000001040004010600000106000201050002010600
+0101050000010300000103006601091200110112060101115401030000010100000100000001030
+00301020000010200010106000201040015010300020104000401060001010600
+01010a000001030000010000000103003a010200020100000401000002010400040102000501030
+00201000004010000030103000201010003010100030102000301020001010100
+03010200050102000401020003010100030101000c0102000001010002010400010100000001030
+00401040001010400040106000001050004010300030106000201030001010300
+0001030066010112060101110112060101116e01020001010200360102000101020060010000010
+101001e010000880102008f010112060101110112060101116e01070036010700
+63010100a80102008f010112060101110112060101116f0105003801050063010300a60104008e0
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff12ff12591206010111011206010011ff12ff125a12060
+1011101121e0100110012ff01ff012701001100121e01011101121e0100110012
+ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e0
+100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701
+001100121e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff0
+1ff012701001100121e01011101121f110012ff11ff112811001220110012ff11
+ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matinv.ps b/books/ps/h-matinv.ps
new file mode 100644
index 0000000..2c1be5f
--- /dev/null
+++ b/books/ps/h-matinv.ps
@@ -0,0 +1,1248 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:17:36 1991
+%%Title: h-matinv.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matinv.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+002010700020149003301030029010000070100001f0100004101030021010500
+20010000420106000201040002010200020103000201020004010100040102000201280000011d0
+0011206010111011206010111050002010d000201000002010500020107000201
+4900320101000101010028010000060102001d0102003f0101000101010021010100010101001e0
+10200410106000201040002010200020103000201020004010100040102000201
+260004011b00011206010111011206010111050002010d000201000002010500020107000201490
+0310101000301010026010100070100001f010000400101000101010021010100
+020101001e01000042010600020104000201020002010300020102000b010200020124000801190
+0011206010111011206010111050002010e000401060002010700020149003101
+010003010100260101006a010100250101000201010062010600020104000201020002010300020
+10200020100000301000002010200020122000c01170001120601011101120601
+0111050008010800040106000201070002014900310101000301010000010100000102000401030
+00201010000010300020104000201060002010300050103000201010000010200
+0801030003010100010101000201010003010000030103000201010001010200030103000401030
+00901010004010100000103000301030002010000000101000001010007010100
+0201010002010300020100000001010000010100020104000301030003010100000102003701060
+00a010200020103000201020002010000030100000201020007011b0010011500
+0112060101110112060101110500090108000201070002010700020149003101010003010100010
+10200000101000201010001010100020102000101010000010100020101000301
+0100070101000401010001010100020101000101010009010100020100000001000000010300000
+10000000101000101010001010200010101000001000000010200010101000001
+0200010101000101020001010100070104000301020001010100010101000101010001010100000
+10100000101000601010002010100010101000101010001010100000101000001
+01000001010002010100040101000401010001010100360106000a0102000201030002010200020
+10100010101000201020008011800140113000112060101110112060101110500
+0901080002010700020107000201490031010100030101000101010002010100000101000201010
+00201010002010100000101000201010003010100070101000301010003010100
+0101010001010100080101000501020000010100020101000101010001010100020101000201020
+00101010000010100020100000201010002010100080101000501010002010100
+0001010003010100000101000001010000010100060101000201010000010100030101000001010
+00001010000010100000101000201010004010100040101000101010036010600
+0a01020002010300020102000201010001010100020102000801160018011100011206010111011
+206010111050002010e0004010600020107000201490031010100030101000101
+0100020101000001060002010100080103000301010007010100030101000301010001010100010
+10100080101000501010001010100020101000101000001010100020101000301
+0100060101000401010002010100090101000501010005010100030101000001010000010100000
+10100060101000201010000010100030101000001010000010100000101000301
+0300040101000401010001010100360106000201040002010200020103000201020002010500020
+10200020121000e011600011206010111011206010111050002010e0004010600
+0201070002014900310101000301010001010100020101000001010007010100060101000101010
+00301010007010100030101000301010001010100010101000801010004010100
+020100000201010001010100010104000501010007010200020104000b010100050101000501010
+00301010000010100000101000001010006010100020101000001010003010100
+0001010000010100000101000101010001010100040101000401010001010100360106000201040
+00201020002010300020102000201050002010200020121000e01160001120601
+0111011206010111050002010d00020100000201050002010700020149003101010003010100010
+10100020101000001010007010100050101000201010003010100070101000301
+0100030101000101010001010100070101000501010001010100020101000101000002010100070
+101000601000002010100010101000e0101000501010005010100030101000001
+0100000101000001010006010100020101000001010003010100000101000001010000010100000
+10100020101000401010004010100010101003601060002010400020102000201
+0300020102000201050002010200020121000e011600011206010111011206010111050002010d0
+00201000002010500020107000201490032010100010101000201010001010100
+0201010002010000020101000501010001010200030101000101000004010100040101000101010
+00201010001010100070101000101000002010100010101000001000000010100
+0001000004010100020100000201010005010100010102000201010002010000090101000501010
+00601010001010100010101000001010000010100060101000101010002010100
+0101010001010100000101000001010000010100010102000401010004010100010101003601060
+0020104000201020002010300020102000201050002010200020121000e011600
+011206010111011206010111050002010c000201020002010400020107000201490033010300030
+10400040103000201040004010200010101000301020003010500030103000201
+0200000103000701020002010100030101000201010006010300030101000601030005010300090
+10300030104000501030002010100000101000001010005010500040103000201
+0100000101000001010001010200010101000101050001010200000103003501060002010400020
+1020002010300020102000201050002010200020121000e011600011206010111
+011206010111050002010c00020102000201040002010700020149003b010100ff0121010600020
+10400020102000201030002010200020105000201020002014700011206010111
+011206010111050002010b00020104000201030002010700020149003b010100ff0121010600020
+10400020102000201030002010200020105000201020002014700011206010111
+011206010111050009010400020104000201030002010700020149003a010300ff0120010600020
+10400020102000901020002010500020102000801410001120601011101120601
+011105000a01020002010600020102000201070002014900ff015f0106000201040002010300080
+10200020105000201020009014000011206010111011206010111060009010300
+01010700010103000101080001014900ff015f01070001010500010104000601040001010600010
+10300080140000112060101110112060101117b00ff015f017b00011206010111
+0112060101117b00ff015f017b000112060101110112060101117b00ff015f017b0001120601011
+10112060101117b00ff015f017b000112060101110112060101117b00ff015f01
+7b000112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f0
+17b000112060101110112060101117b00ff015f017b0001120601011101120601
+01117b0089010000040100001f0100001001010003010500040100008a017b00011206010111011
+2060101117b0089010000030101000d0100000f0102000e010000060101000101
+01000401000089017b000112060101110112060101117b0089010100020101000d0100001001000
+00e01010006010100010101000401000089017b00011206010111011206010111
+7b0089010100010101000d0101001f01010007010100010101000401010088017b0001120601011
+10112060101117b00890105000301030003010500010101000101020002010300
+04010100020101000101010006010100010101000501010088017b0001120601011101120601011
+17b00880106000201010001010100030101000301000000010200010101000301
+01000301000000010100000101000101010007010100010101000501010088017b0001120601011
+10112060101117b00880100000001020000010000060101000301010005010200
+01010100020101000601030002010100070104000601010088017b0001120601011101120601011
+17b00880100000101000001010000030103000401010005010100070101000701
+020002010100070103000601010089017b000112060101110112060101117b00880100000301000
+00201010001010100030101000601010007010100060102000301010006010100
+000101000601010089017b000112060101110112060101117b00870100000401000001010100020
+10100030101000501010007010100060101000001010002010100060101000101
+0100040101008a017b000112060101110112060101117b008701000004010000010101000101020
+00001000001010100010100000201010007010100010100000301000001010100
+00010000010100000601010001010100040101008a017b000112060101110112060101117b00870
+10100020102000101020001010100030102000301010008010200020101000301
+0100020100000501030001010100020100008c017b000112060101110112060101117b00c001000
+00d0101008d017b000112060101110112060101117b00ff015f017b0001120601
+01110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b000112060
+10111011206010111ff00ff005700011206010111011206010111ff00ff005700
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff01570101120601011101120601011113010b000901
+00003e0101000d010100ff01db0101120601011101120601011113010b00080102003c0101000f0
+10100ff01da010112060101110112060101111301010000010000000100000001
+000000010200090100003d0101000f010100ff01da0101120601011101120601011113010200000
+100000001000000010000000101004701010011010100ff01d901011206010111
+0112060101111301010000010000000100000001000000010200070103000301010000010200020
+10200010102000201030002010100000103000201030000010000030103000401
+0100040101000201010005010100ff01d9010112060101110112060101111301020000010000000
+10000000100000001010009010100040101000101010002010100020100000201
+0100010101000201020001010100000101000201010002010100010101000301010003010300000
+1030004010100ff01d90101120601011101120601011113010100000100000001
+0000000100000001020009010100040101000101010002010100020100000101010002010100020
+10100020101000001010003010000010101000201010003010100040100000001
+0000000100000001010004010100ff01d9010112060101110112060101111301020000010000000
+10000000100000001010009010100040101000101010003010100000100000201
+06000201010006010200040106000301010004010000000101000101010004010100ff01d901011
+20601011101120601011113010100000100000001000000010000000102000901
+0100040101000101010003010100000100000201010007010100080102000201010008010100030
+10100000101000001010005010100ff01d9010112060101110112060101111301
+0200000100000001000000010000000101000901010004010100010101000301030002010100070
+10100050100000301010001010100080101000301010000010000010101000501
+0100ff01d90101120601011101120601011113010b0009010100040101000101010004010100040
+10100020100000201010005010100020101000201010002010000040101000201
+0000010100000101000005010100ff01da0101120601011101120601011113010b0007010500010
+10200000103000301010005010300020104000301000000010300040103000501
+0100020100000401000005010100ff01da010112060101110112060101116901010008010000030
+10100ff01db01011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff0164010000f1010112060101110112060101112a010100a60103002a010000
+150103000a0102001f01000017010000f101011206010111011206010111290102003c0100006a0
+101002a01000014010100010101000a0101001e01020014010400ef0101120601
+0111011206010111290102003c0100006a0101002901010014010100010101000a0101001f01000
+0140100000001000000010100ef01011206010111011206010111280100000001
+01003b0101006a01010029010100140101000e010100340100000101000001010000ef010112060
+10111011206010111280100000001010002010100010102000401020000010000
+0001010003010000010101000201010003010300020101000101010003010500030103000501000
+01f01010002010100100104000201010000010200090103000501010005010300
+0201000000010100000101000301030002010100000102000201060008010300040101000b01040
+00301030002010000000101000001010002010400030103000301010000010200
+0801010000010000f20101120601011101120601011128010000000101000101000000010200010
+10100020101000001030000010100010101000001030000010300000102000101
+0100000100000001000000010300030101000401020001010100030102001d010300000103000e0
+10100020101000201010001010100070101000101010004010100040101000101
+010001010100000101000001010001010100010101000201010001010100030101000a010100010
+10100020104000801010000010200020101000101010001010100000101000001
+0100000101000201010004010100040101000101010007010300f20101120601011101120601011
+12701000001010100030102000101010001010100020100000201010001010100
+0101000000010000000100000001010000010100020101000201020000010100030101000401010
+002010000050100001f0100000001000000010000000101000e01010002010100
+0201010001010100060101000201010004010100030101000201010001010100000101000001010
+00001010002010100020101000101010003010100090101000301010002010100
+0901010002010100010101000301010000010100000101000001010000010100020101000401010
+0040101000101010008010300f101011206010111011206010111270100000101
+0100030101000601010001010100020101000101000002010000000101000101030002010100030
+10100010101000301010005010100290100000001010001010100110103000201
+0100010101000601060004010100030106000101010000010100000101000001060002010100010
+10100030101000901010003010100020101000901010002010100010101000301
+01000001010000010100000101000301030004010100040101000101010009010300f0010112060
+10111011206010111260105000301010006010400020101000201000001010100
+0001010000010100000104000401010002010000030101000701020026010100000101000001010
+01001010001010100020101000101010006010100090101000301010006010100
+0001010000010100000101000701010001010100030101000901010003010100020101000901010
+00201010001010100030101000001010000010100000101000101010001010100
+0401010004010100010101000901000000010100f00101120601011101120601011126010000020
+10100020101000601010006010100010101000101010000010000010101000001
+010007010100010101000301010005010000020101002501010000010000010101000f010100020
+10100020101000101010006010100090101000301010006010100000101000001
+0100000101000701010001010100030101000901010003010100020101000901010002010100010
+10100030101000001010000010100000101000001010002010100040101000401
+010001010100060100000101000001010000f001011206010111011206010111260100000201010
+00201010006010400030101000001020000010100010100000101000002010100
+0201000002010100010101000001000001010100010100000101010001010200040100001f01000
+00101000001010000050100000901010001010200020101000101010007010100
+0201000004010100040101000201000001010100000101000001010001010100020100000201010
+00101010003010100010100000701010001010100030101000a01010000010200
+0201010001010100010101000001010000010100000101000101020004010100040101000101010
+0060101000001000000010000f101011206010111011206010111250102000001
+0300010101000701040003010100010101000001000004010000030103000201010003010100030
+1020003010300050102001e010000040100000401020009010200010101000001
+0200000103000701030003010500030103000201010000010100000101000201030002010200000
+103000301020009010300030103000a0102000001010002010300020101000001
+010000010100010102000101010001010500010102000001030005010400f201011206010111011
+206010111380100000301000011010000270100002601000004010100b7010000
+f401011206010111011206010111370101000201010068010100b7010000f401011206010111011
+2060101113801040068010100ff01ae01011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff0183010000d201011206010111011206010111270105008e0
+103002a010000150103000a0102001f01000012010300000102000d0100001901
+0100070100000f0102000e0100000501020011010200020101008c0101120601011101120601011
+128010100010101000d010000800101002a01000014010100010101000a010100
+1e01020012010100020100000d01020017010100060104000c010100000101000c0102000501010
+012010100030101008b0101120601011101120601011128010100010101000d01
+0000800101002901010014010100010101000a0101001f01000013010100010101000e010000180
+101000501000000010000000101000c010100000101000d010000060101001201
+0100030101008b0101120601011101120601011128010100010101000c010100800101002901010
+0140101000e010100340101000101010027010100050100000101000001010000
+0b0102001701010012010100050101008a010112060101110112060101112701010001010100030
+10300030105000101010003010000010101000101020001010100010101000401
+0300050100003201040002010100000102000901030005010100050103000201000000010100000
+101000301030002010100000102000201060008010300040101000b0104000301
+0300020100000001010000010100020104000301030003010100000102000701010002010000020
+10100010101000301030006010200020101000101010004010100050101000001
+00000e010100060103000301030005010100060103000401010000010100050101008a010112060
+10111011206010111270101000101010001010200010101000301010003010000
+0001010001010100000100000001020001010200000100000001030001010200010101000301020
+03001010002010100020101000101010007010100010101000401010004010100
+0101010001010100000101000001010001010100010101000201010001010100030101000a01010
+00101010002010400080101000001020002010100010101000101010000010100
+0001010000010100020101000401010004010100010101000601010002010000010100000001000
+00001030004010100040101000101010000010000000100000001030003010100
+050103000e010100050101000101010004010100050101000401020001010100020100000101020
+0050101008a010112060101110112060101112701040002010100020101000301
+0100050101000101010002010200010101000101020000010100010101000201000005010000310
+10100020101000201010001010100060101000201010004010100030101000201
+0100010101000001010000010100000101000201010002010100010101000301010009010100030
+10100020101000901010002010100010101000301010000010100000101000001
+0100000101000201010004010100040101000101010006010100010101000301020000010100030
+101000501010001010100020102000001010003010100060103000d0101000001
+000007010100030101000501020004010100020101000101010001010100060101008a010112060
+10111011206010111270103000201010002010100040101000501010001010000
+030101000601010001010100020101003e010300020101000101010006010600040101000301060
+00101010000010100000101000001060002010100010101000301010009010100
+0301010002010100090101000201010001010100030101000001010000010100000101000301030
+00401010004010100010101000601010001010100030101000101010003010100
+0401010002010100020101000101010003010100070103000a01040005010300040101000501010
+004010100020101000201010001010100060101008a0101120601011101120601
+0111260101000001010002010400050101000501010002010000030101000501010002010000040
+102003a0101000101010002010100010101000601010009010100030101000601
+0100000101000001010000010100070101000101010003010100090101000301010002010100090
+10100020101000101010003010100000101000001010000010100010101000101
+0100040101000401010001010100050101000201000003010100020100000401010004010100020
+10100010101000201000004010100070100000001010009010000000101000501
+0100010101000401010005010100040104000301010002010100060101008a01011206010111011
+20601011126010100010101000101010008010100050101000101010002010100
+0601010001010100020100000201010038010100020101000201010001010100060101000901010
+00301010006010100000101000001010000010100070101000101010003010100
+0901010003010100020101000901010002010100010101000301010000010100000101000001010
+00001010002010100040101000401010001010100050101000101010003010100
+0101010003010100050101000101010002010100010101000401010004010000010100000101000
+00b01010004010100020101000301010005010100050101000601010001010100
+070101008a010112060101110112060101112601010001010100020101000201000003010100010
+10000020101000001020000010000000101000601010001010100000102000101
+0200040100003201010001010200020101000101010007010100020100000401010004010100020
+10000010101000001010000010100010101000201000002010100010101000301
+0100010100000701010001010100030101000a01010000010200020101000101010001010100000
+10100000101000001010001010200040101000401010001010100050102000001
+0100030101000101010000010000010101000101000002010100010101000201010001010100000
+10000030101000301010000010000000100000501000005010100040101000101
+0200000100000101010001010000020101000101000003010100020100000101010000010200000
+10000040101008b01011206010111011206010111250103000101010002010300
+0501020004010100010101000101010005010100030101000101030005010200320102000101010
+00001020000010300070103000301050003010300020101000001010000010100
+0201030002010200000103000301020009010300030103000a01020000010100020103000201010
+00001010000010100010102000101010001010500010102000001030005010300
+0301010003010100030102000401020003010100030101000401010003010400050102000401010
+00501020001010100030102000401020005010300030102000001010005010100
+8b0101120601011101120601011167010000ff01100101000401000008010100040100003501010
+08c01011206010111011206010111ff01800100000801010002010200c4010112
+06010111011206010111ff018901010003010100c501011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+10112060101110112060101119b010100030101000c01000010010100ff019201
+011206010111011206010111290103000e010000100100004b010100030101000b0101000f01030
+00f0101000301050003010100ff016f0101120601011101120601011128010200
+000101000c0102000e0102004a010200010102000b010100100101000f010100050101000101010
+003010100ff016e0101120601011101120601011128010100020100000d010000
+100100004b010200010102000a01020022010100050101000101010003010100ff016e010112060
+1011101120601011127010100020101006c010700010104000201060001010200
+0101010002010400020103000001020002010100060101000101010004010100ff016d010112060
+10111011206010111270101000201010000010100010102000201030006010200
+00010000010103000301010001010100050100003a0107000001060001010600010107000101040
+0020102000101020002010100050101000101010005010100ff016d0101120601
+0111011206010111270101000201020000010200010101000301010005010100000102000301010
+00201000000010000000103000301020039010700000101000101020002010200
+0501060003010200030102000001010003010100050101000101010005010100ff016d010112060
+10111011206010111260101000201010002010200010101000201010005010100
+02010000030101000501020000010100040100003a0101000001010000010100030103000201020
+005010300000101000301020004010300040101000501040006010100ff016d01
+0112060101110112060101112601010002010100020101000701010005010100010101000301010
+00501010001010100400101000001010000010100010105000201020005010200
+0701020004010300040101000501030007010100ff016d010112060101110112060101112601010
+00201010002010100070101000501040004010100040101000201000041010100
+0001010000010100000102000001020002010200050102000701020004010300040101000401010
+00001010007010100ff016d010112060101110112060101112601000002010100
+0201010007010100050101000701010005010100010101004101010003010100000102000001020
+00201020000010100020102000701020003010100000102000301010004010100
+0101010006010100ff016d010112060101110112060101112601010000010200020101000701010
+00101000002010400040101000101000002010100010101000001000002010000
+3b01020001010200000107000101050001010400040106000001020001010200030101000301010
+00101010005010100ff016e010112060101110112060101112701030003010100
+0801020004010400040102000201010003010100020102003a01020001010200010102000001020
+00201030002010400040106000001020000010300030101000201030001010100
+04010100ff016e01011206010111011206010111410100000301000016010000750101000d01010
+0ff016f010112060101110112060101114001010002010100ff01ff010f010112
+0601011101120601011141010400ff01ff011001011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ce010700030101000d01040006010300ff015c010112
+06010111011206010111290103001801020004010000100100003a0105000601020021010700020
+103000c01040006010300ff015c01011206010111011206010111270102000101
+0100180101000301020006010000060102003a01010001010100060101002201020000010200030
+101000f01020007010200ff015c01011206010111011206010111260102000201
+0000190101000401000007010000070100003b01010001010100060101002201020001010100150
+1020007010200ff015c01011206010111011206010111260101001d0101000d01
+01004401010001010100060101002201020005010400040103000501020004010500ff015c01011
+20601011101120601011125010200090102000201010001010100040101000001
+0100020103000401050002010300060102000201010001010100040103000501000017010100010
+10100070104000301040003010300000100000c01040003010400030105000401
+020003010600ff015c0101120601011101120601011125010100080101000101010000010000000
+10000000103000201000001010200040101000501010007010100040101000101
+0100000100000001000000010300010102000101010003010200160101000101010007010200000
+10100010101000201010001010100020101000c01040005010200020102000101
+0200030102000201020000010300ff015c010112060101110112060101112501010008010100010
+10100020102000001010001010100010101000401010006010100060101000501
+0100010101000201020000010100010101000201000005010000170104000801010001010100010
+101000201010001010100030100000c0102000701020002010200010102000301
+02000201020001010200ff015c01011206010111011206010111250101000701010002010100020
+10100010101000101010001010100040101000601010006010100040101000201
+010002010100010101000201010021010300090101000101010004010300020102000f010200070
+1020002010700030102000201020001010200ff015c0101120601011101120601
+0111250101000701010002010100010101000201000001010100020101000401010005010100070
+1010004010100020101000101010002010000040102001e010100000101000901
+0100010101000201010001010100040102000d01020007010200020102000801020002010200010
+10200ff015c010112060101110112060101112501010004010000010101000101
+0100020101000101010001010100010101000401010006010100060101000501010001010100020
+101000101010002010000020101001d0101000101010008010100010101000101
+01000201010001010000030101000c0102000701020002010300010101000301020002010200010
+10200ff015c010112060101110112060101112601010002010100010101000101
+0100020101000101010000010200000102000001000002010100010100000301010001010000030
+10100010100000201010001010100020101000101010000010200010102000401
+000017010100010101000801010001010100010101000101020001010100020101000b010400040
+10600010106000101060001010600ff015c010112060101110112060101112701
+0300040102000301010003010100010102000001010004010200050102000501020004010200030
+10100030101000101030005010200150103000101010006010200000103000101
+02000101010000010000000103000c0104000401060002010400020106000201020000010100ff0
+15c0101120601011101120601011182010000ff01d30101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111270104002a010000190100002b0100003d0101000e0100001e0100003001000004010200160
+100004b0103000901000004010200280100001001000055010112060101110112
+060101112801010001010000280102000f01000006010200290102003b010000110100001d01000
+03001000005010100150102004901010001010100080100000501010028010000
+0f010200540101120601011101120601011128010100010101002801000010010000070100002b0
+100003b010100110100001c0101002f01010005010100160100004a0101000101
+0100070101000501010027010100100100005501011206010111011206010111280101000101010
+03901010070010100120101001b0101002f01010005010100620101000b010100
+0501010027010100670101120601011101120601011127010100020101000201030004010300040
+10300020101000101020002010300040101000001010003010500020103000601
+02000201010001010100050100000e0103000301010001010100020101000301000003010300020
+10100010102000301030004010300030101000501010002010100050101000701
+0100000103000301030002010600010102000001020001010100000103000101010000010200030
+10300000100000601060002010400040103000801030003010100000102000201
+0200010102000201030002010100000103000201030000010000030103000901030004010100090
+10600020104000401030007010000000101000001010002010400020106000101
+0100000103000201030003010200010102000501010002010100040100003501011206010111011
+20601011127010100020101000001020001010100010102000101010001010200
+0101010000010000000102000101010003010100030100000001010000010100030101000701010
+00401010001010100000100000001000000010300030102000f01010002010000
+0001000000010300000100000001010001010100010102000101010000010000000102000101010
+00001020001010100010102000101010001010100050103000001030004010100
+0801020001010100010101000101010003010100050101000101010002010200010101000101010
+00101010001010100020101000801010005010200000101000201010001010100
+0901010004010100010101000201010002010000020101000101010002010200010101000001010
+00201010002010100010101000701010001010100020104000901010005010200
+0001010002010100010101000601010000010100000101000001010002010100030101000501020
+00101010003010100040101000101010005010300000103000201020034010112
+0601011101120601011127010100010101000101010002010100010101000201000002010100020
+10000030102000101010002010100060101000001010003010100060101000501
+0100010101000201020000010100040100000f01010005010200000101000201010001010100010
+10100020101000201020001010100000101000201000002010100020101000101
+0100060100000001000000010000000101000401010008010100020101000001010002010100030
+10100050101000101010002010100020101000101010001010100010101000301
+0000080101000501010001010100010101000201010009010100040101000101010002010100020
+10000010101000201010002010100020101000001010003010000010101000201
+01000601010003010100020101000b0101000501010001010100010101000201010006010100000
+10100000101000001010002010100030101000501010002010100030101000501
+0100000100000701000000010000000100000001010003010000350101120601011101120601011
+12701010001010100000101000201010003010100040101000801010007010100
+0601000001010100030101000601010004010100020101000201010001010100150101000501010
+00101010002010100010100000101010002010100030101000601010004010100
+0201010002010100060100000001010001010100030101000901010005010600030101000501010
+001010100020101000601010001010100020102000b0101000501010001010100
+0101060009010100040101000101010003010100000100000201060002010100060102000401060
+00601010003010100020101000b01010005010100010101000101060006010100
+0001010000010100030103000301010005010100080101000601010008010000000101000101010
+03a01011206010111011206010111260101000201010000010400060102000201
+0100080101000701010005010100010101000201010007010100040101000201010001010100020
+10000160101000401010002010000020101000101010001010400050101000701
+0200020104000401010005010100000101000001010004010100090101000501010008010100050
+10100010101000201010006010100010101000401020009010100050101000101
+0100010101000e01010004010100010101000301010000010000020101000701010008010200020
+101000b01010003010100020101000b0101000501010001010100010101000b01
+0100000101000001010001010100010101000301010005010100080101000601010007010100000
+10100000101003b01011206010111011206010111260101000101010001010100
+0701000002010100010101000701010007010100060101000001010003010100060101000501010
+00101010002010100010101001501010005010100010101000201010001010000
+0201010007010100060100000201010001010100070101000501010000010000010101000301010
+00a01010005010100080101000501010001010100020101000601010001010100
+0101000003010100080101000501010001010100010101000e01010004010100010101000301030
+002010100070101000501000003010100010101000b0101000301010002010100
+0b0101000501010001010100010101000b010100000101000001010000010100020101000301010
+0050101000801010005010000000101000601010000010000010101003b010112
+0601011101120601011126010100010101000201010002010000010101000101020002010100020
+10000020101000701010001010000030101000001010003010100010100000301
+0100010100000201010001010100020101000101010000010000020100000f01010001010000020
+10100010101000001000000010100000100000401010002010000020101000501
+010001010200020101000201000003010000050100000101000001010000040101000a010100060
+10100020100000301010001010000020101000001020002010100060101000101
+0100010101000201010008010100010100000201010001010100020101000201000009010100040
+10100010101000401010004010100020100000201010005010100020101000201
+0100020100000701010001010100030101000b01010001010000020101000101010002010100020
+10000060101000001010000010100000101000101020003010100010100000201
+0100080101000401010001010100050100000101000001010000050100003501011206010111011
+20601011125010400050103000301030005010300030101000801020003010400
+0501020005010200040102000301010003010100020102000f01020002010100030101000201010
+00601030003010100060103000501030004010000050100000401000003010000
+0b01040005010300050102000401020000010100000104000301020000010300000100000001030
+00a01020002010200000103000201030008010500010102000001030003010100
+050103000201040003010000000103000401030009010300030103000b010200020102000001030
+00201030007010100000101000001010001010200010101000301020002010400
+04010500010102000101020004010000040100000401020034010112060101110112060101115c0
+101002c0100004f0100000b01000000010100ff012c0100000501000034010112
+060101110112060101115c010100ff01c101010034010112060101110112060101115b010300ff0
+1bf0101003501011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff0157010112060101110112060101119e010000070103000901000004010200280
+10000100100001501000027010000dd0100003d01011206010111011206010111
+9d01020005010100010101000801000005010100280100000f0102001301020026010000dc01020
+03c010112060101110112060101119e0100000601010001010100070101000501
+010027010100100100001501000026010100dd0100003d01011206010111011206010111a601010
+00b01010005010100270101004f010100ff011c01011206010111011206010111
+9c01030005010100090106000201040004010300070100000001010000010100020104000201060
+00101010000010300020103000301020001010200060103000401030000010000
+0601010000010200040103000201060007010300000100000301020000010000010102000001020
+00201040002010100000103000301030011010400020101000001020009010300
+0201010000010300010101000001030003010300020101000001030006010000000101000001010
+00301030003010300000100000201030000010000020104000301030000010100
+0201030008010300040103000001000031010112060101110112060101119e01010004010400090
+10100050102000001010002010100010101000601010000010100000101000001
+0100020101000301010005010200010101000301010004010100010101000901010003010100020
+10100070101000101010002010100010101000301010009010100020101000201
+01000101010002010100010101000101010002010100020102000101010001010100010101000f0
+10100020101000201010001010100070101000101010002010200010101000101
+0200010101000101010001010100020102000101010005010100000101000001010001010100010
+10100010101000201010001010100020101000101010002010100010101000101
+0100000100000101010001010100090101000301010002010100310101120601011101120601011
+19e010100050101000b0101000501010001010100010101000201010006010100
+0001010000010100000101000201010003010100050101000201010003010100050101000001000
+00a01010003010100030100000701010001010100010101000301010002010100
+0901010003010000010101000201010002010100010101000101010002010100020101000201010
+000010100020101000f0101000201010002010100010101000601010002010100
+0201010002010100010101000201010000010100030101000101010002010100050101000001010
+00001010000010100020101000101010003010000010101000301000001010100
+0201010001010100010101000201010002010100090101000301010003010000310101120601011
+10112060101119e010100050101000b0101000501010001010100010106000601
+0100000101000001010003010300030101000501010008010100060101000b010100040102000a0
+10100010101000101010003010100020101000a01020004010100020101000201
+0100010101000401030002010100050106001201030002010100010101000601060002010100060
+101000501010003010100010101000a0101000001010000010100000106000201
+0200050102000701030001010100010101000201060009010100040102003401011206010111011
+2060101119e010100050101000b0101000501010001010100010101000b010100
+00010100000101000101010001010100030101000501010008010100060101000b0101000601020
+008010100010101000101010003010100020101000c0102000201010002010100
+0201010001010100020101000101010002010100050101001501010001010100020101000101010
+00601010007010100060101000501010003010100010101000a01010000010100
+00010100000101000901020005010200030101000101010002010300030101000e0101000601020
+032010112060101110112060101119e010100050101000b010100050101000101
+0100010101000b01010000010100000101000001010002010100030101000501010008010100050
+10000000101000a01010003010000030101000701010001010100010101000301
+0100020101000901000003010100010101000201010002010100010101000101010002010100020
+10100050101001401010002010100020101000101010006010100070101000601
+01000501010003010100010101000a0101000001010000010100000101000601000003010100010
+1000003010100010101000201010001010000070101000e010100030100000301
+010031010112060101110112060101119e010100050101000b01010001010000020101000101010
+00201010002010000060101000001010000010100000101000101020003010100
+0101000002010100080101000401010001010100090101000301010002010100070101000101010
+00201010001010100030101000101000006010100020101000201010001010100
+0201010000010200010101000101020002010100060101000201000004010000090101000101020
+00201010001010100070101000201000002010100060101000601010001010100
+020101000a010100000101000001010001010100020100000101010002010100010101000201010
+00101010001010200010105000301010002010000090101000301010002010100
+31010112060101110112060101119c010500020103000b010200020102000001030002010300070
+10100000101000001010001010200010101000301020002010400040105000101
+0200010102000601050001010000000103000701020000010300020103000501020007010000000
+10300040104000301020000010100010102000101010000010400050103000401
+0200090102000101010000010200000103000701030002010400030104000501030002010400080
+10100000101000001010002010300020100000001030002010000000103000301
+0200010101000101050003010300080105000101000000010300320101120601011101120601011
+1ff0152010100280101007e010000040100005101011206010111011206010111
+ff0152010100280101007e010100020101005101011206010111011206010111ff0151010300260
+10100800104005201011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111b00100002c010200120100000701030
+00901000004010200280100001001000015010000270100000c0100002b010000
+0701000004010200060103006f01011206010111011206010111b00100002d01010011010200050
+10100010101000801000005010100280100000f01020013010200260100000b01
+02002a0100000601020004010100080101006f01011206010111011206010111af0101002d01010
+01201000006010100010101000701010005010100270101001001000015010000
+260101000c0100002a0101000701000005010100080101006f01011206010111011206010111af0
+101002d0101001a0101000b01010005010100270101004f010100380101000e01
+0100080101006f010112060101110112060101119b0101000001030003010300020106000101020
+00001020001010100000103000101010000010200040103000401040004010000
+0a01030005010100090106000201040004010300070100000001010000010100020104000201060
+00101010000010300020103000301020001010200060103000401030000010000
+0601010000010200040103000201060007010300030101000001020002010200010102000201030
+00201010000010300010106000201030004010400050101000501030065010112
+060101110112060101119c010200010101000101010001010100030101000501010001010100020
+10200010101000101010001010100020101000101010002010100000102000301
+02000b0101000401040009010100050102000001010002010100010101000601010000010100000
+10100000101000201010003010100050102000101010003010100040101000101
+010009010100030101000201010007010100010101000201010001010100030101000c010100040
+10100010101000201010002010000020101000101010002010200010101000201
+0100070101000401020000010100040101000401010001010100640101120601011101120601011
+19c01010002010100000101000201010003010100050101000101010002010100
+02010100010101000101010001010100020101000101010002010100040100000c0101000501010
+00b01010005010100010101000101010002010100060101000001010000010100
+00010100020101000301010005010100020101000301010005010100000100000a0101000301010
+00301000007010100010101000101010003010100020101000c01010004010100
+0101010002010100020100000101010002010100020101000201010002010100070101000401010
+00201010003010100030101000201010064010112060101110112060101119c01
+0100050106000301010005010100010101000201010006010100010101000101060001010100020
+1010012010100050101000b010100050101000101010001010600060101000001
+01000001010003010300030101000501010008010100060101000b010100040102000a010100010
+101000101010003010100020101000c0101000401010001010100030101000001
+0000020106000201010007010100070101000401010002010100030101000301060064010112060
+101110112060101119c0101000501010008010100050101000101010002010100
+060101000101010001010100060101000201010012010100050101000b010100050101000101010
+0010101000b010100000101000001010001010100010101000301010005010100
+08010100060101000b0101000601020008010100010101000101010003010100020101000c01010
+00401010001010100030101000001000002010100070101000701010007010100
+0401010002010100030101000301010069010112060101110112060101119c01010005010100080
+10100050101000101010002010100060101000101010001010100060101000201
+010012010100050101000b0101000501010001010100010101000b0101000001010000010100000
+101000201010003010100050101000801010005010000000101000a0101000301
+00000301010007010100010101000101010003010100020101000c0101000401010001010100030
+10300020101000701010007010100070101000401010002010100030101000301
+010069010112060101110112060101119c010100060101000201000003010100010100000201010
+00001020002010100060101000101010002010100020100000201010000010200
+040100000c010100050101000b01010001010000020101000101010002010100020100000601010
+00001010000010100000101000101020003010100010100000201010008010100
+0401010001010100090101000301010002010100070101000101010002010100010101000301010
+00101000009010100040101000101010004010100040101000201000002010100
+0701010001010000040101000401020000010100040101000401010002010000040100005e01011
+2060101110112060101119b010400050103000501020004010200000101000001
+040003010200000103000201030004010200000101000201020009010500020103000b010200020
+10200000103000201030007010100000101000001010001010200010101000301
+0200020104000401050001010200010102000601050001010000000103000701020000010300020
+10300050102000801050001010200000103000301010005010300020104000601
+02000301050001010100000102000301050003010300040102005d0101120601011101120601011
+1e7010000ff010e0101005d01011206010111011206010111e6010100ff010e01
+01005d01011206010111011206010111e5010100ff010e0101005e0101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111a101010001010100040103000d010000050103001001020002010100010101000901000
+0270100002c010200ff010c01011206010111011206010111a101010001010100
+03010100010101000b0102000601010011010100020101000101010008010200260100002d01010
+0ff010c01011206010111011206010111a1010100010101000301010001010100
+0c0100000701010011010100020101000101010009010000260101002d010100ff010c010112060
+10111011206010111a20100000101000004010100190101001101010003010000
+01010000320101002d010100ff010c01011206010111011206010111ab010100050104000301030
+00601010005010300040104001001030004010300000100000601010000010300
+0301030002010600010102000001020001010100000103000101010000010200040103000401040
+0ff010c01011206010111011206010111aa010400020101000201010004010100
+0601010004010100010101000201010000010200120101000301010002010100070102000101010
+00101010001010100030101000501010001010100020102000101010001010100
+0101010002010100010101000201010000010200ff010c01011206010111011206010111ab01010
+00401010002010100040101000601010003010100020101000101010002010100
+1201010003010100030100000701010002010100000101000201010003010100050101000101010
+00201010002010100010101000101010001010100020101000101010002010100
+ff010c01011206010111011206010111ab010100070103000401010006010100030106000101010
+00201010012010100040102000a01010005010600030101000501010001010100
+020101000601010001010100010106000101010002010100ff010c0101120601011101120601011
+1ab01010005010100010101000401010006010100030101000601010002010100
+1201010006010200080101000501010008010100050101000101010002010100060101000101010
+0010101000601010002010100ff010c01011206010111011206010111ab010100
+0401010002010100040101000601010003010100060101000201010012010100030100000301010
+00701010005010100080101000501010001010100020101000601010001010100
+010101000601010002010100ff010c01011206010111011206010111ab010100040101000101020
+00401010006010100040101000201000002010100000102001201010003010100
+0201010007010100060101000201000003010100010100000201010000010200020101000601010
+0010101000201010002010000020101000001020004010000ff01060101120601
+0111011206010111aa0103000401020001010100010105000201050003010300040102000001010
+00f01050001010000000103000701040005010300050102000401020000010100
+00010400030102000001030002010300040102000001010002010200ff010501011206010111011
+206010111ff014f010000ff010601011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff00ff005700011206010111011206010111ff00ff005700
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+101110112060101119e010100210100007c010000830104000501010084010112
+060101110112060101111401020001010200040100007a0103001f0101007b01010083010400040
+1030083010112060101110112060101111501010002010100030102007a010100
+200101007b010100850102000501010084010112060101110112060101111501010002010000050
+100009d0102007a010200850102008c0101120601011101120601011115010100
+0201000077010300000100000201040003010400000104000001020002010400020106000101020
+00001030000010200010101000301030003010300000100001c01010000010300
+0201040002010200010101000201040002010000000101000001010003010300020106000301030
+0020102000101010002010300000100002f010400000100000201030001010300
+0001020003010300020102000101010002010400050102000301040003010300000100000301030
+07101011206010111011206010111150101000101000003010300050103000101
+01000401000003010300050100000d0101000101010004010300020101000201010003010300040
+10300140106000201040002011000000106000101060001010200000103000001
+070001010500010106001c010700000106000101070000010600010107000101050001010600020
+1050001010700000106002e010700010105000001080001010500010107000001
+0600040102000301040002010600020105007001011206010111011206010111150101000101000
+00501010003010200010101000101010002010100010102000101010003010200
+0b01000000010000000103000201010001010100000103000001030000010200010101000101020
+00101010013010200000102000401020002010200000103000001030000010200
+0001010001010200020102000401020001010200010106000001020001010200000102000001020
+01c01030000010200000101000101020002010600000101000101020001010700
+00010200010102000101020004010200010102000101060000010200000102002e0102000001030
+00001020001010200000103000001020000010200010102000101060000010100
+010102000401020005010200020102000001020001010200010102006f010112060101110112060
+10111150101000101000004010100040101000201010001010100020101000101
+010002010000050100000e010200000101000601010001010000000100000001000000010100000
+10100020101000101010002010000140103000101000004010200020102000001
+0200010102000101020003010300020102000401020001010200010103000001010000010200010
+1020000010300010100001c010200010102000301030002010300000101000301
+0300010101000001010000010100000102000101020001010200040102000101020001010300000
+1010000010300010100002e010200000102000101020001010200000102000101
+0200000102000101020001010300000101000301030004010200050102000201030001010000010
+10200010102006f01011206010111011206010111150101000001000005010100
+0301010002010100020101000201000003010100180101000101010003010300020100000001010
+00101030002010100030101001801040005010200020102000001020001010200
+01010200010105000201020004010200010102000101020004010700010104001d0102000101020
+00101050002010200050105000101010000010100000101000001070001010200
+0401070001010200050104002f01020000010200010107000001020001010200000107000101020
+005010500040102000501020003010400020107006f0101120601011101120601
+0111150101000001000005010100030104000301010001010000000100000401020015010100020
+10000020101000101010001010100000101000001010000010400060102001501
+0000010103000401020003010400020102000101020000010200000102000201020004010200010
+10200010102000401020005010000010103001c01020001010200000102000001
+0200020102000401020000010200010101000001010000010100000102000601020004010200060
+1020004010000010103002f010400020102000501020001010200000102000601
+0200040102000001020004010200050102000201000001010300010102007401011206010111011
+20601011115010100000100000401010004010100060101000001010000010000
+0201000002010100140101000101010001010100020101000101010000010000010101000001010
+00701000002010100140102000001020004010200020103000401020001010200
+0001020000010200020102000001010001010200000103000101020004010300010101000001020
+0000102001c010200000103000001020000010200020102000401020000010200
+0101010000010100000101000001030001010100010102000001010001010300010101000101020
+004010200000102002e0103000401030001010100000102000101020000010300
+0101010001010200040102000001020004010200050102000201020000010200010103000101010
+06f01011206010111011206010111150102000501010001010000020101000201
+0000010106000101010001010200040100000e01010001010100000102000101020000010100010
+10000010100000201010002010000010101000101020014010600020106000001
+060000010300000103000001070001010500010107000001040004010600000106001c010600010
+10700000104000301070000010100000101000001010001010600010105000201
+060000010400030106002e01060002010a000001030001010600000104000301070001010600010
+1060000010600020106006f010112060101110112060101111501010007010200
+04010300030101000001010003010300050102000c0101000301010001010200010101000001000
+004010000030103000301030016010000000103000301060001010a0000010300
+0101020000010200020103000301030000010100000104000501040001010000000103001d01050
+00301020000010200000104000401020000010200000101000001010000010100
+0201040003010300040104000101040003010000000103003001060002010400000103000001030
+00201040001010400040102000001020001010600010106000001000000010300
+040104007001011206010111011206010111430100002601000037010200010102005a010200830
+1020001010200c001011206010111011206010111a40107005a01020083010700
+c001011206010111011206010111a50105005a01040083010500c10101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111a70101000f0101006a0103000301
+01000601000007010100ff011401011206010111011206010111a60103000d01030069010300020
+1030004010100060103004f01020028010000190100007b010112060101110112
+06010111a70101000f0101006b01020003010100050101000701010051010100270102000f01000
+0060102007a01011206010111011206010111ff01270102000a0102005b010100
+2801000010010000070100007b01011206010111011206010111530102000001030001010300000
+10000020104000301040000010000020103001601030002010200010101000201
+0400030104000001000001010400010103000001020002010300000100003901020000010100020
+10300010103000001020003010500010104000201060002010400040103000101
+0300000102000201030000010000330101003a01010084010112060101110112060101115301020
+00001030000010600010106000101070001010500140105000101070001010400
+0201070001010400010108000001060038010600010105000001080001010600010104000201060
+00201040003010500000108000001060030010100000101000301030004010300
+0401030002010100010102000201030004010100000101000301050002010300060102000201010
+00101010068010112060101110112060101115301020001010200000102000001
+0200010101000101020001010200000103000001020001010200120102000101020001010600030
+10200020102000001030003010200020103000001020000010200000102003701
+0300000102000001020001010200000103000001020000010200000103000301020003010200070
+102000201020001010200000103000001020000010200000102002f0100000101
+0200010102000101010001010200010101000101020001010100000100000001020001010100030
+10100030100000001010000010100030101000701010004010100010101000001
+0000000100000001030067010112060101110112060101115301020001010200000103000101000
+00401030001010200000102000101020001010200120102000101020001010300
+0001010003010200020102000001020004010200020102000101020000010300010100003701020
+00201010000010200010102000001020001010200000102000101020003010200
+03010200070102000201020001010200000102000101020000010300010100002e0101000101010
+00201010002010100010101000201000002010100020100000301020001010100
+0201010006010100000101000301010006010100050101000101010002010200000101006701011
+20601011101120601011153010200010102000101040003010500010102000001
+0200010107001201020001010200010102000701020002010200000102000401020002010200010
+10200010104003801020005010200010102000001020001010200000102000101
+020003010200030102000701020002010200010102000001020001010200010104002f010100010
+10100010101000201010003010100040101000801010007010100060100000101
+0100030101000601010004010100020101000201010001010100670101120601011101120601011
+15301020001010200000100000101030001010200000102000201040002010200
+1701020001010200010102000701020003010400050102000201020001010200000100000101030
+03701020005010200010102000001020001010200000102000101020003010200
+03010200070102000201020001010200000102000101020000010000010103002d0101000201010
+00101040006010200020101000801010007010100050101000101010002010100
+0701010004010100020101000101010002010000680101120601011100120911530102000001030
+00001020000010200010102000001020001010300040103000101010012010200
+0101020001010200070102000201030007010200020102000101020000010200000102003701030
+00101010000010200010102000001020001010200000102000101020003010200
+0301020000010100040102000201020001010200000102000101020000010200000102002d01010
+00101010002010100070100000201010001010100070101000701010006010100
+0001010003010100060101000501010001010100020101000101010068010112081109120011530
+10700000106000101070000010600020106001301050001010400040106000001
+060002010a000001030000010600380106000101050000010300000103000101060001010600010
+1050002010600010105000001030000010300000106002d010100000102000001
+0000010101000201000001010100010102000201010002010000020101000701010001010000030
+10100000101000301010001010000030101000101000002010100010101000201
+0100010101000001000066010912001101120601011154010300000101000001000000010300030
+10200000102000101060002010400150103000201040004010600010106000101
+0a000001030000010000000103003a0104000301030001010300000103000201020000010100010
+10600020103000301060002010300010103000001030000010000000103002f01
+0200000101000301030003010300050103000301010008010200030104000501020005010200040
+10200030101000301010067010112060101110112060101116e01020001010200
+3601020001010200ff010e01010090010112060101110112060101116e01070036010700ff010e0
+1010090010112060101110112060101116f01050038010500ff010e0103008f01
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff12ff12591206010111011206010011ff12ff125a120601
+011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001
+100121e01011101121e0100110012ff01ff012701001100121e01011101121e01
+00110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011
+101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01
+ff012701001100121e01011101121f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matmap.ps b/books/ps/h-matmap.ps
new file mode 100644
index 0000000..412deee
--- /dev/null
+++ b/books/ps/h-matmap.ps
@@ -0,0 +1,1430 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:17:51 1991
+%%Title: h-matmap.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matmap.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+00201070002014900390104000901030029010000070100004701030021010500
+20010000480106000201040002010200020103000201020004010100040102000201280000011d0
+0011206010111011206010111050002010d000201000002010500020107000201
+4900380101000101020007010100010101002801000006010200450101000101010021010100010
+101001e0102004701060002010400020102000201030002010200040101000401
+02000201260004011b00011206010111011206010111050002010d0002010000020105000201070
+00201490038010000030101000601010003010100260101000701000046010100
+0101010021010100020101001e01000048010600020104000201020002010300020102000b01020
+00201240008011900011206010111011206010111050002010e00040106000201
+0700020149003d0101000601010003010100260101004f010100250101000201010068010600020
+10400020102000201030002010200020100000301000002010200020122000c01
+17000112060101110112060101110500080108000401060002010700020149003c0101000701010
+00301010000010100000102000401030002010100000103000201040002010600
+0201030005010300020101000001020003010300000100000601010002010100030103000301010
+00001010009010100040101000001030003010300020100000001010000010100
+0701010002010100020103000201000000010100000101000201040003010300030101000001020
+03d0106000a010200020103000201020002010000030100000201020007011b00
+100115000112060101110112060101110500090108000201070002010700020149003a010200080
+10100030101000101020000010100020101000101010002010200010101000001
+0100020101000301010007010100040101000101010002010100010101000101010002010100050
+10300000103000101010001010100010100000001010000010100070104000301
+0200010101000101010001010100010101000001010000010100060101000201010001010100010
+10100010101000001010000010100000101000201010004010100040101000101
+01003c0106000a01020002010300020102000201010001010100020102000801180014011300011
+2060101110112060101110500090108000201070002010700020149003c010100
+0701010003010100010101000201010000010100020101000201010002010100000101000201010
+00301010007010100030101000301010001010100010101000101010003010000
+0601000000010000000100000001010005010100030101000001010008010100050101000201010
+00001010003010100000101000001010000010100060101000201010000010100
+0301010000010100000101000001010000010100020101000401010004010100010101003c01060
+00a01020002010300020102000201010001010100020102000801160018011100
+011206010111011206010111050002010e000401060002010700020149003d01010006010100030
+10100010101000201010000010600020101000801030003010100070101000301
+0100030101000101010001010100020102000901000000010100010101000201030004010000010
+10100080101000501010005010100030101000001010000010100000101000601
+0100020101000001010003010100000101000001010000010100030103000401010004010100010
+101003c0106000201040002010200020103000201020002010500020102000201
+21000e011600011206010111011206010111050002010e000401060002010700020149003d01010
+00601010003010100010101000201010000010100070101000601010001010100
+0301010007010100030101000301010001010100010101000401020006010100000101000001010
+00101010001010100030101000101010008010100050101000501010003010100
+0001010000010100000101000601010002010100000101000301010000010100000101000001010
+001010100010101000401010004010100010101003c0106000201040002010200
+02010300020102000201050002010200020121000e0116000112060101110112060101110500020
+10d00020100000201050002010700020149003d01010006010100030101000101
+0100020101000001010007010100050101000201010003010100070101000301010003010100010
+10100010101000101000003010100050101000001000001010100000101000201
+0100030101000001010009010100050101000501010003010100000101000001010000010100060
+10100020101000001010003010100000101000001010000010100000101000201
+01000401010004010100010101003c0106000201040002010200020103000201020002010500020
+10200020121000e011600011206010111011206010111050002010d0002010000
+0201050002010700020149003801000003010100070101000101010002010100010101000201010
+00201000002010100050101000101020003010100010100000401010004010100
+0101010002010100010101000101010002010100050100000101000001010000010101000101020
+00001000001010100000101000901010005010100060101000101010001010100
+0001010000010100060101000101010002010100010101000101010000010100000101000001010
+0010102000401010004010100010101003c010600020104000201020002010300
+020102000201050002010200020121000e011600011206010111011206010111050002010c00020
+10200020104000201070002014900380101000101010009010300030104000401
+0300020104000401020001010100030102000301050003010300020102000001030000010000000
+10300060100000401000002010200010101000101040009010300030104000501
+0300020101000001010000010100050105000401030002010100000101000001010001010200010
+101000101050001010200000103003b0106000201040002010200020103000201
+02000201050002010200020121000e011600011206010111011206010111050002010c000201020
+00201040002010700020149003901030012010100580100000a010100a5010600
+0201040002010200020103000201020002010500020102000201470001120601011101120601011
+1050002010b00020104000201030002010700020149005001010064010100a501
+0600020104000201020002010300020102000201050002010200020147000112060101110112060
+10111050009010400020104000201030002010700020149004f01030062010300
+a401060002010400020102000901020002010500020102000801410001120601011101120601011
+105000a01020002010600020102000201070002014900ff015f01060002010400
+0201030008010200020105000201020009014000011206010111011206010111060009010300010
+10700010103000101080001014900ff015f010700010105000101040006010400
+0101060001010300080140000112060101110112060101117b00ff015f017b00011206010111011
+2060101117b00ff015f017b000112060101110112060101117b00ff015f017b00
+0112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b0
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b00ff015f017b000112060101110112060101117b00ff015f017b0001120601011101120601011
+17b0089010000040100001f0100001001010003010500040100008a017b000112
+060101110112060101117b0089010000030101000d0100000f0102000e010000060101000101010
+00401000089017b000112060101110112060101117b0089010100020101000d01
+0000100100000e01010006010100010101000401000089017b000112060101110112060101117b0
+089010100010101000d0101001f01010007010100010101000401010088017b00
+0112060101110112060101117b00890105000301030003010500010101000101020002010300040
+10100020101000101010006010100010101000501010088017b00011206010111
+0112060101117b00880106000201010001010100030101000301000000010200010101000301010
+00301000000010100000101000101010007010100010101000501010088017b00
+0112060101110112060101117b00880100000001020000010000060101000301010005010200010
+10100020101000601030002010100070104000601010088017b00011206010111
+0112060101117b00880100000101000001010000030103000401010005010100070101000701020
+002010100070103000601010089017b000112060101110112060101117b008801
+0000030100000201010001010100030101000601010007010100060102000301010006010100000
+101000601010089017b000112060101110112060101117b008701000004010000
+0101010002010100030101000501010007010100060101000001010002010100060101000101010
+0040101008a017b000112060101110112060101117b0087010000040100000101
+0100010102000001000001010100010100000201010007010100010100000301000001010100000
+10000010100000601010001010100040101008a017b0001120601011101120601
+01117b0087010100020102000101020001010100030102000301010008010200020101000301010
+0020100000501030001010100020100008c017b00011206010111011206010111
+7b00c00100000d0101008d017b000112060101110112060101117b00ff015f017b0001120601011
+10112060101117b00ff015f017b000112060101110112060101117b00ff015f01
+7b00011206010111011206010111ff00ff005700011206010111011206010111ff00ff005700011
+206010111011206010111ff01ff0140011600011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff0140011600011206010111011206010111ff01ff0140010b00000109000112
+06010111011206010111ff01ff0140010a0002010800011206010111011206010111ff01ff01400
+1090004010700011206010111011206010111ff01ff0140010800060106000112
+06010111011206010111ff01ff014001070008010500011206010111011206010111ff01ff01400
+106000a010400011206010111011206010111ff01ff01400105000c0103000112
+06010111011206010111ff01ff01400104000e010200011206010111011206010111ff01ff01400
+1030010010100011206010111011206010111ff01ff0140010200120100000112
+06010111011206010111ff01ff0140011600011206010111011206010111ff01ff0140011600011
+206010111011206010111ff01ff0140011600011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140011600011206010111011206010111130
+10b00250101000601020015010100ff01d6011600011206010111011206010111
+13010b0024010100060101000001010015010100ff01d5011600011206010111011206010111130
+10100000100000001000000010000000102002401010006010100000101001501
+0100ff01d5011600011206010111011206010111130102000001000000010000000100000001010
+0230101000601020019010100ff01d40116000112060101110112060101111301
+0100000100000001000000010000000102000601000000010100000101000201040002010100000
+1020004010100060101000f01030006010100ff01d40102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111130102000001000
+00001000000010000000101000601010000010100000101000001010002010100
+020102000001010003010100060101000e0101000101010005010100ff01d401160001120601011
+10112060101111301010000010000000100000001000000010200060101000001
+0100000101000001010002010100020101000201010002010100060101000001000010010100050
+10100ff01d4010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111130102000001000000010000000100000001010006010100000
+101000001010003010300020101000201010002010100040104000e0103000601
+0100ff01d4010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111130101000001000000010000000100000001020006010100
+0001010000010100010101000101010002010100020101000201010003010000000101000e01010
+00101010006010100ff01d4011600011206010111011206010111130102000001
+0000000100000001000000010100060101000001010000010100000101000201010002010100020
+1010002010100050101000d0101000201010006010100ff01d401030000010100
+0001010000010100000101000001010000010100000101120601011101120601011113010b00060
+10100000101000001010000010100010102000201010001010100040101000401
+01000801000003010100010102000001000003010100ff01d501020000010100000101000001010
+00001010000010100000101000001000001120601011101120601011113010b00
+0601010000010100000101000101020001010100010104000501010004010100070102000301020
+00101010004010100ff01d5011600011206010111011206010111390101000901
+010003010000090101000e010100ff01d6010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111390101000d01020009010100ff01
+e701020000010100000101000001010000010100000101000001010000010000011206010111011
+206010111380103000c01010009010100ff01e801160001120601011101120601
+0111ff01ff014001030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff014001020000010100000101000001010000010100
+000101000001010000010000011206010111011206010111ff01ff0140011600011206010111011
+206010111ff01ff01400103000001010000010100000101000001010000010100
+000101000001011206010111011206010111ff01ff0140010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111ff01ff014001
+1600011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001020000010100
+000101000001010000010100000101000001010000010000011206010111011206010111ff01ff0
+140011600011206010111011206010111ff01ff01400103000001010000010100
+0001010000010100000101000001010000010112060101110112060101112a01010072010200200
+103001f010000070100001e010300220105000901000013010500dd0102000001
+0100000101000001010000010100000101000001010000010000011206010111011206010111290
+102003c01000033010100000101001e010100010101001e010000060102001c01
+0100010101002201010001010100080100001401010001010100dc0116000112060101110112060
+10111290102003c01000033010100000101001e010100010101001d0101000701
+00001d010100010101002201010001010100070101001401010001010100dc01030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+28010000000101003b0101003201020021010100210101002601010026010100010101000701010
+01401010001010100dc0102000001010000010100000101000001010000010100
+0001010000010000011206010111011206010111280100000001010002010100010102000401020
+00001000000010100030100000101010002010100030103000201010001010100
+0301050003010300050100002101010013010400090101000401020000010200010101000001020
+00401030002010600020103000501030002010100000102000901010004010100
+0001030003010300020100000001010000010100070101000101010006010600030103000801010
+001010100dd011600011206010111011206010111280100000001010001010000
+0001020001010100020101000001030000010100010101000001030000010300000102000101010
+00001000000010000000103000301010004010200010101000301020020010100
+1201010002010100070104000301010001010100020101000101010002010100010101000301010
+00701010004010100010101000201010001010100070104000301020001010100
+0101010001010100010101000001010000010100060101000101010008010100050101000101010
+00701010001010100dd0103000001010000010100000101000001010000010100
+0001010000010112060101110112060101112701000001010100030102000101010001010100020
+10000020101000101010001010000000100000001000000010100000101000201
+0100020102000001010003010100040101000201000005010000210101000001000010010100020
+10100080101000501010001010100020101000101010001010100020101000301
+0100070101000301010003010100010101000101010008010100050101000201010000010100030
+10100000101000001010000010100060104000901010004010100030101000601
+0400de0102000001010000010100000101000001010000010100000101000001000001120601011
+10112060101112701000001010100030101000601010001010100020101000101
+0000020100000001010001010300020101000301010001010100030101000501010029010400140
+10300080101000501010001010100020101000101010001010100080101000701
+0100030101000301010001010100010101000801010005010100050101000301010000010100000
+1010000010100060103000a010100040101000301010006010300df0116000112
+0601011101120601011126010500030101000601040002010100020100000101010000010100000
+10100000104000401010002010000030101000701020026010000000101001401
+0100010101000801010005010100010101000201010001010100010101000801010007010100030
+10100030101000101010001010100080101000501010005010100030101000001
+0100000101000001010005010100000101000a01010004010100030101000501010000010100df0
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111260100000201010002010100060101000601010001010100010101000001000
+00101010000010100070101000101010003010100050100000201010027010100
+1301010002010100080101000501010001010100020101000101010001010100030100000301010
+00701010003010100030101000101010001010100080101000501010005010100
+0301010000010100000101000001010005010100010101000901010004010100030101000501010
+001010100de010200000101000001010000010100000101000001010000010100
+0001000001120601011101120601011126010000020101000201010006010400030101000001020
+00001010001010000010100000201010002010000020101000101010000010000
+0101010001010000010101000101020004010000210101000801000009010100010102000801010
+00501010000010200020101000101010002010100010101000301010001010000
+0401010004010100010101000201010001010100080101000501010006010100010101000101010
+00001010000010100050101000101010009010100010100000201010001010100
+0601010001010100de0116000112060101110112060101112501020000010300010101000701040
+00301010001010100000100000401000003010300020101000301010003010200
+0301030005010200200101000701020009010200010101000601030005010200000101000001020
+00001030002010300050102000301050003010300020102000001030006010300
+0301040005010300020101000001010000010100040103000101010009010200040103000601030
+001010100dd010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111380100000301000011010000270100002101000009010100ff0
+19601020000010100000101000001010000010100000101000001010000010000
+01120601011101120601011137010100020101005b01020009010100ff019601160001120601011
+1011206010111380104005c01010009010100ff01970103000001010000010100
+000101000001010000010100000101000001011206010111011206010111ff01ff0140010200000
+10100000101000001010000010100000101000001010000010000011206010111
+011206010111ff01ff0140011600011206010111011206010111ff01ff014001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff0140010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff014001020000010100000101000001010000010100000101000001
+010000010000011206010111011206010111ff01ff0140011600011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff0164010000da01020000010100000101000001010000010100000
+101000001010000010000011206010111011206010111d30103002a0100001501
+03000a0102001f01000017010000da011600011206010111011206010111d50101002a010000140
+10100010101000a0101001e01020014010400d801030000010100000101000001
+01000001010000010100000101000001011206010111011206010111d5010100290101001401010
+0010101000a0101001f010000140100000001000000010100d801020000010100
+000101000001010000010100000101000001010000010000011206010111011206010111d501010
+029010100140101000e010100340100000101000001010000d801160001120601
+01110112060101119d0103001101040002010100000102000901030005010100050103000201000
+00001010000010100030103000201010000010200020106000801030004010100
+0b01040003010300020100000001010000010100020104000301030003010100000102000801010
+000010000db010300000101000001010000010100000101000001010000010100
+00010112060101110112060101119c010100010101000f010100020101000201010001010100070
+10100010101000401010004010100010101000101010000010100000101000101
+0100010101000201010001010100030101000a01010001010100020104000801010000010200020
+10100010101000101010000010100000101000001010002010100040101000401
+01000101010007010300db010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111a00101000f01010002010100020101000101
+0100060101000201010004010100030101000201010001010100000101000001010000010100020
+10100020101000101010003010100090101000301010002010100090101000201
+0100010101000301010000010100000101000001010000010100020101000401010004010100010
+1010008010300da0116000112060101110112060101119d010300130103000201
+0100010101000601060004010100030106000101010000010100000101000001060002010100010
+10100030101000901010003010100020101000901010002010100010101000301
+01000001010000010100000101000301030004010100040101000101010009010300d9010300000
+10100000101000001010000010100000101000001010000010112060101110112
+060101119b010100010101001101010001010100020101000101010006010100090101000301010
+00601010000010100000101000001010007010100010101000301010009010100
+0301010002010100090101000201010001010100030101000001010000010100000101000101010
+0010101000401010004010100010101000901000000010100d901020000010100
+0001010000010100000101000001010000010100000100000112060101110112060101119a01010
+00201010010010100020101000201010001010100060101000901010003010100
+0601010000010100000101000001010007010100010101000301010009010100030101000201010
+00901010002010100010101000301010000010100000101000001010000010100
+02010100040101000401010001010100060100000101000001010000d9011600011206010111011
+2060101119a010100010102000001000003010000090101000101020002010100
+0101010007010100020100000401010004010100020100000101010000010100000101000101010
+00201000002010100010101000301010001010000070101000101010003010100
+0a01010000010200020101000101010001010100000101000001010000010100010102000401010
+00401010001010100060101000001000000010000da0103000001010000010100
+0001010000010100000101000001010000010112060101110112060101119b01020001010100030
+10200090102000101010000010200000103000701030003010500030103000201
+010000010100000101000201030002010200000103000301020009010300030103000a010200000
+10100020103000201010000010100000101000101020001010100010105000101
+02000001030005010400db010200000101000001010000010100000101000001010000010100000
+10000011206010111011206010111a7010100b7010000dd011600011206010111
+011206010111a7010100b7010000dd0103000001010000010100000101000001010000010100000
+101000001011206010111011206010111a6010100ff0197010200000101000001
+01000001010000010100000101000001010000010000011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ff01ff01400102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+06010111ff01ff0140011600011206010111011206010111ff01ff0140010300000101000001010
+0000101000001010000010100000101000001011206010111011206010111ff01
+ff01400102000001010000010100000101000001010000010100000101000001000001120601011
+1011206010111ff01ff0140011600011206010111011206010111ff01ff014001
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff0140010200000101000001010000010100000101000001010000010100
+00010000011206010111011206010111ff014d010000f1011600011206010111011206010111270
+105008e0103002a010000150103000a0102001f01000017010000f10103000001
+0100000101000001010000010100000101000001010000010112060101110112060101112801010
+0010101000d010000800101002a01000014010100010101000a0101001e010200
+14010400ef010200000101000001010000010100000101000001010000010100000100000112060
+1011101120601011128010100010101000d010000800101002901010014010100
+010101000a0101001f010000140100000001000000010100ef01160001120601011101120601011
+128010100010101000c0101008001010029010100140101000e01010034010000
+0101000001010000ef0103000001010000010100000101000001010000010100000101000001011
+20601011101120601011127010100010101000301030003010500010101000301
+0000010101000101020001010100010101000401030005010000320104000201010000010200090
+10300050101000501030002010000000101000001010003010300020101000001
+02000201060008010300040101000b0104000301030002010000000101000001010002010400030
+1030003010100000102000801010000010000f201020000010100000101000001
+0100000101000001010000010100000100000112060101110112060101112701010001010100010
+10200010101000301010003010000000101000101010000010000000102000101
+0200000100000001030001010200010101000301020030010100020101000201010001010100070
+10100010101000401010004010100010101000101010000010100000101000101
+0100010101000201010001010100030101000a01010001010100020104000801010000010200020
+10100010101000101010000010100000101000001010002010100040101000401
+01000101010007010300f2011600011206010111011206010111270104000201010002010100030
+10100050101000101010002010200010101000101020000010100010101000201
+0000050100003101010002010100020101000101010006010100020101000401010003010100020
+10100010101000001010000010100000101000201010002010100010101000301
+0100090101000301010002010100090101000201010001010100030101000001010000010100000
+10100000101000201010004010100040101000101010008010300f10103000001
+0100000101000001010000010100000101000001010000010112060101110112060101112701030
+00201010002010100040101000501010001010000030101000601010001010100
+020101003e010300020101000101010006010600040101000301060001010100000101000001010
+00001060002010100010101000301010009010100030101000201010009010100
+0201010001010100030101000001010000010100000101000301030004010100040101000101010
+009010300f0010200000101000001010000010100000101000001010000010100
+0001000001120601011101120601011126010100000101000201040005010100050101000201000
+0030101000501010002010000040102003a010100010101000201010001010100
+0601010009010100030101000601010000010100000101000001010007010100010101000301010
+00901010003010100020101000901010002010100010101000301010000010100
+000101000001010001010100010101000401010004010100010101000901000000010100f001160
+00112060101110112060101112601010001010100010101000801010005010100
+0101010002010100060101000101010002010000020101003801010002010100020101000101010
+00601010009010100030101000601010000010100000101000001010007010100
+0101010003010100090101000301010002010100090101000201010001010100030101000001010
+00001010000010100000101000201010004010100040101000101010006010000
+0101000001010000f00103000001010000010100000101000001010000010100000101000001011
+20601011101120601011126010100010101000201010002010000030101000101
+0000020101000001020000010000000101000601010001010100000102000101020004010000320
+10100010102000201010001010100070101000201000004010100040101000201
+0000010101000001010000010100010101000201000002010100010101000301010001010000070
+1010001010100030101000a010100000102000201010001010100010101000001
+0100000101000001010001010200040101000401010001010100060101000001000000010000f10
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011125010300010101000201030005010200040101000101010001010100050
+10100030101000101030005010200320102000101010000010200000103000701
+0300030105000301030002010100000101000001010002010300020102000001030003010200090
+10300030103000a01020000010100020103000201010000010100000101000101
+02000101010001010500010102000001030005010400f2011600011206010111011206010111670
+10000e1010000f401030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff014a010000f4010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111ff01ff014001
+1600011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff01ff014001020000010100
+000101000001010000010100000101000001010000010000011206010111011206010111ff01ff0
+140011600011206010111011206010111ff01ff01400103000001010000010100
+000101000001010000010100000101000001011206010111011206010111ff01ff0140010200000
+10100000101000001010000010100000101000001010000010000011206010111
+011206010111ff01ff0140011600011206010111011206010111ff01ff014001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff0140010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ff01ff01400116000112060101110112060101119a010800
+12010600040101002a0101001f0104000301030028010200000101000d0100004b0103000001030
+01501000077010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111290103000e010000100100004a0108001201070002010300280
+103001e01040003010300270106000c0101003501010003010500090103000001
+0300140101001a01010003010500030101004a01020000010100000101000001010000010100000
+10100000101000001000001120601011101120601011128010200000101000c01
+02000e0102004901010000010200000101001301020000010200030101002a01010021010200040
+1020027010200000102000c010100340101000501010001010100080102000201
+0100150101001901010005010100010101000301010049011600011206010111011206010111280
+10100020100000d010000100100004d0102001601020000010200540102000301
+040026010200010101000b010200340101000501010001010100080102000201010014010200190
+10100050101000101010003010100490103000001010000010100000101000001
+01000001010000010100000101120601011101120601011127010100020101006e0102000301020
+00101020002010300030102000001020001010400020100000001010000010100
+0301030001010300000102000201030000010000020104000401030001010300000102000201040
+00501020003010400020102000101010001010200010101000201040002010300
+0001020000010200010101000201040002010600030103000301040000010000020103000201020
+00101010001010300000102000201010006010100010101000901020000010200
+0301030004010200000101000001060003010300020102000101010003010100060101000101010
+00401010048010200000101000001010000010100000101000001010000010100
+0001000001120601011101120601011127010100020101000001010001010200020103000601020
+000010000010103000301010001010100050100003c0102000301020001010200
+0101050002010200000102000101040002010700010105000001080000010600020104000301050
+00001080000010600040102000301010000010100020107000001070000010600
+0101030000010200000102000501060001010600020105000101070001010500010107000001030
+0000102000201010005010100010101000a010200000101000301050002010600
+0001060002010500010107000201010005010100010101000501010048011600011206010111011
+20601011127010100020102000001020001010100030101000501010000010200
+03010100020100000001000000010300030102003b0102000301010003010100000102000101020
+00101020000010200030102000201070000010200010102000001030000010200
+0001020000010200040102000201020001010200000103000001020000010100010102000401020
+00301010000010200020106000101060000010100010102000101020001010200
+0001020005010100010102000201020004010200010102000001020000010300000102000101020
+00101060000010200010102000201010005010100010101000a01020000010100
+0201020001010200000103000001020001010200040102000101020001010600020101000501010
+00101010005010100480103000001010000010100000101000001010000010100
+0001010000010112060101110112060101112601010002010100020102000101010002010100050
+1010002010000030101000501020000010100040100003c010200030101000001
+0100000101000001020001010200010102000001020003010200020101000001010000010100000
+10200010102000001020001010200000103000101000004010200020102000101
+0200000102000101020003010300040102000301010001010100020103000001010001010300000
+10100030103000201020000010100010102000801030002010200040102000101
+0200000102000001020001010200010102000101030000010100010102000001010003010100050
+104000c0104000201020001010200000102000201010001010200040102000101
+0200010103000001010002010100050104000601010048010200000101000001010000010100000
+10100000101000001010000010000011206010111011206010111260101000201
+0100020101000701010005010100010101000301010005010100010101004201020003010100000
+10100000101000001020001010200010102000001020003010200020101000001
+0100000101000001070000010200010102000101040005010200020102000101020000010200010
+10200010105000401020002010600020102000501020005010500020105000101
+0200060105000201020004010700000102000001020001010200010102000101020005010500030
+10100050103000d01030003010700000102000601020004010200010102000101
+0200060101000501030007010100480116000112060101110112060101112601010002010100020
+10100070101000501040004010100040101000201000043010200030107000001
+0200010102000101020000010200030102000201010000010100000101000001020005010200010
+10200000100000101030004010200020102000101020000010200010102000001
+0200000102000401020002010700010102000501020004010200000102000301030002010200010
+10100010102000001020002010200040102000601040002010200010102000101
+0200060103000401010004010100000101000d01030003010200050102000601020004010200010
+10200010102000601010004010100000101000701010048010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111260100000201010
+00201010007010100050101000701010005010100010101004301020003010700
+0001020001010200010102000001020003010200020101000001010000010100000103000101010
+00001020001010200000102000001020004010200020102000101020000010200
+0101020000010200000102000401020002010100020102000101020005010200040102000001020
+00301030002010200010101000101020000010200020102000001010001010300
+0101010000010300040102000101020001010200060103000401010004010100010101000d01020
+00301030001010100000103000101010001010200000101000101020001010200
+0101020006010100040101000101010006010100480102000001010000010100000101000001010
+00001010000010100000100000112060101110112060101112601010000010200
+0201010007010100010100000201040004010100010100000201010001010100000100000201000
+03c01040003010200000101000201050001010700010106000001010000010100
+0001010001010a000001030000010600020106000101050000010300000103000001070001010a0
+00001030000010400030104000301070003010100030106000101070001010500
+0201060000010600020105000101040006010100060101000301010001010100050100000601010
+00501060001010600010105000201050001010400060101000301010001010100
+0501010006010000410116000112060101110112060101112701030003010100080102000401040
+0040102000201010003010100020102003b010400030101000101010003010300
+0201060002010600000101000001010000010100020104000001030000010300000100000001030
+003010600020103000101030000010300010102000001020001010a0000010300
+0001040003010400040102000001020002010200040104000301020000010200020103000401040
+00201060002010300020104000501020006010100020103000101010003010200
+0501010006010400030104000301030004010300020104000601010002010300010101000401010
+00501020040010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111410100000301000016010000de0102002801020001010200130
+10200080101000e0101003d0101000d0101000701010040010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011140010100020
+10100f50103002801070012010300190101005701010040011600011206010111
+01120601011141010400f60102002a0105001301020019010100570101004101030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff0140010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111ff01ff0140011600011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001010014010112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+101000001011206010111011206010111ff01ff01400101001401011206010111
+0112060101119a0103000001030015010000ff018501010014010112060101110112060101119a0
+1030000010300140101001a010100030105000301010006010100ff014f010300
+00010100000101000001010000010100000101000001010000010112060101110112060101119a0
+1020002010100150101001901010005010100010101000301010006010100ff01
+4e01010014010112060101110112060101119a01020002010100140102001901010005010100010
+101000301010006010100ff014e01010014010112060101110112060101119b01
+0200000102000301030004010200000101000001060003010300020102000101010003010100060
+10100010101000401010006010100ff014d010300000101000001010000010100
+00010100000101000001010000010112060101110112060101119b0102000001010003010500020
+10600000106000201050001010700020101000501010001010100050101000601
+0100ff014d01010014010112060101110112060101119b010200000101000201020001010200000
+10300000102000101020004010200010102000101060002010100050101000101
+01000501010006010100ff014d01010014010112060101110112060101119c01040002010200010
+10200000102000201010001010200040102000101020001010300000101000201
+0100050104000601010006010100ff014d010300000101000001010000010100000101000001010
+00001010000010112060101110112060101119c01030003010700000102000601
+020004010200010102000101020006010100050103000701010006010100ff014d0101001401011
+2060101110112060101119c010300030102000501020006010200040102000101
+0200010102000601010004010100000101000701010006010100ff014d010100140101120601011
+10112060101119d01020003010300010101000001030001010100010102000001
+01000101020001010200010102000601010004010100010101000601010006010100ff014d01030
+00001010000010100000101000001010000010100000101000001011206010111
+0112060101119d01010005010600010106000101050002010500010104000601010003010100010
+101000501010006010100ff014e01010014010112060101110112060101119d01
+0100060104000301040003010300040103000201040006010100020103000101010004010100060
+10100ff014e0101001401011206010111011206010111d50101000d0101000601
+0100ff014f010300000101000001010000010100000101000001010000010100000101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+400101001401011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+14001030000010100000101000001010000010100000101000001010000010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001010
+01401011206010111011206010111ff01ff014001030000010100000101000001
+01000001010000010100000101000001011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400101001401011206010111011206010111
+ff017101070004010100bf010300000101000001010000010100000101000001010000010100000
+10112060101110112060101112601020002010100010102006801050009010000
+240102001f0100001e0103001b0100003a01080002010300be01010014010112060101110112060
+10111270100000401000002010100690101000101010007010200240101001e01
+02001c010100010101001a0100003b0102000101020003010100bf0101001401011206010111011
+20601011127010000040100000201010069010100010101000801000025010100
+1f0100001d01010001010100190101003b01020001010200c501030000010100000101000001010
+00001010000010100000101000001011206010111011206010111270100000301
+0000020101006a010100010101002f0101003e0101001d0101003b0102000001020002010400010
+10300000102000201040000010000aa0101001401011206010111011206010111
+2601000001010000010100000201010000010000050103000201010001010200030103000501000
+04401010001010100070103000401030000010000070104000901040003010300
+0201000000010100000101000201040003010300030101000001020009010300040101000b01030
+00301040002010600030103000301030000010100020103000201010000010300
+01010300000102000a010500030104000101080000010700aa01010014010112060101110112060
+10111260100000001020000010000020102000001000002010200010101000001
+0000000102000101010000010200010101000301020043010100010101000901010003010100020
+10100060101000201010007010100000102000201010001010100010101000001
+0100000101000001010002010100040101000401010001010100070101000101010002010400080
+10100010101000101010002010100030101000501010001010100010101000101
+0100000100000101010001010100020102000101010001010100020100000b01050005010200020
+10300000102000001020000010300aa0103000001010000010100000101000001
+0100000101000001010000010112060101110112060101112601000000010400020101000101000
+00201010002010100020102000101010000010100020101000401000044010400
+0a01010003010100030100000601010002010100060101000201010001010100030101000001010
+00001010000010100000101000201010004010100040101000101010006010100
+0301010002010100090101000201010001010100020101000301010004010100020101000101010
+0010101000201010003010100010101000201010001010100020100000b010200
+000102000401020002010200010102000001020000010200ab01010014010112060101110112060
+10111260105000201010001010100010101000201010003010100040101000201
+01004b0103000b010100040102000c0103000601010002010100010101000301010000010100000
+10100000101000301030004010100040101000101010006010100030101000201
+0100090101000901030003010100040106000101010001010100020101000301010001010100070
+10100000100000c01020000010200040102000201020001010200000102000001
+0200ab0101001401011206010111011206010111260101000101010002010100010101000101040
+005010100040104004c010100000101000b010100060102000801010001010100
+0601010002010100010101000301010000010100000101000001010001010100010101000401010
+00401010001010100060101000301010002010100090101000701010001010100
+03010100040101000701030003010100030101000101010007010100000100000c0102000001020
+004010200020102000101020001010400ac010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111250101000201010002010000010
+101000201010007010100050101004f010100010101000a010100030100000301
+0100060101000201010006010100020101000101010003010100000101000001010000010100000
+10100020101000401010004010100010101000601010003010100020101000901
+0100030100000101010002010100030101000401010006010000070101000301010001010100080
+101000d0102000101020003010200020102000101020000010300ae0101001401
+0112060101110112060101112501010003010000010101000101010000010000010101000201000
+00201010006010100020100000401000044010100010101000a01010003010100
+0201010006010100010102000701010000010200020101000101010001010100000101000001010
+00001010001010200040101000401010001010100070101000101010003010100
+0a01010001010100010101000101020003010100010100000201010002010000010105000301010
+00101010002010100080101000c0103000101020001010a000001030000010600
+ab01010014010112060101110112060101112501000004010000010101000201010003010300030
+10100070103000401020042010300010101000701050001010000000103000801
+0200010101000701020000010100020103000201010000010100000101000101020001010100010
+10500010102000001030007010300030103000a01030003010200010101000301
+020004010300030105000301030002010400060100000d0103000101020001010a0000010300010
+10600aa0103000001010000010100000101000001010000010100000101000001
+01120601011101120601011155010000ed01000004010000160100002901020001010200aa01010
+01401011206010111011206010111ff0144010100020101001301000000010000
+2a010700aa0101001401011206010111011206010111ff0145010400140102002b010500ab01030
+00001010000010100000101000001010000010100000101000001011206010111
+011206010111ff01ff01400101001401011206010111011206010111ff01ff01400101001401011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010100140101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+4001030000010100000101000001010000010100000101000001010000010112060101110112060
+10111ff01ff01400101001401011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff014001030000010100000101000001010000010100000
+10100000101000001011206010111011206010111ff019e010000590100004501
+01001401011206010111011206010111270104002a0100001901000046010100060102001601000
+01e0100002f0102001a0102002701020007010100060100001001020004010000
+1b010200050101000f0101000601000010010200040100000701000035010100140101120601011
+10112060101112801010001010000280102000f01000006010200440100000701
+010000010100160100001d010000300101001b01010028010100060100000701020010010000060
+10000190101000001010003010000100100000701020010010000060100000701
+0000340103000001010000010100000101000001010000010100000101000001011206010111011
+20601011128010100010101002801000010010000070100004401010007010100
+00010100160100001c010100300101001b010100280101000501010008010000190100001901010
+000010100020101000f0101000801000019010000070100003401010014010112
+060101110112060101112801010001010100390101004c01010007010200190101001b0101002f0
+101001c01010027010100050101002401010017010200040101000f0101002401
+0100060101003301010014010112060101110112060101112701010002010100020103000401030
+00401030002010100010102000201030004010100000101000301050002010300
+060102000201010001010100050100000d010100020101000301030003010100000101000301010
+0070101000f010300060101000701010000010300030103000201060001010200
+0001020001010100000103000101010000010200030103000001000008010100000101000f01010
+00301010001010400040103000201010000010300030103000901010000010100
+02010100060103000f0103000501010008010600070101000501010007010300030101000601030
+00f01030005010100060101003301030000010100000101000001010000010100
+0001010000010100000101120601011101120601011127010100020101000001020001010100010
+10200010101000101020001010100000100000001020001010100030101000301
+0000000101000001010003010100070101000401010001010100000100000001000000010300030
+102000b0103000001030001010100010101000101000000010100000101000101
+0100080101000e01010001010100050101000801020001010100010101000101010003010100050
+10100010101000201020001010100010101000101010001010100020101000801
+0200000101000e01010003010100010102000001010002010100010101000201020001010100010
+10100010101000801020000010100000101000901010010010100060101000701
+0600080101000401010007010100010101000101010009010100100101000601010006010100330
+10100140101120601011101120601011127010100010101000101010002010100
+0101010002010000020101000201000003010200010101000201010006010100000101000301010
+00601010005010100010101000201020000010100040100000d01000000010000
+0001000000010100050101000301010000010100010101000801010000010000100101000501010
+00801010002010100000101000201010003010100050101000101010002010100
+020101000101010001010100010101000301000007010200010101000e010100000101000001010
+00101010001010100010101000201010002010100020101000001010002010100
+0701020001010100000101000801010011010100060101001701010000010000020101000b01010
+00101010008010100110101000601010006010100330101001401011206010111
+0112060101112701010001010100000101000201010003010100040101000801010007010100060
+10000010101000301010006010100040101000201010002010100010101001301
+0000000101000101010002010300040100000101010001010100060104000e01030005010100090
+10100050106000301010005010100010101000201010006010100010101000201
+02000a010100020101000e010100000101000001010001010100010101000101060002010100050
+10600070101000201010000010100080101001101010005010100080106000601
+0400030101000801030002010100080101001101010005010100060101003401030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+2601010002010100000104000601020002010100080101000701010005010100010101000201010
+00701010004010100020101000101010002010000130101000001010000010100
+010101000101010003010100010101000101010005010000000101000e010100010101000501010
+00901010005010100080101000501010001010100020101000601010001010100
+0401020008010100010101000f01010000010100000101000101010001010100010101000701010
+0050101000c010100010101000101010008010100100101000601010007010600
+0601000000010100050101000601010001010100020101000801010010010100060101000601010
+03401010014010112060101110112060101112601010001010100010101000701
+0000020101000101010007010100070101000601010000010100030101000601010005010100010
+10100020101000101010013010100000100000101010000010100020101000301
+01000001010002010100070101000d01010002010100040101000a0101000501010008010100050
+10100010101000201010006010100010101000101000003010100060101000201
+0100100101000001020002010100010101000101010007010100050101000b01010002010100010
+10100070101001101010005010100180101000501010005010100020101000201
+0100070101001101010005010100060101003501010014010112060101110112060101112601010
+00101010002010100020100000101010001010200020101000201000002010100
+0701010001010000030101000001010003010100010100000301010001010000020101000101010
+0020101000101010000010000020100000d010000010100000101000001010100
+0101020000010000010101000001010003010000070101000701010003010100010102000001000
+0020101000a010100060101000201000003010100010100000201010000010200
+02010100060101000101010001010100020101000601010001010100050100000a0101000101010
+00201010001010100020101000201000002010100060101000201000006010100
+0101010003010000070101000101000004010100070101000501010018010100060100000501010
+00101020000010000010100000701010001010000040101000701010005010100
+0601010035010300000101000001010000010100000101000001010000010100000101120601011
+10112060101112501040005010300030103000501030003010100080102000301
+04000501020005010200040102000301010003010100020102000c0100000401000002010200010
+10100010104000401000007010100060102000401020001010100020100000b01
+0400050103000501020004010200000101000001040003010200000103000001000000010300080
+10200060102000901000003010000010102000001030002010300020104000501
+0300080102000501000008010200040102000301010001010100040100001a01010006010000060
+10200010101000201000008010200040102000301010001010100040100000701
+00003701010014010112060101110112060101115c0101002c010000140100000a0101000801000
+006010000080101000c0101005c01010045010000100101000301010000010100
+030101001b010000080100001001000010010100030101000001010003010100060101003801010
+014010112060101110112060101115c0101004e0101000e010200080100006c01
+01005701000004010000010101001f0102002c01000004010000010101004701030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+5b0103004c0103000d010100080100006c0101005701000006010200200101002c0100000601020
+0480101001401011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111ff01ff014001010014010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+ff01ff01400101001401011206010111011206010111ff01ff01400101001401011206010111011
+206010111ff01ff01400103000001010000010100000101000001010000010100
+000101000001011206010111011206010111ff01ff0140010100140101120601011101120601011
+1f7010000ff014701010014010112060101110112060101119e01030022010300
+040103000c01000015010200ff01460103000001010000010100000101000001010000010100000
+1010000010112060101110112060101119d010100010101002301010006010100
+0b01020015010000ff014701010014010112060101110112060101119d010100010101002301010
+0060101000c010000ff015f01010014010112060101110112060101119d010100
+2701010006010100ff016d010300000101000001010000010100000101000001010000010100000
+10112060101110112060101119d01010006010300020101000001030007010400
+05010100060101000901030014010300ff014601010014010112060101110112060101119c01040
+00301010001010100020102000101010005010100020101000401010006010100
+0b01010015010100ff014701010014010112060101110112060101119d010100040101000301010
+00101010002010100050101000201010004010100060101000a01010016010100
+ff01470103000001010000010100000101000001010000010100000101000001011206010111011
+2060101119d0101000401010003010100010101000d0103000401010006010100
+0a01010016010100ff014701010014010112060101110112060101119d010100040101000301010
+0010101000b0101000101010004010100060101000a01010015010100ff014801
+010014010112060101110112060101119d0101000401010003010100010101000a0101000201010
+004010100060101000901010016010100ff014801030000010100000101000001
+010000010100000101000001010000010112060101110112060101119d010100050101000101010
+0020101000a010100010102000401010006010100090101000101000004010100
+0c01010006010000ff014001010014010112060101110112060101119c010300050103000201040
+00901020001010100010105000201050008010200040102000801010001010100
+05010200ff013f0101001401011206010111011206010111e601010008010100000101000701000
+0ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111e60100000901000001010100ff01490101001401011206010111011
+206010111e50100000b010200ff014a0101001401011206010111011206010111
+ff01ff0140010300000101000001010000010100000101000001010000010100000101120601011
+1011206010111ff01ff01400101001401011206010111011206010111ff01ff01
+400101001401011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010100
+1401011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff0
+14001030000010100000101000001010000010100000101000001010000010112
+06010111011206010111ff01ff01400101001401011206010111011206010111ff01ff014001010
+01401011206010111011206010111ff01ff014001030000010100000101000001
+0100000101000001010000010100000101120601011101120601011113010b00250101000601020
+01e01020005010100ff01c4010100140101120601011101120601011113010b00
+2401010006010100000101001e01010006010100ff01c3010100140101120601011101120601011
+11301010000010000000100000001000000010200240101000601010000010100
+1e01010006010100ff01c3010300000101000001010000010100000101000001010000010100000
+10112060101110112060101111301020000010000000100000001000000010100
+23010100060102002001010008010100ff01c201010014010112060101110112060101111301010
+00001000000010000000100000001020006010000000101000001010002010400
+020101000001020004010100060101000f0103000d0101000001010005010100ff01c2010100140
+10112060101110112060101111301020000010000000100000001000000010100
+0601010000010100000101000001010002010100020102000001010003010100060101000e01010
+0010101000c0102000001010004010100ff01c201030000010100000101000001
+0100000101000001010000010100000101120601011101120601011113010100000100000001000
+00001000000010200060101000001010000010100000101000201010002010100
+02010100020101000601010000010000100101000b0102000101010004010100ff01c2010100140
+10112060101110112060101111301020000010000000100000001000000010100
+06010100000101000001010003010300020101000201010002010100040104000e0103000c01010
+00201010004010100ff01c2010100140101120601011101120601011113010100
+0001000000010000000100000001020006010100000101000001010001010100010101000201010
+0020101000201010003010000000101000e010100010101000c01010001010100
+05010100ff01c201030000010100000101000001010000010100000101000001010000010112060
+10111011206010111130102000001000000010000000100000001010006010100
+00010100000101000001010002010100020101000201010002010100050101000d0101000201010
+00b0101000201010005010100ff01c20101001401011206010111011206010111
+13010b0006010100000101000001010000010100010102000201010001010100040101000401010
+00801000003010100010102000001000003010000040101000101010005010100
+ff01c3010100140101120601011101120601011113010b000601010000010100000101000101020
+00101010001010400050101000401010007010200030102000101010003010200
+0401020007010100ff01c3010300000101000001010000010100000101000001010000010100000
+1011206010111011206010111390101000901010003010000090101000f010100
+0e010100ff01c40101001401011206010111011206010111390101000d010200090101000f01010
+0ff01d50101001401011206010111011206010111380103000c01010009010100
+0f010100ff01d601030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff01ff01400101001401011206010111011206010111ff01
+ff01400101001401011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+01001401011206010111011206010111ff01ff01400101001401011206010111011206010111ff0
+1ff01400103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff01400101001401011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400103000001010000010100
+000101000001010000010100000101000001011206010111011206010111ff01ff0140010100140
+10112060101110112060101112a01010072010200200103001f01000007010000
+1e01030025010100030105000b010500030101000c01000013010500b9010100140101120601011
+1011206010111290102003c01000033010100000101001e010100010101001e01
+0000060102001c010100010101002301010005010100010101000b01010001010100030101000b0
+100001401010001010100b8010300000101000001010000010100000101000001
+0100000101000001011206010111011206010111290102003c01000033010100000101001e01010
+0010101001d010100070100001d01010001010100230101000501010001010100
+0b01010001010100030101000a0101001401010001010100b801010014010112060101110112060
+1011128010000000101003b010100320102002101010021010100260101002601
+010006010100010101000b0101000101010004010100090101001401010001010100b8010100140
+10112060101110112060101112801000000010100020101000101020004010200
+0001000000010100030100000101010002010100030103000201010001010100030105000301030
+00501000021010100130104000901010004010200000102000101010000010200
+0401030002010600020103000501030002010100000102000901010004010100000103000301030
+00201000000010100000101000801010005010100010101000b01010001010100
+0501010007010600030103000801010001010100b90103000001010000010100000101000001010
+00001010000010100000101120601011101120601011128010000000101000101
+0000000102000101010002010100000103000001010001010100000103000001030000010200010
+10100000100000001000000010300030101000401020001010100030102002001
+0100120101000201010007010400030101000101010002010100010101000201010001010100030
+10100070101000401010001010100020101000101010007010400030102000101
+010001010100010101000101010000010100000101000701010005010100010101000b010100010
+10100050101000901010005010100010101000701010001010100b90101001401
+0112060101110112060101112701000001010100030102000101010001010100020100000201010
+00101010001010000000100000001000000010100000101000201010002010200
+0001010003010100040101000201000005010000210101000001000010010100020101000801010
+00501010001010100020101000101010001010100020101000301010007010100
+0301010003010100010101000101010008010100050101000201010000010100030101000001010
+0000101000001010007010100050104000c010400060101000901010004010100
+0301010006010400ba0101001401011206010111011206010111270100000101010003010100060
+10100010101000201010001010000020100000001010001010300020101000301
+0100010101000301010005010100290104001401030008010100050101000101010002010100010
+10100010101000801010007010100030101000301010001010100010101000801
+010005010100050101000301010000010100000101000001010007010100050103000d010300070
+1010009010100040101000301010006010300bb01030000010100000101000001
+0100000101000001010000010100000101120601011101120601011126010500030101000601040
+00201010002010000010101000001010000010100000104000401010002010000
+0301010007010200260100000001010014010100010101000801010005010100010101000201010
+00101010001010100080101000701010003010100030101000101010001010100
+0801010005010100050101000301010000010100000101000001010007010100040101000001010
+00c01010000010100070101000901010004010100030101000501010000010100
+bb01010014010112060101110112060101112601000002010100020101000601010006010100010
+10100010101000001000001010100000101000701010001010100030101000501
+0000020101002701010013010100020101000801010005010100010101000201010001010100010
+10100030100000301010007010100030101000301010001010100010101000801
+01000501010005010100030101000001010000010100000101000701010004010100010101000b0
+1010001010100060101000901010004010100030101000501010001010100ba01
+0100140101120601011101120601011126010000020101000201010006010400030101000001020
+00001010001010000010100000201010002010000020101000101010000010000
+0101010001010000010101000101020004010000210101000801000009010100010102000801010
+00501010000010200020101000101010002010100010101000301010001010000
+0401010004010100010101000201010001010100080101000501010006010100010101000101010
+00001010000010100080101000301010001010100050100000401010001010100
+050101000a0101000101000002010100010101000601010001010100ba010300000101000001010
+00001010000010100000101000001010000010112060101110112060101112501
+0200000103000101010007010400030101000101010000010000040100000301030002010100030
+10100030102000301030005010200200101000701020009010200010101000601
+0300050102000001010000010200000103000201030005010200030105000301030002010200000
+10300060103000301040005010300020101000001010000010100080101000201
+030001010100030102000201030001010100040101000b010200040103000601030001010100b90
+10100140101120601011101120601011138010000030100001101000027010000
+2101000009010100900101000e0101000e010100e10101001401011206010111011206010111370
+10100020101005b01020009010100a1010100f201030000010100000101000001
+01000001010000010100000101000001011206010111011206010111380104005c0101000901010
+0a1010100f30101001401011206010111011206010111ff01ff01400101001401
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400101001401011206010111011
+206010111ff0164010000da0101001401011206010111011206010111d3010300
+2a010000150103000a0102001f01000017010000da0103000001010000010100000101000001010
+000010100000101000001011206010111011206010111d50101002a0100001401
+0100010101000a0101001e01020014010400d80101001401011206010111011206010111d501010
+02901010014010100010101000a0101001f010000140100000001000000010100
+d80101001401011206010111011206010111d501010029010100140101000e01010034010000010
+1000001010000d801030000010100000101000001010000010100000101000001
+010000010112060101110112060101119d010300110104000201010000010200090103000501010
+00501030002010000000101000001010003010300020101000001020002010600
+08010300040101000b0104000301030002010000000101000001010002010400030103000301010
+0000102000801010000010000db01010014010112060101110112060101119c01
+0100010101000f01010002010100020101000101010007010100010101000401010004010100010
+10100010101000001010000010100010101000101010002010100010101000301
+01000a0101000101010002010400080101000001020002010100010101000101010000010100000
+10100000101000201010004010100040101000101010007010300db0101001401
+011206010111011206010111a00101000f010100020101000201010001010100060101000201010
+00401010003010100020101000101010000010100000101000001010002010100
+0201010001010100030101000901010003010100020101000901010002010100010101000301010
+00001010000010100000101000001010002010100040101000401010001010100
+08010300da010300000101000001010000010100000101000001010000010100000101120601011
+10112060101119d01030013010300020101000101010006010600040101000301
+0600010101000001010000010100000106000201010001010100030101000901010003010100020
+10100090101000201010001010100030101000001010000010100000101000301
+030004010100040101000101010009010300d90116000112060101110112060101119b010100010
+10100110101000101010002010100010101000601010009010100030101000601
+0100000101000001010000010100070101000101010003010100090101000301010002010100090
+10100020101000101010003010100000101000001010000010100010101000101
+01000401010004010100010101000901000000010100d90116000112060101110112060101119a0
+10100020101001001010002010100020101000101010006010100090101000301
+0100060101000001010000010100000101000701010001010100030101000901010003010100020
+10100090101000201010001010100030101000001010000010100000101000001
+010002010100040101000401010001010100060100000101000001010000d901160001120601011
+10112060101119a01010001010200000100000301000009010100010102000201
+0100010101000701010002010000040101000401010002010000010101000001010000010100010
+10100020100000201010001010100030101000101000007010100010101000301
+01000a0101000001020002010100010101000101010000010100000101000001010001010200040
+101000401010001010100060101000001000000010000da011600011206010111
+0112060101119b01020001010100030102000901020001010100000102000001030007010300030
+10500030103000201010000010100000101000201030002010200000103000301
+020009010300030103000a010200000101000201030002010100000101000001010001010200010
+1010001010500010102000001030005010400db01160001120601011101120601
+0111a7010100b7010000dd011600011206010111011206010111a7010100b7010000dd011600011
+206010111011206010111a6010100ff0197011600011206010111011206010111
+ff01ff0140011600011206010111011206010111ff01ff014001020012010000011206010111011
+206010111ff01ff014001030010010100011206010111011206010111ff01ff01
+400104000e010200011206010111011206010111ff01ff01400105000c010300011206010111011
+206010111ff01ff01400106000a010400011206010111011206010111ff01ff01
+4001070008010500011206010111011206010111ff01ff014001080006010600011206010111011
+206010111ff01ff014001090004010700011206010111011206010111ff01ff01
+40010a0002010800011206010111011206010111ff01ff0140010b0000010900011206010111011
+206010111ff01ff0140011600011206010111011206010111ff01ff0140011600
+011206010111011206010111ff01ff0140011600011206010111011206010111ff00ff005700011
+206010111011206010111ff00ff005700011206010111011206010111ff01ff01
+40011600011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff0157010112060101110112060101119e010100210
+100007c0100008301040005010100840101120601011101120601011114010200
+01010200040100007a0103001f0101007b010100830104000401030083010112060101110112060
+101111501010002010100030102007a010100200101007b010100850102000501
+010084010112060101110112060101111501010002010000050100009d0102007a0102008501020
+08c01011206010111011206010111150101000201000077010300000100000201
+0400030104000001040000010200020104000201060001010200000103000001020001010100030
+1030003010300000100001c010100000103000201040002010200010101000201
+0400020100000001010000010100030103000201060003010300020102000101010002010300000
+100002f0104000001000002010300010103000001020003010300020102000101
+0100020104000501020003010400030103000001000003010300710101120601011101120601011
+11501010001010000030103000501030001010100040100000301030005010000
+0d01010001010100040103000201010002010100030103000401030014010600020104000201100
+0000106000101060001010200000103000001070001010500010106001c010700
+0001060001010700000106000101070001010500010106000201050001010700000106002e01070
+00101050000010800010105000101070000010600040102000301040002010600
+0201050070010112060101110112060101111501010001010000050101000301020001010100010
+10100020101000101020001010100030102000b01000000010000000103000201
+0100010101000001030000010300000102000101010001010200010101001301020000010200040
+10200020102000001030000010300000102000001010001010200020102000401
+02000101020001010600000102000101020000010200000102001c0103000001020000010100010
+10200020106000001010001010200010107000001020001010200010102000401
+0200010102000101060000010200000102002e01020000010300000102000101020000010300000
+10200000102000101020001010600000101000101020004010200050102000201
+02000001020001010200010102006f0101120601011101120601011115010100010100000401010
+0040101000201010001010100020101000101010002010000050100000e010200
+0001010006010100010100000001000000010000000101000001010002010100010101000201000
+01401030001010000040102000201020000010200010102000101020003010300
+0201020004010200010102000101030000010100000102000101020000010300010100001c01020
+00101020003010300020103000001010003010300010101000001010000010100
+0001020001010200010102000401020001010200010103000001010000010300010100002e01020
+00001020001010200010102000001020001010200000102000101020001010300
+00010100030103000401020005010200020103000101000001010200010102006f0101120601011
+10112060101111501010000010000050101000301010002010100020101000201
+0000030101001801010001010100030103000201000000010100010103000201010003010100180
+10400050102000201020000010200010102000101020001010500020102000401
+0200010102000101020004010700010104001d01020001010200010105000201020005010500010
+10100000101000001010000010700010102000401070001010200050104002f01
+0200000102000101070000010200010102000001070001010200050105000401020005010200030
+10400020107006f01011206010111011206010111150101000001000005010100
+0301040003010100010100000001000004010200150101000201000002010100010101000101010
+00001010000010100000104000601020015010000010103000401020003010400
+0201020001010200000102000001020002010200040102000101020001010200040102000501000
+0010103001c010200010102000001020000010200020102000401020000010200
+0101010000010100000101000001020006010200040102000601020004010000010103002f01040
+00201020005010200010102000001020006010200040102000001020004010200
+0501020002010000010103000101020074010112060101110112060101111501010000010000040
+10100040101000601010000010100000100000201000002010100140101000101
+0100010101000201010001010100000100000101010000010100070100000201010014010200000
+10200040102000201030004010200010102000001020000010200020102000001
+0100010102000001030001010200040103000101010000010200000102001c01020000010300000
+10200000102000201020004010200000102000101010000010100000101000001
+030001010100010102000001010001010300010101000101020004010200000102002e010300040
+10300010101000001020001010200000103000101010001010200040102000001
+02000401020005010200020102000001020001010300010101006f0101120601011101120601011
+11501020005010100010100000201010002010000010106000101010001010200
+040100000e010100010101000001020001010200000101000101000001010000020101000201000
+00101010001010200140106000201060000010600000103000001030000010700
+01010500010107000001040004010600000106001c0106000101070000010400030107000001010
+0000101000001010001010600010105000201060000010400030106002e010600
+02010a0000010300010106000001040003010700010106000101060000010600020106006f01011
+20601011101120601011115010100070102000401030003010100000101000301
+0300050102000c01010003010100010102000101010000010000040100000301030003010300160
+10000000103000301060001010a00000103000101020000010200020103000301
+030000010100000104000501040001010000000103001d010500030102000001020000010400040
+10200000102000001010000010100000101000201040003010300040104000101
+0400030100000001030030010600020104000001030000010300020104000101040004010200000
+10200010106000101060000010000000103000401040070010112060101110112
+06010111430100002601000037010200010102005a0102008301020001010200c00101120601011
+1011206010111a40107005a01020083010700c001011206010111011206010111
+a50105005a01040083010500c101011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111a70101000f010100ff019b01011206010111011206010111a6010300
+0d0103006a01020004010000100100005001020028010000190100007b010112060101110112060
+10111a70101000f0101006c010100030102000601000006010200500101002701
+02000f010000060102007a01011206010111011206010111ff01280101000401000007010000070
+10000510101002801000010010000070100007b01011206010111011206010111
+5301020000010300010103000001000002010400030104000001000002010300160103000201020
+00101010002010400030104000001000001010400010103000001020002010300
+00010000570101000d010100590101003a010100840101120601011101120601011153010200000
+10300000106000101060001010700010105001401050001010700010104000201
+0700010104000101080000010600390103000501020002010100010101000401010000010100020
+10300040105000201030006010200020101000101010004010300310101000001
+0100030103000401030004010300020101000101020002010300040101000001010003010500020
+10300060102000201010001010100680101120601011101120601011153010200
+0101020000010200000102000101010001010200010102000001030000010200010102001201020
+00101020001010600030102000201020000010300030102000201030000010200
+0001020000010200370102000101010002010100010101000001000000010000000103000201000
+00101020004010100050101000701010004010100010101000001000000010000
+0001030001010200010101002f01000001010200010102000101010001010200010101000101020
+00101010000010000000102000101010003010100030100000001010000010100
+0301010007010100040101000101010000010000000100000001030067010112060101110112060
+10111530102000101020000010300010100000401030001010200000102000101
+0200010102001201020001010200010103000001010003010200020102000001020004010200020
+10200010102000001030001010000370101000201000003010100010101000201
+0200000101000101010001010100040101000601010006010100050101000101010002010200000
+1010001010100020100002f010100010101000201010002010100010101000201
+0000020101000201000003010200010101000201010006010100000101000301010006010100050
+10100010101000201020000010100670101120601011101120601011153010200
+0101020001010400030105000101020000010200010107001201020001010200010102000701020
+00201020000010200040102000201020001010200010104003701010007010100
+0201010002010100010101000101010001010100040101000601010006010100040101000201010
+00201010001010100020101003201010001010100010101000201010003010100
+0401010008010100070101000601000001010100030101000601010004010100020101000201010
+00101010067010112060101110112060101115301020001010200000100000101
+0300010102000001020002010400020102001701020001010200010102000701020003010400050
+10200020102000101020000010000010103003601010007010100020101000101
+0100020100000101010002010100040101000501010007010100040101000201010001010100020
+10000040102002f01010002010100010104000601020002010100080101000701
+0100050101000101010002010100070101000401010002010100010101000201000068010112060
+10111001209115301020000010300000102000001020001010200000102000101
+0300040103000101010012010200010102000101020007010200020103000701020002010200010
+10200000102000001020036010100070101000101010002010100010101000101
+0100010101000401010006010100060101000501010001010100020101000101010002010000020
+101002e0101000101010002010100070100000201010001010100070101000701
+0100060101000001010003010100060101000501010001010100020101000101010068010112081
+10912001153010700000106000101070000010600020106001301050001010400
+040106000001060002010a000001030000010600370101000201000002010100010101000201010
+00101010000010200000102000001000002010100010100000301010001010000
+03010100010100000201010001010100020101000101010000010200010102002e0101000001020
+00001000001010100020100000101010001010200020101000201000002010100
+0701010001010000030101000001010003010100010100000301010001010000020101000101010
+00201010001010100000100006601091200110112060101115401030000010100
+0001000000010300030102000001020001010600020104001501030002010400040106000101060
+001010a0000010300000100000001030039010300040102000301010003010100
+0101020000010100040102000501020005010200040102000301010003010100010103003101020
+00001010003010300030103000501030003010100080102000301040005010200
+0501020004010200030101000301010067010112060101110112060101116e01020001010200360
+1020001010200ff010e01010090010112060101110112060101116e0107003601
+0700ff010e01010090010112060101110112060101116f01050038010500ff010e0103008f01011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff12ff12591206010111011206010011ff12ff125a120601011
+101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01
+ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e01001
+10012ff01ff012701001100121e01011101121e0100110012ff01ff0127010011
+00121e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0
+12701001100121e01011101121f110012ff11ff112811001220110012ff11ff11
+6c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matops.ps b/books/ps/h-matops.ps
new file mode 100644
index 0000000..2600416
--- /dev/null
+++ b/books/ps/h-matops.ps
@@ -0,0 +1,1332 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:18:06 1991
+%%Title: h-matops.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matops.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+002010400020107000201490035010000ff012801060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900330101000701000007010100020102002c010300
+1a010200050102000a0103002901000007010000270103004901060002010400020102000201030
+00201020004010100040102000201280000011d00011206010111011206010111
+050002010d0002010000020105000201070002014900320101000701010008010100020100002c0
+10100010101001801010000010100030100000101010008010100010101002801
+0000060102002501010001010100480106000201040002010200020103000201020004010100040
+102000201260004011b00011206010111011206010111050002010d0002010000
+020105000201070002014900310101000701020008010100020100002c010100010101001701010
+00201010002010000010101000701010003010100260101000701000026010100
+0101010048010600020104000201020002010300020102000b01020002012400080119000112060
+10111011206010111050002010e00040106000201070002014900300101000801
+020008010200010100002c0101001b0101000201010001010100020101000601010003010100260
+101002f0101004c01060002010400020102000201030002010200020100000301
+000002010200020122000c011700011206010111011206010111050008010800040106000201070
+00201490030010100070100000001010008010200010100000201040002010000
+0001010000010100030103000301030000010000080101000601030002010100000103000601020
+00101000002010100020101000601010003010100000101000001020004010300
+0201010000010300020104000201060002010300050103000201010000010200030103000001000
+0080101000401010000010300030103000201000000010100000101002e010600
+0a010200020103000201020002010000030100000201020007011b0010011500011206010111011
+2060101110500090108000201070002010700020149002f010100080100000001
+0100080100000001010000010000010101000201010001010100000101000001010001010100010
+10100010101000201010007010400030101000101010002010200010101000601
+0300030101000201010006010100030101000101020000010100020101000101010002010200010
+10100000101000201010003010100070101000401010001010100020101000101
+0100010101000201010007010400030102000101010001010100010101000101010000010100000
+101002d0106000a01020002010300020102000201010001010100020102000801
+1800140113000112060101110112060101110500090108000201070002010700020149002f01010
+00001020003010000010101000801000000010100000100000101010002010100
+0101010000010100000101000001010002010100010101000301000008010100040101000301010
+00101010002010100070102000301010002010100060101000301010001010100
+0201010000010100020101000201010002010100000101000201010003010100070101000301010
+00301010001010100010101000101010003010000080101000501010002010100
+00010100030101000001010000010100000101002d0106000a01020002010300020102000201010
+00101010002010200080116001801110001120601011101120601011105000201
+0e000401060002010700020149002f0102000101010002010000010101000801000001010200040
+1030001010100000101000001010000010600020102000b010100040101000301
+0100010101000c01030002010100020101000601010003010100010101000201010000010600020
+10100080103000301010007010100030101000301010001010100010101000201
+02000b0101000501010005010100030101000001010000010100000101002d01060002010400020
+1020002010300020102000201050002010200020121000e011600011206010111
+011206010111050002010e000401060002010700020149002f01010003010100000100000201010
+00801000001010200020101000101010001010100000101000001010000010100
+09010200090101000401010003010100010101000b0100000101020001010100020101000601010
+00301010001010100020101000001010007010100060101000101010003010100
+0701010003010100030101000101010001010100040102000901010005010100050101000301010
+00001010000010100000101002d01060002010400020102000201030002010200
+0201050002010200020121000e011600011206010111011206010111050002010d0002010000020
+1050002010700020149002f010100030101000001070006010000020101000101
+0100020101000101010000010100000101000001010006010000030101000801010004010100030
+10100010101000a01010002010100010101000201010006010100030101000101
+0100020101000001010007010100050101000201010003010100070101000301010003010100010
+10100010101000101000003010100080101000501010005010100030101000001
+010000010100000101002d010600020104000201020002010300020102000201050002010200020
+121000e011600011206010111011206010111050002010d000201000002010500
+02010700020149002f0101000301010004010100080100000201010001010100010102000101010
+00001010000010100010101000201000001010100020101000801010005010100
+01010100020101000a0101000201010002010100010100000801010001010100020101000101010
+00201010002010000020101000501010001010200030101000101000004010100
+0401010001010100020101000101010001010100020101000801010005010100060101000101010
+00101010000010100000101002d01060002010400020102000201030002010200
+0201050002010200020121000e011600011206010111011206010111050002010c0002010200020
+10400020107000201490030010100010101000501010007010200020100000201
+0200010101000001010000010100000101000201030002010000000103000801030005010300020
+10400080101000201010002010100010100000901030003010400040103000201
+0400040102000101010003010200030105000301030002010200000103000001000000010300080
+1030003010400050103000201010000010100000101002d010600020104000201
+020002010300020102000201050002010200020121000e011600011206010111011206010111050
+002010c0002010200020104000201070002014900310103000501030059010400
+0401020012010100a30106000201040002010200020103000201020002010500020102000201470
+0011206010111011206010111050002010b000201040002010300020107000201
+4900b9010100a301060002010400020102000201030002010200020105000201020002014700011
+20601011101120601011105000901040002010400020103000201070002014900
+b8010300a2010600020104000201020009010200020105000201020008014100011206010111011
+20601011105000a01020002010600020102000201070002014900ff015f010600
+0201040002010300080102000201050002010200090140000112060101110112060101110600090
+1030001010700010103000101080001014900ff015f0107000101050001010400
+060104000101060001010300080140000112060101110112060101117b00ff015f017b000112060
+101110112060101117b00ff015f017b000112060101110112060101117b00ff01
+5f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b00ff0
+15f017b000112060101110112060101117b00ff015f017b000112060101110112
+060101117b00ff015f017b000112060101110112060101117b00ff015f017b00011206010111011
+2060101117b006a0105002001000013010000040100001f010000100101000301
+0500040100006d017b000112060101110112060101117b006b010100010101001e0102001201000
+0030101000d0100000f0102000e0100000601010001010100040100006c017b00
+0112060101110112060101117b006b010100020101001e01000013010100020101000d010000100
+100000e0101000601010001010100040100006c017b0001120601011101120601
+01117b006b0101000201010033010100010101000d0101001f01010007010100010101000401010
+06b017b000112060101110112060101117b006b01010002010100020103000201
+0000000101000001010002010400030103000301010000010200080105000301030003010500010
+10100010102000201030004010100020101000101010006010100010101000501
+01006b017b000112060101110112060101117b006b0101000201010001010100010101000101010
+00001010000010100000101000201010004010100040101000101010006010600
+0201010001010100030101000301000000010200010101000301010003010000000101000001010
+0010101000701010001010100050101006b017b00011206010111011206010111
+7b006b0101000201010000010100030101000001010000010100000101000001010002010100040
+10100040101000101010006010000000102000001000006010100030101000501
+02000101010002010100060103000201010007010400060101006b017b000112060101110112060
+101117b006b010100020101000001010003010100000101000001010000010100
+0301030004010100040101000101010006010000010100000101000003010300040101000501010
+007010100070102000201010007010300060101006c017b000112060101110112
+060101117b006b01010002010100000101000301010000010100000101000001010001010100010
+10100040101000401010001010100060100000301000002010100010101000301
+0100060101000701010006010200030101000601010000010100060101006c017b0001120601011
+10112060101117b006b0101000201010000010100030101000001010000010100
+0001010000010100020101000401010004010100010101000501000004010000010101000201010
+00301010005010100070101000601010000010100020101000601010001010100
+040101006d017b000112060101110112060101117b006b010100010101000201010001010100010
+10100000101000001010000010100010102000401010004010100010101000501
+0000040100000101010001010200000100000101010001010000020101000701010001010000030
+100000101010000010000010100000601010001010100040101006d017b000112
+060101110112060101117b006a01050004010300020101000001010000010100010102000101010
+00101050001010200000103000401010002010200010102000101010003010200
+03010100080102000201010003010100020100000501030001010100020100006f017b000112060
+101110112060101117b00dd0100000d01010070017b0001120601011101120601
+01117b00ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060
+101117b00ff015f017b000112060101110112060101117b00ff015f017b000112
+060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b00011
+2060101110112060101117b00ff015f017b000112060101110112060101117b00
+ff015f017b00011206010111011206010111ff00ff005700011206010111011206010111ff00ff0
+05700011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff0140011600011206010111011206010111ff01ff01400116000112060101110112060
+10111ff01ff0140011600011206010111011206010111ff01ff0140010b000001
+0900011206010111011206010111ff01ff0140010a0002010800011206010111011206010111ff0
+1ff014001090004010700011206010111011206010111ff01ff01400108000601
+0600011206010111011206010111ff01ff014001070008010500011206010111011206010111ff0
+1ff01400106000a010400011206010111011206010111ff01ff01400105000c01
+0300011206010111011206010111ff01ff01400104000e010200011206010111011206010111ff0
+1ff014001030010010100011206010111011206010111ff01ff01400102001201
+0000011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff01400
+11600011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff01400116000112060101110112060101111701010000010100ac01040004010100040
+1040003010400050101009c01040005010000a601160001120601011101120601
+01111701010000010100ab010600020103000301040003010400040103009b01040004010100a60
+116000112060101110112060101111701010000010100ab010200000102000301
+01000601020005010200040103009d01020004010100a6011600011206010111011206010111150
+10600ab0102001001020005010200040103009d01020003010200a60116000112
+0601011101120601011115010600aa010500030104000501020005010200040103008a010200000
+10100020103000501020002010600a30116000112060101110112060101111601
+010000010100ab01050003010400050102000501020004010300890106000101050004010200020
+10600a30102000001010000010100000101000001010000010100000101000001
+00000112060101110112060101111601010000010100ac010200070102000501020005010200040
+10300880102000101020000010200010102000301020003010200a60116000112
+060101110112060101111601010000010100ac01020007010200050102000501020005010100890
+102000101020000010200010102000301020003010200a6010300000101000001
+010000010100000101000001010000010100000101120601011101120601011114010600ac01020
+00701020005010200050102000501010089010200010102000001070003010200
+03010200a6010200000101000001010000010100000101000001010000010100000100000112060
+1011101120601011114010600ac01020007010200050102000501020005010100
+8901020001010200000102000801020003010200a60116000112060101110112060101111501010
+000010100ad010200070102000501020005010200910103000001020000010300
+01010100030102000301020000010100a3010300000101000001010000010100000101000001010
+00001010000010112060101110112060101111501010000010100ac0104000401
+06000101060001010600030101008a010600010106000101060001010500a301020000010100000
+10100000101000001010000010100000101000001000001120601011101120601
+01111501010000010100ac010400040106000101060001010600020103008a01050002010400020
+1060002010300a40116000112060101110112060101111501010000010100d301
+01008e010200bd01030000010100000101000001010000010100000101000001010000010112060
+10111011206010111ff017f010200bd0102000001010000010100000101000001
+0100000101000001010000010000011206010111011206010111ff017e010300bd0116000112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400102000001010000010100000
+1010000010100000101000001010000010000011206010111011206010111ff01
+ff0140011600011206010111011206010111ff01ff0140010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111ff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+1ff01ff0140011600011206010111011206010111ff01ff014001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+10200000101000001010000010100000101000001010000010100000100000112
+06010111011206010111ff01ff0140011600011206010111011206010111c60103001a0101000d0
+102000001010028010000720100000e0104000501000007010100810103000001
+010000010100000101000001010000010100000101000001011206010111011206010111c601030
+0190103000b01060027010100710101000e010400040101000601030080010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+1c70102001a0101000c0102000001020027010100710101001001020004010100
+060103008001160001120601011101120601011117010100ad01020029010200010101002601020
+07001020010010200030102000601030080010300000101000001010000010100
+000101000001010000010100000101120601011101120601011116010300ac01060003010300020
+10200010101000201040002010700000102000101010003010300010103000001
+0200030102000001010001010400020106005301020000010100010103000001000003010300020
+10600030103000501020002010600030103008001020000010100000101000001
+0100000101000001010000010100000100000112060101110112060101111401010000010100000
+10100aa0107000101050001010700010104000201070000010200060105000001
+0800010106000001060001010600520106000001060002010500010106000201050004010200020
+1060003010300800116000112060101110112060101111401020001010200aa01
+0300000102000001020001010200010106000301020002010100010103000001020005010200010
+10200000103000001020000010300000102000001010001010200020102005401
+0200010102000001020000010200010102000101020001010200040102000101020003010200030
+10200060103008001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111140101000001010000010100aa010200010102000001020
+00101020001010300000101000301020002010000010103000101020005010200
+0101020000010200010102000001020002010100030103000201020054010200010102000001030
+00101000001010200010102000101020004010200010102000301020003010200
+0701010081010200000101000001010000010100000101000001010000010100000100000112060
+1011101120601011116010300ac01020001010200000102000101020001010200
+0701020004010300020102000501020001010200000102000101020000010200060105000201020
+05401020001010200010104000201070001010200040107000301020003010200
+07010100810116000112060101110112060101111501010001010100ab010200010102000001020
+00101020001010200070102000301030001010000000102000101010001010200
+0101020000010200010102000001020005010200000102000201020054010200010102000001000
+00101030001010200060102000401020008010200030102000701010081010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111140
+1020001010200aa01020001010200000102000101020001010200070102000201
+0300010101000001020001010100010102000101020000010200010102000001030001010100000
+10200000102000201020000010100510103000001020000010200000102000101
+0300010101000101020000010100010103000101010003010200030102000001010088010200000
+10100000101000001010000010100000101000001010000010000011206010111
+0112060101111501000003010000aa0103000001030001010500010104000401060000010700000
+10600020105000001030000010300010106000001070001010500520106000001
+0600020106000101050002010600010106000101050004010100810116000112060101110112060
+10111c60103000001030002010300020104000401060000010700010104000401
+0300010103000001030002010400020102000001020002010300540105000001000000010300040
+10400030103000401040002010600020103000401030080010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111ff017f010200390
+10100810102000001010000010100000101000001010000010100000101000001
+0000011206010111011206010111ff017f010200bd011600011206010111011206010111ff017e0
+10300bd0103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff0140010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111ff01ff014001020000010100000101000001
+010000010100000101000001010000010000011206010111011206010111ff01ff0140011600011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+ff01ff0140011600011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ca010100c701
+0300a70102000001010000010100000101000001010000010100000101000001000001120601011
+1011206010111c9010300c6010300a7011600011206010111011206010111ca01
+0100c8010200a701030000010100000101000001010000010100000101000001010000010112060
+101110112060101111701010006010100ff0172010200a7010200000101000001
+0100000101000001010000010100000101000001000001120601011101120601011116010300040
+10300a40104000101030000010200010102000101020002010300020102000101
+0100020103000001000003010300760102000101010002010400010103000001020001010200010
+10200a20116000112060101110112060101111401010000010100000101000001
+01000001010000010100a2010400010108000001020001010200010105000101070000010600020
+105007501070000010600000108000001020001010200a2010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111140102000101020
+00001020001010200a40102000201030000010200000102000101020000010200
+0101020001010600000102000001020001010200010102007501060000010100010102000101030
+0000102000001020000010200a301020000010100000101000001010000010100
+0001010000010100000100000112060101110112060101111401010000010100000101000001010
+00001010000010100a40102000201020001010200010102000001010001010200
+0101020001010300000101000001030001010000010102000101020075010300000101000301030
+0010102000101020000010500a401160001120601011101120601011116010300
+04010300a6010200020102000101020001010200000101000101070001010200050104000201070
+07501020005010500010102000101020000010400a50103000001010000010100
+0001010000010100000101000001010000010112060101110112060101111501010001010100020
+1010001010100a501020002010200010102000101040002010200060102000401
+000001010300010102007a010200040102000001020001010200010102000001020000010100a40
+10200000101000001010000010100000101000001010000010100000100000112
+0601011101120601011114010200010102000001020001010200a40102000201020001010200020
+10300020103000101010001010200040102000001020001010300010101007501
+0200040102000001020001010200010102000001020000010200a30116000112060101110112060
+1011115010000030100000201000003010000a3010a0000010300020102000401
+06000001040003010600020106007401040003010b00000103000001020001010200a2010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111c8010a00000103000201020005010400010104000301000000010300040104007501040
+00401020000010600000103000001020001010200a20102000001010000010100
+0001010000010100000101000001010000010000011206010111011206010111ff01ff014001160
+0011206010111011206010111ff01ff0140010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111ff01ff014001020000010100000
+10100000101000001010000010100000101000001000001120601011101120601
+0111ff01ff0140011600011206010111011206010111ff01ff01400103000001010000010100000
+101000001010000010100000101000001011206010111011206010111ff01ff01
+4001020000010100000101000001010000010100000101000001010000010000011206010111011
+206010111ff01ff0140011600011206010111011206010111ff01ff0140010300
+0001010000010100000101000001010000010100000101000001011206010111011206010111ff0
+1ff01400102000001010000010100000101000001010000010100000101000001
+0000011206010111011206010111ff01ff0140011600011206010111011206010111ff01ff01400
+10300000101000001010000010100000101000001010000010100000101120601
+0111011206010111ff01ff014001020000010100000101000001010000010100000101000001010
+000010000011206010111011206010111c8010400ff0172011600011206010111
+011206010111c80104001f010300ff014e010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ca0102001e010500ff014d010200
+0001010000010100000101000001010000010100000101000001000001120601011101120601011
+116010200b00102001d01020001010200ff014c01160001120601011101120601
+011116010200b001020004010300030103000001000002010300000100000101030000010200860
+1020001010100030103000201020001010200ab01030000010100000101000001
+0100000101000001010000010100000101120601011101120601011116010200b00102000301050
+00101060001010600020101000101020086010700010105000101020001010200
+ab01020000010100000101000001010000010100000101000001010000010000011206010111011
+20601011113010800ad0102000201020001010200000102000001020001010200
+00010200050102008801060000010200010102000001010003010100ab011600011206010111011
+20601011113010800ad0102000201020001010200000103000101000001010300
+010100000401020089010300000101000001020001010200000101000001010000010100ab01030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011113010800ad010200020107000101040003010400040102008a01020004010200010
+10200000101000001010000010100ab0102000001010000010100000101000001
+010000010100000101000001000001120601011101120601011116010200b001020002010200050
+10000010103000101000001010300040101008a01020004010200010102000001
+0700ab01160001120601011101120601011116010200b0010200020103000101010000010200000
+10200010102000001020091010200040102000101020000010700ab0103000001
+0100000101000001010000010100000101000001010000010112060101110112060101111601020
+0ae01060001010600000106000101060004010100890104000401050002010200
+00010100ac010200000101000001010000010100000101000001010000010100000100000112060
+10111011206010111c80106000201040001010000000103000201000000010300
+0401030088010400050103000301010001010100ac011600011206010111011206010111ee01010
+0ff014f0103000001010000010100000101000001010000010100000101000001
+011206010111011206010111ff01ff0140010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111ff01ff014001020000010100000101000001
+010000010100000101000001010000010000011206010111011206010111ff01ff0140011600011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+ff01ff0140011600011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111ff01ff0140011600011206010111011206010111c8010400050101000f01
+0000050105000301040001010400060101000f01000078010700080103000f01040080010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111c8010400040103000d010100040107000101060000010400050103000d0101007801070
+0080103000f010400800102000001010000010100000101000001010000010100
+0001010000010000011206010111011206010111ca010200050101000e010100040102000101020
+0010102000001020001010200070101000e010100790102000001020009010200
+1101020080011600011206010111011206010111ca0102001501020004010200010102000101020
+00501020017010200790102000101010009010200110102008001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ca010200030
+10400030103000001000001010600010102000101020000010500030102000501
+0400030103000001000001010600020103000001000051010200010101000301030002010200010
+10200010102000601020000010100000106000301030005010200040103000101
+0300000102006d01020000010100000101000001010000010100000101000001010000010000011
+206010111011206010111ca010200030104000201060001010600010102000101
+0200000105000301020005010400020106000101060001010600510107000101050001010200010
+10200010104000301060000010700010105000401020003010500000108006c01
+160001120601011101120601011114010700ad01020005010200020102000001020002010200040
+10200010102000101020005010200070102000201020000010200020102000401
+0200000102005201060000010200010102000001010003010100010104000201030000010200000
+10300000102000001020001010200030102000201020001010200000103000001
+02006c0103000001010000010100000101000001010000010100000101000001011206010111011
+20601011114010700ad0102000501020002010300010100000201020004010200
+0101020001010200050102000701020002010300010100000201020004010300010100005201030
+00001010000010200010102000001010000010100000101000101020004010200
+0201010000010200010102000001020001010200030102000201020001010200000102000101020
+06c01020000010100000101000001010000010100000101000001010000010000
+01120601011101120601011114010700ad010200050102000301040003010200040102000101020
+00101020005010200070102000301040003010200050104005301020004010200
+0101020000010100000101000001010001010200040102000501020001010200000107000301020
+0020102000101020000010200010102006c011600011206010111011206010111
+ca01020005010200020100000101030002010200040102000101020001010200050102000101010
+00301020002010000010103000201020004010000010103005201020004010200
+0101020000010700010102000101010000010200050102000101020000010200080102000201020
+00101020000010200010102006c01030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ca010200050102000201020000010200020
+10200000101000101020001010200010102000501020000010200030102000201
+0200000102000201020000010100010102000001020052010200040102000101020000010700010
+10200000102000001030001010100000102000101020000010300010101000301
+0200020102000101020000010200010102006c01020000010100000101000001010000010100000
+101000001010000010000011206010111011206010111c8010600010106000001
+0600020105000101070000010400030107000101060000010600020105000101060051010400040
+1050002010200000101000101070001010a000001030001010600010106000101
+050000010300000103006c011600011206010111011206010111c80106000101060000010000000
+10300040103000301050001010400030107000101060000010000000103000401
+0300020100000001030052010400050103000301010001010100010107000201040000010300000
+1030002010400020106000201030001010300000103006c010300000101000001
+0100000101000001010000010100000101000001011206010111011206010111ff01ff014001020
+00001010000010100000101000001010000010100000101000001000001120601
+0111011206010111ff01ff0140011600011206010111011206010111ff01ff01400103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111ff01ff014001020000010100000101000001010000010100000101000001010000010000011
+206010111011206010111ff01ff0140011600011206010111011206010111ff01
+ff01400103000001010000010100000101000001010000010100000101000001011206010111011
+206010111ff01ff01400102000001010000010100000101000001010000010100
+0001010000010000011206010111011206010111ff01ff014001160001120601011101120601011
+1ff01ff0140010300000101000001010000010100000101000001010000010100
+0001011206010111011206010111ff01ff014001020000010100000101000001010000010100000
+101000001010000010000011206010111011206010111ff01ff01400116000112
+06010111011206010111ff01ff01400103000001010000010100000101000001010000010100000
+1010000010112060101110112060101111a010100ff0179010400140101000301
+01000c0100001001010066010200000101000001010000010100000101000001010000010100000
+100000112060101110112060101111a010100ff01790104001401010003010100
+0b0101000f0103006501160001120601011101120601011119010200ff017b01020014010200010
+102000b0101001001010066010300000101000001010000010100000101000001
+010000010100000101120601011101120601011119010100ff017c01020014010200010102000a0
+10200790102000001010000010100000101000001010000010100000101000001
+000001120601011101120601011118010200ab01000000010100000101000201040002010100000
+103009a0103000001000003010200000101000101040005010200030104000201
+02000101010001010700010104000201060001010200010101000201040002010300000102005a0
+1160001120601011101120601011118010100ac01070000010600010107009801
+0600020106000001060004010200020106000101070000010700000106000101060001010700010
+1040002010200010102005a010300000101000001010000010100000101000001
+010000010100000101120601011101120601011117010200ac01070000010100010102000101030
+00001020098010200000102000101030000010200000101000101020004010200
+0201010001010200020106000001070000010100010102000201020005010600030102000301020
+0000101005b010200000101000001010000010100000101000001010000010100
+0001000001120601011101120601011117010100ad0101000001010000010100030103000101020
+00101020098010300010100000101020002010100030103000401020005010300
+0201030000010100000101000001010000010100030103000201020005010300000101000301020
+0040103005c01160001120601011101120601011116010200ad01010000010100
+0001010001010500010102000101020099010400020102000601050004010200030105000201020
+00401010000010100000101000101050002010200050102000701020004010300
+5c01030000010100000101000001010000010100000101000001010000010112060101110112060
+1011116010100ae01010000010100000101000001020000010200010102000101
+0200980100000101030001010200050102000001020004010200020102000001020002010200040
+10100000101000001010000010200000102000201020005010200070102000401
+03005c0102000001010000010100000101000001010000010100000101000001000001120601011
+101120601011115010200ae010100000101000001010000010200000102000101
+0200000103009801020000010200010103000101010000010200000102000401020002010200000
+10200020102000401010003010100000102000001020002010200000101000201
+02000701020003010100000102005b01160001120601011101120601011115010100af010100000
+10100000101000001070000010600990106000201060000010700010106000001
+07000001040003010200010102000001070001010500010104000401060000010200010102005a0
+10300000101000001010000010100000101000001010000010100000101120601
+011101120601011114010200af01010000010100000101000101020000010200000105009a01000
+00001030004010400020102000001020001010600010102000001020000010400
+0301020001010200010102000001020002010300020104000401060000010200000103005a01020
+00001010000010100000101000001010000010100000101000001000001120601
+011101120601011114010100c2010200ff0163011600011206010111011206010111d9010200ff0
+16301030000010100000101000001010000010100000101000001010000010112
+06010111011206010111d8010400ff0162010200000101000001010000010100000101000001010
+00001010000010000011206010111011206010111ff01ff014001160001120601
+0111011206010111ff01ff014001030000010100000101000001010000010100000101000001010
+00001011206010111011206010111ff01ff014001020000010100000101000001
+010000010100000101000001010000010000011206010111011206010111ff01ff0140011600011
+206010111011206010111ff01ff01400103000001010000010100000101000001
+010000010100000101000001011206010111011206010111ff01ff0140010200000101000001010
+00001010000010100000101000001010000010000011206010111011206010111
+ff01ff0140011600011206010111011206010111ff01ff014001030000010100000101000001010
+00001010000010100000101000001011206010111011206010111ff01ff014001
+0200000101000001010000010100000101000001010000010100000100000112060101110112060
+10111e5010100a701000005010200000101000b010400200101006f0116000112
+06010111011206010111e4010300a5010100040106000b0104001f0103006e01030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+e4010300a501010004010200000102000d0102001f0103006e01020000010100000101000001010
+000010100000101000001010000010000011206010111011206010111e4010300
+a401020004010200010101000d0102001f0103006e011600011206010111011206010111c701000
+00001010000010100020104000201010000010300030103009201030000010000
+0301030002010600010102000101010003010300050102000201020000010300000100000001010
+0000101000001030000010200030103006e010300000101000001010000010100
+000101000001010000010100000101120601011101120601011114010700aa01070000010600010
+10700020103009101060002010500010106000101020006010500040102000201
+02000001030000011000020103006e0102000001010000010100000101000001010000010100000
+101000001000001120601011101120601011114010700aa010700000101000101
+0200010103000001020002010300910102000001020001010200010102000101020004010200050
+10200010102000301020002010200010102000001070000010300000102000201
+03006e011600011206010111011206010111c701010000010100000101000301030001010200010
+10200030101009201030001010000010102000101020001010200040102000501
+0200010102000301020002010200010102000001010000010100000101000001020001010200030
+101006f0103000001010000010100000101000001010000010100000101000001
+01120601011101120601011114010700aa010100000101000001010001010500010102000101020
+00301010093010400020107000101020004010200050102000101020003010200
+02010200010102000001010000010100000101000001020001010200030101006f0102000001010
+00001010000010100000101000001010000010100000100000112060101110112
+0601011114010700aa0101000001010000010100000102000001020001010200010102000301010
+09201000001010300010102000601020004010200010101000101020001010200
+0301020002010200010102000001010000010100000101000001020001010200030101006f01160
+0011206010111011206010111c701010000010100000101000001020000010200
+0101020000010300980102000001020001010300010101000101020000010100010102000101010
+00101020001010200030102000201020000010300000101000001010000010100
+0001020001010200750103000001010000010100000101000001010000010100000101000001011
+206010111011206010111c7010100000101000001010000010700000106000401
+0100920106000201060001010500010106000201050002010600000107000001010000010100000
+1050000010300030101006f010200000101000001010000010100000101000001
+01000001010000010000011206010111011206010111c7010100000101000001010001010200000
+10200000105000401030091010000000103000401040003010300030104000401
+030003010600010103000001010000010100000101000001050000010300020103006e010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111d901020008010100e60101006f0101001401011206010111011206010111d9010200ff0
+1630101001401011206010111011206010111d8010400ff016201030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff0140010300000101000001010000010100000101000001010000010100000
+1011206010111011206010111ff01ff0140010100140101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010300000101000001010
+0000101000001010000010100000101000001011206010111011206010111ff01
+ff01400101001401011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111290100000701010033010000100101005f0100001001010
+09e01000003010700160101008a01010014010112060101110112060101112801
+010006010300310101000f0103000d0103004b0101000f0103009c0101000301080014010300890
+10100140101120601011101120601011128010100070101003201010010010100
+0d0105004a010100100101009d01010004010200010102001401030089010300000101000001010
+00001010000010100000101000001010000010112060101110112060101112701
+02003b0102001f0102000101020048010200af01020004010200010102001401030089010100140
+10112060101110112060101111501040001010300000102000101060002010400
+0301030000010000010103000001020000010000000101000001010001010000000101000001010
+00301030002010600010102000101010002010400040102000001010000010300
+0001020035010000000101000001010002010400020106000101020001010100020104000201030
+0000102007e010300000100000301030002010600010102000001020003010300
+0201020001010200020103008901010014010112060101110112060101111401060000010800000
+10600020104000201060001010300000102000001070000010700010105000101
+0600010107000101040003010600010101000101020035010700000106000101060001010700010
+1040002010200010102007d010600020105000101060001010500030105000101
+0200010102000201030089010300000101000001010000010100000101000001010000010100000
+10112060101110112060101111401010001010200010103000001020001010200
+0701020002010200000102000101020001010200000107000001070000010200010102000101020
+00501060003010200020103000001020004010200360107000001010001010200
+02010200050106000301020003010200000101007e0102000001020001010200010102000101020
+00401050002010200010102000001010003010100020103008901010014010112
+0601011101120601011117010300010102000101020001010200070102000201030001010000020
+10200000101000101010000010100000101000001010000010100000101000001
+0200010102000101020005010300000101000301020002010200020101000301020037010100000
+10100000101000301030002010200050103000001010003010200040103007f01
+0300010100000101020001010200010102000401020000010200010102000101020000010100000
+1010000010100030101008a010100140101120601011101120601011115010500
+0101020001010200010102000701020003010400030105000101010000010100000101000001010
+00001010000010100000107000101020005010200070102000201020007010200
+3801010000010100000101000101050002010200050102000701020004010300800104000201070
+00101020004010200000102000101020001010200000101000001010000010100
+030101008a010300000101000001010000010100000101000001010000010100000101120601011
+10112060101111401020000010200010102000101020001010200070102000201
+0000010103000301030002010100000101000001010000010100000101000001010000010200060
+10200050102000701020002010200080101003801010000010100000101000001
+020000010200020102000501020007010200040103007f010000010103000101020006010200040
+1020000010200010102000101020000010700030101008a010100140101120601
+0111011206010111140102000001020001010200010102000101020000010100040102000201020
+00001020003010300020101000001010000010100000101000001010000010100
+00010300010101000101020000010100020102000701020002010300010101003e0101000001010
+00001010000010200000102000201020000010100020102000701020003010100
+000102007e010200000102000101030001010100010102000001010001010200010102000001020
+0010102000001070090010100140101120601011101120601011114010b000001
+0300010105000201060000010600040101000301010000010100000101000001010000010100000
+10100010106000101050001010400040106000101060003010100380101000001
+0100000101000001070001010500010104000401060000010200010102007d01060002010600010
+105000001030001010200010105000201020000010100040101008a0103000001
+0100000101000001010000010100000101000001010000010112060101110112060101111501020
+00001060000010300020103000301060000010000000103000401020003010100
+0001010000010100000101000001010000010100020104000301030002010400040106000201040
+00301030037010100000101000001010001010200000102000201030002010400
+0401060000010200000103007d01000000010300040104000301030001010300010102000201030
+00301010001010100030103008901010014010112060101110112060101114201
+020046010100ff01240101008a010100140101120601011101120601011141010300ff01fa01030
+00001010000010100000101000001010000010100000101000001011206010111
+01120601011141010200ff01fb0101001401011206010111011206010111ff01ff0140010100140
+1011206010111011206010111ff01ff0140010300000101000001010000010100
+0001010000010100000101000001011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff01400101001401011206010111011206010111ff01
+ff01400103000001010000010100000101000001010000010100000101000001011206010111011
+206010111ff01ff01400101001401011206010111011206010111ff01ff014001
+01001401011206010111011206010111ff01ff01400103000001010000010100000101000001010
+000010100000101000001011206010111011206010111ff01ff01400101001401
+011206010111011206010111e3010200000101000b010400020106000e010300770100000e01040
+00501000094010100140101120601011101120601011131010300ac0106000b01
+0400020106000e010300760101000e0104000401010094010300000101000001010000010100000
+101000001010000010100000101120601011101120601011130010500ab010200
+000102000d010200040102001101020076010100100102000401010094010100140101120601011
+10112060101112f01020001010200aa010200010101000d010200040102001101
+0200750102001001020003010200940101001401011206010111011206010111150104000101030
+000010200010103000001020000010300000102008f0100000001010000010100
+0201040002010300000102000001020001010100030103000501020004010200020103000001020
+00301050002010300020103000001020051010300000100000301030002010600
+0301030005010200020106009101030000010100000101000001010000010100000101000001010
+00001011206010111011206010111140106000001080000010300000102000101
+0100010102008f01070000010600010102000101020000010200060105000401020004010200020
+10800010106000101050001010200010102005001060002010500010106000201
+0500040102000201060091010100140101120601011101120601011114010100010102000101030
+00001020000010200010102000401020090010700000101000101020002010200
+0001010001010200050102000101020003010200040102000301030000010200000102000001030
+00001020001010200010102000001010051010200000102000101020001010200
+0101020004010200010102000301020003010200940101001401011206010111011206010111170
+10300010102000101020001010200000101000401020091010100000101000001
+0100030103000301030002010200050102000101020003010200040102000301020001010200000
+10200010102000001020001010200020103005201030001010000010102000101
+0200010102000401020001010200030102000301020094010300000101000001010000010100000
+10100000101000001010000010112060101110112060101111501050001010200
+0101020001010500030102009201010000010100000101000101050003010300020102000501020
+00101020003010200040102000301020001010200000102000101020000010700
+0201030053010400020107000101020004010700030102000301020094010100140101120601011
+10112060101111401020000010200010102000101020002010300050101009201
+0100000101000001010000010200000102000301030002010200010101000101020001010200030
+10200040102000301020001010200000102000101020000010200070103005201
+0000010103000101020006010200040102000801020003010200940101001401011206010111011
+20601011114010200000102000101020001010200020103009a01010000010100
+0001010000010200000102000201010000010200010102000101010001010200010102000301020
+00401020003010200010102000001020001010200000103000101010001010100
+0001020051010200000102000101030001010100010102000001010001010300010101000301020
+00301020000010100910103000001010000010100000101000001010000010100
+00010100000101120601011101120601011114010b0000010300030101000601010092010100000
+10100000101000001070000010200010102000001060002010500020106000001
+0600000103000001030001010600010106000001020001010200500106000201060001010500020
+10600010106000101050091010100140101120601011101120601011115010200
+0001060000010300020102000501030091010100000101000001010001010200000102000001020
+00001030001010400040103000301060000010600000103000001030002010200
+0001010002010400010102000001030050010000000103000401040003010300040104000201060
+0020103009201010014010112060101110112060101112701020007010100ff01
+ff010b0103000001010000010100000101000001010000010100000101000001011206010111011
+20601011126010300ff01ff011501010014010112060101110112060101112601
+0200ff01ff01160101001401011206010111011206010111ff01ff0140010300000101000001010
+0000101000001010000010100000101000001011206010111011206010111ff01
+ff01400101001401011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400101001401011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400101001401011206010111
+011206010111e1010700130106000e010300770100001501030005010100030101000c010000100
+101000f0101005401030000010100000101000001010000010100000101000001
+01000001011206010111011206010111e1010800120106000e01030076010100150103000501010
+0030101000b0101000f0103000d01030053010100140101120601011101120601
+0111e2010200010102001401020011010200760101001601020005010200010102000b010100100
+101000e010300530101001401011206010111011206010111e201020001010200
+1401020011010200750102001601020005010200010102000a01020021010300530103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+01111601020000010100020103000401030002010200010101000301020000010100020103007f0
+10000000101000001010002010400020103000001020000010200000102000301
+0300020102000101020002010200020103000001020003010500020103000201030000010200510
+10300000100000301030002010600020103000001000001010200000103000001
+0500020107000101040002010600010102000101010002010400020103000001020002010300530
+10100140101120601011101120601011115010600010105000201050001010700
+01010600010105007e0107000001060001010200010102000001050003010500010102000101020
+00201020002010800010106000101050001010200010102005001060002010500
+0101060001010600010102000001030000010600010107000001060001010600010107000101040
+00201020001010200020103005301010014010112060101110112060101111401
+0300000102000001020001010200000102000101020001010600000103000001020000010200010
+102007d0107000001010001010200020102000001010001010500020102000101
+0200000101000301010002010200030103000001020000010200000103000001020001010200010
+10200000101005101020000010200010102000101020001010200040102000001
+0200010102000101020000010300000102000001070000010100010102000201020005010600030
+10200030102000001010003010300530103000001010000010100000101000001
+0100000101000001010000010112060101110112060101111401020002010100000102000101020
+00001020001010200010103000001010000010200020101000001020001010200
+7d01010000010100000101000301030003010300020102000001020001010200010102000001010
+00001010000010100020102000301020001010200000102000101020000010200
+0101020002010300520103000101000001010200010102000101020004010300010100000101020
+00101020000010200010102000001010000010100000101000301030002010200
+0501030000010100030102000401030005010100540101001401011206010111011206010111140
+102000501020001010200000107000101020004010200050107007d0101000001
+0100000101000101050003010300020102000001020001010200010102000001010000010100000
+10100020102000301020001010200000102000101020000010700020103005301
+0400020107000101020005010400020102000101020000010200010102000001010000010100000
+10100010105000201020005010200070102000401030005010100540101001401
+0112060101110112060101111401020005010200010102000001020006010200040102000501020
+08201010000010100000101000001020000010200030103000201020000010200
+0101020001010200000107000201020003010200010102000001020001010200000102000701030
+05201000001010300010102000601020004010000010103000101020001010200
+0001020001010200000101000001010000010100000102000001020002010200050102000701020
+00401030005010100540103000001010000010100000101000001010000010100
+0001010000010112060101110112060101111401030001010100000102000101020000010300010
+1010001010200040103000101010000010300010101007d010100000101000001
+0100000102000001020002010100000102000101020001010200000102000101020000010700020
+10200030102000101020000010200010102000001030001010100010101000001
+0200510102000001020001010300010101000101020000010100010102000001020001010200000
+10300000102000101020000010100030101000001020000010200020102000001
+0100020102000701020003010100000102005b01010014010112060101110112060101111501060
+001010500020106000001040004010600010106007d0101000001010000010100
+0001070000010200010106000101020001010500020102000001010001010600000103000001030
+00101060001010600000102000101020050010600020106000101050001010600
+0101070000010600010102000101020000010700010105000101040004010600000102000101020
+00301010054010100140101120601011101120601011116010400030103000401
+04000101040005010400030104007e0101000001010000010100010102000001020000010200000
+10700010102000201030003010100010101000101060000010300000103000201
+0200000101000201040001010200000103005001000000010300040104000301030002010000000
+10300030103000001010000010100000102000201020001010200010102000001
+0200020103000201040004010600000102000001030002010300530103000001010000010100000
+101000001010000010100000101000001011206010111011206010111ff01e901
+0100540101001401011206010111011206010111ff01ff014001010014010112060101110112060
+10111ff01ff014001030000010100000101000001010000010100000101000001
+01000001011206010111011206010111ff01ff01400101001401011206010111011206010111ff0
+1ff01400101001401011206010111011206010111ff01ff014001030000010100
+00010100000101000001010000010100000101000001011206010111011206010111ff01ff01400
+101001401011206010111011206010111ff01ff01400101001401011206010111
+011206010111ff01ff0140010300000101000001010000010100000101000001010000010100000
+1011206010111011206010111ff01ff0140010100140101120601011101120601
+0111ff01ff01400101001401011206010111011206010111ff01ff0140010300000101000001010
+00001010000010100000101000001010000010112060101110112060101112701
+0400b4010300a0010100b7010100140101120601011101120601011127010400b40103001901030
+081010300160103009b010100140101120601011101120601011129010200b501
+02001801050081010100160105009a0103000001010000010100000101000001010000010100000
+10100000101120601011101120601011129010200b50102001701020001010200
+9801020001010200990101001401011206010111011206010111160102000001010002010300050
+10200020102000001030000010000000101000001010000010300000102007e01
+0000000101000001010003010300020100000001010000010100010105000401030002010200010
+10100010103000001020075010300000100000201040002010700020103000201
+0300000102009901010014010112060101110112060101111501060001010500040102000201020
+000010300000110007d0107000101050001010700000106000201050001010700
+0101010001010200740106000201040002010700010105000201010001010200990103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+0111140103000001020000010200010102000301020002010200010102000001070000010300000
+102007d0107000001020001010200000107000001030000010200000102000101
+0200010106000401020075010200000102000401020002010100010103000001020001010200040
+102009a0101001401011206010111011206010111140102000201010000010200
+0101020003010200020102000101020000010100000101000001010000010200010102007d01010
+00001010000010100000102000101020000010100000101000001010000010200
+0101020000010200010102000101030000010100030102007601030001010000040102000201000
+0010103000101020001010200030102009b010100140101120601011101120601
+0111140102000501020001010200030102000201020001010200000101000001010000010100000
+10200010102007d01010000010100000101000001070000010100000101000001
+0100000102000101020000010700010102000601020078010400050102000401030002010700020
+102009c0103000001010000010100000101000001010000010100000101000001
+0112060101110112060101111401020005010200010102000301020002010200010102000001010
+0000101000001010000010200010102007d010100000101000001010000010200
+0501010000010100000101000001020001010200000102000601020007010100770100000101030
+004010200030103000101000000010200080101009c0101001401011206010111
+0112060101111401030001010100000102000101020003010200020102000001030000010100000
+101000001010000010200010102007d0101000001010000010100000103000101
+0100000101000001010000010100000102000101020000010300010101000101020081010200000
+102000401020002010300010101000001030001010100a2010100140101120601
+0111011206010111150106000101050002010600000107000001010000010100000105000001030
+07d01010000010100000101000101060000010100000101000001010000010600
+02010600000104000601010077010600020106000001070001010600030101009c0103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+01111601040003010300030106000101030000010100000101000001010000010500000103007d0
+10100000101000001010002010400010101000001010000010100000101000001
+02000401040001010400050103007601000000010300030106000001070002010400030103009b0
+101001401011206010111011206010111ff01000101009e0101009c0101001401
+011206010111011206010111ff01ff0140010300000101000001010000010100000101000001010
+0000101000001011206010111011206010111ff01ff0140010100140101120601
+0111011206010111ff01ff01400101001401011206010111011206010111ff01ff0140010300000
+10100000101000001010000010100000101000001010000010112060101110112
+06010111ff01ff01400101001401011206010111011206010111ff01ff014001010014010112060
+10111011206010111ff01ff014001030000010100000101000001010000010100
+00010100000101000001011206010111011206010111ff01ff01400101001401011206010111011
+206010111ff01ff01400101001401011206010111011206010111ff01ff014001
+0300000101000001010000010100000101000001010000010100000101120601011101120601011
+1ff01ff01400101001401011206010111011206010111e1010300ff015a010100
+1401011206010111011206010111e1010300cc01030089010300000101000001010000010100000
+1010000010100000101000001011206010111011206010111e2010200cb010500
+880101001401011206010111011206010111e2010200ca010200010102008701010014010112060
+10111011206010111160102000001010002010300020101000001030001010300
+000102008f010000000101000001010003010300020100000001010000010100010105000401030
+00201020001010100020103000001000076010300000100000301020000010100
+0001020000010300010104000201020001010100030103000201030000010200870103000001010
+00001010000010100000101000001010000010100000101120601011101120601
+011115010600010105000101070000010300000102008f010700010105000101070000010600020
+10500010107000001060075010600020106000001020000010300000106000101
+0700010105000201010001010200870101001401011206010111011206010111140103000001020
+00001020001010200000103000001020000010200010102008f01070000010200
+0101020000010700000103000001020000010200010102000101060000010200000102007501020
+00001020001010200010102000001020001010200000101000101020002010600
+0001020001010200040102008801010014010112060101110112060101111401020002010100000
+10200010102000001020001010200010102000001010090010100000101000001
+0100000102000101020000010100000101000001010000010200010102000001020001010200010
+10300000101000001030001010000750103000101000001010200010102000001
+0200010102000301030002010300000101000001020001010200030102008901030000010100000
+10100000101000001010000010100000101000001011206010111011206010111
+1401020005010200010102000001020001010200010105009001010000010100000101000001070
+00001010000010100000101000001020001010200000107000101020005010400
+7701040002010200010102000001020001010200010105000201020004010700020102008a01160
+00112060101110112060101111401020005010200010102000001020001010200
+0201030091010100000101000001010000010200050101000001010000010100000102000101020
+00001020006010200040100000101030075010000010103000101020001010200
+000102000101020000010200000102000201020004010200080101008a011600011206010111011
+20601011114010300010101000001020001010200000102000001030002010300
+9101010000010100000101000001030001010100000101000001010000010100000102000101020
+00001030001010100010102000401020000010200750102000001020001010300
+0001020000010200000103000001020000010200020102000401030001010100900116000112060
+10111011206010111150106000101050001010600040101009201010000010100
+0001010001010600000101000001010000010100000106000201060000010400030106007501060
+00201060000010700000107000001040004010600030101008a01160001120601
+0111011206010111160104000301030002010500040102009201010000010100000101000201040
+00101010000010100000101000001010000010200040104000101040003010000
+0001030076010000000103000401050001010300000101000101020000010200000104000501040
+003010300890116000112060101110112060101112601020006010200ff015401
+0200270101008a0116000112060101110112060101112601020005010300ff0154010200b401160
+00112060101110112060101112501040004010200ff0154010300b40116000112
+06010111011206010111ff01ff0140011600011206010111011206010111ff01ff0140010200120
+10000011206010111011206010111ff01ff014001030010010100011206010111
+011206010111ff01ff01400104000e010200011206010111011206010111ff01ff01400105000c0
+10300011206010111011206010111ff01ff01400106000a010400011206010111
+011206010111ff01ff014001070008010500011206010111011206010111ff01ff0140010800060
+10600011206010111011206010111ff01ff014001090004010700011206010111
+011206010111ff01ff0140010a0002010800011206010111011206010111ff01ff0140010b00000
+10900011206010111011206010111ff01ff014001160001120601011101120601
+0111ff01ff0140011600011206010111011206010111ff01ff01400116000112060101110112060
+10111ff00ff005700011206010111011206010111ff00ff005700011206010111
+011206010111ff01ff0140011600011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01c80175001801011206010111011206010111ff01c801750018010112060
+101110112060101119e010100210100007c0100004e0104000401010004010400
+050100001a01750018010112060101110112060101111401020001010200040100007a0103001f0
+101007b0101004d0106000201030003010400040101001a017500180101120601
+01110112060101111501010002010100030102007a010100200101007b0101004d0102000001020
+00301010006010200040101001a01750018010112060101110112060101111501
+010002010000050100009d0102007a0102004d01020010010200030102001a01750018010112060
+10111011206010111150101000201000077010300000100000201040003010400
+0001040000010200020104000201060001010200000103000001020001010100030103000301030
+0000100001c010100000103000201040002010200010101000201040002010000
+0001010000010100030103000201060003010300020102000101010002010300000100002e01050
+00301040005010200020106000301030002010200010101000501750018010112
+0601011101120601011115010100010100000301030005010300010101000401000003010300050
+100000d0101000101010004010300020101000201010003010300040103001401
+06000201040002011000000106000101060001010200000103000001070001010500010106001c0
+10700000106000101070000010600010107000101050001010600020105000101
+0700000106002e01050003010400050102000201060002010500010107000401750018010112060
+10111011206010111150101000101000005010100030102000101010001010100
+020101000101020001010100030102000b010000000100000001030002010100010101000001030
+00001030000010200010101000101020001010100130102000001020004010200
+0201020000010300000103000001020000010100010102000201020004010200010102000101060
+0000102000101020000010200000102001c010300000102000001010001010200
+0201060000010100010102000101070000010200010102000101020004010200010102000101060
+000010200000102002f0102000701020005010200030102000401020001010200
+0101060004017500180101120601011101120601011115010100010100000401010004010100020
+1010001010100020101000101010002010000050100000e010200000101000601
+0100010100000001000000010000000101000001010002010100010101000201000014010300010
+10000040102000201020000010200010102000101020003010300020102000401
+0200010102000101030000010100000102000101020000010300010100001c01020001010200030
+10300020103000001010003010300010101000001010000010100000102000101
+0200010102000401020001010200010103000001010000010300010100002f01020007010200050
+10200030102000401020001010200010103000001010004017500180101120601
+0111011206010111150101000001000005010100030101000201010002010100020100000301010
+01801010001010100030103000201000000010100010103000201010003010100
+1801040005010200020102000001020001010200010102000101050002010200040102000101020
+00101020004010700010104001d01020001010200010105000201020005010500
+0101010000010100000101000001070001010200040107000101020005010400300102000701020
+00501020003010200040107000101020008017500180101120601011101120601
+0111150101000001000005010100030104000301010001010000000100000401020015010100020
+10000020101000101010001010100000101000001010000010400060102001501
+0000010103000401020003010400020102000101020000010200000102000201020004010200010
+10200010102000401020005010000010103001c01020001010200000102000001
+0200020102000401020000010200010101000001010000010100000102000601020004010200060
+1020004010000010103002f010200070102000501020003010200040102000601
+0200080175001801011206010111011206010111150101000001000004010100040101000601010
+00001010000010000020100000201010014010100010101000101010002010100
+0101010000010000010101000001010007010000020101001401020000010200040102000201030
+00401020001010200000102000001020002010200000101000101020000010300
+01010200040103000101010000010200000102001c0102000001030000010200000102000201020
+00401020000010200010101000001010000010100000103000101010001010200
+0001010001010300010101000101020004010200000102002f01020007010200050102000301020
+00001010001010300010101000101020008017500180101120601011101120601
+01111501020005010100010100000201010002010000010106000101010001010200040100000e0
+10100010101000001020001010200000101000101000001010000020101000201
+0000010101000101020014010600020106000001060000010300000103000001070001010500010
+107000001040004010600000106001c0106000101070000010400030107000001
+0100000101000001010001010600010105000201060000010400030106002e01040004010600010
+10600010105000201060000010400070175001801011206010111011206010111
+150101000701020004010300030101000001010003010300050102000c010100030101000101020
+00101010000010000040100000301030003010300160100000001030003010600
+01010a0000010300010102000001020002010300030103000001010000010400050104000101000
+0000103001d010500030102000001020000010400040102000001020000010100
+00010100000101000201040003010300040104000101040003010000000103002f0104000401060
+00101060002010300040104000101040007017500180101120601011101120601
+0111430100002601000037010200010102005a010200bd017500180101120601011101120601011
+1a40107005a010200bd0175001801011206010111011206010111a50105005a01
+0400bc0175001801011206010111011206010111ff01c8017500180101120601011101120601011
+1ff01c80175001801011206010111011206010111ff01c8010400080167001801
+011206010111011206010111ff01c8010400080167001801011206010111011206010111ff01c80
+175001801011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111a70101000f0101006a01030003010100
+06010000070101004f010300270101000f010000070101007b01011206010111011206010111a60
+103000d010300690103000201030004010100060103004e010300260103000d01
+0100060103007a01011206010111011206010111a70101000f0101006b010200030101000501010
+00701010050010200270101000e010100070101007b0101120601011101120601
+0111ff01270102000a0102005a01020037010200850101120601011101120601011153010200000
+10300010103000001000002010400030104000001000002010300160103000201
+0200010101000201040003010400000100000101040001010300000102000201030000010000390
+10200000101000201030001010300000102000301050001010400020106000201
+0400040103000101030000010200020103000001000030010500020103000301030000010000030
+10200000101000001020001010100020104000201010000010300010106000201
+0400040103000101030000010200670101120601011100120911530102000001030000010600010
+10600010107000101050014010500010107000101040002010700010104000101
+0800000106003801060001010500000108000101060001010400020106000201040003010500000
+10800000106002f01060001010500010106000201060000010700010104000201
+0700000106000201040003010500000108006601011208110912001153010200010102000001020
+00001020001010100010102000101020000010300000102000101020012010200
+0101020001010600030102000201020000010300030102000201030000010200000102000001020
+03701030000010200000102000101020000010300000102000001020000010300
+0301020003010200070102000201020001010200000103000001020000010200000102002e01020
+00001030000010200010102000001020000010200010103000001020001010600
+0301020002010300000102000101020007010200020102000101020000010300000102006601091
+20011011206010111530102000101020000010300010100000401030001010200
+0001020001010200010102001201020001010200010103000001010003010200020102000001020
+00401020002010200010102000001030001010000370102000201010000010200
+0101020000010200010102000001020001010200030102000301020007010200020102000101020
+0000102000101020000010300010100002e010200010102000001020001010200
+0001030001010000010102000201010001010300000101000301020002010200010102000101020
+00701020002010200010102000001020001010200660101120601011101120601
+0111530102000101020001010400030105000101020000010200010107001201020001010200010
+10200070102000201020000010200040102000201020001010200010104003801
+0200050102000101020000010200010102000001020001010200030102000301020007010200020
+10200010102000001020001010200010104002f01020001010200000107000101
+0400020102000601020007010200020102000101020001010200070102000201020001010200000
+10200010102006601011206010111011206010111530102000101020000010000
+0101030001010200000102000201040002010200170102000101020001010200070102000301040
+00501020002010200010102000001000001010300370102000501020001010200
+0001020001010200000102000101020003010200030102000701020002010200010102000001020
+00101020000010000010103002e01020001010200000102000501000001010300
+0101020006010200070102000201020001010200010102000701020002010200010102000001020
+00101020066010112060101110112060101115301020000010300000102000001
+0200010102000001020001010300040103000101010012010200010102000101020007010200020
+10300070102000201020001010200000102000001020037010300010101000001
+0200010102000001020001010200000102000101020003010200030102000001010004010200020
+1020001010200000102000101020000010200000102002e010200010102000001
+0300010101000001020000010200010103000101010001010200070102000201020000010300010
+10200000101000401020002010200010102000001020001010200660101120601
+0111011206010111530107000001060001010700000106000201060013010500010104000401060
+00001060002010a00000103000001060038010600010105000001030000010300
+01010600010106000101050002010600010105000001030000010300000106002f0106000101060
+00001060002010600000104000401060000010600020105000201060001010500
+0001030000010300660101120601011101120601011154010300000101000001000000010300030
+10200000102000101060002010400150103000201040004010600010106000101
+0a000001030000010000000103003a0104000301030001010300000103000201020000010100010
+10600020103000301060002010300010103000001030000010000000103003101
+0200000101000201040001010000000103000401040001010400040106000001050004010300030
+1060002010300010103000001030066010112060101110112060101116e010200
+010102003601020001010200ff010e0102008f010112060101110112060101116e0107003601070
+0ff010e0102008f010112060101110112060101116f01050038010500ff010e01
+04008e01011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff12ff12591
+206010111011206010011ff12ff125a120601011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e010011001
+2ff01ff012701001100121e01011101121e0100110012ff01ff01270100110012
+1e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01270
+1001100121e01011101121e0100110012ff01ff012701001100121e0101110112
+1f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matpage.ps b/books/ps/h-matpage.ps
new file mode 100644
index 0000000..61fb809
--- /dev/null
+++ b/books/ps/h-matpage.ps
@@ -0,0 +1,1357 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:18:23 1991
+%%Title: h-matpage.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matpage.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+002010700020149006a0105002001000013010000040100001f01000010010100
+03010500040100006d0106000201040002010200020103000201020004010100040102000201280
+000011d00011206010111011206010111050002010d0002010000020105000201
+0700020149006b010100010101001e01020012010000030101000d0100000f0102000e010000060
+1010001010100040100006c010600020104000201020002010300020102000401
+0100040102000201260004011b00011206010111011206010111050002010d00020100000201050
+002010700020149006b010100020101001e01000013010100020101000d010000
+100100000e0101000601010001010100040100006c0106000201040002010200020103000201020
+00b0102000201240008011900011206010111011206010111050002010e000401
+060002010700020149006b0101000201010033010100010101000d0101001f01010007010100010
+10100040101006b01060002010400020102000201030002010200020100000301
+000002010200020122000c011700011206010111011206010111050008010800040106000201070
+0020149006b010100020101000201030002010000000101000001010002010400
+0301030003010100000102000801050003010300030105000101010001010200020103000401010
+002010100010101000601010001010100050101006b0106000a01020002010300
+0201020002010000030100000201020007011b00100115000112060101110112060101110500090
+108000201070002010700020149006b0101000201010001010100010101000101
+0100000101000001010000010100020101000401010004010100010101000601060002010100010
+10100030101000301000000010200010101000301010003010000000101000001
+0100010101000701010001010100050101006b0106000a010200020103000201020002010100010
+10100020102000801180014011300011206010111011206010111050009010800
+0201070002010700020149006b01010002010100000101000301010000010100000101000001010
+00001010002010100040101000401010001010100060100000001020000010000
+0601010003010100050102000101010002010100060103000201010007010400060101006b01060
+00a01020002010300020102000201010001010100020102000801160018011100
+011206010111011206010111050002010e000401060002010700020149006b01010002010100000
+10100030101000001010000010100000101000301030004010100040101000101
+0100060100000101000001010000030103000401010005010100070101000701020002010100070
+10300060101006c01060002010400020102000201030002010200020105000201
+0200020121000e011600011206010111011206010111050002010e0004010600020107000201490
+06b01010002010100000101000301010000010100000101000001010001010100
+0101010004010100040101000101010006010000030100000201010001010100030101000601010
+00701010006010200030101000601010000010100060101006c01060002010400
+0201020002010300020102000201050002010200020121000e01160001120601011101120601011
+1050002010d00020100000201050002010700020149006b010100020101000001
+0100030101000001010000010100000101000001010002010100040101000401010001010100050
+10000040100000101010002010100030101000501010007010100060101000001
+0100020101000601010001010100040101006d01060002010400020102000201030002010200020
+1050002010200020121000e011600011206010111011206010111050002010d00
+020100000201050002010700020149006b010100010101000201010001010100010101000001010
+00001010000010100010102000401010004010100010101000501000004010000
+0101010001010200000100000101010001010000020101000701010001010000030100000101010
+000010000010100000601010001010100040101006d0106000201040002010200
+02010300020102000201050002010200020121000e0116000112060101110112060101110500020
+10c00020102000201040002010700020149006a01050004010300020101000001
+0100000101000101020001010100010105000101020000010300040101000201020001010200010
+10100030102000301010008010200020101000301010002010000050103000101
+0100020100006f010600020104000201020002010300020102000201050002010200020121000e0
+11600011206010111011206010111050002010c00020102000201040002010700
+02014900dd0100000d0101007001060002010400020102000201030002010200020105000201020
+002014700011206010111011206010111050002010b0002010400020103000201
+070002014900ff015f0106000201040002010200020103000201020002010500020102000201470
+00112060101110112060101110500090104000201040002010300020107000201
+4900ff015f010600020104000201020009010200020105000201020008014100011206010111011
+20601011105000a01020002010600020102000201070002014900ff015f010600
+0201040002010300080102000201050002010200090140000112060101110112060101110600090
+1030001010700010103000101080001014900ff015f0107000101050001010400
+060104000101060001010300080140000112060101110112060101117b00ff015f017b000112060
+101110112060101117b00ff015f017b000112060101110112060101117b00ff01
+5f017b000112060101110112060101117b00ff015f017b00011206010111011206010111ff00ff0
+05700011206010111011206010111ff00ff005700011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+1570101120601011101120601011115010000040100001f010000110102002501
+0200050102002301000010010000070100001b01010003010100020102000301070000010500030
+1050001010200010102001b010200090100000d0102007e010000860101120601
+011101120601011115010000030101000d0100000f0102001101010026010100060101002201020
+00f010000060102001b0100000301000004010100030101000001010000010100
+01010100010101000401010004010100020101001c010100090100000e0101007e0100008601011
+20601011101120601011115010100020101000d01000010010000120101002601
+010006010100230100000f010100070100001c01010001010100040101000301000001010100010
+1000001010100010101000401010004010100010101001d010100080101000e01
+01007d010100860101120601011101120601011115010100010101000d010100240101002601010
+00601010034010100250101000101010003010300050101000401010001010100
+0401010005010100000100001e010100080101000e0101007d01010086010112060101110112060
+10111150105000301030003010500010101000101020002010300040101000201
+0100060104000301040003010300000100000701040003010400030104000201010000010300030
+10300020102000101020001010300040104000201060002010300050103000201
+0100000102000801050003010000000101000501010004010100010101000401010005010100000
+10000080104000201010000010200040104000601060002010400030101000101
+0200020103000301030000010000080103000201010000010200040103000801040002010100000
+10300020103000001010000010200000102000101000000010100000101000301
+0300020101000001020002010600040100007d01011206010111011206010111140106000201010
+00101010003010100030100000001020001010100030101000301000000010100
+0001010007010200000101000101010002010100010101000201010006010100020101000201020
+00001010002010200000101000201020001010100010101000101010002010100
+0201000004010100030101000201010003010100070101000401010001010100020101000101010
+00701050003010000000101000501010004010100000101000501010006010100
+0801010002010100020101000101010002010100000102000801010004010100020101000201010
+00101010002010100010101000101010002010100070101000101010002010100
+0101010002010100010101000601010002010100020102000101010000010100010101000001000
+00101010001010100010101000001010000010100010101000101010002010100
+0101010003010100060102007c01011206010111011206010111140100000001020000010000060
+10100030101000501020001010100020101000601030008010100010101000101
+0100020101000101010003010000060101000201010002010100020101000101010002010100010
+10100020101000001010002010100020101000201000004010100030101000201
+0100030101000701010003010100030101000101010001010100070100000001010000010000030
+10000010101000401010004010300060101000601010008010100020101000201
+0100010101000101010002010100080101000401010002010100020101000001010002010100020
+10100010101000301000006010100030101000101010001010100010101000201
+0100060101000201010002010100020101000001010001010100030101000101010001010100000
+10100000101000001010002010100020101000101010003010100070100007d01
+0112060101110112060101111401000001010000010100000301030004010100050101000701010
+007010200080101000101010004010300020102000c0103000201010002010100
+0101010002010100010101000501060003010100000100000501010006010300030101000701010
+00301010003010100010101000101010007010000000101000001000002010500
+0401010004010100000101000501010005010000000101000a01030002010100010101000101010
+00201010008010100070103000201030003010600020102000901010003010100
+0101010001010100010106000901030002010100050101000101010003010100010101000101010
+00001010000010100000106000201010001010100030101008601011206010111
+0112060101111401000003010000020101000101010003010100060101000701010006010200090
+10100010101000201010001010100040102000801010001010100020101000201
+0100010101000201010001010100050101000801010000010000050101000401010001010100030
+10100070101000301010003010100010101000101010007010000030100000201
+0000020101000401010004010100010101000401010005010000000101000801010001010100020
+10100010101000101010002010100080101000501010001010100020103000301
+01000901020007010100030101000101010001010100010101000c0101000101010002010100060
+10300040101000101010001010100000101000001010000010100070101000101
+0100030101008601011206010111011206010111130100000401000001010100020101000301010
+00501010007010100060101000001010008010100010101000101010002010100
+0101000003010100060101000201010002010100020101000101010002010100010101000501010
+00801030005010100030101000201010003010100070101000301010003010100
+0101010001010100070100000301000002010000030101000301010004010100010101000401010
+00401010001010100060101000201010002010100010101000101010002010100
+0801010004010100020101000201010000010100020101000601000003010100060101000301010
+00101010001010100010101000b01010002010100020101000501000008010100
+0101010001010100000101000001010000010100070101000101010003010100860101120601011
+10112060101111301000004010000010101000101020000010000010101000101
+0000020101000701010001010000030100000101010000010000060101000101010001010100010
+10200010101000201010006010100010102000201020000010100020102000001
+0100020101000601010002010000040101000601010003010100010102000301010001010000040
+10100040101000101010002010100010101000701000003010000010101000301
+0100030101000401010002010100030101000301010002010100060101000101020002010100010
+10100020101000001020008010100010100000101010001010200020101000101
+0100020101000201000001010100020101000701010001010100020101000101010002010100020
+10000060101000101020002010100050105000301010000010200010101000001
+010000010100010101000201000002010100010101000301010001010000040100007d010112060
+10111011206010111130101000201020001010200010101000301020003010100
+0801020002010100030101000601020000010300010102000101010000010000000103000801020
+00101010000010100000102000201010000010200020104000501030005010100
+0401050002010200010101000301020003010500030103000201020000010300050102000101020
+00001020001010200020103000201030001010100010105000101020001010200
+0601020001010100000102000001030002010200000101000801020003010200010101000001030
+00001020002010300020100000001030009010300020102000001030002010300
+0801020001010100000104000401050003010200000101000001010000010100000101000201030
+0020102000001030003010200040102007c01011206010111011206010111ff01
+9f01000004010000310100007d01011206010111011206010111ff019f01010002010100b001011
+206010111011206010111ff01a0010400b101011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff01570101120601011101120601011125010700c001070004010100ff015901011206010111011
+20601011125010800200102001f0100001e0103001b0100003a01080002010300
+ff0158010112060101110112060101112601020001010200210101001e0102001c0101000101010
+01a0100003b0102000101020003010100ff015901011206010111011206010111
+2601020001010200210101001f0100001d01010001010100190101003b01020001010200ff015f0
+10112060101110112060101112601020000010200220101003e0101001d010100
+3b010200000102000201040001010300000102000201040000010000ff014401011206010111011
+20601011126010500110104000901040003010300020100000001010000010100
+0201040003010300030101000001020009010300040101000b01030003010400020106000301030
+0030103000001010002010300020101000001030001010300000102000a010500
+030104000101080000010700ff01440101120601011101120601011126010500100101000201010
+00701010000010200020101000101010001010100000101000001010000010100
+0201010004010100040101000101010007010100010101000201040008010100010101000101010
+00201010003010100050101000101010001010100010101000001000001010100
+01010100020102000101010001010100020100000b0105000501020002010300000102000001020
+000010300ff01440101120601011101120601011126010200000102000f010100
+0201010006010100020101000101010003010100000101000001010000010100000101000201010
+00401010004010100010101000601010003010100020101000901010002010100
+0101010002010100030101000401010002010100010101000101010002010100030101000101010
+00201010001010100020100000b01020000010200040102000201020001010200
+0001020000010200ff0145010112060101110112060101112601020000010200120103000601010
+00201010001010100030101000001010000010100000101000301030004010100
+0401010001010100060101000301010002010100090101000901030003010100040106000101010
+00101010002010100030101000101010007010100000100000c01020000010200
+0401020002010200010102000001020000010200ff0145010112060101110112060101112601020
+00001020010010100010101000601010002010100010101000301010000010100
+0001010000010100010101000101010004010100040101000101010006010100030101000201010
+00901010007010100010101000301010004010100070103000301010003010100
+0101010007010100000100000c0102000001020004010200020102000101020001010400ff01460
+101120601011101120601011126010200010102000e0101000201010006010100
+0201010001010100030101000001010000010100000101000001010002010100040101000401010
+00101010006010100030101000201010009010100030100000101010002010100
+030101000401010006010000070101000301010001010100080101000d010200010102000301020
+0020102000101020000010300ff01480101120601011101120601011125010300
+0101020003010000090101000101020007010100000102000201010001010100010101000001010
+00001010000010100010102000401010004010100010101000701010001010100
+030101000a010100010101000101010001010200030101000101000002010100020100000101050
+0030101000101010002010100080101000c0103000101020001010a0000010300
+00010600ff014501011206010111011206010111250103000101020002010200090102000101010
+00701020000010100020103000201010000010100000101000101020001010100
+01010500010102000001030007010300030103000a0103000301020001010100030102000401030
+0030105000301030002010400060100000d0103000101020001010a0000010300
+01010600ff014401011206010111011206010111320101008c01000004010000160100002901020
+001010200ff014401011206010111011206010111320101008c01010002010100
+13010000000100002a010700ff014401011206010111011206010111310101008e0104001401020
+02b010500ff014501011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ba01000010010100340103004f0101120601011101120601011114010700000
+1020064010200120103001b010000040102003a010000220100001e0100001501
+030020010200090100002b0101000f010300330103004f010112060101110112060101111401010
+00001010000010100010101006501010011010100010101001a01000005010100
+3a010000220100001d010200130101000101010020010100080102002a010100100101003501020
+04f01011206010111011206010111140100000101010001010000010101006501
+01001101010001010100190101000501010039010100210101001e0100001401010001010100200
+10100090100002a010200480102004f0101120601011101120601011117010100
+0401010065010100110101001d01010005010100390101002101010034010100240101002201000
+00001010000010100020104000201060001010200010101000201040002010300
+000102000a01030000010000010101000001030002010400040105004f010112060101110112060
+10111170101000401040004010300080103000001000003010300020102000001
+0200010101000001030003010300040103000901030004010300040104000301030009010100060
+10300020101000001030006010600020104000401030009010300040103000201
+0100000102000301030000010000010106000101010000010300010102000001020003010300020
+10600030103000201010000010300070103000401030000010000080101000601
+030002010200000102000101010000010200040104000701030003010100000102000c010700000
+10600010106000101070001010400020102000101020009010600010107000001
+0600020106004f01011206010111011206010111170101000401020000010100020101000101010
+00601010002010100020101000101010002010100010101000201020001010100
+0101010001010100020101000101010007010100010101000201010001010100020101000001020
+00201010001010100070104000301010001010100020102000101010007010100
+0501020000010100020101000101010007010100010101000201010001010100020101000101010
+00101010002010100030101000501020001010100010101000101010002010100
+0101010003010100050101000101010002010200010101000801010003010100020101000701040
+00301010001010100020101000101010002010100010101000201010000010200
+0901010004010100010101000b01070000010100010102000201020005010600030102000301020
+0000101000a010200000102000101030000010200000101000101020001010200
+000103004f010112060101110112060101111701010004010100010101000101010002010100060
+10100030100000101010003010100010101000101010002010100020101000001
+0100020101000101010002010100060101000201010001010100030101000001010002010100010
+10100020101000801010004010100030101000101010002010100070101000501
+0100010101000101010002010100060101000201010001010100030101000101010001010100010
+10100030100000301010005010100020101000101010001010100010101000201
+0100030101000401010003010100010101000201010008010100030101000301000008010100040
+10100030101000101010001010100020101000101010001010100020101000901
+010004010100010101000b010100000101000001010003010300020102000501030000010100030
+10200040103000b01030001010000010102000101020003010300010102000101
+02004f0101120601011101120601011117010100040101000101010001010600070102000401010
+00301010001010100010101000201010005010100060106000601010006010100
+03010100000101000201010001010600080101000401010003010100010101000c0101000501010
+00101010001010600060101000601010003010100010101000101010002010200
+0601010005010100060101000101010001010100080101000401010003010100010101000d01010
+0040102000b010100040101000301010001010100010101000201010001010100
+01010100020101000901010004010100010101000b0101000001010000010100010105000201020
+00501020007010200040103000c01040002010200010102000101050001010200
+010102004f01011206010111011206010111170101000401010001010100010101000e010200020
+101000301010001010100010101000201010005010100060101000b0101000601
+0100030101000001010002010100010101000d0101000401010003010100010101000c010100050
+1010001010100010101000b010100060101000301010001010100010101000401
+02000401010005010100060101000101010001010100080101000401010003010100010101000d0
+10100060102000901010004010100030101000101010001010100020101000101
+010001010100020101000901010004010100010101000b010100000101000001010000010200000
+10200020102000501020007010200040103000b01000001010300010102000101
+0200000102000001020001010200010102004f01011206010111011206010111170101000401010
+001010100010101000b0100000301010001010100030101000101010001010100
+020101000501010003010000010101000b010100030100000101010003010100000101000201010
+0010101000d0101000401010003010100010101000c0101000501010001010100
+010101000b010100030100000101010003010100010101000101010001010000030101000301010
+00501010006010100010101000101010003010000030101000401010003010100
+010101000d010100030100000301010008010100040101000301010001010100010101000201010
+00101010001010100020101000901010004010100010101000b01010000010100
+0001010000010200000102000201020000010100020102000701020003010100000102000a01020
+0000102000101020000010300000102000001020001010200010102004f010112
+0601011101120601011117010100040101000101010002010100020100000601010002010100020
+10100010101000201010000010200020101000601010001010100020101000201
+0000070101000101010002010100010101000201010000010200020101000201000008010100050
+1010001010100020101000c010100010100000201010001010100020101000201
+0000070101000101010002010100010101000201010001010100010101000201010003010100010
+10000020101000601010000010200020101000101010003010100010100000201
+010001010100020101000d010100030101000201010008010100050101000101010002010100000
+10200020101000101010002010100000102000901010004010100010101000b01
+0100000101000001010000010700010105000101040004010600000102000101020002010100040
+10600010106000101070001010600030100004a01011206010111011206010111
+1601030002010200000103000201030007010000000103000401030004010200000101000001040
+00501030004010300090103000401030004010200000101000201030008010300
+05010300020104000b0102000201020000010300020103000901030004010300020102000001030
+00001000000010300050102000201040005010200000101000201030005010200
+0401030002010400090105000101000000010300080103000501030004010200000101000001020
+00001030002010200000101000601050001010200000103000a01010000010100
+0001010001010200000102000201030002010400040106000001020000010300010103000301000
+00001030002010500030102000001020002010200000101000201020049010112
+06010111011206010111ff01dd0101000d0102001a0100004a01011206010111011206010111ff0
+1ed0102006601011206010111011206010111ff01ec0104006501011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff01570101120601011101120601011124010600280101000f0100000701010
+0ff01e50101120601011101120601011113010b0004010700260103000d010100
+060103005e010200000100002f0103000c010200280100001001000007010000f70101120601011
+101120601011113010b000501020000010200270101000e010100070101005e01
+010000010200310101000d010100270102000f01000006010200f60101120601011101120601011
+11301010000010000000100000001000000010200050102000001020037010200
+6701010002010100310101000d010100280100000f01010007010000f7010112060101110112060
+10111130102000001000000010000000100000001010005010200000102000201
+0300030103000001000003010200000101000001020001010100020104000201010000010300010
+10600020104000401030001010300000102004901010003010000310101000d01
+010039010100ff01000101120601011101120601011113010100000100000001000000010000000
+10200050102000001020001010500010106000201060000010700010104000201
+0700000106000201040003010500000108004801010008010300020101000001020004010300020
+101000001030002010400050101000a0104000301030003010300000100000301
+0300020101000001030002010300030101000001020002010600020103000501030002010100000
+10200e30101120601011101120601011113010200000100000001000000010000
+0001010005010200000102000001020001010200000102000001020001010300000102000101060
+00301020002010300000102000101020007010200020102000101020000010300
+0001020048010100070101000101010002010100010101000201010001010100020102000101010
+00001010002010100040101000901010000010200020101000101010001010100
+0201010002010100010101000201020001010100030101000401020000010100030101000701010
+004010100010101000201010001010100e2010112060101110112060101111301
+0100000100000001000000010000000102000501020000010200000102000101020000010300010
+10000010102000201010001010300000101000301020002010200010102000101
+0200070102000201020001010200000102000101020048010100010103000001010002010100020
+10100010101000101010002010100020101000201010000010100020101000401
+0100080101000201010001010100020101000101010003010000010101000201010002010100020
+10100030101000401010002010100020101000701010003010100030101000101
+010001010100e201011206010111011206010111130102000001000000010000000100000001010
+00501020000010200000107000101040002010200060102000701020002010200
+0101020001010200070102000201020001010200000102000101020048010100020102000001060
+00201010001010100010106000201010008010300040101000801010002010100
+0101060002010200040101000701010008010100040101000201010002010100070101000301010
+0030101000101010001010100e201011206010111011206010111130101000001
+0000000100000001000000010200050102000001020000010200050100000101030001010200060
+10200070102000201020001010200010102000701020002010200010102000001
+0200010102004801010002010100010101000701010001010100010101000701010006010100010
+10100040101000801010002010100010101000901020002010100070101000801
+01000401010002010100020101000701010003010100030101000101010001010100e2010112060
+10111011206010111130102000001000000010000000100000001010005010200
+0001020000010300010101000001020000010200010103000101010001010200070102000201020
+00001030001010200000101000401020002010200010102000001020001010200
+4801010002010100010101000701010001010100010101000701010005010100020101000401010
+00801010002010100010101000601000003010100010101000301000002010100
+080101000401010002010100020101000701010003010100030101000101010001010100e201011
+20601011101120601011113010b00040107000101060000010600020106000001
+0400040106000001060002010500020106000101050000010300000103004901010000010200020
+10100020100000201010001010100020101000201000002010100050101000101
+0200040101000901010000010200020101000201000001010100020101000201010001010100020
+10100080101000401010001010100030101000101000004010100040101000101
+01000201010001010100e20101120601011101120601011113010b0004010600030104000101000
+00001030004010400010104000401060000010500040103000301060002010300
+01010300000103004a0102000001000003010300020102000001030002010300020104000401020
+00101010001010500080102000001010002010300020100000001030004010300
+0201040004010500020104000501020003010500030103000201020000010300e10101120601011
+10112060101115a010200ec010100ff010a010112060101110112060101115a01
+0200ec010100ff010a0101120601011101120601011159010400ea010300ff01090101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff0157010112060101110112060101112501050028010000
+07010100ff01f70101120601011101120601011113010b000401070026010100060103007001020
+0040103000401030038010000110102003601000007010000e001011206010111
+01120601011113010b0004010200010102002601010007010100720101000601010006010100380
+10000120101003601000006010200df0101120601011101120601011113010100
+000100000001000000010000000102000401020001010200250102007c010100060101000601010
+037010100120101003501010007010000e0010112060101110112060101111301
+0200000100000001000000010000000101000401020001010200000101000001030003010300020
+10200010101000201040002010600020104000401030001010300000102000201
+030000010000540103000501010006010100370101001201010035010100e901011206010111011
+20601011113010100000100000001000000010000000102000401020001010200
+0001070001010500010107000001060001010600020104000301050000010800000106005401000
+00001010005010100060101000a01030002010200010102000001010000010200
+0401030002010100000103000101060003010300040104000801030002010100000102000401030
+00201010000010300020104000201060002010300050103000201010000010200
+0301030000010000c20101120601011101120601011113010200000100000001000000010000000
+10100040102000101020000010300000102000001020001010200010106000001
+0100010102000201020007010200020102000101020000010300000102000001020000010200540
+10000000101000501010006010100090101000101010002010100010101000201
+0200000101000201010001010100020102000101010002010100050101000101010002010100000
+10200070101000101010002010200000101000201010001010100020102000101
+0100000101000201010003010100070101000401010001010100020101000101010001010100020
+10100c20101120601011101120601011113010100000100000001000000010000
+0001020004010200010102000001020001010200000102000101020001010300000101000301030
+00201020007010200020102000101020000010200010102000001030001010000
+5401000001010100040101000601010008010100020101000301010000010000030101000201010
+00001010003010100010101000201010002010100040101000201010001010100
+0201010006010100030101000101010002010100000101000201010002010100020101000001010
+00201010003010100070101000301010003010100010101000101010001010100
+03010000c2010112060101110112060101111301020000010000000100000001000000010100040
+10200010102000001020001010200000107000101020005010500020102000701
+0200020102000101020000010200010102000101040054010500040101000601010008010600040
+10100040101000201010000010100030101000101010007010100040106000101
+0100020101000601010003010100010101000201010000010600020101000801030003010100070
+101000301010003010100010101000101010002010200c5010112060101110112
+0601011113010100000100000001000000010000000102000401020001010200000102000101020
+00001020006010200040102000001020002010200070102000201020001010200
+0001020001010200000100000101030053010000020101000401010006010100080101000901010
+00401010002010100000101000301010001010100070101000401010006010100
+0201010006010100030101000101010002010100000101000701010006010100010101000301010
+0070101000301010003010100010101000101010004010200c301011206010111
+0112060101111301020000010000000100000001000000010100040102000101020000010200000
+10300000103000101010001010200040102000001020002010200000101000401
+0200020102000101020000010200010102000001020000010200530100000301010003010100060
+10100080101000801000000010100030101000201010000010100030101000101
+0100070101000401010006010100020101000601010003010100010101000201010000010100070
+10100050101000201010003010100070101000301010003010100010101000101
+01000101000003010100c20101120601011101120601011113010b0004010700000106000201060
+00001040003010700010105000201060001010500000103000001030000010600
+5201010003010100030101000601010009010100020100000201010001010100020101000101010
+00201010001010100020101000701010001010000020101000201000002010100
+0001020007010100010101000201010001010100020101000201000002010100050101000101020
+00301010001010000040101000401010001010100020101000101010001010100
+02010100c20101120601011101120601011113010b0005010500010105000401040001010400040
+10200000102000201030003010600020103000101030000010300000100000001
+0300530102000101020001010500020105000801030002010200010102000101040004010300020
+10400060102000401030004010200000101000701030003010400040103000201
+0400040102000101010003010200030105000301030002010200000103000001000000010300c30
+10112060101110112060101112d010200d101010041010100ff010e0101120601
+01110112060101112d010200d101010041010100ff010e010112060101110112060101112c01040
+0cf0103003f010300ff010d01011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111250103000601000007010000100101000201030011010000ff01ef01011
+20601011101120601011113010b000501030005010100060101000f0103000101
+0300100101006901020004010300040103003801000011010200120100000701000010010000040
+1020011010000d70101120601011101120601011113010b000601020005010100
+060101001001010003010200100101006a010100060101000601010038010000120101001201000
+0070100000f0102000401010011010000d7010112060101110112060101111301
+010000010000000100000001000000010200050104000301020005010200160102000f0102006a0
+10100060101000601010037010100120101001101010006010100100100000501
+010010010100d701011206010111011206010111130102000001000000010000000100000001010
+00501040002010600010106000101020001010100020104000201050002010200
+0001030000010600030103000301030000010000540103000501010006010100370101001201010
+011010100060101001701010010010100d7010112060101110112060101111301
+0100000100000001000000010000000102000501010000010100020106000101060001010700010
+10400020106000101020000010300000106000201050001010600540100000001
+010005010100060101000a010300020102000101020000010100000102000401030002010100000
+10300010106000301030004010400070104000201060001010600010101000001
+03000201030004010400020102000001020001010600030103000301030000010000c2010112060
+10111011206010111130102000001000000010000000100000001010005010100
+0001020002010200050102000501060003010200020103000001020000010200010102000101020
+00401020001010200000102000001020054010000000101000501010006010100
+0901010001010100020101000101010002010200000101000201010001010100020102000101010
+00201010005010100010101000201010000010200060101000201010003010100
+0601010005010200010101000301010004010200000101000201010001010100030101000501010
+0010101000101010002010100c201011206010111011206010111130101000001
+0000000100000001000000010200050101000101010002010200050102000501030000010100030
+10200020102000101020000010200010102000101020004010200010102000001
+0300010100005401000001010100040101000601010008010100020101000301010000010000030
+10100020101000001010003010100010101000201010002010100040101000201
+0100010101000201010006010100020101000301010006010100050101000201010003010100040
+10100020101000101010001010100030101000401010002010100010101000301
+0000c20101120601011101120601011113010200000100000001000000010000000101000401060
+00201020005010200050102000701020002010200010102000001020001010200
+0101020004010700010104005401050004010100060101000801060004010100040101000201010
+00001010003010100010101000701010004010600010101000201010009010300
+0301010006010100050101000801010004010100020101000101010001010100030101000401060
+002010200c5010112060101110112060101111301010000010000000100000001
+0000000102000401070001010200050102000501020007010200020102000101020000010200010
+10200010102000401020005010000010103005301000002010100040101000601
+0100080101000901010004010100020101000001010003010100010101000701010004010100060
+10100020101000701010001010100030101000601010005010100080101000401
+0100020101000101010001010100030101000401010009010200c30101120601011101120601011
+11301020000010000000100000001000000010100040101000201020001010200
+0001010002010200000101000201020007010200020102000101020000010200000103000101020
+00001010001010300010101000001020000010200530100000301010003010100
+0601010008010100080100000001010003010100020101000001010003010100010101000701010
+00401010006010100020101000601010002010100030101000601010005010100
+080101000401010002010100010101000101010003010100040101000601000003010100c201011
+20601011101120601011113010b00030103000001030001010500020105000101
+0400040106000001060001010700010105000201060000010600520101000301010003010100060
+10100090101000201000002010100010101000201010001010100020101000101
+0100020101000701010001010000020101000201000002010100000102000601010001010200030
+10100010100000301010001010000020101000801010004010200000101000201
+010000010200030101000101000002010100020100000101010002010100c201011206010111011
+20601011113010b00030103000001030002010300040103000201040004010600
+0001010000010200030103000001010002010300040104000101000000010300530102000101020
+00101050002010500080103000201020001010200010104000401030002010400
+0601020004010300040102000001010006010200010101000301020005010200020104000401050
+00101010000010200040102000001010003010200040103000201000000010300
+c301011206010111011206010111ff0102010100ff015201011206010111011206010111ff01020
+10100ff015201011206010111011206010111ff0101010300ff01510101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff0157010112060101110112060101112401070025010400ff01ff01011
+20601011101120601011113010b00040107002501040077010700250103001d01
+00000501030004010300180100001901000007010000e50101120601011101120601011113010b0
+00501020000010200270102007801010002010100270101001c01020006010100
+06010100180100001901000006010200e4010112060101110112060101111301010000010000000
+10000000100000001020005010200010101002701020078010100030100002701
+01001d0100000701010006010100170101001801010007010000e50101120601011101120601011
+11301020000010000000100000001000000010100050102000401030000010200
+0101040002010000000101000001010001010100000103000401020004010300030103000001000
+0650101002c01010026010100060101001701010018010100ee01011206010111
+0112060101111301010000010000000100000001000000010200050104000201020001010200000
+10600010107000001070003010200030105000101060065010100010100000201
+0200010102000101040002010000000101000001010001010100000102000501010005010300030
+10300000100000701030006010100060101000301020000010200020103000001
+0000010106000101010000010300020104000201060002010300030101000001020003010300000
+101000501020000010200020103000001000003010300b1010112060101110112
+0601011113010200000100000001000000010000000101000501040003010200000101000101010
+00101020001010700000103000001020003010200020102000101020000010200
+0001020065010400030101000101010001010100020101000101010000010100000101000101020
+00001010004010100040101000101010001010100020101000901010006010100
+0601010004010100010101000101010002010100030101000501020001010100000101000201010
+00301010007010100040101000101010001010100010101000001000006010100
+0101010001010100020101000201010001010100b00101120601011101120601011113010100000
+10000000100000001000000010200050102000601030005010300010101000001
+0100000101000001020001010200030102000201020001010200000103000101000065010100010
+10000040101000001000002010100020101000101010000010100000101000101
+0100020101000301010003010100020101000101010003010000090101000601010006010100040
+10100010101000101010003010000030101000501010002010100000101000201
+0100030101000701010004010100010101000101010001010100080101000101010001010100030
+100000101010002010100b0010112060101110112060101111301020000010000
+0001000000010000000101000501020006010300030105000101010000010100000101000001020
+00101020003010200020107000101040066010100080101000601030001010100
+000101000001010001010100020101000301010003010600020102000c010100060101000601010
+00401010001010100020102000601010005010100080103000301010007010100
+0401010001010100010101000101010008010100010101000201020004010600b00101120601011
+10112060101111301010000010000000100000001000000010200050102000101
+0100020103000201020000010200010101000001010000010100000102000101020003010200020
+10200050100000101030065010100080101000401010001010100010101000001
+01000001010001010100020101000301010003010100090102000a0101000601010006010100040
+10100010101000401020004010100050101000601010001010100030101000701
+010004010100010101000201030009010100010101000401020002010100b501011206010111011
+20601011113010200000100000001000000010000000101000501020000010200
+0101010000010200010102000001020001010100000101000001010000010200000103000301020
+00201030001010100000102000001020065010100030100000201000000010100
+0201010002010100010101000001010000010100010101000201010003010100030101000601000
+00301010009010100060101000601010004010100010101000101000003010100
+0301010005010100050101000201010003010100070101000401010001010100010100000d01010
+001010100010100000301010001010100b5010112060101110112060101111301
+0b00040107000001020001010200000107000001010000010100000101000001060002010600010
+10600000106006501010002010100010101000101010001010100010102000101
+0100000101000001010001010100010101000401010004010100020100000101010002010100090
+10100060101000601010004010100000102000101010002010100030101000101
+0000020101000501010001010200030101000101000004010100040101000101010001010500080
+101000001020001010100020101000201010002010000b0010112060101110112
+0601011113010b00040107000001020000010300010102000001020000010100000101000001010
+00001050003010600020104000101000000010300650107000001020001010200
+0101020001010100000101000001010000010100010104000301050003010300020100000001030
+00801050002010500020105000301020000010100000100000001030005010200
+0201040004010200010101000301020003010500010102000001030001010500080102000001010
+0000100000001030004010300b10101120601011101120601011148010200a801
+01008801000004010000d00101120601011101120601011148010200a8010100880101000201010
+0d00101120601011101120601011147010400a601030088010400d10101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff0157010112060101110112060101112401070027010000ff01ff01010
+101120601011101120601011113010b0004010700260101007901070013010300
+0601000010010000070100001e0100002b010000310102003601000007010000810101120601011
+101120601011113010b000501020000010200260101007a010100020101001501
+0100050102000e010200060100001e0100002a01020031010100360100000601020080010112060
+10111011206010111130101000001000000010000000100000001020005010200
+01010100250102007a01010003010000150101000601000010010000060101001d0101002b01000
+03201010035010100070100008101011206010111011206010111130102000001
+0000000100000001000000010100050102000401030000010200000101000001030003010300020
+10200010101000101060002010300000100006e0101001a010100200101001d01
+01005f010100350101008a010112060101110112060101111301010000010000000100000001000
+00001020005010400020102000101020000010700010105000101070000010600
+010106006e010100010100000201020001010200000101000001020005010100040103000501030
+00301030003010600080103000301040002010600030103000301030000010100
+0201030002010100000103000201030005010300030103000001000007010400020101000001020
+00401040008010300020101000001020004010300020101000001030002010400
+0201060002010300050103000201010000010200030103000001000063010112060101110112060
+10111130102000001000000010000000100000001010005010400030102000001
+010001010300000102000001020001010200010106000101020004010200000102006e010400030
+10100010101000201020000010100040101000601010004010100010101000401
+0100050101000a01010001010100010101000201010003010100050101000101010001010100010
+10100000100000101010001010100020102000101010003010100040101000101
+0100010101000201010006010100020101000201010001010100020101000001020007010100010
+10100020102000001010002010100010101000201020001010100000101000201
+0100030101000701010004010100010101000201010001010100010101000201010063010112060
+10111011206010111130101000001000000010000000100000001020005010200
+0601030002010200010102000001020001010200010103000001010001010200040103000101000
+06e01010001010000040101000001000003010100020101000301010006010100
+0301010002010100040101000501010009010100020101000101010002010100030101000401010
+00201010001010100010101000201010003010100010101000201010003010100
+0301010002010100010101000301000006010100020101000201010001010100010101000201010
+00601010003010100010101000201010000010100020101000201010002010100
+0001010002010100030101000701010003010100030101000101010001010100010101000301000
+06301011206010111011206010111130102000001000000010000000100000001
+01000501020006010300020102000101020000010200010102000101020005010200050104006f0
+10100080101000401010002010100030101000601010003010100090101000501
+0100090101000901030003010100040106000101010001010100020101000301010001010100080
+1010003010600020102000c010300020101000101010001010100020101000601
+0100030101000101010002010100000106000201010008010300030101000701010003010100030
+10100010101000101010002010200660101120601011101120601011113010100
+0001000000010000000100000001020005010200010101000201030002010200010102000001020
+001010200010102000501020004010000010103006e0101000801010004010100
+0201010003010100060101000301010009010100050101000901010007010100010101000301010
+00401010007010300030101000301010001010100080101000301010009010200
+0801010001010100020101000101010001010100020101000601010003010100010101000201010
+00001010007010100060101000101010003010100070101000301010003010100
+0101010001010100040102006401011206010111011206010111130102000001000000010000000
+10000000101000501020000010200010101000001020001010200000103000001
+02000101020001010200050102000001010001010200000102006e0101000301000002010000000
+10100030101000201010003010100060101000301010003010000040101000501
+0100090101000301000001010100020101000301010004010100060100000701010003010100010
+10100080101000301010006010000030101000601010002010100020101000101
+0100010101000201010006010100030101000101010002010100000101000701010005010100020
+10100030101000701010003010100030101000101010001010100010100000301
+0100630101120601011101120601011113010b00040107000001020001010200000106000201050
+00101040004010500010106006e01010002010100010101000101010002010100
+0101010004010100060101000401010001010100040101000501010001010000070101000101010
+00101010001010200030101000101000002010100020100000101050003010100
+0101010002010100080101000401010002010000010101000201010006010100010102000201010
+00101010002010100000102000701010001010100020101000101010002010100
+0201000002010100050101000101020003010100010100000401010004010100010101000201010
+0010101000101010002010100630101120601011101120601011113010b000401
+070000010200000103000001050004010300020104000501030002010000000103006e010700000
+10200010102000101040003010500020105000301030003010500040102000901
+0300030102000101010003010200040103000301050003010300020104000401050003010300020
+10000000103000801020001010100000102000001030002010200000101000701
+0300030104000401030002010400040102000101010003010200030105000301030002010200000
+103000001000000010300640101120601011101120601011136010200a8010100
+5b010000040100005d010100af0101120601011101120601011136010200a80101005b010100020
+101005d010100af0101120601011101120601011135010400a60103005b010400
+5d010300ae01011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff0157010112060101110112060101112501020
+000010100290107000c010400ff01e70101120601011101120601011113010b00
+04010600290108000a0106005e010200000103000301000031010200290102003b0100001001030
+02801000007010000930101120601011101120601011113010b00040102000001
+02002a010200010102000a010200000102005f0101000101010003010200310101002a0101003a0
+102000e0101000101010027010000060102009201011206010111011206010111
+130101000001000000010000000100000001020004010200010101002a010200010102000a01020
+0630101000101010004010000320101002a0101003b0100000f01010001010100
+2601010007010000930101120601011101120601011113010200000100000001000000010000000
+10100040102000101010001010200010101000301030003010300000100000201
+0300000100000601020000010200030103000201050004010300020102000101010003010300010
+10300000102000301020000010100020103002b01010001010100380101002a01
+01004c0101002a0101009c010112060101110112060101111301010000010000000100000001000
+00001020004010200050107000101050001010600010106000601050003010500
+010105000301050001010700010105000001080001010600010105002a010100010101000201030
+00501030002010100000103000201040002010100000103000301030003010400
+0201030000010200060104000201010000010200040104000601020000010200020103000001000
+00201040003010300000101000201030008010300030101000001020004010100
+0601030002010100000103000101000000010100000101000201040002010600020103000501030
+002010100000102007f0101120601011101120601011113010200000100000001
+0000000100000001010004010200060106000001020001010200000102000001020001010200000
+10200060105000201020001010200010102000401020001010200010106000001
+0200010102000001030000010200000103000001020000010200010102002901050004010100040
+10100010101000201020001010100000101000201010002010200010101000101
+0100010101000201020000010100020101000201000006010100020101000201010001010100020
+10100000102000701010001010100010101000201010001010100020101000101
+0100010101000001000001010100010101000901010004010100010101000201040003010100010
+10100020102000101010000010100000101000001010000010100020101000301
+010007010100040101000101010002010100010101007e010112060101110112060101111301010
+00001000000010000000100000001020004010200060103000001010000010200
+0101020000010300010100000101030001010000060102000001020001010200010102000101020
+00401020001010200010103000001010000010200010102000001020001010200
+0001020002010100000102000101020029010100010101000401010003010100020101000201010
+00201010000010100020101000201010002010100000101000201010002010100
+0101010002010100020100000601010002010100020101000101010001010100020101000701010
+00101010001010100030100000101010002010100010101000101010002010100
+0201010009010100040101000101010003010100040101000301010001010100020101000001010
+00001010000010100000101000201010003010100070101000301010003010100
+01010100010101007e0101120601011101120601011113010200000100000001000000010000000
+10100040102000601020004010200010102000101040003010400070102000001
+0200010107000101020004010700010102000401070000010200010102000001020005010700290
+10100010101000401010003010600020101000801030002010100050101000701
+01000101010003010100000100000a0103000201010001010100010101000201010007010100010
+10100020102000701030001010100010101000201060009010100040101000101
+0100030101000401010003010100010101000501010000010100000101000301030003010100070
+10100030101000301010001010100010101007e01011206010111011206010111
+1301010000010000000100000001000000010200040102000101010002010200040102000101020
+00001000001010300010100000101030006010200000102000101020006010200
+040102000601020004010200050102000101020000010200050102002e010100010101000401010
+00301010007010100060101000101010002010100050101000701010001010100
+0301010000010000080101000101010002010100010101000101010002010100070101000101010
+004010200030101000101010002010300030101000e0101000401010001010100
+0301010004010100030101000101010005010100000101000001010001010100010101000301010
+007010100030101000301010001010100010101007e0101120601011101120601
+0111130102000001000000010000000100000001010004010200010101000201020004010200010
+10200000102000001020001010200000102000601020001010200000103000101
+0100010102000401030001010100010102000401030001010100000102000101020000010300010
+10100000103000101010029010100010101000401010003010100070101000501
+0100020101000201010005010100030100000201010001010100040101000801010002010100020
+10100010101000101010002010100070101000101010001010000030101000101
+01000201010001010000070101000e0101000401010001010100030101000401010003010100010
+10100050101000001010000010100000101000201010003010100070101000301
+01000301010001010100010101007e0101120601011101120601011113010b00040106000101040
+00401050001010600010106000501030001010200010106000001040004010600
+0001040004010a00000103000101060001010600290101000101010004010100040101000201000
+00201010005010100010102000201010006010100010101000201010001010100
+0401010008010100010102000201010001010100020101000001020007010100000102000101010
+00201010001010100010102000101050003010100020100000901010004010100
+0101010003010100050101000101010002010100050101000001010000010100000101000101020
+0030101000101000004010100040101000101010002010100010101007e010112
+0601011101120601011113010b00050104000201040005010300020100000001030002010000000
+10300060103000101020002010400010104000501040001010400050104000001
+0300000103000201040003010400290102000001030001010500030103000201040004010200010
+1010000010400050103000201020000010300030100000a010200010101000001
+0200000103000201020000010100070102000001010000010000000103000301020001010100010
+10500030103000801050001010200000103000101030005010300020104000301
+01000001010000010100010102000101010003010200030105000301030002010200000103007d0
+1011206010111011206010111ff011a0100004401000004010000ef0101120601
+0111011206010111ff0117010000000100004501010002010100ef0101120601011101120601011
+1ff011701020046010400f001011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111230107000b0104000e01000011010300060105002801000007010100ff0
+1b30101120601011101120601011113010b00030108000a0104000d0101001101
+03000501070026010100060103002a01070000010200550100001101020009010300340103000f0
+1000011010200210102007d0101120601011101120601011113010b0004010200
+010102000c0102000d01010012010200050102000101020026010100070101002b0101000001010
+0000101000101010055010000120101000801010001010100350101000f010000
+12010100220101007d0101120601011101120601011113010100000100000001000000010000000
+1020004010200010102000c0102000c0102001201020005010200010102002501
+02003501000001010100010100000101010054010100120101000801010001010100350101000e0
+1010012010100220101007d010112060101110112060101111301020000010000
+0001000000010000000101000401020000010200030103000501020003010400020106000301030
+00401050005010200010102000001010000010300030103000201020001010100
+0201040002010600020104000401030001010300000102000201030000010000110101000401010
+0540101001201010008010100390101000e01010012010100220101007d010112
+0601011101120601011113010100000100000001000000010000000102000401050003010500040
+10200020106000101060002010500020106000501020001010200000107000101
+0500010107000001060001010600020104000301050000010800000106001101010004010400040
+10300030103000001000003010300090103000201020001010200000101000001
+0200040103000201010000010300010106000301030004010400080101000401010000010300030
+10300020100000001010000010100060101000001030003010300050101000401
+0400020106000301030004010400060101000001020003010400040103000301010001010200010
+10400030103000001010002010300030103000001000055010112060101110112
+0601011113010200000100000001000000010000000101000401050002010200010102000301020
+00201010001010200020102000401020001010200000102000001030005010200
+0101020000010300000102000001020001010200010106000001010001010200020102000701020
+00201020001010200000103000001020000010200000102001101010004010200
+0001010002010100010101000101010002010100020101000101010007010100010101000201010
+00101010002010200000101000201010001010100020102000101010002010100
+0501010001010100020101000001020007010400030102000101010001010100010101000101010
+00001010000010100060102000101010001010100010101000401010003010100
+0201010003010100050101000101010002010100000102000701020000010100010101000201010
+00201010001010100020101000101010001010100020101000101010001010100
+0001000001010100010101000101010002010100550101120601011101120601011113010100000
+10000000100000001000000010200040102000001020001010200010102000301
+0200050103000201020004010200010102000001020001010200050102000101020000010200010
+10200000102000101020001010300000101000301030002010200070102000201
+0200010102000001020001010200000103000101000011010100040101000101010001010100030
+10100000101000301000001010100020101000601010002010100030101000001
+0000030101000201010000010100030101000101010002010100020101000401010002010100010
+10100020101000801010005010100020101000001010003010100000101000001
+0100000101000601010002010100000101000201010004010100030101000201010003010100040
+10100020101000101010002010100070101000201010000010100020101000101
+0100020101000201010000010100020101000201010001010100010101000201010002010100010
+10100030100005501011206010111011206010111130102000001000000010000
+0001000000010100040102000001020001010700030102000301050002010200040107000001020
+00101020005010200010102000001020001010200000107000101020005010500
+0201020007010200020102000101020000010200010102000101040012010100040101000101010
+00101010003010100010102000401060006010600040101000401010002010100
+0001010003010100010101000701010004010600010101000201010008010100050101000501010
+00301010000010100000101000001010006010100050106000401010006010300
+0301010004010600010101000201010007010100020101000301030001010100070103000601030
+00101010001010100020106000201020058010112060101110112060101111301
+0100000100000001000000010000000102000401020000010200010102000801020002010200000
+10200020102000401020005010200010102000501020001010200000102000101
+0200000102000601020004010200000102000201020007010200020102000101020000010200010
+10200000100000101030011010100040101000101010001010100030101000301
+0200020101000b01010009010100040101000201010000010100030101000101010007010100040
+10100060101000201010008010100050101000501010003010100000101000001
+0100000101000601010005010100090101000401010001010100030101000401010006010100020
+10100070101000201010001010100010101000101010007010300040101000101
+0100020103000301010009010200560101120601011101120601011113010200000100000001000
+00001000000010100040102000101020000010300010101000301020002010200
+0001020002010200000101000101030001010100000102000101020005010200010102000001020
+00001030000010300010101000101020004010200000102000201020000010100
+0401020002010200010102000001020001010200000102000001020011010100040101000101010
+001010100030101000001000003010100010101000b0101000801000000010100
+0301010002010100000101000301010001010100070101000401010006010100020101000801010
+00501010005010100030101000001010000010100000101000601010005010100
+0901010003010100020101000301010004010100060101000201010007010100020101000001010
+00201010001010100030100000201010000010100020101000201010001010000
+070101000601000003010100550101120601011101120601011113010b000301030001010200010
+10600010106000001070001010500020106000101060005010700000106000201
+0600000104000301070001010500020106000101050000010300000103000001060011010100040
+10100010101000201010001010100010101000201010002010100020100000701
+0100020100000201010001010100020101000101010002010100010101000201010007010100010
+10000020101000201000002010100000102000801010005010100060101000101
+0100010101000001010000010100060101000601010002010000040101000301010001010200030
+10100010100000201010002010000020101000001020007010100010101000101
+0100010102000201010001010100020101000101010001010100010102000101050003010100020
+100000101010002010100550101120601011101120601011113010b0003010300
+0101020002010400020106000101020000010200020103000401040003010200000101000601050
+00101050004010400010104000401020000010200020103000301060002010300
+0101030000010300000100000001030011010300020102000001030002010300020100000001030
+00401030009010300020102000101020001010400040103000201040006010200
+0401030004010200000101000601030003010400050103000201010000010100000101000501040
+00501030003010500020102000101010003010200040103000401020000010100
+0601040003010200010101000201030002010300000102000101020001010100010105000301030
+002010000000103005601011206010111011206010111710102009f010100a501
+010029010000040100006701011206010111011206010111710102009f010100a50101002901010
+0020101006701011206010111011206010111700104009d010300a30103002901
+04006801011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff013401d80
+04901011206010111011206010111ff013401d800490101120601011101120601
+0111ff013401d8004901011206010111011206010111140107001b0102001f01000015010000100
+10300280100000701000039010000230105001301d80049010112060101110112
+0601011115010100020101001c0101001e010200130102000e01010001010100270100000601020
+03801000024010100010101001201d80049010112060101110112060101111501
+0100030100001c0101001f010000150100000f01010001010100260101000701000038010100240
+10100010101001201d80049010112060101110112060101111501010021010100
+470101002a0101004101010024010100010101001201d8004901011206010111011206010111150
+10100010100000401030002010100000103000801040003010300020100000001
+0100000101000201040003010300030101000001020008010300030101000001020004010100060
+10300020101000001030001010000000101000001010002010400020106000201
+0300050103000201010000010200120103000201010000010200020106000301030002010100000
+103000e01010001010100060107000401d8004901011206010111011206010111
+1501040003010100010101000201020001010100060101000001020002010100010101000101010
+00001010000010100000101000201010004010100040101000101010009010100
+0401010001010100020104000301010001010100020102000101010000010100000101000001010
+00001010002010100030101000701010004010100010101000201010001010100
+1001010001010100020101000101010003010100050101000101010002010200010101000d01010
+001010100060107000401d8004901011206010111011206010111150101000101
+0000020101000301010001010100020101000501010002010100010101000301010000010100000
+10100000101000001010002010100040101000401010001010100090101000401
+0100010101000301010004010100030101000101010002010100000101000001010000010100000
+10100020101000301010007010100030101000301010001010100010101000f01
+010002010100020101000101010003010100040101000201010002010100020101000d010400140
+1d800490101120601011101120601011115010100050101000301010001010100
+0a01010002010100010101000301010000010100000101000001010003010300040101000401010
+00101010009010100040101000101010003010100040101000301010001010100
+0501010000010100000101000301030003010100070101000301010003010100010101000101010
+00f01060002010100010101000301010004010600020101001201030008010700
+0401d8004901011206010111011206010111150101000501010003010100010101000a010100020
+10100010101000301010000010100000101000001010001010100010101000401
+0100040101000101010009010100040101000101010003010100040101000301010001010100050
+10100000101000001010001010100010101000301010007010100030101000301
+010001010100010101000f010100070101000101010003010100040101000701010011010100000
+10100080107000401d80049010112060101110112060101111501010005010100
+03010100010101000a0101000201010001010100030101000001010000010100000101000001010
+00201010004010100040101000101010009010100040101000101010003010100
+0401010003010100010101000501010000010100000101000001010002010100030101000701010
+0030101000301010001010100010101000f010100070101000101010003010100
+040101000701010011010100010101001401d800490101120601011101120601011115010100060
+1010001010100020101000b010100000102000201010001010100010101000001
+0100000101000001010001010200040101000401010001010100090101000401010001010100030
+10100050101000101010002010100050101000001010000010100000101000101
+020003010100010100000401010004010100010101000201010001010100040100000a010100020
+10000020101000101010003010100010100000201010002010000020101001101
+0100010101001401d80049010112060101110112060101111401030006010300020104000a01020
+00001010002010300020101000001010000010100010102000101010001010500
+0101020000010300060105000101020000010300010103000501030002010400030101000001010
+00001010001010200010101000301020003010500030103000201020000010300
+020102000a01030002010200000103000301020004010300020104000e010300010101001301d80
+04901011206010111011206010111d50101005c01d80049010112060101110112
+06010111d50101005c01d8004901011206010111011206010111d40101005d01d80049010112060
+10111011206010111ff013401d8004901011206010111011206010111ff013401
+d8004901011206010111011206010111ff01340104000801ca00490101120601011101120601011
+1ff01340104000801ca004901011206010111011206010111ff013401d8004901
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff01570101120601011100120911ff01ff0157010112
+081109120011ff01ff01570109120011011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff12ff1259120601011101120601
+0011ff12ff125a120601011101121e0100110012ff01ff012701001100121e01011101121e01001
+10012ff01ff012701001100121e01011101121e0100110012ff01ff0127010011
+00121e01011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0
+12701001100121e01011101121e0100110012ff01ff012701001100121e010111
+01121e0100110012ff01ff012701001100121e01011101121f110012ff11ff11281100122011001
+2ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matrelops.ps b/books/ps/h-matrelops.ps
new file mode 100644
index 0000000..315893b
--- /dev/null
+++ b/books/ps/h-matrelops.ps
@@ -0,0 +1,1146 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:18:41 1991
+%%Title: h-matrelops.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matrelops.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+00201070002014900220104000401020008010100020102002c01030019010400
+03010400070106001301020055010000070100003f0106000201040002010200020103000201020
+004010100040102000201280000011d0001120601011101120601011105000201
+0d00020100000201050002010700020149002101010001010200020100000101010008010100020
+100002c0101000101010017010100010102000101010001010200070101000101
+02001301010055010000060102003e0106000201040002010200020103000201020004010100040
+102000201260004011b00011206010111011206010111050002010d0002010000
+0201050002010700020149002101010002010100020100000101010008010100020100002c01010
+00101010017010100020101000101000003010100070101000201010013010100
+54010100070100003f010600020104000201020002010300020102000b010200020124000801190
+0011206010111011206010111050002010e000401060002010700020149002101
+000003010100010101000201010007010200010100002c0101001b0100000301010006010100070
+10100020101001301010054010100480106000201040002010200020103000201
+0200020100000301000002010200020122000c01170001120601011101120601011105000801080
+00401060002010700020149002601010001010100020101000701020001010000
+0201040002010000000101000001010003010300030103000001000008010100060103000201010
+0000103000b010100050101000801010002010100010104000401030003010100
+0101020001010400030103000001010002010300090103000201010000010200040103000201010
+00001030002010400020106000201030005010300020101000001020003010300
+00010000210106000a010200020103000201020002010000030100000201020007011b001001150
+00112060101110112060101110500090108000201070002010700020149002601
+0100010101000201010007010000000101000001000001010100020101000101010000010100000
+10100010101000101010001010100020101000701040003010100010101000201
+0200010101000a01010003010200090101000101020000010100020101000201010001010100020
+10100010101000101010002010100010101000101010000010000010101000101
+0100070101000101010002010200000101000201010001010100020102000101010000010100020
+10100030101000701010004010100010101000201010001010100010101000201
+0100210106000a01020002010300020102000201010001010100020102000801180014011300011
+20601011101120601011105000901080002010700020107000201490025010100
+0201010002010100070100000001010000010000010101000201010001010100000101000001010
+00001010002010100010101000301000008010100040101000301010001010100
+0201010009010100060101000801050001010100020101000101010002010100020101000001010
+00201010002010100010101000101010002010100020101000601010003010100
+0101010002010100000101000201010002010100020101000001010002010100030101000701010
+0030101000301010001010100010101000101010003010000210106000a010200
+0201030002010200020101000101010002010200080116001801110001120601011101120601011
+1050002010e000401060002010700020149002401010003010100020101000701
+0000010102000401030001010100000101000001010000010600020102000b01010004010100030
+10100010101000d01010008010100070101000801030001010100070103000601
+0300010101000101010002010600060101000301010001010100020101000001060002010100080
+10300030101000701010003010100030101000101010001010100020102002401
+0600020104000201020002010300020102000201050002010200020121000e01160001120601011
+1011206010111050002010e000401060002010700020149002301010004010100
+0201010007010000010102000201010001010100010101000001010000010100000101000901020
+0090101000401010003010100010101000c010100090101000701010006010100
+010101000101010007010300040101000101010002010300030101000b010100030101000101010
+00201010000010100070101000601010001010100030101000701010003010100
+0301010001010100010101000401020022010600020104000201020002010300020102000201050
+002010200020121000e011600011206010111011206010111050002010d000201
+0000020105000201070002014900220101000501010002010100070100000201010001010100020
+10100010101000001010000010100000101000601000003010100080101000401
+010003010100010101000b0101000a0101000701010005010100020101000101010003010000020
+1010000010100020101000201010001010000070101000b010100030101000101
+0100020101000001010007010100050101000201010003010100070101000301010003010100010
+10100010101000101000003010100210106000201040002010200020103000201
+02000201050002010200020121000e011600011206010111011206010111050002010d000201000
+00201050002010700020149002101010003010000020101000101000008010000
+0201010001010100010102000101010000010100000101000101010002010000010101000201010
+0080101000501010001010100020101000a010100030100000101000003010100
+0701010005010100010102000201010001010100020101000101010001010100010102000101050
+00301010002010000070101000101010002010100010101000201010002010000
+0201010005010100010102000301010001010000040101000401010001010100020101000101010
+00101010002010100210106000201040002010200020103000201020002010500
+02010200020121000e011600011206010111011206010111050002010c000201020002010400020
+10700020149002101060002010100010100000701020002010000020102000101
+0100000101000001010000010100020103000201000000010300080103000501030002010400080
+10600010101000101010007010300050102000101010002010300020103000001
+0200010102000101010001010500030103000901030003010400040103000201040004010200010
+10100030102000301050003010300020102000001030000010000000103002201
+0600020104000201020002010300020102000201050002010200020121000e01160001120601011
+1011206010111050002010c000201020002010400020107000201490021010500
+040102005a010500030103003501000004010000190101006d01060002010400020102000201030
+00201020002010500020102000201470001120601011101120601011105000201
+0b0002010400020103000201070002014900ce01010002010100190101006d01060002010400020
+10200020103000201020002010500020102000201470001120601011101120601
+011105000901040002010400020103000201070002014900cf010400190103006c0106000201040
+00201020009010200020105000201020008014100011206010111011206010111
+05000a01020002010600020102000201070002014900ff015f01060002010400020103000801020
+00201050002010200090140000112060101110112060101110600090103000101
+0700010103000101080001014900ff015f010700010105000101040006010400010106000101030
+0080140000112060101110112060101117b00ff015f017b000112060101110112
+060101117b00ff015f017b000112060101110112060101117b00ff015f017b00011206010111011
+2060101117b00ff015f017b000112060101110112060101117b00ff015f017b00
+0112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b0
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b0059010300210105002001000013010000040100001f010000100101000301050004010000580
+17b000112060101110112060101117b0058010100010101002101010001010100
+1e01020012010000030101000d0100000f0102000e01000006010100010101000401000057017b0
+00112060101110112060101117b00580101000101010021010100020101001e01
+000013010100020101000d010000100100000e01010006010100010101000401000057017b00011
+2060101110112060101117b005801010025010100020101003301010001010100
+0d0101001f01010007010100010101000401010056017b000112060101110112060101117b00580
+10100040101000001030003010300020100000001010000010100070101000201
+0100020103000201000000010100000101000201040003010300030101000001020008010500030
+10300030105000101010001010200020103000401010002010100010101000601
+0100010101000501010056017b000112060101110112060101117b0057010400030102000101010
+00101010001010100010101000001010000010100060101000201010001010100
+0101010001010100000101000001010000010100020101000401010004010100010101000601060
+00201010001010100030101000301000000010200010101000301010003010000
+00010100000101000101010007010100010101000501010056017b0001120601011101120601011
+17b00580101000501010002010100000101000301010000010100000101000001
+0100060101000201010000010100030101000001010000010100000101000001010002010100040
+10100040101000101010006010000000102000001000006010100030101000501
+020001010100020101000601030002010100070104000601010056017b000112060101110112060
+101117b0058010100050101000501010003010100000101000001010000010100
+0601010002010100000101000301010000010100000101000001010003010300040101000401010
+00101010006010000010100000101000003010300040101000501010007010100
+0701020002010100070103000601010057017b000112060101110112060101117b0058010100050
+10100050101000301010000010100000101000001010006010100020101000001
+0100030101000001010000010100000101000101010001010100040101000401010001010100060
+10000030100000201010001010100030101000601010007010100060102000301
+010006010100000101000601010057017b000112060101110112060101117b00580101000501010
+00501010003010100000101000001010000010100060101000201010000010100
+0301010000010100000101000001010000010100020101000401010004010100010101000501000
+00401000001010100020101000301010005010100070101000601010000010100
+0201010006010100010101000401010058017b000112060101110112060101117b0058010100050
+10100060101000101010001010100000101000001010006010100010101000201
+0100010101000101010000010100000101000001010001010200040101000401010001010100050
+10000040100000101010001010200000100000101010001010000020101000701
+0100010100000301000001010100000100000101000006010100010101000401010058017b00011
+2060101110112060101117b005701030003010400050103000201010000010100
+0001010005010500040103000201010000010100000101000101020001010100010105000101020
+00001030004010100020102000101020001010100030102000301010008010200
+0201010003010100020100000501030001010100020100005a017b0001120601011101120601011
+17b00f20100000d0101005b017b000112060101110112060101117b00ff015f01
+7b000112060101110112060101117b00ff015f017b000112060101110112060101117b00ff015f0
+17b000112060101110112060101117b00ff015f017b0001120601011101120601
+01117b00ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060
+101117b00ff015f017b000112060101110112060101117b00ff015f017b000112
+06010111011206010111ff00ff005700011206010111011206010111ff00ff00570001120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ca010100dd010100aa01011206010111011206010111c9010300db01030
+0a901011206010111011206010111ca010100dc010300a9010112060101110112
+060101111701010006010100ff0186010300a901011206010111011206010111160103000401030
+0a401040001010300000102000101020001010200020103000201020001010100
+0201030000010000030103007601010000010300030103000201020001010200020103000201020
+00101010003010300a90101120601011101120601011114010100000101000001
+0100000101000001010000010100a20104000101080000010200010102000101050001010700000
+10600020105007501070001010500010102000101020001010500010107000201
+0300a90101120601011101120601011114010200010102000001020001010200a40102000201030
+00001020000010200010102000001020001010200010106000001020000010200
+0101020001010200740103000001020000010200010102000001010003010100000102000101020
+00101060002010300a90101120601011101120601011114010100000101000001
+0100000101000001010000010100a40102000201020001010200010102000001010001010200010
+10200010103000001010000010300010100000101020001010200740102000101
+0200000102000101020000010100000101000001010000010200010102000101030000010100030
+10100aa010112060101110112060101111601030004010300a601020002010200
+0101020001010200000101000101070001010200050104000201070074010200010102000001020
+001010200000101000001010000010100000107000101020007010100aa010112
+0601011101120601011115010100010101000201010001010100a50102000201020001010200010
+10400020102000601020004010000010103000101020079010200010102000001
+02000101020000010700000102000601020007010100aa010112060101110112060101111401020
+0010102000001020001010200a401020002010200010102000201030002010300
+0101010001010200040102000001020001010300010101007401020000010300000102000101020
+000010700000103000101010001010200b4010112060101110112060101111501
+0000030100000201000003010000a3010a000001030002010200040106000001040003010600020
+1060074010600020105000201020000010100020106000001040006010100aa01
+011206010111011206010111c8010a0000010300020102000501040001010400030100000001030
+00401040075010500040103000301010001010100030104000101040005010300
+a901011206010111011206010111ff017a0102002c010100aa01011206010111011206010111ff0
+17a010200d901011206010111011206010111ff0179010400d801011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff01570101120601011101120601011114010400140108000c0101000301060
+0050103000401030000010600250106002e0104000d0104000401000005010300
+000101001301040013010800030101002101010040010300be01011206010111011206010111140
+10400140108000b01030002010700040103000401030000010700240106002e01
+04000c01060002010100040107001301040013010800020103001f0103003f010300be010112060
+10111011206010111150102001501010000010200000101000c01010004010200
+000102000501020005010200010102000001020026010200320102000c010200000102000201010
+00401020001010200150102001301010000010200000101000301010020010300
+40010200be010112060101110112060101111501020018010200160102000001020005010200050
+10200010102000001020026010200320102000c01020005010200040102000201
+010015010200160102002901030040010200be01011206010111011206010111150102000601030
+00201020001010200020102000301020001010100020104000301020000010200
+0201050002010500010102000001020002010300010103000001020003010300020100000001010
+00001010003010200020103000001020001010200010102001d01020004010300
+0201050002010600010103000101010002010200000101000101040005010200030104000201020
+00101010003010200040104000201000000010100000101000301030003010300
+000100000301030025010200010101000201040001010300000102000101020001010200b901011
+20601011101120601011115010200050105000101020001010200020102000301
+0700010104000301050002010600010106000101020000010200010105000001080001010500010
+10700020102000201080000010200010102001d01020003010500010105000201
+0600020103000401060000010600040102000201060001010700020102000401040002010700010
+1050001010600030103002501070000010600000108000001020001010200b901
+0112060101110112060101111501020004010200010102000001010003010100020102000401060
+00301020003010500010102000001030000010200000103000101020000010200
+0001020001010200000103000001020000010200010102000001070002010200030103000001020
+000010200010102001d0102000201020001010200010102000501020006010300
+0201030000010200000101000101020004010200020101000101020002010600020102000601020
+00201070000010200010102000001020000010200030103002601060000010100
+0101020001010300000102000001020000010200ba0101120601011101120601011115010200040
+10200010102000001010000010100000101000201020004010300000101000301
+0200030102000001020000010200010102000001020001010200010102000001020000010200010
+10200000102000101020000010200010102000001010000010100000101000201
+0200030102000101020001010200000101001e01020002010200010102000101020005010200070
+10300010102000201010003010300040102000501030002010300000101000201
+0200060102000201010000010100000101000001020001010200000103000101000004010100270
+103000001010003010300010102000101020000010500bb010112060101110112
+0601011115010200040102000101020000010100000101000001010002010200040102000701020
+00301020000010200000102000101020000010200010102000101020000010200
+0001070000010200010102000001020001010200000101000001010000010100020102000301020
+00101020001010200000101001e01020002010700010102000501020004010100
+0101030000010200060105000401020003010500020102000601020006010200020101000001010
+00001010000010700010104000501010027010200050105000101020001010200
+00010400bc010112060101110112060101111501020001010100000102000101020000010700020
+10200040102000701020003010200000102000001020001010200000102000101
+0200010102000001020000010200050102000101020000010200010102000001010000010100000
+10100020102000301020001010200010104001f01020002010200060102000501
+0200040101000201020000010200050102000001020004010200020102000001020002010200060
+10200060102000201010000010100000101000001020005010000010103000401
+010027010200040102000001020001010200010102000001020000010100bb01011206010111011
+20601011115010200000102000001020001010200000107000201020004010200
+0701020003010200000102000001020001010200000102000101020001010200000102000001030
+00101010000010200010102000001020001010200000101000001010000010100
+020102000301020001010200020103001f010200020103000101010001010200050102000001010
+00101020001010200000103000101010000010200000102000401020002010200
+0001020002010200060102000601020002010100000101000001010000010300010101000001020
+0000102002e010200040102000001020001010200010102000001020000010200
+ba01011206010111011206010111140107000101050002010200000101000201040002010400040
+106000001070001010600010106000001070001010a0000010300010105000101
+01000001010000010100000106000001030000010300020102001e0106000101060000010400040
+10500010107000101060000010700010106000001070000010400040104000301
+06000001010000010100000101000101060000010600040101002601040003010b0000010300000
+1020001010200b901011206010111011206010111140107000201030003010100
+0101010002010400020104000401060000010600030102000001010002010200000101000001060
+00301040000010300000103000201030002010100000101000001010000010600
+0001030000010300020102001e01060002010400010104000501030002010100000103000301040
+00201020000010200010106000101020000010200000104000401040003010600
+0001010000010100000101000201040001010000000103000401030025010400040102000001060
+0000103000001020001010200b901011206010111011206010111ff0151010100
+ff010301011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff0157010112060101110112060101111301
+030000010300080108000c010100030106000501030004010300000106002501060042010100220
+103000c0100007b0101000b010300080100000501030000010100130104001301
+0800030101002101010047010112060101110112060101111301030000010300080108000b01030
+0020107000401030004010300000107002401060041010300210103000b010100
+7a0103000a01030007010100040107001301040013010800020103001f010300460101120601011
+101120601011114010200010101000901010000010200000101000c0101000401
+020000010200050102000501020001010200000102002601020044010100230102000b0101007b0
+101000c0102000701010004010200010102001501020013010100000102000001
+01000301010020010300460101120601011101120601011114010200010101000c0102001601020
+00001020005010200050102000101020000010200260102006a0102000a010200
+8a01020006010200040102000201010015010200160102002901030046010112060101110112060
+10111140102000101010001010100000103000301020003010200010101000201
+0400030102000001020002010500020105000101020000010200020103000101030000010200030
+10300020100000001010000010100030102000201030000010200010102000101
+0200230100000001010000010100020104000101030000010200030103000201020001010100030
+1050002010300020106006c010200010101000201040003010400000100000001
+0600010106000101030001010100020102000001010001010400050102000301040002010200010
+10100030102000401040002010000000101000001010003010300030103000001
+0000030103004601011206010111011206010111140102000101010001010700020102000301070
+00101040003010500020106000101060001010200000102000101050000010800
+0101050001010700020102000201080000010200010102002301070001010400010108000101050
+0010107000101060001010500010106006c010700010104000201070000010700
+0001060002010300040106000001060004010200020106000101070002010200040104000201070
+00101050001010600030103004601011206010111011206010111140102000101
+0100010103000001020002010200040106000301020003010500010102000001030000010200000
+10300010102000001020000010200010102000001030000010200000102000101
+0200000107000201020003010300000102000001020001010200230107000301020002010300000
+10200000102000101020001010600000102000001030000010200010102000101
+0200700106000301020002010200000103000001030000010200010102000601030002010300000
+10200000101000101020004010200020101000101020002010600020102000601
+0200020107000001020001010200000102000001020003010300460101120601011101120601011
+11401020001010100010102000101020002010200040103000001010003010200
+0301020000010200000102000101020000010200010102000101020000010200000102000101020
+00001020001010200000102000101020000010100000101000001010002010200
+0301020001010200010102000001010024010100000101000001010003010200020102000101020
+00001020001010200010103000001010000010200010102000001020001010200
+0101020070010300000101000301020002010200000102000101020001010200010102000701030
+00101020002010100030103000401020005010300020103000001010002010200
+0601020002010100000101000001010000010200010102000001030001010000040101004701011
+20601011101120601011114010200010101000101020001010200020102000401
+0200070102000301020000010200000102000101020000010200010102000101020000010200000
+10700000102000101020000010200010102000001010000010100000101000201
+0200030102000101020001010200000101002401010000010100000101000301020002010200010
+10200000102000101020001010200040102000101020000010700010102007001
+0200070102000201020000010200010102000101020001010200040101000101030000010200060
+10500040102000301050002010200060102000601020002010100000101000001
+0100000107000101040005010100470101120601011101120601011114010200010101000101020
+00101020002010200040102000701020003010200000102000001020001010200
+0001020001010200010102000001020000010200050102000101020000010200010102000001010
+00001010000010100020102000301020001010200010104002501010000010100
+0001010003010200020102000101020000010200010102000101020004010200010102000001020
+00601020070010200070102000301040002010200010102000101020004010100
+0201020000010200050102000001020004010200020102000001020002010200060102000601020
+00201010000010100000101000001020005010000010103000401010047010112
+0601011101120601011114010200010101000101020000010300020102000401020007010200030
+10200000102000001020001010200000102000101020001010200000102000001
+0300010101000001020001010200000102000101020000010100000101000001010002010200030
+10200010102000201030025010100000101000001010003010200020102000101
+02000001020001010200010102000401020001010200000103000101010001010200000101006d0
+10200070102000201030004010200010102000101020000010100010102000101
+0200000103000101010000010200000102000401020002010200000102000201020006010200060
+10200020101000001010000010100000103000101010000010200000102004e01
+0112060101110112060101111401060001010600020104000201040004010600000107000101060
+0010106000001070001010a000001030001010500010101000001010000010100
+0001060000010300000103000201020026010100000101000001010001010a00000103000101050
+0010104000401060001010600010105006c010400040106000001060000010300
+0001030001010500010107000101060000010700010106000001070000010400040104000301060
+00001010000010100000101000101060000010600040101004701011206010111
+0112060101111501040002010500030104000201040004010600000106000301020000010100020
+10200000101000001060003010400000103000001030002010300020101000001
+0100000101000001060000010300000103000201020026010100000101000001010001010a00000
+103000201030002010400050102000001010002010400030103006d0104000401
+060001010a000001030002010300020101000001030003010400020102000001020001010600010
+10200000102000001040004010400030106000001010000010100000101000201
+040001010000000103000401030046010112060101110112060101111d010200ff016b010200010
+102007801010047010112060101110112060101111d010200ff016b010700c201
+0112060101110112060101111c010400ff016b010500c301011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+157010112060101110112060101111e010300000101000a0104000e0100000701
+010083010100210101009b010700080103000f01040097010112060101110112060101111d01070
+00a0104000d01010006010300810103001f0103009a010700080103000f010400
+97010112060101110112060101111d010200010102000c0102000d0101000701010083010100200
+103009b0102000001020009010200110102009701011206010111011206010111
+1d010200020101000c0102000c010200b00103009b0102000101010009010200110102009701011
+20601011101120601011115010400020103000101010002010300050102000201
+0200000103000001060002010400040103000101030000010200630100000001010000010100020
+10400010103000001020001010200000103000101030000010000030103007f01
+0200010101000301030002010200010102000101020006010200000101000001060003010300050
+10200040103000101030000010200840101120601011101120601011114010600
+0201030004010500040102000201020000010300000106000201040003010500000108006201070
+00101040001010800000102000001030000010600030103007f01070001010500
+0101020001010200010104000301060000010700010105000401020003010500000108008301011
+20601011101120601011114010100010102000301030002010200010102000301
+0200020102000101020001010200070102000201020001010200000103000001020062010700030
+10200020103000001020000010200010102000001020000010200030103008001
+0600000102000101020000010100030101000101040002010300000102000001030000010200000
+10200010102000301020002010200010102000001030000010200830101120601
+0111011206010111170103000401030001010200010102000301020002010200010102000101020
+00701020002010200010102000001020001010200620101000001010000010100
+0301020002010200010102000001020001010200000103000101000004010100810103000001010
+00001020001010200000101000001010000010100010102000401020002010100
+0001020001010200000102000101020003010200020102000101020000010200010102008301011
+20601011101120601011115010500010101000101030000010200010102000301
+0200020102000101020001010200070102000201020001010200000102000101020062010100000
+10100000101000301020002010200010102000001020001010200010104000501
+0100810102000401020001010200000101000001010000010100010102000401020005010200010
+10200000107000301020002010200010102000001020001010200830101120601
+0111011206010111140102000001020001010100020102000001020001010200030102000201020
+00101020001010200070102000201020001010200000102000101020062010100
+0001010000010100030102000201020001010200000102000101020000010000010103000401010
+08101020004010200010102000001070001010200010101000001020005010200
+0101020000010200080102000201020001010200000102000101020083010112060101110112060
+10111140102000001020001010200010102000001020001010200030102000201
+0200000103000101020000010100040102000201020001010200000102000101020062010100000
+10100000101000301020002010200010102000001020000010300000102000001
+0200880102000401020001010200000107000101020000010200000103000101010000010200010
+10200000103000101010003010200020102000101020000010200010102008301
+0112060101110112060101111401070000010700010105000201060000010700010105000201060
+001010500000103000001030062010100000101000001010001010a0000010300
+000107000001060004010100800104000401050002010200000101000101070001010a000001030
+00101060001010600010105000001030000010300830101120601011101120601
+0111150102000001020000010100000103000301030003010600010103000001010002010300030
+1060002010300010103000001030062010100000101000001010001010a000001
+030001010300000101000001000000010300040103007f010400050103000301010001010100010
+10700020104000001030000010300020104000201060002010300010103000001
+03008301011206010111011206010111f7010100ff015d01011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff0157010112060101110112060101113b0101009c010400030104000301030000010100990
+10400c4010112060101110112060101113a0103009b0104000301040002010700
+99010400c4010112060101110112060101113a0103009d0102000501020002010200010102009b0
+10200c4010112060101110112060101113a0103009d0102000501020002010200
+020101009b010200c40101120601011101120601011116010200000101000201030002010100000
+10300010103000001020002010300870103000001020001010200000103000301
+0200050102000201030001010100000101000001030002010400040102000001010002010300650
+10300000100000301030005010200020102000101020002010300b20101120601
+0111011206010111150106000101050001010700000103000001020002010300870108000001020
+00001030003010200050102000301030003010700000106000201060001010500
+630106000201050004010200020102000101020001010500b101011206010111011206010111140
+10300000102000001020001010200000103000001020000010200010102000201
+0300880103000001020000010200010102000301020005010200040103000201030000010200000
+10100010102000101030000010200000102000101020062010200000102000101
+0200010102000301020002010200010102000001020001010200b00101120601011101120601011
+11401020002010100000102000101020000010200010102000101020000010100
+0401010089010200010102000001020001010200030102000501020005010300010102000101020
+00301030001010200020101000001020001010200620103000101000001010200
+010102000301020003010200000101000101020001010200b001011206010111011206010111140
+10200050102000101020000010200010102000101050004010100890102000101
+0200000102000101020003010200050102000201010001010300000102000101020001010500010
+10200050107006301040002010200010102000301020003010200000101000101
+0700b00101120601011101120601011114010200050102000101020000010200010102000201030
+00501010089010200010102000001020001010200030102000501020002010100
+0201020000010200010102000001020000010200010102000501020067010000010103000101020
+001010200030102000301040002010200b5010112060101110112060101111401
+0300010101000001020001010200000102000001030002010300910102000101020000010200000
+10300030102000501020002010200010102000001020000010300000102000001
+0200010103000101010000010300010101006201020000010200010102000101020003010200040
+103000201030001010100b0010112060101110112060101111501060001010500
+0101060004010100060101008801030000010300000107000101060001010600000107000001060
+00101070001010600010106006201060002010500020106000201020004010600
+b001011206010111011206010111160104000301030002010500040102000501030087010300000
+10300010103000001010001010600010106000001010000010300010105000301
+0200000102000201040003010400630100000001030004010300030106000201020005010400b10
+1011206010111011206010111260102000601020007010100b6010200ff015f01
+0112060101110112060101112601020005010300c0010200ff015f0101120601011101120601011
+12501040004010200c0010400ff015e01011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111180103000c01000022010100210100006701040003010400050
+1010006010000840100000701010021010100aa01011206010111011206010111
+180103000b010100210103001f01010067010400030104000401030004010100830101000601030
+01f010300a901011206010111011206010111190102000b010100220101002001
+010069010200050102000501010005010100830101000701010020010300a901011206010111011
+206010111190102000a0102004401020069010200050102000c01020082010200
+2a010300a9010112060101110112060101111601050002010300020106000301030002010200010
+10100010100000001010000010100020104000101030000010200020104000101
+0300000102000101060050010300000102000101020000010300030102000501020003010400020
+10600010103000001020074010600020104000201000000010100000101000301
+0300030103000001000003010300a90101120601011101120601011115010600010105000101060
+00201050001010700000107000101040001010800000106000001080000010600
+5001080000010200000103000301020005010200030104000201060001010300000102007401060
+00201040002010700010105000101060003010300a90101120601011101120601
+0111140102000001030000010200010102000101020004010200010102000101060000010700030
+10200020103000001020000010100010102000101030000010200010102005401
+0300000102000001020001010200030102000501020005010200030102000401020001010200750
+1020007010200020107000001020001010200000102000001020003010300a901
+0112060101110112060101111401020001010200000102000101020001010200040102000101020
+00101030000010100000101000001010000010100030102000201020001010200
+0301030001010200010102000101020054010200010102000001020001010200030102000501020
+00501020003010200050102000001010076010200070102000201010000010100
+000101000001020001010200000103000101000004010100aa01011206010111011206010111140
+10200010102000001070001010200040107000101020004010100000101000001
+0100030102000201020001010200010105000101020001010200010102005401020001010200000
+10200010102000301020005010200050102000301020005010500760102000701
+0200020101000001010000010100000107000101040005010100aa0101120601011101120601011
+11401020001010200000102000601020004010200060102000401010000010100
+0001010003010200020102000101020000010200000102000101020001010200010102005401020
+00101020000010200010102000301020005010200050102000301020006010300
+770102000701020002010100000101000001010000010200050100000101030004010100aa01011
+20601011101120601011114010200010102000001030001010100010102000001
+0100010103000101010001010200040101000001010000010100030102000201020001010200000
+10200000102000101020001010200010102000001010051010200010102000001
+0200000103000301020005010200050102000301020000010100030103007701020000010100040
+1020002010100000101000001010000010300010101000001020000010200b101
+0112060101110112060101111501060001010600010105000201060000010400030101000001010
+00001010001010a000001030000010b0000010300010105005001030000010300
+0001070001010600010106000101060001010500040101007801050002010600000101000001010
+000010100010106000001060004010100aa010112060101110112060101111601
+0200000101000201040003010300040104000101040003010100000101000001010001010a00000
+10300010102000001060000010300020103005101030000010300010103000001
+0100010106000101060001010600020103000401020079010300030106000001010000010100000
+1010002010400010100000001030004010300a901011206010111011206010111
+fe010200a8010100aa01011206010111011206010111fd010300ff0155010112060101110112060
+10111fd010200ff015601011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+01110112060101111301030018010300000101000a0104000e010000070101006f0104001701010
+0ff01660101120601011101120601011113010300170107000a0104000d010100
+06010300160103005301040016010300ff016501011206010111011206010111140102001701020
+0010102000c0102000d01010007010100160105005401020016010300ff016501
+0112060101110112060101111401020017010200020101000c0102000c0102001f0102000101020
+05301020016010300ff0165010112060101110112060101111401060002010400
+0301030000010000010103000101010002010300050102000201020000010300000106000201040
+00401030001010300000102000101030000010200470101000001030004010200
+0201020000010300010103000001000003010300ff0165010112060101110112060101111401070
+00001060001010600020103000401050004010200020102000001030000010600
+0201040003010500000108000101010001010200470107000301020002010200000103000001060
+003010300ff016501011206010111011206010111140103000001020000010100
+0101020001010200000102000301030002010200010102000301020002010200010102000101020
+00701020002010200010102000001030000010200040102004801030000010200
+030102000201020001010200000102000001020003010300ff01650101120601011101120601011
+11401020001010200030103000101030001010000040103000101020001010200
+0301020002010200010102000101020007010200020102000101020000010200010102000301020
+04901020001010200030102000201020001010200000103000101000004010100
+ff01660101120601011101120601011114010200010102000101050002010400020101000101030
+00001020001010200030102000201020001010200010102000701020002010200
+010102000001020001010200020102004a010200010102000301020002010200010102000101040
+005010100ff016601011206010111011206010111140102000101020000010200
+0001020001010000010103000101010002010200000102000101020003010200020102000101020
+0010102000701020002010200010102000001020001010200030101004a010200
+01010200030102000201020001010200000100000101030004010100ff016601011206010111011
+20601011114010200010102000001020000010200010102000001020001010200
+0101020000010200010102000301020002010200000103000101020000010100040102000201020
+00101020000010200010102005001020000010300030102000201020000010300
+0001020000010200ff016d010112060101110112060101111301030000010300000107000001060
+00101070001010500020106000001070001010500020106000101050000010300
+00010300030101004a01060002010600000107000001060004010100ff016601011206010111011
+20601011113010300000103000101020000010200000100000001030002010100
+0001030003010300030106000101030000010100020103000301060002010300010103000001030
+00201030049010500030106000101030000010100000100000001030004010300
+ff0165010112060101110112060101117a0101004a01020023010100ff016601011206010111011
+206010111c7010200ff018c01011206010111011206010111c6010400ff018b01
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff00ff005700
+011206010111011206010111ff00ff005700011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01c80175001801011
+206010111011206010111ff01c801750018010112060101110112060101119e01
+0100210100007c0100004e0104000401010004010400050100001a0175001801011206010111011
+2060101111401020001010200040100007a0103001f0101007b0101004d010600
+0201030003010400040101001a01750018010112060101110112060101111501010002010100030
+102007a010100200101007b0101004d0102000001020003010100060102000401
+01001a01750018010112060101110112060101111501010002010000050100009d0102007a01020
+04d01020010010200030102001a01750018010112060101110112060101111501
+0100020100007701030000010000020104000301040000010400000102000201040002010600010
+102000001030000010200010101000301030003010300000100001c0101000001
+0300020104000201020001010100020104000201000000010100000101000301030002010600030
+10300020102000101010002010300000100002e01050003010400050102000201
+0600030103000201020001010100050175001801011206010111011206010111150101000101000
+00301030005010300010101000401000003010300050100000d01010001010100
+0401030002010100020101000301030004010300140106000201040002011000000106000101060
+001010200000103000001070001010500010106001c0107000001060001010700
+000106000101070001010500010106000201050001010700000106002e010500030104000501020
+00201060002010500010107000401750018010112060101110112060101111501
+01000101000005010100030102000101010001010100020101000101020001010100030102000b0
+10000000100000001030002010100010101000001030000010300000102000101
+0100010102000101010013010200000102000401020002010200000103000001030000010200000
+10100010102000201020004010200010102000101060000010200010102000001
+0200000102001c01030000010200000101000101020002010600000101000101020001010700000
+10200010102000101020004010200010102000101060000010200000102002f01
+0200070102000501020003010200040102000101020001010600040175001801011206010111011
+20601011115010100010100000401010004010100020101000101010002010100
+0101010002010000050100000e01020000010100060101000101000000010000000100000001010
+00001010002010100010101000201000014010300010100000401020002010200
+0001020001010200010102000301030002010200040102000101020001010300000101000001020
+00101020000010300010100001c01020001010200030103000201030000010100
+0301030001010100000101000001010000010200010102000101020004010200010102000101030
+00001010000010300010100002f01020007010200050102000301020004010200
+0101020001010300000101000401750018010112060101110112060101111501010000010000050
+10100030101000201010002010100020100000301010018010100010101000301
+0300020100000001010001010300020101000301010018010400050102000201020000010200010
+10200010102000101050002010200040102000101020001010200040107000101
+04001d0102000101020001010500020102000501050001010100000101000001010000010700010
+10200040107000101020005010400300102000701020005010200030102000401
+0700010102000801750018010112060101110112060101111501010000010000050101000301040
+00301010001010000000100000401020015010100020100000201010001010100
+0101010000010100000101000001040006010200150100000101030004010200030104000201020
+00101020000010200000102000201020004010200010102000101020004010200
+05010000010103001c0102000101020000010200000102000201020004010200000102000101010
+00001010000010100000102000601020004010200060102000401000001010300
+2f01020007010200050102000301020004010200060102000801750018010112060101110112060
+10111150101000001000004010100040101000601010000010100000100000201
+0000020101001401010001010100010101000201010001010100000100000101010000010100070
+10000020101001401020000010200040102000201030004010200010102000001
+0200000102000201020000010100010102000001030001010200040103000101010000010200000
+102001c0102000001030000010200000102000201020004010200000102000101
+0100000101000001010000010300010101000101020000010100010103000101010001010200040
+10200000102002f01020007010200050102000301020000010100010103000101
+0100010102000801750018010112060101110112060101111501020005010100010100000201010
+002010000010106000101010001010200040100000e0101000101010000010200
+0101020000010100010100000101000002010100020100000101010001010200140106000201060
+00001060000010300000103000001070001010500010107000001040004010600
+000106001c010600010107000001040003010700000101000001010000010100010106000101050
+00201060000010400030106002e01040004010600010106000101050002010600
+0001040007017500180101120601011101120601011115010100070102000401030003010100000
+1010003010300050102000c010100030101000101020001010100000100000401
+0000030103000301030016010000000103000301060001010a00000103000101020000010200020
+103000301030000010100000104000501040001010000000103001d0105000301
+0200000102000001040004010200000102000001010000010100000101000201040003010300040
+104000101040003010000000103002f0104000401060001010600020103000401
+0400010104000701750018010112060101110112060101114301000026010000370102000101020
+05a010200bd0175001801011206010111011206010111a40107005a010200bd01
+75001801011206010111011206010111a50105005a010400bc01750018010112060101110112060
+10111ff01c80175001801011206010111011206010111ff01c801750018010112
+06010111011206010111ff01c8010400080167001801011206010111011206010111ff01c801040
+0080167001801011206010111011206010111ff01c80175001801011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111a70101000f0101006a0103000301010006010000070101004f010300270101000f0
+10000070101007b01011206010111011206010111a60103000d01030069010300
+0201030004010100060103004e010300260103000d010100060103007a010112060101110112060
+10111a70101000f0101006b010200030101000501010007010100500102002701
+01000e010100070101007b01011206010111011206010111ff01270102000a0102005a010200370
+10200850101120601011101120601011194010300020102000101010002010400
+0301040000010000010104000101030000010200020103000001000039010200000101000201030
+00101030000010200030105000101040002010600020104000401030001010300
+0001020002010300000100003001050002010300030103000001000003010200000101000001020
+00101010002010400020101000001030001010600020104000401030001010300
+0001020067010112060101110012091193010500010107000101040002010700010104000101080
+00001060038010600010105000001080001010600010104000201060002010400
+0301050000010800000106002f01060001010500010106000201060000010700010104000201070
+00001060002010400030105000001080066010112081109120011920102000101
+0200010106000301020002010200000103000301020002010300000102000001020000010200370
+10300000102000001020001010200000103000001020000010200000103000301
+020003010200070102000201020001010200000103000001020000010200000102002e010200000
+10300000102000101020000010200000102000101030000010200010106000301
+0200020103000001020001010200070102000201020001010200000103000001020066010912001
+10112060101119201020001010200010103000001010003010200020102000001
+0200040102000201020001010200000103000101000037010200020101000001020001010200000
+10200010102000001020001010200030102000301020007010200020102000101
+0200000102000101020000010300010100002e01020001010200000102000101020000010300010
+10000010102000201010001010300000101000301020002010200010102000101
+0200070102000201020001010200000102000101020066010112060101110112060101119201020
+00101020001010200070102000201020000010200040102000201020001010200
+0101040038010200050102000101020000010200010102000001020001010200030102000301020
+00701020002010200010102000001020001010200010104002f01020001010200
+0001070001010400020102000601020007010200020102000101020001010200070102000201020
+00101020000010200010102006601011206010111011206010111920102000101
+0200010102000701020003010400050102000201020001010200000100000101030037010200050
+10200010102000001020001010200000102000101020003010200030102000701
+02000201020001010200000102000101020000010000010103002e0102000101020000010200050
+10000010103000101020006010200070102000201020001010200010102000701
+0200020102000101020000010200010102006601011206010111011206010111920102000101020
+00101020007010200020103000701020002010200010102000001020000010200
+3701030001010100000102000101020000010200010102000001020001010200030102000301020
+00001010004010200020102000101020000010200010102000001020000010200
+2e01020001010200000103000101010000010200000102000101030001010100010102000701020
+00201020000010300010102000001010004010200020102000101020000010200
+0101020066010112060101110112060101119301050001010400040106000001060002010a00000
+10300000106003801060001010500000103000001030001010600010106000101
+050002010600010105000001030000010300000106002f010600010106000001060002010600000
+10400040106000001060002010500020106000101050000010300000103006601
+0112060101110112060101119401030002010400040106000101060001010a00000103000001000
+0000103003a010400030103000101030000010300020102000001010001010600
+0201030003010600020103000101030000010300000100000001030031010200000101000201040
+00101000000010300040104000101040004010600000105000401030003010600
+0201030001010300000103006601011206010111011206010111ad01020001010200ff010e01020
+08f01011206010111011206010111ad010700ff010e0102008f01011206010111
+011206010111ae010500ff010e0104008e01011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff12ff12591206010111011206010011ff12ff125a120601
+011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001
+100121e01011101121e0100110012ff01ff012701001100121e01011101121e01
+00110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011
+101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01
+ff012701001100121e01011101121f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matrix.ps b/books/ps/h-matrix.ps
new file mode 100644
index 0000000..d79ca53
--- /dev/null
+++ b/books/ps/h-matrix.ps
@@ -0,0 +1,871 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:49:42 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011a3503001aff032803011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02
+02030202020304020203070202030902011a3b02011a3303011a0703001a0703011a0203021a2c03031a1a03021a0503021a0a03031a2903001a0703001a2703031a4903011a0402
+02030402020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a
+3b02011a3203011a0703011a0803011a0203001a2c03011a0103011a1803011a0003011a0303001a0103011a0803011a0103011a2803001a0603021a2503011a0103011a4803011a
+040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d010c060a010d050202030d0202030002020305020203070202030902
+011a3b02011a3103011a0703021a0803011a0203001a2c03011a0103011a1703011a0203011a0203001a0103011a0703011a0303011a2603011a0703001a2603011a0103011a4803
+011a0402020304020203020202030302020302020b03020202030902011a180208031902010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a
+3003011a0803021a0803021a0103001a2c03011a1b03011a0203011a0103011a0203011a0603011a0303011a2603011a2f03011a4c03011a04020203040202030202020303020203
+020202030002030300020203020202030902011a16020c031702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a3003011a0703001a0003
+011a0803021a0103001a0203041a0203001a0003011a0003011a0303031a0303031a0003001a0803011a0603031a0203011a0003031a0603021a0103001a0203011a0203011a0603
+011a0303011a0003011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0403011a0003031a0303
+031a0203001a0003011a0003011a2e03011a04020a030202020303020203020202030002030300020203020207030402011a140210031502010c060a010d010c060a010d05020903
+0802020307020203070202030902011a3b02011a2f03011a0803001a0003011a0803001a0003011a0003001a0103011a0203011a0103011a0003011a0003011a0103011a0103011a
+0103011a0203011a0703041a0303011a0103011a0203021a0103011a0603031a0303011a0203011a0603011a0303011a0103021a0003011a0203011a0103011a0203021a0103011a
+0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011a0703041a0303021a0103011a0103011a0103011a0103011a0003011a0003011a
+2d03011a04020a030202020303020203020202030102010301020203020208030302011a120214031302010c060a010d010c060a010d050209030802020307020203070202030902
+011a3b02011a2f03011a0003021a0303001a0103011a0803001a0003011a0003001a0103011a0203011a0103011a0003011a0003011a0003011a0203011a0103011a0303001a0803
+011a0403011a0303011a0103011a0203011a0703021a0303011a0203011a0603011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303
+011a0703011a0303011a0303011a0103011a0103011a0103011a0303001a0803011a0503011a0203011a0003011a0303011a0003011a0003011a0003011a2d03011a04020a030202
+020303020203020202030102010301020203020208030302011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a2f03021a
+0103011a0203001a0103011a0803001a0103021a0403031a0103011a0003011a0003011a0003061a0203021a0b03011a0403011a0303011a0103011a0c03031a0203011a0203011a
+0603011a0303011a0103011a0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0203021a0b03011a0503011a0503011a0303011a
+0003011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030e02
+040306020203070202030902011a3b02011a2f03011a0303011a0003001a0203011a0803001a0103021a0203011a0103011a0103011a0003011a0003011a0003011a0903021a0903
+011a0403011a0303011a0103011a0b03001a0103021a0103011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303
+011a0303011a0103011a0103011a0403021a0903011a0503011a0503011a0303011a0003011a0003011a0003011a2d03011a04020203040202030202020303020203020202030502
+0203020202030902011a15020e031602010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a2f03011a0303011a0003071a0603001a
+0203011a0103011a0203011a0103011a0003011a0003011a0003011a0603001a0303011a0803011a0403011a0303011a0103011a0a03011a0203011a0103011a0203011a0603011a
+0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0503011a0503011a
+0303011a0003011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d0502
+02030d0202030002020305020203070202030902011a3b02011a2f03011a0303011a0403011a0803001a0203011a0103011a0103021a0103011a0003011a0003011a0103011a0203
+001a0103011a0203011a0803011a0503011a0103011a0203011a0a03011a0203011a0203011a0103001a0803011a0103011a0203011a0103011a0203011a0203001a0203011a0503
+011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0803011a0503011a0603011a0103011a0103011a0003011a0003011a2d03
+011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030c020203020202030402020307020203
+0902011a3b02011a3003011a0103011a0503011a0703021a0203001a0203021a0103011a0003011a0003011a0003011a0203031a0203001a0003031a0803031a0503031a0203041a
+0803011a0203011a0203011a0103001a0903031a0303041a0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a0003001a0003031a0803031a
+0303041a0503031a0203011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a
+010d050202030c0202030202020304020203070202030902011a3b02011a3103031a0503031a5903041a0403021a1203011aa303011a040202030402020302020203030202030202
+020305020203020202030902011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02011ab903011aa303011a0402020304020203
+02020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d05020903040202030402020303020203070202030902011a3b02011ab803031aa203
+011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c060a010d05020a03020202030602020302020203070202030902011a3b02011a
+ff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a010d010c060a010d06020903030201030702010303020103080201030902011a
+3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a
+3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03
+011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a2003001a13030004040300041f0300041003010403030504040300046d03011a3b02011a3b02010c
+060a010d010c060a010d3b02011a3b02011a6b03011a0103011a1e03021a12030004030301040d0300040f0302040e0300040603010401030104040300046c03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a1e03001a13030104020301040d030004100300040e0301040603010401030104040300046c03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a33030104010301040d0301041f0301040703010401030104040301046b03011a3b02011a3b02010c060a
+010d010c060a010d3b02011a3b02011a6b03011a0203011a0203031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a08030504030303040303050401030104
+01030204020303040403010402030104010301040603010401030104050301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0103
+011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030604020301040103010403030104030300040003020401030104030301040303
+00040003010400030104010301040703010401030104050301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a
+0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030004000302040003000406030104030301040503020401030104020301040603030402030104
+07030404060301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0303031a0403
+011a0403011a0103011a06030004010300040103000403030304040301040503010407030104070302040203010407030304060301046c03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a060300040303000402030104
+0103010403030104060301040703010406030204030301040603010400030104060301046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203
+011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a050300040403000401030104020301040303010405030104070301040603
+010400030104020301040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0103011a0203011a0103011a0103011a
+0003011a0003011a0003011a0103021a0403011a0403011a0103011a0503000404030004010301040103020400030004010301040103000402030104070301040103000403030004
+0103010400030004010300040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a0403031a0203011a0003011a0003
+011a0103021a0103011a0103051a0103021a0003031a0403010402030204010302040103010403030204030301040803020402030104030301040203000405030304010301040203
+00046f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011add0300040d0301047003011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff03
+5f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003
+011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c
+060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a0702
+04030702010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff03
+4003011a04020a030402010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010dff03ff034003011a02020e030202010c060a010d010c060a
+010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c
+060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d1703
+010200030102ac030402040301020403040203030402050301029c03040205030002a603011a1402010c060a010d010c060a010d1703010200030102ab0306020203030203030402
+03030402040303029b03040204030102a603011a1402010c060a010d010c060a010d1703010200030102ab03020200030202030301020603020205030202040303029d0302020403
+0102a603011a1402010c060a010d010c060a010d15030602ab0302021003020205030202040303029d03020203030202a603161a010c060a010d010c060a010d15030602aa030502
+030304020503020205030202040303028a03020200030102020303020503020202030602a303161a010c060a010d010c060a010d1603010200030102ab0305020303040205030202
+050302020403030289030602010305020403020202030602a303011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1603
+010200030102ac03020207030202050302020503020204030302880302020103020200030202010302020303020203030202a603011a1402010c060a010d010c060a010d16030102
+00030102ac03020207030202050302020503020205030102890302020103020200030202010302020303020203030202a603011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d14030602ac030202070302020503020205030202050301028903020201030202000307020303020203030202a603011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030602ac0302020703020205030202050302020503010289030202010302020003
+02020803020203030202a603011a1402010c060a010d010c060a010d1503010200030102ad0302020703020205030202050302029103030200030202000303020103010203030202
+0303020200030102a303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1503010200030102ac0304020403060201030602
+01030602030301028a030602010306020103060201030502a303011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1503
+010200030102ac030402040306020103060201030602020303028a030502020304020203060202030302a403011a1402010c060a010d010c060a010d1503010200030102d3030102
+8e030202bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff037f030202bd03011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010dff037e030302bd03011a1402010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d
+010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dc60303021a0301020d0302020003010228030002
+720300020e03040205030002070301028103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dc6030302190303020b030602
+27030102710301020e03040204030102060303028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc70302021a03
+01020c0302020003020227030102710301021003020204030102060303028003011a1402010c060a010d010c060a010d17030102ad03020229030202010301022603020270030202
+1003020203030202060303028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030302ac0306020303030202030202
+010301020203040202030702000302020103010203030302010303020003020203030202000301020103040202030602530302020003010201030302000300020303030202030602
+030303020503020202030602030303028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030102000301020003
+0102aa030702010305020103070201030402020307020003020206030502000308020103060200030602010306025203060200030602020305020103060202030502040302020203
+0602030303028003011a1402010c060a010d010c060a010d1403020201030202aa030302000302020003020201030202010306020303020202030102010303020003020205030202
+010302020003030200030202000303020003020200030102010302020203020254030202010302020003020200030202010302020103020201030202040302020103020203030202
+03030202060303028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d140301020003010200030102aa03020201030202
+000302020103020201030302000301020303020202030002010303020103020205030202010302020003020201030202000302020203010203030302020302025403020201030202
+000303020103000201030202010302020103020204030202010302020303020203030202070301028103011a00020003010200030102000301020003010200030102000301020003
+0002010c060a010d010c060a010d16030302ac0302020103020200030202010302020103020207030202040303020203020205030202010302020003020201030202000302020603
+0502020302025403020201030202010304020203070201030202040307020303020203030202070301028103011a1402010c060a010d010c060a010d1503010201030102ab030202
+010302020003020201030202010302020703020203030302010300020003020201030102010302020103020200030202010302020003020205030202000302020203020254030202
+0103020200030002010303020103020206030202040302020803020203030202070301028103011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d1403020201030202aa03020201030202000302020103020201030202070302020203030201030102000302020103010201030202010302020003020201030202
+000303020103010200030202000302020203020200030102510303020003020200030202000302020103030201030102010302020003010201030302010301020303020203030202
+000301028803011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1503000203030002aa03030200030302010305020103
+040204030602000307020003060202030502000303020003030201030602000307020103050252030602000306020203060201030502020306020103060201030502040301028103
+011a1402010c060a010d010c060a010dc603030200030302020303020203040204030602000307020103040204030302010303020003030202030402020302020003020202030302
+5403050200030002000303020403040203030302040304020203060202030302040303028003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff037f030202390301028103011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff037f030202bd03
+011a1402010c060a010d010c060a010dff037e030302bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca030102c703
+0302a703011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc9030302c6030302a703011a1402010c060a010d010c060a
+010dca030102c8030202a703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1703010206030102ff0372030202a703011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1603030204030302a4030402010303020003020201030202010302020203
+0302020302020103010202030302000300020303030276030202010301020203040201030302000302020103020201030202a203011a1402010c060a010d010c060a010d14030102
+0003010200030102000301020003010200030102a2030402010308020003020201030202010305020103070200030602020305027503070200030602000308020003020201030202
+a203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030202010302020003020201030202a40302020203030200030202
+00030202010302020003020201030202010306020003020200030202010302020103020275030602000301020103020201030302000302020003020200030202a303011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010d140301020003010200030102000301020003010200030102a4030202020302020103
+020201030202000301020103020201030202010303020003010200030302010300020103020201030202750303020003010203030302010302020103020200030502a403011a1402
+010c060a010d010c060a010d1603030204030302a6030202020302020103020201030202000301020103070201030202050304020203070275030202050305020103020201030202
+00030402a503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030102010301020203010201030102a503020202030202
+010302020103040202030202060302020403000201030302010302027a030202040302020003020201030202010302020003020200030102a403011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010d14030202010302020003020201030202a403020202030202010302020203030202030302010301020103
+02020403020200030202010303020103010275030202040302020003020201030202010302020003020200030202a303011a1402010c060a010d010c060a010d1503000203030002
+0203000203030002a3030a020003030202030202040306020003040203030602020306027403040203030b02000303020003020201030202a203011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dc8030a0200030302020302020503040201030402030300020003030204030402750304020403020200030602
+000303020003020201030202a203011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c
+060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010dc8030402ff037203011a1402010c060a010d010c060a010dc80304021f030302ff034e03011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca0302021e030502ff034d03011a000200030102000301020003010200030102
+000301020003010200030002010c060a010d010c060a010d16030202b00302021d03020201030202ff034c03011a1402010c060a010d010c060a010d16030202b003020204030302
+0303030200030002020303020003000201030302000302028603020201030102030303020203020201030202ab03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d16030202b0030202030305020103060201030602020301020103020286030702010305020103020201030202ab03011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010d13030802ad030202020302020103020200030202000302020103020200030202050302028803
+060200030202010302020003010203030102ab03011a1402010c060a010d010c060a010d13030802ad03020202030202010302020003030201030002010303020103000204030202
+89030302000301020003020201030202000301020003010200030102ab03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+13030802ad030202020307020103040203030402040302028a0302020403020201030202000301020003010200030102ab03011a0002000301020003010200030102000301020003
+01020003010200030002010c060a010d010c060a010d16030202b00302020203020205030002010303020103000201030302040301028a030202040302020103020200030702ab03
+011a1402010c060a010d010c060a010d16030202b003020202030302010301020003020200030202010302020003020291030202040302020103020200030702ab03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030202ae03060201030602000306020103060204030102890304020403050202030202
+00030102ac03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc8030602020304020103000200030302020300020003
+03020403030288030402050303020303010201030102ac03011a1402010c060a010d010c060a010dee030102ff034f03011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dc8030402050301020f030002050305020303040201030402060301020f03000278030702080303020f0304028003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dc8030402040303020d030102040307020103060200030402050303020d030102780307020803
+03020f0304028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dca030202050301020e0301020403020201030202
+010302020003020201030202070301020e030102790302020003020209030202110302028003011a1402010c060a010d010c060a010dca0302021503020204030202010302020103
+02020503020217030202790302020103010209030202110302028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca03
+020203030402030303020003000201030602010302020103020200030502030302020503040203030302000300020103060202030302000300025103020201030102030303020203
+0202010302020103020206030202000301020003060203030302050302020403030201030302000302026d03011a0002000301020003010200030102000301020003010200030102
+00030002010c060a010d010c060a010dca03020203030402020306020103060201030202010302020003050203030202050304020203060201030602010306025103070201030502
+0103020201030202010304020303060200030702010305020403020203030502000308026c03011a1402010c060a010d010c060a010d14030702ad03020205030202020302020003
+020202030202040302020103020201030202050302020703020202030202000302020203020204030202000302025203060200030202010302020003010203030102010304020203
+0302000302020003030200030202000302020103020203030202020302020103020200030302000302026c03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d14030702ad0302020503020202030302010300020203020204030202010302020103020205030202070302020203030201030002020302020403
+030201030002520303020003010200030202010302020003010200030102000301020103020204030202020301020003020201030202000302020103020203030202020302020103
+020200030202010302026c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030702ad0302020503020203030402
+030302020403020201030202010302020503020207030202030304020303020205030402530302020403020201030202000301020003010200030102010302020403020205030202
+010302020003070203030202020302020103020200030202010302026c03011a1402010c060a010d010c060a010dca03020205030202020300020103030202030202040302020103
+020201030202050302020103010203030202020300020103030202030202040300020103030252030202040302020103020200030702010302020103010200030202050302020103
+02020003020208030202020302020103020200030202010302026c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca03
+020205030202020302020003020202030202000301020103020201030202010302020503020200030202030302020203020200030202020302020003010201030202000302025203
+0202040302020103020200030702010302020003020200030302010301020003020201030202000303020103010203030202020302020103020200030202010302026c03011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc803060201030602000306020203050201030702000304020303070201030602
+000306020203050201030602510304020403050202030202000301020103070201030a020003030201030602010306020103050200030302000303026c03011a1402010c060a010d
+010c060a010dc80306020103060200030002000303020403030203030502010304020303070201030602000300020003030204030302020300020003030252030402050303020303
+0102010301020103070202030402000303020003030202030402020306020203030201030302000303026c03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a
+1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003010200030102000301020003010200030102
+00030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a
+1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1a030102ff0379030402
+14030102030301020c030002100301026603011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1a030102ff0379030402
+14030102030301020b0301020f0303026503011a1402010c060a010d010c060a010d19030202ff037b03020214030202010302020b030102100301026603011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d19030102ff037c03020214030202010302020a0302027903011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010d18030202ab03000200030102000301020203040202030102000303029a030302000300020303020200030102
+010304020503020203030402020302020103010201030702010304020203060201030202010301020203040202030302000302025a03011a1402010c060a010d010c060a010d1803
+0102ac0307020003060201030702980306020203060200030602040302020203060201030702000307020003060201030602010307020103040202030202010302025a03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d17030202ac0307020003010201030202010303020003020298030202000302020103
+03020003020200030102010302020403020202030102010302020203060200030702000301020103020202030202050306020303020203030202000301025b03011a000200030102
+000301020003010200030102000301020003010200030002010c060a010d010c060a010d17030102ad03010200030102000301020303030201030202010302029803030201030002
+010302020203010203030302040302020503030202030302000301020003010200030102000301020303030202030202050303020003010203030202040303025c03011a1402010c
+060a010d010c060a010d16030202ad030102000301020003010201030502010302020103020299030402020302020603050204030202030305020203020204030102000301020003
+010201030502020302020503020207030202040303025c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030102ae03
+010200030102000301020003020200030202010302020103020298030002010303020103020205030202000302020403020202030202000302020203020204030102000301020003
+01020003020200030202020302020503020207030202040303025c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d
+15030202ae03010200030102000301020003020200030202010302020003030298030202000302020103030201030102000302020003020204030202020302020003020202030202
+040301020303010200030202000302020203020200030102020302020703020203030102000302025b03011a1402010c060a010d010c060a010d15030102af030102000301020003
+0102000307020003060299030602020306020003070201030602000307020003040203030202010302020003070201030502010304020403060200030202010302025a03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030202af03010200030102000301020103020200030202000305029a0300020003
+0302040304020203020200030202010306020103020200030202000304020303020201030202010302020003020202030302020304020403060200030202000303025a03011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030102c2030202ff036303011a1402010c060a010d010c060a010dd9030202
+ff036303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dd8030402ff036203011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a
+010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010de5030102a703000205030202000301020b030402200301026f03011a1402010c060a010d010c060a010de4030302
+a5030102040306020b0304021f0303026e03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010de4030302a503010204030202
+000302020d0302021f0303026e03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010de4030302a4030202040302020103
+01020d0302021f0303026e03011a1402010c060a010d010c060a010dc703000200030102000301020203040202030102000303020303030292030302000300020303030202030602
+0103020201030102030303020503020202030202000303020003000200030102000301020003030200030202030303026e03011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d14030702aa0307020003060201030702020303029103060202030502010306020103020206030502040302020203020200030302
+00031002020303026e03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030702aa03070200030102010302020103
+030200030202020303029103020200030202010302020103020201030202040302020503020201030202030302020203020201030202000307020003030200030202020303026e03
+011a1402010c060a010d010c060a010dc703010200030102000301020303030201030202010302020303010292030302010300020103020201030202010302020403020205030202
+010302020303020202030202010302020003010200030102000301020003020201030202030301026f03011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d14030702aa03010200030102000301020103050201030202010302020303010293030402020307020103020204030202050302020103020203030202
+02030202010302020003010200030102000301020003020201030202030301026f03011a000200030102000301020003010200030102000301020003010200030002010c060a010d
+010c060a010d14030702aa03010200030102000301020003020200030202010302020103020203030102920300020103030201030202060302020403020201030102010302020103
+02020303020202030202010302020003010200030102000301020003020201030202030301026f03011a1402010c060a010d010c060a010dc7030102000301020003010200030202
+000302020103020200030302980302020003020201030302010301020103020200030102010302020103010201030202010302020303020202030202000303020003010200030102
+0003010200030202010302027503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dc7030102000301020003010200030702
+00030602040301029203060202030602010305020103060202030502020306020003070200030102000301020003050200030302030301026f03011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010dc70301020003010200030102010302020003020200030502040303029103000200030302040304020303
+0302030304020403030203030602010303020003010200030102000301020003050200030302020303026e03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dd903020208030102e60301026f03011a1403010c060a010d010c060a010dd9030202ff036303011a1403010c060a010d010c060a010dd8030402
+ff036203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d290300020703010233030002100301025f030002100301029e03000203030702160301028a03
+011a1403010c060a010d010c060a010d2803010206030302310301020f0303020d0303024b0301020f0303029c03010203030802140303028903011a1403010c060a010d010c060a
+010d280301020703010232030102100301020d0305024a030102100301029d0301020403020201030202140303028903011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010d270302023b0302021f0302020103020248030202af0302020403020201030202140303028903011a1403010c060a010d010c060a010d
+150304020103030200030202010306020203040203030302000300020103030200030202000300020003010200030102010300020003010200030102030303020203060201030202
+010301020203040204030202000301020003030200030202350300020003010200030102020304020203060201030202010301020203040202030302000302027e03030200030002
+03030302020306020103020200030202030303020203020201030202020303028903011a1403010c060a010d010c060a010d14030602000308020003060202030402020306020103
+030200030202000307020003070201030502010306020103070201030402030306020103010201030202350307020003060201030602010307020103040202030202010302027d03
+0602020305020103060201030502030305020103020201030202020303028903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d14030102010302020103030200030202010302020703020202030202000302020103020201030202000307020003070200030202010302020103020205030602030302020203
+0302000302020403020236030702000301020103020202030202050306020303020203030202000301027e0302020003020201030202010302020103020204030502020302020103
+02020003010203030102020303028903011a1403010c060a010d010c060a010d17030302010302020103020201030202070302020203030201030002020302020003010201030102
+000301020003010200030102000301020003010200030202010302020103020205030302000301020303020202030202020301020303020237030102000301020003010203030302
+02030202050303020003010203030202040303027f030302010300020103020201030202010302020403020200030202010302020103020200030102000301020003010203030102
+8a03011a1403010c060a010d010c060a010d150305020103020201030202010302020703020203030402030305020103010200030102000301020003010200030102000301020003
+070201030202050302020703020202030202070302023803010200030102000301020103050202030202050302020703020204030302800304020203070201030202040302020003
+02020103020201030202000301020003010200030102030301028a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403
+020200030202010302020103020201030202070302020203000201030302030303020203010200030102000301020003010200030102000301020003020206030202050302020703
+020202030202080301023803010200030102000301020003020200030202020302020503020207030202040303027f03000201030302010302020603020204030202000302020103
+02020103020200030702030301028a03011a1403010c060a010d010c060a010d14030202000302020103020201030202010302020003010204030202020302020003020203030302
+02030102000301020003010200030102000301020003010200030302010301020103020200030102020302020703020202030302010301023e030102000301020003010200030202
+000302020203020200030102020302020703020203030102000302027e03020200030202010303020103010201030202000301020103020201030202000302020103020200030702
+9003011a1403010c060a010d010c060a010d14030b020003030201030502020306020003060204030102030301020003010200030102000301020003010200030102010306020103
+0502010304020403060201030602030301023803010200030102000301020003070201030502010304020403060200030202010302027d0306020203060201030502000303020103
+0202010305020203020200030102040301028a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030202000306020003
+030202030302030306020003000200030302040302020303010200030102000301020003010200030102000301020203040203030302020304020403060202030402030303023703
+01020003010200030102010302020003020202030302020304020403060200030202000303027d030002000303020403040203030302010303020103020202030302030301020103
+0102030303028903011a1403010c060a010d010c060a010d4203020246030102ff03240301028a03011a1403010c060a010d010c060a010d41030302ff03fa03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d41030202ff03fb03011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010de3030202000301020b030402020306020e030302770300020e03
+0402050300029403011a1403010c060a010d010c060a010d31030302ac0306020b030402020306020e030302760301020e030402040301029403011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d30030502ab030202000302020d03020204030202110302027603010210030202040301029403011a1403010c
+060a010d010c060a010d2f03020201030202aa030202010301020d03020204030202110302027503020210030202030302029403011a1403010c060a010d010c060a010d15030402
+0103030200030202010303020003020200030302000302028f0300020003010200030102020304020203030200030202000302020103010203030302050302020403020202030302
+0003020203030502020303020203030200030202510303020003000203030302020306020303030205030202020306029103011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d1403060200030802000303020003020201030102010302028f030702000306020103020201030202000302020603050204030202
+0403020202030802010306020103050201030202010302025003060202030502010306020203050204030202020306029103011a1403010c060a010d010c060a010d140301020103
+020201030302000302020003020201030202040302029003070200030102010302020203020200030102010302020503020201030202030302020403020203030302000302020003
+020200030302000302020103020201030202000301025103020200030202010302020103020201030202040302020103020203030202030302029403011a1403010c060a010d010c
+060a010d1703030201030202010302020103020200030102040302029103010200030102000301020303030203030302020302020503020201030202030302020403020203030202
+0103020200030202010302020003020201030202020303025203030201030002010302020103020201030202040302020103020203030202030302029403011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d15030502010302020103020201030502030302029203010200030102000301020103050203030302
+02030202050302020103020203030202040302020303020201030202000302020103020200030702020303025303040202030702010302020403070203030202030302029403011a
+1403010c060a010d010c060a010d14030202000302020103020201030202020303020503010292030102000301020003010200030202000302020303030202030202010301020103
+0202010302020303020204030202030302020103020200030202010302020003020207030302520300020103030201030202060302020403020208030202030302029403011a1403
+010c060a010d010c060a010d14030202000302020103020201030202020303029a030102000301020003010200030202000302020203010200030202010302020103010201030202
+010302020303020204030202030302020103020200030202010302020003030201030102010301020003020251030202000302020103030201030102010302020003010201030302
+010301020303020203030202000301029103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030b020003030203030102
+060301029203010200030102000301020003070200030202010302020003060202030502020306020003060200030302000303020103060201030602000302020103020250030602
+02030602010305020203060201030602010305029103011a1403010c060a010d010c060a010d15030202000306020003030202030202050303029103010200030102000301020103
+020200030202000302020003030201030402040303020303060200030602000303020003030202030202000301020203040201030202000303025003000200030302040304020303
+03020403040202030602020303029203011a1403010c060a010d010c060a010d2703020207030102ff03ff030b03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d26030302ff03ff031503011a1403010c060a010d010c060a010d26030202ff03ff031603011a1403010c060a010d010c060a010dff03ff03
+4003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010de1030702130306020e03030277030002
+1503030205030102030301020c030002100301026603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010de103080212030602
+0e030302760301021503030205030102030301020b0301020f0303026503011a1403010c060a010d010c060a010de203020201030202140302021103020276030102160302020503
+0202010302020b030102100301026603011a1403010c060a010d010c060a010de2030202010302021403020211030202750302021603020205030202010302020a0302027903011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1603020200030102020303020403030202030202010301020303020200030102
+020303027f03000200030102000301020203040202030302000302020003020200030202030303020203020201030202020302020203030200030202030305020203030202030302
+000302025103030200030002030303020203060202030302000300020103020200030302000305020203070201030402020306020103020201030102020304020203030200030202
+5a03011a1403010c060a010d010c060a010d1503060201030502020305020103070201030602010305027e0307020003060201030202010302020003050203030502010302020103
+020202030202020308020103060201030502010302020103020250030602020305020103060201030602010302020003030200030602010307020003060201030602010307020103
+040202030202010302025a03011a1403010c060a010d010c060a010d1403030200030202000302020103020200030202010302020103060200030302000302020003020201030202
+7d0307020003010201030202020302020003010201030502020302020103020200030102030301020203020203030302000302020003020200030302000302020103020201030202
+000301025103020200030202010302020103020201030202040302020003020201030202010302020003030200030202000307020003010201030202020302020503060203030202
+03030202000301025b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403020202030102000302020103020200030202
+010302020103030200030102000302020203010200030202010302027d03010200030102000301020303030203030302020302020003020201030202010302020003010200030102
+000301020203020203030202010302020003020201030202000302020103020202030302520303020103000201030202010302020103020204030302010300020103020201030202
+00030202010302020003010200030102000301020303030202030202050303020003010203030202040303025c03011a1403010c060a010d010c060a010d14030202050302020103
+0202000307020103020204030202050307027d0301020003010200030102010305020303030202030202000302020103020201030202000301020003010200030102020302020303
+020201030202000302020103020200030702020303025303040202030702010302020503040202030202010302020003020201030202000301020003010200030102010305020203
+02020503020207030202040303025c03011a1403010c060a010d010c060a010d14030202050302020103020200030202060302020403020205030202820301020003010200030102
+000302020003020203030302020302020003020201030202010302020003070202030202030302020103020200030202010302020003020207030302520300020103030201030202
+060302020403000201030302010302020103020200030202010302020003010200030102000301020003020200030202020302020503020207030202040303025c03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d140303020103010200030202010302020003030201030102010302020403030201030102
+00030302010301027d030102000301020003010200030202000302020203010200030202010302020103020200030202010302020003070202030202030302020103020200030202
+010302020003030201030102010301020003020251030202000302020103030201030102010302020003010201030202000302020103020200030302000302020103020200030102
+0303010200030202000302020203020200030102020302020703020203030102000302025b03011a1403010c060a010d010c060a010d150306020103050202030602000304020403
+0602010306027d0301020003010200030102000307020003020201030602010302020103050202030202000301020103060200030302000303020103060201030602000302020103
+020250030602020306020103050201030602010307020003060201030202010302020003070201030502010304020403060200030202010302025a03011a1403010c060a010d010c
+060a010d1603040203030302040304020103040205030402030304027e03010200030102000301020103020200030202000302020003070201030202020303020303010201030102
+010306020003030200030302020302020003010202030402010302020003030250030002000303020403040203030302020300020003030203030302000301020003010200030202
+0203020201030202010302020003020202030302020304020403060200030202000303025a03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03
+ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d27030402b4030302a0030102b703011a1403010c060a010d010c060a010d27030402b40303021903030281030302160303029b03011a1403
+010c060a010d010c060a010d29030202b50302021803050281030102160305029a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010d29030202b5030202170302020103020298030202010302029903011a1403010c060a010d010c060a010d1603020200030102020303020503020202030202000303020003
+0002000301020003010200030302000302027e0300020003010200030102030303020203000200030102000301020103050204030302020302020103010201030302000302027503
+03020003000202030402020307020203030202030302000302029903011a1403010c060a010d010c060a010d1503060201030502040302020203020200030302000310027d030702
+010305020103070200030602020305020103070201030102010302027403060202030402020307020103050202030102010302029903011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010d140303020003020200030202010302020303020202030202010302020003070200030302000302027d03070200030202
+010302020003070200030302000302020003020201030202010306020403020275030202000302020403020202030102010303020003020201030202040302029a03011a1403010c
+060a010d010c060a010d1403020202030102000302020103020203030202020302020103020200030102000301020003010200030202010302027d03010200030102000301020003
+020201030202000301020003010200030102000302020103020200030202010302020103030200030102030302027603030201030002040302020203000201030302010302020103
+0202030302029b03011a1403010c060a010d010c060a010d14030202050302020103020203030202020302020103020200030102000301020003010200030202010302027d030102
+000301020003010200030702000301020003010200030102000302020103020200030702010302020603020278030402050302020403030202030702020302029c03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d140302020503020201030202030302020203020201030202000301020003010200030102
+00030202010302027d030102000301020003010200030202050301020003010200030102000302020103020200030202060302020703010277030002010303020403020203030302
+0103000200030202080301029c03011a1403010c060a010d010c060a010d140303020103010200030202010302020303020202030202000303020003010200030102000301020003
+0202010302027d0301020003010200030102000303020103010200030102000301020003010200030202010302020003030201030102010302028103020200030202040302020203
+0302010301020003030201030102a203011a1403010c060a010d010c060a010d15030602010305020203060200030702000301020003010200030502000303027d03010200030102
+00030102010306020003010200030102000301020003060202030602000304020603010277030602020306020003070201030602030301029c03011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d1603040203030302030306020103030200030102000301020003010200030502000303027d03010200030102
+000301020203040201030102000301020003010200030102000302020403040201030402050303027603000200030302030306020003070202030402030303029b03011a1403010c
+060a010d010c060a010dff03000301029e0301029c03011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010de1030302ff035a03011a1403010c060a010d010c060a010de1030302cc0303028903011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010de2030202cb0305028803011a1403010c060a010d010c060a010de2030202ca030202010302028703011a1403
+010c060a010d010c060a010d160302020003010202030302020301020003030201030302000302028f03000200030102000301020303030202030002000301020003010201030502
+04030302020302020103010202030302000300027603030200030002030302020003010200030202000303020103040202030202010301020303030202030302000302028703011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030602010305020103070200030302000302028f0307020103050201030702
+000306020203050201030702000306027503060202030602000302020003030200030602010307020103050202030102010302028703011a1403010c060a010d010c060a010d1403
+0302000302020003020201030202000303020003020200030202010302028f0307020003020201030202000307020003030200030202000302020103020201030602000302020003
+02027503020200030202010302020103020200030202010302020003010201030202020306020003020201030202040302028803011a1403010c060a010d010c060a010d14030202
+020301020003020201030202000302020103020201030202000301029003010200030102000301020003020201030202000301020003010200030102000302020103020200030202
+01030202010303020003010200030302010300027503030201030002010302020103020200030202010302020303030202030302000301020003020201030202030302028903011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403020205030202010302020003020201030202010305029003010200030102
+000301020003070200030102000301020003010200030202010302020003070201030202050304027703040202030202010302020003020201030202010305020203020204030702
+020302028a03161a010c060a010d010c060a010d14030202050302020103020200030202010302020203030291030102000301020003010200030202050301020003010200030102
+00030202010302020003020206030202040300020103030275030002010303020103020201030202000302020103020200030202000302020203020204030202080301028a03161a
+010c060a010d010c060a010d140303020103010200030202010302020003020200030302020303029103010200030102000301020003030201030102000301020003010200030102
+000302020103020200030302010301020103020204030202000302027503020200030202010303020003020200030202000303020003020200030202020302020403030201030102
+9003011a1402010c060a010d010c060a010d150306020103050201030602040301029203010200030102000301020103060200030102000301020003010200030602020306020003
+040203030602750306020203060200030702000307020003040204030602030301028a03011a1402010c060a010d010c060a010d1603040203030302020305020403020292030102
+000301020003010202030402010301020003010200030102000301020003020204030402010304020303000200030302760300020003030204030502010303020003010201030202
+000302020003040205030402030303028903011a1402010c060a010d010c060a010d2603020206030202ff0354030202270301028a03011a1402010c060a010d010c060a010d2603
+020205030302ff0354030202b403011a1402010c060a010d010c060a010d2503040204030202ff0354030302b403011a1402010c060a010d010c060a010dff03ff034003011a1402
+010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a
+02020e030202010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03
+ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c
+060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a1402010c060a010d
+010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff1aff1a421a1402010c060a010d010c060a010dff1a
+ff1a571a010c060a010d010c060a010dff03ff034003161a010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010d9e030102210300027c0300024e03
+04020403010204030402050300021a03751a1803010c060a010d010c060a010d1403020401030204040300047a0303021f0301027b0301024d030602020303020303040204030102
+1a03751a1803010c060a010d010c060a010d1503010402030104030302047a030102200301027b0301024d030202000302020303010206030202040301021a03751a1803010c060a
+010d010c060a010d1503010402030004050300049d0302027a0302024d03020210030202030302021a03751a1803010c060a010d010c060a010d1503010402030004770303020003
+0002020304020303040200030402000302020203040202030602010302020003030200030202010301020303030203030302000300021c0301020003030202030402020302020103
+010202030402020300020003010200030102030303020203060203030302020302020103010202030302000300022e03050203030402050302020203060203030302020302020103
+01020503751a1803010c060a010d010c060a010d15030104010300040303030405030304010301040403000403030304050300040d03010401030104040303040203010402030104
+0303030404030304140306020203040202031002000306020103060201030202000303020003070201030502010306021c0307020003060201030702000306020103070201030502
+010306020203050201030702000306022e03050203030402050302020203060202030502010307020403751a1803010c060a010d010c060a010d1503010401030004050301040303
+02040103010401030104020301040103020401030104030302040b030004000300040003030402030104010301040003030400030304000302040103010401030204010301041303
+0202000302020403020202030202000303020003030200030202000301020103020202030202040302020103020201030602000302020103020200030202000302021c0303020003
+020200030102010302020203060200030102010302020103070200030202010302020103020204030202010302020103060200030202000302022f03020207030202050302020303
+02020403020201030202010306020403751a1803010c060a010d010c060a010d15030104010300040403010404030104020301040103010402030104010301040203000405030004
+0e0302040003010406030104010300040003000400030004000301040003010402030104010301040203000414030302010300020403020202030202000302020103020201030202
+030303020203020204030202010302020103030200030102000302020103020200030302010300021c03020201030202030303020203030200030102030303020103010200030102
+000301020003020201030202010302020403020201030202010303020003010200030302010300022f03020207030202050302020303020204030202010302020103030200030102
+0403751a1803010c060a010d010c060a010d150301040003000405030104030301040203010402030104020300040303010418030104010301040303030402030004000301040103
+03040203010403030104180304020503020202030202000302020103020201030202010305020203020204030202010302020103020204030702010304021d030202010302020103
+0502020302020503050201030102000301020003010200030702010302020403070201030202050304023003020207030202050302020303020204030702010302020803751a1803
+010c060a010d010c060a010d150301040003000405030104030304040303010401030004000300040403020415030104020300040203010401030104010301040003010400030104
+00030404060302041503000201030302040302020303040202030202010302020003020200030202020302020403020201030202010302020403020205030002010303021c030202
+0103020200030202000302020203020204030202000302020103010200030102000301020003020206030202040302020603020204030002010303022f0302020703020205030202
+0303020204030202060302020803751a1803010c060a010d010c060a010d150301040003000404030104040301040603010400030104000300040203000402030104140301040103
+010401030104020301040103010400030004010301040003010407030004020301041403020200030202040302020203030204030202010302020003020200030202020302020003
+0102010302020003030201030202040303020103010200030202000302021c0302020003030200030202000302020203020204030202000302020103010200030102000301020003
+030201030102010302020003010201030302010301020103020204030202000302022f030202070302020503020203030202000301020103030201030102010302020803751a1803
+010c060a010d010c060a010d1503020405030104010300040203010402030004010306040103010401030204040300040e0301040103010400030204010302040003010401030004
+010300040203010402030004010301040103020414030602020306020003060200030302000303020003070201030502010307020003040204030602000306021c03060201030702
+000304020303070200030102000301020003010201030602010305020203060200030402030306022e03040204030602010306020103050202030602000304020703751a1803010c
+060a010d010c060a010d150301040703020404030304030301040003010403030304050302040c030104030301040103020401030104000300040403000403030304030303041603
+0002000303020303060201030a02000303020103020200030202020303020303030200030102000304020503040201030002000303021d0305020303020200030202000304020403
+0202000302020003010200030102000301020203040203030302040304020103040203030002000303022f03040204030602010306020203030204030402010304020703751a1803
+010c060a010d010c060a010d430300042603000437030202010302025a030202bd03751a1803010c060a010d010c060a010da40307025a030202bd03751a1803010c060a010d010c
+060a010da50305025a030402bc03751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03
+c803041a0803671a1803010c060a010d010c060a010dff03c803041a0803671a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03ff035703
+010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010da70301020f03
+01026a0303020303010206030002070301024f030302270301020f030002070301027b03010c060a010d010c060a010da60303020d03030269030302020303020403010206030302
+4e030302260303020d030102060303027a03010c060a010d010c060a010da70301020f0301026b03020203030102050301020703010250030202270301020e030102070301027b03
+010c060a010d010c060a010dff03270302020a0302025a030202370302028503010c060a010d010c060a010d53030202000303020103030200030002020304020303040200030002
+020303021603030202030202010301020203040203030402000300020103040201030302000302020203030200030002390302020003010202030302010303020003020203030502
+010304020203060202030402040303020103030200030202020303020003000230030502020303020303030200030002030302020003010200030202010301020203040202030102
+0003030201030602020304020403030201030302000302026703010c060a010d000c090d530302020003030200030602010306020103070201030502140305020103070201030402
+02030702010304020103080200030602380306020103050200030802010306020103040202030602020304020303050200030802000306022f030602010305020103060202030602
+000307020103040202030702000306020203040203030502000308026603010c080d090c000d53030202010302020003020200030202010301020103020201030202000303020003
+020201030202120302020103020201030602030302020203020200030302030302020203030200030202000302020003020237030302000302020003020201030202000303020003
+020200030202000303020303020203030202070302020203020201030202000303020003020200030202000302022e03020200030302000302020103020200030202000302020103
+030200030202010306020303020202030302000302020103020207030202020302020103020200030302000302026603090c000d010c060a010d5303020201030202000303020103
+000204030302010302020003020201030202010302021203020201030202010303020003010203030202020302020003020204030202020302020103020200030302010300023703
+0202020301020003020201030202000302020103020200030202010302020303020203030202070302020203020201030202000302020103020200030302010300022e0302020103
+020200030202010302020003030201030002010302020203010201030302000301020303020202030202010302020103020207030202020302020103020200030202010302026603
+010c060a010d010c060a010d530302020103020201030402030305020103020200030202010307021203020201030202010302020703020202030202000302020403020202030202
+01030202010304023803020205030202010302020003020201030202000302020103020203030202030302020703020202030202010302020003020201030202010304022f030202
+01030202000307020103040202030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d5303
+020201030202000300020103030201030202000302020203040202030202170302020103020201030202070302020303040205030202020302020103020200030002010303023703
+02020503020201030202000302020103020200030202010302020303020203030202070302020203020201030202000302020103020200030002010303022e030202010302020003
+0202050300020103030201030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d53030202
+000303020003020200030202010302020003020201030302040303020103010212030202010302020103020207030202020303020703020202030202010302020003020200030202
+370303020103010200030202010302020003020201030202000302020103020203030202030302020003010204030202020302020103020200030202010302020003020200030202
+2e0302020103020200030302010301020003020200030202010303020103010201030202070302020203020200030302010302020003010204030202020302020103020200030202
+010302026603010c060a010d010c060a010d53030702000306020103070200030602020306021303050201030402040306020003060202030a020003030200030602380306020103
+0502000303020003030201030602010306020103050202030602010305020003030200030302000306022f0306020103060200030602020306020003040204030602000306020203
+0502020306020103050200030302000303026603010c060a010d010c060a010d54030302000301020003000200030302030302020003020201030602020304021503030202030402
+040306020103060201030a020003030200030002000303023a0304020303030201030302000303020203020200030102010306020203030203030602020303020103030200030302
+000300020003030231030202000301020203040201030002000303020403040201030402040306020003050204030302030306020203030201030302000303026603010c060a010d
+010c060a010d6e030202010302023603020201030202ff030e0302028f03010c060a010d010c060a010d6e03070236030702ff030e0302028f03010c060a010d010c060a010d6f03
+050238030502ff030e0304028e03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d010c
+1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000c
+ff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a
+000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-matrixops.ps b/books/ps/h-matrixops.ps
new file mode 100644
index 0000000..657d766
--- /dev/null
+++ b/books/ps/h-matrixops.ps
@@ -0,0 +1,1114 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:18:55 1991
+%%Title: h-matrixops.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matrixops.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+00201070002014900470100000401040007010100020102002c01030019010400
+0301040009010300290100000701000061010600020104000201020002010300020102000401010
+0040102000201280000011d00011206010111011206010111050002010d000201
+000002010500020107000201490046010100030101000101020007010100020100002c010100010
+10100170101000101020001010100010102000701010001010100280100000601
+0200600106000201040002010200020103000201020004010100040102000201260004011b00011
+206010111011206010111050002010d0002010000020105000201070002014900
+45010200030100000301010007010100020100002c0101000101010017010100020101000101010
+00201010006010100030101002601010007010000610106000201040002010200
+02010300020102000b0102000201240008011900011206010111011206010111050002010e00040
+106000201070002014900440103000801010007010200010100002c0101001b01
+00000301010001010000030101000601010003010100260101006a0106000201040002010200020
+1030002010200020100000301000002010200020122000c011700011206010111
+0112060101110500080108000401060002010700020149004601010007010100080102000101000
+00201040002010000000101000001010003010300030103000001000008010100
+0601030002010100000103000b01010006010100060101000301010000010100000102000401030
+00201010000010300020104000201060002010300050103000201010000010200
+0301030000010000430106000a010200020103000201020002010000030100000201020007011b0
+01001150001120601011101120601011105000901080002010700020107000201
+4900460101000501020009010000000101000001000001010100020101000101010000010100000
+10100010101000101010001010100020101000701040003010100010101000201
+0200010101000a01010006010100060101000301010001010200000101000201010001010100020
+10200010101000001010002010100030101000701010004010100010101000201
+0100010101000101010002010100430106000a01020002010300020102000201010001010100020
+10200080118001401130001120601011101120601011105000901080002010700
+0201070002014900460101000701010008010000000101000001000001010100020101000101010
+00001010000010100000101000201010001010100030100000801010004010100
+0301010001010100020101000901010006010100070101000301010001010100020101000001010
+00201010002010100020101000001010002010100030101000701010003010100
+0301010001010100010101000101010003010000430106000a01020002010300020102000201010
+00101010002010200080116001801110001120601011101120601011105000201
+0e00040106000201070002014900460101000801010007010000010102000401030001010100000
+101000001010000010600020102000b0101000401010003010100010101000d01
+0100060101000801010003010100010101000201010000010600020101000801030003010100070
+10100030101000301010001010100010101000201020046010600020104000201
+020002010300020102000201050002010200020121000e011600011206010111011206010111050
+002010e0004010600020107000201490046010100080101000701000001010200
+0201010001010100010101000001010000010100000101000901020009010100040101000301010
+0010101000c010100060101000901010003010100010101000201010000010100
+0701010006010100010101000301010007010100030101000301010001010100010101000401020
+04401060002010400020102000201030002010200020105000201020002012100
+0e011600011206010111011206010111050002010d0002010000020105000201070002014900460
+10100080101000701000002010100010101000201010001010100000101000001
+0100000101000601000003010100080101000401010003010100010101000b010100060101000a0
+10100030101000101010002010100000101000701010005010100020101000301
+0100070101000301010003010100010101000101010001010000030101004301060002010400020
+1020002010300020102000201050002010200020121000e011600011206010111
+011206010111050002010d000201000002010500020107000201490046010100030100000301010
+00701000002010100010101000101020001010100000101000001010001010100
+020100000101010002010100080101000501010001010100020101000a010100030100000101010
+00301000007010100010101000201010001010100020101000201000002010100
+0501010001010200030101000101000004010100040101000101010002010100010101000101010
+00201010043010600020104000201020002010300020102000201050002010200
+020121000e011600011206010111011206010111050002010c00020102000201040002010700020
+14900450104000101010001010100070102000201000002010200010101000001
+0100000101000001010002010300020100000001030008010300050103000201040008010600010
+10600080103000301040004010300020104000401020001010100030102000301
+0500030103000201020000010300000100000001030044010600020104000201020002010300020
+102000201050002010200020121000e0116000112060101110112060101110500
+02010c000201020002010400020107000201490044010500020103005a010500020105001101010
+08f01060002010400020102000201030002010200020105000201020002014700
+011206010111011206010111050002010b0002010400020103000201070002014900cd0101008f0
+10600020104000201020002010300020102000201050002010200020147000112
+0601011101120601011105000901040002010400020103000201070002014900cc0103008e01060
+00201040002010200090102000201050002010200080141000112060101110112
+0601011105000a01020002010600020102000201070002014900ff015f010600020104000201030
+00801020002010500020102000901400001120601011101120601011106000901
+030001010700010103000101080001014900ff015f0107000101050001010400060104000101060
+001010300080140000112060101110112060101117b00ff015f017b0001120601
+01110112060101117b00ff015f017b000112060101110112060101117b00ff015f017b000112060
+101110112060101117b00ff015f017b00011206010111011206010111ff00ff00
+5700011206010111011206010111ff00ff005700011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff0157010112060101110112060101113b010000
+0e01030000010100270101000c010100030101000c010000100101006e0104000d0104000401000
+00301080024010100030101000c01000010010100bc0101120601011101120601
+01113a0101000d010700260103000b010100030101000b0101000f0103006d0104000c010600020
+101000301080024010100030101000b0101000f010300bb010112060101110112
+060101113a0101000d01020000010300270101000c010200010102000b010100100101007001020
+00c01020000010200020101000301010000010200000101002401020001010200
+0b01010010010100bc01011206010111011206010111390102000d0102000101020036010200010
+102000a010200830102000c010200050102000601020027010200010102000a01
+0200cf0101120601011101120601011116010200000101000001020001010100030103000301040
+00201060003010300020102000201010002010300010103000001020003010300
+0201020001010100020104000401020000010100000107000101040002010600010102000101010
+00201040002010300000102006401020004010300020105000201060003010200
+0301020001010100020104000401020000010100020103000201070001010400020106000101020
+001010100020104000201030000010200b0010112060101110112060101111501
+0600000107000101050001010600010106000201050001010200060105000001080001010500010
+10700010104000301060000010700000106000101060001010700010104000201
+0200010102006401020003010500010105000201060003010200030107000001060002010600010
+1050001010700000106000101060001010700010104000201020001010200b001
+0112060101110112060101111401030000010200010106000001020001010200000101000101020
+00201020004010200010102000001020005010200010102000001030000010200
+0001020001010200010106000301020002010300000102000001070000010100010102000201020
+00501060003010200030102000001010065010200020102000101020001010200
+0501020006010200040106000001010001010200010103000001020000010200010102000001070
+000010100010102000201020005010600030102000301020000010100b1010112
+0601011101120601011114010200020101000101030000010100000102000101020003010300020
+10200040102000101020000010200000103000001020001010200000102000101
+0200000102000101020001010300000101000301020002010200020101000001010000010100000
+10100030103000201020005010300000101000301020004010300660102000201
+0200010102000101020005010200060102000401030000010100030103000101020002010100000
+10200010102000001010000010100000101000301030002010200050103000001
+01000301020004010300b2010112060101110112060101111401020006010200040107000101050
+00201020004010700000102000001030000010700000102000101020000010700
+0101020007010200020102000501010000010100000101000101050002010200050102000701020
+00401030066010200020107000101020005010200060102000401020005010500
+0101020005010700000101000001010000010100010105000201020005010200070102000401030
+0b201011206010111011206010111140102000601020004010200050102000001
+0200020102000401020005010200010102000001020005010200010102000001020006010200070
+10200020102000501010000010100000101000001020000010200020102000501
+0200070102000401030066010200020102000601020005010200060102000401020004010200000
+10200010102000501020005010100000101000001010000010200000102000201
+0200050102000701020004010300b20101120601011101120601011114010300010101000101020
+00401030001010100000102000001020002010200000101000101030001010100
+0001020000010300000103000101010000010200010102000001030001010100010102000701020
+00201030001010100000101000301010000010200000102000201020000010100
+0201020007010200030101000001020065010200020103000101010001010200050102000001010
+00301020004010200040102000001020001010300010101000001030001010100
+0001010003010100000102000001020002010200000101000201020007010200030101000001020
+0b101011206010111011206010111150106000001040004010600000107000101
+0500020106000001070001010a00000103000101060000010400040106000101060000010200010
+10200000107000101050001010400040106000001020001010200620106000101
+0600000104000401050002010400020104000301070001010600010106000001020001010200000
+107000101050001010400040106000001020001010200b0010112060101110112
+0601011116010400010104000501040002010200000102000201030004010400020103000001010
+00201040000010300000103000201040001010400040106000201040001010200
+0101020001010200000102000201030002010400040106000001020000010300620106000201040
+00101040005010300030104000201040004010200000102000201040003010400
+010102000101020001010200000102000201030002010400040106000001020000010300b001011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+20601011101120601011118010300030101003101040002010100030101000c01
+000010010100af01000010010100ff010d010112060101110112060101111801030002010300300
+1040002010100030101000b0101000f010300ad0101000f010300ff010c010112
+0601011101120601011119010200030101003301020002010200010102000b01010010010100ae0
+1010010010100ff010d0101120601011101120601011119010200390102000201
+0200010102000a010200c0010200ff0120010112060101110112060101111601050001010400030
+10400030104000001000002010300010103000001020002010400050102000201
+0700010104000201060001010200010101000201040002010300000102008e01000000010100000
+1010002010400020106000101020001010100020104000201030000010200ff01
+0101011206010111011206010111150106000101040002010600010107000101050000010800000
+10600040102000201070000010600010106000101070001010400020102000101
+02008e010700000106000101060001010700010104000201020001010200ff01010101120601011
+10112060101111401020000010300030102000201010001010200010102000001
+0300000102000101020000010300000102000001010001010200040102000201070000010100010
+1020002010200050106000301020003010200000101008f010700000101000101
+02000201020005010600030102000301020000010100ff010201011206010111011206010111140
+10200010102000301020005010300010102000001020001010200010102000001
+0200010102000301030004010200020101000001010000010100030103000201020005010300000
+10100030102000401030090010100000101000001010003010300020102000501
+0300000101000301020004010300ff0103010112060101110112060101111401020001010200030
+10200030105000101020000010200010102000101020000010200010102000101
+0500040102000201010000010100000101000101050002010200050102000701020004010300900
+1010000010100000101000101050002010200050102000701020004010300ff01
+0301011206010111011206010111140102000101020003010200020102000001020002010400020
+10200010102000001020001010200000102000001020004010200020101000001
+0100000101000001020000010200020102000501020007010200040103009001010000010100000
+10100000102000001020002010200050102000701020004010300ff0103010112
+0601011101120601011114010200010102000301020002010200000102000101030004010200010
+10200000102000101020000010200000102000401020002010100030101000001
+0200000102000201020000010100020102000701020003010100000102008f01010000010100000
+10100000102000001020002010200000101000201020007010200030101000001
+0200ff0102010112060101110112060101111501060001010600000107000001060002010500000
+10300000103000001070001010600000102000101020000010700010105000101
+04000401060000010200010102008e0101000001010000010100000107000101050001010400040
+106000001020001010200ff010101011206010111011206010111160102000001
+0100010106000101020000010200010106000201030001010300000103000101020000010200010
+10600000102000101020001010200000102000201030002010400040106000001
+0200000103008e01010000010100000101000101020000010200020103000201040004010600000
+1020000010300ff0101010112060101110112060101112f01020001010200ff01
+ff011f010112060101110112060101112f010700ff01ff011f01011206010111011206010111300
+10500ff01ff012001011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111200101001e010100030101000c01000010010100c10101000b01030008010000030
+1080024010100030101000c01000010010100b301011206010111011206010111
+1f0103001d010100030101000b0101000f010300bf0103000a01030007010100030108002401010
+0030101000b0101000f010300b201011206010111011206010111200101001e01
+0200010102000b01010010010100c10101000c01020007010100030101000001020000010100240
+10200010102000b01010010010100b30101120601011101120601011141010200
+010102000a010200e3010200060102000601020027010200010102000a010200c60101120601011
+10112060101111601030003010400030104000001000002010300010103000001
+02000101070001010400020106000101020001010100020104000201030000010200a9010200010
+10100020104000301040000010000000106000101060003010200030102000101
+0100020104000401020000010100020103000201070001010400020106000101020001010100020
+104000201030000010200a7010112060101110112060101111501050002010400
+0201070001010500000108000001070000010600010106000101070001010400020102000101020
+0a901070001010400020107000001070000010600030102000301070000010600
+020106000101050001010700000106000101060001010700010104000201020001010200a701011
+20601011101120601011114010200010102000301020002010200000103000001
+0200010102000001030000010200000107000001010001010200020102000501060003010200030
+1020000010100ab01060003010200020102000001030000010300000102000101
+0200060102000401060000010100010102000101030000010200000102000101020000010700000
+10100010102000201020005010600030102000301020000010100a80101120601
+0111011206010111140102000101020003010200020102000001020001010200010102000001020
+00101020000010100000101000001010003010300020102000501030000010100
+0301020004010300ac0103000001010003010200020102000001020001010200010102000101020
+00601020004010300000101000301030001010200020101000001020001010200
+000101000001010000010100030103000201020005010300000101000301020004010300a901011
+20601011101120601011114010700030102000201020000010200010107000001
+0200010102000001010000010100000101000101050002010200050102000701020004010300ac0
+10200070102000201020000010200010102000101020001010200060102000401
+0200050105000101020005010700000101000001010000010100010105000201020005010200070
+1020004010300a901011206010111011206010111140102000801020003010400
+0201020005010200010102000001010000010100000101000001020000010200020102000501020
+00701020004010300ac0102000701020003010400020102000101020001010200
+0601020004010200040102000001020001010200050102000501010000010100000101000001020
+00001020002010200050102000701020004010300a90101120601011101120601
+0111140103000101010003010200020103000401030001010100000102000101020000010100030
+10100000102000001020002010200000101000201020007010200030101000001
+0200ab0102000701020002010300040102000101020001010200000101000301020004010200040
+10200000102000101030001010100000103000101010000010100030101000001
+020000010200020102000001010002010200070102000301010000010200a801011206010111011
+20601011115010600010106000001060002010a00000103000001020001010200
+000107000101050001010400040106000001020001010200a901040004010600000106000001030
+00001030001010500020104000201040003010700010106000101060000010200
+01010200000107000101050001010400040106000001020001010200a7010112060101110112060
+10111160104000201060001010600020104000001030000010300000102000101
+020001010200000102000201030002010400040106000001020000010300a901040004010600010
+10a00000103000201030003010400020104000401020000010200020104000301
+0400010102000101020001010200000102000201030002010400040106000001020000010300a70
+10112060101110112060101112601020001010200ff010301020001010200ff01
+1c0101120601011101120601011126010700ff0103010700ff011c0101120601011101120601011
+127010500ff0105010500ff011d01011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+0112060101110112060101112901000004010100030101000a01040005010000070101000d01040
+005010100180100000701010015010100030101000c0100001001010065010400
+14010100030101000c01000010010100d7010112060101110112060101112801010004010100030
+101000a01040004010100060103000c0104000401030016010100060103001401
+0100030101000b0101000f0103006401040014010100030101000b0101000f010300d6010112060
+101110112060101112801010004010200010102000c0102000401010007010100
+0f01020005010100170101000701010015010200010102000b01010010010100670102001401020
+0010102000b01010010010100d701011206010111011206010111270102000401
+0200010102000c01020003010200190102001e0102001f010200010102000a0102007a010200140
+10200010102000a010200ea010112060101110112060101111501040000010000
+0201030002010600010107000001020000010300030102000201060002010400020101000001030
+00401020003010400040102000001010001010400020106000201040004010300
+0101030000010200010107000101040002010600010102000101010002010400020103000001020
+03e01030000010000030102000001010001010400050102000301040002010200
+010101000101070001010400020106000101020001010100020104000201030000010200cb01011
+20601011101120601011114010700010105000101060001010700000102000001
+0300030102000201060002010400020107000301020003010400030106000001060001010600020
+10400030105000001080000010700000106000101060001010700010104000201
+0200010102003d01060002010600000106000401020002010600010107000001070000010600010
+1060001010700010104000201020001010200cb01011206010111011206010111
+1401020000010300000102000101020001010200040107000001020001010200030102000301020
+00701020002010300000102000301020005010200020103000001020000010100
+0101020002010200070102000201020001010200000103000001020000010700000101000101020
+002010200050106000301020003010200000101003e0102000001020001010300
+0001020000010100010102000401020002010100010102000201060000010700000101000101020
+00201020005010600030102000301020000010100cc0101120601011101120601
+0111140102000001020001010200010102000101020004010100000101000001010000010200010
+10200030102000301020007010200020102000101020003010200050102000201
+0200020101000301030002010200070102000201020001010200000102000101020000010100000
+10100000101000301030002010200050103000001010003010200040103003f01
+0300010100000101020002010100030103000401020005010300020103000001010000010100000
+1010000010100030103000201020005010300000101000301020004010300cd01
+0112060101110112060101111401020000010200010107000101020004010100000101000001010
+00001020001010200030102000301020007010200020102000101020003010200
+0501020002010200060105000201020007010200020102000101020000010200010102000001010
+00001010000010100010105000201020005010200070102000401030040010400
+0201020006010500040102000301050002010200040101000001010000010100010105000201020
+0050102000701020004010300cd01011206010111011206010111150104000201
+0200060102000401010000010100000101000001020001010200030102000301020007010200020
+10200010102000301020005010200020102000501020000010200020102000701
+0200020102000101020000010200010102000001010000010100000101000001020000010200020
+102000501020007010200040103003f0100000101030001010200050102000001
+0200040102000201020000010200020102000401010000010100000101000001020000010200020
+10200050102000701020004010300cd0101120601011101120601011114010300
+0401030001010100010102000001010001010100030101000001020000010300030102000301020
+00001010004010200020102000001030003010200050102000201030001010100
+0001020000010200020102000001010004010200020102000101020000010200010102000001010
+00301010000010200000102000201020000010100020102000701020003010100
+000102003e010200000102000101030001010100000102000001020004010200020102000001020
+00201020004010100030101000001020000010200020102000001010002010200
+070102000301010000010200cc01011206010111011206010111140106000201060001010500010
+10200010102000001070001010600010105000201060000010600020106000101
+0600010106000001070001010500020106000101050000010300000103000001020001010200000
+1070001010500010104000401060000010200010102003d010600020106000001
+0700010106000001070000010400030102000101020000010700010105000101040004010600000
+1020001010200cb01011206010111011206010111150106000201040003010300
+0201020001010200010103000001010001010600020103000301060000010500030106000101060
+00201040002010200000102000201030003010600020103000101030000010300
+0001020001010200010102000001020002010300020104000401060000010200000103003d01000
+00001030004010400020102000001020001010600010102000001020000010400
+030102000101020001010200000102000201030002010400040106000001020000010300cb01011
+20601011101120601011114010200010102003f010200ff01f701011206010111
+011206010111140107003f010200ff01f701011206010111011206010111150105003f010400ff0
+1f601011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+170101000f010000290104000201060016010100180100000701010015010100030101000c01000
+0100101005101030005010100030101000c01000010010100f201011206010111
+011206010111160103000d010100290104000201070014010300160101000601030014010100030
+101000b0101000f0103005001030005010100030101000b0101000f010300f101
+011206010111011206010111170101000e0101002b0102000301020000010200150101001701010
+00701010015010200010102000b01010010010100520102000501020001010200
+0b01010010010100f201011206010111011206010111270102002b01020003010200000102002e0
+102001f010200010102000a0102006501020005010200010102000a010200ff01
+0501011206010111011206010111150104000101030000010200010106000301030003010400000
+10000000102000101010002010400050102000301020000010200020103000201
+0200010101000201040002010200010102000101040002010600020104000401030001010300000
+10200010107000101040002010600010102000101010002010400020103000001
+0200350103000001000001010200000103000001050002010700010104000201060001010200010
+10100020104000201030000010200e60101120601011101120601011115010400
+0101080000010600020105000101070000010700000106000401020003010200000102000101050
+00101070001010400020102000101020000010600010106000201040003010500
+0001080000010700000106000101060001010700010104000201020001010200340106000101020
+00001030000010600010107000001060001010600010107000101040002010200
+01010200e6010112060101110112060101111701020002010300000102000101020004010200010
+10200000102000001030001010600000101000101020004010200030102000001
+0200000102000101020001010600030102000201020001010200000101000101020002010200070
+10200020102000101020000010300000102000001070000010100010102000201
+0200050106000301020003010200000101003501020000010200010102000101020000010300000
+10200000107000001010001010200020102000501060003010200030102000001
+0100e70101120601011101120601011117010200020102000101020001010200040102000101020
+00001020000010200020103000001010003010300040102000301020000010200
+0001020001010200010103000001010003010200030102000001010004010300020102000701020
+00201020001010200000102000101020000010100000101000001010003010300
+0201020005010300000101000301020004010300360103000101000001010200010102000001020
+00101020000010100000101000001010003010300020102000501030000010100
+0301020004010300e80101120601011101120601011117010200020102000101020001010200040
+10700000102000001020002010200050105000401020003010200000102000001
+0700010102000701020003010200000101000201050002010200070102000201020001010200000
+10200010102000001010000010100000101000101050002010200050102000701
+0200040103003701040002010200010102000001020001010200000101000001010000010100010
+1050002010200050102000701020004010300e801011206010111011206010111
+1701020002010200010102000101020004010200060104000301020004010200000102000401020
+00301020000010200000102000601020007010200030104000201020000010200
+0201020007010200020102000101020000010200010102000001010000010100000101000001020
+00001020002010200050102000701020004010300360100000101030001010200
+0101020000010200010102000001010000010100000101000001020000010200020102000501020
+00701020004010300e80101120601011101120601011117010200020102000101
+0200010102000001010001010300010101000001030005010200040102000001020004010200030
+10200000102000001030001010100010102000701020004010300020102000001
+0200020102000001010004010200020102000101020000010200010102000001010003010100000
+10200000102000201020000010100020102000701020003010100000102003501
+0200000102000101020000010300000102000101020000010100030101000001020000010200020
+102000001010002010200070102000301010000010200e7010112060101110112
+0601011115010a00000103000101050002010600000106000101040003010700010106000001070
+00101060000010400040106000201020003010700010105000201060001010500
+0001030000010300000102000101020000010700010105000101040004010600000102000101020
+03401060001010700000106000101020001010200000107000101050001010400
+040106000001020001010200e60101120601011101120601011115010a000001030002010300040
+10400020106000001040004010200000102000101060000010600030104000101
+0400040106000201020004010200000102000201030003010600020103000101030000010300000
+10200010102000101020000010200020103000201040004010600000102000001
+0300340100000001030003010300000101000001010000010200020102000101020001010200000
+102000201030002010400040106000001020000010300e6010112060101110112
+060101113801020001010200ff01ff01160101120601011101120601011138010700ff01ff01160
+101120601011101120601011139010500ff01ff01170101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111170101000f01000029010400020101000301010
+00c010000100101009d01000028010100030101000c01000010010100e0010112
+06010111011206010111160103000d0101002901040002010100030101000b0101000f0103009b0
+1010028010100030101000b0101000f010300df01011206010111011206010111
+170101000e0101002b01020002010200010102000b010100100101009c010100280102000101020
+00b01010010010100e001011206010111011206010111270102002b0102000201
+0200010102000a010200ae01020028010200010102000a010200f30101120601011101120601011
+11501040001010300000102000101060003010300030104000001000000010200
+0101010002010400050102000201070001010400020106000101020001010100020104000201030
+0000102008e010600010102000101010002010400040102000001010002010300
+0201070001010400020106000101020001010100020104000201030000010200d40101120601011
+10112060101111501040001010800000106000201050001010700000107000001
+060004010200020107000001060001010600010107000101040002010200010102008e010600010
+10700000106000201060001010500010107000001060001010600010107000101
+04000201020001010200d4010112060101110112060101111701020002010300000102000101020
+00401020001010200000102000001030001010600000101000101020004010200
+0201070000010100010102000201020005010600030102000301020000010100900102000501060
+00001010001010200010103000001020000010200010102000001070000010100
+010102000201020005010600030102000301020000010100d501011206010111011206010111170
+10200020102000101020001010200040102000101020000010200000102000201
+0300000101000301030004010200020101000001010000010100030103000201020005010300000
+10100030102000401030091010200050103000001010003010300010102000201
+0100000102000101020000010100000101000001010003010300020102000501030000010100030
+1020004010300d601011206010111011206010111170102000201020001010200
+0101020004010700000102000001020002010200050105000401020002010100000101000001010
+00101050002010200050102000701020004010300910102000501020005010500
+0101020005010700000101000001010000010100010105000201020005010200070102000401030
+0d601011206010111011206010111170102000201020001010200010102000401
+0200060104000301020004010200000102000401020002010100000101000001010000010200000
+10200020102000501020007010200040103009101020005010200040102000001
+0200010102000501020005010100000101000001010000010200000102000201020005010200070
+1020004010300d601011206010111011206010111170102000201020001010200
+0101020000010100010103000101010000010300050102000401020000010200040102000201010
+00301010000010200000102000201020000010100020102000701020003010100
+0001020090010200000101000201020004010200000102000101030001010100000103000101010
+00001010003010100000102000001020002010200000101000201020007010200
+0301010000010200d50101120601011101120601011115010a00000103000101050002010600000
+10600010104000301070001010600000102000101020000010700010105000101
+04000401060000010200010102008f0105000101040003010700010106000101060000010200010
+10200000107000101050001010400040106000001020001010200d40101120601
+011101120601011115010a000001030002010300040104000201060000010400040102000001020
+00101060000010200010102000101020000010200020103000201040004010600
+0001020000010300900103000201040004010200000102000201040003010400010102000101020
+001010200000102000201030002010400040106000001020000010300d4010112
+060101110112060101113801020001010200ff01ff0116010112060101110112060101113801070
+0ff01ff01160101120601011101120601011139010500ff01ff01170101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff01570101120601011101120601011117010100390106000d010000290
+1040002010100030101000c01000010010100ff01920101120601011101120601
+011116010300380106000c0101002901040002010100030101000b0101000f010300ff019101011
+206010111011206010111170101003b0102000e0101002b010200020102000101
+02000b01010010010100ff019201011206010111011206010111550102000d0102002b010200020
+10200010102000a010200ff01a501011206010111011206010111150104000101
+0300000102000101020001010200020103000201020001010100020103000001000003010300040
+10200020103000001020001010600030103000301040000010000000102000101
+0100020104000501020002010700010104000201060001010200010101000201040002010300000
+10200ff0186010112060101110112060101111501040001010800000102000101
+0200010105000101070000010600020105000301020002010800000106000201050001010700000
+10700000106000401020002010700000106000101060001010700010104000201
+020001010200ff01860101120601011101120601011117010200020103000001020000010200010
+10200000102000101020001010600000102000001020001010200010102000201
+0200030103000001020001010200040102000101020000010200000103000101060000010100010
+10200040102000201070000010100010102000201020005010600030102000301
+020000010100ff01870101120601011101120601011117010200020102000101020001010200000
+10100010102000101020001010300000101000001030001010000010102000101
+0200020102000301020001010200010102000401020001010200000102000001020002010300000
+10100030103000401020002010100000101000001010003010300020102000501
+0300000101000301020004010300ff0188010112060101110112060101111701020002010200010
+10200010102000001010001010700010102000501040002010700020102000301
+0200010102000101020004010700000102000001020002010200050105000401020002010100000
+10100000101000101050002010200050102000701020004010300ff0188010112
+0601011101120601011117010200020102000101020001010400020102000601020004010000010
+10300010102000701020003010200010102000101020004010200060104000301
+0200040102000001020004010200020101000001010000010100000102000001020002010200050
+102000701020004010300ff018801011206010111011206010111170102000201
+0200010102000201030002010300010101000101020004010200000102000101030001010100020
+10200030102000101020001010200000101000101030001010100000103000501
+0200040102000001020004010200020101000301010000010200000102000201020000010100020
+10200070102000301010000010200ff0187010112060101110112060101111501
+0a00000103000201020004010600000104000301060002010600000106000001030000010300010
+10500020106000001060001010400030107000101060000010200010102000001
+07000101050001010400040106000001020001010200ff018601011206010111011206010111150
+10a00000103000201020005010400010104000301000000010300040104000101
+0600000103000001030002010300040104000201060000010400040102000001020001010600000
+10200010102000101020000010200020103000201040004010600000102000001
+0300ff0186010112060101110112060101117701020001010200ff01d7010112060101110112060
+1011177010700ff01d70101120601011101120601011178010500ff01d8010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff00ff0057000112
+06010111011206010111ff00ff005700011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01c801750018010112060
+10111011206010111ff01c801750018010112060101110112060101119e010100
+210100007c0100004e0104000401010004010400050100001a01750018010112060101110112060
+101111401020001010200040100007a0103001f0101007b0101004d0106000201
+030003010400040101001a017500180101120601011101120601011115010100020101000301020
+07a010100200101007b0101004d01020000010200030101000601020004010100
+1a01750018010112060101110112060101111501010002010000050100009d0102007a0102004d0
+1020010010200030102001a017500180101120601011101120601011115010100
+0201000077010300000100000201040003010400000104000001020002010400020106000101020
+00001030000010200010101000301030003010300000100001c01010000010300
+0201040002010200010101000201040002010000000101000001010003010300020106000301030
+0020102000101010002010300000100002e010500030104000501020002010600
+0301030002010200010101000501750018010112060101110112060101111501010001010000030
+1030005010300010101000401000003010300050100000d010100010101000401
+0300020101000201010003010300040103001401060002010400020110000001060001010600010
+10200000103000001070001010500010106001c01070000010600010107000001
+06000101070001010500010106000201050001010700000106002e0105000301040005010200020
+10600020105000101070004017500180101120601011101120601011115010100
+0101000005010100030102000101010001010100020101000101020001010100030102000b01000
+00001000000010300020101000101010000010300000103000001020001010100
+0101020001010100130102000001020004010200020102000001030000010300000102000001010
+00101020002010200040102000101020001010600000102000101020000010200
+000102001c010300000102000001010001010200020106000001010001010200010107000001020
+0010102000101020004010200010102000101060000010200000102002f010200
+0701020005010200030102000401020001010200010106000401750018010112060101110112060
+10111150101000101000004010100040101000201010001010100020101000101
+010002010000050100000e010200000101000601010001010000000100000001000000010100000
+10100020101000101010002010000140103000101000004010200020102000001
+0200010102000101020003010300020102000401020001010200010103000001010000010200010
+1020000010300010100001c010200010102000301030002010300000101000301
+0300010101000001010000010100000102000101020001010200040102000101020001010300000
+1010000010300010100002f010200070102000501020003010200040102000101
+0200010103000001010004017500180101120601011101120601011115010100000100000501010
+00301010002010100020101000201000003010100180101000101010003010300
+0201000000010100010103000201010003010100180104000501020002010200000102000101020
+00101020001010500020102000401020001010200010102000401070001010400
+1d01020001010200010105000201020005010500010101000001010000010100000107000101020
+00401070001010200050104003001020007010200050102000301020004010700
+0101020008017500180101120601011101120601011115010100000100000501010003010400030
+10100010100000001000004010200150101000201000002010100010101000101
+0100000101000001010000010400060102001501000001010300040102000301040002010200010
+10200000102000001020002010200040102000101020001010200040102000501
+0000010103001c01020001010200000102000001020002010200040102000001020001010100000
+10100000101000001020006010200040102000601020004010000010103002f01
+0200070102000501020003010200040102000601020008017500180101120601011101120601011
+11501010000010000040101000401010006010100000101000001000002010000
+0201010014010100010101000101010002010100010101000001000001010100000101000701000
+00201010014010200000102000401020002010300040102000101020000010200
+0001020002010200000101000101020000010300010102000401030001010100000102000001020
+01c01020000010300000102000001020002010200040102000001020001010100
+0001010000010100000103000101010001010200000101000101030001010100010102000401020
+0000102002f010200070102000501020003010200000101000101030001010100
+0101020008017500180101120601011101120601011115010200050101000101000002010100020
+10000010106000101010001010200040100000e01010001010100000102000101
+0200000101000101000001010000020101000201000001010100010102001401060002010600000
+10600000103000001030000010700010105000101070000010400040106000001
+06001c0106000101070000010400030107000001010000010100000101000101060001010500020
+1060000010400030106002e010400040106000101060001010500020106000001
+0400070175001801011206010111011206010111150101000701020004010300030101000001010
+003010300050102000c0101000301010001010200010101000001000004010000
+030103000301030016010000000103000301060001010a000001030001010200000102000201030
+00301030000010100000104000501040001010000000103001d01050003010200
+0001020000010400040102000001020000010100000101000001010002010400030103000401040
+00101040003010000000103002f01040004010600010106000201030004010400
+01010400070175001801011206010111011206010111430100002601000037010200010102005a0
+10200bd0175001801011206010111011206010111a40107005a010200bd017500
+1801011206010111011206010111a50105005a010400bc017500180101120601011101120601011
+1ff01c80175001801011206010111011206010111ff01c8017500180101120601
+0111011206010111ff01c8010400080167001801011206010111011206010111ff01c8010400080
+167001801011206010111011206010111ff01c801750018010112060101110112
+06010111ff01ff015701011206010111011206010111ff01ff01570101120601011101120601011
+1ff01ff015701011206010111011206010111ff01ff0157010112060101110112
+06010111a70101000f010100d6010300270101000f010000070101007b010112060101110112060
+10111a60103000d0103006a01020004010000100100004f010300260103000d01
+0100060103007a01011206010111011206010111a70101000f0101006c010100030102000601000
+0060102004f010200270101000e010100070101007b0101120601011101120601
+0111ff0128010100040100000701000007010000500102003701020085010112060101110112060
+10111940103000201020001010100020104000301040000010000010104000101
+0300000102000201030000010000570101000d01010056010500020103000301030000010000030
+10200000101000001020001010100020104000201010000010300010106000201
+0400040103000101030000010200670101120601011101120601011193010500010107000101040
+00201070001010400010108000001060039010300050102000201010001010100
+0401010000010100020103000401050002010300060102000201010001010100040103003001060
+00101050001010600020106000001070001010400020107000001060002010400
+0301050000010800660101120601011101120601011192010200010102000101060003010200020
+10200000103000301020002010300000102000001020000010200370102000101
+0100020101000101010000010000000100000001030002010000010102000401010005010100070
+10100040101000101010000010000000100000001030001010200010101002e01
+0200000103000001020001010200000102000001020001010300000102000101060003010200020
+10300000102000101020007010200020102000101020000010300000102006601
+0112060101110112060101119201020001010200010103000001010003010200020102000001020
+00401020002010200010102000001030001010000370101000201000003010100
+0101010002010200000101000101010001010100040101000601010006010100050101000101010
+0020102000001010001010100020100002f010200010102000001020001010200
+0001030001010000010102000201010001010300000101000301020002010200010102000101020
+00701020002010200010102000001020001010200660101120601011101120601
+0111920102000101020001010200070102000201020000010200040102000201020001010200010
+10400370101000701010002010100020101000101010001010100010101000401
+0100060101000601010004010100020101000201010001010100020101003201020001010200000
+10700010104000201020006010200070102000201020001010200010102000701
+0200020102000101020000010200010102006601011206010111011206010111920102000101020
+00101020007010200030104000501020002010200010102000001000001010300
+3601010007010100020101000101010002010000010101000201010004010100050101000701010
+00401010002010100010101000201000004010200300102000101020000010200
+0501000001010300010102000601020007010200020102000101020001010200070102000201020
+00101020000010200010102006601011206010111001209119201020001010200
+0101020007010200020103000701020002010200010102000001020000010200360101000701010
+00101010002010100010101000101010001010100040101000601010006010100
+0501010001010100020101000101010002010000020101002f01020001010200000103000101010
+00001020000010200010103000101010001010200070102000201020000010300
+0101020000010100040102000201020001010200000102000101020066010112081109120011930
+1050001010400040106000001060002010a000001030000010600370101000201
+0000020101000101010002010100010101000001020000010200000100000201010001010000030
+10100010100000301010001010000020101000101010002010100010101000001
+0200010102003001060001010600000106000201060000010400040106000001060002010500020
+10600010105000001030000010300660109120011011206010111940103000201
+0400040106000101060001010a00000103000001000000010300390103000401020003010100030
+10100010102000001010004010200050102000501020004010200030101000301
+0100010103003301020000010100020104000101000000010300040104000101040004010600000
+10500040103000301060002010300010103000001030066010112060101110112
+06010111ad01020001010200ff010e0102008f01011206010111011206010111ad010700ff010e0
+102008f01011206010111011206010111ae010500ff010e0104008e0101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff12ff12591206010111011206010011ff12ff125a12060101110112
+1e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e0
+1011101121e0100110012ff01ff012701001100121e01011101121e0100110012
+ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e0
+100110012ff01ff012701001100121e01011101121e0100110012ff01ff012701
+001100121e01011101121f110012ff11ff112811001220110012ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matrixops1.ps b/books/ps/h-matrixops1.ps
new file mode 100644
index 0000000..69dd0fc
--- /dev/null
+++ b/books/ps/h-matrixops1.ps
@@ -0,0 +1,871 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:49:42 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 2.7 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011a3503001aff032803011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02
+02030202020304020203070202030902011a3b02011a3303011a0703001a0703011a0203021a2c03031a1a03021a0503021a0a03031a2903001a0703001a2703031a4903011a0402
+02030402020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a
+3b02011a3203011a0703011a0803011a0203001a2c03011a0103011a1803011a0003011a0303001a0103011a0803011a0103011a2803001a0603021a2503011a0103011a4803011a
+040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d010c060a010d050202030d0202030002020305020203070202030902
+011a3b02011a3103011a0703021a0803011a0203001a2c03011a0103011a1703011a0203011a0203001a0103011a0703011a0303011a2603011a0703001a2603011a0103011a4803
+011a0402020304020203020202030302020302020b03020202030902011a180208031902010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a
+3003011a0803021a0803021a0103001a2c03011a1b03011a0203011a0103011a0203011a0603011a0303011a2603011a2f03011a4c03011a04020203040202030202020303020203
+020202030002030300020203020202030902011a16020c031702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a3003011a0703001a0003
+011a0803021a0103001a0203041a0203001a0003011a0003011a0303031a0303031a0003001a0803011a0603031a0203011a0003031a0603021a0103001a0203011a0203011a0603
+011a0303011a0003011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0403011a0003031a0303
+031a0203001a0003011a0003011a2e03011a04020a030202020303020203020202030002030300020203020207030402011a140210031502010c060a010d010c060a010d05020903
+0802020307020203070202030902011a3b02011a2f03011a0803001a0003011a0803001a0003011a0003001a0103011a0203011a0103011a0003011a0003011a0103011a0103011a
+0103011a0203011a0703041a0303011a0103011a0203021a0103011a0603031a0303011a0203011a0603011a0303011a0103021a0003011a0203011a0103011a0203021a0103011a
+0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011a0703041a0303021a0103011a0103011a0103011a0103011a0003011a0003011a
+2d03011a04020a030202020303020203020202030102010301020203020208030302011a120214031302010c060a010d010c060a010d050209030802020307020203070202030902
+011a3b02011a2f03011a0003021a0303001a0103011a0803001a0003011a0003001a0103011a0203011a0103011a0003011a0003011a0003011a0203011a0103011a0303001a0803
+011a0403011a0303011a0103011a0203011a0703021a0303011a0203011a0603011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303
+011a0703011a0303011a0303011a0103011a0103011a0103011a0303001a0803011a0503011a0203011a0003011a0303011a0003011a0003011a0003011a2d03011a04020a030202
+020303020203020202030102010301020203020208030302011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a2f03021a
+0103011a0203001a0103011a0803001a0103021a0403031a0103011a0003011a0003011a0003061a0203021a0b03011a0403011a0303011a0103011a0c03031a0203011a0203011a
+0603011a0303011a0103011a0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0203021a0b03011a0503011a0503011a0303011a
+0003011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030e02
+040306020203070202030902011a3b02011a2f03011a0303011a0003001a0203011a0803001a0103021a0203011a0103011a0103011a0003011a0003011a0003011a0903021a0903
+011a0403011a0303011a0103011a0b03001a0103021a0103011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303
+011a0303011a0103011a0103011a0403021a0903011a0503011a0503011a0303011a0003011a0003011a0003011a2d03011a04020203040202030202020303020203020202030502
+0203020202030902011a15020e031602010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a2f03011a0303011a0003071a0603001a
+0203011a0103011a0203011a0103011a0003011a0003011a0003011a0603001a0303011a0803011a0403011a0303011a0103011a0a03011a0203011a0103011a0203011a0603011a
+0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0503011a0503011a
+0303011a0003011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d0502
+02030d0202030002020305020203070202030902011a3b02011a2f03011a0303011a0403011a0803001a0203011a0103011a0103021a0103011a0003011a0003011a0103011a0203
+001a0103011a0203011a0803011a0503011a0103011a0203011a0a03011a0203011a0203011a0103001a0803011a0103011a0203011a0103011a0203011a0203001a0203011a0503
+011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0803011a0503011a0603011a0103011a0103011a0003011a0003011a2d03
+011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030c020203020202030402020307020203
+0902011a3b02011a3003011a0103011a0503011a0703021a0203001a0203021a0103011a0003011a0003011a0003011a0203031a0203001a0003031a0803031a0503031a0203041a
+0803011a0203011a0203011a0103001a0903031a0303041a0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a0003001a0003031a0803031a
+0303041a0503031a0203011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a
+010d050202030c0202030202020304020203070202030902011a3b02011a3103031a0503031a5903041a0403021a1203011aa303011a040202030402020302020203030202030202
+020305020203020202030902011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02011ab903011aa303011a0402020304020203
+02020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d05020903040202030402020303020203070202030902011a3b02011ab803031aa203
+011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c060a010d05020a03020202030602020302020203070202030902011a3b02011a
+ff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a010d010c060a010d06020903030201030702010303020103080201030902011a
+3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a
+3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03
+011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a2003001a13030004040300041f0300041003010403030504040300046d03011a3b02011a3b02010c
+060a010d010c060a010d3b02011a3b02011a6b03011a0103011a1e03021a12030004030301040d0300040f0302040e0300040603010401030104040300046c03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a1e03001a13030104020301040d030004100300040e0301040603010401030104040300046c03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a33030104010301040d0301041f0301040703010401030104040301046b03011a3b02011a3b02010c060a
+010d010c060a010d3b02011a3b02011a6b03011a0203011a0203031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a08030504030303040303050401030104
+01030204020303040403010402030104010301040603010401030104050301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0103
+011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030604020301040103010403030104030300040003020401030104030301040303
+00040003010400030104010301040703010401030104050301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a
+0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030004000302040003000406030104030301040503020401030104020301040603030402030104
+07030404060301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0303031a0403
+011a0403011a0103011a06030004010300040103000403030304040301040503010407030104070302040203010407030304060301046c03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a060300040303000402030104
+0103010403030104060301040703010406030204030301040603010400030104060301046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203
+011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a050300040403000401030104020301040303010405030104070301040603
+010400030104020301040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0103011a0203011a0103011a0103011a
+0003011a0003011a0003011a0103021a0403011a0403011a0103011a0503000404030004010301040103020400030004010301040103000402030104070301040103000403030004
+0103010400030004010300040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a0403031a0203011a0003011a0003
+011a0103021a0103011a0103051a0103021a0003031a0403010402030204010302040103010403030204030301040803020402030104030301040203000405030304010301040203
+00046f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011add0300040d0301047003011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff03
+5f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003
+011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c
+060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a0702
+04030702010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff03
+4003011a04020a030402010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010dff03ff034003011a02020e030202010c060a010d010c060a
+010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c
+060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d1703
+010200030102ac030402040301020403040203030402050301029c03040205030002a603011a1402010c060a010d010c060a010d1703010200030102ab0306020203030203030402
+03030402040303029b03040204030102a603011a1402010c060a010d010c060a010d1703010200030102ab03020200030202030301020603020205030202040303029d0302020403
+0102a603011a1402010c060a010d010c060a010d15030602ab0302021003020205030202040303029d03020203030202a603161a010c060a010d010c060a010d15030602aa030502
+030304020503020205030202040303028a03020200030102020303020503020202030602a303161a010c060a010d010c060a010d1603010200030102ab0305020303040205030202
+050302020403030289030602010305020403020202030602a303011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1603
+010200030102ac03020207030202050302020503020204030302880302020103020200030202010302020303020203030202a603011a1402010c060a010d010c060a010d16030102
+00030102ac03020207030202050302020503020205030102890302020103020200030202010302020303020203030202a603011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d14030602ac030202070302020503020205030202050301028903020201030202000307020303020203030202a603011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030602ac0302020703020205030202050302020503010289030202010302020003
+02020803020203030202a603011a1402010c060a010d010c060a010d1503010200030102ad0302020703020205030202050302029103030200030202000303020103010203030202
+0303020200030102a303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1503010200030102ac0304020403060201030602
+01030602030301028a030602010306020103060201030502a303011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1503
+010200030102ac030402040306020103060201030602020303028a030502020304020203060202030302a403011a1402010c060a010d010c060a010d1503010200030102d3030102
+8e030202bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff037f030202bd03011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010dff037e030302bd03011a1402010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d
+010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dc60303021a0301020d0302020003010228030002
+720300020e03040205030002070301028103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dc6030302190303020b030602
+27030102710301020e03040204030102060303028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc70302021a03
+01020c0302020003020227030102710301021003020204030102060303028003011a1402010c060a010d010c060a010d17030102ad03020229030202010301022603020270030202
+1003020203030202060303028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030302ac0306020303030202030202
+010301020203040202030702000302020103010203030302010303020003020203030202000301020103040202030602530302020003010201030302000300020303030202030602
+030303020503020202030602030303028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030102000301020003
+0102aa030702010305020103070201030402020307020003020206030502000308020103060200030602010306025203060200030602020305020103060202030502040302020203
+0602030303028003011a1402010c060a010d010c060a010d1403020201030202aa030302000302020003020201030202010306020303020202030102010303020003020205030202
+010302020003030200030202000303020003020200030102010302020203020254030202010302020003020200030202010302020103020201030202040302020103020203030202
+03030202060303028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d140301020003010200030102aa03020201030202
+000302020103020201030302000301020303020202030002010303020103020205030202010302020003020201030202000302020203010203030302020302025403020201030202
+000303020103000201030202010302020103020204030202010302020303020203030202070301028103011a00020003010200030102000301020003010200030102000301020003
+0002010c060a010d010c060a010d16030302ac0302020103020200030202010302020103020207030202040303020203020205030202010302020003020201030202000302020603
+0502020302025403020201030202010304020203070201030202040307020303020203030202070301028103011a1402010c060a010d010c060a010d1503010201030102ab030202
+010302020003020201030202010302020703020203030302010300020003020201030102010302020103020200030202010302020003020205030202000302020203020254030202
+0103020200030002010303020103020206030202040302020803020203030202070301028103011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d1403020201030202aa03020201030202000302020103020201030202070302020203030201030102000302020103010201030202010302020003020201030202
+000303020103010200030202000302020203020200030102510303020003020200030202000302020103030201030102010302020003010201030302010301020303020203030202
+000301028803011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1503000203030002aa03030200030302010305020103
+040204030602000307020003060202030502000303020003030201030602000307020103050252030602000306020203060201030502020306020103060201030502040301028103
+011a1402010c060a010d010c060a010dc603030200030302020303020203040204030602000307020103040204030302010303020003030202030402020302020003020202030302
+5403050200030002000303020403040203030302040304020203060202030302040303028003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff037f030202390301028103011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff037f030202bd03
+011a1402010c060a010d010c060a010dff037e030302bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca030102c703
+0302a703011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc9030302c6030302a703011a1402010c060a010d010c060a
+010dca030102c8030202a703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1703010206030102ff0372030202a703011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1603030204030302a4030402010303020003020201030202010302020203
+0302020302020103010202030302000300020303030276030202010301020203040201030302000302020103020201030202a203011a1402010c060a010d010c060a010d14030102
+0003010200030102000301020003010200030102a2030402010308020003020201030202010305020103070200030602020305027503070200030602000308020003020201030202
+a203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030202010302020003020201030202a40302020203030200030202
+00030202010302020003020201030202010306020003020200030202010302020103020275030602000301020103020201030302000302020003020200030202a303011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010d140301020003010200030102000301020003010200030102a4030202020302020103
+020201030202000301020103020201030202010303020003010200030302010300020103020201030202750303020003010203030302010302020103020200030502a403011a1402
+010c060a010d010c060a010d1603030204030302a6030202020302020103020201030202000301020103070201030202050304020203070275030202050305020103020201030202
+00030402a503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030102010301020203010201030102a503020202030202
+010302020103040202030202060302020403000201030302010302027a030202040302020003020201030202010302020003020200030102a403011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010d14030202010302020003020201030202a403020202030202010302020203030202030302010301020103
+02020403020200030202010303020103010275030202040302020003020201030202010302020003020200030202a303011a1402010c060a010d010c060a010d1503000203030002
+0203000203030002a3030a020003030202030202040306020003040203030602020306027403040203030b02000303020003020201030202a203011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dc8030a0200030302020302020503040201030402030300020003030204030402750304020403020200030602
+000303020003020201030202a203011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c
+060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010dc8030402ff037203011a1402010c060a010d010c060a010dc80304021f030302ff034e03011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca0302021e030502ff034d03011a000200030102000301020003010200030102
+000301020003010200030002010c060a010d010c060a010d16030202b00302021d03020201030202ff034c03011a1402010c060a010d010c060a010d16030202b003020204030302
+0303030200030002020303020003000201030302000302028603020201030102030303020203020201030202ab03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d16030202b0030202030305020103060201030602020301020103020286030702010305020103020201030202ab03011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010d13030802ad030202020302020103020200030202000302020103020200030202050302028803
+060200030202010302020003010203030102ab03011a1402010c060a010d010c060a010d13030802ad03020202030202010302020003030201030002010303020103000204030202
+89030302000301020003020201030202000301020003010200030102ab03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+13030802ad030202020307020103040203030402040302028a0302020403020201030202000301020003010200030102ab03011a0002000301020003010200030102000301020003
+01020003010200030002010c060a010d010c060a010d16030202b00302020203020205030002010303020103000201030302040301028a030202040302020103020200030702ab03
+011a1402010c060a010d010c060a010d16030202b003020202030302010301020003020200030202010302020003020291030202040302020103020200030702ab03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030202ae03060201030602000306020103060204030102890304020403050202030202
+00030102ac03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc8030602020304020103000200030302020300020003
+03020403030288030402050303020303010201030102ac03011a1402010c060a010d010c060a010dee030102ff034f03011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dc8030402050301020f030002050305020303040201030402060301020f03000278030702080303020f0304028003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dc8030402040303020d030102040307020103060200030402050303020d030102780307020803
+03020f0304028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dca030202050301020e0301020403020201030202
+010302020003020201030202070301020e030102790302020003020209030202110302028003011a1402010c060a010d010c060a010dca0302021503020204030202010302020103
+02020503020217030202790302020103010209030202110302028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca03
+020203030402030303020003000201030602010302020103020200030502030302020503040203030302000300020103060202030302000300025103020201030102030303020203
+0202010302020103020206030202000301020003060203030302050302020403030201030302000302026d03011a0002000301020003010200030102000301020003010200030102
+00030002010c060a010d010c060a010dca03020203030402020306020103060201030202010302020003050203030202050304020203060201030602010306025103070201030502
+0103020201030202010304020303060200030702010305020403020203030502000308026c03011a1402010c060a010d010c060a010d14030702ad03020205030202020302020003
+020202030202040302020103020201030202050302020703020202030202000302020203020204030202000302025203060200030202010302020003010203030102010304020203
+0302000302020003030200030202000302020103020203030202020302020103020200030302000302026c03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d14030702ad0302020503020202030302010300020203020204030202010302020103020205030202070302020203030201030002020302020403
+030201030002520303020003010200030202010302020003010200030102000301020103020204030202020301020003020201030202000302020103020203030202020302020103
+020200030202010302026c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030702ad0302020503020203030402
+030302020403020201030202010302020503020207030202030304020303020205030402530302020403020201030202000301020003010200030102010302020403020205030202
+010302020003070203030202020302020103020200030202010302026c03011a1402010c060a010d010c060a010dca03020205030202020300020103030202030202040302020103
+020201030202050302020103010203030202020300020103030202030202040300020103030252030202040302020103020200030702010302020103010200030202050302020103
+02020003020208030202020302020103020200030202010302026c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca03
+020205030202020302020003020202030202000301020103020201030202010302020503020200030202030302020203020200030202020302020003010201030202000302025203
+0202040302020103020200030702010302020003020200030302010301020003020201030202000303020103010203030202020302020103020200030202010302026c03011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc803060201030602000306020203050201030702000304020303070201030602
+000306020203050201030602510304020403050202030202000301020103070201030a020003030201030602010306020103050200030302000303026c03011a1402010c060a010d
+010c060a010dc80306020103060200030002000303020403030203030502010304020303070201030602000300020003030204030302020300020003030252030402050303020303
+0102010301020103070202030402000303020003030202030402020306020203030201030302000303026c03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a
+1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003010200030102000301020003010200030102
+00030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a
+1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1a030102ff0379030402
+14030102030301020c030002100301026603011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1a030102ff0379030402
+14030102030301020b0301020f0303026503011a1402010c060a010d010c060a010d19030202ff037b03020214030202010302020b030102100301026603011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d19030102ff037c03020214030202010302020a0302027903011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010d18030202ab03000200030102000301020203040202030102000303029a030302000300020303020200030102
+010304020503020203030402020302020103010201030702010304020203060201030202010301020203040202030302000302025a03011a1402010c060a010d010c060a010d1803
+0102ac0307020003060201030702980306020203060200030602040302020203060201030702000307020003060201030602010307020103040202030202010302025a03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d17030202ac0307020003010201030202010303020003020298030202000302020103
+03020003020200030102010302020403020202030102010302020203060200030702000301020103020202030202050306020303020203030202000301025b03011a000200030102
+000301020003010200030102000301020003010200030002010c060a010d010c060a010d17030102ad03010200030102000301020303030201030202010302029803030201030002
+010302020203010203030302040302020503030202030302000301020003010200030102000301020303030202030202050303020003010203030202040303025c03011a1402010c
+060a010d010c060a010d16030202ad030102000301020003010201030502010302020103020299030402020302020603050204030202030305020203020204030102000301020003
+010201030502020302020503020207030202040303025c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030102ae03
+010200030102000301020003020200030202010302020103020298030002010303020103020205030202000302020403020202030202000302020203020204030102000301020003
+01020003020200030202020302020503020207030202040303025c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d
+15030202ae03010200030102000301020003020200030202010302020003030298030202000302020103030201030102000302020003020204030202020302020003020202030202
+040301020303010200030202000302020203020200030102020302020703020203030102000302025b03011a1402010c060a010d010c060a010d15030102af030102000301020003
+0102000307020003060299030602020306020003070201030602000307020003040203030202010302020003070201030502010304020403060200030202010302025a03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030202af03010200030102000301020103020200030202000305029a0300020003
+0302040304020203020200030202010306020103020200030202000304020303020201030202010302020003020202030302020304020403060200030202000303025a03011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030102c2030202ff036303011a1402010c060a010d010c060a010dd9030202
+ff036303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dd8030402ff036203011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a
+010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010de5030102a703000205030202000301020b030402200301026f03011a1402010c060a010d010c060a010de4030302
+a5030102040306020b0304021f0303026e03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010de4030302a503010204030202
+000302020d0302021f0303026e03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010de4030302a4030202040302020103
+01020d0302021f0303026e03011a1402010c060a010d010c060a010dc703000200030102000301020203040202030102000303020303030292030302000300020303030202030602
+0103020201030102030303020503020202030202000303020003000200030102000301020003030200030202030303026e03011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d14030702aa0307020003060201030702020303029103060202030502010306020103020206030502040302020203020200030302
+00031002020303026e03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030702aa03070200030102010302020103
+030200030202020303029103020200030202010302020103020201030202040302020503020201030202030302020203020201030202000307020003030200030202020303026e03
+011a1402010c060a010d010c060a010dc703010200030102000301020303030201030202010302020303010292030302010300020103020201030202010302020403020205030202
+010302020303020202030202010302020003010200030102000301020003020201030202030301026f03011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d14030702aa03010200030102000301020103050201030202010302020303010293030402020307020103020204030202050302020103020203030202
+02030202010302020003010200030102000301020003020201030202030301026f03011a000200030102000301020003010200030102000301020003010200030002010c060a010d
+010c060a010d14030702aa03010200030102000301020003020200030202010302020103020203030102920300020103030201030202060302020403020201030102010302020103
+02020303020202030202010302020003010200030102000301020003020201030202030301026f03011a1402010c060a010d010c060a010dc7030102000301020003010200030202
+000302020103020200030302980302020003020201030302010301020103020200030102010302020103010201030202010302020303020202030202000303020003010200030102
+0003010200030202010302027503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dc7030102000301020003010200030702
+00030602040301029203060202030602010305020103060202030502020306020003070200030102000301020003050200030302030301026f03011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010dc70301020003010200030102010302020003020200030502040303029103000200030302040304020303
+0302030304020403030203030602010303020003010200030102000301020003050200030302020303026e03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dd903020208030102e60301026f03011a1403010c060a010d010c060a010dd9030202ff036303011a1403010c060a010d010c060a010dd8030402
+ff036203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d290300020703010233030002100301025f030002100301029e03000203030702160301028a03
+011a1403010c060a010d010c060a010d2803010206030302310301020f0303020d0303024b0301020f0303029c03010203030802140303028903011a1403010c060a010d010c060a
+010d280301020703010232030102100301020d0305024a030102100301029d0301020403020201030202140303028903011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010d270302023b0302021f0302020103020248030202af0302020403020201030202140303028903011a1403010c060a010d010c060a010d
+150304020103030200030202010306020203040203030302000300020103030200030202000300020003010200030102010300020003010200030102030303020203060201030202
+010301020203040204030202000301020003030200030202350300020003010200030102020304020203060201030202010301020203040202030302000302027e03030200030002
+03030302020306020103020200030202030303020203020201030202020303028903011a1403010c060a010d010c060a010d14030602000308020003060202030402020306020103
+030200030202000307020003070201030502010306020103070201030402030306020103010201030202350307020003060201030602010307020103040202030202010302027d03
+0602020305020103060201030502030305020103020201030202020303028903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d14030102010302020103030200030202010302020703020202030202000302020103020201030202000307020003070200030202010302020103020205030602030302020203
+0302000302020403020236030702000301020103020202030202050306020303020203030202000301027e0302020003020201030202010302020103020204030502020302020103
+02020003010203030102020303028903011a1403010c060a010d010c060a010d17030302010302020103020201030202070302020203030201030002020302020003010201030102
+000301020003010200030102000301020003010200030202010302020103020205030302000301020303020202030202020301020303020237030102000301020003010203030302
+02030202050303020003010203030202040303027f030302010300020103020201030202010302020403020200030202010302020103020200030102000301020003010203030102
+8a03011a1403010c060a010d010c060a010d150305020103020201030202010302020703020203030402030305020103010200030102000301020003010200030102000301020003
+070201030202050302020703020202030202070302023803010200030102000301020103050202030202050302020703020204030302800304020203070201030202040302020003
+02020103020201030202000301020003010200030102030301028a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403
+020200030202010302020103020201030202070302020203000201030302030303020203010200030102000301020003010200030102000301020003020206030202050302020703
+020202030202080301023803010200030102000301020003020200030202020302020503020207030202040303027f03000201030302010302020603020204030202000302020103
+02020103020200030702030301028a03011a1403010c060a010d010c060a010d14030202000302020103020201030202010302020003010204030202020302020003020203030302
+02030102000301020003010200030102000301020003010200030302010301020103020200030102020302020703020202030302010301023e030102000301020003010200030202
+000302020203020200030102020302020703020203030102000302027e03020200030202010303020103010201030202000301020103020201030202000302020103020200030702
+9003011a1403010c060a010d010c060a010d14030b020003030201030502020306020003060204030102030301020003010200030102000301020003010200030102010306020103
+0502010304020403060201030602030301023803010200030102000301020003070201030502010304020403060200030202010302027d0306020203060201030502000303020103
+0202010305020203020200030102040301028a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030202000306020003
+030202030302030306020003000200030302040302020303010200030102000301020003010200030102000301020203040203030302020304020403060202030402030303023703
+01020003010200030102010302020003020202030302020304020403060200030202000303027d030002000303020403040203030302010303020103020202030302030301020103
+0102030303028903011a1403010c060a010d010c060a010d4203020246030102ff03240301028a03011a1403010c060a010d010c060a010d41030302ff03fa03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d41030202ff03fb03011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010de3030202000301020b030402020306020e030302770300020e03
+0402050300029403011a1403010c060a010d010c060a010d31030302ac0306020b030402020306020e030302760301020e030402040301029403011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d30030502ab030202000302020d03020204030202110302027603010210030202040301029403011a1403010c
+060a010d010c060a010d2f03020201030202aa030202010301020d03020204030202110302027503020210030202030302029403011a1403010c060a010d010c060a010d15030402
+0103030200030202010303020003020200030302000302028f0300020003010200030102020304020203030200030202000302020103010203030302050302020403020202030302
+0003020203030502020303020203030200030202510303020003000203030302020306020303030205030202020306029103011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d1403060200030802000303020003020201030102010302028f030702000306020103020201030202000302020603050204030202
+0403020202030802010306020103050201030202010302025003060202030502010306020203050204030202020306029103011a1403010c060a010d010c060a010d140301020103
+020201030302000302020003020201030202040302029003070200030102010302020203020200030102010302020503020201030202030302020403020203030302000302020003
+020200030302000302020103020201030202000301025103020200030202010302020103020201030202040302020103020203030202030302029403011a1403010c060a010d010c
+060a010d1703030201030202010302020103020200030102040302029103010200030102000301020303030203030302020302020503020201030202030302020403020203030202
+0103020200030202010302020003020201030202020303025203030201030002010302020103020201030202040302020103020203030202030302029403011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d15030502010302020103020201030502030302029203010200030102000301020103050203030302
+02030202050302020103020203030202040302020303020201030202000302020103020200030702020303025303040202030702010302020403070203030202030302029403011a
+1403010c060a010d010c060a010d14030202000302020103020201030202020303020503010292030102000301020003010200030202000302020303030202030202010301020103
+0202010302020303020204030202030302020103020200030202010302020003020207030302520300020103030201030202060302020403020208030202030302029403011a1403
+010c060a010d010c060a010d14030202000302020103020201030202020303029a030102000301020003010200030202000302020203010200030202010302020103010201030202
+010302020303020204030202030302020103020200030202010302020003030201030102010301020003020251030202000302020103030201030102010302020003010201030302
+010301020303020203030202000301029103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030b020003030203030102
+060301029203010200030102000301020003070200030202010302020003060202030502020306020003060200030302000303020103060201030602000302020103020250030602
+02030602010305020203060201030602010305029103011a1403010c060a010d010c060a010d15030202000306020003030202030202050303029103010200030102000301020103
+020200030202000302020003030201030402040303020303060200030602000303020003030202030202000301020203040201030202000303025003000200030302040304020303
+03020403040202030602020303029203011a1403010c060a010d010c060a010d2703020207030102ff03ff030b03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d26030302ff03ff031503011a1403010c060a010d010c060a010d26030202ff03ff031603011a1403010c060a010d010c060a010dff03ff03
+4003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010de1030702130306020e03030277030002
+1503030205030102030301020c030002100301026603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010de103080212030602
+0e030302760301021503030205030102030301020b0301020f0303026503011a1403010c060a010d010c060a010de203020201030202140302021103020276030102160302020503
+0202010302020b030102100301026603011a1403010c060a010d010c060a010de2030202010302021403020211030202750302021603020205030202010302020a0302027903011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1603020200030102020303020403030202030202010301020303020200030102
+020303027f03000200030102000301020203040202030302000302020003020200030202030303020203020201030202020302020203030200030202030305020203030202030302
+000302025103030200030002030303020203060202030302000300020103020200030302000305020203070201030402020306020103020201030102020304020203030200030202
+5a03011a1403010c060a010d010c060a010d1503060201030502020305020103070201030602010305027e0307020003060201030202010302020003050203030502010302020103
+020202030202020308020103060201030502010302020103020250030602020305020103060201030602010302020003030200030602010307020003060201030602010307020103
+040202030202010302025a03011a1403010c060a010d010c060a010d1403030200030202000302020103020200030202010302020103060200030302000302020003020201030202
+7d0307020003010201030202020302020003010201030502020302020103020200030102030301020203020203030302000302020003020200030302000302020103020201030202
+000301025103020200030202010302020103020201030202040302020003020201030202010302020003030200030202000307020003010201030202020302020503060203030202
+03030202000301025b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403020202030102000302020103020200030202
+010302020103030200030102000302020203010200030202010302027d03010200030102000301020303030203030302020302020003020201030202010302020003010200030102
+000301020203020203030202010302020003020201030202000302020103020202030302520303020103000201030202010302020103020204030302010300020103020201030202
+00030202010302020003010200030102000301020303030202030202050303020003010203030202040303025c03011a1403010c060a010d010c060a010d14030202050302020103
+0202000307020103020204030202050307027d0301020003010200030102010305020303030202030202000302020103020201030202000301020003010200030102020302020303
+020201030202000302020103020200030702020303025303040202030702010302020503040202030202010302020003020201030202000301020003010200030102010305020203
+02020503020207030202040303025c03011a1403010c060a010d010c060a010d14030202050302020103020200030202060302020403020205030202820301020003010200030102
+000302020003020203030302020302020003020201030202010302020003070202030202030302020103020200030202010302020003020207030302520300020103030201030202
+060302020403000201030302010302020103020200030202010302020003010200030102000301020003020200030202020302020503020207030202040303025c03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d140303020103010200030202010302020003030201030102010302020403030201030102
+00030302010301027d030102000301020003010200030202000302020203010200030202010302020103020200030202010302020003070202030202030302020103020200030202
+010302020003030201030102010301020003020251030202000302020103030201030102010302020003010201030202000302020103020200030302000302020103020200030102
+0303010200030202000302020203020200030102020302020703020203030102000302025b03011a1403010c060a010d010c060a010d150306020103050202030602000304020403
+0602010306027d0301020003010200030102000307020003020201030602010302020103050202030202000301020103060200030302000303020103060201030602000302020103
+020250030602020306020103050201030602010307020003060201030202010302020003070201030502010304020403060200030202010302025a03011a1403010c060a010d010c
+060a010d1603040203030302040304020103040205030402030304027e03010200030102000301020103020200030202000302020003070201030202020303020303010201030102
+010306020003030200030302020302020003010202030402010302020003030250030002000303020403040203030302020300020003030203030302000301020003010200030202
+0203020201030202010302020003020202030302020304020403060200030202000303025a03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03
+ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d27030402b4030302a0030102b703011a1403010c060a010d010c060a010d27030402b40303021903030281030302160303029b03011a1403
+010c060a010d010c060a010d29030202b50302021803050281030102160305029a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010d29030202b5030202170302020103020298030202010302029903011a1403010c060a010d010c060a010d1603020200030102020303020503020202030202000303020003
+0002000301020003010200030302000302027e0300020003010200030102030303020203000200030102000301020103050204030302020302020103010201030302000302027503
+03020003000202030402020307020203030202030302000302029903011a1403010c060a010d010c060a010d1503060201030502040302020203020200030302000310027d030702
+010305020103070200030602020305020103070201030102010302027403060202030402020307020103050202030102010302029903011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010d140303020003020200030202010302020303020202030202010302020003070200030302000302027d03070200030202
+010302020003070200030302000302020003020201030202010306020403020275030202000302020403020202030102010303020003020201030202040302029a03011a1403010c
+060a010d010c060a010d1403020202030102000302020103020203030202020302020103020200030102000301020003010200030202010302027d03010200030102000301020003
+020201030202000301020003010200030102000302020103020200030202010302020103030200030102030302027603030201030002040302020203000201030302010302020103
+0202030302029b03011a1403010c060a010d010c060a010d14030202050302020103020203030202020302020103020200030102000301020003010200030202010302027d030102
+000301020003010200030702000301020003010200030102000302020103020200030702010302020603020278030402050302020403030202030702020302029c03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d140302020503020201030202030302020203020201030202000301020003010200030102
+00030202010302027d030102000301020003010200030202050301020003010200030102000302020103020200030202060302020703010277030002010303020403020203030302
+0103000200030202080301029c03011a1403010c060a010d010c060a010d140303020103010200030202010302020303020202030202000303020003010200030102000301020003
+0202010302027d0301020003010200030102000303020103010200030102000301020003010200030202010302020003030201030102010302028103020200030202040302020203
+0302010301020003030201030102a203011a1403010c060a010d010c060a010d15030602010305020203060200030702000301020003010200030502000303027d03010200030102
+00030102010306020003010200030102000301020003060202030602000304020603010277030602020306020003070201030602030301029c03011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d1603040203030302030306020103030200030102000301020003010200030502000303027d03010200030102
+000301020203040201030102000301020003010200030102000302020403040201030402050303027603000200030302030306020003070202030402030303029b03011a1403010c
+060a010d010c060a010dff03000301029e0301029c03011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010de1030302ff035a03011a1403010c060a010d010c060a010de1030302cc0303028903011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010de2030202cb0305028803011a1403010c060a010d010c060a010de2030202ca030202010302028703011a1403
+010c060a010d010c060a010d160302020003010202030302020301020003030201030302000302028f03000200030102000301020303030202030002000301020003010201030502
+04030302020302020103010202030302000300027603030200030002030302020003010200030202000303020103040202030202010301020303030202030302000302028703011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030602010305020103070200030302000302028f0307020103050201030702
+000306020203050201030702000306027503060202030602000302020003030200030602010307020103050202030102010302028703011a1403010c060a010d010c060a010d1403
+0302000302020003020201030202000303020003020200030202010302028f0307020003020201030202000307020003030200030202000302020103020201030602000302020003
+02027503020200030202010302020103020200030202010302020003010201030202020306020003020201030202040302028803011a1403010c060a010d010c060a010d14030202
+020301020003020201030202000302020103020201030202000301029003010200030102000301020003020201030202000301020003010200030102000302020103020200030202
+01030202010303020003010200030302010300027503030201030002010302020103020200030202010302020303030202030302000301020003020201030202030302028903011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403020205030202010302020003020201030202010305029003010200030102
+000301020003070200030102000301020003010200030202010302020003070201030202050304027703040202030202010302020003020201030202010305020203020204030702
+020302028a03161a010c060a010d010c060a010d14030202050302020103020200030202010302020203030291030102000301020003010200030202050301020003010200030102
+00030202010302020003020206030202040300020103030275030002010303020103020201030202000302020103020200030202000302020203020204030202080301028a03161a
+010c060a010d010c060a010d140303020103010200030202010302020003020200030302020303029103010200030102000301020003030201030102000301020003010200030102
+000302020103020200030302010301020103020204030202000302027503020200030202010303020003020200030202000303020003020200030202020302020403030201030102
+9003011a1402010c060a010d010c060a010d150306020103050201030602040301029203010200030102000301020103060200030102000301020003010200030602020306020003
+040203030602750306020203060200030702000307020003040204030602030301028a03011a1402010c060a010d010c060a010d1603040203030302020305020403020292030102
+000301020003010202030402010301020003010200030102000301020003020204030402010304020303000200030302760300020003030204030502010303020003010201030202
+000302020003040205030402030303028903011a1402010c060a010d010c060a010d2603020206030202ff0354030202270301028a03011a1402010c060a010d010c060a010d2603
+020205030302ff0354030202b403011a1402010c060a010d010c060a010d2503040204030202ff0354030302b403011a1402010c060a010d010c060a010dff03ff034003011a1402
+010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a
+02020e030202010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03
+ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c
+060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a1402010c060a010d
+010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff1aff1a421a1402010c060a010d010c060a010dff1a
+ff1a571a010c060a010d010c060a010dff03ff034003161a010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010d9e030102210300027c0300024e03
+04020403010204030402050300021a03751a1803010c060a010d010c060a010d1403020401030204040300047a0303021f0301027b0301024d030602020303020303040204030102
+1a03751a1803010c060a010d010c060a010d1503010402030104030302047a030102200301027b0301024d030202000302020303010206030202040301021a03751a1803010c060a
+010d010c060a010d1503010402030004050300049d0302027a0302024d03020210030202030302021a03751a1803010c060a010d010c060a010d1503010402030004770303020003
+0002020304020303040200030402000302020203040202030602010302020003030200030202010301020303030203030302000300021c0301020003030202030402020302020103
+010202030402020300020003010200030102030303020203060203030302020302020103010202030302000300022e03050203030402050302020203060203030302020302020103
+01020503751a1803010c060a010d010c060a010d15030104010300040303030405030304010301040403000403030304050300040d03010401030104040303040203010402030104
+0303030404030304140306020203040202031002000306020103060201030202000303020003070201030502010306021c0307020003060201030702000306020103070201030502
+010306020203050201030702000306022e03050203030402050302020203060202030502010307020403751a1803010c060a010d010c060a010d1503010401030004050301040303
+02040103010401030104020301040103020401030104030302040b030004000300040003030402030104010301040003030400030304000302040103010401030204010301041303
+0202000302020403020202030202000303020003030200030202000301020103020202030202040302020103020201030602000302020103020200030202000302021c0303020003
+020200030102010302020203060200030102010302020103070200030202010302020103020204030202010302020103060200030202000302022f03020207030202050302020303
+02020403020201030202010306020403751a1803010c060a010d010c060a010d15030104010300040403010404030104020301040103010402030104010301040203000405030004
+0e0302040003010406030104010300040003000400030004000301040003010402030104010301040203000414030302010300020403020202030202000302020103020201030202
+030303020203020204030202010302020103030200030102000302020103020200030302010300021c03020201030202030303020203030200030102030303020103010200030102
+000301020003020201030202010302020403020201030202010303020003010200030302010300022f03020207030202050302020303020204030202010302020103030200030102
+0403751a1803010c060a010d010c060a010d150301040003000405030104030301040203010402030104020300040303010418030104010301040303030402030004000301040103
+03040203010403030104180304020503020202030202000302020103020201030202010305020203020204030202010302020103020204030702010304021d030202010302020103
+0502020302020503050201030102000301020003010200030702010302020403070201030202050304023003020207030202050302020303020204030702010302020803751a1803
+010c060a010d010c060a010d150301040003000405030104030304040303010401030004000300040403020415030104020300040203010401030104010301040003010400030104
+00030404060302041503000201030302040302020303040202030202010302020003020200030202020302020403020201030202010302020403020205030002010303021c030202
+0103020200030202000302020203020204030202000302020103010200030102000301020003020206030202040302020603020204030002010303022f0302020703020205030202
+0303020204030202060302020803751a1803010c060a010d010c060a010d150301040003000404030104040301040603010400030104000300040203000402030104140301040103
+010401030104020301040103010400030004010301040003010407030004020301041403020200030202040302020203030204030202010302020003020200030202020302020003
+0102010302020003030201030202040303020103010200030202000302021c0302020003030200030202000302020203020204030202000302020103010200030102000301020003
+030201030102010302020003010201030302010301020103020204030202000302022f030202070302020503020203030202000301020103030201030102010302020803751a1803
+010c060a010d010c060a010d1503020405030104010300040203010402030004010306040103010401030204040300040e0301040103010400030204010302040003010401030004
+010300040203010402030004010301040103020414030602020306020003060200030302000303020003070201030502010307020003040204030602000306021c03060201030702
+000304020303070200030102000301020003010201030602010305020203060200030402030306022e03040204030602010306020103050202030602000304020703751a1803010c
+060a010d010c060a010d150301040703020404030304030301040003010403030304050302040c030104030301040103020401030104000300040403000403030304030303041603
+0002000303020303060201030a02000303020103020200030202020303020303030200030102000304020503040201030002000303021d0305020303020200030202000304020403
+0202000302020003010200030102000301020203040203030302040304020103040203030002000303022f03040204030602010306020203030204030402010304020703751a1803
+010c060a010d010c060a010d430300042603000437030202010302025a030202bd03751a1803010c060a010d010c060a010da40307025a030202bd03751a1803010c060a010d010c
+060a010da50305025a030402bc03751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03
+c803041a0803671a1803010c060a010d010c060a010dff03c803041a0803671a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03ff035703
+010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010da70301020f03
+01026a0303020303010206030002070301024f030302270301020f030002070301027b03010c060a010d010c060a010da60303020d03030269030302020303020403010206030302
+4e030302260303020d030102060303027a03010c060a010d010c060a010da70301020f0301026b03020203030102050301020703010250030202270301020e030102070301027b03
+010c060a010d010c060a010dff03270302020a0302025a030202370302028503010c060a010d010c060a010d53030202000303020103030200030002020304020303040200030002
+020303021603030202030202010301020203040203030402000300020103040201030302000302020203030200030002390302020003010202030302010303020003020203030502
+010304020203060202030402040303020103030200030202020303020003000230030502020303020303030200030002030302020003010200030202010301020203040202030102
+0003030201030602020304020403030201030302000302026703010c060a010d000c090d530302020003030200030602010306020103070201030502140305020103070201030402
+02030702010304020103080200030602380306020103050200030802010306020103040202030602020304020303050200030802000306022f030602010305020103060202030602
+000307020103040202030702000306020203040203030502000308026603010c080d090c000d53030202010302020003020200030202010301020103020201030202000303020003
+020201030202120302020103020201030602030302020203020200030302030302020203030200030202000302020003020237030302000302020003020201030202000303020003
+020200030202000303020303020203030202070302020203020201030202000303020003020200030202000302022e03020200030302000302020103020200030202000302020103
+030200030202010306020303020202030302000302020103020207030202020302020103020200030302000302026603090c000d010c060a010d5303020201030202000303020103
+000204030302010302020003020201030202010302021203020201030202010303020003010203030202020302020003020204030202020302020103020200030302010300023703
+0202020301020003020201030202000302020103020200030202010302020303020203030202070302020203020201030202000302020103020200030302010300022e0302020103
+020200030202010302020003030201030002010302020203010201030302000301020303020202030202010302020103020207030202020302020103020200030202010302026603
+010c060a010d010c060a010d530302020103020201030402030305020103020200030202010307021203020201030202010302020703020202030202000302020403020202030202
+01030202010304023803020205030202010302020003020201030202000302020103020203030202030302020703020202030202010302020003020201030202010304022f030202
+01030202000307020103040202030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d5303
+020201030202000300020103030201030202000302020203040202030202170302020103020201030202070302020303040205030202020302020103020200030002010303023703
+02020503020201030202000302020103020200030202010302020303020203030202070302020203020201030202000302020103020200030002010303022e030202010302020003
+0202050300020103030201030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d53030202
+000303020003020200030202010302020003020201030302040303020103010212030202010302020103020207030202020303020703020202030202010302020003020200030202
+370303020103010200030202010302020003020201030202000302020103020203030202030302020003010204030202020302020103020200030202010302020003020200030202
+2e0302020103020200030302010301020003020200030202010303020103010201030202070302020203020200030302010302020003010204030202020302020103020200030202
+010302026603010c060a010d010c060a010d53030702000306020103070200030602020306021303050201030402040306020003060202030a020003030200030602380306020103
+0502000303020003030201030602010306020103050202030602010305020003030200030302000306022f0306020103060200030602020306020003040204030602000306020203
+0502020306020103050200030302000303026603010c060a010d010c060a010d54030302000301020003000200030302030302020003020201030602020304021503030202030402
+040306020103060201030a020003030200030002000303023a0304020303030201030302000303020203020200030102010306020203030203030602020303020103030200030302
+000300020003030231030202000301020203040201030002000303020403040201030402040306020003050204030302030306020203030201030302000303026603010c060a010d
+010c060a010d6e030202010302023603020201030202ff030e0302028f03010c060a010d010c060a010d6e03070236030702ff030e0302028f03010c060a010d010c060a010d6f03
+050238030502ff030e0304028e03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d010c
+1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000c
+ff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a
+000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-matrixops2.ps b/books/ps/h-matrixops2.ps
new file mode 100644
index 0000000..a501d39
--- /dev/null
+++ b/books/ps/h-matrixops2.ps
@@ -0,0 +1,871 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:49:42 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 2.4 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011a3503001aff032803011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02
+02030202020304020203070202030902011a3b02011a3303011a0703001a0703011a0203021a2c03031a1a03021a0503021a0a03031a2903001a0703001a2703031a4903011a0402
+02030402020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a
+3b02011a3203011a0703011a0803011a0203001a2c03011a0103011a1803011a0003011a0303001a0103011a0803011a0103011a2803001a0603021a2503011a0103011a4803011a
+040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d010c060a010d050202030d0202030002020305020203070202030902
+011a3b02011a3103011a0703021a0803011a0203001a2c03011a0103011a1703011a0203011a0203001a0103011a0703011a0303011a2603011a0703001a2603011a0103011a4803
+011a0402020304020203020202030302020302020b03020202030902011a180208031902010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a
+3003011a0803021a0803021a0103001a2c03011a1b03011a0203011a0103011a0203011a0603011a0303011a2603011a2f03011a4c03011a04020203040202030202020303020203
+020202030002030300020203020202030902011a16020c031702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a3003011a0703001a0003
+011a0803021a0103001a0203041a0203001a0003011a0003011a0303031a0303031a0003001a0803011a0603031a0203011a0003031a0603021a0103001a0203011a0203011a0603
+011a0303011a0003011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0403011a0003031a0303
+031a0203001a0003011a0003011a2e03011a04020a030202020303020203020202030002030300020203020207030402011a140210031502010c060a010d010c060a010d05020903
+0802020307020203070202030902011a3b02011a2f03011a0803001a0003011a0803001a0003011a0003001a0103011a0203011a0103011a0003011a0003011a0103011a0103011a
+0103011a0203011a0703041a0303011a0103011a0203021a0103011a0603031a0303011a0203011a0603011a0303011a0103021a0003011a0203011a0103011a0203021a0103011a
+0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011a0703041a0303021a0103011a0103011a0103011a0103011a0003011a0003011a
+2d03011a04020a030202020303020203020202030102010301020203020208030302011a120214031302010c060a010d010c060a010d050209030802020307020203070202030902
+011a3b02011a2f03011a0003021a0303001a0103011a0803001a0003011a0003001a0103011a0203011a0103011a0003011a0003011a0003011a0203011a0103011a0303001a0803
+011a0403011a0303011a0103011a0203011a0703021a0303011a0203011a0603011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303
+011a0703011a0303011a0303011a0103011a0103011a0103011a0303001a0803011a0503011a0203011a0003011a0303011a0003011a0003011a0003011a2d03011a04020a030202
+020303020203020202030102010301020203020208030302011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a2f03021a
+0103011a0203001a0103011a0803001a0103021a0403031a0103011a0003011a0003011a0003061a0203021a0b03011a0403011a0303011a0103011a0c03031a0203011a0203011a
+0603011a0303011a0103011a0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0203021a0b03011a0503011a0503011a0303011a
+0003011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030e02
+040306020203070202030902011a3b02011a2f03011a0303011a0003001a0203011a0803001a0103021a0203011a0103011a0103011a0003011a0003011a0003011a0903021a0903
+011a0403011a0303011a0103011a0b03001a0103021a0103011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303
+011a0303011a0103011a0103011a0403021a0903011a0503011a0503011a0303011a0003011a0003011a0003011a2d03011a04020203040202030202020303020203020202030502
+0203020202030902011a15020e031602010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a2f03011a0303011a0003071a0603001a
+0203011a0103011a0203011a0103011a0003011a0003011a0003011a0603001a0303011a0803011a0403011a0303011a0103011a0a03011a0203011a0103011a0203011a0603011a
+0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0503011a0503011a
+0303011a0003011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d0502
+02030d0202030002020305020203070202030902011a3b02011a2f03011a0303011a0403011a0803001a0203011a0103011a0103021a0103011a0003011a0003011a0103011a0203
+001a0103011a0203011a0803011a0503011a0103011a0203011a0a03011a0203011a0203011a0103001a0803011a0103011a0203011a0103011a0203011a0203001a0203011a0503
+011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0803011a0503011a0603011a0103011a0103011a0003011a0003011a2d03
+011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030c020203020202030402020307020203
+0902011a3b02011a3003011a0103011a0503011a0703021a0203001a0203021a0103011a0003011a0003011a0003011a0203031a0203001a0003031a0803031a0503031a0203041a
+0803011a0203011a0203011a0103001a0903031a0303041a0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a0003001a0003031a0803031a
+0303041a0503031a0203011a0003011a0003011a2d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a
+010d050202030c0202030202020304020203070202030902011a3b02011a3103031a0503031a5903041a0403021a1203011aa303011a040202030402020302020203030202030202
+020305020203020202030902011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02011ab903011aa303011a0402020304020203
+02020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d05020903040202030402020303020203070202030902011a3b02011ab803031aa203
+011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c060a010d05020a03020202030602020302020203070202030902011a3b02011a
+ff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a010d010c060a010d06020903030201030702010303020103080201030902011a
+3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a
+3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03
+011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a2003001a13030004040300041f0300041003010403030504040300046d03011a3b02011a3b02010c
+060a010d010c060a010d3b02011a3b02011a6b03011a0103011a1e03021a12030004030301040d0300040f0302040e0300040603010401030104040300046c03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a1e03001a13030104020301040d030004100300040e0301040603010401030104040300046c03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a33030104010301040d0301041f0301040703010401030104040301046b03011a3b02011a3b02010c060a
+010d010c060a010d3b02011a3b02011a6b03011a0203011a0203031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a08030504030303040303050401030104
+01030204020303040403010402030104010301040603010401030104050301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0103
+011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030604020301040103010403030104030300040003020401030104030301040303
+00040003010400030104010301040703010401030104050301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a
+0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030004000302040003000406030104030301040503020401030104020301040603030402030104
+07030404060301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0303031a0403
+011a0403011a0103011a06030004010300040103000403030304040301040503010407030104070302040203010407030304060301046c03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a060300040303000402030104
+0103010403030104060301040703010406030204030301040603010400030104060301046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203
+011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a050300040403000401030104020301040303010405030104070301040603
+010400030104020301040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0103011a0203011a0103011a0103011a
+0003011a0003011a0003011a0103021a0403011a0403011a0103011a0503000404030004010301040103020400030004010301040103000402030104070301040103000403030004
+0103010400030004010300040603010401030104040301046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a0403031a0203011a0003011a0003
+011a0103021a0103011a0103051a0103021a0003031a0403010402030204010302040103010403030204030301040803020402030104030301040203000405030304010301040203
+00046f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011add0300040d0301047003011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff03
+5f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003
+011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c
+060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a0702
+04030702010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff03
+4003011a04020a030402010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010dff03ff034003011a02020e030202010c060a010d010c060a
+010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c
+060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d1703
+010200030102ac030402040301020403040203030402050301029c03040205030002a603011a1402010c060a010d010c060a010d1703010200030102ab0306020203030203030402
+03030402040303029b03040204030102a603011a1402010c060a010d010c060a010d1703010200030102ab03020200030202030301020603020205030202040303029d0302020403
+0102a603011a1402010c060a010d010c060a010d15030602ab0302021003020205030202040303029d03020203030202a603161a010c060a010d010c060a010d15030602aa030502
+030304020503020205030202040303028a03020200030102020303020503020202030602a303161a010c060a010d010c060a010d1603010200030102ab0305020303040205030202
+050302020403030289030602010305020403020202030602a303011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1603
+010200030102ac03020207030202050302020503020204030302880302020103020200030202010302020303020203030202a603011a1402010c060a010d010c060a010d16030102
+00030102ac03020207030202050302020503020205030102890302020103020200030202010302020303020203030202a603011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d14030602ac030202070302020503020205030202050301028903020201030202000307020303020203030202a603011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030602ac0302020703020205030202050302020503010289030202010302020003
+02020803020203030202a603011a1402010c060a010d010c060a010d1503010200030102ad0302020703020205030202050302029103030200030202000303020103010203030202
+0303020200030102a303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1503010200030102ac0304020403060201030602
+01030602030301028a030602010306020103060201030502a303011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1503
+010200030102ac030402040306020103060201030602020303028a030502020304020203060202030302a403011a1402010c060a010d010c060a010d1503010200030102d3030102
+8e030202bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff037f030202bd03011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010dff037e030302bd03011a1402010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d
+010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dc60303021a0301020d0302020003010228030002
+720300020e03040205030002070301028103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dc6030302190303020b030602
+27030102710301020e03040204030102060303028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc70302021a03
+01020c0302020003020227030102710301021003020204030102060303028003011a1402010c060a010d010c060a010d17030102ad03020229030202010301022603020270030202
+1003020203030202060303028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030302ac0306020303030202030202
+010301020203040202030702000302020103010203030302010303020003020203030202000301020103040202030602530302020003010201030302000300020303030202030602
+030303020503020202030602030303028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030102000301020003
+0102aa030702010305020103070201030402020307020003020206030502000308020103060200030602010306025203060200030602020305020103060202030502040302020203
+0602030303028003011a1402010c060a010d010c060a010d1403020201030202aa030302000302020003020201030202010306020303020202030102010303020003020205030202
+010302020003030200030202000303020003020200030102010302020203020254030202010302020003020200030202010302020103020201030202040302020103020203030202
+03030202060303028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d140301020003010200030102aa03020201030202
+000302020103020201030302000301020303020202030002010303020103020205030202010302020003020201030202000302020203010203030302020302025403020201030202
+000303020103000201030202010302020103020204030202010302020303020203030202070301028103011a00020003010200030102000301020003010200030102000301020003
+0002010c060a010d010c060a010d16030302ac0302020103020200030202010302020103020207030202040303020203020205030202010302020003020201030202000302020603
+0502020302025403020201030202010304020203070201030202040307020303020203030202070301028103011a1402010c060a010d010c060a010d1503010201030102ab030202
+010302020003020201030202010302020703020203030302010300020003020201030102010302020103020200030202010302020003020205030202000302020203020254030202
+0103020200030002010303020103020206030202040302020803020203030202070301028103011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d1403020201030202aa03020201030202000302020103020201030202070302020203030201030102000302020103010201030202010302020003020201030202
+000303020103010200030202000302020203020200030102510303020003020200030202000302020103030201030102010302020003010201030302010301020303020203030202
+000301028803011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1503000203030002aa03030200030302010305020103
+040204030602000307020003060202030502000303020003030201030602000307020103050252030602000306020203060201030502020306020103060201030502040301028103
+011a1402010c060a010d010c060a010dc603030200030302020303020203040204030602000307020103040204030302010303020003030202030402020302020003020202030302
+5403050200030002000303020403040203030302040304020203060202030302040303028003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff037f030202390301028103011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff037f030202bd03
+011a1402010c060a010d010c060a010dff037e030302bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca030102c703
+0302a703011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc9030302c6030302a703011a1402010c060a010d010c060a
+010dca030102c8030202a703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1703010206030102ff0372030202a703011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1603030204030302a4030402010303020003020201030202010302020203
+0302020302020103010202030302000300020303030276030202010301020203040201030302000302020103020201030202a203011a1402010c060a010d010c060a010d14030102
+0003010200030102000301020003010200030102a2030402010308020003020201030202010305020103070200030602020305027503070200030602000308020003020201030202
+a203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030202010302020003020201030202a40302020203030200030202
+00030202010302020003020201030202010306020003020200030202010302020103020275030602000301020103020201030302000302020003020200030202a303011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010d140301020003010200030102000301020003010200030102a4030202020302020103
+020201030202000301020103020201030202010303020003010200030302010300020103020201030202750303020003010203030302010302020103020200030502a403011a1402
+010c060a010d010c060a010d1603030204030302a6030202020302020103020201030202000301020103070201030202050304020203070275030202050305020103020201030202
+00030402a503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030102010301020203010201030102a503020202030202
+010302020103040202030202060302020403000201030302010302027a030202040302020003020201030202010302020003020200030102a403011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010d14030202010302020003020201030202a403020202030202010302020203030202030302010301020103
+02020403020200030202010303020103010275030202040302020003020201030202010302020003020200030202a303011a1402010c060a010d010c060a010d1503000203030002
+0203000203030002a3030a020003030202030202040306020003040203030602020306027403040203030b02000303020003020201030202a203011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dc8030a0200030302020302020503040201030402030300020003030204030402750304020403020200030602
+000303020003020201030202a203011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c
+060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010dc8030402ff037203011a1402010c060a010d010c060a010dc80304021f030302ff034e03011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca0302021e030502ff034d03011a000200030102000301020003010200030102
+000301020003010200030002010c060a010d010c060a010d16030202b00302021d03020201030202ff034c03011a1402010c060a010d010c060a010d16030202b003020204030302
+0303030200030002020303020003000201030302000302028603020201030102030303020203020201030202ab03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d16030202b0030202030305020103060201030602020301020103020286030702010305020103020201030202ab03011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010d13030802ad030202020302020103020200030202000302020103020200030202050302028803
+060200030202010302020003010203030102ab03011a1402010c060a010d010c060a010d13030802ad03020202030202010302020003030201030002010303020103000204030202
+89030302000301020003020201030202000301020003010200030102ab03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+13030802ad030202020307020103040203030402040302028a0302020403020201030202000301020003010200030102ab03011a0002000301020003010200030102000301020003
+01020003010200030002010c060a010d010c060a010d16030202b00302020203020205030002010303020103000201030302040301028a030202040302020103020200030702ab03
+011a1402010c060a010d010c060a010d16030202b003020202030302010301020003020200030202010302020003020291030202040302020103020200030702ab03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030202ae03060201030602000306020103060204030102890304020403050202030202
+00030102ac03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc8030602020304020103000200030302020300020003
+03020403030288030402050303020303010201030102ac03011a1402010c060a010d010c060a010dee030102ff034f03011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dc8030402050301020f030002050305020303040201030402060301020f03000278030702080303020f0304028003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dc8030402040303020d030102040307020103060200030402050303020d030102780307020803
+03020f0304028003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dca030202050301020e0301020403020201030202
+010302020003020201030202070301020e030102790302020003020209030202110302028003011a1402010c060a010d010c060a010dca0302021503020204030202010302020103
+02020503020217030202790302020103010209030202110302028003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca03
+020203030402030303020003000201030602010302020103020200030502030302020503040203030302000300020103060202030302000300025103020201030102030303020203
+0202010302020103020206030202000301020003060203030302050302020403030201030302000302026d03011a0002000301020003010200030102000301020003010200030102
+00030002010c060a010d010c060a010dca03020203030402020306020103060201030202010302020003050203030202050304020203060201030602010306025103070201030502
+0103020201030202010304020303060200030702010305020403020203030502000308026c03011a1402010c060a010d010c060a010d14030702ad03020205030202020302020003
+020202030202040302020103020201030202050302020703020202030202000302020203020204030202000302025203060200030202010302020003010203030102010304020203
+0302000302020003030200030202000302020103020203030202020302020103020200030302000302026c03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d14030702ad0302020503020202030302010300020203020204030202010302020103020205030202070302020203030201030002020302020403
+030201030002520303020003010200030202010302020003010200030102000301020103020204030202020301020003020201030202000302020103020203030202020302020103
+020200030202010302026c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030702ad0302020503020203030402
+030302020403020201030202010302020503020207030202030304020303020205030402530302020403020201030202000301020003010200030102010302020403020205030202
+010302020003070203030202020302020103020200030202010302026c03011a1402010c060a010d010c060a010dca03020205030202020300020103030202030202040302020103
+020201030202050302020103010203030202020300020103030202030202040300020103030252030202040302020103020200030702010302020103010200030202050302020103
+02020003020208030202020302020103020200030202010302026c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dca03
+020205030202020302020003020202030202000301020103020201030202010302020503020200030202030302020203020200030202020302020003010201030202000302025203
+0202040302020103020200030702010302020003020200030302010301020003020201030202000303020103010203030202020302020103020200030202010302026c03011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dc803060201030602000306020203050201030702000304020303070201030602
+000306020203050201030602510304020403050202030202000301020103070201030a020003030201030602010306020103050200030302000303026c03011a1402010c060a010d
+010c060a010dc80306020103060200030002000303020403030203030502010304020303070201030602000300020003030204030302020300020003030252030402050303020303
+0102010301020103070202030402000303020003030202030402020306020203030201030302000303026c03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a
+1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003010200030102000301020003010200030102
+00030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a
+1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1a030102ff0379030402
+14030102030301020c030002100301026603011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1a030102ff0379030402
+14030102030301020b0301020f0303026503011a1402010c060a010d010c060a010d19030202ff037b03020214030202010302020b030102100301026603011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d19030102ff037c03020214030202010302020a0302027903011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010d18030202ab03000200030102000301020203040202030102000303029a030302000300020303020200030102
+010304020503020203030402020302020103010201030702010304020203060201030202010301020203040202030302000302025a03011a1402010c060a010d010c060a010d1803
+0102ac0307020003060201030702980306020203060200030602040302020203060201030702000307020003060201030602010307020103040202030202010302025a03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d17030202ac0307020003010201030202010303020003020298030202000302020103
+03020003020200030102010302020403020202030102010302020203060200030702000301020103020202030202050306020303020203030202000301025b03011a000200030102
+000301020003010200030102000301020003010200030002010c060a010d010c060a010d17030102ad03010200030102000301020303030201030202010302029803030201030002
+010302020203010203030302040302020503030202030302000301020003010200030102000301020303030202030202050303020003010203030202040303025c03011a1402010c
+060a010d010c060a010d16030202ad030102000301020003010201030502010302020103020299030402020302020603050204030202030305020203020204030102000301020003
+010201030502020302020503020207030202040303025c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d16030102ae03
+010200030102000301020003020200030202010302020103020298030002010303020103020205030202000302020403020202030202000302020203020204030102000301020003
+01020003020200030202020302020503020207030202040303025c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d
+15030202ae03010200030102000301020003020200030202010302020003030298030202000302020103030201030102000302020003020204030202020302020003020202030202
+040301020303010200030202000302020203020200030102020302020703020203030102000302025b03011a1402010c060a010d010c060a010d15030102af030102000301020003
+0102000307020003060299030602020306020003070201030602000307020003040203030202010302020003070201030502010304020403060200030202010302025a03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030202af03010200030102000301020103020200030202000305029a0300020003
+0302040304020203020200030202010306020103020200030202000304020303020201030202010302020003020202030302020304020403060200030202000303025a03011a0002
+00030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030102c2030202ff036303011a1402010c060a010d010c060a010dd9030202
+ff036303011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dd8030402ff036203011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a
+010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010de5030102a703000205030202000301020b030402200301026f03011a1402010c060a010d010c060a010de4030302
+a5030102040306020b0304021f0303026e03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010de4030302a503010204030202
+000302020d0302021f0303026e03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010de4030302a4030202040302020103
+01020d0302021f0303026e03011a1402010c060a010d010c060a010dc703000200030102000301020203040202030102000303020303030292030302000300020303030202030602
+0103020201030102030303020503020202030202000303020003000200030102000301020003030200030202030303026e03011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d14030702aa0307020003060201030702020303029103060202030502010306020103020206030502040302020203020200030302
+00031002020303026e03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d14030702aa03070200030102010302020103
+030200030202020303029103020200030202010302020103020201030202040302020503020201030202030302020203020201030202000307020003030200030202020303026e03
+011a1402010c060a010d010c060a010dc703010200030102000301020303030201030202010302020303010292030302010300020103020201030202010302020403020205030202
+010302020303020202030202010302020003010200030102000301020003020201030202030301026f03011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d14030702aa03010200030102000301020103050201030202010302020303010293030402020307020103020204030202050302020103020203030202
+02030202010302020003010200030102000301020003020201030202030301026f03011a000200030102000301020003010200030102000301020003010200030002010c060a010d
+010c060a010d14030702aa03010200030102000301020003020200030202010302020103020203030102920300020103030201030202060302020403020201030102010302020103
+02020303020202030202010302020003010200030102000301020003020201030202030301026f03011a1402010c060a010d010c060a010dc7030102000301020003010200030202
+000302020103020200030302980302020003020201030302010301020103020200030102010302020103010201030202010302020303020202030202000303020003010200030102
+0003010200030202010302027503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dc7030102000301020003010200030702
+00030602040301029203060202030602010305020103060202030502020306020003070200030102000301020003050200030302030301026f03011a000200030102000301020003
+010200030102000301020003010200030002010c060a010d010c060a010dc70301020003010200030102010302020003020200030502040303029103000200030302040304020303
+0302030304020403030203030602010303020003010200030102000301020003050200030302020303026e03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dd903020208030102e60301026f03011a1403010c060a010d010c060a010dd9030202ff036303011a1403010c060a010d010c060a010dd8030402
+ff036203011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d290300020703010233030002100301025f030002100301029e03000203030702160301028a03
+011a1403010c060a010d010c060a010d2803010206030302310301020f0303020d0303024b0301020f0303029c03010203030802140303028903011a1403010c060a010d010c060a
+010d280301020703010232030102100301020d0305024a030102100301029d0301020403020201030202140303028903011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010d270302023b0302021f0302020103020248030202af0302020403020201030202140303028903011a1403010c060a010d010c060a010d
+150304020103030200030202010306020203040203030302000300020103030200030202000300020003010200030102010300020003010200030102030303020203060201030202
+010301020203040204030202000301020003030200030202350300020003010200030102020304020203060201030202010301020203040202030302000302027e03030200030002
+03030302020306020103020200030202030303020203020201030202020303028903011a1403010c060a010d010c060a010d14030602000308020003060202030402020306020103
+030200030202000307020003070201030502010306020103070201030402030306020103010201030202350307020003060201030602010307020103040202030202010302027d03
+0602020305020103060201030502030305020103020201030202020303028903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d14030102010302020103030200030202010302020703020202030202000302020103020201030202000307020003070200030202010302020103020205030602030302020203
+0302000302020403020236030702000301020103020202030202050306020303020203030202000301027e0302020003020201030202010302020103020204030502020302020103
+02020003010203030102020303028903011a1403010c060a010d010c060a010d17030302010302020103020201030202070302020203030201030002020302020003010201030102
+000301020003010200030102000301020003010200030202010302020103020205030302000301020303020202030202020301020303020237030102000301020003010203030302
+02030202050303020003010203030202040303027f030302010300020103020201030202010302020403020200030202010302020103020200030102000301020003010203030102
+8a03011a1403010c060a010d010c060a010d150305020103020201030202010302020703020203030402030305020103010200030102000301020003010200030102000301020003
+070201030202050302020703020202030202070302023803010200030102000301020103050202030202050302020703020204030302800304020203070201030202040302020003
+02020103020201030202000301020003010200030102030301028a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403
+020200030202010302020103020201030202070302020203000201030302030303020203010200030102000301020003010200030102000301020003020206030202050302020703
+020202030202080301023803010200030102000301020003020200030202020302020503020207030202040303027f03000201030302010302020603020204030202000302020103
+02020103020200030702030301028a03011a1403010c060a010d010c060a010d14030202000302020103020201030202010302020003010204030202020302020003020203030302
+02030102000301020003010200030102000301020003010200030302010301020103020200030102020302020703020202030302010301023e030102000301020003010200030202
+000302020203020200030102020302020703020203030102000302027e03020200030202010303020103010201030202000301020103020201030202000302020103020200030702
+9003011a1403010c060a010d010c060a010d14030b020003030201030502020306020003060204030102030301020003010200030102000301020003010200030102010306020103
+0502010304020403060201030602030301023803010200030102000301020003070201030502010304020403060200030202010302027d0306020203060201030502000303020103
+0202010305020203020200030102040301028a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030202000306020003
+030202030302030306020003000200030302040302020303010200030102000301020003010200030102000301020203040203030302020304020403060202030402030303023703
+01020003010200030102010302020003020202030302020304020403060200030202000303027d030002000303020403040203030302010303020103020202030302030301020103
+0102030303028903011a1403010c060a010d010c060a010d4203020246030102ff03240301028a03011a1403010c060a010d010c060a010d41030302ff03fa03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d41030202ff03fb03011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a
+010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010de3030202000301020b030402020306020e030302770300020e03
+0402050300029403011a1403010c060a010d010c060a010d31030302ac0306020b030402020306020e030302760301020e030402040301029403011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d30030502ab030202000302020d03020204030202110302027603010210030202040301029403011a1403010c
+060a010d010c060a010d2f03020201030202aa030202010301020d03020204030202110302027503020210030202030302029403011a1403010c060a010d010c060a010d15030402
+0103030200030202010303020003020200030302000302028f0300020003010200030102020304020203030200030202000302020103010203030302050302020403020202030302
+0003020203030502020303020203030200030202510303020003000203030302020306020303030205030202020306029103011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d1403060200030802000303020003020201030102010302028f030702000306020103020201030202000302020603050204030202
+0403020202030802010306020103050201030202010302025003060202030502010306020203050204030202020306029103011a1403010c060a010d010c060a010d140301020103
+020201030302000302020003020201030202040302029003070200030102010302020203020200030102010302020503020201030202030302020403020203030302000302020003
+020200030302000302020103020201030202000301025103020200030202010302020103020201030202040302020103020203030202030302029403011a1403010c060a010d010c
+060a010d1703030201030202010302020103020200030102040302029103010200030102000301020303030203030302020302020503020201030202030302020403020203030202
+0103020200030202010302020003020201030202020303025203030201030002010302020103020201030202040302020103020203030202030302029403011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d15030502010302020103020201030502030302029203010200030102000301020103050203030302
+02030202050302020103020203030202040302020303020201030202000302020103020200030702020303025303040202030702010302020403070203030202030302029403011a
+1403010c060a010d010c060a010d14030202000302020103020201030202020303020503010292030102000301020003010200030202000302020303030202030202010301020103
+0202010302020303020204030202030302020103020200030202010302020003020207030302520300020103030201030202060302020403020208030202030302029403011a1403
+010c060a010d010c060a010d14030202000302020103020201030202020303029a030102000301020003010200030202000302020203010200030202010302020103010201030202
+010302020303020204030202030302020103020200030202010302020003030201030102010301020003020251030202000302020103030201030102010302020003010201030302
+010301020303020203030202000301029103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d14030b020003030203030102
+060301029203010200030102000301020003070200030202010302020003060202030502020306020003060200030302000303020103060201030602000302020103020250030602
+02030602010305020203060201030602010305029103011a1403010c060a010d010c060a010d15030202000306020003030202030202050303029103010200030102000301020103
+020200030202000302020003030201030402040303020303060200030602000303020003030202030202000301020203040201030202000303025003000200030302040304020303
+03020403040202030602020303029203011a1403010c060a010d010c060a010d2703020207030102ff03ff030b03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d26030302ff03ff031503011a1403010c060a010d010c060a010d26030202ff03ff031603011a1403010c060a010d010c060a010dff03ff03
+4003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010de1030702130306020e03030277030002
+1503030205030102030301020c030002100301026603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010de103080212030602
+0e030302760301021503030205030102030301020b0301020f0303026503011a1403010c060a010d010c060a010de203020201030202140302021103020276030102160302020503
+0202010302020b030102100301026603011a1403010c060a010d010c060a010de2030202010302021403020211030202750302021603020205030202010302020a0302027903011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1603020200030102020303020403030202030202010301020303020200030102
+020303027f03000200030102000301020203040202030302000302020003020200030202030303020203020201030202020302020203030200030202030305020203030202030302
+000302025103030200030002030303020203060202030302000300020103020200030302000305020203070201030402020306020103020201030102020304020203030200030202
+5a03011a1403010c060a010d010c060a010d1503060201030502020305020103070201030602010305027e0307020003060201030202010302020003050203030502010302020103
+020202030202020308020103060201030502010302020103020250030602020305020103060201030602010302020003030200030602010307020003060201030602010307020103
+040202030202010302025a03011a1403010c060a010d010c060a010d1403030200030202000302020103020200030202010302020103060200030302000302020003020201030202
+7d0307020003010201030202020302020003010201030502020302020103020200030102030301020203020203030302000302020003020200030302000302020103020201030202
+000301025103020200030202010302020103020201030202040302020003020201030202010302020003030200030202000307020003010201030202020302020503060203030202
+03030202000301025b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403020202030102000302020103020200030202
+010302020103030200030102000302020203010200030202010302027d03010200030102000301020303030203030302020302020003020201030202010302020003010200030102
+000301020203020203030202010302020003020201030202000302020103020202030302520303020103000201030202010302020103020204030302010300020103020201030202
+00030202010302020003010200030102000301020303030202030202050303020003010203030202040303025c03011a1403010c060a010d010c060a010d14030202050302020103
+0202000307020103020204030202050307027d0301020003010200030102010305020303030202030202000302020103020201030202000301020003010200030102020302020303
+020201030202000302020103020200030702020303025303040202030702010302020503040202030202010302020003020201030202000301020003010200030102010305020203
+02020503020207030202040303025c03011a1403010c060a010d010c060a010d14030202050302020103020200030202060302020403020205030202820301020003010200030102
+000302020003020203030302020302020003020201030202010302020003070202030202030302020103020200030202010302020003020207030302520300020103030201030202
+060302020403000201030302010302020103020200030202010302020003010200030102000301020003020200030202020302020503020207030202040303025c03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d140303020103010200030202010302020003030201030102010302020403030201030102
+00030302010301027d030102000301020003010200030202000302020203010200030202010302020103020200030202010302020003070202030202030302020103020200030202
+010302020003030201030102010301020003020251030202000302020103030201030102010302020003010201030202000302020103020200030302000302020103020200030102
+0303010200030202000302020203020200030102020302020703020203030102000302025b03011a1403010c060a010d010c060a010d150306020103050202030602000304020403
+0602010306027d0301020003010200030102000307020003020201030602010302020103050202030202000301020103060200030302000303020103060201030602000302020103
+020250030602020306020103050201030602010307020003060201030202010302020003070201030502010304020403060200030202010302025a03011a1403010c060a010d010c
+060a010d1603040203030302040304020103040205030402030304027e03010200030102000301020103020200030202000302020003070201030202020303020303010201030102
+010306020003030200030302020302020003010202030402010302020003030250030002000303020403040203030302020300020003030203030302000301020003010200030202
+0203020201030202010302020003020202030302020304020403060200030202000303025a03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03
+ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d27030402b4030302a0030102b703011a1403010c060a010d010c060a010d27030402b40303021903030281030302160303029b03011a1403
+010c060a010d010c060a010d29030202b50302021803050281030102160305029a03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010d29030202b5030202170302020103020298030202010302029903011a1403010c060a010d010c060a010d1603020200030102020303020503020202030202000303020003
+0002000301020003010200030302000302027e0300020003010200030102030303020203000200030102000301020103050204030302020302020103010201030302000302027503
+03020003000202030402020307020203030202030302000302029903011a1403010c060a010d010c060a010d1503060201030502040302020203020200030302000310027d030702
+010305020103070200030602020305020103070201030102010302027403060202030402020307020103050202030102010302029903011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010d140303020003020200030202010302020303020202030202010302020003070200030302000302027d03070200030202
+010302020003070200030302000302020003020201030202010306020403020275030202000302020403020202030102010303020003020201030202040302029a03011a1403010c
+060a010d010c060a010d1403020202030102000302020103020203030202020302020103020200030102000301020003010200030202010302027d03010200030102000301020003
+020201030202000301020003010200030102000302020103020200030202010302020103030200030102030302027603030201030002040302020203000201030302010302020103
+0202030302029b03011a1403010c060a010d010c060a010d14030202050302020103020203030202020302020103020200030102000301020003010200030202010302027d030102
+000301020003010200030702000301020003010200030102000302020103020200030702010302020603020278030402050302020403030202030702020302029c03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d140302020503020201030202030302020203020201030202000301020003010200030102
+00030202010302027d030102000301020003010200030202050301020003010200030102000302020103020200030202060302020703010277030002010303020403020203030302
+0103000200030202080301029c03011a1403010c060a010d010c060a010d140303020103010200030202010302020303020202030202000303020003010200030102000301020003
+0202010302027d0301020003010200030102000303020103010200030102000301020003010200030202010302020003030201030102010302028103020200030202040302020203
+0302010301020003030201030102a203011a1403010c060a010d010c060a010d15030602010305020203060200030702000301020003010200030502000303027d03010200030102
+00030102010306020003010200030102000301020003060202030602000304020603010277030602020306020003070201030602030301029c03011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d1603040203030302030306020103030200030102000301020003010200030502000303027d03010200030102
+000301020203040201030102000301020003010200030102000302020403040201030402050303027603000200030302030306020003070202030402030303029b03011a1403010c
+060a010d010c060a010dff03000301029e0301029c03011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010de1030302ff035a03011a1403010c060a010d010c060a010de1030302cc0303028903011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010de2030202cb0305028803011a1403010c060a010d010c060a010de2030202ca030202010302028703011a1403
+010c060a010d010c060a010d160302020003010202030302020301020003030201030302000302028f03000200030102000301020303030202030002000301020003010201030502
+04030302020302020103010202030302000300027603030200030002030302020003010200030202000303020103040202030202010301020303030202030302000302028703011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030602010305020103070200030302000302028f0307020103050201030702
+000306020203050201030702000306027503060202030602000302020003030200030602010307020103050202030102010302028703011a1403010c060a010d010c060a010d1403
+0302000302020003020201030202000303020003020200030202010302028f0307020003020201030202000307020003030200030202000302020103020201030602000302020003
+02027503020200030202010302020103020200030202010302020003010201030202020306020003020201030202040302028803011a1403010c060a010d010c060a010d14030202
+020301020003020201030202000302020103020201030202000301029003010200030102000301020003020201030202000301020003010200030102000302020103020200030202
+01030202010303020003010200030302010300027503030201030002010302020103020200030202010302020303030202030302000301020003020201030202030302028903011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403020205030202010302020003020201030202010305029003010200030102
+000301020003070200030102000301020003010200030202010302020003070201030202050304027703040202030202010302020003020201030202010305020203020204030702
+020302028a03161a010c060a010d010c060a010d14030202050302020103020200030202010302020203030291030102000301020003010200030202050301020003010200030102
+00030202010302020003020206030202040300020103030275030002010303020103020201030202000302020103020200030202000302020203020204030202080301028a03161a
+010c060a010d010c060a010d140303020103010200030202010302020003020200030302020303029103010200030102000301020003030201030102000301020003010200030102
+000302020103020200030302010301020103020204030202000302027503020200030202010303020003020200030202000303020003020200030202020302020403030201030102
+9003011a1402010c060a010d010c060a010d150306020103050201030602040301029203010200030102000301020103060200030102000301020003010200030602020306020003
+040203030602750306020203060200030702000307020003040204030602030301028a03011a1402010c060a010d010c060a010d1603040203030302020305020403020292030102
+000301020003010202030402010301020003010200030102000301020003020204030402010304020303000200030302760300020003030204030502010303020003010201030202
+000302020003040205030402030303028903011a1402010c060a010d010c060a010d2603020206030202ff0354030202270301028a03011a1402010c060a010d010c060a010d2603
+020205030302ff0354030202b403011a1402010c060a010d010c060a010d2503040204030202ff0354030302b403011a1402010c060a010d010c060a010dff03ff034003011a1402
+010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a
+02020e030202010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03
+ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c
+060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a1402010c060a010d
+010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff1aff1a421a1402010c060a010d010c060a010dff1a
+ff1a571a010c060a010d010c060a010dff03ff034003161a010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010d
+ff03ff035703010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010d9e030102210300027c0300024e03
+04020403010204030402050300021a03751a1803010c060a010d010c060a010d1403020401030204040300047a0303021f0301027b0301024d030602020303020303040204030102
+1a03751a1803010c060a010d010c060a010d1503010402030104030302047a030102200301027b0301024d030202000302020303010206030202040301021a03751a1803010c060a
+010d010c060a010d1503010402030004050300049d0302027a0302024d03020210030202030302021a03751a1803010c060a010d010c060a010d1503010402030004770303020003
+0002020304020303040200030402000302020203040202030602010302020003030200030202010301020303030203030302000300021c0301020003030202030402020302020103
+010202030402020300020003010200030102030303020203060203030302020302020103010202030302000300022e03050203030402050302020203060203030302020302020103
+01020503751a1803010c060a010d010c060a010d15030104010300040303030405030304010301040403000403030304050300040d03010401030104040303040203010402030104
+0303030404030304140306020203040202031002000306020103060201030202000303020003070201030502010306021c0307020003060201030702000306020103070201030502
+010306020203050201030702000306022e03050203030402050302020203060202030502010307020403751a1803010c060a010d010c060a010d1503010401030004050301040303
+02040103010401030104020301040103020401030104030302040b030004000300040003030402030104010301040003030400030304000302040103010401030204010301041303
+0202000302020403020202030202000303020003030200030202000301020103020202030202040302020103020201030602000302020103020200030202000302021c0303020003
+020200030102010302020203060200030102010302020103070200030202010302020103020204030202010302020103060200030202000302022f03020207030202050302020303
+02020403020201030202010306020403751a1803010c060a010d010c060a010d15030104010300040403010404030104020301040103010402030104010301040203000405030004
+0e0302040003010406030104010300040003000400030004000301040003010402030104010301040203000414030302010300020403020202030202000302020103020201030202
+030303020203020204030202010302020103030200030102000302020103020200030302010300021c03020201030202030303020203030200030102030303020103010200030102
+000301020003020201030202010302020403020201030202010303020003010200030302010300022f03020207030202050302020303020204030202010302020103030200030102
+0403751a1803010c060a010d010c060a010d150301040003000405030104030301040203010402030104020300040303010418030104010301040303030402030004000301040103
+03040203010403030104180304020503020202030202000302020103020201030202010305020203020204030202010302020103020204030702010304021d030202010302020103
+0502020302020503050201030102000301020003010200030702010302020403070201030202050304023003020207030202050302020303020204030702010302020803751a1803
+010c060a010d010c060a010d150301040003000405030104030304040303010401030004000300040403020415030104020300040203010401030104010301040003010400030104
+00030404060302041503000201030302040302020303040202030202010302020003020200030202020302020403020201030202010302020403020205030002010303021c030202
+0103020200030202000302020203020204030202000302020103010200030102000301020003020206030202040302020603020204030002010303022f0302020703020205030202
+0303020204030202060302020803751a1803010c060a010d010c060a010d150301040003000404030104040301040603010400030104000300040203000402030104140301040103
+010401030104020301040103010400030004010301040003010407030004020301041403020200030202040302020203030204030202010302020003020200030202020302020003
+0102010302020003030201030202040303020103010200030202000302021c0302020003030200030202000302020203020204030202000302020103010200030102000301020003
+030201030102010302020003010201030302010301020103020204030202000302022f030202070302020503020203030202000301020103030201030102010302020803751a1803
+010c060a010d010c060a010d1503020405030104010300040203010402030004010306040103010401030204040300040e0301040103010400030204010302040003010401030004
+010300040203010402030004010301040103020414030602020306020003060200030302000303020003070201030502010307020003040204030602000306021c03060201030702
+000304020303070200030102000301020003010201030602010305020203060200030402030306022e03040204030602010306020103050202030602000304020703751a1803010c
+060a010d010c060a010d150301040703020404030304030301040003010403030304050302040c030104030301040103020401030104000300040403000403030304030303041603
+0002000303020303060201030a02000303020103020200030202020303020303030200030102000304020503040201030002000303021d0305020303020200030202000304020403
+0202000302020003010200030102000301020203040203030302040304020103040203030002000303022f03040204030602010306020203030204030402010304020703751a1803
+010c060a010d010c060a010d430300042603000437030202010302025a030202bd03751a1803010c060a010d010c060a010da40307025a030202bd03751a1803010c060a010d010c
+060a010da50305025a030402bc03751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03
+c803041a0803671a1803010c060a010d010c060a010dff03c803041a0803671a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03ff035703
+010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010da70301020f03
+01026a0303020303010206030002070301024f030302270301020f030002070301027b03010c060a010d010c060a010da60303020d03030269030302020303020403010206030302
+4e030302260303020d030102060303027a03010c060a010d010c060a010da70301020f0301026b03020203030102050301020703010250030202270301020e030102070301027b03
+010c060a010d010c060a010dff03270302020a0302025a030202370302028503010c060a010d010c060a010d53030202000303020103030200030002020304020303040200030002
+020303021603030202030202010301020203040203030402000300020103040201030302000302020203030200030002390302020003010202030302010303020003020203030502
+010304020203060202030402040303020103030200030202020303020003000230030502020303020303030200030002030302020003010200030202010301020203040202030102
+0003030201030602020304020403030201030302000302026703010c060a010d000c090d530302020003030200030602010306020103070201030502140305020103070201030402
+02030702010304020103080200030602380306020103050200030802010306020103040202030602020304020303050200030802000306022f030602010305020103060202030602
+000307020103040202030702000306020203040203030502000308026603010c080d090c000d53030202010302020003020200030202010301020103020201030202000303020003
+020201030202120302020103020201030602030302020203020200030302030302020203030200030202000302020003020237030302000302020003020201030202000303020003
+020200030202000303020303020203030202070302020203020201030202000303020003020200030202000302022e03020200030302000302020103020200030202000302020103
+030200030202010306020303020202030302000302020103020207030202020302020103020200030302000302026603090c000d010c060a010d5303020201030202000303020103
+000204030302010302020003020201030202010302021203020201030202010303020003010203030202020302020003020204030202020302020103020200030302010300023703
+0202020301020003020201030202000302020103020200030202010302020303020203030202070302020203020201030202000302020103020200030302010300022e0302020103
+020200030202010302020003030201030002010302020203010201030302000301020303020202030202010302020103020207030202020302020103020200030202010302026603
+010c060a010d010c060a010d530302020103020201030402030305020103020200030202010307021203020201030202010302020703020202030202000302020403020202030202
+01030202010304023803020205030202010302020003020201030202000302020103020203030202030302020703020202030202010302020003020201030202010304022f030202
+01030202000307020103040202030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d5303
+020201030202000300020103030201030202000302020203040202030202170302020103020201030202070302020303040205030202020302020103020200030002010303023703
+02020503020201030202000302020103020200030202010302020303020203030202070302020203020201030202000302020103020200030002010303022e030202010302020003
+0202050300020103030201030202060302020703020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d53030202
+000303020003020200030202010302020003020201030302040303020103010212030202010302020103020207030202020303020703020202030202010302020003020200030202
+370303020103010200030202010302020003020201030202000302020103020203030202030302020003010204030202020302020103020200030202010302020003020200030202
+2e0302020103020200030302010301020003020200030202010303020103010201030202070302020203020200030302010302020003010204030202020302020103020200030202
+010302026603010c060a010d010c060a010d53030702000306020103070200030602020306021303050201030402040306020003060202030a020003030200030602380306020103
+0502000303020003030201030602010306020103050202030602010305020003030200030302000306022f0306020103060200030602020306020003040204030602000306020203
+0502020306020103050200030302000303026603010c060a010d010c060a010d54030302000301020003000200030302030302020003020201030602020304021503030202030402
+040306020103060201030a020003030200030002000303023a0304020303030201030302000303020203020200030102010306020203030203030602020303020103030200030302
+000300020003030231030202000301020203040201030002000303020403040201030402040306020003050204030302030306020203030201030302000303026603010c060a010d
+010c060a010d6e030202010302023603020201030202ff030e0302028f03010c060a010d010c060a010d6e03070236030702ff030e0302028f03010c060a010d010c060a010d6f03
+050238030502ff030e0304028e03010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a
+010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d010c
+1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000c
+ff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a
+000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-matsource.ps b/books/ps/h-matsource.ps
new file mode 100644
index 0000000..acb97a4
--- /dev/null
+++ b/books/ps/h-matsource.ps
@@ -0,0 +1,1390 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 326.600014 469.000000 495.640009
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:20:55 1991
+%%Title: h-matsource.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.32 h-matsource.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  766, height = 389, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 768, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 389
+%   starting column = 1
+%   ending column = 766
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  766 389 8
+  [766 0 0 -389 0 389]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 4.550000 inch translate
+matrix currentmatrix
+4.500000 inch 2.320000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff12fd1220120011ff12ff12b81200112012001101121e0100110012ff01ff01b7010011001
+21e01011101121e0100110012ff01ff01b701001100121e01011101121e010011
+0012ff01ff01b701001100121e01011101121e0100110012ff01ff01b701001100121e010111011
+21e0100110012ff01ff01b701001100121e01011101121e0100110012ff01ff01
+b701001100121e01011101121e0100110012ff01ff01b701001100121e010111011206011811001
+2ff11ff11b8110012171106010111011206010011ff12ff12ea12060101110112
+060100110012150100110012ff01ff019f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff019f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff019f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff019f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff019f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01050102000f01000020010300000100003a010200000100000d010200ff0
+10d0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01060101000e0102001e0101000101020039010100000102000e0
+10100ff010d0100110012150100110012020100120d0100110201001100120601
+01110112060100110012150100110012ff01060101000f0100001f0100000301010038010100020
+101000e010100ff010d0100110012150100110012020100120d01001102010011
+0012060101110112060100110012150100110012ff01050103002f0101000301000038010100030
+100000e010100ff010d0100110012150100110012020100120d01001102010011
+001206010111011206010011001202010f12020100110012ff01050100000001010002010200010
+1020001010300050103000201000000010100000101000a010200070103000201
+020000010200010101000001030003010300040103000c010100030100000201030004010400030
+10300ff0105010011001208010312080100110012020100120d01001102010011
+0012060101110112060100110012020100120d010011020100110012ff010501000000010100030
+10100010101000401010004010100010101000101010000010100000101000a01
+0300040101000101010002010100010101000201020001010100010101000101010002010100010
+101000b010100060101000101010002010100000102000201010001010100ff01
+0401001100120801001201010011080100110012020100120d01001102010011001206010111011
+2060100110012020100120d010011020100110012ff0105010000010101000301
+0100000100000501010003010100030101000001010000010100000101000b01030002010100030
+10100010101000101010002010100020101000001010002010100010101000201
+01000b010100050101000301010000010100020101000101010002010100ff01040100110012080
+1001201010011080100110012020100120d010011020100110012060101110112
+060100110012020100120e11020100110012ff01040105000401010006010100030101000301010
+00001010000010100000101000d01020001010100030101000101010001010100
+0201010005010100060106000b0101000501010003010100000101000201010001010600ff01040
+100110012080100120211080100110012020100120d0100110201001100120601
+01110112060100110012150100110012ff010401000002010100040101000601010003010100030
+10100000101000001010000010100090100000301010001010100030101000101
+0100010101000201010005010100060101001001010003010000000101000301010000010100020
+1010001010100ff01090100110012150100110012020100120d01001102010011
+0012060101110112060100110012150100110012ff0104010000030101000201000000010100050
+10100030101000301010000010100000101000001010009010100030100000101
+0100030101000101010001010100020101000501010003010000010101001001010003010000000
+1010003010100000101000201010001010100ff01090100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff0103010100030
+10100010101000101010004010100040101000101010001010100000101000001
+0100090102000101010002010100010101000201010000010200020101000601010001010100020
+10100020100000c01010001010100010101000101010002010100000102000201
+010002010000ff01040100110012150100110012020100120d01001102010011001206010111011
+2060100110012150100110012ff01030102000101020000010200010102000101
+0500030103000201010000010100000101000901000000010300040103000401020000010100000
+1040005010300040103000e01030003010300040102000001010002010300ff01
+050100110012150100110012020100120d010011020100110012060101110112060100110012150
+100110012ff01ff019f0100110012150100110012020100120d01001102010011
+0012060101110112060100110012150100110012ff01ff019f01001100121501001100120201001
+20e11020100110012060101110112060100110012150100110012ff01ff019f01
+00110012150100110012150100110012060101110112060100110012150100110012ff01ff019f0
+10011001215010011001215010011001206010111011206010011001216110012
+ff11ff11a01100121611001216110012060101110012ff11ff11f2110012081109120011ff01ff0
+1d3010000120109120011011206010111ff01ff01d30100001201011206010111
+011206010111ff01ff01d30100001201011206010111011206010111ff01ff01d30100000801000
+00801011206010111011206010111ff01ff01d301000007010200070101120601
+0111011206010111ff01ff01d30100000601040006010112060101110112060101111d010500290
+100001001000007010000ff01ff01690100000501060005010112060101110112
+060101111e01010001010100270102000f01000006010200ff01ff0168010000070102000701011
+2060101110112060101111e01010002010100270100000f01010007010000ff01
+ff016901000007010200070101120601011101120601011105010100060101000d0101000201010
+038010100ff01ff01720100001201011206010111011206010111050101000601
+01000d0101000201010002010300030103000001000003010300020101000001030002010300030
+1010000010200020106000201030005010300020101000001020005010000ff01
+ff014e01000007010200070101120601011101120601011105010100060101000d0101000201010
+00101010001010100010101000201010002010100010101000201020001010100
+0301010004010200000101000301010007010100040101000101010002010100010101000301020
+0ff01ff014d010000070102000701011206010111011206010111020107000001
+07000a0101000201010000010100020101000101010003010000010101000201010002010100020
+10100030101000401010002010100020101000701010003010100030101000101
+01000101010004010000ff01ff014e0100000501060005010112060101110112060101110201070
+0000107000a010100020101000001060002010200040101000701010008010100
+0401010002010100020101000701010003010100030101000101010001010100ff01ff015401000
+006010400060101120601011101120601011105010100060101000d0101000201
+0100000101000901020002010100070101000801010004010100020101000201010007010100030
+10100030101000101010001010100ff01ff015401000007010200070101120601
+011101120601011105010100060101000d010100020101000001010006010000030101000101010
+00301000002010100080101000401010002010100020101000701010003010100
+030101000101010001010100ff01ff0154010000080100000801011206010111011206010111050
+10100060101000d01010001010100020101000201000001010100020101000201
+0100010101000201010008010100040101000101010003010100010100000401010004010100010
+10100020101000101010004010000ff01ff014e01000012010112060101110112
+060101111d010500040103000201000000010300040103000201040004010500020104000501020
+00301050003010300020102000001030002010200ff01ff014d01000012010112
+06010111011206010111540101002c010000ff01ff014e010000120101120601011101120601011
+154010100ff01ff017c0113000112060101110112060101113701080d12010300
+ff01ff017b010000020100000201000002010000020100000201011206010111011206010111370
+1080dff01ff01920100001201011206010111011206010111ff01ff01d3010000
+00010000020100000201000002010000020100000001011206010111011206010111ff01ff01d30
+100001201011206010111011206010111ff01ff01d30100000201000002010000
+02010000020100000201011206010111011206010111ff01ff01d30100001201011206010111011
+2060101112f01010025010200040100002301020001010100030101000c010000
+100100000e010200100100003d010000100100001a0102001f0100001f0102002d0100000c01020
+0240102000d010000110102001601000022010000350102004a01000000010000
+0201000002010000020100000201000000010112060101110112060101113001000026010100040
+100002201010004010000030100000d0100000f0102000f0101000e0102003c01
+00000f0102001a0101001e0102001f0101002c0101000d010100250101000c01020011010100150
+1020020010200350101004a010000120101120601011101120601011130010100
+25010100030101002201010004010100010101000c01010010010000100101000f0100003c01010
+0100100001b0101001f010000200101002b0102000d010100250101000d010000
+120101001601000022010000360101004a010000020100000201000002010000020100000201011
+20601011101120601011105010100060101002001000025010100030101002201
+010004010100010101000c010100220101004d0101002d010100410101002a0103000d010100250
+1010021010100720101004a010000120101120601011101120601011105010100
+0601010020010100050103000001000001010100000102000301040004010400010106000101030
+00001020000010100000102000401030005010100040105000201040002010600
+0101010000010300020103000301020001010200030101000d01030004010300000100000b01040
+00b01000000010100000101000201040002010600010101000001030002010300
+03010200010102000b0104000301030002010000000101000001010002010400030103000301010
+0000102000b010100030101000101040004010300020101000001030003010300
+0e0101000d01040003010400030103000001000003010300040104000b010300030101000001020
+00401040003010300020102000101020001010300030101000001020003010300
+000101000a01030004010300000100000a010200000102000201030000010000030103000401040
+04a01000000010000020100000201000002010000020100000001011206010111
+0112060101110501010006010100210100000401010002010100020102000001010001010100020
+10100020101000001020003010100050101000201000002010200000101000201
+0100010101000301010005010500010101000201010003010100050102000101010003010100040
+1010001010100050101000e01010003010100020101000a010100020101000a01
+0100000101000001010000010100020101000301010005010200010101000301010004010100010
+101000b0101000001020002010100010101000101010000010100000101000001
+0100020101000401010004010100010101000a01010003010100010102000001010002010100010
+10100020102000101010001010100010101000d0101000d010200000101000101
+0100020101000101010002010100020101000101010002010100000102000d01010004010100010
+10100020101000001020002010100010101000201010001010100040101000401
+0100010101000101010001010100000100000c01010003010100020101000b01010001010100010
+1010002010100020101000101010002010100000102004a010000120101120601
+011101120601011102010700000107001e010100030101000301000002010100020101000001010
+00201010001010100020101000301010005010100020100000201010002010100
+0001010002010100020101000601000000010100000100000101010002010100030101000501010
+002010100030101000501010000010000070101000d0101000301010003010000
+0a010100020101000a0101000001010000010100000101000201010003010100050101000201010
+00301010005010100000100000b01010002010100010101000301010000010100
+000101000001010000010100020101000401010004010100010101000a010100000101000001010
+00101010001010100010101000201010002010100020101000001010002010100
+0d01010003010700010101000201010000010100020101000101010003010000010101000201010
+001010100020101000d0101000401010001010100010101000201010001010100
+02010100030101000001000005010100040101000101010001010100010101000e0101000301010
+0030100000b010100010101000101010003010000010101000201010001010100
+020101004a010000020100000201000002010000020100000201011206010111011206010111020
+10700000107001f01000004010200050101000201010003010300010101000201
+0100030101000601010000010000030101000201010000010600030101000501000000010100000
+100000401030003010100050101000801010006010100070101000e0101000401
+0200100103000a010100000101000001010003010300030101000501010008010100060101000c0
+10100020101000101010003010100000101000001010000010100030103000401
+010004010100010101000a010100000101000001010001010100010101000101060002010100050
+106000d0101000301070001010100020101000301030002010200040106000101
+0100020101000d01010004010100010101000101010002010100010106000401010006010100040
+101000101010001010100010101000e010100040102000e010100010101000201
+02000401060001010100020101004a0100001201011206010111011206010111050101000601010
+02201010005010200030101000201010001010100010101000101010002010100
+0301010006010100000100000301010002010100000101000901010004010000030100000201010
+00101010003010100050101000801010006010100060101000f01010006010200
+0c010100010101000a0101000001010000010100010101000101010003010100050101000801010
+0060101000c010100020101000101010003010100000101000001010000010100
+01010100010101000401010004010100010101000a0101000001010000010100010101000101010
+0010101000701010005010100120101000d010100020101000101010001010100
+040102000201010006010100020101000d010100040101000101010001010100020101000101010
+009010100060101000401010001010100020103000f010100060102000c010100
+01010100040102000201010006010100020101004a0100000001000002010000020100000201000
+00201000000010112060101110112060101110501010006010100230100000201
+0000030101000201010002010100000101000201010001010100020101000301010007010100040
+10100020101000001010009010100040100000301000001010100020101000301
+010005010100080101000501000000010100050101000f01010003010000030101000a010100020
+101000a0101000001010000010100000101000201010003010100050101000801
+010005010000000101000b010100020101000101010003010100000101000001010000010100000
+10100020101000401010004010100010101000b01010000010200020101000101
+0100010101000701010005010100120101000d01010002010100000101000201010001010000030
+101000101010006010100020101000d0101000401010001010100010101000201
+0100010101000801000000010100050101000401010001010100010100001301010003010000030
+101000b0101000101010001010000030101000101010006010100020101004a01
+0000120101120601011101120601011105010100060101002301010001010100020101000201010
+00101010001010100010102000201010000010200030101000101000004010100
+0401010001010100020101000201000004010100040100000301000001010100010102000301010
+00101000002010100080101000401010001010100040101000f01010003010100
+020101000a010100010102000a01010000010100000101000001010001010200030101000101000
+0020101000801010004010100010101000b010100000102000201010001010100
+01010100000101000001010000010100010102000401010004010100010101000b0101000101010
+0020101000101010002010100020100000201010006010100020100000d010100
+0d01020000010100010101000101020001010100020101000201010002010000020101000001020
+00d01010004010100010101000201010000010200020101000201000002010100
+01010100040101000401010001010100010105000e01010003010100020101000b0101000001020
+00101010002010100020101000201000002010100000102004a01000002010000
+0201000002010000020100000201011206010111011206010111350100000101000000010300030
+10400030102000101010002010200000101000301020005010000050104000401
+0300050101000301020001010200010102000101010003010200020104000401050001010200010
+10200030101000d01050001010000000103000c01020001010100090101000001
+010000010100010102000101010003010200020104000401050001010200010102000b010200000
+10100020103000201010000010100000101000101020001010100010105000101
+0200000103000a0100000301000001010200000103000201030002010400050103000d0104000a0
+10100000102000301020001010100000100000001030004010300040102000001
+01000a0105000101020000010300020102000001010002010300020102000101020001010500010
+1020000010300010105000b01050001010000000103000d010200000101000001
+0000000103000401030004010200000101004901000012010112060101110112060101113501010
+00a01010023010000050101001201020038010200ef0105007f01000004010000
+9201000000010000020100000201000002010000020100000001011206010111011206010111420
+10100200100000001000006010100ff01c7010100020101009201000012010112
+06010111011206010111410103001f01020005010300ff01c701040093010000020100000201000
+002010000020100000201011206010111011206010111ff01ff01d30100001201
+011206010111011206010111ff01ff01d3010000000100000201000002010000020100000201000
+00001011206010111011206010111ff01ff01d301000012010112060101110112
+06010111ff01ff01d30100000201000002010000020100000201000002010112060101110112060
+10111ff01ff01d30100001201011206010111011206010111320103001c010200
+1101000004010200510102001d010300ff01ea01000000010000020100000201000002010000020
+10000000101120601011101120601011131010100010101001c01010011010000
+05010100520101001f010100ff01ea0100001201011206010111011206010111310101000101010
+01c0101001001010005010100520101001f010100ff01ea010000020100000201
+0000020100000201000002010112060101110112060101110501010006010100200101002001010
+01001010005010100520101001f010100ff01ea01000012010112060101110112
+060101110501010006010100200101000601030002010100000103000b010400040103000201060
+0020104000b010100000103000301030002010100030101000101030000010000
+0b0104000201010000010200040104000c010300040103000501010003010200000102000101000
+0000101000001010001010100000102000301030000010000ff01c40100000001
+0000020100000201000002010000020100000001011206010111011206010111050101000601010
+01f010400030101000101010002010200010101000a0102000001010002010100
+010101000301010005010200000101000b010200010101000101010001010100010101000301010
+000010100020101000a0101000201010002010100010101000201010000010200
+0b01010001010100020101000101010004010100040101000101010001010100000101000001010
+001010100010101000101010002010100ff01c401000012010112060101110112
+0601011102010700000107001d010100040101000301010001010100020101000a0101000201010
+000010100030101000201010005010100010101000b0101000201010000010100
+0301010000010100000101000001010000010100030100000a01010002010100020101000101010
+001010100020101000a0101000201010001010100030101000301010004010100
+0101010001010100000101000001010001010100010101000101010003010000ff01c4010000020
+10000020100000201000002010000020101120601011101120601011102010700
+000107001d0101000401010003010100010101000f0101000201010000010100030101000201010
+005010100010101000b0101000501010003010100000101000001010000010100
+0101020010010300020101000101010001010100020101000a01010006010100030101000301010
+00401010001010100010101000001010000010100010101000101010002010200
+ff01c70100001201011206010111011206010111050101000601010020010100040101000301010
+0010101000f010100020101000001010003010100020101000501010001010100
+0b0101000501010003010100000101000001010000010100030102000c010100010101000201010
+00101010001010100020101000a01010006010100030101000301010004010100
+01010100010101000001010000010100010101000101010004010200ff01c501000000010000020
+10000020100000201000002010000000101120601011101120601011105010100
+06010100200101000401010003010100010101000f0101000201010000010100030101000201010
+005010100010101000b0101000501010003010100010101000001020001010000
+030101000a01010002010100020101000101010001010100020101000a010100030100000101010
+00301010003010100040101000101010001010100000101000001010001010100
+010101000101000003010100ff01c40100001201011206010111011206010111050101000601010
+0200101000501010001010100020101000f010200000101000201010001010100
+030101000101000002010100010101000b010100060101000101010002010100010101000101010
+0020101000a01010001010200020101000101010002010100000102000b010100
+0101010002010100010101000401010004010100000102000101010000010100000101000101010
+001010100010101000201010004010000ff01be01000002010000020100000201
+00000201000002010112060101110112060101113001030005010300020104000c0101000001020
+00401030005010200020102000001030009010400050103000301000003010000
+01010000000103000c01020001010100000102000001030002010200000101000b0103000401030
+00301050003010200000101000001010000010100000101000001020000010300
+000100000001030004010200ff01bd0100001201011206010111011206010111ff0113010000ff0
+1be01000000010000020100000201000002010000020100000001011206010111
+011206010111ff01ff01d30100001201011206010111011206010111ff01ff01d30100000201000
+00201000002010000020100000201011206010111011206010111ff01ff01d301
+00001201011206010111011206010111ff01ff01d30100000001000002010000020100000201000
+0020100000001011206010111011206010111ff01ff01d3010000120101120601
+0111011206010111ff01ff01d301000002010000020100000201000002010000020101120601011
+1011206010111ff01ff01d3010000120101120601011101120601011102010100
+030101000c010000100100001101010002010500040101001601070027010000320105001401030
+02a010000100100000701000028010200ff017701000000010000020100000201
+00000201000002010000000101120601011101120601011103010000030100000d0100000f01020
+00f01010004010100010101000401010016010100020101002701000034010100
+180101002a010000100100000601020028010100ff0177010000120101120601011101120601011
+103010100010101000c0101001001000010010100040101000101010004010100
+1601010003010000260101003401010018010100290101000f0101000701000029010100ff01770
+10000020100000201000002010000020100000201011206010111011206010111
+03010100010101000c01010021010100050101000101010005010100150101002b0101003401010
+018010100290101000f01010032010100ff017701000012010112060101110112
+0601011103010500020104000201060001010100000103000201030003010200010102000201010
+0050101000101010005010100050100000e010100010100000201020001010200
+00010100000102000401030002010100000103000101060002010300000100000a0107000001070
+00c01010003010000000101000001010001010100000102000501010005010300
+0201000000010100000101000301030002010100000102000201060002010400020106000201030
+00501030002010100000102000b01010003010100010104000401030002010100
+0001030003010300ff0159010000000100000201000002010000020100000201000000010112060
+10111011206010111030105000101010002010100030101000501020001010100
+03010100040101000101010003010100050101000001010006010100040102000d0104000301010
+00101010002010200000101000201010001010100020102000101010002010100
+04010100020101000a010700000107000c010100030101000001010000010100010102000001010
+00401010004010100010101000101010000010100000101000101010001010100
+0201010001010100030101000401010002010100030101000701010004010100010101000201010
+0010101000a010100030101000101020000010100020101000101010002010200
+010101000101010001010100ff01580100001201011206010111011206010111030100000001010
+00001000001010100020101000301010005010100020101000301010005010100
+00010000040101000501030007010100050100000e0101000101000004010100000100000301010
+00201010000010100030101000101010002010100020101000401010003010000
+2801010003010100000101000001010001010100020101000301010003010100020101000101010
+00001010000010100000101000201010002010100010101000301010004010100
+020101000301010007010100030101000301010001010100010101000a010100000101000001010
+00101010001010100010101000201010002010100020101000001010002010100
+ff01580100000201000002010000020100000201000002010112060101110112060101110301000
+00001010000010000040103000301010005010100080101000601010005010100
+0501010000010100060101001501010008010100040101000201010000010100030101000101010
+007010100050102000d010700000107000c010100030101000001010000010100
+0101010002010100030101000301060001010100000101000001010000010600020101000101010
+00301010007010300030101000701010003010100030101000101010001010100
+0a01010000010100000101000101010001010100010106000201010005010600ff0158010000120
+10112060101110112060101110301000003010000020101000101010003010100
+0501010008010100060101000501010005010100010101000501010015010100080101000401010
+00201010000010100030101000101010007010100070102000b01070000010700
+0c01010003010100000101000001010001010100020101000301010003010100060101000001010
+00001010000010100070101000101010003010100050101000101010003010100
+07010100030101000301010001010100010101000a0101000001010000010100010101000101010
+0010101000701010005010100ff015d0100000001000002010000020100000201
+0000020100000001011206010111011206010111030100000301000001010100020101000301010
+00501010008010100050100000001010004010100050101000101010005010100
+1501010003010000020100000001010003010100020101000001010003010100010101000701010
+00401000003010100280101000301010000010100000101000101010002010100
+0301010003010100060101000001010000010100000101000701010001010100030101000401010
+0020101000301010007010100030101000301010001010100010101000b010100
+000102000201010001010100010101000701010005010100ff015d0100001201011206010111011
+20601011103010000030100000101010001010200030101000101000002010100
+08010100040101000101010004010100040101000201010003010100060100000e0101000201010
+00101010001010100020101000101010002010100010101000201010007010100
+0101000001010100020101002801010003010100000101000001010001010100010101000401010
+00401010002010000010101000001010000010100010101000201000002010100
+0101010003010100010100000101010001010200030101000101000004010100040101000101010
+002010100010101000b0101000101010002010100010101000201010002010000
+020101000601010002010000ff01580100000201000002010000020100000201000002010112060
+10111011206010111020102000101020001010200010101000301020002010400
+04010500010102000101020003010100030103000101010003010100050102000c0107000001020
+00101020001010400040103000201040006010200020100000001030027010500
+0101010000010100000101000101040003010500030103000201010000010100000101000201030
+00201020000010300030102000301020001010100030102000301050003010300
+02010200000103000a010000030100000101020000010300020103000201040005010300ff01590
+1000012010112060101110112060101113c0101000d0101000701000020010100
+60010100ff01f501000000010000020100000201000002010000020100000001011206010111011
+2060101117801010060010100ff01f50100001201011206010111011206010111
+770103005e010300ff01f4010000020100000201000002010000020100000201011206010111011
+206010111ff01ff01d30100001201011206010111011206010111ff01ff01d301
+000000010000020100000201000002010000020100000001011206010111011206010111ff01ff0
+1d30100001201011206010111011206010111ff01ff01d3010000020100000201
+000002010000020100000201011206010111011206010111ff01ff01d3010000120101120601011
+1011206010111140105001d01050005010000ff01ff018d010000000100000201
+0000020100000201000002010000000101120601011101120601011115010100010101001d01010
+00101010003010200ff01ff018c01000012010112060101110112060101111501
+0100010101001d0101000101010004010000ff01ff018d010000020100000201000002010000020
+10000020101120601011101120601011115010100010101001d01010001010100
+ff01ff0193010000120101120601011101120601011115010100010101000d0100000e010100010
+101000201030003010100000102000301030000010100ff01ff01770100000001
+0000020100000201000002010000020100000001011206010111011206010111150101000001010
+00d0102000d010100000101000501010004010100010101000101010001010100
+00010000ff01ff01770100001201011206010111011206010111150103000f0100000e010300060
+1010004010100010101000101010001010100ff01ff0179010000020100000201
+00000201000002010000020101120601011101120601011115010100000101001e0101000001010
+00501010004010100010101000101010001010100ff01ff017901000012010112
+0601011101120601011115010100010101001d01010001010100040101000401010001010100020
+10300ff01ff017a01000000010000020100000201000002010000020100000001
+01120601011101120601011115010100010101001d0101000101010004010100040101000101010
+001010000ff01ff017e0100001201011206010111011206010111150101000201
+01000c0100000e0101000201010003010100040101000101010001010500ff01ff0179010000020
+10000020100000201000002010000020101120601011101120601011114010300
+010101000b0102000c0103000101010001010500010102000001030001010500ff01ff017801000
+01201011206010111011206010111290100002801000004010000ff01ff017801
+0000000100000201000002010000020100000201000000010112060101110112060101115301010
+002010100ff01ff0178010000120101120601011101120601011154010400ff01
+ff0179010000020100000201000002010000020100000201011206010111011206010111ff01ff0
+1d30100001201011206010111011206010111ff01ff01d3010000000100000201
+00000201000002010000020100000001011206010111011206010111ff01ff01d30100001201011
+206010111011206010111ff01ff01d30100000201000002010000020100000201
+00000201011206010111011206010111ff01ff01d30100001201011206010111011206010111140
+105004101030000010200150100001f010500ff01ff0131010300000102000001
+0200000102000001020001120601011101120601011115010100010101004101010002010100150
+100002001010001010100ff01ff01300113000112060101110112060101111501
+0100010101004101010002010000150101002001010001010100ff01ff013001010000010200000
+10200000102000001020000010000011206010111011206010111150101000101
+01002e0101001001020001010000150101002001010001010100ff01ff013001130001120601011
+10112060101111501010001010100030103000201010003010100090107000001
+0700000103000f010100000101000301030004010300020106000301030002010100000103000b0
+1010001010100ff01ff0130010300000102000001020000010200000102000112
+0601011101120601011115010100000101000301010001010100010101000301010009010700000
+10700020103000d01010000010000030101000101010002010100010101000301
+0100050101000101010002010200010101000a01010000010100ff01ff013101130001120601011
+10112060101111501030003010100030101000001010000010100000101001f01
+03000b0101000001000002010100020101000101010002010100030101000401010003010100010
+10100020101000a010300ff01ff01320101000001020000010200000102000001
+0200000100000112060101110112060101111501010000010100020101000301010000010100000
+10100000101000901070000010700040103000c01020002010600010101000801
+01000401010003010100010101000f01010000010100ff01ff01310113000112060101110112060
+10111150101000101010001010100030101000001010000010100000101000901
+070000010700020103000e0102000201010006010100080101000401010003010100010101000f0
+1010001010100ff01ff0130010300000102000001020000010200000102000112
+060101110112060101111501010001010100010101000301010001010100000102001c010300100
+10100030101000601010003010000030101000401010003010100010101000f01
+010001010100ff01ff0130011300011206010111011206010111150101000201010001010100010
+1010002010100010101001c010100130100000401010002010000020101000101
+010003010100010100000201010001010100020101000f01010002010100ff01ff012f010100000
+10200000102000001020000010200000100000112060101110112060101111401
+0300010101000201030003010000030100003201000005010300040103000501020004010300020
+104000c01030001010100ff01ff012f011300011206010111011206010111ff01
+ff01d301030000010200000102000001020000010200011206010111011206010111ff01ff01d30
+11300011206010111011206010111ff01ff01d301010000010200000102000001
+02000001020000010000011206010111011206010111ff01ff01d30113000112060101110112060
+10111ff01ff01d301030000010200000102000001020000010200011206010111
+011206010111ff01ff01d3011300011206010111011206010111ff01ff01d301010000010200000
+10200000102000001020000010000011206010111011206010111ff01ff01d301
+130001120601011101120601011117010200000100000a0103003001030000010200150100001f0
+10500ff01ff013101030000010200000102000001020000010200011206010111
+01120601011116010100000102000c0101003101010002010100150100002001010001010100ff0
+1ff013001130001120601011101120601011115010100020101000c0101003101
+010002010000150101002001010001010100ff01ff0130010100000102000001020000010200000
+102000001000001120601011101120601011115010100030100000c0101001e01
+01001001020001010000150101002001010001010100ff01ff01300113000112060101110112060
+10111150101000301000002010300050101000c01070000010700000103000f01
+0100000101000301030004010300020106000301030002010100000103000b01010001010100ff0
+1ff01300103000001020000010200000102000001020001120601011101120601
+0111150101000601010001010100040101000c01070000010700020103000d01010000010000030
+10100010101000201010001010100030101000501010001010100020102000101
+01000a01010000010100ff01ff01310113000112060101110112060101111501010005010100030
+1010003010100220103000b010100000100000201010002010100010101000201
+010003010100040101000301010001010100020101000a010300ff01ff013201010000010200000
+10200000102000001020000010000011206010111011206010111150101000501
+010003010100030101000c01070000010700040103000c010200020106000101010008010100040
+1010003010100010101000f01010000010100ff01ff0131011300011206010111
+01120601011115010100030100000001010003010100030101000c01070000010700020103000e0
+102000201010006010100080101000401010003010100010101000f0101000101
+0100ff01ff013001030000010200000102000001020000010200011206010111011206010111150
+10100030100000001010003010100030101001e01030010010100030101000601
+010003010000030101000401010003010100010101000f01010001010100ff01ff0130011300011
+20601011101120601011116010100010101000101010001010100040101001e01
+0100130100000401010002010000020101000101010003010100010100000201010001010100020
+101000f01010002010100ff01ff012f0101000001020000010200000102000001
+0200000100000112060101110112060101111701030003010300030105003201000005010300040
+103000501020004010300020104000c01030001010100ff01ff012f0113000112
+06010111011206010111ff01ff01d30103000001020000010200000102000001020001120601011
+1011206010111ff01ff01d3011300011206010111011206010111ff01ff01d301
+01000001020000010200000102000001020000010000011206010111011206010111ff01ff01d30
+11300011206010111011206010111ff01ff01d301030000010200000102000001
+020000010200011206010111011206010111ff01ff01d3011300011206010111011206010111ff0
+1ff01d30101000001020000010200000102000001020000010000011206010111
+011206010111ff01ff01d30113000112060101110112060101112601050045010000ff01ff015f0
+10300000102000001020000010200000102000112060101110112060101112701
+01000101010043010100ff01ff015f0113000112060101110112060101112701010001010100420
+10200ff01ff015f01010000010200000102000001020000010200000100000112
+0601011101120601011127010100010101002e01010010010300ff01ff015f01130001120601011
+10112060101111401000000010100000101000101010000010200030101000101
+010003010300020101000301010009010700000107000001030010010100ff01ff015f010300000
+10200000102000001020000010200011206010111011206010111140101000001
+0100000101000101010001010100020101000001010003010100010101000101010003010100090
+1070000010700020103000e010100ff01ff015f01130001120601011101120601
+0111140101000001010000010100010101000101010002010300030101000301010000010100000
+10100000101001f0103000c010100ff01ff015f01010000010200000102000001
+0200000102000001000001120601011101120601011114010100000101000001010001010100010
+10100020101000001010002010100030101000001010000010100000101000901
+070000010700040103000c010100ff01ff015f01130001120601011101120601011114010100000
+10100000101000101010001010100020101000101010001010100030101000001
+010000010100000101000901070000010700020103000e010100ff01ff015f01030000010200000
+10200000102000001020001120601011101120601011114010100000101000001
+010001010100010101000201010001010100010101000301010001010100000102001c010300100
+10100ff01ff015f01130001120601011101120601011114010100000101000001
+010001010100010101000201010002010100010101000101010002010100010101001c010100120
+10100ff01ff015f01010000010200000102000001020000010200000100000112
+0601011101120601011114010100000101000001010000010200000103000001030001010100020
+10300030100000301000030010400ff01ff015d01130001120601011101120601
+01116f010500ff01ff015d010300000102000001020000010200000102000112060101110112060
+10111ff01ff01d3011300011206010111011206010111ff01ff01d30101000001
+020000010200000102000001020000010000011206010111011206010111ff01ff01d3011300011
+206010111011206010111ff01ff01d30103000001020000010200000102000001
+0200011206010111011206010111ff01ff01d3011300011206010111011206010111ff01ff01d30
+10100000102000001020000010200000102000001000001120601011101120601
+0111ff01ff01d301130001120601011101120601011129010200000100000a01030034010000ff0
+1ff015f0103000001020000010200000102000001020001120601011101120601
+011128010100000102000c01010033010100ff01ff015f011300011206010111011206010111270
+10100020101000c01010032010200ff01ff015f01010000010200000102000001
+0200000102000001000001120601011101120601011127010100030100000c0101001e010100100
+10300ff01ff015f01130001120601011101120601011114010000000101000001
+01000101010000010200030101000301000002010300050101000c0107000001070000010300100
+10100ff01ff015f01030000010200000102000001020000010200011206010111
+0112060101111401010000010100000101000101010001010100020101000601010001010100040
+101000c01070000010700020103000e010100ff01ff015f011300011206010111
+0112060101111401010000010100000101000101010001010100020101000501010003010100030
+10100220103000c010100ff01ff015f0101000001020000010200000102000001
+0200000100000112060101110112060101111401010000010100000101000101010001010100020
+101000501010003010100030101000c01070000010700040103000c010100ff01
+ff015f0113000112060101110112060101111401010000010100000101000101010001010100020
+10100030100000001010003010100030101000c01070000010700020103000e01
+0100ff01ff015f01030000010200000102000001020000010200011206010111011206010111140
+10100000101000001010001010100010101000201010003010000000101000301
+0100030101001e01030010010100ff01ff015f01130001120601011101120601011114010100000
+10100000101000101010001010100030101000101010001010100010101000401
+01001e01010012010100ff01ff015f0101000001020000010200000102000001020000010000011
+20601011101120601011114010100000101000001010000010200000103000301
+0300030103000301050030010400ff01ff015d0113000112060101110112060101116f010500ff0
+1ff015d0103000001020000010200000102000001020001120601011101120601
+0111ff01ff01d3011300011206010111011206010111ff01ff01d30101000001020000010200000
+102000001020000010000011206010111011206010111ff01ff01d30113000112
+06010111011206010111ff01ff01d30103000001020000010200000102000001020001120601011
+1011206010111ff01ff01d3011300011206010111011206010111ff01ff01d301
+01000001020000010200000102000001020000010000011206010111011206010111ff01d901000
+0f801130001120601011101120601011114010100030101000201020003010700
+000103000501050001010100020102002d010100030101000c010000100100000d0103000701000
+02a0102000401030015010200170107001e010000070100002301010002010500
+0b01050020010200000100000a0103000f01000006010100ef01030000010200000102000001020
+00001020001120601011101120601011115010000030100000401010003010100
+0001010000010100010101000801010004010100020100002f010000030100000d0100000f01020
+00d010100070102002a010100060101001601010018010100020101001e010000
+060102002101010004010100010101000b010100010101001e010100000102000c0101000d01050
+004010100ee011300011206010111011206010111150101000101010004010100
+030100000101010001010000010101000801010004010100020100002f010100010101000c01010
+0100100000e010100080100002b01010006010100160101001801010003010000
+1d010100070100002201010004010100010101000b010100010101001d010100020101000c01010
+00c010100000100000001010004010100ee010100000102000001020000010200
+0001020000010000011206010111011206010111150101000101010003010300050101000401010
+00801010004010200010100001c01010010010100010101000c01010020010100
+34010300050101001601010018010100220101002a01010005010100010101000b0101000101010
+01d010100030100000c0101000c010100000100000101000005010100ed011300
+0112060101110112060101111501050003010000000101000501010004010100080101000401020
+0010100000a01070000010700000103000e010500020104000201060001010100
+0001030002010300030102000101020001010100060103000301010000010200040103000301040
+00201010000010300030100000001010005010100040103000001010002010300
+0301040002010100000103000201040003010100010100000201020000010200010101000001020
+00401030002010600020103000501030002010100000102000301030000010000
+0301010005010100010101000b010100010101000301030002010100030101000a0101000301000
+002010300050101000c0101000001000008010100ed0103000001020000010200
+0001020000010200011206010111011206010111150105000301000000010100050101000401010
+0080101000401000000010100000100000a01070000010700020103000c010500
+0101010002010100030101000501020001010100030101000401010001010100020101000801010
+00401010001010100020101000101010001010100020101000201020001010100
+0201000000010100050101000301010001010100000100000101010001010100020102000001010
+00201020001010100000101000201010002010400030101000101010002010100
+0101010002010100010101000301010007010100040101000101010002010100010101000101010
+0020101000301010005010100000101000c010100000101000301010001010100
+01010100030101000a0101000601010001010100040101000c01030008010100ed0113000112060
+10111011206010111150100000001010000010000030100000101010004010100
+0401010008010100040100000001010000010000200103000a01000000010100000100000101010
+00201010003010100050101000201010003010100050101000001000003010100
+0801010004010100010101000101010002010100010101000201010002010100020101000201000
+00101010004010100030101000101010002010100020101000201010002010100
+0101010002010100000101000201010002010100010100000301010001010100020101000101010
+00101010002010100030101000701010003010100030101000101010001010100
+010101000301000003010100050103000d010300030101000301010000010100000101000001010
+00a0101000501010003010100030101000d01040006010100ed01010000010200
+0001020000010200000102000001000001120601011101120601011115010000000101000001000
+00201050004010100040101000801010004010000010102000a01070000010700
+040103000a010000000101000001000004010300030101000501010008010100060101000401010
+00801010004010100010101000101060004010300020101000601050004010100
+0301010001010100020106000201010002010100010101000801030002010100060101000101010
+00201010001010100010101000801010007010100030101000301010001010100
+01010100020102000601010005010100000101000c0101000001010002010100030101000001010
+000010100000101000a0101000501010003010100030101000f01030005010100
+ed01130001120601011101120601011115010000030100000201000002010100040101000401010
+00801010004010000010102000a01070000010700020103000c01000003010000
+0201010001010100030101000501010008010100060101000401010008010100040101000101010
+00101010007010100010101000201010006010000020101000401010004010300
+0301010007010100020101000101010006010100010101000201010006010100010101000201010
+00101010001010100080101000701010003010100030101000101010001010100
+040102000401010005010100010101000b010100010101000101010003010100000101000001010
+0000101000a010100030100000001010003010100030101000f01000000010100
+05010100ed010300000102000001020000010200000102000112060101110112060101111501000
+00301000002010000030101000301010004010100030100000301010004010000
+020101001c0103000e0100000301000001010100020101000301010005010100080101000501000
+00001010003010100030100000301010004010100010101000101010006010100
+0201010002010100060100000301010003010100030100000701010007010100020101000101010
+00501010002010100020101000601010001010100020101000101010001010100
+0301000003010100070101000301010003010100010101000101010001010000030101000301010
+005010100010101000b0101000101010001010100030101000101010000010200
+0b010100030100000001010003010100030101000c010000010100000001010005010100ed01130
+00112060101110112060101111501000003010000010101000301010003010100
+04010100020101000301010004010000020101001c0101001001000003010000010101000101020
+00301010001010000020101000801010004010100010101000201010002010100
+0301010004010100010101000201010002010000010101000101020002010100050101000301010
+00301010003010500030101000201000002010200000101000201010005010100
+0101020002010100060101000001020002010100010101000201010001010100030101000101000
+00401010004010100010101000201010001010100010101000201010004010100
+0401010002010100030100000501010002010100010101000101010002010100010101000401000
+00601010001010100010101000101010004010100060100000401010000010000
+0001010004010100ee0101000001020000010200000102000001020000010000011206010111011
+20601011114010200010102000001020001010200020103000201070001010500
+01010200020100002e0102000101020001010200010101000301020002010400040105000101020
+00101020000010700010105000101020000010300020103000301020001010100
+0001040003010200010102000101050002010500030103000201010000010200020104000401020
+00101010000010300060102000001010000010200000103000201030005010200
+0301050003010300020102000001030000010000000103000501010003010300010101000201020
+00301030001010100020103000301000003010000030102000601030003010300
+03010500030102000301050005010100ee011300011206010111011206010111f50100000401000
+07a0101000e01010021010100210101000601000006010100ef01030000010200
+000102000001020000010200011206010111011206010111f5010100020101008b0101002101010
+02101010006010000f8011300011206010111011206010111f60104008b010100
+210101002101010007010000f801010000010200000102000001020000010200000100000112060
+10111011206010111ff01ff01d3011300011206010111011206010111ff01ff01
+d301030000010200000102000001020000010200011206010111011206010111ff01ff01d301130
+0011206010111011206010111ff01ff01d3010100000102000001020000010200
+0001020000010000011206010111011206010111ff01ff01d301130001120601011101120601011
+11401010003010100020102000301070001010300000100000101070002010300
+0201050030010300000100000401000031010700030103000401030004010000100100001901000
+004010100030101000c010000100100000f010300290100000701000023010100
+0201050004010100ff011c010300000102000001020000010200000102000112060101110112060
+10111150100000301000004010100030101000001010000010100000101000101
+0200010101000001010000010100010101000101010002010100010101002e01010001010200040
+10000320101000201010002010100010101000201010001010100020102000e01
+02001801000005010000030100000d0100000f0102000d010100010101002801000006010200210
+10100040101000101010004010100ff011b011300011206010111011206010111
+1501010001010100040101000301000001010100010100000001000003010100010100000101010
+001010000000101000301010001010100010101002e0100000301010003010100
+3201010003010000020101000101010002010100010101000301000010010000180101000501010
+0010101000c010100100100000d01010003010100260101000701000022010100
+040101000101010004010100ff011b0101000001020000010200000102000001020000010000011
+20601011101120601011115010100010101000301030005010100030101000301
+000004010100030101000301010001010100010101001c0101000f0101000301000003010100320
+1010007010100060101003301010005010100010101000c0101001f0101000301
+0100260101002a010100050101000101010005010100ff011a01130001120601011101120601011
+11501050003010000000101000501010003010200080101000301010003010100
+01010100010101000a01070000010700000103000d0102000501060003010300020101000001030
+00201040003010300000101000201030003010100010100000401010006010100
+0501030005010300030103000501030002010100000102000201060002010500020104000201060
+00101010000010300020103000301020001010200000101000301010000010100
+0001020004010300020101000001030002010400020106000201030005010300020101000001020
+0030103000001000003010100050101000101010005010100ff011a0103000001
+0200000102000001020000010200011206010111011206010111150105000301000000010100050
+101000401030006010100030101000301010001010100000101000b0107000001
+0700020103000c01030005010100050101000101010002010200010101000001010002010100010
+10100010101000001000001010100010101000201040003010400030104000501
+0100040101000101010004010100040101000101010002010100010101000301010005010500010
+10100020101000301010005010200010101000301010004010100010101000101
+0100030101000101020000010100020101000101010002010200010101000001010002010100030
+10100070101000401010001010100020101000101010001010100020101000301
+0100050101000001010006010100ff011a011300011206010111011206010111150100000001010
+00001000003010000010101000401010005010300050101000301010003010100
+01010300220103000b0103000401010004010100030101000101010002010100000101000201010
+00101010001010100020101000201010002010100010100000401010006010100
+0701010003010100020101000401010003010100020101000201010001010100030101000501000
+00001010000010000010101000201010003010100050101000201010003010100
+0501010000010000020101000301010001010100020101000001010002010100020101000201010
+00001010002010100030101000701010003010100030101000101010001010100
+0101010003010000030101000501030007010100ff011a010100000102000001020000010200000
+10200000100000112060101110112060101111501000000010100000100000201
+0500040101000701020004010100030101000301010001010100000101000b01070000010700040
+103000d0102000301010004010100030101000101010008010300010101000101
+0100020106000201010007010100060101000701010003010100090101000301060002010100010
+10100030101000501000000010100000100000401030003010100050101000801
+0100060101000301010003010100010101000201010000010600020101000801030003010100070
+10100030101000301010001010100010101000201020006010100050101000001
+010006010100ff011a0113000112060101110112060101111501000003010000020100000201010
+00401010003010000030101000401010003010100030101000101010001010100
+0a01070000010700020103000b01000003010100030101000401010003010100010101000601010
+00101010002010300030101000701010007010100060101000701010003010100
+0901010003010100070101000101010003010100050100000301000002010100010101000301010
+00501010008010100060101000301010003010100010101000201010000010100
+0701010006010100010101000301010007010100030101000301010001010100010101000401020
+004010100050101000101010005010100ff011a01030000010200000102000001
+0200000102000112060101110112060101111501000003010000020100000301010003010100030
+101000301000004010100030101000301010001010100010101001c0103000d01
+0100030100000301010004010100030101000101010005010100020101000101000007010100070
+10100030100000201010006010100070101000301010003010000040101000301
+0100070101000101010003010100050100000301000001010100020101000301010005010100080
+10100050100000001010002010100030101000101010002010100000101000701
+0100050101000201010003010100070101000301010003010100010101000101010001010000030
+1010003010100050101000101010005010100ff011a0113000112060101110112
+0601011115010000030100000101010003010100030101000301020001010100040101000401010
+00101010002010100020101001b0101000f010200010101000301010001010000
+0201010001010100020101000501010001010200010105000301010002010000020101000201010
+00201010006010100070101000401010001010100040101000401010002010000
+0201010001010100030101000101000002010000030100000101010001010200030101000101000
+00201010008010100040101000101010002010100010101000201010001010100
+0201010002010000020101000501010001010200030101000101000004010100040101000101010
+00201010001010100010101000201010004010100040101000201010003010100
+ff011b0101000001020000010200000102000001020000010000011206010111011206010111140
+10200010102000001020001010200020103000201000000010300040103000401
+030002010300010101002d010000000103000501020004010300020104000401020001010100010
+10500030103000201070001010300040103000401050003010300030105000301
+0300020102000001030003010200020102000101020001010200010101000301020002010400040
+10500010102000101020002010300030104000401030002010400040102000101
+0100030102000301050003010300020102000001030000010000000103000501010003010300010
+1010003010100ff011b011300011206010111011206010111ad01000004010000
+9b010100510101000d010100ff011c0103000001020000010200000102000001020001120601011
+1011206010111ad010100020101009b010100ff01800113000112060101110112
+06010111ae0104009b010300ff017f0101000001020000010200000102000001020000010000011
+206010111011206010111ff01ff01d3011300011206010111011206010111ff01
+ff01d301030000010200000102000001020000010200011206010111011206010111ff01ff01d30
+11300011206010111011206010111ff01ff01d301010000010200000102000001
+02000001020000010000011206010111011206010111ff01ff01d30113000112060101110112060
+10111ff01ff01d301030000010200000102000001020000010200011206010111
+011206010111ff01ff01d3011300011206010111011206010111ff01ff01d301010000010200000
+10200000102000001020000010000011206010111011206010111ff01ff01d301
+1300011206010111011206010111ff01ff01d301030000010200000102000001020000010200011
+206010111011206010111ff01ff01d3011300011206010111011206010111ff01
+ff01d30101000001020000010200000102000001020000010000011206010111011206010111ff0
+1ff01d3011300011206010111011206010111ff01ff01d3010300000102000001
+02000001020000010200011206010111011206010111ff01ff01d30113000112060101110112060
+10111ff01ff01d301010000010200000102000001020000010200000100000112
+06010111011206010111ff01ff01d3011300011206010111011206010111ff01ff01d3010300000
+10200000102000001020000010200011206010111011206010111ff01ff01d301
+1300011206010111011206010111ff01ff01d301010000010200000102000001020000010200000
+10000011206010111011206010111ff01ff01d301130001120601011101120601
+0111ff01ff01d301030000010200000102000001020000010200011206010111011206010111ff0
+1ff01d3011300011206010111011206010111ff01ff01d3010100000102000001
+0200000102000001020000010000011206010111011206010111ff01ff01d301130001120601011
+101120601011114010700270100003a010100030101000c010000100100001001
+0200000100000c01000035010100020105000b01050020010200000100000a01030005010100190
+100000701000004010200ff014a01030000010200000102000001020000010200
+0112060101110112060101111501010002010100270100003b010000030100000d0100000f01020
+00e010100000102000c0100003401010004010100010101000b01010001010100
+1e010100000102000c01010006010100170102000601000005010100ff014a01130001120601011
+10112060101111501010003010000260101003b010100010101000c0101001001
+00000e010100020101000b0101003401010004010100010101000b010100010101001d010100020
+101000c01010006010100180100000601010005010100ff014a01010000010200
+00010200000102000001020000010000011206010111011206010111150101002b0101002801010
+010010100010101000c01010020010100030100000b0101003301010005010100
+010101000b010100010101001d010100030100000c010100070101001f01010005010100ff014a0
+11300011206010111011206010111150101000101000002010200010102000001
+0100000102000401030002010100000103000101060002010300000100000a01070000010700000
+103000e0105000201040002010600010101000001030002010300030102000101
+0200010101000301000001010400020106000301030003010300000101000201030002010100000
+1030001010300000102000201010005010100010101000b010100010101000301
+030002010100030101000a010100030100000201030005010100070101000b01010003010100010
+103000301060002010400ff014701030000010200000102000001020000010200
+0112060101110112060101111501040003010100010101000201020000010100020101000101010
+002010200010101000201010004010100020101000a0107000001070002010300
+0c01050001010100020101000301010005010200010101000301010004010100010101000201010
+00501010002010100030101000501010001010100010101000101010000010000
+0101010001010100020102000101010001010100020100000301010005010100000101000c01010
+000010100030101000101010001010100030101000a0101000601010001010100
+04010100070101000b0101000301010003010100050101000501020000010100ff0146011300011
+20601011101120601011115010100010100000401010000010000030101000201
+010000010100030101000101010002010100020101000401010003010000200103000a010000000
+10100000100000101010002010100030101000501010002010100030101000501
+0100000100000301010005010100020101000301010004010100020101000101010001010100020
+10100030101000101010002010100010101000201000003010100050103000d01
+030003010100030101000001010000010100000101000a010100050101000301010003010100070
+101000b010100000101000001010003010100050101000501010001010100ff01
+4601010000010200000102000001020000010200000100000112060101110112060101111501010
+00801010004010100020101000001010003010100010101000701010005010200
+0d01070000010700040103000a01000000010100000100000401030003010100050101000801010
+00601010004010100080103000301010004010600010101000101010002010100
+030101000101010007010100000100000401010005010100000101000c010100000101000201010
+0030101000001010000010100000101000a010100050101000301010003010100
+070101000b010100000101000001010003010100050101000501010001010100ff0146011300011
+20601011101120601011115010100080101000401010002010100000101000301
+01000101010007010100070102000b01070000010700020103000c0100000301000002010100010
+10100030101000501010008010100060101000401010003010000010101000101
+0100030101000401010007010300030101000301010001010100070101000001000004010100050
+10100010101000b01010001010100010101000301010000010100000101000001
+01000a01010003010000000101000301010003010100070101000b0101000001010000010100030
+10100050101000501010001010100ff0146010300000102000001020000010200
+0001020001120601011101120601011115010100030100000201000000010100030101000201010
+00001010003010100010101000701010004010000030101001c0103000e010000
+0301000001010100020101000301010005010100080101000501000000010100030101000301000
+00001010002010100030101000401010006010000070101000301010001010100
+080101000501010005010100010101000b010100010101000101010003010100010101000001020
+00b01010003010000000101000301010003010100070101000c01010000010200
+04010100050101000501010001010100ff014601130001120601011101120601011115010100020
+10100010101000101010002010100010101000201010001010100020101000701
+01000101000001010100020101001c0101001001000003010000010101000101020003010100010
+10000020101000801010004010100010101000301010001010100000101000101
+0200030101000101000002010100020100000101050003010100010101000201010008010100060
+10100040101000201010003010000050101000201010001010100010101000201
+010001010100040100000601010001010100010101000101010004010100060101000d010100010
+101000401010005010100010100000201010001010100ff014601010000010200
+0001020000010200000102000001000001120601011101120601011114010700000102000101020
+00101040004010300020104000601020002010000000103002f01020001010200
+0101020001010100030102000201040004010500010102000101020003010300020102000101010
+00301020004010300030105000301030002010400060100000701010003010300
+0101010002010200030103000101010002010300030100000301000003010200060103000301030
+003010500040101000d0100000301000002010500040102000201020000010300
+ff014501130001120601011101120601011127010100b00100000401000016010000080101000e0
+101002101010020010100ff017601030000010200000102000001020000010200
+01120601011101120601011127010100b00101000201010013010000000100001a0101002101010
+0ff019901130001120601011101120601011126010300b0010400140102001901
+010021010100ff019a0101000001020000010200000102000001020000010000011206010111011
+206010111ff01ff01d3011300011206010111011206010111ff01ff01d3010300
+00010200000102000001020000010200011206010111011206010111ff01ff01d30113000112060
+10111011206010111ff01ff01d301010000010200000102000001020000010200
+00010000011206010111011206010111ff0125010000ff01ac01130001120601011101120601011
+12a010200040100003201030003010100030101000c010000100100001f010300
+00010200150100001f01050029010000ff01ac01030000010200000102000001020000010200011
+2060101110112060101112b010100030102003301010004010000030100000d01
+00000f0102001f0101000201010015010000200101000101010026010500ff01a90113000112060
+101110112060101112b010100040100003401010004010100010101000c010100
+100100002001010002010000150101002001010001010100250101000001000000010100ff01a90
+10100000102000001020000010200000102000001000001120601011101120601
+01112b0101003a01010004010100010101000c01010032010200010100001501010020010100010
+10100130101000f0101000001000001010000ff01a90113000112060101110112
+0601011128010400020103000401040003010300000101000201030002010100000102000301040
+00501010004010500020104000201060001010100000103000201030003010200
+01010200030100000f0101000001010003010300040103000201060003010300020101000001030
+00b01010001010100130103000d01010000010000ff01ac010300000102000001
+0200000102000001020001120601011101120601011127010100000102000401010003010100020
+10100010101000101010000010000010101000101010002010100010101000101
+0100020101000401010004010500010101000201010003010100050102000101010003010100040
+1010001010100030102000e010100000100000301010001010100020101000101
+010003010100050101000101010002010200010101000a01010000010100160103000b010300ff0
+1ac01130001120601011101120601011126010100020101000401010003010100
+0201010001010100010101000201010003010100010101000101010001010100020101000401010
+00401000000010100000100000101010002010100030101000501010002010100
+030101000501010000010000050100000f010100000100000201010002010100010101000201010
+003010100040101000301010001010100020101000a0103000c01070004010300
+0a010400ff01aa01010000010200000102000001020000010200000100000112060101110112060
+10111260101000201010004010100060103000101010001010100020101000301
+0100010101000101010004010300040101000401000000010100000100000401030003010100050
+10100080101000601010018010200020106000101010008010100040101000301
+0100010101000f010100000101000b010700040103000c010300ff01a9011300011206010111011
+20601011126010100020101000401010004010100010101000201030003010100
+0301010001010100010101000201010001010100040101000401000003010000020101000101010
+00301010005010100080101000601010018010200020101000601010008010100
+0401010003010100010101000f01010001010100150103000e01000000010100ff01a9010300000
+10200000102000001020000010200011206010111011206010111260101000201
+0100040101000301010002010100010100000701010003010100010101000101010001010100020
+10100040101000401000003010000010101000201010003010100050101000801
+0100050100000001010017010100030101000601010003010000030101000401010003010100010
+101000f01010001010100130103000d0100000101000000010100ff01a9011300
+0112060101110112060101112701010000010200040101000301010001010200010105000301010
+00101010002010100010101000101010001010200040101000401000003010000
+0101010001010200030101000101000002010100080101000401010001010100040100001101000
+00401010002010000020101000101010003010100010100000201010001010100
+020101000f01010002010100120101000f0101000001000000010100ff01a901010000010200000
+10200000102000001020000010000011206010111011206010111280102000001
+0100010105000201020001010100010105000301030002010200000103000101020001010100010
+10500010102000101020001010200010101000301020002010400040105000101
+020001010200020102001001000005010300040103000501020004010300020104000c010300010
+1010024010500ff01aa0113000112060101110112060101114101000004010000
+5e0100007c010000ff01ac010300000102000001020000010200000102000112060101110112060
+101114101010002010100dc010000ff01ac011300011206010111011206010111
+42010400dd010000ff01ac010100000102000001020000010200000102000001000001120601011
+1011206010111ff01ff01d3011300011206010111011206010111ff01ff01d301
+030000010200000102000001020000010200011206010111011206010111ff01ff01d3011300011
+206010111011206010111ff01ff01d30101000001020000010200000102000001
+020000010000011206010111011206010111ff01ff01d3011300011206010111011206010111530
+10100250102000501020005010200040100003201030003010100030101000c01
+000010010000110101000d010100050102002201000047010200040100003201030021010000100
+100001f0102002c01000004010200210103002a01000020010300000102000001
+0200000102000001020001120601011101120601011154010000260101000401010008010100030
+102003301010004010000030100000d0100000f0102000f0101000f0101000601
+010021010000480101000301020033010100210100000f0102001f0101002c01000005010100230
+101002a0100002001130001120601011101120601011154010100250101000401
+010008010100040100003401010004010100010101000c01010010010000100101000f010100060
+10100200101004801010004010000340101002001010010010000200101002b01
+0100050101002301010029010100200101000001020000010200000102000001020000010000011
+2060101110112060101113b010100060101000e01000025010100040101000801
+01003a01010004010100010101000c01010021010100110101000501010020010100480101003a0
+1010020010100320101002b010100050101002301010029010100200113000112
+060101110112060101113b010100060101000e01010005010300000100000101010000010200030
+10400040104000401010005010400020103000401040003010300000101000201
+0300020101000001020003010400050101000401050002010400020106000101010000010300020
+10300030102000101020002010100040102000101020004010100050101000c01
+0100000103000301030002010600010102000001020001010100000103000101010000010200030
+10300000100000b0104000d010400020103000401040003010300000101000201
+0300020101000001020003010400050101000c01000000010100000101000201040002010600010
+10100000103000201030003010200010102000901010003010100010104000401
+03000201010000010300030103000b01060002010400040103000d0103000501010005010300020
+10000000101000001010003010300020101000001020002010600020103000001
+000014010300000102000001020000010200000102000112060101110112060101113b010100060
+101000f0100000401010002010100020102000001010001010100020101000201
+0100000102000301010005010100000102000401010003010100020101000101010001010100000
+10000010101000101010002010100010101000101010002010100040101000401
+0500010101000201010003010100050102000101010003010100040101000101010003010100050
+101000201000005010100060101000c0102000101010001010100010101000301
+010005010100010101000201020001010100010101000101010001010100020101000a010100020
+101000b0101000001020004010100030101000201010001010100010101000001
+0000010101000101010002010100010101000101010002010100040101000c01010000010100000
+10100000101000201010003010100050102000101010003010100040101000101
+01000a0101000301010001010200000101000201010001010100020102000101010001010100010
+101000c010100050102000001010002010100010101000b010100010101000401
+0100040101000101010001010100000101000001010001010100010101000201010001010100030
+10100040101000201010014011300011206010111011206010111380107000001
+07000c0101000301010003010000020101000201010000010100020101000101010002010100020
+10100050101000201010004010100030101000201010001010100010101000201
+0100030101000101010001010100010101000201010004010100040100000001010000010000010
+10100020101000301010005010100020101000301010005010100000100000401
+0100050101000201000005010100070101000b01010002010100000101000201010003010100050
+10100010101000201010002010100010101000101010001010100030100000a01
+0100020101000a01010002010100040101000301010002010100010101000101010002010100030
+1010001010100010101000101010002010100040101000c010100000101000001
+010000010100020101000301010005010100020101000301010005010100000100000b010100000
+10100000101000101010001010100010101000201010002010100020101000001
+0100020101000c010100050101000101010001010100020101000a0101000201010004010100030
+10100020101000101010000010100000101000001010002010100020101000101
+0100030101000401010003010000140101000001020000010200000102000001020000010000011
+20601011101120601011138010700000107000d01000004010200050101000201
+0100030103000101010002010100030101000401010002010100040101000601030001010100010
+10100020101000301010001010100010101000401030004010100040100000001
+0100000100000401030003010100050101000801010006010100050101000601010000010000060
+10100060101000c01010005010600030101000501010001010100020101000601
+01000101010002010200100103000a0101000201010004010100060103000101010001010100020
+1010003010100010101000101010004010300040101000c010100000101000001
+010003010300030101000501010008010100060101000c010100000101000001010001010100010
+101000101060002010100050106000c0101000501010001010100010106000a01
+0600040101000301060001010100000101000001010000010600020101000101010003010100050
+10200170113000112060101110112060101113b01010006010100100101000501
+0200030101000201010001010100010101000101010002010100040101000301010002010100040
+10100040101000101010002010300030101000301010001010100010101000201
+0100010101000401010004010000030100000201010001010100030101000501010008010100060
+1010005010100060101000001000006010100050101000d010100050101000801
+01000501010001010100020101000601010001010100040102000c010100010101000a010100020
+10100040101000401010001010100020103000301010003010100010101000101
+01000201010001010100040101000c0101000001010000010100010101000101010003010100050
+1010008010100060101000c010100000101000001010001010100010101000101
+01000701010005010100110101000501010001010100010101000f0101000901010003010100060
+10100000101000001010000010100070101000101010003010100070102001501
+0300000102000001020000010200000102000112060101110112060101113b01010006010100110
+10000020100000301010002010100020101000001010002010100010101000201
+0100040101000301010002010100040101000301010002010100010100000701010003010100010
+10100010101000101010002010100040101000401000003010000010101000201
+01000301010005010100080101000501000000010100040101000601030006010100050101000d0
+10100050101000801010005010100010101000201010006010100010101000101
+0000030101000a010100020101000a0101000201010004010100030101000201010001010000070
+101000301010001010100010101000101010002010100040101000c0101000001
+010000010100000101000201010003010100050101000801010005010000000101000c010100000
+10200020101000101010001010100070101000501010011010100050101000101
+0100010101000f01010009010100030101000601010000010100000101000001010007010100010
+10100030101000401000003010100140113000112060101110112060101113b01
+0100060101001101010001010100020101000201010001010100010101000101020002010100000
+10200040101000401010000010200040101000301010001010200010105000301
+0100010101000201010001010100010101000101020004010100040100000301000001010100010
+10200030101000101000002010100080101000401010001010100040101000601
+010006010100060101000d010100060101000201000003010100010100000201010000010200020
+10100060101000101010001010100020101000a010100010102000b0101000001
+0200040101000301010001010200010105000301010001010100020101000101010001010100010
+10200040101000c01010000010100000101000001010001010200030101000101
+0000020101000801010004010100010101000b01010001010100020101000101010002010100020
+100000201010006010100020100000c0101000101000002010100010101000201
+0100020100000b01010002010000040101000401010002010000010101000001010000010100010
+10100020100000201010001010100030101000101000001010100020101001401
+0100000102000001020000010200000102000001000001120601011101120601011159010000010
+10000000103000301040003010200010101000201020000010100030101000501
+0200000101000101050002010200010101000101050003010300020102000001030001010200010
+10100010105000101020001010200010102000101010003010200020104000401
+05000101020001010200030101000601010006010100060101000c0104000501030005010200040
+102000001010000010400030102000001030000010000000103000c0102000101
+01000b0102000001010001010500020102000101010001010500030103000201020000010300010
+1020001010100010105000a010100000101000001010001010200010101000301
+0200020104000401050001010200010102000a01000003010000010102000001030002010300020
+10400050103000e0102000201020000010300020103000d010300030105000301
+0300020101000001010000010100020103000201020000010300030102000201000000010300150
+11300011206010111011206010111590101000a0101001b0102001c0100000401
+00005f0101000d010100050102008201000004010000ff012201030000010200000102000001020
+000010200011206010111011206010111660101003b01010002010100fd010100
+02010100ff0122011300011206010111011206010111650103003b010400ff010400ff012301010
+00001020000010200000102000001020000010000011206010111011206010111
+ff01ff01d3011300011206010111011206010111ff01ff01d301030000010200000102000001020
+000010200011206010111011206010111ff01ff01d30113000112060101110112
+06010111ff01ff01d30101000001020000010200000102000001020000010000011206010111011
+206010111ff01ff01d30113000112060101110112060101115f01030079010000
+040102001b0102000401000032010300ff019001030000010200000102000001020000010200011
+2060101110112060101115e0101000101010078010000050101001c0101000301
+020033010100ff01900113000112060101110112060101115e01010001010100770101000501010
+01c0101000401000034010100ff01900101000001020000010200000102000001
+0200000100000112060101110112060101113b01010006010100170101007b010100050101001c0
+101003a010100ff01900113000112060101110112060101113b01010006010100
+0e010300040101000d010200010102000a010400020101000001020002010100000102000401030
+00301040002010100000103000c01030002010100000102000b01060002010400
+040103000d010400020103000401040003010300000101000201030002010100000102000301040
+005010100ff019001030000010200000102000001020000010200011206010111
+0112060101113b010100060101000d01010001010100020104000c010100020100000a010100020
+10100020102000001010002010200000101000201010001010100010101000201
+010002010200010101000a0101000101010002010100010101000c0101000501020000010100020
+10100010101000b01010000010200040101000301010002010100010101000101
+01000001000001010100010101000201010001010100010101000201010004010100ff019001130
+00112060101110112060101113801070000010700090101000301010002010100
+0e010100020100000a0101000201010002010100020101000101010002010100000101000201010
+00101010002010100020101000201010009010100030101000101010001010100
+0c010100050101000101010001010100020101000a0101000201010004010100030101000201010
+00101010001010100020101000301010001010100010101000101010002010100
+04010100ff019001010000010200000102000001020000010200000100000112060101110112060
+1011138010700000107000901010003010100020101000f010100000100000e01
+0300020101000201010001010100020101000001060004010300020101000e01010003010100010
+10100010101000c0101000501010001010100010106000a010100020101000401
+0100060103000101010001010100020101000301010001010100010101000401030004010100ff0
+1900113000112060101110112060101113b010100060101000c01010003010100
+020101000f010100000100000c01010001010100020101000201010001010100020101000001010
+00701010001010100020101000e0101000301010001010100010101000c010100
+0501010001010100010101000f01010002010100040101000401010001010100020103000301010
+0030101000101010001010100020101000101010004010100ff01900103000001
+02000001020000010200000102000112060101110112060101113b010100060101000c010100030
+10100020101000f0103000b010100020101000201010002010100010101000201
+0100000101000601010002010100020101000e0101000301010001010100010101000c010100050
+1010001010100010101000f010100020101000401010003010100020101000101
+000007010100030101000101010001010100010101000201010004010100ff01900113000112060
+101110112060101113b010100060101000d010100010101000301010010010100
+0c01010001010200020101000101010002010100010101000201010002010000010101000101020
+0020101000f0101000101010002010100010101000c0101000101000002010100
+0101010002010100020100000b01010000010200040101000301010001010200010105000301010
+0010101000201010001010100010101000101020004010100ff01900101000001
+02000001020000010200000102000001000001120601011101120601011155010300030103000f0
+101000d0102000101010001010400030104000401030003010200010101000001
+04000e01030002010200000103000c0102000201020000010300020103000d01020000010100010
+10500020102000101010001010500030103000201020000010300010102000101
+010001010500ff018e0113000112060101110112060101118a01010006010100830100000401000
+0ff01b20103000001020000010200000102000001020001120601011101120601
+01118a010100060101008301010002010100ff01b20113000112060101110012091189010300040
+1030083010400ff01b30101000001020000010200000102000001020000010000
+0112081109120011ff01ff01d301130009120011011206010111ff01ff01d301030000010200000
+102000001020000010200011206010111011206010111ff01ff01d30113000112
+06010111011206010111ff01ff01d30101000001020000010200000102000001020000010000011
+206010111011206010111ff01ff01d3011300011206010111011206010111ff01
+ff01d301030000010200000102000001020000010200011206010111011206010111ff01ff01d30
+11300011206010111011206010111ff01ff01d301010000010200000102000001
+02000001020000010000011206010111011206010111ff01ff01d30113000112060101110112060
+10111ff01ff01d301030000010200000102000001020000010200011206010111
+011206010111ff01ff01d3011300011206010111011206010111ff01ff01d301010000010200000
+10200000102000001020000010000011206010111011206010111ff01ff01d301
+1300011206010111011206010111ff01ff01d301030000010200000102000001020000010200011
+206010111011206010111ff01ff01d3011300011206010111011206010111ff01
+ff01d30101000001020000010200000102000001020000010000011206010111011206010111ff0
+1ff01d3011300011206010111011206010111ff01ff01d3010300000102000001
+02000001020000010200011206010111011206010111ff01ff01d30113000112060101110112060
+10111ff01ff01d301010000010200000102000001020000010200000100000112
+06010111011206010111ff01ff01d3011300011206010111011206010111ff01ff01d3010300000
+10200000102000001020000010200011206010111011206010111ff01ff01d301
+1300011206010111011206010111ff12ff12e91206010111011206010011ff12ff12ea120601011
+101121e0100110012ff01ff01b701001100121e01011101121e0100110012ff01
+ff01b701001100121e01011101121e0100110012ff01ff01b701001100121e01011101121e01001
+10012ff01ff01b701001100121e01011101121e0100110012ff01ff01b7010011
+00121e01011101121e0100110012ff01ff01b701001100121e01011101121e0100110012ff01ff0
+1b701001100121e01011101121f110012ff11ff11b811001220110012ff11ff11
+fc11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-matusers.ps b/books/ps/h-matusers.ps
new file mode 100644
index 0000000..440620f
--- /dev/null
+++ b/books/ps/h-matusers.ps
@@ -0,0 +1,997 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 89.000000 320.120003 523.000000 502.120003
+%%Creator: xwd2ps
+%%CreationDate: Fri Sep 27 18:19:45 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w6.0 -h2.5
+% by matthew.watson.ibm.com:jenks ()
+% Information from XWD rasterfile header:
+%   width =  667, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 668, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 667
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  667 495 8
+  [667 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%1.250000 inch 4.460000 inch translate
+matrix currentmatrix
+6 inch 2.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+0000ff
+ff00ff
+00ff00
+ffff00
+00ffff
+ff0000
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+d8d8bf
+5f9f9f
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+2f2f4f
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+bc8f8f
+d0a070
+adeaea
+cc3232
+23238e
+00ff7f
+70db93
+8e6b23
+23238e
+00ff7f
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+000000
+ffffff
+0000ff
+00ff00
+ff0000
+00ffff
+ff00ff
+a52a2a
+cc3232
+c0c0c0
+bc8f8f
+bfd8d8
+ffff00
+70db93
+8e6b23
+000000
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff59ff599a592059005aff59ff59785901591e58005a0059ff58ff58775801591e58005a0059ff58ff58775801591e58005a0059ff58ff58775801591e58005a0059ff58ff587758
+01591e58005a0059ff58ff58775801591e58005a0059ff58ff58775801591e58005a0059ff58ff58775801590658185a0059ff5aff5a775a01590658005aff59ff59905901590658
+005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58
+ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a0059
+1558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a005902580f590258005a0059ff58ff58775801590658005a0059025800590d58005a
+0258005a0059ff58ff58775801590658005a0059025800590d58005a0258005a0059ff58ff58775801590658005a0059025800590e5a0258005a0059ff58ff58775801590658005a
+00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58
+775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558005a0059ff58ff58775801590658005a00591558
+005a0059ff58ff58775801590658005a0059165a0059ff5aff5a775a0059ff5aff5a995a0959005a7b00ff01ff01130101590658015a7b00ff01ff01130101590658015a7b00ff01
+ff01130101590658015a7b00ff01ff01130101590658015a0500090103000101070001010300010103000b014500ff01ff01130101590658015a05000a0102000201060002010200
+020102000c014400ff01ff01130101590658015a05000a0103000201040002010300020103000b014400ff01ff01130101590658015a050002010b00020104000201030002010700
+02014900ff01ff01130101590658015a050002010c0002010200020104000201070002014900ff01ff01130101590658015a050002010c0002010200020104000201070002014900
+83010500010107002c01000022010000470100000401020055010000070100007c0101590658015a050002010d000201000002010500020107000201490083010400020107002c01
+000022010000470100000501010055010000060102007b0101590658015a050002010d00020100000201050002010700020149008301000006010000040100002c01010021010100
+460101000501010054010100070100007c0101590658015a050002010e00040106000201070002014900830100000b0100002d010100210101004601010005010100540101008501
+01590658015a050008010800040106000201070002014900830100000001020006010100090103000401030002010100000102000301030000010000010106000101010000010300
+010102000001020003010300020106000301030002010100000103000201030000010000060102000001020002010300000100000301030007010600020104000401030003010300
+000100000301030009010300020101000001020004010300020101000001030002010400020106000201030005010300020101000001020003010300000100005e0101590658015a
+050009010800020107000201070002014900830101000101010004010100090101000101010002010100010101000201010001010100010101000201010003010100050102000101
+010001010100010101000201010001010100030101000501010001010100020102000101010000010100020101000701010001010100010101000201010002010100010101000801
+010005010200000101000201010001010100010101000201010002010100010101000701010001010100020102000001010002010100010101000201020001010100000101000201
+010003010100070101000401010001010100020101000101010001010100020101005e0101590658015a050009010800020107000201070002014900830100000301010003010100
+080101000201010001010100030101000101010001010100010101000301000003010100050101000201010001010100010101000101010002010100030101000401010003010100
+010101000201010000010100030100000701010001010100010101000301000001010100020101000801010005010100010101000101010002010100010101000301000001010100
+020101000601010003010100010101000201010000010100020101000201010002010100000101000201010003010100070101000301010003010100010101000101010001010100
+030100005e0101590658015a050002010e00040106000201070002014900880101000201010009010100060101000301010001010100010101000201020006010100050101000601
+0100010101000101010008010100040101000301010001010100060102000a0101000101010002010200040106000801010005010100010101000101060002010200040106000601
+010003010100010101000201010000010600020101000801030003010100070101000301010003010100010101000101010002010200610101590658015a050002010e0004010600
+020107000201490088010100020101000901010006010100030101000101010001010100040102000401010005010100060101000101010001010100080101000401010003010100
+0101010008010200080101000101010004010200020101000d01010005010100010101000101010009010200020101000b0101000301010001010100020101000001010007010100
+0601010001010100030101000701010003010100030101000101010001010100040102005f0101590658015a050002010d0002010000020105000201070002014900880101000101
+020009010100030100000101010003010100010101000101010001010000030101000301010005010100060101000101010001010100030100000301010004010100030101000101
+0100050100000301010007010100010101000101000003010100010101000d0101000501010001010100010101000601000003010100010101000b01010003010100010101000201
+01000001010007010100050101000201010003010100070101000301010003010100010101000101010001010000030101005e0101590658015a050002010d000201000002010500
+02010700020149008201000003010100020101000b010100010101000201010001010100020101000101010001010100020101000301010001010000020101000601010000010200
+020101000101010003010100010100000201010001010100020101000501010002010100070101000001020001010100020101000201010002010000080101000101000002010100
+010101000201010002010000010101000201010002010100020100000701010001010100020101000101010002010100020100000201010005010100010102000301010001010000
+040101000401010001010100020101000101010001010100020101005e0101590658015a050002010c00020102000201040002010700020149008201010001010100030101000c01
+030004010300020102000001030000010000000103000501020002010400050102000001010002010300050102000401030002010400030100000001030009010200000101000001
+000000010300040103000a01020002010200000103000201030002010000000103000401030009010300030104000401030002010400040102000101010003010200030105000301
+0300020102000001030000010000000103005f0101590658015a050002010c00020102000201040002010700020149008301030004010000d8010100aa0101590658015a05000201
+0b0002010400020103000201070002014900ff0166010100aa0101590658015a05000901040002010400020103000201070002014900ff0165010300a90101590658015a05000a01
+020002010600020102000201070002014900ff01ff01130101590658015a06000901030001010700010103000101080001014900ff01ff01130101590658015a7b00ff01ff011301
+01590658015a7b00ff01ff01130101590658015a7b00ff01ff01130101590658015a7b00ff01ff01130101590658015a3b0101003b01ff00ff00150001590658015aff00ff008f00
+01590658015aff00ff008f0001590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015a980101000201020012010100020102001e01000007010100150106000d010000310101000201020012010100020102001e01000007010100150106000d0100005201
+00007e0101590658015a1401030000010200350103003c010100020102000101020012010200010102001d01010006010300140106000c0101003101020001010200120102000101
+02001d01010006010300140106000c0101002b010000250100007e0101590658015a150101000201000035010100010101003a010000040102000201010012010200020101001d01
+010007010100170102000e010100310102000201010012010200020101001d01010007010100170102000e0101002c010000220104007c0101590658015a15010100020100003501
+01000101010039010100040103000101010012010300010101001c010200210102000d010200310103000101010012010300010101001c010200210102000d0102002c0100002101
+000000010000000101007c0101590658015a1501010002010000350101003c0101000501030001010100020103000101030000010200010103000101010002010300030104000001
+0000010104000201060002010400020102000101020002010300040102000201030000010200010106000301030003010400000100000201030002010200010101000a0103000101
+010002010300010103000001020001010300010101000201030003010400000100000101040002010600020104000201020001010200020103000401020002010300000102000101
+060003010300030104000001000002010300020102000101010005010100110101000b01000001010000010100007c0101590658015a150101000201000002010300000100000301
+03000201010000010300020103000001000008010300040101000a0102000201000002010300020101000101020004010200050100000a0101000501040000010100010105000001
+080000010400000101000101050001010700000106000101060002010400020102000101020001010500030102000201080000010600020105000101070001010500010107000901
+040000010100010105000001080000010400000101000101050001010700000106000101060002010400020102000101020001010500030102000201080000010600020105000101
+07000101050001010700040101001101030009010100000100007f0101590658015a1501010002010000010101000201010002010100010101000201020001010100000101000201
+010007010100010101000201040007010000000104000101020001010100000100000001020001010100010101000101010003010200080101000601010000010100000101000001
+020001010200000103000001020000010100000101000001010000010200010102000001020000010300000101000101020002010200070102000201020001010200000102000101
+020002010200030103000001020001010200040102000101020000010200000103000001020001010200010106000901010000010100000101000001020001010200000103000001
+020000010100000101000001010000010200010102000001020000010300000101000101020002010200070102000201020001010200000102000101020002010200030103000001
+020001010200040102000101020000010200000103000001020001010200010106000401010013010300070103007f0101590658015a150101000201000001010100030100000101
+010002010100020101000201010000010100030100000601010003010100020101000d01010002010100020101000201020001010100010101000101010004010000090101000601
+010000010400000102000101020000010200010102000001010000010400000102000101020000010200000102000401030002010200070102000301020000010100010102000101
+020002010200030102000101020001010200040102000101020000010200000102000101020001010200010103000001010009010100000104000001020001010200000102000101
+020000010100000104000001020001010200000102000001020004010300020102000701020003010200000101000101020001010200020102000301020001010200010102000401
+020001010200000102000001020001010200010102000101030000010100040101000701060006010200070103007e0101590658015a150101000201000002010200040106000201
+0100060102000901010003010100020101000c01010002010100020101000301010005010100020101000f0101000601010001010300000102000101020000010200010102000001
+010001010300000107000001020000010200020105000201020007010200030102000001010001010700020102000301020001010200010102000401070000010200000102000101
+0700010102000d0101000101030000010200010102000001020001010200000101000101030000010700000102000001020002010500020102000701020003010200000101000101
+0700020102000301020001010200010102000401070000010200000102000101070001010200070101000701060006010200090103007d0101590658015a15010100020100000401
+02000201010007010100080102000701010003010100020101000a010100040104000501010005010100020101000f01010006010100010103000001020001010200000102000101
+020000010100010103000001020006010400020102000001020002010200070102000301040002010200070102000301020001010200010102000401020006010400020102000601
+02000d010100010103000001020001010200000102000101020000010100010103000001020006010400020102000001020002010200070102000301040002010200070102000301
+020001010200010102000401020006010400020102000601020007010100120103000b010000000101007d0101590658015a15010100020100000101000003010100010101000701
+010005010000030101000601010003010100020101000901010005010100070101000601010001010100100101000601010002010200000102000101020000010200010102000001
+010002010200000103000101010000010300040102000001020002010200000101000401020004010300020103000101010002010200030102000101020001010200000101000101
+030001010100000103000401030001010100010102000d01010002010200000102000101020000010200010102000001010002010200000103000101010000010300040102000001
+020002010200000101000401020004010300020103000101010002010200030102000101020001010200000101000101030001010100000103000401030001010100010102000601
+0100110103000a01000001010000010100007d0101590658015a15010100020100000101010002010100020101000201000002010100050101000201010007010100010101000301
+0100080101000701010002010000020101000601010001010100040100000b0100000601020001010200010105000001030000010300000102000101020001010600000106000101
+070001010500020106000201020004010600000106000001030000010300010105000201060000010600020106000001040005010100040102000101020001010500000103000001
+030000010200010102000101060000010600010107000101050002010600020102000401060000010600000103000001030001010500020106000001060002010600000104000501
+0100110101000c01010000010000000100007e0101590658015a16010300020100000001030004010300020104000301000000010300090103000301030007010600030103000301
+010007010200050102000a01000006010200020101000201030001010300000103000001020002010100020104000201060001010200000102000201030003010600020102000501
+040001010600000103000001030002010300040104000201060002010400010104000401020004010200020101000201030001010300000103000001020002010100020104000201
+0600010102000001020002010300030106000201020005010400010106000001030000010300020103000401040002010600020104000101040004010000220104007f0101590658
+015a600103001e0100000c0100003201020001010200510102000101020014010100310102000101020051010200010102001101010025010000810101590658015ac50107005101
+070014010000320107005101070039010000810101590658015ac601050053010500140100003401050053010500bd0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015a1501030004010400130103001a0101000c0107001e0100000701010015010700030101000d01040006010300b20106000d0100002901
+040002010600160101000b010800130104006c0101590658015a150103000401040013010300190103000b0107001d0101000601030014010700020103000c01040006010300b201
+06000c0101002901040002010700140103000a010800130104006c0101590658015a1601020006010200140102001a0101000d010200000102001d01010007010100160102000001
+0200030101000f01020007010200b40102000e0101002b0102000301020000010200150101000b0101000001020000010100150102006c0101590658015a15010400050102001401
+02002a010200010101001c01020020010200010101001501020007010200b40102000d0102002b010200030102000001020026010200180102006c0101590658015a150104000501
+020003010400000100000201030002010500020102000101010002010400030104000401020000010100010102000401020000010700000102000301020000010100000106000201
+04000401030001010300000102000201020005010400040103000501020004010500b401020002010300000102000101060003010300030104000001000000010200010101000201
+0400050102000301020000010200010104000301030000010000020104000301030000010000030102000501030004010300050102000301030000010000620101590658015a1501
+0100000101000501020002010700010105000101060001010700000106000201040003010600010104000201020000010c0001010600000106000201040003010500000108000101
+040003010400030105000401020003010600b40102000201080000010600020105000101070000010700000106000401020003010500010106000101060002010400020106000301
+020004010500020105000401020002010600620101590658015a15010100000102000401020002010200000103000001020001010200000103000001020001010600000101000101
+020004010200020103000001020001010400020102000101020000010300000102000001030000010200010102000701020002010200010102000001030000010200010104000501
+02000201020001010200030102000201020000010300b401020003010300000102000101020004010200010102000001020000010300010106000001010001010200040102000301
+0500010101000101020001010200000102000401020002010200000102000301020003010200010102000001020001010200030102000201020000010200620101590658015a1501
+010001010100040102000201020000010200010102000101020000010200010102000101030000010100030103000401020002010200020101000101020004010200010102000001
+020001010200000102000201010001010200070102000201020001010200000102000101020001010200070102000201020001010200030102000201020001010200b40102000301
+020001010200010102000401020001010200000102000001020002010300000101000301030004010200030102000001020003010300010103000101000004010200020103000101
+00000301020003010200010102000001020001010200030102000201030001010000620101590658015a140106000401020002010200000102000101070000010200010102000101
+020005010500040102000201020006010200040102000101020000010200010102000001020006010200070102000201020001010200000102000101020001010200070102000201
+0700030102000201020001010200b4010200030102000101020001010200040107000001020000010200020102000501050004010200030102000001020001010500020104000501
+02000301040004010200030102000101020000010200010102000301020003010400630101590658015a140107000301020003010400020102000501020001010200010102000401
+020000010200040102000201020006010200040102000101020000010200010102000001020006010200070102000201020001010200000102000101020001010200070102000201
+0200080102000201020001010200b4010200030102000101020001010200040102000601040003010200040102000001020004010200030102000001020000010200000102000101
+0000010103000401020002010000010103000301020003010200010102000001020001010200030102000201000001010300620101590658015a1401010002010200030102000201
+030004010300010101000001020001010200010102000401020000010200040102000201030001010100010102000401020000010300000102000101020000010300010101000101
+020000010100040102000201020001010200000102000101020001010200070102000201030001010100030102000201020001010200b40102000301020001010200010102000001
+010001010300010101000001030005010200040102000001020004010200030102000001020000010200000102000101020000010200040102000201020000010200030102000301
+0200010102000001020001010200030102000201020000010200620101590658015a1301030000010300010106000001060002010600000106000101040003010700010106000101
+06000001040003010b00000103000101060001010500020106000101050000010300000103000001040004010600010106000101060001010600b201060000010300000103000101
+0500020106000001060001010400030107000101060000010700000107000001060002010600000106000201040003010500020105000201060000010600620101590658015a1301
+030000010300010106000101060002010400010101000001020002010400040102000001020001010600020104000101040004010300000105000001030002010400030103000301
+0600020103000101030000010300000104000401060002010400020106000201020000010100b2010600000103000001030002010300040104000201060000010400040102000001
+0200010106000001060002010200000102000001000000010300030106000001000000010300030104000401030004010300030106000001000000010300630101590658015a2601
+020001010200ff018101020001010200d60101590658015a26010700ff0181010700d60101590658015a27010500ff0183010500d70101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015a1501020000010100000103002c010000190101000f010000070101000c0106000b010400290101000d01040002010600
+120103008101040006010100280103000001010015010000160106000b010400290101000d01040002010600120103001e0101590658015a14010600000103002b01010018010300
+0d010100060103000b0107000a010400280103000c010400020107001101030081010400050103002601070014010100160107000a010400280103000c0104000201070011010300
+1e0101590658015a1401020000010200010102002b010100190101000e010100070101000d010200000102000c010200290101000f01020003010200000102001201020082010200
+0701010027010200010102001401010017010200000102000c010200290101000f0102000301020000010200120102001e0101590658015a1401020001010100010102002a010200
+2901020017010200000102000c0102003b0102000301020000010200120102008201020031010200020101001301020017010200000102000c0102003b0102000301020000010200
+120102001e0101590658015a140102000101010001010600020104000201020001010100020104000401020000010100000106000301030002010200010101000201040003010300
+000100000101060002010400040102000001010001010200000102000201030005010200020103000001060000010200030103000201000000010100000101000201040003010400
+050102000301020000010200010104000401020000010100000102000101020001010400030104000001000002010300640102000501040001010300000102000301030003010400
+020102000101010001010300010101000001030000010200010103000001000001010600030103000201000000010100000101000201020000010200020103000501020002010300
+000106000001020003010300020100000001010000010100020104000301040005010200030102000001020001010400040102000001010000010200010102000101040003010400
+0001000002010300000101590658015a1401020005010700000106000101070000010600020106000001060002010500010107000101040002010600010106000201040003010600
+010102000001020001010500040102000201030000010b00010105000101070001010400020106000401020003010200000102000001060002010600000102000101020000010600
+010107000101050063010200050104000101080001010500010106000101070001010300030103000001020000010600010106000201050001010700010102000001020001010500
+040102000201030000010b00010105000101070001010400020106000401020003010200000102000001060002010600000102000101020000010600010107000101050001590658
+015a14010200050103000001020000010100010102000201060000010100010102000101030000010200010102000401020001010200010106000301020002010200000102000201
+020007010200020103000001020001010600000102000101020003010200020102000101020000010300000102000001020001010200000107000301020002010100010102000401
+020003010600000101000101020001010300000102000001020000010200010101000101020001010200000103000001020001010200620102000701020002010300000102000001
+020001010200000101000101020002010600020103000201020001010200000102000001020002010200040102000101020000010700010106000001020001010200030102000201
+020001010200000103000001020000010200010102000001070003010200020101000101020004010200030106000001010001010200010103000001020000010200000102000101
+0100010102000101020000010300000102000101010001590658015a1401020005010200010102000301030002010300000101000301030001010200020101000101020004010200
+010102000101030000010100030102000201030001010000020102000701020002010200020101000101050001010200010102000301020003010200000101000101020001010200
+000102000101020000010100000101000001010003010200050103000401020003010500040103000101020002010100000105000501030001010200000102000101020001010200
+620102000701020002010200010102000001020001010200030103000201030000010100030103000201020000010100010103000101000002010200040102000101020000010100
+000101000001010001010500010102000101020003010200030102000001010001010200010102000001020001010200000101000001010000010100030102000501030004010200
+0301050004010300010102000201010000010500050103000101020000010200010102000101010001590658015a1401020005010200010102000101050002010200050105000101
+020006010200040107000101020007010200030104000301020007010200020102000601020004010200010102000301020003010500010102000101020000010200010102000001
+010000010100000101000301020003010500040102000301020005010500010102000501040004010500010102000001020001010700620102000701020002010200010102000001
+070001010500020102000401010001010300010105000201040003010200040107000001010000010100000101000101020004010200010102000301020003010500010102000101
+02000001020001010200000101000001010000010100030102000301050004010200030102000501050001010200050104000401050001010200000102000101060001590658015a
+140102000101010001010200010102000001020000010200020102000401020000010200010102000601020004010200060102000701020002010000010103000201020007010200
+020102000601020004010200010102000301020004010300020102000101020000010200010102000001010000010100000101000301020002010200000102000401020003010200
+040102000001020001010200050102000001010002010200000102000201040002010200670102000101010003010200020102000101020000010200050102000001020002010200
+040101000201020002010300020100000101030002010200040102000501010000010100000101000101020004010200010102000301020004010300020102000101020000010200
+010102000001010000010100000101000301020002010200000102000401020003010200040102000001020001010200050102000001010002010200000102000201040002010200
+030101590658015a14010200010101000101020001010200000102000001020002010200040102000001020001010300010101000101020000010100010103000101010001010200
+070102000201020000010200020102000001010004010200020103000101010001010200040102000101020003010200040103000201020001010200000102000101020000010100
+000101000001010003010200020102000001020004010200030102000401020000010200010103000101010000010200000102000101020000010200010103000401030001010100
+620102000001020003010200020102000101020000010300010101000001020000010200020102000401020001010200020103000201020000010200020102000001010001010300
+010101000001010000010100000101000101020004010200010102000301020004010300020102000101020000010200010102000001010000010100000101000301020002010200
+000102000401020003010200040102000001020001010300010101000001020000010200010102000001020001010300040103000101000001590658015a14010600000103000001
+030000010700000104000301070001010600010105000201060000010400040106000001060002010500020106000101060000010400040105000201060003010100020103000001
+03000101050001010100000101000001010001010600000107000101060000010400030107000101060000010200010102000001070000010600020106006101070001010a000001
+030001010600000107000001040003010700030101000301060002010500020106000001010000010100000101000001040004010500020106000301010002010300000103000101
+0500010101000001010000010100010106000001070001010600000104000301070001010600000102000101020000010700000106000201050001590658015a1501040001010300
+000103000101020000010200000104000401020000010200020104000301030004010400010104000401060000010000000103000401030003010600020104000101040005010300
+030106000201020002010300000103000201030002010100000101000001010001010600010102000001020001010600000104000401020000010200020104000101020001010200
+010102000001020001010600020104006201070001010a00000103000201040002010200000102000001040003010100000103000301020003010000000103000401030004010400
+010101000001010000010100000104000501030003010600020102000201030000010300020103000201010000010100000101000101060001010200000102000101060000010400
+04010200000102000201040001010200010102000101020000010200010106000201040001590658015aae0102006701020001010200aa0102004401020067010200010102000701
+01590658015aad01030067010700a90103004301030067010700070101590658015aad01020069010500aa0102004401020069010500080101590658015aff01ff018f0101590658
+015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658
+015aff01ff018f0101590658015aff01ff018f0101590658015a14010700030101001e01060012010300ff012c010100030101000d0103000a01040014010200000103001e010100
+060100000701010014010700120107000e01030015010000070101001c0101590658015a14010700020103001d01070011010300ff012c010100030101000d0103000a0104001401
+0200010102001d010300040101000601030013010800110108000d01030014010100060103001b0101590658015a1501020000010200030101001f0102000001020012010200ff01
+2c010200010102000e0102000c01020014010200010102001e0101000501010007010100150102000101020012010200010102000e01020014010100070101001c0101590658015a
+1501020001010100250102000001020012010200ff012c010200010102000e0102000c0102001401020001010200250102001f0102000101020012010200010102000e0102001301
+0200260101590658015a1501020005010400030104000001000002010300010103000001020002010200000102000101040004010200000101000001020001010200010104000301
+04000001000002010300ff010e0107000201030004010500000102000001030003010200030104000201020001010100010102000101020002010300020102000101010001010000
+000101000001010002010400020106000201040003010400010103000001020001010200000102000301030002010200010102000001020000010200030103000401050000010200
+0001030002010200000101000001060002010400040103000101030000010200080101590658015a1501040003010400020107000101050000010800010102000001020000010600
+020106000001020001010200000106000101070001010500ff010d010700010105000201060000010200000103000301020002010600010107000001070001010500010107000001
+070001010400020106000201040002010600000108000001050003010500010102000101020000010500030105000201060000010200000103000101060000010600020104000301
+050000010800070101590658015a15010400050102000201020000010300000102000101020000010300000102000101060000010100010102000101030000010200000102000001
+0200010101000101020001010200000103000001020001010200ff010c01070000010200010102000001020000010300000102000101020003010200020101000101020002010600
+000107000001020001010200010106000001070003010200030102000701020002010100010102000101030000010200000105000201020001010200000101000301010000010500
+0201020001010200000102000001030000010200010102000001030000010200010102000701020002010200010102000001030000010200070101590658015a1501020007010200
+02010200000102000101020001010200000102000101020001010500040103000101020002010100000105000501030001010200000102000101020001010200ff010c0101000001
+010000010100000102000101020000010200010102000001020001010200030102000501030002010300000101000001020001010200000102000101020001010300000101000001
+010000010100000101000301020003010200070102000501030001010200010102000001020000010200010102000101020000010100000101000001010000010200000102000101
+020001010200000102000101020000010200010102000001020002010100010102000701020002010200010102000001020001010200070101590658015a15010200070102000201
+0200000102000101070000010200010102000101020005010500010102000501040004010500010102000001020001010700ff010c01010000010100000101000001020001010200
+000102000101020000010200010102000301020003010500020102000401020001010200000107000101020004010100000101000001010003010200030102000701020003010500
+010102000101020000010200000102000101020001010200000101000001010000010100000102000001020001010700000102000101020000010200010102000001020006010200
+0701020002010200010102000001020001010200070101590658015a1501020001010100030102000301040002010200050102000101020001010200040102000001020001010200
+050102000001010002010200000102000201040002010200ff0111010100000101000001010000010200010102000001020001010200000102000101020003010200020102000001
+020002010200040102000101020000010200060102000401010000010100000101000301020003010200070102000201020000010200010102000101020000010200000102000101
+020001010200000107000001020000010200010102000501020001010200000102000101020000010200060102000701020002010200010102000001020001010200070101590658
+015a15010200000102000301020002010300040103000101010000010200010102000101020004010200000102000101030001010100000102000001020001010200000102000101
+03000401030001010100ff010c0101000301010000010200010102000001020001010200000102000001030003010200020102000001020002010200040102000101020000010300
+010101000101020004010100000101000001010003010200030102000001010004010200020102000001020001010200010102000001020001010200000102000101020000010700
+000102000101020000010300010101000001020001010200000102000001030000010300010101000101020000010100040102000201020001010200000102000101020007010159
+0658015a14010700010106000001060002010a00000103000001040003010700010106000001020001010200000107000001060002010600ff010c01020001010200010105000201
+0600000107000101060000010700000104000301020001010200010106000001040003010100000101000001010001010600010105000201060000010b0000010700010102000101
+050002010200000101000001030001010200010106000101060000010700010106000101050002010600010105000001030000010300070101590658015a14010700010106000101
+060002010400000103000001030000010400040102000001020002010400010102000101020001010200000102000101060002010400ff010d010200010102000201030004010200
+000101000101030000010100010106000101020000010200000104000301020000010300020104000101040003010100000101000001010001010600020103000301060001010200
+000106000001070001010200020103000301010001010100000103000101020002010400030102000001010001010300000101000201040003010300030106000201030001010300
+00010300070101590658015a26010200010102003f01020001010200ff01ff01180101590658015a260107003f010700ff01ff01180101590658015a2701050041010500ff01ff01
+190101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff01
+8f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a14010700030101000f010100060100000d010700030101000d010400
+06010300000107000c01000022010100150106000a0106000b010400290101000d0104005b010500010106000101100013010400c60101590658015a14010700020103000d010300
+040101000d010700020103000c01040006010300000107000b0101002101030014010700090107000a010400280103000c0104005a010700000107000001100013010400c6010159
+0658015a1501020000010200030101000f010100050101000e01020000010200030101000f0102000701020001010200000102000b0101002201010016010200000102000a010200
+000102000c010200290101000f0102005a0102000101020001010200000102000101020000010400000102000001010015010200c60101590658015a15010200010101001c010200
+0e01020001010100150102000701020001010200010101000a0102003b010200000102000a010200000102000c0102003b0102005a01020001010200010102000001020001010200
+010101000201020018010200c60101590658015a15010200050104000101030000010200020104000201060003010300030102000501040004010300050102000401050001010200
+040103000001020000010600030103000101030000010200020103000001000002010400040103000101030000010200020102000001020000010300000102000101020000010200
+0201030005010200020103000001060000010200030103000201000000010100000101000201040003010400050102005a0102000101020001010200000102000101020006010200
+0501030004010300050102000301030000010000bc0101590658015a1501040003010400010108000101040002010600020105000201040003010400030105000401020003010600
+010104000201020001010200000106000201050000010800000106000201040003010500000108000101050001010300000102000101020000010200010105000401020002010300
+00010b0001010500010107000101040002010600040102005a010200010102000101020000010200010104000401020004010500020105000401020002010600bc0101590658015a
+150104000501020002010300000102000301020003010200040102000101020001010400050102000201020001010200030102000201020000010300010104000301020000010100
+020102000401020001010200000103000001020000010200000102000401020002010200010102000001030000010200010105000101020001010200010106000001020001010200
+0301020002010200010102000001030000010200000102000101020000010700030102000201010001010200040102005a0102000101020001010200000102000101040004010200
+03010200010102000001020001010200030102000201020000010200bc0101590658015a150102000701020002010200010102000301020003010200040102000101020001010200
+070102000201020001010200030102000201020001010200010102000601030003010200040102000101020000010200010102000001030001010000040102000201020001010200
+000102000101020001010200000102000101020000010100020105000101020001010200030102000301020000010100010102000101020000010200010102000001010000010100
+000101000301020005010300040102005a010200010102000101020000010200010102000601020003010200010102000001020001010200030102000201030001010000bc010159
+0658015a1501020007010200020102000101020003010200030102000401070001010200070102000201070003010200020102000101020001010200060103000301020004010700
+000102000101020001010400050102000201020001010200000102000101020001010200000102000101050002010200040102000101020003010200030105000101020001010200
+00010200010102000001010000010100000101000301020003010500040102005a010200010102000101020000010200010102000601020003010200010102000001020001010200
+0301020003010400bd0101590658015a1501020007010200020102000101020003010200030102000401020006010200070102000201020008010200020102000101020001010200
+010101000201030003010200040102000501020001010200000100000101030004010200020102000101020000010200010102000101020000010200020103000301020004010200
+01010200030102000401030002010200010102000001020001010200000101000001010000010100030102000201020000010200040102005a010200010102000101020000010200
+01010200010101000201020003010200010102000001020001010200030102000201000001010300bc0101590658015a150102000701020002010200010102000301020003010200
+000101000101030001010100010102000701020002010300010101000301020002010200010102000101020000010200010101000001020002010200000101000101030001010100
+000102000101020000010200000102000401020002010200010102000001020001010200010102000001020002010300030102000401020001010200030102000401030002010200
+010102000001020001010200000101000001010000010100030102000201020000010200040102005a01020001010200010102000001020001010200000102000201020003010200
+010102000001020001010200030102000201020000010200bc0101590658015a1401040004010a000001030001010600010105000201060000010400040106000101060001010600
+010106000001070000010200010102000101050002010a00000103000001060002010600010105000001030000010300000107000301010003010400040105000201060003010100
+0201030000010300010105000101010000010100000101000101060000010700010106005801070000010700000107000101040003010500020105000201060000010600bc010159
+0658015a1401040004010a00000103000101060002010300040104000101040004010600020104000201060002010200000101000001070000010200000103000201030004010400
+000103000001030000010000000103000301060002010300010103000001030000010600030102000301040005010300030106000201020002010300000103000201030002010100
+000101000001010001010600010102000001020001010600590105000101060001010700010104000401030004010300030106000001000000010300bd0101590658015ad2010200
+20010200ff01950101590658015ad10103001f010300ff01950101590658015ad101020020010200ff01960101590658015aff01ff018f0101590658015aff01ff018f0101590658
+015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658
+015aff01ff018f0101590658015a14010700030101000f010100060100000d010700030101000d01040006010300000107001e01000007010100e10107000e010300030101001601
+040002010700030101001e01060012010300780101590658015a14010700020103000d010300040101000d010700020103000c01040006010300000107001d01010006010300e001
+08000d010300020103001501040002010700020103001d01070011010300780101590658015a1501020000010200030101000f010100050101000e01020000010200030101000f01
+02000701020001010200000102001d01010007010100e2010200010102000e01020003010100180102000301020000010200030101001f0102000001020012010200780101590658
+015a15010200010101001c0102000e01020001010100150102000701020001010200010101001c010200ec010200010102000e0102001e0102000301020001010100250102000001
+020012010200780101590658015a15010200050104000101030000010200020104000201060003010300030102000501040004010300050102000401050001010200040102000001
+070000010200030102000001010000010600020104000401030001010300000102000201030000010000c50102000001020002010400040105000101040004010200000101000101
+040005010200030102000501040003010400000100000201030001010300000102000201020000010200010104000401020000010100000102000101020001010400030104000001
+0000020103005a0101590658015a1501040003010400010108000101040002010600020105000201040003010400030105000401020003010600010104000201020000010c000101
+06000001060002010400030105000001080000010600c501050002010600020106000101040003010600000106000401020003010400030104000201070001010500000108000101
+02000001020000010600020106000001020001010200000106000101070001010500590101590658015a150104000501020002010300000102000301020003010200040102000101
+020001010400050102000201020001010200030102000201020000010300010104000201020001010200000103000001020000010300000102000101020007010200020102000101
+020000010300000102000001020000010200c50105000201010001010200010102000001030003010200020103000001020000010100010102000401020003010400050102000201
+020000010300000102000101020000010300000102000101060000010100010102000101030000010200000102000001020001010100010102000101020000010300000102000101
+0200580101590658015a1501020007010200020102000101020003010200030102000401020001010200010102000701020002010200010102000301020002010200010102000101
+02000401020001010200000102000101020000010200020101000101020007010200020102000101020000010200010102000001030001010000c501020000010200040103000101
+020001010200030102000201020002010100030103000401020003010200070102000201020000010200010102000101020000010200010102000101050004010300010102000201
+0100000105000501030001010200000102000101020001010200580101590658015a1501020007010200020102000101020003010200030102000401070001010200070102000201
+070003010200020102000101020001010200040102000101020000010200010102000001020006010200070102000201020001010200000102000101020001010400c60102000001
+020002010500010102000101020003010200020102000601050004010200030102000701020002010200000102000101070000010200010102000101020005010500010102000501
+040004010500010102000001020001010700580101590658015a15010200070102000201020001010200030102000301020004010200060102000701020002010200080102000201
+0200010102000101020004010200010102000001020001010200000102000601020007010200020102000101020000010200010102000001000001010300c5010200000102000101
+020000010200010102000101020003010200020102000501020000010200040102000301020001010100030102000301040002010200050102000101020001010200040102000001
+0200010102000501020000010100020102000001020002010400020102005d0101590658015a15010200070102000201020001010200030102000301020000010100010103000101
+010001010200070102000201030001010100030102000201020001010200010102000401020000010300000102000101020000010300010101000101020000010100040102000201
+02000101020000010200010102000001020000010200c501020001010200000102000001020001010200010102000301020002010300010101000001020000010200040102000301
+020000010200030102000201030004010300010101000001020001010200010102000401020000010200010103000101010000010200000102000101020000010200010103000401
+030001010100580101590658015a1401040004010a000001030001010600010105000201060000010400040106000101060001010600010106000001040003010b00000103000101
+0600010105000201060001010500000103000001030000010600c4010300010102000001070001010600010106000101060000010700010106000001070001010600000106000201
+0a00000103000001040003010700010106000001020001010200000107000001060002010600580101590658015a1401040004010a00000103000101060002010300040104000101
+04000401060002010400020106000201020000010100000104000401030000010500000103000201040003010300030106000201030001010300000103000001000000010300c501
+030001010200010102000001020002010200000101000101060002010400020102000001020001010600000107000101060001010600020104000001030000010300000104000401
+02000001020002010400010102000101020001010200000102000101060002010400590101590658015aff01dd010200010102003f01020001010200610101590658015aff01dd01
+07003f010700610101590658015aff01de01050041010500620101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff01
+8f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a14010700
+030101000f010100060100000d010700030101000d0104000601030000010200000103003e01030008010100bd010700430100001001000007010100150106001201030023010100
+400101590658015a14010700020103000d010300040101000d010700020103000c0104000601030000010200010102003e01030007010300bc010800410101000f01010006010300
+140107001101030022010200400101590658015a1501020000010200030101000f010100050101000e01020000010200030101000f0102000701020000010200010102003f010200
+08010100be01020001010200410101000f0101000701010016010200000102001201020021010300400101590658015a15010200010101001c0102000e0102000101010015010200
+0701020000010200010102003f010200c901020001010200400102000e01020020010200000102001201020020010400400101590658015a15010200050104000101030000010200
+020104000201060003010300030102000501040004010300050102000401050000010200010102000201030002010000000101000001010003010300020100000001010000010100
+0301030002010200010101000101010000010300010106000201040003010300000100000101000000010100000101000201030000010000a1010200000102000301030002010100
+000103000101020001010100030103000301030000010000030103000101030000010200010106000201040002010600020104000401030001010300000102000201020000010200
+01010400040102000001010000010200010102000101040003010400000100000201030002010400400101590658015a150104000301040001010800010104000201060002010500
+020104000301040003010500040102000301060000010700010105000101070001010500010107000101050001010700000107000001070001010400020106000101070000010600
+a10105000301050001010700000107000101050001010600020105000001080000010600010106000101060002010400030105000001080001010200000102000001060002010600
+000102000101020000010600010107000101050003010200400101590658015a15010400050102000201030000010200030102000301020004010200010102000101040005010200
+020102000101020003010200020102000001030000010700000102000101020000010700000102000101020000010700000102000101020001010600000103000001020000010300
+00010200030102000201020000010200010107000001020000010200a101050002010200010102000001030000010200010106000001020001010200000102000001020001010200
+010102000001030000010200010102000401010001010200020102000701020002010200010102000001030000010200010106000001010001010200010103000001020000010200
+0001020001010100010102000101020000010300000102000101020002010200400101590658015a1501020007010200020102000101020003010200030102000401020001010200
+010102000701020002010200010102000301020002010200010102000001020001010200000102000101020000010100000101000001010000010200010102000001010000010100
+0001010000010200010102000101030000010100000102000101020000010200010102000301020002010300010100000101010000010100000101000001030001010000a1010200
+000102000101020001010200000102000101020001010300000101000001020001010200000103000101000001010200010102000001020001010200010102000701030002010200
+07010200020102000101020000010200010102000101050004010300010102000201010000010500050103000101020000010200010102000101020002010200400101590658015a
+150102000701020002010200010102000301020003010200040107000101020007010200020107000301020002010200010102000001020001010200000102000101020000010100
+000101000001010000010200010102000001010000010100000101000001020001010200010102000401020001010200000102000101020003010200030104000201010000010100
+0001010001010400a2010200000102000101070000010200010102000101020004010700010104000201070000010200010102000101020005010500020102000701020002010200
+010102000001020001010200010102000501050001010200050104000401050001010200000102000101070002010200400101590658015a15010200070102000201020001010200
+030102000301020004010200060102000701020002010200080102000201020001010200000102000101020000010200010102000001010000010100000101000001020001010200
+000101000001010000010100000102000101020001010200040102000101020000010200010102000301020002010000010103000101010000010100000101000001000001010300
+a10102000001020001010200050102000101020001010200040102000501000001010300010102000501020001010200010102000401020000010200020102000701020002010200
+0101020000010200010102000101020004010200000102000101020005010200000101000201020000010200020104000201020007010200400101590658015a1501020007010200
+020102000101020003010200030102000001010001010300010101000101020007010200020103000101010003010200020102000101020000010200010102000001020001010200
+000101000001010000010100000102000101020000010100000101000001010000010200010102000101020004010200000103000001020001010200030102000201020000010200
+0101010000010100000101000001020000010200a1010200010102000001030001010100000102000001030001010200040103000101010000010200000102000101030001010100
+000102000101020001010200000101000101020000010200020102000001010004010200020102000101020000010200010102000101020004010200000102000101030001010100
+0001020000010200010102000001020001010300040103000101010002010200400101590658015a1401040004010a00000103000101060001010500020106000001040004010600
+010106000101060001010600000102000101020001010500010101000001010000010100010105000101010000010100000101000101050001010400030106000001030000010300
+010106000001060001010100000101000001010000010600a001030001010200010106000001060001010400040106000001060002010a0000010300010105000101070001010500
+02010600010105000001030000010300000104000301070001010600000102000101020000010700000106000201060002010200400101590658015a1401040004010a0000010300
+010106000201030004010400010104000401060002010400020106000201020000010100000102000001030002010300020101000001010000010100020103000201010000010100
+0001010002010300020104000301050001010300000103000101060000010000000103000201010000010100000101000001000000010300a1010300010102000201040001010500
+020104000501040001010000000103000401040000010300000103000201030003010200000102000201030003010600020103000101030000010300000104000401020000010200
+02010400010102000101020001010200000102000101060002010400020105003e0101590658015ab6010200e40102009501020001010200090106003e0101590658015ab6010200
+e4010200950107004f0101590658015ab5010400e201040095010500500101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a
+140107001e0100000701010015010700030101000d0104000601030001010200000101000d01000033010200b4010700430100001001000007010100150106001201030021010400
+3f0101590658015a140107001d0101000601030014010700020103000c01040006010300000106000c0101003201010000010100b3010800410101000f0101000601030014010700
+11010300200106003e0101590658015a15010200000102001d010100070101001601020000010200030101000f0102000701020000010200000102000c0101003201010000010100
+b401020001010200410101000f0101000701010016010200000102001201020020010100010103003d0101590658015a15010200010101001c010200200102000101010015010200
+0701020000010200010101000b0102003201010000010100b401020001010200400102000e01020020010200000102001201020020010100020102003d0101590658015a15010200
+040102000001070000010200030102000001010000010600020104000401030001010300000102000201020005010400040103000501020004010500000102000101010002010400
+02010600030103000301040000010000020103000201020001010100010103000001020002010300b401020000010200030103000201010000010300010102000101010003010300
+030103000001000003010300010103000001020001010600020104000201060002010400040103000101030000010200020102000001020001010400040102000001010000010200
+0101020001010400030104000001000002010300070102003d0101590658015a150104000201020000010c0001010600000106000201040003010500000108000101040003010400
+03010500040102000301060000010200050106000101060002010500010107000101050001010700000103000001020002010200b501050003010500010107000001070001010500
+010106000201050000010800000106000101060001010600020104000301050000010800010102000001020000010600020106000001020001010200000106000101070001010500
+060101003e0101590658015a150104000201020001010200000103000001020000010300000102000101020007010200020102000101020000010300000102000101040005010200
+020102000101020003010200020102000001030000010200050101000101020002010200040102000101020000010200000103000001020001010200010106000001020001010200
+01010300b501050002010200010102000001030000010200010106000001020001010200000102000001020001010200010102000001030000010200010102000401010001010200
+020102000701020002010200010102000001030000010200010106000001010001010200010103000001020000010200000102000101010001010200010102000001030000010200
+01010200040101003f0101590658015a1501020004010200010102000001020001010200000102000201010001010200070102000201020001010200000102000101020001010200
+070102000201020001010200030102000201020001010200000102000801030002010200040102000101020000010200000102000101020001010200010103000001010001010200
+00010100010102000001000000010100b201020000010200010102000101020000010200010102000101030000010100000102000101020000010300010100000101020001010200
+000102000101020001010200070103000201020007010200020102000101020000010200010102000101050004010300010102000201010000010500050103000101020000010200
+010102000101020003010100400101590658015a15010200040102000101020000010200010102000001020006010200070102000201020001010200000102000101020001010200
+0701020002010700030102000201020001010200000102000601050002010200040107000001020000010200010102000101020001010200050105000101010001010300b2010200
+000102000101070000010200010102000101020004010700010104000201070000010200010102000101020005010500020102000701020002010200010102000001020001010200
+010102000501050001010200050104000401050001010200000102000101070002010100410101590658015a15010200040102000101020000010200010102000001020006010200
+070102000201020001010200000102000101020001010200070102000201020008010200020102000101020000010200010101000101020000010200020102000401020006010400
+020102000101020001010200060103000201010001010200b30102000001020001010200050102000101020001010200040102000501000001010300010102000501020001010200
+010102000401020000010200020102000701020002010200010102000001020001010200010102000401020000010200010102000501020000010100020102000001020002010400
+0201020006010100420101590658015a1501020004010200000103000001020001010200000103000101010001010200000101000401020002010200010102000001020001010200
+010102000701020002010300010101000301020002010200010102000001020001010100010102000001020002010200000101000101030001010100000103000401020001010200
+01010200060103000201020000010100b401020001010200000103000101010000010200000103000101020004010300010101000001020000010200010103000101010000010200
+010102000101020000010100010102000001020002010200000101000401020002010200010102000001020001010200010102000401020000010200010103000101010000010200
+00010200010102000001020001010300040103000101010000010200030100003d0101590658015a1401040003010b00000103000101060001010500020106000101050000010300
+000103000001040004010600010106000101060001010600000106000101070001010500020106000001060002010500010104000601010003010700b10103000101020001010600
+0001060001010400040106000001060002010a0000010300010105000101070001010500020106000101050000010300000103000001040003010700010106000001020001010200
+00010700000106000201060000010200020101003d0101590658015a1401040004010300000105000001030002010400030103000301060002010300010103000001030000010400
+04010600020104000201060002010200000101000101040003010200000102000201030004010400020106000201030002010400050102000401020001010100b101030001010200
+020104000101050002010400050104000101000000010300040104000001030000010300020103000301020000010200020103000301060002010300010103000001030000010400
+040102000001020002010400010102000101020001010200000102000101060002010400010107003d0101590658015aad0102000101020013010200d10102009501020001010200
+090107003d0101590658015aad01070012010300d1010200950107004f0101590658015aae01050013010200d101040095010500500101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015a15010300000101002e01030000010100270100000701010015010100030101000c0100000301030012010300bc010300
+0001010003010100160104000c01030004010400130103001a0101000c0107000c01000022010100400101590658015a140107002d01070026010100060103001401010003010100
+0b0101000301030012010300bb01070002010300150104000c0103000401040013010300190103000b0107000b010100210103003f0101590658015a14010200000103002d010200
+01010200260101000701010015010200010102000b0101000401020013010200bb0102000101020003010100180102000d01020006010200140102001a0101000d01020000010200
+0b01010022010100400101590658015a14010200010102002d01020002010100250102001f010200010102000a0102000401020013010200bb010200020101001e0102000c010400
+05010200140102002a010200010101000a010200650101590658015a1401020002010100020103000301030000010000010101000001030003010300020102000101010001010300
+010101000001020000010300000100000001010000010100010100000001010000010100020104000201060002010400040103000101030000010200010107000201030002010600
+010106000301030004010500bb0103000101010001010400020100000001010000010100010101000001030004010200040103000301040005010200030104000001000002010300
+020105000201020001010100020104000301040004010200000101000101020004010300000102000001060003010300010103000001020002010300000100000201040004010300
+01010300000102002c0101590658015a1401020006010500010106000101070001010500010107000101030003010200000103000001070000010700000106000101060002010400
+0301050000010800000107000101050001010600010107000101050002010600bc010300040104000201070000010700030102000301050002010100000101000501020002010700
+010105000101060001010700000106000201040003010600010104000201020001010200000106000201050000010800000106000201040003010500000108002b0101590658015a
+140102000501020001010200000102000001020001010300000102000001020001010200010106000201030002010200010102000001070000010700000101000101020002010200
+070102000201020001010200000103000001020000010700000102000101020001010200040103000001020000010200010102000001020000010300bd0103000501020002010700
+000103000001020003010200020102000101020001010100000102000401020002010200000103000001020001010200000103000001020001010600000101000101020004010200
+02010300000102000101040003010200000101000201020004010200010102000001030000010200000102000001020004010200020102000101020000010300000102002b010159
+0658015a1401020000010300000102000101020000010300010100000101020001010200000102000101020001010300000101000301030001010200010102000001010000010100
+000101000001010000010100000101000301030002010200070102000201020001010200000102000101020000010100000101000001010000010200010102000101020004010200
+0101020000010200010102000001020001010200be010300040102000201010000010100000101000001020001010200030102000201020001010200010101000101010004010200
+020102000001020001010200010102000001020001010200010103000001010003010300040102000201020002010100010102000601030003010200040102000101020000010200
+01010200000103000101000004010200020102000101020000010200010102002b0101590658015a1401020000010300000102000101020001010400020102000101020000010700
+010102000401010001010300000102000101020000010100000101000001010000010100000101000001010001010500020102000701020002010200010102000001020001010200
+0001010000010100000101000001070001010200040102000101020000010200010102000001020001010200bb010100010103000301020002010100000101000001010000010200
+010102000301020002010700000106000401020002010200000102000101070000010200010102000101020005010500040102000201020006010200060103000301020004010700
+00010200010102000101040005010200020102000101020000010200010102002b0101590658015a1401020001010200000102000101020000010000010103000101020001010200
+000102000601020004010100020102000001020001010200000101000001010000010100000101000001010000010100000102000001020002010200070102000201020001010200
+00010200010102000001010000010100000101000001020006010200040102000101020000010200010102000001020001010200bb01010002010200030102000201010000010100
+000101000001020001010200030102000201020005010700030102000301040002010200050102000101020001010200040102000001020004010200020102000601020001010100
+0201030003010200040102000501020001010200000100000101030004010200020102000101020000010200010102002b0101590658015a14010200000103000001020001010200
+000102000001020001010200000103000001030001010100010102000401020001010200000102000001030000010100000101000001010000010100000101000001010000010200
+000102000201020000010100040102000201020001010200000102000101020000010100030101000001030001010100010102000001010001010200010102000001020001010200
+0001020001010200bb010200010102000301020002010100000101000001010000010200000103000301020002010300010101000001010002010200030102000201030004010300
+010101000001020001010200010102000401020000010200040102000201030001010100010102000001020001010100000102000201020000010100010103000101010000010200
+01010200000102000001020004010200020102000101020000010200010102002b0101590658015a1401070001010500010106000101060002010600000104000301070000010700
+000101000001010000010100000101000001010000010100000107000101050002010600010105000001030000010300000102000101020001010600010105000001030000010300
+0101050002010600bb01070001010600000101000001010000010100000106000201060001010a000001030001010600000106000201060000010600010104000301070001010600
+010106000001070000010200010102000101050002010a000001030000010600020106000101050000010300000103002b0101590658015a15010300000101000201030002010000
+000103000201050004010400010104000301010000010300020103000001010000010100000101000001010000010100000101000001010001010200000102000201030003010600
+020103000101030000010300000102000101020002010400030103000101030000010300020103000401020000010100bb0101000001030002010600000101000001010000010100
+000105000301060002010400000103000001030001010600010106000201040001010100000102000201040004010200000102000101060002010400010107000001020000010300
+020103000401040000010300000103000001000000010300030106000201030001010300000103002b0101590658015a2f010200ff01740102002901020001010200b20101590658
+015a2f010200ff017401020029010700b20101590658015a2e010400ff017201040029010500b30101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01
+ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01
+ff018f0101590658015a1401060025010100020102002501040002010600160101000c010700030101000d01040006010300000107001e0100000701010087010800430103001501
+00000e010400020106000d0100002b01000007010100370101590658015a1401060025010200010102002501040002010700140103000b010700020103000c010400060103000001
+07001d010100060103008601080043010300140101000e010400020106000c0101002a01010006010300360101590658015a16010200270102000201010027010200030102000001
+0200150101000d01020000010200030101000f0102000701020001010200000102001d01010007010100870101000001020000010100440102001401010010010200040102000e01
+01002a01010007010100370101590658015a1601020027010300010101002701020003010200000102002501020001010100150102000701020001010200010101001c0102009401
+0200470102001301020010010200040102000d01020029010200410101590658015a1601020002010300000102000001030000010200030103000201020001010100010103000101
+010002010300020102000101010001010000000101000001010002010400050102000301020000010200010104000301030000010000020104000301030000010000020102000501
+0400040103000501020004010500010102000401020000010700000102000301020000010100000106000201040004010300010103000001020002010300000100006d0102000301
+020001010100020104000101030000010200020103000001000003010200000101000201030001010300000102000301050002010300010103000001020001010600020104000501
+0200040102000201030000010200010106000301030003010400000100000001020001010100020104000201060002010400040103000101030000010200230101590658015a1601
+020002011100010105000101070000010400000101000101050001010700000107000001060004010200030105000101060001010600020104000201060002010400030104000301
+05000401020003010600010104000201020000010c000101060000010600020104000301050000010800000106006d01020003010700000106000001080000010600020106000101
+050000010800010106000101050000010800000106000101060004010200040102000201080000010600020105000101070000010700000106000101060002010400030105000001
+0800220101590658015a1601020003010300000102000001030000010200000102000101020001010600000101000001010000010100000102000101020001010600000107000001
+010001010200040102000301050001010100010102000101020000010200040102000201020000010200020104000501020002010200010102000301020002010200000103000101
+040002010200010102000001030000010200000103000001020001010200070102000201020001010200000103000001020000010200000102006d01020004010600000101000101
+020001010300000102000001020000010200010103000001020000010200010102000001030000010200000102000001030000010200010102000001030000010200010102000401
+010001010200040102000401020003010300000102000101020004010200010102000001020000010300010106000001010001010200020102000701020002010200010102000001
+030000010200220101590658015a16010200030102000101020000010200010102000001020001010200010103000001010000010100000104000001020001010200010103000001
+010000010100000101000001010003010300040102000301020000010200030103000101030001010000040102000201030001010000020102000701020002010200010102000301
+020002010200010102000101020004010200010102000001020001010200000102000201010001010200070102000201020001010200000102000101020000010300010100006d01
+020004010300000101000301030001010200010102000001030001010000010102000201010000010200010102000001020001010200000102000101020000010200010102000001
+020001010200010102000701030004010200040102000301020001010200010102000401020001010200000102000001020002010300000101000301030002010200070102000201
+0200010102000001020001010200220101590658015a1601020003010200010102000001020001010200000107000101020004010100010103000001020001010200010102000401
+010000010100000101000101050004010200030102000001020001010500020104000501020003010400030102000701020002010700030102000201020001010200010102000401
+020001010200000102000101020000010200060102000701020002010200010102000001020001010200010104006e01020004010200050105000101020001010200010104000201
+020005010700000102000101020000010200010102000001070000010200010102000101020005010500040102000401020003010200010102000101020004010700000102000001
+02000201020005010500020102000701020002010200010102000001020001010200220101590658015a160102000301020001010200000102000101020000010200060102000401
+010001010300000102000101020001010200040101000001010000010100000102000001020004010200030102000001020000010200000102000101000001010300040102000201
+000001010300020102000701020002010200080102000201020001010200010102000401020001010200000102000101020000010200060102000701020002010200010102000001
+02000101020000010000010103006d010200040102000401020000010200010102000101020000010000010103000101020005010200050102000101020000010200010102000001
+020005010200010102000101020004010200000102000401020004010200030102000101020001010200040102000601040003010200040102000001020002010200070102000201
+0200010102000001020001010200220101590658015a1601020003010200010102000001020001010200000103000101010001010200040101000201020000010200010102000101
+020004010100000101000001010000010200000102000401020003010200000102000001020000010200010102000001020004010200020102000001020002010200070102000201
+030001010100030102000201020001010200010102000401020000010300000102000101020000010300010101000101020000010100040102000201020001010200000102000101
+020000010200000102006d01020004010200040102000001020001010200010102000001020000010200010103000101010000010300010101000001020001010200000102000101
+020000010300010101000001020001010200010102000001010001010200000102000401020004010200030102000101020001010200000101000101030001010100000103000501
+0200040102000001020002010200000101000401020002010200010102000001020001010200220101590658015a1401060000010300000107000001030001010600000104000301
+020001010200010105000101040003010100000101000001010000010700010106000001070000010700000106000201060000010600010104000401060001010600010106000101
+06000001040003010b0000010300010106000101050002010600010105000001030000010300000106006c0104000201040003010b0000010300000106000201060001010a000001
+03000101060001010a000001030001010500010107000101060000010600000103000001030001010500020106000001060001010400030107000101050002010600010105000001
+030000010300220101590658015a14010600000103000001070000010300020104000101040003010200020101000201030002010400030101000001010000010100010102000001
+020001010600000106000201020000010200000100000001030003010600000100000001030002010400040106000201040002010600020102000001010000010400040103000001
+05000001030002010400030103000301060002010300010103000001030000010000000103006d010400020104000401020000010600000103000001000000010300040104000301
+040000010300000103000201020000010100020104000001030000010300020103000301020000010200010106000001060000010300000103000201030004010400020106000001
+040004010200000102000201030003010600020103000101030000010300220101590658015aff01ff012e01020001010200580101590658015aff01ff012e010700580101590658
+015aff01ff012f010500590101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a140106002501010002010200270101000c01
+0700030101001e01060012010300ff01c30101590658015a140106002501020001010200260103000b010700020103001d01070011010300ff01c30101590658015a160102002701
+020002010100270101000d01020000010200030101001f0102000001020012010200ff01c30101590658015a16010200270103000101010037010200010101002501020000010200
+12010200ff01c30101590658015a16010200020103000001020000010300000102000301030002010200010101000101030001010100000102000001030000010000000101000001
+010003010300020102000101010002010400040102000001010001010200050104000301040000010000020103000101030000010200020102000001020001010400040102000001
+0100000102000101020001010400030104000001000002010300ff01a50101590658015a160102000201110001010500010107000001040000010100000102000001030000010700
+010105000101070001010400030106000101040003010400020107000101050000010800010102000001020000010600020106000001020001010200000106000101070001010500
+ff01a40101590658015a1601020003010300000102000001030000010200000102000101020001010600000101000001010000010100000102000101020000010700000102000101
+020001010600030102000201030000010200010104000501020002010200000103000001020001010200000103000001020001010600000101000101020001010300000102000001
+020000010200010101000101020001010200000103000001020001010200ff01a30101590658015a1601020003010200010102000001020001010200000102000101020001010300
+000101000001010000010400000102000101020000010100000101000001010000010200010102000101030000010100030102000201020002010100010102000701020002010200
+000102000101020001010200000102000101020001010500040103000101020002010100000105000501030001010200000102000101020001010200ff01a30101590658015a1601
+020003010200010102000001020001010200000107000101020004010100010103000001020001010200000101000001010000010100000107000101020007010200020102000601
+02000701020002010200000102000101070000010200010102000101020005010500010102000501040004010500010102000001020001010700ff01a30101590658015a16010200
+030102000101020000010200010102000001020006010200040101000101030000010200010102000001010000010100000101000001020006010200070102000201020006010200
+01010100030102000301040002010200050102000101020001010200040102000001020001010200050102000001010002010200000102000201040002010200ff01a80101590658
+015a16010200030102000101020000010200010102000001030001010100010102000401010002010200000102000001030000010100000101000001010000010300010101000101
+020007010200020103000101010001010200000102000301020002010300040103000101010000010200010102000101020004010200000102000101030001010100000102000001
+02000101020000010200010103000401030001010100ff01a30101590658015a14010600000103000001070000010300010106000001040003010200010102000001070000010100
+00010100000101000101060000010400040106000101060000010700010106000001060002010a000001030000010400030107000101060000010200010102000001070000010600
+02010600ff01a30101590658015a14010600000103000001070000010300020104000101040003010200020101000101030000010100000101000001010000010100020104000101
+040004010600020104000101070001010600010106000201040000010300000103000001040004010200000102000201040001010200010102000101020000010200010106000201
+0400ff01a40101590658015a92010200010102003f01020001010200ff01ac0101590658015a920107003f010700ff01ac0101590658015a9301050041010500ff01ad0101590658
+015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658
+015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015ad3010000100100002c010000ff017a0101590658015a140103000001020035010300
+2d0103004001010007010000100100000501000025010000ff017a0101590658015a1501010002010000350101000101010024010000040102000101010028010000140100000701
+04000c0104000401000022010400ff01780101590658015a150101000201000035010100010101002401000003010200020100002901000013010100060100000001000000010100
+0b010000000100000001010004010000210100000001000000010100ff01780101590658015a15010100020100003501010027010100030101002d01010012010100060100000101
+0000010100000a010000010100000101000004010100110101000b0100000101000001010000ff01780101590658015a150101000201000002010300000100000301030002010100
+000103000201030000010000080103000401010009010100030100000301030002010100010102000201050000010200090102000201010001010100040103000401030003010500
+040100000a01010006010100000100000d0101000001000007010100110103000901010000010000ff017b0101590658015a15010100020100000101010002010100020101000101
+010002010200010101000001010002010100070101000101010002010400060100000001010001010100010102000101010000010000000102000101010002010100030101000801
+01000101010000010000000100000001030001010200010101000201010001010100030101000601020008010100070103000d010300070101001301030007010300ff017b010159
+0658015a150101000201000001010100030100000101010002010100020101000201010000010100030100000601010003010100020101000a010100010101000101010002010100
+0201020001010100020101000301010008010100010101000201020000010100010101000201000007010100030101000701000009010100080103000d0103000601010007010600
+0601020007010300ff017a0101590658015a1501010002010000020102000401060002010100060102000901010003010100020101000a0101000101000001010100020101000301
+010007010100030101000701010002010100020101000101010000010100090103000401010012010100090103000d01030004010100070106000601020009010300ff0179010159
+0658015a1501010002010000040102000201010007010100080102000701010003010100020101000901010001010100010104000501010006010100040101000701010002010100
+0101010002010000010101000701010001010100030101001301010009010000000101000d0100000001010004010100120103000b01000000010100ff01790101590658015a1501
+010002010000010100000301010001010100070101000501000003010100060101000301010002010100090101000101000002010100070101000701010004010100040100000101
+010001010100020101000101010001010100060101000201010003010100130101000601000001010000010100000a010000010100000101000003010100110103000a0100000101
+000001010000ff01790101590658015a1501010002010000010101000201010002010100020100000201010005010100020101000701010001010100030101000901010000010000
+040101000201000002010100070101000101000002010100020101000101010001010100020101000101010000010000000101000201000001010100010102000001000001010100
+01010000040100000b0100000601010000010000000100000401010004010100000100000001000004010100110101000c0101000001000000010000ff017a0101590658015a1601
+030002010000000103000401030002010400030100000001030009010300030103000901010006010300030101000801020004010300040102000301010003010100020103000301
+02000101010003010200040102000a0100000601040004010200040104000401000022010400ff017b0101590658015ab90100000c01000007010000070101000601000004010100
+25010000ff017d0101590658015ad001000007010000070100002c010000ff017d0101590658015ad8010000ff01b50101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015a1501030004010400130103001701060012010300ff011a010100030101000d0103000a01040014010200000103001e01010006010000
+0701010014010700120107000e01030015010000070101001c0101590658015a1501030004010400130103001701070011010300ff011a010100030101000d0103000a0104001401
+0200010102001d010300040101000601030013010800110108000d01030014010100060103001b0101590658015a160102000601020014010200180102000001020012010200ff01
+1a010200010102000e0102000c01020014010200010102001e0101000501010007010100150102000101020012010200010102000e01020014010100070101001c0101590658015a
+150104000501020014010200180102000001020012010200ff011a010200010102000e0102000c0102001401020001010200250102001f0102000101020012010200010102000e01
+020013010200260101590658015a15010400050102000301040000010000020103000201050002010200010101000201040003010200000102000101040004010200000101000001
+02000101020001010400030104000001000002010300fc01070002010300040105000001020000010300030102000301040002010200010101000101020001010200020103000201
+020001010100010100000001010000010100020104000201060002010400030104000101030000010200010102000001020003010300020102000101020000010200000102000301
+030004010500000102000001030002010200000101000001060002010400040103000101030000010200080101590658015a15010100000101000501020002010700010105000101
+06000101070000010600020102000001020000010600020106000001020001010200000106000101070001010500fb01070001010500020106000001020000010300030102000201
+060001010700000107000101050001010700000107000101040002010600020104000201060000010800000105000301050001010200010102000001050003010500020106000001
+0200000103000101060000010600020104000301050000010800070101590658015a1501010000010200040102000201020000010300000102000101020000010300000102000101
+0600000101000101020002010600000101000101020001010300000102000001020000010200010101000101020001010200000103000001020001010200fa010700000102000101
+020000010200000103000001020001010200030102000201010001010200020106000001070000010200010102000101060000010700030102000301020007010200020101000101
+020001010300000102000001050002010200010102000001010003010100000105000201020001010200000102000001030000010200010102000001030000010200010102000701
+020002010200010102000001030000010200070101590658015a15010100010101000401020002010200000102000101020001010200000102000101020001010300000101000301
+030002010500040103000101020002010100000105000501030001010200000102000101020001010200fa0101000001010000010100000102000101020000010200010102000001
+020001010200030102000501030002010300000101000001020001010200000102000101020001010300000101000001010000010100000101000301020003010200070102000501
+030001010200010102000001020000010200010102000101020000010100000101000001010000010200000102000101020001010200000102000101020000010200010102000001
+020002010100010102000701020002010200010102000001020001010200070101590658015a14010600040102000201020000010200010107000001020001010200010102000501
+05000201020005010500010102000501040004010500010102000001020001010700fa01010000010100000101000001020001010200000102000101020000010200010102000301
+020003010500020102000401020001010200000107000101020004010100000101000001010003010200030102000701020003010500010102000101020000010200000102000101
+020001010200000101000001010000010100000102000001020001010700000102000101020000010200010102000001020006010200070102000201020001010200000102000101
+0200070101590658015a1401070003010200030104000201020005010200010102000101020004010200000102000201020004010200000102000101020005010200000101000201
+0200000102000201040002010200ff010100000101000001010000010200010102000001020001010200000102000101020003010200020102000001020002010200040102000101
+020000010200060102000401010000010100000101000301020003010200070102000201020000010200010102000101020000010200000102000101020001010200000107000001
+020000010200010102000501020001010200000102000101020000010200060102000701020002010200010102000001020001010200070101590658015a14010100020102000301
+020002010300040103000101010000010200010102000101020004010200000102000201020004010200000102000101030001010100000102000001020001010200000102000101
+03000401030001010100fa01010003010100000102000101020000010200010102000001020000010300030102000201020000010200020102000401020001010200000103000101
+010001010200040101000001010000010100030102000301020000010100040102000201020000010200010102000101020000010200010102000001020001010200000107000001
+020001010200000103000101010000010200010102000001020000010300000103000101010001010200000101000401020002010200010102000001020001010200070101590658
+015a13010300000103000101060000010600020106000001060001010400030107000001040003010700010106000001020001010200000107000001060002010600fa0102000101
+02000101050002010600000107000101060000010700000104000301020001010200010106000001040003010100000101000001010001010600010105000201060000010b000001
+0700010102000101050002010200000101000001030001010200010106000101060000010700010106000101050002010600010105000001030000010300070101590658015a1301
+030000010300010106000101060002010400010101000001020002010400040102000001020000010400040102000001020002010400010102000101020001010200000102000101
+060002010400fb0102000101020002010300040102000001010001010300000101000101060001010200000102000001040003010200000103000201040001010400030101000001
+010000010100010106000201030003010600010102000001060000010700010102000201030003010100010101000001030001010200020104000301020000010100010103000001
+0100020104000301030003010600020103000101030000010300070101590658015a26010200010102005101020001010200ff01ff01060101590658015a2601070051010700ff01
+ff01060101590658015a2701050053010500ff01ff01070101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff00ff008f0001590658015aff00ff008f0001590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f01
+01590658015aff01ff018f0101590658015aff01c8017500500101590658015aff01c8017500500101590658015a9e010100210100007c0100004e01040004010100040104000501
+00001a017500500101590658015a1401020001010200040100007a0103001f0101007b0101004d0106000201030003010400040101001a017500500101590658015a150101000201
+0100030102007a010100200101007b0101004d010200000102000301010006010200040101001a017500500101590658015a1501010002010000050100009d0102007a0102004d01
+020010010200030102001a017500500101590658015a1501010002010000360103000001020002010400020100000001010000010100030103000301030000010000140103000001
+0000020104000301040000010400000102000201040002010600010102000001030000010200010101000301030003010300000100001c0101000001030002010400020102000101
+010002010400020100000001010000010100030103000201060003010300020102000101010002010300000100002e01050003010400050102000201060003010300020102000101
+010005017500500101590658015a15010100010100000301030005010300010101000401000003010300050100000c01080000010600010107000101050001010600130106000201
+040002011000000106000101060001010200000103000001070001010500010106001c01070000010600010107000001060001010700010105000101060002010500010107000001
+06002e010500030104000501020002010600020105000101070004017500500101590658015a15010100010100000501010003010200010101000101010002010100010102000101
+0100030102000c0103000001020000010100010102000101070000010200010102000001020000010200130102000001020004010200020102000001030000010300000102000001
+01000101020002010200040102000101020001010600000102000101020000010200000102001c010300000102000001010001010200020106000001010001010200010107000001
+0200010102000101020004010200010102000101060000010200000102002f01020007010200050102000301020004010200010102000101060004017500500101590658015a1501
+01000101000004010100040101000201010001010100020101000101010002010000050100000d010200010102000301030001010100000101000001010000010200010102000001
+030001010000130103000101000004010200020102000001020001010200010102000301030002010200040102000101020001010300000101000001020001010200000103000101
+00001c010200010102000301030002010300000101000301030001010100000101000001010000010200010102000101020004010200010102000101030000010100000103000101
+00002f0102000701020005010200030102000401020001010200010103000001010004017500500101590658015a1501010000010000050101000301010002010100020101000201
+000003010100170102000101020001010500010101000001010000010100000107000101040015010400050102000201020000010200010102000101020001010500020102000401
+0200010102000101020004010700010104001d0102000101020001010500020102000501050001010100000101000001010000010700010102000401070001010200050104003001
+0200070102000501020003010200040107000101020008017500500101590658015a1501010000010000050101000301040003010100010100000001000004010200150102000101
+020000010200000102000101010000010100000101000001020005010000010103001301000001010300040102000301040002010200010102000001020000010200020102000401
+020001010200010102000401020005010000010103001c01020001010200000102000001020002010200040102000001020001010100000101000001010000010200060102000401
+02000601020004010000010103002f010200070102000501020003010200040102000601020008017500500101590658015a15010100000100000401010004010100060101000001
+010000010000020100000201010014010200010102000001020000010200010101000001010000010100000103000101010000010200000102001301020000010200040102000201
+0300040102000101020000010200000102000201020000010100010102000001030001010200040103000101010000010200000102001c0102000001030000010200000102000201
+020004010200000102000101010000010100000101000001030001010100010102000001010001010300010101000101020004010200000102002f01020007010200050102000301
+02000001010001010300010101000101020008017500500101590658015a1501020005010100010100000201010002010000010106000101010001010200040100000d0103000001
+030000010700000101000001010000010100010106000001060013010600020106000001060000010300000103000001070001010500010107000001040004010600000106001c01
+060001010700000104000301070000010100000101000001010001010600010105000201060000010400030106002e01040004010600010106000101050002010600000104000701
+7500500101590658015a150101000701020004010300030101000001010003010300050102000c010300000103000101020000010200000101000001010000010100020104000101
+00000001030014010000000103000301060001010a00000103000101020000010200020103000301030000010100000104000501040001010000000103001d010500030102000001
+02000001040004010200000102000001010000010100000101000201040003010300040104000101040003010000000103002f010400040106000101060002010300040104000101
+040007017500500101590658015a430100005f010200010102005a010200bd017500500101590658015aa40107005a010200bd017500500101590658015aa50105005a010400bc01
+7500500101590658015aff01c8017500500101590658015aff01c8017500500101590658015aff01c801040008016700500101590658015aff01c801040008016700500101590658
+015aff01c8017500500101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aa70101000f010100
+d6010300270101000f01000007010100b30101590658015aa60103000d0103006a01020004010000100100004f010300260103000d01010006010300b20101590658015aa7010100
+0f0101006c0101000301020006010000060102004f010200270101000e01010007010100b30101590658015aff01280101000401000007010000070100005001020037010200bd01
+01590658015a9401030002010200010101000201040003010400000100000101040001010300000102000201030000010000570101000d0101005601050002010300030103000001
+00000301020000010100000102000101010002010400020101000001030001010600020104000401030001010300000102009f0101590658015a5301010003010000030103000401
+030005010200000100000201030015010500010107000101040002010700010104000101080000010600390103000501020002010100010101000401010000010100020103000401
+0500020103000601020002010100010101000401030030010600010105000101060002010600000107000101040002010700000106000201040003010500000108009e0101590658
+015a52010000000101000101010001010200010101000201010001010100030101000001020000010200010101001301020001010200010106000301020002010200000103000301
+020002010300000102000001020000010200370102000101010002010100010101000001000000010000000103000201000001010200040101000501010007010100040101000101
+010000010000000100000001030001010200010101002e01020000010300000102000101020000010200000102000101030000010200010106000301020002010300000102000101
+020007010200020102000101020000010300000102009e0101590658015a540101000101010001010100020100000701010002010100020100000101010002010100130102000101
+020001010300000101000301020002010200000102000401020002010200010102000001030001010000370101000201000003010100010101000201020000010100010101000101
+01000401010006010100060101000501010001010100020102000001010001010100020100002f010200010102000001020001010200000103000101000001010200020101000101
+0300000101000301020002010200010102000101020007010200020102000101020000010200010102009e0101590658015a54010100010100000301010007010300030101000101
+010000010100020101001401020001010200010102000701020002010200000102000401020002010200010102000101040037010100070101000201010002010100010101000101
+010001010100040101000601010006010100040101000201010002010100010101000201010032010200010102000001070001010400020102000601020007010200020102000101
+02000101020007010200020102000101020000010200010102009e0101590658015a5301010002010000040102000301010001010100030104000101040016010200010102000101
+020007010200030104000501020002010200010102000001000001010300360101000701010002010100010101000201000001010100020101000401010005010100070101000401
+010002010100010101000201000004010200300102000101020000010200050100000101030001010200060102000701020002010200010102000101020007010200020102000101
+020000010200010102009e010059095a5301010001010100020100000201010001010100020101000201010005010100190102000101020001010200070102000201030007010200
+020102000101020000010200000102003601010007010100010101000201010001010100010101000101010004010100060101000601010005010100010101000201010001010100
+02010000020101002f010200010102000001030001010100000102000001020001010300010101000101020007010200020102000001030001010200000101000401020002010200
+0101020000010200010102009e010959005a530101000001020000010200010102000101010001010200000100000001040003010100020100001501050001010400040106000001
+060002010a00000103000001060037010100020100000201010001010100020101000101010000010200000102000001000002010100010100000301010001010000030101000101
+000002010100010101000201010001010100000102000101020030010600010106000001060002010600000104000401060000010600020105000201060001010500000103000001
+03009e0101590658015a540101000101010001010300040102000101010002010400030103001701030002010400040106000101060001010a000001030000010000000103003901
+030004010200030101000301010001010200000101000401020005010200050102000401020003010100030101000101030033010200000101000201040001010000000103000401
+040001010400040106000001050004010300030106000201030001010300000103009e0101590658015a6e010000030100003801020001010200ff010e010200c70101590658015a
+6d0101000201010038010700ff010e010200c70101590658015a6e0104003a010500ff010e010400c60101590658015aff01ff018f0101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015a
+ff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff01ff018f0101590658015aff59ff598f5901590658005aff59ff59905901591e58005a
+0059ff58ff58775801591e58005a0059ff58ff58775801591e58005a0059ff58ff58775801591e58005a0059ff58ff58775801591e58005a0059ff58ff58775801591e58005a0059
+ff58ff58775801591e58005a0059ff58ff58775801591f5a0059ff5aff5a775a0059ff5aff5a995a
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-matxref.ps b/books/ps/h-matxref.ps
new file mode 100644
index 0000000..e6f3882
--- /dev/null
+++ b/books/ps/h-matxref.ps
@@ -0,0 +1,1248 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 280.520006 469.000000 541.719999
+%%Creator: xwd2ps
+%%CreationDate: Fri Nov 22 15:19:16 1991
+%%Title: h-matxref.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5 h-matxref.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.910000 inch translate
+matrix currentmatrix
+4.500000 inch 2.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b014500ff015f010600010105000101040006010400010106000101030008014100011
+20601011101120601011105000a0102000201060002010200020102000c014400
+ff015f0106000201040002010200080103000201050002010200090140000112060101110112060
+1011105000a0103000201040002010300020103000b014400ff015f0106000201
+04000201020009010200030103000301020009014000011206010111011206010111050002010b0
+002010400020103000201070002014900ff015f01060002010400020102000201
+030002010200030103000301020002014700011206010111011206010111050002010c000201020
+0020104000201070002014900ff015f0106000201040002010200020103000201
+0200030103000301020002014700011206010111011206010111050002010c00020102000201040
+002010700020149001901020000010000290105000e0103003f01030018010500
+2001000013010000040100001f01000010010100030105000401000019010600020104000201020
+0020103000201020004010100040102000201280000011d000112060101110112
+06010111050002010d000201000002010500020107000201490018010100000102002a010100010
+101000c010100010101003d0101000101010018010100010101001e0102001201
+0000030101000d0100000f0102000e0100000601010001010100040100001801060002010400020
+10200020103000201020004010100040102000201260004011b00011206010111
+011206010111050002010d000201000002010500020107000201490017010100020101002a01010
+0010101000c010100010101003d0101000101010018010100020101001e010000
+13010100020101000d010000100100000e010100060101000101010004010000180106000201040
+00201020002010300020102000b01020002012400080119000112060101110112
+06010111050002010e0004010600020107000201490017010100030100002a010100010101000c0
+10100410101001c0101000201010033010100010101000d0101001f0101000701
+0100010101000401010017010600020104000201020002010300020102000201000003010000020
+10200020122000c01170001120601011101120601011105000801080004010600
+0201070002014900170101000301000000010100000103000301030003010300000100000201030
+00001000007010100010101000301030004010100060103000201010000010300
+0301030002010100000102000401030004010300090101000601030002010100000103000701010
+00201010002010300020100000001010000010100020104000301030003010100
+0001020008010500030103000301050001010100010102000201030004010100020101000101010
+0060101000101010005010100170106000a010200020103000201020002010000
+030100000201020007011b001001150001120601011101120601011105000901080002010700020
+10700020149001701010006010200010101000101010001010100010101000201
+0100010101000201010007010100000101000301010001010100020104000301010001010100020
+10200010101000101010001010100020101000101010002010100010101000201
+0100010101000701040003010100010101000201020001010100060101000201010001010100010
+10100010101000001010000010100000101000201010004010100040101000101
+0100060106000201010001010100030101000301000000010200010101000301010003010000000
+101000001010001010100070101000101010005010100170106000a0102000201
+0300020102000201010001010100020102000801180014011300011206010111011206010111050
+00901080002010700020107000201490017010100060101000201010000010100
+0301010000010100030100000101010003010000070103000301010002010100030101000401010
+00201010002010100020101000001010002010100020101000101010001010100
+0201010001010100020101000801010004010100030101000101010002010100060101000201010
+00001010003010100000101000001010000010100000101000201010004010100
+0401010001010100060100000001020000010000060101000301010005010200010101000201010
+006010300020101000701040006010100170106000a0102000201030002010200
+0201010001010100020102000801160018011100011206010111011206010111050002010e00040
+10600020107000201490017010100060101000501010003010100010102000501
+02000a0101000001010002010600030101000401060002010100050106000201010001010100010
+1010006010600080101000401010003010100010101000b010100020101000001
+0100030101000001010000010100000101000301030004010100040101000101010006010000010
+10000010100000301030004010100050101000701010007010200020101000701
+03000601010018010600020104000201020002010300020102000201050002010200020121000e0
+11600011206010111011206010111050002010e00040106000201070002014900
+1701010003010000010101000501010003010100030102000501020008010100010101000101010
+00801010004010100070101000501010007010100010101000101010006010100
+0d0101000401010003010100010101000b010100020101000001010003010100000101000001010
+00001010001010100010101000401010004010100010101000601000003010000
+0201010001010100030101000601010007010100060102000301010006010100000101000601010
+01801060002010400020102000201030002010200020105000201020002012100
+0e011600011206010111011206010111050002010d0002010000020105000201070002014900170
+10100030100000101010005010100030101000001000003010100010100000301
+0100070101000101010001010100080101000401010007010100050101000701010001010100010
+1010003010000010101000d0101000401010003010100010101000b0101000201
+0100000101000301010000010100000101000001010000010100020101000401010004010100010
+10100050100000401000001010100020101000301010005010100070101000601
+0100000101000201010006010100010101000401010019010600020104000201020002010300020
+102000201050002010200020121000e0116000112060101110112060101110500
+02010d0002010000020105000201070002014900180101000101010001010100060101000101010
+00101010002010100010101000201010007010100020101000101010002010000
+0301010005010100020100000201010006010100020100000201010001010100020101000101010
+00201010002010000080101000501010001010100020101000b01010001010100
+0201010001010100010101000001010000010100000101000101020004010100040101000101010
+00501000004010000010101000101020000010000010101000101000002010100
+0701010001010000030100000101010000010000010100000601010001010100040101001901060
+0020104000201020002010300020102000201050002010200020121000e011600
+011206010111011206010111050002010c000201020002010400020107000201490019010300010
+10400050103000201000000010300020100000001030007010300010101000201
+0300030103000501030002010400050103000201020000010300020103000401030008010300050
+10300020104000801050004010300020101000001010000010100010102000101
+0100010105000101020000010300040101000201020001010200010101000301020003010100080
+102000201010003010100020100000501030001010100020100001b0106000201
+04000201020002010300020102000201050002010200020121000e0116000112060101110112060
+10111050002010c0002010200020104000201070002014900ff01310100000d01
+01001c0106000201040002010200020103000201020002010500020102000201470001120601011
+1011206010111050002010b0002010400020103000201070002014900ff015f01
+0600020104000201020002010300020102000201050002010200020147000112060101110112060
+1011105000901040002010400020103000201070002014900ff015f0106000201
+0400020102000901020002010500020102000801410001120601011101120601011105000a01020
+002010600020102000201070002014900ff015f01060002010400020103000801
+0200020105000201020009014000011206010111011206010111060009010300010107000101030
+00101080001014900ff015f010700010105000101040006010400010106000101
+0300080140000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101117b00ff015f017b00011206010111
+0112060101117b00ff015f017b00011206010111011206010111ff00ff005700011206010111011
+206010111ff00ff005700011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff0157010112060101110112060101112401060028010000ff01ff01010
+101120601011101120601011113010b0004010700260101003d01020000010000
+0c0100002b0100001e01000004010200170102001f010000120102000f0103002f0100001201020
+04301000007010000600101120601011101120601011113010b00050102000001
+0200260101003c010100000102000c0100002a0102001d01000005010100180101001e010200120
+10100110101002f0100001301010043010000060102005f010112060101110112
+0601011113010100000100000001000000010000000102000501020000010200250102003b01010
+0020101000b0101002b0100001d01010005010100180101001f01000013010100
+110101002e010100130101004201010007010000600101120601011101120601011113010200000
+10000000100000001000000010100050102000001020001010400020102000101
+01000301030001010300000102000101060002010300000100002f010100030100000b0101004a0
+10100050101001801010034010100110101002e01010013010100420101006901
+0112060101110112060101111301010000010000000100000001000000010200050102000001020
+00001060001010700010105000001080000010600010106002f01010003010000
+0101040002010600030103000301030000010100020103000201010000010300020103000501030
+00301030000010000060106000201040004010300090104000301030002010000
+0001010000010100020104000301030003010100000102000801040004010300050101000501030
+00201010000010200030103000001010001010300000100000601060003010300
+0801040002010300000102000601040003010300000100000201030000010000030103000201010
+00001030001010600020103000501030002010100000102004c01011206010111
+0112060101111301020000010000000100000001000000010100050106000001010001010200020
+10600000102000101020000010300000102000101020004010200000102002f01
+0100050101000201010003010100050101000101010001010100010101000001000001010100010
+10100020102000101010003010100040101000101010001010100020101000801
+0100050102000001010002010100010101000701010000010200020101000101010001010100000
+10100000101000001010002010100040101000401010001010100070102000001
+0100020101000101010004010100040101000101010002010100010101000101010001010100000
+10000000101000201010008010100050101000101010007010200000101000201
+0100020100000601010002010100010101000201010001010100020101000201010001010100020
+10200010101000201010007010100040101000101010002010100010101004b01
+0112060101110112060101111301010000010000000100000001000000010200050105000401030
+00201030000010100000102000101020000010200010102000101020004010300
+010100002f010100050101000201010003010100040101000201010001010100010101000201010
+00301010001010100020101000301010003010100020101000101010003010000
+0801010005010100010101000101010002010100060101000201010001010100030101000001010
+00001010000010100000101000201010004010100040101000101010007010100
+0201010000010100020101000401010003010100030101000101010001010100010101000101010
+00201010003010000080101000401010003010100060101000201010001010100
+0201000006010100020101000101010003010000010101000301000001010100020101000201010
+0020101000201010007010100030101000301010001010100010101004b010112
+0601011101120601011113010200000100000001000000010000000101000501020005010500020
+10200040107000001020001010200010102000501040030010100080103000301
+01000401060001010100010101000201010003010100010101000801010003010600020102000b0
+10100050101000101010001010600060101000201010001010100030101000001
+0100000101000001010003010300040101000401010001010100070101000201010000010600040
+10100030101000301010001010100010101000101010001010100030102000b01
+01000401010003010100060101000201010002010100000100000a0103000201020005010200040
+10600020101000701010007010100030101000301010001010100010101004b01
+0112060101110112060101111301010000010000000100000001000000010200050102000401020
+00001020002010200040102000501020001010200010102000401000001010300
+2f01010003010000010101000101010003010100040101000701030003010100030101000101010
+0080101000301010009010200090101000501010001010100010101000b010100
+0201010001010100030101000001010000010100000101000101010001010100040101000401010
+00101010007010100020101000001010009010100030101000301010001010100
+0101010002010300060102000901010004010100030101000601010002010100020101000001000
+00801010001010100040102000501020002010100070101000701010007010100
+030101000301010001010100010101004b010112060101110112060101111301020000010000000
+10000000100000001010005010200040102000001020002010200040103000101
+01000001020001010200010102000001010001010200000102002f0101000301000000010100020
+10100030101000401010006010000070101000301010001010100080101000301
+01000601000003010100080101000501010001010100010101000b0101000201010001010100030
+10100000101000001010000010100000101000201010004010100040101000101
+0100070101000201010000010100090101000301010003010100010101000101010001010000070
+10000030101000801010004010100030101000601010002010100030101000801
+0100020101000101000003010100010100000301010001010100070101000701010007010100030
+101000301010001010100010101004b0101120601011101120601011113010b00
+04010400030107000001040004010a0000010300010105000101060030010100010101000001010
+00101020003010100010100000201010002010000010105000301010001010100
+0201010008010100040101000201000001010100020101000801010001010000020101000101010
+00201010002010000070101000001020002010100010101000101010000010100
+0001010000010100010102000401010004010100010101000701020000010100020101000201000
+00401010004010100010101000201010001010100010105000201010002010100
+0801010001010000020101000101010007010200000101000401010008010100010102000101010
+00201010001010100020101000201010002010000020101000701010001010000
+04010100040101000101010002010100010101004b0101120601011101120601011113010b00040
+10400040102000001020000010400050104000001030000010300020103000201
+0000000103003201030002010200010101000301020004010300030105000301030002010400040
+105000301030002010000000103000a0102000201020000010300020103000901
+0200000101000201030002010100000101000001010001010200010101000101050001010200000
+10300050101000001020004010300030105000301030002010200000103000101
+050001010000000103000a010200040103000701010000010200050100000a01020001010100000
+10000000103000201000000010300040103000201040006010200030105000301
+030002010200000103004a01011206010111011206010111b401000004010000bb0100000401000
+032010000a401011206010111011206010111b401010002010100bb0101000201
+01002f01000000010000a501011206010111011206010111b5010400bd01040030010200a501011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff015701011206010111011206010111ff01ff01
+5701011206010111011206010111ff01ff015701011206010111011206010111ff01ff015701011
+206010111011206010111ff01ff01570101120601011101120601011125010300
+2a010000ff01ff01010101120601011101120601011113010b0005010300290101003c010200040
+10300040103001d0100002b0100001e01000004010200170102001f0100001201
+02000f0103002f010000a40101120601011101120601011113010b0006010200290101003d01010
+006010100060101001d0100002a0102001d01000005010100180101001e010200
+12010100110101002f010000a401011206010111011206010111130101000001000000010000000
+100000001020005010400270102003d01010006010100060101001c0101002b01
+00001d01010005010100180101001f01000013010100110101002e010100a401011206010111011
+20601011113010200000100000001000000010000000101000501040001010300
+0001020003010200000101000201030003010300000100000101060003010300020102000101010
+002010300000100001e01030005010100060101001c0101004a01010005010100
+1801010034010100110101002e010100a4010112060101110112060101111301010000010000000
+10000000100000001020005010100000101000101080001010600010105000101
+0600010106000201050001010700000106001e0100000001010005010100060101000a010300030
+10400020106000301030003010300000101000201030002010100000103000201
+0300050103000301030000010000060106000201040004010300090104000301030002010000000
+10100000101000201040003010300030101000001020008010400040103000501
+0100050103000201010000010200030103000001010001010300000100000601060003010300990
+10112060101110112060101111301020000010000000100000001000000010100
+0501010000010200010103000001020000010300000102000001020001010200000102000001020
+00201020004010200010102000101060000010200000102001e01000000010100
+0501010006010100090101000101010001010100020101000301010005010100010101000101010
+00101010000010000010101000101010002010200010101000301010004010100
+0101010001010100020101000801010005010200000101000201010001010100070101000001020
+00201010001010100010101000001010000010100000101000201010004010100
+0401010001010100070102000001010002010100010101000401010004010100010101000201010
+00101010001010100010101000001000000010100020101000801010005010100
+0101010098010112060101110112060101111301010000010000000100000001000000010200050
+10100010101000101020001010200000102000201010000010200010102000001
+030001010000020102000401020001010200010103000001010000010300010100001e010000010
+10100040101000601010008010100020101000101010002010100030101000401
+0100020101000101010001010100020101000301010001010100020101000301010003010100020
+10100010101000301000008010100050101000101010001010100020101000601
+0100020101000101010003010100000101000001010000010100000101000201010004010100040
+10100010101000701010002010100000101000201010004010100030101000301
+0100010101000101010001010100010101000201010003010000080101000401010003010100970
+10112060101110112060101111301020000010000000100000001000000010100
+0401060001010200010102000001020005010700010104000301020004010200010102000101020
+0050104001e010500040101000601010008010100090103000301010004010600
+01010100010101000201010003010100010101000801010003010600020102000b0101000501010
+00101010001010600060101000201010001010100030101000001010000010100
+0001010003010300040101000401010001010100070101000201010000010600040101000301010
+00301010001010100010101000101010001010100030102000b01010004010100
+0301010097010112060101110112060101111301010000010000000100000001000000010200040
+10700000102000101020000010200050102000501000001010300020102000401
+0200010102000101020004010000010103001d01000002010100040101000601010008010100070
+10100010101000301010004010100070103000301010003010100010101000801
+01000301010009010200090101000501010001010100010101000b0101000201010001010100030
+10100000101000001010000010100010101000101010004010100040101000101
+0100070101000201010000010100090101000301010003010100010101000101010002010300060
+10200090101000401010003010100970101120601011101120601011113010200
+0001000000010000000100000001010004010100020102000001020001010200000103000101010
+00001030001010100000102000001020002010200000101000101020001010200
+0101020004010200000102001d01000003010100030101000601010008010100030100000101010
+00201010003010100040101000601000007010100030101000101010008010100
+030101000601000003010100080101000501010001010100010101000b010100020101000101010
+00301010000010100000101000001010000010100020101000401010004010100
+0101010007010100020101000001010009010100030101000301010001010100010101000101000
+00701000003010100080101000401010003010100970101120601011101120601
+011113010b000301030000010700000103000101060001010600000106000201050002010500010
+10400030106001c01010003010100030101000601010009010100010101000101
+0100010102000301010001010000020101000201000001010500030101000101010002010100080
+10100040101000201000001010100020101000801010001010000020101000101
+0100020101000201000007010100000102000201010001010100010101000001010000010100000
+10100010102000401010004010100010101000701020000010100020101000201
+0000040101000401010001010100020101000101010001010500020101000201010008010100010
+100000201010001010100980101120601011101120601011113010b0003010300
+0001070000010300020104000301040001010000000103000401030004010300020104000301000
+0000103001d010200010102000101050002010500080103000301020001010100
+0301020004010300030105000301030002010400040105000301030002010000000103000a01020
+00201020000010300020103000901020000010100020103000201010000010100
+0001010001010200010101000101050001010200000103000501010000010200040103000301050
+00301030002010200000103000101050001010000000103000a01020004010300
+9901011206010111011206010111d401000004010000bb01000004010000b801011206010111011
+206010111d401010002010100bb01010002010100b80101120601011101120601
+0111d5010400bd010400b901011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111230107000b0104000e01000007010100ff01ff0100010112060101110112
+0601011113010b00030108000a0104000d0101000601030038010600130102003a0100000701000
+0040102003a01000007010000370103000f010000070100001e01000016010200
+1f010000650101120601011101120601011113010b0004010200010102000c0102000d010100070
+101003a01010001010200130101003901020006010000050101003a0100000601
+0200380101000f010000060102001d010000170101001e010200640101120601011101120601011
+1130101000001000000010000000100000001020004010200010102000c010200
+0c0102004401010002010100130101003a010000060101000501010039010100070100003901010
+00e010100070100001d010100170101001f010000650101120601011101120601
+0111130102000001000000010000000100000001010004010200000102000301030005010200030
+10400020106000201040002010200010102000201030003010300000100001d01
+01000201010013010100420101000501010039010100420101000e0101002601010017010100860
+10112060101110112060101111301010000010000000100000001000000010200
+0401050003010500040102000201060001010600020104000201020001010200010105000101060
+01d01010002010100010104000401030003010100010102000101040003010300
+0001010002010300030103000001000006010100030101000101030003010600020104000901030
+00201010000010200040103000201010000010300020104000201060002010300
+0501030002010100000102000301030000010000060101000001030003010300050101000401040
+00201060002010300030101000001020003010300000101000501060003010300
+0901040003010300020100000001010000010100020104000301030003010100000102005a01011
+20601011101120601011113010200000100000001000000010000000101000401
+0500020102000101020003010200020101000101020002010200070102000201020001010200000
+102000101020000010200000102001d0101000101020000010100020101000201
+0100010101000201010001010100010101000201010001010100010101000001000001010100010
+10100010101000201010006010100030101000301010005010100050102000001
+0100070101000101010002010200000101000201010001010100020102000101010000010100020
+10100030101000701010004010100010101000201010001010100010101000201
+0100070102000101010001010100010101000401010003010100020101000301010007010100040
+10100010101000101010001010100000100000701010005010100010101000701
+0100000102000201010001010100010101000001010000010100000101000201010004010100040
+10100010101005901011206010111011206010111130101000001000000010000
+0001000000010200040102000001020001010200010102000301020005010300020102000701020
+00301020000010100010102000101020000010300010100001d01050001010100
+0201010001010100020101000201010000010100020101000201010001010100010101000201010
+00201010001010100030100000601010000010100000101000301010005010100
+0501010001010100060101000301010001010100020101000001010002010100020101000201010
+00001010002010100030101000701010003010100030101000101010001010100
+0101010003010000070101000201010000010100020101000401010003010100020101000301010
+00701010004010100010101000101010001010100090101000401010003010100
+0501010002010100010101000301010000010100000101000001010000010100020101000401010
+00401010001010100590101120601011101120601011113010200000100000001
+0000000100000001010004010200000102000101070003010200030105000201020007010200030
+102000001010001010700010104001e0101000801030001010100070103000601
+0300010101000101010002010600020102000901010000010100000101000301010005010100050
+10100010101000601010003010100010101000201010000010600020101000801
+0300030101000701010003010100030101000101010001010100020102000a01010005010600040
+10100060103000301010007010100040101000101010001010100010101000901
+0100040101000301010005010100020101000101010003010100000101000001010000010100030
+10300040101000401010001010100590101120601011101120601011113010100
+0001000000010000000100000001020004010200000102000101020008010200020102000001020
+00201020007010200030104000201020005010000010103001d01010006010100
+0101010001010100070103000401010001010100020103000301010009010200070101000001010
+00001010003010100050101000501010001010100060101000301010001010100
+0201010000010100070101000601010001010100030101000701010003010100030101000101010
+00101010004010200080101000501010009010100040101000101010003010100
+070101000401010001010100020103000a010100040101000301010005010100020101000101010
+00301010000010100000101000001010001010100010101000401010004010100
+0101010059010112060101110112060101111301020000010000000100000001000000010100040
+10200010102000001030001010100030102000201020000010200020102000001
+01000401020004010300020103000101010000010200000102001d0101000501010002010100010
+10100030100000201010000010100020101000201010001010000070101000601
+0000030101000701010000010200040101000501010005010100010101000601010003010100010
+10100020101000001010007010100050101000201010003010100070101000301
+0100030101000101010001010100010100000301010007010100050101000901010003010100020
+1010003010100070101000401010001010100010100000e010100040101000301
+0100050101000201010001010100030101000001010000010100000101000001010002010100040
+101000401010001010100590101120601011101120601011113010b0003010300
+0101020001010600010106000001070001010500020106000201020004010600000106001d01010
+00501010001010200020101000101010002010100010101000101010001010200
+0101050003010100020100000101010002010100070101000101010004010100050101000101000
+00201010001010100070101000101010002010100010101000201010002010000
+0201010005010100010102000301010001010000040101000401010001010100020101000101010
+00101010002010100070101000601010002010000040101000301010001010200
+0301010001010000040101000401010001010100010105000901010001010000020101000101010
+00701010000010200020101000101010001010100000101000001010000010100
+01010200040101000401010001010100590101120601011101120601011113010b0003010300010
+10200020104000201060001010200000102000201030003010600020102000501
+040001010000000103001d010300050102000101010002010300020103000001020001010200010
+10100010105000301030002010000000103000801000003010000020105000401
+0200020102000001030007010300030104000401030002010400040102000101010003010200030
+10500030103000201020000010300000100000001030007010400050103000301
+0500020102000101010003010200030105000101020000010300010105000901020004010300090
+10200000101000201030002010100000101000001010001010200010101000101
+050001010200000103005801011206010111011206010111bd010000040100004b0101009101000
+004010000ab01011206010111011206010111bd010100020101004b0101009101
+010002010100ab01011206010111011206010111be0104004b01030091010400ac0101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff0157010112060101110112060101112401060029010300
+15010000ff01e60101120601011101120601011113010b000401070028010300140101002201020
+0000100001e010000220100004201000007010000190100001e01000004010200
+08010000820100000c0100004e0101120601011101120601011113010b000501020000010200290
+102001401010021010100000102001e0100002201000042010000060102001701
+02001d0100000501010007010200810100000c0100004e010112060101110112060101111301010
+00001000000010000000100000001020005010200000102002901020013010200
+20010100020101001d010100210101004101010007010000190100001d010100050101000801000
+0810101000b0101004e0101120601011101120601011113010200000100000001
+0000000100000001010005010200000102000201030002010100000103000301030001010300000
+10200030105000201030001010300000102000101060002010300000100001401
+0100030100001d010100210101004101010041010100050101008b0101000b0101004e010112060
+10111011206010111130101000001000000010000000100000001020005010200
+0001020001010500010107000101050000010800010106000101050000010800000106000101060
+01401010003010000020103000201010000010200030103000001000001010600
+0101010000010300010102000001020003010300020106000301030002010100000103000201030
+00001000006010000000101000001010003010300020101000001020002010600
+0201030005010300020101000001020003010300030101000001020003010300000101000501060
+00201040003010300040103000001000007010400030103000001000007010400
+0201010000010200080104000201010000010300020103000001010000010200000102000101000
+00001010000010100030103000201010000010200020106000601060001010300
+0001020000010100000102000401030031010112060101110112060101111301020000010000000
+10000000100000001010005010200000102000001020001010200000103000001
+0200000102000101020000010300000102000001020000010300000102000101020000010300000
+10200010102000401020000010200140101000601010001010100020101000101
+0100010101000201010003010100050102000101010001010100010101000201010001010100030
+10100050101000101010002010200010101000001010002010100060101000001
+0100000101000101010001010100020101000101010003010100070101000401010001010100020
+10100010101000401010004010100010101000101010001010100000100000701
+0100050102000001010004010100030101000201010006010100020101000101010002010100060
+10100020101000201010001010100060101000201010002010200010101000001
+0100010101000001000001010100010101000101010000010100000101000101010001010100020
+1010001010100030101000b010100050101000201000002010200000101000201
+0100010101003001011206010111011206010111130101000001000000010000000100000001020
+00501020000010200000102000101020000010200010102000001020001010200
+0001020001010200000102000101020000010200010102000001020001010200010102000401030
+00101000014010100050101000301010001010100010101000101010003010000
+0301010005010100020101000101010001010100010101000201010003010100040101000301010
+00101010002010100000101000301000006010100000101000001010000010100
+0201010002010100010101000301010007010100030101000301010001010100010101000401010
+00401010001010100010101000101010009010100050101000101010004010100
+0301010003010000060101000201010001010100030100000601010002010100020101000101010
+00601010002010100020101000201010000010100010101000301010001010100
+01010100000101000001010000010100020101000201010001010100030101000b0101000501010
+00201000002010100020101000001010002010100300101120601011101120601
+0111130102000001000000010000000100000001010005010200000102000001070000010200010
+10200000107000001020001010200000102000101020000010700000102000101
+0200010102000501040015010100050101000301010001010100010101000201020006010100050
+10100060101000101010001010100080101000401010003010100010101000601
+0200090101000001010000010100000106000201010001010100030101000701010003010100030
+10100010101000101010004010100040101000101010001010100010101000901
+0100050101000101010004010100040102000c010300020102000c0103000201010001010100090
+10300020101000501010001010100030101000101010001010100000101000001
+0100000106000201010001010100030101000b01010006010100000100000301010002010100000
+10600300101120601011101120601011113010100000100000001000000010000
+0001020005010200000102000001020005010200010102000001020005010200010102000001020
+00101020000010200050102000101020001010200040100000101030014010100
+0301000000010100030101000101010001010100040102000401010005010100060101000101010
+00101010008010100040101000301010001010100080102000701010000010100
+0001010000010100070101000101010003010100070101000301010003010100010101000101010
+0040101000401010001010100020103000a010100050101000101010004010100
+0601020008010100010101000401020008010100010101000201010001010100070101000101010
+00201010006010300040101000101010001010100000101000001010000010100
+0701010001010100030101000b01010006010100000100000301010002010100000101003501011
+20601011101120601011113010200000100000001000000010000000101000501
+0200000102000001030001010100000102000001030000010300010101000001020001010200000
+10200010102000001030001010100000102000101020001010200000101000101
+0200000102001401010003010000000101000301010001010100010101000101000003010100030
+10100050101000601010001010100010101000301000003010100040101000301
+0100010101000501000003010100060101000001010000010100000101000701010001010100030
+10100070101000301010003010100010101000101010004010100040101000101
+0100010100000e01010005010100010101000401010003010000030101000601010002010100010
+10000030101000601010002010100020101000101010006010100020101000201
+0100050100000801010001010100010101000001010000010100000101000701010001010100030
+101000b0101000701010004010100020101000001010035010112060101110112
+0601011113010b0004010700010106000001060002010a00000103000101060001010a000001030
+00101050001010600150101000101010001010100010101000201010001010100
+0101010002010100030101000101000002010100060101000001020002010100010101000301010
+00101000002010100010101000201010005010100020101000601010000010100
+0001010001010100020100000201010001010100030101000101000004010100040101000101010
+00201010001010100040101000401010001010100010105000901010001010000
+0201010001010100040101000301010002010100060101000101020001010100020101000601010
+00101020002010100010101000601010001010200020101000501050003010100
+0001020001010100000101000001010001010100020100000201010001010100030101000101000
+00801010001010000040101000401010001010100020101000201000030010112
+0601011101120601011113010b00040106000301040001010500040104000001030000010300020
+10200000101000201040000010300000103000201030002010000000103001701
+0300030103000201020000010300000100000001030005010200020104000501020000010100020
+10300050102000401030002010400030100000001030007010100000101000001
+0100020103000201020000010300030102000301050003010300020102000001030001010500010
+10200000103000101050009010200020102000001030001010500010100000001
+0300080102000101010000010000000103000801020001010100000102000001030006010200010
+10100000104000401050003010200000101000001010000010100000101000201
+03000201020000010300030102000a0102000501000005010400040103003101011206010111011
+20601011136010200ff0118010000040100006f010000040100003f0100000501
+01003d0101120601011101120601011136010200ff0118010100020101006f010100020101003c0
+1000000010000060101003d0101120601011101120601011135010400ff011801
+0400710104003d010200050103003c01011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+10112060101112401040006010100ff01ff012401011206010111011206010111
+13010b0004010400050103005f010200000100001e010000220100001b010200080100003101020
+0320102000901030048010000070100001c010300150102004b01011206010111
+01120601011113010b0005010200070101005f010100000102001e010000220100001c010100070
+102003101010033010100080101000101010047010000060102001d0101001601
+01004b0101120601011101120601011113010100000100000001000000010000000102000501020
+068010100020101001d010100210101001c010100080100003201010033010100
+080101000101010046010100070100001e010100160101004b01011206010111011206010111130
+10200000100000001000000010000000101000501020005010400010103000001
+0200030103000301040003010400000100000201030030010100030100001d010100210101001c0
+101003c01010033010100080101004a01010027010100160101004b0101120601
+0111011206010111130101000001000000010000000100000001020005010200050104000101080
+0010105000101060001010700010105002f010100030100000201030002010100
+0001020003010300000100000101060001010100000103000101020000010200030103000201060
+00301030002010100000103000701040003010300050103000201010000010300
+0201040002010100000103000301030003010400020103000001020005010200000102000201030
+00001000003010300040104000801010006010300020101000001030008010300
+0201010000010200040103000201010000010300020104000201060002010300050103000201010
+0000102000a010100050103000401030003010100010102000001020000010200
+0101010000010200360101120601011101120601011113010200000100000001000000010000000
+10100050102000701020002010300000102000001020001010200000101000101
+0200010102000001030000010200010102002e01010006010100010101000201010001010100010
+10100020101000301010005010200010101000101010001010100020101000101
+0100030101000501010001010100020102000101010006010200000101000401010004010100010
+10100020102000101010000010100020101000201020001010100010101000101
+0100020102000001010002010100020100000701010001010100010101000201010002010100010
+10100020101000001020007010400030101000101010002010200010101000601
+0100010101000201020000010100020101000101010002010200010101000001010002010100030
+10100070101000401010001010100020101000101010009010100040101000101
+0100020101000101010002010100010101000201010001010100020102000001010035010112060
+10111011206010111130101000001000000010000000100000001020005010200
+0701020002010200010102000001020001010200030103000101020000010200010102000101020
+02e01010005010100030101000101010001010100010101000301000003010100
+0501010002010100010101000101010001010100020101000301010004010100030101000101010
+00201010006010100010101000401010003010100020101000201010002010100
+0001010002010100020101000201010000010100020101000201010001010100020101000201000
+00701010001010100010101000301000001010100020101000101010002010100
+0801010004010100030101000101010002010100050101000301010001010100020101000001010
+00201010002010100020101000001010002010100030101000701010003010100
+0301010001010100010101000901010003010100030101000001010003010100010101000001010
+00301010001010100020101000201010034010112060101110112060101111301
+0200000100000001000000010000000101000501020007010200020102000101020000010700010
+105000101020000010200010107002e0101000501010003010100010101000101
+0100020102000601010005010100060101000101010001010100080101000401010003010100010
+101000b0101000101010004010100030106000201010008010300020101000501
+0100070101000101010003010100000100000801010001010100020102000401060001010100020
+10100080101000401010003010100010101000a01010003010100010101000201
+0100000106000201010008010300030101000701010003010100030101000101010001010100090
+10100030101000301010000010100030101000101030004010100010101000201
+0100020101003401011206010111011206010111130101000001000000010000000100000001020
+00501020001010100030102000201020001010200000102000501020000010200
+0201040002010200330101000301000000010100030101000101010001010100040102000401010
+00501010006010100010101000101010008010100040101000301010001010100
+0b01010001010100040101000301010007010100060101000101010002010100050101000701010
+00101010003010100000100000801010001010100040102000201010006010100
+02010100080101000401010003010100010101000a0101000301010001010100020101000001010
+00701010006010100010101000301010007010100030101000301010001010100
+0101010009010100030101000301010000010100030101000101030004010100010101000201010
+00201010034010112060101110112060101111301020000010000000100000001
+0000000101000501020000010200030102000201020001010200000103000101010000010200000
+102000101030004010300010101002e0101000301000000010100030101000101
+0100010101000101000003010100030101000501010006010100010101000101010003010000030
+101000401010003010100010101000b0101000101010004010100030101000701
+0100050101000201010002010100050101000301000002010100010101000401010009010100010
+10100010100000301010001010100060101000201010008010100040101000301
+0100010101000a01010003010100010101000201010000010100070101000501010002010100030
+10100070101000301010003010100010101000101010009010100030101000301
+0100000101000301010001010100000101000301010001010100020101000201010034010112060
+1011101120601011113010b000401070001010a00000103000101060000010700
+00010600020106002f0101000101010001010100010101000201010001010100010101000201010
+00301010001010000020101000601010000010200020101000101010003010100
+010100000201010001010100020101000b010100010101000401010004010100020100000201010
+00501010001010200020101000601010001010100020101000101010004010100
+0901010000010200010101000201010002010100020100000201010000010200080101000501010
+001010100020101000b0101000101010002010100010101000201010002010000
+0201010005010100010102000301010001010000040101000401010001010100020101000101010
+00901010004010100010101000201010001010100020101000101010002010100
+000102000201010001010100350101120601011101120601011113010b000401070001010a00000
+10300020104000201020000010200010106000201040031010300030103000201
+0200000103000001000000010300050102000201040005010200000101000201030005010200040
+10300020104000801020000010300010105000301030002010400040102000101
+010000010400050103000201020000010300030100000b010200000101000001000000010300040
+1030004010200000101000601030005010300020104000a010300030104000401
+0300020104000401020001010100030102000301050003010300020102000001030006010500030
+10300040103000201030000010200020102000001010001010400360101120601
+01110112060101115101020001010200e90100005c0101007701010039010112060101110112060
+1011151010700e6010000000100005d0101007701010039010112060101110112
+0601011152010500e70102005c010300750103003801011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+10112060101110112060101112501020000010100020104000501010018010000
+ff01ff01010101120601011101120601011113010b00040106000201040004010300160101003d0
+10200000100001e010000220100002d010200080100000d0102002d0100000401
+020008010000160102001f010000b20101120601011101120601011113010b00040102000001020
+00401020005010100170101003c010100000102001e010000220100002e010100
+070102000d0101002d0100000501010007010200160101001e010200b1010112060101110112060
+10111130101000001000000010000000100000001020004010200010101000401
+02001e0102003b010100020101001d010100210101002e010100080100000e0101002c010100050
+1010008010000170101001f010000b20101120601011101120601011113010200
+0001000000010000000100000001010004010200010101000401020003010400040103000101030
+0000102000101060002010300000100002f010100030100001d01010021010100
+2e010100180101002c0101000501010021010100d30101120601011101120601011113010100000
+10000000100000001000000010200040102000801020003010400030105000001
+080000010600010106002f010100030100000201030002010100000102000301030000010000010
+10600010101000001030001010200000102000301030002010600030103000201
+0100000103000201030000010000060101000301010001010400030103000501030003010400070
+10100030100000301030004010300070106000201040003010300040103000001
+0000080104000301030002010000000101000001010002010400030103000301010000010200a70
+10112060101110112060101111301020000010000000100000001000000010100
+0401020008010200050102000201020001010200000103000001020001010200040102000001020
+02f01010006010100010101000201010001010100010101000201010003010100
+0501020001010100010101000101010002010100010101000301010005010100010101000201020
+00101010000010100020101000601010003010100010102000001010004010100
+0401010001010100020102000001010005010000000101000101010001010200010101000101020
+00101010008010100050102000001010004010100030101000201010007010100
+0001020002010100010101000101010000010100000101000001010002010100040101000401010
+001010100a6010112060101110112060101111301010000010000000100000001
+0000000102000401020008010200050102000201020001010200000102000101020001010200040
+10300010100002f01010005010100030101000101010001010100010101000301
+0000030101000501010002010100010101000101010001010100020101000301010004010100030
+10100010101000201010000010100030100000601010000010100000101000101
+0100010101000401010003010100020101000201010001010100070101000101010001010100020
+10000020101000201010008010100050101000101010004010100030101000301
+0000060101000201010001010100030101000001010000010100000101000001010002010100040
+101000401010001010100a6010112060101110112060101111301020000010000
+0001000000010000000101000401020008010200050102000201070000010200010102000101020
+00501040030010100050101000301010001010100010101000201020006010100
+0501010006010100010101000101010008010100040101000301010001010100060102000901010
+00001010000010100010101000101010004010100030101000701010001010100
+0701010001010000030101000401010002010100090101000501010001010100040101000401020
+00901010002010100010101000301010000010100000101000001010003010300
+040101000401010001010100a601011206010111011206010111130101000001000000010000000
+10000000102000401020001010100040102000501020002010200050102000101
+02000101020004010000010103002f0101000301000000010100030101000101010001010100040
+10200040101000501010006010100010101000101010008010100040101000301
+0100010101000801020007010100000101000001010001010100010101000401010003010100070
+1010001010100060101000201000004010200020104000b010100050101000101
+0100040101000601020007010100020101000101010003010100000101000001010000010100010
+1010001010100040101000401010001010100a601011206010111011206010111
+1301020000010000000100000001000000010100040102000101010004010200050102000201030
+0010101000001020001010200010102000001010001010200000102002f010100
+0301000000010100030101000101010001010100010100000301010003010100050101000601010
+00101010001010100030100000301010004010100030101000101010005010000
+0301010007010100000102000201010001010100040101000301010003010000020101000101010
+006010100010101000201000002010100010101000e0101000501010001010100
+0401010003010000030101000601010002010100010101000301010000010100000101000001010
+00001010002010100040101000401010001010100a60101120601011101120601
+011113010b0004010600020106000101060001010a0000010300010105000101060030010100010
+10100010101000101010002010100010101000101010002010100030101000101
+0000020101000601010000010200020101000101010003010100010100000201010001010100020
+10100050101000201010007010100010101000201010001010100040101000401
+0100010101000201010001010100060101000001020000010200010102000201010002010000090
+10100010100000201010001010100040101000301010002010100070101000001
+0200020101000101010001010100000101000001010000010100010102000401010004010100010
+10100a60101120601011101120601011113010b00050104000301060001010600
+0201040000010300000103000201030002010000000103003201030003010300020102000001030
+00001000000010300050102000201040005010200000101000201030005010200
+0401030002010400030100000001030008010000030100000101020000010300010105000301030
+00201020000010300060101000101010001010300050103000b01020002010200
+0001030001010500010100000001030009010200000101000201030002010100000101000001010
+00101020001010100010105000101020000010300a50101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111240106001e01040016010000ff01ef0101120601011101120601011113010b00040107001c0
+10600140101002b010200000100001e0100002201000044010200070102001401
+000004010200170102001f010000cd0101120601011101120601011113010b00050102000001020
+01c01020000010200140101002a010100000102001e0100002201000045010100
+080101001401000005010100180101001e010200cc0101120601011101120601011113010100000
+1000000010000000100000001020005010200000102001c010200170102002901
+0100020101001d0101002101010045010100080101001301010005010100180101001f010000cd0
+10112060101110112060101111301020000010000000100000001000000010100
+0501020000010200020103000101030000010200030103000201050003010400040102000001010
+00001060003010300020102000101010002010300000100000b01010003010000
+1d010100210101004401010008010100140101000501010018010100ee010112060101110112060
+10111130101000001000000010000000100000001020005010500020105000001
+080001010500010105000201060002010600000106000201050001010700000106000b010100030
+10000020103000201010000010200030103000001000001010600010101000001
+0300010102000001020003010300020106000301030002010100000103000201030000010000060
+10100030100000301030004010300040101000001010008010100000101000201
+0000040100000501060002010400040103000901040003010300020100000001010000010100020
+10400030103000301010000010200c20101120601011101120601011113010200
+0001000000010000000100000001010005010500010102000101020000010300000102000001020
+00101020001010200040101000101020001010300000102000101020004010200
+010102000101060000010200000102000b010100060101000101010002010100010101000101010
+00201010003010100050102000101010001010100010101000201010001010100
+0301010005010100010101000201020001010100000101000201010005010000000101000101010
+00101020001010100010102000101010002010000010102000801020000010100
+0001020002010100070101000501020000010100020101000101010007010100000102000201010
+00101010001010100000101000001010000010100020101000401010004010100
+01010100c1010112060101110112060101111301010000010000000100000001000000010200050
+10200000102000001020001010200000102000101020000010200010102000101
+0200070103000101020002010100010102000401020001010200010103000001010000010300010
+100000b0101000501010003010100010101000101010001010100030100000301
+0100050101000201010001010100010101000101010002010100030101000401010003010100010
+10100020101000001010003010000070101000101010001010100020100000201
+0100020101000101010001010100080102000101010002010100010100000801010005010100010
+10100010101000201010006010100020101000101010003010100000101000001
+0100000101000001010002010100040101000401010001010100c10101120601011101120601011
+11301020000010000000100000001000000010100050102000001020000010700
+0001020001010200000107000101020005010500010102000601020004010200010102000101020
+0050104000c010100050101000301010001010100010101000201020006010100
+0501010006010100010101000101010008010100040101000301010001010100060102000a01010
+00101000003010100040101000201010002010100010101000801010002010100
+0301000001010000080101000501010001010100010106000601010002010100010101000301010
+000010100000101000001010003010300040101000401010001010100c1010112
+0601011101120601011113010100000100000001000000010000000102000501020000010200000
+10200050102000101020000010200060102000401020000010200010102000601
+020004010200010102000101020004010000010103000b010100030100000001010003010100010
+10100010101000401020004010100050101000601010001010100010101000801
+0100040101000301010001010100080102000701010002010000040102000201040003010100020
+10100080101000101010004010000000100000901010005010100010101000101
+01000b0101000201010001010100030101000001010000010100000101000101010001010100040
+101000401010001010100c1010112060101110112060101111301020000010000
+0001000000010000000101000501020000010200000103000101010000010200010102000001030
+00101010001010200040102000001020001010300010101000101020000010100
+01010200010102000101020004010200000102000b0101000301000000010100030101000101010
+00101010001010000030101000301010005010100060101000101010001010100
+0301000003010100040101000301010001010100050100000301010006010100010101000201000
+00201010001010100060101000101010008010100020101000401020009010100
+0501010001010100010101000b01010002010100010101000301010000010100000101000001010
+00001010002010100040101000401010001010100c10101120601011101120601
+011113010b000401070001010a00000103000101060000010400030107000101060001010500020
+1050001010400030106000c010100010101000101010001010100020101000101
+0100010101000201010003010100010100000201010006010100000102000201010001010100030
+10100010100000201010001010100020101000501010002010100060101000001
+0200000102000101020002010100020100000101010000010200000100000601010001010100050
+101000a0101000101000002010100010101000201010002010000070101000001
+0200020101000101010001010100000101000001010000010100010102000401010004010100010
+10100c10101120601011101120601011113010b00040106000301040000010300
+0001030002010400010104000401020000010200020104000301030004010300020104000301000
+0000103000e010300030103000201020000010300000100000001030005010200
+0201040005010200000101000201030005010200040103000201040003010000000103000801010
+0010101000101030005010300030102000001010008010200070100000c010200
+0201020000010300020103000901020000010100020103000201010000010100000101000101020
+001010100010105000101020000010300c001011206010111011206010111ff01
+35010100ff011f01011206010111011206010111ff0133010200ff0120010112060101110112060
+10111ff0133010100ff012101011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff01570101120601011100120911ff01ff015701011208110912001
+1ff01ff01570109120011011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff12ff12591206010111011206010011ff12ff1
+25a120601011101121e0100110012ff01ff012701001100121e01011101121e01
+00110012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011
+101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01
+ff012701001100121e01011101121e0100110012ff01ff012701001100121e01011101121e01001
+10012ff01ff012701001100121e01011101121f110012ff11ff112811001220110012
+ff11ff116c11
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-opsearch.ps b/books/ps/h-opsearch.ps
new file mode 100644
index 0000000..5d7a138
--- /dev/null
+++ b/books/ps/h-opsearch.ps
@@ -0,0 +1,852 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 320.120003 469.000000 502.120003
+%%Creator: xwd2ps
+%%CreationDate: Fri Sep 27 17:55:20 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 -h2.5
+% by matthew.watson.ibm.com:jenks ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 4.460000 inch translate
+matrix currentmatrix
+4.5 inch 2.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+0000ff
+ff00ff
+00ff00
+ffff00
+00ffff
+ff0000
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+d8d8bf
+5f9f9f
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+2f2f4f
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+bc8f8f
+d0a070
+adeaea
+cc3232
+23238e
+00ff7f
+70db93
+8e6b23
+23238e
+00ff7f
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+000000
+ffffff
+0000ff
+00ff00
+ff0000
+00ffff
+ff00ff
+a52a2a
+cc3232
+c0c0c0
+bc8f8f
+bfd8d8
+ffff00
+70db93
+8e6b23
+000000
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+00ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff59ff596d592059005aff59ff592859005a2059005a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a
+0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff58
+2758005a00591e58015a01591e58005a0059ff58ff582758005a00591e58015a01590658185a0059ff5aff5a285a0059175a0658015a01590658005aff59ff595a590658015a0159
+0658005a00591558005a0059ff58ff580f58005a00591558005a00591558005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a00591558005a
+00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a00591558005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558
+005a005902580f590258005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a0059025800590d58005a0258005a00590658015a01590658005a
+00591558005a0059ff58ff580f58005a00591558005a0059025800590d58005a0258005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a0059
+025800590d58005a0258005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a0059025800590d58005a0258005a00590658015a01590658005a
+00591558005a0059ff58ff580f58005a00591558005a0059025800590d58005a0258005a00590658015a01590658005a005902580f590258005a0059ff58ff580f58005a00590858
+03590858005a0059025800590d58005a0258005a00590658015a01590658005a0059025800590d58005a0258005a0059ff58ff580f58005a0059085800590158005a0858005a0059
+025800590d58005a0258005a00590658015a01590658005a0059025800590d58005a0258005a0059ff58ff580f58005a0059085800590158005a0858005a0059025800590d58005a
+0258005a00590658015a01590658005a0059025800590e5a0258005a0059ff58ff580f58005a005908580059025a0858005a0059025800590d58005a0258005a00590658015a0159
+0658005a00591558005a0059ff58ff580f58005a00591558005a0059025800590d58005a0258005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558
+005a0059025800590d58005a0258005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a0059025800590d58005a0258005a00590658015a0159
+0658005a00591558005a0059ff58ff580f58005a00591558005a0059025800590d58005a0258005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558
+005a0059025800590d58005a0258005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a0059025800590e5a0258005a00590658015a01590658
+005a00591558005a0059ff58ff580f58005a00591558005a00591558005a00590658015a01590658005a00591558005a0059ff58ff580f58005a00591558005a00591558005a0059
+0658015a01590658005a0059165a0059ff5aff5a105a0059165a0059165a00590658015a0059ff5aff5a625a0059085a0959005a7b00ff015f017b000959005a01590658015a7b00
+ff015f017b0001590658015a01590658015a7b00ff015f017b0001590658015a01590658015a7b00ff015f017b0001590658015a01590658015a0500090103000101070001010300
+010103000b014500ff015f01060001010500010104000601040001010600010103000801410001590658015a01590658015a05000a0102000201060002010200020102000c014400
+ff015f01060002010400020102000801030002010500020102000901400001590658015a01590658015a05000a0103000201040002010300020103000b014400ff015f0106000201
+0400020102000901020003010300030102000901400001590658015a01590658015a050002010b0002010400020103000201070002014900ff015f01060002010400020102000201
+03000201020003010300030102000201470001590658015a01590658015a050002010c000201020002010400020107000201490052010000ff010b01060002010400020102000201
+03000201020003010300030102000201470001590658015a01590658015a050002010c0002010200020104000201070002014900470100000701010007010100020102002c010300
+1901040003010500080103002901000007010000610106000201040002010200020103000201020004010100040102000201280000011d0001590658015a01590658015a05000201
+0d0002010000020105000201070002014900460101000601010009010100020100002c01010001010100170101000101020002010400080101000101010028010000060102006001
+06000201040002010200020103000201020004010100040102000201260004011b0001590658015a01590658015a050002010d000201000002010500020107000201490045010200
+050101000a010100020100002c010100010101001701010002010100020100000b01010003010100260101000701000061010600020104000201020002010300020102000b010200
+020124000801190001590658015a01590658015a050002010e0004010600020107000201490044010300040101000b010200010100002c0101001b01000003010100020100000b01
+010003010100260101006a01060002010400020102000201030002010200020100000301000002010200020122000c01170001590658015a01590658015a05000801080004010600
+020107000201490046010100040101000b0102000101000002010400020100000001010000010100030103000301030000010000080101000601030002010100000103000b010100
+020100000001020007010100030101000001010000010200040103000201010000010300020104000201060002010300050103000201010000010200030103000001000043010600
+0a010200020103000201020002010000030100000201020007011b001001150001590658015a01590658015a05000901080002010700020107000201490046010100030101000c01
+0000000101000001000001010100020101000101010000010100000101000101010001010100010101000201010007010400030101000101010002010200010101000a0101000201
+010001010100060101000301010001010200000101000201010001010100020102000101010000010100020101000301010007010100040101000101010002010100010101000101
+010002010100430106000a0102000201030002010200020101000101010002010200080118001401130001590658015a01590658015a050009010800020107000201070002014900
+460101000301010000010200080100000001010000010000010101000201010001010100000101000001010000010100020101000101010003010000080101000401010003010100
+010101000201010009010100030100000301010005010100030101000101010002010100000101000201010002010100020101000001010002010100030101000701010003010100
+0301010001010100010101000101010003010000430106000a0102000201030002010200020101000101010002010200080116001801110001590658015a01590658015a05000201
+0e0004010600020107000201490046010100030102000101010007010000010102000401030001010100000101000001010000010600020102000b01010004010100030101000101
+01000d010100090101000501010003010100010101000201010000010600020101000801030003010100070101000301010003010100010101000101010002010200460106000201
+04000201020002010300020102000201050002010200020121000e01160001590658015a01590658015a050002010e00040106000201070002014900460101000301010003010100
+060100000101020002010100010101000101010000010100000101000001010009010200090101000401010003010100010101000c0101000a010100050101000301010001010100
+020101000001010007010100060101000101010003010100070101000301010003010100010101000101010004010200440106000201040002010200020103000201020002010500
+02010200020121000e01160001590658015a01590658015a050002010d00020100000201050002010700020149004601010003010100030101000601000002010100010101000201
+0100010101000001010000010100000101000601000003010100080101000401010003010100010101000b0101000b01010005010100030101000101010002010100000101000701
+010005010100020101000301010007010100030101000301010001010100010101000101000003010100430106000201040002010200020103000201020002010500020102000201
+21000e01160001590658015a01590658015a050002010d00020100000201050002010700020149004601010003010100030101000601000002010100010101000101020001010100
+000101000001010001010100020100000101010002010100080101000501010001010100020101000a01010003010000010100000301010007010100010101000201010001010100
+020101000201000002010100050101000101020003010100010100000401010004010100010101000201010001010100010101000201010043010600020104000201020002010300
+020102000201050002010200020121000e01160001590658015a01590658015a050002010c0002010200020104000201070002014900450104000201010001010100060102000201
+000002010200010101000001010000010100000101000201030002010000000103000801030005010300020104000801060001010100010101000901030003010400040103000201
+040004010200010101000301020003010500030103000201020000010300000100000001030044010600020104000201020002010300020102000201050002010200020121000e01
+160001590658015a01590658015a050002010c000201020002010400020107000201490044010500030103005901050003010300120101008f010600020104000201020002010300
+0201020002010500020102000201470001590658015a01590658015a050002010b0002010400020103000201070002014900cd0101008f0106000201040002010200020103000201
+020002010500020102000201470001590658015a01590658015a05000901040002010400020103000201070002014900cc0103008e01060002010400020102000901020002010500
+020102000801410001590658015a01590658015a05000a01020002010600020102000201070002014900ff015f010600020104000201030008010200020105000201020009014000
+01590658015a01590658015a06000901030001010700010103000101080001014900ff015f01070001010500010104000601040001010600010103000801400001590658015a0159
+0658015a7b00ff015f017b0001590658015a01590658015a7b00ff015f017b0001590658015a01590658015a7b00ff015f017b0001590658015a01590658015a7b00ff015f017b00
+01590658015a01590658015a3b0101003b01ff0063003b0101002401160001590658015a01590658015aff00ff00570001590658015a01590658015aff00ff00570001590658015a
+01590658015aff01ff014001160001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001
+0b000001090001590658015a01590658015aff01ff0140010a000201080001590658015a01590658015aff01ff01400109000401070001590658015a01590658015aff01ff014001
+08000601060001590658015a01590658015aff01ff01400107000801050001590658015a01590658015aff01ff01400106000a01040001590658015a01590658015aff01ff014001
+05000c01030001590658015a01590658015aff01ff01400104000e01020001590658015a01590658015aff01ff01400103001001010001590658015a01590658015aff01ff014001
+02001201000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001160001590658015a
+01590658015aff01ff014001160001590658015a01590658015a3b0100000e01030000010100270101000c010100030101000c01000010010100ff018d01160001590658015a0159
+0658015a3a0101000d010700260103000b010100030101000b0101000f010300ff018c01160001590658015a01590658015a3a0101000d01020000010300270101000c0102000101
+02000b01010010010100ff018d01160001590658015a01590658015a390102000d0102000101020036010200010102000a010200ff01a001160001590658015a01590658015a1601
+020000010100000102000101010003010300030104000201060003010300020102000201010002010300010103000001020003010300020102000101010002010400040102000001
+01000001070001010400020106000101020001010100020104000201030000010200ff018101160001590658015a01590658015a1501060000010700010105000101060001010600
+020105000101020006010500000108000101050001010700010104000301060000010700000106000101060001010700010104000201020001010200ff0181010200000101000001
+0100000101000001010000010100000101000001000001590658015a01590658015a1401030000010200010106000001020001010200000101000101020002010200040102000101
+020000010200050102000101020000010300000102000001020001010200010106000301020002010300000102000001070000010100010102000201020005010600030102000301
+020000010100ff018201160001590658015a01590658015a140102000201010001010300000101000001020001010200030103000201020004010200010102000001020000010300
+000102000101020000010200010102000001020001010200010103000001010003010200020102000201010000010100000101000001010003010300020102000501030000010100
+0301020004010300ff0183010300000101000001010000010100000101000001010000010100000101590658015a01590658015a1401020006010200040107000101050002010200
+040107000001020000010300000107000001020001010200000107000101020007010200020102000501010000010100000101000101050002010200050102000701020004010300
+ff01830102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a1401020006010200040102000501020000010200020102000401
+020005010200010102000001020005010200010102000001020006010200070102000201020005010100000101000001010000010200000102000201020005010200070102000401
+0300ff018301160001590658015a01590658015a14010300010101000101020004010300010101000001020000010200020102000001010001010300010101000001020000010300
+000103000101010000010200010102000001030001010100010102000701020002010300010101000001010003010100000102000001020002010200000101000201020007010200
+0301010000010200ff0182010300000101000001010000010100000101000001010000010100000101590658015a01590658015a1501060000010400040106000001070001010500
+020106000001070001010a0000010300010106000001040004010600010106000001020001010200000107000101050001010400040106000001020001010200ff01810102000001
+010000010100000101000001010000010100000101000001000001590658015a01590658015a16010400010104000501040002010200000102000201030004010400020103000001
+010002010400000103000001030002010400010104000401060002010400010102000101020001010200000102000201030002010400040106000001020000010300ff0181011600
+01590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200000101000001
+0100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001030000010100000101000001
+0100000101000001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a0159
+0658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01
+ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001
+0300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200000101000001010000010100000101000001010000010100
+0001000001590658015a01590658015aff01ff014001160001590658015a01590658015a18010300030101003101040002010100030101000c01000010010100ff01ba0103000001
+01000001010000010100000101000001010000010100000101590658015a01590658015a18010300020103003001040002010100030101000b0101000f010300ff01b90102000001
+010000010100000101000001010000010100000101000001000001590658015a01590658015a19010200030101003301020002010200010102000b01010010010100ff01ba011600
+01590658015a01590658015a190102003901020002010200010102000a010200ff01cd010300000101000001010000010100000101000001010000010100000101590658015a0159
+0658015a1601050001010400030104000301040000010000020103000101030000010200020104000501020002010700010104000201060001010200010101000201040002010300
+00010200ff01ae0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a15010600010104000201060001010700010105000001
+0800000106000401020002010700000106000101060001010700010104000201020001010200ff01ae01160001590658015a01590658015a14010200000103000301020002010100
+010102000101020000010300000102000101020000010300000102000001010001010200040102000201070000010100010102000201020005010600030102000301020000010100
+ff01af010300000101000001010000010100000101000001010000010100000101590658015a01590658015a14010200010102000301020005010300010102000001020001010200
+0101020000010200010102000301030004010200020101000001010000010100030103000201020005010300000101000301020004010300ff01b001020000010100000101000001
+01000001010000010100000101000001000001590658015a01590658015a140102000101020003010200030105000101020000010200010102000101020000010200010102000101
+0500040102000201010000010100000101000101050002010200050102000701020004010300ff01b001160001590658015a01590658015a14010200010102000301020002010200
+000102000201040002010200010102000001020001010200000102000001020004010200020101000001010000010100000102000001020002010200050102000701020004010300
+ff01b0010300000101000001010000010100000101000001010000010100000101590658015a01590658015a14010200010102000301020002010200000102000101030004010200
+01010200000102000101020000010200000102000401020002010100030101000001020000010200020102000001010002010200070102000301010000010200ff01af0102000001
+010000010100000101000001010000010100000101000001000001590658015a01590658015a15010600010106000001070000010600020105000001030000010300000107000101
+06000001020001010200000107000101050001010400040106000001020001010200ff01ae01160001590658015a01590658015a1601020000010100010106000101020000010200
+01010600020103000101030000010300010102000001020001010600000102000101020001010200000102000201030002010400040106000001020000010300ff01ae0103000001
+01000001010000010100000101000001010000010100000101590658015a01590658015a2f01020001010200ff01ff01080102000001010000010100000101000001010000010100
+000101000001000001590658015a01590658015a2f010700ff01ff010801160001590658015a01590658015a30010500ff01ff010901030000010100000101000001010000010100
+0001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01
+ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001030000010100
+0001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200000101000001010000010100000101000001010000010100000100000159
+0658015a01590658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a0159
+0658015a200101001e010100030101000c01000010010100ff01d50102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a1f01
+03001d010100030101000b0101000f010300ff01d401160001590658015a01590658015a200101001e010200010102000b01010010010100ff01d501030000010100000101000001
+0100000101000001010000010100000101590658015a01590658015a41010200010102000a010200ff01e80102000001010000010100000101000001010000010100000101000001
+000001590658015a01590658015a16010300030104000301040000010000020103000101030000010200010107000101040002010600010102000101010002010400020103000001
+0200ff01c901160001590658015a01590658015a150105000201040002010700010105000001080000010700000106000101060001010700010104000201020001010200ff01c901
+0300000101000001010000010100000101000001010000010100000101590658015a01590658015a1401020001010200030102000201020000010300000102000101020000010300
+000102000001070000010100010102000201020005010600030102000301020000010100ff01ca010200000101000001010000010100000101000001010000010100000100000159
+0658015a01590658015a1401020001010200030102000201020000010200010102000101020000010200010102000001010000010100000101000301030002010200050103000001
+01000301020004010300ff01cb01160001590658015a01590658015a1401070003010200020102000001020001010700000102000101020000010100000101000001010001010500
+02010200050102000701020004010300ff01cb010300000101000001010000010100000101000001010000010100000101590658015a01590658015a140102000801020003010400
+020102000501020001010200000101000001010000010100000102000001020002010200050102000701020004010300ff01cb010200000101000001010000010100000101000001
+0100000101000001000001590658015a01590658015a1401030001010100030102000201030004010300010101000001020001010200000101000301010000010200000102000201
+02000001010002010200070102000301010000010200ff01ca01160001590658015a01590658015a15010600010106000001060002010a0000010300000102000101020000010700
+0101050001010400040106000001020001010200ff01c9010300000101000001010000010100000101000001010000010100000101590658015a01590658015a1601040002010600
+01010600020104000001030000010300000102000101020001010200000102000201030002010400040106000001020000010300ff01c90102000001010000010100000101000001
+010000010100000101000001000001590658015a01590658015a2601020001010200ff01ff011101160001590658015a01590658015a26010700ff01ff0111010300000101000001
+010000010100000101000001010000010100000101590658015a01590658015a27010500ff01ff011201020000010100000101000001010000010100000101000001010000010000
+01590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a
+01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658
+015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff014001020000010100000101000001010000010100
+00010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff01400103000001010000010100000101000001010000010100
+00010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a290100000401
+0100030101000a01040005010000070101000d01040005010100180100000701010015010100030101000c01000010010100ff016901160001590658015a01590658015a28010100
+04010100030101000a01040004010100060103000c01040004010300160101000601030014010100030101000b0101000f010300ff01680103000001010000010100000101000001
+01000001010000010100000101590658015a01590658015a2801010004010200010102000c01020004010100070101000f0102000501010017010100070101001501020001010200
+0b01010010010100ff01690102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a2701020004010200010102000c0102000301
+0200190102001e0102001f010200010102000a010200ff017c01160001590658015a01590658015a1501040000010000020103000201060001010700000102000001030003010200
+020106000201040002010100000103000401020003010400040102000001010001010400020106000201040004010300010103000001020001010700010104000201060001010200
+01010100020104000201030000010200ff015d010300000101000001010000010100000101000001010000010100000101590658015a01590658015a140107000101050001010600
+010107000001020000010300030102000201060002010400020107000301020003010400030106000001060001010600020104000301050000010800000107000001060001010600
+01010700010104000201020001010200ff015d0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a14010200000103000001
+020001010200010102000401070000010200010102000301020003010200070102000201030000010200030102000501020002010300000102000001010001010200020102000701
+0200020102000101020000010300000102000001070000010100010102000201020005010600030102000301020000010100ff015e01160001590658015a01590658015a14010200
+000102000101020001010200010102000401010000010100000101000001020001010200030102000301020007010200020102000101020003010200050102000201020002010100
+03010300020102000701020002010200010102000001020001010200000101000001010000010100030103000201020005010300000101000301020004010300ff015f0103000001
+01000001010000010100000101000001010000010100000101590658015a01590658015a140102000001020001010700010102000401010000010100000101000001020001010200
+030102000301020007010200020102000101020003010200050102000201020006010500020102000701020002010200010102000001020001010200000101000001010000010100
+0101050002010200050102000701020004010300ff015f0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a150104000201
+020006010200040101000001010000010100000102000101020003010200030102000701020002010200010102000301020005010200020102000501020000010200020102000701
+020002010200010102000001020001010200000101000001010000010100000102000001020002010200050102000701020004010300ff015f01160001590658015a01590658015a
+140103000401030001010100010102000001010001010100030101000001020000010300030102000301020000010100040102000201020000010300030102000501020002010300
+010101000001020000010200020102000001010004010200020102000101020000010200010102000001010003010100000102000001020002010200000101000201020007010200
+0301010000010200ff015e010300000101000001010000010100000101000001010000010100000101590658015a01590658015a1401060002010600010105000101020001010200
+000107000101060001010500020106000001060002010600010106000101060000010700010105000201060001010500000103000001030000010200010102000001070001010500
+01010400040106000001020001010200ff015d0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a15010600020104000301
+030002010200010102000101030000010100010106000201030003010600000105000301060001010600020104000201020000010200020103000301060002010300010103000001
+0300000102000101020001010200000102000201030002010400040106000001020000010300ff015d01160001590658015a01590658015a14010200010102003f010200ff01e001
+0300000101000001010000010100000101000001010000010100000101590658015a01590658015a140107003f010200ff01e0010200000101000001010000010100000101000001
+0100000101000001000001590658015a01590658015a150105003f010400ff01df01160001590658015a01590658015aff01ff014001030000010100000101000001010000010100
+0001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01
+ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001030000010100
+0001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200000101000001010000010100000101000001010000010100000100000159
+0658015a01590658015aff01ff014001160001590658015a01590658015a170101000f010000290104000201060016010100180100000701010015010100030101000c0100001001
+0100ff0160010300000101000001010000010100000101000001010000010100000101590658015a01590658015a160103000d010100290104000201070014010300160101000601
+030014010100030101000b0101000f010300ff015f0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a170101000e010100
+2b010200030102000001020015010100170101000701010015010200010102000b01010010010100ff016001160001590658015a01590658015a270102002b010200030102000001
+02002e0102001f010200010102000a010200ff0173010300000101000001010000010100000101000001010000010100000101590658015a01590658015a15010400010103000001
+020001010600030103000301040000010000000102000101010002010400050102000301020000010200020103000201020001010100020104000201020001010200010104000201
+0600020104000401030001010300000102000101070001010400020106000101020001010100020104000201030000010200ff015401020000010100000101000001010000010100
+00010100000101000001000001590658015a01590658015a150104000101080000010600020105000101070000010700000106000401020003010200000102000101050001010700
+010104000201020001010200000106000101060002010400030105000001080000010700000106000101060001010700010104000201020001010200ff015401160001590658015a
+01590658015a170102000201030000010200010102000401020001010200000102000001030001010600000101000101020004010200030102000001020000010200010102000101
+060003010200020102000101020000010100010102000201020007010200020102000101020000010300000102000001070000010100010102000201020005010600030102000301
+020000010100ff0155010300000101000001010000010100000101000001010000010100000101590658015a01590658015a17010200020102000101020001010200040102000101
+020000010200000102000201030000010100030103000401020003010200000102000001020001010200010103000001010003010200030102000001010004010300020102000701
+020002010200010102000001020001010200000101000001010000010100030103000201020005010300000101000301020004010300ff0156010200000101000001010000010100
+0001010000010100000101000001000001590658015a01590658015a1701020002010200010102000101020004010700000102000001020002010200050105000401020003010200
+000102000001070001010200070102000301020000010100020105000201020007010200020102000101020000010200010102000001010000010100000101000101050002010200
+050102000701020004010300ff015601160001590658015a01590658015a170102000201020001010200010102000401020006010400030102000401020000010200040102000301
+020000010200000102000601020007010200030104000201020000010200020102000701020002010200010102000001020001010200000101000001010000010100000102000001
+020002010200050102000701020004010300ff0156010300000101000001010000010100000101000001010000010100000101590658015a01590658015a17010200020102000101
+020001010200000101000101030001010100000103000501020004010200000102000401020003010200000102000001030001010100010102000701020004010300020102000001
+02000201020000010100040102000201020001010200000102000101020000010100030101000001020000010200020102000001010002010200070102000301010000010200ff01
+550102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a15010a00000103000101050002010600000106000101040003010700
+010106000001070001010600000104000401060002010200030107000101050002010600010105000001030000010300000102000101020000010700010105000101040004010600
+0001020001010200ff015401160001590658015a01590658015a15010a00000103000201030004010400020106000001040004010200000102000101060000010600030104000101
+040004010600020102000401020000010200020103000301060002010300010103000001030000010200010102000101020000010200020103000201040004010600000102000001
+0300ff0154010300000101000001010000010100000101000001010000010100000101590658015a01590658015a3801020001010200ff01ff010200000101000001010000010100
+0001010000010100000101000001000001590658015a01590658015a38010700ff01ff01160001590658015a01590658015a39010500ff01ff010001030000010100000101000001
+0100000101000001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a0159
+0658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01
+ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001
+0300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200000101000001010000010100000101000001010000010100
+0001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001030000010100000101000001010000010100000101000001010000010159
+0658015a01590658015a170101000f0100002901040002010100030101000c01000010010100ff01ba01020000010100000101000001010000010100000101000001010000010000
+01590658015a01590658015a160103000d0101002901040002010100030101000b0101000f010300ff01b901160001590658015a01590658015a170101000e0101002b0102000201
+0200010102000b01010010010100ff01ba010300000101000001010000010100000101000001010000010100000101590658015a01590658015a270102002b010200020102000101
+02000a010200ff01cd0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a1501040001010300000102000101060003010300
+0301040000010000000102000101010002010400050102000201070001010400020106000101020001010100020104000201030000010200ff01ae01160001590658015a01590658
+015a150104000101080000010600020105000101070000010700000106000401020002010700000106000101060001010700010104000201020001010200ff01ae01030000010100
+0001010000010100000101000001010000010100000101590658015a01590658015a1701020002010300000102000101020004010200010102000001020000010300010106000001
+010001010200040102000201070000010100010102000201020005010600030102000301020000010100ff01af010200000101000001010000010100000101000001010000010100
+0001000001590658015a01590658015a1701020002010200010102000101020004010200010102000001020000010200020103000001010003010300040102000201010000010100
+00010100030103000201020005010300000101000301020004010300ff01b001160001590658015a01590658015a1701020002010200010102000101020004010700000102000001
+02000201020005010500040102000201010000010100000101000101050002010200050102000701020004010300ff01b00103000001010000010100000101000001010000010100
+00010100000101590658015a01590658015a170102000201020001010200010102000401020006010400030102000401020000010200040102000201010000010100000101000001
+02000001020002010200050102000701020004010300ff01b00102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a17010200
+020102000101020001010200000101000101030001010100000103000501020004010200000102000401020002010100030101000001020000010200020102000001010002010200
+070102000301010000010200ff01af01160001590658015a01590658015a15010a000001030001010500020106000001060001010400030107000101060000010200010102000001
+07000101050001010400040106000001020001010200ff01ae010300000101000001010000010100000101000001010000010100000101590658015a01590658015a15010a000001
+030002010300040104000201060000010400040102000001020001010600000102000101020001010200000102000201030002010400040106000001020000010300ff01ae010200
+0001010000010100000101000001010000010100000101000001000001590658015a01590658015a3801020001010200ff01ff01160001590658015a01590658015a38010700ff01
+ff010300000101000001010000010100000101000001010000010100000101590658015a01590658015a39010500ff01ff0100010200000101000001010000010100000101000001
+0100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001030000010100000101000001010000010100000101000001
+0100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff0140011600
+01590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200000101000001
+0100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001030000010100000101000001
+0100000101000001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a0159
+0658015a170101000f0100002901040002010100030101000c010000100101000d01030006010000040106000c010400040101000f01010006010000ff016101160001590658015a
+01590658015a160103000d0101002901040002010100030101000b0101000f0103000c01030005010100040106000b010600020103000d01030004010100ff016101030000010100
+0001010000010100000101000001010000010100000101590658015a01590658015a170101000e0101002b01020002010200010102000b010100100101000e010200050101000601
+02000d01020000010200030101000f01010005010100ff01610102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a27010200
+2b01020002010200010102000a0102002001040003010200060102000d01020020010200ff016101160001590658015a01590658015a150104000101030000010200010106000301
+030003010400000100000001020001010100020104000501020002010700010104000201060001010200010101000201040002010300000102000101040002010600030102000201
+0300000102000101050003010400010103000001020002010400020106000101030000010200ff015401030000010100000101000001010000010100000101000001010000010159
+0658015a01590658015a1501040001010800000106000201050001010700000107000001060004010200020107000001060001010600010107000101040002010200010102000101
+01000001010002010600030102000201080000010500030104000101080001010400020106000101030000010200ff01540102000001010000010100000101000001010000010100
+000101000001000001590658015a01590658015a17010200020103000001020001010200040102000101020000010200000103000101060000010100010102000401020002010700
+000101000101020002010200050106000301020003010200000101000201010000010200020102000601020003010300000102000101020007010200020103000001020003010200
+030102000401020001010200ff015401160001590658015a01590658015a170102000201020001010200010102000401020001010200000102000001020002010300000101000301
+030004010200020101000001010000010100030103000201020005010300000101000301020004010300030101000101010002010200060102000301020001010200010102000701
+0200020102000101020003010200030102000501020000010100ff0155010300000101000001010000010100000101000001010000010100000101590658015a01590658015a1701
+020002010200010102000101020004010700000102000001020002010200050105000401020002010100000101000001010001010500020102000501020007010200040103000201
+06000201020006010200030102000101020001010200070102000201020001010200030102000301020005010500ff01550102000001010000010100000101000001010000010100
+000101000001000001590658015a01590658015a17010200020102000101020001010200040102000601040003010200040102000001020004010200020101000001010000010100
+000102000001020002010200050102000701020004010300020107000101020006010200030102000101020001010200070102000201020001010200030102000301020006010300
+ff015601160001590658015a01590658015a170102000201020001010200010102000001010001010300010101000001030005010200040102000001020004010200020101000301
+010000010200000102000201020000010100020102000701020003010100000102000101010002010200010102000001010003010200030102000101020001010200070102000201
+02000101020003010200030102000001010003010300ff0156010300000101000001010000010100000101000001010000010100000101590658015a01590658015a15010a000001
+030001010500020106000001060001010400030107000101060000010200010102000001070001010500010104000401060000010200010106000001030001010500010106000001
+0300000103000001040004010a0000010300010106000101050004010100ff01570102000001010000010100000101000001010000010100000101000001000001590658015a0159
+0658015a15010a0000010300020103000401040002010600000104000401020000010200010106000001020001010200010102000001020002010300020104000401060000010200
+0001070000010300020103000201060000010300000103000001040004010a0000010300010106000201030004010200ff015701160001590658015a01590658015a380102000101
+0200a3010200ff0158010300000101000001010000010100000101000001010000010100000101590658015a01590658015a38010700a2010300ff01580102000001010000010100
+000101000001010000010100000101000001000001590658015a01590658015a39010500a3010200ff015901160001590658015a01590658015aff01ff0140010300000101000001
+010000010100000101000001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658
+015a01590658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658
+015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01
+ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100
+000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015a17010100390106000d0100002901040002010100030101000c01000010010100
+ff017b010300000101000001010000010100000101000001010000010100000101590658015a01590658015a16010300380106000c0101002901040002010100030101000b010100
+0f010300ff017a0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a170101003b0102000e0101002b010200020102000101
+02000b01010010010100ff017b01160001590658015a01590658015a550102000d0102002b01020002010200010102000a010200ff018e0103000001010000010100000101000001
+01000001010000010100000101590658015a01590658015a150104000101030000010200010102000101020002010300020102000101010002010300000100000301030004010200
+020103000001020001010600030103000301040000010000000102000101010002010400050102000201070001010400020106000101020001010100020104000201030000010200
+ff016f0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a1501040001010800000102000101020001010500010107000001
+060002010500030102000201080000010600020105000101070000010700000106000401020002010700000106000101060001010700010104000201020001010200ff016f011600
+01590658015a01590658015a170102000201030000010200000102000101020000010200010102000101060000010200000102000101020001010200020102000301030000010200
+0101020004010200010102000001020000010300010106000001010001010200040102000201070000010100010102000201020005010600030102000301020000010100ff017001
+0300000101000001010000010100000101000001010000010100000101590658015a01590658015a1701020002010200010102000101020000010100010102000101020001010300
+000101000001030001010000010102000101020002010200030102000101020001010200040102000101020000010200000102000201030000010100030103000401020002010100
+0001010000010100030103000201020005010300000101000301020004010300ff01710102000001010000010100000101000001010000010100000101000001000001590658015a
+01590658015a170102000201020001010200010102000001010001010700010102000501040002010700020102000301020001010200010102000401070000010200000102000201
+020005010500040102000201010000010100000101000101050002010200050102000701020004010300ff017101160001590658015a01590658015a170102000201020001010200
+010104000201020006010200040100000101030001010200070102000301020001010200010102000401020006010400030102000401020000010200040102000201010000010100
+00010100000102000001020002010200050102000701020004010300ff0171010300000101000001010000010100000101000001010000010100000101590658015a01590658015a
+170102000201020001010200020103000201030001010100010102000401020000010200010103000101010002010200030102000101020001010200000101000101030001010100
+000103000501020004010200000102000401020002010100030101000001020000010200020102000001010002010200070102000301010000010200ff0170010200000101000001
+0100000101000001010000010100000101000001000001590658015a01590658015a15010a0000010300020102000401060000010400030106000201060000010600000103000001
+03000101050002010600000106000101040003010700010106000001020001010200000107000101050001010400040106000001020001010200ff016f01160001590658015a0159
+0658015a15010a0000010300020102000501040001010400030100000001030004010400010106000001030000010300020103000401040002010600000104000401020000010200
+01010600000102000101020001010200000102000201030002010400040106000001020000010300ff016f0103000001010000010100000101000001010000010100000101000001
+01590658015a01590658015a7701020001010200ff01c00102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a77010700ff01
+c001160001590658015a01590658015a78010500ff01c1010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200
+0001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001030000010100
+0001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010200000101000001010000010100000101000001010000010100000100000159
+0658015a01590658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a0159
+0658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015a
+ff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015a17010100390106000d0100002901040002010100030101000c01
+0000100101000d01030006010000040106000c010400040101000f01010006010000ff01220102000001010000010100000101000001010000010100000101000001000001590658
+015a01590658015a16010300380106000c0101002901040002010100030101000b0101000f0103000c01030005010100040106000b010600020103000d01030004010100ff012201
+160001590658015a01590658015a170101003b0102000e0101002b01020002010200010102000b010100100101000e01020005010100060102000d01020000010200030101000f01
+010005010100ff0122010300000101000001010000010100000101000001010000010100000101590658015a01590658015a550102000d0102002b01020002010200010102000a01
+02002001040003010200060102000d01020020010200ff01220102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a15010400
+010103000001020001010200010102000201030002010200010101000201030000010000030103000401020002010300000102000101060003010300030104000001000000010200
+010101000201040005010200020107000101040002010600010102000101010002010400020103000001020001010400020106000301020002010300000102000101050003010400
+010103000001020002010400020106000101030000010200ff011501160001590658015a01590658015a150104000101080000010200010102000101050001010700000106000201
+050003010200020108000001060002010500010107000001070000010600040102000201070000010600010106000101070001010400020102000101020001010100000101000201
+0600030102000201080000010500030104000101080001010400020106000101030000010200ff011501030000010100000101000001010000010100000101000001010000010159
+0658015a01590658015a1701020002010300000102000001020001010200000102000101020001010600000102000001020001010200010102000201020003010300000102000101
+020004010200010102000001020000010300010106000001010001010200040102000201070000010100010102000201020005010600030102000301020000010100020101000001
+0200020102000601020003010300000102000101020007010200020103000001020003010200030102000401020001010200ff011501020000010100000101000001010000010100
+00010100000101000001000001590658015a01590658015a170102000201020001010200010102000001010001010200010102000101030000010100000103000101000001010200
+010102000201020003010200010102000101020004010200010102000001020000010200020103000001010003010300040102000201010000010100000101000301030002010200
+050103000001010003010200040103000301010001010100020102000601020003010200010102000101020007010200020102000101020003010200030102000501020000010100
+ff011601160001590658015a01590658015a170102000201020001010200010102000001010001010700010102000501040002010700020102000301020001010200010102000401
+070000010200000102000201020005010500040102000201010000010100000101000101050002010200050102000701020004010300020106000201020006010200030102000101
+020001010200070102000201020001010200030102000301020005010500ff0116010300000101000001010000010100000101000001010000010100000101590658015a01590658
+015a17010200020102000101020001010400020102000601020004010000010103000101020007010200030102000101020001010200040102000601040003010200040102000001
+020004010200020101000001010000010100000102000001020002010200050102000701020004010300020107000101020006010200030102000101020001010200070102000201
+020001010200030102000301020006010300ff01170102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a1701020002010200
+010102000201030002010300010101000101020004010200000102000101030001010100020102000301020001010200010102000001010001010300010101000001030005010200
+040102000001020004010200020101000301010000010200000102000201020000010100020102000701020003010100000102000101010002010200010102000001010003010200
+03010200010102000101020007010200020102000101020003010200030102000001010003010300ff011701160001590658015a01590658015a15010a0000010300020102000401
+060000010400030106000201060000010600000103000001030001010500020106000001060001010400030107000101060000010200010102000001070001010500010104000401
+0600000102000101060000010300010105000101060000010300000103000001040004010a0000010300010106000101050004010100ff0118010300000101000001010000010100
+000101000001010000010100000101590658015a01590658015a15010a00000103000201020005010400010104000301000000010300040104000101060000010300000103000201
+030004010400020106000001040004010200000102000101060000010200010102000101020000010200020103000201040004010600000102000001070000010300020103000201
+060000010300000103000001040004010a0000010300010106000201030004010200ff01180102000001010000010100000101000001010000010100000101000001000001590658
+015a01590658015a7701020001010200a3010200ff011901160001590658015a01590658015a77010700a2010300ff01190103000001010000010100000101000001010000010100
+00010100000101590658015a01590658015a78010500a3010200ff011a0102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a
+ff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff014001
+02000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff01400103000001
+01000001010000010100000101000001010000010100000101590658015a01590658015aff01ff014001020000010100000101000001010000010100000101000001010000010000
+01590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a
+01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a150104000d01040004010000030108002401
+0100030101000c01000010010100ff01b101160001590658015a01590658015a150104000c010600020101000301080024010100030101000b0101000f010300ff01b00103000001
+01000001010000010100000101000001010000010100000101590658015a01590658015a170102000c01020000010200020101000301010000010200000101002401020001010200
+0b01010010010100ff01b10102000001010000010100000101000001010000010100000101000001000001590658015a01590658015a170102000c01020005010200060102002701
+0200010102000a010200ff01c401160001590658015a01590658015a1701020004010300020105000201060003010200030102000101010002010400040102000001010002010300
+0201070001010400020106000101020001010100020104000201030000010200ff01a5010300000101000001010000010100000101000001010000010100000101590658015a0159
+0658015a17010200030105000101050002010600030102000301070000010600020106000101050001010700000106000101060001010700010104000201020001010200ff01a501
+02000001010000010100000101000001010000010100000101000001000001590658015a01590658015a170102000201020001010200010102000501020006010200040106000001
+010001010200010103000001020000010200010102000001070000010100010102000201020005010600030102000301020000010100ff01a601160001590658015a01590658015a
+170102000201020001010200010102000501020006010200040103000001010003010300010102000201010000010200010102000001010000010100000101000301030002010200
+05010300000101000301020004010300ff01a7010300000101000001010000010100000101000001010000010100000101590658015a01590658015a170102000201070001010200
+0501020006010200040102000501050001010200050107000001010000010100000101000101050002010200050102000701020004010300ff01a701020000010100000101000001
+01000001010000010100000101000001000001590658015a01590658015a170102000201020006010200050102000601020004010200040102000001020001010200050102000501
+01000001010000010100000102000001020002010200050102000701020004010300ff01a701160001590658015a01590658015a1701020002010300010101000101020005010200
+000101000301020004010200040102000001020001010300010101000001030001010100000101000301010000010200000102000201020000010100020102000701020003010100
+00010200ff01a6010300000101000001010000010100000101000001010000010100000101590658015a01590658015a150106000101060000010400040105000201040002010400
+0301070001010600010106000001020001010200000107000101050001010400040106000001020001010200ff01a501020000010100000101000001010000010100000101000001
+01000001000001590658015a01590658015a150106000201040001010400050103000301040002010400040102000001020002010400030104000101020001010200010102000001
+02000201030002010400040106000001020000010300ff01a501160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100
+000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff01400116000159
+0658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff01400102000001010000010100
+000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100
+000101000001010000010100000101590658015a01590658015aff01ff01400102000001010000010100000101000001010000010100000101000001000001590658015a01590658
+015aff01ff014001160001590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff01
+400102000001010000010100000101000001010000010100000101000001000001590658015a01590658015aff01ff014001160001590658015a01590658015a2901000010010100
+ff01ff0102010100140101590658015a01590658015a280101000f010300ff01ff0101010100140101590658015a01590658015a2801010010010100ff01ff010201030000010100
+0001010000010100000101000001010000010100000101590658015a01590658015a27010200ff01ff0115010100140101590658015a01590658015a140100000001010000010100
+02010400020106000101020001010100020104000201030000010200ff01f6010100140101590658015a01590658015a140107000001060001010600010107000101040002010200
+01010200ff01f6010300000101000001010000010100000101000001010000010100000101590658015a01590658015a140107000001010001010200020102000501060003010200
+0301020000010100ff01f7010100140101590658015a01590658015a140101000001010000010100030103000201020005010300000101000301020004010300ff01f80101001401
+01590658015a01590658015a1401010000010100000101000101050002010200050102000701020004010300ff01f801030000010100000101000001010000010100000101000001
+0100000101590658015a01590658015a140101000001010000010100000102000001020002010200050102000701020004010300ff01f8010100140101590658015a01590658015a
+1401010000010100000101000001020000010200020102000001010002010200070102000301010000010200ff01f7010100140101590658015a01590658015a1401010000010100
+00010100000107000101050001010400040106000001020001010200ff01f6010300000101000001010000010100000101000001010000010100000101590658015a01590658015a
+14010100000101000001010001010200000102000201030002010400040106000001020000010300ff01f6010100140101590658015a01590658015aff01ff014001010014010159
+0658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010100140101590658015a
+01590658015aff01ff0140010100140101590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658
+015aff01ff0140010100140101590658015a01590658015aff01ff0140010100140101590658015a01590658015aff01ff0140010300000101000001010000010100000101000001
+010000010100000101590658015a01590658015aff01ff0140010100140101590658015a01590658015aff01ff0140010100140101590658015a01590658015aff01ff0140010300
+000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010100140101590658015a01590658015a200101000b01030008010000
+0301080024010100030101000c01000010010100ff01a8010100140101590658015a01590658015a1f0103000a010300070101000301080024010100030101000b0101000f010300
+ff01a7010300000101000001010000010100000101000001010000010100000101590658015a01590658015a200101000c0102000701010003010100000102000001010024010200
+010102000b01010010010100ff01a8010100140101590658015a01590658015a2f010200060102000601020027010200010102000a010200ff01bb010100140101590658015a0159
+0658015a1401020001010100020104000301040000010000000106000101060003010200030102000101010002010400040102000001010002010300020107000101040002010600
+0101020001010100020104000201030000010200ff019c010300000101000001010000010100000101000001010000010100000101590658015a01590658015a1401070001010400
+020107000001070000010600030102000301070000010600020106000101050001010700000106000101060001010700010104000201020001010200ff019c010100140101590658
+015a01590658015a15010600030102000201020000010300000103000001020001010200060102000401060000010100010102000101030000010200000102000101020000010700
+00010100010102000201020005010600030102000301020000010100ff019d010100140101590658015a01590658015a150103000001010003010200020102000001020001010200
+010102000101020006010200040103000001010003010300010102000201010000010200010102000001010000010100000101000301030002010200050103000001010003010200
+04010300ff019e010300000101000001010000010100000101000001010000010100000101590658015a01590658015a150102000701020002010200000102000101020001010200
+0101020006010200040102000501050001010200050107000001010000010100000101000101050002010200050102000701020004010300ff019e010100140101590658015a0159
+0658015a1501020007010200030104000201020001010200010102000601020004010200040102000001020001010200050102000501010000010100000101000001020000010200
+02010200050102000701020004010300ff019e010100140101590658015a01590658015a150102000701020002010300040102000101020001010200000101000301020004010200
+04010200000102000101030001010100000103000101010000010100030101000001020000010200020102000001010002010200070102000301010000010200ff019d0103000001
+01000001010000010100000101000001010000010100000101590658015a01590658015a140104000401060000010600000103000001030001010500020104000201040003010700
+01010600010106000001020001010200000107000101050001010400040106000001020001010200ff019c010100140101590658015a01590658015a140104000401060001010a00
+0001030002010300030104000201040004010200000102000201040003010400010102000101020001010200000102000201030002010400040106000001020000010300ff019c01
+0100140101590658015a01590658015a2601020001010200ff01ff0111010300000101000001010000010100000101000001010000010100000101590658015a01590658015a2601
+0700ff01ff0111010100140101590658015a01590658015a27010500ff01ff0112010100140101590658015a01590658015aff01ff01400103000001010000010100000101000001
+01000001010000010100000101590658015a01590658015aff01ff0140010100140101590658015a01590658015aff01ff0140010100140101590658015a01590658015aff01ff01
+40010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff0140010100140101590658015a01590658015aff01ff0140010100
+140101590658015a01590658015aff01ff0140010300000101000001010000010100000101000001010000010100000101590658015a01590658015aff01ff014001010014010159
+0658015a01590658015aff01ff0140010100140101590658015a01590658015a3001040014010100030101000c01000010010100ff01cc0103000001010000010100000101000001
+01000001010000010100000101590658015a01590658015a3001040014010100030101000b0101000f010300ff01cb010100140101590658015a01590658015a3201020014010200
+010102000b01010010010100ff01cc010100140101590658015a01590658015a3201020014010200010102000a010200ff01df01160001590658015a01590658015a150103000001
+0000030102000001010001010400050102000301040002010200010101000101070001010400020106000101020001010100020104000201030000010200ff01c001160001590658
+015a01590658015a14010600020106000001060004010200020106000101070000010700000106000101060001010700010104000201020001010200ff01c001160001590658015a
+01590658015a140102000001020001010300000102000001010001010200040102000201010001010200020106000001070000010100010102000201020005010600030102000301
+020000010100ff01c101160001590658015a01590658015a140103000101000001010200020101000301030004010200050103000201030000010100000101000001010000010100
+030103000201020005010300000101000301020004010300ff01c201160001590658015a01590658015a150104000201020006010500040102000301050002010200040101000001
+0100000101000101050002010200050102000701020004010300ff01c201160001590658015a01590658015a14010000010103000101020005010200000102000401020002010200
+0001020002010200040101000001010000010100000102000001020002010200050102000701020004010300ff01c201160001590658015a01590658015a14010200000102000101
+03000101010000010200000102000401020002010200000102000201020004010100030101000001020000010200020102000001010002010200070102000301010000010200ff01
+c101160001590658015a01590658015a1401060002010600000107000101060000010700000104000301020001010200000107000101050001010400040106000001020001010200
+ff01c001160001590658015a01590658015a140100000001030004010400020102000001020001010600010102000001020000010400030102000101020001010200000102000201
+030002010400040106000001020000010300ff01c00102001201000001590658015a01590658015aff01ff01400103001001010001590658015a01590658015aff01ff0140010400
+0e01020001590658015a01590658015aff01ff01400105000c01030001590658015a01590658015aff01ff01400106000a01040001590658015a01590658015aff01ff0140010700
+0801050001590658015a01590658015aff01ff01400108000601060001590658015a01590658015aff01ff01400109000401070001590658015a01590658015aff01ff0140010a00
+0201080001590658015a01590658015aff01ff0140010b000001090001590658015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001160001590658
+015a01590658015aff01ff014001160001590658015a01590658015aff01ff014001160001590658015a01590658015aff00ff00570001590658015a01590658015aff00ff005700
+01590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff015701
+01590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff015701
+01590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01c8017500
+180101590658015a01590658015aff01c8017500180101590658015a01590658015a9e010100210100007c0100004e0104000401010004010400050100001a017500180101590658
+015a01590658015a1401020001010200040100007a0103001f0101007b0101004d0106000201030003010400040101001a017500180101590658015a01590658015a150101000201
+0100030102007a010100200101007b0101004d010200000102000301010006010200040101001a017500180101590658015a01590658015a1501010002010000050100009d010200
+7a0102004d01020010010200030102001a017500180101590658015a01590658015a1501010002010000770103000001000002010400030104000001040000010200020104000201
+0600010102000001030000010200010101000301030003010300000100001c0101000001030002010400020102000101010002010400020100000001010000010100030103000201
+060003010300020102000101010002010300000100002e01050003010400050102000201060003010300020102000101010005017500180101590658015a01590658015a15010100
+010100000301030005010300010101000401000003010300050100000d01010001010100040103000201010002010100030103000401030014010600020104000201100000010600
+0101060001010200000103000001070001010500010106001c0107000001060001010700000106000101070001010500010106000201050001010700000106002e01050003010400
+0501020002010600020105000101070004017500180101590658015a01590658015a1501010001010000050101000301020001010100010101000201010001010200010101000301
+02000b010000000100000001030002010100010101000001030000010300000102000101010001010200010101001301020000010200040102000201020000010300000103000001
+0200000101000101020002010200040102000101020001010600000102000101020000010200000102001c0103000001020000010100010102000201060000010100010102000101
+070000010200010102000101020004010200010102000101060000010200000102002f01020007010200050102000301020004010200010102000101060004017500180101590658
+015a01590658015a150101000101000004010100040101000201010001010100020101000101010002010000050100000e0102000001010006010100010100000001000000010000
+000101000001010002010100010101000201000014010300010100000401020002010200000102000101020001010200030103000201020004010200010102000101030000010100
+000102000101020000010300010100001c01020001010200030103000201030000010100030103000101010000010100000101000001020001010200010102000401020001010200
+010103000001010000010300010100002f0102000701020005010200030102000401020001010200010103000001010004017500180101590658015a01590658015a150101000001
+000005010100030101000201010002010100020100000301010018010100010101000301030002010000000101000101030002010100030101001801040005010200020102000001
+02000101020001010200010105000201020004010200010102000101020004010700010104001d010200010102000101050002010200050105000101010000010100000101000001
+07000101020004010700010102000501040030010200070102000501020003010200040107000101020008017500180101590658015a01590658015a150101000001000005010100
+030104000301010001010000000100000401020015010100020100000201010001010100010101000001010000010100000104000601020015010000010103000401020003010400
+02010200010102000001020000010200020102000401020001010200010102000401020005010000010103001c010200010102000001020000010200020102000401020000010200
+0101010000010100000101000001020006010200040102000601020004010000010103002f010200070102000501020003010200040102000601020008017500180101590658015a
+01590658015a150101000001000004010100040101000601010000010100000100000201000002010100140101000101010001010100020101000101010000010000010101000001
+010007010000020101001401020000010200040102000201030004010200010102000001020000010200020102000001010001010200000103000101020004010300010101000001
+0200000102001c0102000001030000010200000102000201020004010200000102000101010000010100000101000001030001010100010102000001010001010300010101000101
+020004010200000102002f0102000701020005010200030102000001010001010300010101000101020008017500180101590658015a01590658015a150102000501010001010000
+0201010002010000010106000101010001010200040100000e0101000101010000010200010102000001010001010000010100000201010002010000010101000101020014010600
+020106000001060000010300000103000001070001010500010107000001040004010600000106001c01060001010700000104000301070000010100000101000001010001010600
+010105000201060000010400030106002e010400040106000101060001010500020106000001040007017500180101590658015a01590658015a1501010007010200040103000301
+01000001010003010300050102000c0101000301010001010200010101000001000004010000030103000301030016010000000103000301060001010a0000010300010102000001
+0200020103000301030000010100000104000501040001010000000103001d0105000301020000010200000104000401020000010200000101000001010000010100020104000301
+0300040104000101040003010000000103002f010400040106000101060002010300040104000101040007017500180101590658015a01590658015a430100002601000037010200
+010102005a010200bd017500180101590658015a01590658015aa40107005a010200bd017500180101590658015a01590658015aa50105005a010400bc017500180101590658015a
+01590658015aff01c8017500180101590658015a01590658015aff01c8017500180101590658015a01590658015aff01c801040008016700180101590658015a01590658015aff01
+c801040008016700180101590658015a01590658015aff01c8017500180101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a
+01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aa70101000f010100d6010300270101000f010000070101007b0101590658
+015a01590658015aa60103000d0103006a01020004010000100100004f010300260103000d010100060103007a0101590658015a01590658015aa70101000f0101006c0101000301
+020006010000060102004f010200270101000e010100070101007b0101590658015a01590658015aff01280101000401000007010000070100005001020037010200850101590658
+015a01590658015a9401030002010200010101000201040003010400000100000101040001010300000102000201030000010000570101000d010100560105000201030003010300
+00010000030102000001010000010200010101000201040002010100000103000101060002010400040103000101030000010200670101590658015a01590658015a930105000101
+070001010400020107000101040001010800000106003901030005010200020101000101010004010100000101000201030004010500020103000601020002010100010101000401
+03003001060001010500010106000201060000010700010104000201070000010600020104000301050000010800660101590658015a01590658015a920102000101020001010600
+030102000201020000010300030102000201030000010200000102000001020037010200010101000201010001010100000100000001000000010300020100000101020004010100
+0501010007010100040101000101010000010000000100000001030001010200010101002e0102000001030000010200010102000001020000010200010103000001020001010600
+030102000201030000010200010102000701020002010200010102000001030000010200660101590658015a01590658015a92010200010102000101030000010100030102000201
+020000010200040102000201020001010200000103000101000037010100020100000301010001010100020102000001010001010100010101000401010006010100060101000501
+010001010100020102000001010001010100020100002f01020001010200000102000101020000010300010100000101020002010100010103000001010003010200020102000101
+0200010102000701020002010200010102000001020001010200660101590658015a01590658015a9201020001010200010102000701020002010200000102000401020002010200
+010102000101040037010100070101000201010002010100010101000101010001010100040101000601010006010100040101000201010002010100010101000201010032010200
+0101020000010700010104000201020006010200070102000201020001010200010102000701020002010200010102000001020001010200660101590658015a01590658015a9201
+020001010200010102000701020003010400050102000201020001010200000100000101030036010100070101000201010001010100020100000101010002010100040101000501
+010007010100040101000201010001010100020100000401020030010200010102000001020005010000010103000101020006010200070102000201020001010200010102000701
+020002010200010102000001020001010200660101590658015a0059095a920102000101020001010200070102000201030007010200020102000101020000010200000102003601
+01000701010001010100020101000101010001010100010101000401010006010100060101000501010001010100020101000101010002010000020101002f010200010102000001
+03000101010000010200000102000101030001010100010102000701020002010200000103000101020000010100040102000201020001010200000102000101020066010159085a
+0959005a9301050001010400040106000001060002010a00000103000001060037010100020100000201010001010100020101000101010000010200000102000001000002010100
+010100000301010001010000030101000101000002010100010101000201010001010100000102000101020030010600010106000001060002010600000104000401060000010600
+020105000201060001010500000103000001030066010959005a01590658015a9401030002010400040106000101060001010a000001030000010000000103003901030004010200
+030101000301010001010200000101000401020005010200050102000401020003010100030101000101030033010200000101000201040001010000000103000401040001010400
+04010600000105000401030003010600020103000101030000010300660101590658015a01590658015aad01020001010200ff010e0102008f0101590658015a01590658015aad01
+0700ff010e0102008f0101590658015a01590658015aae010500ff010e0104008e0101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff0157010159
+0658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff0157010159
+0658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff0157010159
+0658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff0157010159
+0658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff01570101590658015a01590658015aff01ff0157010159
+0658015a01590658015aff59ff5959590658015a01590658005aff59ff595a590658015a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff582758
+005a00591e58015a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff582758005a00591e58
+015a01591e58005a0059ff58ff582758005a00591e58015a01591e58005a0059ff58ff582758005a00591e58015a01591f5a0059ff5aff5a285a0059205a0059ff5aff5a6c5a
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-origins.ps b/books/ps/h-origins.ps
new file mode 100644
index 0000000..579b6f3
--- /dev/null
+++ b/books/ps/h-origins.ps
@@ -0,0 +1,926 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:51:58 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c0202030202
+020304020203070202030902011a3b02011a2a03071a0703031a0e03001a1003001a1e03031a1a03021a0503021a0a03031a2903001a0703001a2703031a4503011a040202030402
+020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a
+2a03071a0603011a0103011a0c03021a0e03021a1c03011a0103011a1803011a0003011a0303001a0103011a0803011a0103011a2803001a0603021a2503011a0103011a4403011a
+040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d010c060a010d050202030d0202030002020305020203070202030902
+011a3b02011a2a03001a0403001a0603011a0303011a0c03001a1003001a1d03011a0103011a1703011a0203011a0203001a0103011a0703011a0303011a2603011a0703001a2603
+011a0103011a4403011a0402020304020203020202030302020302020b03020202030902011a180208031902010c060a010d010c060a010d050202030e0204030602020307020203
+0902011a3b02011a2f03001a0703011a0303011a3d03011a1b03011a0203011a0103011a0203011a0603011a0303011a2603011a2f03011a4803011a040202030402020302020203
+03020203020202030002030300020203020202030902011a16020c031702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a2e03011a0703
+011a0303011a0003011a0003031a0203031a0403031a0003011a0103031a0303011a0003021a0303031a0003001a0803011a0603031a0203011a0003031a0603021a0103001a0203
+011a0203011a0603011a0303011a0003011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0403
+011a0003031a0303031a0203001a0003011a0003011a2a03011a04020a030202020303020203020202030002030300020203020207030402011a140210031502010c060a010d010c
+060a010d050209030802020307020203070202030902011a3b02011a2d03011a0803011a0303011a0103021a0103011a0303011a0303011a0103011a0003001a0303011a0403011a
+0103011a0103011a0203011a0703041a0303011a0103011a0203021a0103011a0603031a0303011a0203011a0603011a0303011a0103021a0003011a0203011a0103011a0203021a
+0103011a0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011a0703041a0303021a0103011a0103011a0103011a0103011a0003011a
+0003011a2903011a04020a030202020303020203020202030102010301020203020208030302011a120214031302010c060a010d010c060a010d0502090308020203070202030702
+02030902011a3b02011a2d03011a0803011a0303011a0103011a0203011a0303011a0303011a0103011a0503011a0403011a0103011a0103011a0303001a0803011a0403011a0303
+011a0103011a0203011a0703021a0303011a0203011a0603011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303011a0703011a0303
+011a0303011a0103011a0103011a0103011a0303001a0803011a0503011a0203011a0003011a0303011a0003011a0003011a0003011a2903011a04020a0302020203030202030202
+02030102010301020203020208030302011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a2c03011a0903011a0303011a
+0103011a0803011a0303011a0103011a0503011a0403011a0103011a0203021a0b03011a0403011a0303011a0103011a0c03031a0203011a0203011a0603011a0303011a0103011a
+0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0203021a0b03011a0503011a0503011a0303011a0003011a0003011a0003011a
+2903011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030e02040306020203070202030902
+011a3b02011a2c03011a0903011a0303011a0103011a0803011a0403031a0603011a0403011a0103011a0403021a0903011a0403011a0303011a0103011a0b03001a0103021a0103
+011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403021a0903011a0503
+011a0503011a0303011a0003011a0003011a0003011a2903011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c
+060a010d050202030d0202030002020305020203070202030902011a3b02011a2b03021a0903011a0303011a0103011a0803011a0303001a0a03011a0403011a0103011a0103001a
+0303011a0803011a0403011a0303011a0103011a0a03011a0203011a0103011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a
+0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0503011a0503011a0303011a0003011a0003011a0003011a2903011a040202030402020302020203
+030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a2b03011a0b03
+011a0103011a0203011a0803011a0303051a0503011a0403011a0103011a0103011a0203011a0803011a0503011a0103011a0203011a0a03011a0203011a0203011a0103001a0803
+011a0103011a0203011a0103011a0203011a0203001a0203011a0503011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0803
+011a0503011a0603011a0103011a0103011a0003011a0003011a2903011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a
+010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a2b03011a0c03031a0203041a0403051a0203051a0203051a0103021a0003031a0003001a
+0003031a0803031a0503031a0203041a0803011a0203011a0203011a0103001a0903031a0303041a0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a
+0003031a0003001a0003031a0803031a0303041a0503031a0203011a0003011a0003011a2903011a040202030402020302020203030202030202020305020203020202030902011a
+15020e031602010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a2b03001a2603001a0403001a4203041a0403021a1203011a9f03
+011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a
+3b02011a5303011a0203011a6203011a9f03011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d050209030402
+02030402020303020203070202030902011a3b02011a5403041a6203031a9e03011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c
+060a010d05020a03020202030602020302020203070202030902011a3b02011aff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a
+010d010c060a010d06020903030201030702010303020103080201030902011a3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02
+010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a
+3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03
+011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a2003001a13030004
+040300041f0300041003010403030504040300046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0103011a1e03021a12030004030301040d03
+00040f0302040e0300040603010401030104040300046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a1e03001a1303010402030104
+0d030004100300040e0301040603010401030104040300046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a33030104010301040d03
+01041f0301040703010401030104040301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0203031a0203001a0003011a0003011a
+0203041a0303031a0303011a0003021a0803050403030304030305040103010401030204020303040403010402030104010301040603010401030104050301046b03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0103011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0603
+060402030104010301040303010403030004000302040103010403030104030300040003010400030104010301040703010401030104050301046b03011a3b02011a3b02010c060a
+010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0603000400030204
+000300040603010403030104050302040103010402030104060303040203010407030404060301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03
+011a0203011a0003011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011a060300040103000401030004030303040403010405030104070301040703
+02040203010407030304060301046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a
+0103011a0103011a0403011a0403011a0103011a0603000403030004020301040103010403030104060301040703010406030204030301040603010400030104060301046c03011a
+3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103
+011a050300040403000401030104020301040303010405030104070301040603010400030104020301040603010401030104040301046d03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011a6b03011a0103011a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a050300040403000401030104
+01030204000300040103010401030004020301040703010401030004030300040103010400030004010300040603010401030104040301046d03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011a6a03051a0403031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a040301040203020401030204010301040303
+020403030104080302040203010403030104020300040503030401030104020300046f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011add0300040d030104
+7003011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a
+010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03
+ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff03
+4003011a080202030802010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a
+010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a03020c030302010c060a
+010d010c060a010dff03ff034003011a02020e030202010c060a010d010c060a010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a00021203
+0002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a1402010c060a010d010c060a010da00303023c030002ff035d03011a1402010c060a010d010c060a010d13030b0208030204740303023b03
+0102ff035d03011a1402010c060a010d010c060a010d13030b020703010400030104360300043c0302023b030102ff035d03011a1402010c060a010d010c060a010d130301020003
+00020003000200030002000302020703010400030104360300043b03040239030202ff035d03161a010c060a010d010c060a010d1303020200030002000300020003000200030102
+06030204380301043b030402030304020003000201030402000300020003020201030102030303020303040200030002010304020203060203030302ff035203161a010c060a010d
+010c060a010d130301020003000200030002000300020003020206030104040301040103020404030204020301040203010408030304040303040303050403030304050302040003
+000403030204020301040103020402030004040300040b0301020003010202030702000307020003070201030502010307020003060201030602020305020403001aff034b03011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d130302020003000200030002000300020003010206030104030300040003
+020401030104010301040103010400030304000303040503020401030104020301040103010403030104040302040103010403030104000302040103010401030104000300040003
+02040103010400030204020301040b030102000302020103020200030302000302020003030201030602000302020103020200030202000303020003010201030202020302020403
+0202010302020203021aff034a03011a1402010c060a010d010c060a010d130301020003000200030002000300020003020206030104000300040303020401030104010301040103
+010401030004000300040003000400030104050301040203000407030104030301040403010402030104020301040203000402030104010301040203020401030104020301040103
+00040c0301020103010201030202000302020103020200030202020303020003010200030202010302020003020200030202040303020203020204030202010302020303001aff03
+4b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030202000300020003000200030002000301020403040404030104
+05030104020301040103000400030104010301040403010409030304040301040303010402030104030301040103010401030104020301040203010408030004010300040b030602
+0103020200030202010302020003020202030202040307020003020200030202020305020203020204030702ff035003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010d13030102000300020003000200030002000302020303000400030104060301040503010402030104000301040003010400030104
+05030104070301040103010403030104040304040503040402030104020301040203010408030004000300040c030702010304020303040203030202040302020603040202030202
+000302020203020204030202ff035503011a1402010c060a010d010c060a010d13030202000300020003000200030002000301020503010405030104060301040103010401030104
+0003000401030104050301040603010402030104030301040403010407030104060301040103010402030104090302040c0301020203020200030302040303020503020204030302
+0103010200030302040302020003020202030202000301020103030201030102ff035003011a01020003010200030102000301020003010200030102000301020003010c060a010d
+010c060a010d13030b020503010405030104060301040103010401030004010300040103000407030104020300040103010401030204000300040103010401030004020301040203
+000402030404030301040103010402030104090301040c0303020003030200030602010306020103040204030602000306020103070201030502020306020303001aff034b03011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d13030b020503010405030104070302040303000404030004080303040303
+0204010301040303020404030304040304040303020404030104090300040d0303020003030201030602010306020003040205030402020306020103020200030202020303020403
+04020303021aff034a03011a1402010c060a010d010c060a010d250300041e0300042a03000403030004160301041703020201030202000302020103020212030202010302021e03
+001aff034b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d230302044903010402030104140302041803070200030702
+12030702ff036b03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d230301044b030404150301041a03050202030502
+14030502ff036c03011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a
+010dff03ff034003011a1402010c060a010d010c060a010d27030102000301021103001a250301020203020212030102020302021e03000207030102150306020d030002ff036103
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d27030102000301021103001a250302020103020212030202010302021d03
+010206030302140306020c030102ff036103011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d27030102000301020f03
+051a220302020203010212030202020301021d03010207030102170302020e030102ff036103011a1402010c060a010d010c060a010d250306020e03011a0003001a0003011a2203
+03020103010212030302010301021c030202210302020d030202ff036103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+250306020e03011a0003001a0103001a0f03011a10030302010301020203030201030302000302020103030201030102020303020303040200030002010304020203060202030402
+02030202010302020203030204030202020303020003020201030602030303020303040200030002020303020203020201030102ff033a03011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010d26030102000301020403001a0903011a0003001a1203031a0e03040200030102010305020003080200030402
+00030102010305020103070200030602010306020203040202030202010302020103050203030202020308020003060202030502010307020103050201030702ff033903011a1402
+010c060a010d010c060a010d26030102000301020303021a0803031a1403031a0c030102000301020003010200030202010302020003030200030202000301020003010200030102
+000302020103020200030202000303020003010201030202020302020703020202030202010302020003020201030202020302020303030200030202010302020403020201030202
+0003020200030302000302020103020201030602ff033903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d260301020003
+01020403001a0a03041a0703071a0403031a0a0301020003040200030202010302020003020201030202000301020003040200030202010302020003020200030202040303020203
+02020703020203030202000301020103020201030202020302020303020201030202010302020403020201030202000302020003020201030202010302020103030200030102ff03
+3903011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d240306021203031a0603071a0403031a0a030102010303020003
+020201030202000302020103020200030102010303020003070200030202000302020203050202030202070302020303020200030102010307020203020203030202010302020103
+02020403070200030202000302020103070201030202ff033d03011a1402010c060a010d010c060a010d240306021203001a0003011a1103031a0c03010201030302000302020103
+020200030202010302020003010201030302000302020603040202030202000302020203020207030202030304020203020207030202030302020103020201030202040302020603
+04020203020206030202ff033d03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030102000301021003001a0103001a
+0003011a0f03031a0e030102020302020003020201030202000302020103020200030102020302020003030201030102000303020403020200030202020302020003010204030202
+0403030202030302010301020203020203030202010302020103020200030102010303020103010200030302040303020103010201030202ff033d03011a00020003010200030102
+0003010200030102000301020003010200030002010c060a010d010c060a010d25030102000301020503001a0903011a0003001a0003011a0f03011a100302020103020201030502
+000303020003030200030202010302020103060200030602010307020103050202030602020302020403060200030602000303020003030201030502020306020003060202030602
+00030402ff033c03011a1402010c060a010d010c060a010d25030102000301020403021a0803051a2303020202030102020303020103030200030302000302020203010202030402
+020306020103020200030202020303020303060202030202050304020103060200030302000303020203030204030402020306020203040201030402ff033c03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d25030102000301020503001a0c03001a52030202010302025103020201030202ff034b03011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d3e03001a5203070251030702ff034b03011a1402010c060a010d010c060a
+010d3e03001a5303050253030502ff034c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102000301020003
+0002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d5903001a2303001aff03c003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d5903001a2303001aff03c003011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d5703051a1e03051aff03bd03011a1403010c060a010d010c060a010d5603011a0003001a0003011a1d03011a0003
+001a0003011aff03bd03011a1403010c060a010d010c060a010d260302020003010202030302020301020003030201030302000302020e03011a0003001a0103001a0f03011a0b03
+011a0003001a0103001aff03bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030602010305020103070200030302
+000302020303001a0903011a0003001a1203031a0903011a0003001aff03c003011a1403010c060a010d010c060a010d240303020003020200030202010302020003030200030202
+00030202010302020203021a0803031a1403031a0703031aff03c003011a1403010c060a010d010c060a010d24030202020301020003020201030202000302020103020201030202
+000301020403001a0a03041a0703071a0403031a0603041aff03be03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2403
+020205030202010302020003020201030202010305021203031a0603071a0403031a0803031aff03bd03011a1403010c060a010d010c060a010d2403020205030202010302020003
+020201030202020303021303001a0003011a1103031a0a03001a0003011aff03bd03011a1403010c060a010d010c060a010d24030302010301020003020201030202000302020003
+0302020303021003001a0103001a0003011a0f03031a0903001a0103001a0003011aff03bd03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d250306020103050201030602040301020603001a0903011a0003001a0003011a0f03011a0b03011a0003001a0003011aff03bd03011a1403010c060a010d010c
+060a010d260304020303030202030502040302020503021a0803051a1e03051aff03be03011a1403010c060a010d010c060a010d36030202060302020703001a0c03001a2303001a
+ff03c003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d36030202050303021503001a2303001aff03c003011a1403010c
+060a010d010c060a010d35030402040302021603001a2303001aff03c003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d420300024c03001aff03ae03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d410301021f03011a0403011a2303001aff03ae03011a1403010c060a010d010c060a010d410301021e03011a0603011a2003051aff03ab03
+011a1403010c060a010d010c060a010d400302021e03011a0603011a1f03011a0003001a0003011aff03ab03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d2603030202030002000301020003010201030102000303020103060201030302000302021003011a0803011a1003011a0b03011a0003001a0103
+001aff03ab03011a1403010c060a010d010c060a010d2503050201030702000307020003060201030302000302020303001a0b03011a0803011a1003031a0903011a0003001aff03
+ae03011a1403010c060a010d010c060a010d24030202010302020003070200030302000302020103020204030202010302020203021a0a03011a0803011a1203031a0703031aff03
+ae03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d24030202010302020003010200030102000301020003020201030202
+0103020205030202000301020403001a0b03011a0803011a0703071a0403031a0603041aff03ac03011a1403010c060a010d010c060a010d24030702000301020003010200030102
+000302020103020201030202050305021103011a0803011a0703071a0403031a0803031aff03ab03011a1403010c060a010d010c060a010d24030202050301020003010200030102
+000302020103020201030202060303021203011a0803011a1203031a0a03001a0003011aff03ab03011a01020003010200030102000301020003010200030102000301020003010c
+060a010d010c060a010d240303020103010200030102000301020003010200030202000303020103020200030102030303021203011a0803011a1003031a0903001a0103001a0003
+011aff03ab03011a1403010c060a010d010c060a010d250306020003010200030102000301020003060202030502040301020603001a0c03011a0603011a1103011a0b03011a0003
+001a0003011aff03ab03011a1403010c060a010d010c060a010d260304020103010200030102000301020003050204030302040302020503021a0b03011a0603011a1f03051aff03
+ac03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d360302020f0302020703001a0d03011a0403011a2303001aff03ae03
+011a1403010c060a010d010c060a010d360302020e0303024303001aff03ae03011a1403010c060a010d010c060a010d350304020d0302024403001aff03ae03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d420300022703001a2503060214030402ff038c03011a1403010c060a010d010c060a010d410301020f0303021303001a2503
+070213030402ff038c03011a1403010c060a010d010c060a010d410301020e0305021003051a230302020003020215030202ff038c03011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010d400302020d030202010302020e03011a0003001a0003011a230302020003020215030202ff038c03011a1403010c060a
+010d010c060a010d26030302020300020003010200030102010301020003030201030602010303020003020200030302000302020e03011a0003001a0103001a0f03011a11030202
+0003020202030302040303020503020204030302030304020103030200030202ff037003011a1403010c060a010d010c060a010d2503050201030702000307020003060201030302
+0003020201030102010302020303001a0903011a0003001a1203031a0f030502020305020203050204030202030305020103060200030802ff036f03011a01020003010200030102
+000301020003010200030102000301020003010c060a010d010c060a010d2403020201030202000307020003030200030202010302020403020201030202040302020303021a0803
+031a1403031a0d0305020103020201030202000302020103020203030202020302020103020200030102010302020103030200030202ff036f03011a1403010c060a010d010c060a
+010d24030202010302020003010200030102000301020003020201030202010302020503020200030102040302020503001a0a03041a0703071a0403031a0b030202000302020003
+0202010302020003020201030202030302020203020201030202030303020103020201030202ff036f03011a1403010c060a010d010c060a010d2403070200030102000301020003
+010200030202010302020103020205030502030302021403031a0603071a0403031a0b03020200030202000302020103020200030202010302020303020202030702010305020103
+020201030202ff036f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2403020205030102000301020003010200030202
+010302020103020206030302050301021403001a0003011a1103031a0d03020200030202000302020103020200030202010302020303020202030202050302020003020201030202
+01030202ff036f03011a1403010c060a010d010c060a010d240303020103010200030102000301020003010200030202000303020103020200030102030303021903001a0103001a
+0003011a0f03031a0f030202000302020003020201030202000302020103020203030202020303020103010200030202000302020103020201030202ff036f03011a1403010c060a
+010d010c060a010d25030602000301020003010200030102000306020203050204030102060301020603001a0903011a0003001a0003011a0f03011a100307020103050202030502
+020306020103060200030b0200030302ff036f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d26030402010301020003
+010200030102000305020403030204030202050303020403021a0803051a2303060203030302040303020303060202030402020302020003060200030302ff036f03011a1403010c
+060a010d010c060a010d360302020f030202070301020603001a0c03001aff03d303011a1403010c060a010d010c060a010d360302020e0303021e03001aff03d303011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d350304020d0302021f03001aff03d303011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d5903001a1003001a2e03060214030402
+ff038303011a1403010c060a010d010c060a010d380303021403011a0503001a1003001a0603011a2503070213030402ff038303011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d370305021203011a0403051a0b03051a0403011a250302020003020215030202ff038303011a1403010c060a010d010c060a
+010d36030202010302021103011a0303011a0003001a0003011a0a03011a0003001a0003011a0403011a250302020003020215030202ff038303011a1403010c060a010d010c060a
+010d26030302040302020003010200030302000302021003011a0403011a0003001a0103001a0a03011a0003001a0103001a0503011a1003011a1103020200030202020303020403
+03020503020204030302030304020103030200030202ff036703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030502
+0203060201030102010302020303001a0b03011a0403011a0003001a0d03011a0003001a0803011a1003031a0f030502020305020203050204030202030305020103060200030802
+ff036603011a1403010c060a010d010c060a010d24030202010302020003020201030202040302020303021a0a03011a0403031a0d03031a0803011a1203031a0d03050201030202
+01030202000302020103020203030202020302020103020200030102010302020103030200030202ff036603011a1403010c060a010d010c060a010d240302020103020200030202
+01030202030302020503001a0b03011a0503041a0c03041a0603011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203020201030202
+030303020103020201030202ff036603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2403070200030202010302020203
+02021303011a0703031a0d03031a0503011a0703071a0403031a0b03020200030202000302020103020200030202010302020303020202030702010305020103020201030202ff03
+6603011a1403010c060a010d010c060a010d240302020503020201030202030301021303011a0703001a0003011a0d03001a0003011a0503011a1203031a0d030202000302020003
+0202010302020003020201030202030302020203020205030202000302020103020201030202ff036603011a1403010c060a010d010c060a010d2403030201030102000303020003
+02021903011a0403001a0103001a0003011a0a03001a0103001a0003011a0503011a1003031a0f030202000302020003020201030202000302020103020203030202020303020103
+010200030202000302020103020201030202ff036603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2503060201030602
+030301020603001a0c03011a0303011a0003001a0003011a0403001a0403011a0003001a0003011a0403011a1103011a100307020103050202030502020306020103060200030b02
+00030302ff036603011a1403010c060a010d010c060a010d2603040203030502020303020403021a0b03011a0303051a0403021a0303051a0503011a240306020303030204030302
+0303060202030402020302020003060200030302ff036603011a1403010c060a010d010c060a010d32030202030301020603001a0d03011a0503001a0703011a0603001a0603011a
+ff03ca03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d320302022303001a0703011a0603001aff03d303011a1403010c
+060a010d010c060a010d310303022303001a0603011a0703001aff03d303011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d250304024003001a0d0301020203020212030102020302021e03000207030102150306020d03
+00025203060214030402d803011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d250304021f0303021403011a0503001a0d03
+02020103020212030202010302021d03010206030302140306020c0301022a03011a2503070213030402d803011a1403010c060a010d010c060a010d270302021e0305021203011a
+0403051a0a0302020203010212030202020301021d03010207030102170302020e0301022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d2703
+02021d030202010302021103011a0303011a0003001a0003011a0a0303020103010212030302010301021c030202210302020d0302022b03011a250302020003020215030202d803
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d270302020403030203030302000300020203030200030002010303020003
+02021003011a0403011a0003001a0103001a0a0303020103010202030302010303020003020201030302010301020203030203030402000300020103040202030602020304020203
+02020103020202030302040302020203030200030202010306020303030203030402000300020203030202030202010301020503011a1003011a1103020200030202020303020403
+03020503020204030302030304020103030200030202bc03011a1403010c060a010d010c060a010d2703020203030502010306020103060202030102010302020303001a0b03011a
+0403011a0003001a0d030402000301020103050200030802000304020003010201030502010307020003060201030602020304020203020201030202010305020303020202030802
+00030602020305020103070201030502010307020403011a1003031a0f030502020305020203050204030202030305020103060200030802bb03011a1403010c060a010d010c060a
+010d27030202020302020103020200030202000302020103020200030202050302020303021a0a03011a0403031a0d03010200030102000301020003020201030202000303020003
+020200030102000301020003010200030202010302020003020200030302000301020103020202030202070302020203020201030202000302020103020202030202030303020003
+020201030202040302020103020200030202000303020003020201030202010306020403011a1203031a0d0305020103020201030202000302020103020203030202020302020103
+020200030102010302020103030200030202bb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d27030202020302020103
+020200030302010300020103030201030002040302020503001a0b03011a0503041a0b03010200030402000302020103020200030202010302020003010200030402000302020103
+020200030202000302020403030202030202070302020303020200030102010302020103020202030202030302020103020201030202040302020103020200030202000302020103
+02020103020201030302000301020403011a0703071a0403031a0b030202000302020003020201030202000302020103020203030202020302020103020203030302010302020103
+0202bb03011a1403010c060a010d010c060a010d27030202020307020103040203030402040302021303011a0703031a0a0301020103030200030202010302020003020201030202
+000301020103030200030702000302020003020202030502020302020703020203030202000301020103070202030202030302020103020201030202040307020003020200030202
+01030702010302020803011a0703071a0403031a0b03020200030202000302020103020200030202010302020303020202030702010305020103020201030202bb03011a1403010c
+060a010d010c060a010d270302020203020205030002010303020103000201030302040301021303011a0703001a0003011a0a030102010303020003020201030202000302020103
+020200030102010303020003020206030402020302020003020202030202070302020303040202030202070302020303020201030202010302020403020206030402020302020603
+02020803011a1203031a0d0302020003020200030202010302020003020201030202030302020203020205030202000302020103020201030202bb03011a01020003010200030102
+000301020003010200030102000301020003010c060a010d010c060a010d270302020203030201030102000302020003020201030202000302021a03011a0403001a0103001a0003
+011a0a030102020302020003020201030202000302020103020200030102020302020003030201030102000303020403020200030202020302020003010204030202040303020203
+03020103010202030202030302020103020201030202000301020103030201030102000303020403030201030102010302020803011a1003031a0f03020200030202000302020103
+0202000302020103020203030202020303020103010200030202000302020103020201030202bb03011a1403010c060a010d010c060a010d25030602010306020003060201030602
+040301020603001a0c03011a0303011a0003001a0003011a0403001a0403020201030202010305020003030200030302000302020103020201030602000306020103070201030502
+02030602020302020403060200030602000303020003030201030502020306020003060202030602000304020603011a1103011a1003070201030502020305020203060201030602
+00030b0200030302bb03011a1403010c060a010d010c060a010d250306020203040201030002000303020203000200030302040303020403021a0b03011a0303051a0403021a0303
+020202030102020303020103030200030302000302020203010202030402020306020103020200030202020303020303060202030202050304020103060200030302000303020203
+0302040304020203060202030402010304020603011a2403060203030302040303020303060202030402020302020003060200030302bb03011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d4b0301020603001a0d03011a0503001a0703011a300302020103020251030202010302021403011aff031f03011a
+1403010c060a010d010c060a010d6b03001a0703011a3003070251030702ff033603011a1403010c060a010d010c060a010d6b03001a0603011a3203050253030502ff033703011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d6b03001a0d0301020203020212030102020302021e03000207030102150306020d0300025203060214030402
+d803011a1403010c060a010d010c060a010d4a0303021403011a0503001a0d0302020103020212030202010302021d03010206030302140306020c0301022a03011a250307021303
+0402d803011a1403010c060a010d010c060a010d490305021203011a0403051a0a0302020203010212030202020301021d03010207030102170302020e0301022b03011a25030202
+0003020215030202d803011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d48030202010302021103011a0303011a0003001a
+0003011a0a0303020103010212030302010301021c030202210302020d0302022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d240300020003
+0102000301020303030202030202010301020303030202030302000302021003011a0403011a0003001a0103001a0a03030201030102020303020103030200030202010303020103
+010202030302030304020003000201030402020306020203040202030202010302020203030204030202020303020003020201030602030303020303040200030002020303020203
+0202010301020503011a1003011a110302020003020202030302040303020503020204030302030304020103030200030202bc03011a1403010c060a010d010c060a010d24030702
+01030502010307020103050202030102010302020303001a0b03011a0403011a0003001a0d0304020003010201030502000308020003040200030102010305020103070200030602
+0103060202030402020302020103020201030502030302020203080200030602020305020103070201030502010307020403011a1003031a0f030502020305020203050204030202
+030305020103060200030802bb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d24030702000302020103020201030602
+0003020201030202040302020303021a0a03011a0403031a0d0301020003010200030102000302020103020200030302000302020003010200030102000301020003020201030202
+000302020003030200030102010302020203020207030202020302020103020200030202010302020203020203030302000302020103020204030202010302020003020200030302
+0003020201030202010306020403011a1203031a0d0305020103020201030202000302020103020203030202020302020103020200030102010302020103030200030202bb03011a
+1403010c060a010d010c060a010d240301020003010200030102000302020103020201030302000301020003020201030202030302020503001a0b03011a0503041a0b0301020003
+040200030202010302020003020201030202000301020003040200030202010302020003020200030202040303020203020207030202030302020003010201030202010302020203
+020203030202010302020103020204030202010302020003020200030202010302020103020201030302000301020403011a0703071a0403031a0b03020200030202000302020103
+02020003020201030202030302020203020201030202030303020103020201030202bb03011a1403010c060a010d010c060a010d2403010200030102000301020003020201030202
+0103020204030702020302021303011a0703031a0a030102010303020003020201030202000302020103020200030102010303020003070200030202000302020203050202030202
+070302020303020200030102010307020203020203030202010302020103020204030702000302020003020201030702010302020803011a0703071a0403031a0b03020200030202
+000302020103020200030202010302020303020202030702010305020103020201030202bb03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d24030102000301020003010200030202010302020103020204030202080301021303011a0703001a0003011a0a03010201030302000302020103020200030202
+010302020003010201030302000302020603040202030202000302020203020207030202030304020203020207030202030302020103020201030202040302020603040202030202
+060302020803011a1203031a0d0302020003020200030202010302020003020201030202030302020203020205030202000302020103020201030202bb03011a1403010c060a010d
+010c060a010d24030102000301020003010200030202010302020103020204030302010301021903011a0403001a0103001a0003011a0a0301020203020200030202010302020003
+020201030202000301020203020200030302010301020003030204030202000302020203020200030102040302020403030202030302010301020203020203030202010302020103
+0202000301020103030201030102000303020403030201030102010302020803011a1003031a0f030202000302020003020201030202000302020103020203030202020303020103
+010200030202000302020103020201030202bb03011a1403010c060a010d010c060a010d240301020003010200030102010305020103040204030602030301020603001a0c03011a
+0303011a0003001a0003011a0403001a0403020201030202010305020003030200030302000302020103020201030602000306020103070201030502020306020203020204030602
+00030602000303020003030201030502020306020003060202030602000304020603011a1103011a100307020103050202030502020306020103060200030b0200030302bb03011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d240301020003010200030102020303020203040205030402030303020403021a
+0b03011a0303051a0403021a030302020203010202030302010303020003030200030202020301020203040202030602010302020003020202030302030306020203020205030402
+01030602000303020003030202030302040304020203060202030402010304020603011a2403060203030302040303020303060202030402020302020003060200030302bb03011a
+1403010c060a010d010c060a010d4b0301020603001a0d03011a0503001a0703011a300302020103020251030202010302021403011aff031f03011a1403010c060a010d010c060a
+010d6b03001a0703011a3003070251030702ff033603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6b03001a0603011a
+3203050253030502ff033703011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03
+ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010d300301023803001a0d0301020203020212030102020302021e03000207030102150306020d0300025203060214030402d803011a1403010c
+060a010d010c060a010d2f030302160303021403011a0503001a0d0302020103020212030202010302021d03010206030302140306020c0301022a03011a2503070213030402d803
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d30030102160305021203011a0403051a0a03020202030102120302020203
+01021d03010207030102170302020e0301022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d48030202010302021103011a0303011a0003001a
+0003011a0a0303020103010212030302010301021c030202210302020d0302022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d250303020003
+000202030402020307020203030202030302000302021003011a0403011a0003001a0103001a0a030302010301020203030201030302000302020103030201030102020303020303
+040200030002010304020203060202030402020302020103020202030302040302020203030200030202010306020303030203030402000300020203030202030202010301020503
+011a1003011a110302020003020202030302040303020503020204030302030304020103030200030202bc03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d2403060202030402020307020103050202030102010302020303001a0b03011a0403011a0003001a0d0304020003010201030502000308020003
+0402000301020103050201030702000306020103060202030402020302020103020201030502030302020203080200030602020305020103070201030502010307020403011a1003
+031a0f030502020305020203050204030202030305020103060200030802bb03011a1403010c060a010d010c060a010d240302020003020204030202020301020103030200030202
+01030202040302020303021a0a03011a0403031a0d030102000301020003010200030202010302020003030200030202000301020003010200030102000302020103020200030202
+000303020003010201030202020302020703020202030202010302020003020201030202020302020303030200030202010302020403020201030202000302020003030200030202
+01030202010306020403011a1203031a0d0305020103020201030202000302020103020203030202020302020103020200030102010302020103030200030202bb03011a1403010c
+060a010d010c060a010d24030302010300020403020202030002010303020103020201030202030302020503001a0b03011a0503041a0b0301020003040200030202010302020003
+020201030202000301020003040200030202010302020003020200030202040303020203020207030202030302020003010201030202010302020203020203030202010302020103
+020204030202010302020003020200030202010302020103020201030302000301020403011a0703071a0403031a0b03020200030202000302020103020200030202010302020303
+02020203020201030202030303020103020201030202bb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d250304020503
+02020403030202030702020302021303011a0703031a0a03010201030302000302020103020200030202010302020003010201030302000307020003020200030202020305020203
+0202070302020303020200030102010307020203020203030202010302020103020204030702000302020003020201030702010302020803011a0703071a0403031a0b0302020003
+0202000302020103020200030202010302020303020202030702010305020103020201030202bb03011a1403010c060a010d010c060a010d24030002010303020403020203030302
+0103000200030202080301021303011a0703001a0003011a0a0301020103030200030202010302020003020201030202000301020103030200030202060304020203020200030202
+0203020207030202030304020203020207030202030302020103020201030202040302020603040202030202060302020803011a1203031a0d030202000302020003020201030202
+0003020201030202030302020203020205030202000302020103020201030202bb03011a1403010c060a010d010c060a010d24030202000302020403020202030302010301020003
+0302010301021903011a0403001a0103001a0003011a0a03010202030202000302020103020200030202010302020003010202030202000303020103010200030302040302020003
+020202030202000301020403020204030302020303020103010202030202030302020103020201030202000301020103030201030102000303020403030201030102010302020803
+011a1003031a0f030202000302020003020201030202000302020103020203030202020303020103010200030202000302020103020201030202bb03011a01020003010200030102
+000301020003010200030102000301020003010c060a010d010c060a010d24030602020306020003070201030602030301020603001a0c03011a0303011a0003001a0003011a0403
+001a04030202010302020103050200030302000303020003020201030202010306020003060201030702010305020203060202030202040306020003060200030302000303020103
+0502020306020003060202030602000304020603011a1103011a100307020103050202030502020306020103060200030b0200030302bb03011a1403010c060a010d010c060a010d
+2403000200030302030306020003070202030402030303020403021a0b03011a0303051a0403021a0303020202030102020303020103030200030302000302020203010202030402
+0203060201030202000302020203030203030602020302020503040201030602000303020003030202030302040304020203060202030402010304020603011a2403060203030302
+040303020303060202030402020302020003060200030302bb03011a1403010c060a010d010c060a010d4b0301020603001a0d03011a0503001a0703011a30030202010302025103
+0202010302021403011aff031f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6b03001a0703011a3003070251030702
+ff033603011a1403010c060a010d010c060a010d6b03001a0603011a3203050253030502ff033703011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010da0030202000301022803010202030302060304020a03080213030502
+0d0300021903000204030702f603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030b02080302047303060227030302
+01030302060304020a0308020d03011a020307020b03010218030102040307021d03011ad603011a1403010c060a010d010c060a010d13030b020703010400030104360300043a03
+0202000302022803010203030202080302020a03010200030202000301020c03011a03030202010302020b0301021803010205030202000302021e03011ad503011a1403010c060a
+010d010c060a010d13030102000300020003000200030002000302020703010400030104360300043a030202010301022e030202080302020d0302020f03011a0303020201030202
+0a0302021703020205030202010301021e03011ad503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1303020200030002
+00030002000300020003010206030204380301043a030202010301020303030204030302020302020103010203030202000301020103040202030502050302020403030204030202
+050303020403011a04030202010302020003020200030302000306020103010200030302010302020003030200030602020302020603030202030202010301020103000200030102
+000301020503011ad403011a1403010c060a010d010c060a010d13030102000300020003000200030002000302020603010404030104010302040403020402030104020301040803
+0304040303040303050403030304050302040003000403030204020301040103020402030004040300040a0302020603050202030502010307020103060201030402020306020403
+02020303050203030202040305020303011a040302020103020200030202000303020003060201030702000302020003030200030602020304020303050201030702000307020403
+011a0503001acd03011a1403010c060a010d010c060a010d130302020003000200030002000300020003010206030104030300040003020401030104010301040103010400030304
+00030304050302040103010402030104010301040303010404030204010301040303010400030204010301040103010400030004000302040103010400030204020301040a030202
+050302020103020200030202010302020103060200030302000302020303020202030302000302020303020202030202010302020203020203030202010302020203011a04030202
+01030202000302020103020201030202040303020003020200030202010302020103020205030402020302020103020201030602000307020403011a0403021acc03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d130301020003000200030002000300020003020206030104000300040303020401030104
+010301040103010401030004000300040003000400030104050301040203000407030104030301040403010402030104020301040203000402030104010301040203020401030104
+02030104010300040b030202050302020103020200030202010302020103030200030102000302020203010203030202020302020103020203030202020302020103020202030202
+03030202010302020203011a040302020103020200030202010302020103020204030202010302020003020201030202010302020503020204030202010302020103030200030102
+0003010200030102000301020403011a0503001acd03011a1403010c060a010d010c060a010d13030202000300020003000200030002000301020403040404030104050301040203
+01040103000400030104010301040403010409030304040301040303010402030104030301040103010401030104020301040203010408030004010300040b030202050302020103
+020200030702010302020403020208030202020302020103020203030202020307020203020203030202010302020203011a04030202010302020003020201030202010302020403
+020201030202000302020103020201030202050302020403020201030202010302020403010200030102000301020403011ad403011a1403010c060a010d010c060a010d13030102
+000300020003000200030002000302020303000400030104060301040503010402030104000301040003010400030104050301040703010401030104030301040403040405030404
+02030104020301040203010408030004000300040c030202010301020103020201030202000302020603020204030202080302020203020201030202030302020203020207030202
+03030202010302020203011a040302020103020200030202010302020103020204030202010302020003020201030202010302020503020204030202010302020103020204030102
+00030102000301020403011ad403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030202000300020003000200030002
+000301020503010405030104060301040103010401030104000300040103010405030104060301040203010403030104040301040703010406030104010301040203010409030204
+0c0302020103010201030202010302020003030201030102010302020403030201030102030302020203020201030202030302020203030201030102020302020303020201030202
+0203011a0403020201030202000302020003030201030202000301020103020200030302000302020003030201030202000301020203020204030202010302020103020204030102
+00030102000301020403011ad403011a1403010c060a010d010c060a010d13030b020503010405030104060301040103010401030004010300040103000407030104020300040103
+010401030204000300040103010401030004020301040203000402030404030301040103010402030104090301040d03060202030502020306020003040204030602010306020003
+0602020306020103060201030402030305020403011a0303070200030702010305020103060201030702010305020103040204030502010304020303010200030102000301020303
+011a0603001acd03011a1403010c060a010d010c060a010d13030b020503010405030104070302040303000404030004080303040303020401030104030302040403030404030404
+0303020404030104090300040f03040204030302040304020103040205030402020306020003010200030202030306020203040202030402040303020503011a0403050202030302
+0003010202030302020305020303030200030102020303020203040205030302020304020303010200030102000301020303011a0503021acc03011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d250300041e0300042a03000403030004160301047503011a1d0302023d03011a0703001acd03011a1403010c
+060a010d010c060a010d2303020449030104020301041403020496030202ff031603011a1403010c060a010d010c060a010d230301044b0304041503010496030402ff031503011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d6b03001a260305020d0300021903000204030702ff036f03011a1403010c060a010d010c060a010d6b03001a
+250307020b0301021803010204030702ff036f03011a1403010c060a010d010c060a010d6903051a22030202010302020b030102180301020503020200030202ff036f03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6803011a0003001a0003011a22030202010302020a03020217030202050302020103
+0102ff036f03011a1403010c060a010d010c060a010d2603020200030102020303020403030202030202010301020303020200030102020303021003011a0003001a0103001a0f03
+011a1003020201030202000302020003030200030602010301020003030201030202000303020003060202030202060303020203020201030102010300020003010200030102ff03
+5503011a1403010c060a010d010c060a010d2503060201030502020305020103070201030602010305020403001a0903011a0003001a1203031a0e03020201030202000302020003
+0302000306020103070200030202000303020003060202030402030305020103070200030702ff035403011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d24030302000302020003020201030202000302020103020201030602000303020003020200030202010302020203021a0803031a1403031a0c030202
+0103020200030202010302020103020204030302000302020003020201030202010302020503040202030202010302020103060200030702ff035403011a1403010c060a010d010c
+060a010d2403020202030102000302020103020200030202010302020103030200030102000302020203010200030202010302020303001a0a03041a0703071a0403031a0a030202
+0103020200030202010302020103020204030202010302020003020201030202010302020503020204030202010302020103030200030102000301020003010200030102ff035403
+011a1403010c060a010d010c060a010d240302020503020201030202000307020103020204030202050307021103031a0603071a0403031a0a030202010302020003020201030202
+01030202040302020103020200030202010302020103020205030202040302020103020201030202040301020003010200030102ff035403011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d240302020503020201030202000302020603020204030202050302021603001a0003011a1103031a0c0302020103
+0202000302020103020201030202040302020103020200030202010302020103020205030202040302020103020201030202040301020003010200030102ff035403011a1403010c
+060a010d010c060a010d24030302010301020003020201030202000303020103010201030202040303020103010200030302010301020e03001a0103001a0003011a0f03031a0e03
+020201030202000302020003030201030202000301020103020200030302000302020003030201030202000301020203020204030202010302020103020204030102000301020003
+0102ff035403011a1403010c060a010d010c060a010d2503060201030502020306020003040204030602010306020303001a0903011a0003001a0003011a0f03011a100307020003
+070201030502010306020103070201030502010304020403050201030402030301020003010200030102ff035403011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d2603040203030302040304020103040205030402030304020303021a0803051a240305020203030200030102020303020203050203030302
+0003010202030302020304020503030202030402030301020003010200030102ff035403011a1403010c060a010d010c060a010d5d03001a0c03001a40030202ff038f03011a1403
+010c060a010d010c060a010d6b03001a40030202ff038f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6b03001a3f03
+0402ff038e03011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010d9f030202000303025b0303023c030002fa03011a1403010c060a010d010c060a010d13030b020803020473030202010302025b0303023b0301021103011a
+0203051a0403011ad603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030b020703010400030104360300043a030202
+010302025c0302023b0301021003011a0403011a0103011a0403011ad503011a1403010c060a010d010c060a010d1303010200030002000300020003000200030202070301040003
+0104360300043a030202010302025b030402390302021003011a0403011a0103011a0403011ad503161a010c060a010d010c060a010d130302020003000200030002000300020003
+010206030204380301043a03020201030202020303020203000200030102000301020303030203030402000300020203030201030302000302020303030204030302020302020003
+03020103030200030002020304020303040200030002010304020003000200030202010301020303030203030402000300020103040202030602030303020403011a0503011a0103
+011a0503011ad403161a010c060a010d010c060a010d1303010200030002000300020003000200030202060301040403010401030204040302040203010402030104080303040403
+03040303050403030304050302040003000403030204020301040103020402030004040300040a030702010305020103070201030502010307020103050200030802010305020203
+0502010302020003030200030602020301020003010202030702000307020003070201030502010307020003060201030602020305020303011a0503011a0103011a0503011a0503
+001acd03011a1402010c060a010d010c060a010d13030202000300020003000200030002000301020603010403030004000302040103010401030104010301040003030400030304
+050302040103010402030104010301040303010404030204010301040303010400030204010301040103010400030004000302040103010400030204020301040a03070200030202
+010302020003070200030202010302020003020200030302000302020103020200030302000302020003020201030202000302020103020200030202010302020003020200030202
+020301020003020201030202000303020003020200030302010306020003020201030202000302020003030200030102010302020203020204030202010302020203011a0503011a
+0003011a0603011a0403021acc03011a1402010c060a010d010c060a010d130301020003000200030002000300020003020206030104000300040303020401030104010301040103
+010401030004000300040003000400030104050301040203000407030104030301040403010402030104020301040203000402030104010301040203020401030104020301040103
+00040b030202010302020003020201030202000301020003010200030102000302020103020200030202000302020103020201030202000302020103020200030202010302020003
+020201030202000302020103020200030302010300020203010201030102010302020003020201030202000302020203030200030102000302020103020200030202000302020403
+03020203020204030202010302020203011a0503031a0703011a0503001acd03011a1402010c060a010d010c060a010d130302020003000200030002000300020003010204030404
+040301040503010402030104010300040003010401030104040301040903030404030104030301040203010403030104010301040103010402030104020301040803000401030004
+0b0302020103020200030202010302020003010200030102000301020003020201030202000302020003020201030702000302020103020200030702000302020103020200030202
+01030202010304020203060201030202000302020103020200030202020302020403070200030202000302020203050202030202040307020203011a0503011a0003011a0603011a
+d403011a1402010c060a010d010c060a010d130301020003000200030002000300020003020203030004000301040603010405030104020301040003010400030104000301040503
+0104070301040103010403030104040304040503040402030104020301040203010408030004000300040c0302020103020200030202010302020003010200030102000301020003
+020201030202010304020203020205030202010302020003020205030202010302020003020201030202000300020103030201030702010304020303040203030202040302020603
+0402020302020003020202030202040302020703011a0503011a0103011a0503011ad403011a1402010c060a010d010c060a010d1303020200030002000300020003000200030102
+05030104050301040603010401030104010301040003000401030104050301040603010402030104030301040403010407030104060301040103010402030104090302040c030202
+010302020003020201030202000301020003010200030102000302020103020200030302040303020103010200030202010302020003030201030102000302020103020200030202
+00030302000302020003020201030102020302020003030204030302050302020403030201030102000303020403020200030202020302020003010201030302010301020203011a
+0503011a0103011a0503011ad403011a1402010c060a010d010c060a010d13030b020503010405030104060301040103010401030004010300040103000407030104020300040103
+010401030204000300040103010401030004020301040203000402030404030301040103010402030104090301040d03020201030202010305020103010200030102000301020103
+05020103060202030a020003030201030602010305020103070200030602000303020003030200030602010306020103040204030602000306020103070201030502020306020303
+011a0403011a0203011a0303011a0603001acd03011a1402010c060a010d010c060a010d13030b020503010405030104070302040303000404030004080303040303020401030104
+0303020404030304040304040303020404030104090300040e0302020003030202030302020301020003010200030102020303020303060202030402000303020003030202030402
+030303020303030200030102000300020003030201030302000303020103060201030602000304020503040202030602010302020003020202030302040304020403011a0303031a
+0103011a0303011a0503021acc03011a000212030002010c060a010d010c060a010d250300041e0300042a030004030300041603010432030202010302023f030202010302020003
+02020103020212030202010302021f03011a0d03011a0703001acd03011a010210030102010c060a010d010c060a010d23030204490301040203010414030204330307023f030702
+0003070212030702ff030803011a02020e030202010c060a010d010c060a010d230301044b0304041503010435030502410305020203050214030502ff030903011a03020c030302
+010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a
+060206030602010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03
+ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff1aff1a421a1402010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003161a010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03c803751a1803010c060a010d
+010c060a010dff03c803751a1803010c060a010d010c060a010d9e030102210300027c0300024e0304020403010204030402050300021a03751a1803010c060a010d010c060a010d
+1403020401030204040300047a0303021f0301027b0301024d0306020203030203030402040301021a03751a1803010c060a010d010c060a010d1503010402030104030302047a03
+0102200301027b0301024d030202000302020303010206030202040301021a03751a1803010c060a010d010c060a010d1503010402030004050300049d0302027a0302024d030202
+10030202030302021a03751a1803010c060a010d010c060a010d15030104020300043603030200030202020304020203000200030102000301020303030203030302000300021403
+030200030002020304020303040200030402000302020203040202030602010302020003030200030202010301020303030203030302000300021c03010200030302020304020203
+02020103010202030402020300020003010200030102030303020203060203030302020302020103010202030302000300022e030502030304020503020202030602030303020203
+0202010301020503751a1803010c060a010d010c060a010d15030104010300040303030405030304010301040403000403030304050300040c030802000306020103070201030502
+01030602130306020203040202031002000306020103060201030202000303020003070201030502010306021c030702000306020103070200030602010307020103050201030602
+0203050201030702000306022e03050203030402050302020203060202030502010307020403751a1803010c060a010d010c060a010d150301040103000405030104030302040103
+010401030104020301040103020401030104030302040c03030200030202000301020103020201030702000302020103020200030202000302021303020200030202040302020203
+0202000303020003030200030202000301020103020202030202040302020103020201030602000302020103020200030202000302021c0303020003020200030102010302020203
+060200030102010302020103070200030202010302020103020204030202010302020103060200030202000302022f03020207030202050302020303020204030202010302020103
+06020403751a1803010c060a010d010c060a010d150301040103000404030104040301040203010401030104020301040103010402030004050300040d0302020103020203030302
+010301020003010200030102000302020103020200030302010300021303030201030002040302020203020200030202010302020103020203030302020302020403020201030202
+0103030200030102000302020103020200030302010300021c0302020103020203030302020303020003010203030302010301020003010200030102000302020103020201030202
+0403020201030202010303020003010200030302010300022f030202070302020503020203030202040302020103020201030302000301020403751a1803010c060a010d010c060a
+010d15030104000300040503010403030104020301040203010402030004030301041703020201030202010305020103010200030102000301020003070201030402150304020503
+020202030202000302020103020201030202010305020203020204030202010302020103020204030702010304021d03020201030202010305020203020205030502010301020003
+01020003010200030702010302020403070201030202050304023003020207030202050302020303020204030702010302020803751a1803010c060a010d010c060a010d15030104
+000300040503010403030404030301040103000400030004040302041503020201030202000302020003020201030102000301020003010200030202050300020103030213030002
+01030302040302020303040202030202010302020003020200030202020302020403020201030202010302020403020205030002010303021c030202010302020003020200030202
+0203020204030202000302020103010200030102000301020003020206030202040302020603020204030002010303022f0302020703020205030202030302020403020206030202
+0803751a1803010c060a010d010c060a010d150301040003000404030104040301040603010400030104000300040203000402030104140302020103020200030202000302020103
+010200030102000301020003030201030102000302020003020213030202000302020403020202030302040302020103020200030202000302020203020200030102010302020003
+030201030202040303020103010200030202000302021c03020200030302000302020003020202030202040302020003020201030102000301020003010200030302010301020103
+02020003010201030302010301020103020204030202000302022f030202070302020503020203030202000301020103030201030102010302020803751a1803010c060a010d010c
+060a010d1503020405030104010300040203010402030004010306040103010401030204040300040d03030200030302000307020003010200030102000301020103060200030602
+13030602020306020003060200030302000303020003070201030502010307020003040204030602000306021c030602010307020003040203030702000301020003010200030102
+01030602010305020203060200030402030306022e03040204030602010306020103050202030602000304020703751a1803010c060a010d010c060a010d15030104070302040403
+0304030301040003010403030304050302040c0303020003030201030202000302020003010200030102000301020203040201030002000303021403000200030302030306020103
+0a02000303020103020200030202020303020303030200030102000304020503040201030002000303021d0305020303020200030202000304020403020200030202000301020003
+0102000301020203040203030302040304020103040203030002000303022f03040204030602010306020203030204030402010304020703751a1803010c060a010d010c060a010d
+430300045f030202010302025a030202bd03751a1803010c060a010d010c060a010da40307025a030202bd03751a1803010c060a010d010c060a010da50305025a030402bc03751a
+1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803041a0803671a1803010c060a010d
+010c060a010dff03c803041a0803671a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03260303020303010206030002070301024f030302
+270301020f030002070301027b03010c060a010d010c060a010da8030004100300046a0303020203030204030102060303024e030302260303020d030102060303027a03010c060a
+010d010c060a010da70302040e0302046a03020203030102050301020703010250030202270301020e030102070301027b03010c060a010d010c060a010da8030004100300046b03
+02020a0302025a030202370302028503010c060a010d010c060a010d53030202000303020103030200030002020304020303040200030002020303028b0302020003010202030302
+010303020003020203030502010304020203060202030402040303020103030200030202020303020003000230030502020303020303030200030002030302020003010200030202
+0103010202030402020301020003030201030602020304020403030201030302000302026703010c060a010d010c060a010d53030202000303020003060201030602010307020103
+050216030204020301040103020402030304060302040003000401030304030301040103010404030304390306020103050200030802010306020103040202030602020304020303
+050200030802000306022f030602010305020103060202030602000307020103040202030702000306020203040203030502000308026603010c060a010d010c060a010d53030202
+010302020003020200030202010301020103020201030202000303020003020201030202130301040103010400030004000302040103010403030104050301040003020403030104
+020300040003000400030304010302040103010437030302000302020003020201030202000303020003020200030202000303020303020203030202070302020203020201030202
+000303020003020200030202000302022e03020200030302000302020103020200030202000302020103030200030202010306020303020202030302000302020103020207030202
+020302020103020200030302000302026603010c060a010d010c060a010d530302020103020200030302010300020403030201030202000302020103020201030202130301040103
+010402030204010301040203010405030104020300040303010405030204000301040103010402030004380302020203010200030202010302020003020201030202000302020103
+02020303020203030202070302020203020201030202000302020103020200030302010300022e030202010302020003020201030202000303020103000201030202020301020103
+0302000301020303020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d53030202010302020103040203030502
+010302020003020201030702120301040203010402030104070301040503010401030104030301040503010401030104020301043b03020205030202010302020003020201030202
+000302020103020203030202030302020703020202030202010302020003020201030202010304022f03020201030202000307020103040202030202060302020703020202030202
+010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d530302020103020200030002010303020103020200030202020304020203
+020217030104020301040203010407030104050304040403010404030104020300040403020439030202050302020103020200030202010302020003020201030202030302020303
+0202070302020203020201030202000302020103020200030002010303022e0302020103020200030202050300020103030201030202060302020703020202030202010302020103
+020207030202020302020103020200030202010302026603010c060a010d000c090d5303020200030302000302020003020201030202000302020103030204030302010301021203
+010401030104020301040703010405030104070301040503010401030104020300040203010438030302010301020003020201030202000302020103020200030202010302020303
+02020303020200030102040302020203020201030202000302020103020200030202000302022e030202010302020003030201030102000302020003020201030302010301020103
+0202070302020203020200030302010302020003010204030202020302020103020200030202010302026603010c080d090c000d5303070200030602010307020003060202030602
+120301040103010402030104070301040103000402030404040301040103000402030104010301040003020401030204390306020103050200030302000303020103060201030602
+0103050202030602010305020003030200030302000306022f0306020103060200030602020306020003040204030602000306020203050202030602010305020003030200030302
+6603090c000d010c060a010d540303020003010200030002000303020303020200030202010306020203040214030204040301040803020404030404040302040203010403030104
+010303043c03040203030302010303020003030202030202000301020103060202030302030306020203030201030302000303020003000200030302310302020003010202030402
+01030002000303020403040201030402040306020003050204030302030306020203030201030302000303026603010c060a010d010c060a010d6e03020201030202360300040303
+0004ff03100302028f03010c060a010d010c060a010d6e0307023503010402030104ff03100302028f03010c060a010d010c060a010d6f03050237030404ff03100304028e03010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d
+010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-parameter.ps b/books/ps/h-parameter.ps
new file mode 100644
index 0000000..579b6f3
--- /dev/null
+++ b/books/ps/h-parameter.ps
@@ -0,0 +1,926 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:51:58 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c0202030202
+020304020203070202030902011a3b02011a2a03071a0703031a0e03001a1003001a1e03031a1a03021a0503021a0a03031a2903001a0703001a2703031a4503011a040202030402
+020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a
+2a03071a0603011a0103011a0c03021a0e03021a1c03011a0103011a1803011a0003011a0303001a0103011a0803011a0103011a2803001a0603021a2503011a0103011a4403011a
+040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d010c060a010d050202030d0202030002020305020203070202030902
+011a3b02011a2a03001a0403001a0603011a0303011a0c03001a1003001a1d03011a0103011a1703011a0203011a0203001a0103011a0703011a0303011a2603011a0703001a2603
+011a0103011a4403011a0402020304020203020202030302020302020b03020202030902011a180208031902010c060a010d010c060a010d050202030e0204030602020307020203
+0902011a3b02011a2f03001a0703011a0303011a3d03011a1b03011a0203011a0103011a0203011a0603011a0303011a2603011a2f03011a4803011a040202030402020302020203
+03020203020202030002030300020203020202030902011a16020c031702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a2e03011a0703
+011a0303011a0003011a0003031a0203031a0403031a0003011a0103031a0303011a0003021a0303031a0003001a0803011a0603031a0203011a0003031a0603021a0103001a0203
+011a0203011a0603011a0303011a0003011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0403
+011a0003031a0303031a0203001a0003011a0003011a2a03011a04020a030202020303020203020202030002030300020203020207030402011a140210031502010c060a010d010c
+060a010d050209030802020307020203070202030902011a3b02011a2d03011a0803011a0303011a0103021a0103011a0303011a0303011a0103011a0003001a0303011a0403011a
+0103011a0103011a0203011a0703041a0303011a0103011a0203021a0103011a0603031a0303011a0203011a0603011a0303011a0103021a0003011a0203011a0103011a0203021a
+0103011a0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011a0703041a0303021a0103011a0103011a0103011a0103011a0003011a
+0003011a2903011a04020a030202020303020203020202030102010301020203020208030302011a120214031302010c060a010d010c060a010d0502090308020203070202030702
+02030902011a3b02011a2d03011a0803011a0303011a0103011a0203011a0303011a0303011a0103011a0503011a0403011a0103011a0103011a0303001a0803011a0403011a0303
+011a0103011a0203011a0703021a0303011a0203011a0603011a0303011a0103011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303011a0703011a0303
+011a0303011a0103011a0103011a0103011a0303001a0803011a0503011a0203011a0003011a0303011a0003011a0003011a0003011a2903011a04020a0302020203030202030202
+02030102010301020203020208030302011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a2c03011a0903011a0303011a
+0103011a0803011a0303011a0103011a0503011a0403011a0103011a0203021a0b03011a0403011a0303011a0103011a0c03031a0203011a0203011a0603011a0303011a0103011a
+0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0203021a0b03011a0503011a0503011a0303011a0003011a0003011a0003011a
+2903011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030e02040306020203070202030902
+011a3b02011a2c03011a0903011a0303011a0103011a0803011a0403031a0603011a0403011a0103011a0403021a0903011a0403011a0303011a0103011a0b03001a0103021a0103
+011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0603011a0103011a0303011a0703011a0303011a0303011a0103011a0103011a0403021a0903011a0503
+011a0503011a0303011a0003011a0003011a0003011a2903011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c
+060a010d050202030d0202030002020305020203070202030902011a3b02011a2b03021a0903011a0303011a0103011a0803011a0303001a0a03011a0403011a0103011a0103001a
+0303011a0803011a0403011a0303011a0103011a0a03011a0203011a0103011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a
+0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0503011a0503011a0303011a0003011a0003011a0003011a2903011a040202030402020302020203
+030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030d0202030002020305020203070202030902011a3b02011a2b03011a0b03
+011a0103011a0203011a0803011a0303051a0503011a0403011a0103011a0103011a0203011a0803011a0503011a0103011a0203011a0a03011a0203011a0203011a0103001a0803
+011a0103011a0203011a0103011a0203011a0203001a0203011a0503011a0103021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0803
+011a0503011a0603011a0103011a0103011a0003011a0003011a2903011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a
+010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a2b03011a0c03031a0203041a0403051a0203051a0203051a0103021a0003031a0003001a
+0003031a0803031a0503031a0203041a0803011a0203011a0203011a0103001a0903031a0303041a0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a
+0003031a0003001a0003031a0803031a0303041a0503031a0203011a0003011a0003011a2903011a040202030402020302020203030202030202020305020203020202030902011a
+15020e031602010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a2b03001a2603001a0403001a4203041a0403021a1203011a9f03
+011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a
+3b02011a5303011a0203011a6203011a9f03011a040202030402020302020203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d050209030402
+02030402020303020203070202030902011a3b02011a5403041a6203031a9e03011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c
+060a010d05020a03020202030602020302020203070202030902011a3b02011aff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a
+010d010c060a010d06020903030201030702010303020103080201030902011a3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02
+010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a
+3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03
+011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6a03051a2003001a13030004
+040300041f0300041003010403030504040300046d03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0103011a1e03021a12030004030301040d03
+00040f0302040e0300040603010401030104040300046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a1e03001a1303010402030104
+0d030004100300040e0301040603010401030104040300046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a33030104010301040d03
+01041f0301040703010401030104040301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0203031a0203001a0003011a0003011a
+0203041a0303031a0303011a0003021a0803050403030304030305040103010401030204020303040403010402030104010301040603010401030104050301046b03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0103011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0603
+060402030104010301040303010403030004000302040103010403030104030300040003010400030104010301040703010401030104050301046b03011a3b02011a3b02010c060a
+010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0603000400030204
+000300040603010403030104050302040103010402030104060303040203010407030404060301046b03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03
+011a0203011a0003011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011a060300040103000401030004030303040403010405030104070301040703
+02040203010407030304060301046c03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a
+0103011a0103011a0403011a0403011a0103011a0603000403030004020301040103010403030104060301040703010406030204030301040603010400030104060301046c03011a
+3b02011a3b02010c060a010d010c060a010d3b02011a3b02011a6b03011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103
+011a050300040403000401030104020301040303010405030104070301040603010400030104020301040603010401030104040301046d03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011a6b03011a0103011a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a050300040403000401030104
+01030204000300040103010401030004020301040703010401030004030300040103010400030004010300040603010401030104040301046d03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011a6a03051a0403031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a040301040203020401030204010301040303
+020403030104080302040203010403030104020300040503030401030104020300046f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011add0300040d030104
+7003011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a
+3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d
+010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02
+011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a
+010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03
+ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff03
+4003011a080202030802010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a
+010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a03020c030302010c060a
+010d010c060a010dff03ff034003011a02020e030202010c060a010d010c060a010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a00021203
+0002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a
+010d010c060a010dff03ff034003011a1402010c060a010d010c060a010da00303023c030002ff035d03011a1402010c060a010d010c060a010d13030b0208030204740303023b03
+0102ff035d03011a1402010c060a010d010c060a010d13030b020703010400030104360300043c0302023b030102ff035d03011a1402010c060a010d010c060a010d130301020003
+00020003000200030002000302020703010400030104360300043b03040239030202ff035d03161a010c060a010d010c060a010d1303020200030002000300020003000200030102
+06030204380301043b030402030304020003000201030402000300020003020201030102030303020303040200030002010304020203060203030302ff035203161a010c060a010d
+010c060a010d130301020003000200030002000300020003020206030104040301040103020404030204020301040203010408030304040303040303050403030304050302040003
+000403030204020301040103020402030004040300040b0301020003010202030702000307020003070201030502010307020003060201030602020305020403001aff034b03011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d130302020003000200030002000300020003010206030104030300040003
+020401030104010301040103010400030304000303040503020401030104020301040103010403030104040302040103010403030104000302040103010401030104000300040003
+02040103010400030204020301040b030102000302020103020200030302000302020003030201030602000302020103020200030202000303020003010201030202020302020403
+0202010302020203021aff034a03011a1402010c060a010d010c060a010d130301020003000200030002000300020003020206030104000300040303020401030104010301040103
+010401030004000300040003000400030104050301040203000407030104030301040403010402030104020301040203000402030104010301040203020401030104020301040103
+00040c0301020103010201030202000302020103020200030202020303020003010200030202010302020003020200030202040303020203020204030202010302020303001aff03
+4b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030202000300020003000200030002000301020403040404030104
+05030104020301040103000400030104010301040403010409030304040301040303010402030104030301040103010401030104020301040203010408030004010300040b030602
+0103020200030202010302020003020202030202040307020003020200030202020305020203020204030702ff035003011a00020003010200030102000301020003010200030102
+0003010200030002010c060a010d010c060a010d13030102000300020003000200030002000302020303000400030104060301040503010402030104000301040003010400030104
+05030104070301040103010403030104040304040503040402030104020301040203010408030004000300040c030702010304020303040203030202040302020603040202030202
+000302020203020204030202ff035503011a1402010c060a010d010c060a010d13030202000300020003000200030002000301020503010405030104060301040103010401030104
+0003000401030104050301040603010402030104030301040403010407030104060301040103010402030104090302040c0301020203020200030302040303020503020204030302
+0103010200030302040302020003020202030202000301020103030201030102ff035003011a01020003010200030102000301020003010200030102000301020003010c060a010d
+010c060a010d13030b020503010405030104060301040103010401030004010300040103000407030104020300040103010401030204000300040103010401030004020301040203
+000402030404030301040103010402030104090301040c0303020003030200030602010306020103040204030602000306020103070201030502020306020303001aff034b03011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d13030b020503010405030104070302040303000404030004080303040303
+0204010301040303020404030304040304040303020404030104090300040d0303020003030201030602010306020003040205030402020306020103020200030202020303020403
+04020303021aff034a03011a1402010c060a010d010c060a010d250300041e0300042a03000403030004160301041703020201030202000302020103020212030202010302021e03
+001aff034b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d230302044903010402030104140302041803070200030702
+12030702ff036b03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d230301044b030404150301041a03050202030502
+14030502ff036c03011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010d
+ff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003
+0102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a
+010dff03ff034003011a1402010c060a010d010c060a010d27030102000301021103001a250301020203020212030102020302021e03000207030102150306020d030002ff036103
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d27030102000301021103001a250302020103020212030202010302021d03
+010206030302140306020c030102ff036103011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d27030102000301020f03
+051a220302020203010212030202020301021d03010207030102170302020e030102ff036103011a1402010c060a010d010c060a010d250306020e03011a0003001a0003011a2203
+03020103010212030302010301021c030202210302020d030202ff036103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+250306020e03011a0003001a0103001a0f03011a10030302010301020203030201030302000302020103030201030102020303020303040200030002010304020203060202030402
+02030202010302020203030204030202020303020003020201030602030303020303040200030002020303020203020201030102ff033a03011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010d26030102000301020403001a0903011a0003001a1203031a0e03040200030102010305020003080200030402
+00030102010305020103070200030602010306020203040202030202010302020103050203030202020308020003060202030502010307020103050201030702ff033903011a1402
+010c060a010d010c060a010d26030102000301020303021a0803031a1403031a0c030102000301020003010200030202010302020003030200030202000301020003010200030102
+000302020103020200030202000303020003010201030202020302020703020202030202010302020003020201030202020302020303030200030202010302020403020201030202
+0003020200030302000302020103020201030602ff033903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d260301020003
+01020403001a0a03041a0703071a0403031a0a0301020003040200030202010302020003020201030202000301020003040200030202010302020003020200030202040303020203
+02020703020203030202000301020103020201030202020302020303020201030202010302020403020201030202000302020003020201030202010302020103030200030102ff03
+3903011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d240306021203031a0603071a0403031a0a030102010303020003
+020201030202000302020103020200030102010303020003070200030202000302020203050202030202070302020303020200030102010307020203020203030202010302020103
+02020403070200030202000302020103070201030202ff033d03011a1402010c060a010d010c060a010d240306021203001a0003011a1103031a0c03010201030302000302020103
+020200030202010302020003010201030302000302020603040202030202000302020203020207030202030304020203020207030202030302020103020201030202040302020603
+04020203020206030202ff033d03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030102000301021003001a0103001a
+0003011a0f03031a0e030102020302020003020201030202000302020103020200030102020302020003030201030102000303020403020200030202020302020003010204030202
+0403030202030302010301020203020203030202010302020103020200030102010303020103010200030302040303020103010201030202ff033d03011a00020003010200030102
+0003010200030102000301020003010200030002010c060a010d010c060a010d25030102000301020503001a0903011a0003001a0003011a0f03011a100302020103020201030502
+000303020003030200030202010302020103060200030602010307020103050202030602020302020403060200030602000303020003030201030502020306020003060202030602
+00030402ff033c03011a1402010c060a010d010c060a010d25030102000301020403021a0803051a2303020202030102020303020103030200030302000302020203010202030402
+020306020103020200030202020303020303060202030202050304020103060200030302000303020203030204030402020306020203040201030402ff033c03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d25030102000301020503001a0c03001a52030202010302025103020201030202ff034b03011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d3e03001a5203070251030702ff034b03011a1402010c060a010d010c060a
+010d3e03001a5303050253030502ff034c03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003
+0102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a00020003010200030102000301020003010200030102000301020003
+0002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d5903001a2303001aff03c003
+011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d5903001a2303001aff03c003011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d5703051a1e03051aff03bd03011a1403010c060a010d010c060a010d5603011a0003001a0003011a1d03011a0003
+001a0003011aff03bd03011a1403010c060a010d010c060a010d260302020003010202030302020301020003030201030302000302020e03011a0003001a0103001a0f03011a0b03
+011a0003001a0103001aff03bd03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030602010305020103070200030302
+000302020303001a0903011a0003001a1203031a0903011a0003001aff03c003011a1403010c060a010d010c060a010d240303020003020200030202010302020003030200030202
+00030202010302020203021a0803031a1403031a0703031aff03c003011a1403010c060a010d010c060a010d24030202020301020003020201030202000302020103020201030202
+000301020403001a0a03041a0703071a0403031a0603041aff03be03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2403
+020205030202010302020003020201030202010305021203031a0603071a0403031a0803031aff03bd03011a1403010c060a010d010c060a010d2403020205030202010302020003
+020201030202020303021303001a0003011a1103031a0a03001a0003011aff03bd03011a1403010c060a010d010c060a010d24030302010301020003020201030202000302020003
+0302020303021003001a0103001a0003011a0f03031a0903001a0103001a0003011aff03bd03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d250306020103050201030602040301020603001a0903011a0003001a0003011a0f03011a0b03011a0003001a0003011aff03bd03011a1403010c060a010d010c
+060a010d260304020303030202030502040302020503021a0803051a1e03051aff03be03011a1403010c060a010d010c060a010d36030202060302020703001a0c03001a2303001a
+ff03c003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d36030202050303021503001a2303001aff03c003011a1403010c
+060a010d010c060a010d35030402040302021603001a2303001aff03c003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d420300024c03001aff03ae03011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d410301021f03011a0403011a2303001aff03ae03011a1403010c060a010d010c060a010d410301021e03011a0603011a2003051aff03ab03
+011a1403010c060a010d010c060a010d400302021e03011a0603011a1f03011a0003001a0003011aff03ab03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d2603030202030002000301020003010201030102000303020103060201030302000302021003011a0803011a1003011a0b03011a0003001a0103
+001aff03ab03011a1403010c060a010d010c060a010d2503050201030702000307020003060201030302000302020303001a0b03011a0803011a1003031a0903011a0003001aff03
+ae03011a1403010c060a010d010c060a010d24030202010302020003070200030302000302020103020204030202010302020203021a0a03011a0803011a1203031a0703031aff03
+ae03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d24030202010302020003010200030102000301020003020201030202
+0103020205030202000301020403001a0b03011a0803011a0703071a0403031a0603041aff03ac03011a1403010c060a010d010c060a010d24030702000301020003010200030102
+000302020103020201030202050305021103011a0803011a0703071a0403031a0803031aff03ab03011a1403010c060a010d010c060a010d24030202050301020003010200030102
+000302020103020201030202060303021203011a0803011a1203031a0a03001a0003011aff03ab03011a01020003010200030102000301020003010200030102000301020003010c
+060a010d010c060a010d240303020103010200030102000301020003010200030202000303020103020200030102030303021203011a0803011a1003031a0903001a0103001a0003
+011aff03ab03011a1403010c060a010d010c060a010d250306020003010200030102000301020003060202030502040301020603001a0c03011a0603011a1103011a0b03011a0003
+001a0003011aff03ab03011a1403010c060a010d010c060a010d260304020103010200030102000301020003050204030302040302020503021a0b03011a0603011a1f03051aff03
+ac03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d360302020f0302020703001a0d03011a0403011a2303001aff03ae03
+011a1403010c060a010d010c060a010d360302020e0303024303001aff03ae03011a1403010c060a010d010c060a010d350304020d0302024403001aff03ae03011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d
+010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d420300022703001a2503060214030402ff038c03011a1403010c060a010d010c060a010d410301020f0303021303001a2503
+070213030402ff038c03011a1403010c060a010d010c060a010d410301020e0305021003051a230302020003020215030202ff038c03011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010d400302020d030202010302020e03011a0003001a0003011a230302020003020215030202ff038c03011a1403010c060a
+010d010c060a010d26030302020300020003010200030102010301020003030201030602010303020003020200030302000302020e03011a0003001a0103001a0f03011a11030202
+0003020202030302040303020503020204030302030304020103030200030202ff037003011a1403010c060a010d010c060a010d2503050201030702000307020003060201030302
+0003020201030102010302020303001a0903011a0003001a1203031a0f030502020305020203050204030202030305020103060200030802ff036f03011a01020003010200030102
+000301020003010200030102000301020003010c060a010d010c060a010d2403020201030202000307020003030200030202010302020403020201030202040302020303021a0803
+031a1403031a0d0305020103020201030202000302020103020203030202020302020103020200030102010302020103030200030202ff036f03011a1403010c060a010d010c060a
+010d24030202010302020003010200030102000301020003020201030202010302020503020200030102040302020503001a0a03041a0703071a0403031a0b030202000302020003
+0202010302020003020201030202030302020203020201030202030303020103020201030202ff036f03011a1403010c060a010d010c060a010d2403070200030102000301020003
+010200030202010302020103020205030502030302021403031a0603071a0403031a0b03020200030202000302020103020200030202010302020303020202030702010305020103
+020201030202ff036f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2403020205030102000301020003010200030202
+010302020103020206030302050301021403001a0003011a1103031a0d03020200030202000302020103020200030202010302020303020202030202050302020003020201030202
+01030202ff036f03011a1403010c060a010d010c060a010d240303020103010200030102000301020003010200030202000303020103020200030102030303021903001a0103001a
+0003011a0f03031a0f030202000302020003020201030202000302020103020203030202020303020103010200030202000302020103020201030202ff036f03011a1403010c060a
+010d010c060a010d25030602000301020003010200030102000306020203050204030102060301020603001a0903011a0003001a0003011a0f03011a100307020103050202030502
+020306020103060200030b0200030302ff036f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d26030402010301020003
+010200030102000305020403030204030202050303020403021a0803051a2303060203030302040303020303060202030402020302020003060200030302ff036f03011a1403010c
+060a010d010c060a010d360302020f030202070301020603001a0c03001aff03d303011a1403010c060a010d010c060a010d360302020e0303021e03001aff03d303011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d350304020d0302021f03001aff03d303011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d5903001a1003001a2e03060214030402
+ff038303011a1403010c060a010d010c060a010d380303021403011a0503001a1003001a0603011a2503070213030402ff038303011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d370305021203011a0403051a0b03051a0403011a250302020003020215030202ff038303011a1403010c060a010d010c060a
+010d36030202010302021103011a0303011a0003001a0003011a0a03011a0003001a0003011a0403011a250302020003020215030202ff038303011a1403010c060a010d010c060a
+010d26030302040302020003010200030302000302021003011a0403011a0003001a0103001a0a03011a0003001a0103001a0503011a1003011a1103020200030202020303020403
+03020503020204030302030304020103030200030202ff036703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d25030502
+0203060201030102010302020303001a0b03011a0403011a0003001a0d03011a0003001a0803011a1003031a0f030502020305020203050204030202030305020103060200030802
+ff036603011a1403010c060a010d010c060a010d24030202010302020003020201030202040302020303021a0a03011a0403031a0d03031a0803011a1203031a0d03050201030202
+01030202000302020103020203030202020302020103020200030102010302020103030200030202ff036603011a1403010c060a010d010c060a010d240302020103020200030202
+01030202030302020503001a0b03011a0503041a0c03041a0603011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203020201030202
+030303020103020201030202ff036603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2403070200030202010302020203
+02021303011a0703031a0d03031a0503011a0703071a0403031a0b03020200030202000302020103020200030202010302020303020202030702010305020103020201030202ff03
+6603011a1403010c060a010d010c060a010d240302020503020201030202030301021303011a0703001a0003011a0d03001a0003011a0503011a1203031a0d030202000302020003
+0202010302020003020201030202030302020203020205030202000302020103020201030202ff036603011a1403010c060a010d010c060a010d2403030201030102000303020003
+02021903011a0403001a0103001a0003011a0a03001a0103001a0003011a0503011a1003031a0f030202000302020003020201030202000302020103020203030202020303020103
+010200030202000302020103020201030202ff036603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2503060201030602
+030301020603001a0c03011a0303011a0003001a0003011a0403001a0403011a0003001a0003011a0403011a1103011a100307020103050202030502020306020103060200030b02
+00030302ff036603011a1403010c060a010d010c060a010d2603040203030502020303020403021a0b03011a0303051a0403021a0303051a0503011a240306020303030204030302
+0303060202030402020302020003060200030302ff036603011a1403010c060a010d010c060a010d32030202030301020603001a0d03011a0503001a0703011a0603001a0603011a
+ff03ca03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d320302022303001a0703011a0603001aff03d303011a1403010c
+060a010d010c060a010d310303022303001a0603011a0703001aff03d303011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d250304024003001a0d0301020203020212030102020302021e03000207030102150306020d03
+00025203060214030402d803011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d250304021f0303021403011a0503001a0d03
+02020103020212030202010302021d03010206030302140306020c0301022a03011a2503070213030402d803011a1403010c060a010d010c060a010d270302021e0305021203011a
+0403051a0a0302020203010212030202020301021d03010207030102170302020e0301022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d2703
+02021d030202010302021103011a0303011a0003001a0003011a0a0303020103010212030302010301021c030202210302020d0302022b03011a250302020003020215030202d803
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d270302020403030203030302000300020203030200030002010303020003
+02021003011a0403011a0003001a0103001a0a0303020103010202030302010303020003020201030302010301020203030203030402000300020103040202030602020304020203
+02020103020202030302040302020203030200030202010306020303030203030402000300020203030202030202010301020503011a1003011a1103020200030202020303020403
+03020503020204030302030304020103030200030202bc03011a1403010c060a010d010c060a010d2703020203030502010306020103060202030102010302020303001a0b03011a
+0403011a0003001a0d030402000301020103050200030802000304020003010201030502010307020003060201030602020304020203020201030202010305020303020202030802
+00030602020305020103070201030502010307020403011a1003031a0f030502020305020203050204030202030305020103060200030802bb03011a1403010c060a010d010c060a
+010d27030202020302020103020200030202000302020103020200030202050302020303021a0a03011a0403031a0d03010200030102000301020003020201030202000303020003
+020200030102000301020003010200030202010302020003020200030302000301020103020202030202070302020203020201030202000302020103020202030202030303020003
+020201030202040302020103020200030202000303020003020201030202010306020403011a1203031a0d0305020103020201030202000302020103020203030202020302020103
+020200030102010302020103030200030202bb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d27030202020302020103
+020200030302010300020103030201030002040302020503001a0b03011a0503041a0b03010200030402000302020103020200030202010302020003010200030402000302020103
+020200030202000302020403030202030202070302020303020200030102010302020103020202030202030302020103020201030202040302020103020200030202000302020103
+02020103020201030302000301020403011a0703071a0403031a0b030202000302020003020201030202000302020103020203030202020302020103020203030302010302020103
+0202bb03011a1403010c060a010d010c060a010d27030202020307020103040203030402040302021303011a0703031a0a0301020103030200030202010302020003020201030202
+000301020103030200030702000302020003020202030502020302020703020203030202000301020103070202030202030302020103020201030202040307020003020200030202
+01030702010302020803011a0703071a0403031a0b03020200030202000302020103020200030202010302020303020202030702010305020103020201030202bb03011a1403010c
+060a010d010c060a010d270302020203020205030002010303020103000201030302040301021303011a0703001a0003011a0a030102010303020003020201030202000302020103
+020200030102010303020003020206030402020302020003020202030202070302020303040202030202070302020303020201030202010302020403020206030402020302020603
+02020803011a1203031a0d0302020003020200030202010302020003020201030202030302020203020205030202000302020103020201030202bb03011a01020003010200030102
+000301020003010200030102000301020003010c060a010d010c060a010d270302020203030201030102000302020003020201030202000302021a03011a0403001a0103001a0003
+011a0a030102020302020003020201030202000302020103020200030102020302020003030201030102000303020403020200030202020302020003010204030202040303020203
+03020103010202030202030302020103020201030202000301020103030201030102000303020403030201030102010302020803011a1003031a0f03020200030202000302020103
+0202000302020103020203030202020303020103010200030202000302020103020201030202bb03011a1403010c060a010d010c060a010d25030602010306020003060201030602
+040301020603001a0c03011a0303011a0003001a0003011a0403001a0403020201030202010305020003030200030302000302020103020201030602000306020103070201030502
+02030602020302020403060200030602000303020003030201030502020306020003060202030602000304020603011a1103011a1003070201030502020305020203060201030602
+00030b0200030302bb03011a1403010c060a010d010c060a010d250306020203040201030002000303020203000200030302040303020403021a0b03011a0303051a0403021a0303
+020202030102020303020103030200030302000302020203010202030402020306020103020200030202020303020303060202030202050304020103060200030302000303020203
+0302040304020203060202030402010304020603011a2403060203030302040303020303060202030402020302020003060200030302bb03011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d4b0301020603001a0d03011a0503001a0703011a300302020103020251030202010302021403011aff031f03011a
+1403010c060a010d010c060a010d6b03001a0703011a3003070251030702ff033603011a1403010c060a010d010c060a010d6b03001a0603011a3203050253030502ff033703011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d6b03001a0d0301020203020212030102020302021e03000207030102150306020d0300025203060214030402
+d803011a1403010c060a010d010c060a010d4a0303021403011a0503001a0d0302020103020212030202010302021d03010206030302140306020c0301022a03011a250307021303
+0402d803011a1403010c060a010d010c060a010d490305021203011a0403051a0a0302020203010212030202020301021d03010207030102170302020e0301022b03011a25030202
+0003020215030202d803011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d48030202010302021103011a0303011a0003001a
+0003011a0a0303020103010212030302010301021c030202210302020d0302022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d240300020003
+0102000301020303030202030202010301020303030202030302000302021003011a0403011a0003001a0103001a0a03030201030102020303020103030200030202010303020103
+010202030302030304020003000201030402020306020203040202030202010302020203030204030202020303020003020201030602030303020303040200030002020303020203
+0202010301020503011a1003011a110302020003020202030302040303020503020204030302030304020103030200030202bc03011a1403010c060a010d010c060a010d24030702
+01030502010307020103050202030102010302020303001a0b03011a0403011a0003001a0d0304020003010201030502000308020003040200030102010305020103070200030602
+0103060202030402020302020103020201030502030302020203080200030602020305020103070201030502010307020403011a1003031a0f030502020305020203050204030202
+030305020103060200030802bb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d24030702000302020103020201030602
+0003020201030202040302020303021a0a03011a0403031a0d0301020003010200030102000302020103020200030302000302020003010200030102000301020003020201030202
+000302020003030200030102010302020203020207030202020302020103020200030202010302020203020203030302000302020103020204030202010302020003020200030302
+0003020201030202010306020403011a1203031a0d0305020103020201030202000302020103020203030202020302020103020200030102010302020103030200030202bb03011a
+1403010c060a010d010c060a010d240301020003010200030102000302020103020201030302000301020003020201030202030302020503001a0b03011a0503041a0b0301020003
+040200030202010302020003020201030202000301020003040200030202010302020003020200030202040303020203020207030202030302020003010201030202010302020203
+020203030202010302020103020204030202010302020003020200030202010302020103020201030302000301020403011a0703071a0403031a0b03020200030202000302020103
+02020003020201030202030302020203020201030202030303020103020201030202bb03011a1403010c060a010d010c060a010d2403010200030102000301020003020201030202
+0103020204030702020302021303011a0703031a0a030102010303020003020201030202000302020103020200030102010303020003070200030202000302020203050202030202
+070302020303020200030102010307020203020203030202010302020103020204030702000302020003020201030702010302020803011a0703071a0403031a0b03020200030202
+000302020103020200030202010302020303020202030702010305020103020201030202bb03011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d24030102000301020003010200030202010302020103020204030202080301021303011a0703001a0003011a0a03010201030302000302020103020200030202
+010302020003010201030302000302020603040202030202000302020203020207030202030304020203020207030202030302020103020201030202040302020603040202030202
+060302020803011a1203031a0d0302020003020200030202010302020003020201030202030302020203020205030202000302020103020201030202bb03011a1403010c060a010d
+010c060a010d24030102000301020003010200030202010302020103020204030302010301021903011a0403001a0103001a0003011a0a0301020203020200030202010302020003
+020201030202000301020203020200030302010301020003030204030202000302020203020200030102040302020403030202030302010301020203020203030202010302020103
+0202000301020103030201030102000303020403030201030102010302020803011a1003031a0f030202000302020003020201030202000302020103020203030202020303020103
+010200030202000302020103020201030202bb03011a1403010c060a010d010c060a010d240301020003010200030102010305020103040204030602030301020603001a0c03011a
+0303011a0003001a0003011a0403001a0403020201030202010305020003030200030302000302020103020201030602000306020103070201030502020306020203020204030602
+00030602000303020003030201030502020306020003060202030602000304020603011a1103011a100307020103050202030502020306020103060200030b0200030302bb03011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d240301020003010200030102020303020203040205030402030303020403021a
+0b03011a0303051a0403021a030302020203010202030302010303020003030200030202020301020203040202030602010302020003020202030302030306020203020205030402
+01030602000303020003030202030302040304020203060202030402010304020603011a2403060203030302040303020303060202030402020302020003060200030302bb03011a
+1403010c060a010d010c060a010d4b0301020603001a0d03011a0503001a0703011a300302020103020251030202010302021403011aff031f03011a1403010c060a010d010c060a
+010d6b03001a0703011a3003070251030702ff033603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6b03001a0603011a
+3203050253030502ff033703011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03
+ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010d300301023803001a0d0301020203020212030102020302021e03000207030102150306020d0300025203060214030402d803011a1403010c
+060a010d010c060a010d2f030302160303021403011a0503001a0d0302020103020212030202010302021d03010206030302140306020c0301022a03011a2503070213030402d803
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d30030102160305021203011a0403051a0a03020202030102120302020203
+01021d03010207030102170302020e0301022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d48030202010302021103011a0303011a0003001a
+0003011a0a0303020103010212030302010301021c030202210302020d0302022b03011a250302020003020215030202d803011a1403010c060a010d010c060a010d250303020003
+000202030402020307020203030202030302000302021003011a0403011a0003001a0103001a0a030302010301020203030201030302000302020103030201030102020303020303
+040200030002010304020203060202030402020302020103020202030302040302020203030200030202010306020303030203030402000300020203030202030202010301020503
+011a1003011a110302020003020202030302040303020503020204030302030304020103030200030202bc03011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d2403060202030402020307020103050202030102010302020303001a0b03011a0403011a0003001a0d0304020003010201030502000308020003
+0402000301020103050201030702000306020103060202030402020302020103020201030502030302020203080200030602020305020103070201030502010307020403011a1003
+031a0f030502020305020203050204030202030305020103060200030802bb03011a1403010c060a010d010c060a010d240302020003020204030202020301020103030200030202
+01030202040302020303021a0a03011a0403031a0d030102000301020003010200030202010302020003030200030202000301020003010200030102000302020103020200030202
+000303020003010201030202020302020703020202030202010302020003020201030202020302020303030200030202010302020403020201030202000302020003030200030202
+01030202010306020403011a1203031a0d0305020103020201030202000302020103020203030202020302020103020200030102010302020103030200030202bb03011a1403010c
+060a010d010c060a010d24030302010300020403020202030002010303020103020201030202030302020503001a0b03011a0503041a0b0301020003040200030202010302020003
+020201030202000301020003040200030202010302020003020200030202040303020203020207030202030302020003010201030202010302020203020203030202010302020103
+020204030202010302020003020200030202010302020103020201030302000301020403011a0703071a0403031a0b03020200030202000302020103020200030202010302020303
+02020203020201030202030303020103020201030202bb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d250304020503
+02020403030202030702020302021303011a0703031a0a03010201030302000302020103020200030202010302020003010201030302000307020003020200030202020305020203
+0202070302020303020200030102010307020203020203030202010302020103020204030702000302020003020201030702010302020803011a0703071a0403031a0b0302020003
+0202000302020103020200030202010302020303020202030702010305020103020201030202bb03011a1403010c060a010d010c060a010d24030002010303020403020203030302
+0103000200030202080301021303011a0703001a0003011a0a0301020103030200030202010302020003020201030202000301020103030200030202060304020203020200030202
+0203020207030202030304020203020207030202030302020103020201030202040302020603040202030202060302020803011a1203031a0d030202000302020003020201030202
+0003020201030202030302020203020205030202000302020103020201030202bb03011a1403010c060a010d010c060a010d24030202000302020403020202030302010301020003
+0302010301021903011a0403001a0103001a0003011a0a03010202030202000302020103020200030202010302020003010202030202000303020103010200030302040302020003
+020202030202000301020403020204030302020303020103010202030202030302020103020201030202000301020103030201030102000303020403030201030102010302020803
+011a1003031a0f030202000302020003020201030202000302020103020203030202020303020103010200030202000302020103020201030202bb03011a01020003010200030102
+000301020003010200030102000301020003010c060a010d010c060a010d24030602020306020003070201030602030301020603001a0c03011a0303011a0003001a0003011a0403
+001a04030202010302020103050200030302000303020003020201030202010306020003060201030702010305020203060202030202040306020003060200030302000303020103
+0502020306020003060202030602000304020603011a1103011a100307020103050202030502020306020103060200030b0200030302bb03011a1403010c060a010d010c060a010d
+2403000200030302030306020003070202030402030303020403021a0b03011a0303051a0403021a0303020202030102020303020103030200030302000302020203010202030402
+0203060201030202000302020203030203030602020302020503040201030602000303020003030202030302040304020203060202030402010304020603011a2403060203030302
+040303020303060202030402020302020003060200030302bb03011a1403010c060a010d010c060a010d4b0301020603001a0d03011a0503001a0703011a30030202010302025103
+0202010302021403011aff031f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6b03001a0703011a3003070251030702
+ff033603011a1403010c060a010d010c060a010d6b03001a0603011a3203050253030502ff033703011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010da0030202000301022803010202030302060304020a03080213030502
+0d0300021903000204030702f603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030b02080302047303060227030302
+01030302060304020a0308020d03011a020307020b03010218030102040307021d03011ad603011a1403010c060a010d010c060a010d13030b020703010400030104360300043a03
+0202000302022803010203030202080302020a03010200030202000301020c03011a03030202010302020b0301021803010205030202000302021e03011ad503011a1403010c060a
+010d010c060a010d13030102000300020003000200030002000302020703010400030104360300043a030202010301022e030202080302020d0302020f03011a0303020201030202
+0a0302021703020205030202010301021e03011ad503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1303020200030002
+00030002000300020003010206030204380301043a030202010301020303030204030302020302020103010203030202000301020103040202030502050302020403030204030202
+050303020403011a04030202010302020003020200030302000306020103010200030302010302020003030200030602020302020603030202030202010301020103000200030102
+000301020503011ad403011a1403010c060a010d010c060a010d13030102000300020003000200030002000302020603010404030104010302040403020402030104020301040803
+0304040303040303050403030304050302040003000403030204020301040103020402030004040300040a0302020603050202030502010307020103060201030402020306020403
+02020303050203030202040305020303011a040302020103020200030202000303020003060201030702000302020003030200030602020304020303050201030702000307020403
+011a0503001acd03011a1403010c060a010d010c060a010d130302020003000200030002000300020003010206030104030300040003020401030104010301040103010400030304
+00030304050302040103010402030104010301040303010404030204010301040303010400030204010301040103010400030004000302040103010400030204020301040a030202
+050302020103020200030202010302020103060200030302000302020303020202030302000302020303020202030202010302020203020203030202010302020203011a04030202
+01030202000302020103020201030202040303020003020200030202010302020103020205030402020302020103020201030602000307020403011a0403021acc03011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d130301020003000200030002000300020003020206030104000300040303020401030104
+010301040103010401030004000300040003000400030104050301040203000407030104030301040403010402030104020301040203000402030104010301040203020401030104
+02030104010300040b030202050302020103020200030202010302020103030200030102000302020203010203030202020302020103020203030202020302020103020202030202
+03030202010302020203011a040302020103020200030202010302020103020204030202010302020003020201030202010302020503020204030202010302020103030200030102
+0003010200030102000301020403011a0503001acd03011a1403010c060a010d010c060a010d13030202000300020003000200030002000301020403040404030104050301040203
+01040103000400030104010301040403010409030304040301040303010402030104030301040103010401030104020301040203010408030004010300040b030202050302020103
+020200030702010302020403020208030202020302020103020203030202020307020203020203030202010302020203011a04030202010302020003020201030202010302020403
+020201030202000302020103020201030202050302020403020201030202010302020403010200030102000301020403011ad403011a1403010c060a010d010c060a010d13030102
+000300020003000200030002000302020303000400030104060301040503010402030104000301040003010400030104050301040703010401030104030301040403040405030404
+02030104020301040203010408030004000300040c030202010301020103020201030202000302020603020204030202080302020203020201030202030302020203020207030202
+03030202010302020203011a040302020103020200030202010302020103020204030202010302020003020201030202010302020503020204030202010302020103020204030102
+00030102000301020403011ad403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030202000300020003000200030002
+000301020503010405030104060301040103010401030104000300040103010405030104060301040203010403030104040301040703010406030104010301040203010409030204
+0c0302020103010201030202010302020003030201030102010302020403030201030102030302020203020201030202030302020203030201030102020302020303020201030202
+0203011a0403020201030202000302020003030201030202000301020103020200030302000302020003030201030202000301020203020204030202010302020103020204030102
+00030102000301020403011ad403011a1403010c060a010d010c060a010d13030b020503010405030104060301040103010401030004010300040103000407030104020300040103
+010401030204000300040103010401030004020301040203000402030404030301040103010402030104090301040d03060202030502020306020003040204030602010306020003
+0602020306020103060201030402030305020403011a0303070200030702010305020103060201030702010305020103040204030502010304020303010200030102000301020303
+011a0603001acd03011a1403010c060a010d010c060a010d13030b020503010405030104070302040303000404030004080303040303020401030104030302040403030404030404
+0303020404030104090300040f03040204030302040304020103040205030402020306020003010200030202030306020203040202030402040303020503011a0403050202030302
+0003010202030302020305020303030200030102020303020203040205030302020304020303010200030102000301020303011a0503021acc03011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d250300041e0300042a03000403030004160301047503011a1d0302023d03011a0703001acd03011a1403010c
+060a010d010c060a010d2303020449030104020301041403020496030202ff031603011a1403010c060a010d010c060a010d230301044b0304041503010496030402ff031503011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d6b03001a260305020d0300021903000204030702ff036f03011a1403010c060a010d010c060a010d6b03001a
+250307020b0301021803010204030702ff036f03011a1403010c060a010d010c060a010d6903051a22030202010302020b030102180301020503020200030202ff036f03011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6803011a0003001a0003011a22030202010302020a03020217030202050302020103
+0102ff036f03011a1403010c060a010d010c060a010d2603020200030102020303020403030202030202010301020303020200030102020303021003011a0003001a0103001a0f03
+011a1003020201030202000302020003030200030602010301020003030201030202000303020003060202030202060303020203020201030102010300020003010200030102ff03
+5503011a1403010c060a010d010c060a010d2503060201030502020305020103070201030602010305020403001a0903011a0003001a1203031a0e03020201030202000302020003
+0302000306020103070200030202000303020003060202030402030305020103070200030702ff035403011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d24030302000302020003020201030202000302020103020201030602000303020003020200030202010302020203021a0803031a1403031a0c030202
+0103020200030202010302020103020204030302000302020003020201030202010302020503040202030202010302020103060200030702ff035403011a1403010c060a010d010c
+060a010d2403020202030102000302020103020200030202010302020103030200030102000302020203010200030202010302020303001a0a03041a0703071a0403031a0a030202
+0103020200030202010302020103020204030202010302020003020201030202010302020503020204030202010302020103030200030102000301020003010200030102ff035403
+011a1403010c060a010d010c060a010d240302020503020201030202000307020103020204030202050307021103031a0603071a0403031a0a030202010302020003020201030202
+01030202040302020103020200030202010302020103020205030202040302020103020201030202040301020003010200030102ff035403011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d240302020503020201030202000302020603020204030202050302021603001a0003011a1103031a0c0302020103
+0202000302020103020201030202040302020103020200030202010302020103020205030202040302020103020201030202040301020003010200030102ff035403011a1403010c
+060a010d010c060a010d24030302010301020003020201030202000303020103010201030202040303020103010200030302010301020e03001a0103001a0003011a0f03031a0e03
+020201030202000302020003030201030202000301020103020200030302000302020003030201030202000301020203020204030202010302020103020204030102000301020003
+0102ff035403011a1403010c060a010d010c060a010d2503060201030502020306020003040204030602010306020303001a0903011a0003001a0003011a0f03011a100307020003
+070201030502010306020103070201030502010304020403050201030402030301020003010200030102ff035403011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010d2603040203030302040304020103040205030402030304020303021a0803051a240305020203030200030102020303020203050203030302
+0003010202030302020304020503030202030402030301020003010200030102ff035403011a1403010c060a010d010c060a010d5d03001a0c03001a40030202ff038f03011a1403
+010c060a010d010c060a010d6b03001a40030202ff038f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d6b03001a3f03
+0402ff038e03011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010d9f030202000303025b0303023c030002fa03011a1403010c060a010d010c060a010d13030b020803020473030202010302025b0303023b0301021103011a
+0203051a0403011ad603011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d13030b020703010400030104360300043a030202
+010302025c0302023b0301021003011a0403011a0103011a0403011ad503011a1403010c060a010d010c060a010d1303010200030002000300020003000200030202070301040003
+0104360300043a030202010302025b030402390302021003011a0403011a0103011a0403011ad503161a010c060a010d010c060a010d130302020003000200030002000300020003
+010206030204380301043a03020201030202020303020203000200030102000301020303030203030402000300020203030201030302000302020303030204030302020302020003
+03020103030200030002020304020303040200030002010304020003000200030202010301020303030203030402000300020103040202030602030303020403011a0503011a0103
+011a0503011ad403161a010c060a010d010c060a010d1303010200030002000300020003000200030202060301040403010401030204040302040203010402030104080303040403
+03040303050403030304050302040003000403030204020301040103020402030004040300040a030702010305020103070201030502010307020103050200030802010305020203
+0502010302020003030200030602020301020003010202030702000307020003070201030502010307020003060201030602020305020303011a0503011a0103011a0503011a0503
+001acd03011a1402010c060a010d010c060a010d13030202000300020003000200030002000301020603010403030004000302040103010401030104010301040003030400030304
+050302040103010402030104010301040303010404030204010301040303010400030204010301040103010400030004000302040103010400030204020301040a03070200030202
+010302020003070200030202010302020003020200030302000302020103020200030302000302020003020201030202000302020103020200030202010302020003020200030202
+020301020003020201030202000303020003020200030302010306020003020201030202000302020003030200030102010302020203020204030202010302020203011a0503011a
+0003011a0603011a0403021acc03011a1402010c060a010d010c060a010d130301020003000200030002000300020003020206030104000300040303020401030104010301040103
+010401030004000300040003000400030104050301040203000407030104030301040403010402030104020301040203000402030104010301040203020401030104020301040103
+00040b030202010302020003020201030202000301020003010200030102000302020103020200030202000302020103020201030202000302020103020200030202010302020003
+020201030202000302020103020200030302010300020203010201030102010302020003020201030202000302020203030200030102000302020103020200030202000302020403
+03020203020204030202010302020203011a0503031a0703011a0503001acd03011a1402010c060a010d010c060a010d130302020003000200030002000300020003010204030404
+040301040503010402030104010300040003010401030104040301040903030404030104030301040203010403030104010301040103010402030104020301040803000401030004
+0b0302020103020200030202010302020003010200030102000301020003020201030202000302020003020201030702000302020103020200030702000302020103020200030202
+01030202010304020203060201030202000302020103020200030202020302020403070200030202000302020203050202030202040307020203011a0503011a0003011a0603011a
+d403011a1402010c060a010d010c060a010d130301020003000200030002000300020003020203030004000301040603010405030104020301040003010400030104000301040503
+0104070301040103010403030104040304040503040402030104020301040203010408030004000300040c0302020103020200030202010302020003010200030102000301020003
+020201030202010304020203020205030202010302020003020205030202010302020003020201030202000300020103030201030702010304020303040203030202040302020603
+0402020302020003020202030202040302020703011a0503011a0103011a0503011ad403011a1402010c060a010d010c060a010d1303020200030002000300020003000200030102
+05030104050301040603010401030104010301040003000401030104050301040603010402030104030301040403010407030104060301040103010402030104090302040c030202
+010302020003020201030202000301020003010200030102000302020103020200030302040303020103010200030202010302020003030201030102000302020103020200030202
+00030302000302020003020201030102020302020003030204030302050302020403030201030102000303020403020200030202020302020003010201030302010301020203011a
+0503011a0103011a0503011ad403011a1402010c060a010d010c060a010d13030b020503010405030104060301040103010401030004010300040103000407030104020300040103
+010401030204000300040103010401030004020301040203000402030404030301040103010402030104090301040d03020201030202010305020103010200030102000301020103
+05020103060202030a020003030201030602010305020103070200030602000303020003030200030602010306020103040204030602000306020103070201030502020306020303
+011a0403011a0203011a0303011a0603001acd03011a1402010c060a010d010c060a010d13030b020503010405030104070302040303000404030004080303040303020401030104
+0303020404030304040304040303020404030104090300040e0302020003030202030302020301020003010200030102020303020303060202030402000303020003030202030402
+030303020303030200030102000300020003030201030302000303020103060201030602000304020503040202030602010302020003020202030302040304020403011a0303031a
+0103011a0303011a0503021acc03011a000212030002010c060a010d010c060a010d250300041e0300042a030004030300041603010432030202010302023f030202010302020003
+02020103020212030202010302021f03011a0d03011a0703001acd03011a010210030102010c060a010d010c060a010d23030204490301040203010414030204330307023f030702
+0003070212030702ff030803011a02020e030202010c060a010d010c060a010d230301044b0304041503010435030502410305020203050214030502ff030903011a03020c030302
+010c060a010d010c060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a
+060206030602010c060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03
+ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff03
+4003011a1402010c060a010d010c060a010dff1aff1a421a1402010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003161a010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c
+060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03c803751a1803010c060a010d
+010c060a010dff03c803751a1803010c060a010d010c060a010d9e030102210300027c0300024e0304020403010204030402050300021a03751a1803010c060a010d010c060a010d
+1403020401030204040300047a0303021f0301027b0301024d0306020203030203030402040301021a03751a1803010c060a010d010c060a010d1503010402030104030302047a03
+0102200301027b0301024d030202000302020303010206030202040301021a03751a1803010c060a010d010c060a010d1503010402030004050300049d0302027a0302024d030202
+10030202030302021a03751a1803010c060a010d010c060a010d15030104020300043603030200030202020304020203000200030102000301020303030203030302000300021403
+030200030002020304020303040200030402000302020203040202030602010302020003030200030202010301020303030203030302000300021c03010200030302020304020203
+02020103010202030402020300020003010200030102030303020203060203030302020302020103010202030302000300022e030502030304020503020202030602030303020203
+0202010301020503751a1803010c060a010d010c060a010d15030104010300040303030405030304010301040403000403030304050300040c030802000306020103070201030502
+01030602130306020203040202031002000306020103060201030202000303020003070201030502010306021c030702000306020103070200030602010307020103050201030602
+0203050201030702000306022e03050203030402050302020203060202030502010307020403751a1803010c060a010d010c060a010d150301040103000405030104030302040103
+010401030104020301040103020401030104030302040c03030200030202000301020103020201030702000302020103020200030202000302021303020200030202040302020203
+0202000303020003030200030202000301020103020202030202040302020103020201030602000302020103020200030202000302021c0303020003020200030102010302020203
+060200030102010302020103070200030202010302020103020204030202010302020103060200030202000302022f03020207030202050302020303020204030202010302020103
+06020403751a1803010c060a010d010c060a010d150301040103000404030104040301040203010401030104020301040103010402030004050300040d0302020103020203030302
+010301020003010200030102000302020103020200030302010300021303030201030002040302020203020200030202010302020103020203030302020302020403020201030202
+0103030200030102000302020103020200030302010300021c0302020103020203030302020303020003010203030302010301020003010200030102000302020103020201030202
+0403020201030202010303020003010200030302010300022f030202070302020503020203030202040302020103020201030302000301020403751a1803010c060a010d010c060a
+010d15030104000300040503010403030104020301040203010402030004030301041703020201030202010305020103010200030102000301020003070201030402150304020503
+020202030202000302020103020201030202010305020203020204030202010302020103020204030702010304021d03020201030202010305020203020205030502010301020003
+01020003010200030702010302020403070201030202050304023003020207030202050302020303020204030702010302020803751a1803010c060a010d010c060a010d15030104
+000300040503010403030404030301040103000400030004040302041503020201030202000302020003020201030102000301020003010200030202050300020103030213030002
+01030302040302020303040202030202010302020003020200030202020302020403020201030202010302020403020205030002010303021c030202010302020003020200030202
+0203020204030202000302020103010200030102000301020003020206030202040302020603020204030002010303022f0302020703020205030202030302020403020206030202
+0803751a1803010c060a010d010c060a010d150301040003000404030104040301040603010400030104000300040203000402030104140302020103020200030202000302020103
+010200030102000301020003030201030102000302020003020213030202000302020403020202030302040302020103020200030202000302020203020200030102010302020003
+030201030202040303020103010200030202000302021c03020200030302000302020003020202030202040302020003020201030102000301020003010200030302010301020103
+02020003010201030302010301020103020204030202000302022f030202070302020503020203030202000301020103030201030102010302020803751a1803010c060a010d010c
+060a010d1503020405030104010300040203010402030004010306040103010401030204040300040d03030200030302000307020003010200030102000301020103060200030602
+13030602020306020003060200030302000303020003070201030502010307020003040204030602000306021c030602010307020003040203030702000301020003010200030102
+01030602010305020203060200030402030306022e03040204030602010306020103050202030602000304020703751a1803010c060a010d010c060a010d15030104070302040403
+0304030301040003010403030304050302040c0303020003030201030202000302020003010200030102000301020203040201030002000303021403000200030302030306020103
+0a02000303020103020200030202020303020303030200030102000304020503040201030002000303021d0305020303020200030202000304020403020200030202000301020003
+0102000301020203040203030302040304020103040203030002000303022f03040204030602010306020203030204030402010304020703751a1803010c060a010d010c060a010d
+430300045f030202010302025a030202bd03751a1803010c060a010d010c060a010da40307025a030202bd03751a1803010c060a010d010c060a010da50305025a030402bc03751a
+1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803041a0803671a1803010c060a010d
+010c060a010dff03c803041a0803671a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03260303020303010206030002070301024f030302
+270301020f030002070301027b03010c060a010d010c060a010da8030004100300046a0303020203030204030102060303024e030302260303020d030102060303027a03010c060a
+010d010c060a010da70302040e0302046a03020203030102050301020703010250030202270301020e030102070301027b03010c060a010d010c060a010da8030004100300046b03
+02020a0302025a030202370302028503010c060a010d010c060a010d53030202000303020103030200030002020304020303040200030002020303028b0302020003010202030302
+010303020003020203030502010304020203060202030402040303020103030200030202020303020003000230030502020303020303030200030002030302020003010200030202
+0103010202030402020301020003030201030602020304020403030201030302000302026703010c060a010d010c060a010d53030202000303020003060201030602010307020103
+050216030204020301040103020402030304060302040003000401030304030301040103010404030304390306020103050200030802010306020103040202030602020304020303
+050200030802000306022f030602010305020103060202030602000307020103040202030702000306020203040203030502000308026603010c060a010d010c060a010d53030202
+010302020003020200030202010301020103020201030202000303020003020201030202130301040103010400030004000302040103010403030104050301040003020403030104
+020300040003000400030304010302040103010437030302000302020003020201030202000303020003020200030202000303020303020203030202070302020203020201030202
+000303020003020200030202000302022e03020200030302000302020103020200030202000302020103030200030202010306020303020202030302000302020103020207030202
+020302020103020200030302000302026603010c060a010d010c060a010d530302020103020200030302010300020403030201030202000302020103020201030202130301040103
+010402030204010301040203010405030104020300040303010405030204000301040103010402030004380302020203010200030202010302020003020201030202000302020103
+02020303020203030202070302020203020201030202000302020103020200030302010300022e030202010302020003020201030202000303020103000201030202020301020103
+0302000301020303020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d53030202010302020103040203030502
+010302020003020201030702120301040203010402030104070301040503010401030104030301040503010401030104020301043b03020205030202010302020003020201030202
+000302020103020203030202030302020703020202030202010302020003020201030202010304022f03020201030202000307020103040202030202060302020703020202030202
+010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d530302020103020200030002010303020103020200030202020304020203
+020217030104020301040203010407030104050304040403010404030104020300040403020439030202050302020103020200030202010302020003020201030202030302020303
+0202070302020203020201030202000302020103020200030002010303022e0302020103020200030202050300020103030201030202060302020703020202030202010302020103
+020207030202020302020103020200030202010302026603010c060a010d000c090d5303020200030302000302020003020201030202000302020103030204030302010301021203
+010401030104020301040703010405030104070301040503010401030104020300040203010438030302010301020003020201030202000302020103020200030202010302020303
+02020303020200030102040302020203020201030202000302020103020200030202000302022e030202010302020003030201030102000302020003020201030302010301020103
+0202070302020203020200030302010302020003010204030202020302020103020200030202010302026603010c080d090c000d5303070200030602010307020003060202030602
+120301040103010402030104070301040103000402030404040301040103000402030104010301040003020401030204390306020103050200030302000303020103060201030602
+0103050202030602010305020003030200030302000306022f0306020103060200030602020306020003040204030602000306020203050202030602010305020003030200030302
+6603090c000d010c060a010d540303020003010200030002000303020303020200030202010306020203040214030204040301040803020404030404040302040203010403030104
+010303043c03040203030302010303020003030202030202000301020103060202030302030306020203030201030302000303020003000200030302310302020003010202030402
+01030002000303020403040201030402040306020003050204030302030306020203030201030302000303026603010c060a010d010c060a010d6e03020201030202360300040303
+0004ff03100302028f03010c060a010d010c060a010d6e0307023503010402030104ff03100302028f03010c060a010d010c060a010d6f03050237030404ff03100304028e03010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d
+010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/h-root.ps b/books/ps/h-root.ps
new file mode 100644
index 0000000..862e881
--- /dev/null
+++ b/books/ps/h-root.ps
@@ -0,0 +1,1335 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 143.000000 281.197176 469.000000 541.042830
+%%Creator: xwd2ps
+%%CreationDate: Sat Nov 23 21:42:29 1991
+%%Title: h-root.xwd
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -w4.5 h-root.xwd
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.000000 inch 3.919405 inch translate
+matrix currentmatrix
+4.500000 inch 3.581190 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+b3b3b3
+d8d8bf
+dbdb70
+ffff00
+3299cc
+236b8e
+238e23
+cc7f32
+0000ff
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+7fff00
+d6d6d6
+767676
+474747
+b6b6b6
+aab87f
+a4b068
+c0ba76
+8da468
+aeb19a
+99ad80
+a2ae58
+c7c497
+aa9c7c
+aa9468
+c69882
+c8ad97
+e4c5a0
+e6ccbb
+a98f73
+a88f82
+929d7e
+909169
+c1a66c
+8e944f
+8ea252
+a79857
+738d47
+907d4c
+6f7d42
+747858
+758e58
+647a5a
+666f40
+58643e
+4e4a3e
+4c552c
+594936
+4c3c34
+595139
+544c29
+4d422a
+403c30
+34242c
+3c2424
+3c242c
+342c2c
+442c30
+3c3424
+342424
+2c2931
+3c2830
+3c0e2a
+34241c
+34360e
+1a1410
+341313
+340424
+341c24
+594e46
+4c3434
+340d2d
+3c2414
+312e1c
+3c342c
+3c3434
+3c2c34
+443434
+381c34
+505c3e
+443820
+4c2034
+3a160f
+2c1429
+343424
+381c2c
+2c1610
+481814
+3c3411
+1c2c2e
+342434
+3f3c22
+543a28
+505c4e
+565141
+645c40
+796f40
+577346
+484848
+5e624e
+d1cdc2
+caa698
+e2a99e
+9c8470
+a79498
+8c8454
+414126
+414d2e
+5c5c54
+3c241c
+3c2c1c
+4d3a1f
+342c34
+6a6158
+2a3017
+441130
+431614
+1c1527
+5c303c
+58654d
+baacb9
+cc9793
+c48e6a
+a08665
+a0804c
+481430
+4c251a
+443218
+645038
+715f3a
+6e5424
+a9c3cb
+c18e79
+deb877
+343c24
+c4c9ca
+a08054
+ac8454
+541c1f
+391c3c
+9a845c
+8d7054
+d09068
+e1a48d
+8b8f77
+2c3434
+1c2e13
+725f48
+8d6971
+d49474
+a8855c
+c08064
+c59c67
+b48458
+bd8458
+b47454
+937d3d
+c29258
+91a79d
+9fa8bd
+e1a373
+8e5c4a
+81613b
+a06c54
+89815d
+98808b
+8c6c44
+a16a5c
+8b7c6e
+6f7568
+80604a
+815134
+8c573f
+9e644e
+7c4434
+7c4c44
+774f38
+796e57
+a46c4c
+898666
+6d4f37
+8d6232
+90654d
+9e683e
+622c34
+542841
+cf8e7c
+64605e
+946444
+643c34
+788c68
+a26a64
+dcced4
+ebd3d1
+90645c
+343a30
+ac7f46
+d48464
+c48656
+926939
+e19b6c
+7d6767
+e49780
+a97273
+bc7c54
+526460
+7c5d58
+b07240
+de925d
+5b6a6e
+8c9086
+6e8f8b
+b47459
+c47c5c
+7a7788
+5f6f8c
+584e5b
+88939b
+503c58
+8b9eae
+6e3a22
+e9e3d4
+6c4434
+3f234d
+6e4d42
+bf7c43
+4c4b58
+b77a41
+84543c
+955f3f
+9b4e3c
+cd7f79
+743d47
+a66841
+724a57
+723a3e
+6d2534
+e28f74
+cc7d69
+70403a
+
+
+drawcolorimage
+ff12ff126d1220120011ff12ff12281200112012001101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121e0100110012ff01ff012701001100121e010111011
+21e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff01
+2701001100121e01011101121e0100110012ff01ff012701001100121e010111011206011811001
+2ff11ff1128110012171106010111011206010011ff12ff125a12060101110112
+060100110012150100110012ff01ff010f010011001215010011001215010011001206010111011
+2060100110012150100110012ff01ff010f010011001215010011001215010011
+0012060101110112060100110012150100110012ff01ff010f01001100121501001100121501001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+0011001202010f12020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+101110112060100110012150100110012ff01ff010f0100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012ff01ff010f01001
+10012150100110012020100120d01001102010011001206010111011206010011
+0012150100110012ff01ff010f0100110012150100110012020100120d010011020100110012060
+10111011206010011001202010f12020100110012ff01ff010f01001100120801
+0312080100110012020100120d010011020100110012060101110112060100110012020100120d0
+10011020100110012ff01ff010f01001100120801001201010011080100110012
+020100120d010011020100110012060101110112060100110012020100120d01001102010011001
+2ff01ff010f01001100120801001201010011080100110012020100120d010011
+020100110012060101110112060100110012020100120e11020100110012ff01ff010f010011001
+2080100120211080100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012ff01ff010f0100110012150100110012020100120d0100110201001
+10012060101110112060100110012150100110012ff01ff010f01001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012ff01ff0
+10f0100110012150100110012020100120e110201001100120601011101120601
+00110012150100110012ff01ff010f0100110012150100110012150100110012060101110112060
+100110012150100110012ff01ff010f0100110012150100110012150100110012
+06010111011206010011001216110012ff11ff11101100121611001216110012060101110012ff1
+1ff11621100120811091200117b00ff015f017b00091200110112060101117b00
+ff015f017b000112060101110112060101117b00ff015f017b000112060101110112060101117b0
+0ff015f017b000112060101110112060101110500090103000101070001010300
+010103000b010c000101050001010300080103000101090007010900ff015f017b0001120601011
+101120601011105000a0102000201060002010200020102000c010b0002010400
+02010200090102000201080008010800ff015f017b0001120601011101120601011105000a01030
+00201040002010300020103000b010b0002010400020102000901020002010800
+09010700ff015f017b00011206010111011206010111050002010b0002010400020103000201070
+002011000020104000201020002010900020108000201030003010600ff015f01
+7b00011206010111011206010111050002010c00020102000201040002010700020110000201040
+00201020002010900020108000201040002010600ff015f017b00011206010111
+011206010111050002010c000201020002010400020107000201100002010400020102000201090
+00201080002010400020106007b010200000103003d01050097017b0001120601
+0111011206010111050002010d00020100000201050002010700020110000201040002010200020
+109000201080002010400020106007c010100010101003f010100010101009601
+7b00011206010111011206010111050002010d00020100000201050002010700020110000201040
+002010200020109000201080002010400020106007c010100010101003f010100
+0201010095017b00011206010111011206010111050002010e00040106000201070002011000020
+1040002010200020109000201080002010400020106007c010100010101003f01
+01000201010095017b0001120601011101120601011105000801080004010600020107000201100
+00a010200070104000201080002010300030106007c0101000101010006010300
+0001020005010100000102000901030007010100000103000701010002010100070103000901030
+07b017b0001120601011101120601011105000901080002010700020107000201
+10000a0102000801030002010800090107007c01050007010100020100000701020000010100070
+10100010101000701020001010100060101000201010006010100010101000701
+0100010101007a017b0001120601011101120601011105000901080002010700020107000201100
+00a0102000801030002010800080108007c010100010101000701010002010000
+0701010002010100050101000201010007010100020101000601010002010100050101000301010
+005010100020101007a017b00011206010111011206010111050002010e000401
+0600020107000201100002010400020102000201090002010800070109007c01010001010100080
+1010000010000080101000201010005010600070101000b010100020101000501
+010003010100050101007f017b00011206010111011206010111050002010e00040106000201070
+0020110000201040002010200020109000201080002010e007c01010001010100
+08010100000100000801010002010100050101000c0101000b01010002010100050101000301010
+0050101007f017b00011206010111011206010111050002010d00020100000201
+050002010700020110000201040002010200020109000201080002010e007c01010001010100090
+101000901010002010100050101000c0101000b01010002010100050101000301
+010005010100030100007a017b00011206010111011206010111050002010d00020100000201050
+002010700020110000201040002010200020109000201080002010e007c010100
+010101000901010009010100010101000701010002010000070101000b010100010101000701010
+00101010007010100010101007a017b0001120601011101120601011105000201
+0c00020102000201040002010700020110000201040002010200020109000201080002010e007b0
+1020000010300080100000a010400090103000701040008010500090103000901
+03007b017b00011206010111011206010111050002010c000201020002010400020107000201100
+00201040002010200020109000201080002010e008c0100000a010100c4017b00
+011206010111011206010111050002010b000201040002010300020107000201100002010400020
+10200020109000201080002010e0089010000000100000b010100c4017b000112
+0601011101120601011105000901040002010400020103000201070002011000020104000201020
+0080103000701030002010e00890102000a010300c3017b000112060101110112
+0601011105000a01020002010600020102000201070002011000020104000201020009010200080
+1020002010e00ff015f017b000112060101110112060101110600090103000101
+07000101030001010800010111000101050001010300080103000801020001010e00ff015f017b0
+00112060101110112060101117b00ff015f017b00011206010111011206010111
+7b00ff015f017b000112060101110112060101117b00ff015f017b0001120601011101120601011
+17b00ff015f017b00011206010111011206010111ff00ff005700011206010111
+011206010111ff00ff005700011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111140107000001020008010000150100001501000004010200160100001c01
+03001f0103001401030006010200000103002401050027010700210103001801000023010000070
+1000050010000040102004e010112060101110112060101111401010000010100
+000101000101010007010200130102001401000005010100160100001e010100210101001301010
+00101010006010100010101002601010001010100260101000001010000010100
+2301010018010000220102000601000050010000050101004e01011206010111011206010111140
+10000010101000101000001010100080100001501000014010100050101001501
+01001e0101002101010013010100010101000601010001010100260101000201010025010000010
+1010001010000230101001701010023010000060101004f010100050101004e01
+01120601011101120601011117010100040101003501010005010100150101001e0101002101010
+0130101000a010100010101002601010002010100280101002601010017010100
+2b0101004f010100050101004e01011206010111011206010111170101000401040003010300040
+10300000100000701030004010300000100000601060002010400040103000701
+06000301030002010100000102000a01010005010300020102000101020002010300050101000a0
+10300040101000a01010001010100010103000001020000010100000102000401
+0300020101000001030002010100020101000201030004010300180101000501030008010300000
+10000030103000501010005010300040103000201060007010400020101000001
+02000801030003010600030103000201000000010100000101000f0100000001010000010100030
+10300020102000101020002010300070106000201040004010300420101120601
+0111011206010111170101000401020000010100040101000301010002010100090101000301010
+00201010008010100050102000001010002010100010101000801010005010100
+0101010002010200000101000901010004010100010101000201010002010000020101000101010
+00401010009010100010101000201040008010500020101000201000002010200
+0001010002010100010101000201020001010100010101000201010001010100010101000201010
+00101010017010100040101000101010006010100020101000201010001010100
+0401010004010100010101000201010001010100030101000901010002010100020101000101010
+0090101000501010005010100010101000101010000010100000101000e010100
+0001010000010100010101000101010002010100020100000201010001010100080101000501020
+00001010002010100010101004101011206010111011206010111170101000401
+0100010101000401010003010100030100000901010003010100030100000801010005010100010
+10100010101000201010008010100040101000301010001010100020101000801
+0100030101000201010002010100020100000101010002010100040101000801010003010100020
+101000a0101000101010002010100020100000201010002010100000101000201
+0100020101000201010001010100020101000001010003010100000101000201010017010100030
+10100030101000501010003010000010101000201010004010100030101000201
+0100010101000201010003010100090101000201010002010100010101000901010005010100040
+10100020101000101010000010100000101000e01010000010100000101000001
+0100030101000101010002010000010101000201010008010100050101000101010001010100020
+10100410101120601011101120601011117010100040101000101010004010100
+040102000c010100040102000b01010005010100010101000101060008010100040101000301010
+00101010002010100080101000301060003010100000100000201060004010100
+0801010003010100020101000a01010001010100030101000001000003010100020101000001060
+00201010006010100020101000001010003010100000101001c01010003010100
+030101000601020004010600040101000301060001010100080101000c010300020101000101010
+00901010005010100040106000101010000010100000101000e01010000010100
+0001010000010100030101000201010000010000020106000801010005010100010101000101060
+04101011206010111011206010111170101000401010001010100040101000601
+02000a01010006010200090101000501010001010100010101000d0101000401010003010100010
+10100020101000801010003010100080101000001000002010100090101000801
+010003010100020101000a010100010101000301010000010000030101000201010000010100070
+1010006010100020101000001010003010100000101001c010100030101000301
+01000801020002010100090101000301010006010100080101000a0101000101010002010100010
+101000901010005010100040101000601010000010100000101000e0101000001
+01000001010000010100030101000201010000010000020101000d0101000501010001010100010
+10100460101120601011101120601011117010100040101000101010004010100
+0301000003010100090101000301000003010100080101000501010001010100010101000d01010
+00401010003010100010101000201010008010100030101000801030002010100
+090101000801010003010100020101000a010100010101000401010004010100020101000001010
+00701010006010100020101000001010003010100000101000301000017010100
+0301010003010100050100000301010001010100090101000301010006010100030100000301010
+00901010002010100020101000101010009010100050101000401010006010100
+00010100000101000e0101000001010000010100000101000301010002010300020101000d01010
+00501010001010100010101004601011206010111011206010111170101000401
+0100010101000401010003010100020101000901010003010100020101000801010001010000020
+10100010101000201010002010000080101000101000002010100010101000201
+0100010101000901010004010100020100000401010004010100020100000401010009010100010
+10100030101000a01010001010100040101000401010001010100020101000201
+0000020101000601010001010100020101000101010002010100010101000401000011010100040
+10100010101000601010002010100020101000201000004010100040101000201
+0000020101000101010003010100010100000601010001010200020101000101010009010100050
+10100010100000201010002010000010101000001010000010100030100000901
+0100000101000001010001010100010101000401010004010100020100000801010001010000020
+10100010101000201010002010000410101120601011101120601011116010300
+02010200000103000101050001010000000103000801050001010000000103000a0102000201020
+000010300020103000a0102000401030003010400080105000301030005010100
+0501030003010500080103000301030008010200000103000301000005010400040103000201040
+0030105000401030004010300040102000f010300040103000701000000010300
+0401030003010500030103000401030005010200080102000101010000010200000103000601050
+00401020004010300020101000001010000010100020102000801010000010100
+000101000201030005010100050103000a010200020102000001030002010300420101120601011
+1011206010111870101005f01000005010100350100009e0101008c0101120601
+0111011206010111870101005c0100000001000006010100d50101008c010112060101110112060
+10111860103005b01020005010300d30101008d01011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff0
+15701011206010111011206010111ff01ff015701011206010111011206010111
+ff01ff015701011206010111011206010111ff01370100000301030008010100130104001601000
+0da010112060101110112060101115b01000007010000040102000d0100000401
+0200480100003f0102000901000019010100030103000701030011010600140101000c010000040
+1020026010300060100000d01020080010112060101110112060101115a010200
+06010000050101000d0100000501010048010000400101000801020018010100040102000801010
+01201020000010200140101000c0100000501010028010100050102000d010100
+80010112060101110112060101115b01000006010100050101000c0101000501010047010100400
+101000901000018010200040102001d010200170102000b010100050101002801
+0100060100000e010100800101120601011101120601011163010100050101000c0101000501010
+04701010040010100220106000101060002010400030103000001000006010500
+0401030001010300000102000101060008010100050101002801010016010100800101120601011
+10112060101111601030002010200000102000101010000010300020103000001
+0000030103000201010000010300060101000301010001010300030106000201040007010600020
+10400040103000701000000010100000101000301030002010200000102000201
+0300000100000301030007010600030103000801040007010100030101000201030002010100000
+10300030104000701030003010100000102000c01060001010700010104000201
+0600060105000301050000010800000106000601060002010400040103000201010000010200090
+10300050101000401030005010300030101000101020006010400070100000001
+0100000101000301030002010200000102000201030000010000030103003d01011206010111011
+20601011115010100010101000201010001010100020102000101010000010100
+0201010002010100010101000201020001010100050101000301010003010100050101000501020
+00001010008010100050102000001010002010100010101000601010000010100
+0001010001010100010101000201010001010100010101000201010002010100010101000801010
+00501010001010100060101000201010006010100030101000101010001010100
+020102000101010001010100000102000901010004010100010101000c010200040103000001020
+00301020002010200000102000701020004010200010102000001030000010200
+010102000b010100050102000001010002010100010101000201010001010100070101000101010
+00401010006010100040101000101010002010100010101000601010002010100
+0601010000010100000101000101010001010100020101000101010001010100020101000201010
+0010101003c010112060101110112060101111401010002010100020101000101
+0100020101000201010000010100030100000101010003010100010101000201010005010100000
+10100000101000301010005010100050101000101010008010100050101000101
+0100010101000201010006010100000101000001010000010100030101000101010001010100010
+10100030100000101010002010100080101000401010003010100050101000201
+0100060101000001010000010100000101000301010001010100020101000001010002010100090
+1010004010100010101000c010200040102000101020003010200020103000101
+00000701020004010200010102000001020001010200010102000b0101000501010001010100010
+10100020101000201010001010100060101000201010004010100060101000301
+0100020101000201010000010100070101000201010006010100000101000001010000010100030
+101000101010001010100010101000301000001010100020101003c0101120601
+0111011206010111140101000701010001010100020101000601020004010100030101000101010
+00a01010000010100000101000301010005010100050101000101010008010100
+0501010001010100010106000601010000010100000101000001010003010100010101000101010
+00201020004010600080101000401010003010100080103000601010000010100
+0001010000010100030101000101010005010100020101000901010004010100010101000c01020
+00401020001010200030102000301040008010200040102000101020000010200
+01010200010102000b0101000501010001010100010106000201010001010100060101000901010
+00601010003010100070103000b01030006010100000101000001010000010100
+03010100010101000101010002010200040106003c0101120601011101120601011114010100070
+101000101010002010100080102000201010003010100010101000a0101000001
+01000001010003010100050101000501010001010100080101000501010001010100010101000b0
+10100000101000001010000010100030101000101010001010100040102000201
+01000d0101000401010003010100060101000101010006010100000101000001010000010100030
+101000101010005010100020101000901010004010100010101000c0102000401
+0200010102000301020002010000010103000701020004010200010102000001020001010200010
+102000b0101000501010001010100010101000701010001010100060101000901
+0100060101000301010007010300090101000101010006010100000101000001010000010100030
+10100010101000101010004010200020101004101011206010111011206010111
+1401010003010000020101000101010002010100050100000301010001010100030101000101010
+00b01010000010200040101000501010005010100010101000801010005010100
+01010100010101000b0101000001010000010100000101000301010001010100010101000101000
+003010100010101000d0101000401010003010100050101000201010007010100
+0001020001010100030101000101010005010100020101000901010004010100010101000c01020
+00001010001010200010102000301020002010200000102000701020004010200
+0101020000010200010102000101020000010100080101000501010001010100010101000701010
+00101010006010100030100000401010006010100030101000301000002010100
+0001010007010100020101000601010000010100000101000001010003010100010101000101010
+00101000003010100010101004101011206010111011206010111150101000101
+010002010100000102000201010005010100020101000201010001010100020101000b010100010
+10100040101000501010001010000020101000101010008010100010100000201
+0100010101000201010002010000060101000001010000010100010101000101010002010100000
+10200010101000201010002010100020100000801010001010000020101000101
+0100060101000101020007010100010101000201010001010100020101000601010000010200090
+1010004010100010101000c010500000103000001030001010600000106000601
+0400040105000001030000010300010105000801010001010000020101000101010002010100020
+10000020101000101010007010100010101000401010006010100040101000101
+0100020101000101010006010100010102000601010000010100000101000101010001010100020
+1010000010200010101000201010002010100020100003c010112060101110112
+0601011116010300040102000001010000010400030100000001030004010300020104000901000
+00301000002010500040102000201020000010300080102000201020000010300
+0201030007010100000101000001010002010300040102000001010000010000000103000401030
+00a01020004010300080102000101010006010000030100000301030002010400
+05010200000101000601050001010200000103000c0103000101030000010300010106000001000
+00001030007010400050103000101030000010300020103000a01020002010200
+0001030002010300020102000001030007010300030105000201050003010300020103000001020
+00601020001010100050101000001010000010100020103000401020000010100
+0001000000010300040103003d01011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01ff015701011206010111011
+206010111ff01ff015701011206010111011206010111ff01ff01570101120601
+0111011206010111ff01ff015701011206010111011206010111ff01bb010200000103000001070
+00001040003010600790101120601011101120601011114010200110100000701
+00002401070031010000100100001a01020016010000070100001e0100001201020000010300240
+105002c010300060100000d010200260102000101020000010700000104000301
+0700780101120601011101120601011115010100110100000701000025010100020101003001020
+00f0100001b01010016010000060102001d010000130101000101010026010100
+010101002d010100050102000d01010026010200010102000101020000010200010102000501020
+00001020078010112060101110112060101111501010010010100060101002501
+010003010000310100000f0101001b01010015010100070100001d0101001301010001010100260
+10100020101002c010100060100000e0101002601020001010200010102000101
+0100010102000501020000010200780101120601011101120601011115010100100101000601010
+025010100470101001b0101001501010026010100130101000101010026010100
+020101002c010100160101002601020001010200010102000501020005010200000102007801011
+20601011101120601011115010400020102000001020001010600010106000301
+0300020101000001020011010100010100000401030002010100000103000701040002010100000
+10200080103000301010000010200020106000101010000010300030103000401
+0400010102000001020003010300020106000201030005010300020101000001020007010600030
+10300080101000101010001010300000102000001010000010200040103000201
+0100000103000201010002010100020103000401030012010300050101000401030005010300030
+10100010102000701030002010100000102000c01070001010400030102000501
+0200000102007801011206010111011206010111150102000001010002010100010101000301010
+00601010005010100010101000201010001010100100104000301010001010100
+0201020001010100050101000201010002010100010101000901010004010100010101000301010
+00501020001010100010101000101010002010100000102000201010001010100
+0201010001010100030101000701010004010100010101000201010001010100080101000501010
+00101010007010500020101000201000002010200000101000201010001010100
+0201020001010100010101000201010001010100010101000201010001010100100101000101010
+00401010006010100040101000101010002010100010101000701010001010100
+02010100010101000b0107000101040003010200050106007801011206010111011206010111150
+10100020101000101010001010100030101000601010004010100030101000101
+0100010101001001010001010000020101000301010001010100020101000501010002010100020
+10100010101000901010004010100010101000301010005010100020101000001
+0100030101000001010002010100020101000101010001010100020101000301010007010100030
+10100030101000101010001010100080101000401010003010100060101000101
+0100020101000201000002010100020101000001010002010100020101000201010001010100020
+10100000101000301010000010100020101000f01010002010100040101000601
+010003010100020101000201010000010100070101000301010001010100010101000b010200010
+10200010102000501020005010500790101120601011101120601011115010100
+0201010001010100010101000301010006010100040101000301010001010100010101001001010
+00501010003010100010101000d01030002010100010101000901010004010100
+0101010003010100050101000501010003010100000101000201010002010100010101000101010
+00801010007010100030101000301010001010100010101000801010004010100
+0301010006010100010101000301010000010000030101000201010000010600020101000601010
+00201010000010100030101000001010014010100090101000601010003010100
+07010300080101000301010001010100010101000b0102000101020001010200050102000501020
+07c01011206010111011206010111150101000201010001010100010101000301
+01000601010004010100030101000101010001010100100101000501010003010100010101000b0
+10100010101000201010001010100090101000401010001010100030101000501
+0100050101000301010000010100020101000201010001010100010101000801010007010100030
+10100030101000101010001010100080101000401010003010100060101000101
+0100030101000001000003010100020101000001010007010100060101000201010000010100030
+10100000101001401010009010100060101000301010007010300080101000301
+010001010100010101000b0102000101020001010200010101000101020001010100010102007c0
+10112060101110112060101111501010002010100010101000101010003010100
+0601010004010100030101000101010001010100100101000501010003010100010101000a01010
+00201010002010100010101000901010004010100010101000301010005010100
+0501010003010100000101000201010002010100010101000101010003010000030101000701010
+00301010003010100010101000101010008010100040101000301010006010100
+0101010004010100040101000201010000010100070101000601010002010100000101000301010
+000010100030100000f0101000301000004010100060101000301010003010000
+0201010000010100070101000301010001010100010101000b01020001010200010102000001020
+00101020000010200010102007c01011206010111011206010111150102000001
+0100020101000001020003010100010100000301010001010000020101000101010002010100010
+10100040100000a0101000601010001010100020101000a010100010102000201
+0100010101000901010004010100010101000301010001010000020101000601010001010100020
+10100000102000201010000010200020101000101010003010100010100000401
+0100040101000101010002010100010101000801010001010000020101000101010007010100010
+10100040101000401010001010100020101000201000002010100060101000101
+010002010100010101000201010001010100040100000a010100010101000401010006010100040
+10100010101000201010001010100070101000101010002010100010101000b01
+0200010102000001070000010700000104000601000073010112060101110112060101111401010
+00001020004010200000101000301020005010200040103000201020000010300
+0201020008010300060103000201040009010200010101000001020000010300060105000101020
+00001030003010200020104000501030004010200000101000201020000010100
+0201030005010200030105000301030002010200000103000801020004010300070102000001030
+00301000005010400040103000201040003010500040103000401030004010200
+0a01030003010500020105000301030002010300000102000701030002010200000103000a01020
+00001030000010700000107000001040005010200720101120601011101120601
+01114d010000d401000005010100350101007d0100007301011206010111011206010111ff01200
+10000000100000601010035010100f201011206010111011206010111ff012001
+02000501030033010100f301011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff00ff005700011206010111
+011206010111ff00ff005700011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+0112060101111401010003010100000102001101000025010300070102002701030006010000040
+1020016010000160102000c010200ff0170010112060101110112060101111401
+0100030101000101010011010000270101000801010029010100050102000401010016010000170
+101000b01010000010100ff016f01011206010111011206010111140101000301
+01000101010010010100270101000801010029010100060100000501010015010100170101000a0
+1010002010100ff016e0101120601011101120601011114010100030101000101
+0100100101002701010008010100290101000d01010015010100170101000a01020001010100ff0
+16e01011206010111011206010111140101000001010000010100010104000301
+0400020106000601010003010100020103000201020000010200040101000501040006010300000
+10200020103000201020000010200090101000401030004010100010102000201
+0300070106000301030009010400030103000301000002010100ff016e010112060101110112060
+10111140101000001010000010100010102000001010001010100020101000301
+0100090101000301010001010100010101000201010001010100040101000401010000010200070
+10100020100000201010001010100020101000101010009010100060101000401
+0100010101000201010001010100080101000501010001010100070101000001020002010100010
+1010005010100ff016f0101120601011101120601011114010100000101000001
+0100010101000101010001010100020101000301010009010100000101000001010000010100030
+10100010101000101010004010100030101000201010007010100020100000101
+0100030101000101010001010100090101000601010004010100000101000201010002010100080
+1010004010100030101000501010002010100010101000301010003010100ff01
+7001011206010111011206010111150105000201010001010100040103000301010009010100000
+10100000101000001010003010100010101000101010004010100030101000201
+0100080101000001000002010100030101000101010001010100090101000601010004010300030
+10600080101000401010003010100050101000201010001010100030101000201
+0100ff0171010112060101110112060101111501010000010200020101000101010002010100010
+10100030101000901010000010100000101000001010003010100010101000101
+0100040101000301010002010100080101000001000002010100030101000101010001010100090
+101000601010004010300030101000d0101000401010003010100050101000201
+0100010101000301010003010000ff0171010112060101110112060101111501010001010100020
+10100010101000101010002010100030101000a01010000010200010101000301
+0100010101000101010004010100030101000201010009010100030101000301010001010100010
+1010009010100060101000401010000010100020101000d010100040101000301
+010005010100020101000101010003010100ff01760101120601011101120601011115010100010
+10100020101000101010001010100010102000301010001010000070101000101
+0100020101000101010002010100000102000401010004010100000102000901010004010100010
+10100020101000001020009010100060101000401010001010100020101000201
+0000080101000101000002010100010101000701010000010200020101000101010004010000ff0
+17101011206010111011206010111150100000301000001010200000103000101
+0200010101000301020008010000030100000301030004010200000101000101050003010200000
+10100080100000601030004010200000101000601050002010500010103000001
+0200020103000a0102000401030009010200000101000201030004010200ff01700101120601011
+10112060101117201000070010000ff0171010112060101110112060101116f01
+000000010000ff01e4010112060101110112060101116f010200ff01e4010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111240106001601010012010200
+0001010032010300ff01c20101120601011101120601011113010b0004010700140103001001060
+03201030020010300000100000b01030035010200060103002301020016010300
+040100000501030004010300060100001e01000015010000200103000f010000770101120601011
+101120601011113010b0005010200000102001501010011010200000102003301
+02001f010100010102000d010100360101000801010024010100150101000101010002010200060
+1010006010100050102001c01020014010000220101000f010000770101120601
+0111011206010111130101000001000000010000000100000001020005010200000102002901020
+001010100330102001f010000030101000d010100360101000801010024010100
+1501010001010100030100000701010006010100060100001e01000014010100220101000e01010
+07701011206010111011206010111130102000001000000010000000100000001
+0100050102000001020001010400030103000001000002010400040102000001010005010200010
+10100030103000201000000010100000101000101000000010100000101000201
+0400010103000001020003010500010103000001000017010100030100000d01010036010100080
+10100240101001501010010010100060101003c010100220101000e0101007701
+0112060101110112060101111301010000010000000100000001000000010200050105000101060
+00101060002010400030106000501020006010500010107000001070000010600
+0001080001010600000106001701020007010300050101000301020001010200020103000701010
+00001020002010100000103000301030003010400050101000501030002010000
+0001010000010100020103000001000007010400020103000001020007010100050103000601010
+00601010004010300030101000001020003010300000101000601030003010100
+0001020007010600030103000201000000010100000101000101010000010200050101000401040
+00201060003010300030103000001000062010112060101110112060101111301
+0200000100000001000000010000000101000501050001010100010102000101020000010200040
+10200020103000001020005010200050102000101020000010700000107000001
+0100010102000101030000010200000102000001030000010200000102001801030004010100010
+10100040101000401010002010000020101000101010007010200000101000201
+0200010101000101010001010100020102000001010004010100040101000101010001010100000
+10100000101000001010002010100070102000001010002010100020100000701
+0400050101000601010006010100060101000401010001010100010101000101010000010000080
+10100040101000101010008010100050101000101010001010100000101000001
+0100010102000001010004010100030101000201010003010100050101000101010001010100020
+10100620101120601011101120601011113010100000100000001000000010000
+0001020005010200000102000301030001010300010100000401020002010200020101000501020
+00501020001010200000101000001010000010100000101000001010000010100
+0301030001010200010102000001020001010200000103000101000019010300020101000301010
+00301010004010100020100000101010002010100070101000201010001010100
+0201010000010100030101000101010002010100030101000301010002010100010101000001010
+00001010000010100030100000701010002010100010101000201000008010100
+07010100060101000601010006010100040101000101010001010100010101000a0101000401010
+00101010008010100040101000201010001010100000101000001010001010100
+0201010003010100030101000201010003010100040101000201010001010100030100006201011
+20601011101120601011113010200000100000001000000010000000101000501
+020000010200010105000201040005010200020102000a010200050102000101020000010100000
+10100000101000001010000010100000101000101050001010200010102000001
+020001010200010104001c010200010101000301010003010100050101000001000002010600070
+10100020101000101010005010100030101000101010002010100030101000301
+0600010101000001010000010100010102000a01010002010100020101000001000009010100070
+10100060101000601010006010100040101000101010001010100010101000a01
+0100040101000101010008010100040106000101010000010100000101000101010002010100030
+10100060103000301010004010600020102006501011206010111011206010111
+1301010000010000000100000001000000010200050102000001020000010200000102000101000
+00101030004010200020102000a01020001010100010102000101020000010100
+0001010000010100000101000001010000010100000102000001020001010200010102000001020
+00101020000010000010103001701000003010100010101000301010003010100
+0501010000010000020101000c01010002010100010101000501010003010100010101000201010
+00301010003010100060101000001010000010100030102000801010002010100
+0201010000010000090101000701010006010100060101000601010004010100010101000201030
+00b01010004010100010101000801010004010100060101000001010000010100
+0101010002010100030101000401010001010100030101000401010009010200630101120601011
+10112060101111301020000010000000100000001000000010100050102000001
+0200000102000001020001010200000102000401020002010300010101000501020001010100010
+10200010102000001010000010100000101000001010000010100000101000001
+0200000102000101020001010200000102000101020000010200000102001701010003010000010
+10100030101000301010005010300020101000c01010002010100010101000501
+0100030101000101010002010100030101000301010006010100000101000001010000010000030
+101000701010002010100030101000a0101000701010006010100060101000601
+01000401010001010100010100000f0101000401010001010100080101000401010006010100000
+10100000101000101010002010100030101000301010002010100030101000401
+01000601000003010100620101120601011101120601011113010b0004010700000107000001060
+00201060001010600050106000201050001010100000101000001010000010100
+000101000001010000010b000001030001010600000106001701020001010100020101000101010
+00401010006010100040101000201000007010100010101000201010006010100
+0101010002010200000101000401010004010100020100000101010000010100000101000001010
+0020101000701020000010100040101000a010100070101000601010006010100
+060101000401010001010100010105000a010100040101000101010008010100010100000201010
+00201000001010100000101000001010001010100010101000401010003010100
+01010200030101000101000002010100020100000101010002010100040100005c0101120601011
+101120601011113010b0004010600020102000001020000010000000103000301
+0600020104000701040004010300020101000001010000010100000101000001010000010100010
+10200000106000001030002010200000101000001000000010300180100000001
+0300040103000301050004010100050103000801040002010400050103000201010000010200030
+10500030103000201010000010100000101000001000000010300070101000001
+0200050100000a01030004010500020105000201050002010500010102000001030001010500070
+10500010102000001030008010200040103000201010000010100000101000101
+040003010500020102000101010003010200040103000201000000010300040102005b010112060
+10111011206010111e7010100550100003f010000040100003901010035010000
+5c01011206010111011206010111e70101005201000000010000400101000201010039010100930
+1011206010111011206010111e601030051010200410104003901030092010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff015701011206010111011206010111ff01ff01570101120601011
+1011206010111ff01ff015701011206010111011206010111ff01ff0157010112
+06010111011206010111ff01ff0157010112060101110112060101112301080015010100ff01ff0
+1120101120601011101120601011113010b0003010800140103006e0103002d01
+02001f010000340102000f010000240102001601000019010000a80101120601011101120601011
+113010b0003010100000102000001010015010100700101002f0101001f010000
+350101000e010200240101001601000018010200a70101120601011101120601011113010100000
+10000000100000001000000010200060102008b0101002f0101001e0101003501
+01000f010000250101001501010019010000a801011206010111011206010111130102000001000
+00001000000010000000101000601020005010300020101000001030002010400
+040102000001010001010300000100005c0101002f0101001e01010034010300350101001501010
+0c301011206010111011206010111130101000001000000010000000100000001
+02000601020004010500010107000101040003010600000106005c0101000701030003010400020
+10100000103000101010000010200080104000401030002010100030101000501
+0600030103000701020000010200020103000001000003010300090100000001010002010200010
+10200010103000501030002010000000101000001010010010400020103000001
+02000501060003010300020101000001020003010300050103009d0101120601011101120601011
+11301020000010000000100000001000000010100060102000301020001010200
+000103000001020003010200020103000001020000010200000102005c010100060101000101010
+00101010002010100020102000101010001010100010101000701020000010100
+0201010001010100010101000301010007010100050101000101010007010100010101000101010
+00201010002010100010101000801000000010100030101000101010004010100
+04010100010101000101010000010100000101000f0102000001010002010100020100000801010
+0050101000101010002010200000101000401010004010100010101009c010112
+0601011101120601011113010100000100000001000000010000000102000601020003010200010
+10200000102000101020003010200020102000201010000010300010100005c01
+0100050101000201010001010100020101000201010002010100010101000101010007010100010
+10100010101000301010000010100000101000001010007010100040101000301
+0100060101000101010001010100030100000101010002010100080100000101010003010100000
+100000501010003010100030101000001010000010100000101000f0101000201
+0100010101000201000008010100040101000301010001010100020101000301010003010100020
+101009c0101120601011101120601011113010200000100000001000000010000
+0001010006010200030102000101020000010200010102000301020002010200060104005d01010
+00501060004010300020101000601010001010100070101000101010001010100
+0301010000010100000101000001010007010100040101000301010006010100010101000201020
+00401060007010500040101000601010003010100030101000001010000010100
+000101000f010100020101000201010000010000090101000401010003010100010101000201010
+00301010003010100a10101120601011101120601011113010100000100000001
+0000000100000001020006010200030102000101020000010200010102000301020002010200050
+10000010103005c01010005010100070101000101010002010100060101000101
+0100070101000101010001010100030101000001010000010100000101000701010004010100030
+10100060101000101010004010200020101000c01000002010100040101000601
+010003010100030101000001010000010100000101000f010100020101000201010000010000090
+10100040101000301010001010100020101000301010003010100a10101120601
+0111011206010111130102000001000000010000000100000001010006010200030102000101020
+0000102000001030003010200020103000101010000010200000102005c010100
+0301000000010100060101000201010002010100060101000101010007010100010101000101010
+00301010001010100000102000801010004010100030101000601010001010100
+0101000003010100010101000c01000003010100020100000001010005010100030101000301010
+00001010000010100000101000f01010002010100030101000a01010004010100
+0301010001010100020101000301010003010100030100009c01011206010111011206010111130
+10b000501040003010500010106000201060001010600000106005c0101000201
+0100010101000201000001010100010102000201010006010100010101000701010001010100020
+10100010101000201010001010100080101000101000002010100010101000701
+0100000102000101010002010100020101000201000006010100030101000101010001010100040
+101000401010001010100010101000001010000010100030100000a0102000001
+0100040101000a01010001010000020101000101010002010100010101000401010004010100010
+1010004010000960101120601011101120601011113010b000501040004010300
+02010500030106000201040001010000000103005c0107000201030003010200010101000001040
+00301020000010300050102000001030002010300030100000301000009010200
+0401030009010200000101000001000000010300040103000701020001010200000102000101020
+00101050003010300020101000001010000010100020102000801010000010200
+050100000c010200040103000301040003010500030103000401020095010112060101110112060
+1011136010200ff0133010100140100001c0101001a0100009601011206010111
+01120601011136010200ff013301010011010000000100001d010100b2010112060101110112060
+1011135010400ff0131010100120102001c010300b10101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff015701011206010111011206010111ff01ff015701011206010111011206010111ff0
+1ff015701011206010111011206010111ff01ff01570101120601011101120601
+0111ff01ff01570101120601011101120601011124010600ff01ff012b010112060101110112060
+1011113010b0004010700870105003701000004010200290102000d0100000401
+0200150102000f0100001c0103000601000004010200bc0101120601011101120601011113010b0
+00501020000010200880101000101010036010000050101002a0101000d010000
+05010100160101000e0102001d0101000501020004010100bc01011206010111011206010111130
+10100000100000001000000010000000102000501020000010200880101000101
+010035010100050101002a0101000c01010005010100160101000f0100001e01010006010000050
+10100bc0101120601011101120601011113010200000100000001000000010000
+0001010005010200000102000001020001010100030103000201020001010200010103000001000
+0030103005d0101000101010035010100050101002a0101000c01010005010100
+150103002e0101000d010100bc01011206010111011206010111130101000001000000010000000
+10000000102000501050001010700010105000101020001010200000106000201
+05005c0101000101010001010100000103000301030002010100030101000101030000010000030
+10300070106000201040002010100000103000301030002010200000102000201
+0300000101000101040007010600020104000401030009010000000101000201020001010200010
+10300050103000201000000010100000101000901010004010300040104000201
+0100000103000201040002010100000103000101030000010200930101120601011101120601011
+11301020000010000000100000001000000010100050105000201060000010200
+010102000001010003010100000102000001020001010200010102005b010400030102000101010
+00101010001010100010101000301010000010100020101000201010001010100
+0801010005010200000101000201020001010100010101000101010002010100010101000101010
+00101010000010000010102000001010008010100050102000001010002010100
+0101010008010000000101000301010001010100040101000401010001010100010101000001010
+00001010008010100060101000401020000010100020102000101010000010100
+0201010002010200010101000101010002010000940101120601011101120601011113010100000
+10000000100000001000000010200050102000001020001010300000101000001
+020001010200000101000001010000010100000103000101000001010200010102005b010100010
+10100020101000201010000010100030101000001010000010100000101000001
+0100030100000101010002010100080101000501010001010100020101000201010000010100030
+10100010101000101010001010100010101000301010001010100080101000501
+0100010101000101010002010100080100000101010003010100000100000501010003010100030
+10100000101000001010000010100080101000601010004010100020101000101
+0100020101000001010002010100020101000201010001010100020100009401011206010111011
+20601011113010200000100000001000000010000000101000501020000010200
+01010200040102000101020000010100000101000001010001010400020107005b0101000201010
+00101010005010100030101000001010000010100000101000101020004010600
+0801010005010100010101000201010005010100030101000101010001010100010101000101010
+00301010001010100080101000501010001010100010106000701050004010100
+0601010003010100030101000001010000010100000101000801010006010100040101000201010
+00101010008010300020101000701010000010000950101120601011101120601
+0111130101000001000000010000000100000001020005010200000102000101020004010200010
+10200000107000001000001010300010102006001010002010100010101000501
+01000301010000010100000101000001010003010200020101000d0101000501010001010100020
+10100050101000301010001010100010101000201030004010100010101000801
+01000501010001010100010101000c0100000201010004010100060101000301010003010100000
+10100000101000001010008010100060101000401010002010100010101000601
+0100010101000201010007010100000100009501011206010111011206010111130102000001000
+00001000000010000000101000501020000010200010102000401020001010200
+00010700000102000001020001010300010101005b0101000201010001010100050101000301010
+001010100000102000101000003010100010101000d0101000501010001010100
+0201010005010100030101000101010001010100010100000801010001010100080101000501010
+001010100010101000c0100000301010002010000000101000501010003010100
+0301010000010100000101000001010008010100060101000401010002010100010101000501010
+0020101000201010008010100960101120601011101120601011113010b000401
+07000001040004010500020102000001010001010600020106005b0101000101020001010100060
+10100010101000201010001010100010101000201010002010100020100000801
+0100010100000201010001010100020101000601010001010100020101000001020001010500030
+10100010101000801010001010000020101000101010002010100020100000601
+0100030101000101010001010100040101000401010001010100010101000001010000010100080
+10100060101000401020000010100020101000501010001010200020101000801
+0100060100008e0101120601011101120601011113010b000401060001010400050103000301010
+0010101000101000000010300040104005b010600010104000501030003010000
+030100000101000000010300040103000a010200020102000001030000010400050103000401020
+00001010001010500010102000001030008010200020102000001030002010300
+0701020001010200000102000101020001010500030103000201010000010100000101000601050
+00201050001010100000102000201040004010200010101000001040006010000
+060102008d01011206010111011206010111ff011c010000040100009a010000070100008e01011
+206010111011206010111ff011c01010002010100970100000001000098010112
+06010111011206010111ff011d010400980102009801011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+10112060101110112060101112401070025010400ff01ff010112060101110112
+0601011113010b0004010700250104005d010300000100004601030026010300320103000901000
+004010200140103000601000004010200b2010112060101110112060101111301
+0b000501020000010200270102005c0101000101020048010100250101000101010030010100010
+101000801000005010100160101000501020004010100b2010112060101110112
+0601011113010100000100000001000000010000000102000501020001010100270102005c01000
+00301010048010100250101000101010030010100010101000701010005010100
+160101000601000005010100b201011206010111011206010111130102000001000000010000000
+10000000101000501020004010300000102000101040002010000000101000001
+0100010101000001030004010200040103000301030000010000490101000301000048010100250
+10100340101000b01010005010100160101000d010100b2010112060101110112
+0601011113010100000100000001000000010000000102000501040002010200010102000001060
+00101070000010700030102000301050001010600490102000701030004010300
+0901030002010200010102000101040002010000000101000001010001010100000102000501010
+00501030003010300000100000801030004010100090102000001020002010300
+000100000301030009010300040101000901060002010400040103000a010100040103000401040
+00201010000010300020104000201010000010300010103000001020089010112
+0601011101120601011113010200000100000001000000010000000101000501040003010200000
+10100010101000101020001010700000103000001020003010200020102000101
+020000010200000102004a010300040101000101010002010100010101000701010001010100020
+10100010101000101010002010100010101000001010000010100010102000001
+0100040101000401010001010100010101000201010007010100010101000201040008010100010
+10100010101000201010002010100010101000701010001010100020104000901
+0100050102000001010002010100010101000901010006010100040102000001010002010200010
+101000001010002010100020102000101010001010100020100008a0101120601
+0111011206010111130101000001000000010000000100000001020005010200060103000501030
+00101010000010100000101000001020001010200030102000201020001010200
+00010300010100004b0103000201010002010100010101000201010006010100020101000301010
+00001000002010100020101000101010000010100000101000101010002010100
+03010100030101000201010001010100030100000601010003010100020101000a0101000101010
+0010101000301000001010100020101000601010003010100020101000b010100
+0501010001010100010101000201010009010100060101000401010002010100010101000201010
+00001010002010100020101000201010001010100020100008a01011206010111
+0112060101111301020000010000000100000001000000010100050102000601030003010500010
+10100000101000001010000010200010102000301020002010700010104004e01
+0200010106000101060006010600040101000601030001010100000101000001010001010100020
+101000301010003010600020102000901010003010100020101000a0101000101
+010002010200040106000601010003010100020101000b010100050101000101010001010600090
+10100060101000401010002010100010101000801030002010100070101000001
+00008b0101120601011101120601011113010100000100000001000000010000000102000501020
+00101010002010300020102000001020001010100000101000001010000010200
+0101020003010200020102000501000001010300490100000301010001010100060101000b01010
+00901010004010100010101000101010000010100000101000101010002010100
+0301010003010100090102000701010003010100020101000a01010001010100040102000201010
+00b01010003010100020101000b0101000501010001010100010101000e010100
+0601010004010100020101000101010006010100010101000201010007010100000100008b01011
+20601011101120601011113010200000100000001000000010000000101000501
+0200000102000101010000010200010102000001020001010100000101000001010000010200000
+10300030102000201030001010100000102000001020049010100030100000101
+0100060101000b01010008010000000101000201010002010100010101000001010000010100010
+10100020101000301010003010100060100000301010006010100030101000201
+01000a010100010101000101000003010100010101000b01010003010100020101000b010100050
+1010001010100010101000e010100060101000401010002010100010101000501
+01000201010002010100080101008c0101120601011101120601011113010b00040107000001020
+00101020000010700000101000001010000010100000106000201060001010600
+0001060049010200010101000201010002010000020101000201000007010100020100000201010
+00101010001010100010102000101010000010100000101000101010001010100
+04010100040101000201000001010100020101000701010001010100030101000a0101000001020
+0010101000201010002010100020100000701010001010100030101000b010100
+0101000002010100010101000201010002010000090101000601010004010200000101000201010
+00501010001010200020101000801010006010000840101120601011101120601
+011113010b000401070000010200000103000101020000010200000101000001010000010100000
+10500030106000201040001010000000103004a01000000010300040103000401
+0300090103000201020001010200010102000101010000010100000101000001010001010400030
+1050003010300020100000001030009010300030103000a010200000101000001
+0000000103000401030009010300030103000b01020002010200000103000201030008010500020
+10500010101000001020002010400040102000101010000010400060100000601
+0200830101120601011101120601011148010200ad010100cc01000007010000840101120601011
+101120601011148010200ad010100c9010000000100008e010112060101110112
+0601011147010400ab010300c80102008e01011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111230107000c010400ff01ff01190101120601011101120601
+011113010b00030108000a01060076010300000100003d010300060100001f0102003a010000100
+1000007010000340102000f0100008e0101120601011101120601011113010b00
+04010200010102000a0102000001020075010100010102003f010100050102001f0101003a01000
+01001000006010200340101000e0102008d010112060101110112060101111301
+01000001000000010000000100000001020004010200010102000a01020079010000030101003f0
+101000601000020010100390101000f01010007010000350101000f0100008e01
+0112060101110112060101111301020000010000000100000001000000010100040102000001020
+00301030002010500040103000201020001010100030103000101030000010200
+03010200000101000201030041010100030100003f01010028010100390101000f0101003d01030
+09e01011206010111011206010111130101000001000000010000000100000001
+0200040105000301050001010500030105000101070001010500000108000101060001010500400
+10200070103000301040002010100000102000901030002010100000102000e01
+0100040103000301010000010200040103000901040003010300040103000201020000010200010
+10000000101000001010003010300020101000001020002010600020104000201
+0600020103000501030002010100000102000901030002010100000102000901000000010100020
+10200010102000101030005010300020100000001010000010100790101120601
+0111011206010111130102000001000000010000000100000001010004010500020102000101020
+00101020004010200010102000101060000010200010102000001030000010200
+0001030000010200000102000101020040010300040101000101010001010100020101000201010
+001010100070101000101010002010100010101000d0101000601010004010100
+0101010002010100010101000701010000010200020101000101010002010100010101000201010
+00101010001010100000101000001010001010100010101000201010001010100
+0301010004010100020101000301010007010100040101000101010002010100010101000701010
+00101010002010100010101000801000000010100030101000101010004010100
+0401010001010100010101000001010000010100780101120601011101120601011113010100000
+10000000100000001000000010200040102000001020001010200010102000101
+0200040102000101020001010300000101000001020001010200000102000101020000010200020
+10100000102000101020041010300020101000201010001010100020101000201
+0100010101000601010003010100010101000101010001010700030101000601010004010100010
+10100010101000201010006010100020101000101010003010100000101000201
+0100020101000101010001010100000101000001010000010100020101000201010001010100030
+10100040101000201010003010100070101000301010003010100010101000101
+0100060101000301010001010100010101000801000001010100030101000001000005010100030
+10100030101000001010000010100000101007801011206010111011206010111
+1301020000010000000100000001000000010100040102000001020001010700010102000401070
+00101020004010700000102000101020000010200050107004301020001010100
+0901030002010100010101000601010003010100010101000101010001010700030101000601010
+00401010001010100010106000601010002010100010101000301010000010100
+0701010001010100010101000001010000010100000106000201010001010100030101000701030
+00301010007010100030101000301010001010100010101000601010003010100
+0101010001010100070105000401010006010100030101000301010000010100000101000001010
+07801011206010111011206010111130101000001000000010000000100000001
+0200040102000001020001010200060102000401020006010200040102000501020001010200000
+10200050102004401000003010100010101000701010001010100020101000101
+0100060101000301010001010100010101000d010100060101000401010001010100010101000b0
+10100020101000101010003010100000101000701010001010100010101000001
+0100000101000001010007010100010101000301010005010100010101000301010007010100030
+10100030101000101010001010100060101000301010001010100010101000701
+0000020101000401010006010100030101000301010000010100000101000001010078010112060
+10111011206010111130102000001000000010000000100000001010004010200
+0101020000010300010101000101020004010300010101000101020004010300010101000001020
+001010200000103000101010000010300010101003f0101000301000001010100
+0301000001010100020101000201010001010100060101000301010001010100010101000d01010
+0060101000401010001010100010101000b010100020101000101010003010100
+0001010003010000020101000101010001010100000101000001010000010100070101000101010
+00301010004010100020101000301010007010100030101000301010001010100
+0101010006010100030101000101010001010100070100000301010002010000000101000501010
+00301010003010100000101000001010000010100780101120601011101120601
+011113010b0003010300010102000101060000010400040106000001040004010a0000010300010
+10600010106003f01020001010100020101000101010001010100010102000201
+010001010100070101000101010002010100010101000d010100060101000401010001010100020
+10100020100000701010000010200020101000101010002010100010101000201
+0100000102000101010000010100000101000101010002010000020101000101010003010100010
+10000010101000101020003010100010100000401010004010100010101000201
+0100010101000701010001010100020101000101010006010100030101000101010001010100040
+10100040101000101010001010100000101000001010003010000730101120601
+011101120601011113010b000301030001010200020104000101040005010400010104000501040
+00001030000010300020104000301040040010000000103000401030003010200
+0101010000010200000103000701030002010200000103000a01050002010500010102000001030
+00201030009010200000101000201030004010300040102000001010000010100
+0001010000010100020103000201020000010300030102000301020001010100030102000301050
+00301030002010200000103000701030002010200000103000501020001010200
+0001020001010200010105000301030002010100000101000001010002010200720101120601011
+1011206010111ff01e20100007301011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+10111011206010111ff01ff015701011206010111011206010111ff01ff015701
+011206010111011206010111ff01ff015701011206010111011206010111ff01ff0157010112060
+1011101120601011125010300000101000c0100000701000007010100ff01ff01
+090101120601011101120601011113010b00040107000b010100060101000601030068010200000
+1000000010200470102000f01000039010000390100000d01020006010300a801
+01120601011101120601011113010b0004010200010102000b01010006010100070101006801010
+00001020001010100480101000e01020038010000380102000d01010008010100
+a801011206010111011206010111130101000001000000010000000100000001020004010200020
+101000a01020005010200710101000201010001010100480101000f0100003801
+0100390100000e01010008010100a80101120601011101120601011113010200000100000001000
+00001000000010100040103000101010002010300020106000101060002010400
+0101030000010200020104000001000001010300000100004a01010003010000010101004701030
+0480101004901010008010100a801011206010111011206010111130101000001
+0000000100000001000000010200050103000401050001010600010106000201040001010800000
+10700000106004a01010003010000010104000301040002010100000102000301
+0300000101000201030008010400020101000001020009010000000101000201020001010200010
+10300050103000201000000010100000101000701030000010000010103000001
+0200010103000001000001010600030103000201000000010100000101000601020001010200010
+10400020101000001030002010300040104000301040005010100050103009e01
+0112060101110112060101111301020000010000000100000001000000010100060103000201020
+00101020001010200050102000701020002010300000102000001020000010300
+00010200000102004a0101000601020000010100010101000201010002010100010101000101010
+00101010000010000010101000101010006010100020101000201010001010100
+0801000000010100030101000101010004010100040101000101010001010100000101000001010
+00501010002010100020101000201000001010100020101000301010005010100
+0101010001010100000101000001010006010100020100000101010002010100020102000101010
+00301010003010100020101000201020000010100040101000401010001010100
+9d01011206010111011206010111130101000001000000010000000100000001020007010300010
+10200010102000101020005010200070102000201020001010200000102000001
+020001010300010100004a010100060101000101010001010100020101000201010001010100010
+10100010101000201010002010100060101000201010002010100010101000801
+0000010101000301010000010000050101000301010003010100000101000001010000010100050
+10100030100000201010002010000010101000301000003010100040101000201
+0100010101000001010000010100060101000201000001010100020101000201010002010100030
+10100030101000201010002010100020101000301010003010100020101009d01
+0112060101110112060101111301020000010000000100000001000000010100040101000101030
+00001070001010200050102000701020002010200010102000001020000010200
+020104004b010100060101000101010004010300020101000101010001010100010101000201060
+00901030002010100010101000701050004010100060101000301010003010100
+0001010000010100000101000601020006010100000100000301020006010100040106000101010
+00001010000010100070101000001000005010300020101000801010006010300
+020101000201010003010100030106009d010112060101110112060101111301010000010000000
+10000000100000001020004010100020102000001020006010200050102000701
+020002010200010102000101040002010000010103004a010100030100000101010001010100020
+1010001010100020101000101010002010300030101000c010100010101000201
+0100010101000701000002010100040101000601010003010100030101000001010000010100000
+10100080102000401010000010000050102000401010004010100060101000001
+0100000101000701010000010000030101000101010002010100080101000401010001010100020
+10100020101000301010003010100a20101120601011101120601011113010200
+0001000000010000000100000001010004010200010102000001030001010100010102000001010
+00201020000010100040102000201020001010200000103000401020000010200
+4a01010003010000010101000101010001010100020101000201010001010100010100000701010
+00b01010002010100020101000101010007010000030101000201000000010100
+0501010003010100030101000001010000010100000101000501000003010100040101000301000
+00301010003010100040101000601010000010100000101000701030002010100
+020101000201010008010100030101000201010002010100020101000301010003010100a201011
+20601011101120601011113010b00040107000101060001010500020105000201
+0a000001030000010600010106004b0101000101010001010100010101000101010001010200020
+10100010101000101050003010100020100000601010001010200020101000101
+0100060101000301010001010100010101000401010004010100010101000101010000010100000
+10100050101000201010004010100030101000201010003010100010100000201
+0100020100000101010000010100000101000801010003010100010102000201010008010100030
+10100010102000201020000010100040101000401010002010000040100009701
+01120601011101120601011113010b00040101000001030003010400030103000401030003010a0
+0000103000101060000010000000103004d010300010102000001030001010200
+0101010000010200000103000101050003010300080102000101010000010200000103000501020
+00101020000010200010102000101050003010300020101000001010000010100
+0501000000010300050100000401000000010300050102000401030002010100000101000001010
+00801010004010200010101000001040004010500020102000101010000010100
+0001020003010500030103000401020096010112060101110112060101115a01020001010200750
+1000004010000640100007801000097010112060101110112060101115a010700
+75010100020101006101000000010000ff0112010112060101110112060101115b0105007701040
+062010200ff011201011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff015701011206010111011206010111ff01ff015701011206010111
+011206010111ff01ff015701011206010111011206010111ff01ff0157010112060101110112060
+10111ff01ff01570101120601011100120911ff01ff0157010112081109120011
+ff01ff01570109120011011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff01ff015701011206010111011206010111ff01
+ff015701011206010111011206010111ff01ff015701011206010111011206010111ff01ff01570
+1011206010111011206010111ff12ff12591206010111011206010011ff12ff12
+5a120601011101121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0
+12701001100121e01011101121e0100110012ff01ff012701001100121e010111
+01121e0100110012ff01ff012701001100121e01011101121e0100110012ff01ff0127010011001
+21e01011101121e0100110012ff01ff012701001100121e01011101121e010011
+0012ff01ff012701001100121e01011101121f110012ff11ff112811001220110012ff11ff116c1
+1
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/h-signature.ps b/books/ps/h-signature.ps
new file mode 100644
index 0000000..5cde261
--- /dev/null
+++ b/books/ps/h-signature.ps
@@ -0,0 +1,816 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 209.573372 559.000000 612.666634
+%%Creator: xwd2ps
+%%CreationDate: Tue Sep 24 07:51:23 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  622, height = 495, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 624, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 495
+%   starting column = 1
+%   ending column = 622
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  622 495 8
+  [622 0 0 -495 0 495]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.924630 inch translate
+matrix currentmatrix
+4.5 inch 3 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+23238e
+d3d3d3
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+dbdb70
+2f4f4f
+00ffff
+00ff00
+bc8f8f
+adeaea
+2f2f4f
+238e6b
+c0c0c0
+a52a2a
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+cc3232
+230303
+2d0404
+360505
+3f0606
+480707
+510808
+5b0909
+640a0a
+6d0b0b
+760c0c
+800d0d
+890e0e
+920f0f
+9b1010
+a41111
+ae1212
+b71313
+c01414
+c91515
+d21616
+dc1717
+e51818
+e62121
+e72b2b
+e83434
+e93d3d
+ea4646
+eb4f4f
+ec5959
+ed6262
+ee6b6b
+ef7474
+f07d7d
+f18787
+f29090
+f39999
+f4a2a2
+f5acac
+f6b5b5
+f7bebe
+f8c7c7
+f9d0d0
+fadada
+fbe3e3
+fcecec
+fdf5f5
+c8d8e8
+c0d0e0
+b0d0e0
+b0c0d8
+a8c0d8
+a8c8d0
+a8b8c8
+b8d8e8
+c0d0e8
+a8b8d0
+98c0d8
+a8c8c0
+b0c8c0
+a8d8e8
+b8e0e8
+a8d8d8
+b8e8e8
+b8e0d8
+c0d8d0
+c0d8c8
+98c0c0
+c8e8f0
+98b0a8
+c0d8f0
+b8d8f0
+a0a888
+d0f0f8
+c8f0f8
+a8c0b8
+d0e0d8
+d0e0e0
+c0e0d8
+c8d0d0
+a8d8e0
+a8e0f8
+90a0a8
+8080a0
+80a0a0
+d0e8f0
+b0c8f0
+b8c8b8
+b8b8c8
+c0c0d0
+c8c8c0
+
+
+drawcolorimage
+ff0cff0c6d0c200c000dff0cff0c280c000d200c000d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d
+000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a
+270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c060a180d000cff0dff0d280d000c170d060a010d010c060a000dff0cff0c5a0c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d
+000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a0f0c020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d
+000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a0f0c020a000d000cff0aff0a0f0a000d000c080a
+030c080a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c
+020a000c0d0a000d020a000d000c060a010d010c060a000d000c020a000c0d0a000d020a000d000cff0aff0a0f0a000d000c080a000c010a000d080a000d000c020a000c0d0a000d
+020a000d000c060a010d010c060a000d000c020a000c0e0d020a000d000cff0aff0a0f0a000d000c080a000c020d080a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c
+060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a
+000d000c020a000c0d0a000d020a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c020a000c0e0d020a000d000c060a010d010c060a
+000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c060a010d010c060a000d000c150a000d000cff0aff0a0f0a000d000c150a000d000c150a000d000c
+060a010d010c060a000d000c160d000cff0dff0d100d000c160d000c160d000c060a010d000cff0dff0d620d000c080d090c000d3b02011a3b02011aff035f03011a3b02011a3b02
+090c000d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a
+010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d0502090303020103070201030302010303020b030502011a3b02011aff035f03011a04020103
+05020103040206030402010306020103030208030302011a3b02010c060a010d010c060a010d05020a0302020203060202030202020302020c030402011a3b02011aff035f03011a
+0402020304020203020208030302020305020203020209030202011a3b02010c060a010d010c060a010d05020a0303020203040202030302020303020b030402011a3b02011aff03
+5f03011a0402020304020203020209030202030303020303020209030202011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02
+011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c02020302020203040202030702
+02030902011a3b02011aff035f03011a040202030402020302020203030202030202030303020303020202030902011a3b02010c060a010d010c060a010d050202030c0202030202
+020304020203070202030902011a3b02011a1d03021a0503021a0a03031a2903001a0703001a2703031a2103051a2003001a13030004040300041f03000410030104030305040403
+00041d03011a040202030402020302020203030202030202040301020403020202030902011a1c0200031d02010c060a010d010c060a010d050202030d0202030002020305020203
+070202030902011a3b02011a1c03011a0003011a0303001a0103011a0803011a0103011a2803001a0603021a2503011a0103011a2103011a0103011a1e03021a1203000403030104
+0d0300040f0302040e0300040603010401030104040300041c03011a040202030402020302020203030202030202040301020403020202030902011a1a0204031b02010c060a010d
+010c060a010d050202030d0202030002020305020203070202030902011a3b02011a1b03011a0203011a0203001a0103011a0703011a0303011a2603011a0703001a2603011a0103
+011a2103011a0203011a1e03001a13030104020301040d030004100300040e0301040603010401030104040300041c03011a0402020304020203020202030302020302020b030202
+02030902011a180208031902010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a1b03011a0203011a0103011a0203011a0603011a0303011a
+2603011a2f03011a2503011a0203011a33030104010301040d0301041f0301040703010401030104040301041b03011a040202030402020302020203030202030202020300020303
+00020203020202030902011a16020c031702010c060a010d010c060a010d050208030802040306020203070202030902011a3b02011a1b03021a0103001a0203011a0203011a0603
+011a0303011a0003011a0003021a0403031a0203011a0003031a0203041a0203061a0203031a0503031a0203011a0003021a0303031a0003001a0803011a0403011a0003031a0303
+031a0203001a0003011a0003011a0703011a0203011a0203031a0203001a0003011a0003011a0203041a0303031a0303011a0003021a080305040303030403030504010301040103
+0204020303040403010402030104010301040603010401030104050301041b03011a04020a030202020303020203020202030002030300020203020207030402011a140210031502
+010c060a010d010c060a010d050209030802020307020203070202030902011a3b02011a1c03031a0303011a0203011a0603011a0303011a0103021a0003011a0203011a0103011a
+0203021a0103011a0003011a0203011a0303011a0703011a0403011a0103011a0203011a0103011a0103011a0203011a0703041a0303021a0103011a0103011a0103011a0103011a
+0003011a0003011a0603011a0203011a0103011a0103011a0103011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a06030604020301040103010403030104
+03030004000302040103010403030104030300040003010400030104010301040703010401030104050301041b03011a04020a030202020303020203020202030102010301020203
+020208030302011a120214031302010c060a010d010c060a010d050209030802020307020203070202030902011a3b02011a1d03021a0303011a0203011a0603011a0303011a0103
+011a0203011a0003011a0203011a0203011a0203011a0003011a0203011a0303011a0703011a0303011a0303011a0103011a0103011a0103011a0303001a0803011a0503011a0203
+011a0003011a0303011a0003011a0003011a0003011a0603011a0203011a0003011a0303011a0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a0603
+000400030204000300040603010403030104050302040103010402030104060303040203010407030404060301041b03011a04020a03020202030302020302020203010201030102
+0203020208030302011a100218031102010c060a010d010c060a010d050202030e02040306020203070202030902011a3b02011a1d03031a0203011a0203011a0603011a0303011a
+0103011a0203011a0003061a0203011a0803031a0303011a0703011a0303011a0303011a0103011a0103011a0203021a0b03011a0503011a0503011a0303011a0003011a0003011a
+0003011a0603011a0203011a0003011a0303011a0003011a0003011a0003011a0303031a0403011a0403011a0103011a060300040103000401030004030303040403010405030104
+07030104070302040203010407030304060301041c03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a
+010d050202030e02040306020203070202030902011a3b02011a1c03001a0103021a0103011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0603011a0103
+011a0303011a0703011a0303011a0303011a0103011a0103011a0403021a0903011a0503011a0503011a0303011a0003011a0003011a0003011a0603011a0203011a0003011a0303
+011a0003011a0003011a0003011a0103011a0103011a0403011a0403011a0103011a0603000403030004020301040103010403030104060301040703010406030204030301040603
+010400030104060301041c03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030d020203
+0002020305020203070202030902011a3b02011a1b03011a0203011a0103011a0203011a0603011a0303011a0103011a0203011a0003011a0703011a0503011a0203011a0303011a
+0703011a0303011a0303011a0103011a0103011a0103001a0303011a0803011a0503011a0503011a0303011a0003011a0003011a0003011a0603011a0203011a0003011a0303011a
+0003011a0003011a0003011a0003011a0203011a0403011a0403011a0103011a05030004040300040103010402030104030301040503010407030104060301040003010402030104
+0603010401030104040301041d03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d050202030d02
+02030002020305020203070202030902011a3b02011a1b03011a0203011a0203011a0103001a0803011a0103011a0203011a0103011a0203011a0203001a0203011a0503011a0103
+021a0303011a0103001a0403011a0403011a0103011a0203011a0103011a0103011a0203011a0803011a0503011a0603011a0103011a0103011a0003011a0003011a0603011a0103
+011a0203011a0103011a0103011a0003011a0003011a0003011a0103021a0403011a0403011a0103011a050300040403000401030104010302040003000401030104010300040203
+01040703010401030004030300040103010400030004010300040603010401030104040301041d03011a040202030402020302020203030202030202020305020203020202030902
+011a15020e031602010c060a010d010c060a010d050202030c0202030202020304020203070202030902011a3b02011a1b03011a0203011a0203011a0103001a0903031a0303041a
+0403031a0203041a0403021a0103011a0303021a0303051a0303031a0203021a0003031a0003001a0003031a0803031a0303041a0503031a0203011a0003011a0003011a0503051a
+0403031a0203011a0003011a0003011a0103021a0103011a0103051a0103021a0003031a040301040203020401030204010301040303020403030104080302040203010403030104
+020300040503030401030104020300041f03011a040202030402020302020203030202030202020305020203020202030902011a15020e031602010c060a010d010c060a010d0502
+02030c0202030202020304020203070202030902011a3b02011a1c03041a0403021a1203011aee0300040d0301042003011a04020203040202030202020303020203020202030502
+0203020202030902011a3b02010c060a010d010c060a010d050202030b0202030402020303020203070202030902011a3b02011a3c03011aff032003011a04020203040202030202
+0203030202030202020305020203020202030902011a3b02010c060a010d010c060a010d05020903040202030402020303020203070202030902011a3b02011a3b03031aff031f03
+011a0402020304020203020209030202020305020203020208030302011a3b02010c060a010d010c060a010d05020a03020202030602020302020203070202030902011a3b02011a
+ff035f03011a0402020304020203030208030202020305020203020209030202011a3b02010c060a010d010c060a010d06020903030201030702010303020103080201030902011a
+3b02011aff035f03011a0502010305020103040206030402010306020103030208030202011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02
+010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c
+060a010d3b02011a3b02011aff035f03011a3b02011a3b02010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010d
+ff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003
+011a1402010c060a010d010c060a010dff03ff034003011a090200030902010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff03
+4003011a070204030702010c060a010d010c060a010dff03ff034003011a060206030602010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a
+010dff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c060a010dff03ff034003011a02020e030202010c060a
+010d010c060a010dff03ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03ff034003011a1402010c
+060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c
+060a010d17030102000301021103001a250301020203020212030102020302021e03000207030102150306020d030002ff037103011a1402010c060a010d010c060a010d17030102
+000301021103001a250302020103020212030202010302021d03010206030302140306020c030102ff037103011a1402010c060a010d010c060a010d17030102000301020f03051a
+220302020203010212030202020301021d03010207030102170302020e030102ff037103011a1402010c060a010d010c060a010d150306020e03011a0003001a0003011a22030302
+0103010212030302010301021c030202210302020d030202ff037103161a010c060a010d010c060a010d150306020e03011a0003001a0103001a0f03011a10030302010301020203
+030201030302000302020103030201030102020303020303040200030002010304020203060202030402020302020103020202030302040302020203030200030202010306020303
+03020303040200030002020303020203020201030102ff034a03161a010c060a010d010c060a010d16030102000301020403001a0903011a0003001a1203031a0e03040200030102
+010305020003080200030402000301020103050201030702000306020103060202030402020302020103020201030502030302020203080200030602020305020103070201030502
+01030702ff034903011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d16030102000301020303021a0803031a1403031a
+0c0301020003010200030102000302020103020200030302000302020003010200030102000301020003020201030202000302020003030200030102010302020203020207030202
+020302020103020200030202010302020203020203030302000302020103020204030202010302020003020200030302000302020103020201030602ff034903011a1402010c060a
+010d010c060a010d16030102000301020403001a0a03041a0703071a0403031a0a030102000304020003020201030202000302020103020200030102000304020003020201030202
+000302020003020204030302020302020703020203030202000301020103020201030202020302020303020201030202010302020403020201030202000302020003020201030202
+010302020103030200030102ff034903011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d140306021203031a0603071a0403
+031a0a030102010303020003020201030202000302020103020200030102010303020003070200030202000302020203050202030202070302020303020200030102010307020203
+02020303020201030202010302020403070200030202000302020103070201030202ff034d03011a000200030102000301020003010200030102000301020003010200030002010c
+060a010d010c060a010d140306021203001a0003011a1103031a0c030102010303020003020201030202000302020103020200030102010303020003020206030402020302020003
+0202020302020703020203030402020302020703020203030202010302020103020204030202060304020203020206030202ff034d03011a1402010c060a010d010c060a010d1503
+0102000301021003001a0103001a0003011a0f03031a0e03010202030202000302020103020200030202010302020003010202030202000303020103010200030302040302020003
+02020203020200030102040302020403030202030302010301020203020203030202010302020103020200030102010303020103010200030302040303020103010201030202ff03
+4d03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030102000301020503001a0903011a0003001a0003011a0f03011a
+100302020103020201030502000303020003030200030202010302020103060200030602010307020103050202030602020302020403060200030602000303020003030201030502
+02030602000306020203060200030402ff034c03011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1503010200030102
+0403021a0803051a23030202020301020203030201030302000303020003020202030102020304020203060201030202000302020203030203030602020302020503040201030602
+00030302000303020203030204030402020306020203040201030402ff034c03011a1402010c060a010d010c060a010d15030102000301020503001a0c03001a5203020201030202
+5103020201030202ff035b03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2e03001a5203070251030702ff035b03011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d2e03001a5303050253030502ff035c03011a1402010c060a010d010c060a
+010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a0002000301020003010200030102
+00030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c
+060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a
+010d3703001a1003001a2c03001aff03c703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2f03011a0503001a1003001a
+0603011a2303001aff03c703011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d2e03011a0403051a0b03051a0403011a
+2003051aff03c403011a1402010c060a010d010c060a010d170301021403011a0303011a0003001a0003011a0a03011a0003001a0003011a0403011a1f03011a0003001a0003011a
+ff03c403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d160303021203011a0403011a0003001a0103001a0a03011a0003
+001a0103001a0503011a1003011a0b03011a0003001a0103001aff03c403011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a
+010d1403010200030102000301020303001a0b03011a0403011a0003001a0d03011a0003001a0803011a1003031a0903011a0003001aff03c703011a1402010c060a010d010c060a
+010d14030202010302020203021a0a03011a0403031a0d03031a0803011a1203031a0703031aff03c703011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0503041a0c03041a0603011a0703071a0403031a0603041aff03c503011a00020003010200030102
+0003010200030102000301020003010200030002010c060a010d010c060a010d160303021203011a0703031a0d03031a0503011a0703071a0403031a0803031aff03c403011a1402
+010c060a010d010c060a010d15030102010301021103011a0703001a0003011a0d03001a0003011a0503011a1203031a0a03001a0003011aff03c403011a01020003010200030102
+000301020003010200030102000301020003010c060a010d010c060a010d14030202010302021003011a0403001a0103001a0003011a0a03001a0103001a0003011a0503011a1003
+031a0903001a0103001a0003011aff03c403011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d15030002030300020403
+001a0c03011a0303011a0003001a0003011a0403001a0403011a0003001a0003011a0403011a1103011a0b03011a0003001a0003011aff03c403011a1402010c060a010d010c060a
+010d1f03021a0b03011a0303051a0403021a0303051a0503011a1f03051aff03c503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010d2003001a0d03011a0503001a0703011a0603001a0603011a2303001aff03c703011a000200030102000301020003010200030102000301020003010200030002010c060a
+010d010c060a010d3703001a0703011a0603001a2c03001aff03c703011a1402010c060a010d010c060a010d3703001a0603011a0703001a2c03001aff03c703011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002
+010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c
+060a010d010c060a010dff03ff034003011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c
+060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a000200030102
+000301020003010200030102000301020003010200030002010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d3703001a3e03001aff03c703011a000200030102000301020003010200030102000301020003
+010200030002010c060a010d010c060a010d2f03011a0503001a0d03051a0403011a2303001aff03c703011a1402010c060a010d010c060a010d2e03011a0403051a0b03011a0103
+011a0403011a2003051aff03c403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d170301021403011a0303011a0003001a
+0003011a0b03011a0103011a0403011a1f03011a0003001a0003011aff03c403011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c
+060a010d160303021203011a0403011a0003001a0103001a0b03011a0103011a0503011a1003011a0b03011a0003001a0103001aff03c403011a1402010c060a010d010c060a010d
+1403010200030102000301020303001a0b03011a0403011a0003001a0e03011a0103011a0503011a1003031a0903011a0003001aff03c703011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d14030202010302020203021a0a03011a0403031a0e03011a0003011a0603011a1203031a0703031aff03c703011a
+000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0503041a0c03031a0703
+011a0703071a0403031a0603041aff03c503011a1402010c060a010d010c060a010d160303021203011a0703031a0b03011a0003011a0603011a0703071a0403031a0803031aff03
+c403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030102010301021103011a0703001a0003011a0b03011a0103011a
+0503011a1203031a0a03001a0003011aff03c403011a000200030102000301020003010200030102000301020003010200030002010c060a010d010c060a010d1403020201030202
+1003011a0403001a0103001a0003011a0b03011a0103011a0503011a1003031a0903001a0103001a0003011aff03c403011a1402010c060a010d010c060a010d1503000203030002
+0403001a0c03011a0303011a0003001a0003011a0403001a0503011a0203011a0303011a1103011a0b03011a0003001a0003011aff03c403011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d1f03021a0b03011a0303051a0403021a0303031a0103011a0303011a1f03051aff03c503011a0002000301020003
+01020003010200030102000301020003010200030002010c060a010d010c060a010d2003001a0d03011a0503001a0703011a0e03011a2303001aff03c703011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010d3703001a0703011a3403001aff03c703011a1403010c060a010d010c060a010d3703001a0603011a
+3503001aff03c703011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010d4903001a2c03001aff03c703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2f03011a0203
+051a0e03001a0603011a2303001aff03c703011a1403010c060a010d010c060a010d2e03011a0403011a0103011a0b03051a0403011a2003051aff03c403011a1403010c060a010d
+010c060a010d170301021403011a0403011a0103011a0a03011a0003001a0003011a0403011a1f03011a0003001a0003011aff03c403011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010d160303021203011a0503011a0103011a0a03011a0003001a0103001a0503011a1003011a0b03011a0003001a0103001a
+ff03c403011a1403010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0503011a0103011a0a03011a0003001a0803011a1003031a0903011a0003001a
+ff03c703011a1403010c060a010d010c060a010d14030202010302020203021a0a03011a0503011a0003011a0b03031a0803011a1203031a0703031aff03c703011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0503031a0d03041a0603011a0703071a0403
+031a0603041aff03c503011a1403010c060a010d010c060a010d160303021203011a0503011a0003011a0e03031a0503011a0703071a0403031a0803031aff03c403011a1403010c
+060a010d010c060a010d15030102010301021103011a0503011a0103011a0d03001a0003011a0503011a1203031a0a03001a0003011aff03c403011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d14030202010302021003011a0503011a0103011a0a03001a0103001a0003011a0503011a1003031a0903001a
+0103001a0003011aff03c403011a1403010c060a010d010c060a010d15030002030300020403001a0c03011a0403011a0203011a0303001a0403011a0003001a0003011a0403011a
+1103011a0b03011a0003001a0003011aff03c403011a1403010c060a010d010c060a010d1f03021a0b03011a0303031a0103011a0203021a0303051a0503011a1f03051aff03c503
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2003001a0d03011a0e03011a0603001a0603011a2303001aff03c703011a
+1403010c060a010d010c060a010d4003011a0603001a2c03001aff03c703011a1403010c060a010d010c060a010d3f03011a0703001a2c03001aff03c703011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d340306020d0300023403001a2c03001aff039103011a1403010c060a010d010c060a010d2f03011a020306020c0301023403001a
+0603011a2303001aff039103011a1403010c060a010d010c060a010d2e03011a050302020e0301023203051a0403011a2003051aff038e03011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d170301021403011a050302020d0302023103011a0003001a0003011a0403011a1f03011a0003001a0003011aff03
+8e03011a1403010c060a010d010c060a010d160303021203011a060302020203030200030202010306020303030203030402000300020203030202030202010301020a03011a0003
+001a0103001a0503011a1003011a0b03011a0003001a0103001aff038e03011a1403010c060a010d010c060a010d1403010200030102000301020303001a0b03011a060302020203
+080200030602020305020103070201030502010307020903011a0003001a0803011a1003031a0903011a0003001aff039103011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d14030202010302020203021a0a03011a060302020303030200030202010302020403020201030202000302020003030200030202
+01030202010306020903031a0803011a1203031a0703031aff039103011a1403010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0603020203030202
+010302020103020204030202010302020003020200030202010302020103020201030302000301020a03041a0603011a0703071a0403031a0603041aff038f03011a1403010c060a
+010d010c060a010d160303021203011a0603020203030202010302020103020204030702000302020003020201030702010302021003031a0503011a0703071a0403031a0803031a
+ff038e03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030102010301021103011a0603020203030202010302020103
+0202040302020603040202030202060302021003001a0003011a0503011a1203031a0a03001a0003011aff038e03011a1403010c060a010d010c060a010d14030202010302021003
+011a06030202030302020103020201030202000301020103030201030102000303020403030201030102010302020d03001a0103001a0003011a0503011a1003031a0903001a0103
+001a0003011aff038e03011a1403010c060a010d010c060a010d15030002030300020403001a0c03011a030306020003030200030302010305020203060200030602020306020003
+04020603001a0403011a0003001a0003011a0403011a1103011a0b03011a0003001a0003011aff038e03011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d1f03021a0b03011a03030602000303020003030202030302040304020203060202030402010304020503021a0303051a0503011a1f03051aff038f03
+011a1403010c060a010d010c060a010d2003001a0d03011a26030202010302021503011a0603001a0603011a2303001aff039103011a1403010c060a010d010c060a010d58030702
+1503011a0603001a2c03001aff039103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d590305021503011a0703001a2c03
+001aff039103011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a
+01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403
+010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c
+060a010d010c060a010d3703001a0c03030200030302150300025a0303020003030215030002ff035f03011a1403010c060a010d010c060a010d2f03011a0503001a0c0303020003
+0302140301021a03011a0203051a0403011a0603011a2403030200030302140301021a03011a0203051a0403011aff033203011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d2e03011a0403051a0903020202030102150301021903011a0403011a0103011a0403011a0603011a230302020203010215030102
+1903011a0403011a0103011a0403011aff033103011a1403010c060a010d010c060a010d170301021403011a0303011a0003001a0003011a0903020202030102140302021903011a
+0403011a0103011a0403011a0603011a2303020202030102140302021903011a0403011a0103011a0403011aff033103011a1403010c060a010d010c060a010d160303021203011a
+0403011a0003001a0103001a0a03020200030202030303020403020200030102000306020303030202030202010301020303011a0503011a0103011a0503011a0603011a1003011a
+1003020200030202030303020403020200030102000306020303030202030202010301020303011a0503011a0103011a0503011aff033003011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0403011a0003001a0d0302020003010203030502020306020003
+060202030502010307020203011a0503011a0103011a0503011a0603011a1003031a0e0302020003010203030502020306020003060202030502010307020203011a0503011a0103
+011a0503011aff033003011a1403010c060a010d010c060a010d14030202010302020203021a0a03011a0403031a0d03020200030102020302020103020200030302000302020103
+02020403020201030202010306020203011a0503011a0003011a0603011a0603011a1203031a0c030202000301020203020201030202000303020003020201030202040302020103
+0202010306020203011a0503011a0003011a0603011aff033003011a1403010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0503041a0c0304020203
+020201030202000302020203010201030202040302020103020201030302000301020203011a0503031a0703011a0603011a0703071a0403031a0b03040202030202010302020003
+02020203010201030202040302020103020201030302000301020203011a0503031a0703011aff033003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d160303021203011a0703031a0b0303020303070200030202060302020403020201030202010302020603011a0503011a0003011a0603011a0603011a
+0703071a0403031a0b0303020303070200030202060302020403020201030202010302020603011a0503011a0003011a0603011aff033003011a1403010c060a010d010c060a010d
+15030102010301021103011a0703001a0003011a0b0303020303020205030202060302020403020201030202010302020603011a0503011a0103011a0503011a0603011a1203031a
+0d0303020303020205030202060302020403020201030202010302020603011a0503011a0103011a0503011aff033003011a1403010c060a010d010c060a010d1403020201030202
+1003011a0403001a0103001a0003011a0c0302020303030201030102000303020103010201030202000301020103020201030202010302020603011a0503011a0103011a0503011a
+0603011a1003031a100302020303030201030102000303020103010201030202000301020103020201030202010302020603011a0503011a0103011a0503011aff033003011a0102
+0003010200030102000301020003010200030102000301020003010c060a010d010c060a010d15030002030300020403001a0c03011a0303011a0003001a0003011a0403001a0603
+010205030602010306020103050202030502010304020603011a0403011a0203011a0303011a0603011a1103011a1203010205030602010306020103050202030502010304020603
+011a0403011a0203011a0303011aff033103011a1403010c060a010d010c060a010d1f03021a0b03011a0303051a0403021a05030102060304020303040203030302040303020203
+04020603011a0303031a0103011a0303011a0603011a2603010206030402030304020303030204030302020304020603011a0303031a0103011a0303011aff033103011a1403010c
+060a010d010c060a010d2003001a0d03011a0503001a0703011a3d03011a0d03011a0603011a5f03011a0d03011aff033203011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d3703001a0703011aff03fd03011a1403010c060a010d010c060a010d3703001a0603011aff03fe03011a1403010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+ff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d3303030200030302
+150300023d03001a2d0303020003030215030002ff035f03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2f03011a0103
+030200030302140301021a03011a0203051a0403011a1003001a0603011a2403030200030302140301021a03011a0203051a0403011aff033203011a1403010c060a010d010c060a
+010d2e03011a0203020202030102150301021903011a0403011a0103011a0403011a0d03051a0403011a2303020202030102150301021903011a0403011a0103011a0403011aff03
+3103011a1403010c060a010d010c060a010d170301021403011a0203020202030102140302021903011a0403011a0103011a0403011a0c03011a0003001a0003011a0403011a2303
+020202030102140302021903011a0403011a0103011a0403011aff033103011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+160303021203011a0403020200030202030303020403020200030102000306020303030202030202010301020303011a0503011a0103011a0503011a0b03011a0003001a0103001a
+0503011a1003011a1003020200030202030303020403020200030102000306020303030202030202010301020303011a0503011a0103011a0503011aff033003011a1403010c060a
+010d010c060a010d1403010200030102000301020303001a0b03011a040302020003010203030502020306020003060202030502010307020203011a0503011a0103011a0503011a
+0b03011a0003001a0803011a1003031a0e0302020003010203030502020306020003060202030502010307020203011a0503011a0103011a0503011aff033003011a1403010c060a
+010d010c060a010d14030202010302020203021a0a03011a040302020003010202030202010302020003030200030202010302020403020201030202010306020203011a0503011a
+0003011a0603011a0b03031a0803011a1203031a0c0302020003010202030202010302020003030200030202010302020403020201030202010306020203011a0503011a0003011a
+0603011aff033003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1403010200030102000301020303001a0b03011a0503
+04020203020201030202000302020203010201030202040302020103020201030302000301020203011a0503031a0703011a0c03041a0603011a0703071a0403031a0b0304020203
+020201030202000302020203010201030202040302020103020201030302000301020203011a0503031a0703011aff033003011a1403010c060a010d010c060a010d160303021203
+011a050303020303070200030202060302020403020201030202010302020603011a0503011a0003011a0603011a0e03031a0503011a0703071a0403031a0b030302030307020003
+0202060302020403020201030202010302020603011a0503011a0003011a0603011aff033003011a1403010c060a010d010c060a010d15030102010301021103011a050303020303
+020205030202060302020403020201030202010302020603011a0503011a0103011a0503011a0e03001a0003011a0503011a1203031a0d0303020303020205030202060302020403
+020201030202010302020603011a0503011a0103011a0503011aff033003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+14030202010302021003011a060302020303030201030102000303020103010201030202000301020103020201030202010302020603011a0503011a0103011a0503011a0b03001a
+0103001a0003011a0503011a1003031a100302020303030201030102000303020103010201030202000301020103020201030202010302020603011a0503011a0103011a0503011a
+ff033003011a1403010c060a010d010c060a010d15030002030300020403001a0c03011a0503010205030602010306020103050202030502010304020603011a0403011a0203011a
+0303011a0603001a0403011a0003001a0003011a0403011a1103011a1203010205030602010306020103050202030502010304020603011a0403011a0203011a0303011aff033103
+011a1403010c060a010d010c060a010d1f03021a0b03011a0503010206030402030304020303030204030302020304020603011a0303031a0103011a0303011a0503021a0303051a
+0503011a2603010206030402030304020303030204030302020304020603011a0303031a0103011a0303011aff033103011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010d2003001a0d03011a3c03011a0d03011a0703011a0603001a0603011a5f03011a0d03011aff033203011a1403010c060a010d010c060a
+010d8803011a0603001aff03ad03011a1403010c060a010d010c060a010d8703011a0703001aff03ad03011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+4003001a0d0306020d0300025003001aff038803011a1403010c060a010d010c060a010d3803011a0503001a0d0306020c0301022a03011a2303001aff038803011a1403010c060a
+010d010c060a010d3703011a0403051a0c0302020e0301022b03011a2003051aff038503011a01020003010200030102000301020003010200030102000301020003010c060a010d
+010c060a010d17030102060301021403011a0303011a0003001a0003011a0c0302020d0302022b03011a1f03011a0003001a0003011aff038503011a1403010c060a010d010c060a
+010d16030302040303021203011a0403011a0003001a0103001a0c0302020203030200030202010306020303030203030402000300020203030202030202010301020503011a1003
+011a0b03011a0003001a0103001aff038503011a1403010c060a010d010c060a010d1403010200030102000301020003010200030102000301020303001a0b03011a0403011a0003
+001a0f0302020203080200030602020305020103070201030502010307020403011a1003031a0903011a0003001aff038803011a0102000301020003010200030102000301020003
+0102000301020003010c060a010d010c060a010d140302020103020200030202010302020203021a0a03011a0403031a0f0302020303030200030202010302020403020201030202
+00030202000303020003020201030202010306020403011a1203031a0703031aff038803011a1403010c060a010d010c060a010d1403010200030102000301020003010200030102
+000301020303001a0b03011a0503041a0d03020203030202010302020103020204030202010302020003020200030202010302020103020201030302000301020403011a0703071a
+0403031a0603041aff038603011a1403010c060a010d010c060a010d16030302040303021203011a0703031a0c030202030302020103020201030202040307020003020200030202
+01030702010302020803011a0703071a0403031a0803031aff038503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d1503
+01020103010202030102010301021103011a0703001a0003011a0c030202030302020103020201030202040302020603040202030202060302020803011a1203031a0a03001a0003
+011aff038503011a1403010c060a010d010c060a010d140302020103020200030202010302021003011a0403001a0103001a0003011a0c0302020303020201030202010302020003
+01020103030201030102000303020403030201030102010302020803011a1003031a0903001a0103001a0003011aff038503011a1403010c060a010d010c060a010d150300020303
+000202030002030300020403001a0c03011a0303011a0003001a0003011a0403001a04030602000303020003030201030502020306020003060202030602000304020603011a1103
+011a0b03011a0003001a0003011aff038503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2803021a0b03011a0303051a
+0403021a03030602000303020003030202030302040304020203060202030402010304020603011a1f03051aff038603011a1403010c060a010d010c060a010d2903001a0d03011a
+0503001a0703011a27030202010302021403011a2303001aff038803011a1403010c060a010d010c060a010d4003001a0703011a270307023a03001aff038803011a010200030102
+00030102000301020003010200030102000301020003010c060a010d010c060a010d4003001a0603011a290305023b03001aff038803011a1403010c060a010d010c060a010dff03
+ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff03
+4003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a010200030102000301020003010200030102000301020003
+01020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d3703001a1003001a2c03001aff03
+c703011a1403010c060a010d010c060a010d2f03011a0503001a1003001a0603011a2303001aff03c703011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010d2e03011a0403051a0b03051a0403011a2003051aff03c403011a1403010c060a010d010c060a010d160302021403011a0303011a0003001a0003011a
+0a03011a0003001a0003011a0403011a1f03011a0003001a0003011aff03c403011a1403010c060a010d010c060a010d160302021303011a0403011a0003001a0103001a0a03011a
+0003001a0103001a0503011a1003011a0b03011a0003001a0103001aff03c403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d160302020603001a0b03011a0403011a0003001a0d03011a0003001a0803011a1003031a0903011a0003001aff03c703011a1403010c060a010d010c060a010d130308020203
+021a0a03011a0403031a0d03031a0803011a1203031a0703031aff03c703011a1403010c060a010d010c060a010d130308020303001a0b03011a0503041a0c03041a0603011a0703
+071a0403031a0603041aff03c503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d130308021003011a0703031a0d03031a
+0503011a0703071a0403031a0803031aff03c403011a1403010c060a010d010c060a010d160302021303011a0703001a0003011a0d03001a0003011a0503011a1203031a0a03001a
+0003011aff03c403011a1403010c060a010d010c060a010d160302021303011a0403001a0103001a0003011a0a03001a0103001a0003011a0503011a1003031a0903001a0103001a
+0003011aff03c403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d160302020603001a0c03011a0303011a0003001a0003
+011a0403001a0403011a0003001a0003011a0403011a1103011a0b03011a0003001a0003011aff03c403011a1403010c060a010d010c060a010d1f03021a0b03011a0303051a0403
+021a0303051a0503011a1f03051aff03c503011a1403010c060a010d010c060a010d2003001a0d03011a0503001a0703011a0603001a0603011a2303001aff03c703011a01020003
+010200030102000301020003010200030102000301020003010c060a010d010c060a010d3703001a0703011a0603001a2c03001aff03c703011a1403010c060a010d010c060a010d
+3703001a0603011a0703001a2c03001aff03c703011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a
+010dff03ff034003011a1403010c060a010d010c060a010d2e03001a2303001aff03eb03011a01020003010200030102000301020003010200030102000301020003010c060a010d
+010c060a010d2e03001a2303001aff03eb03011a1403010c060a010d010c060a010d2c03051a1e03051aff03e803011a1403010c060a010d010c060a010d2b03011a0003001a0003
+011a1d03011a0003001a0003011aff03e803011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2b03011a0003001a0103001a
+0f03011a0b03011a0003001a0103001aff03e803011a1403010c060a010d010c060a010d2003001a0903011a0003001a1203031a0903011a0003001aff03eb03011a1403010c060a
+010d010c060a010d140307020203021a0803031a1403031a0703031aff03eb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d140307020303001a0a03041a0703071a0403031a0603041aff03e903011a1403010c060a010d010c060a010d140307021103031a0603071a0403031a0803031aff03e803011a
+1403010c060a010d010c060a010d2e03001a0003011a1103031a0a03001a0003011aff03e803011a01020003010200030102000301020003010200030102000301020003010c060a
+010d010c060a010d2b03001a0103001a0003011a0f03031a0903001a0103001a0003011aff03e803011a1403010c060a010d010c060a010d2003001a0903011a0003001a0003011a
+0f03011a0b03011a0003001a0003011aff03e803011a1403010c060a010d010c060a010d1f03021a0803051a1e03051aff03e903011a010200030102000301020003010200030102
+00030102000301020003010c060a010d010c060a010d2003001a0c03001a2303001aff03eb03011a1403010c060a010d010c060a010d2e03001a2303001aff03eb03011a1403010c
+060a010d010c060a010d2e03001a2303001aff03eb03011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003
+010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a0102000301020003
+0102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c
+060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d3703001a1003001a2c03001aff03c703011a1403
+010c060a010d010c060a010d2f03011a0503001a1003001a0603011a2303001aff03c703011a1403010c060a010d010c060a010d2e03011a0403051a0b03051a0403011a2003051a
+ff03c403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2e03011a0303011a0003001a0003011a0a03011a0003001a0003
+011a0403011a1f03011a0003001a0003011aff03c403011a1403010c060a010d010c060a010d2d03011a0403011a0003001a0103001a0a03011a0003001a0103001a0503011a1003
+011a0b03011a0003001a0103001aff03c403011a1403010c060a010d010c060a010d2003001a0b03011a0403011a0003001a0d03011a0003001a0803011a1003031a0903011a0003
+001aff03c703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d140307020203021a0a03011a0403031a0d03031a0803011a
+1203031a0703031aff03c703011a1403010c060a010d010c060a010d140307020303001a0b03011a0503041a0c03041a0603011a0703071a0403031a0603041aff03c503011a1403
+010c060a010d010c060a010d140307021003011a0703031a0d03031a0503011a0703071a0403031a0803031aff03c403011a01020003010200030102000301020003010200030102
+000301020003010c060a010d010c060a010d2d03011a0703001a0003011a0d03001a0003011a0503011a1203031a0a03001a0003011aff03c403011a1403010c060a010d010c060a
+010d2d03011a0403001a0103001a0003011a0a03001a0103001a0003011a0503011a1003031a0903001a0103001a0003011aff03c403011a1403010c060a010d010c060a010d2003
+001a0c03011a0303011a0003001a0003011a0403001a0403011a0003001a0003011a0403011a1103011a0b03011a0003001a0003011aff03c403011a010200030102000301020003
+01020003010200030102000301020003010c060a010d010c060a010d1f03021a0b03011a0303051a0403021a0303051a0503011a1f03051aff03c503011a1403010c060a010d010c
+060a010d2003001a0d03011a0503001a0703011a0603001a0603011a2303001aff03c703011a1403010c060a010d010c060a010d3703001a0703011a0603001a2c03001aff03c703
+011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d3703001a0603011a0703001a2c03001aff03c703011a1403010c060a010d
+010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c
+060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d1a0301021a03
+001a3e03001aff03c703011a1403010c060a010d010c060a010d1a0301021203011a0503001a0d03051a0403011a2303001aff03c703011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010d190302021103011a0403051a0b03011a0103011a0403011a2003051aff03c403011a1403010c060a010d010c060a010d
+190301021203011a0303011a0003001a0003011a0b03011a0103011a0403011a1f03011a0003001a0003011aff03c403011a1403010c060a010d010c060a010d180302021103011a
+0403011a0003001a0103001a0b03011a0103011a0503011a1003011a0b03011a0003001a0103001aff03c403011a0102000301020003010200030102000301020003010200030102
+0003010c060a010d010c060a010d180301020503001a0b03011a0403011a0003001a0e03011a0103011a0503011a1003031a0903011a0003001aff03c703011a1403010c060a010d
+010c060a010d170302020403021a0a03011a0403031a0e03011a0003011a0603011a1203031a0703031aff03c703011a1403010c060a010d010c060a010d170301020603001a0b03
+011a0503041a0c03031a0703011a0703071a0403031a0603041aff03c503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d
+160302021303011a0703031a0b03011a0003011a0603011a0703071a0403031a0803031aff03c403011a1403010c060a010d010c060a010d160301021403011a0703001a0003011a
+0b03011a0103011a0503011a1203031a0a03001a0003011aff03c403011a1403010c060a010d010c060a010d150302021403011a0403001a0103001a0003011a0b03011a0103011a
+0503011a1003031a0903001a0103001a0003011aff03c403011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d150301020803
+001a0c03011a0303011a0003001a0003011a0403001a0503011a0203011a0303011a1103011a0b03011a0003001a0003011aff03c403011a1403010c060a010d010c060a010d1403
+02020703021a0b03011a0303051a0403021a0303031a0103011a0303011a1f03051aff03c503011a1403010c060a010d010c060a010d140301020903001a0d03011a0503001a0703
+011a0e03011a2303001aff03c703011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d3703001a0703011a3403001aff03c703
+011a1403010c060a010d010c060a010d3703001a0603011a3503001aff03c703011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003
+010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff03
+4003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010dff03ff034003
+011a1403010c060a010d010c060a010dff03ff034003011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010dff03ff034003011a
+1403010c060a010d010c060a010dff03ff034003011a1403010c060a010d010c060a010d3703001a1003001a2e03060214030402ff03a503011a0102000301020003010200030102
+0003010200030102000301020003010c060a010d010c060a010d2f03011a0503001a1003001a0603011a2503070213030402ff03a503011a1403010c060a010d010c060a010d2e03
+011a0403051a0b03051a0403011a250302020003020215030202ff03a503011a1403010c060a010d010c060a010d2e03011a0303011a0003001a0003011a0a03011a0003001a0003
+011a0403011a250302020003020215030202ff03a503011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a010d2d03011a0403011a
+0003001a0103001a0a03011a0003001a0103001a0503011a1003011a110302020003020202030302040303020503020204030302030304020103030200030202ff038903011a1403
+010c060a010d010c060a010d140307020303001a0b03011a0403011a0003001a0d03011a0003001a0803011a1003031a0f0305020203050202030502040302020303050201030602
+00030802ff038803011a1403010c060a010d010c060a010d140307020203021a0a03011a0403031a0d03031a0803011a1203031a0d03050201030202010302020003020201030202
+03030202020302020103020200030102010302020103030200030202ff038803011a01020003010200030102000301020003010200030102000301020003010c060a010d010c060a
+010d2003001a0b03011a0503041a0c03041a0603011a0703071a0403031a0b0302020003020200030202010302020003020201030202030302020203020201030202030303020103
+020201030202ff038803011a1403010c060a010d010c060a010d140307021003011a0703031a0d03031a0503011a0703071a0403031a0b0302020003020200030202010302020003
+0202010302020303020202030702010305020103020201030202ff038803161a010c060a010d010c060a010d140307021003011a0703001a0003011a0d03001a0003011a0503011a
+1203031a0d0302020003020200030202010302020003020201030202030302020203020205030202000302020103020201030202ff038803161a010c060a010d010c060a010d2d03
+011a0403001a0103001a0003011a0a03001a0103001a0003011a0503011a1003031a0f03020200030202000302020103020200030202010302020303020202030302010301020003
+0202000302020103020201030202ff038803011a1402010c060a010d010c060a010d2003001a0c03011a0303011a0003001a0003011a0403001a0403011a0003001a0003011a0403
+011a1103011a100307020103050202030502020306020103060200030b0200030302ff038803011a1402010c060a010d010c060a010d1f03021a0b03011a0303051a0403021a0303
+051a0503011a2403060203030302040303020303060202030402020302020003060200030302ff038803011a1402010c060a010d010c060a010d2003001a0d03011a0503001a0703
+011a0603001a0603011aff03ec03011a1402010c060a010d010c060a010d3703001a0703011a0603001aff03f503011a1402010c060a010d010c060a010d3703001a0603011a0703
+001aff03f503011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a000212030002010c060a010d010c060a010dff03
+ff034003011a010210030102010c060a010d010c060a010dff03ff034003011a02020e030202010c060a010d010c060a010dff03ff034003011a03020c030302010c060a010d010c
+060a010dff03ff034003011a04020a030402010c060a010d010c060a010dff03ff034003011a050208030502010c060a010d010c060a010dff03ff034003011a060206030602010c
+060a010d010c060a010dff03ff034003011a070204030702010c060a010d010c060a010dff03ff034003011a080202030802010c060a010d010c060a010dff03ff034003011a0902
+00030902010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c060a010d010c060a010dff03ff034003011a1402010c
+060a010d010c060a010dff1aff1a421a1402010c060a010d010c060a010dff1aff1a571a010c060a010d010c060a010dff03ff034003161a010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03
+c803751a1803010c060a010d010c060a010dff03400300024e0304020403010204030402050300021a03751a1803010c060a010d010c060a010d1403020401030204040300047c03
+00049e0301024d0306020203030203030402040301021a03751a1803010c060a010d010c060a010d1503010402030104030302047a030204210300047a0301024d03020200030202
+0303010206030202040301021a03751a1803010c060a010d010c060a010d1503010402030004050300047c03000422030004790302024d03020210030202030302021a03751a1803
+010c060a010d010c060a010d150301040203000436030302000302020203040202030002000301020003010203030302030303020003000243030104420301020003030202030402
+020302020103010202030402020300020003010200030102030303020203060203030302020302020103010202030302000300022e03050203030402050302020203060203030302
+02030202010301020503751a1803010c060a010d010c060a010d15030104010300040303030405030304010301040403000403030304050300040c03080200030602010307020103
+05020103060215030304030303040603020400030004000301040103010404030304030305040103010403030004010301040103020403030304040303041d030702000306020103
+0702000306020103070201030502010306020203050201030702000306022e03050203030402050302020203060202030502010307020403751a1803010c060a010d010c060a010d
+150301040103000405030104030302040103010401030104020301040103020401030104030302040c03030200030202000301020103020201030702000302020103020200030202
+000302021303020401030104040301040503010400030304000300040003030402030104010301040303010403030004000301040103010400030004000302040103010400030204
+0103010401030204010301041c0303020003020200030102010302020203060200030102010302020103070200030202010302020103020204030202010302020103060200030202
+000302022f0302020703020205030202030302020403020201030202010306020403751a1803010c060a010d010c060a010d15030104010300040403010404030104020301040103
+0104020301040103010402030004050300040d0302020103020203030302010301020003010200030102000302020103020200030302010300021303010402030004040301040503
+0104020300040203020400030104060301040303010405030104010301040203020401030104000301040203010401030104020300041d0302020103020203030302020303020003
+0102030303020103010200030102000301020003020201030202010302020403020201030202010303020003010200030302010300022f0302020703020205030202030302020403
+02020103020201030302000301020403751a1803010c060a010d010c060a010d15030104000300040503010403030104020301040203010402030004030301041703020201030202
+010305020103010200030102000301020003070201030402150301040703010405030104010301040203010401030104030303040403010405030104010300040303010404030104
+020301040303010420030202010302020103050202030202050305020103010200030102000301020003070201030202040307020103020205030402300302020703020205030202
+0303020204030702010302020803751a1803010c060a010d010c060a010d150301040003000405030104030304040303010401030004000300040403020415030202010302020003
+020200030202010301020003010200030102000302020503000201030302150302040503010405030404020301040203000402030104010301040303010405030104020300040303
+010404030404060302041e03020201030202000302020003020202030202040302020003020201030102000301020003010200030202060302020403020206030202040300020103
+03022f03020207030202050302020303020204030202060302020803751a1803010c060a010d010c060a010d15030104000300040403010404030104060301040003010400030004
+020300040203010414030202010302020003020200030202010301020003010200030102000303020103010200030202000302021303000402030104030301040503010406030104
+010301040103010402030104030301040503010401030104020301040503010407030004020301041d03020200030302000302020003020202030202040302020003020201030102
+00030102000301020003030201030102010302020003010201030302010301020103020204030202000302022f030202070302020503020203030202000301020103030201030102
+010302020803751a1803010c060a010d010c060a010d1503020405030104010300040203010402030004010306040103010401030204040300040d03030200030302000307020003
+010200030102000301020103060200030602120301040103020403030104010300040203040403030104010301040003020401030204000300040103010401030004020301040003
+02040003000400030104060301040203000401030104010302041d030602010307020003040203030702000301020003010200030102010306020103050202030602000304020303
+06022e03040204030602010306020103050202030602000304020703751a1803010c060a010d010c060a010d15030104070302040403030403030104000301040303030405030204
+0c0303020003030201030202000302020003010200030102000301020203040201030002000303021403030406030204040304040103010403030104010302040103010403030204
+04030104010301040103010407030304030303041f030502030302020003020200030402040302020003020200030102000301020003010202030402030303020403040201030402
+03030002000303022f03040204030602010306020203030204030402010304020703751a1803010c060a010d010c060a010d430300045f030004030300045c030202bd03751a1803
+010c060a010d010c060a010da3030104020301045c030202bd03751a1803010c060a010d010c060a010da40304045c030402bc03751a1803010c060a010d010c060a010dff03c803
+751a1803010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03c803041a0803671a1803010c060a010d010c060a010dff03c803041a0803671a1803
+010c060a010d010c060a010dff03c803751a1803010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff03
+5703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010da70301020f0301026a0303020303010206030002070301024f030302270301020f03000207030102
+7b03010c060a010d010c060a010da60303020d030302690303020203030204030102060303024e030302260303020d030102060303027a03010c060a010d010c060a010da7030102
+0f0301026b03020203030102050301020703010250030202270301020e030102070301027b03010c060a010d010c060a010dff03270302020a0302025a030202370302028503010c
+060a010d010c060a010d5303020200030302010303020003000202030402030304020003000202030302160303020203020201030102020304020303040200030002010304020103
+030200030202020303020003000239030202000301020203030201030302000302020303050201030402020306020203040204030302010303020003020202030302000300023003
+05020203030203030302000300020303020200030102000302020103010202030402020301020003030201030602020304020403030201030302000302026703010c060a010d000c
+090d53030202000303020003060201030602010307020103050214030502010307020103040202030702010304020103080200030602380306020103050200030802010306020103
+040202030602020304020303050200030802000306022f030602010305020103060202030602000307020103040202030702000306020203040203030502000308026603010c080d
+090c000d5303020201030202000302020003020201030102010302020103020200030302000302020103020212030202010302020103060203030202020302020003030203030202
+020303020003020200030202000302023703030200030202000302020103020200030302000302020003020200030302030302020303020207030202020302020103020200030302
+0003020200030202000302022e0302020003030200030202010302020003020200030202010303020003020201030602030302020203030200030202010302020703020202030202
+0103020200030302000302026603090c000d010c060a010d530302020103020200030302010300020403030201030202000302020103020201030202120302020103020201030302
+000301020303020202030202000302020403020202030202010302020003030201030002370302020203010200030202010302020003020201030202000302020103020203030202
+03030202070302020203020201030202000302020103020200030302010300022e030202010302020003020201030202000303020103000201030202020301020103030200030102
+0303020202030202010302020103020207030202020302020103020200030202010302026603010c060a010d010c060a010d53030202010302020103040203030502010302020003
+020201030702120302020103020201030202070302020203020200030202040302020203020201030202010304023803020205030202010302020003020201030202000302020103
+020203030202030302020703020202030202010302020003020201030202010304022f03020201030202000307020103040202030202060302020703020202030202010302020103
+020207030202020302020103020200030202010302026603010c060a010d010c060a010d530302020103020200030002010303020103020200030202020304020203020217030202
+010302020103020207030202030304020503020202030202010302020003000201030302370302020503020201030202000302020103020200030202010302020303020203030202
+070302020203020201030202000302020103020200030002010303022e03020201030202000302020503000201030302010302020603020207030202020302020103020201030202
+07030202020302020103020200030202010302026603010c060a010d010c060a010d5303020200030302000302020003020201030202000302020103030204030302010301021203
+020201030202010302020703020202030302070302020203020201030202000302020003020237030302010301020003020201030202000302020103020200030202010302020303
+02020303020200030102040302020203020201030202000302020103020200030202000302022e030202010302020003030201030102000302020003020201030302010301020103
+0202070302020203020200030302010302020003010204030202020302020103020200030202010302026603010c060a010d010c060a010d53030702000306020103070200030602
+020306021303050201030402040306020003060202030a02000303020003060238030602010305020003030200030302010306020103060201030502020306020103050200030302
+00030302000306022f03060201030602000306020203060200030402040306020003060202030502020306020103050200030302000303026603010c060a010d010c060a010d5403
+0302000301020003000200030302030302020003020201030602020304021503030202030402040306020103060201030a020003030200030002000303023a030402030303020103
+030200030302020302020003010201030602020303020303060202030302010303020003030200030002000303023103020200030102020304020103000200030302040304020103
+0402040306020003050204030302030306020203030201030302000303026603010c060a010d010c060a010d6e030202010302023603020201030202ff030e0302028f03010c060a
+010d010c060a010d6e03070236030702ff030e0302028f03010c060a010d010c060a010d6f03050238030502ff030e0304028e03010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c060a010d010c060a010dff03ff035703010c
+060a010d010c060a010dff0cff0c590c060a010d010c060a000dff0cff0c5a0c060a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a
+000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a
+010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1e0a000d000cff0aff0a270a000d000c1e0a010d010c1f0d000cff0dff0d280d000c200d000cff0dff0d6c0d
+pop pop setmatrix
+
+/#copies 1 def
+showpage grestore
+%%Trailer
diff --git a/books/ps/help.ps b/books/ps/help.ps
new file mode 100644
index 0000000..a270d8a
--- /dev/null
+++ b/books/ps/help.ps
@@ -0,0 +1,387 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 284.120003 559.000000 538.120003
+%%Creator: /u/jonms/XtoPS/xwd2ps
+%%CreationDate: Tue Oct  8 20:20:34 1991
+%%Title: standard input
+%%EndComments
+% /u/jonms/XtoPS/xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   /u/jonms/XtoPS/xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  60, height = 30, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 60, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 30
+%   starting column = 1
+%   ending column = 60
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  60 30 8
+  [60 0 0 -30 0 30]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 3.960000 inch translate
+matrix currentmatrix
+.5 inch .16 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+dbdb70
+2f4f4f
+23238e
+d3d3d3
+ff0000
+000000
+004900
+004955
+0049aa
+0049ff
+006d00
+006d55
+006daa
+006dff
+009200
+009255
+0092aa
+0092ff
+00b600
+00b655
+00b6aa
+00b6ff
+00db00
+00db55
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+3b003b003b003b0004000101050001010300080103000101090007010700040002010400020102000901020002010800080106000400020104000201020009010200020108000901
+050004000201040002010200020109000201080002010300030104000400020104000201020002010900020108000201040002010400040002010400020102000201090002010800
+020104000201040004000201040002010200020109000201080002010400020104000400020104000201020002010900020108000201040002010400040002010400020102000201
+090002010800020104000201040004000a0102000701040002010800020103000301040004000a01020008010300020108000901050004000a010200080103000201080008010600
+0400020104000201020002010900020108000701070004000201040002010200020109000201080002010c0004000201040002010200020109000201080002010c00040002010400
+02010200020109000201080002010c0004000201040002010200020109000201080002010c0004000201040002010200020109000201080002010c00040002010400020102000201
+09000201080002010c0004000201040002010200080103000701030002010c0004000201040002010200090102000801020002010c00050001010500010103000801030008010200
+01010c003b003b003b003b00
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/home.ps b/books/ps/home.ps
new file mode 100644
index 0000000..c3ad0b0
--- /dev/null
+++ b/books/ps/home.ps
@@ -0,0 +1,389 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 284.120003 559.000000 538.120003
+%%Creator: /u/jonms/XtoPS/xwd2ps
+%%CreationDate: Tue Oct  8 20:20:32 1991
+%%Title: standard input
+%%EndComments
+% /u/jonms/XtoPS/xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   /u/jonms/XtoPS/xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  60, height = 30, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 60, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 30
+%   starting column = 1
+%   ending column = 60
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  60 30 8
+  [60 0 0 -30 0 30]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 3.960000 inch translate
+matrix currentmatrix
+.5 inch .16 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+dbdb70
+2f4f4f
+23238e
+d3d3d3
+ff0000
+000000
+004900
+004955
+0049aa
+0049ff
+006d00
+006d55
+006daa
+006dff
+009200
+009255
+0092aa
+0092ff
+00b600
+00b655
+00b6aa
+00b6ff
+00db00
+00db55
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+3b073b073b073b0704070101050701010407060104070101060701010307080103070407020104070201020708010307020105070201020709010207040702010407020102070901
+020703010307030102070901020704070201040702010207020103070201020703010307030102070201090704070201040702010207020103070201020703010307030102070201
+090704070201040702010207020103070201020704010107040102070201090704070201040702010207020103070201020704010107040102070201090704070201040702010207
+02010307020102070b010207020109070407020104070201020702010307020102070201000703010007020102070201090704070a01020702010307020102070201000703010007
+020102070701040704070a01020702010307020102070201010701010107020102070801030704070a01020702010307020102070201010701010107020102070801030704070201
+040702010207020103070201020702010507020102070201090704070201040702010207020103070201020702010507020102070201090704070201040702010207020103070201
+020702010507020102070201090704070201040702010207020103070201020702010507020102070201090704070201040702010207020103070201020702010507020102070201
+090704070201040702010207020103070201020702010507020102070201090704070201040702010207020103070201020702010507020102070201090704070201040702010207
+09010207020105070201020708010307040702010407020103070801020702010507020102070901020705070101050701010407060104070101060701010307080102073b073b07
+3b073b07
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/knot3.ps b/books/ps/knot3.ps
new file mode 100644
index 0000000..ea67b70
--- /dev/null
+++ b/books/ps/knot3.ps
@@ -0,0 +1,77023 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	376	400	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	renderGC	0.375000	setForeground
+	renderGC
+	195	125
+	187	129
+	194	124
+	4	195	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	127
+	194	124
+	187	129
+	4	185	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	124
+	185	127
+	192	121
+	4	194	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	194	124
+	202	120
+	195	125
+	4	194	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	120
+	194	124
+	201	118
+	4	202	120	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	192	121
+	201	118
+	194	124
+	4	192	121	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	184	125
+	192	121
+	185	127
+	4	184	125	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	192	121
+	184	125
+	191	120
+	4	192	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	118
+	192	121
+	200	116
+	4	201	118	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	120
+	200	116
+	192	121
+	4	191	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	188	131
+	180	134
+	187	129
+	4	188	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	178	132
+	187	129
+	180	134
+	4	178	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	129
+	178	132
+	185	127
+	4	187	129	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	187	129
+	195	125
+	188	131
+	4	187	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	130
+	185	127
+	178	132
+	4	177	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	127
+	177	130
+	184	125
+	4	185	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	201	118
+	218	110
+	202	120
+	4	201	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	218	110
+	201	118
+	218	108
+	4	218	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	200	116
+	218	108
+	201	118
+	4	200	116	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	200	116
+	191	120
+	198	114
+	4	200	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	108
+	200	116
+	216	106
+	4	218	108	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	114
+	216	106
+	200	116
+	4	198	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	222	134
+	213	134
+	221	131
+	4	222	134	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	131
+	221	131
+	213	134
+	4	213	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	131
+	213	131
+	220	129
+	4	221	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	131
+	230	131
+	222	134
+	4	221	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	230	131
+	221	131
+	229	128
+	4	230	131	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	220	129
+	229	128
+	221	131
+	4	220	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	195	126
+	188	131
+	195	125
+	4	195	126	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	195	125
+	202	121
+	195	126
+	4	195	125	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	121
+	195	125
+	202	120
+	4	202	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	223	135
+	214	136
+	222	134
+	4	223	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	213	134
+	222	134
+	214	136
+	4	213	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	134
+	230	133
+	223	135
+	4	222	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	230	133
+	222	134
+	230	131
+	4	230	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	182	135
+	174	139
+	180	134
+	4	182	135	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	137
+	180	134
+	174	139
+	4	172	137	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	180	134
+	172	137
+	178	132
+	4	180	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	134
+	188	131
+	182	135
+	4	180	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	229	128
+	220	129
+	228	126
+	4	229	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	229	128
+	238	128
+	230	131
+	4	229	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	128
+	229	128
+	237	125
+	4	238	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	126
+	237	125
+	229	128
+	4	228	126	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	183	124
+	191	120
+	184	125
+	4	183	124	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	120
+	183	124
+	190	119
+	4	191	120	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	190	119
+	198	114
+	191	120
+	4	190	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	135
+	178	132
+	172	137
+	4	171	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	132
+	171	135
+	177	130
+	4	178	132	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	131
+	239	130
+	230	133
+	4	230	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	130
+	230	131
+	238	128
+	4	239	130	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	189	131
+	182	135
+	188	131
+	4	189	131	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	188	131
+	195	126
+	189	131
+	4	188	131	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	120
+	218	111
+	202	121
+	4	202	120	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	218	111
+	202	120
+	218	110
+	4	218	111	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	129
+	184	125
+	177	130
+	4	177	129	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	184	125
+	177	129
+	183	124
+	4	184	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	136
+	206	137
+	213	134
+	4	214	136	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	206	134
+	213	134
+	206	137
+	4	206	134	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	134
+	206	134
+	213	131
+	4	213	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	114
+	190	119
+	198	114
+	4	198	114	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	106
+	198	114
+	215	104
+	4	216	106	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	114
+	215	104
+	198	114
+	4	198	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	215	138
+	207	139
+	214	136
+	4	215	138	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	206	137
+	214	136
+	207	139
+	4	206	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	214	136
+	223	135
+	215	138
+	4	214	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	125
+	228	126
+	236	123
+	4	237	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	125
+	247	125
+	238	128
+	4	237	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	247	125
+	237	125
+	246	123
+	4	247	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	123
+	246	123
+	237	125
+	4	236	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	128
+	247	128
+	239	130
+	4	238	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	128
+	238	128
+	247	125
+	4	247	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	213	130
+	220	129
+	213	131
+	4	213	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	129
+	213	130
+	220	127
+	4	220	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	220	127
+	228	126
+	220	129
+	4	220	127	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	228	126
+	220	127
+	228	125
+	4	228	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	125
+	236	123
+	228	126
+	4	228	125	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	183	136
+	176	140
+	182	135
+	4	183	136	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	174	139
+	182	135
+	176	140
+	4	174	139	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	182	135
+	189	131
+	183	136
+	4	182	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	134
+	177	130
+	171	135
+	4	171	134	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	130
+	171	134
+	177	129
+	4	177	130	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	223	136
+	215	138
+	223	135
+	4	223	136	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	223	135
+	231	133
+	223	136
+	4	223	135	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	133
+	223	135
+	230	133
+	4	231	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	207	139
+	199	139
+	206	137
+	4	207	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	199	137
+	206	137
+	199	139
+	4	199	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	206	137
+	199	137
+	206	134
+	4	206	137	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	230	133
+	238	131
+	231	133
+	4	230	133	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	131
+	230	133
+	239	130
+	4	238	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	206	133
+	213	131
+	206	134
+	4	206	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	213	131
+	206	133
+	213	130
+	4	213	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	208	141
+	201	142
+	207	139
+	4	208	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	199	139
+	207	139
+	201	142
+	4	199	139	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	207	139
+	215	138
+	208	141
+	4	207	139	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	140
+	164	148
+	174	139
+	4	176	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	162	146
+	174	139
+	164	148
+	4	162	146	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	174	139
+	162	146
+	172	137
+	4	174	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	144
+	172	137
+	162	146
+	4	161	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	137
+	161	144
+	171	135
+	4	172	137	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	216	139
+	208	141
+	215	138
+	4	216	139	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	215	138
+	223	136
+	216	139
+	4	215	138	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	158	128
+	150	134
+	156	126
+	4	158	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	132
+	156	126
+	150	134
+	4	148	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	156	126
+	148	132
+	154	125
+	4	156	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	156	126
+	164	120
+	158	128
+	4	156	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	120
+	156	126
+	162	119
+	4	164	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	125
+	162	119
+	156	126
+	4	154	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	125
+	189	131
+	195	126
+	4	195	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	126
+	202	120
+	195	125
+	4	195	126	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	202	120
+	195	126
+	202	121
+	4	202	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	123
+	228	125
+	236	122
+	4	236	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	123
+	236	123
+	245	120
+	4	246	123	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	236	122
+	245	120
+	236	123
+	4	236	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	119
+	154	125
+	160	117
+	4	162	119	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	162	119
+	177	106
+	164	120
+	4	162	119	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	177	106
+	162	119
+	175	104
+	4	177	106	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	160	117
+	175	104
+	162	119
+	4	160	117	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	184	124
+	190	119
+	183	124
+	4	184	124	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	190	119
+	184	124
+	191	119
+	4	190	119	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	191	119
+	198	114
+	190	119
+	4	191	119	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	218	108
+	236	100
+	218	110
+	4	218	108	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	100
+	218	108
+	236	98
+	4	236	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	106
+	236	98
+	218	108
+	4	216	106	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	98
+	216	106
+	235	95
+	4	236	98	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	215	104
+	235	95
+	216	106
+	4	215	104	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	147	131
+	154	125
+	148	132
+	4	147	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	125
+	147	131
+	152	123
+	4	154	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	123
+	160	117
+	154	125
+	4	152	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	130
+	247	128
+	238	131
+	4	239	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	128
+	239	130
+	247	128
+	4	247	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	130
+	183	136
+	189	131
+	4	189	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	131
+	195	125
+	189	130
+	4	189	131	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	117
+	152	123
+	158	116
+	4	160	117	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	175	104
+	160	117
+	173	102
+	4	175	104	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	116
+	173	102
+	160	117
+	4	158	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	202	121
+	217	111
+	202	120
+	4	202	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	217	111
+	202	121
+	218	111
+	4	217	111	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	178	129
+	183	124
+	177	129
+	4	178	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	183	124
+	178	129
+	184	124
+	4	183	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	123
+	256	123
+	247	125
+	4	246	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	123
+	246	123
+	256	120
+	4	256	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	245	120
+	256	120
+	246	123
+	4	245	120	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	198	114
+	191	119
+	198	114
+	4	198	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	215	104
+	198	114
+	214	103
+	4	215	104	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	198	114
+	214	103
+	198	114
+	4	198	114	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	125
+	256	125
+	247	128
+	4	247	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	125
+	247	125
+	256	123
+	4	256	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	152	135
+	146	141
+	150	134
+	4	152	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	143	139
+	150	134
+	146	141
+	4	143	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	150	134
+	143	139
+	148	132
+	4	150	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	150	134
+	158	128
+	152	135
+	4	150	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	199	136
+	206	134
+	199	137
+	4	199	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	206	134
+	199	136
+	206	133
+	4	206	134	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	177	140
+	166	149
+	176	140
+	4	177	140	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	164	148
+	176	140
+	166	149
+	4	164	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	176	140
+	183	136
+	177	140
+	4	176	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	161	143
+	171	135
+	161	144
+	4	161	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	135
+	161	143
+	171	134
+	4	171	135	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	209	141
+	202	144
+	208	141
+	4	209	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	201	142
+	208	141
+	202	144
+	4	201	142	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	208	141
+	216	139
+	209	141
+	4	208	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	142	138
+	148	132
+	143	139
+	4	142	138	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	132
+	142	138
+	147	131
+	4	148	132	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	159	128
+	152	135
+	158	128
+	4	159	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	158	128
+	164	121
+	159	128
+	4	158	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	121
+	158	128
+	164	120
+	4	164	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	164	120
+	177	107
+	164	121
+	4	164	120	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	107
+	164	120
+	177	106
+	4	177	107	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	201	142
+	193	142
+	199	139
+	4	201	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	140
+	199	139
+	193	142
+	4	193	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	199	139
+	193	140
+	199	137
+	4	199	139	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	213	131
+	220	127
+	213	130
+	4	213	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	127
+	213	131
+	220	128
+	4	220	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	128
+	228	125
+	220	127
+	4	220	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	144
+	194	145
+	201	142
+	4	202	144	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	193	142
+	201	142
+	194	145
+	4	193	142	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	125
+	220	128
+	228	125
+	4	228	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	125
+	236	122
+	228	125
+	4	228	125	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	183	135
+	177	140
+	183	136
+	4	183	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	183	136
+	189	130
+	183	135
+	4	183	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	218	110
+	236	101
+	218	111
+	4	218	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	101
+	218	110
+	236	100
+	4	236	101	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	172	133
+	177	129
+	171	134
+	4	172	133	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	177	129
+	172	133
+	178	129
+	4	177	129	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	223	135
+	216	139
+	223	136
+	4	223	135	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	223	136
+	230	132
+	223	135
+	4	223	136	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	230	132
+	223	136
+	231	133
+	4	230	132	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	235	95
+	215	104
+	233	93
+	4	235	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	214	103
+	233	93
+	215	104
+	4	214	103	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	133
+	213	130
+	206	133
+	4	207	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	213	130
+	207	133
+	213	131
+	4	213	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	231	133
+	238	130
+	230	132
+	4	231	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	130
+	231	133
+	238	131
+	4	238	130	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	154	135
+	148	142
+	152	135
+	4	154	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	146	141
+	152	135
+	148	142
+	4	146	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	152	135
+	159	128
+	154	135
+	4	152	135	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	245	120
+	236	122
+	244	120
+	4	245	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	120
+	245	120
+	254	118
+	4	256	120	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	244	120
+	254	118
+	245	120
+	4	244	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	146	130
+	152	123
+	147	131
+	4	146	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	123
+	146	130
+	151	123
+	4	152	123	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	151	123
+	158	116
+	152	123
+	4	151	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	142
+	141	148
+	146	141
+	4	148	142	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	139	146
+	146	141
+	141	148
+	4	139	146	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	146	141
+	139	146
+	143	139
+	4	146	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	116
+	151	123
+	157	115
+	4	158	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	102
+	158	116
+	172	100
+	4	173	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	115
+	172	100
+	158	116
+	4	157	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	128
+	255	126
+	247	128
+	4	247	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	255	126
+	247	128
+	256	125
+	4	255	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	137
+	209	141
+	216	139
+	4	216	137	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	139
+	223	135
+	216	137
+	4	216	139	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	122
+	228	125
+	236	123
+	4	236	122	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	123
+	244	120
+	236	122
+	4	236	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	123
+	189	130
+	195	125
+	4	194	123	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	195	125
+	200	119
+	194	123
+	4	195	125	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	200	119
+	195	125
+	202	120
+	4	200	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	144
+	143	139
+	139	146
+	4	138	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	139
+	138	144
+	142	138
+	4	143	139	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	186	126
+	191	119
+	184	124
+	4	186	126	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	191	119
+	186	126
+	192	121
+	4	191	119	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	192	121
+	198	114
+	191	119
+	4	192	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	138
+	199	137
+	193	140
+	4	193	138	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	199	137
+	193	138
+	199	136
+	4	199	137	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	131
+	246	127
+	238	130
+	4	238	131	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	246	127
+	238	131
+	247	128
+	4	246	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	104
+	193	90
+	177	106
+	4	175	104	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	90
+	175	104
+	191	88
+	4	193	90	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	102
+	191	88
+	175	104
+	4	173	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	187	128
+	183	135
+	189	130
+	4	187	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	130
+	194	123
+	187	128
+	4	189	130	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	120
+	216	109
+	200	119
+	4	202	120	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	109
+	202	120
+	217	111
+	4	216	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	137
+	147	131
+	142	138
+	4	142	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	147	131
+	142	137
+	146	130
+	4	147	131	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	203	144
+	196	146
+	202	144
+	4	203	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	145
+	202	144
+	196	146
+	4	194	145	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	144
+	209	141
+	203	144
+	4	202	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	180	130
+	184	124
+	178	129
+	4	180	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	184	124
+	180	130
+	186	126
+	4	184	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	198	114
+	192	121
+	199	116
+	4	198	114	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	103
+	198	114
+	213	104
+	4	214	103	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	199	116
+	213	104
+	198	114
+	4	199	116	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	200	136
+	206	133
+	199	136
+	4	200	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	206	133
+	200	136
+	207	133
+	4	206	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	88
+	173	102
+	189	86
+	4	191	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	100
+	189	86
+	173	102
+	4	172	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	139
+	167	149
+	177	140
+	4	177	139	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	166	149
+	177	140
+	167	149
+	4	166	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	140
+	183	135
+	177	139
+	4	177	140	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	162	142
+	171	134
+	161	143
+	4	162	142	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	171	134
+	162	142
+	172	133
+	4	171	134	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	142
+	144	148
+	148	142
+	4	149	142	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	141	148
+	148	142
+	144	148
+	4	141	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	148	142
+	154	135
+	149	142
+	4	148	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	147
+	238	145
+	253	144
+	4	253	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	143
+	253	144
+	238	145
+	4	238	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	144
+	238	143
+	253	142
+	4	253	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	144
+	261	147
+	253	147
+	4	253	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	147
+	253	144
+	261	144
+	4	261	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	142
+	261	144
+	253	144
+	4	253	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	128
+	154	135
+	159	128
+	4	158	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	128
+	164	121
+	158	128
+	4	159	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	121
+	159	128
+	164	121
+	4	164	121	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	210	140
+	203	144
+	209	141
+	4	210	140	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	209	141
+	216	137
+	210	140
+	4	209	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	120
+	275	118
+	256	123
+	4	256	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	118
+	256	120
+	275	115
+	4	275	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	254	118
+	275	115
+	256	120
+	4	254	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	121
+	176	107
+	164	121
+	4	164	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	107
+	164	121
+	177	107
+	4	176	107	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	123
+	275	120
+	256	125
+	4	256	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	120
+	256	123
+	275	118
+	4	275	120	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	149
+	238	148
+	253	147
+	4	253	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	145
+	253	147
+	238	148
+	4	238	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	147
+	261	149
+	253	149
+	4	253	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	149
+	253	147
+	261	147
+	4	261	149	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	194	145
+	182	148
+	193	142
+	4	194	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	182	145
+	193	142
+	182	148
+	4	182	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	142
+	182	145
+	193	140
+	4	193	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	132
+	220	128
+	213	131
+	4	214	132	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	128
+	214	132
+	221	130
+	4	220	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	221	130
+	228	125
+	220	128
+	4	221	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	111
+	234	101
+	217	111
+	4	218	111	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	234	101
+	218	111
+	236	101
+	4	234	101	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	146
+	183	150
+	194	145
+	4	196	146	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	182	148
+	194	145
+	183	150
+	4	182	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	133
+	177	139
+	183	135
+	4	181	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	135
+	187	128
+	181	133
+	4	183	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	228	125
+	221	130
+	228	127
+	4	228	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	228	127
+	236	123
+	228	125
+	4	228	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	148
+	224	146
+	238	145
+	4	238	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	224	144
+	238	145
+	224	146
+	4	224	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	145
+	224	144
+	238	143
+	4	238	145	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	106
+	193	92
+	177	107
+	4	177	106	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	92
+	177	106
+	193	90
+	4	193	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	121
+	187	128
+	194	123
+	4	192	121	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	123
+	199	116
+	192	121
+	4	194	123	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	116
+	194	123
+	200	119
+	4	199	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	174	135
+	178	129
+	172	133
+	4	174	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	178	129
+	174	135
+	180	130
+	4	178	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	187	128
+	192	121
+	186	126
+	4	187	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	233	93
+	214	103
+	232	93
+	4	233	93	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	213	104
+	232	93
+	214	103
+	4	213	104	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	133
+	216	137
+	223	135
+	4	222	133	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	135
+	229	130
+	222	133
+	4	223	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	130
+	223	135
+	230	132
+	4	229	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	144
+	253	142
+	261	141
+	4	261	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	144
+	270	147
+	261	147
+	4	261	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	270	147
+	261	144
+	270	144
+	4	270	147	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	141
+	270	144
+	261	144
+	4	261	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	153	135
+	149	142
+	154	135
+	4	153	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	135
+	158	128
+	153	135
+	4	154	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	244	120
+	236	123
+	244	120
+	4	244	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	254	118
+	244	120
+	253	117
+	4	254	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	244	120
+	253	117
+	244	120
+	4	244	120	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	150
+	224	149
+	238	148
+	4	238	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	146
+	238	148
+	224	149
+	4	224	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	148
+	253	149
+	238	150
+	4	238	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	148
+	138	154
+	141	148
+	4	144	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	135	153
+	141	148
+	138	154
+	4	135	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	141	148
+	135	153
+	139	146
+	4	141	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	230	132
+	237	128
+	229	130
+	4	230	132	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	237	128
+	230	132
+	238	130
+	4	237	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	208	135
+	213	131
+	207	133
+	4	208	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	131
+	208	135
+	214	132
+	4	213	131	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	137	143
+	142	138
+	138	144
+	4	137	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	142	138
+	137	143
+	142	137
+	4	142	138	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	186	126
+	181	133
+	187	128
+	4	186	126	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	200	119
+	214	106
+	199	116
+	4	200	119	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	106
+	200	119
+	216	109
+	4	214	106	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	147
+	270	149
+	261	149
+	4	261	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	149
+	261	147
+	270	147
+	4	270	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	181	133
+	186	126
+	180	130
+	4	181	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	213	104
+	199	116
+	214	106
+	4	213	104	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	141
+	253	142
+	238	143
+	4	238	141	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	253	142
+	238	141
+	253	140
+	4	253	142	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	253	140
+	261	141
+	253	142
+	4	253	140	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	247	128
+	254	125
+	246	127
+	4	247	128	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	254	125
+	247	128
+	255	126
+	4	254	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	147	130
+	151	123
+	146	130
+	4	147	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	123
+	147	130
+	152	123
+	4	151	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	152	123
+	157	115
+	151	123
+	4	152	123	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	151
+	139	146
+	135	153
+	4	134	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	146
+	134	151
+	138	144
+	4	139	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	215	135
+	210	140
+	216	137
+	4	215	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	137
+	222	133
+	215	135
+	4	216	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	157	115
+	152	123
+	158	116
+	4	157	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	100
+	157	115
+	171	100
+	4	172	100	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	158	116
+	171	100
+	157	115
+	4	158	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	149
+	155	157
+	164	148
+	4	166	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	153	155
+	164	148
+	155	157
+	4	153	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	148
+	153	155
+	162	146
+	4	164	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	153
+	162	146
+	153	155
+	4	152	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	162	146
+	152	153
+	161	144
+	4	162	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	123
+	228	127
+	236	125
+	4	236	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	125
+	244	120
+	236	123
+	4	236	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	115
+	254	118
+	273	113
+	4	275	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	117
+	273	113
+	254	118
+	4	253	117	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	194	138
+	199	136
+	193	138
+	4	194	138	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	199	136
+	194	138
+	200	136
+	4	199	136	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	143
+	193	140
+	182	145
+	4	182	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	140
+	182	143
+	193	138
+	4	193	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	86
+	172	100
+	188	85
+	4	189	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	100
+	188	85
+	172	100
+	4	171	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	125
+	274	121
+	255	126
+	4	256	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	274	121
+	256	125
+	275	120
+	4	274	121	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	224	142
+	238	143
+	224	144
+	4	224	142	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	143
+	224	142
+	238	141
+	4	238	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	130
+	245	125
+	237	128
+	4	238	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	245	125
+	238	130
+	246	127
+	4	245	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	142
+	197	146
+	203	144
+	4	203	142	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	196	146
+	203	144
+	197	146
+	4	196	146	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	144
+	210	140
+	203	142
+	4	203	144	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	197	146
+	185	151
+	196	146
+	4	197	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	183	150
+	196	146
+	185	151
+	4	183	150	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	145	148
+	140	155
+	144	148
+	4	145	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	154
+	144	148
+	140	155
+	4	138	154	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	144	148
+	149	142
+	145	148
+	4	144	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	143	137
+	146	130
+	142	137
+	4	143	137	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	146	130
+	143	137
+	147	130
+	4	146	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	135
+	221	130
+	214	132
+	4	215	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	130
+	215	135
+	222	133
+	4	221	130	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	133
+	228	127
+	221	130
+	4	222	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	177	139
+	181	133
+	176	137
+	4	177	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	180	130
+	176	137
+	181	133
+	4	180	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	149
+	238	150
+	253	149
+	4	253	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	149
+	261	149
+	253	149
+	4	253	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	149
+	253	149
+	261	149
+	4	261	149	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	176	137
+	180	130
+	174	135
+	4	176	137	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	141
+	253	140
+	261	140
+	4	261	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	270	144
+	261	141
+	270	141
+	4	270	144	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	140
+	270	141
+	261	141
+	4	261	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	137
+	207	133
+	200	136
+	4	202	137	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	133
+	202	137
+	208	135
+	4	207	133	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	228	127
+	222	133
+	229	130
+	4	228	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	229	130
+	236	125
+	228	127
+	4	229	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	137
+	168	148
+	177	139
+	4	176	137	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	149
+	177	139
+	168	148
+	4	167	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	141
+	145	148
+	149	142
+	4	149	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	142
+	153	135
+	149	141
+	4	149	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	165	143
+	172	133
+	162	142
+	4	165	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	172	133
+	165	143
+	174	135
+	4	172	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	125
+	229	130
+	237	128
+	4	236	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	270	144
+	279	147
+	270	147
+	4	270	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	147
+	270	144
+	279	144
+	4	279	147	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	270	141
+	279	144
+	270	144
+	4	270	141	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	209	138
+	203	142
+	210	140
+	4	209	138	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	140
+	215	135
+	209	138
+	4	210	140	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	209	138
+	214	132
+	208	135
+	4	209	138	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	214	132
+	209	138
+	215	135
+	4	214	132	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	150
+	225	151
+	238	150
+	4	239	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	224	149
+	238	150
+	225	151
+	4	224	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	150
+	253	149
+	239	150
+	4	238	150	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	147
+	278	149
+	270	149
+	4	270	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	149
+	270	147
+	279	147
+	4	278	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	157	126
+	153	135
+	158	128
+	4	157	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	128
+	162	120
+	157	126
+	4	158	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	120
+	158	128
+	164	121
+	4	162	120	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	167	149
+	158	158
+	166	149
+	4	167	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	155	157
+	166	149
+	158	158
+	4	155	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	121
+	175	105
+	162	120
+	4	164	121	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	105
+	164	121
+	176	107
+	4	175	105	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	149
+	269	149
+	261	149
+	4	261	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	149
+	261	149
+	270	149
+	4	269	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	153	151
+	161	144
+	152	153
+	4	153	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	161	144
+	153	151
+	161	143
+	4	161	144	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	107
+	192	92
+	176	107
+	4	177	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	92
+	177	107
+	193	92
+	4	192	92	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	217	111
+	233	99
+	216	109
+	4	217	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	233	99
+	217	111
+	234	101
+	4	233	99	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	244	120
+	236	125
+	244	122
+	4	244	120	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	237	128
+	244	122
+	236	125
+	4	237	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	150
+	138	144
+	134	151
+	4	134	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	144
+	134	150
+	137	143
+	4	138	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	232	93
+	213	104
+	231	94
+	4	232	93	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	214	106
+	231	94
+	213	104
+	4	214	106	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	244	122
+	237	128
+	245	125
+	4	244	122	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	117
+	244	120
+	253	118
+	4	253	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	244	122
+	253	118
+	244	120
+	4	244	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	152	133
+	149	141
+	153	135
+	4	152	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	153	135
+	157	126
+	152	133
+	4	153	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	139	143
+	142	137
+	137	143
+	4	139	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	142	137
+	139	143
+	143	137
+	4	142	137	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	224	149
+	211	148
+	224	146
+	4	224	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	211	145
+	224	146
+	211	148
+	4	211	145	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	224	146
+	211	145
+	224	144
+	4	224	146	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	127
+	253	123
+	245	125
+	4	246	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	123
+	246	127
+	254	125
+	4	253	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	142
+	253	140
+	238	141
+	4	239	142	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	140
+	239	142
+	253	141
+	4	253	140	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	141
+	261	140
+	253	140
+	4	253	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	155
+	135	160
+	138	154
+	4	140	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	159
+	138	154
+	135	160
+	4	132	159	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	154
+	132	159
+	135	153
+	4	138	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	131
+	152	123
+	147	130
+	4	149	131	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	152	123
+	149	131
+	154	125
+	4	152	123	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	154	125
+	158	116
+	152	123
+	4	154	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	148
+	176	137
+	167	145
+	4	168	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	174	135
+	167	145
+	176	137
+	4	174	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	158	116
+	154	125
+	160	118
+	4	158	116	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	100
+	158	116
+	171	101
+	4	171	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	160	118
+	171	101
+	158	116
+	4	160	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	167	145
+	174	135
+	165	143
+	4	167	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	113
+	253	117
+	272	112
+	4	273	113	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	118
+	272	112
+	253	117
+	4	253	118	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	184	143
+	193	138
+	182	143
+	4	184	143	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	193	138
+	184	143
+	194	138
+	4	193	138	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	270	141
+	261	140
+	269	140
+	4	270	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	279	144
+	270	141
+	278	141
+	4	279	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	140
+	278	141
+	270	141
+	4	269	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	140
+	208	135
+	202	137
+	4	203	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	208	135
+	203	140
+	209	138
+	4	208	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	151
+	211	151
+	224	149
+	4	225	151	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	211	148
+	224	149
+	211	151
+	4	211	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	142
+	209	138
+	203	140
+	4	203	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	140
+	200	136
+	194	138
+	4	196	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	136
+	196	140
+	202	137
+	4	200	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	255	126
+	272	121
+	254	125
+	4	255	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	272	121
+	255	126
+	274	121
+	4	272	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	157
+	135	153
+	132	159
+	4	131	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	153
+	131	157
+	134	151
+	4	135	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	85
+	171	100
+	186	85
+	4	188	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	101
+	186	85
+	171	100
+	4	171	101	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	225	143
+	238	141
+	224	142
+	4	225	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	141
+	225	143
+	239	142
+	4	238	141	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	147
+	142	154
+	145	148
+	4	145	147	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	140	155
+	145	148
+	142	154
+	4	140	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	148
+	149	141
+	145	147
+	4	145	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	140
+	198	145
+	203	142
+	4	203	140	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	146
+	203	142
+	198	145
+	4	197	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	145
+	187	151
+	197	146
+	4	198	145	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	185	151
+	197	146
+	187	151
+	4	185	151	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	270	149
+	277	149
+	269	149
+	4	270	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	277	149
+	270	149
+	278	149
+	4	277	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	145	138
+	147	130
+	143	137
+	4	145	138	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	130
+	145	138
+	149	131
+	4	147	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	109
+	231	97
+	214	106
+	4	216	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	97
+	216	109
+	233	99
+	4	231	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	140
+	253	141
+	261	141
+	4	261	140	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	141
+	269	140
+	261	140
+	4	261	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	125
+	152	133
+	157	126
+	4	154	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	157	126
+	160	118
+	154	125
+	4	157	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	118
+	157	126
+	162	120
+	4	160	118	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	231	94
+	214	106
+	231	97
+	4	231	94	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	120
+	173	103
+	160	118
+	4	162	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	103
+	162	120
+	175	105
+	4	173	103	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	98
+	256	91
+	236	100
+	4	236	98	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	256	91
+	236	98
+	256	88
+	4	256	91	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	235	95
+	256	88
+	236	98
+	4	235	95	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	253	148
+	239	150
+	253	149
+	4	253	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	253	149
+	261	148
+	253	148
+	4	253	149	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	148
+	253	149
+	261	149
+	4	261	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	142	154
+	137	161
+	140	155
+	4	142	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	160
+	140	155
+	137	161
+	4	135	160	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	147	139
+	145	147
+	149	141
+	4	147	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	141
+	152	133
+	147	139
+	4	149	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	212	144
+	224	144
+	211	145
+	4	212	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	224	144
+	212	144
+	224	142
+	4	224	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	256	88
+	235	95
+	254	86
+	4	256	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	233	93
+	254	86
+	235	95
+	4	233	93	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	118
+	244	122
+	252	120
+	4	253	118	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	245	125
+	252	120
+	244	122
+	4	245	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	133
+	154	125
+	149	131
+	4	152	133	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	148
+	159	157
+	167	149
+	4	168	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	158	158
+	167	149
+	159	157
+	4	158	158	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	171	101
+	160	118
+	173	103
+	4	171	101	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	252	120
+	245	125
+	253	123
+	4	252	120	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	279	144
+	288	147
+	279	147
+	4	279	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	288	147
+	279	144
+	288	144
+	4	288	147	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	278	141
+	288	144
+	279	144
+	4	278	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	154	150
+	161	143
+	153	151
+	4	154	150	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	161	143
+	154	150
+	162	142
+	4	161	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	149	131
+	147	139
+	152	133
+	4	149	131	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	239	149
+	226	151
+	239	150
+	4	239	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	151
+	239	150
+	226	151
+	4	225	151	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	239	150
+	253	148
+	239	149
+	4	239	150	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	147
+	287	149
+	278	149
+	4	279	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	149
+	279	147
+	288	147
+	4	287	149	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	149
+	269	148
+	261	148
+	4	261	149	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	269	148
+	261	149
+	269	149
+	4	269	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	107
+	190	91
+	175	105
+	4	176	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	91
+	176	107
+	192	92
+	4	190	91	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	142
+	202	137
+	196	140
+	4	197	142	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	202	137
+	197	142
+	203	140
+	4	202	137	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	135	149
+	137	143
+	134	150
+	4	135	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	137	143
+	135	149
+	139	143
+	4	137	143	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	147	139
+	149	131
+	145	138
+	4	147	139	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	151
+	213	152
+	225	151
+	4	226	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	151
+	225	151
+	213	152
+	4	211	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	145
+	203	140
+	197	142
+	4	198	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	141	144
+	143	137
+	139	143
+	4	141	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	143	137
+	141	144
+	145	138
+	4	143	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	156
+	134	151
+	131	157
+	4	131	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	151
+	131	156
+	134	150
+	4	134	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	100
+	255	92
+	236	101
+	4	236	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	255	92
+	236	100
+	256	91
+	4	255	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	112
+	253	118
+	271	113
+	4	272	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	252	120
+	271	113
+	253	118
+	4	252	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	145
+	194	138
+	184	143
+	4	186	145	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	138
+	186	145
+	196	140
+	4	194	138	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	140
+	261	141
+	269	141
+	4	269	140	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	141
+	269	140
+	278	140
+	4	278	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	141
+	278	140
+	269	140
+	4	269	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	144
+	253	141
+	239	142
+	4	239	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	141
+	239	144
+	253	143
+	4	253	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	143
+	261	141
+	253	141
+	4	253	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	254	125
+	271	118
+	253	123
+	4	254	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	271	118
+	254	125
+	272	121
+	4	271	118	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	131
+	116	148
+	123	130
+	4	126	131	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	114	147
+	123	130
+	116	148
+	4	114	147	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	123	130
+	114	147
+	121	129
+	4	123	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	130
+	135	112
+	126	131
+	4	123	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	112
+	123	130
+	133	111
+	4	135	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	121	129
+	133	111
+	123	130
+	4	121	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	254	86
+	233	93
+	253	84
+	4	254	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	232	93
+	253	84
+	233	93
+	4	232	93	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	88
+	211	76
+	193	90
+	4	191	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	76
+	191	88
+	210	73
+	4	211	76	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	86
+	210	73
+	191	88
+	4	189	86	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	288	144
+	278	141
+	288	141
+	4	288	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	140
+	288	141
+	278	141
+	4	278	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	85
+	171	101
+	187	87
+	4	186	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	173	103
+	187	87
+	171	101
+	4	173	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	183	150
+	172	153
+	182	148
+	4	183	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	150
+	182	148
+	172	153
+	4	172	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	182	148
+	172	150
+	182	145
+	4	182	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	197	142
+	187	150
+	198	145
+	4	197	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	187	151
+	198	145
+	187	150
+	4	187	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	145	147
+	147	139
+	144	146
+	4	145	147	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	145	138
+	144	146
+	147	139
+	4	145	138	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	151
+	173	155
+	183	150
+	4	185	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	153
+	183	150
+	173	155
+	4	172	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	146
+	142	153
+	145	147
+	4	144	146	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	142	154
+	145	147
+	142	153
+	4	142	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	145
+	239	142
+	225	143
+	4	226	145	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	142
+	226	145
+	239	144
+	4	239	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	142	153
+	139	160
+	142	154
+	4	142	153	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	137	161
+	142	154
+	139	160
+	4	137	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	73
+	189	86
+	208	71
+	4	210	73	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	85
+	208	71
+	189	86
+	4	188	85	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	149
+	277	148
+	269	148
+	4	269	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	277	148
+	269	149
+	277	149
+	4	277	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	149
+	286	149
+	277	149
+	4	278	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	149
+	278	149
+	287	149
+	4	286	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	137	161
+	132	166
+	135	160
+	4	137	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	165
+	135	160
+	132	166
+	4	129	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	160
+	129	165
+	132	159
+	4	135	160	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	144	146
+	145	138
+	141	144
+	4	144	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	146
+	121	129
+	114	147
+	4	112	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	129
+	112	146
+	119	128
+	4	121	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	111
+	121	129
+	130	109
+	4	133	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	128
+	130	109
+	121	129
+	4	119	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	146
+	239	149
+	253	148
+	4	253	146	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	148
+	261	146
+	253	146
+	4	253	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	146
+	253	148
+	261	148
+	4	261	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	213	144
+	224	142
+	212	144
+	4	213	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	224	142
+	213	144
+	225	143
+	4	224	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	261	141
+	253	143
+	261	143
+	4	261	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	261	143
+	269	141
+	261	141
+	4	261	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	149
+	114	157
+	116	148
+	4	119	149	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	111	156
+	116	148
+	114	157
+	4	111	156	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	116	148
+	111	156
+	114	147
+	4	116	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	116	148
+	126	131
+	119	149
+	4	116	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	127	132
+	119	149
+	126	131
+	4	127	132	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	131
+	136	113
+	127	132
+	4	126	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	136	113
+	126	131
+	135	112
+	4	136	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	145
+	160	156
+	168	148
+	4	167	145	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	157
+	168	148
+	160	156
+	4	159	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	105
+	188	89
+	173	103
+	4	175	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	89
+	175	105
+	190	91
+	4	188	89	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	157	151
+	162	142
+	154	150
+	4	157	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	142
+	157	151
+	165	143
+	4	162	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	163
+	132	159
+	129	165
+	4	128	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	159
+	128	163
+	131	157
+	4	132	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	90
+	210	78
+	193	92
+	4	193	90	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	78
+	193	90
+	211	76
+	4	210	78	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	271	113
+	252	120
+	270	116
+	4	271	113	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	123
+	270	116
+	252	120
+	4	253	123	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	116
+	253	123
+	271	118
+	4	270	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	87
+	173	103
+	188	89
+	4	187	87	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	146
+	226	150
+	239	149
+	4	239	146	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	226	151
+	239	149
+	226	150
+	4	226	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	239	149
+	253	146
+	239	146
+	4	239	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	187	147
+	196	140
+	186	145
+	4	187	147	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	196	140
+	187	147
+	197	142
+	4	196	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	148
+	182	145
+	172	150
+	4	173	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	145
+	173	148
+	182	143
+	4	182	145	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	148
+	268	145
+	261	146
+	4	261	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	145
+	261	148
+	269	148
+	4	268	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	150
+	197	142
+	187	147
+	4	187	150	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	139	160
+	134	166
+	137	161
+	4	139	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	166
+	137	161
+	134	166
+	4	132	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	150
+	139	143
+	135	149
+	4	138	150	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	143
+	138	150
+	141	144
+	4	139	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	109	155
+	114	147
+	111	156
+	4	109	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	147
+	109	155
+	112	146
+	4	114	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	120	149
+	116	157
+	119	149
+	4	120	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	157
+	119	149
+	116	157
+	4	114	157	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	149
+	127	132
+	120	149
+	4	119	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	146
+	253	143
+	239	144
+	4	239	146	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	143
+	239	146
+	253	146
+	4	253	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	146
+	261	143
+	253	143
+	4	253	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	101
+	253	92
+	234	101
+	4	236	101	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	92
+	236	101
+	255	92
+	4	253	92	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	187	151
+	176	156
+	185	151
+	4	187	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	155
+	185	151
+	176	156
+	4	173	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	150
+	214	153
+	226	151
+	4	226	150	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	213	152
+	226	151
+	214	153
+	4	213	152	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	132	155
+	134	150
+	131	156
+	4	132	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	134	150
+	132	155
+	135	149
+	4	134	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	261	143
+	253	146
+	261	146
+	4	261	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	142	153
+	144	146
+	140	151
+	4	142	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	141	144
+	140	151
+	144	146
+	4	141	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	158	158
+	148	165
+	155	157
+	4	158	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	163
+	155	157
+	148	165
+	4	146	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	157
+	146	163
+	153	155
+	4	155	157	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	211	151
+	199	149
+	211	148
+	4	211	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	147
+	211	148
+	199	149
+	4	200	147	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	148
+	200	147
+	211	145
+	4	211	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	227	147
+	239	144
+	226	145
+	4	227	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	239	144
+	227	147
+	239	146
+	4	239	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	84
+	232	93
+	251	84
+	4	253	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	94
+	251	84
+	232	93
+	4	231	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	208	71
+	188	85
+	206	70
+	4	208	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	85
+	206	70
+	188	85
+	4	186	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	156
+	167	145
+	159	153
+	4	160	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	165	143
+	159	153
+	167	145
+	4	165	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	140
+	269	141
+	277	141
+	4	278	140	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	288	141
+	278	140
+	287	140
+	4	288	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	141
+	287	140
+	278	140
+	4	277	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	269	141
+	261	143
+	268	143
+	4	269	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	268	143
+	277	141
+	269	141
+	4	268	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	145	161
+	153	155
+	146	163
+	4	145	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	153	155
+	145	161
+	152	153
+	4	153	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	153
+	165	143
+	157	151
+	4	159	153	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	157
+	112	165
+	114	157
+	4	116	157	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	109	164
+	114	157
+	112	165
+	4	109	164	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	114	157
+	109	164
+	111	156
+	4	114	157	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	133	111
+	147	92
+	135	112
+	4	133	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	147	92
+	133	111
+	145	91
+	4	147	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	109
+	145	91
+	133	111
+	4	130	109	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	288	144
+	306	148
+	288	147
+	4	288	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	148
+	288	144
+	306	145
+	4	306	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	288	141
+	306	145
+	288	144
+	4	288	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	146
+	268	143
+	261	143
+	4	261	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	152
+	200	152
+	211	151
+	4	213	152	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	199	149
+	211	151
+	200	152
+	4	199	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	226	150
+	239	146
+	227	147
+	4	226	150	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	288	147
+	305	150
+	287	149
+	4	288	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	150
+	288	147
+	306	148
+	4	305	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	151
+	141	144
+	138	150
+	4	140	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	268	143
+	261	146
+	268	145
+	4	268	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	161
+	131	157
+	128	163
+	4	128	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	157
+	128	161
+	131	156
+	4	131	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	146
+	119	128
+	112	146
+	4	112	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	128
+	112	146
+	118	128
+	4	119	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	109
+	119	128
+	129	109
+	4	130	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	128
+	129	109
+	119	128
+	4	118	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	151
+	139	159
+	142	153
+	4	140	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	139	160
+	142	153
+	139	159
+	4	139	160	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	269	148
+	276	145
+	268	145
+	4	269	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	276	145
+	269	148
+	277	148
+	4	276	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	115
+	295	114
+	275	118
+	4	275	115	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	114
+	275	115
+	295	111
+	4	295	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	113
+	295	111
+	275	115
+	4	273	113	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	277	149
+	285	148
+	277	148
+	4	277	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	148
+	277	149
+	286	149
+	4	285	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	118
+	294	117
+	275	120
+	4	275	118	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	117
+	275	118
+	295	114
+	4	294	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	132
+	120	149
+	127	132
+	4	126	132	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	132
+	136	113
+	126	132
+	4	127	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	113
+	127	132
+	136	113
+	4	136	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	164
+	250	158
+	264	161
+	4	264	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	251	156
+	264	161
+	250	158
+	4	251	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	264	161
+	251	156
+	265	159
+	4	264	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	264	161
+	278	168
+	264	164
+	4	264	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	278	168
+	264	161
+	279	165
+	4	278	168	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	265	159
+	279	165
+	264	161
+	4	265	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	163
+	111	156
+	109	164
+	4	107	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	156
+	107	163
+	109	155
+	4	111	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	92
+	209	78
+	192	92
+	4	193	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	78
+	193	92
+	210	78
+	4	209	78	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	118	157
+	114	165
+	116	157
+	4	118	157	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	165
+	116	157
+	114	165
+	4	112	165	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	157
+	120	149
+	118	157
+	4	116	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	91
+	130	109
+	143	89
+	4	145	91	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	109
+	143	89
+	130	109
+	4	129	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	112
+	148	94
+	136	113
+	4	135	112	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	94
+	135	112
+	147	92
+	4	148	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	146
+	225	143
+	213	144
+	4	215	146	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	143
+	215	146
+	226	145
+	4	225	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	263	166
+	250	161
+	264	164
+	4	263	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	158
+	264	164
+	250	161
+	4	250	158	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	164
+	278	170
+	263	166
+	4	264	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	278	170
+	264	164
+	278	168
+	4	278	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	201	145
+	211	145
+	200	147
+	4	201	145	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	145
+	201	145
+	212	144
+	4	211	145	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	159	157
+	151	166
+	158	158
+	4	159	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	148	165
+	158	158
+	151	166
+	4	148	165	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	175	148
+	182	143
+	173	148
+	4	175	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	182	143
+	175	148
+	184	143
+	4	182	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	139	159
+	136	166
+	139	160
+	4	139	159	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	134	166
+	139	160
+	136	166
+	4	134	166	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	155
+	112	146
+	109	155
+	4	109	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	146
+	109	155
+	112	146
+	4	112	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	145
+	288	141
+	306	142
+	4	306	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	140
+	306	142
+	288	141
+	4	287	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	146	159
+	152	153
+	145	161
+	4	146	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	153
+	146	159
+	153	151
+	4	152	153	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	279	165
+	265	159
+	279	162
+	4	279	165	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	279	165
+	286	170
+	278	168
+	4	279	165	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	170
+	279	165
+	287	167
+	4	286	170	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	279	162
+	287	167
+	279	165
+	4	279	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	149
+	118	157
+	120	149
+	4	120	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	149
+	126	132
+	120	149
+	4	120	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	187	150
+	178	156
+	187	151
+	4	187	150	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	176	156
+	187	151
+	178	156
+	4	176	156	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	101
+	251	90
+	233	99
+	4	234	101	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	251	90
+	234	101
+	253	92
+	4	251	90	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	141
+	268	143
+	276	143
+	4	277	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	145
+	276	143
+	268	143
+	4	268	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	149
+	303	150
+	286	149
+	4	287	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	150
+	287	149
+	305	150
+	4	303	150	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	156
+	135	149
+	132	155
+	4	135	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	149
+	135	156
+	138	150
+	4	135	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	227	147
+	215	151
+	226	150
+	4	227	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	153
+	226	150
+	215	151
+	4	214	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	278	168
+	285	172
+	278	170
+	4	278	168	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	172
+	278	168
+	286	170
+	4	285	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	214	153
+	201	154
+	213	152
+	4	214	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	200	152
+	213	152
+	201	154
+	4	200	152	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	134	166
+	130	172
+	132	166
+	4	134	166	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	171
+	132	166
+	130	172
+	4	127	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	166
+	127	171
+	129	165
+	4	132	166	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	276	143
+	268	145
+	276	145
+	4	276	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	111
+	273	113
+	293	109
+	4	295	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	272	112
+	293	109
+	273	113
+	4	272	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	120
+	293	118
+	274	121
+	4	275	120	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	118
+	275	120
+	294	117
+	4	293	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	252	154
+	265	159
+	251	156
+	4	252	154	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	265	159
+	252	154
+	265	158
+	4	265	159	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	265	158
+	279	162
+	265	159
+	4	265	158	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	84
+	231	94
+	250	85
+	4	251	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	97
+	250	85
+	231	94
+	4	231	97	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	165
+	110	173
+	112	165
+	4	114	165	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	172
+	112	165
+	110	173
+	4	108	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	165
+	108	172
+	109	164
+	4	112	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	159
+	140	151
+	137	157
+	4	139	159	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	150
+	137	157
+	140	151
+	4	138	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	250	161
+	237	155
+	250	158
+	4	250	161	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	153
+	250	158
+	237	155
+	4	238	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	158
+	238	153
+	251	156
+	4	250	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	206	70
+	186	85
+	204	70
+	4	206	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	87
+	204	70
+	186	85
+	4	187	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	169
+	129	165
+	127	171
+	4	126	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	165
+	126	169
+	128	163
+	4	129	165	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	140
+	277	141
+	285	141
+	4	287	140	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	143
+	285	141
+	277	141
+	4	276	143	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	215	149
+	226	145
+	215	146
+	4	215	149	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	226	145
+	215	149
+	227	147
+	4	226	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	163
+	237	158
+	250	161
+	4	250	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	237	155
+	250	161
+	237	158
+	4	237	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	161
+	263	166
+	250	163
+	4	250	161	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	136	166
+	132	172
+	134	166
+	4	136	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	130	172
+	134	166
+	132	172
+	4	130	172	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	130	161
+	131	156
+	128	161
+	4	130	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	156
+	130	161
+	132	155
+	4	131	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	137	157
+	138	150
+	135	156
+	4	137	157	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	162
+	265	158
+	280	161
+	4	279	162	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	287	167
+	279	162
+	287	165
+	4	287	167	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	280	161
+	287	165
+	279	162
+	4	280	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	263	166
+	250	163
+	263	166
+	4	263	166	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	263	166
+	277	170
+	263	166
+	4	263	166	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	277	170
+	263	166
+	278	170
+	4	277	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	163
+	109	155
+	107	163
+	4	107	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	155
+	107	163
+	109	155
+	4	109	155	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	277	148
+	284	146
+	276	145
+	4	277	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	284	146
+	277	148
+	285	148
+	4	284	146	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	165
+	113	173
+	114	165
+	4	116	165	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	110	173
+	114	165
+	113	173
+	4	110	173	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	165
+	118	157
+	116	165
+	4	114	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	109
+	118	128
+	128	109
+	4	129	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	89
+	129	109
+	141	89
+	4	143	89	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	128	109
+	141	89
+	129	109
+	4	128	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	151
+	227	147
+	215	149
+	4	215	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	171
+	109	164
+	108	172
+	4	106	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	109	164
+	106	171
+	107	163
+	4	109	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	157
+	116	165
+	118	157
+	4	118	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	157
+	120	149
+	118	157
+	4	118	157	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	167
+	294	172
+	286	170
+	4	287	167	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	294	172
+	287	167
+	295	169
+	4	294	172	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	287	165
+	295	169
+	287	167
+	4	287	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	113
+	148	95
+	136	113
+	4	136	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	95
+	136	113
+	148	94
+	4	148	95	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	156
+	153	165
+	159	157
+	4	160	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	166
+	159	157
+	153	165
+	4	151	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	146
+	118	128
+	112	146
+	4	113	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	128
+	113	146
+	120	129
+	4	118	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	129
+	128	109
+	118	128
+	4	120	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	233	99
+	250	88
+	231	97
+	4	233	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	88
+	233	99
+	251	90
+	4	250	88	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	286	170
+	293	174
+	285	172
+	4	286	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	174
+	286	170
+	294	172
+	4	293	174	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	145
+	212	144
+	201	145
+	4	203	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	212	144
+	203	145
+	213	144
+	4	212	144	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	92
+	207	77
+	190	91
+	4	192	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	207	77
+	192	92
+	209	78
+	4	207	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	149
+	184	143
+	175	148
+	4	177	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	143
+	177	149
+	186	145
+	4	184	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	85
+	231	97
+	250	88
+	4	250	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	131
+	120	149
+	126	132
+	4	125	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	132
+	134	113
+	125	131
+	4	126	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	113
+	126	132
+	136	113
+	4	134	113	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	158
+	153	151
+	146	159
+	4	148	158	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	153	151
+	148	158
+	154	150
+	4	153	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	142
+	287	140
+	305	141
+	4	306	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	141
+	305	141
+	287	140
+	4	285	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	157
+	136	164
+	139	159
+	4	137	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	166
+	139	159
+	136	164
+	4	136	166	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	278	170
+	284	172
+	277	170
+	4	278	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	172
+	278	170
+	285	172
+	4	284	172	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	240	152
+	251	156
+	238	153
+	4	240	152	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	156
+	240	152
+	252	154
+	4	251	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	187	147
+	179	154
+	187	150
+	4	187	147	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	178	156
+	187	150
+	179	154
+	4	178	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	149
+	302	149
+	285	148
+	4	286	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	149
+	286	149
+	303	150
+	4	302	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	154
+	112	146
+	109	155
+	4	111	154	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	146
+	111	154
+	113	146
+	4	112	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	141
+	276	143
+	284	143
+	4	285	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	276	145
+	284	143
+	276	143
+	4	276	145	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	293	109
+	272	112
+	292	109
+	4	293	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	271	113
+	292	109
+	272	112
+	4	271	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	167
+	128	163
+	126	169
+	4	126	167	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	163
+	126	167
+	128	161
+	4	128	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	274	121
+	291	117
+	272	121
+	4	274	121	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	117
+	274	121
+	293	118
+	4	291	117	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	215	151
+	203	154
+	214	153
+	4	215	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	154
+	214	153
+	203	154
+	4	201	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	118	148
+	118	157
+	120	149
+	4	118	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	149
+	125	131
+	118	148
+	4	120	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	143
+	276	145
+	284	146
+	4	284	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	165
+	280	161
+	287	163
+	4	287	165	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	295	169
+	287	165
+	295	167
+	4	295	169	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	163
+	295	167
+	287	165
+	4	287	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	163
+	237	160
+	250	163
+	4	250	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	158
+	250	163
+	237	160
+	4	237	158	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	163
+	263	166
+	250	163
+	4	250	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	155
+	265	158
+	252	154
+	4	253	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	158
+	253	155
+	266	158
+	4	265	158	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	266	158
+	280	161
+	265	158
+	4	266	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	70
+	187	87
+	204	72
+	4	204	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	89
+	204	72
+	187	87
+	4	188	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	164
+	134	171
+	136	166
+	4	136	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	132	172
+	136	166
+	134	171
+	4	132	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	178	151
+	186	145
+	177	149
+	4	178	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	186	145
+	178	151
+	187	147
+	4	186	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	161
+	132	155
+	130	161
+	4	132	161	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	155
+	132	161
+	135	156
+	4	132	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	172
+	292	174
+	284	172
+	4	285	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	292	174
+	285	172
+	293	174
+	4	292	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	154
+	187	147
+	178	151
+	4	179	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	173
+	110	180
+	110	173
+	4	113	173	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	180
+	110	173
+	110	180
+	4	107	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	173
+	107	180
+	108	172
+	4	110	173	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	116	164
+	115	172
+	116	165
+	4	116	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	113	173
+	116	165
+	115	172
+	4	113	173	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	116	165
+	118	157
+	116	164
+	4	116	165	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	91
+	205	75
+	188	89
+	4	190	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	205	75
+	190	91
+	207	77
+	4	205	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	170
+	107	163
+	106	171
+	4	106	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	163
+	106	170
+	107	163
+	4	107	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	153
+	153	163
+	160	156
+	4	159	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	153	165
+	160	156
+	153	163
+	4	153	165	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	280	161
+	266	158
+	280	162
+	4	280	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	280	162
+	287	163
+	280	161
+	4	280	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	164
+	137	157
+	135	162
+	4	136	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	156
+	135	162
+	137	157
+	4	135	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	295	169
+	302	175
+	294	172
+	4	295	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	175
+	295	169
+	303	172
+	4	302	175	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	295	167
+	303	172
+	295	169
+	4	295	167	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	116	147
+	120	129
+	113	146
+	4	116	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	129
+	116	147
+	122	130
+	4	120	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	128	109
+	120	129
+	129	110
+	4	128	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	130
+	129	110
+	120	129
+	4	122	130	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	159
+	154	150
+	148	158
+	4	150	159	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	150
+	150	159
+	157	151
+	4	154	150	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	264	165
+	250	163
+	263	166
+	4	264	165	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	263	166
+	278	169
+	264	165
+	4	263	166	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	169
+	263	166
+	277	170
+	4	278	169	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	172
+	300	177
+	293	174
+	4	294	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	300	177
+	294	172
+	302	175
+	4	300	177	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	122	130
+	118	148
+	125	131
+	4	122	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	131
+	131	112
+	122	130
+	4	125	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	112
+	125	131
+	134	113
+	4	131	112	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	162
+	109	155
+	107	163
+	4	109	162	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	155
+	109	162
+	111	154
+	4	109	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	72
+	188	89
+	205	75
+	4	204	72	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	147
+	213	144
+	203	145
+	4	204	147	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	144
+	204	147
+	215	146
+	4	213	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	156
+	116	164
+	118	157
+	4	116	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	118	157
+	118	148
+	116	156
+	4	118	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	89
+	128	109
+	140	89
+	4	141	89	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	110
+	140	89
+	128	109
+	4	129	110	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	172
+	112	180
+	113	173
+	4	115	172	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	110	180
+	113	173
+	112	180
+	4	110	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	155
+	157	162
+	172	153
+	4	173	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	156	159
+	172	153
+	157	162
+	4	156	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	153
+	156	159
+	172	150
+	4	172	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	113
+	146	94
+	134	113
+	4	136	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	94
+	136	113
+	148	95
+	4	146	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	156
+	158	164
+	173	155
+	4	176	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	157	162
+	173	155
+	158	164
+	4	157	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	179
+	108	172
+	107	180
+	4	105	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	172
+	105	179
+	106	171
+	4	108	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	162
+	135	156
+	132	161
+	4	135	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	141
+	285	141
+	303	142
+	4	305	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	143
+	303	142
+	285	141
+	4	284	143	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	237	158
+	225	153
+	237	155
+	4	237	158	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	226	151
+	237	155
+	225	153
+	4	226	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	237	155
+	226	151
+	238	153
+	4	237	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	172
+	126	182
+	130	172
+	4	132	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	181
+	130	172
+	126	182
+	4	124	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	172
+	124	181
+	127	171
+	4	130	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	153
+	252	154
+	240	152
+	4	241	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	252	154
+	241	153
+	253	155
+	4	252	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	148
+	301	146
+	284	146
+	4	285	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	146
+	285	148
+	302	149
+	4	301	146	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	277	170
+	284	171
+	278	169
+	4	277	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	171
+	277	170
+	284	172
+	4	284	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	292	109
+	271	113
+	290	110
+	4	292	109	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	116
+	290	110
+	271	113
+	4	270	116	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	155
+	113	146
+	111	154
+	4	113	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	146
+	113	155
+	116	147
+	4	113	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	160
+	225	156
+	237	158
+	4	237	160	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	225	153
+	237	158
+	225	156
+	4	225	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	272	121
+	290	115
+	271	118
+	4	272	121	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	290	115
+	272	121
+	291	117
+	4	290	115	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	118	148
+	122	130
+	116	147
+	4	118	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	110
+	122	130
+	131	112
+	4	129	110	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	127	166
+	128	161
+	126	167
+	4	127	166	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	161
+	127	166
+	130	161
+	4	128	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	200	152
+	189	151
+	199	149
+	4	200	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	189	148
+	199	149
+	189	151
+	4	189	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	199	149
+	189	148
+	200	147
+	4	199	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	149
+	204	153
+	215	151
+	4	215	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	154
+	215	151
+	204	153
+	4	203	154	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	116	147
+	116	156
+	118	148
+	4	116	147	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	91
+	162	73
+	147	92
+	4	145	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	73
+	145	91
+	161	71
+	4	162	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	89
+	161	71
+	145	91
+	4	143	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	179
+	127	171
+	124	181
+	4	122	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	127	171
+	122	179
+	126	169
+	4	127	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	153	163
+	159	153
+	152	160
+	4	153	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	151
+	152	160
+	159	153
+	4	157	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	201	154
+	190	154
+	200	152
+	4	201	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	189	151
+	200	152
+	190	154
+	4	189	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	160
+	157	151
+	150	159
+	4	152	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	167
+	287	163
+	295	166
+	4	295	167	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	303	172
+	295	167
+	303	170
+	4	303	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	166
+	303	170
+	295	167
+	4	295	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	157
+	172	150
+	156	159
+	4	158	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	150
+	158	157
+	173	148
+	4	172	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	287	163
+	280	162
+	287	164
+	4	287	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	164
+	295	166
+	287	163
+	4	287	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	134	171
+	129	182
+	132	172
+	4	134	171	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	182
+	132	172
+	129	182
+	4	126	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	162
+	134	169
+	136	164
+	4	135	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	171
+	136	164
+	134	169
+	4	134	171	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	178	156
+	161	165
+	176	156
+	4	178	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	164
+	176	156
+	161	165
+	4	158	164	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	162
+	238	161
+	250	163
+	4	251	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	237	160
+	250	163
+	238	161
+	4	237	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	250	163
+	264	165
+	251	162
+	4	250	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	147	92
+	163	75
+	148	94
+	4	147	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	75
+	147	92
+	162	73
+	4	163	75	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	174
+	299	177
+	292	174
+	4	293	174	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	177
+	293	174
+	300	177
+	4	299	177	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	116	156
+	116	147
+	113	155
+	4	116	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	157
+	266	158
+	253	155
+	4	253	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	158
+	253	157
+	265	160
+	4	266	158	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	265	160
+	280	162
+	266	158
+	4	265	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	150
+	238	153
+	226	151
+	4	228	150	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	153
+	228	150
+	240	152
+	4	238	153	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	205	150
+	215	146
+	204	147
+	4	205	150	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	215	146
+	205	150
+	215	149
+	4	215	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	142
+	284	143
+	302	144
+	4	303	142	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	146
+	302	144
+	284	143
+	4	284	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	71
+	143	89
+	158	69
+	4	161	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	89
+	158	69
+	143	89
+	4	141	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	144
+	284	146
+	301	146
+	4	302	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	172
+	292	173
+	284	171
+	4	284	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	292	173
+	284	172
+	292	174
+	4	292	173	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	191	147
+	200	147
+	189	148
+	4	191	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	200	147
+	191	147
+	201	145
+	4	200	147	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	153
+	215	149
+	205	150
+	4	204	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	290	110
+	270	116
+	289	112
+	4	290	110	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	271	118
+	289	112
+	270	116
+	4	271	118	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	289	112
+	271	118
+	290	115
+	4	289	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	171
+	114	179
+	115	172
+	4	115	171	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	180
+	115	172
+	114	179
+	4	112	180	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	172
+	116	164
+	115	171
+	4	115	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	163
+	115	171
+	116	164
+	4	114	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	164
+	116	156
+	114	163
+	4	116	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	107	169
+	107	163
+	106	170
+	4	107	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	107	163
+	107	169
+	109	162
+	4	107	163	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	162
+	111	154
+	109	162
+	4	111	162	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	154
+	111	162
+	113	155
+	4	111	154	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	113	155
+	114	163
+	116	156
+	4	113	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	89
+	129	110
+	141	91
+	4	140	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	112
+	141	91
+	129	110
+	4	131	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	134	113
+	143	93
+	131	112
+	4	134	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	93
+	134	113
+	146	94
+	4	143	93	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	177
+	106	171
+	105	179
+	4	105	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	106	171
+	105	177
+	106	170
+	4	106	171	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	280	162
+	265	160
+	279	164
+	4	280	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	279	164
+	287	164
+	280	162
+	4	279	164	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	265	163
+	251	162
+	264	165
+	4	265	163	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	264	165
+	278	166
+	265	163
+	4	264	165	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	278	166
+	264	165
+	278	169
+	4	278	166	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	161
+	226	158
+	237	160
+	4	238	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	156
+	237	160
+	226	158
+	4	225	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	154
+	191	156
+	201	154
+	4	203	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	190	154
+	201	154
+	191	156
+	4	190	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	177
+	126	169
+	122	179
+	4	122	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	169
+	122	177
+	126	167
+	4	126	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	180
+	109	193
+	110	180
+	4	112	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	106	193
+	110	180
+	109	193
+	4	106	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	180
+	106	193
+	107	180
+	4	110	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	130	166
+	130	161
+	127	166
+	4	130	166	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	161
+	130	166
+	132	161
+	4	130	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	151	166
+	143	172
+	148	165
+	4	151	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	171
+	148	165
+	143	172
+	4	140	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	165
+	140	171
+	146	163
+	4	148	165	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	114	163
+	113	155
+	111	162
+	4	114	163	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	303	172
+	310	178
+	302	175
+	4	303	172	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	310	178
+	303	172
+	311	175
+	4	310	178	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	303	170
+	311	175
+	303	172
+	4	303	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	256	88
+	276	83
+	256	91
+	4	256	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	83
+	256	88
+	276	80
+	4	276	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	254	86
+	276	80
+	256	88
+	4	254	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	169
+	131	180
+	134	171
+	4	134	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	129	182
+	134	171
+	131	180
+	4	129	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	169
+	135	162
+	133	167
+	4	134	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	161
+	133	167
+	135	162
+	4	132	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	168
+	146	163
+	140	171
+	4	139	168	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	163
+	139	168
+	145	161
+	4	146	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	91
+	131	112
+	143	93
+	4	141	91	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	160	156
+	173	148
+	158	157
+	4	160	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	173	148
+	160	156
+	175	148
+	4	173	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	278	169
+	285	168
+	278	166
+	4	278	169	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	285	168
+	278	169
+	284	171
+	4	285	168	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	175
+	308	179
+	300	177
+	4	302	175	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	179
+	302	175
+	310	178
+	4	308	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	155
+	253	155
+	241	153
+	4	241	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	155
+	241	155
+	253	157
+	4	253	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	154
+	163	165
+	178	156
+	4	179	154	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	165
+	178	156
+	163	165
+	4	161	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	80
+	254	86
+	275	77
+	4	276	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	84
+	275	77
+	254	86
+	4	253	84	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	179
+	112	193
+	112	180
+	4	114	179	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	193
+	112	180
+	112	193
+	4	109	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	160
+	265	160
+	253	157
+	4	252	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	160
+	252	160
+	265	163
+	4	265	160	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	163
+	279	164
+	265	160
+	4	265	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	166
+	287	164
+	294	166
+	4	295	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	170
+	295	166
+	303	168
+	4	303	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	166
+	303	168
+	295	166
+	4	294	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	192
+	107	180
+	106	193
+	4	105	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	180
+	105	192
+	105	179
+	4	107	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	73
+	230	63
+	211	76
+	4	210	73	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	63
+	210	73
+	229	60
+	4	230	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	208	71
+	229	60
+	210	73
+	4	208	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	94
+	162	76
+	148	95
+	4	148	94	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	162	76
+	148	94
+	163	75
+	4	162	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	167
+	132	161
+	130	166
+	4	133	167	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	251	162
+	265	163
+	252	160
+	4	251	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	279	164
+	265	163
+	278	166
+	4	279	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	287	164
+	279	164
+	286	166
+	4	287	164	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	286	166
+	294	166
+	287	164
+	4	286	166	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	153	165
+	145	173
+	151	166
+	4	153	165	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	143	172
+	151	166
+	145	173
+	4	143	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	158	69
+	141	89
+	156	69
+	4	158	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	89
+	156	69
+	141	89
+	4	140	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	252	160
+	240	160
+	251	162
+	4	252	160	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	161
+	251	162
+	240	160
+	4	238	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	147
+	201	145
+	191	147
+	4	193	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	145
+	193	147
+	203	145
+	4	201	145	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	151
+	240	152
+	228	150
+	4	229	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	240	152
+	229	151
+	241	153
+	4	240	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	256	91
+	275	85
+	255	92
+	4	256	91	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	85
+	256	91
+	276	83
+	4	275	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	292	174
+	299	175
+	292	173
+	4	292	174	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	299	175
+	292	174
+	299	177
+	4	299	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	60
+	208	71
+	228	58
+	4	229	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	206	70
+	228	58
+	208	71
+	4	206	70	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	166
+	286	166
+	279	164
+	4	278	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	115	171
+	114	163
+	113	170
+	4	115	171	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	111	162
+	113	170
+	114	163
+	4	111	162	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	169
+	109	162
+	107	169
+	4	110	169	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	162
+	110	169
+	111	162
+	4	109	162	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	311	175
+	303	170
+	311	172
+	4	311	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	168
+	311	172
+	303	170
+	4	303	168	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	284	171
+	292	171
+	285	168
+	4	284	171	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	292	171
+	284	171
+	292	173
+	4	292	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	76
+	230	65
+	210	78
+	4	211	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	65
+	211	76
+	230	63
+	4	230	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	166
+	145	161
+	139	168
+	4	140	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	161
+	140	166
+	146	159
+	4	145	161	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	166
+	278	166
+	285	168
+	4	286	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	170
+	114	178
+	115	171
+	4	113	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	179
+	115	171
+	114	178
+	4	114	179	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	124	175
+	126	167
+	122	177
+	4	124	175	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	126	167
+	124	175
+	127	166
+	4	126	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	300	177
+	307	179
+	299	177
+	4	300	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	179
+	300	177
+	308	179
+	4	307	179	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	204	153
+	193	156
+	203	154
+	4	204	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	191	156
+	203	154
+	193	156
+	4	191	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	107	176
+	106	170
+	105	177
+	4	107	176	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	106	170
+	107	176
+	107	169
+	4	106	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	77
+	253	84
+	273	76
+	4	275	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	84
+	273	76
+	253	84
+	4	251	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	240	160
+	227	159
+	238	161
+	4	240	160	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	226	158
+	238	161
+	227	159
+	4	226	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	241	158
+	253	157
+	241	155
+	4	241	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	253	157
+	241	158
+	252	160
+	4	253	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	145
+	325	150
+	306	148
+	4	306	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	325	150
+	306	145
+	325	147
+	4	325	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	142
+	325	147
+	306	145
+	4	306	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	162	158
+	175	148
+	160	156
+	4	162	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	175	148
+	162	158
+	177	149
+	4	175	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	113	170
+	111	162
+	110	169
+	4	113	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	148
+	323	152
+	305	150
+	4	306	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	323	152
+	306	148
+	325	150
+	4	323	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	151
+	164	163
+	179	154
+	4	178	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	165
+	179	154
+	164	163
+	4	163	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	167
+	131	178
+	134	169
+	4	133	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	180
+	134	169
+	131	178
+	4	131	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	178
+	113	191
+	114	179
+	4	114	178	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	193
+	114	179
+	113	191
+	4	112	193	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	240	160
+	252	160
+	241	158
+	4	240	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	190
+	105	179
+	105	192
+	4	104	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	179
+	104	190
+	105	177
+	4	105	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	166
+	286	166
+	293	168
+	4	294	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	168
+	293	168
+	286	166
+	4	285	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	153	163
+	148	172
+	153	165
+	4	153	163	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	145	173
+	153	165
+	148	172
+	4	145	173	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	225	156
+	204	150
+	225	153
+	4	225	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	206	148
+	225	153
+	204	150
+	4	206	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	153
+	206	148
+	226	151
+	4	225	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	168
+	285	168
+	292	171
+	4	293	168	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	158
+	204	153
+	225	156
+	4	226	158	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	204	150
+	225	156
+	204	153
+	4	204	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	58
+	206	70
+	225	57
+	4	228	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	204	70
+	225	57
+	206	70
+	4	204	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	255	92
+	273	85
+	253	92
+	4	255	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	85
+	255	92
+	275	85
+	4	273	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	168
+	294	166
+	302	168
+	4	303	168	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	168
+	302	168
+	294	166
+	4	293	168	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	95
+	160	75
+	146	94
+	4	148	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	75
+	148	95
+	162	76
+	4	160	75	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	325	147
+	306	142
+	324	144
+	4	325	147	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	141
+	324	144
+	306	142
+	4	305	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	164	160
+	177	149
+	162	158
+	4	164	160	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	177	149
+	164	160
+	178	151
+	4	177	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	195	149
+	203	145
+	193	147
+	4	195	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	203	145
+	195	149
+	204	147
+	4	203	145	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	164	163
+	178	151
+	164	160
+	4	164	163	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	142	165
+	146	159
+	140	166
+	4	142	165	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	146	159
+	142	165
+	148	158
+	4	146	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	78
+	228	65
+	209	78
+	4	210	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	228	65
+	210	78
+	230	65
+	4	228	65	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	150
+	321	152
+	303	150
+	4	305	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	321	152
+	305	150
+	323	152
+	4	321	152	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	175
+	127	166
+	124	175
+	4	127	175	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	166
+	127	175
+	130	166
+	4	127	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	156	69
+	140	89
+	156	70
+	4	156	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	91
+	156	70
+	140	89
+	4	141	91	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	292	173
+	299	173
+	292	171
+	4	292	173	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	173
+	292	173
+	299	175
+	4	299	173	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	153
+	241	153
+	229	151
+	4	230	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	153
+	230	153
+	241	155
+	4	241	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	172
+	303	168
+	311	171
+	4	311	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	168
+	311	171
+	303	168
+	4	302	168	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	178
+	113	170
+	112	176
+	4	114	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	169
+	112	176
+	113	170
+	4	110	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	178
+	133	167
+	130	176
+	4	131	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	166
+	130	176
+	133	167
+	4	130	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	176
+	107	169
+	107	176
+	4	109	176	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	169
+	109	176
+	110	169
+	4	107	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	150
+	195	154
+	204	153
+	4	205	150	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	156
+	204	153
+	195	154
+	4	193	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	207	147
+	226	151
+	206	148
+	4	207	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	151
+	207	147
+	228	150
+	4	226	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	76
+	251	84
+	271	76
+	4	273	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	85
+	271	76
+	251	84
+	4	250	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	177
+	306	178
+	299	175
+	4	299	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	178
+	299	177
+	307	179
+	4	306	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	176
+	130	166
+	127	175
+	4	130	176	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	158
+	229	158
+	240	160
+	4	241	158	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	227	159
+	240	160
+	229	158
+	4	227	159	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	311	175
+	326	184
+	310	178
+	4	311	175	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	326	184
+	311	175
+	327	181
+	4	326	184	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	172
+	327	181
+	311	175
+	4	311	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	282	186
+	271	176
+	284	183
+	4	282	186	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	273	174
+	284	183
+	271	176
+	4	273	174	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	284	183
+	273	174
+	285	181
+	4	284	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	183
+	295	194
+	282	186
+	4	284	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	194
+	284	183
+	297	191
+	4	295	194	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	285	181
+	297	191
+	284	183
+	4	285	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	178
+	324	185
+	308	179
+	4	310	178	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	185
+	310	178
+	326	184
+	4	324	185	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	227	159
+	205	156
+	226	158
+	4	227	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	204	153
+	226	158
+	205	156
+	4	204	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	176
+	110	169
+	109	176
+	4	112	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	187
+	270	178
+	282	186
+	4	281	187	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	271	176
+	282	186
+	270	178
+	4	271	176	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	282	186
+	294	195
+	281	187
+	4	282	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	294	195
+	282	186
+	295	194
+	4	294	195	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	152	160
+	148	169
+	153	163
+	4	152	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	172
+	153	163
+	148	169
+	4	148	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	176
+	113	190
+	114	178
+	4	112	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	191
+	114	178
+	113	190
+	4	113	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	168
+	293	168
+	300	170
+	4	302	168	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	292	171
+	300	170
+	293	168
+	4	292	171	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	196	152
+	204	147
+	195	149
+	4	196	152	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	147
+	196	152
+	205	150
+	4	204	147	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	270	178
+	259	169
+	271	176
+	4	270	178	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	167
+	271	176
+	259	169
+	4	261	167	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	271	176
+	261	167
+	273	174
+	4	271	176	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	300	170
+	292	171
+	299	173
+	4	300	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	92	152
+	87	172
+	89	152
+	4	92	152	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	85	172
+	89	152
+	87	172
+	4	85	172	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	89	152
+	85	172
+	86	151
+	4	89	152	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	89	152
+	96	130
+	92	152
+	4	89	152	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	130
+	89	152
+	94	129
+	4	96	130	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	151
+	94	129
+	89	152
+	4	86	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	106	189
+	105	177
+	104	190
+	4	106	189	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	105	177
+	106	189
+	107	176
+	4	105	177	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	180
+	258	172
+	270	178
+	4	269	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	169
+	270	178
+	258	172
+	4	259	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	178
+	281	187
+	269	180
+	4	270	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	195	154
+	205	150
+	196	152
+	4	195	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	165
+	148	158
+	142	165
+	4	145	165	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	158
+	145	165
+	150	159
+	4	148	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	92
+	271	83
+	251	90
+	4	253	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	83
+	253	92
+	273	85
+	4	271	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	324	144
+	305	141
+	323	143
+	4	324	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	142
+	323	143
+	305	141
+	4	303	142	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	225	57
+	204	70
+	224	57
+	4	225	57	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	204	72
+	224	57
+	204	70
+	4	204	72	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	172
+	88	182
+	87	172
+	4	90	172	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	85	182
+	87	172
+	88	182
+	4	85	182	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	87	172
+	85	182
+	85	172
+	4	87	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	172
+	92	152
+	90	172
+	4	87	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	94
+	158	74
+	143	93
+	4	146	94	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	158	74
+	146	94
+	160	75
+	4	158	74	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	230	156
+	241	155
+	230	153
+	4	230	156	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	241	155
+	230	156
+	241	158
+	4	241	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	94	153
+	90	172
+	92	152
+	4	94	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	92	152
+	98	131
+	94	153
+	4	92	152	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	98	131
+	92	152
+	96	130
+	4	98	131	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	303	150
+	319	151
+	302	149
+	4	303	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	319	151
+	303	150
+	321	152
+	4	319	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	156	70
+	141	91
+	156	72
+	4	156	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	93
+	156	72
+	141	91
+	4	143	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	158
+	241	158
+	230	156
+	4	229	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	190	154
+	172	154
+	189	151
+	4	190	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	152
+	189	151
+	172	154
+	4	172	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	189	151
+	172	152
+	189	148
+	4	189	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	78
+	226	64
+	207	77
+	4	209	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	64
+	209	78
+	228	65
+	4	226	64	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	327	181
+	311	172
+	327	179
+	4	327	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	171
+	327	179
+	311	172
+	4	311	171	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	92	172
+	90	182
+	90	172
+	4	92	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	88	182
+	90	172
+	90	182
+	4	88	182	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	90	172
+	94	153
+	92	172
+	4	90	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	191	156
+	173	157
+	190	154
+	4	191	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	154
+	190	154
+	173	157
+	4	172	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	308	179
+	322	185
+	307	179
+	4	308	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	322	185
+	308	179
+	324	185
+	4	322	185	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	148	169
+	152	160
+	147	167
+	4	148	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	150	159
+	147	167
+	152	160
+	4	150	159	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	274	173
+	285	181
+	273	174
+	4	274	173	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	181
+	274	173
+	286	180
+	4	285	181	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	297	191
+	285	181
+	298	189
+	4	297	191	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	180
+	298	189
+	285	181
+	4	286	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	76
+	250	85
+	270	77
+	4	271	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	88
+	270	77
+	250	85
+	4	250	88	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	171
+	302	168
+	309	171
+	4	311	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	300	170
+	309	171
+	302	168
+	4	300	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	148
+	228	150
+	207	147
+	4	209	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	228	150
+	209	148
+	229	151
+	4	228	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	114
+	314	114
+	294	117
+	4	295	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	314	114
+	295	114
+	315	112
+	4	314	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	111
+	315	112
+	295	114
+	4	295	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	147	167
+	150	159
+	145	165
+	4	147	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	172
+	86	151
+	85	172
+	4	83	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	151
+	83	172
+	85	151
+	4	86	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	129
+	86	151
+	91	129
+	4	94	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	151
+	91	129
+	86	151
+	4	85	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	112
+	295	111
+	315	109
+	4	315	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	109
+	315	109
+	295	111
+	4	293	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	72
+	143	93
+	158	74
+	4	156	72	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	262	167
+	273	174
+	261	167
+	4	262	167	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	174
+	262	167
+	274	173
+	4	273	174	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	281	188
+	269	180
+	281	187
+	4	281	188	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	281	187
+	293	196
+	281	188
+	4	281	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	293	196
+	281	187
+	294	195
+	4	293	196	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	297	191
+	308	202
+	295	194
+	4	297	191	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	202
+	297	191
+	310	200
+	4	308	202	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	298	189
+	310	200
+	297	191
+	4	298	189	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	175
+	306	175
+	299	173
+	4	299	175	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	175
+	299	175
+	306	178
+	4	306	175	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	129	182
+	124	191
+	126	182
+	4	129	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	190
+	126	182
+	124	191
+	4	122	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	182
+	122	190
+	124	181
+	4	126	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	182
+	85	172
+	85	182
+	4	83	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	172
+	83	182
+	83	172
+	4	85	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	182
+	88	191
+	88	182
+	4	90	182	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	86	191
+	88	182
+	88	191
+	4	86	191	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	88	182
+	86	191
+	85	182
+	4	88	182	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	194
+	306	204
+	294	195
+	4	295	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	204
+	295	194
+	308	202
+	4	306	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	190
+	112	176
+	112	188
+	4	113	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	176
+	112	188
+	112	176
+	4	109	176	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	150
+	189	148
+	172	152
+	4	174	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	189	148
+	174	150
+	191	147
+	4	189	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	251	90
+	270	80
+	250	88
+	4	251	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	80
+	251	90
+	271	83
+	4	270	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	181
+	258	174
+	269	180
+	4	269	181	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	258	172
+	269	180
+	258	174
+	4	258	172	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	180
+	281	188
+	269	181
+	4	269	180	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	229	158
+	207	156
+	227	159
+	4	229	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	156
+	227	159
+	207	156
+	4	205	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	188
+	107	176
+	106	189
+	4	109	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	176
+	109	188
+	109	176
+	4	107	176	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	92	181
+	91	191
+	90	182
+	4	92	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	88	191
+	90	182
+	91	191
+	4	88	191	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	90	182
+	92	172
+	92	181
+	4	90	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	77
+	250	88
+	270	80
+	4	270	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	188
+	124	181
+	122	190
+	4	120	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	181
+	120	188
+	122	179
+	4	124	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	156
+	175	159
+	191	156
+	4	193	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	157
+	191	156
+	175	159
+	4	173	157	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	180
+	127	191
+	129	182
+	4	131	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	124	191
+	129	182
+	127	191
+	4	124	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	258	172
+	238	159
+	259	169
+	4	258	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	240	157
+	259	169
+	238	159
+	4	240	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	259	169
+	240	157
+	261	167
+	4	259	169	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	117
+	312	116
+	293	118
+	4	294	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	312	116
+	294	117
+	314	114
+	4	312	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	224	57
+	204	72
+	223	59
+	4	224	57	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	205	75
+	223	59
+	204	72
+	4	205	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	258	174
+	237	162
+	258	172
+	4	258	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	159
+	258	172
+	237	162
+	4	238	159	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	193
+	110	205
+	109	193
+	4	112	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	204
+	109	193
+	110	205
+	4	107	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	193
+	107	204
+	106	193
+	4	109	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	323	143
+	303	142
+	321	143
+	4	323	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	144
+	321	143
+	303	142
+	4	302	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	153
+	92	172
+	94	153
+	4	94	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	153
+	98	131
+	94	153
+	4	94	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	131
+	94	153
+	98	131
+	4	98	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	207	77
+	224	62
+	205	75
+	4	207	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	62
+	207	77
+	226	64
+	4	224	62	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	109
+	293	109
+	313	107
+	4	315	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	292	109
+	313	107
+	293	109
+	4	292	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	188
+	109	176
+	109	188
+	4	112	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	149
+	319	148
+	301	146
+	4	302	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	319	148
+	302	149
+	319	151
+	4	319	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	309	171
+	300	170
+	308	173
+	4	309	171	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	173
+	308	173
+	300	170
+	4	299	173	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	129
+	104	107
+	96	130
+	4	94	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	104	107
+	94	129
+	102	105
+	4	104	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	129
+	102	105
+	94	129
+	4	91	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	172
+	92	181
+	92	172
+	4	92	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	172
+	94	153
+	92	172
+	4	92	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	191
+	85	182
+	86	191
+	4	84	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	182
+	84	191
+	83	182
+	4	85	182	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	173
+	299	173
+	306	175
+	4	308	173	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	327	179
+	311	171
+	326	177
+	4	327	179	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	309	171
+	326	177
+	311	171
+	4	309	171	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	113	191
+	113	204
+	112	193
+	4	113	191	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	110	205
+	112	193
+	113	204
+	4	110	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	189
+	286	180
+	298	188
+	4	298	189	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	310	200
+	298	189
+	311	198
+	4	310	200	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	298	188
+	311	198
+	298	189
+	4	298	188	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	223	59
+	205	75
+	224	62
+	4	223	59	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	179
+	321	184
+	306	178
+	4	307	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	321	184
+	307	179
+	322	185
+	4	321	184	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	96	130
+	106	108
+	98	131
+	4	96	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	108
+	96	130
+	104	107
+	4	106	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	294	195
+	305	204
+	293	196
+	4	294	195	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	204
+	294	195
+	306	204
+	4	305	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	203
+	106	193
+	107	204
+	4	105	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	193
+	105	203
+	105	192
+	4	106	193	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	191
+	90	199
+	88	191
+	4	91	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	200
+	88	191
+	90	199
+	4	87	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	191
+	87	200
+	86	191
+	4	88	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	210	150
+	229	151
+	209	148
+	4	210	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	151
+	210	150
+	230	153
+	4	229	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	71
+	180	55
+	162	73
+	4	161	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	55
+	161	71
+	178	53
+	4	180	55	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	158	69
+	178	53
+	161	71
+	4	158	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	174
+	286	180
+	274	173
+	4	274	174	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	180
+	274	174
+	286	181
+	4	286	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	181
+	298	188
+	286	180
+	4	286	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	150
+	191	147
+	174	150
+	4	176	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	147
+	176	150
+	193	147
+	4	191	147	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	172
+	85	151
+	83	172
+	4	83	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	151
+	83	172
+	85	151
+	4	85	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	91	129
+	85	151
+	89	129
+	4	91	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	151
+	89	129
+	85	151
+	4	85	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	186
+	122	179
+	120	188
+	4	120	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	179
+	120	186
+	122	177
+	4	122	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	156
+	261	167
+	240	157
+	4	241	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	167
+	241	156
+	262	167
+	4	261	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	321	143
+	302	144
+	319	145
+	4	321	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	146
+	319	145
+	302	144
+	4	301	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	178
+	129	189
+	131	180
+	4	131	178	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	127	191
+	131	180
+	129	189
+	4	127	191	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	93	190
+	92	199
+	91	191
+	4	93	190	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	199
+	91	191
+	92	199
+	4	90	199	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	91	191
+	92	181
+	93	190
+	4	91	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	319	145
+	301	146
+	319	148
+	4	319	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	263	168
+	274	173
+	262	167
+	4	263	168	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	173
+	263	168
+	274	174
+	4	274	173	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	181
+	93	190
+	92	181
+	4	92	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	181
+	92	172
+	92	181
+	4	92	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	181
+	83	172
+	83	182
+	4	83	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	172
+	83	181
+	83	172
+	4	83	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	258	175
+	237	164
+	258	174
+	4	258	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	237	162
+	258	174
+	237	164
+	4	237	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	258	174
+	269	181
+	258	175
+	4	258	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	162	73
+	180	57
+	163	75
+	4	162	73	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	180	57
+	162	73
+	180	55
+	4	180	57	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	105
+	91	129
+	99	105
+	4	102	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	89	129
+	99	105
+	91	129
+	4	89	129	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	187
+	269	181
+	281	188
+	4	282	187	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	281	188
+	293	194
+	282	187
+	4	281	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	194
+	281	188
+	293	196
+	4	293	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	156
+	209	155
+	229	158
+	4	230	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	207	156
+	229	158
+	209	155
+	4	207	156	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	195	154
+	177	159
+	193	156
+	4	195	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	175	159
+	193	156
+	177	159
+	4	175	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	118
+	310	115
+	291	117
+	4	293	118	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	115
+	293	118
+	312	116
+	4	310	115	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	180
+	258	175
+	269	181
+	4	270	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	181
+	282	187
+	270	180
+	4	269	181	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	313	107
+	292	109
+	311	106
+	4	313	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	290	110
+	311	106
+	292	109
+	4	290	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	178	53
+	158	69
+	176	51
+	4	178	53	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	156	69
+	176	51
+	158	69
+	4	156	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	190
+	114	202
+	113	191
+	4	113	190	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	113	204
+	113	191
+	114	202
+	4	113	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	199
+	86	191
+	87	200
+	4	85	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	191
+	85	199
+	84	191
+	4	86	191	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	173
+	135	185
+	143	172
+	4	145	173	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	183
+	143	172
+	135	185
+	4	133	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	172
+	133	183
+	140	171
+	4	143	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	131
+	106	109
+	98	131
+	4	98	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	109
+	98	131
+	106	108
+	4	106	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	180
+	140	171
+	133	183
+	4	132	180	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	171
+	132	180
+	139	168
+	4	140	171	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	326	177
+	309	171
+	325	177
+	4	326	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	308	173
+	325	177
+	309	171
+	4	308	173	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	210	153
+	230	153
+	210	150
+	4	210	153	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	230	153
+	210	153
+	230	156
+	4	230	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	153
+	92	172
+	94	153
+	4	92	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	153
+	96	131
+	92	153
+	4	94	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	96	131
+	94	153
+	98	131
+	4	96	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	201
+	105	192
+	105	203
+	4	105	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	192
+	105	201
+	104	190
+	4	105	192	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	190
+	83	182
+	84	191
+	4	84	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	182
+	84	190
+	83	181
+	4	83	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	178
+	321	181
+	306	175
+	4	306	178	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	321	181
+	306	178
+	321	184
+	4	321	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	209	155
+	230	156
+	210	153
+	4	209	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	172
+	138	185
+	145	173
+	4	148	172	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	185
+	145	173
+	138	185
+	4	135	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	188
+	286	181
+	298	188
+	4	298	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	198
+	298	188
+	311	197
+	4	311	198	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	298	188
+	311	197
+	298	188
+	4	298	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	172
+	92	181
+	92	172
+	4	90	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	172
+	92	153
+	90	172
+	4	92	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	152
+	193	147
+	176	150
+	4	178	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	193	147
+	178	152
+	195	149
+	4	193	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	184
+	122	177
+	120	186
+	4	122	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	122	177
+	122	184
+	124	175
+	4	122	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	93	189
+	94	198
+	93	190
+	4	93	189	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	92	199
+	93	190
+	94	198
+	4	92	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	190
+	92	181
+	93	189
+	4	93	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	176
+	129	187
+	131	178
+	4	130	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	189
+	131	178
+	129	187
+	4	129	189	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	92	199
+	91	207
+	90	199
+	4	92	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	208
+	90	199
+	91	207
+	4	89	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	199
+	89	208
+	87	200
+	4	90	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	75
+	179	58
+	162	76
+	4	163	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	58
+	163	75
+	180	57
+	4	179	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	196
+	305	203
+	293	194
+	4	293	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	203
+	293	196
+	305	204
+	4	305	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	196	152
+	179	158
+	195	154
+	4	196	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	159
+	195	154
+	179	158
+	4	177	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	291	117
+	309	113
+	290	115
+	4	291	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	309	113
+	291	117
+	310	115
+	4	309	113	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	94	198
+	94	206
+	92	199
+	4	94	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	207
+	92	199
+	94	206
+	4	91	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	242	158
+	262	167
+	241	156
+	4	242	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	262	167
+	242	158
+	263	168
+	4	262	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	178
+	139	168
+	132	180
+	4	133	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	168
+	133	178
+	140	166
+	4	139	168	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	176
+	286	181
+	274	174
+	4	273	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	181
+	273	176
+	284	182
+	4	286	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	182
+	298	188
+	286	181
+	4	284	182	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	310	200
+	315	207
+	308	202
+	4	310	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	315	207
+	310	200
+	316	205
+	4	315	207	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	311	198
+	316	205
+	310	200
+	4	311	198	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	308	202
+	313	209
+	306	204
+	4	308	202	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	313	209
+	308	202
+	315	207
+	4	313	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	106
+	290	110
+	309	107
+	4	311	106	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	289	112
+	309	107
+	290	110
+	4	289	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	85	172
+	85	151
+	83	172
+	4	85	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	85	151
+	85	172
+	86	152
+	4	85	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	89	129
+	85	151
+	89	129
+	4	89	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	86	152
+	89	129
+	85	151
+	4	86	152	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	325	177
+	308	173
+	323	179
+	4	325	177	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	175
+	323	179
+	308	173
+	4	306	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	99	105
+	89	129
+	97	105
+	4	99	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	89	129
+	97	105
+	89	129
+	4	89	129	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	179
+	306	175
+	321	181
+	4	323	179	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	260	175
+	238	165
+	258	175
+	4	260	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	164
+	258	175
+	238	165
+	4	237	164	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	258	175
+	270	180
+	260	175
+	4	258	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	263	170
+	274	174
+	263	168
+	4	263	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	174
+	263	170
+	273	176
+	4	274	174	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	176	51
+	156	69
+	174	50
+	4	176	51	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	156	70
+	174	50
+	156	69
+	4	156	70	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	283	185
+	270	180
+	282	187
+	4	283	185	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	282	187
+	294	192
+	283	185
+	4	282	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	294	192
+	282	187
+	293	194
+	4	294	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	180
+	93	189
+	92	181
+	4	91	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	181
+	90	172
+	91	180
+	4	92	181	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	85	181
+	83	172
+	83	181
+	4	85	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	83	172
+	85	181
+	85	172
+	4	83	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	188
+	114	200
+	113	190
+	4	112	188	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	202
+	113	190
+	114	200
+	4	114	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	169
+	140	184
+	148	172
+	4	148	169	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	185
+	148	172
+	140	184
+	4	138	185	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	179	155
+	195	149
+	178	152
+	4	179	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	195	149
+	179	155
+	196	152
+	4	195	149	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	272	178
+	260	175
+	270	180
+	4	272	178	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	270	180
+	283	185
+	272	178
+	4	270	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	179	158
+	196	152
+	179	155
+	4	179	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	207
+	87	200
+	89	208
+	4	87	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	200
+	87	207
+	85	199
+	4	87	200	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	85	198
+	84	191
+	85	199
+	4	85	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	191
+	85	198
+	84	190
+	4	84	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	125	184
+	124	175
+	122	184
+	4	125	184	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	175
+	125	184
+	127	175
+	4	124	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	187
+	130	176
+	128	185
+	4	129	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	127	175
+	128	185
+	130	176
+	4	127	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	115
+	308	110
+	289	112
+	4	290	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	308	110
+	290	115
+	309	113
+	4	308	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	199
+	104	190
+	105	201
+	4	107	199	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	104	190
+	107	199
+	106	189
+	4	104	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	309	107
+	289	112
+	308	110
+	4	309	107	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	89	152
+	90	172
+	92	153
+	4	89	152	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	92	153
+	94	131
+	89	152
+	4	92	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	131
+	92	153
+	96	131
+	4	94	131	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	98	131
+	104	109
+	96	131
+	4	98	131	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	104	109
+	98	131
+	106	109
+	4	104	109	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	316	205
+	311	198
+	317	203
+	4	316	205	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	197
+	317	203
+	311	198
+	4	311	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	185
+	127	175
+	125	184
+	4	128	185	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	176
+	140	166
+	133	178
+	4	135	176	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	166
+	135	176
+	142	165
+	4	140	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	197
+	96	205
+	94	198
+	4	94	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	94	206
+	94	198
+	96	205
+	4	94	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	198
+	93	189
+	94	197
+	4	94	198	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	204
+	311	209
+	305	204
+	4	306	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	209
+	306	204
+	313	209
+	4	311	209	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	86	189
+	83	181
+	84	190
+	4	86	189	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	83	181
+	86	189
+	85	181
+	4	83	181	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	88	172
+	91	180
+	90	172
+	4	88	172	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	90	172
+	89	152
+	88	172
+	4	90	172	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	178
+	284	182
+	273	176
+	4	272	178	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	284	182
+	272	178
+	283	185
+	4	284	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	188
+	284	182
+	296	190
+	4	298	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	283	185
+	296	190
+	284	182
+	4	283	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	197
+	298	188
+	310	197
+	4	311	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	296	190
+	310	197
+	298	188
+	4	296	190	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	296	190
+	283	185
+	294	192
+	4	296	190	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	162	76
+	177	58
+	160	75
+	4	162	76	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	177	58
+	162	76
+	179	58
+	4	177	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	189
+	94	197
+	93	189
+	4	91	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	93	189
+	91	180
+	91	189
+	4	93	189	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	261	173
+	273	176
+	263	170
+	4	261	173	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	176
+	261	173
+	272	178
+	4	273	176	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	88	172
+	86	152
+	85	172
+	4	88	172	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	86	152
+	88	172
+	89	152
+	4	86	152	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	89	129
+	86	152
+	91	130
+	4	89	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	89	152
+	91	130
+	86	152
+	4	89	152	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	293	194
+	306	200
+	294	192
+	4	293	194	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	306	200
+	293	194
+	305	203
+	4	306	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	147	167
+	141	181
+	148	169
+	4	147	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	184
+	148	169
+	141	181
+	4	140	184	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	260	175
+	272	178
+	261	173
+	4	260	175	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	94	206
+	96	221
+	91	207
+	4	94	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	221
+	91	207
+	96	221
+	4	93	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	207
+	93	221
+	89	208
+	4	91	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	242	160
+	263	168
+	242	158
+	4	242	160	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	263	168
+	242	160
+	263	170
+	4	263	168	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	88	180
+	85	172
+	85	181
+	4	88	180	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	85	172
+	88	180
+	88	172
+	4	85	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	200
+	112	188
+	112	199
+	4	114	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	188
+	112	199
+	112	188
+	4	109	188	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	130
+	89	152
+	94	131
+	4	91	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	205
+	98	219
+	94	206
+	4	96	205	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	221
+	94	206
+	98	219
+	4	96	221	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	174	50
+	156	70
+	173	52
+	4	174	50	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	156	72
+	173	52
+	156	70
+	4	156	72	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	173
+	239	165
+	260	175
+	4	261	173	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	165
+	260	175
+	239	165
+	4	238	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	105
+	116	83
+	104	107
+	4	102	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	83
+	102	105
+	113	81
+	4	116	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	99	105
+	113	81
+	102	105
+	4	99	105	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	88	180
+	91	189
+	91	180
+	4	88	180	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	91	180
+	88	172
+	88	180
+	4	91	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	105
+	89	129
+	97	106
+	4	97	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	130
+	97	106
+	89	129
+	4	91	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	198
+	106	189
+	107	199
+	4	110	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	106	189
+	110	198
+	109	188
+	4	106	189	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	177
+	142	165
+	135	176
+	4	138	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	142	165
+	138	177
+	145	165
+	4	142	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	107
+	117	85
+	106	108
+	4	104	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	85
+	104	107
+	116	83
+	4	117	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	87	206
+	85	199
+	87	207
+	4	87	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	85	199
+	87	206
+	85	198
+	4	85	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	141	181
+	147	167
+	140	178
+	4	141	181	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	165
+	140	178
+	147	167
+	4	145	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	199
+	109	188
+	110	198
+	4	112	199	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	87	197
+	84	190
+	85	198
+	4	87	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	84	190
+	87	197
+	86	189
+	4	84	190	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	310	197
+	296	190
+	308	198
+	4	310	197	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	192
+	308	198
+	296	190
+	4	294	192	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	88	189
+	85	181
+	86	189
+	4	88	189	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	85	181
+	88	189
+	88	180
+	4	85	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	198
+	294	192
+	306	200
+	4	308	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	221
+	89	208
+	93	221
+	4	91	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	89	208
+	91	221
+	87	207
+	4	89	208	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	178
+	145	165
+	138	177
+	4	140	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	315	207
+	319	214
+	313	209
+	4	315	207	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	319	214
+	315	207
+	321	212
+	4	319	214	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	316	205
+	321	212
+	315	207
+	4	316	205	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	321	212
+	316	205
+	323	210
+	4	321	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	317	203
+	323	210
+	316	205
+	4	317	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	131
+	101	108
+	94	131
+	4	96	131	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	108
+	96	131
+	104	109
+	4	101	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	317	203
+	311	197
+	317	201
+	4	317	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	197
+	317	201
+	311	197
+	4	310	197	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	91	189
+	88	180
+	88	189
+	4	91	189	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	165
+	147	172
+	158	164
+	4	161	165	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	170
+	158	164
+	147	172
+	4	145	170	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	158	164
+	145	170
+	157	162
+	4	158	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	241	163
+	263	170
+	242	160
+	4	241	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	263	170
+	241	163
+	261	173
+	4	263	170	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	160	75
+	175	56
+	158	74
+	4	160	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	175	56
+	160	75
+	177	58
+	4	175	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	204
+	311	207
+	305	203
+	4	305	204	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	207
+	305	204
+	311	209
+	4	311	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	113	81
+	99	105
+	111	81
+	4	113	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	105
+	111	81
+	99	105
+	4	97	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	167
+	157	162
+	145	170
+	4	145	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	157	162
+	145	167
+	156	159
+	4	157	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	196
+	95	204
+	94	197
+	4	92	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	96	205
+	94	197
+	95	204
+	4	96	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	197
+	91	189
+	92	196
+	4	94	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	165
+	261	173
+	241	163
+	4	239	165	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	204
+	100	218
+	96	205
+	4	95	204	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	219
+	96	205
+	100	218
+	4	98	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	189
+	92	196
+	91	189
+	4	88	189	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	237	162
+	218	150
+	238	159
+	4	237	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	149
+	238	159
+	218	150
+	4	220	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	159
+	220	149
+	240	157
+	4	238	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	173	52
+	156	72
+	173	54
+	4	173	52	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	158	74
+	173	54
+	156	72
+	4	158	74	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	237	164
+	217	153
+	237	162
+	4	237	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	218	150
+	237	162
+	217	153
+	4	218	150	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	326	184
+	339	193
+	324	185
+	4	326	184	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	339	193
+	326	184
+	342	191
+	4	339	193	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	327	181
+	342	191
+	326	184
+	4	327	181	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	342	191
+	327	181
+	343	188
+	4	342	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	327	179
+	343	188
+	327	181
+	4	327	179	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	106
+	91	130
+	99	107
+	4	97	106	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	131
+	99	107
+	91	130
+	4	94	131	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	106	108
+	117	86
+	106	109
+	4	106	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	117	86
+	106	108
+	117	85
+	4	117	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	113	204
+	112	215
+	110	205
+	4	113	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	214
+	110	205
+	112	215
+	4	110	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	205
+	110	214
+	107	204
+	4	110	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	165
+	149	173
+	161	165
+	4	163	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	147	172
+	161	165
+	149	173
+	4	147	172	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	204	153
+	171	148
+	204	150
+	4	204	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	145
+	204	150
+	171	148
+	4	173	145	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	204	150
+	173	145
+	206	148
+	4	204	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	54
+	158	74
+	175	56
+	4	173	54	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	313	209
+	317	213
+	311	209
+	4	313	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	213
+	313	209
+	319	214
+	4	317	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	191
+	124	199
+	124	191
+	4	127	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	198
+	124	191
+	124	199
+	4	121	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	191
+	121	198
+	122	190
+	4	124	191	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	107
+	94	131
+	101	108
+	4	99	107	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	205	156
+	171	151
+	204	153
+	4	205	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	171	148
+	204	153
+	171	151
+	4	171	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	165
+	156	159
+	145	167
+	4	146	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	159
+	146	165
+	158	157
+	4	156	159	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	202
+	115	213
+	113	204
+	4	114	202	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	215
+	113	204
+	115	213
+	4	112	215	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	210
+	317	203
+	324	208
+	4	323	210	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	201
+	324	208
+	317	203
+	4	317	201	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	60
+	250	52
+	230	63
+	4	229	60	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	52
+	229	60
+	250	49
+	4	250	52	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	228	58
+	250	49
+	229	60
+	4	228	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	196
+	86	189
+	87	197
+	4	90	196	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	86	189
+	90	196
+	88	189
+	4	86	189	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	129	189
+	127	198
+	127	191
+	4	129	189	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	199
+	127	191
+	127	198
+	4	124	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	196
+	88	189
+	90	196
+	4	92	196	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	88	204
+	85	198
+	87	206
+	4	88	204	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	85	198
+	88	204
+	87	197
+	4	85	198	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	119	196
+	122	190
+	121	198
+	4	119	196	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	122	190
+	119	196
+	120	188
+	4	122	190	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	230	63
+	250	54
+	230	65
+	4	230	63	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	54
+	230	63
+	250	52
+	4	250	54	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	213
+	107	204
+	110	214
+	4	108	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	204
+	108	213
+	105	203
+	4	107	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	324	185
+	337	192
+	322	185
+	4	324	185	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	337	192
+	324	185
+	339	193
+	4	337	192	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	219
+	87	207
+	91	221
+	4	91	219	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	87	207
+	91	219
+	87	206
+	4	87	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	343	188
+	327	179
+	343	186
+	4	343	188	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	326	177
+	343	186
+	327	179
+	4	326	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	222	148
+	240	157
+	220	149
+	4	222	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	240	157
+	222	148
+	241	156
+	4	240	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	49
+	228	58
+	248	47
+	4	250	49	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	225	57
+	248	47
+	228	58
+	4	225	57	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	325	150
+	341	155
+	323	152
+	4	325	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	341	155
+	325	150
+	343	153
+	4	341	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	325	147
+	343	153
+	325	150
+	4	325	147	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	165
+	217	156
+	237	164
+	4	238	165	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	153
+	237	164
+	217	156
+	4	217	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	153
+	325	147
+	343	150
+	4	343	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	144
+	343	150
+	325	147
+	4	324	144	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	144
+	206	148
+	173	145
+	4	175	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	206	148
+	175	144
+	207	147
+	4	206	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	276	80
+	296	77
+	276	83
+	4	276	80	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	296	77
+	276	80
+	297	74
+	4	296	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	275	77
+	297	74
+	276	80
+	4	275	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	317	201
+	310	197
+	316	201
+	4	317	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	198
+	316	201
+	310	197
+	4	308	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	207	156
+	172	153
+	205	156
+	4	207	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	171	151
+	205	156
+	172	153
+	4	171	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	111	81
+	97	105
+	109	81
+	4	111	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	97	106
+	109	81
+	97	105
+	4	97	106	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	203
+	312	205
+	306	200
+	4	305	203	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	312	205
+	305	203
+	311	207
+	4	312	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	204
+	92	196
+	94	203
+	4	95	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	196
+	94	203
+	92	196
+	4	90	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	163
+	152	173
+	163	165
+	4	164	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	173
+	163	165
+	152	173
+	4	149	173	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	200
+	117	211
+	114	202
+	4	114	200	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	115	213
+	114	202
+	117	211
+	4	115	213	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	297	74
+	275	77
+	296	71
+	4	297	74	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	273	76
+	296	71
+	275	77
+	4	273	76	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	164
+	158	157
+	146	165
+	4	149	164	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	157
+	149	164
+	160	156
+	4	158	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	203
+	100	216
+	95	204
+	4	94	203	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	218
+	95	204
+	100	216
+	4	100	218	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	282	202
+	274	191
+	283	200
+	4	282	202	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	276	189
+	283	200
+	274	191
+	4	276	189	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	283	200
+	276	189
+	285	198
+	4	283	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	283	200
+	291	212
+	282	202
+	4	283	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	212
+	283	200
+	293	211
+	4	291	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	198
+	293	211
+	283	200
+	4	285	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	187
+	128	196
+	129	189
+	4	129	187	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	198
+	129	189
+	128	196
+	4	127	198	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	278	187
+	285	198
+	276	189
+	4	278	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	285	198
+	278	187
+	287	197
+	4	285	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	211
+	285	198
+	295	209
+	4	293	211	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	197
+	295	209
+	285	198
+	4	287	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	276	83
+	295	79
+	275	85
+	4	276	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	295	79
+	276	83
+	296	77
+	4	295	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	323	152
+	338	155
+	321	152
+	4	323	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	338	155
+	323	152
+	341	155
+	4	338	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	193
+	120	188
+	119	196
+	4	120	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	188
+	120	193
+	120	186
+	4	120	188	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	150
+	324	144
+	342	147
+	4	343	150	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	143
+	342	147
+	324	144
+	4	323	143	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	106	109
+	115	86
+	104	109
+	4	106	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	115	86
+	106	109
+	117	86
+	4	115	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	209
+	317	212
+	311	207
+	4	311	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	212
+	311	209
+	317	213
+	4	317	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	211
+	300	223
+	291	212
+	4	293	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	223
+	293	211
+	302	222
+	4	300	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	209
+	302	222
+	293	211
+	4	295	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	203
+	87	197
+	88	204
+	4	91	203	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	197
+	91	203
+	90	196
+	4	87	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	230	65
+	248	55
+	228	65
+	4	230	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	55
+	230	65
+	250	54
+	4	248	55	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	295	209
+	287	197
+	297	207
+	4	295	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	222
+	295	209
+	305	220
+	4	302	222	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	297	207
+	305	220
+	295	209
+	4	297	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	324	208
+	317	201
+	323	206
+	4	324	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	316	201
+	323	206
+	317	201
+	4	316	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	211
+	105	203
+	108	213
+	4	107	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	203
+	107	211
+	105	201
+	4	105	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	47
+	225	57
+	246	46
+	4	248	47	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	57
+	246	46
+	225	57
+	4	224	57	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	322	185
+	336	191
+	321	184
+	4	322	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	191
+	322	185
+	337	192
+	4	336	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	203
+	90	196
+	91	203
+	4	94	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	186
+	326	177
+	342	184
+	4	343	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	177
+	342	184
+	326	177
+	4	325	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	201
+	308	198
+	314	203
+	4	316	201	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	200
+	314	203
+	308	198
+	4	306	200	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	272	193
+	264	182
+	274	191
+	4	272	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	179
+	274	191
+	264	182
+	4	266	179	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	274	191
+	266	179
+	276	189
+	4	274	191	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	274	191
+	282	202
+	272	193
+	4	274	191	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	314	203
+	306	200
+	312	205
+	4	314	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	177	146
+	207	147
+	175	144
+	4	177	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	207	147
+	177	146
+	209	148
+	4	207	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	178
+	276	189
+	266	179
+	4	268	178	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	276	189
+	268	178
+	278	187
+	4	276	189	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	296	71
+	273	76
+	294	70
+	4	296	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	271	76
+	294	70
+	273	76
+	4	271	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	164	160
+	154	170
+	164	163
+	4	164	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	152	173
+	164	163
+	154	170
+	4	152	173	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	224	150
+	241	156
+	222	148
+	4	224	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	156
+	224	150
+	242	158
+	4	241	156	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	321	212
+	325	219
+	319	214
+	4	321	212	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	325	219
+	321	212
+	327	218
+	4	325	219	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	323	210
+	327	218
+	321	212
+	4	323	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	203
+	272	193
+	282	202
+	4	281	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	282	202
+	290	213
+	281	203
+	4	282	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	290	213
+	282	202
+	291	212
+	4	290	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	165
+	160	156
+	149	164
+	4	152	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	156
+	152	165
+	162	158
+	4	160	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	93	217
+	87	206
+	91	219
+	4	93	217	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	87	206
+	93	217
+	88	204
+	4	87	206	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	209	155
+	175	154
+	207	156
+	4	209	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	153
+	207	156
+	175	154
+	4	172	153	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	327	218
+	323	210
+	329	216
+	4	327	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	208
+	329	216
+	323	210
+	4	324	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	165
+	219	157
+	238	165
+	4	239	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	156
+	238	165
+	219	157
+	4	217	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	185
+	129	194
+	129	187
+	4	128	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	128	196
+	129	187
+	129	194
+	4	128	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	199
+	116	209
+	114	200
+	4	112	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	211
+	114	200
+	116	209
+	4	117	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	275	85
+	292	79
+	273	85
+	4	275	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	292	79
+	275	85
+	295	79
+	4	292	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	279	187
+	287	197
+	278	187
+	4	279	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	287	197
+	279	187
+	288	196
+	4	287	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	196
+	297	207
+	287	197
+	4	288	196	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	321	152
+	336	154
+	319	151
+	4	321	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	154
+	321	152
+	338	155
+	4	336	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	212
+	299	224
+	290	213
+	4	291	212	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	299	224
+	291	212
+	300	223
+	4	299	224	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	121	191
+	120	186
+	120	193
+	4	121	191	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	186
+	121	191
+	122	184
+	4	120	186	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	219
+	102	232
+	96	221
+	4	98	219	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	99	233
+	96	221
+	102	232
+	4	99	233	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	96	221
+	99	233
+	93	221
+	4	96	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	342	147
+	323	143
+	340	146
+	4	342	147	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	321	143
+	340	146
+	323	143
+	4	321	143	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	109	81
+	97	106
+	109	82
+	4	109	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	99	107
+	109	82
+	97	106
+	4	99	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	216
+	94	203
+	98	216
+	4	100	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	203
+	98	216
+	94	203
+	4	91	203	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	100	218
+	104	230
+	98	219
+	4	100	218	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	102	232
+	98	219
+	104	230
+	4	102	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	154	170
+	164	160
+	154	168
+	4	154	170	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	162	158
+	154	168
+	164	160
+	4	162	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	154	168
+	162	158
+	152	165
+	4	154	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	297	207
+	288	196
+	297	207
+	4	297	207	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	305	220
+	297	207
+	306	219
+	4	305	220	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	297	207
+	306	219
+	297	207
+	4	297	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	194
+	263	184
+	272	193
+	4	272	194	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	264	182
+	272	193
+	263	184
+	4	264	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	193
+	281	203
+	272	194
+	4	272	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	319	214
+	323	218
+	317	213
+	4	319	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	323	218
+	319	214
+	325	219
+	4	323	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	228	65
+	246	54
+	226	64
+	4	228	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	54
+	228	65
+	248	55
+	4	246	54	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	207
+	318	209
+	312	205
+	4	311	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	318	209
+	311	207
+	317	212
+	4	318	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	321	184
+	336	188
+	321	181
+	4	321	184	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	188
+	321	184
+	336	191
+	4	336	188	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	104	109
+	112	85
+	101	108
+	4	104	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	85
+	104	109
+	115	86
+	4	112	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	208
+	105	201
+	107	211
+	4	109	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	105	201
+	109	208
+	107	199
+	4	105	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	342	184
+	325	177
+	339	184
+	4	342	184	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	323	179
+	339	184
+	325	177
+	4	323	179	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	329	216
+	324	208
+	330	213
+	4	329	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	323	206
+	330	213
+	324	208
+	4	323	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	46
+	224	57
+	244	46
+	4	246	46	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	59
+	244	46
+	224	57
+	4	223	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	178
+	278	187
+	268	178
+	4	269	178	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	278	187
+	269	178
+	279	187
+	4	278	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	206
+	316	201
+	322	206
+	4	323	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	314	203
+	322	206
+	316	201
+	4	314	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	194
+	128	185
+	127	192
+	4	129	194	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	184
+	127	192
+	128	185
+	4	125	184	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	294	70
+	271	76
+	291	70
+	4	294	70	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	270	77
+	291	70
+	271	76
+	4	270	77	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	179	148
+	209	148
+	177	146
+	4	179	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	148
+	179	148
+	210	150
+	4	209	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	216
+	88	204
+	93	217
+	4	95	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	88	204
+	95	216
+	91	203
+	4	88	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	302	222
+	309	236
+	300	223
+	4	302	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	309	236
+	302	222
+	311	235
+	4	309	236	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	220
+	311	235
+	302	222
+	4	305	220	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	191
+	122	184
+	121	191
+	4	124	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	184
+	124	191
+	125	184
+	4	122	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	210	153
+	177	154
+	209	155
+	4	210	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	154
+	209	155
+	177	154
+	4	175	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	232
+	93	221
+	99	233
+	4	97	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	221
+	97	232
+	91	221
+	4	93	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	216
+	91	203
+	95	216
+	4	98	216	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	311	235
+	305	220
+	314	233
+	4	311	235	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	219
+	314	233
+	305	220
+	4	306	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	209
+	112	199
+	114	207
+	4	116	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	198
+	114	207
+	112	199
+	4	110	198	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	273	85
+	290	77
+	271	83
+	4	273	85	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	290	77
+	273	85
+	292	79
+	4	290	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	151
+	336	151
+	319	148
+	4	319	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	336	151
+	319	151
+	336	154
+	4	336	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	127	192
+	125	184
+	124	191
+	4	127	192	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	263	184
+	229	154
+	264	182
+	4	263	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	152
+	264	182
+	229	154
+	4	231	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	182
+	231	152
+	266	179
+	4	264	182	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	216
+	105	228
+	100	218
+	4	100	216	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	104	230
+	100	218
+	105	228
+	4	104	230	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	224	152
+	242	158
+	224	150
+	4	224	152	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	242	158
+	224	152
+	242	160
+	4	242	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	340	146
+	321	143
+	338	146
+	4	340	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	319	145
+	338	146
+	321	143
+	4	319	145	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	109	82
+	99	107
+	110	84
+	4	109	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	108
+	110	84
+	99	107
+	4	101	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	233	151
+	266	179
+	231	152
+	4	233	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	266	179
+	233	151
+	268	178
+	4	266	179	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	241	163
+	221	157
+	239	165
+	4	241	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	157
+	239	165
+	221	157
+	4	219	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	282	202
+	272	194
+	281	203
+	4	282	202	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	281	203
+	291	212
+	282	202
+	4	281	203	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	291	212
+	281	203
+	290	213
+	4	291	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	321	181
+	337	185
+	323	179
+	4	321	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	337	185
+	321	181
+	336	188
+	4	337	185	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	339	184
+	323	179
+	337	185
+	4	339	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	84
+	101	108
+	112	85
+	4	110	84	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	112	207
+	107	199
+	109	208
+	4	112	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	199
+	112	207
+	110	198
+	4	107	199	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	312	205
+	320	207
+	314	203
+	4	312	205	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	320	207
+	312	205
+	318	209
+	4	320	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	322	206
+	314	203
+	320	207
+	4	322	206	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	179	151
+	210	150
+	179	148
+	4	179	151	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	210	150
+	179	151
+	210	153
+	4	210	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	64
+	244	52
+	224	62
+	4	226	64	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	52
+	226	64
+	246	54
+	4	244	52	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	188
+	288	196
+	279	187
+	4	279	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	288	196
+	279	188
+	288	197
+	4	288	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	288	197
+	297	207
+	288	196
+	4	288	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	177	154
+	210	153
+	179	151
+	4	177	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	207
+	110	198
+	112	207
+	4	114	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	290	213
+	299	223
+	291	212
+	4	290	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	299	223
+	290	213
+	299	224
+	4	299	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	244	46
+	223	59
+	243	49
+	4	244	46	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	62
+	243	49
+	223	59
+	4	224	62	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	300	223
+	308	235
+	299	224
+	4	300	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	308	235
+	300	223
+	309	236
+	4	308	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	213
+	323	217
+	317	212
+	4	317	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	323	217
+	317	213
+	323	218
+	4	323	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	53
+	199	39
+	180	55
+	4	178	53	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	199	39
+	178	53
+	198	37
+	4	199	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	51
+	198	37
+	178	53
+	4	176	51	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	70
+	270	77
+	290	72
+	4	291	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	270	80
+	290	72
+	270	77
+	4	270	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	148
+	336	148
+	319	145
+	4	319	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	148
+	319	148
+	336	151
+	4	336	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	338	146
+	319	145
+	336	148
+	4	338	146	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	173	157
+	158	158
+	172	154
+	4	173	157	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	159	155
+	172	154
+	158	158
+	4	159	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	154
+	159	155
+	172	152
+	4	172	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	175	159
+	159	161
+	173	157
+	4	175	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	158	158
+	173	157
+	159	161
+	4	158	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	55
+	200	42
+	180	57
+	4	180	55	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	200	42
+	180	55
+	199	39
+	4	200	42	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	207
+	288	197
+	297	207
+	4	297	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	219
+	297	207
+	307	218
+	4	306	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	207
+	307	218
+	297	207
+	4	297	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	263	186
+	228	157
+	263	184
+	4	263	186	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	229	154
+	263	184
+	228	157
+	4	229	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	263	184
+	272	194
+	263	186
+	4	263	184	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	271	83
+	289	75
+	270	80
+	4	271	83	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	289	75
+	271	83
+	290	77
+	4	289	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	193
+	263	186
+	272	194
+	4	273	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	194
+	282	202
+	273	193
+	4	272	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	330	213
+	323	206
+	330	211
+	4	330	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	322	206
+	330	211
+	323	206
+	4	322	206	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	314	233
+	306	219
+	315	231
+	4	314	233	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	307	218
+	315	231
+	306	219
+	4	307	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	243	49
+	224	62
+	244	52
+	4	243	49	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	223	155
+	242	160
+	224	152
+	4	223	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	242	160
+	223	155
+	241	163
+	4	242	160	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	157
+	241	163
+	223	155
+	4	221	157	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	290	72
+	270	80
+	289	75
+	4	290	72	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	270	180
+	279	187
+	269	178
+	4	270	180	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	279	187
+	270	180
+	279	188
+	4	279	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	230
+	91	221
+	97	232
+	4	97	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	221
+	97	230
+	91	219
+	4	91	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	235	151
+	268	178
+	233	151
+	4	235	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	178
+	235	151
+	269	178
+	4	268	178	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	113	81
+	130	61
+	116	83
+	4	113	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	61
+	113	81
+	128	59
+	4	130	61	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	111	81
+	128	59
+	113	81
+	4	111	81	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	116	83
+	131	63
+	117	85
+	4	116	83	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	131	63
+	116	83
+	130	61
+	4	131	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	37
+	176	51
+	196	35
+	4	198	37	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	50
+	196	35
+	176	51
+	4	174	50	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	154
+	172	152
+	159	155
+	4	161	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	152
+	161	154
+	174	150
+	4	172	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	177	159
+	161	163
+	175	159
+	4	177	159	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	159	161
+	175	159
+	161	163
+	4	159	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	216
+	105	226
+	100	216
+	4	98	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	228
+	100	216
+	105	226
+	4	105	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	57
+	198	43
+	179	58
+	4	180	57	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	43
+	180	57
+	200	42
+	4	198	43	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	201
+	273	193
+	282	202
+	4	284	201	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	282	202
+	293	211
+	284	201
+	4	282	202	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	293	211
+	282	202
+	291	212
+	4	293	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	315	112
+	333	114
+	314	114
+	4	315	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	333	114
+	315	112
+	334	111
+	4	333	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	315	109
+	334	111
+	315	112
+	4	315	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	327	218
+	331	224
+	325	219
+	4	327	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	331	224
+	327	218
+	333	223
+	4	331	224	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	329	216
+	333	223
+	327	218
+	4	329	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	317	212
+	323	214
+	318	209
+	4	317	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	323	214
+	317	212
+	323	217
+	4	323	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	70	204
+	74	223
+	67	205
+	4	70	204	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	224
+	67	205
+	74	223
+	4	71	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	205
+	71	224
+	65	205
+	4	67	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	205
+	66	182
+	70	204
+	4	67	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	66	182
+	67	205
+	63	183
+	4	66	182	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	205
+	63	183
+	67	205
+	4	65	205	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	72	203
+	77	222
+	70	204
+	4	72	203	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	74	223
+	70	204
+	77	222
+	4	74	223	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	70	204
+	68	182
+	72	203
+	4	70	204	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	68	182
+	70	204
+	66	182
+	4	68	182	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	334	111
+	315	109
+	334	108
+	4	334	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	313	107
+	334	108
+	315	109
+	4	313	107	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	333	223
+	329	216
+	335	221
+	4	333	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	330	213
+	335	221
+	329	216
+	4	330	213	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	277	190
+	288	197
+	279	188
+	4	277	190	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	288	197
+	277	190
+	286	199
+	4	288	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	286	199
+	297	207
+	288	197
+	4	286	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	59
+	111	81
+	125	58
+	4	128	59	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	109	81
+	125	58
+	111	81
+	4	109	81	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	299	224
+	308	234
+	299	223
+	4	299	224	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	234
+	299	224
+	308	235
+	4	308	234	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	291	212
+	301	221
+	293	211
+	4	291	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	301	221
+	291	212
+	299	223
+	4	301	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	211
+	322	206
+	328	211
+	4	330	211	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	320	207
+	328	211
+	322	206
+	4	320	207	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	117	85
+	131	64
+	117	86
+	4	117	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	131	64
+	117	85
+	131	63
+	4	131	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	186
+	229	159
+	263	186
+	4	265	186	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	228	157
+	263	186
+	229	159
+	4	228	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	263	186
+	273	193
+	265	186
+	4	263	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	163	154
+	174	150
+	161	154
+	4	163	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	150
+	163	154
+	176	150
+	4	174	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	314	114
+	331	115
+	312	116
+	4	314	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	331	115
+	314	114
+	333	114
+	4	331	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	297	207
+	286	199
+	295	209
+	4	297	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	307	218
+	297	207
+	306	218
+	4	307	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	295	209
+	306	218
+	297	207
+	4	295	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	117	211
+	122	228
+	115	213
+	4	117	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	119	229
+	115	213
+	122	228
+	4	119	229	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	213
+	119	229
+	112	215
+	4	115	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	158
+	164	163
+	177	159
+	4	179	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	163
+	177	159
+	164	163
+	4	161	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	229
+	112	215
+	119	229
+	4	117	229	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	215
+	117	229
+	110	214
+	4	112	215	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	192
+	265	186
+	273	193
+	4	275	192	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	273	193
+	284	201
+	275	192
+	4	273	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	315	231
+	307	218
+	316	230
+	4	315	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	306	218
+	316	230
+	307	218
+	4	306	218	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	196	35
+	174	50
+	194	35
+	4	196	35	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	52
+	194	35
+	174	50
+	4	173	52	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	66	182
+	67	159
+	68	182
+	4	66	182	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	67	159
+	66	182
+	65	158
+	4	67	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	63	183
+	65	158
+	66	182
+	4	63	183	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	63	183
+	65	205
+	61	183
+	4	63	183	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	158
+	63	183
+	62	158
+	4	65	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	61	183
+	62	158
+	63	183
+	4	61	183	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	228
+	91	219
+	97	230
+	4	98	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	219
+	98	228
+	93	217
+	4	91	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	219
+	329	224
+	323	218
+	4	325	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	224
+	325	219
+	331	224
+	4	329	224	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	235	153
+	269	178
+	235	151
+	4	235	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	269	178
+	235	153
+	270	180
+	4	269	178	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	269	182
+	279	188
+	270	180
+	4	269	182	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	279	188
+	269	182
+	277	190
+	4	279	188	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	334	108
+	313	107
+	332	106
+	4	334	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	106
+	332	106
+	313	107
+	4	311	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	226
+	98	216
+	103	226
+	4	105	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	216
+	103	226
+	98	216
+	4	95	216	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	318	209
+	325	212
+	320	207
+	4	318	209	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	325	212
+	318	209
+	323	214
+	4	325	212	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	79	221
+	81	230
+	77	222
+	4	79	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	78	232
+	77	222
+	81	230
+	4	78	232	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	77	222
+	78	232
+	74	223
+	4	77	222	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	77	222
+	72	203
+	79	221
+	4	77	222	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	233
+	74	223
+	78	232
+	4	76	233	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	223
+	76	233
+	71	224
+	4	74	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	335	221
+	330	213
+	336	219
+	4	335	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	211
+	336	219
+	330	213
+	4	330	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	286	199
+	275	192
+	284	201
+	4	286	199	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	201
+	295	209
+	286	199
+	4	284	201	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	209
+	284	201
+	293	211
+	4	295	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	328	211
+	320	207
+	325	212
+	4	328	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	235
+	313	242
+	309	236
+	4	311	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	313	242
+	311	235
+	316	241
+	4	313	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	314	233
+	316	241
+	311	235
+	4	314	233	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	275	192
+	286	199
+	277	190
+	4	275	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	224
+	65	205
+	71	224
+	4	70	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	65	205
+	70	224
+	63	206
+	4	65	205	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	206
+	61	183
+	65	205
+	4	63	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	209
+	123	225
+	117	211
+	4	116	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	228
+	117	211
+	123	225
+	4	122	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	73	203
+	79	221
+	72	203
+	4	73	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	72	203
+	69	183
+	73	203
+	4	72	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	69	183
+	72	203
+	68	182
+	4	69	183	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	198
+	125	212
+	124	199
+	4	127	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	211
+	124	199
+	125	212
+	4	122	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	199
+	122	211
+	121	198
+	4	124	199	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	316	241
+	314	233
+	318	240
+	4	316	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	315	231
+	318	240
+	314	233
+	4	315	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	115	228
+	110	214
+	117	229
+	4	115	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	214
+	115	228
+	108	213
+	4	110	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	179	58
+	196	43
+	177	58
+	4	179	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	196	43
+	179	58
+	198	43
+	4	196	43	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	196
+	128	211
+	127	198
+	4	128	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	125	212
+	127	198
+	128	211
+	4	125	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	211
+	303	219
+	295	209
+	4	293	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	219
+	293	211
+	301	221
+	4	303	219	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	312	116
+	328	114
+	310	115
+	4	312	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	328	114
+	312	116
+	331	115
+	4	328	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	306	218
+	295	209
+	303	219
+	4	306	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	156
+	176	150
+	163	154
+	4	166	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	176	150
+	166	156
+	178	152
+	4	176	150	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	155
+	166	161
+	179	158
+	4	179	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	163
+	179	158
+	166	161
+	4	164	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	58
+	109	81
+	124	58
+	4	125	58	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	109	82
+	124	58
+	109	81
+	4	109	82	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	265	186
+	275	192
+	267	184
+	4	265	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	277	190
+	267	184
+	275	192
+	4	277	190	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	100	226
+	93	217
+	98	228
+	4	100	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	93	217
+	100	226
+	95	216
+	4	93	217	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	120	208
+	121	198
+	122	211
+	4	120	208	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	121	198
+	120	208
+	119	196
+	4	121	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	68	182
+	68	159
+	69	183
+	4	68	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	68	159
+	68	182
+	67	159
+	4	68	159	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	61	183
+	63	206
+	59	184
+	4	61	183	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	62	158
+	61	183
+	59	158
+	4	62	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	59	184
+	59	158
+	61	183
+	4	59	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	226
+	95	216
+	100	226
+	4	103	226	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	267	184
+	277	190
+	269	182
+	4	267	184	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	117	86
+	129	65
+	115	86
+	4	117	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	65
+	117	86
+	131	64
+	4	129	65	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	223
+	309	232
+	301	221
+	4	299	223	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	309	232
+	299	223
+	308	234
+	4	309	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	194
+	130	209
+	128	196
+	4	129	194	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	128	211
+	128	196
+	130	209
+	4	128	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	309	236
+	312	242
+	308	235
+	4	309	236	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	312	242
+	309	236
+	313	242
+	4	312	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	105	228
+	110	239
+	104	230
+	4	105	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	108	241
+	104	230
+	110	239
+	4	108	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	104	230
+	108	241
+	102	232
+	4	104	230	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	332	106
+	311	106
+	330	105
+	4	332	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	309	107
+	330	105
+	311	106
+	4	309	107	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	82	229
+	85	238
+	81	230
+	4	82	229	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	239
+	81	230
+	85	238
+	4	82	239	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	81	230
+	82	239
+	78	232
+	4	81	230	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	81	230
+	79	221
+	82	229
+	4	81	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	242
+	102	232
+	108	241
+	4	106	242	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	232
+	106	242
+	99	233
+	4	102	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	218
+	328	222
+	323	217
+	4	323	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	328	222
+	323	218
+	329	224
+	4	328	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	240
+	78	232
+	82	239
+	4	80	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	78	232
+	80	240
+	76	233
+	4	78	232	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	184
+	231	159
+	265	186
+	4	267	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	159
+	265	186
+	231	159
+	4	229	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	79	221
+	82	229
+	79	221
+	4	79	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	79	221
+	73	203
+	79	221
+	4	79	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	233
+	71	224
+	76	233
+	4	74	233	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	224
+	74	233
+	70	224
+	4	71	224	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	156
+	184	142
+	217	153
+	4	217	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	185	139
+	217	153
+	184	142
+	4	185	139	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	217	153
+	185	139
+	218	150
+	4	217	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	35
+	173	52
+	193	36
+	4	194	35	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	54
+	193	36
+	173	52
+	4	173	54	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	187	137
+	218	150
+	185	139
+	4	187	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	218	150
+	187	137
+	220	149
+	4	218	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	166	159
+	178	152
+	166	156
+	4	166	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	178	152
+	166	159
+	179	155
+	4	178	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	316	230
+	306	218
+	314	230
+	4	316	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	219
+	314	230
+	306	218
+	4	303	219	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	161
+	179	155
+	166	159
+	4	166	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	207
+	123	223
+	116	209
+	4	114	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	225
+	116	209
+	123	223
+	4	123	225	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	318	240
+	315	231
+	320	238
+	4	318	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	230
+	320	238
+	315	231
+	4	316	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	219
+	330	211
+	335	217
+	4	336	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	328	211
+	335	217
+	330	211
+	4	328	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	225
+	108	213
+	115	228
+	4	114	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	213
+	114	225
+	107	211
+	4	108	213	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	235	155
+	270	180
+	235	153
+	4	235	155	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	270	180
+	235	155
+	269	182
+	4	270	180	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	115
+	327	112
+	309	113
+	4	310	115	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	327	112
+	310	115
+	328	114
+	4	327	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	206
+	119	196
+	120	208
+	4	121	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	196
+	121	206
+	120	193
+	4	119	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	58
+	194	41
+	175	56
+	4	177	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	41
+	177	58
+	196	43
+	4	194	41	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	226
+	112	237
+	105	228
+	4	105	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	110	239
+	105	228
+	112	237
+	4	110	239	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	192
+	130	206
+	129	194
+	4	127	192	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	209
+	129	194
+	130	206
+	4	130	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	70	224
+	63	206
+	70	224
+	4	70	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	63	206
+	70	224
+	64	205
+	4	63	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	64	205
+	59	184
+	63	206
+	4	64	205	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	219	157
+	184	145
+	217	156
+	4	219	157	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	184	142
+	217	156
+	184	145
+	4	184	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	241
+	99	233
+	106	242
+	4	104	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	233
+	104	241
+	97	232
+	4	99	233	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	203
+	79	221
+	73	203
+	4	71	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	203
+	68	183
+	71	203
+	4	73	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	183
+	73	203
+	69	183
+	4	68	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	330	105
+	309	107
+	328	106
+	4	330	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	308	110
+	328	106
+	309	107
+	4	308	110	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	83	228
+	86	236
+	82	229
+	4	83	228	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	85	238
+	82	229
+	86	236
+	4	85	238	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	82	229
+	79	221
+	83	228
+	4	82	229	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	221
+	312	231
+	303	219
+	4	301	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	312	231
+	301	221
+	309	232
+	4	312	231	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	189	137
+	220	149
+	187	137
+	4	189	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	220	149
+	189	137
+	222	148
+	4	220	149	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	65	158
+	70	133
+	67	159
+	4	65	158	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	70	133
+	65	158
+	67	132
+	4	70	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	158
+	67	132
+	65	158
+	4	62	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	240
+	76	233
+	80	240
+	4	79	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	233
+	79	240
+	74	233
+	4	76	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	314	230
+	303	219
+	312	231
+	4	314	230	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	159
+	267	184
+	233	158
+	4	231	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	182
+	233	158
+	267	184
+	4	269	182	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	36
+	173	54
+	193	38
+	4	193	36	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	175	56
+	193	38
+	173	54
+	4	175	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	67	132
+	62	158
+	64	132
+	4	67	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	59	158
+	64	132
+	62	158
+	4	59	158	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	86	236
+	89	244
+	85	238
+	4	86	236	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	246
+	85	238
+	89	244
+	4	87	246	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	85	238
+	87	246
+	82	239
+	4	85	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	247
+	82	239
+	87	246
+	4	85	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	239
+	85	247
+	80	240
+	4	82	239	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	233	158
+	269	182
+	235	155
+	4	233	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	124	58
+	109	82
+	123	59
+	4	124	58	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	110	84
+	123	59
+	109	82
+	4	110	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	309	113
+	326	109
+	308	110
+	4	309	113	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	326	109
+	309	113
+	327	112
+	4	326	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	38
+	175	56
+	194	41
+	4	193	38	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	323	217
+	329	219
+	323	214
+	4	323	217	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	329	219
+	323	217
+	328	222
+	4	329	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	123	223
+	114	207
+	121	221
+	4	123	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	207
+	121	221
+	114	207
+	4	112	207	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	115	86
+	127	63
+	112	85
+	4	115	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	63
+	115	86
+	129	65
+	4	127	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	235
+	312	240
+	308	234
+	4	308	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	312	240
+	308	235
+	312	242
+	4	312	240	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	328	106
+	308	110
+	326	109
+	4	328	106	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	69	183
+	67	160
+	68	183
+	4	69	183	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	160
+	69	183
+	68	159
+	4	67	160	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	223
+	107	211
+	114	225
+	4	116	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	211
+	116	223
+	109	208
+	4	107	211	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	123	203
+	120	193
+	121	206
+	4	123	203	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	193
+	123	203
+	121	191
+	4	120	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	59	184
+	64	205
+	60	184
+	4	59	184	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	59	158
+	59	184
+	58	159
+	4	59	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	184
+	58	159
+	59	184
+	4	60	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	185
+	130	203
+	135	185
+	4	138	185	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	201
+	135	185
+	130	203
+	4	128	201	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	185
+	128	201
+	133	183
+	4	135	185	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	241
+	317	249
+	313	242
+	4	316	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	249
+	316	241
+	320	248
+	4	317	249	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	318	240
+	320	248
+	316	241
+	4	318	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	335	217
+	328	211
+	333	216
+	4	335	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	325	212
+	333	216
+	328	211
+	4	325	212	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	206
+	127	192
+	128	204
+	4	130	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	191
+	128	204
+	127	192
+	4	124	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	184
+	134	203
+	138	185
+	4	140	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	203
+	138	185
+	134	203
+	4	130	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	221
+	83	228
+	79	221
+	4	78	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	221
+	71	203
+	78	221
+	4	79	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	232
+	70	224
+	74	233
+	4	74	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	70	224
+	74	232
+	70	224
+	4	70	224	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	320	248
+	318	240
+	322	247
+	4	320	248	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	320	238
+	322	247
+	318	240
+	4	320	238	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	127	198
+	133	183
+	128	201
+	4	127	198	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	183
+	127	198
+	132	180
+	4	133	183	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	320	238
+	316	230
+	320	236
+	4	320	238	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	314	230
+	320	236
+	316	230
+	4	314	230	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	67	159
+	70	134
+	68	159
+	4	67	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	134
+	67	159
+	70	133
+	4	70	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	208
+	118	221
+	112	207
+	4	109	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	121	221
+	112	207
+	118	221
+	4	121	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	203
+	121	191
+	123	203
+	4	126	203	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	191
+	126	203
+	124	191
+	4	121	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	118	221
+	109	208
+	116	223
+	4	118	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	204
+	124	191
+	126	203
+	4	128	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	226
+	111	235
+	105	226
+	4	103	226	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	237
+	105	226
+	111	235
+	4	112	237	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	235
+	91	242
+	86	236
+	4	87	235	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	89	244
+	86	236
+	91	242
+	4	89	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	86	236
+	83	228
+	87	235
+	4	86	236	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	157
+	186	147
+	219	157
+	4	221	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	184	145
+	219	157
+	186	147
+	4	184	145	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	214
+	331	217
+	325	212
+	4	323	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	331	217
+	323	214
+	329	219
+	4	331	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	181
+	136	202
+	140	184
+	4	141	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	203
+	140	184
+	136	202
+	4	134	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	64	132
+	59	158
+	62	132
+	4	64	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	58	159
+	62	132
+	59	158
+	4	58	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	239
+	97	232
+	104	241
+	4	103	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	232
+	103	239
+	97	230
+	4	97	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	123	59
+	110	84
+	124	61
+	4	123	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	85
+	124	61
+	110	84
+	4	112	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	313	242
+	315	248
+	312	242
+	4	313	242	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	315	248
+	313	242
+	317	249
+	4	315	248	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	61
+	112	85
+	127	63
+	4	124	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	333	216
+	325	212
+	331	217
+	4	333	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	333	223
+	342	236
+	331	224
+	4	333	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	342	236
+	333	223
+	344	235
+	4	342	236	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	335	221
+	344	235
+	333	223
+	4	335	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	247
+	80	240
+	85	247
+	4	83	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	240
+	83	247
+	79	240
+	4	80	240	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	191	139
+	222	148
+	189	137
+	4	191	139	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	222	148
+	191	139
+	224	150
+	4	222	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	342	191
+	353	201
+	339	193
+	4	342	191	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	353	201
+	342	191
+	356	199
+	4	353	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	343	188
+	356	199
+	342	191
+	4	343	188	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	344	235
+	335	221
+	346	233
+	4	344	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	219
+	346	233
+	335	221
+	4	336	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	196
+	132	180
+	127	198
+	4	128	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	180
+	128	196
+	133	178
+	4	132	180	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	72	223
+	64	205
+	70	224
+	4	72	223	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	64	205
+	72	223
+	66	205
+	4	64	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	66	205
+	60	184
+	64	205
+	4	66	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	356	199
+	343	188
+	357	196
+	4	356	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	186
+	357	196
+	343	188
+	4	343	186	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	69	204
+	78	221
+	71	203
+	4	69	204	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	71	203
+	65	183
+	69	204
+	4	71	203	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	183
+	71	203
+	68	183
+	4	65	183	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	286	225
+	281	212
+	288	224
+	4	286	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	211
+	288	224
+	281	212
+	4	284	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	288	224
+	284	211
+	291	223
+	4	288	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	288	224
+	291	238
+	286	225
+	4	288	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	291	238
+	288	224
+	294	237
+	4	291	238	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	223
+	294	237
+	288	224
+	4	291	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	228
+	87	235
+	83	228
+	4	81	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	228
+	78	221
+	81	228
+	4	83	228	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	91	242
+	94	250
+	89	244
+	4	91	242	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	92	252
+	89	244
+	94	250
+	4	92	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	89	244
+	92	252
+	87	246
+	4	89	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	253
+	87	246
+	92	252
+	4	90	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	246
+	90	253
+	85	247
+	4	87	246	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	79	239
+	74	233
+	79	240
+	4	79	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	233
+	79	239
+	74	232
+	4	74	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	331	224
+	339	235
+	329	224
+	4	331	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	339	235
+	331	224
+	342	236
+	4	339	235	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	279	214
+	268	191
+	281	212
+	4	279	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	270	189
+	281	212
+	268	191
+	4	270	189	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	212
+	270	189
+	284	211
+	4	281	212	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	281	212
+	286	225
+	279	214
+	4	281	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	322	247
+	320	238
+	324	245
+	4	322	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	320	236
+	324	245
+	320	238
+	4	320	236	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	210
+	291	223
+	284	211
+	4	286	210	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	223
+	286	210
+	293	222
+	4	291	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	237
+	291	223
+	297	236
+	4	294	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	222
+	297	236
+	291	223
+	4	293	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	178
+	137	199
+	141	181
+	4	140	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	202
+	141	181
+	137	199
+	4	136	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	339	193
+	351	200
+	337	192
+	4	339	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	351	200
+	339	193
+	353	201
+	4	351	200	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	234
+	313	238
+	309	232
+	4	308	234	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	313	238
+	308	234
+	312	240
+	4	313	238	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	183
+	64	160
+	65	183
+	4	68	183	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	64	160
+	68	183
+	67	160
+	4	64	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	60	184
+	66	205
+	62	184
+	4	60	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	58	159
+	60	184
+	59	159
+	4	58	159	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	62	184
+	59	159
+	60	184
+	4	62	184	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	273	188
+	284	211
+	270	189
+	4	273	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	211
+	273	188
+	286	210
+	4	284	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	357	196
+	343	186
+	357	194
+	4	357	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	342	184
+	357	194
+	343	186
+	4	342	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	194
+	133	178
+	128	196
+	4	131	194	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	133	178
+	131	194
+	135	176
+	4	133	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	294	237
+	294	245
+	291	238
+	4	294	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	294	245
+	294	237
+	297	244
+	4	294	245	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	297	236
+	297	244
+	294	237
+	4	297	236	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	346	233
+	336	219
+	347	230
+	4	346	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	335	217
+	347	230
+	336	219
+	4	335	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	285	226
+	279	214
+	286	225
+	4	285	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	286	225
+	290	238
+	285	226
+	4	286	225	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	290	238
+	286	225
+	291	238
+	4	290	238	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	75	222
+	81	228
+	78	221
+	4	75	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	221
+	69	204
+	75	222
+	4	78	221	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	76	231
+	70	224
+	74	232
+	4	76	231	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	70	224
+	76	231
+	72	223
+	4	70	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	320	236
+	314	230
+	318	236
+	4	320	236	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	312	231
+	318	236
+	314	230
+	4	312	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	155
+	188	147
+	221	157
+	4	223	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	186	147
+	221	157
+	188	147
+	4	186	147	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	235
+	103	226
+	109	234
+	4	111	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	226
+	109	234
+	103	226
+	4	100	226	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	91	241
+	96	248
+	91	242
+	4	91	241	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	94	250
+	91	242
+	96	248
+	4	94	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	91	242
+	87	235
+	91	241
+	4	91	242	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	75	222
+	66	205
+	72	223
+	4	75	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	66	205
+	75	222
+	69	204
+	4	66	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	69	204
+	62	184
+	66	205
+	4	69	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	312	242
+	315	246
+	312	240
+	4	312	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	246
+	312	242
+	315	248
+	4	315	246	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	104	237
+	97	230
+	103	239
+	4	104	237	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	97	230
+	104	237
+	98	228
+	4	97	230	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	199
+	140	178
+	137	196
+	4	137	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	177
+	137	196
+	140	178
+	4	138	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	184
+	69	204
+	65	183
+	4	62	184	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	159
+	69	135
+	67	160
+	4	68	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	135
+	68	159
+	70	134
+	4	69	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	297	236
+	293	222
+	299	235
+	4	297	236	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	297	244
+	297	236
+	300	243
+	4	297	244	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	235
+	300	243
+	297	236
+	4	299	235	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	279	215
+	266	192
+	279	214
+	4	279	215	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	268	191
+	279	214
+	266	192
+	4	268	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	279	214
+	285	226
+	279	215
+	4	279	214	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	191	142
+	224	150
+	191	139
+	4	191	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	224	150
+	191	142
+	224	152
+	4	224	150	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	235
+	91	241
+	87	235
+	4	85	235	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	235
+	81	228
+	85	235
+	4	87	235	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	194
+	135	176
+	131	194
+	4	134	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	135	176
+	134	194
+	138	177
+	4	135	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	253
+	85	247
+	90	253
+	4	88	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	247
+	88	253
+	83	247
+	4	85	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	224
+	338	233
+	328	222
+	4	329	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	338	233
+	329	224
+	339	235
+	4	338	233	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	62	132
+	58	159
+	61	132
+	4	62	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	159
+	61	132
+	58	159
+	4	59	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	196
+	138	177
+	134	194
+	4	137	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	337	192
+	349	198
+	336	191
+	4	337	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	349	198
+	337	192
+	351	200
+	4	349	198	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	246
+	79	240
+	83	247
+	4	83	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	79	240
+	83	246
+	79	239
+	4	79	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	238
+	293	245
+	290	238
+	4	291	238	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	293	245
+	291	238
+	294	245
+	4	293	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	244
+	297	252
+	294	245
+	4	297	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	252
+	297	244
+	299	251
+	4	297	252	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	300	243
+	299	251
+	297	244
+	4	300	243	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	309	232
+	316	237
+	312	231
+	4	309	232	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	316	237
+	309	232
+	313	238
+	4	316	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	183
+	61	160
+	62	184
+	4	65	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	61	160
+	65	183
+	64	160
+	4	61	160	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	59	159
+	62	184
+	61	160
+	4	59	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	287	210
+	293	222
+	286	210
+	4	287	210	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	222
+	287	210
+	293	222
+	4	293	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	222
+	299	235
+	293	222
+	4	293	222	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	357	194
+	342	184
+	356	192
+	4	357	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	339	184
+	356	192
+	342	184
+	4	339	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	318	236
+	312	231
+	316	237
+	4	318	236	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	229
+	85	235
+	81	228
+	4	79	229	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	228
+	75	222
+	79	229
+	4	81	228	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	96	248
+	104	259
+	94	250
+	4	96	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	262
+	94	250
+	104	259
+	4	103	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	94	250
+	103	262
+	92	252
+	4	94	250	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	188	147
+	223	155
+	190	145
+	4	188	147	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	224	152
+	190	145
+	223	155
+	4	224	152	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	80	238
+	74	232
+	79	239
+	4	80	238	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	74	232
+	80	238
+	76	231
+	4	74	232	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	228
+	106	235
+	100	226
+	4	98	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	234
+	100	226
+	106	235
+	4	109	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	245
+	320	236
+	324	243
+	4	324	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	318	236
+	324	243
+	320	236
+	4	318	236	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	190	145
+	224	152
+	191	142
+	4	190	145	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	106	235
+	98	228
+	104	237
+	4	106	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	263
+	92	252
+	103	262
+	4	100	263	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	92	252
+	100	263
+	90	253
+	4	92	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	230
+	335	217
+	346	228
+	4	347	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	333	216
+	346	228
+	335	217
+	4	333	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	72	223
+	79	229
+	75	222
+	4	72	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	79	229
+	72	223
+	76	231
+	4	79	229	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	320	248
+	321	255
+	317	249
+	4	320	248	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	321	255
+	320	248
+	324	255
+	4	321	255	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	322	247
+	324	255
+	320	248
+	4	322	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	189
+	286	210
+	273	188
+	4	274	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	286	210
+	274	189
+	287	210
+	4	286	210	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	300	243
+	299	235
+	301	242
+	4	300	243	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	251
+	300	243
+	302	250
+	4	299	251	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	301	242
+	302	250
+	300	243
+	4	301	242	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	294	245
+	295	251
+	293	245
+	4	294	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	295	251
+	294	245
+	297	252
+	4	295	251	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	324	255
+	322	247
+	326	254
+	4	324	255	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	245
+	326	254
+	322	247
+	4	324	245	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	173
+	134	186
+	147	172
+	4	149	173	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	132	183
+	147	172
+	134	186
+	4	132	183	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	147	172
+	132	183
+	145	170
+	4	147	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	285	226
+	279	215
+	285	226
+	4	285	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	285	226
+	291	238
+	285	226
+	4	285	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	291	238
+	285	226
+	290	238
+	4	291	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	235
+	293	222
+	299	235
+	4	299	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	235
+	301	242
+	299	235
+	4	299	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	191
+	349	195
+	336	188
+	4	336	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	349	195
+	336	191
+	349	198
+	4	349	195	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	328	222
+	339	230
+	329	219
+	4	328	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	339	230
+	328	222
+	338	233
+	4	339	230	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	132	180
+	145	170
+	132	183
+	4	132	180	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	145	170
+	132	180
+	145	167
+	4	145	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	241
+	95	246
+	91	241
+	4	89	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	248
+	91	241
+	95	246
+	4	96	248	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	241
+	85	235
+	89	241
+	4	91	241	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	312	240
+	317	245
+	313	238
+	4	312	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	317	245
+	312	240
+	315	246
+	4	317	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	317	249
+	319	255
+	315	248
+	4	317	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	319	255
+	317	249
+	321	255
+	4	319	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	246
+	105	257
+	96	248
+	4	95	246	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	104	259
+	96	248
+	105	257
+	4	104	259	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	173
+	137	187
+	149	173
+	4	152	173	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	186
+	149	173
+	137	187
+	4	134	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	215
+	266	194
+	279	215
+	4	279	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	192
+	279	215
+	266	194
+	4	266	192	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	215
+	285	226
+	279	215
+	4	279	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	49
+	271	44
+	250	52
+	4	250	49	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	44
+	250	49
+	270	41
+	4	271	44	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	248	47
+	270	41
+	250	49
+	4	248	47	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	251
+	299	259
+	297	252
+	4	299	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	259
+	299	251
+	302	258
+	4	299	259	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	250
+	302	258
+	299	251
+	4	302	250	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	67	132
+	76	107
+	70	133
+	4	67	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	107
+	67	132
+	74	106
+	4	76	107	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	64	132
+	74	106
+	67	132
+	4	64	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	356	192
+	339	184
+	353	191
+	4	356	192	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	337	185
+	353	191
+	339	184
+	4	337	185	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	237
+	118	246
+	110	239
+	4	112	237	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	248
+	110	239
+	118	246
+	4	115	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	110	239
+	115	248
+	108	241
+	4	110	239	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	160
+	66	135
+	64	160
+	4	67	160	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	66	135
+	67	160
+	69	135
+	4	66	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	76	231
+	83	236
+	79	229
+	4	76	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	235
+	79	229
+	83	236
+	4	85	235	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	236
+	76	231
+	80	238
+	4	83	236	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	74	106
+	64	132
+	71	105
+	4	74	106	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	62	132
+	71	105
+	64	132
+	4	62	132	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	52
+	270	47
+	250	54
+	4	250	52	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	270	47
+	250	52
+	271	44
+	4	270	47	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	236
+	89	241
+	85	235
+	4	83	236	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	249
+	108	241
+	115	248
+	4	113	249	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	108	241
+	113	249
+	106	242
+	4	108	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	88	252
+	83	247
+	88	253
+	4	88	252	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	247
+	88	252
+	83	246
+	4	83	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	346	228
+	333	216
+	344	227
+	4	346	228	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	331	217
+	344	227
+	333	216
+	4	331	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	263
+	90	253
+	100	263
+	4	99	263	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	253
+	99	263
+	88	253
+	4	90	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	61
+	149	43
+	131	63
+	4	130	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	43
+	130	61
+	148	41
+	4	149	43	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	59
+	148	41
+	130	61
+	4	128	59	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	61	132
+	59	159
+	61	133
+	4	61	132	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	61	160
+	61	133
+	59	159
+	4	61	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	238
+	293	244
+	291	238
+	4	290	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	244
+	290	238
+	293	245
+	4	293	244	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	85	244
+	79	239
+	83	246
+	4	85	244	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	79	239
+	85	244
+	80	238
+	4	79	239	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	41
+	128	59
+	145	39
+	4	148	41	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	58
+	145	39
+	128	59
+	4	125	58	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	178
+	145	167
+	132	180
+	4	134	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	145	167
+	134	178
+	146	165
+	4	145	167	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	188
+	351	193
+	337	185
+	4	336	188	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	351	193
+	336	188
+	349	195
+	4	351	193	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	250
+	301	242
+	304	249
+	4	302	250	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	258
+	302	250
+	305	257
+	4	302	258	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	249
+	305	257
+	302	250
+	4	304	249	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	266	192
+	240	156
+	268	191
+	4	266	192	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	243	154
+	268	191
+	240	156
+	4	243	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	191
+	243	154
+	270	189
+	4	268	191	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	41
+	248	47
+	269	39
+	4	270	41	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	46
+	269	39
+	248	47
+	4	246	46	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	353	191
+	337	185
+	351	193
+	4	353	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	324	243
+	318	236
+	322	242
+	4	324	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	237
+	322	242
+	318	236
+	4	316	237	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	170
+	140	186
+	152	173
+	4	154	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	137	187
+	152	173
+	140	186
+	4	137	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	153
+	357	159
+	341	155
+	4	343	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	357	159
+	343	153
+	359	157
+	4	357	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	343	150
+	359	157
+	343	153
+	4	343	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	252
+	297	258
+	295	251
+	4	297	252	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	258
+	297	252
+	299	259
+	4	297	258	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	326	254
+	324	245
+	328	252
+	4	326	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	243
+	328	252
+	324	245
+	4	324	243	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	329	219
+	341	228
+	331	217
+	4	329	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	341	228
+	329	219
+	339	230
+	4	341	228	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	242
+	299	235
+	302	241
+	4	301	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	302	241
+	304	249
+	301	242
+	4	302	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	235
+	118	243
+	112	237
+	4	111	235	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	118	246
+	112	237
+	118	243
+	4	118	246	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	359	157
+	343	150
+	360	154
+	4	359	157	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	342	147
+	360	154
+	343	150
+	4	342	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	286	211
+	293	222
+	287	210
+	4	286	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	293	222
+	286	211
+	292	223
+	4	293	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	292	223
+	299	235
+	293	222
+	4	292	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	344	227
+	331	217
+	341	228
+	4	344	227	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	133
+	77	108
+	70	134
+	4	70	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	108
+	70	133
+	76	107
+	4	77	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	245	154
+	270	189
+	243	154
+	4	245	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	270	189
+	245	154
+	273	188
+	4	270	189	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	245
+	295	251
+	293	244
+	4	293	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	295	251
+	293	245
+	295	251
+	4	295	251	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	313	238
+	319	243
+	316	237
+	4	313	238	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	319	243
+	313	238
+	317	245
+	4	319	243	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	54
+	267	48
+	248	55
+	4	250	54	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	267	48
+	250	54
+	270	47
+	4	267	48	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	341	155
+	354	160
+	338	155
+	4	341	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	354	160
+	341	155
+	357	159
+	4	354	160	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	273	191
+	287	210
+	274	189
+	4	273	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	287	210
+	273	191
+	286	211
+	4	287	210	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	248
+	106	242
+	113	249
+	4	111	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	106	242
+	111	248
+	104	241
+	4	106	242	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	63
+	148	45
+	131	64
+	4	131	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	45
+	131	63
+	149	43
+	4	148	45	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	177
+	146	165
+	134	178
+	4	137	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	165
+	137	177
+	149	164
+	4	146	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	248
+	319	253
+	315	246
+	4	315	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	253
+	315	248
+	319	255
+	4	319	253	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	266	194
+	238	158
+	266	192
+	4	266	194	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	240	156
+	266	192
+	238	158
+	4	240	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	64	160
+	63	134
+	61	160
+	4	64	160	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	63	134
+	64	160
+	66	135
+	4	63	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	322	242
+	316	237
+	319	243
+	4	322	242	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	80	238
+	87	242
+	83	236
+	4	80	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	241
+	83	236
+	87	242
+	4	89	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	61	133
+	61	160
+	63	134
+	4	61	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	71	105
+	62	132
+	69	104
+	4	71	105	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	61	132
+	69	104
+	62	132
+	4	61	132	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	154	168
+	142	184
+	154	170
+	4	154	168	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	140	186
+	154	170
+	142	184
+	4	140	186	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	242
+	80	238
+	85	244
+	4	87	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	39
+	125	58
+	143	37
+	4	145	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	58
+	143	37
+	125	58
+	4	124	58	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	360	154
+	342	147
+	359	151
+	4	360	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	340	146
+	359	151
+	342	147
+	4	340	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	246
+	105	255
+	95	246
+	4	94	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	105	257
+	95	246
+	105	255
+	4	105	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	246
+	89	241
+	94	246
+	4	95	246	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	225
+	279	215
+	285	226
+	4	287	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	226
+	293	237
+	287	225
+	4	285	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	237
+	285	226
+	291	238
+	4	293	237	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	299	235
+	292	223
+	298	235
+	4	299	235	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	298	235
+	302	241
+	299	235
+	4	298	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	302	258
+	301	266
+	299	259
+	4	302	258	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	266
+	302	258
+	304	266
+	4	301	266	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	257
+	304	266
+	302	258
+	4	305	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	242
+	94	246
+	89	241
+	4	87	242	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	39
+	246	46
+	266	38
+	4	269	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	244	46
+	266	38
+	246	46
+	4	244	46	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	214
+	267	195
+	279	215
+	4	281	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	194
+	279	215
+	267	195
+	4	266	194	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	279	215
+	287	225
+	281	214
+	4	279	215	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	178
+	149	164
+	137	177
+	4	140	178	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	164
+	140	178
+	152	165
+	4	149	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	74
+	315	74
+	296	77
+	4	297	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	74
+	297	74
+	316	71
+	4	315	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	296	71
+	316	71
+	297	74
+	4	296	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	249
+	302	241
+	304	248
+	4	304	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	257
+	304	249
+	306	256
+	4	305	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	248
+	306	256
+	304	249
+	4	304	248	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	89	250
+	83	246
+	88	252
+	4	89	250	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	83	246
+	89	250
+	85	244
+	4	83	246	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	338	155
+	352	158
+	336	154
+	4	338	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	352	158
+	338	155
+	354	160
+	4	352	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	142	184
+	154	168
+	142	181
+	4	142	184	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	152	165
+	142	181
+	154	168
+	4	152	165	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	98	261
+	88	253
+	99	263
+	4	98	261	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	88	253
+	98	261
+	88	252
+	4	88	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	234
+	118	241
+	111	235
+	4	109	234	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	243
+	111	235
+	118	241
+	4	118	243	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	304	266
+	305	257
+	307	265
+	4	304	266	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	256
+	307	265
+	305	257
+	4	306	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	295	251
+	298	257
+	295	251
+	4	295	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	257
+	295	251
+	297	258
+	4	298	257	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	142	181
+	152	165
+	140	178
+	4	142	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	328	252
+	324	243
+	327	250
+	4	328	252	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	322	242
+	327	250
+	324	243
+	4	322	242	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	296	77
+	314	76
+	295	79
+	4	296	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	314	76
+	296	77
+	315	74
+	4	314	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	299	259
+	299	265
+	297	258
+	4	299	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	299	265
+	299	259
+	301	266
+	4	299	265	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	238
+	295	243
+	293	237
+	4	291	238	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	243
+	291	238
+	293	244
+	4	295	243	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	316	71
+	296	71
+	315	68
+	4	316	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	294	70
+	315	68
+	296	71
+	4	294	70	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	246	155
+	273	188
+	245	154
+	4	246	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	273	188
+	246	155
+	274	189
+	4	273	188	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	55
+	265	47
+	246	54
+	4	248	55	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	265	47
+	248	55
+	267	48
+	4	265	47	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	359	151
+	340	146
+	356	150
+	4	359	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	338	146
+	356	150
+	340	146
+	4	338	146	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	284	213
+	292	223
+	286	211
+	4	284	213	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	292	223
+	284	213
+	290	224
+	4	292	223	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	290	224
+	298	235
+	292	223
+	4	290	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	302	241
+	298	235
+	300	242
+	4	302	241	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	300	242
+	304	248
+	302	241
+	4	300	242	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	134
+	76	109
+	69	135
+	4	70	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	109
+	70	134
+	77	108
+	4	76	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	246
+	104	241
+	111	248
+	4	110	246	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	104	241
+	110	246
+	103	239
+	4	104	241	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	315	246
+	320	251
+	317	245
+	4	315	246	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	320	251
+	315	246
+	319	253
+	4	320	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	64
+	146	45
+	129	65
+	4	131	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	45
+	131	64
+	148	45
+	4	146	45	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	85	244
+	91	247
+	87	242
+	4	85	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	246
+	87	242
+	91	247
+	4	94	246	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	267	195
+	238	160
+	266	194
+	4	267	195	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	238	158
+	266	194
+	238	160
+	4	238	158	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	271	193
+	286	211
+	273	191
+	4	271	193	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	286	211
+	271	193
+	284	213
+	4	286	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	244
+	297	250
+	295	243
+	4	293	244	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	297	250
+	293	244
+	295	251
+	4	297	250	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	247
+	85	244
+	89	250
+	4	91	247	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	37
+	220	28
+	199	39
+	4	198	37	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	220	28
+	198	37
+	219	25
+	4	220	28	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	196	35
+	219	25
+	198	37
+	4	196	35	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	38
+	244	46
+	264	39
+	4	266	38	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	49
+	264	39
+	244	46
+	4	243	49	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	336	154
+	351	155
+	336	151
+	4	336	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	351	155
+	336	154
+	352	158
+	4	351	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	290	224
+	281	214
+	287	225
+	4	290	224	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	225
+	295	236
+	290	224
+	4	287	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	236
+	287	225
+	293	237
+	4	295	236	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	199	39
+	220	30
+	200	42
+	4	199	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	220	30
+	199	39
+	220	28
+	4	220	30	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	324	255
+	324	263
+	321	255
+	4	324	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	324	263
+	324	255
+	327	262
+	4	324	263	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	326	254
+	327	262
+	324	255
+	4	326	254	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	105	257
+	115	266
+	104	259
+	4	105	257	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	113	269
+	104	259
+	115	266
+	4	113	269	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	104	259
+	113	269
+	103	262
+	4	104	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	37
+	124	58
+	141	38
+	4	143	37	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	59
+	141	38
+	124	58
+	4	123	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	295	79
+	311	76
+	292	79
+	4	295	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	76
+	295	79
+	314	76
+	4	311	76	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	228	157
+	197	134
+	229	154
+	4	228	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	199	132
+	229	154
+	197	134
+	4	199	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	229	154
+	199	132
+	231	152
+	4	229	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	104
+	61	132
+	67	105
+	4	69	104	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	61	133
+	67	105
+	61	132
+	4	61	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	68
+	294	70
+	313	67
+	4	315	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	291	70
+	313	67
+	294	70
+	4	291	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	267	195
+	281	214
+	269	194
+	4	267	195	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	213
+	269	194
+	281	214
+	4	284	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	214
+	290	224
+	284	213
+	4	281	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	298	235
+	290	224
+	295	236
+	4	298	235	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	295	236
+	300	242
+	298	235
+	4	295	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	270
+	103	262
+	113	269
+	4	111	270	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	103	262
+	111	270
+	100	263
+	4	103	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	255
+	94	246
+	103	255
+	4	105	255	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	247
+	103	255
+	94	246
+	4	91	247	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	327	262
+	326	254
+	330	261
+	4	327	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	328	252
+	330	261
+	326	254
+	4	328	252	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	356	150
+	338	146
+	354	150
+	4	356	150	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	148
+	354	150
+	338	146
+	4	336	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	201	131
+	231	152
+	199	132
+	4	201	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	152
+	201	131
+	233	151
+	4	231	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	241
+	109	234
+	116	240
+	4	118	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	235
+	116	240
+	109	234
+	4	106	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	54
+	264	44
+	244	52
+	4	246	54	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	44
+	246	54
+	265	47
+	4	264	44	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	256
+	304	248
+	306	255
+	4	306	256	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	307	265
+	306	256
+	308	264
+	4	307	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	255
+	308	264
+	306	256
+	4	306	255	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	327	250
+	322	242
+	326	249
+	4	327	250	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	319	243
+	326	249
+	322	242
+	4	319	243	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	321	255
+	322	261
+	319	255
+	4	321	255	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	322	261
+	321	255
+	324	263
+	4	322	261	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	194
+	284	213
+	271	193
+	4	269	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	304	266
+	303	273
+	301	266
+	4	304	266	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	303	273
+	304	266
+	305	273
+	4	303	273	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	307	265
+	305	273
+	304	266
+	4	307	265	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	336	151
+	352	152
+	336	148
+	4	336	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	352	152
+	336	151
+	351	155
+	4	352	152	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	99	259
+	88	252
+	98	261
+	4	99	259	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	88	252
+	99	259
+	89	250
+	4	88	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	237
+	298	242
+	295	236
+	4	293	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	242
+	293	237
+	295	243
+	4	298	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	258
+	299	264
+	298	257
+	4	297	258	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	264
+	297	258
+	299	265
+	4	299	264	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	304	248
+	300	242
+	303	248
+	4	304	248	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	303	248
+	306	255
+	304	248
+	4	303	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	25
+	196	35
+	217	23
+	4	219	25	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	35
+	217	23
+	196	35
+	4	194	35	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	354	150
+	336	148
+	352	152
+	4	354	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	42
+	218	32
+	198	43
+	4	200	42	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	32
+	200	42
+	220	30
+	4	218	32	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	105	255
+	115	264
+	105	257
+	4	105	255	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	115	266
+	105	257
+	115	264
+	4	115	266	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	39
+	243	49
+	263	41
+	4	264	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	244	52
+	263	41
+	243	49
+	4	244	52	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	317	245
+	323	249
+	319	243
+	4	317	245	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	249
+	317	245
+	320	251
+	4	323	249	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	159
+	196	137
+	228	157
+	4	229	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	197	134
+	228	157
+	196	137
+	4	197	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	243
+	103	239
+	110	246
+	4	111	243	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	103	239
+	111	243
+	104	237
+	4	103	239	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	251
+	299	256
+	297	250
+	4	295	251	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	299	256
+	295	251
+	298	257
+	4	299	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	300	242
+	295	236
+	298	242
+	4	300	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	263	41
+	244	52
+	264	44
+	4	263	41	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	305	273
+	307	265
+	308	272
+	4	305	273	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	264
+	308	272
+	307	265
+	4	308	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	242
+	303	248
+	300	242
+	4	298	242	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	245	157
+	274	189
+	246	155
+	4	245	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	274	189
+	245	157
+	273	191
+	4	274	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	301	266
+	301	272
+	299	265
+	4	301	266	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	301	272
+	301	266
+	303	273
+	4	301	272	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	292	79
+	309	75
+	290	77
+	4	292	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	309	75
+	292	79
+	311	76
+	4	309	75	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	161	163
+	139	169
+	159	161
+	4	161	163	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	138	166
+	159	161
+	139	169
+	4	138	166	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	159	161
+	138	166
+	158	158
+	4	159	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	326	249
+	319	243
+	323	249
+	4	326	249	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	139	163
+	158	158
+	138	166
+	4	139	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	158	158
+	139	163
+	159	155
+	4	158	158	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	313	67
+	291	70
+	310	67
+	4	313	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	290	72
+	310	67
+	291	70
+	4	290	72	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	295	243
+	300	249
+	298	242
+	4	295	243	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	300	249
+	295	243
+	297	250
+	4	300	249	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	65
+	144	44
+	127	63
+	4	129	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	44
+	129	65
+	146	45
+	4	144	44	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	135
+	73	109
+	66	135
+	4	69	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	73	109
+	69	135
+	76	109
+	4	73	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	330	261
+	328	252
+	331	259
+	4	330	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	327	250
+	331	259
+	328	252
+	4	327	250	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	89	250
+	101	257
+	91	247
+	4	89	250	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	255
+	91	247
+	101	257
+	4	103	255	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	270
+	100	263
+	111	270
+	4	109	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	263
+	109	270
+	99	263
+	4	100	263	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	104	237
+	113	241
+	106	235
+	4	104	237	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	116	240
+	106	235
+	113	241
+	4	116	240	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	132
+	233	151
+	201	131
+	4	203	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	233	151
+	203	132
+	235	151
+	4	233	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	257
+	89	250
+	99	259
+	4	101	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	38
+	123	59
+	141	39
+	4	141	38	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	124	61
+	141	39
+	123	59
+	4	124	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	163
+	141	171
+	161	163
+	4	164	163	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	139	169
+	161	163
+	141	171
+	4	139	169	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	194
+	239	161
+	267	195
+	4	269	194	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	238	160
+	267	195
+	239	161
+	4	238	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	241
+	104	237
+	111	243
+	4	113	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	255
+	322	259
+	319	253
+	4	319	255	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	322	259
+	319	255
+	322	261
+	4	322	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	248
+	298	242
+	300	249
+	4	303	248	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	105
+	61	133
+	68	106
+	4	67	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	63	134
+	68	106
+	61	133
+	4	63	134	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	142	161
+	159	155
+	139	163
+	4	142	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	155
+	142	161
+	161	154
+	4	159	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	290	77
+	308	72
+	289	75
+	4	290	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	72
+	290	77
+	309	75
+	4	308	72	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	23
+	194	35
+	214	23
+	4	217	23	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	36
+	214	23
+	194	35
+	4	193	36	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	310	67
+	290	72
+	308	69
+	4	310	67	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	75
+	308	69
+	290	72
+	4	289	75	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	43
+	216	32
+	196	43
+	4	198	43	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	216	32
+	198	43
+	218	32
+	4	216	32	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	306	255
+	303	248
+	305	255
+	4	306	255	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	249
+	305	255
+	303	248
+	4	300	249	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	264
+	306	255
+	308	262
+	4	308	264	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	305	255
+	308	262
+	306	255
+	4	305	255	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	231	159
+	197	140
+	229	159
+	4	231	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	196	137
+	229	159
+	197	140
+	4	196	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	255
+	115	262
+	105	255
+	4	103	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	115	264
+	105	255
+	115	262
+	4	115	264	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	161
+	144	171
+	164	163
+	4	166	161	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	141	171
+	164	163
+	144	171
+	4	141	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	63
+	142	42
+	124	61
+	4	127	63	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	42
+	127	63
+	144	44
+	4	142	42	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	297	250
+	302	255
+	300	249
+	4	297	250	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	255
+	297	250
+	299	256
+	4	302	255	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	257
+	301	263
+	299	256
+	4	298	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	263
+	298	257
+	299	264
+	4	301	263	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	69
+	289	75
+	308	72
+	4	308	69	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	39
+	124	61
+	142	42
+	4	141	39	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	272
+	308	264
+	310	271
+	4	308	272	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	262
+	310	271
+	308	264
+	4	308	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	265
+	301	271
+	299	264
+	4	299	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	271
+	299	265
+	301	272
+	4	301	271	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	135
+	70	108
+	63	134
+	4	66	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	108
+	66	135
+	73	109
+	4	70	108	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	244	159
+	273	191
+	245	157
+	4	244	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	273	191
+	244	159
+	271	193
+	4	273	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	106
+	63	134
+	70	108
+	4	68	106	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	145	162
+	161	154
+	142	161
+	4	145	162	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	161	154
+	145	162
+	163	154
+	4	161	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	331	259
+	327	250
+	331	257
+	4	331	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	326	249
+	331	257
+	327	250
+	4	326	249	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	305	255
+	300	249
+	302	255
+	4	305	255	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	118	243
+	125	252
+	118	246
+	4	118	243	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	123	254
+	118	246
+	125	252
+	4	123	254	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	118	246
+	123	254
+	115	248
+	4	118	246	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	239	161
+	269	194
+	241	161
+	4	239	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	193
+	241	161
+	269	194
+	4	271	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	273
+	304	281
+	303	273
+	4	305	273	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	304	281
+	305	273
+	307	281
+	4	304	281	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	308	272
+	307	281
+	305	273
+	4	308	272	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	109	268
+	99	263
+	109	270
+	4	109	268	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	99	263
+	109	268
+	98	261
+	4	99	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	319	253
+	323	257
+	320	251
+	4	319	253	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	323	257
+	319	253
+	322	259
+	4	323	257	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	204	134
+	235	151
+	203	132
+	4	204	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	235	151
+	204	134
+	235	153
+	4	235	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	123	225
+	131	238
+	122	228
+	4	123	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	239
+	122	228
+	131	238
+	4	129	239	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	228
+	129	239
+	119	229
+	4	122	228	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	166	159
+	147	170
+	166	161
+	4	166	159	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	144	171
+	166	161
+	147	170
+	4	144	171	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	255
+	115	248
+	123	254
+	4	120	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	115	248
+	120	255
+	113	249
+	4	115	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	74	106
+	87	81
+	76	107
+	4	74	106	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	87	81
+	74	106
+	85	80
+	4	87	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	105
+	85	80
+	74	106
+	4	71	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	161
+	271	193
+	244	159
+	4	241	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	241
+	126	249
+	118	243
+	4	118	241	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	252
+	118	243
+	126	249
+	4	125	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	239
+	119	229
+	129	239
+	4	126	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	229
+	126	239
+	117	229
+	4	119	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	23
+	193	36
+	213	24
+	4	214	23	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	38
+	213	24
+	193	36
+	4	193	38	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	147	164
+	163	154
+	145	162
+	4	147	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	163	154
+	147	164
+	166	156
+	4	163	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	196	43
+	214	30
+	194	41
+	4	196	43	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	30
+	196	43
+	216	32
+	4	214	30	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	273
+	302	280
+	301	272
+	4	303	273	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	302	280
+	303	273
+	304	281
+	4	302	280	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	307	281
+	308	272
+	310	280
+	4	307	281	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	271
+	310	280
+	308	272
+	4	310	271	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	80
+	71	105
+	82	78
+	4	85	80	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	104
+	82	78
+	71	105
+	4	69	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	248
+	278	222
+	284	248
+	4	281	248	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	281	221
+	284	248
+	278	222
+	4	281	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	248
+	281	221
+	287	247
+	4	284	248	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	284	248
+	283	262
+	281	248
+	4	284	248	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	283	262
+	284	248
+	286	262
+	4	283	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	247
+	286	262
+	284	248
+	4	287	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	223
+	133	235
+	123	225
+	4	123	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	238
+	123	225
+	133	235
+	4	131	238	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	308	262
+	305	255
+	307	262
+	4	308	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	302	255
+	307	262
+	305	255
+	4	302	255	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	147	170
+	166	159
+	148	167
+	4	147	170	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	166	156
+	148	167
+	166	159
+	4	166	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	256
+	304	262
+	302	255
+	4	299	256	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	304	262
+	299	256
+	301	263
+	4	304	262	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	76	257
+	80	265
+	74	258
+	4	76	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	267
+	74	258
+	80	265
+	4	78	267	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	258
+	78	267
+	71	260
+	4	74	258	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	74	258
+	64	240
+	76	257
+	4	74	258	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	64	240
+	74	258
+	62	241
+	4	64	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	260
+	62	241
+	74	258
+	4	71	260	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	148	167
+	166	156
+	147	164
+	4	148	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	158
+	199	141
+	231	159
+	4	233	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	140
+	231	159
+	199	141
+	4	197	140	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	331	257
+	326	249
+	329	256
+	4	331	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	323	249
+	329	256
+	326	249
+	4	323	249	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	262
+	103	255
+	113	262
+	4	115	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	257
+	113	262
+	103	255
+	4	101	257	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	82	263
+	87	271
+	80	265
+	4	82	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	85	274
+	80	265
+	87	271
+	4	85	274	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	80	265
+	85	274
+	78	267
+	4	80	265	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	80	265
+	76	257
+	82	263
+	4	80	265	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	76	107
+	87	83
+	77	108
+	4	76	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	83
+	76	107
+	87	81
+	4	87	83	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	280	249
+	275	223
+	281	248
+	4	280	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	222
+	281	248
+	275	223
+	4	278	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	281	248
+	281	262
+	280	249
+	4	281	248	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	281	262
+	281	248
+	283	262
+	4	281	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	269
+	71	260
+	78	267
+	4	76	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	260
+	76	269
+	69	261
+	4	71	260	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	62	241
+	71	260
+	59	242
+	4	62	241	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	261
+	59	242
+	71	260
+	4	69	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	271
+	308	262
+	310	270
+	4	310	271	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	307	262
+	310	270
+	308	262
+	4	307	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	320	251
+	326	256
+	323	249
+	4	320	251	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	326	256
+	320	251
+	323	257
+	4	326	256	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	299	264
+	303	270
+	301	263
+	4	299	264	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	270
+	299	264
+	301	271
+	4	303	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	283	221
+	287	247
+	281	221
+	4	283	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	247
+	283	221
+	289	247
+	4	287	247	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	286	262
+	287	247
+	289	262
+	4	286	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	289	247
+	289	262
+	287	247
+	4	289	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	238
+	117	229
+	126	239
+	4	124	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	229
+	124	238
+	115	228
+	4	117	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	254
+	113	249
+	120	255
+	4	118	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	249
+	118	254
+	111	248
+	4	113	249	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	307	262
+	302	255
+	304	262
+	4	307	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	24
+	193	38
+	213	27
+	4	213	24	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	194	41
+	213	27
+	193	38
+	4	194	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	276
+	78	267
+	85	274
+	4	83	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	78	267
+	83	276
+	76	269
+	4	78	267	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	262
+	284	277
+	283	262
+	4	286	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	277
+	286	262
+	286	277
+	4	284	277	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	289	262
+	286	277
+	286	262
+	4	289	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	27
+	194	41
+	214	30
+	4	213	27	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	327	262
+	329	277
+	324	263
+	4	327	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	329	277
+	327	262
+	332	277
+	4	329	277	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	330	261
+	332	277
+	327	262
+	4	330	261	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	89	269
+	94	277
+	87	271
+	4	89	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	92	279
+	87	271
+	94	277
+	4	92	279	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	271
+	92	279
+	85	274
+	4	87	271	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	87	271
+	82	263
+	89	269
+	4	87	271	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	264
+	125	271
+	115	266
+	4	115	264	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	124	274
+	115	266
+	125	271
+	4	124	274	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	115	266
+	124	274
+	113	269
+	4	115	266	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	62	241
+	54	219
+	64	240
+	4	62	241	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	54	219
+	62	241
+	52	220
+	4	54	219	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	59	242
+	52	220
+	62	241
+	4	59	242	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	329	256
+	323	249
+	326	256
+	4	329	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	221
+	132	232
+	123	223
+	4	121	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	235
+	123	223
+	132	232
+	4	133	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	240
+	125	246
+	118	241
+	4	116	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	249
+	118	241
+	125	246
+	4	126	249	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	203	137
+	235	153
+	204	134
+	4	203	137	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	235	153
+	203	137
+	235	155
+	4	235	153	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	266
+	98	261
+	109	268
+	4	109	266	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	261
+	109	266
+	99	259
+	4	98	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	223
+	270	198
+	278	222
+	4	275	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	273	197
+	278	222
+	270	198
+	4	273	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	278	222
+	273	197
+	281	221
+	4	278	222	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	344	235
+	350	247
+	342	236
+	4	344	235	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	350	247
+	344	235
+	353	247
+	4	350	247	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	346	233
+	353	247
+	344	235
+	4	346	233	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	77	256
+	82	263
+	76	257
+	4	77	256	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	76	257
+	65	240
+	77	256
+	4	76	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	65	240
+	76	257
+	64	240
+	4	65	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	324	263
+	327	275
+	322	261
+	4	324	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	327	275
+	324	263
+	329	277
+	4	327	275	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	281
+	85	274
+	92	279
+	4	91	281	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	274
+	91	281
+	83	276
+	4	85	274	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	332	277
+	330	261
+	335	275
+	4	332	277	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	331	259
+	335	275
+	330	261
+	4	331	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	242
+	69	261
+	57	244
+	4	59	242	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	52	220
+	59	242
+	49	221
+	4	52	220	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	57	244
+	49	221
+	59	242
+	4	57	244	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	283	262
+	282	276
+	281	262
+	4	283	262	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	282	276
+	283	262
+	284	277
+	4	282	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	272
+	302	278
+	301	271
+	4	301	272	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	302	278
+	301	272
+	302	280
+	4	302	278	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	275
+	113	269
+	124	274
+	4	122	275	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	269
+	122	275
+	111	270
+	4	113	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	209
+	132	220
+	128	211
+	4	130	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	221
+	128	211
+	132	220
+	4	129	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	211
+	129	221
+	125	212
+	4	128	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	78
+	69	104
+	79	78
+	4	82	78	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	105
+	79	78
+	69	104
+	4	67	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	334	111
+	350	115
+	333	114
+	4	334	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	350	115
+	334	111
+	351	113
+	4	350	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	334	108
+	351	113
+	334	111
+	4	334	108	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	83	263
+	89	269
+	82	263
+	4	83	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	82	263
+	77	256
+	83	263
+	4	82	263	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	280
+	310	271
+	311	279
+	4	310	280	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	270
+	311	279
+	310	271
+	4	310	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	220
+	125	212
+	129	221
+	4	126	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	212
+	126	220
+	122	211
+	4	125	212	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	289	262
+	289	247
+	291	262
+	4	289	262	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	286	277
+	289	262
+	289	277
+	4	286	277	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	262
+	289	277
+	289	262
+	4	291	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	353	247
+	346	233
+	356	245
+	4	353	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	230
+	356	245
+	346	233
+	4	347	230	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	199	141
+	233	158
+	201	140
+	4	199	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	235	155
+	201	140
+	233	158
+	4	235	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	342	236
+	348	246
+	339	235
+	4	342	236	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	348	246
+	342	236
+	350	247
+	4	348	246	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	274	224
+	267	200
+	275	223
+	4	274	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	198
+	275	223
+	267	200
+	4	270	198	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	275	223
+	280	249
+	274	224
+	4	275	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	115	262
+	126	268
+	115	264
+	4	115	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	125	271
+	115	264
+	126	268
+	4	125	271	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	351	113
+	334	108
+	351	109
+	4	351	113	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	332	106
+	351	109
+	334	108
+	4	332	106	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	95	275
+	101	281
+	94	277
+	4	95	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	100	284
+	94	277
+	101	281
+	4	100	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	94	277
+	100	284
+	92	279
+	4	94	277	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	94	277
+	89	269
+	95	275
+	4	94	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	333	114
+	347	117
+	331	115
+	4	333	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	347	117
+	333	114
+	350	115
+	4	347	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	99	259
+	111	263
+	101	257
+	4	99	259	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	262
+	101	257
+	111	263
+	4	113	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	206
+	134	218
+	130	209
+	4	130	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	220
+	130	209
+	134	218
+	4	132	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	198
+	281	221
+	273	197
+	4	275	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	221
+	275	198
+	283	221
+	4	281	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	89	268
+	95	275
+	89	269
+	4	89	268	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	89	269
+	83	263
+	89	268
+	4	89	269	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	201	140
+	235	155
+	203	137
+	4	201	140	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	235
+	115	228
+	124	238
+	4	124	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	228
+	124	235
+	114	225
+	4	115	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	64	240
+	55	219
+	65	240
+	4	64	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	55	219
+	64	240
+	54	219
+	4	55	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	263
+	99	259
+	109	266
+	4	111	263	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	98	286
+	92	279
+	100	284
+	4	98	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	92	279
+	98	286
+	91	281
+	4	92	279	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	75	270
+	69	261
+	76	269
+	4	75	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	261
+	75	270
+	69	262
+	4	69	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	262
+	57	244
+	69	261
+	4	69	262	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	270
+	307	262
+	308	269
+	4	310	270	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	262
+	308	269
+	307	262
+	4	304	262	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	218
+	122	211
+	126	220
+	4	125	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	122	211
+	125	218
+	120	208
+	4	122	211	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	301	263
+	306	269
+	304	262
+	4	301	263	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	269
+	301	263
+	303	270
+	4	306	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	249
+	274	224
+	280	249
+	4	280	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	249
+	281	262
+	280	249
+	4	280	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	262
+	280	249
+	281	262
+	4	281	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	232
+	121	221
+	130	230
+	4	132	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	221
+	130	230
+	121	221
+	4	118	221	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	108
+	86	84
+	76	109
+	4	77	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	84
+	77	108
+	87	83
+	4	86	84	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	117	252
+	111	248
+	118	254
+	4	117	252	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	248
+	117	252
+	110	246
+	4	111	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	276
+	76	269
+	83	276
+	4	82	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	269
+	82	276
+	75	270
+	4	76	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	322	261
+	327	273
+	322	259
+	4	322	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	327	273
+	322	261
+	327	275
+	4	327	273	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	356	245
+	347	230
+	356	242
+	4	356	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	346	228
+	356	242
+	347	230
+	4	346	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	335	275
+	331	259
+	336	273
+	4	335	275	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	331	257
+	336	273
+	331	259
+	4	331	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	283	222
+	289	247
+	283	221
+	4	283	222	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	247
+	283	222
+	289	247
+	4	289	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	247
+	291	262
+	289	247
+	4	289	247	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	351	109
+	332	106
+	349	107
+	4	351	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	330	105
+	349	107
+	332	106
+	4	330	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	331	115
+	344	116
+	328	114
+	4	331	115	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	344	116
+	331	115
+	347	117
+	4	344	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	246
+	116	240
+	123	245
+	4	125	246	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	241
+	123	245
+	116	240
+	4	113	241	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	204
+	134	215
+	130	206
+	4	128	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	218
+	130	206
+	134	215
+	4	134	218	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	307	281
+	305	288
+	304	281
+	4	307	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	288
+	307	281
+	308	289
+	4	305	288	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	310	280
+	308	289
+	307	281
+	4	310	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	273
+	102	279
+	95	275
+	4	95	273	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	101	281
+	95	275
+	102	279
+	4	101	281	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	275
+	89	268
+	95	273
+	4	95	275	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	339	235
+	347	244
+	338	233
+	4	339	235	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	347	244
+	339	235
+	348	246
+	4	347	244	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	275
+	111	270
+	122	275
+	4	120	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	270
+	120	275
+	109	270
+	4	111	270	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	102	279
+	115	288
+	101	281
+	4	102	279	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	291
+	101	281
+	115	288
+	4	114	291	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	281
+	114	291
+	100	284
+	4	101	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	90	282
+	83	276
+	91	281
+	4	90	282	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	83	276
+	90	282
+	82	276
+	4	83	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	269
+	304	262
+	306	269
+	4	308	269	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	277
+	283	292
+	284	277
+	4	286	277	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	283	292
+	286	277
+	286	292
+	4	283	292	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	289	277
+	286	292
+	286	277
+	4	289	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	57	244
+	69	262
+	56	244
+	4	57	244	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	49	221
+	57	244
+	47	222
+	4	49	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	244
+	47	222
+	57	244
+	4	56	244	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	172	153
+	146	152
+	171	151
+	4	172	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	146	149
+	171	151
+	146	152
+	4	146	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	171	151
+	146	149
+	171	148
+	4	171	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	262
+	282	276
+	281	262
+	4	281	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	282	276
+	281	262
+	282	276
+	4	282	276	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	232
+	114	225
+	124	235
+	4	125	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	225
+	125	232
+	116	223
+	4	114	225	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	148	147
+	171	148
+	146	149
+	4	148	147	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	171	148
+	148	147
+	173	145
+	4	171	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	304	281
+	303	287
+	302	280
+	4	304	281	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	287
+	304	281
+	305	288
+	4	303	287	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	293
+	100	284
+	114	291
+	4	112	293	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	284
+	112	293
+	98	286
+	4	100	284	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	215
+	120	208
+	125	218
+	4	125	215	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	120	208
+	125	215
+	121	206
+	4	120	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	257
+	83	263
+	77	256
+	4	76	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	256
+	64	240
+	76	257
+	4	77	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	64	240
+	77	256
+	65	240
+	4	64	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	271
+	304	277
+	303	270
+	4	301	271	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	277
+	301	271
+	302	278
+	4	304	277	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	223
+	127	230
+	118	221
+	4	116	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	230
+	118	221
+	127	230
+	4	130	230	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	308	289
+	310	280
+	310	288
+	4	308	289	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	279
+	310	288
+	310	280
+	4	311	279	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	113	262
+	125	266
+	115	262
+	4	113	262	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	126	268
+	115	262
+	125	266
+	4	126	268	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	279
+	310	270
+	311	277
+	4	311	279	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	308	269
+	311	277
+	310	270
+	4	308	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	52	220
+	47	195
+	54	219
+	4	52	220	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	47	195
+	52	220
+	44	195
+	4	47	195	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	49	221
+	44	195
+	52	220
+	4	49	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	284	277
+	281	291
+	282	276
+	4	284	277	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	281	291
+	284	277
+	283	292
+	4	281	291	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	262
+	289	247
+	291	261
+	4	291	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	289	277
+	291	262
+	291	276
+	4	289	277	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	291	261
+	291	276
+	291	262
+	4	291	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	79	78
+	67	105
+	78	79
+	4	79	78	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	106
+	78	79
+	67	105
+	4	68	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	263
+	89	268
+	83	263
+	4	82	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	263
+	76	257
+	82	263
+	4	83	263	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	274	224
+	266	201
+	274	224
+	4	274	224	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	267	200
+	274	224
+	266	201
+	4	267	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	224
+	280	249
+	274	224
+	4	274	224	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	230
+	116	223
+	125	232
+	4	127	230	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	175	154
+	147	155
+	172	153
+	4	175	154	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	146	152
+	172	153
+	147	155
+	4	146	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	349	107
+	330	105
+	347	106
+	4	349	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	328	106
+	347	106
+	330	105
+	4	328	106	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	215
+	128	204
+	133	212
+	4	134	215	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	203
+	133	212
+	128	204
+	4	126	203	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	249
+	110	246
+	117	252
+	4	118	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	246
+	118	249
+	111	243
+	4	110	246	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	286	292
+	289	277
+	289	292
+	4	286	292	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	276
+	289	292
+	289	277
+	4	291	276	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	356	242
+	346	228
+	355	240
+	4	356	242	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	344	227
+	355	240
+	346	228
+	4	344	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	286
+	91	281
+	98	286
+	4	97	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	281
+	97	286
+	90	282
+	4	91	281	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	328	114
+	343	114
+	327	112
+	4	328	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	343	114
+	328	114
+	344	116
+	4	343	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	275	199
+	283	221
+	275	198
+	4	275	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	283	221
+	275	199
+	283	222
+	4	283	221	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	102	278
+	115	285
+	102	279
+	4	102	278	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	115	288
+	102	279
+	115	285
+	4	115	288	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	102	279
+	95	273
+	102	278
+	4	102	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	44	195
+	49	221
+	41	196
+	4	44	195	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	222
+	41	196
+	49	221
+	4	47	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	322	259
+	328	271
+	323	257
+	4	322	259	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	328	271
+	322	259
+	327	273
+	4	328	271	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	243
+	120	246
+	113	241
+	4	111	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	123	245
+	113	241
+	120	246
+	4	123	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	269
+	95	273
+	89	268
+	4	88	269	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	268
+	82	263
+	88	269
+	4	89	268	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	336	273
+	331	257
+	336	271
+	4	336	273	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	329	256
+	336	271
+	331	257
+	4	329	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	338	233
+	347	241
+	339	230
+	4	338	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	241
+	338	233
+	347	244
+	4	347	241	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	65	240
+	55	220
+	64	240
+	4	65	240	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	55	220
+	65	240
+	55	219
+	4	55	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	151	146
+	173	145
+	148	147
+	4	151	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	173	145
+	151	146
+	175	144
+	4	173	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	212
+	121	206
+	125	215
+	4	127	212	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	206
+	127	212
+	123	203
+	4	121	206	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	246
+	111	243
+	118	249
+	4	120	246	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	54	219
+	48	196
+	55	219
+	4	54	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	48	196
+	54	219
+	47	195
+	4	48	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	76	269
+	69	262
+	75	270
+	4	76	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	262
+	76	269
+	69	261
+	4	69	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	69	261
+	56	244
+	69	262
+	4	69	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	109
+	83	83
+	73	109
+	4	76	109	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	83	83
+	76	109
+	86	84
+	4	83	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	123	203
+	130	211
+	126	203
+	4	123	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	212
+	126	203
+	130	211
+	4	133	212	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	282	249
+	274	224
+	280	249
+	4	282	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	280	249
+	283	262
+	282	249
+	4	280	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	283	262
+	280	249
+	281	262
+	4	283	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	347	106
+	328	106
+	344	108
+	4	347	106	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	326	109
+	344	108
+	328	106
+	4	326	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	275
+	75	270
+	82	276
+	4	83	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	75	270
+	83	275
+	76	269
+	4	75	270	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	211
+	123	203
+	127	212
+	4	130	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	327	112
+	343	111
+	326	109
+	4	327	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	343	111
+	327	112
+	343	114
+	4	343	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	302	280
+	303	285
+	302	278
+	4	302	280	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	285
+	302	280
+	303	287
+	4	303	285	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	274
+	102	278
+	95	273
+	4	94	274	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	273
+	88	269
+	94	274
+	4	95	273	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	119	273
+	109	270
+	120	275
+	4	119	273	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	109	270
+	119	273
+	109	268
+	4	109	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	355	240
+	344	227
+	353	239
+	4	355	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	341	228
+	353	239
+	344	227
+	4	341	228	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	41
+	168	27
+	149	43
+	4	148	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	27
+	148	41
+	167	25
+	4	168	27	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	39
+	167	25
+	148	41
+	4	145	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	293
+	98	286
+	112	293
+	4	111	293	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	98	286
+	111	293
+	97	286
+	4	98	286	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	282	223
+	289	247
+	283	222
+	4	282	223	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	289	247
+	282	223
+	287	248
+	4	289	247	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	287	248
+	291	261
+	289	247
+	4	287	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	303	270
+	307	276
+	306	269
+	4	303	270	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	307	276
+	303	270
+	304	277
+	4	307	276	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	154
+	150	156
+	175	154
+	4	177	154	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	147	155
+	175	154
+	150	156
+	4	147	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	356	199
+	365	209
+	353	201
+	4	356	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	365	209
+	356	199
+	368	208
+	4	365	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	357	196
+	368	208
+	356	199
+	4	357	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	344	108
+	326	109
+	343	111
+	4	344	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	339	230
+	350	239
+	341	228
+	4	339	230	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	350	239
+	339	230
+	347	241
+	4	350	239	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	288
+	311	279
+	312	287
+	4	310	288	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	277
+	312	287
+	311	279
+	4	311	277	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	277
+	308	269
+	310	276
+	4	311	277	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	269
+	310	276
+	308	269
+	4	306	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	25
+	145	39
+	165	22
+	4	167	25	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	143	37
+	165	22
+	145	39
+	4	143	37	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	276
+	281	290
+	282	276
+	4	282	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	290
+	282	276
+	281	291
+	4	281	290	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	280
+	82	276
+	90	282
+	4	90	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	276
+	90	280
+	83	275
+	4	82	276	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	257
+	331	269
+	326	256
+	4	323	257	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	331	269
+	323	257
+	328	271
+	4	331	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	336	271
+	329	256
+	334	269
+	4	336	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	326	256
+	334	269
+	329	256
+	4	326	256	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	56	244
+	69	261
+	57	244
+	4	56	244	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	222
+	56	244
+	46	223
+	4	47	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	57	244
+	46	223
+	56	244
+	4	57	244	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	368	208
+	357	196
+	369	205
+	4	368	208	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	357	194
+	369	205
+	357	196
+	4	357	194	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	267	200
+	250	158
+	270	198
+	4	267	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	157
+	270	198
+	250	158
+	4	253	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	198
+	253	157
+	273	197
+	4	270	198	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	353	239
+	341	228
+	350	239
+	4	353	239	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	353	201
+	362	209
+	351	200
+	4	353	201	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	362	209
+	353	201
+	365	209
+	4	362	209	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	153	148
+	175	144
+	151	146
+	4	153	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	175	144
+	153	148
+	177	146
+	4	175	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	79
+	68	106
+	79	80
+	4	78	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	70	108
+	79	80
+	68	106
+	4	70	108	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	281	262
+	284	275
+	283	262
+	4	281	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	275
+	281	262
+	282	276
+	4	284	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	125	266
+	113	262
+	123	266
+	4	125	266	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	263
+	123	266
+	113	262
+	4	111	263	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	196
+	47	222
+	39	197
+	4	41	196	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	46	223
+	39	197
+	47	222
+	4	46	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	258
+	82	263
+	76	257
+	4	74	258	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	76	257
+	62	242
+	74	258
+	4	76	257	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	62	242
+	76	257
+	64	240
+	4	62	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	276
+	306	269
+	307	276
+	4	310	276	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	276
+	291	261
+	291	276
+	4	291	276	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	289	292
+	291	276
+	290	292
+	4	289	292	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	291	276
+	290	292
+	291	276
+	4	291	276	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	334	269
+	326	256
+	331	269
+	4	334	269	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	43
+	167	29
+	148	45
+	4	149	43	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	167	29
+	149	43
+	168	27
+	4	167	29	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	266	201
+	247	160
+	267	200
+	4	266	201	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	250	158
+	267	200
+	247	160
+	4	250	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	291	261
+	287	248
+	289	261
+	4	291	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	289	261
+	291	276
+	291	261
+	4	289	261	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	115	285
+	129	292
+	115	288
+	4	115	285	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	295
+	115	288
+	129	292
+	4	128	295	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	288
+	128	295
+	114	291
+	4	115	288	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	265
+	88	269
+	82	263
+	4	80	265	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	263
+	74	258
+	80	265
+	4	82	263	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	224
+	266	202
+	274	224
+	4	276	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	201
+	274	224
+	266	202
+	4	266	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	274	224
+	282	249
+	276	224
+	4	274	224	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	101	278
+	115	284
+	102	278
+	4	101	278	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	285
+	102	278
+	115	284
+	4	115	285	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	278
+	94	274
+	101	278
+	4	102	278	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	109
+	81	82
+	70	108
+	4	73	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	82
+	73	109
+	83	83
+	4	81	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	369	205
+	357	194
+	369	202
+	4	369	205	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	356	192
+	369	202
+	357	194
+	4	356	192	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	97	285
+	90	282
+	97	286
+	4	97	285	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	282
+	97	285
+	90	280
+	4	90	282	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	274	200
+	283	222
+	275	199
+	4	274	200	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	283	222
+	274	200
+	282	223
+	4	283	222	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	297
+	114	291
+	128	295
+	4	127	297	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	114	291
+	127	297
+	112	293
+	4	114	291	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	254	158
+	273	197
+	253	157
+	4	254	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	273	197
+	254	158
+	275	198
+	4	273	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	351	200
+	360	207
+	349	198
+	4	351	200	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	360	207
+	351	200
+	362	209
+	4	360	207	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	86	271
+	94	274
+	88	269
+	4	86	271	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	269
+	80	265
+	86	271
+	4	88	269	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	179	151
+	152	156
+	177	154
+	4	179	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	150	156
+	177	154
+	152	156
+	4	150	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	249
+	133	255
+	125	252
+	4	126	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	131	258
+	125	252
+	133	255
+	4	131	258	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	125	252
+	131	258
+	123	254
+	4	125	252	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	64	240
+	52	221
+	62	242
+	4	64	240	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	52	221
+	64	240
+	55	220
+	4	52	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	79	80
+	70	108
+	81	82
+	4	79	80	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	55	219
+	48	197
+	55	220
+	4	55	219	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	48	197
+	55	219
+	48	196
+	4	48	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	165	22
+	143	37
+	163	21
+	4	165	22	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	38
+	163	21
+	143	37
+	4	141	38	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	78	267
+	69	261
+	76	269
+	4	78	267	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	69	261
+	78	267
+	71	260
+	4	69	261	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	260
+	57	244
+	69	261
+	4	71	260	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	271
+	109	268
+	119	273
+	4	119	271	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	268
+	119	271
+	109	266
+	4	109	268	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	249
+	276	224
+	282	249
+	4	285	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	249
+	286	262
+	285	249
+	4	282	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	262
+	282	249
+	283	262
+	4	286	262	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	278
+	305	284
+	304	277
+	4	302	278	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	284
+	302	278
+	303	285
+	4	305	284	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	155	150
+	177	146
+	153	148
+	4	155	150	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	177	146
+	155	150
+	179	148
+	4	177	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	292
+	280	307
+	283	292
+	4	286	292	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	280	307
+	286	292
+	283	308
+	4	280	307	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	289	292
+	283	308
+	286	292
+	4	289	292	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	115	284
+	129	289
+	115	285
+	4	115	284	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	129	292
+	115	285
+	129	289
+	4	129	292	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	224
+	287	248
+	282	223
+	4	279	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	248
+	279	224
+	285	249
+	4	287	248	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	285	249
+	289	261
+	287	248
+	4	285	249	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	84	273
+	76	269
+	83	275
+	4	84	273	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	76	269
+	84	273
+	78	267
+	4	76	269	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	126	268
+	136	274
+	125	271
+	4	126	268	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	135	277
+	125	271
+	136	274
+	4	135	277	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	125	271
+	135	277
+	124	274
+	4	125	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	246
+	133	252
+	126	249
+	4	125	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	133	255
+	126	249
+	133	252
+	4	133	255	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	238	158
+	211	128
+	240	156
+	4	238	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	213	127
+	240	156
+	211	128
+	4	213	127	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	240	156
+	213	127
+	243	154
+	4	240	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	259
+	123	254
+	131	258
+	4	128	259	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	123	254
+	128	259
+	120	255
+	4	123	254	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	266
+	121	268
+	111	263
+	4	109	266	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	123	266
+	111	263
+	121	268
+	4	123	266	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	312	287
+	311	277
+	312	285
+	4	312	287	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	276
+	312	285
+	311	277
+	4	310	276	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	289
+	305	296
+	305	288
+	4	308	289	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	296
+	308	289
+	308	297
+	4	305	296	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	310	288
+	308	297
+	308	289
+	4	310	288	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	276
+	101	278
+	94	274
+	4	93	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	274
+	86	271
+	93	276
+	4	94	274	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	369	202
+	356	192
+	367	200
+	4	369	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	353	191
+	367	200
+	356	192
+	4	353	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	283	292
+	279	305
+	281	291
+	4	283	292	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	279	305
+	283	292
+	280	307
+	4	279	305	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	292
+	97	286
+	111	293
+	4	111	292	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	97	286
+	111	292
+	97	285
+	4	97	286	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	152	156
+	179	151
+	154	154
+	4	152	156	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	179	148
+	154	154
+	179	151
+	4	179	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	71	260
+	80	265
+	74	258
+	4	71	260	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	258
+	59	243
+	71	260
+	4	74	258	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	243
+	74	258
+	62	242
+	4	59	243	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	91	278
+	83	275
+	90	280
+	4	91	278	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	83	275
+	91	278
+	84	273
+	4	83	275	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	349	198
+	360	204
+	349	195
+	4	349	198	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	360	204
+	349	198
+	360	207
+	4	360	204	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	57	244
+	71	260
+	59	243
+	4	57	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	46	223
+	57	244
+	47	223
+	4	46	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	59	243
+	47	223
+	57	244
+	4	59	243	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	305	288
+	303	295
+	303	287
+	4	305	288	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	295
+	305	288
+	305	296
+	4	303	295	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	133	279
+	124	274
+	135	277
+	4	133	279	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	124	274
+	133	279
+	122	275
+	4	124	274	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	121	268
+	109	266
+	119	271
+	4	121	268	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	154	154
+	179	148
+	155	150
+	4	154	154	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	262
+	287	275
+	286	262
+	4	283	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	275
+	283	262
+	284	275
+	4	287	275	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	224
+	285	249
+	279	224
+	4	276	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	261
+	285	249
+	286	262
+	4	289	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	266	202
+	246	162
+	266	201
+	4	266	202	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	247	160
+	266	201
+	246	162
+	4	247	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	266
+	136	271
+	126	268
+	4	125	266	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	136	274
+	126	268
+	136	271
+	4	136	274	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	45
+	165	30
+	146	45
+	4	148	45	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	30
+	148	45
+	167	29
+	4	165	30	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	276
+	283	289
+	284	275
+	4	282	276	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	283	289
+	282	276
+	281	290
+	4	283	289	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	267
+	86	271
+	80	265
+	4	78	267	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	80	265
+	71	260
+	78	267
+	4	80	265	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	238	160
+	209	131
+	238	158
+	4	238	160	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	211	128
+	238	158
+	209	131
+	4	211	128	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	215	127
+	243	154
+	213	127
+	4	215	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	243	154
+	215	127
+	245	154
+	4	243	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	291	276
+	289	261
+	290	275
+	4	291	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	262
+	290	275
+	289	261
+	4	286	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	308
+	289	292
+	286	308
+	4	283	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	290	292
+	286	308
+	289	292
+	4	290	292	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	308	297
+	310	288
+	311	296
+	4	308	297	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	312	287
+	311	296
+	310	288
+	4	312	287	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	202
+	276	224
+	268	203
+	4	266	202	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	279	224
+	268	203
+	276	224
+	4	279	224	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	86	271
+	78	267
+	84	273
+	4	86	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	44	195
+	44	168
+	47	195
+	4	44	195	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	44	168
+	44	195
+	41	168
+	4	44	168	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	41	196
+	41	168
+	44	195
+	4	41	196	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	297
+	112	293
+	127	297
+	4	125	297	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	112	293
+	125	297
+	111	293
+	4	112	293	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	39	197
+	46	223
+	39	198
+	4	39	197	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	47	223
+	39	198
+	46	223
+	4	47	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	292
+	291	276
+	291	291
+	4	290	292	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	290	275
+	291	291
+	291	276
+	4	290	275	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	84	273
+	93	276
+	86	271
+	4	84	273	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	271	202
+	282	223
+	274	200
+	4	271	202	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	282	223
+	271	202
+	279	224
+	4	282	223	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	367	200
+	353	191
+	364	200
+	4	367	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	351	193
+	364	200
+	353	191
+	4	351	193	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	62	242
+	50	222
+	59	243
+	4	62	242	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	50	222
+	62	242
+	52	221
+	4	50	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	245
+	132	250
+	125	246
+	4	123	245	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	133	252
+	125	246
+	132	250
+	4	133	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	349	195
+	362	201
+	351	193
+	4	349	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	362	201
+	349	195
+	360	204
+	4	362	201	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	98	283
+	90	280
+	97	285
+	4	98	283	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	90	280
+	98	283
+	91	278
+	4	90	280	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	255	159
+	275	198
+	254	158
+	4	255	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	275	198
+	255	159
+	275	199
+	4	275	198	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	284
+	101	278
+	114	284
+	4	115	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	99	280
+	114	284
+	101	278
+	4	99	280	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	278
+	93	276
+	99	280
+	4	101	278	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	275
+	286	262
+	287	275
+	4	290	275	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	304	277
+	308	283
+	307	276
+	4	304	277	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	283
+	304	277
+	305	284
+	4	308	283	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	258
+	120	255
+	128	259
+	4	126	258	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	255
+	126	258
+	118	254
+	4	120	255	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	93	276
+	84	273
+	91	278
+	4	93	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	364	200
+	351	193
+	362	201
+	4	364	200	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	47	223
+	59	243
+	50	222
+	4	47	223	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	168
+	41	196
+	38	168
+	4	41	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	39	197
+	38	168
+	41	196
+	4	39	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	21
+	141	38
+	161	21
+	4	163	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	39
+	161	21
+	141	38
+	4	141	39	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	312	285
+	310	276
+	310	284
+	4	312	285	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	307	276
+	310	284
+	310	276
+	4	307	276	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	203
+	279	224
+	271	202
+	4	268	203	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	287
+	303	293
+	303	285
+	4	303	287	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	293
+	303	287
+	303	295
+	4	303	293	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	47	195
+	45	169
+	48	196
+	4	47	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	45	169
+	47	195
+	44	168
+	4	45	169	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	114	284
+	128	288
+	115	284
+	4	114	284	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	129	289
+	115	284
+	128	288
+	4	129	289	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	220
+	46	197
+	52	221
+	4	55	220	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	197
+	55	220
+	48	197
+	4	46	197	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	291
+	279	304
+	281	290
+	4	281	291	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	304
+	281	291
+	279	305
+	4	279	304	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	91	278
+	99	280
+	93	276
+	4	91	278	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	278
+	122	275
+	133	279
+	4	131	278	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	275
+	131	278
+	120	275
+	4	122	275	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	284
+	307	276
+	308	283
+	4	310	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	123	266
+	135	269
+	125	266
+	4	123	266	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	136	271
+	125	266
+	135	269
+	4	136	271	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	239	161
+	209	134
+	238	160
+	4	239	161	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	209	131
+	238	160
+	209	134
+	4	209	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	85	80
+	101	58
+	87	81
+	4	85	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	58
+	85	80
+	99	56
+	4	101	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	78
+	99	56
+	85	80
+	4	82	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	99	280
+	91	278
+	98	283
+	4	99	280	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	111	289
+	97	285
+	111	292
+	4	111	289	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	97	285
+	111	289
+	98	283
+	4	97	285	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	296
+	312	287
+	313	295
+	4	311	296	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	312	285
+	313	295
+	312	287
+	4	312	285	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	216	128
+	245	154
+	215	127
+	4	216	128	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	245	154
+	216	128
+	246	155
+	4	245	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	45
+	163	29
+	144	44
+	4	146	45	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	29
+	146	45
+	165	30
+	4	163	29	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	275
+	286	289
+	287	275
+	4	284	275	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	286	289
+	284	275
+	283	289
+	4	286	289	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	129	289
+	142	293
+	129	292
+	4	129	289	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	142	296
+	129	292
+	142	293
+	4	142	296	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	129	292
+	142	296
+	128	295
+	4	129	292	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	286	308
+	290	292
+	288	307
+	4	286	308	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	291	291
+	288	307
+	290	292
+	4	291	291	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	203
+	246	163
+	266	202
+	4	268	203	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	246	162
+	266	202
+	246	163
+	4	246	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	56
+	82	78
+	97	54
+	4	99	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	78
+	97	54
+	82	78
+	4	79	78	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	250
+	123	245
+	130	249
+	4	132	250	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	246
+	130	249
+	123	245
+	4	120	246	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	291	291
+	290	275
+	289	290
+	4	291	291	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	287	275
+	289	290
+	290	275
+	4	287	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	98	283
+	112	286
+	99	280
+	4	98	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	284
+	99	280
+	112	286
+	4	114	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	39	198
+	47	223
+	40	198
+	4	39	198	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	50	222
+	40	198
+	47	223
+	4	50	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	255
+	118	254
+	126	258
+	4	125	255	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	254
+	125	255
+	117	252
+	4	118	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	81
+	101	60
+	87	83
+	4	87	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	60
+	87	81
+	101	58
+	4	101	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	141	299
+	128	295
+	142	296
+	4	141	299	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	295
+	141	299
+	127	297
+	4	128	295	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	124	296
+	111	293
+	125	297
+	4	124	296	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	293
+	124	296
+	111	292
+	4	111	293	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	161	21
+	141	39
+	160	23
+	4	161	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	142	42
+	160	23
+	141	39
+	4	142	42	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	168
+	39	197
+	36	169
+	4	38	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	39	198
+	36	169
+	39	197
+	4	39	198	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	112	286
+	98	283
+	111	289
+	4	112	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	269
+	273	255
+	272	269
+	4	269	269	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	276	256
+	272	269
+	273	255
+	4	276	256	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	272	269
+	276	256
+	275	270
+	4	272	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	269
+	266	282
+	269	269
+	4	272	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	282
+	272	269
+	269	283
+	4	266	282	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	275	270
+	269	283
+	272	269
+	4	275	270	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	44
+	288	43
+	270	47
+	4	271	44	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	43
+	271	44
+	290	41
+	4	288	43	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	41
+	290	41
+	271	44
+	4	270	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	290
+	287	275
+	286	289
+	4	289	290	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	41
+	270	41
+	290	38
+	4	290	41	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	39
+	290	38
+	270	41
+	4	269	39	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	184	145
+	155	136
+	184	142
+	4	184	145	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	156	133
+	184	142
+	155	136
+	4	156	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	184	142
+	156	133
+	185	139
+	4	184	142	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	288
+	141	291
+	129	289
+	4	128	288	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	142	293
+	129	289
+	141	291
+	4	142	293	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	253	161
+	275	199
+	255	159
+	4	253	161	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	275	199
+	253	161
+	274	200
+	4	275	199	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	52	221
+	42	198
+	50	222
+	4	52	221	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	198
+	52	221
+	46	197
+	4	42	198	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	267	269
+	270	255
+	269	269
+	4	267	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	255
+	269	269
+	270	255
+	4	273	255	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	269	269
+	264	282
+	267	269
+	4	269	269	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	264	282
+	269	269
+	266	282
+	4	264	282	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	285
+	305	291
+	305	284
+	4	303	285	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	291
+	303	285
+	303	293
+	4	305	291	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	132
+	185	139
+	156	133
+	4	158	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	185	139
+	158	132
+	187	137
+	4	185	139	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	269	283
+	275	270
+	272	284
+	4	269	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	283
+	263	296
+	266	282
+	4	269	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	263	296
+	269	283
+	265	297
+	4	263	296	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	272	284
+	265	297
+	269	283
+	4	272	284	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	196
+	45	170
+	48	197
+	4	48	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	45	170
+	48	196
+	45	169
+	4	45	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	44
+	161	26
+	142	42
+	4	144	44	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	161	26
+	144	44
+	163	29
+	4	161	26	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	270	255
+	273	230
+	273	255
+	4	270	255	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	230
+	273	255
+	273	230
+	4	276	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	255
+	276	230
+	276	256
+	4	273	255	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	266	282
+	261	295
+	264	282
+	4	266	282	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	261	295
+	266	282
+	263	296
+	4	261	295	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	276
+	120	275
+	131	278
+	4	130	276	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	275
+	130	276
+	119	273
+	4	120	275	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	40	198
+	50	222
+	42	198
+	4	40	198	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	186	147
+	155	139
+	184	145
+	4	186	147	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	155	136
+	184	145
+	155	139
+	4	155	136	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	281	290
+	280	304
+	283	289
+	4	281	290	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	280	304
+	281	290
+	279	304
+	4	280	304	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	268	256
+	270	230
+	270	255
+	4	268	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	230
+	270	255
+	270	230
+	4	273	230	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	270	255
+	267	269
+	268	256
+	4	270	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	269
+	123	266
+	133	269
+	4	135	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	268
+	133	269
+	123	266
+	4	121	268	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	128	288
+	114	284
+	127	288
+	4	128	288	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	112	286
+	127	288
+	114	284
+	4	112	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	23
+	142	42
+	161	26
+	4	160	23	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	47
+	286	45
+	267	48
+	4	270	47	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	286	45
+	270	47
+	288	43
+	4	286	45	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	249
+	127	250
+	120	246
+	4	118	249	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	130	249
+	120	246
+	127	250
+	4	130	249	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	38
+	269	39
+	288	35
+	4	290	38	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	38
+	288	35
+	269	39
+	4	266	38	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	313	295
+	312	285
+	313	293
+	4	313	295	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	284
+	313	293
+	312	285
+	4	310	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	126	252
+	117	252
+	125	255
+	4	126	252	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	117	252
+	126	252
+	118	249
+	4	117	252	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	241	161
+	210	135
+	239	161
+	4	241	161	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	134
+	239	161
+	210	135
+	4	209	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	54
+	79	78
+	94	53
+	4	97	54	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	79
+	94	53
+	79	78
+	4	78	79	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	216	131
+	246	155
+	216	128
+	4	216	131	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	246	155
+	216	131
+	245	157
+	4	246	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	278	256
+	275	270
+	276	256
+	4	278	256	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	275	270
+	278	256
+	276	270
+	4	275	270	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	276	270
+	272	284
+	275	270
+	4	276	270	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	246	163
+	268	203
+	248	164
+	4	246	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	202
+	248	164
+	268	203
+	4	271	202	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	28
+	239	23
+	220	30
+	4	220	28	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	23
+	220	28
+	240	20
+	4	239	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	25
+	240	20
+	220	28
+	4	219	25	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	250
+	118	249
+	126	252
+	4	127	250	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	299
+	127	297
+	141	299
+	4	139	299	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	127	297
+	139	299
+	125	297
+	4	127	297	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	288	307
+	291	291
+	288	306
+	4	288	307	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	289	290
+	288	306
+	291	291
+	4	289	290	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	83
+	100	61
+	86	84
+	4	87	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	61
+	87	83
+	101	60
+	4	100	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	132
+	187	137
+	158	132
+	4	161	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	187	137
+	161	132
+	189	137
+	4	187	137	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	272	284
+	276	270
+	274	284
+	4	272	284	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	265	297
+	272	284
+	268	298
+	4	265	297	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	274	284
+	268	298
+	272	284
+	4	274	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	240	20
+	219	25
+	239	17
+	4	240	20	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	23
+	239	17
+	219	25
+	4	217	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	297
+	305	304
+	305	296
+	4	308	297	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	304
+	308	297
+	308	305
+	4	305	304	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	311	296
+	308	305
+	308	297
+	4	311	296	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	277	231
+	276	256
+	276	230
+	4	277	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	256
+	277	231
+	278	256
+	4	276	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	269
+	268	256
+	267	269
+	4	266	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	269
+	264	282
+	266	269
+	4	267	269	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	282
+	267	269
+	264	282
+	4	264	282	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	265	297
+	257	310
+	263	296
+	4	265	297	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	257	310
+	265	297
+	260	311
+	4	257	310	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	268	298
+	260	311
+	265	297
+	4	268	298	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	163
+	274	200
+	253	161
+	4	251	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	274	200
+	251	163
+	271	202
+	4	274	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	284
+	308	291
+	308	283
+	4	305	284	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	291
+	305	284
+	305	291
+	4	308	291	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	124	293
+	111	292
+	124	296
+	4	124	293	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	111	292
+	124	293
+	111	289
+	4	111	292	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	305	296
+	303	302
+	303	295
+	4	305	296	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	302
+	305	296
+	305	304
+	4	303	302	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	288
+	140	289
+	128	288
+	4	127	288	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	141	291
+	128	288
+	140	289
+	4	141	291	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	263	296
+	255	309
+	261	295
+	4	263	296	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	255	309
+	263	296
+	257	310
+	4	255	309	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	188	147
+	157	142
+	186	147
+	4	188	147	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	155	139
+	186	147
+	157	142
+	4	155	139	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	283	308
+	278	314
+	280	307
+	4	283	308	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	314
+	283	308
+	281	316
+	4	278	314	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	286	308
+	281	316
+	283	308
+	4	286	308	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	48
+	283	44
+	265	47
+	4	267	48	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	283	44
+	267	48
+	286	45
+	4	283	44	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	30
+	238	25
+	218	32
+	4	220	30	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	25
+	220	30
+	239	23
+	4	238	25	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	282
+	260	295
+	264	282
+	4	264	282	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	260	295
+	264	282
+	261	295
+	4	260	295	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	288	35
+	266	38
+	285	34
+	4	288	35	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	264	39
+	285	34
+	266	38
+	4	264	39	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	359	157
+	370	165
+	357	159
+	4	359	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	370	165
+	359	157
+	372	163
+	4	370	165	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	360	154
+	372	163
+	359	157
+	4	360	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	36	169
+	39	198
+	35	170
+	4	36	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	40	198
+	35	170
+	39	198
+	4	40	198	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	313	293
+	310	284
+	311	291
+	4	313	293	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	283
+	311	291
+	310	284
+	4	308	283	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	130	273
+	119	273
+	130	276
+	4	130	273	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	273
+	130	273
+	119	271
+	4	119	273	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	268	256
+	268	231
+	268	256
+	4	268	256	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	270	230
+	268	256
+	268	231
+	4	270	230	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	256
+	266	269
+	268	256
+	4	268	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	164
+	271	202
+	251	163
+	4	248	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	271
+	131	271
+	121	268
+	4	119	271	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	133	269
+	121	268
+	131	271
+	4	133	269	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	289
+	125	290
+	112	286
+	4	111	289	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	288
+	112	286
+	125	290
+	4	127	288	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	280	307
+	277	313
+	279	305
+	4	280	307	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	277	313
+	280	307
+	278	314
+	4	277	313	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	357	159
+	367	165
+	354	160
+	4	357	159	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	367	165
+	357	159
+	370	165
+	4	367	165	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	308	305
+	311	296
+	311	304
+	4	308	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	313	295
+	311	304
+	311	296
+	4	313	295	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	372	163
+	360	154
+	373	159
+	4	372	163	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	359	151
+	373	159
+	360	154
+	4	359	151	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	289
+	283	304
+	286	289
+	4	283	289	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	304
+	283	289
+	280	304
+	4	283	304	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	291
+	308	283
+	308	291
+	4	311	291	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	136	271
+	146	276
+	136	274
+	4	136	271	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	145	278
+	136	274
+	146	276
+	4	145	278	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	136	274
+	145	278
+	135	277
+	4	136	274	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	197
+	42	171
+	46	197
+	4	48	197	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	171
+	48	197
+	45	170
+	4	42	171	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	210	135
+	241	161
+	212	135
+	4	210	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	244	159
+	212	135
+	241	161
+	4	244	159	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	17
+	217	23
+	237	15
+	4	239	17	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	23
+	237	15
+	217	23
+	4	214	23	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	214	134
+	245	157
+	216	131
+	4	214	134	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	245	157
+	214	134
+	244	159
+	4	245	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	290
+	111	289
+	124	293
+	4	125	290	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	271
+	119	271
+	130	273
+	4	131	271	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	268	298
+	274	284
+	270	298
+	4	268	298	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	260	311
+	268	298
+	262	312
+	4	260	311	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	298
+	262	312
+	268	298
+	4	270	298	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	135
+	189	137
+	161	132
+	4	163	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	189	137
+	163	135
+	191	139
+	4	189	137	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	288	306
+	289	290
+	286	305
+	4	288	306	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	289
+	286	305
+	289	290
+	4	286	289	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	295
+	303	300
+	303	293
+	4	303	295	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	300
+	303	295
+	303	302
+	4	303	300	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	316
+	286	308
+	284	316
+	4	281	316	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	288	307
+	284	316
+	286	308
+	4	288	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	269
+	146	273
+	136	271
+	4	135	269	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	146	276
+	136	271
+	146	273
+	4	146	276	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	354	160
+	364	164
+	352	158
+	4	354	160	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	364	164
+	354	160
+	367	165
+	4	364	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	53
+	78	79
+	93	54
+	4	94	53	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	79	80
+	93	54
+	78	79
+	4	79	80	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	373	159
+	359	151
+	372	157
+	4	373	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	356	150
+	372	157
+	359	151
+	4	356	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	277	257
+	276	270
+	278	256
+	4	277	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	276	270
+	277	257
+	276	270
+	4	276	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	276	270
+	274	284
+	276	270
+	4	276	270	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	141	291
+	166	291
+	142	293
+	4	141	291	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	294
+	142	293
+	166	291
+	4	166	294	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	142	293
+	166	294
+	142	296
+	4	142	293	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	230
+	270	205
+	273	230
+	4	270	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	205
+	273	230
+	270	205
+	4	273	205	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	273	230
+	273	205
+	276	230
+	4	273	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	143	280
+	135	277
+	145	278
+	4	143	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	277
+	143	280
+	133	279
+	4	135	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	212	135
+	244	159
+	214	134
+	4	212	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	332	277
+	332	291
+	329	277
+	4	332	277	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	332	291
+	332	277
+	335	291
+	4	332	291	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	335	275
+	335	291
+	332	277
+	4	335	275	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	47
+	282	41
+	264	44
+	4	265	47	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	41
+	265	47
+	283	44
+	4	282	41	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	34
+	264	39
+	283	35
+	4	285	34	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	263	41
+	283	35
+	264	39
+	4	263	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	305
+	286	289
+	283	304
+	4	286	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	261	295
+	255	308
+	260	295
+	4	261	295	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	308
+	261	295
+	255	309
+	4	255	308	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	268	231
+	267	206
+	270	230
+	4	268	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	205
+	270	230
+	267	206
+	4	270	205	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	190	145
+	159	142
+	188	147
+	4	190	145	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	142
+	188	147
+	159	142
+	4	157	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	32
+	235	25
+	216	32
+	4	218	32	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	235	25
+	218	32
+	238	25
+	4	235	25	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	84
+	98	60
+	83	83
+	4	86	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	60
+	86	84
+	100	61
+	4	98	60	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	133	252
+	148	260
+	133	255
+	4	133	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	262
+	133	255
+	148	260
+	4	147	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	133	255
+	147	262
+	131	258
+	4	133	255	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	329	277
+	329	289
+	327	275
+	4	329	277	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	329	289
+	329	277
+	332	291
+	4	329	289	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	297
+	125	297
+	139	299
+	4	138	297	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	125	297
+	138	297
+	124	296
+	4	125	297	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	284
+	276	270
+	273	284
+	4	274	284	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	284
+	270	298
+	274	284
+	4	273	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	250
+	149	257
+	133	252
+	4	132	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	260
+	133	252
+	149	257
+	4	148	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	277	231
+	278	256
+	277	231
+	4	277	231	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	278	256
+	277	231
+	277	257
+	4	278	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	305
+	277	311
+	279	304
+	4	279	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	277	311
+	279	305
+	277	313
+	4	277	311	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	41	168
+	45	140
+	44	168
+	4	41	168	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	45	140
+	41	168
+	42	139
+	4	45	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	168
+	42	139
+	41	168
+	4	38	168	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	304
+	313	295
+	312	303
+	4	311	304	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	313	293
+	312	303
+	313	295
+	4	313	293	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	335	291
+	335	275
+	338	290
+	4	335	291	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	273
+	338	290
+	335	275
+	4	336	273	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	140	289
+	165	288
+	141	291
+	4	140	289	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	291
+	141	291
+	165	288
+	4	166	291	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	296
+	142	296
+	166	294
+	4	165	296	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	142	296
+	165	296
+	141	299
+	4	142	296	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	352	158
+	363	161
+	351	155
+	4	352	158	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	363	161
+	352	158
+	364	164
+	4	363	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	269
+	268	256
+	266	269
+	4	268	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	269
+	265	282
+	268	269
+	4	266	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	265	282
+	266	269
+	264	282
+	4	265	282	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	316	71
+	332	74
+	315	74
+	4	316	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	332	74
+	316	71
+	333	71
+	4	332	74	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	315	68
+	333	71
+	316	71
+	4	315	68	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	372	157
+	356	150
+	369	155
+	4	372	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	354	150
+	369	155
+	356	150
+	4	354	150	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	35	170
+	40	198
+	36	171
+	4	35	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	42	198
+	36	171
+	40	198
+	4	42	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	289
+	127	288
+	139	289
+	4	140	289	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	290
+	139	289
+	127	288
+	4	125	290	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	120	308
+	128	312
+	119	310
+	4	120	308	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	315
+	119	310
+	128	312
+	4	127	315	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	119	310
+	127	315
+	118	313
+	4	119	310	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	310
+	112	305
+	120	308
+	4	119	310	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	305
+	119	310
+	111	308
+	4	112	305	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	313
+	111	308
+	119	310
+	4	118	313	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	315	74
+	330	77
+	314	76
+	4	315	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	77
+	315	74
+	332	74
+	4	330	77	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	44
+	282	38
+	263	41
+	4	264	44	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	38
+	264	44
+	282	41
+	4	282	38	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	283	35
+	263	41
+	282	38
+	4	283	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	309
+	136	313
+	128	312
+	4	128	309	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	316
+	128	312
+	136	313
+	4	135	316	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	128	312
+	135	316
+	127	315
+	4	128	312	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	312
+	120	308
+	128	309
+	4	128	312	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	308
+	118	313
+	110	311
+	4	111	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	308
+	103	302
+	112	305
+	4	111	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	302
+	111	308
+	102	304
+	4	103	302	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	311
+	102	304
+	111	308
+	4	110	311	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	237	15
+	214	23
+	235	15
+	4	237	15	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	213	24
+	235	15
+	214	23
+	4	213	24	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	144	263
+	131	258
+	147	262
+	4	144	263	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	258
+	144	263
+	128	259
+	4	131	258	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	163	138
+	191	139
+	163	135
+	4	163	138	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	191	139
+	163	138
+	191	142
+	4	191	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	197
+	39	171
+	42	198
+	4	46	197	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	39	171
+	46	197
+	42	171
+	4	39	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	264	282
+	262	295
+	265	282
+	4	264	282	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	262	295
+	264	282
+	260	295
+	4	262	295	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	260	311
+	254	317
+	257	310
+	4	260	311	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	254	317
+	260	311
+	256	319
+	4	254	317	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	262	312
+	256	319
+	260	311
+	4	262	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	257
+	268	231
+	268	256
+	4	269	257	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	268	231
+	268	256
+	268	231
+	4	268	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	256
+	268	269
+	269	257
+	4	268	256	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	327	275
+	329	286
+	327	273
+	4	327	275	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	329	286
+	327	275
+	329	289
+	4	329	286	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	139
+	38	168
+	39	139
+	4	42	139	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	36	169
+	39	139
+	38	168
+	4	36	169	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	133	269
+	144	271
+	135	269
+	4	133	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	146	273
+	135	269
+	144	271
+	4	146	273	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	274	206
+	276	230
+	273	205
+	4	274	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	276	230
+	274	206
+	277	231
+	4	276	230	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	44	168
+	46	141
+	45	169
+	4	44	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	141
+	44	168
+	45	140
+	4	46	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	257	310
+	252	315
+	255	309
+	4	257	310	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	252	315
+	257	310
+	254	317
+	4	252	315	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	136	310
+	144	313
+	136	313
+	4	136	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	316
+	136	313
+	144	313
+	4	144	316	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	136	313
+	144	316
+	135	316
+	4	136	313	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	136	313
+	128	309
+	136	310
+	4	136	313	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	333	71
+	315	68
+	332	68
+	4	333	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	313	67
+	332	68
+	315	68
+	4	313	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	142
+	190	145
+	162	141
+	4	159	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	191	142
+	162	141
+	190	145
+	4	191	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	317
+	118	313
+	127	315
+	4	126	317	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	313
+	126	317
+	118	316
+	4	118	313	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	316
+	110	311
+	118	313
+	4	118	316	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	293
+	305	298
+	305	291
+	4	303	293	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	298
+	303	293
+	303	300
+	4	305	298	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	304
+	110	311
+	101	307
+	4	102	304	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	102	304
+	95	298
+	103	302
+	4	102	304	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	298
+	102	304
+	93	300
+	4	95	298	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	307
+	93	300
+	102	304
+	4	101	307	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	351	155
+	364	158
+	352	152
+	4	351	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	364	158
+	351	155
+	363	161
+	4	364	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	369	155
+	354	150
+	366	156
+	4	369	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	352	152
+	366	156
+	354	150
+	4	352	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	130	249
+	147	254
+	132	250
+	4	130	249	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	257
+	132	250
+	147	254
+	4	149	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	318
+	127	315
+	135	316
+	4	135	318	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	315
+	135	318
+	126	317
+	4	127	315	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	311
+	118	316
+	109	313
+	4	110	311	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	313
+	101	307
+	110	311
+	4	109	313	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	314	76
+	327	77
+	311	76
+	4	314	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	327	77
+	314	76
+	330	77
+	4	327	77	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	316
+	288	307
+	286	315
+	4	284	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	288	306
+	286	315
+	288	307
+	4	288	306	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	54
+	79	80
+	93	56
+	4	93	54	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	81	82
+	93	56
+	79	80
+	4	81	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	36	171
+	42	198
+	39	171
+	4	36	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	141	280
+	133	279
+	143	280
+	4	141	280	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	133	279
+	141	280
+	131	278
+	4	133	279	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	268	231
+	265	207
+	268	231
+	4	268	231	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	267	206
+	268	231
+	265	207
+	4	267	206	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	120	306
+	128	309
+	120	308
+	4	120	306	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	120	308
+	112	304
+	120	306
+	4	120	308	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	112	304
+	120	308
+	112	305
+	4	112	304	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	162	141
+	191	142
+	163	138
+	4	162	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	366	156
+	352	152
+	364	158
+	4	366	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	338	290
+	336	273
+	339	288
+	4	338	290	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	336	271
+	339	288
+	336	273
+	4	336	271	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	128	308
+	136	310
+	128	309
+	4	128	308	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	128	309
+	120	306
+	128	308
+	4	128	309	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	298
+	273	284
+	269	298
+	4	270	298	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	262	312
+	270	298
+	264	313
+	4	262	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	298
+	264	313
+	270	298
+	4	269	298	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	216	32
+	233	23
+	214	30
+	4	216	32	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	233	23
+	216	32
+	235	25
+	4	233	23	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	112	305
+	104	301
+	112	304
+	4	112	305	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	104	301
+	112	305
+	103	302
+	4	104	301	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	83
+	95	58
+	81	82
+	4	83	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	58
+	83	83
+	98	60
+	4	95	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	143	319
+	135	316
+	144	316
+	4	143	319	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	316
+	143	319
+	135	318
+	4	135	316	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	143	310
+	151	313
+	144	313
+	4	143	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	152	316
+	144	313
+	151	313
+	4	152	316	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	313
+	152	316
+	144	316
+	4	144	313	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	144	313
+	136	310
+	143	310
+	4	144	313	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	307
+	109	313
+	100	309
+	4	101	307	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	300
+	101	307
+	92	303
+	4	93	300	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	309
+	92	303
+	101	307
+	4	100	309	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	137	295
+	124	296
+	138	297
+	4	137	295	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	124	296
+	137	295
+	124	293
+	4	124	296	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	136	309
+	143	310
+	136	310
+	4	136	309	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	136	310
+	128	308
+	136	309
+	4	136	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	93	300
+	86	292
+	95	298
+	4	93	300	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	86	292
+	93	300
+	84	294
+	4	86	292	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	92	303
+	84	294
+	93	300
+	4	92	303	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	302
+	95	297
+	104	301
+	4	103	302	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	297
+	103	302
+	95	298
+	4	95	297	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	312	303
+	313	293
+	312	300
+	4	312	303	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	291
+	312	300
+	313	293
+	4	311	291	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	275	257
+	276	270
+	277	257
+	4	275	257	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	276	270
+	275	257
+	274	270
+	4	276	270	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	274	270
+	273	284
+	276	270
+	4	274	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	232
+	156	244
+	133	235
+	4	132	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	247
+	133	235
+	156	244
+	4	155	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	235
+	155	247
+	131	238
+	4	133	235	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	256	319
+	262	312
+	259	320
+	4	256	319	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	264	313
+	259	320
+	262	312
+	4	264	313	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	153	248
+	131	238
+	155	247
+	4	153	248	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	238
+	153	248
+	129	239
+	4	131	238	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	332	68
+	313	67
+	330	67
+	4	332	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	67
+	330	67
+	313	67
+	4	310	67	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	139	289
+	163	287
+	140	289
+	4	139	289	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	165	288
+	140	289
+	163	287
+	4	165	288	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	93	56
+	81	82
+	95	58
+	4	93	56	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	297
+	141	299
+	165	296
+	4	164	297	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	141	299
+	164	297
+	139	299
+	4	141	299	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	15
+	213	24
+	233	17
+	4	235	15	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	27
+	233	17
+	213	24
+	4	213	27	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	260	295
+	256	308
+	262	295
+	4	260	295	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	256	308
+	260	295
+	255	308
+	4	256	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	124	293
+	137	292
+	125	290
+	4	124	293	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	289
+	125	290
+	137	292
+	4	139	289	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	142	262
+	128	259
+	144	263
+	4	142	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	259
+	142	262
+	126	258
+	4	128	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	316
+	276	322
+	278	314
+	4	281	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	322
+	281	316
+	278	323
+	4	276	322	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	316
+	278	323
+	281	316
+	4	284	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	327	273
+	330	284
+	328	271
+	4	327	273	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	284
+	327	273
+	329	286
+	4	330	284	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	151	318
+	144	316
+	152	316
+	4	151	318	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	316
+	151	318
+	143	319
+	4	144	316	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	279	304
+	278	310
+	280	304
+	4	279	304	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	310
+	279	304
+	277	311
+	4	278	310	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	278	314
+	274	320
+	277	313
+	4	278	314	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	274	320
+	278	314
+	276	322
+	4	274	320	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	311	76
+	325	75
+	309	75
+	4	311	76	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	325	75
+	311	76
+	327	77
+	4	325	75	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	273	284
+	274	270
+	271	284
+	4	273	284	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	271	284
+	269	298
+	273	284
+	4	271	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	255	309
+	252	314
+	255	308
+	4	255	309	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	314
+	255	309
+	252	315
+	4	252	314	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	310
+	166	310
+	151	313
+	4	151	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	313
+	151	313
+	166	310
+	4	166	313	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	151	313
+	166	313
+	152	316
+	4	151	313	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	313
+	143	310
+	151	310
+	4	151	313	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	143	309
+	151	310
+	143	310
+	4	143	309	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	143	310
+	136	309
+	143	309
+	4	143	310	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	275	232
+	277	257
+	277	231
+	4	275	232	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	277	257
+	275	232
+	275	257
+	4	277	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	303
+	100	309
+	91	305
+	4	92	303	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	84	294
+	92	303
+	82	297
+	4	84	294	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	305
+	82	297
+	92	303
+	4	91	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	271	270
+	269	257
+	268	269
+	4	271	270	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	269
+	268	283
+	271	270
+	4	268	269	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	283
+	268	269
+	265	282
+	4	268	283	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	291
+	308	298
+	308	291
+	4	305	291	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	298
+	305	291
+	305	298
+	4	308	298	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	30
+	232	20
+	213	27
+	4	214	30	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	232	20
+	214	30
+	233	23
+	4	232	20	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	137	292
+	124	293
+	137	295
+	4	137	292	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	39	139
+	36	169
+	37	139
+	4	39	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	170
+	37	139
+	36	169
+	4	35	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	298
+	87	292
+	95	297
+	4	95	298	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	87	292
+	95	298
+	86	292
+	4	87	292	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	147	254
+	130	249
+	145	253
+	4	147	254	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	250
+	145	253
+	130	249
+	4	127	250	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	45	169
+	46	142
+	45	170
+	4	45	169	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	46	142
+	45	169
+	46	141
+	4	46	142	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	254	317
+	248	322
+	252	315
+	4	254	317	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	248	322
+	254	317
+	250	324
+	4	248	322	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	256	319
+	250	324
+	254	317
+	4	256	319	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	339	288
+	336	271
+	339	285
+	4	339	288	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	334	269
+	339	285
+	336	271
+	4	334	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	230
+	155	240
+	132	232
+	4	130	230	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	156	244
+	132	232
+	155	240
+	4	156	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	324
+	256	319
+	252	326
+	4	250	324	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	320
+	252	326
+	256	319
+	4	259	320	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	271
+	133	269
+	142	270
+	4	144	271	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	271
+	142	270
+	133	269
+	4	131	271	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	150	248
+	129	239
+	153	248
+	4	150	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	239
+	150	248
+	126	239
+	4	129	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	233	17
+	213	27
+	232	20
+	4	233	17	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	318
+	118	316
+	126	317
+	4	126	318	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	316
+	126	318
+	117	316
+	4	118	316	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	117	316
+	109	313
+	118	316
+	4	117	316	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	265	282
+	265	296
+	268	283
+	4	265	282	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	265	296
+	265	282
+	262	295
+	4	265	296	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	316
+	152	316
+	166	313
+	4	166	316	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	152	316
+	166	316
+	151	318
+	4	152	316	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	84	294
+	70	278
+	86	292
+	4	84	294	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	70	278
+	84	294
+	67	280
+	4	70	278	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	82	297
+	67	280
+	84	294
+	4	82	297	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	319
+	126	317
+	135	318
+	4	135	319	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	317
+	135	319
+	126	318
+	4	126	317	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	231
+	269	257
+	269	232
+	4	268	231	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	257
+	269	232
+	269	257
+	4	272	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	257
+	271	270
+	272	257
+	4	269	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	109	313
+	117	316
+	109	314
+	4	109	313	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	109	314
+	100	309
+	109	313
+	4	109	314	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	274	207
+	277	231
+	274	206
+	4	274	207	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	277	231
+	274	207
+	277	231
+	4	277	231	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	312	300
+	311	291
+	311	299
+	4	312	300	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	291
+	311	299
+	311	291
+	4	308	291	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	330	67
+	310	67
+	327	67
+	4	330	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	69
+	327	67
+	310	67
+	4	308	69	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	278
+	131	278
+	141	280
+	4	140	278	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	131	278
+	140	278
+	130	276
+	4	131	278	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	323
+	284	316
+	281	324
+	4	278	323	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	286	315
+	281	324
+	284	316
+	4	286	315	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	150	309
+	165	308
+	151	310
+	4	150	309	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	310
+	151	310
+	165	308
+	4	166	310	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	151	310
+	143	309
+	150	309
+	4	151	310	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	328	271
+	333	283
+	331	269
+	4	328	271	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	333	283
+	328	271
+	330	284
+	4	333	283	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	315
+	288	306
+	286	314
+	4	286	315	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	286	305
+	286	314
+	288	306
+	4	286	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	307
+	128	308
+	120	306
+	4	120	307	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	120	306
+	112	305
+	120	307
+	4	120	306	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	112	305
+	120	306
+	112	304
+	4	112	305	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	309	75
+	324	72
+	308	72
+	4	309	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	324	72
+	309	75
+	325	75
+	4	324	72	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	299
+	308	291
+	308	298
+	4	311	299	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	143	319
+	135	318
+	143	319
+	4	143	319	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	135	318
+	143	319
+	135	319
+	4	135	318	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	277	313
+	274	318
+	277	311
+	4	277	313	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	318
+	277	313
+	274	320
+	4	274	318	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	309
+	136	309
+	128	308
+	4	127	309	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	128	308
+	120	307
+	127	309
+	4	128	308	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	100	309
+	109	314
+	100	310
+	4	100	309	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	310
+	91	305
+	100	309
+	4	100	310	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	304
+	104	302
+	112	305
+	4	112	304	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	104	302
+	112	304
+	104	301
+	4	104	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	272	257
+	274	270
+	275	257
+	4	272	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	270
+	272	257
+	271	270
+	4	274	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	271	270
+	271	284
+	274	270
+	4	271	270	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	305
+	304	311
+	305	304
+	4	308	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	311
+	308	305
+	307	313
+	4	304	311	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	311	304
+	307	313
+	308	305
+	4	311	304	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	232
+	265	209
+	268	231
+	4	269	232	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	265	207
+	268	231
+	265	209
+	4	265	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	297
+	91	305
+	81	299
+	4	82	297	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	67	280
+	82	297
+	65	282
+	4	67	280	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	299
+	65	282
+	82	297
+	4	81	299	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	305	304
+	302	309
+	303	302
+	4	305	304	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	302	309
+	305	304
+	304	311
+	4	302	309	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	339	285
+	334	269
+	336	283
+	4	339	285	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	331	269
+	336	283
+	334	269
+	4	331	269	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	260
+	126	258
+	142	262
+	4	141	260	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	258
+	141	260
+	125	255
+	4	126	258	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	269	298
+	271	284
+	267	297
+	4	269	298	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	313
+	269	298
+	264	312
+	4	264	313	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	267	297
+	264	312
+	269	298
+	4	267	297	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	86	292
+	71	278
+	87	292
+	4	86	292	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	71	278
+	86	292
+	70	278
+	4	71	278	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	271	284
+	271	270
+	268	283
+	4	271	284	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	135	310
+	143	309
+	136	309
+	4	135	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	136	309
+	127	309
+	135	310
+	4	136	309	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	327	67
+	308	69
+	325	69
+	4	327	67	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	308	72
+	325	69
+	308	69
+	4	308	72	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	283
+	331	269
+	333	283
+	4	336	283	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	283
+	267	297
+	271	284
+	4	268	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	104	301
+	95	297
+	104	302
+	4	104	301	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	297
+	104	301
+	95	297
+	4	95	297	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	155	240
+	130	230
+	153	238
+	4	155	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	230
+	153	238
+	130	230
+	4	127	230	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	325	69
+	308	72
+	324	72
+	4	325	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	232
+	275	257
+	275	232
+	4	272	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	257
+	272	232
+	272	257
+	4	275	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	315
+	248	321
+	252	314
+	4	252	315	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	321
+	252	315
+	248	322
+	4	248	321	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	148	246
+	126	239
+	150	248
+	4	148	246	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	239
+	148	246
+	124	238
+	4	126	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	319
+	143	319
+	151	318
+	4	151	319	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	143	319
+	151	319
+	143	319
+	4	143	319	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	280	304
+	281	311
+	283	304
+	4	280	304	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	311
+	280	304
+	278	310
+	4	281	311	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	353	247
+	356	259
+	350	247
+	4	353	247	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	356	259
+	353	247
+	359	259
+	4	356	259	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	356	245
+	359	259
+	353	247
+	4	356	245	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	267	297
+	268	283
+	265	296
+	4	267	297	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	320
+	264	313
+	260	320
+	4	259	320	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	252	326
+	259	320
+	255	327
+	4	252	326	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	260	320
+	255	327
+	259	320
+	4	260	320	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	252
+	143	254
+	127	250
+	4	126	252	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	253
+	127	250
+	143	254
+	4	145	253	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	312
+	260	320
+	264	313
+	4	264	312	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	269	232
+	272	257
+	272	232
+	4	269	232	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	163	287
+	139	289
+	162	287
+	4	163	287	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	137	292
+	162	287
+	139	289
+	4	137	292	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	262	295
+	259	309
+	265	296
+	4	262	295	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	309
+	262	295
+	256	308
+	4	259	309	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	162	295
+	139	299
+	164	297
+	4	162	295	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	139	299
+	162	295
+	138	297
+	4	139	299	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	350	247
+	353	258
+	348	246
+	4	350	247	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	353	258
+	350	247
+	356	259
+	4	353	258	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	305
+	100	310
+	91	306
+	4	91	305	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	306
+	81	299
+	91	305
+	4	91	306	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	234	307
+	250	284
+	236	308
+	4	234	307	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	253	285
+	236	308
+	250	284
+	4	253	285	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	308
+	253	285
+	239	310
+	4	236	308	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	236	308
+	225	318
+	234	307
+	4	236	308	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	318
+	236	308
+	227	320
+	4	225	318	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	310
+	227	320
+	236	308
+	4	239	310	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	196	137
+	166	121
+	197	134
+	4	196	137	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	119
+	197	134
+	166	121
+	4	168	119	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	134
+	168	119
+	199	132
+	4	197	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	142	310
+	150	309
+	143	309
+	4	142	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	143	309
+	135	310
+	142	310
+	4	143	309	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	307	313
+	311	304
+	310	312
+	4	307	313	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	312	303
+	310	312
+	311	304
+	4	312	303	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	130	273
+	140	272
+	131	271
+	4	130	273	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	270
+	131	271
+	140	272
+	4	142	270	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	308
+	179	306
+	166	310
+	4	165	308	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	180	309
+	166	310
+	179	306
+	4	180	309	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	310
+	180	309
+	166	313
+	4	166	310	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	255	287
+	239	310
+	253	285
+	4	255	287	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	239	310
+	255	287
+	241	311
+	4	239	310	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	227	320
+	239	310
+	229	322
+	4	227	320	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	241	311
+	229	322
+	239	310
+	4	241	311	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	265	207
+	256	163
+	267	206
+	4	265	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	259	162
+	267	206
+	256	163
+	4	259	162	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	267	206
+	259	162
+	270	205
+	4	267	206	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	261	162
+	270	205
+	259	162
+	4	261	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	205
+	261	162
+	273	205
+	4	270	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	359	259
+	356	245
+	362	257
+	4	359	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	356	242
+	362	257
+	356	245
+	4	356	242	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	255	308
+	253	315
+	256	308
+	4	255	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	315
+	255	308
+	252	314
+	4	253	315	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	297
+	87	292
+	95	297
+	4	95	297	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	292
+	95	297
+	87	292
+	4	87	292	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	283
+	259	259
+	250	284
+	4	248	283	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	262	260
+	250	284
+	259	259
+	4	262	260	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	284
+	262	260
+	253	285
+	4	250	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	284
+	234	307
+	248	283
+	4	250	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	302
+	302	307
+	303	300
+	4	303	302	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	302	307
+	303	302
+	302	309
+	4	302	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	275
+	130	276
+	140	278
+	4	140	275	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	130	276
+	140	275
+	130	273
+	4	130	276	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	165	316
+	151	318
+	166	316
+	4	165	316	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	151	318
+	165	316
+	151	319
+	4	151	318	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	286	314
+	286	305
+	284	312
+	4	286	314	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	283	304
+	284	312
+	286	305
+	4	283	304	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	256
+	125	255
+	141	260
+	4	141	256	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	125	255
+	141	256
+	126	252
+	4	125	255	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	140
+	165	124
+	196	137
+	4	197	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	121
+	196	137
+	165	124
+	4	166	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	264	261
+	253	285
+	262	260
+	4	264	261	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	285
+	264	261
+	255	287
+	4	253	285	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	37	139
+	35	170
+	36	140
+	4	37	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	36	171
+	36	140
+	35	170
+	4	36	171	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	348	246
+	352	255
+	347	244
+	4	348	246	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	352	255
+	348	246
+	353	258
+	4	352	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	143	254
+	126	252
+	141	256
+	4	143	254	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	215
+	149	230
+	134	218
+	4	134	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	146	232
+	134	218
+	149	230
+	4	146	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	134	218
+	146	232
+	132	220
+	4	134	218	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	247	160
+	225	124
+	250	158
+	4	247	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	123
+	250	158
+	225	124
+	4	227	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	158
+	227	123
+	253	157
+	4	250	158	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	250	324
+	243	328
+	248	322
+	4	250	324	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	243	328
+	250	324
+	245	330
+	4	243	328	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	326
+	245	330
+	250	324
+	4	252	326	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	45	170
+	44	142
+	42	171
+	4	45	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	44	142
+	45	170
+	46	142
+	4	44	142	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	143	233
+	132	220
+	146	232
+	4	143	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	220
+	143	233
+	129	221
+	4	132	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	167	25
+	188	16
+	168	27
+	4	167	25	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	188	16
+	167	25
+	187	13
+	4	188	16	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	22
+	187	13
+	167	25
+	4	165	22	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	119
+	199	132
+	168	119
+	4	170	119	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	132
+	170	119
+	201	131
+	4	199	132	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	311
+	166	313
+	180	309
+	4	180	311	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	313
+	180	311
+	166	316
+	4	166	313	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	312
+	283	304
+	281	311
+	4	284	312	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	324
+	286	315
+	283	323
+	4	281	324	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	286	314
+	283	323
+	286	315
+	4	286	314	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	246	162
+	222	126
+	247	160
+	4	246	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	124
+	247	160
+	222	126
+	4	225	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	245	330
+	252	326
+	247	332
+	4	245	330	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	255	327
+	247	332
+	252	326
+	4	255	327	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	272
+	130	273
+	140	275
+	4	140	272	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	146	273
+	156	276
+	146	276
+	4	146	273	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	156	279
+	146	276
+	156	276
+	4	156	279	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	146	276
+	156	279
+	145	278
+	4	146	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	232
+	151	238
+	127	230
+	4	125	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	153	238
+	127	230
+	151	238
+	4	153	238	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	147	243
+	124	238
+	148	246
+	4	147	243	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	238
+	147	243
+	124	235
+	4	124	238	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	126	317
+	117	316
+	126	318
+	4	126	317	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	117	316
+	126	317
+	118	315
+	4	117	316	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	118	315
+	109	314
+	117	316
+	4	118	315	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	264	312
+	267	297
+	262	311
+	4	264	312	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	265	296
+	262	311
+	267	297
+	4	265	296	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	310
+	164	307
+	150	309
+	4	149	310	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	165	308
+	150	309
+	164	307
+	4	165	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	150	309
+	142	310
+	149	310
+	4	150	309	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	272	209
+	277	231
+	274	207
+	4	272	209	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	277	231
+	272	209
+	275	232
+	4	277	231	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	307
+	177	304
+	165	308
+	4	164	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	306
+	165	308
+	177	304
+	4	179	306	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	311
+	276	317
+	278	310
+	4	277	311	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	317
+	277	311
+	274	318
+	4	276	317	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	134	318
+	126	318
+	135	319
+	4	134	318	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	126	318
+	134	318
+	126	317
+	4	126	318	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	109	314
+	118	315
+	109	312
+	4	109	314	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	109	312
+	100	310
+	109	314
+	4	109	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	320
+	220	323
+	225	318
+	4	227	320	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	220	323
+	227	320
+	221	325
+	4	220	323	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	322
+	221	325
+	227	320
+	4	229	322	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	362	257
+	356	242
+	362	254
+	4	362	257	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	355	240
+	362	254
+	356	242
+	4	355	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	262	311
+	265	296
+	259	309
+	4	262	311	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	271
+	156	273
+	146	273
+	4	144	271	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	276
+	146	273
+	156	273
+	4	156	276	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	133	212
+	149	226
+	134	215
+	4	133	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	149	230
+	134	215
+	149	226
+	4	149	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	81	299
+	91	306
+	81	300
+	4	81	299	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	65	282
+	81	299
+	64	284
+	4	65	282	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	300
+	64	284
+	81	299
+	4	81	300	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	187	13
+	165	22
+	186	11
+	4	187	13	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	21
+	186	11
+	165	22
+	4	163	21	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	141	232
+	129	221
+	143	233
+	4	141	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	221
+	141	232
+	126	220
+	4	129	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	307
+	248	283
+	234	307
+	4	233	307	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	307
+	224	317
+	233	307
+	4	234	307	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	317
+	234	307
+	225	318
+	4	224	317	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	168	27
+	187	19
+	167	29
+	4	168	27	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	187	19
+	168	27
+	188	16
+	4	187	19	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	229	322
+	241	311
+	231	323
+	4	229	322	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	325
+	229	322
+	223	328
+	4	221	325	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	231	323
+	223	328
+	229	322
+	4	231	323	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	292
+	71	279
+	87	292
+	4	87	292	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	279
+	87	292
+	71	278
+	4	71	279	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	309
+	127	309
+	120	307
+	4	119	309	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	307
+	111	307
+	119	309
+	4	120	307	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	307
+	120	307
+	112	305
+	4	111	307	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	265	209
+	269	232
+	266	209
+	4	265	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	232
+	266	209
+	269	232
+	4	272	232	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	142	318
+	135	319
+	143	319
+	4	142	318	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	135	319
+	142	318
+	134	318
+	4	135	319	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	265	209
+	253	164
+	265	207
+	4	265	209	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	256	163
+	265	207
+	253	164
+	4	256	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	311
+	135	310
+	127	309
+	4	127	311	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	309
+	119	309
+	127	311
+	4	127	309	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	100	310
+	109	312
+	100	309
+	4	100	310	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	100	309
+	91	306
+	100	310
+	4	100	309	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	305
+	103	304
+	111	307
+	4	112	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	304
+	112	305
+	104	302
+	4	103	304	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	310	312
+	312	303
+	311	310
+	4	310	312	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	312	300
+	311	310
+	312	303
+	4	312	300	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	262	163
+	273	205
+	261	162
+	4	262	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	273	205
+	262	163
+	274	206
+	4	273	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	347	244
+	353	252
+	347	241
+	4	347	244	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	353	252
+	347	244
+	352	255
+	4	353	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	235
+	148	240
+	125	232
+	4	124	235	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	151	238
+	125	232
+	148	240
+	4	151	238	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	247	283
+	256	259
+	248	283
+	4	247	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	259
+	248	283
+	256	259
+	4	259	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	248	283
+	233	307
+	247	283
+	4	248	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	240
+	124	235
+	147	243
+	4	148	240	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	137	295
+	161	290
+	137	292
+	4	137	295	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	162	287
+	137	292
+	161	290
+	4	162	287	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	256	288
+	241	311
+	255	287
+	4	256	288	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	311
+	256	288
+	242	312
+	4	241	311	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	242	312
+	231	323
+	241	311
+	4	242	312	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	293
+	138	297
+	162	295
+	4	161	293	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	297
+	161	293
+	137	295
+	4	138	297	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	154	280
+	145	278
+	156	279
+	4	154	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	145	278
+	154	280
+	143	280
+	4	145	278	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	124
+	253	157
+	227	123
+	4	229	124	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	253	157
+	229	124
+	254	158
+	4	253	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	252	314
+	249	321
+	253	315
+	4	252	314	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	321
+	252	314
+	248	321
+	4	249	321	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	199	141
+	166	127
+	197	140
+	4	199	141	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	165	124
+	197	140
+	166	127
+	4	165	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	322
+	243	327
+	248	321
+	4	248	322	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	327
+	248	322
+	243	328
+	4	243	327	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	312
+	142	310
+	135	310
+	4	135	312	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	310
+	127	311
+	135	312
+	4	135	310	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	300
+	304	305
+	305	298
+	4	303	300	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	305
+	303	300
+	302	307
+	4	304	305	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	260	320
+	264	312
+	260	319
+	4	260	320	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	255	327
+	260	320
+	256	327
+	4	255	327	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	260	319
+	256	327
+	260	320
+	4	260	319	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	302
+	94	300
+	103	304
+	4	104	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	300
+	104	302
+	95	297
+	4	94	300	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	262
+	255	287
+	264	261
+	4	265	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	287
+	265	262
+	256	288
+	4	255	287	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	276	322
+	271	327
+	274	320
+	4	276	322	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	271	327
+	276	322
+	272	329
+	4	271	327	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	323
+	272	329
+	276	322
+	4	278	323	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	67	280
+	54	260
+	70	278
+	4	67	280	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	54	260
+	67	280
+	52	261
+	4	54	260	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	65	282
+	52	261
+	67	280
+	4	65	282	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	272	329
+	278	323
+	275	331
+	4	272	329	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	324
+	275	331
+	278	323
+	4	281	324	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	99	56
+	118	38
+	101	58
+	4	99	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	118	38
+	99	56
+	117	36
+	4	118	38	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	54
+	117	36
+	99	56
+	4	97	54	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	150	318
+	143	319
+	151	319
+	4	150	318	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	143	319
+	150	318
+	142	318
+	4	143	319	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	325
+	214	328
+	220	323
+	4	221	325	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	328
+	221	325
+	215	330
+	4	214	328	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	328
+	215	330
+	221	325
+	4	223	328	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	149	226
+	133	212
+	148	224
+	4	149	226	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	211
+	148	224
+	133	212
+	4	130	211	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	262	311
+	260	319
+	264	312
+	4	262	311	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	362	254
+	355	240
+	361	251
+	4	362	254	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	353	239
+	361	251
+	355	240
+	4	353	239	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	246	163
+	221	129
+	246	162
+	4	246	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	222	126
+	246	162
+	221	129
+	4	222	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	332
+	255	327
+	250	334
+	4	247	332	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	327
+	250	334
+	255	327
+	4	256	327	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	120
+	201	131
+	170	119
+	4	172	120	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	201	131
+	172	120
+	203	132
+	4	201	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	139	229
+	126	220
+	141	232
+	4	139	229	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	126	220
+	139	229
+	125	218
+	4	126	220	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	317
+	207	311
+	195	320
+	4	193	317	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	209	314
+	195	320
+	207	311
+	4	209	314	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	320
+	209	314
+	196	322
+	4	195	320	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	195	320
+	180	324
+	193	317
+	4	195	320	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	180	324
+	195	320
+	181	326
+	4	180	324	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	196	322
+	181	326
+	195	320
+	4	196	322	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	306
+	100	309
+	91	305
+	4	91	306	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	305
+	81	300
+	91	306
+	4	91	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	161	290
+	137	295
+	161	293
+	4	161	290	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	326
+	196	322
+	182	329
+	4	181	326	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	181	326
+	165	328
+	180	324
+	4	181	326	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	165	328
+	181	326
+	166	331
+	4	165	328	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	329
+	166	331
+	181	326
+	4	182	329	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	225	318
+	219	322
+	224	317
+	4	225	318	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	219	322
+	225	318
+	220	323
+	4	219	322	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	223	328
+	231	323
+	225	329
+	4	223	328	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	215	330
+	223	328
+	217	333
+	4	215	330	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	329
+	217	333
+	223	328
+	4	225	329	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	308
+	256	316
+	259	309
+	4	256	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	316
+	256	308
+	253	315
+	4	256	316	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	142	312
+	149	310
+	142	310
+	4	142	312	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	310
+	135	312
+	142	312
+	4	142	310	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	36	140
+	36	171
+	38	141
+	4	36	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	39	171
+	38	141
+	36	171
+	4	39	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	241
+	355	250
+	350	239
+	4	347	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	355	250
+	347	241
+	353	252
+	4	355	250	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	171
+	40	142
+	39	171
+	4	42	171	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	40	142
+	42	171
+	44	142
+	4	40	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	209
+	275	232
+	272	209
+	4	269	209	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	232
+	269	209
+	272	232
+	4	275	232	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	270
+	154	271
+	144	271
+	4	142	270	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	156	273
+	144	271
+	154	271
+	4	156	273	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	179	312
+	166	316
+	180	311
+	4	179	312	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	166	316
+	179	312
+	165	316
+	4	166	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	58
+	119	40
+	101	60
+	4	101	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	40
+	101	58
+	118	38
+	4	119	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	283	323
+	286	314
+	283	321
+	4	283	323	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	284	312
+	283	321
+	286	314
+	4	284	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	209
+	272	232
+	269	209
+	4	266	209	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	210	316
+	196	322
+	209	314
+	4	210	316	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	196	322
+	210	316
+	197	325
+	4	196	322	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	197	325
+	182	329
+	196	322
+	4	197	325	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	297
+	86	294
+	94	300
+	4	95	297	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	294
+	95	297
+	87	292
+	4	86	294	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	186	11
+	163	21
+	183	9
+	4	186	11	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	161	21
+	183	9
+	163	21
+	4	161	21	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	70	278
+	56	260
+	71	278
+	4	70	278	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	56	260
+	70	278
+	54	260
+	4	56	260	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	164	315
+	151	319
+	165	316
+	4	164	315	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	151	319
+	164	315
+	150	318
+	4	151	319	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	52	261
+	65	282
+	49	263
+	4	52	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	64	284
+	49	263
+	65	282
+	4	64	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	117	36
+	97	54
+	114	34
+	4	117	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	53
+	114	34
+	97	54
+	4	94	53	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	304
+	191	301
+	179	306
+	4	177	304	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	192	304
+	179	306
+	191	301
+	4	192	304	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	179	306
+	192	304
+	180	309
+	4	179	306	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	361	251
+	353	239
+	358	250
+	4	361	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	350	239
+	358	250
+	353	239
+	4	350	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	182	329
+	197	325
+	183	331
+	4	182	329	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	331
+	182	329
+	166	334
+	4	166	331	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	183	331
+	166	334
+	182	329
+	4	183	331	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	167	29
+	185	19
+	165	30
+	4	167	29	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	185	19
+	167	29
+	187	19
+	4	185	19	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	231	323
+	242	312
+	232	324
+	4	231	323	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	232	324
+	225	329
+	231	323
+	4	232	324	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	310
+	279	318
+	281	311
+	4	278	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	279	318
+	278	310
+	276	317
+	4	279	318	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	358	250
+	350	239
+	355	250
+	4	358	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	310
+	218	302
+	207	311
+	4	205	310	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	220	305
+	207	311
+	218	302
+	4	220	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	207	311
+	220	305
+	209	314
+	4	207	311	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	311
+	193	317
+	205	310
+	4	207	311	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	314
+	118	315
+	126	317
+	4	126	314	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	315
+	126	314
+	118	312
+	4	118	315	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	312
+	109	312
+	118	315
+	4	118	312	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	163	307
+	176	303
+	164	307
+	4	163	307	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	177	304
+	164	307
+	176	303
+	4	177	304	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	307
+	149	310
+	163	307
+	4	164	307	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	127	212
+	145	222
+	130	211
+	4	127	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	148	224
+	130	211
+	145	222
+	4	148	224	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	134	315
+	126	317
+	134	318
+	4	134	315	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	126	317
+	134	315
+	126	314
+	4	126	317	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	312
+	118	312
+	110	310
+	4	109	312	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	310
+	100	309
+	109	312
+	4	110	310	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	320
+	271	325
+	274	318
+	4	274	320	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	325
+	274	320
+	271	327
+	4	271	325	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	226
+	125	218
+	139	229
+	4	140	226	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	218
+	140	226
+	125	215
+	4	125	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	311	310
+	312	300
+	311	308
+	4	311	310	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	299
+	311	308
+	312	300
+	4	311	299	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	256	259
+	266	212
+	259	259
+	4	256	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	212
+	259	259
+	266	212
+	4	269	212	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	259
+	269	212
+	262	260
+	4	259	259	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	331
+	281	324
+	278	331
+	4	275	331	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	323
+	278	331
+	281	324
+	4	283	323	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	38	141
+	39	171
+	40	142
+	4	38	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	323
+	213	327
+	219	322
+	4	220	323	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	327
+	220	323
+	214	328
+	4	213	327	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	312
+	127	311
+	119	309
+	4	118	312	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	309
+	110	310
+	118	312
+	4	119	309	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	310
+	119	309
+	111	307
+	4	110	310	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	316
+	205	310
+	193	317
+	4	193	316	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	317
+	180	323
+	193	316
+	4	193	317	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	323
+	193	317
+	180	324
+	4	180	323	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	312
+	163	307
+	149	310
+	4	149	312	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	310
+	142	312
+	149	312
+	4	149	310	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	245	330
+	238	334
+	243	328
+	4	245	330	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	238	334
+	245	330
+	240	337
+	4	238	334	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	332
+	240	337
+	245	330
+	4	247	332	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	215	330
+	207	333
+	214	328
+	4	215	330	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	207	333
+	215	330
+	208	335
+	4	207	333	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	333
+	208	335
+	215	330
+	4	217	333	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	126	314
+	135	312
+	127	311
+	4	126	314	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	311
+	118	312
+	126	314
+	4	127	311	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	298
+	307	305
+	308	298
+	4	305	298	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	307	305
+	305	298
+	304	305
+	4	307	305	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	324
+	165	327
+	180	323
+	4	180	324	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	165	327
+	180	324
+	165	328
+	4	165	327	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	152	280
+	143	280
+	154	280
+	4	152	280	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	143	280
+	152	280
+	141	280
+	4	143	280	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	221	307
+	209	314
+	220	305
+	4	221	307	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	209	314
+	221	307
+	210	316
+	4	209	314	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	307
+	101	307
+	110	310
+	4	111	307	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	307
+	111	307
+	103	304
+	4	101	307	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	192	306
+	180	309
+	192	304
+	4	192	306	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	180	309
+	192	306
+	180	311
+	4	180	309	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	271	213
+	262	260
+	269	212
+	4	271	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	262	260
+	271	213
+	264	261
+	4	262	260	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	331
+	157	330
+	165	328
+	4	166	331	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	157	330
+	166	331
+	157	333
+	4	157	330	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	334
+	157	333
+	166	331
+	4	166	334	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	142	315
+	134	318
+	142	318
+	4	142	315	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	134	318
+	142	315
+	134	315
+	4	134	318	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	307
+	247	283
+	233	307
+	4	234	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	233	307
+	225	318
+	234	307
+	4	233	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	225	318
+	233	307
+	224	317
+	4	225	318	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	303
+	189	298
+	177	304
+	4	176	303	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	191	301
+	177	304
+	189	298
+	4	191	301	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	81	300
+	91	305
+	82	299
+	4	81	300	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	64	284
+	81	300
+	64	285
+	4	64	284	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	299
+	64	285
+	81	300
+	4	82	299	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	240	337
+	247	332
+	242	339
+	4	240	337	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	250	334
+	242	339
+	247	332
+	4	250	334	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	260	319
+	262	311
+	258	317
+	4	260	319	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	309
+	258	317
+	262	311
+	4	259	309	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	100	309
+	110	310
+	101	307
+	4	100	309	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	307
+	91	305
+	100	309
+	4	101	307	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	201	140
+	167	129
+	199	141
+	4	201	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	127
+	199	141
+	167	129
+	4	166	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	266	209
+	252	166
+	265	209
+	4	266	209	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	253	164
+	265	209
+	252	166
+	4	253	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	215
+	142	223
+	127	212
+	4	125	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	145	222
+	127	212
+	142	223
+	4	145	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	142	223
+	125	215
+	140	226
+	4	142	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	317
+	259	309
+	256	316
+	4	258	317	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	217	333
+	225	329
+	219	335
+	4	217	333	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	208	335
+	217	333
+	210	338
+	4	208	335	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	219	335
+	210	338
+	217	333
+	4	219	335	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	292
+	70	281
+	86	294
+	4	87	292	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	281
+	87	292
+	71	279
+	4	70	281	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	134	315
+	142	312
+	135	312
+	4	134	315	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	312
+	126	314
+	134	315
+	4	135	312	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	261	164
+	274	206
+	262	163
+	4	261	164	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	274	206
+	261	164
+	274	207
+	4	274	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	42	139
+	51	111
+	45	140
+	4	42	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	51	111
+	42	139
+	48	110
+	4	51	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	39	139
+	48	110
+	42	139
+	4	39	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	126
+	254	158
+	229	124
+	4	229	126	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	254	158
+	229	126
+	255	159
+	4	254	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	304
+	93	302
+	101	307
+	4	103	304	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	93	302
+	103	304
+	94	300
+	4	93	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	284
+	255	260
+	247	283
+	4	247	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	259
+	247	283
+	255	260
+	4	256	259	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	247	283
+	234	307
+	247	284
+	4	247	283	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	283	321
+	284	312
+	282	319
+	4	283	321	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	311
+	282	319
+	284	312
+	4	281	311	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	334
+	183	331
+	167	336
+	4	166	334	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	333
+	166	334
+	157	336
+	4	157	333	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	336
+	157	336
+	166	334
+	4	167	336	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	248	321
+	245	327
+	249	321
+	4	248	321	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	245	327
+	248	321
+	243	327
+	4	245	327	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	173	123
+	203	132
+	172	120
+	4	173	123	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	132
+	173	123
+	204	134
+	4	203	132	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	204	309
+	215	301
+	205	310
+	4	204	309	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	218	302
+	205	310
+	215	301
+	4	218	302	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	310
+	193	316
+	204	309
+	4	205	310	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	315
+	252	322
+	256	316
+	4	253	315	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	252	322
+	253	315
+	249	321
+	4	252	322	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	288
+	242	312
+	256	288
+	4	255	288	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	242	312
+	255	288
+	241	312
+	4	242	312	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	241	312
+	232	324
+	242	312
+	4	241	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	319
+	281	311
+	279	318
+	4	282	319	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	329
+	232	324
+	226	330
+	4	225	329	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	226	330
+	219	335
+	225	329
+	4	226	330	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	315
+	142	318
+	150	318
+	4	149	315	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	142	318
+	149	315
+	142	315
+	4	142	318	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	256	327
+	260	319
+	256	326
+	4	256	327	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	258	317
+	256	326
+	260	319
+	4	258	317	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	308
+	311	299
+	310	306
+	4	311	308	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	298
+	310	306
+	311	299
+	4	308	298	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	202
+	139	216
+	134	203
+	4	136	202	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	136	216
+	134	203
+	139	216
+	4	136	216	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	203
+	136	216
+	130	203
+	4	134	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	306
+	308	298
+	307	305
+	4	310	306	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	248	164
+	221	131
+	246	163
+	4	248	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	129
+	246	163
+	221	131
+	4	221	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	301
+	235	283
+	218	302
+	4	215	301	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	237	284
+	218	302
+	235	283
+	4	237	284	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	302
+	237	284
+	220	305
+	4	218	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	60
+	117	41
+	100	61
+	4	101	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	41
+	101	60
+	119	40
+	4	117	41	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	315
+	149	312
+	142	312
+	4	142	315	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	312
+	134	315
+	142	315
+	4	142	312	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	250	334
+	256	327
+	251	333
+	4	250	334	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	256	326
+	251	333
+	256	327
+	4	256	326	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	255	260
+	263	212
+	256	259
+	4	255	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	212
+	256	259
+	263	212
+	4	266	212	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	263
+	256	288
+	265	262
+	4	264	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	288
+	264	263
+	255	288
+	4	256	288	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	45	140
+	52	113
+	46	141
+	4	45	140	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	113
+	45	140
+	51	111
+	4	52	113	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	305
+	101	307
+	93	302
+	4	91	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	93	302
+	82	299
+	91	305
+	4	93	302	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	199
+	142	215
+	136	202
+	4	137	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	216
+	136	202
+	142	215
+	4	139	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	157	333
+	148	331
+	157	330
+	4	157	333	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	331
+	157	333
+	148	333
+	4	148	331	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	336
+	148	333
+	157	333
+	4	157	336	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	271
+	142	270
+	152	270
+	4	154	271	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	272
+	152	270
+	142	270
+	4	140	272	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	134	214
+	130	203
+	136	216
+	4	134	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	130	203
+	134	214
+	128	201
+	4	130	203	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	165	328
+	157	329
+	165	327
+	4	165	328	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	157	329
+	165	328
+	157	330
+	4	157	329	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	328
+	207	332
+	213	327
+	4	214	328	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	332
+	214	328
+	207	333
+	4	207	332	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	210	317
+	197	325
+	210	316
+	4	210	317	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	197	325
+	210	317
+	197	325
+	4	197	325	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	197	325
+	183	331
+	197	325
+	4	197	325	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	328
+	238	333
+	243	327
+	4	243	328	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	333
+	243	328
+	238	334
+	4	238	333	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	288
+	188	284
+	166	291
+	4	165	288	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	188	287
+	166	291
+	188	284
+	4	188	287	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	291
+	188	287
+	166	294
+	4	166	291	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	114	34
+	94	53
+	112	33
+	4	114	34	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	54
+	112	33
+	94	53
+	4	93	54	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	300
+	84	297
+	93	302
+	4	94	300	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	84	297
+	94	300
+	86	294
+	4	84	297	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	183	331
+	197	325
+	183	332
+	4	183	331	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	183	332
+	167	336
+	183	331
+	4	183	332	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	183	9
+	161	21
+	181	10
+	4	183	9	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	160	23
+	181	10
+	161	21
+	4	160	23	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	224	317
+	220	323
+	225	318
+	4	224	317	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	323
+	224	317
+	219	322
+	4	220	323	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	48	110
+	39	139
+	45	110
+	4	48	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	37	139
+	45	110
+	39	139
+	4	37	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	278
+	56	261
+	71	279
+	4	71	278	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	56	261
+	71	278
+	56	260
+	4	56	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	49	263
+	64	284
+	48	265
+	4	49	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	64	285
+	48	265
+	64	284
+	4	64	285	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	30
+	182	18
+	163	29
+	4	165	30	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	182	18
+	165	30
+	185	19
+	4	182	18	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	239	286
+	220	305
+	237	284
+	4	239	286	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	305
+	239	286
+	221	307
+	4	220	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	313
+	150	318
+	164	315
+	4	163	313	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	150	318
+	163	313
+	149	315
+	4	150	318	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	178	311
+	165	316
+	179	312
+	4	178	311	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	165	316
+	178	311
+	164	315
+	4	165	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	351	113
+	363	119
+	350	115
+	4	351	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	363	119
+	351	113
+	365	116
+	4	363	119	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	351	109
+	365	116
+	351	113
+	4	351	109	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	274	318
+	273	324
+	276	317
+	4	274	318	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	324
+	274	318
+	271	325
+	4	273	324	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	312
+	142	315
+	149	315
+	4	149	312	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	208	335
+	200	337
+	207	333
+	4	208	335	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	200	337
+	208	335
+	201	340
+	4	200	337	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	338
+	201	340
+	208	335
+	4	210	338	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	287
+	186	281
+	165	288
+	4	163	287	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	188	284
+	165	288
+	186	281
+	4	188	284	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	242	339
+	250	334
+	244	340
+	4	242	339	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	251	333
+	244	340
+	250	334
+	4	251	333	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	350	115
+	360	120
+	347	117
+	4	350	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	360	120
+	350	115
+	363	119
+	4	360	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	196
+	144	212
+	137	199
+	4	137	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	142	215
+	137	199
+	144	212
+	4	142	215	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	157	336
+	167	336
+	158	338
+	4	157	336	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	333
+	157	336
+	148	336
+	4	148	333	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	338
+	148	336
+	157	336
+	4	158	338	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	331
+	283	323
+	280	330
+	4	278	331	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	283	321
+	280	330
+	283	323
+	4	283	321	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	272	214
+	264	261
+	271	213
+	4	272	214	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	264	261
+	272	214
+	265	262
+	4	264	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	133	210
+	128	201
+	134	214
+	4	133	210	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	128	201
+	133	210
+	127	198
+	4	128	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	129
+	201	140
+	170	128
+	4	167	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	203	137
+	170	128
+	201	140
+	4	203	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	315
+	163	310
+	149	312
+	4	149	315	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	307
+	149	312
+	163	310
+	4	163	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	221	308
+	210	316
+	221	307
+	4	221	308	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	210	316
+	221	308
+	210	317
+	4	210	316	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	232	324
+	241	312
+	231	324
+	4	232	324	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	324
+	226	330
+	232	324
+	4	231	324	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	299
+	93	302
+	84	297
+	4	82	299	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	300
+	232	281
+	215	301
+	4	214	300	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	235	283
+	215	301
+	232	281
+	4	235	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	301
+	204	309
+	214	300
+	4	215	301	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	191	307
+	180	311
+	192	306
+	4	191	307	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	311
+	191	307
+	179	312
+	4	180	311	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	157	330
+	149	329
+	157	329
+	4	157	330	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	329
+	157	330
+	148	331
+	4	149	329	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	278
+	141	280
+	152	280
+	4	150	278	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	141	280
+	150	278
+	140	278
+	4	141	280	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	126
+	204	134
+	173	123
+	4	172	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	204	134
+	172	126
+	203	137
+	4	204	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	188	289
+	166	294
+	188	287
+	4	188	289	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	294
+	188	289
+	165	296
+	4	166	294	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	219	322
+	214	328
+	220	323
+	4	219	322	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	214	328
+	219	322
+	213	327
+	4	214	328	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	176	303
+	163	307
+	175	303
+	4	176	303	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	310
+	175	303
+	163	307
+	4	163	310	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	256	316
+	254	324
+	258	317
+	4	256	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	254	324
+	256	316
+	252	322
+	4	254	324	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	365	116
+	351	109
+	365	113
+	4	365	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	349	107
+	365	113
+	351	109
+	4	349	107	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	219	335
+	226	330
+	220	335
+	4	219	335	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	210	338
+	219	335
+	212	340
+	4	210	338	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	220	335
+	212	340
+	219	335
+	4	220	335	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	201	340
+	210	338
+	203	342
+	4	201	340	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	212	340
+	203	342
+	210	338
+	4	212	340	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	256	326
+	258	317
+	254	324
+	4	256	326	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	193	317
+	204	309
+	193	316
+	4	193	317	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	193	316
+	180	323
+	193	317
+	4	193	316	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	180	323
+	193	316
+	180	323
+	4	180	323	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	175	303
+	187	297
+	176	303
+	4	175	303	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	298
+	176	303
+	187	297
+	4	189	298	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	323
+	165	328
+	180	323
+	4	180	323	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	165	328
+	180	323
+	165	327
+	4	165	328	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	64	285
+	82	299
+	65	285
+	4	64	285	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	84	297
+	65	285
+	82	299
+	4	84	297	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	117
+	357	120
+	344	116
+	4	347	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	357	120
+	347	117
+	360	120
+	4	357	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	304	311
+	298	323
+	302	309
+	4	304	311	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	298	323
+	304	311
+	299	326
+	4	298	323	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	307	313
+	299	326
+	304	311
+	4	307	313	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	86	294
+	68	283
+	84	297
+	4	86	294	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	68	283
+	86	294
+	70	281
+	4	68	283	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	333
+	139	330
+	148	331
+	4	148	333	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	139	330
+	148	333
+	139	333
+	4	139	330	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	336
+	139	333
+	148	333
+	4	148	336	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	310
+	149	315
+	163	313
+	4	163	310	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	167	336
+	183	332
+	167	337
+	4	167	336	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	167	337
+	158	338
+	167	336
+	4	167	337	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	326
+	307	313
+	302	327
+	4	299	326	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	312
+	302	327
+	307	313
+	4	310	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	170	128
+	203	137
+	172	126
+	4	170	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	144	212
+	137	196
+	143	209
+	4	144	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	134	194
+	143	209
+	137	196
+	4	134	194	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	298
+	202	294
+	191	301
+	4	189	298	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	297
+	191	301
+	202	294
+	4	203	297	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	191	301
+	203	297
+	192	304
+	4	191	301	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	207
+	127	198
+	133	210
+	4	135	207	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	127	198
+	135	207
+	128	196
+	4	127	198	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	252	166
+	266	209
+	253	167
+	4	252	166	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	269	209
+	253	167
+	266	209
+	4	269	209	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	309
+	247	284
+	234	307
+	4	236	309	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	234	307
+	227	320
+	236	309
+	4	234	307	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	227	320
+	234	307
+	225	318
+	4	227	320	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	259	166
+	274	207
+	261	164
+	4	259	166	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	274	207
+	259	166
+	272	209
+	4	274	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	227	129
+	255	159
+	229	126
+	4	227	129	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	255	159
+	227	129
+	253	161
+	4	255	159	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	207	333
+	201	336
+	207	332
+	4	207	333	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	336
+	207	333
+	200	337
+	4	201	336	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	204	310
+	214	300
+	204	309
+	4	204	310	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	204	309
+	193	317
+	204	310
+	4	204	309	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	46	141
+	52	114
+	46	142
+	4	46	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	114
+	46	141
+	52	113
+	4	52	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	249	321
+	247	328
+	252	322
+	4	249	321	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	247	328
+	249	321
+	245	327
+	4	247	328	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	275
+	150	272
+	140	272
+	4	140	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	152	270
+	140	272
+	150	272
+	4	152	270	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	181	10
+	160	23
+	180	12
+	4	181	10	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	26
+	180	12
+	160	23
+	4	161	26	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	260
+	247	284
+	256	261
+	4	255	260	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	285
+	256	261
+	247	284
+	4	250	285	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	284
+	236	309
+	250	285
+	4	247	284	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	365	113
+	349	107
+	363	111
+	4	365	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	347	106
+	363	111
+	349	107
+	4	347	106	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	163	29
+	181	15
+	161	26
+	4	163	29	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	181	15
+	163	29
+	182	18
+	4	181	15	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	253	287
+	241	312
+	255	288
+	4	253	287	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	312
+	253	287
+	239	311
+	4	241	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	239	311
+	231	324
+	241	312
+	4	239	311	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	131
+	248	164
+	222	132
+	4	221	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	251	163
+	222	132
+	248	164
+	4	251	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	65	285
+	84	297
+	68	283
+	4	65	285	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	336
+	158	338
+	149	339
+	4	148	336	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	333
+	148	336
+	139	336
+	4	139	333	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	339
+	139	336
+	148	336
+	4	149	339	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	302	309
+	298	321
+	302	307
+	4	302	309	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	298	321
+	302	309
+	298	323
+	4	298	321	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	131	194
+	141	206
+	134	194
+	4	131	194	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	143	209
+	134	194
+	141	206
+	4	143	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	226	330
+	231	324
+	225	329
+	4	226	330	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	225	329
+	220	335
+	226	330
+	4	225	329	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	61
+	115	41
+	98	60
+	4	100	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	115	41
+	100	61
+	117	41
+	4	115	41	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	333
+	256	326
+	251	332
+	4	251	333	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	254	324
+	251	332
+	256	326
+	4	254	324	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	206
+	128	196
+	135	207
+	4	138	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	196
+	138	206
+	131	194
+	4	128	196	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	344	116
+	355	117
+	343	114
+	4	344	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	355	117
+	344	116
+	357	120
+	4	355	117	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	327
+	240	333
+	245	327
+	4	243	327	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	240	333
+	243	327
+	238	333
+	4	240	333	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	256	261
+	262	213
+	255	260
+	4	256	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	263	212
+	255	260
+	262	213
+	4	263	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	297
+	199	292
+	189	298
+	4	187	297	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	202	294
+	189	298
+	199	292
+	4	202	294	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	299
+	192	304
+	203	297
+	4	203	299	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	192	304
+	203	299
+	192	306
+	4	192	304	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	240	337
+	232	340
+	238	334
+	4	240	337	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	232	340
+	240	337
+	234	343
+	4	232	340	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	242	339
+	234	343
+	240	337
+	4	242	339	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	165	327
+	157	329
+	165	328
+	4	165	327	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	157	329
+	165	327
+	157	329
+	4	157	329	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	148	331
+	140	329
+	149	329
+	4	148	331	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	140	329
+	148	331
+	139	330
+	4	140	329	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	45	110
+	37	139
+	43	110
+	4	45	110	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	36	140
+	43	110
+	37	139
+	4	36	140	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	213	327
+	208	332
+	214	328
+	4	213	327	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	208	332
+	213	327
+	207	332
+	4	208	332	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	287
+	221	307
+	239	286
+	4	238	287	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	307
+	238	287
+	221	308
+	4	221	307	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	261	263
+	255	288
+	264	263
+	4	261	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	255	288
+	261	263
+	253	287
+	4	255	288	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	112	33
+	93	54
+	111	34
+	4	112	33	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	93	56
+	111	34
+	93	54
+	4	93	56	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	162	287
+	184	280
+	163	287
+	4	162	287	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	186	281
+	163	287
+	184	280
+	4	186	281	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	141	206
+	131	194
+	138	206
+	4	141	206	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	275
+	140	278
+	150	278
+	4	149	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	278
+	149	275
+	140	275
+	4	140	278	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	327
+	310	312
+	305	327
+	4	302	327	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	310
+	305	327
+	310	312
+	4	311	310	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	272	329
+	267	333
+	271	327
+	4	272	329	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	267	333
+	272	329
+	268	336
+	4	267	333	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	331
+	268	336
+	272	329
+	4	275	331	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	317
+	276	324
+	279	318
+	4	276	317	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	324
+	276	317
+	273	324
+	4	276	324	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	180	12
+	161	26
+	181	15
+	4	180	12	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	234	343
+	242	339
+	236	345
+	4	234	343	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	244	340
+	236	345
+	242	339
+	4	244	340	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	280	330
+	283	321
+	280	328
+	4	280	330	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	282	319
+	280	328
+	283	321
+	4	282	319	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	158	338
+	167	337
+	158	339
+	4	158	338	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	158	339
+	149	339
+	158	338
+	4	158	339	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	209	316
+	197	325
+	210	317
+	4	209	316	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	325
+	209	316
+	197	325
+	4	197	325	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	197	325
+	183	332
+	197	325
+	4	197	325	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	309
+	164	315
+	178	311
+	4	176	309	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	164	315
+	176	309
+	163	313
+	4	164	315	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	336
+	275	331
+	271	338
+	4	268	336	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	331
+	271	338
+	275	331
+	4	278	331	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	318
+	222	325
+	227	320
+	4	225	318	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	222	325
+	225	318
+	220	323
+	4	222	325	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	201	340
+	193	341
+	200	337
+	4	201	340	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	193	341
+	201	340
+	194	343
+	4	193	341	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	342
+	194	343
+	201	340
+	4	203	342	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	150	272
+	140	275
+	149	275
+	4	150	272	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	183	332
+	197	325
+	183	331
+	4	183	332	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	183	331
+	167	337
+	183	332
+	4	183	331	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	261
+	41	237
+	54	260
+	4	52	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	41	237
+	52	261
+	38	238
+	4	41	237	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	49	263
+	38	238
+	52	261
+	4	49	263	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	279
+	55	262
+	70	281
+	4	71	279	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	55	262
+	71	279
+	56	261
+	4	55	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	48	265
+	64	285
+	48	266
+	4	48	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	65	285
+	48	266
+	64	285
+	4	65	285	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	363	111
+	347	106
+	360	110
+	4	363	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	344	108
+	360	110
+	347	106
+	4	344	108	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	212	340
+	220	335
+	213	340
+	4	212	340	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	342
+	212	340
+	204	344
+	4	203	342	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	213	340
+	204	344
+	212	340
+	4	213	340	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	244	340
+	251	333
+	246	340
+	4	244	340	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	332
+	246	340
+	251	333
+	4	251	332	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	368	208
+	373	218
+	365	209
+	4	368	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	373	218
+	368	208
+	376	217
+	4	373	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	369	205
+	376	217
+	368	208
+	4	369	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	313
+	175	306
+	163	310
+	4	163	313	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	303
+	163	310
+	175	306
+	4	175	303	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	186	289
+	165	296
+	188	289
+	4	186	289	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	296
+	186	289
+	164	297
+	4	165	296	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	365	209
+	370	218
+	362	209
+	4	365	209	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	370	218
+	365	209
+	373	218
+	4	370	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	156	273
+	175	272
+	156	276
+	4	156	273	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	175	275
+	156	276
+	175	272
+	4	175	275	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	276
+	175	275
+	156	279
+	4	156	276	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	272	209
+	256	167
+	269	209
+	4	272	209	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	253	167
+	269	209
+	256	167
+	4	253	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	343	114
+	355	114
+	343	111
+	4	343	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	355	114
+	343	114
+	355	117
+	4	355	114	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	256	167
+	272	209
+	259	166
+	4	256	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	271
+	174	269
+	156	273
+	4	154	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	272
+	156	273
+	174	269
+	4	175	272	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	157	329
+	149	330
+	157	329
+	4	157	329	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	330
+	157	329
+	149	329
+	4	149	330	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	139	333
+	130	329
+	139	330
+	4	139	333	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	329
+	139	333
+	129	332
+	4	130	329	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	336
+	129	332
+	139	333
+	4	139	336	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	270	215
+	265	262
+	272	214
+	4	270	215	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	265	262
+	270	215
+	264	263
+	4	265	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	301
+	231	281
+	214	300
+	4	214	301	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	232	281
+	214	300
+	231	281
+	4	232	281	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	214	300
+	204	310
+	214	301
+	4	214	300	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	131
+	253	161
+	227	129
+	4	225	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	253	161
+	225	131
+	251	163
+	4	253	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	311
+	250	285
+	236	309
+	4	239	311	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	309
+	229	322
+	239	311
+	4	236	309	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	322
+	236	309
+	227	320
+	4	229	322	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	343
+	203	342
+	195	346
+	4	194	343	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	204	344
+	195	346
+	203	342
+	4	204	344	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	324
+	239	311
+	229	322
+	4	231	324	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	322
+	225	329
+	231	324
+	4	229	322	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	222	132
+	251	163
+	225	131
+	4	222	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	322
+	250	330
+	254	324
+	4	252	322	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	330
+	252	322
+	247	328
+	4	250	330	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	334
+	233	338
+	238	333
+	4	238	334	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	233	338
+	238	334
+	232	340
+	4	233	338	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	376	217
+	369	205
+	378	214
+	4	376	217	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	369	202
+	378	214
+	369	205
+	4	369	202	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	307
+	210	317
+	221	308
+	4	220	307	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	317
+	220	307
+	209	316
+	4	210	317	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	285
+	239	311
+	253	287
+	4	250	285	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	54	260
+	43	237
+	56	260
+	4	54	260	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	237
+	54	260
+	41	237
+	4	43	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	190	306
+	179	312
+	191	307
+	4	190	306	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	312
+	190	306
+	178	311
+	4	179	312	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	251	332
+	254	324
+	250	330
+	4	251	332	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	360	110
+	344	108
+	357	111
+	4	360	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	111
+	357	111
+	344	108
+	4	343	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	307
+	300	319
+	304	305
+	4	302	307	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	300	319
+	302	307
+	298	321
+	4	300	319	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	220	323
+	216	329
+	222	325
+	4	220	323	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	329
+	220	323
+	214	328
+	4	216	329	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	362	209
+	368	215
+	360	207
+	4	362	209	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	368	215
+	362	209
+	370	218
+	4	368	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	327
+	267	331
+	271	325
+	4	271	327	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	267	331
+	271	327
+	267	333
+	4	267	331	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	357	111
+	343	111
+	355	114
+	4	357	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	335
+	225	329
+	219	334
+	4	220	335	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	219	334
+	213	340
+	220	335
+	4	219	334	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	287
+	258	262
+	250	285
+	4	253	287	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	256	261
+	250	285
+	258	262
+	4	256	261	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	306
+	163	313
+	176	309
+	4	175	306	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	187	297
+	175	303
+	186	298
+	4	187	297	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	175	306
+	186	298
+	175	303
+	4	175	306	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	194	320
+	204	310
+	193	317
+	4	194	320	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	317
+	181	326
+	194	320
+	4	193	317	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	326
+	193	317
+	180	323
+	4	181	326	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	38	238
+	49	263
+	36	239
+	4	38	238	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	265
+	36	239
+	49	263
+	4	48	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	262
+	253	287
+	261	263
+	4	258	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	200	337
+	193	339
+	201	336
+	4	200	337	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	339
+	200	337
+	193	341
+	4	193	339	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	318
+	278	326
+	282	319
+	4	279	318	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	326
+	279	318
+	276	324
+	4	278	326	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	180	323
+	166	330
+	181	326
+	4	180	323	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	330
+	180	323
+	165	328
+	4	166	330	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	280	328
+	282	319
+	278	326
+	4	280	328	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	139	336
+	149	339
+	139	339
+	4	139	336	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	332
+	139	336
+	129	335
+	4	129	332	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	139	339
+	129	335
+	139	336
+	4	139	339	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	332
+	202	336
+	208	332
+	4	207	332	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	336
+	207	332
+	201	336
+	4	202	336	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	139	330
+	131	328
+	140	329
+	4	139	330	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	131	328
+	139	330
+	130	329
+	4	131	328	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	271	338
+	278	331
+	273	339
+	4	271	338	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	280	330
+	273	339
+	278	331
+	4	280	330	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	327
+	311	310
+	307	325
+	4	305	327	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	311	308
+	307	325
+	311	310
+	4	311	308	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	167	337
+	183	331
+	167	336
+	4	167	337	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	167	336
+	158	339
+	167	337
+	4	167	336	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	98	60
+	113	39
+	95	58
+	4	98	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	39
+	98	60
+	115	41
+	4	113	39	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	339
+	158	339
+	149	339
+	4	149	339	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	339
+	139	339
+	149	339
+	4	149	339	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	277
+	156	279
+	175	275
+	4	173	277	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	279
+	173	277
+	154	280
+	4	156	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	186
+	133	199
+	137	187
+	4	140	186	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	197
+	137	187
+	133	199
+	4	130	197	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	137	187
+	130	197
+	134	186
+	4	137	187	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	378	214
+	369	202
+	377	211
+	4	378	214	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	367	200
+	377	211
+	369	202
+	4	367	200	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	129	195
+	134	186
+	130	197
+	4	129	195	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	134	186
+	129	195
+	132	183
+	4	134	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	345
+	244	340
+	238	346
+	4	236	345	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	246	340
+	238	346
+	244	340
+	4	246	340	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	34
+	93	56
+	111	36
+	4	111	34	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	58
+	111	36
+	93	56
+	4	95	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	232	281
+	247	261
+	235	283
+	4	232	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	263
+	235	283
+	247	261
+	4	250	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	235	283
+	250	263
+	237	284
+	4	235	283	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	46	142
+	49	114
+	44	142
+	4	46	142	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	49	114
+	46	142
+	52	114
+	4	49	114	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	298
+	198	291
+	187	297
+	4	186	298	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	292
+	187	297
+	198	291
+	4	199	292	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	203	300
+	192	306
+	203	299
+	4	203	300	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	192	306
+	203	300
+	191	307
+	4	192	306	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	360	207
+	367	212
+	360	204
+	4	360	207	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	367	212
+	360	207
+	368	215
+	4	367	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	205	312
+	214	301
+	204	310
+	4	205	312	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	204	310
+	194	320
+	205	312
+	4	204	310	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	152	270
+	172	267
+	154	271
+	4	152	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	269
+	154	271
+	172	267
+	4	174	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	227	320
+	224	327
+	229	322
+	4	227	320	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	327
+	227	320
+	222	325
+	4	224	327	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	329
+	140	330
+	149	330
+	4	149	329	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	330
+	149	329
+	140	329
+	4	140	330	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	329
+	229	322
+	224	327
+	4	225	329	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	327
+	219	334
+	225	329
+	4	224	327	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	142	184
+	136	199
+	140	186
+	4	142	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	199
+	140	186
+	136	199
+	4	133	199	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	245	327
+	242	334
+	247	328
+	4	245	327	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	242	334
+	245	327
+	240	333
+	4	242	334	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	191
+	132	183
+	129	195
+	4	130	191	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	132	183
+	130	191
+	132	180
+	4	132	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	184	280
+	162	287
+	182	280
+	4	184	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	161	290
+	182	280
+	162	287
+	4	161	290	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	43	110
+	36	140
+	42	111
+	4	43	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	38	141
+	42	111
+	36	140
+	4	38	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	262	213
+	256	261
+	262	214
+	4	262	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	258	262
+	262	214
+	256	261
+	4	258	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	36
+	95	58
+	113	39
+	4	111	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	264
+	237	284
+	250	263
+	4	252	264	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	237	284
+	252	264
+	239	286
+	4	237	284	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	214	328
+	210	334
+	216	329
+	4	214	328	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	210	334
+	214	328
+	208	332
+	4	210	334	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	70	281
+	52	264
+	68	283
+	4	70	281	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	52	264
+	70	281
+	55	262
+	4	52	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	287
+	221	308
+	238	287
+	4	237	287	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	308
+	237	287
+	220	307
+	4	221	308	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	165	328
+	158	331
+	166	330
+	4	165	328	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	331
+	165	328
+	157	329
+	4	158	331	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	48	266
+	65	285
+	50	266
+	4	48	266	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	68	283
+	50	266
+	65	285
+	4	68	283	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	314
+	197	325
+	209	316
+	4	207	314	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	325
+	207	314
+	195	322
+	4	197	325	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	195	322
+	183	331
+	197	325
+	4	195	322	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	377	211
+	367	200
+	375	209
+	4	377	211	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	364	200
+	375	209
+	367	200
+	4	364	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	209	131
+	178	108
+	211	128
+	4	209	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	180	107
+	211	128
+	178	108
+	4	180	107	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	128
+	180	107
+	213	127
+	4	211	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	305
+	303	319
+	307	305
+	4	304	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	319
+	304	305
+	300	319
+	4	303	319	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	183	331
+	195	322
+	182	329
+	4	183	331	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	329
+	167	336
+	183	331
+	4	182	329	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	340
+	251	332
+	246	338
+	4	246	340	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	250	330
+	246	338
+	251	332
+	4	250	330	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	204	344
+	213	340
+	206	345
+	4	204	344	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	346
+	204	344
+	196	348
+	4	195	346	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	206	345
+	196	348
+	204	344
+	4	206	345	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	292
+	220	279
+	202	294
+	4	199	292	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	281
+	202	294
+	220	279
+	4	222	281	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	202	294
+	222	281
+	203	297
+	4	202	294	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	134
+	177	111
+	209	131
+	4	209	134	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	178	108
+	209	131
+	177	111
+	4	178	108	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	360	204
+	369	210
+	362	201
+	4	360	204	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	369	210
+	360	204
+	367	212
+	4	369	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	281
+	244	261
+	232	281
+	4	231	281	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	261
+	232	281
+	244	261
+	4	247	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	142	181
+	139	197
+	142	184
+	4	142	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	199
+	142	184
+	139	197
+	4	136	199	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	158	339
+	167	336
+	158	337
+	4	158	339	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	158	337
+	149	339
+	158	339
+	4	158	337	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	194	343
+	185	344
+	193	341
+	4	194	343	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	185	344
+	194	343
+	185	347
+	4	185	344	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	195	346
+	185	347
+	194	343
+	4	195	346	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	332
+	110	324
+	130	329
+	4	129	332	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	110	324
+	129	332
+	109	327
+	4	110	324	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	335
+	109	327
+	129	332
+	4	129	335	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	222	325
+	218	332
+	224	327
+	4	222	325	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	332
+	222	325
+	216	329
+	4	218	332	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	184	288
+	164	297
+	186	289
+	4	184	288	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	164	297
+	184	288
+	162	295
+	4	164	297	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	189
+	132	180
+	130	191
+	4	132	189	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	180
+	132	189
+	134	178
+	4	132	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	271	325
+	269	330
+	273	324
+	4	271	325	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	330
+	271	325
+	267	331
+	4	269	330	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	260
+	44	238
+	56	261
+	4	56	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	44	238
+	56	260
+	43	237
+	4	44	238	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	340
+	219	334
+	213	339
+	4	213	340	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	213	339
+	206	345
+	213	340
+	4	213	339	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	307	325
+	311	308
+	307	323
+	4	307	325	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	306
+	307	323
+	311	308
+	4	310	306	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	333
+	234	338
+	240	333
+	4	238	333	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	234	338
+	238	333
+	233	338
+	4	234	338	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	267	215
+	264	263
+	270	215
+	4	267	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	264	263
+	267	215
+	261	263
+	4	264	263	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	375	209
+	364	200
+	372	208
+	4	375	209	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	362	201
+	372	208
+	364	200
+	4	362	201	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	188	303
+	178	311
+	190	306
+	4	188	303	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	178	311
+	188	303
+	176	309
+	4	178	311	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	372	208
+	362	201
+	369	210
+	4	372	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	322
+	205	312
+	194	320
+	4	195	322	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	320
+	182	329
+	195	322
+	4	194	320	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	329
+	194	320
+	181	326
+	4	182	329	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	50	266
+	68	283
+	52	264
+	4	50	266	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	334
+	224	327
+	218	332
+	4	219	334	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	309
+	187	301
+	175	306
+	4	176	309	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	186	298
+	175	306
+	187	301
+	4	186	298	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	306
+	209	316
+	220	307
+	4	217	306	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	209	316
+	217	306
+	207	314
+	4	209	316	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	326
+	166	333
+	182	329
+	4	181	326	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	333
+	181	326
+	166	330
+	4	166	333	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	329
+	149	332
+	158	331
+	4	157	329	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	332
+	157	329
+	149	330
+	4	149	332	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	291
+	218	277
+	199	292
+	4	198	291	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	279
+	199	292
+	218	277
+	4	220	279	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	281
+	214	301
+	230	282
+	4	231	281	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	215	303
+	230	282
+	214	301
+	4	215	303	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	301
+	205	312
+	215	303
+	4	214	301	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	332
+	213	339
+	219	334
+	4	218	332	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	36	239
+	48	265
+	34	241
+	4	36	239	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	48	266
+	34	241
+	48	265
+	4	48	266	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	185	347
+	195	346
+	186	350
+	4	185	347	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	348
+	186	350
+	195	346
+	4	196	348	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	139	339
+	149	339
+	139	339
+	4	139	339	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	335
+	139	339
+	129	338
+	4	129	335	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	339
+	129	338
+	139	339
+	4	139	339	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	339
+	280	330
+	275	338
+	4	273	339	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	280	328
+	275	338
+	280	330
+	4	280	328	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	197
+	142	181
+	140	193
+	4	139	197	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	178
+	140	193
+	142	181
+	4	140	178	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	201	336
+	194	340
+	202	336
+	4	201	336	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	194	340
+	201	336
+	193	339
+	4	194	340	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	283
+	203	297
+	222	281
+	4	222	283	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	297
+	222	283
+	203	299
+	4	203	297	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	329
+	112	323
+	131	328
+	4	130	329	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	323
+	130	329
+	110	324
+	4	112	323	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	189
+	134	178
+	132	189
+	4	135	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	178
+	135	189
+	137	177
+	4	134	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	277
+	154	280
+	173	277
+	4	171	277	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	280
+	171	277
+	152	280
+	4	154	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	329
+	132	329
+	140	330
+	4	140	329	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	329
+	140	329
+	131	328
+	4	132	329	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	307	305
+	306	320
+	310	306
+	4	307	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	320
+	307	305
+	303	319
+	4	306	320	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	205	312
+	195	322
+	207	314
+	4	205	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	328
+	245	336
+	250	330
+	4	247	328	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	245	336
+	247	328
+	242	334
+	4	245	336	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	109	327
+	129	335
+	108	330
+	4	109	327	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	338
+	108	330
+	129	335
+	4	129	338	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	183	107
+	213	127
+	180	107
+	4	183	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	127
+	183	107
+	215	127
+	4	213	127	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	336
+	182	329
+	166	333
+	4	167	336	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	234	343
+	226	345
+	232	340
+	4	234	343	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	226	345
+	234	343
+	227	348
+	4	226	345	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	236	345
+	227	348
+	234	343
+	4	236	345	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	193	341
+	185	342
+	193	339
+	4	193	341	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	185	342
+	193	341
+	185	344
+	4	185	342	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	307	323
+	310	306
+	306	320
+	4	307	323	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	333
+	158	337
+	167	336
+	4	166	333	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	246	338
+	250	330
+	245	336
+	4	246	338	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	314
+	215	303
+	205	312
+	4	207	314	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	44	142
+	46	114
+	40	142
+	4	44	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	46	114
+	44	142
+	49	114
+	4	46	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	210	135
+	176	114
+	209	134
+	4	210	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	177	111
+	209	134
+	176	114
+	4	177	111	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	177
+	138	190
+	140	178
+	4	137	177	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	140	193
+	140	178
+	138	190
+	4	140	193	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	172	267
+	152	270
+	170	267
+	4	172	267	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	272
+	170	267
+	152	270
+	4	150	272	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	301
+	176	309
+	188	303
+	4	187	301	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	346
+	246	340
+	240	346
+	4	238	346	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	338
+	240	346
+	246	340
+	4	246	338	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	190
+	137	177
+	135	189
+	4	138	190	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	208	332
+	203	338
+	210	334
+	4	208	332	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	338
+	208	332
+	202	336
+	4	203	338	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	147	254
+	165	257
+	149	257
+	4	147	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	260
+	149	257
+	165	257
+	4	165	260	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	257
+	165	260
+	148	260
+	4	149	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	261	263
+	264	215
+	258	262
+	4	261	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	262	214
+	258	262
+	264	215
+	4	262	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	263
+	148	260
+	165	260
+	4	163	263	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	260
+	163	263
+	147	262
+	4	148	260	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	42	111
+	38	141
+	44	112
+	4	42	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	40	142
+	44	112
+	38	141
+	4	40	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	216	329
+	212	337
+	218	332
+	4	216	329	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	212	337
+	216	329
+	210	334
+	4	212	337	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	348
+	236	345
+	229	351
+	4	227	348	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	346
+	229	351
+	236	345
+	4	238	346	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	339
+	158	337
+	149	338
+	4	149	339	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	338
+	139	339
+	149	339
+	4	149	338	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	240	20
+	258	21
+	239	23
+	4	240	20	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	258	21
+	240	20
+	259	18
+	4	258	21	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	17
+	259	18
+	240	20
+	4	239	17	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	161	293
+	181	283
+	161	290
+	4	161	293	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	182	280
+	161	290
+	181	283
+	4	182	280	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	215
+	261	263
+	267	215
+	4	264	215	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	266
+	239	286
+	252	264
+	4	251	266	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	239	286
+	251	266
+	238	287
+	4	239	286	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	291
+	186	298
+	197	292
+	4	198	291	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	301
+	197	292
+	186	298
+	4	187	301	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	215	303
+	207	314
+	217	306
+	4	215	303	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	330
+	158	335
+	166	333
+	4	166	330	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	335
+	166	330
+	158	331
+	4	158	335	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	201	299
+	191	307
+	203	300
+	4	201	299	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	307
+	201	299
+	190	306
+	4	191	307	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	330
+	141	332
+	149	332
+	4	149	330	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	332
+	149	330
+	140	330
+	4	141	332	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	213	339
+	218	332
+	212	337
+	4	213	339	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	182	285
+	162	295
+	184	288
+	4	182	285	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	162	295
+	182	285
+	161	293
+	4	162	295	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	286
+	220	307
+	237	287
+	4	234	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	307
+	234	286
+	217	306
+	4	220	307	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	239	23
+	256	23
+	238	25
+	4	239	23	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	256	23
+	239	23
+	258	21
+	4	256	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	232	340
+	227	343
+	233	338
+	4	232	340	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	227	343
+	232	340
+	226	345
+	4	227	343	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	18
+	239	17
+	258	15
+	4	259	18	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	15
+	258	15
+	239	17
+	4	237	15	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	44	112
+	40	142
+	46	114
+	4	44	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	324
+	272	331
+	276	324
+	4	273	324	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	331
+	273	324
+	269	330
+	4	272	331	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	337
+	166	333
+	158	335
+	4	158	337	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	282
+	243	261
+	231	281
+	4	230	282	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	261
+	231	281
+	243	261
+	4	244	261	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	335
+	149	338
+	158	337
+	4	158	335	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	253
+	163	254
+	147	254
+	4	145	253	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	165	257
+	147	254
+	163	254
+	4	165	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	206	345
+	213	339
+	206	343
+	4	206	345	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	196	348
+	206	345
+	198	349
+	4	196	348	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	206	343
+	198	349
+	206	345
+	4	206	343	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	212	337
+	206	343
+	213	339
+	4	212	337	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	263
+	147	262
+	163	263
+	4	161	263	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	147	262
+	161	263
+	144	263
+	4	147	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	283
+	161	293
+	182	285
+	4	181	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	292
+	216	276
+	198	291
+	4	197	292	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	277
+	198	291
+	216	276
+	4	218	277	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	217	306
+	232	284
+	215	303
+	4	217	306	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	230	282
+	215	303
+	232	284
+	4	230	282	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	332	291
+	328	302
+	329	289
+	4	332	291	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	328	302
+	332	291
+	331	304
+	4	328	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	335	291
+	331	304
+	332	291
+	4	335	291	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	240	333
+	237	339
+	242	334
+	4	240	333	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	237	339
+	240	333
+	234	338
+	4	237	339	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	331
+	150	335
+	158	335
+	4	158	331	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	150	335
+	158	331
+	149	332
+	4	150	335	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	338
+	280	328
+	276	335
+	4	275	338	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	278	326
+	276	335
+	280	328
+	4	278	326	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	350
+	196	348
+	188	352
+	4	186	350	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	198	349
+	188	352
+	196	348
+	4	198	349	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	290	41
+	304	44
+	288	43
+	4	290	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	304	44
+	290	41
+	306	42
+	4	304	44	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	290	38
+	306	42
+	290	41
+	4	290	38	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	331	304
+	335	291
+	334	305
+	4	331	304	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	338	290
+	334	305
+	335	291
+	4	338	290	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	56	261
+	42	240
+	55	262
+	4	56	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	240
+	56	261
+	44	238
+	4	42	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	328
+	113	324
+	132	329
+	4	131	328	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	324
+	131	328
+	112	323
+	4	113	324	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	275
+	152	280
+	171	277
+	4	169	275	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	280
+	169	275
+	150	278
+	4	152	280	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	284
+	203	299
+	222	283
+	4	221	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	299
+	221	284
+	203	300
+	4	203	299	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	42
+	290	38
+	306	38
+	4	306	42	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	35
+	306	38
+	290	38
+	4	288	35	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	184	108
+	215	127
+	183	107
+	4	184	108	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	215	127
+	184	108
+	216	128
+	4	215	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	129	338
+	139	339
+	129	338
+	4	129	338	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	330
+	129	338
+	108	332
+	4	108	330	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	338
+	108	332
+	129	338
+	4	129	338	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	232	284
+	217	306
+	234	286
+	4	232	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	185	347
+	176	346
+	185	344
+	4	185	347	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	176	346
+	185	347
+	176	349
+	4	176	346	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	186	350
+	176	349
+	185	347
+	4	186	350	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	288	43
+	302	45
+	286	45
+	4	288	43	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	45
+	288	43
+	304	44
+	4	302	45	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	334
+	205	341
+	212	337
+	4	210	334	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	205	341
+	210	334
+	203	338
+	4	205	341	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	229	351
+	238	346
+	231	352
+	4	229	351	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	240	346
+	231	352
+	238	346
+	4	240	346	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	329	289
+	328	299
+	329	286
+	4	329	289	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	328	299
+	329	289
+	328	302
+	4	328	299	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	193	339
+	187	343
+	194	340
+	4	193	339	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	187	343
+	193	339
+	185	342
+	4	187	343	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	268	336
+	256	346
+	267	333
+	4	268	336	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	256	346
+	268	336
+	257	349
+	4	256	346	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	338
+	257	349
+	268	336
+	4	271	338	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	275
+	169	269
+	150	272
+	4	149	275	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	267
+	150	272
+	169	269
+	4	170	267	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	338
+	158	335
+	150	335
+	4	149	338	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	34	241
+	48	266
+	34	242
+	4	34	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	50	266
+	34	242
+	48	266
+	4	50	266	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	212	135
+	178	116
+	210	135
+	4	212	135	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	176	114
+	210	135
+	178	116
+	4	176	114	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	336
+	196	342
+	203	338
+	4	202	336	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	342
+	202	336
+	194	340
+	4	196	342	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	139	339
+	149	338
+	140	338
+	4	139	339	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	140	338
+	129	338
+	139	339
+	4	140	338	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	25
+	253	22
+	235	25
+	4	238	25	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	253	22
+	238	25
+	256	23
+	4	253	22	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	240	346
+	246	338
+	240	344
+	4	240	346	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	245	336
+	240	344
+	246	338
+	4	245	336	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	324
+	274	333
+	278	326
+	4	276	324	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	333
+	276	324
+	272	331
+	4	274	333	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	258	15
+	237	15
+	256	13
+	4	258	15	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	15
+	256	13
+	237	15
+	4	235	15	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	330
+	132	331
+	141	332
+	4	140	330	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	331
+	140	330
+	132	329
+	4	132	331	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	334	305
+	338	290
+	337	304
+	4	334	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	339	288
+	337	304
+	338	290
+	4	339	288	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	141	171
+	127	178
+	139	169
+	4	141	171	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	175
+	139	169
+	127	178
+	4	127	175	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	139	169
+	127	175
+	138	166
+	4	139	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	206	343
+	212	337
+	205	341
+	4	206	343	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	257	349
+	271	338
+	260	351
+	4	257	349	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	273	339
+	260	351
+	271	338
+	4	273	339	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	276	335
+	278	326
+	274	333
+	4	276	335	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	335
+	140	338
+	149	338
+	4	150	335	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	144	171
+	129	181
+	141	171
+	4	144	171	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	178
+	141	171
+	129	181
+	4	127	178	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	188	303
+	197	294
+	187	301
+	4	188	303	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	292
+	187	301
+	197	294
+	4	197	292	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	297
+	190	306
+	201	299
+	4	199	297	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	190	306
+	199	297
+	188	303
+	4	190	306	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	349
+	186	350
+	177	352
+	4	176	349	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	188	352
+	177	352
+	186	350
+	4	188	352	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	332
+	141	335
+	150	335
+	4	149	332	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	335
+	149	332
+	141	332
+	4	141	335	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	267	333
+	257	343
+	267	331
+	4	267	333	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	257	343
+	267	333
+	256	346
+	4	257	343	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	128	172
+	138	166
+	127	175
+	4	128	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	166
+	128	172
+	139	163
+	4	138	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	254
+	145	253
+	161	253
+	4	163	254	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	254
+	161	253
+	145	253
+	4	143	254	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	185	344
+	177	345
+	185	342
+	4	185	344	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	345
+	185	344
+	176	346
+	4	177	345	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	233	338
+	228	343
+	234	338
+	4	233	338	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	343
+	233	338
+	227	343
+	4	228	343	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	38
+	288	35
+	305	36
+	4	306	38	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	34
+	305	36
+	288	35
+	4	285	34	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	48	110
+	61	85
+	51	111
+	4	48	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	61	85
+	48	110
+	59	83
+	4	61	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	45	110
+	59	83
+	48	110
+	4	45	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	242	334
+	239	342
+	245	336
+	4	242	334	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	239	342
+	242	334
+	237	339
+	4	239	342	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	158	262
+	144	263
+	161	263
+	4	158	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	263
+	158	262
+	142	262
+	4	144	263	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	263	212
+	263	167
+	266	212
+	4	263	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	167
+	266	212
+	263	167
+	4	266	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	212
+	266	167
+	269	212
+	4	266	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	253	164
+	236	123
+	256	163
+	4	253	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	122
+	256	163
+	236	123
+	4	239	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	163
+	239	122
+	259	162
+	4	256	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	249	266
+	238	287
+	251	266
+	4	249	266	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	238	287
+	249	266
+	237	287
+	4	238	287	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	272
+	150	278
+	169	275
+	4	168	272	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	150	278
+	168	272
+	149	275
+	4	150	278	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	329	286
+	329	297
+	330	284
+	4	329	286	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	329	297
+	329	286
+	328	299
+	4	329	297	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	286	45
+	299	45
+	283	44
+	4	286	45	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	45
+	286	45
+	302	45
+	4	299	45	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	147	170
+	132	181
+	144	171
+	4	147	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	181
+	144	171
+	132	181
+	4	129	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	269
+	149	275
+	168	272
+	4	169	269	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	240	344
+	245	336
+	239	342
+	4	240	344	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	294
+	188	303
+	199	297
+	4	197	294	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	51	111
+	63	87
+	52	113
+	4	51	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	63	87
+	51	111
+	61	85
+	4	63	87	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	338
+	150	335
+	141	335
+	4	140	338	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	349
+	206	343
+	198	347
+	4	198	349	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	205	341
+	198	347
+	206	343
+	4	205	341	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	241	122
+	259	162
+	239	122
+	4	241	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	162
+	241	122
+	261	162
+	4	259	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	337	304
+	339	288
+	338	301
+	4	337	304	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	339	285
+	338	301
+	339	288
+	4	339	285	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	38	238
+	32	210
+	41	237
+	4	38	238	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	32	210
+	38	238
+	29	211
+	4	32	210	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	36	239
+	29	211
+	38	238
+	4	36	239	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	171
+	139	163
+	128	172
+	4	132	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	163
+	132	171
+	142	161
+	4	139	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	268	167
+	269	212
+	266	167
+	4	268	167	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	269	212
+	268	167
+	271	213
+	4	269	212	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	261
+	263	217
+	247	261
+	4	244	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	219
+	247	261
+	263	217
+	4	266	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	261
+	266	219
+	250	263
+	4	247	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	261
+	230	282
+	242	262
+	4	243	261	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	232	284
+	242	262
+	230	282
+	4	232	284	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	55	262
+	39	241
+	52	264
+	4	55	262	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	39	241
+	55	262
+	42	240
+	4	39	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	260	351
+	273	339
+	263	352
+	4	260	351	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	338
+	263	352
+	273	339
+	4	275	338	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	276
+	197	292
+	215	277
+	4	216	276	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	294
+	215	277
+	197	292
+	4	197	294	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	184	111
+	216	128
+	184	108
+	4	184	111	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	216	128
+	184	111
+	216	131
+	4	216	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	235	25
+	251	20
+	233	23
+	4	235	25	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	251	20
+	235	25
+	253	22
+	4	251	20	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	188	352
+	198	349
+	189	352
+	4	188	352	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	347
+	189	352
+	198	349
+	4	198	347	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	41	237
+	34	211
+	43	237
+	4	41	237	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	34	211
+	41	237
+	32	210
+	4	34	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	203	338
+	197	345
+	205	341
+	4	203	338	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	197	345
+	203	338
+	196	342
+	4	197	345	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	256	13
+	235	15
+	254	12
+	4	256	13	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	233	17
+	254	12
+	235	15
+	4	233	17	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	148	167
+	135	180
+	147	170
+	4	148	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	181
+	147	170
+	135	180
+	4	132	181	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	262	213
+	260	168
+	263	212
+	4	262	213	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	263	167
+	263	212
+	260	168
+	4	263	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	34	242
+	50	266
+	36	242
+	4	34	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	52	264
+	36	242
+	50	266
+	4	52	264	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	83
+	45	110
+	56	82
+	4	59	83	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	43	110
+	56	82
+	45	110
+	4	43	110	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	252	166
+	234	125
+	253	164
+	4	252	166	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	236	123
+	253	164
+	234	125
+	4	236	123	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	116
+	212	135
+	180	116
+	4	178	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	134
+	180	116
+	212	135
+	4	214	134	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	117	36
+	138	23
+	118	38
+	4	117	36	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	138	23
+	117	36
+	136	20
+	4	138	23	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	114	34
+	136	20
+	117	36
+	4	114	34	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	352
+	240	346
+	233	352
+	4	231	352	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	240	344
+	233	352
+	240	346
+	4	240	344	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	330	284
+	332	295
+	333	283
+	4	330	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	332	295
+	330	284
+	329	297
+	4	332	295	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	36
+	285	34
+	302	35
+	4	305	36	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	35
+	302	35
+	285	34
+	4	283	35	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	284
+	203	300
+	221	284
+	4	219	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	300
+	219	284
+	201	299
+	4	203	300	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	329
+	112	326
+	132	331
+	4	132	329	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	326
+	132	329
+	113	324
+	4	112	326	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	129	338
+	140	338
+	130	337
+	4	129	338	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	141	335
+	130	337
+	140	338
+	4	141	335	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	331
+	259	342
+	269	330
+	4	267	331	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	259	342
+	267	331
+	257	343
+	4	259	342	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	332
+	131	334
+	141	335
+	4	141	332	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	334
+	141	332
+	132	331
+	4	131	334	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	243	261
+	260	217
+	244	261
+	4	243	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	263	217
+	244	261
+	260	217
+	4	263	217	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	227	348
+	219	350
+	226	345
+	4	227	348	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	219	350
+	227	348
+	219	353
+	4	219	350	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	229	351
+	219	353
+	227	348
+	4	229	351	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	108	332
+	129	338
+	109	333
+	4	108	332	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	337
+	109	333
+	129	338
+	4	130	337	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	186	281
+	223	260
+	188	284
+	4	186	281	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	262
+	188	284
+	223	260
+	4	224	262	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	284
+	224	262
+	188	287
+	4	188	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	172
+	142	161
+	132	171
+	4	135	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	142	161
+	135	172
+	145	162
+	4	142	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	327
+	90	315
+	110	324
+	4	109	327	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	315
+	109	327
+	88	317
+	4	90	315	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	108	330
+	88	317
+	109	327
+	4	108	330	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	267	220
+	250	263
+	266	219
+	4	267	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	263
+	267	220
+	252	264
+	4	250	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	340
+	188	345
+	196	342
+	4	194	340	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	188	345
+	194	340
+	187	343
+	4	188	345	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	198	347
+	205	341
+	197	345
+	4	198	347	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	118	38
+	138	26
+	119	40
+	4	118	38	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	138	26
+	118	38
+	138	23
+	4	138	26	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	283	44
+	297	42
+	282	41
+	4	283	44	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	297	42
+	283	44
+	299	45
+	4	297	42	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	256
+	158	254
+	143	254
+	4	141	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	253
+	143	254
+	158	254
+	4	161	253	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	352
+	188	352
+	178	354
+	4	177	352	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	189	352
+	178	354
+	188	352
+	4	189	352	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	184	280
+	221	257
+	186	281
+	4	184	280	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	223	260
+	186	281
+	221	257
+	4	223	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	338	301
+	339	285
+	338	298
+	4	338	301	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	336	283
+	338	298
+	339	285
+	4	336	283	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	29	211
+	36	239
+	26	212
+	4	29	211	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	34	241
+	26	212
+	36	239
+	4	34	241	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	36	242
+	52	264
+	39	241
+	4	36	242	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	260
+	142	262
+	158	262
+	4	157	260	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	142	262
+	157	260
+	141	260
+	4	142	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	180
+	148	167
+	137	178
+	4	135	180	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	147	164
+	137	178
+	148	167
+	4	147	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	185	342
+	178	345
+	187	343
+	4	185	342	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	178	345
+	185	342
+	177	345
+	4	178	345	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	353
+	229	351
+	221	356
+	4	219	353	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	231	352
+	221	356
+	229	351
+	4	231	352	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	333	283
+	335	296
+	336	283
+	4	333	283	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	335	296
+	333	283
+	332	295
+	4	335	296	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	110	324
+	92	314
+	112	323
+	4	110	324	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	92	314
+	110	324
+	90	315
+	4	92	314	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	174
+	145	162
+	135	172
+	4	137	174	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	145	162
+	137	174
+	147	164
+	4	145	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	338
+	231	345
+	237	339
+	4	234	338	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	345
+	234	338
+	228	343
+	4	231	345	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	136	20
+	114	34
+	134	18
+	4	136	20	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	33
+	134	18
+	114	34
+	4	112	33	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	337
+	141	335
+	131	334
+	4	130	337	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	113
+	62	88
+	52	114
+	4	52	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	62	88
+	52	113
+	63	87
+	4	62	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	338	298
+	336	283
+	335	296
+	4	338	298	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	137	178
+	147	164
+	137	174
+	4	137	178	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	182	114
+	216	131
+	184	111
+	4	182	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	216	131
+	182	114
+	214	134
+	4	216	131	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	345
+	220	348
+	227	343
+	4	226	345	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	220	348
+	226	345
+	219	350
+	4	220	348	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	265
+	237	287
+	249	266
+	4	247	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	287
+	247	265
+	234	286
+	4	237	287	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	242	123
+	261	162
+	241	122
+	4	242	123	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	261	162
+	242	123
+	262	163
+	4	261	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	180	116
+	214	134
+	182	114
+	4	180	116	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	233	23
+	251	17
+	232	20
+	4	233	23	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	17
+	233	23
+	251	20
+	4	251	17	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	254	12
+	233	17
+	251	14
+	4	254	12	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	232	20
+	251	14
+	233	17
+	4	232	20	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	88	317
+	108	330
+	87	320
+	4	88	317	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	332
+	87	320
+	108	330
+	4	108	332	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	176	349
+	167	348
+	176	346
+	4	176	349	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	348
+	176	349
+	167	351
+	4	167	348	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	352
+	167	351
+	176	349
+	4	177	352	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	302	35
+	283	35
+	299	36
+	4	302	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	282	38
+	299	36
+	283	35
+	4	282	38	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	268	168
+	271	213
+	268	167
+	4	268	168	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	271	213
+	268	168
+	272	214
+	4	271	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	282	41
+	298	39
+	282	38
+	4	282	41	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	39
+	282	41
+	297	42
+	4	298	39	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	187	13
+	207	11
+	188	16
+	4	187	13	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	207	11
+	187	13
+	207	7
+	4	207	11	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	186	11
+	207	7
+	187	13
+	4	186	11	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	260
+	157	256
+	141	256
+	4	141	260	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	254
+	141	256
+	157	256
+	4	158	254	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	286
+	244	263
+	232	284
+	4	234	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	262
+	232	284
+	244	263
+	4	242	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	264
+	188	287
+	224	262
+	4	224	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	188	287
+	224	264
+	188	289
+	4	188	287	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	256
+	141	260
+	157	260
+	4	157	256	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	263	352
+	275	338
+	265	351
+	4	263	352	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	335
+	265	351
+	275	338
+	4	276	335	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	43	237
+	34	212
+	44	238
+	4	43	237	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	34	212
+	43	237
+	34	211
+	4	34	212	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	251	14
+	232	20
+	251	17
+	4	251	14	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	299	36
+	282	38
+	298	39
+	4	299	36	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	188	16
+	206	13
+	187	19
+	4	188	16	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	206	13
+	188	16
+	207	11
+	4	206	13	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	199	297
+	215	279
+	197	294
+	4	199	297	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	277
+	197	294
+	215	279
+	4	215	277	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	189	352
+	198	347
+	189	351
+	4	189	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	345
+	189	351
+	198	347
+	4	197	345	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	182	280
+	219	256
+	184	280
+	4	182	280	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	257
+	184	280
+	219	256
+	4	221	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	346
+	168	346
+	177	345
+	4	176	346	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	168	346
+	176	346
+	167	348
+	4	168	346	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	40
+	136	27
+	117	41
+	4	119	40	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	136	27
+	119	40
+	138	26
+	4	136	27	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	351
+	177	352
+	167	354
+	4	167	351	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	354
+	167	354
+	177	352
+	4	178	354	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	233	352
+	240	344
+	233	350
+	4	233	352	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	239	342
+	233	350
+	240	344
+	4	239	342	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	262	214
+	258	169
+	262	213
+	4	262	214	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	260	168
+	262	213
+	258	169
+	4	260	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	282
+	201	299
+	219	284
+	4	217	282	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	201	299
+	217	282
+	199	297
+	4	201	299	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	253	167
+	233	127
+	252	166
+	4	253	167	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	234	125
+	252	166
+	233	127
+	4	234	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	82
+	43	110
+	54	82
+	4	56	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	42	111
+	54	82
+	43	110
+	4	42	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	244	263
+	234	286
+	247	265
+	4	244	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	269	330
+	262	343
+	272	331
+	4	269	330	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	262	343
+	269	330
+	259	342
+	4	262	343	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	132	331
+	111	329
+	131	334
+	4	132	331	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	111	329
+	132	331
+	112	326
+	4	111	329	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	196	342
+	189	348
+	197	345
+	4	196	342	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	189	348
+	196	342
+	188	345
+	4	189	348	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	242	262
+	257	217
+	243	261
+	4	242	262	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	260	217
+	243	261
+	257	217
+	4	260	217	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	207	7
+	186	11
+	206	4
+	4	207	7	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	183	9
+	206	4
+	186	11
+	4	183	9	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	333
+	130	337
+	110	332
+	4	109	333	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	334
+	110	332
+	130	337
+	4	131	334	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	267	221
+	252	264
+	267	220
+	4	267	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	252	264
+	267	221
+	251	266
+	4	252	264	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	277
+	236	261
+	220	279
+	4	218	277	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	263
+	220	279
+	236	261
+	4	238	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	279
+	238	263
+	222	281
+	4	220	279	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	356
+	231	352
+	223	357
+	4	221	356	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	233	352
+	223	357
+	231	352
+	4	233	352	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	339
+	233	347
+	239	342
+	4	237	339	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	347
+	237	339
+	231	345
+	4	233	347	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	26	212
+	34	241
+	24	213
+	4	26	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	34	242
+	24	213
+	34	241
+	4	34	242	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	215	279
+	199	297
+	217	282
+	4	215	279	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	189	351
+	197	345
+	189	348
+	4	189	351	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	323
+	93	314
+	113	324
+	4	112	323	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	314
+	112	323
+	92	314
+	4	93	314	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	178	354
+	189	352
+	180	355
+	4	178	354	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	351
+	180	355
+	189	352
+	4	189	351	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	216	276
+	233	260
+	218	277
+	4	216	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	236	261
+	218	277
+	233	260
+	4	236	261	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	227	343
+	221	348
+	228	343
+	4	227	343	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	221	348
+	227	343
+	220	348
+	4	221	348	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	134	18
+	112	33
+	132	17
+	4	134	18	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	111	34
+	132	17
+	112	33
+	4	111	34	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	233	350
+	239	342
+	233	347
+	4	233	350	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	332
+	131	334
+	111	329
+	4	110	332	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	187	343
+	180	347
+	188	345
+	4	187	343	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	180	347
+	187	343
+	178	345
+	4	180	347	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	351
+	276	335
+	265	348
+	4	265	351	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	274	333
+	265	348
+	276	335
+	4	274	333	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	370	165
+	376	172
+	367	165
+	4	370	165	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	376	172
+	370	165
+	379	172
+	4	376	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	372	163
+	379	172
+	370	165
+	4	372	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	147	155
+	126	159
+	146	152
+	4	147	155	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	127	155
+	146	152
+	126	159
+	4	127	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	146	152
+	127	155
+	146	149
+	4	146	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	379	172
+	372	163
+	381	169
+	4	379	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	373	159
+	381	169
+	372	163
+	4	373	159	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	187	19
+	204	14
+	185	19
+	4	187	19	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	204	14
+	187	19
+	206	13
+	4	204	14	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	320
+	108	332
+	87	322
+	4	87	320	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	333
+	87	322
+	108	332
+	4	109	333	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	150	156
+	128	162
+	147	155
+	4	150	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	126	159
+	147	155
+	128	162
+	4	126	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	265
+	222	281
+	238	263
+	4	238	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	281
+	238	265
+	222	283
+	4	222	281	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	52	114
+	60	88
+	49	114
+	4	52	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	60	88
+	52	114
+	62	88
+	4	60	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	331
+	264	345
+	274	333
+	4	272	331	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	345
+	272	331
+	262	343
+	4	264	345	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	367	165
+	373	170
+	364	164
+	4	367	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	373	170
+	367	165
+	376	172
+	4	373	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	241	125
+	262	163
+	242	123
+	4	241	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	262	163
+	241	125
+	261	164
+	4	262	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	265
+	188	289
+	224	264
+	4	222	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	188	289
+	222	265
+	186	289
+	4	188	289	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	153
+	146	149
+	127	155
+	4	129	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	149
+	129	153
+	148	147
+	4	146	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	381	169
+	373	159
+	382	166
+	4	381	169	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	372	157
+	382	166
+	373	159
+	4	372	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	266	170
+	272	214
+	268	168
+	4	266	170	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	272	214
+	266	170
+	270	215
+	4	272	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	265	348
+	274	333
+	264	345
+	4	265	348	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	177	345
+	170	347
+	178	345
+	4	177	345	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	170	347
+	177	345
+	168	346
+	4	170	347	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	354
+	178	354
+	168	356
+	4	167	354	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	355
+	168	356
+	178	354
+	4	180	355	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	206	4
+	183	9
+	204	3
+	4	206	4	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	181	10
+	204	3
+	183	9
+	4	181	10	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	332	74
+	343	80
+	330	77
+	4	332	74	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	343	80
+	332	74
+	345	78
+	4	343	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	333	71
+	345	78
+	332	74
+	4	333	71	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	44	238
+	33	213
+	42	240
+	4	44	238	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	33	213
+	44	238
+	34	212
+	4	33	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	256
+	182	280
+	217	256
+	4	219	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	181	283
+	217	256
+	182	280
+	4	181	283	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	364	164
+	372	167
+	363	161
+	4	364	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	372	167
+	364	164
+	373	170
+	4	372	167	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	156
+	131	163
+	150	156
+	4	152	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	162
+	150	156
+	131	163
+	4	128	162	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	117	41
+	134	26
+	115	41
+	4	117	41	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	134	26
+	117	41
+	136	27
+	4	134	26	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	345	78
+	333	71
+	346	75
+	4	345	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	332	68
+	346	75
+	333	71
+	4	332	68	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	382	166
+	372	157
+	381	163
+	4	382	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	369	155
+	381	163
+	372	157
+	4	369	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	233	127
+	253	167
+	233	129
+	4	233	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	256	167
+	233	129
+	253	167
+	4	256	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	54	82
+	42	111
+	53	83
+	4	54	82	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	44	112
+	53	83
+	42	111
+	4	44	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	77
+	340	81
+	327	77
+	4	330	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	340	81
+	330	77
+	343	80
+	4	340	81	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	258	169
+	262	214
+	258	170
+	4	258	169	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	264	215
+	258	170
+	262	214
+	4	264	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	153
+	148	147
+	129	153
+	4	132	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	147
+	132	153
+	151	146
+	4	148	147	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	223	357
+	233	352
+	225	357
+	4	223	357	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	233	350
+	225	357
+	233	352
+	4	233	350	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	215	277
+	230	259
+	216	276
+	4	215	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	233	260
+	216	276
+	230	259
+	4	233	260	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	257	217
+	242	262
+	257	218
+	4	257	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	263
+	257	218
+	242	262
+	4	244	263	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	180	355
+	189	351
+	181	353
+	4	180	355	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	189	348
+	181	353
+	189	351
+	4	189	348	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	363	161
+	372	164
+	364	158
+	4	363	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	372	164
+	363	161
+	372	167
+	4	372	164	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	129
+	191	99
+	222	126
+	4	221	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	96
+	222	126
+	191	99
+	4	193	96	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	126
+	193	96
+	225	124
+	4	222	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	264	221
+	251	266
+	267	221
+	4	264	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	251	266
+	264	221
+	249	266
+	4	251	266	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	188	345
+	180	350
+	189	348
+	4	188	345	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	350
+	188	345
+	180	347
+	4	180	350	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	381	163
+	369	155
+	378	162
+	4	381	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	366	156
+	378	162
+	369	155
+	4	366	156	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	228	343
+	224	349
+	231	345
+	4	228	343	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	224	349
+	228	343
+	221	348
+	4	224	349	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	351
+	147	348
+	167	348
+	4	167	351	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	147	348
+	167	351
+	146	351
+	4	147	348	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	354
+	146	351
+	167	351
+	4	167	354	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	346	75
+	332	68
+	345	72
+	4	346	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	67
+	345	72
+	332	68
+	4	330	67	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	24	213
+	34	242
+	25	214
+	4	24	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	36	242
+	25	214
+	34	242
+	4	36	242	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	185	19
+	202	12
+	182	18
+	4	185	19	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	202	12
+	185	19
+	204	14
+	4	202	12	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	132	17
+	111	34
+	131	18
+	4	132	17	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	111	36
+	131	18
+	111	34
+	4	111	36	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	219	353
+	211	354
+	219	350
+	4	219	353	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	211	354
+	219	353
+	211	357
+	4	211	354	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	356
+	211	357
+	219	353
+	4	221	356	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	154
+	134	163
+	152	156
+	4	154	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	163
+	152	156
+	134	163
+	4	131	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	324
+	93	317
+	112	326
+	4	113	324	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	93	317
+	113	324
+	93	314
+	4	93	317	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	195	95
+	225	124
+	193	96
+	4	195	95	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	124
+	195	95
+	227	123
+	4	225	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	364	158
+	375	162
+	366	156
+	4	364	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	375	162
+	364	158
+	372	164
+	4	375	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	327	77
+	337	79
+	325	75
+	4	327	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	337	79
+	327	77
+	340	81
+	4	337	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	378	162
+	366	156
+	375	162
+	4	378	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	237	266
+	222	283
+	238	265
+	4	237	266	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	283
+	237	266
+	221	284
+	4	222	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	114
+	57	87
+	46	114
+	4	49	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	57	87
+	49	114
+	60	88
+	4	57	87	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	167	348
+	149	347
+	168	346
+	4	167	348	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	347
+	167	348
+	147	348
+	4	149	347	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	238	127
+	261	164
+	241	125
+	4	238	127	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	261	164
+	238	127
+	259	166
+	4	261	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	181	353
+	189	348
+	180	350
+	4	181	353	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	154
+	151	146
+	132	153
+	4	135	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	151	146
+	135	154
+	153	148
+	4	151	146	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	131
+	189	102
+	221	129
+	4	221	131	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	191	99
+	221	129
+	189	102
+	4	191	99	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	322
+	109	333
+	88	323
+	4	87	322	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	332
+	88	323
+	109	333
+	4	110	332	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	263
+	186	289
+	222	265
+	4	219	263	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	186	289
+	219	263
+	184	288
+	4	186	289	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	219	350
+	212	352
+	220	348
+	4	219	350	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	212	352
+	219	350
+	211	354
+	4	212	352	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	267
+	192	263
+	174	269
+	4	172	267	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	266
+	174	269
+	192	263
+	4	193	266	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	269
+	193	266
+	175	272
+	4	174	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	211	357
+	221	356
+	213	360
+	4	211	357	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	357
+	213	360
+	221	356
+	4	223	357	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	269
+	175	272
+	193	266
+	4	193	269	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	272
+	193	269
+	175	275
+	4	175	272	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	204	3
+	181	10
+	202	4
+	4	204	3	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	180	12
+	202	4
+	181	10
+	4	180	12	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	263	171
+	270	215
+	266	170
+	4	263	171	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	270	215
+	263	171
+	267	215
+	4	270	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	146	351
+	167	354
+	146	354
+	4	146	351	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	356
+	146	354
+	167	354
+	4	168	356	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	345	72
+	330	67
+	343	70
+	4	345	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	327	67
+	343	70
+	330	67
+	4	327	67	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	115	41
+	132	24
+	113	39
+	4	115	41	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	132	24
+	115	41
+	134	26
+	4	132	24	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	53	83
+	44	112
+	54	85
+	4	53	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	46	114
+	54	85
+	44	112
+	4	46	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	166
+	235	129
+	256	167
+	4	259	166	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	129
+	256	167
+	235	129
+	4	233	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	345
+	171	349
+	180	347
+	4	178	345	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	349
+	178	345
+	170	347
+	4	171	349	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	163
+	154	154
+	136	160
+	4	134	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	155	150
+	136	160
+	154	154
+	4	155	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	182	285
+	216	258
+	181	283
+	4	182	285	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	217	256
+	181	283
+	216	258
+	4	217	256	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	356	259
+	355	269
+	353	258
+	4	356	259	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	355	269
+	356	259
+	358	271
+	4	355	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	359	259
+	358	271
+	356	259
+	4	359	259	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	168	356
+	180	355
+	170	357
+	4	168	356	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	353
+	170	357
+	180	355
+	4	181	353	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	42	240
+	30	214
+	39	241
+	4	42	240	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	30	214
+	42	240
+	33	213
+	4	30	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	325	75
+	336	76
+	324	72
+	4	325	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	76
+	325	75
+	337	79
+	4	336	76	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	267	215
+	260	171
+	264	215
+	4	267	215	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	258	170
+	264	215
+	260	171
+	4	258	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	357
+	233	350
+	226	355
+	4	225	357	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	233	347
+	226	355
+	233	350
+	4	233	347	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	358	271
+	359	259
+	361	270
+	4	358	271	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	362	257
+	361	270
+	359	259
+	4	362	257	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	299	326
+	290	336
+	298	323
+	4	299	326	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	290	336
+	299	326
+	292	339
+	4	290	336	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	302	327
+	292	339
+	299	326
+	4	302	327	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	136	157
+	153	148
+	135	154
+	4	136	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	153	148
+	136	157
+	155	150
+	4	153	148	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	353	258
+	354	266
+	352	255
+	4	353	258	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	354	266
+	353	258
+	355	269
+	4	354	266	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	54	85
+	46	114
+	57	87
+	4	54	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	235	129
+	259	166
+	238	127
+	4	235	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	345
+	225	352
+	233	347
+	4	231	345	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	352
+	231	345
+	224	349
+	4	225	352	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	136	160
+	155	150
+	136	157
+	4	136	160	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	131	18
+	111	36
+	131	21
+	4	131	18	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	113	39
+	131	21
+	111	36
+	4	113	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	265
+	258	220
+	244	263
+	4	247	265	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	257	218
+	244	263
+	258	220
+	4	257	218	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	182	18
+	201	9
+	181	15
+	4	182	18	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	9
+	182	18
+	202	12
+	4	201	9	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	261	221
+	249	266
+	264	221
+	4	261	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	249	266
+	261	221
+	247	265
+	4	249	266	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	25	214
+	36	242
+	27	214
+	4	25	214	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	39	241
+	27	214
+	36	242
+	4	39	241	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	292	339
+	302	327
+	294	340
+	4	292	339	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	327
+	294	340
+	302	327
+	4	305	327	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	96
+	227	123
+	195	95
+	4	197	96	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	227	123
+	197	96
+	229	124
+	4	227	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	260	171
+	267	215
+	263	171
+	4	260	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	298	323
+	290	333
+	298	321
+	4	298	323	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	290	333
+	298	323
+	290	336
+	4	290	333	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	267
+	190	261
+	172	267
+	4	170	267	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	263
+	172	267
+	190	261
+	4	192	263	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	343	70
+	327	67
+	340	71
+	4	343	70	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	325	69
+	340	71
+	327	67
+	4	325	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	259
+	215	277
+	229	260
+	4	230	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	215	279
+	229	260
+	215	277
+	4	215	279	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	361	270
+	362	257
+	364	268
+	4	361	270	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	362	254
+	364	268
+	362	257
+	4	362	254	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	131	21
+	113	39
+	132	24
+	4	131	21	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	324	72
+	337	73
+	325	69
+	4	324	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	337	73
+	324	72
+	336	76
+	4	337	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	192	270
+	175	275
+	193	269
+	4	192	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	175	275
+	192	270
+	173	277
+	4	175	275	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	226	355
+	233	347
+	225	352
+	4	226	355	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	352	255
+	354	263
+	353	252
+	4	352	255	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	354	263
+	352	255
+	354	266
+	4	354	263	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	317
+	71	300
+	90	315
+	4	88	317	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	71	300
+	88	317
+	68	302
+	4	71	300	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	87	320
+	68	302
+	88	317
+	4	87	320	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	261
+	184	288
+	219	263
+	4	217	261	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	288
+	217	261
+	182	285
+	4	184	288	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	112	326
+	91	320
+	111	329
+	4	112	326	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	91	320
+	112	326
+	93	317
+	4	91	320	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	202	4
+	180	12
+	201	6
+	4	202	4	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	181	15
+	201	6
+	180	12
+	4	181	15	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	27	214
+	39	241
+	30	214
+	4	27	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	168	346
+	150	347
+	170	347
+	4	168	346	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	150	347
+	168	346
+	149	347
+	4	150	347	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	340	71
+	325	69
+	337	73
+	4	340	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	216	258
+	182	285
+	217	261
+	4	216	258	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	348
+	214	352
+	221	348
+	4	220	348	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	352
+	220	348
+	212	352
+	4	214	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	258	220
+	247	265
+	261	221
+	4	258	220	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	360
+	223	357
+	215	362
+	4	213	360	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	225	357
+	215	362
+	223	357
+	4	225	357	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	29	211
+	27	181
+	32	210
+	4	29	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	27	181
+	29	211
+	24	181
+	4	27	181	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	26	212
+	24	181
+	29	211
+	4	26	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	315
+	73	299
+	92	314
+	4	90	315	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	73	299
+	90	315
+	71	300
+	4	73	299	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	88	323
+	110	332
+	89	322
+	4	88	323	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	329
+	89	322
+	110	332
+	4	111	329	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	6
+	181	15
+	201	9
+	4	201	6	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	222	132
+	189	104
+	221	131
+	4	222	132	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	189	102
+	221	131
+	189	104
+	4	189	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	235	266
+	221	284
+	237	266
+	4	235	266	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	284
+	235	266
+	219	284
+	4	221	284	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	32	210
+	30	182
+	34	211
+	4	32	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	30	182
+	32	210
+	27	181
+	4	30	182	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	364	268
+	362	254
+	364	265
+	4	364	268	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	361	251
+	364	265
+	362	254
+	4	361	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	354
+	168	356
+	147	357
+	4	146	354	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	170	357
+	147	357
+	168	356
+	4	170	357	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	340
+	305	327
+	297	340
+	4	294	340	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	307	325
+	297	340
+	305	327
+	4	307	325	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	353	252
+	357	261
+	355	250
+	4	353	252	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	357	261
+	353	252
+	354	263
+	4	357	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	321
+	292	331
+	300	319
+	4	298	321	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	292	331
+	298	321
+	290	333
+	4	292	331	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	347
+	171	352
+	180	350
+	4	180	347	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	352
+	180	347
+	171	349
+	4	171	352	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	170	357
+	181	353
+	171	355
+	4	170	357	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	350
+	171	355
+	181	353
+	4	180	350	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	89	322
+	111	329
+	91	320
+	4	89	322	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	68	302
+	87	320
+	66	305
+	4	68	302	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	87	322
+	66	305
+	87	320
+	4	87	322	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	155	139
+	128	138
+	155	136
+	4	155	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	135
+	155	136
+	128	138
+	4	129	135	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	155	136
+	129	135
+	156	133
+	4	155	136	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	157	142
+	129	141
+	155	139
+	4	157	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	128	138
+	155	139
+	129	141
+	4	128	138	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	364	265
+	361	251
+	363	262
+	4	364	265	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	358	250
+	363	262
+	361	251
+	4	358	250	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	355	250
+	360	261
+	358	250
+	4	355	250	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	360	261
+	355	250
+	357	261
+	4	360	261	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	24	181
+	26	212
+	21	182
+	4	24	181	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	24	213
+	21	182
+	26	212
+	4	24	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	355
+	180	350
+	171	352
+	4	171	355	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	261
+	170	267
+	188	261
+	4	190	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	169	269
+	188	261
+	170	267
+	4	169	269	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	363	262
+	358	250
+	360	261
+	4	363	262	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	98
+	229	124
+	197	96
+	4	197	98	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	124
+	197	98
+	229	126
+	4	229	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	270
+	173	277
+	192	270
+	4	190	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	173	277
+	190	270
+	171	277
+	4	173	277	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	282
+	230	262
+	215	279
+	4	217	282	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	260
+	215	279
+	230	262
+	4	229	260	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	134
+	156	133
+	129	135
+	4	132	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	133
+	132	134
+	158	132
+	4	156	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	59	83
+	76	61
+	61	85
+	4	59	83	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	76	61
+	59	83
+	73	59
+	4	76	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	56	82
+	73	59
+	59	83
+	4	56	82	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	314
+	74	300
+	93	314
+	4	92	314	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	300
+	92	314
+	73	299
+	4	74	300	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	340
+	307	325
+	299	338
+	4	297	340	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	307	323
+	299	338
+	307	325
+	4	307	323	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	142
+	131	144
+	157	142
+	4	159	142	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	129	141
+	157	142
+	131	144
+	4	129	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	61	85
+	77	64
+	63	87
+	4	61	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	77	64
+	61	85
+	76	61
+	4	77	64	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	300	319
+	295	331
+	303	319
+	4	300	319	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	331
+	300	319
+	292	331
+	4	295	331	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	34	211
+	30	183
+	34	212
+	4	34	211	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	30	183
+	34	211
+	30	182
+	4	30	183	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	348
+	216	353
+	224	349
+	4	221	348	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	216	353
+	221	348
+	214	352
+	4	216	353	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	170	347
+	151	349
+	171	349
+	4	170	347	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	151	349
+	170	347
+	150	347
+	4	151	349	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	215	362
+	225	357
+	217	361
+	4	215	362	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	355
+	217	361
+	225	357
+	4	226	355	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	232	264
+	219	284
+	235	266
+	4	232	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	284
+	232	264
+	217	282
+	4	219	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	189	104
+	222	132
+	191	105
+	4	189	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	131
+	191	105
+	222	132
+	4	225	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	262
+	217	282
+	232	264
+	4	230	262	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	357
+	170	357
+	149	357
+	4	147	357	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	171	355
+	149	357
+	170	357
+	4	171	355	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	233	260
+	258	222
+	236	261
+	4	233	260	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	260	224
+	236	261
+	258	222
+	4	260	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	236	261
+	260	224
+	238	263
+	4	236	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	135	134
+	158	132
+	132	134
+	4	135	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	158	132
+	135	134
+	161	132
+	4	158	132	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	305
+	87	322
+	66	307
+	4	66	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	323
+	66	307
+	87	322
+	4	88	323	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	59
+	56	82
+	71	58
+	4	73	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	54	82
+	71	58
+	56	82
+	4	54	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	230	259
+	255	221
+	233	260
+	4	230	259	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	258	222
+	233	260
+	255	221
+	4	258	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	299	338
+	307	323
+	300	335
+	4	299	338	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	306	320
+	300	335
+	307	323
+	4	306	320	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	319
+	298	332
+	306	320
+	4	303	319	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	298	332
+	303	319
+	295	331
+	4	298	332	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	211	357
+	193	360
+	211	354
+	4	211	357	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	193	360
+	211	357
+	193	363
+	4	193	360	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	213	360
+	193	363
+	211	357
+	4	213	360	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	162	141
+	134	144
+	159	142
+	4	162	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	144
+	159	142
+	134	144
+	4	131	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	272
+	186	262
+	169	269
+	4	168	272	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	188	261
+	169	269
+	186	262
+	4	188	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	196	101
+	229	126
+	197	98
+	4	196	101	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	126
+	196	101
+	227	129
+	4	229	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	300	335
+	306	320
+	298	332
+	4	300	335	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	63	87
+	76	65
+	62	88
+	4	63	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	76	65
+	63	87
+	77	64
+	4	76	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	268
+	171	277
+	190	270
+	4	187	268	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	277
+	187	268
+	169	275
+	4	171	277	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	354
+	194	357
+	212	352
+	4	211	354	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	194	357
+	211	354
+	193	360
+	4	194	357	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	21	182
+	24	213
+	19	183
+	4	21	182	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	25	214
+	19	183
+	24	213
+	4	25	214	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	257	349
+	243	356
+	256	346
+	4	257	349	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	243	356
+	257	349
+	243	359
+	4	243	356	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	351
+	243	359
+	257	349
+	4	260	351	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	254
+	197	249
+	165	257
+	4	163	254	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	252
+	165	257
+	197	249
+	4	197	252	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	165	257
+	197	252
+	165	260
+	4	165	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	224	349
+	218	356
+	225	352
+	4	224	349	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	218	356
+	224	349
+	216	353
+	4	218	356	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	217	361
+	226	355
+	218	359
+	4	217	361	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	225	352
+	218	359
+	226	355
+	4	225	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	227	129
+	193	104
+	225	131
+	4	227	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	105
+	225	131
+	193	104
+	4	191	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	193	363
+	213	360
+	194	366
+	4	193	363	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	215	362
+	194	366
+	213	360
+	4	215	362	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	346
+	244	353
+	257	343
+	4	256	346	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	353
+	256	346
+	243	356
+	4	244	353	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	171	349
+	151	352
+	171	352
+	4	171	349	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	151	352
+	171	349
+	151	349
+	4	151	352	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	261	226
+	238	263
+	260	224
+	4	261	226	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	238	263
+	261	226
+	238	265
+	4	238	263	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	196	254
+	165	260
+	197	252
+	4	196	254	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	165	260
+	196	254
+	163	263
+	4	165	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	93	314
+	73	302
+	93	317
+	4	93	314	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	302
+	93	314
+	74	300
+	4	73	302	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	161	253
+	196	246
+	163	254
+	4	161	253	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	249
+	163	254
+	196	246
+	4	197	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	359
+	260	351
+	246	361
+	4	243	359	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	263	352
+	246	361
+	260	351
+	4	263	352	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	137	137
+	161	132
+	135	134
+	4	137	137	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	161	132
+	137	137
+	163	135
+	4	161	132	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	34	212
+	28	184
+	33	213
+	4	34	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	28	184
+	34	212
+	30	183
+	4	28	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	104
+	227	129
+	196	101
+	4	193	104	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	357
+	171	355
+	150	355
+	4	149	357	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	352
+	150	355
+	171	355
+	4	171	352	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	218	359
+	225	352
+	218	356
+	4	218	359	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	144
+	162	141
+	136	143
+	4	134	144	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	138
+	136	143
+	162	141
+	4	163	138	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	260
+	253	221
+	230	259
+	4	229	260	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	255	221
+	230	259
+	253	221
+	4	255	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	169	275
+	186	265
+	168	272
+	4	169	275	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	186	262
+	168	272
+	186	265
+	4	186	262	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	186	265
+	169	275
+	187	268
+	4	186	265	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	150	355
+	171	352
+	151	352
+	4	150	355	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	212	352
+	196	357
+	214	352
+	4	212	352	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	196	357
+	212	352
+	194	357
+	4	196	357	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	168
+	249	123
+	263	167
+	4	260	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	122
+	263	167
+	249	123
+	4	252	122	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	263	167
+	252	122
+	266	167
+	4	263	167	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	136	20
+	158	14
+	138	23
+	4	136	20	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	158	14
+	136	20
+	157	11
+	4	158	14	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	134	18
+	157	11
+	136	20
+	4	134	18	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	260	217
+	268	172
+	263	217
+	4	260	217	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	172
+	263	217
+	268	172
+	4	271	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	263	217
+	271	172
+	266	219
+	4	263	217	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	138	23
+	157	16
+	138	26
+	4	138	23	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	157	16
+	138	23
+	158	14
+	4	157	16	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	140
+	163	135
+	137	137
+	4	137	140	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	163	135
+	137	140
+	163	138
+	4	163	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	71	58
+	54	82
+	69	58
+	4	71	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	53	83
+	69	58
+	54	82
+	4	53	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	143
+	163	138
+	137	140
+	4	136	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	257	343
+	246	352
+	259	342
+	4	257	343	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	246	352
+	257	343
+	244	353
+	4	246	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	66	307
+	88	323
+	67	307
+	4	66	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	89	322
+	67	307
+	88	323
+	4	89	322	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	258	169
+	246	124
+	260	168
+	4	258	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	249	123
+	260	168
+	246	124
+	4	249	123	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	257	217
+	265	172
+	260	217
+	4	257	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	172
+	260	217
+	265	172
+	4	268	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	194	255
+	163	263
+	196	254
+	4	194	255	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	163	263
+	194	255
+	161	263
+	4	163	263	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	246	361
+	263	352
+	248	362
+	4	246	361	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	351
+	248	362
+	263	352
+	4	265	351	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	196	246
+	161	253
+	193	244
+	4	196	246	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	158	254
+	193	244
+	161	253
+	4	158	254	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	366
+	215	362
+	196	367
+	4	194	366	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	217	361
+	196	367
+	215	362
+	4	217	361	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	62	88
+	74	65
+	60	88
+	4	62	88	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	74	65
+	62	88
+	76	65
+	4	74	65	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	19	183
+	25	214
+	20	184
+	4	19	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	27	214
+	20	184
+	25	214
+	4	27	214	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	254	122
+	266	167
+	252	122
+	4	254	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	167
+	254	122
+	268	167
+	4	266	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	174
+	266	219
+	271	172
+	4	272	174	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	219
+	272	174
+	267	220
+	4	266	219	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	157	11
+	134	18
+	155	8
+	4	157	11	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	132	17
+	155	8
+	134	18
+	4	132	17	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	259	226
+	238	265
+	261	226
+	4	259	226	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	238	265
+	259	226
+	237	266
+	4	238	265	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	93	317
+	71	305
+	91	320
+	4	93	317	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	71	305
+	93	317
+	73	302
+	4	71	305	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	146	351
+	126	344
+	147	348
+	4	146	351	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	344
+	146	351
+	124	347
+	4	126	344	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	146	354
+	124	347
+	146	351
+	4	146	354	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	138	26
+	156	18
+	136	27
+	4	138	26	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	156	18
+	138	26
+	157	16
+	4	156	18	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	33	213
+	25	184
+	30	214
+	4	33	213	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	25	184
+	33	213
+	28	184
+	4	25	184	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	166	127
+	132	121
+	165	124
+	4	166	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	117
+	165	124
+	132	121
+	4	133	117	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	165	124
+	133	117
+	166	121
+	4	165	124	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	147	348
+	127	342
+	149	347
+	4	147	348	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	342
+	147	348
+	126	344
+	4	127	342	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	115
+	166	121
+	133	117
+	4	135	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	166	121
+	135	115
+	168	119
+	4	166	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	253	221
+	229	260
+	251	221
+	4	253	221	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	230	262
+	251	221
+	229	260
+	4	230	262	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	259	18
+	274	23
+	258	21
+	4	259	18	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	274	23
+	259	18
+	275	20
+	4	274	23	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	258	15
+	275	20
+	259	18
+	4	258	15	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	352
+	198	359
+	216	353
+	4	214	352	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	359
+	214	352
+	196	357
+	4	198	359	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	258	21
+	271	25
+	256	23
+	4	258	21	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	271	25
+	258	21
+	274	23
+	4	271	25	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	259	342
+	248	353
+	262	343
+	4	259	342	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	353
+	259	342
+	246	352
+	4	248	353	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	67	307
+	89	322
+	69	307
+	4	67	307	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	320
+	69	307
+	89	322
+	4	91	320	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	257	218
+	262	172
+	257	217
+	4	257	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	172
+	257	217
+	262	172
+	4	265	172	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	258	170
+	245	126
+	258	169
+	4	258	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	246	124
+	258	169
+	245	126
+	4	246	124	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	248	362
+	265	351
+	250	361
+	4	248	362	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	348
+	250	361
+	265	351
+	4	265	348	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	191	253
+	161	263
+	194	255
+	4	191	253	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	161	263
+	191	253
+	158	262
+	4	161	263	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	124	347
+	146	354
+	124	350
+	4	124	347	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	147	357
+	124	350
+	146	354
+	4	147	357	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	307
+	91	320
+	71	305
+	4	69	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	58
+	53	83
+	68	59
+	4	69	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	54	85
+	68	59
+	53	83
+	4	54	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	157	256
+	191	245
+	158	254
+	4	157	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	244
+	158	254
+	191	245
+	4	193	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	363	119
+	369	127
+	360	120
+	4	363	119	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	369	127
+	363	119
+	372	125
+	4	369	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	365	116
+	372	125
+	363	119
+	4	365	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	167	129
+	133	124
+	166	127
+	4	167	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	121
+	166	127
+	133	124
+	4	132	121	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	20	184
+	27	214
+	22	184
+	4	20	184	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	214
+	22	184
+	27	214
+	4	30	214	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	360	120
+	366	126
+	357	120
+	4	360	120	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	366	126
+	360	120
+	369	127
+	4	366	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	372	125
+	365	116
+	374	122
+	4	372	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	365	113
+	374	122
+	365	116
+	4	365	113	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	196	367
+	217	361
+	198	367
+	4	196	367	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	218	359
+	198	367
+	217	361
+	4	218	359	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	20
+	258	15
+	275	17
+	4	275	20	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	256	13
+	275	17
+	258	15
+	4	256	13	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	22	184
+	30	214
+	25	184
+	4	22	184	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	137	114
+	168	119
+	135	115
+	4	137	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	119
+	137	114
+	170	119
+	4	168	119	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	60	88
+	72	63
+	57	87
+	4	60	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	72	63
+	60	88
+	74	65
+	4	72	63	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	23
+	269	25
+	253	22
+	4	256	23	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	25
+	256	23
+	271	25
+	4	269	25	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	302
+	53	280
+	71	300
+	4	68	302	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	53	280
+	68	302
+	50	282
+	4	53	280	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	66	305
+	50	282
+	68	302
+	4	66	305	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	71	300
+	55	279
+	73	299
+	4	71	300	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	55	279
+	71	300
+	53	280
+	4	55	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	254	124
+	268	167
+	254	122
+	4	254	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	268	167
+	254	124
+	268	168
+	4	268	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	125
+	207	88
+	236	123
+	4	234	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	209	86
+	236	123
+	207	88
+	4	209	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	236	123
+	209	86
+	239	122
+	4	236	123	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	357	120
+	364	123
+	355	117
+	4	357	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	364	123
+	357	120
+	366	126
+	4	364	123	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	347
+	129	342
+	150	347
+	4	149	347	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	342
+	149	347
+	127	342
+	4	129	342	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	155	8
+	132	17
+	153	7
+	4	155	8	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	131	18
+	153	7
+	132	17
+	4	131	18	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	374	122
+	365	113
+	374	119
+	4	374	122	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	363	111
+	374	119
+	365	113
+	4	363	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	271	175
+	267	220
+	272	174
+	4	271	175	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	267	220
+	271	175
+	267	221
+	4	267	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	262	343
+	251	355
+	264	345
+	4	262	343	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	251	355
+	262	343
+	248	353
+	4	251	355	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	136	27
+	154	17
+	134	26
+	4	136	27	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	154	17
+	136	27
+	156	18
+	4	154	17	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	256	226
+	237	266
+	259	226
+	4	256	226	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	237	266
+	256	226
+	235	266
+	4	237	266	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	233	127
+	204	90
+	234	125
+	4	233	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	207	88
+	234	125
+	204	90
+	4	207	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	361
+	265	348
+	251	358
+	4	250	361	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	264	345
+	251	358
+	265	348
+	4	264	345	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	216	353
+	199	362
+	218	356
+	4	216	353	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	199	362
+	216	353
+	198	359
+	4	199	362	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	190	250
+	158	262
+	191	253
+	4	190	250	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	158	262
+	190	250
+	157	260
+	4	158	262	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	207	11
+	224	12
+	206	13
+	4	207	11	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	224	12
+	207	11
+	226	10
+	4	224	12	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	207	7
+	226	10
+	207	11
+	4	207	7	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	226	10
+	207	7
+	226	7
+	4	226	10	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	206	4
+	226	7
+	207	7
+	4	206	4	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	157	260
+	189	247
+	157	256
+	4	157	260	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	191	245
+	157	256
+	189	247
+	4	191	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	170	128
+	135	125
+	167	129
+	4	170	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	124
+	167	129
+	135	125
+	4	133	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	68	59
+	54	85
+	69	61
+	4	68	59	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	57	87
+	69	61
+	54	85
+	4	57	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	355	117
+	364	120
+	355	114
+	4	355	117	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	364	120
+	355	117
+	364	123
+	4	364	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	232	264
+	251	223
+	230	262
+	4	232	264	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	221
+	230	262
+	251	223
+	4	251	221	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	155	240
+	184	243
+	156	244
+	4	155	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	183	246
+	156	244
+	184	243
+	4	183	246	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	156	244
+	183	246
+	155	247
+	4	156	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	24	181
+	28	151
+	27	181
+	4	24	181	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	28	151
+	24	181
+	25	150
+	4	28	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	21	182
+	25	150
+	24	181
+	4	21	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	374	119
+	363	111
+	372	117
+	4	374	119	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	360	110
+	372	117
+	363	111
+	4	360	110	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	358
+	264	345
+	251	355
+	4	251	358	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	69	61
+	57	87
+	72	63
+	4	69	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	27	181
+	30	152
+	30	182
+	4	27	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	30	152
+	27	181
+	28	151
+	4	30	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	86
+	239	122
+	209	86
+	4	211	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	239	122
+	211	86
+	241	122
+	4	239	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	367
+	218	359
+	199	365
+	4	198	367	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	218	356
+	199	365
+	218	359
+	4	218	356	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	275	17
+	256	13
+	273	15
+	4	275	17	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	254	12
+	273	15
+	256	13
+	4	254	12	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	50	282
+	66	305
+	48	284
+	4	50	282	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	66	307
+	48	284
+	66	305
+	4	66	307	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	350
+	147	357
+	125	352
+	4	124	350	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	357
+	125	352
+	147	357
+	4	149	357	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	189	247
+	157	260
+	190	250
+	4	189	247	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	373	218
+	373	227
+	370	218
+	4	373	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	373	227
+	373	218
+	376	227
+	4	373	227	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	376	217
+	376	227
+	373	218
+	4	376	217	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	153	238
+	184	239
+	155	240
+	4	153	238	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	184	243
+	155	240
+	184	239
+	4	184	243	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	116
+	170	119
+	137	114
+	4	139	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	170	119
+	139	116
+	172	120
+	4	170	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	370	218
+	371	224
+	368	215
+	4	370	218	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	371	224
+	370	218
+	373	227
+	4	371	224	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	22
+	267	23
+	251	20
+	4	253	22	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	23
+	253	22
+	269	25
+	4	267	23	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	262	172
+	257	218
+	261	174
+	4	262	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	258	220
+	261	174
+	257	218
+	4	258	220	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	245	126
+	258	170
+	245	127
+	4	245	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	171
+	245	127
+	258	170
+	4	260	171	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	199	365
+	218	356
+	199	362
+	4	199	365	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	181	247
+	155	247
+	183	246
+	4	181	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	155	247
+	181	247
+	153	248
+	4	155	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	355	114
+	366	117
+	357	111
+	4	355	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	366	117
+	355	114
+	364	120
+	4	366	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	372	117
+	360	110
+	369	116
+	4	372	117	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	357	111
+	369	116
+	360	110
+	4	357	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	376	227
+	376	217
+	380	226
+	4	376	227	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	378	214
+	380	226
+	376	217
+	4	378	214	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	299
+	56	280
+	74	300
+	4	73	299	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	280
+	73	299
+	55	279
+	4	56	280	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	331	304
+	323	313
+	328	302
+	4	331	304	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	323	313
+	331	304
+	326	316
+	4	323	313	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	334	305
+	326	316
+	331	304
+	4	334	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	369	116
+	357	111
+	366	117
+	4	369	116	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	328	302
+	323	310
+	328	299
+	4	328	302	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	323	310
+	328	302
+	323	313
+	4	323	310	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	368	215
+	370	221
+	367	212
+	4	368	215	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	370	221
+	368	215
+	371	224
+	4	370	221	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	206	13
+	222	13
+	204	14
+	4	206	13	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	222	13
+	206	13
+	224	12
+	4	222	13	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	226	7
+	206	4
+	225	4
+	4	226	7	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	204	3
+	225	4
+	206	4
+	4	204	3	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	253	225
+	235	266
+	256	226
+	4	253	225	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	235	266
+	253	225
+	232	264
+	4	235	266	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	380	226
+	378	214
+	381	223
+	4	380	226	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	377	211
+	381	223
+	378	214
+	4	377	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	233	129
+	203	93
+	233	127
+	4	233	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	204	90
+	233	127
+	203	93
+	4	204	90	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	223
+	232	264
+	253	225
+	4	251	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	326	316
+	334	305
+	329	317
+	4	326	316	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	337	304
+	329	317
+	334	305
+	4	337	304	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	153	7
+	131	18
+	152	8
+	4	153	7	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	131	21
+	152	8
+	131	18
+	4	131	21	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	25	150
+	21	182
+	22	150
+	4	25	150	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	19	183
+	22	150
+	21	182
+	4	19	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	150	347
+	130	345
+	151	349
+	4	150	347	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	130	345
+	150	347
+	129	342
+	4	130	345	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	125
+	170	128
+	138	125
+	4	135	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	126
+	138	125
+	170	128
+	4	172	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	184	239
+	153	238
+	182	237
+	4	184	239	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	151	238
+	182	237
+	153	238
+	4	151	238	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	252	125
+	268	168
+	254	124
+	4	252	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	268	168
+	252	125
+	266	170
+	4	268	168	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	367	212
+	372	218
+	369	210
+	4	367	212	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	372	218
+	367	212
+	370	221
+	4	372	218	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	134	26
+	152	14
+	132	24
+	4	134	26	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	152	14
+	134	26
+	154	17
+	4	152	14	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	328	299
+	324	307
+	329	297
+	4	328	299	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	324	307
+	328	299
+	323	310
+	4	324	307	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	306	42
+	317	49
+	304	44
+	4	306	42	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	317	49
+	306	42
+	319	47
+	4	317	49	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	38
+	319	47
+	306	42
+	4	306	38	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	190	261
+	209	254
+	192	263
+	4	190	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	211	257
+	192	263
+	209	254
+	4	211	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	192	263
+	211	257
+	193	266
+	4	192	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	30	182
+	30	153
+	30	183
+	4	30	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	30	153
+	30	182
+	30	152
+	4	30	153	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	304	44
+	314	51
+	302	45
+	4	304	44	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	314	51
+	304	44
+	317	49
+	4	314	51	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	273	15
+	254	12
+	270	15
+	4	273	15	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	251	14
+	270	15
+	254	12
+	4	251	14	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	175
+	267	221
+	271	175
+	4	268	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	267	221
+	268	175
+	264	221
+	4	267	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	178	246
+	153	248
+	181	247
+	4	178	246	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	153	248
+	178	246
+	150	248
+	4	153	248	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	381	223
+	377	211
+	381	220
+	4	381	223	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	375	209
+	381	220
+	377	211
+	4	375	209	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	119
+	172	120
+	139	116
+	4	141	119	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	172	120
+	141	119
+	173	123
+	4	172	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	211	259
+	193	266
+	211	257
+	4	211	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	193	266
+	211	259
+	193	269
+	4	193	266	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	251	20
+	266	20
+	251	17
+	4	251	20	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	266	20
+	251	20
+	267	23
+	4	266	20	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	369	210
+	375	217
+	372	208
+	4	369	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	375	217
+	369	210
+	372	218
+	4	375	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	212	87
+	241	122
+	211	86
+	4	212	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	241	122
+	212	87
+	242	123
+	4	241	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	317
+	337	304
+	332	315
+	4	329	317	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	338	301
+	332	315
+	337	304
+	4	338	301	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	319	47
+	306	38
+	320	44
+	4	319	47	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	36
+	320	44
+	306	38
+	4	305	36	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	381	220
+	375	209
+	379	217
+	4	381	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	372	208
+	379	217
+	375	209
+	4	372	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	379	217
+	372	208
+	375	217
+	4	379	217	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	284
+	66	307
+	47	286
+	4	48	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	67	307
+	47	286
+	66	307
+	4	67	307	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	45
+	311	50
+	299	45
+	4	302	45	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	50
+	302	45
+	314	51
+	4	311	50	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	297
+	327	306
+	332	295
+	4	329	297	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	327	306
+	329	297
+	324	307
+	4	327	306	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	352
+	149	357
+	126	352
+	4	125	352	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	355
+	126	352
+	149	357
+	4	150	355	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	123
+	140	123
+	172	126
+	4	173	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	125
+	172	126
+	140	123
+	4	138	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	188	261
+	207	252
+	190	261
+	4	188	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	209	254
+	190	261
+	207	252
+	4	209	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	263	171
+	246	127
+	260	171
+	4	263	171	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	245	127
+	260	171
+	246	127
+	4	245	127	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	152	8
+	131	21
+	151	11
+	4	152	8	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	132	24
+	151	11
+	131	21
+	4	132	24	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	261	221
+	262	175
+	258	220
+	4	261	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	261	174
+	258	220
+	262	175
+	4	261	174	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	270	15
+	251	14
+	268	17
+	4	270	15	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	251	17
+	268	17
+	251	14
+	4	251	17	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	123
+	173	123
+	141	119
+	4	140	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	204	14
+	220	12
+	202	12
+	4	204	14	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	220	12
+	204	14
+	222	13
+	4	220	12	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	151	11
+	132	24
+	152	14
+	4	151	11	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	4
+	204	3
+	223	2
+	4	225	4	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	4
+	223	2
+	204	3
+	4	202	4	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	268	17
+	251	17
+	266	20
+	4	268	17	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	76	61
+	94	45
+	77	64
+	4	76	61	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	94	45
+	76	61
+	93	43
+	4	94	45	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	73	59
+	93	43
+	76	61
+	4	73	59	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	93	43
+	73	59
+	91	40
+	4	93	43	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	71	58
+	91	40
+	73	59
+	4	71	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	240
+	179	236
+	151	238
+	4	148	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	182	237
+	151	238
+	179	236
+	4	182	237	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	74	300
+	55	282
+	73	302
+	4	74	300	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	282
+	74	300
+	56	280
+	4	55	282	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	332	315
+	338	301
+	333	313
+	4	332	315	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	338	298
+	333	313
+	338	301
+	4	338	298	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	176	244
+	150	248
+	178	246
+	4	176	244	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	150	248
+	176	244
+	148	246
+	4	150	248	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	249	126
+	266	170
+	252	125
+	4	249	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	170
+	249	126
+	263	171
+	4	266	170	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	209	261
+	193	269
+	211	259
+	4	209	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	193	269
+	209	261
+	192	270
+	4	193	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	320	44
+	305	36
+	318	41
+	4	320	44	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	35
+	318	41
+	305	36
+	4	302	35	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	151	349
+	130	348
+	151	352
+	4	151	349	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	348
+	151	349
+	130	345
+	4	130	348	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	265	175
+	264	221
+	268	175
+	4	265	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	221
+	265	175
+	261	221
+	4	264	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	332	295
+	330	307
+	335	296
+	4	332	295	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	330	307
+	332	295
+	327	306
+	4	330	307	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	203	93
+	233	129
+	204	94
+	4	203	93	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	235	129
+	204	94
+	233	129
+	4	235	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	45
+	310	47
+	297	42
+	4	299	45	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	310	47
+	299	45
+	311	50
+	4	310	47	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	22	150
+	19	183
+	20	151
+	4	22	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	20	184
+	20	151
+	19	183
+	4	20	184	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	127
+	263	171
+	249	126
+	4	246	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	176	114
+	158	104
+	177	111
+	4	176	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	101
+	177	111
+	158	104
+	4	160	101	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	177	111
+	160	101
+	178	108
+	4	177	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	262	175
+	261	221
+	265	175
+	4	262	175	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	219	256
+	249	225
+	221	257
+	4	219	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	227
+	221	257
+	249	225
+	4	252	227	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	257
+	252	227
+	223	260
+	4	221	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	99
+	178	108
+	160	101
+	4	162	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	178	108
+	162	99
+	180	107
+	4	178	108	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	333	313
+	338	298
+	333	310
+	4	333	313	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	335	296
+	333	310
+	338	298
+	4	335	296	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	183
+	29	154
+	28	184
+	4	30	183	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	29	154
+	30	183
+	30	153
+	4	29	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	333	310
+	335	296
+	330	307
+	4	333	310	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	253	229
+	223	260
+	252	227
+	4	253	229	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	223	260
+	253	229
+	224	262
+	4	223	260	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	352
+	150	355
+	128	351
+	4	126	352	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	151	352
+	128	351
+	150	355
+	4	151	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	147	243
+	177	237
+	148	240
+	4	147	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	236
+	148	240
+	177	237
+	4	179	236	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	77	64
+	94	47
+	76	65
+	4	77	64	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	94	47
+	77	64
+	94	45
+	4	94	47	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	91	40
+	71	58
+	89	38
+	4	91	40	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	69	58
+	89	38
+	71	58
+	4	69	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	176	240
+	148	246
+	176	244
+	4	176	240	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	148	246
+	176	240
+	147	243
+	4	148	246	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	207	252
+	188	261
+	205	251
+	4	207	252	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	186	262
+	205	251
+	188	261
+	4	186	262	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	351
+	151	352
+	130	348
+	4	128	351	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	211	89
+	242	123
+	212	87
+	4	211	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	242	123
+	211	89
+	241	125
+	4	242	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	12
+	219	9
+	201	9
+	4	202	12	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	219	9
+	202	12
+	220	12
+	4	219	9	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	223	2
+	202	4
+	221	3
+	4	223	2	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	6
+	221	3
+	202	4
+	4	201	6	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	318	41
+	302	35
+	315	40
+	4	318	41	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	299	36
+	315	40
+	302	35
+	4	299	36	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	178	116
+	159	108
+	176	114
+	4	178	116	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	158	104
+	176	114
+	159	108
+	4	158	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	286
+	67	307
+	48	286
+	4	47	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	69	307
+	48	286
+	67	307
+	4	69	307	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	177	237
+	147	243
+	176	240
+	4	177	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	297	42
+	310	44
+	298	39
+	4	297	42	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	44
+	297	42
+	310	47
+	4	310	44	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	256
+	246	223
+	219	256
+	4	217	256	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	249	225
+	219	256
+	246	223
+	4	249	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	99
+	180	107
+	162	99
+	4	164	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	180	107
+	164	99
+	183	107
+	4	180	107	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	73	302
+	53	284
+	71	305
+	4	73	302	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	53	284
+	73	302
+	55	282
+	4	53	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	226
+	171	234
+	149	230
+	4	149	226	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	169	237
+	149	230
+	171	234
+	4	169	237	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	230
+	169	237
+	146	232
+	4	149	230	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	207	260
+	192	270
+	209	261
+	4	207	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	192	270
+	207	260
+	190	270
+	4	192	270	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	315	40
+	299	36
+	312	41
+	4	315	40	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	298	39
+	312	41
+	299	36
+	4	298	39	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	224
+	172	231
+	149	226
+	4	148	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	234
+	149	226
+	172	231
+	4	171	234	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	312	41
+	298	39
+	310	44
+	4	312	41	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	127
+	206	94
+	235	129
+	4	238	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	94
+	235	129
+	206	94
+	4	204	94	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	252	230
+	224	262
+	253	229
+	4	252	230	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	224	262
+	252	230
+	224	264
+	4	224	262	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	9
+	219	5
+	201	6
+	4	201	9	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	219	5
+	201	9
+	219	9
+	4	219	5	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	221	3
+	201	6
+	219	5
+	4	221	3	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	237
+	146	232
+	169	237
+	4	166	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	232
+	166	237
+	143	233
+	4	146	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	20	151
+	20	184
+	20	152
+	4	20	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	22	184
+	20	152
+	20	184
+	4	22	184	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	209	92
+	241	125
+	211	89
+	4	209	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	125
+	209	92
+	238	127
+	4	241	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	28	184
+	26	154
+	25	184
+	4	28	184	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	26	154
+	28	184
+	29	154
+	4	26	154	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	193	363
+	172	361
+	193	360
+	4	193	363	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	172	361
+	193	363
+	172	364
+	4	172	361	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	194	366
+	172	364
+	193	363
+	4	194	366	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	231
+	148	224
+	171	228
+	4	172	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	145	222
+	171	228
+	148	224
+	4	145	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	48	286
+	69	307
+	50	286
+	4	48	286	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	305
+	50	286
+	69	307
+	4	71	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	360
+	174	358
+	194	357
+	4	193	360	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	358
+	193	360
+	172	361
+	4	174	358	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	76	65
+	92	47
+	74	65
+	4	76	65	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	92	47
+	76	65
+	94	47
+	4	92	47	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	50	286
+	71	305
+	53	284
+	4	50	286	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	186	265
+	203	252
+	186	262
+	4	186	265	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	205	251
+	186	262
+	203	252
+	4	205	251	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	89	38
+	69	58
+	87	38
+	4	89	38	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	68	59
+	87	38
+	69	58
+	4	68	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	180	116
+	160	109
+	178	116
+	4	180	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	108
+	178	116
+	160	109
+	4	159	108	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	206	94
+	238	127
+	209	92
+	4	206	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	235
+	143	233
+	166	237
+	4	164	235	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	233
+	164	235
+	141	232
+	4	143	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	166	101
+	183	107
+	164	99
+	4	166	101	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	183	107
+	166	101
+	184	108
+	4	183	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	223
+	217	256
+	244	223
+	4	246	223	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	216	258
+	244	223
+	217	256
+	4	216	258	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	204	258
+	190	270
+	207	260
+	4	204	258	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	190	270
+	204	258
+	187	268
+	4	190	270	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	172	364
+	194	366
+	173	367
+	4	172	364	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	196	367
+	173	367
+	194	366
+	4	196	367	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	158	14
+	176	12
+	157	16
+	4	158	14	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	176	12
+	158	14
+	177	10
+	4	176	12	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	157	11
+	177	10
+	158	14
+	4	157	11	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	142	223
+	168	226
+	145	222
+	4	142	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	171	228
+	145	222
+	168	226
+	4	171	228	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	20	152
+	22	184
+	22	153
+	4	20	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	25	184
+	22	153
+	22	184
+	4	25	184	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	177	10
+	157	11
+	177	6
+	4	177	10	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	155	8
+	177	6
+	157	11
+	4	155	8	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	22	153
+	25	184
+	26	154
+	4	22	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	357
+	176	358
+	196	357
+	4	194	357	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	176	358
+	194	357
+	174	358
+	4	176	358	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	124	347
+	103	334
+	126	344
+	4	124	347	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	103	334
+	124	347
+	101	337
+	4	103	334	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	124	350
+	101	337
+	124	347
+	4	124	350	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	344
+	105	332
+	127	342
+	4	126	344	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	332
+	126	344
+	103	334
+	4	105	332	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	230
+	224	264
+	252	230
+	4	250	230	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	224	264
+	250	230
+	222	265
+	4	224	264	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	292	339
+	278	346
+	290	336
+	4	292	339	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	278	346
+	292	339
+	280	349
+	4	278	346	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	294	340
+	280	349
+	292	339
+	4	294	340	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	290	336
+	278	342
+	290	333
+	4	290	336	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	278	342
+	290	336
+	278	346
+	4	278	342	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	187	268
+	203	255
+	186	265
+	4	187	268	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	252
+	186	265
+	203	255
+	4	203	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	162	232
+	141	232
+	164	235
+	4	162	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	232
+	162	232
+	139	229
+	4	141	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	203	255
+	187	268
+	204	258
+	4	203	255	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	53	280
+	40	255
+	55	279
+	4	53	280	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	40	255
+	53	280
+	38	255
+	4	40	255	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	50	282
+	38	255
+	53	280
+	4	50	282	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	255
+	50	282
+	34	256
+	4	38	255	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	48	284
+	34	256
+	50	282
+	4	48	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	160	109
+	180	116
+	162	109
+	4	160	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	182	114
+	162	109
+	180	116
+	4	182	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	226
+	165	226
+	142	223
+	4	140	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	168	226
+	142	223
+	165	226
+	4	168	226	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	157	16
+	175	14
+	156	18
+	4	157	16	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	175	14
+	157	16
+	176	12
+	4	175	14	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	280	349
+	294	340
+	282	350
+	4	280	349	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	297	340
+	282	350
+	294	340
+	4	297	340	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	290	333
+	281	340
+	292	331
+	4	290	333	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	340
+	290	333
+	278	342
+	4	281	340	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	74	65
+	89	45
+	72	63
+	4	74	65	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	89	45
+	74	65
+	92	47
+	4	89	45	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	87	38
+	68	59
+	86	40
+	4	87	38	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	69	61
+	86	40
+	68	59
+	4	69	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	104
+	184	108
+	166	101
+	4	166	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	184	108
+	166	104
+	184	111
+	4	184	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	163	229
+	139	229
+	162	232
+	4	163	229	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	139	229
+	163	229
+	140	226
+	4	139	229	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	337
+	124	350
+	101	340
+	4	101	337	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	352
+	101	340
+	124	350
+	4	125	352	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	177	6
+	155	8
+	176	4
+	4	177	6	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	153	7
+	176	4
+	155	8
+	4	153	7	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	165	226
+	140	226
+	163	229
+	4	165	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	342
+	107	333
+	129	342
+	4	127	342	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	333
+	127	342
+	105	332
+	4	107	333	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	173	367
+	196	367
+	174	369
+	4	173	367	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	367
+	174	369
+	196	367
+	4	198	367	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	28	151
+	36	123
+	30	152
+	4	28	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	36	123
+	28	151
+	34	122
+	4	36	123	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	25	150
+	34	122
+	28	151
+	4	25	150	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	217	261
+	243	225
+	216	258
+	4	217	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	223
+	216	258
+	243	225
+	4	244	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	34	122
+	25	150
+	30	121
+	4	34	122	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	22	150
+	30	121
+	25	150
+	4	22	150	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	253	221
+	268	177
+	255	221
+	4	253	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	178
+	255	221
+	268	177
+	4	272	178	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	255	221
+	272	178
+	258	222
+	4	255	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	179
+	258	222
+	272	178
+	4	274	179	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	222
+	274	179
+	260	224
+	4	258	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	196	357
+	178	360
+	198	359
+	4	196	357	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	360
+	196	357
+	176	358
+	4	178	360	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	184	111
+	165	107
+	182	114
+	4	184	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	109
+	182	114
+	165	107
+	4	162	109	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	279
+	41	255
+	56	280
+	4	55	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	255
+	55	279
+	40	255
+	4	41	255	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	34	256
+	48	284
+	32	258
+	4	34	256	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	47	286
+	32	258
+	48	284
+	4	47	286	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	262	172
+	260	124
+	265	172
+	4	262	172	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	263	124
+	265	172
+	260	124
+	4	263	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	172
+	263	124
+	268	172
+	4	265	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	107
+	184	111
+	166	104
+	4	165	107	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	243	359
+	226	362
+	243	356
+	4	243	359	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	226	362
+	243	359
+	226	365
+	4	226	362	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	246	361
+	226	365
+	243	359
+	4	246	361	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	243	356
+	227	359
+	244	353
+	4	243	356	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	227	359
+	243	356
+	226	362
+	4	227	359	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	229
+	222	265
+	250	230
+	4	247	229	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	222	265
+	247	229
+	219	263
+	4	222	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	282	350
+	297	340
+	285	350
+	4	282	350	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	338
+	285	350
+	297	340
+	4	299	338	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	292	331
+	284	340
+	295	331
+	4	292	331	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	340
+	292	331
+	281	340
+	4	284	340	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	124
+	268	172
+	263	124
+	4	266	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	172
+	266	124
+	271	172
+	4	268	172	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	72	63
+	87	42
+	69	61
+	4	72	63	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	87	42
+	72	63
+	89	45
+	4	87	42	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	86	40
+	69	61
+	87	42
+	4	86	40	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	343	80
+	348	88
+	340	81
+	4	343	80	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	348	88
+	343	80
+	351	87
+	4	348	88	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	345	78
+	351	87
+	343	80
+	4	345	78	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	351	87
+	345	78
+	354	85
+	4	351	87	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	346	75
+	354	85
+	345	78
+	4	346	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	189	102
+	172	87
+	191	99
+	4	189	102	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	174	85
+	191	99
+	172	87
+	4	174	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	99
+	174	85
+	193	96
+	4	191	99	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	212
+	158	224
+	142	215
+	4	144	212	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	225
+	142	215
+	158	224
+	4	155	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	142	215
+	155	225
+	139	216
+	4	142	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	251	221
+	266	177
+	253	221
+	4	251	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	177
+	253	221
+	266	177
+	4	268	177	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	156	18
+	173	13
+	154	17
+	4	156	18	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	173	13
+	156	18
+	175	14
+	4	173	13	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	143	209
+	159	220
+	144	212
+	4	143	209	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	224
+	144	212
+	159	220
+	4	158	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	152
+	36	124
+	30	153
+	4	30	152	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	36	124
+	30	152
+	36	123
+	4	36	124	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	124
+	238	101
+	249	123
+	4	246	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	241	100
+	249	123
+	238	101
+	4	241	100	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	123
+	241	100
+	252	122
+	4	249	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	340	81
+	346	86
+	337	79
+	4	340	81	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	346	86
+	340	81
+	348	88
+	4	346	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	219	263
+	244	227
+	217	261
+	4	219	263	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	225
+	217	261
+	244	227
+	4	243	225	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	30	121
+	22	150
+	28	120
+	4	30	121	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	20	151
+	28	120
+	22	150
+	4	20	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	226	365
+	246	361
+	228	368
+	4	226	365	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	362
+	228	368
+	246	361
+	4	248	362	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	354	85
+	346	75
+	355	82
+	4	354	85	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	345	72
+	355	82
+	346	75
+	4	345	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	225
+	139	216
+	155	225
+	4	152	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	216
+	152	225
+	136	216
+	4	139	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	244	353
+	229	358
+	246	352
+	4	244	353	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	358
+	244	353
+	227	359
+	4	229	358	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	245	126
+	236	103
+	246	124
+	4	245	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	101
+	246	124
+	236	103
+	4	238	101	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	176	84
+	193	96
+	174	85
+	4	176	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	193	96
+	176	84
+	195	95
+	4	193	96	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	261	174
+	257	125
+	262	172
+	4	261	174	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	260	124
+	262	172
+	257	125
+	4	260	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	244	227
+	219	263
+	247	229
+	4	244	227	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	340
+	125	352
+	101	342
+	4	101	340	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	352
+	101	342
+	125	352
+	4	126	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	189	104
+	170	90
+	189	102
+	4	189	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	87
+	189	102
+	170	90
+	4	172	87	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	174	369
+	198	367
+	177	368
+	4	174	369	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	199	365
+	177	368
+	198	367
+	4	199	365	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	159	220
+	143	209
+	159	217
+	4	159	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	206
+	159	217
+	143	209
+	4	141	206	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	176	4
+	153	7
+	174	3
+	4	176	4	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	152	8
+	174	3
+	153	7
+	4	152	8	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	285	350
+	299	338
+	287	348
+	4	285	350	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	300	335
+	287	348
+	299	338
+	4	300	335	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	180
+	260	224
+	274	179
+	4	274	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	224
+	274	180
+	261	226
+	4	260	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	342
+	108	335
+	130	345
+	4	129	342	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	108	335
+	129	342
+	107	333
+	4	108	335	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	295	331
+	286	342
+	298	332
+	4	295	331	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	286	342
+	295	331
+	284	340
+	4	286	342	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	198	359
+	179	363
+	199	362
+	4	198	359	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	179	363
+	198	359
+	178	360
+	4	179	363	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	337	79
+	345	83
+	336	76
+	4	337	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	345	83
+	337	79
+	346	86
+	4	345	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	125
+	271	172
+	266	124
+	4	267	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	271	172
+	267	125
+	272	174
+	4	271	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	150	223
+	136	216
+	152	225
+	4	150	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	216
+	150	223
+	134	214
+	4	136	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	355	82
+	345	72
+	355	79
+	4	355	82	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	343	70
+	355	79
+	345	72
+	4	343	70	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	376	172
+	376	178
+	373	170
+	4	376	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	376	178
+	376	172
+	379	180
+	4	376	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	379	172
+	379	180
+	376	172
+	4	379	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	379	180
+	379	172
+	383	179
+	4	379	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	381	169
+	383	179
+	379	172
+	4	381	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	243	100
+	252	122
+	241	100
+	4	243	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	122
+	243	100
+	254	122
+	4	252	122	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	56	280
+	41	257
+	55	282
+	4	56	280	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	41	257
+	56	280
+	41	255
+	4	41	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	206
+	157	215
+	141	206
+	4	138	206	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	159	217
+	141	206
+	157	215
+	4	159	217	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	287	348
+	300	335
+	288	345
+	4	287	348	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	298	332
+	288	345
+	300	335
+	4	298	332	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	288	345
+	298	332
+	286	342
+	4	288	345	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	93	43
+	113	32
+	94	45
+	4	93	43	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	113	32
+	93	43
+	112	30
+	4	113	32	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	91	40
+	112	30
+	93	43
+	4	91	40	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	32	258
+	47	286
+	31	260
+	4	32	258	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	48	286
+	31	260
+	47	286
+	4	48	286	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	373	170
+	375	175
+	372	167
+	4	373	170	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	375	175
+	373	170
+	376	178
+	4	375	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	383	179
+	381	169
+	385	177
+	4	383	179	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	382	166
+	385	177
+	381	169
+	4	382	166	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	112	30
+	91	40
+	111	27
+	4	112	30	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	89	38
+	111	27
+	91	40
+	4	89	38	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	368
+	199	365
+	178	366
+	4	177	368	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	199	362
+	178	366
+	199	365
+	4	199	362	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	368
+	248	362
+	230	369
+	4	228	368	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	361
+	230	369
+	248	362
+	4	250	361	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	352
+	232	358
+	248	353
+	4	246	352	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	232	358
+	246	352
+	229	358
+	4	232	358	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	178	366
+	199	362
+	179	363
+	4	178	366	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	219
+	134	214
+	150	223
+	4	149	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	214
+	149	219
+	133	210
+	4	134	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	336	76
+	346	80
+	337	73
+	4	336	76	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	346	80
+	336	76
+	345	83
+	4	346	80	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	154	17
+	172	10
+	152	14
+	4	154	17	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	172	10
+	154	17
+	173	13
+	4	172	10	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	245	127
+	234	105
+	245	126
+	4	245	127	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	236	103
+	245	126
+	234	105
+	4	236	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	372	167
+	376	172
+	372	164
+	4	372	167	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	376	172
+	372	167
+	375	175
+	4	376	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	177
+	251	221
+	264	178
+	4	266	177	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	223
+	264	178
+	251	221
+	4	251	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	355	79
+	343	70
+	352	77
+	4	355	79	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	340	71
+	352	77
+	343	70
+	4	340	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	85
+	195	95
+	176	84
+	4	177	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	195	95
+	177	85
+	197	96
+	4	195	95	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	207
+	154	214
+	138	206
+	4	135	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	215
+	138	206
+	154	214
+	4	157	215	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	105
+	170	93
+	189	104
+	4	191	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	170	90
+	189	104
+	170	93
+	4	170	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	153
+	35	125
+	29	154
+	4	30	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	35	125
+	30	153
+	36	124
+	4	35	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	385	177
+	382	166
+	386	174
+	4	385	177	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	381	163
+	386	174
+	382	166
+	4	381	163	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	226	10
+	240	16
+	224	12
+	4	226	10	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	240	16
+	226	10
+	242	14
+	4	240	16	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	226	7
+	242	14
+	226	10
+	4	226	7	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	355	269
+	350	275
+	354	266
+	4	355	269	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	350	275
+	355	269
+	352	279
+	4	350	275	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	358	271
+	352	279
+	355	269
+	4	358	271	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	151	216
+	133	210
+	149	219
+	4	151	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	210
+	151	216
+	135	207
+	4	133	210	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	28	120
+	20	151
+	26	121
+	4	28	120	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	20	152
+	26	121
+	20	151
+	4	20	152	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	352	279
+	358	271
+	355	280
+	4	352	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	361	270
+	355	280
+	358	271
+	4	361	270	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	337	73
+	349	78
+	340	71
+	4	337	73	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	349	78
+	337	73
+	346	80
+	4	349	78	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	174	3
+	152	8
+	172	4
+	4	174	3	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	151	11
+	172	4
+	152	8
+	4	151	11	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	352	77
+	340	71
+	349	78
+	4	352	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	342
+	126	352
+	103	342
+	4	101	342	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	351
+	103	342
+	126	352
+	4	128	351	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	214
+	135	207
+	151	216
+	4	154	214	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	94	45
+	112	34
+	94	47
+	4	94	45	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	112	34
+	94	45
+	113	32
+	4	112	34	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	372	164
+	378	170
+	375	162
+	4	372	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	378	170
+	372	164
+	376	172
+	4	378	170	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	257	125
+	261	174
+	256	126
+	4	257	125	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	262	175
+	256	126
+	261	174
+	4	262	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	207	252
+	242	228
+	209	254
+	4	207	252	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	231
+	209	254
+	242	228
+	4	243	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	209	254
+	243	231
+	211	257
+	4	209	254	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	130	345
+	107	338
+	130	348
+	4	130	345	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	338
+	130	345
+	108	335
+	4	107	338	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	354	266
+	351	272
+	354	263
+	4	354	266	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	351	272
+	354	266
+	350	275
+	4	351	272	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	242	14
+	226	7
+	243	11
+	4	242	14	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	225	4
+	243	11
+	226	7
+	4	225	4	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	386	174
+	381	163
+	385	171
+	4	386	174	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	378	162
+	385	171
+	381	163
+	4	378	162	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	273	181
+	261	226
+	274	180
+	4	273	181	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	261	226
+	273	181
+	259	226
+	4	261	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	375	162
+	382	169
+	378	162
+	4	375	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	382	169
+	375	162
+	378	170
+	4	382	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	355	280
+	361	270
+	358	280
+	4	355	280	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	364	268
+	358	280
+	361	270
+	4	364	268	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	385	171
+	378	162
+	382	169
+	4	385	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	205	251
+	239	226
+	207	252
+	4	205	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	242	228
+	207	252
+	239	226
+	4	242	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	224	12
+	238	17
+	222	13
+	4	224	12	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	17
+	224	12
+	240	16
+	4	238	17	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	111	27
+	89	38
+	109	25
+	4	111	27	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	87	38
+	109	25
+	89	38
+	4	87	38	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	230	369
+	250	361
+	233	367
+	4	230	369	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	251	358
+	233	367
+	250	361
+	4	251	358	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	126
+	272	174
+	267	125
+	4	266	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	272	174
+	266	126
+	271	175
+	4	272	174	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	354	263
+	353	270
+	357	261
+	4	354	263	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	353	270
+	354	263
+	351	272
+	4	353	270	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	152	14
+	171	7
+	151	11
+	4	152	14	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	171	7
+	152	14
+	172	10
+	4	171	7	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	248	353
+	233	361
+	251	355
+	4	248	353	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	233	361
+	248	353
+	232	358
+	4	233	361	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	101
+	254	122
+	243	100
+	4	243	101	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	254	122
+	243	101
+	254	124
+	4	254	122	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	274	23
+	284	32
+	271	25
+	4	274	23	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	284	32
+	274	23
+	287	30
+	4	284	32	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	275	20
+	287	30
+	274	23
+	4	275	20	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	233
+	211	257
+	243	231
+	4	243	233	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	211	257
+	243	233
+	211	259
+	4	211	257	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	55	282
+	38	259
+	53	284
+	4	55	282	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	38	259
+	55	282
+	41	257
+	4	38	259	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	172	4
+	151	11
+	171	7
+	4	172	4	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	260
+	48	286
+	32	261
+	4	31	260	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	50	286
+	32	261
+	48	286
+	4	50	286	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	30
+	275	20
+	288	27
+	4	287	30	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	275	17
+	288	27
+	275	20
+	4	275	17	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	358	280
+	364	268
+	361	278
+	4	358	280	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	364	265
+	361	278
+	364	268
+	4	364	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	342
+	128	351
+	105	341
+	4	103	342	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	130	348
+	105	341
+	128	351
+	4	130	348	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	105	341
+	130	348
+	107	338
+	4	105	341	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	243	11
+	225	4
+	242	8
+	4	243	11	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	2
+	242	8
+	225	4
+	4	223	2	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	271	25
+	281	32
+	269	25
+	4	271	25	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	32
+	271	25
+	284	32
+	4	281	32	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	357	261
+	357	270
+	360	261
+	4	357	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	357	270
+	357	261
+	353	270
+	4	357	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	88
+	197	96
+	177	85
+	4	177	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	96
+	177	88
+	197	98
+	4	197	96	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	93
+	191	105
+	172	94
+	4	170	93	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	193	104
+	172	94
+	191	105
+	4	193	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	234	105
+	245	127
+	234	106
+	4	234	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	127
+	234	106
+	245	127
+	4	246	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	225
+	264	179
+	251	223
+	4	253	225	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	264	178
+	251	223
+	264	179
+	4	264	178	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	233	367
+	251	358
+	234	365
+	4	233	367	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	355
+	234	365
+	251	358
+	4	251	355	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	234	365
+	251	355
+	233	361
+	4	234	365	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	29	154
+	32	125
+	26	154
+	4	29	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	32	125
+	29	154
+	35	125
+	4	32	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	361	278
+	364	265
+	361	275
+	4	361	278	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	363	262
+	361	275
+	364	265
+	4	363	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	197
+	144	211
+	136	199
+	4	139	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	212
+	136	199
+	144	211
+	4	141	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	199
+	141	212
+	133	199
+	4	136	199	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	360	261
+	360	272
+	363	262
+	4	360	261	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	360	272
+	360	261
+	357	270
+	4	360	272	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	226
+	205	251
+	236	225
+	4	239	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	203	252
+	236	225
+	205	251
+	4	203	252	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	193
+	147	209
+	139	197
+	4	140	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	211
+	139	197
+	147	209
+	4	144	211	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	94	47
+	111	34
+	92	47
+	4	94	47	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	111	34
+	94	47
+	112	34
+	4	111	34	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	26	121
+	20	152
+	26	122
+	4	26	121	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	22	153
+	26	122
+	20	152
+	4	22	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	210
+	133	199
+	141	212
+	4	138	210	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	133	199
+	138	210
+	130	197
+	4	133	199	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	13
+	236	16
+	220	12
+	4	222	13	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	16
+	222	13
+	238	17
+	4	236	16	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	361	275
+	363	262
+	360	272
+	4	361	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	288	27
+	275	17
+	288	24
+	4	288	27	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	15
+	288	24
+	275	17
+	4	273	15	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	175
+	257	127
+	262	175
+	4	265	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	126
+	262	175
+	257	127
+	4	256	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	284
+	35	260
+	50	286
+	4	53	284	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	260
+	53	284
+	38	259
+	4	35	260	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	32	261
+	50	286
+	35	260
+	4	32	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	181
+	259	226
+	273	181
+	4	270	181	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	226
+	270	181
+	256	226
+	4	259	226	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	147	209
+	140	193
+	148	205
+	4	147	209	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	138	190
+	148	205
+	140	193
+	4	138	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	241	234
+	211	259
+	243	233
+	4	241	234	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	211	259
+	241	234
+	209	261
+	4	211	259	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	207
+	130	197
+	138	210
+	4	137	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	197
+	137	207
+	129	195
+	4	130	197	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	109	25
+	87	38
+	107	24
+	4	109	25	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	86	40
+	107	24
+	87	38
+	4	86	40	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	25
+	280	30
+	267	23
+	4	269	25	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	280	30
+	269	25
+	281	32
+	4	280	30	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	263	127
+	271	175
+	266	126
+	4	263	127	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	271	175
+	263	127
+	268	175
+	4	271	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	103
+	254	124
+	243	101
+	4	241	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	254	124
+	241	103
+	252	125
+	4	254	124	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	189
+	146	202
+	138	190
+	4	135	189	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	148	205
+	138	190
+	146	202
+	4	148	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	91
+	197	98
+	177	88
+	4	176	91	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	197	98
+	176	91
+	196	101
+	4	197	98	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	256	226
+	267	180
+	253	225
+	4	256	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	179
+	253	225
+	267	180
+	4	264	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	101
+	174	93
+	193	104
+	4	196	101	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	172	94
+	193	104
+	174	93
+	4	172	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	26	154
+	29	124
+	22	153
+	4	26	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	29	124
+	26	154
+	32	125
+	4	29	124	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	204
+	129	195
+	137	207
+	4	137	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	195
+	137	204
+	130	191
+	4	129	195	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	8
+	223	2
+	241	6
+	4	242	8	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	3
+	241	6
+	223	2
+	4	221	3	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	26	122
+	22	153
+	29	124
+	4	26	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	267	180
+	256	226
+	270	181
+	4	267	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	189
+	143	201
+	135	189
+	4	132	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	202
+	135	189
+	143	201
+	4	146	202	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	126
+	236	106
+	246	127
+	4	249	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	106
+	246	127
+	236	106
+	4	234	106	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	177	10
+	194	13
+	176	12
+	4	177	10	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	194	13
+	177	10
+	196	10
+	4	194	13	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	177	6
+	196	10
+	177	10
+	4	177	6	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	201
+	130	191
+	137	204
+	4	140	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	191
+	140	201
+	132	189
+	4	130	191	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	24
+	273	15
+	287	22
+	4	288	24	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	270	15
+	287	22
+	273	15
+	4	270	15	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	175
+	260	127
+	265	175
+	4	268	175	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	257	127
+	265	175
+	260	127
+	4	257	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	174	93
+	196	101
+	176	91
+	4	174	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	201
+	132	189
+	140	201
+	4	143	201	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	220	12
+	235	13
+	219	9
+	4	220	12	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	235	13
+	220	12
+	236	16
+	4	235	13	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	260	127
+	268	175
+	263	127
+	4	260	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	203	255
+	235	226
+	203	252
+	4	203	255	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	236	225
+	203	252
+	235	226
+	4	236	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	196	10
+	177	6
+	196	7
+	4	196	10	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	176	4
+	196	7
+	177	6
+	4	176	4	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	92	47
+	109	31
+	89	45
+	4	92	47	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	109	31
+	92	47
+	111	34
+	4	109	31	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	90
+	187	72
+	207	88
+	4	204	90	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	189	70
+	207	88
+	187	72
+	4	189	70	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	207	88
+	189	70
+	209	86
+	4	207	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	108
+	139	99
+	158	104
+	4	159	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	96
+	158	104
+	139	99
+	4	140	96	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	104
+	140	96
+	160	101
+	4	158	104	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	267	23
+	280	27
+	266	20
+	4	267	23	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	280	27
+	267	23
+	280	30
+	4	280	27	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	34	122
+	46	97
+	36	123
+	4	34	122	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	46	97
+	34	122
+	44	95
+	4	46	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	30	121
+	44	95
+	34	122
+	4	30	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	203	93
+	185	75
+	204	90
+	4	203	93	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	72
+	204	90
+	185	75
+	4	187	72	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	38	255
+	30	226
+	40	255
+	4	38	255	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	30	226
+	38	255
+	27	226
+	4	30	226	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	34	256
+	27	226
+	38	255
+	4	34	256	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	176	12
+	193	14
+	175	14
+	4	176	12	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	193	14
+	176	12
+	194	13
+	4	193	14	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	105
+	252	125
+	241	103
+	4	238	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	125
+	238	105
+	249	126
+	4	252	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	44	95
+	30	121
+	41	94
+	4	44	95	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	28	120
+	41	94
+	30	121
+	4	28	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	233
+	209	261
+	241	234
+	4	238	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	261
+	238	233
+	207	260
+	4	209	261	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	142	95
+	160	101
+	140	96
+	4	142	95	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	160	101
+	142	95
+	162	99
+	4	160	101	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	103
+	225	79
+	238	101
+	4	236	103	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	227	78
+	238	101
+	225	79
+	4	227	78	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	238	101
+	227	78
+	241	100
+	4	238	101	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	27	226
+	34	256
+	24	227
+	4	27	226	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	32	258
+	24	227
+	34	256
+	4	32	258	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	107	24
+	86	40
+	107	26
+	4	107	24	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	87	42
+	107	26
+	86	40
+	4	87	42	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	105
+	222	81
+	236	103
+	4	234	105	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	79
+	236	103
+	222	81
+	4	225	79	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	236	106
+	249	126
+	238	105
+	4	236	106	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	6
+	221	3
+	238	7
+	4	241	6	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	219	5
+	238	7
+	221	3
+	4	219	5	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	109
+	139	102
+	159	108
+	4	160	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	99
+	159	108
+	139	102
+	4	139	99	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	287	22
+	270	15
+	284	22
+	4	287	22	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	268	17
+	284	22
+	270	15
+	4	268	17	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	219	9
+	236	9
+	219	5
+	4	219	9	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	9
+	219	9
+	235	13
+	4	236	9	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	191	70
+	209	86
+	189	70
+	4	191	70	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	209	86
+	191	70
+	211	86
+	4	209	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	266	20
+	281	24
+	268	17
+	4	266	20	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	24
+	266	20
+	280	27
+	4	281	24	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	334
+	84	317
+	105	332
+	4	103	334	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	317
+	103	334
+	81	318
+	4	84	317	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	337
+	81	318
+	103	334
+	4	101	337	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	36	123
+	47	99
+	36	124
+	4	36	123	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	47	99
+	36	123
+	46	97
+	4	47	99	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	81	318
+	101	337
+	79	321
+	4	81	318	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	340
+	79	321
+	101	337
+	4	101	340	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	238	7
+	219	5
+	236	9
+	4	238	7	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	40	255
+	31	227
+	41	255
+	4	40	255	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	31	227
+	40	255
+	30	226
+	4	31	227	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	89	45
+	107	28
+	87	42
+	4	89	45	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	107	28
+	89	45
+	109	31
+	4	107	28	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	22
+	268	17
+	281	24
+	4	284	22	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	258
+	234	228
+	203	255
+	4	204	258	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	235	226
+	203	255
+	234	228
+	4	235	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	196	7
+	176	4
+	195	4
+	4	196	7	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	174	3
+	195	4
+	176	4
+	4	174	3	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	94
+	184	78
+	203	93
+	4	204	94	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	185	75
+	203	93
+	184	78
+	4	185	75	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	107	26
+	87	42
+	107	28
+	4	107	26	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	145	96
+	162	99
+	142	95
+	4	145	96	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	162	99
+	145	96
+	164	99
+	4	162	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	228	78
+	241	100
+	227	78
+	4	228	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	100
+	228	78
+	243	100
+	4	241	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	135	180
+	131	196
+	132	181
+	4	135	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	195
+	132	181
+	131	196
+	4	127	195	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	132	181
+	127	195
+	129	181
+	4	132	181	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	193
+	129	181
+	127	195
+	4	125	193	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	129	181
+	125	193
+	127	178
+	4	129	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	230
+	207	260
+	238	233
+	4	236	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	207	260
+	236	230
+	204	258
+	4	207	260	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	41	94
+	28	120
+	39	93
+	4	41	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	26	121
+	39	93
+	28	120
+	4	26	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	24	227
+	32	258
+	21	228
+	4	24	227	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	260
+	21	228
+	32	258
+	4	31	260	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	234	106
+	220	83
+	234	105
+	4	234	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	81
+	234	105
+	220	83
+	4	222	81	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	361
+	152	354
+	174	358
+	4	172	361	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	152	354
+	172	361
+	150	356
+	4	152	354	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	172	364
+	150	356
+	172	361
+	4	172	364	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	178
+	134	194
+	135	180
+	4	137	178	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	131	196
+	135	180
+	134	194
+	4	131	196	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	112	30
+	132	25
+	113	32
+	4	112	30	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	132	25
+	112	30
+	132	22
+	4	132	25	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	111	27
+	132	22
+	112	30
+	4	111	27	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	14
+	191	14
+	173	13
+	4	175	14	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	191	14
+	175	14
+	193	14
+	4	191	14	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	189
+	127	178
+	125	193
+	4	125	189	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	178
+	125	189
+	127	175
+	4	127	178	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	162	109
+	140	105
+	160	109
+	4	162	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	102
+	160	109
+	140	105
+	4	139	102	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	150	356
+	172	364
+	149	360
+	4	150	356	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	173	367
+	149	360
+	172	364
+	4	173	367	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	332
+	86	317
+	107	333
+	4	105	332	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	86	317
+	105	332
+	84	317
+	4	86	317	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	228
+	204	258
+	236	230
+	4	234	228	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	317	49
+	323	59
+	314	51
+	4	317	49	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	323	59
+	317	49
+	326	58
+	4	323	59	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	319	47
+	326	58
+	317	49
+	4	319	47	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	132	22
+	111	27
+	131	18
+	4	132	22	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	109	25
+	131	18
+	111	27
+	4	109	25	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	194
+	137	178
+	136	192
+	4	134	194	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	174
+	136	192
+	137	178
+	4	137	174	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	186
+	127	175
+	125	189
+	4	127	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	175
+	127	186
+	128	172
+	4	127	175	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	326	58
+	319	47
+	328	56
+	4	326	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	320	44
+	328	56
+	319	47
+	4	320	44	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	79	321
+	101	340
+	78	323
+	4	79	321	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	342
+	78	323
+	101	340
+	4	101	342	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	314	51
+	320	58
+	311	50
+	4	314	51	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	320	58
+	314	51
+	323	59
+	4	320	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	358
+	154	354
+	176	358
+	4	174	358	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	354
+	174	358
+	152	354
+	4	154	354	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	113	32
+	132	26
+	112	34
+	4	113	32	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	132	26
+	113	32
+	132	25
+	4	132	26	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	72
+	211	86
+	191	70
+	4	191	72	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	86
+	191	72
+	212	87
+	4	211	86	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	172
+	136	188
+	137	174
+	4	135	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	192
+	137	174
+	136	188
+	4	136	192	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	36	124
+	45	99
+	35	125
+	4	36	124	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	45	99
+	36	124
+	47	99
+	4	45	99	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	130	185
+	128	172
+	127	186
+	4	130	185	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	128	172
+	130	185
+	132	171
+	4	128	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	98
+	164	99
+	145	96
+	4	146	98	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	99
+	146	98
+	166	101
+	4	164	99	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	255
+	30	229
+	41	257
+	4	41	255	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	30	229
+	41	255
+	31	227
+	4	30	229	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	149	360
+	173	367
+	149	363
+	4	149	360	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	174	369
+	149	363
+	173	367
+	4	174	369	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	4
+	174	3
+	194	3
+	4	195	4	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	172	4
+	194	3
+	174	3
+	4	172	4	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	132	171
+	133	186
+	135	172
+	4	132	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	188
+	135	172
+	133	186
+	4	136	188	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	133	186
+	132	171
+	130	185
+	4	133	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	78
+	204	94
+	185	79
+	4	184	78	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	206	94
+	185	79
+	204	94
+	4	206	94	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	328	56
+	320	44
+	329	53
+	4	328	56	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	318	41
+	329	53
+	320	44
+	4	318	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	80
+	243	100
+	228	78
+	4	227	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	243	100
+	227	80
+	243	101
+	4	243	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	50
+	318	56
+	310	47
+	4	311	50	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	318	56
+	311	50
+	320	58
+	4	318	56	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	105
+	162	109
+	142	106
+	4	140	105	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	165	107
+	142	106
+	162	109
+	4	165	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	223
+	271	184
+	249	225
+	4	246	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	274	185
+	249	225
+	271	184
+	4	274	185	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	249	225
+	274	185
+	252	227
+	4	249	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	39	93
+	26	121
+	37	93
+	4	39	93	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	26	122
+	37	93
+	26	121
+	4	26	122	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	131	18
+	109	25
+	130	16
+	4	131	18	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	107	24
+	130	16
+	109	25
+	4	107	24	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	107	333
+	86	319
+	108	335
+	4	107	333	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	86	319
+	107	333
+	86	317
+	4	86	319	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	21	228
+	31	260
+	20	230
+	4	21	228	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	32	261
+	20	230
+	31	260
+	4	32	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	220	83
+	234	106
+	220	85
+	4	220	83	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	106
+	220	85
+	234	106
+	4	236	106	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	173	13
+	190	11
+	172	10
+	4	173	13	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	190	11
+	173	13
+	191	14
+	4	190	11	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	369	127
+	369	134
+	366	126
+	4	369	127	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	369	134
+	369	127
+	373	135
+	4	369	134	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	372	125
+	373	135
+	369	127
+	4	372	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	196	246
+	231	230
+	197	249
+	4	196	246	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	232	233
+	197	249
+	231	230
+	4	232	233	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	249
+	232	233
+	197	252
+	4	197	249	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	323	313
+	313	319
+	323	310
+	4	323	313	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	313	319
+	323	313
+	313	322
+	4	313	319	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	326	316
+	313	322
+	323	313
+	4	326	316	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	366	126
+	367	131
+	364	123
+	4	366	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	367	131
+	366	126
+	369	134
+	4	367	131	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	373	135
+	372	125
+	376	134
+	4	373	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	374	122
+	376	134
+	372	125
+	4	374	122	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	244
+	229	227
+	196	246
+	4	193	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	230
+	196	246
+	229	227
+	4	231	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	90
+	149	79
+	172	87
+	4	170	90	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	151	76
+	172	87
+	149	79
+	4	151	76	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	172	87
+	151	76
+	174	85
+	4	172	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	170	93
+	148	82
+	170	90
+	4	170	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	79
+	170	90
+	148	82
+	4	149	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	223
+	268	182
+	246	223
+	4	244	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	271	184
+	246	223
+	268	182
+	4	271	184	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	176	358
+	156	355
+	178	360
+	4	176	358	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	156	355
+	176	358
+	154	354
+	4	156	355	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	313	322
+	326	316
+	316	325
+	4	313	322	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	329	317
+	316	325
+	326	316
+	4	329	317	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	323	310
+	314	316
+	324	307
+	4	323	310	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	314	316
+	323	310
+	313	319
+	4	314	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	257	125
+	253	100
+	260	124
+	4	257	125	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	256	99
+	260	124
+	253	100
+	4	256	99	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	260	124
+	256	99
+	263	124
+	4	260	124	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	78	323
+	101	342
+	78	325
+	4	78	323	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	342
+	78	325
+	101	342
+	4	103	342	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	187
+	252	227
+	274	185
+	4	275	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	252	227
+	275	187
+	253	229
+	4	252	227	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	102
+	166	101
+	146	98
+	4	146	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	101
+	146	102
+	166	104
+	4	166	101	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	53
+	318	41
+	328	50
+	4	329	53	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	315	40
+	328	50
+	318	41
+	4	315	40	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	112	34
+	130	26
+	111	34
+	4	112	34	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	130	26
+	112	34
+	132	26
+	4	130	26	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	364	123
+	367	128
+	364	120
+	4	364	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	367	128
+	364	123
+	367	131
+	4	367	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	310	47
+	319	52
+	310	44
+	4	310	47	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	319	52
+	310	47
+	318	56
+	4	319	52	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	376	134
+	374	122
+	378	131
+	4	376	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	374	119
+	378	131
+	374	122
+	4	374	119	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	190	75
+	212	87
+	191	72
+	4	190	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	212	87
+	190	75
+	211	89
+	4	212	87	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	98
+	263	124
+	256	99
+	4	259	98	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	263	124
+	259	98
+	266	124
+	4	263	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	104
+	145	105
+	165	107
+	4	166	104	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	142	106
+	165	107
+	145	105
+	4	142	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	163
+	121	168
+	128	162
+	4	131	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	119	165
+	128	162
+	121	168
+	4	119	165	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	162
+	119	165
+	126	159
+	4	128	162	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	149	363
+	174	369
+	151	364
+	4	149	363	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	368
+	151	364
+	174	369
+	4	177	368	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	119	162
+	126	159
+	119	165
+	4	119	162	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	159
+	119	162
+	127	155
+	4	126	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	235
+	197	252
+	232	233
+	4	231	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	252
+	231	235
+	196	254
+	4	197	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	3
+	172	4
+	192	5
+	4	194	3	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	171	7
+	192	5
+	172	4
+	4	171	7	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	35	125
+	43	98
+	32	125
+	4	35	125	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	43	98
+	35	125
+	45	99
+	4	43	98	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	316	325
+	329	317
+	319	326
+	4	316	325	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	332	315
+	319	326
+	329	317
+	4	332	315	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	324	307
+	317	314
+	327	306
+	4	324	307	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	317	314
+	324	307
+	314	316
+	4	317	314	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	145	105
+	166	104
+	146	102
+	4	145	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	266	177
+	272	153
+	268	177
+	4	266	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	275	153
+	268	177
+	272	153
+	4	275	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	177
+	275	153
+	272	178
+	4	268	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	163
+	124	169
+	131	163
+	4	134	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	121	168
+	131	163
+	124	169
+	4	121	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	227
+	193	244
+	227	225
+	4	229	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	245
+	227	225
+	193	244
+	4	191	245	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	257
+	28	230
+	38	259
+	4	41	257	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	28	230
+	41	257
+	30	229
+	4	28	230	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	153	76
+	174	85
+	151	76
+	4	153	76	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	174	85
+	153	76
+	176	84
+	4	174	85	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	209	92
+	186	79
+	206	94
+	4	209	92	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	185	79
+	206	94
+	186	79
+	4	185	79	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	172	94
+	149	85
+	170	93
+	4	172	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	82
+	170	93
+	149	85
+	4	148	82	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	172	10
+	191	7
+	171	7
+	4	172	10	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	191	7
+	172	10
+	190	11
+	4	191	7	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	364	120
+	369	125
+	366	117
+	4	364	120	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	369	125
+	364	120
+	367	128
+	4	369	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	378	131
+	374	119
+	378	128
+	4	378	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	372	117
+	378	128
+	374	119
+	4	372	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	159
+	127	155
+	119	162
+	4	121	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	155
+	121	159
+	129	153
+	4	127	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	126
+	250	101
+	257	125
+	4	256	126	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	100
+	257	125
+	250	101
+	4	253	100	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	328	50
+	315	40
+	325	49
+	4	328	50	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	312	41
+	325	49
+	315	40
+	4	312	41	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	277	154
+	272	178
+	275	153
+	4	277	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	178
+	277	154
+	274	179
+	4	272	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	82
+	243	101
+	227	80
+	4	225	82	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	243	101
+	225	82
+	241	103
+	4	243	101	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	310	44
+	321	50
+	312	41
+	4	310	44	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	321	50
+	310	44
+	319	52
+	4	321	50	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	242	14
+	253	24
+	240	16
+	4	242	14	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	253	24
+	242	14
+	256	22
+	4	253	24	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	11
+	256	22
+	242	14
+	4	243	11	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	37	93
+	26	122
+	37	95
+	4	37	93	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	29	124
+	37	95
+	26	122
+	4	29	124	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	108	335
+	85	322
+	107	338
+	4	108	335	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	85	322
+	108	335
+	86	319
+	4	85	322	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	192	5
+	171	7
+	191	7
+	4	192	5	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	20	230
+	32	261
+	21	231
+	4	20	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	35	260
+	21	231
+	32	261
+	4	35	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	268	182
+	244	223
+	265	182
+	4	268	182	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	243	225
+	265	182
+	244	223
+	4	243	225	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	238	105
+	220	85
+	236	106
+	4	238	105	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	85
+	236	106
+	220	85
+	4	220	85	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	366	117
+	372	124
+	369	116
+	4	366	117	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	372	124
+	366	117
+	369	125
+	4	372	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	160
+	127	169
+	134	163
+	4	136	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	124	169
+	134	163
+	127	169
+	4	124	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	378	128
+	372	117
+	376	125
+	4	378	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	369	116
+	376	125
+	372	117
+	4	369	116	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	325	49
+	312	41
+	321	50
+	4	325	49	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	16
+	107	24
+	128	16
+	4	130	16	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	107	26
+	128	16
+	107	24
+	4	107	26	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	178	360
+	156	358
+	179	363
+	4	178	360	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	156	358
+	178	360
+	156	355
+	4	156	358	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	319	326
+	332	315
+	322	324
+	4	319	326	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	333	313
+	322	324
+	332	315
+	4	333	313	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	327	306
+	320	315
+	330	307
+	4	327	306	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	320	315
+	327	306
+	317	314
+	4	320	315	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	240	16
+	251	25
+	238	17
+	4	240	16	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	25
+	240	16
+	253	24
+	4	251	25	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	188	77
+	211	89
+	190	75
+	4	188	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	211	89
+	188	77
+	209	92
+	4	211	89	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	376	125
+	369	116
+	372	124
+	4	376	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	264	178
+	269	153
+	266	177
+	4	264	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	153
+	266	177
+	269	153
+	4	272	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	159
+	129	153
+	121	159
+	4	125	159	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	129	153
+	125	159
+	132	153
+	4	129	153	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	274	188
+	253	229
+	275	187
+	4	274	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	253	229
+	274	188
+	252	230
+	4	253	229	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	256	22
+	243	11
+	257	19
+	4	256	22	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	242	8
+	257	19
+	243	11
+	4	242	8	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	325
+	103	342
+	80	326
+	4	78	325	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	341
+	80	326
+	103	342
+	4	105	341	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	186	79
+	209	92
+	188	77
+	4	186	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	99
+	266	124
+	259	98
+	4	259	99	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	124
+	259	99
+	267	125
+	4	266	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	151	364
+	177	368
+	153	364
+	4	151	364	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	178	366
+	153	364
+	177	368
+	4	178	366	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	235
+	196	254
+	231	235
+	4	229	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	196	254
+	229	235
+	194	255
+	4	196	254	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	32	125
+	40	97
+	29	124
+	4	32	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	40	97
+	32	125
+	43	98
+	4	40	97	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	373	227
+	368	232
+	371	224
+	4	373	227	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	368	232
+	373	227
+	371	235
+	4	368	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	376	227
+	371	235
+	373	227
+	4	376	227	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	196	10
+	211	18
+	194	13
+	4	196	10	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	18
+	196	10
+	212	15
+	4	211	18	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	196	7
+	212	15
+	196	10
+	4	196	7	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	220	83
+	203	62
+	222	81
+	4	220	83	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	206	59
+	222	81
+	203	62
+	4	206	59	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	222	81
+	206	59
+	225	79
+	4	222	81	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	38	259
+	24	231
+	35	260
+	4	38	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	24	231
+	38	259
+	28	230
+	4	24	231	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	371	224
+	368	229
+	370	221
+	4	371	224	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	368	229
+	371	224
+	368	232
+	4	368	229	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	169
+	136	160
+	129	166
+	4	127	169	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	136	157
+	129	166
+	136	160
+	4	136	157	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	111	34
+	129	24
+	109	31
+	4	111	34	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	129	24
+	111	34
+	130	26
+	4	129	24	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	44	95
+	61	76
+	46	97
+	4	44	95	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	61	76
+	44	95
+	59	73
+	4	61	76	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	41	94
+	59	73
+	44	95
+	4	41	94	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	37	95
+	29	124
+	40	97
+	4	37	95	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	322	324
+	333	313
+	323	321
+	4	322	324	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	333	310
+	323	321
+	333	313
+	4	333	310	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	371	235
+	376	227
+	374	236
+	4	371	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	380	226
+	374	236
+	376	227
+	4	380	226	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	330	307
+	323	318
+	333	310
+	4	330	307	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	323	318
+	330	307
+	320	315
+	4	323	318	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	21	231
+	35	260
+	24	231
+	4	21	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	189	247
+	225	226
+	191	245
+	4	189	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	225
+	191	245
+	225	226
+	4	227	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	223	84
+	241	103
+	225	82
+	4	223	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	103
+	223	84
+	238	105
+	4	241	103	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	128	160
+	132	153
+	125	159
+	4	128	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	153
+	128	160
+	135	154
+	4	132	153	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	154	77
+	176	84
+	153	76
+	4	154	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	176	84
+	154	77
+	177	85
+	4	176	84	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	220	85
+	238	105
+	223	84
+	4	220	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	85
+	172	94
+	150	87
+	4	149	85	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	174	93
+	150	87
+	172	94
+	4	174	93	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	107	338
+	83	324
+	105	341
+	4	107	338	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	83	324
+	107	338
+	85	322
+	4	83	324	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	370	221
+	370	226
+	372	218
+	4	370	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	370	226
+	370	221
+	368	229
+	4	370	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	155
+	274	179
+	277	154
+	4	278	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	179
+	278	155
+	274	180
+	4	274	179	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	59	73
+	41	94
+	56	71
+	4	59	73	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	39	93
+	56	71
+	41	94
+	4	39	93	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	323	321
+	333	310
+	323	318
+	4	323	321	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	208	58
+	225	79
+	206	59
+	4	208	58	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	225	79
+	208	58
+	227	78
+	4	225	79	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	13
+	209	19
+	193	14
+	4	194	13	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	209	19
+	194	13
+	211	18
+	4	209	19	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	179	363
+	155	362
+	178	366
+	4	179	363	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	155	362
+	179	363
+	156	358
+	4	155	362	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	135	154
+	130	163
+	136	157
+	4	135	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	166
+	136	157
+	130	163
+	4	129	166	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	326
+	105	341
+	83	324
+	4	80	326	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	212	15
+	196	7
+	213	12
+	4	212	15	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	4
+	213	12
+	196	7
+	4	195	4	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	130	163
+	135	154
+	128	160
+	4	130	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	153	364
+	178	366
+	155	362
+	4	153	364	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	250	101
+	256	126
+	249	102
+	4	250	101	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	257	127
+	249	102
+	256	126
+	4	257	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	374	236
+	380	226
+	377	234
+	4	374	236	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	381	223
+	377	234
+	380	226
+	4	381	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	220	85
+	201	64
+	220	83
+	4	220	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	203	62
+	220	83
+	201	64
+	4	203	62	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	17
+	249	23
+	236	16
+	4	238	17	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	249	23
+	238	17
+	251	25
+	4	249	23	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	132	22
+	151	22
+	132	25
+	4	132	22	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	151	22
+	132	22
+	152	19
+	4	151	22	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	18
+	152	19
+	132	22
+	4	131	18	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	46	97
+	61	77
+	47	99
+	4	46	97	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	61	77
+	46	97
+	61	76
+	4	61	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	226	362
+	207	360
+	227	359
+	4	226	362	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	207	360
+	226	362
+	205	363
+	4	207	360	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	226	365
+	205	363
+	226	362
+	4	226	365	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	372	218
+	373	225
+	375	217
+	4	372	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	373	225
+	372	218
+	370	226
+	4	373	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	128	16
+	107	26
+	128	17
+	4	128	16	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	107	28
+	128	17
+	107	26
+	4	107	28	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	257	19
+	242	8
+	257	16
+	4	257	19	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	241	6
+	257	16
+	242	8
+	4	241	6	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	144
+	116	145
+	129	141
+	4	131	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	142
+	129	141
+	116	145
+	4	116	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	141
+	116	142
+	128	138
+	4	129	141	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	227
+	265	183
+	243	225
+	4	244	227	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	265	182
+	243	225
+	265	183
+	4	265	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	139
+	128	138
+	116	142
+	4	118	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	138
+	118	139
+	129	135
+	4	128	138	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	269	153
+	264	178
+	267	154
+	4	269	153	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	179
+	267	154
+	264	178
+	4	264	179	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	205	363
+	226	365
+	205	366
+	4	205	363	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	228	368
+	205	366
+	226	365
+	4	228	368	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	377	234
+	381	223
+	379	231
+	4	377	234	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	381	220
+	379	231
+	381	223
+	4	381	220	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	152	19
+	131	18
+	151	15
+	4	152	19	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	16
+	151	15
+	131	18
+	4	130	16	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	234
+	194	255
+	229	235
+	4	226	234	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	255
+	226	234
+	191	253
+	4	194	255	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	109	31
+	128	20
+	107	28
+	4	109	31	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	20
+	109	31
+	129	24
+	4	128	20	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	132	25
+	151	23
+	132	26
+	4	132	25	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	151	23
+	132	25
+	151	22
+	4	151	23	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	375	217
+	376	225
+	379	217
+	4	375	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	376	225
+	375	217
+	373	225
+	4	376	225	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	272	188
+	252	230
+	274	188
+	4	272	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	252	230
+	272	188
+	250	230
+	4	252	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	144
+	118	148
+	131	144
+	4	134	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	145
+	131	144
+	118	148
+	4	116	145	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	184	78
+	162	63
+	185	75
+	4	184	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	60
+	185	75
+	162	63
+	4	163	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	185	75
+	163	60
+	187	72
+	4	185	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	359
+	209	359
+	229	358
+	4	227	359	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	209	359
+	227	359
+	207	360
+	4	209	359	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	278	346
+	263	348
+	278	342
+	4	278	346	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	263	348
+	278	346
+	262	351
+	4	263	348	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	280	349
+	262	351
+	278	346
+	4	280	349	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	250
+	224	228
+	189	247
+	4	190	250	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	226
+	189	247
+	224	228
+	4	225	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	257	100
+	267	125
+	259	99
+	4	257	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	125
+	257	100
+	266	126
+	4	267	125	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	379	231
+	381	220
+	379	228
+	4	379	231	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	379	217
+	379	228
+	381	220
+	4	379	217	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	379	228
+	379	217
+	376	225
+	4	379	228	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	165	58
+	187	72
+	163	60
+	4	165	58	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	187	72
+	165	58
+	189	70
+	4	187	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	27	226
+	24	196
+	30	226
+	4	27	226	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	24	196
+	27	226
+	21	196
+	4	24	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	24	227
+	21	196
+	27	226
+	4	24	227	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	17
+	107	28
+	128	20
+	4	128	17	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	56	71
+	39	93
+	54	70
+	4	56	71	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	37	93
+	54	70
+	39	93
+	4	37	93	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	262	351
+	280	349
+	263	355
+	4	262	351	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	282	350
+	263	355
+	280	349
+	4	282	350	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	120	139
+	129	135
+	118	139
+	4	120	139	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	129	135
+	120	139
+	132	134
+	4	129	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	80
+	177	85
+	154	77
+	4	154	80	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	177	85
+	154	80
+	177	88
+	4	177	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	278	342
+	265	346
+	281	340
+	4	278	342	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	265	346
+	278	342
+	263	348
+	4	265	346	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	14
+	207	18
+	191	14
+	4	193	14	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	18
+	193	14
+	209	19
+	4	207	18	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	176	91
+	152	86
+	174	93
+	4	176	91	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	150	87
+	174	93
+	152	86
+	4	150	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	208	58
+	227	78
+	208	58
+	4	208	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	227	78
+	208	58
+	228	78
+	4	227	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	12
+	195	4
+	213	9
+	4	213	12	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	194	3
+	213	9
+	195	4
+	4	194	3	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	21	196
+	24	227
+	18	196
+	4	21	196	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	21	228
+	18	196
+	24	227
+	4	21	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	30
+	289	36
+	284	32
+	4	287	30	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	289	36
+	287	30
+	292	35
+	4	289	36	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	288	27
+	292	35
+	287	30
+	4	288	27	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	205	366
+	228	368
+	207	369
+	4	205	366	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	369
+	207	369
+	228	368
+	4	230	369	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	276	156
+	274	180
+	278	155
+	4	276	156	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	274	180
+	276	156
+	273	181
+	4	274	180	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	136	143
+	121	149
+	134	144
+	4	136	143	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	148
+	134	144
+	121	149
+	4	118	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	79
+	161	66
+	184	78
+	4	185	79	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	162	63
+	184	78
+	161	66
+	4	162	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	231
+	191	253
+	226	234
+	4	224	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	253
+	224	231
+	190	250
+	4	191	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	201	64
+	220	85
+	201	66
+	4	201	64	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	220	85
+	201	66
+	220	85
+	4	220	85	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	16
+	249	21
+	235	13
+	4	236	16	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	249	21
+	236	16
+	249	23
+	4	249	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	228
+	190	250
+	224	231
+	4	224	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	284	32
+	287	36
+	281	32
+	4	284	32	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	287	36
+	284	32
+	289	36
+	4	287	36	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	260	127
+	249	103
+	257	127
+	4	260	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	249	102
+	257	127
+	249	103
+	4	249	102	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	47	99
+	60	77
+	45	99
+	4	47	99	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	60	77
+	47	99
+	61	77
+	4	60	77	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	250	101
+	242	75
+	253	100
+	4	250	101	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	244	74
+	253	100
+	242	75
+	4	244	74	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	253	100
+	244	74
+	256	99
+	4	253	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	30	226
+	26	197
+	31	227
+	4	30	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	26	197
+	30	226
+	24	196
+	4	26	197	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	257	16
+	241	6
+	255	15
+	4	257	16	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	7
+	255	15
+	241	6
+	4	238	7	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	229	358
+	211	359
+	232	358
+	4	229	358	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	211	359
+	229	358
+	209	359
+	4	211	359	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	247	229
+	266	185
+	244	227
+	4	247	229	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	183
+	244	227
+	266	185
+	4	265	183	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	292	35
+	288	27
+	294	32
+	4	292	35	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	24
+	294	32
+	288	27
+	4	288	24	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	263	355
+	282	350
+	266	356
+	4	263	355	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	285	350
+	266	356
+	282	350
+	4	285	350	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	140
+	132	134
+	120	139
+	4	124	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	134
+	124	140
+	135	134
+	4	132	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	340
+	268	346
+	284	340
+	4	281	340	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	346
+	281	340
+	265	346
+	4	268	346	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	151	15
+	130	16
+	150	13
+	4	151	15	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	128	16
+	150	13
+	130	16
+	4	128	16	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	187
+	250	230
+	272	188
+	4	269	187	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	250	230
+	269	187
+	247	229
+	4	250	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	83
+	177	88
+	154	80
+	4	154	83	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	88
+	154	83
+	176	91
+	4	177	88	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	152	86
+	176	91
+	154	83
+	4	152	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	132	26
+	149	23
+	130	26
+	4	132	26	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	23
+	132	26
+	151	23
+	4	149	23	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	58
+	189	70
+	165	58
+	4	166	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	70
+	166	58
+	191	70
+	4	189	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	249	102
+	239	77
+	250	101
+	4	249	102	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	242	75
+	250	101
+	239	77
+	4	242	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	267	180
+	268	155
+	264	179
+	4	267	180	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	154
+	264	179
+	268	155
+	4	267	154	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	121	149
+	136	143
+	124	149
+	4	121	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	137	140
+	124	149
+	136	143
+	4	137	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	185
+	247	229
+	269	187
+	4	266	185	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	73
+	256	99
+	244	74
+	4	246	73	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	256	99
+	246	73
+	259	98
+	4	256	99	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	254	102
+	266	126
+	257	100
+	4	254	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	126
+	254	102
+	263	127
+	4	266	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	124
+	115	123
+	132	121
+	4	133	124	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	119
+	132	121
+	115	123
+	4	116	119	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	121
+	116	119
+	133	117
+	4	132	121	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	18	196
+	21	228
+	15	197
+	4	18	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	20	230
+	15	197
+	21	228
+	4	20	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	32
+	285	34
+	280	30
+	4	281	32	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	285	34
+	281	32
+	287	36
+	4	285	34	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	207	369
+	230	369
+	209	370
+	4	207	369	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	367
+	209	370
+	230	369
+	4	233	367	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	143
+	135	134
+	124	140
+	4	126	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	134
+	126	143
+	137	137
+	4	135	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	153
+	274	127
+	272	153
+	4	269	153	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	277	128
+	272	153
+	274	127
+	4	277	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	153
+	277	128
+	275	153
+	4	272	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	235	13
+	250	18
+	236	9
+	4	235	13	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	18
+	235	13
+	249	21
+	4	250	18	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	191	14
+	207	16
+	190	11
+	4	191	14	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	16
+	191	14
+	207	18
+	4	207	16	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	54	70
+	37	93
+	52	70
+	4	54	70	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	37	95
+	52	70
+	37	93
+	4	37	95	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	118	118
+	133	117
+	116	119
+	4	118	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	133	117
+	118	118
+	135	115
+	4	133	117	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	356
+	285	350
+	269	356
+	4	266	356	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	287	348
+	269	356
+	285	350
+	4	287	348	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	294	32
+	288	24
+	294	29
+	4	294	32	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	287	22
+	294	29
+	288	24
+	4	287	22	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	125
+	116	126
+	133	124
+	4	135	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	123
+	133	124
+	116	126
+	4	115	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	255	15
+	238	7
+	253	15
+	4	255	15	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	9
+	253	15
+	238	7
+	4	236	9	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	208	60
+	228	78
+	208	58
+	4	208	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	78
+	208	60
+	227	80
+	4	228	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	137
+	126	146
+	137	140
+	4	137	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	124	149
+	137	140
+	126	146
+	4	124	149	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	284	340
+	270	347
+	286	342
+	4	284	340	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	270	347
+	284	340
+	268	346
+	4	270	347	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	213	9
+	194	3
+	211	8
+	4	213	9	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	5
+	211	8
+	194	3
+	4	192	5	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	66
+	185	79
+	161	68
+	4	161	66	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	186	79
+	161	68
+	185	79
+	4	186	79	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	263	127
+	251	103
+	260	127
+	4	263	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	249	103
+	260	127
+	251	103
+	4	249	103	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	156
+	273	181
+	276	156
+	4	273	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	273	181
+	273	156
+	270	181
+	4	273	181	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	232	358
+	213	362
+	233	361
+	4	232	358	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	213	362
+	232	358
+	211	359
+	4	213	362	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	126	146
+	137	137
+	126	143
+	4	126	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	278	128
+	275	153
+	277	128
+	4	278	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	153
+	278	128
+	277	154
+	4	275	153	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	251	103
+	263	127
+	254	102
+	4	251	103	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	182	237
+	218	228
+	184	239
+	4	182	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	219	232
+	184	239
+	218	228
+	4	219	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	184	239
+	219	232
+	184	243
+	4	184	239	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	223	84
+	202	66
+	220	85
+	4	223	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	201	66
+	220	85
+	202	66
+	4	201	66	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	351	87
+	352	97
+	348	88
+	4	351	87	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	352	97
+	351	87
+	355	97
+	4	352	97	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	354	85
+	355	97
+	351	87
+	4	354	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	253	15
+	236	9
+	250	18
+	4	253	15	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	227
+	25	198
+	30	229
+	4	31	227	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	25	198
+	31	227
+	26	197
+	4	25	198	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	318
+	64	295
+	84	317
+	4	81	318	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	64	295
+	81	318
+	62	297
+	4	64	295	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	79	321
+	62	297
+	81	318
+	4	79	321	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	348	88
+	349	95
+	346	86
+	4	348	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	349	95
+	348	88
+	352	97
+	4	349	95	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	234
+	184	243
+	219	232
+	4	218	234	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	184	243
+	218	234
+	183	246
+	4	184	243	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	267	154
+	270	128
+	269	153
+	4	267	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	274	127
+	269	153
+	270	128
+	4	274	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	270	181
+	270	156
+	267	180
+	4	270	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	268	155
+	267	180
+	270	156
+	4	268	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	45	99
+	57	76
+	43	98
+	4	45	99	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	57	76
+	45	99
+	60	77
+	4	57	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	239	77
+	249	102
+	237	78
+	4	239	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	103
+	237	78
+	249	102
+	4	249	103	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	152	19
+	160	22
+	151	22
+	4	152	19	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	160	22
+	152	19
+	161	19
+	4	160	22	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	15
+	161	19
+	152	19
+	4	151	15	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	355	97
+	354	85
+	358	95
+	4	355	97	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	355	82
+	358	95
+	354	85
+	4	355	82	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	62	297
+	79	321
+	59	299
+	4	62	297	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	78	323
+	59	299
+	79	321
+	4	78	323	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	269	356
+	287	348
+	271	354
+	4	269	356	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	288	345
+	271	354
+	287	348
+	4	288	345	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	209	370
+	233	367
+	212	369
+	4	209	370	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	234	365
+	212	369
+	233	367
+	4	234	365	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	286	342
+	272	351
+	288	345
+	4	286	342	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	272	351
+	286	342
+	270	347
+	4	272	351	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	120	118
+	135	115
+	118	118
+	4	120	118	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	135	115
+	120	118
+	137	114
+	4	135	115	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	150	13
+	128	16
+	149	12
+	4	150	13	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	17
+	149	12
+	128	16
+	4	128	17	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	156
+	270	181
+	273	156
+	4	270	156	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	138	125
+	119	128
+	135	125
+	4	138	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	116	126
+	135	125
+	119	128
+	4	116	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	166	59
+	191	70
+	166	58
+	4	166	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	191	70
+	166	59
+	191	72
+	4	191	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	228
+	182	237
+	216	226
+	4	218	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	236
+	216	226
+	182	237
+	4	179	236	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	280	30
+	285	32
+	280	27
+	4	280	30	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	285	32
+	280	30
+	285	34
+	4	285	32	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	130	26
+	148	21
+	129	24
+	4	130	26	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	148	21
+	130	26
+	149	23
+	4	148	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	346	86
+	348	92
+	345	83
+	4	346	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	348	92
+	346	86
+	349	95
+	4	348	92	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	233	361
+	213	366
+	234	365
+	4	233	361	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	213	366
+	233	361
+	213	362
+	4	213	366	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	59	73
+	78	59
+	61	76
+	4	59	73	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	78	59
+	59	73
+	76	56
+	4	78	59	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	56	71
+	76	56
+	59	73
+	4	56	71	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	212	15
+	218	21
+	211	18
+	4	212	15	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	21
+	212	15
+	220	19
+	4	218	21	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	213	12
+	220	19
+	212	15
+	4	213	12	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	247	73
+	259	98
+	246	73
+	4	247	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	98
+	247	73
+	259	99
+	4	259	98	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	84	317
+	66	296
+	86	317
+	4	84	317	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	296
+	84	317
+	64	295
+	4	66	296	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	271	354
+	288	345
+	272	351
+	4	271	354	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	294	29
+	287	22
+	292	27
+	4	294	29	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	284	22
+	292	27
+	287	22
+	4	284	22	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	151	22
+	159	24
+	151	23
+	4	151	22	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	24
+	151	22
+	160	22
+	4	159	24	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	190	11
+	208	13
+	191	7
+	4	190	11	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	208	13
+	190	11
+	207	16
+	4	208	13	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	212	369
+	234	365
+	213	366
+	4	212	369	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	201	64
+	192	53
+	203	62
+	4	201	64	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	194	50
+	203	62
+	192	53
+	4	194	50	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	62
+	194	50
+	206	59
+	4	203	62	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	19
+	151	15
+	161	15
+	4	161	19	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	150	13
+	161	15
+	151	15
+	4	150	13	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	8
+	192	5
+	209	10
+	4	211	8	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	191	7
+	209	10
+	192	5
+	4	191	7	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	216	236
+	183	246
+	218	234
+	4	216	236	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	246
+	216	236
+	181	247
+	4	183	246	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	15	197
+	20	230
+	15	198
+	4	15	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	21	231
+	15	198
+	20	230
+	4	21	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	18
+	216	23
+	209	19
+	4	211	18	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	216	23
+	211	18
+	218	21
+	4	216	23	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	358	95
+	355	82
+	360	92
+	4	358	95	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	355	79
+	360	92
+	355	82
+	4	355	79	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	52	70
+	37	95
+	53	72
+	4	52	70	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	40	97
+	53	72
+	37	95
+	4	40	97	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	76	56
+	56	71
+	74	54
+	4	76	56	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	54	70
+	74	54
+	56	71
+	4	54	70	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	206	62
+	227	80
+	208	60
+	4	206	62	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	227	80
+	206	62
+	225	82
+	4	227	80	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	129
+	277	154
+	278	128
+	4	278	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	277	154
+	278	129
+	278	155
+	4	277	154	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	61	76
+	78	61
+	61	77
+	4	61	76	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	78	61
+	61	76
+	78	59
+	4	78	61	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	225	82
+	204	65
+	223	84
+	4	225	82	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	66
+	223	84
+	204	65
+	4	202	66	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	188	77
+	163	67
+	186	79
+	4	188	77	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	161	68
+	186	79
+	163	67
+	4	161	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	102
+	117	99
+	139	99
+	4	139	102	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	96
+	139	99
+	117	99
+	4	118	96	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	99
+	118	96
+	140	96
+	4	139	99	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	220	19
+	213	12
+	221	16
+	4	220	19	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	9
+	221	16
+	213	12
+	4	213	9	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	105
+	118	103
+	139	102
+	4	140	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	99
+	139	102
+	118	103
+	4	117	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	345	83
+	350	89
+	346	80
+	4	345	83	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	350	89
+	345	83
+	348	92
+	4	350	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	209	10
+	191	7
+	208	13
+	4	209	10	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	195	49
+	206	59
+	194	50
+	4	195	49	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	206	59
+	195	49
+	208	58
+	4	206	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	201	66
+	190	56
+	201	64
+	4	201	66	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	192	53
+	201	64
+	190	56
+	4	192	53	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	43	98
+	55	74
+	40	97
+	4	43	98	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	55	74
+	43	98
+	57	76
+	4	55	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	123	120
+	137	114
+	120	118
+	4	123	120	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	137	114
+	123	120
+	139	116
+	4	137	114	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	119	128
+	138	125
+	122	128
+	4	119	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	140	123
+	122	128
+	138	125
+	4	140	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	280	27
+	287	29
+	281	24
+	4	280	27	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	29
+	280	27
+	285	32
+	4	287	29	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	59	299
+	78	323
+	57	301
+	4	59	299	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	78	325
+	57	301
+	78	323
+	4	78	325	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	237
+	213	225
+	179	236
+	4	177	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	226
+	179	236
+	213	225
+	4	216	226	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	161	19
+	169	23
+	160	22
+	4	161	19	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	169	23
+	161	19
+	170	20
+	4	169	23	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	15
+	170	20
+	161	19
+	4	161	15	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	270	128
+	267	154
+	268	128
+	4	270	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	155
+	268	128
+	267	154
+	4	268	155	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	30	229
+	22	199
+	28	230
+	4	30	229	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	22	199
+	30	229
+	25	198
+	4	22	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	292	27
+	284	22
+	289	27
+	4	292	27	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	24
+	289	27
+	284	22
+	4	281	24	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	204	65
+	225	82
+	206	62
+	4	204	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	360	92
+	355	79
+	359	89
+	4	360	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	352	77
+	359	89
+	355	79
+	4	352	77	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	53	72
+	40	97
+	55	74
+	4	53	72	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	256	22
+	259	29
+	253	24
+	4	256	22	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	259	29
+	256	22
+	262	27
+	4	259	29	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	257	19
+	262	27
+	256	22
+	4	257	19	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	12
+	128	17
+	148	14
+	4	149	12	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	20
+	148	14
+	128	17
+	4	128	20	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	77
+	234	63
+	242	75
+	4	239	77	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	236	61
+	242	75
+	234	63
+	4	236	61	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	242	75
+	236	61
+	244	74
+	4	242	75	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	129	24
+	148	17
+	128	20
+	4	129	24	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	17
+	129	24
+	148	21
+	4	148	17	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	166	62
+	191	72
+	166	59
+	4	166	62	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	191	72
+	166	62
+	190	75
+	4	191	72	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	289	27
+	281	24
+	287	29
+	4	289	27	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	160	22
+	168	25
+	159	24
+	4	160	22	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	25
+	160	22
+	169	23
+	4	168	25	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	346	80
+	353	87
+	349	78
+	4	346	80	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	353	87
+	346	80
+	350	89
+	4	353	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	103
+	237	78
+	249	103
+	4	251	103	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	78
+	249	103
+	237	78
+	4	237	78	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	253	24
+	256	30
+	251	25
+	4	253	24	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	256	30
+	253	24
+	259	29
+	4	256	30	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	120	95
+	140	96
+	118	96
+	4	120	95	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	140	96
+	120	95
+	142	95
+	4	140	96	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	142	106
+	119	105
+	140	105
+	4	142	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	103
+	140	105
+	119	105
+	4	118	103	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	86	317
+	67	297
+	86	319
+	4	86	317	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	297
+	86	317
+	66	296
+	4	67	297	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	235
+	181	247
+	216	236
+	4	214	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	181	247
+	214	235
+	178	246
+	4	181	247	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	151	23
+	158	23
+	149	23
+	4	151	23	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	158	23
+	151	23
+	159	24
+	4	158	23	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	19
+	214	22
+	207	18
+	4	209	19	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	22
+	209	19
+	216	23
+	4	214	22	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	359	89
+	352	77
+	356	87
+	4	359	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	349	78
+	356	87
+	352	77
+	4	349	78	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	15
+	150	13
+	160	13
+	4	161	15	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	170	20
+	161	15
+	170	16
+	4	170	20	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	160	13
+	170	16
+	161	15
+	4	160	13	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	237	78
+	231	65
+	239	77
+	4	237	78	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	63
+	239	77
+	231	65
+	4	234	63	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	12
+	160	13
+	150	13
+	4	149	12	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	123
+	139	116
+	123	120
+	4	124	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	116
+	124	123
+	141	119
+	4	139	116	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	356	87
+	349	78
+	353	87
+	4	356	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	119
+	124	126
+	140	123
+	4	141	119	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	122	128
+	140	123
+	124	126
+	4	122	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	292	35
+	294	42
+	289	36
+	4	292	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	294	42
+	292	35
+	297	40
+	4	294	42	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	32
+	297	40
+	292	35
+	4	294	32	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	245	75
+	259	99
+	247	73
+	4	245	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	259	99
+	245	75
+	257	100
+	4	259	99	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	220	19
+	224	26
+	218	21
+	4	220	19	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	224	26
+	220	19
+	227	23
+	4	224	26	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	221	16
+	227	23
+	220	19
+	4	221	16	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	148	14
+	128	20
+	148	17
+	4	148	14	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	54
+	54	70
+	72	52
+	4	74	54	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	52	70
+	72	52
+	54	70
+	4	52	70	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	190	75
+	164	65
+	188	77
+	4	190	75	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	163	67
+	188	77
+	164	65
+	4	163	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	289	36
+	291	42
+	287	36
+	4	289	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	291	42
+	289	36
+	294	42
+	4	291	42	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	15	198
+	21	231
+	16	199
+	4	15	198	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	24	231
+	16	199
+	21	231
+	4	24	231	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	150	356
+	129	344
+	152	354
+	4	150	356	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	129	344
+	150	356
+	126	346
+	4	129	344	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	149	360
+	126	346
+	150	356
+	4	149	360	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	262	27
+	257	19
+	263	24
+	4	262	27	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	257	16
+	263	24
+	257	19
+	4	257	16	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	21
+	222	27
+	216	23
+	4	218	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	27
+	218	21
+	224	26
+	4	222	27	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	238	60
+	244	74
+	236	61
+	4	238	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	244	74
+	238	60
+	246	73
+	4	244	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	236	225
+	268	189
+	239	226
+	4	236	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	271	191
+	239	226
+	268	189
+	4	271	191	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	239	226
+	271	191
+	242	228
+	4	239	226	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	194
+	242	228
+	271	191
+	4	273	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	242	228
+	273	194
+	243	231
+	4	242	228	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	126
+	141	119
+	124	123
+	4	124	126	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	170	20
+	177	25
+	169	23
+	4	170	20	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	25
+	170	20
+	178	22
+	4	177	25	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	170	16
+	178	22
+	170	20
+	4	170	16	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	65
+	190	75
+	166	62
+	4	164	65	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	61	77
+	77	61
+	60	77
+	4	61	77	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	77	61
+	61	77
+	78	61
+	4	77	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	196	49
+	208	58
+	195	49
+	4	196	49	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	208	58
+	196	49
+	208	58
+	4	208	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	221	16
+	213	9
+	221	13
+	4	221	16	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	8
+	221	13
+	213	9
+	4	211	8	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	240
+	211	226
+	177	237
+	4	176	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	213	225
+	177	237
+	211	226
+	4	213	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	190	56
+	201	66
+	190	58
+	4	190	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	66
+	190	58
+	201	66
+	4	202	66	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	126	346
+	149	360
+	125	349
+	4	126	346	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	149	363
+	125	349
+	149	360
+	4	149	363	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	129
+	278	155
+	278	129
+	4	276	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	155
+	276	129
+	276	156
+	4	278	155	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	28	230
+	19	199
+	24	231
+	4	28	230	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	19	199
+	28	230
+	22	199
+	4	19	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	149	85
+	136	80
+	148	82
+	4	149	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	137	77
+	148	82
+	136	80
+	4	137	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	82
+	137	77
+	149	79
+	4	148	82	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	190	56
+	179	46
+	192	53
+	4	190	56	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	43
+	192	53
+	179	46
+	4	181	43	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	192	53
+	181	43
+	194	50
+	4	192	53	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	74
+	149	79
+	137	77
+	4	138	74	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	79
+	138	74
+	151	76
+	4	149	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	354
+	131	343
+	154	354
+	4	152	354	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	343
+	152	354
+	129	344
+	4	131	343	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	23
+	176	27
+	168	25
+	4	169	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	27
+	169	23
+	177	25
+	4	176	27	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	251	25
+	255	28
+	249	23
+	4	251	25	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	28
+	251	25
+	256	30
+	4	255	28	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	297	40
+	294	32
+	299	37
+	4	297	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	294	29
+	299	37
+	294	32
+	4	294	29	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	57	301
+	78	325
+	58	303
+	4	57	301	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	80	326
+	58	303
+	78	325
+	4	80	326	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	16	199
+	24	231
+	19	199
+	4	16	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	212	232
+	178	246
+	214	235
+	4	212	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	178	246
+	212	232
+	176	244
+	4	178	246	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	227	23
+	221	16
+	228	20
+	4	227	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	13
+	228	20
+	221	16
+	4	221	13	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	96
+	142	95
+	120	95
+	4	123	96	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	142	95
+	123	96
+	145	96
+	4	142	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	36
+	289	40
+	285	34
+	4	287	36	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	40
+	287	36
+	291	42
+	4	289	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	65
+	224	52
+	234	63
+	4	231	65	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	227	49
+	234	63
+	224	52
+	4	227	49	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	63
+	227	49
+	236	61
+	4	234	63	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	119	105
+	142	106
+	122	106
+	4	119	105	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	145	105
+	122	106
+	142	106
+	4	145	105	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	24
+	167	24
+	158	23
+	4	159	24	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	167	24
+	159	24
+	168	25
+	4	167	24	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	156
+	268	129
+	268	155
+	4	270	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	128
+	268	155
+	268	129
+	4	268	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	128
+	271	100
+	274	127
+	4	270	128	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	274	100
+	274	127
+	271	100
+	4	274	100	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	274	127
+	274	100
+	277	128
+	4	274	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	170	16
+	160	13
+	170	14
+	4	170	16	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	178	22
+	170	16
+	179	19
+	4	178	22	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	170	14
+	179	19
+	170	16
+	4	170	14	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	190	58
+	178	49
+	190	56
+	4	190	58	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	179	46
+	190	56
+	178	49
+	4	179	46	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	254	102
+	239	78
+	251	103
+	4	254	102	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	78
+	251	103
+	239	78
+	4	237	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	178	22
+	185	27
+	177	25
+	4	178	22	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	185	27
+	178	22
+	186	24
+	4	185	27	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	179	19
+	186	24
+	178	22
+	4	179	19	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	182	41
+	194	50
+	181	43
+	4	182	41	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	194	50
+	182	41
+	195	49
+	4	194	50	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	128
+	267	101
+	270	128
+	4	268	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	271	100
+	270	128
+	267	101
+	4	271	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	230	66
+	222	54
+	231	65
+	4	230	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	52
+	231	65
+	222	54
+	4	224	52	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	65
+	237	78
+	230	66
+	4	231	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	244
+	211	229
+	176	240
+	4	176	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	226
+	176	240
+	211	229
+	4	211	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	189
+	236	225
+	265	188
+	4	268	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	235	226
+	265	188
+	236	225
+	4	235	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	195
+	243	231
+	273	194
+	4	273	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	231
+	273	195
+	243	233
+	4	243	231	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	376	178
+	373	183
+	375	175
+	4	376	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	373	183
+	376	178
+	374	186
+	4	373	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	379	180
+	374	186
+	376	178
+	4	379	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	78
+	230	66
+	237	78
+	4	237	78	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	86	319
+	65	300
+	85	322
+	4	86	319	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	65	300
+	86	319
+	67	297
+	4	65	300	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	374	186
+	379	180
+	377	188
+	4	374	186	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	383	179
+	377	188
+	379	180
+	4	383	179	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	87
+	137	83
+	149	85
+	4	150	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	80
+	149	85
+	137	83
+	4	136	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	76
+	257	100
+	245	75
+	4	242	76	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	257	100
+	242	76
+	254	102
+	4	257	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	229
+	176	244
+	212	232
+	4	211	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	23
+	221	26
+	214	22
+	4	216	23	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	26
+	216	23
+	222	27
+	4	221	26	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	160	13
+	149	12
+	159	13
+	4	160	13	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	13
+	170	14
+	160	13
+	4	159	13	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	18
+	214	20
+	207	16
+	4	207	18	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	20
+	207	18
+	214	22
+	4	214	20	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	263	24
+	257	16
+	263	21
+	4	263	24	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	255	15
+	263	21
+	257	16
+	4	255	15	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	25
+	183	29
+	176	27
+	4	177	25	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	29
+	177	25
+	185	27
+	4	183	29	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	227	23
+	231	30
+	224	26
+	4	227	23	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	30
+	227	23
+	233	28
+	4	231	30	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	228	20
+	233	28
+	227	23
+	4	228	20	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	23
+	158	21
+	148	21
+	4	149	23	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	158	21
+	149	23
+	158	23
+	4	158	21	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	76	56
+	96	48
+	78	59
+	4	76	56	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	48
+	76	56
+	94	45
+	4	96	48	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	54
+	94	45
+	76	56
+	4	74	54	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	21	196
+	25	166
+	24	196
+	4	21	196	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	25	166
+	21	196
+	22	165
+	4	25	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	18	196
+	22	165
+	21	196
+	4	18	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	375	175
+	374	180
+	376	172
+	4	375	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	374	180
+	375	175
+	373	183
+	4	374	180	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	140	73
+	151	76
+	138	74
+	4	140	73	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	151	76
+	140	73
+	153	76
+	4	151	76	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	125	349
+	149	363
+	125	352
+	4	125	349	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	151	364
+	125	352
+	149	363
+	4	151	364	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	228	48
+	236	61
+	227	49
+	4	228	48	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	236	61
+	228	48
+	238	60
+	4	236	61	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	377	188
+	383	179
+	381	188
+	4	377	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	385	177
+	381	188
+	383	179
+	4	385	177	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	326	58
+	328	70
+	323	59
+	4	326	58	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	328	70
+	326	58
+	331	70
+	4	328	70	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	328	56
+	331	70
+	326	58
+	4	328	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	14
+	159	13
+	149	12
+	4	148	14	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	59
+	325	69
+	320	58
+	4	323	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	69
+	323	59
+	328	70
+	4	325	69	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	161	66
+	148	59
+	162	63
+	4	161	66	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	56
+	162	63
+	148	59
+	4	149	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	63
+	149	56
+	163	60
+	4	162	63	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	26
+	228	32
+	222	27
+	4	224	26	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	32
+	224	26
+	231	30
+	4	228	32	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	186	24
+	179	19
+	187	21
+	4	186	24	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	24
+	199	35
+	185	27
+	4	186	24	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	199	35
+	186	24
+	201	32
+	4	199	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	187	21
+	201	32
+	186	24
+	4	187	21	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	239	78
+	254	102
+	242	76
+	4	239	78	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	60
+	246	73
+	238	60
+	4	238	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	73
+	238	60
+	247	73
+	4	246	73	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	72	52
+	52	70
+	71	52
+	4	72	52	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	53	72
+	71	52
+	52	70
+	4	53	72	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	154	354
+	132	345
+	156	355
+	4	154	354	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	132	345
+	154	354
+	131	343
+	4	132	345	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	54
+	214	41
+	224	52
+	4	222	54	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	216	38
+	224	52
+	214	41
+	4	216	38	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	224	52
+	216	38
+	227	49
+	4	224	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	37
+	294	29
+	299	35
+	4	299	37	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	292	27
+	299	35
+	294	29
+	4	292	27	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	19
+	170	14
+	179	16
+	4	179	19	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	16
+	187	21
+	179	19
+	4	179	16	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	350	275
+	342	279
+	351	272
+	4	350	275	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	342	279
+	350	275
+	342	283
+	4	342	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	352	279
+	342	283
+	350	275
+	4	352	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	342	283
+	352	279
+	343	286
+	4	342	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	355	280
+	343	286
+	352	279
+	4	355	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	100
+	277	128
+	274	100
+	4	275	100	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	128
+	275	100
+	278	128
+	4	277	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	25
+	175	26
+	167	24
+	4	168	25	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	175	26
+	168	25
+	176	27
+	4	175	26	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	22	165
+	18	196
+	18	165
+	4	22	165	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	15	197
+	18	165
+	18	196
+	4	15	197	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	130
+	276	156
+	276	129
+	4	272	130	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	276	156
+	272	130
+	273	156
+	4	276	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	13
+	211	8
+	220	13
+	4	221	13	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	209	10
+	220	13
+	211	8
+	4	209	10	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	185	27
+	198	36
+	183	29
+	4	185	27	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	36
+	185	27
+	199	35
+	4	198	36	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	150	53
+	163	60
+	149	56
+	4	150	53	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	163	60
+	150	53
+	165	58
+	4	163	60	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	376	172
+	376	177
+	378	170
+	4	376	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	376	177
+	376	172
+	374	180
+	4	376	177	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	262	27
+	264	35
+	259	29
+	4	262	27	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	264	35
+	262	27
+	267	33
+	4	264	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	263	24
+	267	33
+	262	27
+	4	263	24	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	99
+	145	96
+	123	96
+	4	124	99	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	96
+	124	99
+	146	98
+	4	145	96	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	60	77
+	75	59
+	57	76
+	4	60	77	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	75	59
+	60	77
+	77	61
+	4	75	59	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	146	102
+	124	105
+	145	105
+	4	146	102	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	122	106
+	145	105
+	124	105
+	4	122	106	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	78	59
+	96	49
+	78	61
+	4	78	59	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	96	49
+	78	59
+	96	48
+	4	96	49	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	196	50
+	208	58
+	196	49
+	4	196	50	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	208	58
+	196	50
+	208	60
+	4	208	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	94	45
+	74	54
+	93	42
+	4	94	45	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	72	52
+	93	42
+	74	54
+	4	72	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	285	34
+	289	37
+	285	32
+	4	285	34	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	37
+	285	34
+	289	40
+	4	289	37	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	58	303
+	80	326
+	60	303
+	4	58	303	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	324
+	60	303
+	80	326
+	4	83	324	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	29
+	261	35
+	256	30
+	4	259	29	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	261	35
+	259	29
+	264	35
+	4	261	35	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	381	188
+	385	177
+	383	186
+	4	381	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	386	174
+	383	186
+	385	177
+	4	386	174	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	23
+	255	26
+	249	21
+	4	249	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	255	26
+	249	23
+	255	28
+	4	255	26	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	55
+	211	44
+	222	54
+	4	221	55	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	41
+	222	54
+	211	44
+	4	214	41	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	222	54
+	230	66
+	221	55
+	4	222	54	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	24	196
+	26	167
+	26	197
+	4	24	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	26	167
+	24	196
+	25	166
+	4	26	167	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	331	70
+	328	56
+	334	68
+	4	331	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	329	53
+	334	68
+	328	56
+	4	329	53	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	204	65
+	190	58
+	202	66
+	4	204	65	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	58
+	202	66
+	190	58
+	4	190	58	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	273	156
+	269	129
+	270	156
+	4	273	156	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	268	129
+	270	156
+	269	129
+	4	268	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	351	272
+	345	277
+	353	270
+	4	351	272	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	345	277
+	351	272
+	342	279
+	4	345	277	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	343	286
+	355	280
+	346	288
+	4	343	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	358	280
+	346	288
+	355	280
+	4	358	280	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	161	68
+	148	62
+	161	66
+	4	161	68	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	148	59
+	161	66
+	148	62
+	4	148	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	320	58
+	323	67
+	318	56
+	4	320	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	323	67
+	320	58
+	325	69
+	4	323	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	267	101
+	268	128
+	265	101
+	4	267	101	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	129
+	265	101
+	268	128
+	4	268	129	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	178	49
+	165	40
+	179	46
+	4	178	49	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	37
+	179	46
+	165	40
+	4	166	37	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	46
+	166	37
+	181	43
+	4	179	46	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	228	20
+	221	13
+	228	18
+	4	228	20	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	220	13
+	228	18
+	221	13
+	4	220	13	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	211	44
+	201	32
+	214	41
+	4	211	44	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	29
+	214	41
+	201	32
+	4	202	29	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	41
+	202	29
+	216	38
+	4	214	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	233	28
+	228	20
+	235	25
+	4	233	28	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	228	18
+	235	25
+	228	20
+	4	228	18	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	201	32
+	187	21
+	202	29
+	4	201	32	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	201	32
+	211	44
+	199	35
+	4	201	32	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	85	322
+	63	302
+	83	324
+	4	85	322	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	63	302
+	85	322
+	65	300
+	4	63	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	178	49
+	190	58
+	177	50
+	4	178	49	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	190	58
+	177	50
+	190	58
+	4	190	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	182
+	279	160
+	271	184
+	4	268	182	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	282	161
+	271	184
+	279	160
+	4	282	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	271	184
+	282	161
+	274	185
+	4	271	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	67
+	221	55
+	230	66
+	4	230	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	230	66
+	237	78
+	230	67
+	4	230	66	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	21
+	179	16
+	187	19
+	4	187	21	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	187	19
+	202	29
+	187	21
+	4	187	19	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	182	41
+	195	49
+	182	41
+	4	182	41	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	195	49
+	182	41
+	196	49
+	4	195	49	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	170	14
+	159	13
+	169	14
+	4	170	14	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	14
+	179	16
+	170	14
+	4	169	14	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	378	170
+	380	177
+	382	169
+	4	378	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	380	177
+	378	170
+	376	177
+	4	380	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	217	37
+	227	49
+	216	38
+	4	217	37	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	227	49
+	217	37
+	228	48
+	4	227	49	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	137	83
+	150	87
+	138	84
+	4	137	83	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	152	86
+	138	84
+	150	87
+	4	152	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	383	186
+	386	174
+	384	182
+	4	383	186	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	385	171
+	384	182
+	386	174
+	4	385	171	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	269	129
+	273	156
+	272	130
+	4	269	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	210	45
+	199	35
+	211	44
+	4	210	45	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	211	44
+	221	55
+	210	45
+	4	211	44	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	199	35
+	210	45
+	198	36
+	4	199	35	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	158	23
+	166	22
+	158	21
+	4	158	23	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	22
+	158	23
+	167	24
+	4	166	22	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	228
+	264	189
+	235	226
+	4	234	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	265	188
+	235	226
+	264	189
+	4	265	188	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	196
+	243	233
+	273	195
+	4	271	196	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	233
+	271	196
+	241	234
+	4	243	233	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	27
+	183	29
+	175	26
+	4	176	27	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	29
+	176	27
+	183	29
+	4	183	29	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	60	303
+	83	324
+	63	302
+	4	60	303	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	233	28
+	236	36
+	231	30
+	4	233	28	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	36
+	233	28
+	239	33
+	4	236	36	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	25
+	239	33
+	233	28
+	4	235	25	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	182
+	276	159
+	268	182
+	4	265	182	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	279	160
+	268	182
+	276	159
+	4	279	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	177	50
+	164	43
+	178	49
+	4	177	50	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	165	40
+	178	49
+	164	43
+	4	165	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	102
+	146	98
+	124	99
+	4	125	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	98
+	125	102
+	146	102
+	4	146	98	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	105
+	146	102
+	125	102
+	4	124	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	222	27
+	227	31
+	221	26
+	4	222	27	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	31
+	222	27
+	228	32
+	4	227	31	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	207	16
+	216	17
+	208	13
+	4	207	16	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	216	17
+	207	16
+	214	20
+	4	216	17	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	231	30
+	234	37
+	228	32
+	4	231	30	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	37
+	231	30
+	236	36
+	4	234	37	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	353	270
+	348	277
+	357	270
+	4	353	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	348	277
+	353	270
+	345	277
+	4	348	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	263	21
+	255	15
+	262	20
+	4	263	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	253	15
+	262	20
+	255	15
+	4	253	15	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	346	288
+	358	280
+	349	288
+	4	346	288	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	361	278
+	349	288
+	358	280
+	4	361	278	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	382	169
+	383	179
+	385	171
+	4	382	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	383	179
+	382	169
+	380	177
+	4	383	179	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	33
+	263	24
+	269	30
+	4	267	33	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	263	21
+	269	30
+	263	24
+	4	263	21	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	21
+	158	17
+	148	17
+	4	148	21	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	158	17
+	148	21
+	158	21
+	4	158	17	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	384	182
+	385	171
+	383	179
+	4	384	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	171	228
+	204	228
+	172	231
+	4	171	228	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	232
+	172	231
+	204	228
+	4	204	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	231
+	204	232
+	171	234
+	4	172	231	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	141	75
+	153	76
+	140	73
+	4	141	75	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	153	76
+	141	75
+	154	77
+	4	153	76	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	239	78
+	230	67
+	237	78
+	4	239	78	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	35
+	181	43
+	166	37
+	4	166	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	181	43
+	166	35
+	182	41
+	4	181	43	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	125	352
+	151	364
+	126	354
+	4	125	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	153	364
+	126	354
+	151	364
+	4	153	364	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	13
+	148	14
+	158	14
+	4	159	13	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	17
+	158	14
+	148	14
+	4	148	17	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	214	22
+	221	24
+	214	20
+	4	214	22	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	24
+	214	22
+	221	26
+	4	221	24	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	256	30
+	260	34
+	255	28
+	4	256	30	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	34
+	256	30
+	261	35
+	4	260	34	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	299	35
+	292	27
+	297	33
+	4	299	35	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	27
+	297	33
+	292	27
+	4	289	27	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	334	68
+	329	53
+	334	65
+	4	334	68	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	328	50
+	334	65
+	329	53
+	4	328	50	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	48
+	238	60
+	228	48
+	4	228	48	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	60
+	228	48
+	238	60
+	4	238	60	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	14
+	169	14
+	159	13
+	4	158	14	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	284	162
+	274	185
+	282	161
+	4	284	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	274	185
+	284	162
+	275	187
+	4	274	185	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	29
+	187	19
+	203	27
+	4	202	29	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	203	27
+	216	38
+	202	29
+	4	203	27	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	38
+	203	27
+	217	37
+	4	216	38	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	220	13
+	209	10
+	218	14
+	4	220	13	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	208	13
+	218	14
+	209	10
+	4	208	13	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	71	52
+	53	72
+	71	54
+	4	71	52	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	55	74
+	71	54
+	53	72
+	4	55	74	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	156	355
+	133	348
+	156	358
+	4	156	355	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	133	348
+	156	355
+	132	345
+	4	133	348	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	18	165
+	15	197
+	16	165
+	4	18	165	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	15	198
+	16	165
+	15	197
+	4	15	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	151	53
+	165	58
+	150	53
+	4	151	53	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	58
+	151	53
+	166	58
+	4	165	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	32
+	291	34
+	287	29
+	4	285	32	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	34
+	285	32
+	289	37
+	4	291	34	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	234
+	171	234
+	204	232
+	4	202	234	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	234
+	202	234
+	169	237
+	4	171	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	228
+	171	228
+	203	225
+	4	204	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	226
+	203	225
+	171	228
+	4	168	226	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	318	56
+	324	64
+	319	52
+	4	318	56	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	64
+	318	56
+	323	67
+	4	324	64	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	29
+	197	36
+	183	29
+	4	183	29	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	36
+	183	29
+	198	36
+	4	197	36	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	57	76
+	73	56
+	55	74
+	4	57	76	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	56
+	57	76
+	75	59
+	4	73	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	179	16
+	169	14
+	178	16
+	4	179	16	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	16
+	187	19
+	179	16
+	4	178	16	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	55
+	210	45
+	221	55
+	4	221	55	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	55
+	230	67
+	221	55
+	4	221	55	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	249	21
+	257	23
+	250	18
+	4	249	21	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	257	23
+	249	21
+	255	26
+	4	257	23	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	194	53
+	208	60
+	196	50
+	4	194	53	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	208	60
+	194	53
+	206	62
+	4	208	60	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	78	61
+	95	49
+	77	61
+	4	78	61	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	95	49
+	78	61
+	96	49
+	4	95	49	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	93	42
+	72	52
+	91	40
+	4	93	42	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	52
+	91	40
+	72	52
+	4	71	52	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	237	62
+	247	73
+	238	60
+	4	237	62	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	247	73
+	237	62
+	245	75
+	4	247	73	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	14
+	148	17
+	158	17
+	4	158	14	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	100
+	278	128
+	275	100
+	4	275	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	128
+	275	100
+	278	129
+	4	278	128	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	357	270
+	351	279
+	360	272
+	4	357	270	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	351	279
+	357	270
+	348	277
+	4	351	279	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	349	288
+	361	278
+	352	285
+	4	349	288	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	361	275
+	352	285
+	361	278
+	4	361	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	218	14
+	208	13
+	216	17
+	4	218	14	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	206	62
+	192	56
+	204	65
+	4	206	62	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	190	58
+	204	65
+	192	56
+	4	190	58	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	26	197
+	25	168
+	25	198
+	4	26	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	25	168
+	26	197
+	26	167
+	4	25	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	235	25
+	228	18
+	235	23
+	4	235	25	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	239	33
+	235	25
+	241	31
+	4	239	33	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	235	23
+	241	31
+	235	25
+	4	235	23	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	167	24
+	175	24
+	166	22
+	4	167	24	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	24
+	167	24
+	175	26
+	4	175	24	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	62
+	161	68
+	148	64
+	4	148	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	67
+	148	64
+	161	68
+	4	163	67	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	94	45
+	114	41
+	96	48
+	4	94	45	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	41
+	94	45
+	113	38
+	4	114	41	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	93	42
+	113	38
+	94	45
+	4	93	42	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	294	42
+	294	47
+	291	42
+	4	294	42	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	294	47
+	294	42
+	297	48
+	4	294	47	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	297	40
+	297	48
+	294	42
+	4	297	40	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	33
+	246	48
+	236	36
+	4	239	33	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	246	48
+	239	33
+	249	46
+	4	246	48	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	241	31
+	249	46
+	239	33
+	4	241	31	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	297	48
+	297	40
+	301	46
+	4	297	48	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	299	37
+	301	46
+	297	40
+	4	299	37	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	164	43
+	149	36
+	165	40
+	4	164	43	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	33
+	165	40
+	149	36
+	4	149	33	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	40
+	149	33
+	166	37
+	4	165	40	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	236	36
+	244	49
+	234	37
+	4	236	36	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	244	49
+	236	36
+	246	48
+	4	244	49	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	71	54
+	55	74
+	73	56
+	4	71	54	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	33
+	289	27
+	294	33
+	4	297	33	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	29
+	294	33
+	289	27
+	4	287	29	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	360	272
+	353	282
+	361	275
+	4	360	272	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	353	282
+	360	272
+	351	279
+	4	353	282	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	352	285
+	361	275
+	353	282
+	4	352	285	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	45
+	198	36
+	210	45
+	4	210	45	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	45
+	221	55
+	210	45
+	4	210	45	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	262	20
+	253	15
+	259	21
+	4	262	20	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	18
+	259	21
+	253	15
+	4	250	18	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	36
+	210	45
+	197	36
+	4	198	36	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	18
+	220	13
+	227	17
+	4	228	18	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	227	17
+	235	23
+	228	18
+	4	227	17	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	33
+	287	29
+	291	34
+	4	294	33	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	101
+	267	86
+	271	100
+	4	267	101	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	270	86
+	271	100
+	267	86
+	4	270	86	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	271	100
+	270	86
+	274	100
+	4	271	100	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	276	159
+	265	182
+	273	159
+	4	276	159	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	183
+	273	159
+	265	182
+	4	265	183	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	32
+	233	36
+	227	31
+	4	228	32	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	233	36
+	228	32
+	234	37
+	4	233	36	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	14
+	227	17
+	220	13
+	4	218	14	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	129
+	264	102
+	268	129
+	4	269	129	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	101
+	268	129
+	264	102
+	4	265	101	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	154	83
+	140	84
+	152	86
+	4	154	83	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	138	84
+	152	86
+	140	84
+	4	138	84	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	192	56
+	206	62
+	194	53
+	4	192	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	187	19
+	178	16
+	187	19
+	4	187	19	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	19
+	203	27
+	187	19
+	4	187	19	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	101
+	264	87
+	267	101
+	4	265	101	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	86
+	267	101
+	264	87
+	4	267	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	199	234
+	169	237
+	202	234
+	4	199	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	169	237
+	199	234
+	166	237
+	4	169	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	226
+	201	223
+	168	226
+	4	165	226	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	203	225
+	168	226
+	201	223
+	4	203	225	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	334	65
+	328	50
+	333	62
+	4	334	65	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	49
+	333	62
+	328	50
+	4	325	49	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	164	43
+	177	50
+	163	45
+	4	164	43	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	50
+	163	45
+	177	50
+	4	178	50	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	50
+	190	58
+	178	50
+	4	177	50	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	259	21
+	250	18
+	257	23
+	4	259	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	236	230
+	264	190
+	234	228
+	4	236	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	189
+	234	228
+	264	190
+	4	264	189	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	269	195
+	241	234
+	271	196
+	4	269	195	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	234
+	269	195
+	238	233
+	4	241	234	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	192	56
+	178	50
+	190	58
+	4	192	56	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	158	21
+	167	19
+	158	17
+	4	158	21	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	167	19
+	158	21
+	166	22
+	4	167	19	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	37
+	228	48
+	217	37
+	4	216	37	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	48
+	216	37
+	228	48
+	4	228	48	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	48
+	114	43
+	96	49
+	4	96	48	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	43
+	96	48
+	114	41
+	4	114	43	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	126	354
+	153	364
+	129	353
+	4	126	354	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	155	362
+	129	353
+	153	364
+	4	155	362	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	163	45
+	148	39
+	164	43
+	4	163	45	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	149	36
+	164	43
+	148	39
+	4	149	36	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	231	66
+	221	55
+	230	67
+	4	231	66	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	230	67
+	239	78
+	231	66
+	4	230	67	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	319	52
+	326	62
+	321	50
+	4	319	52	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	326	62
+	319	52
+	324	64
+	4	326	62	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	182	43
+	196	49
+	182	41
+	4	182	43	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	196	49
+	182	43
+	196	50
+	4	196	49	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	14
+	158	14
+	168	15
+	4	169	14	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	15
+	178	16
+	169	14
+	4	168	15	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	35
+	266	41
+	261	35
+	4	264	35	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	41
+	264	35
+	269	41
+	4	266	41	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	33
+	269	41
+	264	35
+	4	267	33	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	142	78
+	154	77
+	141	75
+	4	142	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	77
+	142	78
+	154	80
+	4	154	77	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	41
+	267	33
+	272	39
+	4	269	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	30
+	272	39
+	267	33
+	4	269	30	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	156	358
+	131	351
+	155	362
+	4	156	358	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	131	351
+	156	358
+	133	348
+	4	131	351	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	38
+	93	42
+	112	35
+	4	113	38	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	40
+	112	35
+	93	42
+	4	91	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	30
+	263	21
+	269	28
+	4	269	30	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	262	20
+	269	28
+	263	21
+	4	262	20	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	34
+	182	41
+	166	35
+	4	167	34	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	182	41
+	167	34
+	182	41
+	4	182	41	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	17
+	168	15
+	158	14
+	4	158	17	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	150	31
+	166	37
+	149	33
+	4	150	31	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	37
+	150	31
+	166	35
+	4	166	37	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	42
+	293	46
+	289	40
+	4	291	42	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	293	46
+	291	42
+	294	47
+	4	293	46	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	26
+	228	29
+	221	24
+	4	221	26	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	228	29
+	221	26
+	227	31
+	4	228	29	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	175	26
+	183	27
+	175	24
+	4	175	26	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	183	27
+	175	26
+	183	29
+	4	183	27	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	242	76
+	231	66
+	239	78
+	4	242	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	255	28
+	260	32
+	255	26
+	4	255	28	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	260	32
+	255	28
+	260	34
+	4	260	32	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	20
+	223	21
+	216	17
+	4	214	20	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	223	21
+	214	20
+	221	24
+	4	223	21	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	46
+	299	37
+	303	44
+	4	301	46	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	35
+	303	44
+	299	37
+	4	299	35	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	283	163
+	275	187
+	284	162
+	4	283	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	187
+	283	163
+	274	188
+	4	275	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	241	31
+	235	23
+	241	29
+	4	241	31	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	249	46
+	241	31
+	251	44
+	4	249	46	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	241	29
+	251	44
+	241	31
+	4	241	29	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	129	353
+	155	362
+	131	351
+	4	129	353	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	148	62
+	133	57
+	148	59
+	4	148	62	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	53
+	148	59
+	133	57
+	4	134	53	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	59
+	134	53
+	149	56
+	4	148	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	333	62
+	325	49
+	330	61
+	4	333	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	321	50
+	330	61
+	325	49
+	4	321	50	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	203	27
+	187	19
+	203	27
+	4	203	27	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	203	27
+	217	37
+	203	27
+	4	203	27	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	37
+	203	27
+	216	37
+	4	217	37	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	39
+	140	35
+	149	36
+	4	148	39	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	32
+	149	36
+	140	35
+	4	140	32	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	36
+	140	32
+	149	33
+	4	149	36	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	137	83
+	123	79
+	136	80
+	4	137	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	76
+	136	80
+	123	79
+	4	123	76	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	80
+	123	76
+	137	77
+	4	136	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	234	64
+	245	75
+	237	62
+	4	234	64	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	245	75
+	234	64
+	242	76
+	4	245	75	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	330	61
+	321	50
+	326	62
+	4	330	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	15
+	158	17
+	167	19
+	4	168	15	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	152	55
+	166	58
+	151	53
+	4	152	55	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	166	58
+	152	55
+	166	59
+	4	166	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	113	38
+	123	39
+	114	41
+	4	113	38	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	123	39
+	113	38
+	122	36
+	4	123	39	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	112	35
+	122	36
+	113	38
+	4	112	35	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	272	85
+	274	100
+	270	86
+	4	272	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	274	100
+	272	85
+	275	100
+	4	274	100	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	227	50
+	238	60
+	228	48
+	4	227	50	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	238	60
+	227	50
+	237	62
+	4	238	60	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	37
+	243	48
+	233	36
+	4	234	37	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	48
+	234	37
+	244	49
+	4	243	48	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	16	165
+	15	198
+	15	166
+	4	16	165	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	16	199
+	15	166
+	15	198
+	4	16	199	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	264	87
+	263	73
+	267	86
+	4	264	87	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	266	71
+	267	86
+	263	73
+	4	266	71	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	267	86
+	266	71
+	270	86
+	4	267	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	80
+	141	81
+	154	83
+	4	154	80	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	140	84
+	154	83
+	141	81
+	4	140	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	249	46
+	254	60
+	246	48
+	4	249	46	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	254	60
+	249	46
+	257	59
+	4	254	60	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	251	44
+	257	59
+	249	46
+	4	251	44	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	262	88
+	260	74
+	264	87
+	4	262	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	263	73
+	264	87
+	260	74
+	4	263	73	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	87
+	265	101
+	262	88
+	4	264	87	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	124	73
+	137	77
+	123	76
+	4	124	73	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	137	77
+	124	73
+	138	74
+	4	137	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	238	233
+	266	193
+	236	230
+	4	238	233	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	264	190
+	236	230
+	266	193
+	4	264	190	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	266	193
+	238	233
+	269	195
+	4	266	193	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	183	29
+	198	34
+	183	27
+	4	183	29	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	34
+	183	29
+	197	36
+	4	198	34	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	38
+	132	35
+	140	35
+	4	140	38	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	131	32
+	140	35
+	132	35
+	4	131	32	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	35
+	131	32
+	140	32
+	4	140	35	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	35
+	148	39
+	140	38
+	4	140	35	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	81
+	154	80
+	142	78
+	4	141	81	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	246	48
+	251	61
+	244	49
+	4	246	48	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	251	61
+	246	48
+	254	60
+	4	251	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	232
+	166	237
+	199	234
+	4	197	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	237
+	197	232
+	164	235
+	4	166	237	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	229
+	198	223
+	165	226
+	4	163	229	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	223
+	165	226
+	198	223
+	4	201	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	36
+	112	35
+	122	33
+	4	122	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	122	36
+	132	38
+	123	39
+	4	122	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	38
+	122	36
+	132	35
+	4	132	38	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	33
+	132	35
+	122	36
+	4	122	33	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	227	17
+	218	14
+	225	19
+	4	227	17	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	17
+	225	19
+	218	14
+	4	216	17	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	41
+	140	38
+	148	39
+	4	148	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	39
+	163	45
+	148	41
+	4	148	39	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	178	16
+	168	15
+	177	18
+	4	178	16	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	177	18
+	187	19
+	178	16
+	4	177	18	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	66
+	242	76
+	234	64
+	4	231	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	272	101
+	278	129
+	275	100
+	4	272	101	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	129
+	272	101
+	276	129
+	4	278	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	35
+	122	33
+	131	32
+	4	132	35	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	35
+	140	38
+	132	38
+	4	132	35	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	54
+	210	45
+	221	55
+	4	222	54	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	221	55
+	231	66
+	222	54
+	4	221	55	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	22
+	176	21
+	167	19
+	4	166	22	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	176	21
+	166	22
+	175	24
+	4	176	21	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	135	51
+	149	56
+	134	53
+	4	135	51	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	56
+	135	51
+	150	53
+	4	149	56	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	77	61
+	94	47
+	75	59
+	4	77	61	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	94	47
+	77	61
+	95	49
+	4	94	47	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	102
+	262	88
+	265	101
+	4	264	102	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	40
+	71	52
+	91	40
+	4	91	40	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	71	54
+	91	40
+	71	52
+	4	71	54	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	261	35
+	264	40
+	260	34
+	4	261	35	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	264	40
+	261	35
+	266	41
+	4	264	40	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	235	23
+	227	17
+	234	23
+	4	235	23	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	23
+	241	29
+	235	23
+	4	234	23	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	64
+	134	60
+	148	62
+	4	148	64	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	133	57
+	148	62
+	134	60
+	4	133	57	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	39
+	269	30
+	274	36
+	4	272	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	28
+	274	36
+	269	30
+	4	269	28	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	25	198
+	23	168
+	22	199
+	4	25	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	23	168
+	25	198
+	25	168
+	4	23	168	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	41
+	123	41
+	114	43
+	4	114	41	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	41
+	114	41
+	123	39
+	4	123	41	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	164	65
+	150	64
+	163	67
+	4	164	65	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	148	64
+	163	67
+	150	64
+	4	148	64	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	225	19
+	216	17
+	223	21
+	4	225	19	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	138	84
+	124	82
+	137	83
+	4	138	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	123	79
+	137	83
+	124	82
+	4	123	79	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	40
+	132	38
+	140	38
+	4	140	40	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	38
+	148	41
+	140	40
+	4	140	38	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	140	30
+	149	33
+	140	32
+	4	140	30	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	149	33
+	140	30
+	150	31
+	4	149	33	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	123	39
+	132	40
+	123	41
+	4	123	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	40
+	123	39
+	132	38
+	4	132	40	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	260	74
+	257	59
+	263	73
+	4	260	74	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	259	57
+	263	73
+	257	59
+	4	259	57	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	263	73
+	259	57
+	266	71
+	4	263	73	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	45
+	148	41
+	163	45
+	4	164	45	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	45
+	178	50
+	164	45
+	4	163	45	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	96	49
+	114	43
+	95	49
+	4	96	49	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	114	43
+	96	49
+	114	43
+	4	114	43	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	35
+	91	40
+	111	32
+	4	112	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	32
+	122	33
+	112	35
+	4	111	32	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	38
+	140	40
+	132	40
+	4	132	38	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	53
+	179	49
+	192	56
+	4	194	53	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	178	50
+	192	56
+	179	49
+	4	178	50	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	167	19
+	177	18
+	168	15
+	4	167	19	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	257	59
+	251	44
+	259	57
+	4	257	59	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	257	59
+	260	74
+	254	60
+	4	257	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	124	169
+	115	176
+	121	168
+	4	124	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	172
+	121	168
+	115	176
+	4	114	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	121	168
+	114	172
+	119	165
+	4	121	168	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	272	130
+	266	102
+	269	129
+	4	272	130	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	264	102
+	269	129
+	266	102
+	4	264	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	19
+	234	23
+	227	17
+	4	225	19	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	127	169
+	118	178
+	124	169
+	4	127	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	176
+	124	169
+	118	178
+	4	115	176	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	257	75
+	254	60
+	260	74
+	4	257	75	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	260	74
+	262	88
+	257	75
+	4	260	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	266	185
+	273	160
+	265	183
+	4	266	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	273	159
+	265	183
+	273	160
+	4	273	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	181	46
+	196	50
+	182	43
+	4	181	46	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	196	50
+	181	46
+	194	53
+	4	196	50	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	227	31
+	234	35
+	228	29
+	4	227	31	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	35
+	227	31
+	233	36
+	4	234	35	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	254	60
+	257	75
+	251	61
+	4	254	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	43
+	197	36
+	210	45
+	4	211	43	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	210	45
+	222	54
+	211	43
+	4	210	45	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	36
+	211	43
+	198	34
+	4	197	36	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	40
+	293	43
+	289	37
+	4	289	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	43
+	289	40
+	293	46
+	4	293	43	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	62	297
+	49	269
+	64	295
+	4	62	297	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	49	269
+	62	297
+	45	270
+	4	49	269	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	59	299
+	45	270
+	62	297
+	4	59	299	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	64
+	222	54
+	231	66
+	4	234	64	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	30
+	140	32
+	131	32
+	4	131	30	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	140	32
+	131	30
+	140	30
+	4	140	32	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	40
+	111	32
+	91	40
+	4	91	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	19
+	177	18
+	186	21
+	4	187	19	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	186	21
+	203	27
+	187	19
+	4	186	21	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	28
+	262	20
+	268	27
+	4	269	28	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	21
+	268	27
+	262	20
+	4	259	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	44
+	299	35
+	303	41
+	4	303	44	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	33
+	303	41
+	299	35
+	4	297	33	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	122	33
+	111	32
+	121	30
+	4	122	33	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	121	30
+	131	32
+	122	33
+	4	121	30	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	179	49
+	164	45
+	178	50
+	4	179	49	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	267	71
+	270	86
+	266	71
+	4	267	71	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	270	86
+	267	71
+	272	85
+	4	270	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	32
+	121	30
+	131	30
+	4	131	32	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	215	38
+	228	48
+	216	37
+	4	215	38	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	228	48
+	215	38
+	227	50
+	4	228	48	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	115	169
+	119	165
+	114	172
+	4	115	169	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	165
+	115	169
+	119	162
+	4	119	165	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	229
+	164	235
+	197	232
+	4	196	229	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	235
+	196	229
+	162	232
+	4	164	235	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	177	18
+	167	19
+	176	21
+	4	177	18	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	232
+	196	226
+	163	229
+	4	162	232	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	223
+	163	229
+	196	226
+	4	198	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	129	166
+	121	178
+	127	169
+	4	129	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	178
+	127	169
+	121	178
+	4	118	178	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	150	30
+	166	35
+	150	31
+	4	150	30	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	35
+	150	30
+	167	34
+	4	166	35	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	255	26
+	262	29
+	257	23
+	4	255	26	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	262	29
+	255	26
+	260	32
+	4	262	29	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	175	24
+	184	24
+	176	21
+	4	175	24	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	184	24
+	175	24
+	183	27
+	4	184	24	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	44
+	241	29
+	252	42
+	4	251	44	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	42
+	259	57
+	251	44
+	4	252	42	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	221	24
+	230	26
+	223	21
+	4	221	24	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	26
+	221	24
+	228	29
+	4	230	26	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	126	73
+	138	74
+	124	73
+	4	126	73	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	138	74
+	126	73
+	140	73
+	4	138	74	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	49
+	194	53
+	181	46
+	4	179	49	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	261	88
+	257	75
+	262	88
+	4	261	88	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	262	88
+	264	102
+	261	88
+	4	262	88	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	269	41
+	269	47
+	266	41
+	4	269	41	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	269	47
+	269	41
+	272	47
+	4	269	47	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	39
+	272	47
+	269	41
+	4	272	39	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	224	52
+	237	62
+	227	50
+	4	224	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	237	62
+	224	52
+	234	64
+	4	237	62	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	244	49
+	251	61
+	243	48
+	4	244	49	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	61
+	244	49
+	251	61
+	4	251	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	166	36
+	182	41
+	167	34
+	4	166	36	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	182	41
+	166	36
+	182	43
+	4	182	41	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	45	270
+	59	299
+	42	272
+	4	45	270	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	57	301
+	42	272
+	59	299
+	4	57	301	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	163
+	274	188
+	283	163
+	4	281	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	188
+	281	163
+	272	188
+	4	274	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	196	226
+	162	232
+	196	229
+	4	196	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	47
+	272	39
+	275	45
+	4	272	47	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	274	36
+	275	45
+	272	39
+	4	274	36	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	64	295
+	51	270
+	66	296
+	4	64	295	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	51	270
+	64	295
+	49	269
+	4	51	270	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	152	58
+	166	59
+	152	55
+	4	152	58	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	166	59
+	152	58
+	166	62
+	4	166	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	241	29
+	234	23
+	240	29
+	4	241	29	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	240	29
+	252	42
+	241	29
+	4	240	29	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	102
+	276	129
+	272	101
+	4	269	102	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	276	129
+	269	102
+	272	130
+	4	276	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	15	166
+	16	199
+	16	167
+	4	15	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	19	199
+	16	167
+	16	199
+	4	19	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	21
+	186	21
+	177	18
+	4	176	21	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	118	168
+	119	162
+	115	169
+	4	118	168	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	119	162
+	118	168
+	121	159
+	4	119	162	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	266	102
+	272	130
+	269	102
+	4	266	102	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	148	41
+	140	40
+	148	41
+	4	148	41	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	41
+	164	45
+	148	41
+	4	148	41	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	260	56
+	266	71
+	259	57
+	4	260	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	266	71
+	260	56
+	267	71
+	4	266	71	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	271	85
+	275	100
+	272	85
+	4	271	85	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	100
+	271	85
+	275	100
+	4	275	100	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	121	178
+	129	166
+	124	176
+	4	121	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	130	163
+	124	176
+	129	166
+	4	130	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	62
+	151	61
+	164	65
+	4	166	62	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	150	64
+	164	65
+	151	61
+	4	150	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	203	27
+	186	21
+	201	28
+	4	203	27	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	201	28
+	216	37
+	203	27
+	4	201	28	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	222	54
+	234	64
+	224	52
+	4	222	54	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	216	37
+	201	28
+	215	38
+	4	216	37	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	136	51
+	150	53
+	135	51
+	4	136	51	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	150	53
+	136	51
+	151	53
+	4	150	53	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	22	199
+	19	168
+	19	199
+	4	22	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	19	168
+	22	199
+	23	168
+	4	19	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	57
+	252	42
+	260	56
+	4	259	57	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	233	36
+	244	47
+	234	35
+	4	233	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	244	47
+	233	36
+	243	48
+	4	244	47	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	60
+	148	64
+	134	62
+	4	134	60	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	150	64
+	134	62
+	148	64
+	4	150	64	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	75	59
+	92	44
+	73	56
+	4	75	59	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	92	44
+	75	59
+	94	47
+	4	92	44	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	91	40
+	71	54
+	91	41
+	4	91	40	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	56
+	91	41
+	71	54
+	4	73	56	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	183	27
+	199	31
+	184	24
+	4	183	27	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	199	31
+	183	27
+	198	34
+	4	199	31	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	43
+	123	41
+	114	43
+	4	114	43	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	123	41
+	114	43
+	123	41
+	4	123	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	22	165
+	31	138
+	25	166
+	4	22	165	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	31	138
+	22	165
+	28	137
+	4	31	138	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	18	165
+	28	137
+	22	165
+	4	18	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	369	134
+	365	141
+	367	131
+	4	369	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	365	141
+	369	134
+	368	143
+	4	365	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	373	135
+	368	143
+	369	134
+	4	373	135	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	257	75
+	251	61
+	257	75
+	4	257	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	257	75
+	261	88
+	257	75
+	4	257	75	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	82
+	138	84
+	126	84
+	4	124	82	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	140	84
+	126	84
+	138	84
+	4	140	84	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	234	23
+	225	19
+	232	24
+	4	234	23	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	223	21
+	232	24
+	225	19
+	4	223	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	260	34
+	265	38
+	260	32
+	4	260	34	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	38
+	260	34
+	264	40
+	4	265	38	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	224	52
+	211	43
+	222	54
+	4	224	52	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	368	143
+	373	135
+	371	144
+	4	368	143	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	376	134
+	371	144
+	373	135
+	4	376	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	40
+	132	40
+	140	40
+	4	140	40	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	40
+	148	41
+	140	40
+	4	140	40	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	21
+	176	21
+	184	24
+	4	186	21	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	36
+	269	28
+	274	34
+	4	274	36	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	27
+	274	34
+	269	28
+	4	268	27	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	61
+	257	75
+	251	61
+	4	251	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	27
+	259	21
+	265	27
+	4	268	27	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	257	23
+	265	27
+	259	21
+	4	257	23	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	205	363
+	184	355
+	207	360
+	4	205	363	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	184	355
+	205	363
+	182	358
+	4	184	355	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	205	366
+	182	358
+	205	363
+	4	205	366	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	159
+	286	134
+	279	160
+	4	276	159	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	289	134
+	279	160
+	286	134
+	4	289	134	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	279	160
+	289	134
+	282	161
+	4	279	160	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	41
+	131	40
+	123	41
+	4	123	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	40
+	123	41
+	132	40
+	4	131	40	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	27
+	257	23
+	262	29
+	4	265	27	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	132	40
+	140	40
+	131	40
+	4	132	40	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	151	61
+	166	62
+	152	58
+	4	151	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	232	24
+	223	21
+	230	26
+	4	232	24	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	266	102
+	261	88
+	264	102
+	4	266	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	232	24
+	240	29
+	234	23
+	4	232	24	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	48
+	297	54
+	294	47
+	4	297	48	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	54
+	297	48
+	300	54
+	4	297	54	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	46
+	300	54
+	297	48
+	4	301	46	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	16	167
+	19	199
+	19	168
+	4	16	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	367	131
+	365	137
+	367	128
+	4	367	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	365	137
+	367	131
+	365	141
+	4	365	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	289	37
+	295	41
+	291	34
+	4	289	37	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	41
+	289	37
+	293	43
+	4	295	41	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	29
+	150	31
+	140	30
+	4	140	29	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	31
+	140	29
+	150	30
+	4	150	31	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	121	168
+	121	159
+	118	168
+	4	121	168	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	121	159
+	121	168
+	125	159
+	4	121	159	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	159
+	283	133
+	276	159
+	4	273	159	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	286	134
+	276	159
+	283	133
+	4	286	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	187
+	274	161
+	266	185
+	4	269	187	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	273	160
+	266	185
+	274	161
+	4	273	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	32
+	91	40
+	111	32
+	4	111	32	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	32
+	121	30
+	111	32
+	4	111	32	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	128	160
+	125	173
+	130	163
+	4	128	160	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	176
+	130	163
+	125	173
+	4	124	176	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	41
+	268	46
+	264	40
+	4	266	41	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	268	46
+	266	41
+	269	47
+	4	268	46	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	300	54
+	301	46
+	304	53
+	4	300	54	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	44
+	304	53
+	301	46
+	4	303	44	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	207	360
+	187	354
+	209	359
+	4	207	360	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	187	354
+	207	360
+	184	355
+	4	187	354	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	184	24
+	201	28
+	186	21
+	4	184	24	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	41
+	297	33
+	301	39
+	4	303	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	294	33
+	301	39
+	297	33
+	4	294	33	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	41
+	73	56
+	92	44
+	4	91	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	25	166
+	32	139
+	26	167
+	4	25	166	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	32	139
+	25	166
+	31	138
+	4	32	139	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	28	137
+	18	165
+	24	136
+	4	28	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	16	165
+	24	136
+	18	165
+	4	16	165	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	41
+	227	50
+	215	38
+	4	213	41	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	227	50
+	213	41
+	224	52
+	4	227	50	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	371	144
+	376	134
+	374	143
+	4	371	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	378	131
+	374	143
+	376	134
+	4	378	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	228	29
+	236	32
+	230	26
+	4	228	29	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	236	32
+	228	29
+	234	35
+	4	236	32	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	213	41
+	198	34
+	211	43
+	4	213	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	43
+	224	52
+	213	41
+	4	211	43	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	45
+	274	36
+	278	43
+	4	275	45	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	34
+	278	43
+	274	36
+	4	274	34	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	198	34
+	213	41
+	199	31
+	4	198	34	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	164	43
+	148	41
+	164	45
+	4	164	43	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	164	45
+	179	49
+	164	43
+	4	164	45	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	49
+	113	40
+	94	47
+	4	95	49	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	113	40
+	95	49
+	114	43
+	4	113	40	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	182	358
+	205	366
+	182	362
+	4	182	358	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	207	369
+	182	362
+	205	366
+	4	207	369	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	29
+	140	30
+	131	30
+	4	131	29	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	30
+	131	29
+	140	29
+	4	140	30	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	313	322
+	298	323
+	313	319
+	4	313	322	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	298	323
+	313	322
+	299	327
+	4	298	323	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	316	325
+	299	327
+	313	322
+	4	316	325	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	313	319
+	300	320
+	314	316
+	4	313	319	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	300	320
+	313	319
+	298	323
+	4	300	320	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	46
+	164	43
+	179	49
+	4	181	46	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	124	170
+	125	159
+	121	168
+	4	124	170	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	159
+	124	170
+	128	160
+	4	125	159	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	125	173
+	128	160
+	124	170
+	4	125	173	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	121	30
+	111	32
+	121	30
+	4	121	30	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	121	30
+	131	30
+	121	30
+	4	121	30	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	201	28
+	184	24
+	199	31
+	4	201	28	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	277	162
+	272	188
+	281	163
+	4	277	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	188
+	277	162
+	269	187
+	4	272	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	131	30
+	121	30
+	131	29
+	4	131	30	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	272
+	57	301
+	41	274
+	4	42	272	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	58	303
+	41	274
+	57	301
+	4	58	303	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	149
+	108	157
+	118	148
+	4	121	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	154
+	118	148
+	108	157
+	4	105	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	148
+	105	154
+	116	145
+	4	118	148	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	166	39
+	182	43
+	166	36
+	4	166	39	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	182	43
+	166	39
+	181	46
+	4	182	43	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	296
+	51	271
+	67	297
+	4	66	296	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	51	271
+	66	296
+	51	270
+	4	51	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	74
+	140	73
+	126	73
+	4	128	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	73
+	128	74
+	141	75
+	4	140	73	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	41
+	111	32
+	91	40
+	4	91	41	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	71
+	272	85
+	267	71
+	4	267	71	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	85
+	267	71
+	271	85
+	4	272	85	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	134	60
+	118	57
+	133	57
+	4	134	60	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	53
+	133	57
+	118	57
+	4	118	53	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	133	57
+	118	53
+	134	53
+	4	133	57	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	367	128
+	367	135
+	369	125
+	4	367	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	367	135
+	367	128
+	365	137
+	4	367	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	290	135
+	282	161
+	289	134
+	4	290	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	161
+	290	135
+	284	162
+	4	282	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	151
+	116	145
+	105	154
+	4	105	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	116	145
+	105	151
+	116	142
+	4	116	145	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	294	47
+	296	52
+	293	46
+	4	294	47	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	296	52
+	294	47
+	297	54
+	4	296	52	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	252	42
+	240	29
+	251	42
+	4	252	42	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	42
+	260	56
+	252	42
+	4	251	42	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	272	47
+	275	61
+	269	47
+	4	272	47	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	275	61
+	272	47
+	278	61
+	4	275	61	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	45
+	278	61
+	272	47
+	4	275	45	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	150	32
+	167	34
+	150	30
+	4	150	32	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	167	34
+	150	32
+	166	36
+	4	167	34	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	274	161
+	269	187
+	277	162
+	4	274	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	199	31
+	215	38
+	201	28
+	4	199	31	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	215	38
+	199	31
+	213	41
+	4	215	38	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	34
+	298	39
+	294	33
+	4	291	34	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	39
+	291	34
+	295	41
+	4	298	39	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	299	327
+	316	325
+	301	330
+	4	299	327	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	319	326
+	301	330
+	316	325
+	4	319	326	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	314	316
+	303	319
+	317	314
+	4	314	316	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	303	319
+	314	316
+	300	320
+	4	303	319	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	61
+	275	45
+	282	60
+	4	278	61	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	43
+	282	60
+	275	45
+	4	278	43	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	39
+	294	33
+	298	39
+	4	301	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	263	88
+	257	75
+	261	88
+	4	263	88	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	261	88
+	266	102
+	263	88
+	4	261	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	48
+	252	60
+	244	47
+	4	243	48	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	252	60
+	243	48
+	251	61
+	4	252	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	374	143
+	378	131
+	376	141
+	4	374	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	378	128
+	376	141
+	378	131
+	4	378	128	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	124	149
+	111	158
+	121	149
+	4	124	149	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	157
+	121	149
+	111	158
+	4	108	157	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	43
+	181	46
+	166	39
+	4	164	43	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	240	29
+	232	24
+	238	30
+	4	240	29	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	238	30
+	251	42
+	240	29
+	4	238	30	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	209	359
+	189	355
+	211	359
+	4	209	359	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	189	355
+	209	359
+	187	354
+	4	189	355	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	53
+	303	44
+	306	51
+	4	304	53	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	41
+	306	51
+	303	44
+	4	303	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	217
+	172	223
+	159	220
+	4	159	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	170	227
+	159	220
+	172	223
+	4	170	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	220
+	170	227
+	158	224
+	4	159	220	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	230	26
+	238	30
+	232	24
+	4	230	26	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	134	62
+	118	60
+	134	60
+	4	134	62	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	118	57
+	134	60
+	118	60
+	4	118	57	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	107	148
+	116	142
+	105	151
+	4	107	148	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	142
+	107	148
+	118	139
+	4	116	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	229
+	158	224
+	170	227
+	4	168	229	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	158	224
+	168	229
+	155	225
+	4	158	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	56
+	267	71
+	260	56
+	4	260	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	71
+	260	56
+	267	71
+	4	267	71	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	30
+	230	26
+	236	32
+	4	238	30	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	118	51
+	134	53
+	118	53
+	4	118	51	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	134	53
+	118	51
+	135	51
+	4	134	53	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	141	81
+	127	83
+	140	84
+	4	141	81	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	126	84
+	140	84
+	127	83
+	4	126	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	52
+	151	53
+	136	51
+	4	136	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	151	53
+	136	52
+	152	55
+	4	151	53	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	86
+	275	100
+	271	85
+	4	269	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	100
+	269	86
+	272	101
+	4	275	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	260	56
+	251	42
+	260	56
+	4	260	56	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	234	35
+	246	45
+	236	32
+	4	234	35	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	45
+	234	35
+	244	47
+	4	246	45	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	283	133
+	273	159
+	280	133
+	4	283	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	273	160
+	280	133
+	273	159
+	4	273	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	61
+	135	61
+	150	64
+	4	151	61	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	134	62
+	150	64
+	135	61
+	4	134	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	260	32
+	267	36
+	262	29
+	4	260	32	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	36
+	260	32
+	265	38
+	4	267	36	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	39
+	140	40
+	148	41
+	4	148	39	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	41
+	164	43
+	148	39
+	4	148	41	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	369	125
+	371	134
+	372	124
+	4	369	125	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	371	134
+	369	125
+	367	135
+	4	371	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	34
+	268	27
+	273	33
+	4	274	34	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	27
+	273	33
+	268	27
+	4	265	27	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	172	223
+	159	217
+	171	220
+	4	172	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	157	215
+	171	220
+	159	217
+	4	157	215	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	182	362
+	207	369
+	183	364
+	4	182	362	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	209	370
+	183	364
+	207	369
+	4	209	370	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	43
+	122	39
+	113	40
+	4	114	43	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	122	39
+	114	43
+	123	41
+	4	122	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	258	74
+	251	61
+	257	75
+	4	258	74	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	257	75
+	263	88
+	258	74
+	4	257	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	251	61
+	258	74
+	252	60
+	4	251	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	376	141
+	378	128
+	376	138
+	4	376	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	376	125
+	376	138
+	378	128
+	4	376	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	140	38
+	131	40
+	140	40
+	4	140	38	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	140	40
+	148	39
+	140	38
+	4	140	40	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	269	102
+	263	88
+	266	102
+	4	269	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	227	225
+	247	214
+	229	227
+	4	227	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	249	216
+	229	227
+	247	214
+	4	249	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	227
+	249	216
+	231	230
+	4	229	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	26	167
+	31	140
+	25	168
+	4	26	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	31	140
+	26	167
+	32	139
+	4	31	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	24	136
+	16	165
+	22	136
+	4	24	136	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	15	166
+	22	136
+	16	165
+	4	15	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	250	219
+	231	230
+	249	216
+	4	250	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	231	230
+	250	219
+	232	233
+	4	231	230	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	47
+	274	60
+	268	46
+	4	269	47	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	274	60
+	269	47
+	275	61
+	4	274	60	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	123	41
+	131	38
+	122	39
+	4	123	41	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	38
+	123	41
+	131	40
+	4	131	38	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	264	40
+	269	45
+	265	38
+	4	264	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	269	45
+	264	40
+	268	46
+	4	269	45	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	111	158
+	124	149
+	114	157
+	4	111	158	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	126	146
+	114	157
+	124	149
+	4	126	146	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	40
+	140	38
+	131	38
+	4	131	40	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	330
+	319	326
+	304	331
+	4	301	330	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	322	324
+	304	331
+	319	326
+	4	322	324	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	317	314
+	306	320
+	320	315
+	4	317	314	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	320
+	317	314
+	303	319
+	4	306	320	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	228
+	155	225
+	168	229
+	4	165	228	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	155	225
+	165	228
+	152	225
+	4	155	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	372	124
+	374	135
+	376	125
+	4	372	124	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	374	135
+	372	124
+	371	134
+	4	374	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	94	47
+	112	37
+	92	44
+	4	94	47	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	112	37
+	94	47
+	113	40
+	4	112	37	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	31
+	150	30
+	140	29
+	4	140	31	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	150	30
+	140	31
+	150	32
+	4	150	30	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	39
+	148	39
+	164	43
+	4	166	39	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	32
+	91	41
+	111	34
+	4	111	32	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	34
+	121	30
+	111	32
+	4	111	34	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	376	138
+	376	125
+	374	135
+	4	376	138	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	43
+	274	34
+	278	42
+	4	278	43	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	273	33
+	278	42
+	274	34
+	4	273	33	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	128
+	100	134
+	116	126
+	4	119	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	131
+	116	126
+	100	134
+	4	98	131	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	126
+	98	131
+	115	123
+	4	116	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	129	77
+	141	75
+	128	74
+	4	129	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	141	75
+	129	77
+	142	78
+	4	141	75	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	110	147
+	118	139
+	107	148
+	4	110	147	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	118	139
+	110	147
+	120	139
+	4	118	139	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	92	44
+	111	34
+	91	41
+	4	92	44	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	46
+	296	50
+	293	43
+	4	293	46	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	296	50
+	293	46
+	296	52
+	4	296	50	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	98	128
+	115	123
+	98	131
+	4	98	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	123
+	98	128
+	116	119
+	4	115	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	282	60
+	278	43
+	284	58
+	4	282	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	42
+	284	58
+	278	43
+	4	278	42	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	214
+	169	218
+	157	215
+	4	154	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	220
+	157	215
+	169	218
+	4	171	220	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	124	82
+	110	80
+	123	79
+	4	124	82	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	77
+	123	79
+	110	80
+	4	109	77	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	79
+	109	77
+	123	76
+	4	123	79	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	149	36
+	166	36
+	150	32
+	4	149	36	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	166	36
+	149	36
+	166	39
+	4	166	36	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	31
+	140	29
+	131	29
+	4	131	31	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	29
+	131	31
+	140	31
+	4	140	29	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	42
+	238	30
+	249	43
+	4	251	42	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	236	32
+	249	43
+	238	30
+	4	236	32	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	41	274
+	58	303
+	41	276
+	4	41	274	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	303
+	41	276
+	58	303
+	4	60	303	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	135
+	284	162
+	290	135
+	4	288	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	284	162
+	288	135
+	283	163
+	4	284	162	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	297
+	49	273
+	65	300
+	4	67	297	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	49	273
+	67	297
+	51	271
+	4	49	273	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	30
+	111	34
+	121	32
+	4	121	30	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	32
+	131	29
+	121	30
+	4	121	32	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	262	351
+	243	348
+	263	348
+	4	262	351	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	243	348
+	262	351
+	242	352
+	4	243	348	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	263	355
+	242	352
+	262	351
+	4	263	355	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	43
+	236	32
+	246	45
+	4	249	43	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	262	29
+	270	34
+	265	27
+	4	262	29	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	270	34
+	262	29
+	267	36
+	4	270	34	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	273	33
+	265	27
+	270	34
+	4	273	33	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	29
+	121	32
+	131	31
+	4	131	29	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	142	78
+	128	81
+	141	81
+	4	142	78	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	127	83
+	141	81
+	128	81
+	4	127	83	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	211	359
+	190	357
+	213	362
+	4	211	359	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	190	357
+	211	359
+	189	355
+	4	190	357	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	263	348
+	246	346
+	265	346
+	4	263	348	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	346
+	263	348
+	243	348
+	4	246	346	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	264	71
+	271	85
+	267	71
+	4	264	71	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	271	85
+	264	71
+	269	86
+	4	271	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	266	87
+	272	101
+	269	86
+	4	266	87	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	272	101
+	266	87
+	269	102
+	4	272	101	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	247	214
+	227	225
+	244	212
+	4	247	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	226
+	244	212
+	227	225
+	4	225	226	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	122	128
+	102	136
+	119	128
+	4	122	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	134
+	119	128
+	102	136
+	4	100	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	60
+	134	62
+	119	62
+	4	118	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	61
+	119	62
+	134	62
+	4	135	61	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	51
+	303	41
+	306	48
+	4	306	51	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	301	39
+	306	48
+	303	41
+	4	301	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	34
+	92	44
+	112	37
+	4	111	34	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	249	43
+	260	56
+	251	42
+	4	249	43	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	143
+	116	155
+	126	146
+	4	126	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	157
+	126	146
+	116	155
+	4	114	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	74
+	123	76
+	109	77
+	4	110	74	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	76
+	110	74
+	124	73
+	4	123	76	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	119	105
+	107	105
+	118	103
+	4	119	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	106	102
+	118	103
+	107	105
+	4	106	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	118	103
+	106	102
+	117	99
+	4	118	103	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	263	88
+	269	102
+	266	87
+	4	263	88	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	304	331
+	322	324
+	307	329
+	4	304	331	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	323	321
+	307	329
+	322	324
+	4	323	321	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	39
+	166	39
+	149	36
+	4	148	39	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	226
+	152	225
+	165	228
+	4	163	226	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	225
+	163	226
+	150	223
+	4	152	225	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	221
+	232	233
+	250	219
+	4	249	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	232	233
+	249	221
+	231	235
+	4	232	233	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	320	315
+	308	323
+	323	318
+	4	320	315	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	308	323
+	320	315
+	306	320
+	4	308	323	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	128	81
+	142	78
+	129	77
+	4	128	81	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	266	87
+	258	74
+	263	88
+	4	266	87	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	136	56
+	152	55
+	136	52
+	4	136	56	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	152	55
+	136	56
+	152	58
+	4	152	55	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	244	47
+	254	58
+	246	45
+	4	244	47	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	254	58
+	244	47
+	252	60
+	4	254	58	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	119	51
+	135	51
+	118	51
+	4	119	51	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	135	51
+	119	51
+	136	51
+	4	135	51	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	58
+	136	59
+	151	61
+	4	152	58	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	135	61
+	151	61
+	136	59
+	4	135	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	107	99
+	117	99
+	106	102
+	4	107	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	117	99
+	107	99
+	118	96
+	4	117	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	126	84
+	111	84
+	124	82
+	4	126	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	110	80
+	124	82
+	111	84
+	4	110	80	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	113	148
+	120	139
+	110	147
+	4	113	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	139
+	113	148
+	124	140
+	4	120	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	183	364
+	209	370
+	186	365
+	4	183	364	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	212	369
+	186	365
+	209	370
+	4	212	369	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	100	126
+	116	119
+	98	128
+	4	100	126	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	116	119
+	100	126
+	118	118
+	4	116	119	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	242	352
+	263	355
+	243	355
+	4	242	352	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	266	356
+	243	355
+	263	355
+	4	266	356	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	300	54
+	299	61
+	297	54
+	4	300	54	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	299	61
+	300	54
+	303	61
+	4	299	61	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	53
+	303	61
+	300	54
+	4	304	53	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	352	97
+	349	107
+	349	95
+	4	352	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	349	107
+	352	97
+	351	109
+	4	349	107	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	355	97
+	351	109
+	352	97
+	4	355	97	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	36
+	140	38
+	148	39
+	4	149	36	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	151	216
+	166	217
+	154	214
+	4	151	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	169	218
+	154	214
+	166	217
+	4	169	218	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	258	57
+	267	71
+	260	56
+	4	258	57	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	267	71
+	258	57
+	264	71
+	4	267	71	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	351	109
+	355	97
+	355	109
+	4	351	109	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	358	95
+	355	109
+	355	97
+	4	358	95	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	140
+	115	151
+	126	143
+	4	124	140	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	155
+	126	143
+	115	151
+	4	116	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	274	161
+	278	133
+	273	160
+	4	274	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	280	133
+	273	160
+	278	133
+	4	280	133	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	113	40
+	121	35
+	112	37
+	4	113	40	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	35
+	113	40
+	122	39
+	4	121	35	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	260	56
+	249	43
+	258	57
+	4	260	56	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	265	346
+	248	346
+	268	346
+	4	265	346	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	248	346
+	265	346
+	246	346
+	4	248	346	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	307	329
+	323	321
+	308	326
+	4	307	329	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	323	318
+	308	326
+	323	321
+	4	323	318	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	308	326
+	323	318
+	308	323
+	4	308	326	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	61
+	304	53
+	306	60
+	4	303	61	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	51
+	306	60
+	304	53
+	4	306	51	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	151
+	124	140
+	113	148
+	4	115	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	106
+	109	108
+	119	105
+	4	122	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	105
+	119	105
+	109	108
+	4	107	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	59
+	152	58
+	136	56
+	4	136	59	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	35
+	131	38
+	140	38
+	4	140	35	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	38
+	149	36
+	140	35
+	4	140	38	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	278	61
+	279	76
+	275	61
+	4	278	61	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	279	76
+	278	61
+	282	75
+	4	279	76	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	60
+	282	75
+	278	61
+	4	282	60	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	73
+	252	60
+	258	74
+	4	261	73	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	258	74
+	266	87
+	261	73
+	4	258	74	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	35
+	150	32
+	140	31
+	4	140	35	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	150	32
+	140	35
+	149	36
+	4	150	32	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	39
+	131	35
+	121	35
+	4	122	39	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	35
+	122	39
+	131	38
+	4	131	35	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	280	133
+	285	105
+	283	133
+	4	280	133	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	288	105
+	283	133
+	285	105
+	4	288	105	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	283	133
+	288	105
+	286	134
+	4	283	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	223
+	150	223
+	163	226
+	4	162	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	150	223
+	162	223
+	149	219
+	4	150	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	46
+	275	59
+	269	45
+	4	268	46	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	275	59
+	268	46
+	274	60
+	4	275	59	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	349	95
+	348	104
+	348	92
+	4	349	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	348	104
+	349	95
+	349	107
+	4	348	104	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	252	60
+	261	73
+	254	58
+	4	252	60	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	118	60
+	110	58
+	118	57
+	4	118	60	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	109	54
+	118	57
+	110	58
+	4	109	54	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	57
+	109	54
+	118	53
+	4	118	57	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	37
+	121	32
+	111	34
+	4	112	37	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	265	38
+	271	43
+	267	36
+	4	265	38	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	271	43
+	265	38
+	269	45
+	4	271	43	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	38
+	140	35
+	131	35
+	4	131	38	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	126	346
+	106	327
+	129	344
+	4	126	346	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	327
+	126	346
+	103	329
+	4	106	327	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	125	349
+	103	329
+	126	346
+	4	125	349	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	25	168
+	29	140
+	23	168
+	4	25	168	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	29	140
+	25	168
+	31	140
+	4	29	140	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	102	136
+	122	128
+	105	136
+	4	102	136	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	124	126
+	105	136
+	122	128
+	4	124	126	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	368	232
+	360	236
+	368	229
+	4	368	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	360	236
+	368	232
+	360	239
+	4	360	236	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	371	235
+	360	239
+	368	232
+	4	371	235	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	75
+	282	60
+	286	75
+	4	282	75	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	58
+	286	75
+	282	60
+	4	284	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	22	136
+	15	166
+	21	136
+	4	22	136	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	16	167
+	21	136
+	15	166
+	4	16	167	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	43
+	298	48
+	295	41
+	4	293	43	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	48
+	293	43
+	296	50
+	4	298	48	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	213	362
+	190	361
+	213	366
+	4	213	362	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	190	361
+	213	362
+	190	357
+	4	190	361	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	149	219
+	163	219
+	151	216
+	4	149	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	217
+	151	216
+	163	219
+	4	166	217	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	291	105
+	286	134
+	288	105
+	4	291	105	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	286	134
+	291	105
+	289	134
+	4	286	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	42
+	273	33
+	277	41
+	4	278	42	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	270	34
+	277	41
+	273	33
+	4	270	34	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	261	73
+	269	86
+	264	71
+	4	261	73	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	269	86
+	261	73
+	266	87
+	4	269	86	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	41	276
+	60	303
+	43	276
+	4	41	276	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	63	302
+	43	276
+	60	303
+	4	63	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	35
+	140	31
+	131	31
+	4	131	35	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	31
+	131	35
+	140	35
+	4	140	31	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	297	54
+	298	59
+	296	52
+	4	297	54	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	298	59
+	297	54
+	299	61
+	4	298	59	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	300
+	46	275
+	63	302
+	4	65	300	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	46	275
+	65	300
+	49	273
+	4	46	275	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	360	239
+	371	235
+	363	242
+	4	360	239	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	374	236
+	363	242
+	371	235
+	4	374	236	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	109	98
+	118	96
+	107	99
+	4	109	98	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	118	96
+	109	98
+	120	95
+	4	118	96	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	219
+	149	219
+	162	223
+	4	163	219	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	45
+	258	57
+	249	43
+	4	246	45	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	32
+	112	37
+	121	35
+	4	121	32	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	35
+	131	31
+	121	32
+	4	121	35	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	368	229
+	362	233
+	370	226
+	4	368	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	362	233
+	368	229
+	360	236
+	4	362	233	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	258	57
+	246	45
+	254	58
+	4	258	57	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	186	365
+	212	369
+	188	364
+	4	186	365	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	213	366
+	188	364
+	212	369
+	4	213	366	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	344
+	108	327
+	131	343
+	4	129	344	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	327
+	129	344
+	106	327
+	4	108	327	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	31
+	121	35
+	131	35
+	4	131	31	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	355	109
+	358	95
+	358	107
+	4	355	109	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	360	92
+	358	107
+	358	95
+	4	360	92	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	28	137
+	41	114
+	31	138
+	4	28	137	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	41	114
+	28	137
+	38	112
+	4	41	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	24	136
+	38	112
+	28	137
+	4	24	136	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	62
+	110	61
+	118	60
+	4	119	62	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	110	58
+	118	60
+	110	61
+	4	110	58	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	74
+	124	73
+	110	74
+	4	112	74	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	124	73
+	112	74
+	126	73
+	4	124	73	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	58
+	278	42
+	285	57
+	4	284	58	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	277	41
+	285	57
+	278	42
+	4	277	41	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	328	70
+	326	83
+	325	69
+	4	328	70	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	326	83
+	328	70
+	329	84
+	4	326	83	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	331	70
+	329	84
+	328	70
+	4	331	70	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	103	126
+	118	118
+	100	126
+	4	103	126	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	118	118
+	103	126
+	120	118
+	4	118	118	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	306	48
+	301	39
+	305	47
+	4	306	48	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	298	39
+	305	47
+	301	39
+	4	298	39	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	228
+	242	212
+	225	226
+	4	224	228	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	244	212
+	225	226
+	242	212
+	4	244	212	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	243	355
+	266	356
+	246	357
+	4	243	355	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	269	356
+	246	357
+	266	356
+	4	269	356	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	103	329
+	125	349
+	101	332
+	4	103	329	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	125	352
+	101	332
+	125	349
+	4	125	352	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	188	364
+	213	366
+	190	361
+	4	188	364	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	52
+	118	53
+	109	54
+	4	109	52	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	53
+	109	52
+	118	51
+	4	118	53	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	329	84
+	331	70
+	333	83
+	4	329	84	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	334	68
+	333	83
+	331	70
+	4	334	68	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	135
+	283	163
+	288	135
+	4	285	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	283	163
+	285	135
+	281	163
+	4	283	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	247	221
+	231	235
+	249	221
+	4	247	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	231	235
+	247	221
+	229	235
+	4	231	235	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	84
+	126	84
+	113	85
+	4	111	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	127	83
+	113	85
+	126	84
+	4	127	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	276
+	63	302
+	46	275
+	4	43	276	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	275	61
+	278	75
+	274	60
+	4	275	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	278	75
+	275	61
+	279	76
+	4	278	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	363	242
+	374	236
+	366	243
+	4	363	242	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	377	234
+	366	243
+	374	236
+	4	377	234	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	348	92
+	349	101
+	350	89
+	4	348	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	349	101
+	348	92
+	348	104
+	4	349	101	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	254	58
+	264	71
+	258	57
+	4	254	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	71
+	254	58
+	261	73
+	4	264	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	285	105
+	280	133
+	282	104
+	4	285	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	133
+	282	104
+	280	133
+	4	278	133	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	268	346
+	251	348
+	270	347
+	4	268	346	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	251	348
+	268	346
+	248	346
+	4	251	348	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	31	138
+	42	115
+	32	139
+	4	31	138	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	42	115
+	31	138
+	41	114
+	4	42	115	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	60
+	306	51
+	308	58
+	4	306	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	48
+	308	58
+	306	51
+	4	306	48	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	136	59
+	120	61
+	135	61
+	4	136	59	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	119	62
+	135	61
+	120	61
+	4	119	62	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	370	226
+	365	231
+	373	225
+	4	370	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	365	231
+	370	226
+	362	233
+	4	365	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	325	69
+	325	80
+	323	67
+	4	325	69	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	325	80
+	325	69
+	326	83
+	4	325	80	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	108
+	122	106
+	111	109
+	4	109	108	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	124	105
+	111	109
+	122	106
+	4	124	105	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	38	112
+	24	136
+	35	110
+	4	38	112	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	22	136
+	35	110
+	24	136
+	4	22	136	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	267	36
+	274	41
+	270	34
+	4	267	36	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	274	41
+	267	36
+	271	43
+	4	274	41	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	52
+	136	51
+	119	51
+	4	120	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	136	51
+	120	52
+	136	52
+	4	136	51	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	41
+	302	46
+	298	39
+	4	295	41	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	46
+	295	41
+	298	48
+	4	302	46	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	124	123
+	107	134
+	124	126
+	4	124	123	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	105	136
+	124	126
+	107	134
+	4	105	136	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	277	41
+	270	34
+	274	41
+	4	277	41	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	110	61
+	101	59
+	110	58
+	4	110	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	56
+	110	58
+	101	59
+	4	100	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	58
+	100	56
+	109	54
+	4	110	58	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	305	47
+	298	39
+	302	46
+	4	305	47	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	286	75
+	284	58
+	288	74
+	4	286	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	285	57
+	288	74
+	284	58
+	4	285	57	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	358	107
+	360	92
+	359	105
+	4	358	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	359	89
+	359	105
+	360	92
+	4	359	89	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	282	75
+	281	90
+	279	76
+	4	282	75	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	281	90
+	282	75
+	284	90
+	4	281	90	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	75
+	284	90
+	282	75
+	4	286	75	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	277	162
+	279	134
+	274	161
+	4	277	162	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	133
+	274	161
+	279	134
+	4	278	133	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	292	105
+	289	134
+	291	105
+	4	292	105	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	289	134
+	292	105
+	290	135
+	4	289	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	128
+	120	118
+	103	126
+	4	106	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	118
+	106	128
+	123	120
+	4	120	118	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	366	243
+	377	234
+	369	242
+	4	366	243	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	379	231
+	369	242
+	377	234
+	4	379	231	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	63
+	102	63
+	110	61
+	4	111	63	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	59
+	110	61
+	102	63
+	4	101	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	61
+	119	62
+	111	63
+	4	110	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	23	168
+	25	139
+	19	168
+	4	23	168	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	25	139
+	23	168
+	29	140
+	4	25	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	131	343
+	110	328
+	132	345
+	4	131	343	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	110	328
+	131	343
+	108	327
+	4	110	328	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	21	136
+	16	167
+	22	137
+	4	21	136	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	19	168
+	22	137
+	16	167
+	4	19	168	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	333	83
+	334	68
+	335	82
+	4	333	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	334	65
+	335	82
+	334	68
+	4	334	65	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	98
+	120	95
+	109	98
+	4	111	98	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	95
+	111	98
+	123	96
+	4	120	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	90
+	286	75
+	288	90
+	4	284	90	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	288	74
+	288	90
+	286	75
+	4	288	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	246	357
+	269	356
+	249	357
+	4	246	357	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	271	354
+	249	357
+	269	356
+	4	271	354	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	296	52
+	298	57
+	296	50
+	4	296	52	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	57
+	296	52
+	298	59
+	4	298	57	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	373	225
+	368	232
+	376	225
+	4	373	225	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	368	232
+	373	225
+	365	231
+	4	368	232	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	45
+	277	57
+	271	43
+	4	269	45	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	57
+	269	45
+	275	59
+	4	277	57	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	120	61
+	111	63
+	119	62
+	4	120	61	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	350	89
+	352	99
+	353	87
+	4	350	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	352	99
+	350	89
+	349	101
+	4	352	99	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	282	104
+	284	90
+	285	105
+	4	282	104	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	288	90
+	285	105
+	284	90
+	4	288	90	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	105
+	288	90
+	288	105
+	4	285	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	123	120
+	108	131
+	124	123
+	4	123	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	107	134
+	124	123
+	108	131
+	4	107	134	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	270	347
+	252	351
+	272	351
+	4	270	347	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	252	351
+	270	347
+	251	348
+	4	252	351	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	100	54
+	109	54
+	100	56
+	4	100	54	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	109	54
+	100	54
+	109	52
+	4	109	54	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	332
+	125	352
+	101	335
+	4	101	332	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	126	354
+	101	335
+	125	352
+	4	126	354	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	282	134
+	281	163
+	285	135
+	4	282	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	163
+	282	134
+	277	162
+	4	281	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	284	90
+	282	104
+	281	90
+	4	284	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	231
+	242	214
+	224	228
+	4	224	231	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	242	212
+	224	228
+	242	214
+	4	242	212	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	75
+	126	73
+	112	74
+	4	113	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	126	73
+	113	75
+	128	74
+	4	126	73	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	131
+	123	120
+	106	128
+	4	108	131	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	303	61
+	301	68
+	299	61
+	4	303	61	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	301	68
+	303	61
+	304	68
+	4	301	68	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	60
+	304	68
+	303	61
+	4	306	60	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	290	89
+	288	105
+	288	90
+	4	290	89	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	288	105
+	290	89
+	291	105
+	4	288	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	285	57
+	277	41
+	283	56
+	4	285	57	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	274	41
+	283	56
+	277	41
+	4	274	41	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	245	220
+	229	235
+	247	221
+	4	245	220	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	229	235
+	245	220
+	226	234
+	4	229	235	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	22	137
+	19	168
+	25	139
+	4	22	137	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	369	242
+	379	231
+	371	239
+	4	369	242	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	379	228
+	371	239
+	379	231
+	4	379	228	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	188
+	282	167
+	268	189
+	4	265	188	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	285	169
+	268	189
+	282	167
+	4	285	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	189
+	285	169
+	271	191
+	4	268	189	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	67
+	325	78
+	324	64
+	4	323	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	78
+	323	67
+	325	80
+	4	325	78	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	279	134
+	277	162
+	282	134
+	4	279	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	52
+	118	51
+	109	52
+	4	110	52	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	51
+	110	52
+	119	51
+	4	118	51	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	359	105
+	359	89
+	358	102
+	4	359	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	356	87
+	358	102
+	359	89
+	4	356	87	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	376	225
+	370	235
+	379	228
+	4	376	225	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	370	235
+	376	225
+	368	232
+	4	370	235	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	288	90
+	288	74
+	290	89
+	4	288	90	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	76
+	280	90
+	278	75
+	4	279	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	280	90
+	279	76
+	281	90
+	4	280	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	63
+	93	62
+	101	59
+	4	102	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	92	59
+	101	59
+	93	62
+	4	92	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	59
+	92	59
+	100	56
+	4	101	59	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	287	171
+	271	191
+	285	169
+	4	287	171	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	271	191
+	287	171
+	273	194
+	4	271	191	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	32	139
+	42	115
+	31	140
+	4	32	139	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	42	115
+	32	139
+	42	115
+	4	42	115	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	81
+	114	84
+	127	83
+	4	128	81	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	113	85
+	127	83
+	114	84
+	4	113	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	205
+	155	216
+	147	209
+	4	148	205	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	152	218
+	147	209
+	155	216
+	4	152	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	209
+	152	218
+	144	211
+	4	147	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	125	102
+	113	107
+	124	105
+	4	125	102	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	111	109
+	124	105
+	113	107
+	4	111	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	249	357
+	271	354
+	251	355
+	4	249	357	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	272	351
+	251	355
+	271	354
+	4	272	351	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	56
+	120	59
+	136	59
+	4	136	56	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	61
+	136	59
+	120	59
+	4	120	61	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	371	239
+	379	228
+	370	235
+	4	371	239	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	68
+	306	60
+	307	67
+	4	304	68	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	58
+	307	67
+	306	60
+	4	308	58	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	58
+	306	48
+	309	56
+	4	308	58	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	305	47
+	309	56
+	306	48
+	4	305	47	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	218
+	144	211
+	152	218
+	4	149	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	211
+	149	218
+	141	212
+	4	144	211	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	355
+	272	351
+	252	351
+	4	251	355	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	274	60
+	279	74
+	275	59
+	4	274	60	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	279	74
+	274	60
+	278	75
+	4	279	74	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	353	87
+	356	100
+	356	87
+	4	353	87	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	356	100
+	353	87
+	352	99
+	4	356	100	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	120	56
+	136	52
+	120	52
+	4	120	56	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	136	52
+	120	56
+	136	56
+	4	136	52	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	279	134
+	281	104
+	278	133
+	4	279	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	104
+	278	133
+	281	104
+	4	282	104	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	103	64
+	94	65
+	102	63
+	4	103	64	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	93	62
+	102	63
+	94	65
+	4	93	62	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	102	63
+	111	63
+	103	64
+	4	102	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	35	110
+	22	136
+	33	110
+	4	35	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	21	136
+	33	110
+	22	136
+	4	21	136	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	155	216
+	148	205
+	156	213
+	4	155	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	146	202
+	156	213
+	148	205
+	4	146	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	358	102
+	356	87
+	356	100
+	4	358	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	104
+	281	90
+	282	104
+	4	281	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	101
+	123	96
+	111	98
+	4	113	101	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	96
+	113	101
+	124	99
+	4	123	96	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	299	61
+	299	66
+	298	59
+	4	299	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	299	66
+	299	61
+	301	68
+	4	299	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	335	82
+	334	65
+	336	79
+	4	335	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	333	62
+	336	79
+	334	65
+	4	333	62	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	90
+	281	104
+	280	90
+	4	281	90	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	271	43
+	281	56
+	274	41
+	4	271	43	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	56
+	271	43
+	277	57
+	4	281	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	146	216
+	141	212
+	149	218
+	4	146	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	212
+	146	216
+	138	210
+	4	141	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	112	62
+	103	64
+	111	63
+	4	112	62	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	111	63
+	120	61
+	112	62
+	4	111	63	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	288	74
+	285	57
+	289	73
+	4	288	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	73
+	290	89
+	288	74
+	4	289	73	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	226	234
+	243	217
+	224	231
+	4	226	234	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	242	214
+	224	231
+	243	217
+	4	242	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	217
+	226	234
+	245	220
+	4	243	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	59
+	136	56
+	120	56
+	4	120	59	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	91	57
+	100	56
+	92	59
+	4	91	57	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	100	56
+	91	57
+	100	54
+	4	100	56	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	283	56
+	274	41
+	281	56
+	4	283	56	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	45	270
+	37	240
+	49	269
+	4	45	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	37	240
+	45	270
+	34	241
+	4	37	240	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	42	272
+	34	241
+	45	270
+	4	42	272	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	282	167
+	265	188
+	279	166
+	4	282	167	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	189
+	279	166
+	265	188
+	4	264	189	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	132	345
+	110	331
+	133	348
+	4	132	345	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	110	331
+	132	345
+	110	328
+	4	110	331	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	283	56
+	289	73
+	285	57
+	4	283	56	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	38	112
+	54	94
+	41	114
+	4	38	112	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	54	94
+	38	112
+	52	92
+	4	54	94	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	35	110
+	52	92
+	38	112
+	4	35	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	65
+	84	66
+	93	62
+	4	94	65	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	83	63
+	93	62
+	84	66
+	4	83	63	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	93	62
+	83	63
+	92	59
+	4	93	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	296	50
+	301	55
+	298	48
+	4	296	50	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	55
+	296	50
+	298	57
+	4	301	55	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	111	84
+	96	84
+	110	80
+	4	111	84	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	81
+	110	80
+	96	84
+	4	95	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	110	80
+	95	81
+	109	77
+	4	110	80	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	143	201
+	156	209
+	146	202
+	4	143	201	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	213
+	146	202
+	156	209
+	4	156	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	99
+	114	104
+	125	102
+	4	124	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	113	107
+	125	102
+	114	104
+	4	113	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	291	105
+	290	135
+	292	105
+	4	291	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	135
+	291	105
+	288	135
+	4	290	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	114	78
+	128	74
+	113	75
+	4	114	78	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	128	74
+	114	78
+	129	77
+	4	128	74	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	171
+	273	194
+	287	171
+	4	287	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	273	194
+	287	171
+	273	195
+	4	273	194	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	291	89
+	291	105
+	290	89
+	4	291	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	291	105
+	291	89
+	292	105
+	4	291	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	104
+	124	99
+	113	101
+	4	114	104	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	64
+	328	76
+	326	62
+	4	324	64	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	328	76
+	324	64
+	325	78
+	4	328	76	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	67
+	86	69
+	94	65
+	4	95	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	66
+	94	65
+	86	69
+	4	84	66	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	94	65
+	103	64
+	95	67
+	4	94	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	269
+	40	241
+	51	270
+	4	49	269	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	40	241
+	49	269
+	37	240
+	4	40	241	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	335
+	126	354
+	102	336
+	4	101	335	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	353
+	102	336
+	126	354
+	4	129	353	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	77
+	115	82
+	128	81
+	4	129	77	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	84
+	128	81
+	115	82
+	4	114	84	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	101	54
+	109	52
+	100	54
+	4	101	54	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	109	52
+	101	54
+	110	52
+	4	109	52	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	290	89
+	289	73
+	291	89
+	4	290	89	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	41	114
+	56	95
+	42	115
+	4	41	114	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	56	95
+	41	114
+	54	94
+	4	56	95	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	146	213
+	138	210
+	146	216
+	4	146	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	210
+	146	213
+	137	207
+	4	138	210	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	59
+	112	62
+	120	61
+	4	120	59	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	307	67
+	308	58
+	310	66
+	4	307	67	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	309	56
+	310	66
+	308	58
+	4	309	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	113	85
+	97	87
+	111	84
+	4	113	85	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	96	84
+	111	84
+	97	87
+	4	96	84	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	34	241
+	42	272
+	31	242
+	4	34	241	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	274
+	31	242
+	42	272
+	4	41	274	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	78
+	109	77
+	95	81
+	4	95	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	109	77
+	95	78
+	110	74
+	4	109	77	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	309	56
+	305	47
+	307	54
+	4	309	56	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	302	46
+	307	54
+	305	47
+	4	302	46	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	201
+	153	207
+	143	201
+	4	140	201	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	156	209
+	143	201
+	153	207
+	4	156	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	86	69
+	76	71
+	84	66
+	4	86	69	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	68
+	84	66
+	76	71
+	4	74	68	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	84	66
+	74	68
+	83	63
+	4	84	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	82
+	129	77
+	114	78
+	4	115	82	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	52	92
+	35	110
+	49	90
+	4	52	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	33	110
+	49	90
+	35	110
+	4	33	110	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	104	64
+	95	67
+	103	64
+	4	104	64	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	64
+	112	62
+	104	64
+	4	103	64	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	75
+	281	89
+	279	74
+	4	278	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	281	89
+	278	75
+	280	90
+	4	281	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	336	79
+	333	62
+	335	77
+	4	336	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	330	61
+	335	77
+	333	62
+	4	330	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	82	61
+	92	59
+	83	63
+	4	82	61	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	92	59
+	82	61
+	91	57
+	4	92	59	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	54
+	119	51
+	110	52
+	4	111	54	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	119	51
+	111	54
+	120	52
+	4	119	51	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	31	140
+	39	115
+	29	140
+	4	31	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	39	115
+	31	140
+	42	115
+	4	39	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	147	210
+	137	207
+	146	213
+	4	147	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	137	207
+	147	210
+	137	204
+	4	137	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	71
+	78	73
+	86	69
+	4	87	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	76	71
+	86	69
+	78	73
+	4	76	71	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	86	69
+	95	67
+	87	71
+	4	86	69	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	59
+	300	64
+	298	57
+	4	298	59	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	64
+	298	59
+	299	66
+	4	300	64	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	304	68
+	302	75
+	301	68
+	4	304	68	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	302	75
+	304	68
+	305	75
+	4	302	75	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	307	67
+	305	75
+	304	68
+	4	307	67	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	59
+	281	73
+	277	57
+	4	275	59	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	73
+	275	59
+	279	74
+	4	281	73	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	298	48
+	304	54
+	302	46
+	4	298	48	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	54
+	298	48
+	301	55
+	4	304	54	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	137	204
+	150	207
+	140	201
+	4	137	204	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	153	207
+	140	201
+	150	207
+	4	153	207	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	326	62
+	331	75
+	330	61
+	4	326	62	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	331	75
+	326	62
+	328	76
+	4	331	75	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	282	134
+	282	104
+	279	134
+	4	282	134	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	104
+	279	134
+	282	104
+	4	281	104	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	73
+	67	76
+	76	71
+	4	78	73	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	65	74
+	76	71
+	67	76
+	4	65	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	76	71
+	65	74
+	74	68
+	4	76	71	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	133	348
+	108	334
+	131	351
+	4	133	348	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	108	334
+	133	348
+	110	331
+	4	108	334	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	150	207
+	137	204
+	147	210
+	4	150	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	282	104
+	280	90
+	281	104
+	4	282	104	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	33	110
+	21	136
+	32	110
+	4	33	110	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	22	137
+	32	110
+	21	136
+	4	22	137	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	335	77
+	330	61
+	331	75
+	4	335	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	280	90
+	282	104
+	281	89
+	4	280	90	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	52	92
+	62	86
+	54	94
+	4	52	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	62	86
+	52	92
+	59	84
+	4	62	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	49	90
+	59	84
+	52	92
+	4	49	90	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	307	54
+	302	46
+	304	54
+	4	307	54	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	57
+	100	54
+	91	57
+	4	91	57	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	100	54
+	91	57
+	101	54
+	4	100	54	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	336
+	129	353
+	105	336
+	4	102	336	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	351
+	105	336
+	129	353
+	4	131	351	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	75
+	307	67
+	308	75
+	4	305	75	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	66
+	308	75
+	307	67
+	4	310	66	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	264	190
+	277	166
+	264	189
+	4	264	190	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	279	166
+	264	189
+	277	166
+	4	279	166	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	75
+	69	79
+	78	73
+	4	79	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	76
+	78	73
+	69	79
+	4	67	76	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	78	73
+	87	71
+	79	75
+	4	78	73	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	112	60
+	104	64
+	112	62
+	4	112	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	112	62
+	120	59
+	112	60
+	4	112	62	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	79
+	59	84
+	67	76
+	4	69	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	57	81
+	67	76
+	59	84
+	4	57	81	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	76
+	57	81
+	65	74
+	4	67	76	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	73
+	283	56
+	288	72
+	4	289	73	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	288	72
+	291	89
+	289	73
+	4	288	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	73	66
+	83	63
+	74	68
+	4	73	66	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	63
+	73	66
+	82	61
+	4	83	63	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	108
+	95	109
+	107	105
+	4	109	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	106
+	107	105
+	95	109
+	4	94	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	105
+	94	106
+	106	102
+	4	107	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	59	84
+	49	90
+	57	81
+	4	59	84	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	59	84
+	69	79
+	62	86
+	4	59	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	95	67
+	87	71
+	95	67
+	4	95	67	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	67
+	104	64
+	95	67
+	4	95	67	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	270
+	40	242
+	51	271
+	4	51	270	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	40	242
+	51	270
+	40	241
+	4	40	242	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	281	56
+	288	72
+	283	56
+	4	281	56	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	54	94
+	63	88
+	56	95
+	4	54	94	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	63	88
+	54	94
+	62	86
+	4	63	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	42	115
+	55	96
+	42	115
+	4	42	115	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	55	96
+	42	115
+	56	95
+	4	55	96	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	97	87
+	113	85
+	99	89
+	4	97	87	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	114	84
+	99	89
+	113	85
+	4	114	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	301	68
+	300	74
+	299	66
+	4	301	68	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	300	74
+	301	68
+	302	75
+	4	300	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	105
+	288	135
+	291	105
+	4	288	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	288	135
+	288	105
+	285	135
+	4	288	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	81
+	62	86
+	69	79
+	4	71	81	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	69	79
+	79	75
+	71	81
+	4	69	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	336
+	131	351
+	108	334
+	4	105	336	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	171
+	273	195
+	287	171
+	4	285	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	273	195
+	285	171
+	271	196
+	4	273	195	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	62	86
+	71	81
+	63	88
+	4	62	86	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	78
+	110	74
+	95	78
+	4	96	78	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	110	74
+	96	78
+	112	74
+	4	110	74	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	56
+	112	60
+	120	59
+	4	120	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	103
+	106	102
+	94	106
+	4	95	103	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	102
+	95	103
+	107	99
+	4	106	102	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	31	242
+	41	274
+	29	244
+	4	31	242	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	41	276
+	29	244
+	41	274
+	4	41	276	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	109
+	98	112
+	109	108
+	4	111	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	109
+	109	108
+	98	112
+	4	95	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	290	88
+	292	105
+	291	89
+	4	290	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	292	105
+	290	88
+	291	105
+	4	292	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	66
+	309	56
+	310	64
+	4	310	66	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	307	54
+	310	64
+	309	56
+	4	307	54	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	64	72
+	74	68
+	65	74
+	4	64	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	74	68
+	64	72
+	73	66
+	4	74	68	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	56
+	110	52
+	101	54
+	4	102	56	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	110	52
+	102	56
+	111	54
+	4	110	52	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	49	90
+	33	110
+	47	89
+	4	49	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	47	89
+	57	81
+	49	90
+	4	47	89	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	111	57
+	120	52
+	111	54
+	4	111	57	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	120	52
+	111	57
+	120	56
+	4	120	52	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	89
+	288	72
+	290	88
+	4	291	89	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	87	71
+	79	75
+	87	71
+	4	87	71	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	87	71
+	95	67
+	87	71
+	4	87	71	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	277	57
+	285	72
+	281	56
+	4	277	57	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	72
+	277	57
+	281	73
+	4	285	72	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	32	110
+	47	89
+	33	110
+	4	32	110	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	135
+	284	104
+	282	134
+	4	285	135	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	282	104
+	282	134
+	284	104
+	4	282	104	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	55	80
+	65	74
+	57	81
+	4	55	80	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	65	74
+	55	80
+	64	72
+	4	65	74	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	82	61
+	91	57
+	82	61
+	4	82	61	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	57
+	82	61
+	91	57
+	4	91	57	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	29	140
+	36	113
+	25	139
+	4	29	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	36	113
+	29	140
+	39	115
+	4	36	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	57	81
+	47	89
+	55	80
+	4	57	81	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	288	72
+	281	56
+	285	72
+	4	288	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	103	62
+	95	67
+	104	64
+	4	103	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	104	64
+	112	60
+	103	62
+	4	104	64	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	74
+	284	89
+	281	73
+	4	279	74	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	89
+	279	74
+	281	89
+	4	284	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	244	212
+	266	198
+	247	214
+	4	244	212	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	268	201
+	247	214
+	266	198
+	4	268	201	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	247	214
+	268	201
+	249	216
+	4	247	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	60
+	120	56
+	111	57
+	4	112	60	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	57
+	302	63
+	301	55
+	4	298	57	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	63
+	298	57
+	300	64
+	4	302	63	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	104
+	285	135
+	288	105
+	4	284	104	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	32	110
+	22	137
+	33	111
+	4	32	110	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	25	139
+	33	111
+	22	137
+	4	25	139	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	203
+	249	216
+	268	201
+	4	269	203	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	216
+	269	203
+	250	219
+	4	249	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	75
+	310	66
+	311	73
+	4	308	75	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	64
+	311	73
+	310	66
+	4	310	64	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	75
+	71	81
+	79	75
+	4	79	75	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	79	75
+	87	71
+	79	75
+	4	79	75	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	305	75
+	302	82
+	302	75
+	4	305	75	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	302	82
+	305	75
+	305	83
+	4	302	82	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	75
+	305	83
+	305	75
+	4	308	75	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	97	102
+	107	99
+	95	103
+	4	97	102	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	107	99
+	97	102
+	109	98
+	4	107	99	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	134	194
+	134	206
+	131	196
+	4	134	194	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	205
+	131	196
+	134	206
+	4	131	205	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	196
+	131	205
+	127	195
+	4	131	196	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	56	95
+	63	88
+	55	96
+	4	56	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	63	88
+	56	95
+	63	88
+	4	63	88	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	136	192
+	138	205
+	134	194
+	4	136	192	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	134	206
+	134	194
+	138	205
+	4	134	206	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	284	104
+	281	89
+	282	104
+	4	284	104	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	111	57
+	103	62
+	112	60
+	4	111	57	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	81
+	63	88
+	71	81
+	4	71	81	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	81
+	79	75
+	71	81
+	4	71	81	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	33	111
+	25	139
+	36	113
+	4	33	111	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	63	88
+	71	81
+	63	88
+	4	63	88	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	266	193
+	277	167
+	264	190
+	4	266	193	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	166
+	264	190
+	277	167
+	4	277	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	98	112
+	111	109
+	100	113
+	4	98	112	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	113	107
+	100	113
+	111	109
+	4	113	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	66
+	301	72
+	300	64
+	4	299	66	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	72
+	299	66
+	300	74
+	4	301	72	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	281	89
+	284	104
+	284	89
+	4	281	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	73	66
+	82	61
+	73	66
+	4	73	66	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	82	61
+	73	66
+	82	61
+	4	82	61	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	374	186
+	365	191
+	373	183
+	4	374	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	365	191
+	374	186
+	367	194
+	4	365	191	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	377	188
+	367	194
+	374	186
+	4	377	188	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	285	72
+	290	88
+	288	72
+	4	285	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	92	58
+	101	54
+	91	57
+	4	92	58	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	101	54
+	92	58
+	102	56
+	4	101	54	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	226
+	238	219
+	218	228
+	4	216	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	222
+	218	228
+	238	219
+	4	239	222	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	228
+	239	222
+	219	232
+	4	218	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	83
+	308	75
+	309	83
+	4	305	83	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	73
+	309	83
+	308	75
+	4	311	73	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	271
+	38	244
+	49	273
+	4	51	271	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	38	244
+	51	271
+	40	242
+	4	38	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	202
+	127	195
+	131	205
+	4	129	202	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	127	195
+	129	202
+	125	193
+	4	127	195	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	115	82
+	100	88
+	114	84
+	4	115	82	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	99	89
+	114	84
+	100	88
+	4	99	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	266	198
+	244	212
+	263	196
+	4	266	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	242	212
+	263	196
+	244	212
+	4	242	212	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	138	205
+	136	192
+	140	202
+	4	138	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	188
+	140	202
+	136	192
+	4	136	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	65
+	87	71
+	95	67
+	4	95	65	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	67
+	103	62
+	95	65
+	4	95	67	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	373	183
+	366	188
+	374	180
+	4	373	183	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	366	188
+	373	183
+	365	191
+	4	366	188	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	282	170
+	271	196
+	285	171
+	4	282	170	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	271	196
+	282	170
+	269	195
+	4	271	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	103	59
+	111	54
+	102	56
+	4	103	59	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	111	54
+	103	59
+	111	57
+	4	111	54	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	64
+	307	54
+	309	62
+	4	310	64	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	304	54
+	309	62
+	307	54
+	4	304	54	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	367	194
+	377	188
+	370	196
+	4	367	194	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	381	188
+	370	196
+	377	188
+	4	381	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	302	75
+	300	81
+	300	74
+	4	302	75	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	300	81
+	302	75
+	302	82
+	4	300	81	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	98	79
+	112	74
+	96	78
+	4	98	79	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	112	74
+	98	79
+	113	75
+	4	112	74	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	166
+	294	141
+	282	167
+	4	279	166	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	297	143
+	282	167
+	294	141
+	4	297	143	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	282	167
+	297	143
+	285	169
+	4	282	167	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	42	115
+	53	94
+	39	115
+	4	42	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	53	94
+	42	115
+	55	96
+	4	53	94	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	225
+	219	232
+	239	222
+	4	239	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	219	232
+	239	225
+	218	234
+	4	219	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	29	244
+	41	276
+	29	245
+	4	29	244	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	43	276
+	29	245
+	41	276
+	4	43	276	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	88
+	291	105
+	290	88
+	4	287	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	291	105
+	287	88
+	288	105
+	4	291	105	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	64	72
+	73	66
+	64	72
+	4	64	72	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	73	66
+	64	72
+	73	66
+	4	73	66	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	47	89
+	32	110
+	46	89
+	4	47	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	46	89
+	55	80
+	47	89
+	4	46	89	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	238	219
+	216	226
+	235	216
+	4	238	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	213	225
+	235	216
+	216	226
+	4	213	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	268	204
+	250	219
+	269	203
+	4	268	204	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	219
+	268	204
+	249	221
+	4	250	219	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	301	55
+	306	62
+	304	54
+	4	301	55	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	62
+	301	55
+	302	63
+	4	306	62	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	62
+	111	57
+	103	59
+	4	103	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	281	73
+	287	88
+	285	72
+	4	281	73	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	88
+	281	73
+	284	89
+	4	287	88	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	290	88
+	285	72
+	287	88
+	4	290	88	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	129	199
+	125	193
+	129	202
+	4	129	199	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	193
+	129	199
+	125	189
+	4	125	193	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	133	186
+	140	198
+	136	188
+	4	133	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	202
+	136	188
+	140	198
+	4	140	202	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	374	180
+	368	186
+	376	177
+	4	374	180	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	368	186
+	374	180
+	366	188
+	4	368	186	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	299	144
+	285	169
+	297	143
+	4	299	144	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	285	169
+	299	144
+	287	171
+	4	285	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	55	80
+	64	72
+	55	80
+	4	55	80	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	64	72
+	55	80
+	64	72
+	4	64	72	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	86	69
+	79	75
+	87	71
+	4	86	69	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	71
+	95	65
+	86	69
+	4	87	71	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	59
+	95	65
+	103	62
+	4	103	59	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	309	62
+	304	54
+	306	62
+	4	309	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	55	80
+	46	89
+	55	80
+	4	55	80	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	370	196
+	381	188
+	373	196
+	4	370	196	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	383	186
+	373	196
+	381	188
+	4	383	186	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	33	111
+	46	89
+	32	110
+	4	33	111	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	141
+	279	166
+	291	140
+	4	294	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	277	166
+	291	140
+	279	166
+	4	277	166	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	97	87
+	81	91
+	96	84
+	4	97	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	87
+	96	84
+	81	91
+	4	80	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	96	84
+	80	87
+	95	81
+	4	96	84	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	269	195
+	279	168
+	266	193
+	4	269	195	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	277	167
+	266	193
+	279	168
+	4	277	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	62
+	91	57
+	82	61
+	4	83	62	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	91	57
+	83	62
+	92	58
+	4	91	57	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	305	83
+	301	97
+	302	82
+	4	305	83	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	301	97
+	305	83
+	304	98
+	4	301	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	309	83
+	304	98
+	305	83
+	4	309	83	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	279	168
+	269	195
+	282	170
+	4	279	168	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	99	103
+	109	98
+	97	102
+	4	99	103	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	109	98
+	99	103
+	111	98
+	4	109	98	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	288	105
+	284	89
+	284	104
+	4	288	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	73
+	310	64
+	311	72
+	4	311	73	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	309	62
+	311	72
+	310	64
+	4	309	62	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	132	196
+	125	189
+	129	199
+	4	132	196	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	125	189
+	132	196
+	127	186
+	4	125	189	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	89
+	288	105
+	287	88
+	4	284	89	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	130	185
+	138	196
+	133	186
+	4	130	185	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	198
+	133	186
+	138	196
+	4	140	198	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	99	89
+	83	93
+	97	87
+	4	99	89	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	91
+	97	87
+	83	93
+	4	81	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	114	104
+	102	112
+	113	107
+	4	114	104	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	100	113
+	113	107
+	102	112
+	4	100	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	94	62
+	102	56
+	92	58
+	4	94	62	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	56
+	94	62
+	103	59
+	4	102	56	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	78	73
+	71	81
+	79	75
+	4	78	73	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	79	75
+	86	69
+	78	73
+	4	79	75	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	309	83
+	311	73
+	311	82
+	4	309	83	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	72
+	311	82
+	311	73
+	4	311	72	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	114	78
+	100	85
+	115	82
+	4	114	78	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	100	88
+	115	82
+	100	85
+	4	100	88	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	226
+	218	234
+	239	225
+	4	237	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	218	234
+	237	226
+	216	236
+	4	218	234	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	342	283
+	328	283
+	342	279
+	4	342	283	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	328	283
+	342	283
+	328	287
+	4	328	283	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	343	286
+	328	287
+	342	283
+	4	343	286	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	329	84
+	326	89
+	326	83
+	4	329	84	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	326	89
+	329	84
+	329	91
+	4	326	89	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	333	83
+	329	91
+	329	84
+	4	333	83	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	100	82
+	113	75
+	98	79
+	4	100	82	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	113	75
+	100	82
+	114	78
+	4	113	75	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	49	273
+	35	245
+	46	275
+	4	49	273	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	35	245
+	49	273
+	38	244
+	4	35	245	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	135	195
+	127	186
+	132	196
+	4	135	195	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	127	186
+	135	195
+	130	185
+	4	127	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	98
+	309	83
+	308	98
+	4	304	98	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	82
+	308	98
+	309	83
+	4	311	82	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	196
+	130	185
+	135	195
+	4	138	196	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	376	177
+	372	186
+	380	177
+	4	376	177	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	372	186
+	376	177
+	368	186
+	4	372	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	300	64
+	303	70
+	302	63
+	4	300	64	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	70
+	300	64
+	301	72
+	4	303	70	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	242	214
+	261	195
+	242	212
+	4	242	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	263	196
+	242	212
+	261	195
+	4	263	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	80	85
+	95	81
+	80	87
+	4	80	85	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	81
+	80	85
+	95	78
+	4	95	81	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	55	96
+	61	86
+	53	94
+	4	55	96	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	61	86
+	55	96
+	63	88
+	4	61	86	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	302	82
+	300	96
+	300	81
+	4	302	82	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	300	96
+	302	82
+	301	97
+	4	300	96	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	328	287
+	343	286
+	329	290
+	4	328	287	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	346	288
+	329	290
+	343	286
+	4	346	288	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	95	65
+	103	59
+	94	62
+	4	95	65	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	79
+	63	88
+	71	81
+	4	69	79	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	71	81
+	78	73
+	69	79
+	4	71	81	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	373	196
+	383	186
+	376	194
+	4	373	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	384	182
+	376	194
+	383	186
+	4	384	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	74
+	301	80
+	301	72
+	4	300	74	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	301	80
+	300	74
+	300	81
+	4	301	80	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	226
+	233	215
+	213	225
+	4	211	226	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	216
+	213	225
+	233	215
+	4	235	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	63	88
+	69	79
+	61	86
+	4	63	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	342	279
+	331	281
+	345	277
+	4	342	279	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	331	281
+	342	279
+	328	283
+	4	331	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	29	245
+	43	276
+	31	245
+	4	29	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	46	275
+	31	245
+	43	276
+	4	46	275	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	68
+	82	61
+	73	66
+	4	74	68	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	61
+	74	68
+	83	62
+	4	82	61	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	62
+	86	69
+	95	65
+	4	94	62	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	329	91
+	333	83
+	332	91
+	4	329	91	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	335	82
+	332	91
+	333	83
+	4	335	82	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	39	115
+	50	92
+	36	113
+	4	39	115	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	50	92
+	39	115
+	53	94
+	4	50	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	326	83
+	324	87
+	325	80
+	4	326	83	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	324	87
+	326	83
+	326	89
+	4	324	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	85
+	114	78
+	100	82
+	4	100	85	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	266	203
+	249	221
+	268	204
+	4	266	203	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	249	221
+	266	203
+	247	221
+	4	249	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	31	245
+	46	275
+	35	245
+	4	31	245	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	299	144
+	287	171
+	299	144
+	4	299	144	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	171
+	299	144
+	287	171
+	4	287	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	105
+	111	98
+	99	103
+	4	101	105	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	98
+	101	105
+	113	101
+	4	111	98	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	380	177
+	375	188
+	383	179
+	4	380	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	375	188
+	380	177
+	372	186
+	4	375	188	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	46	89
+	33	111
+	48	90
+	4	46	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	36	113
+	48	90
+	33	111
+	4	36	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	65
+	92	58
+	83	62
+	4	85	65	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	58
+	85	65
+	94	62
+	4	92	58	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	376	194
+	384	182
+	376	191
+	4	376	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	383	179
+	376	191
+	384	182
+	4	383	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	101
+	102	109
+	114	104
+	4	113	101	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	112
+	114	104
+	102	109
+	4	102	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	65	74
+	73	66
+	64	72
+	4	65	74	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	66
+	65	74
+	74	68
+	4	73	66	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	329	290
+	346	288
+	332	292
+	4	329	290	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	349	288
+	332	292
+	346	288
+	4	349	288	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	48	90
+	55	80
+	46	89
+	4	48	90	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	277	167
+	289	140
+	277	166
+	4	277	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	140
+	277	166
+	289	140
+	4	291	140	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	345	277
+	334	281
+	348	277
+	4	345	277	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	334	281
+	345	277
+	331	281
+	4	334	281	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	93
+	99	89
+	85	95
+	4	83	93	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	100	88
+	85	95
+	99	89
+	4	100	88	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	376	191
+	383	179
+	375	188
+	4	376	191	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	85	65
+	78	73
+	86	69
+	4	85	65	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	86	69
+	94	62
+	85	65
+	4	86	69	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	182	358
+	160	344
+	184	355
+	4	182	358	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	160	344
+	182	358
+	158	347
+	4	160	344	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	182	362
+	158	347
+	182	358
+	4	182	362	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	121	178
+	116	190
+	118	178
+	4	121	178	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	113	188
+	118	178
+	116	190
+	4	113	188	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	118	178
+	113	188
+	115	176
+	4	118	178	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	124	176
+	120	190
+	121	178
+	4	124	176	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	190
+	121	178
+	120	190
+	4	116	190	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	72
+	309	62
+	310	70
+	4	311	72	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	306	62
+	310	70
+	309	62
+	4	306	62	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	184	355
+	163	343
+	187	354
+	4	184	355	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	163	343
+	184	355
+	160	344
+	4	163	343	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	48	90
+	36	113
+	50	92
+	4	48	90	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	56	81
+	64	72
+	55	80
+	4	56	81	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	64	72
+	56	81
+	65	74
+	4	64	72	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	109
+	113	101
+	101	105
+	4	102	109	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	55	80
+	48	90
+	56	81
+	4	55	80	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	225
+	216	236
+	237	226
+	4	235	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	216	236
+	235	225
+	214	235
+	4	216	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	63
+	307	70
+	306	62
+	4	302	63	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	70
+	302	63
+	303	70
+	4	307	70	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	332	91
+	335	82
+	335	89
+	4	332	91	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	79
+	335	89
+	335	82
+	4	336	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	185
+	115	176
+	113	188
+	4	112	185	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	115	176
+	112	185
+	114	172
+	4	115	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	82
+	311	72
+	312	80
+	4	311	82	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	98
+	311	82
+	310	98
+	4	308	98	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	312	80
+	310	98
+	311	82
+	4	312	80	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	120	190
+	124	176
+	123	188
+	4	120	190	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	173
+	123	188
+	124	176
+	4	125	173	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	76	70
+	69	79
+	78	73
+	4	76	70	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	78	73
+	85	65
+	76	70
+	4	78	73	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	81	84
+	95	78
+	80	85
+	4	81	84	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	78
+	81	84
+	96	78
+	4	95	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	304	98
+	299	112
+	301	97
+	4	304	98	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	299	112
+	304	98
+	302	113
+	4	299	112	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	98
+	302	113
+	304	98
+	4	308	98	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	34	241
+	32	210
+	37	240
+	4	34	241	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	32	210
+	34	241
+	28	211
+	4	32	210	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	31	242
+	28	211
+	34	241
+	4	31	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	70
+	83	62
+	74	68
+	4	76	70	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	62
+	76	70
+	85	65
+	4	83	62	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	229
+	232	216
+	211	226
+	4	211	229	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	233	215
+	211	226
+	232	216
+	4	233	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	80
+	325	85
+	325	78
+	4	325	80	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	85
+	325	80
+	324	87
+	4	325	85	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	81
+	300	95
+	301	80
+	4	300	81	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	95
+	300	81
+	300	96
+	4	300	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	368	143
+	359	151
+	365	141
+	4	368	143	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	359	151
+	368	143
+	361	154
+	4	359	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	371	144
+	361	154
+	368	143
+	4	371	144	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	70
+	312	80
+	311	72
+	4	310	70	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	217
+	260	196
+	242	214
+	4	243	217	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	195
+	242	214
+	260	196
+	4	261	195	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	332	292
+	349	288
+	335	292
+	4	332	292	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	352	285
+	335	292
+	349	288
+	4	352	285	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	53	94
+	59	84
+	50	92
+	4	53	94	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	59	84
+	53	94
+	61	86
+	4	59	84	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	310	70
+	306	62
+	307	70
+	4	310	70	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	171	220
+	188	227
+	172	223
+	4	171	220	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	186	230
+	172	223
+	188	227
+	4	186	230	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	172	223
+	186	230
+	170	227
+	4	172	223	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	158	347
+	182	362
+	157	351
+	4	158	347	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	183	364
+	157	351
+	182	362
+	4	183	364	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	348	277
+	337	283
+	351	279
+	4	348	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	337	283
+	348	277
+	334	281
+	4	337	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	77
+	61	86
+	69	79
+	4	67	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	69	79
+	76	70
+	67	77
+	4	69	79	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	140
+	298	128
+	294	141
+	4	291	140	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	302	129
+	294	141
+	298	128
+	4	302	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	294	141
+	302	129
+	297	143
+	4	294	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	365	141
+	359	148
+	365	137
+	4	365	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	359	148
+	365	141
+	359	151
+	4	359	148	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	37	240
+	34	211
+	40	241
+	4	37	240	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	34	211
+	37	240
+	32	210
+	4	34	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	61	86
+	67	77
+	59	84
+	4	61	86	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	72
+	303	79
+	303	70
+	4	301	72	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	79
+	301	72
+	301	80
+	4	303	79	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	351	109
+	347	113
+	349	107
+	4	351	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	347	113
+	351	109
+	350	115
+	4	347	113	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	355	109
+	350	115
+	351	109
+	4	355	109	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	361	154
+	371	144
+	365	155
+	4	361	154	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	374	143
+	365	155
+	371	144
+	4	374	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	187	354
+	165	344
+	189	355
+	4	187	354	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	165	344
+	187	354
+	163	343
+	4	165	344	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	329
+	86	305
+	106	327
+	4	103	329	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	305
+	103	329
+	83	307
+	4	86	305	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	101	332
+	83	307
+	103	329
+	4	101	332	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	182
+	114	172
+	112	185
+	4	113	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	172
+	113	182
+	115	169
+	4	114	172	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	188	227
+	171	220
+	188	224
+	4	188	227	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	169	218
+	188	224
+	171	220
+	4	169	218	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	113
+	308	98
+	305	114
+	4	302	113	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	310	98
+	305	114
+	308	98
+	4	310	98	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	183	231
+	170	227
+	186	230
+	4	183	231	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	170	227
+	183	231
+	168	229
+	4	170	227	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	263	201
+	247	221
+	266	203
+	4	263	201	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	247	221
+	263	201
+	245	220
+	4	247	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	301	97
+	297	111
+	300	96
+	4	301	97	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	111
+	301	97
+	299	112
+	4	297	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	67	77
+	74	68
+	65	74
+	4	67	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	74	68
+	67	77
+	76	70
+	4	74	68	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	170
+	124	185
+	125	173
+	4	124	170	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	123	188
+	125	173
+	124	185
+	4	123	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	50	92
+	56	81
+	48	90
+	4	50	92	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	106	327
+	88	305
+	108	327
+	4	106	327	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	88	305
+	106	327
+	86	305
+	4	88	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	112
+	84	116
+	95	109
+	4	98	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	113
+	95	109
+	84	116
+	4	83	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	109
+	83	113
+	94	106
+	4	95	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	349	107
+	346	110
+	348	104
+	4	349	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	346	110
+	349	107
+	347	113
+	4	346	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	350	115
+	355	109
+	354	115
+	4	350	115	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	358	107
+	354	115
+	355	109
+	4	358	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	28	211
+	31	242
+	25	211
+	4	28	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	29	244
+	25	211
+	31	242
+	4	29	244	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	304	129
+	297	143
+	302	129
+	4	304	129	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	297	143
+	304	129
+	299	144
+	4	297	143	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	298	128
+	291	140
+	295	127
+	4	298	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	140
+	295	127
+	291	140
+	4	289	140	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	59	84
+	65	74
+	56	81
+	4	59	84	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	65	74
+	59	84
+	67	77
+	4	65	74	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	233	222
+	214	235
+	235	225
+	4	233	222	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	214	235
+	233	222
+	212	232
+	4	214	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	302	113
+	295	127
+	299	112
+	4	302	113	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	127
+	302	113
+	298	128
+	4	295	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	114
+	298	128
+	302	113
+	4	305	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	335	292
+	352	285
+	338	290
+	4	335	292	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	353	282
+	338	290
+	352	285
+	4	353	282	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	297	144
+	287	171
+	299	144
+	4	297	144	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	171
+	297	144
+	285	171
+	4	287	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	56	81
+	50	92
+	59	84
+	4	56	81	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	298	128
+	305	114
+	302	129
+	4	298	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	351	279
+	338	286
+	353	282
+	4	351	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	338	286
+	351	279
+	337	283
+	4	338	286	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	365	137
+	361	145
+	367	135
+	4	365	137	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	361	145
+	365	137
+	359	148
+	4	361	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	100	113
+	87	118
+	98	112
+	4	100	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	116
+	98	112
+	87	118
+	4	84	116	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	100	85
+	86	94
+	100	88
+	4	100	85	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	85	95
+	100	88
+	86	94
+	4	85	95	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	212	232
+	231	219
+	211	229
+	4	212	232	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	232	216
+	211	229
+	231	219
+	4	232	216	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	279	168
+	289	140
+	277	167
+	4	279	168	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	289	140
+	277	167
+	289	140
+	4	289	140	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	329	91
+	325	97
+	326	89
+	4	329	91	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	325	97
+	329	91
+	328	98
+	4	325	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	332	91
+	328	98
+	329	91
+	4	332	91	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	245	220
+	261	198
+	243	217
+	4	245	220	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	260	196
+	243	217
+	261	198
+	4	260	196	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	116	180
+	115	169
+	113	182
+	4	116	180	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	115	169
+	116	180
+	118	168
+	4	115	169	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	338	290
+	353	282
+	338	286
+	4	338	290	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	365	155
+	374	143
+	368	154
+	4	365	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	376	141
+	368	154
+	374	143
+	4	376	141	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	83	110
+	94	106
+	83	113
+	4	83	110	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	106
+	83	110
+	95	103
+	4	94	106	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	111	158
+	103	163
+	108	157
+	4	111	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	161
+	108	157
+	103	163
+	4	101	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	157
+	101	161
+	105	154
+	4	108	157	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	83	307
+	101	332
+	80	310
+	4	83	307	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	101	335
+	80	310
+	101	332
+	4	101	335	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	335	89
+	336	79
+	336	87
+	4	335	89	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	335	77
+	336	87
+	336	79
+	4	335	77	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	121	168
+	123	182
+	124	170
+	4	121	168	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	124	185
+	124	170
+	123	182
+	4	124	185	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	217
+	186	221
+	169	218
+	4	166	217	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	188	224
+	169	218
+	186	221
+	4	188	224	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	261	198
+	245	220
+	263	201
+	4	261	198	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	181	230
+	168	229
+	183	231
+	4	181	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	168	229
+	181	230
+	165	228
+	4	168	229	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	231	219
+	212	232
+	233	222
+	4	231	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	325	78
+	327	83
+	328	76
+	4	325	78	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	327	83
+	325	78
+	325	85
+	4	327	83	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	114
+	310	98
+	308	114
+	4	305	114	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	114
+	302	129
+	305	114
+	4	308	114	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	112
+	293	126
+	297	111
+	4	299	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	126
+	299	112
+	295	127
+	4	293	126	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	129
+	308	114
+	304	129
+	4	302	129	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	114	157
+	107	164
+	111	158
+	4	114	157	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	103	163
+	111	158
+	107	164
+	4	103	163	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	312	80
+	310	70
+	310	79
+	4	312	80	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	307	70
+	310	79
+	310	70
+	4	307	70	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	157	351
+	183	364
+	158	353
+	4	157	351	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	186	365
+	158	353
+	183	364
+	4	186	365	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	157
+	105	154
+	101	161
+	4	100	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	154
+	100	157
+	105	151
+	4	105	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	295	127
+	289	140
+	293	126
+	4	295	127	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	40	241
+	34	212
+	40	242
+	4	40	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	34	212
+	40	241
+	34	211
+	4	34	212	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	326	89
+	323	94
+	324	87
+	4	326	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	323	94
+	326	89
+	325	97
+	4	323	94	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	86
+	96	78
+	81	84
+	4	83	86	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	78
+	83	86
+	98	79
+	4	96	78	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	180
+	118	168
+	116	180
+	4	120	180	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	118	168
+	120	180
+	121	168
+	4	118	168	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	182
+	121	168
+	120	180
+	4	123	182	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	93
+	74	95
+	81	91
+	4	83	93	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	72	92
+	81	91
+	74	95
+	4	72	92	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	91
+	72	92
+	80	87
+	4	81	91	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	348	104
+	347	107
+	349	101
+	4	348	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	107
+	348	104
+	346	110
+	4	347	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	98
+	312	80
+	311	97
+	4	310	98	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	310	79
+	311	97
+	312	80
+	4	310	79	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	354	115
+	358	107
+	356	114
+	4	354	115	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	359	105
+	356	114
+	358	107
+	4	359	105	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	70
+	307	78
+	307	70
+	4	303	70	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	78
+	303	70
+	303	79
+	4	307	78	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	328	98
+	332	91
+	331	98
+	4	328	98	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	335	89
+	331	98
+	332	91
+	4	335	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	136
+	92	141
+	100	134
+	4	102	136	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	138
+	100	134
+	92	141
+	4	90	138	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	134
+	90	138
+	98	131
+	4	100	134	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	327
+	90	306
+	110	328
+	4	108	327	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	90	306
+	108	327
+	88	305
+	4	90	306	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	189	355
+	166	346
+	190	357
+	4	189	355	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	346
+	189	355
+	165	344
+	4	166	346	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	80
+	303	95
+	303	79
+	4	301	80	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	95
+	301	80
+	300	95
+	4	303	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	85	95
+	76	98
+	83	93
+	4	85	95	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	74	95
+	83	93
+	76	98
+	4	74	95	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	367	135
+	364	144
+	371	134
+	4	367	135	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	364	144
+	367	135
+	361	145
+	4	364	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	97
+	308	114
+	310	98
+	4	311	97	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	96
+	298	111
+	300	95
+	4	300	96	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	298	111
+	300	96
+	297	111
+	4	298	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	135
+	98	131
+	90	138
+	4	90	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	131
+	90	135
+	98	128
+	4	98	131	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	105	136
+	95	142
+	102	136
+	4	105	136	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	141
+	102	136
+	95	142
+	4	92	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	118
+	100	113
+	89	119
+	4	87	118	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	102	112
+	89	119
+	100	113
+	4	102	112	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	310	79
+	307	70
+	307	78
+	4	310	79	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	368	154
+	376	141
+	370	152
+	4	368	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	376	138
+	370	152
+	376	141
+	4	376	138	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	107	164
+	114	157
+	110	163
+	4	107	164	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	155
+	110	163
+	114	157
+	4	116	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	102	155
+	105	151
+	100	157
+	4	102	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	105	151
+	102	155
+	107	148
+	4	105	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	129
+	299	144
+	304	129
+	4	304	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	144
+	304	129
+	299	144
+	4	299	144	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	25	211
+	29	244
+	23	212
+	4	25	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	29	245
+	23	212
+	29	244
+	4	29	245	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	163	219
+	184	220
+	166	217
+	4	163	219	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	186	221
+	166	217
+	184	220
+	4	186	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	289	140
+	293	126
+	289	140
+	4	289	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	143
+	285	171
+	297	144
+	4	294	143	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	171
+	294	143
+	282	170
+	4	285	171	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	179	227
+	165	228
+	181	230
+	4	179	227	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	165	228
+	179	227
+	163	226
+	4	165	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	84	109
+	95	103
+	83	110
+	4	84	109	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	103
+	84	109
+	97	102
+	4	95	103	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	336	87
+	335	77
+	334	85
+	4	336	87	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	331	75
+	334	85
+	335	77
+	4	331	75	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	72	90
+	80	87
+	72	92
+	4	72	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	80	87
+	72	90
+	80	85
+	4	80	87	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	82
+	86	92
+	100	85
+	4	100	82	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	86	94
+	100	85
+	86	92
+	4	86	94	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	282	170
+	291	141
+	279	168
+	4	282	170	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	289	140
+	279	168
+	291	141
+	4	289	140	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	328	76
+	331	83
+	331	75
+	4	328	76	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	331	83
+	328	76
+	327	83
+	4	331	83	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	263	196
+	285	178
+	266	198
+	4	263	196	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	287	180
+	266	198
+	285	178
+	4	287	180	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	266	198
+	287	180
+	268	201
+	4	266	198	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	80	310
+	101	335
+	80	312
+	4	80	310	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	336
+	80	312
+	101	335
+	4	102	336	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	371	134
+	367	146
+	374	135
+	4	371	134	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	367	146
+	371	134
+	364	144
+	4	367	146	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	87
+	324	92
+	325	85
+	4	324	87	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	92
+	324	87
+	323	94
+	4	324	92	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	349	101
+	350	106
+	352	99
+	4	349	101	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	350	106
+	349	101
+	347	107
+	4	350	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	356	114
+	359	105
+	358	111
+	4	356	114	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	358	102
+	358	111
+	359	105
+	4	358	102	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	85	89
+	98	79
+	83	86
+	4	85	89	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	98	79
+	85	89
+	100	82
+	4	98	79	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	353
+	186	365
+	161	354
+	4	158	353	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	188	364
+	161	354
+	186	365
+	4	188	364	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	370	152
+	376	138
+	370	148
+	4	370	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	374	135
+	370	148
+	376	138
+	4	374	135	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	334	85
+	331	75
+	331	83
+	4	334	85	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	308	114
+	311	97
+	308	113
+	4	308	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	113
+	304	129
+	308	114
+	4	308	113	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	92	133
+	98	128
+	90	135
+	4	92	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	128
+	92	133
+	100	126
+	4	98	128	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	304	129
+	308	113
+	304	129
+	4	304	129	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	298	323
+	281	320
+	300	320
+	4	298	323	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	281	320
+	298	323
+	279	323
+	4	281	320	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	299	327
+	279	323
+	298	323
+	4	299	327	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	285	178
+	263	196
+	282	176
+	4	285	178	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	195
+	282	176
+	263	196
+	4	261	195	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	142
+	105	136
+	98	142
+	4	95	142	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	107	134
+	98	142
+	105	136
+	4	107	134	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	297	111
+	294	126
+	298	111
+	4	297	111	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	294	126
+	297	111
+	293	126
+	4	294	126	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	291	141
+	282	170
+	294	143
+	4	291	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	115	151
+	111	161
+	116	155
+	4	115	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	163
+	116	155
+	111	161
+	4	110	163	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	331	98
+	335	89
+	334	97
+	4	331	98	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	87
+	334	97
+	335	89
+	4	336	87	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	293	126
+	289	140
+	294	126
+	4	293	126	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	105	154
+	107	148
+	102	155
+	4	105	154	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	107	148
+	105	154
+	110	147
+	4	107	148	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	76	98
+	85	95
+	78	99
+	4	76	98	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	86	94
+	78	99
+	85	95
+	4	86	94	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	190	357
+	166	350
+	190	361
+	4	190	357	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	166	350
+	190	357
+	166	346
+	4	166	350	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	370	148
+	374	135
+	367	146
+	4	370	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	97
+	310	79
+	309	96
+	4	311	97	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	307	78
+	309	96
+	310	79
+	4	307	78	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	86	92
+	100	82
+	85	89
+	4	86	92	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	279	323
+	299	327
+	279	327
+	4	279	323	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	301	330
+	279	327
+	299	327
+	4	301	330	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	162	223
+	181	221
+	163	219
+	4	162	223	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	184	220
+	163	219
+	181	221
+	4	184	220	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	179	223
+	163	226
+	179	227
+	4	179	223	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	163	226
+	179	223
+	162	223
+	4	163	226	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	79
+	306	95
+	307	78
+	4	303	79	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	95
+	303	79
+	303	95
+	4	306	95	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	40	242
+	32	213
+	38	244
+	4	40	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	32	213
+	40	242
+	34	212
+	4	32	213	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	288	182
+	268	201
+	287	180
+	4	288	182	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	268	201
+	288	182
+	269	203
+	4	268	201	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	110	328
+	89	308
+	110	331
+	4	110	328	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	89	308
+	110	328
+	90	306
+	4	89	308	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	76	98
+	67	100
+	74	95
+	4	76	98	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	98
+	74	95
+	67	100
+	4	65	98	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	95
+	65	98
+	72	92
+	4	74	95	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	300	320
+	284	319
+	303	319
+	4	300	320	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	319
+	300	320
+	281	320
+	4	284	319	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	109
+	91	118
+	102	112
+	4	102	109	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	89	119
+	102	112
+	91	118
+	4	89	119	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	78	99
+	69	103
+	76	98
+	4	78	99	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	67	100
+	76	98
+	69	103
+	4	67	100	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	181	221
+	162	223
+	179	223
+	4	181	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	348
+	223	341
+	246	346
+	4	243	348	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	223	341
+	243	348
+	221	343
+	4	223	341	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	242	352
+	221	343
+	243	348
+	4	242	352	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	328	98
+	323	104
+	325	97
+	4	328	98	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	323	104
+	328	98
+	326	105
+	4	323	104	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	331	98
+	326	105
+	328	98
+	4	331	98	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	221	343
+	242	352
+	220	347
+	4	221	343	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	243	355
+	220	347
+	242	352
+	4	243	355	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	352	99
+	353	106
+	356	100
+	4	352	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	353	106
+	352	99
+	350	106
+	4	353	106	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	113	148
+	111	157
+	115	151
+	4	113	148	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	161
+	115	151
+	111	157
+	4	111	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	358	111
+	358	102
+	356	108
+	4	358	111	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	356	100
+	356	108
+	358	102
+	4	356	100	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	108	155
+	110	147
+	105	154
+	4	108	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	110	147
+	108	155
+	113	148
+	4	110	147	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	309	96
+	307	78
+	306	95
+	4	309	96	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	161	354
+	188	364
+	163	353
+	4	161	354	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	190	361
+	163	353
+	188	364
+	4	190	361	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	309	96
+	308	113
+	311	97
+	4	309	96	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	87	110
+	97	102
+	84	109
+	4	87	110	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	97	102
+	87	110
+	99	103
+	4	97	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	163	353
+	190	361
+	166	350
+	4	163	353	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	300	95
+	300	111
+	303	95
+	4	300	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	300	111
+	300	95
+	298	111
+	4	300	111	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	73	89
+	80	85
+	72	90
+	4	73	89	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	80	85
+	73	89
+	81	84
+	4	80	85	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	325	97
+	321	102
+	323	94
+	4	325	97	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	321	102
+	325	97
+	323	104
+	4	321	102	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	111	157
+	113	148
+	108	155
+	4	111	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	279	327
+	301	330
+	281	330
+	4	279	327	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	331
+	281	330
+	301	330
+	4	304	331	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	133
+	100	126
+	92	133
+	4	95	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	100	126
+	95	133
+	103	126
+	4	100	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	23	212
+	29	245
+	23	213
+	4	23	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	31	245
+	23	213
+	29	245
+	4	31	245	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	356	108
+	356	100
+	353	106
+	4	356	108	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	131
+	100	141
+	107	134
+	4	108	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	142
+	107	134
+	100	141
+	4	98	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	128
+	299	144
+	304	129
+	4	303	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	144
+	303	128
+	297	144
+	4	299	144	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	246	346
+	226	341
+	248	346
+	4	246	346	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	226	341
+	246	346
+	223	341
+	4	226	341	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	291	141
+	294	126
+	289	140
+	4	291	141	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	64	96
+	72	92
+	65	98
+	4	64	96	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	72	92
+	64	96
+	72	90
+	4	72	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	326	105
+	331	98
+	329	106
+	4	326	105	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	334	97
+	329	106
+	331	98
+	4	334	97	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	260	196
+	280	175
+	261	195
+	4	260	196	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	282	176
+	261	195
+	280	175
+	4	282	176	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	312
+	102	336
+	81	313
+	4	80	312	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	336
+	81	313
+	102	336
+	4	105	336	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	325	85
+	326	91
+	327	83
+	4	325	85	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	326	91
+	325	85
+	324	92
+	4	326	91	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	303	319
+	287	320
+	306	320
+	4	303	319	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	320
+	303	319
+	284	319
+	4	287	320	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	220	347
+	243	355
+	220	350
+	4	220	347	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	357
+	220	350
+	243	355
+	4	246	357	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	350	115
+	345	119
+	347	113
+	4	350	115	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	345	119
+	350	115
+	347	121
+	4	345	119	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	354	115
+	347	121
+	350	115
+	4	354	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	334	97
+	336	87
+	334	95
+	4	334	97	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	334	85
+	334	95
+	336	87
+	4	334	85	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	203	225
+	225	225
+	204	228
+	4	203	225	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	225	228
+	204	228
+	225	225
+	4	225	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	204	228
+	225	228
+	204	232
+	4	204	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	103
+	78	99
+	71	104
+	4	69	103	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	99
+	71	104
+	78	99
+	4	79	99	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	78	99
+	86	94
+	79	99
+	4	78	99	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	105
+	91	115
+	102	109
+	4	101	105	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	118
+	102	109
+	91	115
+	4	91	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	347	113
+	343	117
+	346	110
+	4	347	113	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	343	117
+	347	113
+	345	119
+	4	343	117	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	287	183
+	269	203
+	288	182
+	4	287	183	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	269	203
+	287	183
+	268	204
+	4	269	203	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	86	92
+	79	99
+	86	94
+	4	86	92	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	308	113
+	309	96
+	307	112
+	4	308	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	307	112
+	304	129
+	308	113
+	4	307	112	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	110	331
+	87	311
+	108	334
+	4	110	331	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	87	311
+	110	331
+	89	308
+	4	87	311	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	28	211
+	32	182
+	32	210
+	4	28	211	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	32	182
+	28	211
+	28	181
+	4	32	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	25	211
+	28	181
+	28	211
+	4	25	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	129
+	307	112
+	303	128
+	4	304	129	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	38	244
+	29	214
+	35	245
+	4	38	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	29	214
+	38	244
+	32	213
+	4	29	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	111
+	296	126
+	300	111
+	4	298	111	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	296	126
+	298	111
+	294	126
+	4	296	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	90	112
+	99	103
+	87	110
+	4	90	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	99	103
+	90	112
+	101	105
+	4	99	103	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	294	126
+	291	141
+	296	126
+	4	294	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	69	103
+	60	107
+	67	100
+	4	69	103	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	58	104
+	67	100
+	60	107
+	4	58	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	67	100
+	58	104
+	65	98
+	4	67	100	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	225	225
+	203	225
+	224	221
+	4	225	225	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	223
+	224	221
+	203	225
+	4	201	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	135
+	103	126
+	95	133
+	4	98	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	126
+	98	135
+	106	128
+	4	103	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	128
+	100	138
+	108	131
+	4	106	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	141
+	108	131
+	100	138
+	4	100	141	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	32	210
+	34	182
+	34	211
+	4	32	210	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	34	182
+	32	210
+	32	182
+	4	34	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	71	104
+	63	109
+	69	103
+	4	71	104	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	60	107
+	69	103
+	63	109
+	4	60	107	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	281	330
+	304	331
+	284	331
+	4	281	330	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	307	329
+	284	331
+	304	331
+	4	307	329	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	347	121
+	354	115
+	351	122
+	4	347	121	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	356	114
+	351	122
+	354	115
+	4	356	114	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	223	230
+	204	232
+	225	228
+	4	223	230	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	204	232
+	223	230
+	202	234
+	4	204	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	91	115
+	101	105
+	90	112
+	4	91	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	94
+	322	100
+	324	92
+	4	323	94	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	322	100
+	323	94
+	321	102
+	4	322	100	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	306	95
+	307	112
+	309	96
+	4	306	95	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	235	216
+	260	208
+	238	219
+	4	235	216	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	261	211
+	238	219
+	260	208
+	4	261	211	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	238	219
+	261	211
+	239	222
+	4	238	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	138
+	106	128
+	98	135
+	4	100	138	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	23	213
+	31	245
+	25	214
+	4	23	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	35	245
+	25	214
+	31	245
+	4	35	245	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	95
+	304	111
+	306	95
+	4	303	95	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	111
+	303	95
+	300	111
+	4	304	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	346
+	228	343
+	251	348
+	4	248	346	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	228	343
+	248	346
+	226	341
+	4	228	343	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	81	313
+	105	336
+	83	313
+	4	81	313	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	334
+	83	313
+	105	336
+	4	108	334	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	306	320
+	289	323
+	308	323
+	4	306	320	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	289	323
+	306	320
+	287	320
+	4	289	323	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	313
+	108	334
+	87	311
+	4	83	313	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	156	213
+	168	223
+	155	216
+	4	156	213	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	166	225
+	155	216
+	168	223
+	4	166	225	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	155	216
+	166	225
+	152	218
+	4	155	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	299	127
+	297	144
+	303	128
+	4	299	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	297	144
+	299	127
+	294	143
+	4	297	144	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	25	214
+	35	245
+	29	214
+	4	25	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	75	91
+	81	84
+	73	89
+	4	75	91	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	81	84
+	75	91
+	83	86
+	4	81	84	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	326	105
+	321	111
+	323	104
+	4	326	105	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	321	111
+	326	105
+	324	112
+	4	321	111	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	329	106
+	324	112
+	326	105
+	4	329	106	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	327	83
+	330	91
+	331	83
+	4	327	83	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	330	91
+	327	83
+	326	91
+	4	330	91	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	168	223
+	156	213
+	170	220
+	4	168	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	209
+	170	220
+	156	213
+	4	156	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	329	106
+	334	97
+	332	105
+	4	329	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	334	95
+	332	105
+	334	97
+	4	334	95	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	294	143
+	296	126
+	291	141
+	4	294	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	346	110
+	344	114
+	347	107
+	4	346	110	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	344	114
+	346	110
+	343	117
+	4	344	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	28	181
+	25	211
+	25	181
+	4	28	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	23	212
+	25	181
+	25	211
+	4	23	212	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	220	350
+	246	357
+	222	352
+	4	220	350	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	357
+	222	352
+	246	357
+	4	249	357	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	261	213
+	239	222
+	261	211
+	4	261	213	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	239	222
+	261	213
+	239	225
+	4	239	222	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	260	208
+	235	216
+	258	205
+	4	260	208	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	233	215
+	258	205
+	235	216
+	4	233	215	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	334	95
+	334	85
+	333	93
+	4	334	95	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	331	83
+	333	93
+	334	85
+	4	331	83	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	65	95
+	72	90
+	64	96
+	4	65	95	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	72	90
+	65	95
+	73	89
+	4	72	90	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	57	102
+	65	98
+	58	104
+	4	57	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	65	98
+	57	102
+	64	96
+	4	65	98	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	198	223
+	222	219
+	201	223
+	4	198	223	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	224	221
+	201	223
+	222	219
+	4	224	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	307	112
+	306	95
+	304	111
+	4	307	112	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	261	198
+	279	175
+	260	196
+	4	261	198	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	280	175
+	260	196
+	279	175
+	4	280	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	323	104
+	319	109
+	321	102
+	4	323	104	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	319	109
+	323	104
+	321	111
+	4	319	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	331
+	307	329
+	287	330
+	4	284	331	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	308	326
+	287	330
+	307	329
+	4	308	326	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	118
+	73	125
+	84	116
+	4	87	118	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	122
+	84	116
+	73	125
+	4	71	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	116
+	71	122
+	83	113
+	4	84	116	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	163	226
+	152	218
+	166	225
+	4	163	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	152	218
+	163	226
+	149	218
+	4	152	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	360	239
+	347	241
+	360	236
+	4	360	239	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	347	241
+	360	239
+	347	244
+	4	347	241	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	363	242
+	347	244
+	360	239
+	4	363	242	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	63	109
+	71	104
+	65	110
+	4	63	109	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	72	104
+	65	110
+	71	104
+	4	72	104	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	71	104
+	79	99
+	72	104
+	4	71	104	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	89	119
+	76	128
+	87	118
+	4	89	119	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	125
+	87	118
+	76	128
+	4	73	125	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	333	93
+	331	83
+	330	91
+	4	333	93	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	308	323
+	289	326
+	308	326
+	4	308	323	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	289	326
+	308	323
+	289	323
+	4	289	326	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	296	126
+	294	143
+	299	127
+	4	296	126	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	34	211
+	34	183
+	34	212
+	4	34	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	34	183
+	34	211
+	34	182
+	4	34	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	153	207
+	169	217
+	156	209
+	4	153	207	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	170	220
+	156	209
+	169	217
+	4	170	220	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	221	229
+	202	234
+	223	230
+	4	221	229	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	202	234
+	221	229
+	199	234
+	4	202	234	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	351	122
+	356	114
+	354	121
+	4	351	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	358	111
+	354	121
+	356	114
+	4	358	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	89
+	79	96
+	86	92
+	4	85	89	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	79	99
+	86	92
+	79	96
+	4	79	99	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	63	109
+	54	114
+	60	107
+	4	63	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	51	112
+	60	107
+	54	114
+	4	51	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	107
+	51	112
+	58	104
+	4	60	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	111
+	303	128
+	307	112
+	4	304	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	360	236
+	348	238
+	362	233
+	4	360	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	348	238
+	360	236
+	347	241
+	4	348	238	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	300	111
+	299	127
+	304	111
+	4	300	111	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	299	127
+	300	111
+	296	126
+	4	299	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	112
+	329	106
+	327	113
+	4	324	112	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	332	105
+	327	113
+	329	106
+	4	332	105	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	303	128
+	304	111
+	299	127
+	4	303	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	65	110
+	57	116
+	63	109
+	4	65	110	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	114
+	63	109
+	57	116
+	4	54	114	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	79	96
+	72	104
+	79	99
+	4	79	96	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	287	330
+	308	326
+	289	326
+	4	287	330	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	182
+	268	204
+	287	183
+	4	285	182	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	268	204
+	285	182
+	266	203
+	4	268	204	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	244
+	363	242
+	349	247
+	4	347	244	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	366	243
+	349	247
+	363	242
+	4	366	243	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	251	348
+	229	346
+	252	351
+	4	251	348	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	346
+	251	348
+	228	343
+	4	229	346	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	71	120
+	83	113
+	71	122
+	4	71	120	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	83	113
+	71	120
+	83	110
+	4	83	113	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	93
+	83	86
+	75	91
+	4	77	93	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	83	86
+	77	93
+	85	89
+	4	83	86	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	222	352
+	249	357
+	225	352
+	4	222	352	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	251	355
+	225	352
+	249	357
+	4	251	355	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	92
+	324	99
+	326	91
+	4	324	92	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	99
+	324	92
+	322	100
+	4	324	99	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	160	224
+	149	218
+	163	226
+	4	160	224	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	218
+	160	224
+	146	216
+	4	149	218	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	362	233
+	351	236
+	365	231
+	4	362	233	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	351	236
+	362	233
+	348	238
+	4	351	236	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	347	107
+	347	113
+	350	106
+	4	347	107	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	347	113
+	347	107
+	344	114
+	4	347	113	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	259	213
+	239	225
+	261	213
+	4	259	213	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	239	225
+	259	213
+	237	226
+	4	239	225	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	232	216
+	256	203
+	233	215
+	4	232	216	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	258	205
+	233	215
+	256	203
+	4	258	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	96
+	85	89
+	77	93
+	4	79	96	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	196	226
+	220	218
+	198	223
+	4	196	226	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	222	219
+	198	223
+	220	218
+	4	222	219	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	150	207
+	167	214
+	153	207
+	4	150	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	169	217
+	153	207
+	167	214
+	4	169	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	76	128
+	89	119
+	79	128
+	4	76	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	91	118
+	79	128
+	89	119
+	4	91	118	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	324	112
+	315	125
+	321	111
+	4	324	112	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	315	125
+	324	112
+	318	127
+	4	315	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	327	113
+	318	127
+	324	112
+	4	327	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	321	102
+	319	107
+	322	100
+	4	321	102	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	107
+	321	102
+	319	109
+	4	319	107	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	50	111
+	58	104
+	51	112
+	4	50	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	58	104
+	50	111
+	57	102
+	4	58	104	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	332	105
+	334	95
+	333	103
+	4	332	105	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	333	93
+	333	103
+	334	95
+	4	333	93	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	25	181
+	23	212
+	23	182
+	4	25	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	23	213
+	23	182
+	23	212
+	4	23	213	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	252	351
+	228	349
+	251	355
+	4	252	351	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	228	349
+	252	351
+	229	346
+	4	228	349	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	349	247
+	366	243
+	352	248
+	4	349	247	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	369	242
+	352	248
+	366	243
+	4	369	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	57	116
+	42	132
+	54	114
+	4	57	116	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	39	131
+	54	114
+	42	132
+	4	39	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	54	114
+	39	131
+	51	112
+	4	54	114	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	263	201
+	280	177
+	261	198
+	4	263	201	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	279	175
+	261	198
+	280	177
+	4	279	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	352
+	251	355
+	228	349
+	4	225	352	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	59	117
+	45	134
+	57	116
+	4	59	117	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	42	132
+	57	116
+	45	134
+	4	42	132	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	57	116
+	65	110
+	59	117
+	4	57	116	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	66	110
+	59	117
+	65	110
+	4	66	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	65	110
+	72	104
+	66	110
+	4	65	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	58	102
+	64	96
+	57	102
+	4	58	102	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	64	96
+	58	102
+	65	95
+	4	64	96	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	219	227
+	199	234
+	221	229
+	4	219	227	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	199	234
+	219	227
+	197	232
+	4	199	234	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	67	97
+	73	89
+	65	95
+	4	67	97	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	73	89
+	67	97
+	75	91
+	4	73	89	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	321	111
+	313	124
+	319	109
+	4	321	111	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	313	124
+	321	111
+	315	125
+	4	313	124	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	282	176
+	294	167
+	285	178
+	4	282	176	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	296	169
+	285	178
+	294	167
+	4	296	169	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	285	178
+	296	169
+	287	180
+	4	285	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	354	121
+	358	111
+	355	118
+	4	354	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	356	108
+	355	118
+	358	111
+	4	356	108	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	282	180
+	266	203
+	285	182
+	4	282	180	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	266	203
+	282	180
+	263	201
+	4	266	203	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	160	220
+	146	216
+	160	224
+	4	160	220	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	146	216
+	160	220
+	146	213
+	4	146	216	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	327	113
+	332	105
+	330	113
+	4	327	113	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	333	103
+	330	113
+	332	105
+	4	333	103	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	28	181
+	37	156
+	32	182
+	4	28	181	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	37	156
+	28	181
+	33	155
+	4	37	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	25	181
+	33	155
+	28	181
+	4	25	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	72	102
+	66	110
+	72	104
+	4	72	102	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	72	104
+	79	96
+	72	102
+	4	72	104	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	365	231
+	354	238
+	368	232
+	4	365	231	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	354	238
+	365	231
+	351	236
+	4	354	238	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	294	167
+	282	176
+	291	165
+	4	294	167	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	280	175
+	291	165
+	282	176
+	4	280	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	107	164
+	100	171
+	103	163
+	4	107	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	169
+	103	163
+	100	171
+	4	97	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	163
+	97	169
+	101	161
+	4	103	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	142
+	85	149
+	92	141
+	4	95	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	83	146
+	92	141
+	85	149
+	4	83	146	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	141
+	83	146
+	90	138
+	4	92	141	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	32	182
+	39	157
+	34	182
+	4	32	182	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	39	157
+	32	182
+	37	156
+	4	39	157	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	147	210
+	164	215
+	150	207
+	4	147	210	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	167	214
+	150	207
+	164	215
+	4	167	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	34	212
+	32	183
+	32	213
+	4	34	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	32	183
+	34	212
+	34	183
+	4	32	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	93
+	72	102
+	79	96
+	4	77	93	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	318	127
+	327	113
+	321	128
+	4	318	127	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	330	113
+	321	128
+	327	113
+	4	330	113	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	110	163
+	103	172
+	107	164
+	4	110	163	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	100	171
+	107	164
+	103	172
+	4	100	171	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	119
+	83	110
+	71	120
+	4	73	119	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	83	110
+	73	119
+	84	109
+	4	83	110	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	142
+	88	151
+	95	142
+	4	98	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	85	149
+	95	142
+	88	151
+	4	85	149	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	280	177
+	263	201
+	282	180
+	4	280	177	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	347	121
+	341	126
+	345	119
+	4	347	121	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	341	126
+	347	121
+	344	128
+	4	341	126	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	351	122
+	344	128
+	347	121
+	4	351	122	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	350	106
+	351	113
+	353	106
+	4	350	106	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	351	113
+	350	106
+	347	113
+	4	351	113	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	196	229
+	218	220
+	196	226
+	4	196	229	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	220	218
+	196	226
+	218	220
+	4	220	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	326	91
+	328	99
+	330	91
+	4	326	91	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	328	99
+	326	91
+	324	99
+	4	328	99	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	298	170
+	287	180
+	296	169
+	4	298	170	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	287	180
+	298	170
+	288	182
+	4	287	180	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	352	248
+	369	242
+	355	247
+	4	352	248	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	371	239
+	355	247
+	369	242
+	4	371	239	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	345	119
+	340	123
+	343	117
+	4	345	119	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	340	123
+	345	119
+	341	126
+	4	340	123	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	161	217
+	146	213
+	160	220
+	4	161	217	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	146	213
+	161	217
+	147	210
+	4	146	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	37	130
+	51	112
+	39	131
+	4	37	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	51	112
+	37	130
+	50	111
+	4	51	112	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	164	215
+	147	210
+	161	217
+	4	164	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	96	166
+	101	161
+	97	169
+	4	96	166	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	161
+	96	166
+	100	157
+	4	101	161	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	218	223
+	197	232
+	219	227
+	4	218	223	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	197	232
+	218	223
+	196	229
+	4	197	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	333	103
+	333	93
+	331	101
+	4	333	103	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	330	91
+	331	101
+	333	93
+	4	330	91	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	355	118
+	356	108
+	354	115
+	4	355	118	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	353	106
+	354	115
+	356	108
+	4	353	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	144
+	90	138
+	83	146
+	4	82	144	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	90	138
+	82	144
+	90	135
+	4	90	138	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	257	211
+	237	226
+	259	213
+	4	257	211	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	237	226
+	257	211
+	235	225
+	4	237	226	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	231	219
+	254	203
+	232	216
+	4	231	219	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	256	203
+	232	216
+	254	203
+	4	256	203	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	45	134
+	59	117
+	48	135
+	4	45	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	59	117
+	48	135
+	59	117
+	4	59	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	59	117
+	66	110
+	59	117
+	4	59	117	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	103	172
+	110	163
+	106	171
+	4	103	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	161
+	106	171
+	110	163
+	4	111	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	91	115
+	80	127
+	91	118
+	4	91	115	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	128
+	91	118
+	80	127
+	4	79	128	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	70	99
+	75	91
+	67	97
+	4	70	99	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	91
+	70	99
+	77	93
+	4	75	91	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	218	220
+	196	229
+	218	223
+	4	218	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	368	232
+	357	240
+	370	235
+	4	368	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	357	240
+	368	232
+	354	238
+	4	357	240	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	354	115
+	353	106
+	351	113
+	4	354	115	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	109
+	313	123
+	319	107
+	4	319	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	313	123
+	319	109
+	313	124
+	4	313	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	33	155
+	25	181
+	30	154
+	4	33	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	23	182
+	30	154
+	25	181
+	4	23	182	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	344	128
+	351	122
+	348	129
+	4	344	128	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	354	121
+	348	129
+	351	122
+	4	354	121	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	72	102
+	77	93
+	70	99
+	4	72	102	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	331	101
+	330	91
+	328	99
+	4	331	101	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	88	151
+	98	142
+	91	151
+	4	88	151	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	100	141
+	91	151
+	98	142
+	4	100	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	322	100
+	322	107
+	324	99
+	4	322	100	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	322	107
+	322	100
+	319	107
+	4	322	107	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	45	134
+	33	155
+	42	132
+	4	45	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	30	154
+	42	132
+	33	155
+	4	30	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	42	132
+	30	154
+	39	131
+	4	42	132	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	50	110
+	57	102
+	50	111
+	4	50	110	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	57	102
+	50	110
+	58	102
+	4	57	102	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	355	247
+	371	239
+	357	244
+	4	355	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	370	235
+	357	244
+	371	239
+	4	370	235	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	48	135
+	37	156
+	45	134
+	4	48	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	33	155
+	45	134
+	37	156
+	4	33	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	307
+	69	279
+	86	305
+	4	83	307	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	69	279
+	83	307
+	66	281
+	4	69	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	80	310
+	66	281
+	83	307
+	4	80	310	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	23	182
+	23	213
+	23	182
+	4	23	182	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	25	214
+	23	182
+	23	213
+	4	25	214	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	34	182
+	39	157
+	34	183
+	4	34	182	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	39	157
+	34	182
+	39	157
+	4	39	157	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	86	305
+	72	279
+	88	305
+	4	86	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	72	279
+	86	305
+	69	279
+	4	72	279	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	357	244
+	370	235
+	357	240
+	4	357	244	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	291	165
+	302	154
+	294	167
+	4	291	165	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	305	156
+	294	167
+	302	154
+	4	305	156	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	294	167
+	305	156
+	296	169
+	4	294	167	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	279	175
+	289	163
+	280	175
+	4	279	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	165
+	280	175
+	289	163
+	4	291	165	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	60	103
+	65	95
+	58	102
+	4	60	103	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	65	95
+	60	103
+	67	97
+	4	65	95	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	65	108
+	59	117
+	66	110
+	4	65	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	66	110
+	72	102
+	65	108
+	4	66	110	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	37	156
+	48	135
+	39	157
+	4	37	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	117
+	341	121
+	344	114
+	4	343	117	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	341	121
+	343	117
+	340	123
+	4	341	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	98	163
+	100	157
+	96	166
+	4	98	163	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	100	157
+	98	163
+	102	155
+	4	100	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	318	127
+	308	139
+	315	125
+	4	318	127	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	139
+	318	127
+	311	141
+	4	308	139	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	321	128
+	311	141
+	318	127
+	4	321	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	76	120
+	84	109
+	73	119
+	4	76	120	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	84	109
+	76	120
+	87	110
+	4	84	109	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	113
+	333	103
+	330	111
+	4	330	113	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	331	101
+	330	111
+	333	103
+	4	331	101	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	154
+	291	165
+	299	152
+	4	302	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	289	163
+	299	152
+	291	165
+	4	289	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	70	99
+	65	108
+	72	102
+	4	70	99	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	321	128
+	330	113
+	323	128
+	4	321	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	111
+	323	128
+	330	113
+	4	330	111	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	111	157
+	108	168
+	111	161
+	4	111	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	106	171
+	111	161
+	108	168
+	4	106	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	32	213
+	29	183
+	29	214
+	4	32	213	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	29	183
+	32	213
+	32	183
+	4	29	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	84	142
+	90	135
+	82	144
+	4	84	142	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	135
+	84	142
+	92	133
+	4	90	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	125
+	306	138
+	313	124
+	4	315	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	306	138
+	315	125
+	308	139
+	4	306	138	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	255	208
+	235	225
+	257	211
+	4	255	208	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	235	225
+	255	208
+	233	222
+	4	235	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	297	170
+	288	182
+	298	170
+	4	297	170	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	288	182
+	297	170
+	287	183
+	4	288	182	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	233	222
+	254	205
+	231	219
+	4	233	222	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	254	203
+	231	219
+	254	205
+	4	254	203	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	140	202
+	147	217
+	138	205
+	4	140	202	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	144	218
+	138	205
+	147	217
+	4	144	218	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	138	205
+	144	218
+	134	206
+	4	138	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	28	154
+	39	131
+	30	154
+	4	28	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	39	131
+	28	154
+	37	130
+	4	39	131	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	307	157
+	296	169
+	305	156
+	4	307	157	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	296	169
+	307	157
+	298	170
+	4	296	169	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	90	112
+	80	125
+	91	115
+	4	90	112	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	127
+	91	115
+	80	125
+	4	80	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	66	281
+	80	310
+	63	283
+	4	66	281	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	80	312
+	63	283
+	80	310
+	4	80	312	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	147	217
+	140	202
+	149	214
+	4	147	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	140	198
+	149	214
+	140	202
+	4	140	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	138
+	93	149
+	100	141
+	4	100	138	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	151
+	100	141
+	93	149
+	4	91	151	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	348	129
+	354	121
+	350	128
+	4	348	129	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	355	118
+	350	128
+	354	121
+	4	355	118	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	48	135
+	39	157
+	48	135
+	4	48	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	48	135
+	59	117
+	48	135
+	4	48	135	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	38	130
+	50	111
+	37	130
+	4	38	130	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	50	111
+	38	130
+	50	110
+	4	50	111	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	152
+	311	141
+	302	154
+	4	299	152	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	314	142
+	302	154
+	311	141
+	4	314	142	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	302	154
+	314	142
+	305	156
+	4	302	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	88	305
+	73	280
+	90	306
+	4	88	305	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	73	280
+	88	305
+	72	279
+	4	73	280	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	30	154
+	23	182
+	28	154
+	4	30	154	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	311	141
+	321	128
+	314	142
+	4	311	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	128
+	314	142
+	321	128
+	4	323	128	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	367	194
+	353	198
+	365	191
+	4	367	194	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	353	198
+	367	194
+	354	202
+	4	353	198	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	370	196
+	354	202
+	367	194
+	4	370	196	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	101	162
+	102	155
+	98	163
+	4	101	162	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	102	155
+	101	162
+	105	154
+	4	102	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	140	217
+	134	206
+	144	218
+	4	140	217	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	134	206
+	140	217
+	131	205
+	4	134	206	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	141
+	299	152
+	308	139
+	4	311	141	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	23	182
+	25	214
+	25	183
+	4	23	182	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	29	214
+	25	183
+	25	214
+	4	29	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	365	191
+	354	195
+	366	188
+	4	365	191	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	354	195
+	365	191
+	353	198
+	4	354	195	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	254	205
+	233	222
+	255	208
+	4	254	205	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	106
+	67	97
+	60	103
+	4	63	106	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	67	97
+	63	106
+	70	99
+	4	67	97	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	39	157
+	48	135
+	39	157
+	4	39	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	58	116
+	48	135
+	59	117
+	4	58	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	59	117
+	65	108
+	58	116
+	4	59	117	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	99
+	325	108
+	328	99
+	4	324	99	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	325	108
+	324	99
+	322	107
+	4	325	108	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	155
+	107	165
+	111	157
+	4	108	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	108	168
+	111	157
+	107	165
+	4	108	168	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	65	108
+	70	99
+	63	106
+	4	65	108	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	298	151
+	308	139
+	299	152
+	4	298	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	299	152
+	289	163
+	298	151
+	4	299	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	122
+	87	110
+	76	120
+	4	78	122	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	110
+	78	122
+	90	112
+	4	87	110	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	25	183
+	29	214
+	29	183
+	4	25	183	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	23	182
+	28	154
+	23	182
+	4	23	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	319	107
+	315	123
+	322	107
+	4	319	107	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	315	123
+	319	107
+	313	123
+	4	315	123	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	308	139
+	298	151
+	306	138
+	4	308	139	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	53	112
+	58	102
+	50	110
+	4	53	112	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	58	102
+	53	112
+	60	103
+	4	58	102	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	125
+	90	112
+	78	122
+	4	80	125	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	138	196
+	150	210
+	140	198
+	4	138	196	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	214
+	140	198
+	150	210
+	4	149	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	344	114
+	344	120
+	347	113
+	4	344	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	344	120
+	344	114
+	341	121
+	4	344	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	361	154
+	355	156
+	359	151
+	4	361	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	355	156
+	361	154
+	357	159
+	4	355	156	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	365	155
+	357	159
+	361	154
+	4	365	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	354	202
+	370	196
+	357	204
+	4	354	202	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	373	196
+	357	204
+	370	196
+	4	373	196	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	330	111
+	331	101
+	328	109
+	4	330	111	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	328	99
+	328	109
+	331	101
+	4	328	99	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	142
+	92	133
+	84	142
+	4	87	142	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	92	133
+	87	142
+	95	133
+	4	92	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	160	344
+	140	326
+	163	343
+	4	160	344	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	140	326
+	160	344
+	137	328
+	4	140	326	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	158	347
+	137	328
+	160	344
+	4	158	347	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	288	164
+	298	151
+	289	163
+	4	288	164	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	289	163
+	279	175
+	288	164
+	4	289	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	163
+	105	154
+	101	162
+	4	105	163	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	154
+	105	163
+	108	155
+	4	105	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	359	151
+	354	153
+	359	148
+	4	359	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	354	153
+	359	151
+	355	156
+	4	354	153	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	137	328
+	158	347
+	135	330
+	4	137	328	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	157	351
+	135	330
+	158	347
+	4	157	351	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	63	106
+	58	116
+	65	108
+	4	63	106	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	34	183
+	37	157
+	32	183
+	4	34	183	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	37	157
+	34	183
+	39	157
+	4	37	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	165
+	108	155
+	105	163
+	4	107	165	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	280	177
+	288	164
+	279	175
+	4	280	177	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	316	143
+	305	156
+	314	142
+	4	316	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	156
+	316	143
+	307	157
+	4	305	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	313	124
+	306	137
+	313	123
+	4	313	124	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	137
+	313	124
+	306	138
+	4	306	137	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	139	214
+	131	205
+	140	217
+	4	139	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	205
+	139	214
+	129	202
+	4	131	205	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	366	188
+	356	193
+	368	186
+	4	366	188	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	356	193
+	366	188
+	354	195
+	4	356	193	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	128
+	68	131
+	73	125
+	4	76	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	66	128
+	73	125
+	68	131
+	4	66	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	125
+	66	128
+	71	122
+	4	73	125	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	328	109
+	328	99
+	325	108
+	4	328	109	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	79	128
+	71	133
+	76	128
+	4	79	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	131
+	76	128
+	71	133
+	4	68	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	314	142
+	323	128
+	316	143
+	4	314	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	135
+	93	146
+	100	138
+	4	98	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	149
+	100	138
+	93	146
+	4	93	149	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	344	128
+	337	132
+	341	126
+	4	344	128	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	337	132
+	344	128
+	340	134
+	4	337	132	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	348	129
+	340	134
+	344	128
+	4	348	129	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	357	159
+	365	155
+	360	161
+	4	357	159	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	368	154
+	360	161
+	365	155
+	4	368	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	128
+	330	111
+	324	127
+	4	323	128	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	328	109
+	324	127
+	330	111
+	4	328	109	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	341	126
+	336	130
+	340	123
+	4	341	126	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	336	130
+	341	126
+	337	132
+	4	336	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	350	128
+	355	118
+	351	125
+	4	350	128	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	354	115
+	351	125
+	355	118
+	4	354	115	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	135	195
+	148	208
+	138	196
+	4	135	195	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	150	210
+	138	196
+	148	208
+	4	150	210	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	283
+	80	312
+	62	285
+	4	63	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	313
+	62	285
+	80	312
+	4	81	313	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	157
+	298	170
+	307	157
+	4	307	157	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	298	170
+	307	157
+	297	170
+	4	298	170	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	169
+	287	183
+	297	170
+	4	295	169	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	287	183
+	295	169
+	285	182
+	4	287	183	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	91	143
+	95	133
+	87	142
+	4	91	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	95	133
+	91	143
+	98	135
+	4	95	133	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	343
+	142	327
+	165	344
+	4	163	343	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	142	327
+	163	343
+	140	326
+	4	142	327	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	209	229
+	188	224
+	209	225
+	4	209	229	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	188	224
+	209	229
+	188	227
+	4	188	224	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	186	221
+	209	225
+	188	224
+	4	186	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	359	148
+	356	151
+	361	145
+	4	359	148	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	356	151
+	359	148
+	354	153
+	4	356	151	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	207	232
+	188	227
+	209	229
+	4	207	232	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	188	227
+	207	232
+	186	230
+	4	188	227	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	357	204
+	373	196
+	360	204
+	4	357	204	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	376	194
+	360	204
+	373	196
+	4	376	194	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	28	154
+	37	130
+	28	154
+	4	28	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	37	130
+	28	154
+	38	130
+	4	37	130	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	93	146
+	98	135
+	91	143
+	4	93	146	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	90	306
+	72	281
+	89	308
+	4	90	306	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	281
+	90	306
+	73	280
+	4	72	281	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	56	114
+	60	103
+	53	112
+	4	56	114	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	60	103
+	56	114
+	63	106
+	4	60	103	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	297	151
+	306	138
+	298	151
+	4	297	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	298	151
+	288	164
+	297	151
+	4	298	151	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	324	127
+	316	143
+	323	128
+	4	324	127	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	135	330
+	157	351
+	134	334
+	4	135	330	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	158	353
+	134	334
+	157	351
+	4	158	353	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	211
+	129	202
+	139	214
+	4	139	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	129	202
+	139	211
+	129	199
+	4	129	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	126
+	71	122
+	66	128
+	4	66	126	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	71	122
+	66	126
+	71	120
+	4	71	122	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	138
+	297	151
+	306	137
+	4	306	138	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	58	116
+	63	106
+	56	114
+	4	58	116	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	46	134
+	39	157
+	48	135
+	4	46	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	48	135
+	58	116
+	46	134
+	4	48	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	40	131
+	50	110
+	38	130
+	4	40	131	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	50	110
+	40	131
+	53	112
+	4	50	110	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	28	154
+	23	182
+	28	154
+	4	28	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	340	134
+	348	129
+	344	135
+	4	340	134	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	350	128
+	344	135
+	348	129
+	4	350	128	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	347	113
+	347	121
+	351	113
+	4	347	113	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	347	121
+	347	113
+	344	120
+	4	347	121	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	368	186
+	359	193
+	372	186
+	4	368	186	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	359	193
+	368	186
+	356	193
+	4	359	193	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	71	133
+	79	128
+	74	134
+	4	71	133	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	80	127
+	74	134
+	79	128
+	4	80	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	56	114
+	46	134
+	58	116
+	4	56	114	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	322	107
+	319	124
+	325	108
+	4	322	107	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	319	124
+	322	107
+	315	123
+	4	319	124	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	39	157
+	46	134
+	37	157
+	4	39	157	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	132	196
+	145	207
+	135	195
+	4	132	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	208
+	135	195
+	145	207
+	4	148	208	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	25	183
+	28	154
+	23	182
+	4	25	183	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	360	161
+	368	154
+	363	160
+	4	360	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	370	152
+	363	160
+	368	154
+	4	370	152	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	184	220
+	207	222
+	186	221
+	4	184	220	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	209	225
+	186	221
+	207	222
+	4	209	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	340	123
+	337	127
+	341	121
+	4	340	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	337	127
+	340	123
+	336	130
+	4	337	127	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	205	233
+	186	230
+	207	232
+	4	205	233	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	186	230
+	205	233
+	183	231
+	4	186	230	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	141	208
+	129	199
+	139	211
+	4	141	208	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	129	199
+	141	208
+	132	196
+	4	129	199	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	282	180
+	290	165
+	280	177
+	4	282	180	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	288	164
+	280	177
+	290	165
+	4	288	164	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	351	125
+	354	115
+	350	123
+	4	351	125	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	351	113
+	350	123
+	354	115
+	4	351	113	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	258	205
+	284	191
+	260	208
+	4	258	205	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	285	194
+	260	208
+	284	191
+	4	285	194	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	260	208
+	285	194
+	261	211
+	4	260	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	324	127
+	328	109
+	322	125
+	4	324	127	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	325	108
+	322	125
+	328	109
+	4	325	108	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	316	142
+	307	157
+	316	143
+	4	316	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	157
+	316	142
+	307	157
+	4	307	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	32	183
+	34	156
+	29	183
+	4	32	183	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	34	156
+	32	183
+	37	157
+	4	34	156	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	284	191
+	258	205
+	282	188
+	4	284	191	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	256	203
+	282	188
+	258	205
+	4	256	203	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	145	207
+	132	196
+	141	208
+	4	145	207	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	290	165
+	297	151
+	288	164
+	4	290	165	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	350	123
+	351	113
+	347	121
+	4	350	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	360	204
+	376	194
+	363	202
+	4	360	204	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	376	191
+	363	202
+	376	194
+	4	376	191	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	313	123
+	308	138
+	315	123
+	4	313	123	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	138
+	313	123
+	306	137
+	4	308	138	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	143
+	324	127
+	316	142
+	4	316	143	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	361	145
+	359	150
+	364	144
+	4	361	145	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	359	150
+	361	145
+	356	151
+	4	359	150	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	292	167
+	285	182
+	295	169
+	4	292	167	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	182
+	292	167
+	282	180
+	4	285	182	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	322	125
+	325	108
+	319	124
+	4	322	125	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	123	188
+	124	207
+	120	190
+	4	123	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	207
+	120	190
+	124	207
+	4	120	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	120	190
+	120	207
+	116	190
+	4	120	190	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	372	186
+	362	196
+	375	188
+	4	372	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	362	196
+	372	186
+	359	193
+	4	362	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	165	344
+	143	329
+	166	346
+	4	165	344	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	143	329
+	165	344
+	142	327
+	4	143	329	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	132
+	53	112
+	40	131
+	4	43	132	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	53	112
+	43	132
+	56	114
+	4	53	112	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	46	134
+	56	114
+	43	132
+	4	46	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	285
+	81	313
+	63	286
+	4	62	285	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	83	313
+	63	286
+	81	313
+	4	83	313	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	205
+	116	190
+	120	207
+	4	117	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	190
+	117	205
+	113	188
+	4	116	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	328	287
+	310	284
+	328	283
+	4	328	287	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	310	284
+	328	287
+	309	288
+	4	310	284	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	329	290
+	309	288
+	328	287
+	4	329	290	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	290	165
+	282	180
+	292	167
+	4	290	165	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	67	125
+	71	120
+	66	126
+	4	67	125	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	71	120
+	67	125
+	73	119
+	4	71	120	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	134	334
+	158	353
+	134	336
+	4	134	334	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	161	354
+	134	336
+	158	353
+	4	161	354	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	134
+	66	140
+	71	133
+	4	74	134	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	138
+	71	133
+	66	140
+	4	63	138	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	133
+	63	138
+	68	131
+	4	71	133	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	61	135
+	68	131
+	63	138
+	4	61	135	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	131
+	61	135
+	66	128
+	4	68	131	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	124	207
+	123	188
+	127	205
+	4	124	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	124	185
+	127	205
+	123	188
+	4	124	185	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	89	308
+	69	284
+	87	311
+	4	89	308	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	69	284
+	89	308
+	72	281
+	4	69	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	156
+	297	170
+	307	157
+	4	305	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	297	170
+	305	156
+	295	169
+	4	297	170	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	344	135
+	350	128
+	346	135
+	4	344	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	351	125
+	346	135
+	350	128
+	4	351	125	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	363	202
+	376	191
+	363	199
+	4	363	202	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	375	188
+	363	199
+	376	191
+	4	375	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	328	283
+	313	282
+	331	281
+	4	328	283	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	313	282
+	328	283
+	310	284
+	4	313	282	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	286	196
+	261	211
+	285	194
+	4	286	196	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	261	211
+	286	196
+	261	213
+	4	261	211	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	28	154
+	25	183
+	31	155
+	4	28	154	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	29	183
+	31	155
+	25	183
+	4	29	183	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	363	160
+	370	152
+	365	157
+	4	363	160	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	370	148
+	365	157
+	370	152
+	4	370	148	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	31	155
+	38	130
+	28	154
+	4	31	155	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	38	130
+	31	155
+	40	131
+	4	38	130	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	181	221
+	205	221
+	184	220
+	4	181	221	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	222
+	184	220
+	205	221
+	4	207	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	363	199
+	375	188
+	362	196
+	4	363	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	125
+	75	133
+	80	127
+	4	80	125	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	74	134
+	80	127
+	75	133
+	4	74	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	31	155
+	29	183
+	34	156
+	4	31	155	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	231
+	183	231
+	205	233
+	4	202	231	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	183	231
+	202	231
+	181	230
+	4	183	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	322	125
+	316	142
+	324	127
+	4	322	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	43	132
+	37	157
+	46	134
+	4	43	132	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	299	152
+	306	137
+	297	151
+	4	299	152	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	297	151
+	290	165
+	299	152
+	4	297	151	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	309	288
+	329	290
+	311	291
+	4	309	288	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	332	292
+	311	291
+	329	290
+	4	332	292	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	254	203
+	280	186
+	256	203
+	4	254	203	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	282	188
+	256	203
+	280	186
+	4	282	188	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	137
+	299	152
+	308	138
+	4	306	137	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	340	134
+	333	139
+	337	132
+	4	340	134	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	333	139
+	340	134
+	336	141
+	4	333	139	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	344	135
+	336	141
+	340	134
+	4	344	135	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	337	132
+	332	136
+	336	130
+	4	337	132	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	332	136
+	337	132
+	333	139
+	4	332	136	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	364	144
+	362	151
+	367	146
+	4	364	144	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	362	151
+	364	144
+	359	150
+	4	362	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	341	121
+	339	127
+	344	120
+	4	341	121	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	339	127
+	341	121
+	337	127
+	4	339	127	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	37	157
+	43	132
+	34	156
+	4	37	157	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	202
+	113	188
+	117	205
+	4	116	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	188
+	116	202
+	112	185
+	4	113	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	91	151
+	82	162
+	88	151
+	4	91	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	79	160
+	88	151
+	82	162
+	4	79	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	88	151
+	79	160
+	85	149
+	4	88	151	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	158
+	85	149
+	79	160
+	4	76	158	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	85	149
+	76	158
+	83	146
+	4	85	149	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	250	218
+	224	221
+	249	214
+	4	250	218	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	224	221
+	250	218
+	225	225
+	4	224	221	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	222	219
+	249	214
+	224	221
+	4	222	219	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	250	221
+	225	225
+	250	218
+	4	250	221	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	225	225
+	250	221
+	225	228
+	4	225	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	123	182
+	128	202
+	124	185
+	4	123	182	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	127	205
+	124	185
+	128	202
+	4	127	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	63	286
+	83	313
+	66	285
+	4	63	286	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	311
+	66	285
+	83	313
+	4	87	311	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	331	281
+	316	282
+	334	281
+	4	331	281	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	316	282
+	331	281
+	313	282
+	4	316	282	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	66	140
+	74	134
+	69	140
+	4	66	140	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	75	133
+	69	140
+	74	134
+	4	75	133	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	292	167
+	299	152
+	290	165
+	4	292	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	365	157
+	370	148
+	364	154
+	4	365	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	367	146
+	364	154
+	370	148
+	4	367	146	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	66	285
+	87	311
+	69	284
+	4	66	285	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	133
+	66	128
+	61	135
+	4	60	133	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	128
+	60	133
+	66	126
+	4	66	128	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	315	123
+	311	139
+	319	124
+	4	315	123	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	139
+	315	123
+	308	138
+	4	311	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	364	154
+	367	146
+	362	151
+	4	364	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	314	141
+	307	157
+	316	142
+	4	314	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	307	157
+	314	141
+	305	156
+	4	307	157	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	166	346
+	142	332
+	166	350
+	4	166	346	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	142	332
+	166	346
+	143	329
+	4	142	332	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	106	171
+	101	181
+	103	172
+	4	106	171	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	97	181
+	103	172
+	101	181
+	4	97	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	103	172
+	97	181
+	100	171
+	4	103	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	179
+	100	171
+	97	181
+	4	95	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	171
+	95	179
+	97	169
+	4	100	171	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	336	141
+	344	135
+	339	142
+	4	336	141	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	346	135
+	339	142
+	344	135
+	4	346	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	34	156
+	40	131
+	31	155
+	4	34	156	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	40	131
+	34	156
+	43	132
+	4	40	131	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	316	142
+	322	125
+	314	141
+	4	316	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	291
+	332	292
+	313	293
+	4	311	291	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	335	292
+	313	293
+	332	292
+	4	335	292	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	179	223
+	203	222
+	181	221
+	4	179	223	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	205	221
+	181	221
+	203	222
+	4	205	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	336
+	161	354
+	136	336
+	4	134	336	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	163	353
+	136	336
+	161	354
+	4	163	353	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	154
+	295	169
+	305	156
+	4	302	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	169
+	302	154
+	292	167
+	4	295	169	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	201	228
+	181	230
+	202	231
+	4	201	228	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	181	230
+	201	228
+	179	227
+	4	181	230	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	70	126
+	73	119
+	67	125
+	4	70	126	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	73	119
+	70	126
+	76	120
+	4	73	119	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	162
+	91	151
+	85	162
+	4	82	162	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	93	149
+	85	162
+	91	151
+	4	93	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	76	156
+	83	146
+	76	158
+	4	76	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	83	146
+	76	156
+	82	144
+	4	83	146	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	117	199
+	112	185
+	116	202
+	4	117	199	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	112	185
+	117	199
+	113	182
+	4	112	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	346	135
+	351	125
+	347	133
+	4	346	135	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	350	123
+	347	133
+	351	125
+	4	350	123	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	130
+	332	134
+	337	127
+	4	336	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	332	134
+	336	130
+	332	136
+	4	332	134	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	124
+	314	141
+	322	125
+	4	319	124	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	220	218
+	247	212
+	222	219
+	4	220	218	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	249	214
+	222	219
+	247	212
+	4	249	214	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	357	159
+	349	162
+	355	156
+	4	357	159	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	349	162
+	357	159
+	351	165
+	4	349	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	360	161
+	351	165
+	357	159
+	4	360	161	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	249	222
+	225	228
+	250	221
+	4	249	222	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	225	228
+	249	222
+	223	230
+	4	225	228	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	180
+	127	199
+	123	182
+	4	120	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	128	202
+	123	182
+	127	199
+	4	128	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	355	156
+	349	158
+	354	153
+	4	355	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	349	158
+	355	156
+	349	162
+	4	349	158	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	122
+	75	131
+	80	125
+	4	78	122	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	75	133
+	80	125
+	75	131
+	4	75	133	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	285	196
+	261	213
+	286	196
+	4	285	196	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	213
+	285	196
+	259	213
+	4	261	213	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	299	152
+	292	167
+	302	154
+	4	299	152	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	101	181
+	106	171
+	104	180
+	4	101	181	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	168
+	104	180
+	106	171
+	4	108	168	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	314	141
+	319	124
+	311	139
+	4	314	141	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	176
+	97	169
+	95	179
+	4	94	176	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	169
+	94	176
+	96	166
+	4	97	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	302	154
+	308	138
+	299	152
+	4	302	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	344	120
+	343	128
+	347	121
+	4	344	120	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	343	128
+	344	120
+	339	127
+	4	343	128	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	254	205
+	278	186
+	254	203
+	4	254	205	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	280	186
+	254	203
+	278	186
+	4	280	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	334	281
+	318	284
+	337	283
+	4	334	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	318	284
+	334	281
+	316	282
+	4	318	284	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	138
+	302	154
+	311	139
+	4	308	138	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	140
+	62	147
+	66	140
+	4	69	140	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	59	145
+	66	140
+	62	147
+	4	59	145	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	140
+	59	145
+	63	138
+	4	66	140	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	179	227
+	201	225
+	179	223
+	4	179	227	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	203	222
+	179	223
+	201	225
+	4	203	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	166	350
+	139	335
+	163	353
+	4	166	350	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	139	335
+	166	350
+	142	332
+	4	139	335	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	225
+	179	227
+	201	228
+	4	201	225	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	56	143
+	63	138
+	59	145
+	4	56	143	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	138
+	56	143
+	61	135
+	4	63	138	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	336
+	163	353
+	139	335
+	4	136	336	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	120	197
+	113	182
+	117	199
+	4	120	197	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	113	182
+	120	197
+	116	180
+	4	113	182	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	180
+	124	197
+	120	180
+	4	116	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	199
+	120	180
+	124	197
+	4	127	199	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	351	165
+	360	161
+	355	166
+	4	351	165	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	363	160
+	355	166
+	360	161
+	4	363	160	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	128
+	76	120
+	70	126
+	4	73	128	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	76	120
+	73	128
+	78	122
+	4	76	120	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	313	293
+	335	292
+	316	293
+	4	313	293	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	338	290
+	316	293
+	335	292
+	4	338	290	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	139
+	305	156
+	314	141
+	4	311	139	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	156
+	311	139
+	302	154
+	4	305	156	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	75	131
+	71	139
+	75	133
+	4	75	131	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	140
+	75	133
+	71	139
+	4	69	140	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	69	279
+	60	251
+	72	279
+	4	69	279	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	60	251
+	69	279
+	58	251
+	4	60	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	66	281
+	58	251
+	69	279
+	4	66	281	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	336	141
+	328	145
+	333	139
+	4	336	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	328	145
+	336	141
+	331	147
+	4	328	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	339	142
+	331	147
+	336	141
+	4	339	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	354	153
+	350	156
+	356	151
+	4	354	153	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	350	156
+	354	153
+	349	158
+	4	350	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	62	133
+	66	126
+	60	133
+	4	62	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	66	126
+	62	133
+	67	125
+	4	66	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	75	131
+	78	122
+	73	128
+	4	75	131	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	58	251
+	66	281
+	54	252
+	4	58	251	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	283
+	54	252
+	66	281
+	4	63	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	333	139
+	327	142
+	332	136
+	4	333	139	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	327	142
+	333	139
+	328	145
+	4	327	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	197
+	116	180
+	120	197
+	4	124	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	347	133
+	350	123
+	346	130
+	4	347	133	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	347	121
+	346	130
+	350	123
+	4	347	121	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	146
+	87	160
+	93	149
+	4	93	146	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	85	162
+	93	149
+	87	160
+	4	85	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	77	154
+	82	144
+	76	156
+	4	77	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	82	144
+	77	154
+	84	142
+	4	82	144	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	346	130
+	347	121
+	343	128
+	4	346	130	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	165
+	106	178
+	108	168
+	4	107	165	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	104	180
+	108	168
+	106	178
+	4	104	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	339	142
+	346	135
+	341	142
+	4	339	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	347	133
+	341	142
+	346	135
+	4	347	133	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	221	343
+	200	330
+	223	341
+	4	221	343	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	200	330
+	221	343
+	197	333
+	4	200	330	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	220	347
+	197	333
+	221	343
+	4	220	347	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	337	283
+	319	287
+	338	286
+	4	337	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	319	287
+	337	283
+	318	284
+	4	319	287	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	95	173
+	96	166
+	94	176
+	4	95	173	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	166
+	95	173
+	98	163
+	4	96	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	62	147
+	69	140
+	65	148
+	4	62	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	71	139
+	65	148
+	69	140
+	4	71	139	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	218	220
+	245	211
+	220	218
+	4	218	220	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	247	212
+	220	218
+	245	211
+	4	247	212	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	247	222
+	223	230
+	249	222
+	4	247	222	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	223	230
+	247	222
+	221	229
+	4	223	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	337	127
+	334	134
+	339	127
+	4	337	127	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	334	134
+	337	127
+	332	134
+	4	334	134	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	197	333
+	220	347
+	196	336
+	4	197	333	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	220	350
+	196	336
+	220	347
+	4	220	350	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	56	142
+	61	135
+	56	143
+	4	56	142	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	61	135
+	56	142
+	60	133
+	4	61	135	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	316	293
+	338	290
+	318	291
+	4	316	293	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	338	286
+	318	291
+	338	290
+	4	338	286	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	283	194
+	259	213
+	285	196
+	4	283	194	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	213
+	283	194
+	257	211
+	4	259	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	331	147
+	339	142
+	334	149
+	4	331	147	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	341	142
+	334	149
+	339	142
+	4	341	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	72	279
+	62	251
+	73	280
+	4	72	279	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	62	251
+	72	279
+	60	251
+	4	62	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	318	291
+	338	286
+	319	287
+	4	318	291	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	223	341
+	203	330
+	226	341
+	4	223	341	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	203	330
+	223	341
+	200	330
+	4	203	330	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	255	208
+	279	188
+	254	205
+	4	255	208	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	278	186
+	254	205
+	279	188
+	4	278	186	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	323
+	259	316
+	281	320
+	4	279	323	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	316
+	279	323
+	257	319
+	4	259	316	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	279	327
+	257	319
+	279	323
+	4	279	327	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	252
+	63	283
+	51	254
+	4	54	252	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	62	285
+	51	254
+	63	283
+	4	62	285	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	332	136
+	327	141
+	332	134
+	4	332	136	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	327	141
+	332	136
+	327	142
+	4	327	141	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	355	166
+	363	160
+	357	166
+	4	355	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	365	157
+	357	166
+	363	160
+	4	365	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	163
+	105	175
+	107	165
+	4	105	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	178
+	107	165
+	105	175
+	4	106	178	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	356	151
+	353	156
+	359	150
+	4	356	151	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	353	156
+	356	151
+	350	156
+	4	353	156	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	281	320
+	262	314
+	284	319
+	4	281	320	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	262	314
+	281	320
+	259	316
+	4	262	314	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	91	143
+	87	157
+	93	146
+	4	91	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	87	160
+	93	146
+	87	157
+	4	87	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	99	172
+	98	163
+	95	173
+	4	99	172	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	98	163
+	99	172
+	101	162
+	4	98	163	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	81	154
+	84	142
+	77	154
+	4	81	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	84	142
+	81	154
+	87	142
+	4	84	142	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	128
+	70	137
+	75	131
+	4	73	128	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	71	139
+	75	131
+	70	137
+	4	71	139	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	257	319
+	279	327
+	257	323
+	4	257	319	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	281	330
+	257	323
+	279	327
+	4	281	330	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	65	148
+	58	155
+	62	147
+	4	65	148	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	55	154
+	62	147
+	58	155
+	4	55	154	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	62	147
+	55	154
+	59	145
+	4	62	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	65	133
+	67	125
+	62	133
+	4	65	133	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	67	125
+	65	133
+	70	126
+	4	67	125	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	331	147
+	323	151
+	328	145
+	4	331	147	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	323	151
+	331	147
+	325	154
+	4	323	151	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	334	149
+	325	154
+	331	147
+	4	334	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	328	145
+	321	149
+	327	142
+	4	328	145	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	321	149
+	328	145
+	323	151
+	4	321	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	152
+	59	145
+	55	154
+	4	52	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	145
+	52	152
+	56	143
+	4	59	145	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	196	336
+	220	350
+	196	339
+	4	196	336	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	222	352
+	196	339
+	220	350
+	4	222	352	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	280	191
+	257	211
+	283	194
+	4	280	191	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	257	211
+	280	191
+	255	208
+	4	257	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	341	142
+	347	133
+	342	140
+	4	341	142	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	346	130
+	342	140
+	347	133
+	4	346	130	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	282	188
+	296	182
+	284	191
+	4	282	188	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	298	184
+	284	191
+	296	182
+	4	298	184	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	284	191
+	298	184
+	285	194
+	4	284	191	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	218	223
+	244	213
+	218	220
+	4	218	223	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	245	211
+	218	220
+	244	213
+	4	245	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	162
+	102	173
+	105	163
+	4	101	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	175
+	105	163
+	102	173
+	4	105	175	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	279	188
+	255	208
+	280	191
+	4	279	188	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	245	219
+	221	229
+	247	222
+	4	245	219	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	221	229
+	245	219
+	219	227
+	4	221	229	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	188	231
+	170	220
+	189	227
+	4	188	231	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	170	220
+	188	231
+	168	223
+	4	170	220	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	169	217
+	189	227
+	170	220
+	4	169	217	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	296	182
+	282	188
+	294	179
+	4	296	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	280	186
+	294	179
+	282	188
+	4	280	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	102	173
+	101	162
+	99	172
+	4	102	173	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	185	233
+	168	223
+	188	231
+	4	185	233	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	168	223
+	185	233
+	166	225
+	4	168	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	70	137
+	66	147
+	71	139
+	4	70	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	65	148
+	71	139
+	66	147
+	4	65	148	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	226	341
+	204	332
+	228	343
+	4	226	341	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	332
+	226	341
+	203	330
+	4	204	332	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	339	127
+	338	135
+	343	128
+	4	339	127	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	338	135
+	339	127
+	334	134
+	4	338	135	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	142
+	84	155
+	91	143
+	4	87	142	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	87	157
+	91	143
+	84	155
+	4	87	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	155
+	87	142
+	81	154
+	4	84	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	57	141
+	60	133
+	56	142
+	4	57	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	60	133
+	57	141
+	62	133
+	4	60	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	284	319
+	265	315
+	287	320
+	4	284	319	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	315
+	284	319
+	262	314
+	4	265	315	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	58	155
+	65	148
+	61	156
+	4	58	155	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	66	147
+	61	156
+	65	148
+	4	66	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	126
+	68	135
+	73	128
+	4	70	126	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	70	137
+	73	128
+	68	135
+	4	70	137	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	135
+	70	126
+	65	133
+	4	68	135	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	357	166
+	365	157
+	359	163
+	4	357	166	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	364	154
+	359	163
+	365	157
+	4	364	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	334	149
+	341	142
+	336	149
+	4	334	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	342	140
+	336	149
+	341	142
+	4	342	140	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	325	154
+	334	149
+	328	155
+	4	325	154	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	336	149
+	328	155
+	334	149
+	4	336	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	257	323
+	281	330
+	259	325
+	4	257	323	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	284	331
+	259	325
+	281	330
+	4	284	331	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	359	150
+	356	157
+	362	151
+	4	359	150	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	356	157
+	359	150
+	353	156
+	4	356	157	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	73	280
+	60	253
+	72	281
+	4	73	280	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	60	253
+	73	280
+	62	251
+	4	60	253	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	167	214
+	189	224
+	169	217
+	4	167	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	189	227
+	169	217
+	189	224
+	4	189	227	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	183	234
+	166	225
+	185	233
+	4	183	234	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	225
+	183	234
+	163	226
+	4	166	225	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	327	142
+	321	147
+	327	141
+	4	327	142	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	321	147
+	327	142
+	321	149
+	4	321	147	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	325	154
+	317	157
+	323	151
+	4	325	154	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	317	157
+	325	154
+	320	160
+	4	317	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	328	155
+	320	160
+	325	154
+	4	328	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	51	254
+	62	285
+	50	255
+	4	51	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	63	286
+	50	255
+	62	285
+	4	63	286	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	332	134
+	329	141
+	334	134
+	4	332	134	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	329	141
+	332	134
+	327	141
+	4	329	141	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	351	165
+	343	167
+	349	162
+	4	351	165	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	349	162
+	342	164
+	349	158
+	4	349	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	342	164
+	349	162
+	343	167
+	4	342	164	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	151
+	316	155
+	321	149
+	4	323	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	316	155
+	323	151
+	317	157
+	4	316	155	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	51	151
+	56	143
+	52	152
+	4	51	151	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	56	143
+	51	151
+	56	142
+	4	56	143	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	343	167
+	351	165
+	345	170
+	4	343	167	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	355	166
+	345	170
+	351	165
+	4	355	166	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	219	227
+	244	216
+	218	223
+	4	219	227	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	244	213
+	218	223
+	244	216
+	4	244	213	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	244	216
+	219	227
+	245	219
+	4	244	216	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	299	186
+	285	194
+	298	184
+	4	299	186	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	285	194
+	299	186
+	286	196
+	4	285	194	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	342	140
+	346	130
+	341	137
+	4	342	140	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	343	128
+	341	137
+	346	130
+	4	343	128	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	341	137
+	343	128
+	338	135
+	4	341	137	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	186
+	292	177
+	280	186
+	4	278	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	179
+	280	186
+	292	177
+	4	294	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	196	339
+	222	352
+	198	341
+	4	196	339	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	225	352
+	198	341
+	222	352
+	4	225	352	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	61	156
+	55	164
+	58	155
+	4	61	156	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	51	163
+	58	155
+	55	164
+	4	51	163	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	58	155
+	51	163
+	55	154
+	4	58	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	359	163
+	364	154
+	358	160
+	4	359	163	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	362	151
+	358	160
+	364	154
+	4	362	151	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	358	160
+	362	151
+	356	157
+	4	358	160	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	347	244
+	329	244
+	347	241
+	4	347	244	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	329	244
+	347	244
+	330	248
+	4	329	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	349	247
+	330	248
+	347	244
+	4	349	247	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	347	241
+	331	241
+	348	238
+	4	347	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	331	241
+	347	241
+	329	244
+	4	331	241	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	162
+	55	154
+	51	163
+	4	49	162	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	55	154
+	49	162
+	52	152
+	4	55	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	179
+	308	171
+	296	182
+	4	294	179	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	310	173
+	296	182
+	308	171
+	4	310	173	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	296	182
+	310	173
+	298	184
+	4	296	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	320	160
+	328	155
+	323	161
+	4	320	160	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	320	160
+	306	169
+	317	157
+	4	320	160	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	169
+	320	160
+	308	171
+	4	306	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	161
+	308	171
+	320	160
+	4	323	161	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	308	171
+	294	179
+	306	169
+	4	308	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	292	177
+	306	169
+	294	179
+	4	292	177	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	157
+	304	166
+	316	155
+	4	317	157	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	304	166
+	317	157
+	306	169
+	4	304	166	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	228	343
+	204	335
+	229	346
+	4	228	343	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	204	335
+	228	343
+	204	332
+	4	204	335	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	349	158
+	344	161
+	350	156
+	4	349	158	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	344	161
+	349	158
+	342	164
+	4	344	161	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	68	135
+	66	145
+	70	137
+	4	68	135	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	147
+	70	137
+	66	145
+	4	66	147	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	287	320
+	266	318
+	289	323
+	4	287	320	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	318
+	287	320
+	265	315
+	4	266	318	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	345	170
+	355	166
+	348	171
+	4	345	170	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	357	166
+	348	171
+	355	166
+	4	357	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	164	215
+	187	222
+	167	214
+	4	164	215	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	189	224
+	167	214
+	187	222
+	4	189	224	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	328	155
+	336	149
+	330	155
+	4	328	155	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	330	155
+	323	161
+	328	155
+	4	330	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	325
+	284	331
+	261	326
+	4	259	325	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	287	330
+	261	326
+	284	331
+	4	287	330	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	232
+	163	226
+	183	234
+	4	181	232	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	226
+	181	232
+	160	224
+	4	163	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	85	162
+	77	175
+	82	162
+	4	85	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	74	174
+	82	162
+	77	175
+	4	74	174	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	82	162
+	74	174
+	79	160
+	4	82	162	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	60	141
+	62	133
+	57	141
+	4	60	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	62	133
+	60	141
+	65	133
+	4	62	133	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	321	149
+	316	153
+	321	147
+	4	321	149	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	153
+	321	149
+	316	155
+	4	316	153	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	66	145
+	63	155
+	66	147
+	4	66	145	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	61	156
+	66	147
+	63	155
+	4	61	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	172
+	79	160
+	74	174
+	4	71	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	160
+	71	172
+	76	158
+	4	79	160	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	330	248
+	349	247
+	332	251
+	4	330	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	352	248
+	332	251
+	349	247
+	4	352	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	308	171
+	323	161
+	310	173
+	4	308	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	169
+	292	177
+	304	166
+	4	306	169	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	55	164
+	61	156
+	58	165
+	4	55	164	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	63	155
+	58	165
+	61	156
+	4	63	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	149
+	342	140
+	336	147
+	4	336	149	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	341	137
+	336	147
+	342	140
+	4	341	137	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	348	238
+	333	240
+	351	236
+	4	348	238	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	333	240
+	348	238
+	331	241
+	4	333	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	147
+	330	155
+	336	149
+	4	336	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	281
+	57	254
+	69	284
+	4	72	281	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	57	254
+	72	281
+	60	253
+	4	57	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	341
+	225	352
+	200	341
+	4	198	341	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	228	349
+	200	341
+	225	352
+	4	228	349	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	334	134
+	332	142
+	338	135
+	4	334	134	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	332	142
+	334	134
+	329	141
+	4	332	142	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	50	255
+	63	286
+	51	256
+	4	50	255	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	66	285
+	51	256
+	63	286
+	4	66	285	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	327	141
+	323	147
+	329	141
+	4	327	141	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	323	147
+	327	141
+	321	147
+	4	323	147	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	53	150
+	56	142
+	51	151
+	4	53	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	56	142
+	53	150
+	57	141
+	4	56	142	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	137	328
+	120	305
+	140	326
+	4	137	328	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	120	305
+	137	328
+	117	306
+	4	120	305	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	135	330
+	117	306
+	137	328
+	4	135	330	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	58	251
+	54	223
+	60	251
+	4	58	251	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	54	223
+	58	251
+	51	223
+	4	54	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	54	252
+	51	223
+	58	251
+	4	54	252	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	312	174
+	298	184
+	310	173
+	4	312	174	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	298	184
+	312	174
+	299	186
+	4	298	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	77	175
+	85	162
+	81	175
+	4	77	175	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	87	160
+	81	175
+	85	162
+	4	87	160	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	161
+	330	155
+	324	162
+	4	323	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	324	162
+	310	173
+	323	161
+	4	324	162	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	298	185
+	286	196
+	299	186
+	4	298	185	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	286	196
+	298	185
+	285	196
+	4	286	196	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	229	346
+	203	338
+	228	349
+	4	229	346	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	203	338
+	229	346
+	204	335
+	4	203	338	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	176
+	304	166
+	292	177
+	4	291	176	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	292	177
+	278	186
+	291	176
+	4	292	177	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	48	161
+	52	152
+	49	162
+	4	48	161	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	52	152
+	48	161
+	51	151
+	4	52	152	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	51	223
+	54	252
+	47	224
+	4	51	223	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	51	254
+	47	224
+	54	252
+	4	51	254	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	155
+	304	165
+	316	153
+	4	316	155	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	165
+	316	155
+	304	166
+	4	304	165	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	65	133
+	63	143
+	68	135
+	4	65	133	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	66	145
+	68	135
+	63	143
+	4	66	145	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	289	323
+	266	322
+	289	326
+	4	289	323	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	266	322
+	289	323
+	266	318
+	4	266	322	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	58	165
+	52	174
+	55	164
+	4	58	165	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	49	174
+	55	164
+	52	174
+	4	49	174	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	55	164
+	49	174
+	51	163
+	4	55	164	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	306
+	135	330
+	114	309
+	4	117	306	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	134	334
+	114	309
+	135	330
+	4	134	334	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	63	143
+	65	133
+	60	141
+	4	63	143	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	261	326
+	287	330
+	264	325
+	4	261	326	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	326
+	264	325
+	287	330
+	4	289	326	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	279	188
+	291	176
+	278	186
+	4	279	188	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	161	217
+	184	222
+	164	215
+	4	161	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	222
+	164	215
+	184	222
+	4	187	222	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	180	228
+	160	224
+	181	232
+	4	180	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	160	224
+	180	228
+	160	220
+	4	160	224	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	200	341
+	228	349
+	203	338
+	4	200	341	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	354	202
+	338	205
+	353	198
+	4	354	202	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	338	205
+	354	202
+	339	209
+	4	338	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	357	204
+	339	209
+	354	202
+	4	357	204	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	170
+	76	158
+	71	172
+	4	71	170	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	158
+	71	170
+	76	156
+	4	76	158	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	353	198
+	338	202
+	354	195
+	4	353	198	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	338	202
+	353	198
+	338	205
+	4	338	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	46	173
+	51	163
+	49	174
+	4	46	173	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	51	163
+	46	173
+	49	162
+	4	51	163	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	104	180
+	100	193
+	101	181
+	4	104	180	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	96	192
+	101	181
+	100	193
+	4	96	192	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	101	181
+	96	192
+	97	181
+	4	101	181	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	350	156
+	346	161
+	353	156
+	4	350	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	346	161
+	350	156
+	344	161
+	4	346	161	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	348	171
+	357	166
+	351	171
+	4	348	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	359	163
+	351	171
+	357	166
+	4	359	163	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	310	173
+	324	162
+	312	174
+	4	310	173	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	332	251
+	352	248
+	334	252
+	4	332	251	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	355	247
+	334	252
+	352	248
+	4	355	247	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	264	325
+	289	326
+	266	322
+	4	264	325	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	336	147
+	341	137
+	335	145
+	4	336	147	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	338	135
+	335	145
+	341	137
+	4	338	135	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	166
+	291	176
+	304	165
+	4	304	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	326
+	122	305
+	142	327
+	4	140	326	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	122	305
+	140	326
+	120	305
+	4	122	305	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	190
+	97	181
+	96	192
+	4	94	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	181
+	94	190
+	95	179
+	4	97	181	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	335	145
+	338	135
+	332	142
+	4	335	145	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	284
+	54	255
+	66	285
+	4	69	284	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	54	255
+	69	284
+	57	254
+	4	54	255	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	351	236
+	336	241
+	354	238
+	4	351	236	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	336	241
+	351	236
+	333	240
+	4	336	241	psFillPoly
+	renderGC	0.125000	setForeground
+	renderGC
+	51	256
+	66	285
+	54	255
+	4	51	256	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	60	251
+	55	223
+	62	251
+	4	60	251	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	55	223
+	60	251
+	54	223
+	4	55	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	330	155
+	336	147
+	331	154
+	4	330	155	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	331	154
+	324	162
+	330	155
+	4	331	154	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	160	220
+	181	225
+	161	217
+	4	160	220	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	184	222
+	161	217
+	181	225
+	4	184	222	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	100	193
+	104	180
+	103	191
+	4	100	193	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	106	178
+	103	191
+	104	180
+	4	106	178	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	181	225
+	160	220
+	180	228
+	4	181	225	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	52	174
+	58	165
+	55	175
+	4	52	174	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	59	164
+	55	175
+	58	165
+	4	59	164	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	58	165
+	63	155
+	59	164
+	4	58	165	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	321	147
+	317	154
+	323	147
+	4	321	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	317	154
+	321	147
+	316	153
+	4	317	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	63	143
+	62	154
+	66	145
+	4	63	143	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	63	155
+	66	145
+	62	154
+	4	63	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	62	154
+	59	164
+	63	155
+	4	62	154	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	339	209
+	357	204
+	341	211
+	4	339	209	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	360	204
+	341	211
+	357	204
+	4	360	204	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	354	195
+	340	200
+	356	193
+	4	354	195	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	340	200
+	354	195
+	338	202
+	4	340	200	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	345	170
+	336	172
+	343	167
+	4	345	170	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	167
+	336	169
+	342	164
+	4	343	167	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	169
+	343	167
+	336	172
+	4	336	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	47	224
+	51	254
+	44	225
+	4	47	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	50	255
+	44	225
+	51	254
+	4	50	255	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	336	172
+	345	170
+	339	175
+	4	336	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	348	171
+	339	175
+	345	170
+	4	348	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	87	157
+	82	174
+	87	160
+	4	87	157	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	81	175
+	87	160
+	82	174
+	4	81	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	309
+	134	334
+	112	311
+	4	114	309	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	134	336
+	112	311
+	134	334
+	4	134	336	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	335	145
+	331	154
+	336	147
+	4	335	145	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	55	175
+	50	185
+	52	174
+	4	55	175	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	185
+	52	174
+	50	185
+	4	47	185	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	52	174
+	47	185
+	49	174
+	4	52	174	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	56	150
+	57	141
+	53	150
+	4	56	150	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	57	141
+	56	150
+	60	141
+	4	57	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	329	141
+	326	149
+	332	142
+	4	329	141	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	326	149
+	329	141
+	323	147
+	4	326	149	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	93	188
+	95	179
+	94	190
+	4	93	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	179
+	93	188
+	94	176
+	4	95	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	44	184
+	49	174
+	47	185
+	4	44	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	174
+	44	184
+	46	173
+	4	49	174	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	264	213
+	249	214
+	262	209
+	4	264	213	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	249	214
+	264	213
+	250	218
+	4	249	214	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	247	212
+	262	209
+	249	214
+	4	247	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	45	172
+	49	162
+	46	173
+	4	45	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	49	162
+	45	172
+	48	161
+	4	49	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	173
+	299	186
+	312	174
+	4	311	173	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	186
+	311	173
+	298	185
+	4	299	186	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	264	216
+	250	218
+	264	213
+	4	264	216	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	250	218
+	264	216
+	250	221
+	4	250	218	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	221	229
+	209	225
+	221	225
+	4	221	229	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	209	225
+	221	229
+	209	229
+	4	209	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	222
+	221	225
+	209	225
+	4	207	222	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	334	252
+	355	247
+	337	251
+	4	334	252	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	357	244
+	337	251
+	355	247
+	4	357	244	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	296	183
+	285	196
+	298	185
+	4	296	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	196
+	296	183
+	283	194
+	4	285	196	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	324	162
+	331	154
+	324	161
+	4	324	162	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	324	161
+	312	174
+	324	162
+	4	324	161	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	220	232
+	209	229
+	221	229
+	4	220	232	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	209	229
+	220	232
+	207	232
+	4	209	229	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	49	160
+	51	151
+	48	161
+	4	49	160	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	51	151
+	49	160
+	53	150
+	4	51	151	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	72	169
+	76	156
+	71	170
+	4	72	169	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	76	156
+	72	169
+	77	154
+	4	76	156	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	292	178
+	304	165
+	291	176
+	4	292	178	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	291	176
+	279	188
+	292	178
+	4	291	176	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	316	153
+	305	166
+	317	154
+	4	316	153	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	166
+	316	153
+	304	165
+	4	305	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	353	156
+	349	163
+	356	157
+	4	353	156	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	349	163
+	353	156
+	346	161
+	4	349	163	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	354	238
+	338	244
+	357	240
+	4	354	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	338	244
+	354	238
+	336	241
+	4	338	244	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	351	171
+	359	163
+	352	169
+	4	351	171	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	358	160
+	352	169
+	359	163
+	4	358	160	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	280	191
+	292	178
+	279	188
+	4	280	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	175
+	105	189
+	106	178
+	4	105	175	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	103	191
+	106	178
+	105	189
+	4	103	191	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	342	164
+	337	167
+	344	161
+	4	342	164	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	337	167
+	342	164
+	336	169
+	4	337	167	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	142	327
+	122	307
+	143	329
+	4	142	327	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	122	307
+	142	327
+	122	305
+	4	122	307	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	50	185
+	55	175
+	54	186
+	4	50	185	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	57	174
+	54	186
+	55	175
+	4	57	174	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	55	175
+	59	164
+	57	174
+	4	55	175	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	54	186
+	50	197
+	50	185
+	4	54	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	46	197
+	50	185
+	50	197
+	4	46	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	50	185
+	46	197
+	47	185
+	4	50	185	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	60	141
+	59	152
+	63	143
+	4	60	141	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	62	154
+	63	143
+	59	152
+	4	62	154	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	339	175
+	348	171
+	341	177
+	4	339	175	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	351	171
+	341	177
+	348	171
+	4	351	171	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	51	223
+	53	197
+	54	223
+	4	51	223	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	53	197
+	51	223
+	50	197
+	4	53	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	47	224
+	50	197
+	51	223
+	4	47	224	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	312	174
+	324	161
+	311	173
+	4	312	174	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	59	152
+	60	141
+	56	150
+	4	59	152	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	341	211
+	360	204
+	344	212
+	4	341	211	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	363	202
+	344	212
+	360	204
+	4	363	202	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	331	154
+	335	145
+	329	152
+	4	331	154	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	332	142
+	329	152
+	335	145
+	4	332	142	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	356	193
+	343	200
+	359	193
+	4	356	193	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	343	200
+	356	193
+	340	200
+	4	343	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	304	165
+	292	178
+	305	166
+	4	304	165	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	205	221
+	220	222
+	207	222
+	4	205	221	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	221	225
+	207	222
+	220	222
+	4	221	225	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	149	214
+	154	223
+	147	217
+	4	149	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	225
+	147	217
+	154	223
+	4	151	225	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	147	217
+	151	225
+	144	218
+	4	147	217	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	337	251
+	357	244
+	338	248
+	4	337	251	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	357	240
+	338	248
+	357	244
+	4	357	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	43	197
+	47	185
+	46	197
+	4	43	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	47	185
+	43	197
+	44	184
+	4	47	185	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	329	152
+	332	142
+	326	149
+	4	329	152	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	50	197
+	47	224
+	46	197
+	4	50	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	44	225
+	46	197
+	47	224
+	4	44	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	62	251
+	54	224
+	60	253
+	4	62	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	54	224
+	62	251
+	55	223
+	4	54	224	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	338	248
+	357	240
+	338	244
+	4	338	248	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	245	211
+	261	207
+	247	212
+	4	245	211	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	262	209
+	247	212
+	261	207
+	4	262	209	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	154	223
+	149	214
+	156	220
+	4	154	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	150	210
+	156	220
+	149	214
+	4	150	210	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	58	163
+	57	174
+	59	164
+	4	58	163	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	59	164
+	62	154
+	58	163
+	4	59	164	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	152
+	324	161
+	331	154
+	4	329	152	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	218	233
+	207	232
+	220	232
+	4	218	233	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	232
+	218	233
+	205	233
+	4	207	232	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	50	197
+	54	186
+	53	197
+	4	50	197	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	263	217
+	250	221
+	264	216
+	4	263	217	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	250	221
+	263	217
+	249	222
+	4	250	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	84	155
+	82	171
+	87	157
+	4	84	155	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	174
+	87	157
+	82	171
+	4	82	174	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	186
+	94	176
+	93	188
+	4	95	186	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	94	176
+	95	186
+	95	173
+	4	94	176	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	356	157
+	352	166
+	358	160
+	4	356	157	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	352	166
+	356	157
+	349	163
+	4	352	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	323	147
+	320	156
+	326	149
+	4	323	147	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	320	156
+	323	147
+	317	154
+	4	320	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	352	169
+	358	160
+	352	166
+	4	352	169	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	180
+	283	194
+	296	183
+	4	294	180	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	194
+	294	180
+	280	191
+	4	283	194	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	59	152
+	58	163
+	62	154
+	4	59	152	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	311
+	134	336
+	112	313
+	4	112	311	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	336
+	112	313
+	134	336
+	4	136	336	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	292	178
+	280	191
+	294	180
+	4	292	178	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	184
+	46	173
+	44	184
+	4	43	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	46	173
+	43	184
+	45	172
+	4	46	173	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	46	197
+	44	225
+	43	197
+	4	46	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	148	224
+	144	218
+	151	225
+	4	148	224	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	144	218
+	148	224
+	140	217
+	4	144	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	55	185
+	53	197
+	54	186
+	4	55	185	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	54	186
+	57	174
+	55	185
+	4	54	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	44	225
+	50	255
+	43	225
+	4	44	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	51	256
+	43	225
+	50	255
+	4	51	256	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	76	168
+	77	154
+	72	169
+	4	76	168	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	77	154
+	76	168
+	81	154
+	4	77	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	54	223
+	54	197
+	55	223
+	4	54	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	54	197
+	54	223
+	53	197
+	4	54	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	173
+	104	186
+	105	175
+	4	102	173	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	189
+	105	175
+	104	186
+	4	105	189	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	208
+	157	217
+	150	210
+	4	148	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	220
+	150	210
+	157	217
+	4	156	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	52	161
+	53	150
+	49	160
+	4	52	161	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	53	150
+	52	161
+	56	150
+	4	53	150	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	46	172
+	48	161
+	45	172
+	4	46	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	48	161
+	46	172
+	49	160
+	4	48	161	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	310	171
+	298	185
+	311	173
+	4	310	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	298	185
+	310	171
+	296	183
+	4	298	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	161
+	329	152
+	323	159
+	4	324	161	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	159
+	311	173
+	324	161
+	4	323	159	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	53	197
+	55	185
+	54	197
+	4	53	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	294	180
+	305	166
+	292	178
+	4	294	180	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	344	161
+	339	166
+	346	161
+	4	344	161	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	339	166
+	344	161
+	337	167
+	4	339	166	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	317	154
+	307	169
+	320	156
+	4	317	154	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	307	169
+	317	154
+	305	166
+	4	307	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	154
+	79	169
+	84	155
+	4	81	154	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	82	171
+	84	155
+	79	169
+	4	82	171	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	339	175
+	329	177
+	336	172
+	4	339	175	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	172
+	329	173
+	336	169
+	4	336	172	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	173
+	336	172
+	329	177
+	4	329	173	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	344	212
+	363	202
+	346	210
+	4	344	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	363	199
+	346	210
+	363	202
+	4	363	199	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	359	193
+	345	203
+	362	196
+	4	359	193	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	345	203
+	359	193
+	343	200
+	4	345	203	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	143	329
+	120	310
+	142	332
+	4	143	329	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	120	310
+	143	329
+	122	307
+	4	120	310	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	329	177
+	339	175
+	332	180
+	4	329	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	341	177
+	332	180
+	339	175
+	4	341	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	326	149
+	323	159
+	329	152
+	4	326	149	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	203	222
+	218	221
+	205	221
+	4	203	222	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	220	222
+	205	221
+	218	221
+	4	220	222	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	341	177
+	351	171
+	344	177
+	4	341	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	352	169
+	344	177
+	351	171
+	4	352	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	225
+	43	197
+	44	225
+	4	43	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	323	159
+	326	149
+	320	156
+	4	323	159	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	98	184
+	95	173
+	95	186
+	4	98	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	95	173
+	98	184
+	99	172
+	4	95	173	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	56	174
+	55	185
+	57	174
+	4	56	174	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	57	174
+	58	163
+	56	174
+	4	57	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	169
+	81	154
+	76	168
+	4	79	169	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	42	197
+	44	184
+	43	197
+	4	42	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	44	184
+	42	197
+	43	184
+	4	44	184	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	146	222
+	140	217
+	148	224
+	4	146	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	140	217
+	146	222
+	139	214
+	4	140	217	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	216	232
+	205	233
+	218	233
+	4	216	232	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	205	233
+	216	232
+	202	231
+	4	205	233	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	56	150
+	55	162
+	59	152
+	4	56	150	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	58	163
+	59	152
+	55	162
+	4	58	163	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	244	213
+	259	206
+	245	211
+	4	244	213	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	207
+	245	211
+	259	206
+	4	261	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	99	172
+	102	185
+	102	173
+	4	99	172	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	104	186
+	102	173
+	102	185
+	4	104	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	173
+	323	159
+	310	171
+	4	311	173	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	166
+	294	180
+	307	169
+	4	305	166	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	43	197
+	43	225
+	42	197
+	4	43	197	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	262	217
+	249	222
+	263	217
+	4	262	217	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	249	222
+	262	217
+	247	222
+	4	249	222	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	55	162
+	56	150
+	52	161
+	4	55	162	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	207
+	155	215
+	148	208
+	4	145	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	217
+	148	208
+	155	215
+	4	157	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	60	253
+	51	225
+	57	254
+	4	60	253	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	51	225
+	60	253
+	54	224
+	4	51	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	102	185
+	99	172
+	98	184
+	4	102	185	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	112	313
+	136	336
+	114	314
+	4	112	313	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	335
+	114	314
+	136	336
+	4	139	335	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	55	162
+	56	174
+	58	163
+	4	55	162	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	346	210
+	363	199
+	346	206
+	4	346	210	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	362	196
+	346	206
+	363	199
+	4	362	196	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	346	206
+	362	196
+	345	203
+	4	346	206	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	81	175
+	76	183
+	77	175
+	4	81	175	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	72	182
+	77	175
+	76	183
+	4	72	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	175
+	72	182
+	74	174
+	4	77	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	169
+	296	183
+	310	171
+	4	307	169	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	296	183
+	307	169
+	294	180
+	4	296	183	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	169
+	329	172
+	337	167
+	4	336	169	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	329	172
+	336	169
+	329	173
+	4	329	172	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	320	156
+	310	171
+	323	159
+	4	320	156	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	185
+	54	197
+	55	185
+	4	54	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	55	185
+	56	174
+	54	185
+	4	55	185	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	278	207
+	262	209
+	277	204
+	4	278	207	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	262	209
+	278	207
+	264	213
+	4	262	209	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	261	207
+	277	204
+	262	209
+	4	261	207	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	310	171
+	320	156
+	307	169
+	4	310	171	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	43	225
+	51	256
+	44	225
+	4	43	225	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	54	255
+	44	225
+	51	256
+	4	54	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	44	184
+	45	172
+	43	184
+	4	44	184	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	45	172
+	44	184
+	46	172
+	4	45	172	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	279	210
+	264	213
+	278	207
+	4	279	210	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	264	213
+	279	210
+	264	216
+	4	264	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	181
+	74	174
+	72	182
+	4	69	181	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	74	174
+	69	181
+	71	172
+	4	74	174	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	332	180
+	341	177
+	334	182
+	4	332	180	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	344	177
+	334	182
+	341	177
+	4	344	177	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	142	332
+	117	312
+	139	335
+	4	142	332	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	117	312
+	142	332
+	120	310
+	4	117	312	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	55	223
+	53	197
+	54	224
+	4	55	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	53	197
+	55	223
+	54	197
+	4	53	197	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	219
+	139	214
+	146	222
+	4	147	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	214
+	147	219
+	139	211
+	4	139	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	49	172
+	49	160
+	46	172
+	4	49	172	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	49	160
+	49	172
+	52	161
+	4	49	160	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	225
+	216	222
+	203	222
+	4	201	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	218	221
+	203	222
+	216	222
+	4	218	221	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	114	314
+	139	335
+	117	312
+	4	114	314	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	346	161
+	342	168
+	349	163
+	4	346	161	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	342	168
+	346	161
+	339	166
+	4	342	168	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	76	183
+	81	175
+	79	183
+	4	76	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	174
+	79	183
+	81	175
+	4	82	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	197
+	54	185
+	53	197
+	4	54	197	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	141	208
+	152	214
+	145	207
+	4	141	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	215
+	145	207
+	152	214
+	4	155	215	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	344	177
+	352	169
+	345	175
+	4	344	177	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	352	166
+	345	175
+	352	169
+	4	352	166	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	215	229
+	202	231
+	216	232
+	4	215	229	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	202	231
+	215	229
+	201	228
+	4	202	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	309	288
+	289	282
+	310	284
+	4	309	288	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	282
+	309	288
+	288	286
+	4	289	282	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	311	291
+	288	286
+	309	288
+	4	311	291	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	310	284
+	291	280
+	313	282
+	4	310	284	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	291	280
+	310	284
+	289	282
+	4	291	280	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	127	204
+	128	216
+	124	206
+	4	127	204	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	217
+	124	206
+	128	216
+	4	124	217	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	124	206
+	124	217
+	120	207
+	4	124	206	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	57	254
+	47	225
+	54	255
+	4	57	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	47	225
+	57	254
+	51	225
+	4	47	225	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	332	180
+	322	181
+	329	177
+	4	332	180	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	177
+	321	178
+	329	173
+	4	329	177	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	321	178
+	329	177
+	322	181
+	4	321	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	44	225
+	42	197
+	43	225
+	4	44	225	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	53	173
+	54	185
+	56	174
+	4	53	173	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	56	174
+	55	162
+	53	173
+	4	56	174	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	206
+	275	201
+	261	207
+	4	259	206	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	277	204
+	261	207
+	275	201
+	4	277	204	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	244	216
+	259	208
+	244	213
+	4	244	216	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	259	206
+	244	213
+	259	208
+	4	259	206	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	44	225
+	54	255
+	47	225
+	4	44	225	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	52	161
+	53	173
+	55	162
+	4	52	161	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	128	216
+	127	204
+	131	214
+	4	128	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	201
+	131	214
+	127	204
+	4	128	201	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	43	197
+	43	184
+	42	197
+	4	43	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	43	184
+	43	197
+	44	184
+	4	43	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	322	181
+	332	180
+	324	184
+	4	322	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	334	182
+	324	184
+	332	180
+	4	334	182	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	149	216
+	139	211
+	147	219
+	4	149	216	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	139	211
+	149	216
+	141	208
+	4	139	211	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	260	214
+	247	222
+	262	217
+	4	260	214	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	247	222
+	260	214
+	245	219
+	4	247	222	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	152	214
+	141	208
+	149	216
+	4	152	214	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	279	212
+	264	216
+	279	210
+	4	279	212	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	264	216
+	279	212
+	263	217
+	4	264	216	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	179
+	71	172
+	69	181
+	4	69	179	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	172
+	69	179
+	71	170
+	4	71	172	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	53	173
+	52	161
+	49	172
+	4	53	173	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	201	228
+	215	225
+	201	225
+	4	201	228	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	216	222
+	201	225
+	215	225
+	4	216	222	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	288	286
+	311	291
+	289	289
+	4	288	286	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	313	293
+	289	289
+	311	291
+	4	313	293	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	216
+	120	207
+	124	217
+	4	122	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	207
+	122	216
+	117	205
+	4	120	207	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	215	225
+	201	228
+	215	229
+	4	215	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	42	197
+	44	225
+	43	197
+	4	42	197	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	349	163
+	344	171
+	352	166
+	4	349	163	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	344	171
+	349	163
+	342	168
+	4	344	171	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	337	167
+	332	172
+	339	166
+	4	337	167	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	332	172
+	337	167
+	329	172
+	4	332	172	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	345	175
+	352	166
+	344	171
+	4	345	175	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	235	228
+	221	225
+	235	224
+	4	235	228	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	221	225
+	235	228
+	221	229
+	4	221	225	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	220	222
+	235	224
+	221	225
+	4	220	222	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	234	231
+	221	229
+	235	228
+	4	234	231	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	221	229
+	234	231
+	220	232
+	4	221	229	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	313	282
+	294	279
+	316	282
+	4	313	282	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	294	279
+	313	282
+	291	280
+	4	294	279	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	47	184
+	46	172
+	44	184
+	4	47	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	46	172
+	47	184
+	49	172
+	4	46	172	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	334	182
+	344	177
+	336	182
+	4	334	182	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	345	175
+	336	182
+	344	177
+	4	345	175	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	333
+	177	315
+	200	330
+	4	197	333	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	177	315
+	197	333
+	174	317
+	4	177	315	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	196	336
+	174	317
+	197	333
+	4	196	336	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	191
+	101	206
+	100	193
+	4	103	191	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	97	206
+	100	193
+	101	206
+	4	97	206	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	100	193
+	97	206
+	96	192
+	4	100	193	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	51	184
+	53	197
+	54	185
+	4	51	184	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	185
+	53	173
+	51	184
+	4	54	185	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	329	173
+	322	176
+	329	172
+	4	329	173	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	322	176
+	329	173
+	321	178
+	4	322	176	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	82	171
+	81	181
+	82	174
+	4	82	171	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	79	183
+	82	174
+	81	181
+	4	79	183	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	198
+	132	211
+	128	201
+	4	127	198	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	131	214
+	128	201
+	132	211
+	4	131	214	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	245	219
+	259	211
+	244	216
+	4	245	219	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	208
+	244	216
+	259	211
+	4	259	208	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	211
+	245	219
+	260	214
+	4	259	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	54	224
+	49	197
+	51	225
+	4	54	224	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	197
+	54	224
+	53	197
+	4	49	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	183
+	75	192
+	76	183
+	4	79	183	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	191
+	76	183
+	75	192
+	4	71	191	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	183
+	71	191
+	72	182
+	4	76	183	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	324	184
+	334	182
+	326	187
+	4	324	184	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	336	182
+	326	187
+	334	182
+	4	336	182	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	205
+	96	192
+	97	206
+	4	95	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	192
+	95	205
+	94	190
+	4	96	192	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	101	206
+	103	191
+	104	205
+	4	101	206	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	105	189
+	104	205
+	103	191
+	4	105	189	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	49	172
+	51	184
+	53	173
+	4	49	172	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	174	317
+	196	336
+	172	321
+	4	174	317	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	196	339
+	172	321
+	196	336
+	4	196	339	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	200	330
+	179	314
+	203	330
+	4	200	330	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	179	314
+	200	330
+	177	315
+	4	179	314	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	324	184
+	315	186
+	322	181
+	4	324	184	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	322	181
+	314	183
+	321	178
+	4	322	181	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	314	183
+	322	181
+	315	186
+	4	314	183	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	201
+	277	204
+	292	197
+	4	293	201	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	277	204
+	293	201
+	278	207
+	4	277	204	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	275	201
+	292	197
+	277	204
+	4	275	201	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	218	221
+	234	221
+	220	222
+	4	218	221	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	224
+	220	222
+	234	221
+	4	235	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	186
+	324	184
+	317	189
+	4	315	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	326	187
+	317	189
+	324	184
+	4	326	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	53	197
+	51	184
+	49	197
+	4	53	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	295	203
+	278	207
+	293	201
+	4	295	203	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	278	207
+	295	203
+	279	210
+	4	278	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	190
+	72	182
+	71	191
+	4	68	190	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	182
+	68	190
+	69	181
+	4	72	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	121	214
+	117	205
+	122	216
+	4	121	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	117	205
+	121	214
+	116	203
+	4	117	205	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	117	306
+	103	281
+	120	305
+	4	117	306	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	103	281
+	117	306
+	100	282
+	4	103	281	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	309
+	100	282
+	117	306
+	4	114	309	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	51	184
+	49	172
+	47	184
+	4	51	184	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	289	289
+	313	293
+	291	291
+	4	289	289	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	316	293
+	291	291
+	313	293
+	4	316	293	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	259	208
+	274	200
+	259	206
+	4	259	208	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	201
+	259	206
+	274	200
+	4	275	201	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	47	225
+	43	197
+	44	225
+	4	47	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	46	197
+	44	184
+	43	197
+	4	46	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	44	184
+	46	197
+	47	184
+	4	44	184	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	232	232
+	220	232
+	234	231
+	4	232	232	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	220	232
+	232	232
+	218	233
+	4	220	232	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	75	192
+	79	183
+	78	191
+	4	75	192	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	81	181
+	78	191
+	79	183
+	4	81	181	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	71	178
+	71	170
+	69	179
+	4	71	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	71	170
+	71	178
+	72	169
+	4	71	170	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	278	211
+	263	217
+	279	212
+	4	278	211	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	263	217
+	278	211
+	262	217
+	4	263	217	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	100	282
+	114	309
+	96	284
+	4	100	282	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	112	311
+	96	284
+	114	309
+	4	112	311	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	316	282
+	296	281
+	318	284
+	4	316	282	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	296	281
+	316	282
+	294	279
+	4	296	281	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	43	197
+	47	225
+	46	197
+	4	43	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	339	166
+	334	174
+	342	168
+	4	339	166	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	334	174
+	339	166
+	332	172
+	4	334	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	197
+	131	209
+	127	198
+	4	124	197	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	211
+	127	198
+	131	209
+	4	132	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	47	184
+	49	197
+	51	184
+	4	47	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	120	305
+	105	281
+	122	305
+	4	120	305	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	105	281
+	120	305
+	103	281
+	4	105	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	189
+	307	190
+	315	186
+	4	317	189	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	315	186
+	306	187
+	314	183
+	4	315	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	187
+	315	186
+	307	190
+	4	306	187	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	321	178
+	314	181
+	322	176
+	4	321	178	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	314	181
+	321	178
+	314	183
+	4	314	181	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	274	200
+	290	194
+	275	201
+	4	274	200	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	292	197
+	275	201
+	290	194
+	4	292	197	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	51	225
+	46	197
+	47	225
+	4	51	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	46	197
+	51	225
+	49	197
+	4	46	197	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	202
+	94	190
+	95	205
+	4	94	202	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	94	190
+	94	202
+	93	188
+	4	94	190	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	336	182
+	345	175
+	337	180
+	4	336	182	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	344	171
+	337	180
+	345	175
+	4	344	171	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	186
+	106	203
+	105	189
+	4	104	186	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	104	205
+	105	189
+	106	203
+	4	104	205	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	317	189
+	326	187
+	319	191
+	4	317	189	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	307	190
+	317	189
+	309	193
+	4	307	190	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	319	191
+	309	193
+	317	189
+	4	319	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	79	169
+	80	180
+	82	171
+	4	79	169	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	181
+	82	171
+	80	180
+	4	81	181	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	339	209
+	320	211
+	338	205
+	4	339	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	338	205
+	320	208
+	338	202
+	4	338	205	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	320	208
+	338	205
+	320	211
+	4	320	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	49	197
+	47	184
+	46	197
+	4	49	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	329	172
+	324	177
+	332	172
+	4	329	172	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	324	177
+	329	172
+	322	176
+	4	324	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	257	319
+	236	307
+	259	316
+	4	257	319	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	236	307
+	257	319
+	234	310
+	4	236	307	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	257	323
+	234	310
+	257	319
+	4	257	323	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	320	211
+	339	209
+	321	215
+	4	320	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	341	211
+	321	215
+	339	209
+	4	341	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	172	321
+	196	339
+	172	323
+	4	172	321	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	198	341
+	172	323
+	196	339
+	4	198	341	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	203	330
+	181	316
+	204	332
+	4	203	330	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	181	316
+	203	330
+	179	314
+	4	181	316	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	326	187
+	336	182
+	328	187
+	4	326	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	328	187
+	319	191
+	326	187
+	4	328	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	295	204
+	279	210
+	295	203
+	4	295	204	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	279	210
+	295	204
+	279	212
+	4	279	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	309	193
+	292	197
+	307	190
+	4	309	193	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	292	197
+	309	193
+	293	201
+	4	292	197	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	290	194
+	307	190
+	292	197
+	4	290	194	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	307	190
+	290	194
+	306	187
+	4	307	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	188
+	69	181
+	68	190
+	4	68	188	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	181
+	68	188
+	69	179
+	4	69	181	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	156	220
+	163	231
+	154	223
+	4	156	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	160	233
+	154	223
+	163	231
+	4	160	233	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	154	223
+	160	233
+	151	225
+	4	154	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	122	211
+	116	203
+	121	214
+	4	122	211	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	116	203
+	122	211
+	117	200
+	4	116	203	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	259	316
+	239	305
+	262	314
+	4	259	316	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	239	305
+	259	316
+	236	307
+	4	239	305	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	163	231
+	156	220
+	165	228
+	4	163	231	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	157	217
+	165	228
+	156	220
+	4	157	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	195
+	293	201
+	309	193
+	4	311	195	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	201
+	311	195
+	295	203
+	4	293	201	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	216	222
+	232	220
+	218	221
+	4	216	222	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	221
+	218	221
+	232	220
+	4	234	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	337	180
+	328	187
+	336	182
+	4	337	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	309	193
+	319	191
+	311	195
+	4	309	193	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	291	291
+	316	293
+	293	291
+	4	291	291	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	318	291
+	293	291
+	316	293
+	4	318	291	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	200	235
+	189	227
+	201	231
+	4	200	235	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	189	227
+	200	235
+	188	231
+	4	189	227	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	189	224
+	201	231
+	189	227
+	4	189	224	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	198	237
+	188	231
+	200	235
+	4	198	237	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	188	231
+	198	237
+	185	233
+	4	188	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	180
+	80	190
+	81	181
+	4	80	180	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	78	191
+	81	181
+	80	190
+	4	78	191	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	177
+	72	169
+	71	178
+	4	74	177	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	72	169
+	74	177
+	76	168
+	4	72	169	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	234	310
+	257	323
+	234	314
+	4	234	310	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	325
+	234	314
+	257	323
+	4	259	325	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	342	168
+	336	177
+	344	171
+	4	342	168	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	336	177
+	342	168
+	334	174
+	4	336	177	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	231
+	218	233
+	232	232
+	4	231	231	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	218	233
+	231	231
+	216	232
+	4	218	233	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	78	191
+	75	201
+	75	192
+	4	78	191	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	71	201
+	75	192
+	75	201
+	4	71	201	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	75	192
+	71	201
+	71	191
+	4	75	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	318	284
+	297	285
+	319	287
+	4	318	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	297	285
+	318	284
+	296	281
+	4	297	285	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	314	183
+	306	185
+	314	181
+	4	314	183	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	306	185
+	314	183
+	306	187
+	4	306	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	96	284
+	112	311
+	94	286
+	4	96	284	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	313
+	94	286
+	112	311
+	4	112	313	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	337	180
+	344	171
+	336	177
+	4	337	180	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	338	202
+	322	206
+	340	200
+	4	338	202	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	322	206
+	338	202
+	320	208
+	4	322	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	120	198
+	129	208
+	124	197
+	4	120	198	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	209
+	124	197
+	129	208
+	4	131	209	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	211
+	274	201
+	259	208
+	4	259	211	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	274	200
+	259	208
+	274	201
+	4	274	200	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	330	248
+	309	246
+	329	244
+	4	330	248	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	329	244
+	311	242
+	331	241
+	4	329	244	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	311	242
+	329	244
+	309	246
+	4	311	242	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	309	246
+	330	248
+	310	249
+	4	309	246	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	332	251
+	310	249
+	330	248
+	4	332	251	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	232
+	151	225
+	160	233
+	4	157	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	151	225
+	157	232
+	148	224
+	4	151	225	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	76	168
+	78	178
+	79	169
+	4	76	168	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	180
+	79	169
+	78	178
+	4	80	180	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	321	215
+	341	211
+	323	217
+	4	321	215	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	344	212
+	323	217
+	341	211
+	4	344	212	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	276	208
+	262	217
+	278	211
+	4	276	208	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	262	217
+	276	208
+	260	214
+	4	262	217	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	319	191
+	328	187
+	320	192
+	4	319	191	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	320	192
+	311	195
+	319	191
+	4	320	192	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	155	215
+	166	225
+	157	217
+	4	155	215	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	165	228
+	157	217
+	166	225
+	4	165	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	290	193
+	306	187
+	290	194
+	4	290	193	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	290	194
+	274	200
+	290	193
+	4	290	194	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	200
+	71	191
+	71	201
+	4	68	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	191
+	68	200
+	68	190
+	4	71	191	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	125	208
+	117	200
+	122	211
+	4	125	208	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	117	200
+	125	208
+	120	198
+	4	117	200	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	200
+	93	188
+	94	202
+	4	96	200	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	93	188
+	96	200
+	95	186
+	4	93	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	187
+	290	193
+	306	185
+	4	306	187	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	122	305
+	105	282
+	122	307
+	4	122	305	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	105	282
+	122	305
+	105	281
+	4	105	282	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	185
+	106	200
+	104	186
+	4	102	185	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	203
+	104	186
+	106	200
+	4	106	203	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	187	222
+	201	228
+	189	224
+	4	187	222	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	201	231
+	189	224
+	201	228
+	4	201	231	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	293	291
+	318	291
+	296	289
+	4	293	291	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	319	287
+	296	289
+	318	291
+	4	319	287	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	75	201
+	78	191
+	78	200
+	4	75	201	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	80	190
+	78	200
+	78	191
+	4	80	190	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	78	178
+	76	168
+	74	177
+	4	78	178	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	262	314
+	241	306
+	265	315
+	4	262	314	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	241	306
+	262	314
+	239	305
+	4	241	306	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	129	208
+	120	198
+	125	208
+	4	129	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	296	289
+	319	287
+	297	285
+	4	296	289	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	322	176
+	315	182
+	324	177
+	4	322	176	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	315	182
+	322	176
+	314	181
+	4	315	182	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	196	238
+	185	233
+	198	237
+	4	196	238	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	185	233
+	196	238
+	183	234
+	4	185	233	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	312	196
+	295	203
+	311	195
+	4	312	196	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	295	203
+	312	196
+	295	204
+	4	295	203	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	274	201
+	290	193
+	274	200
+	4	274	201	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	311	195
+	320	192
+	312	196
+	4	311	195	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	172	323
+	198	341
+	173	325
+	4	172	323	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	200	341
+	173	325
+	198	341
+	4	200	341	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	204	332
+	180	319
+	204	335
+	4	204	332	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	180	319
+	204	332
+	181	316
+	4	180	319	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	332	172
+	326	179
+	334	174
+	4	332	172	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	326	179
+	332	172
+	324	177
+	4	326	179	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	331	241
+	313	241
+	333	240
+	4	331	241	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	313	241
+	331	241
+	311	242
+	4	313	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	310	249
+	332	251
+	311	252
+	4	310	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	334	252
+	311	252
+	332	251
+	4	334	252	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	215	225
+	230	221
+	216	222
+	4	215	225	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	232	220
+	216	222
+	230	221
+	4	232	220	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	328	187
+	337	180
+	329	185
+	4	328	187	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	329	185
+	320	192
+	328	187
+	4	329	185	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	295	203
+	279	212
+	295	204
+	4	295	203	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	212
+	295	203
+	278	211
+	4	279	212	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	187
+	69	179
+	68	188
+	4	69	187	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	179
+	69	187
+	71	178
+	4	69	179	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	260	214
+	275	204
+	259	211
+	4	260	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	274	201
+	259	211
+	275	204
+	4	274	201	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	234	314
+	259	325
+	234	316
+	4	234	314	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	261	326
+	234	316
+	259	325
+	4	261	326	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	177
+	329	185
+	337	180
+	4	336	177	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	204
+	260	214
+	276	208
+	4	275	204	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	250	227
+	235	224
+	250	223
+	4	250	227	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	224
+	250	227
+	235	228
+	4	235	224	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	234	221
+	250	223
+	235	224
+	4	234	221	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	230	228
+	216	232
+	231	231
+	4	230	228	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	216	232
+	230	228
+	215	229
+	4	216	232	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	156	230
+	148	224
+	157	232
+	4	156	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	148	224
+	156	230
+	146	222
+	4	148	224	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	250	230
+	235	228
+	250	227
+	4	250	230	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	235	228
+	250	230
+	234	231
+	4	235	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	340	200
+	324	206
+	343	200
+	4	340	200	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	324	206
+	340	200
+	322	206
+	4	324	206	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	78	178
+	79	188
+	80	180
+	4	78	178	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	190
+	80	180
+	79	188
+	4	80	190	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	152	214
+	164	222
+	155	215
+	4	152	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	166	225
+	155	215
+	164	222
+	4	166	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	99	199
+	95	186
+	96	200
+	4	99	199	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	95	186
+	99	199
+	98	184
+	4	95	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	184
+	103	199
+	102	185
+	4	98	184	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	106	200
+	102	185
+	103	199
+	4	106	200	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	314	181
+	307	186
+	315	182
+	4	314	181	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	307	186
+	314	181
+	306	185
+	4	307	186	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	286
+	112	313
+	94	288
+	4	94	286	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	114	314
+	94	288
+	112	313
+	4	114	314	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	67	199
+	68	190
+	68	200
+	4	67	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	190
+	67	199
+	68	188
+	4	68	190	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	184	222
+	199	226
+	187	222
+	4	184	222	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	201	228
+	187	222
+	199	226
+	4	201	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	323	217
+	344	212
+	325	218
+	4	323	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	346	210
+	325	218
+	344	212
+	4	346	210	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	78	200
+	75	211
+	75	201
+	4	78	200	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	211
+	75	201
+	75	211
+	4	72	211	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	201
+	72	211
+	71	201
+	4	75	201	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	188
+	80	199
+	80	190
+	4	79	188	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	78	200
+	80	190
+	80	199
+	4	78	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	199
+	98	184
+	99	199
+	4	103	199	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	236
+	183	234
+	196	238
+	4	194	236	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	183	234
+	194	236
+	181	232
+	4	183	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	265	315
+	242	309
+	266	318
+	4	265	315	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	242	309
+	265	315
+	241	306
+	4	242	309	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	334	174
+	328	182
+	336	177
+	4	334	174	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	328	182
+	334	174
+	326	179
+	4	328	182	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	215	229
+	230	224
+	215	225
+	4	215	229	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	221
+	215	225
+	230	224
+	4	230	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	320	192
+	329	185
+	320	190
+	4	320	192	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	320	190
+	312	196
+	320	192
+	4	320	190	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	290	194
+	306	185
+	290	193
+	4	290	194	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	290	193
+	274	201
+	290	194
+	4	290	193	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	173	325
+	200	341
+	176	324
+	4	173	325	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	203	338
+	176	324
+	200	341
+	4	203	338	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	204	335
+	178	322
+	203	338
+	4	204	335	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	178	322
+	204	335
+	180	319
+	4	178	322	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	232	220
+	249	220
+	234	221
+	4	232	220	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	250	223
+	234	221
+	249	220
+	4	250	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	329	185
+	336	177
+	328	182
+	4	329	185	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	230	224
+	215	229
+	230	228
+	4	230	224	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	306	185
+	290	194
+	307	186
+	4	306	185	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	307
+	102	284
+	120	310
+	4	122	307	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	102	284
+	122	307
+	105	282
+	4	102	284	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	69	211
+	71	201
+	72	211
+	4	69	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	71	201
+	69	211
+	68	200
+	4	71	201	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	333	240
+	315	242
+	336	241
+	4	333	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	315	242
+	333	240
+	313	241
+	4	315	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	75	211
+	78	200
+	79	210
+	4	75	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	80	199
+	79	210
+	78	200
+	4	80	199	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	252
+	334	252
+	313	254
+	4	311	252	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	337	251
+	313	254
+	334	252
+	4	337	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	324	177
+	317	184
+	326	179
+	4	324	177	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	317	184
+	324	177
+	315	182
+	4	317	184	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	275	204
+	290	194
+	274	201
+	4	275	204	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	187
+	71	178
+	69	187
+	4	73	187	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	71	178
+	73	187
+	74	177
+	4	71	178	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	249	231
+	234	231
+	250	230
+	4	249	231	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	231
+	249	231
+	232	232
+	4	234	231	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	312	195
+	295	204
+	312	196
+	4	312	195	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	204
+	312	195
+	295	203
+	4	295	204	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	324
+	203	338
+	178	322
+	4	176	324	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	234	316
+	261	326
+	237	317
+	4	234	316	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	264	325
+	237	317
+	261	326
+	4	264	325	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	131	214
+	135	228
+	128	216
+	4	131	214	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	229
+	128	216
+	135	228
+	4	131	229	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	128	216
+	131	229
+	124	217
+	4	128	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	227
+	146	222
+	156	230
+	4	156	227	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	146	222
+	156	227
+	147	219
+	4	146	222	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	312	196
+	320	190
+	312	195
+	4	312	196	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	149	216
+	162	222
+	152	214
+	4	149	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	222
+	152	214
+	162	222
+	4	164	222	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	74	177
+	77	187
+	78	178
+	4	74	177	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	79	188
+	78	178
+	77	187
+	4	79	188	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	328	182
+	320	190
+	329	185
+	4	328	182	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	135	228
+	131	214
+	138	226
+	4	135	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	132	211
+	138	226
+	131	214
+	4	132	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	200
+	278	211
+	295	203
+	4	293	200	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	278	211
+	293	200
+	276	208
+	4	278	211	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	343	200
+	326	209
+	345	203
+	4	343	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	326	209
+	343	200
+	324	206
+	4	326	209	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	100	282
+	90	256
+	103	281
+	4	100	282	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	90	256
+	100	282
+	87	257
+	4	90	256	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	96	284
+	87	257
+	100	282
+	4	96	284	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	181	225
+	197	226
+	184	222
+	4	181	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	199	226
+	184	222
+	197	226
+	4	199	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	104	205
+	103	213
+	101	206
+	4	104	205	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	214
+	101	206
+	103	213
+	4	99	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	206
+	99	214
+	97	206
+	4	101	206	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	77	187
+	74	177
+	73	187
+	4	77	187	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	94	288
+	114	314
+	96	288
+	4	94	288	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	117	312
+	96	288
+	114	314
+	4	117	312	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	325	218
+	346	210
+	327	216
+	4	325	218	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	346	206
+	327	216
+	346	210
+	4	346	206	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	210
+	79	233
+	75	211
+	4	79	210	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	234
+	75	211
+	79	233
+	4	75	234	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	75	211
+	75	234
+	72	211
+	4	75	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	194	233
+	181	232
+	194	236
+	4	194	233	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	181	232
+	194	233
+	180	228
+	4	181	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	228
+	124	217
+	131	229
+	4	129	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	124	217
+	129	228
+	122	216
+	4	124	217	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	266	318
+	241	312
+	266	322
+	4	266	318	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	241	312
+	266	318
+	242	309
+	4	241	312	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	159	224
+	147	219
+	156	227
+	4	159	224	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	147	219
+	159	224
+	149	216
+	4	147	219	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	69	198
+	68	188
+	67	199
+	4	69	198	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	68	188
+	69	198
+	69	187
+	4	68	188	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	315	182
+	309	189
+	317	184
+	4	315	182	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	309	189
+	315	182
+	307	186
+	4	309	189	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	162	222
+	149	216
+	159	224
+	4	162	222	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	87	257
+	96	284
+	84	259
+	4	87	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	94	286
+	84	259
+	96	284
+	4	94	286	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	120	310
+	99	286
+	117	312
+	4	120	310	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	99	286
+	120	310
+	102	284
+	4	99	286	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	213
+	104	205
+	106	212
+	4	103	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	106	203
+	106	212
+	104	205
+	4	106	203	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	326	179
+	319	187
+	328	182
+	4	326	179	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	319	187
+	326	179
+	317	184
+	4	319	187	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	103	281
+	92	256
+	105	281
+	4	103	281	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	92	256
+	103	281
+	90	256
+	4	92	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	213
+	97	206
+	99	214
+	4	96	213	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	97	206
+	96	213
+	95	205
+	4	97	206	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	221
+	248	219
+	232	220
+	4	230	221	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	220
+	232	220
+	248	219
+	4	249	220	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	77	187
+	79	198
+	79	188
+	4	77	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	199
+	79	188
+	79	198
+	4	80	199	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	237	317
+	264	325
+	239	315
+	4	237	317	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	266	322
+	239	315
+	264	325
+	4	266	322	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	276	208
+	292	197
+	275	204
+	4	276	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	290	194
+	275	204
+	292	197
+	4	290	194	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	336	241
+	317	245
+	338	244
+	4	336	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	317	245
+	336	241
+	315	242
+	4	317	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	68	210
+	68	200
+	69	211
+	4	68	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	68	200
+	68	210
+	67	199
+	4	68	200	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	320	190
+	328	182
+	319	187
+	4	320	190	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	131	209
+	139	223
+	132	211
+	4	131	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	226
+	132	211
+	139	223
+	4	138	226	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	313	254
+	337	251
+	316	253
+	4	313	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	338	248
+	316	253
+	337	251
+	4	338	248	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	79	198
+	80	209
+	80	199
+	4	79	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	79	210
+	80	199
+	80	209
+	4	79	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	292	197
+	276	208
+	293	200
+	4	292	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	234
+	72	211
+	75	234
+	4	73	234	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	72	211
+	73	234
+	69	211
+	4	72	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	319	187
+	312	195
+	320	190
+	4	319	187	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	79	233
+	79	210
+	82	232
+	4	79	233	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	80	209
+	82	232
+	79	210
+	4	80	209	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	96	288
+	117	312
+	99	286
+	4	96	288	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	180	228
+	195	229
+	181	225
+	4	180	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	226
+	181	225
+	195	229
+	4	197	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	292	197
+	307	186
+	290	194
+	4	292	197	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	239	315
+	266	322
+	241	312
+	4	239	315	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	345	203
+	327	213
+	346	206
+	4	345	203	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	327	213
+	345	203
+	326	209
+	4	327	213	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	195	229
+	180	228
+	194	233
+	4	195	229	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	307	186
+	292	197
+	309	189
+	4	307	186	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	327	216
+	346	206
+	327	213
+	4	327	216	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	230
+	232	232
+	249	231
+	4	247	230	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	232	232
+	247	230
+	231	231
+	4	232	232	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	321	215
+	311	213
+	320	211
+	4	321	215	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	320	211
+	311	210
+	320	208
+	4	320	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	210
+	320	211
+	311	213
+	4	311	210	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	310	192
+	295	203
+	312	195
+	4	310	192	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	203
+	310	192
+	293	200
+	4	295	203	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	312	195
+	319	187
+	310	192
+	4	312	195	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	311	213
+	321	215
+	312	217
+	4	311	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	323	217
+	312	217
+	321	215
+	4	323	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	226
+	250	223
+	266	222
+	4	267	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	223
+	267	226
+	250	227
+	4	250	223	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	220
+	266	222
+	250	223
+	4	249	220	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	239
+	201	231
+	215	235
+	4	214	239	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	201	231
+	214	239
+	200	235
+	4	201	231	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	201	228
+	215	235
+	201	231
+	4	201	228	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	128	226
+	122	216
+	129	228
+	4	128	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	122	216
+	128	226
+	121	214
+	4	122	216	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	338	244
+	317	249
+	338	248
+	4	338	244	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	317	249
+	338	244
+	317	245
+	4	317	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	316	253
+	338	248
+	317	249
+	4	316	253	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	212	241
+	200	235
+	214	239
+	4	212	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	200	235
+	212	241
+	198	237
+	4	200	235	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	317	184
+	310	192
+	319	187
+	4	317	184	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	310	192
+	317	184
+	309	189
+	4	310	192	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	200
+	108	210
+	106	203
+	4	106	200	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	106	212
+	106	203
+	108	210
+	4	106	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	228
+	250	227
+	267	226
+	4	267	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	250	227
+	267	228
+	250	230
+	4	250	227	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	197
+	69	187
+	69	198
+	4	73	197	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	187
+	73	197
+	73	187
+	4	69	187	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	211
+	95	205
+	96	213
+	4	96	211	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	95	205
+	96	211
+	94	202
+	4	95	205	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	259
+	94	286
+	81	260
+	4	84	259	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	94	288
+	81	260
+	94	286
+	4	94	288	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	73	187
+	76	197
+	77	187
+	4	73	187	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	79	198
+	77	187
+	76	197
+	4	79	198	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	174	239
+	165	228
+	176	236
+	4	174	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	165	228
+	174	239
+	163	231
+	4	165	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	166	225
+	176	236
+	165	228
+	4	166	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	241
+	163	231
+	174	239
+	4	171	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	163	231
+	171	241
+	160	233
+	4	163	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	129	208
+	138	221
+	131	209
+	4	129	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	139	223
+	131	209
+	138	221
+	4	139	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	293	200
+	309	189
+	292	197
+	4	293	200	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	320	208
+	312	208
+	322	206
+	4	320	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	312	208
+	320	208
+	311	210
+	4	312	208	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	281
+	92	256
+	105	282
+	4	105	281	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	256
+	105	281
+	92	256
+	4	92	256	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	82	232
+	87	257
+	79	233
+	4	82	232	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	84	259
+	79	233
+	87	257
+	4	84	259	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	79	233
+	84	259
+	75	234
+	4	79	233	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	87	257
+	82	232
+	90	256
+	4	87	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	309	189
+	293	200
+	310	192
+	4	309	189	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	72	234
+	69	211
+	73	234
+	4	72	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	69	211
+	72	234
+	68	210
+	4	69	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	199	226
+	215	232
+	201	228
+	4	199	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	215	235
+	201	228
+	215	232
+	4	215	235	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	224
+	247	220
+	230	221
+	4	230	224	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	248	219
+	230	221
+	247	220
+	4	248	219	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	80	208
+	84	231
+	80	209
+	4	80	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	232
+	80	209
+	84	231
+	4	82	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	80	209
+	79	198
+	80	208
+	4	80	209	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	248	219
+	266	219
+	249	220
+	4	248	219	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	266	222
+	249	220
+	266	219
+	4	266	222	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	70	209
+	67	199
+	68	210
+	4	70	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	67	199
+	70	209
+	69	198
+	4	67	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	76	197
+	73	187
+	73	197
+	4	76	197	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	106	212
+	105	221
+	103	213
+	4	106	212	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	222
+	103	213
+	105	221
+	4	101	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	103	213
+	101	222
+	99	214
+	4	103	213	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	312	217
+	323	217
+	314	220
+	4	312	217	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	325	218
+	314	220
+	323	217
+	4	325	218	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	76	197
+	80	208
+	79	198
+	4	76	197	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	174	317
+	156	296
+	177	315
+	4	174	317	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	156	296
+	174	317
+	153	299
+	4	156	296	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	172	321
+	153	299
+	174	317
+	4	172	321	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	211	242
+	198	237
+	212	241
+	4	211	242	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	198	237
+	211	242
+	196	238
+	4	198	237	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	247	227
+	231	231
+	247	230
+	4	247	227	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	231
+	247	227
+	230	228
+	4	231	231	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	81	260
+	75	234
+	84	259
+	4	81	260	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	75	234
+	81	260
+	73	234
+	4	75	234	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	84	231
+	90	256
+	82	232
+	4	84	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	312	217
+	302	216
+	311	213
+	4	312	217	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	311	213
+	302	212
+	311	210
+	4	311	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	212
+	311	213
+	302	216
+	4	302	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	90	256
+	84	231
+	92	256
+	4	90	256	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	164	222
+	177	233
+	166	225
+	4	164	222	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	176	236
+	166	225
+	177	233
+	4	176	236	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	105	221
+	106	212
+	108	220
+	4	105	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	210
+	108	220
+	106	212
+	4	108	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	129	224
+	121	214
+	128	226
+	4	129	224	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	214
+	129	224
+	122	211
+	4	121	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	266	229
+	250	230
+	267	228
+	4	266	229	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	250	230
+	266	229
+	249	231
+	4	250	230	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	241
+	160	233
+	171	241
+	4	169	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	233
+	169	241
+	157	232
+	4	160	233	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	177	315
+	158	296
+	179	314
+	4	177	315	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	158	296
+	177	315
+	156	296
+	4	158	296	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	302	216
+	312	217
+	303	219
+	4	302	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	314	220
+	303	219
+	312	217
+	4	314	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	288	286
+	267	277
+	289	282
+	4	288	286	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	267	277
+	288	286
+	266	281
+	4	267	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	289
+	266	281
+	288	286
+	4	289	289	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	289	282
+	269	274
+	291	280
+	4	289	282	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	274
+	289	282
+	267	277
+	4	269	274	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	103	199
+	107	208
+	106	200
+	4	103	199	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	210
+	106	200
+	107	208
+	4	108	210	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	221
+	99	214
+	101	222
+	4	98	221	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	99	214
+	98	221
+	96	213
+	4	99	214	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	153	299
+	172	321
+	151	302
+	4	153	299	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	172	323
+	151	302
+	172	321
+	4	172	323	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	125	208
+	136	220
+	129	208
+	4	125	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	221
+	129	208
+	136	220
+	4	138	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	97	209
+	94	202
+	96	211
+	4	97	209	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	94	202
+	97	209
+	96	200
+	4	94	202	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	228
+	246	223
+	230	224
+	4	230	228	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	220
+	230	224
+	246	223
+	4	247	220	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	223
+	230	228
+	247	227
+	4	246	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	223
+	266	222
+	284	219
+	4	285	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	266	222
+	285	223
+	267	226
+	4	266	222	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	266	219
+	284	219
+	266	222
+	4	266	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	311	210
+	303	211
+	312	208
+	4	311	210	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	211
+	311	210
+	302	212
+	4	303	211	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	197	226
+	214	230
+	199	226
+	4	197	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	215	232
+	199	226
+	214	230
+	4	215	232	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	260
+	94	288
+	81	261
+	4	81	260	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	96	288
+	81	261
+	94	288
+	4	96	288	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	322	206
+	314	209
+	324	206
+	4	322	206	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	314	209
+	322	206
+	312	208
+	4	314	209	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	132	221
+	122	211
+	129	224
+	4	132	221	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	122	211
+	132	221
+	125	208
+	4	122	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	303	219
+	293	218
+	302	216
+	4	303	219	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	302	216
+	293	214
+	302	212
+	4	302	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	214
+	302	216
+	293	218
+	4	293	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	73	209
+	69	198
+	70	209
+	4	73	209	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	69	198
+	73	209
+	73	197
+	4	69	198	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	226
+	267	226
+	285	223
+	4	285	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	267	226
+	285	226
+	267	228
+	4	267	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	220
+	265	217
+	248	219
+	4	247	220	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	266	219
+	248	219
+	265	217
+	4	266	219	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	281
+	289	289
+	266	284
+	4	266	281	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	291
+	266	284
+	289	289
+	4	291	291	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	73	197
+	77	208
+	76	197
+	4	73	197	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	80	208
+	76	197
+	77	208
+	4	80	208	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	136	220
+	125	208
+	132	221
+	4	136	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	105	282
+	89	258
+	102	284
+	4	105	282	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	89	258
+	105	282
+	92	256
+	4	89	258	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	291	280
+	271	274
+	294	279
+	4	291	280	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	271	274
+	291	280
+	269	274
+	4	271	274	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	107	208
+	110	218
+	108	210
+	4	107	208	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	108	220
+	108	210
+	110	218
+	4	108	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	74	234
+	68	210
+	72	234
+	4	74	234	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	68	210
+	74	234
+	70	209
+	4	68	210	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	303	219
+	314	220
+	304	222
+	4	303	219	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	293	218
+	303	219
+	294	221
+	4	293	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	222
+	294	221
+	303	219
+	4	304	222	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	77	208
+	84	231
+	80	208
+	4	77	208	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	84	231
+	80	208
+	84	231
+	4	84	231	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	209	240
+	196	238
+	211	242
+	4	209	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	196	238
+	209	240
+	194	236
+	4	196	238	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	314	220
+	325	218
+	315	220
+	4	314	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	327	216
+	315	220
+	325	218
+	4	327	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	162	222
+	176	231
+	164	222
+	4	162	222	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	177	233
+	164	222
+	176	231
+	4	177	233	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	315	220
+	304	222
+	314	220
+	4	315	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	81	261
+	73	234
+	81	260
+	4	81	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	73	234
+	81	261
+	72	234
+	4	73	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	84	231
+	92	256
+	84	231
+	4	84	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	239
+	157	232
+	169	241
+	4	168	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	157	232
+	168	239
+	156	230
+	4	157	232	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	179	314
+	159	296
+	181	316
+	4	179	314	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	159	296
+	179	314
+	158	296
+	4	159	296	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	92	256
+	84	231
+	92	256
+	4	92	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	99	199
+	104	207
+	103	199
+	4	99	199	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	107	208
+	103	199
+	104	207
+	4	107	208	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	310	249
+	299	246
+	309	246
+	4	310	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	309	246
+	300	243
+	311	242
+	4	309	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	300	243
+	309	246
+	299	246
+	4	300	243	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	221
+	284	219
+	293	218
+	4	294	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	218
+	284	216
+	293	214
+	4	293	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	216
+	293	218
+	284	219
+	4	284	216	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	77	208
+	73	197
+	73	209
+	4	77	208	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	299	246
+	310	249
+	299	250
+	4	299	246	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	311	252
+	299	250
+	310	249
+	4	311	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	207
+	96	200
+	97	209
+	4	101	207	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	96	200
+	101	207
+	99	199
+	4	96	200	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	98	220
+	96	213
+	98	221
+	4	98	220	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	96	213
+	98	220
+	96	211
+	4	96	213	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	265	217
+	284	216
+	266	219
+	4	265	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	219
+	266	219
+	284	216
+	4	284	219	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	219
+	294	221
+	285	223
+	4	284	219	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	266	228
+	249	231
+	266	229
+	4	266	228	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	249	231
+	266	228
+	247	230
+	4	249	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	151	302
+	172	323
+	150	304
+	4	151	302	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	325
+	150	304
+	172	323
+	4	173	325	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	221
+	304	222
+	295	224
+	4	294	221	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	224
+	285	223
+	294	221
+	4	295	224	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	220
+	108	230
+	105	221
+	4	108	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	231
+	105	221
+	108	230
+	4	104	231	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	221
+	104	231
+	101	222
+	4	105	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	302	212
+	293	213
+	303	211
+	4	302	212	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	213
+	302	212
+	293	214
+	4	293	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	223
+	295	224
+	285	226
+	4	285	223	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	104	207
+	99	199
+	101	207
+	4	104	207	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	226
+	144	241
+	135	228
+	4	138	226	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	242
+	135	228
+	144	241
+	4	141	242	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	135	228
+	141	242
+	131	229
+	4	135	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	108	230
+	108	220
+	111	228
+	4	108	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	218
+	111	228
+	108	220
+	4	110	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	234	310
+	213	295
+	236	307
+	4	234	310	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	295
+	234	310
+	211	298
+	4	213	295	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	234	314
+	211	298
+	234	310
+	4	234	314	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	144	241
+	138	226
+	147	238
+	4	144	241	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	223
+	147	238
+	138	226
+	4	139	223	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	227
+	267	228
+	285	226
+	4	285	227	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	267	228
+	285	227
+	266	229
+	4	267	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	229
+	212	230
+	197	226
+	4	195	229	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	230
+	197	226
+	212	230
+	4	214	230	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	81	261
+	96	288
+	82	260
+	4	81	261	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	99	286
+	82	260
+	96	288
+	4	99	286	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	311	242
+	302	241
+	313	241
+	4	311	242	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	302	241
+	311	242
+	300	243
+	4	302	241	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	236	307
+	216	293
+	239	305
+	4	236	307	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	216	293
+	236	307
+	213	295
+	4	216	293	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	312	208
+	304	211
+	314	209
+	4	312	208	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	304	211
+	312	208
+	303	211
+	4	304	211	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	293	214
+	283	214
+	293	213
+	4	293	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	283	214
+	293	214
+	284	216
+	4	283	214	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	304	222
+	315	220
+	305	223
+	4	304	222	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	305	223
+	295	224
+	304	222
+	4	305	223	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	324	206
+	315	212
+	326	209
+	4	324	206	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	315	212
+	324	206
+	314	209
+	4	315	212	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	102	284
+	86	259
+	99	286
+	4	102	284	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	86	259
+	102	284
+	89	258
+	4	86	259	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	266	284
+	291	291
+	267	286
+	4	266	284	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	293	291
+	267	286
+	291	291
+	4	293	291	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	101	230
+	101	222
+	104	231
+	4	101	230	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	101	222
+	101	230
+	98	221
+	4	101	222	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	284	216
+	265	217
+	283	214
+	4	284	216	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	279
+	272	276
+	296	281
+	4	294	279	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	272	276
+	294	279
+	271	274
+	4	272	276	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	299	250
+	311	252
+	301	253
+	4	299	250	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	313	254
+	301	253
+	311	252
+	4	313	254	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	230	242
+	215	235
+	231	239
+	4	230	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	215	235
+	230	242
+	214	239
+	4	215	235	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	215	232
+	231	239
+	215	235
+	4	215	232	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	77	233
+	70	209
+	74	234
+	4	77	233	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	70	209
+	77	233
+	73	209
+	4	70	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	224
+	174	231
+	162	222
+	4	159	224	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	176	231
+	162	222
+	174	231
+	4	176	231	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	209	237
+	194	236
+	209	240
+	4	209	237	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	194	236
+	209	237
+	194	233
+	4	194	236	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	73	209
+	81	232
+	77	208
+	4	73	209	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	84	231
+	77	208
+	81	232
+	4	84	231	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	104	207
+	109	216
+	107	208
+	4	104	207	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	218
+	107	208
+	109	216
+	4	110	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	169	236
+	156	230
+	168	239
+	4	169	236	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	230
+	169	236
+	156	227
+	4	156	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	246	223
+	265	218
+	247	220
+	4	246	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	265	217
+	247	220
+	265	218
+	4	265	217	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	315	220
+	327	216
+	316	219
+	4	315	220	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	327	213
+	316	219
+	327	216
+	4	327	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	245
+	214	239
+	230	242
+	4	229	245	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	239
+	229	245
+	212	241
+	4	214	239	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	138	242
+	131	229
+	141	242
+	4	138	242	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	229
+	138	242
+	129	228
+	4	131	229	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	82	260
+	99	286
+	86	259
+	4	82	260	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	211	298
+	234	314
+	210	302
+	4	211	298	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	234	316
+	210	302
+	234	314
+	4	234	316	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	224
+	305	223
+	295	225
+	4	295	224	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	295	225
+	285	226
+	295	224
+	4	295	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	181	316
+	158	299
+	180	319
+	4	181	316	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	158	299
+	181	316
+	159	296
+	4	158	299	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	316	219
+	305	223
+	315	220
+	4	316	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	226
+	295	225
+	285	227
+	4	285	226	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	221
+	148	236
+	139	223
+	4	138	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	238
+	139	223
+	148	236
+	4	147	238	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	82	260
+	72	234
+	81	261
+	4	82	260	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	72	234
+	82	260
+	74	234
+	4	72	234	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	100	218
+	96	211
+	98	220
+	4	100	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	96	211
+	100	218
+	97	209
+	4	96	211	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	81	232
+	92	256
+	84	231
+	4	81	232	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	81	232
+	73	209
+	77	233
+	4	81	232	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	92	256
+	81	232
+	89	258
+	4	92	256	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	265	225
+	247	230
+	266	228
+	4	265	225	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	230
+	265	225
+	247	227
+	4	247	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	265	218
+	283	214
+	265	217
+	4	265	218	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	194	233
+	210	233
+	195	229
+	4	194	233	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	230
+	195	229
+	210	233
+	4	212	230	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	109	216
+	113	226
+	110	218
+	4	109	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	228
+	110	218
+	113	226
+	4	111	228	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	150	304
+	173	325
+	151	305
+	4	150	304	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	176	324
+	151	305
+	173	325
+	4	176	324	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	210	233
+	194	233
+	209	237
+	4	210	233	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	214	230
+	231	235
+	215	232
+	4	214	230	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	239
+	215	232
+	231	235
+	4	231	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	239	305
+	217	294
+	241	306
+	4	239	305	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	217	294
+	239	305
+	216	293
+	4	217	294	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	303	211
+	294	213
+	304	211
+	4	303	211	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	294	213
+	303	211
+	293	213
+	4	294	213	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	156	227
+	171	233
+	159	224
+	4	156	227	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	231
+	159	224
+	171	233
+	4	174	231	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	171	233
+	156	227
+	169	236
+	4	171	233	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	326	209
+	316	215
+	327	213
+	4	326	209	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	316	215
+	326	209
+	315	212
+	4	316	215	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	219
+	327	213
+	316	215
+	4	316	219	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	228
+	111	239
+	108	230
+	4	111	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	240
+	108	230
+	111	239
+	4	108	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	230
+	108	240
+	104	231
+	4	108	230	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	313	241
+	304	242
+	315	242
+	4	313	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	242
+	313	241
+	302	241
+	4	304	242	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	299	250
+	289	246
+	299	246
+	4	299	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	299	246
+	290	242
+	300	243
+	4	299	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	290	242
+	299	246
+	289	246
+	4	290	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	188	248
+	176	236
+	190	245
+	4	188	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	176	236
+	188	248
+	174	239
+	4	176	236	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	177	233
+	190	245
+	176	236
+	4	177	233	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	247	227
+	265	221
+	246	223
+	4	247	227	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	265	218
+	246	223
+	265	221
+	4	265	218	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	267	286
+	293	291
+	269	286
+	4	267	286	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	296	289
+	269	286
+	293	291
+	4	296	289	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	228	246
+	212	241
+	229	245
+	4	228	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	241
+	228	246
+	211	242
+	4	212	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	229
+	98	221
+	101	230
+	4	101	229	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	98	221
+	101	229
+	98	220
+	4	98	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	250
+	174	239
+	188	248
+	4	185	250	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	174	239
+	185	250
+	171	241
+	4	174	239	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	111	239
+	111	228
+	114	237
+	4	111	239	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	113	226
+	114	237
+	111	228
+	4	113	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	225
+	266	229
+	285	227
+	4	285	225	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	266	229
+	285	225
+	266	228
+	4	266	229	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	296	281
+	272	279
+	297	285
+	4	296	281	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	272	279
+	296	281
+	272	276
+	4	272	279	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	289	246
+	299	250
+	289	249
+	4	289	246	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	301	253
+	289	249
+	299	250
+	4	301	253	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	207
+	107	216
+	104	207
+	4	101	207	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	109	216
+	104	207
+	107	216
+	4	109	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	293	213
+	284	215
+	294	213
+	4	293	213	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	284	215
+	293	213
+	283	214
+	4	284	215	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	301	253
+	313	254
+	302	254
+	4	301	253	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	316	253
+	302	254
+	313	254
+	4	316	253	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	265	221
+	247	227
+	265	225
+	4	265	221	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	314	209
+	305	214
+	315	212
+	4	314	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	305	214
+	314	209
+	304	211
+	4	305	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	283	214
+	265	218
+	284	215
+	4	283	214	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	305	223
+	316	219
+	306	221
+	4	305	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	306	221
+	295	225
+	305	223
+	4	306	221	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	240
+	129	228
+	138	242
+	4	138	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	129	228
+	138	240
+	128	226
+	4	129	228	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	103	216
+	97	209
+	100	218
+	4	103	216	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	97	209
+	103	216
+	101	207
+	4	97	209	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	210	302
+	234	316
+	210	304
+	4	210	302	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	317
+	210	304
+	234	316
+	4	237	317	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	240
+	104	231
+	108	240
+	4	106	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	104	231
+	106	240
+	101	230
+	4	104	231	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	180	319
+	156	302
+	178	322
+	4	180	319	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	156	302
+	180	319
+	158	299
+	4	156	302	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	136	220
+	148	234
+	138	221
+	4	136	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	236
+	138	221
+	148	234
+	4	148	236	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	86	259
+	74	234
+	82	260
+	4	86	259	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	74	234
+	86	259
+	77	233
+	4	74	234	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	316	215
+	306	221
+	316	219
+	4	316	215	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	151	305
+	176	324
+	153	304
+	4	151	305	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	178	322
+	153	304
+	176	324
+	4	178	322	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	77	233
+	89	258
+	81	232
+	4	77	233	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	300	243
+	291	241
+	302	241
+	4	300	243	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	291	241
+	300	243
+	290	242
+	4	291	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	107	216
+	101	207
+	103	216
+	4	107	216	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	89	258
+	77	233
+	86	259
+	4	89	258	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	231
+	191	241
+	177	233
+	4	176	231	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	190	245
+	177	233
+	191	241
+	4	190	245	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	153	299
+	138	276
+	156	296
+	4	153	299	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	276
+	153	299
+	135	278
+	4	138	276	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	151	302
+	135	278
+	153	299
+	4	151	302	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	295	225
+	306	221
+	296	223
+	4	295	225	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	296	223
+	285	227
+	295	225
+	4	296	223	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	286
+	296	289
+	271	283
+	4	269	286	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	297	285
+	271	283
+	296	289
+	4	297	285	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	271	283
+	297	285
+	272	279
+	4	271	283	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	251
+	171	241
+	185	250
+	4	183	251	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	241
+	183	251
+	169	241
+	4	171	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	230
+	231	234
+	214	230
+	4	212	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	231	235
+	214	230
+	231	234
+	4	231	235	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	107	216
+	112	225
+	109	216
+	4	107	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	113	226
+	109	216
+	112	225
+	4	113	226	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	285	227
+	296	223
+	285	225
+	4	285	227	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	241	306
+	218	296
+	242	309
+	4	241	306	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	218	296
+	241	306
+	217	294
+	4	218	296	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	221
+	284	215
+	265	218
+	4	265	221	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	153	304
+	178	322
+	156	302
+	4	153	304	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	156	296
+	141	275
+	158	296
+	4	156	296	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	141	275
+	156	296
+	138	276
+	4	141	275	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	112	225
+	116	235
+	113	226
+	4	112	225	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	237
+	113	226
+	116	235
+	4	114	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	114	237
+	121	258
+	111	239
+	4	114	237	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	118	260
+	111	239
+	121	258
+	4	118	260	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	111	239
+	118	260
+	108	240
+	4	111	239	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	289	249
+	301	253
+	290	253
+	4	289	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	254
+	290	253
+	301	253
+	4	302	254	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	304	211
+	295	216
+	305	214
+	4	304	211	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	216
+	304	211
+	294	213
+	4	295	216	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	315	242
+	305	245
+	317	245
+	4	315	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	305	245
+	315	242
+	304	242
+	4	305	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	315	212
+	306	218
+	316	215
+	4	315	212	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	306	218
+	315	212
+	305	214
+	4	306	218	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	121	258
+	114	237
+	125	256
+	4	121	258	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	235
+	125	256
+	114	237
+	4	116	235	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	135	278
+	151	302
+	133	281
+	4	135	278	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	150	304
+	133	281
+	151	302
+	4	150	304	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	221
+	316	215
+	306	218
+	4	306	221	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	227	244
+	211	242
+	228	246
+	4	227	244	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	211	242
+	227	244
+	209	240
+	4	211	242	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	302	254
+	316	253
+	304	253
+	4	302	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	317	249
+	304	253
+	316	253
+	4	317	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	103	227
+	98	220
+	101	229
+	4	103	227	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	98	220
+	103	227
+	100	218
+	4	98	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	285	222
+	266	228
+	285	225
+	4	285	222	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	266	228
+	285	222
+	265	225
+	4	266	228	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	289	249
+	279	245
+	289	246
+	4	289	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	289	246
+	279	242
+	290	242
+	4	289	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	279	242
+	289	246
+	279	245
+	4	279	242	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	239	244
+	231	239
+	240	240
+	4	239	244	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	231	239
+	239	244
+	230	242
+	4	231	239	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	231	235
+	240	240
+	231	239
+	4	231	235	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	238
+	128	226
+	138	240
+	4	139	238	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	128	226
+	139	238
+	129	224
+	4	128	226	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	306	218
+	296	223
+	306	221
+	4	306	218	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	294	213
+	284	218
+	295	216
+	4	294	213	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	218
+	294	213
+	284	215
+	4	284	218	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	279	245
+	289	249
+	278	249
+	4	279	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	290	253
+	278	249
+	289	249
+	4	290	253	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	247
+	230	242
+	239	244
+	4	238	247	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	230	242
+	238	247
+	229	245
+	4	230	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	105	239
+	101	230
+	106	240
+	4	105	239	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	101	230
+	105	239
+	101	229
+	4	101	230	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	210	304
+	237	317
+	212	304
+	4	210	304	psFillPoly
+	renderGC	0.187500	setForeground
+	renderGC
+	239	315
+	212	304
+	237	317
+	4	239	315	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	116	261
+	108	240
+	118	260
+	4	116	261	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	108	240
+	116	261
+	106	240
+	4	108	240	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	215
+	265	221
+	284	218
+	4	284	215	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	132	221
+	146	234
+	136	220
+	4	132	221	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	148	234
+	136	220
+	146	234
+	4	148	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	174	231
+	190	240
+	176	231
+	4	174	231	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	241
+	176	231
+	190	240
+	4	191	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	302	241
+	293	242
+	304	242
+	4	302	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	242
+	302	241
+	291	241
+	4	293	242	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	265	225
+	284	218
+	265	221
+	4	265	225	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	317	245
+	305	249
+	317	249
+	4	317	245	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	305	249
+	317	245
+	305	245
+	4	305	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	103	216
+	110	225
+	107	216
+	4	103	216	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	112	225
+	107	216
+	110	225
+	4	112	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	304	253
+	317	249
+	305	249
+	4	304	253	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	158	296
+	141	275
+	159	296
+	4	158	296	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	141	275
+	158	296
+	141	275
+	4	141	275	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	183	249
+	169	241
+	183	251
+	4	183	249	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	241
+	183	249
+	168	239
+	4	169	241	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	242	309
+	216	299
+	241	312
+	4	242	309	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	216	299
+	242	309
+	218	296
+	4	216	299	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	296	223
+	306	218
+	295	220
+	4	296	223	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	295	220
+	285	225
+	296	223
+	4	295	220	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	305	214
+	295	220
+	306	218
+	4	305	214	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	295	220
+	305	214
+	295	216
+	4	295	220	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	147	238
+	150	248
+	144	241
+	4	147	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	147	249
+	144	241
+	150	248
+	4	147	249	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	241
+	147	249
+	141	242
+	4	144	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	284	218
+	265	225
+	285	222
+	4	284	218	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	290	242
+	280	240
+	291	241
+	4	290	242	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	280	240
+	290	242
+	279	242
+	4	280	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	231	234
+	240	237
+	231	235
+	4	231	234	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	240	240
+	231	235
+	240	237
+	4	240	240	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	210	233
+	229	234
+	212	230
+	4	210	233	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	231	234
+	212	230
+	229	234
+	4	231	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	266	281
+	245	270
+	267	277
+	4	266	281	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	267	277
+	246	267
+	269	274
+	4	267	277	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	267
+	267	277
+	245	270
+	4	246	267	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	150	248
+	147	238
+	152	245
+	4	150	248	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	148	236
+	152	245
+	147	238
+	4	148	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	285	225
+	295	220
+	285	222
+	4	285	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	245	270
+	266	281
+	243	274
+	4	245	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	266	284
+	243	274
+	266	281
+	4	266	284	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	142	235
+	129	224
+	139	238
+	4	142	235	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	129	224
+	142	235
+	132	221
+	4	129	224	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	248	245
+	240	240
+	249	242
+	4	248	245	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	240	240
+	248	245
+	239	244
+	4	240	240	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	240	237
+	249	242
+	240	240
+	4	240	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	106	226
+	100	218
+	103	227
+	4	106	226	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	100	218
+	106	226
+	103	216
+	4	100	218	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	234
+	127	255
+	116	235
+	4	116	234	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	256
+	116	235
+	127	255
+	4	125	256	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	235
+	112	225
+	116	234
+	4	116	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	146	234
+	132	221
+	142	235
+	4	146	234	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	290	253
+	302	254
+	291	254
+	4	290	253	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	304	253
+	291	254
+	302	254
+	4	304	253	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	110	225
+	116	234
+	112	225
+	4	110	225	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	249
+	268	244
+	279	245
+	4	278	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	279	245
+	269	241
+	279	242
+	4	279	245	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	269	241
+	279	245
+	268	244
+	4	269	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	248	248
+	239	244
+	248	245
+	4	248	248	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	244
+	248	248
+	238	247
+	4	239	244	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	227	241
+	209	240
+	227	244
+	4	227	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	209	240
+	227	241
+	209	237
+	4	209	240	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	133	281
+	150	304
+	131	283
+	4	133	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	151	305
+	131	283
+	150	304
+	4	151	305	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	212	304
+	239	315
+	214	302
+	4	212	304	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	241	312
+	214	302
+	239	315
+	4	241	312	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	110	225
+	103	216
+	106	226
+	4	110	225	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	237	248
+	229	245
+	238	247
+	4	237	248	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	245
+	237	248
+	228	246
+	4	229	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	278	249
+	290	253
+	279	252
+	4	278	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	254
+	279	252
+	290	253
+	4	291	254	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	295	216
+	285	222
+	295	220
+	4	295	216	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	285	222
+	295	216
+	284	218
+	4	285	222	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	268	244
+	278	249
+	268	248
+	4	268	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	279	252
+	268	248
+	278	249
+	4	279	252	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	135	278
+	125	256
+	138	276
+	4	135	278	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	125	256
+	135	278
+	121	258
+	4	125	256	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	133	281
+	121	258
+	135	278
+	4	133	281	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	121	258
+	133	281
+	118	260
+	4	121	258	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	302
+	241	312
+	216	299
+	4	214	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	145	250
+	141	242
+	147	249
+	4	145	250	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	242
+	145	250
+	138	242
+	4	141	242	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	258	247
+	249	242
+	258	243
+	4	258	247	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	249	242
+	258	247
+	248	245
+	4	249	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	238
+	258	243
+	249	242
+	4	249	238	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	242
+	240	237
+	249	238
+	4	249	242	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	127	255
+	138	276
+	125	256
+	4	127	255	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	138	276
+	127	255
+	141	275
+	4	138	276	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	274
+	248	267
+	271	274
+	4	269	274	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	248	267
+	269	274
+	246	267
+	4	248	267	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	248
+	258	243
+	268	244
+	4	268	248	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	268	244
+	259	240
+	269	241
+	4	268	244	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	259	240
+	268	244
+	258	243
+	4	259	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	240	235
+	249	238
+	240	237
+	4	240	235	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	240	237
+	231	234
+	240	235
+	4	240	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	261
+	106	240
+	116	261
+	4	116	261	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	106	240
+	116	261
+	105	239
+	4	106	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	148	234
+	154	242
+	148	236
+	4	148	234	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	152	245
+	148	236
+	154	242
+	4	152	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	243	274
+	266	284
+	243	277
+	4	243	274	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	267	286
+	243	277
+	266	284
+	4	267	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	250
+	248	245
+	258	247
+	4	258	250	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	245
+	258	250
+	248	248
+	4	248	245	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	107	238
+	101	229
+	105	239
+	4	107	238	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	101	229
+	107	238
+	103	227
+	4	101	229	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	209	237
+	228	237
+	210	233
+	4	209	237	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	234
+	210	233
+	228	237
+	4	229	234	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	243
+	268	248
+	258	247
+	4	258	243	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	258	243
+	249	238
+	259	240
+	4	258	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	233
+	188	240
+	174	231
+	4	171	233	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	190	240
+	174	231
+	188	240
+	4	190	240	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	252
+	190	245
+	197	249
+	4	195	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	190	245
+	195	252
+	188	248
+	4	190	245	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	191	241
+	197	249
+	190	245
+	4	191	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	279	242
+	270	239
+	280	240
+	4	279	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	270	239
+	279	242
+	269	241
+	4	270	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	248
+	279	252
+	268	251
+	4	268	248	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	268	251
+	258	247
+	268	248
+	4	268	251	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	193	255
+	188	248
+	195	252
+	4	193	255	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	248
+	193	255
+	185	250
+	4	188	248	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	228	237
+	209	237
+	227	241
+	4	228	237	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	211	298
+	192	281
+	213	295
+	4	211	298	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	192	281
+	211	298
+	190	284
+	4	192	281	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	210	302
+	190	284
+	211	298
+	4	210	302	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	304	242
+	294	245
+	305	245
+	4	304	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	294	245
+	304	242
+	293	242
+	4	294	245	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	184	246
+	168	239
+	183	249
+	4	184	246	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	168	239
+	184	246
+	169	236
+	4	168	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	258	247
+	268	251
+	258	250
+	4	258	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	131	283
+	118	260
+	133	281
+	4	131	283	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	118	260
+	131	283
+	116	261
+	4	118	260	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	213	295
+	194	279
+	216	293
+	4	213	295	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	194	279
+	213	295
+	192	281
+	4	194	279	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	229	234
+	240	235
+	231	234
+	4	229	234	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	291	241
+	281	241
+	293	242
+	4	291	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	241
+	291	241
+	280	240
+	4	281	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	247	249
+	238	247
+	248	248
+	4	247	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	247
+	247	249
+	237	248
+	4	238	247	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	296
+	140	277
+	158	299
+	4	159	296	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	140	277
+	159	296
+	141	275
+	4	140	277	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	152	245
+	156	255
+	150	248
+	4	152	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	153	257
+	150	248
+	156	255
+	4	153	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	150	248
+	153	257
+	147	249
+	4	150	248	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	255
+	152	245
+	159	252
+	4	156	255	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	154	242
+	159	252
+	152	245
+	4	154	242	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	249	237
+	259	240
+	249	238
+	4	249	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	249	238
+	240	235
+	249	237
+	4	249	238	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	279	252
+	291	254
+	280	253
+	4	279	252	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	280	253
+	268	251
+	279	252
+	4	280	253	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	106	226
+	114	235
+	110	225
+	4	106	226	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	116	234
+	110	225
+	114	235
+	4	116	234	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	291	254
+	304	253
+	293	252
+	4	291	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	305	249
+	293	252
+	304	253
+	4	305	249	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	241
+	259	238
+	270	239
+	4	269	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	238
+	269	241
+	259	240
+	4	259	238	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	114	235
+	127	254
+	116	234
+	4	114	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	255
+	116	234
+	127	254
+	4	127	255	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	259	240
+	249	237
+	259	238
+	4	259	240	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	190	240
+	198	246
+	191	241
+	4	190	240	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	197	249
+	191	241
+	198	246
+	4	197	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	169	236
+	186	242
+	171	233
+	4	169	236	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	188	240
+	171	233
+	186	242
+	4	188	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	127	254
+	141	275
+	127	255
+	4	127	254	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	186	242
+	169	236
+	184	246
+	4	186	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	141	275
+	127	254
+	141	275
+	4	141	275	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	237	246
+	228	246
+	237	248
+	4	237	246	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	228	246
+	237	246
+	227	244
+	4	228	246	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	190	284
+	210	302
+	188	287
+	4	190	284	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	210	304
+	188	287
+	210	302
+	4	210	304	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	131	283
+	151	305
+	132	283
+	4	131	283	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	153	304
+	132	283
+	151	305
+	4	153	304	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	293	252
+	280	253
+	291	254
+	4	293	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	110	236
+	103	227
+	107	238
+	4	110	236	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	103	227
+	110	236
+	106	226
+	4	103	227	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	144	248
+	138	242
+	145	250
+	4	144	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	138	242
+	144	248
+	138	240
+	4	138	242	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	192	255
+	185	250
+	193	255
+	4	192	255	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	185	250
+	192	255
+	183	251
+	4	185	250	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	258	251
+	248	248
+	258	250
+	4	258	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	248	248
+	258	251
+	247	249
+	4	248	248	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	305	245
+	293	249
+	305	249
+	4	305	245	psFillPoly
+	renderGC	0.812500	setForeground
+	renderGC
+	293	249
+	305	245
+	294	245
+	4	293	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	268	251
+	280	253
+	269	252
+	4	268	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	269	252
+	258	250
+	268	251
+	4	269	252	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	293
+	195	279
+	217	294
+	4	216	293	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	195	279
+	216	293
+	194	279
+	4	195	279	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	271	274
+	248	268
+	272	276
+	4	271	274	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	268
+	271	274
+	248	267
+	4	248	268	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	204	257
+	197	249
+	206	253
+	4	204	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	197	249
+	204	257
+	195	252
+	4	197	249	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	198	246
+	206	253
+	197	249
+	4	198	246	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	146	234
+	154	241
+	148	234
+	4	146	234	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	154	242
+	148	234
+	154	241
+	4	154	242	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	114	235
+	106	226
+	110	236
+	4	114	235	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	151	257
+	147	249
+	153	257
+	4	151	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	147	249
+	151	257
+	145	250
+	4	147	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	239	236
+	249	237
+	240	235
+	4	239	236	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	240	235
+	229	234
+	239	236
+	4	240	235	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	258	250
+	269	252
+	258	251
+	4	258	250	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	293	252
+	305	249
+	293	249
+	4	293	252	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	277
+	267	286
+	243	279
+	4	243	277	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	286
+	243	279
+	267	286
+	4	269	286	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	202	259
+	195	252
+	204	257
+	4	202	259	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	195	252
+	202	259
+	193	255
+	4	195	252	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	154	241
+	160	250
+	154	242
+	4	154	241	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	159	252
+	154	242
+	160	250
+	4	159	252	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	259
+	105	239
+	116	261
+	4	118	259	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	105	239
+	118	259
+	107	238
+	4	105	239	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	280	240
+	270	240
+	281	241
+	4	280	240	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	270	240
+	280	240
+	270	239
+	4	270	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	132	283
+	116	261
+	131	283
+	4	132	283	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	116	261
+	132	283
+	116	261
+	4	116	261	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	159	252
+	163	262
+	156	255
+	4	159	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	264
+	156	255
+	163	262
+	4	161	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	156	255
+	161	264
+	153	257
+	4	156	255	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	163	262
+	159	252
+	166	259
+	4	163	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	160	250
+	166	259
+	159	252
+	4	160	250	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	158	299
+	137	280
+	156	302
+	4	158	299	psFillPoly
+	renderGC	1.000000	setForeground
+	renderGC
+	137	280
+	158	299
+	140	277
+	4	137	280	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	228	237
+	239	236
+	229	234
+	4	228	237	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	293	242
+	282	244
+	294	245
+	4	293	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	244
+	293	242
+	281	241
+	4	282	244	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	249	238
+	259	238
+	249	237
+	4	249	238	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	249	237
+	239	236
+	249	238
+	4	249	237	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	247	248
+	237	248
+	247	249
+	4	247	248	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	237	248
+	247	248
+	237	246
+	4	237	248	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	244
+	207	250
+	198	246
+	4	198	244	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	206	253
+	198	246
+	207	250
+	4	206	253	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	198	246
+	190	240
+	198	244
+	4	198	246	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	270	239
+	259	239
+	270	240
+	4	270	239	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	259	239
+	270	239
+	259	238
+	4	259	239	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	132	283
+	153	304
+	134	282
+	4	132	283	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	156	302
+	134	282
+	153	304
+	4	156	302	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	274
+	224	262
+	245	270
+	4	243	274	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	245	270
+	225	259
+	246	267
+	4	245	270	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	225	259
+	245	270
+	224	262
+	4	225	259	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	110	236
+	125	255
+	114	235
+	4	110	236	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	127	254
+	114	235
+	125	255
+	4	127	254	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	280	253
+	293	252
+	281	252
+	4	280	253	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	281	252
+	269	252
+	280	253
+	4	281	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	188	240
+	198	244
+	190	240
+	4	188	240	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	224	262
+	243	274
+	222	265
+	4	224	262	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	243	277
+	222	265
+	243	274
+	4	243	277	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	259	238
+	249	238
+	259	239
+	4	259	238	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	213	261
+	206	253
+	214	258
+	4	213	261	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	206	253
+	213	261
+	204	257
+	4	206	253	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	207	250
+	214	258
+	206	253
+	4	207	250	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	243
+	227	244
+	237	246
+	4	237	243	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	227	244
+	237	243
+	227	241
+	4	227	244	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	264
+	204	257
+	213	261
+	4	211	264	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	204	257
+	211	264
+	202	259
+	4	204	257	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	201	260
+	193	255
+	202	259
+	4	201	260	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	193	255
+	201	260
+	192	255
+	4	193	255	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	188	287
+	210	304
+	188	289
+	4	188	287	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	212	304
+	188	289
+	210	304
+	4	212	304	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	293	249
+	281	252
+	293	252
+	4	293	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	134	282
+	156	302
+	137	280
+	4	134	282	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	146	246
+	138	240
+	144	248
+	4	146	246	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	138	240
+	146	246
+	139	238
+	4	138	240	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	192	254
+	183	251
+	192	255
+	4	192	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	183	251
+	192	254
+	183	249
+	4	183	251	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	125	255
+	141	275
+	127	254
+	4	125	255	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	141	275
+	125	255
+	140	277
+	4	141	275	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	121	257
+	107	238
+	118	259
+	4	121	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	107	238
+	121	257
+	110	236
+	4	107	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	265
+	153	257
+	161	264
+	4	159	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	153	257
+	159	265
+	151	257
+	4	153	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	166	259
+	171	269
+	163	262
+	4	166	259	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	169	272
+	163	262
+	171	269
+	4	169	272	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	163	262
+	169	272
+	161	264
+	4	163	262	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	171	269
+	166	259
+	174	266
+	4	171	269	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	168	257
+	174	266
+	166	259
+	4	168	257	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	166	259
+	160	250
+	168	257
+	4	166	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	142	235
+	152	241
+	146	234
+	4	142	235	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	154	241
+	146	234
+	152	241
+	4	154	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	258	249
+	247	249
+	258	251
+	4	258	249	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	247	249
+	258	249
+	247	248
+	4	247	249	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	248
+	168	257
+	160	250
+	4	160	248	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	160	250
+	154	241
+	160	248
+	4	160	250	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	272	276
+	248	272
+	272	279
+	4	272	276	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	272
+	272	276
+	248	268
+	4	248	272	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	190	284
+	174	266
+	192	281
+	4	190	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	174	266
+	190	284
+	171	269
+	4	174	266	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	188	287
+	171	269
+	190	284
+	4	188	287	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	217	294
+	195	281
+	218	296
+	4	217	294	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	195	281
+	217	294
+	195	279
+	4	195	281	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	151	256
+	145	250
+	151	257
+	4	151	256	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	145	250
+	151	256
+	144	248
+	4	145	250	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	243	279
+	269	286
+	245	278
+	4	243	279	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	271	283
+	245	278
+	269	286
+	4	271	283	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	252
+	281	252
+	269	251
+	4	269	252	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	269	251
+	258	251
+	269	252
+	4	269	251	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	192	281
+	176	264
+	194	279
+	4	192	281	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	176	264
+	192	281
+	174	266
+	4	176	264	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	125	255
+	110	236
+	121	257
+	4	125	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	265
+	214	258
+	224	262
+	4	222	265	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	258
+	222	265
+	213	261
+	4	214	258	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	216	255
+	224	262
+	214	258
+	4	216	255	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	214	258
+	207	250
+	216	255
+	4	214	258	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	238	239
+	249	238
+	239	236
+	4	238	239	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	239	236
+	228	237
+	238	239
+	4	239	236	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	152	241
+	160	248
+	154	241
+	4	152	241	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	227	241
+	238	239
+	228	237
+	4	227	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	258	251
+	269	251
+	258	249
+	4	258	251	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	294	245
+	282	248
+	293	249
+	4	294	245	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	282	248
+	294	245
+	282	244
+	4	282	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	221	269
+	213	261
+	222	265
+	4	221	269	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	213	261
+	221	269
+	211	264
+	4	213	261	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	246	267
+	226	258
+	248	267
+	4	246	267	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	226	258
+	246	267
+	225	259
+	4	226	258	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	281	241
+	270	243
+	282	244
+	4	281	241	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	243
+	281	241
+	270	240
+	4	270	243	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	249
+	216	255
+	207	250
+	4	207	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	207	250
+	198	244
+	207	249
+	4	207	250	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	224	262
+	216	255
+	225	259
+	4	224	262	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	238	239
+	227	241
+	237	243
+	4	238	239	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	171	269
+	188	287
+	169	272
+	4	171	269	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	174	266
+	168	257
+	176	264
+	4	174	266	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	281	252
+	293	249
+	282	248
+	4	281	252	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	222	265
+	243	277
+	221	269
+	4	222	265	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	243	279
+	221	269
+	243	277
+	4	243	279	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	134	282
+	116	261
+	132	283
+	4	134	282	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	116	261
+	134	282
+	118	259
+	4	116	261	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	149	243
+	139	238
+	146	246
+	4	149	243	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	139	238
+	149	243
+	142	235
+	4	139	238	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	265
+	202	259
+	211	264
+	4	211	265	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	202	259
+	211	265
+	201	260
+	4	202	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	152	241
+	142	235
+	149	243
+	4	152	241	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	248	244
+	237	246
+	247	248
+	4	248	244	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	237	246
+	248	244
+	237	243
+	4	237	246	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	197	245
+	207	249
+	198	244
+	4	197	245	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	198	244
+	188	240
+	197	245
+	4	198	244	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	273
+	161	264
+	169	272
+	4	168	273	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	161	264
+	168	273
+	159	265
+	4	161	264	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	241
+	259	239
+	249	238
+	4	248	241	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	249	238
+	238	239
+	248	241
+	4	249	238	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	272	279
+	246	275
+	271	283
+	4	272	279	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	246	275
+	272	279
+	248	272
+	4	246	275	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	256
+	176	264
+	168	257
+	4	168	256	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	168	257
+	160	248
+	168	256
+	4	168	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	282	248
+	269	251
+	281	252
+	4	282	248	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	188	289
+	169	272
+	188	287
+	4	188	289	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	245	278
+	271	283
+	246	275
+	4	245	278	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	186	242
+	197	245
+	188	240
+	4	186	242	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	240
+	259	242
+	270	243
+	4	270	240	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	259	242
+	270	240
+	259	239
+	4	259	242	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	254
+	225	259
+	216	255
+	4	216	254	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	255
+	207	249
+	216	254
+	4	216	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	194	279
+	176	264
+	195	279
+	4	194	279	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	176	264
+	194	279
+	176	264
+	4	176	264	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	239
+	248	241
+	259	242
+	4	259	239	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	193	251
+	183	249
+	192	254
+	4	193	251	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	183	249
+	193	251
+	184	246
+	4	183	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	188	289
+	212	304
+	189	289
+	4	188	289	psFillPoly
+	renderGC	0.250000	setForeground
+	renderGC
+	214	302
+	189	289
+	212	304
+	4	214	302	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	201	259
+	192	255
+	201	260
+	4	201	259	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	192	255
+	201	259
+	192	254
+	4	192	255	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	225	259
+	216	254
+	226	258
+	4	225	259	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	237	243
+	248	241
+	238	239
+	4	237	243	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	121	257
+	140	277
+	125	255
+	4	121	257	psFillPoly
+	renderGC	0.937500	setForeground
+	renderGC
+	140	277
+	121	257
+	137	280
+	4	140	277	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	169	272
+	188	289
+	168	273
+	4	169	272	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	270
+	211	264
+	221	269
+	4	221	270	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	211	264
+	221	270
+	211	265
+	4	211	264	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	264
+	151	257
+	159	265
+	4	159	264	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	151	257
+	159	264
+	151	256
+	4	151	257	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	259	246
+	247	248
+	258	249
+	4	259	246	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	247	248
+	259	246
+	248	244
+	4	247	248	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	176	264
+	168	256
+	176	264
+	4	176	264	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	282	244
+	270	247
+	282	248
+	4	282	244	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	270	247
+	282	244
+	270	243
+	4	270	247	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	218	296
+	193	284
+	216	299
+	4	218	296	psFillPoly
+	renderGC	0.875000	setForeground
+	renderGC
+	193	284
+	218	296
+	195	281
+	4	193	284	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	248	241
+	237	243
+	248	244
+	4	248	241	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	159	249
+	168	256
+	160	248
+	4	159	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	160	248
+	152	241
+	159	249
+	4	160	248	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	153	254
+	144	248
+	151	256
+	4	153	254	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	144	248
+	153	254
+	146	246
+	4	144	248	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	221	269
+	243	279
+	221	270
+	4	221	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	269	251
+	282	248
+	270	247
+	4	269	251	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	270	247
+	258	249
+	269	251
+	4	270	247	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	149	243
+	159	249
+	152	241
+	4	149	243	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	258	249
+	270	247
+	259	246
+	4	258	249	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	137	280
+	118	259
+	134	282
+	4	137	280	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	118	259
+	137	280
+	121	257
+	4	118	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	248	267
+	226	259
+	248	268
+	4	248	267	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	226	259
+	248	267
+	226	258
+	4	226	259	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	206	250
+	216	254
+	207	249
+	4	206	250	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	207	249
+	197	245
+	206	250
+	4	207	249	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	184	246
+	195	247
+	186	242
+	4	184	246	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	197	245
+	186	242
+	195	247
+	4	197	245	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	248	244
+	259	242
+	248	241
+	4	248	244	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	195	247
+	184	246
+	193	251
+	4	195	247	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	245	278
+	221	270
+	243	279
+	4	245	278	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	270	243
+	259	246
+	270	247
+	4	270	243	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	246
+	270	243
+	259	242
+	4	259	246	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	189	289
+	214	302
+	191	287
+	4	189	289	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	216	299
+	191	287
+	214	302
+	4	216	299	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	259	242
+	248	244
+	259	246
+	4	259	242	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	211	264
+	201	260
+	211	265
+	4	211	264	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	201	260
+	211	264
+	201	259
+	4	201	260	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	191	287
+	216	299
+	193	284
+	4	191	287	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	195	247
+	206	250
+	197	245
+	4	195	247	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	169	273
+	159	265
+	168	273
+	4	169	273	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	159	265
+	169	273
+	159	264
+	4	159	265	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	257
+	176	264
+	168	256
+	4	167	257	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	168	256
+	159	249
+	167	257
+	4	168	256	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	189	289
+	168	273
+	188	289
+	4	189	289	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	156	251
+	146	246
+	153	254
+	4	156	251	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	146	246
+	156	251
+	149	243
+	4	146	246	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	215	254
+	226	258
+	216	254
+	4	215	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	216	254
+	206	250
+	215	254
+	4	216	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	159	249
+	149	243
+	156	251
+	4	159	249	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	195	279
+	175	265
+	195	281
+	4	195	279	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	175	265
+	195	279
+	176	264
+	4	175	265	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	202	256
+	192	254
+	201	259
+	4	202	256	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	192	254
+	202	256
+	193	251
+	4	192	254	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	226	258
+	215	254
+	226	259
+	4	226	258	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	168	273
+	189	289
+	169	273
+	4	168	273	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	161	262
+	151	256
+	159	264
+	4	161	262	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	151	256
+	161	262
+	153	254
+	4	151	256	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	222	269
+	211	265
+	221	270
+	4	222	269	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	211	265
+	222	269
+	211	264
+	4	211	265	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	156	251
+	167	257
+	159	249
+	4	156	251	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	176	264
+	167	257
+	175	265
+	4	176	264	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	221	270
+	245	278
+	222	269
+	4	221	270	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	248	268
+	225	262
+	248	272
+	4	248	268	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	225	262
+	248	268
+	226	259
+	4	225	262	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	251
+	204	252
+	195	247
+	4	193	251	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	206	250
+	195	247
+	204	252
+	4	206	250	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	204	252
+	215	254
+	206	250
+	4	204	252	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	204	252
+	193	251
+	202	256
+	4	204	252	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	246	275
+	222	269
+	245	278
+	4	246	275	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	212	261
+	201	259
+	211	264
+	4	212	261	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	201	259
+	212	261
+	202	256
+	4	201	259	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	164	259
+	153	254
+	161	262
+	4	164	259	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	153	254
+	164	259
+	156	251
+	4	153	254	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	167	257
+	156	251
+	164	259
+	4	167	257	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	171	271
+	159	264
+	169	273
+	4	171	271	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	159	264
+	171	271
+	161	262
+	4	159	264	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	164	259
+	175	265
+	167	257
+	4	164	259	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	191	287
+	169	273
+	189	289
+	4	191	287	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	214	257
+	226	259
+	215	254
+	4	214	257	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	215	254
+	204	252
+	214	257
+	4	215	254	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	195	281
+	173	268
+	193	284
+	4	195	281	psFillPoly
+	renderGC	0.750000	setForeground
+	renderGC
+	173	268
+	195	281
+	175	265
+	4	173	268	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	248	272
+	223	266
+	246	275
+	4	248	272	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	223	266
+	248	272
+	225	262
+	4	223	266	psFillPoly
+	renderGC	0.625000	setForeground
+	renderGC
+	226	259
+	214	257
+	225	262
+	4	226	259	psFillPoly
+	renderGC	0.437500	setForeground
+	renderGC
+	222	269
+	246	275
+	223	266
+	4	222	269	psFillPoly
+	renderGC	0.312500	setForeground
+	renderGC
+	169	273
+	191	287
+	171	271
+	4	169	273	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	223	266
+	211	264
+	222	269
+	4	223	266	psFillPoly
+	renderGC	0.375000	setForeground
+	renderGC
+	211	264
+	223	266
+	212	261
+	4	211	264	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	202	256
+	214	257
+	204	252
+	4	202	256	psFillPoly
+	renderGC	0.687500	setForeground
+	renderGC
+	175	265
+	164	259
+	173	268
+	4	175	265	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	214	257
+	202	256
+	212	261
+	4	214	257	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	173	268
+	161	262
+	171	271
+	4	173	268	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	161	262
+	173	268
+	164	259
+	4	161	262	psFillPoly
+	renderGC	0.500000	setForeground
+	renderGC
+	193	284
+	171	271
+	191	287
+	4	193	284	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	171	271
+	193	284
+	173	268
+	4	171	271	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	212	261
+	225	262
+	214	257
+	4	212	261	psFillPoly
+	renderGC	0.562500	setForeground
+	renderGC
+	225	262
+	212	261
+	223	266
+	4	225	262	psFillPoly
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/modbess.ps b/books/ps/modbess.ps
new file mode 100644
index 0000000..04f8c66
--- /dev/null
+++ b/books/ps/modbess.ps
@@ -0,0 +1,534 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+
+/psDrawIStr
+        {	gsave
+		newpath					%% for rectangle
+                loadFont
+
+		/window exch def			%% get window type
+
+                %% draw bounding box with background color
+                /str exch def				%% get text string
+                str stringwidth pop 1 sub               %% width
+                FontHeight 1 sub                        %% height
+                currentfont begin			%% get font height
+                        FontBBox
+                end
+                /ypos exch def pop			%% define ypos
+                neg ypos add /offset exch def pop
+                /offset ypos offset div FontHeight mul def %% define offset
+                /h exch def /w exch def			%% define h
+                /y0 exch def				%% define y0
+                /x0 exch def				%% define x0
+                w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+                BGcolor setgray fill	%% set background box color
+
+		x0 y0
+		window (title) eq 
+                {hVal}					%% print title text
+                {yVal} ifelse				%% print window text
+		moveto str 
+                FGcolor setgray show			%% set text color
+		end
+                grestore }
+        def
+
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+        {	gsave
+                newpath
+		yVal moveto
+                /sfactor 4 index 4 index div def
+                1 sfactor scale
+                6 5 roll			%%	 x on top of stack
+                3 index 2 div add               %% define x origin
+                6 5 roll			%%	 y on top of stack
+                6 5 roll			%%	 h on top of stack
+                2 div add yVal sfactor div      %% define y origin
+                5 4 roll			%%	 w on top of stack
+                2 div                           %% define radius
+                5 3 roll			%%	 a1 a2 now on top
+                1 index add
+                arcn                            %% draw clockwise arc
+                begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	300	85	0	85	psDrawLine
+	globalGC1	150	276	150	0	psDrawLine
+	unitGC	150	87	150	83	psDrawLine
+	unitGC	138	100	(0.00)	(window)	psDrawIStr
+	unitGC	203	87	203	83	psDrawLine
+	unitGC	191	100	(5.00)	(window)	psDrawIStr
+	unitGC	256	87	256	83	psDrawLine
+	unitGC	241	100	(10.00)	(window)	psDrawIStr
+	unitGC	96	87	96	83	psDrawLine
+	unitGC	81	100	(-5.00)	(window)	psDrawIStr
+	unitGC	42	87	42	83	psDrawLine
+	unitGC	24	100	(-10.00)	(window)	psDrawIStr
+	unitGC	152	27	148	27	psDrawLine
+	unitGC	105	32	(20.00)	(window)	psDrawIStr
+	unitGC	152	142	148	142	psDrawLine
+	unitGC	96	147	(-20.00)	(window)	psDrawIStr
+	unitGC	152	199	148	199	psDrawLine
+	unitGC	96	204	(-40.00)	(window)	psDrawIStr
+	unitGC	152	256	148	256	psDrawLine
+	unitGC	96	261	(-60.00)	(window)	psDrawIStr
+	globalGC1	19 84	3 3	0 360	20 85	psFillArc
+	globalGC1	20	85	20	85	psDrawLine
+	globalGC1	19 84	3 3	0 360	20 85	psFillArc
+	globalGC1	21	118	20	85	psDrawLine
+	globalGC1	20 117	3 3	0 360	21 118	psFillArc
+	globalGC1	21	147	21	118	psDrawLine
+	globalGC1	20 146	3 3	0 360	21 147	psFillArc
+	globalGC1	21	173	21	147	psDrawLine
+	globalGC1	20 172	3 3	0 360	21 173	psFillArc
+	globalGC1	22	195	21	173	psDrawLine
+	globalGC1	21 194	3 3	0 360	22 195	psFillArc
+	globalGC1	22	230	22	195	psDrawLine
+	globalGC1	21 229	3 3	0 360	22 230	psFillArc
+	globalGC1	23	252	22	230	psDrawLine
+	globalGC1	22 251	3 3	0 360	23 252	psFillArc
+	globalGC1	23	259	23	252	psDrawLine
+	globalGC1	22 258	3 3	0 360	23 259	psFillArc
+	globalGC1	24	264	23	259	psDrawLine
+	globalGC1	23 263	3 3	0 360	24 264	psFillArc
+	globalGC1	24	265	24	264	psDrawLine
+	globalGC1	23 264	3 3	0 360	24 265	psFillArc
+	globalGC1	24	266	24	265	psDrawLine
+	globalGC1	23 265	3 3	0 360	24 266	psFillArc
+	globalGC1	24	266	24	266	psDrawLine
+	globalGC1	23 265	3 3	0 360	24 266	psFillArc
+	globalGC1	24	266	24	266	psDrawLine
+	globalGC1	23 265	3 3	0 360	24 266	psFillArc
+	globalGC1	24	265	24	266	psDrawLine
+	globalGC1	23 264	3 3	0 360	24 265	psFillArc
+	globalGC1	25	263	24	265	psDrawLine
+	globalGC1	24 262	3 3	0 360	25 263	psFillArc
+	globalGC1	25	259	25	263	psDrawLine
+	globalGC1	24 258	3 3	0 360	25 259	psFillArc
+	globalGC1	26	246	25	259	psDrawLine
+	globalGC1	25 245	3 3	0 360	26 246	psFillArc
+	globalGC1	26	228	26	246	psDrawLine
+	globalGC1	25 227	3 3	0 360	26 228	psFillArc
+	globalGC1	27	208	26	228	psDrawLine
+	globalGC1	26 207	3 3	0 360	27 208	psFillArc
+	globalGC1	28	186	27	208	psDrawLine
+	globalGC1	27 185	3 3	0 360	28 186	psFillArc
+	globalGC1	28	163	28	186	psDrawLine
+	globalGC1	27 162	3 3	0 360	28 163	psFillArc
+	globalGC1	29	141	28	163	psDrawLine
+	globalGC1	28 140	3 3	0 360	29 141	psFillArc
+	globalGC1	30	120	29	141	psDrawLine
+	globalGC1	29 119	3 3	0 360	30 120	psFillArc
+	globalGC1	30	101	30	120	psDrawLine
+	globalGC1	29 100	3 3	0 360	30 101	psFillArc
+	globalGC1	31	85	30	101	psDrawLine
+	globalGC1	30 84	3 3	0 360	31 85	psFillArc
+	globalGC1	32	61	31	85	psDrawLine
+	globalGC1	31 60	3 3	0 360	32 61	psFillArc
+	globalGC1	33	53	32	61	psDrawLine
+	globalGC1	32 52	3 3	0 360	33 53	psFillArc
+	globalGC1	34	48	33	53	psDrawLine
+	globalGC1	33 47	3 3	0 360	34 48	psFillArc
+	globalGC1	34	47	34	48	psDrawLine
+	globalGC1	33 46	3 3	0 360	34 47	psFillArc
+	globalGC1	34	45	34	47	psDrawLine
+	globalGC1	33 44	3 3	0 360	34 45	psFillArc
+	globalGC1	35	45	34	45	psDrawLine
+	globalGC1	34 44	3 3	0 360	35 45	psFillArc
+	globalGC1	35	45	35	45	psDrawLine
+	globalGC1	34 44	3 3	0 360	35 45	psFillArc
+	globalGC1	35	45	35	45	psDrawLine
+	globalGC1	34 44	3 3	0 360	35 45	psFillArc
+	globalGC1	36	46	35	45	psDrawLine
+	globalGC1	35 45	3 3	0 360	36 46	psFillArc
+	globalGC1	36	49	36	46	psDrawLine
+	globalGC1	35 48	3 3	0 360	36 49	psFillArc
+	globalGC1	39	67	36	49	psDrawLine
+	globalGC1	38 66	3 3	0 360	39 67	psFillArc
+	globalGC1	42	85	39	67	psDrawLine
+	globalGC1	41 84	3 3	0 360	42 85	psFillArc
+	globalGC1	43	91	42	85	psDrawLine
+	globalGC1	42 90	3 3	0 360	43 91	psFillArc
+	globalGC1	44	93	43	91	psDrawLine
+	globalGC1	43 92	3 3	0 360	44 93	psFillArc
+	globalGC1	44	94	44	93	psDrawLine
+	globalGC1	43 93	3 3	0 360	44 94	psFillArc
+	globalGC1	45	95	44	94	psDrawLine
+	globalGC1	44 94	3 3	0 360	45 95	psFillArc
+	globalGC1	46	95	45	95	psDrawLine
+	globalGC1	45 94	3 3	0 360	46 95	psFillArc
+	globalGC1	47	94	46	95	psDrawLine
+	globalGC1	46 93	3 3	0 360	47 94	psFillArc
+	globalGC1	47	94	47	94	psDrawLine
+	globalGC1	46 93	3 3	0 360	47 94	psFillArc
+	globalGC1	49	92	47	94	psDrawLine
+	globalGC1	48 91	3 3	0 360	49 92	psFillArc
+	globalGC1	50	89	49	92	psDrawLine
+	globalGC1	49 88	3 3	0 360	50 89	psFillArc
+	globalGC1	51	87	50	89	psDrawLine
+	globalGC1	50 86	3 3	0 360	51 87	psFillArc
+	globalGC1	53	85	51	87	psDrawLine
+	globalGC1	52 84	3 3	0 360	53 85	psFillArc
+	globalGC1	53	84	53	85	psDrawLine
+	globalGC1	52 83	3 3	0 360	53 84	psFillArc
+	globalGC1	54	83	53	84	psDrawLine
+	globalGC1	53 82	3 3	0 360	54 83	psFillArc
+	globalGC1	55	83	54	83	psDrawLine
+	globalGC1	54 82	3 3	0 360	55 83	psFillArc
+	globalGC1	55	83	55	83	psDrawLine
+	globalGC1	54 82	3 3	0 360	55 83	psFillArc
+	globalGC1	57	82	55	83	psDrawLine
+	globalGC1	56 81	3 3	0 360	57 82	psFillArc
+	globalGC1	58	82	57	82	psDrawLine
+	globalGC1	57 81	3 3	0 360	58 82	psFillArc
+	globalGC1	59	83	58	82	psDrawLine
+	globalGC1	58 82	3 3	0 360	59 83	psFillArc
+	globalGC1	61	84	59	83	psDrawLine
+	globalGC1	60 83	3 3	0 360	61 84	psFillArc
+	globalGC1	63	85	61	84	psDrawLine
+	globalGC1	62 84	3 3	0 360	63 85	psFillArc
+	globalGC1	65	85	63	85	psDrawLine
+	globalGC1	64 84	3 3	0 360	65 85	psFillArc
+	globalGC1	66	85	65	85	psDrawLine
+	globalGC1	65 84	3 3	0 360	66 85	psFillArc
+	globalGC1	67	85	66	85	psDrawLine
+	globalGC1	66 84	3 3	0 360	67 85	psFillArc
+	globalGC1	69	85	67	85	psDrawLine
+	globalGC1	68 84	3 3	0 360	69 85	psFillArc
+	globalGC1	71	85	69	85	psDrawLine
+	globalGC1	70 84	3 3	0 360	71 85	psFillArc
+	globalGC1	74	84	71	85	psDrawLine
+	globalGC1	73 83	3 3	0 360	74 84	psFillArc
+	globalGC1	79	83	74	84	psDrawLine
+	globalGC1	78 82	3 3	0 360	79 83	psFillArc
+	globalGC1	85	83	79	83	psDrawLine
+	globalGC1	84 82	3 3	0 360	85 83	psFillArc
+	globalGC1	90	81	85	83	psDrawLine
+	globalGC1	89 80	3 3	0 360	90 81	psFillArc
+	globalGC1	96	79	90	81	psDrawLine
+	globalGC1	95 78	3 3	0 360	96 79	psFillArc
+	globalGC1	101	75	96	79	psDrawLine
+	globalGC1	100 74	3 3	0 360	101 75	psFillArc
+	globalGC1	106	70	101	75	psDrawLine
+	globalGC1	105 69	3 3	0 360	106 70	psFillArc
+	globalGC1	112	64	106	70	psDrawLine
+	globalGC1	111 63	3 3	0 360	112 64	psFillArc
+	globalGC1	117	56	112	64	psDrawLine
+	globalGC1	116 55	3 3	0 360	117 56	psFillArc
+	globalGC1	123	46	117	56	psDrawLine
+	globalGC1	122 45	3 3	0 360	123 46	psFillArc
+	globalGC1	128	35	123	46	psDrawLine
+	globalGC1	127 34	3 3	0 360	128 35	psFillArc
+	globalGC1	133	25	128	35	psDrawLine
+	globalGC1	132 24	3 3	0 360	133 25	psFillArc
+	globalGC1	139	16	133	25	psDrawLine
+	globalGC1	138 15	3 3	0 360	139 16	psFillArc
+	globalGC1	141	12	139	16	psDrawLine
+	globalGC1	140 11	3 3	0 360	141 12	psFillArc
+	globalGC1	144	9	141	12	psDrawLine
+	globalGC1	143 8	3 3	0 360	144 9	psFillArc
+	globalGC1	145	8	144	9	psDrawLine
+	globalGC1	144 7	3 3	0 360	145 8	psFillArc
+	globalGC1	147	8	145	8	psDrawLine
+	globalGC1	146 7	3 3	0 360	147 8	psFillArc
+	globalGC1	148	7	147	8	psDrawLine
+	globalGC1	147 6	3 3	0 360	148 7	psFillArc
+	globalGC1	150	7	148	7	psDrawLine
+	globalGC1	149 6	3 3	0 360	150 7	psFillArc
+	globalGC1	151	7	150	7	psDrawLine
+	globalGC1	150 6	3 3	0 360	151 7	psFillArc
+	globalGC1	152	8	151	7	psDrawLine
+	globalGC1	151 7	3 3	0 360	152 8	psFillArc
+	globalGC1	154	8	152	8	psDrawLine
+	globalGC1	153 7	3 3	0 360	154 8	psFillArc
+	globalGC1	155	9	154	8	psDrawLine
+	globalGC1	154 8	3 3	0 360	155 9	psFillArc
+	globalGC1	158	12	155	9	psDrawLine
+	globalGC1	157 11	3 3	0 360	158 12	psFillArc
+	globalGC1	160	16	158	12	psDrawLine
+	globalGC1	159 15	3 3	0 360	160 16	psFillArc
+	globalGC1	166	25	160	16	psDrawLine
+	globalGC1	165 24	3 3	0 360	166 25	psFillArc
+	globalGC1	171	35	166	25	psDrawLine
+	globalGC1	170 34	3 3	0 360	171 35	psFillArc
+	globalGC1	176	46	171	35	psDrawLine
+	globalGC1	175 45	3 3	0 360	176 46	psFillArc
+	globalGC1	182	56	176	46	psDrawLine
+	globalGC1	181 55	3 3	0 360	182 56	psFillArc
+	globalGC1	187	64	182	56	psDrawLine
+	globalGC1	186 63	3 3	0 360	187 64	psFillArc
+	globalGC1	193	70	187	64	psDrawLine
+	globalGC1	192 69	3 3	0 360	193 70	psFillArc
+	globalGC1	198	75	193	70	psDrawLine
+	globalGC1	197 74	3 3	0 360	198 75	psFillArc
+	globalGC1	203	79	198	75	psDrawLine
+	globalGC1	202 78	3 3	0 360	203 79	psFillArc
+	globalGC1	209	81	203	79	psDrawLine
+	globalGC1	208 80	3 3	0 360	209 81	psFillArc
+	globalGC1	214	83	209	81	psDrawLine
+	globalGC1	213 82	3 3	0 360	214 83	psFillArc
+	globalGC1	220	84	214	83	psDrawLine
+	globalGC1	219 83	3 3	0 360	220 84	psFillArc
+	globalGC1	225	84	220	84	psDrawLine
+	globalGC1	224 83	3 3	0 360	225 84	psFillArc
+	globalGC1	230	85	225	84	psDrawLine
+	globalGC1	229 84	3 3	0 360	230 85	psFillArc
+	globalGC1	236	85	230	85	psDrawLine
+	globalGC1	235 84	3 3	0 360	236 85	psFillArc
+	globalGC1	241	85	236	85	psDrawLine
+	globalGC1	240 84	3 3	0 360	241 85	psFillArc
+	globalGC1	246	85	241	85	psDrawLine
+	globalGC1	245 84	3 3	0 360	246 85	psFillArc
+	globalGC1	252	85	246	85	psDrawLine
+	globalGC1	251 84	3 3	0 360	252 85	psFillArc
+	globalGC1	257	85	252	85	psDrawLine
+	globalGC1	256 84	3 3	0 360	257 85	psFillArc
+	globalGC1	263	85	257	85	psDrawLine
+	globalGC1	262 84	3 3	0 360	263 85	psFillArc
+	globalGC1	268	85	263	85	psDrawLine
+	globalGC1	267 84	3 3	0 360	268 85	psFillArc
+	globalGC1	273	85	268	85	psDrawLine
+	globalGC1	272 84	3 3	0 360	273 85	psFillArc
+	globalGC1	279	85	273	85	psDrawLine
+	globalGC1	278 84	3 3	0 360	279 85	psFillArc
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/modbessc.ps b/books/ps/modbessc.ps
new file mode 100644
index 0000000..8a59e1d
--- /dev/null
+++ b/books/ps/modbessc.ps
@@ -0,0 +1,16338 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	67	207	216	93	psDrawLine
+	globGC	(X)	62	212	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	232	207	83	93	psDrawLine
+	globGC	(Y)	237	212	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	64	149	203	psDrawLine
+	globGC	(Z)	154	59	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.437500	setForeground
+	renderGC
+	138	74
+	145	68
+	142	69
+	4	138	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	68
+	142	69
+	3	138	74	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	149	65
+	142	69
+	145	68
+	4	149	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	69
+	145	68
+	3	149	65	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	142	69
+	149	65
+	146	62
+	4	142	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	65
+	146	62
+	3	142	69	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	134	77
+	141	71
+	138	74
+	4	134	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	71
+	138	74
+	3	134	77	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	68
+	138	74
+	141	71
+	4	145	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	74
+	141	71
+	3	145	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	62
+	153	62
+	149	56
+	4	146	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	62
+	149	56
+	3	146	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	62
+	146	62
+	149	65
+	4	153	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	62
+	149	65
+	3	153	62	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	65
+	157	65
+	153	62
+	4	149	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	65
+	153	62
+	3	149	65	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	129	75
+	137	72
+	134	77
+	4	129	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	72
+	134	77
+	3	129	75	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	141	71
+	134	77
+	137	72
+	4	141	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	77
+	137	72
+	3	141	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	67
+	162	67
+	157	65
+	4	154	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	67
+	157	65
+	3	154	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	157	65
+	149	65
+	154	67
+	4	157	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	65
+	154	67
+	3	157	65	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	68
+	154	67
+	149	65
+	4	145	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	67
+	149	65
+	3	145	68	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	71
+	149	69
+	145	68
+	4	141	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	69
+	145	68
+	3	141	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	67
+	145	68
+	149	69
+	4	154	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	68
+	149	69
+	3	154	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	68
+	166	69
+	162	67
+	4	158	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	69
+	162	67
+	3	158	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	67
+	154	67
+	158	68
+	4	162	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	67
+	158	68
+	3	162	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	69
+	158	68
+	154	67
+	4	149	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	68
+	154	67
+	3	149	69	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	72
+	145	70
+	141	71
+	4	137	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	141	71
+	3	137	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	69
+	141	71
+	145	70
+	4	149	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	71
+	145	70
+	3	149	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	70
+	170	71
+	166	69
+	4	162	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	71
+	166	69
+	3	162	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	69
+	158	68
+	162	70
+	4	166	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	68
+	162	70
+	3	166	69	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	68
+	133	70
+	129	75
+	4	125	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	70
+	129	75
+	3	125	68	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	137	72
+	129	75
+	133	70
+	4	137	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	75
+	133	70
+	3	137	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	70
+	154	69
+	149	69
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	69
+	149	69
+	3	145	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	68
+	149	69
+	154	69
+	4	158	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	69
+	154	69
+	3	158	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	69
+	162	70
+	158	68
+	4	154	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	70
+	158	68
+	3	154	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	70
+	141	70
+	137	72
+	4	133	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	70
+	137	72
+	3	133	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	70
+	137	72
+	141	70
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	72
+	141	70
+	3	145	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	71
+	174	72
+	170	71
+	4	166	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	72
+	170	71
+	3	166	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	71
+	162	70
+	166	71
+	4	170	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	70
+	166	71
+	3	170	71	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	70
+	149	70
+	145	70
+	4	141	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	145	70
+	3	141	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	69
+	145	70
+	149	70
+	4	154	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	149	70
+	3	154	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	70
+	166	71
+	162	70
+	4	158	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	71
+	162	70
+	3	158	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	70
+	154	69
+	158	70
+	4	162	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	69
+	158	70
+	3	162	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	70
+	158	70
+	154	69
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	70
+	154	69
+	3	149	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	73
+	179	74
+	174	72
+	4	170	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	74
+	174	72
+	3	170	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	72
+	166	71
+	170	73
+	4	174	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	71
+	170	73
+	3	174	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	72
+	170	73
+	166	71
+	4	162	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	73
+	166	71
+	3	162	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	71
+	158	70
+	162	72
+	4	166	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	70
+	162	72
+	3	166	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	71
+	162	72
+	158	70
+	4	154	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	72
+	158	70
+	3	154	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	70
+	149	70
+	154	71
+	4	158	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	154	71
+	3	158	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	128	66
+	137	69
+	133	70
+	4	128	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	69
+	133	70
+	3	128	66	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	70
+	133	70
+	137	69
+	4	141	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	70
+	137	69
+	3	141	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	70
+	125	68
+	128	66
+	4	133	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	68
+	128	66
+	3	133	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	69
+	145	70
+	141	70
+	4	137	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	141	70
+	3	137	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	70
+	141	70
+	145	70
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	70
+	145	70
+	3	149	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	70
+	154	71
+	149	70
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	71
+	149	70
+	3	145	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	58
+	128	66
+	125	68
+	4	120	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	66
+	125	68
+	3	120	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	75
+	183	76
+	179	74
+	4	175	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	76
+	179	74
+	3	175	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	179	74
+	170	73
+	175	75
+	4	179	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	73
+	175	75
+	3	179	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	74
+	175	75
+	170	73
+	4	166	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	75
+	170	73
+	3	166	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	73
+	162	72
+	166	74
+	4	170	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	72
+	166	74
+	3	170	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	72
+	166	74
+	162	72
+	4	158	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	74
+	162	72
+	3	158	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	72
+	154	71
+	158	72
+	4	162	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	71
+	158	72
+	3	162	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	71
+	158	72
+	154	71
+	4	149	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	72
+	154	71
+	3	149	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	71
+	145	70
+	149	71
+	4	154	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	149	71
+	3	154	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	77
+	187	78
+	183	76
+	4	179	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	78
+	183	76
+	3	179	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	76
+	175	75
+	179	77
+	4	183	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	75
+	179	77
+	3	183	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	69
+	149	71
+	145	70
+	4	141	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	71
+	145	70
+	3	141	69	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	70
+	137	69
+	141	69
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	69
+	141	69
+	3	145	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	76
+	179	77
+	175	75
+	4	171	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	77
+	175	75
+	3	171	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	75
+	166	74
+	171	76
+	4	175	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	74
+	171	76
+	3	175	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	66
+	141	69
+	137	69
+	4	132	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	69
+	137	69
+	3	132	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	69
+	128	66
+	132	66
+	4	137	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	66
+	132	66
+	3	137	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	74
+	171	76
+	166	74
+	4	162	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	76
+	166	74
+	3	162	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	74
+	158	72
+	162	74
+	4	166	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	72
+	162	74
+	3	166	74	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	72
+	162	74
+	158	72
+	4	154	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	74
+	158	72
+	3	154	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	158	72
+	149	71
+	154	72
+	4	158	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	71
+	154	72
+	3	158	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	79
+	192	81
+	187	78
+	4	183	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	81
+	187	78
+	3	183	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	78
+	179	77
+	183	79
+	4	187	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	77
+	183	79
+	3	187	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	59
+	132	66
+	128	66
+	4	124	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	66
+	128	66
+	3	124	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	66
+	120	58
+	124	59
+	4	128	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	58
+	124	59
+	3	128	66	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	78
+	183	79
+	179	77
+	4	175	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	79
+	179	77
+	3	175	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	179	77
+	171	76
+	175	78
+	4	179	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	76
+	175	78
+	3	179	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	70
+	154	72
+	149	71
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	72
+	149	71
+	3	145	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	71
+	141	69
+	145	70
+	4	149	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	69
+	145	70
+	3	149	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	76
+	175	78
+	171	76
+	4	167	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	78
+	171	76
+	3	167	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	76
+	162	74
+	167	76
+	4	171	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	74
+	167	76
+	3	171	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	67
+	145	70
+	141	69
+	4	137	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	141	69
+	3	137	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	69
+	132	66
+	137	67
+	4	141	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	66
+	137	67
+	3	141	69	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	82
+	196	83
+	192	81
+	4	188	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	83
+	192	81
+	3	188	82	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	192	81
+	183	79
+	188	82
+	4	192	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	79
+	188	82
+	3	192	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	75
+	167	76
+	162	74
+	4	158	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	76
+	162	74
+	3	158	75	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	162	74
+	154	72
+	158	75
+	4	162	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	72
+	158	75
+	3	162	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	80
+	188	82
+	183	79
+	4	180	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	82
+	183	79
+	3	180	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	183	79
+	175	78
+	180	80
+	4	183	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	78
+	180	80
+	3	183	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	72
+	158	75
+	154	72
+	4	149	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	75
+	154	72
+	3	149	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	72
+	145	70
+	149	72
+	4	154	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	70
+	149	72
+	3	154	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	79
+	180	80
+	175	78
+	4	171	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	80
+	175	78
+	3	171	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	175	78
+	167	76
+	171	79
+	4	175	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	76
+	171	79
+	3	175	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	61
+	137	67
+	132	66
+	4	128	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	67
+	132	66
+	3	128	61	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	66
+	124	59
+	128	61
+	4	132	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	59
+	128	61
+	3	132	66	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	84
+	201	86
+	196	83
+	4	193	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	86
+	196	83
+	3	193	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	196	83
+	188	82
+	193	84
+	4	196	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	82
+	193	84
+	3	196	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	77
+	171	79
+	167	76
+	4	162	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	79
+	167	76
+	3	162	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	76
+	158	75
+	162	77
+	4	167	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	75
+	162	77
+	3	167	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	114	46
+	124	59
+	120	58
+	4	114	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	59
+	120	58
+	3	114	46	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	141	69
+	149	72
+	145	70
+	4	141	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	72
+	145	70
+	3	141	69	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	70
+	137	67
+	141	69
+	4	145	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	67
+	141	69
+	3	145	70	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	184	83
+	193	84
+	188	82
+	4	184	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	84
+	188	82
+	3	184	83	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	188	82
+	180	80
+	184	83
+	4	188	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	80
+	184	83
+	3	188	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	75
+	162	77
+	158	75
+	4	154	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	77
+	158	75
+	3	154	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	75
+	149	72
+	154	75
+	4	158	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	72
+	154	75
+	3	158	75	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	81
+	184	83
+	180	80
+	4	175	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	83
+	180	80
+	3	175	81	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	180	80
+	171	79
+	175	81
+	4	180	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	79
+	175	81
+	3	180	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	87
+	206	89
+	201	86
+	4	197	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	89
+	201	86
+	3	197	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	201	86
+	193	84
+	197	87
+	4	201	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	84
+	197	87
+	3	201	86	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	64
+	141	69
+	137	67
+	4	132	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	69
+	137	67
+	3	132	64	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	67
+	128	61
+	132	64
+	4	137	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	61
+	132	64
+	3	137	67	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	80
+	175	81
+	171	79
+	4	167	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	81
+	171	79
+	3	167	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	171	79
+	162	77
+	167	80
+	4	171	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	77
+	167	80
+	3	171	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	86
+	197	87
+	193	84
+	4	189	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	87
+	193	84
+	3	189	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	193	84
+	184	83
+	189	86
+	4	193	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	83
+	189	86
+	3	193	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	71
+	154	75
+	149	72
+	4	145	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	75
+	149	72
+	3	145	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	72
+	141	69
+	145	71
+	4	149	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	69
+	145	71
+	3	149	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	50
+	128	61
+	124	59
+	4	118	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	61
+	124	59
+	3	118	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	124	59
+	114	46
+	118	50
+	4	124	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	46
+	118	50
+	3	124	59	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	77
+	167	80
+	162	77
+	4	158	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	80
+	162	77
+	3	158	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	162	77
+	154	75
+	158	77
+	4	162	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	75
+	158	77
+	3	162	77	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	84
+	189	86
+	184	83
+	4	180	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	86
+	184	83
+	3	180	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	184	83
+	175	81
+	180	84
+	4	184	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	81
+	180	84
+	3	184	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	90
+	210	92
+	206	89
+	4	202	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	92
+	206	89
+	3	202	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	89
+	197	87
+	202	90
+	4	206	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	87
+	202	90
+	3	206	89	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	171	82
+	180	84
+	175	81
+	4	171	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	84
+	175	81
+	3	171	82	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	175	81
+	167	80
+	171	82
+	4	175	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	80
+	171	82
+	3	175	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	89
+	202	90
+	197	87
+	4	193	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	90
+	197	87
+	3	193	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	87
+	189	86
+	193	89
+	4	197	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	86
+	193	89
+	3	197	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	67
+	145	71
+	141	69
+	4	136	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	71
+	141	69
+	3	136	67	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	69
+	132	64
+	136	67
+	4	141	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	64
+	136	67
+	3	141	69	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	74
+	158	77
+	154	75
+	4	149	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	77
+	154	75
+	3	149	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	75
+	145	71
+	149	74
+	4	154	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	71
+	149	74
+	3	154	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	87
+	193	89
+	189	86
+	4	185	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	89
+	189	86
+	3	185	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	86
+	180	84
+	185	87
+	4	189	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	84
+	185	87
+	3	189	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	80
+	171	82
+	167	80
+	4	163	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	82
+	167	80
+	3	163	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	80
+	158	77
+	163	80
+	4	167	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	77
+	163	80
+	3	167	80	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	55
+	132	64
+	128	61
+	4	123	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	64
+	128	61
+	3	123	55	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	61
+	118	50
+	123	55
+	4	128	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	50
+	123	55
+	3	128	61	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	93
+	215	95
+	210	92
+	4	207	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	95
+	210	92
+	3	207	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	92
+	202	90
+	207	93
+	4	210	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	90
+	207	93
+	3	210	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	85
+	185	87
+	180	84
+	4	176	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	87
+	180	84
+	3	176	85	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	180	84
+	171	82
+	176	85
+	4	180	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	82
+	176	85
+	3	180	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	91
+	207	93
+	202	90
+	4	198	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	93
+	202	90
+	3	198	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	90
+	193	89
+	198	91
+	4	202	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	89
+	198	91
+	3	202	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	141	70
+	149	74
+	145	71
+	4	141	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	74
+	145	71
+	3	141	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	71
+	136	67
+	141	70
+	4	145	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	67
+	141	70
+	3	145	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	77
+	163	80
+	158	77
+	4	154	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	80
+	158	77
+	3	154	77	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	77
+	149	74
+	154	77
+	4	158	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	74
+	154	77
+	3	158	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	90
+	198	91
+	193	89
+	4	189	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	91
+	193	89
+	3	189	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	89
+	185	87
+	189	90
+	4	193	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	87
+	189	90
+	3	193	89	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	83
+	176	85
+	171	82
+	4	167	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	85
+	171	82
+	3	167	83	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	171	82
+	163	80
+	167	83
+	4	171	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	80
+	167	83
+	3	171	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	96
+	220	98
+	215	95
+	4	211	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	98
+	215	95
+	3	211	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	95
+	207	93
+	211	96
+	4	215	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	93
+	211	96
+	3	215	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	60
+	136	67
+	132	64
+	4	127	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	67
+	132	64
+	3	127	60	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	64
+	123	55
+	127	60
+	4	132	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	55
+	127	60
+	3	132	64	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	88
+	189	90
+	185	87
+	4	181	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	90
+	185	87
+	3	181	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	185	87
+	176	85
+	181	88
+	4	185	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	85
+	181	88
+	3	185	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	94
+	211	96
+	207	93
+	4	203	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	96
+	207	93
+	3	203	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	93
+	198	91
+	203	94
+	4	207	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	91
+	203	94
+	3	207	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	74
+	154	77
+	149	74
+	4	145	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	77
+	149	74
+	3	145	74	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	74
+	141	70
+	145	74
+	4	149	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	70
+	145	74
+	3	149	74	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	81
+	167	83
+	163	80
+	4	158	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	83
+	163	80
+	3	158	81	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	163	80
+	154	77
+	158	81
+	4	163	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	77
+	158	81
+	3	163	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	99
+	225	101
+	220	98
+	4	216	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	101
+	220	98
+	3	216	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	98
+	211	96
+	216	99
+	4	220	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	96
+	216	99
+	3	220	98	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	64
+	141	70
+	136	67
+	4	132	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	70
+	136	67
+	3	132	64	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	67
+	127	60
+	132	64
+	4	136	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	60
+	132	64
+	3	136	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	93
+	203	94
+	198	91
+	4	194	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	94
+	198	91
+	3	194	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	91
+	189	90
+	194	93
+	4	198	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	90
+	194	93
+	3	198	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	86
+	181	88
+	176	85
+	4	172	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	88
+	176	85
+	3	172	86	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	176	85
+	167	83
+	172	86
+	4	176	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	83
+	172	86
+	3	176	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	98
+	216	99
+	211	96
+	4	208	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	99
+	211	96
+	3	208	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	96
+	203	94
+	208	98
+	4	211	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	94
+	208	98
+	3	211	96	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	77
+	158	81
+	154	77
+	4	149	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	81
+	154	77
+	3	149	77	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	154	77
+	145	74
+	149	77
+	4	154	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	74
+	149	77
+	3	154	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	91
+	194	93
+	189	90
+	4	185	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	93
+	189	90
+	3	185	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	90
+	181	88
+	185	91
+	4	189	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	88
+	185	91
+	3	189	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	32
+	118	50
+	114	46
+	4	108	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	50
+	114	46
+	3	108	32	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	163	84
+	172	86
+	167	83
+	4	163	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	86
+	167	83
+	3	163	84	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	167	83
+	158	81
+	163	84
+	4	167	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	81
+	163	84
+	3	167	83	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	69
+	145	74
+	141	70
+	4	136	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	74
+	141	70
+	3	136	69	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	141	70
+	132	64
+	136	69
+	4	141	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	64
+	136	69
+	3	141	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	103
+	230	105
+	225	101
+	4	221	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	105
+	225	101
+	3	221	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	101
+	216	99
+	221	103
+	4	225	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	99
+	221	103
+	3	225	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	96
+	208	98
+	203	94
+	4	199	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	98
+	203	94
+	3	199	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	94
+	194	93
+	199	96
+	4	203	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	93
+	199	96
+	3	203	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	89
+	185	91
+	181	88
+	4	176	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	91
+	181	88
+	3	176	89	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	181	88
+	172	86
+	176	89
+	4	181	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	86
+	176	89
+	3	181	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	113	41
+	123	55
+	118	50
+	4	113	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	55
+	118	50
+	3	113	41	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	50
+	108	32
+	113	41
+	4	118	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	32
+	113	41
+	3	118	50	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	154	81
+	163	84
+	158	81
+	4	154	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	84
+	158	81
+	3	154	81	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	158	81
+	149	77
+	154	81
+	4	158	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	77
+	154	81
+	3	158	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	101
+	221	103
+	216	99
+	4	212	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	103
+	216	99
+	3	212	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	99
+	208	98
+	212	101
+	4	216	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	98
+	212	101
+	3	216	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	49
+	127	60
+	123	55
+	4	118	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	60
+	123	55
+	3	118	49	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	123	55
+	113	41
+	118	49
+	4	123	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	41
+	118	49
+	3	123	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	94
+	199	96
+	194	93
+	4	190	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	96
+	194	93
+	3	190	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	93
+	185	91
+	190	94
+	4	194	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	91
+	190	94
+	3	194	93	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	73
+	149	77
+	145	74
+	4	140	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	77
+	145	74
+	3	140	73	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	74
+	136	69
+	140	73
+	4	145	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	69
+	140	73
+	3	145	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	87
+	176	89
+	172	86
+	4	167	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	89
+	172	86
+	3	167	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	172	86
+	163	84
+	167	87
+	4	172	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	84
+	167	87
+	3	172	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	106
+	235	109
+	230	105
+	4	226	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	109
+	230	105
+	3	226	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	230	105
+	221	103
+	226	106
+	4	230	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	103
+	226	106
+	3	230	105	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	122	56
+	132	64
+	127	60
+	4	122	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	64
+	127	60
+	3	122	56	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	60
+	118	49
+	122	56
+	4	127	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	49
+	122	56
+	3	127	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	99
+	212	101
+	208	98
+	4	204	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	101
+	208	98
+	3	204	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	98
+	199	96
+	204	99
+	4	208	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	96
+	204	99
+	3	208	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	92
+	190	94
+	185	91
+	4	181	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	94
+	185	91
+	3	181	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	185	91
+	176	89
+	181	92
+	4	185	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	89
+	181	92
+	3	185	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	85
+	167	87
+	163	84
+	4	159	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	87
+	163	84
+	3	159	85	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	163	84
+	154	81
+	159	85
+	4	163	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	81
+	159	85
+	3	163	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	217	104
+	226	106
+	221	103
+	4	217	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	106
+	221	103
+	3	217	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	103
+	212	101
+	217	104
+	4	221	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	101
+	217	104
+	3	221	103	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	78
+	154	81
+	149	77
+	4	145	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	81
+	149	77
+	3	145	78	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	77
+	140	73
+	145	78
+	4	149	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	73
+	145	78
+	3	149	77	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	62
+	136	69
+	132	64
+	4	127	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	69
+	132	64
+	3	127	62	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	64
+	122	56
+	127	62
+	4	132	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	56
+	127	62
+	3	132	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	110
+	240	113
+	235	109
+	4	231	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	113
+	235	109
+	3	231	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	109
+	226	106
+	231	110
+	4	235	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	106
+	231	110
+	3	235	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	97
+	204	99
+	199	96
+	4	195	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	99
+	199	96
+	3	195	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	96
+	190	94
+	195	97
+	4	199	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	94
+	195	97
+	3	199	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	90
+	181	92
+	176	89
+	4	172	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	92
+	176	89
+	3	172	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	176	89
+	167	87
+	172	90
+	4	176	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	87
+	172	90
+	3	176	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	102
+	217	104
+	212	101
+	4	208	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	104
+	212	101
+	3	208	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	101
+	204	99
+	208	102
+	4	212	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	99
+	208	102
+	3	212	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	68
+	140	73
+	136	69
+	4	131	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	73
+	136	69
+	3	131	68	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	69
+	127	62
+	131	68
+	4	136	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	62
+	131	68
+	3	136	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	96
+	195	97
+	190	94
+	4	186	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	97
+	190	94
+	3	186	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	94
+	181	92
+	186	96
+	4	190	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	92
+	186	96
+	3	190	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	82
+	159	85
+	154	81
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	85
+	154	81
+	3	149	82	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	154	81
+	145	78
+	149	82
+	4	154	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	78
+	149	82
+	3	154	81	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	108
+	231	110
+	226	106
+	4	222	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	110
+	226	106
+	3	222	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	106
+	217	104
+	222	108
+	4	226	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	104
+	222	108
+	3	226	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	114
+	244	117
+	240	113
+	4	236	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	117
+	240	113
+	3	236	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	113
+	231	110
+	236	114
+	4	240	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	110
+	236	114
+	3	240	113	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	88
+	172	90
+	167	87
+	4	163	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	90
+	167	87
+	3	163	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	167	87
+	159	85
+	163	88
+	4	167	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	85
+	163	88
+	3	167	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	100
+	208	102
+	204	99
+	4	200	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	102
+	204	99
+	3	200	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	99
+	195	97
+	200	100
+	4	204	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	97
+	200	100
+	3	204	99	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	73
+	145	78
+	140	73
+	4	136	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	78
+	140	73
+	3	136	73	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	73
+	131	68
+	136	73
+	4	140	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	68
+	136	73
+	3	140	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	94
+	186	96
+	181	92
+	4	177	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	96
+	181	92
+	3	177	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	181	92
+	172	90
+	177	94
+	4	181	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	90
+	177	94
+	3	181	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	106
+	222	108
+	217	104
+	4	213	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	108
+	217	104
+	3	213	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	104
+	208	102
+	213	106
+	4	217	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	102
+	213	106
+	3	217	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	118
+	249	121
+	244	117
+	4	241	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	121
+	244	117
+	3	241	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	117
+	236	114
+	241	118
+	4	244	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	114
+	241	118
+	3	244	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	86
+	163	88
+	159	85
+	4	154	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	88
+	159	85
+	3	154	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	85
+	149	82
+	154	86
+	4	159	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	154	86
+	3	159	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	112
+	236	114
+	231	110
+	4	227	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	114
+	231	110
+	3	227	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	110
+	222	108
+	227	112
+	4	231	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	108
+	227	112
+	3	231	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	99
+	200	100
+	195	97
+	4	191	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	100
+	195	97
+	3	191	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	97
+	186	96
+	191	99
+	4	195	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	96
+	191	99
+	3	195	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	78
+	149	82
+	145	78
+	4	140	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	145	78
+	3	140	78	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	145	78
+	136	73
+	140	78
+	4	145	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	73
+	140	78
+	3	145	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	92
+	177	94
+	172	90
+	4	168	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	94
+	172	90
+	3	168	92	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	90
+	163	88
+	168	92
+	4	172	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	88
+	168	92
+	3	172	90	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	31	147
+	39	141
+	36	141
+	4	31	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	141
+	36	141
+	3	31	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	43	134
+	36	141
+	39	141
+	4	43	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	141
+	39	141
+	3	43	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	36	141
+	43	134
+	41	134
+	4	36	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	134
+	41	134
+	3	36	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	104
+	213	106
+	208	102
+	4	205	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	106
+	208	102
+	3	205	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	102
+	200	100
+	205	104
+	4	208	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	100
+	205	104
+	3	208	102	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	48	126
+	41	134
+	43	134
+	4	48	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	134
+	43	134
+	3	48	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	41	134
+	48	126
+	45	126
+	4	41	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	126
+	45	126
+	3	41	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	26	152
+	34	147
+	31	147
+	4	26	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	147
+	31	147
+	3	26	152	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	39	141
+	31	147
+	34	147
+	4	39	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	147
+	34	147
+	3	39	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	97
+	191	99
+	186	96
+	4	182	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	99
+	186	96
+	3	182	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	96
+	177	94
+	182	97
+	4	186	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	94
+	182	97
+	3	186	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	246	123
+	254	126
+	249	121
+	4	246	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	126
+	249	121
+	3	246	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	121
+	241	118
+	246	123
+	4	249	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	118
+	246	123
+	3	249	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	109
+	227	112
+	222	108
+	4	218	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	112
+	222	108
+	3	218	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	222	108
+	213	106
+	218	109
+	4	222	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	106
+	218	109
+	3	222	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	115
+	241	118
+	236	114
+	4	232	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	118
+	236	114
+	3	232	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	114
+	227	112
+	232	115
+	4	236	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	112
+	232	115
+	3	236	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	90
+	168	92
+	163	88
+	4	159	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	92
+	163	88
+	3	159	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	88
+	154	86
+	159	90
+	4	163	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	86
+	159	90
+	3	163	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	83
+	154	86
+	149	82
+	4	145	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	86
+	149	82
+	3	145	83	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	82
+	140	78
+	145	83
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	78
+	145	83
+	3	149	82	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	117	53
+	127	62
+	122	56
+	4	117	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	62
+	122	56
+	3	117	53	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	122	56
+	112	44
+	117	53
+	4	122	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	44
+	117	53
+	3	122	56	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	44
+	122	56
+	118	49
+	4	112	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	56
+	118	49
+	3	112	44	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	122	61
+	131	68
+	127	62
+	4	122	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	68
+	127	62
+	3	122	61	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	127	62
+	117	53
+	122	61
+	4	127	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	53
+	122	61
+	3	127	62	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	118	49
+	107	33
+	112	44
+	4	118	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	33
+	112	44
+	3	118	49	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	107	33
+	118	49
+	113	41
+	4	107	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	49
+	113	41
+	3	107	33	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	34	147
+	26	152
+	29	152
+	4	34	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	152
+	29	152
+	3	34	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	102
+	205	104
+	200	100
+	4	196	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	104
+	200	100
+	3	196	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	100
+	191	99
+	196	102
+	4	200	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	99
+	196	102
+	3	200	100	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	52	117
+	45	126
+	48	126
+	4	52	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	126
+	48	126
+	3	52	117	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	45	126
+	52	117
+	49	116
+	4	45	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	117
+	49	116
+	3	45	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	95
+	182	97
+	177	94
+	4	173	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	97
+	177	94
+	3	173	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	94
+	168	92
+	173	95
+	4	177	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	92
+	173	95
+	3	177	94	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	67
+	136	73
+	131	68
+	4	126	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	73
+	131	68
+	3	126	67	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	68
+	122	61
+	126	67
+	4	131	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	61
+	126	67
+	3	131	68	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	251	127
+	260	130
+	254	126
+	4	251	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	130
+	254	126
+	3	251	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	254	126
+	246	123
+	251	127
+	4	254	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	123
+	251	127
+	3	254	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	113	41
+	102	19
+	107	33
+	4	113	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	19
+	107	33
+	3	113	41	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	19
+	113	41
+	108	32
+	4	102	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	41
+	108	32
+	3	102	19	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	107
+	218	109
+	213	106
+	4	210	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	109
+	213	106
+	3	210	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	106
+	205	104
+	210	107
+	4	213	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	104
+	210	107
+	3	213	106	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	73
+	140	78
+	136	73
+	4	131	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	78
+	136	73
+	3	131	73	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	73
+	126	67
+	131	73
+	4	136	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	67
+	131	73
+	3	136	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	120
+	246	123
+	241	118
+	4	237	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	123
+	241	118
+	3	237	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	118
+	232	115
+	237	120
+	4	241	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	115
+	237	120
+	3	241	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	186	100
+	196	102
+	191	99
+	4	186	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	102
+	191	99
+	3	186	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	99
+	182	97
+	186	100
+	4	191	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	97
+	186	100
+	3	191	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	87
+	159	90
+	154	86
+	4	149	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	90
+	154	86
+	3	149	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	86
+	145	83
+	149	87
+	4	154	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	83
+	149	87
+	3	154	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	113
+	232	115
+	227	112
+	4	223	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	115
+	227	112
+	3	223	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	227	112
+	218	109
+	223	113
+	4	227	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	109
+	223	113
+	3	227	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	93
+	173	95
+	168	92
+	4	163	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	95
+	168	92
+	3	163	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	92
+	159	90
+	163	93
+	4	168	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	90
+	163	93
+	3	168	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	256	132
+	265	134
+	260	130
+	4	256	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	134
+	260	130
+	3	256	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	260	130
+	251	127
+	256	132
+	4	260	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	127
+	256	132
+	3	260	130	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	79
+	145	83
+	140	78
+	4	136	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	83
+	140	78
+	3	136	79	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	140	78
+	131	73
+	136	79
+	4	140	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	73
+	136	79
+	3	140	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	105
+	210	107
+	205	104
+	4	200	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	107
+	205	104
+	3	200	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	104
+	196	102
+	200	105
+	4	205	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	102
+	200	105
+	3	205	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	99
+	186	100
+	182	97
+	4	177	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	100
+	182	97
+	3	177	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	182	97
+	173	95
+	177	99
+	4	182	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	95
+	177	99
+	3	182	97	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	56	106
+	49	116
+	52	117
+	4	56	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	116
+	52	117
+	3	56	106	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	49	116
+	56	106
+	52	105
+	4	49	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	106
+	52	105
+	3	49	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	124
+	251	127
+	246	123
+	4	242	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	127
+	246	123
+	3	242	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	123
+	237	120
+	242	124
+	4	246	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	120
+	242	124
+	3	246	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	110
+	223	113
+	218	109
+	4	215	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	113
+	218	109
+	3	215	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	109
+	210	107
+	215	110
+	4	218	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	107
+	215	110
+	3	218	109	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	91
+	163	93
+	159	90
+	4	154	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	93
+	159	90
+	3	154	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	159	90
+	149	87
+	154	91
+	4	159	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	87
+	154	91
+	3	159	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	117
+	237	120
+	232	115
+	4	229	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	120
+	232	115
+	3	229	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	115
+	223	113
+	229	117
+	4	232	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	113
+	229	117
+	3	232	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	84
+	149	87
+	145	83
+	4	140	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	87
+	145	83
+	3	140	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	83
+	136	79
+	140	84
+	4	145	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	79
+	140	84
+	3	145	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	103
+	200	105
+	196	102
+	4	191	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	105
+	196	102
+	3	191	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	102
+	186	100
+	191	103
+	4	196	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	100
+	191	103
+	3	196	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	97
+	177	99
+	173	95
+	4	168	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	99
+	173	95
+	3	168	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	95
+	163	93
+	168	97
+	4	173	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	93
+	168	97
+	3	173	95	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	34	147
+	42	141
+	39	141
+	4	34	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	141
+	39	141
+	3	34	147	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	47	134
+	39	141
+	42	141
+	4	47	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	141
+	42	141
+	3	47	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	39	141
+	47	134
+	43	134
+	4	39	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	134
+	43	134
+	3	39	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	261	136
+	270	137
+	265	134
+	4	261	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	137
+	265	134
+	3	261	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	265	134
+	256	132
+	261	136
+	4	265	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	132
+	261	136
+	3	265	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	51	126
+	43	134
+	47	134
+	4	51	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	134
+	47	134
+	3	51	126	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	43	134
+	51	126
+	48	126
+	4	43	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	126
+	48	126
+	3	43	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	129
+	256	132
+	251	127
+	4	247	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	132
+	251	127
+	3	247	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	251	127
+	242	124
+	247	129
+	4	251	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	124
+	247	129
+	3	251	127	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	29	152
+	37	147
+	34	147
+	4	29	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	147
+	34	147
+	3	29	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	42	141
+	34	147
+	37	147
+	4	42	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	147
+	37	147
+	3	42	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	108
+	215	110
+	210	107
+	4	206	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	110
+	210	107
+	3	206	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	107
+	200	105
+	206	108
+	4	210	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	105
+	206	108
+	3	210	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	102
+	191	103
+	186	100
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	103
+	186	100
+	3	182	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	100
+	177	99
+	182	102
+	4	186	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	99
+	182	102
+	3	186	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	88
+	154	91
+	149	87
+	4	145	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	91
+	149	87
+	3	145	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	87
+	140	84
+	145	88
+	4	149	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	84
+	145	88
+	3	149	87	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	67
+	131	73
+	126	67
+	4	121	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	73
+	126	67
+	3	121	67	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	67
+	117	60
+	121	67
+	4	126	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	60
+	121	67
+	3	126	67	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	117	60
+	126	67
+	122	61
+	4	117	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	67
+	122	61
+	3	117	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	121
+	242	124
+	237	120
+	4	234	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	124
+	237	120
+	3	234	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	120
+	229	117
+	234	121
+	4	237	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	117
+	234	121
+	3	237	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	95
+	168	97
+	163	93
+	4	159	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	97
+	163	93
+	3	159	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	93
+	154	91
+	159	95
+	4	163	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	91
+	159	95
+	3	163	93	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	122	61
+	112	51
+	117	60
+	4	122	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	51
+	117	60
+	3	122	61	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	51
+	122	61
+	117	53
+	4	112	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	61
+	117	53
+	3	112	51	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	114
+	229	117
+	223	113
+	4	220	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	117
+	223	113
+	3	220	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	223	113
+	215	110
+	220	114
+	4	223	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	110
+	220	114
+	3	223	113	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	55	118
+	48	126
+	51	126
+	4	55	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	126
+	51	126
+	3	55	118	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	48	126
+	55	118
+	52	117
+	4	48	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	118
+	52	117
+	3	48	126	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	37	147
+	29	152
+	32	152
+	4	37	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	152
+	32	152
+	3	37	147	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	126	74
+	136	79
+	131	73
+	4	126	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	79
+	131	73
+	3	126	74	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	131	73
+	121	67
+	126	74
+	4	131	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	67
+	126	74
+	3	131	73	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	252	134
+	261	136
+	256	132
+	4	252	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	136
+	256	132
+	3	252	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	256	132
+	247	129
+	252	134
+	4	256	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	129
+	252	134
+	3	256	132	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	117	53
+	107	40
+	112	51
+	4	117	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	40
+	112	51
+	3	117	53	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	107	40
+	117	53
+	112	44
+	4	107	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	53
+	112	44
+	3	107	40	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	60	95
+	52	105
+	56	106
+	4	60	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	105
+	56	106
+	3	60	95	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	52	105
+	60	95
+	56	92
+	4	52	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	95
+	56	92
+	3	52	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	107
+	206	108
+	200	105
+	4	196	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	108
+	200	105
+	3	196	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	200	105
+	191	103
+	196	107
+	4	200	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	103
+	196	107
+	3	200	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	100
+	182	102
+	177	99
+	4	173	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	177	99
+	3	173	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	99
+	168	97
+	173	100
+	4	177	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	97
+	173	100
+	3	177	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	80
+	140	84
+	136	79
+	4	131	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	84
+	136	79
+	3	131	80	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	136	79
+	126	74
+	131	80
+	4	136	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	74
+	131	80
+	3	136	79	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	125
+	247	129
+	242	124
+	4	239	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	129
+	242	124
+	3	239	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	124
+	234	121
+	239	125
+	4	242	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	121
+	239	125
+	3	242	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	93
+	159	95
+	154	91
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	95
+	154	91
+	3	149	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	154	91
+	145	88
+	149	93
+	4	154	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	88
+	149	93
+	3	154	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	112
+	220	114
+	215	110
+	4	211	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	114
+	215	110
+	3	211	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	110
+	206	108
+	211	112
+	4	215	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	108
+	211	112
+	3	215	110	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	266	140
+	277	137
+	270	137
+	4	266	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	277	137
+	270	137
+	3	266	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	270	137
+	261	136
+	266	140
+	4	270	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	136
+	266	140
+	3	270	137	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	85
+	145	88
+	140	84
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	88
+	140	84
+	3	135	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	84
+	131	80
+	135	85
+	4	140	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	80
+	135	85
+	3	140	84	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	60	109
+	52	117
+	55	118
+	4	60	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	117
+	55	118
+	3	60	109	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	52	117
+	60	109
+	56	106
+	4	52	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	109
+	56	106
+	3	52	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	118
+	234	121
+	229	117
+	4	225	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	121
+	229	117
+	3	225	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	229	117
+	220	114
+	225	118
+	4	229	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	114
+	225	118
+	3	229	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	99
+	173	100
+	168	97
+	4	164	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	100
+	168	97
+	3	164	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	97
+	159	95
+	164	99
+	4	168	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	95
+	164	99
+	3	168	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	105
+	196	107
+	191	103
+	4	187	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	107
+	191	103
+	3	187	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	191	103
+	182	102
+	187	105
+	4	191	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	187	105
+	3	191	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	257	139
+	266	140
+	261	136
+	4	257	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	140
+	261	136
+	3	257	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	136
+	252	134
+	257	139
+	4	261	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	134
+	257	139
+	3	261	136	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	44
+	101	27
+	107	40
+	4	112	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	27
+	107	40
+	3	112	44	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	101	27
+	112	44
+	107	33
+	4	101	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	44
+	107	33
+	3	101	27	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	130
+	252	134
+	247	129
+	4	244	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	134
+	247	129
+	3	244	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	247	129
+	239	125
+	244	130
+	4	247	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	125
+	244	130
+	3	247	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	104
+	187	105
+	182	102
+	4	178	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	105
+	182	102
+	3	178	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	102
+	173	100
+	178	104
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	100
+	178	104
+	3	182	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	110
+	211	112
+	206	108
+	4	201	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	112
+	206	108
+	3	201	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	206	108
+	196	107
+	201	110
+	4	206	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	107
+	201	110
+	3	206	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	90
+	149	93
+	145	88
+	4	140	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	145	88
+	3	140	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	145	88
+	135	85
+	140	90
+	4	145	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	140	90
+	3	145	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	97
+	164	99
+	159	95
+	4	154	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	99
+	159	95
+	3	154	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	95
+	149	93
+	154	97
+	4	159	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	154	97
+	3	159	95	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	37	147
+	45	142
+	42	141
+	4	37	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	142
+	42	141
+	3	37	147	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	50	135
+	42	141
+	45	142
+	4	50	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	141
+	45	142
+	3	50	135	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	42	141
+	50	135
+	47	134
+	4	42	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	135
+	47	134
+	3	42	141	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	55	128
+	47	134
+	50	135
+	4	55	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	134
+	50	135
+	3	55	128	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	47	134
+	55	128
+	51	126
+	4	47	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	128
+	51	126
+	3	47	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	122
+	239	125
+	234	121
+	4	230	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	125
+	234	121
+	3	230	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	121
+	225	118
+	230	122
+	4	234	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	118
+	230	122
+	3	234	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	115
+	225	118
+	220	114
+	4	216	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	118
+	220	114
+	3	216	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	114
+	211	112
+	216	115
+	4	220	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	112
+	216	115
+	3	220	114	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	32	152
+	40	148
+	37	147
+	4	32	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	148
+	37	147
+	3	32	152	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	45	142
+	37	147
+	40	148
+	4	45	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	147
+	40	148
+	3	45	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	262	145
+	272	144
+	266	140
+	4	262	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	144
+	266	140
+	3	262	145	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	277	137
+	266	140
+	272	144
+	4	277	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	140
+	272	144
+	3	277	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	266	140
+	257	139
+	262	145
+	4	266	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	139
+	262	145
+	3	266	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	75
+	131	80
+	126	74
+	4	121	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	80
+	126	74
+	3	121	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	74
+	116	68
+	121	75
+	4	126	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	68
+	121	75
+	3	126	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	68
+	126	74
+	121	67
+	4	116	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	74
+	121	67
+	3	116	68	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	135
+	257	139
+	252	134
+	4	249	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	139
+	252	134
+	3	249	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	252	134
+	244	130
+	249	135
+	4	252	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	130
+	249	135
+	3	252	134	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	67
+	112	60
+	116	68
+	4	121	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	60
+	116	68
+	3	121	67	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	60
+	121	67
+	117	60
+	4	112	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	67
+	117	60
+	3	112	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	102
+	178	104
+	173	100
+	4	168	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	104
+	173	100
+	3	168	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	100
+	164	99
+	168	102
+	4	173	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	99
+	168	102
+	3	173	100	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	59	120
+	51	126
+	55	128
+	4	59	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	126
+	55	128
+	3	59	120	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	51	126
+	59	120
+	55	118
+	4	51	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	120
+	55	118
+	3	51	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	108
+	201	110
+	196	107
+	4	192	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	110
+	196	107
+	3	192	108	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	107
+	187	105
+	192	108
+	4	196	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	105
+	192	108
+	3	196	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	82
+	135	85
+	131	80
+	4	126	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	131	80
+	3	126	82	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	80
+	121	75
+	126	82
+	4	131	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	75
+	126	82
+	3	131	80	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	64	99
+	56	106
+	60	109
+	4	64	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	106
+	60	109
+	3	64	99	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	56	106
+	64	99
+	60	95
+	4	56	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	99
+	60	95
+	3	56	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	60
+	107	50
+	112	60
+	4	117	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	50
+	112	60
+	3	117	60	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	107	50
+	117	60
+	112	51
+	4	107	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	60
+	112	51
+	3	107	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	95
+	154	97
+	149	93
+	4	145	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	97
+	149	93
+	3	145	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	93
+	140	90
+	145	95
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	90
+	145	95
+	3	149	93	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	40	148
+	32	152
+	35	154
+	4	40	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	152
+	35	154
+	3	40	148	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	107	33
+	96	9
+	101	27
+	4	107	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	9
+	101	27
+	3	107	33	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	96	9
+	107	33
+	102	19
+	4	96	9	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	33
+	102	19
+	3	96	9	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	254	141
+	262	145
+	257	139
+	4	254	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	145
+	257	139
+	3	254	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	257	139
+	249	135
+	254	141
+	4	257	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	135
+	254	141
+	3	257	139	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	63	83
+	56	92
+	60	95
+	4	63	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	92
+	60	95
+	3	63	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	56	92
+	63	83
+	59	78
+	4	56	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	83
+	59	78
+	3	56	92	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	87
+	140	90
+	135	85
+	4	131	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	90
+	135	85
+	3	131	87	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	85
+	126	82
+	131	87
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	82
+	131	87
+	3	135	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	101
+	168	102
+	164	99
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	102
+	164	99
+	3	159	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	99
+	154	97
+	159	101
+	4	164	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	97
+	159	101
+	3	164	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	267	152
+	258	149
+	262	158
+	4	267	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	149
+	262	158
+	3	267	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	258	149
+	267	152
+	262	145
+	4	258	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	152
+	262	145
+	3	258	149	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	272	144
+	262	145
+	267	152
+	4	272	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	145
+	267	152
+	3	272	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	235	126
+	244	130
+	239	125
+	4	235	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	130
+	239	125
+	3	235	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	125
+	230	122
+	235	126
+	4	239	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	122
+	235	126
+	3	239	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	262	145
+	254	141
+	258	149
+	4	262	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	141
+	258	149
+	3	262	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	158
+	255	151
+	258	162
+	4	262	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	151
+	258	162
+	3	262	158	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	255	151
+	262	158
+	258	149
+	4	255	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	158
+	258	149
+	3	255	151	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	113
+	216	115
+	211	112
+	4	207	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	115
+	211	112
+	3	207	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	112
+	201	110
+	207	113
+	4	211	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	110
+	207	113
+	3	211	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	107
+	192	108
+	187	105
+	4	183	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	108
+	187	105
+	3	183	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	187	105
+	178	104
+	183	107
+	4	187	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	104
+	183	107
+	3	187	105	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	64	112
+	55	118
+	59	120
+	4	64	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	118
+	59	120
+	3	64	112	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	55	118
+	64	112
+	60	109
+	4	55	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	112
+	60	109
+	3	55	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	118
+	230	122
+	225	118
+	4	221	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	122
+	225	118
+	3	221	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	225	118
+	216	115
+	221	118
+	4	225	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	115
+	221	118
+	3	225	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	112	51
+	101	38
+	107	50
+	4	112	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	38
+	107	50
+	3	112	51	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	101	38
+	112	51
+	107	40
+	4	101	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	51
+	107	40
+	3	101	38	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	93
+	145	95
+	140	90
+	4	135	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	95
+	140	90
+	3	135	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	90
+	131	87
+	135	93
+	4	140	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	87
+	135	93
+	3	140	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	105
+	183	107
+	178	104
+	4	173	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	107
+	178	104
+	3	173	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	104
+	168	102
+	173	105
+	4	178	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	102
+	173	105
+	3	178	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	99
+	159	101
+	154	97
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	154	97
+	3	149	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	97
+	145	95
+	149	99
+	4	154	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	95
+	149	99
+	3	154	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	130
+	249	135
+	244	130
+	4	240	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	135
+	244	130
+	3	240	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	130
+	235	126
+	240	130
+	4	244	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	126
+	240	130
+	3	244	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	111
+	207	113
+	201	110
+	4	197	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	113
+	201	110
+	3	197	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	110
+	192	108
+	197	111
+	4	201	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	108
+	197	111
+	3	201	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	78
+	126	82
+	121	75
+	4	116	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	82
+	121	75
+	3	116	78	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	75
+	111	70
+	116	78
+	4	121	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	70
+	116	78
+	3	121	75	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	111	70
+	121	75
+	116	68
+	4	111	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	75
+	116	68
+	3	111	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	104
+	173	105
+	168	102
+	4	164	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	105
+	168	102
+	3	164	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	102
+	159	101
+	164	104
+	4	168	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	164	104
+	3	168	102	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	68	103
+	60	109
+	64	112
+	4	68	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	109
+	64	112
+	3	68	103	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	60	109
+	68	103
+	64	99
+	4	60	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	103
+	64	99
+	3	60	109	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	258	149
+	250	142
+	255	151
+	4	258	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	142
+	255	151
+	3	258	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	142
+	258	149
+	254	141
+	4	250	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	149
+	254	141
+	3	250	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	84
+	131	87
+	126	82
+	4	121	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	87
+	126	82
+	3	121	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	82
+	116	78
+	121	84
+	4	126	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	78
+	121	84
+	3	126	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	68	88
+	60	95
+	64	99
+	4	68	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	95
+	64	99
+	3	68	88	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	60	95
+	68	88
+	63	83
+	4	60	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	88
+	63	83
+	3	60	95	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	68
+	106	62
+	111	70
+	4	116	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	62
+	111	70
+	3	116	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	62
+	116	68
+	112	60
+	4	106	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	68
+	112	60
+	3	106	62	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	45	142
+	54	137
+	50	135
+	4	45	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	137
+	50	135
+	3	45	142	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	59	130
+	50	135
+	54	137
+	4	59	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	135
+	54	137
+	3	59	130	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	50	135
+	59	130
+	55	128
+	4	50	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	130
+	55	128
+	3	50	135	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	40	148
+	49	144
+	45	142
+	4	40	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	144
+	45	142
+	3	40	148	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	54	137
+	45	142
+	49	144
+	4	54	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	142
+	49	144
+	3	54	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	136
+	254	141
+	249	135
+	4	245	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	141
+	249	135
+	3	245	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	135
+	240	130
+	245	136
+	4	249	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	130
+	245	136
+	3	249	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	116
+	221	118
+	216	115
+	4	212	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	118
+	216	115
+	3	212	116	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	115
+	207	113
+	212	116
+	4	216	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	113
+	212	116
+	3	216	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	97
+	149	99
+	145	95
+	4	140	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	145	95
+	3	140	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	95
+	135	93
+	140	97
+	4	145	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	93
+	140	97
+	3	145	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	122
+	235	126
+	230	122
+	4	226	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	126
+	230	122
+	3	226	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	122
+	221	118
+	226	122
+	4	230	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	118
+	226	122
+	3	230	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	110
+	197	111
+	192	108
+	4	188	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	111
+	192	108
+	3	188	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	192	108
+	183	107
+	188	110
+	4	192	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	107
+	188	110
+	3	192	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	162
+	252	150
+	256	161
+	4	258	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	150
+	256	161
+	3	258	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	150
+	258	162
+	255	151
+	4	252	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	162
+	255	151
+	3	252	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	63	123
+	55	128
+	59	130
+	4	63	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	128
+	59	130
+	3	63	123	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	55	128
+	63	123
+	59	120
+	4	55	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	123
+	59	120
+	3	55	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	254	141
+	245	136
+	250	142
+	4	254	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	136
+	250	142
+	3	254	141	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	35	154
+	44	150
+	40	148
+	4	35	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	150
+	40	148
+	3	35	154	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	49	144
+	40	148
+	44	150
+	4	49	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	148
+	44	150
+	3	49	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	90
+	135	93
+	131	87
+	4	126	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	93
+	131	87
+	3	126	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	87
+	121	84
+	126	90
+	4	131	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	84
+	126	90
+	3	131	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	103
+	164	104
+	159	101
+	4	154	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	104
+	159	101
+	3	154	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	101
+	149	99
+	154	103
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	154	103
+	3	159	101	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	40
+	96	23
+	101	38
+	4	107	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	23
+	101	38
+	3	107	40	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	96	23
+	107	40
+	101	27
+	4	96	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	40
+	101	27
+	3	96	23	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	60
+	101	52
+	106	62
+	4	112	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	52
+	106	62
+	3	112	60	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	52
+	112	60
+	107	50
+	4	101	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	60
+	107	50
+	3	101	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	109
+	188	110
+	183	107
+	4	178	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	110
+	183	107
+	3	178	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	107
+	173	105
+	178	109
+	4	183	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	105
+	178	109
+	3	183	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	68	115
+	59	120
+	63	123
+	4	68	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	120
+	63	123
+	3	68	115	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	59	120
+	68	115
+	64	112
+	4	59	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	115
+	64	112
+	3	59	120	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	44	150
+	35	154
+	39	155
+	4	44	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	154
+	39	155
+	3	44	150	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	95
+	140	97
+	135	93
+	4	130	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	97
+	135	93
+	3	130	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	135	93
+	126	90
+	130	95
+	4	135	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	90
+	130	95
+	3	135	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	114
+	212	116
+	207	113
+	4	202	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	116
+	207	113
+	3	202	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	207	113
+	197	111
+	202	114
+	4	207	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	111
+	202	114
+	3	207	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	102
+	154	103
+	149	99
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	103
+	149	99
+	3	145	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	99
+	140	97
+	145	102
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	97
+	145	102
+	3	149	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	126
+	240	130
+	235	126
+	4	232	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	130
+	235	126
+	3	232	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	126
+	226	122
+	232	126
+	4	235	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	122
+	232	126
+	3	235	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	108
+	178	109
+	173	105
+	4	169	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	109
+	173	105
+	3	169	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	105
+	164	104
+	169	108
+	4	173	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	104
+	169	108
+	3	173	105	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	72	93
+	64	99
+	68	103
+	4	72	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	99
+	68	103
+	3	72	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	64	99
+	72	93
+	68	88
+	4	64	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	93
+	68	88
+	3	64	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	67	70
+	59	78
+	63	83
+	4	67	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	78
+	63	83
+	3	67	70	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	59	78
+	67	70
+	62	63
+	4	59	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	70
+	62	63
+	3	59	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	119
+	226	122
+	221	118
+	4	217	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	122
+	221	118
+	3	217	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	221	118
+	212	116
+	217	119
+	4	221	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	116
+	217	119
+	3	221	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	111	81
+	121	84
+	116	78
+	4	111	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	84
+	116	78
+	3	111	81	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	116	78
+	106	74
+	111	81
+	4	116	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	74
+	111	81
+	3	116	78	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	106	74
+	116	78
+	111	70
+	4	106	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	78
+	111	70
+	3	106	74	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	72	107
+	64	112
+	68	115
+	4	72	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	112
+	68	115
+	3	72	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	64	112
+	72	107
+	68	103
+	4	64	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	107
+	68	103
+	3	64	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	88
+	126	90
+	121	84
+	4	116	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	90
+	121	84
+	3	116	88	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	121	84
+	111	81
+	116	88
+	4	121	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	81
+	116	88
+	3	121	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	113
+	202	114
+	197	111
+	4	193	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	114
+	197	111
+	3	193	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	111
+	188	110
+	193	113
+	4	197	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	110
+	193	113
+	3	197	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	107
+	169	108
+	164	104
+	4	159	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	108
+	164	104
+	3	159	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	104
+	154	103
+	159	107
+	4	164	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	103
+	159	107
+	3	164	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	50
+	96	39
+	101	52
+	4	107	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	39
+	101	52
+	3	107	50	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	39
+	107	50
+	101	38
+	4	96	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	50
+	101	38
+	3	96	39	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	111	70
+	101	65
+	106	74
+	4	111	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	65
+	106	74
+	3	111	70	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	101	65
+	111	70
+	106	62
+	4	101	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	70
+	106	62
+	3	101	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	100
+	145	102
+	140	97
+	4	135	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	140	97
+	3	135	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	97
+	130	95
+	135	100
+	4	140	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	95
+	135	100
+	3	140	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	121	93
+	130	95
+	126	90
+	4	121	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	95
+	126	90
+	3	121	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	90
+	116	88
+	121	93
+	4	126	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	88
+	121	93
+	3	126	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	131
+	245	136
+	240	130
+	4	237	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	136
+	240	130
+	3	237	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	130
+	232	126
+	237	131
+	4	240	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	126
+	237	131
+	3	240	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	151
+	247	142
+	252	150
+	4	255	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	142
+	252	150
+	3	255	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	142
+	255	151
+	250	142
+	4	247	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	151
+	250	142
+	3	247	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	72	77
+	63	83
+	68	88
+	4	72	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	83
+	68	88
+	3	72	77	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	63	83
+	72	77
+	67	70
+	4	63	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	77
+	67	70
+	3	63	83	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	49	144
+	58	139
+	54	137
+	4	49	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	54	137
+	3	49	144	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	63	133
+	54	137
+	58	139
+	4	63	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	137
+	58	139
+	3	63	133	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	54	137
+	63	133
+	59	130
+	4	54	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	133
+	59	130
+	3	54	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	106
+	159	107
+	154	103
+	4	149	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	107
+	154	103
+	3	149	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	103
+	145	102
+	149	106
+	4	154	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	149	106
+	3	154	103	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	126
+	59	130
+	63	133
+	4	67	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	130
+	63	133
+	3	67	126	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	59	130
+	67	126
+	63	123
+	4	59	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	126
+	63	123
+	3	59	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	112
+	193	113
+	188	110
+	4	183	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	113
+	188	110
+	3	183	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	110
+	178	109
+	183	112
+	4	188	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	109
+	183	112
+	3	188	110	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	44	150
+	53	146
+	49	144
+	4	44	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	146
+	49	144
+	3	44	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	58	139
+	49	144
+	53	146
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	144
+	53	146
+	3	58	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	77	99
+	68	103
+	72	107
+	4	77	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	103
+	72	107
+	3	77	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	103
+	77	99
+	72	93
+	4	68	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	99
+	72	93
+	3	68	103	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	106	62
+	96	55
+	101	65
+	4	106	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	55
+	101	65
+	3	106	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	55
+	106	62
+	101	52
+	4	96	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	62
+	101	52
+	3	96	55	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	117
+	217	119
+	212	116
+	4	208	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	119
+	212	116
+	3	208	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	212	116
+	202	114
+	208	117
+	4	212	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	114
+	208	117
+	3	212	116	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	72	118
+	63	123
+	67	126
+	4	72	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	123
+	67	126
+	3	72	118	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	63	123
+	72	118
+	68	115
+	4	63	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	118
+	68	115
+	3	63	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	99
+	135	100
+	130	95
+	4	125	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	100
+	130	95
+	3	125	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	95
+	121	93
+	125	99
+	4	130	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	93
+	125	99
+	3	130	95	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	39	155
+	48	152
+	44	150
+	4	39	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	152
+	44	150
+	3	39	155	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	53	146
+	44	150
+	48	152
+	4	53	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	150
+	48	152
+	3	53	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	136
+	250	142
+	245	136
+	4	242	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	142
+	245	136
+	3	242	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	136
+	237	131
+	242	136
+	4	245	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	131
+	242	136
+	3	245	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	111
+	183	112
+	178	109
+	4	174	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	112
+	178	109
+	3	174	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	109
+	169	108
+	174	111
+	4	178	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	108
+	174	111
+	3	178	109	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	142
+	242	136
+	247	142
+	4	250	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	136
+	247	142
+	3	250	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	122
+	232	126
+	226	122
+	4	222	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	126
+	226	122
+	3	222	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	122
+	217	119
+	222	122
+	4	226	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	119
+	222	122
+	3	226	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	77	84
+	68	88
+	72	93
+	4	77	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	88
+	72	93
+	3	77	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	88
+	77	84
+	72	77
+	4	68	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	84
+	72	77
+	3	68	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	105
+	149	106
+	145	102
+	4	140	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	106
+	145	102
+	3	140	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	102
+	135	100
+	140	105
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	100
+	140	105
+	3	145	102	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	106	85
+	116	88
+	111	81
+	4	106	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	88
+	111	81
+	3	106	85	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	111	81
+	101	78
+	106	85
+	4	111	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	78
+	106	85
+	3	111	81	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	101	78
+	111	81
+	106	74
+	4	101	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	81
+	106	74
+	3	101	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	27
+	90	4
+	96	23
+	4	101	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	4
+	96	23
+	3	101	27	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	90	4
+	101	27
+	96	9
+	4	90	4	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	27
+	96	9
+	3	90	4	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	77	111
+	68	115
+	72	118
+	4	77	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	115
+	72	118
+	3	77	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	115
+	77	111
+	72	107
+	4	68	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	111
+	72	107
+	3	68	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	92
+	121	93
+	116	88
+	4	111	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	93
+	116	88
+	3	111	92	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	116	88
+	106	85
+	111	92
+	4	116	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	85
+	111	92
+	3	116	88	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	106	74
+	96	70
+	101	78
+	4	106	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	70
+	101	78
+	3	106	74	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	96	70
+	106	74
+	101	65
+	4	96	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	74
+	101	65
+	3	96	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	110
+	174	111
+	169	108
+	4	164	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	111
+	169	108
+	3	164	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	108
+	159	107
+	164	110
+	4	169	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	107
+	164	110
+	3	169	108	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	48	152
+	39	155
+	43	157
+	4	48	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	155
+	43	157
+	3	48	152	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	115
+	208	117
+	202	114
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	117
+	202	114
+	3	198	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	114
+	193	113
+	198	115
+	4	202	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	113
+	198	115
+	3	202	114	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	97
+	125	99
+	121	93
+	4	116	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	99
+	121	93
+	3	116	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	121	93
+	111	92
+	116	97
+	4	121	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	92
+	116	97
+	3	121	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	104
+	140	105
+	135	100
+	4	130	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	105
+	135	100
+	3	130	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	100
+	125	99
+	130	104
+	4	135	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	99
+	130	104
+	3	135	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	91
+	72	93
+	77	99
+	4	82	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	93
+	77	99
+	3	82	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	93
+	82	91
+	77	84
+	4	72	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	91
+	77	84
+	3	72	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	104
+	72	107
+	77	111
+	4	82	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	107
+	77	111
+	3	82	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	107
+	82	104
+	77	99
+	4	72	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	104
+	77	99
+	3	72	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	110
+	164	110
+	159	107
+	4	154	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	110
+	159	107
+	3	154	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	107
+	149	106
+	154	110
+	4	159	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	106
+	154	110
+	3	159	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	38
+	90	24
+	96	39
+	4	101	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	24
+	96	39
+	3	101	38	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	90	24
+	101	38
+	96	23
+	4	90	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	38
+	96	23
+	3	90	24	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	52
+	91	43
+	96	55
+	4	101	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	43
+	96	55
+	3	101	52	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	43
+	101	52
+	96	39
+	4	91	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	52
+	96	39
+	3	91	43	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	256	161
+	249	147
+	254	156
+	4	256	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	147
+	254	156
+	3	256	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	147
+	256	161
+	252	150
+	4	249	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	161
+	252	150
+	3	249	147	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	65
+	91	60
+	96	70
+	4	101	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	60
+	96	70
+	3	101	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	60
+	101	65
+	96	55
+	4	91	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	65
+	96	55
+	3	91	60	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	114
+	198	115
+	193	113
+	4	189	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	193	113
+	3	189	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	113
+	183	112
+	189	114
+	4	193	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	112
+	189	114
+	3	193	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	109
+	154	110
+	149	106
+	4	145	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	110
+	149	106
+	3	145	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	106
+	140	105
+	145	109
+	4	149	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	105
+	145	109
+	3	149	106	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	90
+	111	92
+	106	85
+	4	101	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	92
+	106	85
+	3	101	90	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	106	85
+	96	83
+	101	90
+	4	106	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	83
+	101	90
+	3	106	85	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	83
+	106	85
+	101	78
+	4	96	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	85
+	101	78
+	3	96	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	103
+	130	104
+	125	99
+	4	120	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	104
+	125	99
+	3	120	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	99
+	116	97
+	120	103
+	4	125	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	97
+	120	103
+	3	125	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	126
+	237	131
+	232	126
+	4	228	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	131
+	232	126
+	3	228	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	126
+	222	122
+	228	126
+	4	232	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	122
+	228	126
+	3	232	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	120
+	222	122
+	217	119
+	4	213	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	122
+	217	119
+	3	213	120	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	217	119
+	208	117
+	213	120
+	4	217	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	117
+	213	120
+	3	217	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	97
+	77	99
+	82	104
+	4	86	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	99
+	82	104
+	3	86	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	99
+	86	97
+	82	91
+	4	77	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	97
+	82	91
+	3	77	99	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	78
+	91	76
+	96	83
+	4	101	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	76
+	96	83
+	3	101	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	76
+	101	78
+	96	70
+	4	91	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	78
+	96	70
+	3	91	76	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	58	139
+	67	136
+	63	133
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	136
+	63	133
+	3	58	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	72	129
+	63	133
+	67	136
+	4	72	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	133
+	67	136
+	3	72	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	63	133
+	72	129
+	67	126
+	4	63	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	129
+	67	126
+	3	63	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	96
+	116	97
+	111	92
+	4	106	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	97
+	111	92
+	3	106	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	92
+	101	90
+	106	96
+	4	111	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	90
+	106	96
+	3	111	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	122
+	67	126
+	72	129
+	4	76	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	126
+	72	129
+	3	76	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	67	126
+	76	122
+	72	118
+	4	67	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	122
+	72	118
+	3	67	126	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	53	146
+	62	142
+	58	139
+	4	53	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	142
+	58	139
+	3	53	146	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	136
+	58	139
+	62	142
+	4	67	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	62	142
+	3	67	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	75
+	72	77
+	77	84
+	4	82	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	77
+	77	84
+	3	82	75	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	77
+	82	75
+	76	67
+	4	72	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	75
+	76	67
+	3	72	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	76	67
+	67	70
+	72	77
+	4	76	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	70
+	72	77
+	3	76	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	114
+	189	114
+	183	112
+	4	179	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	114
+	183	112
+	3	179	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	112
+	174	111
+	179	114
+	4	183	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	111
+	179	114
+	3	183	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	115
+	72	118
+	76	122
+	4	81	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	118
+	76	122
+	3	81	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	118
+	81	115
+	77	111
+	4	72	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	115
+	77	111
+	3	72	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	83
+	77	84
+	82	91
+	4	86	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	84
+	82	91
+	3	86	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	84
+	86	83
+	82	75
+	4	77	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	83
+	82	75
+	3	77	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	108
+	145	109
+	140	105
+	4	135	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	109
+	140	105
+	3	135	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	105
+	130	104
+	135	108
+	4	140	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	104
+	135	108
+	3	140	105	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	48	152
+	57	148
+	53	146
+	4	48	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	148
+	53	146
+	3	48	152	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	62	142
+	53	146
+	57	148
+	4	62	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	146
+	57	148
+	3	62	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	70
+	76	67
+	71	58
+	4	67	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	67
+	71	58
+	3	67	70	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	71	58
+	62	63
+	67	70
+	4	71	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	63
+	67	70
+	3	71	58	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	102
+	120	103
+	116	97
+	4	111	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	103
+	116	97
+	3	111	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	97
+	106	96
+	111	102
+	4	116	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	96
+	111	102
+	3	116	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	90
+	82	91
+	86	97
+	4	91	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	91
+	86	97
+	3	91	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	91
+	91	90
+	86	83
+	4	82	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	90
+	86	83
+	3	82	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	109
+	77	111
+	81	115
+	4	86	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	111
+	81	115
+	3	86	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	111
+	86	109
+	82	104
+	4	77	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	109
+	82	104
+	3	77	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	70
+	86	67
+	91	76
+	4	96	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	67
+	91	76
+	3	96	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	67
+	96	70
+	91	60
+	4	86	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	70
+	91	60
+	3	86	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	90
+	101	90
+	96	83
+	4	91	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	90
+	96	83
+	3	91	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	83
+	86	83
+	91	90
+	4	96	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	83
+	91	90
+	3	96	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	83
+	96	83
+	91	76
+	4	86	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	83
+	91	76
+	3	86	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	113
+	179	114
+	174	111
+	4	169	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	114
+	174	111
+	3	169	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	111
+	164	110
+	169	113
+	4	174	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	110
+	169	113
+	3	174	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	96
+	106	96
+	101	90
+	4	96	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	96
+	101	90
+	3	96	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	90
+	91	90
+	96	96
+	4	101	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	90
+	96	96
+	3	101	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	63
+	71	58
+	66	47
+	4	62	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	58
+	66	47
+	3	62	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	102
+	82	104
+	86	109
+	4	91	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	104
+	86	109
+	3	91	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	104
+	91	102
+	86	97
+	4	82	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	102
+	86	97
+	3	82	104	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	43	157
+	52	154
+	48	152
+	4	43	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	154
+	48	152
+	3	43	157	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	57	148
+	48	152
+	52	154
+	4	57	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	152
+	52	154
+	3	57	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	108
+	135	108
+	130	104
+	4	125	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	108
+	130	104
+	3	125	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	104
+	120	103
+	125	108
+	4	130	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	103
+	125	108
+	3	130	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	76
+	82	75
+	86	83
+	4	91	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	75
+	86	83
+	3	91	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	97
+	96	96
+	91	90
+	4	86	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	96
+	91	90
+	3	86	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	96
+	86	97
+	91	102
+	4	96	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	97
+	91	102
+	3	96	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	75
+	91	76
+	86	67
+	4	82	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	76
+	86	67
+	3	82	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	113
+	169	113
+	164	110
+	4	159	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	113
+	164	110
+	3	159	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	110
+	154	110
+	159	113
+	4	164	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	110
+	159	113
+	3	164	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	118
+	213	120
+	208	117
+	4	204	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	120
+	208	117
+	3	204	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	117
+	198	115
+	204	118
+	4	208	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	115
+	204	118
+	3	208	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	102
+	111	102
+	106	96
+	4	101	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	102
+	106	96
+	3	101	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	96
+	96	96
+	101	102
+	4	106	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	96
+	101	102
+	3	106	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	55
+	86	49
+	91	60
+	4	96	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	49
+	91	60
+	3	96	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	49
+	96	55
+	91	43
+	4	86	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	55
+	91	43
+	3	86	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	130
+	242	136
+	237	131
+	4	233	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	136
+	237	131
+	3	233	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	237	131
+	228	126
+	233	130
+	4	237	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	126
+	233	130
+	3	237	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	67
+	76	67
+	82	75
+	4	86	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	67
+	82	75
+	3	86	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	102
+	101	102
+	96	96
+	4	91	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	102
+	96	96
+	3	91	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	107
+	125	108
+	120	103
+	4	115	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	108
+	120	103
+	3	115	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	103
+	111	102
+	115	107
+	4	120	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	102
+	115	107
+	3	120	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	113
+	159	113
+	154	110
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	113
+	154	110
+	3	149	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	110
+	145	109
+	149	113
+	4	154	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	109
+	149	113
+	3	154	110	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	52	154
+	43	157
+	46	160
+	4	52	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	157
+	46	160
+	3	52	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	109
+	96	107
+	91	102
+	4	86	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	107
+	91	102
+	3	86	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	102
+	91	102
+	96	107
+	4	101	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	102
+	96	107
+	3	101	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	112
+	149	113
+	145	109
+	4	140	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	145	109
+	3	140	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	109
+	135	108
+	140	112
+	4	145	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	108
+	140	112
+	3	145	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	107
+	115	107
+	111	102
+	4	106	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	107
+	111	102
+	3	106	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	102
+	101	102
+	106	107
+	4	111	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	102
+	106	107
+	3	111	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	252	150
+	244	140
+	249	147
+	4	252	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	140
+	249	147
+	3	252	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	140
+	252	150
+	247	142
+	4	244	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	150
+	247	142
+	3	244	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	123
+	228	126
+	222	122
+	4	219	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	126
+	222	122
+	3	219	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	122
+	213	120
+	219	123
+	4	222	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	120
+	219	123
+	3	222	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	115
+	91	113
+	86	109
+	4	81	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	113
+	86	109
+	3	81	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	107
+	86	109
+	91	113
+	4	96	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	109
+	91	113
+	3	96	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	67
+	86	67
+	81	57
+	4	76	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	67
+	81	57
+	3	76	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	60
+	81	57
+	86	67
+	4	91	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	57
+	86	67
+	3	91	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	57
+	91	60
+	86	49
+	4	81	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	60
+	86	49
+	3	81	57	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	117
+	204	118
+	198	115
+	4	194	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	118
+	198	115
+	3	194	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	115
+	189	114
+	194	117
+	4	198	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	114
+	194	117
+	3	198	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	122
+	86	120
+	81	115
+	4	76	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	120
+	81	115
+	3	76	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	113
+	81	115
+	86	120
+	4	91	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	115
+	86	120
+	3	91	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	129
+	81	126
+	76	122
+	4	72	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	126
+	76	122
+	3	72	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	120
+	76	122
+	81	126
+	4	86	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	122
+	81	126
+	3	86	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	107
+	106	107
+	101	102
+	4	96	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	107
+	101	102
+	3	96	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	67	136
+	76	133
+	72	129
+	4	67	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	133
+	72	129
+	3	67	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	126
+	72	129
+	76	133
+	4	81	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	129
+	76	133
+	3	81	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	57
+	71	58
+	76	67
+	4	81	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	58
+	76	67
+	3	81	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	39
+	85	28
+	91	43
+	4	96	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	28
+	91	43
+	3	96	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	28
+	96	39
+	90	24
+	4	85	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	39
+	90	24
+	3	85	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	112
+	140	112
+	135	108
+	4	130	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	112
+	135	108
+	3	130	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	108
+	125	108
+	130	112
+	4	135	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	108
+	130	112
+	3	135	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	134
+	247	142
+	242	136
+	4	239	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	142
+	242	136
+	3	239	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	136
+	233	130
+	239	134
+	4	242	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	130
+	239	134
+	3	242	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	62	142
+	71	139
+	67	136
+	4	62	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	139
+	67	136
+	3	62	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	133
+	67	136
+	71	139
+	4	76	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	136
+	71	139
+	3	76	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	57	148
+	66	145
+	62	142
+	4	57	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	145
+	62	142
+	3	57	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	139
+	62	142
+	66	145
+	4	71	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	142
+	66	145
+	3	71	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	117
+	194	117
+	189	114
+	4	184	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	117
+	189	114
+	3	184	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	114
+	179	114
+	184	117
+	4	189	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	114
+	184	117
+	3	189	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	112
+	130	112
+	125	108
+	4	120	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	112
+	125	108
+	3	120	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	108
+	115	107
+	120	112
+	4	125	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	107
+	120	112
+	3	125	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	247	142
+	239	134
+	244	140
+	4	247	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	134
+	244	140
+	3	247	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	113
+	100	112
+	96	107
+	4	91	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	112
+	96	107
+	3	91	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	107
+	96	107
+	100	112
+	4	106	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	107
+	100	112
+	3	106	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	112
+	120	112
+	115	107
+	4	110	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	112
+	115	107
+	3	110	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	107
+	106	107
+	110	112
+	4	115	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	107
+	110	112
+	3	115	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	112
+	110	112
+	106	107
+	4	100	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	112
+	106	107
+	3	100	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	116
+	184	117
+	179	114
+	4	174	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	117
+	179	114
+	3	174	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	114
+	169	113
+	174	116
+	4	179	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	113
+	174	116
+	3	179	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	52	154
+	61	151
+	57	148
+	4	52	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	151
+	57	148
+	3	52	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	66	145
+	57	148
+	61	151
+	4	66	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	148
+	61	151
+	3	66	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	120
+	95	118
+	91	113
+	4	86	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	118
+	91	113
+	3	86	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	112
+	91	113
+	95	118
+	4	100	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	113
+	95	118
+	3	100	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	116
+	174	116
+	169	113
+	4	164	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	116
+	169	113
+	3	164	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	113
+	159	113
+	164	116
+	4	169	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	113
+	164	116
+	3	169	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	23
+	84	4
+	90	24
+	4	96	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	4
+	90	24
+	3	96	23	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	84	4
+	96	23
+	90	4
+	4	84	4	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	23
+	90	4
+	3	84	4	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	58
+	81	57
+	75	46
+	4	71	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	57
+	75	46
+	3	71	58	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	46
+	66	47
+	71	58
+	4	75	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	47
+	71	58
+	3	75	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	116
+	164	116
+	159	113
+	4	154	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	116
+	159	113
+	3	154	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	113
+	149	113
+	154	116
+	4	159	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	113
+	154	116
+	3	159	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	209	121
+	219	123
+	213	120
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	123
+	213	120
+	3	209	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	213	120
+	204	118
+	209	121
+	4	213	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	118
+	209	121
+	3	213	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	126
+	90	124
+	86	120
+	4	81	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	124
+	86	120
+	3	81	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	118
+	86	120
+	90	124
+	4	95	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	120
+	90	124
+	3	95	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	49
+	75	46
+	81	57
+	4	86	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	46
+	81	57
+	3	86	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	116
+	154	116
+	149	113
+	4	145	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	116
+	149	113
+	3	145	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	113
+	140	112
+	145	116
+	4	149	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	112
+	145	116
+	3	149	113	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	46	160
+	56	157
+	52	154
+	4	46	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	157
+	52	154
+	3	46	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	61	151
+	52	154
+	56	157
+	4	61	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	154
+	56	157
+	3	61	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	43
+	80	36
+	86	49
+	4	91	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	36
+	86	49
+	3	91	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	36
+	91	43
+	85	28
+	4	80	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	43
+	85	28
+	3	80	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	116
+	145	116
+	140	112
+	4	135	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	116
+	140	112
+	3	135	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	112
+	130	112
+	135	116
+	4	140	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	112
+	135	116
+	3	140	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	118
+	105	117
+	100	112
+	4	95	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	117
+	100	112
+	3	95	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	112
+	100	112
+	105	117
+	4	110	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	112
+	105	117
+	3	110	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	133
+	85	130
+	81	126
+	4	76	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	130
+	81	126
+	3	76	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	124
+	81	126
+	85	130
+	4	90	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	126
+	85	130
+	3	90	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	126
+	233	130
+	228	126
+	4	224	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	130
+	228	126
+	3	224	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	126
+	219	123
+	224	126
+	4	228	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	123
+	224	126
+	3	228	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	116
+	135	116
+	130	112
+	4	125	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	116
+	130	112
+	3	125	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	112
+	120	112
+	125	116
+	4	130	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	112
+	125	116
+	3	130	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	117
+	115	117
+	110	112
+	4	105	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	117
+	110	112
+	3	105	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	112
+	110	112
+	115	117
+	4	120	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	112
+	115	117
+	3	120	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	117
+	125	116
+	120	112
+	4	115	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	116
+	120	112
+	3	115	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	139
+	80	136
+	76	133
+	4	71	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	136
+	76	133
+	3	71	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	130
+	76	133
+	80	136
+	4	85	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	133
+	80	136
+	3	85	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	46
+	86	49
+	80	36
+	4	75	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	49
+	80	36
+	3	75	46	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	56	157
+	46	160
+	50	163
+	4	56	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	160
+	50	163
+	3	56	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	119
+	209	121
+	204	118
+	4	199	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	204	118
+	3	199	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	204	118
+	194	117
+	199	119
+	4	204	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	117
+	199	119
+	3	204	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	66	145
+	75	142
+	71	139
+	4	66	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	142
+	71	139
+	3	66	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	136
+	71	139
+	75	142
+	4	80	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	139
+	75	142
+	3	80	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	124
+	100	123
+	95	118
+	4	90	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	123
+	95	118
+	3	90	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	117
+	95	118
+	100	123
+	4	105	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	118
+	100	123
+	3	105	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	61	151
+	70	148
+	66	145
+	4	61	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	148
+	66	145
+	3	61	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	142
+	66	145
+	70	148
+	4	75	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	145
+	70	148
+	3	75	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	130
+	95	128
+	90	124
+	4	85	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	128
+	90	124
+	3	85	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	123
+	90	124
+	95	128
+	4	100	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	124
+	95	128
+	3	100	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	123
+	110	122
+	105	117
+	4	100	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	122
+	105	117
+	3	100	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	117
+	105	117
+	110	122
+	4	115	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	117
+	110	122
+	3	115	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	119
+	199	119
+	194	117
+	4	189	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	119
+	194	117
+	3	189	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	117
+	184	117
+	189	119
+	4	194	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	117
+	189	119
+	3	194	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	66	47
+	75	46
+	70	32
+	4	66	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	46
+	70	32
+	3	66	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	122
+	120	121
+	115	117
+	4	110	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	121
+	115	117
+	3	110	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	116
+	115	117
+	120	121
+	4	125	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	117
+	120	121
+	3	125	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	119
+	189	119
+	184	117
+	4	179	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	119
+	184	117
+	3	179	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	117
+	174	116
+	179	119
+	4	184	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	116
+	179	119
+	3	184	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	56	157
+	65	154
+	61	151
+	4	56	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	154
+	61	151
+	3	56	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	70	148
+	61	151
+	65	154
+	4	70	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	151
+	65	154
+	3	70	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	121
+	130	120
+	125	116
+	4	120	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	120
+	125	116
+	3	120	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	116
+	125	116
+	130	120
+	4	135	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	116
+	130	120
+	3	135	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	119
+	179	119
+	174	116
+	4	169	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	119
+	174	116
+	3	169	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	116
+	164	116
+	169	119
+	4	174	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	116
+	169	119
+	3	174	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	120
+	140	120
+	135	116
+	4	130	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	120
+	135	116
+	3	130	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	116
+	135	116
+	140	120
+	4	145	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	116
+	140	120
+	3	145	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	119
+	169	119
+	164	116
+	4	159	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	119
+	164	116
+	3	159	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	116
+	154	116
+	159	119
+	4	164	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	116
+	159	119
+	3	164	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	120
+	149	120
+	145	116
+	4	140	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	120
+	145	116
+	3	140	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	116
+	145	116
+	149	120
+	4	154	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	116
+	149	120
+	3	154	116	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	120
+	159	119
+	154	116
+	4	149	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	119
+	154	116
+	3	149	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	136
+	90	134
+	85	130
+	4	80	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	134
+	85	130
+	3	80	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	128
+	85	130
+	90	134
+	4	95	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	130
+	90	134
+	3	95	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	129
+	239	134
+	233	130
+	4	230	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	134
+	233	130
+	3	230	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	130
+	224	126
+	230	129
+	4	233	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	126
+	230	129
+	3	233	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	215	123
+	224	126
+	219	123
+	4	215	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	126
+	219	123
+	3	215	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	123
+	209	121
+	215	123
+	4	219	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	121
+	215	123
+	3	219	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	36
+	70	32
+	75	46
+	4	80	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	32
+	75	46
+	3	80	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	128
+	105	127
+	100	123
+	4	95	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	127
+	100	123
+	3	95	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	122
+	100	123
+	105	127
+	4	110	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	123
+	105	127
+	3	110	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	142
+	85	140
+	80	136
+	4	75	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	140
+	80	136
+	3	75	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	134
+	80	136
+	85	140
+	4	90	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	136
+	85	140
+	3	90	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	50	163
+	60	160
+	56	157
+	4	50	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	160
+	56	157
+	3	50	163	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	65	154
+	56	157
+	60	160
+	4	65	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	157
+	60	160
+	3	65	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	24
+	78	9
+	85	28
+	4	90	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	9
+	85	28
+	3	90	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	9
+	90	24
+	84	4
+	4	78	9	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	24
+	84	4
+	3	78	9	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	105	127
+	115	126
+	110	122
+	4	105	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	126
+	110	122
+	3	105	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	121
+	110	122
+	115	126
+	4	120	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	122
+	115	126
+	3	120	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	148
+	80	146
+	75	142
+	4	70	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	146
+	75	142
+	3	70	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	140
+	75	142
+	80	146
+	4	85	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	142
+	80	146
+	3	85	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	134
+	100	132
+	95	128
+	4	90	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	132
+	95	128
+	3	90	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	127
+	95	128
+	100	132
+	4	105	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	128
+	100	132
+	3	105	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	126
+	125	125
+	120	121
+	4	115	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	125
+	120	121
+	3	115	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	130	120
+	120	121
+	125	125
+	4	130	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	121
+	125	125
+	3	130	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	254	156
+	247	141
+	252	147
+	4	254	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	141
+	252	147
+	3	254	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	247	141
+	254	156
+	249	147
+	4	247	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	156
+	249	147
+	3	247	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	122
+	215	123
+	209	121
+	4	205	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	123
+	209	121
+	3	205	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	121
+	199	119
+	205	122
+	4	209	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	119
+	205	122
+	3	209	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	160
+	50	163
+	54	166
+	4	60	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	163
+	54	166
+	3	60	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	125	125
+	135	124
+	130	120
+	4	125	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	124
+	130	120
+	3	125	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	120
+	130	120
+	135	124
+	4	140	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	120
+	135	124
+	3	140	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	154
+	74	152
+	70	148
+	4	65	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	152
+	70	148
+	3	65	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	146
+	70	148
+	74	152
+	4	80	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	148
+	74	152
+	3	80	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	132
+	244	140
+	239	134
+	4	236	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	140
+	239	134
+	3	236	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	134
+	230	129
+	236	132
+	4	239	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	129
+	236	132
+	3	239	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	124
+	144	124
+	140	120
+	4	135	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	124
+	140	120
+	3	135	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	120
+	140	120
+	144	124
+	4	149	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	120
+	144	124
+	3	149	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	140
+	95	138
+	90	134
+	4	85	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	138
+	90	134
+	3	85	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	132
+	90	134
+	95	138
+	4	100	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	134
+	95	138
+	3	100	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	32
+	80	36
+	74	19
+	4	70	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	36
+	74	19
+	3	70	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	28
+	74	19
+	80	36
+	4	85	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	19
+	80	36
+	3	85	28	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	132
+	110	131
+	105	127
+	4	100	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	131
+	105	127
+	3	100	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	126
+	105	127
+	110	131
+	4	115	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	127
+	110	131
+	3	115	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	124
+	154	123
+	149	120
+	4	144	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	123
+	149	120
+	3	144	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	119
+	149	120
+	154	123
+	4	159	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	120
+	154	123
+	3	159	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	19
+	85	28
+	78	9
+	4	74	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	28
+	78	9
+	3	74	19	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	123
+	165	122
+	159	119
+	4	154	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	122
+	159	119
+	3	154	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	169	119
+	159	119
+	165	122
+	4	169	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	119
+	165	122
+	3	169	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	121
+	205	122
+	199	119
+	4	195	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	122
+	199	119
+	3	195	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	119
+	189	119
+	195	121
+	4	199	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	119
+	195	121
+	3	199	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	160
+	69	158
+	65	154
+	4	60	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	158
+	65	154
+	3	60	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	152
+	65	154
+	69	158
+	4	74	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	154
+	69	158
+	3	74	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	122
+	175	122
+	169	119
+	4	165	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	122
+	169	119
+	3	165	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	119
+	169	119
+	175	122
+	4	179	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	119
+	175	122
+	3	179	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	121
+	195	121
+	189	119
+	4	185	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	121
+	189	119
+	3	185	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	119
+	179	119
+	185	121
+	4	189	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	119
+	185	121
+	3	189	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	146
+	89	144
+	85	140
+	4	80	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	144
+	85	140
+	3	80	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	138
+	85	140
+	89	144
+	4	95	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	140
+	89	144
+	3	95	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	122
+	185	121
+	179	119
+	4	175	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	121
+	179	119
+	3	175	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	131
+	119	130
+	115	126
+	4	110	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	130
+	115	126
+	3	110	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	125
+	115	126
+	119	130
+	4	125	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	126
+	119	130
+	3	125	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	241	136
+	249	147
+	244	140
+	4	241	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	147
+	244	140
+	3	241	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	244	140
+	236	132
+	241	136
+	4	244	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	132
+	241	136
+	3	244	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	125
+	230	129
+	224	126
+	4	220	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	129
+	224	126
+	3	220	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	126
+	215	123
+	220	125
+	4	224	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	123
+	220	125
+	3	224	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	249	147
+	241	136
+	247	141
+	4	249	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	136
+	247	141
+	3	249	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	138
+	104	137
+	100	132
+	4	95	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	137
+	100	132
+	3	95	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	110	131
+	100	132
+	104	137
+	4	110	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	132
+	104	137
+	3	110	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	130
+	129	129
+	125	125
+	4	119	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	129
+	125	125
+	3	119	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	135	124
+	125	125
+	129	129
+	4	135	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	125
+	129	129
+	3	135	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	152
+	84	150
+	80	146
+	4	74	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	150
+	80	146
+	3	74	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	144
+	80	146
+	84	150
+	4	89	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	146
+	84	150
+	3	89	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	54	166
+	64	164
+	60	160
+	4	54	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	164
+	60	160
+	3	54	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	158
+	60	160
+	64	164
+	4	69	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	160
+	64	164
+	3	69	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	129
+	139	128
+	135	124
+	4	129	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	128
+	135	124
+	3	129	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	124
+	135	124
+	139	128
+	4	144	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	124
+	139	128
+	3	144	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	137
+	114	135
+	110	131
+	4	104	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	135
+	110	131
+	3	104	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	130
+	110	131
+	114	135
+	4	119	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	131
+	114	135
+	3	119	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	144
+	99	142
+	95	138
+	4	89	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	142
+	95	138
+	3	89	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	137
+	95	138
+	99	142
+	4	104	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	138
+	99	142
+	3	104	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	128
+	149	127
+	144	124
+	4	139	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	127
+	144	124
+	3	139	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	154	123
+	144	124
+	149	127
+	4	154	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	124
+	149	127
+	3	154	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	158
+	79	156
+	74	152
+	4	69	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	74	152
+	3	69	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	150
+	74	152
+	79	156
+	4	84	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	152
+	79	156
+	3	84	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	164
+	54	166
+	59	169
+	4	64	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	166
+	59	169
+	3	64	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	127
+	160	126
+	154	123
+	4	149	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	126
+	154	123
+	3	149	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	122
+	154	123
+	160	126
+	4	165	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	123
+	160	126
+	3	165	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	123
+	220	125
+	215	123
+	4	210	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	125
+	215	123
+	3	210	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	215	123
+	205	122
+	210	123
+	4	215	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	122
+	210	123
+	3	215	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	135
+	124	134
+	119	130
+	4	114	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	134
+	119	130
+	3	114	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	129
+	119	130
+	124	134
+	4	129	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	130
+	124	134
+	3	129	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	150
+	94	148
+	89	144
+	4	84	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	148
+	89	144
+	3	84	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	142
+	89	144
+	94	148
+	4	99	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	144
+	94	148
+	3	99	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	126
+	170	125
+	165	122
+	4	160	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	125
+	165	122
+	3	160	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	122
+	165	122
+	170	125
+	4	175	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	122
+	170	125
+	3	175	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	142
+	109	141
+	104	137
+	4	99	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	141
+	104	137
+	3	99	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	135
+	104	137
+	109	141
+	4	114	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	137
+	109	141
+	3	114	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	164
+	74	161
+	69	158
+	4	64	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	161
+	69	158
+	3	64	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	156
+	69	158
+	74	161
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	158
+	74	161
+	3	79	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	134
+	134	133
+	129	129
+	4	124	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	129	129
+	3	124	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	128
+	129	129
+	134	133
+	4	139	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	129
+	134	133
+	3	139	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	125
+	180	124
+	175	122
+	4	170	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	124
+	175	122
+	3	170	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	121
+	175	122
+	180	124
+	4	185	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	122
+	180	124
+	3	185	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	127
+	236	132
+	230	129
+	4	226	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	132
+	230	129
+	3	226	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	129
+	220	125
+	226	127
+	4	230	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	125
+	226	127
+	3	230	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	123
+	210	123
+	205	122
+	4	200	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	123
+	205	122
+	3	200	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	122
+	195	121
+	200	123
+	4	205	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	121
+	200	123
+	3	205	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	156
+	89	154
+	84	150
+	4	79	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	154
+	84	150
+	3	79	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	148
+	84	150
+	89	154
+	4	94	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	150
+	89	154
+	3	94	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	124
+	190	123
+	185	121
+	4	180	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	123
+	185	121
+	3	180	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	121
+	185	121
+	190	123
+	4	195	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	121
+	190	123
+	3	195	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	123
+	200	123
+	195	121
+	4	190	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	123
+	195	121
+	3	190	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	133
+	144	132
+	139	128
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	132
+	139	128
+	3	134	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	127
+	139	128
+	144	132
+	4	149	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	128
+	144	132
+	3	149	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	141
+	119	139
+	114	135
+	4	109	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	139
+	114	135
+	3	109	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	134
+	114	135
+	119	139
+	4	124	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	135
+	119	139
+	3	124	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	148
+	104	146
+	99	142
+	4	94	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	146
+	99	142
+	3	94	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	141
+	99	142
+	104	146
+	4	109	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	142
+	104	146
+	3	109	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	59	169
+	68	167
+	64	164
+	4	59	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	167
+	64	164
+	3	59	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	161
+	64	164
+	68	167
+	4	74	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	164
+	68	167
+	3	74	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	132
+	155	130
+	149	127
+	4	144	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	130
+	149	127
+	3	144	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	126
+	149	127
+	155	130
+	4	160	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	127
+	155	130
+	3	160	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	74	161
+	83	159
+	79	156
+	4	74	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	159
+	79	156
+	3	74	161	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	154
+	79	156
+	83	159
+	4	89	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	156
+	83	159
+	3	89	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	139
+	129	138
+	124	134
+	4	119	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	138
+	124	134
+	3	119	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	133
+	124	134
+	129	138
+	4	134	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	134
+	129	138
+	3	134	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	89	154
+	99	152
+	94	148
+	4	89	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	152
+	94	148
+	3	89	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	146
+	94	148
+	99	152
+	4	104	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	148
+	99	152
+	3	104	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	104	146
+	114	145
+	109	141
+	4	104	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	145
+	109	141
+	3	104	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	139
+	109	141
+	114	145
+	4	119	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	141
+	114	145
+	3	119	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	167
+	59	169
+	63	173
+	4	68	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	169
+	63	173
+	3	68	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	130
+	165	129
+	160	126
+	4	155	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	129
+	160	126
+	3	155	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	125
+	160	126
+	165	129
+	4	170	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	126
+	165	129
+	3	170	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	138
+	139	136
+	134	133
+	4	129	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	136
+	134	133
+	3	129	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	132
+	134	133
+	139	136
+	4	144	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	133
+	139	136
+	3	144	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	167
+	78	165
+	74	161
+	4	68	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	74	161
+	3	68	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	159
+	74	161
+	78	165
+	4	83	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	161
+	78	165
+	3	83	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	125
+	226	127
+	220	125
+	4	216	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	127
+	220	125
+	3	216	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	125
+	210	123
+	216	125
+	4	220	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	123
+	216	125
+	3	220	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	129
+	175	127
+	170	125
+	4	165	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	127
+	170	125
+	3	165	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	124
+	170	125
+	175	127
+	4	180	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	125
+	175	127
+	3	180	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	159
+	93	158
+	89	154
+	4	83	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	158
+	89	154
+	3	83	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	152
+	89	154
+	93	158
+	4	99	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	154
+	93	158
+	3	99	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	129
+	241	136
+	236	132
+	4	232	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	136
+	236	132
+	3	232	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	132
+	226	127
+	232	129
+	4	236	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	127
+	232	129
+	3	236	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	145
+	124	143
+	119	139
+	4	114	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	143
+	119	139
+	3	114	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	138
+	119	139
+	124	143
+	4	129	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	139
+	124	143
+	3	129	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	152
+	109	150
+	104	146
+	4	99	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	150
+	104	146
+	3	99	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	145
+	104	146
+	109	150
+	4	114	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	146
+	109	150
+	3	114	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	136
+	149	135
+	144	132
+	4	139	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	135
+	144	132
+	3	139	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	130
+	144	132
+	149	135
+	4	155	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	132
+	149	135
+	3	155	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	127
+	185	126
+	180	124
+	4	175	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	126
+	180	124
+	3	175	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	123
+	180	124
+	185	126
+	4	190	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	124
+	185	126
+	3	190	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	173
+	73	171
+	68	167
+	4	63	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	171
+	68	167
+	3	63	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	165
+	68	167
+	73	171
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	167
+	73	171
+	3	78	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	165
+	88	163
+	83	159
+	4	78	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	163
+	83	159
+	3	78	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	158
+	83	159
+	88	163
+	4	93	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	159
+	88	163
+	3	93	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	124
+	216	125
+	210	123
+	4	206	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	125
+	210	123
+	3	206	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	123
+	200	123
+	206	124
+	4	210	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	123
+	206	124
+	3	210	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	143
+	134	141
+	129	138
+	4	124	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	141
+	129	138
+	3	124	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	136
+	129	138
+	134	141
+	4	139	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	138
+	134	141
+	3	139	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	126
+	196	125
+	190	123
+	4	185	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	125
+	190	123
+	3	185	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	123
+	190	123
+	196	125
+	4	200	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	123
+	196	125
+	3	200	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	158
+	103	156
+	99	152
+	4	93	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	156
+	99	152
+	3	93	158	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	150
+	99	152
+	103	156
+	4	109	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	152
+	103	156
+	3	109	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	135
+	160	133
+	155	130
+	4	149	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	133
+	155	130
+	3	149	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	129
+	155	130
+	160	133
+	4	165	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	130
+	160	133
+	3	165	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	150
+	119	148
+	114	145
+	4	109	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	148
+	114	145
+	3	109	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	143
+	114	145
+	119	148
+	4	124	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	145
+	119	148
+	3	124	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	125
+	206	124
+	200	123
+	4	196	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	124
+	200	123
+	3	196	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	171
+	63	173
+	67	177
+	4	73	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	173
+	67	177
+	3	73	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	141
+	144	140
+	139	136
+	4	134	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	140
+	139	136
+	3	134	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	135
+	139	136
+	144	140
+	4	149	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	136
+	144	140
+	3	149	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	73	171
+	83	169
+	78	165
+	4	73	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	169
+	78	165
+	3	73	171	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	163
+	78	165
+	83	169
+	4	88	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	165
+	83	169
+	3	88	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	133
+	170	131
+	165	129
+	4	160	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	131
+	165	129
+	3	160	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	127
+	165	129
+	170	131
+	4	175	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	129
+	170	131
+	3	175	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	239	131
+	247	141
+	241	136
+	4	239	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	141
+	241	136
+	3	239	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	136
+	232	129
+	239	131
+	4	241	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	129
+	239	131
+	3	241	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	163
+	98	162
+	93	158
+	4	88	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	162
+	93	158
+	3	88	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	156
+	93	158
+	98	162
+	4	103	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	158
+	98	162
+	3	103	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	148
+	129	147
+	124	143
+	4	119	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	147
+	124	143
+	3	119	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	141
+	124	143
+	129	147
+	4	134	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	143
+	129	147
+	3	134	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	156
+	113	154
+	109	150
+	4	103	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	154
+	109	150
+	3	103	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	148
+	109	150
+	113	154
+	4	119	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	150
+	113	154
+	3	119	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	140
+	155	138
+	149	135
+	4	144	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	138
+	149	135
+	3	144	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	133
+	149	135
+	155	138
+	4	160	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	135
+	155	138
+	3	160	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	177
+	77	175
+	73	171
+	4	67	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	175
+	73	171
+	3	67	177	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	169
+	73	171
+	77	175
+	4	83	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	171
+	77	175
+	3	83	169	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	131
+	181	129
+	175	127
+	4	170	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	129
+	175	127
+	3	170	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	126
+	175	127
+	181	129
+	4	185	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	127
+	181	129
+	3	185	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	126
+	232	129
+	226	127
+	4	223	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	129
+	226	127
+	3	223	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	226	127
+	216	125
+	223	126
+	4	226	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	125
+	223	126
+	3	226	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	169
+	93	167
+	88	163
+	4	83	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	167
+	88	163
+	3	83	169	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	162
+	88	163
+	93	167
+	4	98	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	163
+	93	167
+	3	98	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	147
+	139	145
+	134	141
+	4	129	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	145
+	134	141
+	3	129	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	140
+	134	141
+	139	145
+	4	144	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	141
+	139	145
+	3	144	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	98	162
+	108	160
+	103	156
+	4	98	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	160
+	103	156
+	3	98	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	154
+	103	156
+	108	160
+	4	113	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	156
+	108	160
+	3	113	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	154
+	124	152
+	119	148
+	4	113	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	152
+	119	148
+	3	113	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	147
+	119	148
+	124	152
+	4	129	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	148
+	124	152
+	3	129	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	133
+	252	147
+	247	141
+	4	245	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	147
+	247	141
+	3	245	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	141
+	239	131
+	245	133
+	4	247	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	131
+	245	133
+	3	247	141	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	129
+	191	127
+	185	126
+	4	181	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	127
+	185	126
+	3	181	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	196	125
+	185	126
+	191	127
+	4	196	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	126
+	191	127
+	3	196	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	138
+	165	136
+	160	133
+	4	155	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	136
+	160	133
+	3	155	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	131
+	160	133
+	165	136
+	4	170	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	133
+	165	136
+	3	170	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	175
+	67	177
+	72	181
+	4	77	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	177
+	72	181
+	3	77	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	77	175
+	87	173
+	83	169
+	4	77	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	173
+	83	169
+	3	77	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	167
+	83	169
+	87	173
+	4	93	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	169
+	87	173
+	3	93	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	93	167
+	103	166
+	98	162
+	4	93	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	166
+	98	162
+	3	93	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	160
+	98	162
+	103	166
+	4	108	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	162
+	103	166
+	3	108	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	145
+	149	143
+	144	140
+	4	139	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	143
+	144	140
+	3	139	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	138
+	144	140
+	149	143
+	4	155	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	140
+	149	143
+	3	155	138	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	108	160
+	118	158
+	113	154
+	4	108	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	158
+	113	154
+	3	108	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	152
+	113	154
+	118	158
+	4	124	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	154
+	118	158
+	3	124	152	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	252	147
+	245	133
+	251	135
+	4	252	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	133
+	251	135
+	3	252	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	152
+	134	150
+	129	147
+	4	124	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	150
+	129	147
+	3	124	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	145
+	129	147
+	134	150
+	4	139	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	147
+	134	150
+	3	139	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	125
+	223	126
+	216	125
+	4	212	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	126
+	216	125
+	3	212	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	125
+	206	124
+	212	125
+	4	216	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	124
+	212	125
+	3	216	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	127
+	202	126
+	196	125
+	4	191	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	126
+	196	125
+	3	191	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	124
+	196	125
+	202	126
+	4	206	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	125
+	202	126
+	3	206	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	126
+	212	125
+	206	124
+	4	202	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	125
+	206	124
+	3	202	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	136
+	176	133
+	170	131
+	4	165	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	133
+	170	131
+	3	165	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	129
+	170	131
+	176	133
+	4	181	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	131
+	176	133
+	3	181	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	181
+	82	179
+	77	175
+	4	72	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	179
+	77	175
+	3	72	181	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	173
+	77	175
+	82	179
+	4	87	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	175
+	82	179
+	3	87	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	173
+	97	172
+	93	167
+	4	87	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	172
+	93	167
+	3	87	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	103	166
+	93	167
+	97	172
+	4	103	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	167
+	97	172
+	3	103	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	166
+	113	164
+	108	160
+	4	103	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	164
+	108	160
+	3	103	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	158
+	108	160
+	113	164
+	4	118	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	160
+	113	164
+	3	118	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	158
+	129	156
+	124	152
+	4	118	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	156
+	124	152
+	3	118	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	150
+	124	152
+	129	156
+	4	134	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	152
+	129	156
+	3	134	150	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	143
+	160	140
+	155	138
+	4	149	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	155	138
+	3	149	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	136
+	155	138
+	160	140
+	4	165	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	138
+	160	140
+	3	165	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	150
+	144	148
+	139	145
+	4	134	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	139	145
+	3	134	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	143
+	139	145
+	144	148
+	4	149	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	145
+	144	148
+	3	149	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	127
+	239	131
+	232	129
+	4	229	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	131
+	232	129
+	3	229	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	129
+	223	126
+	229	127
+	4	232	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	126
+	229	127
+	3	232	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	179
+	72	181
+	76	185
+	4	82	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	181
+	76	185
+	3	82	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	179
+	92	177
+	87	173
+	4	82	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	177
+	87	173
+	3	82	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	97	172
+	87	173
+	92	177
+	4	97	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	173
+	92	177
+	3	97	172	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	133
+	186	130
+	181	129
+	4	176	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	130
+	181	129
+	3	176	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	127
+	181	129
+	186	130
+	4	191	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	129
+	186	130
+	3	191	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	172
+	108	170
+	103	166
+	4	97	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	170
+	103	166
+	3	97	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	164
+	103	166
+	108	170
+	4	113	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	166
+	108	170
+	3	113	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	164
+	123	162
+	118	158
+	4	113	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	162
+	118	158
+	3	113	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	156
+	118	158
+	123	162
+	4	129	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	158
+	123	162
+	3	129	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	156
+	139	154
+	134	150
+	4	129	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	154
+	134	150
+	3	129	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	148
+	134	150
+	139	154
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	150
+	139	154
+	3	144	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	140
+	170	138
+	165	136
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	138
+	165	136
+	3	160	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	133
+	165	136
+	170	138
+	4	176	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	136
+	170	138
+	3	176	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	148
+	155	146
+	149	143
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	149	143
+	3	144	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	140
+	149	143
+	155	146
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	143
+	155	146
+	3	160	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	185
+	87	183
+	82	179
+	4	76	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	183
+	82	179
+	3	76	185	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	177
+	82	179
+	87	183
+	4	92	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	179
+	87	183
+	3	92	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	177
+	102	176
+	97	172
+	4	92	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	176
+	97	172
+	3	92	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	170
+	97	172
+	102	176
+	4	108	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	172
+	102	176
+	3	108	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	186	130
+	197	128
+	191	127
+	4	186	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	128
+	191	127
+	3	186	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	126
+	191	127
+	197	128
+	4	202	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	127
+	197	128
+	3	202	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	170
+	118	168
+	113	164
+	4	108	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	168
+	113	164
+	3	108	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	162
+	113	164
+	118	168
+	4	123	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	164
+	118	168
+	3	123	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	162
+	134	160
+	129	156
+	4	123	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	160
+	129	156
+	3	123	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	154
+	129	156
+	134	160
+	4	139	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	156
+	134	160
+	3	139	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	139	154
+	149	151
+	144	148
+	4	139	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	144	148
+	3	139	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	146
+	144	148
+	149	151
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	149	151
+	3	155	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	125
+	229	127
+	223	126
+	4	219	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	127
+	223	126
+	3	219	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	126
+	212	125
+	219	125
+	4	223	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	125
+	219	125
+	3	223	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	183
+	97	182
+	92	177
+	4	87	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	182
+	92	177
+	3	87	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	176
+	92	177
+	97	182
+	4	102	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	177
+	97	182
+	3	102	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	128
+	208	126
+	202	126
+	4	197	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	126
+	202	126
+	3	197	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	212	125
+	202	126
+	208	126
+	4	212	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	126
+	208	126
+	3	212	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	138
+	181	134
+	176	133
+	4	170	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	134
+	176	133
+	3	170	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	130
+	176	133
+	181	134
+	4	186	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	133
+	181	134
+	3	186	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	183
+	76	185
+	81	189
+	4	87	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	185
+	81	189
+	3	87	183	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	146
+	165	143
+	160	140
+	4	155	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	143
+	160	140
+	3	155	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	138
+	160	140
+	165	143
+	4	170	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	165	143
+	3	170	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	176
+	113	174
+	108	170
+	4	102	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	174
+	108	170
+	3	102	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	168
+	108	170
+	113	174
+	4	118	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	170
+	113	174
+	3	118	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	168
+	128	166
+	123	162
+	4	118	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	123	162
+	3	118	168	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	160
+	123	162
+	128	166
+	4	134	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	162
+	128	166
+	3	134	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	126
+	219	125
+	212	125
+	4	208	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	125
+	212	125
+	3	208	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	160
+	144	157
+	139	154
+	4	134	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	157
+	139	154
+	3	134	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	151
+	139	154
+	144	157
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	154
+	144	157
+	3	149	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	189
+	91	188
+	87	183
+	4	81	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	188
+	87	183
+	3	81	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	182
+	87	183
+	91	188
+	4	97	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	183
+	91	188
+	3	97	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	182
+	107	180
+	102	176
+	4	97	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	180
+	102	176
+	3	97	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	174
+	102	176
+	107	180
+	4	113	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	176
+	107	180
+	3	113	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	126
+	245	133
+	239	131
+	4	236	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	133
+	239	131
+	3	236	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	131
+	229	127
+	236	126
+	4	239	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	127
+	236	126
+	3	239	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	174
+	123	172
+	118	168
+	4	113	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	172
+	118	168
+	3	113	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	166
+	118	168
+	123	172
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	168
+	123	172
+	3	128	166	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	151
+	160	148
+	155	146
+	4	149	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	148
+	155	146
+	3	149	151	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	143
+	155	146
+	160	148
+	4	165	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	146
+	160	148
+	3	165	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	134
+	192	131
+	186	130
+	4	181	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	131
+	186	130
+	3	181	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	197	128
+	186	130
+	192	131
+	4	197	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	130
+	192	131
+	3	197	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	166
+	139	164
+	134	160
+	4	128	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	164
+	134	160
+	3	128	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	157
+	134	160
+	139	164
+	4	144	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	160
+	139	164
+	3	144	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	143
+	176	139
+	170	138
+	4	165	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	139
+	170	138
+	3	165	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	134
+	170	138
+	176	139
+	4	181	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	138
+	176	139
+	3	181	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	91	188
+	102	186
+	97	182
+	4	91	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	186
+	97	182
+	3	91	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	180
+	97	182
+	102	186
+	4	107	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	182
+	102	186
+	3	107	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	188
+	81	189
+	86	193
+	4	91	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	189
+	86	193
+	3	91	188	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	180
+	118	178
+	113	174
+	4	107	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	178
+	113	174
+	3	107	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	172
+	113	174
+	118	178
+	4	123	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	174
+	118	178
+	3	123	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	157
+	155	154
+	149	151
+	4	144	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	154
+	149	151
+	3	144	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	148
+	149	151
+	155	154
+	4	160	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	151
+	155	154
+	3	160	148	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	172
+	134	170
+	128	166
+	4	123	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	170
+	128	166
+	3	123	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	164
+	128	166
+	134	170
+	4	139	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	166
+	134	170
+	3	139	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	131
+	203	128
+	197	128
+	4	192	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	128
+	197	128
+	3	192	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	126
+	197	128
+	203	128
+	4	208	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	128
+	203	128
+	3	208	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	86	193
+	96	192
+	91	188
+	4	86	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	192
+	91	188
+	3	86	193	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	186
+	91	188
+	96	192
+	4	102	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	188
+	96	192
+	3	102	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	102	186
+	112	185
+	107	180
+	4	102	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	185
+	107	180
+	3	102	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	178
+	107	180
+	112	185
+	4	118	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	180
+	112	185
+	3	118	178	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	148
+	171	145
+	165	143
+	4	160	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	145
+	165	143
+	3	160	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	139
+	165	143
+	171	145
+	4	176	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	143
+	171	145
+	3	176	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	164
+	149	161
+	144	157
+	4	139	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	161
+	144	157
+	3	139	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	154
+	144	157
+	149	161
+	4	155	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	157
+	149	161
+	3	155	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	118	178
+	128	176
+	123	172
+	4	118	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	176
+	123	172
+	3	118	178	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	170
+	123	172
+	128	176
+	4	134	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	172
+	128	176
+	3	134	170	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	176	139
+	187	135
+	181	134
+	4	176	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	135
+	181	134
+	3	176	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	131
+	181	134
+	187	135
+	4	192	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	134
+	187	135
+	3	192	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	124
+	236	126
+	229	127
+	4	225	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	126
+	229	127
+	3	225	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	127
+	219	125
+	225	124
+	4	229	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	125
+	225	124
+	3	229	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	192
+	107	191
+	102	186
+	4	96	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	191
+	102	186
+	3	96	192	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	185
+	102	186
+	107	191
+	4	112	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	186
+	107	191
+	3	112	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	170
+	144	167
+	139	164
+	4	134	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	139	164
+	3	134	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	161
+	139	164
+	144	167
+	4	149	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	164
+	144	167
+	3	149	161	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	192
+	86	193
+	91	198
+	4	96	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	193
+	91	198
+	3	96	192	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	203	128
+	214	125
+	208	126
+	4	203	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	125
+	208	126
+	3	203	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	125
+	208	126
+	214	125
+	4	219	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	126
+	214	125
+	3	219	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	185
+	123	183
+	118	178
+	4	112	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	183
+	118	178
+	3	112	185	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	176
+	118	178
+	123	183
+	4	128	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	178
+	123	183
+	3	128	176	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	125
+	251	135
+	245	133
+	4	243	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	135
+	245	133
+	3	243	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	133
+	236	126
+	243	125
+	4	245	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	126
+	243	125
+	3	245	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	154
+	166	151
+	160	148
+	4	155	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	151
+	160	148
+	3	155	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	145
+	160	148
+	166	151
+	4	171	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	148
+	166	151
+	3	171	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	125
+	225	124
+	219	125
+	4	214	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	124
+	219	125
+	3	214	125	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	176
+	139	174
+	134	170
+	4	128	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	174
+	134	170
+	3	128	176	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	167
+	134	170
+	139	174
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	170
+	139	174
+	3	144	167	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	91	198
+	101	197
+	96	192
+	4	91	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	197
+	96	192
+	3	91	198	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	191
+	96	192
+	101	197
+	4	107	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	192
+	101	197
+	3	107	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	107	191
+	117	189
+	112	185
+	4	107	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	189
+	112	185
+	3	107	191	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	183
+	112	185
+	117	189
+	4	123	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	185
+	117	189
+	3	123	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	161
+	160	157
+	155	154
+	4	149	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	157
+	155	154
+	3	149	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	151
+	155	154
+	160	157
+	4	166	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	154
+	160	157
+	3	166	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	145
+	182	140
+	176	139
+	4	171	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	140
+	176	139
+	3	171	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	187	135
+	176	139
+	182	140
+	4	187	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	139
+	182	140
+	3	187	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	183
+	133	181
+	128	176
+	4	123	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	181
+	128	176
+	3	123	183	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	174
+	128	176
+	133	181
+	4	139	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	176
+	133	181
+	3	139	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	187	135
+	198	131
+	192	131
+	4	187	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	131
+	192	131
+	3	187	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	128
+	192	131
+	198	131
+	4	203	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	131
+	198	131
+	3	203	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	197
+	112	196
+	107	191
+	4	101	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	196
+	107	191
+	3	101	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	189
+	107	191
+	112	196
+	4	117	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	191
+	112	196
+	3	117	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	167
+	155	164
+	149	161
+	4	144	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	164
+	149	161
+	3	144	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	157
+	149	161
+	155	164
+	4	160	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	161
+	155	164
+	3	160	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	197
+	91	198
+	96	203
+	4	101	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	198
+	96	203
+	3	101	197	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	189
+	128	187
+	123	183
+	4	117	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	187
+	123	183
+	3	117	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	181
+	123	183
+	128	187
+	4	133	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	183
+	128	187
+	3	133	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	174
+	149	171
+	144	167
+	4	139	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	171
+	144	167
+	3	139	174	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	164
+	144	167
+	149	171
+	4	155	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	167
+	149	171
+	3	155	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	151
+	177	146
+	171	145
+	4	166	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	146
+	171	145
+	3	166	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	140
+	171	145
+	177	146
+	4	182	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	145
+	177	146
+	3	182	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	203
+	106	202
+	101	197
+	4	96	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	202
+	101	197
+	3	96	203	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	196
+	101	197
+	106	202
+	4	112	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	197
+	106	202
+	3	112	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	196
+	123	194
+	117	189
+	4	112	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	194
+	117	189
+	3	112	196	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	187
+	117	189
+	123	194
+	4	128	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	189
+	123	194
+	3	128	187	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	133	181
+	144	178
+	139	174
+	4	133	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	178
+	139	174
+	3	133	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	171
+	139	174
+	144	178
+	4	149	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	174
+	144	178
+	3	149	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	131
+	210	127
+	203	128
+	4	198	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	127
+	203	128
+	3	198	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	125
+	203	128
+	210	127
+	4	214	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	128
+	210	127
+	3	214	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	157
+	171	152
+	166	151
+	4	160	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	152
+	166	151
+	3	160	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	146
+	166	151
+	171	152
+	4	177	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	151
+	171	152
+	3	177	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	251	135
+	243	125
+	251	123
+	4	251	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	125
+	251	123
+	3	251	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	182	140
+	193	135
+	187	135
+	4	182	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	135
+	187	135
+	3	182	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	131
+	187	135
+	193	135
+	4	198	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	135
+	193	135
+	3	198	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	187
+	139	185
+	133	181
+	4	128	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	185
+	133	181
+	3	128	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	144	178
+	133	181
+	139	185
+	4	144	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	181
+	139	185
+	3	144	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	202
+	117	201
+	112	196
+	4	106	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	201
+	112	196
+	3	106	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	194
+	112	196
+	117	201
+	4	123	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	196
+	117	201
+	3	123	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	202
+	96	203
+	101	208
+	4	106	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	203
+	101	208
+	3	106	202	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	194
+	133	192
+	128	187
+	4	123	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	192
+	128	187
+	3	123	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	185
+	128	187
+	133	192
+	4	139	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	187
+	133	192
+	3	139	185	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	164
+	166	159
+	160	157
+	4	155	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	159
+	160	157
+	3	155	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	171	152
+	160	157
+	166	159
+	4	171	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	157
+	166	159
+	3	171	152	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	122
+	243	125
+	236	126
+	4	232	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	125
+	236	126
+	3	232	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	236	126
+	225	124
+	232	122
+	4	236	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	124
+	232	122
+	3	236	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	208
+	112	207
+	106	202
+	4	101	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	207
+	106	202
+	3	101	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	201
+	106	202
+	112	207
+	4	117	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	202
+	112	207
+	3	117	201	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	171
+	160	167
+	155	164
+	4	149	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	167
+	155	164
+	3	149	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	159
+	155	164
+	160	167
+	4	166	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	164
+	160	167
+	3	166	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	201
+	128	199
+	123	194
+	4	117	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	199
+	123	194
+	3	117	201	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	192
+	123	194
+	128	199
+	4	133	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	194
+	128	199
+	3	133	192	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	127
+	221	123
+	214	125
+	4	210	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	123
+	214	125
+	3	210	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	124
+	214	125
+	221	123
+	4	225	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	125
+	221	123
+	3	225	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	178
+	155	174
+	149	171
+	4	144	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	174
+	149	171
+	3	144	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	167
+	149	171
+	155	174
+	4	160	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	171
+	155	174
+	3	160	167	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	177	146
+	188	140
+	182	140
+	4	177	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	140
+	182	140
+	3	177	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	135
+	182	140
+	188	140
+	4	193	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	140
+	188	140
+	3	193	135	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	185
+	149	182
+	144	178
+	4	139	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	182
+	144	178
+	3	139	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	174
+	144	178
+	149	182
+	4	155	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	178
+	149	182
+	3	155	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	221	123
+	232	122
+	225	124
+	4	221	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	122
+	225	124
+	3	221	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	207
+	122	206
+	117	201
+	4	112	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	206
+	117	201
+	3	112	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	199
+	117	201
+	122	206
+	4	128	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	201
+	122	206
+	3	128	199	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	207
+	101	208
+	106	213
+	4	112	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	208
+	106	213
+	3	112	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	192
+	144	190
+	139	185
+	4	133	192	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	190
+	139	185
+	3	133	192	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	182
+	139	185
+	144	190
+	4	149	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	185
+	144	190
+	3	149	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	199
+	139	197
+	133	192
+	4	128	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	197
+	133	192
+	3	128	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	190
+	133	192
+	139	197
+	4	144	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	192
+	139	197
+	3	144	190	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	135
+	205	129
+	198	131
+	4	193	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	129
+	198	131
+	3	193	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	127
+	198	131
+	205	129
+	4	210	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	131
+	205	129
+	3	210	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	152
+	183	147
+	177	146
+	4	171	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	147
+	177	146
+	3	171	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	140
+	177	146
+	183	147
+	4	188	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	146
+	183	147
+	3	188	140	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	213
+	117	213
+	112	207
+	4	106	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	213
+	112	207
+	3	106	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	206
+	112	207
+	117	213
+	4	122	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	207
+	117	213
+	3	122	206	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	206
+	133	204
+	128	199
+	4	122	206	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	204
+	128	199
+	3	122	206	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	197
+	128	199
+	133	204
+	4	139	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	199
+	133	204
+	3	139	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	159
+	177	154
+	171	152
+	4	166	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	154
+	171	152
+	3	166	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	147
+	171	152
+	177	154
+	4	183	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	152
+	177	154
+	3	183	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	213
+	128	211
+	122	206
+	4	117	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	211
+	122	206
+	3	117	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	204
+	122	206
+	128	211
+	4	133	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	206
+	128	211
+	3	133	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	213
+	106	213
+	111	219
+	4	117	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	213
+	111	219
+	3	117	213	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	160	167
+	172	162
+	166	159
+	4	160	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	162
+	166	159
+	3	160	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	154
+	166	159
+	172	162
+	4	177	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	159
+	172	162
+	3	177	154	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	174
+	166	170
+	160	167
+	4	155	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	170
+	160	167
+	3	155	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	162
+	160	167
+	166	170
+	4	172	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	167
+	166	170
+	3	172	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	182
+	161	178
+	155	174
+	4	149	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	178
+	155	174
+	3	149	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	170
+	155	174
+	161	178
+	4	166	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	174
+	161	178
+	3	166	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	190
+	155	186
+	149	182
+	4	144	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	186
+	149	182
+	3	144	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	178
+	149	182
+	155	186
+	4	161	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	182
+	155	186
+	3	161	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	197
+	149	195
+	144	190
+	4	139	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	195
+	144	190
+	3	139	197	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	186
+	144	190
+	149	195
+	4	155	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	190
+	149	195
+	3	155	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	204
+	144	202
+	139	197
+	4	133	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	202
+	139	197
+	3	133	204	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	195
+	139	197
+	144	202
+	4	149	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	197
+	144	202
+	3	149	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	219
+	122	218
+	117	213
+	4	111	219	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	218
+	117	213
+	3	111	219	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	211
+	117	213
+	122	218
+	4	128	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	213
+	122	218
+	3	128	211	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	140
+	200	134
+	193	135
+	4	188	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	134
+	193	135
+	3	188	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	129
+	193	135
+	200	134
+	4	205	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	135
+	200	134
+	3	205	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	211
+	138	210
+	133	204
+	4	128	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	210
+	133	204
+	3	128	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	202
+	133	204
+	138	210
+	4	144	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	204
+	138	210
+	3	144	202	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	129
+	217	124
+	210	127
+	4	205	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	124
+	210	127
+	3	205	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	123
+	210	127
+	217	124
+	4	221	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	127
+	217	124
+	3	221	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	218
+	133	217
+	128	211
+	4	122	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	217
+	128	211
+	3	122	218	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	210
+	128	211
+	133	217
+	4	138	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	211
+	133	217
+	3	138	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	218
+	111	219
+	116	225
+	4	122	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	219
+	116	225
+	3	122	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	240	118
+	251	123
+	243	125
+	4	240	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	123
+	243	125
+	3	240	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	125
+	232	122
+	240	118
+	4	243	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	122
+	240	118
+	3	243	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	225
+	127	224
+	122	218
+	4	116	225	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	224
+	122	218
+	3	116	225	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	217
+	122	218
+	127	224
+	4	133	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	218
+	127	224
+	3	133	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	147
+	194	140
+	188	140
+	4	183	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	140
+	188	140
+	3	183	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	200	134
+	188	140
+	194	140
+	4	200	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	140
+	194	140
+	3	200	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	210
+	149	208
+	144	202
+	4	138	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	208
+	144	202
+	3	138	210	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	200
+	144	202
+	149	208
+	4	155	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	202
+	149	208
+	3	155	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	202
+	155	200
+	149	195
+	4	144	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	200
+	149	195
+	3	144	202	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	191
+	149	195
+	155	200
+	4	161	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	195
+	155	200
+	3	161	191	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	195
+	161	191
+	155	186
+	4	149	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	191
+	155	186
+	3	149	195	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	217
+	144	216
+	138	210
+	4	133	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	216
+	138	210
+	3	133	217	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	208
+	138	210
+	144	216
+	4	149	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	210
+	144	216
+	3	149	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	182
+	155	186
+	161	191
+	4	166	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	186
+	161	191
+	3	166	182	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	186
+	166	182
+	161	178
+	4	155	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	182
+	161	178
+	3	155	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	224
+	138	224
+	133	217
+	4	127	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	224
+	133	217
+	3	127	224	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	216
+	133	217
+	138	224
+	4	144	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	217
+	138	224
+	3	144	216	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	224
+	116	225
+	122	231
+	4	127	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	225
+	122	231
+	3	127	224	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	173
+	161	178
+	166	182
+	4	172	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	178
+	166	182
+	3	172	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	178
+	172	173
+	166	170
+	4	161	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	173
+	166	170
+	3	161	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	154
+	189	147
+	183	147
+	4	177	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	147
+	183	147
+	3	177	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	140
+	183	147
+	189	147
+	4	194	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	147
+	189	147
+	3	194	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	124
+	229	119
+	221	123
+	4	217	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	119
+	221	123
+	3	217	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	232	122
+	221	123
+	229	119
+	4	232	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	123
+	229	119
+	3	232	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	177	163
+	166	170
+	172	173
+	4	177	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	170
+	172	173
+	3	177	163	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	170
+	177	163
+	172	162
+	4	166	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	163
+	172	162
+	3	166	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	231
+	133	231
+	127	224
+	4	122	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	231
+	127	224
+	3	122	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	224
+	127	224
+	133	231
+	4	138	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	224
+	133	231
+	3	138	224	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	162
+	183	155
+	177	154
+	4	172	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	155
+	177	154
+	3	172	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	147
+	177	154
+	183	155
+	4	189	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	154
+	183	155
+	3	189	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	155
+	172	162
+	177	163
+	4	183	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	162
+	177	163
+	3	183	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	224
+	149	223
+	144	216
+	4	138	224	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	223
+	144	216
+	3	138	224	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	214
+	144	216
+	149	223
+	4	155	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	216
+	149	223
+	3	155	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	216
+	155	214
+	149	208
+	4	144	216	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	214
+	149	208
+	3	144	216	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	205
+	149	208
+	155	214
+	4	161	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	208
+	155	214
+	3	161	205	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	208
+	161	205
+	155	200
+	4	149	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	205
+	155	200
+	3	149	208	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	229	119
+	240	118
+	232	122
+	4	229	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	118
+	232	122
+	3	229	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	133	231
+	144	230
+	138	224
+	4	133	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	230
+	138	224
+	3	133	231	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	223
+	138	224
+	144	230
+	4	149	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	224
+	144	230
+	3	149	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	255
+	149	253
+	155	262
+	4	161	255	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	253
+	155	262
+	3	161	255	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	253
+	161	255
+	155	246
+	4	149	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	255
+	155	246
+	3	149	253	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	246
+	155	246
+	161	255
+	4	166	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	246
+	161	255
+	3	166	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	134
+	212	126
+	205	129
+	4	200	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	126
+	205	129
+	3	200	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	124
+	205	129
+	212	126
+	4	217	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	129
+	212	126
+	3	217	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	231
+	122	231
+	127	238
+	4	133	231	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	231
+	127	238
+	3	133	231	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	196
+	155	200
+	161	205
+	4	166	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	200
+	161	205
+	3	166	196	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	200
+	166	196
+	161	191
+	4	155	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	196
+	161	191
+	3	155	200	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	238
+	138	238
+	133	231
+	4	127	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	238
+	133	231
+	3	127	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	230
+	133	231
+	138	238
+	4	144	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	231
+	138	238
+	3	144	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	246
+	166	246
+	161	238
+	4	155	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	246
+	161	238
+	3	155	246	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	237
+	161	238
+	166	246
+	4	172	237	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	238
+	166	246
+	3	172	237	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	262
+	144	260
+	149	268
+	4	155	262	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	260
+	149	268
+	3	155	262	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	144	260
+	155	262
+	149	253
+	4	144	260	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	262
+	149	253
+	3	144	260	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	230
+	155	230
+	149	223
+	4	144	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	230
+	149	223
+	3	144	230	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	221
+	149	223
+	155	230
+	4	161	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	223
+	155	230
+	3	161	221	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	223
+	161	221
+	155	214
+	4	149	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	221
+	155	214
+	3	149	223	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	238
+	149	238
+	144	230
+	4	138	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	238
+	144	230
+	3	138	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	230
+	144	230
+	149	238
+	4	155	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	230
+	149	238
+	3	155	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	246
+	144	245
+	149	253
+	4	155	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	245
+	149	253
+	3	155	246	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	245
+	155	246
+	149	238
+	4	144	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	246
+	149	238
+	3	144	245	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	238
+	149	238
+	155	246
+	4	161	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	238
+	155	246
+	3	161	238	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	186
+	161	191
+	166	196
+	4	172	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	191
+	166	196
+	3	172	186	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	191
+	172	186
+	166	182
+	4	161	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	186
+	166	182
+	3	161	191	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	238
+	161	238
+	155	230
+	4	149	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	238
+	155	230
+	3	149	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	238
+	138	238
+	144	245
+	4	149	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	238
+	144	245
+	3	149	238	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	211
+	155	214
+	161	221
+	4	166	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	214
+	161	221
+	3	166	211	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	214
+	166	211
+	161	205
+	4	155	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	211
+	161	205
+	3	155	214	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	244
+	144	245
+	138	238
+	4	133	244	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	245
+	138	238
+	3	133	244	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	238
+	127	238
+	133	244
+	4	138	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	238
+	133	244
+	3	138	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	161	238
+	172	237
+	166	228
+	4	161	238	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	237
+	166	228
+	3	161	238	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	228
+	155	230
+	161	238
+	4	166	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	230
+	161	238
+	3	166	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	230
+	166	228
+	161	221
+	4	155	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	228
+	161	221
+	3	155	230	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	253
+	138	252
+	144	260
+	4	149	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	252
+	144	260
+	3	149	253	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	252
+	149	253
+	144	245
+	4	138	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	253
+	144	245
+	3	138	252	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	144	245
+	133	244
+	138	252
+	4	144	245	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	244
+	138	252
+	3	144	245	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	226
+	166	228
+	172	237
+	4	178	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	228
+	172	237
+	3	178	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	175
+	166	182
+	172	186
+	4	178	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	182
+	172	186
+	3	178	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	182
+	178	175
+	172	173
+	4	166	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	175
+	172	173
+	3	166	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	201
+	161	205
+	166	211
+	4	172	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	205
+	166	211
+	3	172	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	205
+	172	201
+	166	196
+	4	161	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	201
+	166	196
+	3	161	205	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	218
+	161	221
+	166	228
+	4	172	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	221
+	166	228
+	3	172	218	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	221
+	172	218
+	166	211
+	4	161	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	218
+	166	211
+	3	161	221	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	228
+	178	226
+	172	218
+	4	166	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	226
+	172	218
+	3	166	228	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	140
+	207	131
+	200	134
+	4	194	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	131
+	200	134
+	3	194	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	126
+	200	134
+	207	131
+	4	212	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	134
+	207	131
+	3	212	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	165
+	172	173
+	178	175
+	4	184	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	173
+	178	175
+	3	184	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	173
+	184	165
+	177	163
+	4	172	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	165
+	177	163
+	3	172	173	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	190
+	166	196
+	172	201
+	4	178	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	196
+	172	201
+	3	178	190	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	196
+	178	190
+	172	186
+	4	166	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	190
+	172	186
+	3	166	196	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	207
+	166	211
+	172	218
+	4	178	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	211
+	172	218
+	3	178	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	211
+	178	207
+	172	201
+	4	166	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	207
+	172	201
+	3	166	211	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	155
+	177	163
+	184	165
+	4	189	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	163
+	184	165
+	3	189	155	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	177	163
+	189	155
+	183	155
+	4	177	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	155
+	183	155
+	3	177	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	126
+	224	119
+	217	124
+	4	212	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	119
+	217	124
+	3	212	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	119
+	217	124
+	224	119
+	4	229	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	124
+	224	119
+	3	229	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	147
+	201	137
+	194	140
+	4	189	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	137
+	194	140
+	3	189	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	131
+	194	140
+	201	137
+	4	207	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	140
+	201	137
+	3	207	131	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	195	146
+	183	155
+	189	155
+	4	195	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	155
+	189	155
+	3	195	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	155
+	195	146
+	189	147
+	4	183	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	146
+	189	147
+	3	183	155	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	184	213
+	172	218
+	178	226
+	4	184	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	218
+	178	226
+	3	184	213	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	218
+	184	213
+	178	207
+	4	172	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	213
+	178	207
+	3	172	218	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	137
+	189	147
+	195	146
+	4	201	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	147
+	195	146
+	3	201	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	251	123
+	240	118
+	249	111
+	4	251	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	118
+	249	111
+	3	251	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	178
+	172	186
+	178	190
+	4	184	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	186
+	178	190
+	3	184	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	186
+	184	178
+	178	175
+	4	172	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	178
+	178	175
+	3	172	186	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	194
+	172	201
+	178	207
+	4	184	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	201
+	178	207
+	3	184	194	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	201
+	184	194
+	178	190
+	4	172	201	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	194
+	178	190
+	3	172	201	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	119
+	237	113
+	229	119
+	4	224	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	113
+	229	119
+	3	224	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	240	118
+	229	119
+	237	113
+	4	240	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	119
+	237	113
+	3	240	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	166
+	178	175
+	184	178
+	4	190	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	175
+	184	178
+	3	190	166	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	175
+	190	166
+	184	165
+	4	178	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	166
+	184	165
+	3	178	175	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	199
+	178	207
+	184	213
+	4	190	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	207
+	184	213
+	3	190	199	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	207
+	190	199
+	184	194
+	4	178	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	199
+	184	194
+	3	178	207	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	131
+	219	121
+	212	126
+	4	207	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	121
+	212	126
+	3	207	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	119
+	212	126
+	219	121
+	4	224	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	126
+	219	121
+	3	224	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	113
+	249	111
+	240	118
+	4	237	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	111
+	240	118
+	3	237	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	181
+	178	190
+	184	194
+	4	190	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	190
+	184	194
+	3	190	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	190
+	190	181
+	184	178
+	4	178	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	181
+	184	178
+	3	178	190	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	196	154
+	184	165
+	190	166
+	4	196	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	165
+	190	166
+	3	196	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	184	165
+	196	154
+	189	155
+	4	184	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	154
+	189	155
+	3	184	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	137
+	214	126
+	207	131
+	4	201	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	126
+	207	131
+	3	201	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	121
+	207	131
+	214	126
+	4	219	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	131
+	214	126
+	3	219	121	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	143
+	189	155
+	196	154
+	4	202	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	155
+	196	154
+	3	202	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	189	155
+	202	143
+	195	146
+	4	189	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	143
+	195	146
+	3	189	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	134
+	195	146
+	202	143
+	4	208	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	146
+	202	143
+	3	208	134	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	146
+	208	134
+	201	137
+	4	195	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	134
+	201	137
+	3	195	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	126
+	201	137
+	208	134
+	4	214	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	137
+	208	134
+	3	214	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	184
+	184	194
+	190	199
+	4	197	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	194
+	190	199
+	3	197	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	194
+	197	184
+	190	181
+	4	184	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	184
+	190	181
+	3	184	194	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	167
+	184	178
+	190	181
+	4	197	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	178
+	190	181
+	3	197	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	184	178
+	197	167
+	190	166
+	4	184	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	167
+	190	166
+	3	184	178	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	121
+	233	111
+	224	119
+	4	219	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	111
+	224	119
+	3	219	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	113
+	224	119
+	233	111
+	4	237	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	119
+	233	111
+	3	237	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	153
+	190	166
+	197	167
+	4	203	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	166
+	197	167
+	3	203	153	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	166
+	203	153
+	196	154
+	4	190	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	153
+	196	154
+	3	190	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	167
+	190	181
+	197	184
+	4	203	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	181
+	197	184
+	3	203	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	190	181
+	203	167
+	197	167
+	4	190	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	167
+	197	167
+	3	190	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	210	139
+	196	154
+	203	153
+	4	210	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	154
+	203	153
+	3	210	139	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	196	154
+	210	139
+	202	143
+	4	196	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	139
+	202	143
+	3	196	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	126
+	228	113
+	219	121
+	4	214	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	113
+	219	121
+	3	214	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	111
+	219	121
+	228	113
+	4	233	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	121
+	228	113
+	3	233	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	233	111
+	247	102
+	237	113
+	4	233	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	102
+	237	113
+	3	233	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	111
+	237	113
+	247	102
+	4	249	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	113
+	247	102
+	3	249	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	216	127
+	202	143
+	210	139
+	4	216	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	143
+	210	139
+	3	216	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	143
+	216	127
+	208	134
+	4	202	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	127
+	208	134
+	3	202	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	134
+	222	118
+	214	126
+	4	208	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	118
+	214	126
+	3	208	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	113
+	214	126
+	222	118
+	4	228	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	126
+	222	118
+	3	228	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	118
+	208	134
+	216	127
+	4	222	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	134
+	216	127
+	3	222	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	211	150
+	197	167
+	203	167
+	4	211	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	167
+	203	167
+	3	211	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	197	167
+	211	150
+	203	153
+	4	197	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	150
+	203	153
+	3	197	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	228	113
+	243	98
+	233	111
+	4	228	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	98
+	233	111
+	3	228	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	102
+	233	111
+	243	98
+	4	247	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	111
+	243	98
+	3	247	102	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	218	133
+	203	153
+	211	150
+	4	218	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	153
+	211	150
+	3	218	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	203	153
+	218	133
+	210	139
+	4	203	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	133
+	210	139
+	3	203	153	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	118
+	210	139
+	218	133
+	4	225	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	139
+	218	133
+	3	225	118	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	210	139
+	225	118
+	216	127
+	4	210	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	118
+	216	127
+	3	210	139	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	222	118
+	238	99
+	228	113
+	4	222	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	99
+	228	113
+	3	222	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	243	98
+	228	113
+	238	99
+	4	243	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	113
+	238	99
+	3	243	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	232	106
+	216	127
+	225	118
+	4	232	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	127
+	225	118
+	3	232	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	127
+	232	106
+	222	118
+	4	216	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	106
+	222	118
+	3	216	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	99
+	222	118
+	232	106
+	4	238	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	118
+	232	106
+	3	238	99	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/newmap.ps b/books/ps/newmap.ps
new file mode 100644
index 0000000..c499d38
--- /dev/null
+++ b/books/ps/newmap.ps
@@ -0,0 +1,16041 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	303	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	33	287	245	118	psDrawLine
+	globGC	(X)	28	292	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	267	287	54	118	psDrawLine
+	globGC	(Y)	272	292	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	87	150	275	psDrawLine
+	globGC	(Z)	155	82	psDrawStr
+	globalGC1	107.000000	setForeground
+	globGC	107.000000	setForeground
+	0	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.687500	setForeground
+	renderGC
+	118	20
+	146	14
+	117	17
+	4	118	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	14
+	117	17
+	3	118	20	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	14
+	118	20
+	146	17
+	4	146	14	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	20
+	146	17
+	3	146	14	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	17
+	176	16
+	146	14
+	4	146	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	16
+	146	14
+	3	146	17	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	16
+	146	17
+	175	19
+	4	176	16	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	17
+	175	19
+	3	176	16	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	19
+	204	22
+	176	16
+	4	175	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	22
+	176	16
+	3	175	19	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	27
+	117	17
+	88	24
+	4	91	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	17
+	88	24
+	3	91	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	17
+	91	27
+	118	20
+	4	117	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	27
+	118	20
+	3	117	17	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	23
+	146	17
+	118	20
+	4	119	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	17
+	118	20
+	3	119	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	17
+	119	23
+	146	20
+	4	146	17	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	23
+	146	20
+	3	146	17	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	20
+	175	19
+	146	17
+	4	146	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	19
+	146	17
+	3	146	20	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	19
+	146	20
+	174	22
+	4	175	19	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	20
+	174	22
+	3	175	19	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	22
+	175	19
+	202	24
+	4	204	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	19
+	202	24
+	3	204	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	22
+	202	24
+	175	19
+	4	174	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	24
+	175	19
+	3	174	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	29
+	118	20
+	91	27
+	4	93	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	20
+	91	27
+	3	93	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	20
+	93	29
+	119	23
+	4	118	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	29
+	119	23
+	3	118	20	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	26
+	146	20
+	119	23
+	4	120	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	20
+	119	23
+	3	120	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	20
+	120	26
+	146	23
+	4	146	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	26
+	146	23
+	3	146	20	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	23
+	174	22
+	146	20
+	4	146	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	22
+	146	20
+	3	146	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	22
+	146	23
+	173	25
+	4	174	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	23
+	173	25
+	3	174	22	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	24
+	174	22
+	201	27
+	4	202	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	22
+	201	27
+	3	202	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	25
+	201	27
+	174	22
+	4	173	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	27
+	174	22
+	3	173	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	24
+	231	32
+	204	22
+	4	202	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	32
+	204	22
+	3	202	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	32
+	119	23
+	93	29
+	4	95	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	23
+	93	29
+	3	95	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	23
+	95	32
+	120	26
+	4	119	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	32
+	120	26
+	3	119	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	29
+	146	23
+	120	26
+	4	121	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	23
+	120	26
+	3	121	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	23
+	121	29
+	147	26
+	4	146	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	29
+	147	26
+	3	146	23	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	26
+	173	25
+	146	23
+	4	147	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	25
+	146	23
+	3	147	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	37
+	88	24
+	62	35
+	4	65	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	24
+	62	35
+	3	65	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	24
+	65	37
+	91	27
+	4	88	24	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	37
+	91	27
+	3	88	24	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	32
+	202	24
+	228	34
+	4	231	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	24
+	228	34
+	3	231	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	27
+	228	34
+	202	24
+	4	201	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	34
+	202	24
+	3	201	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	25
+	147	26
+	172	28
+	4	173	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	26
+	172	28
+	3	173	25	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	27
+	173	25
+	199	30
+	4	201	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	25
+	199	30
+	3	201	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	28
+	199	30
+	173	25
+	4	172	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	30
+	173	25
+	3	172	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	35
+	120	26
+	95	32
+	4	97	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	26
+	95	32
+	3	97	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	26
+	97	35
+	121	29
+	4	120	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	35
+	121	29
+	3	120	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	31
+	147	26
+	121	29
+	4	122	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	26
+	121	29
+	3	122	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	26
+	122	31
+	147	29
+	4	147	26	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	31
+	147	29
+	3	147	26	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	29
+	172	28
+	147	26
+	4	147	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	28
+	147	26
+	3	147	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	40
+	91	27
+	65	37
+	4	68	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	27
+	65	37
+	3	68	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	27
+	68	40
+	93	29
+	4	91	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	40
+	93	29
+	3	91	27	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	34
+	201	27
+	225	37
+	4	228	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	27
+	225	37
+	3	228	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	30
+	225	37
+	201	27
+	4	199	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	37
+	201	27
+	3	199	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	28
+	147	29
+	171	31
+	4	172	28	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	29
+	171	31
+	3	172	28	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	30
+	172	28
+	197	33
+	4	199	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	28
+	197	33
+	3	199	30	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	31
+	197	33
+	172	28
+	4	171	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	33
+	172	28
+	3	171	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	37
+	121	29
+	97	35
+	4	99	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	29
+	97	35
+	3	99	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	29
+	99	37
+	122	31
+	4	121	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	37
+	122	31
+	3	121	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	42
+	93	29
+	68	40
+	4	71	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	29
+	68	40
+	3	71	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	29
+	71	42
+	95	32
+	4	93	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	42
+	95	32
+	3	93	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	34
+	147	29
+	122	31
+	4	123	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	29
+	122	31
+	3	123	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	29
+	123	34
+	147	32
+	4	147	29	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	34
+	147	32
+	3	147	29	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	32
+	171	31
+	147	29
+	4	147	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	31
+	147	29
+	3	147	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	37
+	199	30
+	223	39
+	4	225	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	30
+	223	39
+	3	225	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	33
+	223	39
+	199	30
+	4	197	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	39
+	199	30
+	3	197	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	31
+	147	32
+	170	34
+	4	171	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	32
+	170	34
+	3	171	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	33
+	171	31
+	195	36
+	4	197	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	31
+	195	36
+	3	197	33	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	34
+	195	36
+	171	31
+	4	170	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	36
+	171	31
+	3	170	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	40
+	122	31
+	99	37
+	4	101	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	31
+	99	37
+	3	101	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	31
+	101	40
+	123	34
+	4	122	31	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	40
+	123	34
+	3	122	31	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	34
+	255	46
+	231	32
+	4	228	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	46
+	231	32
+	3	228	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	44
+	95	32
+	71	42
+	4	74	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	32
+	71	42
+	3	74	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	32
+	74	44
+	97	35
+	4	95	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	44
+	97	35
+	3	95	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	37
+	147	32
+	123	34
+	4	125	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	32
+	123	34
+	3	125	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	32
+	125	37
+	147	35
+	4	147	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	37
+	147	35
+	3	147	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	35
+	170	34
+	147	32
+	4	147	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	34
+	147	32
+	3	147	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	39
+	197	33
+	220	42
+	4	223	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	33
+	220	42
+	3	223	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	36
+	220	42
+	197	33
+	4	195	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	42
+	197	33
+	3	195	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	34
+	147	35
+	170	37
+	4	170	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	35
+	170	37
+	3	170	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	36
+	170	34
+	193	38
+	4	195	36	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	34
+	193	38
+	3	195	36	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	37
+	193	38
+	170	34
+	4	170	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	38
+	170	34
+	3	170	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	46
+	228	34
+	251	48
+	4	255	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	34
+	251	48
+	3	255	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	37
+	251	48
+	228	34
+	4	225	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	48
+	228	34
+	3	225	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	43
+	123	34
+	101	40
+	4	103	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	34
+	101	40
+	3	103	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	34
+	103	43
+	125	37
+	4	123	34	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	43
+	125	37
+	3	123	34	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	47
+	97	35
+	74	44
+	4	77	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	35
+	74	44
+	3	77	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	35
+	77	47
+	99	37
+	4	97	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	47
+	99	37
+	3	97	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	52
+	62	35
+	40	50
+	4	44	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	35
+	40	50
+	3	44	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	62	35
+	44	52
+	65	37
+	4	62	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	52
+	65	37
+	3	62	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	41
+	147	35
+	125	37
+	4	126	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	35
+	125	37
+	3	126	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	35
+	126	41
+	147	39
+	4	147	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	41
+	147	39
+	3	147	35	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	39
+	170	37
+	147	35
+	4	147	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	37
+	147	35
+	3	147	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	42
+	195	36
+	217	44
+	4	220	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	36
+	217	44
+	3	220	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	38
+	217	44
+	195	36
+	4	193	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	44
+	195	36
+	3	193	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	48
+	225	37
+	247	50
+	4	251	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	37
+	247	50
+	3	251	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	223	39
+	247	50
+	225	37
+	4	223	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	50
+	225	37
+	3	223	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	37
+	147	39
+	169	40
+	4	170	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	39
+	169	40
+	3	170	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	38
+	170	37
+	191	41
+	4	193	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	37
+	191	41
+	3	193	38	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	40
+	191	41
+	170	37
+	4	169	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	41
+	170	37
+	3	169	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	53
+	65	37
+	44	52
+	4	47	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	37
+	44	52
+	3	47	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	65	37
+	47	53
+	68	40
+	4	65	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	53
+	68	40
+	3	65	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	49
+	99	37
+	77	47
+	4	80	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	37
+	77	47
+	3	80	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	37
+	80	49
+	101	40
+	4	99	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	49
+	101	40
+	3	99	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	46
+	125	37
+	103	43
+	4	105	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	37
+	103	43
+	3	105	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	37
+	105	46
+	126	41
+	4	125	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	46
+	126	41
+	3	125	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	44
+	193	38
+	214	47
+	4	217	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	38
+	214	47
+	3	217	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	41
+	214	47
+	193	38
+	4	191	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	47
+	193	38
+	3	191	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	44
+	147	39
+	126	41
+	4	127	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	39
+	126	41
+	3	127	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	39
+	127	44
+	147	42
+	4	147	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	44
+	147	42
+	3	147	39	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	42
+	169	40
+	147	39
+	4	147	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	40
+	147	39
+	3	147	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	50
+	223	39
+	244	52
+	4	247	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	39
+	244	52
+	3	247	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	42
+	244	52
+	223	39
+	4	220	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	52
+	223	39
+	3	220	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	55
+	68	40
+	47	53
+	4	51	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	40
+	47	53
+	3	51	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	40
+	51	55
+	71	42
+	4	68	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	55
+	71	42
+	3	68	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	40
+	147	42
+	168	43
+	4	169	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	42
+	168	43
+	3	169	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	41
+	169	40
+	189	44
+	4	191	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	40
+	189	44
+	3	191	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	43
+	189	44
+	169	40
+	4	168	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	44
+	169	40
+	3	168	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	52
+	101	40
+	80	49
+	4	83	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	40
+	80	49
+	3	83	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	40
+	83	52
+	103	43
+	4	101	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	52
+	103	43
+	3	101	40	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	49
+	126	41
+	105	46
+	4	107	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	41
+	105	46
+	3	107	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	41
+	107	49
+	127	44
+	4	126	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	49
+	127	44
+	3	126	41	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	47
+	191	41
+	211	49
+	4	214	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	41
+	211	49
+	3	214	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	44
+	211	49
+	191	41
+	4	189	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	49
+	191	41
+	3	189	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	52
+	220	42
+	240	54
+	4	244	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	42
+	240	54
+	3	244	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	44
+	240	54
+	220	42
+	4	217	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	54
+	220	42
+	3	217	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	47
+	147	42
+	127	44
+	4	128	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	42
+	127	44
+	3	128	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	42
+	128	47
+	147	45
+	4	147	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	47
+	147	45
+	3	147	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	45
+	168	43
+	147	42
+	4	147	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	43
+	147	42
+	3	147	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	57
+	71	42
+	51	55
+	4	55	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	42
+	51	55
+	3	55	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	42
+	55	57
+	74	44
+	4	71	42	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	57
+	74	44
+	3	71	42	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	43
+	147	45
+	167	46
+	4	168	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	45
+	167	46
+	3	168	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	44
+	168	43
+	187	47
+	4	189	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	43
+	187	47
+	3	189	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	46
+	187	47
+	168	43
+	4	167	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	47
+	168	43
+	3	167	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	54
+	103	43
+	83	52
+	4	87	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	43
+	83	52
+	3	87	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	43
+	87	54
+	105	46
+	4	103	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	54
+	105	46
+	3	103	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	51
+	127	44
+	107	49
+	4	110	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	44
+	107	49
+	3	110	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	44
+	110	51
+	128	47
+	4	127	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	51
+	128	47
+	3	127	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	54
+	217	44
+	236	56
+	4	240	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	44
+	236	56
+	3	240	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	47
+	236	56
+	217	44
+	4	214	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	56
+	217	44
+	3	214	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	49
+	189	44
+	209	52
+	4	211	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	44
+	209	52
+	3	211	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	47
+	209	52
+	189	44
+	4	187	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	52
+	189	44
+	3	187	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	59
+	74	44
+	55	57
+	4	59	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	44
+	55	57
+	3	59	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	44
+	59	59
+	77	47
+	4	74	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	59
+	77	47
+	3	74	44	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	50
+	147	45
+	128	47
+	4	129	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	45
+	128	47
+	3	129	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	45
+	129	50
+	147	48
+	4	147	45	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	50
+	147	48
+	3	147	45	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	48
+	167	46
+	147	45
+	4	147	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	46
+	147	45
+	3	147	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	48
+	274	63
+	255	46
+	4	251	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	63
+	255	46
+	3	251	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	56
+	105	46
+	87	54
+	4	90	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	46
+	87	54
+	3	90	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	46
+	90	56
+	107	49
+	4	105	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	56
+	107	49
+	3	105	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	46
+	147	48
+	166	49
+	4	167	46	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	48
+	166	49
+	3	167	46	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	47
+	167	46
+	186	50
+	4	187	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	46
+	186	50
+	3	187	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	49
+	186	50
+	167	46
+	4	166	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	50
+	167	46
+	3	166	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	56
+	214	47
+	233	58
+	4	236	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	47
+	233	58
+	3	236	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	49
+	233	58
+	214	47
+	4	211	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	58
+	214	47
+	3	211	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	61
+	77	47
+	59	59
+	4	63	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	47
+	59	59
+	3	63	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	47
+	63	61
+	80	49
+	4	77	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	61
+	80	49
+	3	77	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	54
+	128	47
+	110	51
+	4	112	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	47
+	110	51
+	3	112	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	47
+	112	54
+	129	50
+	4	128	47	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	54
+	129	50
+	3	128	47	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	52
+	187	47
+	206	54
+	4	209	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	47
+	206	54
+	3	209	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	50
+	206	54
+	187	47
+	4	186	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	54
+	187	47
+	3	186	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	63
+	251	48
+	270	65
+	4	274	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	48
+	270	65
+	3	274	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	50
+	270	65
+	251	48
+	4	247	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	65
+	251	48
+	3	247	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	53
+	147	48
+	129	50
+	4	130	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	48
+	129	50
+	3	130	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	48
+	130	53
+	148	51
+	4	147	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	53
+	148	51
+	3	147	48	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	51
+	166	49
+	147	48
+	4	148	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	49
+	147	48
+	3	148	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	59
+	107	49
+	90	56
+	4	93	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	49
+	90	56
+	3	93	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	49
+	93	59
+	110	51
+	4	107	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	59
+	110	51
+	3	107	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	58
+	211	49
+	229	60
+	4	233	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	49
+	229	60
+	3	233	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	52
+	229	60
+	211	49
+	4	209	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	60
+	211	49
+	3	209	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	63
+	80	49
+	63	61
+	4	67	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	49
+	63	61
+	3	67	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	49
+	67	63
+	83	52
+	4	80	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	63
+	83	52
+	3	80	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	49
+	148	51
+	165	52
+	4	166	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	51
+	165	52
+	3	166	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	50
+	166	49
+	184	53
+	4	186	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	49
+	184	53
+	3	186	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	52
+	184	53
+	166	49
+	4	165	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	53
+	166	49
+	3	165	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	65
+	247	50
+	265	66
+	4	270	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	50
+	265	66
+	3	270	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	52
+	265	66
+	247	50
+	4	244	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	66
+	247	50
+	3	244	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	26	69
+	40	50
+	22	68
+	4	26	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	50
+	22	68
+	3	26	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	50
+	26	69
+	44	52
+	4	40	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	69
+	44	52
+	3	40	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	57
+	129	50
+	112	54
+	4	114	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	50
+	112	54
+	3	114	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	50
+	114	57
+	130	53
+	4	129	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	57
+	130	53
+	3	129	50	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	54
+	186	50
+	203	57
+	4	206	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	50
+	203	57
+	3	206	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	53
+	203	57
+	186	50
+	4	184	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	57
+	186	50
+	3	184	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	56
+	148	51
+	130	53
+	4	132	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	51
+	130	53
+	3	132	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	51
+	132	56
+	148	55
+	4	148	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	56
+	148	55
+	3	148	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	55
+	165	52
+	148	51
+	4	148	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	52
+	148	51
+	3	148	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	61
+	110	51
+	93	59
+	4	96	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	51
+	93	59
+	3	96	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	51
+	96	61
+	112	54
+	4	110	51	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	61
+	112	54
+	3	110	51	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	65
+	83	52
+	67	63
+	4	71	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	52
+	67	63
+	3	71	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	52
+	71	65
+	87	54
+	4	83	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	65
+	87	54
+	3	83	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	71
+	44	52
+	26	69
+	4	31	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	52
+	26	69
+	3	31	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	52
+	31	71
+	47	53
+	4	44	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	71
+	47	53
+	3	44	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	60
+	209	52
+	225	62
+	4	229	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	52
+	225	62
+	3	229	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	54
+	225	62
+	209	52
+	4	206	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	62
+	209	52
+	3	206	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	66
+	244	52
+	261	68
+	4	265	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	52
+	261	68
+	3	265	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	54
+	261	68
+	244	52
+	4	240	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	68
+	244	52
+	3	240	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	52
+	148	55
+	164	56
+	4	165	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	55
+	164	56
+	3	165	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	53
+	165	52
+	182	56
+	4	184	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	52
+	182	56
+	3	184	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	56
+	182	56
+	165	52
+	4	164	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	56
+	165	52
+	3	164	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	57
+	184	53
+	200	59
+	4	203	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	53
+	200	59
+	3	203	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	56
+	200	59
+	184	53
+	4	182	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	59
+	184	53
+	3	182	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	60
+	130	53
+	114	57
+	4	116	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	53
+	114	57
+	3	116	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	53
+	116	60
+	132	56
+	4	130	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	60
+	132	56
+	3	130	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	72
+	47	53
+	31	71
+	4	35	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	53
+	31	71
+	3	35	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	53
+	35	72
+	51	55
+	4	47	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	72
+	51	55
+	3	47	53	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	68
+	240	54
+	257	69
+	4	261	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	54
+	257	69
+	3	261	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	56
+	257	69
+	240	54
+	4	236	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	69
+	240	54
+	3	236	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	67
+	87	54
+	71	65
+	4	75	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	54
+	71	65
+	3	75	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	54
+	75	67
+	90	56
+	4	87	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	67
+	90	56
+	3	87	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	62
+	206	54
+	222	64
+	4	225	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	54
+	222	64
+	3	225	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	57
+	222	64
+	206	54
+	4	203	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	64
+	206	54
+	3	203	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	64
+	112	54
+	96	61
+	4	99	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	54
+	96	61
+	3	99	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	54
+	99	64
+	114	57
+	4	112	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	64
+	114	57
+	3	112	54	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	59
+	148	55
+	132	56
+	4	133	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	55
+	132	56
+	3	133	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	55
+	133	59
+	148	58
+	4	148	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	59
+	148	58
+	3	148	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	58
+	164	56
+	148	55
+	4	148	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	56
+	148	55
+	3	148	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	73
+	51	55
+	35	72
+	4	40	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	55
+	35	72
+	3	40	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	55
+	40	73
+	55	57
+	4	51	55	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	73
+	55	57
+	3	51	55	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	56
+	148	58
+	163	59
+	4	164	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	58
+	163	59
+	3	164	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	56
+	164	56
+	180	59
+	4	182	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	56
+	180	59
+	3	182	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	59
+	180	59
+	164	56
+	4	163	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	59
+	164	56
+	3	163	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	69
+	236	56
+	252	70
+	4	257	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	56
+	252	70
+	3	257	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	58
+	252	70
+	236	56
+	4	233	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	70
+	236	56
+	3	233	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	59
+	182	56
+	197	62
+	4	200	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	56
+	197	62
+	3	200	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	59
+	197	62
+	182	56
+	4	180	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	62
+	182	56
+	3	180	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	63
+	132	56
+	116	60
+	4	118	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	56
+	116	60
+	3	118	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	56
+	118	63
+	133	59
+	4	132	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	63
+	133	59
+	3	132	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	69
+	90	56
+	75	67
+	4	79	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	56
+	75	67
+	3	79	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	56
+	79	69
+	93	59
+	4	90	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	69
+	93	59
+	3	90	56	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	64
+	203	57
+	218	66
+	4	222	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	57
+	218	66
+	3	222	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	59
+	218	66
+	203	57
+	4	200	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	66
+	203	57
+	3	200	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	66
+	114	57
+	99	64
+	4	102	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	57
+	99	64
+	3	102	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	57
+	102	66
+	116	60
+	4	114	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	66
+	116	60
+	3	114	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	75
+	55	57
+	40	73
+	4	44	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	57
+	40	73
+	3	44	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	57
+	44	75
+	59	59
+	4	55	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	75
+	59	59
+	3	55	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	70
+	233	58
+	248	72
+	4	252	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	58
+	248	72
+	3	252	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	60
+	248	72
+	233	58
+	4	229	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	72
+	233	58
+	3	229	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	63
+	148	58
+	133	59
+	4	134	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	58
+	133	59
+	3	134	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	58
+	134	63
+	148	61
+	4	148	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	63
+	148	61
+	3	148	58	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	61
+	163	59
+	148	58
+	4	148	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	59
+	148	58
+	3	148	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	59
+	148	61
+	162	62
+	4	163	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	61
+	162	62
+	3	163	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	59
+	163	59
+	178	62
+	4	180	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	59
+	178	62
+	3	180	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	62
+	178	62
+	163	59
+	4	162	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	62
+	163	59
+	3	162	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	71
+	93	59
+	79	69
+	4	83	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	59
+	79	69
+	3	83	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	59
+	83	71
+	96	61
+	4	93	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	71
+	96	61
+	3	93	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	62
+	180	59
+	194	65
+	4	197	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	59
+	194	65
+	3	197	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	62
+	194	65
+	180	59
+	4	178	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	65
+	180	59
+	3	178	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	76
+	59	59
+	44	75
+	4	49	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	59
+	44	75
+	3	49	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	59
+	49	76
+	63	61
+	4	59	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	76
+	63	61
+	3	59	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	66
+	133	59
+	118	63
+	4	121	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	59
+	118	63
+	3	121	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	59
+	121	66
+	134	63
+	4	133	59	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	66
+	134	63
+	3	133	59	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	66
+	200	59
+	214	68
+	4	218	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	59
+	214	68
+	3	218	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	62
+	214	68
+	200	59
+	4	197	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	68
+	200	59
+	3	197	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	72
+	229	60
+	243	73
+	4	248	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	60
+	243	73
+	3	248	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	62
+	243	73
+	229	60
+	4	225	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	73
+	229	60
+	3	225	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	69
+	116	60
+	102	66
+	4	106	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	60
+	102	66
+	3	106	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	60
+	106	69
+	118	63
+	4	116	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	69
+	118	63
+	3	116	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	77
+	63	61
+	49	76
+	4	54	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	61
+	49	76
+	3	54	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	61
+	54	77
+	67	63
+	4	63	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	77
+	67	63
+	3	63	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	66
+	148	61
+	134	63
+	4	135	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	61
+	134	63
+	3	135	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	61
+	135	66
+	148	65
+	4	148	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	66
+	148	65
+	3	148	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	65
+	162	62
+	148	61
+	4	148	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	62
+	148	61
+	3	148	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	73
+	96	61
+	83	71
+	4	87	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	61
+	83	71
+	3	87	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	61
+	87	73
+	99	64
+	4	96	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	73
+	99	64
+	3	96	61	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	73
+	225	62
+	239	75
+	4	243	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	62
+	239	75
+	3	243	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	64
+	239	75
+	225	62
+	4	222	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	75
+	225	62
+	3	222	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	62
+	162	62
+	176	65
+	4	178	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	62
+	176	65
+	3	178	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	65
+	178	62
+	191	67
+	4	194	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	62
+	191	67
+	3	194	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	65
+	191	67
+	178	62
+	4	176	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	67
+	178	62
+	3	176	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	68
+	197	62
+	210	70
+	4	214	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	62
+	210	70
+	3	214	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	65
+	210	70
+	197	62
+	4	194	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	70
+	197	62
+	3	194	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	62
+	148	65
+	161	65
+	4	162	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	65
+	161	65
+	3	162	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	65
+	176	65
+	162	62
+	4	161	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	65
+	162	62
+	3	161	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	69
+	134	63
+	121	66
+	4	123	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	63
+	121	66
+	3	123	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	63
+	123	69
+	135	66
+	4	134	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	69
+	135	66
+	3	134	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	78
+	67	63
+	54	77
+	4	58	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	63
+	54	77
+	3	58	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	63
+	58	78
+	71	65
+	4	67	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	78
+	71	65
+	3	67	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	72
+	118	63
+	106	69
+	4	109	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	63
+	106	69
+	3	109	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	63
+	109	72
+	121	66
+	4	118	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	72
+	121	66
+	3	118	63	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	65
+	288	84
+	274	63
+	4	270	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	84
+	274	63
+	3	270	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	75
+	99	64
+	87	73
+	4	91	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	64
+	87	73
+	3	91	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	64
+	91	75
+	102	66
+	4	99	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	75
+	102	66
+	3	99	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	75
+	222	64
+	234	76
+	4	239	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	64
+	234	76
+	3	239	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	66
+	234	76
+	222	64
+	4	218	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	76
+	222	64
+	3	218	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	69
+	148	65
+	135	66
+	4	137	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	65
+	135	66
+	3	137	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	65
+	137	69
+	148	68
+	4	148	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	69
+	148	68
+	3	148	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	68
+	161	65
+	148	65
+	4	148	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	65
+	148	65
+	3	148	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	288	84
+	270	65
+	283	85
+	4	288	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	65
+	283	85
+	3	288	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	66
+	283	85
+	270	65
+	4	265	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	85
+	270	65
+	3	265	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	70
+	194	65
+	206	73
+	4	210	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	65
+	206	73
+	3	210	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	67
+	206	73
+	194	65
+	4	191	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	73
+	194	65
+	3	191	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	80
+	71	65
+	58	78
+	4	63	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	65
+	58	78
+	3	63	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	65
+	63	80
+	75	67
+	4	71	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	80
+	75	67
+	3	71	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	65
+	161	65
+	174	68
+	4	176	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	65
+	174	68
+	3	176	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	67
+	176	65
+	188	70
+	4	191	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	65
+	188	70
+	3	191	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	68
+	188	70
+	176	65
+	4	174	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	70
+	176	65
+	3	174	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	65
+	148	68
+	160	69
+	4	161	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	68
+	160	69
+	3	161	65	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	69
+	174	68
+	161	65
+	4	160	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	68
+	161	65
+	3	160	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	72
+	135	66
+	123	69
+	4	125	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	66
+	123	69
+	3	125	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	66
+	125	72
+	137	69
+	4	135	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	72
+	137	69
+	3	135	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	283	85
+	265	66
+	278	85
+	4	283	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	66
+	278	85
+	3	283	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	261	68
+	278	85
+	265	66
+	4	261	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	85
+	265	66
+	3	261	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	74
+	121	66
+	109	72
+	4	112	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	121	66
+	109	72
+	3	112	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	121	66
+	112	74
+	123	69
+	4	121	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	74
+	123	69
+	3	121	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	76
+	218	66
+	230	78
+	4	234	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	66
+	230	78
+	3	234	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	68
+	230	78
+	218	66
+	4	214	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	78
+	218	66
+	3	214	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	77
+	102	66
+	91	75
+	4	95	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	66
+	91	75
+	3	95	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	66
+	95	77
+	106	69
+	4	102	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	77
+	106	69
+	3	102	66	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	81
+	75	67
+	63	80
+	4	68	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	67
+	63	80
+	3	68	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	67
+	68	81
+	79	69
+	4	75	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	81
+	79	69
+	3	75	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	73
+	191	67
+	202	75
+	4	206	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	67
+	202	75
+	3	206	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	70
+	202	75
+	191	67
+	4	188	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	75
+	191	67
+	3	188	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	278	85
+	261	68
+	273	86
+	4	278	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	68
+	273	86
+	3	278	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	69
+	273	86
+	261	68
+	4	257	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	86
+	261	68
+	3	257	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	73
+	148	68
+	137	69
+	4	138	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	68
+	137	69
+	3	138	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	68
+	138	73
+	148	72
+	4	148	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	73
+	148	72
+	3	148	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	72
+	160	69
+	148	68
+	4	148	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	69
+	148	68
+	3	148	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	68
+	160	69
+	172	71
+	4	174	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	69
+	172	71
+	3	174	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	70
+	174	68
+	185	73
+	4	188	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	68
+	185	73
+	3	188	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	71
+	185	73
+	174	68
+	4	172	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	73
+	174	68
+	3	172	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	14	90
+	22	68
+	9	90
+	4	14	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	68
+	9	90
+	3	14	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	68
+	14	90
+	26	69
+	4	22	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	90
+	26	69
+	3	22	68	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	78
+	214	68
+	225	79
+	4	230	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	68
+	225	79
+	3	230	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	70
+	225	79
+	214	68
+	4	210	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	79
+	214	68
+	3	210	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	69
+	148	72
+	159	72
+	4	160	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	72
+	159	72
+	3	160	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	72
+	172	71
+	160	69
+	4	159	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	71
+	160	69
+	3	159	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	82
+	79	69
+	68	81
+	4	72	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	69
+	68	81
+	3	72	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	69
+	72	82
+	83	71
+	4	79	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	82
+	83	71
+	3	79	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	86
+	257	69
+	268	87
+	4	273	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	69
+	268	87
+	3	273	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	70
+	268	87
+	257	69
+	4	252	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	87
+	257	69
+	3	252	70	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	79
+	106	69
+	95	77
+	4	99	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	69
+	95	77
+	3	99	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	69
+	99	79
+	109	72
+	4	106	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	79
+	109	72
+	3	106	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	77
+	123	69
+	112	74
+	4	115	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	69
+	112	74
+	3	115	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	69
+	115	77
+	125	72
+	4	123	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	77
+	125	72
+	3	123	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	75
+	137	69
+	125	72
+	4	128	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	69
+	125	72
+	3	128	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	69
+	128	75
+	138	73
+	4	137	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	75
+	138	73
+	3	137	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	19	91
+	26	69
+	14	90
+	4	19	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	69
+	14	90
+	3	19	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	26	69
+	19	91
+	31	71
+	4	26	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	91
+	31	71
+	3	26	69	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	75
+	188	70
+	199	77
+	4	202	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	70
+	199	77
+	3	202	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	73
+	199	77
+	188	70
+	4	185	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	77
+	188	70
+	3	185	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	79
+	210	70
+	221	81
+	4	225	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	70
+	221	81
+	3	225	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	73
+	221	81
+	210	70
+	4	206	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	81
+	210	70
+	3	206	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	87
+	252	70
+	263	88
+	4	268	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	70
+	263	88
+	3	268	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	72
+	263	88
+	252	70
+	4	248	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	88
+	252	70
+	3	248	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	91
+	31	71
+	19	91
+	4	24	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	71
+	19	91
+	3	24	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	71
+	24	91
+	35	72
+	4	31	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	91
+	35	72
+	3	31	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	84
+	83	71
+	72	82
+	4	77	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	71
+	72	82
+	3	77	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	71
+	77	84
+	87	73
+	4	83	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	84
+	87	73
+	3	83	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	71
+	159	72
+	169	74
+	4	172	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	72
+	169	74
+	3	172	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	73
+	172	71
+	182	76
+	4	185	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	71
+	182	76
+	3	185	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	74
+	182	76
+	172	71
+	4	169	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	76
+	172	71
+	3	169	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	76
+	148	72
+	138	73
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	72
+	138	73
+	3	139	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	72
+	139	76
+	149	75
+	4	148	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	149	75
+	3	148	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	75
+	159	72
+	148	72
+	4	149	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	72
+	148	72
+	3	149	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	81
+	109	72
+	99	79
+	4	103	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	72
+	99	79
+	3	103	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	109	72
+	103	81
+	112	74
+	4	109	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	81
+	112	74
+	3	109	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	88
+	248	72
+	258	88
+	4	263	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	72
+	258	88
+	3	263	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	73
+	258	88
+	248	72
+	4	243	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	88
+	248	72
+	3	243	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	92
+	35	72
+	24	91
+	4	30	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	72
+	24	91
+	3	30	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	72
+	30	92
+	40	73
+	4	35	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	92
+	40	73
+	3	35	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	72
+	149	75
+	158	76
+	4	159	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	75
+	158	76
+	3	159	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	76
+	169	74
+	159	72
+	4	158	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	74
+	159	72
+	3	158	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	80
+	125	72
+	115	77
+	4	119	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	72
+	115	77
+	3	119	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	72
+	119	80
+	128	75
+	4	125	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	80
+	128	75
+	3	125	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	78
+	138	73
+	128	75
+	4	130	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	73
+	128	75
+	3	130	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	73
+	130	78
+	139	76
+	4	138	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	78
+	139	76
+	3	138	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	81
+	206	73
+	216	82
+	4	221	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	73
+	216	82
+	3	221	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	75
+	216	82
+	206	73
+	4	202	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	82
+	206	73
+	3	202	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	77
+	185	73
+	195	79
+	4	199	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	73
+	195	79
+	3	199	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	76
+	195	79
+	185	73
+	4	182	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	79
+	185	73
+	3	182	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	85
+	87	73
+	77	84
+	4	82	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	73
+	77	84
+	3	82	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	73
+	82	85
+	91	75
+	4	87	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	85
+	91	75
+	3	87	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	92
+	40	73
+	30	92
+	4	35	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	73
+	30	92
+	3	35	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	73
+	35	92
+	44	75
+	4	40	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	92
+	44	75
+	3	40	73	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	88
+	243	73
+	253	89
+	4	258	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	73
+	253	89
+	3	258	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	75
+	253	89
+	243	73
+	4	239	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	89
+	243	73
+	3	239	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	83
+	112	74
+	103	81
+	4	107	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	74
+	103	81
+	3	107	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	74
+	107	83
+	115	77
+	4	112	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	83
+	115	77
+	3	112	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	74
+	158	76
+	167	78
+	4	169	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	76
+	167	78
+	3	169	74	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	76
+	169	74
+	179	78
+	4	182	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	74
+	179	78
+	3	182	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	78
+	179	78
+	169	74
+	4	167	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	78
+	169	74
+	3	167	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	93
+	44	75
+	35	92
+	4	40	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	75
+	35	92
+	3	40	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	75
+	40	93
+	49	76
+	4	44	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	93
+	49	76
+	3	44	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	82
+	202	75
+	211	84
+	4	216	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	75
+	211	84
+	3	216	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	77
+	211	84
+	202	75
+	4	199	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	84
+	202	75
+	3	199	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	86
+	91	75
+	82	85
+	4	86	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	75
+	82	85
+	3	86	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	75
+	86	86
+	95	77
+	4	91	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	86
+	95	77
+	3	91	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	89
+	239	75
+	248	90
+	4	253	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	75
+	248	90
+	3	253	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	76
+	248	90
+	239	75
+	4	234	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	90
+	239	75
+	3	234	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	79
+	149	75
+	139	76
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	75
+	139	76
+	3	140	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	75
+	140	79
+	149	79
+	4	149	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	149	79
+	3	149	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	79
+	158	76
+	149	75
+	4	149	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	76
+	149	75
+	3	149	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	82
+	128	75
+	119	80
+	4	122	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	75
+	119	80
+	3	122	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	75
+	122	82
+	130	78
+	4	128	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	82
+	130	78
+	3	128	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	79
+	182	76
+	191	81
+	4	195	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	76
+	191	81
+	3	195	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	78
+	191	81
+	182	76
+	4	179	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	81
+	182	76
+	3	179	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	76
+	149	79
+	157	79
+	4	158	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	79
+	157	79
+	3	158	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	79
+	167	78
+	158	76
+	4	157	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	78
+	158	76
+	3	157	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	93
+	49	76
+	40	93
+	4	45	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	76
+	40	93
+	3	45	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	76
+	45	93
+	54	77
+	4	49	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	93
+	54	77
+	3	49	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	82
+	139	76
+	130	78
+	4	133	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	76
+	130	78
+	3	133	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	76
+	133	82
+	140	79
+	4	139	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	82
+	140	79
+	3	139	76	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	90
+	234	76
+	243	91
+	4	248	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	76
+	243	91
+	3	248	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	230	78
+	243	91
+	234	76
+	4	230	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	91
+	234	76
+	3	230	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	85
+	115	77
+	107	83
+	4	111	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	77
+	107	83
+	3	111	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	77
+	111	85
+	119	80
+	4	115	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	85
+	119	80
+	3	115	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	88
+	95	77
+	86	86
+	4	91	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	77
+	86	86
+	3	91	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	77
+	91	88
+	99	79
+	4	95	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	88
+	99	79
+	3	95	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	84
+	199	77
+	207	85
+	4	211	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	77
+	207	85
+	3	211	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	79
+	207	85
+	199	77
+	4	195	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	85
+	199	77
+	3	195	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	94
+	54	77
+	45	93
+	4	50	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	77
+	45	93
+	3	50	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	77
+	50	94
+	58	78
+	4	54	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	94
+	58	78
+	3	54	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	78
+	157	79
+	165	81
+	4	167	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	79
+	165	81
+	3	167	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	78
+	167	78
+	176	81
+	4	179	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	78
+	176	81
+	3	179	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	81
+	176	81
+	167	78
+	4	165	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	81
+	167	78
+	3	165	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	91
+	230	78
+	238	91
+	4	243	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	78
+	238	91
+	3	243	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	79
+	238	91
+	230	78
+	4	225	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	91
+	230	78
+	3	225	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	81
+	179	78
+	187	84
+	4	191	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	78
+	187	84
+	3	191	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	81
+	187	84
+	179	78
+	4	176	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	84
+	179	78
+	3	176	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	85
+	130	78
+	122	82
+	4	125	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	78
+	122	82
+	3	125	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	78
+	125	85
+	133	82
+	4	130	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	85
+	133	82
+	3	130	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	94
+	58	78
+	50	94
+	4	55	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	78
+	50	94
+	3	55	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	78
+	55	94
+	63	80
+	4	58	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	94
+	63	80
+	3	58	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	83
+	149	79
+	140	79
+	4	142	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	79
+	140	79
+	3	142	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	79
+	142	83
+	149	82
+	4	149	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	83
+	149	82
+	3	149	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	82
+	157	79
+	149	79
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	79
+	149	79
+	3	149	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	89
+	99	79
+	91	88
+	4	96	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	79
+	91	88
+	3	96	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	79
+	96	89
+	103	81
+	4	99	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	89
+	103	81
+	3	99	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	79
+	149	82
+	156	83
+	4	157	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	156	83
+	3	157	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	83
+	165	81
+	157	79
+	4	156	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	81
+	157	79
+	3	156	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	85
+	195	79
+	202	87
+	4	207	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	79
+	202	87
+	3	207	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	81
+	202	87
+	195	79
+	4	191	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	87
+	195	79
+	3	191	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	91
+	225	79
+	233	92
+	4	238	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	79
+	233	92
+	3	238	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	81
+	233	92
+	225	79
+	4	221	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	92
+	225	79
+	3	221	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	85
+	140	79
+	133	82
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	79
+	133	82
+	3	135	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	79
+	135	85
+	142	83
+	4	140	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	142	83
+	3	140	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	87
+	119	80
+	111	85
+	4	115	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	80
+	111	85
+	3	115	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	80
+	115	87
+	122	82
+	4	119	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	87
+	122	82
+	3	119	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	95
+	63	80
+	55	94
+	4	60	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	80
+	55	94
+	3	60	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	80
+	60	95
+	68	81
+	4	63	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	95
+	68	81
+	3	63	80	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	81
+	156	83
+	163	84
+	4	165	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	83
+	163	84
+	3	165	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	81
+	165	81
+	173	84
+	4	176	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	81
+	173	84
+	3	176	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	84
+	173	84
+	165	81
+	4	163	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	84
+	165	81
+	3	163	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	92
+	221	81
+	228	93
+	4	233	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	81
+	228	93
+	3	233	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	216	82
+	228	93
+	221	81
+	4	216	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	93
+	221	81
+	3	216	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	90
+	103	81
+	96	89
+	4	101	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	81
+	96	89
+	3	101	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	81
+	101	90
+	107	83
+	4	103	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	90
+	107	83
+	3	103	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	95
+	68	81
+	60	95
+	4	66	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	81
+	60	95
+	3	66	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	81
+	66	95
+	72	82
+	4	68	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	95
+	72	82
+	3	68	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	84
+	176	81
+	183	86
+	4	187	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	81
+	183	86
+	3	187	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	84
+	183	86
+	176	81
+	4	173	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	86
+	176	81
+	3	173	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	87
+	191	81
+	198	88
+	4	202	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	81
+	198	88
+	3	202	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	84
+	198	88
+	191	81
+	4	187	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	88
+	191	81
+	3	187	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	88
+	133	82
+	125	85
+	4	129	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	82
+	125	85
+	3	129	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	82
+	129	88
+	135	85
+	4	133	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	88
+	135	85
+	3	133	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	86
+	149	82
+	142	83
+	4	143	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	82
+	142	83
+	3	143	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	82
+	143	86
+	149	86
+	4	149	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	86
+	149	86
+	3	149	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	86
+	156	83
+	149	82
+	4	149	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	83
+	149	82
+	3	149	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	89
+	122	82
+	115	87
+	4	120	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	82
+	115	87
+	3	120	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	82
+	120	89
+	125	85
+	4	122	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	89
+	125	85
+	3	122	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	93
+	216	82
+	222	94
+	4	228	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	82
+	222	94
+	3	228	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	84
+	222	94
+	216	82
+	4	211	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	94
+	216	82
+	3	211	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	96
+	72	82
+	66	95
+	4	71	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	82
+	66	95
+	3	71	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	82
+	71	96
+	77	84
+	4	72	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	96
+	77	84
+	3	72	82	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	83
+	149	86
+	155	86
+	4	156	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	86
+	155	86
+	3	156	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	86
+	163	84
+	156	83
+	4	155	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	84
+	156	83
+	3	155	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	88
+	142	83
+	135	85
+	4	137	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	83
+	135	85
+	3	137	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	83
+	137	88
+	143	86
+	4	142	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	88
+	143	86
+	3	142	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	92
+	107	83
+	101	90
+	4	106	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	83
+	101	90
+	3	106	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	83
+	106	92
+	111	85
+	4	107	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	92
+	111	85
+	3	107	83	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	88
+	187	84
+	193	90
+	4	198	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	84
+	193	90
+	3	198	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	86
+	193	90
+	187	84
+	4	183	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	90
+	187	84
+	3	183	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	97
+	77	84
+	71	96
+	4	76	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	84
+	71	96
+	3	76	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	84
+	76	97
+	82	85
+	4	77	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	97
+	82	85
+	3	77	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	94
+	211	84
+	217	94
+	4	222	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	84
+	217	94
+	3	222	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	85
+	217	94
+	211	84
+	4	207	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	94
+	211	84
+	3	207	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	84
+	163	84
+	169	87
+	4	173	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	84
+	169	87
+	3	173	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	86
+	173	84
+	179	88
+	4	183	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	84
+	179	88
+	3	183	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	87
+	179	88
+	173	84
+	4	169	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	88
+	173	84
+	3	169	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	283	85
+	296	107
+	288	84
+	4	283	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	296	107
+	288	84
+	3	283	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	84
+	155	86
+	161	87
+	4	163	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	86
+	161	87
+	3	163	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	87
+	169	87
+	163	84
+	4	161	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	87
+	163	84
+	3	161	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	90
+	135	85
+	129	88
+	4	132	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	129	88
+	3	132	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	85
+	132	90
+	137	88
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	90
+	137	88
+	3	135	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	296	107
+	283	85
+	290	107
+	4	296	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	283	85
+	290	107
+	3	296	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	278	85
+	290	107
+	283	85
+	4	278	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	107
+	283	85
+	3	278	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	91
+	125	85
+	120	89
+	4	124	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	85
+	120	89
+	3	124	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	85
+	124	91
+	129	88
+	4	125	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	91
+	129	88
+	3	125	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	97
+	82	85
+	76	97
+	4	81	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	85
+	76	97
+	3	81	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	85
+	81	97
+	86	86
+	4	82	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	97
+	86	86
+	3	82	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	93
+	111	85
+	106	92
+	4	110	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	85
+	106	92
+	3	110	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	85
+	110	93
+	115	87
+	4	111	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	93
+	115	87
+	3	111	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	94
+	207	85
+	212	95
+	4	217	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	85
+	212	95
+	3	217	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	87
+	212	95
+	207	85
+	4	202	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	95
+	207	85
+	3	202	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	290	107
+	278	85
+	285	107
+	4	290	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	85
+	285	107
+	3	290	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	86
+	285	107
+	278	85
+	4	273	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	107
+	278	85
+	3	273	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	90
+	149	86
+	143	86
+	4	144	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	86
+	143	86
+	3	144	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	86
+	144	90
+	149	89
+	4	149	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	90
+	149	89
+	3	149	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	89
+	155	86
+	149	86
+	4	149	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	86
+	149	86
+	3	149	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	90
+	183	86
+	188	92
+	4	193	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	86
+	188	92
+	3	193	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	88
+	188	92
+	183	86
+	4	179	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	92
+	183	86
+	3	179	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	86
+	149	89
+	154	90
+	4	155	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	89
+	154	90
+	3	155	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	90
+	161	87
+	155	86
+	4	154	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	87
+	155	86
+	3	154	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	285	107
+	273	86
+	279	107
+	4	285	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	86
+	279	107
+	3	285	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	87
+	279	107
+	273	86
+	4	268	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	107
+	273	86
+	3	268	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	91
+	143	86
+	137	88
+	4	140	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	86
+	137	88
+	3	140	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	86
+	140	91
+	144	90
+	4	143	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	91
+	144	90
+	3	143	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	98
+	86	86
+	81	97
+	4	87	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	86
+	81	97
+	3	87	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	86	86
+	87	98
+	91	88
+	4	86	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	98
+	91	88
+	3	86	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	87
+	161	87
+	166	90
+	4	169	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	87
+	166	90
+	3	169	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	88
+	169	87
+	175	90
+	4	179	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	87
+	175	90
+	3	179	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	90
+	175	90
+	169	87
+	4	166	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	90
+	169	87
+	3	166	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	107
+	268	87
+	274	107
+	4	279	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	87
+	274	107
+	3	279	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	88
+	274	107
+	268	87
+	4	263	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	107
+	268	87
+	3	263	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	95
+	202	87
+	207	96
+	4	212	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	87
+	207	96
+	3	212	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	88
+	207	96
+	202	87
+	4	198	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	96
+	202	87
+	3	198	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	95
+	115	87
+	110	93
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	87
+	110	93
+	3	115	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	87
+	115	95
+	120	89
+	4	115	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	120	89
+	3	115	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	87
+	154	90
+	159	91
+	4	161	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	90
+	159	91
+	3	161	87	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	91
+	166	90
+	161	87
+	4	159	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	90
+	161	87
+	3	159	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	93
+	129	88
+	124	91
+	4	128	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	88
+	124	91
+	3	128	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	88
+	128	93
+	132	90
+	4	129	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	93
+	132	90
+	3	129	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	107
+	263	88
+	269	107
+	4	274	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	88
+	269	107
+	3	274	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	88
+	269	107
+	263	88
+	4	258	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	107
+	263	88
+	3	258	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	98
+	91	88
+	87	98
+	4	92	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	88
+	87	98
+	3	92	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	88
+	92	98
+	96	89
+	4	91	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	98
+	96	89
+	3	91	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	93
+	137	88
+	132	90
+	4	136	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	88
+	132	90
+	3	136	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	88
+	136	93
+	140	91
+	4	137	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	93
+	140	91
+	3	137	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	92
+	179	88
+	183	93
+	4	188	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	88
+	183	93
+	3	188	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	90
+	183	93
+	179	88
+	4	175	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	93
+	179	88
+	3	175	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	107
+	258	88
+	263	107
+	4	269	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	88
+	263	107
+	3	269	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	253	89
+	263	107
+	258	88
+	4	253	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	107
+	258	88
+	3	253	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	96
+	198	88
+	202	97
+	4	207	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	88
+	202	97
+	3	207	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	90
+	202	97
+	198	88
+	4	193	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	97
+	198	88
+	3	193	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	99
+	96	89
+	92	98
+	4	97	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	89
+	92	98
+	3	97	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	89
+	97	99
+	101	90
+	4	96	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	99
+	101	90
+	3	96	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	107
+	253	89
+	258	106
+	4	263	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	89
+	258	106
+	3	263	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	248	90
+	258	106
+	253	89
+	4	248	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	106
+	253	89
+	3	248	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	96
+	120	89
+	115	95
+	4	120	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	89
+	115	95
+	3	120	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	89
+	120	96
+	124	91
+	4	120	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	96
+	124	91
+	3	120	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	93
+	149	89
+	144	90
+	4	146	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	89
+	144	90
+	3	146	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	89
+	146	93
+	149	93
+	4	149	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	93
+	149	93
+	3	149	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	93
+	154	90
+	149	89
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	90
+	149	89
+	3	149	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	90
+	159	91
+	163	92
+	4	166	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	91
+	163	92
+	3	166	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	90
+	166	90
+	171	93
+	4	175	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	90
+	171	93
+	3	175	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	92
+	171	93
+	166	90
+	4	163	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	93
+	166	90
+	3	163	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	90
+	149	93
+	153	93
+	4	154	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	153	93
+	3	154	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	93
+	159	91
+	154	90
+	4	153	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	91
+	154	90
+	3	153	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	9	113
+	9	90
+	3	113
+	4	9	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	90
+	3	113
+	3	9	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	9	90
+	9	113
+	14	90
+	4	9	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	113
+	14	90
+	3	9	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	94
+	144	90
+	140	91
+	4	142	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	90
+	140	91
+	3	142	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	90
+	142	94
+	146	93
+	4	144	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	94
+	146	93
+	3	144	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	106
+	248	90
+	252	106
+	4	258	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	90
+	252	106
+	3	258	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	243	91
+	252	106
+	248	90
+	4	243	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	106
+	248	90
+	3	243	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	97
+	193	90
+	197	97
+	4	202	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	90
+	197	97
+	3	202	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	92
+	197	97
+	193	90
+	4	188	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	97
+	193	90
+	3	188	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	14	113
+	14	90
+	9	113
+	4	14	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	90
+	9	113
+	3	14	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	14	90
+	14	113
+	19	91
+	4	14	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	113
+	19	91
+	3	14	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	96
+	132	90
+	128	93
+	4	132	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	90
+	128	93
+	3	132	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	90
+	132	96
+	136	93
+	4	132	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	96
+	136	93
+	3	132	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	93
+	175	90
+	179	95
+	4	183	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	90
+	179	95
+	3	183	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	93
+	179	95
+	175	90
+	4	171	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	95
+	175	90
+	3	171	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	99
+	101	90
+	97	99
+	4	102	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	90
+	97	99
+	3	102	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	90
+	102	99
+	106	92
+	4	101	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	99
+	106	92
+	3	101	90	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	106
+	243	91
+	247	106
+	4	252	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	91
+	247	106
+	3	252	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	91
+	247	106
+	243	91
+	4	238	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	106
+	243	91
+	3	238	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	91
+	153	93
+	157	94
+	4	159	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	93
+	157	94
+	3	159	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	94
+	163	92
+	159	91
+	4	157	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	92
+	159	91
+	3	157	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	20	112
+	19	91
+	14	113
+	4	20	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	91
+	14	113
+	3	20	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	19	91
+	20	112
+	24	91
+	4	19	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	112
+	24	91
+	3	19	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	96
+	140	91
+	136	93
+	4	139	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	91
+	136	93
+	3	139	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	91
+	139	96
+	142	94
+	4	140	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	96
+	142	94
+	3	140	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	112
+	24	91
+	20	112
+	4	25	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	91
+	20	112
+	3	25	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	24	91
+	25	112
+	30	92
+	4	24	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	112
+	30	92
+	3	24	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	97
+	124	91
+	120	96
+	4	125	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	91
+	120	96
+	3	125	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	91
+	125	97
+	128	93
+	4	124	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	97
+	128	93
+	3	124	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	106
+	238	91
+	241	106
+	4	247	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	91
+	241	106
+	3	247	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	233	92
+	241	106
+	238	91
+	4	233	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	106
+	238	91
+	3	233	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	97
+	188	92
+	192	98
+	4	197	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	92
+	192	98
+	3	197	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	93
+	192	98
+	188	92
+	4	183	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	98
+	188	92
+	3	183	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	112
+	30	92
+	25	112
+	4	31	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	92
+	25	112
+	3	31	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	30	92
+	31	112
+	35	92
+	4	30	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	112
+	35	92
+	3	30	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	100
+	106	92
+	102	99
+	4	108	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	92
+	102	99
+	3	108	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	92
+	108	100
+	110	93
+	4	106	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	100
+	110	93
+	3	106	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	106
+	233	92
+	236	106
+	4	241	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	92
+	236	106
+	3	241	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	228	93
+	236	106
+	233	92
+	4	228	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	106
+	233	92
+	3	228	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	111
+	35	92
+	31	112
+	4	36	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	92
+	31	112
+	3	36	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	35	92
+	36	111
+	40	93
+	4	35	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	111
+	40	93
+	3	35	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	92
+	157	94
+	160	95
+	4	163	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	94
+	160	95
+	3	163	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	93
+	163	92
+	166	95
+	4	171	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	92
+	166	95
+	3	171	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	95
+	166	95
+	163	92
+	4	160	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	95
+	163	92
+	3	160	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	95
+	171	93
+	174	96
+	4	179	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	93
+	174	96
+	3	179	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	95
+	174	96
+	171	93
+	4	166	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	96
+	171	93
+	3	166	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	111
+	40	93
+	36	111
+	4	42	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	93
+	36	111
+	3	42	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	93
+	42	111
+	45	93
+	4	40	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	111
+	45	93
+	3	40	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	106
+	228	93
+	231	106
+	4	236	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	93
+	231	106
+	3	236	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	94
+	231	106
+	228	93
+	4	222	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	106
+	228	93
+	3	222	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	97
+	149	93
+	146	93
+	4	147	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	93
+	146	93
+	3	147	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	93
+	147	97
+	150	97
+	4	149	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	97
+	150	97
+	3	149	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	97
+	153	93
+	149	93
+	4	150	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	93
+	149	93
+	3	150	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	98
+	136	93
+	132	96
+	4	137	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	93
+	132	96
+	3	137	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	93
+	137	98
+	139	96
+	4	136	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	98
+	139	96
+	3	136	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	98
+	183	93
+	186	99
+	4	192	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	93
+	186	99
+	3	192	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	95
+	186	99
+	183	93
+	4	179	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	99
+	183	93
+	3	179	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	100
+	110	93
+	108	100
+	4	113	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	93
+	108	100
+	3	113	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	93
+	113	100
+	115	95
+	4	110	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	100
+	115	95
+	3	110	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	93
+	150	97
+	152	97
+	4	153	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	97
+	152	97
+	3	153	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	97
+	157	94
+	153	93
+	4	152	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	94
+	153	93
+	3	152	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	111
+	45	93
+	42	111
+	4	47	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	93
+	42	111
+	3	47	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	93
+	47	111
+	50	94
+	4	45	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	111
+	50	94
+	3	45	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	98
+	146	93
+	142	94
+	4	145	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	93
+	142	94
+	3	145	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	93
+	145	98
+	147	97
+	4	146	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	98
+	147	97
+	3	146	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	99
+	128	93
+	125	97
+	4	130	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	93
+	125	97
+	3	130	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	93
+	130	99
+	132	96
+	4	128	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	99
+	132	96
+	3	128	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	106
+	222	94
+	225	106
+	4	231	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	94
+	225	106
+	3	231	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	94
+	225	106
+	222	94
+	4	217	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	106
+	222	94
+	3	217	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	110
+	50	94
+	47	111
+	4	53	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	94
+	47	111
+	3	53	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	94
+	53	110
+	55	94
+	4	50	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	110
+	55	94
+	3	50	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	94
+	152	97
+	154	97
+	4	157	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	97
+	154	97
+	3	157	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	97
+	160	95
+	157	94
+	4	154	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	95
+	157	94
+	3	154	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	99
+	142	94
+	139	96
+	4	143	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	94
+	139	96
+	3	143	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	94
+	143	99
+	145	98
+	4	142	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	99
+	145	98
+	3	142	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	106
+	217	94
+	220	106
+	4	225	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	94
+	220	106
+	3	225	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	95
+	220	106
+	217	94
+	4	212	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	106
+	217	94
+	3	212	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	110
+	55	94
+	53	110
+	4	58	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	94
+	53	110
+	3	58	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	94
+	58	110
+	60	95
+	4	55	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	110
+	60	95
+	3	55	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	101
+	115	95
+	113	100
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	95
+	113	100
+	3	118	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	95
+	118	101
+	120	96
+	4	115	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	120	96
+	3	115	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	99
+	179	95
+	181	100
+	4	186	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	95
+	181	100
+	3	186	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	96
+	181	100
+	179	95
+	4	174	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	100
+	179	95
+	3	174	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	95
+	160	95
+	162	97
+	4	166	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	95
+	162	97
+	3	166	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	96
+	166	95
+	169	98
+	4	174	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	95
+	169	98
+	3	174	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	97
+	169	98
+	166	95
+	4	162	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	98
+	166	95
+	3	162	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	110
+	60	95
+	58	110
+	4	63	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	95
+	58	110
+	3	63	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	60	95
+	63	110
+	66	95
+	4	60	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	110
+	66	95
+	3	60	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	106
+	212	95
+	214	106
+	4	220	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	95
+	214	106
+	3	220	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	96
+	214	106
+	212	95
+	4	207	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	106
+	212	95
+	3	207	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	95
+	154	97
+	156	98
+	4	160	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	97
+	156	98
+	3	160	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	98
+	162	97
+	160	95
+	4	156	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	97
+	160	95
+	3	156	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	109
+	66	95
+	63	110
+	4	69	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	95
+	63	110
+	3	69	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	95
+	69	109
+	71	96
+	4	66	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	109
+	71	96
+	3	66	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	100
+	132	96
+	130	99
+	4	135	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	96
+	130	99
+	3	135	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	96
+	135	100
+	137	98
+	4	132	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	100
+	137	98
+	3	132	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	100
+	139	96
+	137	98
+	4	141	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	96
+	137	98
+	3	141	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	96
+	141	100
+	143	99
+	4	139	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	100
+	143	99
+	3	139	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	106
+	207	96
+	209	105
+	4	214	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	96
+	209	105
+	3	214	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	97
+	209	105
+	207	96
+	4	202	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	105
+	207	96
+	3	202	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	101
+	120	96
+	118	101
+	4	123	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	96
+	118	101
+	3	123	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	96
+	123	101
+	125	97
+	4	120	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	101
+	125	97
+	3	120	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	109
+	71	96
+	69	109
+	4	74	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	96
+	69	109
+	3	74	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	96
+	74	109
+	76	97
+	4	71	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	109
+	76	97
+	3	71	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	100
+	174	96
+	176	100
+	4	181	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	96
+	176	100
+	3	181	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	98
+	176	100
+	174	96
+	4	169	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	100
+	174	96
+	3	169	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	109
+	76	97
+	74	109
+	4	80	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	97
+	74	109
+	3	80	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	97
+	80	109
+	81	97
+	4	76	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	109
+	81	97
+	3	76	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	105
+	202	97
+	204	105
+	4	209	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	97
+	204	105
+	3	209	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	97
+	204	105
+	202	97
+	4	197	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	105
+	202	97
+	3	197	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	101
+	150	97
+	147	97
+	4	148	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	97
+	147	97
+	3	148	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	97
+	148	101
+	150	100
+	4	150	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	101
+	150	100
+	3	150	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	100
+	152	97
+	150	97
+	4	150	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	97
+	150	97
+	3	150	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	97
+	150	100
+	151	100
+	4	152	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	100
+	151	100
+	3	152	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	100
+	154	97
+	152	97
+	4	151	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	97
+	152	97
+	3	151	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	101
+	147	97
+	145	98
+	4	147	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	97
+	145	98
+	3	147	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	97
+	147	101
+	148	101
+	4	147	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	101
+	148	101
+	3	147	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	108
+	81	97
+	80	109
+	4	85	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	97
+	80	109
+	3	85	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	97
+	85	108
+	87	98
+	4	81	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	108
+	87	98
+	3	81	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	97
+	156	98
+	158	100
+	4	162	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	98
+	158	100
+	3	162	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	98
+	162	97
+	164	99
+	4	169	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	97
+	164	99
+	3	169	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	100
+	164	99
+	162	97
+	4	158	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	99
+	162	97
+	3	158	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	102
+	125	97
+	123	101
+	4	129	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	97
+	123	101
+	3	129	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	125	97
+	129	102
+	130	99
+	4	125	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	102
+	130	99
+	3	125	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	105
+	197	97
+	198	105
+	4	204	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	97
+	198	105
+	3	204	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	98
+	198	105
+	197	97
+	4	192	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	105
+	197	97
+	3	192	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	97
+	151	100
+	152	101
+	4	154	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	100
+	152	101
+	3	154	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	101
+	156	98
+	154	97
+	4	152	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	98
+	154	97
+	3	152	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	101
+	145	98
+	143	99
+	4	146	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	98
+	143	99
+	3	146	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	98
+	146	101
+	147	101
+	4	145	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	101
+	147	101
+	3	145	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	108
+	87	98
+	85	108
+	4	91	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	98
+	85	108
+	3	91	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	98
+	91	108
+	92	98
+	4	87	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	108
+	92	98
+	3	87	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	101
+	137	98
+	135	100
+	4	140	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	98
+	135	100
+	3	140	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	98
+	140	101
+	141	100
+	4	137	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	101
+	141	100
+	3	137	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	100
+	169	98
+	171	101
+	4	176	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	98
+	171	101
+	3	176	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	99
+	171	101
+	169	98
+	4	164	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	101
+	169	98
+	3	164	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	105
+	192	98
+	193	105
+	4	198	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	98
+	193	105
+	3	198	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	99
+	193	105
+	192	98
+	4	186	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	105
+	192	98
+	3	186	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	108
+	92	98
+	91	108
+	4	96	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	98
+	91	108
+	3	96	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	98
+	96	108
+	97	99
+	4	92	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	108
+	97	99
+	3	92	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	98
+	152	101
+	153	101
+	4	156	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	101
+	153	101
+	3	156	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	101
+	158	100
+	156	98
+	4	153	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	100
+	156	98
+	3	153	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	102
+	143	99
+	141	100
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	99
+	141	100
+	3	145	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	99
+	145	102
+	146	101
+	4	143	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	146	101
+	3	143	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	103
+	130	99
+	129	102
+	4	134	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	99
+	129	102
+	3	134	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	99
+	134	103
+	135	100
+	4	130	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	103
+	135	100
+	3	130	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	107
+	97	99
+	96	108
+	4	101	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	99
+	96	108
+	3	101	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	99
+	101	107
+	102	99
+	4	97	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	107
+	102	99
+	3	97	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	105
+	186	99
+	188	105
+	4	193	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	99
+	188	105
+	3	193	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	100
+	188	105
+	186	99
+	4	181	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	186	99
+	3	181	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	107
+	102	99
+	101	107
+	4	107	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	99
+	101	107
+	3	107	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	99
+	107	107
+	108	100
+	4	102	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	107
+	108	100
+	3	102	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	99
+	158	100
+	160	101
+	4	164	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	100
+	160	101
+	3	164	99	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	101
+	164	99
+	166	102
+	4	171	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	99
+	166	102
+	3	171	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	101
+	166	102
+	164	99
+	4	160	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	102
+	164	99
+	3	160	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	100
+	153	101
+	154	102
+	4	158	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	101
+	154	102
+	3	158	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	102
+	160	101
+	158	100
+	4	154	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	101
+	158	100
+	3	154	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	105
+	181	100
+	182	105
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	100
+	182	105
+	3	188	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	100
+	182	105
+	181	100
+	4	176	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	105
+	181	100
+	3	176	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	107
+	108	100
+	107	107
+	4	112	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	100
+	107	107
+	3	112	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	100
+	112	107
+	113	100
+	4	108	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	107
+	113	100
+	3	108	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	103
+	141	100
+	140	101
+	4	145	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	100
+	140	101
+	3	145	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	100
+	145	103
+	145	102
+	4	141	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	103
+	145	102
+	3	141	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	103
+	135	100
+	134	103
+	4	139	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	100
+	134	103
+	3	139	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	100
+	139	103
+	140	101
+	4	135	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	103
+	140	101
+	3	135	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	106
+	113	100
+	112	107
+	4	118	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	100
+	112	107
+	3	118	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	100
+	118	106
+	118	101
+	4	113	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	106
+	118	101
+	3	113	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	105
+	176	100
+	177	105
+	4	182	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	100
+	177	105
+	3	182	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	101
+	177	105
+	176	100
+	4	171	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	105
+	176	100
+	3	171	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	150	100
+	148	101
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	150	100
+	148	101
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	151	100
+	150	100
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	100
+	150	100
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	152	101
+	151	100
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	101
+	151	100
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	148	101
+	147	101
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	101
+	147	101
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	153	101
+	152	101
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	101
+	152	101
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	147	101
+	146	101
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	101
+	146	101
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	106
+	118	101
+	118	106
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	118	106
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	101
+	123	106
+	123	101
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	123	101
+	3	118	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	101
+	154	102
+	155	103
+	4	160	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	102
+	155	103
+	3	160	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	102
+	160	101
+	160	103
+	4	166	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	101
+	160	103
+	3	166	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	103
+	160	103
+	160	101
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	103
+	160	101
+	3	155	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	105
+	171	101
+	171	105
+	4	177	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	101
+	171	105
+	3	177	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	102
+	171	105
+	171	101
+	4	166	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	105
+	171	101
+	3	166	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	154	102
+	153	101
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	102
+	153	101
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	146	101
+	145	102
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	101
+	145	102
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	104
+	140	101
+	139	103
+	4	145	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	101
+	139	103
+	3	145	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	101
+	145	104
+	145	103
+	4	140	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	104
+	145	103
+	3	140	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	106
+	123	101
+	123	106
+	4	128	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	101
+	123	106
+	3	128	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	101
+	128	106
+	129	102
+	4	123	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	106
+	129	102
+	3	123	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	155	103
+	154	102
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	154	102
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	105
+	166	102
+	166	105
+	4	171	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	102
+	166	105
+	3	171	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	103
+	166	105
+	166	102
+	4	160	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	105
+	166	102
+	3	160	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	105
+	129	102
+	128	106
+	4	134	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	102
+	128	106
+	3	134	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	102
+	134	105
+	134	103
+	4	129	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	105
+	134	103
+	3	129	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	145	102
+	145	103
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	145	103
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	105
+	134	103
+	134	105
+	4	139	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	103
+	134	105
+	3	139	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	103
+	139	105
+	139	103
+	4	134	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	105
+	139	103
+	3	134	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	103
+	155	103
+	155	103
+	4	160	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	155	103
+	3	160	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	155	103
+	155	103
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	155	103
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	105
+	160	103
+	161	104
+	4	166	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	103
+	161	104
+	3	166	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	103
+	161	104
+	160	103
+	4	155	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	104
+	160	103
+	3	155	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	145	103
+	145	104
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	103
+	145	104
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	105
+	139	103
+	139	105
+	4	144	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	103
+	139	105
+	3	144	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	103
+	144	105
+	145	104
+	4	139	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	145	104
+	3	139	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	104
+	155	103
+	155	104
+	4	161	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	103
+	155	104
+	3	161	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	155	104
+	155	103
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	104
+	155	103
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	145	104
+	144	105
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	104
+	144	105
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	145	106
+	146	107
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	106
+	146	107
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	145	105
+	145	106
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	105
+	145	106
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	144	105
+	145	105
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	105
+	145	105
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	155	105
+	155	104
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	105
+	155	104
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	155	106
+	155	105
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	106
+	155	105
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	154	107
+	155	106
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	107
+	155	106
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	153	107
+	154	107
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	107
+	154	107
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	152	108
+	153	107
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	108
+	153	107
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	151	108
+	152	108
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	108
+	152	108
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	149	108
+	151	108
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	108
+	151	108
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	148	108
+	149	108
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	108
+	149	108
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	147	107
+	148	108
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	107
+	148	108
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	150	104
+	146	107
+	147	107
+	4	150	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	107
+	147	107
+	3	150	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	104
+	160	106
+	161	104
+	4	155	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	106
+	161	104
+	3	155	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	106
+	155	104
+	155	105
+	4	160	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	104
+	155	105
+	3	160	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	104
+	165	107
+	166	105
+	4	161	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	107
+	166	105
+	3	161	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	107
+	161	104
+	160	106
+	4	165	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	104
+	160	106
+	3	165	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	105
+	145	105
+	144	105
+	4	139	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	105
+	144	105
+	3	139	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	105
+	171	108
+	171	105
+	4	166	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	108
+	171	105
+	3	166	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	108
+	166	105
+	165	107
+	4	171	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	105
+	165	107
+	3	171	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	105
+	176	109
+	177	105
+	4	171	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	109
+	177	105
+	3	171	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	109
+	171	105
+	171	108
+	4	176	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	105
+	171	108
+	3	176	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	105
+	181	110
+	182	105
+	4	177	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	110
+	182	105
+	3	177	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	110
+	177	105
+	176	109
+	4	181	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	105
+	176	109
+	3	181	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	105
+	140	107
+	139	105
+	4	134	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	107
+	139	105
+	3	134	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	105
+	139	105
+	140	107
+	4	145	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	105
+	140	107
+	3	145	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	105
+	187	111
+	188	105
+	4	182	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	111
+	188	105
+	3	182	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	111
+	182	105
+	181	110
+	4	187	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	105
+	181	110
+	3	187	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	105
+	192	112
+	193	105
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	112
+	193	105
+	3	188	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	112
+	188	105
+	187	111
+	4	192	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	187	111
+	3	192	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	105
+	197	113
+	198	105
+	4	193	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	113
+	198	105
+	3	193	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	113
+	193	105
+	192	112
+	4	197	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	105
+	192	112
+	3	197	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	105
+	159	108
+	160	106
+	4	155	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	108
+	160	106
+	3	155	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	108
+	155	105
+	155	106
+	4	159	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	105
+	155	106
+	3	159	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	106
+	134	108
+	134	105
+	4	128	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	108
+	134	105
+	3	128	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	107
+	134	105
+	134	108
+	4	140	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	105
+	134	108
+	3	140	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	105
+	203	114
+	204	105
+	4	198	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	114
+	204	105
+	3	198	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	114
+	198	105
+	197	113
+	4	203	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	105
+	197	113
+	3	203	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	105
+	208	115
+	209	105
+	4	204	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	115
+	209	105
+	3	204	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	115
+	204	105
+	203	114
+	4	208	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	105
+	203	114
+	3	208	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	107
+	145	106
+	145	105
+	4	140	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	106
+	145	105
+	3	140	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	105
+	213	116
+	214	106
+	4	209	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	116
+	214	106
+	3	209	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	116
+	209	105
+	208	115
+	4	213	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	105
+	208	115
+	3	213	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	106
+	129	109
+	128	106
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	109
+	128	106
+	3	123	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	108
+	128	106
+	129	109
+	4	134	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	106
+	129	109
+	3	134	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	106
+	219	117
+	220	106
+	4	214	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	117
+	220	106
+	3	214	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	117
+	214	106
+	213	116
+	4	219	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	106
+	213	116
+	3	219	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	220	106
+	224	118
+	225	106
+	4	220	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	118
+	225	106
+	3	220	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	118
+	220	106
+	219	117
+	4	224	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	106
+	219	117
+	3	224	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	106
+	229	119
+	231	106
+	4	225	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	119
+	231	106
+	3	225	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	119
+	225	106
+	224	118
+	4	229	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	106
+	224	118
+	3	229	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	106
+	124	110
+	123	106
+	4	118	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	110
+	123	106
+	3	118	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	109
+	123	106
+	124	110
+	4	129	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	124	110
+	3	129	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	106
+	235	120
+	236	106
+	4	231	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	120
+	236	106
+	3	231	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	120
+	231	106
+	229	119
+	4	235	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	106
+	229	119
+	3	235	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	106
+	240	121
+	241	106
+	4	236	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	121
+	241	106
+	3	236	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	121
+	236	106
+	235	120
+	4	240	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	106
+	235	120
+	3	240	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	106
+	158	109
+	159	108
+	4	155	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	109
+	159	108
+	3	155	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	109
+	155	106
+	154	107
+	4	158	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	106
+	154	107
+	3	158	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	106
+	246	122
+	247	106
+	4	241	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	122
+	247	106
+	3	241	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	122
+	241	106
+	240	121
+	4	246	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	106
+	240	121
+	3	246	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	106
+	164	110
+	165	107
+	4	160	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	110
+	165	107
+	3	160	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	110
+	160	106
+	159	108
+	4	164	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	106
+	159	108
+	3	164	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	107
+	119	111
+	118	106
+	4	112	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	111
+	118	106
+	3	112	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	110
+	118	106
+	119	111
+	4	124	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	106
+	119	111
+	3	124	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	106
+	251	123
+	252	106
+	4	247	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	123
+	252	106
+	3	247	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	123
+	247	106
+	246	122
+	4	251	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	106
+	246	122
+	3	251	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	108
+	146	107
+	145	106
+	4	141	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	107
+	145	106
+	3	141	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	106
+	140	107
+	141	108
+	4	145	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	107
+	141	108
+	3	145	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	106
+	257	124
+	258	106
+	4	252	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	124
+	258	106
+	3	252	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	124
+	252	106
+	251	123
+	4	257	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	106
+	251	123
+	3	257	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	106
+	262	125
+	263	107
+	4	258	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	125
+	263	107
+	3	258	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	125
+	258	106
+	257	124
+	4	262	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	106
+	257	124
+	3	262	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	107	107
+	114	113
+	112	107
+	4	107	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	113
+	112	107
+	3	107	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	111
+	112	107
+	114	113
+	4	119	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	107
+	114	113
+	3	119	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	107
+	268	127
+	269	107
+	4	263	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	127
+	269	107
+	3	263	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	127
+	263	107
+	262	125
+	4	268	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	107
+	262	125
+	3	268	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	108
+	141	108
+	140	107
+	4	134	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	108
+	140	107
+	3	134	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	269	107
+	273	128
+	274	107
+	4	269	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	128
+	274	107
+	3	269	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	128
+	269	107
+	268	127
+	4	273	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	107
+	268	127
+	3	273	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	107
+	156	110
+	158	109
+	4	154	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	110
+	158	109
+	3	154	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	110
+	154	107
+	153	107
+	4	156	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	107
+	153	107
+	3	156	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	274	107
+	279	129
+	279	107
+	4	274	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	129
+	279	107
+	3	274	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	129
+	274	107
+	273	128
+	4	279	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	107
+	273	128
+	3	279	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	107
+	108	114
+	107	107
+	4	101	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	114
+	107	107
+	3	101	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	113
+	107	107
+	108	114
+	4	114	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	107
+	108	114
+	3	114	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	107
+	284	130
+	285	107
+	4	279	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	130
+	285	107
+	3	279	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	284	130
+	279	107
+	279	129
+	4	284	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	107
+	279	129
+	3	284	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	107
+	141	108
+	142	110
+	4	146	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	108
+	142	110
+	3	146	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	110
+	147	107
+	146	107
+	4	142	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	107
+	146	107
+	3	142	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	285	107
+	290	131
+	290	107
+	4	285	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	131
+	290	107
+	3	285	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	290	131
+	285	107
+	284	130
+	4	290	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	107
+	284	130
+	3	290	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	290	107
+	295	132
+	296	107
+	4	290	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	295	132
+	296	107
+	3	290	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	295	132
+	290	107
+	290	131
+	4	295	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	107
+	290	131
+	3	295	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	107
+	169	111
+	171	108
+	4	165	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	111
+	171	108
+	3	165	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	111
+	165	107
+	164	110
+	4	169	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	107
+	164	110
+	3	169	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	108
+	103	115
+	101	107
+	4	96	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	115
+	101	107
+	3	96	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	114
+	101	107
+	103	115
+	4	108	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	107
+	103	115
+	3	108	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	107
+	154	111
+	156	110
+	4	153	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	111
+	156	110
+	3	153	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	111
+	153	107
+	152	108
+	4	154	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	107
+	152	108
+	3	154	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	111
+	148	108
+	147	107
+	4	144	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	108
+	147	107
+	3	144	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	107
+	142	110
+	144	111
+	4	147	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	110
+	144	111
+	3	147	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	108
+	98	116
+	96	108
+	4	91	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	116
+	96	108
+	3	91	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	115
+	96	108
+	98	116
+	4	103	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	108
+	98	116
+	3	103	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	108
+	151	112
+	154	111
+	4	152	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	112
+	154	111
+	3	152	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	112
+	152	108
+	151	108
+	4	151	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	108
+	151	108
+	3	151	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	109
+	136	110
+	134	108
+	4	129	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	110
+	134	108
+	3	129	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	108
+	134	108
+	136	110
+	4	141	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	108
+	136	110
+	3	141	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	108
+	162	112
+	164	110
+	4	159	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	164	110
+	3	159	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	112
+	159	108
+	158	109
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	108
+	158	109
+	3	162	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	111
+	149	108
+	148	108
+	4	146	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	108
+	148	108
+	3	146	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	108
+	144	111
+	146	111
+	4	148	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	111
+	146	111
+	3	148	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	108
+	93	118
+	91	108
+	4	85	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	118
+	91	108
+	3	85	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	116
+	91	108
+	93	118
+	4	98	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	108
+	93	118
+	3	98	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	108
+	149	112
+	151	112
+	4	151	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	112
+	151	112
+	3	151	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	112
+	151	108
+	149	108
+	4	149	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	108
+	149	108
+	3	149	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	108
+	146	111
+	149	112
+	4	149	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	111
+	149	112
+	3	149	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	108
+	174	113
+	176	109
+	4	171	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	113
+	176	109
+	3	171	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	113
+	171	108
+	169	111
+	4	174	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	108
+	169	111
+	3	174	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	109
+	87	119
+	85	108
+	4	80	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	119
+	85	108
+	3	80	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	118
+	85	108
+	87	119
+	4	93	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	108
+	87	119
+	3	93	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	110
+	142	110
+	141	108
+	4	136	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	110
+	141	108
+	3	136	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	109
+	82	120
+	80	109
+	4	74	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	120
+	80	109
+	3	74	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	119
+	80	109
+	82	120
+	4	87	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	109
+	82	120
+	3	87	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	69	109
+	77	121
+	74	109
+	4	69	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	121
+	74	109
+	3	69	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	120
+	74	109
+	77	121
+	4	82	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	109
+	77	121
+	3	82	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	110
+	131	112
+	129	109
+	4	124	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	112
+	129	109
+	3	124	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	110
+	129	109
+	131	112
+	4	136	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	109
+	131	112
+	3	136	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	109
+	179	115
+	181	110
+	4	176	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	115
+	181	110
+	3	176	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	115
+	176	109
+	174	113
+	4	179	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	109
+	174	113
+	3	179	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	110
+	71	123
+	69	109
+	4	63	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	123
+	69	109
+	3	63	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	121
+	69	109
+	71	123
+	4	77	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	109
+	71	123
+	3	77	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	109
+	159	114
+	162	112
+	4	158	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	114
+	162	112
+	3	158	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	114
+	158	109
+	156	110
+	4	159	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	109
+	156	110
+	3	159	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	110
+	66	124
+	63	110
+	4	58	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	124
+	63	110
+	3	58	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	123
+	63	110
+	66	124
+	4	71	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	110
+	66	124
+	3	71	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	110
+	136	110
+	138	112
+	4	142	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	110
+	138	112
+	3	142	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	112
+	144	111
+	142	110
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	111
+	142	110
+	3	138	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	110
+	166	114
+	169	111
+	4	164	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	114
+	169	111
+	3	164	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	114
+	164	110
+	162	112
+	4	166	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	110
+	162	112
+	3	166	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	110
+	61	125
+	58	110
+	4	53	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	125
+	58	110
+	3	53	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	124
+	58	110
+	61	125
+	4	66	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	110
+	61	125
+	3	66	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	110
+	184	117
+	187	111
+	4	181	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	117
+	187	111
+	3	181	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	117
+	181	110
+	179	115
+	4	184	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	110
+	179	115
+	3	184	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	47	111
+	55	126
+	53	110
+	4	47	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	126
+	53	110
+	3	47	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	125
+	53	110
+	55	126
+	4	61	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	110
+	55	126
+	3	61	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	111
+	127	114
+	124	110
+	4	119	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	114
+	124	110
+	3	119	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	112
+	124	110
+	127	114
+	4	131	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	110
+	127	114
+	3	131	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	112
+	138	112
+	136	110
+	4	131	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	136	110
+	3	131	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	110
+	156	115
+	159	114
+	4	156	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	115
+	159	114
+	3	156	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	115
+	156	110
+	154	111
+	4	156	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	110
+	154	111
+	3	156	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	42	111
+	50	128
+	47	111
+	4	42	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	128
+	47	111
+	3	42	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	126
+	47	111
+	50	128
+	4	55	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	111
+	50	128
+	3	55	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	114
+	146	111
+	144	111
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	111
+	144	111
+	3	141	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	111
+	138	112
+	141	114
+	4	144	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	112
+	141	114
+	3	144	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	111
+	44	129
+	42	111
+	4	36	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	129
+	42	111
+	3	36	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	128
+	42	111
+	44	129
+	4	50	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	111
+	44	129
+	3	50	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	111
+	188	119
+	192	112
+	4	187	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	119
+	192	112
+	3	187	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	119
+	187	111
+	184	117
+	4	188	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	111
+	184	117
+	3	188	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	31	112
+	39	130
+	36	111
+	4	31	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	130
+	36	111
+	3	31	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	129
+	36	111
+	39	130
+	4	44	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	111
+	39	130
+	3	44	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	111
+	152	116
+	156	115
+	4	154	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	116
+	156	115
+	3	154	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	116
+	154	111
+	151	112
+	4	152	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	111
+	151	112
+	3	152	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	113
+	122	116
+	119	111
+	4	114	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	116
+	119	111
+	3	114	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	114
+	119	111
+	122	116
+	4	127	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	111
+	122	116
+	3	127	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	111
+	170	117
+	174	113
+	4	169	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	117
+	174	113
+	3	169	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	117
+	169	111
+	166	114
+	4	170	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	111
+	166	114
+	3	170	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	115
+	149	112
+	146	111
+	4	145	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	112
+	146	111
+	3	145	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	111
+	141	114
+	145	115
+	4	146	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	145	115
+	3	146	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	25	112
+	33	132
+	31	112
+	4	25	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	132
+	31	112
+	3	25	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	130
+	31	112
+	33	132
+	4	39	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	112
+	33	132
+	3	39	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	112
+	148	116
+	152	116
+	4	151	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	116
+	152	116
+	3	151	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	116
+	151	112
+	149	112
+	4	148	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	112
+	149	112
+	3	148	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	112
+	145	115
+	148	116
+	4	149	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	115
+	148	116
+	3	149	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	112
+	162	117
+	166	114
+	4	162	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	117
+	166	114
+	3	162	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	117
+	162	112
+	159	114
+	4	162	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	112
+	159	114
+	3	162	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	20	112
+	28	133
+	25	112
+	4	20	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	133
+	25	112
+	3	20	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	132
+	25	112
+	28	133
+	4	33	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	112
+	28	133
+	3	33	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	112
+	193	121
+	197	113
+	4	192	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	121
+	197	113
+	3	192	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	121
+	192	112
+	188	119
+	4	193	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	112
+	188	119
+	3	193	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	14	113
+	22	134
+	20	112
+	4	14	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	134
+	20	112
+	3	14	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	28	133
+	20	112
+	22	134
+	4	28	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	112
+	22	134
+	3	28	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	114
+	134	115
+	131	112
+	4	127	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	115
+	131	112
+	3	127	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	112
+	131	112
+	134	115
+	4	138	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	112
+	134	115
+	3	138	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	115
+	141	114
+	138	112
+	4	134	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	114
+	138	112
+	3	134	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	9	113
+	17	135
+	14	113
+	4	9	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	135
+	14	113
+	3	9	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	134
+	14	113
+	17	135
+	4	22	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	113
+	17	135
+	3	22	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	114
+	117	118
+	114	113
+	4	108	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	118
+	114	113
+	3	108	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	116
+	114	113
+	117	118
+	4	122	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	113
+	117	118
+	3	122	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	3	113
+	11	137
+	9	113
+	4	3	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	137
+	9	113
+	3	3	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	135
+	9	113
+	11	137
+	4	17	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	9	113
+	11	137
+	3	17	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	113
+	198	123
+	203	114
+	4	197	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	123
+	203	114
+	3	197	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	123
+	197	113
+	193	121
+	4	198	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	113
+	193	121
+	3	198	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	11	137
+	3	113
+	6	138
+	4	11	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	3	113
+	6	138
+	3	11	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	113
+	174	120
+	179	115
+	4	174	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	120
+	179	115
+	3	174	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	120
+	174	113
+	170	117
+	4	174	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	113
+	170	117
+	3	174	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	114
+	158	119
+	162	117
+	4	159	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	119
+	162	117
+	3	159	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	119
+	159	114
+	156	115
+	4	158	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	114
+	156	115
+	3	158	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	115
+	112	121
+	108	114
+	4	103	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	121
+	108	114
+	3	103	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	118
+	108	114
+	112	121
+	4	117	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	114
+	112	121
+	3	117	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	117
+	145	115
+	141	114
+	4	138	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	115
+	141	114
+	3	138	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	114
+	134	115
+	138	117
+	4	141	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	115
+	138	117
+	3	141	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	114
+	203	125
+	208	115
+	4	203	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	208	115
+	3	203	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	125
+	203	114
+	198	123
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	114
+	198	123
+	3	203	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	116
+	130	118
+	127	114
+	4	122	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	118
+	127	114
+	3	122	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	115
+	127	114
+	130	118
+	4	134	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	114
+	130	118
+	3	134	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	114
+	166	120
+	170	117
+	4	166	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	120
+	170	117
+	3	166	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	120
+	166	114
+	162	117
+	4	166	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	114
+	162	117
+	3	166	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	115
+	153	120
+	158	119
+	4	156	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	120
+	158	119
+	3	156	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	120
+	156	115
+	152	116
+	4	153	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	115
+	152	116
+	3	153	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	118
+	138	117
+	134	115
+	4	130	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	117
+	134	115
+	3	130	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	116
+	108	123
+	103	115
+	4	98	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	123
+	103	115
+	3	98	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	121
+	103	115
+	108	123
+	4	112	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	115
+	108	123
+	3	112	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	115
+	208	127
+	213	116
+	4	208	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	127
+	213	116
+	3	208	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	127
+	208	115
+	203	125
+	4	208	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	115
+	203	125
+	3	208	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	115
+	179	122
+	184	117
+	4	179	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	122
+	184	117
+	3	179	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	122
+	179	115
+	174	120
+	4	179	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	115
+	174	120
+	3	179	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	119
+	148	116
+	145	115
+	4	143	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	116
+	145	115
+	3	143	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	115
+	138	117
+	143	119
+	4	145	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	117
+	143	119
+	3	145	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	116
+	148	120
+	153	120
+	4	152	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	120
+	153	120
+	3	152	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	120
+	152	116
+	148	116
+	4	148	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	116
+	148	116
+	3	148	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	116
+	143	119
+	148	120
+	4	148	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	119
+	148	120
+	3	148	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	116
+	213	128
+	219	117
+	4	213	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	128
+	219	117
+	3	213	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	128
+	213	116
+	208	127
+	4	213	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	116
+	208	127
+	3	213	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	118
+	103	125
+	98	116
+	4	93	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	125
+	98	116
+	3	93	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	123
+	98	116
+	103	125
+	4	108	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	116
+	103	125
+	3	108	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	118
+	126	121
+	122	116
+	4	117	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	121
+	122	116
+	3	117	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	118
+	122	116
+	126	121
+	4	130	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	116
+	126	121
+	3	130	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	117
+	160	122
+	166	120
+	4	162	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	122
+	166	120
+	3	162	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	122
+	162	117
+	158	119
+	4	160	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	117
+	158	119
+	3	160	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	117
+	183	125
+	188	119
+	4	184	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	125
+	188	119
+	3	184	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	125
+	184	117
+	179	122
+	4	183	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	117
+	179	122
+	3	183	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	117
+	169	123
+	174	120
+	4	170	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	123
+	174	120
+	3	170	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	123
+	170	117
+	166	120
+	4	169	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	117
+	166	120
+	3	169	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	117
+	219	130
+	224	118
+	4	219	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	130
+	224	118
+	3	219	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	130
+	219	117
+	213	128
+	4	219	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	117
+	213	128
+	3	219	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	121
+	143	119
+	138	117
+	4	135	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	119
+	138	117
+	3	135	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	117
+	130	118
+	135	121
+	4	138	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	118
+	135	121
+	3	138	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	119
+	98	127
+	93	118
+	4	87	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	127
+	93	118
+	3	87	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	125
+	93	118
+	98	127
+	4	103	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	118
+	98	127
+	3	103	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	121
+	135	121
+	130	118
+	4	126	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	121
+	130	118
+	3	126	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	118
+	224	132
+	229	119
+	4	224	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	132
+	229	119
+	3	224	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	132
+	224	118
+	219	130
+	4	224	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	118
+	219	130
+	3	224	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	121
+	123	124
+	117	118
+	4	112	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	124
+	117	118
+	3	112	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	121
+	117	118
+	123	124
+	4	126	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	118
+	123	124
+	3	126	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	119
+	154	124
+	160	122
+	4	158	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	124
+	160	122
+	3	158	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	124
+	158	119
+	153	120
+	4	154	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	119
+	153	120
+	3	154	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	120
+	93	129
+	87	119
+	4	82	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	129
+	87	119
+	3	82	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	127
+	87	119
+	93	129
+	4	98	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	119
+	93	129
+	3	98	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	119
+	187	128
+	193	121
+	4	188	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	128
+	193	121
+	3	188	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	128
+	188	119
+	183	125
+	4	187	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	119
+	183	125
+	3	187	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	123
+	148	120
+	143	119
+	4	141	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	120
+	143	119
+	3	141	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	119
+	135	121
+	141	123
+	4	143	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	121
+	141	123
+	3	143	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	119
+	229	134
+	235	120
+	4	229	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	134
+	235	120
+	3	229	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	134
+	229	119
+	224	132
+	4	229	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	119
+	224	132
+	3	229	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	120
+	147	124
+	154	124
+	4	153	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	124
+	154	124
+	3	153	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	124
+	153	120
+	148	120
+	4	147	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	120
+	148	120
+	3	147	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	120
+	141	123
+	147	124
+	4	148	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	123
+	147	124
+	3	148	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	120
+	172	127
+	179	122
+	4	174	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	127
+	179	122
+	3	174	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	127
+	174	120
+	169	123
+	4	172	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	120
+	169	123
+	3	172	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	121
+	88	131
+	82	120
+	4	77	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	131
+	82	120
+	3	77	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	129
+	82	120
+	88	131
+	4	93	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	120
+	88	131
+	3	93	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	120
+	162	126
+	169	123
+	4	166	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	126
+	169	123
+	3	166	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	126
+	166	120
+	160	122
+	4	162	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	120
+	160	122
+	3	162	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	235	120
+	234	136
+	240	121
+	4	235	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	136
+	240	121
+	3	235	120	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	136
+	235	120
+	229	134
+	4	234	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	120
+	229	134
+	3	234	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	123
+	118	126
+	112	121
+	4	108	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	126
+	112	121
+	3	108	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	124
+	112	121
+	118	126
+	4	123	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	121
+	118	126
+	3	123	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	124
+	132	124
+	126	121
+	4	123	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	124
+	126	121
+	3	123	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	121
+	126	121
+	132	124
+	4	135	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	121
+	132	124
+	3	135	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	124
+	141	123
+	135	121
+	4	132	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	123
+	135	121
+	3	132	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	193	121
+	191	130
+	198	123
+	4	193	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	130
+	198	123
+	3	193	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	130
+	193	121
+	187	128
+	4	191	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	121
+	187	128
+	3	191	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	121
+	239	138
+	246	122
+	4	240	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	138
+	246	122
+	3	240	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	138
+	240	121
+	234	136
+	4	239	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	121
+	234	136
+	3	239	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	123
+	83	133
+	77	121
+	4	71	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	133
+	77	121
+	3	71	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	131
+	77	121
+	83	133
+	4	88	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	121
+	83	133
+	3	88	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	122
+	155	127
+	162	126
+	4	160	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	127
+	162	126
+	3	160	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	127
+	160	122
+	154	124
+	4	155	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	122
+	154	124
+	3	155	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	122
+	175	130
+	183	125
+	4	179	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	130
+	183	125
+	3	179	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	130
+	179	122
+	172	127
+	4	175	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	122
+	172	127
+	3	175	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	122
+	244	140
+	251	123
+	4	246	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	140
+	251	123
+	3	246	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	140
+	246	122
+	239	138
+	4	244	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	122
+	239	138
+	3	244	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	66	124
+	78	135
+	71	123
+	4	66	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	135
+	71	123
+	3	66	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	133
+	71	123
+	78	135
+	4	83	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	123
+	78	135
+	3	83	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	103	125
+	114	129
+	108	123
+	4	103	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	129
+	108	123
+	3	103	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	126
+	108	123
+	114	129
+	4	118	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	123
+	114	129
+	3	118	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	198	123
+	196	133
+	203	125
+	4	198	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	133
+	203	125
+	3	198	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	133
+	198	123
+	191	130
+	4	196	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	123
+	191	130
+	3	196	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	127
+	147	124
+	141	123
+	4	139	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	124
+	141	123
+	3	139	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	123
+	132	124
+	139	127
+	4	141	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	124
+	139	127
+	3	141	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	123
+	164	130
+	172	127
+	4	169	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	130
+	172	127
+	3	169	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	130
+	169	123
+	162	126
+	4	164	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	123
+	162	126
+	3	164	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	251	123
+	250	142
+	257	124
+	4	251	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	142
+	257	124
+	3	251	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	142
+	251	123
+	244	140
+	4	250	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	123
+	244	140
+	3	250	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	124
+	147	128
+	155	127
+	4	154	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	128
+	155	127
+	3	154	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	128
+	154	124
+	147	124
+	4	147	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	124
+	147	124
+	3	147	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	126
+	129	128
+	123	124
+	4	118	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	128
+	123	124
+	3	118	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	124
+	123	124
+	129	128
+	4	132	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	124
+	129	128
+	3	132	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	124
+	139	127
+	147	128
+	4	147	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	127
+	147	128
+	3	147	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	61	125
+	73	138
+	66	124
+	4	61	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	138
+	66	124
+	3	61	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	135
+	66	124
+	73	138
+	4	78	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	124
+	73	138
+	3	78	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	128
+	139	127
+	132	124
+	4	129	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	127
+	132	124
+	3	129	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	257	124
+	255	144
+	262	125
+	4	257	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	144
+	262	125
+	3	257	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	144
+	257	124
+	250	142
+	4	255	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	124
+	250	142
+	3	255	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	125
+	200	136
+	208	127
+	4	203	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	136
+	208	127
+	3	203	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	136
+	203	125
+	196	133
+	4	200	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	125
+	196	133
+	3	200	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	127
+	110	132
+	103	125
+	4	98	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	132
+	103	125
+	3	98	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	129
+	103	125
+	110	132
+	4	114	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	125
+	110	132
+	3	114	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	125
+	179	133
+	187	128
+	4	183	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	133
+	187	128
+	3	183	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	133
+	183	125
+	175	130
+	4	179	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	125
+	175	130
+	3	179	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	55	126
+	68	140
+	61	125
+	4	55	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	140
+	61	125
+	3	55	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	138
+	61	125
+	68	140
+	4	73	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	125
+	68	140
+	3	73	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	262	125
+	260	146
+	268	127
+	4	262	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	146
+	268	127
+	3	262	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	146
+	262	125
+	255	144
+	4	260	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	125
+	255	144
+	3	260	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	126
+	156	132
+	164	130
+	4	162	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	132
+	164	130
+	3	162	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	132
+	162	126
+	155	127
+	4	156	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	126
+	155	127
+	3	156	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	129
+	126	131
+	118	126
+	4	114	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	131
+	118	126
+	3	114	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	128
+	118	126
+	126	131
+	4	129	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	126
+	126	131
+	3	129	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	128
+	63	142
+	55	126
+	4	50	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	142
+	55	126
+	3	50	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	140
+	55	126
+	63	142
+	4	68	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	126
+	63	142
+	3	68	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	268	127
+	265	148
+	273	128
+	4	268	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	148
+	273	128
+	3	268	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	148
+	268	127
+	260	146
+	4	265	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	127
+	260	146
+	3	265	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	127
+	205	139
+	213	128
+	4	208	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	139
+	213	128
+	3	208	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	139
+	208	127
+	200	136
+	4	205	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	127
+	200	136
+	3	205	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	130
+	147	128
+	139	127
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	128
+	139	127
+	3	138	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	127
+	129	128
+	138	130
+	4	139	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	128
+	138	130
+	3	139	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	127
+	166	134
+	175	130
+	4	172	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	134
+	175	130
+	3	172	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	134
+	172	127
+	164	130
+	4	166	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	127
+	164	130
+	3	166	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	93	129
+	106	135
+	98	127
+	4	93	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	135
+	98	127
+	3	93	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	132
+	98	127
+	106	135
+	4	110	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	127
+	106	135
+	3	110	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	127
+	146	132
+	156	132
+	4	155	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	156	132
+	3	155	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	132
+	155	127
+	147	128
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	127
+	147	128
+	3	146	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	273	128
+	271	150
+	279	129
+	4	273	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	150
+	279	129
+	3	273	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	150
+	273	128
+	265	148
+	4	271	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	128
+	265	148
+	3	271	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	131
+	138	130
+	129	128
+	4	126	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	129	128
+	3	126	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	44	129
+	58	144
+	50	128
+	4	44	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	144
+	50	128
+	3	44	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	142
+	50	128
+	58	144
+	4	63	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	128
+	58	144
+	3	63	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	147	128
+	138	130
+	146	132
+	4	147	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	130
+	146	132
+	3	147	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	128
+	182	137
+	191	130
+	4	187	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	137
+	191	130
+	3	187	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	137
+	187	128
+	179	133
+	4	182	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	128
+	179	133
+	3	182	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	128
+	209	141
+	219	130
+	4	213	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	141
+	219	130
+	3	213	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	141
+	213	128
+	205	139
+	4	209	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	128
+	205	139
+	3	209	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	279	129
+	276	152
+	284	130
+	4	279	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	152
+	284	130
+	3	279	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	152
+	279	129
+	271	150
+	4	276	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	129
+	271	150
+	3	276	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	39	130
+	53	146
+	44	129
+	4	39	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	146
+	44	129
+	3	39	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	144
+	44	129
+	53	146
+	4	58	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	129
+	53	146
+	3	58	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	131
+	102	138
+	93	129
+	4	88	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	138
+	93	129
+	3	88	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	135
+	93	129
+	102	138
+	4	106	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	129
+	102	138
+	3	106	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	132
+	123	135
+	114	129
+	4	110	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	135
+	114	129
+	3	110	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	131
+	114	129
+	123	135
+	4	126	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	129
+	123	135
+	3	126	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	284	130
+	281	154
+	290	131
+	4	284	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	154
+	290	131
+	3	284	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	154
+	284	130
+	276	152
+	4	281	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	130
+	276	152
+	3	281	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	130
+	156	136
+	166	134
+	4	164	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	136
+	166	134
+	3	164	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	136
+	164	130
+	156	132
+	4	156	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	130
+	156	132
+	3	156	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	130
+	169	137
+	179	133
+	4	175	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	137
+	179	133
+	3	175	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	137
+	175	130
+	166	134
+	4	169	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	130
+	166	134
+	3	169	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	33	132
+	48	149
+	39	130
+	4	33	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	149
+	39	130
+	3	33	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	146
+	39	130
+	48	149
+	4	53	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	130
+	48	149
+	3	53	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	130
+	213	144
+	224	132
+	4	219	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	144
+	224	132
+	3	219	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	144
+	219	130
+	209	141
+	4	213	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	130
+	209	141
+	3	213	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	134
+	146	132
+	138	130
+	4	136	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	138	130
+	3	136	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	130
+	126	131
+	136	134
+	4	138	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	131
+	136	134
+	3	138	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	130
+	185	140
+	196	133
+	4	191	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	140
+	196	133
+	3	191	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	140
+	191	130
+	182	137
+	4	185	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	130
+	182	137
+	3	185	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	290	131
+	287	156
+	295	132
+	4	290	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	156
+	295	132
+	3	290	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	287	156
+	290	131
+	281	154
+	4	287	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	131
+	281	154
+	3	287	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	135
+	136	134
+	126	131
+	4	123	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	134
+	126	131
+	3	123	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	133
+	98	141
+	88	131
+	4	83	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	141
+	88	131
+	3	83	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	138
+	88	131
+	98	141
+	4	102	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	131
+	98	141
+	3	102	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	28	133
+	43	151
+	33	132
+	4	28	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	151
+	33	132
+	3	28	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	149
+	33	132
+	43	151
+	4	48	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	132
+	43	151
+	3	48	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	132
+	146	136
+	156	136
+	4	156	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	136
+	156	136
+	3	156	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	136
+	156	132
+	146	132
+	4	146	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	132
+	146	132
+	3	146	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	132
+	136	134
+	146	136
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	134
+	146	136
+	3	146	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	135
+	120	138
+	110	132
+	4	106	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	138
+	110	132
+	3	106	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	135
+	110	132
+	120	138
+	4	123	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	132
+	120	138
+	3	123	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	224	132
+	218	147
+	229	134
+	4	224	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	147
+	229	134
+	3	224	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	147
+	224	132
+	213	144
+	4	218	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	132
+	213	144
+	3	218	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	134
+	37	153
+	28	133
+	4	22	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	153
+	28	133
+	3	22	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	151
+	28	133
+	37	153
+	4	43	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	133
+	37	153
+	3	43	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	133
+	189	144
+	200	136
+	4	196	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	144
+	200	136
+	3	196	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	144
+	196	133
+	185	140
+	4	189	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	133
+	185	140
+	3	189	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	135
+	94	144
+	83	133
+	4	78	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	144
+	83	133
+	3	78	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	141
+	83	133
+	94	144
+	4	98	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	133
+	94	144
+	3	98	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	133
+	171	141
+	182	137
+	4	179	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	141
+	182	137
+	3	179	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	141
+	179	133
+	169	137
+	4	171	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	133
+	169	137
+	3	171	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	134
+	157	140
+	169	137
+	4	166	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	140
+	169	137
+	3	166	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	140
+	166	134
+	156	136
+	4	157	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	134
+	156	136
+	3	157	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	17	135
+	32	155
+	22	134
+	4	17	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	155
+	22	134
+	3	17	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	153
+	22	134
+	32	155
+	4	37	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	134
+	32	155
+	3	37	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	134
+	222	150
+	234	136
+	4	229	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	150
+	234	136
+	3	229	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	150
+	229	134
+	218	147
+	4	222	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	134
+	218	147
+	3	222	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	138
+	146	136
+	136	134
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	136
+	136	134
+	3	134	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	134
+	123	135
+	134	138
+	4	136	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	135
+	134	138
+	3	136	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	138
+	134	138
+	123	135
+	4	120	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	123	135
+	3	120	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	138
+	117	142
+	106	135
+	4	102	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	142
+	106	135
+	3	102	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	138
+	106	135
+	117	142
+	4	120	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	135
+	117	142
+	3	120	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	11	137
+	27	158
+	17	135
+	4	11	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	158
+	17	135
+	3	11	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	32	155
+	17	135
+	27	158
+	4	32	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	135
+	27	158
+	3	32	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	73	138
+	89	147
+	78	135
+	4	73	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	147
+	78	135
+	3	73	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	144
+	78	135
+	89	147
+	4	94	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	135
+	89	147
+	3	94	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	136
+	145	140
+	157	140
+	4	156	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	140
+	157	140
+	3	156	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	140
+	156	136
+	146	136
+	4	145	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	136
+	146	136
+	3	145	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	136
+	134	138
+	145	140
+	4	146	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	138
+	145	140
+	3	146	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	136
+	192	147
+	205	139
+	4	200	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	147
+	205	139
+	3	200	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	147
+	200	136
+	189	144
+	4	192	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	136
+	189	144
+	3	192	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	234	136
+	227	153
+	239	138
+	4	234	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	153
+	239	138
+	3	234	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	153
+	234	136
+	222	150
+	4	227	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	136
+	222	150
+	3	227	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	6	138
+	22	160
+	11	137
+	4	6	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	160
+	11	137
+	3	6	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	27	158
+	11	137
+	22	160
+	4	27	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	137
+	22	160
+	3	27	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	137
+	173	145
+	185	140
+	4	182	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	145
+	185	140
+	3	182	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	145
+	182	137
+	171	141
+	4	173	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	137
+	171	141
+	3	173	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	137
+	158	144
+	171	141
+	4	169	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	144
+	171	141
+	3	169	137	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	144
+	169	137
+	157	140
+	4	158	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	137
+	157	140
+	3	158	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	140
+	85	150
+	73	138
+	4	68	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	150
+	73	138
+	3	68	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	147
+	73	138
+	85	150
+	4	89	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	138
+	85	150
+	3	89	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	141
+	114	145
+	102	138
+	4	98	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	145
+	102	138
+	3	98	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	142
+	102	138
+	114	145
+	4	117	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	138
+	114	145
+	3	117	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	160
+	6	138
+	16	162
+	4	22	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	138
+	16	162
+	3	22	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	142
+	132	142
+	120	138
+	4	117	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	142
+	120	138
+	3	117	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	138
+	120	138
+	132	142
+	4	134	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	138
+	132	142
+	3	134	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	138
+	232	156
+	244	140
+	4	239	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	156
+	244	140
+	3	239	138	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	156
+	239	138
+	227	153
+	4	232	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	138
+	227	153
+	3	232	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	142
+	145	140
+	134	138
+	4	132	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	140
+	134	138
+	3	132	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	205	139
+	196	151
+	209	141
+	4	205	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	151
+	209	141
+	3	205	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	151
+	205	139
+	192	147
+	4	196	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	139
+	192	147
+	3	196	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	140
+	145	144
+	158	144
+	4	157	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	144
+	158	144
+	3	157	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	144
+	157	140
+	145	140
+	4	145	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	140
+	145	140
+	3	145	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	142
+	81	153
+	68	140
+	4	63	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	153
+	68	140
+	3	63	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	150
+	68	140
+	81	153
+	4	85	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	140
+	81	153
+	3	85	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	140
+	132	142
+	145	144
+	4	145	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	142
+	145	144
+	3	145	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	140
+	175	149
+	189	144
+	4	185	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	149
+	189	144
+	3	185	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	149
+	185	140
+	173	145
+	4	175	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	140
+	173	145
+	3	175	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	140
+	236	159
+	250	142
+	4	244	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	159
+	250	142
+	3	244	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	159
+	244	140
+	232	156
+	4	236	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	140
+	232	156
+	3	236	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	144
+	111	149
+	98	141
+	4	94	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	149
+	98	141
+	3	94	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	145
+	98	141
+	111	149
+	4	114	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	141
+	111	149
+	3	114	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	141
+	159	148
+	173	145
+	4	171	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	148
+	173	145
+	3	171	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	148
+	171	141
+	158	144
+	4	159	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	141
+	158	144
+	3	159	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	141
+	199	154
+	213	144
+	4	209	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	154
+	213	144
+	3	209	141	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	154
+	209	141
+	196	151
+	4	199	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	141
+	196	151
+	3	199	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	145
+	130	146
+	117	142
+	4	114	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	146
+	117	142
+	3	114	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	142
+	117	142
+	130	146
+	4	132	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	142
+	130	146
+	3	132	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	58	144
+	76	156
+	63	142
+	4	58	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	156
+	63	142
+	3	58	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	153
+	63	142
+	76	156
+	4	81	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	142
+	76	156
+	3	81	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	142
+	241	161
+	255	144
+	4	250	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	161
+	255	144
+	3	250	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	161
+	250	142
+	236	159
+	4	241	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	142
+	236	159
+	3	241	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	146
+	145	144
+	132	142
+	4	130	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	144
+	132	142
+	3	130	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	144
+	177	153
+	192	147
+	4	189	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	153
+	192	147
+	3	189	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	153
+	189	144
+	175	149
+	4	177	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	144
+	175	149
+	3	177	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	144
+	144	148
+	159	148
+	4	158	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	159	148
+	3	158	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	148
+	158	144
+	145	144
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	144
+	145	144
+	3	144	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	89	147
+	108	153
+	94	144
+	4	89	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	153
+	94	144
+	3	89	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	149
+	94	144
+	108	153
+	4	111	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	144
+	108	153
+	3	111	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	144
+	130	146
+	144	148
+	4	145	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	146
+	144	148
+	3	145	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	144
+	246	164
+	260	146
+	4	255	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	164
+	260	146
+	3	255	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	164
+	255	144
+	241	161
+	4	246	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	144
+	241	161
+	3	246	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	144
+	203	158
+	218	147
+	4	213	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	158
+	218	147
+	3	213	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	158
+	213	144
+	199	154
+	4	203	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	144
+	199	154
+	3	203	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	53	146
+	72	159
+	58	144
+	4	53	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	159
+	58	144
+	3	53	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	156
+	58	144
+	72	159
+	4	76	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	144
+	72	159
+	3	76	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	111	149
+	128	150
+	114	145
+	4	111	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	150
+	114	145
+	3	111	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	146
+	114	145
+	128	150
+	4	130	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	145
+	128	150
+	3	130	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	145
+	160	152
+	175	149
+	4	173	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	152
+	175	149
+	3	173	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	152
+	173	145
+	159	148
+	4	160	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	145
+	159	148
+	3	160	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	146
+	250	167
+	265	148
+	4	260	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	167
+	265	148
+	3	260	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	167
+	260	146
+	246	164
+	4	250	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	146
+	246	164
+	3	250	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	150
+	144	148
+	130	146
+	4	128	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	148
+	130	146
+	3	128	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	48	149
+	68	162
+	53	146
+	4	48	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	162
+	53	146
+	3	48	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	159
+	53	146
+	68	162
+	4	72	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	146
+	68	162
+	3	72	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	85	150
+	104	156
+	89	147
+	4	85	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	156
+	89	147
+	3	85	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	153
+	89	147
+	104	156
+	4	108	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	147
+	104	156
+	3	108	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	147
+	206	161
+	222	150
+	4	218	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	161
+	222	150
+	3	218	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	161
+	218	147
+	203	158
+	4	206	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	147
+	203	158
+	3	206	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	147
+	180	157
+	196	151
+	4	192	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	157
+	196	151
+	3	192	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	157
+	192	147
+	177	153
+	4	180	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	147
+	177	153
+	3	180	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	148
+	144	153
+	160	152
+	4	159	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	153
+	160	152
+	3	159	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	153
+	159	148
+	144	148
+	4	144	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	148
+	144	148
+	3	144	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	148
+	255	170
+	271	150
+	4	265	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	170
+	271	150
+	3	265	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	170
+	265	148
+	250	167
+	4	255	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	148
+	250	167
+	3	255	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	148
+	128	150
+	144	153
+	4	144	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	150
+	144	153
+	3	144	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	43	151
+	63	165
+	48	149
+	4	43	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	165
+	48	149
+	3	43	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	162
+	48	149
+	63	165
+	4	68	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	149
+	63	165
+	3	68	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	153
+	126	154
+	111	149
+	4	108	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	154
+	111	149
+	3	108	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	150
+	111	149
+	126	154
+	4	128	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	149
+	126	154
+	3	128	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	149
+	161	157
+	177	153
+	4	175	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	157
+	177	153
+	3	175	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	157
+	175	149
+	160	152
+	4	161	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	149
+	160	152
+	3	161	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	150
+	210	165
+	227	153
+	4	222	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	165
+	227	153
+	3	222	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	165
+	222	150
+	206	161
+	4	210	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	150
+	206	161
+	3	210	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	153
+	101	160
+	85	150
+	4	81	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	160
+	85	150
+	3	81	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	156
+	85	150
+	101	160
+	4	104	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	150
+	101	160
+	3	104	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	271	150
+	260	173
+	276	152
+	4	271	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	173
+	276	152
+	3	271	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	173
+	271	150
+	255	170
+	4	260	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	150
+	255	170
+	3	260	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	154
+	144	153
+	128	150
+	4	126	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	153
+	128	150
+	3	126	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	151
+	182	161
+	199	154
+	4	196	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	161
+	199	154
+	3	196	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	161
+	196	151
+	180	157
+	4	182	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	151
+	180	157
+	3	182	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	37	153
+	59	169
+	43	151
+	4	37	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	169
+	43	151
+	3	37	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	165
+	43	151
+	59	169
+	4	63	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	151
+	59	169
+	3	63	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	276	152
+	265	176
+	281	154
+	4	276	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	176
+	281	154
+	3	276	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	176
+	276	152
+	260	173
+	4	265	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	152
+	260	173
+	3	265	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	152
+	143	157
+	161	157
+	4	160	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	157
+	161	157
+	3	160	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	157
+	160	152
+	144	153
+	4	143	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	152
+	144	153
+	3	143	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	156
+	124	159
+	108	153
+	4	104	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	159
+	108	153
+	3	104	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	154
+	108	153
+	124	159
+	4	126	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	153
+	124	159
+	3	126	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	153
+	126	154
+	143	157
+	4	144	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	154
+	143	157
+	3	144	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	227	153
+	214	169
+	232	156
+	4	227	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	169
+	232	156
+	3	227	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	169
+	227	153
+	210	165
+	4	214	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	153
+	210	165
+	3	214	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	76	156
+	98	164
+	81	153
+	4	76	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	164
+	81	153
+	3	76	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	160
+	81	153
+	98	164
+	4	101	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	153
+	98	164
+	3	101	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	32	155
+	54	172
+	37	153
+	4	32	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	172
+	37	153
+	3	32	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	169
+	37	153
+	54	172
+	4	59	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	153
+	54	172
+	3	59	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	153
+	162	161
+	180	157
+	4	177	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	161
+	180	157
+	3	177	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	161
+	177	153
+	161	157
+	4	162	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	153
+	161	157
+	3	162	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	154
+	184	166
+	203	158
+	4	199	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	166
+	203	158
+	3	199	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	166
+	199	154
+	182	161
+	4	184	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	154
+	182	161
+	3	184	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	281	154
+	270	180
+	287	156
+	4	281	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	180
+	287	156
+	3	281	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	270	180
+	281	154
+	265	176
+	4	270	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	154
+	265	176
+	3	270	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	159
+	143	157
+	126	154
+	4	124	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	157
+	126	154
+	3	124	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	27	158
+	50	175
+	32	155
+	4	27	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	175
+	32	155
+	3	27	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	172
+	32	155
+	50	175
+	4	54	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	155
+	50	175
+	3	54	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	156
+	217	172
+	236	159
+	4	232	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	172
+	236	159
+	3	232	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	172
+	232	156
+	214	169
+	4	217	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	156
+	214	169
+	3	217	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	72	159
+	95	168
+	76	156
+	4	72	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	168
+	76	156
+	3	72	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	164
+	76	156
+	95	168
+	4	98	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	156
+	95	168
+	3	98	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	101	160
+	122	163
+	104	156
+	4	101	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	163
+	104	156
+	3	101	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	124	159
+	104	156
+	122	163
+	4	124	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	156
+	122	163
+	3	124	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	157
+	143	161
+	162	161
+	4	161	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	161
+	162	161
+	3	161	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	161
+	161	157
+	143	157
+	4	143	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	157
+	143	157
+	3	143	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	157
+	124	159
+	143	161
+	4	143	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	159
+	143	161
+	3	143	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	157
+	163	165
+	182	161
+	4	180	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	165
+	182	161
+	3	180	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	165
+	180	157
+	162	161
+	4	163	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	157
+	162	161
+	3	163	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	203	158
+	187	170
+	206	161
+	4	203	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	170
+	206	161
+	3	203	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	170
+	203	158
+	184	166
+	4	187	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	158
+	184	166
+	3	187	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	22	160
+	45	178
+	27	158
+	4	22	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	178
+	27	158
+	3	22	160	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	175
+	27	158
+	45	178
+	4	50	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	158
+	45	178
+	3	50	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	163
+	143	161
+	124	159
+	4	122	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	161
+	124	159
+	3	122	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	159
+	221	176
+	241	161
+	4	236	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	176
+	241	161
+	3	236	159	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	176
+	236	159
+	217	172
+	4	221	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	159
+	217	172
+	3	221	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	68	162
+	91	171
+	72	159
+	4	68	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	171
+	72	159
+	3	68	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	168
+	72	159
+	91	171
+	4	95	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	159
+	91	171
+	3	95	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	164
+	120	167
+	101	160
+	4	98	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	167
+	101	160
+	3	98	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	163
+	101	160
+	120	167
+	4	122	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	160
+	120	167
+	3	122	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	16	162
+	40	182
+	22	160
+	4	16	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	182
+	22	160
+	3	16	162	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	178
+	22	160
+	40	182
+	4	45	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	160
+	40	182
+	3	45	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	161
+	142	166
+	163	165
+	4	162	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	166
+	163	165
+	3	162	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	166
+	162	161
+	143	161
+	4	142	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	161
+	143	161
+	3	142	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	161
+	189	174
+	210	165
+	4	206	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	174
+	210	165
+	3	206	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	174
+	206	161
+	187	170
+	4	189	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	161
+	187	170
+	3	189	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	161
+	163	170
+	184	166
+	4	182	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	170
+	184	166
+	3	182	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	170
+	182	161
+	163	165
+	4	163	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	161
+	163	165
+	3	163	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	161
+	122	163
+	142	166
+	4	143	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	163
+	142	166
+	3	143	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	241	161
+	225	180
+	246	164
+	4	241	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	180
+	246	164
+	3	241	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	180
+	241	161
+	221	176
+	4	225	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	161
+	221	176
+	3	225	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	165
+	88	175
+	68	162
+	4	63	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	175
+	68	162
+	3	63	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	171
+	68	162
+	88	175
+	4	91	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	162
+	88	175
+	3	91	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	182
+	16	162
+	36	185
+	4	40	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	162
+	36	185
+	3	40	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	167
+	142	166
+	122	163
+	4	120	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	166
+	122	163
+	3	120	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	168
+	118	171
+	98	164
+	4	95	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	171
+	98	164
+	3	95	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	167
+	98	164
+	118	171
+	4	120	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	164
+	118	171
+	3	120	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	246	164
+	229	184
+	250	167
+	4	246	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	184
+	250	167
+	3	246	164	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	184
+	246	164
+	225	180
+	4	229	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	164
+	225	180
+	3	229	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	165
+	191	178
+	214	169
+	4	210	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	178
+	214	169
+	3	210	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	178
+	210	165
+	189	174
+	4	191	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	165
+	189	174
+	3	191	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	165
+	142	170
+	163	170
+	4	163	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	170
+	163	170
+	3	163	165	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	170
+	163	165
+	142	166
+	4	142	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	165
+	142	166
+	3	142	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	59	169
+	84	179
+	63	165
+	4	59	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	179
+	63	165
+	3	59	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	175
+	63	165
+	84	179
+	4	88	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	165
+	84	179
+	3	88	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	166
+	164	174
+	187	170
+	4	184	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	174
+	187	170
+	3	184	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	174
+	184	166
+	163	170
+	4	164	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	166
+	163	170
+	3	164	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	166
+	120	167
+	142	170
+	4	142	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	167
+	142	170
+	3	142	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	171
+	142	170
+	120	167
+	4	118	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	170
+	120	167
+	3	118	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	250	167
+	232	188
+	255	170
+	4	250	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	188
+	255	170
+	3	250	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	188
+	250	167
+	229	184
+	4	232	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	167
+	229	184
+	3	232	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	171
+	116	176
+	95	168
+	4	91	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	176
+	95	168
+	3	91	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	118	171
+	95	168
+	116	176
+	4	118	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	168
+	116	176
+	3	118	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	172
+	81	183
+	59	169
+	4	54	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	183
+	59	169
+	3	54	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	179
+	59	169
+	81	183
+	4	84	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	169
+	81	183
+	3	84	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	214	169
+	194	183
+	217	172
+	4	214	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	183
+	217	172
+	3	214	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	183
+	214	169
+	191	178
+	4	194	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	169
+	191	178
+	3	194	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	187	170
+	165	179
+	189	174
+	4	187	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	179
+	189	174
+	3	187	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	179
+	187	170
+	164	174
+	4	165	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	170
+	164	174
+	3	165	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	170
+	141	175
+	164	174
+	4	163	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	175
+	164	174
+	3	163	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	175
+	163	170
+	142	170
+	4	141	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	170
+	142	170
+	3	141	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	170
+	118	171
+	141	175
+	4	142	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	171
+	141	175
+	3	142	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	255	170
+	236	191
+	260	173
+	4	255	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	191
+	260	173
+	3	255	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	191
+	255	170
+	232	188
+	4	236	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	170
+	232	188
+	3	236	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	176
+	141	175
+	118	171
+	4	116	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	175
+	118	171
+	3	116	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	88	175
+	114	180
+	91	171
+	4	88	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	180
+	91	171
+	3	88	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	176
+	91	171
+	114	180
+	4	116	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	171
+	114	180
+	3	116	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	50	175
+	77	187
+	54	172
+	4	50	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	187
+	54	172
+	3	50	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	183
+	54	172
+	77	187
+	4	81	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	172
+	77	187
+	3	81	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	217	172
+	196	187
+	221	176
+	4	217	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	187
+	221	176
+	3	217	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	187
+	217	172
+	194	183
+	4	196	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	172
+	194	183
+	3	196	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	260	173
+	240	195
+	265	176
+	4	260	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	195
+	265	176
+	3	260	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	195
+	260	173
+	236	191
+	4	240	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	173
+	236	191
+	3	240	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	174
+	166	184
+	191	178
+	4	189	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	184
+	191	178
+	3	189	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	184
+	189	174
+	165	179
+	4	166	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	174
+	165	179
+	3	166	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	174
+	141	179
+	165	179
+	4	164	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	179
+	165	179
+	3	164	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	179
+	164	174
+	141	175
+	4	141	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	174
+	141	175
+	3	141	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	175
+	116	176
+	141	179
+	4	141	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	176
+	141	179
+	3	141	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	45	178
+	74	191
+	50	175
+	4	45	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	191
+	50	175
+	3	45	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	187
+	50	175
+	74	191
+	4	77	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	175
+	74	191
+	3	77	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	84	179
+	112	184
+	88	175
+	4	84	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	184
+	88	175
+	3	84	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	180
+	88	175
+	112	184
+	4	114	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	175
+	112	184
+	3	114	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	114	180
+	141	179
+	116	176
+	4	114	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	179
+	116	176
+	3	114	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	221	176
+	199	191
+	225	180
+	4	221	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	191
+	225	180
+	3	221	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	191
+	221	176
+	196	187
+	4	199	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	176
+	196	187
+	3	199	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	265	176
+	244	199
+	270	180
+	4	265	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	199
+	270	180
+	3	265	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	199
+	265	176
+	240	195
+	4	244	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	176
+	240	195
+	3	244	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	191	178
+	167	188
+	194	183
+	4	191	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	194	183
+	3	191	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	188
+	191	178
+	166	184
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	178
+	166	184
+	3	167	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	40	182
+	70	195
+	45	178
+	4	40	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	195
+	45	178
+	3	40	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	191
+	45	178
+	70	195
+	4	74	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	178
+	70	195
+	3	74	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	179
+	140	184
+	166	184
+	4	165	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	184
+	166	184
+	3	165	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	184
+	165	179
+	141	179
+	4	140	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	179
+	141	179
+	3	140	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	81	183
+	110	189
+	84	179
+	4	81	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	189
+	84	179
+	3	81	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	184
+	84	179
+	110	189
+	4	112	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	179
+	110	189
+	3	112	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	141	179
+	114	180
+	140	184
+	4	141	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	180
+	140	184
+	3	141	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	180
+	201	196
+	229	184
+	4	225	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	196
+	229	184
+	3	225	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	196
+	225	180
+	199	191
+	4	201	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	180
+	199	191
+	3	201	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	184
+	140	184
+	114	180
+	4	112	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	184
+	114	180
+	3	112	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	36	185
+	67	199
+	40	182
+	4	36	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	199
+	40	182
+	3	36	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	195
+	40	182
+	67	199
+	4	70	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	182
+	67	199
+	3	70	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	183
+	168	193
+	196	187
+	4	194	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	193
+	196	187
+	3	194	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	193
+	194	183
+	167	188
+	4	168	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	183
+	167	188
+	3	168	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	187
+	108	193
+	81	183
+	4	77	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	193
+	81	183
+	3	77	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	189
+	81	183
+	108	193
+	4	110	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	183
+	108	193
+	3	110	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	184
+	139	189
+	167	188
+	4	166	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	189
+	167	188
+	3	166	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	189
+	166	184
+	140	184
+	4	139	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	184
+	140	184
+	3	139	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	229	184
+	204	200
+	232	188
+	4	229	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	200
+	232	188
+	3	229	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	200
+	229	184
+	201	196
+	4	204	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	184
+	201	196
+	3	204	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	184
+	112	184
+	139	189
+	4	140	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	184
+	139	189
+	3	140	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	110	189
+	139	189
+	112	184
+	4	110	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	189
+	112	184
+	3	110	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	199
+	36	185
+	63	204
+	4	67	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	185
+	63	204
+	3	67	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	187
+	169	198
+	199	191
+	4	196	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	198
+	199	191
+	3	196	187	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	198
+	196	187
+	168	193
+	4	169	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	187
+	168	193
+	3	169	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	74	191
+	106	198
+	77	187
+	4	74	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	198
+	77	187
+	3	74	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	193
+	77	187
+	106	198
+	4	108	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	187
+	106	198
+	3	108	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	232	188
+	206	205
+	236	191
+	4	232	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	205
+	236	191
+	3	232	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	205
+	232	188
+	204	200
+	4	206	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	188
+	204	200
+	3	206	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	188
+	139	194
+	168	193
+	4	167	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	194
+	168	193
+	3	167	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	194
+	167	188
+	139	189
+	4	139	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	188
+	139	189
+	3	139	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	189
+	110	189
+	139	194
+	4	139	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	189
+	139	194
+	3	139	189	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	193
+	139	194
+	110	189
+	4	108	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	194
+	110	189
+	3	108	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	70	195
+	104	203
+	74	191
+	4	70	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	203
+	74	191
+	3	70	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	198
+	74	191
+	104	203
+	4	106	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	191
+	104	203
+	3	106	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	199	191
+	170	202
+	201	196
+	4	199	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	202
+	201	196
+	3	199	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	202
+	199	191
+	169	198
+	4	170	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	191
+	169	198
+	3	170	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	191
+	209	209
+	240	195
+	4	236	191	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	209
+	240	195
+	3	236	191	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	209
+	236	191
+	206	205
+	4	209	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	191
+	206	205
+	3	209	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	193
+	138	198
+	169	198
+	4	168	193	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	198
+	169	198
+	3	168	193	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	198
+	168	193
+	139	194
+	4	138	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	193
+	139	194
+	3	138	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	198
+	138	198
+	108	193
+	4	106	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	198
+	108	193
+	3	106	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	139	194
+	108	193
+	138	198
+	4	139	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	193
+	138	198
+	3	139	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	67	199
+	102	207
+	70	195
+	4	67	199	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	207
+	70	195
+	3	67	199	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	203
+	70	195
+	102	207
+	4	104	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	195
+	102	207
+	3	104	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	240	195
+	212	214
+	244	199
+	4	240	195	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	214
+	244	199
+	3	240	195	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	212	214
+	240	195
+	209	209
+	4	212	214	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	195
+	209	209
+	3	212	214	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	196
+	171	207
+	204	200
+	4	201	196	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	207
+	204	200
+	3	201	196	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	207
+	201	196
+	170	202
+	4	171	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	196
+	170	202
+	3	171	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	198
+	138	203
+	170	202
+	4	169	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	203
+	170	202
+	3	169	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	203
+	169	198
+	138	198
+	4	138	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	198
+	138	198
+	3	138	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	203
+	138	203
+	106	198
+	4	104	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	203
+	106	198
+	3	104	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	198
+	106	198
+	138	203
+	4	138	198	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	198
+	138	203
+	3	138	198	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	63	204
+	99	212
+	67	199
+	4	63	204	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	212
+	67	199
+	3	63	204	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	207
+	67	199
+	99	212
+	4	102	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	199
+	99	212
+	3	102	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	200
+	172	212
+	206	205
+	4	204	200	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	212
+	206	205
+	3	204	200	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	212
+	204	200
+	171	207
+	4	172	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	200
+	171	207
+	3	172	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	202
+	137	208
+	171	207
+	4	170	202	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	208
+	171	207
+	3	170	202	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	208
+	170	202
+	138	203
+	4	137	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	202
+	138	203
+	3	137	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	207
+	137	208
+	104	203
+	4	102	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	208
+	104	203
+	3	102	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	203
+	104	203
+	137	208
+	4	138	203	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	203
+	137	208
+	3	138	203	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	212
+	63	204
+	97	217
+	4	99	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	204
+	97	217
+	3	99	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	206	205
+	173	217
+	209	209
+	4	206	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	217
+	209	209
+	3	206	205	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	217
+	206	205
+	172	212
+	4	173	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	205
+	172	212
+	3	173	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	99	212
+	136	213
+	102	207
+	4	99	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	213
+	102	207
+	3	99	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	208
+	102	207
+	136	213
+	4	137	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	207
+	136	213
+	3	137	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	207
+	136	213
+	172	212
+	4	171	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	213
+	172	212
+	3	171	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	213
+	171	207
+	137	208
+	4	136	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	207
+	137	208
+	3	136	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	209	209
+	174	222
+	212	214
+	4	209	209	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	222
+	212	214
+	3	209	209	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	222
+	209	209
+	173	217
+	4	174	222	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	209
+	173	217
+	3	174	222	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	217
+	136	218
+	99	212
+	4	97	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	218
+	99	212
+	3	97	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	213
+	99	212
+	136	218
+	4	136	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	212
+	136	218
+	3	136	213	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	212
+	136	218
+	173	217
+	4	172	212	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	218
+	173	217
+	3	172	212	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	218
+	172	212
+	136	213
+	4	136	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	212
+	136	213
+	3	136	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	218
+	97	217
+	135	223
+	4	136	218	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	217
+	135	223
+	3	136	218	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	217
+	135	223
+	174	222
+	4	173	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	223
+	174	222
+	3	173	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	223
+	173	217
+	136	218
+	4	135	223	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	217
+	136	218
+	3	135	223	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/p28a.eps b/books/ps/p28a.eps
new file mode 100644
index 0000000..1968a03
--- /dev/null
+++ b/books/ps/p28a.eps
@@ -0,0 +1,1461 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /root/tpd1.eps
+%%CreationDate: Wed Sep 10 21:53:54 2003
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 176 186
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 171.360001 translate
+161.280001 -171.360001 scale
+% Variable to keep one line of raster data
+/scanline 224 1 mul string def
+% Image geometry
+224 238 8
+% Transformation matrix
+[ 224 0 0 238 0 0 ]
+{ currentfile scanline readhexstring pop }
+%%BeginData:       108058 ASCII Bytes
+image
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffc8ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffe9c1c1c15a545490929292929292929292925c54
+5430545472929292929292929292925f5454afc1c1dbffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffb49b9b762e2e42646464cbd1d1fdffffffffffffe29b5c2e5d76
+d178bd644a2e82a2ffffffffffffffd9d1d1a464644d2e2e309b9b9effffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffe29251398c8a8addf6f6f9ffffffffffffffffffe3c5751a237ac9f6feff
+ff92fffffbf6a25426657fe2edfffffffffffffffffbf6f6f58a8a8a513f7ae2f8ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffff5bc5d2764d4ffffffffffffffffffffffffffffbf72504360afdcffffffffffff
+ff92ffffffffffffffc0a6432b5bbcf3ffffffffffffffffffffffffffe57c363db3e7ffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffb5683368c7eefffffffffffffffffffffffffff5973e39b2d5feffffffffffffffffff
+ff92ffffffffffffffffffffddca683593dffffffffffffffffffffffffffff7d57241519fffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fbde8347418efbfffffffffffffffffffffffffffcde871b6ae6fdffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffb852465dcf5fffffffffffffffffffffffffffca6583671
+d8f4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffed8d
+4331a2deffffffffffffffffffffffffffffffc84d2e9edbffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffc03f35a8ffffffffffffffffffffffffffffffeeb3
+473275deffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc64059
+d6f3ffffffffffffffffffffffffffffff95265da3f2ffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffffad97c2674f1ffffffffffffffffffffffffffff
+fcd9af198bffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcd442fdbff
+ffffffffffffffffffffffffffffd86d365ad7ffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffef92356dbdfbffffffffffffffffffffff
+fffffff37732a9f4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe47c4aa3fcffff
+fffffffffffffffffffffffff2622b8eeeffffffffffffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffffffffffffffea63442e1ffffffffffffffffffff
+ffffffffffc4454fd3ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd9d1873f4ffffffff
+fffffffffffffffffffffec61e79edffffffffffffffffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffffffffffffffffff5ac4397fdffffffffffffffff
+fffffffffffffbc0235fddffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffff7af3870e9ffffffffffff
+fffffffffffffff3d6d665326a696969699ed6d6d6d6f7ffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffd6d6d6d6b669696969572e31acd6d8ffffffffff
+ffffffffffffffffff883b98eeffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffd95e3db8ffffffffffffffff
+d4b0b045434343680a0d4f52bcbcbcbcbcb54f4f4f4f674343434fb0b0fdffffffffffffffffff
+ff92ffffffffffffffffffffbfb06743434364504f4f4f9dbcbcbcbcbc6a4f1e0047434343436c
+b0c3ffffffffffffffffec5e27aaffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffe6661db9f8fffffffffdf7be8b37
+2274d0e1e1e1c9363ee6fffffffffffffffffffffffff4e1e1e1e1c574276cb8f8ffffffffffff
+ff92fffffffffffffad0812365aee1e1e1e1edffffffffffffffffffffffffed8e2d83dfe1e1e1
+7b622658a6f7fbffffffffffd15d4fccffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffe52f80f6fffffff5d29a4d25679aed
+fffffffff2752ab8ffffffffffffffffffffffffffffffffffffffffffffb96d3565c2ecffffff
+ff92ffffffffdc9c2e2d93dcffffffffffffffffffffffffffffffffffffffffffce4c4fe0ffff
+ffffff9e7f2d4c65c0ebffffffffa523c4ffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffff9e25a2ffffeeac4744538bc0f3ffffff
+ffffffc22e76e4fffffffffffffffffffffffffffffffffffffffffffffffffff6c0624860aeff
+ff92ffe3a63f4f89cdfffffffffffffffffffffffffffffffffffffffffffffffffff2994998ff
+ffffffffffffdca353483f9cb9ffffc74d74ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffff9f32dbf8ce583779afebffffffffffffff
+fffc9855c6fbfffffffffffffffffffffffffffffffffffffffffffffffffffffffffff0c47726
+6e4d46417ee5f9ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffea6644
+f3fffffffffffffffff1e5883e227bf5f75370fcffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffff06b31d79b2f56cdffffffffffffffffffffff
+ff7856fefffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe8d
+291b12b3faffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8a
+3feeffffffffffffffffffffffe26e2483e15c55daffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffff1467c7d2853cfffffffffffffffffffffffffff
+c346f5ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc0496a
+d790b03a3bdfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+8756ffffffffffffffffffffffffffdc73257d992adeffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffc23f212e51cefdffffffffffffffffffffffffffc7
+23cefffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffac04c65dcff
+ff92fff8b5436ae8ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fd5b97feffffffffffffffffffffffffffe87d3b3223a8feffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffb90d1f85f4ffffffffffffffffffffffffffffffbf26
+d2ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffbb422fd8ffffff
+ff92ffffffec7d2174f4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffe93698ffffffffffffffffffffffffffffffffa62b008effffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffd8662a8be8ffffffffffffffffffffffffffffffffc329cb
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffbf4834a9f7ffffffff
+ff92ffffffffffe4823fa5ffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffea3598fffffffffffffffffffffffffffffffff4a3324ec5ffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffc9f1a52d4ffffffffffffffffffffffffffffffffffc523cfff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffee7637aef7ffffffffffff
+ff92ffffffffffffffca4b31d6feffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffea3697fefffffffffffffffffffffffffffffffff6910b51f8ffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffe74f005fffffffffffffffffffffffffffffffffffffbf27d1ffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffbc2681ffffffffffffffffff
+ff92ffffffffffffffffffc53993ffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffe93699ffffffffffffffffffffffffffffffffffff92094ec5ffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffbe30571ae7ffffffffffffffffffffffffffffffffffed28cbffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffc029ceffffffffffffffffffff
+ff92ffffffffffffffffffffec377ceeffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffeb3498ffffffffffffffffffffffffffffffffffff6c5626a3ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffff5a031a725d5fffffffffffffffffffffffffffffffffff64aabffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffff96458d3ffffffffffffffffffffff
+ff92fffffffffffffffffffffff88e3af0ffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffeb37cefffffffffffffffffffffffffffffffffff03b8c5170f0ffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffff04776d444a8ffffffffffffffffffffffffffffffffffff597affffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffdf645dfcffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffff8f30afffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffcb2de3ffffffffffffffffffffffffffffffffffd32cd4902cc4ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffc03c8efd927ffeffffffffffffffffffffffffffffffffffa756fcffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffda26acf6ffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffc52bb2ffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffab66ffffffffffffffffffffffffffffffffffffb131ffae3393ffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffff88b2fd4ff9d33ebffffffffffffffffffffffffffffffffffe12ee3ffffffffffff
+fffffffffffffffffffffffffffffffffffffffffd9c26bdffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffdc3283f7ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffff4b7dffffffffffffffffffffffffffffffffffff836cfaee413af0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffd43e5efbffe536e6ffffffffffffffffffffffffffffffffffe835bcffffffffffffff
+ffffffffffffffffffffffffffffffffffffffff8444cdffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffff6b57f5ffffffffffffffffffffffffffffffffff
+ffffffffffffffffffe52acafffffffffffffffffffffffffffffffffff75686ffff904aaeffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffda25aff7ffe62eb6ffffffffffffffffffffffffffffffffffff796dffffffffffffffff
+ffffffffffffffffffffffffffffffffffffff8740f0ffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffff98834ffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffc250ffffffffffffffffffffffffffffffffffffda24cbffffda2bb2ff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffd326befffffc7a9effffffffffffffffffffffffffffffffffffbe41f4ffffffffffffffff
+fffffffffffffffffffffffffffffffffffd8241f5ffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffff9e53f6ffffffffffffffffffffffffffffff
+ffffffffffffffffffffff6f59ffffffffffffffffffffffffffffffffffffd02ef5ffffde26b3
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffd52ab7ffffff7c4af1ffffffffffffffffffffffffffffffffffd72ad6ffffc7b99f4c53634c
+4c4c4c4c4c4cb9b9b9b9b9f7ffffffffffa344efffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffff6b6bffffffffffffdeb9b9b9b9644c4c4c
+4c4c4c4c4c4c59b9b9fefffe29b0ffffffffffffffffffffffffffffffffffff9450f3ffffdf2a
+aeffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+da23baffffffd64af2ffffffffffffffffffffffffffffffffffff564c932f275d6c85d8dce5d8
+d8d8d8d8d8d8c86c6c6c6c2e277893d6da24caffffffffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffffffffff948b4ffb0935227476c6c6c82d8d8d8d8
+d8d8d8d8d8d8cb6c6c2727846d2cf1fffffffffffffffffffffffffffffffffffb7278ffffffda
+2ab3ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd2
+26befffffff72bc4fffffffffffffffffffffffffffff9b76e600a289191f6feffffffffffffff
+fffffffffffffffffffffffefeac91470d486e94dae3ffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffffadada6e4d10167591d3feffffffffffffffffff
+fffffffffffffffffffefea1914306326ea0f1ffffffffffffffffffffffffffffe319eaffffff
+df25b3ffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd62a
+b7ffffffffa545fbffffffffffffffffffffffffe883484aac822aefffffffffffffffffffffff
+fffffffffffffffffffffffffffffb6377dcb7904a2a71dbffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffec88484a4ab7b7d33cebffffffffffffffffffffffff
+ffffffffffffffffffffffffffff7089b757496cd8ffffffffffffffffffffffffff976fffffff
+ffdf2aaeffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe5bbb
+fffffffff632bffffffffffffffffffffffdcc503c73e3fffa4cceffffffffffffffffffffffff
+ffffffffffffffffffffffffffff655cf7ffffffffe9861b6ce8ffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffc861c5edfffffffffff8b3cf2ffffffffffffffffffffff
+ffffffffffffffffffffffffffffee33c6ffea8b4d39b5fcffffffffffffffffffffff47dcffff
+ffffda2ab4ffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8615eff
+ffffffffaa7affffffffffffffffffdc982a58a6ffffffffb542ffffffffffffffffffffffffff
+ffffffffffffffffffffffffffbd28ffffffffffffffffffb93d73d6f8ffffffffffffffffffff
+ff92ffffffffffffffffffffffea8d3464deffffffffffffffff8490ffffffffffffffffffffff
+ffffffffffffffffffffffffffffffa87dffffffffbd701c81d6fcffffffffffffffffb23bf9ff
+ffffffdf45efffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc625ff9ff
+ffffffe338e8ffffffffffffffb2642b8ccfffffffffffff3bbbffffffffffffffffffffffffff
+ffffffffffffffffffffffffbc2ad1ffffffffffffffffffffffb23a38b8ffffffffffffffffff
+ff92ffffffffffffffffffcb594998f3ffffffffffffffffffffea3a93ffffffffffffffffffff
+ffffffffffffffffffffffffffffffe22aeaffffffffffdea43248b1effffffffffffff638b7ff
+ffffffff903bebffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd645ef8ffff
+ffffff7178fffffffffffead3344c0eeffffffffffffffda4bffffffffffffffffffffffffffff
+fffffffffffffffffffffffb38b5fffffffffffffffffffffffffff7b53c3eb8fcffffffffffff
+ff92ffffffffffffffd2542b9df1ffffffffffffffffffffffffffee47e2ffffffffffffffffff
+ffffffffffffffffffffffffffffffff7482fffffffffffffff4d85b1d90fdffffffffffae3cfe
+fffffffffe8d3befffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff6d5effffffff
+ffffde26f1ffffffffed5e3bc3ffffffffffffffffffff6c8bffffffffffffffffffffffffffff
+ffffffffffffffffffffffb541ffffffffffffffffffffffffffffffffffb83e49f2ffffffffff
+ff92fffffffffffc8c399bffffffffffffffffffffffffffffffffffa77effffffffffffffffff
+ffffffffffffffffffffffffffffffffdf45ffffffffffffffffffffd96153befdffffffff69bc
+ffffffffffff9138eeffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffbc4df8ffffffff
+ffff77aefffffff792478debfffffffffffffffffffff146edffffffffffffffffffffffffffff
+ffffffffffffffffffffff3bbbffffffffffffffffffffffffffffffffffffff8245c1ffffffff
+ff92ffffffffff794df2fffffffffffffffffffffffffffffffffffff445ebffffffffffffffff
+ffffffffffffffffffffffffffffffffff42b4ffffffffffffffffffffffba3278e5ffffffe435
+e7ffffffffffff6d79ffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc39b5ffffffffff
+ffbc3ff9ffffcd4c54dbffffffffffffffffffffffff9f85ffffffffffffffffffffffffffffff
+ffffffffffffffffffffb33fffffffffffffffffffffffffffffffffffffffffffcd2798fcffff
+ff92ffffffe23779f6ffffffffffffffffffffffffffffffffffffffffa17effffffffffffffff
+ffffffffffffffffffffffffffffffffffbd68fffffffffffffffffffffffff57036b3ffffff68
+83ffffffffffffee48ddffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa16effffffffffff
+ff41b5fffb873ba2fffffffffffffffffffffffffffb2fcbffffffffffffffffffffffffffffff
+ffffffffffffffffffff43b8fffffffffffffffffffffffffffffffffffffffffffffe5747d6ff
+ff92ffff9e2ea7ffffffffffffffffffffffffffffffffffffffffffffe019ecffffffffffffff
+fffffffffffffffffffffffffffffffffffc50d8ffffffffffffffffffffffffffe6436edbffe2
+2ae9ffffffffffffa645faffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe53ee7ffffffffffff
+bb3bffbb4570f3ffffffffffffffffffffffffffffd351ffffffffffffffffffffffffffffffff
+ffffffffffffffffffdf4df8fffffffffffffffffffffffffffffffffffffffffffffff6a328b7
+ff92ff9935cfffffffffffffffffffffffffffffffffffffffffffffffff6e79ffffffffffffff
+ffffffffffffffffffffffffffffffffffff896dffffffffffffffffffffffffffffff892a98ff
+9c89fffffffffffff45494ffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd4ba7ffffffffffffff
+43a46b38b5ffffffffffffffffffffffffffffffff579fffffffffffffffffffffffffffffffff
+ffffffffffffffffff6eb7ffffffffffffffffffffffffffffffffffffffffffffffffffffbb3d
+89854367e9ffffffffffffffffffffffffffffffffffffffffffffffffffeb1fe2ffffffffffff
+ffffffffffffffffffffffffffffffffffffe749f3ffffffffffffffffffffffffffffffd24f5a
+ca30f9ffffffffffffd329f9ffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc147f3ffffffffffffdf
+15427bebffffffffffffffffffffffffffffffffcd29ffffffffffffffffffffffffffffffffff
+ffffffffffffffffe441ffffffffffffffffffffffffffffffffffffffffffffffffffffffffef
+6f0074ffffffffffffffffffffffffffffffffffffffffffffffffffffffff78acffffffffffff
+ffffffffffffffffffffffffffffffffffffff55a1ffffffffffffffffffffffffffffffffffbb
+262895ffffffffffffff9b5bffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffe25d2ffffffffffffffa6
+1fdaffffffffffffffffffffffffffffffffffff8a9affffffffffffffffffffffffffffffffff
+ffffffffffffffff6797fffffffffffffffffffffffffffffffffffffffffffffffffffffffff0
+422775ffffffffffffffffffffffffffffffffffffffffffffffffffffffffe04df7ffffffffff
+ffffffffffffffffffffffffffffffffffffffc92dffffffffffffffffffffffffffffffffffff
+ef4240fffffffffffffff62dd2ffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffff6266ffffffffffffffb40b
+c2ffffffffffffffffffffffffffffffffffffff44e0ffffffffffffffffffffffffffffffffff
+ffffffffffffffd91df8fffffffffffffffffffffffffffffffffffffffffffffffffffffffc3e
+878b3e89fdffffffffffffffffffffffffffffffffffffffffffffffffffffff73b2ffffffffff
+ffffffffffffffffffffffffffffffffffffffff26ffffffffffffffffffffffffffffffffffff
+fff50b82fdffffffffffffc838f5ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffd026ffffffffffffffb02133
+ffffffffffffffffffffffffffffffffffffffe529e7ffffffffffffffffffffffffffffffffff
+ffffffffffffff9b8affffffffffffffffffffffffffffffffffffffffffffffffffffffff9a72
+ff92ee28cfffffffffffffffffffffffffffffffffffffffffffffffffffffffe144ffffffffff
+ffffffffffffffffffffffffffffffffffffffff64c0ffffffffffffffffffffffffffffffffff
+ffff6a1881ffffffffffffff808cffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffff244c5ffffffffffffb12c768a
+ffffffffffffffffffffffffffffffffffffffd74effffffffffffffffffffffffffffffffffff
+ffffffffffffff47deffffffffffffffffffffffffffffffffffffffffffffffffffffff9934ea
+ff92ffb427dcffffffffffffffffffffffffffffffffffffffffffffffffffffff20dcffffffff
+ffffffffffffffffffffffffffffffffffffffff869fffffffffffffffffffffffffffffffffff
+ffffc1546b74e7ffffffffffed1bddffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffa34ffdfffffffff78331db4ea8
+ffffffffffffffffffffffffffffffffffffff9e58ffffffffffffffffffffffffffffffffffff
+ffffffffffffdb4bfdffffffffffffffffffffffffffffffffffffffffffffffffffffa136eaff
+ff92ffffb763faffffffffffffffffffffffffffffffffffffffffffffffffffff7da1ffffffff
+ffffffffffffffffffffffffffffffffffffffffbe66ffffffffffffffffffffffffffffffffff
+ffffec49ee9d33e7ffffffffffb367faffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffe53de7fffffffff5566cffeb20ff
+ffffffffffffffffffffffffffffffffffffff6abbffffffffffffffffffffffffffffffffffff
+ffffffffffff9066ffffffffffffffffffffffffffffffffffffffffffffffffffffe33ee8ffff
+ff92fffffa5a68faffffffffffffffffffffffffffffffffffffffffffffffffffcc59ffffffff
+fffffffffffffffffffffffffffffffffffffffff232ffffffffffffffffffffffffffffffffff
+ffffff5fc6ff9d33e7fffffffff93db0ffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffff6a7cfffffffffd536cfaffab66ff
+fffffffffffffffffffffffffffffffffffffe41bbffffffffffffffffffffffffffffffffffff
+ffffffffffff6cb8ffffffffffffffffffffffffffffffffffffffffffffffffffe32baaffffff
+ff92fffffff659c1fffffffffffffffffffffffffffffffffffffffffffffffffff020e9ffffff
+fffffffffffffffffffffffffffffffffffffffff744e8ffffffffffffffffffffffffffffffff
+ffffffb173ffff9e31e7ffffffffc94ef9ffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffff72ff9fffffff7546ffdffff42b4ff
+fffffffffffffffffffffffffffffffffffffc27fcffffffffffffffffffffffffffffffffffff
+ffffffffffff29fcffffffffffffffffffffffffffffffffffffffffffffffffec2ea9ffffffff
+ff92ffffffffd623cefffffffffffffffffffffffffffffffffffffffffffffffffe5ac7ffffff
+ffffffffffffffffffffffffffffffffffffffffff60c4ffffffffffffffffffffffffffffffff
+fffffffc28ffffff9e32e7ffffffff41b5ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff9e6afffffff5566cfffffff344edff
+ffffffffffffffffffffffffffffffffffffe028ffffffffffffffffffffffffffffffffffffff
+ffffffffffe342ffffffffffffffffffffffffffffffffffffffffffffffffff9165ffffffffff
+ff92ffffffffffcb5affffffffffffffffffffffffffffffffffffffffffffffffffa87dffffff
+ffffffffffffffffffffffffffffffffffffffffff7ca9ffffffffffffffffffffffffffffffff
+ffffffff6cb9ffffff9d33e7ffffffba6bffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff4ec5ffffffac6cfaffffffd054ffff
+ffffffffffffffffffffffffffffffffffff8f83ffffffffffffffffffffffffffffffffffffff
+ffffffffff9293ffffffffffffffffffffffffffffffffffffffffffffffffff23d3ffffffffff
+ff92fffffffffffc55d2ffffffffffffffffffffffffffffffffffffffffffffffffca5affffff
+ffffffffffffffffffffffffffffffffffffffffffcd58ffffffffffffffffffffffffffffffff
+ffffffff8c6dffffffff9e46ffffffff1ddcffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffd345feffffc226e0ffffffff66bfffff
+ffffffffffffffffffffffffffffffffffff8295fffffffffffffffffffffffff3dfdfdfdfdfdf
+dfdfdfdfdf23aedffbffffffffffffffffffffffffffffffffffffffffffff899cffffffffffff
+ff92ffffffffffffcc33f6ffffffffffffffffffffffffffffffffffffffffffffefde32cfdfdf
+dfdfdfdfdfdfdfdfdff1ffffffffffffffffffffffd354fcffffffffffffffffffffffffffffff
+fffffffff626f7fffffff94380fdffff889bffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffff7391ffffeb3cdffffffffff93fecffff
+ffffffffffffffffffffffffffffffffffff25dfffffffffffffffddb9934d5c76464646464646
+53b2b2b2521e46464c5eb9f7ffffffffffffffffffffffffffffffffffffec3afeffffffffffff
+ff92ffffffffffffff53a3ffffffffffffffffffffffffffffffffffffffdea54d67462d2bb2b2
+b2b2b2b2b2874646464a4d7bb9ceffffffffffffffff3beaffffffffffffffffffffffffffffff
+fffffffffd48beffffffffef28ceffffe92bf2ffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffff31f3ffff5a8bfffffffffff62fffffff
+ffffffffffffffffffffffffffffffffffff26ffffffffdd945127486b92d8e1ffffffffffffff
+ffffffffb76dffffdd984a2369b7ffffffffffffffffffffffffffffffff5e99ffffffffffffff
+ff92ffffffffffffffc92dfffffffffffffffffffffffffffffffffc94424780d8fcffa580ffff
+ffffffffffffffffffe9d8a96b57273994c5ffffffff3beaffffffffffffffffffffffffffffff
+ffffffffff66beffffffffffbb2bfffffc4aceffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffff8a5dffff8f39effffffffffff62fffffff
+ffffffffffffffffffffffffffffffffffff91ca6e4d264891a6fefeffffffffffffffffffffff
+ffffffffb7abfffffffffffa916e4883dbfcffffffffffffffffffffffd028eeffffffffffffff
+ff92ffffffffffffffff4e99ffffffffffffffffffffffffffc94d5391e2feffffffffff64ffff
+fffffffffffffffffffffffffffffeec915f263d6eb29eeaffffffffffffffffffffffffffffff
+ffffffffffa4afffffffffffff8f5ff7ffc354fdffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffff2cdaffe01beaffffffffffffa87dffffff
+ffffffffffffffffffffffffffffffffffca372b99d7ffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffdda13149b5efffffffffffffffffff5393ffffffffffffffff
+ff92ffffffffffffffffd143f1fffffffffffffffffff4b5575bb7f6ffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffe7b77330abffffffffffffffffffffffffffffff
+ffffffffffd351fffffffffffffa60aaffee23f3ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffc65efefe38b1ffffffffffffff899cffffff
+fffffffffffffffffffffffffffffece522c70f1ffffffffffffffffffffffffffffffffffffff
+ffffffffb7dafffffffffffffffffffff3d55944c6feffffffffffffd220f4ffffffffffffffff
+ff92ffffffffffffffffff879efffffffffffffffda02051ceffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffff98613cb7feffffffffffffffffffffffff
+ffffffffffd351ffffffffffffffe025c2ff9094ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff51a6fa6e7bffffffffffffffff899cffffff
+ffffffffffffffffffffffffffc94d22a4ff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffd95b45d0ffffffffff59ccffffffffffffffffff
+ff92ffffffffffffffffffe645f8ffffffffee9a2b56d2ffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eae96e4ab1f7ffffffffffffffffffff
+ffffffffffda4ffbffffffffffffffd849f1ff21f2ffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffeb45f3bf54f4ffffffffffffffff40e4ffffff
+ffffffffffffffffffffffc9562d9af5ffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7dafffffffffffffffffffffffffffffaa24a84ffffffeb3efbffffffffffffffffff
+ff92ffffffffffffffffffff53a3ffffffad488aceffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffdc7446b3ffffffffffffffffff
+ffffffffffff41e4ffffffffffffffff8059ff5bacffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffff8472d122d5ffffffffffffffffff26ffffffff
+fffffffffffffffffdce522da0f1ffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7dafffffffffffffffffffffffffffffffff4446ae7ffbe67ffffffffffffffffffff
+ff92ffffffffffffffffffff9e83fffc822bdbffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffe6723eb6fcffffffffffff
+ffffffffffff41e4fffffffffffffffff331a0d84cffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffff46d350cdffffffffffffffffffff26ffffffff
+fffffffffffffffb7124a1ffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffa130d37ca8ffffffffffffffffffff
+ff92ffffffffffffffffffffd821f45166dfffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffffe66f44f1ffffffffff
+ffffffffffff54d1ffffffffffffffffffe731d64be4ffffffffffffff
+ffffffffffffffffffffffffffffffffffffffff269b4dfdffffffffffffffffffc362ffffffff
+ffffffffffffff7252f3ffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffffa12d14d4ffffffffffffffffffff
+ff92ffffffffffffffffffffff13457dfdffffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffffffff7e48ceffffffff
+ffffffffffffae77ffffffffffffffffffff9e6453d2ffffffffffffff
+ffffffffffffffffffffffffffffffffffffffd15351caffffffffffffffffffffaf76ffffffff
+ffffffffffdf347ef6ffffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffffffd80344f8ffffffffffffffffff
+ff92fffffffffffffffffffc9c0ba0ffffffffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eafffffffffffffffffcc824c2ffffff
+ffffffffffffae77fffffffffffffffffffff51d8d70ffffffffffffff
+ffffffffffffffffffffffffffffffffffffff9d5856ffffffffffffffffffffffaf76ffffffff
+ffffffffc92dadffffffffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffffffce568244dcffffffffffffffff
+ff92ffffffffffffffffe670508969ffffffffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffffffffffffd7247ff8ff
+ffffffffffffbd7cffffffffffffffffffffff8d2a65ffffffffffffff
+ffffffffffffffffffffffffffffffffffffff4938c9ffffffffffffffffffffff8a9bffffffff
+ffffff9439d1ffffffffffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffffff76aeffb72ae1ffffffffffffff
+ff92ffffffffffffffff5f6ff3e63fffffffffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffffffffffffffde5f61ff
+ffffffffffffff3fffffffffffffffffffffffee1c18f9ffffffffffff
+ffffffffffffffffffffffffffffffffffffff3050ffffffffffffffffffffffff42e3ffffffff
+fff06c38edffffffffffffffffffffffffff2fffffffffffffffffffffffffffffffffffffffff
+ffffffffb777ffffffffffffffffffffffffffffffffffffffff4fd5ffffb443f8ffffffffffff
+ff92fffffffffffffc7352fffff22ed5ffffffffffffffffffffffffffffffffffffffd35bffff
+ffffffffffffffffffffffffffffffffffffffffffff44eafffffffffffffffffffffffff95f5b
+d5ffffffffffff26ffffffffffffffffffffffff8800f1ffffffffffff
+ffffffffffffffffffffffffffffffffffffd8129fffffffffffffffffffffffff42e3ffffffff
+ed3c7aebffffffffffffffffffffffffffff26ffffffffffffffffffffffffffffffffffffffff
+ffffffffb76dffffffffffffffffffffffffffffffffffffffff26ffffffff8245f0ffffffffff
+ff92ffffffffffff8351f9ffffff53bbffffffffffffffffffffffffffffffffffffffa580ffff
+ffffffffffffffffffffffffffffffffffffffffffff3beaffffffffffffffffffffffffffffba
+2ad2ffffffffff26ffffffffffffffffffffffffe81d8affffffffffff
+ffffffffffffffffffffffffffffffffffffc223f8ffffffffffffffffffffffff42e3ffffffc7
+3d8cffffffffffffffffffffffffffffffff78acffffffffffffffffffffffffffffffffffffff
+ffffffffef35ffffffffffffffffffffffffffffffffffffffff7affffffffff7d8fffffffffff
+ff92ffffffffffcb3ff3ffffffffa8b9ffffffffffffffffffffffffffffffffffffff7ea6ffff
+ffffffffffffffffffffffffffffffffffffffffffed45f1ffffffffffffffffffffffffffffff
+b84b86ffffffff26ffffffffffffffffffffffffff828affffffffffff
+fffffffffffffffffffffffffffffffffffd5799ffffffffffffffffffffffffffa7dbfffff033
+bbfeffffffffffffffffffffffffffffffff8f95ffffffffffffffffffffffffffffffffffffff
+ffffffffff26ffffffffffffffffffffffffffffffffffffffff92ffffffffffed329fffffffff
+ff92ffffffffca23caffffffffffc0d1ffffffffffffffffffffffffffffffffffffff38ecffff
+ffffffffffffffffffffffffffffffffffffffffffcd58ffffffffffffffffffffffffffffffff
+fff640b7ffffff26fffffffffffffffffffffffffff82bf9ffffffffff
+ffffffffffffffffffffffffffffffffffcf00cfffffffffffffffffffffffffffaf76ffec3c8f
+ffffffffffffffffffffffffffffffffffffa87dffffffffffffffffffffffffffffffffffffff
+ffffffffff3ee7ffffffffffffffffffffffffffffffffffffff92ffffffffffffe530baffffff
+ff92fffffff440c9ffffffffffffc0d1ffffffffffffffffffffffffffffffffffffff38ecffff
+ffffffffffffffffffffffffffffffffffffffffffcd58ffffffffffffffffffffffffffffffff
+ffffe02bd2ffff3effffffffffffffffffffffffffff2098ffffffffff
+ffffffffffffffffffffffffffffffffff5331f5ffffffffffffffffffffffffffaf76ee3d8cff
+fffffffffffffffffffffffffffffffffffffc28ffffffffffffffffffffffffffffffffffffff
+ffffffffff9293ffffffffffffffffffffffffffffffffffffff92ffffffffffffffe72fe5ffff
+ff92fffffa5281ffffffffffffffc0d1ffffffffffffffffffffffffffffffffffffd553fbffff
+ffffffffffffffffffffffffffffffffffffffffff76aeffffffffffffffffffffffffffffffff
+ffffffb826d9e188ffffffffffffffffffffffffffff752af0ffffffff
+fffffffffffffffffffffffffffffffff6173dffffffffffffffffffffffffffffaf756088feff
+fffffffffffffffffffffffffffffffffffffc28ffffffffffffffffffffffffffffffffffffff
+ffffffffff9c89ffffffffffffffffffffffffffffffffffffff92ffffffffffffffffa152fcff
+ff92ffff8169fcffffffffffffffc0d1ffffffffffffffffffffffffffffffffffffca5affffff
+ffffffffffffffffffffffffffffffffffffffffff60c4ffffffffffffffffffffffffffffffff
+ffffffffbf258c77ffffffffffffffffffffffffffff7f009dffffffff
+ffffffffffffffffffffffffffffffff863e85ffffffffffffffffffffffffffffaf2439eaffff
+fffffffffffffffffffffffffffffffffffffe54d2ffffffffffffffffffffffffffffffffffff
+ffffffffffff26ffffffffffffffffffffffffffffffffffffff92ffffffffffffffffff5fc5ff
+ff92ffeb1bdfffffffffffffffffc0d1ffffffffffffffffffffffffffffffffffff82a3ffffff
+fffffffffffffffffffffffffffffffffffffffffc55d2ffffffffffffffffffffffffffffffff
+ffffffffffaf2477ffffffffffffffffffffffffffffe1102dfcffffff
+ffffffffffffffffffffffffffffffff346daaffffffffffffffffffffffffffff8532ecffffff
+ffffffffffffffffffffffffffffffffffffff6abbffffffffffffffffffffffffffffffffffff
+ffffffffffff26ffffffffffffffffffffffffffffffffffffff92ffffffffffffffffffd055ff
+ff92ff8066ffffffffffffffffffc0d1ffffffffffffffffffffffffffffffffffff5ec7ffffff
+fffffffffffffffffffffffffffffffffffffffff232ffffffffffffffffffffffffffffffffff
+fffffffffff75f4dffffffffffffffffffffffffffffe14353d1ffffff
+ffffffffffffffffffffffffffffffc85d91fcffffffffffffffffffffffffff9c0e76ffffffff
+ffffffffffffffffffffffffffffffffffffff6abbffffffffffffffffffffffffffffffffffff
+ffffffffffff69bbffffffffffffffffffffffffffffffffffff92ffffffffffffffffffff5cc8
+ff92e626e5ffffffffffffffffffc0d1fffffffffffffffffffffffffffffffffff748e5ffffff
+fffffffffffffffffffffffffffffffffffffffff232ffffffffffffffffffffffffffffffffff
+ffffffffffffae0c61f8fffffffffffffffffffffffffe8f968effffff
+ffffffffffffffffffffffffffffff7c7a92ffffffffffffffffffffffffffe02c7e76ffffffff
+ffffffffffffffffffffffffffffffffffffffb471ffffffffffffffffffffffffffffffffffff
+ffffffffffffb66effffffffffffffffffffffffffffffffffff92ffffffffffffffffffffd74e
+ff928671ffffffffffffffffffffc0d1ffffffffffffffffffffffffffffffffffa650ffffffff
+ffffffffffffffffffffffffffffffffffffffffd74effffffffffffffffffffffffffffffffff
+ffffffffffffae745fa6ffffffffffffffffffffffffff92de47ffffff
+ffffffffffffffffffffffffffffff59cb92ffffffffffffffffffffffffe028afaf76ffffffff
+ffffffffffffffffffffffffffffffffffffffd72ff3fffffffffffffffffffffffffffff49898
+989898989898820d8a989898d7ffffffffffffffffffffffffff92fffffffffffffffffffffe5d
+c98a24daffffffffffffffffffffc0a5ffffffffffffffffffffffffffb29898984e6098989898
+98989898b2ffffffffffffffffffffffffffffff869fffffffffffffffffffffffffffffffffff
+ffffffffffffae77e227c0ffffffffffffffffffffffff92ff26ffffff
+ffffffffffffffffffffffffffffec21e892fffffffffffffffffffffffa40abfffd84ffffffff
+fffffffffffffffffffffffffffffffffffffffe50a4fffffffffffffffffff8df796126308cb8
+f9f9f9f9f9f9f9819b8c8c8c4e261c7398dff4ffffffffffffff28ffffffffffffffffffffffd6
+521b6bffffffffffffffffffffff56a0ffffffffffffffe8de735b26398e8c8cb026f9f9f9f9f9
+f9f9cf8c44265073cef1fffffffffffffffffff532fdffffffffffffffffffffffffffffffffff
+ffffffffffffae77ffd629f3ffffffffffffffffffffff92ff6fb6ffff
+ffffffffffffffffffffffffffffce57ff92ffffffffffffffffffffffba53f5ffff26ffffffff
+ffffffffffffffffffffffffffffffffffffffffc630ffffffffffffffe7843c37acc4ffffffff
+ffffffffffffffc82effffffffffdab25e454aa2ddffffffffff30c7ffffffffffffffffffffff
+5f07e1fffffffffffffffffffff84edeffffffffecba575b47b2caffffffffff8b99ffffffffff
+ffffffffffffd5b2574a6cd8ffffffffffffff8e97ffffffffffffffffffffffffffffffffffff
+ffffffffffff62c3ffffa255ffffffffffffffffffffff92ff8e68ffff
+ffffffffffffffffffffffffffff7fa6ff92fffffffffffffffffffffe21d6ffffff4fd5ffffff
+ffffffffffffffffffffffffffffffffffffffffff50d4ffffffffcb503f73d8f7ffffffffffff
+ffffffffffffffff51d3ffffffffffffffffe6821b6eeaffffff76aeffffffffffffffffffffff
+8038ffffffffffffffffffffffe63fffffffff881d5bddffffffffffffffffeb23e9ffffffffff
+ffffffffffffffffffe98a4e38b4ffffffffec47f1ffffffffffffffffffffffffffffffffffff
+ffffffffffff41e4fffff730cfffffffffffffffffffff92ffdd47ffff
+ffffffffffffffffffffffffffff4cd8ff92ffffffffffffffffffff8374ffffffff899cffffff
+ffffffffffffffffffffffffffffffffffffffffffc95bfffdc74a28a7feffffffffffffffffff
+ffffffffffffffff9d59fffffffffffffffffffffdb63b75f3ffe242ffffffffffffffffffffff
+410affffffffffffffffffffffa87cfffb90228fddffffffffffffffffffffbf65ffffffffffff
+fffffffffffffffffffffffeed7146aff6ff9363ffffffffffffffffffffffffffffffffffffff
+ffffffffffd351ffffffffd22ff4ffffffffffffffffff92fff02bdaff
+ffffffffffffffffffffffffffff26ffff92ffffffffffffffffffcb2bffffffffffa84effffff
+fffffffffffffffffffffffffffffffffffffffffffd559a512d9cf8ffffffffffffffffffffff
+fffffffffffffffffc3cecffffffffffffffffffffffff8149beeb46f3ffffffffffffffffffff
+410affffffffffffffffffffff79ace2444fd4fffffffffffffffffffffffc45c3ffffffffffff
+ffffffffffffffffffffffffffffdf7649a62ad3ffffffffffffffffffffffffffffffffffffff
+ffffffffffb471ffffffffff589effffffffffffffffff92ffff6abaff
+ffffffffffffffffffffffffffb174ffff92ffffffffffffffffff589efffffffffff62fffffff
+fffffffffffffffffffffffffffffffffffffffffecb3a23a2f1ffffffffffffffffffffffffff
+ffffffffffffffffff698dffffffffffffffffffffffffffcd536950d4ffffffffffffffffffec
+480daaffffffffffffffffffff318d17a6f4fffffffffffffffffffffffff32bf7ffffffffffff
+ffffffffffffffffffffffffffffffffe5471bb4feffffffffffffffffffffffffffffffffffff
+ffffffffff66beffffffffffcd2afeffffffffffffffff92ffffb86dff
+ffffffffffffffffffffffffff9391ffff92ffffffffffffffffcb3bf0fffffffffffb4ddbffff
+ffffffffffffffffffffffffffffffffffffffc64a269526d3ffffffffffffffffffffffffffff
+ffffffffffffffffffdc2cddffffffffffffffffffffffffffff5a0094ffffffffffffffffffd4
+511c9cffffffffffffffffffc70536ecffffffffffffffffffffffffffff49adffffffffffffff
+ffffffffffffffffffffffffffffffffff22c27148aef6ffffffffffffffffffffffffffffffff
+fffffffffb44e4ffffffffffff9165ffffffffffffffff92ffffe143ff
+ffffffffffffffffffffffffff38edffff92ffffffffffffffff2accffffffffffffff63c1ffff
+ffffffffffffffffffffffffffffffffffe8812d9df7ff9056ffffffffffffffffffffffffffff
+ffffffffffffffffffff9254fffffffffffffffffffffffffffff88a1cdaffffffffffffffffd4
+511c9cffffffffffffffffed4062e9ffffffffffffffffffffffffffffa262ffffffffffffffff
+ffffffffffffffffffffffffffffffffc560ffffde6735cfffffffffffffffffffffffffffffff
+fffffffff92cfffffffffffffff22bd8ffffffffffffff92ffffff26ff
+ffffffffffffffffffffffffd030f5ffff92ffffffffffffff9f54ffffffffffffffffc362ffff
+ffffffffffffffffffffffffffffffffec3766f2fffffff520d3ffffffffffffffffffffffffff
+fffffffffffffffffffff54f76fffffffffffffffffffffffffffff7261fa9feffffffffffffd1
+547b6bfffffffffffffff03d00e6ffffffffffffffffffffffffffffd530e3ffffffffffffffff
+fffffffffffffffffffffffffffffffe50d6fffffff9ba23d3ffffffffffffffffffffffffffff
+ffffffffc85dffffffffffffffff8d69ffffffffffffff92ffffff85ff
+ffffffffffffffffffffffffca6dffffff92fffffffffffff333d1ffffffffffffffffd850fbff
+ffffffffffffffffffffffffffffffec3398ffffffffffff9a54f5ffffffffffffffffffffffff
+fffffffffffffffffffffffc4fc7ffffffffffffffffffffffffffff7e424184ffffffffffff67
+be892fffffffffffffb526633afaffffffffffffffffffffffffffe830caffffffffffffffffff
+ffffffffffffffffffffffffffffff9363ffffffffffffc626bcfcffffffffffffffffffffffff
+ffffffff8c99ffffffffffffffffff48aeffffffffffff92ffffffa5ff
+ffffffffffffffffffffffff79c7ffffff81bfffffffffff698dffffffffffffffffffff3ee7ff
+ffffffffffffffffffffffffffffa82599fffffffffffffffc49a0ffffffffffffffffffffffff
+ffffffffffffffffffffffffc429ecffffffffffffffffffffffffffff3ed5407ee8ffffffff67
+be892fffffffffffb32bd23bb2ffffffffffffffffffffffffffff3c9effffffffffffffffffff
+ffffffffffffffffffffffffffffd928d2ffffffffffffffbf347affffffffffffffffffffffff
+ffffffff40e5ffffffffffffffffffc037fffffffffff579ffffffffff
+ffffffffffffffffffffffff5dc7ffffff7baaffffffffdf28eaffffffffffffffffffff71b4ff
+ffffffffffffffffffffffffffaa2dd4ffffffffffffffffffda2ae6ffffffffffffffffffffff
+ffffffffffffffffffffffffffa452fbffffffffffffffffffffffffffa57cf26955feffffff67
+be8d5effffffff8a56d7b739fafffffffffffffffffffffffffd8342ffffffffffffffffffffff
+fffffffffffffffffffffffffffc5bbcfffffffffffffffffff5497bfdffffffffffffffffffff
+fffffffc29ffffffffffffffffffffff78adffffffffe143ffffffffff
+ffffffffffffffffffffffff5dc7ffffff7baaffffffff7388ffffffffffffffffffffffab7aff
+fffffffffffffffffffffff2a32be2ffffffffffffffffffffffb93aedffffffffffffffffffff
+ffffffffffffffffffffffffffff715cfffffffffffffffffffffffffff32fc3ff5e99ffffff67
+be8c55ffffffc827dcff47ddffffffffffffffffffffffffffc245f3ffffffffffffffffffffff
+ffffffffffffffffffffffffff705cfffffffffffffffffffffff74b4fe2ffffffffffffffffff
+ffffffb173ffffffffffffffffffffffe930f6ffffffe143ffffffffff
+ffffffffffffffffffffffff5dc7ffffffce57ffffffff38edffffffffffffffffffffffc72fff
+fffffffffffffffffffff54f47e2ffffffffffffffffffffffffff6a7cffffffffffffffffffff
+fffffffffffffffffffffffffffff72cadffffffffffffffffffffffffffa047feee36dbffff67
+be892fffffee40a3ff946cffffffffffffffffffffffffffd827d2ffffffffffffffffffffffff
+ffffffffffffffffffffffffbd2ae9fffffffffffffffffffffffff19a2ee3ffffffffffffffff
+ffffff8d98fffffffffffffffffffffffa42ceffffffbd68ffffffffff
+ffffffffffffffffffffffff60cbffffffe83dffffffcd57ffffffffffffffffffffffffff4ea2
+fffffffffffffffffff94c76fbffffffffffffffffffffffffffffee38c5ffffffffffffffffff
+ffffffffffffffffffffffffffffffdc2bb0fafffffffffffffffffffffff92ac8ffbb5dfbff67
+be892ffffe9257fde421e6ffffffffffffffffffffffffd523bfffffffffffffffffffffffffff
+fffffffffffffffffffffff84ad1ffffffffffffffffffffffffffffffa62fe2ffffffffffffff
+ffffec49efffffffffffffffffffffffff8b6bffffff75b0ffffffffff
+fffffffffffffffffffffff557ffffffffe83dffffff54a2ffffffffffffffffffffffffffca28
+f3ffffffffffffffff8561ffffffffffffffffffffffffffffffffffd62dddffffffffffffffff
+ffffffffffffffffffffffffffffffffdf6853f4ffffffffffffffffffffffd84dfffe5aa3ff67
+be892fffdb20eaff8373ffffffffffffffffffffffff8d40bcffffffffffffffffffffffffffff
+ffffffffffffffffffffff4d81ffffffffffffffffffffffffffffffffffa659fdffffffffffff
+ffff9292ffffffffffffffffffffffffffe943f8ffff75b0ffffffffff
+ffffffffffffffffffffffef35fffffffffa6aeeffe841fbfffffffffffffffffffffffffffc4a
+9fffffffffffffffa82de1ffffffffffffffffffffffffffffffffffff8d59ffffffffffffffff
+fffffffffffffffffffffffffffffffffffb6e53d2ffffffffffffffffffffff5ea0ffe529e667
+be892fff35a9ffcb28dcffffffffffffffffffffff8443efffffffffffffffffffffffffffffff
+ffffffffffffffffffffa02fffffffffffffffffffffffffffffffffffffff557bffffffffffff
+fffd37f0ffffffffffffffffffffffffffff589fffff75b0ffffffffff
+ffffffffffffffffffffffef35ffffffffff55cfff886effffffffffffffffffffffffffffffc8
+30f5ffffffffffeb2fccfffffffffffffffffffffffffffffffffffffff85171fbffffffffffff
+fffffffffffffffffffff9ecaa7f7f8392928e591b7f8f929292809becffffffe532a8ffb047cc
+87892f7a4efff82bc9fffffff0b37f8f9292928038168a9292877f7f93ecf5ffffffffffffffff
+ffffffffffffffffffaf51e5fffffffffffffffffffffffffffffffffffffff84dcfffffffffff
+ff9095ffffffffffffffffffffffffffffffce56ffff2bf9ffffffffff
+ffffffffffffffffffffffef35ffffffffff55cff94eddffffffffffffffffffffffffffffffff
+52a4ffffffffff3997fffffffffffffffffffffffffffffffffffffffffff8526ffcffffffffff
+ffffffffffffffeec55a4f387aa5a5b7ffffffffd25248deffffa95b3859a6deffe53fe7ff6891
+51705728ecf45396ffffc15a3f43a5effff09a2fbeffffffffcaa5a5a554485aade2ffffffffff
+ffffffffffffffffa22fe5ffffffffffffffffffffffffffffffffffffffffffc329e3ffffffff
+ef36ffffffffffffffffffffffffffffffffff38edff26ffffffffffff
+ffffffffffffffffffffffef35ffffffffff7da7e441ffffffffffffffffffffffffffffffffff
+c72fffffffff8b44fffffffffffffffffffffffffffffffffffffffffffffff47440dfffffffff
+ffffffffffff9125529edbfffffffffffffffffffff3a2207dc5ffffffcc7f2472e4a22fe5e316
+511c167dfa526ff4893465cbf5ffffda95277be8ffffffffffffffffffffe6cb784a79eaffffff
+fffffffffffff4842fe7ffffffffffffffffffffffffffffffffffffffffffffffa758fdffffff
+8d97ffffffffffffffffffffffffffffffffff7884ff26ffffffffffff
+ffffffffffffffffffffffb79cffffffffffc26273a7ffffffffffffffffffffffffffffffffff
+ff4e9fffffbe34f3ffffffffffffffffffffffffffffffffffffffffffffffffffb02bdcffffff
+fffffffcca5755d2fdfffffffffffffffffffffffffffff1a8314ac6f1fffff384416f5c2ce235
+4a1904bf5144783384d9fefff6dd611c8df0fdfffffffffffffffffffffffffffff16d1aaaf7ff
+fffffffffff6447ff6fffffffffffffffffffffffffffffffffffffffffffffffffb6a8affffec
+49eeffffffffffffffffffffffffffffffffffe141c788ffffffffffff
+ffffffffffffffffffffff83a2ffffffffffc2621ce4ffffffffffffffffffffffffffffffffff
+ffc92af2d72bb4ffffffffffffffffffffffffffffffffffffffffffffffffffffffad2cc4ffff
+ffffe64c2bbeffffffffffffffffffffffffffffffffffffffffad5f2d92edffffffb43d102968
+00002453033d91f8fffffaa93544a9f0ffffffffffffffffffffffffffffffffffffffe16e38ac
+fcfffffff04681ffffffffffffffffffffffffffffffffffffffffffffffffffffffff2ab2ff93
+92ffffffffffffffffffffffffffffffffffffff53538affffffffffff
+ffffffffffffffffffffff83a2ffffffffffc21375ffffffffffffffffffffffffffffffffffff
+fffc4a9f5393ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd83892ff
+f380459ff1ffffffffffffffffffffffffffffffffffffffffffffffd7653f5e9db9ffffdc6d15
+0000004bc7ffffce9d753462bafdfffffffffffffffffffffffffffffffffffffffffffffbb73e
+66deffbf3d8efeffffffffffffffffffffffffffffffffffffffffffffffffffffffffd748f033
+f1ffffffffffffffffffffffffffffffffffffffab008affffffffffff
+e4e4e4e4e4e4e4e4e4e4e47591e4e4e4e4e4e129a8e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4
+e4e4af0441e0e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4d32664
+0c4bcce4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4ddac6d510b0b2b772c
+00001475430b0b3b6d6dd3e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e0
+98076315b9e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e473097d
+e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4e4c613aae4e4e4e4e4ff
+adadadadadadadadadadad596eadadadadadad208badadadadadadadadadadadadadadadadadad
+adad88003dadadadadadadadadadadadadadadadadadadadadadadadadadadadadadadada72335
+024ba3adadadadadadadadadadadadadadadadadadadadadadadadadadadad925e003852adac2c
+00001482ad694105176da9adadadadadadadadadadadadadadadadadadadadadadadadadadadad
+8200340e99adadadadadadadadadadadadadadadadadadadadadadadadadadadadadadad620062
+adadadadadadadadadadadadadadadadadadadad9d138cadadadadadff
+ffffffffffffffffffffff83a2ffffffffffcd0888ffffffffffffffffffffffffffffffffffff
+ffff6e783d8bffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff5f60f7
+c74b52d2ffffffffffffffffffffffffffffffffffffffffffffffffaa8b2c7075d3f9ffb43900
+0000000f94ffffd68d66304599faffffffffffffffffffffffffffffffffffffffffffffffe871
+4aaef79039c2ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe429c238
+ffffffffffffffffffffffffffffffffffffffffc0008affffffffffff
+ffffffffffffffffffffff83a2ffffffffffc26025f5ffffffffffffffffffffffffffffffffff
+ffe120e7ea25d6ffffffffffffffffffffffffffffffffffffffffffffffffffffffd12793fdff
+fffdcc2053d0f2fffffffffffffffffffffffffffffffffff7e06f267a99f9feffffb5390a1138
+00001427022899fdfffff9b18c2a5a9ef1ffffffffffffffffffffffffffffffffffffe7731976
+f6fffffedd28affffffffffffffffffffffffffffffffffffffffffffffffffffffff23c8bff7a
+abffffffffffffffffffffffffffffffffffffff563c8affffffffffff
+ffffffffffffffffffffffa0a2ffffffffffc26256aeffffffffffffffffffffffffffffffffff
+ff6482ffffb32bd9ffffffffffffffffffffffffffffffffffffffffffffffffffd22abaffffff
+fffffff5b1542d9cf6ffffffffffffffffffffffffffffb43b38b6ffffffffe2ab4e47852ac31f
+381300a8326f5d4d93bafbffffffcb582c98f4ffffffffffffffffffffffffffffba4e47aae4ff
+ffffffffffe02babffffffffffffffffffffffffffffffffffffffffffffffffffff4c89ffffe5
+49f6ffffffffffffffffffffffffffffffffffed45a86fffffffffffff
+ffffffffffffffffffffffef46ffffffffff66bed352ffffffffffffffffffffffffffffffffff
+da1af1ffffff8e58ffffffffffffffffffffffffffffffffffffffffffffffffab23bcffffffff
+ffffffffffffc76a313a95c5ffffffffffffffffffe76c44d7f8ffffd48728447ad7ca21c6cc2d
+511c2d66e630a1da9144256f95faffffd88c33ceffffffffffffffffffffa0512865aff6ffffff
+ffffffffffffdc5955feffffffffffffffffffffffffffffffffffffffffffffff9a32fcffffff
+76afffffffffffffffffffffffffffffffffff896dff26ffffffffffff
+ffffffffffffffffffffffef35ffffffffff55cff34ae6ffffffffffffffffffffffffffffffff
+698cfffffffffe5966f9fffffffffffffffffffffffffffffffffffffffffc7e44f6ffffffffff
+fffffffffffffffffdeb9031263e6f6f6fd3dcdcd33086dbdcb16726519efdfeffc721d0f420a7
+51597833d8e8309ffffefdb56725576fd8dcad20bbdcdcdcac6f6f4e262685d3fdffffffffffff
+fffffffffffffffe744ff5ffffffffffffffffffffffffffffffffffffffffffa635ebffffffff
+df46ffffffffffffffffffffffffffffffffff4adbff26ffffffffffff
+ffffffffffffffffffffffef35ffffffffff55cfff7186ffffffffffffffffffffffffffffffdb
+2af0fffffffffff83cb2ffffffffffffffffffffffffffffffffffffffff8047f0ffffffffffff
+ffffffffffffffffffffffffffe7b6b6b65249100659584949a1beffffffffffc72ac6ff6572b5
+9e892fc234ffe5329fffffffffffceb64c49496835004949a7b6b6d7ffffffffffffffffffffff
+ffffffffffffffffff7968f5ffffffffffffffffffffffffffffffffffffffe32ec6ffffffffff
+ff71b3ffffffffffffffffffffffffffffffe341ffff45ffffffffffff
+ffffffffffffffffffffffef35fffffffff565f8ffda4dfcffffffffffffffffffffffffffff6e
+87ffffffffffffffcc23c8ffffffffffffffffffffffffffffffffffffb142f2ffffffffffffff
+ffffffffffffffffffffffffffffffffffffa130d7fffffffffffffffffffffe21c6ffae2ced67
+be892fff787effe62fd0fffffffffffffffffffff55172feffffffffffffffffffffffffffffff
+ffffffffffffffffffff7a4effffffffffffffffffffffffffffffffffffe42aa9ffffffffffff
+ffed38ffffffffffffffffffffffffffffff6f87ffff79bbffffffffff
+fffffffffffffffffffffff244ffffffffe83dffffff3db9ffffffffffffffffffffffffffe11d
+e7ffffffffffffffffd51df3ffffffffffffffffffffffffffffffffe126c1ffffffffffffffff
+fffffffffffffffffffffffffffffffff29c30e8ffffffffffffffffffffff8363ffed44e2ff67
+be892ffff94dcdff9a4efdffffffffffffffffffffff5658daffffffffffffffffffffffffffff
+ffffffffffffffffffffff36b0fffffffffffffffffffffffffffffffffb7574ffffffffffffff
+ffff7ba9fffffffffffffffffffffffffff639f5ffff75b0ffffffffff
+ffffffffffffffffffffffff6cd7ffffffe83dffffffb86dffffffffffffffffffffffffff6482
+ffffffffffffffffffff8248bffffffffffffffffffffffffffffffb5fa9ffffffffffffffffff
+fffffffffffffffffffffffffffffff0477ce6ffffffffffffffffffffffea1ce0ff6f77ffff67
+be892fffffbe4ff9f027ceffffffffffffffffffffffffad2adfffffffffffffffffffffffffff
+ffffffffffffffffffffffe13beaffffffffffffffffffffffffffffe2734ef2ffffffffffffff
+ffffe34bf6ffffffffffffffffffffffffa361ffffff75b0ffffffffff
+ffffffffffffffffffffffff5dc7ffffffb76effffffff27fdffffffffffffffffffffffd91bf3
+ffffffffffffffffffffffcd23c7ffffffffffffffffffffffffff8f5ff8ffffffffffffffffff
+fffffffffffffffffffffffffffff7447ffcffffffffffffffffffffffff8960ffbc37f2ffff67
+be892fffffff6c8aff9752ffffffffffffffffffffffffffb226deffffffffffffffffffffffff
+ffffffffffffffffffffffff9e39f0ffffffffffffffffffffffffe22ca6f5ffffffffffffffff
+ffffff76affffffffffffffffffffffffe55c0ffffffd451ffffffffff
+ffffffffffffffffffffffff5dc7ffffff7baaffffffff739fffffffffffffffffffffffab7aff
+ffffffffffffffffffffffffd523b3f8ffffffffffffffffffffcc25d9ffffffffffffffffffff
+ffffffffffffffffffffffffffff7473ffffffffffffffffffffffffffec2bded72ab6ffffff67
+be8e6affffffff2eb6ff2bcbffffffffffffffffffffffffffb12bedffffffffffffffffffffff
+ffffffffffffffffffffffffff598bffffffffffffffffffffffe02da9ffffffffffffffffffff
+ffffffb173ffffffffffffffffffffffe924ebffffffe143ffffffffff
+ffffffffffffffffffffffff5dc7ffffff7baaffffffffc42ff2ffffffffffffffffffff5a9dff
+ffffffffffffffffffffffffffdb5b65fffffffffffffffffff045ccffffffffffffffffffffff
+ffffffffffffffffffffffffff9e32e6ffffffffffffffffffffffffff8e68dd28b1ffffffff67
+be8b49ffffffffd72bb49f57ffffffffffffffffffffffffffff666dffffffffffffffffffffff
+ffffffffffffffffffffffffffec3edeffffffffffffffffff9849a7ffffffffffffffffffffff
+ffffffeb39ffffffffffffffffffffff988cffffffffe143ffffffffff
+ffffffffffffffffffffffff61c7ffffff90f6fffffffffc49a4fffffffffffffffffffd3be7ff
+fffffffffffffffffffffffffffff75969fcffffffffffffff6a7ffdffffffffffffffffffffff
+ffffffffffffffffffffffffa332e6fffffffffffffffffffffffffffb20b125b7ffffffffff67
+be892fffffffffffd627ae2fcefffffffffffffffffffffffffff75370fcffffffffffffffffff
+ffffffffffffffffffffffffffffc027e0fffffffffffffe9835eaffffffffffffffffffffffff
+ffffffff2afbffffffffffffffffffd42cf6fffffffffc8affffffffff
+ffffffffffffffffffffffffca85ffffff92ffffffffffffe442e9ffffffffffffffffd034f6ff
+ffffffffffffffffffffffffffffffff5f54d5ffffffffffb232e8ffffffffffffffffffffffff
+ffffffffffffffffffffffe62fccffffffffffffffffffffffffffff843b2bb5ffffffffffff7b
+a94672ffffffffffffdb27504efdfffffffffffffffffffffffffffc3eabffffffffffffffffff
+ffffffffffffffffffffffffffffff7c7affffffffffef9336eaffffffffffffffffffffffffff
+ffffffff8c99ffffffffffffffffff5f97ffffffffffff92ffffffbcff
+ffffffffffffffffffffffffdc4ff9ffff92ffffffffffffff7b6bffffffffffffffffac54ffff
+ffffffffffffffffffffffffffffffffffb428dcffffffff38beffffffffffffffffffffffffff
+ffffffffffffffffffffe430a2ffffffffffffffffffffffffffffff2b0bb2ffffffffffffffd4
+511c9cffffffffffffffd71d00f3ffffffffffffffffffffffffffffc729c7ffffffffffffffff
+fffffffffffffffffffffffffffffff546e9ffffffee4184e9ffffffffffffffffffffffffffff
+ffffffffb074ffffffffffffffffb054fbffffffffffff92ffffff92ff
+ffffffffffffffffffffffffff38edffff92fffffffffffffff51adcffffffffffffff63b7ffff
+ffffffffffffffffffffffffffffffffffffbb4767e4ffaf42ffffffffffffffffffffffffffff
+fffffffffffffffffffd499ffffffffffffffffffffffffffffff78b36baffffffffffffffffd4
+5120ccffffffffffffffffd64c4fd1ffffffffffffffffffffffffffffca23d0ffffffffffffff
+ffffffffffffffffffffffffffffffffaa7bfffa8931a0fdffffffffffffffffffffffffffffff
+fffffffff92cfffffffffffffff632c3ffffffffffffff92ffffff30ff
+ffffffffffffffffffffffffff7ca9ffff92ffffffffffffffffb462f8fffffffffff92eceffff
+fffffffffffffffffffffffffffffffffffffff07f1fa033bcffffffffffffffffffffffffffff
+ffffffffffffffffffbf48f4ffffffffffffffffffffffffffd5363f7dffffffffffffffffffdc
+5e26ffffffffffffffffffffb20828b8fdffffffffffffffffffffffffff9d59ffffffffffffff
+ffffffffffffffffffffffffffffffffff3ab75068dbffffffffffffffffffffffffffffffffff
+fffffffffd51d6ffffffffffffa94effffffffffffffff92ffffd224ff
+ffffffffffffffffffffffffffa45affff92fffffffffffffffff739b5fffffffffff62fffffff
+ffffffffffffffffffffffffffffffffffffffffffe54f0098ffffffffffffffffffffffffffff
+fffffffffffffffffd44bcfffffffffffffffffffffffff78b2dc851d4ffffffffffffffffffff
+5336ffffffffffffffffffffff26d94a43e3fffffffffffffffffffffffff842eaffffffffffff
+ffffffffffffffffffffffffffffffffbd2b24d9ffffffffffffffffffffffffffffffffffffff
+ffffffffff66beffffffffffe033ebffffffffffffffff92ffffb86dff
+fffffffffffffffffffffffffff824ffff92ffffffffffffffffffb33bffffffffff9165ffffff
+fffffffffffffffffffffffffffffffffffffffffffc36924d2fd3fdffffffffffffffffffffff
+fffffffffffffffff32ffafffffffffffffffffffffbc44f75f3f149e9ffffffffffffffffffff
+4176ffffffffffffffffffffff73b2f7a41b9bf7ffffffffffffffffffffff698dffffffffffff
+ffffffffffffffffffffffffffffed7139ad49e0ffffffffffffffffffffffffffffffffffffff
+ffffffffffcb5affffffffff707effffffffffffffffff92ffff53d1ff
+ffffffffffffffffffffffffffff5fc5ff92ffffffffffffffffffff6ba2ffffffff719cffffff
+ffffffffffffffffffffffffffffffffffffffffffb244ffffc73f58d2ffffffffffffffffffff
+ffffffffffffffff7697ffffffffffffffffffebbf462dceffffe341ffffffffffffffffffffff
+4176ffffffffffffffffffffff9194ffffe7784ba7dfffffffffffffffffffd951faffffffffff
+fffffffffffffffffffffffff77827b4ffffaa7affffffffffffffffffffffffffffffffffffff
+ffffffffffdd4ef9ffffffde28f0ffffffffffffffffff92fff84ae2ff
+ffffffffffffffffffffffffffff7fa6ff92ffffffffffffffffffffe719e5ffffff24eaffffff
+ffffffffffffffffffffffffffffffffffffffffff38beffffffed962d3599b6ffffffffffffff
+ffffffffffffffff25e9ffffffffffffffd18b2260caf4ffffff8d98ffffffffffffffffffffef
+294fffffffffffffffffffffffe63fffffffffe27e2473bdffffffffffffffff3cc1ffffffffff
+ffffffffffffffffffcaa1443b7ee2fffffff543ebffffffffffffffffffffffffffffffffffff
+ffffffffffff41e4fffffa52afffffffffffffffffffff92ffdd47ffff
+ffffffffffffffffffffffffffffe53fff92ffffffffffffffffffffff9d7bfcffff5dffffffff
+ffffffffffffffffffffffffffffffffffffffffac41fffffffffffff5f08b6f26527ca5e9eeff
+ffffffffffffffae6dfffffff1e9876b265383d8feffffffffff41b5ffffffffffffffffffff9c
+561fccfffffffffffffffffffff349e7fffffffffff2b26826587cdcecffffffaa74ffffffffff
+fffffffde9bd7c65265a83e0f2ffffffffffffac78ffffffffffffffffffffffffffffffffffff
+ffffffffffff79acffffb93afcffffffffffffffffffff92ff777fffff
+fffffffffffffffffffffffffffff028dd92fffffffffffffffffffffff22ec5ffca80ffffffff
+fffffffffffffffffffffffffffffffffffffff534bcffffffffffffffffffffffd3a97f3c2956
+63c3c3c3edffff47b8c3a156463c9ebaffffffffffffffffffff26fffffffffffffffffffffe59
+cd3554ffffffffffffffffffffff53b8ffffffffffffffffffcca949415689c3f122e9fffbc3c3
+c37b56533c68a9c0ffffffffffffffffffffffff3ce8ffffffffffffffffffffffffffffffffff
+ffffffffffffae77ffeb40dfffffffffffffffffffffff92ff5fc6ffff
+ffffffffffffffffffffffffffffff59cb92ffffffffffffffffffffffffbb24d7af76ffffffff
+ffffffffffffffffffffffffffffffffffffffd73ff9ffffffffffffffffffffffffffffffdece
+ce8362628492842a8b6284ceecffffffffffffffffffffffffff7effffffffffffffffffffcf55
+ff8c2fcdffffffffffffffffffffab8efffffffffffffffffffffffff6ce9b6287375d928f6262
+62aaced3ffffffffffffffffffffffffffffffff869fffffffffffffffffffffffffffffffffff
+ffffffffffffae77ed3a90ffffffffffffffffffffffff92ff26ffffff
+ffffffffffffffffffffffffffffffc16392ffffffffffffffffffffffffffc2248c76ffffffff
+ffffffffffffffffffffffffffffffffffffff9d88ffffffffffffffffffffffffffffffffffff
+ffffffffffff7185ffffffffffffffffffffffffffffffffffff92ffffffffffffffffffff53a3
+ff929d51fdffffffffffffffffffc0d1ffffffffffffffffffffffffffffffffffeb34f9ffffff
+ffffffffffffffffffffffffffffffffffffffffee37ffffffffffffffffffffffffffffffffff
+ffffffffffffae768b8bfeffffffffffffffffffffffff92c75dffffff
+ffffffffffffffffffffffffffffffd4548fffffffffffffffffffffffffffff832376ffffffff
+ffffffffffffffffffffffffffffffffffffff6abbffffffffffffffffffffffffffffffffffff
+ffffffffffff3de8ffffffffffffffffffffffffffffffffffff92ffffffffffffffffffec39ff
+ff92f02accffffffffffffffffffc0d1fffffffffffffffffffffffffffffffffffa3fc7ffffff
+fffffffffffffffffffffffffffffffffffffffff232ffffffffffffffffffffffffffffffffff
+ffffffffffffae233cebffffffffffffffffffffffffff927b8effffff
+ffffffffffffffffffffffffffffffff3445b9fffffffffffffffffffffffffff8624bffffffff
+ffffffffffffffffffffffffffffffffffffff6abbffffffffffffffffffffffffffffffffffff
+ffffffffffff26ffffffffffffffffffffffffffffffffffffff92ffffffffffffffffff879eff
+ff92ff974fffffffffffffffffffc0d1ffffffffffffffffffffffffffffffffffff5ec7ffffff
+fffffffffffffffffffffffffffffffffffffffff745e8ffffffffffffffffffffffffffffffff
+ffffffffffff8234eeffffffffffffffffffffffffffe65129e8ffffff
+ffffffffffffffffffffffffffffffffa9029dffffffffffffffffffffffffffffaf0d5df8ffff
+fffffffffffffffffffffffffffffffffffffc2afdffffffffffffffffffffffffffffffffffff
+fffffffffff133ffffffffffffffffffffffffffffffffffffff92ffffffffffffffffe929e3ff
+ff92fffd2bcbffffffffffffffffc0d1ffffffffffffffffffffffffffffffffffff998bffffff
+ffffffffffffffffffffffffffffffffffffffffff60c4ffffffffffffffffffffffffffffffff
+ffffffffffc70f77ffffffffffffffffffffffffffffe10267ffffffff
+ffffffffffffffffffffffffffffffffff2b3dffffffffffffffffffffffffffffaf7345a4ffff
+fffffffffffffffffffffffffffffffffffffc28ffffffffffffffffffffffffffffffffffffff
+ffffffffff9293ffffffffffffffffffffffffffffffffffffff92fffffffffffffffe6f6affff
+ff92ffffd047f0ffffffffffffffc0d1ffffffffffffffffffffffffffffffffffffca5affffff
+ffffffffffffffffffffffffffffffffffffffffff60c4ffffffffffffffffffffffffffffffff
+ffffffffdd2b7e77ffffffffffffffffffffffffffff9600b4ffffffff
+ffffffffffffffffffffffffffffffffff7b3dffffffffffffffffffffffffffffaf76d227bdff
+fffffffffffffffffffffffffffffffffffffc28ffffffffffffffffffffffffffffffffffffff
+ffffffffff9293ffffffffffffffffffffffffffffffffffffff92ffffffffffffffa24ef4ffff
+ff92fffffd7d6affffffffffffffc0d1ffffffffffffffffffffffffffffffffffffca5affffff
+ffffffffffffffffffffffffffffffffffffffffffbc97ffffffffffffffffffffffffffffffff
+ffffffdf26b2cf82ffffffffffffffffffffffffffff7539f8ffffffff
+ffffffffffffffffffffffffffffffffffea0cd0ffffffffffffffffffffffffffaf76ffd924ba
+ffffffffffffffffffffffffffffffffffff9194ffffffffffffffffffffffffffffffffffffff
+ffffffffff55d0ffffffffffffffffffffffffffffffffffffff92ffffffffffffc721d0ffffff
+ff92fffffffe499fffffffffffffc0d1fffffffffffffffffffffffffffffffffffffe38edffff
+ffffffffffffffffffffffffffffffffffffffffffcd58ffffffffffffffffffffffffffffffff
+ffffe82ab3ffff55ffffffffffffffffffffffffffff3bbaffffffffff
+ffffffffffffffffffffffffffffffffffff7482ffffffffffffffffffffffffff90c3ffffd62a
+d6ffffffffffffffffffffffffffffffffff8f95ffffffffffffffffffffffffffffffffffffff
+ffffffffff26ffffffffffffffffffffffffffffffffffffffff92fffffffffff549c6ffffffff
+ff92ffffffffe532beffffffffffc0d1ffffffffffffffffffffffffffffffffffffff38ecffff
+ffffffffffffffffffffffffffffffffffffffffffcd58ffffffffffffffffffffffffffffffff
+fffe6c9bffffff26ffffffffffffffffffffffffffe223ffffffffffff
+ffffffffffffffffffffffffffffffffffffc238fbffffffffffffffffffffffff42e3ffffffa4
+36beffffffffffffffffffffffffffffffff62c3ffffffffffffffffffffffffffffffffffffff
+ffffffffe044ffffffffffffffffffffffffffffffffffffffff92ffffffffff4f78ffffffffff
+ff92ffffffffffb02fe7ffffffffc0d1ffffffffffffffffffffffffffffffffffffff958fffff
+fffffffffffffffffffffffffffffffffffffffffff83fedffffffffffffffffffffffffffffff
+df3352f5ffffff26ffffffffffffffffffffffffff6b7bffffffffffff
+ffffffffffffffffffffffffffffffffffffcb07b6ffffffffffffffffffffffff42e3ffffffff
+da3483f7ffffffffffffffffffffffffffff26ffffffffffffffffffffffffffffffffffffffff
+ffffffffb76dffffffffffffffffffffffffffffffffffffffff26ffffffffb163ffffffffffff
+ff92ffffffffffffa357fdffffff53a3ffffffffffffffffffffffffffffffffffffffa580ffff
+ffffffffffffffffffffffffffffffffffffffffffff3beaffffffffffffffffffffffffffff9b
+2ab4ffffffffff26ffffffffffffffffffffffffda138affffffffffff
+ffffffffffffffffffffffffffffffffffffff3039ffffffffffffffffffffffff42e3ffffffff
+fffa635ed9ffffffffffffffffffffffffff46ffffffffffffffffffffffffffffffffffffffff
+ffffffffb76dffffffffffffffffffffffffffffffffffffffff3ee7ffffac2be0ffffffffffff
+ff92ffffffffffffff567ffffff73ad1ffffffffffffffffffffffffffffffffffffffc065ffff
+ffffffffffffffffffffffffffffffffffffffffffff5beaffffffffffffffffffffffffea853b
+cdffffffffffff26ffffffffffffffffffffffff7100d9ffffffffffff
+ffffffffffffffffffffffffffffffffffffff3232b5ffffffffffffffffffffff73b2ffffffff
+fffff8b823d4feffffffffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7ccffffffffffffffffffffffffffffffffffffffff76aeffec2ccbffffffffffffff
+ff92fffffffffffffff34ba6fee637f9ffffffffffffffffffffffffffffffffffffffff85ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffffffffffffffec3962f1
+ffffffffffffff28fffffffffffffffffffffff34916f7ffffffffffff
+ffffffffffffffffffffffffffffffffffffff9d4141ffffffffffffffffffffffaf76ffffffff
+ffffffffcb477cfdffffffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffffffb76daf28b4ffffffffffffffff
+ff92ffffffffffffffffca467ca351ffffffffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffffffffffffaf1a93ffff
+ffffffffffffcf82ffffffffffffffffffffffa44165ffffffffffffff
+ffffffffffffffffffffffffffffffffffffffbc624ddeffffffffffffffffffffaf76ffffffff
+fffffffffff0664de4ffffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffffffe3112cdfffffffffffffffffff
+ff92fffffffffffffffffff06620acffffffffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eafffffffffffffffff6642cdfffffff
+ffffffffffffae77ffffffffffffffffffffff308765ffffffffffffff
+ffffffffffffffffffffffffffffffffffffffff26b26effffffffffffffffffffb273ffffffff
+ffffffffffffffa135b3ffffffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffffcd4c03c8ffffffffffffffffffff
+ff92ffffffffffffffffffffff0d35b3ffffffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffffffcd4c70eeffffffff
+ffffffffffffae77ffffffffffffffffffffa94e5fc6ffffffffffffff
+ffffffffffffffffffffffffffffffffffffffff35d72fb6ffffffffffffffffffff26ffffffff
+ffffffffffffffffe7436edcffffffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffffffc525a365bfffffffffffffffffffff
+ff92ffffffffffffffffffffed23e7309bf0ffffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffffffe68739a3ffffffffffff
+ffffffffffff6bb9fffffffffffffffffff452c44fdaffffffffffffff
+ffffffffffffffffffffffffffffffffffffffff7789bb31e5ffffffffffffffffff26ffffffff
+ffffffffffffffffffffb74f6ad9ffffffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffffffffffffff764dc5ffbe67ffffffffffffffffffff
+ff92ffffffffffffffffffff9e6cffe74f47f1ffffffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eaffffffec814a9ef4ffffffffffffff
+ffffffffffff41e4fffffffffffffffff8546ee23fffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffdb42fd9f4ffdffffffffffffffff2bfaffffff
+fffffffffffffffffffffff9bb4b68e1ffff92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7dafffffffffffffffffffffffffffffed96152f7ffffdd4afcffffffffffffffffff
+ff92ffffffffffffffffffff6a8cfffffc8049c1fbffffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7eafff48439a3f4ffffffffffffffffff
+ffffffffffff41e4ffffffffffffffffaf6afa7da2ffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff51bdff637dffffffffffffffff899cffffff
+ffffffffffffffffffffffffffffbc446edb92ffffffffffffffffffffffffffffffffffffffff
+ffffffffb7dafffffffffffffffffffffffff4a55c4cc3ffffffffff41e3ffffffffffffffffff
+ff92fffffffffffffffffff33bf5ffffffffd82f43d1ffffffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffffa7d1863da0ffffffffffffffffffffffff
+ffffffffffe34bf5ffffffffffffffaf29dfff1ce0ffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffa666fff045a8ffffffffffffff899cffffff
+ffffffffffffffffffffffffffffffffb65050daffffffffffffffffffffffffffffffffffffff
+ffffffffb7daffffffffffffffffffffffa72d46c3ffffffffffffffbc3affffffffffffffffff
+ff92ffffffffffffffffff9e86fffffffffffff8a84c77e6ffffffffffffffffffffffff92ffff
+ffffffffffffffffffffffffffffffffffffffffffed6d449ef3ffffffffffffffffffffffffff
+ffffffffffd351ffffffffffffffec23d7ffb471ffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffa30f2ffc923d3ffffffffffff9194ffffff
+fffffffffffffffffffffffffffffffffff9574b6883edf3ffffffffffffffffffffffffffffff
+ffffffffb7dafffffffffffffffff7aa3b49c4fbffffffffffffffffff3eb0ffffffffffffffff
+ff92ffffffffffffffffed49e6fffffffffffffffff77f3f4692f3ffffffffffffffffff92ffff
+fffffffffffffffffffffffffffffffffff7ed9b7c3753e2ffffffffffffffffffffffffffffff
+ffffffffffd351fffffffffffff63a90fefb36ebffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffff7274ffffbd49f7fffffffffff62fffffff
+ffffffffffffffffffffffffffffffffffff92ffbca137435b9edaffffffffffffffffffffffff
+ffffffffb794ffffffffffcec8a44a7beaffffffffffffffffffffffffb936f6ffffffffffffff
+ff92ffffffffffffffff6581ffffffffffffffffffffffffb064428cc8c8f9ffffffffc558ffff
+ffffffffffffffffffffffffffffe6c87733378aa9ffa7eaffffffffffffffffffffffffffffff
+ffffffffffbb97ffffffffffff8f7effffc43efbffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffea24ffffff715dfffffffffff62fffffff
+ffffffffffffffffffffffffffffffffffff3cffffffffeec55d50357aa2f8ffffffffffffffff
+ffffffffb746c9a2a26235315dafe3fffffffffffffffffffffffffffff83db0ffffffffffffff
+ff92ffffffffffffffdd1bedffffffffffffffffffffffffffffefc75d5d394aa2a2b5a580ffff
+ffffffffffffffffffffffaf9135475daeccffffffff51eaffffffffffffffffffffffffffffff
+ffffffffff66beffffffffff913aecffff6db7ffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffff6eadfffffb5a91fffffffff733faffff
+ffffffffffffffffffffffffffffffffffff25f6fffffffffffffaefab832d3e92929292929292
+9292922721035b8383c3eff7ffffffffffffffffffffffffffffffffffffd748feffffffffffff
+ff92ffffffffffffff6b85fffffffffffffffffffffffffffffffffffffff1db83836f0f1c267c
+92929292929292929255267593eff6ffffffffffffff3beaffffffffffffffffffffffffffffff
+fffffffffe5ebeffffffffdb24e7ffffea24e7ffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffbb45ffffffd926b8ffffffff63c1ffff
+ffffffffffffffffffffffffffffffffffff6a95ffffffffffffffffffffffffffffffffffffff
+ffffffffff6db8ffffffffffffffffffffffffffffffffffffffffffffffff6fb5ffffffffffff
+ff92ffffffffffffdb28f3fffffffffffffffffffffffffffffffffffffffffffffff340f1ffff
+ffffffffffffffffffffffffffffffffffffffffffde4ef8ffffffffffffffffffffffffffffff
+fffffffff91de9fffffff62caeffffffa183ffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffff94cdfffffffd24af3ffffffbb69ffff
+ffffffffffffffffffffffffffffffffffff8f95ffffffffffffffffffffffffffffffffffffff
+ffffffffff9293ffffffffffffffffffffffffffffffffffffffffffffffffea2de3ffffffffff
+ff92ffffffffffff70b4ffffffffffffffffffffffffffffffffffffffffffffffffca5affffff
+ffffffffffffffffffffffffffffffffffffffffffcd58ffffffffffffffffffffffffffffffff
+ffffffffa155ffffffff708bffffffff2dc9ffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff876fffffffff8740f4ffffe948f2ff
+ffffffffffffffffffffffffffffffffffffc92dffffffffffffffffffffffffffffffffffffff
+fffffffffffa2bffffffffffffffffffffffffffffffffffffffffffffffffff757cffffffffff
+ff92ffffffffffe344fdffffffffffffffffffffffffffffffffffffffffffffffff6394ffffff
+ffffffffffffffffffffffffffffffffffffffffff9391ffffffffffffffffffffffffffffffff
+ffffffff53a3fffffa6e53fbffffffce57ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffe93dfdffffffff8543efffff59cbff
+fffffffffffffffffffffffffffffffffffffc28ffffffffffffffffffffffffffffffffffffff
+ffffffffffff27cfffffffffffffffffffffffffffffffffffffffffffffffffe42accffffffff
+ff92ffffffffe937bbfffffffffffffffffffffffffffffffffffffffffffffffffb53d5ffffff
+ffffffffffffffffffffffffffffffffffffffffff60c4ffffffffffffffffffffffffffffffff
+ffffffec1efffffc6d55f7ffffffff589effffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffff53a3fffffffffe8044f4ffab7aff
+fffffffffffffffffffffffffffffffffffffd31c7ffffffffffffffffffffffffffffffffffff
+ffffffffffff6cb8ffffffffffffffffffffffffffffffffffffffffffffffffffc022d5ffffff
+ff92ffffffeb3696fffffffffffffffffffffffffffffffffffffffffffffffffff035ffffffff
+fffffffffffffffffffffffffffffffffffffffffa4edcffffffffffffffffffffffffffffffff
+ffffffb160ffff7053f4ffffffffe945f6ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffcf30f6fffffffffe8540f3fd28ff
+ffffffffffffffffffffffffffffffffffffff6abbffffffffffffffffffffffffffffffffffff
+ffffffffffffd64fffffffffffffffffffffffffffffffffffffffffffffffffffffc826f7ffff
+ff92ffffeb3498feffffffffffffffffffffffffffffffffffffffffffffffffff8670ffffffff
+fffffffffffffffffffffffffffffffffffffffff232ffffffffffffffffffffffffffffffffff
+ffffff48aefa6d53fcfffffffffd5398ffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffff8c6affffffffffff8544ef68bd
+ffffffffffffffffffffffffffffffffffffff876fffffffffffffffffffffffffffffffffffff
+ffffffffffffe32ae8fffffffffffffffffffffffffffffffffffffffffffffffffffe675af7ff
+ff92ffff3d98ffffffffffffffffffffffffffffffffffffffffffffffffffffff6abaffffffff
+ffffffffffffffffffffffffffffffffffffffffd54fffffffffffffffffffffffffffffffffff
+ffffe32ae66d55f7ffffffffffa243efffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffff949b4fffffffffffe8143a872
+ffffffffffffffffffffffffffffffffffffffd74effffffffffffffffffffffffffffffffffff
+ffffffffffffff47defffffffffffffffffffffffffffffffffffffffffffffffffffff96757ff
+ff92ff8b6dffffffffffffffffffffffffffffffffffffffffffffffffffffffff26ffffffffff
+ffffffffffffffffffffffffffffffffffffffff869fffffffffffffffffffffffffffffffffff
+ffffaa4e7052f5ffffffffffff2ccaffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffbf36f1fffffffffffe86342c
+f7ffffffffffffffffffffffffffffffffffffdc2beeffffffffffffffffffffffffffffffffff
+ffffffffffffffbc68fffffffffffffffffffffffffffffffffffffffffffffffffffffffe5fb7
+ff91863ff3ffffffffffffffffffffffffffffffffffffffffffffffffffffff9b4cffffffffff
+ffffffffffffffffffffffffffffffffffffffff79acffffffffffffffffffffffffffffffffff
+ffff5c2f52feffffffffffff6a8cffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffff7175ffffffffffffff8400
+c5ffffffffffffffffffffffffffffffffffffff44e0ffffffffffffffffffffffffffffffffff
+ffffffffffffffff24e2ffffffffffffffffffffffffffffffffffffffffffffffffffffffdb2a
+b23b40edfffffffffffffffffffffffffffffffffffffffffffffffffffffff12bc9ffffffffff
+ffffffffffffffffffffffffffffffffffffffff26ffffffffffffffffffffffffffffffffffff
+fffd0056f6ffffffffffffbc50f9ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffef34c3fffffffffffffd81
+42f6ffffffffffffffffffffffffffffffffffff73b2ffffffffffffffffffffffffffffffffff
+ffffffffffffffff7f68ffffffffffffffffffffffffffffffffffffffffffffffffffffffffd6
+273bf1ffffffffffffffffffffffffffffffffffffffffffffffffffffffffce4afcffffffffff
+ffffffffffffffffffffffffffffffffffffffdb1bffffffffffffffffffffffffffffffffffff
+ff7151f5fffffffffffff94ccfffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb04cfaffffffffffffea
+2146b1f7ffffffffffffffffffffffffffffffffbd39ffffffffffffffffffffffffffffffffff
+fffffffffffffffffb21d8ffffffffffffffffffffffffffffffffffffffffffffffffffffee85
+3f1480f6fffffffffffffffffffffffffffffffffffffffffffffffffffffd5accffffffffffff
+ffffffffffffffffffffffffffffffffffffff6c8affffffffffffffffffffffffffffffffffda
+4d00a5ffffffffffffff7681ffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff6690ffffffffffffff
+5a723c5fdaffffffffffffffffffffffffffffffff41b5ffffffffffffffffffffffffffffffff
+ffffffffffffffffff896dffffffffffffffffffffffffffffffffffffffffffffffffffe8368d
+ed726859d7ffffffffffffffffffffffffffffffffffffffffffffffffffd351ffffffffffffff
+fffffffffffffffffffffffffffffffffffff145eeffffffffffffffffffffffffffffffea854a
+6423ffffffffffffffc135ffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff52fd1ffffffffffff
+ce2af68925a6feffffffffffffffffffffffffffffbc69ffffffffffffffffffffffffffffffff
+ffffffffffffffffffe84af2ffffffffffffffffffffffffffffffffffffffffffffffaa1a96ff
+ff92f98c22d1feffffffffffffffffffffffffffffffffffffffffffffff5cc9ffffffffffffff
+ffffffffffffffffffffffffffffffffffffa056ffffffffffffffffffffffffffffffbe3a61f0
+55a0ffffffffffffea31acffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcd50f4ffffffffff
+ff9363fff6505cd3fffffffffffffffffffffffffff923d9ffffffffffffffffffffffffffffff
+ffffffffffffffffffff83a1fffffffffffffffffffffffffffffffffffffffffff3a42ae3ffff
+ff92ffffcd4b76fcffffffffffffffffffffffffffffffffffffffffffce28ffffffffffffffff
+fffffffffffffffffffffffffffffffffffe5bcbfffffffffffffffffffffffffff47a3ab4ffc9
+3ef1fffffffffffd7e68ffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe6f9bffffffffff
+fff32bd7ffffa12d8bf0ffffffffffffffffffffffff889cffffffffffffffffffffffffffffff
+ffffffffffffffffffffea3afffffffffffffffffffffffffffffffffffffffff44e74e3ffffff
+ff92fffffff2694be2ffffffffffffffffffffffffffffffffffffffff5c9affffffffffffffff
+ffffffffffffffffffffffffffffffffffd451ffffffffffffffffffffffffffa6467cfeffff57
+cdffffffffffffd323efffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe82be2ffffffff
+ffff8e65feffffe65b47c4fcffffffffffffffffffffe74af3ffffffffffffffffffffffffffff
+ffffffffffffffffffffff7fa2ffffffffffffffffffffffffffffffffffffca4d76fbffffffff
+ff92ffffffffffa7199afeffffffffffffffffffffffffffffffffffd32df1ffffffffffffffff
+ffffffffffffffffffffffffffffffffff589fffffffffffffffffffffffde5f44c8ffffff9c57
+fffffffffffffc5abeffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffbd37edffffff
+ffffea35daffffffffd82d61e3ffffffffffffffffffff54a2ffffffffffffffffffffffffffff
+ffffffffffffffffffffffcc25f3ffffffffffffffffffffffffffffffd18437d3ffffffffffff
+ff92ffffffffffffe94660abf6fffffffffffffffffffffffffffffe5395ffffffffffffffffff
+fffffffffffffffffffffffffffffffff034ffffffffffffffffffffed974088fbfffffff220d3
+fffffffffff75f60ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff933aebffff
+ffffffc163fffffffffff876277ae6ffffffffffffffffc85cffffffffffffffffffffffffffff
+fffffffffffffffffffffffd706effffffffffffffffffffffffffc55030a0f5ffffffffffffff
+ff92ffffffffffffffffbc4132aeffffffffffffffffffffffffffd446efffffffffffffffffff
+ffffffffffffffffffffffffffffffff8b76fffffffffffffffff892275aebffffffffff9551ff
+fffffffffd5f62f8ffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe903aeeff
+ffffffff47aaffffffffffffeb7c3f48c3f6ffffffffffff26d0ffffffffffffffffffffffffff
+ffffffffffffffffffffffffe72caefffffffffffffffffffcc84c31a6f4ffffffffffffffffff
+ff92fffffffffffffffffff9be433db0f9ffffffffffffffffffd923caffffffffffffffffffff
+ffffffffffffffffffffffffffffffeb27d9fffffffffff8db5e2b7ad1fefffffffffff049e0ff
+fffffffb6161f9ffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9338ec
+ffffffffc12ff5ffffffffffffffffae622a8fd4ffffffff9d59ffffffffffffffffffffffffff
+ffffffffffffffffffffffffffe01aecffffffffffffffc55533a6ffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffe7754baae1fffffffffffff75fb8ffffffffffffffffffffff
+ffffffffffffffffffffffffffffffbf66ffffffffdfa7344aa0f9ffffffffffffffff858affff
+fffff76060ffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff923a
+ebfffffffa44a7ffffffffffffffffffffd6962e5ba9fffff842eaffffffffffffffffffffffff
+ffffffffffffffffffffffffffff9339ebfffffff88e3a61d3ffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffe07a2676e5ffffffff8262f8ffffffffffffffffffffff
+fffffffffffffffffffffffffffffd44bdffffbc73277ec9ffffffffffffffffffffdb1ceeffff
+fffe5e62f8ffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe91
+39edffffffd949f1fffffffffffffffffffffff3ca4d3581e28d38f4ffffffffffffffffffffff
+fffffffffffffffffffffffffffffe6088b881392d7ed5feffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffee80402681a1bc35faffffffffffffffffffffffff
+ffffffffffffffffffffffffffff8f5ae88d493ab2efffffffffffffffffffffffff628cffffff
+ff9162faffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+933cffffffff786effffffffffffffffffffffffffffef813748235372c8c8d4ffffffffffffff
+ffffffffffffffffffffffffdec866542450a4ebffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffa474184c5bbbd2ffffffffffffffffffff
+ffffffffffffffffffe0c8c8895b0d463769dbffffffffffffffffffffffffffffbd52fdffffff
+b826ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff6e8fffffffeb37bdffffffffffffffffffffffffffffffffffd63a7f755d6849364fa2acffff
+ffffffffffffffffffc880364d5dbfd4c729ddffffffffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffffffffff24598e0c96a563669b4ffffffffffffff
+ffffffffc0a26736364c5d5d8d3abbe9fffffffffffffffffffffffffffffffff54bcdffffffbb
+2ad2ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fff03b8dfeffffb32cdeffffffffffffffffffffffffffffffffffbc28e2fffff2efef97849292
+92929292929292929289a4eff9ffffffffb338faffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffff997dfdfffffffcefbc8592929292929292
+929292928782beefeff8ffff3f8afffffffffffffffffffffffffffffffffff74780ffffffbf23
+d5ffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffec3d8effffffaa58fdffffffffffffffffffffffffffffffffffa66afbffffffffffffffff
+fffffffffffffffffffffffffffffffffffa566bfbffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffb832e7ffffffffffffffffffffffffffffff
+ffffffffffffffffffffff9d40ffffffffffffffffffffffffffffffffffff8264ffffffb826d9
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffed644aecffff5875fffffffffffffffffffffffffffffffffff55794ffffffffffffffff
+fffffffffffffffffffffffffffffffffffff5566dffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffbb2de9ffffffffffffffffffffffffffffffff
+ffffffffffffffffffffe441eaffffffffffffffffffffffffffffffffffa42fe4ffff6429d2ff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffe931aaffffa43a8ffffffffffffffffffffffffffffffffffd523cfffffffffffffff
+fffffffffffffffffffffffffffffffffffffffb566befffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffff9b34e3ffffffffffffffffffffffffffffffffff
+ffffffffffffffffffed2fabffffffffffffffffffffffffffffffffffe749e4ffd15764f6ffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffe02c6ef4c629c7ffffffffffffffffffffffffffffffffffc94ef2ffffffffffff
+fffffffffffffffffffffffffffffffffffffffff8652cdbffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffee654ee6ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffff7863ffffffffffffffffffffffffffffffffffe7339cffb62bbbffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffe77050d1c450fdfffffffffffffffffffffffffffffffffc7571ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffb227ddffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffff34381feffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffd549f2ffffffffffffffffffffffffffffffffff7472ff8244ddffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffdcd22bf6d52f6fffffffffffffffffffffffffffffffffd43a9ffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffbf408bfeffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffbc1b85feffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffda22cbffffffffffffffffffffffffffffffffff8c42cf3378f7ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffd4546e4f96ffffffffffffffffffffffffffffffffffe22ea7ffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffec3d86eaffffffffffffffffffffff
+ff92ffffffffffffffffffffffffb729d7ffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffff76dc0ffffffffffffffffffffffffffffffffffd44391279fffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffff47b140bb2ffffffffffffffffffffffffffffffffffe02da9ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffef9038edffffffffffffffffffff
+ff92ffffffffffffffffffffff6254d2ffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff65c0ffffffffffffffffffffffffffffffffffd91c0930e6ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffb1192fb3ffffffffffffffffffffffffffffffffffe32ba9ffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffff9535b0ffffffffffffffffff
+ff92ffffffffffffffffffe95c64feffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffff665c8ffffffffffffffffffffffffffffffffffe95f1182fdffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffea580badffffffffffffffffffffffffffffffffffe22ea6ff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffc14a68d5ffffffffffffff
+ff92ffffffffffffffe5802a9ffbffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffff76dbfffffffffffffffffffffffffffffffffffd51b38d3ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffca2a55d1ffffffffffffffffffffffffffffffffe02daa
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa8e2163dfffffffffff
+ff92ffffffffffffb92f6fe2ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff64c0ffffffffffffffffffffffffffffffffe96c1ab3f7ffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffe024004fcdffffffffffffffffffffffffffffffe42a
+a9ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff841b5eefffffff
+ff92fffffff7b3393ee8ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fff666c8ffffffffffffffffffffffffffffffe271000dbfffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffe06d00225accffffffffffffffffffffffffffffe3
+2ea6ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffeb894996f6ff
+ff92ffffdb613bb5ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+f86cbfffffffffffffffffffffffffffffdc712a070fb8ffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffa6d439b2b54d2ffffffffffffffffffffffffff
+e02ea9ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffec8f31a0
+fc92e66a1bb5f8fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd
+65c1fffffffffffffffffffffffffffc881a846e41e4ffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff7151f49d368de9ffffffffffffffffffffff
+ffe32aa9fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd56
+2c38087df5ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe467
+c6fffffffffffffffffffffffff2a4437bf28044f5ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffd7b46c9f2984959afd7ffffffffffffffff
+ffffe42d8ff3ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc57e43
+4c2e4d43a5bfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffad29bf
+ffffffffffffffffffffffbb704680e4e67b44efffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffc622cefff1cc751f3c8ac1f6fdffffff
+ffffffef774cc9fffffffffffffffffffffffffffffffffffffffffffffffffbf6a95e2660a6e2
+f892fae280372682cff6feffffffffffffffffffffffffffffffffffffffffffffffe36341c2ff
+fffffffffffffad98a51266a86ebffe8336df4ffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffcc25b7fbffffffe99b6323519ed1f7
+ffffffffffd43684f9ffffffffffffffffffffffffffffffffffffffecd1854e2e7cc6ffffffff
+ff92ffffffffffa3551d5eabe2ffffffffffffffffffffffffffffffffffffffffa02e83f8ffff
+ffffffd3b564472e8ad3ffffffffd5309effffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffc4383fbcfffffffffff0c1875442
+4babf2fffffff65938ddffffffffffffffffffffffffffb0abab713e4754a0dbffffffffffffff
+ff92ffffffffffffffe8c1794c3e3e98ababf1ffffffffffffffffffffffffef8635ceffffffff
+b0913e2f6fc1e3ffffffffffcf5c2d9fffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffff7b23a42bdffffffffffffffeb
+ab7a8e27262626693c0f6989f2f2f2f2f28f85852c2626757a7ae2e6f0ffffffffffffffffffff
+ff92fffffffffffffffffffff6e6e68d7a7a332626778585b5f2f2f2f2a1853e2573262626264e
+7b93e6f3fffffffffffff695289af1ffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb43e78dfffffffffffff
+ffffffffffffffe39f9f4f0949323232589f9f9ff8ffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffad9f9f6f3232322a00329f9fa5ffffffffff
+ffffffffffffffffea8f4090ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffbad4d72e1ffffffff
+ffffffffffffffffffffff9a46a9ffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffd43065f9ffffffffffffffff
+fffffffffffff48a2294eeffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff7a91b6debffff
+ffffffffffffffffffffffffdf614ac5fbffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffdd601dbffaffffffffffffffffff
+fffffffff3941e5cd9ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe97a2377de
+ffffffffffffffffffffffffffffa7375391ebffffffffffffffffffffffffffffffffffffffff
+ff92fffffffffffffffffffffffffffffffffffffffff7c86a3786f4ffffffffffffffffffffff
+ffffff912b62d5ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe27f26
+71bbffffffffffffffffffffffffffffd560228bd1ffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffb12e42bbffffffffffffffffffffffffffff
+cf893666d7ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff1
+b33b4a8ceafcfffffffffffffffffffffffeee992357d4f5ffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffed711f74eefaffffffffffffffffffffffffeba35d
+2782dafeffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffdb993b5396effffffffffffffffffffffffff8a75131a0f4ffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffba583fa6e5fffffffffffffffffffffffffcae582481c8
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffd4603f62afffffffffffffffffffffffffffc6603b6ce0ffffffffffffffffffffff
+ff92fffffffffffffffffffffff59f465fabf7ffffffffffffffffffffffffc47a3560b5e6ffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffff6c2761e70e6e6fcfffffffffffffffffffff58a44265479d5e6f8ffffffffff
+ff92fffffffffffde6e68066262f86dfffffffffffffffffffffffe9e6942333abf3ffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffe5a83f3f5153a7c0cdffffffffffffffffffffd1ac50363c54c0d3ffff
+ff92ffffc6aa53523f3fa5bfffffffffffffffffffffdbc0bf5353413f90d3ffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffd6d17e64592e2e759ba4fffffffffffffffff9d1d064292e40
+9b552e2e357ad1d4ffffffffffffffffffba9b8c2e2e4d6466d1d1faffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffdf7f7b08a812626542626262626262626658c8a8a
+8a4f8a8a8e4e26262626262626264039266b8a98f7f7fbffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ff92ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/p28b.eps b/books/ps/p28b.eps
new file mode 100644
index 0000000..444282e
--- /dev/null
+++ b/books/ps/p28b.eps
@@ -0,0 +1,4299 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /root/P28b.eps
+%%CreationDate: Wed Sep 10 22:23:53 2003
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 175 185
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 170.640001 translate
+160.560001 -170.640001 scale
+% Variable to keep one line of raster data
+/scanline 223 3 mul string def
+% Image geometry
+223 237 8
+% Transformation matrix
+[ 223 0 0 237 0 0 ]
+{ currentfile scanline readhexstring pop } false 3
+%%BeginData:       321383 ASCII Bytes
+colorimage
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+c5c5c5b1b1b1ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+b8ccb848bc4890ce90b9f7b999a299b9f7b9abd4abf8f8f8ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffdfdfdff1f1f1
+acacac66d86671f07171f071338133338833256425d8edd8e2eee2e7fce7eeefeeffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3b6b3b559855
+a1aca1f4f4f4e3e3e3ffffff41894159ed5959ed5959ed592b712b46bb46899189ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffbfbfbb5b5b5b5b5b5b5b5b5e4e4e4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffdfdfdcfcfcffefefe698f69a2f5a2
+a4e8a4afecaf2e572e56ad567b917be6fce6e6fce6e7fce775b87546ba4673b473addead9eb89e
+b6f6b6b8cdb8ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff9b9b9bb4b4b4dbdbdb484848ccccccffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfbfb1e521e83a483fafafaffffff
+fffffff5f7f545b84559ed5959ed5946bb46286b2850d650498a49bbf8bbbbf8bb8ebc8e3b9b3b
+348934517c51e5fce5deecdee1f2e1f9f9f9ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffff959595909090ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffdededefffffffbfcfb43b54351d9517dea7d629562
+67a2677bdf7b5797578cf38c8cf38c6fc06f46ba463da13d5b925be2e2e2fbfbfbc2c2c249c149
+5aed5a5aed5a5aed5a205420399739d8d8d8ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffb8b8b8727272fafafaffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffff7781777a907aededede7f1e7ebfdebebfdeb6c8e6c
+4fd84f348e347ec27ea5d2a5ade8ad8dc38d81c081a4f3a477be77759e75438343366a36bccfbc
+e6f9e6e7fce7e7fce73685363a963a9fe19f9dbb9da7d5a7b4f5b4cececeffffffffffffffffff
+fffffffffffffffffffffffff6f6f64a4a4ad8d8d8f8f8f89d9d9dffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffff79907957ed57579d57cde3cdb6b6b6dff7df6e8e6e
+75f07575f07575f0754d9e4d308230318531c8c8c8ffffffffffffadc3ad56e55659ed5959ed59
+2f7d2f39973956e6566b8e6bbef8bebef8be5f8d5f42aa423488348aa48abccebcccd7cccde2cd
+d8d8d8ffffffffffffffffffcecece9a9a9a9a9a9a9a9a9ab0b0b0ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffff989e9895a395d0d0d0a5b4a58df38d8df38d76cb7630833034903452ab52
+c8f9c8bcd8bcc8f9c890c69053e25349c74973e4735375536bb66b51975187e6878ff38f8ff38f
+4c8b4c54de5445b8457daf7dc2e4c2c5edc5648d645ced5c5ced5c5bed5b40a540368936338533
+bebebeffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffff7c907c4fdc4f48b54881c881a3d5a399b89992ce927ab57aa6f5a677c777
+a6f5a6285928389a38389938dae8daeefdeeeefdee3c873c49c3492f7f2fa9efa99ec49eaef0ae
+648d64a8f5a8a8f5a879c7797bb67b2c752c386338e7fce7e3f3e3e7fce7a1b0a151cf514cc44c
+90d490b1f2b19fc59fa3cfa3f4f4f4ffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffafafaff7f7f795a59576f07676f07676f07653a9533ca63c318931bcbcbcffffffffffff
+ffffff428a4250db50276c2797a697d1d8d1defcde4c8b4c78f07878f07878f078357335358e35
+3c733cffffffffffffffffffc3d2c352d6525aed5a5aed5a25612543af433fa53fa9d9a9c1f8c1
+c1f8c1acd484245a242b6d2bcde8cdc7ddc7bcc5bcd7f1d7c7c7c7ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff6ca16c549254c3f7c3c5f9c5b9d6b9c5f9c595cd954fdb4f49cc496de26d7beb7b578757
+7df17d508b508ff38f8ff38f4d884d3eac3e3eac3e76b076bfe7bfc0e9c0c6f9c667b76758ed58
+4bbe4b7ff17f537b5371cd715db05d7ccd7c93f39393f3933c893c4dc64d2e772eb3e4b3bad7ba
+c8f9c8b2d3873a923a5eee5e5eee5e4bbe4b327d3247b347a4a4a4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe0e0e0b0b4b0
+ffffff859f85a7f5a7a7f5a7a7f5a72d5e2d3594353aa23ad1dcd1f0fdf0f0fdf0e9f6e92b7a2b
+3088307b8c7bf2f8f2f5fef582918256ed5656ed5656ed5643b843286d2842b642578c57f1fdf1
+f1fdf1f1fdf14d8b4d41ad41266726d0d9d0f2f6f2f3faf34a8a4a5ced5c5ced5c5ced5c317d31
+35883544ae4490a090e5f8e5e7fbe7b9cab94ab84a47b24782c882b1f7b18c998ca2d1a2e7e7e7
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffbfbfbf38a038
+9faf9fefefefffffffffffffffffff498a494edf4e339033c5eec5a3b0a3d7eed7d5f6d555b455
+78f07878f078377537369936368436c1f8c1c1f8c1c1f8c196c09646bd4646bf464d7f4ddcfbdc
+9ea39edcfbdc578c577cf17c7cf17c7cf17c3e7d3e3a9b3a5f865fc3f8c3c3f8c3c3f8c36db16d
+5ded5d5ded5d5ded5d3e9e3e3a943a43ab4398c198c5f9c5c5f9c5c5f9c53b823b348034b7d4b7
+a5b3a5cfd6cfdefbdeb9bab9ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffeaeaeaeeeeeeffffffc8d8c84bd44b
+49d04967df6778f0784c724c70d8706f8e6fdafbdab9dbb9cbedcb64856436993640b7409b9b9b
+ffffffffffff7eb27e4eda4e337d33c2f8c2b7dab7c0f2c096c09646bd4657ed5757ed5757ed57
+266726369336708170ffffffffffffffffff7b907b54de545fd25f7ef17e5688567ae67a588c58
+dcfbdcc7d594b2d1b29ec49e4fc74f3a913aa1d4a1c4f3c4badbbac6f9c63e893e61ee6161ee61
+36833648ae4848b1487eb37ebee3bec1ebc1c7f9c7c8d6c8ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc3c3c3306f308c9a8cf4f4f4f2fbf2
+f3fef3f3fef3f3fef331863138a038718871eef3eef0f8f0f2fef2718f7151e7513fb43f6fae6f
+8da78da5eca5639463aaf6aa7cc77caaf6aa70a4702e802e276d27b9cdb9e3f3e3e4f6e4e6fce6
+38893853e25365bc65aaf6aa96be96a6eba6628d62adf6ad7fc87fadf6ad4c8d4c399239416a41
+f2fef2d8c69cf2fef2a4afa457d9575fee5f5fee5f58de5823582351ca51828f82f4fef4f4fef4
+7d907d62ee6262ee6262ee6248b0483072304cb94c648d64ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc3c3c342bf424fe34f5a925ac5e8c5
+9a9f9ad8fbd8d8fbd853ad5379f07979f0793b7d3b359b3548ce48428942c3f8c3c3f8c3a0cca0
+3497343393334a774affffffffffffffffffaec1ae51e25154ec5454ec542d802d37993750e250
+6d8e6dc5f9c5c5f9c5c5f9c54b754b379337417341ffffffffffffffffff6fb06f5ced5c5ced5c
+5ced5c26612644af443d9e3db5e2b5c7f9c7c7f9c7b9e8b93e993e46ac467da17dbdd6bdb0b0b0
+748d7485f28585f28585f28562b26254c7544fbd4f578557dcfbdc979797d6ecd6b4b8b4ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffb4b4b4a2a2a2d9d9d9c4ddc4dcfbdcdcfbdcdcfbdc
+276827308b3040b840909290ffffffffffff85b5854bde4b38a5383f863fb5ddb5baeeba9ccb9c
+3eb23e51ea514cc64c75f075486f486ad06a4b9a4bceeacec4e3c4c7e5c7728f7251e151349234
+76b076b8e2b8bae9bac0f8c062b66259ed594ec54e7af17a4c744c6dcc6d648d64defbdeb0cdb0
+defbde448a444ec74e2f782fb4eab4b4d3b4c3f9c3b6e8b63e993e61ee6160ee604ab74a3f993f
+3f823fc5f9c5c5f9c5b5d3b591b89154c75464ee6464ee6464ee643e933e4098406fa56fc6f9c6
+baddbac1eec1c0d4c0ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffa4a9a447cc4782a782effdefebf2ebecf6eceffdef
+3288324fe94f3fbb3f6ebf6e628c62a0e9a0619261abf6ababf6ababf6ab76a976287828319131
+b9bfb9f6fef6f6fef6f6fef64091403aa73a215f21dfeddfecf4eceffdef7b907b55ed5555ed55
+55ed553fb03f29712941b6415c8d5cf6fef6f6fef6f6fef64a8a4a42ad425a7b5af0fdf0ebf0eb
+edf8ed468a465eee5e5eee5e5eee5e327e3237893744ac4498aa98e4f4e4e7fbe7b2c2b250c050
+63ee6362ee6262ee62265b262c6b2cc4d7c4e8fce8e4f3e4e8fce83d8e3d65ee6565ee6565ee65
+4aac49397b354a6c46f5fef1f4fdf0f0f5edf0f6eefdfdfdffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffc3c3c3d8d8d8ffffffc2d5c279eb797bf17b7bf17b3f813f3499344ee24e
+6e8e6ec5f9c5c5f9c5c5f9c5487548319431407240ffffffffffffffffffbacfba4adc4a3fbc3f
+75dd7587eb876d9e6d8af28a54ac547cf17c7cf17c7cf17c367236359835398639c6f9c6c6f9c6
+c6f9c69dd39d4ed64e4acb4a59cd598ef38e6d976d8ef38e4c8b4c82f18282f18282f1823f7c3f
+3c9c3c658765c9f9c9c9f9c9c9f9c96caf6c60ee6060ee6060ee603d983d3d963d42a342a3c9a3
+cbf9cbcbf9cbcbf9cb4bab4b64ee6464ee6464ee642e6c2e53c653758f75ccf9ccccf9ccccf9cc
+9cc59877dc5f8bef6794ef678de462355525446e2fe9e9e9ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffa5a5a5439743809680ebebebffffffffffffffffff8090804ae14a319131
+74b274b2dfb2b5e9b5baf8ba4c8b4c4eec4e47c7476ff06f45714562ca624ca54cc5dfc5cbe8cb
+c4e1c4d4efd4246c243aae3a839183ffffffffffffffffff79b5794cdc4c378237bcf8bcafd4af
+bbf4bb8cb88c48c54857ed5757ed5756ed56276727348e34768376ffffffffffffffffff778f77
+58df5862d7627bf07b62b06265b7655b8c5be2fce2daf4dabbd5bb9dc29d55ce553c923ca4daa4
+aec8aeb6dab6c2f8c23c893c64ee6464ee6464ee644bb04b4bb04b81b681c4f8c4a2aaa2c4f8c4
+87ac875bd35b68ef6776ef6787e96474bb5180cd59a4ee8090ca725e7b5083b569b6b6b6ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffe7e7e7ffffffa5a5a54ada4a4ee64e61c3615e885e7f907f94cd945d8b5dadf6adadf6ad
+adf6ad7fb57f2572253cb53c5d8d5df8fef8f8fef8f8fef8428a4238ad38216521d1e3d1e8f2e8
+ebfdebe0f1e031933142c64265b96581c3816f8e6f9ce89c619161aff6afaff6afaff6af6b976b
+318a31369c36ced3cef9fef9f9fef9f9fef934883456e75668c068a5f5a55872589dde9d618d61
+b4f7b4a8df85b4f7b47bad7b43a643487148edfdededfbedeaf4ea99a4995de05d63ee6362ee62
+38883847a747398939849884e5f6e5e2ede2e8fce863916366ee6666ee6666ee663b843940893b
+31672cd3e2cee4ede2eaf6e6e4f2de5c944095ef6895ef6876be5372b75172b7509dcd85c6f6af
+555d51a6c3987b966df5f5f5ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff346434779777b8b8b8c6f3c6c8f9c8c8f9c8688e684dec4d39b03948c94878ca786ca46c
+85f08562b26266ca6670d17080d380b3f7b366946685f285478a477af17a7af17a7af17a387738
+30943046db467c9b7cc7f9c7c7f9c79dc59d359e353397334e774effffffffffffffffffaac3aa
+4fdf4f39a1397ce47c6fa66f7ac67a89f2894c8b4c84f28483f28383f2833f893f3da13d467246
+ffffffe9d4a8ffffffb4c3b45adf5a5fee5f5fee5f58de58276027378b37c1eac1cefaceceface
+6c8e6c65ee6565ee6565ee654bb04b367e3659d259578c57cffacfcffacfcffacf508b4982ef68
+92ef6895ef684d7c365a903f67a648899a80ddfacfddfacfb0c6a474ba5295ef6995ef6995ef69
+71b54f76bd537bc456b4f1959dcb8695bd8094b086ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa7a7a7ffffff
+ffffff3d893d4ce44c51d3516def6d49854958b258498a49e1fce1e1fce1b3cdb3a9bda933a133
+2d8c2d2f902fd6d6d6ffffffffffffffffff2067202c8b2c778377ffffffffffffffffff7fb78c
+47de5c3ab6507dbd92acd6bab4efc790c3a13eb93e4ee94e4bce4b6cef6c4373436cef6c429242
+d9f2d9c6e0c6cfe9cf6e8a6e41b4413fb43f919291ffffffffffffffffff71b8715bec5b53cc53
+77f07742663768cb684fa04fcfe5cfb6ceb6e4fce4d7f1d74ab34a378737b6efb6b6e2b6a7bca7
+658d6565ee6565ee6565ee6555c9555dd85d47a547599759c1f9c1aac1aab6ddb6488a4868ef68
+6eef6878ef684e893c96ef697fcb5997e172a8f282546c48557346b9c5b3e5f4dec7d6bfedfce6
+5b8a4396ef6996ef6996ef6970b34e588b3d475f3bffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3e833e608d60
+c8ccc8f8faf8fbfffbfbfffbfbfffb6e9b6e40c5402e652ee6f6e6e3eae3e8fde8aebdae50c450
+60eb764ab7619fefb64d605398ebb49bf3b9648e64acf2acc4ccc4d6d6d663826d96e4b05d8e69
+aef6b0aef6b1aef6c673a28229804638af5fc5c8c5fbfffbfbfffbfbfffb337d333398332e8b2e
+f5f5f5ffffffffffff7d907d56ed5645c14570c47074b074789c78a1f5a1638d63b6f7b6b6f7b6
+b6f7b640894045ae45276527d6e8d6e3eae3e8f6e8dbecdb4d9c4d6be46b74ee745bb95b419741
+386738e8fce8e8fce8e3f0e3acbcac66ca667af17a6ce36c7af17a4489434ea4487a8e74effde9
+e9f3e5e4ece27c8f72a3f17ca2f07a97e570a3f17c57893e86d55eacdd94c6f6ad65795ba9c999
+738967b0d89ccaf2b6d0f8bc9bb98c7cc5577ec05cc5f6acc5f6ac566050819c74dbdbdbffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff4fb44f50ec50
+3eb63e7eeb7e689e6876c87685f28554a9547df17d7df17d60b860267a3c34a13a39b139d2d2d2
+ffffffebebebf3f3f3287e442f9a5347e17b939393ffffffffffffd5d5d52d97512e9851437152
+ffffffffffffffffffa8a8a842d373257540c8c8c8ffffffffffffffffff45b3454adb4a41c341
+81ef81679b6780e7804c8b4c84f28484f28484f2845ead5e41ad41348e345e7c5effffffffffff
+ffffff488a485fee5f5eee5e5eee5e317a313f9c3f56d956a4a4a4e3e3e3fafafac4c4c452c052
+66ee6666ee6666ee66255625439b43d5d5d5ffffffdededeffffff7f907d7def6a8fef6a96ef6a
+68a54955873c58724bfffffffcfcfce2e2e2ffffff608b4a97ef6a97ef6a97ef6a72b55073b651
+8ac86c6aa74ba8e589738a687ba16894c979b3f392b3f392b3f3926cab4c69a749abe98bb6f496
+96c2807b966d84947cffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff526e52a6a6a6ffffffb3bfb3e4fce4
+e4fce4e4fce46286623ab13a319031548c54ffffffffffffcadad041d17141d170277e3e98ddaf
+a5ccb2b2f7c9b2f7c92a874943e1782b904d6ea9829cb1a3b1f7c894cea734ad5c46ea7c42ce71
+62ee913b6a4a57c97d419d5fd0e7d8caded1dfdfdf949a96468b5d5fda887c907fe4fce4bad2ba
+e0f8e05a835a329332345d34ffffffffffffffffffb6b6b64ccc4c56e75656d55670eb703e633e
+68d668778f77e7fce7c2d8c2dcf2dc7bb97b5de15d398b3988c388aed3aebaf2ba91bf9152c052
+66ee6666ee6666ee664db04d419441a8e0a8c0f8c0adcdadc0f8c0628d626aef6a6def6a74ef6a
+5ba54984d25e87d161a7f182a1e97e4f65437daf6483907cd9e6d2d7e5d0effde8768e6997ef6b
+97ef6b97ef6b97ef6b65a1485e9543badfa7d3f8c1b8cdaed3f8c157893d96ef6996ef6996ef69
+69a84a79c05486d15fa6f180a6f180648952678d53949892ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff438a434bd94b478a47dbf1dbdfe8df
+e4f4e4e6fce66a8e6a66ef6664e6644e924e729d727ead8176bb768fc8a2b0f6c8b0f6c8b0f6c8
+1a512c2987483fcd6f8f9290fefffefefffed8d9d8278b4827884732a85abbbcbcfefffefefffe
+fefffe39895432ac5a23753eeaeaeaffffffffffff8491884aea7f319b547e9987e3f4e8e3f6e9
+e5fced648d666aee6a55b455b5f7b550635089ba896fae6f9ed59eb7f7b7b7f7b7b3f2b33d9b3d
+3fa23f779277e5f6e5dfe6dfe8fce86f8f6f79f07976ee766ce36c4d994d368036378637cdcdcd
+fefffefefffefefffe418a4169ef6969ef6969ef693b7b3743893d496e42effde9dddfdce7efe3
+a6afa192d57196e271a6f1809ee77a5e934382cc5c8cbd73c4f6ab7f9f6f90a884647a59658b52
+4d733ac6ecb3d2f8bf598a4197ef6b97ef6b97ef6b4f7c3857893d919e8af0fde9f0fde9dde0dc
+a8b1a490d26e95e26fa5f17ea5f17e5c8a4494ee688fc674c3f6a980a26f8da68175836fffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff7aac7a83f2836cda6c3aa83a216021
+308f30339733497249e5e5e5f9f9f9e0e0e0a1a1a138b86226752bcececee0e0e0ffffffffffff
+39b26144eb7b3ccf6d5ad2816bc1886abb8567cd8957ae7478efa066ae7e9be3b3618a6f70d592
+78f0a0468a5c7af1a16bbd86a9f0c1749d8175e299468a5c7ef1a47ef1a47ef1a45fb77d267a42
+48e87e598c6affffffe0e0e0ffffff4c8b4c46c246266e26dbdbdbe0e0e0fffffffafbfa42a942
+5ded5d5ced5c4bc14b30763042a942558c55fffffffafafae5e5e5b2c7b262e56253c25383e583
+6ea06e70a3708ce68c558c5594f49494f49494f4945fa75787ef6b92ef6b97ef6b446b31609745
+456d31e1e1e1e0e0e0e0e0e0f4f4f45e944398ef6c98ef6c98ef6c79be567cc3596dab4e88c669
+67a04b5b744fade691688c56b5f496b5f496b5f49672a75797ef6b97ef6b97ef6b96ee6b3b5e2a
+466e31dededee0e0e0e0e0e0ffffff7f8f7795ef6895ef6895ef6878c05379c2557aba5ab3f493
+b3f4937c9b6c98c880adb1acffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffafc5ca4f7f8b5291a057b6cd30725e
+50ec504bdc4b4ad04a429a433f80495aca5a419741d8eddfdfe7e2f8f8f87f8681428a5a5bdb86
+809085e5fcede5fcede5fceda5b5aa2690492d9c52b8b8b8ffffffffffffffffff357a4c2ba152
+3bd06d7f9085ffffffffffffffffff6987732b954e33804dffffffffffffffffffc2c2c23ab462
+2f9551588d6afdfffefdfefdfdfffe4b8b4b55ed554cd54c67ea6739793953a85369e9698b978b
+e9fde9d6d79ebecebe4ab54a54cd544c914cbaf8ba96a096baf7ba769e7661df6168ee6868ee68
+3c893c60d9604295427cb77cbef8beabcdabbdf5bd568c566def6d70ef6d80ef6d55893e99ef6d
+8ad762a3ed7da7f1814b693b98db76959c91f1fdebf1fdebf1fdeb9ca3988dde6598ef6d98ef6d
+90e3676dab4e60964590b67dd2f8bfb7ceaccff3bd698c5898ef6d98ef6d98ef6d98ee6c578a3d
+87d760a0ed7aa4f17e4b6c3b678f536d8e5ceffde9effde9effce89da69989db5f95ef6895ef68
+95ef686cad4b70b44e8db579d0f8bdd0f8bdb4caa9c0ddb1ecececffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff9ee3f465d3ee65d3ee65d3ee3a6489
+bcbcdc7f91963b7b8b38758444d97636ab59206329d0dcd4deefe4e2fceb748f7d61ee904a9d66
+8d8f8ef4f4f4dbe6dfe1fceaa2b5a84ecb7843a062b8b8b8fefefedcede2e0fce9448a5b5ced8c
+49a367808782e6e6e6def3e5e0fce9668d7360ed8f386045fffffff0f0f0e1fae9b2d7be5ad483
+68ee9456dd8367ee941d583047e07a598c61b9f8b9b9f8b9b9f8b95b8c5b50cf503aa03a989898
+ffffffe9d4a8d0d0d04ab54a62ee6261ee6161ee613882383f983f348034efefefffffffffffff
+8391836aef6a6aef6a6aef6a6aef6a3f8d3f419041618261ffffffffffffffffff658b5299ef6d
+99ef6d99ef6d99ef6d6299475d90439daa96effce8d9dad8e6efe29aa3969ce07b97e073a8f284
+99dc78659f4898ef6d98ef6d98ef6d659f4857893e657e59effce8effce8dee2dceaf6e5618b4b
+9be576a2ec7ca7f28275b45596ef6996ef6996ef698fe3643d622b53843ac2e4b0d3f8c0d3f8c0
+d3f8c06b8c5a94ef6794ef6794ef6794ef67335324508138d4d4d4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee3f7e94
+468ca563cee865d3ee41899a77df9a70e0953ebb731f62372c934e319e553c8654ffffffffffff
+e2e2e2bbbbbb2180412481432fa858dadadaf5f5f5ecececfbfbfb15542a38d76d7c9083ffffff
+ffffffe2e2e2646e671963323ae4734b8b61ffffffe2e2e2ffffffa0a0a02a954e32b25dd0d0d0
+ffffffe2e2e2ffffff2f804a339a55738479ffffffffffffffffff89bb895aed5a4fd04f6bd66b
+71bb716db45c6dc56d6fb96f92f39292f39292f39251b55161e1614baf4b8bef8b7ecb7e74b274
+538c5398f49898f49898f49898f49874ba6d83e46983c263b4f3957b9a6c8eb87a698c57b8f49a
+b8f49ab8f49ab8f49a71a6579aef6f9aef6f9aef6f446a3261974741652fecececd1d1d1efefef
+e8e8e8659f4898ef6d98ef6d98ef6d6ca94d95ea6b98ef6d98ef6d98ef6d4c7736629a46939393
+ebebebd5d5d5ffffff718d6396ef6996ef6996ef6992e8666daf4c6daf4cacee8bb1f3908ab475
+83a970678c54b5f495b5f495b5f495b5f49570b44f78c253a4e784b0f38f93c37b728e648daa7f
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee65d3ee
+65d3ee65d3ee65d3ee41899a7f85864f8b9a5dc3dc0d221c44eb7b3dd46f32894fa2dbb5a3deb7
+aaf6c37db58f31c462238d460e371c91e1ac9ac6a9a6f5c0a3f1bd1e854124994b77877cf9fdfb
+f9fdfafafefb698e762bb15816572c42694ffafefbfafefbfafefb9da29f39c9691d6836ccd0cd
+f9fcfafafefbfafefb40b3664de47f63b57eaff6c79fc7acaff5c6588c625fed5f5fed5f5fed5f
+42a4423e993e2c702cbfc3bffbfffbfafcfafbfffb478a4767ef6767ef6767ef674fb84f408e40
+365d36fbfffbfbfffbfafcfafbfffb9496946feb6c80ef6e95ef6e58893f80c65c86ae72d2f8be
+bcd7afabbda2d0f6bd678c559def739def739def73598a409af0708cd965a4f07f81bc65506f41
+7eb4639ac884c5f6ad8b9c82c2f1aa76946897e96e9bef719bef719bef7158893f90e36697e471
+a4f17e415d336e9c5778916bf0fde9f0fde9eefae8e4f0dd5d954195ef6995ef6895ef6876be52
+7ac555699653cff8bacff8baa3b19cc1e2b158894096ee6a96ee6a96ee6a6dad4d75be505e8c47
+cef7b9cef7b9a8b99fbbd9acb3c9a7ffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee4b9db1
+65d3ee65d3ee65d3ee57b5cd62cde765d3ee65d3ee414d8597daad65af84318c65286f531d743a
+2fa7572ea05494cfa8b0f7c8b0f7c8b0f6c8071f0f318e5038e170679175aef6c6aef6c68fcaa3
+1b783a34e56f36885293f3b351c5785bed8b5bed8b41ad6589e4a862bb805fe68c58e3875be589
+327d4b34b96142ea7a678e74b9f7ceb9f7ceb9f7cd44704a38a353498a5effffffffffffffffff
+baccba5ade5a60ee6060ee6060ee602f742f50c550688e68c2f9c2c2f9c2c2f9c295bf9557c057
+6cef6c6cef6c6cef6c25522551b3513d863dc2f4c2c5f9c5c5f9c56b8d659bf0709bf0709bf070
+6ba64e6da8505b8c426f8663eefce6dde3dae7f3e2688c57acf3899ce379a8ef8686bd6b7abe58
+9af0709af0709af070527f3b5b8e4240632ee8f7e0e6f1e1d3d3d3edfce6758e69aaf28597df73
+aaf28659894197ef6b97ef6b97ef6b97ef6b41682e73b651859b7ad5f9c3d5f9c3d5f9c3889f7d
+8adf6094ef6794ef6794ef6755893b629e448d9e84ecfce4ecfce4d6d9d5acb7a68ccc6c93de6d
+a6f180a6f1805c8a4566a7463f632decfce4ecfce4d6d9d5ecfce4e7ebe6ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffb9ebf765d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee2c355f5395a555b2c965d3ee41649930c160
+30be5f2baa5561e58d4f7a5d93deacabf6c4197d3a4c8c61256b3d979797ffffffffffffd1d1d1
+1d9c471b793a468a5dffffffffffffffffffffffff344d3d1d783b239248f1f1f1f0f0f0f3f3f3
+7e908438b86334b9618e928fffffffffffffffffff628d624dd34d3c6041fffffffdfdfddedede
+aeaeae56d45661ee6161ee6160ee603989394db24d838983ffffffe1e1e1fafafac4c4c457c057
+6cef6c6cef6c6cef6c68b5547dc65d80cd5fb3f393759266ade88f688c56bbf59ebbf59ebbf59e
+82a96d8ad4649cf0729cf0729cf072527e3c609447848882ffffffcbcbcbf4f4f4c6c6c67abe58
+9aef6f9aef6f9af0705889409aef6f9aef6f9aef6f71af516096455b8d4167775effffffc1c1c1
+ffffff648b5097ef6b97ef6b97ef6b97ef6b72b55074b95198db77b0f38fa9e78a69815d678b54
+aae48eb6f498b6f498b6f498608b4b94ee6694ee6694ee6694ee663d622a3d632ad8d8d8e4e4e4
+e7e7e7f4f4f481907a92ee6492ee6492ee6492ee64426b2d578d3b6d7c66ffffffffffffffffff
+f9f9f9e2e2e2ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffff4fcfe65d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee65d3ee0f1f2365d3ee65d3ee65d3ee4d72b58fa198
+3c87884aa4abc1d3cd1b42285358554bae6c8295889eeab782d89f80d79d435d4c468c5d80c497
+64b68074a9852a6b409bf4b993c5a49bf1b79bf4b92eaf591e7f3e104421e9f1ecf5faf7f6fef9
+7a908147eb7e37b8626cb9869fd8b2a2e0b7a8f6c2608d67a5f5af76bd8bb7f7ccb2f2c82d623e
+45a064c1bb87effdefeffdefeffdef6e8e6e68ef686ae56a77f1774c994c4b8a4b5ab55ac1ccc1
+f0fdf0f0fdf0f0fdf0458a4481f07096f0709bf0705887406195484d6442fbfef9fbfef9f8faf7
+aeb0ac8ad4649cf0729cf0729cf072598a429cf0739ae675a6f2826ea0565d824b4f6f40c0cbbb
+f0fdeaecf6e7effbe95c8a459aef6f9aef6f9aef6f71af5181c95d97ec6c91de6aa4f17d547b41
+628b4e7a8774f0fde9f0fde9eaf4e5f0fde96c8c5c96ef6996ef6996ef6990e6656cae4c5a913f
+c4eeafcdf7b8b3cda6c4e9b2748e67c6f6ae98c87fc6f6aec6f6ae55893b8fe7629aec719ef075
+72ae55537940506645effce8effce8effce8ecf8e65e8a478fe9618cde629df0739df0739df073
+92df6ba4a4a4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee4fa5ba60c9e365d3ee65d3ee0f1f2365d3ee65d3ee65d3ee65a4ee55b1c7
+65d3ee65b6ee6565ee578a6a33bc6632a45b55ec8841c46d569f6f70c78d37a95da1aba4366b48
+64c18383efa781e1a183f1a81c542f4b8a6029de665d8c6db2f7c9b2f7c9b2f7c9457f5933e16d
+2d874bb9f7ceb9f7ceb9f7ce86b49527774240d7725d8d6dfffffffffffffffffff9f9f9337e33
+2a6e33b8c283ddf3ddd4ddd4e0fce06e8e6e85f28570dd7084f284549a5464d864367736bbd4bb
+d8e4d8d4dad4e3fce3538c538bf38b77df779df28a79b25c9df0749df0749df0749bed723b5a2c
+588641bfdcb1d9f9c9d9f9c9d9f9c9718d639cf0739cf0739cf0737abc5a95e56d9cf0729cf072
+9cf0724b74375b8c42799c68c5f6adc5f6adaccf9a90b47f91cc74acf28a98dd75acf28a608a4a
+98ef6c98ef6c98ef6c98ef6c3c5f2a6dab4d658156d7f9c6d7f9c6d7f9c6c9e9b95f994295ef68
+95ef6895ef685d9541568b3c617e53ebfce2ebfce2d7ddd5e6f4df628b4d9ae475a0ea7ba8f182
+87c66886da5c92ee6492ee6492ee6492ee644b7a33708964d5f8c3d5f8c3d5f8c3d5f8c3d5f8c3
+669f49a4a4a4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a7989
+65d3ee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee0f1f2365d3ee65d3ee65d3ee436d9e57b7ce
+65d3ee5cadd96060e1364b5258a7ba7c8c90ffffffb3b3b34f6c5954675b84b69594dbac1bd158
+1ee6611ee360279b4db6e5c622834240925b63866f878a88ffffffffffffffffff60806a24964a
+34854fffffffffffffffffffbababa44c7702a87495d8d6dfffffffffffffffffff9f9f9398e39
+5fee5f5eee5e4dc24d357b353e973e568c56ffffffe5e5e5ffffffa2a2a267e0676eef6e6eef6e
+3d843d53ac534492449db29de8e8e8d8d8d8fefefe778e6c9df0749df0749df0749cee7373ae56
+7ab75aaeec8fb6f4966c8460789769556d49bdf5a2b8f09d9ed5837a9e6991df6a9cf0729cf072
+9cf072598a419cf0719bf0719bf0719bf07141652f41652fd7d7d7ffffffcdcdcdf3f3f383907c
+98ef6c98ef6c98ef6c98ef6c57893d81cd5b87ca65b0f38db0f38d6d895ea0dc81769c63b9f49b
+b9f49bb9f49b7499618ce36294ef6794ef6794ef674c7a355f99428f908eefefeff6f6f6dadada
+b5b5b57ecd5692ee6492ee6492ee6492ee64497732838a7fffffffffffffffffffffffffe1e1e1
+939d8fa4a4a4ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a6689
+65bbee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee101f2368d4ee65d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c860cae564d3ee4050897373ef5151a9c1c9c417893d19de5a19e05b0f8335
+65d088adecc149574d43a162718d7bcaf5d840bc692de06836e9724c94649df4ba5f8d6e39e271
+213829f3fef7f2f8f4f3fef7b1b9b443c77048d5774d9e69a9f6c394b59f9ed5b0a5f0be679367
+8bd48b97d5778dc98d4fb54f62e162509650b6f7b68d998db3f2b3749d74a9e7a99bde9b9fe29f
+618d6184f07494e870a0f07a7ab25f53744384be67758e69f6fef3f6fef3f6fef3f3faf05d8d45
+9ff0769ff0769ff0765b8a4498e67295df71a7f1839ee47c435d35445f36e0ebdaf1fdeaedf8e8
+f0fcea768e6a9cf0719cf0719cf0719bf071588a4096ea6d9fee79a3f17d77b15b547942516746
+f0fde9f0fde9ecf7e7f0fde9618b4b97ef6a97ef6a97ef6a97ef6a6cad4c598e3f9cc887ccf7b6
+c6eeb2adc6a07d9871beeaa89ac882c8f7b1c8f7b1658b528ee56292e5699def739def73517b3c
+456634cfdcc9effce8effce8ebf6e6effce86b8c5b91e6669cef719cef719bef7098ea6f659c49
+eaeaeaf7f7f7ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffbfeff65d3ee65d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee1c232599e2f465d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c864d2ee64d3ee3a4a896666ee4848a73a8e6025cc6649e97e47e77c34d469
+5da976bbbbbb375a4f9fada84a95707feeb17cdba37feeb165cc913472491da249378852b6f7cc
+b6f7ccb6f7cc2d603e33d26829aa54a2d2b2bff8d2bff8d2bff8d25e8d6e41a9643bb062989898
+ffffffe9d4a8d0d0d050b55069ef6968ef6868ef683e843e469a46357935efefefffffffffffff
+84918474f0747af0748cf07471b15686c9647ebd5e6a845eebfce3aab1a7cacacad6ddd2698f56
+b3f392b3f392b3f392608a4b9ff0769ff0769ff07799e7727ab85b9ff0769ff0769ff07664974a
+689d4d5e7b50dbf9cbdbf9cbdbf9cbdbf9cb5a8a439af0709af0709af0707ec55c8bd96399ef6d
+99ef6d99ef6d4d7837629a46728866d9f9c8d9f9c8d9f9c8d9f9c8658b5295ef6995ef6995ef69
+89dc613d632b426b2edef1d5e9fce0e9fce0a0a39f758e69a9f286a9f286a9f286a9f2855e8a48
+92ee6492ee6492ee6492ee6452863867a846627f53d7f9c6d7f9c6d7f9c6d4f4c4819e724b7b33
+ebebebffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffeffff95e1f365d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5dc3dc65d3ee65d3ee1c232599e2f465d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c8438b9f64d3ee3a4a896666ee5f72df58a1d16183d88888f28383ea4a5954
+49d2a418ae7c32ac831eaa7b14b37e18dc9b0f886095e2c89ebfb41581395b7d66456f53ffffff
+ffffffffffff488a5e2ea054239147d8d8d8ffffffffffffffffff89bb9a5bed8c49bf7068da8e
+68b68264af7167c48678ba789ef59e9ef59e9ef59e5ab65a6de56d59bb598df08d62906278be78
+558c55a5f5a5a5f5a5a5f5a57eb57a86c964a0f078a0f078a0f0785782417ebc608dd36b9fdd81
+b6f498627657a0d2876c8c5cc1f5a7c1f5a7c1f5a7b6e79d65984b9ff0769ff0769ff0767dbd5d
+87cd6389c968b3f392b3f39285ae70a7e18971ae539bf0719bf07183cc5f6fac5183cd5e99ef6e
+99ef6e99ef6d57893e8ddf6490d46daef38baef38b5d73529ad37d688c56bbf59ebbf59ebbf59e
+ace191619c4394ef6794ef6794ef6794ef67568b3c698f56d9f9c9d9f9c9cae2bfd1ecc3728d65
+92ee6492ee6492ee6492ee646eb44b7fcf5684cc5faaf285aaf285aaf285a4e781aaaaaaa1a1a1
+f2f2f2ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffa3e5f565d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5dacdc65d3ee65d3ee1b222495def365d3ee65d3ee21444d53aec4
+65d3ee4a9baf5555c839788964d3ee3a4a896666ee657eee64b7ee4f71bb6666ee6363e6363636
+11584018de9c18dd9c18dd9c1586606acaaa399476919d996bb19975c28f5088652a694490f3cd
+8cc2a1a3f5be3fb26642dc761a6132ccd9d0f1fdf5eff6f1f1fdf5738f7c5ded8d5ced8c5bed8b
+3ea25f469e48389255c2c2c2ffffffffffffffffff4c8b4c72f07272f07272f072478e4563bf60
+3f623cf8fef5f8fef5f3f6f1b7bbb586c964a0f078a0f078a0f0785c8a45a2f17ba2f17ba2f17b
+a2f17b5d8a4674ac587ea669d1f8bda1b198b7d2a9c3e8b1839d76a9d194c7f0b3cff8bb839c76
+95e26d9ef0749ef0749ef0745f91469cf0729cf0729cf0729cf072395829436831cfdbc9f0fdea
+edf7e7effae97b8f7197ef6b97ef6b97ef6b97ef6b56883c6aa94a79a862caf7b4badea99bab92
+b4daa184a275a1ce8bc4f1aecaf7b3caf7b35b904093ee6693ee6693ee666bad4a4774314b663d
+effce8effce8e8f2e4ecf8e687908292ee6392ee6392ee6392ee638de6608ae15ea0a0a0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffa3e5f565d3ee65d3ee3a6489
+65b9ee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f152365aeee65d3ee65d3ee21444d7ebac9
+65d3ee4a9baf5555c839788964d3ee65758d6666ee525bc05ca8da3a5c896666ee6363e617504c
+38cf9d18dd9c18dd9c18dd9c17d8992e6f5a265a48ededed55726981c4ad78f0c853ecb953ecb9
+3c836ccbe9df4f8b666eef996eef996cef986cef982b6b4139c6683a8954c6f9d7c6f9d7c6f9d7
+87aa935fd55f4ba94baeccaed7f3d7a2a8a2defbde598c5991f39191f39191f39169af6095f179
+a1f179a1f179a1f17938532a527b3eb9d1aedefad0defad0defad0768e6ba2f17ba2f17ba2f17b
+a2f17b5d8a47a3f17ba3f17ba3f17b5d8a4677b0595b8745a2b399eafce19a9c9ac6c6c68c9489
+a9e58bb4f393b4f393b4f393618b4c9cf0729cf0729cf0729cf0726fad509aef6f9aef6f9aef6f
+6ca84e4d7837557545dbf9cbdbf9cbdbf9cbdbf9cb5d8a4696ef6996ef6996ef6976bc53629e44
+578b3ca3b799e7fbdde7fbdda3a99fe1f2d9648b51abf288abf288abf2887cb0637cca5592ee64
+92ee6492ee644c7b345f9c41446c30d9f9c8d9f9c8d9f9c8d9f9c89fb1956bab4aa0a0a0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffe3e3e3444444
+a4a4a4ffffff7b7b7bd0d0d0ffffffffffffffffffffffffffffffa3e5f565d3ee65d3ee3a6489
+6594ee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f152365aeee65d3ee65d3ee21444d95c1cb
+65d3ee4a9baf6d6dca39788964d3ee7b8c906666ee4848a7579fcf3a5c896666ee6468eb2bb19e
+2ca8a536b2bb36b2bb28a49c21da9d22d89c2acb965beabd40927f54e3b457e0b343c09668e0b8
+296a541279576d8e83ffffffffffffffffffffffff638d713fac63396548ffffffffffffffffff
+aeaeae5fd55f6aef6a6aef6a64e264366e3650b250879187ffffffffffffffffff738f7379f179
+82f17996f179a1f1797db65f8ecf6cafeb90b7f4986c855f7999696b8c5ac4f6acc4f6acc4f6ac
+c4f6ac618b4ca3f17ba3f17ba3f17b5d8a46a2f17aa2f17aa2f17aa2f17a699d4f7fbf608ed46a
+b0f09095c67d67815a98c97f6a8c59c1f6a6c1f6a6c1f6a6c1f6a65989409aef6f9aef6f9aef6f
+7fc65c8cdd6482c75fadf28aadf28a6d8f5d85b46d6b8c5abdf5a1bdf5a1bdf5a195c17e74bc51
+94ef6794ef6794ef6794ef6765a3465b923e8eb07cd7f9c6d7f9c6c0d3b69cb5907cca5592ee64
+92ee6492ee6454893988df5d75bf50a7f183a7f183a7f183a7f18393a58bcacacac3c3c3ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3f3f3
+242424d1d1d1999999ffffffffffffffffffffffffffffffffffffa9e6f565d3ee65d3ee3a6489
+658aee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f1523a3bff565d3ee65d3ee21444d95c1cb
+65d3ee4a9baf9696cf5c818c64d3ee7b8c906666ee4848a7579fcf3a5c896666ee6669ee5195c3
+4e4eb46868ef6868ef44449d1c785936e9ae36e9ae32e8d725b1b02bbc8c1ecc932b8668e5faf3
+247a5e0f4c386a7a74ffffffffffffffffffffffff71b88957ec894eb872a6f5c186968ba3ecbc
+72a78498c677a4e3a49ddd9db0f0b060bd6064c7647dbb7dacddac93aa93b9f6b96c8e6cbef8be
+90ca90bff8bec7f8be608a4aa5f17ea5f17ea5f17e7db6619fe67b6c9558d1f8bed0f6bd8a9187
+a0b1987b976dcbf7b497c182c2ebae6c8d5ca2f17aa2f17aa2f17aa2f17a5c8a45a0f078a0f078
+a0f0787ab75c7cbd5c76b35773a05dccf7b7a1b697899185a5bb9a779667a6d78eafdd99c5f6ac
+8aad7985d05e98ef6c98ef6c98ef6c57893d7dc85889b871c9f7b1c9f7b18b958693b184a0c28f
+c3efada6d290cbf7b6cbf7b66a915793ee6593ee6593ee6593ee65375a2641692cccd9c6effce8
+ebf6e5e7f0e37a8f7091ee6391ee6391ee6391ee6390ed638ce65f788e6dffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+bababa535353f2f2f2ffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+658aee65d3ee65d3ee41899a5d94dc65d3ee65d3ee0f1523a7c1f565d3ee65d3ee21444d95c1cb
+65d3ee4a9baf9696cf7b8a9064d3ee7b8c906666ee4848a7579fcf3a5c896666ee6567ec4884ad
+4e4eb46868ef6868ef44449d53786c36e9ae34e9c230e8e728c0c0179f7517cf9239896ef4f4f4
+2786672cbc8c69706effffffffffffffffffffffff638d7158ed8a56ec8854ec873c875541995e
+349354cdb88cfffffffffffff1f1f14c974c79f1797af17a60bd6058a2584b904b5b7a5bffffff
+ffffffffffffffffff628b4ca5f17ea5f17ea5f17e5f8a49a7f181a6f181a6f181a5ef8079af5e
+a7f181a7f181a7f18171a357648547657d4bd3f7b4d3f7b486a472c9eaad6b8c59b7f498b7f498
+b7f4988bba7480c35f9ef0759df0749df0745a8a429bf0709bf0709bf0709bf0705989405d9043
+53803cc0dab3ddfaceddfaceddface728d6496ef6996ef6996ef6996ef6952843955893bbcd2b1
+e5fbdbe5fbdbafbda9cfdac9768e6aadf28aadf28aadf28aadf28a69ab4892ee6492ee6492ee64
+68a9474e7f35517340daf9cbdaf9cbdaf9cbdaf9cbd8f6c9859f78708167ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+dedede464646ffffffffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+658aee65d3ee65d3ee41899a5d6edc65d3ee65d3ee0f15238da7f265d3ee65d3ee21444d608bc5
+65d3ee4a9baf9696cf7b8a9064d3ee7b8c906666ee4848a7579fcf3a5c896666ee6363e62a4e65
+4e4eb46868ef6868ef44449dc6c8c724a48e30e8e630e8e830e8e8598a86688a7f738e8545a082
+778f87dafbf0b6bcbaffffffc7c7c749a98957ecbb598c78e0fce9b2cdbbdffbe94e8b626de896
+3e8a57a9cd92b5d2bfc8f9d8bdeccc4c974c79f17979f1795fbd5f7abf68a0ee8294d076b9f49b
+779668769467ade492879182d2e0cadcebd5eefce7758e68a7f181a7f181a6f181a4ee7f628e4c
+a7f282a7f181a7f18171a357a2d872c6f17fcbf17fcbf17f8ea9587f974e9faf80ebfaccebfacc
+a8aaa3b3be9c80c35f9ef0759ef0759ef0755a8a429bf0719bf0719bf0709bf07075b55494e869
+7cc258a5ec81abf28785b56c6889586e8d5eebfce3bdceb5ebfce3ebfce35c8a4594ef6794ef67
+94ef6794ef6772b84f629f43689153d5f8c3d5f8c3bdd1b3d5f8c355893b92ee6492ee6492ee64
+68a9477dcd557dc958a6f180a6f180a6f180a6f180a1e97da6a6a6b1b1b1ffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+b4b4b43c3c3cc0c0c0ffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+6586ee65d2ee65d3ee41899a5d65dc65d3ee65d3ee0f1523657fee65d3ee65d3ee21444d8e90cb
+69d4ee4a9baf9696cf7b8a9064d3ee7c8c908989f24848a796bdd652748b8c8cf26363e62a4e65
+5555b56868ef6868ef44449dd2e0e028c1c130e8e830e8e830e8e821919170827c458f773e7e68
+89908effffffffffffffffffbababa36997825b284578c7affffffffffffffffff528c6570f09a
+70f09a70f09a3a774b51a46669e1909da09dfafefafafefac4c7c469bf688ff284a6f284a9f284
+618b4ca7ec856e9c589cc289bfddb0899186939e8d7f9972cdf7b894ba81c0e5adcaf4b5628e4c
+a7f282a7f282a7f28271a35795d873a7f180b9f17fc9f17f788e4acaf17ccaf17bcaf17bcaf17b
+687c3e718743c8e09bdef6b0c3d6a0858c7b5f6a53caf6aecaf6ae90b978c4efaa748d6398ef6d
+98ef6d98ef6d98ef6c68a44a80cc5a68994fc7f6afc7f6af98ac8eaccb9c748c68b6e0a1b6e0a1
+cdf8b8cdf8b8829e758ce26093ee6593ee6593ee654b79335489398d9986effce8effce8e6eee2
+a5aca27dcd5591ee6391ee6391ee6391ee638ae35e8be45f9d9d9dffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+6565ee65c9ee65d3ee41899a5d65dc65d3ee65d3ee0f15236e82ef6dd5ef65d3ee21444d9090cb
+69d4ee4a9baf9696cf8a8e9183dcf17c8c90a7a7f54848a799bed653758b8e8ef26363e62a4e65
+8f8fbb6868ef6868ef4959b149dddd30e8e830e8e830e8e830e8e82acccc27413a17bd866c7572
+8b8b8bffffffffffffffffffbababa47c79c2e9874537b6effffffffffffffffff528c6571f09b
+71f09b70f09a458a567dd97d4b975ea0a0a0ffffffffffffc8c8c868bf6884f28487f28496f284
+618b4cadf28aabf288abf2888dc77099d77aacf289acf289acf2895e8048839d596b8a4e94ab7b
+d7f8b9627f4ca2ba966e7e66a9db90bdf5a0bdf5a0c3f5a0798c54caf17ccaf17ccaf17ccaf17b
+738a44c8f077c8f076c8f07696b358a3c65ec5f071c5f071c5f071687f3b809d48546731defad1
+defad1defad1defad199ac8f85d45d96ef6996ef6996ef6956893c70b44d88a27be4fbd8e4fbd8
+929491d7e6cf8e9d87a6e685aff28caff28caff28c71aa5392ee6392ee6392ee6392ee634d7e34
+40682bbed7b1dcfacddcfacddcfacddcfacda6b79d6997539d9d9dffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffe4f7fc65d3ee65d3ee3a6489
+6565ee65c9ee65d3ee41899a5d65dc65d3ee65d3ee0f15238989f282dbf165d3ee21444d9090cb
+69d4ee4a9bafcbcbd592929291e0f37c8c90a7a7f54848a799bed653758b8e8ef26363e62a4e65
+8f8fbb6868ef6868ef4752abcae9e9dcfbfbdcfbfbdcfbfb81a1a1dcfbfb4c5150d8fbef97bdbb
+29a89941e7de389b9b9cf0d473b29d44c79b4ce6b34bcfa369edc14374646aeec2758f83e7fcee
+c4dacbc9cd9a8dbb908df38d81df8190e590a0f5a0546d54699d69b9c8b9eafdeabccebceafdea
+83907dadf28aadf28aacf2897eb36491cb74adf38aacf289acf289688b4fcff289cff288cff288
+cff288758a4cabc96eabc96ed2f095b6ce856a7653a8bf7aa0b673e1f7b5adc183a1ab8de1f7b5
+748a48c8f077c8f077c8f07796b359a4c65ec6f072c6f072c5f071718a40bae367a2c65acdf285
+cdf2855b704a758f58788d50d2e0cbbfceb7edfce5edfce5768e6a94ee6694ee6694ee6694ee66
+477431619e4266a546cbf0b9d3f8c1bcd3b1d1f5bf688c5692ee6392ee6392ee6392ee63548939
+8ae25d9eeb77a4f17da4f17da4f17da4f17d8ea184e6e6e6c4c4c4ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffeffff8bdef265d3ee3a6489
+6565ee65c9ee65d3ee41899a5d65dc65d3ee65d3ee0f15238989f282dbf165d3ee21444d9090cb
+69d4ee4a9bafd6d6d692929291e0f37c8c90a7a7f54848a799bed653758b8e8ef26363e66b6c6d
+8f8fbb6868ef6868ef4a4ba7dbdeeaeef1fdeef1fde8eaf0545559b7cbcb798f8f82efef80efef
+7cefef7cefef206c6978b5b55eaeae97d0bdb2f6dfb2f6dfadf4dd417a543d9d767b8c86ffffff
+ffffffe9d4a87d907d8cf38c8cf38c8df38d8df38d5f8c5980af70c1e1b1d9f9c96d7966b7cdac
+7b8e73daf9cadaf9cadaf9caa1b89591cb74adf38badf38bacf289688b4fcff28acff28acff288
+cff288768b4ecef286cef285cef285a7c46c9cb862cbf17fcbf17fcbf17fc2e7798ba753738a44
+a9bf7bdff6b195a573858c79929f77bcd192def6aed8eeaad0e5a67c8c5bc4ef6cc4ef6cc4ef6c
+c3ef6c5c893ca6ec677ca046d0e99fddf6ac97a77597a583738261cff7bacff7bacff7bacff7ba
+58893f92ee6492ee6492ee6492ee64609d42518537607953effce8effce8eaf4e5e4ebe17c8f72
+91ee6291ee6291ee6291ee6289e15d91ee62768e6affffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8cdef265d3ee3a6489
+6565ee65c9ee65d3ee41899a5d60dc65b8ee65d3ee0f15237f7ff17ad3f065d3ee21444d8080c9
+7ad8f04a9bafd6d6d692929291e0f37c8c90a7a7f54848a7abc6d853758b8e8ef26363e66d6d6d
+8f8fbb6868ef6868ef6d76ef7890f07890f07890f045538a525a7c3598981ec9c923e7e723e7e7
+23e7e732e9e935a59016837b12a4a4d8d8d8fffffffffffffdfefe5fb77c71db9478cb9494d9ab
+7fae8e9ce8a45f8d6aabf6ababf6ababf6abacf6ac5c8d5baff59dbaf59dbaf59d8cb9768bb976
+a0d188cdf7b9cdf7b97c8b7473866aa3ce8ec3f6abc3f6abc3f6ab728d5dcff28acff28acff28a
+cff289768b4ecef287cef287cef286a7c46c9cb863ccf181cbf180cbf17fbcdf76829c4ec9f178
+c8f077c8f07792b056c0e96ec5f070c5f070c5f07090b05269803a5f6e40edfad3edfad3edfad3
+edfad3618b4995ef689fef68abef68b8ef6897c25476be5176b556b4f394b4f3947f9f709aca82
+658b52b0f38eb0f38eb0f38eb0f38e7cb0628de86091ee6291ee6291ee6269ad474e80344d6e3c
+defad0defad0defad0defad0c8d8c070935e6c7e64ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8cdef265d3ee3a6489
+6565ee65c9ee65d3ee41899a5d5ddc65acee65d3ee0f15236565ee65beee65d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292ade8f67c8c90dedefb4848a7dbddde53758ba9a9f56363e66d6d6d
+8f8fbb6868ef6868ef6d76ef7890f07890f07890f045538a636c8d68939322e2e223e7e723e7e7
+2de8e8c8f9f94b8b7633a4840f8787d8d8d8fffffffffffffdfdfd4a8c617df1a47bf1a266c886
+60866d62bb7f5f8d6effffffffffffffffffffffff628d629ef59dabf59db9f59d6b8c5bbaf59e
+b8f49bb8f49bb8f49b8da464b3ce7dd4ef9edbf6a59aac777f8d64a4b87be5f8bee2f5bc6e765f
+e5f8be798c54cef287cef287cef287a7c46d9cb863ccf181ccf181ccf180bcdf76829c4ec9f179
+c9f179c8f0777b9449bee66dc6f072c6f071c5f07090b052a4c95aabd05fccf181ccf181798c54
+7a8d547a8372effde8cddac6e2f0dbf0fde8a5a99b85d75b93ee6593ee6593ee6569ab486db24a
+89b176d1f8bed1f8becbeebabdd7b07f97748ce55e91ee6291ee6291ee6269ad477aca527fcf58
+a1f179a1f179a1f179a1f179709b5af8f8f8b6b6b6ffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8cdef265d3ee3a6489
+6565ee659bee65d3ee41899a5d5ddc65acee65d3ee0f15236565ee8ac9f265d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292d3f3fa7c8c90e8e8fc4848a7dbddde53758bcfcffa6363e66d6d6d
+c0c0c07777f16868ef565ac17289e57890f07890f0121624636c8dd6d6d620abab23e7e722e4e7
+297c86ffffff4b8b7945d3ab0c5c5cc1d5d5e1eeeee5fcfce3fafa4b8c6181f1a780f1a668c888
+87b89590c59f57745df4fef4f3fcf3e0e2e0f4fef4618d619df59d9df59da5f59d6a8d5bbcf5a0
+bbf59fb8f49cb8f49b7a8c59d4f496d4f494d4f4947a8d55d2f391d2f390d2f390cff08e6b7d48
+778b50a8bc81e4f8bc9ba880697c43758a4ab7d874ccf18163763e738a45738a44aacc65c8f078
+b9de6f566732758d45d6eda7def6add3e9a7d2e7a6a2b47fa4c95ac3ef6bc3ef6bc3ef6a70893c
+c0ed65a9c571dcf5a8dcf5a8d5eea35f6552656c58b7e197c7f5a6beeaa2c5f3a5678c5191ee63
+91ee6391ee6391ee6385da5b3e662a3b6028e7f5e0effce8effce8dde0dcadb7a87aca5290ee61
+90ee6190ee618de95f8be55d55893cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fe4f465d3ee3a6489
+6565ee659aee65d3ee41899a5d5ddc65acee65d3ee0f15236565eea7d1f565d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292d3f3fa7c8c90e8e8fc4848a7dbddde53758bcfcffa6363e66d6d6d
+c0c0c07777f16868ef44449d6e84dc7890f07890f0121523636c8da5e3f3167d8422e4e61bc3e1
+227f97e8e8e84a8a7c49ebd315474339c7c72679783ab2b043e9e97f9286dbfbe6dbfbe6b6d0bf
+87b88fb4f7b8b4f7b4b4f7b4aaeaaa556955759a757a8b7ae3fce3e3fce3e3fce3798f73bcf5a0
+bcf5a0bcf5a0b9f49c7a8c59d6f49ad4f496d4f4947a8c55d4f494d2f390d2f390cff08e7b8f53
+d0f38cd0f38bd0f38b8da45eb8d977ccf182ccf181ccf181748a49c9f17ac8f078c8f077c8f077
+bbe16f95b654c4ef6dc4ef6dc4ef6d768f417894415e7334c8d3b3eefad5eefad5eefad5828e69
+c1ee66c1ee66c1ee66c1ee66bce8638aab47c0ee63c0ee63c0ee637e9c4170923c758b50e0fad2
+e0fad2e0fad2e0fad2cee9c16eb64a90ee6190ee6190ee6190ee61395f2644712ebdd4b2dffad2
+dffad2dffad2d9efcd81a1713f632cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee659aee65d3ee41899a5d5ddc65acee65d3ee0f15236565eea7d1f565d3ee21444d5353c4
+a7e3f54a9bafd6d6d6929292d3f3fa7c8c90e8e8fc4848a7dbddde53758bcfcffa6363e66d6d6d
+a3b3bd7777f16868ef44449d6e84dc7890f07890f01215233b7faf21bae0158eaa1dc4e11ab8df
+11809c6999a53b857451ecb9379f7c41c8ab36887b7ac7b038b0ae949494ffffffffffffd4d4d4
+87b898b6f7cab5f7c1b4f7b4afefafabc5a0cfeec2cee9c1b7ccad6e79688a9983859080f6fef2
+c6cec2f5fdf1f6fef27c8c5cd6f49bd6f49bd4f4957a8c55d4f494d4f494d3f392cff08e7b8f53
+d1f38ed1f38dd0f38b8da45eb9d978cef286ccf183caef80748948c9f17ac9f17ac8f079c8f078
+b6da6c839f4ac5ef6fc5ef6ec4ef6d97b853beeb65aed75cc4eb76caf07bb2d36e768b4e778c4c
+dbf5a5acc777aab88cc4d99ad3eda075913dc1ee64c1ee64c1ee6493bf507dce5367924dcff8ba
+cff8bac0e0b0a8b7a0bbe0a8619f4291ee6291ee6291ee6291ee6252893781d75799eb719ff076
+9ff0769ff076799b68f4f4f4aeaeaeffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee659aee65d3ee41899a5d5ddc657dee65d3ee0f15236565ee80aaf165d3ee21444d5353c4
+b1e6f64a9bafd6d6d6929292daf5fb7f8d90ececfd4e4ea8ddddde78868fcfcffa6363e66d6d6d
+7ea1b97777f16868ef44449d6e84dc7890f07890f0121523636c8dffffffffffffffffffffffff
+0f17190f71896b868dffffffffffffffffff84918d99f4d652998b95a39ee8f2eeecf9f4c6d2ce
+90b99ebef1c6b0e7c3c1f8d1b6ebb6829d80d8faccdbfaccacc4a0b0c59cd9f0be9faa8af0fcdb
+7f867289907b8d9184919c7be9f9c7ecf9c5ecf9c5929e6dd9f495c9e48ad9f493d5f18f8e9e5d
+d6f38ebcd278e4f285c7d171dae77ce2f18296a05669803c84a14cc7f075c7f0756c833f728a43
+8eac529db077ddf6abcde2a2c7da9f859366c5eb7bc0e774c4eb78cbf17e91ad5aa4cc54bfee62
+bfee62bfee626d893883a5426b8536a1a892f5fce6f3fae5eaeee0a1a59794dd6f90e068a1f179
+a1f1797dba5d5c993d4d7f33a6b59fedfce6edfce6dee3dceaf6e35e8a4896e66e9aeb73a1f179
+a1f17988de5d648b50ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee658cee65d3ee41899a5d5ddc657dee65d3ee0f15236565ee658fee65d3ee21444d5353c4
+d4e1fa4a9bafd6d6d662628dffffff929292ffffff7272acdedede929292cfcffa6363e66d6d6d
+7ea1b97777f16868ef44449d6a88db7890f07890f018233c575c74ffffffffffffffffffffffff
+3068760e43506b868dffffffffffffffffff84918d98f4d597f4d597f4d569aa955f8b7b7dcab1
+bebebee9d4a8e2e2e2fffffff1f1f1819d81cefacdd8faccacc4a0adc59ee4f9c3e6f9c2e6f9c2
+838f6edcf5a9dbf5a5dbf5a5b3c685d3d787f4f498f4f498f4f4988c8c57f3f391f3f38ef3f38e
+f3f38e6f6f40f2f286f1f180f1f17ff1f17f9f9f54b6db6cc6f074c5f071c5f07186a54ac2ef67
+c1ee66c1ee66c1ee6669823798be4caad456cef188bde0788ba0629db37195ae63b4d07dd2f392
+d2f392d2f392758b4bbeee5fbeee5fbeee5fbeee5fb5e25a445522516629eaeaeae2e2e2ffffff
+ffffffc5c5c572bf4c8eee5f8fee5f8fee5f8fee5f4878305d9b3d8f908ee2d8c3efe9deffffff
+ffffffa5b19f516d44ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcef1fa65d3ee3a6489
+6565ee656bee65d3ee41899a5d5ddc657dee65d3ee0f15236565ee8097f168d4ee21444d5353c4
+a7b4f54a9bafd6d6d651518bffffff929292ffffff7272acdedede929292f9f9fe7272e86d6d6d
+7ea1b99494f46868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+3778882f849969797dffffffffffffffffff84918d99f4d698f4d697f4d569aa95bbcec157766a
+bebebee9d4a8fcfcfcfffffff1f1f1819d81cdfacdcefacda9c4a0abc59fdaf9c8e4f9c3e6f9c2
+838f6ee0f7b2dcf5a6dbf5a5a2b57ab7cd87eef49af4f498f4f4988c8c57f4f498f3f391f3f38e
+f3f38e8b8b50f2f28af2f287ecec7febeb7c9b9b52b6db6dc8f077c5ee74c1ea6f6f873ec2ef67
+c2ef67c0ed66c0ed666e893abeee5fbeee5fbeee5fbeee5f91b5489dc54c668032cde3a1e1f7b5
+c8d7a9b2bc9e7c8c5ac0ee63c0ee63c0ee63c0ee63b6e35e76943aabd754c3ed6ec5ef71c5ef71
+4c633a7a9348c1cbbde7f3e1cdd9c7f1fdebf1fdeb718d6387e2598ee2649aed6b9bee6e9cf072
+78b45ae0e0e0b6b6b6ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd6f3fa68d4ee3a6489
+6565ee656bee65d3ee41899a5d5ddc657dee65d3ee0f15236565eea0a0f56cd5ef21444d5353c4
+a7b4f54a9bafd6d6d651518bffffff929292ffffff7272acdedede929292ffffff7474e86d6d6d
+5f93b6aeb3f66868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+37788854ceec6f969fe4f7fcdde8ebe4f7fc7b8e8cabf6ddaaf6dd98e3cb76ac9acaded0d7ecdd
+d6e4dbe8ecd2797e7abcc3bee0ece4939f93ebfdebebfdebb8c6b8abc59fd9f9c9daf9c8e4f9c3
+838f6ee1f7b5e0f7b2dcf5a6a2b57ab5cd87daf5a1edf49bf4f4988c8c57f4f498f4f498f3f38f
+f1f17ec7c764f1f17bf1f17b5c5c298f8f3b8f8f3ad8e666dfef6a909a4468843081a33dbeee5d
+beee5d91b547596f2d607438e5f8bfe5f8bfe5f8bfe5f8bf869170bbea5abded5cbded5cbded5c
+85a64182a43e627342f3fce3f3fce3f3fce3e6eadce7efd77d964bb9e16ac5ec75c8f079c8f079
+5588375a983bc1d2b9ebfce3ebfce3e2ecdde0e9dc748e67a2f17a8fde679fec70a0ee749beb74
+5e9e3edcdcdcffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee656bee65d3ee41899a5d5ddc6575ee65ccee0f15236565eea0a0f56cd5ef21444d5353c4
+a7b4f54a9bafd6d6d651518bffffff929292ffffff7272acdedede929292ffffff7474e86d6d6d
+4b89b3a8b0f66868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+37788854ceec54ceec5cd0ed32636d51a9be4f7f8bffffffffffffe4e4e4b2b2b2caded0e7fdee
+e7fdeee7fdee89918ccecece919993a0a0a0e3e3e3f9f9f9c8c8c8abc59fd9f9c9d9f9c9daf9c8
+818f6fe1f7b5e1f7b5e0f7b2a2b57bb5cd87d9f5a2e5f098f3eb8ed8d17df3eb8ef3eb8e959258
+d7d773f0f072f0f071f0f07189893beeee65eeee63e9e960d2d2569a9a3facdc50baed56baed56
+bbed578fb54296bf4394b946cbf17fcbf17f879a608a9e6254613bd0f08ed2f390d2f28fb0d06d
+93aa65a4cf4ebced5abced5abced5abced5a5167276f8c359f9f9fe9e9e9fafafadcdcdcffffff
+5989408ded5c8ded5c8ded5c8ded5c5691385a973b607556ffffffe3e3e3f1e3c7f7efe0d3d3d3
+687363dcdcdcffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee656bee65d3ee41899a5d5ddc6565ee65bcee0f15236565ee8484f169d2ee21444d5353c4
+afb6f660a1b1d6d6d651518bffffff929292ffffff7575acdedede929292ffffff7474e86d6d6d
+4b89b3a8b0f66868ef44449d6092db7890f07890f02643753a3a3affffffffffffffffffffffff
+37788854ceec54ceec54ceec52a9b84c898f4d7a86ffffffffffffffffffb2b2b2c9ded0e6fded
+e7fdeee7fdee89918bfdfffdf0f2eff3f5f2cbccca8f8f8f8c8c8cdfe2ddfbfef9b3b7b0b7bbb4
+92968be2f7b6e1f1afeaf2abcacf8ed3db93e6f1a1b9c17ef2e98cf2e88af0e478efe36fb8af50
+f0e970efe868dcd956a8a733dbdb37eaea3de6e53be1df3b627a2891a93668862db0ce75b9cf8e
+8f997ba3bc7197c143b9ec52b7ea51b8ea526a872fabdb4da5d34ac0ee65c0ee66c0ed664c5d2b
+85a447d8ddcff8fdedf8fdedf8fdedf8fded7a8c58b3e155b9e561c3ef6bc3ef6c5a743587ab51
+88907ff3fdeef3fdeef3fdeef3fdee949a9185e25884db5998ef6d98ef6d97ec6797ed6a668b53
+f7f7f7fbfbfbffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee6567ee65baee41899a5d5ddc6565ee65bcee0f15236565ee6565ee65ceee21444d5353c4
+b9b9f77aa8b4d6d6d651518bffffff929292ffffffb3b3b3dedede929292ffffff7474e86d6d6d
+4b89b3a8b0f66868ef44449d589bda7890f07890f0294a8048566cffffffffffffffffffffffff
+37788854ceec54ceec54ceec54ceec74e1f061797af8fdfed5d6d6f8fdfeadb1b1ceded3e3f5e8
+def1e4e7f5e08b928dfffffffdfffcfdfffca5a6a4eaebe7fffffefffffefffffebbbbabfbfbd4
+fbfbd4fbfbd4989880ede59cf5eca0f5eca0f5eca08d8a5cf5f39cf2e98cf1e784d9cc4fecdd51
+ecdd51ecdd51ecdd51ded04c989745c0c05b352c177f5835b0a096fcece2fcece2fcece2b8b698
+bae662b6e35bb8e65ec1ef6791b34d6686276c8735e4f8bce4f8bce4f8bce4f8bce3f7bc607b2b
+576f27d7e1c4f2fbdff2fbdfd4d5d1f2fbdf7d8d5ec6ee76b7de66c9f079c9f07966893f77cc4d
+879c7ce9fce0e9fce0e7f7dee0edda8e99889ce8768ddc66a2f07ba2f07b9feb7083d753618a4c
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75d8f03a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee65bcee0f15236565ee6565ee86bbb121444d5353c4
+8787f27aa8b4d6d6d6414189ddddfb60848dffffffb3b3b3dedede7f8990e0f1fca6a6ee6d6d6d
+4b89b3a7bbf66868ef44449d53a0d97890f07890f02b4e8752698bffffffdadadaffffffffffff
+37788854ceec54ceec54ceec54ceec54ceec99e2f4d8f4fb6c757695a7aa97aaafdfdfdff5f5f5
+efefefe9d4a8929292fffffffffffffdfffca5a6a4e7eae1fefffbfffffefffffe919188fbfbd3
+fbfbd4fbfbd4989880eeeca5f5eca0f5eca0f5eca08d8a5cf5f5a0f4ef97b1a962cabf5cedde55
+ecdd51ecdd51ecdd5198903ab9b958a7a75eb7ab5a8d703c8d6b3c9e6742c68153ee9b6496623f
+f0f0f0f1f1f1f4f4f4ffffffbfbfbf84ac354e5d31ffffffffffffffffffdadadafefefe6b8830
+b9ec53baec54baec54baec54556c276e8c32727a62fcfcfce8e8e8e1e1e1f8f8f8798e6f8aed59
+8aed598bed598bed597ed650355b22365c23f6f6f6e5e5e5ffffffffffffded5c39a9e85586153
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff79d9f03a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee65bcee0f15236565ee6565ee91b59e21444d5353c4
+7777f07aa8b4d6d6d63c3c89d2d2fa50808bffffffb3b3b3dedede79868fd6ecfbb5b5ef6d6d6d
+4b89b3a6d1f56868ef44449d53a0d97890f07890f06c7cb891a3eba0b1f5505879717caaa0b1f5
+868d91f0fbfdf0fbfdf0fbfd7295979af0f4cef1fad8f4fb859091d5e3e35f6869e1e1e1fdfdfd
+fbfbfbebd6ad929292ffffffffffffffffffa5a6a5e7eae1fcfef5fefffdfffffe919188fafad2
+fbfbd4fbfbd4989880eeeea7f6f1a7f1db7bf0d7728b844ef5f5a0f5f5a08b874df0e370f0e36e
+eee05fecdd51eadb508b6d37e59961c38c55eeba67eeb865eab463d9a55c4d3f213726179e6742
+e9c3aaf7cfb4f7cfb4f7cfb4b89b8799c344b3e352c0ee64c0ee64c0ee645c72308fb348929786
+f5fce5f4fce5f0f7e4f5fce5718a41b7e954b1df55c0ef64c0ef647e9c4261843d758755f4fdf0
+f4fdf0f4fdf0f5fdf0dde5d95d9f3c81dc5395ee6895ef6995ef6995ef696dad4cd8d8d8f5f5f5
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee72c0ef0f15236565ee6565ee91b59e21444d5353c4
+7777f07aa8b4d6d6d63c3c89d2d2fa50808bffffffb3b3b3dedede79868fd6ecfbb5b5ef6d6d6d
+4b89b3a6d1f56868ef44449d53a0d97890f07890f0545f8c97a9f497a9f452608b496ca58595d7
+8e8f92ffffffffffffffffff758f8f93f3f3bff4f8d8f4fb8b9192ffffffffffffffffffd4d4d4
+6d6d6ddddddd929292ffffffffffffffffffa6a6a6e7eae1fbfef4fcfef5fefffd919188fafad2
+fafad3fbfbd4989880eeeea7f6f6adf3e58fefd56e8b834df5f5a0f5f5a08b874ef0e370f0e370
+f0e370eee060c2b643b38c4fee9d64ae7249ee9c64ee9c64ee9c64ee9c6489753adbc25d968540
+8f743d89653a9d6e42bd7c4fa26a44d3d3d3ffffffffffffffffffffffff9bb26cb7ec4eb7ec4e
+b7ec4eb4e74d45591eaddf4a7e8d61e6f8c0e6f8c0e6f8c0e6f8c097a37e7ad44d5c804ae7fbdc
+e7fbdcd4dcd1e1f2d9d1e3c76da1528edc67a1ef79a3f17ba3f17c89da6165ac41d8d8d8ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee65aaee41899a5d5ddc6565ee749cf00f15236565ee6565ee6fa4dc21444d5353c4
+7777f091afb7d6d6d63c3c89d2d2fa50808bffffffb3b3b3dedede79868fd6ecfbb5b5ef6d6d6d
+4b89b3a6d1f56868ef44449d52a1d97494f07890f0545f8c97a9f497a9f452608b5e93e151689a
+8c8d8fffffffffffffffffff758f8f93f3f395f3f3bef4f8859091f6fefeffffffffffffd4d4d4
+bebebeb5b5b56f6f6fffffffd9d9d9ffffffa6a6a6e7eae1fbfef4fbfef4fcfef5919186fafad2
+fafad2fbfbd3989880eeeea7dfdf9dbab078efd56f8b834df5f5a0f5f5a0b0ae6bf2e981cdc569
+f2e981f1db77e5c062e2bd66eead67895939ee9c64ee9c64ee9c64ee9c64b47c4ceea865eea865
+eea8658769397b643465422b915f3de8a87df2b287f2b287f2b287f2b28781784fd0f38cd0f38c
+d0f38cccee8966832c73943281857bffffffffffffd9d9d9ffffffa7a7a77dda4f88ed5688ed56
+88ed56477c2d58983879d24cabababe9e9e9fdfdfdffffffffffffd6d9d54b6c3ad8d8d8ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee6593ee41899a5d5ddc6565ee658dee0f15236565ee6565ee659fee21444d5353c4
+7777f0bbbbbbd6d6d63c3c89d2d2fa507f8bc2eef8b3b3b3dedede79868fd2eafab5b5ef6d6d6d
+4b89b384c2f26868ef44449d51a2d96c9cef7890f034528897a9f497a9f455618c81aef26d8fc3
+93a4bfbac7dbbcc9ddcedffa75878fc9f9f99bcbcbcaf9f9849191edfdfdf6fefeffffffd4d4d4
+bebebefefefef0f0f0ffffff666666929292949494ecececfbfbfafbfbfafffffe919188fafad2
+eae4bdf9eec2979076eeeea7b6b680cdbf87f2dc85e8cf6cefd772efd772efd772eed6718b6d3e
+efae67907940ee9b64ee9b64ee9b64895939ee9c64ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c65906a3de7c962dcbf5ec7ac5589713a776333835638895a3aed9b65947865fef8f4fef8f4
+fef8f4f9f3ef6d8c2fb8ec50b5e554bded5ebded5e3c582679994179983ce2e9dff6fef3f6fef3
+f6fef38db97885e655508b339acc81c4f6abc4f6abc4f6abc4f6abc7c8c7b5b4b2dadad9ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb7eaf73a6489
+6565ee6565ee657cee41899a5d5ddc6565ee658dee0f15236565ee6565ee90abf321444d5353c4
+7373f0b1b1bad6d6d63c3c89c3c3f8507f8bbdecf8b3b3b3cfcfdc79868f94cdf3c4c4f16d6d6d
+4b89b365b4ee7575f044449d51a2d96c9cef7890f032518897a9f497a9f454618c91b8f39ec0f5
+9ec0f5768fb64a5d7c8dacdb757f8fffffffffffffffffff8a9191edfdfdedfdfdf6fefed4d4d4
+bebebeffffffffffffffffffb9b9b9ffffffffffffffffffc8c8c8c9c9c8ffffffd8d8d5fdfdef
+69634ef9edbfd6cca6f5edb8b7b189cdbf87f4e29cefd671efd56eefd56eefd56eecd26d8c633a
+eea86389723aee9b64ee9b64ee9b64895939ee9c64ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65ee9c65ee9c655b4f268e703c89663aa47146b9794fd08858ee9c65
+ee9c65e99963889373e6f8c1e6f8c1e6f8c1e6f8c156893a7ddc4d466f27d4eac9e4fbd9dae8d2
+e2f7d8748e67a3f17c9eec7790de6aa3f17ca3f17c84d85b89ed5790928ff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcff1fa3a6489
+6565ee6565ee657cee41899a5d5ddc6565ee658dee0f15236565ee6565eea7b2f521444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8bbdecf8b3b3b39d9dd779868f94cdf3f7f7f76d6d6d
+4b89b36ab9efa1a1f544449d51a2d96c9cef7890f02f50888ca5f397a9f452608b76a7f09ec0f5
+9ec0f5768fb67596ca637ea7636a74ffffffd7d7d7ffffff8a9191edfdfdedfdfdedfdfdcbd3d3
+bebebeffffffffffffffffff929292ffffffffffffffffffc8c8c8c9c8c2ffffffffffffffffff
+8e8667f8eab7f9edc1f9edc1b8af8ecdbf87f5e4a1f2dc85efd56eefd56eefd56e9d8c48da9a5b
+eea86389723aee9b64ee9b64ee9b64895d3aeea164ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c65c98355ee9c65ee9c65ee9c65ee9c6589783aeed365eed365d3bb597f71369a8441896e3a
+8d6a3c93613f979797ffffffffffffffffffffffff59894086ec5286ec5286ec5386ec53569735
+508c31688c57fffffffafafaeeeeeeffffffffffffc6ccc471b84e90928ff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee657cee41899a5d5ddc6565ee8296f11417246565ee6565eea7b2f521444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8bbdecf8b3b3b39d9dd779868f94cdf3f7f7f76d6d6d
+4b89b36ab9efa1a1f544449d51a2d96b9def7890f02b4e877a9df197a9f452608b649cee91b8f4
+9ec0f5768fb699aecec8dbf8c5d6f0d0e1fa6b74818d99a8898b8efefffffefffffeffffd3d4d4
+bebebeffffffffffffffffff929292ffffffffffffffffffc8c8c8c9c8befefef8ffffffffffff
+8e8667f6e8aff9ecbff9edc1b8af8ecdbf87f5e4a1f4e29aefd672efd56eefd56e89793feea863
+eea86389723aee9b64ee9b64ee9b6489643aeea964ee9c64ee9c64ee9c6489593aee9c65ee9c65
+ee9c6589593aee9c65ee9c65ee9c65ee9c65df945fee9f65ee9f65ee9f6585673895843f89793a
+8464387b5534916642da9465da9465e79c6aefa26e8d897ff8fef5f8fef5f8fef5f8fef59fa39d
+76cf4a649b4ac1f6a7c1f6a7c1f6a7c1f6a7c1f6a7b3c4abcaccc99a9a9af1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee657cee41899a5d5ddc6565ee9090f31616246565ee6565ee7b86f021444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8b91e0f3b3b3b39d9dd779868f94cdf3f7f7f76d6d6d
+4b89b366b7ee7a8ff144449d51a2d95faaee7890f02b4e87729af097a9f452608b639bee74a6f0
+9dc0f5768fb67e9ccbc6daf9cddffacddffa778190c1d4e3989b9ffafbffc8c9ccceced0cfd0d3
+bebebefaf5eaffffffffffff929292ffffffffffffffffffc8c8c8c9c8befefdf2fffffeffffff
+8e8667f6e7acf8eab7f9edc1b8af8ecdbf87f5e4a1f5e4a1f2db84efd56eefd56e8a7643eea863
+eea86389733aeea064ee9b64ee9b6489643aeea964ee9c64ee9c64ee9c6489693aee9c65ee9c65
+ee9c6589593aee9c65ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c65a17544eec665eec665
+eec665ebc4647f7036655a2b675b2c91683e895a3a9d8778fbe7dafbe7dafbe7dafbe7daa1948c
+99e074a3f17da3f17da3f17da3f17d7fd65487ed556c8d5dfffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee6569ee41759a5d5ddc6565ee6565ee0f0f236565ee6565ee6570ee21444d5353c4
+6565ee8c8cb6d6d6d63c3c899090f3507f8b7bdaf1b3b3b39d9dd779868f82c5f1f0f4f66d6d6d
+4b89b363b6ee6686ef44449d51a2d95faaee7890f02b4e87588fed97a9f452608b639bee639bee
+92b9f4768fb67596ca97bcf4c6daf9cddffa77818fe4edfceaeefdeaeefda3a6b198999a777981
+bebebee9d4a8ffffffffffff929292ffffffffffffffffffc8c8c8c9c8befefdf1fefef5ffffff
+8e8667f6e7acf6e7aef9edc0b8af8ecdbf87f5e4a1f5e4a1f5e39defd56eb6a254c4ad6feea863
+eea86389743aeeb165ee9b64ee9b6489643aeea964ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c6589593aee9c65ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65e99963726531c1ab52bfa951896f3a896f3a8d683c92603e92603ee69762ee9c65986441
+eeeeeeffffffffffffffffffffffffb7bfb46c9b556c8d5dfffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9fdfe3a6489
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee7475f05052525353c4
+6565ee8c8cb6b3ccd23c3c899090f3507f8b7bdaf1b3b3b37a7ad379868f64b7eee5eef56d6d6d
+4b89b363b6ee6686ef44449d51a2d95faaee7890f02b4e87588fed97a9f452608b639bee639bee
+75a6f0768fb67596ca8db5f3a9c8f6ccdefa76818fd3eafae7edfdeaeefdc0c6c8dee8c7d3debb
+d1dcbae1e1ac959691e0e9cb91928fffffffd9d9d9f6f6f6c8c8c8c9c8befefdf1fefdf1fffef9
+8e8667f6e7acf6e7acf7e9b3b8af8ecdbf87f5e4a1f5e4a1f5e4a1f1db83a6944ed8c88ceeab66
+eea86389743aeeb165ee9b64ee9b6489643aeeab65ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c65895b3aee9d65ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c65e39560ee9c65ee9c65
+ee9c65ec9b64c18e52eeb665eeb665eeb665eeb665e9b263e4ad61e4ad6190603d895a3a855738
+eec2a5f6caadf6caadf6caadd7b6a0e6e6e6eeeeee7a7b79fffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffafefe49688a
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee7575f05252525353c4
+6565ee7b7bb494c3cf3c3c897373f04170897bdaf1b3b3b35b5bcf79868f64b7eee5eef56d6d6d
+4b89b363b6ee92b1f344449d51a2d95faaee7890f02b4e874b89ec8ca4f352608b639bee639bee
+659cee6987b57596ca8db5f38db5f3aac8f676818fcfe9fad3eafae7edfda3a6b1d1dbbce2f7b6
+e2f7b6dcf0b1a49b929f9988a1998efdf4ecc1bcb6babab9c6c0b9c9c8c1fefef5fefef5fefef6
+8e8666f6e7acf6e7acf6e7adb7ae8acdbf87f5e4a1f5e4a1f5e4a1f3e0938b7f4ef5e4a1f2c783
+eea86389743aeeb165ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75758f
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee7575f05252525353c4
+6565ee4a4aaf94c3cf3c3c896565ee3a698972d7f0a2afb25b5bcf79868f64b7eee5eef56d6d6d
+4b89b363b6ee6facef44449d52a2d979a6f18896f25a6fb36a92ef93a4f4555f8c639bee639bee
+5280c54e76b27596ca8db5f38db5f38db5f36a7a8ecfe9facfe9fad3eafaa0a6b0dfdfdff1fbdb
+e2f7b6dbefb0a99886f7d5b3f7d5b3f7d5b3c3a688c1ac97836950dac5b0c8bcae917a57908575
+888060f6e7acf6e7acf6e7acd0c4958b825df4e4a4f4de97f3da91f3da8fe1c982f3da91f2cc86
+eea86389743aeeb165ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489713aee9c65ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589593aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65ea9a639e6743ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff75758f
+6565ee6565ee6565ee41709a5d5ddc6565ee6565ee0f0f236565ee6565ee6565ee22224d5353c4
+6565ee4a4aaf94c3cf3c3c896565ee3a698964d3ee88a7af5b5bcf79868f64b7eee5eef565656c
+4b89b363b6ee64a7ee44449d55a1da9da1f5a0a0f5a0a0f57d7dbf8585c6a4a4f3a4a6f6a4a6f6
+767484817f8fdcdbeaf0eefdb2b1badfdeeb898991e9f5fdbbc7cee9f5fda8acb1dfdfdfffffff
+ebf9ccd9eeaf9c9b9afbead8f7d5b4f7d5b3c7a98be9ba8bf3bf8bf3bf8b8b7055f3e0c4f8e5c8
+f6e2c2b79560c9b37df4d898f4d898efd494f4d897f3d58ef0cc78f0cc78f0cc78f0cc78efb96d
+eea86389743aeebe65ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489733aeea765ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589703aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65e999638d5c3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc6c6c6b2b2b275758f
+6565ee6363ea4a4aae303e715d5ddc6565ee6565ee0f0f236565ee6565ee6565ee21214d5353c4
+6565ee4a4aaf94c3cf3c3c896565ee3a698964d3ee88a7af5b5bcf79868f64b7eeb7d9f02b2b65
+4b89b363b6ee64a7ee44449d51a2d97ea8f1a0a0f5a0a0f57c7cbe8484c4a6a6f6a6a6f6a6a6f6
+78778fe8e3fce8e3fce8e3fc706e7c918da26d6b73ffffffffffffffffffb2b2b2dfdfdfffffff
+fcfef8dfefbd9c9b9afffefcfae5d0f7d5b3a18b75e9ded4f3bf8bf3bf8b8c7155f9e6c9f9e6c9
+f9e6c9baa78ac8b17cf4d897f4d897f4d897f4d897f3d691f0cc79f0cc78f0cc78f0cc78f0c675
+eea86389743aeec966ee9b64ee9b6489643aeec065ee9c64ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeea665ee9c65ee9c65ee9c6589713aee9c65ee9c65ee9c6589593aee9c65ee9c65
+ee9c65e999638d5c3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc9b8cda344ba703e8c
+824fcb462962c390cf7e5d865d5ddc6565ee6565ee0f0f236565ee6565ee6565ee21214d5353c4
+6565ee4a4aaf7abccc3b3c896565ee3a698964d3ee88a7af5a5acf5f6c8d64b7eea3d0ee2b2b65
+4b89b363b6ee64a7ee44449d51a2d967adefa0a0f5a0a0f57c7cbe8484c4a6a6f6a6a6f6a6a6f6
+70708fdedbfbe8e3fce8e3fcb7b4c0f7f3fedad7ddfcf9ff687273d0ced2b0aeb2dfdfdfededed
+e3e3e3e1d0a79c9b9afffefcfefaf5f8dbbea18b75ebeaeaf9dec3f3bf8b8c7155f9e6c9f9e6c9
+f9e6c9efddc1eed49af4d897f4d897f4d897f4d897f4d897f1ce7df0cc78f0cc78f0cc78f0c675
+eea86389743aeec966ee9b64ee9b6489643aeed066eea064ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeeba65ee9c65ee9c65ee9c6589713aee9c65ee9c65ee9c6589673aeea365ee9c65
+ee9c65e999638d5c3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffff4f4f4ecececffffffaeadaeb94cd4ce54ec
+ce54ec4c1f578235957f34925656cc5252a283839111111e6565ee6565ee6565ee21214d5353c4
+6565ee4a4aaf55b1c83a3b896565ee3a698964d3ee7fa5ae5959cf3a488964b7eea3d0ee2b2b65
+4b89b363b6ee63afee444f9d51a2d956ace68b9beca0a0f57c7cbe8484c4a5a5f5a6a6f6a6a6f6
+6f6f8fc8c8f9e5e0fce8e3fc868391f7f3fefbf8fffbf8ff788e8b95b9b1676d66e3e2daefefea
+fefdf5e1cea19c9b9afffefcfffefcfefaf5a39382ebebebfef9f4f5caa08c7155f9e6c9f9e6c9
+f9e6c9f9e6c9f7e1b8f4d897f4d897f4d897f4d897f4d897f2d184f0cc78f0cc78f0cc78f0c775
+eea96489743aeec966ee9b64ee9b6489643aeed366eea164ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeebe65ee9c65ee9c65ee9c6589713aee9c65ee9c65ee9c6589693aeea465ee9c65
+ee9c65e999638d6a3cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffb1b1b17b4788a295a6b6b6b6ebccf3f1cefa
+f1cefa793b89c24ede682a77322047a9a1abf1cefa1715246565ee5a5ad44b4ba721212e5353c4
+6565ee4a4aaf55b1c83a3b896565ee3a698964d3ee4694a75959cf3a488964b7eea3d0ee2b2b65
+4b89b363b6ee63b6ee43569d51a2d9458cbb6363bd9f9ff57c7cbe8484c4a5a5f5a6a6f6a6a6f6
+6f6f8fc4c4f9d3d1fae8e3fc837f90e3ddfbf8f4fefbf8ff878c7bf7f1b7f7f1b7f7f1b77c765b
+988a6de6e0aa9c9c9bfffffefffffefffffea6a6a6ebebebfffffffceee18c7257f9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f5da9ff4d897f4d897f4d897f4d897f2d38af0cc78f0cc78f0cc78f0cc78
+efb26989743aeec966ee9b64ee9b6489643aeed366eea164ee9c64ee9c6489753aeeaf65ee9c65
+ee9c6589673aeebe65ee9c65ee9c65ee9c6589733aeea165ee9c65ee9c6589693aeea465ee9c65
+ee9c65e999638d743cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffefefeffffffccbcd0c151ddbe50d9bd56d7613d698e509d
+d56eef8b7a90f8e7fcd2c0d67f71858c40bc893bac572a7a48307e7d55a3b381b2473a505353c4
+6565ee4a4aad55b1c83a3b896565ee3a698964d3ee4694a75959cf3a488964b7eea2d0ed2b2b65
+4b89b363b6ee63b6ee43569d51a2d9395f8f6b6be89c9cf57c7cbe8484c4a5a5f5a5a5f5a6a6f6
+6f6f8fc4c4f9c4c4f9e0dcfb837f90e0d9fbeae5fdfbf8ff748e8fd6f5daf7f1b7f7f1b7b99f7d
+e9ac91bf9b7bc2a395fadbcdccbab3fadbcda38f86ebebebffffffffffff918c87f9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f8e4c0f4d897f4d897f4d897f4d897f4d795f0cc78f0cc78f0cc78f0cc78
+efb26989743aeed266eea764ee9b6489643aeed366eea164ee9c64ee9c6489753aeec465ee9c65
+ee9c6589673aeebe65ee9c65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeea465ee9c65
+ee9c65e999638d743cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff5f5861b8b0bad4d4d4e0b4ebebb9f7ebb9f7874199be4fda
+773288907996e3dce5f0e2f489798fae51ecae51ecae50ec522670642d889444c8381a4c4d4db5
+5a5a8e6d6d6d55b1c83a3b896565ee3a698964d3ee4694a75959cf3a488964b7ee61b1e62b2b65
+4b89b363b6ee63b6ee43569d50a0d739558b7473f09490f38a87c7918dcc9b9ae28b8bcfa7a4ef
+706f8fc4c4f9c4c4f9c8c7f9817e90e0d9fbe0d9fbede7fd748e8fbbf8f8d5f5dcf6f1b88d8064
+f3ae91f3ab8cf3ab8cf3ab8c5a4233bc856c9e6f5bebebebffffffffffff92908ef9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f9e6c9f6ddaaf4d897f4d897f4d897f4d897f0cd7af0cc78f0cc78f0cc78
+efb46a89743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec765ee9c65
+ee9c6589673aeeca65ee9d65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeeb265ee9c65
+ee9c65e999638d743cee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffa35ab5af4bc7ca74dfd984ed85618edd86f29758a6dd89f2
+dd89f2dd89f26c3f7d713490562c63e9d0fae9d0fae9d0fa9767b7ac4eec843bb58d3fc13f2362
+a971cf8f5cb17cbccc3b3c894f4fbb35657e64d3ee4694a75959cf3a488964b7ee61b1e62b2b65
+4b89b363b6ee82b0f0a18ddda39fe9a289dc8472b5ccb7edd7c1f9d7c1f9796e89bababae9e4f1
+d8d8e1bfbfce8f8f9eededfc888691e9e4fce9e4fcebe7fd738d8fbbf8f8bbf8f8ddf4d38d8165
+f5baa0f3ae91f3ab8cf3ab8c8b664fc18f6e684a3cebebebffffffffffff92908ef9e6c9f9e6c9
+f9e6c9f9e6c9f9e6c9f9e6c9f8e3c0f4d999f4d897f4d897f4d897f2d185f0cc78f0cc78f0cc78
+efc17289743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec765ee9c65
+ee9c6589673aeed365ee9e65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeebb65ee9c65
+ee9c65e999638d773ceea065ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffcfcfcffffffffffff7e4a8ad05aedd059edca57e7622a70923fa78d8190fcfcfc
+ffffffffffffa27fbab055ed9e4ed4985ac25e3e749357bb775a8bf2e6fae2c3b0c6bbce66427e
+7934a77b35aac296df331b4c9c70be476f8568d4ee4995a85858cd39478664b7ee61b1e62b2b65
+4b89b3729aef8c7cf0bc9bf2c4a2f5c4a2f57e689db4a2e6d7c1f9d7c1f97f758fffffffffffff
+ffffffdadadacccccca2a2a2c3c3c3ffffffccccccffffff758f8fbdf8f8bdf8f8c1f8f4838271
+f5bba2f5baa0f3ae90f3ab8c8a5f49ef9972d88865efa07e825d4dd993768b6554fefcf8fefcf8
+d0cecac7c5c1ceb885f5da9df5da9df4d898f4d897f4d897f4d897f2d38bf0cc78f0cc78f0cc78
+efc17289743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec765ee9c65
+ee9c6589673aeed365ee9e65ee9c65ee9c6589783aeead65ee9c65ee9c6589693aeebb65ee9c65
+ee9c65e999638d7d3ceeaa65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff615963958499e0e0e0cbb6d0ecbdf8ecbdf8e6b7f17d358eb54dceac65be705279
+997ea4c18ece81608ddfbbf8dfbbf8ae91c18b42bb8b42bb814aa55a4a65806672b98ed57c638d
+ddb6f7ddb6f7ddb5f7471e63622888816a90e0d8e4a99db25e4d81494f6464b7ee62b2e8433c7e
+5d89be72adef716ccb7c69b1c3a2f5c4a2f57e689da898e4cdb8f8d7c1f97f758fffffffffffff
+ffffffbebebed4d4d4ffffffffffffffffff4552559da3a48c8c8cffffffffffffffffff918782
+f5bba2f5bba2f5baa0f3ae918b664ff1a980ef9670ef956f89553b8b573b885d4bffffffffffff
+ffffffc0c0c0c8b17cf4d897f4d897f4d897f4d897f4d897f4d897f3d692f0cc78f0cc78f0cc78
+efc17289743aeed366eea965ee9b6489643aeed366eeb865ee9c64ee9c6489753aeec965ee9e65
+ee9c6589673aeed365ee9e65ee9c65ee9c6589783aeeb165ee9c65ee9c6589693aeebb65ee9c65
+ee9c65e999638d7d3ceeaa65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff7e4d8bc859e4ae57c3da85f075587cca7eddd682eb865592df8ef3df8ef39758b5
+a352d98844b48a4ab0745b85a975cc9a67bca06ec0c98af2c98af2693a89aa51e68e42bfa45bd4
+85619d9b6bbac37ef18250a4c37ff1c37ef1653c8067279167289152396ad7edfbd2e6f58972ad
+b48bf3b48bf363508b9f8af2b598f4c4a2f57e689da797e4b9a7f6d5bff97f758fffffffffffff
+ffffffbebebed4d4d4ffffffffffffffffffb3b595dbdeb7d5d0a6faf5cb93917ef0ebc48f8672
+f8d1c0f1c3a4f8d1c0f8cfbe8b6953f2b389f1a980ef967089553bd787533b2d26ffffffffffff
+ffffffc0c0c0c8b17cf4d897f4d897f4d897f4d897f4d897f4d897f4d896f1cf7ef0cc78f0cc78
+f0c97689773ceed366eebb65ee9b6489643aeed366eeca66ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eea665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeec365ee9c65
+ee9c65e999638d7d3ceeaa65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+c7c7c7fcfcfc83548fd262eed262eed062ec9140a6893d9c9d45b2a275ada896ade5b1f27c578c
+b560eeb560eea054d2954bc68342ae623182bf96da97909cd6afef6e458ab159e9b25aedb25aed
+8341b08d43bf833db19f73bca294abc9a7e0735388a541e89536d59037cc8b44c353328660378d
+b288f3b48bf363508b9f8af2a28cf2bd9ef47e689da797e4b3a2f5bcaaf67e748fffffffffffff
+ffffffbebebed4d4d4ffffffffffffffffff748887eff0c2f8f1b9f8f1b9856957967561656255
+ffffffe9d3a8fbfbfbffffff8c6e5af2b389f2b389f1a98089563ced955bad7149f6ccb0f6cbae
+f6cbaeb99983c9b27ff4da9bf4da9bf4da9bf0d494f4d896f4d896f4d896f1cf80f0cc78f0cc78
+f0cc7889783deed366eec165ee9b6489643aeed366eed066ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eeb665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeed365ee9c65
+ee9c65e999638d7d3ceeab65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+5d2c69876390e6d0ebe0d7e2ebdceff4def97f488dd97af0d879efa052b3823a947c378d6d4677
+e9dbede2d8e5c4b3c8965ebbc079f0b66ee6b76fe7703b936c378f7e678dcdb49dd8d4daf1e0fc
+84748fbe74f0be73f0aa5edb693a89763a9f7b43a0916aac53357f603e92603e92874fda634491
+aa7bf1b68ef3755f9fa68ef3ac97f3b39bf4927cafb3a2e8a191d7a292d9746b8acfcfcfcfcfcf
+e9e9e9bebebed4d4d4ffffffffffffffffff6d888ec4edf1eef0c3f8f1b9b88773f29186cb8078
+f7bbb4e5a38c846764f7bbb48f7e75fae2d1fae2d1fae2d18d715fed955bed955bed945aec9053
+ec8f51b26c3dd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc7889783deed366eec165ee9b6489643aeed366eed066ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eeb665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeed365ee9c65
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+8e43a1d15eeed15eee713380893e9bc559e0959595fffffffdfdfdbababa9c46b1d15dedd15ded
+8b3e9d70398f642e76c6c6c6fffffff2f2f2f2f2f27d48a1b35bedb35bed6232828144aa6e3891
+543a66ffffffffffffe5e5e57c638db157edb157ed7c3da78654cfa26ff0ae82f2ad81f08867ba
+77609ac2a0f5c2a0f5c2a0f59582a8ead1faead1faead1faaca3b1d7d5d8dddadfc2c2c2777777
+929292bebebed4d4d4ffffffffffffffffff6d888ebdecf8c3edf1f0f0c28c6e5bf29287f29085
+f29085e98a8067392eb66c62918887ffffffffffffffffff8e7b6fed955bed955bed955bed945a
+ec9053b26c3dd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78d7ba64eed366eec165ee9b6489643aeed366eed066ee9c64ee9c6489753aeed365eea765
+ee9c6589673aeed365eeb665ee9c65ee9c6589783aeec465ee9c65ee9c6589693aeed365ee9c65
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff9a979af4f4f4ffffff
+80448fd467efd467ef9f4bb4cb5ce8813b93a274aea493a9ddadeac093cc9e4cb2d466eed466ee
+a651c0ac5ae2ab5ae0b768ea4f35616f468a8752aa8e8495f2eaf7cac2cf745341b55feeae5ce5
+a759db9057b6a466cdbf75f0b367e6734393be74f0ba72e9bb74ed704993b185f2b48bf39472c7
+8a6cb7be9af4c2a0f5c2a0f56f5b8dd3b5f7e9d0faead1fa897d90faf4feffffffffffffc6c4c6
+d7d1d98b868ce7e2e8bcbabdd6d4d8fef9ff6f888fc1edf8c1edf8c8eef1866d64f29388f29287
+f29085e98a80925040995647878281fcfcfcfcfcfcffffff8e7b6fed955bed955bed955bed955b
+ed955bb67143d4d3d2ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78efcf70eed366eec265ee9b6489643aeed366eed166eea664ee9c6489753aeed365eeb365
+ee9c6589673aeed365eeb765ee9c65ee9c6589783aeecb65eea065ee9c6589693aeed365ee9d65
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff834194854a9489728f
+dcd2dfd7d1d8f6dffc89728fda80f1da7ff1a256b6823b93843c956b3179b5a5b9dfd4e2f6dffc
+a394a7b274dcb975e7b974e6693a89b662ee9d55cec07eec665074937ba3604456e4c4f9e4c4f9
+e4c4f9a790b79a56c8b866eeb867ef6c3f8abd71f0bf75f0c077f06b468aad7ff1b185f29472c7
+8a6bb7b78ef3be9af4c2a0f56e5b8dc09ef5d3b5f7e9d0fa887c90f3e4fcfaf4feffffff9c9c9c
+f2ebf5fcf2fefcf2fe878a9188aab4beb8c1929292ffffffffffffffffff8e726ef29388f29388
+f29287ed8d82ba6651ef8369cc8473e29e8ee09c8bf5b1a18d6e63f8d8c2f8d8c2f8d8c2bc9b85
+d1814bc87b48e1dbd7ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78efcf70eed366eed366eea16489643aeed366eed366eeb065ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceec265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8d46a0d160eed160ee
+7234829746ac7f3a9052335ae6e6e6fefefebfbfbf9a46aed260eed260ee8f41a27e3b8f7b398c
+5a2967c2c2c2f3f3f3f2f2f26e448ab662eeb662eeb662ee8a4cb4a85eda9556c0a475c46f587e
+87659e634a75af83cd79439c77429b623a7da160ccbd71f0be73f06b468aad7ff1ad7ff1906dc6
+8a6bb7b78ef3b78ff3be9af46e5b8dc09ef5c09ef5e1c6f9887c90f3e4fcf3e5fcfaf4fe9c9c9c
+f2eef5fcf4fefcf2fe8e8a8ae7e8bec5bc90dfd4a7c1b999b9b193f8edc08e786af7b9b2f7b9b2
+f7b9b2e6a28c925040ef8369ef8369ef8369ef8369ef83698d665dffffffffffffffffff9e9e9e
+7a4522b26c3dd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cd76eed366eed366eea16489643aeed366eed366eeb065ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceecf65eea165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff979498f1f1f1ffffff834b92d46befd46bef
+793c89d261eecb5ee6a64dbc5931639c53afad59c2b8b2bafcf3fefcf3feaba5acbc59d5cf62eb
+c25cdc733b8271468a9a54ae8f7f97ece3f1f2e7f9f4e8fc7e678db866eeb867ef8a4db39a5bc5
+ae67ddae67ddbe77ed8956acb271dfb974e78757a7714c8b734d8c9f70bfdab9f2dfc1f6cbade2
+ac82d5c394f3c59fefcda7f6a68ac2b898dd8971a8cba9ee877990f4e6fcf4e6fcf4e6fc98939b
+f2eff5fcf8fffcf4fe888a90bee9e9efe8b6f6e8aeafa57c9b5553c2b488908c7cffffffffffff
+ffffffe0ca9e925040ef8368ef8369ef8369ef8369ef83698d665dffffffffffffffffff9e9e9e
+72370f8b5430d1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc77eed366eed366eea16489643aeed366eed366eeb065ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceed365eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff874597884b9788708fd9cddbd3cdd5f5dcfb
+89738fdc84f2dc84f2a459b79747abb154c9733682c0a7c6cecacff5ddfba696abc577d8dc85f2
+c972df774685b866eeb866eeb866ee6d3d8c6d3d8c6a3c8968467eb695cbba8bb8a17eb8a674c8
+ca8df3bb7fe4c285ea6e458ac078f0c17af16f478ac683f1c787f2c787f2895da7b582d8cf99f4
+cf99f4c592e8856999deb8f8dfbaf8b093c4957fa48b77987c7283fbf5fecfcecffbf5fe99969b
+f3f0f5eeebf1f3f0f5888c91b1e9f7bbe9ecefe8b5bfae84d77371bd6b66897169fce6e3e5d9d7
+fce6e3e1bb97946154f39e89db8671e7937ecd705aef83698d665dffffffffffffffffff9e9e9e
+be591424160cd1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc77eed366eed366eea16489643aeed366eed366eeb565ee9c6489753aeed365eebf65
+ee9c6589673aeed365eecd65ee9c65ee9c6589783aeed365eea565ee9c6589693aeed365eeb365
+ee9c65e999638d7d3ceed365eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff8d489ed261eed261ee7435839b48af7e3a8e
+5c3c64e5e5e5f1f1f1c4c4c49747abd263eed263eed263ee6430717b3a8b5a2b66bcbcbcffffff
+ededed89858db866eeb866eeb866ee7a459eba6befba6befba6bef5d3676804ba255316dd2d2d2
+d7d7d7f1f1f1f7f7f76f468ac077f0c078f06f478ac581f1c582f1c786f2895da7b27bd7cb8ff3
+ce98f4c592e8815e98d4a2f5dfb9f8b093c4b39ac3ebd2fbebd3fbebd3fb6a586f8b78935b5261
+f5f5f5cacacaf6f6f6899091b1e9f7b1e9f7bde9eaacae97d67571f18980f18b80f18b8079443e
+b1645be8867b9c9c9cffffffe9e9e9cccccc7f4027c26a548d665dffffffd7d7d7ffffff9e9e9e
+be5914565656d1d1d1ffffffffffffffffff8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efd16ceed366eeaa6589643aeed366eed366eec866ee9c6489753aeed365eec665
+ee9d6589673aeed365eed265eeaa65ee9c6589783aeed365eeb765ee9c6589693aeed365eec665
+ee9c65e999638d7d3ceed365eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff959196e9e9e9fbfbfb865094d66fefd66fef7a3e89d262eecd60e8
+c75ee29a4ead693875a654bab5b0b6fcf6fefcf6fefcf6fe7e4b8ad164ecc65fe0753c837c458a
+7c448a7c468af3e7f8f3e7f8f7e9fd806a8eba6aefba6aefba6bef6c4089bd71f0b56de6be78ee
+67447e724e8b9462b5a880c2a18eaead96bc826496c581f1b677dfc581f1885aa6b27bd7c98bf3
+ca8ef3c590e8815e98cf98f4d4a2f5b092c4af92c2e3c2f9ead1fbebd3fb88708febbff5e0b6ea
+eec5f9646073a091b18a788ffafefffafefffafeffb3b5b6cf6c6cf17f7ef1867ff18b80935048
+c86054b1635ba39997fef3f2fef3f2cbc2c1b65935b45837643427ed7556e76e50ed7557934936
+f0eae6896d5ade6e23e46d2a8d4520e6955f8a7545f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efd06deed366eeb96589643aeed366eed366eec866ee9c6489753aeed365eed365
+ee9f6589673aeed365eed365eeae65ee9c6589783aeed365eebc65ee9c6589693aeed365eecb65
+ee9c65e999638d7d3ceed365eeae65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff7640838b419e886591efd5f6dfd0e3f4dafb8a748fdd87f2dd87f2
+c36dd8a062afb355ca7f3c8fbda3c4cac6cbe0d1e4f5dafb82598cdd89f2ca76df784784d468ef
+d468efd468efa953be5a2f6ba250b77e528be8cdfae8cdfae8cdfa75528cbd70f0bd71f0bd72f0
+6e448ac078f0c17af1c17af18c5badc583f2c583f2c583f2543966724e8b5e4072ccabe2c3a9d5
+b19cbfd2b3e7886e99dab0f7c197ddaf90c3af92c2dfbaf8e0bcf8e8cdfa88718feec3f9eec2f9
+eec2f9918e979bc3bd766c63fcf8e7cccbc9fcf8e7b4b1a5d28787f49c9cdb8383f4a09dae6860
+ef7466ef7567ef7567ef7567ef7567bf5e52c0a194f8d0bfd6bfb6f8cfc1683529ec6c4c93432f
+f3f3f38b6c5ae56120e75e23aa451ad5d5d58a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efd06deed366eeb96589643aeed366eed366eec866ee9c6489753aeed365eed365
+ee9f6589673aeed365eed365eeae65ee9c6589783aeed365eebc65ee9c6589693aeed365eecb65
+ee9c65e999638d7d3ceed365eeba65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff7b428ad262eed262eed262ee632e707c3a8d7b4987ffffffffffff
+eaeaeab9b9b9b355cad364eed364ee6732758e44a07c3b8c837b85d5d5d5efefef8b878cd468ef
+d468efd468efbb5cd3b25fd1b25bc8c56adc9e68ab765a888b5f966d527ba46cabd6a7f6d6a7f6
+6f468ac077f0c077f0c179f170478ac480f1c582f2c583f2724d8bca8bf3cb8ef3cb8ef3956cb0
+aa80c6cb97eec89ee5a085b3735d81ad8bc3b8a7c5ebd4fbebd4fbecd6fb88718feec3f9eec3f9
+eec2f98b8a96d9e2b4f4e299f4e299774c419f825faea16ddbdbdbffffffeaeaeaffffff8f7a78
+ee7163ef7466ef7567ef7567ef7567bf5e52c5c5c5ffffffffffffffffff622f1aab4e3793432f
+edccbdd6602ee75e23e75e23c24f1dbab1ae8a7647f0cc78f0cc78f0cc78f0cc78f0cc78f0cc78
+f0cc78f0cc78efce73eed366eeb96589643aeed366eed366eec866ee9c6489753aeed365eed365
+ee9f6589673aeed365eed365eeae65ee9c6589783aeed365eebc65ee9c6589693aeed365eecb65
+ee9c65e999638d7d3ceed365eeba65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff938e94e4e4e4f9f9f993789aeab5f7eab5f7eab5f7a666b7ce61ea844594ca9fd5a68dac
+d4a3e0a77db2c79bd2dba7e7cc97d87c458ad366eed065ebcf67e9743c827b428a55315ef4e7f8
+eae2ecf9e9fdc6b9c99254bac26cefce6def864597b16ae1b56de6b971ea653e7c70498a905bb3
+94899bf0e8f6eae4eef6ebfd7f688ec47ff1c47ff1c581f2724c8bc786f2c98af2cb8ef374528b
+ce94f4d19df5d29ef5ac80c5cb90da815d8bd8b6e0b6a5bac0abc5edccf58d8191f7e3fccdb9d2
+f3dff876828f9de2f2c9e2c5f1e29c8b564ade70706a4c3cded1d1fef1f1f3ececfef1f18f7572
+ee7163ee7163ee7365ef7567ef7567bf5e52c5c5c5ffffffffffffffffff823b1d89381a8e412e
+e9ae95f4b398f4b398f4b398ba7a5e8d6a5b8e836df8e7c0f8e7c0f8e7c0bca56fefc970efc970
+efc46fb99d57efd06deed366eeb96589643aeed366eed366eed366eea86489753aeed365eed365
+ee9f6589673aeed365eed365eeba65ee9c6589783aeed365eebc65ee9c6589693aeed365eecf65
+eea465e999638d7d3ceed365eeba65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff7843858e43a1896392edd1f4d1c7d3e9d3eff4d8fb86698edd8af2c26fd7a466b39447a7
+8c439e663173aaa6abddcde1f4d8fb825b8cde8df2de8df2c371d79b59abd469efd469efac55c2
+6734738c459d7e3e8eb5a2c2e9d0fae9d0fa97849eb26ae2bd71f0bd72f06d428ac077f0c078f0
+c078f08d58b066417f6f468a735588ddb5f7b39ac3ddb5f77b618dd5a4f5c190e1ce9eee7a5d8d
+cb8ff3cc92f3d19df58a68a1d194e0e6a5f6e6a6f6845e8db37bc1885f92a08da5eaddedd5ced7
+f8e6fc7d858fb4e9f799cedbc8e9e2855755f17b7bf17b7bf17b7bf17b7b783d3de977778c5554
+fad1cdebb492fad1cdc098949a4a3fbf5e52c5c5c5ffffffffffffffffff833b1dba46152b130c
+f3f3f3ffffffffffffffffff8181818c8c8c8e8e8effffffffffffffffff8e8266efc668efc668
+efbd6689743aeed366eed366eec96689643aeed366eed366eed366eea86489753aeed365eed365
+eeaf6589673aeed365eed365eec565ee9c6589783aeed365eecc65ee9c6589693aeed365eed365
+eeab65e999638d7d3ceed365eec065ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff7c458ad263eed263eed263ee70357f833e94aa50c0835f8dffffffecececbdbdbdb054c6
+d365eed365ee6933779046a37b3b8b817883d4d4d4ffffffececec8b788fd469efd469efac55c2
+a253b6c364dbb05ac5d27de8654a6b9a65a78b5599cba0e7d7aaf6d7aaf6704b6abf76f0bf77f0
+c078f08d58b0a369cac37ef1c37ef1c37ef1563869724a8c807b84d4d4d4f1f1f1fafafa897e90
+cb8ff3cb8ff3cc92f38967a1d08fdfe49ef4e6a5f6845e8de39cf4e39cf4e39cf4ac76b9547b8b
+b780c689738fffffffecececffffff8c5a5af17979f17a7af17b7bf17b7b7d3e3a964b478d5d5d
+ffffffe9d4a8ffffffccbab6c85c4170352cb96a56ef896fef896fef896f833114e34e1a76250e
+e26740d25d41b4775ff2b79d744835c3c3c3929292ffffffffffffffffff8e8266efc668efc668
+efc46889773beed366eed366eed16689643aeed366eed366eed366eea86489753aeed365eed365
+eeb76589673aeed365eed365eec565ee9c6589783aeed365eed365ee9d6589693aeed365eed365
+eeab65e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff918c93e6e6e6
+ffffff957c9cebb8f7ebb8f7ebb8f7a869b7d364eea14db6754681887e8bce9fdaab7eb6c49ace
+ebb9f7cd9bd96c377ad367efd166edd067ec763c857b408a7d418c8b5998f0e5f3f6e8facabdcd
+a252b6d56cefd56defd56defa155b5bd64d4794087e2abf0a18ca7c29dcc7a5365e2c1f8e2c1f8
+b493caa68eb6a368cac27cf1c37ef1c37ef1784b8bd984f0d984ef7b4c877f518b82528f8f689a
+f1e9f4f7ecfafaeefda49da7d08fdfe39cf4e49ef4835d8de39bf4e39bf4e39cf4b37dbd7fb9be
+7aa4ab776b6dfdfbf1f1f0eafdfbf18c5a58f17979f17979f17979f17a7ab55953e9716499554e
+f6b4aca87f67f6b4aca47873dfa99cc89a8fc5988df6beb0b36f5ee66d4f918784fefaf9fefaf9
+fefaf9c1bdbc351209d744206c3b2fa35839e66833e96837953f28df7a4e8b6f4defc668efc668
+efc66889773beed366eed366eed16689643aeed366eed366eed366eea86489753aeed365eed365
+eeb76589673aeed365eed365eec565ee9c6589783aeed365eed365ee9d6589693aeed365eed365
+eeab65e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff7946868f4ca1
+afa8b0fafafaffffffffffffffffff886f8ed364eed364ee9f4cb4ad53c39246a4683276d4b7db
+959096f3d6fa835d8ddf90f3df90f3df90f39a5aaad46aefd46aefd46aef9048a27f408fac56c2
+b9a0bff2d2faf2d2faf2d2fa7d488ad670f0d671f0d671f0944fa5a258b56d4477cbb7d0a8a8a8
+f3d9f9b4a0b8b186cdd29ff5d29ff5d2a0f4714a8bcc82f1db85f29b5fabde8af3de8bf3de8bf3
+955ea473487d955da3845391e2cee6f6e1fcf6e1fc8c7b90e39bf4e39bf4e39bf4be87c3a8c1a1
+f1dd89f2dd88f2dd8857432fc3b26d8e7c6ffbd6d6fbd6d6fbd6d6fbd6d68c5d58ee7366ef7568
+ef7568632b25af554c9f4e45e7e7e7ffffffffffffffffff69605eac5039918987ffffffffffff
+ffffffc0c0c06e200c641e0c8a584c8d6655e76431e95b35e95a369292928e8266efc668efc668
+efc66889773beed366eed366eed16689643aeed366eed366eed366eeb86589753aeed365eed365
+eeb76589673aeed365eed365eec965ee9f6589783aeed365eed365ee9d6589693aeed365eed365
+eeb165e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff1e3c7f7efe0ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffa35ab5d263ee
+b857d1d678ed7b4f8681528dd379ea7f508be5a4f5e5a4f5ad7cb9ad53c3d366eed366eed366ee
+5f2e6c9347a68c7b90ffffffffffffffffff8b7a90d469efd469efd46aefac56c2b65ccc743a82
+ca9fd5c8afceeec2f8eec2f87d468ad670f0d670f0d671f08a499ad875f0d875f0b864cda65db8
+7e468c9b56acd7b0e1c9b2ceefc8f9efc7f9714a8bc481f1c782f17a4c8bdc86f2dd8af3de8bf3
+b471c5d185e5c87fdbca80dde09cf2805f8886648f7d5a86efc5f9efc5f9efc5f9b595bd6fb4c5
+9dddddd1dda9f2dd88b05856b95f5ba87573f9c6c6dcb8b8ebbfbff9c6c68b5854ee7264ee7264
+ee7366863931a1453c88423be7e7e7ffffffffffffffffff8d6e668c39248b8685ffffffffffff
+ffffffc0c0c0aa31133b11076d4f48bea6a0e75a35e95a36e95a368a574a8e8266efc668efc668
+efc66889773beed366eed366eed16689643aeed366eed366eed366eec06589753aeed365eed365
+eeb76589673aeed365eed365eed365eea66589783aeed365eed365ee9d6589693aeed365eed365
+eec365e999638d7d3ceed365eed165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0fffffffffffffffffffffffff7efdefaf6edffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffe1e1e1ffffffffffff7d488ad263ee
+d263eed263ee9f4bb4d163ec7f3c8f7645829e85a4d8a1e6ae7fb9c19acbecbcf8d09fdbdaaae5
+a04fb5ba5ad2a769b6a78aae9e86a4d7a2e485648decbdf8ecbdf8be8fcaa181a9bf61d6d56cef
+d56cef5b2f667b40899a4fad99839ee6e0e8f3e7f6f9eafd876a8ed774f0d774f0a258b5b364c7
+d97af1d97af1d97af155315f7d478aa45db6988d9be4e0e6f9ecfd8a778fdc86f2dc86f2dd88f2
+955da3c87cdade8cf3de8df3de8df3a768b7db86f08d5999ecbbf8bd9fc5d8b0e2b38ebca5c4cb
+cbf0f99dc2cbdef0e68b4746f07676f07676f07676ab5454763636e26f6f8e6d6dfffdfdfffdfd
+fffdfd894942d95a4c652e28e8d5d3fdeae8fdeae8fdeae88d675ec44a2b84564af3a28ef3a38e
+f3a38eb77b6bc08b7ea98177512c23dd5634a93b20de4d29d54d2bac4c3465593eefc668efc668
+efc66889773beed366eed366eed36689793beed366eed366eed366eec06589753aeed365eed365
+eece6589673aeed365eed365eed365eea66589783aeed365eed365eeb46589693aeed365eed365
+eec365e999638d7d3ceed365eed365eeb165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff613e6a8f7595b7b7b7d2c3d6f2d2fa
+f2d2faf2d2fa84618dd364eed364eea34db79247a58a429b723681d1d1d1ffffffffffffffffff
+7a3e89d367efd467ef7a3b89c260db8a449b73477ebfaac4abaaabf3d4faa590aac986dae196f4
+e196f49651a7d670f0d670f0d670f06d397a814490974faa6d4e75f3d7fbe4b8bdb6a1bcb263c6
+d878f0d979f1d97af19857a8da7ef1da7ef1b96bcd673c728b5099684970f5dcfbf5dcfbf5dcfb
+a594a9c87cdade8af2de8bf2de8cf37f508bdd87f2dd87f2dd87f28b55985f7694935aa1d0d0d0
+ffffffffffffffffff8a4646f07575f07575f07676ab5454cc58589c46467c6464ffffffffffff
+ffffff8a4a43ec6354ed6556ed6556ed6657ed6657ed66578a5149f8cec3dcc3bdf8cec4b48b81
+c54d2eb04529c18d80e48d78dd7359dd7359794538da93815e4039ca8d7e91614ef1b892d6b08f
+f1b892897640eed366eed366eed36689793beed366eed366eed366eec06589753aeed365eed365
+eece6589673aeed365eed365eed365eea66589783aeed365eed365eeb46589693aeed365eed365
+eec365e999638d7d3ceed365eed365eeb265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffa45cb6cd60e8b455ccd576ed7a4d85
+9d5daed879f07f4f8be6a7f5e6a7f5c68bd4bb5ad3d065ebb558ccd375ea5c3f637f508bc974de
+84608de6a9f6e6a9f681588cd469efd469efd469efaf57c5aa56bf7a3e89974caab69cbdecbff7
+edc0f87d478ad670efd670efd670f0a256b5d773f0ba64d0c16bd66b4a7387558aa565b5c093cb
+e9b2f6e9b2f6e9b3f77d488ad97cf1da7df1b96bcd9e5caecd78e2c274d5e092f3654a6c93659e
+9662a3d5aadfecbdf8ecbdf8ecbdf884618ddd87f2dd87f2dd87f2b177acaad0b4878567ded4ac
+ccc7b0f8eec6f9efc78a4645f07676f07676f07676c86161dc5f5fea6565d86464ed7b7b734646
+f17d7d8c5a56f4a59df4a59df4a69dde90877f362eed66578c5c56ffffffffffffffffff9e9e9e
+7a2a15af4429d1d1d1ffffffffffffffffff2222228d402d8b7570854839dd4018de4018b23313
+ba87798a7b49eed366eed366eed36689793beed366eed366eed366eec86689773aeed365eed365
+eece6589673aeed365eed365eed365eea66589783aeed365eed365eeb46589693aeed365eed365
+eec365e999638d7d3ceed365eed365eeb265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffdededeffffffffffff7d4a8ad263eed263eed263ee864098
+b455cb7f3c90885893e4dee5f8e7fcbfb2c2a952bfd366eed366eed366eea04eb4d467ef8a439b
+76587eb48fbee1a5f085638dedc0f8edc0f8bf92caa485acbb5ed2d56cefd56cef763c857b3f8a
+b25ac78e8591ffffffffffffffffff89738fd772f0d773f0d773f07b438ace70e67d448bd69de3
+a88daf9c86a1d5a5e189728fefc8f9efc8f99d7ca69e5baeda7ef1db7ff1db80f17d498aca76df
+7f4a8cdfabeca28ba7bb9ac3e7b4f4886d8ef1ccfac29ecbf1ccfa97809ca9ceb1ebda83f1da7d
+7f6c418b4d43d0b96b92918fffffffffffffffffffb6b6b6cd5858ee6767ef6868ea6666522420
+c55655918282ffffffffffffffffffcccccc933429aa473c8c5c56ffffffffffffffffff9e9e9e
+d2431f561e10d1d1d1ffffffffffffffffff7123105e433d706663bc573ede4018de4018d03c16
+8c584a867a48eed366eed366eed36689793beed366eed366eed366eed36689793aeed365eed365
+eece6589673aeed365eed365eed365eebd6589783aeed365eed365eeb46589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eeb265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff64416da092a3ebebebdccedff3d4faf3d4faf3d4fa9e6fa9
+d364eed364eea64fbb6d357b7b3b8b723680c3abc9f3d5faf3d5faf3d5fa7a3f89d367efd467ef
+7a3b89ab55c17f3e8f64446cffffffffffffffffffb1b1b1bb5ed2d56befd56cef7a3e89d56eef
+9e51b19c7aa49c909fc9beccf2d3fa886d8ee39cf5e39cf5e39df57e4b8bd775f0d876f0d876f0
+7c448ac86fdf8f4f9fa688adc2aec8beb2c1cfb6d5a677b1e5a5f5e5a5f5e5a5f57e4d8bda7ff1
+db80f1db80f17d498aac62be8e529c6d5673ffffffffffffffffffa0a0a076cee492dadcc5daa9
+897248f07171ab5c52d79a9afad5d58f8989fad4d4b39898d17f7ff39494f39494ee91918d3e35
+b14e44857d7cffffffffffffffffffccccccb54033c346384d3634f9cdc8cb9e99f9cdc89b7f7c
+e37a60ab6b5bdfdfdfa7a7a7e2bebaf8c4be8346379f6354895041ea8b7acf8777ea917a754135
+6a3e35726f61faf3d5faf3d5faf3d58d8565eed366eed366eed366eed36689793aeed365eed365
+eece6589673aeed365eed365eed365eebd6589783aeed365eed365eeb46589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eec365ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffa45fb6c25cdc8d4f9ddfaeebc2a6c9e8b8f4ebbaf7825a8c
+d467eed467eeba5bd1b95ad1d165ecb859d0d273ea5b3d62b869cbd879ef8e8391f9ecfdfaecfd
+835b8cd469efd469efbe60d6a461b472497d8d569a9454a4dcd0dffaecfdd7c9da827785d56eef
+d56eefd56eef9c51afa456b8814391a867b9c9add1e5bbf0edbff880528bd777eed878f0d878f0
+7c458ad877f0d878f0d878f09b56ad864a94693b75b8b8b8ffffffffffffffffff81588cda7ff1
+da7ff1db80f1a55fb6da7cf1cd74e2c573d9df8cf34b5565bc7acd8c5898e2edf0d4e0e3dae6e9
+8f817cf07171f07272f07272f072727d3737984646aa5151dbdbdbfffffffffffffbfafab65146
+ed6a5be16e61ef7e71aa5f56af6057bf645ac3b5b3fae9e7b7b3b2fceae869302ae9574692372c
+f3f3f3ffffffffffff81787750130dd63523895d58da5c4ed5311dd9301d6c170dcb766a854037
+931e119a524af2a198f2a198f1a39a8a6850eed366eed366eed366eed36689793aeed365eed365
+eed26589773aeed365eed365eed365eebd6589783aeed365eed365eec96589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eec965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff7e4c8bd263eed264eed264ee6932777c3b8cab52c281588c
+ffffffffffffc8c8c8a650bbd366eed366eed366ee88429a9a4bae7a3b8a99859ee8deebf8e5fc
+89748fd469efd469efd469ef964aaab85ccfc764e07f408ed699e586778adda2eb84618deec4f9
+eec4f9c096ca845f8dd670f0d670f0d670f0874798763e849f53b3847388e9d4a8ffffffffffff
+8e8290d877f0d877f0d878f09b56adb967cecc71e2cc93dae6aef49e86a4dfaaec89718ff0cbf9
+cca8d6e5c0ef86658dda7cf1da7cf1da7cf1da7cf166858874969b604451f1eddcebe9dffcf8e8
+8f8078f07171f07171f07171f07272893d3de261616f3232dfc8c8ebdedefce5e5f7e0e08d3e35
+ed6859ed695aed6a5b9e473d80332bae4f44c5c5c5ffffffffffffffffff7f332b9635298a342a
+f3f3f3ffffffffffff907b79b52b1b7d1f14918f8effffffffffffffffff70504d4b1009823b33
+f7c1bbf4aaa2f4aaa2c37971693c378b5f52f8edc1f8edc1f8edc1f8edc1897b41eed365eed365
+eed36589793aeed365eed365eed365eebd6589783aeed365eed365eecc6589693aeed365eed365
+eed365e9a0638d7d3ceed365eed365eec965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff8b8b8bddddddffffffa785afe094f3e094f3e095f37e4c8bd364eea04cb5573060
+969696cfbed3bda2c4b177c0e196f3e196f3e196f39149a4d367efd367efd367ef62306f8c459f
+7c4989f4d8fbf4d8fbf4d8fbad9ab2b75ccfd56befd56befcf68e9763c8583429356305fffffff
+ffffffffffff8a758fd670f0d670f0d670f0874798ca6be2b25fc79870a2917368aeaeaee6cced
+89738fe4a2f5e4a2f5e4a2f5a475b0b967cdd979f1d979f1d577ed5f35698d4f9d867f88ffffff
+ffffffffffff8b7990da7cf1da7cf1da7cf1da7cf1798d83d2d894f0d876f0d876715e37bda45c
+8b7c4ffbdadafbdadafbdadafbdada8b4d4def6868ef6868ef6868793434b34d4dea666695817f
+fad8d4eab894fad8d4a7908ed353467b322ac5c5c5ffffffffffffffffff87362dc43f2f531e18
+ecbdb8cba6a2b8a4a28d6965ef76698e2c21aa736cf7c0bad8b8b5ffffff8b5650cb2c1b5e342f
+ffffffffffffffffffadadad6b1d14473533ffffffffffffffffffffffff8a7c45eed365eed365
+eed36589793aeed365eed365eed365eecd6589793aeed365eed365eecc6589693aeed365eed365
+eed365e9b1638d7d3ceed365eed365eec965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff754a809a5aaaafacb0f6f6f6ffffffffffffffffff8a768fd364eed364eebb59d3
+a64fbb9b4aaf9a4aaece9bdabda2c3e8b6f4ebb8f77b428ad56df0d56df0d56df0a050b5c15ed9
+7f478ed0acd9b29db8e8b7f4a783b0b961cfd671f0d671f0d36feca454b8d56defc163d9b66bc8
+674371a763b8815e89fbeffdf6ebf9ccc1cf9f97a0ca6be2d772f0d772f0794087bf67d6874997
+a660b7d2b0dad6b2dfecbef8aa89b2ba6bced97df1da7df1d87cefa55cb8d174e8cd78e3ba74cb
+674570845690816089fbf1fdf7edf9cdc2cffbf1fd4d7e8b79d8edadd8b9e9d87d896242bc5b57
+5c523bfffffffbfbfbffffffffffff8c5353ef6767ef6767ef6868893a3aa54141cc5959989898
+ffffffe9d4a8ffffffccb8b6df594be75e4fe86b5ee06c5f9f5149ee7164907f7dfdebe9bfbcbb
+f6e6e4beb1b05f1e17853f37fffffffdedebfce9e7fce9e7342625bb43358b5a54fce9e6c4bbbb
+fffffff8f8f86c2e279b3125e1d1d0bababaffffffffffff867674d14e3f90837cfdfaeefdfaee
+fdfaee8e8668eed365eed365eed365eed36589793aeed365eed365eecc6589693aeed365eed365
+eed365e9b8638d7d3ceed365eed365eece65eea265ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff7f4f8bd264eeba58d24a24538a768fb087bacf96dd84628deec3f8eec3f8bf9cc7
+a34eb8d365eed365eed365ee4f2659874199bb59d3908b91ffffffffffffffffff876b8ed468ef
+d468efa451b9974caa7d3e8d62306edac7dfe7dbeaf7e3fcf0ddf580418fd56cefd56cefad58c2
+a354b6ae59c29758a6e6a6f55a4a5ed89fe692699be1bceaefc8f9efc8f97a4f59d773f0d774f0
+d774f09e55b06e3c7b8246928f4da0dadadafffffffffffffbfbfb80478ed878f0d878f0b162c5
+a359b5d474ec975ba6e7abf653535fd9a3e6e7abf676858fcaf0f9caf0f9cef0f58c6a5eef6f6f
+c86363f5a7a7644c4ccd9494f5a7a78e6c6cf9c4c4f9c4c4f9c4c4a06868ed5d5d973d3da88e8e
+fce1e1d7b693fce1e1a89696d65447ec5d4eec5f50dc594b511e19ce5447918887ffffffffffff
+ffffffc0c0c09b2f23492b28ffffffffffffffffffffffff8940385b160f8c5a55ffffffffffff
+fffffff8f8f86a1e155b140de5e5e5ffffffffffffffffff8e6d6a902d22868281ffffffffffff
+ffffff8e886eeed365eed365eed365eed36589793aeed365eed365eecd65896c3aeed365eed365
+eed365e9b8638d7d3ceed365eed365eed365eea965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff7f4f8bd263eed264ee783989d364eead52c3b857cfa253b5825e8ad786ebb26ec2
+ae76bce298f4e298f4e298f4a051b5c761e2b357cbc370d8886292d185e4de8cf380548ce29af4
+e29af4b277c1bc5ed4d46aefd46aefd269ec472450884499c663df938497f5dcfbf5dcfbc7b2cc
+a254b6d56eefd66eefd66eef773e85894799562c60f0f0f0ffffffffffff78583ad773f0d773f0
+d773f0b662cbc369dad070e8b964cfd78cea7d6084e195f4dd93ef876191e5a5f5e5a5f5bc87c9
+a359b5d876f0d876f0d876f0486f8664769faa5dbd908991ffffffffffffffffff8e6f6fef6e6e
+ef6f6fef6f6f893c3cb14d4dae5050907c7cffffffffffffffffffa88383ed5e5eee5e5eee5f5f
+ee5f5f5a2323cf53539f3f3fe3c4c0fad8d4fad8d4e9c9c68b3329983b318c8686ffffffffffff
+ffffffc0c0c0bf3a2b703730ffffffffffffffffffffffff894038b731225a4e4dffffffffffff
+fffffffbf8f8b33224be3526e7685bcc655aa35a52ee6f6189453ddd8277d7948df6b3abb28883
+c46a5f8a5e48f4e298f4e298f4e298f4e29889793beed365eed365eed36589793aeed365eed365
+eed365e9b8638d7d3ceed365eed365eed365eea965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffc5c0c6fbf0fdfbf0fd8f8791d364eed364eed364eeac52c29145a3803d90823e93
+c5c5c5f9f9f9ffffffffffff7c458ad366eed367efd367ef743984864298823f937d5d86fdfdfd
+ffffffb9b9b9b45acbd46aefd46aefd369eda252b6c664dfa955bea47aaea796abeab7f6be95c9
+a45ab7d776f0d776f0d876f0a254b5d66fefc667ddd87bef72467c9d5dad7e4f83fbf2fefbf2fe
+cdc4cfb8b2bab461c9d774f0d774f0d774f06536717b428a9b54ad979797fbfbfbfdfdfdd1d1d1
+a359b5d876f0d876f0d876f0909a83acd2ae99a580b8aa7bded4afd6cdabf7ebba8c6b5bf07676
+f07676f07676893e3eef6767ca5858ae6b6bf7b6b6c3a0a0f6b6b68c5c5cee6666ee6666ee6666
+ee6767873232a73d3d813333e7e7e7f9f9f9fffffff4f0f0bb4638bf473ab56e66f5afa7cb9f9a
+ebaba4b9847ec04335e15141ec6354ec645465302ae759498e726ffaecebc0c0c0ffffff897d7b
+a23e33e24d3d988f8edacac8f2e2e0cdc0bf882c21b032248a4d46ffffffffffffffffffa1a1a1
+a0392d6f4d4afffffffffffff9f9f9ffffff897a3eeed365eed365eed36589793aeed365eed365
+eed365e9c3638d7d3ceed365eed365eed365eea965ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff918f92d364eed364eed364eeac52c2a04cb4d365eea24db7
+ce89df59475ec28ecfe39ef4886f8eefc6f9efc6f9efc6f9825b8cd468efcb64e562306f866a8d
+d197e0a574b2cba9d3efc8f9efc8f9ecc5f67d3f8cd56befd56befb058c58644967d3f8d8a459b
+c3c3c3ffffffffffffffffff7e4a8ad66fefd66fefd66fef8d4a9eb860ce663f70f7e2fcd3d0d4
+f6e2fbb5a6b9b461c9d774f0d774f0d774f07c428ad773f0b360c8bf80cf9e73a9927599bd89c9
+b59abcf0ccf9f0ccf9f0ccf94f7a87acd6b5e0d681f0d671baa658783636ab8c508d8563ffffff
+ffffffffffff8c5555ef6767ef6868ef6868ef68686f2f2fa245458c5353ffffffffffffffffff
+ffffff8a4444ed5656aa3e3eeb8d8d825252e99292e38b8b9f7b78f8c0baf8c1bbf8c1bb9a7874
+8b3328a23d31d1d1d1ffffffffffffffffff7b2a21912e228f7774ffffffffffffffffff8f7572
+ce3f2f992a1e9a9a9affffffffffffcececeb33a2cbf3e2f79423cfbdbd7f7dad6ead6d39e8a88
+de4f3fed6454f29489f294897f514bea91878e8670f9efc6f9efc6f9efc68c8156eed365eed365
+eed365e9cf638d7d3ceed365eed365eed365eeae65ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffe6e6e6f5dcfbf5dcfbf5dcfbc8b4cda04cb4d365eed365ee
+d365ee7639859a4bae7f3d8f8b868cffffffffffffffffff886d8ed468efd468ef9d4db19d4eb1
+8d469f5f2f6bd8d8d8fffffffffffffcfcfc7d3f8cd56befd56befb058c59f51b3d36beda554b9
+d17fe574577bc37fd4de8df3835b8ce4a1f5e4a1f5e4a1f5945ca2d670f0d670f0d670f0683674
+854695864696cebcd3f6e0fcf6e0fcf6dffb7c428ad773f0d773f0d773f0944fa5a658ba6c3a79
+c0c0c0ffffffffffffffffff4d7e8b71d6f07bd6e6a9d6b8c1b071d36060d86462d9726af38d8d
+805959f38d8d8c5757f59c9cf59c9cf59c9cf59c9c8a4848d65656613f3fffffffffffffffffff
+ffffff8a4343ed5555ed5656ed57577d2f2d993a36d64f4fa4a4a4ffffffffffffffffff9e9e9e
+da4d3d752a21d1d1d1ffffffffffffffffff862e24b73a2c807371ffffffffffffffffffb9827b
+e94735d14030d75a4cee70627e4e49c05b50b96a61f18a7ff18a7ff18a7fdf80754a1812943025
+ecccc9fbd9d5fbd9d5fbd9d57e575396382d908d8dffffffffffffffffff8d8667eed365eed365
+eed365e9cf638d7d3ceed365eed365eed365eec165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffe7e7e7ddd7dffcf3fee6dde8
+e3dae57c468ad366eecd63e7723c807c478a9954aacf6ee784618dfcf3fefcf3fe8c868db158c7
+d469efc863e2d472ed5032587d488abc67d1908c92f7eff9f9f1fba59ea69f51b3d56cefd56cef
+d56cef723a80964ca8954ca7948a97f7f7f7ffffffffffff89718fd670f0d670f0d670f07b408a
+cd6be68d4a9fd6a3e3bb9fc3e0b2ebeab8f77d488bda7df1da7df1da7df1b265c6c86ae0cc6ce5
+d477ecd077e7513b5ebc6fd28a8691f4fcfef4fcfec6cdcfc1c3c0bf5656ef6c6cef6c6cef6c6c
+7633339f47478d7878ffffffffffffffffffffffffb97676ee6161e66060ef6d6dea6b6b693636
+eb6b6b907c7cfef2f2d9cecef3e8e88e6d6ae65b4d7e2f2da4a4a4fffffff7f7f7ffffff9e9e9e
+df4f3fe65241e95e4e853c349b443aed6152918887fdf1f0c8c6c6ffffffbababa9d3f358a4b44
+fdf1effaeeecd2c6c4fdf1ef7838316a2018c3c3c3ffffffffffffffffffececec7a2b22551c16
+f0f0f0fbfbfbfcfcfcffffff8d6964e45747e45e4fed675893443cb852488d655efefcf3fefcf3
+fefcf3f9f7ee8d7d3ceed365eed365eed365eec165ee9c65ee9c65ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff81578cdd87f2dd87f2663373d367efb759cf803e916c4e74dad0dcf5defcb6a4bab973ca
+dd8af2ce7ae3d581ea7a3d89d46aef9349a59a60a8645469c590d2bc83cab398baf0cbf9f0cbf9
+f0cbf97d478ad56defba5fd1d784eb6f5276997ba1ba8bc586668ef0ccfae2b0c2f0ccfa7f508b
+d670f0d670f0d670f0713b7e864696b45eca939393ffffffffffffffffffb0b0b0bd64d4d671f0
+d671f0ce6ee669978c768a8c9c9481f1ecdadad8d0fcf6dfc3bfadc27070f28c8cdb7474f28c8c
+9f4646d95e5e966e6efcdedeedd8d8f3dadafcdede8d6565f28383da6b6bf28383ec80807f3030
+9c3e3e8b7f7fffffffffffffffffff8e726fec5f4fc24e42d2786ef3998e4a3d3cf3998e975f58
+ecb8b3f8c2bcf8c2bc8d635eac3d31c54638928f8fffffffffffffffffffb4b4b4a5372a4b3431
+ffffffffffffffffffffffff883f37a3362bccaaa6fad8d5e5d1cffad8d5e8c8c59b4e45bc594e
+eeada6bc8b85865f5bda887f8c605bf8c4bef8c4bef8c4bea67a77b83e3d845351fbd8d8fbd8d8
+e5d1d1f6d4d48f8350f2dd87f2dd87f2dd87dfbc74ba7a4fc48153ee9c65ee9c65ee9c65ee9c65
+ee9c65ee9c65ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffe8e8e8ffffffffffff786f7ad367efd367efd367ef9f4eb5773a868e45a19c4cb1d5d5d5
+fffffff0f0f0f7f7f77a3d89d46aefd46aefb259c99b4eaf984dac6a3577bfbfbfffffffffffff
+ffffff7e4c8bd56defd56defd56defa153b5c566ddac59c2c46bdb73557bb470b7de8cf2825a8c
+e5a4f5e5a4f5e5a4f5a86cb8d670f0c366dbc877ddac74bb865f90df8ef39962a7cb92d9e5a5f5
+e5a5f5dc9feb739682e4d679efd66ebda95782423a977445b9a655ccccccffffffe8e8e8ffffff
+9f4a4aef6767ef6767ef6767ae4b4b7a3434ee67678e6767ffffffe8e8e8fffffffbfafab64646
+dd5555d46161ce70709f5e5ef17d7d8b4d4bf3998ff3998ff3998ff39a906a2d26a54237933c32
+f3f3f3ffffffffffff907f7dea5342ac3d31908f8fffffffffffffffffffd2bebcd74838c24639
+ee7365e97164804e49ee73658a4f48f28f84f28f84f28f84753e38b03b2ed94838a5a5a5ebebeb
+fcfcfcc3c3c3ac4135a03c3070514effffffffffffffffffaa9c9cea4d4dec4e4eec4e4eec4e4e
+692323b63c3c979797ffffffffffffffffffeeeeeecacacabebbb98f7e728f7e72917868976340
+976340d08858ee9c65ee9c65b4764cd0d0d0ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff98909ad774f0d774f0d774f0b863cebe5dd6bf5ed7763a85d49de2
+b096b7e3aff1e9b2f77c448ad877f0d877f0b564ca9b4eafd46befcc67e6d370ec5834618a4d99
+ca6ee28d8190fcf6fefcf6fecec8d0886f8ed56eefd56eefd56eef7a3f899f52b37a3f897b717e
+f6f6f6ffffffffffff8d7f90d670f0d670f0d670f0974fa9ad59c27b4089793f88e4e3e4f6f6f6
+fffffff3f3f344859574d6e9acd6b1b4a960bb5353e1656486413cde9a9ac19b9bf0b0b0f7b3b3
+8a4545f07474f07474f07474af5555c34f4f953f3f886464fffffff6f6f6fffffff9f9f98d3535
+ed5959ed5a5ac14a4a8c3232b043438c5555ffffffffffffffffffffffff883f36ce50424b1e19
+f3f3f3fafafafbfbfb907f7dea5342ea5342e55747eb5e4e632d28b84b3fa64237dcd3d3cfc6c5
+fef4f3f6edec752921a0362b8e7f7effffffffffffffffff8e6f6cc145389e352aa5a5a5ffffff
+f6f6f6c3c3c3bf483ae95848e15748ec6353823a339a423b8a3a31fbf1f1cfc6c6fef4f4fef4f4
+b76a6ab93f3fc37373f5a6a6f5a6a6f5a6a6cd9898f2f2f2fffffffffffffffffffcfcfcefefef
+efefefb2afac918c899188836e503bd4d4d4ffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc1c1c1ad55c4d468efd468efd468ef
+52285c7f3f8fb157c8929292ffffffffffffd7d7d79b4eafd46befd46befd46bef7a3d89c764e0
+864497977b9ed6cdd8ead7eff5dcfb886e8edf90f3df90f3c576d97c468ad56eefd56eefbc72cf
+785680a57faedb9beb84628df1cefaf1cefaf1cefaaa91b0b960d0d56eefb65ecce29af46e577a
+b28fc3d898e980969bcef1facef1faa2bec5bb5353ef6b6bef6b6bef6b6b813a3a9b4444e56666
+928d8dffffffffffffffffffbababac95252e35d5db65a5af296965a4242e59191ee9494947676
+f9c7c7f9c7c7cba2a2b340409c3838774d4dffffffffffffffffffffffff883f36eb5b4bab4337
+ee8f85b76f6786605b8a5954f8c5bff8c5bff8c5bff8c5bf89413996352b96352addddddffffff
+fffffff9f8f8a3392ed0493b9d736efad7d3e8d0cef5d5d18d6864f07c70c36960c3837cf6b6af
+493c3bb86c64c9a19cf8c7c1f8c7c1f8c7c18d6361af3a3962251efcfcfcffffffffffffffffff
+8d5e5eec5151ec5151ec5151ec5151ec51519e3636e6e6e6ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffd8d8d8cd96dae4a2f5e4a2f5e4a2f5
+a050b5d469efc360dbaf65c16e4f76d180e6b971cca778b3e4a3f5e4a3f5e4a3f57c438ad56bef
+d56befd56bef723980894599ac57c1835e8dffffffffffffeaeaea825b8cd56eefd56eefd56eef
+7a3f89b95ecf8645977f528affffffffffffffffffb3b3b3b960d0d56eefd56eefd56eef675289
+5b9fba6353879e9e9edededef7f7f7c9c9c9bb5353ef6a6aef6a6aef6b6b893d3de36161974242
+8e8b8bffffffd6d6d6ffffffbababac95252ee6161ee6161ec61618333339b3d3db74b4b989898
+ffffffffffffd0d0d0b34040ea5555c94f4ff07777e37272ac5e5ef077778b5651f39a90f39a90
+f39a90b7746d87342a5e3732ffffffffffffffffffffffff8a4a43e452426f2820ddddddffffff
+d6d6d6f9f8f89f382dea5242ea5242ea52429b362c852f268b534dfffffffbfbfbeeeeeeffffff
+6c322b6b2720cfcfcfffffffffffffffffff907d7dec4d4dc64141ef6f6ff06f6f9e5555f06f6f
+8b4b4bf39393f39393f39393f39393c85e5e9e3636e6e6e6ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+7a3f89d469efd469efb65acd954aa88542956a3477bdb2c0f1ebf3fbf0fdfbf0fd7e4b8bd56bef
+d56befd56befa151b5d26aeba352b78e559dbf9cc8cfa4dae9b1f780528bd778e8d97df1d97df1
+a35ab5d56defd16beb864c94e9b2f7928595e0adeca47dadbd6dd1d97df1d97df1d97df1735780
+b6d5a5e5d06eebd36e9e8d4ba69050bdaa5bc7c3c3fef8f8fef8f8fef8f8908181ef6767eb6565
+ea6969f06e6e602c2cb75555af5050d7d2d2fef8f8fef8f8fdf6f6b44646ea5b5bba4949c57979
+ce9a9adda0a0c88a8ab54d4dee6666ee6666ee6666de6060571e1ecd4a4a918888ffffffffffff
+ffffffd9cac8d35142b84f43f4a89ff4a89fb5908bf4a89f89443ded6657ea6456ec6c5eee6d60
+692e28cf5144999594fef7f7fef7f7fef7f7b0a7a6a33c31704642fdeeecfdeeecf3eae9fdeeec
+b34540cc473fde8a88f4a09fd59595d595958b5353ee5f5fee5f5fee5f5fee5f5f923a3a973232
+975f5ffdededfdededfdededfcededdcdbdb5e3d3de6e6e6ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+d4c1d9f1cefaf1cefacfb1d6984babd469efd469efd469ef51285b994cadd469ef876c8ef1cffa
+f1cffaf1cffa85628dd56befd56cefd56cef874497864396934aa5807184e9d4a8ffffffffffff
+8d8190d56defd56defd56defd56def7a3e8989469a703a7edededeffffffffffffffffff788b8f
+6cd5ef95d5c6d5d5869d8c47b3514f7e6739c8c8c8ffffffffffffffffff918484ee6666ee6666
+ef6767ef6767893939c14f4f763232d8d8d8fffffffffffffdfdfd8a3636ed5c5ced5d5ded5d5d
+a23f3f853232aa4343c2c2c2fffffffffffffffffff2efefad3c3ca73a3aa17878fad4d4e4cccc
+f7d3d3bda0a0c56c61d5685bf08377f0837752201bbc483b8f7a77ffffffffffffffffffffffff
+8c5f59802e269a9a9affffffffffffffffffc2b2b0dd5242eb5746eb5746eb574664251eca4b3c
+8e6d69f9c9c4f9c9c4f9c7c4ba93937a27276d3737ffffffffffffffffffffffffb39d9dec5050
+ec5050ec5050ec5050ec5050e44d4d9b9b9be4e4e4f7f7f7ffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffdadada984babd469efd469efd469ef7a3d89b45acb7c3d8b857e87d4d4d4
+ffffffffffff8a748fd56befd56befd56befa855bdce67e7bc5fd3c169d6d97de27c5586ce7ee1
+80508be6a7f5e6a7f5e6a7f5e6a7f57d478acf69e9af59c5d780ec84598ea268b0dc86f2755e8b
+a6e6f5a6e6f5abe6f1a0a6a2e36464d45d5de87a7af28383885555df7b7b8b4e4ef5a3a3f5a3a3
+f5a3a3f5a3a38a4343ee6363d15757ea7878905656d67373ef7e7e8e5b5bf49d9df49d9df49d9d
+a76b6bd24e4e863232c2c2c2ffffffd4d4d4fffffff0eeeea63939ec5151ec5252ec5252933333
+8e3131b23e3ed1d1d1ecececffffffffffff82342c9a3b31817473ffffffffffffffffffffffff
+b76e66d85040dd6355ef7567744742ef75679e4d44de8c83f39a90f39a90f39a9080444095332e
+8c8786ffffffffffffffffffbfbfbfc33f3fc94545ef6c6cef6c6c904d4dd46363893e3ef49696
+f49696f49696f49696c65555e44d4d9b9b9bffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffefefefcfafdfefbfffefbfffefbff7f4e8bd46aefd269edd16aec693776
+7b418ab85fce835c8cfefbfffefbfffefbffa19fa1c865e1d56befd56befd56bef793d8789459a
+72487cffffffffffffffffffffffff80538bd56cefd56cefd56cef77598b6bb3bb68647d8f6788
+fdfaedf1efe8fdfaeda6a49cdb6060ef6969ef6969ef69699340409c4343653838fdededf2e8e8
+fcececfdeded8b5050ee6262ee6262ee6363883838a44141d25757949494ffffffffffffffffff
+aeaeaed34f4fec5858ec5c5cee5e5e742e2ecb5151dd5757a3a1a1fefafafefafafefafaa99f9f
+d547476d2525d4c2c2f1e6e6fdeaeafdeaeab2403be95249c0615ef49d9ccf9191d79393f49c9c
+8a4a46ed6b5ced6b5ced6b5c80322a95382d95372ce9e9e9ffffffffffffffffffb97878e94949
+c26666f49c9cf49c9cb28787b67575c55050ee6161ee6161ee62628735359b3434752727ffffff
+ffffffffffffffffffdad8d8a44a4a9b9b9bffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff84618ddf92f3df92f3c375d67e4c8b
+d46aef974caa774f81f4d7fbc3bfc4f4d7fb9a889fd38ae5e092f3c375d6da87dc9656a6d56bef
+7a4886f4d8fbc4c0c5f3d7faf4d8fb835e8de093f3cc7fdfd78aea9d7b89d7d482efd46aefd46a
+efd46a5b4428d7bf5f9d8b46e5bfbffad1d1fad1d1fad1d1ac6d6dee6666ee6666ee6666923e3e
+9f4444ee66668d6565facfcffacfcffacfcf8e6767ee5e5ea24141ac8686fad4d4c4bfbffad4d4
+ab9191d77676e57878e17474f285858a4343ab3e3eba4646a4a4a4ffffffffffffffffffbaa8a8
+e44d4dec5050ec50507c2a2ab23c3cec50508f7370f9ccc7f9ccc7f9c9c7b08d8d812929d14242
+8d6262ffffffffffffffffff89423ddd5045752824e9bebeedcbcbd1c2c2facfcf8d6464f07a7a
+d35d5df07a7af07a7a5e2020752525d3d3d3ffffffffffffffffff907a7ad748486d2525fad0d0
+fad0d0fad0d0fad0d0e1d6d6a6a6a69b9b9bffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffeeeeeeffffffffffffeeeeee8a768f
+d46aefd46aefd46aefd46aef6532718f47a1864397f0f0f0ffffffeeeeeee9d4a896759fd56bef
+d56befd56bef6c36797b3e8a964ba88c7d90fffffff3f3f3fafafa7a8b9071d4e899d4c0d9d480
+efd46a87463ba25a4786773ceaeaeaffffffffffffffffff8e7070ee6666ee6666ee6666923e3e
+ca5353a446468f7878ffffffffffffffffff907c7cee5e5eee5f5fee5f5fee5f5f762e2e9b3d3d
+a24141e3e3e3f7f7f7f5f5f5ffffff8f7070ed5555782c2ca4a4a4ffffffd2d2d2ffffff9e9e9e
+e14b4bec4f4fec5050872e2ea83838cb4545928f8fffffffffffffffffffb4b4b4cb4141a13333
+735a5affffffd2d2d2ffffff89433deb5649eb5149eb4f49ba3a3a842a2aba3a3a8b5252ffffff
+eeeeeeffffffffffff883434752626d3d3d3ffffffe3e3e3eeeeee907a7aec4f4fec4f4fec4f4f
+ec4f4fec4f4fec4f4f8d6565fefefeefefefffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff8a768f
+d46aefd46aefd46aefd46aefa050b5bf5fd7793c88e0a5efad8fb5e1a9f0dd98d086678eedbef8
+be90caedbef87e4a8bd46aefb95cd0a76cb6a48daeb598c2e3aaf27e6d8dbeecf8beecf890bec9
+eaecccb55c57ee68689f4645eda1a1a78888d29b9bf6aaaa8d6666f8bcbcc98e8ef8bcbcbf8383
+e96060d35757b36565f5a7a7b48c8cf0a5a58d6262f8b8b8f7b8b8ca8b8bf8b9b9894040db5454
+672828e5d1d1f7e7e7f5e6e6fde9e98e6868ed5555ec5555ec5757ed5858541f1fbd4646933737
+f3f1f1fffdfdfffdfd907d7deb4e4e9733339c8686fce7e7efe3e3fce7e7b3a4a4cc4141eb4b4b
+e94b4beb4d4d642121ac3939907f7ffffdfdfffdfdfffdfdcac9c9b83b3bb83b3b754646fce7e7
+fae6e6f2e3e3fce7e7883333eb4d4dec4f4fec4f4fad3a3a6423238a4545fffdfdfffdfdfffdfd
+fffdfdcecacab63d3d8d6565ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffddd7de
+f2d4faf2d4faf2d4faf2d4fa7c458ad46aefd46aefd46aef6b35797f3f8fb75bce84628dffffff
+ffffffffffff81558cd46aefd46aefd46aef694d8952a7bd745c9d684970ffffffffffffffffff
+ffffff8b4b4bef6868ef6868ef6868893b3bac49499a4343755454ffffffffffffffffff9c9c9c
+e55e5eee6262ee6363ee63637630309c40408a4e4effffffffffffffffffffffff8a4949ed5b5b
+ed5b5bed5b5bc14a4a732c2ce759598b4b4bfacdcdfacdcdfacdcdfacece883737b74141632424
+f3f3f3ffffffffffff907e7eec4e4eec4f4fec4f4fec4f4f5d1f1fcf4545a73838d8afaff9cbcb
+f9cbcbf9cbcb8d5e5eae3838867c7cffffffffffffffffffcacacab83b3bec4c4cec4c4cec4c4c
+d74545802929ec4c4c8f6f6ff9cbcbf9cbcbf9cbcbb79595aa3a3a5e3636ffffffffffffffffff
+fffffffefefea27c7c7c5f5fffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff7d498bd46befd46befd46bef7a3d89d469ef974baa67546dd0d0d0
+fefefffffeff81558cd46befd46befd46bef9e7393cbd48cd5c66cd3bc5ff1da7e6b6343c9b66c
+f1da7e8d665df6a9a9f6a9a9f6a9a9b76565ee6565dd5e5ed45f5ff07b7b6e4444f07b7b934b4b
+ec9f9ff5a5a5f5a5a5f5a6a68b4c4ce05959603c3cfffefefefefed1d1d1fffefe8a4949ed5c5c
+ed5c5ced5c5cc14b4ba93f3f9438388b5555ffffffffffffffffffffffffb34a4aec5454d14a4a
+ed6b6b804545dc66668a4444f49a9af49a9af49a9af49a9a893939a437378a2e2eddddddffffff
+ffffffffffffba8181ec4c4cdf5353ef6666ef66666e3c3cbd5151be7777f49999f49999f49999
+de8b8b762727ae3838918b8bffffffffffffffffffd6c4c4d74949de4f4fef6969ef6969ef6969
+ef6969a08f8ff9f9f9b7b7b7ffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff886f8fd469efd469efd469ef562a61
+7a3c8aab54c08b7a90ffffffffffffffffff7c8c9068d4ef9bd4bcded479efd46889473bb1544c
+c6ac56918e83ffffffffffffffffff8f7272ee6565ee6565ee6565ee65657f35359940408b3b3b
+f5f5f5ffffffffffffffffff8e6767ee5f5fee6060ee6060ec5f5f592424e45c5c907f7fffffff
+ffffffffffffd0d0d0b44343e857579e4949f59f9feb9c9cb48787f59f9f8e6767f7b6b6ce8d8d
+f2b2b28b50509a3636773d3dffffffffffffffffffffffff8a4848ec4f4fa43737e68b8bf49999
+af8282f098988c5d5df7b3b3c98585f7b3b3f7b3b38234345d1e1ec7c7c7ffffffffffffffffff
+f1ebebbe3f3fc64141c26666f49999be8787e19393b37070d09898c98787f7b5b5f7b5b5e19f9f
+c64343907c7cffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffac9ab0e196f4e196f4e196f47c448a
+d468efa350b8936e9cf2d2faa996adf2d2fa7d7b8f95e1f495e1f49be1eecce1bd894940ee6666
+b1564ca37976d7b6b6b2a4a4fad2d28e6b6bf39393f39393f39393f39393893b3bde5c5c763131
+f3cacaccadadbdacacfad0d08e6666f38f8ff38f8ff38f8ff18e8e8032329b3e3e877b7bffffff
+ffffffffffffd0d0d0b44343ed5858ed5959ed5959dd5353421818de5353918888ffffffffffff
+ffffff8e6868ec52528b3e3ef9cbcbf9cbcbad9393f9cbcb8c5656f28484f28484f28484f28484
+7535359b34348b4c4cffffffffffffffffffffffff893c3cae3a3ad2a3a3f9cacad2adadb7a5a5
+e3b8b8a05757f28383f28383f28383914f4f973333973232d7d7d7fffffffffffffffffff4f4f4
+a06d6d877979ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff81568c
+d468efd468efd468efd468ef533d6c5d58897e5189ffffffffffffffffffffffff8b4c4cee6666
+ef6767ef6767c05353873939b950508c5b5bffffffffffffffffffffffff894141ee6363ee6363
+ee6363b14a4a903a3abe4f4f8d6363fffffffffffffffffffefdfdb44747e45959dd6060ef7272
+ae5858ac5757c35d5dba7b7bf5a2a2f5a2a2f5a3a3e497979235359738388b8585ffffffffffff
+ffffff8e6868ec5252ec5252ec5252ec52524f1c1ccc47478f7878ffffffffffffffffffffffff
+b76a6adc4a4a8e4040f7b0b0f2afafcea3a3f7b0b0883737ec5252ec5252ec5252b83f3f652222
+c94343a9a9a9ffffffffffffffffffc1a7a7e54f4f953333e09b9bf7b1b1f7b1b1f7b1b1cbaeae
+f5f5f5909090ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff81568c
+d468efd468efd468efd468ef97808cb4d3a19d8d4df6e5a58d8178e5d69ef6e5a58e736bf8c1c1
+f8c1c1ca9292c89c9cb74d4dbe5050784d4dfce5e5ebdedefce5e5fce5e5894040ee6363ee6363
+ee6363bb4e4ecc5252b84a4a7f5656fce4e4ebdedefce4e4fae3e38a3636ed5d5ded5d5ded5d5d
+a23f3fa63f3f893636c2c2c2fffffffffffffffffff4f0f0bc4545ed5656c86b6bd48f8f9f7c7c
+f29b9b8d6060f7b9b9c98a8af7b9b9f7b9b9983737a73a3a906d6dfce2e2f0dedef7e0e0fce2e2
+8c5454ec4f4fec4f4fec4f4fe24c4c5f2020e34c4c918383ffffffffffffffffffc6c6c6bc4040
+872d2db49a9afce2e2ebdcdcfce2e2978888e64f4fec5151ec5151ec5151db4b4bec51518a4949
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffded3e1
+f4d8fbf4d8fbf4d8fbf4d8fb647a8d85d3d1ddd379efd36788483a9d5c44bba551908d81ffffff
+ffffffffffffcdcdcdb74d4dee6565ee6565ee6565572525b44c4cee65658f7575fbd7d7fbd7d7
+fbd7d7caa6a6d05454ee6060ee6060ee6060532121d95757ec5f5f927c7cfad5d5fad5d5fad5d5
+ab9191d35050b54545cfa1a1f0c4c4b59898f9cbcbe8bdbd9c5959f38b8bf38b8bbb6c6ca83c3c
+9f3a3a8c5b5bffffffffffffffffffffffffa23b3bec5252ec5252ec5252a73a3a822d2dec5252
+8c5656fad1d1fad1d1fad1d1efc8c8862d2d9a34348a8181ffffffffffffffffffc6c6c6bc4040
+ec5050ec5050ec50507d2a2aac3b3b8e3030f3ccccfad2d2fad2d2fad2d2c1aaaabf49498a4949
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff6d8a926cd5f075d5e7a6d5b7814943ea6464bc5451b0716fe3b0b0
+d6aaaaf6b8b8c79494b75151ef6a6aef6a6aef6a6a863838c35050ab4848918a8affffffffffff
+ffffffbebebec55050ee6060ee6060ee60608534349e3f3faf4646949494ffffffffffffffffff
+aeaeaed35050ed5b5bed5b5be05656552020d35151dd5555a4a4a4ffffffffffffc4c4c4bf4444
+d84d4d984c4cf7b0b0c79f9ff4afaff7b0b0883434ed5858ed5858ed5858a73e3e953434bf4242
+8d6464fffffffffffffffffff8f5f5b83e3ee34d4ddf5555ee6464a44a4ab04f4fb94d4dc38080
+f5a1a1f5a1a1f5a1a18b5454ae3c3c672323f8f8f8ffffffffffffffffffffffffc3bbbb603d3d
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff8b4e4eee6666ee6666ee6666c35454
+6d2e2ea74747c05252c4c4c4ffffffffffffffffff8a4343ee6363cb5454c57070d291919e7b7b
+e09797b67777cea0a0f8c1c1ca9393f8c1c1893737ee5e5ec64e4ecb7373c98c8ca57d7df59d9d
+a76b6bddaaaae4aaaadea4a4ebb5b5953838a23d3dc24b4ba4a4a4ffffffffffffc4c4c4bf4444
+ed5555ed5555ed55557d2d2d993737e65252928f8fffffffffffffffffffc1b9b9d24949b53f3f
+845858fcdfdfe9d9d9fcdfdff0d5d5923131ec5050ec5050ec5050993434ac3c3c822c2ccbcbcb
+ffffffffffffffffff908080ec5252a03838f19393f39696f39696f39696b99e9effffffa6a6a6
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffff8b4e4eee6666ee6666ee6666c35454
+b34b4bd15858783333c4c4c4ffffffffffffffffff8a4343ee6262ee6262ee6363b54b4bab4545
+9d40406f2e2ed4d4d4ffffffffffffffffff893737ee5e5eee5e5eee5e5ea64242b54646a34040
+a24040e3e3e3fffffffffffff1f1f1953838ed59599e3c3cbc8b8bb59696edbfbfbf9a9ac47272
+f38d8df38d8df38d8d8b4a4add4f4f983636918f8fffffffffffffffffffc5babad44a4aec5252
+ec5252ec5252762929b23e3ee24e4e9b8383fad5d5fad5d5fad5d5a28989db4c4cb13d3dd6a3a3
+f9c6c6978585eac1c18e6b6bf28b8bf28b8bf28b8bf28b8bcf6868eb52528d6060ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffc6c0c0fdf0f0fdf0f0cfc2c2d0c5c5
+b34b4bee6464e05e5eea6d6d8d49499d5050ed7272908181fdf0f0fdf0f0cfc2c2d9c0c0d55656
+ee6161df5b5beb6c6c874545a25050ee6f6f918888fdf0f0fdefefd0c2c2cfb3b3dc5555d25252
+813232e8a3a3c49d9df3b0b0e9a8a8953d3dee6262ee6262ee6262973e3e873232b24343cdcdcd
+ffffffffffffffffff907f7fed5555e45252e45a5aef6565683535be5454a94848dbcfcffdefef
+cfc0c0fdefef8e6d6dc24444a73a3a9d9d9dffffffffffffffffffa5a5a5db4c4cec5252ec5252
+ec5252822d2d963535803e3efffffffffffffffffffffffff5f5f59557578d6060ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffd1d1d1
+b34b4bee6464ee6464ee6464893939db5a5a9f42428e8686ffffffffffffffffffc2c2c2c24e4e
+ee6060ee6161ee6161893737d65555a14141929191ffffffffffffffffffb2b2b2d05151ed5c5c
+ed5c5ced5c5c782e2e983b3be05757a0a0a0ffffffffffffffffffb4a9a9da5050782c2cd4b6b6
+fbdedee7d6d6fbdede8e6f6fec5454ec5454ec5454ed5555873030b84141772b2bddddddffffff
+ffffffffffff8f7474ec5353c24444cf6f6ff39393ea9090a979799d5f5fe6b0b0e0a6a6e2a8a8
+f8bebe9f5b5bec5353773838fbddddfbddddfbddddfbdddde8d6d6c6bebe716060ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff5f5f5
+eed6d6fbdcdcfbdcdcfbdcdc8f7676ee6262db5a5aae7979f9c9c9b29393efc1c1bd9898c77b7b
+f49797f49797f497978b5050ee5f5fd75656dd9191f9c7c7847d7df9c7c7ae8b8bd58282f39595
+f39595f395958a4a4ab44545b44646a0a0a0ffffffffffffffffffb6aaaae15353ed5858ed5858
+ed58586f2929b844448a4141fbd8d8fbd8d8fbd8d8fbd8d88a4444ec5454a83c3ce2adadf8c4c4
+be9999bfa7a78d6767f38f8ff38f8ff38f8ff38f8fe48686591f1f702828ecececffffffffffff
+ffffffa57272ec5353ec5353ec5353ec5353ec5353ec53538a3131fcfcfce6e6e6ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff918888ee6262ee6262ee6262ee6262953d3d893838af4848d0d0d0
+ffffffffffffffffff907e7eee5f5fee5f5fee5f5fee5f5f7f3232913a3aa64242dfdfdfffffff
+ffffffffffffba8484ed5a5ab44444c67d7df6adadbd9898f6adad9d6e6edf5c5cee6363ee6363
+ee6363883636bd45455c3434fffffffffffff8f8f8ffffff8a4a4aec5454ec5454ec5454ec5454
+a33a3a722929844c4cfffffffffffffffffffffffff6f2f2b64040933434eca1a1f6aaaacb9b9b
+efa8a88b5050ed5f5fed5f5fed5f5fed5f5fe65656ec53538a3131fcfcfcffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffd8d5d5f9c7c7f9c7c7f9c7c7f9c7c7af8484dc5a5a793232d6b8b8
+fbdddde5d4d4fbdddd8f6f6fee5f5fee5f5fee5f5fee5f5f883636b94949752e2edfdfdfffffff
+ffffffffffff8f7474ed5a5aed5a5aed5a5aed5a5a5d2323b34444973939efefefffffffffffff
+ffffff8e6969ed5757ca5151f39393f39393784d4dc683838e6868f8c2c2f8c2c2f8c2c2f8c2c2
+bc8c8cd44b4b7e4444fbdadafbdadae5d2d2fbdadaeccdcd953535ec5353ec5353ec5353953434
+9e38388c5858ffffffffffffffffffffffffcac4c4b94c4c8a3131fcfcfcffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffb3a8a8e45d5dee6161ee6161
+ee61616f2d2db84b4b8a4747fbddddfbddddfbddddfbdddd8a4747ed5d5dc94f4fea7878d17373
+9c5e5ef17f7f8b4d4df49696f49696f49696f49696883838c249495d2323efefefffffffffffff
+ffffff8e6969ed5757ed5757ed5757ed5757812f2f9b3939837575ffffffffffffffffffffffff
+c0b6b6d64c4ced5454ed5454ed5454752929b13f3fdf4f4f9f8a8afbdbdbfbdbdbfbdbdb9e8a8a
+b942424d4242ffffffffffffffffffffffffffffffcac1c1572828fcfcfcffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffa8a8a8e46a6aef6e6eef6e6e
+ef6e6e893b3bbf4c4c5d3939fffffff6f6f6ffffffffffff8a4c4ced5d5ded5d5ded5d5dc54d4d
+8a3636ae44448b5353ffffffffffffffffffffffff894040ed5959e15555ed6262bb5050723434
+e15e5e8c5d5dfef4f4d0c6c6fef4f4fef4f48f7878e95454bd6666f6a9a9f6a9a9ba9393f6a9a9
+aa7575d15757ee6262ee6262ee6262883636c44646a23a3aa1a1a1fffffff6f6f6ffffffa1a1a1
+dd4f4fe15353ed5f5fed5f5fed5f5fed5f5f999595ffffffc4c4c4fefefeffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8e6969ee5f5fcc5858f49696614545c48383f496968e6c6cf9c8c8f9c8c8f9c8c8cfa6a6
+b04444c74d4d7b4646fbd9d9f8d8d8e6d1d1fbd9d9893d3ded5959ed5959ed5959b64444bf4747
+9a39397a5555ffffffffffffffffffffffff907c7ced5656ed5656ed5656ed5656642424ac3e3e
+a43c3ce1e1e1ffffffffffffffffff8f7272ed5555c64747d36f6ff38f8f5c4141e08888995a5a
+eab9b9f9c5c5f9c5c5f9c5c5b97575e25151928e8effffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8e6969ee5f5fee5f5fee5f5f893636b84949aa4444907c7cffffffffffffffffffd4d4d4
+b04444ed5c5ced5c5ced5c5ce05757582222d954548f7676fcdfdffcdfdffcdfdfc1ababbf4747
+e85656cb5353f07878f07878885151e273738a4949f49696f49696f49696f49696893a3ac94949
+632424e1e1e1ffffffffffffffffff8f7272ed5555ed5555ed5555ed55557d2d2d933535963636
+f0f0f0ffffffffffffffffffd7d7d7ae4949928e8effffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffcbcacafef8f8d0c9c9fef8f88b4e4eee5e5ecc5151b36767f6aaaad09b9bdca0a0cc8d8d
+b25151ef6c6cef6c6cef6c6ce267679238389c3c3c898282fffffff6f6f6fdfdfdc4c4c4bf4747
+ed5858ed5858ed5858ed58588531319738387e4444ffffffffffffffffffffffff8a4848ed5656
+e55353ec5c5cee5e5e6d2f2fd956568c5353fef7f7f8f1f1d6cfcffef7f7893d3dd24b4b561f1f
+f0f0f0fffffffffffffffffff4f4f4a3a0a08c8c8cffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffff8b4f4fee5e5eee5e5eee5e5eee5e5ea64242823333ae4545
+bebebefffffffffffffffffff1f1f1953939ed5b5bcf6969f390909b5c5cca7e7ebb6f6fc9a2a2
+f9c9c9f9c9c9f9c9c9f9c9c9a55f5fed5858824040fbd6d6fbd6d6e1ccccfbd6d68c5555f18080
+de6c6cea7878f18080893c3c9e3939754949ffffffffffffffffffffffff893d3ded5555d14b4b
+ee8888f38c8cf38c8cf38c8c8e6d6dffffffdcdcdcffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffb99595f59e9ef59e9ef59e9ef59e9eab6e6ecf5050893535
+bebebefffffffffffffffffff1f1f1953838ed5a5aed5a5aed5b5b973a3a993a3a963a3acdcdcd
+ffffffffffffffffffffffffa06d6ded5858ed5858ed5858ed58584f1d1dd34e4e907c7cffffff
+f1f1f1fafafaffffffb86b6beb5555cb4f4ff07474e57070814c4cf074748c5555f49898f49898
+f49898f49898c65353ed55558c5c5cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb2b2b2d05151ec5c5c
+ec6060ee6262793434a14444de5c5ca09d9dfefafad0ccccfefafac7adade45757a63f3fdf8f8f
+f5a5a5b88e8ef0a3a3f5a5a58b5050ef6c6cef6c6cef6c6cef6c6c873232a23c3c827777ffffff
+f6f6f6fbfbfbffffff8c5c5ced5656ed5656ed5656df51517e2e2ea23b3b8f8585ffffffffffff
+ffffffffffffd2d0d0b34c4c8c5c5cffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffb2b2b2d47676e67c7c
+e07676f288888a4646d55252943a3aa0a0a0ffffffffffffffffffa2a2a2de5454ed5a5aed5a5a
+ed5a5a762d2d8d3535cf4f4f8d5f5fffffffffffffffffffffffff883232ed5858d06363f38c8c
+a86161906161f38c8c8d6464f9cbcbf9cbcbf9cbcbeec0c0ad3f3fd34d4da47878fad3d3fad3d3
+fad3d3ebcdcdf2f2f2d1cccc6e5e5effffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff3f3f3fafafaf8f8f8
+f4f4f4ffffffba8585ed5c5cdb5555e16767f07676724545f07676994b4be59494f49e9ef49e9e
+f49e9e8a4a4aed5959a63f3f6e5353ffffffd2d2d2ffffffffffff883232ed5757ed5757ed5858
+a43d3dbe46469b39398e6868fffffffffffffffffff2f1f1a43c3ced5656ed5757ed5757ed5757
+ed5757b54242cfcfcfffffffedededffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff8f7474ed5b5bed5b5bed5c5ced5c5c803131973a3a903838efefefffffffffffff
+ffffff8e6969ed5959ed5959eb5959ed5b5b7b2f2f9b3d3de95a5a929191fffdfdfffdfdfffdfd
+cfbabadd5151da5050aa5555f5a1a1b68a8aee9e9ee69797984545ef6c6cef6d6def6d6def6d6d
+b64d4db54242cfcfcfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffded6d6facfcffacfcffacfcffacfcf893d3dde5555752d2deec5c5ebcbcbd1c1c1
+fad1d18d6666f28888f28888d46969f288888a4848da52529b3a3a929292ffffffffffffffffff
+b1b1b1d14d4ded5757ed5757ed57577b2d2d9b3939d95050a1a1a1ffffffffffffffffffffffff
+a99f9f9e3a3acfcfcfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff894141ed5b5bed5b5bed5b5bb646465f2424
+e859598c5d5dffffffffffffefefefffffff907d7ded5959de5353e06161f071716e4141ef7171
+a64e4ed88c8cf59f9ff59f9ff59f9f8b4e4ebf4747a83e3ea1a1a1ffffffffffffffffffffffff
+fcfcfc584f4fcfcfcfffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffff894141ed5b5bed5b5bed5b5bb64646bf4848
+943838815858ffffffffffffffffffffffff907d7ded5959ed5959ed5959ed5959873333933737
+9b3a3ae1e1e1ffffffffffffffffffba8282ed5858bc4646cd7777f59f9ff59f9ff59f9ff59f9f
+c0bbbbccccccd6d6d6ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffdecacafad2d2fad2d2fad2d2c0a1a1bf4848
+dc5454734747facecefacecedcc3c3facece8e6d6df28a8af28a8ad26a6af28a8a893a3ad24f4f
+5a2222e1e1e1ffffffffffffffffff8f7272ed5858ed5858ed5858ed5858ed5858ed5858ed5858
+918989ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffc4c4c4bf4848
+ed5a5aed5a5aed5a5aed5a5a6d2a2ab043438a4949fffffffffffff1f1f1ffffff8a4949ed5959
+d65151eb6b6bef6e6ead5555ad56568a4949f5a2a2f5a2a2f5a2a2f5a2a2ed9f9fa05656ec5858
+918989ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffcececed09f9f
+f8bcbcc98d8df8bcbcf8bcbc9c5858c54b4b6e3b3bfce4e4fce4e4ebddddfce4e48a4646ed5959
+ed5959ed5959ed5959a03c3c7e2f2f7c4d4dffffffffffffffffffffffffffffffe8e8e8a35b5b
+8f8888ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffa87171ed5a5aed5a5aed5a5aed5a5a521f1fd852528e6969fad4d4
+fad4d4fad4d4fad4d4a98f8fd24e4e924c4cf9cbcbf9cbcbf9cbcbf9cbcbf4c9c9e3e3e3e6e6e6
+8e8e8effffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffff916c6cee6060ee6060ee6060ee60608432329d3b3b827777ffffff
+ffffffffffffffffffadadadd54f4fed5858ed5959ed5959ed5959ed5959db5252a5a5a5ffffff
+f3f3f3ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffb34444ed5959c86767f49a9a
+f49a9a8a7272e39494a56868deaaaaca8f8ff8bebef8bebebe7777e45555db5252a5a5a5ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffff883333ed5959ed5959ed5959
+ed59598632329d3b3b8d3535e5e5e5fffffffffffffffffff2f2f29f6d6dd65050a5a5a5ffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffc19494f6a8a8f6a8a8f6a8a8
+f6a8a8893c3ce95757943838e9a2a2f6b0b0f6b0b0f6b0b0c8aeaef6f6f68a6363aaaaaaffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8a4747ed5959ed5959ed5959ed5959ed5959ed59598c5555ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffff8a4747ed5959ed5959ed5959ed5959ed5959ed59598c5555ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffc4a2a2f6ababf6ababf6ababf6ababa67676dd54548c5555ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffa38585794e4effffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+fffffffffffffffffffffffffffffffffffffffffffcfcfca6a6a6ffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff
+ffffffffffff
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat1.ps b/books/ps/quat1.ps
new file mode 100755
index 0000000..9e57fc0
--- /dev/null
+++ b/books/ps/quat1.ps
@@ -0,0 +1,1199 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait.ps
+%%CreationDate: Sun Dec 24 21:14:25 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 210 215
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 200.000000 translate
+195.000000 -200.000000 scale
+% Image geometry
+195 200 8
+% Transformation matrix
+[ 195 0 0 200 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 195 string def
+/gstr 195 string def
+/bstr 195 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        66337 ASCII Bytes
+colorimage
+o)&I`o([e5iVN]Sq=B+~>
+nFuMKJbS-t!rDZ]J,~>
+J^hQd"4GTBbCB~>
+o)&I`o([e5iVN]Sq=T7~>
+nFuMKJbS-t!rDZ_J,~>
+J^hQd"4GTBc%#~>
+o)&I`o([e5i;3QOpOE~>
+nFuMKJbS-t!r;WaJ,~>
+J^hQd"4GQBc[Y~>
+nbW=_oCr=^Jc"F'rq_-~>
+nFuPLJbS*srqM!~>
+J^hQd"4GNAdXV~>
+nb_kQJc"F's7u`mJ,~>
+JbR"Ts7cTiJ,~>
+J^hQd"4GNAdsq~>
+nb_kQJc"F'!rDfkJ,~>
+JbR"T!r2TeJ,~>
+J^hQd"4GNBdsq~>
+nb_kQJc"F's7u`mJ,~>
+JbR"Ts7cTiJ,~>
+n^R*[J^i]/"4GNAdsq~>
+nb_kQJc"F'rq_-~>
+JbR"TrqM!~>
+n^R*[J^i]/"4GNAdXV~>
+nbWjns8V]hqtp3drUg!cnGi66qsjRWqZ$Hlr;QPC~>
+nb3ReqYKXTp@e.Pq![qOlhg7(p[S"OpAamapj`~>
+n^J*"g=jj)f%/@%f[&.$bM1HreFD&^e,RqteH=:HcdI=~>
+nbWjjp%87Ws1Q:hiW&f0s8;D<qsjRWqZ$Hlr;QPC~>
+nb3RanF-2Cs1#bYh#I*!s7bl2p[S"OpAamapj`~>
+n^J)sd*LCmiL$10]]%GMiRc;)eFD&^e,RqteH=:HcdI=~>
+nbWjls8V`ZG'Apt?\;X5q>C5CqsjRWqZ$Hlr;QPC~>
+nb3Rcs8)3KEH6k`>(0S!o_804p[S"OpAamapj`~>
+n^J)uj4r&*;cIL=4CC3Sf%J`-eFD&^e,RqteH=:HcdI=~>
+nbWjsn*/b>>4)7[P@\(<s8DS@qsjRWqZ$Hlr;QPC~>
+nb3UmlK$]*<Ts2GNaQ#(r:oaSJbSa0p@eO\qtP[~>
+n^J-,bf7=\2p0h$E'cXZhV-<,J^j8?p='&ks4%5#cd1$i~>
+nG<Uis)Vqdp%81$7Z[HGs+1(;qtBmdqu6NmqLA~>
+nb3UeoD`W:ZgR5R^-@GGq"t*bJbSa0p@eO\qtP[~>
+n^J-%f&KOqQI4(3Td":(gYUi=J^j8?p='&ks4%5#cd1$i~>
+nbWIhnV^49rr36#rCsfgp\4Z<qsjRWqZ$Hlr;QPC~>
+o(NairT]&-6i[#_o_(bZjm_d6p4;u/p\+=\p\X`9~>
+o$e9&i6>mc-K<k@f@_U;aOAVleq)?AeFqAkeGn&$e'H@gJ,~>
+nbW^hhG75(p[eFUs.T&`rrDkGqsjRWqZ$Hlr;QPC~>
+o(Nain^g<.cg^<$lhd.;q>^B`p4;u/p\+=\p\X`9~>
+o$e9&e@R7gZdd@_cej2uh;mMEeq)?AeFqAkeGn&$e'H@gJ,~>
+nbWgrQVD8is82Wlq#(0hmf%e7nGDqUs82fnrq_-~>
+o(N^hrfBT[nGMqLqsj@Zo]c,DJbS^/p@eO\qtP[~>
+o$e6%icZkFf&533hpg<<f?;n![+#*(^XVu+s4%)!"4PTBdXV~>
+q>:!a&,_A\R-FYBrVQ?Yo`+serIOk9qt^*aqu6GB~>
+q=jaZs7HkQ6B0k%m.U/DlgOiNp%cGurV!Ynq=aXYrqM!~>
+q:,8i&(TEM/9f1td+[.#bKnqrd(n00f)=+rdK7hEd_XH/e,%Prda-7fJ,~>
+q>:!a&-&7tPPY=ZqS_q(s8DW^q18G5qt^*aqu6GB~>
+q=jaZ&,#^^7#:=/q")8es8Vufn\Fntp9jYjpA+I^pj`~>
+q:,8i&Cocj0QPk+gt&1Chquu/b0[uSrRUqsrR1Yl_:8;0qU>Vqcd1$i~>
+q>:!a&,CfPV#(&i[<]gkqX=(Ss+1(;qt^*aqu6GB~>
+q=jaZ&G>I86^dE7s/pI\q=a4HqZ"D+qt@Mnq=aXYrqM!~>
+q:,8i&CoEC/VDa1jH3K;f$h[`e(MReqpt_qs3gkn_:8;0qU>Vqcd1$i~>
+nbWjsa[oq8qnS>uk5Y8MrVcPCqr.GOqLA~>
+o(N[gr4Y?qmI@`EX5X$Mo)&="p\XZ^p\sr<~>
+o$e6%j/OLmeC^=0NPXH!cdgRn_:8A5rRCkqrm:_oZIB!)cd1$i~>
+nbWjpp52RdPCp(7s8Vuqs7c/:qr.GOqLA~>
+o(N^ho':clC5I>:o`+scqu-3Y_>!d!WV?DeJ,~>
+o$e6%g!sdf;/fp%f&>N9f[nHn_:/J9rn.2#s4$qoZIB!)cd1$i~>
+q>:!c&-)S*dXJL_q=j[Up&+[\s+1(;qt^0cqu6GB~>
+q=ja\&GQ4pn]5gNh=C..mdU&Hp&2c%q"D8mq=sd[rqM!~>
+q:,8k&D-(!gTOhB_:I,dcHt.lce$%`!7q,$rRUttr6iF2q:5>k"4GNAdXV~>
+q>:!c"9&8goD\aqr;Q`rrVu]cr.4b8qt^0cqu6GB~>
+q=ja\&GPemjlu[Bqt9d`qY:!^nbLT,kk;U^q=sd[rqM!~>
+q:,8k&D,Rnbg>A1hq?cAg=Y*-cIUCmn^dTirmq(urR/O3q:5>k"4GNAdXV~>
+q>9sb%fcD*s4I;Jp\t!]r;HEdJc#!7q>C'crq_-~>
+q=ja\&GPbnnG)k*p@\"Po^M\Qp%Hf-kOuO^q=sd[rqM!~>
+q:,8ks47b@fAGJlg=b!1eBlk"daQUnn^dTirRUttrmJX4q:5>k"4GNAdXV~>
+q>:!c#QOMts0ZG8s8DinqYpEmqu6H^qt^0[qu6Nnqu6F&rVHKmnGM\RrVHBcs8Vfirqufnrq`ns
+rq_-~>
+q=ja\#l"2^p%k^no_SO[rV-<ds7cNdnb;kSme?bTrq-fsp%\RQpZVYPp%@qTrpf^[p\slkp\sr<~>
+q:,8k#hRn[g>@uWfA6GYr7:kts4%%sn^RBbn^RQis472"&(oFbhojWmhqH`8f&,E7f`'M&eGdq&
+e-".FcdI=~>
+q>:!c#QObur6/<OrVcWlqYpEmqu6H^qt^0[qu6Nnqu6Eos7--^rr38ts7Z0_qXa7Wrqufnrq`ns
+rq_-~>
+q=ja\#P[r`n++=kY5J"lp\ssfp\smVp\FUPp]'sdoah)hqsaXar:0[Snb)SCm/I"Y!VZ9ep9FAk
+pj`~>
+q:,8k#hRb^eCUTTOkK]crRUtus4%%sn^RBbn^RQis472"&)YUcd,Eg9e)&U(f[nKqi;V=/f$s]J
+ZIB!)cd1$i~>
+q>:!c#QFc"r:"$-s8DinqYpEmqu6H^qt^0[qu6Nnqu6F!qsOIXqXFOWq>C6krrN&drqufnrq`ns
+rq_-~>
+q=ja\#l"#lnakpDA,6)srV-<ds7cNdnb;kSme?bTrq-fql1soCli-AFpA+UcrqG^Wp]'pgp%J*a
+p\sr<~>
+q:,8k#hR_geCMc%7bmjm!7q/"s4%%sn^RBbn^I]ng"G$1rmqt=bM1Ouc/@"$gt^cGiRuH.g"4g+
+e^N!Qe-".FcdI=~>
+q>9sb#64]%s*.$.rVQQirqufnrqc0^q>Bd[rqufnrq[0$s8)SdM6"Ce]@-6Go)8Ufr;ZZnqQ]qs
+qLA~>
+q=j^[#P7oep%iSknbr1Zp]($gp\smVp\FUPp]'sdoag]kp%=l/VRiA,c0Y,jq#C?fs7QNep@bcc
+rqM!~>
+q:,5j#M.hcf\KFLeG7`"f@AF$eGdqeeG7YbeGe/$f`'J=f%em/IqFM,KU]3lf[/@4g"G!.f%&6u
+ZIB!)cd1$i~>
+q>:!c#Pn5rrVN$Me,B1BqYpEmqu6H^qt^0[qu6Nnqu-@$s82S56^#=ARUN&ms8)<cr;ZZnqQ]qs
+qLA~>
+q=j^[#Oq9Xo^\,+bkh&5p]($gp\smVp\FUPp]'scoa^ono5?gP^"/EPTDSZ]mJck[pAX`ip\sr<~>
+q:,5j$.IDXf@=saYLqM*f`g$[e^`1!rmUDeq:5#brn7>(rRVP9f[WhADkF[g6&"1Vf[0WN!SH!&
+e[![,da-7fJ,~>
+q>:!c#QFMurUds&UAaufqYpEmqu6H^qt^0[qu6Nnqu6F&qt9sZMbV^ss6"`Ob4>T4rqufnrq`ns
+rq_-~>
+q=j^[#PIQ]o]s%YS,2jYp]($gp\smVp\FUTpAjpdp]'sdoagccq<`o-ch.7rF`57dqYL3cs7ZHb
+Z1n7mJ,~>
+q:,5j$.dP[f?Tm:Ib<<Nf`g$[e^`1!rmUDeq:5&c!7q/&s4I>&&(o=bcY+f5fB1+X<N+:#h>Z(.
+f[g&PZIB!)cd1$i~>
+q>:!crr3-#qrV+0rVQQirqufnrqc0^q>Bd[rqufnrq[0*r;,f;>OD1bp2<dFs8Vuqr;ZZnqQ]qs
+qLA~>
+q=j^[#Pn)ep%$p<FSb_2p]($gp\smVp\FUTpAjpdp]'sdoagrop#q'0kjnQ=BhH)=s7ZHds7ZHb
+Z1n7mJ,~>
+q:,5j$/4"_f%%Pp=4l1'f`g$[e^`1!rmUDeq:5&c"kMA\g=b0YfFHclfZRnfbLPM$:GAR*jSda4
+f[g&PZIB!)cd1$i~>
+q>9sb#64>ks7]c1rVQQirqufnrqc0^q>Bd["T8/pqtpBh&+onmqgE\fs7YMcFR]7us8Mrrqu6Gs
+qu6GB~>
+(\[Usp\+@Tp\4IWq"ORXp\+FNo(qiU?i'KrpE',(p\+=Rp@e7Sp\+@Tp\+@Tp\+@Tp\4IWq"ORX
+q""._p@n@Vp@eLY&+BPcp3:WRqXNHODsR2aqYp6ep9FAkpj`~>
+(Y7*eeCN.#eCW7&e^r@'f@JX#e_S_86i,IYf[n[*eCN+!e(3%"eCN.#eCN.#eCN.#eCW7&e^r@'
+eah2if)FA&f`'J:dcAd.>?0J7eA=UOcJ-Y"g"4j,f)F.(e-".FcdI=~>
+q>C'c&-)1ms7?5n<5\b6pAXj_r6bBEq=j^]qYp@&r:K[E<OD\ijb89<s8)TlWVc\kJ,~>
+q=j^Y&-)(es6fW[9t^>rnG;ePq;M&;pB:3ap@n=\p^m2gnDR-Ep#P%]I+/#dp%nB^p\sr<~>
+5M=ZAf@ed/f@\[,f%AR+f&"["imHSB1SWg_f%ns2f\"d-f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+
+f%AR+f(%8hec45"f+?W_d_df$fuV'??FAY?e_8UQeGdn%e-".FcdI=~>
+q>C*d%Jp,#s8VopcsWmRqt^0hq9o-DqYBm[q"k!e&-)"jO?ol5l_0ilrr;oror7ifqLA~>
+q=jaZ&GQ2"qu?9faB522p%.tPq"`kAo(N:\p\4IWrqI$'kOONlU?:O,QcAjup\XK[p\sr<~>
+q:YSr&)Gjoj4WS"6&X[Ug"Y-3fAbH_f(.>ie,Ro3e^rF0a4+rHL!%JcH)B9Lf@\BueG[hqdB_7(
+da-7fJ,~>
+q>C*d&Gl5!s8DcnnSX!Rq#:*cqY8M9)#F(&q"X^^qtp3[s);T$ioT\&s8VQbs8&_lrq_-~>
+q=jaZ&GPnpr;#sal"5;2o(_nPq=rnAo(Nsop\=OXp\=OUmJ^m.ceI=BnGiCNpAaicp\sr<~>
+q:YSr&(T=igtCi<:Lr,1hUpK7f&G?^f(.>je,@erf+HNWi(ZPD^V\7Di7lE*hp^*)rR1_nZIB!)
+cd1$i~>
+q>C*d!rDZbrq[!"s+OqBp&Fd`q=i>7s8)`irVHQh%FeF-s7?9jq>1'cs8Vbkqu6GB~>
+q=jaZ!Vc6cp'^Ndr-_c'n,;kQq"N_?nb<%XrV-?`%F7mqrTsRao_&"Oqu6,bp\sr<~>
+q:YSr&(B%]g"P6CAjaMej4;o:e`,6]f'Lodf)O20YqoSAd,a6<e_&C+gWn<urR1_nZIB!)cd1$i~>
+q>C*d&GlG#q#CBfs/]2<oDeR^q"N56s8)`irV@$(pT7PlrUTjTn+m"]p\Ccbrq_-~>
+q=jaZ&GQ+ro_n[Vs.i?$mJZYOp\3V>nb<%XrV$g"nu,KVp?VA:lLb&Lo(AsUrqM!~>
+q:YSr&)5Uci8N8NNA[Q]j4;o9e`,6]f'LodedgK`MD]k9ce-LdeD8a)df.bpdf7_#e-".FcdI=~>
+q>C*d&GlG$pAb0ds3Y)BoDeU_p\E87&Gl;"q"X^^q>'*qST<0Gs82fq"S_K_s8K"prq_-~>
+q=jaZ&GQ1uo)JUVqT2^%mJHPNpA*Y?o(N[iq=saZp\+=<a-^_ek5P#Prrho[o_\Kap\sr<~>
+q:YSr&)Gddio/JKZ9<ZciRcc7fAbH_f(.>jec""teIfQoH;C]cin38NhpTd!f[nX&rR1_nZIB!)
+cd1$i~>
+q>C*d&,Q+tp\sscp[)pFoDSR`p!NX?qYU*aq"k!c&#P#&Dl^bJqsaCSo`+sinu;NcqLA~>
+q=jaZ&GPnooD8%On)\5&mJ$AMo_[S?o(N:^q>'g[rq6krIrK.u]C,=WoC;;Hs7u)^p\sr<~>
+q:YSr&(T:_h:UN8c;@coh:gQ4g#CZaf(.>iec4,5e(*!"?W'RQT$l99e^;^tiRZ3%eG[hqdB_7(
+da-7fJ,~>
+q>C*d&Gl&!r;6*co_sAOoD8F_o_d/7"oA,lq=sgcq%*JhnGhnPqu?Zoq>C9fo`(ofrq_-~>
+q=jaZ&GP_pq"O1Um.P[/mI^5LoDIP?o(N:^q>'g[rq6lujQlj.oCVhRq"4=YoC2^Xp\sr<~>
+q:YSr&('.eg=,37hdJt&g>(B2g>^cbf(.>iec4,5e(*"%`6I>af%Ad4g=4a0e'6UreG[hqdB_7(
+da-7fJ,~>
+q>:$ds8*<%qtp<hrVa]G]^YdtnFP**%f6+up\+CYr;Q`jrV$9^rVm'#pAFsaqPjAkqLA~>
+q=a[Zs7d*"p\4CTp%?"'[d*San+5K2o(Nsrq"OLTp\F^bo(_bQlh^GRqYB[UqssH[p\sr<~>
+q:PMrs4@;)s4mY2#Gsq[d+R7%dGigYf(.<.f$r0sdaZq'h9t$+hp1*7gt^T1fA"X#eC=HFs3\.%
+"4GNAdXV~>
+q>:$ds8*<%qtp<hrVcP&M"U]?q>\n?)#EsuoCM\Or;QT]s7#s^eEd)1rqlQiqY[>irq_-~>
+q=a[Zs7d*"p\4CTp%@i[K(&L,q#B:Go(N1Vo`"FppA+UZl2U)Bo$-7jpA+FTp\+B]p\sr<~>
+q:PMrs4@;)s4mY2#MMU[e_AX-h;[)ef(.>jd/VE,d*pY$f#cssf[[7Jg=Y*0e^r:#eC=HFs3\.%
+"4GNAdXV~>
+q>:$ds8*<%qtp<hrVcb>?i9rrrV+b;)#EprnaZ8Fq"aO]p\spSHI`#jr;ZQes8Aqorq_-~>
+q=a[Zs7d*"p\4CTp%A?&=n_jbr:f.Co(W1Trp^Wmp%IhMo(he;F3aURp\OLQqt[5crqM!~>
+q:PMrs4@;)s4mY2#O#5Rgu6];e`,6]f(.<.cd'e[cHt(kcJ$e&e&b[sgXb!1e'lt#eC=HFs3\.%
+"4GNAdXV~>
+q>:$ds8*<%qtp<hrVcPj=5j#Mrp\A5"T%rfo^_tP&+KVbrVrN^XT/7qs7c6eq5O8jqLA~>
+q=a[Zs7d*"p\4CTp%@jJ;;:g:rUAb=o(W1X!VGs]n.4jbk4nb?6DaVTp&"=Mrq38brqM!~>
+q:PMrs4@;)s4mY2#MP"n_:dAqcJmLVf(.<.e'cUgc-=S\bMgOrgjCH*hV-N7da?gteC=HFs3\.%
+"4GNAdXV~>
+q>:$ds8*<%qtp<hrVcTM=Jt`fqYJY;)#F.)p\"4Oo^h_Iq"3ZKK5gYdq>C$^s7E;frq_-~>
+q=a[Zs7d*"p\4CTp%@n-;PEOSq>0%Co(W1Z(&.ClnaZ,;n+6#):OHmKrq,sVo)J3Yp\sr<~>
+q:PMrs4@;)s4mY2#2?pQLXFi0iRn1]o$dloeC2gkcHuR:&(T(D113i-i7-B-dbW0teG[hqdB_7(
+da-7fJ,~>
+q>:$ds8*9$qtp<hrVcciCOuNcn'V"8qY9dYp\jmuqt'^bOFQ4hg&LpDr:p<`WVc\kJ,~>
+q=a[Zs7d*"p\4CTp%A+JAUF=Smebr9o(N7Zp@n=Zp($NareYmR:=T=:oCqkVn#?'\pj`~>
+q:PMrs4@;)s4mY2#N=9-@G^%jg#CZaf(.>jdf%YpeIgBXf\gRM^,!.Ue^N.!gs"9trR1_nZIB!)
+cd1$i~>
+q>:$ds8*<%qtp<hrVcZiQYH-mn+P3,"T%ofq"Xgb&-)M#iF:L?CT7=2pAasgpo4/iqLA~>
+q=a[Zs7d'!p\4CTp%@tIO^mq]mbda/pAss]qtL]up%$mBdemXOq=jFWo_nE]p\sr<~>
+q:PMrs4@;)s4mY2#Mn*X8^u_FeDf-\f(.<.daQ^qe^`:'g==]e5.0<>L>1>-gsk'*eC=HFs3\.%
+"4GNAdXV~>
+q>:$ds8)lnqtpBj#lXZ#]hQcDs8UIC(A[n*qtg*_s6ouDJGStoK_YQ?s7u]nr;-KjYP\=qJ,~>
+q=a[ZrqQKerq6ThppWc6nGN=7p)*Q!q>'g\p\"4VlMcE]oC%0YoD.qVo_nU`pAjulp\sr<~>
+"5)2Wf)=7qg&B_)g]uQiSLptmhr*JGo%"`/e^`7$e^i7$h9=hi?.[P8@b'5\hpgB2eC=BDZIB!)
+cd1$i~>
+q>:$b!VuTkq#:*qqu?N\D3=_mros@Fq\T5-p\Y!anbiFVb$hOPp:kG>rqlZmq>C0d!r)NdZ2=Os
+J,~>
+"8;K_p\jg]o`4^bpC$]hp\+LWl">qIp%[eGl1Pqhq"+7Xna-#IlGQo,p[Ph+o(VeOq"=F\pB1-`
+p@bccrqM!~>
+"4kuQeG[tuec","f_jG%fEg?dbY<07h;I#Xg%j@tg%*c4f$r-neD/O!g>UDY6'0gMSP.Vif@\a(
+e,@Yoe,In'e-".FcdI=~>
+q>:$b!VuTkq#1$op](#)GlR^Al29fC(]F@.pAFjbrTsQ@C@_Diq.@\Dq>L6fr;HHipTaVpqLA~>
+qtL-aq=Oa]qY(3bs79iAq"3eEl1PqhqXj@Qp[n4Bs+=kKs5ilZ_"7-lq"FL[pB('_p9OGlpj`~>
+qpbYss4.)"s4IA+s4RG)s4.J*impe+j5K"Oo%EimlId$,eC;gjf@em6cKK%9dcSX&8#Ftig==[$
+rR(Yq!nYuRZd]**cd1$i~>
+q>:$b!VuTkq#1$oo`+iI@HdFal29fC(]++-p\Fgeq>B8[ZMsb"s)3bfqYp?hqu-?hpTaVpqLA~>
+qtL-aq=Oa]qY(6`s7_4Mi9p='pZV;cq=jLQq=jLSh-$iSpA"JsK(&=,pA"LY!quB^ZM4@nJ,~>
+qpbYss4.)"s4IA+s4RG)s4.J'j4\98bM2"0lIkIT(tR*`da6Luh:^Z(5EamVgYG\>e^iL(e^FED
+s4%2&e^h(V"4GNAdXV~>
+o)&I`rqQHg#Q+PpaBGe>rSd\Equ?F*rr;llqtU2NFStLps6PeQm/I"Zr;?Eipp'_qqLA~>
+qtKgXqY(6gr:.X%VsO*8p[RtWoG.6#p@\+LqM/t^kNi02Lf`^4q=OIUqtL6eq"D#frqM!~>
+qpbSqrRh/'s4dS,s4IA&#h\"`W&p0qi7d2Do%4f1cd14rf[nm1ibqfOb0K(jDEZ1sgX4R!rR1_s
+!nc)TZd]**cd1$i~>
+o)&I`rqQHg#QF\lo3?P?rSd\Eq\T5%r;ZTcs8U#IXT/(qr;O*#ci<k9rqlZjrV3Yprq_-~>
+qtKgXqY(6jq!@BIE;9+bp[Rqnq<n%Xo^M\T^0RW8oDJ@YY"?_0p%/%SqtL6eq"D#frqM!~>
+qpbSqrRh/'s4dS,s4IA&#i"(Zdlgpsi7d2Do%<un(!5"_f$`I9VF?I)f&,09PV92of?i.Idf7l"
+f[eW[e-".FcdI=~>
+q>:$d!W2`mq#'sms7Z;3?2affr;$<]q\T;'q>^-`s8Rsij88]QnGh$DU]0u^s8;imrV<_qrq_-~>
+qtL-aq=am_qY(6fqXO2p<V?.Op\FUSp)!bsp&+=Os8%CXh=gOAli#+/SG2RGqtU'a!r2TbZM4@n
+J,~>
+qpbYss4@5&s4[M-s4RG)s4.J-gsk%Y5iUhXlIl!eo%4c0gr\""db!U=Ce2Isf]167Zo`lne'ZhG
+e,S#$g"4f]e-".FcdI=~>
+q>:$d!W2`mq#1$oqt^9fZrkNOl2:AUnbX.%p&4g[s8LSmSGrQYr;6-UH@#Vbqu6Eiqu->qqu6GB~>
+qtL-aq=am_qY(6go_\6]:rE+np\FUSp)!Sqq"O4Sps<uGq"j@Op@%6eF8>A#qXsa]!r2TbZM4@n
+J,~>
+qpbYss4@5&s4[M-s4RG)s4.J.f&#)F40[f"o%Eijq:P5g(Y?sbf?iF3[T7e4h9Xd,dEbrugsad)
+d/DGnf)jXWf!Ej.da-7fJ,~>
+q>:$d!W2`mq#1$os6]jdnl_(Sl2:AUnbX-pp](0`s6lb$irAoUqu?ToQ"C!krquHfqu->qqu6GB~>
+qtL-aq=am_qY(6mkl:JD;2G#3p\FUSp)!5irqGm]l(2SDqtBs]s7cDN?N0Tnq!n7W!r2TbZM4@n
+J,~>
+qpbYss4@5&s4[M-s4RG)s4.J4b2hI/4E]]<o%Eijq:P5g(X:=`g!\s-KMKD@g"t<;g#7$@iRZW2
+bl-#jf)jXWf!Ej.da-7fJ,~>
+"oS5mq>:-cr;ZZnq>L1$p&Fjbs)MQIrVZWjs8Viml2:)K-i`r@n+$;4D3XYlnGiO[qY'&Tf)PI<
+s82ZgqYL*cq>C-eqYL*dr9=(`r;6BfqYU0fg&(dFJ,~>
+"o.fap%S:Up\OXqnGi.Rq.a(+q"ORVr;H3^l1a`A+91p3lKn5tB9)BZlhg_Mp$^d:ci3M,s7uHa
+q"jm`q>U-gpAajeq!%MXq"OOVp@n=Vg%YL@J,~>
+"kD)MdaZkHfDXD&gAft.gAfk+f+6<gfA#:b7cE+Tg=P3=eD'fPn^m<^-f<A3bg4tW9m"kFcJ@C'
+e^_W!ZJa'UgXFTudb*7,f@SO%e'lgre`kQge^W*te'umtg=-5Qcd1$i~>
+"oS5mq>:-cr;ZZnq>C*rs82NhLK!@3p\Xsg!Vuc[r:0Y#o(i=\s8&*iao;>1rVlHhqX%h$s8)Qj
+rV?otqYL$cqtp6dqtp<UqZm&rqtg0dqu#.Erq_-~>
+"o.fap%S:Up\OXlpAFXRp4#`lp%%hUp]:$`l1a`A([^knoDeKH=i:%7m.gGHrU]/WY5@qcqYg0k
+q>0p_rqHHds7ZNgl1YGXp\4CTp\4I9p\sr<~>
+"kD)MdaZkHfDXD&gAft.gAfk+f*^0eg",%q36Bh&f`'S*f%g)Sn^m<^(X:Iee`>A-5H3N!cIgan
+h:^">OknL7ec!o(f@\g/f@8=!e'umtl-osgeC;sreC<%&e-".FcdI=~>
+"oS5mq>:-cr;ZZnq>L1$s8)cfri\o2r:TmcqY0sfl2:)K(\Rh$o`*fXM>@2Lq#1$_s8Mb=L%YEB
+q#1'gq$?ipqtp6dqtp<UqZm&rqtg0dqu#.Erq_-~>
+"o.fap%S:Up\OXqqXs^Qp8:3gp[IhPp%%nRq"O@So(O!pnGVkFs4LY0oDA:Rq"=7Wp[E6QnG2kO
+rV6Eg!VlNjp]'sepAk!QpBUKfp\+=Tp\<G9rqM!~>
+"kD)MdaZkHfDXD&gAft.gAfk+f+6Zgh:1>F/uI@Nf%ns-g=uGV!8$elo$eN-d,3=#k.a<"g#:Z8
+f[A.&h:>_;dalsprR1_t$/*t_eC;sreC<%5e-FOReC2mreCE:&"4GNAdXV~>
+"oS5mq>:-cr;ZZnq>L1$s7?9as4U;?s8)Njq"4U_g&!/rs6od\W+XQYq"ashqtp3gs.*TVr;H<`
+qYU0bq"adaqtp6dqtp<UqZm&rqtg0dqu#.Erq_-~>
+"o.fap%S:Up\OXqqX4@Pq9hg!r:T[ZoC)VMq"EbB*;94-lLabD@EeW?o_SCXp\":UQ<N&<q=41R
+q>($b!;c]hs7ZKe!;PgQ#Pe&fp@e7Tpt>E@pj`~>
+"kD)MdaZkHfDXD&gAft.gAfk+f+6Z`iR[#%21XT9e_\j(hUhVVs465[.+[/2c.C^+8[RI-f@np-
+daHn,Hp,0nf$)Lhe'ln!g"=p+eC2mreCEg5#M%>Re'lgre_8LTda-7fJ,~>
+"oS5mq>:-cr;ZZnq>L1$rp]s`s79oHr;ZQkqXsm^g&!/mq"XmNDiOJdpAP$err;Tfs2J3Wq#'m\
+q>:'`p\=U_qtp6dqtp<UqZm&rqtg0dqu#.Erq_-~>
+"o.fap%S:Up\OXqq<S(PqWhO+p\sd[p$hqMq"EbB*;9$roDd]^L[ap*q"s^[r9s=U^J_]9q"+1Q
+q>($a!;c]hs7ZKe!;PgQ#Pe&fp@e7Tpt>E@pj`~>
+"kD)MdaZkHfDXD&gAft.gAfk+f+6W\j4WJD9j$--e_A^(hp_GSs465[rRN7T`D:F)g!nd2eCW<r
+g#8bbS^H!5cdC4je^`=)f@8=!e'umtl-osgeC;sreC<%&e-".FcdI=~>
+"oS5mq>:-cr;ZZnq>L1$rq$0drV;[]hZ*HKrq?Bbl2'rI-iN`;rN957r;-Blqt0gdp\XsSD4gV#
+q"FO]qtB^Xqu$?gqYL*dr9=(`r;6BfqYU0fg&(dFJ,~>
+"o.fap%S:Up\OXqq<n7Sp$mu=g&La<q=4CPq"=4Oo(O:#q!e+SW):"so_A@XnG)tRo_7?WRe6@H
+o_84Xp@\1WrqHHds7ZNgl1YGXp\4CTp\4I9p\sr<~>
+"kD)MdaZkHfDXD&gAft.gAfk+f+6W_iS*/DGs/h"f@Sd+hU;8Ps4-\ho$f)=g=+j3N]3Qdg=tN9
+c-t:kf\OV?I*pHicI(.jeC3('f@8=!e'umtl-osgeC;sreC<%&e-".FcdI=~>
+"oS5mq>:-cr;ZZnq>L1$rV6Biqt\K>Y5eFos7QEel2'rI-ia)Ae9#s!rVlirq"OX_r;QBhMhM!(
+p\"@[qt9UUqu$?gqYL*dr9=(`r;6BfqYU0fg&(dFJ,~>
+"o.fap%S:Up\FRooD/+On\nA)qtK[ZnG;bOp%%hIpE92.p@cdLEoQigqt]jTpA"FWmeMNcp\+4M
+p\O^Yo_/1]p]'sepAk!QpBUKfp\+=Tp\<G9rqM!~>
+"kD)MdaZkHfDXD&gAft.gAfk+f)aUUrS.^b4H/+LeDAX/eb[nteah2[e0ro*g"`r8>0>aZhV?T,
+dF-S"eDFnIeC2^fdF?Xodb!1(eC;sreC<%5e-FOReC2mreCE:&"4GNAdXV~>
+"oS5mq>:-bquQ]jqtgp%qtg9hqtXcZq#0mco_eXbq>g?[qXOG1q#(''?EaD&qtp-as7uBfs6foZ
+G5qC2pA+X`p[n4Wr;6BfqYU0fl2(_`qtp6dqtp<Equ6GB~>
+"o.fap%S:UpB(-ap\jjtp\+:Tp%.]YKCem-rpTUUr:L'`rq5jUo(OR+oCr!g=K25fp@e(Mr:fdY
+r940LEVoG!o(MnSo^qnTq"OOVp@n=Vl1YGXp\4CTp\4I9p\sr<~>
+"kD)MdaZkHfDXD"gAfk+f+6Qef\>09gdPr.gXG*.g"H2Q!7gYh!S#Qie0rnug=i)]O5eaDg!nR*
+dEU;#cK'@OgX=Bne(3'sdad%$eC;sreC<%5e-FOReC2mreCE:&"4GNAdXV~>
+s7lipqtp<irV??lqtg3es8<E!s7lWfI8p7Brr;`mqu$9lq"jjOq[`Z&qYL!\q#(-gs*T@soDSU`
+');>"s8)*KCps07p\Ojbp@S%RiVNlXqtp6dqtp<Equ6GB~>
+s7HHep\4[^q=ap`p\X[ap^Q]joDJ-&9`4GTqssXXrV$?dp\smOpCI)op@e+JoCr"OpiUr^meH_S
+');4qrqG[?B<h$tnFcSNoCDSMiV*TPp\4CTp\4I9p\sr<~>
+s3_/$eC<%$f[naRg&Kb+g%sA$g(D`if&+t_2<W]LhUUH7f%/L+rRh2%o$d]gdJM>mf$s]J%FNYV
+g=Y1`?Js2af[eXOe.:Bfb/m5=e^W("f[S9lcdUk&#M%>Re'lgre_8LTda-7fJ,~>
+s7lipqtp<irV?Beq[`Q'p&FdbqOgj?q>1-br;HTjrV5URs7l`nrVc`n#62n^_#OB5rVHEd%K?*>
+Q2gXRqu-Ecp%A.>qZm&rqtg0dqu#.Erq_-~>
+s7HHep\4[^q=j^Y&,#hhqXXFSRn_6!o)8+Qq"aXap?D>OoaLTiq"OOUq8HjUrV6Bjp\X^pqt+Ta
+qXO(Iq"OCOpA3bB#Pe&fp@e7Tpt>E@pj`~>
+s3_/$eC<%$f[naRg&Ke%fGN5rdbN@+f7#]lgtUl=g"P$.f\"m1gY(0LeGmtrdJ_K*eC)dpf\"g-
+g"iSrS_r)Vf%0`Js4.Y7eP(&@e^W4)eBlIcdc&[\e^W*te'umtg=-5Qcd1$i~>
+s7lipqtp<irV?Beq[`E#p\aj_s3Fr=s7QEcq#:6grV5XS&,Q+squ6Wnq>0f5FS5\0s8Dfmp^d&i
+s8.Fhrpoj]r;66^pA*\E#Q4JrqYL*dr7UuHqLA~>
+s7HHep\4[^q=j^Y&+T\jp[n+Sb#FPumJl_Jq>'abp?MA_p@\%Nq>0jXoC$j>nGW"WrV-9c&,#So
+pjR)SlgaWAp[n+PqVh/Rq"OOVp@n=Vg%YL@J,~>
+s3_/$eC<%$f[naRg&Ke%fGN)reCiF(goWejin!5@e_A[+f\"m1gY(0LeGmtrdJqYpe.L0Xe(34+
+f@8F$=]!Q(eD/X+qpZ/*dbi_d:ts=Hf@e[$cHjqte-FOReC2mreCE:&"4GNAdXV~>
+rqcZlrqu<`&,-%sq>L*fnSrRKo`+a^rVcTkq!%Ydq"ssaq>:$_r68*Fs8VQbrVHKf&,Z.qppau"
+pA+U`qtTpZpu2)Tr;6BfqYU0fg&(dFJ,~>
+rq?Bd!r2Nanb*L`s7,aVoD.`eC&dPso^hkRpAjpPpCHojp@S"Np%%dq9!%pilLt2NrV-p#q"+0b
+@c6_Go_8+Qp%S:@pBUKfp\+=Tp\<G9rqM!~>
+rmUns"P),Uf%0fPs4R5#(t7Hmf%S[/cW!s1e`#-1g=Fj-f\+s4g",`D!7Lkos3gqs%aieWeC<("
+eCgiRO58g<rmptr&)#O`es8bCe(3.(eC)[hdG`R[e^W*te'umtg=-5Qcd1$i~>
+s8)]ks8;Ea%f$(sq#C6grKUpnp\Omer;-Bel2(tarVlWdqYgBcNc4Xjs7uThrV-Zqs7Q3TE4u;J
+rqcfnq"ORBqZm&rqtg0dqu#.Erq_-~>
+s7Z?anb*LbrUBFVp@e9@>lF-`q=jRXpAjpPpCHfhq=O4Mq"X94B^bcno_&1WrV-p#s75mICUX97
+o_/%QpA"IBpBUKfp\+=Tp\<G9rqM!~>
+s3pqrs4@;%rRh/'q:HP7hpU'3f\"r'8a+g\gtC<1f%AX.g"Y32o$mQbs3qY.f\+d'f@ns,CJ3+1
+gsjm*f)*r-g"t30b>+Mef@S[)e'QIhiRA+_eC;sreC<%&e-".FcdI=~>
+q>:!aq>1^!rqQ<hrV6<.BB9$bs8MimqYg3Rq[`Aus8)Qks8L2O[/^'qs7cKgrV-olrVH?iJrKa-
+r;6BfqY9jEqZm&rqtg0dqu#.Erq_-~>
+qtL-aq=XRW&,#bio_eLUpUaefp$hnTo_J4]p?MA_nG)nRo_SL]`*BGEp[8(PrV-9c&+BJkpA98l
+s7Q'Yp\4IYq;M&Qq"OOVp@n=Vg%YL@J,~>
+qpbYss4.)"pXfu-gXXm3g==oS9ZQ#@hqS.]s4IA)!o)DZo$mQbs3qY-f\=s-gtpea5`k$Zd,EF(
+f)*r-c.gn&hI('Yg"=s,eC)aliRA+_eC;sreC<%&e-".FcdI=~>
+q>:!aq>1["qZ$NkrV?<XBrh:.s8;fkrV5XS&,?,%q>L?im#H/Ps7c9fp&4acp^clbs7lJjE:a#*
+qYU-dq"NbE#Q4JrqYL*dr7UuHqLA~>
+qtL-aq=XRW&,5bnq"FLTp#]\Xq!n7Up%e@QpA4O`p(-ciq"4@[p#h*Hj88E<rp]m\rV-Weo)87T
+UhT2pp&Fddq#L3KpBUKfp\+=Tp\<G9rqM!~>
+qpbYss4.)"pXg>9fA,*4g=Fp(:6+;bhV$N3f%AX.g"Y34o@<okrR1_qs4.e2f\4p1hq,tc:r_AA
+eDAR'f)*r-cHtG!fnW;Kg"=p+eC2gliRA+_eC;sreC<%&e-".FcdI=~>
+q>:!aq>1^#q>^Kgr;6?jB7KsXs7lNjqYg3Rq[`W'qY1!hn()'Es8VWhqYC*drV-p'm/QqYe8O+?
+r;-9eqtTpEqZm&rqtg0dqu#.Erq_-~>
+qtL-aq=XRW%eoVqqXO=Rp&ABCqXjXUq"O=PqtL-a&,5klo(i1Jd9`=>q!A%Ro_nO_p^dDks7c34
+B[lbKp%J1Vq=rqC#Pe&fp@e7Tpt>E@pj`~>
+qpbYss4.)"pXg>9f&>E5g"=sB9Od&9h::30f%AX.g"Y34o%!fjrmLhrs4.e6f[nX-h9<2lJ)8r*
+j42Z1f)*r-i6('3fWn2\g=Y$+e^MpmiRA+_eC;sreC<%&e-".FcdI=~>
+q>:!cq>:!c#PY-*irArOq#1'fq"aj`qt^.#p&FdYr:KrFDsIAqs8MokrVHKf&,#kupAXo*RJd*Y
+qtL-[r3?.uqLA~>
+qtL-aq=j^Yq=b-_T3BtFp[e"Hp\FO]q#0ptnGi(Jp[@m2B]K$Yr;$'YrV-9c&,#kroD/&kP4eY@
+p[nLUrNZ+rpj`~>
+qpbYss4@5&s4[;$qUto&%u`rpi7c`3f%/L+g"G-5g%s=rf)=.tf+HHkeC!!ugLs:$hpL<8f$r:%
+qpZ/*g=k'3fLg>?gsad#gWA!Oe-".FcdI=~>
+q>:!cq>:!c#Q);A_"IU!s8Dfmq"aj`qt^.#p\OpeqZ"cZZ2=RprqQBjrVHHe%Jp%sqt,Dhq#C9k
+q#Bifqu6GB~>
+qtL-aq=j^Yq=b-c\5^!,p@A(Mp\FO]q#0pto(DqSp&E'KWq?)Tq=F=VrV-6bs8!/qp@!9Pnc&:Z
+p&FR[Z1n7mJ,~>
+qpbYss4@5&s4[;$qUlJ7hPEH1e_/I-f%/L+g"G-5g%s=rf)=.tf+HNahUpKAW_\Z-gX=j,f%S^+
+qpZ,,f\=p/dTp//iRui2g<$VL"4GNAdXV~>
+q>:!cq>9sb#2s-YoD\I`rVHKfq>C'cq>:d'nc/IXre"tTs8)TjpA=mgqYg1!q=jm`qX^XtjT#2W
+p]'fgqu6GB~>
+qtL-aq=j^Yq=b-dfj0U)q=4@Pp\FO_q"sdrqs=@Un+hBBl2:/Eq!n(TrV-9c&,Gtsp%@aH?et\U
+q=O^Yr3?"qpj`~>
+qpbYss4@5&s4[;$qUlD5ho831e(iF.f%/L+g"G-Tg%s>&f%&=LfDjM9h9P*6dbJ>)c/@1(g=+X-
+f%0`J%bK7df%AB(6c%^7f$W0oZ.&m(cd1$i~>
+q>:!cq>:!c#Pe.LEqo\1q>L0gq"aj`qt^.#s763^r6eoHs82TjrVHHerVHKf&,Ghsqu-9>?,HL7
+qY'p]rNZ8!qLA~>
+qtL-aq=j^Yq=b-`npP9Dqt0ONp\FL`p\=X[&-)%pn+Y(/Sbr'Lp\=FUoDSF^p^d2lr:p'Xc;qRL
+o_.nSpAV>krqM!~>
+qpbYss4@5&s4[;$qUl),gYZ[Cf\ZSXs4IA)!o)D^qUt\s!S>m#fDjM9iQpE0g9<bnhq6H4g=Os*
+f%0`J&(f4bg"Y&_3hP$Te'Q[kf!<d-da-7fJ,~>
+q>:!cq>:!c#Pe>&>3Ph]p&4acq"aj`qtU(!qYU'fQYZ-io_\R\rr;WhqYg1"q=O[arV?"rT_A3W
+pAOa`Z2=OsJ,~>
+qtL-aq=j^Yq=b-`qPR6Np%\%Hp\FOXpC?lioDXk`lh9`<p%%qTn,<"Zp^d2mqt^$ZlX-(Ko_%hQ
+q#.JlrqM!~>
+qpbYss4@5&s4[;$qUlJ7gZO_]aOo4pf%/L+g"G-5gA9Luf_sG#fb)rjg",5.9@;J@f@\U-g<\@$
+qpZ/.dbNR2f?Zg4daljne^2jPe-".FcdI=~>
+q>:!cq>9sb#63+Q\b5prrVHKfq>C'cq>:`us8;iTB8llhp]($Yrr)ckrV6Eg%K-%tq"fJno_n^`
+qtKokqu6GB~>
+qtL-aq=j^Yq=b-dprZC=nG)VFp\FOYpCHoqp\<NPLB$u:qXNqJq"=U[rV6Bf%/0>bo6>]Nq"XRY
+q"h8irqM!~>
+qpbYss4@5&s4[;$qUlJ7hrV7*RFBm?f%/L+g"G-7gA9Luf_sG#fb)ipg=sJ7CusC#h:0a)f[\R(
+qpbYt%GKFcf%4/8d+[%!e'QOKe-".FcdI=~>
+q>:!cq>:!c#QFYfDh\)ar;HKjq"aj`qtU(!rr)bcA'"BDp]($^rq6<iqY^*us8)Ndqtm4(mem"Z
+qY9ijqu6GB~>
+qtL-aq=j^Yq=b*eo]0Y7p@RkKq=aUX%f,kmQX.Jtq=+:OnbM\PrV-6b%fc:ro_.pK@d!L\p\=R[
+Z1n7mJ,~>
+qpbYss4@5&s4[;$qUlG6iSi*ZA_GYff%/L+g"G-7q:b\u!8.8%rRhe:gtgb66`ASleDA^(gX+a,
+f)*r-f%o!0f@ef.7`sE7eC)alZIB!)cd1$i~>
+q>:!cq>:!c#lFDoNG&:`rqlZjrqQ<eq>9sb%e0AkBS-9ZrU^'fs8MBbr;%'$qY9daq"XderPhds
+pA+R]qtdSprq_-~>
+"8;K_p\jg]p\FOYpBgN`onQuUn+l\Orq?'[q=aXY&,,;]o4!+IoD%\IpA=[KrquL'q"ORWs7Q'Z
+rV4-$h=:.2p\FThp\sr<~>
+"4kuQeG[tufDXD&gA0Ctfa?Hhgtcm=jO2i9f_a@tgA9J+f\+m.g"HAY&DYXefgoT7f%\R+g"kE)
+hUq\U&(KLdf%Js7U+jC3eC2prd^%@)da-7fJ,~>
+nbi4[q>:TlrpuRic1Cf0qtpBhs7l-^rVHQks83,ss6?^l_>F9)qZ?WkqYg3gq?Zt6N;rGJqsscl
+qu6GB~>
+nb;kQq=b6cqX9YUa6W<gp%A=Xm.Uq^p%@tLnG_LH=hXS-o_&@\p@nO\rq?]lAr$EQr:]OXZ1n7m
+J,~>
+"52;ZfBq8eg'cBce9XQeeD&g8gY;_\!8-hprn%Y4gY:Q?g#pS=5+pWeqUko%g%s>&f$r4Ied"`[
+j3HH2cel%X"4GNAdXV~>
+nbi4[qYUp%rVZQ5@^H(5r;?HhqYL!^o)''rqY9p`qtp<ho`+o/If&p0o)&I`rqQHg#CLakq#CBi
+rNZ8!qLA~>
+nb;kQq=b?pqtJ!5XnMJ\o_%nNp@.efq"OOVp@\+No^)SPBmTOJn+-2Pp\ssdpBYt`o^hnUo(Md_
+p\sr<~>
+l.Pmd&)5mnVF$R,iSWPKgY(94f^[Ypf`0V4gYLcEfBM3h?/!rXo%=&rf)4%ted,>Tf%&R4f%JW\
+e-".FcdI=~>
+nbi4[qYUp%rUp'YAqBdSr;?HhqYL!^o)&^hqY9p`qtp?i"k?_ps7,jSqu?Nlq#1$oVIA3Xq#C?g
+Z2=OsJ,~>
+nb;kQqY(KpqXjOM@!hG7o^qhLp@e"M#5Irep@e1PrU^6=;SrJ'nb3"WrqQHd#bbMRq=4CWnb09_
+rqM!~>
+n_*`jq:Q;5e_8D?A),nthqd&?g"=sIg&K_)f`Bj`rSIdf32P]`fC@Jnf)4%ted-gh\(fEigXOf\
+e-".FcdI=~>
+nbi4[qYUp%q=FF^LKEF-r;?HhqYL!^o)''rqY9p`qtp<hs6tJaq==C]o)&I`rqQHg#23._s7?0g
+Yl"FrJ,~>
+nb;kQqY(Hop@@nTJPk(fo^qhLp@%_eq"OOVp@\+No_7QoFnP5!rUT[^p\ssdpB];IX8D8Vq"49c
+p\sr<~>
+n_*`jq:Q2.e(ESk2o42)h:p];rn-bos4IA)s4[k9hr<$i>M.<VhX]>!f)4%ted/Z=NSVq5gt1,`
+e-".FcdI=~>
+nbi4[qYUp%q>:'e_G\/Er;?HhqYL!^o)&^hqY9p`qtpBj#0f]=r:p<bo)&I`rqQHg#PVS^s82Th
+riuA"qLA~>
+nb;kQqY(QrpA=X[]M,g)o^qhLp@n=Vo(N@`p\=LVp%A=V#/rp)q"=[[o(N+XrqQHd#kD/PqXj=N
+p\(oerqM!~>
+n_*`jq:Q;/g"G,S18*@Wh:p];f\"dFg&KV*f\,$6rnRd].#Qd1j4!SOs47+ts4.J(3bI1!eCiR,
+Zd]**cd1$i~>
+nbi4[qYUp%q#C0]n7nEhr;?HhqYL!^o)''rqY9p`qtp<hqLhc$qu?*\o)&I`rqQHg#Pj!loDe^b
+rNZ8!qLA~>
+nb;kQqY(Qrp&FaTlXZ1Mo^qhMp\4IXo(N^jp\=LWp@\(MnpF-^q#BdYo(N+XrqQHd#kWR^mf2qO
+p@bfdrqM!~>
+n_*`jq:Q;.h:L'"8pf@Lh:pW8f[eXDg&KY'fF$<dh;-gs1:c)ubjj<cf)*tsed0c3:=/"Pf\+i^
+e-".FcdI=~>
+nbi4[qYUp%p\OOVrf;I&r;?HhqYL!^o)''rqY9p`qtp<hc<6e;rr;0]o)&I`rqQHg#Pl&HfDkdJ
+qQ]qsqLA~>
+nb;kQqY(Qro_S+Mq2'4`o^qhMp\4IXo(N^jp\=LWp@\(M`_i/uqu>jZo(N+XrqQHd#kYW:de`Y2
+oCfKarqM!~>
+n_*`hq:?/+f[A=*DdD)Qh:pW8f[eXDg&KY'fF-Beh;,7qJ(i];`Sg:;qpbYs#h551[,'Bhf%.1W
+"4GNAdXV~>
+nbi4[qYUp%qY0U]s/pA=r;?HhqYL!^o)''rqY9p`qtp<hLM6G]o)&I\o)&I`rqQHg#QO4*]^tt!
+pp'_qqLA~>
+nb;kQqY(Qrp\41WqPe6$o_%qOp\4IXo(N[ip\=LWp@e1OIpqpDn+cqQpAamdq#0pmqWVM!m.0uB
+p9OGlpj`~>
+n_*`hq:?&+e^<C4N)8<cgY(94rmpVms475&s4I_5h.T=/gsF[3eFD,eeGn)*g;udOcdgk$f!Ej.
+da-7fJ,~>
+iqj;`p@81Up"XDcqYpNfoD\U]q>C*d&Gl@ts8M]jp<[HEnc/I`m/HSQs8)`irV?cps*0.ms8;_u
+qu6GB~>
+iq<rXoC;kOnCM9KoCr4QnGE(Wq=jaZ&GQ%nr;6!Zn&\t)m/$JPm/HSLs7cNfrV$TiqK%)WqXsIR
+ZM4@nJ,~>
+n_!B_&(&SZe'km%MqQqEe'Zn%f(n"pfFQZ^gYC95eZVGkce[7+b1cC:qpbYs#h7R.?e=,ef%.1W
+"4GNAdXV~>
+iqj;`s7cEas6kT%r;HWkqY^'^q>C*d&Gl.ss7Q$as.`oJs8)QfpA4@Ws8)`irV?d!p5j1arqlPs
+qu6GB~>
+iq<rXrqH3Zr9AZdp%J4Sp\FOXq=jaZ&GPhms75XYqj^a1s7Q*[pA4@Rs7cNfrV$TonV_,Kp[n(N
+ZM4@nJ,~>
+n_!E`&_,Raf@&O#@W1#Tgt1-0daZnFg%s>3f$W%)dF$t4Jj$9tf@AI#nCIKds4.J0d;;P'g=Y!-
+Zd]**cd1$i~>
+iqj;`rV?*\s7Dk!me?PTs7u9^q>C*d&Gl@sq"asgkBr$as7H<bq=sOXs8)`irV?d!oY4bap\+Tk
+qu6GB~>
+nFlGI&,Q+lp&4?FB'8[Up\aaVq>'d]p(6upoC_hTpu$:Eq>]p\o_J:Op\ssdpB^Zb\m!GLn+ZO]
+p\sr<~>
+n^mimo$e6&e^2h'd<\F.eCWC.e^)dtqUt_t&D#IZeCEF0`*$U+jO)]1e^Ed5s4.J1c^[,'e'm%%
+Zd]**cd1$i~>
+iqj;`nbr7^rU@=&b4GN+r:fs\q>C*d&Gl4tq"t*cX)-Miq=O^]oD%nRs8)`irV?cpr9Rpkp%A?i
+qu6GB~>
+nFlGI&+BJiqtTK^<l=:to_J.Rq"a[\p(6ulq"=F]nt]jGrq,[Yo^hkIp\ssdpB^Eck?ahLmeZX_
+p\sr<~>
+o%<uno$e5mf@&C,c':>fd+Hq%dF$IqqUt_t&D#=Ydb!F,Le5)8f$W=$c-kq-s4.J*f?$:1dF-k%
+Zd]**cd1$i~>
+iqj;`oDeXds7Y&TUA"W^p@nLWq>C*d&Gkqss7c3KEIe)Zq>C'foD%nRs8)`irV?cms7pqirr2l$
+qu6GB~>
+nFlGI&+T\nr;,s1?(:<_oCMVPo_J7Xp(6uds8;NYiG*Z<lLaiEqt'UPp\ssdpB^<eoQ5?Pp\+<d
+p\sr<~>
+o%<uno$e5og=+g3e$MDje)T!,dFQ[rqUt_t&D#%\g!eBe:0lr+f%JU+c-kq-s4.J'gt#M1g=t<3
+Zd]**cd1$i~>
+iqj;`qtojTs8VJ1JbB'>p@eOUq>C*d&GlG%nc/6^;SrIts8VQfqt9OWs8)`ir;$WrnXs[ls7NYo
+rq_-~>
+nFlGI&,H+ho)8FIE-gsPp%.eTnG2hTp(6usq!S1NVG"Q"iW&oDs82KYp\ssdpB^Hem$hPTs6fTd
+p\sr<~>
+o%<uno$e6"e]H.ngr`T&dc8m)d+QXpqUt_t&D#R`bMUX%0;%4Bj5.o6e^*R2s4.J+fZnn8e)\p-
+Zd]**cd1$i~>
+iqj;`qtKXMs8;\`AE<ddr:U'[q>C*d&GlFrli6'cGk^n)s8VcjrV#gZs8)`irV?cup\*$Ea8bk<
+qu6GB~>
+nFlGI&,GtfmJ?SJQ<i>Do_J(Wo(i%Vp(6uunEBo1CN8k3n,E7UqYg-Wp\ssdpB^Tcn]b:RqsX6a
+p\sr<~>
+o%<uno$e6"dEB\dg"(I8_;3Vlce-OpqUt_t&D#a]`S\I*<RfIGi7uZ1f?ij5s4.J/daPB`UYjMN
+Zd]**cd1$i~>
+iVO/\rVuWjpA`*-cgLN,o`+^^r;$4#nc/XQ^LP.Vr;Z0[s75s\o)&I`rqQHg#Q=Arq-9$UrNZ8!
+qLA~>
+nFlGI&GH#$o_@tQ^.??0nc&(WpA"LYq=Y?es8V,j?G#e$s601Vn+c_Jp\ssdpB^Qas7B<JnFlR]
+p\sr<~>
+n^mimo$e5te_8F'dGCTKXNT#IcI^Fnrn%)$qq)J2bMV*mRR!Ipg#L0(hTXEsl-p!kdG`Y9D:I:j
+dF86GeC*L/"4GNAdXV~>
+nbhYJs(q`8s769kr:0Xio`+:MG&-gFqu-Bjq""=^qYp9gq?Q]nr:Ge]oDR)6nbVeQrq_-~>
+nb;VIs7QHerq??a#A.WKrU0.Qq#0scp&Od^p'C-ekO3D&naZ>Op\ssWp\spfp\splnc/@PJS"3E
+p=K'5q!7\Rpj`~>
+n_*K`*RiB\d*^=mf[rkij58/+f[J6rdaZk#g"G-5g"=sVedBgbajF$Xe'Zh!f'Locf)O8!dKn.T
+f?n,#dbNLQf)=+qdc&[Xda?LjqpPGms46bj"4GNAdXV~>
+nbhYJ#BjePrVlcjrUKais7u]$?+Kh1rVHKfo)&I`rqQHg#5%rkpnD<Id/3A0nb`=^J,~>
+nb;VI!quB_rq??a$ZKSCq"a^Wq=j[Yp\smcp&4Rjp\+ISs/]>0p%\L[rV5jUs7cTgrqH`fr:KTM
+?-;g:p=K'5q!7\Rpj`~>
+n_*K`(Xp[Td*^=mf[s4qdG!@-dF?RidaH_!g&B_:g"=s.eCNI,j,Z6ee_&I(ldYse!nPlNrmD+r
+f@89!6*o:uf_sD"eG[hqdGi[UdeqMkdf%\qf(.;mda-7fJ,~>
+nbhYJ#Ff/Lp](9`s7,sks6or-C%D5urVHKfo)&I`rqQHg#PS)krlSQBrR(N4qXOI^qLA~>
+nb;VIs7QHerq??a$^Fr?o)8LRqtKm[p\jgcp&4Rjp\+OKpM4=,q"4OZrV5jUs7cTgrqH]gq"4C"
+=.B'[fD#+9l1b2PJ,~>
+n_*K`.aubid*^=mf[tO:YLMIbb1=tddaH_!g"G-7g"=s.eCNO$g.k,`f[SL'ldYse!nPlNrmD+t
+e(!'K4+uDBf_sD"eG[hqdGi[Udf.Ymdf%\of(.;mda-7fJ,~>
+nbhYK#LZ\Oq>L3]s7,skrq<F%YkJ+hrVHKfo)&I`rqQHgrqciulXP;AdJNJ1nb`=^J,~>
+nb;VJr:g0`#L$&>o_A.IrVcKhpAag_p':?\V-9qirU9^ZrV5jUs7cTgrqQNf"nqoU>]]`<p=K'7
+q!%PPpj`~>
+n_*Ka*RrKadaH^tg"EYiL"G&0c.LFkdaH^tf\,$6g"G$Wed:'ZLcpaHh9X['ldYse!nPlNr6bi$
+h8hidhq?Z\f)=+sdf7_Re,[qrdJ_MleG[the-".FcdI=~>
+nbhYK#PV2Ks82Nfs7,sjs79rAo^r1]qYg3[qu?Nlq#1$or;6Elq0?NCZ2=OsJ,~>
+nb;VJr:g0`#P(Z<r:][Tqu-9^p':BZ@V5)tqt9p^rV5jUs7cTgrV6Ee"T%\0>j_F^chI8/nb<%X
+J,~>
+n_*Ka(t@!]daH^tg"Fn2?f0M`f@\O!daH^tf\$/U!8.;%$/<fq8^Yr?e^i=;eGn/&f$r4KdL"CN
+f@neV7FTrBrRUqsrR1_niRIhSrRCesrn%5%o$dcicd1$i~>
+g&)*RD.ibFq#C3\qZm&=?AJR\p&G!erV5s\s8)`irV?crqYU*bUKl$Jqu6GB~>
+iqNBGrV$QlBO^]2oDeL]p\+:cotORYrVQ*\rV-9cn+ZkW!;HKf#P[rco^eSP`V]ATp\=IQp\sr<~>
+n_*Kb!7h(t'\1geg"P1R7G6GGimlK)daZdtf\$/Us4@_1f\*#\A)H+hg=Fj@eGn/&f$r4JdKn7O
+eCT46X4c/(f)=+sdf7_ReG[hoeGe%sfDsLoe-".FcdI=~>
+g&)*NW*J'SqZ$B]qZl_FDo)8Lo)8O`rV5s\s8)`irV?csqu$9ff3aoMqu6GB~>
+iV3<GrV$QhUK?"?p&F[]p\4@dm!NKXo`+=RrV-9cn+ZkW!;HHes7ZZgp!?d&qtAM5o_.kMrqM!~>
+n_*HarRLr"s4I_1L,uiuf]1Q4df%\qf(mr)csTM;f&P$-f%00:s4@D(eC=KG$.I>SeCh2oGM1XI
+f)=+sdf7_NeG[ttf_sJ(f[fZD"4GNAdXV~>
+g&)*PhH78Yq>^B_qZlLkIfKEIrVZWjrV5s\s8)`irV?d!rr;orrag/Uqu6GB~>
+i:m6GrV$Nifi,3Eo_eR[p\"gR;Kr$6rV6<brV5jUs7cTgrqH`qqYKs^pK_V4p=/j.p@@tWpj`~>
+n_*E`rmh&#rn.Ri2O2\Ahq?N-rRCkuq:H"r2Hntlhq6Q3f'CicfE0XReGdl&f%&L+h:kCsg"?8S
+rRCeos3]]QrRUu#r7M,'f(7Anda-7fJ,~>
+g&)*OpLeO<s8Vrkq[`E#pA+F^o)",9mJlhUs7lQhrV5s\s8)ck'`.b)qtg9iqtL-gKNI$us8DZk
+s7kRM"Sqrorqucm&,Q8)s6]jbp\FjZqt:!hq=4@]qLA~>
+g%PdFnmZJ'rV?-[qY(Njs7,aOs6]N/8*9[:pAFO\p\jmVpB(-cqYp:%q"aaZo(r$,:tb+0q!n4Z
+o\oNIp%S=Zq#:"!o_81Wk5Y/Eo)J"ImeZ_Lp@@tWpj`~>
+n_*6[s4I\0e4!3_j58M?qU?,)hp^0+im?@f/'6Vpf\Fs,f'Cg'f\+m-f$i*reC<'thUuHu]Z]$]
+dG!=%eC=HFs3^)\"ObfOf@BiL&(fLialD((f&Y33eDT37f(7Anda-7fJ,~>
+f_bsJJ7I=4q>^9f$MOMts7uBgb@ZY(rqZZqp\jseq""=^qZ$@*qY^6fqYL6frr)i4>f-.4rV-?k
+q;M2Vp@\+Qqu6WqpAY!uo`+6VKl<0KT?dK:nb`=^J,~>
+f_5XAHX>4soD81WpCHfjp\XUQqo2uqmIU#Ds76-_rV5mV!r2TfrqR-#pAFRYp@l*t^$kdlo)&:V
+iV+2[naZ5FqYU0Zp\+=Js5]o'BT/CIa85c.o(W.YJ,~>
+n_*Harn7;&rn.P+?9u0ZgYg`\e.L*^g"k90hPikTd+6h#hpU*,ldQg)g"4g+e'lamf@8L-gS-d&
+dFm1#gXjm'eG[hqdHT-tcd'h_eCW@*d+?t(d,W3%@SCfmI]_Pef(7Anda-7fJ,~>
+g&)*Oq6!i4s7QEfqu?L%rVu``s,gC4qtC$ds7cKgrV5s\s8)ck'`.b)qtg*fp](!drFD8jr;??i
+qY]=Ls8NB%qYU3eq#CBlrVm.nI%U8aP'"#0nb`=^J,~>
+g%PgGoVkctqX=:SpA=Uap'pfnp$;O6:sJY$q=ajZrV-9cnFm"Zq>1*d&GYnto)/"Noj*aQp\4:V
+pA!V@)#sL-p@n@Uo_\CRp%JCXP&ciVaG4K-r:]^UrqM!~>
+n_*Haqq:u##hFqmSDr5[f[g#Ns3gqr&(o[icJih#Z.IFYf\b-.f'Cg'f\+m-f$i*rceHn'eCrbH
+Fk50re(`@%eC=HFs3^)\(u<ioe'upsdG*C,g=tZCH!,OJZ>ig*in!_N"4GNAdXV~>
+g&)*IrSLeLs8)Tfq[<E"q"FU\ghM<:rVHNlr;-Beo)&I`s7mB*r;6BfqZ$Ehq>:29E:Wl'qZ$<g
+iVWWK!VlKiq@N]#p&=j\s.``Bs7YApEVB>$qu6GB~>
+g%Pa?ptA]6s7Gs_pAFXmqY'ONp@QpHGP:b%rqHKdrV-9cnFm"Zq>1*d&GYu!p%ItKs);c@p%S.U
+oD.A>rpplsp%J+Pp[.;=n`p%?:W37ueSJjdp%%kVpj`~>
+n_*Kb!87A*rn7>'%+3eB3e-GOgtC90eC=KG&_GL\dFm-a8mC$&f%Sj1e^i=;e/?olf@JO%e'cXu
+e^i=(kZ1I)e^r@*d+6^rrR1_nl.#^Z("(IYe(*1!d+R!rj+'%gkgdFK;UsFke-".FcdI=~>
+g&)*Is8-GTqZ$9bq[``+p\"R`QX@i6qZ$Bko_nabrV5s\s8)ck'`.b)qtg6jrq6<jp7P[Eq>C-h
+p\j%I#6+Z&r;$-ar;R0$s,1Fbqu?\KC@V5mqu6GB~>
+g%Pa?qt=H?o_e4XpAFXqqtfmQr:Z7U_>3^#o_S%OrV-9cnFm"Zq>1*ds7d*$q=+=Vm[7/,o_8(T
+oD.>=(]+./q"=:PqYBsap[Ij+=n(q[pip02p%%kVpj`~>
+n_*Kb!87>)s4RG(+j\ut7pOp8g=b'.eC;ppdFQptd,3N#5Gd2ehq$T/f[eX>e/?olf@JO%e'c^r
+g!J[3f7,ijeCW:)d+6^rrR1_nkgUF#gY(-*dFI(0i8WVFheGO4h!3s29@2>_e-".FcdI=~>
+g&)*Prr7j\f)PRAq[`W)r;HZI@!_eIpAajco)AUarV5s\s8)ck&,Q5$qtg0brqQNnld9"Gq#:-k
+qY]=L)"[Itqtg0drVQNbnbrL]F+F;[o<;M^s8;Hbrq_-~>
+i:m9Fr:^Qlq>5hGd/NV/p@eFY&,?%sq"iBAFS>:os7,pPq>L'dq!e"Zq"adcq$Zukp%e4Zr8Yq%
+Yk.he!;POI)"7%hp\+=Tq"""@kO\`>BQ`t/kbV12p\"+OrqM!~>
+n_*Kb.bWP2gtLH7f@SU,hJ,6cm,-RMf$r3tdF$Foe_8ig6<r<sdc8g2c.U\!ldQR"g"4g+e'lam
+d+Qn/i68DeP10E]"4PfMeG[hqdHT-tbg4bfe'lh!e^r3og?-p`?f'2[OZmdCf^mSpda-7fJ,~>
+g&)*TpA`-6Wr2ejq[`W%rr;;G>.Xb4pAapaq>:-erV5s\s8)ck'`.b)qtg*]qZ$Noq"&<^q>:'b
+rqYOM)#sU2q>UEorOK)7dI7+T@Ukg^G[YsUs8;Hbrq_-~>
+iV3?Fr:^BmnbU$uV#L&epAFXqq"OX^k)*-FqtBLToC_bLrV-9cnFm"Zq>1*d&GYngp&Fa]nEaeE
+o_/"NqXrhA)#sI*p%nU`pogKia6!00='1K2D,tW)rq5jVrqM!~>
+n_*Kb!87A,,MLi(f@Sg*h532mj5ShGf$r3tdF$CjfA4Pf4IkBadbWI*eGe%be/?olf@JO%e'cRe
+e_f*:g!WK.eCN4#f@&0urR1_nl-pR+f@&+!g"=rAMi=g_iMAh.H>-MM?GYgWo@*ljcd1$i~>
+g&)*TnGiApNUm#Cq[`\uqYS`ADY<Q"p\F^\s7cHf!r2Wgo)&I`s7mB*r;6Bfp@e1ZmeHh\G]iiZ
+qY1$br;-Kjn,)qY(\lq'VNldN>C'n:iW&Y>>e.qU?u2tDp@8%ZqLA~>
+iV3?Fr:^Qslh^<[L[4[,p@eFY&,Pegp<HHIn*9rBo(MYQo)/4^q!RnVq#L9jq%3>noC;kFoDeT,
+E:ikso)84YpAk!fpZhGho%LXIO*tY?E*RhCq<a/=Y.^H-@A<>\p@@tWpj`~>
+n_*Kb!87A,!SZ6+f*pKYgt>)8f\kN:f$r4KdLk$Se_%,a:tO"Qe(*+#h9sm*m*u'ds4@;%s3hV/
+cHskqbLYb/<Dq>te^E1!eC=HF!n#HGlIHg#\s\(e>t6hR6Y*phe9=!AVi*i8No&C?o@*ljcd1$i~>
+q>:Krr;?Hhr;?N`r;$6ip]UWiL0XNPr;ZZnq?QQjpA^RLh<sq4!;c3^s8)Te(\[V#r;?Hfpp4Vn
+s5s+Vq>'m`q>1!grr2dGr;HWmqtTp[q>C3hqu?Hds8(HWTQ=pX=^H35W7^nErqP_gIes*:k"fLC
+s7,sfq"FE3~>
+q=b-hp\4CTp\4IQp\ORmp[e"Un:4R1p@n=Vp\4[[#OMK\qNO1qkk+QKp[InVp\OY$p@n@Xq=s[V
+Y$g&biUd*Ap@n@Vq"t$erq7r<q"a[XoCDJEp\=LTp[7JEnBe5%Bjt.><,.5\cLLZ'n`!huoD7h1
+7pFOAp@@qZp@n92~>
+q:Q#,g"G$1g"G*Ig&K_)ed^-Xe)8\e52>#Jf@AC#rm_;"j4)n2,eqXWiR[kT8CGu;f%AU)e<!&4
+j2'4'eC2pqdF-Rsf[e^-g"P36f[\L$f%Jd1f\G$-hq,?#I8EL!2EOcSKsfOgh:K_8?.n/da"Toq
+in!_N"4GH=d!u~>
+q>:Krr;?Hhr;?N`r;$3prr)lmWF+<VrqufnrqZm"p&ET\NUZZ$qZ-Kgp`B/'q>0s`p\=>uScA`f
+qssX`s8Vuin*9ZFs8D]cr;HX1rV?0]q;oSfK5P+-Ci+p-cKFp$s6Tab$iA7PL&CcEs)_V_mdg5W
+qYBmZJ,~>
+q=b-hp\4CTp\4IQp\X[apC-lmqt-XddeEM2q"OL]o`tNdqp9#3lL<g,!;H<a*qo@(qYL$^p$QLZ
+qYU$\mJ-SWrqlEXlLO]Hq"!tLrr"2Aq"4+Io%U^=G@FQR?t"AR_V=AIpuV>Mq=Ma*IeE:)s(tlJ
+kP"NA"8MWcpj`~>
+q:Q#,g"G$1g"G*Jg&K_)f)O5:g">-3M*JZ/g""X&f%&C(imZkp:2SG1f](KXe/m&ee^i=%e'u`;
+H/7<.f$2h!g=Xs&ai;iahV6T1gA^"WhqQc4e^hU2I:#Z25tFXXM5nPCh;?E5j58Rn2e:[qgZDEu
+T$,^Ve-".EcI%.~>
+p\b!en,3"Ys8Dul"4CJMrr2iqqu6Ess69QQ9ABFFnb_kQq=lW:p\F[^q=j[\I:i<TnG3+Yp%.eI
+q>UEhqY^9fq>'m\oC2"s\s7YdBjk\%T$?j)rtG>+q>:3ao_nB=6GEL"qWh*J[K#gps7uclpOE~>
+p\4X[n+Z_Qs7cQgs7-H>=.T-\q"XUWrq-NrjStK6ebAn0p@7nQpdk,Qq>0s`p\"3&?h46_o`"LR
+nF6)Grr;T_p\4@Qo_%bBlf?O&OEGAH='fm2_s$ghq=jIKn+$GFmIon!41G+^oAiV.Y57k`p](!h
+qY>X~>
+pY#MtmFhNls475"s4IA$'XBlWhV$H0eCN1%fAt!7HRl_chq7MNl-r8Pe(*%#e^N%">!pj!c.:b#
+dEg(ae_8m1f@ej/f%/I%d*9S<QZ?5+6p<t?H)f-Fh;I)AeCN:7e'm+#Bd'&+hV$%-,*^s8o@*lj
+cd:*j~>
+p\Y-jqYL*`r:0Xhq#9s\nRQhCrqufnrqZlqpZZ0trqcZbqsjOYp^Qumq"aa\q"aBZ@dX0arVnbS
+s8;Zdq>L*_s8W&Vag7+D>A&85J"!UloDe[^pAOmeqYU0is829bs7Ub>iplp5``dB1qXXLcqYU*`
+J,~>
+p\+d`p%A%Qp[e+YpC-ZhnFGmOE;oV,q"OL]o`t-[j'>sco_\1Pnb;kS8GDoSq>'g\p?JGXk5"??
+s8W#or;??aq=sRPqu?HH`3,&0<ap3!HBY>Om.^,>n+62CoC;JKrq,FSs6k#)gZnFn^JemjoCheM
+"8M]gqLA~>
+pXoZ$f@S[Lg%j;#g&K_)f)O5/e(N1!d6q1#g""X&f%'cO#M$p`6f-VWf^dVXe4A'<eCE+!eCDg"
+5K_d+h;dGJg=t?2e^rO*eD90=^8@!07Q<e;?<hZ4Yg;+Ue'cn#f[eX*hW!25k2t2s28RYnbb[<r
+Z.IRue-".Gd*mL~>
+q"t-hrV?Nkq#'[Z#P\8qr;V:Wrr2iqqu6Esp]%*XXT.tmnbW=_o(__N50dEJq"X[NrV,sXoC2>F
+s6IOtP_F-e>[r)Tde*P;s8;`gq>1-kqY^BnrqcE`p&FHEHr!kEZC>c39;M7Vo)&I`!VlD>~>
+q"Fd^rUg0aq"OCRs7Zchrq?*^H<p=Fp]'sdo`t'fTg#@Ln+lMI!;H'Znb5<Aa&TY?oCV2@o^VPD
+nF?5Pk.RCJJ8JRn??Mjan+lbVp[e"Ip&"d\p\=UZp$qSAqWX&b8lMRgQ>02bTCDLHoCr:[s7q0~>
+pt5Z"rRV&%pt>Jqs4RG)s475"(t.9ng#$1-i7Z`6f%/C'f@Ar8+cP=/gt;2Kim^9FfW@6,f[eZr
+gssj&e'?Cnj2djDEFM^.3C$YrYL2+YhUg?-e^`O8f%8[1g==^%e(r5g=tMXgOEjPU.>$%"f(7An
+da-7fJ,~>
+q>C9irVHQkq>C'bq>1Eis82fmX'<sMr;ZZnq?HueAm+U#q=4=^qXO@Nq?6iUDjgV(ru(Y1s8V]6
+VNcFNE,^)^UpSP+me?MNq"jsdrqm].na-8QqY0g^rr;Ngs22FEQCOn@Q)Vh"s7c*]"8_fdomd~>
+q=jp_rUp3aq=j^XqtC'a#OqWaq=URab5V/8pAX^hrodcil1X`=p&OjWq!n)Dpt'/Aq#1'cp%\Re
+o#demG&_;5FGQQmbh;7OoCDMGq"XUZp[db9q>'^Uo_81Ym/R+"[@iYKUQ^e8_Y!m!p@J"\q"FIV
+J,~>
+q:Yf#rR_)%q:YSqs4RG)s475"(sq$igY7WNZJ!j]f%/C'fAXn@2p^:4g">lHim^9FhS;s4hW*PM
+f\>KIe#S4F=Aqpg<bd2JY.Mm,e^W."f[\U)f?ha]g"+^$eC<1+cJmiWR"KL,L3@WnV:XeXf(7An
+d`p%`J,~>
+q>:KpqYL$`qYL*br;$3bqZlllp]'j@=c!(Ts82fl#5k/qVZ6PmnbW@`q"+4[q"abVqtg0bq>0sb
+rV*1<pA+1NpXH*l@8Kp2FcsDpo(i1]o_eahq=jmgp@\1QqY^BnnFHGSs8)EXq!IkLrVQNms7c9]
+p\k*jo(rOcp%.d*~>
+q=b-fp%@tLp%A%Sp\FLZpAajlo(DSMmFP9grqHHdrq-KiS5H![pA+7P!VcB\q#L3cpIP)Rp\+=T
+p\=FMSp'Vpl1";kUO?NG;dXL'\(^6ApA"+NrVQ6Xq>^'Zo_%tVrr;BVp\k'eo'Q&4oC2PKp\Y!]
+o'u;Gq>'aUpB13^o_!_~>
+q:Q#*f@SU)f@S[Ng%j8"g&K_)f)O5.dack&e%InZg=b03f`'J.fmYc2in<,?f^dV`eG7Zdf@JO'
+e^i=)hV*fnf\=g)fX$<?68:>_;Jhc3c.(=sce%"-eC*%/d*L+ceCNC/b08Aeg=4Hke]ZOmgY(<;
+imlT/e_Am6f(7And`T_XJ,~>
+q>:KpqYL$`qYL*br;$3bqZm/tp]'jb?<7('s82fl#No9%nbi4^r:9^cqY9[V!;QBd8,N/Zq>'m`
+r:9cp8&`N@MeHC#CkA7phu*ENrr2llp\t$`p\Od`p@eC_qtKaToD\X]p%J.Tq>9jbrpp!ep%\:]
+p\Y!eq"":aqXa:KJ,~>
+q=b-fp%@tLp%A%Sp\FLZpAajlqt9O[mJ^3arqHHdrq-NU<FG1fo_J7Pp&Xp_oD&C]q=b$ep\4CT
+rqA\CoWLKo_3p!f=]]9fS\X+Vp\=R[q"4.Qp%%\Hp@\%Nqu6Keo^qbSqtKdWp\=RZnGW1Mp\aOP
+o(qqNqXsIRoCi@^nalC'~>
+q:Q#*f@SU)f@S[Ng%j8"g&K_)f)O5.gXXg4e)WhTg=b03f`'J-`&C'0g=P-5n^d6[q:8*gf%/C%
+f%/O'hjQ$mWI\nX4uu>HJ"j^2f@\d0f[S@&e^Dmrf%&-qe_&F"cHa\ee^;^idF-Rue)9$.g>CB1
+e_Sd/h:U9/o@*ljaN;\W~>
+"8Vimrr2g$rr)ckq>'mbrV?BjqZ$Hlr+>p)q>'pcr;6H`s8;fpM-J:'qYL6gr:m0iQ2gUUqu-Kk
+r;6Bhr;HZkpA=gbq>0^WqYBgWqZ$Kjp[n=^rUTU\rqZB`q>^?lqX41Zp?]MM:0gLkDgJA*nc/U`
+p%A1Yqu$Bhqu6Elqu6L"qtg*^p@n@Wp\"CW!;QQjs8)Zh%/BPhpA+X`r;?Nlr;?Bfs7uckpOE~>
+"8)<^q>U*oq=s^Wo^qhNq"a[`p&FabpLa3oo^qkOq"ORNqtKg\K2p"ep%A7Up[b+UOT4nFpA"FW
+p\+=Tp\=^Znb2bNo_7tOqYBgWqZ$Kjp[n=^rUTLTq=O=Lo`+Xap$),Gn`R?37TDlOBlp/kmJd(Y
+o^qhMp@n=TpAX^bpAXdmp@n@Xq"ad_q=ja]rV6Eer:UQloCDMHq=aUYq>'g\q=jpas7q0~>
+"4l,Yg]#k3gY1?4f%/I+gA0G$fDjM&f`Bj\rmkN0e^W6rh:^TAD*>&Uf\#*6g!ta2EoY[%f\5!0
+f@JO)f@\p/dFQt#eCN$tf[nU$f\P97e^E+-gX+=$g!nO!eD]!8e]H=qdE/"s0gI<J;-\sZd,Em8
+f%&C'f%8O)f)F2"f)F8-f$r3tdF-Lmda7j="k;/Wg"=sTf*p6[e(!"'f%&=%f%&=He-".FcdI=~>
+&,?#!rVZQjrVcZjq>'mbrV?BjqZ$Hlr#u%9q>'pcr;6Ngs7c<`QVsLNqu?E]s8.1Ga8,B-p&Fsf
+rVQTls7e\Ts8Dlpq"Xdar:p*^q"=R[nacYUs8VZ^s8V]VoDeU2U3pQ`=CPB%;9//&n+ckWnalST
+qYU0fr;6Bjq@3?"r;6Bep\+=Tq"XUWqY(!brql`lr:pQlp@\+Rqtp9gq>:3g!VlD>~>
+&+fJgq"OLVq"XUVo^qhNq"a[`p&FabpBp]ho^qkOq"OXUr;Q7#O\D57pAFLKs7UY8_Y!<snGi7W
+rV$6bs78>JqtTp]p%\@[q=s[Xp%A.Umdg5Ls8)-Os8MHKmf2n#STeLL:g-[Z9>Tlclh(#GnFHAP
+p%J+Rp\+=[o`Fj]p\sjkp\=OZqYL$_qYC*bs7cHb#5.TYo(DePqtU!]s7lWiJ,~>
+&(T:bg=b-3g=k63f%/I+gA0G$fDjM&f`Bj\rmi(@e^W=$hUL31HSg9'g#(?,iRh9jUt3rPdc&g0
+rRUu"s3j'_gXt-2eCN@,g=Fm+f$i@(cd:Fui7cH%hqlYucJR*MI9/^#3CQ"W1TAdVd+@(*da[",
+e^i='f@JOPeHOOUf@JO%rm:kse'lamqU,Psf@ej0f_j>*f$r0tf%8FKebR\sda-7fJ,~>
+"8DWgr;QNur;HQiq>'mbrV?BjqZ$Hlr#u%9q>'pcr;6<bs7ZEg^gW0!meZVTs2nN+qt^3fqYg<g
+rVHQks7cots8MlkrVl`mqu6LHq>Ba[s8W)up[\"Ns8VAfLjaJV;d*peRE+=CJ5G8"p&G'kq"=IZ
+p\Odar;?HhrqcTj#Q"8hp@n@Xq=j[aqu-Bkq>^9pq=jRSpA+O^qYU<h!VlD>~>
+"7l*Xp\sgkp\=LUo^qhNq"a[`p&FabpEB>*o^qkOq"OFPqsjFR\m'm^kk+B>rP_cop@S.Rp%\7S
+rUp3as78AHqYBgWq"aa[q"OUYp@mtKs8)Wlo'Pr:r;YlYK6VEB:/tkQPec#'GtQl^nG`F`p%8%T
+p@\1Sq"XUXrq?<bs7QWhp@n@Xq=XO]p]'sepBC9_o'u>Fq=sg\s7lWiJ,~>
+"4YoSg&BS/g"P-2f%/I+gA0G$fDjM&f`Bj\rmi(@e^W*th:(37UdJqQcJ$b%i2ASNf$r@'e_&I(
+rRLr!s3h;*g=b$,f\>-6g&B\Yf@nO(j5&MLeBcRlhW)Y8AQi%t0K2L.GG`9l?SK@Ke)B9Af%&I-
+f@AC#e^`1!rmUhqs3h.td*^:je+h>meCW=Nf)O;#ecaOPdEp>:eb[btda-7fJ,~>
+"8;NdqYp9rqYg?gq>'mbrV?BjqZ$Hlr#,J1q>'pcr;60`rq6<hk'21Mm.C&PmY+Tlrr5XVs7Q9c
+qYBs`qYU'ar;69^p\Ogaq"FIXrr<#jp\O:Hs7u]^^m0:Y<E3@?K=LOQs8D]js0>89r;?'Vp\=Xb
+q==CZqu$Bhqtg0fqZZilq=aLUrV-Bgq=s[["o.c_p%SC]qZ-Qjqu?Knq"K:~>
+"7c!Up&=Rhp%\:So^qhNq"a[`p&FabpLs?qo^qkOq"O:Nq=+7Si,Wo5k3hg?l$uOXr;HZWs7#aT
+p%7nLp%J"Mp\+4Jo(DbLnaQ&>p\OpXnFYl.q"4LJ]9%5E:f(;+I^AJBrV5mUqQ!$"p\4%Eo_&([
+q"".Qp\=OXp\+=ZpBC9`p%.kNrV-Bgq=s[X"nhHVo(;_SpAk!bp]($gq1&~>
+"4PfPfDa>,f@np0f%/I+gA0G$fDjM&f`Bj\rmkT2e^VsrgX>$8b$80,bgb2(b[W?7gtgr.iR$0+
+e^W+!e^i4"f@JEtdb!4,f@JO+h;IGFf%S?phUgW,ST7k"1,:p]@$T+!hqQ`;i/oLag=jm$e^iL1
+g!J3teCE+!eC2nFe.U6Yda6=hdaZ^pe'ugqdaZ^peFqGseBuXje(+?F!7gqq"4GNAdXV~>
+&,,epqYBp^qYg?gq>'mbrV?BjqZ$Hlr%J$Gq>'pcr;66frUp$Yn;pT-r;6?ja'!HUo)Ja[s82]i
+qYBs`qYU*cr:osYq>L<m2?*RNrr;lhs8C]_Vibb4AR9)"S%AUsp%SI[mdpJNpXr,np[S(Up[dtN
+qtg0dqu$Bhqtg0gq[<8rq"XOWqYL$_q>:!aq"Xmb#5@c]o_8:\rV?Qlr;-<jq>pBcJ,~>
+&+T8ap%7kJp%\:So^qhNq"a[`p&FabpLs?qo^qkOq"O@Tq!dqClAA<jp@\(S_GkCAmJ?bJrqH-Z
+p%7nLp%J%Op[dnEo_A7Xq"F:LoD%hCq=W+>S;Lii?<:T[PdC,WmdTu?kNr07nBs^Vo'H)Eo^MGH
+qtg$\p\=OXp\+=[pC$]fo^q_Ip\4CSpA"IXq"Xmb#5@c]o^qqQrUp9dq"jabq#C/?~>
+&(B(\f@JL'f@np0f%/I+gA0G$fDjM&f`Bj\rmkT2e^W%#g="^(e9!RcgtUQ@V)M2uc.^jngXOg)
+e^W+!e^i7$f@/*oeCrg>inrPGh;R)>j5.A9L2][U5rqG<GF$t8dF6gub0T%oe@$`8eBZ[se'HCj
+g"+X%eCE+!eC2nGe.L0XdF$:gf$r6ue^`7#f$r:#p=B8q#1_/LdaQarrR1eseb[btda-7fJ,~>
+&,,epqYBp^qYg?gq>'mbrV?BjqZ$Hlr#u%9q>'pcr;6-bqYU0`q7on4rVHQcPtS^ar;$-fm/Qt[
+rVHQk%J]htq"OX_rUKOSqY^?lrtO@`DI6mdBT&e.jo5;Sp\"L]p\b!hrtkG&ok\UIqY9sap%.qT
+qYL*dr;?HhqYL3g$MsSmp\"@[qtTmZq"k$brV6Eg&,>tsq=jRUp\apbq>'mar;-<jq>pBcJ,~>
+&+T8ap%7kJp%\:So^qhNq"a[`p&FabpEB>*o^qkOq"O7Pp%J(Jo=@Vqp[nIPO@HYMp[n+Xkl1;L
+rUp3a5kF^CoCDSKp?(W+n+$#Bp\iU,@oQQ8?%elchY6j8nF$#AnFcMNs7u0PmUp>5p%A+So(2VQ
+qY'[Xq"XUXp@eL[$MO/aoCDVNq"=7Np@nO\s7m3#q>0p]p%J.Tp\+:Qp@n@Yp]($gq1&~>
+&(B(\f@JL'f@np0f%/I+gA0G$fDjM&f`Bj\rmi(@e^Vptf@\j/h4uljh:gr=F"*I,f@84*`S8tp
+rRLr!5h"<8e'cdug!J:%gYLcGj6=@1:I%<=7qdOL_:m\ne'Zk"e(E@/j5&55d7I'he^W4%cd1(l
+f$i-ue^`1!e'n<G$IdGMd*^Crf@86tpt#JqrRV##&(]@bf@A@"e^`0udaHUoeb[btda-7fJ,~>
+&,5nsqtg-bqu-Hhq>'mbrV?BjqZ$Hlr#u%9q>'pcr;6$]q#C9iqXJHPo^;b6G^o;as7cEjn,E7_
+rVQWm5Pb6Tq"OUVmf3+:^8dWZIr0.*;2)L+jS&<8meZnYrVuoilh15Op&+j`pQJe7oC)>Gq"aja
+p%nR_r;?HhqYp@#qYBp\p@nI`r:osZq>0sgqYp6hq#:("q"jmbq=sa]r;6<bq"agbqYU<h!VlD>~>
+&+]Adp@\(NpA"CTo^qhNq"a[`p&FabpEB>*o^qkOq"O.KoDSCVo]p18mcaT!F*d6Ms75palh^AM
+rV$9c5P4^EoCDPBkPjhmZ(6l&EaWBK7!P`Lg$eCmkO\E=pA"OPjR2a3me-GFn;^N!md0K9pA+X_
+p%J.Sq"XUXpAXdpp@\(Lo()MMp[dnFo_S:[p]($fq%*8sqtp3aq"jd[p%7nLp\=UZs7lWiJ,~>
+&(K1_f[n^+f\5$1f%/I+gA0G$fDjM&f`Bj\rmht=e^Vgoe_f0;hUPG1eB['c<aF&,iR663aSsfi
+f)O>deCW=$daZUckhEbCN-oGM:Js/.B:6'Ee^M^bf@nj1gu$N#db<7"f\P!)E&G&KbKeM^e(3$p
+e'umte^W*trmVA*da?Ffdb*=-e^Dsuq:P\ss472$&(]Cdg"4g+f[\L"dF$Cleb[btda-7fJ,~>
+"8DWgqu6Etqu-Hhq>'mbrV?BjqZ$Hlr+H!*q>'pcr;60cp]'s[lMkm0pZ_4ZFkZZkq=XdWs7uWk
+r;6Bhr;HKjr:osVkhM\W>>%k%B4n77s7u]lo)JC[q"XmgpA"=\rUTgbr:^$fo_,am[ep"!o^VYP
+rqZEfqu$Bhqtg<h%/Tepp\+C[s8D]ap%\@[(]!h$q"jg`q>0ser;?BgrVZQgq"X[^r;$3kqY9i9~>
+"7l*XpAX^jpA"CTo^qhNq"a[`p&FabpLj9po^qkOp\++Oo)J7KjSNaon`/rBDq4LYo^MnIs7Q0]
+p\+=Tp\=FVp[dnBj4095:d@NN>[3o`qsO4JkPXc?naZGLn+#iDp?V>Ip$_PMmI.>UZ1e"fna?#G
+r:fpZp\=OXp\+U\%/0AdoCDMIqY9XMnFQGK$MX8hp\FU[p\OdbrqQirq"OIRo_%tRq=ascq=oI~>
+"4YoSf`'J.f\5$1f%/I+gA0G$fDjM&fcSr#f$r:&f@J=$eDf!.bi;Ydf?)F/<OgZ<eBm$lh9u;V
+s4RG+5hjrGg=Fa#`k-S)4=i9S84\ZekM"tMe)o*1eC<:-daZ\%g!81*f[AC.d*e.4PM"O=cHFSb
+f$VsreCE+!eC4EH'[tLXd*L1mgt:-&daQk"f[e^+f[g&Ps472$&(]Ceg=Y$0g""U#dF$Cleb[bt
+da-7fJ,~>
+%f6)#rVZQhq>C-eqYL*dq#(-es8)Hd3</dGq#1-eqk[K6nDAYcs7H6hs8;Zis8N&uq"Xmhq=j!j
+UkWi!?VOa:Efe-(s8Dooqtg0bq"Oa\!r)Kbq>(X%mf)h6A6\[!oC_hWrUg-`qZQckq"OLXqY9pr
+qYU-dqYU-dqYU-dqX==\qLA~>
+%e]Piq"OLTo_8(Qp%A%Pq"Od[s7Q*Z3;`=9oD&(Poq#*okgssCqX!nQr:]aVqtKs]nF65JnaG;J
+S:5-V=%-%oC5BF^qY'XUo^h\FnacYK!qPsSq=P9tl1sc"?WQUbmdTcCqXFCUpCm8no^hYIp@\.P
+p@\.Qp\+@Tp\*P>rqM!~>
+%bK@dg=b-1f%J^.f@S[-pt>Yts4@8&qUR[Zh:9s)gY1B9KK5jU^g;NNe_/j6d`p+ih<3kTh<!bT
+grc[SCK3qm/j)X&EMCY7g=k64f@JO&df%PpdaQ\@eIUNYg!I;s3RQ@(daQq%c.Ma>'@YCWd*L1i
+e^N'te^N+!f$r:#f&>*\da-7fJ,~>
+%f6)#rVcZkqY^6fqYL*dq#(-es8)Hd5OnaQp@%YJo>,((l^(\kmJm1Yp%eL[oDJ:Qrr;c6R<NIQ
+<a9X$RG[E+p@eIbqY^9gqtg-`q"a^Zp@\+PpA+Oqq=+7Olt0;CqYU3apAOpfpA5!hq=s^Xq>/eA
+rq_-~>
+%e]Piq"XUWp%S1Rp%A%Pq"Od[s7Q?arqHBb5OA4En`oT6m^cebj,[!Kjo5#Bn+68Eme#o3pAXQq
+O`"]/:/bkWOkJpfnF65Lp%S4Sp@\(LoC_bIo'u8@o(htip$DA=k@%3-o_%tKnbDnTp@e^`p%7kH
+q=`M9rqM!~>
+%bK@dg=k64f@eg/f@S[-pt>Yts4@8&!7q/!s475&5L/$AeBQFld@`sOb^)=Jd-'64cd0t[aPGS'
+j6b[)IU,f<4$ltdI_j:\f%/U3f@ej0f%&:!e'cXjcd'h^chZ$#d`L%ab!\.ig=t?1e(E4%p='5o
+da?Ffq:"'I"4GNAdXV~>
+!rMonrr!-#qu$?gqYL*dq#(*ep%pTGq===\s7uE^F`mCmAF0?lrVulmp\Y!if;*h,=]84-Fd'8a
+m.pYGp&"LUp@ReNr;6BfrqQ]oqYBmZrq6*`&,,bmnG7W7W;6AkqXaXbq>'mfqYp?oqYBm[q>/eA
+rq_-~>
+!quB_rqHcnp@n:Sp%A%Pq"Oa[p%C3Ao^28HqXa7ED/J]M>ibePpA+ISo(MtTd%#8c;G0YdDMt^C
+jmi*+nFlGAnaG`:p\+=Zo`Y$_p%.bRnbMkho(2J=om0E.oCi%Rme?bSq=am_rq?Ngp%.eNp=]3>
+pj`~>
+!nc2Zrn7Y2f\+p0f@S[-pt>VtrRh"us4B0ff$N"(h:^E2<`n$N8^Z\Sgtg]3bg+bn[Y7sV3&E?W
+<-4D6bM(dpe(N:"eC)Onf@JO'rmCr!e'cUhrm(>g&'rVObLg)XLtUS>f?i.)deVAme,Ii!e'cUi
+q:"'I"4GNAdXV~>
+!rMonr;?itqtp6dqtp0d!;c9`+o;0;r:T[Ws7V4X``&r+p[nC]k.d=9H<jTO=CZojj88iTrsJc#
+oD/@^p%/%[s8Mrrqu?Kuq>C-dq=s^Yq"adtrVZQbr3KIdq"ageq>1-aq>10grqcfoq=sa4qu6GB~>
+!quB_r:gKjp@e1Pp@e:U!;5pV0D5,:p[IVBqsJr<^.Y6`n*K]>hmnr!FB;:5;-\FNh":@<rVZE[
+m.C)HnF#uHr;?<hp'C?dp\+:PoCMVMpCI)pp@%aY;2Xr9pAFRUs7,pZ!;?Ed"8;E[o[3F4pj`~>
+!nc2Zr7VA.f\"g-f\#uP!8%)"qptf"0A"q6g=+I&iR_g6WAp!ggt1B:_O5=D:cC0a1d>9/^Xq2r
+i8<8<ce$q)e'Ze'h#>q*eGmu'dacjrda?FgdJ;9&f%&?tg6"=5f\+s7f%&U%q:#DnrmV&!da?Ij
+e-".FcdI=~>
+rVHs"rVc`nqtp6dqtp-co(t*2s8V]_s8VK^a[BE1pAas2ZB&p/<`r[fQa563pA4ggqXj=Kq#CBh
+qu-Efq=jR]r;HKuqY^6fqYL*er;$4#s8)cop?,M!rVlKis7H?fq>10grVHZmq>&G8rq_-~>
+rUpTmq"X[Zp@e1Pp@e7To(Fj+rVc0PrqbgJ_)t^emJcXmWeb=g:fCDNOfZspnFZVQo^;&3o(i:V
+pA"@Ro^_MGq"Xg^#kn&fp\+=Tq"X[Z&,Z)!q!m?@DYNqqrVH!]pA+F_pAO^ep@\++p\sr<~>
+rR_J1g=k<7f\"g-f\#rOqUkbtrRa?]i8E#4jP\A>Xsl[ph!Nt#PAX&R0JPCpD2>=5bg=tkd)sDM
+cIL_#f\5!/eC)^qe^`1!daHOneC;sreCE+Fe.:3\h:U5r2cSVie)/s,g=,lI!7Unr!n5TGdaSBI
+cd1$i~>
+s8!0"qYL-grquZjqYL*do_eCZ!WDops8Vm.s82X\8n4Q=:/b%g>BZdlp](-frr3)on+Z\WrrrAt
+p\F^brVufnrqc]nrVHZorVlWj&,Pu!s7QD+=7H7`rVu?ds7uQlqYg<kqYC'Bqu6GB~>
+s7Hfmp%A(Sq=jUVp%A%Po_8%P/GSr8s8DQ\qXa8?6<]ao7S??G<,\;PnbVtQrr;odlLOWErr;ok
+o^_YJq"k!fr:p9c!;QNe!r2Tfq=kKonc/RWr*rUhs7,m]lMLPUp]'scp]'s_pt>E@pj`~>
+s47\1f@S^0gY(63f@S[-o\'2qrRUr"/DJk6jQ"qHio&]C01gq)1H76J3`CO5dFQ[kf\G'$`6?QW
+f\+j(d*gLtg=lP]rRCnsrmCesrR:o!f%9`J&(Ah]h:(7Q2pg^:g>0p(gA07ue,@ere+qPJe-".F
+cdI=~>
+!;ZWh$MjPrrVZQiqYL*dq#(-is8;Tf.e<Q<lb0+.l1t3u7SI)mDQ(_Js8Vc`p\+L_q"=F[rr;ro
+qYL*frr<#prq?Egp\b'grV?Nkq>C9g%KH>'s.3-#s82TknbrL`qu?Krqu$Bhqtg-dg&(dFJ,~>
+!;-9^$M=#cq"OLUp%A%Pq"Od_s7c6\.dd$/jgUhkj72\U4[W1JAt[$*r:o^HnF6,Fo'c/Cq"a[W
+o^qhNq#C6arpg'^p\=d_rUp6cq=t!_%Joemr0U0crq>s]m.pPSp]'pjp\=OXp\+FXg%YL@J,~>
+!7q/"$J*h^g=b-2f@S[-pt>Z#s4R2"s4JmKgZ$DIKV6NFiE@cf6U=Y1XjlIhda6IgdF6CacI14m
+e'ZOhdF6\)h:;JPrmgtr"ObcLeC=HG!7^hps3_A1f%T#117R@Xe_\O$f_O%sdfn7Oe^W*tq:43K
+"4GNAdXV~>
+!;QQf$MaJqrVZQiqYL*dq#(-is8;Tfs8OLjEEe'I;S)PtHUV",=)Wr#fCAe=s7cQnqtpEmp@S(T
+rVuosrVH?err3#sqt^-mrVZNfq#:$`r;Zd+q=+F[dpRe&s7lWgr:]s`s7u`mrqufnq>AqCrq_-~>
+!;$3\$M3rbq"OLUp%A%Pq"Od_s7c6\0Db^fCK5e19X=$TE]d,_:M56Xcft,sq!n1Vp%A1VnF#f<
+p\FX[p\"1PqY^3bp\FReq=s[Vo`"IXp^d9"o]uPLc!#Mcqt'jYq""7Ts7QHerqQNfq=rY;rqM!~>
+!7h(u$J!b]g=b-2f@S[-pt>Z#s4R2"s4K-_ii>p<@q7KigYcKj4=rZpDNq`\gYgl7f@\R$f[e?l
+cI17pf@JR*f%/R1g==^'ec!r$daQdte'cYCd.u3&f\+ctin(M%@bBPfimQB'q:,Gn!7_"us4$kp
+g=-5Qcd1$i~>
+i;5n?s7l0as7cNC?")+UoRgP;s7*a5<`XKuAlEA]IBC9>pAOpfqt:!bqu?Wprq-!`s8W)qr;Q`q
+qt^'br;?Tnqtg3hr;$4#rVQWnqYTqqAE*XfpA4ga_>F6.J,~>
+i:]P5qt'4Ns75s2='Ni=mX82sqWP:l:/5eU?;"[=FeuUun+QGJo^;SHo_A.Tp[.SHr;?Bap\Fda
+p\"4Rq"Xa^p\+@\q"aXpq=jd]p%Ii[?JPSUnb)kQ_>!s(J,~>
+i7LENh:9m-imlnn5=;a2en7F!l.;V$4#pPX8N'4<@#gbfe(WL/f[AX-f\G39gX4R)hVQr:f@em0
+eC)^le'lt#eC2qHebR]*f$rI,f\+eB7)J$=e(*1"_UJ\9cd1$i~>
+iVP5'p\t3gqYp<K=C&Q.s8MRgCA7c+_hLpGme+#WHWaZZ;dG'^f(&e8pAY*equ6U$r:KUUrVl`g
+qYgEpq=O[_"8i#pr:p."r;HWmr;-,:=MOn5s8Muk_>F6.J,~>
+iV#M/o(i1Tp%e76;HL9ks7kqS@IEp_]7*5'k3]=7F&>t:93$A>cKY8rme6GFoDJOcp[@PAq"a[S
+pA=mir:TRYp&k'aq=saZ&,>trp\4@MGuD3PpA4U\o>12#pj`~>
+iRgBHeD&g2f\G)o3'Wt^kht#P:u16lVJ.]&dFak8?9CM91d5K7\'jBkfAGQ?gu[PSg!\6tf\>$*
+e(EI3f@%qCdf\+Mf%'QF&(T7af@nm.?T=\:f\G02d)+97da-7fJ,~>
+iVQ+BoD8Lcq#()V4)OZ^n+cct>Q+3os6%47:S7OZo^]qtOD[ri=_McDZJ5*Iq#1'dqYU6ks8)Ee
+qtKaTp\Oj_q>:*gr;??e%Jp,$qYg6cX](ScpAb0-qu6GB~>
+iV"r!me-SSoChp?2.uCFl14LZ;t]MPqVSkp8!ii:m-;6TLh97I;.+($WmgD)nFcAOob7,tqXs@Q
+p@@\@oC_qNp%S7Wq"XXY%JK\lp%\1NVbN<Lnbr@"p\sr<~>
+iRgWRdFdF4f%f)+*Db;=e(ihZ5iUDUj2dlf0S%s5f@R!YF&=eJ4A/V%Q+kr*gYgoBf\>0;gt:'/
+f$_mjd+-^odaZgue^aHE%F`t[e_A^/NAGe6e)/oqe-".FcdI=~>
+iVP>/pA"R^r;?(\<MoZnpAb"s7K<,Ss8W#`SR$-Gs8VWZrVuoTXF4PZ9hn`(SC[E1rr3,oo(i=a
+rr3B*qt^$`qu$Bhqu$Egq[`K%p\Fgaqq4tss7Q?ir;XV1rq_-~>
+iV#e<nalMJp\*oE:S@CVnG;fZ4ob!;r;60KQ<%V)s8V?Jp&Fj>Uifj:77L$]Pg8^hqYp<ZmIU;O
+qYU0cp@RtMp\=OXp\=R[pCHopo(;bMp!Z][qXF:Uq"qo%rqM!~>
+iRgZVeCN@+g>((12i-;Mg>q-X.-fI8io/S4Hot2qlKm*Qi9]OCO((O?0Jb^bJ%OChi9&qId+R@3
+gtg`>f%/=!eCE+!eCE.Ge.9s\da[((gUT1Hh9t$1e_%ag"4GNAdXV~>
+hYTA.q#Bp37mcD3rr;QZ=[rGkr;ZK`s8U)W=b"<gs7c'`s7>d[dB8=@<EN^=HA/*?qZ$T_q>'m^
+q"jsh"oeGqq>C9gqZ?TnpAXpnr:XB,p\O^br5&:0qLA~>
+hY.!?6Mp,l5s4,pq#B^H;*OgOp%\"Ds8TiI;0TVLs6o4Hq<R;=aejVu9i,"rFFTh'o`+aMoCV_I
+oC_tZqYU-ap%A+Wq=as`r:0aZ#k1l%o(DYLq"V]"rqM!~>
+iRn._7+KrKd]b/GbLtn?f$ul1inrGDda@(7UJ<jZVs3L!eDTE;eDIWoCeH`J77(<nL9fUsiQ^'-
+f[\R)h;I#>f@A<te_']I&(9.Yf%Ja3eiZCOf@JR(e\]f<da-7fJ,~>
+iVOnnr;ZTgs67'c9DJAMp\^adCA.])q>:3\nGiNf;IQEgs8Viarr4)8p&G'^c_,DfAR\P3DmJX#
+qYpHhp%7qTrr;olq"t*dq[WT!s7cNis*7Pns8;flpVHb+qLA~>
+iV#e2p\XUSqr>"M7Ip*5nb/JJA+06coC`+IlMp^T8m._Gqu?0Oq>^6[meHbGaI-mJ?X-8pBrp@`
+o_A4RnF,l@qYU'\o_87XpBp`eqXXITqK#BXqu6<io>12#pj`~>
+iRgZLg>:H7iQ7K</_o40gYdfF8_)YKe(*<sb2_?71Id2FiTA_=hrW_HeDB64Y('J>8ObTm;3]8U
+g>:T9e'c[rf@\X%dF?hDe.1'Xg=>!5i)qkBh:^E0d)+97da-7fJ,~>
+iVP,"qu?Qhs7";sEp`o$p]"qmR.C:To(VtZs5iPGflC>\d/Ee4s8VTcp%nXe)#!^AK3qeg<_@"W
+Xjun=s8VZarVl]iqYg6e%fQ5!s763dr45Xtrr;fj_#+--J,~>
+iV#e5pA+CQq<H$[D!1`dnbZfUOmDu=m.']Bs5)f9d:uX=anG;mqtoXMmdp;NqtfdO]R3g[=AVCo
+IAbEUp\k-ZoD/7Wp%J4WpC@#lo`+=Vo_,X_Sb`-Sp;$G%pj`~>
+iRgZOg#(Q;hpS_N<70j_gZ;-QGL>C%bg4\fiPERs\lV+9XkM@Rhqu]2db!@3hqlo<WG+dd696Yh
+AWO7Fh;dP?d+6gudaQeCe.1'XeDJX1g>&,LJD8l/e%sN9da-7fJ,~>
+iVQ+Eq>0s_s8VdgIIR.6pn^W%h"CO@r;ZTarVuonr8"/K@[cHZp[nLbqYpE_oDJO_qYB^>^n$0c
+>Zb$4EJpFPnb`@bqYBp`&-)D#s6p!`pA%[8p\sm`s82]lr6,!:qLA~>
+iV!9Krq&PJq>9YQGO"l"nt/?aeaE&$pAX[Np\ssYo[TI,>EdtDnEp8MoCqqDmIp8Go^hG&\sInK
+<`2aqCPA/9m.U;Np%8%Q&,Pkis6BUTnFKD!o(hhLs7Z01p\sr<~>
+iRg]Xf@ns2hrE?D?ddcng5.CV]@,<_f%eZtfAYN;h8"_"5'Fj'eC!@3f%Sd"c.(=ugtU>pU46f>
+4?,5^;/:X#cIgq+f@JU,qUQ;5dadC&iRuf81g8GadFR4+f%BfLc-ujDcd1$i~>
+l21;Tq>:_X>Jp.6dR[*Zl2:GOq#'pa:\0WA>JBY-p&G!^s7lTfs8)Thr;?HhqZ#`iNGMct;H-kH
+XkWC@r;H<_s8Vums8)Wls8W#mqY>/<hZ*WKrVu?Zs6fU\s8;fkr;ZTmrmCWBqLA~>
+l1XrJ!;H?`%Y7Wnn,(<q8'9oep@.\JqtC$^&+#*A<4;&imJ6JBs76!Vs8M`lp]'q@p&<sYLLsL\
+9MJK-VUXr&p@n%Gqu6<^r:TdZr;?<]p%3*(g&:g;q#B[Ks6&kEq>TsgpA4FZqpG0;pj`~>
+l.GdbqV2Qn4/:?dZ77H1a4f4qe_0rSrn7;*8'l'%3hOj_f&,3-i6]rqgX4L$f@SU+fAX]9D+luI
+1cdp1PJPf)hVZl8iSiJBhq-N8hr!/>f[iq^]\qVogZHl7k0;H2hYl"-g=4g.daSBIcd1$i~>
+l21;Tq>:cS>Y]Nl;bj^eq#'gUqZ$Niq[``#ZXHRkgALdHs76-cs7$!arVAJFq#:9ah8QaHCg0Y/
+?@SKXg[t1.pAP$krV,pVqYgBjSjg<fq>C9_s8Ua)bN&9qs8N&upA+[7qu6GB~>
+l1XrJq=Y?G<_.7T9h;GNoCqbAp%nIZp(.,jXBJ&Mde*,-s6TLRrp0OWrq8>En+6ANmb#=XEb/3?
+7TXl$[ajg7lLFZGr:ojNnFcSOpR+:Uo^qnXmJd+5dDOT#pA=OYr:0LWdJ*Y8J,~>
+l.Ggcq:lLh4>'`A1G4p8f%SU"f\P<Xfh^SUP!CXB^"q>uj36!!eA9P[daHOle()jrgYC2gUR#7c
+68^Sf@t:/aeCDpqgYLcAe^;jugY:G0,F[69g?$iJke+L.^X:ipf\G90e(<$t"4GNAdXV~>
+l21;Tq>:a"l'kXMQK.W;s82E\rr;cj'Cbu#r0C8dWquDgo`+Xbrqu]kqYp9nqYU0frr2pOrr)`X
+^Q)r'7TN]*NQM+uoDejfp\t3lnG:g+T)\QYp\=0Z?>O(qSa?CUs8Vccr6bE@qLA~>
+l1XrJq=Y<kj-<A5OPT@%r:]RJq>9s\'C#5fooDaFU@[gJmelSPq=saZpAXaap,2U?r;?Hfp\!OV
+Lg`n@;,q(]`:s<"s8;Q[q#C-So[?!kqsj1Go]`;VA6Nf3i;N?DqXF+PdJ*Y8J,~>
+l.Ggcq:lJ7aa5j"G/MhdhUp3'gYMYW'?o.egN>>9MqQP5cJ$Lne'c^ndJhQRe(3+%gYUfCgu$r1
+Tl<LU-8[\NCT#kEd,X-?fA>WGd+Z#UIc8o0fA"c;6;9gHH,ejrgY1$$f$`%Mda-7fJ,~>
+l21#Ks8!2ls8;!Qs8)Ziq>C9lpA+S!qY'abqSdYTFhmVKnc/Ugs8MrnrqZrurqcB^pA"I[q#::D
+qXE7YR!iFD:K(qWT?d<5q"4F^l0VAgs82Qaoq#6>][;sSYlF\!q>0p`dJNq>J,~>
+l1XoHqY's]%HmW^hspR9p\"1Qr;#mYp(R)fo)J<qE(FlWm/QDJq#($cq"Od]1ACY=o'u8Ao_%hR
+s82KTf"dJo>u4-g@saZco_e:Jo_@J09PaLtnaQ%9;1Q$qLfgJGrq$6ap<`R5pj`~>
+l.Ggb!8@;)s4Rq,iS;E(h:L?3f%Jp7e+qW0eBlb,f;)G%<1hOtbLk=sf%&=#rmNgUf@/0ndF6Uq
+e_]?Bf?Lh"F'(RZ/1s:qIBM;`f[SX3aiuS<i7ll9g4MJ%S[*3"MV?\6eCE$qe-".FcdI=~>
+l21#K$2sl'r;-<frUp$dr;uurq"agert5(fs8V8V8m[;,qu?9Ys8MuqrVZQm1&UhEqXa1Ms8Vcd
+s8V`'HsL#e>?c<Sj8&EGq1)H6rqZ2B6>GW[s2nD_qZ$Bas8D]>qu6GB~>
+l1XZA$2F>mp\"7Rq!dtUp]C9coD/+[r"8PWqZ#KC6W\feo`+=FqYL!_rV6Ei2>mFPr:opZp@%>=
+s8DKZr;Z8pGZe-R<E4%;h=L./o6O0sq"*p+4_3IBs1V-;nG2YEr;-'5p\sr<~>
+l.Ggbq:Z/0gtg]:g"G-.fDaJ*gY(-RfG)ojg=*dljMla"4_D1Uj3>g%f@\[QeMl.3g">'2e'HLj
+bfJ/dg<S'uhp%He2E4#d4^!lcgXt?:@Q)ZmgX^3h:<D>UVDClqgssd,f?r$r"4GNAdXV~>
+iVWHK!W2BbrsA)crVuorq>'sfq>2?/p](3lmf!13ISjIVfDYaHr;HWorVZTnqtB^WqYgEgrr)jG
+rV?KnqXsaco%T^uHt-/^Fc*oBJP4Jlp!6K:eGo((h-3eWs82KhrV"Y9rq_-~>
+iV**A&,,>erVlcZnG)kWq"44Qq>'^snF?PQroa"NaEL6YWR1A=p@n@]q>^4KqtK[OoCi"Vo_SUe
+r;?B`rr)NZpAF=/Q]-)n:KMIf\?UBLc2@%P9N'19l/L)d7eQ`PnGi@VdJ*Y8J,~>
+iRmt[&)#7ci8NV;e(WU5g=Fj.g\TQ!f$;Ote_\I&hl^6=5**))jOi):g"Fs,e^i0nbg+SaeBZRs
+f[na)d+d:)d+7!s\:&I*75mG4CnR2+/[aZkYr4_SlI*kd2_<\@f?iF,d*gDGda-7fJ,~>
+iVWHKrr3DqnGiOes8W&qqYC$gq>:3l2Yuq>s8VWhqT3,@I+7l`q"t$hrVQHaq#(0lrqQ*[q>C0c
+p%n^\qtp']s8Vljp%J+=\;tr)r^IO!s7;gPN:QrIs3O,3s8W&ns7an;rq_-~>
+iV**A&,lD%lKeBEq"sp_p\"1PqYKnGp\Xj[lLb&OlMgCk=@[JWn+$#Cq"a^Zp@7eMr;QTdnFZDK
+q"4+MrpTRSnFQYXo(;D?nD(=+F?fai';GElQpQSpp\Xm,2b3f?p@S:TpsJj8pj`~>
+iRmt[&)c=#c-G5&gYLT9f@AC%gA9A\eCW6taO8o#cK*ZY5qlTPe^W.%f\+p,e'-.df%AEpa3N#[
+e'H7egX"I'damC8f\G06g;]Y(?7Gk''9))*Jh1omiT0+%+"cI*g!ng)e^DqLda-7fJ,~>
+iVWHK&,,qrrVlWjpA4R[r;QZkq>'n.q#:'gp&4Uas7l?cRS6MMo(DhVrquWfs8D`eq>L<m.Jif;
+rqQ6ds7lBhr:BX^s7PsZlb&4#9h@`]OT"Tj7*P]+o`)((?2sWtquQ?fdJNq>J,~>
+iV**A&+TDcq"aRVnb)MGp\FUWo_S8Xp[\.Ns6o^Oq=sLKo9)L3R-a>7p\FRVo_nUXoC_tYrr;]`
+q>0aSq"jUQq=a4Fqu#pLo]<N:E(<8Z>Di1=E'MD?o'H+F=&Jq`p%S4KrmCK>pj`~>
+iRmt[&(K=agYCE7e()psf@eg,eG@`meBZOggWe9qgt^N6gj:\0K@86#g"Y-/dG!*rc-Oeef\=g#
+f%8<tg>1?4hqlo9j6#%GhTqj7=tqTW7<IM:=t-`<gst>?5<%TKf[n`ugX=RRda-7fJ,~>
+_>F'+8+uuWpADR5:g(""p&4Xbq>C0dp\b'hoD&+XrqZ-[s8W)op\F[_qS8eL>ut35=EUb?rVcEf
+C0LH.p]()h8pBq-p&FgepsK!<qLA~>
+_Y+$)pAXgcp.4lFs6oCJZs-("WqZ#Xo)/1Uq"=7RrV5jQoCi"PmIL8Tq"+%HoCVXcRrVS-<)cb6
+Vt'NUn+U?mo^_PHnsqs[lM0fFoDJ:/p\sr<~>
+dFe$@!S#Qsd7_p;f%AI6f[o#S82WJgg=+g+gsXa%d*:"jd`U%hf\>$)f];/Ph:piFio$Vb>!G#0
+4??Q)g#(]=hb68kgtUcAKdK[CgX4g*g!\<u"4GNAdXV~>
+_>F'+)uK4+s8)c\U-r1.f(T.3s76*fs7c$Vs82inp\t1@me,ks_5WB3>ut6=Bn*/>s76!cqu6Bd
+ChEGAr;ZP2>dFD0r;ZHfpsK!<qLA~>
+_Y+$)pAXgbp.+c@s8VZciL2r0ERF=Vl2U/Fs8V]Wo)/4Wp$qt[s6/q3d(5s*BN@u1>@VrSf`(7/
+s7Q0Xo4DG%rq?0WA5K0!q"=[Vq=W/0rqM!~>
+db+*@!S#QsdJqWdeCN6tk31X`d"`r/<4(09bMg^thV?Dsc.Ue-gXkNMkL/&1]r-s5=@>546V1^D
+^uX"ukhG%JgJ1DskhtIR9K8!fgXtE1f$`!r"4GNAdXV~>
+_>F'+8,i8Yl0&*Ho]gir=HDSDlMp_NoD/=_s7Q3\o(i(7Z]ouN;,("q@uIbZs8W#ps8Vffn,<1[
+Ki*WWlh6iM=7Q=fs8V]hq9f*=qLA~>
+d.[&)q=[>RnFGPqqu5sCG=,8bi;_p=p$D,=p\=URoC)&;o$jb#H!O$39ibMQYiGc`p\+O_nabu>
+p[`l/K$i]JPY4[2s76!bmeZY)p\sr<~>
+iRmYNn^RKb8^u>De(Dgckj@'I>q%aO_rSkuf?Vamf@\m/gY(06gqK2&B1k3B4[r%\PKDkHg>(TF
+eC`%%g=^$oCqJ$FI5<\&jON&BcI^One-".FcdI=~>
+_>F'+!;l`p6LjRCqtS9LD0X#!nG3(_s8Vufs6IIjI:ZSd7T+#\Z.8FFp%n[dq"=CXp\"Rbs8)Z#
+85;P(gKn=cs8Vflr:U*bdJNq>J,~>
+dJ!,)q=[>Or;ZWnl0.d4o##'PEk_S=oD&+WqtBFWjgpb$?W:#i94WaVcKkDsp%eCSnFH8CnGE"[
+p%PXX8NkJM<`SVeqsF.PnG`+.p\sr<~>
+iRm\OmaV6as3sQhguRDYf%&a8fVqP==JY*+g"tTAhV$BAc_Q)$8No?i3)O^_]@l>sfA,*2dact"
+db`^:f@lB<1FKfI5<[WYi6^30d+d!se-".FcdI=~>
+_>F'+,6.'0qu,p^s7Q6cpl/-@FRSeio)JHtHtlhX7S$ElJATn+rr30"qu-?br;Q^5rVlisr;HHk
+lZ>um5uhF^q#C<gr:]sdp!N[9qLA~>
+dJ!,)q=[>SkP+WAjno#Fo_%d190mI[m-<s5n[E[P<(0&=9OrI^d-:E+qY'UWo^_bVs8MfhqYp6a
+o`+&m9KtU5>N+rCoC2GCo`+L0p\sr<~>
+iRm\On^RQhrm^tr8(Yf9g>:3?lIXhIg2Abr<mfFFeDo;W?q`[7-nI2K@\gN[i8ihQgY10,fAY]H
+f\>-<f@na5a]CAL,rS05eD8d+f[84)cdL;Fda-7fJ,~>
+_>F'+#laYFJ<ZV8^<?KT3mqq:=,a5CAlMf5;f7PmchIJ<pA=jco'c5Js8VlcnalDGo_%hGqu6Wm
+lb6=jMuW\SrVccpp\b'adJNq>J,~>
+dJ!/*!;?Ebr:WYUo>c-9Q*Id:q>0peb\9@?Kr'Z69i"V\BSN8'nc/CSpA+CKlL4HHqXa.AmdKZ6
+nF#Z:q>9mK\P>PFp[A+OoD&%Mp\j[1p\sr<~>
+iRm\Oo$dZjrn'oqeC;ppf$gX)F+0XQXl89ukd42;4*$L.9fkL%2,7tDYLhgheC`O-ccXYdhqHQ)
+bg+P]cd9t]f%Jg1cD*?OCuEq-f@\j2db!4!daSBIcd1$i~>
+_>F'+.eitt<*!=OHTc&qo(hhR[9?L$8R$_D_>=32oCi4_mJQt`s8Mrnr:0O\q>V0*s8VTZs4Vs%
+Y5eOss8Dusr;??fdJNq>J,~>
+dJ!/*!;?Ebr:VW1s3sb=<cW7?@aj]8lh7J[9LD-GH(hhAr;#dNr:oLNqY^9fq"ORNoD8Ids8EZ.
+s82Nirp9%PeTjoes7bmOoD/C[!VQ99p\sr<~>
+iRm\Oo$gLeg"G$/eC;ppcf)>f2*YAQ+%X#nh::GQ5WUVR6tqd^gu$o7eDAj!e^rL+e^Dmpb0\bq
+h;$c>f\P3/gtTrskJ(LdO6GKNg">*6f@SI%daSBIcd1$i~>
+_>F'+8,)lWKiO'1pRX3EnGiF_qV6Z`;5EFUrqZ?es8D]hs8VuipA4acqYg9cq"jj]o^r1ZnG3+W
+s7H>%7UT\Rs8VumrVu]`s3^`CqLA~>
+dJ!/*!;?Ebr:WYNo^mT,KD+c$/lV'6p@S".Ho"BciV<0=oCr1Xo(N+]p[[nKqYBj\p@S"Np@IeC
+qt9=Kr:0gVs'@rn>BBK5o(2VQo^;b,p\sr<~>
+iRm\Oo$dZjrn%5%rR=?`eCS.fCuO*"(-U+-hV?o%Afs$jdHK]Hf%Jp6eCNL0d`p"_dEp7ie'ZRl
+e'Q@af[@mig!8R*k!g[^6!2jre^i@,eB?^se-".FcdI=~>
+\bcg1nc*Jr\GGoi:,2\=rVmYuS6S^,`Vf`7p?qkWo`+pjqY9pZo`+IYs83,FDDY:nnGN4-qu6GB~>
+dIul"./*9!rb+R&o^A)9.e`<-qYL3QQW?Oi^@h9sn`ffCn,N7^p@S(JnGi+Ss7ZKe"ib70:8[=U
+p<<:1pj`~>
+db"QNlI796e^*;Q.%K/LKJaS(eDB!7hT'q)/Q]"4hV?W)g"Od0f@SEqd)sMadJD;geGn,"f*/*E%
+k`UZrmo?D"4GNAdXV~>
+\bd9Ds3=&-qu6S?2ad?>oC_qWqZ$/J3Dt:4mf*4npAXUSrVH?is7c3UqZd)ld(R`ms2k0;qLA~>
+d.Zi#s7Ri9s2[Dpp%\9%0Ken*md]uFpAF?81JE"ql2:S[nbMP?q=aL\rU]RNp]'plp\jR)\]X4;
+anPf0J,~>
+db+TNo@3fg0[\=seC<(#guGOb1#M!O@N[/Tk0VE#e'ZstD]:TCPg&%Ghp^?(cdpRlg"4KldF%j>
+qpbYs#LqJOWKsI&gre+Kda-7fJ,~>
+\bdc:ooi*Bo#l,9<1<@Wp]'s[s75sZY@0FtQM:CGq!e=Zs8MZes82W^qZ-9fp&b*js2b*:qLA~>
+d.Zi#s7Ri!n;Tq+m)<ft9p=oBo)J:Ns6]FKWEV/\ORi52oBZ>Hs8)6Yr:fmUp]'penG_t[pA=a.
+p\sr<~>
+db+TNo@3fg0%&+qeC<(#`7&cZ/C^k,,<^V.jOE)3bhLCmeWE9@5'GK3bLOkmeD8a$e(<$pqpP;i
+s4.1prm(Ypf\"<q"4GNAdXV~>
+\bdcSlr$5/8kqK__Z0Q2qZ$0eqXjINr7lHX=+/d#qZ$0[s8DWbp\Op[qZlumq"a[Vp\i52rq_-~>
+d.Zi#s7Ri?k=e&m6qB1E]D2*mp&FLZp@%M;p==1@;0UObp&FILqtT^PoCi4Up\smdoE=jYnFQIt
+p\sr<~>
+db+TNo$f>@dF-ImeCN:5atb4Y/2ADIX6&9ofAFa'dEg7egqHl32dNoIf]:E-gXsg"d*peIdeVDm
+ed'[OdF-Cdd+6@h"4GNAdXV~>
+\bdc<_DOjQh/5K;nc/I\oD/FSs8D`mp?V:I839_5iTg42q=spgr:^*ZqZlijs8W)lq>\S6rq_-~>
+d.Zo%rUqW!]e;\:f4[4"lML5Eme$GBs7l3cnE'#168_Grgu\.so^hkXp[S%KpBU9^qu?N`p&<)-
+rqM!~>
+db+TNo$m]fs4%)"s4A^=TG8j&^JH1tf]_,Cd+$afh:U9=f$2^$-lXp_^W>!Tf%&F3f?r7@e-F=J
+f\G*)dbDpo"4GNAdXV~>
+\bdcHS7,Fhr,b50p\FX`q"Xgfm-aoPr;ZZojc3S3?H2U:s8;`ns7lE[qZlulq#(*eq"`&/rq_-~>
+d.Zo%rUq`0QWm8Qp22rlnFQ8GoCMeTkir-Bp]'pdhhY;p=MXA)s7c3cr:BRSp\+7R#PRc]q"aXU
+ouZt-pj`~>
+db+TNo$m]fs4%)"s4AXGH9jF=hGtjfh;-iAe^N+#`Q@)mg?.5Sa)4!_5,Q`gj4`,DhYu(,eCO9A
+#Lh&Ie^i3sd`U&Ada-7fJ,~>
+\bdcS83F3Ql$uT3rR]U"rVu<[s8)<aq"OIIqZ!p14@t@To`+XWr;HTaqu?[!qtKserlG!9qLA~>
+d.Zo%rUqW96T;.<j*F<op<h4bq#'FKs7PdRoC;;2o_GXn2FE)<melVCp\4IWpA=Rgs8McapA=^-
+p\sr<~>
+db+TNmaV9fs4AgX-5quua^?kej1D_Wg>'`qhpp!)f%8Hsgu4Pc*%>R)eDf!-g>1N9f%BiMqpYi-
+gXOU!f[n6p"4GNAdXV~>
+\bd_7;Es=3i0-35[nq,8o)JX_q=ajgq>^3hs7?'EN`&DN^An0$q#9d[#P7ilq=smdq8rO5qLA~>
+d.Zo%rUqUr9fh7sg5RprYtAj!mJltRp$r"Xo_e7Wq<de-LeL-6\Gc0eo(_nPpA=Rhn+Z\Oo_A7T
+anPf0J,~>
+db+TNmaV9fs4A`:0HJ*W^iLDcRkdmfcf*F%da?n,f&,*=iRQ]"E&&h%T&\YRf\YB9rRh&!qpYkp
+eCW-re^i0ke-".FcdI=~>
+hY[?Nrr)ios82flnbX6us7u]hs6str6q;Cdlbu(f1hb,.rr;]jrVZZlrqmQ.o()bMZuAQ2DpJCV
+o_eUarVZKequ=5(rq_-~>
+hY.!DrqQKes7ZHb!;?!X3Uut<s76'QCHt*NE9HB!3DM29`q0$&nbN"Up\+=Tp\+7Gm.]kLC-kI*
+aT(btp@\1Tp[n+OqY'Wpp\sr<~>
+hUqk]rn@A)s4IA'!S,cle2bq1eDJd3btTB*,u_t.UE;B09!$Uug<nL&e^W1&g"P68daHt"PY`b\
+;6]9:f%f$6gY191f\G'/rRCkq_UJ\9cd1$i~>
+hY[?Nrr)ios82flnbX=(s7?9cr;X%0^UV;^oBVoZFhI_Rq#:0hr;?HhrqmT.s8Mfks8MDE8k;L-
+mf3=Vs8W#lrr2W%qu6GB~>
+hY.!DrqQKes7ZHb!;>sW)uB""oCr0aYe%0Wq!R:2@;iUMr:BaXq=saZpAXe(o_S@SpAapNL."?p
+JEZh,lM:JSoD/4Pp@c,mrqM!~>
+hUqk]rn@A)s4IA'!S,cle0rr&cJ-n&hN!bhQDE9_aa-HWSD;uOg"+a)e^W1%f@ed3hU^KDhT]m9
+.Lg(<iT/ACjkA;@gsaj*rRCkq_UJ\9cd1$i~>
+hY[?Nrr)ios82flnbX.$s7--ep]'aVs7uNgo`+7NnGWCUo`+siqu-F/p](9inacMUroe].='`0'
+s7,7Ls7Z$_\blC&J,~>
+hY.!DrqQKes7ZHb!;?!X)u09rqtK[]lgb#Ip%IkQk4.d4qWdPLqY'XWp\sq+p[\1[p$D)<qYB/o
+:/P)pm/QD0pAa[Mq=aNop\sr<~>
+hUqk]rn@A)s4IA'!S,cle/R&qcJ@1'j3?'5f%8R%hoXBngYL*$hqHZ4eC=KJ*7r]qiRcE&fA56%
+>;S9%Q.5$HaP>n,d+d.&eC=HF_UJ\9cd1$i~>
+hY[?Nrr)ios82flnbX6us7ZKmo`+s_s7$'\p\t*jr:fpYs8VN`qYU6h)#O""qZ$Tlp\=[]qkl_B
+=_?%Us7c!^s7!Srrq_-~>
+hY.!DrqQKes7ZHb!;?$Y)trh"nbW.Or;H']lh^)@q=jp`o'u8Jr9<nIp\jk*p[I_GqYKmUoCqkL
+TfY/2@*8'?n`flIlh:%ap\sr<~>
+hUqk]rn@A)s4IA'!S,cme/QufhUC99dGEd-hTaj'eD&[;g==^%hV?6'e^XQJ*7W?_e_8g1eCN@)
+gP6pl4%Q[2kh4A@hp0m*eC=HF_UJ\9cd1$i~>
+hY[?Nrr)ios82flnbX6rs82Wkp\Fa\rpTm_s7c<Sm.gV\qtg'^q>1*gs8)oup[e7[rt##'rqu;^
+8kWHqqu?Hgs8';'rq_-~>
+hY.!DrqQKes7ZHb!;?$Y)tr_!p@S1Oo_7nOlMpMRo(2#,oDSOZp%%_HpAXjepDNr$n+Q\VqYKpY
+q=j6J6q(1Yp&=OTqt9[V]D)="J,~>
+hUqk]rn@A)s4IA'!S,cme3)=/iRui<e^iF&gW\^/h:0urajo;(f[nX%eC2sse'c[ud*0togY1H8
+fA,*+Jgr?:QJ^iYgYUT8f$r4Jd_aK9da-7fJ,~>
+hY[?Nrr)ios82flnbWjms82HarVQNgs7lWgs7ZEjrs/Pun+H_Tq"k!frql`l'`7[so(DVSpAFXT
+gLF/PCr-#Kr;X>)rq_-~>
+hY.!DrqQKes7ZHb!;?$Y)trq&p@%YKp@n4VoDeCXnbE.`qYBaJnG`"MpAXjdp]'q$p[mqAnF$>H
+p[RY$>tmUs]Cl$os8M`)p\sr<~>
+hUqk]rn@A)s4IA'!S,cmeGn)>i7ZQ1gXt31h::Q8gsb!;i8!);bgPFte'ljre,Ieqd2:B\bg"M]
+j4)f4d(;Y(.o<(uinWVIf%/@Ld_aK9da-7fJ,~>
+hY[?Nrr)ios82flnbXL0qYL$arVZZfq>1!ZqtU3cp@J(Zqsj4Mp\Ogdr;6?Xp\On"p&F:Ps6'ET
+DF.9ihY6TOqu6GB~>
+hY.!DrqQKes7ZHb!;?$Y3;37Bp%7qPp\F=Np%IeHoDA+Kmdp>Lm-O95pA"IYp\*kCrVufmr;?E\
+r8dMMiq]$U4AD$lna6>L]_DF#J,~>
+hUqk]rn@A)s4IA'!S,cme3MU@f\"g.gY(?0f%8R!f$iC%dEpG"fZqdidaQare'ZO[c.C\$f%Ja1
+d,)dojMg#0<$jPN^t6rcf%/@!da?L[e-".FcdI=~>
+*W,^1qYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-equ?TnrVl`pqu6H^q]Gk.qu?]np\b$gs7uNk
+rVcWns7uQgp%J(QqY^<iqtg<l'_h7qqtKscp](3_rq$-7NE8DT\Gs,:rq_-~>
+*VT7$p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@ZpAamdq#:$fpAX^bp@J#<pAO@Orqc?Zp\FR[
+o_&4Yq"Faco_.tInaQ,Cq"a^ZpAFsfoC2GIoC_nLrV5dUmeFkY;*/$gs8M`ip\aa)p\sr<~>
+hUqk]rn@A)s4IA'!S,cme3MUBce7:5g!n^0g"b0/hUpK3i83&;f@&-pdaQate'cXqg"+Hld+$Fm
+f[A[2ceHk*Y\uNH7%!,if[eR%da?M@f)=(ud`g2Cda-7fJ,~>
++8P^/q>0mar;-3bq"jd^q#'sap\O^`qtg*aq"jd^qUtcFqZ$Hdr9=(po`+BdDbaAMi;`NIs7cHh
+rUKFXp]'scq>1Elq>0sbqtg0Bqu6GB~>
+&bYnmq"FIWqtBdXp\+@Tp\=O_pAamlqY'[Wp\+@Lp@J%RpAXabp@e7Yp@J%Vp'pKelE4hl;.eP^
+nb)qRrqH]`m/6GPo(i+U#P@]_p@n=Tp=]3>pj`~>
+#M@_`g=b06h>,_/gY1?5g"P39q:Y>ks46ek!7pturn%2&rn7,!r7:hr!7LYlr72b5gs(sW/ic\B
+k1&#?cI17tdEg_"gs=KudJ_Mne-FCLe'lgre'm%#"4GNAdXV~>
+#P\#hq=sa]r;$*mqYBp\q"X^^q=rY?rqcZlpAF1P(]Wgqs6PP5862\cqX3hPqtpEnl2UMXq"age
+q#L9@qu6GB~>
+#PRoeq"OOYqt]skq=s^Xp\4LZq=jCPo(VtRrq6<bp@nCVnb3k"kOSZ8JjVk$U@e-Cli6_Pq>]OU
+o)/.Up]'mdp=/j9pj`~>
+#M@_`g=b06h>,_/gY1?5g"G-7q:Y>ks46bjq:P\us4I>(q:GGnn^JB1`73hkBIbPlLt^J&aPGA#
+iTS>Adb2tFdJqYpeGmqse()qMda-7fJ,~>
+#P\&iq"OOYqt^!fqYC*bs7uKcg&(dFs82Nfl2):js8DHZpX5X=/W8Kcs7ZBarq$$ds7?6cqu?Nl
+qu6NHqu6GB~>
+#PRrfp\+=UqYBjdq=sp_s7lEanFlGIq=ag\s7Z0\q=a@Q(\7P"lgF;eQrbYhg&Cp?p[ItFpA+RR
+qYBmcpAXgcpt>E@pj`~>
+#M7Y^f[na.g\KJ&g=cGWs4Q\is46bjq:P\us4I>(q:GGnn^JB$g=jg$f<g&m%;WT4g!/."i76N9
+g<A+GdJqYpeGn"seGe"Pe-".FcdI=~>
+#Pe,jq"OOYqt^$dq=XL_qUtcFqZ$Hlr8IMhrr;icqZ$TecWrt4O8o7Ps1a``o`+F[o_\[d!<(UJ
+rq_-~>
+#P\#gp\+=UqYBmbq"4=Mp@@tRpAXabpAXgVp@7knqY^$Rp&G$Ya]C_sMZ<\Es1+*Nn,2MJo_8C\
+!;Y=BrqM!~>
+#M@__f[na.g\KM$g#^ldf(.>df`'M&f`'Rof(%6,fA,!(f]M>HYrs<\CuF'ok+d%BdbN$tdf.Yo
+de_JneH"1Se-".FcdI=~>
+#Q">pqY9j^qt^*fqu?Nmq#L3cqUtcFqZ$Hlr8IMhr:g0is75URs5'GN>jhRjr+&C2p@81Rp\Xsd
+!rMoog&(dFJ,~>
+#P\#gp\"4Rq"a[`q#C*gp&Od]p[InIp\FO^p&Fabp[RtHpD3>ps8VKMoD@11;HN,Xs7Tbd[INV`
+me?JTp&b!`q:YNApj`~>
+#M@__f[eX+g%j;"g&K_)f)XCef`0OneG7brfDjM&g%!Y`e/-`bg>h2>cIq0jIl07.f\t[X/">&4
+iQM2JqpbVo!n>cOg=-5Qcd1$i~>
+#Q">pqY9g\qtU$eqZH]jp\4L[g&(dFs82fnq>0@Q([qD(m-OcPp\Fj\ma:UlqNO6>hX9t7p%\Cg
+qYBp]qYU6Equ6GB~>
+#P\#gp\"1Pq"XU_p]L9ao^qtRnFlJJq"F^[s7ZHdq=XRWnb3jbrVYjArVuEZrU/pomH=/&3_.ie
+mJl_OpBL?ao^qkOq:YNApj`~>
+#M@__f[eU)g%a5!f`TmYe^`p:!7pbk!7pturn%2&rn7+tq:>)c(WtRjai`Q(f@f33bc]:6fQJMn
+^<Fp^cMc2he-=CMdF$Fmf%SUUda-7fJ,~>
+#5\5oq=jXYpA4gd"8_fepA+R<qu6Hlqu6NhqW[kns8Dlps82Q_nc/4WqZ$Sd5=8NPnGMtZq>1En
+q=jUWq"jpAqu6GB~>
+#5@ofp@S"Mp@nU^"8DK\oD/.6pAXabpAXg^p%e=OpD<`%p\F[Zo'brCme-8Nr0KE,;>TVQnGE+W
+rq6QhoCDMFpA!>8rqM!~>
+#1hDXe^N!sp=B8q"4kuNdeVJaf^[Pgf`'M&f`'S"ebRede/-llf@es3e^De$dFd+/hgH^s3T/39
+d+J<Fs4%)"#Lh,Jcd:(ge_8LTda-7fJ,~>
+#5\5oq=jUXpA4gd"8_fdp%eI;qu6Hlqu6NhqW[knr;$0cqY0a\r;Q<[s6fnZ7QWr]s7Z'_q>1Bl
+q"FCSp\NP>rq_-~>
+#5@ofp@RtLp@nU^"8DK[o(i%5pAXabpAXg^p%e=Np]'k"p@\"Ip%S:Mn+u;H6pNRka8b\tq"sgc
+p'13^o'u;Bp=T-=pj`~>
+#1hDXe^Msrp=B8q"4kuMdJ;A`f^[Pgf`'M&f`'S"ebRede/6feeCN7$eC`L1dF-jph^U*!-ElR]
+d+HkIdf7hsecsRMcd'k`e(N4Qda-7fJ,~>
+&,c>%rVH6]qu$?fqY^9gqYpC$qt^!Zo_A:\r;6?grr2iqqt^'pr;HTjqtp<hqtp?gs82fns7u`m
+rqu]ks8;oq&H;M&qt^*frqc?_q"jmcrVcNgs83l6qYL*frVZNhr;?Eeqsj^Vo)Fn[TM@ngqXaaW
+q>1Hoq"OOYqtg0drV?Tmr;GUOrq_-~>
+&,5ekq"=1Ip@n:Rp%S4Sp&=[op@RqFn+65Hp\+:Sq>U-gpA+@fp\=OVp@e7Tp@eIXs7ZHds7HBc
+rqH?as7cQg&Gbtlp@S%Rq=X:KoC_hOq"XXYs7dT.p@e7Vq"OITp\4@Qp?_hGm/)cER7BHMo^;bG
+rV-6`#P@WZp%S1Rp\jdep\=RCp\sr<~>
+&(fC`f[\Bsf%8L'e^rF(ec+/.f$r-pcdUFrf@JL(rRq5'q:>r+g=k*.f%8O)f)=/!f)4,"f`'S%
+f`0Y)g(<#gf%/@$g"Fp'daQatf@\aNeGn&=eC2mrf%AU)f%8O(f%A:.cdLcn5__*DTA%]Qbl-&i
+ed0aPd*U4je'lhFdfS%Lf&G0]da-7fJ,~>
++8l$5rVH6]qu$?eqY^9gqY^9gqt^![p%\C]qtg0erVl`pqt^'pqu$Ehqtp<hqtp?gs82fns82fn
+!rMijrql]ms8<K(qtp3crVlZep\=U^r;HTequ?L1qu$EiqYL*eqYC'bo_STp6tp^"2Tu$rs7?'`
+#l=>jp\F^`qYU6f!rMooiVWWNJ,~>
++8>L&q"=1Ip@n:Qp%S4Sp%S4Sp@RqGnFQ>Ip@\+Qq#:$fpA+@fp@n@Tp@e7Tp@eIXs7ZHds7ZHd
+!qu<[rq??cs7d,sp@e.Oq"aUQo(2PJp\=OVp]'q*p\=OWp%A%Qp%8"Nn+H^`5%AC]0?*YZrpKLZ
+p\a^io^h\Ip\4CUrUp<eq"`nCrqM!~>
++4o)pf[\Bsf%8L&e^rF(e^rF(f$r-qd*pOsf%&=&f`'S(f_O,*f\,!/f%/I)f%0fMs472$s4I>(
+!nc,Vrn.5's4S"5f%/@$f\+g&daQatf@\aKeGmu9eCE4&e^`7&e^W:'db*]J-;@V_*3\5Qi6KpQ
+eG[r(e'ZOhdaZdqeG[hteCE.0e-".FcdI=~>
+&,c>%rVH6]qu$<dqYU3fq>U7"qYBp[p%eI^qtg0drVcWlq>gEkq?6]nr;-9gqu$<jqtg3oqtg-`
+qYL3grqm<&r;69br;HNeq"X^_r;?Nhqt^()r;6<dqtp6bn,NF[kZV7W6p+E&kP"rUrqcQi#l=Ak
+q"jmbqYU6f!rMooiVWWNJ,~>
+&,>nnq=aCMp\=ITp@n@Vp&=[op@\(Knb)VNp\+=Tq#0pbo`4^ao`Y!_p\"4XpAFU`pA4Lep@\(L
+p%A=Xrq?rqp\+4Np\=IQoCMYKp\4IYp\FM!p\+:Rp\4CRlMpnPi`&u>4Z,p`iUQgErq60^#PI]\
+p@n=Tp\jdep\=RCp\sr<~>
+&(T1Zf$hskeCE$re'uptdf.`(e'cXicI11leC2mrr7Lu"!8.8%"PDD\f@TuRr7Cu$qUl&)f@JL(
+fDaG%falTaf$i.#f[eL"e(*%$f@]oKq9p/3f$`$seC2gfj5e_45!^MG,<<N\eD9!\ec+,,f[eO"
+d*^=leC2qGdfS%Lf&G0]da-7fJ,~>
+&,c>%rVH6]qtp6cq>:*dq>L-uq=s^Yq>1!cq>'mbqtg-qqtg0bq>1!cq>1'e!W)WkqZ$Hlr;QWt
+r;6?cq#(!fqZlooqtTp_rVZZi"Sqokr;HHg!;c]j*;]R.q#(!aq>0s`p\b'^s*SgHX`6<[aSZ#2
+n+lqYrVHiqp\=U^qtg3gq?$QlrSdYQqLA~>
+&,>nnq=aCMp\4CSp%S7Tp&4Rmp%7kIp%J.Sp%A%RpA4Fgp@\+No_%qOo_&1V!VQ*ap&Fabp\spj
+p\+:OoDJ:\p':3`p@IkKq"OdZ"SDB\p\=RY!;?Eb"SVT_o_8@Xs7R)uoCr1Ms)r.4VJ7h?_Y*ou
+lLb&JrUpKhoCVbNp\+@[p&b!`q;M)Ipj`~>
+&(T1Zf$hskeC;sqdaZgrdf%W'da?FgdaQ^qdaHUpf_X2+f[na+f%8R,f%9lQ!S>p%fDjM&g&B\.
+g"=p,ebn%ufE]mWf$i'uf[p,O"OtuQf@]oK!7Uqq*7NEcdFZpsdaQ[nd+@("k$D,2PZT"KXPMse
+bgcUA$eEt]f$_pme'umreG[hteCE.0e-".FcdI=~>
+%fQ>'rqlHar;?HfqY^9grqcWk$i9\pqYU3gqYC!cq>0phqtg0gq>^<kq$$Wlqtg-arqcZlrquco
+"T8/nq"Xd`rqQfor;?<^q>L9iq#^HkrV?=9q=s^[qtp0^qt^$^q>'gZqW\$-:Wi\:cs&iMs7Q*c
+q"aa^qYg9rq=sa]r;?HhrV?Tmr;GUOrq_-~>
+%eo\jq"=1Ip@e1No_/"Orq-3_$hX&^o_%qOo^h_Ko_S4^p@\+Xo`+UaoEFp]p@\(Mrq6<brqHEe
+"S_W_oCMnQrq$Hep\47Jo_A4ZoE+a\q"aXip%7kKp\4=NpAX^aobR2jp#Q-r8]1;ta](@2s6oLX
+oCV\Jp&4Rhp%7nMq"XUXrUp<eq"`nCrqM!~>
+%b9(Yf$hskeC;spdaZdqrmLep$e!GMdaQ^qda?Lmf)!u"f[naSf)OA%ecj[Xf[n^*rn%2&rn7;)
+"PMGZe^aTLrmh>'f@SHteC`FOe,n4Qf_O#Nda?FieC;mlf$r*pd*U+be\pNR1U-!)\O%^<kLJ)B
+e'umtf@\a,f$_sne(*!ueG[hteCE.0e-".FcdI=~>
+%fQ>'rqlHar;?EeqYU3frqQQjrql]k!rMomrqQQkrV?Eg"T/&lq=sm`rVHQirqcZlqYUNoqYBp_
+qYp<ip^d,sr:fjYr;QQhq=sd^r;HHg+8GU(q"ss`o_S@Wp\=RYpAC+];F@\SSl%FMYOD)RnG`1l
+q>0sbqu$<cq>:*fqtp?g!rMooiVWWNJ,~>
+%eo\jq"=1Ip@e.Mo_%qNrpp-^rq69_!ql9[rpp-_rUg']"SVN]o^i"QrUp3_rq6<bqY(0ep%7kK
+p&=U_o+1Edp[[eEp\FLTo^h_Jp\=RY#k[`Zo_8+PnFceP'D1tho(\5K9KfB9QV&r1WTig;li-Jb
+o_%nNp@n:Qp%S7Vp\4X[!r)KciV3?HJ,~>
+%b9(Yf$hskeC;podaQ^prm:_ormUkp!n5ZJrm:_prRUr!"PD>Xf%']LrR_)#rn%2&qUl&)f@JL(
+fDaA#eIU*[f@&!of@e^)eC2ptf@]oK+48H]dF?[nc.1:id*L(ac.-\o1+/C;LH6JBPLJ"-c2Q0$
+eCW=)f[nU"daZgteC=HG!n>cOim\(Ycd1$i~>
+')hb+rqlHar;6?dq>:*dq=sa]r;-`qqu$?eq"adcq#C0hq?-Wkq>($b#l48kq>0s`q=sscs82fn
+s82fn!rMijrqZQgrqHHj%/0;er;ZZjq=sa]r;HHg0_kA7p\Xm_o(i(Sp\=OXp"tEj9O`qN6;'p:
+=I/UZp%S4Uq>0sbqu$<dq>:-gr;6Hh!rMooiVWWNJ,~>
+')2+nq"=1Ip@\(LoC_hLoCDJEr:L<ep%J(Mo(2MQoDeI^o`Op\o^r.S#k[`\o_%nLo^i(Ts7ZHd
+s7ZHd!qu<[rq-3]rpp*`%.WcVp\OUVo^h\Ip\=RY0_Fr+oCr%Ome$,AoCV\Hn_8OX7U1W44%)Fs
+;NU>HnFH/Ao_%nNp@n:Rp%S:Wq"Oa\!r)KciV3?HJ,~>
+'%PL]f$hskeC2jndF6UndEp7gr6ko!e'ujod*^;@ec45"f)s[Wf%0iNs475%s4IA'!7q/%s4RD*
+s4I>(!nc,Vrmq)!s3qS-f@SEqdb!4(e^W'se^rILe/m#`cHt(kd*'qfcd:"ac-3\)+Y6*&gFG*8
+-p2h*jSmR;e(!"$g"=p*daHXre^`1JdfS%Lf&G0]da-7fJ,~>
+'E.k,rqlHar;6?dq>:'cq=j[[qYg9rqYU3fq=sa]rqQNhrqcZl!;ZNes7u]ks7lZirqcZlrqufm
+!;lcns82fks7lWgs7ZKj%/08cr;Z]kq=j[[r;HHg0_k>5p\Xm_nbMtRp@n@Up&Em[^TQ_qs7Gm4
+fus9`r:]m[q"ad`qu$<dq>:-hr;6Hh!rMoohYVg~>
+'DM4oq"=1Ip@\(LoC_eKoC;DCo_nFfo_%qNoCDJErq$0^rq6<b!;-0[s7H?as7?<_rq6<brqHHc
+!;?Eds7ZHas7?9]s7--`%.W`Tp\OXWo^_VGp\=RY0_Fo)oCr%OmI^#@o(2MEnc.:M\u=QYq<dLo
+e&D%Jp[RhGoCV_Lp@n:Rp%S:Xq"Oa\!r)KciV3BI!;D!~>
+'@kU^f$hskeC2jndF6RmdEg1edf%W"daQ^pdEp7irmh&"rn%2&!7q(u#M.MYf\"g-f)F>%g&B_*
+f)XJ&g&K_(f)O;#e.C*Vf@SEpdF[+(e^W$reCW@Ke1f:qc-Xtjd)skecd0tac-4tRQ^s5\i9&bG
+\\"oqce6^oe'ln"f\"g)daHXrf%&:KdfS%Lf&G0]da-7fJ,~>
+$30Pps7lTnpA=^bp]UHjq=s^`p&Xp_q=j^\$MF5nr:p!\qt^*cr;?Th(&7V$qYU3gqtg0bq"OOZ
+q=jUVp\F[]p]pWhp%7qPr;Q]nrql`lrqcipq=s^Xq=uE1p@[qAmI^;Lp%7tQqYBp`qY9gZq"jma
+q"==Tqu$Eep@\(Np\OgHq#^Tqr."~>
+$2a,drUfs`o(VkVoE=m^o^hYQnH&4Pq==@R$Lm]_p[dqHp@S%Or:g6^(%_(jp%J.Sp@\+NoCDJF
+o^_PBo(;VNo*=pYnF,l<p\Fg_rq?Bbrq6Kfo^hYDr:L!]-h$Tplf[L#p@7Y@nalGGoChkKo()DF
+p@\%HnFQAJq"!tEn*oo@pYtfIp%nLYJ,~>
+$/!DPg<nO)cd^GBd0.qJeC2kFd/h\Eq9f8oqUZ)'fA#$1eCN=)f\-2Vs4%k8f@\a/g=k64f[n^)
+e_&L(eC<%#fD3l#eC)^id*pV"rn%/#s4.,""P)#NdaA!BrmE1?dEp.[bL5(ne'c^qf@8:#e^Msp
+e(*%"e'QIjf%8R&dEp4ddact/e-"(Gcd@7~>
+(&7goli6bKs8)Qdp\4IYqYC!bqu$?cqYC$oq#(0lqt^-gr;?Tl#5\/lqYU3hrVd9)r;6?eq>:$a
+q"X[]qt^'mq"OIRp%\F_rVufpqu-Hqr;6?dq>;W8q=sUOnbE+Zq"OU]rVZQlrVQHfqu-NmqY9j_
+rr<#pq=s^ZqYgEPr;ZcsrI=~>
+'(c.bk5Y&<r:T^Ro()DEp%7tOrq?`lp@\.Pp@\.Pp%e=eoCr.Yp@S(Sr:g6b#5.W]p%J.TrV79)
+p\+:Qo_.tMoCMVIp@\.Pp@\.Pp@InTn3$@:q=sd\q"OOVp\=RZq=jXVp%S7Uq"ORXq"+1MnE]K5
+qXjFNp%J4Up\FXYp@\1TqY9dUo_/.Xqt9X]o-O,*qY0dZq"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"ORXq"jj]J,~>
++Of;g`o5Chgssp'daHUoe^W(!eCW4#e()pte()pte_0fQ#M.Vch:^E5h#,n+f`p*\f\"m2g\oo6
+gY1?5f[ng/f@JO)f\"a'e^N'te^N!od*9qbf%/L)f[\U'f$r@'f[e[(e^E("f@AL'f@A?ue'6(Y
+e(<*sdaH^tf@8L)f$i1!f[nd)e'Zaug=Xs(e'QRmf[n^ue^r@'e^r@'e^r@'e^r@'e^r@'e^r@'
+e^r@'e^r9ud*mL~>
+(\<m1s8;oor:fsZp%A%Qp\"7Uqu$?eq"aa]q?QckrVcQeq>C6h!rD`grqQNh!rDfkrVZ]m"oA&j
+q"a^`pAt'bq=b0gp%7kIpA"L\rqZQg#l"5nr;6Beq"X[]+o(m.p%%_LrV6-\p\Od`q>C-cq"X[^
+r;6<ap\OgdrV60epB(0fr8IMPqZ-JC~>
+([d@"rV-3_p[[nFnF5u=o'u;Dp\=LUo^VSZo(DeQo^h_Lrq6Edo^r.Ss7?Bcp@eIZs7QWho^qbI
+oDS4\oCVkM#kINTn*fi>p@eLYrq$Kfp\4IWp\"1Nq=Z!(p%7eBn+?GJoCDMHp\+:Tp\"1Np%S7U
+p%.eKq"aaXo`"F`p%S7=p&O`8~>
++4,#%hq?i<g!nO#daHUoeBZ=edacdocdL1gd*g:hdeVK"eCWF.f%&@)rn%;(f%0iNs4.8'f\$/U
+s4@M,f%/C&ec"!>e^i*md*C"`d*Bt]c-"8TdF$Fida6CfdE^7ie^DsodEg:he'ZXle'ZRidEKeV
+dF?Rhcd("fe'QXnda-=feC2pod*C+hf$r*nd*C"beC2moe'ZXle'ZXle'ZXle'ZXle'ZXle'ZXl
+e'ZXle'ZIddXV~>
+#EhD;`r#$#pA+Ldo_%qQp%eF[$2=;or;-3aqu$Bhqu6EkqYU0iqYU*gq#:*bq#C0hpB(0fr;QNl
+q#:!fqYp?oqYBp]q>(^!qYBmYpA+X]p\+CYqtg-cqYg4%qYU0cp\=U_r;69ap\4IYqYT.GJ,~>
+#E1c)_"HafnG;_Zo^D>@o^2;Xo(DbOp%.hLp\4RYrq-6`qtC'_qt0p[p@SCXrpp3ap\=a\s7H<^
+!;?Ed"8;E[o_J1mp%J(MnacAJo^hYGp@n:Rp\+RY&bbtnp%.hLq"XUUo^h\Hp%J.=p&apZoRH~>
+#BD"0VVB5Sf)"&2f?_[ecdL1gd*g:hd*g:hdeVK$eCWC,f@AI)g"H8Trmq,$qq1r#qptetrml,;
+cdC(dcdC(ed*U(bd+$Omd*g7fcHskcdaZ^od*^1gdF6LldF6LkdF-=cc-k(gcHjhcdaQRmdF-Ci
+d*pFmd*U+fe()mocd9tbd*pFldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6Lhd+!R~>
+#L#>.X5s<Yp%eLjp\+7Op%S=\q>0pa#Pn8pr;6?equ-?nqu-NorqcTjs8;imrqcHgq>13kr;QQp
+r;HWnqu6Enq>:'gquZclq=a[oqYBsar;6<bq>:*eqYpBlqYp@$r;-6bqu$BhqYL$`qYK+Hrqq9~>
+#KJetVVhFJnG;kbq"41Jnac>Hq>'abq"j^ip%S7Vp\+=TrUp?fq>1!fpAOacq#0sdpA4Oaq>'dd
+qYC-c!r;]irV6Bd!quEarqQWjp\+=U%/9Jhq"a^Yp%J1Vq"Od_s7cNf%JfblpA"IZq"OOVp@n=<
+q#C)=~>
+#I,I2ONHeHgA9b4hpp*#cI(&=ed'^UeCN.#f%KoR#M@bbgY1?6gAT\,g>(N@rn78(s4dM+rn7/&
+F5#6rf@AL'f@AR*f@AL(g"=p,f@AI%f$i7$f[e^*f$i7$f@AL'f@AL'f@8@"f@JR&eC3%#f@8F&
+f@8C%f@AO'e^N.$f[\R&e^N+!f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AF'fmj~>
+$2'3^e,T%6r:g!bq$Hijq"=4InauVRq=sd]s7cfoqYBs^q"=XY"SVZgrV6![#Pe/mqu$BhqtU$e
+q>^6iq>C*gq>^6iq#pQiq=saSq$-Wgp\F[]p\FUhqY9g[qYL$_pu2&Jqg\~>
+$1N[OcN!>'p[[qSoEk-[o^VA9mI9cBq=OLUs7?Ngp@\+No^VqM"S26[q=O:O#P@`ap\=OXp\=I]
+p&F[ap&+O_p&F[ao`Y!]p%7nGo`k'[oC_hMoD/%`p@RtKp@e1So\oKCp&Oc9~>
+$/KYk]C"A1jPSnoi<eH!g!nEqd*pV#q:GZ#/_o(8g>(E:g"b?;g=t<5e^r@)g>:]@g>(E;g>(E;
+g>(E;g>(B;gtplEgtpf]g&BY(fDjM$g&BY(fDjJ+g"=s/fC7Dsf@JO*g"=mOfEU$\f%8U.f_F(V
+fE'[[J,~>
+([>Lqq=*eLp@n=Vq>'g[p\FUXo_%qRqXF:jq"aa^qYBp[p@S"Mq"jpYq>^9pqu$BhqYKm\!;QQh
+s82imrV?Kg"o8#kq>'g\q#U9drqZutp\O^[q"jj_p\=X]$2FAmq"ad_q=j[^q>^6Kq>^?mrI=~>
+([#1hp?h/@oCV\Jp@e1Oo_8(Oo(2MJq"OLdp@n:Tp@nR[s7[`4p@e+Mnac8Ep\OUXp@n:Tp@n:T
+p@n:Tp@n=Vq"jg^p\=FU!;?Eds7u]irV-?c"o%fep\4CVpAt!^rqHipp%\:SpA"FWp%J:W$24/g
+p@n@Wp\"7Xp]'sGp\sr<~>
+(YDT;kMFtYjQ5LckND!hj5StPgYCWCiVML3i\'9Nj5T+Yj5K%XjQ#:Zi8<DIhr3YXj5T+Yj5T+Y
+j5T+Yj5T+YjQ#@`k2bU`iqD:1hu;R6irA!9i;_[<i8NYQi8==f!T2i7i<nN"iS`SMiSi_Ohtu=<
+hr3MNi8NYQhV\7hs52ens5*h9J,~>
+JcEIaJ,~>
+"9/>urr2p!r;HWnrrN,tkl:\^rVm*#s8W&qrVlWmrVl]o!<2lq!<1FH!<)co!<2Qh!<(LKJ,~>
+"7u0ToD\@`nac;MoE+XToDS1ZnFuJJoDeC[o*4aVoC;>?o(hnUo)&"Yo)&"Yo(heInbhnSnGr(S
+nc&%WnHJFMnaZ,<rp^'YnF6DHs7$'Y!:^!X!q>XIr:0gVipd->m-O+i~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat10.ps b/books/ps/quat10.ps
new file mode 100755
index 0000000..cc39d5f
--- /dev/null
+++ b/books/ps/quat10.ps
@@ -0,0 +1,1933 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait10.ps
+%%CreationDate: Tue Dec 26 13:24:12 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 265 162
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 147.000000 translate
+250.500000 -147.000000 scale
+% Image geometry
+334 196 8
+% Transformation matrix
+[ 334 0 0 196 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 334 string def
+/gstr 334 string def
+/bstr 334 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       122173 ASCII Bytes
+colorimage
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+U&+cas8)Wis8;lpq>BLSnbiC`s8;lpiV_C+q>@f#q>C-eJ,~>
+U%\KYs7ZBb!quB_rqQ<`l1XZArq?BdrqPIHg%P79g%P=;kP"`Gqt>O~>
+U!`nd"45HCdf%Z!f%8O+g=lASl.5CVrmq,$rn-2]g",uNg"-&MrRUr"s4Qqpq:YYtJ,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;D3Eao(]+j8=E~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[JbR.Xp\*YAJ,~>
+iR.JLq9f#drmCbormUDcnBh6_rm:kse^i:$rR_)&J_/<$qpbSqrRg)^J,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;D3Eao(]+j8=E~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[JbR.Xp\*YAJ,~>
+iR.JLq9f#drmCbormUDcnBh6_rm:kse^i:$rR_)&J_/<$qpbSqrRg)^J,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;D3Eao(]+j8=E~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[JbR.Xp\*YAJ,~>
+iR.JLq9f#drmCbormUDcnBh6_rm:kse^i:$rR_)&J_/<$qpbSqrRg)^J,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;D3Eao(]+j8=E~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[JbR.Xp\*YAJ,~>
+iR.JLq9f#drmCbormUDcnBh6_rm:kse^i:$rR_)&J_/<$qpbSqrRg)^J,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;D3Eao(]+j8=E~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[JbR.Xp\*YAJ,~>
+iR.JLq9f#drmCbormUDcnBh6_rm:kse^i:$rR_)&J_/<$qpbSqrRg)^J,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;D3Eao(]+j8=E~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[JbR.Xp\*YAJ,~>
+iR.JLq9f#drmCbormUDcnBh6_rm:kse^i:$rR_)&J_/<$qpbSqrRg)^J,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;D3Eao(]+j8=E~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[JbR.Xp\*YAJ,~>
+iR.JLq9f#drmCbormUDcnBh6_rm:kse^i:$rR_)&J_/<$qpbSqrRg)^J,~>
+iVNBIq>0parqcZlrqu<`nbN7_rV?Tmr;F2(q>9OV!;ittnb_AEJ,~>
+iV**Aq=aXYrq?BdrqQ$Xnb)tWrUpBgq"a^[]D)-rm.UMTYP/.mp\+@Sp>bmt~>
+iR.JLq9f5j0%A>!daZ^odF6One()psdaZ^pdaZ^pdaZ^pdaZ^odF6LldF6LldF6LldF6Lkrm:nu
+eCE.#ec","fqm:+g"4p/g"4p/fs]K7f$r:#qpt_uiRr_~>
+meZt\rqu9_rV?Tmr;FJ0&-)>#pAO^bp\=a\s763iqsjRps8;clrVQKip]'[]q>^3ho)&Rdq=sj_
+(\IS(nFlnSqYU<hrVQWfs7uE_q>0m^qMG.Iqg\~>
+me6\TrqQ!WrUqu?q"a^[p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LX
+p\agZpCI;pq=FISrUfd[o)J1WrV5pW&,c7uq>0m]q=O^Qr:^'\rUT^_p]C9dq#1"(nb<(NoDe@S
+pAadZpA=@Zp@RtMp@n69p\XZ7~>
+ma;'_rmUAbrR!@Je'upuf@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'
+fDO1lf+6ihg=4m,hUU34e)Sg3hV%GN&)5agf\+m.f[J^"gXY'-h!s"pg&9M:cICaod,3-tf&>-1
+f\P!7f@AC&g&BV,g=b35gA9Lif?i1Pf@ed3g&'EP~>
+meZt\rqu9_rV?Tmr;FJ0&,Q;*q>C0jq>^Has7H?enaZMfrqu]kqYBs`q#:<ks7#d_o)&Rdq"F[]
+s7mB,s8;`gnbN4^q"Og`rqZ3drqu`krqVEKqtkm~>
+me6\TrqQ!WrUp<eq"_`"%f?;"q>'s^rql-^nbr1Lnb3Rkq>'g[p@e7Rqu$9gmI^>IpB(-cqYU(&
+r;ZTep$VPRp%%YKoD/%IrVQBcq>U/Gp\XZ7~>
+ma;'_rmUAbrQt\pe'u4c&(o[rf@ns7fAGB0hU:94cgfTtg=Y'0f%&=%eCr[0gs"7%n^m`mrRVb9
+h:C*(bL>A!da?augXad/gtUW=ptGVumFS>jqq-E~>
+meZt\rqu9_rV?Tmr;FJ0&,?2$q"XUWs8)Zgs7H3bs7-!tqY^<iqtp<ip%81]s7lBdo)&Ocq>C$f
+q%*#nnc/Xds7$'^s8Vrms7cKf!r2WhM#@/IJ,~>
+me6\TrqQ!WrUp<eq"_c#&,#kpp%@tKs7c?^r:0RVs7#amq>0p^q"adWnbN(^p%A+Np]($bq%rT!
+mf3=]rp9LMqu??_s75mWp%A(TqYQ-Dqt>O~>
+ma;'_rmUAbrQt\pe'u4c&(]Rhf%/C$i7Qc7h9t!/iUPM0f%A[.f@S[.dEpP"hUL'EfDXD$f,)ce
+c/IR0gWA0thW!/>iRHK2f\"m3gthk]pY#)gWS.1$J,~>
+meZt\rqu9_rV?Tmr;FJ0&,Q1rs8W&gs7lKks8N&gq!n7mp\Xper;Q]ns7c*\o`+dbo)&Ocq>C$f
+q#UEnrpg]ps7c<as8;Zarr;`hqY9dZqYH'Hqtkm~>
+me6\TrqQ!WrUp<eq"_`"%f#Vps8)3ap%\Obqu#mTnb3Rdq"jg^qtp3ho^DPEs7c<Zp]($bq%ru/
+n*f]7s75^NqXsIKq>9gYp@S%Pq>#mAqt>O~>
+ma;'_rmUAbrQt\pe'u4c&(oRai8`S=iRZ]>hV?r5f(%?%e(<:*f\5'3hp]m%d,ERFfDXD$f,*/s
+cHaVYhU9p(h:U9*gYLE4g"4j/gY;VZpY#)gWS.1$J,~>
+meZt\rqu9_rV?Tmr;FJ0&,?2)o_SUfq"a[[lM^bYrpfmrq>L<iqu$3WrUKp[oD\d[quQ]jrqQHf
+(]3b&s7Q?js8;orq#C<`rVccrrV-*^oniVDqg\~>
+me6\TrqQ!WrUp<eq"_c#&+fbrn+H\XoCVVGjnSlJq=41ho_A7Up@n.Cq!A%LmeQhOpAk!aq%rho
+s8MN_qu??hp[S4WmJ-PXs8)H`p[j=:qt>O~>
+ma;'_rmUAbrQt\pe'u4c&(TRmdF[=5e^i7$a4fS)g[Wl*eC`I*f%8?mfZ`=#cIq%:f+uWihU'p0
+iRm2EeDK!+g=tTFgXk*1ea_>_f;[I#fRN~>
+meZt\rqu9_rV?Tmr;FJ0&,?2#WMA)Fo)JaUQ]%9,a70!:s8Dcgp?C85^&RU#pAajWquQ]jrqQHf
+(]MtSr;$B\nFZbPr:p<_s6f^_qtU*fq2,%Hqg\~>
+me6\TrqQ!WrUp<eq"_c#&+fhnUn6$7mJm.IP(o3m_XR:0qY9^Sn`83!\Gtminc/.MpAk!aq%rqV
+lhC&Ll0Ia7m.KuJmJQ;Dr:p$`r:l-Cqt>O~>
+ma;'_rmUAbrQt\pe'u4c&(T^kL4HYkcf<p(FD,iJV!utGg=Xp(dDWDKR,Q6@dG`L;f,!)FbLb>#
+bK\Dkce-e)cecmth:^H9h='%ff;[I#fRN~>
+meZt\rqu9_rV?Tmr;FG/%fZ3L?BkKdnbMO0NOIO?nb`prs8;Zhq;ok7M;HCso)JFSquHWkq>^<q
+QuHG=GK'O\%ID\]B4uSKn+lbQrVu_Nr;6AA~>
+me6\TrqQ!WrUp<eq"_`"%f,[==c`OSm.BIqLp>J0nb3RhqY0UTo\df#K\=>_mJcYHpAk!cq>^4+
+Q#0`-E5)/Jr;>['AR].kh<ak.p\k-gM>-o@J,~>
+ma;'_rmUAbrQt\pe'u4c&)#^e=?CN[f?VshBPNa>j71_3g>(B3f[dp>7:s00VU+2Lldu0i(NrP:
+3`Mg/j5Ak;Zq*VS<kci1f%&O2f_sG!g&0Qkg&'EP~>
+meZt\rqu9_rV?Tmr;FJ0&,l2$QXt:3s7ZBbXO6q:qXFCmrqlQls67gDIuB;"l1=rGr;ZZlq>U7,
+rkWA>QN-dSrVu[iC8ohLq>^Egqt]f>r;6AA~>
+me6\TrqQ!WrUp<eq"_c#&,>YoP$i4tqsjFOVp+l&p$h\cq=aLYqrGk1HA75cjR2p9p]($dq>U.)
+qn-N*O8AG9pAa\VAYdc:pAb!aqt]f>p\XZ7~>
+ma;'_rmUAbrQt\pe'u4c%bf@kF@&jQh:(',M6>LXnCJ3(gXt-6h8ZKc>\Ik@`mEQ-fDaG=gn.._
+F5GKsg>ga:8;=LlfAP?5g"4ULfDF7tg7$^lfRN~>
+q>BIQs82ios8)inqu-?lqu$Eks8;cks8;lpiV`6C&-)(Wm;d!Rs8VTgU&=f[s7uTgq[`_ss7QEh
+rc25"s0-:ao`+L[(]41'q>^?dqtfsbML]&gnc/XHV5ICIs8;cmq>'sgrseDps7H-ds6]j_qY'ja
+iV`NMq>BLSq>BRUJ,~>
+q=s1Is7cQgs7ZQfp\jdep\=R`q#C*cpAamdpu1u;p(.2dgZE9^Zi'X`s-iWQmJ?YQq=Y?qlMU)G
+o_3-#K)DTYa6ilspDE]%o_JO^o_.tHre#JuJ*Qq1fUea6IfB'>q#1$eq#0ptrVPjSqsO(Os60CR
+p$qeMiV30Cq=j.Iq=j4KJ,~>
+q:"QTs3gqrs3^qqdf%PpdaQ_Ff`0S#f)OA$f\tHPedpf`^<',?QJ^KAidKJ2d,"NLq:6)4cJ[.,
+f\91]B&JY>X3onqf+lZahUg6/f@&Vl?Tr&JiT._+L,EDurn7;&qUPVts4Iq@hTXa5eCiX<bMUt)
+eCrUOg?I;dgA0Fdf_O4dfRN~>
+q>BIQs82ios8)inqu-?lqu$Eks8;cks8;lpiV`6C&,H*as-@5lrr2f^_Ys9-qt^0cq[``#s8Vlo
+c<$5+s+XhGr:TUX(]F7,pA+^frVQ;6dnYDmo]jN\F&BpVp&4ddq>'q!o)Ja_s8;cgl1P)VqYU<h
+iV`NMq>BLSq>BRUJ,~>
+q=s1Is7cQgs7ZQfp\jdep\=R`q#C*cpAamdpu1u;p(-`dM><3=SbMmNk.C?Wp%8(Sq=Y?pn,<+Q
+qSuEkoDO/>jn8'3pD<]'q=aOZqtTmTEm.$ts6Sa]i+u'%s7$!^rV?EerV$iis8VTbp@[t:nGiI[
+pA=OAp\FU[pZ_DIpZqO'~>
+q:"QTs3gqrs3^qqdf%PpdaQ_Ff`0S#f)OA$f\tHPedg6^Cts%sJD/`/ae%28f_F(oee$ZdiSN,A
+X#+eIiF=pjg!SLAf,3#fg>1K9e6'".@-H.aVoDUhUZ9hVg"4jOec48$falHjj3urAgXjKpjP\\D
+hUqYXl.Pmdq:Y#bq:Y)dJ,~>
+q>BIQs82ios8)inqu-?lqu$Eks8;cks8;lpiV`6Cs7ZtgptK)=rr)lGl2UMXpA+X^q[``*s8Vin
+P[`8=rEP*WQeV'.(\n%.oD8LcqYuqkqc[8)rn#Wg865Qdo_n[cq>'plrpKg\s7lQm"oIuer;ZWP
+r;$<er9=+Sr9O61~>
+q=s1Is7cQgs7ZQfp\jdep\=R`q#C*cpAamdpu1u;p(-Z\NUP:pMtQ`;b2E$^rpT[Wq=Y?ooD&=P
+onlkrmIO5'pPm\mpD<N&q=+.Wq"=HFY4GFdr:A7XkWr&:s6op]rV?EerV$iul2C/Oo)&7[s7YsQ
+p\ORAp\FU[pZ_DIpZqO'~>
+q:"QTs3gqrs3^qqdf%PpdaQ_Ff`0S#f)OA$f\tHPedp6WE72-QDV3RqXi&l?iR7PRq:6,4f\PT9
+g2B-[db$KegiBmWo%+o1gt9s(gtLE<GF.)F4m:_3[*^6Zg#CH5g"4j+ec!tsec48$fall^j4EGI
+j58_Sg!eL*h:VPWl.Pmdq:Y#bq:Y)dJ,~>
+q>9CPs82ios8)inqu-?lqu$Eks8;cks8;lpiV`6C&HCnVp%iZWs8Vf=qu?Hkp\jsdq>1a'rql`q
+hIiYas1rsOW+Q).o)'<ss8D]jqtBmKJ+N2F=8qgLs.Dc-qYg9hqu-?dr"&esnXH?$pXA*rmf*7\
+p&EG;l21;Slhc2~>
+q=j+Hs7cQgs7ZQfp\jdep\=R`q#C*cpAamdpu1u;p(-uThsBlHFnbUs`q&ups7#jYq=YBmo^V_N
+e6SO:os\i'Sm;<ho(Nskrqc9`q!n%7GjFU$9_7K#qj9Kho_A+Xq#1$eq#0ptq<[F4T$$TJg[j\*
+s75[XdJ)o!q=j4KJ,~>
+q9nKSs3gqrs3^qqdf%PpdaQ_Ff`0S#f)OA$f\tHPedpQO_U$_)=PDHTWR]hQj4!hUqUQ82g=b'5
+gpob$gY//rc@\FDg%*`7ceI.%g"4a+`Eq'B9/thY_rQ@p>h[rbg"4j+ebmnrec48$fallad<gVR
+fsSZIbhV4.e):&Ug"GWBq:Y)dJ,~>
+q>9CPs82ios8)inqu-?lqu$Eks8;cks8;lpiV`6C&HCG`s72=cli6;7rr;lqqu-Bhq>1a$s82`o
+Uf6RYs6Ol9PPk.Qo)/Ob(&Ih+q"as$iU?SIEUVHLs'/:6nFuq\qu-?dr;Zd+m@Kk\B8<[TATuH"
+s6nA5l21;Slhc2~>
+q=j+Hs7cQgs7ZQfp\jdep\=R`q#C*cpAamdpu1u;p(-rFs8V>??K1tDht?s=qXjUXq=YBjp$qVP
+RRuH5p#9afM=U-/o(W1Z(&.LuoCDdbg>q[!B&q,#s&;FulLOcLq#:'hqYU'fpCI6&kEqTD@=bD<
+?ZF0es69CRf_=Y(q=j4KJ,~>
+q9nKSs3gqrs3^qqdf%PpdaQ_Ff`0S#f)OA$f\tHPedgH@ioA7!6,hg%_V!esh>#Uuee-Qdgt:<A
+JM>.&grWGWE7r^no%3ol*7WNke(3EE^s:Xu<785+l9-bmd+-q)f@SR'e'n<Es3q"u&_G^oiluq%
+85!ZXF@B96k2t"dg]6']g$./bg$@:@~>
+i;3KNs8;oo!W)]lq>pKkrVccoqtpEkrr(gRnbWdbb52/<RqfD3kPtJ[s8Munr;$4$q>^KomqcS8
+o`+sUc1gl,rUTk&s7c<cpA4gbYQ+J!;-^0er7k=]q>9marVQQhq>:cnrU^'hA7kl;o#"ID`;TYn
+r;$6cr9=+Sr9O61~>
+i:d3Fs7lWg!VZ9dp&b!`q>U0hp\X[ap\ssHp[RqfkJ?]dqiYBiptki<s7Z*Yq=j^Y&F]Dfo]9Od
+q<IeUho"jHoChbL(B=%"q!n%Rnu2ERogVfOht5Dn=nD=Vr:p<fs8)Wfs7[&jq!J+]?=<d(m(H2,
+^A%Bup?;8HpA+IIpA+IKp4*~>
+i6hSQs3q"r!R]?od/qbFeGe,#fDF/!fDaF]fC@E&b,!PEhK;5JgVM[rin;r:q:GJo&_PUjh:p.F
+6K$8Lk/OFNdF[(Bf,`\pdacaqhU[_IgYjtRNm6Ir2aZ9ReCrU-e^`-trR1_ps4./$&'s"Zk3,9,
+k1e=Z2,'h%h>5q,g?RAef_O4bf_O4dfRN~>
+i;3KNs8;oo!W)]lq>pKkrVccoqtpEkrr(gRnbWmFeb\t=_JkClk5YAZs8;lpqY^0d!;c]p!jkk#
+rr32as6]jdnGVqU(]X.,rUKpdaN3`Jqd`Bqs87p[PlLdXs8Dinq>'q!qu?Q^TLY^Ur;QLqA&nWF
+iV`NKq>BLSq>BRUJ,~>
+i:d3Fs7lWg!VZ9dp&b!`q>U0hp\X[ap\ssHp[RqeaNX2@s1)cng"lPsqY9[Wp\FLonG;kOW^rQO
+q#B+Dj7`N;p@@qorUB[Zm/?Xo_;tUb=[AAQoS68%s82BarV6Egs8)Wfs7[&ts7PWF6(@iHq"%Hj
+_>j-'p?;8HpA+IIpA+IKp4*~>
+i6hSQs3q"r!R]?od/qbFeGe,#fDF/!fDaF]fC@E&X0:%!j.&_P]YNCTh:pN7q:GJo&_PXmh;",G
+JDK,F_V`Mlk0;TMf,`Sif@J1%g81^llJ+l_L@!f<4*B`Fe_Sp1e^`-trR1_ps4./$&)$$ud=a$(
+jkekI3^]h-g%sM(g?RAef_O4bf_O4dfRN~>
+i;3KNs8;oo!W)]lq>pKkrVccoqtpEkrr!<(qu$?hqu$?hqu$?hqsXG&qtg3dqtg3dqtg3dqtg3e
+ZMFP#o`&<J^Z>.erVlfsrVHHgq[rc%s82_E:uD0Mli7"Zs8)coo)'F%o)Ja[s7)6+s7H8:FSYt7
+@ReW9qY1$fqu$Bhq>:d'li6us=o\9so`%rq[f#s[r;?EnqYU0cr9=+Sr9O61~>
+i:d3Fs7lWg!VZ9dp&b!`q>U0hp\X[ap\spsp\=LXp\=LXp\=LXp\=4O+SPR'p\+@Tp\+@Tp\+@T
+p8d]ZqWn/_Fg]rjo(2YLq"FRYqXtNoo(qnIG"1$PqVhJMmJl\Pp@@qpo^2\Vli67-eGne(E,"\3
+oNFGtnFZ;Op\ssdq>9sepCI;cqu9u#qXXOOs%lUtp@J.SkkG#K!r)E^q=j.Iq=j4KJ,~>
+i6hSQs3q"r!R]?od/qbFf)F>%fDF/!fDaF]f-&Yof$r:#f$r:#f$r:#f%,l1h;-B:3`qicdb!.-
+g=t<WfD=&0f[f$6fj-2Bf\sp6i7-o@hX]>@f@8('grna'E4Y8`hHX.:j533QY1VIYin)f4e^N"G
+df7ereIpKeilgBI8O)Cnk1JrY4.+mZhYZ(/g=cDUpY#Aoq:PMrl.Ggble$^~>
+l2'B9q>:d#q>:!bq>:!bq>:!bq>:'br%J'LrqlNerVuWdr;?Nhp[eCUqt]j`s4"X[r;ZflY]u$#
+s8VZiqZ$<cqu-QprVHNk>l4Bpr;Q`gs8GNJnc&RgqtKses8;clrr)clr;Q`oqY^BnrVQTjqZ$Td
+`)Gguq#?;pnGgU&@ep'!rVucmrquWgqu-Bgr;6?drVucmn(Ulks7--aP[\b%oDederVQEg&-)Y-
+r;-6crr2rqrr;`_s8;`qq>:'br;ZZnr;QZjr;$6Mr."~>
+l1XB9q=aXY%J]boq=sd\q=sd\q=sd[pb2L@qY0[Uq>Ks[q>C*bo^htOq"aFZr6_nGoD8@PVJ^nP
+s8V<_nG;YFo_/(Tp@J:V>kIX[p%S=Ms7\d5lM(2Oo^MJJq=XCQp\+:Pp%S:ToC_nRp@S+Nnc/=H
+\k1]WmJDIKjnZ_[>4VU]pAO[Yq"XRUp\FOYqYBjXq"s^VkL3(GrTNkALfnEQlhUMQrqH9as7['#
+q=s^Wo_&%Tr:]pcoBlSUp]C9dq"a[apAXgcq"a[[p>bmt~>
+n^70]l.#O[q:Fl]0A"k.eC)drg<n=!f%8Buc.L:ke'6_%Y*@Ykh;Hb?;eFVCk0N2AiR??/g"Y97
+f)F<0f@JR+g>:<@h'Qsbh;R8Ff%Js<gXt36g=b-3gYLQ7g"bB:f\>!,j4V\L0Z3&)j_LmDj/OOq
+f](H8i76H1e^;ale'QIjda?Lqh:UK/^,]]jfB(q:86F<mjP\nMh#?"-g&'>"f+6Tgg=b*/f@ea-
+eCNI&b1ugEq:Yf#rn7;)q:YSrj4Sq~>
+l2'B9qY^Bjo(i+Z%J]eus8W#lp&4^\pA"OaruUb.p[k\BCQ8&fnF?OtBYXT1mf34brV$9koCN"^
+q>UC1p%SLdq#1!bq3K+ts6oses7Z*^s82`mr;Zfo"T85sr;HWp(]=<QE*Zq'hZ*W$s5o5I:LBX&
+oDeX`rVlg8qtTj\qu-Hiq>1!grVEZfDN^TGDfiP\rV6Ekr;HNgquZZirVZZsrV-0errE#rqu-?b
+r;ZWrqYBs^q>C'cj8=E~>
+l1XB9q=a[Zs7l0\q=kEkpA+U_q"4+Qq=jUXqu6VEo)&1RY_-VEmJlA4p:FY=s4lZ6nbi"Ir;5jI
+r;Q9arqPpNqtfjVnauC5_=INfp](*YmI^;Jp%J1VqYL$[o_%qOp%J1Sp[\!iAlDfTeG/pYo\4n!
+86D._m/HSJp\Od_p%%YHq>:$_p%A%Tp@"b>@YU%l@q`",naQJUpAam\p]U3]q"t!gqZllco_\Rb
+rV?EerV?3^s7QQfo^qbNp\FOCpOE~>
+n^70]l.#O[q:Fl]IF6Npf\"a%cI^Omd*gItgtL!&dE[VT7;(!,b08V77@`M[c03pEg=+s9cd1M-
+e_]9>dF6t.eD/[0fQF+Eim-BBi76<1iS*&AhV[8LhqHf=gt^Z>hV6i;g7_/#5@(n\jfRCYC-O=7
+H^<%<e^rF,g"4Wsbg=efeC)b`e_&g8gQ*j_G_Bs9>bB[-h<3_QgtLK8g"4dRe,@f/e(*1.hVI#B
+e]lOqg"P02e^aQKpY#T!"4u,TebRnof]1Y8~>
+l2'B9qY^Bjo(i+Z#QO\rq"t'ir;Q[+r;--YnbVnXnGf,$D1Be-rr6$_V""E[s7=C7J[aY=s8Mop
+rq?9[hr4+oh8/%>s7G["^Y\GSm+'+paN)EMhX't4qYU<mrqH$XqX=Iao'4N8_8l3Jp\=dg`4a[@
+`S:FkrVuikpA+^f(]+%-rVQEcq=FXdE+/V1gV\_Nh#IEIs8Dloqt^-kqYU3ir<`E!s8)comIgMK
+rVQQhq>C9k"oJ/kp@\(Rr;$6Mr."~>
+l1XB9q=a[Zs7l0\q=b-jp@InLq>'gbqeZ*&oC22BnbqkSS8W+e_t3g+r8*n)qsXRK^S,kUg].<J
+o_8+Kp$12`lKHg1g$8V)jheOZkjdc[^V7P"_TLKln+6/Cq>C!Vm-jQ-s8;*=`3m(flM0`5rr0I9
+beUsBq"FFYp[[hFq>^I2pA+U^p[n(Lm/-Ng<q#"n[s:itrVl3Zrq?Bdq"Xm`!ql9]rqHfopAX^[
+pZV,Cli$VWq>'dbp]^BaoC;>=q=j^Yj7e'~>
+n^70]l.#O[q:G/eq:>l*f$i+!g"FpTfQ,Qmd*9b`cJ$FqGt^\1VUjYciPU/iin!8?WJb)I^>n8-
+f@ns,fZh%Ac-*Yj^X2,lbG_#GcI^7HV51#dW3EtYe_/X0hr<JCdad$pk2Xe.X.5cWdGia/kiee5
+[AKb2gtLH<f@&$pfA>?2e(*("e/Qrhdc'4`7,?8,WG=l<mHiQei838Cg=b02e^OKIs47>&f%L&V
+$/*tfeCiHpd+Z\=fD4,"g'--\e^Msoq:YSrj4Sq~>
+l2'B9q>:6ioD&C`q>:X#rqlNeqYU-\p%eRcs&&diq>KCSn,<:cq"smckl:VOs7W=DH\V4je[2KY
+QA'p"An"kHB4tX`DHp%B;b^e)?tEq]@pN,;<`WF5@U3&ADL[@tQ)1_Nr:g!dp%8:`rVmN#rVQKl
+q>UEonbE"Zrr<#rp$VeU!;uin&-)7C>'U#Ao^&;YFSG8(n,<1_qt^0irWi>pq#(-hm.^GX!<)ln
+rV?9e#Q=StqY9gXp%eO]qr@U)~>
+l1XB9q=aXY!;Q0]!;QBaGl7C2o^qhMp$hPGqY^<iqt0UYiVi->s7c!QnFPN3oB5o8S9f.$lh&K)
+VkT6$HWsi];,gq3=C,W?8lJDQ>u=a2?X?u<:Jjn`<*EL,:fh:SIY3ZPWT!F8meH,5s7H0^pAF(D
+nFQSJp](3WnauMKqYBjRlM(;Q!;HKd'E@F5:Mo[jkhqb)B^Fg[kP"WDp\4I_p]($tp@@hLq=j"?
+rVulss8;Zjq>'aiq"OLToCDD?q=j^Yj7e'~>
+n^70]l.#O[q:G/es4;_Qf@ed/fA>35eCN1&e^)RlfA#$6f[J=&^>-i`iS)`1e(DRofZrC'K4J.s
+db(gdMM6(Z?9U\>1cIci4$lY'0KCm>6T74t779I)2)dBM3^>tn2Eac@A8-.=O3$#(e_eg&k1ekR
+i9&DAg>(fDh<*bEe_&O.g>(9*a41.>s4@;''A;NrW&n/?gt9u.6<MsglHnDCgA]e*f)aFNrRLr"
+s4In7eCE7,fu_b&jP]%Vg=c>Sq:Q#,g"=p,eC)e@g%j:\fmj~>
+l2'B9q>Bd[q>:9hr;Q_(qY'R]s8Dcep@nCXrVuoiqu?'`s8(R'ak+)'EJ@\EI<]^GC34iA?YP(?
+J;0#DOHlB+SY;^SS"$4MURmm?PD4@6I<]mUD.?aL@:rnF;-."0=_`PNS#X9Clgk)UrVZZso^VbV
+rrW2urVca*rqlNequ-Qpo_4MY^A7d."klXR`Vfc6r;HNgr!rN!r;6Kns82iro'cVYo)/C`q=jgd
+qu6Hfr;$6Mr."~>
+l1XB9q=aXYnbDqSH1^k.rVH3Wn,N@]o^VJBo^hkXr9s@WkkOrCeBYkSYFoNU;/pYoAn,=fF_Fld
+H?XXaKntSGQBmo.S"c47T:hdDP`h&XFF8=SE,K>q<DZq0=\_Xg<E2e$GD;3O[CY;ZpA"4Pqt^*a
+m-4*?qY9gYpA"I[qt^$dp(R5tqsEm.=L7GkrqOf*:V-)lp%JCZp\=d_&G,VipA+^cpAb*VkPY/C
+p@nR]rV?3^rq??aq=j^Yj7e'~>
+n^70]l.#O[q:G2fIb39+g=b35g=b*2hV[/@eC!:3g=4U!eC<%$j4r&5hTFU-e@2]XZBU&:@lRRo
+=%u1S:fp@P79s)%@VBOnEHuhVIt!)sH%L["I!9^QA63,B<`;jg5r^Yb76E:X2*3o[8RZRaM4^Td
+dGX$>i8s%[imlK0jP\nLg=b9:s4n[Lf@AL*gYL`8eo=$Ig?%\`]e;IEgZ$uCg=k65rn%%ts47h4
+f\+p4iSW>Mk0q]:hpC'1rn78%pY#Purn$u!q:O`\J,~>
+l2'B9q>Bd[q>:BmqYC$frr5+Rq#16mrV?0dn+ch.]r[?(EbJ`uLS9lYTN#p8[>pIDrr)HZr;H?a
+p\k-lp\Y!joC_nQq>^?]q#1-grr5Lbq>(!hs8Mlfq!?D9V4*O"I?0.r;b^J'E*-RVEdE>@_>"!0
+p&Fg`qYBp\q>UEnqt^'crVlcbs)VK>s8)-_Zr0]en,NFdr;HNgquQKgrr3?(n`#4DFK"Btp](3h
+rV?9es82iorquirq>C'cj8=E~>
+l1XB9q=aXYnbDqSHhR.)pA+[es7#XTqu$6]nbMJApWU.FMHOY#<+p`ILiSeRB;V_^M=1-3m-F?<
+n+#o@s82<Xs8;<SoCDPOp?V>Fp\4Rarq5pUq"t!bp$hS9bcmb*Mg9>rHsB3/:fM"#=&`gNGGi"?
+s7l!XnalACnaQ,Dr;$-\ob7)pq=s4SBN"0on)F5D7mu@uqYC*ap\=d_'CbbnqYL!RgjEpST],J3
+s7c9_q#1$ap]'sep\spfq>'d\p>bmt~>
+n^70]l.#O[q:G2f!8%&#HeI''g"bNGjO;Z5h;6l:e(`*sfrgd#D*1KY2bRS,D-)'=:5tERE73In
+cd(1rdaZb!ini/9j5885f%&C0g!81'g=kEBiRlc6gYUiCf[JEoYEOT`EFW6kAk"O,3^-=u5sA.K
+@?RG=ki(+Qf@ej0e^i=-hqZo;fG*&ogtU0;;EWLlg!8cG1G6nqi8*,dg&9P"ec457db3I3h:p8m
+B3AAqbM(Y3gtLH7rR^kus4IA)rn7A,q:YSrj4Sq~>
+l2'B9q>Bd[q>;<6qXaCXrV#XYr:/^gZ_*J4BP2%"CO(DYT;Kj!p\Omh$@S#0WhQAPa7oW3qYq!"
+oCM_Vs82ils8Vilrr3)oo_%qUr;uonq>UC9qt^3gp&FjfkFb[[eukWlJTYa9<*W.'A8lL^aPH1[
+rr3l5q#(!aqu-EdoD[*GK)bc8jb%&AV"Xi^qu-Hkqt^.#qZ$TnqYBI2Na$P9e_BTmrVQQhq>:6i
+rqufps8Milq>94MJ,~>
+l1XB9q=aXYnb<+YqY!GWo^2,@p[IDCp$15KXI+um@:3P[A9)p=R@qR]nFQMRq0%U`URRm4_!q0m
+qYg3cq>0mWm-O6@qY'gYr;-!Zs8Vrcn*olFpd4`Jo_SUfp@S.Sn+uJFgm(?/bG1;@G&(Me8Q8,Y
+>\If>^t%K;s8D`ao(MeMp\4@NmJ"_)GlI9ng3?^jRdC(Co_nO]q"se!p&"[]p%7CrKi2WjcID.S
+p\4IXrV?9`!;?Eds7lWiq=j^Yj7e'~>
+n^70]l.#O[l.5phqV4U#g=+U-h:Bd+g!7:0OF2%R779U@86/quH%;d5e(3@4h-+ZGM1L@tUXS#N
+h;I&Dgtg`8cd1)!h:^Z:hqci;ioJqFdaQ_DgI9iKfA5KHg"5!4e`>HCaFQ*4[uGi??rBNY1I!QY
+7oN9;WP6U4jlYFTf\G06gtg`:e(q2l?fft_`*u%gJ^`c3f\5$3rn%,!rR_)&'A)'tg=Y$!\o^;A
+TtJ4ki8!&>g&9Ouf`9\(g&Ke+g\KOuf]1Y8~>
+l2'B9q>Bd[q>>O<qYL6llbK'ZMKE6,=C>cnPI87,q>C0`s7Q-_s7cQhq9O)rE0\iHqu$BjrquTi
+s8Mcfs8W#cs82`crqHEhrVcWks8D]hr;HNgq"ad^rqlB`s8MWfrP`VU=afi=s8DutpZAloXd<mF
+=BJg0>\.r5Z/GZXq$-]orqZ*LbPmP1XiAJ?JX5<qrqufprVZWkq>:d%s8D]hs8V]fJ7a!t@)i0D
+qu-?Tr;$6Mr."~>
+l1XB9q=aXYnb<+YqY"h&o^r%XjgpeAK5Fae;-@:RN39blo(D\Es6oLLq=+=Qo#PUVBo^@,o_%nN
+p\"+Mq=jCKq>9jMr:]mQq==@Tq"XRWqY9XTp\=ISoCV_Jq=a=Lqt]XOo"&:):3,Lfp[[tMmG+bI
+V2o2&:f&96:K1V7JuRDuoC_hQq"*h4`/',$UV+?lG)Y)Jo^_nQrV-3aqtCTqr:ojVrqc$QG$SuQ
+=hjq0s7lThl1b#Ij7e'~>
+n^70]l.#O[lIQ'igA9TPhqHfCiQImBG%XZ81Gq<`?Z;1"jOW#:cf*3tf%ea3f%-ouSkjI2e^rI+
+g"P*/f\G30eD/p5c/74.dG3:-g"Y97g>1N6g"P36f@JR+fA,'.f&#32hqk;,3BCKpgu7&Fh:0?*
+RZMhl<BE3(3'B`0CQcNmgY1E=hA"Yjb,T>qCl5!bB4,eqhV6`@g=b0WfDa>!fDjM<g>:T7g#:c;
+iG)+p0h8>(hV?i<g&BUfg%j:\fmj~>
+rqufnpA4U^q>Bd[q>;oErr<#tr;-3eqYL3ks8N&sp@nUeqY'daoD&@brVlQ;\Y5%.@pEJ^K9rX[
+lMghZrV?@.s6oi?VUKm&Qhp=Ks8VierqcEcrr;uor;-<dqYpBlqYp:%nbiFap\Od`qQbBo?AE_(
+oD\b_rr;Qhs82Wjs7P0fY*3j4?=I>JG)`l_p&G!drqHHis8Vclr;Zfpqu?]mqtp<hqtp<irquWh
+r;HTls6p![qZ$9hcWZFAo1tJGrVQQhq>:<mr;6Hh!;kIIqtkm~>
+rqQNfp@e=Vq=s4K0DPA>qYBmYoD&"Oq>:$aqY9UOr;QBZp%[qFqY9g[n]A,,LiQd%>\SSIUqu*c
+qt]pdp\=X[)#NUlJt^J5?]amGnbN+Pn+ZGDo(W"ToCr+Vq=jm`s7cNd?gdagq"4=Uo^\nsEDq7#
+p?;5Kqt0pPr;#sSp%[q(^SZp'=&rL-<cEo"f'iG/oChYInFl_Dq==@Xo'uJLoChnPp\=OZqYBmY
+p%S7Vp]'OYn+?YLqSl?eZ0Y#<pAXgcq#C0cpB(-apAOXap=]3;p4*~>
+rmUnqp<i]cq:5#bq:@:Pg"P05f@A@&e^`@-g=b34dF-h,e^<"'e(EU8h;6beR=T6X6Td\0@!%4$
+a4oMJg&fsZec","fb`Jgfk#iA=[I2\cd^b-e'ct$eCE:/g=H)Qq:P]"s4I>&6-n9Ag""a.g>/$"
+?U8F.imcuNjkJqDj5SkJhVm&!W/l%"6:"%.5$2cj^";6#gY^ZBg>M&Aj4WALf@Ja4f@\aTfcA\s
+g"G!-e_/[1g#UE<db<j7ijD1!U=qMKi838Crn7>'q:Pi'g"?8T!8,uXqq-E~>
+rqufnpA4U^q>Bd[q>C9g"o%ffrVuosrVl[;q=jgerqH$Yrr;fos6?e@H[U$K?Yb=lde*;5s7uNk
+s82Wjq>;*0r;Wa<k3o'NB'''mli7"`qu?]pmdgDUqYU*brql`lrqS\Qqtg']qYpNpp?u=cs,HmT
+rUBCIs8Vlnqt^-hs7u<_qu?]ph6E#^B3JANMm1:hs7Q'anc-u8rVH?grr<#r#Q=]&rV,mYrVlg0
+rqlNfp&Fsdnc/0/NrSaCA#0/'qu-?dquZipqu-?kqq:oEqg\~>
+rqQNfp@e=Vq=s4Ks7?KcoCVhTrr2]lp*')!p\O^Vmdg2Ro_JOJWIAu6DdZ^ZI\=pRnFu_KoD8@V
+q=Xj`q"se&qtL)cDrKuQ<aX_\puM>Pp@S1\p?1c>p\O[\p\ssfp\sknp\=LTo_87[s6AWBS,S$.
+rpo16k4eQ:p[n"Jp\44EnalSUp!p$uD.?UF@tgr"jT"N1oB-%ko^hS@oD8F^p\4IZqtfsRo_ACb
+rV?0Zp$i"Uo]uMCFbTh\QX$*]rV-<d!;ZHb!r2N`rUg0ag%YC;J,~>
+rmUnqp<i]cq:5#bq:GYr"k(lLf\>9^f`'GFeC)t&g!\0og#:Q?jiWWp>?t5u5>,OAZI77Wgt(*6
+hq7eZ!nl2UrR_)&(Z!d'LJl(8JN6'5hV6*-j4W&>j4VT#hYGk#f`'S(f`'J>f\+p-e_&[6m+ToT
+MsPE;lJBk7c/.7+h>Z..i'lAMg>(cRi4tRu<D#D895Tilc03[,h9bGjgY13-f\bZEg=b69hV6T-
+eC`U7hqQf7f[Jp8g<o!4A9RFqKh70dhV?o?rn.;'q:Pi'g"?8T!8,uXqq-E~>
+rqufnpA4U^q>Bd[q>;oGrVH<`p\=R[rr;ils8W)urqZ9bp=$+<Ht$Z3Oe/#2WQ=H+s8Dros8Voi
+r;60Wr#"r$s6XF,s7FB:;P!"NrV?KnrVHNns7H6cqt^*fqu?Nlq%<T$pA"IZqYp'cFBmr#r;Z-]
+rr39's8W&srVH?err3#urVlg1qt'j^f<UHZ@Td)QXhM,rFGKSerr42?pA"[dp\+C\s8V]`p\+=U
+rr;umr;$B]s0kn"ps3;@k5G8UrV?9e!r`&orV?Nkg&1aEJ,~>
+rqQNfp@e=Vq=s4K0DbJ:oCDJDo^qtUp%J@_q>0pZnb2LuVk/*<?uq9pQ'S5`kPP/Oq=a^_o^hhN
+nG)bUq#C(*lhC>@@Bok$_,O'ni;`NAq>0gVp\jmUp\O[\p\ssfp\skmqY'ORp@e7VlM>0jg$8,,
+iUQpHs7H0]p@n:Po(;bWqY0[Xr;-$Ps7=^BM/HQs=CIr1W-`6+lgalPr:9=Hr:ogPo_JF`mdTf;
+nalSUq=F=OrTX?e8XSte=@M-Fp\jm_pB(-apAOXap=]3;p4*~>
+rmUnqp<i]cq:5#bq:@:Rf[\I!daQ^sgYCE5hr!2DgXaj+e$+[[>!PGUDgZeTLSi5NhV6i=h;-Z4
+g"=aKf`9Y%ec45;c.Usr7$Qc\Uc0oO_rKG#gtgZ7g>L`5q:GGnrn%2$rmbQ4e^Dste^iO-lrlZr
+f\c&?h<=(bgY^c>gYCE5g>CuLh;7,Pj5/>KfXR,`<(&f89TGa0B3/csf])&Rg""^6gXjs.gu%&:
+daZape_K-=f%es=cfgiXLYfC,1<e_6gt^W;p=TN$g"?8T!8,uXqq-E~>
+rqufnpA4U^q>Bd[q>:<iqu6Nn(AIe*p%SLdqt0UD^6O%`C4W)/o^M;Irr3?'rVZHes82irrVlfr
+nbiFe($GV<g@bLGlu>pDfDkmFs8W#kr;Zfmqt^*fqu?Nkq*t)Rrr2Zbq>\9@e,@A+WQ+c+a7nfH
+r;-BlrqcEcqtp*Xnb)h[s7>mUp\=OXpU.VJ?=[>lL9JV^s8Voos7Z6brVcZlrVlg2qtTs`r;ZWe
+q#CBdFDU[N]Mt-\K`1fHq>'pirVZQkq>gEGr;6AA~>
+rqQNfp@e=Vq=s4K0D+u6r;HTkqXXFUnFHJTp@%P0\WCuLAUL#pn*B65s8Vujq"OCQqY'd_q"amf
+qt^!`q#C*grtXPn_q"8VqrMQcCXE+VnG3"TnFc_Yq=sd[rqQNfrUsRhpA=aZo(;ge=3'jD\=U>#
+l+HE?an#&sq"OCMo(;SClKR^.qu?*Rnal>BnaW`f?W1*)FF0gri;!*9p]'aRp%S:Wq"asiqY'OP
+p@nLXnFHGQmVZS's0PO]jF7(%rV63_!r2N`rUg0ag%YC;J,~>
+rmUnqp<i]cq:5#bq:?e>f%Jj7h:pZ5g=ap(h;?l4e&%Sp=A24kI^@GIbM2(<h>Z+@e_&[0g>1E9
+h;I&@f@ed/f@edQec45;j5S#;VRY+9hT/DD::'!8e(ij5e(ER9q:GGnrn%2$rRE@Fe_8a+dF[Z_
+9=a)aW/RY.e#(X6Y1M7XgY190f%Sj.e'ch'k314AeGe,#feSqd90l'6A8.(!a5>e*h<*;@gYLfD
+hqmGQgt:0-g"P?9f%Ap>elGZ&lCU%\c=Yqgh#5t%f`Km\f_sD%f\+sTfRN~>
+rqufnpA4U^q>Bd[q>;0,qYL*cq"FC\qXsacqp;+1J7N5=S%6iEp%SFb&G5Sdq#:9hp@e:Xq=aLU
+p@RnP)#F:+s82ikrUKpaY&74Wp&Fp]rr;uorVQHeq=ssbs7lTf)YNh#rVQ?as8RG!WL^kbF_Tsp
+FK(()jnS]MrVlotrVZ[6p[\@ap?q>>qu?K^FDZAVJ=(FpBPr-\^?,1iru:n1q>C$^q#(0lqtBd^
+s8VNe]2P3hmCc3PRY(M8rV?9e!r`&orV?Nkg&1aEJ,~>
+rqQNfp@e=Vq=s4K0D+r1p@\%InG;bEo`+R*S="S-??ML<a8YT!r;Q]ln*]Z9q>'^Rnb)YMoCDPF
+nbDkZq>9q(p]'j`q#C$^lMgCQB2-)-s7G^QrV,pYq"jg^q#:*hq#:"+p%J7\qtKm_rGQqOOgTaT
+?J<nCT70kso(;YTq#gEdpA=jh3r&11s8DQSkjA'?n`aarDg$5]Bjk:WDi(pYoD/Cap[e%PoCDMI
+qtp*Wnb3"Zkl8%bPNh2:7ba/TrV-9cq=ascp\+RY!;>+?qt>O~>
+rmUnqp<i]cq:5#bq:@XVe^`7$e'ZOuf$W+/f;sIK>X1SWGEo2dd+$k/hV?H(cdg_'e^MpqeCDpn
+dF-=le^r@'e^r@%e,@hsf,*#reDAm=f%SC-er!'RT[DfOd+[F3f%TrOq:>Pss472"?dmNWgY(-.
+hX"`gO+X9K=A$TI;hejG^XCW_g"bB;gY1QIk2kIPdc936c-+Slj4r3e;."!KHrWg09j)P0`nTJ7
+jl+qMhq$<-g"tT=eCWL;i6^\Y213itSh@p.@f"j[gA0D'g=b-Wf)XIVg&'EP~>
+rqufnpA4U^q>Bd[q>;?7rr)cmrr<#rs8C0"ASHRSYiPiaq"=[`nb)bNo_A.Zs8W)trr`/rrVlcq
+nbX0jn,N:MrVQNmlhp_DP?Nh2s8Vros8VH_qYBs^rqZThrV-?gs7[H0s8Sm/LQ^ZsZ"qAZ[<M<3
+Pi;Z?q"ajfs8N#ls7SMLrr;T_q"jpbq"Fa#Is-7.K&lseXGV.6>ZYd(_X%7%qtL-fp\4L]rVZTj
+s8DEdK2:%ts5-n!Eq'&)rV?9e!r`&orV?Nkg&1aEJ,~>
+rqQNfp@e=Vq=s4K0DbM>p\4L\r:U*``IqQ,G)<3Ss8VWWqXs4Ep$_A@nc/Rbq>'pds7lEdqu-No
+s7uHiq>9q(lKnQGkPFuLs5`kHhi(KckPG5MpAb-Tq"jg^q#:*hq#0seqZ$:.r;Z\a>^M4VrM<o6
+or;iojGMUdp@@hKq>'danGhr<o(MtKo(DbOp%%VOZu]u%NHWtJd@l&)>uXU4MS/'Ir:]aYp@@eH
+p\=LVp&"LJqgD&]s7t;ED/AM9p\jm_pB(-apAOXap=]3;p4*~>
+rmUnqp<i]cq:5#bq:@:Rg"=p.g"Y<7in:8C5t+pmN54K6eC!+&bg=ndcdU;"h:pW9gYL`:f%8R.
+gYL]]ec4+sec45;aii_taP5D%ilB^)_J_>Db2)(.g#M&5q:GGnrn%2$rRLr#s4(<,h;=/iDgKRp
+Ptn=;PZH5UDnF`Qd*pS!gtL9-f%&='hr2r0f%A^/g=Y_b@pEMpC<GPJMeQ-\4ZH5ZVU+>ci7d#>
+eC<+(gY1H;iSDoAAMLRPhn1mH;UG9qs4[>&!nu>[rRV&%g"H8TJ,~>
+rqufnpA4U^q>Bd[q>;oBr;HWlp@7O[NFQ:=S\s:`r:KXVqYU0iqu?]lq>^Kfq"t!eqtTj^q=s^X
+oCDMKq>'n)s75g\qu?ZirVuT_s8RsbMq%e,mIgMZqtg-aq#:*hq#:"-q#1'\q#C$JK7\fFs8QqV
+s7D&2qu?*as8Mokq>U6err`9#rr2oss8El)X)_osR)co8q>L?igST@+>[;-&\E*\err3Z/p\=Xc
+q=aR^hHk'qs7G=7e,K:Dqu-?dquZipqu-?kqq:oEqg\~>
+rqQNfp@e=Vq=s4K0D5)7q=a@FkcokI=)aJ<f)G@0mIBf?o_nO]rq5s_s7,aUq"XUUnbN"Up\+4L
+oC_qXp_a&"nbW%\qt0U^n*KoNK3ErQs81sHr;ZQgq>'gbq>^6hpDiu,qXaL^p#(.=G`DUp@;#K%
+H]%@mjSo&Op%.eSoDn^cqYp:KqYU0fqtg*_kb;ZpBoBR-mI'Q<n'IYJ>#eU6KsT\5pA4abp@@eI
+rU]OKpt/\]oDe44j3IJup\jm_pB(-apAOXap=]3;p4*~>
+rmUnqp<i]cq:5#bq:@:Mf@\d-dEK[rC-Xj[HD%k/g!S3tf@\^2eC`O(db<L%dF?^seBuRme'cXj
+c-4H*e,@f5iQfm+g#Ll<g#LN,h;`*1B<^FQajK#)q:GGnrn%2$rm_n;gXsp)h:'8WCi=mnkttIF
+eR`jTjiQK7eGdi]daZe%h;7#Hhr!5Cf\50<h;I5AO]YIdK!D0,f\YTA]STu`6:4UiT?H<Kgu$r@
+e_&X:g">!9^d(WGj3bT\Z/#?4r7q>+qUkr(g"?8T!8,uXqq-E~>
+rqufnpA4U^q>:d#qYU-dqYU-dqYU-dqYU0cr$;=@o\mZWG[kiEU=T):rVuWls7uEfrqH?]p](3i
+r:Tscr;6Ekrsel#qYU9hrr2fjqt^-bp\Pous7lQhrUp3inGN=anc-XKDkQ\$r:'a`q>:!dqt^*f
+q>^40p\FXZs8D]js5h"<c%+7A]Ptmg`bETnq>^!ZqYU<mq>pEgrqlTg/GSu6rc4llF-G8Vp\b!d
+rVuokjiO6KEG]K+LT/nus8Drsq#(0js/8Y_rq-3i!V$$bqu-?jq\&i(r;6EhrVQKfqYC!br;?Nk
+rSIJLqg\~>
+rqQNfp@e=Vq=s4K.f9#0gqB%q?>XnUcg^W$rUB[\o'lAInFuABqt^$^nb;kSp\=X`r:p']rVHfu
+q"a^\q"a[Z)smUtqY0jUqt]ROs7YdY^hIJMli6YBqY9m]q>L*ap\t!gpa5b/p@S:Zo_SRH\ST*(
+`q$HH^@]-J_Y*L"lLFNBqtp6cq=F4KoDS=[p+u@4naZ<fSU>(*bP(Dtp@ItTq=*:ZS:#-dAn?Oh
+d.$l*p\F@Qq"O]\7@3i=rVcc`p\=^]qtL<gq"ORXrqQNe#kdoap@n=Tp\*J<qt>O~>
+rmUnqp<i]cq:5#bs49?cf@ed/fA5*,]UsCJ5YtX6ZIIO\i7-T?e^W:,e(;dif[eU'cICFqeCE4)
+g""O#e_&F)f[\I$e()qAeJHEfeCiL-d+d6sf&,'%j.f:@I*^m,c/&3Iq:>Pss475#+P50"gXY'9
+_k1/@BY*9#<3+oS8up_!jNZ*#f@ej2g"HAU.+d,(g=Os,e^rC'f@Sn[N,DdF_W]Y,gtCQGin2;R
+L1XIa;GUq\[+#$1&Du*piSWaS/q)O&hr!G=g"H2Tq:Pi'g"?8T!8-qs!8$Deqq-E~>
+q>1*fs8)`jrqcZlrquTh,6%E4p%eCYpA+L\q"jd_qY1!hs8)HbrpHn1AS,kIaSPf3rVcNhq>:!c
+&Gu>$qYU-dqY^6gqu$?hqtpBgrVI]:pAb-arr;cnp\"LbrVQQnQ=G(0s8DcnrU0^cmIpMSr;6Bk
+r"o&+nb3"Um;oK2IHAmpSFQ5rJaNL1rr)Bb!;c]irVB=\](qb)kPG5Yq>9s`s82`dq>L*bkHU1V
+<,-0TdJs4GrVZHj>]8d&qu-Kfn+m"Yr:]aYqYC0eq>:!bq>:!aq"jd^q"jjZs8)]oqZ$Biqtg0h
+qu6NmrVufbqg\~>
+q=ag^s7ZHbrq?BdrqQ<`$N0_mp%S7Up@n@XrqI3'p[\(Uq=F(GpZJDj?=.B-_=dNrrV5mVq=t!a%
+efYjp\+@Uq"ORXq"ORYrqZNf+9(j0qX=:Xo_nIQq>L-_q"p+TC[1Wao)8FMs8V?Sq>L*ep\Xacp
+D<>tlL4c@k%gmkFkt2QPj@aXHftG!qYB[U!;?9`2sn!DO^-f6q"jXVoC`"Sq=4.Ro_.=IN)r_]A
+#dZGp@n7MnGZBthtd'DqXj7Ms7cE`o(i+Vs7uHcpBU*cnFlSIrUTp\rV-<as7ZHdrqQNfnFhA~>
+q9f2is3^hmrmUnsrmgho$J*\PcdC1gd*^:jrmDt=eC<40gt1!*g<5=M5sn:eUt=2Nf\5!3f@ed/
+f@ed/fD3qlec4,,f$r:#f$r=%f@AL'pX^MAce@!sf@eL&cHOelf%/L1E^!CKh;$Z=f>le+`m<67
+ec"+rfbrMmi6Kg6eBCmTk@2TC<.EHL>%>h=f%o-7rR^hts4[J*r7EsTRb<!Ybi%O:eCN+#h:UH0
+f\G*3`fb@*1Ik$!ZJsd#hV6`I4\iuMf@ej+c.1e*gt's.g=bH\g%j8*dH&j3g",*3r71r!f%0iP
+s4I>(rn@D*nCW6~>
+q>1*fs8)`jrqcZlrquTh,51d-qYBsbs7GdMqu-9`s8)H`s81KAEF3mPXNg25s8)WjrVcNhq>:!c
+q>:$ds82fkrVHlorr;uts82ierr3Z*p%nXXs3,%a[JBjjs8Vffq>^Kkr;ccoqu-F/p\b$jn,Kh/
+iVD$adV-T!s00'2s7QEgo)&OcqYp9gq?d2[s1D=Qo(MYLrr4JGq>L'fp\k-]nbE.4X*SbfEeL(V
+p\XPlWql\en+m"`q!7t[p\+Xdp%8(UqY1?ms7QElr8!hArVQHfs82fnrr)lpnG@_~>
+q=ag^s7ZHbrq?BdrqQ<`,4tX+qYBsbs7GdMqu-9`r:TOJq"3"%C05D4V8h]nq"=@TrV5mVq=sdZ
+qY0d[+7f:*qY^0^qsOF_rUTLOq!7jp>?Ionroa=Xo(2PSs7uEfq#0q'nFcGQjSPu_g%!>Ab[S<d
+qlI4"rq-3co(N1[pA4MBrS.=[9Yp#`mIgMZr;$'_o_e@Xr9WhAqo>@JAkco`Pj%K'kZFJJrq,XS
+s8ViZrr;]cs8MZ^q=sd[#Q!c[s74['q#0pbp\sjcpAXgcq#C*Xp4*~>
+q9f2is3^hmrmUnsrmgho,0nTceC2mtg<Rg`e^r3rg"4^&gt9&_:-;HnM5nbSgXXm,rRgnsq:,5j
+q:>AnrRq/$+4&Qkf@nj*f#ZFtf$2LjfZrES6:-pjkfVf:cdU>$hu2+(fDF8$g)&>pgZ?`BPt&^I
+\AksNVWd$'RbZoTi7meTs4dS,s4IA&2rD=-S2ID"fZhk$hV$K1g!ed-gYL3&f]9;p=\q%S@t)kW
+g<r<Ef\b-'fAkiBaktt,eDT-4eG7enfEg?\gZ6tqG2([Jf)O5"f)F;$f`'S'gAfjqfRN~>
+q>1*fs8)`jrqcZlrquTh,6.Q6p\Xj\mf3=aq"OU]r;Z]LTkdnXRaL[*o'ub[mJ?_XrVcNhq>:!c
+q>:$ds82fkr;.Q8qY1$`oDSO^qtpEnrqcZkr:G/6OmW/?pAb-_qXF=YrVQQk(]O=3s7>DgK)GZK
+oV8\Us8VHYs7c9fq==Faqtg<erVAJQr;YbLU\Ocer:T[Sq#13gs7Q<ipAb0fo`"jQUMWh3>Afi*
+s8)cerVuolp%n^Tp\FX_q"Fa`q>0jlqZ$$as7phdo_n[`qZ$Hlr;QZpr:'T6~>
+q=ag^s7ZHbrq?BdrqQ<`,5q<.o_A4Pli6nXp%7tQq>^-;RUfE<PKN1dlg"BDk4SHBrV5mVq=sdZ
+qY1$brqZNf+85a-o)%qDq=aUZq>:-dp&+FPl"`tIiq2[+s7bmOlML;Vq"Oa^r:_!!qY9:0?[)/@
+q!=QPj8],Bnc/=Vs7l0Z!VlBbpG_sCqqOQ.nFlhVo'l5CqYU$enbE+Srr)?NoCLb)@RX*i@u^!S
+n,2VMs8DQ[pAF.Hp%J1Ro)/=Yq=b-mjo>5HCj,4EpAOabp&Fabp\ssfp[Im,~>
+q9f2is3^hmrmUnsrmgho,21SodFHdnaP>J!da?Oof&>8jI7H7rG-0$EcHY5%ajntorRgnsq:,5j
+q:>)f+4fE$dbE-nf$Vppe(EC-fAP96doSMLbh::ghqH<*b59cke^s]Os4S:Fg>Ur;`^sUrki:9M
+Q-8COc.;"/f\tQSg&Kh,g&K_)ei2C;hSLguh;7&AdEg4igYCHBeD&s6j5\hAh;-)&9J8Ff9m>=P
+g#CE6j5/A9g"jj%f[nm/e_U&Sq:Gr2bi[j5;-M?Gf_j>"fDjM&g&B_*g$mXE~>
+q>1*fs8)`jrqcZlrquTh)#X4(q>L?mqt'[\q>^KNY_d^IK<!JkqtC!g"o\H!qYU3hrV6<dqt^0c
+qtg6jqu6Eiqu?Zso_/4_(A@4os8Vroq#Bpbk*]D.[f?Bis8VTgr;6Tmr;?Hjr"oD1s7-,]@+Y5S
+o(-b<f(\t>s8MT`rV5s]s82fkrVIH)s7l7kI/a0@r:p<lqYTpUs8MT^p[@ACr;R]4o"]`r93-Ii
+_#OH1oCVnUo_SUfqu-<_r;6?dqY1?mq#C9lU0Dm:rVQHfs82fnrr)lpnG@_~>
+q=ag^s7ZHbrq?BdrqQ<`,5Ls)pA4^aq!e%PpAb0HX+YS1I&#!Oo^DYVrV6*\p@\.RrV5mVq=sdZ
+qY1$brqZNf+8u**nbW1^r;ZBTq#C3`q!nCIrnEH/I'!AJh#%-9qu$3bq#0q&qt0UFrfgF,nc.n?
+BYVpao`+sfnb2nNpAt'`qY3&>rU]JVFS>S&q=X[ap\=7Gs8)0RoBYH-q"aXUp[I@RFD*p4Ec\eg
+qt9FIp@e"LrqlHco^V_NqY9p]#kmffnb8DJEU`r#rV-<as7ZHdrqQNfnFhA~>
+q9f2is3^hmrmUnsrmgho!7q.us4JCGe^)are)&ljMe6$c?\Yi0f@&L8i7lr=g""[*rRgnsq:,5j
+q:>>m!7gtu+Pkeue(rp>gu$K#e_Ss2gXYH6kf8!2As;<:_;O@uhV%hYs4.#"s4S7Ig>1'<IQt9r
+lIFH`WOUX7jQ>@Kf\Z,Ns4mY.s4RG(37?^8eN@4!jjr)8h;6f;e'[14e(31"bM2%:i83GHd@X`C
+.Q(I:TAeYZdaQn&e(N^:g>(<0gY2MWqUc,-fB(cDIl:<Vg&9P)f%AXSfDjM&g&B_*g$mXE~>
+q>1*fs8)`jrqcZlrquTh,5(m6rUfXRrUU!gnA1<-?AGT7pAFdas82Nas8DT]q>1!drVcNhq>:!c
+q>:$ds82fkrVQWcs8Nl+q"O+Rs8W&mpAFs`s7cBis2A&JVt9of"9&8tr;QQnq>:'fr"oA/qu$J3
+V>pMmlb$h_^\7="s7l9`qtTa[s82fkrVIH.s7lDD?L[j`s7cKenc/Xbq#C$]s7H?crr3&or;QZp
+'^M2j:0^DIe,KCHrVuoqnaZYZqtg-cqYCKpr;QW)O`"e2rVQHfs82fnrr)lpnG@_~>
+q=ag^s7ZHbrq?BdrqQ<`,4P@)q![S>q!J(\lb&6n=b<O#nb;_MqY'IMqY9OIo_%qPrV5mVq=sdZ
+qY1$brqZNfs6]jd*UN=ck5"rSqXa7OrU0^Pn+c^i9N@SFs8)H_qtKjap]1-eq#'k$oC;DEA"*Di
+p#EDeI_"t;qu$*Yq>0XU!VlEcpc%mGoCIB2kk"3=o(_hCs8MW\rpTCRmf2bPr:TIJo_%qUpYh30
+6rcX,c1q84p\Xd[lg+BEp%J4Uq=Y*doC8u<A7,3+rUp<ep@nRZs7ZHdrqQNfnFhA~>
+q9f2is3^hmrmUnsrmgho,1+ruf[7plf[&F7bFWTG4(O/Ue(N@*gt:**gtL0&f%&@'rRgnsq:,5j
+q:>An!S,Ztec48$cQ;--d+-Xfg"Y?9e'm%2eEGK<k3&[&5D@GGiSE;HgA]e*fDjCug&KbAh:^H6
+hbAdfi8DnQ87nRJe_o?:f%]!Lg&Kk-gAfk*f/DU=fk*P#hUC<2gXa^1jOr2Jf@f09kh+kSgsk$3
+gth#IaEKNm4"=pMhW*JKiSWG<dGNs<g%j@tg&Be2QuG\ei7n4`!nc2Yrn%2&rn7;)s4QnoJ,~>
+q>1*fs8)`jrqcZlrquTh*<,d-qu?]ooCU%gH"CWScMIM>rqcEcqu?Zjp%eUe!rDflrVcNhq>:!c
+q>:$ds82fkrVIi>Z&)tSqZ$Tes8Vols8VTgrVccrq#B<E>)hbFrqlBdr;6Biq>L3hr"oD1s8Sj7
+kOA3Dgk'aLl2LVVq"jmdr;#p]!W2foqY^70rqZB%=P!EKs6TU^pAX@Wp%n^gqr[\Ro'H/Lrt"Vr
+s8M]-R!iC;>(sKFq"+Lb"9/)ks7uQgq?ZuuqV$nh>]B`Aqtg0hqu6NmrVufbqg\~>
+q=ag^s7ZHbrq?BdrqQ?a,PLs*nb2t^p[7LdO`Xu?Oid:kqYBgUo_/4YoC2DMs8Vccp\jmVp\FU[
+pA4L`q#1$ep`og?KO'Q.s8VNes7Z0drTa@So)AXUrmm3+JDB_eoBu>Hq"Xg`rV6?c(\mXqqNtpN
+jmMfkH?#_?q"XOSpA4^aq""1Zq"jeFp\FIQZV\s>p\j7HqsaCAs6oUYs7P=@s6/J1s8)K`p?(o>
+o]ruKG$@I9J$Ri"mJR"]q""%Vq=jaZ#ke,ac[jbHB_hZ#r:^-_s7ZHdrqQNfnFhA~>
+q9f2is3^hmrmUnsrmgkp,M(W#e(EU;g!J-AF&kUqF0!pHgtUH2f%Aj6e^E%*io/G=fDX@sfD3ql
+ebRemf)XA"e,Rtuf-fU=B1$^mkiU7Mj4DuFj3ZrFhWjI^m)4E8D8tAegsk-5g"G!/e^s]Os4S:G
+g>(Y=;9$r8i4ii+Mp'u5g=P$5hVHoUg&Kn.g]-"-fJhL<f@cZU]AMH&bhD%,hTY07gumt[b1u4,
+ajoP4hVI#4f\YB2Sp+F*/NRI1_:[5rjl,(Kg#i+aqUl//jkICa`B-rSrnIA(rn%2&rn7;)s4Qno
+J,~>
+q>1*fs8)`jrqcZlrquTh,5q6,q>^<Seo4i*U?2FTqtg-ar;ZcloC`"[rr;uklh^MVrVcNhq>:!c
+q>:$ds82fkrVIuBqtc>,_m]=<q"O^dnBeSCf9;QaU6OoVX`e'^rq6<hr;6Beq=sdaqu-F$s82iL
+@]01SaN(Q5Sc/Qmp%\R`qu6B]quQ]mrqcTk2u<=DqrM4js8V_jO+rM#]?gBJs6I2*WhYWN^\76r
+pAaU]qYL6Zo)6t*E`c4RLX,/^s8Vcbs7uQgq?Zuooo.P_>&aN?qtg0hqu6NmrVufbqg\~>
+q=ag^s7ZHbrq?BdrqQ?as7RW)m.0uDi6Q+:?^opOr:K[So_84Xo^;5Bq>'m_n`KN<p\jmVp\FU[
+pA4Laq"apc!;ZWh,QIK0Ljcn<nbDbJq"a3tYG0@!N80bVhQ`V`;QTKWs7Z3^q#1$eq#0q&qXjR/
+=.Jj'^qZjjQi$gYrUKOWq>1'[p]($bq)A!<o(Cg@WVHM]UPXMRZ*h^HnG;4NZD3nFS[e.Sp$_b@
+s7>j^k3M]^PA3od@=Q;Uo_J7KmJH_RqXt3fn`k\Mf2$)TrUp-_rq6<brqHEes7c$VJ,~>
+q9f2is3^hmrmUnsrmgkp,M(Psd+7%)`3W/t6[uu4i7HT1eCWF-eBZFlg"G*4dDj_ffDX@sfD3ql
+ebRemf)XA"dO3Mof@T'9g2:MuRG$?Hf%]*/Ya:?\G'_;bGKc_><^3#.f&kcAg"H>Uqq;#'(Z=$)
+[R#Z'Z`0md?%:nshr</;hV-`@f^[Yph>c70gAfeaf@AF+`^?'PkgYN1BPX$.ZesL"d@QtlKPlF6
+e^<.%i6LK<g#gN+hQhN-3AX9@YKG\\i7?K<q:b\u$/=7fDn3bI;rQR0gAoq+fDjM&g&B_*g$mXE~>
+q>1*fs8)`jrqcZlrquTh%JTo&l*>nVB9:C;s7H-drt58.qYC!drr;ffqtp*`s8)WjrVcNhq>:!c
+q>:$ds82fkrVIi4s86hXW,TiXnb3"OUj%*UE)t$ZZZ&fSAu:PhV"OHZr;6Biq>L3hr"o>*s.*Z[
+s6Q%\O-7igoD\a[qu?9]s7Z$]!W2foqYg=<s8;]mpLB3Yl2UYBVf.9EDu]k)TO4:I;hEQ_s7lWk
+s8DK`s760h&,lP.g6cGM=_WPtnc/Xbr;-<eq?ZumY)`On;euF3qtg0hqu6NmrVufbqg\~>
+q=ag^s7ZHbrq?BdrqQ?a,PLX+s5L)+A7186p\F4Iq=sj_p\"1Oq"am\nb2\Hp&F^Yp\jmVp\FU[
+pA4Laq"apc!;ZWh,k1g,C2BPV_Z0#os66+pF-^K4]_n^>7p/lYJ4c6sme6AKq"XjarV6?c(\[=j
+P??K5iJq)sMTPY\q"jFQrUTX\p%%kWq"jeGqY0XYmotM9j8\f0TkT"-C&.YgR95f-97+tBs7--]
+q"F"Ds6K^]r:TjZdZ@a-;.4jTl2UVMpA4O[p'C?[UP&?F87VDmp&4U`p&Fabp\ssfp[Im,~>
+q9f2is3^hmrmUnsrmgkp,M(?'jMm6f847<pgYL9.h:pc=f@AC$f\,*1dFQmre_ep.fDX@sfD3ql
+ebRemf.GP$d*g@ke^rL'iS7=4Mc6Y<d+@F+KNVN1;`UlCQ;]Y47YYh?L"=l2gtLH7rn%&#s4S:E
+e_GI;_W/g`6Z@+OhUC?;dG!O-f&,'Kg&Kn.g]-"-fJq[>fAP:NEnnq'h8b@LBkpZ-kgP8TKl8eV
+[)V7[k1\\Id+II-k2>@XiS_=n7Pm.uAXCj/j4`;bgA9J0gY.d0k*n2&in`GggBH9_f@S[-rn7;)
+s4QnoJ,~>
+meZt\rqm<#r;Z]kr;HQmdZBiTGfB^YquHWbqY'gdr;QZbqssYUqtU0jr;6Hip%/3L@IN2hYP\:d
+s.iYDnbnYnq>TqoK"Y[OpP`<eh>dNLn,NFRs7lWlp\4Rbqu?6J<gN^as-HdFs8Vroo_n[cq==I`
+qu6Eiq]GY2s8)VCErZ1<s8HA=k+[S.rKgKls/AfJr;$<as7Q3b(]F:1s8W&knW[iY7sDH*rVuB]
+s82Zmr;HX/nG3+QeS9DsE_q;cr;?Nlr;6?ej84?~>
+me6\TrqI#pq"sj[q"a[YbDD@8EPD>Go`4^Vp\+=\p\ssIpIb5Ss8W#lqY9XLs,^IJg0goQq<ImL
+:O)3uMeVVNk>ul3<mp8_:gDQNqXa(Rs6BXWs7u<XpAajdle5$jo(Dd=:>5RAo_7hKp\XaVpAt'`
+qY20)pAOXTG\['Lp%S/]@,@?#p%48;Xo>"cebA_2nGMePpAae3o_%tRp$V('A3E.qYM]$PlLFlH
+o_eF\qYgEYoDe("?Z1m97<nh*s7ZQhpYkgr~>
+n^7?bs4%%u&'reYe^N("f@mEFF_OjMhtl%+f]UicfDaFmeFM3`e^2q%f%&C(e'[6"6diqJPMP*A
+iJ':!e)5CLg>C@HA"Q3+f5*Q<^?4A)c/[a*iR[&Ce^W74g#^Vt1NhL1icmDti8NDGdb<F@g&Kk-
+gAfk+f,rSri7csr=6/Dui86joab=Khj*`tYm>`j0g=P*.hp_GT.bih9hVdALf@"e9-7Du`aPQ")
+fAt]?inWPOj5eS?k0^\5?$]F(A)Z;$rnR\3gY(9@fRN~>
+meZt\rqufr%J95ks5UM7H$6sqo`+:SquHWaqY'gdr;QZbqssYUqu$9ao_A@_qu$J2L$Q$cf(T.D
+lZQ+)s4:tWs7D+Ys8V<_s6mF-?CU-Xs6]dSs75jXs8Vumq;qXG:?;HKi*'p\rVu`ls8Dinq==I`
+qu6Egq]5_5qiGLes8V5UA`hrZWW1smJH+hlDrpros7ZKgq>2iDr;?NnrV6$bo$!8(:1SjOkl:#J
+p[eFZqrdbSp%897TWc(h</CSNqu$Bhqtg0Lqg\~>
+me6\TrqI$(qsa%Qs51&'Ec8JUmJ5l?o`4^Up\+=\p\ssIpIb5Wq=jOSq>0m\qe(E=Wb]uNs8V8$
+8u2I4@?gTPI9QXJh>-s/Y?Y.oiW&l?qX+4Lo(E%_p@\(7s,f_&q!6I.A)d4Xo_8C[p\XaVpAt'`
+qY:*a*W#F"Lg]cLs5'2MhUu#)qUo;$p>:O;i;!!Anbi%SpAab7p%S.Km.oqbMH<8PGG*slk4eE5
+qXO7;o)J1Hs)jU&Z[tc!rq,mWp@n=?p4*~>
+n^7?bs4%%u&)>g^bM1peOB>O^SC5g@anjZjf]LcbfDaFmeFM3`e^W'qd*gS$g"PC\B?lcE]%H-,
+bZHWZk."$6j4.d3lKH@Mjj'5^4aY61i6'g"h9aX%iSiGAf>Qfr/&UAs^H5-1gu$i>jP&>Rg&Kk-
+gAfk+fDjJDh:gY*:#+joa+Hq)`']RJaA?L1c>cXtgXt?3hq.\W.GWb8hVd8De`,&[F$MBI@"ub\
+bh^n"i7H`(f]L`6k[B+,T5HN%kM4hjg]?0_j4Jk~>
+meZt\rqm<,o_\[^ZZTK&aRoN4m/R+]qsjOUqu-H_qssYUqu?Kbp\b!grr1>;^%./.eC)D5qLDZ$
+qOC()s7'odrVufjs8VZ.DH!%kq#:<mq#C-grVcWcqtA`FM#[2KQVt$drr<#drr)`mq==I`qu6Ei
+q]Gh7r;6Ak=lf8UpN)&aXC1Sqb#?R[g0^TIrVHQgs8Dcj.fB2?qu$?ep\Xjdr9:_9860/rirAcL
+q#CBnoD8L`VNL]JqjLHLoD&.XrVHTkj84?~>
+me6\TrqI$%nFutRYAmTi_sdX%kPtSXp@7nMp>5NIq#:*^p\Fgb5PWGi\*AZecHO3!p3KTcoT_\_
+s5mdDoD&"KqY9BiB2"QOoCr:\oDS@ZqY9dQp@$I)IerC0N(^,Dp\amPq>L*eq==7\q"OX[+8PX)
+p%+nTh!4k)BR9*?<T`ec8AXZ<=.JdTp&+CXq"XP4p%7qNp%._Hp%S1?Z>r9.>G0dOnauDLs7l!R
+s7Dt=md'A'8<3'-oCVbUpYtms~>
+n^7?bs4%%u&)#4Whp76V2I30,j4qc:j8%=-f(.>`f)=4jeFD-\gXX^%f\>0:hQeZ(dr&F#[&D^5
+?oP[NHR?&\cq/-/hV6Z?hU/)k0R1^jgZ7/@hU^K:g=Xj,e[[MJjONI;0ok)GhqcN3rRq/$n_*rt
+s4[M+s48@If\5*8NBYD6kLNOAfSr2FgoWK>gqH1.e(`O4e_]'Vfdkk4g=tE;g"5!5h;$,>==?'n
+L;N*)g=YBHhUC3@g5'e'fA(^.GLG-sg=cJZ!86DbJ,~>
+meZt\rqm<!q>]ZI@Z91>s82K`rVu?_qsaIQqZ-QaqssY,qu-<crr;ihqXok_qu;goK",3Ls,]\L
+]52Bbs.WQGrq[r6rpfX\j.&qVXT/=tqu?Wpo(2nXqYtqMg]-^A@Th:^rqQNhrr)`mq==I`qu6Ei
+q]Gh6qYpE3:;[&-d8nlfSoUKXg1IP:Kh0_nr;$BfrVuWhs8)]k,ld]5r;ZfchPG'm9R45Ls8MTb
+s7bs/H)^`As)go:r:]m\qYK.IJ,~>
+me6\TrqI#np&=$<?AR>-s7YsQq#BXUp@.hIp>Pa:q"jd]rVcK^p@!fIp&9hXI'R"8s,'&@[:O"N
+pR"Y!oC_kKq<[SMgm(H:UA+HQo_eRcn*^/Ip&B/7dIcJu=&RBAp[eFWq>L*eq==7\q"OX[+8PU&
+q"26h](ka69?cI\B9deh>GT8a5gK<%o_e=Uqt]scp&F[_odBV-n+QbXl.DV@<(:r9rqZ?UoDe@E
+bAj-Dq>P+nW:fZNo_%qQp\<eBJ,~>
+n^7?bs4%%u(X:C__/h\L\('Bhd+$_.b1P:tf%AR+f(%8\ec==leFD-\g"+d3hUpE4eS\%9kAs:,
+QpG]RE$aY992"F&Ike=^f@\R,cI([fGqD=;gtgQ6hV6u8d,3L.k$'sXhTb7M347`$f&YH<rRq/$
+n_*rts4[M+s48@If@\s9W&(:0fs!?Bc@8cDB"^d![V78!hqH]>f%]'Wg&Kh,gATbRi7ZZ9jPeG!
+KhXTZ=dnF/hU:*>f?UX)Lth%T<$mX[f%&C)g"G*4j4Jk~>
+meZt\rqm<+s8Vros8Vc]rqlNbq#C-aqXaI^qXXL`qXOIRr%7g?pA"L[o_/4[AYA\nmed%?O6u`;
+ZY<N4V"OA@D!h9"s7Ym\qX"7Q[p<Knrr3f/p%nL_s8MrO=/l)ss0GXZm/R+NrVuipqu-?]r;ZZn
+q>L14r;6BkrS:JFrr&3is8LcMV=af)>A%<,o`+a]rqQ<gpA4gb-i3`=p%n^gr;-<jqu>c>EEdai
+nbr+[p9&7-S*p=L@8j0&p@nCZqV_7$~>
+me6\TrqI$#s8DZes8DKTqtTmVp&4RYp[e.[p[\"Xp#>^9q"47Rq=X7Jq"8!_me,c8s4<1no^f4r
+;aHu?l\/j/r:p<cm/QhCs6Hmf=*+-4p@@eKpA"X_pXN*4nb_sW8:]h!qW7MKr:p6do(N1[p\OY,
+p\+=Xp!ld&o^e)Ar:J@*Rd'UV:g?tXmf3"Qqt9[[q=jm^s7Ic5p\F@Qqtp0^p\FL^h2#cDEhhml
+m.g"GAO_dBrp*WWU@e!Ho_%tXpuD'u~>
+n^7?bs4%%u(>%?qe(3C0cH=eke'c\"dalq!eCN.#nC7$[!7gVhn^g@_f%Aa0e(*4-7=`nBc._<n
+DTp_`O[h;UJC)SV7`aK;h9a1!eApUpP;k^0hr<JBe(E:+i8!%u2MTlGhNBX+bMV0tgYCN9g&'Ck
+g&Kk-gAfk+f,r\ug#:f'3e?&>FZSR;\qPgdjJ+h06?^l<f@A[-fA-2Srn7>(.bWP2eCi^8gY(<<
+gZZXs;ES0Bdb`O5f8iZ[HHYO#4t_TBeC<($f[ng0j4Jk~>
+meZt\rqm,pr;ZQbq>'X^rVQTo!W)KbqXO@Rqu-B]qssY4qtg3dp%A1]s//u^s7lWoo`*tMr:o[R
+H#ir[s8DQhrpT=MmeQnMrVun0)L^T?s8VZis7Q?dIpVaGrVC2(iW&]Qqu?KcrVQQho)/ObrqZKh
+s83l:r9eKUp%3L+s7u]fp\=dglH*hrs8Vrir;$*bq"k$f-i3Z7qu-Qin*]iDqY9aTpAa6NEG/s^
+lMnbABmP0VijE`CF/es1qYg9kqW%I'~>
+me6\TrqI#mq"s^Rp%@ePqY:$hrV,mYp[S%OpAO[DpIP)QqYBdRpA=f^;W7TEq>'LZhtd'=kjih2
+qsXRWlM^MIo(qhOros:Xr:=)nDURqOr9sR^nG)X#=6]AJmp/B9q=4CVs7Gj[q#1$ZpAt'`qY20+
+p\4RWk%B&,l>E-gn+l88mJ$;2^0oFerqH'\p@S1UpF>t4p\"7SqYg*QlgXWAo^D,6pt_KT?s]Jb
+qR^HMEcT=TX(GmYU@\$MpAXgepZ(st~>
+n^7?bs4%%u&'WSVdE^1gbhC\!g>:Q5cfrsPf)=.heFM5kfgsoSf%/O2i.j;4j4E2GdcA:#gXaQu
+<_hN"j4DK4f#YnXa3rV[g>1Z>5X8Dae`#?2h;?Z8f3UVegYCIP0>QJqi7[/Ae(NFOfC@Poh#H+.
+g&KYGf\,!;h9f26da(pGiR[&=f%8s@bGn=OhVZu9g=Om/pt.(Lg=Y'0g=tQ:cHObhg"4d(fAX`(
+;FsB7bN#Br8m>H'^Q;)[:kdHNf@KrQ!7p2_J,~>
+meZt\rqm<,p%/4`p\=dgp\4=MoC`+Iq"FUbqYp<\qss[bqaUVap%n^emUh7Ls7uZorqQNnp&4pj
+H(t?<pA4gdq#B^\s69=Yq"=[[s-$eidGt8ur;H0^b?C,0s7+?9ErZ()rVuEBs8Dinq==I`qu6Eh
+q[3?$s8)PUGlG3`iq`T^r+(cds82`iqu-<eq>)c=qYU-ap\=UQpAY$`nalVUs8V)3MN<<t5'#TU
+mJltDs8W&qrp04Qqu$Bhqtg0Lqg\~>
+me6\TrqI$(naHDToCW(]p\4=MoC`+Iq"FF]p&=UCpIP)Rrql?]s7tqfJb/a/p]('\s8DN`qYtZ,
+s7PdLr:9L[o)JaVq>^*Uq!%O*:.2tSs7#jZm.J@sN;rS5_G+\>p#buJm+248q#1$ZpAt'`qY20+
+q=sdVnVhGZY$0KXpA+Rbr:TmU=b6MIq"aXYqXsXZpAjpdqYp4;qX+"TrUfXNp\4^dg3eL-H!3+@
+f^IqtnD+'DoCDS8mIg2Ip\=OXpZ(st~>
+n^7?bs4%%u&)GOTg"Xm$h:L'%cHFJYf_NtceFqJneaCrXf1alQio8VHjPJ3PB@bnigZ.&=i82r:
+gu2:_iRZ<&gXFL%`7We[dG<3rgX"\l3\mhQj3cT7cIf*VEou0(X>a#7fui%0ca_reg"4jTeH"4k
+g&Kk-gAfk+f,rZ"gY^c@H!B$e5J?.4i8NhYhrEHYD<9U,g=P$4f%KlO.G*5,f\"a,fZr"'gXXX!
+f\PcR_e!V&@RD59_:[&mfu)n3f[ncrd+?kJf)jLPf&PD5~>
+meZt\rqn/;qu-?drVlZio_eRcs7c'[q"jd^q"jd^q"jd^q"jd^q"jd^q"jj\qu?Nlq=4@Pr(?SX
+rV-9jmE8\UoD\d\r;6<ioD&@Qdqe18rr;rss8;Nan+HYPq#:3gs8)c4G$L%!p&"dhq28qKs7ZJf
+=1%o*s8D2SNr/bOqu$9iq[NK#r;6Ehr;6Ehr;6EhrV?Bgs8F#9p\q==g4+hOs7uZjqtC'^`c&Ti
+qY0scr;ZTiq>)Q7qY^9dp@nCSm,dF$p\apYs6K^=\nbeRDdm.4`Uig'oCW(]o)J[dr;QZQqg\~>
+me6\TrqI#pp\FLTq>0g[o_SF_s7PpXp^d,op\=LXp\=LXp\=LXp\4CTs7QB`iV,t5qYBaYs67R(
+`U<R"lh0oBr9j1Vkg!f"kkP#KqYBp\rpojap@e@Vo)A(SZY**hn*p&Iq=92Ih"C%.QqXLMr;?9J
+R"tD0q"Xd_s7d#sq"ORXq"ORXq"ORXp\5g,q=jFSW,Bt)Hg^Y!p[e%Gr9:h(Zh="`qY9mapA"FW
+./Nl>q"FIXoBbQ#n+QSOlhf`;d^!@e8nV=1K"^L<ror_JoB?5Jp\4X]iV%d~>
+n^7?bs4%%u&'rbVdaH^ue'cOkeCWF#bPBTVeFqJneaCrXf1alGhVQoAjNOV`W6sAXcIgb"hU'g5
+b-4FRaOo4uf\+`td)XD_cHt1me)Ag8S5;1]daQn+h:QI4_q``"Ji8hGj5\q9Hu%Bfg"4jSeH"4l
+g&9Y)g&KYGg"bB:fAMfn[p!7igt(<7g=><6V,3f@f[\a0g>1B6q:I@Nf\5'1eCE0ub/MEJf@ns+
+jNQSpRnQ4+:d[QbVUX5]d*_".c/dU3g"P*2e^i=3fRN~>
+nbVbP*;]R/qtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg$`s7uiqrr;rpqucimq>'jbnbcboo`+mW
+s7;OeeGo.?s7H?fs8VHcpm6Hn\*!Yhs6Tdcp@&"Kq=spfp\=dTq>YnNADI%]pA\?jkl:ARCg$H.
+s8VS@9'u3Dq>^E[s8VT[rVuHfs7#gVq>L-gs8Vffq%rYpqtfg>=drirrVuBeo)JIarcs'o\bu=$
+2?3[Sr;-6es82Wdp@e7Vqr7P?k5"fHqY's,WdT.lDfO&%cZDuuMsKd1s7H*dp%87`s8)N_qu?Tn
+rU]r;~>
+nb1&us7QQiqYU*dp]L9ap%A.Vnb6Denc/CJs6c"Vchm/1s6odRrVtpSnW7tTZJkTVs69R`p@&"K
+p\"CZoCN"FoD<`2=jc^9lhXGDh#?U-?qonPn,;9j5ND)#pAb*Xs8VZ]rVuHcs6]UPq>0pas8DWc
+p_WMkq"F(/;it.MpA=1UmJQMRp2P8IY4qef2Z3IKq=jUYrVQHdp\"7TqVV,4iq2m6o^;OeU31HL
+B5,?_a)":UKB)(gr9WqJmHsZHq=F4Mp%JF[rqQ*ZJ,~>
+n^GS/s3h)#f@\[PeH==MdaIsBn^h.'dc&p&j3Vj5Z/*^ai6U*+iT%r6e8ng4Pf)52iQC-4d)jq]
+dF-Xud*psoe(\(j7D7I>fAnuC`otq*8iP5Phs/Qs.E]udfAYK*h;-?'gYU<2i69d"f@ed0hV?]W
+fb`,cg"F]c3I!`@gu$E<d,3I;hcs]NRbIVk2Vm0Cg=Y$2hV$Q4e^i@*gVDOd`Ri_lg=PD_NF6!M
+;H0m`Z<&hVDU?hlkL\JIf$iC4gt's+p"9;trn?tsJ,~>
+nbU?(s7ursrVl`kqtpBj!rMijq>Kj]?iTcus7H?h`O#.8p](6cs8VoprVu2CNN^S+s7H3Yrq-3g
+q#C9brr;iaqZ$Hensig,^$>W\Gl7U/^5=sgf?2XHH!Pa^rqcZ^p]'[UqtU*^me$;JrqZHfp@S+T
+qYBq(rqcHfrVGr$VOHfGqu?-`p%JFO@Vr-fr;-:Kr:T[Ws8W#hp@\.QoC;JNs7>=5p$&rLKlLU]
+[$ku[m.U8Jn_'C:>C='Qs8N#rrVu``oDej`qu?TnrU]r;~>
+nb1&us7QZkq>0m[p\4[^!r)E^q>'RT?i0<gqsXRZ^om))o)/=Qs7bsSo`*p*L8r;os7,sTrUKd]
+p&FjYqu6?Wp]($\m?(%WYhf83C[_5\Z@4E7bIYZaCf#'/p\"ROp]'aYrV6<_mdp5HrqQBdp@J%R
+q>'e&rV?6br;#_rS<)Rup&F@RnacV>>%O8>p\OYDq==%Ks8Vobp@e7To'l8Hs6nk&n)L[4I;)o=
+XHI:;jR2R*l-Y\o;foA1q"FFSpA+=Em/$YPp@eO\rqQ*ZJ,~>
+n^GS/s3h2%f%8I$eC=KJ!n>]Jq:>)f?e`o\gX"d/TT7:SdbNO&hqQT4fAjhaBoK%Oj3l]0hU'p,
+dbiX%f\=oueD/U%c[@lYT?QYB=PW2bS7ia4[ApWp=Zop/h:Uc2e_\L!f[ed,bgb4pgtCB7eC<%%
+gA0D=hV-Z;h:g.MK6bSkgZ6Z8eCER'78f)FgA9J]g=+I$iSrS>eC<%!e'Z\!imP]_e]F/#Al;*8
+Q[;\8ce$t'e@L)n5[g>:jl,1Tgu$`.d,!U2p=TDurn?tsJ,~>
+nbUB)$N0bsqu$Bgq"jjarqufnq>Kj];?-Cfs82cpp%eXfr;ZTes8Vcls7)joP0Ne%q"+Laq#(0g
+o(DbRrpKg_p]($Ys8UDS=Ng#CTDA$Ws7H?_o@DF,YG^:Xr;?TcpAaXTqYpKmrsA])rr)fnq=jdd
+p\>U$p%\LZL5td'rr;iiqu?TfdUnBks8;`js8NE(p[RnTs8)Weo`"k=q!G2qY]jVfCPoUup=tM/
+s8N&uqu$?\i1=OIE6A+Wp[n%Ps8Vukrq?6hr;QZdr."~>
+nb1*!$Ma>gp\=OWo_/"QrqQNfq>'RT?i0EfqtBg]nFZ_Wp\OOQs820Yr90YUMobMioBuMQp%S=U
+mI9]>q<@qPo)J=Jq"V^+9>97dP3h9/roj7BkK1cNU70U3p%SCQpAaXTqYg<grr2ilrVHBdq=XCS
+rqH1'q=OFZon%hXr:g'\p%\R^n]Y<kcMI;3p`fY7qXj4Gqu?Kgp@J1]s7>EO[&@nJ>@W8hoC(1\
+W;QAcp\sdskh)2-3bZD&p$_;6o)Ja^nb;bNs7cNfoCmb~>
+n^GV0$J!VSeCE*udF6Rormh%uq:>)f?ea#[gXb$2d+$q,f@na&hql]7hogL6DQ;7Ie^3+,f%8X+
+c-Xnhfu`4'dc&[!gZ5V-3j$XsJ(`65kg8A9dC-ETO,(I3gY1N2eDSX$f\YE?hr3DIhVHrAg=Xs0
+htPe>g==j3en&^Gk2"tJf%K!9e?VS]]B%]Bff.aDgXXWuguI,Cf@8[<j4;J7RZU]@6qhB^gss)O
+OlG9Vi7d#@dD:B*,u^r%hUp<)f]D8Je_BfMs4RD*o@\W~>
+\bcd4qtg0dqtTm\q>1!Mr*]O&qtp<cq>^Kkq>UBkrVQNas8VMpTAT\Ko'ubXs82`is8VKds6o^^
+p\4=Ms7QEjrf:32D=%<&r:]pcs8)<dqu?]os7uB_s8)Tks7?6[rqlKeme?SPqZ$TmqYg<fq&&bu
+r9j.Qop9Chs8Dogs7l9\rV""_s8W#mq]tt1q>^KjmI0iHmHaB0fp5uSAqm\5r;Z`qnGi+WrpodZ
+r;$-errq>@:J#?.rr3/uq"jpfs7Z?ir;QZdr."~>
+\b?L,p\+=Tp[n%Lp%J.Qq!n)dq=s[Wp[[tUs7Q$[q=j[Xp$DPRkH:3)s8VKQr:g']p[n=^kl:SG
+o)J:On*L)Brp]H09Q=Itq=X7Bm.:)Ak5"HCrpopVnac_Sp\t0]qX+.Ro_.SAp@J"Ur:fp\p\OY%
+oCi(KnbVmA?LR[^p[A.To(2YH\C^HMp\FSBp%.nVs7YaEp\*k7mcMu[='ApZXM"3(pAF1Tm.C&<
+n+65CnbE.afS2m^A#oG*q=F.Jp%S7TpAamdq"+61~>
+\^V#;eC2mreBuUjdaQ_=ea_7!g"=m,f@&1*hpp60g"4m-f[&C3b)q%_iT&80hV$]:g!ng9b2D.!
+eD\p*dELY!lJLN>4((e,k24nBeD'!6d,WmCkh4nHeCEU3f\GB3h9b!3f@eF"g"+j6hqHc=gA9J>
+eCWL$dbE;q8DE4^h9t?7e(!+$T"X(?gA0D[f$r=/iRc8tf\+KkdE/qB5XS%SQ)NO!g>^B>d+[7%
+e(NF,e_]HP_/D"W9U+Puhq?W7gYLZYf`0Y(g@O!J~>
+\bcd4qtg0dqtTm\q>1!Mr$;(;rV$3fpA=XVq>L0is7H?fp\Fjcn,N"ZnGiOZqu?Wnq"s^_s#9i@
+s8Mlnn,LN,X3?</FI8*FI]D1Nd%cTSS<iZ?\GXhUn*'f7s8;ohs7Q9hqu?Whp%nXaq=j^^)#=+0
+o_8:WX^\d>p@81Yqt^*gs7?9jnGW4]2Y-\Bq=smfs82T_h6)*6@q0P-Ku_H;q=XUZmJ[(bo`+[V
+rVuojmGS$Ei21L"CTH_"s6TIZp&"derr)HdJ,~>
+\b?L,p\+=Tp[n%Lp%J.Qq!n)coDSISq"O=PoBu8Gp&"^Vr:TXQrq5RVm/Q>Hs6K=Rp@e%KmJ?_U
+o]5rEoChDJ^@%T-GunX:K$n\2cu?piK@>sDl(,*Pbl$bds5a+PqsO:Kp&F^bp[R_Ep\".Lq=ba!
+q#BjTq!t=aXT%YRs7Z6]p\b'Xs8;$QqY(Hdo_A(Mp\as_o^18/FT,JkB6&=2_OU&^p%.DBs8;?c
+o'Q5PrUB%*s8UfGCKG)Dj8\r;nG;hOpAamdq"+61~>
+\^V#;eC2mreBuUjdaQ_=ea_6ue(r[(f[nO%e'?Iqe_Ap+hUg9.i7H35cf31)j3H94g"Fp-dG<^8
+fZ2q(f@eC1WniZ;AjfUCCqO#-\6,h^C:S\6c\%S;Yi!^FjMg$1hULH5gZI8Qh:L32h:pW6q:ZY;
+gZ6i7gXV9NRd/MPjO`#6f%f61j5S8Xg,RI2gXk$1hr!,=e%LcF5t"+>?=p.=MqHP2f#lb+hpLK6
+d+[R<e'#Jfk.l^K4\L^Tki'h>inN/\f`0Y(g@O!J~>
+nbgN+$N0bsqu$Bgq"jjarquNfnbc_ds8Mcls82Ncr;ZZfs8Vijs8;Qfs7u?Ts7cQnq#C<ms8;$Z
+r:L$Zc2Xl>^2V,L[(!bs>?b!;o"MNhP1Z76W+]D:Bq)nJa`<mCT&fV;s8;fpqtB^_s82NbrVlTh
+)#X71pA+RY`b1P8s8)cqo`+sfp$ht\s8Dfl!;QQn'`.b*q#7[FAR&;b[/GMrPC@+gZi'h&"Shlf
+rVlfn!r)?drr3GtnGi-eF^Ba8n,NFbqY'gdr;QZdr."~>
+nbC6#$Ma>gp\=OWo_/"QrqP[N?h"!ho(i7XnauSQp@8"Yo(`7\nFukQnE0Z<q"sOVo_/=UhuEB7
+rTD2rV3n`(]mclZZ#<B479\iZWRHUGO^+Yi<2F&g\Qm!gQLC6tnF$>MpAagTn,3%TnFH>Kp%e>!
+q"FaYp%Isl>_r"Go_\[Ys8DZ]lM18MpA4M#oDS^cp%S4Ppoe[E<DRb=no\W%EER(Up&=sooCh_L
+q>U($o'cDSs820Kr9g\*=FRdErVQ9[p@eO\rqQ*ZJ,~>
+n^Yb2$J!VSeCE*udF6Rormgbmn^h-pgtC-/h:C!'fA"m(g>:92i7cW4hU^,shp^?:dbWO0jO_<1
+g!AX$WnrS\RnKPlQC4CN4$,2cd$g*/DR=XTL.=:_89g[jVGMQdI)FObk1nbSgXap7i7li8h;6o^
+g)&MsjOMo9eYYr`iSrYLiR$B6e'?%eh:_VX+P,K3h:UH8f%uZn76<J8Q/5qKFC7XCPhG'Uj42f2
+g=uVZ'\(Obj5Jh?cJR-8<BarddH0EEgtDGSs4RD*o@\W~>
+nbgK*s7ursrVl`kqtpBj!rMijq>9^[(&Ik+qYU<lq>UEoqY9serpTa`s8Dlos$ce]r;Zfnq=O@[
+s6mt:UN<e_G/U3Hi8ak!D3=j\>d=>/rUp3as8Vcco#^FOW8s#3b[?WcF3B]]o%F'=nGiOdq>^Km
+q>2$-o`+U\q"`l^N:m5Nm/Q_HpAP$krVZNjqYW8OqXa@Sk-BJQ?"8l1jS]%Z?d8UuB&Wdip[A+U
+rqZBdqYgHoqXsIUq>C3js8Vc,KP-Iom.BuJs8;lpoDF+~>
+nbC3"s7QZkq>0m[p\4[^!r)E^l1\QXp\4@SqYBdZr;60YpA+ONqYg?gq>L9lqsj7Ip\sXKlKS?D
+jgqR\BrG][\sV[2f`'T6L@p9uVZ6J`lhKiCs7#RG`9bgDh2%H;=bq?=_hkngdJrb#p\jaSq>9m]
+pDE_qrpf^Sp"Nc&lMCPDs7,IJq>:*anaZ>LpG_sAmdKc+Xa4PY>D9N=nc#.Y_#8(MdJ!P0lM:#H
+o^qhLq#($^nF#r@p\=Ras7!RJ@>r=jme-;Is7cNfoCmb~>
+n^Y_1s3h2%f%8I$eC=KJ!n>]Jq:+rd?e*c[e^iI-eCiX3e^N+&g!/:.h:pZ@hr<MBe^`F6e'l^l
+k2=IXP^cMk:K!m:cG@Ha`_LR3E''0Di7QE4dG<j3eBk,>ZA6>8I]G\R@T9FLU!pU:g<nj@h:glL
+h"fY@gsb63g"4lm95rPFkfVr4aj/Def[\Btg%sD^h:U-'f#3YU90Pa]TZ,aPN^9l8>t;cliR5m%
+db3."e^`=-gXXZreC<1*gZ7ACT4CN8Zd@@\g%X/!g&B^sfmj~>
+nbgK*s7uiqrr;rpqucimq>'j`nbaF-q"am_p&+dbr;$3hq=t!iq!S%Zqu$<jnbrLer;Q^7`2WKN
+V2T'COl698s8W#ks6>bWo^Mmr9RlF,ru_%-s826as8DTiqu54?\X*86O0<KFT?Zj)s7u]pp&+[`
+)#s1,pAY!iq/'sJnGiIVs8W#ko`"UZrr)]k+85a2`J.f'=bFchp\Y!feQ/4?lt21UrVcTmrqQKm
+pAXt(qu$Elrr;cms7Q*crVcW<IU.fXr:^$fr;QZdr."~>
+nbC3"s7QQiqYU*dp]L9ap%@SD@/]]hq"!qKq"=CRp%n=Prr;`[qZ$?bp&"%Hs7>dSo_H"flXcK7
+>LA/SrpBCMnEg/3LKNg&osI,/iq<3Eq"j[Qs7Y^SrV#XRo^g;lY)`<jLSne&Qc8.dp[S"PmIpDN
+)#Wh#o(r.[o3l&*kl(;Ds8;`bnG)P?p%J7V+7]C(^k#`h;gZ:Jn*p>Gb"7Zlhc>+!nFlPOq=FF[
+nc&7rp@n@Xq>^'^rp]IUq"OI%GZTO?p%JF[rqQ*ZJ,~>
+n^Y_1s3h)#f@\[PeH==MdaIs@n^h1)e(!$ud+?q#f@8@)eC375fZr71g"G!6c.D"-e_Ad9TS:ih
+JS7E]D7o#]h:pT7lH=6:e'HpD.9t!Ki838Ef$WO2bhh:5e)&g7[a^[gi_XTU:oo2Md,s9?i8E2A
+qUueDdGWR2gYgg`;!l`ngWnd2eBZ7ec-4blqV!%@in1#:5;kN4W7]bXlJ/g-Id>9LD!Bd0e_8^*
+g"b!Sf+llgf\+s9e(NU+e)/p9gTP!ND7AHVpXoN!rn?tsJ,~>
+iVWHIq>AY;l22\(r;?QlpA"Uar:0X\rVuBdnc/Xas65<\Kl5t-W;k`Mqu7N2s8(DKFRoJ%s/f+1
+aT)/;p&Fmgo)JO]rVZWn<;QOQjj9+AH\pKdWS"TUrr;WhqY^Bjp\k-loDejJs*eG,s7u]gs8)Wm
+s82Kbrr;T`s82Wdk.5JJ=C[PnnGi7^r;-H_VJ+i_]P",As8;ckqYL3enbWjnoDJX@O`Q#Zp\OX[
+s6fp_qt^3fr."~>
+iV30Aq=qMp5Q(9Mq=jFNqYC$Xq=sgdlhB]@q!J+9H+eK4fR04]dd?c)p@ItLnG)S%9l0+plM@AL
+@);^3qsaUZrpB^Wo_nI]o2P;QgYKr,cuXce>+s<Eo_/=Qp[n1Xp$qeTrpBRZg&H(naS>B(o)ACY
+qu$-Ume-VHn,)bJnDCQcAl2flU$;=?p@RhQjdTK%mB9TWq"=CVq"OO^p@@tip\+(Ns3lpEHa!#5
+o(;qGrV?0_q"sf9~>
+iRI\Pq:3mBl.8/Tf@S^-dF6e&gsOj/gZ-Q4c/%.%j1nut@7n=GK\X/hhW!DHh;$ZDh7P^Ie*,0:
+N%[SqhUp`6hq6i5iRc][g\or-gYKffZ#R<ZC:lok\Wu".jj`,?guI/@h;dSFi8MH7@RdlfgYp]=
+eCE.%e'61hjO2T;g=XuqR8-F76?7k-i7QrCgZm1A9#05R8;HHhg""X&eGdqkec")3g"P31hr_Uq
+=CRHCf@8C0bMW-Jq:b`!J,~>
+iVWHIq>AY;l22J"qYL6lrVZZcs8VWdpZheVs7Q8[>G#`8n'(e2!VcHirrN&srVmZ*JlU8!m/Qh[
+k\sIts7lKerUp'arqZHh!WN#qs!Ra,s4YrNJ=qd6ba,[:qY0aQqZ$T^r:g!ds6GDE`qo`8nbiF_
+o(W.`-2[64s8DoJMGRDrKZ!ccqZ$Nhs8VopqScD3o5T'Uqt0g`qtg0gq=4@^rseS^q>]BEDf*Pp
+qXX[Yq>:!dqtts~>
+iV30Aq=qMp-2R<-qY^-_q="@`meHG9s7QEYnrch6@ADr"qY^6VnFcMHo()MRpD3+A:!3=or:'[D
+BhY0!nb2\OnFlPNo_\;^oCVtVqtp$Bs3f*6GaO(k`/_&!o^VJ9o`+sRp@7_Rs5SE%](5atmJ6eU
+mdp;Po^M&?qY'X0K1SpVID#:GoDA4Mq=j=Tn%)!Xk%&3(lf\$;q"OO^p@7ngr;Q0Ep&Ed8C1tKa
+p$MeJq=aXZqtGU~>
+iRI\Pq:3mBl.8/Re^`C/f[ng'iS`&8e]6_&j3Q8!1jDHGbc'L]imZN8h:pW:h;@)If4?qJj3-H5
+j2F_HKB(M8fA"d-f\G*Ug]-)/jl5@^h8e`k['X7mCJ(^QQ/^NLf?`14k02W4f]D8>C-nrXjlFeB
+iR>usg=t3.bi%F7gpUoM2c=.[gtLH?hV$oHf]_(e2;cq_>4(+pg""X&eGdqkec","fam!#eB-M0
+`IU`UUuU(Qj3d\Tq:b`!J,~>
+iVWHIq>AY;l21qgqYC-js8;cooCW%]s!n!*n9KqlNo&jRs7c0as8Dutr;-<jrVlcei_jaqs60L\
+qt]Jr>a+FPr;Q^!oD8Lbr;HL2r;6<[s8;`ns8DulnGh=PpR@>fP/Q>Ns60"Ps#B`Bs8JciV<n-[
+o`+RXrr;ohpA4gefU?GTDiV[6p](9bqu?Wis8Vfms65M_Cg"@LoDeacqtg0gq=4=mn,NFbqZ$Ta
+a*VWnp](9gq>:!dqtts~>
+iV30Aq=qMp62C3Gq>C*`pAaXPq>1$gpt=nPKV=+MgXQ8jmIUALqt]pSo_%qMp?UF)B__Vds7Q$T
+ibDJPir8]Iq>'CKs7Q'`pAaeboBZ>Jo`+scs7,CSf<=_0N5LUgg[5%#lhpe_nE^,JQUI8&pA4:V
+nauYSp$V,5p[ZUk>u"sa\,>Xes69(Kp@A.Yn+cb<JnAFdXnCiUp\=OXp\smVp^c]hs7c6er9M4C
+B:/8fs7?'[q=sj]J,~>
+iRI\Pq:3mBl.8/Qe^W:-g=Op7dF-e)hVd,#bZ/;/BXkdejO2H.j4N8Gg""a/g=b92__Y0Kkf;i=
+f[e&:3,cgrg>:`Edb!OVg&Kf+g!Sg7g?.PRk1@uB]p72rEiF)T_:.PfdGj<Nf$WX;LGk":i8E)?
+daQn(f[8'qhV#;\6o@YRT&\>Vk0Vc;gt:WFe`#Q2DGj1iSE/5cg"4j,f)F4mfDXA5cJ[d=gZIPC
+V-$<8eDB07q:PMsqq6K~>
+g&(UCdJN2+5lLTWr;6?dq==R^r;QZlb@@?7Z2O_"s8VZis6K@Xp&4^_s8Vujq#@!]Z2"@trr;Zk
+r:khFBAW7Trql`qo)8Ob=8Vpnqtg<eoDe=Wp&+Uar9jUEs4i6tCPp`ds8;Bdr;Z6]gJs@7s8N&t
+s8W&ts8D]^Md9"gSa-7Trr;fTq#CBnrV6Emp\b'inGehqmJd._r;6BfqYp<\q[`_uo`+mVmf34Q
+TT]<SjT#&QoDF+~>
+g%Y=;\bAAap@e7Sp%7nDs7Q-^q"D^4SWKlFs7H6hlhg\BmecGGo(2_So^MDIQpn"Dq"FIZmf2tM
+H;S)%m-XQ>s7kpRrV'Cgp\4CRq"!hPlLjW>o(_qBs4mM&I@"MudDYqUlMUAUl1*(kK_G<<qtg?i
+q#(*alfE[r6<o`4s7Q$an(R40q=jXUqYTgUr:T:IN+_/Ap@.hOq"OO^p@7ngqsX%Qq<7,CpZ\0,
+q>T:Oq=aFSJ,~>
+g!oiJdF@F45M4Q<f@JL%eBd1,g"Y65W'>fRNS3@DhrE#>iQ0F(dG!.&h;6c5e_l!2P1e^Ih;?Z@
+g!j:a7(q%#h:h#JchuKug"P05g>:K2k0Vl5gt:K=cK<"&]OQ@_C:C5%gsG'9jj2Yq4*9NEi8EGP
+hV6rJgss_a3[mFBa6)13k17B!k2>(OfAPW>gZ%);icnDIhrWSGf@SU)rmgbpqq2M:daR.0bK]#!
+bC+<`i5+CJf^mdH~>
+g&(UCdJN2+)Z0L4qtKm`s7cQkn+a/=l@cA@s7?9ilMpAQrr4/9s7uKgs8VumrVT>jmeZeXq==RY
+r;6M]=D,/Ds7uHiqYpEmq[`N"qtg?cs7u]gs82ignaue[$i',hXd+NKRZ?q9oD\bHr+'mKqXX[T
+nGN=_cBN'EBo0Lls7c$_s7ZKmrqlZcrqH<hq>'sds6WUIaS#T1qt^'_q#:$Xq%*K!o(;eUq=sO\
+oC;_Xo`+aaoDF+~>
+g%Y=;\bA>^q"aXSoCr+Nrq5LFWd<]TWr)has7tdSlhUJYr:9dXo_87Zp@\4S7T&CAo_.qEs7#dV
+qial^XnVMVmel\Up]("iq=saYs7-!Zs76']s7#FFs8;oqnE'YGNI+lmL?\?rrV6?\=D.[+m/629
+q#C!+N*T"]I^/#2m,dp=lhCDMnFGrBp@nFVo_8(Wj[Y<GmI^#Eq"XUXrq>mW&,l4loD/7Xp$MeI
+m.UJJqt]sWpOE~>
+g!oiJdF@F46.X]Af$`%!g=,$5bLDMW`aOh^j3Zi@a55"oguI2>gt(!.gYCB3g>";@d+[4/f?iU,
+g">,'2+Eqnhq6K=g"P0Zf`9Y'fi-t]hUpo>hV.&>d*q"3k2Y.?kDj^r7!ik#h:1TGkho'7m,$7P
+d*^\5gp)&s2FqMNcfE['hriPKkhXtJdbWO/h:U?5gu?U5G,a'NgtLH7f\$2TpY#N!s4Iq>f@&1&
+gY(0(j3Z*(iR-KWf^mdH~>
+iVW0CdJN2+"o8,rqt^0hs#Js8\Z2c]s8W#kqX=.Xs8DljmJR"Zs82cmq>:3lrh;cLrqHHbs8;'[
+q#C0hcX(4skPsWBs8Door;'C_s6K[[qtg-^pA4gXs7GaOs8N&prNr8lF0p8LnE9QGQs'IZp](3l
+lEu%C=aZgrs7b4Hs078rKsL:#_>jQ6q=j[^q=aRQUMH'5aoDD<q>'g\rqGsY&+KGqqt0LVs8Vlb
+s763irpfm_r."~>
+iV2m;\bAG_q"aXUp\Xjfeb-/?VKi.;p[\"BoDejcp[dVCr:BdYq"OFSqtp2Z4dGg4qX==Uir/KK
+o_HR+=g6WYg%>=>q"aja<:KqNqt9aXp@@hKs6K[RlL+WEp[\!YR@.ilEn0C2n+qu;q!.DLq>]Q[
+G#;(ROjX0pcMm[;H=V?"kKC=.r;$-]p\=FPo';iWMeU$*q=j[Zp\4[\nb<X`qZ$HboD8LcoBlSF
+s82W^pA=T7~>
+iRIDJdF@F4,h1K"f$r=+gZ,frPD"csj4r>;f?Db)iRlc2aOf4rg=Fp.eCOWR)M08`i7Ho8hV,s+
+e`#*6X?8tCa6LRsk1eVDr7Furj3$00g"G!-eCim-hp]j"k25+OhN`\E<0^\%dE(&,IQcfEgZ[SZ
+c^A9,5@K,Vkgm9-jH*nIA<G9IT]+ncg"4m2f[\O"K1^5`Wo`-lg"G$1rn%#"qV(u&&(&tcg!\4!
+h;?c/j3Q]?g[Wqnfmj~>
+iVW0CdJN2+s8>:]q>C9gnGBZ^U5K!HnaHMLs8VZUnbN+_s82irm/-eZp%n^]i)":SqXOU[s8Drs
+s5s1Xr7cHsPP5%TpAOsfqYL3e<;Z^fs8)Qep&=@QrpKO\rUg-im/6nNs82$-B![ALs6/EEq>UE^
+gR<4a?]iJ%s8)Njs4hU4dJr@*CL!P-qtBm[o_SFWq"o#%FkZlfqYU*aq"Xj_nbE^qo'Z;Pq""%H
+rr<#po'cVKqtp;A~>
+iV2m;\bH.!6MC'GqXj(BX5fV!q"!_8s7$!en`oW;q>L?grVYpTqtTaVrpnl<BB&RLr:9d\q>^KR
+p&4R/BL[a@p%.YIq"ad_rVKOnoDeX^q"=UQpAXIRrqc'_q;h2Jjo+f/a^2$"If%mM:%@uRl.2,<
+:0<=fjnS<3qYnlSAB+>tRUB!XmI^)Kp\"@Xo_%rp6uUTTme$8Kq"OO^p@7ngs75UQrqQ'Um.pPU
+p$M&@nb2kSJ,~>
+iRIDJdF@F4s4BZheCWF(b1)KmHt;!^c-54qhW*&-dFHh%hppH6`mr_lcd^^q]Ilq"g<np1hqQrF
+j29L)ft1?EF4T7&e_Ag3f\$2S:>+LRhV-T7e)&:"gs4I-gXPHHc/%U/k1n(a8!Ie%k0(e.hW3_G
+^jfKK7X;8mleC%PkdsYdYi*KR8iqOSg=Fs-e(WO+f%NnI<P%;ArS%;)rn.&#rS7G,s4Iq=d*1"n
+da$1_gYL];cck27f_a?P~>
+iVW0CdJN8-s8<H-rqQ6drU&>"G+JR2rr2os1A157r;QZhs6fp^o_JO]rquKhs5^diJbT3Ds8)Zf
+s8)6bs7lWojDJ12kl1V]rVZNgrqUd:o)&@[r:fmYoDA4\o(`7bnGE7cqt^9er;?TmQ<i%0pe^>V
+i/D/LN6qP'qtpEnp&ETPCsr(Ns70N*mJlhNr;$!]r;6K0>D2YJs7H?gq>9s`p\FR\q>:!bq>:!b
+q>:!bq>:![r;ZQdqu?NjqZ#p[rr;c`qtp;A~>
+iV2m;\bAMiq"+(Opup5^CR"Gjp\4O]r:9=Nqtp6^s6KUUnb3"Tqt]j\rnk.YI.@(.qXsURs7P^X
+s7?$]dU#RFg[b.6q"ad_rqg7)o)&@[r:fmYoDA4\o(DtZlLk,Qp%/"Mp@eIYOB9\dlU9h-g4im4
+L<9/fo'c8NlM\n-@E7a"s6*Qgk5=]<r;$!\qtU'%=+B]7qsO=Tq"OOVp@\.Rq"ORXq"ORXq"ORX
+rqI#or;QK`qu$3_p&!qHq>^'VpA=T7~>
+iRIDJdF@F47,6GDdb*3n[(]=[f&GE;h;-r:d+I./gXG!$g!nC!iR?N5db<NlQnVn!h;6u?g=>37
+c/[d3gucOM4$^mBhqQl=f\$2S:YX7Lg=G!.e()k!e)A['hVuo<j5\nKhqHlBj5+rD\:**gdGr/a
+7m:n#jQtpcjm(@Y[6[Hjf$rj.5![?OdaHk$db<L0gn6];dbN^/h>Z..g&BY"gA]n,gAfh:d+[=*
+dF[($f@Sj#g"YQ;n_!`lJ,~>
+iVW0Canto3(]O()s8Vlos8;ojqu$;bC!GN+s8VunrVZQqqu$?grqZNi&-)>&o(i+]EDG0\q>^$`
+rqcO(rVuocV,V'Hs8Vlks7u<^qYU*gqu?ILqu$EjrVZ?brr)fprVH6cs8;`hoBi.K@"jDSJ?7c$
+s8V`es7lWds*%\imJm4[rH,[Os7Q9ds841QcKbB.s8Drpqu$?hqu$?hqu$?hqu$?hqu$?hqu$?g
+qYU-dqWIbQr."~>
+iV)7)nb2MIq=aXY(]3ass7u6ZqXaaVp%S-OAB*6fq"XRVq#'jjq"ORYq=sdap^d8ks6]FLq.rXO
+o(;qKp\F[[&GGqgh3CB2\bZ$jo_S4Mp%nLZs7S>Fq=sd\q=41Tq>'m_p@A"Uq"FCLkE512G^EqC
+UtY,.rp91TmJcAKCf/"1qtopWDmoWDnGE"\pD:0XjnScMq"a[Zp\=LXp\=LXp\=LXp\=a^$MaAj
+p\=IVp@n:TkP"fIJ,~>
+iR[PNn^R*[n^RBcq:?G:d+@4/db!7'iR$-,eUBoc]$K-cf\"pQf`KdYfDXA5hUCQ4g"G7Y/@F$Z
+iQp33qUlG6k2FR=1e+A&hppB7f$Mq!q:Yf"!87;(0@\\4gtplDg"5!:gY:B1c[an?B51:PO2]Z/
+l.=_Ug$$oJ<]I#$iSi;?;OQJ%deVQ$Q)hsZhV?l?n_*oqr7V)%mFM<iqUtc"J,~>
+iVW0Canto3(B=C3qY9j`rVu9bs5KTVNooj/s8Molq>C9irqZNi&-)2"s8N&B>`A1Nr;ZEgqYL+%
+rV-?loXA@BZ1n:urVZ]ppA=d`s8)lnqY^<j0DtkFo_/"OpA+aao'l;Jrr:TB:gn#&s8VcdlL=iQ
+nGhnU^fP:Hs8N&ts46c;p\=Xkn+Qb\r;$3fl29N;qtts~>
+iV)7)nb2MIq=aXY(B+.)p%%\Do(V5Cq;%FCMrF!rr;$'Zq=ja\s7['&lhUSSpV^'elhL5Pn+lYQ
+pCR&`qYT?O='2<dp\X[Yqt]jZp]C0`p\jk@p\spYp%@tMq#C-Zn+6ARrQL<f;-MiNp?M#(kl:A?
+s5Ng]9OR>hp\O^cdI6i%q>'ailLF]Ip[n.Rl1a01qtGU~>
+iR[PNn^R*[n^RBcq:?D;g=Om'daQ_!`SK4\G`Z[Xc.Ut.f[o]Is4S"DdGO'Ci2o(Uc.^k-dG*:L
+faulhlKcrd6q*0dhV[&@h:pHTf`KdXg&9VYg#:W7f@SU*g>Uc7dFI"/j19ap5tT>]imuc*dHKK8
+kfi%Y2Fl?\h;-lHZd@@TgA0D,bgY>&g"+d/l.Pmbn^[]mqUtc"J,~>
+iVW0Canto3"Si#qp\t0l&,-%ns+#I2nGN:cs8Dikqtg6jqu6Eiq[``#qu?ToO''m2s8Dois7cBf
+&H2Y/qZ$TEITE`Ps7?9in,N4\!r;]jrr)lp!VlNjs!7=5s8DZgs8UE+A9E-J>^5P@^%D.#qu?]`
+rVunC=0hl+oChnWrrVids7uTlrri5nq#(0Vr8IPMr."~>
+iV)7)nb2MIq=aXY(\Re&o(`+UpZqkCr-NV"mJ$GRqY9dWpA4O[q#C(!q=+(Wo_=2=cMm\8q!n@S
+qY1$`%eo;\rPrqOVt9rTrqGXVq=k$bp\4[^s7\2=pAb0lo(;tXo(W1]bDT\ACNN?fh5R^Emf2nY
+s6'+Nphid(p\O7HnbW:cnalbUpBU`tqY'LOp\O.KiV*0CJ,~>
+iR[PNn^R*[n^RBcq:?G4h:U0.gXt3(iQ9kZ<h%=dgYLZ=f[ndIg&Kb:hq$QEh;N<3Z/FEkg=,!0
+qUlG6i8iPKlEOSONnWUCjP.o>q:Pi$f\-8Xs4K'WgZ7MWf@f9BfA,NHY]*'4>%9a"ba"dMg?@>S
+k0;]@i`J+"hVci3eD0*Eda[1Mfa$Kogt:-,g"biFq:P5gq:PStJ,~>
+l2:ASnbhqSnbhYKq>:rurr2lrs8N&up@*:PT)\ZerVQHgp\b'grqZNi&,6,&pAF,aJb]9ArV6-e
+p\Ogfr=Ac)r;?T\Q=%T-p%n^eqY^3es7u`nrr!'!qu$9ap\Fgc(&\+(_KSdmU[J/m=l97>E7Vu-
+q<%YTrsmO]B)_Z,qu?Hgq>0jaq>'sfpB16grVc6`g&([EJ,~>
+l1b#I_>!d!q=bTmqt^$eqXaUamH8K3RK*$Xq"FCSp\4OZs7[&orV,gRi*1O!rq6'Xo)J:WpC[,j
+n+H5@rnr]7](GF^qt'FRqY:'arqH]lpA"=PoC`+W-i!W/^2lq]S`BOI9[`ikA]qX_n_a'?rr1#7
+>P.F^o`+OVo_8"SpA+I^ncSOXq"X@Qg%P=;J,~>
+l.>a^n^m<\n^m<\q:>An'[PLdf\bE5h;QZ#;6"p#f%f!3f@]TGs4S"8j5&;Ba[BOfi7H]5eDo'T
+g&Kb:g#(Q=kfS$1U"\#LiS)o;qUto$!87A*s4IP2g=Y'3rnJmWiRO]*0M[>JkaOZMlYfY0UZU:L
+gud\]ZT(D.fAYHEf%AR+e_A^Og&BJ'f%A^1nCd?an^dNgqq6K~>
+l2:ASnbhqSnbhYKq>;'-qu$Kno_8C_`P7f3rr;]hq=j^^rVZQhr;ZZnq>L1$p](3_s0,>=s82Wl
+q"Xmbq>:a&p](9arVuY\Bq>2%qZ$?g!W2forA+<JqsjR^p@eLcqph$<<-G1mrVHQJ9uH\rqLj";
+k552UlMn.qG5qF=p]'^^meQhYp%eOcq>gHmrrN#knbh);qtts~>
+l1b#I_>!d!q=b^%q"OX[md0c=]XF!kq>^'[o^_YJq"OLYp\O[bpCHfop[%jW8A=upo_S1Nrq-$\
+&,l"nqs3tUnW.%?nc&"Lo(i"\p@nR]1ACM9lh1#AnG)kQc]M7'E1tbRn,1Eq\EiAIHu6p]p&F^G
+oVYT&qXFCOrTaFIpA4RTq=jp^"o%lkqtBUNpY#9;pOE~>
+l.>a^n^m<\n^m<\q:>An(YRElg=X]rgX;XZEmE@pdb*.#f%A^0f^merg(2fth9tGJ0r3[Yf%eg+
+i7@_W&)l*siR-HCf60W2gZ[>Ig%j>&g"QG[1>:F7dG<^4f\kcF[s:.q=GaZHgZuL*Ut=,NAQH%S
+gZI85hN9p#iRd&>i6C<*fA#!-q:Yf""kh\fh:U6Ig%!_bf(mtqfmj~>
+l2CGTnbhqSnbq_Lq>;'/pA+^_qZ$TALViKSqsj^`qtg6hrVZNgr;ZZnq>L1$s8MiorHMoLrqZNm
+qtg<gq>C9m%eKAns7--aTk0S[s8N&sq#(-i1Aq%Gs8M]gs7*:2;HeIVl2LYWs7cP"X8i%rc+p/j
+\aK=opnUlKqZ$EiWO`'#s8)Egq>:Hsrr)irs8MNcq>0(Iqtts~>
+l1k)JiV2m;nb;kQq=b^*oCVkLo_J7"I_"\6p?qtSp@\1Tq"OIXp\O[bpCI)poDA3"?1Rg`q#'jY
+q=XRX&GuLqnGiCNq<jSQN9'm,rq?-]rqJ8Cp@SC[n+H_HWG,%*G-L$%p[S7JohhCSn+t#5Sn#+j
+o`+EK8V6I+oC\odqX4CXo)AIZ#5\/jq>0s`nFubOiV*0CJ,~>
+l.Gg_n^m<\n_!B]q:>An(Z<`kg!\C)fqr,FaOA_biRlf7g"P05fCR\qg(3)tg#:dj7bHMIg>:K6
+gXl8S&Dc9le)]K7hpm0DG0]4)khPsernB3^g"PZJfA5Z>O\mqt?C8pohq[MMj?S[^gZGZ4KLqTW
+g?.(@1Mk\"g"V:KgsG$4e)0uS#2ItegYCT=nCdWhq:P5gq:PStJ,~>
+l2CGTnbhqSnbq_Lq>:g(o)8U]s8UicQ-K@,s7Z?frr)lp!;lTis82fkrVI*)qt:!1@]]V.r;Z]m
+rqcEf&Ea#mq#C3[rr)l2A!HWcq#C3h!;uip)Z9L/qX4@_igjIVAs0dns8W&qs8V`kCPr/Zrr3_`
+J[2N&qX:ahK)blEg2FCcq>^6as7uTmqZZilqY^Bnnbi4ZiVWNMJ,~>
+l1k)JiV2m;nb;kQq=bI"n+cbJs8LBLN5YYgr:B^XrqQNf!;?6_qY:*b%f,eds1hg6s7l?bp\4LV
+q"G?[s8Vcip$;ADs0>^]kPa`>qXsp`rV//Bp@RSBqq@<;9O<U_jo>ARo_J.Dra:6RjnJWOc[2dp
+`q8Gm89ah,n'c$UkOe]Fo`+a]s7QWho_%tTr:0OWp#5WApOE~>
+l.Gg_n^m<\n_!B]q:>An&DbXag<\a9ZBB($gt1?0f@g/Ws4ID)o%F&s%c?$kjf(V,k1eSEg"G-3
+pt64siT&MFfZr7*k+"_ZeEY]Aq:bf%1>:F8d,F-+J3u7eFe6tFlJUR\i77*dCZs(%j63mZOH-<o
+d#p.mhW34t9p<]Mh:C-8q:Yf#"kV>Wg"bHSg%j7qf]guaf73~>
+l2CGTnbhqSnbq_Lq>;'-o)JaYs7Mn:g&M*Ks8)Nfr;HQiqY^Bir;ZZnq>L1$q>^-aN+__]qu-Kd
+r;ZQkqYV$(s7#mbnbE.`s60LLH%>)Xs8DumrA4BKq>('5LLs_*X7Gr^s8)E_qu$?fs,:Fes7uNX
+s7t>VNqEAKL0XTJgLQNFqu?BfrU]j_#5eAurVQHgnGN+YiVWNMJ,~>
+l1k)JiV2m;nb;kQq=b^%n,N:Ls6>_nd/*\5rV-!Yp\=LUp%S=Zp\O[bpCHlmn+;9?lML;Mq!e%U
+oD/7W'DVUsqZ$!Vs7u]Or8;C4fCeh1p&+O]pbMU:p&DmY?;b:.lL"9>o'Po;o^M>KJQMOEnabi<
+o@.$&n+uO#;=No$?&nXPs7?'_nG2e_pA"IYp@\.Kp\FL@pA=T7~>
+l.Gg_n^m<\n_!B]q:>An(YR*kgWABtF'Z'*gst63eC`I.g"4j/h"05!g(2lqe_4k2e)B!6g="[2
+e_BoQ&E(jdhTsd6gucT<b#r,minXCar7a!\f\5PkC.UQ`Nn)e?j5&AAhV[,Cl>8oGkh=e8hq>J'
+D:7IuANSMl\jLJjf\t?6gX5iM#2%Yag=Y$0nCdWhq:Or_qq$>~>
+dJWh;l29fCq>:d'qtC!ds89=Akl:\WrVu]ar;ZZnq>L0qp]('BBSZ9\o)'m4q=sd]qtp<hp](9m
+d;jO!s8VQfrr;for:p0fqZ$ENNbD4*[e'Oor?(h7q7:>7s82]kqtp?>k@TMLc=_]mKV7])r;-0`
+rVkdRe,+X~>
+anPW+iV30Aq=bF"q!n.QqXLVphu*?Aq#'jVp\O[bpBU6co@%)smJZVM-i!N6q>'g\p\41Tp[c=7
+Cu>0bj7W'Eo)JCQp%S1Yp>(I27qJjhrV6%-mJQCU@da-cp%J(Qq9@r.J,$odGD^g:kOA6=o_/.Y
+iV1gpJ,~>
+dF\3Dq:5#en^RBcq:?/6f?r7%g=)%K^tm_mf\=sBg&Kb3fAYDn8SH]8g@Entf@BiO+PGK"io/^u
+;H_6)hTO^/k1JeMfA#-9inM=g8MEo+eE6P_+5,l3RnMAog=tE;g>&pP6tkS^7UC(EJ'-6nf@AL-
+gu6rVf]1P5~>
+dJWh;l29fCq>:NgoD\dinA^mcrr3)qr;HH^r;ZZnq>L0qr;Q_a<l4n/o)&LbrV?Kjs83u=qYC0c
+c'ECcs8Dutn,MqSrq?-efT9NLL:c[Ls8;Tcr>u"7hJ(^?s8)`mrVbgQURK<ol-.`Np@nOcrV?<e
+qr.J%qg\~>
+anPW+iV30Aq=bEfnG3+^lFW)<qZ$Hap\OUSp\O[bpBUEeqNF[cqsEtK!;QNgs7lWg8,;cIp$BPP
+B!hR-rq>INlLXc>o)$pq?!;`aiV36An+HDIp@\.Pp%&(Ldp^\rq=OIWq>&tASs-nMhSRM(n+-8N
+q"FIWpu1trp4*~>
+dF\3Dq:5#en^RBcq:?/%ce7:4b+3LlgYpo9f@e^?g&Kb3gtpt72l#H_g@Entf@BiOs4Kisg">35
+XEIF1k1SnRbi7"&h:C6:\T'r$AXpg!iSE&@gtpiCgtpoCl.WmE]@l)qhV6i@_q9NcW6`PaZd[IT
+gYLT8f\bBPf]1P5~>
+dJWh;l29fCq>C6l"Ru$_\:X_["TA2prVQ0`s82fkrVHj"r:ji9pAa^Rr;6Bkr#bt3rr;ipgN\%R
+p&Fj`s8W#sqnRhgBV*K0rVufeo_SC]+9)<7s(SV*s8)corqH-djnjXUhZ*KIr;HZqr;-?gpu2/"
+qg\~>
+anPW+iV30Aq=bEus8D9Ns/gMArVQ?^p\O[Up\O[bpBUNfnm>blrTj"JqtU3c-3!E0qXa^5DJQ35
+rpB1Kq=Xd\\pmdoR`F=[s7YmKp%J.Rp\+@\p)a)!qI-5dqt9j^qY'U^iUh>4e,St-p%\F\p\4LY
+p#5Z(p@J$/~>
+dF\3Dq:5#en^RBcq:?/4iSD]%iK%-shV?`5f@edAg&Kb3hqZjQ8D!"Og@EqqfDXAmiR?T?g#T_E
+<0>Mhe^iU8gZI7`A3<M7XhroRgsOX(gtLQ;gtLQ=hrEAL8rh<Xf\YE>f@Jp!g0n-tk1J8>gYU`=
+f\5$0iS!bRn^d<]J,~>
+dJWh;nbhACq>:ctoD&@_oWIofqu$HnrVHB]r;ZZnq>L3jrWUJRXT/.snGN4]s83<*p&G'\s8V/(
+;Qp&rrr3MfNcoSXU$hFMs8;]gqu-Nir#bn5q>YPgo)ALcqYg!bp](8gN4e6Ir;QTkqtU!cr:o7K
+e,+X~>
+anPW+q=j^Ynb;kQq=b?jnFQ\Qm\B+?o(2YQq!e%Sq#C*gp]\W@V"aHWnFukUs7[W6nGW=NqZ#Ab
+6D*]4qtKm>LN%3ASaGnGr:fjUpA"IZpE0,!nc*EPm.g;PpA+7YpAb)YJ[*qtp%S1Sp@J"Sq=W_@
+iV)m;J,~>
+dF\3Dq:5;mq:>)cq:>An&(AkRiRQ5-c.:@nf\5!/f'D#hgAg"6X$Ma'gYplVf`9Y$fgjuLi8Dl9
+jM=\DLtC2;hqu4d<`V_BdF7.4g=Fm.gY:H8g=b35g=k?9g?;OFdb`[7g"b$6fAttDCR`/kgYLQ:
+f[\U.g=G69n_!B_o@/9~>
+dJWh;nbhACq>:Ktq#(0\c?\:ErrW#iqXXRaqu6EiqZm0#L3)q[q#BUV+8tp.rr)Tgs5/i=WrN+\
+P$2X)M"gr=s75p_s8MrmqYL*hr#YG/s,1Rbqtg<aqt'jRs7cQnTl8?YlhUGTq>1*hpu2/"qg\~>
+anPW+q=j^Ynb;kQq=bBsp%SIMaDTK$pA+^co^hVIqY:*b#Q"4GD<gTZs698"qXaCWqXjR_d!\ER
+o_R6r;I`[XoDe7Yn+?JSqt^!\qY23-p$2;KKjsTGpA4CWo)J"TnG;pGA]Oi3o_/"Np\Xg[iV2=)
+oCmb~>
+dF\3Dq:5;mq:>)cq:>An&)5UchT;]m[Fs0chV?W/f'D#hg'HWnAlI12g#h#Xg&9Y)fgjfHf%f$1
+g#BPV1PXfJ_f7b34DNU6e`P6-gY:N9f[ea-g"4p/g"G-/i8eZEf@ej5eD&I4bN.78ida_*k/u</
+f[e^1gXb?:n_!B_o@/9~>
+dJWh;nbi4Zl21;S#Q+Q$p&G',p\t0qrqcBcs76*fqu6EiqZd)Y=,m7Us7#scrVZR8oDeUYs7u$X
+s7)4PTquO-JtqK.q!RkKs8Vujp@nCYq>294o`+`f@I=!gr:Bm]s6fj[s89@6f\lf*rr;rprVZHL
+r6tOn~>
+anPW+q=j^Xnb;kQq=b-hs82<cs0V.lpB:9ao(W+Rp\O[bpBUTL;2>2Aq"=1Orq?9a+7T4$p&FjS
+p%@3m7?EgB:3W2cs7GUKo`+pco^h_KpA+J*p[%eIV-E0Xp%\+UpAaOUnG_sZX3TDuo_J@Yq>0p[
+iV2=)oCmb~>
+dF\3Dq:5;mq:5#bq:>>m#N4@`iSg*Jg&BV+e^E%(le2<l#iWQXD<T^4gY25OqqD)'+48ime)Aj"
+fA=\e0mnOD3+7K]khFM>f]1f>e'c^qeb[l?g"k3>g5A8?g=Y0/h:L]4gt(]DQBJYjk1ADDg=k<8
+f&><Pf^[Pae:7~>
+dJWh;nbi4Zl21;S#QF8gs7j*bs8MrrpB(9ls76*fqu6EhqZ`Ns_uK`9qXOIbrVuosrVud7oDe^Z
+q>'^_r;ZeHA7'!3rq#p_q#CBgqXj=Orr2unqY;92s8)cm_dLdeq>U*eq#'s^q#C']s.r]Ao(rCd
+r;HQiiV_1%J,~>
+anPW+q=j^Xnb;kQq=bEsmdp>HZ@qrAoCMMCp\XmZp\O[bpBUAV=hXk/p[dqL!qu<[rq?Bd)t<n)
+p&"X\qsF=RDGsA9g[jb%p@S=`pA4FOpAY'lq"je.q"jUXot=POp\"CUrV-3bo^VY@li3GKamJcu
+qYC!`i:l4(oCmb~>
+dF\3Dq:5;mq:5#bq:>An&),:WgX;6sf[J@"dF-Y#g[!Pmg'HG[5GRH"i7ZiUf`9b)h#H+.fcSPr
+g!J="db<:9i*&?,7E+*4g>:TFkh=\9c-kD)gXQ)M+P5H&hqOnkXkMF`f&#'7f@AL2e^`f61U#0X
+h;$`=g=YB;n_!B_o@/9~>
+dJWh;nbi4Zl21;S#QOPus7rUCh>[EWr;Q`po^Vh[qt^-d)"CjYqYU6`s8;clqu$?hqu$?hqu$?h
+r;HWps8Duq8,rAXq>1'fq!=`#An+l>rqZTop\b!aq"sseq=sXYqtp3dq>:!bqu?Ths34oVqu-Ql
+rV#m`o_A=`q>AdHs6'"PrVZTmrSd\'qg\~>
+anPW+q=j^Xnb;kQq=bF"o_SOXT6/NSqYBj\rqc0Tp\agcpDE3sG4bG#mJZeSp\=LXp\=LXp\=LX
+p\4C\p&FacpIG2Tp%\C^rUo*2BN8#%S+H1Mr:0LVoCVhTqYBgWpA=X\q"a^\q"X^[o)-O2XS;Jg
+p\a^Us7,^Rs75j.W;5B<pA"CXqtf:Gi:[TRp@n:Tp@n:Tp@n:TJ,~>
+dF\3Dq:5;mq:5#bq:>An&)Yjih:$mT[+F'df%Jm4d-THcg'QQ^4C$Uogsb38o@X,trnRJ+(YRZr
+f%J^1gXaMs<^B#,L#(JHjO`2Df`'J+g""U"e(=HH+P5E&f]'"tP1naNg>1?0hpU*1k1JFqNo.k)
+g=t<7gtUf@n_!?^%+NkXf$r:#f$r:#f$o3~>
+q>8S;rr)lprqksXq>9^[&H21rs7u*$s8VrqrVZ?gmecSQ,PqH?pAb0fs/0,Eq#C!]rVQEfq>:!b
+q>:!bq>:!bqtg?mqu6UOo)A[hp[J4LSS)3%s6+T1T)J<]s6fperVZQjqu$?hqu$?hqu$?hqsFF]
+qTWEIp&4gdrql`k&-)+ss7--^UMAWYp&F[^s69IGqt^0Uqg\~>
+q=j^[g%YL@s7cNdl1b#Inb3Ukn+H_Ojgjs^nc/C[o`+=Ro(NXes8)9`q==KX<lFS/n+6&D-M.'/
+o_JO`lhL>Vn`p/:QX!CSpt][^QM'YFpuhPRq"ORXq"ORXqtMB2q"X.Sq"Da3U[RmLp@n=Vq>('[
+r;Gs]m?h8/lgFZ>q>]^Rl1XrIlh5i~>
+q:,5jg"65Us4@8$l.>a^n^e<+d+@:-aIUrCeDo9:e`"gDfalWmgsk6=f]@rRWn?I^e_9QH,hLl.
+f\PWFdGEmGg!]*2JP&.\jNCReJ)8Z:grnR5g=b*2f@g/TrRLnr+P"TogY&\oM:LJ<gtLK8f@Ss+
+h;6QAeq?]1e^WI)g>hGNl.Ggbpt-#+f[e^+f[e^+f[e^+J,~>
+q>8S;rr)lprqksXq>9^[&H;A&rr1YqY5@ndp\=7Xr;6'_&GuM,qZ$?joRD5Fr;ZZos82E`+T)3<
+s8Vrcq>^3cq>/`m;KSr!s8VubVFuaFqsj^]o)&"Us8*Z2oDe8pU&Y)ir;?Hhq=sdRr;?*brPOEI
+rVlo`o]c;<qt^0Uqg\~>
+q=j^[g%YL@s7cNdl1b#Inb3Ulo)JOYdVGNFm-aH;n,N:[o(N[gqYBg[o(qd"FkQKgpAFp[p`KG.
+q>BjLo)J1Lnab%M8o13UrqH$ISjS)/o]lJHlh(#IqY23/q#'U\l"-:\p%A%Pp\=O[rUp-dmJZUc
+HIMZdqZ#aKl1aH9q=j4KJ,~>
+q:,5jg"65Us4@8$l.>a^n^e<,e)B'6[82M+cdC7nd,EdMfalZfgt:N:imqOD^YIi$hVI_T+5Y`,
+i7H9,k1JMFhn<MY=cg_jjP\IC/8++tcK*L#fDF8$fDX7udi[2qdcA_IK&tkGgt^W:g""a!gYC09
+hP=l#ioK%YaO9>+l.Ggble$^~>
+q>8S;rr)lprqksXq>9^[#QOT!n,MQ`Nr8nZnFl_Unb`pnrr)lhs35)_rVucmrqZH_q&oS-nb3"_
+qtBmds3uBm?_[2ks8;Zls6@L$N;rqFs7uZbr#kn:p[J4_Ef0enrVZTjqt^$Yo)&7Us8VHcGDH4\
+q>^KZr9=+Sr9O61~>
+q=j^[g%YL@s7cNdl1b#Inb3Ump&F=ShHY^+s7ZKkn+ZYQnb3Ocq=sdRs2SHMp\X[Yq=a@R*q8I`
+rVuNYoD&@0F%KH%m.L/GnGE7F]1n"SrT=+Mp@nL[+Sl!1m/HitK(Sa/p@e7Uq"ja\r:ogXp>P[\
+I/Mpps8V?Xl1XrIlh5i~>
+q:,5jg"65Us4@8$l.>a^n^e<-f&=j0_*DYdj4WJLd+@"Afal]agtU`9kH@@Bh;R&?gXYiI+4JNa
+j5o"Fg#;/&?8P!&fAbiJgZI_CUbcfCj36N6g\]\&fDX8"di[Aqcf*e[CYdk(gt^W:g""Ntg=b!5
+im$FaB'%%aj5]CWl.Ggble$^~>
+q>8S;rr)lprqksXq>9^[&Gu;'nGiETMU;Cns8Mfgq>9^[&,?/$s8)VTD<h0$pAOj]qt'Uequ?]o
+nFZ_[(X%5/G-(*2r;ZWhqtp3ds/J_9r;Z$]rUTk/qtU*dpA]l"qYgBjr;6Beq""4Up\Xmfs87dg
+mf2kCs69IGqt^0Uqg\~>
+q=j^[g%YL@s7cNdl1b#Inb3UipA=1Uo8eC?q<ItTp%S7Vnb3Obq=a[Woo!JDs8;E^p$qVJ+SYp9
+p$(lAs7jKS:i<)js7H'VnalABoD#(KE:s+fs7Z3]qtM9+r:fdXJ:$k[p%J+Rq"X[Yr;--]p@e=P
+J7.O>m,n92pZ_DIpZqO'~>
+q:,5jg"65Us4@8$l.>a^n^e9(fA4^3eoP?#gs+g4f%BKF&(f:cg#1T?F&1$Bimc]6dIPs6g>qDN
+cdUn9hQ1$D=,kMhh;I&Agt^W=iJB$bgYp69g=lJXrR_"u+k+ukg=k*7An9ZQhV?o?g"G!)f@\^/
+gu%5LCe;t8d`LA1g$./bg$@:@~>
+q>8S;rr)lprqksXq>9^[!VQHkrsJPEEOPc?s7cQlq!\+irV6Emh-ZBGqu-<irVl9_*W5s;qRqGT
+=f;,rq>'a^s8W&ss8)?\[o@D0s8DKYr#kn2r;ZWnT7R%@rVZTjqt^$[qY'X_qt^9`s7)l-qu?QX
+r9=+Sr9O61~>
+q=j^[g%YL@s7cNdl1b#Inb3Rbqtg0dn\StAo()YJr;-*TpC?uir;5)KNVW8AoDJCZq""1Zoc<c)
+s7EdI85l5Ss7>jOpA4X[q"aRLn?G`)huEH:p\4R[*q]C1pA(,%s7Q'Yp@n@Wq>($ap&"FPqs4:H
+S&P'ukkF?8q=j4KJ,~>
+q:,5jg"65Us4@8$l.>a^n^dcirnIn<e>5g"e^`L*h:pNNg&KY6gXbBC^Hm#$gYLH;g=b0Mg)o)*
+hW<tVSRF-2LYCnDg"+s:i8*8Ig=+W>2H7`\hpMDVrRq5&qpce;g>glDIq%WuhV?o?g"G!,g""[1
+gY1`<kgG-bgY^`Lg$./bg$@:@~>
+q>8S;rr)lprqksXq>9^[&,Q;#s8)HhQF-)[s7H?gq=4@nqu?Ths8B3)c2[G6qYp?hnbXF(qu?TF
+Rr2K"hYHX:s8;osq"=O]p\k-is4UpsjT#8Nr##>2o_\[`WFGDrrVZTjqt^'aq=aO^qtBserrd+i
+p]'dJr9=+Sr9O61~>
+q=j^[g%YL@s7cNdl1b#InFmFioD8(IpPl68s8;?`p@RnL%efeooD83^;TJh*p@\7SnFn'sp&"I0
+Q"X3_f^nD$rV-3eoC2JInb<(Wq:&Y[hY[-Bp\4U\+9(p,rUQ^el1O`Cp@n@Wq>C3cp&"LQo_A1\
+@t!nImHOB0pA+IKp4*~>
+q:,5jg"65Us4@8$l.>a^n^e<(gst32db8Z#aQ)1*hUpELfalZgg=G3<P<,o2eD/^2f@TTI+l(i.
+j5.:o:-<j:g!/1,g>1Z:e(NF+h<*MM]L5H5j5JemgAT_(fDO/@h9t$8fSMuDhVR&Cg=b02f@\X)
+hV-Q:iS`onA(Tegl.P=Rq:Y)dJ,~>
+q>8S;rr)lprqksXq>9^[&-)Iuq>^<ke9dq_q=ajcs7-!tqu?Nkqs/raq#C0iq"a^ZnbXF.pt26S
+Bs@U.s7c-bs7,mMs8W#hrVPsZq>9Q*?.o8Kr!rW(nb)qO`_sbRrVZTjqu6Ekp^Homqtp0_qZ#+=
+rV$9Ur9=+Sr9O61~>
+q=j^[g%YL@s7cNdl1b#Inb3Rnp@._Np&E9YS*ok9q=O[VpCHuqp%\4AIs:J]oD8(NoCDGG+TCr[
+RUfp.q!S.Pmf37PoB-&Pp[@nNkP"N?kB'eSrV#mXs7d]9naZYE^e294p%J+Rq"X[]q=jUUp\"+I
+o_Ql$p[J1HpZ_DIpZqO'~>
+q:,5jg"65Us4@8$l.>a^n^e</f@&7*fAj):IaQ]ogt1KSfalZhf\>0(B4'BRg#1H4e^F$B+l);:
+]S&sOOP\CDe^3@4cI9kkj4Vi7fui+'h9TCn^$"2KgA]e'fDjAChp9g3d&&UqhVR&Cg=b02f[nd-
+f\5*4f@o/ieD8^7l.P=Rq:Y)dJ,~>
+q>8S;rr)lprqksXq>9^[$NB\rrVuQ]gM)02rr3#js7-!tqu?Hkp=a8Ws7?0gq"t*inbXE7Lg=\s
+p&F[ao`+sbq>^6ip[\7^s8Dusrqc<CIpp^pr;ZX8pA=m`qJ*A8rVZTjqt^'^pA4RVqZ$BkrV->T
+FoV1"r9=+Sr9O61~>
+q=j^[g%YL@s7cNdl1b#Inb3RknbDnZnE\S5Gjk\3q!.\FpCHupoD\7/A=i\cpAOUVr:ogV+K^2r
+@]8bqmf2bPs7,a]oDeCKp\t'br:p'Zn()bfb4bK%rqIQ.p]'aT@]T1pp@e7Uq"a[Xq=jCPqt'g]
+nGeDas7#:Il1XrIlh5i~>
+q:,5jg"65Us4@8$l.>a^n^e<,db<F8da#<j>LMNigWeODfacTff&>2k9SVTXguHu<hXT;Cgm;nE
+9T[lgeDns3j3cB6e)8[!fAPK>hqm5Ff>(ld[+tT5rRq/$s4&7DeCs!7g.R[ehV?o?g"G!-eCrR(
+g"tECh:C\-<9DcclIkFSq:Y)dJ,~>
+med%^rr&hoqtpEk&*&nQs8W&tr;ZWgr;QQhrqZKlrrqunqe:EWq>;'.p\OpiqtL'[s8V`ks3cNo
+D6NL0p@A7Rq[`Z!q#CBDMG`:!s7uZonc/I`&Gu,"p\4^aI%gN7s8M]iqXsa\s8)cj$2OV)FStY(
+qu-KmquH]pr;ZZnqUk]DquZclq>U<lqu6Hhr."~>
+nb<%Vs7cNfWV?;bs7[&\NM6CGo_e=Xp%.qRp%A.VpBUWnmJlihFo)(1rV%0)nauk]p$qeCrVQ$\
+s3,m^BWCG!o'ZJNoCrmkq==1Xqp0sig$&>)q>0IXqY(Qrnc/4Prq(<#p$r"UnbW(SqY(Elo^qbR
+Vel"ho_/(Trq?EfrqHHdrq4q;rV$Bep%87Xs7ZHbqtGU~>
+n^RQhs4@8&WRpt!&&<.;j4W&Bf&#$/g"Y-1g\KM2gtU3:gIY]1hVR&CgA]bDgt19AjkJDCdc9<9
+io[OV1/a@fkh4GEg=b0YfDX7uf+H]ihUgNFjgf:f^Wtfkgtg<:rRq/$&('4bf&YOjK&55AhUL<6
+e,%]*g"4j/j,d9sdF[%)gA]b*gA]e*f`'LTf_sJ)f[n^Rg&K_(fDF6O~>
+med%^rr&hoqYLj%pP3n=qYL*hs8Drss7uKhq>:Kpo`+[4Aru]]r"o81s7PjUs8W)fq>\rp=_4VX
+mIpAUs7Z![&+ol#q>L$.P"Y$=pAamcqYL-iq[NT"p](#8K`:fHrV?HjrVHNgs8)cq%I3u]caEfL
+qu$BhqYU6jr;ZZnqUk]DquZclq>U<lqu6Hhr."~>
+nb<%Vs7cNfWV?8a&GPaICrl)6nGN.Xq>C*]o_A7V#PRWdo#b?tn,;tYpD<Q%qsWe?qu6BUoDQs\
+;dZEDkjnEEqss:P&+KGlp%e0rN^_t'nGi(Sp%nF_p^[>qoD.ruI.m+*p\"F\qYBjrqu,UTk/XM!
+oChqQp@\.SrqHHdrq4q;rV$Bep%87Xs7ZHbqtGU~>
+n^RQhs4@8&WRpt!&(G,cX4,PIi8*,AhV?]5gA0D1f$EC,YXWZbhVR&CgAT\Aj5JP7f\toJd+RHd
+?o^Z8YgV4[iS`8>g&9P$ec","falQhhq[/CX`Z5:hq$l=gXuJXr7;D7f%/a2>\2gHhVHi>h"]M4
+hVcQ;c`i_sf@\d0f[nd0rn7>(rn#fTrRh8)f@KrSs4I>&qq6K~>
+med%^rr&horVQTi&Gu7oc-#/@s7Q<fs8W)oq>L*d#58)nVd@F;q>;'+q>C9mrqZ9ds6,bG>c[Gb
+s8Vlcs8Vf_q[`H$r:Kpeq;#k)f)G:@qYp?h&GuM)qYC$dLMHkfq>:*fqtp?grV-Wns7cQgNH<)<
+qucilq>:-gs82flf_bXF"T/&kr;?Njs8)WjJ,~>
+nb<%Vs7cNfWV?5`&+f5-_:n)OlLjoJr;$!Wq"XRfnc/9U=MaM*pAO_%p@J"TrV6!Rp]'6793.nU
+m/R+Xn,E@Xnb<XdqtT[Us7P&WB[HPAs7Q3apC[2uqtB^Up4$QJp%.kOq>1!_rq?BdrqHs&nc/*1
+B"I[0p\+7OpAOacpAXa;pAO^gp@\(Pp\jgcp&"K6~>
+n^RQhs4@8&WRpt!&(T%)UqY(5cIgh*hV6W4gA0D1f?r[3LH_]ihVR&CgAKV=gu7;Mg",!AaEB:#
+Mpg#8kh4JEj44+]q:GSu&_>gne_TBC^eR_7hUCT=gtLKZfauokg">'7BM7CBg"Y98gY(6Yg&K_)
+ed'mhfB1b&;l9QI"5)2Uf_sM'f`'LTf_sJ+f[n^-g&9S'fDF6O~>
+med%^rr&horqlWh&-)2"G_H%qs8)Qequ$?hrV69ps7cJFB)MZ'qucrrq"aph&*fck?CBF@s8Mon
+rquQerUKaqs7u?arVQNmk':Ufs82ihqYUg"rUp-eq#@"!s8Vijs8Mfnqu?Nkp^crlq#15tWU9]`
+rVQEdqu-Nls82flf_bXF!rMiiq>:'eJ,~>
+nb<%Vs7cNfWV?5`&,tqmD0G==oCMVHp@n:Tq"XRfrpoi5@.sBopAFY#q"F:Mq>:!KR8m@QdI[A6
+p\=U[o_&%Mp^d>rnb2eQq#0,l@EeZBs7#mZ&GZ+pq=sOYQsTUcnb)ePp\4X[s7cQg&+TJfp\gtZ
+iqN6Cp@S"Nq#:$fpAXa;pAO^ep@\(RpA=T7~>
+n^RQhs4@8&WRpt!#N*h`;-VN'f`'G)f\+p1gA0D1fA>'4A4GG6hVR&CgA]bAg>:W;g#(cGb'uK:
+H+2JfhqHi@gXk*5r7M5)g"4p/qq2S>f[SU0g=tW.>=Z!YgZ-c:gA9J4e(i^1idjVZjO`/Cf%AXR
+g&K_)edp3_fA5SPMpC)2g=Y!-f\6>Xs4I>&f\$/U!nc,Uq:PStJ,~>
+med%^rr&hos82fks7cfomem+<Y,qX&#5e2iqu6Tlq>:Kns7OuISH&K^r"o81q"4UdhOmhML!]bo
+o_\[ZoDej^n+uSM&,c1rqt]gTs8VM3B@m1SqYL+<qtfj_r:L#rC[hAtqu??bq"ssbqY9j[p\Fd\
+oDei*T`+igrVQKirr2iqqu6HEqu-Eoqtg-aqtp;A~>
+nb<%Vs7cNfWV?>cs7m6$lhC2"TUbZIq=aFNpA+OXq=b-ds7"H9QN$RUpAO_%o_7kArr:Q:9Mg/Y
+o^_AArUKIYs75URnb<Xlp@e@XnalYTk]1+Zqs<tOpD*Jtnbr7Nr2aDlr:'CXo(_tQp%J+RrqI$#
+r:01Sr`t`]q"a^Yp@nC^p]'sdp"9!:pB(']o_J4XpOE~>
+n^RQhs4@8&WRpt!&'W_]ZA!nagYCH3eC`O1f_O2/eDJ`_3dg)GhVR&CgA]bCg>LZ7kNK[32*#9R
+h:pK7i6p*5imZ6-g"HAY"PMM^g=cGYs4In;f@Sd1da[.4crs#MiR7YXrRhn9cf!R-ig!3bjjr2E
+e(NC,gY(94rmhV4h:0p;l:c`^g=t?6f\,$Yg&K_(f@\aSf`KgXf(mtqfmj~>
+med%^rr&hos82ilrV-Tsp](8oE5qnW"oS2nrr)Zgr!3-!s-67Ap%J4Z(]4.1s6d(2;ffA7qu6Wq
+rVl]jqYU0cq!n.jnGN=]pAOs_s8M2">L!'FqYV**q==R^o_Z47d/Wk;s7QBiqtp6dq#:!uq>:3e
+oDEoQqYU6jrVZTlrqufnrqb:ErVQfqqYC!arVQEgJ,~>
+nb<%Vs7cNfWV?AdrV7!(o(hsL?aB.tqtKaVq=sUXpBUEgr/aA-n*p;LrV-?a(&n6qVeSk?Xlf6K
+s8Vijqtg0dqtTpUp^ciks7l<drUfp\iFu<4p&4a](&7Lnrq>dQZ=:oMnb)nPrVH6\p@n=\p^d6!
+rpoCFC1?f.q"a^Zp\=a^s7ZHbf_5:<"SVN\p%A:Wq=fC~>
+n^RQhs4@8&WRpt!&*)0pfn)Y\e_]-8f%Aa2f(mu-f%T#&/'6DqhVR&CgA]b=g>1rUc]D'^<0kkc
+hrs:[gt132rn.A*g"H8V!8RM+s4Iq0g>:E1g"Y'7i5nhXXkVn7gAT\=e^3:.eD$HcZ/O<hiR?Z<
+g"Y34f`'G4f\5<:eD4;(f@\g3g=b05rn7>(rn#fTrRh>+f@JR*rRgr!J,~>
+med%^rr&hos82ilrV-oss5X.R]t]s,qZ$KhqY^6dr!33#k%&T6oDA@]#lFSobC360](H"%$MX)`
+qtU*do_&1_nG*Ucqu-9`rr2Wjq"WcbC[1Nfr$D7<p&Fjbq7:4FrVZWoo`+jdqtg0ap\4@No)8Ub
+r;5aNp\Xpfrql]ms82flf_bXF!rMiirqcZlq##X~>
+nb<%Vs7cNfWV?AdrV6uqr7q>:XK.-Bp&"LUp%S1UpBUKiiEpL&mIgGOrV%-#p$T_@7r>QuqZ$N_
+l0\0:r;6-ZrVu]hp]1'bp_!)orV-'crq?-Xo%IbgjR)[7r:_N4q=X[Yp%,IrX7c2\rUKp`p%A%Q
+p\=R[o(2\Ro'u&$mIKuGq#:!dp]'sdp"9!:pB(']o`"O`pA"B4~>
+n^RQhs4@8&WRpt!&(KINj3EgND9gbhg"+d.f_O2/f\481<9D`ehVR&CgA]bEg>:G_?SGNMe`5lU
+f[A@*eCN6udFm@-g"G*5rS.D0rnRP-s4J(4g"Y!)f\4j3g=jD?:!1r?gtLK\fd,5!hq6]:Rn/e#
+gtgo:i7cr?g"=s.eC;jmgu-rCgW@jmf\5'Yf`'S(f`'LTf_sJ)f[n^RfDjLufmj~>
+nb`=^s82fns8/kprqlWh&,lA)o_AHCEo6?crV#s^s7uQtq>[cuW:p/hq>:Wtig3>AZ1Itpq=jdb
+s!R^>r;6Edq=sj_qt^-bqt^-bqt^-bqt^9aoD8FVo`"L_q#C5?<:p"a$2sYuqu?W,B;GP+rseMu
+p\asdqY9gZp&+jZrr3:AK(&=,r;?Eeq>U<lqu6HEqu-Eoqtg-fqZ$Hfr."~>
+me?bVrqZThX7uGb&,Pu!lg=Ck@b0i?q!mnJqYBjjo_PX_U%%dQr:^-a(A-@C78g/Pp\==Ko_JC]
+r:p*`qt^![rqHipq"ORXq"ORXq"Od_&-):kqYKdQqsXCPrUkD1meukXpD!JsqY'p_ZX96rqt^0X
+rUfdUp@n@]q%*K)mJHYP?$5B!o_8+Qo^r.Ws7ZHbf_5:<!qu<Zrq6<bq"K:~>
+n^RQhs4@8&WRpt!&)5^rcI(BR8@ct"g=+O'h"fV0f%c??LXt>BhVS7erRr+)Ft5P6dbWd4f%T$?
+iSW8;f%8L'e^iF,rn@8)rn@D*&)Pa\f%83mg=#!7jkX<$eG\2%g(i;qeD8g=h4.#ihr3JMced4,
+gY(61rmVJ3h9Om9j@s+-d+6n'f@JOPg&K_(fCmi&f%AR+f%AR+f'M&ff`KgXf)F;$f_F-M~>
+rr)lpp\PNus7Z<Yo)87Qs7u<^qt^'ehYdENrqb4Cr;-Hks7lirrUSpQNrK&&rTjL[pAaaaqZ$Ei
+s(k<mrV$9gqYU9kqt9NKC0m:aqt^!]r'(#Uqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hr;Z?_
+s8BZ[?J4`Gq>('es8Vlos7lBO=ebrks8)BfrVl^"qtg*^p\jd[rr3.qOSAMFqu6Knqt^*+qg\~>
+rqQNfp\#0ms7cE\o)87Qs7u3Xq"FFYhY7'Drq6*\nb;JFqY)T6o(D_@fVjT!rVZBMs7Pp^mec\R
+p%A;n6f@\,qt9USq"jaTmZh?dPM,[%o(_qdq"ORXq"ORXq"OR[pFQ+6q"ORXq"ORXq"OO\m.12N
+\9D'(kPt/Fs7H-coDA@Rn_R-3q!n7Qn,2nYoapikq"aaap%A1Zooamqo(;YTpAjp_p%J(bp\+@T
+p\+@TpXf+h~>
+rn.8&p=9c3e_/9qgXFR/f?i%!e^`CDg$[Jlf)F4qf(%8[f(mtufe(e*f\+K\NGI;-hq?'1f@/['
+gXY$0f]#CKa5#5(h;$iEiSN59GXsr?]\1oeqV(u&rR^kuqqCl!rRW.EhpU0>h4@t=]?fZpgZRAL
+hp^H<f@S&(KAkG@f?rIRfaufeeC;pudF?t3hg]IleCN:Of`9\#fDjP&f_j;+eCN.#eCN.#eGIhq
+f`0Xpf^m[E~>
+rr)lpp\PNukkXfAs7l'_jnSlUqt^0hhYdENrqb%>s84JEq#16hn@3,Qs7$'gq#C!_q>]sXs8(;Y
+D=m]%q#CBjq#CB.DHrC[s8VZas4R<.qu?TZqZ"`^<U9\Zs7ZKcs7lWoqu-#!S,`9`r:^0hrr2im
+qYL!]r;?Tno`)>Jq"X^_r;?HeqSW2\~>
+rqQNfp\#0ml2C>Ns7u0ajnSlUq"FO\hY7'Drq6*\nb;;As7\,;oD&7Vl`ja1p?DDPnc/(No`+7I
+qs_g7A*WRUnbN(So)J^"C0-GHs8D?Us4R-)pAajIo`)mL:Z_KDqsaINqXXIYo_.KXPP=VEp$_bO
+o^qhMp\4IYr;?TglLgsknalGIp\4CVp%S1QpY#7j~>
+rn.8&p=9bpg=+U2f?W?mf&>Q=e_&UGg$[Jlf)F4qf(%8[f(mtufe(e*g>:H+PsV;$bhV1,j3cE,
+i60O(eZhJ6dF[+(iT&_IkiJR:3cMUfhp9g4f\&.Cgre@4X]RO,jkJnNjO`59h;6l@d7\lFfAYE2
+h:L?5f[eX'daH_!hq??3P-<Edf@\d0f_F(ug&9S%f(IPkf)=8$g%!_depm~>
+rr)lpp\PNuqt9a[n+H\Es8Vldq>L0^hYdENrqb%>s83f4q>:3lrVG]WF34IYp\FUaqu??erVr-U
+XSVnq%fQCr[s2bEf'r_=p\Ojcg&*T!s8V]gs7OTbCX<"Ls7cKlq>UEmrqCi&rV?Kmq>^EmrquZi
+qY9jZme6\Wi-CUaqYg<cqSW2\~>
+rqQNfp\#0mqtBj^n+H\Es8Vc\o_A+JhY7'Drq6*\nb;;As7\,=o_/1[q"*F=Cr6,AnFZ>LpA=@R
+q"ot7U$q^Oq>C!^lEbSHK$io_q==4Rp=]0po)AOSpAaU$G\,"llM9uEq"+7Tp@n#uM"U?8p[\1T
+o^qhMp\4IXp?qJGnC2-+oC`(Up\":Sp%R/5J,~>
+rn.8&p=9c-eCW?te(i"&hUKm$f[\=)fDjG$ebRedeFD,cf`0VVf[e^2hV-T"LJXi)f$i4#h:UK/
+f@o5).Z<!<j5T(ShU%Wm:hR/[hqQZ4g=Y*3-.Uu2dG3m7XC+c/imd#ChqQW7gt^`<??+iSi7lf<
+f@ej0f%/@MdKn"CgXWr;ES&h@f_="tg&9S%f(IPkf)=8$g%!_depm~>
+rr)lpp\PNus6BX`o)&4^qXjO^s8)WmhYdENrqb%>s8=8Aq=sgarVu`SB%jZms82imp\Xgep\f);
+s8N&hq>^<CQ!\7/o)A[ho)J^iqq:m$q"OggrU'7Wn7bqPs7cQgs82cmqtp/IKDbQFs82iprquZj
+qYL!^p&G'_s81*gr;?HlqRcWT~>
+rqQNfp\#[&s6K^ao)&4^p[@\Orq5sap\=LXp\=LXp\=LXp\=+Ls7ZHbq=a@Ql1Y/P/beo/p%S7W
+oA!^%Y5\Cnqt9ORp&+=MAlANtp?M2Eo[/_(AZP7ss823Nqu6<BpFu40qZ$<Qmf2Q^:sK%1rpojW
+p@\(Mn:Z/\o(`%Qq=jOSp@e7Tq"XO^s6K^R^VTU@pAagSp@\15p4*~>
+rn.8&p=:8Cakbb!g",$2cdLY+e^`R/e^r@'e^r@'e^r@'ea1off)F4qf(%8[f(mtug+D"/e^rL.
+h:KG0[ZTP,f\P0/f[\j-ge^2rh;Hc9i7bY_5Y.!ahW*G<ce[O3g"@Y%e_T<Bc.(n(900QHgZ[AG
+e_8^1g=^=Rh:UT?fA,!2g"=s.rmV5$iT&8HfrV:.r7M&$q:P`#rRh)"p!irkrRh/'n_!HaJ,~>
+rr)lppA5Boo`+O_iKa$7rqlTjrVuoSr;ZZnqU#*gr;HTjp\=X_s7?94FdMRss7H<gpAap4=bQhH
+rr<#KQ<7@\irB&Gp&4mi!W;]FquZcnqu$:0s4M(&irA]Mrqu]krVHGbGPq=8s8Drqr;?HhrV?in
+p@A%XOh:Ylr3cEP~>
+rqQNfp@]$go`+F\hNI=(q"==Rp\4LRq!RnVpAXa\p@7n@p*ob2q"=4Lp@SCOs2&Z8kkP,Dp\""M
+n\S%HroitRps5%#<gV_Ds6/tIrqc`jo%Ea=p@n:[p&FY'qU8ndh#Hj;p\+:Pp@IpDDtNYoqY'[X
+p%A%PrV$WhoBl,?Krjq?pZ_DEpY#7j~>
+rn.8&p=B8l*T,3%]lD?Pf[\O'f@\d,e()pte()pte()pte(*":fDjG$ebRedeFD,bfI>M-g=Oj)
+f[o00j/#UobM;((gY($1eZLrGlI=_TiO*he3I8L$j3#g(rnRV.eC`FTg=cJXs4SFO]1Pl=l.OtJ
+f%J^2g"h3]h:^Q>g"P'2g"=sUed9aPcdpfgRGQZNo@X)rrRh)"p!irkrRh/'n_!HaJ,~>
+rr)lppA5Eqr;Z!\l[b/Io`+d[rVuWjhu*NOrqb%>s8">Gs8VunrqPj[meWX"XK_O#s7H0fp6&Fe
+nc/OSVe8qC[e9[sp](6bpA=a_q:YZjs8Molrr;ogr:8iiA(CVZqu-Hjs8;o)DZ0J.s8Dlor;?Hh
+rV?j#o`+sjAY&Mmr;HKnr;HHh_u"r~>
+rqQNfp@]'iq>]RTk'W*4mf2qFo_._Io(_YIs7ZHbq=a@Ql1Y/M/bo5>p@e=Pjn\*2R_tu$o)JaW
+oDe979!@CTn`?BO9kCU#s7c0cq=!kIp@S"1pETP1p@\7[p?qY@gi$KEqtp$[p%A1SqlOK'o^_kP
+p%S.Pp@eIZ$30Jhs79BRl1XlMp&Xp_q=jXWp%R/5J,~>
+rn.8&p=9f(f\sd(`a!;^cJR-qe^r'ro$d$Ys472"q:>)cn^dNgs48jVh;$Z8gXO="b1;!<LlL!H
+jO)T?eT3^@eEYl8Lds6lPLJLCe`5E3e(E=(f%J_$h;$]9gu-u;hUKJF8%IaAf@S^/i7m=Y:YsgX
+hV$Q5f\+p0rRM;6dG3m?6[R;9g&9P(g"Q2RrRh)"p!irkrRh/'n_!HaJ,~>
+rr)lppA5F"o`+jds6HG%XmZ5hq>UEmhu*NOrqb%>0E(_Cs8W&rs8VKdqsF1YBpd?$qY:*jp1f!Q
+s8B`\8nGF.s7uQjp$qnYs7l9ds4R;lrV?Bks7Z6frV66EAoI8+qZ$Nls8)c/B`@r's8Dfmq>1]j
+s8U0IaSZ#9qtg0dr;Q`lr58D^~>
+rqQNfp@]'mn,2qRs5feeUuhXQmdpJQo(_YIs7ZHbdIo6go_&(Xq"Xadkl:A?oD`?`bL,qLq#BYe
+E:Ekt[<+`BYP8(jq"jRJp&=m\nG3+;pE02&p](-\oD\LTo[[Dam,dj7p@\=SqR'`)p$__MoCr(S
+&*a,m_5Y-:qtBaVp%J.UqYBm[p@\15p4*~>
+rn.8&p=9f-ceR.'iPg4=KuW*,d+.%(o$d$Ys472"g",uO0A>"/gtg]<h;cZ<fZMb*7s2#Eg"#!B
+eP0H0m,4RC.n,`Wj4Do9dE^A%hUU'/j4W*-g=Fs9hUL-8h:UMs85[m[f%Jd1iS!7_8`/:Qh:^B2
+q:H5$io-f!VqL(`f[na-g"Y<Vg&9S%f(IPkf)=8$g%!_depm~>
+rr)lppA5F#qWn1]k5Y@sMLibHs7uHghu*NOrqb%>0E:nCr;QTjrpg$XpAad^s7N0sd/X":qH]`n
+qNPGbYlF_"qtg3dqYpNmp\Fjdn_*g^q#1-bq#CBjoDeaZjF(=ur;Z`ms7H6$AcM]#s8;]kq>:3l
+#5"a@g@G:ArqZ`orVuonr58D^~>
+rqQNfp@]'np#c;Ni;WG]JU"j'rU0.Ko(_YIs7ZHbdIo6kp%%kQp@e=Krp0+Sn+QbKSQj59na,^A
+PP4F$=%B4dq=aOVq"OOYqtK[RqY':/pE0#%p[[qQqt9@Vp?^X[=6&uNp@S1JoWqitp$MPIo(VtR
+#Q=GbSo`6?pAOXdpA"L]q=jXWp%R/5J,~>
+rn.8&p=9f.e]-S%^u!Y3@Tf8VhpB[!o$d$Ys472"g",uO0Ab=1g"Y03gWna%e)Jd.iR39CYNFKd
+gHgPUhKM=BOl>*Kf[e[(eD&g4eCNF-cIpkme_8^+f&#99e)oN:`a:sPf\>-4hp^DO7c<%Mgt:0/
+qUc,-i82q9?+J><g&BS*f\5-:pY#MtrRUYkrRUr"s4Qqpo@AE~>
+q>Bs`!W;oqrYPUlSU.4+s7cHknGW:amf3.`s82]mqXNhJnbV5Aq>;?1qY^<gp%eUef!44Xqu<!o
+kf\BaL@kBCm/QkRs7633r$_=:qZ$T.G]2sEs7lNlo]Kr0s7lWns82Q`s8VEbrpp*\Z`27MqYC'c
+qt^3.qg\~>
+q=jUVs7cNf(]DpLELc:nme6YHq=sgOs7Z?ep\4OXmHOB8p#5W?pE0,'q>0gTo_JI3VUoVQp53#.
+^N!A&m.:8?qXa:Xn,LN(..[*(s806FC$"sdnb)qKhdO>"nbDkVp@RqUr9"%RlhfnET#:Enn+HPN
+q=s^Xp%R/5J,~>
+q:G>ks4@8&(Z)WD;LZgJc.(FeeC2segX4U'daH[naQ_=He`kZ\f_O2Bf@\g3g!nX/j0aub<SHAT
+8^=MJ7VC?.k/uN1dGN1(bLupL.+R#)k2Dh6:WV#Ge_B6:a@`GmfA,*;f%&7/h9"[2dG`N:Looak
+f%KoPq:bl%rRh)"p!irkrRh/'n_!HaJ,~>
+q>Bs`s8;lq(\n%/\7o?Ts7lWoqYg?iqtKp^p\+I_s69IOqVh>Ir;ZZoq>UC+p?)DGrK$Qg?ZD0=
+J`m(5rpfse!ri5jao!4Us82-Vs3,V'o();Mo(;rs^Amm(qYp9iq!%VSs7ZHl"`]+nrV6Egqt^3.
+qg\~>
+q=jUVs7cNf([qCrY?k5*s763ipA+LYp[e(NoCDVOqs!kFp#5W?p]($gp)Eo/qsiSDkOO;i[o-dj
+=a&Tnq=a.Pqu$Bhs6n)(-hRE2jmi>iDeJG&l2U)9r*m,3me-2GoDeRIpAb!Xs7uP(G5_"!s7uBa
+q"OLTpY#7j~>
+q:G>ks4@8&(XV-kO?ba[i6^9:dFQdsda6@hcHjnif]h#Xe`kZ\f_=)!f,NT,hUKO,dG/WhUd8"&
+8S$!&inr/ChVR)BhTj<ts4SmQiS2Q-jK;KTbg4PrdFI>OTAe;Qf%SU2fZ2V)i77&Oj\T@Jgt1]A
+qUkVts4RA'rRUYkrRUr"s4Qqpo@AE~>
+q>C'crqcZlrr!E+rVuW9PBq]Mkk=HDpAb'irqurqq#(0Vr:0XBqtU(1s829Qo_A(Ys7uBgp.0.$
+[,M&bp&F[Ys7H'[mJ6e(r$VO=rqlHirOm5afDkLCqYtZCs7lTkrqbp[s8;ojn+roibK9;Ps6f^[
+q>J5.J,~>
+q=j^YrqH?c(\[V$n\^6(Fme>\lM:#Nq"aa\q=XCSrTX(Hp#5W?pE052qX3Y<o'Z8Imd'T23+GLY
+f)G@-s6T:Rn+-,9pAN,--i3E0p@81W\8,O"s6]UPphZu/nb;_Np$2SUq>BaFn!U/j^?P:ikP=iI
+q"OLTpY#7j~>
+q:G>ks4@8&(Y73ndA1PU<mJP/a4\ete_/O+f%&1"h<EPeebRhmf^[Pgf_O2Bf\P<.c-t=pi8NDA
+j4GbX2ODAKj4<GEfAb6.e]ZS$dFnKMrRiUTe_Jj0k1uM%6+#_%hV7!hPN19Lf\4lsiSN;Gf$N0+
+QE7+7h<)u8qUkVts4RA'rRUYkrRUr"s4Qqpo@AE~>
+q>C'c*r>[.qtp<hrVl]is8VYsF_%o[s7,j`n,E4^s8Vrjkkrj*qYUNop%J1VrVlg.prf[kEE64D
+M8#)Ks8Drqq>C6noDZl0,6.34s8DNbs3O_bpAagcjaX!(qZ$Nmqt^-bkP"rSs*^@1rVllmq>:!c
+_u"r~>
+q=j^Y*r#I(q"X[\q"aUSqZ#o_DdTaKs6T=VlM:/Jr;?6ZkkEKuqY)--p%J.Tq>:-hnAClEA4]?b
+I'\Oro^__KoD8L`s8VQbanHMHm.p\Um.C1s:297omf2*eRJlaQrq6lur:o=As76#*NU6B7s7u3\
+pA+IWp@\15p4*~>
+q:G>ks4@8&(>76eg>U87:Hss$i6Kd2b1kM#gtpT3kh#X]n_!B_q:PMr+4J`lg"bHEj4UMlAlCZL
+3GY7.gu.&HhV$iJh;[GBgsOgRfDXANhTt!<h9t$6X=d8si7-u1@"RFlh:^K4f@notf'(uQ?$b/_
+ioo:Mg%s@qg&9S%f(IPkf)=8$g%!_depm~>
+q>C*d+Stm-q"aa^qY]sbs7Z'_q;n;iIb=Msq#1'^o_JLbqtoXUdJNe<+T)0-mem+bp$r'0?rgQM
+=aBP^VrMpPs8;9`qsF%Us7aY5-i3l>o`+mas89rKJF<I-s+H4.p\js_q>]UWs7,cnjO3r&s60+T
+o_JC[r58D^~>
+q=jaZ!;HKfs7u]k)#<\$s7,OPoAH-TH.2H`oD&"Jn+?GNp@dbFdJ!G2+Sbs+n,<:`n*C!q<Conj
+8SmJ)SChT$rq,CKp#kiEs7=A,-h[K3n+uhLqt7g3H0>"fq0[_fnFlJCo`++Ss6K'Uf>[1GqV^`?
+n+l\Qp\4CSpY#7j~>
+q:G>ks4@8&(XM$udE^Cn^j]$`[Fj<dg=Xj%f%f!4f]h#`f(%D_f(mtofcT"qc/%I;e^<Sd5r_&'
+3aC(6Lr*-#kM=D>gWe:0k17r5qq(l$.+dD0dbW[0hUnPg?-V9Tiali\f%S^(eD8+%j3cGI`jFRX
+k/l09db4KLpY#MtrRUYkrRUr"s4Qqpo@AE~>
+q>C*d"oA#gp\=R_q?$Hdqu6U,qZ"f\?%M>Ap&G'hp@nL`qUtf*qtg45qu6Bbp[dhKs76,FDdR4$
+b5_M6bAZ*eF8u.)s8VQfqT8X_p]('Xs8VZirVt)KJEZ_,NHP9ss8;Zjo`+IGp[r^@s8DTirr)6a
+Zho7~>
+q=jaZ!;HKfs7uZj(\dUppAFsfp&E*L=F931nGN1VnaZAJp"B)upA4M+q#:*aq"!hDs6B9)@S^-<
+])DHh^gtc<C]F(js8VE`p<!%Vo)J@Irql'YpA2a1H/\2kKl-VUq"=1Po`+FBna1%mq=*SHoC_;H
+kP"TCg%Kp~>
+q:G>ks4@8&(tR3cf%f0;fA`i/4(67ne)K6=eCWF1f\,99q:YSrn^dNgq:QnGf@JO&ce7I0i+l1T
+8m&.Zi7"]$\R\\%gWemBd,`s8db4NLs4JgMj4DQ7hU:65g8R2Aa4KNm<o2Kaf[SR%iR,`ufN=[-
+hq%)MhTb'5o%<uqrRh)"p!irkrRh/'n_!HaJ,~>
+q>C*d"o@udp%J1[q%s)(nbW1Xp\jU]pU><dVWRFKs8)HfrqG+DiVWKL+T(U%rqQ<hs8.aZLn]!>
+HLh*ss8VQfUkY.CWm]Vonc-`/s8+,@s8V]_s7ZKb`b^1unW[_er;Zfns7,@Ms*V<%c(g&ET'Wms
+s0MTQ~>
+q=jaZ"o%ffq>0pdqA92)nb;kOo_RkQnZd%LT]#/3rq,^Sq!m&3iV*-B+SbF's7uHhr:P_AH^/,Y
+B]B$Fp&F.RSUZ])Us.E[m/PH,rqQHds7Rc6rVGsNs6p!T^L_]Xl&9$Gp&"OUr:B4Ls)tT_^lrt`
+PMrZOs6'+KpY#7j~>
+q:G>ks4@8&(uNfgf%AI#gX,*9QWR.A`m`i-g=Y6>f@f08!875&qUkl$n^dNgq:Qn8g"k96i8WL.
+5&,aN?sM1E^YItqk(@5h6]ACcf[f9?db+WPrmh&#s4RG)-JRJ7dF.%&iR+Dn?e3YJ8`/:[gXb0*
+aP,][R^')MBOZJ9QUToeo%<uqrRh)"p!irkrRh/'n_!HaJ,~>
+q>C*d"oA#gp\=R`qA8l$rr2fiqYgHeqYKiRB4AgBs82Qjs7k:FkPG>Yqu$HjqYX+cq>BpUs8994
+:NYQbEbq$@l2U_Ls8VurhLFU3?gGGur;?NkrVZWlrVZWlrVZWlr;6Ehr;6Ehr;6Ehr;6Ehr;6Eh
+r;6Ehr;6Ehr;66d-i`r@s7H<jnGi(Zrk`#Zs-6phq#C9ds8VS+a3!7iC4O%>F\GK&n[&+C~>
+q=jaZ!;HKfs7uZj(\[\%qtTjYqY]gSo^7uQ>e]1mp$qkTo(;YVpuhD7p&ap\p&=[]p]("^rUfUZ
+poddiC"//P>_DV's7,.Ko^MY,GMI1@jgaaPp\+@Tp\+@Tp\+@Tp\+@Uq"ORXq"ORXq"ORXq"ORX
+q"ORXq"ORXq"ORXq#:$eq#0q7qss[`n+m"Lr9a:R]2rS:MGs*9q=X7Rs6j^=_:<[6F0WDn6q3a7
+kP"TCg%Kp~>
+q:G>ks4@8&(t@0kg=Oj*gZ$c;g=1OB7&J)bh:^cIf\6;Wq:>Vsn(.QmqV(f!s4Hqo!8.,#!nu>]
+qq3(Ie^<C4PsI0*_gPHZGN6a+fuiO8g>]kT`EGXTU=S,kg>U`bfDa>#fDjMPh:1<=dbEj-hTt!3
+Tg2B3G!4X4hq?K6j3UMuWki1=A"]l'/M;Y'g%*eqg&9S%f(IPif)4/%f%ARGf_!aF~>
+nbi.Yqtq9's8Vops2fq&LVi]`rV?Hbs8VTWs8Vc>r*]Qsqu6KeoDej7SrA;n<d:&4s6Td^nbMkN
+s8C2s?=(DDo=^5si;1ZbC1hUSZ$qMjqn'8-H)?AMs8N&ks6fp_s7Q?js8;o`s8Du]s7c-bs7ZEa
+pA":Vrq6<ko`+qLnc/@`nc/U`s7$'_q#C6fnc/Cap%\CZrUU!f_H^u]>6"Qhs8K$^n=JUoF('Xe
+o).W@FR/q4qg\~>
+nb;eQqtCurqtfm[pqhG_J@b+Fp$qbDrqu*Iqu-$Yp\Xa=pL*mepA+FQmf!1(PD"4J:N;TuqWInP
+mIfr:q=hpY<`?Bpk-0A9d-A9%>?YQpUiCb6n#r^RD4>q$p%S:Ms6'7Ls6fLUp@\CNs8Dr\rV,g]
+r:^![oD%kPqt9sgnc/VInbr4]nc/LZs6]jYp&+UZmf2t[o(DbNqX+4S[o$S-:%Il8rV*(Fka'oL
+BNBE?lLa"$E9I)\p@%bRp&b!^pZM7#~>
+iRo*shqlr@hPapLAu!o<hV-l:iSVr*h;?Z4fDa;%e(*"=fBLsoh9jm0f[S:+k,j&K@!sn6H/mi*
+jOqo4e^`R5X_0j_T\S(iE(7[uXEmE-;0S./BZ8YmPC-GcB"6XPi7-o6iRm;Bg>Ul@hTF^0h8\7#
+cf*X.g!eC#d+I($h;(-=h;HW7e_SR.g=5**hp^*0f@J4(eDem,f[nm)inpLo:lmfuhTtB@M0@@!
+`4],<ACB#ca=:9:hq@SQs4RA'rRUGer71r!f$sTJrR_,'o%8H~>
+iVX/]s8DZdrqGZ]GZodEq>UBpnaHJW!VZK>r(R"]qZ$His7EsU_uGHkLqiQ]qsj[cs8N&urPibK
+PP4hGs4Larci<kAH>i!Hr8hU#XT/=r^oq4QCl7u=o`+sfs8VWho_n=[kPtS]qFC8LpAFa]r;?Ef
+o_J.LrqH$]p@81XoDeR_p%\RYs7cHcs7QB^r;63cs60L[QssK-p&=urVh81%nGdi=D?'Y8p%hFa
+s7<SoJ,~>
+iV+/[q"F1Hp[I1AEDh2&nbW"[lfnHLqXO@[p\ag>pJpqWp&+OWqX:\5\G:JDJ@FqGp$;JSrqcQm
+otG'+M!OKppWQE=^[UO`C1#TjmFGE<Sc/*DZ(kBu@=RXfl2CDGp&=+Ol1XQFk5YJXq>0dSp&+U[
+62UTUqXaOSnbr4Qqt9LZq""IWq==4WnGi.Vo_n@Xn+lbOqu>[Kn;C:D9'GgEVOr32a6!;>:M'M)
+q![iIVuQ5Kp>u&5p4*~>
+iRo=(gY($*gXaH,=$'uqg>h,RdEgt9h:103f@SR'e'lk;fBLsjf[JI/f\#!-Rq&8UAMe+oe)oE4
+h;[DLioo6s:b6_?g=PK!5>AB@gZ_m;a6_Nt7R)^mgsqpS6'4fSf!a&jin<5Qd,rg4cf)q$i7Qc9
+f$Dq$g"+s4g-=6>f@8.'e^N4&cf*I(h::0,eDAO0e(W:-dG3%$g"+s>aPYd!6p`uei9HJ]Aj*WP
+ls;hOkj%0ZgbFiQeCjEFs4RA'rRU)[rRUr"s4R"rJ,~>
+iVWlVq>C9kq>UC(gPJ[>^A%X!s8Vc]q>Bm4r%.X?q#C-ds3PAUmJhZMkPtSAp&Fsap@SC>O]H81
+pAb0ir.?_6bjYSS9UP\UrtW7)>6"O#s6I5TK8>ap]ZC-Err<#jrVoUWs7H6br;Z<cs7lBdq#C9c
+s7Z'ap\+U`qu-QkqtpEgrr;lqqY9sbp&+L_rUg-Xnc/+DI8FCrfAEBDs2Xg4_-KjPr:'4Ds.o)_
+la-J=~>
+iV+/\o(DhPo(rCde:L2![dWqXr;H*Lo_7hPp\ss@pN#m!oD\@Ts3"W:iqIP$huE`3n,N1So'lP,
+MGI`hlh1,DmrfsW^Z+ju5E"q&pA(s@:A"&Tp"uq(G^YEDZ+]enoD\FIqYC0kk5XrHp%eXUq>^*[
+p\"I[o)J:Ms7GmZp\=R^pA"@XoD/=XrUodUp*B/%nG`:Us68kKjkXl@;SL<'R;)]6lM%_b7(DmS
+lKJ8@lMp&1p>u&5p4*~>
+iRo("e_&[2f&#KM\nEZfT@i&PjQ"e;f@nX*rR_&!n^m$YA_#G`i76K=Y!n/lj'G9tkiK\3k1eJ;
+e)@oX2,'RmiTAqPAJ7M8dGh5[HJIWBk+38HhUpuHa-a\PB6-&%Vr#kXkhjkMhrNe=iR?N5g>pT8
+j4Dl9f&,33iRQ?:e^`I/g"bE_fe;.3gY^ZAf@JU-db<..gXP9-dHK!%?SOpM\\NnslDiLuUd-]1
+hpg0&k_7@Fbh;R>s4RA'rRU)[rRUr"s4R"rJ,~>
+iVXMlqYL6lq"4@Rs8Ui0<I2CZrqlZioDAR8r*0'up&F^[rM*i(s8Q5Is7#@4s8V9Xs8Jp9<e8Kl
+s8;ofX\`)'O8\rf:$MH8rr;gp:rrY4s8DutgZZ)"b@c+>M;[4bo)J1Ms6]O[qu-Ebqu-Ejr;ZNb
+q>L<j0_bV9s8DK\s6]X^o)J7[pAFjgs8DlhqXjgMs8Vfms6OGoS[5?rh:Vc-r*33Es760h"TA2o
+q=q;nJ,~>
+iV+/coCMnXna5l6qYeoo9ld]Bq"=CQmIgM,pKR@hnGVkJpmtQ]p%hF$q<6qos8D!Nqtd"%:O9tN
+q!n%?TL2=HK(/245i1h]nbDKD7(r0\p[e%Od+taK^g(cgIaum6kPXT5s69+Sp\FRRp\FRZq#'aS
+p%eU^3:m%5rV>jNs691RmJlPLnb;eVr:p$Vp$_qBs82-]rSLa@OJ\ZLe^3sanPMkns6BL]r:fpZ
+p%7G@jnJ$5J,~>
+iRo4-f%/a:e^;pri8_C_2Hug;i8*5Be(`s;g"G!1map^V>M.f\hpU'/JO,=Tju?K&dEB>fj2Ta.
+h1nib@'/5Fh;QhD1-%L;hq^jWbhC1qjOuFCVqTb[g>:f"a-C287TcI"^V&1Gim6'6bgkb-gtL93
+gtLQ<hq$?1h#?%gf&"^1gsFR3bh(b!im6H1g=kKBgY100dc8@.iRR5[c:T^=Q&FqA\`2f05;ua1
+e`H#UhqQr?f@f`Is4RA'rRU)[rRUr"s4R"rJ,~>
+iVXMlrqZ<brVZKkn+$GV_0]+1bQ%P:s8VB3r;Zddo`+^_pQJY$rl\0Ps7ksFqX=IacAGD>YMf!@
+p]'gaWG$@\I/h#^K(]0Dqu>MR9uR),qY^!cqu6WipSl,sD3[t<s-_jFs%E1YrUKFXqtC'`o_ACa
+s7ZKmnGiOas7H?bs8)]orr;for;ZBZrr;rsq#9pZs7`CURV\[%4*/d4s6AJ'h+L;nq>]dTpZVYV
+q>[euJ,~>
+iV+2gq=O7Nq"OFYlKeKE]6-hn`V]E$s8V0Rde@&DrpTdVp%",9_"5?2ZN'FVj7MU6s2p'fDQ2@U
+l0nT6qjq)*W,MF=9R#n$s7#d3:-uYonaQ,7rpfX\mHpOXMdqZ8BDn"Js8Micm.]i3s7PmWnF#lA
+q#0^^s#KBCqt'jUrUBjZpA"CXo(htVm-FEApA=CUnb)hMRu324O\7<=`SLLPe(`;94j``sjmhm#
+rVH3ckP"$3l1TW~>
+iRo4/gXam+g=k09c-b\0Tj9NcXlJ<nk2shAg=k66rn6hnl.Jngi6gE3f@4dtXP^*5SESYMakG(u
+jK3,L<0+iBce.C/kDDi2QX8gM3G$q-lJ1C42_:`df@S^'jk/>MeC95IE_:@):?6Z9k2bFQdbW<u
+8*8RWhq$<0h;72CjlXqMiS!ACj4<AHgtplEf\bHCda?n.gu6l?dam=-Km%i=Jik&RZ,u.O_9'JF
+.D4I!c.UdkinrJJg%*eqg&9S%f&bE[f)=8$g%3jH~>
+iVXMas8VrirVulis8V]ds6-\1BS+1op\=d9r;ZdupAb'jpodlV_.%?Up&=[Pq>^&e>YC1,qX!MI
+s6oganmmCQch_HM\aK%go)6?o5i2&-s8Vurs7--bqu?<g\)`R8ZVd!';r`RXl,hrbkl(PUs8W)t
+4o=dJs7$!Ws8(sZp[8(Zn,MkVq"j[`q#C3XptPSKdXfT1DWAOH?rB[1U?ge,m[$ags6fKmR[KtG
+jo>+^qg\~>
+iV+/WqYg*Xq"smVs8VKXs5L%t@XPoWnac\Yp&k'_p\*86s8#geqtL!ZW__$N=(LU`p@.8:s6ljf
+7uGO_k2ZI@kO8B4=a'b\mpnejkN`$2pUELLf]r,(qt0pgkPFZ;s6BWdg4YEa8rdIWh1'P,_qb4M
+p]'d`qtTqLp$;AKlM'WBo]#o@kl:>>q<7YEnF$>Hrq#1?dIF?dI)V.Vf!DMU76b"Cj4WMRN(%:V
+k3KOAPFeB)rUf:HjnJ$5J,~>
+iRo$pgu$`5g>:W6jQ=qEk/rij9Ot$Ng"PNdg]cEeg>(E8o%3-Zs4hG>h:^W7NB+\H6Vc.^hq$'*
+k0f,K.WD]IbfSr0d+dg67:khjh,,kteCEa4iLq\B^<kTjiS*GVcJd@,k0`=U_/"+R0Q]rD_e!#n
+WP[]:h<*>OiSNGGdG<a-h9k69aQD+"jkJ)=cJ[=+.+ID2jk7f.\CZhJ?`SHJ`M/tj1bM:Nbeh`S
+H8AC_dFOt<H%^giin*_Qs4RA'rRU)[rRUr"s4R"rJ,~>
+iVXM_r;Zfqr;66dp%A=as8;icX^k\+j8Sc!r!`K#rVQWkheZe*?F0V0s"F?HhLe%8cM%#0rV?*^
+s8V6B@D_d=elQAUs75g^onGnDqtg*bo`+C[qu?Tkq#(-k*r57']A7aDmpfP2FH;W3_8E,+\G5jf
+s8Vfmmf*+Vrr4_Cr;ZZis8N&]i:F@mTnoFeZ@.G-m.TW=s/SqK@<.l\WqQFL;ht#Fs5e#mBRn8#
+pp9jJ~>
+iV+/Up\t*cp\+1PnF68PqY'[LVd<Dhh>$L8p=T+Mp@n@Uqt8ZO=ADeno)&@\p[d$e4)rF6oChtN
+mdg8ThUtr=m.eb$?Le'^n,)X*6!O*Vo_.bNkkarMp%7eIr;$3[kP)@6EF%a3;QstmMfQA?S^t%7
+nE9iGmf2GCoBlSPpG(q)rp]=Io)@CokGkqUI$\WLH%`'WleLn+Rm2*rB9@&*lgoTsI-L\-hdoDh
+I)bgNkP"$3l1TW~>
+iRo$lfA><:g"=g.e'm+4i8!5?O[q`e`SfDJh?;Wjgtpi=fjragg=Y65]h:aS5Eag_jknnI^1&-_
+Xju"UgY(*2jQOY'6DN2o[l[.8lIOYKfOu[!gt:63dc&L0g>grAfA#<Bi7Q<1R_DrpcpTs`<H*%a
+U83OYRG$9?kht(VcemO/khtARdbX-@fA><H`P9fbT7CO)<KUNtM9OMkh!BtRAj]LF<f>SeCG]_T
+ki9]X0M#QMf@TQFs4RA'rRU)[rRUr"s4R"rJ,~>
+iVWiYr:Tjarr3N,rr)Zgr;?Bds6Z^sA<t3^r-S;8s7u?bq>^HaU1iupp](3OR9iRNpA"O_rVZZp
+rql9dZXr(as)Lr!s7H9eq85s*MXLN8s8Mfis7cQis8N&fs8)<ds7?0bs7OY%bBUFTC;uu\X_!?K
+L!$<Tf6t,]R,WLdV1c4]L;&VeCi6k)N-KNTSG^mus6ose)#]S#f3)=Np>,cHX&X6@oDIrU<L!OZ
+rr9>%J,~>
+iV+/gp[IeMr;6?bq=sURp@e+Lro]t`?BDqtp=]0Yp%/(QnFlMPoB)BFj7_s9pY:s78<<?6p\=N2
+p\=RXoBQ.M>1Ma6C.aKcn+cYM^Ih7UlMp;NqXX7WnGDhRp\F(NoBZGOm.BlCmD\)&E34k(^7&E*
+?%I]X_OlY1Fg$1Sg2r^QI&NogZ@KPp@]s?nChg#4o$HItl1FoEn:=3S9Mh#BebSa.8ndtbo]AtG
+NrAYIroa":pZ_C%~>
+iRo%+f?i"$hVHu@gtUH6gt^T;kg>;]89h'/h>uEcg=[P!e_Sg)f[es9dXt-9i7QuD_Ke<qEn/dq
+gY:H=hqr\6e)HT]_9qOJ1jA6<iniIf0f*UkjO)oAf\,?:iS!/Fhp:97dH9<6h:pl=Y03nLQ>]Eo
+K1M"lC2RXaLiKq2Qt:Q\?%I`AP)s4EC8FNrR87Qu<0_d_Zc2"OhWWqUE]^fn4Fu+ujkYkR<8l?_
+c8IP%i7QlEn_!lprRh)"jja7[rRh/'o@SQ~>
+iV`6C+8u-9qrthI=a%IPrq-*fs7uTmrr2rsr;HZoqYgHlo(i1Qr&=HKrr)]gq>0dKAWcV`s6SKa
+4)rREs82Hds82WiqtBgbJU[Xmk#Q0hn+ut^X][ZIk5Y;Vs8)9`q>DQ<oD8L>^rV_(Li*';Bp)bl
+>%trOM32GBS6M\:`Irj5f\?3"ruV.,s8VZfs8SuoiIn=;SG`E]s(H$ElhZuI9A'"=p&=pip_3T!
+pAb0hq>L<hq>9p`s8Mljr;Zcms82fng&([EJ,~>
+iV3*AqY)')p\!RVI8b*nnbDPFr;#sYqYBs`q=j[\q"=F\p[.eMnb5!7pA+LVoCV_@hHGZuSc7^#
+EA_OSq>9pUq"sgYq"=.Hpj%&Yle>0Eo^2GMri9-\OlcT<r;QE\pAjp_ojmpbo)I(H^l+/%Ab:(Q
+MH,m=@D,0^M-lF-:R-"3G]r2mcg:H"o_&%Is8;'MqXp1@e9@W`Pk=n?r*<P"j7AF.7FUl,nbMtT
+oCM_Hnc/LZo_A7To_.kLqYBgVp\XXVp@n=\q!7\CpA=T7~>
+iRn7`ec"+ug&0PHgu$uGh92I&4'8*/in3/NiRur@gt^`@g=tH<f\>?<d.u>aff.L7gY190f%AKp
+7WQt5kKUV?)c<`mhV-H5hV-W:gXb!5@UJ6Ka#QlMf&>TLOus_,al(q1i7[\T!8RD,AE21okddCd
+FEM:mh-EWo5(,LbVD)b*8:5_DIpJgY@*c9lf&GTDgt^37imHTHjG5S/Ar]!%h<<MT8O_O\fm#;'
+[asBdgtLK4e_/F#iSE,:g=t61f[\[1gXk$.gXXj'eC=KJldYmarRh/'q:PStJ,~>
+iV`6Cr;R,th8t(QFiFC\oD&=b%/98]q>^6bp@S+Ws8Miknb`I`qYg<k/soeTR&Tns?Y#Vks75RW
+q>'aVpA=gdp"=&ba.@?=A^nZ.NIbG*V:YbIq"ag_nbi1\8+lcZq"=[Ss7lQmkL][Vl,:jG_VO1p
+pAXshp&4aes7?!bs8;ijrV$'`s8MciP[B$JY.7B$p[S3qCPf0Q?WCq'q#C3jqYgF,r:K^VrVlWf
+rVuckr;Q]nqYBpcqZ$Hlr7UuEr."~>
+iV3*AqtD32qYC*hnCPR%>&V1OqX*kLr;-!Mm.C2HoC;;?p\O^]p@7kYoC_nXqu?LGrf'[YNLo[M
+=^I?Ss6f.Op%@nFo(VnPma>OD]T["i@+)p#Mgo&$Ut5SGp\=UXnb3%Wq=Q!"oDe=Is5j"Ep&Epq
+ou,h%`V-mnfu34Jn+c/<me6M@lh^DUnN?X?o^qhJlL'=$Fetk98=/]*o!2YPVM85LBA`@\pAO[\
+r;HZin+#rCq=O:RqY'UVq>'dXo^hbKp@n=\q!7\CpA=T7~>
+in=@`!7h&"rRq)%+62;<j6#"/X'\1rWT3'kg>CfDe]uLmhU^9-dad(-h"fUmf`K^UgA]n_gth1>
+3hCPOg7^`!HHYBsbiIF/e^N(&h;$Mi8s?3'<$b/KX.OEE67@Z$ioJeHgt;/N!8RD,A(KH!g",B4
+i7ZuNaLL*/b,)8uUV=UIe_Sp<e(iU6jO2T>inN5>gt(*2hr!,CF[0K%O.%eRf[AWJ8na0"5;c'M
+fAYE@fA,6?iRuW-e(WR-e_8g2f\5*7g"4a&e^`-ueGe"aeG[tsf`0Y#f_a?P~>
+iV`6C')M:lp&4pjrU.OH8T;fLr;$-arr3<%o`"dcqt^$`s7uQ^r&=ZTq=O:Np\F?M?#&BBF\Zbb
+rVufqs7?3ao_8:^rVlhmB);,QXgb:PR[Au<j8\fPs8Mfirr)*Z*WQ*5s7Z*bpAF^ciqDsCmJQkY
+r;ZWhrVH?ip]'jas!R[Cs8Minqt^9cp&G!]qe]#1g=ZFc7\KeZo\uaE[K$9ss7Q3^s7QBd')V_-
+qtU-irVQNls8W)sr;HTlrVHQkrqtIHqtts~>
+iV3$?rV%E,nEfZ=qtg'N]Q$;R_tNfqoC`"\rV#^Up\+=QoC_tUp@7l9rV?*SmdK`=k)rVLf>)5m
+B!qC5q#C?^r:fgVq"aa^qOV$aldDW5V8egcL9BG6nbiF`p%S@[nb;kQ8G`)Oq=*hMnFlGQh!j\,
+kP"TApA4FQp@IkTnGDSJq"OCTrq,dRo_&4Rn,)\;mThqLc-?-?5*bg2l.;DrY5eOgs75mUr:'^W
+'))1sp@J(Uq"FIXqtp3ap\=OXrq-?dp\4[^lhBlAqtGU~>
+in=@`r71i!rRq/'+5#&je(s!@h9M`t.oNG+hV$K4hW!JHdbNR0g"4g-h>,^nff.gCf$VjleCW&r
+5"i_l<\I.9h<!DNiR6Q7eCWI1gtgnA8))P*NgPd-I=#gr`9,S,jPAD>gtVAQq:nO!h:UW9eDf'7
+f]L'%dbrC*gY:NAg=b97f]LcEdbs!=g#(lFf\>-4hpg3<hUL@V/Ng\VkAM_thqQVrKnP]NjNlo9
+f@A^*rm_Y6gtLE2g>(E7g"Y?>gtLH8g=Q>S!n5ZKrmg>arRUr"s4R5#qq6K~>
+iV`6C"9/5pqYp@/qYC0`Y%qI'ZhF%`q"jg^qu6His8Vriq>'p`r;$4Kq>:*fqu-Qprb%;FVHd6,
+p&>!co(i:aqtU!ds8)Neol5BTs8Vfcr;Z*_q>U?brqZ9_qu$Bjl23(-rqlWnqtg0gpAajds7lWb
+s8MHdq=XdfrU]ses8Mfdp](9fqu?Qcs8;]lr#"^.8P-2^s8S*^Re-RZp@\7Ns6fdWs8DoqrtPD+
+rr;]lp\4^fp@eOdrVH<aqYpNoqZ$Hlr7UuEr."~>
+iV3$?rV$Eip\"4Yp)*Gns6cgs>D0-Jn*fl@o^qkQp%SC^p%%bNpA+IYp(d5np\4CVr;Z@nK[-&a
+:oEdWqXO"Hrq[]1q#1-ao_.`hFRfD2md9`GkPt5Oq=+7Ro(;_Qq>0XUq=\@jq"=@Vp%7nOnG_qT
+s760UrV5UToC)SSp?_JIs7c'OnG)eJo_S:OrqH$SnaG:33BX,)qYQ"BO6HT<m-aH1s697JrVHBj
+rVZE]q>0X[o()bWnaZPRq"=7Mp%eOYp%J.SrqPgRn+QYQJ,~>
+in4=`qpk_urRq/'"5DM\fDaG?g=bW>OA/)[Q.FC3f%AU+g"b66hr!):fD4(pg%j8Zf%A[/f\53A
+h+2LrKf_;Ve_]69dFd:2gXt39hq?W7ePTW+kigXLhW)oFgu$u=h:U90g"P07n_3foAD,hogu$l?
+g>:EAf&GiEjO3)FcK!U.iSrY@gYV)Kf@8C.hU^E=g!\d3g"Y?>bX3j1PM,*ZD`E$jki1(@fZrL#
+g!eg4gZ%,Ig""j4e)/[)hqli2hVHr<e^`:)gsss(eC=KJldYmarRh/'q:PStJ,~>
+iVW]QoD&Ibr;Q]q)#a=,s7?!bppti\B;"DerpB@Xq=aOZs8Mciq>C'c2u!:Ns8MifpA__QAmKB9
+qu?]qrVHBgrq6!\qY0RSqnH42me?>JoDJU_s75sbs8Mces8W&nqW[kdq#CBls8Vlos7Q$ar:g3^
+1&q4Ip\k!hp&F^bn,;kVrVZ]op\k-cq"Oaeo)AZn>Z=4@qu6KdF^h]Ks8Vino)JObru(S#p%%tY
+q#16`s7c3`s8;`jqY^<iq=sd`rqcZlrqtIHqtts~>
+iV*?Iq"ag^*r#L.rVQB_o_e.Is73O?>%*lXs7kdFs7>aLp%eCUq"FOXq=Zc<q#:9go^VJGYK0pG
+A_ZhRqY9gYpA"LVp%\@VnacFc;PNCDlgX66q""IOo)/@[o()YUq"47Lq"aXno_\O\s8MZgr:0:V
+q"+LR;uQOaoD/.ZnG;YSlM0fBq"O[\o(`.Qp%J1WkO\8>9LLp[nFQ8>C0.@tp%e+WmJlhYrquEU
+nEooEoD&1LqXX.LqY0[Vp%S7Uo^h_Lp%A%Qp\ssRp[@hQpOE~>
+in4Cbe^OKIrR^r"+4o3$h;-f:fAG!-k1H,/6:ZRGk2+A4k1S>:gY^lBg%j:rg%j8ZeCrj=gXaj'
+iL@2E4AWoNiS`SKg"G-9e^iF-f@&4'SMc5Kf[SU(hVd,Ndb*R8gssp0hqHZ5n_*`l%G0IngZ.8E
+hqur4jP/8bdSo)Zf@Ja2i7$N2im$6*gY:H=gXY'9eCN7+i6gH@P!(ZO?JOGnf2P&!dbNd3jNuu=
+inrSBcI1%jgXY$5ceR$uf\G03f\"p3g"+^'f@AF#eC=KJldYmarRh/'q:PStJ,~>
+ir&iRo(`=[q#:+.q>0sbs8VlhroqIWC1`gfs8VTgs8Dcirr2ikqt^0cqZ$R>qY0d]rVlbf8o0de
+s7>LSs82Zms7#g\qXsISrr7aQ`rGl6rt"_rs8Vcfr:p<gqZ$TmqYf[U7K<>coCi"Jq>^?jrr;Ng
+o(DeOs6KU[qYC-js8)Kes8Volr;$BmpAOLRs763cKT]/_?crE9s6XQ/an>]6o)8U`r:9FXrt+l%
+s7H'cs7lWnp\Y!jqYU9krrW/pp\t$hqu6NHqtp;A~>
+iqNKJq"aj_+SkU#p@\+Np%A%Ys75aUj2$4U@$0%<qWdnQp[e%Pq"OUXq=j^X2ZERGo(2PLq=9b7
+@>aFIlf7d?p%JFbm.^APo^__PqgqVZs7,s\rpB:Pr9s7OoDA4Rqu$0\meCPkq"ORXq#(!bnFH;<
+pAF^]qtog]n+$)Aroa+Op[n:\qXsFQqtfsYp[n=[oDJ(HrTEk?GCi)%;SVtfpYoO[^?bLmlhLMO
+p[@SNs8MN_rU9=WqXaRZo(N+`p%J4ZrquQ`o(D\Lp\4[^lhBlAqtGU~>
+in4Cbe^OKIrR^u#+kP&fe(*!uf@S^:k1J>CbGf&F7X)N)i6^B>h:^N=hV-ZZf_O4rf/MXCf@8@&
+g>(J6.nt-:imc*,k1eSMiQp02g==[(h;2]uVWQUmiTJbFiT/PBg=G-5fA5<9f@o]HC>.@pg"P-:
+gYL9-f?Mq)g"bB>cfEI&f%&[#g=k32gYpr?eCi[6f%Ja.gu$W;d*q%&iS.sc0k3MMj3HT,8O'0%
+h;lo:iml`/d,<sBdb<U+eD]35gtU?2j5S\DgtpuGg=4R$e^N$trmg>arRUr"s4R5#qq6K~>
+ir&iRo(i=c!<2ur)?0[5p%/%[s8DKfd>qa@J&D3LrVuikrVu`iqt^0cqD\HKo(`7bo]C=$IE;H[
+p](9dn,NF[nc/Fbr:K^_qWhZuf`1[Fp@eOcrVQWprVZZkq>:-hs8VWdq>"Conbi(Ss8Duhp\aFY
+o)JO^q"Og\qt^-gp@n1Wq>0[Zo(MtUqZ$Hhp@81Xq>RD_=e^SVr;ZcreQl\As7$'\p\b'fpAaOW
+lM^bYoDegdq"jsanFHMVp@%MGrVcQkqZ$Hlr7UuEr."~>
+iqNKJq"aj_"8VikqYg4,qY'FHp&G'dli,(a>ZH'_p>kuJp[\(Sp%e=Wp\FJ@qXX%FrVc3DCJ]&b
+rTN_Ms6o4Ms7#FSq#C6_p&=[J?s;"UnG;VBrV-$Xq"sdXp[dtJp@e=[nG$epq"a^\q"aaUqt9[_
+r;Z?^qsFCRs7uKcpAaa]q"ss[o^M_Np[@nGoD&"Qr:p*\m/HD?nX\Q/Q$94ts7Z62;d%WFl1sf=
+p](!Zs6B=>q#C!Sqt]pVp%\.EmJ$GHlKe':q"47Pp@n=\q!7\CpA=T7~>
+in4@aec+%rec48!f`TjYf%'cN)VNisda?_/k2"GGZ#;rj?_cE!h<*PGh;?l<qUkVsq:@FXeBc\&
+hpKAB4C5#Mdb*dGe^*79e'R%+h;$N2hq?.>4h0J%i76B<h;$`@iS)u>f@ALPf`9gsfc/Prf@ed/
+f@nR+e(<R7iR??4bMU\,f@ng-hphYY9\e(HceI"&cIpLmf@JO/g"P$'jO`,DN6jV=AsM39hqt_#
+5eGpuh9sj,j4Ml<ak4Yfj4;T5gXk!-g==Hog"b*$c.1P#eCE*ueC=KJldYmarRh/'q:PStJ,~>
+iVX5`q>:!bq>:!bq>:!bq>:'gqAfD1r;6?grr2fjqY^9cqtJd:DeOC-irAuPs8Vrkqt^-jqYC$b
+3;`FEs8:<(<EP[grr;ipo(N%[p@nUeq"":XoD&@Ma&dTeqYg?lrqcEhr;Z]gs8W)qqY^?mrVZ3_
+3ViRJqt^-bs7--dp\sgXq>U?ds7tpZqtKm\s7Z-_r;HBipAam`s7uWnq=XU]oDeL`q=+FUoOWgW
+s!d.2q#A<-E8piks7lBhp\Op:FaC[oqXjd_s5E/@ou>5OqW6&Ki:HmDrqcZlrqm6&qYU-dqYU-d
+qYU-dqWIbQr."~>
+iV*ZRq=sd\q=sd\q>9sdp)Ni%p\+:Sq>'aVp%J+Lp$pM"Bju+jh"g^8q>Bp]pA+F`p%J:U3;2n6
+qt8-d:/I)EpAOU_lgX]Cnal\Vp$__Po(W(D_c([Vo_.tXp[[kJp&"FNrqZ<\oC_kQq"O=RB)25t
+q"a^\rpg$co`"CRpAXp^s7tgWq"OIVrq>p[q>KsaoDS=Us7Z<hp@@tQnGi"Wn`Bc4k?*')rqkXM
+nc-<mC"r@OrUTRVo(Dk&E-8PYoC)GGptXg,m_Qm7o\[d4g[=h0rq6<crqPsV!VZ9TpA=T7~>
+in4=`qpkYsr7M)%rmMh9e^rC&g"Y<8f@\m6fA"ofJ58^<S&4(=f\b]`f_O2$f@BcM2qZX2hq>2I
+1-'[:hrNJQdFR(-eCNO7f$N.)e(ER!VD_W=g>(HHh:pQ=gZ7,>inrMCf%Jd3g@<klf4<^`iRu]8
+d*pP#g!o!4`ST4seCNI*dFm1,e(iC.e_&j2g"t9,eCW++e)]61lIFHUBAr(6`o,J2Ub#<Xgt1T=
+f%nj-g8e+RR+9g:gXk5q`8T.?WRokCYH5Icg"=p,e^W+JeaLugf$sTJrRh/'q:PStJ,~>
+q>9CR%/]u"r;6Ehr;6Ehr;5s\(]+++qZ$K3Kj8l'hu3TTrqcQkqt^'aqYgF5qtTp[qXF1Xs8)E]
+rqcWoaCeG/lgjuRrqZBdqYVK5rquEgnFQ[)8@\Zps8Vins7u]pkPtGRo_JOWs823`rr)iop\TI<
+qu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?bpA4^`p%%\Js7?3crq,pXs82Nis8;WUCO?!Z
+o_\U^rqEouFS5\6q"4Udrqk]"<L:&llMpmYA7!l]AT6c.L21.;Nc8sdmf3=_qYg<fq"jd^q"jd^
+q"jd^q"jjWqt^0eqg\~>
+q=a%H%/BSlp\=LXp\=LXp\=4O2tZk9o`+X!Io^Tdg%YI@q=F=Sp%.eIo_JC^qXsFLo(VYEr;ZN\
+nFuPKpV'p'JE6+jqY0XSp%nD*q"sjUs6T.LE^I#(nbVnEr;?0ds5F"Nna?#Gm/QeCs8Mfmp\4Au
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp@nC[q=O4IoDe7Rp%n1Knb_tIq>9gNhI(?r
+rpKIRoD.p^8T+"nqXEkHqY0[<ED;Cmro3qOQX!J8Q<e(Xo6t1NCPHP;biep#oCW%V%f#enp\=LX
+p\=LXp\=LWnb2eQqt>O~>
+q:Orbqq(Sqr7C_srn9Bgg"PQCUh)YjMne*.hqZf6f@A@!eC<1+gtL<,dF-UidG*R0daHn'h;4tr
+0k\YUg"kE7f@\g1gAKVGgtU<=cdUfS.%/uHjPJPNkM,:cbNRd6f%K$.k1Rr;rn@A)pXo#hn^gRd
+e_8g4f$i+!j3ZH/f?;Lfh:U36jPAD.8m'd*cILOtgt.oJ=P;m!gXY0;g=<i;2Kk>KbNRl876S/2
+7Sh%\BhguoDbj05b1t^udack9ecFFSp"9)nqq-E~>
+q>882,QI]7q>^9Sf:d/,W8%"BrqH0ds82`oqt^$`rr;upoDe^cmJ[%oo\uK?Bu96/q#13hq"a^_
+(&dsqs7ZE\@r:r<qZ$Tfs8DN[oDeC\rs//ps6K7Up\k*hrqc]lq>91L;>^4ap@\1UrVuEYoDeI]
+s8W)qs8;]hq#C;$D"IZ#rVucbrU-7ZL\p]Cs69R[n+g$aO^FCRqQa5PbC<BMs8W#qZ"7(6F)':m
+r;69ds8Dfbq!n7Wr;6AA~>
+q=_r)-2.3/n+6JKimF61E2(nOp@n+Iq"aUVrq5mRo_A:Xp@/+Zq<ItYrseAIPXSldi9g.2q=aFP
+q"Gp,p$)DDpZc$qmdfi>rosIUm-X3?m/?b[mJ-S?m/QYOrqHEc!;60]iqH=FqY9gYpA"RbmI'EB
+n+lq[q"4FUo(2AHoibqnq!n+Yp?h\@Qr8J,li6tArpf.?9M't<MZ*"A9ut+l7YLd7o^o+g;4ME3
+cfOimo(DhSp[\+LpA+I[p4*~>
+q:NgB2Vd6Ge_/s8aL?^s<f"B<g"Oj$f\+g+hUU*'eC`L-f$E.)fZDt.jQ+e+IP43ab0ebngXt'-
+pt6eFfZ`7(h9\MafA,'<lIG1Xf%8O=f&blSe_]9.dcAs4rn7;'!8%&!n_*Ha:>".Lf%A^7j3l?&
+j3Q</f@\^3g">!2incplce-Roh:U*2c[n8rin3P]`oGRhdl'((5^)DHP<$"O?nu]dio/p`8j%l.
+8[HLje^2dsnCI-^q:YYtJ,~>
+q>8;3"Sr&sr;-Em&,H7qZ>!I*f)PdHq"ss^n,E>,qt0LWs8)Kbqu$6`p\W]k:8I^cs8N&urV?6b
+rqZI7qu?<fqu>)CJbK-Do)/OPs8VurqtBa`nG<1bp%SL^r;QTmq>g?eqr7NNqtKm^qY^6dq>^Kf
+r;6N`r;-'cs7u]nrU!sAqXsmfqY]p`s6t%f\b#k$nc/RfXB2jd6APU>MK&CgIRaA7rVcPW<GM'Z
+MXLBArV??gq>0[Wnb`.[qtkm~>
+q=_r)2tQh@p@S1\s7?0SXCG1gdJs%6nauJBkkY,Po^2#;r:fjVp@n1Lo(:FQ8"/oGqY0j_q"41N
+q=s\+qsaITqohc[meHbDnc%MBs7QEbnF6>?o_nXUo)A:Urq??a!;-*\iqH=Fp\=R[q"OIQs826W
+p%mtIoBlSRnc/:Tj]Hd!melkQp[7nXl>//[lhUPCrUfl[9WQT#I.d&[Aa]&/47r%5p$n#9@d2Bp
+kOeZGoC_hMp[\+LpA+I[p4*~>
+q:NdA,MqA6g>D&Tg#CDB8NCk!inW,7f@SHogtpl=d*L>#f[JF(g&BM4fXP'9J_&rAgYCT<f%&C,
+q:QnEhUC<8iNb7KfAbuBh<N5ElJLmag=YH4g>h,?e`#-5rn.5%!7ptun_*Ha:Y"%Mg=tE<g#h/>
+f[\WqeCN%0hqI;PhTe;kf?rC)e_/@-k1!EPT@i5icJmI/L,PC4,A?&mCJig@?ROdehW!C<3_e,;
+C!5,bf?r'sddklff(%Dgg&'EP~>
+q>8;3)ZKU1rr;ifoD&.]s7jft?tcV,rql]ps6]IXr;R9+o`+@Zo`+KW?Z+9krqHBk"T8)kqu6Eh
++nbm8rqcGj;6p5rZ]9.KZup39ZuKuVEKe!6q#CBkq>:'gqYp<dqr.H$qtg6equ-Eeo]Q)Nr;Z`j
+s7--aoDeL\p02nDr;ZKbq>^3_s2\SPeG]Clrqf]:r.An&o!2>hq79Fds8W&ir,YQbs7,pas8W#n
+r;66boCr=^nb`.[qtkm~>
+q=_r)2u3+=q"aRNmIKlFs740b>@F>gp[n4Wpu^u<r;6<bq"aCWl2U5Km@79kb5_5*q>:'cp[n+O
+q>'b.nc/L_o^ekOWr;:_K5&$#D._.tCM9/PNO8WSrqc?\p@eLYrq-$[iV-1DqYBjZp\"+Fi:Hj=
+s7Gm^lMC#9qX*nB;fhs2s7#UOqt'CY_HBj^r:]jZo^YXgnT\QOkGM"<m]T*8q>BgMoP6kBs6B1L
+qtp*Zp@\%OoCr=[nb2eQqt>O~>
+q:NgB*8K9&hV[&;e(E@3k1HbP5"17Jg=Y-:gWImthr"Cf%FX1YjO2l2J36Q1k2"Vfh$)Tef%/L.
+q:Qq@j5/VGfnqMJk15]6<N2<e:qE#o;M%hgRc;uYh:^E4f`'M%f(mtgg$mTgf\5$6h;-f9`nB8%
+hpp09d,<U,jk/GC4C$t#j3Z6*hUpHDX@>LdkMY:Ug!qcSh.0<TduubAg7'j=jlkRSiE.bGkg7u:
+hVQi3eC2e7eFD2eg&'EP~>
+q>8;3('".'q>:!_qYp9]pAF^Kf84irM7W!NruCb(qZ$Tms8Mies8B`U7[iuLm.(,Lqu$Ekqtg3b
+r#t_3q=aaZM.$A`MHI9WG#`S\r9/!,6"<Mis7c-]s7#p_rqcWiq>9.K"TSJto_8=a#kn;ukk4uS
+p?V\W"Sr)t?=Np61%>5=s7GdWs27TXmJm4arN0)1l!8?&W0L3Xk]CA/qLND]^JfsgrU0^Zp\+7R
+r;HQ`qXOIYr;6AA~>
+q=_r)2ZEC=o_.qKp%e4Inb;Y7dXlRXK!XM4q#C6[m.:&Jo_\CRmf3!kDF'QVs6&bFnb2_Pq"FCS
+q"Gs$qXsFQmt4g?s*mbCP&!d,p@dKY>WZ4Z;u6(Qp&F@OpAXaao_J4>p](+bp$_GGr;-HZrqtX>
+s7Gd?p\F[cnbE,b>5e?pl2UDUnE]cD^.*2*rq5jRUJ%cH;J59cMFI*lBj'cjG$k$T9nNE>kl:2D
+naH&Cq=sLSnb2eQqt>O~>
+q:NgB2W<<;f@ed,f\G'*eCrKm[:WN>Asp]rgudMEd+R73g>Ul?eE5PY<$Z_:jN>g)e(E@-g=Y$0
+pt6h>h:U95eS.;/k\2uAITJL/i8DgT6mG,M3Si65f]:?1f`'M%f(mtgg%!Zih;$Z2fAYoSlIG+Y
+_p@Ape]ct4jm:jclp4#!hqcN9fAb?-h;Y@e?I7ong";*7R)hBee;&-!grE>\e_+>%j.ePLlJKnL
+eC;sndb!(#n^R*]q:YYtJ,~>
+q>8;32u*:Ms82Ths760hs7uEcrVOp:NdZ/<_<COks8D]equ6Wgs4FPkA\[p<q#CBas7lHfr;HQj
+qYC%3rqZ*Us7phmnC!$+s8-_1Wr2nlDI:Mq@se7GrVQQir;QTmq>g?eqr.GSp\k-krCQS?_q;W?
+s8W#sr;Z]7`8KY!k^e3_nbr=ar:p'enb`<V:4Vd4pA8B1s8RdoH).*Ipng5ln,H3ns+4eHl2UeN
+qYBm[q>:*fnbVeQq>C-eJ,~>
+q=_r)2tQb>qtBXUs6]X^rUf[Rq"2XtLNRTs]&;uNr:TRKoCMbBrlqEQ?FfS%oDeaVs7>pWp\=LV
+p%e>)qXs7Es7:2[kfS4Zqs\,dUA"WXBN`6Y?$626q"FLUp\smco`4X[p>PaAo(`(Up%@V)\BV:h
+rqc-Wnc/6q]\(oThg'DAlLsiIp[n+Xlh1%>7X3tim."7^qY>GNDOHbrm@,n@jS))Hqg;`2j8&`=
+p%7hGo_/(Tnb;SIq=jd[J,~>
+q:NgB2qH[<hV$K6im?KAi7HN3gY/faD-g:fTZP[Aini8>gtgu@kdQUF7%_raf&YZ5j42c6g"P-3
+fD4)Bh:U*&k1NdIdBdAUkM/lhNSs*W:dM.L6X/WtgY(?6g&BY'f)XCtf^[Ybf2'oMh;-rEe]+Dq
+SYP?*f%\sChl3ToaKj*'@H5_gfA>65g#gc>idigoc/d@+5sXMkA5ZN^In81F*DFc;014i58Bf97
+k0)E.daHXre^a3>n_!Zjqq-E~>
+q>8;30Co&@s8DchqYg?eo_JOeqZ$3[qrtJ7>ABGLq>^KnrUp3ji,_tds8VonpZMSVjSo&UquQ]k
+q>:U"q=aU`k@1guP)]J@&oUt:s6\'*UA"Dqkl:8SrUKpdrqucm!;cNgiVW`JrVlg_rTVd=F%Cr`
+qu6WqmY+YL=^4tBR#1k2rr;`kp&+jbp&49;3g]F6d7oMsqu>RFs4URO>"4;Iq#At6h:)Dqp[e@`
+"TJ>qq>'RWnb`.[qtkm~>
+q=_r)0CAN6rqQ-Xp%\:Qn+?MSo_@e>oAQcl;dta,nc&FYo'#rAeS%X;s8V]doAorOiVrQMpAt!\
+q=c$1p%%bRiEWPcMLtKrra\pas6%EmSFH-Yj8JEGq!A"TrqHEc!;60]iV-%4pAOpao%qGdAik21
+m-j`Ck']s+:fC&sOFd/hp\XOVnbE.Tn+Z"!15tDb`^51JoDdG.s3a_7;EfU1nG:Jpf?O?_na6AT
+qtg-_rq5gUnb2eQqt>O~>
+q:NgB0@8G4iS2u9f\>-2db!@4g>UT6gru$i4AC")g?I\VhUUfK_,N=;k2t@Pf#?Y/_#E!cf`BaW
+q:QnKf[\U6a$Q$SF)9^pl;0Xbkg-FcK\"hH`o,8)g<SX1rn7;'!8%&!n_*Ha:X@_Qio8h=[R*tD
+A)c%ki8E!t3_)D&4/RFBi6C$6e_AU.jOi#?cYa\FdFk`TC#7Y/^sqS[3AETCB^".0\Br!uk0qr2
+jP\kJg"4d&ddbiWf_O4tfRN~>
+q>8;3s8Eu5oCr:br:U!er;?Toq#:<lp&G'JX)_lgN5=o[rrh7q=DuXeq$6Wns7>XXs8Momq>;$&
+q#C9_`CeJTIBEPBf2n.4nc+AJjo,2Y"n)E\pAadarVl`hqr.JQs%WF`q>^Kfs-Hi5H\MLus/&W.
+s+!gajc*.2s8Dfoqu$BYs8VBak@7&ss,]b+s7--grVHHjs+!kSp\FL^s7lQgq#(0aq>'pdr;-9f
+nbVeQq>C-eJ,~>
+q=_r)s7n>?mdg8Qp[IqQp\4R\o(MtRmJ$J-UM=1GKXp4=p@e")?;4tQnalACr;Z?Ts82WhpA+G)
+oCW"Vm(Ys1ol[#%lHDqZoBZ@+<8[HGqZ#g[m.(,ErqQKep\*S?:\aeZmI'`AlLTm+Ci":lnb8VG
+\Ft,7C#"D6mf)qOqtBg[kl(PBs5.$DZi,S?dJ)o$p@\"Kp&'&(Yj_,Lq>0[VoCDYPn+?8Gq"OIT
+q!n+KpA+I[p4*~>
+q:NgBs4f9ZdFI+2g=+d2g=kE=f\biLf])#.N`A_HDktb>ioT+89fZ%Vg=b00hrE2/iSE8cf_O2B
+f%8j7d\SFshHl/uf!m\^gsbA!4N6.6h;lf@cI:h$rn@A)pXo#hn^g:ch:^90j5\ePH9,85@HQ>)
+M)D-kAi3c8E]2P4gt1E9gY9p3k03&16mnPgD^`6Udc00@gYL`J@5"&$g=G6Bf\P65g>13VecaXW
+e^N(>e,\(if_O4tfRN~>
+l21;Sq>:!cnb_kS-hmZ>s7#dYr:nd*F'`^2cGtoUI`At]q"FaaoD&:^rr;ljr;HNls7uTmqA&nq
+s(kj6pR['"dS<*es8:MFYPA.hg&1C;+8u!-s7QElq#>&)Yann?s6F9:q=nr<kOb]im/R(ar;QO5
+qu$?gqYSZM<QJK^s8;Wks6oseoDMa(o)J4Xr;6'](\mb"qu$?grVlZis8Vuns8;Zfq=jjfqWn$/~>
+l1XrIq=aXYnb2MI-h$g&s6/qAo^L(_CK>"g_n(7uEP&F2nF6;Jn+ZbWrVZB\p\=IXs7uEhp(d>e
+s(54$n!87Qa$Vc<q"E--WUg)Wg%Y%1*;B!ks6BCOmIXXNUQ.pZp#'.jnaC-nhWphGjT#5R+SGI%
+p\4CSo^p:.9"e/2o^q\PqW[eTmIsIem/QAFp@\=Vq"GTro(2SLp@e:Wp%A1Yp@eFYoCV\Gq#0mO
+p4*~>
+l.Ggbq:PMrn_!Ecs4Sg\ip>4NhVm;$GZ[=2@BlhM7pr6aa4]&%g!\O/gtpo?e_/[/gZ%t\(Y[-r
+9KCeYIq-F'0-\?nhRG5"f]CN7g=t<Nej.j:dcT'?inNNf16Qu@W8Gfj<o2\78^H+M;U+F]gY1<5
+g"P05gY1Ac68YZ+:>js[j5A8?k0r-F8CHYIh;$c^g&BY$eecf`e(3.%f%A[+e_8d/f%es/f%/@)
+hq.2HJ,~>
+l21;Sq>:!cnb_kS"TSAfrqZNm*prY#eU(2$Cfb09^SHgjs8Vois8VZXqXsR^s8M]\q>;'&s8VcS
+?@;\NpOu+096:"1n`ZS(r;-EGr:0Y+rV?Hkq>^0gb>`uQS7Csd\Q$'4^12fhrd[lGq""I`rq[W3
+r;6Bfr;Wik@:A`urr;i\rr;EdNa%A5o`+s[nbW4a'DhFtrqlTks8Vrgo_84\s8;T^pZq^,~>
+l1XrIq=aXYnb2MI-i`f$p@8(\q"Wt<s35UW<*r7!jKt>.V>:#]o`+s]lh0c;qZ$B\lhU8ko)&@T
+i)k0rqX8_m5<roRr9N@0h"LF:g%Y%17/-<Ip@%_@rk:mCfSrkeq6!Dpn$Q>FmIb]qqsj"Jq"=@S
+p\4CTo_&6X5ZUqKlh:5JjnSf<qM8.(n*^)Nl1XlFp\+=T(]==5rUo^Pq=aOWqtg!Tn+-/HqY0OJ
+o'?""~>
+l.Ggbq:PMrn_!Ec.,*tEeDoEMm,d?Wg?cCY2aU;#7adr`D3!T6g=PBCe'-Fle(ip:d`qU@):dU$
+eAa[WguI$t-7^WHhW<5-I_smmgtLK:g%!W]f@/I-f&50HXuBe0H9o[5RQ$blUe,@WjCL1/f?`:-
+f\+s3g=b05gZ=>E6q#SXhr3;4hW)o>DEDR_eD]E5g">!1g&0M"eed-!in`56e_/U+g=tE5da?Rr
+g>(B1d+%C6J,~>
+l21;Sq>:!cnb_kS-i3T3s7P%3qZ$TmrpKgU^PS=W<FU-3h=UL7o_\I\s8W)rqY'X^s7uR/q#1-f
+]2u<8rq$'fJNp@3s6fjLs8V`kg&1C;5Q(BXo_n[Zs*dnuh,J4QkJL3*_fS\^p\U^bnbrL^s8)Qf
+qYU0dqZ$0`Im@5ss7ZBjo)JaTs)C&7Zh="kqsjLus8)H_qu6Qis8Vrfp&>!krr;fhs8DNRqg\~>
+l1XrIq=aXYnb2MI-h?`pq!HGio)Ja]p?)58[sj<.8lonbeaE"rme-8Hs82Wdp$qSJs7uC*o_J:V
+[8F$up?V8JFu6#_q<7S4s8DEbg%Y%1+o(d2n+QD?s)U`TdRRZugUKkX]51!=mdci@l1Y,GqXsO[
+pAae%r9Wlo2,Dd!me6JCqtfCQCGTP(n*g;Mnb3gqp$qSGq=sU^rq5aLq>^KjrUf^]q!IA?J,~>
+l.Ggbq:PMrn_!Ea.,!A/g>ghtd,"!PhVllDe"UZ*2`=$+EPC#Xf$rI,gZ72Fg"4^%gZ/+_(Y@Hs
+g7($agY^N8k[GZrg#C<5aQ)4,i;M@-fAYEQejS';i6g94fBQd&]"g-r`5SH,R&4"CS)*%Z2q$L@
+eD/^/g"G$1f@]$0fjH$h`TPk.hpUKAb2cD;99[oVk1SD<f[e^Kee[&meC3+*gXbHDf[81&j5\nO
+f%&a5cg'/5~>
+l21;Sq>:!cnb_kS-i*fBrRb_'YH!7O<ION9s8V2%?;uH+ZL[eerr;`arqH6erquZks7uR/rq>s`
+Q<W>Equ?*IC2a+Oqt0per;ZWig&1C;5Q(BXp&=dehF^iG_-3V=V#P41:-3Cis7im&g&M*Is7uKe
+qYU0dq>0UOl#L0/qY^$as7uThd7m&Bi;<QAqsjLhrr)]gr;Zfpo_e^g$Ms,EaR]6&s8M]klhc2~>
+l1XrIq=aXYnb2MI-h7*/p!@#\VkSQ/9m,gnq>K,b<_Ra`WpK<Kq"sUKq""(Pq=jUWqt]t&qXX+Q
+OB('-oD@S'?Y&d&oBuYQp]'pZg%Y(25POsJs7#jTq:7l*n?u,[V4%0i9h$pOnbM[S;:>LEnbi%P
+p@n:Sp%7k?kMBfM7Ig*?pAaaXoZK`h@G:DSkOA3^q=jOPpA4XZme6PSq=Nh$_sR0grqZ'`lh5i~>
+l.Ggbq:PMrn_!Ea.,!>:j5@O@<g&GT1,r[nh;me@<^AZSA<kZugu.5Ge_\j-g=t<5g"lJW(Z!Wi
+hf_)tg>(c6`_0.ci7uiDh:goAf_sM%fAYEReg&\ndbN4(f&FLt3SpJlJrbQE9K"UH<8QcnPrcG8
+j4)r;f\-8V)V<QlcdBs;7Q98^e_K9>gtK"b,tGc*k0;W4o@=c2gtg]:gu.,GeD0$@hqH;cV9dfD
+i7l]=le$^~>
+l21;Sq>:!cnb_kS-hdT6s6F<QnGi*k>`egIs7?!*?Cm!p=&<k*cM.A7qZ$Qfo_SR`oD/;#s7H0f
+G%C7Do)J`i;5X-erV6Eknc/U_g&1C;s8"qTr;?BjRST^Y\6Nj+hu3?IRoc9Ko)=&-eGnt:rqZ?b
+qYU-bq=jphhsF<2PkY4Ir;$9iVGE?Ap&F=SrVH-\)#Eq*s8M]_p\=d^nbN1HY'l&Zs8Dlio)J%Q
+J,~>
+l1XrIq=aXYnb2MI-h$iuro7@8kl9tS</C,)qX*gh=I=_X;+PAa`p``no)JOTn+HMLmeQSnqsa=W
+E*hu,lMU=I7[rf<p%&"Tm/?bNg%Y(26210Op\FXWs--*Es0,I5IG"8`oTN(<j6H>\5L&uds7u<Z
+p@n:Ro^qYKqUFIn3fEP.m.g8KqP$WBl1+f9p\OXXq#:")p@%hVp?h27nFuA8nb1h:G(J6Eq"O@H
+r9O',~>
+l.Ggbq:PMrn_!Ea.,!/0fB:@KB[Q%nRltcGbN%.+WBbuL=$&3:I^.VfgtUoEda?\$f?j?H);`iq
+hc<.ph:(KCM)'k>hVQoAgX"g4eCiOPfAYERej7g5e'Zb!f&h?7L?b6m9kV2qf@kU3K?i$+?7</8
+b2Ct(f@S[-e^W1"hrMZ%3%fU3im6B3gYIQ9E6QhmakGM#rm^bprn&(@e`,cLf$r@*i7HE2hoCd_
+A@U[Rg!n@)le$^~>
+l21;Sq>:!cnb_kSs8OD=q6X"js7cQa=h+M3p&G!cb%]c-V-./(7p:_fqX47\s8Moqs7uR.qYC0Y
+?@_eMoCM`j@K6?&s7c<gqtg3Br:9_MqY0jXrVHEZCJ`UIqu?Bes6TdW9ih2lr:Z4M\Gkssq"a^\
+q>0s`q=ajas6[d/6aHajoDSI^f!kAQs5a4Vs75pfqY9p_qu6U,nc&LMYA[9NN4nc]o_JO`o]uC)~>
+l1XrIq=aXYnb2MI-i!]/nZ5<Jr9sXM;6^)rn,)qQ`+.KjT2AZ_5>Q^<n)sEEs7uBbrV?1'p@\IM
+=F0N7lg*qD<rV^\rUKLXp@\.3p[\#Cp\=XXrV-*PAP1>/oD\1Ms5j:I7S`UQo^7Q/Z1mM^oCV\K
+p@\+No^DeIp#3GU3irAWn+lVNd^/NDs5<eJs7Q0dpDEVpo'u>Ms8)!Rp"uZ[8RI.\m/HJGr:TOE
+p4*~>
+l.Ggbq:PMrn_!Ea.,!J?f@lKFJ*#>GdlNo\in*2JgT4&agPJ$Z3%R4.WS>VKj5ShGgu%n[("hTk
+5%*"$eC<)?6L*I^j4Dl?g"=sVg&'C[g%*];eBlUef@8Es9/=$%gum;Ck/l]4/2uDIh:HR"Q.j@8
+e(4NMs4./!(t.Ktj3ats/!T,MdbNI/[?fA%iksX+j4=4Zq:>Pt(tmX!gtq8[jj`8Ib*#XZ8o:'C
+i6g-4f?rp:J,~>
+l21;Sq>:!cnb_kS-hdH9p3pc8q==RcdJs7DpAaO[prVRdo&oGjST\FE>DB64nb;eRqYC%*qYC0-
+=2+Y1s8TcBFHUnJs8)Tls7Z?hg&1F<+Stj.p@\7Z[Uu96o)JX]s6K.R^dsITqt0BnA>fD+rUp0b
+*;TI,q=t!Ks8VclTi5LGs8)Ecqu?]lqsj^dr9j.N)#F:4q=OITgqK8$='KpAbjbZ4qsjL^s7P^T
+J,~>
+l1XrIq=aXYnb2MI-h$^$mrr9qo'?2Ob5_A2nGMYQoYo_Rm,-sHO_Icf:4K1km.0`>p%e=up@\Bt
+;7QAnrqNd$BnpR!qt9XYs7,gYrV-<di:lg95kk'Oq=j^_[:5a-m/$GFqrR&A\Ntu8oBb\O?(gri
+p[RkIp%J(No^hq5rq5ONPY#3&s7Z!Wp](0ap[/"Xq!7VJrq@9's8)9PnEn`6PAX/pE0nN,s8VfZ
+o`+mZlh5i~>
+l.Ggbq:PMrn_!Ea.,!)'gso\%^t@&nj07\)g=G60jk6ZPe(2[j\:IdN5!<J6[a*CPf%9]M)VEu@
+2kJj[kM_pt<HD=#iRlf=imcW8g"G!/rm_##iS!eQ6.F3+cHk%pQUQPheDf?9iQKI*SL&+!gssfE
+6%deCe]u^sf%8I%eC36fki:@_M`jP1jOr&:g>q/Dg<ep;gW\7FeG[ttfGN<+kMFnJg;0P7><G/V
+KX'"ej4MZ.j58;NfRN~>
+l21;Sq>:!cnb_kS-i`l7lr\`*R%jBOs6oOYqY'd^pZqkMs7lWmpAF*KAlMQ*EiS*prV?@-s7PiJ
+>P\<gs6bMXB:]#"q#CBbs7QEhq#!nar;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Bfqtg3d
+qtg3dqtg3dqtg$_rpBR^MKSX[oDe4VrVuomC15JrpA+]b<l42!s7cNf*;TI,q=t!cs7Z?brK0a%
+qYod[p[\"Vr:ojZrr;Nb(\%J)fqj.0=^,d:h"g^?s7c3cs7c-_s6KQ4~>
+l1XrIq=aXYnb2MI-i`T'jA:$_Odkn3rTNSFp%%hMoB6/?s7#jSlL<Mn>>7^cD5H%\q"aY#q=3^4
+<V-7UqW<$5>a"[NoDSRRqXFCUrV-<ds7^F+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=IV
+p@n:Tp@n:Tp@n:Tp@n=Ys6][_LN2nLmJlAEp\FgY@p-mSmd^"C:V5`\rpo[Qp%J(No^hqMqX3tD
+oS>q^o_RYKna>oCp[mkHq>L!\rUq&mqY8I/G$\$EAsh*<n+$GKnG3%Rme?YFp4*~>
+l.Ggbq:PMrn_!Ea.,!_5g!)Nad!(&mf]13%i7QT5g"=U6f'M5ViS*53Kh!pN1/NeAf\?5U)rK5m
+GWXU@d,WG]:.BWdhU^T@ce[%*f\+s0fDa>"f*g9`g"4p/g"4p/g"5]Go%$+VcdC@bf%k"=e]uY+
+c.h(3jOZsiZ'Eqphh<kX`RN\ke^rC(e^W*tgt(E:i83R>/RR5hb3%='e(ra0d+R42f_X1tf_sJ>
+dcKN%Lg`k;5#HsIgtLQIe^E40eBln*le$^~>
+_>F')2#$hGqt'[_o)IqRRTJaGD3b+mqZ$Tkr;ZQlr4/&8S@tr6s7ZKis21FTBiIZ;Q,VterqZNm
+<qcNAGlRg>rVMV%huENOs8W&np@nIaqu?]or;ZZbqt^-bqt^-br;-?fr;-?fqt^-bqt^-bqt^-b
+qt^-bqY9p^qY9p^qY9p^qY9p`q>^Kfs57=Vq=t!a%VJgjOS&SFZt?oLq!nC\rV.0(qYU-dqY0a\
+qtb2#Xmu5em/HtXpA"Xd+T;<;q=jUYrr;Wer:Tseo"hAX?X@JoR_%MHqZ$Hfqu>^RJ,~>
+_=m]tBCb]kp?qVKmJl)AP#(&'AWHNPoD&+OpAFO[p9T]pPI.$gs6fdSqR`&7@8&spNP49Gp@7qV
+q"jLRG&[EVo(M^2FP-N^p\ap`o^VMGqY'g`p\4OXmJ-MPq=sd\q>'m_qYC!`qXO=sp\=LXp\=LX
+p\=LXp\=LWpAFm[s4pqIqXY9hn*aUYFboD]m&XO"s7,CRr:N,Ep\=LVp%%YFp%2o`V<d[KjS8H=
+n+6;Lp\+@So'l,=p\O:Kp$VJPlaip?>$5E[Q*oH4p%nCRpA3hCJ,~>
+_:\S8B@PMff[/7(d-ApBIltr,:3>=>fA#'1f%ea3gmr^qKVaj)m+:7JhP>^/9K+LqGc&UBhqI&L
+hW*8G?WlOLf\G1t>/'"KgYU]=eC2jsg=G$5f@Sa-c.CLte^r@'e_&I*f%AR+f^[Vpf(.;re(NO(
+iP%L%ec"&4e^iC,ge9e=FkPp/Pt.8&e^!.*rRM&%f\-8V1tC43gY>[WOO`(Fc/.7-e(37-g=k<9
+f[eU*h;Hc8gXOs>d@cD)4Zl8<GaQ:jf\P63g"k]@J,~>
+_>F')"TS8iq>($i#kn;WEcqB!CW-5P')28!s8)`irVub9ATLU_m/I%ZrVmu/aGsOp?Wq!"an>W)
+q#BhpM=(?CrVuWls7--hoCr4_rsJ]#q"jj^p\Y!jqtg-aqXOCOp]p`jp\a]sE6\4R1%VJJIDbFO
+n+3\dZi0Ugr;-3_p@n@Yqt'RZrr<#rq=8;n\c)C$p&>!kp[n7Xq>1$fru(\(s8VrQXa+Df@W.X\
+pAOmeoD/FdqtU'fj84?~>
+_=m]t&HD@ko^r%\s6fm=Bl3RUA%hmA7.Bj@r:KdSpAa\u>A6N9jS/]Es7lB`keMpQ4]bNdKu*0L
+m-t&=?%M,3r:^-Zq"a4Ns6fIQrVl]gp%.kLoCDVOr:p-aq>0(F#P[cZp[GY-aSGF'l_@3t]B'"T
+l_[X_p@%>Ap%@tKo_%tRnFZMQr;?B`l=3/cp%%\@p\XaTmIBi>nF?8Orqc*Hq"O7,U2F(>>ABAF
+nbDhQme$DRp@J"Rj7\!~>
+_:\S8:?0mQf%/[;k1f@H=Baa^9V^_1imZE,gsXj)h!3j&:L,kVce[U.j5]7^eZEmZ-pg'eE3.^K
+e_BB<7V^6,inWVGgtg93jNu?/h;I&@rm_5)e'ut(gXl;PqUPZ!n_!ono@+&sg!eI(d[<h0qUPVs
+:6IbLW6snYe;lYRgsaU'f@JL%e^iC+dFHq*h;-f;ePIoji8*/=h;R/=d+$[ufA#9IkiCFEio/S)
+N*&D75>64%e(WI.d+7%/f[\X/j4Jk~>
+_>F')4oP!Ns8V]Xl1G":>d4,"ci<7hq"Ogbs763hmf2Q[O3*cZqZ$Tcs76-gr;6<Rd[c88>>JIW
+Y0$+A:V-<"rt"_hs8Vopnc/Xep\+@Vq>^Hn"T/#ns82Zgq>0XWnb<=fq=jpZ^o7&($ib[*huE`Q
+s8KK7^&@siqY9dWp@nF\s8Dcfp%7qNs3"SVeGT">m/$b\q>C*^s8MrpqX<7dHui_&B53==mHsQG
+s8DW]rr3-"qYL-hj84?~>
+_=m]t;#'JRs8;<Kj6ZMp;lK<Va8b/RnaQJKr9XIXkPa@@L;8k6o)&:LqWdbLo^hV2b*@Qm;b'c7
+VSVE!8$_U\q=j7=qY9XWlMpkXo'u;Bo_SR_"SVK_s7lHdq>0(F#5Ro^rp77lq".A\G'DU;q"+:T
+YZS@/q"adZp%.bGo_8.ZqY'RPnac8I_bsa`o^2G8oD81Op%.VFoC;D?jO1tdBNA&:?[oTJkjSBH
+q!d\Iqtg*\p%S:Bp4*~>
+_:\S89%qYGj5//*ak>m#6C$K_Yia$AeC34&greU0c03MFGHl[Mh;R25h:(<Chqm/3Z[Q[f4>8m0
+O0$`u17d(Yio&80i83,BcK*p;rm^u!#Mn.igY(04i;)"#f^[Ybecsm[eDSWCL&':rfAg4G^>n)'
+hV48WRG6KOgt1-,e'uq#g"tK8e^Msqe`F"u8%7C,iQKp2g=Fs.dbWa6gtBucY$4dh4[r"WT$#4'
+gu$i6ceR@3g=Os0gZ-q:~>
+\bcR/p\k-dq#::7hHjs]p](0_NN)CHs7H?bs8ViaPA9IaqX4CRr:p3hru(J's8V]js7tZ^JR)&E
+GAL1'qt0RLs8Vlmrr<#p!;lZn#Q4Q#s82Wjqr7GBp^$`ls8;oomdL,MqG6h*m/QYUs7Q,s>e]k)
+qtBp_p\+=Uqu-Khp\=U^s8VQaY!S!FqtL-jqt^*bqu$Kaf!^lh>u"CLRC_thq>1-kr:]j]s8W)r
+q>'mbrVbdRJ,~>
+\b9V0o(`+QoD\dieQ$);n,2hEL8*o,s6fgSr;,pJMdbZFn`Kc7p%%eSs7u$Mr;#[Rp[Qt>Gu[@%
+De)J\oBbl,s8VW_q"Xm^p%J7\rquWhp\=^cp@S.Tq=sd\q=sd\q=sd\q="(Yp[e.cp[nCXqtB:>
+q"aSYn%e&^lhC2Bn?Z-)md]u>p@e.MoC_nTqY'RSp\=[dkOPK2Jbep+s8)BYoCMVIpZBZ"Meu?Z
+8p$)skPFW<q>9pVnb2n[q=jORp%S7Vj7\!~>
+\_(KIeCra.e_oTV`'dDHg?%/=Ckg0ghp1$&gtgQ3GYloYi7$l9f[AF4kiC:Jjl4eKi7c)7@QlJ"
+>Z!AahUg?)kigXRhVR;Ff\,*=iSWJIg=tQDg"5!3f@ed/f@ed/f@ed/fC.Amf^[MshV$`;bKS]9
+f.5:EaPP4rgX4K631/"=e^2t#e^W+"g"Y95e^iC+h;cr@OX4i)gt:cIf[g&R+PGVu[?Yl94=rBr
+GaZt?f\,*:g!eF&hVd/Af%/I+g=kT>J,~>
+\bdNIqu-<`s81p4Y&8mes7F-I7'Q^kqsaXcme-V[ELQq#rr4eCrql?Zp\Xmfs8)Baq"=C\qrZ1]
+J87MNDg.\]iV2j6q=OO`r;$*^q>0sbp@\:^rqu]QqsjLfp&Fm`rVuogq>*k]s8W#frr;Wab\"ri
+p\OX^qt^$_qY^?epA+^ep@@hTp]%-cT_\?]n*K`3^6=%bBjk:YH^CbVq"sIYs82W`qu?ZmqtKUV
+q"X[_rqtdQJ,~>
+\b9V/pA"7LqtAsuVe:DIs6dL75-+PWp?VYSl1"`KC6SS`qYBsOq=a:Enb)VNq=O+Io'c,Dp#*oD
+H"9$2BlTEEg[XRsoBu8Hp@IhFoCV\JnF-#Fq"FIVq"ORXq"ORXq"ORXq!e"Xq!n(`nG;hLq#CB]
+q=RMRqZ$9Uq#BdO`aH[QnauAGp@RtKp%S:QnauYQna5`Dn,&_GR.9Y>kiM6l[u>QC?WU01EK-X.
+md]?1rpfRGpAFa[p@@PBoCMVKq=inBJ,~>
+\_(KHf\4m)h:TW[PZ2ARlIM_-,`^^:fZW(*ajT>1=+TYlkiUjMgXad$fA56?hqHT6f[\U1gW$I:
+B2U0=;d4aB_qEJhgXb*9gtC<3g"P07f%&L3hV?i=g"P-5g"P-5g"P-5g$m\qg%!]"e(r[-gZ%;@
+qUeTqd+6t"b1>CmcD3^ucHk"fg"G!.f@\g4e^W4+gsj^"kh>0V/qMa/h9O3n`g^pP9L_3,6<J>b
+WR]YDgu[2@d+I40f\"]uf@AF&g"Y3>fRN~>
+_>F'+,5V38r;ZfRVJ/n3>_IoR9O)Jps7lTjr;ZEcs3+NZs8Dlkrr3?#p](0dq"F@Ts7QBk(An.3
+r;Z'WjJ@K/3ak0XNNhRFq=FC\qYp]rp\=^dq"sm`nb_kQ#QFPrq>C!eq"agersA&ls7,marT8(G
+rVllorqZTj1&LnJq"Xgeq>:3Up&FPt;qUj4\URs\6:k9uOhp;]s8W&hs8Vurr:g6fr;69ar;Zfr
+qulutrVQBMqg\~>
+_=m^!9_J,Sp\XmATjp\o<doX:7TO3Yr:BaXp\XFPqSl@Bq"FCPq>'mYo)8=SoC25>qX==]qXs[\
+pA*b=h4B!h1g;n@LT9;0oBl,Dr;?Qj#Q=PnnacGLp%e@Xp>P`Nq=OCQp[\@Uq=YBur9*qVlgk#K
+i+gF2q=sm\rq-6`1%tA;oCMbQo_/1?mJlE\9@3.jZ?TJ@4$leVLUZ15q"=7CrVH'Xo'Q8Gp\+4M
+p\XmfpB:9eq"F=>p4*~>
+_:\S:.G*5+g"kMsKM=Bk5\On3/3H\ChppK4fA"X(i3#,<jlGFWiSWG@eDT'[efW>mi76fKi7m/I
+hWE5CbDU'r*^q5;Dj&3%gXFg3io9sq(ZXK0f@\p9gYCN<g>(E;g=t<8g"Y37g%!edfE^3`g"4s.
+jOX1\&_Pdf_:7;]cJ-mb8ugUugY^Z_fDjJXg"P64f%]!3g#:'*lI8Ka\_,/o?9Th\-8eM8T#TOB
+gtL-9iRlu>eD8d1f[\O*h;8.a"PVVaf[]$7J,~>
+_>F'+/H>YCo_AIdkP+-=nCksub.c+"o_JOeq"k$jnu$`is8VcZp&Fmbs7uKer;HWm-ia/=lJ:7^
+rr;Ncs6JhF`Jn51;F=PsCQ578kk=iGp%&._qtL*iq"ag_qXOIQq?R&ns8)cer;ZTj'(Z)&p@nOc
+p%7QX^%hEps7Z0]rqZTh0_tA8s8Vogr:p<5["(/@G@+HK;/)B?m.0lGqYC!ds8VugpA=^^r;HQl
+s8W&pqu-Nn"8r&mqW%I'~>
+_=m^!/H>J9n+6SVipkt&lI<\]`43kdn+?SVoC`%Ym%JIQr;#gEn+u_Ms7GsVp\=a^-i3W.jk/2I
+q#'FLpuL?*^5#im9Kc9[AVZtuipcR/n*KoNp$qhQo(i%Up@7nIp':WerUp'Up\O^['(#YpnF?8P
+n*]7>[diqTq!mnGrq-6^0_Fi)qu$*Vp@.mnXEZHuDcfk.8n*n#jm2C+oCDMHqY^!Qn+?5Bp%\:V
+qtp0^pA"X_"8DN^p#Gar~>
+_:\S:BAqOodFI74`S&Dod_)TRWh-6Kdam=4e^`I3dYV5Hk2t@EfAP94iRZT3g"Y36g>1N5aLf%-
+i9AnRk0hK5X)UKm2C1CR9lGljb1PJ$f@8gCh:^`Fg>:WAgtpiCgtg`@gYLW?g[X"ffa$Qdi7Qo6
+g>2VZ'A:Oaf$)Ijgs=9d4dspPdb`L'f)F;$ehG_(e_]38eD/a:WKgm14BOd+0/,q?Wlrf?f\+p1
+gu.2Ge(*1*f\,$4g>1T=f\"pWgB6-]f@T'8J,~>
+_>F'+=7u@gs75a[s8;Zlq"=UZqu?QnpAap_rqlTas5<5CpA4ghrVuWcs82fnp\Opip\k'\`-Y*]
+M3a!3:g\kTmJ-_EWLJW<;bp@q?Yb@m^;]=9r:p<lq>'p`qXOIQq?R&js7H?kqtBj`:]Kk[s8;ip
+rqQ+h[JU!rs75gUq"XUWo^_VNrT1GGG_Bg2;H64mUX/K1q!@YMq=aU[r;HQiq"X^cs82fqpAap]
+qu-?drVQNjqt^'brT!d*~>
+_=m^!=7Gh\r9`nIrV#g\o'c>Bp&"I_nc/4Pq=aOMs4ZT6nFZSSp\aUPqtBj[o(DqWo(`"H^NN%H
+K9(Um8Q^B?k48E.UQp@$9hA)Y=_3)U\A.&"p@A(XoD/.Vp@7nIp':H\s6p!bp@7tQ:]0GLrq?'[
+p[RWKXn2;RrTs"CoCMPCn*TQ:pu&B3Ed_Cj8khNMS&jmon`B01o'c,?p%J(MnaZ5JqXjOXn,)_H
+pA":Pq"FIVp@S"NpuD'u~>
+_:\S:=45XWhTsO&i832Lg=P03gYUWEeD\s.gXb$(jM9%&f\YWJh;?`2gXb'2eCWR4eD&a(U0/m,
+COC(s2b%NJe(j'.NI>Ip2).!N5tu!JTVorlhV-uMg\K_%h#Q7$g@<i$h9Y*/j5/J=qV"d!gr@h"
+f%Jd3e^HUGgu?rJdaHXrf%&9ud*^P$_inh;@nS[82CLbBY0c7]bL>1te^rL/gtUN6f@f-@g>1Z8
+h::!,g=Fj/f\+s1f%/L-j4Jk~>
+_>F',nb`.[rqZTjpA=[^s8P+Lq>!iuh>Hj8UdgRJm/$SRq>L*Ha0r=DG\V/1<aJp-=DNbm]tN%i
+s8VlirqHHmr;ZZgs7lNkrVlg.qY^Bjq#C?is8;cjq=sd^qYC""s8Migq"t$gq"t$eq"Xgfr;6LJ
+q#'\f[K#X/S9N-Up=mTcQ'lZ7=\MLq9Q5*$NlV"fq"+OYqXXFSrqZ?enc/Oeq!n7Wr:^$fr;QZj
+r;6AA~>
+_=m^"q=aXYs7lKer:]s\rqQ<`s8>[Zp%;!ef_=e$T0\M;kOnN?p%e78_m$8.Eb&ln:fpXj;ItKU
+\$scQr;#pTq!n4VpA+COq==7Sp\F^^o_/.So(i(Qq=aLRoCDMFo_J/MrV6!So(DbOo(DbMo()PR
+p%eIZqY^*Wo]fDWroCMPDo;G?eA%];P&"o477C9HBl/!J_"6p_li6AClL=38oCM_Cs7cB]nb2eQ
+p@eO\rqQ<`qt>O~>
+_:\S;qUbf$qV2/+gY;VZrmq2(g]#t.hYu:6g=b02f$sZLs4IA0:"%bL0hB1Ag=hH:HL0&:hqQrE
+gV^%YQ$lh0;+`f54#K&nCQ"gY]@c9+gtguEjQ#1YhqR,BgtplEiSWAEi7loAhV-lBgY1?5g"P0U
+gIL;\g"4m2h;-`<h:pT7h;HuBhVR2Mi7m/@6(@8lVh%sLi75E8LNIc<;`H9X4Y'<,>A^7jdb!"4
+f%\[,f%o$1g<\d4h:DDTq:PMrp=TDurn@2$qq-E~>
+_>F',nb`.[rqZTjpA=[^9Bl<Qke0K:s8MZjW`@^Ks7uNeq#(0ioCi4aq=sdOet8(PB3JA??=$l@
+@<IsRh>.*IpA=^^s8;osqXaCUr:Ts^pAFd^s8;ckrVcclqZ6'UrVuor5PFmLs8W&knbMqPpA4^d
+s7uIuSWJ5!FJYp_AS#Ua>?GHTEb;0!nFle[qsj.Ss-RADT&'/-Zb=,g_t<Tqs7-!^r:^$fr;QZj
+r;6AA~>
+_=m^"q=aXYs7lKerq6BepA4O^q"aY[jnAT4\O1cEq="?[:t,.9o_.tMq#1!VnG<%Ro(1tiR>Z5s
+<)HUs=B8F+Dj%`aoD/%Jp%7kQpAFj\mI0Z?n+H8@p@RqPp@\+Qqu-Hiq=R8?meQk\q=jXQo(DhT
+p[IM=n*TQ6o_/"Jn5kj/E_C2=TlaUI@p)c.?>++]T$QZip&F[LkkFt9?#l7]n)UOY]"5WEn+-AG
+pA+IVpAamdq"a[]p4*~>
+_:\S;q:G]$r7q>+s4dG)rmq2'g&'P)gAT\*f$sZLs4C,gg#0uD.V%c*g[(%b^#8&0h;$cBinr>>
+ioAeIgWd6ZF'_F#3BTPn5X.\?I&4[8j5/MIhVI5Iio8\@e_/a.gXt*4g=Y?=gY:QCj5T%ngHWp3
+hrNhTh;-Z7gY^rFf$W4(f\,*<j5o1W8;2A%5?s#">!tbM5<:_k:/OH5[EmCXk1\2-h;NWK>CXB>
+c'83u"JO8le_^,Tq:PMrp=TDurn@2$qq-E~>
+_>F',nb`.[rqZTjpA=[^rr5"FDHYKR\a'++G5:J#qu6Qhp\Y!jpA+Xbs8W&jqYgBdjik*.LO!N;
+>[LoJBlnZVS>N9k_:eDXrr2p.rr;unqtK^Ys8Dcir;63Wq>:[$rqH$ToCV\TrUTLSr;RT3puKAn
+St1=)AlCoqB2F(gFc3<5bhhmertk\&q"Xmbs762k?'aO,orEdR:NYFms75^Wq>Bs`s8;lpq>C-e
+J,~>
+_=m^"q=aXYq>($`!Vc<ap\jmap]'q_s82i[C/iO?[,q%lEV8Mgp\O^XoCr4_nFQAJqu-9Xo_8+L
+ho;gkJTG7#<`rX2@r?C>QCt"S]@6-@q"k$jq#1!Zp$qGAqtK^Sp@[q?q=[>Wq!mb<mI'EBp[%5;
+qu-Hmq=O.1]:kLSF@0;)2,.CGF]rR3TsDPbkP=lGq#:'_kOJ*<o)J%UUfEH0ea9,]>"W_cs8VKV
+pA+IVpAamdq"a[]p4*~>
+_:\S;q:P5krmq2'g%sG$g&9M%f`0W#jP]7J;*MP9T[2Sk>MRN[hV[2Cf\5?Ff%Jj7iT&bEg>1T9
+`N5;XBj4.m5!_P'93,;3IY`oHTt/V-hVdMXhW*JGgXjp.j58VHhVHi4q;+X%hUg6)e'un0h9s^(
+iT'"ak2Y=@WfVshBK&aP.mm)e>X;8$Lmb6ScJ[R8hrWbMbLP/#f]LTFNBVR+^t=TW4Y9RDjQ"V_
+g%j:rg%O(ug&B_$g&'EP~>
+nb_kSiVWHKl21JUs8)Hdq>)6-n)iM*D!mj:q"+-uq>^3crVufjp@nC_rqQ9aqYgHmqtql>r;6Hm
+rTh_;PDF'Z?"%>b?=dbU=^c;uItifEWj]LU[^Nlqk5#&Wq>*VMftXo)^qdUdZ*h3UYF12jAQrDC
+;H7+*:j7/4@:`9%q=XUYs8Vcls7?6is82cnrqZTop&FdREbEM[s6]9N=fVN%jT"oCqt^0`qu?Tn
+rU]r;~>
+nb2MIiV**Aq=aj`qtKp]rq6BepA4O^q#'mcp)rqlin@+>l'QG^mdS-er:BXXqtTgToC`.Yo()DE
+p\OX]p*fV-p%S=Wji=WcJnJ%a>@;5K?X[&8>AJG.J:ilXYdD'IYd_a4oDJU`oLJ/p\ZW9M]!eT=
+YI1d;PCd^X;H$Fa9NOqYDJsSt>=XY@lgX<<p$;SRl1FoInalJKo(`(LqXET]?bte!jl`47V>pPP
+s7#RPq=jUVs7cNfoCmb~>
+n_!BbiRmtZq:P`#qqCl!rmq2'g%sG$g&9JIf\+s4f@%dZ2cJ7[>2.]]WnQLcgYCZ?f@8C(jPJPA
+g"P9?h>>tUgYUcDinr"aR<<7?4?l2(;a*W?4uko+?!h2XFGcBQU6q=?Z,k\\k5!e&dCGm6R@p4C
+O-,]sRu_i0>Y@FP69%,!4ucnWB1l#YGh1<peD]32jPnP@j5&AAg=t36i7-]9c;R96cK3F"KK"_J
+iPOX(q:YSrq:YJos4RD*o@\W~>
+nb_kSiVWHKq"sXXrqHHfpA+OZ:](1ZY=_u38:U[/s8VKdo_8.Wr;HQir;$$[rr;iiqYpBco_&%[
+s7Q$WqZ$Toq"k$jrV#$YXGhs]B3SYPBOP4G<+KTH>A.DG='T-?>PVPp@Tui4=^+p(>?P$.<`iO0
+Am/>OG_;9]^Amocl.:<?<6=n7r;Q`roDe4Xp&FphpAa[Tqu-3fs'Sn*n`BVJB[QkHs8;`nq>0pa
+q>Bs`s8;lpoDF+~>
+nb2MIiV**Aq=Xjaq=FC\pAamZq#'k_pA+aSX[cH(7Xb=)s8VHcoChqSqu$Bfq=O1Iq>0dUp%e=O
+n*ouGrpK1AoD8@XnalYSp@$P=V1aA>?W0s0?s-N'9O(n(;d`^':K1Ft;u'E`>ZFQq;cQXe<Duak
+:f:7m?;XO,DgRG;[eK4CiQlUt8\XQhnalGJkl0T?lM0lCn,M\?o_._MqH-Mbl.tp*A'Y,=s7uEh
+q=j^Yq=jUVs7cNfoCmb~>
+n_!BbiRmtZq:G`$fD!tsgAfe,f@\aNfcJl#f%/L+g"G-9i9JgZ1dk4rB&hG(j3Hf;f\"p5h>Z+e
+f@/:*h:U<2gtC3*e(<F7eC2q#i8NJCg#:lEe[q9.D/!3F4?c2*69d:a77TO(91(a$5=7b$qERS8
+6p3If4$>PZ4ZbY`3''/d90b^;?>+\HUZC1LcFdS&1T8megYLcGdcep<eDf3=e)J[#f\4j6j$>]_
+eB$O-7^(jpinE&Fn_!Zjp=TDurn?tsJ,~>
+nb_kTdea(Aqtg-aq#:$fq"FOZp_2r`s)LZAE)XgOoC2eJp$r(Xp%SI^"8i&prr2p"rVlTirr3'!
+p[\=`#la_urr;fmq"Oae!;cWn&c(tqo%M=2]r%@%V4F'FSt)8FHm40'S",b*Q(4#5]?AOC`PVQJ
+r;Zfpp%?LgR]EaYm`V!4mJd,/q>U<jkI8LMs7H$bs7cQnn+McD\**eBPG\BIrVlQXs76!^q>:!c
+pA=mfrr)Zjqu)$~>
+nb2MJde3_9q#:*fq"a[`pAam\p]:-arV-?c'BnraDah-P:rW/!n,MeInG`7Vp\t"KqtTp]rVlZg
+q=F@Ys8MibmJm4ap[n+Pq==7LnG2tWs75p\q>'gUl1O>i`5B!SQ)'t9P*D8sP502iI#4,SO,B!a
+N1RGrai(s,o^MMOrq,UF_hO>LWoE3[NO7^=rq,XMnabJ:]Xdh&n+lqOq>][IL/>)2q9Fnks6BIX
+o]c>Cq=j^Yq=jUVs7cNfq=jd]J,~>
+n_!BcdFeELrRq/%rRq5'!nZ)Wpt>]$)q``of\,$8h9k!@>Vr<_4fmAgdH&X)dGNR)ec+2\g"P-7
+hr3AFgXb'8iSiPAd,a?Kh:gT=hq6`9f&,HDk1ehSio8qNdb`HbXfS+LIZK;8I=HftIJI5?A9!$H
+GB.nVFG??gZ)jk#iSEJXleg@IXD`HEPK;"KGFm%:khatJgYBf7VPE.ue(ip3h;ll3D`O9/jLKMm
+jNH<5e]Qaqn_!Zjp=TDurn@2$qq?Q~>
+nb_kTdea(Aqtg-aq#:$fq"FOZpaZ=9oiGDuX(;2)s6]d_q#(0gpA"FUp%\RerV-![qu$Hjp@ItS
+s8VW^r;Q^>rVZTns8N&qo_JOeq=F4Ss8Muqp@eOdrVlcmqYL0irVZKe8+cc[s7Q!]s8N&urV-$_
+s8W&lo_/+Zs8/O0K_+Wfqfu2!WU9`cqtfsZ^oh=GNc0dSoCVhXs'Aq,j_^7]qt]g^p](*ip%eI[
+qt^0`qu?TnrV?BgrI=~>
+nb2MJde3_9q#'sfq"a[`p&Xp_qYC*bqtL-a:]L"V<*B4!@Jfj"m/6bTr;ZWeq"XOTq#1-co'l8E
+p\FOQmdTrLs6B%Fq>0m[p%A:[p\FIKo(r.Olg+-9p@\+HmeZhRp@\%Jo(D_Lo_J#Ime?\Un*TiK
+q"jm^naQ5JqXs=Dmd^#GoUBQCm-*'nDb>MNir8lFn*02HUKj4?BS-0KmIC,L<`AVGAW6?Uo^D\L
+rV-?_q=j^Yq=jUVs7cNfq=jd]J,~>
+n_!BcdFe?Js4RA'rRq5'!nZ)UqUbc#s4[M*s4RG,'A_R4h;:Rjn!R#3g>^B5gt:?;f`'D#d5]Y3
+gtL3)e(E:,f$hpmf&5T6db3I5gtLH7iSN>Ff[8@3iS)f2gYguGhUgB>jPJePi8<GOj5T%ohFQGQ
+hrWhKe_]NJioAqLf\PQKi7c`5g>(Q;InX7raLBc%1hhcikiUUPe(1.N7Y>JMA`(h]e`,FM4Pn.W
+H/mf6d+m1.f\t<Lf_O4of`0Y(gA0G!g40~>
+nb_kTd/.eXqt^-bqt^*`qY9p^qY9m\q=sg^qt^-bqt^-bqt^*`qY9p^qY9mUYXk&P\"EEgs7l9\
+s7uH_qu?]mr;ZQls8;cos82Zjrr<#sqY:*jrqu]mrr;forql]mqu?Hjs8W)tqtL*irql`nq>^?j
+rr3'!qt^'f&cMV'r;Zfop\+F\rVQHgrV-6fs"O6:@r),Ar9s&EBD_`/rVlcks6K]3;hE.p:B1%f
+rV3Ql?EId2n,3.Ws8VBaq=FO[qYC$ar:^$fr;QZjr;6GC~>
+nb2MJdImh?q=sd\q=sa`pM9Ksp@n7Rp@n=Wq"a^\q"a^[p\=IVp@n:Tp@e.HX$r-@Z(1FYrV,mU
+rqZ6[q#CBjq>U!^r:fp]qY'UVq>0s_p%/%Up\"4Qp\==Up[n4Qo_n=SqY9gZo^MVQp[n7Ro(VbK
+p\FUXoC;VM7eQEIq>'^RnFQAJp%7qOnFZJLqYg3ZkZhZno_.M35$[ULqss@Lmf)/DE(G2g;FgcU
+s7Yu]7olHl6Ke"6nGiIMs7YsXq=j^Yq=jUVs7cNfq=jd]J,~>
+n_!BcdFe?Js4RA'rRq5'!nZ)UqUbc#s4[G)s4^E,hqm%Q14A,TM:gG:f[JF-f@8:$gtpW5gXFm3
+f@J[0f%&C*g=k30e_T'9g"G*6gt(?:f\>*3iRcoDhVI#Af%o?Ag>:T:i8!8MjQ#4Uh"p"Ci8<;C
+gu%#Df@JX1h:pZ<h:CE]i%j?Le]^9KgXk$"asBO2hW<PKgt:i5kZT`MV`$'ce)]<9N\E\Z81i9K
+hUCNAaQ(n"g@<hpf`]p[f@ejNf`0Y(gA0G!g40~>
+pA=mfrr)Zjq>J\;55P0Qqtg3dqtg3dqtg3dqtg3dqtg3drVZWlrVZWlqu$Kjp&>!cs7L&'b4to4
+qtg3dqtg3drVZWlrVZWm_>Nj#2u*FNs7lWfs/o.Xs7l3WY=<s:o)Jagqt^9ZpKqq1nQp>;q=t!i
+E`&\,^08_Zq#C*_r:p*frRq)Dr;6GC~>
+p@eO\rqQ<`q=r>1554dFp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tq"a^\q"a^[pA"OYn,!%Tqse,j`:N]t
+p@n:Tp@n:Tq"a^\q"a^[_>!Kn2t?k>r:0XPr23)?p[IP8W'>Isli6bRo^_k@n5sGjl;qj&o'uSS
+C.Xua[Sk$:nGi(Mp[e%Rq!RhWp\+@MpA+I[pj`~>
+p=TDurn@2$q:`C3qUuP9g"kWAe_fHAj4Hs]XPMglg%sA#g&]j[rn-2_iS*hT2q?sCin*,=if,R/
+i7ZQ.N[7r`dH06?g=Y?-eilpWcok=hf[o0F;_j*ZT0'.5g#CN2g""[/gA0D$g&9S$ecaLReCN4@
+f_O4tg40~>
+pA=mfrr)Zjq>Il$q>CBmq#(-k$0Ap;HV7qPaQE-jqt^3,r:'SArVHQjrr;S8A(:2OqsRKO](u:(
+r;$?bs89T3Vu#u)jo>A[n_%2pjSuqnYk7tgqZ$TlrVc?@qt^0erI=~>
+p@eO\rqQ<`q=qMoq=kKoo(MqWq;8_oF[]Z8_VjnYpA+L"p[Rr9o_.nUoCr%GEEgZSrU]2G41"MN
+rq5jVmeQOb:S@=F^YSe]p?Bt)F56T"9W7=XnFcbWp%\=Mn+QYQnb2eQqtP[~>
+p=TDurn@2$q:`C3q:ZD8f\GEDho23\>:W.%W5d9=qUkVt_:e>12VQjFg"kW:>"#jPkha`F,am<>
+jP/>CeDK#O229f3W5doVhpT)">fG]p23HGOe(<L5f@ns*q:P`#rRh)"qpYVso%<ckqq?Q~>
+pA=mfrr)Zjq>Il$q>Cj(q=aX`s6RmXI;k%(R+_60qt^3,r:0YCs7c?hqYC053EOJbq!Hj@:\j\`
+s7uEhq"jf%8(IS8s8VKVs8Scqb3o<0;3V%Mq=j^^rr2fgg&(UCqu)$~>
+p@eO\rqQ<`q=qMoq=kL!oC2AHqW>_AGA;beP10!tpA+L"p[Rr9q=*tPoCDpu0i,dBnE&.u8+Q*H
+qXX.Pnal<^5gK)qr;YmCrV2dX_WLjm8W3W6o^_YJq>'aSn+QYQnb2eQqtP[~>
+p=TDurn@2$q:`C3q:ZD?g"+j5i683.>u56RGe)AXqUkVt_:eA22r3!7hq?ZEW#@Y"`S8bS4>>F;
+j5AS@i7HZ78g^q#g?%PDdcTM?3igTiiA,N=d+?duf\>05e+qYrg&9S%f)*tef(n"rg40~>
+pA=mfrr)Bbl20`Cl21;S&-)S+qXsgeqYp9\s7,%Ds0;Llq`"QMr;6<es,U'Ka54nFCH[(FoDedb
+r;Z`iph4sFq>]sUs82`e@9WI+mJg4,q>^KnnFut[q#Ab=qtts~>
+p@eO\rqQ$Xl1XB9l1XrI&,Z(po^DPQo_A"Dqs2u.rNZ+ep,Dm=p%7hIpkVP-^Xg3&@l8E/m/-MI
+p&"IPnR6J*o)%Y:rU][K=]4bdjnheenc/XalgjuIoDJ(NqtK@KqtGU~>
+p=TDurn?nql.G7Rl.Ggb&)Q*tg=>$>g>:K1iR,Hpi3Cu*fJh^<g"=s2hJP,uWkka':**X%dc'!6
+gYpr=f1/rlf\t6-k1neD69El]cK$o^g?%DLc.(V&e_^,Ss4RA'rRUkqn^dNgqq6K~>
+pA=mfrr)Bbl20`Cl21;S$MO>rs7uKiqYC0hrr3#mo!/,_q`"QPs7Q?jl=F>knGW1RF(3#^q>C0e
+s8;fjs1I:io`"mas1s_Q=Hid_li0ajmcs6?s7uThpAND9qtts~>
+p@eO\rqQ$Xl1XB9l1XrI&+T>ms7GsZp%8:Ys8W#emBQEUp,Dd=qX4(Tj'GgMkk4K2CKeCCo_8+Q
+qtKjWrjUY^n+m"Qr4@c<;N:\Ljnq\UkiD"*r:KaVnbDSHqtK@KqtGU~>
+p=TDurn?nql.G7Rl.Ggb&(K7lin)f;f[o-:ioK"Hd';9ofJhU<hU:-9a[AD@dGE[/<^WV5f@ns2
+hV-]8iL7L@dbO!9ih:7)3-409bMk0BcH=AehU^B3e(XWMs4RA'rRUkqn^dNgqq6K~>
+pA=mfrr)ZjiVVm<iVO/aq#16irVcE_s757Js8)ckrV??,r:0YCqY^Bds8U#DMuWPAs3"2DqX=I]
+rql`hs7uWds8)?cp$q\8\<rqdec2:]:KMIuU[S6VoD\X]g&(UAqtkm~>
+p@eO\rqQ<`iV)O2iV!fWoD&4Vq"X@Ks6\_;r:U*cq"aX"p[Rr9oC`"Kr;F<1KDG!#s2.?,o]lDK
+q=adWqXjRPs7PgTn*BDuZBCZLchX#E8Ps2^T'H@GmeQSIn+QYQnb2eOqt>O~>
+p=TDurn@2$iRmDKiRe[qf%]'7gY:3,jNtcshq7#cgA0C;g%!]Rf@f'0i8LFoCuX*qlE2m+g<JR/
+gtCW8h:LE1jOhl7e^;mbR!=.9[GQL20/l[HJ^!0'd+d4&q:P`#rRh)"qpb/eq:GMrJ,~>
+pA=mfrr)ZjiVVm<iVO/cq=ja\rr<#ms8Vlnrpoj[rV??,r:0YBqYC-cs721be+W;&o6s?1s7cQj
+rqZTes7c*\s6fd^s8MKeqXjgTo`+m`p$&]BVsOHRp](*Bqt^*cqg\~>
+p@eO\rqQ<`iV)O2iV!f^o^_\Hq>^?_s8MWcq<deLq"aX"p[Rr8oCDYGrTf5KbjXc]lZPXfrpos[
+q=OOQqss.Iqs!hKqtTFRo^;Y?mecbJn)LF+U?DOBo)&+Jp?_MRpA+CYp4*~>
+p=TDurn@2$iRmDKiRe\#f@AO)gu@2@j5JSEgsFXJgA0C;g%!]Qf%&L(iQl:0ZIR@Pe6ab_jON,?
+gt1B2hUU!*hTX[,iSMo?g=5-,eD]67e]EnjKur8ueD8aOf`0Y'f_sCfe,\(qfDF3N~>
+pA=mfrr)ZjiVVm<i;3uZs8VohrVZQds8W#rr:p6dqn`4#q`"KJq>:3JA9I\EqYn9'<TNiQq"js_
+r:p0cqu69bs7Z?drVuEfpAb0Rs8W#poDeOaqXjgcn,M)<q>1!cJ,~>
+p@eO\rqQ<`iV)O2i:[WPr;Q?Zq"OLPr;?<bp\=OZp;-Lmp,;F2o_R-EDXmAip:*Iah=1F8p%\(O
+oChkNq=+(Wnb)PKqWn1NqZ#FPrV#sPs7--^n,N.IqsX7Ep\FLZp4*~>
+p=TDurn@2$iRmDKiRe[ofAGQ=e_Ag2eDK0;gtLNYgA0C;g%!]Rg!eL'hRZ!Nf@o!:Te&+>e)Am1
+gXOs.g">!5e(Ea2gY1KAdH9$<k/?BAgt^B=e)T'-in;Q3q:P`#rRh)"ldYa^qq-E~>
+q>9m`s82fll2003iVWHLq>C'cq>L-err)lppA=[anbi4]nbX*urr;G$='/\"li4hF;eVQbo(r:\
+p\=O[rqZTjrql]ms82fl_u"r~>
+q=aOVs7ZHbl1Wg)iV**Bq=j^Yq=sd[rqQNfp@e=Wnb;kSnb*aip\<r]:f12[jSHK,9OO"Gn+ZYP
+o_&"Rrq6<brqHEes7bUJlhC#EJ,~>
+q:PDos4I>&l.F\BiRmt[q:YSrq:bYtrn@D*p=T2pn_*`ln^nW.g=se>1Gq.?aP`al1.c]4d+I()
+e^jEGs4RD*rnIJ,rn6hos4RA'rRU;ao@SQ~>
+q>9m`s82fll2003iVWHLq>C'cq>L-err)lppA=[anbi4]nbX.&q>1-*_SNgrh;c;@N09h&p&"[_
+p\=X]qYp<jqYpBkr;ZZnqSW2\~>
+q=aOVs7ZHbl1Wg)iV**Bq=j^Yq=sd[rqQNfp@e=Wnb;kSnb*dpo(2Xc]=P>Vf%dg$Ko2;ao(`%S
+o_&"Tp\sjcpAXgcq#C*Lp?VJEp4*~>
+q:PDos4I>&l.F\BiRmt[q:YSrq:bYtrn@D*p=T2pn_*`ln^nZ5e^iKDSt;::]#((dCNG!Ne(NI,
+e^iFIf`0Y(gA]k,gA]dqf`0Y'f_sCee,\(lfRN~>
+q>9m`s82fll2003iVWHLq>C'cq>L-err)lppA=[anbi4]nbX.&p@nU`s8Vfmqtp6brVc9Zq"ssa
+p\F^^qYp<jqYpBkr;ZZnqSW2\~>
+q=aOVs7ZHbl1Wg)iV**Bq=j^Yq=sd[rqQNfp@e=Wnb;kSnb*dqnF?>GqYK[Vo^qbFp@dkBp%\=U
+o_/(Up\sjcpAXgcq#C*Lp?VJEp4*~>
+q:PDos4I>&l.F\Bl.Gg_q:PMrq:PMsq:Yc$s4R+uq:bAlq:bAk(Y[6`g",!8dbWR.f@Sg5cdL=p
+f@A@#fD=(sf`0Y(gA]k,gA]dqf`0Y'f_sCueFM#geCO9EJ,~>
+mem+^rqbmVg&1[Cq>Bd[nbi4[nbiCbs8;TfiV`6Cs7d?.o`+[`qt]IEqtU3kq>'pcqY9j^r;$3g
+q>^<jqu6Nnqu6H0qg\~>
+me?bTrq5OLg%Y=9q=jFQnb;kQnb<%Xs7c6\iV2m9s7-p"mecMHo^^u)o^V_Uo_/(Up\"4Rq>'af
+p@\+PpAXgcq#C*Lp?VJEp4*~>
+mb.Wmrn$Deg"H2Rq:YSrq:>Anq:YSrn_*oqs4R+uiS!bRs3_>.cJI%&f@Ipbf[o!@rmq>+f$r4#
+f_O)$f@\a/g&B_)g]-",g%!_pg&9S%f)*tfdK.kKo[nZ~>
+mem+^rqbmVg&1[Cq>Bd[nbi4[nbiCbs8;TfiV`6C(\dn.oDe@Vrr;`ms7l<eq#(!aq"FFVqYBpc
+p]($fq>U6jq>^3iqSW2\~>
+me?bTrq5OLg%Y=9q=jFQnb;kQnb<%Xs7c6\iV2m9(\.8"mJlMCp\s[Ws7,RPoD/7Yq"FFVqYBpc
+pAamdq#:*hq#:$Np?VJEp4*~>
+mb.Wmrn$Deg"H2Rq:YSrq:>Anq:YSrn_*oqs4R+uiS!bR(X^jmc/6^pg>UN9j42W7f%Sd.f$r4#
+f_O+tfDjM&g&B_*g$[Mmg&9S%f)*tfdK.kKo[nZ~>
+q>L$bs82fll2003q>:!dl21;Snb`.[rr)lpmecPPl21MZ&HDG'qYpHnr;Q`oqY^-cq=ss`p\=a^
+s7lThrqcZjrqOD.J,~>
+q=s[Xs7ZHbl1Wg)q=aXZl1XrInb2eQrqQNfme62Fl1Y/O&H)"so_8(Wp%S=UoC__Mq=ss`p\=a]
+s7cNfrqZThrqGULlhC#EJ,~>
+q:bPqs4I>&l.F\Bq:PMsq:P5gq:Y;jq:Yc$s4Qhmn_*0Zs47h;cf*C-g#(H:hV$N8f%J[+rmgbo
+rn%2&rn7;)s4Qhms4RA'rRUkqo$RQgf(@UF~>
+q>L$bs82fll2003q>:!dl21;Snb`.[rr)lpmecPPl2)%lqYg6iqu$0\qt]sarqu`jrqHEe!;H<a
+rqHHfrqZQis7uZh_u"r~>
+q=s[Xs7ZHbl1Wg)q=aXZl1XrInb2eQrqQNfme62Fl1P\bo_7tRp%@eAo^_JEp\"=TrqHEe!;H<a
+rq?BdrqQKgs7lTfkP"69oCd\~>
+q:bPqs4I>&l.F\Bq:PMsq:P5gq:Y;jq:Yc$s4Qhmn_*0Z&DGR_dG!.'da?[te(WR0gXlGTrmh)"
+q:>Pss4I>(rn@D*mb%QmrRh)"qpYVoo?dTef(@UF~>
+=T/0rr;HQlr;?Hiqu$?hqu$?hqYU*bq>:$cqYU-dqYU-dqYU-dqYU-dqYU-dqY^6gqu$?hqu$?h
+qu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqtk=.qtg3dqtg9hrVZWlrVZQhqtg3dqtg3dqtg3d
+qtg3dqtg3dqtg6fr;6Ehr;6Bfqtg3dqtg3dqtg3dqtg6fr;6Ehr;6HjrVQNhqtg3dqtg3dqtg3d
+qtg3dqtg6fr;6Ehr;6Ehr;6Ehr;6@*qYU-dqYU-dqYU-dqYU-dqYU-dqYp@-q>^Kkq>^Bas8Vfi
+q=OX\p%J.Uq=s[Zq#:$fq#:*gqZ$Bjq#C1Pqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3d
+qtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dJ,~>
+Ie`a6q=sd\q=j[Yq"ORXq"ORXp\+=Rp@e7Sp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\4IWq"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"FIUp\+@Tp\=RZq=sd\q=aRVp\+@Tp\+@Tp\+@T
+p\+@Tp\+@Ts7^^3p\=LXp\=IVp@n:Tp@n:Tp@n:Tp@n=Vp\=LXp\=OZq"XUXp@n:Tp@n:Tp@n:T
+p@n:Tp@n=Vp\=LXp\=LXp\=LXp\=IVp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@e1Nqtp$Wq=a4UqsX1J
+mJ-AIp@nCYq"FOYrqHHfrqZQis7uZhs7[<&p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+LY*r,L)p\=LX
+p\=LXp\=LXp\=IVp@n:Tp@n:Tp@n:TJ,~>
+q:PDms472"l.4P>q:>Aopsor)f$r:#f$r:#f$r:#f%0ZKn^dNfrn.8&magp[l.-s*dFm4$e(N<s
+iSN#7e^3%"dF?Xse^i1"eCN.#eCN4Mec45"fDaG&fC%5if_j;$eCONHs3gMd!7LJiJ,~>
+3;raQqu-Ejqu-Ejqu-Ejqtp3dq>:!bq>'d\p\FRZp\FRZp\FRZp\Xd`q>:!bq>L3hqu-Ejqtj1b
+qt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^0dr;-?fr;-?fr;-?fr;-<dqt^-b
+qt^*`qY9p^qY9s`qt^-bqt^%hp\FRZp\FR[q"jd^q"jd_q>:!bq>:!bq>:!bq>:!bq>:!bq>:!b
+q>:!bq>:!cqY^3fqY^3fqY^3fqY^3eq>:!bq>:!bq>:!bq>:!`p\FRZp\FX^qY^3g!W;ikq>'d\
+q>'mepcJ?IqY9p^qt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqY9p^qY9p^
+qt^-bqtYa~>
+Iers<qtg3dqtg3dqtg3dqtU!^q=sd\q=aRVp\+@Tp\+@Tp\+@Tp\=RZq=sd\q>1!bqtg3dqtU!^
+q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q>'m_qYC!`qYC!`qYC!`qY9m]q=sd\
+q=j[Yq"ORXs7fssq"a^\q"aXXp@n:Tp@n=Vp\=LXp\=OZq"a^\q"a^\q"a^\q"a^\q"a^\q"a^\
+q"a^\q"aa^q>0p`q>0p`q>0p`q>0m^q"a^\q"a^\q"a^\q"aXXp@n:Tp@e7WpA4O`q"jg^p\FX\
+qZ$=+p\=LXp\=OZq"a^\q"a^\q"a^\q"a^Mq$m)np\=LXp\=OZq"a^\J,~>
+n^mTen^I<aq:F<Mn^\6$e()pte()psdaZ^pdaZeBebR\ieD\sJf(%;de,7YneG.Q(e()pte()pr
+dF6LldF6S?ebReleFM,je(*a4q:,;lJ,~>
+nbDqUnbDqRq=rqEq=a@Qq=aXZq>'RUq=aX[nb2MInb2eR!;Z6_!VuNepA+LZq>'d\pt>B:q"sc8~>
+nbDqUnbDqRq=rqEq=a@Qq=aXZq>'RUq=aX[nb2MInb2eR!;5sUs7Q6^q=sd]q=j^[g%P7:qt>O~>
+n^RBbn^RB_q:+BRq9nf^q9o)gq:5#bq9o)hn^?sVn^@6_l-fCWq:5;iq:+*Gq:,;iJ,~>
+nbM/<q>&_<nbBZhnbDDD!;QBfqYL<iq!.VLpquiV~>
+nbV5>q>/e>nbK`jnbMJFq"OXYs7bgRq>%r'J,~>
+n_2sSq:aNSn_(J*n_*0Zq:X`Zq:W[<J,~>
+nbN"Snb;kSq>'"CiV;s:q=j^Yq=sdZdJ3S4!;QBfq>10fqY9m\q=aXZq=`M:q=a^\J,~>
+nbN"Snb;kSq>'"CiV;s:q=j^Yq=sdZdJ3P3q=saZqY9m\q=aXZq=`M:q=a^\J,~>
+Gi.?7h;@&Gh;@&Gh;@&Gh;$`>g>(E;g>1N>gYLW?gYLW?gYLW?gYU`BgtpiCgu$rFh;@&Gh;$`>
+g>(E;g>(E;g>(E;g>(E;g>(E;g>(E;g>(E;g>:WAgtpiCgtpiCgtpiCgtpiCgtpiCgtpiCgtpiC
+gtX:2gtLQ;gtLQ;gtLQ;gtLT=h:pc?h:p`=gtLQ;gtLW?hV?uChV?n)g>(E;g>(E=gtpiCgtpiC
+gtpiCgtpiCgtpiCgtpiCgtpiCgtpiCgtpiCgtpiCgtpiCgtpiBgYLW?gYLWAh;@&Gh;@&FgtpiC
+gtpiCgtpiCgtpiBgYLW?gYLW>g>(E;g>(E=gtpiCgtpiA4PJTEgtLQ;hV?uChV?uChV?uChV?uC
+hV?uChV?uChV?uChV?uChV?uChV?uCgtLQ;gtLQ;hV?uChV<V~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat11.ps b/books/ps/quat11.ps
new file mode 100755
index 0000000..47c8a8b
--- /dev/null
+++ b/books/ps/quat11.ps
@@ -0,0 +1,2386 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait11.ps
+%%CreationDate: Tue Dec 26 13:26:54 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 322 193
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 178.500000 translate
+307.500000 -178.500000 scale
+% Image geometry
+410 238 8
+% Transformation matrix
+[ 410 0 0 238 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 410 string def
+/gstr 410 string def
+/bstr 410 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       154983 ASCII Bytes
+colorimage
+[ep+&pANS>s8;lpnbdt8ant?!nb_kQqYU<hqY1*fpj`~>
+[eBaqpA!54s7cNfnb9Qer:fUPX7tlPnb;SIq"OX[!W)SA~>
+[b1W5p=e*Ms4RD*n_(M+s47+trRUr"rRq/%rRS%!l-o1Pn^I6^qpGMre:7~>
+[ep+&pANS>s8;lpnbdt8ant?!nb_kQqYU<hqY1*fpj`~>
+[eBaqpA!54s7cNfnb9Qer:fUPX7tlPnb;SIq"OX[!W)SA~>
+[b1W5p=e*Ms4RD*n_(M+s47+trRUr"rRq/%rRS%!l-o1Pn^I6^qpGMre:7~>
+\,6.%p\i\?s8;lpnbdt8ant?!nb_kQqYU<hqY1*fpj`~>
+\+]dpp\<>5s7cNfnb9Qer:fUPX7tlPnb;SIq"OX[!W)SA~>
+\(LZ4pY+3Ns4RD*n_(M+s47+trRUr"rRq/%rRS%!l-o1Pn^I6^qpGMre:7~>
+\bkppf),LFrr)BbJbt?%s8)Te!W)SA~>
+\b>Rff(T.<rqQ$X\G#jpmIl,*lM(/M!W)SA~>
+\_-H*f%C#Urn?nq]%I&6r7(\rrRh)%rRh)"J^ir6qpGMre:7~>
+\bkppf),LFrr)BbJbt?%s8)Te!W)SA~>
+\b>Rff(T.<rqQ$X\G#jpmIl,*lM(/M!W)SA~>
+\_-H*f%C#Urn?nq]%I&6r7(\rrRh)%rRh)"J^ir6qpGMre:7~>
+\blF*rVXn:s8;lpnbdt8ant?#nb_kSqYU<hqY1*fpj`~>
+\b?'urV+P0s7cNfnb9Qer:fUPX7tlRnb;SKq"OX[!W)SA~>
+\_-r9rRoEIs4RD*n_(M+s47+trRUr"rRq/%rRS%!l.,=Rn^[B`qpGMre:7~>
+\blC)s8:(;s8;lpnbdt8ant?#nb_kSqYU<hqY1*fpj`~>
+\b?$ts7a_1s7cNfnb9Qer:fUPX7tlRnb;SKq"OX[!W)SA~>
+\_-o8s4PTJs4RD*n_(M+s47+trRUr"rRq/%rRS%!l.,=Rn^[B`qpGMre:7~>
+\blC)s8:(;s8;lpnbdt8ant?#nb_kSqYU<hqY1*fpj`~>
+\b?$ts7a_1s7cNfnb9Qer:fUPX7tlRnb;SKq"OX[!W)SA~>
+\_-o8s4PTJs4RD*n_(M+s47+trRUr"rRq/%rRS%!l.,=Rn^[B`qpGMre:7~>
+RJZgXnbWRfs7c<gqY^<Vr6bBCq>1!fr;QTnrri>qpAFrVqu?TnrTX7MqsjU\qu?Nhp]:6dJ,~>
+RJ-INnb*4\r:9IUp%S7GpX/[9o_%qWp\sjkqY^0[nb<%Vr:fUPYkS1mrqYgRnb;SKq"OX[!W)SA~>
+RFq>gn^n)uhUL*2f@emBg!SFRf%8RRg&BV/gtpf8e(NU/r7(\rrRh)%rRh)"Ygi^'rmp>an^R*Z
+pXK)g!S5bN~>
+RJZgXnbWObs8)WlqYKFRdJNn?rqcutp%A+Ys8VlbQM^^[rr)*Znb_kSqYU<hqY1*fpj`~>
+RJ-INnb*1XqXsRXp%@PCdJ!P5rq6ZknF6&Er;-$PpAF[Pp9=;kq#:*Rq!n+Kq"XU[p]:6dJ,~>
+RFq>gn^n&qgt135f@T6>dFeENrn%P/daH\"hV?Z+f)4%rf)=8"g&9S%f!*[(ec+.aea_/Zeb@Sj
+dK.qKJ,~>
+RJZgXnbWRbq>C0fqYC$Qr6bBDs8MuprVHj"rqcNks8;YXqu?TnrTX7MqsjU\qu?Nhp]:6dJ,~>
+RJ-INnb*4Xo_8+Rp%7tBpX/[:qYBp\rUpNqq=XIWqY0UTr:fUPYkS1mrqYgRnb;SKq"OX[!W)SA~>
+RFq>gn^n)qf%Ja/f@JU=g!SFSgtUQ9rR_D5gXk*4gtC0-r7(\rrRh)%rRh)"Ygi^'rmp>an^R*Z
+pXK)g!S5bN~>
+RJZgXnbWRkpAOj]r;$3Zqs"%;q[`])r;6BhrVcZnrqlKcrVr2\s8;lpq>C'cq>AtDs8)Te!W)SA~>
+RJ-INnb*4anbDeIp[n.Kp?D>1p(7&pp\+=Tq"XUZq=aFOq#0pap[.[Yp]($fq>'g]p\FU:p\OXc
+qY5R~>
+RFq>gn^n*%e(WF&g"+dFf]h)JfFZfkg"=s1g=k67gXt',g>1?XeG[tsf_sM%f_sC*eGn(uf(mkl
+eG7YHeGIYpf$o3~>
+RJZgXnbWRko`+g\s7uH[qs"%7q[<?#rVlH`qu-Hgq"L*Os8;lpq>C'cq>AtDs8)Te!W)SA~>
+RJ-INnb*4fn,2nJqt0LMp?D>-p'g]jq"aCLpA"CSoCDVQp[.[Yp]($fq>'g]p\FU:p\OXcqY5R~>
+RFq>gn^n*,dGEO'h:C-Hf]h)FfF6Heg=t$)f\5$0e^E%HeG[tsf_sM%f_sC*eGn(uf(mkleG7YH
+eGIYpf$o3~>
+RJZgXnbWR_j8]/Os7lBZqYC'ZrSdVTq>1!fr;ZZorrr;rrr;lhQM^^[rr)Zjq>0pbnb_kQqYU<h
+qY1*fpj`~>
+RJ-INnb*4UhZ*NBr:BOMp%e@Ppu1oJo_%qWp]'pms8DZaq>0gTpAF[Pp9=;kq#:*bq"aXZq!n+K
+pA"CYp]:6dJ,~>
+RFq>gn^n)n^u=.thUU0HfD4+ig>UZcf%8RRg&K\1j58M@gYCH/f)4%rf)=8"g&9S%f!*[(ec+.q
+ebR\iea_/Ze+_AhdK.qKJ,~>
+RJZgXnb`?t"oJ>ks7lN^qYC'ZrSdVaq>:*gr;$'Yi9Bq4rVZWoQM^^[rr)Zjq>0pbnb_kQqYU<h
+qY1*fpj`~>
+RJ-INnb3!j"nquar:B[Qp%e@Ppu1oXo_/%Sp[n"EgZ7kuq"OR[pAF[Pp9=;kq#:*bq"aXZq!n+K
+pA"CYp]:6dJ,~>
+RFq>gn_!l."k_h]hUU<LfD4+ig>UZqf%A[0g"+X"]uJLRg=b36f)4%rf)=8"g&9S%f!*[(ec+.q
+ebR\iea_/Ze+_AhdK.qKJ,~>
+RJZgX!W2`bqZhb;nGi(Zq>^!]q>Bd]nG<4^o(rpps8Muko'^XsjT#8Qp&:9Ss8;lpq>C'bq>Bd[
+nbW+Zs8)Te!W)SA~>
+RJ-IN!VZ9Zp'6&,l2U)Go_n=Qq=jFSnFckVo(EUgq"aXSmHSS_hu<NBnG2eUp[.[Yp]($fq>'g]
+pAXdhq"ORXq!n+KpA"CYp]:6dJ,~>
+RFq>go@X)r#@VVsim6E3hso=og%!eTfFZ`igt^W5d*,==_;O.tdb34LeGIhkf_sC*eGn(uf(mkl
+e,Ir%e^r@'ea_/edf@eie+V;hdK.qKJ,~>
+g&(=;nb`.[l21;S!W)TgqA92*s7H?jr:Y5fq#C-\s82`fqtKd`jo>/Rg&(mJq>:'fr;HR)p](9c
+s7k`&Fl*/cr;ZBg\bl4#UAOueqY1*cp4*~>
+g%Ot1nb2eQl1XoH!;QHc(]3b#n,2qQmqmUCs6f7Ro_7nLo()h?s7uBAp\FU_p\jdsnG;hFq!m6_
+E7t0Qq>Tm^p@e7Jp=]39psSp-pAamcp>kuEp]:-_J,~>
+g">iJn_!Zjl.Ggbqptf"(Z*[!dbrm7ePg)1k1.i@f\4j-eC3Hqj8%?Mfb)rhi7uf=e\tTg]\^fb
+hpL61p=/K\g!oiJdaS9Jrn%>(f[e^Of)O7uf)=+rdK7hEddbidec=4udK.bDJ,~>
+g&(=;nb`.[l21>T!W2`mq#1%*rV6Ecs82ff?cE'FlMp;Ms8;cop&FO[q>8nDs82fkrVQQkrV[9,
+rr<#lrKUs4rr;`lqsj]sqt^/aqu?Nhp]:-_J,~>
+g%Ot1nb2eQl1XuJ!VlEgq#0q'q"+LSq=OFK<4_bri;`!5s7c6bo)J+Rq=`P:q"Xg^rUpfuoCW%K
+o8[.lq>^$_q!S(Ro(V\Jg%Y=;deE>+s7cKcj7iHG!Vc;<~>
+g">iJn_!Zjl.Ggbqptf"(YdO"e)/m8dlsSbi5b!)gZ.#?hUCE.g\KLEfb)rrh;7AEg2o`WguHo>
+g!AF(o$m3\g!oiJdaS9JqUkYqs4%"urRCeorR(/bs4@D(eC=KG!R]8E~>
+g&(=;nb`.[l21>T!W2`mq#1%*qt^9drqZNUEkUZ9s7$'_mJcn\p&+a^q>8nDs82fkrVQQkrV[9,
+r;ZTlYA1'3s8Mloq=Xcuqt^/aqu?Nhp]:-_J,~>
+g%Ot1nb2eQl1XuJ!VlEgq#0q'p@SCUp[\%9B<p=ls5s@NkkXiMo(i+Rq=`P:q"Xg^rUpg"nau8A
+V.67kr;$$_p@A.To(V\Jg%Y=;dJ*G0qY0m\jnJZI!Vc;<~>
+g">iJn_!Zjl.Ggbqptf"(YRF#e_Sm5`_i8GkiU.Pf#uk!j3u`9ebRk?fb)rtgYUT;N(JiVhqQc<
+f@/L*o$m3\g!oiJdF@sBqUGDnrRCkqrR(/bs4@D(eC=KG!R]8E~>
+g&(=;nb`.[l21>T!W2`mq"sn&s7u]jq9*Hhs7ZKhpnF\`o`"[^s7lEegAM!JrqZNirVZWm&-)G)
+s3=f>s8;HZqu-Hippp:tr1a)gqYKsfp\'+~>
+g%Ot1nb2eQl1XuJ!VlEgq#0seobIGtq""!o?+BOmr:'6GUA"'Op@eFWq=`P:q"Xg^rUpftmIg4l
+:m_"PmI']Eq=sXVo(V\Jg%Y=;ch@S9p\+@Tq"O[ZjnJZI!Vc;<~>
+g">iJn_!Zjl.Ggbqpt_u(#[^#f\!2oU>FG\f@PS-g!SR+fA5$RfZMkZg>CN>iN"nchqHH(f\>-5
+eCO3?n^cCCq:3g@"P2)ReCOEEqpt_qs3gno!7LDes4@D(eC=KG!R]8E~>
+g&(=;nb`.[l21>T!W2`mq#1%*qtg9fs8;PiAEEjbq>Z4YBDqVts8)Kfq>8nDs82fkrVQQkrV[9,
+rVu\5IHLS0q#(0gs8MGsqt^/aqu?Nhp]:-_J,~>
+g%Ot1nb2eQl1XuJ!VlEgq#0q'p@\4Rqt9BP=k`l@n+_E:@efQ`rV,s[q=`P:q"Xg^rUpfqo(DE`
+F5QunoCr+Ur;5gRo(V\Jg%Y=;_>!d!kP+lK!Vc;<~>
+g">iJn_!Zjl.Ggbqptf"(YRHqf\tT7M*o5Fe^iVi5XjGXdGEO+gA0CDfb)rngu$aZ>/fRYf%Jj2
+h;$0(o$m3\g!oiJd*r6IeC)jpeG7MneCOWOrRV"uqpP#as4@D(eC=KG!R]8E~>
+g&(=;nb`.[l21>T!W2`mq#1'hr"])*s8MYSIJi[9qS&b7AcMf&s82?dq>8nDs82fkrVQQkrVZus
+s6YD]hu3ENrri5lrr;T#qt^/aqu?Nhp]:-_J,~>
+g%Ot1nb2eQl1XuJ!VlEgq"se#p%J=Xm>Q)UkP=VSSQfM#qsXR[melnSg@tC;rV-9a&F]VXGAPh'
+oD8=]p@A+[nFlGInb1Z1q=qf#q=a"GqtL3dp4*~>
+g">iJn_!Zjl.Ggbqptf"s4S4?g#Ci:Ea7AHj4BcQ5ssSddGW^(h>,^Gfb)rhkfdI6]\M2rh;6f5
+gu$N1o$m3\g!oiJdF@a8!S#^"f_sD#eGRbbeGn/&f$r4KdK.bBJ,~>
+g&(=;nb`.[l21>T!W2`mq#1%*r;QTjs8DbQM#[5@n@nj)S,`Ndqtfsbq>8nDs82fkrVQQkrV[9'
+qmBGNs7QEfqtg']r;QW)qt^/aqu?Nhp]:-_J,~>
+g%Ot1nb2eQl1XuJ!VlEgq#'k%q=aOYp@<rdrp8k2[.[FaqYKs]p[S1Wp=f99q#0scpAaUkW_1;2
+mf)kPp%%bNqt[erl1a`AiV3-@kkFuL!Vc;<~>
+g">iJn_!Zjl.Ggbqptf"(Y[Ztg#1Z<ChMt_d`n9:3I0H9g"G$+h>,^Gfaulhg6=Frk1&JDg"4a(
+g>(Dmf(mqfeFD,[e,[qpdJMAje,\(tf`'J$eG[hceGn/&f$r4KdK.bBJ,~>
+g&(=;nb`.[l21>T!W2`mq#1%*qu?TkrVZYWVZ-Pos8/m+d.[;8o(`._q>8nDs82fkrVQQkrV[9,
+a`kT$s7$$ar;$<kqXscsqt^/aqu?Nhp]:-_J,~>
+g%Ot1nb2eQl1XuJ!VlEgq#0q'pA=UXp@\0;S+H4DqsgLdbOP6(n+HMSq=`P:q"Xg^rUpd!^217S
+q!%PGp[n7[p[\-jp?D>Ap>Yi?p?D>Kp]:-_J,~>
+g">iJn_!Zjl.Ggbqptf"(YR[!g"b?<E/!-'hr<:H5d&Vfi6^'/h>,^GfaulsW)fSMhp:-2g=G!8
+f[JQbf(mqfeFD,\e,[qodJVGke,\(sf_sD#eGdndeGn/&f$r4KdK.bBJ,~>
+s8)`lrqu$Xq>C'cq>C'cmem+^rqcHfo)/ObrqZNi$MjYqqZ$TmCTIL)rr3:GHM@I<p%\@Zs7uQV
+r:9^cqYU9frVIE2pAb-bs8VoBIB)o=nc/.Vp@eIbrVHB\r9=+Sr3?,,q"O[cs8)TkoDAOarr3Q%
+qu6Ecr;6?jp\b$frVulko)&I`qY1*cp4*~>
+s7QBbrqG[Nq=j^Yq=j^Yme?bTrq6*\o(W1ZrqZNf(\ILop%nIUA>&b[pAFW#F7T8(nFcMLs7uBQ
+p[\"Xp\FS!qsjU[mf!1Va)[g9pZMSAp@7\JrVH!Wl1XrIiV)g9nb2MIs7@?+rVcH`qX=1TpA4gd
+n+QSLo(VkNs75p[p\FgboC)GNp]:-_J,~>
+s4@8&rn6Pgq:YSrq:YSrmb.Wmrn$tun_*fks4J4?gXb$8hV(SZj3QZDh,7D+hqHN0f@]$Wf]h)Z
+f_O2:h:(68dGX'9Y$?h3hTk91g!nL)hV6]8n^m$Vq:FTVn^R*[o$ef1cHFVef?hpqbgb7qg>L`5
+f\G*/g"=p8db!1%f%\g'n^RTk!nPlNrmChpd!u~>
+rql]ms8D3Zq>C'cq>C'cmem+^rqcHfo)/ObrqZNi(B"41qu6K`DlE^8o_#=pdJNk9q>^Efq"s=R
+o(rIaqu6Eiq[WT)kl:\Us4):LoCr:blMgeerquWhr;Q6al21;SZ25UBqtKp^p@e=^qY:$doCi4T
+rr)Wls7bsZrquQbq"jOXs8)Te!Vc;<~>
+rq??cs7kjPq=j^Yq=j^Yme?bTrq6*\o(W1ZrqZNf(\dh$p@n4FBV"nhl0G*Jb4bT#o`"^Zq"aXJ
+p[\"Xp\=Lqs5X.Zmeb:GId$.us5X.VqYC-b!VuW_pZ_DIpYki9p[RtIpE'>/oC_eIo(E%UoD&%I
+nc%qOq"+I`o',oEp[dtJp?q\Pp]:-_J,~>
+rn.5's4Z_iq:YSrq:YSrmb.Wmrn$tun_*fks4J4BhV-Z=g<iZNiSDu2MEnE!g=4^2gXY!Qf]h)Z
+f_O2:g>^*1j3c_h;eXV1k2seJhVHr>f\"p5n^m$Vq:FTVn^R*[o$ec0f[%ggccs__h::!.f[/++
+d+mC,hr*#-f@ed)cdC52eGn/&f$r4KdK.bBJ,~>
+rql]ms8D3Zq>C'cq>C'cmem+^rqcHfo)/ObrqZNi#lO`$qu-BPG/=.W$A*C"s8DZes8Vfgq>9FS
+o(rIaqu6Eiq\T,/oDedfoo#<js8VW_s7Gp_s8D]grr)Bbl21;SZ24Y'qY'aar"8o)qZ$TkmI^GV
+s8Midlh(5Wrqurpp\Op\qu?Nhp]:-_J,~>
+rq??cs7kjPq=j^Yq=j^Yme?bTrq6*\o(W1ZrqZNf(AI_$p@e+6Dmo<6o_j#Os8)N\o`+j\q"EtH
+o(E(Xq=kd!rU0XXp?mTrbPq8!m/-2<qZ$?_p\XgWpZ_DIpYki9p[RtIpB1?eo(DtV&GGenrUf=B
+rq?6bo^Cr2s8)`i"8)0Xr9sCWp]:-_J,~>
+rn.5's4Z_iq:YSrq:YSrmb.Wmrn$tun_*fks4J4BhV6`=fu$g_hW*JR?W6+CgXFa4h:1'Pf]h)Z
+f_O2:fAFs4g"FbdGdZbocI:b$dG<d8e_&[3n_*H`q:PMrin+7^n^IQio@O&oo$ef1f$M[ge'lk"
+f%8^8f?;V'gu7&?d`KnsgtLE5eC)h!n^RTk!nPlNrmChpd!u~>
+!;ZWjrqc]nl21;Sq>:!cq>9UXs82flq>9a\s82fkrVQWks7m<-rR-#Iq=FXH@%HcVs8M]erVH<d
+l2:,L!W)]mq>L1,q>1-dr:I+Bqu?ENc.2jVg[tOGq>C6fnbhYKq>@Mps7cotrr;urrUp0hq>UC*
+nFcbVp](9jq"ja]s8VulrUTjcqYKsfp\'+~>
+!;-9`rq6?dl1XrIq=aXYq=a7Ns7ZHbq=aCRs7lThrV6Ecs7@!#p<.O)mcaDu<gMt9qt]aTqY0d\
+p?D>Bp&Oj_p_WSqs7>pNVL%e3m+B5!qVTlms8)HbqtBRSl1XrIi:ca9nFlGIs7@?+qYU-aq!e+T
+oD/FblL4K?o)/L\oC_\Iqtp*[q="(Tp]:-_J,~>
+!7q/$rn%5(l.Ggbq:PMrq:P,gs4I>&q:P5jqq(l$s4IA''AqTM=hE>7iP7U(cHkA%db!7+g%j:b
+g%!_jfb`5kj42f/M-eiuf#"Gmi5N7TiS<&=gt2)Ln^dNgq:Xc[s46bjo%<uno$ec-cI17of@\g*
+gt^T?kiL7Ch:U98iRl]4eCE=.f$`.>eGn/&f$r4KdK.bBJ,~>
+s7lThrqbmVq>C'cq>C'cmem+^rqcHfo)/ObrqZNi!;uiks8N\BGj58$s.j*!s3:?=p@A.\qYC$Q
+r:9^cqYU9fqth-.qu=$Hd/WjoRs8@9P1T4'rqQEkqXOLJqt^/pq]GV2s8;]eq>:3lrUTXQe#I\O
+K7LB(s7Z?`o_JF^q"O@Vs8)Te!Vc;<~>
+s7?6^rq5OLq=j^Yq=j^Yme?bTrq6*\o(W1ZrqZNf!;HKa'E%X3ESg?QrgHpZqT/:.naH;Np\FOI
+p[\"Xp\FUap([AspoSJVr9VakDHB;cdd-i,p%eOTpZ_DIpYbc9p[InIpE0&&qtTjTo_/=bp[%A9
+c(oE7I<r-gs7,gQn+?AJoCDAEqtL3dp4*~>
+s4.,"rn$Deq:YSrq:YSrmb.Wmrn$tun_*fks4ID+rmh_AhO.HdhULb?51neof&P6+g>)JUl.PUZ
+q:Yf#(#7HrOA`4@f"$*,4tL]]cJI=,g>1EOg%!Yhf_O4[f`0OneFM8lf(.<4cdUOsdaHXtjQ>:J
+f@RKl>AI_VPL\aDf[J7!f@JF!n^RTk!nPlNrmChpd!u~>
+s7lWirVGdUq>C'cq>C'cmem+^rqcHfo)/ObrqZNi(]X@/q>^AgHi!d=s+P"Sc+!*?qXsgcp\F^N
+r:9^cqYU9frVIE0pAb0&LVj&hs8VYNBr1[nq>^<aqZ$Tcr9=+Sr36&=rr)Zer;Zf`qZ$0)M-s.l
+G'Rt>I(B4Urqc<^rVl?as8)Te!Vc;<~>
+s7?9_rUoFKq=j^Yq=j^Yme?bTrq6*\o(W1ZrqZNf(]3n!o_\<PFRT(pqg2N4`j4h.p%%tUo_J4F
+p[\"Xp\=M!nbW-fJ@kRIp&+!,?_6lQo_S7Op\asZpZ_DIpYbc:p[@hGpE'2,p%%kUs5rtQmCe*S
+8RQLYBOl=oq"sm[nFHAMp@%bQp]:-_J,~>
+s4./#rR^;dq:YSrq:YSrmb.Wmrn$tun_*fks4J4Ff\+m8gOi\_jOrX(6.)d!bN%4'gY:9Sf]h)Z
+f_O2:g=+j5P[g<>g>D&?Cds*2bLbP$e(EL4n_*H`q:PMriRe.]o@*ckn^mimo$ec0e^i0sg#(f5
+gud4dDalWU<`r0f>*n""gXjm%f\+jGeGn/&f$r4KdK.bBJ,~>
+s8)`lrqu$Xq>C'cq>C'cmem+^rqcHfo)/ObrqZNi(]O@4qYp;ZNrStMm$V:<HdhQcr;?NhqYC$Q
+r:9^cqYU9frVHm"o`*9bY5eCsrr3@JAb5s%rr)`iqY^?_r9=+Sr36&>r;-6fs8;K^g8/IM;N8T^
+p](0)DJQ!5r;ZWfs8W#fqu?Nhp]:-_J,~>
+s7QBbrqG[Nq=j^Yq=j^Yme?bTrq6*\o(W1ZrqZNf(]!h%p%S$@L\U?)iK%&kFO':Op\F[Zp\FOI
+p[\"Xp\FS#q="4(FJo02o(W"[C0U'$qYBp[p@nC[nb;;Aq=ih@oCq_Inb4(!p%8%Wp[.J"T4'iT
+L:la?s7Wp8AtA,ZrUoaYrU0FWp]:-_J,~>
+s4@8&rn6Pgq:YSrq:YSrmb.Wmrn$tun_*fks4J1Cg>1E;fQh>ng"+>i5%e'(d,*I0gXl5Ql.PUZ
+q:QS=dG:p+MW<@BiT03"6IOfJgtLE4f\5-Og&Tgrec=A!g%j@]f`BaVo@*flf^mbsf[fTBs4&+=
+g>:Q4f"?i7.62LLd+@C7SPDb,ak>S'dbEU0n^RTk!nPlNrmChpd!u~>
+s8;lprr20Zq>C'cq>C'cmem+^rqcHfo)/ObrqZNi(\mk,qYKuVUAacbr:-bQf`2!Kqu?Nes7uQV
+r:9^bqYg3iqu6NnrtXpVOmV`>s8DuPGcLK:s82]ns8DcgnbhYKq>AV:55P0Qqtg3dqtg3dqtg3d
+qtg3dqtg3dqtg3dqtg3err)`ls7tWnH>HPXK[BSns8;Has73%"b3]0,p\t0ao)&I`qY1*cp4*~>
+s7cNfrqYgPq=j^Yq=j^Yme?bTrq6*\o(W1ZrqZNf(\@=up%.^<S+c:Mp#i'2dJNk8pAF[WrqZ9P
+p[\"Xp\agcpD<W%k(&?Oli$YKp!7HHlhC;MpA=jcp@[tMl1XrIi:cd:s7Qutp@n:Tp@n:Tp@n:T
+p@n:OpE02)p%A+Ng;%`@:.p&Yo_/7YmIgMHTjl"(rV5sZq=!eHqtL3dp4*~>
+s4RD*rnH\iq:YSrq:YSrmb.Wmrn$tun_*fks4J4>f\kE8f6W#'eE5N2L3Bu]hq6T;f[\mTf]h)Z
+f_O2:gYU%^D9:)^j5&_*<f,A_iRuo?hqQc6o%F,tf^m\of_X:sg>^cdf[fZD&_>Ueg">!1g">!1
+g">!1g"=mHe0!8le_&X-^o1I43&PBVhVR;Id+IF+KLMf\hqHT7gX#E>s4@D(eC=KG!R]8E~>
+nb`=^s826^l20H;q>:$d!W2`mq#1$ss7-*gp[i[-r;6EirVc!Xiqs&Yq"jUYs7u?ertUNDnGi@b
+s8)bqB^#Knqu6Wno_SFal2:ASnbi4[rr)lprqcrpq"aa^qu$BVq`jrPqY9p^qY:!br;$6bqY9p_
+r;$3`qYKs]rr)fjqYp'cqtoiAEI-0)Gf'LXrV-3Ws8VNensXFAs7ZEkp\ajaqYUBkqYKsfp\'+~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7QltlhLDHlu/Qip@\1RrqPaOiqFSjp\XOTs75LSo_sJgl2UGP
+p$)CB=P<?9oCr+UnFl\Tl1b#Inb;kQrqQNfrq6TfoCV\Jp@n=Vp@7kfq"ORXq"ORZqYBs^q"ORX
+rqZQf.Ji]3qu-Bdp\O.KnF5OlAoc%XEP))>p[\+Hs8;3_n!@_1rpf^[nFcMOp\FUap\X^dp\'+~>
+n_!ims4Hbml.FtJq:PMrqq1r%#N4"din2d`LAom*g&]s^l.FqI*o,8ujOV];g>lpQc/RC5in<[T
+8B0WBgtgoBe(NL4l.Pmbn_*`jrn@D*rn%J*e^i='f\+sRfDsLneGn)`f[e^+f[ed/g=P$/f[eR&
+f%&:!eCN$sf\+m+eCVjreC;WU:g:;S=.e@$f@&?ti8)W;d!/3ciRHT>eC`@KeG7YpfE0XReGdks
+dEmC~>
+nb`=^s826^l20H;q>:$d!W2`mq#1$orV$9kp?$\<rql`nrr)*Yiqs>as6os[o`+ses-.NJs8Vck
+rrVb,IJs0MkPP8TqY0aKr;$6[r;$6hrVufpqu?Epq>1!cr;>jWs8)TerqcZjrqHutq>C3iqtp6i
+q==.Lo(N(_)T[n_SA,$'HcZ-[s7QElnG2qLs8C5PO8JtPrr;fkqYUBkqYKsfp\'+~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7Q]lnG2qKhK$7-pAamdq!%M3pDiu.nGVnGs7bpNLhFa-r:0RY
+nD@DcrUTX\ht?dCp?D>Ip@7nQpAXjep\smdo*+dZp@e7Tq"F7PqY:'ds7uZh0_bD@rVcWjqZ$B^
+oCVVIqu?Z,Ir(4Qoq-6?p%%tJs8VTaqX".Vb?^#!rpfj^q=a[Zq=t!aqtL3dp4*~>
+n_!ims4Hbml.FtJq:PMrqq1r%%,KLli7H"RU"S)Ng"HAYl.FtJ+6:i,eC*F6e(8J2WoW'ehWj+J
+8mLZ=hrr/9hV$T7f]h)bf^[Yjf`'V)g&BY(eHOOUf\"m1qUki!o$mKdrn.8&rmidPe_&R.f@SU2
+e]uLfcI1A(iLa[\Gb*`K=JaZuf#uh'cI^^lgY8epD;!n"i8NMCqUG>ks4@D(eC=KG!R]8E~>
+nb`=^s826^l20H;q>:$d!W2`mq#'smr;Z]gc@4mSqu?TnrTX4=qucijr;?Qjs8NnLJ\1s^o^qkW
+s05V3s6p!ZYO25cq=jLFr;$6[r;$6hrVufpqu6BoqYU0fr9F1ZqYL!dqZ$Bjpb21/pA+R]q"OO[
+r;?Tprq=3XCTZ=^s1NEmqZ$Qiqu$Kcp%nCWs8B'0`W,]2s8DcjqYUBkqYKsfp\'+~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7Q]ipA4LN`cg5<pAamdq!%M3pE98)rVQ<]oCM[]Fg:rAn*of9
+n=W4Fp#>u7W9<jLp%It@p\FOQp\FO^q#C*fpAX[ep%J+Rp\=IPp\O[aqZ$Bjpb;.*oChqQp%7nO
+q>(!hqsh4<@%km/pTeDEoDA=Rp\=d[p%n:QrVEI!_#!Qorq?'^p\FUap\X^dp\'+~>
+n_!ims4Hbml.FtJq:PMrqq1r%%,0Lpgt/`:`7`eqg"HAYl.FtJ+5#H+g"=p0gmD<3in`&3e_]8H
+23[%GkgGL9gYCH6eEPZ^f^[Yjf`'V)g&BY'ecaUWf\+sSf`0OneG7\pf`0S&ehG@pdacq"eC2mu
+f\#!:g<l?h7#/4siLE`?fA>0*daR%"e(E*uhV3rSUYXMVjP&2]eG7YpfE0XReGdksdEmC~>
+nb`=^s826^l20H;q>:$d!W2`mq#'sms8Dci[t+>Squ?TnrTX4=r!rVks7ZKkp&EBV_#OE#rr)j+
+H"QL6s8Jj7jS/KFr:T=Pq>9^[q>:0is8;ln"SqojqtpBjl2(JWqY:'ds7uZh0E;%Lqtp<gqY^<f
+o^^qHLj>!9s8;l4DkR.1o)JLapA4OXr;QB_s8I%oq>^-brqZHfquQ]kqY1*cp4*~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7Q]iq=jLOYB][<pAamdq!%M3pE97ts760_mf(.6[eog^q>^Kd
+r+K0hjS&2:C>SLRo_\:Fp\FOQp\FO^q#C*fp&t$\p%J+Yp\=IPp\O[aqZ$Bjp`KG2q=sa\q"OU\
+p@7V-Y_-nHdJNG([Ub^(r9X=OqXjd]%K-+ooDeW'K(Sm,o_8(Up\FUap\X^dp\'+~>
+n_!ims4Hbml.FtJq:PMrqq1r%%,0Upg"Vm&g"G$1g"HAYl.FtJ+3rrtiS)`?W^rW;gWJ=4jl#K-
+7*Ns7h1SVCf@\^2f'1l`f^[Yjf`'V)g&BV,f%8O+f`'S#f`0OneG7\pf`0S&ehGk4g=P$1g"+m1
+f?hmWO^h7#\)GunTMBpri69s&e]u[pe_8a)eDf7[A_5hhg=t3TeG7YpfE0XReGdksdEmC~>
+nb`=^s826^l20H;q>:$d!W2`mq#1$oqu?Nes.b8Hrql`nrr)*YiVXepqYg?fs6Fj&q>^3frr;-X
+s(ulUs8TfKA+0<gq#0pNr;$6[r;$6hrVufpqZ-Kkqu6NXqt^*fr;ZZnqZ$RIqY9m`r;6Ndq=CXg
+@AiA`s7c?U=/>l^s8Vurnc/7ZqY:*doDAH`C$#Bfq>^9fqYUBkqYKsfp\'+~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7Q]jq=O4ORsau0pAamdq!%M1pE'&(p[\@CCma\cnG)hZhsBc9
+AaT3iZt*G,p@@kRp$)5Hp@7nQpAXjep\sjdp&4U`p\=IIp\t!gq#:"Arqc<Zo_/%Qs6oUJVG^Zl
+i9U=,n)@'1s5a4ZpAXIZnbi7Yr:]XTpS)3VrU07SpA4OZq#C*cp]:-_J,~>
+n_!ims4Hbml.FtJq:PMrqq1r%%,9[nfAM<nh:^H5g"HAYl.FtJ+55E'g=G?);16sLeD&d<`Rim;
+:tX^hRn?#lg""^2fBLuaf^[Yjf`'V)g&BV(fDXA$g%sA$f(.>df)F>%fDa>Ti7uu8f@\g0j3cK*
+M)7GL_p@>if#]b"k/cW?f%\:$cJ$q%gXX^)g4`&7j4)`>f)!nlec48'f$r4KdK.bBJ,~>
+nb`=^s826^l20H;q>:$d!W2`mq#1'hr<2uls-&E?qu?TnrTX4<r#bt5s763ZJ<0X.oDej]oWb]n
+FH+u*Y'52Xs8Vokq"a1Pq>9^[q>:0is8;ckr;>gVq>1*gs82fl"8MWbqu6U$r:83q??3R?oD\b0
+rUt)^s8Vigs8W#gs7QBfoDAL_qtK2ZV"Xigq>'paquQ]kqY1*cp4*~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7ZKe"n_B\MhLa%pAamdq!%M2pE0;'s6]jNG(oMem/6_In>iFI
+AV&+NUht16rqlB^p\!eFq=a@Qq=ag_s7cEar:g![lM(;Rs7lTf0_=l+pA=dap[-.]=`(M+m.U5M
+na'b4r;Z9Vr;ZQ\r:U'coD&1Vq"!?HTC;^To(MqSq=t!aqtL3dp4*~>
+n_!ims4Hbml.FtJq:PMrqq1r%s4n%9f\pphg=b-2g"HAYl.FtJ+5YQ/d,`GUC=hOni8)c/OcXlc
+Bt(I-<*=A&hUpN7f]h)bf^[Yjf`'V)g&'G"g%sA$f(.>df)F>%fDjDVf[eU'g"tWBg<d!>4A_?a
+d+d@5f@*?$j6"k@hr*&/g!ea/dF[((g"!u'K%8l>f%0]IqUGc$f\"d)eGdksdEmC~>
+nb`=^s826^l20H;q>:$d!W2`mq#1$nrVQTkrJ$^<qu?TnrTX4;r#Yk;qt6h.j8A`Is7Q9he'PhR
+p]'Hn_8"q.q>UBbrTX7UqsjU[qu6Qor;QThr9=+SqYpEmqu6Elrr)jHo\e/FB8"b6rV$9\s8V/[
+?MX6Vs7,a]o`+R[q=s^ZqY^<ls)`DVs8V`eqtg3kqtg0a!Vc;<~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7Q]lp%\4QIZX4$pAamdq!%M0pDs2(m[n@Op%%VLnFln-`j3GH
+oA6sf\CpoSqtomZl1b#Inb;kQrqQNfrq?0^q"F"IrqZThrqHHg/c>VEmFf[*@"$8tp@%tBqZ#9B
+<:]G7s6T4RnGVnRq=s^Wp\F[bs)2lEs823ZpA4Lbq"OO[p]:-_J,~>
+n_!ims4Hbml.FtJq:PMrqq1r%%,K[pgYQRgg=b-2g"HAYl.FtJ+55K-f[>CL^tI;ghUC0<Z)sIo
+dG)R/St*LTfA,0/gZdDef^[Yjf`'V)g&BY"g%sA$f(.;jf)"%ugAfk*fJ)+<ioK%H^Th!4A$Y.M
+e`"^/jM-C/f$VFscI(Lng<S@&f%&:$g=tTG;H)*,iR-<Sf(mqtfE0XReGdksdEmC~>
+nb`=^s826^l20H;q>:$d!W2`mq#1$orV?Klq1#+:rql`nrr)*YiVXetq"t)gJF3+2p\jscs7u]o
+s7--br;Z]is820_s6p!Pr;$6[r;$6hrVufpqt^0Sqt^*fr;ZZoqCqgFrVQ0?[Z#0kec5[Ds8Vop
+q"`ofc1:o7l2UeJrVufno(`7]oCr.Rrh+iBp\4^`qtg3kqtg0a!Vc;<~>
+nb2tTs7YmTl1X*1q=a[Z!;QHcs7QZkoDA:PGFAF's7cNfl1X*1+91m$s.=T!nG)SLp%J:Ur:L$N
+r9s4Qp$r(UkPY>Gs69:Rp@7nQpAXjep\sm^p\=IRpAjp_p\t!gq#C*fp+>q&e?=R?O3[_"nG<.T
+qsNq*A]*j3s5a4ZjS8cNr:9X_p[IhMmeN?"s7#OTq=a[Z!r2NaqtL3dp4*~>
+n_!ims4Hbml.FtJq:PMrqq1r%%,KUqh:c7ggtC?4g"HAYl.FtJ+61o&jF^a\eD/U/f\,-6hq@&5
+hpg97g"#0:b2(t"i9Aqjf^[Yjf`'V)g&BY"g%sA$f(7Akf(mttgAfk+fJ2(7gtL/eQ"s0<[,^&p
+i8iPKe'u''W6aD_`oH!qf\G'3d+7()cdg^rgjWVmf%/a2qUYJos4@D(eC=KG!R]8E~>
+l20`Cnb`=^s81sVo)&I`rqQEf#6"T"ja>&InbhYKnGEdfs8V``s8Mios3H2.rq??grV?Wnr;?Ql
+r;HNkqYC'bqt^0[qr.J;q^;%7s7uBds8W)ur:fs`r:p<lfT09SYN>fZrr<#ss8)cqn9]ieqY:'e
+q>(-fqu6Esq"*3PeG8k=o)/ObqY:0dp4*~>
+l1XB9nb2tTs7YULo(MqSs7Q]ip\aa@FM7P@pZ_D@pC?Wks6oFUp[@tQ`HAW`nbMk\p%J(PrUp-_
+p%S:Uq=jFQiV3-@oCj[,n+cePnb;tZq>0jVo(VnMqY8Ho<G&2dq!n+Xq"FLSq=WliIJ3:&rq?9a
+rqZZkq#:!moBt.<c1:B%o(W.YqtU9ep4*~>
+l.G7Rn_!ims4HJele)6j#hn+ogr<Wsi7dbTl.GLY%aa1pdF$n+eDK)^>+43qq:Pl&f%ARHf_O4r
+f_O4jf\tN[f`0Ooe1&trgYUQ3g>CfCh:gE0g=k-9hR@Aa9TI'JfA5NEgtp`Bgs&r0g=Fd+qUYYu
+s47Y0f\"d&\4*aVf&56PfDjM*f@AFNdfIkCJ,~>
+l20`Cnb`=^s81sVo)&I`rqQHg#Pe2or7,u8rUKgMqsjRqq>^?brVufhs8VYI^\Rp0qtg-hqtg6h
+qu-Ber;$6cr:0[Cr9=)-s8M`fs8Vo^qXXC\s7u?c]81$I\``efrV??ep\t3fs8TfbaSl/7qtp0b
+!VuWlqZ$R!mr,c9rVuHds82Zg!Vc;<~>
+l1XB9nb2tTs7YULo(MqSs7Q]gp%J+(DT2>>pZ_DApCHomp@.kUp[@kOk'j`/qY^3`!;H?`!;6<a
+p%S:Uq=jFQiV3-@oCja.s7u3WrVlHQp$M>Ms7GgT["2P-ZJb<Jp@@kInFuhMp@Ye;_=mg!p@eCX
+rqZZkq#:!mqY]VnZM4(go(W.YqtU9ep4*~>
+l.G7Rn_!ims4HJele)6j#h[negpU:egtM>Pl.GOZ&(]Ogdb<U3dbWd(A=D*+htl"-f[eRMf(dnn
+g%j:rg%!_Rg%sA$f(7B>f&PQ8fAPW>bLk1ljQ+qAg6uYB?'rXah;$Z:g",!<fA55O?_uH5eG7\p
+f`0P2f%AX2hp"l_h;$i>o%3op!nYuQrmLnqd!u~>
+l20`Cnb`=^s81sVo)&I`rqQHg#Pn;ls1i^6qsjUKqsjRqp]'mSs8VWhs7(r<oDJF`qYp9gqXOIY
+r;$6cr:0[Cr9=(_q=sg_p\"ObruUk%qXh@B>^3F6s8W&tr;?Tlp](9ds6G0*qYpEgqu6Hjq#:*j
+q>:0f#Q+Q!G)lP#qXXRaqtg*hp\'+~>
+l1XB9nb2tTs7YULo(MqSs7Q]hp@7sgCY8:LpZ_DApCQoqn*9rNm.g;7H^!^eo(i"Yp\sm^p\=IX
+p\FOYp[Rt9p\=IRpF5h.oC_eInG3+arUB+Fn$R.:F/e-rqtU-ap\OUSqu6'\j*6m]p\4=RqY1!c
+!VuNipBUEkpMku^p[dtMrqQBd!Vc;<~>
+l.G7Rn_!ims4HJele)3i#MdqgTiAk^g@Eq]f^[W*eD\g!j5/)9grWuMcIpe(qUkr&eC+9Er7:i!
+q:YSrq:Y;jiS"([s46ekrmq,%-e6]$jQ,7Jc.LI3<'"'=`8BG+i7co@g""s<e_nYXI+R**eCN.#
+f)"&!f*^*]f\,6;<,LFHfC.Aof@AFNdfIkCJ,~>
+l20`Cnb`=^s81sVo)&I`rqQHg#Q=\ts/^M<rpfpNqsjRpqY^-fs7Gm^p;D[Ss7cQjrV6?fnb`.[
+q>:!cnb_;Cl2(MXrVca>q==.Rs8ToY?>upts8Vuhq"ag_s8VunrV$9#Fjp9gnbi@^rV6Bg!VuWl
+q?Q`hr.f:fs7u6`s82Zg!Vc;<~>
+l1XB9nb2tTs7YULo(MqSs7QZkqXXW]EU<2hl1XZA%e]Sfq>]pNs6-h4ir/BEr:g3aq"OUXq=j^Y
+q=jFQiV3-@oCj[,p%\C[qtfsPme-VW]Q%(iV:>MEp@.\Gp@S:^p@e:Oqlak\p&47Pq=jmb!VuNi
+pBU6[pO[/Nq"""MrqQBd!Vc;<~>
+l.G7Rn_!ims4HJele)6j#i4FkjGd?nh:hGQl.GOZ&(fLbgYpQ+j3F-!aQ(e-gA9J'f[TlJrm^nt
+rRgr!q:PMrn^ugRqUki!o@,>BfA#-;hVHf1dFdO:T2[pJLpl:&g!\I&g",'=g">'/jHruRg#1*)
+eC<(#qUki"$eEt_eCN>b:tXXUg@3bsf@AFNdfIkCJ,~>
+l20`Cnb`=^s81sVo)&I`rqQHg#QFc!s-e`Cs7-$OqsjRqrqHHmq"k$c[[6d`qu?]gq#:$fq"=L\
+qt^0cqt^0[qr.J;qZQiss7Z*aruq7+\8u)?a5?mrq=!tUs8;cbq>^6[q>]YuY5e4qp](*dqtU0e
+!VuWlq?R&mr2"B%s8VZfs82Zg!Vc;<~>
+l1XB9nb2tTs7YULo(MqSs7Q]mqt'fMJ+ra.pZ_DApCR/kqYp*ZqsUD9kiqR9qsa@Zq#C'hp@nCX
+s7cEaq=j^Yq=jFQiV3-@oCj^-p&G!ZmJ6eXoB*;o>)C&Kq>BsQnc/Xbq![qUp$VPOi+](`nc/1X
+p\ssdp\t!iq=ss`#Q!o`TP<Zdq""1Yq"sjfp\'+~>
+l.G7Rn_!ims4HJele)6j#i=OnjEkRuhV.PRl.GOZ&)5Uhi76H8dZ&+icdh(4e,%_uf[B`GrmLhr
+s47/$q:YSrq:Y;jiS"([s46ek0@nh<j42W9jknb8QVp(eVS1a=f?;V!in2r0fA5$&fAF\JO5ACF
+db3-ueCN:)g&9S'f*g0^f\P!0K29hNgtM8N!nYuQrmLnqd!u~>
+l20`Cnb`=^s81sVo)&I`rqQHg#Q4Ptr/-m?rpfpNqsjRqs82iknc/R'K>7Hdo)JCYq#:$fq"=L\
+qt^0cqt^0[qr.J;qZ-Bhs!7R-c_YeuS`0SHp\"+Qs8Vlfs8VccrV-$cs/T8gs8;`nqtg0dq#:*j
+q>:0f#QOPp]l_s(rpp!eqtg*hp\'+~>
+l1XB9nb2tTs7YULo(MqSrq6Nip%F!!p$h_?p@7kgqtBsZm/QjiF0#60k54ZCp\ssfpAt!^q=t!a
+qtBj[q=aXYnb1r9q"F=R./*0+r:p'\ilI^0@@#XAp@@eCpAb0coDJXZoD8+Nr;WTijSeiGqtL'a
+rV$HjqYL$_rq?Wso(BM0de!#'rqQBd!Vc;<~>
+l.G7Rn_!ims4HJele)6j#i+7jghV2lh:hGQl.GOZ&)Gmpe^!4/RTbp9fZ`7%gA9J(f$VhBdJqYp
+eGn+uf_O4rf_O4jf\tN[f`0Ooe3V[8hr<MLgrQXO<C_GPh;$Q0cILk1eC*+/dF-^sdbE`?43cg>
+e_AU%daZe!f\+s3f\"g-f%AX7e_$?i\Co]lnC[lpe^aZJ!R]8E~>
+l20`Cnb`=^s81sVo)&I`rqQHgs7litoRX%:rpfpNqsjRqrr;oiqtna+^&Rm-s82fqq#:$fq#C3f
+q#1'dqt^0cqt^0[qr.J;q[EN%q>^HDQYU<1h"1:=rttM$qY^!Vq#:-dq"asbi-_3rqu6?cq>0sb
+q#:*jq>:0f#5nGq`cA`cnbiFaqY:0dp4*~>
+l1XB9nb2tTs7YULo(MqSs7ZKa"ShD1U@7UGl1XZA&Gc4tnb2\"NN;[5rqH'\s7cNfs7ZQfp\Xdd
+q#C*cpA+IYpA+IQp>Pc@p@J"gpAadUr:eHtA7D(Zm-siMrtbA"qY^!Vq#:-dq"asbh0,1[p%e1P
+pAOdbpB:<gqYBpbpBLEb_/$IIp$qeVq"sjfp\'+~>
+l.G7Rn_!ims4HJele)0h#2[j=MqHk>o%E9[n_"H-h:^90fWB+VgWnm9f\GQafa?<Xc-O_`dF-Im
+eG[tuf_O4rf_O4jf\tN[f`0Ooe3MUFg=YE@ZZ\r3K"KI^hrWkVe'?Osd*C.pf%/@$h:0/FKAYG=
+dacgpdaZe!f\+s3f\"g-f%AX/gXi5uS(69`gAfh-f@AFNdfIkCJ,~>
+l20`Cnb`=^s81sVo)&I`rqQHg#Pn/pnUJ(?s7-$OqtU'hqtp9rqu6?is4s6*rr3,os7ZHar:p6e
+!r2Weqtg3eq>C'cq>Bd[kkkkdr;6Ehr;6Bfqtg3dq"sja#Q+Q!e;%1Xao)/WqYC']rVuT_qu6B\
+q>U*bs6-S)s7QBfs7$'fq?6Tiq"jdbq>pEhrqZlks89uYXnr(gr;ZZjq#U6`J,~>
+l1XB9nb2tTs7YULo(MqSs7Q]ho).ftYj;,TpZ_DHpAk!cpCHuno)&I<Q@o,+pZ_G@q=+=Vs7QTi
+q"a^\rV6EeqtBj[q=aXYnb22@%f#enp\=LXp@n:Tp@n:SqY0gZ./!6-p!&"bHG]ORq>:!Zo(V\Q
+s7Z']rqQ$Zqt'U_jf*%nn+cSSmJd+Z$2F8hp@nCZqYBpcpBU-dpV^gDoD%kMs7lKe!Vc;<~>
+l.G7Rn_!ims4HJele)3i#MA%`@%#O%g@Eq]f^[W*f\G$7jLTYNj4W87gsb'-qUkr$dEhg>rmLhr
+r71l#q:YSrq:Y;jiS"([!S5cudf%\nf)OA.gtT)G2INE?h#?1Lf@\g*gYLB*f@na!e_8I'j2R$V
+jk&AAhosjSe.gKdf\+s3f\"g-f%AX&inC;,N7m(XgAfh-f@AFNdfIkCJ,~>
+g&(UCnb`=^s82Nfq>L-dq>C*d!W)]mq>L0qq#C6MFh@\RdJOUQq#(-hq>L?gs8;ojY^Ps>s8Mur
+r;?EiqZ?WkqXsa]r;QZpr9jIXr:0[[r=/Z"qt^-bqt^-bqt^-brqccmqYU9jrVuosrr35h\TqV=
+an>]0r;ccpqYg=&rr)iks8VV-S+H[Ks8VWerquutrVZWlrV6<e#64Z%CTRR9q>L0e!W)]iq#U6`
+J,~>
+g%P79nb2tTs7Z0\q=sdZq=jaZ!;HBcs7ZchqXrT[ZhX=BpCI&pqt]s\rUKp\pZnYrjRrKFq=jm^
+"8DTbq"FF^pA+I^q#C*VpA+IQp?D>Rq=s^`p_!8qp@n7NnF?,DjKs#6K#I0Uq"X^]&,Z5!oD8CN
+BpJ,dlMLSIp\spjq=sd\q>L*epBL<ep\SKtqY9j]pAapbq#U6`J,~>
+g"?,Rn_!ims4I%uq:bYsq:YSrqq;#'#h\(i_,d)bhV-E2s4.\4g=k05i76rDhURZlbM)gGqUbi"
+eG[hie,\(qg&B_*g$[Mgg%!_jg@Eo<f@%mgcdL7jf@AO,f[ed3hT2!a5%UV?h:pZ<g=t?ZgD&Ao
+f[eX-g"Y*9jOI+SdH&R.i6KsRf_jJ%f)42#h#u\/Mr<Ifg\9A&f@AFNdfIkCJ,~>
+g&(UCnb`=^s82Nfq>L-dq>C*d!W)]mq>C*oqYAQeci<slr"8i*rVH0Zq>0jcn,3"!Icpb0qY]UT
+q>C6js8;<^q>Bd[qY^HmqssOurV6$Zrr;upr;Z]ks8V;gCil<)qt9OUrVufpqYg=&qu$Hhr;<+1
+ci3t6rVZ9eqY^HmqYp9gq?Qoqp@<3ppA=[aqYL<iqtg*hp\'+~>
+g%P79nb2tTs7Z0\q=sdZq=jaZ!;HBcs7Zcko^g:Ka85MXpC[2trVH0Wp@\"Vkje)LESC-[qY0dY
+lM(;Qs7bsTq=jFQqY1'do(X$sqt9LOq>0gUnau89q>JpBAT+$hp@.JDq"jdsp@nCSo^nDfb5(r#
+q"O4UqY1*ep\ssdpBUEdnEanVn+?GNq=aj`qtU9ep4*~>
+g"?,Rn_!ims4I%uq:bYsq:YSrqq;#'#i"(dZ<a]pgtL30&DGmkdaQh#e`P03fV;cni7e%\qUki!
+o$mKgrn@D*mb%?gn_!Zko%=i0d`TSQdF?Ule(E0uion@C8PslGf[A+Ag'6<fh:pZ;f`'G3fA,'8
+hh#(7gYL-.g!J[QgATV$fE^*`f$[BCe_9iRpXoW"e^aZJ!R]8E~>
+g&(UCnb`=^s82Nfq>L-dq>C*d!W)]mq>L0qs7Q3"L[+p:dej^Sq>:'_q>^Khq>L?HI*;QirVHHV
+qt^0hrVuf`qt^0[qtg6lr;6*]#5e,ls8W&qrr3;srVu)SH@2[Bqu-NppA4afr;QQkr"&c+s82i[
+?Dmf&q=jj_pAb!f!W;fnq#1'grri+bUAOudrVHBlqYU-b!Vc;<~>
+g%P79nb2tTs7Z0\q=sdZq=jaZ!;HBcs7Zcon+3r:iqi;qpC[2oqtTdVrql9Wp@QXL^\@EpqY0dY
+lM(;Qs7bsTq=jFQqY1'dnb<pkp\Oa]p@nCYlgau0P\Y63dJ!J8s8VWaq"jdsq"jj[pu#2Fq>BmU
+q"+%UqY1*ep\ssdp](0qqt#u?o_nU\qXt!bq"Xa^!Vc;<~>
+g"?,Rn_!ims4I%uq:bYsq:YSrqq;#'#iF1cRqU"*g=k!.&CoIcdb!C5e_&[6\6>lmhqIq[qUki!
+o$mKgrn@D*mb%?gn_!Zko%=l3bg4_edaH_#g<S=2`-bTfKsTFfhW*YFqUu,-h;-i>gATY6g>1NB
+b<q0Bgsjd)e'[(Kf_sD"f`0k6hUZq&g>gragA0D$f`KdUec+"udEmC~>
+g&(UCnb`=^s826^q>:!cqYL<iqu6EiqZm/nrM>_Ws8(.@s7Hlurr<#sqY'sWP/%%qq#1'el21;S
+rr)lpmechXnb`.[!;lB`)#O@4qXjLXr;#m_nYoo%W:p8jrr;rhp&Fmds82fkrVQWo%K$)'\THs5
+p\+XeqYL*cquQ]krqQHg#P@cipq!'js7uThqZ6QjqY:0dp4*~>
+g%P79nb2tTs7YmTq=aXYqXsp`qtU3c#Q*r`T8WF<o?m:Do(DbSrVcNan,;:%Zha+XpA4OYp?MDO
+q#C*VpA+IQpA+IQp_Wf%o'Z#>oC1u=kFYdRT'ZFOq>L*WnG<"U!VlEcq#C0ip'^i(Cu,-^nbW+T
+p%J7V!VlEgq#0pln+-;GZ^:.Uq=jaZ!r)KbqtU9ep4*~>
+g"?,Rn_!ims4Hbmq:PMrq:PSts4Rb;eD5h#hr38Bdb,2Ze(370hV6]5j3;S7j5&>@qUt_ts46bj
+q:Yc$s4Qhmq:Y;jlId$+f[S3hcI14kbM16o4Z\;GiS3,Eg<n@(q:Po)gtLK8rmq\6gY(BES6<kl
+da?e&e^`7HfDX;!fEfpUgt%mAe_JmTg%j;#f`KdUec+"udEmC~>
+g&(UCnb`=^s826^q>:!cqYL<iqu6EiqZm/rs-98Wqtne=&H2=srr)N_rVtK1[K#t#s8Dfll21;S
+rr)lpmechXnb`.[o(rLdnGW@d')qk,_j+bIZiC'urq,dZs8DfmqY^BjrqZNis7m-!r;;/Vs8;Nc
+s82cpp%nReqtg<erV?ckpAXj0RJ-XUr;-9kqYU-b!Vc;<~>
+g%P79nb2tTs7YmTq=aXYqXsp`qtU3c#Q"#hO-ok:o[3CEqXa@Vq!deJr6U8&rp0:VpA4OYp?MDO
+q#C*VpA+IQp?D;fkOe`Np\"1K]T-9-XSDh`q=!_FrV6'\qY($cp\O[boF:EcoQmb:p[@ePpA"LR
+qY($cp\ssdpBL*Vq=DLen+cYRp&b!`q"sjfp\'+~>
+g"?,Rn_!ims4Hbmq:PMrq:PSts4Rb:f]%%)jkSSDdb,2deCE@/e'm(2[Vh>ne_oNBqUt_ts46bj
+q:Yc$s4Qhmq:Y;jq:Y>m(tm'`iSWAAf@HU85t@$ljO2f1ce740f@p&RrS%;)s4@8$%,BZMS`/;K
+e_A[-g<fZIs4%"us4@V)e(iNPG1G@$qUt\ss4IJ*e^aZJ!R]8E~>
+g&(UCnb`=^s82Nfnb`.[qYL<iqu6EiqZm-!s,!oYq>J_=&-)Crq>C*gs5&?^s8;lrs7uTWqt^0h
+rVuf`qt^0Dq\]82s7cHko=BNVNRe(/lgXrMs8V`]s8Viiqu?Nlq#'suqu?]PH11Y.qu6NerVuZh
+qu?Nlq#1'grri):P5P@NqZ6QjqY:0dp4*~>
+g%P79nb2tTs7Z0\nb2eQqXsp`qtU3c#Pe&hK;SM8p<iUFrq,aSp\"@^f6`#HnalGLq=j[XoCi7Y
+q=jm`s7bsTq=j.Inb3k!oBYoCl*,D1L<f_nkNi->s8VQSrr;Qcp&Xp]qY(NnpA4U8ETcrfpA+IQ
+q#'a[pAamdq#0plrVQK_^l.m_o(E.Zq"Xa^!Vc;<~>
+g"?,Rn_!ims4I%un_!Zjq:PSts4Rb8h;;q-j4`;Bdb,2he^E('f\GQ$@:eNSh;@,DqUt\s!7pbk
+!7pu!rn@D*mb%?gl.GO[(ZjE#f](8E>rHH'hqcH#iR[&LdE^\0eG7bqg&K_)edpBci8;7PdbNO,
+g"4X(gsc)Ms4%"us4@S6h;6\XDqj1>f`0V+f@AFNdfIkCJ,~>
+g&(UCnb`=^s82Nfnb`.[qYL<iqu6EhqZd)oJ@tpZrmCWOq>:!]rr;ubUknL5rr2ugq>BLSq>C6j
+s8;<^q>AtD)#Wn's4NohHA(;Ts7c<gs6K@Eo`+s[mf3.\s8)`irV@'(r;ZMhVZ6MlrVQEequ$Eh
+qu?Nlq#1$oqtg'X[tXSOo(rIaqtg*hp\'+~>
+g%P79nb2tTs7Z0\nb2eQqXsp`qtU3c#5.l_HF3G<d.\(Cp@RnNs7bZHJ`uRtq"s@PpZ_DIp\ssf
+p[7bNpZ_DBpDEVbqtnX"Df9sVp&FXVs8M6OkO8HNlKS3BpA"@mq=jjXT:YfJq>'dXp@n@Xq"Od_
+rV$Qjp%%LSIdlmup&b!`q"sjfp\'+~>
+g"?,Rn_!ims4I%un_!Zjq:PSts4Rb5iRVD-i8!/Bdb,2`g"4a/jP.h.A^8i_hVli8qUt\sn^dNh
+rn@D*mb%?gl.GR\(u3F#jgTP==^f/$imu]@hoX<gdGs30bMD^@&)>n!f8,4AgY:</daQ^rf(IPk
+ed0p[eBa@geCE4Bf)OD)f@AFNdfIkCJ,~>
+g&(UCnb`=^s82Nfnb`.[qYL<iqu6EiqZlutmX)qPrVk4B&+]c#o_\[O[Y=b]o)Ja`s7uTWqt^0h
+rVuf`qt^0Dq\]82ihU^BXQKQ_o^`%[n+6SWs8M]bs8W#nqu?Nlq#1%"rV$0NFk-6dr:op]s82Kh
+qYU<hrqQEf#6"Q$^5r<lo(rIaqtg*hp\'+~>
+g%P79nb2tTs7Z0\nb2eQqXsp`qtU3c#5%iWFhRMAd.\(<r;5sVs5:)0s8VE]r9s[]pZ_DIp\ssf
+p[7bNpZ_DBpDEW!d[+W`U"fMDmdC#MmdgDRr;#jPqYg0bpA+FopA"1OhegX,qY0XOp](!XqtTpb
+q#0plp%\@\[tstTo(E.Zq"Xa^!Vc;<~>
+g"?,Rn_!ims4I%un_!Zjq:PStrn7V:c<I1'hVHo6falHehU:*;`04ZkjjE#Ge`?PZq:P5gq:Yc$
+s4Qhmq:Y#bo%Fr9jhcaP=cLD^j4)K4gs=I0g>:T4e(ij6o%4N,gXP#t<jpZ=f?qjmgsjX%p!irk
+#M7\ahOA?>f^[Pmf`KdUec+"udEmC~>
+_>F'+l21;SqYL<iqu6EiqZlrse:?HTq#C0fq>9^[q>:!c&-)/!o`+s.NUQQ;rr2lprqZKNqt^0c
+qsjUKq]Pn5q#10dq>UEkqsOL\lcYN<KZ!K[q>^?hqYL!^p\=UVqu?Nlq#1$os7cPrM"13=o)&I`
+rqQHg#Q+Pqs1a$_p@A+\qYKsfp\'+~>
+_=m^!l1XrIqXsp`qtU3c#P7l=HIqiZqt^!^p@7nQpA+Fnq<@qHs80E_kjJ0?q=sa\q=ikAq=j^Y
+nb;;A*;T0rp\47Mq#C$[kl159_hi2R[d*AMqXsOTp\4[^!;H*Ys7ZTip\4X[#l4#eW.F7&rV#gV
+rV6?c#PS#br4$tIn+-2Op\X^dp\'+~>
+_:\S:l.Ggbq:PSts4Rb3ij<+/hV$lAqUt\sn_*`jq:Q;7cfNX<iLal/db3F2gY:NZg%j:jf(mto
+g%j:jg$.-/gt:98h:UE;jkJP8jP%eYG?\[Uf%ep<gY:E6f`'Ilf`0P&f`'P1gY^W@Nb?_hiR[SL
+rR1_qrmh;-eD?Zuh9tiEs4@D(eC=KG!R]8E~>
+_>F'+l21;SqYL<iqu6EhqZd)EJ*m:4s7uTgqsjU[qt^.#o`+FRq;IFbp%eRdrVZTlq>B4Kq>C'c
+nbhYK"SDZmrVlfr'Cknus7XHo@u&A0s7cNmo)&=\qYg0hqXaUaqYp9gq?Hs!m=r"Jq!n7]qYp9g
+q?QfnpA_pSs7l0^s8)Te!Vc;<~>
+_=m^!l1XrIqXsp`qtU3c#PJ#7H0+qoq"a[[p@7nQpA+FnmJlG=o%JrFmdg/Lq"OOXq=ikAq=j^Y
+nb;;A)t*Itp\=dgq<RYPrp[^\>C=?`p[%VKlh0uGp\jjep[e+YpB(-ap\jdkq"a*'Xo._]p@@tV
+q#0ploCqeO\T@T:o(N(WqtL3dp4*~>
+_:\S:l.Ggbq:PSts4Rb5iiHM4jP/PFqUt\sn_*`jqUlG6e)o!+fYD@/dam1/gY1B9q:YSrn^dNg
+q:YSrn_*0Z)q<^&h;78UhpL->jOU2I6u'!ij4N8JdG*@,f_sCkf`0P&f`0Y)gBcZnc"<1!f@\[F
+eG[hqeGn))e(<((S6"Fpn^d`m!nPlNrmChpd!u~>
+_>F'+l21;SqYL<iqu6EhqZd)6I/O$?qt^0cqsjU[qt^-us8;]mkC:MIqu-Qoqu6Hfr8IPKr;$6[
+r9=(rp&G'ho_&%Us8:9:DK;/doDej_q#CBdqtp9eo)&I`rqQHg#P\8<DrgroqXXO`qYp9gq?Qcn
+q#83Urqu?as8)Te!Vc;<~>
+_=m^!l1XrIqXsp`qtU3c#PIr&G4b_&o_J7Wp@7nQpA+Fkq=3nJi-<$-pA"L[q"FI@pA+IYp@7nA
+p)3>prUoUIoCN"UbF*$[PJZY]q!@MMs6fRRqtK[Ts7cQg!;HHc#P%i0C#/g[oCDYPq#C'oo(_hP
+]l<`=p@.hRp]:-_J,~>
+_:\S:l.Ggbq:PSts4RY2i14-/jo4!1g%j:jg%j:sfaZZmgXtN*?DZ<-gYLZ<rn.&"iRmtZq:P5j
+l.@*.hrEJ@e_/X<gp)?(;L,:njQ+kEki^IMg"=s.f$r:@fFZW`f%A[/gYLQHW):Ipf%/@;df7f&
+db*%%TMsRsf(7Apf%AX+eC=KG!R]8E~>
+_>F'+l21;SqYL<iqu6EiqZclpXF:-Iq"Xd_qsjU[qtg3rrVlfrrKj&Lqu6Nsr;-6cqUtcAr;$6c
+r9=+SquZolo_ndorTUG&N5#8irs8Djs8VZ\s82]kqXOI_qYp9gq?QZiN/d`7qZ$-`s8)`ir;$Wt
+r;Oo^qu?6as8)Te!Vc;<~>
+_=m^!l1XrIqXsp`qtU3c#P7\eGP_"%p%e@Xp@7nQpA4Lhp@RtMnr8q)o`"XcpB('_pY#99p\FOY
+pZ_DIpDNermeQn_qY0$JBnj.lr;?Tcm.pMEm/6SNqtK[Ts7cQg!;HHc#O_8>L\1B5qXXCWq#C'n
+p%nFY`GP8Cn+Z_S!Vc;<~>
+_:\S:l.Ggbq:PSts4Rb3h2GY"hV$Z;qUt\sn_*`jqUl/.gYLfCFF2Wnrn@M-f[na-q:YSrq:Y#b
+qUlb?hq$<7k2tUXac0)4T&&Dckh=JBi6p'2g&BY(f)O7jfFc]aeCN:*gYL]:h/7/bhUgT5m*bp`
+#M%P[fr.a!g%!SlfE0XReGdksdEmC~>
+_>F'+l21;SqYL<iqu6EiqZlrqSrE^DqZ$Bhq>9^[q>:$d$N9\upR7HEp\OgarqHNjpt5K>r;$6c
+r9=+Sr"o50s68hGg7EeZZg@Jenac5Fs8Vuhp\jCSs8)`irV?ctf3$,mq#16`qu?Nlq#1$or;Z]m
+eT(9[o)&I`qY1*cp4*~>
+_=m^!l1XrIqXsp`qtU3c#P7\WLA:6.q>'d\p@7nQpA4Lip?V\CO,WMroCr4V!r)Kbg%P79q=aXY
+l1XrI(\@\,iSsIWQ?S=hjRE$1m-XHDrqGsSqYU!dp[\%Xp](!gp\sjlp%Qj3_Y3Nnq==:[q#:*h
+q#C'nq"sg[cYN"Cn+Z_S!Vc;<~>
+_:\S:l.Ggbq:PSts4Rb3h0s2!f\><;qUt\sn_*`jqUl50e`t\1G1bC!g=Z>S!8#oVq:YSrq:Y#b
+qUlb?g$%YBbM9^Z@!7dZg#LN/d+@47g=4^.f_j>#eFM6(f$r4#f\,$8hr21.Wnc4[g!oT@rR(Yn
+s3q;(f[n`Y9@)2ZeGn/&f$r4KdK.bBJ,~>
+_>F'+l21;SqYL<iqu6EiqZm*!PG\<Qs8Vomq>9^[q>:$d&H2Y$UPJ4,s7uNdp@nC[q=sd^iVWHK
+q>:!cq>0XYq>D-0meHh>ODfa8p&4pcp%A@bqss4Ms8W#pqu6Naqu?Nlq#1$os.s)or;Zfko)&I`
+rqQHg#Q+Gqq;-)[q""=^qYKsfp\'+~>
+_=m^!l1XrIqXsp`qtU0b#5F1Np$_YPq=j^Ynb;kQqY(QpqWF2liTL42p%.eIpA"IYq=W_?q=j^Y
+q=j^Xnb2eR(]!4_s4<'>HK"8arp]=BqZ$H_n+Qb[q<I\Rp](!sp\+=Rp&1LcmIg8MnacGSq#:*h
+q#:!lq"=:3C?kBYp\X^dp\'+~>
+_:\S:l.Ggbq:PSts4Rb7hK+G.f\k`BqUt\sn_*`jqUlG6jOA`lbL,D'f[eR&e^rF(q:FTXq:YSr
+q:YSqn_!]l(u*rog$$4k:h.Z!hWNSCf&5TAd`pD"hq7hW!S#]kfFc]adam((gY^oOM*]\Hgt^<,
+o$[Kas3gnrs4%8%\4Xoln^RTk!nPlNrmChpd!u~>
+_>F'+l21;SqYL<iqu6EiqZm/uL;*N^s82Wiq>9^[q>:$d&H2I9E:!Vos8Vump\FX]q=j^]iVWHK
+q>:!cq>0XYq#)')b(t>Djo5/Ts7u]os8;K[r;Zcenbr@^rqufq!;uEbs8)`irV?cjH*I>Hs8Mfa
+qu?Nlq"smjq"j8uoC;_XqYKsfp\'+~>
+_=m^!l1XrIqXsp`qtU3c#Pn%C\FT:fo_J7Wp@7nQpA4Lpp@#(mht6%,q"FCQpA+R\p\FL@pA+IY
+pA+IYp$qbOp_iep_LQX$h=gI4q!n+PqY'LQrVuognbW"Srq?Bbnb3"Ws7d#sp@e1PluT3&p&=^V
+o(W1ZrqZNfs7QWgp>g/Zp$_YPp]:-_J,~>
+_:\S:l.Ggbq:PSts4Rb9gLd&3h;[/BqUt\sn_*`jqUlG6fpP[\hTt-:g"=j,f@\^*q:GGpn_*`j
+q:YSrq:YSqn_!]l(u*j!X(bar`o#S-iS*5Ij4r,1gY^i4ce&-FrRUPl&_>I[f%A[1hr!*mP2Y0T
+g="F;dJ_Mndfn.J`)"Y.n^RTk!nPlNrmChpd!u~>
+_>F'+l21;Sq"k'eqtgWuomG!Ys8VWbr;$6[r;?Hkq>gElr;QX+s3l#7pAb0]s8Mrlqu-Ehp\F[E
+qt^0cqt^0[qYL'hr;$<q\;GgHo)J^c&GuLtrqZTfq"aXRpAb*`qtp?i!WN#eqZ6Qgqt^QO@fQB'
+s82idqtp6iqZm&qqYg)8q#C'b"T&#lqtg-`!Vc;<~>
+_=m^!l1XrIq=aa]rq?Znmrl_@q>'=Op\FOQp\aaapAk!fp\sjtouUjblhUSEqYBmZq"jm_o_J1=
+pA+IYpA+IYp%e@Yp&Od]pB@gSH*Q]2rpp]nr9F%IqsjIYp@7kVrUKUUrUp6anFctYq"OO^p'C?@
+>lXNirUg$Xp\XacpBUKepA+0$o(r(S#5Irfp\4IWqtL3dp4*~>
+_:\S:l.Ggbq:PVus4Re7hpku5fAGK2gA9Luf^[Yjf_X8/g9=GWe_oT8hV?i:rn.>(e+qVkf^[Yj
+f_O4rf_O4rfC@Mig'6;uBj[4Shu;:?g>^K8f\t?2f$qsogtU-*eGIhffG)odeCN:*gYLc$7d&RZ
+i7Hc4dF-G2df7f%e^N!ucWAQKr6tbqeG7MreCN:'eC=KG!R]8E~>
+WVboW!;lZk#QM\kqt9sfq;M8OrVucqqu6C%qt:!ds8VrqG.[MKq#(0fr;-Kjn,)qYmed%^rr)Ba
+s8;ims8!i1q"aaXo(N+^r;6?fqu$Kks8W)un@F'gXmH)cpA4a`qtg0cqZ-Qequ?Tnr=Af*qt0pf
+p&0nqrr;TipAF7Rs83]4o)JUdEW>t.rVuikqYU-cqu-?_me6VTp]:-_J,~>
+WV5QM!;QQfrq6To]m9;>q>'[Ap]'sep\jjtqXX[Yp]'UOCp`^-nb;qQr:U-bn+QSOme6\TrqPgQ
+s7[W.q"jj^pA4gcq=aLRo_%qKq=sRPiiI39W9=-Rnb)\QpA4O[p&OdYpAamdp^d)up@%kQn+VWY
+q>]m_o(_tRqY'j]s7R?*m/QbRC]!hmp\t!\pA+LYq>:$Zn+?VSp\X^dp\'+~>
+WS$Ig&(fLfg=k?;hW(G>gXY*6f%J^egXG-5g>gT5;4,khe_8m2l.Ggbmb%Qmrn?npq:5o%f%AX*
+e(<I2g=ZDV&_Pdegt^N5a,sFuMosu3eC`OPg&K\1f%AR+f%AR+f'q>lg&B\=f&53/i83)CE*1oT
+cJ?gseC)jpqpbSq!nc)Tr7(bt*8&Koe_!OLf#uOqeBcLjdF$Cld`KJOf%/L)eC=KG!R]8E~>
+WVbZP#62;fs8;osi;EWR(&[t+q=sabp%/4Qs8SRig&M*Krr;fYqt^0Xqu?TnrTsF]q?Zlfp%nR^
+o^M>Kq?$Khr;Q^+rVuW+K8Hr%r;Zfprr2cNqu?Tlr=/Vus7lKVFK,*6r;ZNinb`.[(]XC3n)80\
+qZ$Kbq#($br:KaWp\Y!dnG2h[p\'+~>
+WV5HJrUpHl[=.lFr;5FHs7QHerqQNh&,u.fs5ieLNMY/$r:Tm^o]c)Fp[7bTp\ssSpAak0q"+4V
+s8MleoCqqNo^hbNqY9XRl*,;UW93jSr:g$_p"oEBp\adqp%/%Np#L"do_8+XoD/:Xp\"U[qXtg'
+p%[e+B_:rsp@%YKp\4OTp%S7Zs8)9\p\X^dp\'+~>
+WS$Igs4@;)s4mY2#ND:ahqHrCf@egfhp]s4ak#KmLpl*qfA#*3l.Ggbmb%Qmrn?npq:6Y8eCiX3
+f$Vjsf@SU)f\>6;f%J?6>$m61g#LrBgY:?:f`0Y&g'?9]i7Ql0</:J)!SPcpeG[tsfE0aYf_X/=
+g==it]1CH$hpTZne'ZOkbKS5VdaZRaf%AR'eGdksdEmC~>
+WVbZP#Q(NTr;QZlqr.JQr;uooqu6C$rqcTms8C',kkG,WrVlf[qt^0Xqu?TnrUB^]q?crmp\+=U
+q"jg_q>UrsY@i.-s8Drqq"+:\s7kIJs8;lp&-)G%qu??h_IDNto`+mbros:rrVuNZdWG3Zp\Fdf
+s8;fns8VrepAb*_q=k!bp4*~>
+WV5HJrUpKhUjr+6q"FF?p]'pep\adrqtKmYq<tkOiUZsFq"aaLpA+INpAamdq!e"SpE98,q"OOY
+r;6?`q#(*fq"OO^l_Id'`V8rtq"*qFr;6*BpAamdp^d5mp@e@OqRg(hnF-APo_SIZn+IXoqX<ap
+Dt3MjoCr+Yq"X[`rql?^s8MZcp\X^dp\'+~>
+WS$Igs4@;)s4mY2#Mk>Mgt^W9f%J^dgt:?5h:/'8`73]$g=tBGf_O4gf`0Y(g@<hkefWMpe^`:)
+g"=p2hr*AGg=kN2Ld4k;gt(35e^2k'h::B7s4RD*&)>^gg#1E?UdDlGced7!ebdkpf)=5&g"=sR
+ef<>rcc`FddFHXle_&O'e(!"$e'-.heBHLrf$r4KdK.bBJ,~>
+WVbZP#5asQqZ$Bdi;EWRs82lorqR)tr;Zcrc&h5js8Drqqu$HXqt^0Xqu?TnrUKd^qYp72q=sUS
+q"jpgqssCZrpSX/JsP$gs8;olrVuflqt]pAqu?Tnr=Ao'rql`kqN-%'p\+Xep\sFS(]!q&s6"h+
+rTjC]q"4L^oD8F_p[e%Pr;$*gp\'+~>
+WV5HJrUpHgQ\tG3o^h#8s7ZKerV-ooq>L!d^OY,:qY9m]p@nCIpA+INpAamdq!n(Tp\sq/q=sUS
+q"jgdo]bc<pZBqbH&^,Iqt'[Sq"sgYp@Rk2pAamdp^d2mq=aXUoSRbeo'uYToD8@Yn+IXkp%/(?
+GkCdmpAFLMq"X=Pqtp0[p%eO\p\X^dp\'+~>
+WS$Igs4@;)s4mY2#MjlKg>1?1f@egfe(Wa4j.p;'hV?i>g=Y*5l.Ggbmb%Qmrn?nppspM<f$`!t
+f\#69bg>+uagQ1oE3\<Wf%nj0h:^E4f$`F-s4RD*&)5[jg#(K<Ea%;LdG3C"ebdkpf)=5&g"=sR
+ef<2ie(_`AeC_akgsFBte]QCle^2RcdFQn$f$r4KdK.bBJ,~>
+WVbZP#QL0frVu`ls5EnUrVufoq[`>pqZ"`sci=%BqYpHgq>]^Vq>B[Xs8;lpo(rF`q=k9equ?Wk
+q=aFPqu6U&eXLQKcM.83s8Vflrri5nq>UENqu?Tnr=Af)s7lTmj))+"rVcQlq#9g\q>(m(nbiF_
+HMRO>s8DZds8Vugnb3"_o^_eP!Vc;<~>
+WV5HJrUpKlP+VLHp%SFDp]'sep\jjtnb2SS^js8tqtB^Yq"+.Sl1XrIme6\TrqQ'X!;H<a+7K"'
+qY0^Tmd'HBs7X["BU-X-p$qhQn,*+^p@@kOqqh&Hp\spupA+XXq"WZXXS;Mbo`"LZqtKjYq=bd%
+meQnVGP:h1r:]XMqYU$WmdpJYo^_ePp\X^dp\'+~>
+WS$Igs4@;)s4mY2#N9u_h;?i;h:^Hldb!(1Uh$@ZhUpH7g==d0l.Ggbmb%Qmrn?npq:6Y5fA,'1
+e^Dage`#QAYB<K_WmfVMgYC65i83,9f%]$;f`0Y(g(2ijhq$Z@`D;ZNgXt$1cdhpBrRUr"!nl5Y
+qUQY<c.M"*<n5j\hq?B+g=t-(bL"qscHOehf[eR%rmChpd!u~>
+WVbZP#PO1fqYp9fs5EnUrVufoq[`](s5'-KrVulnqu?Whp\j@Rq>B[Xs8;lpo(rLbq"O[\"S_lm
+p\=[d"o#llK<X>5rsJW"s8VlcnFZVXs5!SPr;QX(q#CBhr;4$?k48QPp&FLXq>(p-oD/=SFS>P%
+o(`7^nFZb\rUp'dq"=@Vp]:-_J,~>
+WV5HJrUpKcLpH[KoCr.@p]'sep\jjtqtL'@O/MR@p\"7Wq"""Nl1XrIme6\TrqQ'X!;H<a*q]=)
+o(2eZrqZQ[[t8q(f_YXJqXsX[qXa.@n+QYTh=gmCrqHror;6*Zos85fmJHhNr;$*]pA+G#rp]XW
+mW%jlm-F3<o]biEs8)<]rV6'Zp\4R[!Vc;<~>
+WS$Igs4@;)s4mY2#M=!_g>(63gY(6jgtCVsEf8N$g=P!5g=4X+l.Ggbmb%Qmrn?npq:6V9g"=a%
+gu7,Gim=0+?&H8Mio8bFg"bB5d*9tjh;$i=s4RD*&(TOnf%f#L9ubQ:gsFa&dehPmf)=8$f`9\$
+ef<Mle_&,Cdaujle_Sm%dGNp9dFHq"dF?h$f$r4KdK.bBJ,~>
+WVbZP#N^QVq"sd^qVhAPrVQNmrseIp[J]^ts8;fnrVHEil21;Smed%^rr)Eb,Pq0-p\4IXqYL3j
+q"+=]s763(J;VVOs82QbqYpEdqYpNprr2oup[6o8s8;lp&,?2#rVGo?L\pfFrVQ?hp[S+\qYKsl
+qYg$Xg3rbkrr3E&qu?]gnGN=\o_\Xaq=k!bp4*~>
+WV5HJrUpKRI)#7Gnb2Y7p]'sapCI2ul(>-Mm/$MOp\=OVpA!nGq=j=Ns7cNfo(E4\q"a^[rV-?f
+*V8XgqtB:HY]YH4r;Z?Wo(DnUp%S@`qt^3jr:9+/pAamdp^cumo_A(AL4T$fqY9dUrU]p\p\+FW
+(A[n!o@\Ncp&G'cn+?PRn*B`Go^V_RrqH<b!Vc;<~>
+WS$Igs4@;)s4mY2#KLAOf\+a+e_/UdhV?>,Ok.k7gY(96g=P!2l.Ggbmb%Qmrn?Vhs4\REcdgn*
+bh/1`A#A2Ee^N%"gtL?3gu7)Dhr<MBbMLnOg&B\9e_Jd2g<FMLgXP'3f$N'pqpbSqrRh/'q:H\@
+h:'lb?.d`hk2"P@i8)f*g"k-(f@ng.f[eR%rmChpd!u~>
+WVbZP#MX^Tr;ZZoqVhAPrVQL'qYm[olMpn_s8Dcgqu6Wql21;Smed%^rr)Eb./N]2p\4IXqYKp^
+rr<#md]J>-g%YOErVlcqs82Tiqt'^_r;6<brVtaOs8;lp&,H.ps8(YjU\t/hp]'^^o^VeYqYKt'
+nGi(Rc&hu#s5BA]OjL[YRb@`@p&4paq=k!bp4*~>
+WV5HJrUpKHGg#gWpA4I@p]'sapCHrmW1DuFq"FRZo^hePqYKIMq=j=Ns7cNfo(E4\q"a^[rV%E(
+p%S7Xm`D2OT?cfqoCVePrVlTdr;-!Zp\4CRoD&=ApAamdp^d#kmel_2B:\bop@A1Js7#p[p\+FW
+)=RUqp<8Tso_I+"@>`15BpI3JrpopaoCr"Vp]:-_J,~>
+WS$Igs4@;)s4mY2#JFNMgtgW<e_/Udf@u46`nfD&gtL?0f\>3:l.Ggbmb%Qmrn?Vh(Xq!igYL8Y
+L1,b@d+Hq$g=kHAg">-8e,J#'f[eU,i83,dg&B\9f%JI.g;$L<gu$f5h8nEqqpbSqrRh/'q:H\6
+j3lP]E8T:)^33%dYEqt.[c?8og"b$.f[eR%rmChpd!u~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:!c#L8.ho)JaeqVh>_oDeL[s8)cks.cC]s7lWlrr)lppA<hH
+rqcZlmem%\rq[r:rV?0\q"XUUrqHEgaGc(`nb<%_s8N&tr;?Hhq>'g]qu$Bhqu6Hfqr.GXpAaU]
+riTT!nbX^4r;6BhqY0UZp\+I^r;?Qbs7lT@U]9lTs1W45p@HgE]D_d*qtg'_p]:-_J,~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=ad]rUpK;K&Z.oqtB^ApCHWjmdpGLq""HTSa?=HqtL*bs7c6\
+iV3?Es7YmTrV$6`!quQgrV$lpnG2YLo=fg,VWR7:p@n7RrqHBd#5S&hp\4CTrq6*\iV*WJs6BXZ
+W*&H[rV$$\s7Ro:p\+=Tp%%PGoCDVNq"X^Rs7H04TE"9Drj,qim-N#&[eTdmp@n4Rp\X^dp\'+~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:P`!s4[M.s5"!bC<4i[h:U9:falEhdFR:-gXY>6JC!-'h:_e]
+s4R+uiS"4^s4HbmrRh)#(Z*p!f\+s/e(iL.f:utjN69N!g=k34g@j5"f`'Luf\tKoe)S^5hMskO
+gY(92f$r-rqpbYs/D/S,f\+m,dG*7&g"b?:h9k<8h6;LlcdCsI8BB9.Z9Xi4hU^?3e_&O*eC=KG
+!R]8E~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:!c#K;hopAXscrSdYbs69R^qu?*a\t-b:qt'jfrr)lppA<hH
+rqcZlmed(]rr3<&q>C9]p&+d`qYpL#q9tn!^$5=dqYpNpqu6Nnqu-<nqu$Bhqu6Hfqr.GXqu6Hi
+s-J`<nbWIbq"adbrr4)2q>^KmmdB]Ds7?3;V#U>ljaV7Bs8Ve.\F9+brr)Zgp]:-_J,~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=ad]rUpK2Ms9a,p@\4>pCI;`qY'R\kPqlS]_D-frVlfks7c6\
+iV3?Es7YmT+nba4rV,sYr9j:Ur:fp^s8)B3QAW$)m-O97p\+7Op%S4Wq#C*gpAXa\p>P`OpA+CU
+qN6R%p&4UZp]'q9o^h_Jq#(-kmIgMZpZh#3pA=:Rc(P+1s4VR+lh^YMA?kFho(i.Up\4R[!Vc;<~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:P`!s4[M.s5"!YF3iFmf[nd7fam,^h:^E=b2\e5T@qlDhV\=d
+s4R+uiS"4^s4Hbm+4o?-hq?T6h9ad0hV$T=jPAFlH>f1gda6Lrg=b*0f_4"uf`'Luf\tKof\>'4
+i-0+kgY(92f$r-rqpbYs/C`/"f@o*?j3ZH<jP%l&db3L)gouFkg#g4Z:X\4`eOYtMda[%+f@\a,
+eC=KG!R]8E~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:!c#IpK%qu-9cs5Ekis7lQmqtU3VT>:'uq"=O\r;HTlr:^$H
+r;QQmqsOA*q=aLWrr;lis8;Q_qYg3[`.rf[rVZ?grVccqr;$0br;?HhrqufnrqcHfiVWr\mf3%N
+IED?Uqu?X%rVH9]p%JF_p%S@`(&%RDRJ$IWd<D;as7*g*Z2"@ppA+aap]:-_J,~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=ad]rUpK%S+61Ho(Dn=pD!MrpAa^Pp>M=Jm/Q\JqYBs^q"OOV
+p>PcFp&FaRpEB2!nFZPQp@A7\naZ>JoBj5AGJ3_ClhL,Gp\4@Qo_%tQqtU0bs7ZHbq=`eA#lEld
+o'1G:o_&1Vq"Og^s7m#sp%%VAnc/=No(r@c)>a7!pUugZo_6=?Q1k7@Zr*jnr:KOOr:fs_p]:-_
+J,~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:P`!s4[M.s5"!LK@el4eCWI6facigg#CQ1fu/0+cf<R)g\ok+
+g%O(Wg&BV'f^@E7f$i'ugYCH2jPA>8g"Y*)Tk%B$g=aj/f@em3f[eX*p=]Jurn$tuiRnatbMq(!
+?)uc8g"Fs-eC)eBeGn,"fa?HbeC)gqjOqu3hYuU9hAXksTm+r;hQ9_)h<)qL23-2Df$W"%f\"d)
+eGdksdEmC~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:!c#HkH2rVlQgro*bhmJltYs8VhqbObc6qYg9]r;HTlr:^$H
+r;QQmqsO@as8Mrprr3o7q"amgq:r6;L=ZD)mJ?k\s8Mupqtg3er;?KirVZ]mrqcHfiVWr\mf37*
+GOke(qZ6Khqu7f6rVuonmdg/KrVcH$VZ$PmV+HE5Ru1m4bQ%V@p%JC]qY1*cp4*~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=ad]rUpJpY4_Pbo(Mn<pCuiknau_Sm%V;\s8)KfqsjLWq"OOV
+p>PcFp&FaRpEBG0p\=X`qY0URq#'d9XGhYTs7tgKrq6'^q"OLTp@e7Tr:p6bs7ZHbq=`eA#lNre
+pqUn9q=X^[q"Og^.J*90r;6?eqsjCVqX<V2naH2Cn$&GUs6uF>HBaPB?@Bcis7l*RqtKj^p]:-_
+J,~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:P`!s4[M.s5!sAQJ:6NeC`^4&'Eq^fA><0L8<)Sgt:H;df.u#
+g%O(Wg&BV'f^@E7h:pW:h;6r?f%8[6f=I#]A$b7Pb1GY+gY:H8f[nd.p=]Jurn$tuiRnaubMq9R
+=4H3`g"Fs-eC)eBeGn)Ne(3=2h;$iCe_8p;eB?+eeCrR(Q%R`MfRY>XHZisf@Ai#Af[/%"f\"d)
+eGdksdEmC~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:!c#H,]?r;ZWmqVh>ds7ZKbs8Ta7n,NFYq>^<br;HTlr:^$H
+r;QQmqsO@^q>UC/q"=L`qu?ZGUQr7As8Vurs7lBhrVQTjs82lqpAFsfrqcHfiVWr[qY^AXNr8qI
+qu6Esq=sd_rr;oqrr3o7q#B^'VKea,s8RUK_SiObcgLc0p](9jp\Oa]!Vc;<~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=ad]rUpJi_t<["p%e:>pD!Joq<S"SY+t(Sq!IeTqtKp]q"OOV
+p>PcFp&FaRpDNW#s82EWp&+I^pWf:hY13LIp%nOUo(r4XrqHHg!;cE`s7ZHbq=`eA#l4/fqi6L+
+r:U$^q"Og^rq.W1oCVbNp@@eMqtKUJp#<]UCmF;YpiK'8\=ftDjn/9:q>C!Zp\4R[!Vc;<~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:P`!s4[M.s5"!;X4l@cfA"j7fallegs4m6PD@68gX"L0gXlGY
+s4R+uiS"4^s4Hbm):mX&h:9s*hUprG["<Ca]&qo)i8E8?h:pW^f`0Y*g\0>#f`'Luf\tKogXk09
+FDfsrgY(92f$r-rqpbYss4&UNf%&@)gYLQ:i8`\He_S?EK2d6Hh;2<fS=YIuWQ<W@dFm7'e(E=(
+eC=KG!R]8E~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:!c#GU&MqZ$Nopu2,bs7QEln?/h`rVufhq"F=Vr;HTlr:^$H
+r;QQmqsO@arqH$[rr3f.nA^ua]'01oqtKdWrVuihq=s[Xq>L9hr;QZor;ZZnqYC$Hr!*2slZfr8
+s7,sks8D]apA+XcrVmK#f=S&DJ9ufudf9!X@[R2qrVc`ur:^0jrqcKd!Vc;<~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=ad]rUpJdfCSY3q#'aBpC$rhq>]QOS`TG<p%/1W"oS2kq"OOV
+p>PcFp&FaRpE05%me$MYqX<RZOGpF#qZ$3Xn*p)Kp[S%Qp%J1WqYC'`rq??cs7ZHbq=`b@#QFAX
+EjG<7p&4UZp]'pjr:ojOnauhT(%h+hk0's"K62$RG/jFD[oSI]rpoj`rs/8eq>9mZp\4R[!Vc;<~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:P`!s4[M.s5"!6^Y.>tg>:<;falugguHM3K$)["f[SR*f%g8Y
+s4R+uiS"4^s4Hbm+5>;lf&5TDd`nP3F-jl)k1\G;f%o<@eCrR+f@ep5g@j5"f`'Luf\kEmi7H(Q
+R+p]Vg"Fs-eC)eBeGn)Ngt:-(e(37-hV?l?cEijlCKsqG?EW>9SNLrJjOW)DiSiA5f@eX%f%AR'
+eGdksdEmC~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:!c#Ft2YqZ$Hmq;M5Oq>UBq\UrW7rs8Jlnb;t[rVZTeqr.JP
+qZ$H\r;Zd=q"t*hk0nC=cL_)9qt9gcs8Monr:g![p%J4YqYC'err)ls!<)ops82flq>9.K#Q=]%
+^jY5<s7#mdq>1*j)u]O2p!K:G@YCf+SpbHhaoDC4Drpups8VNYrr2p"q"FaaqY1*cp4*~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=ad]rUpJ^kOnKDpAX^CpD!8rpA_:>cMmY6q#1$[p&"R[q"OOV
+p>PcFp&FaRpEBS6oCi.WiQPqn^ZY@cna?#GrqcBaq"FOXp@nF[q=aRWqtC$`s7ZHbq=`eA#l+8l
+]6E'%qXsg\q"Od]+S>@'s8Vl`pZB>P>uPm9]oR&;=h=4sOC?c1n+?M=lLk/Q"S2'\p\4R[!Vc;<~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:P`!s4[M.s5"!0ceI10f\k9<facTgg#A0!ZfBlqgYUZ5eG\,$
+g%O(Wg&BV'f^@E7j5&8<hq>oN:NWP]hqm#8g#;#Lgtgf=g=Op-g=t?5p=]Jurn$tuiRnaqgt\K,
+_V=))g"Fs-eC)eBeGe#AeCWL7iS2l>c`;4Y4C3`=GZRC%UYO[K7_I:#f\XWkeGe)*cHP"nf[eR%
+rmChpd!u~>
+nb`%Xs82fll21;Sq>:!cnb`.[q>:'es8<.hp\t'fq>]p])uKR1r;6Ehr;6Ehr;6Ehs6K^1Ku*f^
+s7Q-cq>U*kr;HTlr:^$Hr;QQmqsO@hnc/X[b,1Mkh!G%;rt+ttrVu]grV?3]q"jj]pAFjer;lrs
+rqufnrqcHf%K-,$qu$?hqu$?hqu$?[r!35ps-o&Gr;Q<bs84;FrVZN]fX@E*FE3Yhme6+LNK0*K
+amo7G;ucmqp&G$ks7lEiqtL-eqY1*cp4*~>
+nb2\Ns7ZHbl1XrIq=aXYnb2eQq=aa\rq6PYnG)_Oo`+CS,P_$.p\=LXp\=LXp\=LXs5s@%I(8q;
+q<mhNq"Xa]q=saZp\+=>p\sjcp?qYum/$bL`M&HUdbs]nqXsOVr:BFRqt9UZqY9aXq>'aUp\4RY
+rqHHdrq6*\%JTYlq"ORXq"ORXq"ORPpB^Tbs-AH5pA"=ZpAXg`pAae5q"FCPl-Z]"G\(B>]AMf3
+Sq2KHEP:K&@n?@ioBcALqtfmTqXsCVrqH?c!Vc;<~>
+n_!Qgs4I>&l.Ggbq:PMrn_!Zjq:Gi%g"G*5rnIa&f&#*6f&>6@fb)rkj2g8\?^ocqgsOX,g">$2
+rn@D*p=S?Wrn%2&p=]8q+4&d(d&;V?F190CiSiMGgu?o8gu-i<hV-W5f\5'2eFqSqf`'Luf^RQ5
+f@ed/f@ed/f@ed/f@ej3eDkgkgYCZ?g"=s.rmUr!qUd1Ng=b*&[?Z,I:/#T%aO&+bBkhHeV9RU^
+/DK"3ceR1,f[/$udEgMFfE'RQrmChpdXV~>
+nbiC_s82Ecs82flq"t*hrqulqqt^0hqZ$Hdr!3,sr;HTlr;5aVs8!3&q#C9ld?st/s8Vuoq=4A!
+qt^-bqt^-bs6KL\p[nLYp]'6*ZN'7jrql]j!r2TfqYTg\q>9^[rqcZlrqm!"q=smcq"k!i%K-)&
+s8M]krm?XDS_sJHr<3&qqu6Wlr;$6dquH]or;ZZnqYC%"qt^-bqt^-bqt^-bqt^-drr)lprqet\
+rqcBaqY^<lo)FEMq>0pcqYL-dp@nI^rVH9`rVufqjLLIqATj6Ba8bK*rT:$/^o5\"iiHEk:MA&P
+s7-$cqYU?jqY:0dp4*~>
+nb<%Us7Z'Ys7ZHbq"Fa^rqHNgpA+I^p&FaZpBUEdp\=OXp\*bD%.jJkouE*cnbDtSq=a@Q(\mh$
+q=sd\q#9ROs7>j[o^r1@J?T":s82Qmq=s^\p@7nQp@.hVpAamdp_Wf"o_A4RpAOg^p%.tWp[7tR
+b(OMqf`(mD"SMEZp\Xg]q=sg\!;?Bcs7ZHbq=jCR7JZ`Rp\4CUrVH3YoChqRqs4!*WUfZOq"==S
+p[e%Np@\"FnFcGDqUr$-Alrc$VRuibqsiC1bI*n]BA0.^<_6cAp]'RVpB(-ap\sscq#U6`J,~>
+n_*ons4Hqrs4I>&pt5W"rn7D+f_O5"fDjLsfa$0_g"P05g">QBs4@e6e`#38XE3+GgYCH8fC@Pk
+fDjM7iQTs8f%&a1e`";POQ4ICq:YSrn_*`jo%+&uf\+s3gA]hRh:U?6gXk-:hqm,@hW*GAin^hR
+:jg"<g=b34f[nm6g=b35g=b3Lg&BV'f)F4qfC@N`f[e^*f@8C$h:L3(e'lq$hpL:kOP&7;gXt-2
+f[A7$gtpf<g"tT?k/Ed2;aj`-OJV0_jkI_.[@`5Z:rA8T3@R:nfAXpMf)jLSfDaJ'fDa;$e'rm~>
+nbiC_s82Ecs82flq>1Ejp\F^ar;HTir;QQmqtBpmqu$BjrVZTjl22(jq>U0hqY\(%s8DuqqYU0\
+r;ZZjq#U6`rq?cqqXs[aO/i*BqY0g]q>9^[q>9^[rqcZlrVQrrp\b'iq"=X_rr3W%pA_FNJ%bIL
+p&FperVZNgr;PjVs82flqY^Bjo(i:`s8;ln!qc6arVm'!s8Uha`r5ohqXjIVr;Zfkrr<#petRG$
+@q^@kfDP[Kk4eoUjb(k-Mql?hs8DENd`M4_s7#j^s82Zg!Vc;<~>
+nb<%Us7Z'Ys7ZHbq=Y'`o(;YMp\=OZp\sjcp@e4cp@n=Vq"OOVl1Y_bpA+=ToC9/Rq"4@Up%\=Q
+p]($dq>^3jp@\FY$MaGhq#?ARqW[hLq=sdZnb;kQnb<%Vs7cKe*q](!r;$!Sp@A"Yq!.;IWdArt
+lgaB;p@n@Vp%A(Tk4eoLrq6-^n+cqYs7lTf54J1<r;Zfop\4R4>.jV-qYp0VnFl\Us7,g]rU7pr
+DHKqDEgau7rVkO:rV"oh_om\^^LmK>l/^+-nbW.Kq=apbp\ssdq#U6`J,~>
+n_*ons4Hqrs4I>&q:Gr$eCN:*g"P0Ug&BV'f_3u'f\+s3g=b03l.HO#fA"j1f%$+6gXk35fC.Di
+fDjM7f[nd.g>(N8g>[%.gWJ7%q:YSrn_*`jn^mcns4[G+*nSuthqZi4hqR,RiR?EBP@S'meCrL1
+g"G*4f@S^1l.Q'fs472"q:G/i"PD;Ve^aZK50_I(g"kH9fA>W!6)3;rhVm,8db!4/in<AWlJ9")
+>Xq4T@>VJKlKH1:kMX6eXgDoXW(uL4cc3)_dG!?upt,Q"s4RG(rm_"uJ,~>
+nbiC_s82Ecs82flq>1Efo_/(Wr;HWjr;QQmqtBpmqu$BjrVZTjl21hepAb!drV`[trr<#o!W)cc
+r;ZZjq#g6cp[\=X#lj7lS`]tGrUK^Zq>9^[q>9^[rql`nrquihrr<#ns8No2r:fm_n?->S`:`fk
+r;ZTir;HQjqYU6Rr;ZZnqYL-iqssR^rVufpqZ6]orq[*"q"F=ZWHJ.9n+ZYNp\t1$p$VkMa,OP0
+Ap;)KqYgEoo)8S%`H&faMhV2QE<#A#q=X7Wr;ZWnqY^BjqY:0dp4*~>
+nb<%Us7Z'Ys7ZHbq=Y'\n+$#Cp\=R[p\sjcp@e4cp@n=Vq"OOVl1Y_doDA4Qp@=cLq=aXVo_84Q
+p]($dq>^3lo(r(Mrq6Wtl`-K:s7Q<Zq=sdZnb;kQnb<%Vs7cNf+7K.-rq#a\s7,aMmIf\??$a0N
+mH4'<o(MhQp\+:Rpu_>NpAXa]p[.bUp\sjeq=jm]3qW%6l27,fnaYi4oC2>Ks8DNRrTh:T>#/IC
+[aad>p\FCAoCi.S\Rr;3K73d9CAR/ao^M2Dp\a^]qY($cp\ssdq#U6`J,~>
+n_*ons4Hqrs4I>&q:GqudF6Xug"P3Vg&BV'f_3u'f\+s3g=b03l.HU'eD8a.g"(_0gtCK6f%AaI
+g&'D$f`TaZf[KiR#iX$dIE(<uh9l&Oq:P5jq:P5hrn7>*rnAOChrNbIf&>]Dh:U<8d>pb,V:O5D
+h;m5Ag"P-3f@\gAg&BV'f)F4qfC@Pnf`0S&ecFIUrma'Ze'l\+LfE-]cIU[te_fHEe'7")X)UQh
+8Qqk(gZ%;VhpU?=kM;n0T[.Fdkc.P?d+?jqbM1Y(e_BoOs4[M+s4@8#!7ZN~>
+nbiC_s82Ecs82flq>1Ego_/+Xr;HTir;QQmqtBpmqu$BjrVZTjl22(loDedds8SFprr<#mqYC*[
+quHWjq%*8nq"aUVq":\AlMp2Mo(r1Xq>9^[q>9^[rql`nrr!*"rVZNks7Y[UrtOalCkfjtqu?Qm
+s8Vojqu-KjqYL*Or;ZZnqYC$hqt'U`qu6Qor;QQrs8;`jrVlg#q#>Vns8Dip/*k<SO_eZCHDK0h
+s5a+Xs7lEhs7?9gV0gVg`FdWtUM9GhpZhMMqY1$fpA4^eqtg*hp\'+~>
+nb<%Us7Z'Ys7ZHbq=Y']n+$&Dp\=OZp\sjcp@e4cp@n=Vq"OOVl1Y_dnGW.SrUc&Mp%S=Rp%J7P
+pAk!dq>^4#p[n4To_%tNWeBX:lMpDMq=sdZnb;kQnb<%Vs7cNf+8>R)p%eLTj8K#XigF>+]BSq]
+oCi1]o(;YNq"FCRp?),LpAXa\p[7hVp\skNqY0[Vq#(*imJ_!Lo^_hXr;6EgkJa0TBObImT$R!-
+h!tC<mI'Q:kP=V8DoM:Y?Hi&2A+8[Ojmr-<o(r+NqY($cp\ssdq#U6`J,~>
+n_*ons4Hqrs4I>&q:Gr!dF6\!g"P0Ug&BV'f_3u'f\+s3g=b03l.HU'dGN[0i7N"1f\502f@SdI
+g&'D#facTdg=Y*5er41_i610/gA0Ftf^[Yjf^[Smg&Ke*gE5/(g=Y3;eAgP4kf\QPB;Eu2i8!5Q
+jk/2;g=k32f@]?@rn%2$rmghrn_$Fdf\4s1f%AR/f@SU-gu%&AkZDBPgu@JUiSr\9W.f1d8kE9B
+\D-5dgZ[VJf\G<1j4],gYM>pD[G?L/f[&0idalssg=OaJfDjS)g&K\'eH"*L~>
+nbiC_s82Ecs82flq>19hq>1!]r;QQmqtBpmqu$BjrVZTjl22(koDedes7_8bq#CBgrqQB\r;$4#
+r:9dap&FcuJ_^1rqXsIZq>'j`nbi4[mem+`rr2rt!r2E_rVmYiTllCCqYU<frVuo`o)JFZr;QWk
+qYTFQs82flq>Bd[rr)lprql`l,Q%H=r:os^s(\_3s8V3[j1CLtBQ&6la7K?-o(2STrq5p[rr2p5
+r6S[#s7C3's7V+fo)JCXs81sApAXd^r;ZZjq#U6`J,~>
+nb<%Us7Z'Ys7ZHbq=Xp^o_%qNp\sjcp@e4cp@n=Vq"OOVl1Y_cnGW.Tr9Sd>n+QYLq=XOQp\=Ln
+meHVJs7<^Mg\^X=o^_tVq"aXRp\FOQp\sjcpAXe.qY9UJnb`@dq:M0TLs,G`qssL]q;puCnauSO
+p\+:Rk4eoLrq6*]!;Q-ZrqQNfrq?Bb,51g-p[dnDp0XT^rr:gLh6i5^A8?C\`p`m"m-X<Bp[7G?
+rq@6.nAJ,Hromp]s6b8Pm.p,AqtB".nbM_OpAt'`rqQHf!Vc;<~>
+n_*ons4Hqrs4I>&q:Gf"f%8RIg&BV'f_3u'f\+s3g=b03l.HR%dGN[1hp>`"db3L,gXblIqq(l$
+&)5Ldgt(W?RUWqbe_8R&hYGk#f^[Yjf^[Smg&Ke*gE5;-e^;q)jQ,44JQ6Tmg=tT=h<*V<dcT'1
+g"Y34f@]?@rn%2$rmghr!86qs8))bPg"P*3f\"g/g>(B4e(iqUO4ia\`o+b(F&kk/>_B'+inMo1
+f&kf<e(NR6hWW[r3O\/#9nVZ]AQI=>e^`F*_8=UQdJ;DogAfk+fDa;#e:7~>
+nbiC_s82Ecs82flq>:3irVZcpqt^0hqZ$Hdr!3,sr;HTlr;5aV&,u;&q>L3OGguKes7ZKeqXOLZ
+q[`Jqr:]jaiJYPPp[e@Ts76!]q>9^[q>9XY"oeK#rr;uqru1\&m&#Jj]CZ(&rV?Knp%n^]eFWG3
+rr2imqr[hVqu6Hfr:0[`rVufpqZQoqq>'seru'6pk5YJF`-ZTFFbm-Ss8Mldo)/Ofqtp0brr3l4
+p[-4Pci<L0C%^ooKp(p'h=^I4hs0n7qYL-iqtg*hp\'+~>
+nb<%Us7Z'Ys7ZHbq=aj_rV-EfpA+I^p&FaZpBUEdp\=OXp\*kG%f>kpo_.q1D9;5=qXOOVnFubR
+&+oGfo()h:LVWr`o)/(XnbMtUp@7nQp@7nWod08(p%S1Sp%\Faqsik2TRVI!mJm%WoDeaWo`+C+
+mdg)Iq=jUVk4eoLrq5OMs7lWgs7SbOpA"@Qo_/1\rq=B7g]$p)]QJ+,DhP(Ar;HH^nbE.`p@e+L
+qu6E_nDh?'_t2rV?L?nTI>mFbfC8:tg?%i'p%nC`q"Od_rV6Kgp4*~>
+n_*ons4Hqrs4I>&q:P`#rRq;*f_O5"fDjLsfa$0_g"P05g">QB&)>[jf%JZg;6A6uh:(93f^[Yl
+fDjM7f@AX+fB0qbU>skSh:(90q:YSrn_*`jo%3ins4[J,+55N.jP\S4abFA<S($KWh:^oLe_9-8
+ZI.1SgY:E6f]h)gfDjG$ebRhegAfnrh:gZ;gY(H:g"5$9j5f4-7*"TPbGAKF:fV4h^#@l'eC314
+iRuo8fAGTDf@7sD=fpN*Jk4J=k[nqahn@IbcFV!AhUVGRs4[M+s4@8#!7ZN~>
+nbiC_s82Ecs82flq>:3irVcKgrqcZlpA>0mr;?Nlr;?HVr"&]#rV-?cf6?QYrr;Wjq"jOYq>1]s
+rV63af<qsbli$bMs8VTaq>'pXr;$6\quZirrqcX7q>1-ebF*^<`r#f7qYU*dqtpEnr9iP4o_SRe
+rT*nVqu6Hfr:0[`rVufpq_e6GqY^<iq"=E];l$%9I=%Tmearh=p@[eJs8DT\q#C-grq?!\s8U&T
+\b6!4D6*]ts)sn0rr33%s7H?ds7cBfs82Zg!Vc;<~>
+nb<%Us7Z'Ys7ZHbq=aj_rV6-]rq6<bp@egcp\4IXp\4CGpC?ulq""=Nb\Z5/p%\"Up$h_Op^cul
+o_%n+Z*42mr;5p^s6odYq=a@Qq=aCR-MI*(oC_bLp%J7NmeZ=eNH'cip&FdYp%.nMp%eOZkhPIl
+p%eIZjS/]Jrq5FJs7ZHb5P4R>p@n:On*Q];R?Vi:F.'/VmJH\Lna$&Orq#[Sr:Ts_naH/Iq7C(;
+l1qDiT`<gIDO'qqrVcQln+uYPo(r(]q"Od_rV6Kgp4*~>
+n_*ons4Hqrs4I>&q:P`#rS%#!rn%2&p=T]'g"G*5g"G$AfacWfeDAWX:rLr;gX5$3f^[YlfDjM7
+f%em0g:3H3jNHB7cf!a.q:YSrn_*`jmb.WornAIOeC<C)VK5dUVVC7hg=t<9gY:WFgs3[ZdF[..
+g?7/gfDjG$ebRhegAftthq[)Ch:p`<gt^fBg=P#:2MZlm?s\DL\(0Emf@J4#j5/;6f\P-6gXFR%
+gte\tQdau\9T&&QkZ<2hki:RRhp:$*g=#fKs4[M+s4@8#!7ZN~>
+nbiC_s82Ecs82flq>16iqu$Ekq#(-fs82Nf#Q+GsrVcZlqs""hq"jm]s7k,nr;Zfqo)JO_nbi4[
+&,Q=ts8/@Js7l3Yq"sjZrqZBcqsjU[qssXcrVlQk*7pBnS)+,CpA4ggr;6Eiqtp<bkLo7oqYpNo
+rVbmVs82flq>Bd[rr)lprqd/urVucQZ\)dg>ZlEDao;>?qu?WqqYg49p@@kNq"=@\s7lWomDj4T
+s8VG&DZ9;.q/Dl$o(rC[r:'[Us8Vrns82Zg!Vc;<~>
+nb<%Us7Z'Ys7ZHbq=Xm_p@nO\q"Od\s7Z0\#PRodq"XUXp?D;^p%S1Ms7+6QnbDhOmJlnTnb;kS
+&,,qis7_q>s7c*Vp\OXVrV?6ap@7nQp@@q]p@RtJo^r.U+7o:!bD0Vhe,T13o_J:Up%J+Pp%In6
+eEH>nq>0p^pu_>NpAXaIp]'sdofqs?r:SdGI9oNC:2l?0q"X[Xp%\CWp%\=Yp[e"Np[n(TqXaUa
+keLi2rqPD[A+T'_nS"6]m.C2FpZqVAqu-Bc!VlEgq#1!hp\'+~>
+n_*ons4Hqrs4I>&q:Gc#f\-5Wpt>Yus4I%u#M@__g=k65f]h'!f%AX(j4(55e_Ad1cf<XHg&'D#
+facofinT!%in;f2f\>'/hYGk#f^[Yjf^@GmgA]hKg"tDeD+\r\k2"VBhqm/Cgt^Z=gt'NTb0\bp
+gtUQ:l.Q'fs472"qUY`#o%F*!rnmb4rnTfkhrNV1Q"<KG5<N8%WoN-uh;.#HgY1B7g=Og'f\"a(
+h;$Q:j3"/mPj%,L9246min@7Yh:107dFZRoc.h(MfDjS)g&K\'eH"*L~>
+q>:!ciVWHKiVWHKnbWjspA4ghoZ;L\rr2imqtg0gqu?TnrV6:#qu?WfqZ$Egr:B`WOSAVIq"aaU
+r;$3br;$3orVlfpr;6BirVlfrrs7qtIt>&rs8W#nq[`N"rVuooo'Gu@p\Odbr;6$^rr)lppA=mi
+')h_'qYpNmq>:3lqt^0hqtU!crr<#r(&n74qXsC'VL<W(E0-<@:t,7<qZ$9fqu6F7q"=IZpA"Ua
+pA=m\q>^*.D7T]@s.sDsq"asBFMIDHs7uQgq>pEhqY:0dp4*~>
+q=aXYiV**AiV**Anb*7doC`"WmCmT4rq6<bs7cNds7cNfq"G9lqY9RQr:TaWmdus*nb2eQq=sLS
+q=XRXq=Xsdq>'g[rq6EbnaZVL$2!oJW,m*]iq`BFpCHrkq>:'_mca*.o(D_Np\+.OrqQNfp@eO_
+/bo&3p%eO[oC`%Zp%.nPp%%_KqY^6apA"IYo^D+dTQb?eC5S%#7EFoen,MhSp&=Y-p[n=Zp\=^b
+pA"[To_e0qB!:spqjC^LmIC&"Cq8p2r;$'_o`=d\rqQHf!Vc;<~>
+q:PMriRmtZiRmtZn^n*&eCWO4d%XP6f`0Y(gA0D5f@J[.d+.")f\4a)J8j,ng%s@cg%j7ifa?Kh
+gtUQ9g"P*1fDaD/g=sT,=^.!/hqe+^&(oUkhVQr5bL"\ef@\d0f^[YogAfk*f_O+ug+V+0eCE7/
+g=b6?inN/AhV6]9h;I;OhVdDRiniA=Z&2sn:fMO]CbrHPh:q5Hh;/%as4JOFf\+g+gY10/i6Bd,
+c_F'tiRR%B7a9Q=j1/0`eE,]BqUYJms4[M+s4@8#!7ZN~>
+q>:!ciVWHKiVWHKnbWjqq#(-ipUcIcrr2imqtg0gqu?TnrV?@&rV?ElqYgHis7-,hJ*HM&qYL!_
+q=4CYqYC'bqZHfnq>C3k!;l]o"lQS0R`k7#rrN,sqYL^!qtp<gq=X:Op\=U^mem(_s8;Tf!qc3`
+rr4GGq>^EhqYU0hs8)Nap\FXZo`+sio@gI%A6j,"YjMGhoTb7"s8Vurp&4ddqB,Y2p%%bLp\+XJ
+s8Vr&@))C7s6=dZp&Fsg`c'E-s7?'`qYC6gqtg*hp\'+~>
+q=aXYiV**AiV**Anb*7bp%S:Un?@Q;rq6<bs7cNds7cNfq=bHqo_A:Uq"s^[m/No-j6QR8qY0g\
+nb;kPq=j^Y(\m[qp\k-jq!n1Uq#:3@V/;=/kP4rIo_J4iq"OOXp\"(Dnac;Ep?q\Sq#C*^p+Pn)
+pAFpgq"4OZoCV_Kq"s^SnF?,Ana?5Kp[-J2I9ouhFK4O!q!O#fiqi<:qsFCUrUqB.qtg$Xo_8+O
+ro*nVorhT0lh9r,C<Po8o_#q2ch[J*q=a[X!VZ9eq#1!hp\'+~>
+q:PMriRmtZiRmtZn^n*$f%Jg2e!+M=f`0Y(gA0D5f[SR-e_&^/h9Y,;?cg^Og%s@cg%j7ifb`Dq
+f@o0Ci7uo?hqdAP\r'F/V9IfSgY)DV%,9LigY1<0d*pLpf@]NErn@D*rn.%t=O5CGgtpl>f&5B;
+g=tB=iS)r8f@ej/eD]HHf=mM_83p0\PgSLMfQLuSk2=tSf%o*8g"Y35f\G-/dF-RqdbV^thURZK
+S'p6NaAfRshqd.e:q,EDe(FNJq:5N!s4RG(rm_"uJ,~>
+q>:!ciVWHKiVWHKnbWjnq>L6gri*"!rr2imqtg0gqu?TnrV?@&s7cEjr;?Qhs7Frieb&n5qYL!_
+q=4CYqYC'bqu?[,rqc<\qYpNkqX)@gJVM,"rr3)pq>C0eqZm,tq=sa\q=sma!rMoonbiCbs8;Tf
+&,lD#q>0s]oD8C_qu-Qoq>C72q![IbU3L!QGa"rAo'c/Lr:p;E]))I*rVufoqu-@5qtKgZr;6Bi
+s8VinO_aIWs7Q)GNW9%Trr0NOnc/X]q>:$b!VuWhq#U6`J,~>
+q=aXYiV**AiV**Anb*7_pA"CSpR\)Nrq6<bs7cNds7cNfq=bHto(MtTp\FFWn'cF*mecJHqY0g\
+nb;kPq=j^Ys8*Q,p$hJDq>0^Pk.Zh!J%F8)s7u0Qp%e=eqY0[To_%nLr:L-bp\=:QrqQNfp@^38
+p@IqLp$qJCp@e1Rq=sRXqYU3do',2JS8q_9EfH[)m-3m:p@A')YODAZoD8.QrV$6b"T%ibp\Fg`
+(]47%pkiVHli657Jq<gln+QI]D!V-!meQSQo`=d\rqQHf!Vc;<~>
+q:PMriRmtZiRmtZnCRrsg=b*3Jq`pNs4RD*q:Q>6dam1)fA"j3d^E8ceD\j/qUk&cq:G/is5"LG
+f[J=%gtpZ5b+ir]A"UBejPJD9g%j>+h:gN5f@\aQf)jUXg@<kqgAfk*f_O)Tf[eO$e^`'of\G9:
+h;@)Bi8ESRhq68sV1`#;6X"VeVUX#CkMFqP@[Yp2gtL]@gY(94g&BVHgXk$/g=b05h;Zo<D+Dgr
+k0qgrCZXI,hqsr(e*,lBf_X1pec4A'g&K\'eH"*L~>
+q>:!ciVWHKiVWHKnb`@^%K-)%s-L\(rr2imqtg0gqu?TnrV?@&s7uQkq"asfs4V_NqXXX]qYL!_
+q=4CYqt^0cq[WQ#q>C9mrqcZnb^X;tkPbD`r;-9er;$4#rVH<`q>1!crr)`jqYU3hnbiCbs8;Qe
+"8_omrr2pFr;Zfqrr;ibo_A7Mc_>M_<cb(hr;Z]`mf3%Rs8Vf@Dr1HmqYpKorVQNh)u':1s8)Qi
+l2Ud6H04i#rV!a3iV*<Lq>[XFqu6TcqZ6QjqY:0dp4*~>
+q=aXYiV**AiV**An+Ht[p%SBC\b,mos7ZKerq?BdrqQ<`&H27pq=F7Tp]&cbeF`,&o_/.Uq=sLS
+q=aXYq=YTup%8"VrV?-_p;M8bQf.oCr;$$WoCVhP&,GqkoC_hOp\FUXp%A%Qq!n+Xq#C*]p+H%3
+p\Faes7cBdp\=UWlgF?8kfK?4;,D,$de<_7l0/0;mf3=Vb[f5oq=+%NqYg-cpD`i%rr)N^puMJM
+H#hg0q!mXN=Ol^0naZ@OF7oP-o(N+XrqQHf!Vc;<~>
+q:PMriRmtZiRmtZn_!ln"khM]hf,.[f`0Y(gA0D5h:1$/e(!1+jLA7"g="j0g%s@cg%j:jfbW;o
+f@o-?gt:K;WE_l=`8oq9h:^E3f_F/2gtC<1f\,!4gY1<3f@\d1n_*oqs4RD(psq:Pf%8U1hr<AJ
+i8*8Jg<nF&g!6dQ<&Zd:L:Z7*hU0^5g",?MfX+Dcgu-f;h;6i;f[e^+rn&=Eg>Cc=f%S.'gK[aq
+d,!C)Q9r@9hqQlCOBgW"i83,Wf)OJ(g&K\'eH"*L~>
+q>:!ciVWHKiVWHKnbWjpq"jdcpk6olrr2imqtg0gqu?TnrV?@&s8;ioq#:<nm>I\<lM:J[qYL!_
+q=4CYqt^0bq\T83rV,pUpT&[[V!%dToCDYSrVQEfrqlQf&,>nmp\F[]qZ$Qmqtg3frUKgbrVufh
+q_.U;s8W#lp\=^drVccrq=)>'Li$pYU:Tj`naZ5Fr;ZWhq>L'fnY1U5s8W#sp\b!erVHQks8Eu4
+o_8=`s-J/ls82Nelu9!)s7ZKgplKmupA"XXqZ6QjqY:0dp4*~>
+q=aXYiV**AiV**Anb*7ap%@qPnTi"Drq6<bs7cNds7cNfq=bHup@n=Pq#:*OKUVr$o(i4WqY0g\
+nb;kQq=am_q=PNuqY0OImd[/uC7jM`p?q>=q"XRTpA+OZ&,5ejpA"IYp\O^[p@\.Rq!n+Xq#C*^
+p+Pn,qYU$Yo(2SKp%A(Sn`[W\J7W59R^25Dlg*s.pA4FQoCqeQl^W1jqYTjWnFceSr:_<.p\FXV
+mI9iDpl0@GrpT.@i+/GYo]uMHn;)2WnFHAFpAamdq#1!hp\'+~>
+q:PMriRmtZiRmtZn^n*#f%8I-e6SsFf`0Y(gA0D5gt(*/db*O6b%Q7bak5M.g%s@cg%j:qg%jA<
+hVd5Ae(!!+>"sUfhq?E(e_Aj3f@esTfal`ef%8U/g">*7g"=p/g"PuLrn@D*rn.%t=O5LNgXjp&
+e_K'=hVdAHdA;e9:/#,LS']O0dF6_&i7cl;h:LZ6JmR*gi7HZ3f\"d+eCN.#f%Jd4gt'm&g=tG(
+=M*VDd+?E8M!3^Gkh=^0?/!rbhUqDMs4[M+s4@8#!7ZN~>
+q>:!ciVWHKiVWHKnbWjsp\OR]i-WuRrr2imqtg0gqu?TnrV?@&rVZZmqu?]_NLTt2s8)chqYL!_
+q;M8Iq\T;*o`+sWTO<Vrq"jX^s82iqqY0^XqYU*arq?`pqtp3`rVcZkqsOC]rVufhqZZorrVQEe
+rr3Q.qXW:>Hs^$$W7LV@rqc9`rr3B*s8W)ns8VE]qP^:jrr`9#p\b!erV@W3qt]s\rr<#sMi$Wn
+o`+siXEj+2s7QEloQ,oerqcHdqtg6jqtg*hp\'+~>
+q=aXYiV**AiV**Anb*7do_%_Ifl5(*rq6<bs7cNds7cNfq"G<mq"FC\qW3Hrqr%MGq=41Tp\FUC
+p\FIuqX<kPs5f\QKYd9Qn+ltVqt]pUnacAIq=ss_$2FAnq"FLXp\+=Kp\ssfp\+;7p\=OWo_&(Z
+qXsFEd%b\a;/i2Rm.^5Eme$DSqY9pbq""Fajn/2?SGN$Wp%RtLpA4M*o_.qInb;qXo7;DImcaZL
+nXsaUqYTRPr9S3Np%\1Nq=a[Z!VlEgq#1!hp\'+~>
+q:PMriRmtZiRmtZn^n*&e^r7&]Mu$,f`0Y(gA0D5f@JU*e_f3(C3\XSk1SYAg%s@Sg%jA=i76?>
+k0&9?B;F,2dbNg7hV?c6eCE4*q:Yc!$/+(fg"4s3g"=sFg&B_*g&BY"egT/&f[eR&g>CiFgXE]l
+>sLGRM7;$nhqQZ7iSrePi8WVGjQ=Y>g4k1Xh#uBae(3+He0*>qf@8@*hr!'uAAZjAjQ>3S=30Ia
+eD]N><,:=JgtC?Vf(mqtgAfk+fDa;#e:7~>
+q>:!ciVWHKiVWHKnbWjspAXgbb(o<_rr2imqtg0gqu?TnrV?@&qYgEirr;8mJG9*:s8VQ]qYL!_
+q;M8Iqu?[.o#-]BQaH5Nqu?]jq#C6cpAFpip\>-jp\F^`q=sg`qu-EmqsjU`rVufhq_.mDqYpNp
+qt8RGMgTu3UqZHoqu-HirVl`nrr)]gp\=d[nG`Iff50"8qu-Noqu?WlrV@W1r;-0fs81o>LX?)$
+q""I,Hcl'^qZ$<ioPCN+s82Zgqtg6jqtg*hp\'+~>
+q=aXYiV**AiV**Anb*7doD.tN_gLD7rq6<bs7cNds7cNfq=bHmp\=CUs5U>/nG)GOs60"HqY0g\
+iV30@(]F@"^5RE$Y3YHKs8V]_s7c-Uq#CBlp%\:gp\+CYqY9gXp@eIZ!;>sWrqQNfp@^06p%A.Z
+r:]X,WIo;9K:KC9mdp,DoC_hNq"a^XoCDMLmd']Is3bQ(oCDPHq"=L^p\sq1p[\"KnFutQgOspl
+rqYg=q7U^\lLjT;m/63\U%nQYo_J4WpAt'`rqQHf!Vc;<~>
+q:PMriRmtZiRmtZn^n*&eD&L+VI7@9f`0Y(gA0D5eCW@&f\jc5?.@ZXk2st=g%s@Sg%jA=j5eXa
+Eaa0VcHk5*imu`@g=Fg/ioK"Lpt5u+f@ep5g"=p/f_sJ'f^[YogAfk*f_O)Of@AF)h;$T0[ZYH4
+?YkFgeCWL4h;$lEgtUW=f[eU(h9jO'i8V.:YLM+Qf%JU+rm^nps3r.Fg",$BfYVH7XQJNjbi5O'
+W79_WhU^f=9o@lih:gNXf(mqtgAfk+fDa;#e:7~>
+q>:!ciVWHKiVWHKnbWampAb!h_3k9%rquZjqtg?ipA>s.rr)Tjs3HAhpAFs^p](9iq"jd^q"jd_
+q>:!bq>L0ur;6Ehr;6Ehr;6Ehn,34_*W5g4qu$?ed%5iM\**egs8;Q`s8M`js8MleoD&:`qZ6Ni
+rqR<+q=jXZqYL$^q"sseqtp3equ$?hqtL$frVufpqt^0irVujIn&^f2DKM>tq>0j`p\Y!jrqlQf
+qt^*ds8W)qpAb*gr:%XOs8Dlnrr2fprVQTj')VV,s8;oseu"Z$s7H6hs8IV,rr3?$s8M`_E5D;D
+pAOgaqY^BjqY:0dp4*~>
+q=aXYiV**AiV**Anb*4^nbr.U\rZ^ep&Fa_p]($fq>'aqo_8(Kp\MsZlgONEm-slKq=jXY$hsGj
+q"ORXq"ORXq![tQob[2AQ[FUoi;WEFp@%MIq==@YqY'FJo_SCY$MsPkpA"IZq"47QrqQNe"o%fd
+q"ORXp\ssfp\+=\p]("?l,/NnB5NjXo(2ADnFZPQp[n(Kp@\+QqYU*^nc/CXpZoP:qY0^Wq"XRZ
+p@eFY+SPL(p@A"Pc_$'Ws6/tLq<rKVs7Z*Qq=a7ABY![(nG)hQqY0s`r:pBfp4*~>
+q:PMriRmtZiRmtZn^n*"e)/d3ST<Q[f`0Y(gABP8g=b*3g!e[2X's?'g#16,i84:^g=ZJ[q:c_<
+Y^KtuQcA+@hqZc5h;$Q9hVHl6dF[.Kfalijf@S^0g=b$-f\,!3f[oZHrn@D*rn.%ts4@;'&]pec
+8PN-/[+O'_gXb*9i8*,dg&K\?g>1W@g!o':g"O`I=kqW[f%AX+g=FjQe03Dtj5AVJh6hlScK<L+
+k2b6&B'/%.f]1l@dnujmf[eg0qUYMprRq5&rm_%ue:7~>
+dJNb9k552Vrr)*Z#Q"8ms7<IVs8MoqqY^-cq%<K!q"agbqtg9hrr2r8L;a&hqYXImr;6Ehr;6Eh
+r;6Ehr;6Beqt^-bqt^-bqt^-bqtpElr;69`q>C!ds8D`fqYU$eo)JObkcp7jFcVW0O1tYoqYL6l
+q#:<lp\Oj]o`+sYqu?NmoDe^bq=tQuq>:!bq>L-bp%S1Wr:g-frs\f!rquWhr;QZlrVc`nrt*Yb
+O+2Y9TXNtOr;Z]iqu?Tmr<N8tqYL!`qtpBjs8N9$q"XlKQi$UYqZccjrVZKer;HX7pA`TrNU$Q2
+s8VinT7,i$o)Ja^s7afPchR56nbiFaqY:0dp4*~>
+dJ!D/k4\iLrqPaP#PIZZq!P2>rVlNgp\Xddp_!5mo_%tRp[n(Jo^qsiJ%bRLqY+%cp\=LXp\=LX
+p\=LXp\=OZq"a^\q"a^\q"a^\q"Xd`q=sXTpA+@Xrqc<\p\++OkPjoCh5Q-DC57L_KX:@Gn*g/K
+nbE"Vo_8:VoDejSpAO[^nGVnP(Adh"o^qhOq==4RqYBpYnFuVIoC_kOrq%!!p@n@XqT>dlG'8D&
+XkrC<qtK^UqY0s`!r)E]rqHHf$i0SmqYg0Znc+<*q#'sfpa5V,qYBgWq"jRSp?VCqJV`Ffk5=r:
+qN,dTs6KIVm/$7n@`e32rUKX\q#'pgp\'+~>
+dFe9Hk1K^ern?Vi#M7MWgX(pri;)%&fDaG7f[nd0gYCN:g"Y9>TOjnRh#?".g"PrKn^f_UgY1?3
+e^rO*gu$l;f%A[,iR-i@hoCn!;cI^S>&KngiRuoFhUgW@gXXs4e(!F<b1PS&h9k*LfbW>qf@AF&
+g"Os.gYLZ>f@/I+f%/L-g&BS=f\,!5gtf)kBj"SKHB?"hg>:Q7g"kB\gB$$]rRh/'$ej@ii8`YG
+fB-spg&'AKg!n[/g=Y'4i8<YVe_IH@C<5J[j5AJQI9=>HdGEg3in:P,YLq@^mF_Nlec+"udF*O~>
+dJNb9k552Vrr)*Z#Q=Pqs7W.Srr)]kp]1$dq#C-iqu6C#qYU-coDeIZduV06rVc*\s82B_0`CnF
+r;QZmr:]gYrVZHds8Vuis3\#eIr<:+s8Mu;H$-Ihs7Q?js7Z?bqZ$Tfp$VeY"TIQ`qtp!\&+]Di
+rr;upqu?]qq=sd^qu6Npr;6Ki!;HKm']uudE,U/ude*P=s7H-es8)Kbr;?Nl#Q4JpqY9j]qu6L"
+q>UEls8%;Iq"F[]s7lZlrqRc4p%SF_s763UH^a?pnc/L`r8;b0pAad_qt0p[^22g*q#Bm^s82Zg
+!Vc;<~>
+dJ!D/k4\iLrqPaP#PRf\q=0u>q>'acq>1'cs7d3&q"==Rp\+7CrormmKXL4@p?_PRq""5>qY9g\
+qtg-aoCDSNq=XIYq=*_B`h['cA%VR2oCBP3BVt.nlLOuPnb2YMs8V`^l2Ue[rqYUSnb<Xbo_JIb
+rVH<fqY0RNo(2MQp&XjYrppuppAO^>YC^=rEgFc1oC_nGo_SFWo(2VMrV-Hgp@eL[s7d#uq"XIU
+q=aUSH):?5rV?Kg-MmN1p%._Fp$_b=rnqsblLOB@o^;1pB=%..n+QGBrp@4-h"C:8nb<%XqtU9e
+p4*~>
+dFe9Hk1K^ern?Sh#1qD\dscJpq:PSrs4J(@g=Y'4gtUQ2kgS4jDO],1gtLKLg%!ZQgY(65gtUQ:
+eC3"'g=Fm4hqHW;Y`;C`9r6n/h;"l0<Kl,"eD03FeCiF*i8)i/bN%R:i7l3/n_"H$e_8m;hV6`@
+h:gE/e^i@Of`BaWrmhq6g>Uc#P@dBW<dLgkf@ep*f%f'4eCE7*rRq>+f[p,Ts4Ie6gY:E<hq[2F
+@Z/q;fDjM)gtMb[,1bE'hWiPQb#ru4e'I%-gYBSDQdOg@gtUEBeY#UQf[\d/n(@coe^aZJ!R]8E~>
+dJNb9k552Vrr)*Z#6+Pqs8%_Xr;-0_s7m?-qtg-cr;?Hlp]&m&WV$5hrVZTlqss[bqssR^q_nBP
+s8DcnrV??fpA4g^s5&ZXTjr]Rr;6Bfq>L>mHBdOks8)Tis8M`hrV-0`qXF:Qs8Volqtp3bqZQru
+qtTpbpAaspqu$Ekrr;cjrqud'hntq4H&o2Os7c6drrE&srrr>rq"jpdrV[!!qt^*`q"agdr!<,q
+s8)cQFjTs^q#:(8p%SFaqYL6lo)I6fRI:+Tn,NF]qjiZ=s8Mlnq"Fa\VK2J0qYTg\s82Zg!Vc;<~>
+dJ!D/k4\iLrqP^O#5.N_on]U?q=jd^s7d9+qY'UTp@e1Pm/G7ZTC)[Pp@n=[q""1Zq""5>q"FFU
+qtp0\s7l6[p@7hUmeYC_CmJ1IoC;>>n*]cAS8F)8r:T[Qp](-^q"jaZoCM5:nGiO\nb<7cqtTjV
+rppQkoCV_Lp@n@Po_81WrqI>]\rq2TL8Vi\md9`Ep\"=WqYKsYoC_kPrV-Hgp@eL[s7cutq"XIR
+q=OR9D9DYOq>U.8o^hnRo^qqMiq^`:Pj/5Jm/$_GmYu\aqt]pZo'lSGTPX2np%IqMrqQBd!Vc;<~>
+dFe9Hk1K^ern?Vi#MRh[h:HD"fD4(rfDjM7hqZo;gYCT=hq%##AqndsrS$Yln^f_Qf\"m5h:gH?
+g=Fp/e(<U/jLo;/J3m]#gY1B7f\GJC>&qOChq?]:j4r/9g""[(f$)Xlj5\_\f`^0eg"+^Qe-ss[
+f@\d0g=t-/g>(K_gCLicF]_RVMPJkPd+R7/f\?D\"khJWf@ejUg&fs[fDaG&faHNggY(?=g>p%M
+YhAs+s4JdRf%/X5g=kNDdcRo@GKf%(c/@[6gO3kdgYCH;f\#9:Lf2mZf@\^Df`KdUec+"udEmC~>
+l21;SiVWHKpA=mfrr)*Z#QObss7q,cq>L0aq#C-mrVH?cqu6O"s828SQ1Y+PrVl`nqsjRaqt'X`
+qu?U2qtg3dp\Oa`qYBm[qV7!LVsh0EirAcJr;RZ1jc+H4s7--as8Voip%SLdp]'sUq#Bs_qtp3b
+qu?Toq>gHms8Mrrs8W'6s8N&up><NLIUmu4g%YOFp&G'iq>C*grs/N"qYU6jrqu`n#Q4JpqY9j]
+qu6L!rquchrk*@Fq>C$fq$-Qaq#CBiq#::6en:!>rql`kq>^B&KA-A%qZ$TnqY1#QI/j'Aq>9a\
+s82Zg!Vc;<~>
+l1XrIiV**Ap@eO\rqPaP#Pe#^r:G9Qo_J7Yq>^3jr;$?brq?]nnDo[hlMpGKrqHBdnb3%YoD(B@
+pA"FVp%J(Lp%A%Oo^_SEdXYu#jK<OTo^(u@qt0OXm+?l)aS+osoDSU\p%%kWs7$'WlLY&DnbE.[
+s7\)?r;Zfkp%A+Up\4LXq=sF2[?,T<H)B$Xq"4"Sqt'CMoCi+Yq"FCSq"aa[rV-Hgp@eL[s7cTi
+rqH`lq!e!aD!q)rq>^4;p%%bPqXa:Pp&3!;L@k<:s7GmYnZ-`VrUoj\q=aINq2BLrp%\1Qo(W.Y
+qtU9ep4*~>
+l.GgbiRmtZp=TDurn?Vi#M[q\hpu#/f(mtqfDjM,hV6]8g]$"6inD\(Ema%%rS$Yln^f_Pg=k32
+f[nX)f@\^+eC<*\C/K`2Qs@Jaf%8sDhVRAI`G8JZi6^K7i8*#9dFI49e)Sm#e`5$Hg&Ke+fIYb4
+i8WGBf\>38g>(E;gX<^$F':h6M7(acf?rX8f%&@&g#(T=f[nd0gY:E[g&fs[fDaG&faHNggYU`B
+f&*#ueCjcOs4JdOeCWR8g">6BlF'/ug>(BAf@]$9Qt*Yae_&a9gt^TAFBmnZg=FjDf`KdUec+"u
+dEmC~>
+l21;SiVWHKpA=mfrr)*Z#QF\ts6k0lr;HKfq#1!kr;-6br;Q[#qYun@li6tRrqu]knbhqS2u*FQ
+qtU'frVQQkrVl)jKncqsr;VeXs8N&urVccqp&Fd\\S7Q5s7lHds8Vrgs8Vr`N8=7%s8Dinq#L<g
+r%RmArVuopp@J=]qu6Qhp\WgYMf<g%ZcMt=r;HWmr;6-Yqu?]no^D\Qq>1'irqu]mr<N8tq>0m]
+q>:0h#lac%qY?e<s7uZhrV7i=qtp6bpA"UdepO1`r;ZTkpAajEA?Gn0pAFses8VZiKT?*,rqZH^
+r;ZZjq#U6`J,~>
+l1XrIiV**Ap@eO\rqP^O"nqNbl>kbVp\Xdcp]L6^o_/:Z#OhGIK&lt+l2LGTq!n+Kpc%g>qXj=M
+p\+7Qp%J.?YC:kuh=C;nU&Xc[p[e"Oo]uJBm&j][q#BsYo_SU^o)AUZkCqLVnb`:Zr:p-_0_4o3
+qYKpUmeZYNq=sRPp=Zj.CN,99_t<Wpq"OOUp?h>@r;?9UlLslBp%\CZp\4X]!r)E^rqHHf!;ZWh
+#PS#dnX+b%q#'sepa5b/p%%VCp%QRHQL4AAo_@tRn'tR6qXsCQqXjU[m/MNjr:9[Up@@tWq"sjf
+p\'+~>
+l.GgbiRmtZp=TDurn?Vi#MRk]hoo'8g%j:tfDjM,gY(31h#?.:g#@*fb3%I'g=klGn^f_MgYLK2
+f@np0g">!3`fae@OMoi/CP_--hqm)@hqQTBf%-3XHJ[f8f[np<f[Ja9f?7m>eC<@NgA0DUeCWF0
+gt:*&gt:96g==^*]9d2*;K%Ynf%8R.g=b-2d*^J%hq6<"f[eX*g>(H9g&9V+g"=pUf`0V4g=tB=
+gu-o?JS*lor7Cu%-emA.f\"d-hW)%LJCE9/fA"g6e\=J2jOhl6h:gcGeECL^imlf7f'h8nf@AFN
+dfIkCJ,~>
+l21;Tnb`.[q>:!dpA=mfrr)*Z#Q=T!s4hkkrr)]hq#1"#qYBs`r;HQjs/q4's8;Tir;?HhnbhtT
+#lOGss8;fps8N#t/]s6+R'ZA`s8ChscMRY<q>^Khp&Fmes8U#VL$o!@q>('ip%e(Mmu66!q=aac
+qu6Bkqt^./s8Mupr;Q`rrVH?\eYn"8A9XNamJd"Rp%SC`rr30#s8DllrVlisq?HiprVcTfr;HR!
+r;6<dq"X[^rqm&squ?]eO/W!PrqQHfs8=5>p%eXfqRUO-rVuQjp%8:arf2<es8)WmqXjadp]#W@
+r:p6dnbiFaqY:0dp4*~>
+l1XrJnb2eQq=aXZp@eO\rqPaP#PRiaqU]fWq>'d^q>^4"p@\(Np@n:QpS35Urq5aZp\XaUp[\)=
+p[ItTp%.tTp\+X__hiW!Wp'0Lo@7Tonc/+IrVc-Lq![eLpUt9ikPtSSo`+gZo]Yc-L"c"fnbr4]
+q"XS;qYBp\p\F^bq"=:Hd%br$?ZMIMkkXr>nFZJPr;HKgr;-0^q#(0lp%A%Qq"XORp\jjgp\+=[
+p](!rq=saUp&"^QLS4A9r;$Bfs7mr5nFQSTo<2VZoDJ%VnF-;MpOdD<p[e+Tp$VSPnbdR+p@J(O
+nb<%XqtU9ep4*~>
+l.Ggcn_!Zjq:PMsp=TDurn?Sh#2%Vb\Q.&3q:PSrrn.k8f@\m7gtL\GAuaqHe(`U1le1g[2q-O<
+f[eg5g=bNAVJKIWNR-G9g:U:`f]Lf:jQ+h=hq?fFiM01Zc/ds;fAPH5f$)UeBti'JeG7hofeD49
+g=b06h;?r<f$CXU>tRC^GbrR;f[&!rg"bH@gtU]?g">$7iT&PAf\,!4f@ARQg&fs[fDaG&faHNg
+gXt9>j3qt(gtDVWs4RG--.p]"io/RY9QJkHeE#*,hqm1+=iB1Jf%o!.h;m8M?AdOhg=FmEf`KdU
+ec+"udEmC~>
+l21;Tnb`.[q>:!dpA=mfrr)*Z#Q=T#rl0?_r;HKjq"smequ?Nmq[`Z&q"<?mbQ%,/qu?TlqtpBg
+!;l<ao)&Ibs8NK*s8W&cs20J.Mn/0Qs!RO:XFU6KpAb0dpAb0gs82Tks2U.Ohu!HIp\js`s8B]\
+LN^];r;?Hh!;u]l"8r,rrr)j+g:ET%Iu^\Tp%7nNqYpKo&,Z.moCVqXqtg6cq"==Pqu6Knqu6El
+r;HR!r;6<dq"X[^rqm&tr;?TSK@Tbor;$Bi-M[Q9pAb0Z`c7d<l2UeGs7ZKac#1u0r;?Toq=sjc
+rU"dOq>L3enbiFaqY:0dp4*~>
+l1XrJnb2eQq=aXZp@eO\rqPaP#57`epVD(Iq"O[]s7lNc%eT;ZdsK%5lLX`Jp\4IXrqQQhnb;VL
+3;<%>p[n1Vo&]YXG\;Q2i;`ZMn+3B$p&+:Sq=!eJqssXVnc&C#LO7\Gr:0@Qp%/.R[<$k:^]4*'
+qXt$ap@e7Zp`S+pOaVP4WQ+Grn+-/Ir;?Qjp$qPCq"sj^q=jRSo'uGQpAjpdo`4abp]C3`pAXgd
+p^?omq"+4QrRuVCo(`.Ys7dr5q=X:Ss5h".RG[$#s5F"Js6Ra<bOtH!qYBdSp%S4DE5hGDp@[tM
+rqQBd!Vc;<~>
+l.Ggcn_!Zjq:PMsp=TDurn?Sh#2%edUKQ7&q:PSrqq2A4g=Oib@B/G7f@f*\g&9O]ff.L:gXk09
+f#ZX;>Y8Oj`8fh7e_,jfgZ$c@hpp97iRm,CfAtkeCL=a,hpg32f[f$6RTO*!UZD7)q:Pl&g"G*X
+gE<tlF'i0fMl>(OdF?e&hVR/Ef$_sqg"b97g=Y!,e'cnJf`9\(f)XM&g&fs[fDaG&faHNggY(B;
+j25E9f\-2Ss4JdOgt:-7k0'SrJB#[gjM^'-jNso$Z/"$bg>(<4gY^o7=KC-0f[naDf`KdUec+"u
+dEmC~>
+l21;Tnb`.[q>:!dpA=mfrr)*Z#QFZ$qmLtOq>L0gq"smeq[i]&r;HTio^@L\p](9cs8)Zmqu-?\
+r:9_&r;Zfrqu?]eflV"edf9@Es8Mles,3!=pAY'k)uTR/qtL-jpAFs?I<<^5s7lQkp\OT*WV)[Q
+q>U<iqt^16p\b'eiOkG(M3tp:r;?BfpA=miqY0g_p%S=]rVH9]o_AF_s833"q>C0fqYL0jr;HR!
+r;6<dq"X[^rqm'%rq6-7I/!R9r;$Bi'_hY,q>^3$G+ej7rr;lnrVcB_AtAr$&,H/"rVu`fs4VMQ
+q>^9erUTmdqtg*hp\'+~>
+l1XrJnb2eQq=aXZp@eO\rqP^O#5.ufZ$H*9q=jd^rqQNf%J]YfmHB#@nGi=Qs7Q-cq#1$Yp[\+Y
+pGMR3p\F!tBjcG2p@n(Op[deLKSf`tp\=U[p%.eInG)hJp&E9[D8lPQoD&+MnEan^mZO%0q=j^Y
++n51$o%LL3G(c'fi:m!<p@7kRqt9OPq"4:Ur;?Bao^hhVqZ$F!q=aRWp@\+RqtL'a!r)E^rqHHf
+$i0SmqY9OOaE6nEq#'sfpa>\1q=OLPZu;B,s7cQcp\=OPn6_LXr;$!Zp%\IWnG1RMh"1O;p%\+P
+rqQBd!Vc;<~>
+l.Ggcn_!Zjq:PMsp=TDurn?Vi#MRhhf99Flf(mtqfDjM7gY1B9gt:*$A?XSHh9tB:rRq/$iRp0D
+gXjs0h93)u6t<:OgXP!4g!enpDs#U+hVd8Fg"G*1hVZl<k-8)eWT;sfgY:6.d8,GDG(/$<gA0DF
+e(EL,]pNeBAp'KXg"Fs/e(EL4f@8C)e^rO2h:gK2eCacTs4dq7f@ej0f@Sa4g&9V+g"=pUf`0V4
+g=tB?hUU>b?.drcr7Cu%-e@/0fAG/J<I`ieh;d/AgY:0+6[[hOh:C31gZ$r>iOi.,g#:N6f^IJp
+f@AFNdfIkCJ,~>
+q>:!cq>9.Kq>:!crr)lppA=+Ps8E3!rMQ@Xs8Miqqt^6frV?Kjs83E(s82Zas8AS@n,NF^qYpEl
+qu$9Zr;ZdBq"=FZr;ZTes8Vfgs8DlorUS7(G+QnOs8W)tr:g6cqNdWFrV?@Jq"jmcr;-6`L4.D?
+rqlTms2U2ieUlKNq>C9mrV?0[qYg6\p]('QnGiBnJrmRlq=sa\q=aXfq"OOXq#:*cp]:3eqYU-e
+!W2`mq#1$op&4XbZ]k+]rqn>EqYC$dq>^6iopg$'rVQ0cs6fpbrqEF6pAF7Vp](3erVcNe\:42P
+q"t*co)&OcqYKsfp\'+~>
+q=aXYq=`eAq=aXYrqQNfp@d\D"n_M_SEg%Op]($bq>^6ipCHrqo^hGKp6a1iqY9XSq>($br;#jV
+)uKL'nFQAJs7GmYqXO4Xo^VMCkJNEtPJHP]p&=OfnGVqNOd>S5q=c`;p%J.Sp%%U%G0'(Fo^qtU
+]nPUlGgc3SpA4X[oCDGCp@@P=q=<M/s7EI@M6kCtp%A%Pp%SL]s7uZjqY:0ep\OU[pAk!cp]'qG
+n+ZAKX,HE?q>C0fp\+=To_e7TmZhO`p@dnRqWI\Ip[Fqonb;2Go)/:Sp\47MZ?Yp:oCi+Qo(N4\
+p\4R[!Vc;<~>
+q:PMrq:OZZq:PMrrn@D*p=SW_s4RY.fn=guhYu1-g&B_&fDjM9f\kE6dcB24Zcq:]e_&X1g"H>U
+!S,flfdGM1h:C'+g"PH;e_T'2fAtQ6f%/$BF\d4Wd,*I-f@JI0e_"the_BoR0@ne/g=k31e72[b
+e(ra3hr1AIc*C]dg">*<i8*)<eCN='cI:S!`6@8nO^;jiY5[#PfCRYpg&B_$g%j:rg&'G%fa$'`
+fAMm8fA6G[/D8V)f\+m6e_S`%:lF&\d,a',hqQu<LJZLSal:b(gXb3:g=r'(fAY<5hU:rIs4@D(
+eC=KG!R]8E~>
+q>:!cq>9.Kq>:!crr)lppA=+P#Q"K"rgTkXs8Miqqt^6frV?Kjs83K/mf34^jf?AeqZ$Qkrr)Wh
+qtp0hqssXcp&+af+T(R*s7uNkrTjL`oWrXWY41iVs8;Tds8W)up@F6=qu-?g$i0\trVZQhq!3oB
+mf*5/q=p5np"GbVr;Z]co(rCdrr;T_s7*LICV/p4s7#^[qYp9iq=aXfq"OOXq#:*cp]:3eqYU-e
+!W2`mq#1%Jqu?TmV5jFmqtB^WqYL0js7lWhW->BCpAb$cs8W#ps5%A=p\Y!gq>^EirVZKiX+U0H
+q>1-do)&OcqYKsfp\'+~>
+q=aXYq=`eAq=aXYrqQNfp@dbF#P7`bpQhTBqu6?iq"jgdq#C(#qW\%Qo\QCXjn&BDp%eIWq"Xa^
+!;Q-Z-h-m.rr<#rp?;>No_&7ZjS&T;WbH%>kMl+1oBYo?qY0mWmY@G.q"aY:o_/%Sp\+4KjG$Rq
+rV?KamYe[Bd#H$;s7PaFo_\R^r9WkMlE5DC[,h8_l0e9Dp&FaYp]($gq>U6eq#U9bqY'd[!;QHc
+s7Qfmr:]lUU@\6Vp@\FZ.JWc:oDe?SE2NC"rV#m`rUoj\f3cqrpA=UVqY9aXp@J$TII[4,p&+FP
+pB(-ap\X^dp\'+~>
+q:PMrq:OZZq:PMrrn@D*p=SW_#M.Y`g3A=uh>Z(,g&B_&fDjM8h9=p4g;JlEak,G)f\G64g&0J%
+ea_<?e(W^<j5f+NbM;%-f](Z,g#:289h:&^`n'%ucdUY)gYUH-C4b-nq:[LRg"P37g"4cqC,jJu
+hr`SAEhUpjFK=0XgX=O(iSiSLcdC[qO^(DCa5bt!dFm.Nf)O@nf`0Y(gA0Ftf_O4tf`0V`gZ%#E
+L5XjFg!nL$f%/R1hU^c<LK9Age)/j1j5JbIiOqUce_&^2eCr[0h;$cBNFg`#f@Sm.n_*rp!nPlN
+rmChpd!u~>
+q>:!cq>9.Kq>:!crr)lppA=+P#P\8uqMDcYrVlWoqt^6fqtpBj%fc)!s/VFLrr;unqu?WfrV?Hf
+!VuW`r;Zd1r;$6gq==Rbqu?]orr;VpEcSMVr;Zfps8NB$s8;ffLpI'Vq>;*+qu$Bjr;-6hkBUV<
+s6BLT<T*oAPEb8$rr3Z0pA=mVY^UV/AU0j,pAb'crVuipq=XU`q#C0hqYBpeqYL*cquQ]krqQHg
+-2[`?m"i^Zrr2]frr;onrquZn^MTnKrV-?loDej^s8%D<qu6WprVcX$qYU;ZNVNPNq>^<^quQ]k
+qY1*cp4*~>
+q=aXYq=`eAq=aXYrqQNfp@dbF#OqNao7XLCq#:$fq#:*dq#C(!p&F=Sqk8r-p\XdYpAFdXrV?Hh
+!VuN]p]((9p[n1So^2\SpAFm`q>]i]Bksa6s8)cqrq5mXq=FLXp[Eg;qt0[X0)58<q"OIRs57p'
+q=`_8l:KLuhhd6HlhLM[p@.bTkGrlFB4,hKhXUR=oD&4XrV#gVs7lThq=jsaqY'd[!;QHcs7Rl6
+qtB0&^[q6tp%A4\q=aXWo_c4/Sc&3Rs8;B`qX"%LI?sU&s8)Terq?foo_&'CL[t?9o_\=PpB(-a
+p\X^dp\'+~>
+q:PMrq:OZZq:PMrrn@D*p=SW_#LhG_en16!gA]b)g&B_&fDaG5j3HQALiUSkhV?`8hV6NYfDO1h
+g&KkSg=P$4f?iU6g#(`AguQh@9MUSlj5&_TiRl`9gt(?9g='YqhUhSW0A+t3g=t?6fB1(T6f[+H
+g<q^gh8XDR`6mH(k1nPBil[6b:J!lRHGJ"eg""g4gATXof`0Y(gA0Ftf_O4tf`0V`gYpr3BrKhD
+gsjj-gt:96g">5Q8qc6Ye_o92hVHW;fjf<\gZ$u@f[nj2gtLTDH#M?og",!0n_*rp!nPlNrmChp
+d!u~>
+q>:!cq>9.Kq>:!crr)lppA=+P#Pe;tm=!=\q#:*jqt^6fqtpEk&,lP+s1O<<r;HTjp\Opgp\jpe
+p]:3fnb`Lfr;$9irtFPkrUKX]h5bRX^?GUsoB5rHr;?Qo#k\&js8A"fs7cBfs82ios8=JGqtfg^
+gkq$Ys8T?Gs7QEjnGiOep$q7jUOmN4N2FMKn+lkYrVZWmqtBjVqYp9iq>U6eq=sj`quQ]krqQEf
+2?3O'FQ3/nrV69is8)Kds8T6H^ARg%qtp-eqXFLa^hj&>q>^$bs8)Wmqtg9hK:Vf;rV?K`quQ]k
+qY1*cp4*~>
+q=aXYq=`eAq=aXYrqQNfp@dbF#P%Q_k'5&FoD\Laq#:*dq#C(!pA4IZZ[g-ipA"=Op&+[YrV?Hh
+!VuN\pEo\0o_8:_qr.5Cm.0u)VJD$tiV<68i:?O5p%n[_n+ZJSpklBTo(r+\q#C.AqY9gYp$)M,
+K7N%^q5%d&l1OZ1s8Vf\lJfjTHu4"]Tt]1Eo_/%Sp\=OWoChYIs7lThq=sdZqY(!bqtL-a2Y?h;
+cYV>+o_A+Ss8Viap%\E^EO><*nbE"Rqt9:Lr4-D8lLt8KrquH_qXsLTp3i:uqY9^Znb3+[p\4R[
+!Vc;<~>
+q:PMrq:OZZq:PMrrn@D*p=SW_#LqJ]a]be$ec+5$g&B_&fDjM9g>:N?RV/hYg=t91fA533f@ToM
+!8$ep-ed>/f@o-@hSe($cdgg_M,%lU`7s(n_q!Akf\PN@dG!45gMN55eb\#"g&Ke+gFM"2f[&]l
+BkkrWj,[$tdG3I#k2kCJd)`>A@Sg-?K:og"f%A[0g"P04eCX0As4RD*q:YSrq:YYts4K?bhqGJ<
+_qWo!eCWR6f$r=,hhtL(g"+^,g""m1cJ@KP9ARkEiR$B7e_/d5g>CauJ(W]6f%emIg&K\+f$r4K
+dK.bBJ,~>
+q>:!cq>9.Kq>:!crr)lppA=(O#6"DOHfkA"rqZZmq>U6hqu?Tor=T(ls3Peos8Vljqtg0er:p*`
+r:g<gqssXbqYpL=r;66Zna?GWglHN5hs^UFqtU3krquTcq#16kqY1$eQ_s`VqZHcmr;?Nj,4PX1
+o72VrpjfaOnbrL]nc.jeMemBsZe+XEqYL6lpA+IYrr3'!rVQ0\rqcZlrqu<`qYUBkqYp9gqD\BQ
+qnICMrqlNcq"jpcrVunhH+s:XqZ$<_mJm%Xs4`.Ns8VZdqYC0dr;ZTjrU4p:q>L<gs8DNd!W2`i
+p]:-_J,~>
+q=aXYq=`eAq=aXYrqQNfp@dbF#PIf^dWXUKmf)t\q#:*fq#C*gp(@8\s2J`QpA=CQp@\1Uq=sd]
+r;$Hiq""/+oD&4Xp%7b>lKA$DeVJ$ng?SS6p@J1]q=jOOoD&1Wp%8:ZPb\*Mpb;O?q>'g\p@dbJ
+n`Y(AoB^RtpZ:r@lfRir[=`"(NNL[qqtKjbrq#jUpAFshqtg*Vp]($fq>'g]pA4L`q"sgcp,DaC
+oso&1p@\(Mp%S4SpA"TQDm]01nGW+UmJlkNs3Pu1qYfmZqYC*]p\OLTpZZY"oCr(QqY9XU!r2Na
+qtL3dp4*~>
+q:PMrq:OZZq:PMrrn@D*p=SW_#M@_\[91?)d/M\tg&B_&fDjM9iPX`W:QjPme^rI*f\5!/f@TuO
+!n5]Oo%>AAhVm>Gg=FZuc/@`rDGk)Zbh_1/e_T9?g"+X&g>(E6e`5>*K\Q:T!8@G)rRiUFiS2de
+A`2-GP2XaAj42N5aI[3B;K\23bhUk'i8<&9e^rX9hV?l=n(@Znrn@2$q:PMrqq1r%2r3HIT39h(
+gXaj'f%8L+gYmKYRG6QLiRQB"j4MrF\m__si6^-/e_JX-h:^T@d9)^fh;$T:f^[YpfE0XReGdks
+dEmC~>
+q>:!cq>9.Kq>:!crr)lppA=+P#QFYs_L_@Zo`"[fqt^6frVQWms8<H,s2ou'rVuonrVuopqY:'c
+r:g<gqss[bs!@X=q>UEms6[CMD2H7)p%J1Xqt]pUq"ad^q"ajeqtU-]WJpTOq>2iAq>:'cqYU0i
+rVuK]KpVRlfBrV8]TeSAMiFRWn,NF]r;Z]eo(W.`rqH$So(N"[q=XO^qZ$Hlr:0[\quQ]krqQEf
+2ZNQKN;NYOr;69^r;ZfiUisHOnb3"Tq>'UYp]'fBPlL:Rs7Q-_rqHBipAb$EER"CWs7uZno)&Oc
+qYKsfp\'+~>
+q=aXYq=`eAq=aXYrqQNfp@d_E#5.Q!I.."%rqHHfrqZNfs7cQe%ep"=H*-]2p%8%VqtTp\rqZKg
+!VuN]pF#b3p@7_Jq"FaMZ[?A:^@(L\oChnMnEoi>p%7kJp\FUWqXCA=o_nU\0DbM>q"OOVpA=RU
+kid;Ll[I%9rpR(JLPC>5S]'^gs76!aq=3qGqu?QcnF#c:q>L*Zp]($fq>'g]pA4L`q"sgcp,DX>
+nt1U,p[e.Sp%%kVq<jelZiB4Ts6]XZo)&"SkCAEhlMpnWq>1!Zq"X@Sp!miup%8+Qq>'UU!r2Na
+qtL3dp4*~>
+q:PMrq:OZZq:PMrrn@D*p=SW_#MRh\SmKh$dJheug&B_&fDjM6gZ52;PhOpHf@o':g"=mTfDX5$
+e(*(@fdGY6gt137hV@8;R:8j'Usd`@e_&O*da-Ipf@JL'g"Y32gX1dke_^,T!8.;&s4IA)-fNk;
+daDWLfP%\9kh2DGEH#Z1L98h_k1/2Bg="?ugu@,>dEg1hgAT^qf`0Y(gA0Ftf_O4tf`0V_g>CP:
+D;=(&g"4a$fA><1JQ%rscI:q'f@J=%e_SVfF6:j-i7$3,g="a1f&,;s;m4s0h:C?Mg&K\+f$r4K
+dK.bBJ,~>
+q>:!cq>9.Kq>:!crr)lppA="M"L*aXrVQTj!W2]lq>gEjr;Z^-oC[a#s8VuorVZWnr;-6dq>(!a
+!quEdo)&Ueq=jabrs/4pH>fY?qu-No!ri)lrq?rgnG*"^qY0^\q=O@(HLh"0qu?Hsq"OU[qYL6Z
+rr4#+M;S@5[XVq4ItHVHr;Zcjp@eO]q"smYp]'dXrr2otrVcTmq=aRdqYU0fr;QZjr;$6dquQ]k
+rqQHg2u!7COf8!Rq#(0iq#CBS\80n"n,NFZqtp'dnbD^WGMW<!nGi=RrVZEiqt'j``cC,;p](*h
+rUTjeqtg0a!Vc;<~>
+q=aXYq=`eAq=aXYrqQNfp@dbFrq-DnK_,!4rqHHfrqQQhr:g6b&a\q2MZ<_Fo(`%Wqt^!^qt^'d
+q?$Qjq"".no^_MCrVu`^TQ=e<h":=9rVcWgp&=RokO%s>qtKaSq"F7Ka`m4Lq=t!c./<Q1p@\+Y
+k4JZDi-`uBp8;k6BlnRLj7N6Bn*]]Bp\4OZo(N+QpAP!j!;ufks7l9]s7ZKerqQ<`q=a[Z!;QHc
+s7SDAp@!p4me?8GqtK^ZrS4YgebJ8'rTEhMp]'dTm\+IFq>BX[q==R]o(r(Irq!pAh=gC9p%eCR
+pB(-ap\X^dp\'+~>
+q:PMrq:OZZq:PMrrn@D*p=SW_rn%=3B%>W6f`0Y(gABM%falHX?>nugf@Sd2gYCN8f@g,QrmLnu
+fCIT/g=Y!0j6#:LL079)_V3f$i838Bf)F21aNiAlgt:0,g"4[$W`[X%q:Yf"/CrA'f@\a;bhhR@
+c"XrIiK@D6;dNnIc/%I<f[n^2f\"s3e(<R+fA>KFi8+@cs4R"rs4RD*q:YSrq:YYts4K?_gspD$
+fAP96gXjp/h7o1F\_YEfjNlK1db`=$d>M&<hr;rAf?N%%dbWU*jP-V4`SB)%fA"sJg&K\+f$r4K
+dK.bBJ,~>
+q>:!cq>9.Kq>:!crr)lppA=+P#Q"AuVN1EIs8Miqqt^6fqu$Km&b^@8o(D\Us8Dcfq"t!drV?9d
+p]13^quH]ps$HS8UN_R$jSf,YqtU!_qYU-`oC2MJq"jg\p@n=WoDe<(n+6JSr;6Ehr;6Bfq=sd]
+qYU3is6fL$Ndm[@Dir0<rr2pDqYC'hs8Mcdp\"C\r:U!drV-*`rV6<er;$6bqY9p^qY9p^qYL3g
+s8;lpq>C'cq>:6hrqQHg2uEXNMo#,erUp0gq>^/sD;t*as8Vihs7kdWo`+*'V>pMmqY0d[qYL!e
+qXX[]\9.3<p&FpgrUTjeqtg0a!Vc;<~>
+q=aXYq=`eAq=aXYrqQNfp@dbF#P7WbT8E.3r;QHjq#:*dp]'q!mr"<SmdBfGq"F@Qq"agcq>'pa
+!;Q-Z?hX0dp[HV$E.Y1Iq"sp\oChnPq"OFMmI^#Cp\+7No^qkFr9JIinFu_Pq"ORXq"XUWp%7nJ
+o^_YSioe%*F-'s@Kt[!Jqu$6\oCi"Uq"+1No_87Yo_JF]p@\7Xp\t!gq"FI]pAamdq"a[[p@J%X
+p,;g>KY$XOp?q\Ko(qgYB%uVErVZ0Rs7kdWnc%NlT)\NZp\4IZr:fg[p$D_LZ>Sq$nGDqTq"".[
+q"OX[!Vc;<~>
+q:PMrq:OZZq:PMrrn@D*p=SW_#M.P`JnrlfhYu1-g&B\*g&0J%falP0G0eUbh;?r<e^iF-g"ZGT
+"4PfNfCIVpg*PS1f=$91BTU-diSE8>f@S[.f[\Bpe^W1&f@AC$e^r1(buN!8pt5]!fDa>Mf@\d2
+k025OC0c0\8St<UgYq/Kg"G0<hqlr8e^`=-g==p5gXk$1gXuMZs4R"rs4RD*q:YSrq:YYtrn03d
+fkR21jP82;g""p,P"EF6g>Uu>eDo-!iR6](?%h@qgXt'-e^rC&hUp9=g6u'gh:(65g">iJ"5)2U
+eG[erdEmC~>
+l21;Sq>:!cnb`.[rr)lphYSGnqYuYWrUg-eqtg0ap\4I]pAY*]s8)_GWo*gUq"aseqYBs^*;TL0
+qtg3fqtg6fq>:3jq#C?nm%@d=cMd\=qu$Hjq=u`:p\F[]p\4OSqu6NbM88oUs8W)rp%SL[r;Zfq
+q>:-jes)8;Df]Q(XRGranbE([rqcTgs8!]3qYU-dqYU-dqYU-dqYg?jqu$<fqYU-dqYU-equ?Tn
+rTX4XqYg:%oDeB7n,N4`rVufqs.sSLrVQQi$ifJkp]$5+p&"X_qYg1"rq$0eqY^A[Mtm/@s7cHd
+q>:$d!W2`ip]:-_J,~>
+l1XrIq=aXYnb2eQrqQNfhY%3Kp%sZDq!\+Yp([8rq"ORPp\=(Sp%a!3gA1^?p&+U]q>'e,pA"IY
+p\=RZp\FUXq#(![p@J%;PZW1Np@n=Vp\=LXpb274q"a^Yp@mqIp\4$-\b#(^rV?-UnGD\IqYKpV
+nalFrLk0)E@p*$1j6lg0nbE(VqtD''p\+@Tp\+@Tp\+@Tp\=RZq"OOVp\+@Tp\+@ZpAamdq!%MN
+p\jdrm/QBtjnS<;oCqhLoq#d-rV$3a$if;fo(n/lnFlSMp\jjtrp]gZo_/'@K^na(s7H-[q=a[Z
+!VlEeq#C-jp\'+~>
+l.Ggbq:PMrn_!Zjrn@D*hUi(ef\UM%gX=sTfb)ljdb<I#j4E$lLV2Buf%Ag3qUbYr+k5)of@em2
+f\,!3f\5$1g"kE5g"5'!H95E4g=b35g=b3Tfe:k,g"P-2f@\F&gY1"eS^u'AiS<,8eDJa-hVQu;
+f%A`]DJDm;9Ktguaj]1ne_BoQn_!ips4R"rs4RD*q:P5gq:H5(j3M)Th:104hUgN9JkD[7f_j;-
+j2^62h.pKKg"=sTee$WahV-]=iHT+hf[8X)f$`.Gf_O5"ecO@Ldf.Vod!u~>
+l21;Sq>:!cnb`.[rr)lphYSDkq!s3Lr:9g`qtg0ap\4I_q"4LakPD3UeG/q7rr2Qcq>'e's82Kd
+s8MfdrqZKlq!@YQlb\BkPM?-;r;?Njp\><sq=aLTp\+C^qu$KkZ_II!+nG=+s7l6dqt9jbk-pCi
+MP&W&oNcg)LAClFs8)clqY9jbpAt'co)&Fbs8;Kcs8;lpl21GUrVHfnr5jB\rqZNm#lUBIhsUC=
+qYL3d#l=Ams8TlM]`7s,rV-p$oDeX`q>Z8Mr;-0fp&+R[qtg3kqtg0a!Vc;<~>
+l1XrIq=aXYnb2eQrqQNfhY%3IoBh.8p[.bSp(R2qq"O^VmIgM=oqeG2p%\4YrU]j\q=kj-q""4Z
+qt9OWpA+a]l1+f5[sMJ<dej";p[e/5qtTjVp%J(Os7H!`oW4PYs8)'Ls8VWVqsj"BoA$C!@=43]
+n`3D]KRN@`o)JCZrV-<ds7c*XrqQNfoCi4YrqPaOrV-9a'Cb\1FRAbjq"=CUnWe@OkP"WDp\spn
+p[n%Vpq(.Irr)Tip^d8mr:TaSpOK"2p%&(Pr:g$\qY($cp\agdq#U6`J,~>
+l.Ggbq:PMrn_!Zjrn@D*h:Mq_ct/Krd+eBL&)Pg_f]0p%LP2tag",$:eG7_leedB"e(NX6f$iF+
+g>LQ)dc8<9?UJY;hVdqW0AP73e^i@'f&YK:in0?BhW3P>dc9B<dGWU&f%@g$Bh)WVZIm>W;eTRf
+g"#-7h!*JjgAfjtf`0Y(gA0Ckf(mr3e(CEsd+Hh'h;R8EHsaP0f\"d+rmV;+f@]6BSk5C0f\$)P
+&DYalf\>*;Bo(HpdbN1"e(4BJq:Yf!s4%(srm:_mJ,~>
+l21;Sq>:!cnb`.[rr)lphYSDkq;-SGrq$*cqtg0aq"OR[qYC$ep:,n1pAb*arVuQdq>'e'p%J7\
+p[S1]rVuols8VH%I!D^ks7,=Qr;?0`1&UkAq>L?mr;#UWs7P0"qt'[^s8Vois7Yd#P@e<]YhnRC
+q#&4Tce3ZAmIfrJo_SF_p]C3bqXXO_rVufhqu6Hlqu6NTqYg:'s7r7=s8Dcns8)biGK]a\qtp?g
+$2FAks7u&.TC`*]qYg1"q=aj_rUp#/df9.?r:L$_q>:$d!W2`ip]:-_J,~>
+l1XrIq=aXYnb2eQrqQNfhY%3Io\"N3q<n%VpAak!q"OIQo(;_IZ\$a!s8)Bcrq-$^q=kiunb)\J
+m.^PTs8)<as6%%;Dkcq)lJ_d;p[e/5q=aISqY^6do]#ZCmaZ^Wm.9oFqss:Vm,>^9>ZlKNdbFcd
+m^fsFc>oN=mca]>qtC0ep\47PrqQNfp@eL[s7lThjnJ`I&c)!_HMmF)q"=(IQ>OJ-s7Z0bpBgWh
+o)J:CFdharrV-6b%JB\kp[@ZhbP:`'q=4L[pA4Laq"OX[!Vc;<~>
+l.Ggbq:PMrn_!Zjrn@D*h:Mq`]NhPndG+KM&(fC_f@n]=A@C"JgXY-;ebRhmf)O26f@na"g#LfF
+gsk3@aduU4L"PG1`8^=?0A>%.fA#-:g=O@"hpT&Cf[/7'gu$]5imGcADF$HrMR^L`d+"_]Vm9<R
+ajJ;ldHT<_gAfjtf`0Y(gA0Ckf(mr3gspXThq-?5h:UM3<2e=,f\"d+rmV;+e`PN.=FJTSf\$)P
+&D>Xmf%nm2<O(?2f%A:$dan9Iq:Yf!s4%"q!R]8E~>
+l21;Sq>:!cnb`.[rr)lphY[?O$-.JWs7cNiqtg0fp^d,tq#C$=L;Nc^rVu`dp]('bqY2!*rVQHj
+s8V]Qs7,XSgnfa[WoO-Qn,NFYr;?0`1&(J?rVlcmqt^6kqu$JXk5YJYr;#!KT7qr\ZekTZrVuos
+n"@D>UAr>gYQ+M"q>0sdp]C3bqXXO_rVufhqu6Hlqu6NTqYg<krssgHs8;ios7;P'`Vfc,qtp?g
+$2FAjs8&U=kPt2QqYg1"p\Op`rpo>go)8=_qXjg[q>:$d!W2`ip]:-_J,~>
+l1XrIq=aXYnb2eQrqQNfhY.!E"i>NDr:9[^pAO^ro(MVLnBum$p@e@^q=F=Zq>'m^)Ya%#p%eUb
+mc"'0m.8i%JUsZSs7,CQs6]RToCt!2p%\C\qY9dTp]'mYr/BP3qXjIOdAWFZHAAKLnb2MGrUAd/
+Ye?;$^jW0]o`"L[pB(-ap[\%Wq#C*^pAXgdq#:*Np\jdtqY5Gps7>mSq<*WT]CPgap@eIZ$2F8b
+r:?P'irAKGp\jjtpA+XWq!@!Klh9oGp[S:Uq=a[Z!VlEcp]:-_J,~>
+l.Ggbq:PMrn_!Zjrn@D*hUqk_"f5GBhppNXfalTceD/KZA"VB)gY^`7fAHDUq:6A9f[nm9hU'0r
+cHatNJn&;G^uEhehrE&Qfe:n,g"Y<:g"=m1jOi/DE5UYkf\+i`N-o#?ClZ'Wgt1<@f#N$$UjD'r
+@#O$ri7@/Frn@D*o@X)rrn@2#n^dNg'A_DMCua*uf\t4u=JFL*ce-n$f)F/+f$r^4Kil=Tdb*4L
+ee$HehppT3b=^19e_8U"g<eFIf_O5"f)O8!dK.bDJ,~>
+l21;Sq>:!cnb`.[rr)lphYRQWs/q"Ks7uWkqZ$=%qY^Bfr9/^>rVcKbr;#sXs7uQfq?6]qs75d\
+rt5,-hNMf=eG]FBnbN4^p\F^`o)(-=rqlH`q>L9lrTF4XX2+Q%d%Pr4O1+?Js8VrfqZ$NolFjD$
+VV:bDc?Rq?l2CSWrV-Bho)&Fbs8;Tf"T%ogq>($dl1k5RrVI*$s*((5rr;okQZ9qAr;Z]lrVHQh
+"m9j;n,N%YqYg1"p&+d_rpnBUs7l<fqtC![q>:$d!W2`ip]:-_J,~>
+l1XrIq=aXYnb2eQrqQNfhY%3KpnrN/qt0[]pAajup@nCPp#CG(q"jXTq=sORrqZ?bpDN](q<RDF
+s82Ebf8O=!c1q>3me6SRo_/(To(Od3q=aCLo_A.Vp>Gc=Uq-'^adRHmLp,k.rVZ0MnG)PQgomFC
+R*P+!a)TN,jS8NEo(N(Xs7c6\rqHHfrqZBanb<+YqXtHkphc8eo_e:JNG#fnp&=U^pAO^joC:aQ
+\*F"^rV-9c&+obpoD%[mCAIDir:om^oD/+VpAt'`qY1*cp4*~>
+l.Ggbq:PMrn_!Zjrn@D*hUi(fgl#Rihq-WXfacfdfYq0[g=t0.g=as+htbn"eecutgs47'j5/AD
+\o1/WYhJ-gce%"+e^s<D0&#(4eC3"&g>:Q%h:ROSf$CII>Z5I&a40)+e^)e%fAsf6LY7-`d,V-*
+ZfB'Zl.H!hs4R"rs4RD*q:P5g!8./$%bKK6H.^g/f@=t<T\.rWrn./"$J<q]`_W&JjO2]5qpl>/
+gt^K;d]c[-e^WC+d+?UpqUkVs!nc)Trm^tr!RoJI~>
+l21;Sq>:!cnb`.[rr)lphtm]WrVr7GqYp<fq>(Wts8Uc=V""EWrr;]`r;H9`qtg.*qsXRbqtpEl
+m&#&IU?)7Mp%\I^p%%hSrql<b0E1qJq>'sgs7ZHls8Kg#I$'\XU<N'$qtKm\p\F^ds7?*5aSPRc
+h#.-IZ\l'gqu-Bjp]10\qu6Qor:g'gqYp9iq>U6Tq#1'fq[`JqEO,9;s6c4nb5_D>o`+merqZot
+s7_eMo)JC]rVHKf&,,ttqYg,gN;rYHs82Wfp%eL]quQ]kqY1*cp4*~>
+l1XrIq=aXYnb2eQrqQNfht@<JoC\-"oCqnPp(-fos3d(&lh^2Lr:BLVr:BaZqY(g"kkP/Lo(_k=
+ST8A4g\(1-p\k$^nb)_Wq"+55q=s^Vo_8@bn+ZeWpUQB.MN3Xb`TQganF?&<n+$)GkO-0tm,r]A
+oChdWKrt=Iq=jFQrqQNfp\+R[s7lThq=jIT!;H<_&+T+$W9a?ZjGdffqXsXNs8DZjpB^Kmn;`k&
+qXF:Yp\jjtp&+LVp[Fr2qXF(Pq"FOVq=a[Z!r2NaqtL3dp4*~>
+l.Ggbq:PMrn_!Zjrn@D*h:MnbF)9I_fD+#0f&5SrFFh]le(id/e(id/q:GGn(<bIkf@AX-aFI8_
+I_OIcdb*C2e^E%&nC]GKg=b'.g#1o>gYq#DSTJ"PEc?N-bLY=qe^`1!f%Ss)e>Jtfc!\!2g")3s
+O5K0Rrn@D*o@X)rrn@2#o%!fnq:QA1dnGbJi8Vk#:8d((gsP38f_j;-f]:V*IF-g!gXt0TedpTh
+g"k5<D;`pog=Og&dFS0Hq:Yf#s475"s3^qsdXV~>
+l21;Sq>:!cnb`.[rr)lphtmZVrVqYHq#($eqYg:%p&FHWMZ!;Fp&>!epAOp^q>:$b*;fd6rr<#W
+W-WNknc/Las8Vcfq=XL]qX+1Wr;?6d)ZK[3rVuffmJY\9Nd5Z<JC4&iqtpEnrr;oorr3T/p&EE`
+m.9h8h#I-Cs/pD0q>'mWqu6Qor:g'lqY9gZq"XjalLt;RrVHKi&c(L+dJNt)Z>.n^s8VTgp&+ab
+qZm&CGO#2-mJm.]rV-otr:U$bqMMBSqYU0dqXjUZqtg3kqtg0a!Vc;<~>
+l1XrIq=aXYnb2eQrqQNfht@9IoC[Nunb)YM&+9AYT8!%3oCDeWp@\@\o_J:YpDio&oCMqVfU["q
+Woj*GoDAR]rVcHbs7u$Vq"OOUp+Q15o_/(QmH4,iTndZ(R<csCrq,jYq"ORVp%\L_oBZFsCZ+C=
+M9u:no)G\+kk+]Fnb2tWs7c9]s7cQgs7uZjlM(ARq=YEkh.=Xsqq@uYc0kW1l2L,Dp&"Ffou1n1
+q>][UrV-9c&,,njq=O<2V"jQTp@n=Rq>'a\pB(-ap\X^dp\'+~>
+l.Ggbq:PMrn_!Zjrn@D*h:Mh`@XQ`"falKfb(=9Zf%&7)hUg?7gsu5Rq:HM=f%8j9]7EpTNQU#*
+f&,N=gt^K5hqH?Ffe;(3f@ep2d)k"LKkj^bI9j#(in2o>gtUW;g"bQDf[/]\;9$l*Dmn]UeDlH_
+b1>h0rn@D*o@X)rrn?Vhq:Q;0_+Lf[i4k7AZ-q^lc/I(GfEp63<ls.XbMLn(qpl>1gsk-5g1u])
+f@ea+eBZUqqUkVss4IA&rR:ksdXV~>
+l21;Sq>:!cnb`.[rr)lphtm]Ws8R\Sp\Y!grVHNj&H)M*SqHP/q#C9ap](9dp&FjbqYCTss8W&R
+T5oOdp@S+Yrseo%q"+1Sq=XO]qtp<hp&-QDr;?TnlH-2PD0W>7s8Rqin,N=^s8DZkrVH?dqu-K]
+O1"f`hN@X*s7Q*cP],OVqXOI^rVufiqZZikp\4IXrqYjR!;QNhrVI3#ct__CqQt%equ?*Zs7lWl
+r;6?rdsnb)s7l3crVHHe%fGntq>GKQrVlfjq>0X[q>:$d!W2`ip]:-_J,~>
+l1XrIq=aXYnb2eQrqQNfht@?Ko_*I)nFl_RqXtKnp@ai#lh0lKq=4+Ws7Gs_q=sg\&GGkmo$Wb8
+GGFKgm.L2Inac\T#lXVnp\ag]p\4@S0DY;6q"EabVf-0eWm(;:K"'tDp%/"Qn+l\Ko(2MFoAkV)
+mJ51_mHjlBnc+Ybh"g^7pAXjep\4C]p]($gq>U6Up]1'ap(?c8@,1JFWaX-Ds6&qPnbDeMqt:9=
+Gcgf=oBuMSp\jjtp\XCVoCm.5p@nCRp@n+Uq=a[Z!;QQfr:g<ep4*~>
+l.Ggbq:PMrn_!Zjrn@D*hUi(egg#`dg"kEWfaW77c.CM(g="O1i76B8q:YSr(Y[Wp[WkGLLX45l
+g"k?3e_/R,gtL?3h=9/<gt:96fuBkG;bC&MYhe5LS'9sHfA500h:gK3fDaD5a_HmchmdCLcf*=$
+j)Ic,l.H!hs4R"rs4RD*l.Ggb&(@XL_;!M$7^1P+bLP\'g\TP0fs4qJhqlr3hUpKXee$KhdGNX5
+=/+L)gsXa&bLtJCf_O5"f`0P%e,e%JJ,~>
+dJNb;g&(UCqYM--s43"Jq>C0cnGhtWs7H?Vs0dO@s60L\rVHKf(]O'tqYp?fs7cQnp@S7\q>&R(
+Ar,(=rqud)qu?]mp\".Np\4=Xr;Q^!q>:3krr2pYrV6'cl+r[3G_qmgs8;]ms7+`np&G'gr;-3a
+q#:$fs7ZJHW:oo`l%/m6o^i+_gmDRIo(i=cmJlkLqu6Qor;QQrqY^<hq#9sdoFU`kq=s^Ynb2hU
+p@\7\p\=R_qAK,(q>'g[p\F^XpA4X]q"X[]T7m7@Rsriar;6Nl%f62$s8)?es+?(!s7?9dr;6Hg
+&,>Smq>\<Nebo@Bqtg0aq"ag`quQ]kqY1*cp4*~>
+dJ!D1g%P79qXt`urQ'B$o(VnNn,M_OqsFFDr3(J(s5X.SpG)O5mIg;Jp&+CWqXO%Jq"!psLKf2N
+p[e4Rp%S+Jo_nU_q=jUXp@J+Sq#'sYo(_tRrqJPJna?54\rUoPJs5s(p%%qUlHstHqu--ZoC;JE
+q===Un,Ia+m-F5uFo(q(nGN:=Q!a4Oo_\RMs7#RPrqQNfrq79'p\=IRnF6#?oC_kQp\+=Mp%eFV
+o_ACYp\=^_)>Nt$q"OLUq"jIMp@e+Ko(2I?HM?okFNO4RpAadroCqkQoBc8NI"1Samf2qQrV6?e
+&,5Jhp&2O:c1Uc'p@n=Vq"aX[pB13ap\4U\!Vc;<~>
+dFe9Jg"?,Rq:HMDY%"3Xg=k0+jNcZ>dH&@*P$Yub`SoMGfJ241d+I.+f\b68h:0m+gXaiVCHl73
+gXk97g"Y0/f\kK;f[eX+f@8O-gY^f:e_Ag3rnBKeeC!'jST7b1ATlh`g",!:cF%$-hr32?f@AL(
+gst38e)OhgdEpO`>Mn2`dG<]kG!O[*f%o3*j3mJMrn@D*rn&.@g"P*/daHUoeCN:*f[na&f%Sj/
+e_/g3g"QDZ);<ctg=b-2g>(30gY:E6f\+r,@G]U\>HZZUfFHKdfA>-+gu2^ReE50>fDaJ#f+?T[
+hq6t`;7>64g"+a(daZkEf_F/"f`'J%e,e+LJ,~>
+dJNb;g&(UCqYM--s3lhXr:p*^qYU<fqu>m[]R/H4mJlhVrVHKf)>sO7qt^9lq>0s^q>^KU^O(3s
+h>[*Cs8W&srso#'p\=R]qtg*^p\jaTqu$IXqY0sgo@1?rKpSgSg%>=@s8Vurs8;;Lc2[\8s8)Zk
+s82BerT]`Gb5_M6aEdg]s8;Wipretss7?9\rr;]^qu6Qor;QQqp\=Xaqu7l=p\F^drr<#rq#($e
+q"sgZo(2GGp%n7Lo`"jbn,N=Yo_\Ue#2A,:O_XgoqtpEk&,-%pp]'pdZ\6O%s6ojbr;HNkq%*Ar
+rq-&cHg1J+qtp6dq"X[^qYUBkqYKsfp\'+~>
+dJ!D1g%P79qY's^'uPCCo(2PGq>1![o_RGE[<0smkl:,GpMU$1p@S7Zo_%nJo`+pJ\8lMOeFW%p
+s7Q$Wr;-'RnFueWr;$*\o_@n@o_ndcp\OLNpA4.#ZZ1GUUU\b>s7?$\o_ACXkDdL[o^MYIp%SL[
+mJHV;OIO&ap?9/+q"4L[o_S7%PFV[@rTs@WnaZ>Pq#C*fp,DR6pA"L^rr;usqY'XZrVccrq=j^]
+q=jXWo'u2=o(;YGmIU2Qo]uPPnaQ5Jqtg-<fD120o)&=Xs7Hoks6T7Smf0A:`;fYupAOaaq#1"!
+qXs^SoV-Ecp%A%Pp\4IXq=a[Z!VlBfp\jjfp\'+~>
+dFe9Jg"?,Rq:HM<WaW6cf%AR.gtpW7ho"NB=1Hr+j3cQUfPfL'iRui>hUgE4e^rg>_OOV(GIQ2M
+dc9$4g#(Z<daQk&gt^W9f@AU&cI_"5h:g]9e(NR'Ya/6sF,$0ld,N[4gt:E@funB8iRlZ8f@em=
+g!JX1a)lj.inMbQ;r-$\g==s/WH<UKd,3.'h:(oHrn@D*rn'0Ze_&U2hVdAMhqQc7gYUfIi7ci;
+gY1<6f[\I!e(*%&e'QY$hq-08h:C-2i8NVO]"[*?8(leqfFcQld+%('j,dcNjkn>9i7cl;qpuD6
+f%ng/Lg8*Wg"Fs-eC)jtqUkMp#2%MXeC<$uJ,~>
+dJNb;g&(UCqYM*.rQg>gs7Z<`s6K^\rUg-JHa`nQqu?BfqYg1.oD/FdqXaI]s7?9jlBQ"!\Ea+j
+q#CB^s82Zir;R#pm-jlPs82Wkrso#!q#C9S^mTY!Mji,RoD\dir<2lps8;cns!PRVrVQEjp\k-c
+s8;coU5\+$s8W#0K(o-@q=+7\o[\B?s7lKgs7Z![rr)lprqdf;rVQEcp\+7Io_J4VrVcH[o(W(^
+s8)?err2ior;Q]ortP(nqu?*Ys8;KTmdpCQIYDRmp%A4]qY^4#s7Q9hs5A-us8Vfho)JXdqu-=$
+p\b$ap54h)r;?HhqYL!^q>:$d!W2`ip]:-_J,~>
+dJ!D1g%P79qXtd!mCdl+p[RtNs6BXVp?MA$Ej,35pAXUTq=egqo_\RZmdg5Qmed%GOCDn.j8\`>
+s8M3Xo^VSJq"OUao]b`<s8DZ`qu?]glL4TBiOb>"GD;C.h!Y%:qY9jTq"saVqY^0!SG)UGq=++X
+o)&1Ts-n_sl1t5IZ?Ym5rV5jUs7+Q]dJib0o_S%HpAXjep\sk)qtTmWoCDG?l1+E;o_S@Sm-jN@
+r;?6Wqtg-fp_ru)qu?]nmd'THlLXoJmH3X"p76;P@FFK0pAXgbp(-fqme$JVf5.)ZrU9FHs7cKe
+rV6utqtfmQKS8mgp%J+Rp\=OZpA4Laq"F^]rV-Efp4*~>
+dFe9Jg"?,Rq:HM5V.%I#eCiL8biIC0ceQ*3P1e[Di7$<RfPf0hhVZu5e_T02hW2b!78&lbimuQ<
+iQC!.eCWF/g>(`=b0AZ!hUpE9j5\b9dbWQnST\4?BQp\pd+mL5g=k'3hq?Z=i8'oRg=Y!4eCrp4
+hV-ZDIqc[BhVd"P?.@N`g!JC3d^3,_i76H2h9tiGrn@D*rn&.Fg=Y!,eC2ggdalq!gY10&d+$e+
+h:L'2h;&"a)Vj0*jQ,1FcIq:)f\kT7bg+\mK3MeU\^JpYr7:l"&EM9ljQ+$RL$%FGf[/X3g"H5R
+&)?!kenT'UgY(92f$r-tf)"%mf`9\'ecF=NJ,~>
+dJNb;g&(UCqYU<l(<;F6s7lTgq=X^`qu>i0UAsi[s7$'\rVHNg(&It/p\4Xds8)cb]RXRD\`EA^
+s82Zks#BrPq>:*gs6f[^s82B[rr;fcp%IC\UO%3?WR^V;p?qSLrVQHgrqQNnqtU*hs5&RZs8N&o
+rVu0^ru'"+huE`Ps8TBep]'mRo(_tSqmDXTrVucmnGE4`s8;ln"TA5nqYg9j"9/>uo`"k6p[e"T
+s7Z3ar;HKfp@n(Hqu?]nlM(5To]+NOeu`@IHMRR?!;lclrVI*)qYgHlq2pBjs7#g`oDSUarV6um
+qu-NfHD166r;6BfqY9j]qtg3kqtg0a!Vc;<~>
+dJ!D1g%P79qXtd!m^7K6qt'[Yq"4CUo_-s[RK)XDs6K^Rq=eh,q"""NrqlBglaM4KHaM\sq"s^T
+rVucip%%\Gp%J1FoD\d^lgFNDo'Gf3fsdJoFFg77me628n+HJLp%J4Oq"aRPp%\=6J]dc^q""4[
+k5YGX`cKf1qsXFXW/'m@oBl)@o_&!`Np-99o_%kHpAXjep\sjhq"F@Qq#:+Dr;Zfop\OROrVlW`
+m-aTIn+-,Fp@\"HnE]B5s8V`QoD&.Nh9aEnVHPrun+H_UpAXgbp(.)mpAa^PLO7eUl1+fAq"F[]
+rV6ulqYC!WFIDanp%J+Rp\=OZpA4Laq"F[\rqHNgomd~>
+dFe9Jg"?,Rq:HM6SRgC2f%o$5f%es2gqR$?j3Q68c/[4IfPfa'e^`F5hUpo7RU/?fQbq)'hUg?:
+j5/PCe^`:(g"X^#iSrJ7dG!F,cdC+PRX\C>@tq;9f[J$kf@nm/f\=s3h:U92gt]MQY2%def%]3+
+j5Jjo=1mJKeDT2CCt.=kcI1:of%H4*b1bb)f[oZGrn@D*rn%A-f[e[.rnK3aj5\tLgt:$4i7ui.
+d+RF-e_&U0f[eR%cHb,(jOhQ+h;6]"[^3E$5Ta(YgudDEr7:o#%cGsmjOr+%@_q3QfAt?6rn72#
+&C9+dh:>b]gtUN8f%/@!eCOKKq:Yf&s4ID)rmh,#epm~>
+dJNb;g&(UCqYM-/s14Nrs8)`hn,N=^o`'K1qu$Khnc/XbrVHNg!W)*\ru:h7s73O=>*Rn@rr<#l
+o)Ja[l1=WFs8W&np%/"Z%fG\7Qum;%SD`r;rp]:NrVn_Op\=^eqYgBiqu-Hgk_b`&s8Dutr;?Tl
+kA%@'q>^6iq3RBHqss4Io'Z/Kp7nAVrVuNinb`=as8;ln&c2=uq"jmbqY^3anauYWs8)WlrrW/r
+pAFplrVl`ortatH\\5tWLMC:9G&_/+3H4cfp$;YSq#1'hq[`_os8Vr!DoD\PnGiOcqYL0frV6uo
+q>1-UHb]FTr;6BfqY9j]qtg3kqtg0a!Vc;<~>
+dJ!D1g%P79qXtd!n"td2qXs^YnG`4UmJ1g]o(DtOm/-\Pq=cf/r;ZQ`r;,`]D,ZGGo_87_na6AV
+m,[U)p%nO[o^M5Iq"4C\qY0^Tj1gXjB76'"mf*+Nl1b2W2?*CCp%n[Zp@e.Np@\"8K95["pA"OZ
+q#:$IAZkt%q=4LRNJmZ0oBu2>mIC&CSt#6Cs6KRPpAXjep\skHp%7kIp%J+Pp%.V:lgjiInauVQ
+q=aCJq>0m]p@e.OqZ$HS`3Q_`SV(N\BQ.`q>qopXm-<O(p\=^]s7R!#k4\iCULUk7oBH&Mp@\+W
+q#1"!nG)_Sj)qj%p%A%Pp\4IXq=a[Z!VlBdp](!hp@Wq~>
+dFe9Jg"?,Rq:HM8NbmJ-f\P3-i7lo3hcXsLf\k9)h;-ZXfPejjk2+eNi6d`e3HMmfh;@8Acf*m/
+`mE2dgt^W7da-t/f\PKAg=b&sU2j"$@!KB2hqZN"f]2#Ohq?Q2gYg];g=Y'3g"+,TFOo:%gtpc>
+iS)7AOl+aGe`5/"E8K?ucdU=fdbE6$Iad!1cJJ*Drn@D*rn'3^f%&=&f\"g.f$Vafe_Ap0fA#-:
+g""O-i8<DIgtUTBk2ORbR$sh)C/%,n=Aqd\)Geu9eB6Y!rm^u!s4@q@b2)42MbTu.g!AO9g"=s1
+g&'A4dFm40a]kFmgY(92f$r-tf)"%pg&Kh,g&K_)ecFCRJ,~>
+dJNb;g&(UCqYM-/s/2pts8)WdrTaF_m\?65s7H?`r;Z*_rVHNg(&It%mf375SUtOSiU-.6s7Q$a
+s7,[Zrri8uqt^-fru(Y*rVG9RP&YVqTZcj)rr)Wdqu?]kn+68JrqQQjrqe>ErVuosqu+6cirAoT
+r:g6jm$+(-rVcWds8/4Sr:9^]naQAQp&F-0[f?:*s8;Hbrr)lprqcrsr;QZlqYL-fs"+*CqZ$He
+r;ZZWe^)7FWL]ECQ]6N:F+0%/Nhr/0WmC27s28U=qu?]qqYL!cqZ$F&s7lWonSG#ts6p!fo)J^e
+qu-<pr:fp]b(emSr;ZZoqZ$?dqtg3kqtg0a!Vc;<~>
+dJ!D1g%P79qXtd!mZX(0p%A(Prp0R^kEh(YrpBUMp]'CUq=bU'm-"3<b*IB_U>"bop\O=HrVPsK
+rr42:q"F@Rqu$<al/hC#c(g&+C3Z)^kP+`Gp%8%YrUoOHoC`+V1ACS;o^hePqY0XU[t<B0o_8+N
+rVG`=R-48<o^;VHO-92+qtfgNq"jR]i.8*.p%S7So(N(Xs7cNd"SMNbq"F^[1&CV=rVZ9UnbD\C
+oD.t6bf.5tT9G:pNIuCgBlno\LS'ipVTJ-!qn-=snFlbNoCr%Yp]'ptq=41Sj^=JEqrn"SmJH_Q
+rV6?e&,Z(kp;DL7o_%nNp@n=Vq"aX[pAt'_r:g6d!VZ2:~>
+dFe9Jg"?,Rq:HM7H\'i'f\4s7bi.L'I<!![d,*.&ilL0UfIc76c/7<\HsoO$^s(-\i6p'2h9O@,
+j5SbGf[e^2hVHr4bLFqFLhfUX>C*-grn7\0e_/j:f$2Ulf)F8Uf\+s1f@o';gXt5LB#!-RgY139
+h90hcb1kY&dbiVtGM1F!gX4C$gXG,uA<Pd$g=u/Mrn@D*rn'3^g"Y65f@S[2g"YHBf$`(&e^;t'
+e\SGjUQpR[F`__?>u4@%BPhUAI!L^Vdc'5_8^5uIjk\V@rm^u!s4@h;e_T0.8:oOScK!g/hVA+`
+qpuD7f@AQSB#<BYg"Fs-eC)jtqUkVss4dS,s4IA&!S>nQ~>
+dJNb;g&(UCqYM-/s-h13rVH?bs5X.X`cLnSnGi(Ns7u*_rVHNg.f02Aq<"PcBpS2Tq>^Kiq>^?h
+s8W#go(`7`p@J(Xp$2&+aejZ3Nj.a@rr3E*r;-0`r:f^Nr;ZQhrr4eOq"Xdaqu-Qprr2rjT=+@g
+qt^'alEu*>p](9hp](8iU@n0TqXjL]s7cEj^k:S;s8Mrequ6Qor;QRQo_\[gr;$6is8;]mo@Ct+
+\Yb@6H%:[.I=I!6U:&%hbN&U%s8N#tp%n^grVHBhaM[EFnbiFcqYp9iqZ$F'rr<#j[!_6?r:U*h
+nG`FcrVQQh"on2jq5fq]r;ZZoqZ$?dqtg3kqtg0a!Vc;<~>
+dJ!D1g%P79qXtd!l\)e=oC_eNs5a.R]P$F"kPsl7s7GRTq=dV\oCCe2?=JuYkOSZPnac_Rq#16g
+nF-&MqXa4LqXW\)dC>H]A:C9,lh^MPo_%nLq"sdRnGE7[qYpNoqY0[Wo^qkPq"OO_m[10FoD\A(
+p?&W+q==I`o^MYMS!`X8qtp'Zrr)K_s1*O/lhgGLo(N(Xs7cNd3:HS=r:fjWq#BmPo]XK2_608Z
+EGfoHJ8oXVKpJ^M`P:$qrqc3Vp@%_Qr:fjUpV=E#p?(oAp@nR]s7cQe%eokqlDS[[rUTCVpZqYN
+r:p6d&-)4ooqmlDo_%nNp@n=Vq"aX[pAt'_qY($aomd~>
+dFe9Jg"?,Rq:GeuD4oS]fFZ`s`SfLE:!VM9j3H!2f$!"IfPfa%fYrP489N2%f]M8Hf]1Z<hVd,8
+d+7.0eBuk%e&KD:SpOO2A;@qGh;6i:f[n[,gt0p#guI&Ahr*DHf[ed/f\5-9gY:f;I$2q0f[na.
+acp)de_fH>eD/i0IF?X"gXXm4hUU9;S6rkQhV.MPrn@D*rn'3Xf\YK<f%Aa;e^E*oYFq_TIqD\Y
+=^YcC>@MGuOe]%V^Y7i0g=kB7h;dPQgt^edUs.cDgZ7/@rm^u!s4@q<hquhC=N]g[eE5T4gt^Z;
+g&'A4iR?K4N-F+6gY(92f$r-tf)"%pg&Kh,g&9P(f@GH~>
+dJNb;g&(UCqYM-/qNU(@s8;cop&FpNLVs#hs8DutoDARVr;-s"qtp?HP[&=Lqu?WmrVlfrr>,>+
+qYgHlr;HNhr;ZfdaJ+`GJ=OO8p\k*lqu6U-q#C-\p\t3fn+ZPLp%A%Rr;Q]n/Gf/<rqZSsL$&71
+s8DuCBuTiHs8;Wks7MePs8VWYr;ZTfs7lWhP*Z.:s8;Hbrr2rrrqmQ2s8D?7^U1;4HuaX`Eda:E
+XM2a!g@>(?%0$2%rr<#sr;6Knq"amb$2aXgL]@DRs6Tdap_3N$qu$6gs5djus8;ioqY^Biq#C9h%
+Jfnus7--hStl>\r;6BjqZ$?dqtg3kqtg0a!Vc;<~>
+dJ!D1g%P79qXtd!l@@=Wp@\.Vo_eIAICJV;qY'a[me6\Gr:U-brq6ZJNE'i0o_S:SpAXgdp0dXf
+p%nO\p\OUXp\b!W_jc3rE/_-Ol1suFp@S+Wq=FU[o(N%]p[7bJp%7nLp\FXZp%@qHoCqhUVgdOp
+pA+F^aCN'VqYKpVs82,CQ2(:Hn,*(Vo_\7WnV`A+jo+lCpAXgdpAX_6p\FOFc+'mVNH8fUFD5iW
+PG>P"_pR]Gp%J.Sp@RqGo_%nKo'u;Do(2hP$2+"SJH,Q@qW.SQp_3Dqp@[tJpY/lKrpf^UoC_tQ
+oDAI\%JfeorU0U[R@XBJp%J+Yp]($apA4Laq"FRY!VZ2:~>
+dFe9Jg"?,Rq:HM2BY*$Sg"G65hqGtWS^ZBMg"b?/f\t'NfF-Bd\oTr3UtXb^gYDea@GKSjf%8[3
+g=b65f\,*<cD>u%<`X7/\'Ej_g=b*3hqZc>f[JI/hq69,f%/C%f%A^3g=b02e^rR,j,7BafA,3;
+iiYeJe_o9=e`Pc;FF;m$dEp\,f[o!2hUQOajN?HZf`BaYpt5T"s4RD(3830@afq7rNc8#m='&'s
+EH[)(Tr,3?hqHi?gtUN6f\>3:g=b-4gt:<8g>(E<gj3Srinr\=hq%eVs475&&_5Rk_Es@JgYCN9
+g"k<3hV$TZf+?fbhq`[4k1A;>f[eR%daZkEf_F,$gY(9YfE'UTJ,~>
+iVWHIl2:8Ps8;lpnbi4[)Z9I.rVlcnrTSM)rVuosq>UEMGGbE7s8Mfgrr3)tqYU9js!dBbO*?)^
+lhpYYqZ$TmrVuokqY'shrV-3brp\C7K6`BJ`SL7fs8)ZnrqulqrVl_-o_8+Oo_J@VqY9dYq>:'c
+r;HQgqYpNms762<T)\Wap[j6@s8Mlpq>9gXs*CaErVQHgrVcWirVuZQI`h]bs8Vlks8;TjrVZQk
+rquK[e@qo]W0)[kGBnRaIu'A^W33YMf]i/1qY^Hmqu6Hjq^D:?o`+sds8)Wls8VckrqC)tr;ZKj
+qY^!`q=OUaq"jsgs+l$nq>C3ar!WE"r;$?enUC*0qYU6frqQKis8;lpqYUBkqYKsfqY5R~>
+iV**?l1aoFs7cNfnb;kQ:\XPTq"a^Zp>0KSo(_qQo(W+6E1R!pr;#sUr;ZZdoCVeNpA=[FabXn\
+YN5BKp@J+To_/4Yn+6)Fs7Z$Uo_7[qU3q'9RD.2<qY0USqYp0hp\+U\BCY]ho(2YPo_J7SpA"L\
+q>'m]oC_qUp\X:SF-Q^mo'>LeT`=fZqt'LIn,7-rnb2\Lp@n=SoCi%MgNLI6n,2tNo_eCNq=aLR
+p@n7KlH?T.TV%$cKPkaMFEW.mQD(4]^X;'1q"j[bp\+U\rUqZ1r9a@\nb;YIp\ajTp\4/dRJ-LH
+s7H*ZrV?*]q=3tGo(dZPkjJ*:p%Jjhp\4=UoB^bjqt9[]p\ssepAamdq"j^cq"FRY!VuJ?~>
+iRmtXl.Pd_s4RD*n_*`j+PGAug=t?7ftpJ8f%\m3e_8rl;h3iRhqZf6hrNYHf@^)W/)]:*Y&%'B
+PK;G0g=P09f\59>e(<+*j4`&9fA"TTKj[tqIA+-sh:gH4h>,`:db!+"eCiR+g=Y!.g"Y98g=t<2
+fA#-8iR-[hHfiu6e^.o`khb+RgY:9/k>mGmg=b-3h;-i=gu-l(?`WDCini;@in;l<g=b*2g=Xiu
+Y*aioJnnV(;,^Ls=^l;pKSl"g[)LMKq:YVs/(rM3dGF$;hV$W;in`,=h:+uCgtgQBg=t*2f@&C-
+e^`C-j(;KEg>1K9g@X&*fA+p%>L;3Xf[eXOeGe&!fDaG!fDjM*gY(9YfE'^YJ,~>
+iVWHIl2:8Ps8;lpnbi4[s8!f7rVcWiqT"d!p%n^gq>^JQW;?/dq=t!ioC)JSs8N#t/+h#F>F<q?
+s8)WmrV?KnrV63drVuccqZ$0-U3h$/R)eUmrUKX\s82WhrV?@Ds8Munq>0p\s8Mrmq"F@Oq#('c
+qY^9fs8;?$RJ6XQs,O)Mq>L*cq#CB^s*2BWs8N!As8)`n_N"6dr;QWos6.VAZD*8#Bk:pkD/=*>
+P*;?<e`6<#rr`6"rVQTi!;lTi!W2`mq#1%:qu?Tao_SUfrVZWos82chH,'CYo`"X\q>'aTqu$Hn
+rqb)ai:I!Gnb`Xgs8:T(pAOmeqYg3gqu?TnrVHEmqtg0a!W)SA~>
+iV**?l1aoFs7cNfnb;kQs7K+\q"XRUotZFam.'fEnFu[/TCM7Io(2bTmcsE@rUfgXp#`r<:QE^"
+s7>mYp@A"Tp@7_HpAadNoDS$kRriOhOhg,Qp?_AFqY'RTq"aYnr;HQhq"a^Xrr)`ip\".Kp%eFW
+p%S4Rq=WjXNpQ<%rI:C%me-/Do)JaPo5(`*q>0s`q"OLUqXX@Q\qTPDo_.qQqVf?'X.+c\@U<GO
+A78tiLPV"eb1PtOq"F@Pq"XR^oDnU\pAt'`rqQHd-hdT7m-XE>qt'CMs8)9Zn8u8@q=+7Qp\Oj^
+o(MhMp[[amB%?,EoC;P[oD/(.J+<=-rV-9crq?BdrqQ?a!VlBbpAt*aJ,~>
+iRmtXl.Pd_s4RD*n_*`js49uug=k32f;!0Bcd^Y&e(WMeK%/**e^iU5dEU8"iRuuAgWZF)206%`
+jO`&?g=G'9g==d-g>po4fAY)PIooTMFem16g<S4%gt:31gA0E2h;6uAg"P-1hqm/Bf[eR$f%Sj0
+f@em1hqQAGGh1X"k\>n$f\Y?<g?@bHh,^*&i83DLhVI)Hj4iPNV/Y)Eh;@&Ji5_giO+1e?76s:0
+7n#pMCM\'JY.W$4gtLE4gY1<Zec=@tg&'A#fI5G5g<\7$hVm,=f]:r@g=02piS;o<f@\g2eBlk$
+g"b<4Yu&9dl.k"`f`p'afX>5;f`'J!eGe&!fDaG!fDjM*gY(9YfE'^YJ,~>
+iVWHIl2:8Ps8;lpnbi4[)#4",rVQHeq6?=bqZ$$[s6QDCkl:Y^o(i:b1Aq+Mqu?WWZA"+OrV-<k
+r;6Nor;QQhrr;rprU^!FX,MOcVS_*\rqH$_s8W)pq>1'gq"u?4q"X[\p@e:RpA+R^r;HWdp\FU]
+rr)]is7QDYWV?G3POAGM1[Y/@mJ?AQH,os`rVl`jq>L?/f>b,GI$_d:Kkb"2F*<%qP*MN6[`?h\
+o(DeWr;Zfeq#14!rr)lqr;6Bhrr;im!W2`mq#1%+qsj^doDejWs8V]cs7c97K]`=7q>C6jqYp0r
+qYC-js4qmrs8W&onb`Xhs8TKgqYL-gqYg3gqu?TnrVHEmqtg0a!W)SA~>
+iV**?l1aoFs7cNfnb;kQ:@n2Sq"FCQoW"&HoD.V@s5fZ.iW&ZPlh(2Vr:g!\o_7t2VK[?nna6)I
+p%8(Vp%S(Lp\FOUp?_M*UkO&GT=`V@p[IPCs8Dcdo_&"Sp\4^\s7ZKa@.j']p@n@XqYTdSp@\.T
+q"=7Wlh-4.m.@`>ir8ZNkP+f8o'-*i\G,Ugp\"+JpA)5E^8fD!O1^I#@T[/WDg7.tNg-0>^rt[#
+m-jW=p]'IGp\Xd[p%8%Sp\+=Tq>0s^!VlEgq#0q7p?_hZm/-hEs8M9Np$M7jJ)UG)p%\C]qtg$[
+p%7nNpX*cFrq?$Unb37[qY@:Pp%A7WrV6Bcs7cNfqY($cpAF[bp]:3bJ,~>
+iRmtXl.Pd_s4RD*n_*`j:=\"Ng=Y$.er=e(f%eI!j2cUe`8fS2cI_%9hqHi>f\G,pN*Th[f@&F1
+g">-;g"Y-1gYLT:g<eQdLhU+,K:f[%gXOU(jPS_Df%8X0pt9<4f%/I)eC<'teCW@+g=tE1e^rC)
+gY:B6j3l_+Lt:FVDp7G'kKi&EceHn2=/4[,g=t<5f\GAX\>bb&?[AVnAkPE^;H7%@DfKuQP,#1t
+bg4_if%T0-db<R5g"=p2g=b-2g"Y<Xg&'A#fI5G!jQ+bJk0)iGcI:Lqe?*2ujPJPDh;-i;eC<+$
+g"bJq<J9Soi7luVfa6<fglZI*e^rC'qpbVrs4@8&qUbc##i"%cf\"d+g=Uo~>
+g&(%3pA=mfrr)Bbq>3JQr;?Eequ$>`Sala[p]'rbGN8_ls7Q<iq=OL^rr<#YTPo_;s8VTgrqQBg
+q"k$jrq??hiOY`Dj1_hXs8N&cpAY(!qY9m^p\+F^s8;]gr!<;uqYpKiq>L<lrrDurq>^IRrqcTn
+qXa4Fr;XQQhs6Trs76$\q#C3cs8V_5`;[fn[@rJ&EH$)2J;fSYF,$Bl^")lWs8Minrr3?'qtp6i
+s8;fgpA4dg%/]kqs8Vumq=s^Zq"ada!W2`mq#1$srquKis8)cqk5YJ[rr3hDGP2"6r;6Nnp@S4]
+qYC-js.3coq>^-bnGELjrKO,Wp\b!drV6Bhs8;lpqYUBkqYKsfqY5R~>
+g%O\)p@eO\rqQ$Xq=[VUp\4@Qp@n9JQKn>CnG2OGE8:KWs6fX]p$_PKq=sj?Q=GB`p\3bKp[RnK
+nalYXp[@kLg9[7(gpa?<qY0jKn+lnVoC;DDo'uAJqY0XXpC-rnp\Xj]pA4[bs8DcmpAb+lqtKm^
+p$V).o),n.eDQ5Dp#ko7o)J@Qs8V=s[IV#BY*su_C2%QiG_Cm9COV\L[E\4?q=jISr;HHao^qbT
+rq5mOmIUAWq=O1Hp\X[Wo^hYFoCVnR!VlEgq#0q7q=jFYr:Bsgh"^a;p\=]jEq&u#q"Oacp\"C]
+p%%bJo9*5@me?,?nb37\qY#o@q==IXrV6Bcs7cNfqY($cpAF[bp]:3bJ,~>
+g">QBp=TDurn?nqq:HY:g"G!.f\+o(H-P1$e(iB(;nqA9imHH?f[ACNgb@X"HV%bLh;-67gXXs0
+e^r^>gXFp1^6a;b^mgD!hV6o0e(rs;f@AI'eC3"'gtC9SfaQZgf\G96fA#*;i832efDj`.gt:?9
+f[8$jg#J]%^<1QAhpL32g?@>GkigJnT\?-3P(%+H:et.\@rHF:<b[/IT!m52hqcl<hr*;Bf@SU5
+iRl`0d+779gt1$)g>:K6f%&:#e^jQLqptf".,<P+iSrPPk/#m2f\G<AP?$)gg=t?>hq-?0gt1*0
+g=pp?eC`^3gtM;O#i=6RJ_SW)f%0`Jrmq,$rn.)!s4I\4g"G$1f%/R-J,~>
+g&(%3pA=mfrr)Bbq"mDVqtKpcs87bZs8MNfr2b4jqYpB^p]'a_s7Q9g`,fUTd/F"@rVuBas8Mus
+s81s*[@WD=UqbO]s8;ospAP$kp\Omh!r)Tjrr3&tq=j[^$2XJpqtKj\p\F[bqu?R]p%.\CqZ$Tk
+mGRpBs*p&Y[Jg+)r6iTQWi(u>GZoc5DK^YnR]3m<p%S+Yp[4$9s8W#dp&"Uar;Q]mq"Xgfp&G'g
+rVm,sq#('gr;HTnrrN,tp\Y'hqYp9gqBtq8k5#%\JV]N&qu?]ns/K`&oD&.WqtBaTrVuWhs8U5]
+^An6*s8MQd#Q=\mK>.B\qu-Biq#:0jr;QZkquQ]kqY1*fpj`~>
+g%O\)p@eO\rqQ$Xq"@JXp@@kOqtGfGqYBIWpSW/Vp%e=Jo)J%Us7#[T]kh#2`:<Wjnc%\CqtKg]
+qXi[eY*Xp!S[d&Brq6<in+QeXnFQVYq=++QqYU-`o^_eO$2*rap@@eHo(;VSpAakdo'l&7p&4d[
+k1T>(oQ5_-WU]QZouk.7UnN[$DGYR`B5rBXQ)(e&n+#iAn`Yb!r;ZEQme$,Ep%S4QnaZ>LmeceP
+qYp?hnFQ>Ip@n:Ur;6?dq"OL`q"Od_rV%].s5EVMW-X#OZLRtinbT"imI'T=p%S.Ro_e^Zo_\<q
+A[M7+m.gAGpBUEel?p/=oCi.WrV6Bcs7cNfqY($cpAOabp]:6cJ,~>
+g">QBp=TDurn?nqpt/?qf[SL,h:ZJ&h;$<:g59"7f\G0+e`>$:jO;c9Thn*nWn6+WfAt--hqQlB
+hUo`JP'^t[JXj+'in<DOe(Wm>eCW[?h:1*2gtgc=f$sKJ$.mb\f[SF%eCN7Nf`0Vse'ZIefAGH:
+beMilhHk&*OkJINgTdW$MMH.f<B";R92o>:G__`bf@ea6gX:(sjlkOJeCrU2g"Y64eC<1-dG<R/
+h;I,Ge(*+Lf`g*dh;$c=p=]>os4AaJjM][4NaQL;Qe(6Rf%u0Nd*^Fsf\4s/eD9$4f\kJ\9q1%u
+e`#B=o%=6$gs'2qgsc8RqpbVrs4@8&qUbc#"5DM^f`'J%fRN~>
+iVVU3pA=mfrr)Bbq>2?5rVH6as8DPD[f-6prQ'`*rql]po`+mgpAarrBlL*Orr2pIrVZ]qrV?Kn
+jh@O7Ao!pos8V]`s8M]ks8)`bq>^?_nbW:`rVl`jq"t*equl]gqYC$ds8W)trrE&ts8W!7rqc93
+Z^?lAAQ*>mM1f\K?t`neS#a&CL$ej=%fH+qq"ssYqZ$?_k]YSPrVuoss83o7q>'mcs8;oopAY$a
+p&"Xcrr;rqr:TdXq>:-is8)Woqtg<erV@o-s8W%oHd2SnM:V_,p[akpp%84Ys7l?dp&4g\s8VG6
+Q2gFTs8)ccr!35th1jY_qt^3erV6Bhs8;lpqYUBkqYKsfqY5R~>
+iV)7)p@eO\rqQ$Xq=[VYq"=1Mr:o]2Z2"=`pqqZkq=aX\n,N1Xnb_s]@VMV0o_&"QnaQ5Op@A.X
+hRB%p?Y#GSs8D<PrqGjVqt'RIo(_kClLY#Lq"a[VoCi%VpLj!fp%7tTr;-Eiq>'maqYC0krV?3`
+p$]o%Ne`Qs87-CcH=BfV@TdK3Up4c`iV*'DqY0UOo(D\Ao`+LMic*64s8Drpp\4@Ro^_SEpA+I]
+p@J+VnacDKq>:$bq"O:Jo(;YNq>0s^!VlEgq#0q7k5YJVSoi!PUjpV]p?h42D=I#hp&"CQqt0a\
+mJ?b?EJaPUqYBd[nFm.Yepl6Gp@S=XrV6Bcs7cNfqY($cpAXgbp]:6dJ,~>
+iRm,Bp=TDurn?nqq:JKrg=Og*hV-=ePhY0AgSSMLgtCK=dcB0;eDAf?7SSZkg"YB=f@J[:g=G3=
+_OH*U6V)L8j5JA5inMo;hq-W.f%ep(cI_(/g=t<3e_&[Qfk8aaf@JU1hV@&FgY:N>gtUfHhV-Z;
+f[?jaF`)@j1.bY\@7`IE83]suMO.:Oakbb/h:gH0f\>62h!!PGbZ_O/kiUsch;-c;f@AF&g"b9;
+f[S[1e'lt&gYCT=g=ap'eCN:+gYDVXqptf".*:Q2gOrb3k)!WRg=t'&GYll;gXtB7f%eg1g<nd9
+a'!E@cf=!>i7dbT$/=(B@^k+CeCN4JeGe&!fDaG!fDXA&f_sA%f[bQ~>
+iVVU3pA=mfrr)Bbq>2B6rVH9fs7P?*^%24"l_M/mli7"Rs8V?_i14@t\*s4`p\k'js8*SYV2p%G
+LT&J]s8VlcqZ$Nlq>(!gqtg3i"8qrgq#:'jqYpNjr%S-Ms7uEgrUU!_khXh9`OqS5WM#K7MM[q.
+Y/eZ&Nf:?liPs14oDe=Oq#$bEp](9lrr2p0p]'sYs82bOMoYSlrqZ9`r;HTo&cDD$r:p$dr;$9j
+r:ojSo(D_Trr`2pp\+I]!W2`mq#1$rs60'nQe293n:fKnru(d+NV`PPpAapdrq63dp]']eF6EJu
+pAa[]nb`XkouWEgr;ZNiqYg3gqu?TnrVHEmqtg0a!W)SA~>
+iV)7)p@eO\rqQ$Xq=[,Kq"=4RrUATo\aKFikFf<akPtSJrr;'Tfp5lXYiYE;mIU#Eq"=1Lae"<3
+Ck/5!iVWTDm.:2Lp%%\Ip[n(Wrr2`sq=X:KoD\@`p%eL[pFlRGo'lDIlhg21f$DFO\!<V`SWAP[
+KU8X5]tV%0JZ-N=]Z9=)s6T4Fop(3rs7lQgs8"GHnc/+Gr:Tf:K>6mMp[[eDp%J1Wqt]pUq>9jY
+rqlEds82KZnF?)@rr)ckp[n%HqY($cp\ssdpF$"$m_Fq2s7#/tc1^r2p6LO-pAXX_o_JIXq"O:U
+jelbGo'u2KlhU&E#4B?emJ$MKrV-9crq?BdrqQ?a!VlBfp\jjfqY5R~>
+iRm,Bp=TDurn?nqq:J!dg=Oj/hpT5MSC-9Jb(H/Bb2VF+iSqo5]m;q=PfhS#db*:.h:gH4Xb(@m
+:h59[`S]Y)d+@71g"+a.gXt-=ir7d;h:^?.ec+,$fA#-WfeD.?iRQE2g!8I'`4<1STp^(TLOO5W
+BP2aRMkm;HD/567^8%gWe)f!,f\:dhe)oHbgG@X@h;6cGf[]'=heR&,f\tZ=e_&R/gYL`Af[SX1
+f%8g7fA,<>f$_soe(!=5hV?f8eC46Hqptf".-/CqUNX*.f#qI,gYLlCH>D0diRR#@gu$];g=5''
+N(q.Af[]-3hV.PR$/<n)DpR+kdam"HeGe&!fDaG!fDXA,f[eX'eC`?&~>
+iVVU3pA=mfrr)Bbq"l*0qYL6lmF-F9s7-$d\,ZL'r;?Bdmbs4RNQh4rq>UCBrVQNX]T6rdTX*,I
+s8)Tls8)Wms8)Zgs8W&ns8VumqY^?mrVZWmrr2ouqY'a_AGQ9"gs46bZBgArGB\4LBPi^3^rOsg
+q"as^rr2r3L]@#Arq?3go(rCdo:;0Ho_\L]qu-NlqZ$*^s7Z?ik?FqPs8Moos8Mlhq"t'iqtp3]
+pAFUSrqH0^qY^6dp\":Vqu$HlqYUBkqYp9gqBtk6npR>6mf1=?j8\QIrgoYTq>]g]p&FmZrVuir
+dWMAckl:MMrqZ*^#QF;-T)\Zep&4acq#:0jr;QZkquQ]kqY1*fpj`~>
+iV)7)p@eO\rqQ$Xq"@JWp%A7]kg"D'r9a:UZiBppq"XOTlJ.2;L;i`Vn+ZVOoC;D0Z@uqBRB+X-
+s7>jXq=F7UqXaCMq#:!Xq"aRRoC_kQp@\4Uq>:*dp$qkPAFfTde]5bFX,hmVE,]`0@q^_#]u&+U
+oCD\Ao^ha^I.ljnp[IhQme6PXm?W\(lLacBpA"IXp&+.Js7#^]iDZH2p\4=RrqH$RnauSMpA"FS
+p&"COrV#sZq>:$`p@@eHp@nR]qY($cp\ssdpF#A-m<G3%kP`)"g%aY%pQq6<o_[kPnb`.Pq>9m^
+aD71ChZ*69qXs@P#4&^aqt9sXrV-9crq?BdrqQ?a!;QQfr:g<hpj`~>
+iRm,Bp=TDurn?nqpt/?pf@Sm:b-5'[hpC-6QK6oSgY:B5c+e'sC8oe;eD/m8f[eZnQYK0)I?1\g
+jO`#>h:L<:hUgH2gu@&=gtgW7f@ep6g=b36gYL`Af@0QK0@en-\>lU'NcJ`7;c?Rf77q<SStrX2
+f%Aj,gYLbXB&:qch:C<=e(`gCdsQ2mci2NNf\>38f](<6kh+_TaZPI*i8*,BjP/;8eCWF.f\+s-
+f%eg(hUgB3g>(H9f@/7#f\-8Xq:YYrs4A^GiQte]k0;q\6GD9tgY7($f%8d%jOE&@e(ig6hQ9V'
+jMg98e)/gJfa6EZR<m]@hU'j)qpbVrs4@8&q:GVurmq,!!SGtR~>
+#Q4JrqYL*dr9=+YrT!hTrVufhqsjUar;c`mqCVXFqYC0ds1F-]rVtO8rqcZkq#CB#SU8*4s8M`g
+rqlN7T8S/GRDIJDs7u?er;Qlqq>L<jr%.aCrVuWis8W#mqYg?hr;Zflk1A2*[\fRYMhQ.sL6%Rf
+U8b9$^X(m.rVufpqu-F0q#C6bs8;bN^&S,us7Q6^p\t-gS"'HUr:Bdkr5WW`qZ$Tcs8)Zpr;$3a
+qY($cqYL*cquQ]krqQHg+8bi'GIdbNqk\\hqZ$KlI]iGCoDedbs8)Hbq>^&=S,WEgrVZZlnGELj
+Mp_Rls7uWirV63cqY^BjqY:0gpj`~>
+#P[rcp%A%PpZ_DOpuD,Jq#C*^p@7nWp]1$coeuR@p%84SqR;(Hp]&\&q"4LVo)AKfQZ]dlq"3qB
+o^VCdR"T[+P.K!(q=<tJr;$0bq"+(Mp\a\8o_%qQnFcYSp%%_Jp\+@ZrU]!rdDN5_Q]?fNC3+l\
+NK]j+VQ@;Kg?J>0p\ssdpDEH#na-/Cn:%_<puMJEp@\.Uq"Br:q=XL[q"XRhp:k.Bo(i=Nq>0dc
+p\=U\qY:*bqY'd[!VlEgq#0q/p@FVkZN'RhRrZX?p[\$%WUffOrqZ6ap@@hHs64`grq-9bmIpkY
+re/Gokkt)Op\jm_pA4O^q#'pgqY5R~>
+#MIb^f@S[-g$./hg>glcgAfk"f^[Ypg&Te'f/D=;f@Jj0gmMa*h;u/hhV-uCf]:tSI9W2Vh:^3+
+g"+ZMHtZ_eG+Q%bh:C$/i8*5Ggt1-2g\f_Tf\,!6eCi^8g"+d/g">!7hpoWOZ_`k<H#RG+9ib_=
+E-?\aM3".,^!,0eqq;#'(>%^$e)f?<BU[`4aQ1h'f@\p6fm%buqUti$rS7G0$)gRdgY_/?hqHfU
+g%!_jg&'A#fH8etH<$?pg=h'YY1;=Zg09Ndg<nm7f\YB7g"GK6?$5tsnC\*,B<C4:gsjp+qpbGm
+q:GW!s4@8#s42]~>
+#Q4JrqYL*dr8mh;r;QZpr:^$XquZipqu-@$qt^-`p\sj_[#"AIkK)lcrs8M1M1<PFq#(-js$>))
+C35Z[o`+sdq#CBnq>:'^q#(-hr;QZjs8Mlkr;QZls8VoZf?;1RSWnnVG'84]Vkg,g[(X8klL=TH
+rVlisrqufns7u`krVQQk)#"!&Wi""W[t*rIs7lWhs7uTjs,s/Wr;?-_#OJ+7qZ$!`q"jpir;$3a
+qY($cqYL*cquQ]krqQHg$NKOPBA`1Wr-*bbrr3n[GId\PpAb'crVuZmo(J`(rr<#sr;?Hfq>9a\
+#QF=Zl2UJVr;HKjq"ag`r;ZZjq#U?eJ,~>
+#P[rcp%A%PpZ;,1p\ssfp\+=NpB(-apAOYlp@S(Lo(heKYCc31iPFORrqZB^Y_%/8s6fIMq#C-1
+P[J6b_!V0unaZPWp[[tKmd]uEp%A(Qo)&1QoC_kOo`+gZim>WY^R1(6G&_MFH(pq'V6@D@]]88H
+p%J.Ws8M]ko`+L_o_nR`pDEAuQCs_`\#ji8qYTm_p]($cq"ou>qXsU\q"OLfjHt5`roa=OqXssa
+q"jg_q#C*bpA4Laq"Od_rV%N9l%W["kkFaeGj>&%qS[?[q"sU]q"4C]o`+7DQ>lEfp%JCZrqQ$X
+"mh6.qsjL[p\jm_pA4O_q"sjfqY5R~>
+#MIb^f@S[-g#^lJg&B_*g%O(gf`Km\f_sE0f[e^)eD&F(O_E7oa/@#@jPSkKQ=sX%k0qr8h;mCo
+GstMJUs\5Ze^`U<gXb$0dad%*g"G-6f&,66f@ep4f]1l?`jD\>UO$oj=Ar.#>D.QYLQS$rT#T"(
+f\,!8ir7U1fDa@ug&KbAe`;.6Kr^o3?-;$]f&56Bg>1N?Dh-aAg&9Y'h#H4;c%0?YjNZi=g=l/O
+n_!Zjqptf"+6:X[7D@('gJV>'gu@4i<0u@reDf67guI)MdF3MEf_O7kfa6E[E5gY^g"4g+qpbGm
+q:GZ"s4@5"!S5bN~>
+#Q4JrqYL*dr9=+Yq>^<kqrdnVrVufhqsjRcrVZQlqZ$FDr;HKgs7uVpMZ;VImf31WjJnQ"bl@_;
+p%.%RXKoLQjSAiNlgX]HrVH?drr2pBq"ssaq>UEmnE8WVb.FXBKnkPCM2I@YY-bgWb1c:_q"OO[
+rr39%p\Y!jr;-<grqlZl!<)lnrVRN.Kn/fcAuP9\RIp@Qs8M]dq>(&AXoJ4po(r[li-N$8li6_U
+r;linqYBs^!;cQhqYUBkqYp9gqB#>.KSepO]XD4Zs8;os`-oT's7lWkq>B^]q#BJq[f6:2rVZTj
+q>'pYr!38JUAsueqY^<grV63cqY^BjqY:0gpj`~>
+#P[rcp%A%PpZ_DOo`+Uap?22Lq#C*^p@7kYq"OL]p&F_:p\=FSqXjQ\KDF*+jT"c<g7sXU_Z0Z'
+lfZ^$TVf$%h=CL6k3MX4p@IkHp\t"BnauJEo(VqQl/:.:_mH/&IXm''JqJl=WNWbC`RX5KoCDJG
+qYg9bo(MqVp\"7Srq?<br:p6b)"N-!lB,;Ak_,#aoCi([o_8.RrHb@7o(W"Uq=b-ofQ+=pjT"`G
+p&Oj_q"XU[pA4Laq"Od_rV%T,pj[tUg9n+bYl=4dr4R9gq>0^^p\"=Grp]sCAubh&p%J.SrV5sX
+#5H9/qXXITr:g0bq=a[ZrqQBd!W)SA~>
+#MIb^f@S[-g$./hf)OA%f]UregAfk"f^[Vrg=b-XfDjJSg"P'0gt(29C#?UnbN@I,_238DWTN?m
+d*9(eL5_Ie_:IPpaj/Jjg=Op-g]$%_e_&O*f%]!6c,@2tVjN3`@Us+aAnPq"MijBuVmjk(e^W+$
+gu$o?eC`R3g"4m0rn.2&!8@>'s4S=BA6mT07>K3)FOA^nhVZo;g=Y=iMVH_8rn%,%rS%5*$0]30
+SD_QPf%SjLg%!_jg&'A#fH8Ss@V<`sS!?(#j4E#DTj"2Gh:CQ=f\=a7g$$=JP3)YrmF_g$XFB!T
+gXXp,f)*tmf(mqtg&K\(ec4)!f$o3~>
+#Q4JrqYL*dr9=(^p\=OZqYTIRrr)lppA==V!;lcl*rGm7r;HQnr;NFtkk+36s7W[=Vt'cdp<U.6
+VnL[Qrr3)dq#C?ms#9`QrqZQnqYC*BcFKR+Jp_cnH?=ChUV"UuhWjb0rr<#iqZ$Tnq"amgrr)iq
+rV6'_rr<#sqtpBjrql]krVQQk(uobOm*Tk(s57;*s7lEaoD8=Zs)c!Tq>Bg\s8N89BA<IZs8)Zp
+r;6?dqY1'eq>:$d!W2`mq#1%;qu;\Eo^dH*I/j6Dq#B8tbPCu-s8)Wjq>]XDN0OA>s8W&qqt^$_
+qssXirMI%'p&4a^rVHKfq>:$ds82Zg!W)SA~>
+#P[rcp%A%PpZ_ATo(2JFp%ISCrqQNfp@dtL!;?Eb@.s?jp\=LZp\C;YhWWq_q!+_iS`TM9m),f]
+S$C-!r;QBMnbDkWs8V]jp[\(RoCDV&a0M(dHZa:RF)>oLS@$,YfAl8ip\F^Sp&+a^oCVhTq=sd]
+q"+"Kq>:$`p@eL[rq??arV6?c(u0#7il5WRq:8]arUfdVo(i+Sr,9(<o(W"Uq=b-lqmBe\s6f[Y
+p&Oj_q"a[[pA4Laq"Od_rV%`6s,!!-lubg=p%@kCpXsT,o^q\Np@n@Rs52jgMYQZ5p%J.Tq"a^[
+o(NC_T<J:aq"=7Wp\jm_pA4O`q"jdeqY5R~>
+#MIb^f@S[-g$.,meCE+#f@]9>rn@D*p=Sie!8.;&@+a/eg"P-7g"V"=`R)]RhpRK\K[&9,e#SUO
+JX<UcioAb6e_Jp;jQ+nQgXb-7f@JZ`X-S-I?Wg?7=&Dt1J=*1>]>r=NgYLc6fA>B;e^iI1gY1E:
+g==X(gYLZ=f\$2Vrn.5%qq;#'(W'.>afnXLi4D.Ji7HW6eD&a1hboruec"+ug&9Y'h#HF?Sk-HT
+eDAp5o@`Zdq:YYrs4AFHjD9%hdT\;)g=k-,gq?aff@SO/g"P9:kfCt^ET#IJg?dK!g4PRJdb<7#
+f%0`Jq:>An!nl2Wrmh%t!S5bN~>
+#Q4JrqYL*dr9=(^p\=OZqYTIRrr)lppA=@W!;lcl"T/,pqtL'c2#36Fh"1RGd^QgEl-Zr,Q+>$,
+qZ$TprVlisrp\ml\YbpdPE:l]H$+LbKSPPX[)UD;ht6pJ"8hfcqYpKrqtKa\q?Qrus82Zhr;Q]q
+"8M`iqu6Etqu?ZprVZQhqYg<ir#!;$q"V7Zs7cPdL]?uDmJm.`r:tE^s8Didq$?lns8$c(s6fp`
+r;cckqt^*aqtg3kqtg<er;%E5iN)XsEF6]bp](3jeSEn9q"Xjar;6Has/fVdrVm*#r;6<bq"sX[
+#P<r#rVQHkp&4acq"ag`r;ZZjq#U?eJ,~>
+#P[rcp%A%PpZ_ATo(2JFp%ISCrqQNfp@e"M!;?Eb"SVTap@A1T61g#;d,b*#`i-&dh861KM5n/I
+m.BuAnauPTpZpVV[%`qON/<CAEc-#FI=R'<XhVotf^8Y;r:KIHoD&1Xo^M8Go`t6grV#pWp\Fgc
+"82E`q#:!nq#($dqYBp\p\jmcpD(;cmd@*0p?hgHJH,-7m/R(_q=\^NrqQEeq"P-hoD8#mP5j_C
+qXsp`q=sd[q=a[Z!VlEgq#0q4p&*UBm`0'E]Dq9toCL7<eb8V+qXsXXpZqgQ;UtX9p%A%Qq#:'h
+q"".am=`RSp@\@QrV-9cq=a[Zs7lHd!W)SA~>
+#MIb^f@S[-g$.,meCE+#f@]9>rn@D*p=Slf!8.;&"PDD\f[TlO6.Tn>]$KL"Y`kHca/tSJF-WNB
+db<I.f@ep>gWmR8Q\Bd1E,BH&<`3(+@:X,!Oe\tY][>^!i7QN-fA,6=f[S=Hf*C!bhq6Q4g"ZM^
+"4l,Xg&BV0g"kH=gY1?5f_aA%g)$Gie^]n'i7-_5A)ktjc/[[:g=K0)gY2PVrRq/'s4dq8j4dLW
+k0;o>g@O"ff_O4tf)F;EhnP#tX\_3SjO3)@fWn&Xg"+a1f\>3=f'&&T^Z+&&gA]e)fC@N#d:fT6
+f[np*f%0`Jq:>8ks4.+ts3uQ~>
+#Q4JrqYL*dr9=+Yq>^<kqrdnVrVufhqsjUaqu6F-qu$Ekp\ascrVD1oWnu("kP1a*VQfIeruh%8
+maT_>dBSpcF_bJf<,IY^T<lYkiU[$Hs8Dchqu$9hrr`5np&+O`$2sf#rVH9gs8Dioq?$Qos8N#s
+rVuKnpA"L]rVc]lrVRM`E5V^(YlFXtq/47Qq"ssaqY&rjhY@!FoD&[hrU^':FQ!/uq>C<kqYU*b
+q>:$d!W2`mq#1%7oDARPlbdn*s8Drsqu3jJmJm(^rqH?cq=sN4W;QMjs8Donqu6?jqssXigkP%f
+s7lWgrVHKfq>:$ds82Zg!W)SA~>
+#P[rcp%A%PpZ_DOo`+Uap?22Lq#C*^p@7nWpAX_Pp@n@Wo(VnOq"9&RS'Sm;f]eQCQ_E:0q>BFR
+i5Wa]`M\T<DJ!3P:MG]JR&n0Og?\\0q"F:Lo_%eOr;?9Wme-PSrV-m!r;Q`oq"ORYp%&"Vq"F^[
+!quQirql]ks7$9ap%S7XqYg3fpDD4j\bU9Bo^_VEBu9oEr;?Egp#'`@nb2bUq=sabpBKsZa_f`*
+q>'^ap\O[\p\FOZpAt'`rqQHd,jtC+jQ*slLApf:rUKN[Fm/bsq"jUWo^VG6GF\0jnb)VLq"Xja
+!;Q-Z#M"=_nbr(Zo)8=]q"aX[p]($bq#U?eJ,~>
+#MIb^f@S[-g$./hf)OA%f]UregAfk"f^[Ypf`'Jif\,!4eCiO,g=Kb7L:XF<_pj*DJrIh1jQFnO
+`iQ5JX,Lt%;Fs/21/)P,I#t54^<b`jgtL?1f\+j4i8E><db3U8rS.n>i8WbQg=b36f@8X3g=ZDV
+!nc>brnRM-s3_)#f%A[1g\]\(g)%.mT\s(9hV$N29;LV#gt^W<f"k1peCaZMrRq/'s4dq<eDdc4
+^YRf$g@O"ff_O4tf)OAIdFmU$b+_mPj4N&Ef%H'dbMV"-h:C?6g=t"`L>(53g=k65rR^Sm$+XQa
+eDJg6dam"HeG7\ifDjD"dfItHJ,~>
+#Q4JrqYL*dr8mh;r;QZpr:^$XquHWmqHWpqrVu]ns82ioI;`e6TW5;l^?"=r`2ou-P&55fMj'gA
+b0J&RmJm4_oCVkWrqZ9as7Z<fr;HZqqssIXrVZQls8Mrlp\=U_rU][Uqu?]np\4IYqY^<ls8;]k
+p]'sdrri;sq"FCZqu-F0rlppiLB%2OpA^t/lhLMHp%e4)Gj"\qqt'Uhqu?-^s-'2Tr;$<er:0[\
+quQ]krqQHg*WPcts8)_cGN\AnqYU8kMtm>Krr)Qhp](2MIdQb+s8W&tqu6?jqssXi[ug@\rqHEf
+rVHKfq>:$ds82Zg!W)SA~>
+#P[rcp%A%PpZ;,1p\ssfp\+=NpAjpcoj%4bq#'d]qtBs^G$nBSO-u](Xjb_.Z^[A>JmMu+I>=&f
+^rO75kl:\Vn*T]>p[[eEq=!qKp%J4Vo]tu<p@\(Pq=jRQnF?,Cp?qD?pA4XZo()DEp%S7YrV?6e
+pAagcrrrE"q=jRSrV6<b(WMSfHhm4)n,K%skkG,EpA4@'F5lQ[q#'s_p^$WmkO\_4S+ZIMpA+IQ
+pA4Laq"Od_rV%T;n)jW@pQfdSj88?9oV.$1rUp!^o(hnVomh,BkPb5Lp@e:VrqQQho(NBnM=C-4
+o(hqVp\jm_pA4O`q#'seq>g;@~>
+#MIb^f@S[-g#^lJg&B_*g%O(gf`9\'f3Ht]g>:E:h:UT;>"M(MH\IH-RD6J3T8/,CCI^us@r6OR
+V5pDobN%[:da?Y"gXaj*h:(!0g"P9;f[&%!g=b-5h:pW6eCE1(g<e6sf\G97eC<%"f@em6hqHc^
+fDjD,io/eNg=Y!,qq;#'(u;9<B4^,Xgsb;8:<D/Kc.:UtXB!3bf[p,Qs4@5&r7VM5jj;fHEe3!"
+g=l/On_!Zjqptf",NR:piS!%7<l2r9e^iE.B\)+ogt^H8f]V1/?d$jYiS*#=g&9Omfa3m[e(3:'
+g!nU(qpbGmpXfGqs3q"r!S#PJ~>
+#Q4JrqYL*dr9=+YrT!hTrVufhqsjU^qAoJ3rVlNirqQNhG%#2uIr0[FH>IeXIsSK=k5YAUrr;us
+(]F7/qY9pdrr<#rq"agas8W)pqYgHms8Dp#rVQHirVlfr+9)0;s8;]fqYgHjr;HTkqYC!dq=sa\
+qYL$[p%J.TqYU0gr%J*DrKsP^s7$!`nnOHio)JRdqo=B]p](-dqt^-bqt^-bqt^-bqtpEbs8U2h
+kPY/S%K-,$qu$?hqtp6eqYU-`qtg3kqtg<er;%i2s7cNdfRne;s7ZKk[<_NFp&+a]s7u*.Bt"'A
+q"t*ir;6<cq"Xa`oDAi^RJm0Zp@\7Zq?$HgqYC$br;ZZjq#U?eJ,~>
+#P[rcp%A%PpZ_DOpuD,Jq#C*^p@7nTofMmBq"aCQp[S(MCfOkGF('#eCL(UqE,2;TfCnXup&"IR
+o^qbIp%._Gq=ja^p$qVFo_A7VoCM\NpA"U\.e`N+p@e7VqYBmXrVQ?]oC_nTp%S7Vp@\(NqY9gZ
+q"aa\oCV_Lp\F[^rV6?c*Vf*sOe2:Hl1X`9AWm)`s7u]i`..4ErV63`q=sdap^Qump\=LWqX".T
+_KOl1q=Y9lq"ORXq"ORWp\+@Tp\4CXpAt'`rqQHd,PLL$o(hh(I!aWEm/?OYEq9"pp\47SoB+&!
+X8`+dnb)VMq#1$gq"+4bPEPY7naZ,@r:^9fp\4LWqY1$br;$?g!;M'~>
+#MIb^f@S[-g$./hg>glcgAfk"f^[Ymf/qX=gYC94gXY-2;*@H9>>&0b<_-.t>?6iV_V`kmgZ.)C
+g"Y05g"Fp0gtU]Bg""[+f\G<;f@Sa3g>)Y].b`P,g=k<;hVHr=hqcu:e^rO1f@em3f[n^+gY(63
+g"P05eCE.%f\5*7qq;#');N]rGD4i7ce?sr7s!V:i7d,BV.%a"hq-EWfDXD"g'Q]cjkcq@`nT5$
+o@`Zdq:YYrs4AIIced4-e@8mn^u*Q!fTK:cgXFm1e_f'+Y=b)Djjhr9rn78%o@XN*flqSlgXFWu
+eCN4JeG7\ifDjD$e,RhseC&j~>
+k552Vrr)ios82flanmgeo)&IbqYpBlr;ZTmgiRPLWE!VPCh[:(Ts(bsM27"KS!g%JVRa=BakG.a
+f'r_=rr)iur;-9grs&E#s7uNgrVc^*rVlfpqtp?lqu$Elrr)coqZcusrVZTir;HF"qYU3bqYU*`
+qYU-dr;HLar;H6elZ:YMqYC0`r3p;#s8;WkqlkbRoDe^aqtg3dqtg3dqtg3dqtp-^rVl>MUAt8a
+r;ZWkr;QThqt^-bqt^'^q=j^Zq>'j_qYU<hq"Xa_)uoU2r:p8tPPP7Ps7ZEbs8?N%qtg?kqYU0d
+qYU'bq@EK&p](-^s6XsMo)A[_q>C0e!r;]ho)&I`qY1*cp4*~>
+k4\iLrqQKes7ZHbanA*on+Q_Sp%S+Ro(VSEcY$juUekQ;A78SZQD14AI!L$fN/EjcQ`@6a^!=U1
+b2i9go_%qOp%%VApAFd[o(;bKoCVbTpC?okp\+7OpA":Qp@n=Tp&=Rbp%J+Yo`4gdp^HupqtBj^
+q"OU\q=s^_p,VmBmf2Eecg^PsqX*s[@H%(Wo)89_IJrO/p@n:Tp@n:Tp@n:Tp@n:SnF6/GlAM/3
+q!7VKoC_ePq=sdZq=XUXo(O0up\XCTp$qdXN:Qo8q="(GqXn0^o^i%Tp%J+Rp\Xa_pCHuno)/.H
+qW;b7mJ6\Mo_8:V!qu<[o(N+Xr:p<f!Vc;<~>
+k1K^ern@A)s4I>&ak/u2d+I70f\>-:g#:TB]Mq^qKJH"p9hIcXJru4KBk1diF`i+`J<cI\V7<Y*
+ZHh:Zg"P38g=Om*gYq&Df@f$3f@\gUgCDrlgY1<4g>(<4g"P05f`'J,f\+s1f[njUfaQThgt197
+g">$5g=b0XfGiMtd,W5FZd[OWhU1#@7)[p8e_o,@@H#Shf[f]I&D>R_gtU+mJ)oD2g"k95g"cDV
+q:GGmq:>/i*80!$dG<I)g5p:+imlr:h:LTA7"O(FiS)r;f\#oKs4@k8gst<7d,<&EUWqKIdF?eD
+ea_;lf)O8"df.Vod!u~>
+k552Vrr)ios82flann.!nacPQqu6Hds6TdcIVlIXp&>!kaK0/mS"B9Ps7u$]o#AYsd)DuSR##`p
+Ci='9KT(tVUV+sqg$e_9"oeDopAY'jr=8c&qt9^YqY^<krqlTjrr)iuqY0a`pAagcq#pQkqYBs`
+r;Z^3p]&3[d/X(Es7ZKXP(ET2rr;r(O8ntRnG<arrqlQ,P32f=rVu`lrVl]jq>'abq>0saqZ-K`
+p_`l-pAb'criVUfq>Bg`s6BWXL<fhrr:L!eqYBpbq@<;tqZ$Kds2TWIs82ckr:p-Zqu?Nhp]:-_
+J,~>
+k4\iLrqQKes7ZHbanA"!md9]?p@n1FrnmPDDI'7(p&>!g`27*UPEY8%rU&PAj0uJ7_7#elM0WQ4
+?!puZH@gj.RBjiIcfOm!r;$*^rqQ`lo^VDEp\sk$p%7nEnF?,Cp@n=Ro_%tSqu$Hfp@eLYs7H?d
+"o8#jq"X[^p](")o)-:IbPh55r9s[GMgG*kp\OTcM#Qo<nb*Lcq"OFP\;T8>nFlYKp%J4Wq"XRZ
+p%nCOpD<_qq=X:PVi^cGp$;PNiq]$ma8,H'n+lqVq=sp_%eKDerUoUU^j=c6pA"=Tq"=4Os7cHd
+s7l]ip4*~>
+k1K^ern@A)s4I>&ak/l9cd14qg"k?4kfi2M?;6X)dG3[:WK9nPJ:Z>0lIX2BcD%#8XJ(>mFC\*5
+84uET?Y=+lI[@+2[*%._iSNAFrnRb4f[\I*g]#nAg"=s)e'ut$g"P03f@\g4hV[8Df@U#Qs4./&
+"kq_bg"G*Vg&KbBeD?p&Xl%jgi7$c-DdM/PgYUYHCuWt!nCS6+gXt,JDo:A[g>(<5g>)MWq:GGm
+q:>)g);W`rf[SW5FPtg+dH0?1idbUBhq?`3gt:9Pf)OA4f%J^6gXP2X>eAhCf[\UKea_;lf)O8"
+df.Vod!u~>
+k552Vrr)ios82flaSZ#"*VK=-rqcZas5JuhIK06,p[n+Bs8V;oK4gF2gYDE!rr_rjoDJOd-h5mB
+_Q9cE[\oCPL3IEJF+K7'MNaa=_U-p2q=sjes8Dfos8Mljqu6TsrqlNip]:?mqu7'&q"asiq>(!c
+qY^?krtYP-P'jk9oD\d_qZ"fIbl7Y>po^+dn,![ps8;Wkn;X[Lrr;rnqu6QkqYBs]q>'j_o(X'u
+s7cQkq>R4_s7ZH^s8MoD@_MU9rVH-brVH?brV@$$q>L9hq>["FpAad]rr)Wgo)&I`qY1*cp4*~>
+k4\iLrqQKes7ZHbanAs6j5KM$p\4:YjndMUF)CjLjn/*4jo>8:Z?TW0K[8$.p@nR\l0da(o_81\
+qrQ)J\>#XrXIY9(Hu3;"Bm5,WK8c8!]?/Fko'uAIq=aF[r:fgRo_JF[p[n%UnH8CZqu$Ek%K-(q
+pAFj^pA4ITp\F[bq\T)!NH_f%meQhLoD-C.`V96$nY_WJo^qYH%K,ngqWWa6o_8.SoCVePq!n(B
+pD<\qq=X=QSs]HEpZhYLo?(:Go(MkOmeQhUq=sp_%efPiq"4.WQAG)2n+HMOq"=4Os7cBb!Vc;<~>
+k1K^ern@A)s4I>&ak0hN`5L-Xg>1HGcf`/[?sVpJ_:-i]b3J-6T4U];EOi[.i8NnYe(E(%hVmMY
+jj1?BSVMo[Ob.Of@8]Q`:0_C?B5i<[T<5KPf%&F.h:gK@hqHZ3fA,9<g=OmSe-"7Ugthqc%Gfdi
+fA597fA"p/g"Y<]h%e\oDcrFWd+dO-fA3GhWS?:^eVe\/n(80)i7ZW:c"`6jgYCN7f\>0Vg%j7q
+ebRedfGWJngt:02JpcS.h9b6?gp9;:f\G66dG3C,p"'/q%b]IggY1<BH>:jdcdg_$psnoes475"
+rR(_od!u~>
+k552Vrr)ios82flanmjdjm)^>q"smXs5/jRJBe,gnb)qTs7ZK`q"aa9Y`F'QLmZ'Aq>^KnrV5sU
+rr<#srVlfr+o_B4qu?]lj2\OF\"SY$BOP7eE-6\iPa%?2]@H<GrV,j\rrE&ts8Vg5q"ad^q=t!d
+q>^Kip&"[brVcZkq=t!bS>t*:q#::&p&FoiMuE\No:W#XrVH']&H2V(p](8qK'iU<r;6?jqtp6c
+q=sLVo(X'urV?HjqYln]r;ZWnp\k,HL@G69rVQNgrVH?brV@$(q>L'`rVqDDrr;B_s8;-Ys8)Te
+!Vc;<~>
+k4\iLrqQKes7ZHbanBfHioTk,oCVV:r6g/&EP;):nac_Ms7#sOnF#_cUk<N!I#PMfmJd%Rna,E%
+o(`"OoCVbOp[n"Bnb;kJftFE!YaU/]@9QcIBl83MNK&jk[*Ih+p@.AIrqlKbq"adWo_%qPp@e1Z
+p\+Rap%%nPp\=M&p\+7Nqt$/NchI&-q>]mYoV@06q=3g>T_%mKnFd@do'lSSVL.J%q"=:Nq=aXZ
+g%Q<Xo(VhKpQD6Cq"+=Mp&BJjl29uEp@n4Xp\FU_pC@&lq"""Lqg"h0s601QpZ_DOp\OXcp\'+~>
+k1K^ern@A)s4I>&ak1L[_oUK`f%Sd(k.bf,?EN/8cdUn)jP&bJh;$_lNbqisAp0icfBDAOgXaa"
+gu@8Ef\,$8gtC9+f%f-3^7p[^P^[4B76Wh.9i>82EH,oOQa+Zag!e4+iSN>CgYCW7e^i@)f@SU3
+f[o!:f$jWOs4SFFf[eU/eTlqTg""m6j3lc9LhPMue^/_tf@njHfFHWif$rX8MI4N_gtC?3h>#\!
+f^[P_fGWDng=Y!1G(n]-g#(H=k\"JQimc`9g=P!0p"'/q%c,ake_&[9?%L\daO](spt"ufrmq,!
+rmChpdXV~>
+k552Vrr)ios82flanmIao_SUbp\b!cp4gMmWrMhQp?hDIs6fIAlMpnVs7$'6X)hs"OfPM[rs8Su
+oDS^hqtKm\s!%FAr:p!\rVuoPe&];3WLAluG]%,*DL$b^LR50biV*<Lr;QZpr"T&-p@\CarVccm
+qYU6jrr<#ormpQ;rt,1us8W#pi,uU,s7qqkpAb'\q[`]$q>L?jj*T5Rrqu`is8)Qgq>0XVnbW:_
+(&e(-ren)Vs7u]ls2f9/s82WhpAajbqYBpbq@<N"s7lKiiG6O6q!e=]q!%\UqYKsfp\'+~>
+k4\iLrqQKes7ZHbanB0<n+HVNnFcMCl[$(=Sb;@*oBPc:s6/h-irB&Cp>u"dTkRhOLS:C6r;Zck
+oBtl7p%@kBme-MXrV-!Zq"F=Tp$qM@pAP$@be^flU6CCYEG&WcB6&9BJ<6\Fg@+n4p\ssfpF,b2
+naQ>Nq"Xd[p%J1Vq>0s[q9eL-s8DcWs8)E]fl"+eq=9QPn+cSGp(-ofo(MqPgiUa6p\"7MqXs[Z
+q=jFSnb3jno_.tMpOoU:r:9^UpVCRerUf[Snc/.Xp\FU_pC@#jqXa@Qg18+soBZ;JoBGuKp\OXc
+p\'+~>
+k1K^ern@A)s4I>&ak1%Vdb*I2f%]!4eRYD=MW34%d`]tkk0hi*cg'fGi6U5[LepN@DMX)'j6#I\
+g==R&g=k-+e(WdAinW8Ch:pT<g""R%g>V,&YbdkQL3IH=<(]JD8l],#@rmO'^!b`ig&B_*fdPM-
+e'ct+g=kE8f@\g3gYCT8gU#,aj58V8jPJSC]i(0Jh:?V5e(iXHfFQ`ef%T!5^f[epgY(<2hUqYW
+q:P5gnCST0g"=p1BTLa(f\kQCW`$+^g=Y*.imcW5p"'/q%c#Xkf%Sop8>Y"gbM1Xtpt"res472!
+s3^qsdXV~>
+k552Vrr)ios82flanm%Uq>L?ks8VoGJ(a+Jf)Pd@l1FrS_lL/JQ-S[nrser,pZTVeLicm8JYgTY
+rr3#tqYgEsqtTmYq>L=Jq"jperVQEbs8W&srr)Was8Ml`h8Z^qXf%\MJp2-KGC,"(SZ0!,gY(?@
+meHh^qtg9e)>a7.s7Z?ip%@qSs8Vupo<Ducs8S,1q>^Haq[if(r;Zfhs.HUhr;HZis7uT`qt^'`
+q!e+[rVl^-rdVQVs8DTil>ig#rqHHfmf3(\qYBpbq@*2ps8N&oXD7,%p%eXeq>'sZqu?Nhp]:-_
+J,~>
+k4\iLrqQKes7ZHbanB`Lo_A:UqY]p-FNrZoao1l!k4/9I]qqm0NQ0uOqtU$ZqsE7QP(%.D??_mU
+jS8cMoC2GOs7u3Qm-O36qYU-ZoC_hNo^_MKq=aRWp@7PFp[dV"^T*j%TTt=[E+id&G(5C:Up%/V
+eCNI?oD8CYp&4M#p%J.Vnb2qNnF#uHq=OCIWaXNXqhNMgq"O=P&GYkiqtTRYRAoWIpA+4To_7qO
+q>'j]nb3(UpAX^tpNX(:q"F+QibG+Yp[J1Rl2UARp\FU_pC-]cr;$6\V.8]bnFZ_Zo_J7PpAXg`
+p]:-_J,~>
+k1K^ern@A)s4I>&ak1UffA#-9i8WCs?FS!o[d)_q`R<Q(V2q".HEk`Qinr_KimbrBH"Bi57:(SF
+bMVI<f[\^8jPJJ:dF$Ithr*DBf@em3f[eR0h:gW<g==U*g=FHXU5a\[K6V0<;bKV[=CH#lL67e3
+[^a)qe_K$6fDX8<f@\d3e(ER+da6\)h:UH.N^^S=heTRLgtVAO&)>dihqZW?I>u\.g>199fC@Pi
+fD4"ffE'RVrn%q=>aX4$gsbB.;i'2af&YE+imuc7p"'/q%+j(fgu6nD8'0K3eDC2Sq:G)fs475"
+s3^qsdXV~>
+k552Vrr)ios82flann!mp\F^ds6[aB_XHU)s5O(YoD/C3NQUV__MeH[s7QEcqt'ddqu60O`ft:F
+B7,Zim/R+\nbE(_s8E,uqYC-grrr>rqtp<irVlrsrVlfrs8FtSr;?Nmrr<#Md)EJoT9tmfH$!tK
+Ko(GER&7IBkkkD[rVufes8N&uoCDMPs8%MGo)FF2rr)fcq[i]*qu?Qis4<=sqZ$Tgs7lN_qZ-Hg
+q"j^bq!n1rq#C6hr;CfVrVc`jnYgTks7c?hqXXX`qYBpaq@<E&rr;eJMZ!JKs8Mfnq>'sZqu?Nh
+p]:-_J,~>
+k4\iLrqQKes7ZHbanAX(nFH5Hr8Y@u\)c8Rq:G??me$=sLVi-A\qBh=s6faPo^);Jo_7\3^Puf*
+@!.1MjnerGlLFfLqY9gZp%.bKq>:*eq"=4Mo_%qQq>0s\p@nR]s7\DCp%A%Qp\=O1ahG!SR$!DJ
+Ec#K/IY)s+PG,D.j7`NLq#0sTqYC0gm-F$4s7:c2lhGqkp[@eep%n=Wo^i+0Lu\+%r9jIRp[S%T
+q>0mUpD<Apo_%nNDnPf;p[RL@D;=sVo)A=Lq=X^\q=sp_&,#Ymq>Bf4KD535qt]j]o_J7PpAXg`
+p]:-_J,~>
+k1K^ern@A)s4I>&ak0MCf%A^5il[rhU!CTOj2'R4d+@'VDlq@AVf(S>k1&8<g="d7g>1/uV/o9l
+7U'Z8akl",cILk1hV?l?g"4g0h;@/JgtC92f\,!6h;7#@g"QG[s4TE`f\"m2g=tAgXJ(i4HZX7+
+<DZ=e@:`e`Fb?$``Rs5+g>CT1gtUiGd*L(nj4@glceN!PgY1BOfFQZlf\Y94jKraDfA,<4hq%&F
+l.?d$gXk*1fi+R!gtgT1M,qUQf%B'9d+nWQp"',p%b][nin.dSg"Fj/g!ea+q:G)fs47.u!RoJI~>
+k552Vrr)ios82flann.!qt^*gpq_-Ys5B(8r;Q`cs8D(qKD>KHY[Hr"oDedgs8)cop](0brVuQB
+ZC$ScEIjUjf^8J/qYgEn#lX]#r;-3aqu6Qo$i^)$r;Q`qr;6?fqu6NlrA"6Is8Vukq"ajfqY97!
+`lc6,UR[EuGA_,-Ed<h<OLD$fc-FkeebAplCtS?*q>^<fnbWmks7uQds7H;;j7rZSp&Fjco(rF_
+qY9p]!;Q-])#O+.qu$EkEQ7qVqZ"iO\,?1!qYU3iqtU-dq=spb#QOf"q>^>8Z2XS&s7Z6fqYC'[
+qu?Nhp]:-_J,~>
+k4\iLrqQKes7ZHbanAd1o^_VKn[E>3p==rcnal_Dr:o2]IIR+1W*&6[m/H_QrU]gXnG;hHpA44(
+X-&*GC3l,NdH9uhoChtTq"FCTp%._Eo_81Vq=s^Wo_%tRp\"1Mo^r.UrUqu=o_\FUnaZ2Cq"+%6
+a1oO*Xe(l;IWB.5@Vp4HQ]&,BVoHd&b0KMJct1VkF7T2!oC;Mcn,MtNnG_hLFPQE^rU0RRp[S%T
+q>0mVpDEVoq=O@Rp1hA8q=FX+>d*emnalDIq=aFYp\FU_pBUTkp%8+QDlWg0"T7f]s7Q3^o(N%V
+r:g<ep4*~>
+k1K^ern@A)s4I>&b1KeKhV-W8hUe>tOPmomf\>6Bc/.3p9kE)@k`\B\iR$T<h;d2Fgt(E<e_K*4
+[ZPcL7o!B8QaOude^rO1h;$`;gY(3/f%Aa5gtgc?g">!4gY1<3f%8OQf_sJXf[o!7f@8=#f\>!,
+_lBH.TTF\LD.$=97RU$QDg?2`K8HV/ZECL_f<e,Wcr\fTf@TQF&(BRif[Sp.gK;8Ah;Qf>f'1lP
+fGW2of@\d0:8?S$g#fJ,R,-NKg"P08g"+g.p"'/q&)Q*ofAP@_Nn;h3gsOU0ebRhbf`0P%e,e%J
+J,~>
+q>B[Xs8;lpq>C'cnbhYK-M7?<q"OggpAaX^rVrX.cM%9oQ2gaRs8D]jRXG/,rr'<!_s[R#q#'sb
+'E@4/RY6$4GFc_Es8Vcgs7Z?grVlg#qYg<eq>C6k"8_rprr)lsrVlctrVZQgrV?@=s82N`rVu?A
+_nj!mW1/j(@qoauCia6CDLILp_s$ssqY0j`q#CBjrqZTj'E%n1qu?]prVulnVi:ZUnc/X`rqcTn
+r&srTqtg0bpAb$_q>0j_rVZNcpA"L[p%n[dqYC$gr;6Bfqtp<hp&4perVC-js7QElJrK@%qZ$3a
+s7uWgrVHKfrV?Eh#PnDqqu>#Wq>U6jqsOCYqu?Nhp]:3cJ,~>
+q=j=Ns7cNfq=j^Ynb;;A-L^j1oCDeUnbhMHo(\S[_sI)JNqi86q"F4NPB?]fp@YUX^$,Lgq"OUX
+*<"j,Q%*suEgXZ1s8)6Xs6oURpA"O\oChhIo(E"V$1miap\=U\q"FF\pB(']o_J4VodBV0naZDN
+lIWb_\$)QmMM#/D@qoRk@")a3L3^GjoDeLSp%J"Rrq69_s7I'"qY^!\q=aOXp[b&3s7kmVrUBXZ
+q#C(Op@n:Rp%J(XqXjRYpA4^aq=XFTq=sORq=sXTpA4OWp@\.Qp\4+Lr:BXR?fM(Qq"]5hm.g2M
+mIU8Jq"+IYrV6?erV-Wis7H$]a^Xi?p&FaRp\ORcp\+@Ur:g<gpj`~>
+q:Y2gs4RD*q:YSrn_*0Z-dgc-e^WF2eDeg:gu<oXXjc*=FPba#hV-K7H!TRbj5?@ZV9\,Qg%j@t
+fc8qgS9SLG<`OLAdH'-4f]1H5g=k?>h:LB5f%/ORgBlH`g=k<;gtUN8rn7G,f[orPq:I(Mf[J='
+gs!=%Ssb^pG\gqV7n6<G:debc>&%?9`Rj/%eCW@'gu-f`f)O>8g"bH:gtg]<h:pP7C#n'phr3)>
+qV(u&!nc2YrRX$egt(36f\G?>gXk'1gY1-.gY191f\G04f[nd.g"Fd+hq$K36cS3:hVVg[e`#3@
+e(NX1gXb$0qptYrs4Ih4jO`)CY=R6re^`7%p=K,nq:Gc%f\$2Ss3q)$epm~>
+q>B[Xs8;lpq>C'cnbhYKs7lfrs8D]fr;R\;LY)S+XDl2Rs6p!fpUOOnq>L?mKM14rq"a^_q>1]t
+qu6Wghnu[NEFEI4Xj>u)rri,krVulqrsSc$q#10hqYBp\pAFpgrVlWkq>:Nqr;-6es8)9brVp@*
+qY0jdldt7Ed+6R$GZB`^HWY?2Iu08\XJW2@j7W6Ao_&7`r;-6bqY])jjT#8SmJm"Xq"OOXq"aj^
+q#:<jr;Z9bs8)]gp%\:Vr;6Hhq=ajgq"asip?V\Ur;?Hhr;?Qm'`.k.GPpk.m\b0oqY9j`q"XRV
+rr;rnrV6?erVQTj"T87aDuBV2s826^qYU<hqY1*epj`~>
+q=j=Ns7cNfq=j^Ynb;;As7@T3r:ojTqtg![q4`8\o_G4q^[V6ds8)5j</gA?s7Uh/g%"\+q"OUX
+..d0.qXE4QX+"ki@=P5uh#@?Qq!mkIrV-*_q=sXSnb2\LoCDG@n+H\RrV--]q=S\"p\"1Qqt9=O
+qu$Bhq"=4Ls5_P`aN;cMK5jY@Klg10DgI(pS>W'\_;=\RnaGuBp\".Ko(2P(DVb6jnE0cCo^hYE
+oCMVKo(2\Rp@nLOr;QNfp@7nKp\=U\q=X=Yqt'IVqXN_Cq"OOVp@n=\p($]jp2K]es6$%kjmqp2
+p&4C]q>C3crV6?erV6Bbs7ZPSB`7W(p?q\Op&Xp]rqHBd!VuM@~>
+q:Y2gs4RD*q:YSrn_*0Zs4/LMhV-K1hr3JOj,@TYhVa5dV:O_QjkeLS4a5]@m,;S/^XUfbg%j@t
+fdPG)gtgGmToNPW5=At=XhWlUinW)6g>UfAh;-l>f@AR-f[eU&e'cnJg&9Y#g%a39g"4g.h:Ks,
+h;7#Eg=Oj+jN+^FXKAh2B2p^%Bim5h;-[^MIYi]9UVP=/e'ZV!gY(30f%8Tb;Sh;PeB6h&f%&:"
+e^`7(eCE=/f\,--hVm5Ef[SU*g"Y<;gXt':h::*3gsa?ug=b03f_jD<f%o"Yg!&U'L/lORg"5!1
+f@8=*hq6TYf)+)!g&BV1g>-jGg"4d)f%0QHq:YSrrn.M.f%/@#f@GH~>
+q>B[Xs8;lpq>C'cnbhYKs8=8>pAFsjp@\I^UPJF?rpa]gr;$Barp0T->-%\ps6rifpAXX[qYC$a
+qZ$RArVlirq=X:So#?Mp?"nVRc1q>;q>L$`s8W)rr;HZqrqu]ms8W&r!<2utq>C'c%/Kl$qt^0i
+s7Q*\qYU9i1]R=Os7--hn,Mm3Ie!45s3f!(Z(@5?I;j+AC27m?LlIF`Zch7us5/%<nGiO]rVZWm
+rqud7qYC0jp\4Xds7u9cs8;cos8Mihp\Od]qYgEls7uR/s8;Wes6k1-pAa<*^&S!-q>^Klnc/X[
+rVHKfrV?Eh#QOJsqXnZnrVlZnqsOCYqu?Nhp]:3cJ,~>
+q=j=Ns7cNfq=j^Ynb;;As7dl3nb<(\n*9l=Q@%cgoBKeGp%81MpZ2?i:S[dPq!(IMnG;VKq"OUX
+-iEi9q>:![nEfi8_1Z&qA93sSnc&7Qp@%VJq=jRTpAXs`p%A%Sr;H<kp\=R\q=j^Y%.s>jp@S+V
+r:'7Jp%JCZ1]R(Hrp':Ykl0grGO"_us38HnXI50+G\_&-AS,h+K8,/FXMicYrn)2&l2UbNp@n@W
+q>L.3qt9UXq==+Oqu66Vq>C!]s8DcdoCMYKo(DeRqYU9lq=b^%p$hPIk]$+]s58.0qXa@Mrr;WW
+s8VKbp\jmcq>L'nqXF@SmU_UUrq6<bme?SO!Vc<ep\jjfq=oI~>
+q:Y2gs4RD*q:YSrn_*0Zs4SdMe(N^9e(![:K4WEgh9\]8gXk?1gWJYY3KE4RjjZ+Kf%n^+f_O7s
+fdG\5gYCZ@f@/'ud%k;=4%E@rWn$+_f%SU)gtg`<g"PEAg=Y'2gu&(`"5;Mbh>,b"fF6?bgXt*1
+h;6T/e^rIQfe_^@jPnJ?jNQW.@p@7/j5dD?SW8&;C0F>*8k2EK>\.YcGEAc9dGhf<TZuNVdb<C.
+g=uS]+5PQ"gtU?.g>:f?dbNa6g>h,Hf[eX+g!nX-gYCWCiq_7Fh:U3,gWNRIe`OkXT&\V^f];2K
+cfF*4f\$)Pqq(l$%,KCgf[NQ>g=Om*f%0QHq:YSrrn.;(rRM#$epm~>
+q>B[Xs8;lpg&1C;s842>q>:3krVu>>U$D[Wm\Ojcs8V]jo)J\o@/os#o=@GGqZ$Bjq=4=brqlKd
+r;HX*q!e(YqqJf\P_XsNU!Wc;rtPA(q>^Kcp&+jiqXa4Vs8Muqrr<#or:p0hrWE&lq"t!hs8N&s
+>jCt]s6fpRs7--;K)bHBp&+U^qtL$gp&FR8b/1WaQ(a:mJ9>=-ATqR8Xcng6Unt6.dGjZkrVHNm
+qu$Kor:U'ep\t3ks82Qap\Oacs7cNmrU]IKqYU0frVc`p%KHD&s8Uu%p]'W[R/-1Lrs%TXs8Dce
+s8Dfmq#1$equ?Tus7FuZdJ3_;s82!Ws82Wf!;M'~>
+q=j=Ns7cNfg%Y%1s7[l5o_/.WpAX&qPhu'(j.9rCs8DBamJ?HP<Vu4ala/s-p&"I[pA"4Q0DY>5
+o_84Zqu?9RoDeO8\=S\1IY=03pAY$eo^DAKs6K+Gr;6*Pl1k&Jp@e7Uq>'d[pAar&p@@hKqYpHk
+qt^'_puCc@qWIn?s6BF'Hi<=2me?>Hp@@tSnGhk)`P&RMOID#SH#?hf?>s(qVMp=oSY2smbh_UW
+q"=IYp@nF\p[J"Oo(W"Sqt0IJo(2PKrUTd_q!RD7p%J+Rq"Xg`(A@=qqUfiXrT9i:n`K]Bqqgc=
+q"4+VrV-9crV??c"oIc:A'4?@p&FaKpAt'`rV6?e!;D!~>
+q:Y2gs4RD*g"GoJs4JaNf%Ad4g??jnJ]Q^(c%Jj4k2=YFd,E_@5Ng_dfUaO)f\Y66e_0NI0AP73
+f@o';hW*24f&GAnRt>Wj@VC4mg>_)Jf[JF0jNc0*hqlr1bhLn+g"G*6h"fXuf`0]?f[SI(gu.)H
+h:p]<g;hV#hTP!%j3HJa?fBAldb31'f[SU0dc/Q\Vk93*Edhk6>uEmK6<$-VMK!BTJV&fLY.r64
+g=P*6f\,'9g!ea0e_Ap6hUpB-e^rI.i7-N=g<e$if@\a/g=lP\);Noqh;,\DeDnc/GM:C'i8MW(
+inN)7jOi,^f)+)!g&Ke6hU8o*Ygq@Ue^i=FfC@Poh#H(.g&9M&fRN~>
+q>B[Xs8;lpg&1C;-hm<5s8VQ\s7`(EmJlPQd:B3Up]'d`q>^@jReZd[qIOEbq"apbr:0Raqu$Hm
+rrN#lrr3o9p@ItRq"!q>c(KZ7L8NGns8V`Xs8Dciqtp<k!<2rq!;u]jq>(6mr;6EhrqT._qYBp]
+q>0sfmJ#grMSua_q>[[`rVuosqu6Tls8Vuin*TlLs8MTcnalb[qu-Qpa_el5TSdc'CiaiHF`;/;
+LQRXh]>hM;p&>!kp&b6nr;Q^#qtKa^qY'das8W#rr=]&)qY0jZrV4Qcp]&0ZcgLi5q#13pp%nUc
+rVHKfrV?Eh#PS2pq5nT$qu6HlqrdnWqt^$fpj`~>
+q=j=Ns7cNfg%Y%1-h?d&s82*Ns6>SnhYl@/`a,;<o)7qTo_\,HO6uH3nm>qJo_&+Wr:0P4p\=U_
+rVQ?]r;Q`mo'c,Ana#H"`gM0pJ"OsRrqYsCrV#gRo^qtZq=saZrUp6cqY9m\"Sh`bp\+UY@J9Bd
+oCMVIp&F1DiHp3jWT!FFWK$WOr;$'^q=aadp@7G3o)JacmITW0p\OOUs8'TE]"XSbCLLdjEH5r2
+ASZgRLmPK`[F=RBqt9FEp\+:Trql?TmJ$5@oD8IbqXsO\p)<VqoC2A>p@6(GnGKtBaQEO$nGE+_
+q!dtNq>L'dq#1$ep]p?cp@P4qjRiHEs7YXM!VlEeq#C-jq"K:~>
+q:Y2gs4RD*g"GoJ-e-T!j5%r-jO\frbNd=5YX=3,e_nd6fAbL>He[E=hapMEf@\m1g@<iHg=tH@
+i832>hr3SNe^Dt"e^)L\WdS5U@tV#7in`#(i7ZZ3f@Sg<gtUT;p"B/n"PVP]g"?;T@G'2_e^`7&
+fAt*(`F!8ONQ'K+NH*\5i7lo=gXtBBf[J'eeDoTDce$IhgYUT:jPHb+St^XG:II`L<)ldh85<Z3
+CO2>AR((T+iS;u4h;-iCjPnnCdG!1"f%o<Ch:UBZfc8Yqf$i3tg!lp)eDd6-Y0Z=og#:oPhUC-2
+gt:9Vf)+)!faQBdg"20Xb1P=re^i=FfC@Poh#H+.g&KY)g":f~>
+q>B[Xs8;lpq>C'enbi4]nbX^*s8MZhs7Og(RK*<Ts8.\,meZ\TqtC'inqq2Dq"fk8V>pJer:'a^
+q>'jpqt^!Zp%\F_p@e7Xrr3o7s8MilqtBa\`jVIuO/U7`s8)Zns8)NgrVc`p!r`&nq>:!a#lXSp
+rr<#rqu-Kk"9&5ujo58uZWWc%EW#\*OhgP[rV69epA=j]s8DZZlgaoMrsAStr;ZGFdJrA+rVo:Z
+jjLrPQDC..J;T&#B5D7"L6\$iYcY:Oe(s?cqYU-ap@e:Yr;HWorVZNes8W&tpr&3gi0CbIjO_/s
+de*,*s8DodrVHKfrV?Eh#Pe5os,)<qs8MlpqsOCYrVuflq>pEeJ,~>
+q=j=Ns7cNfq=j^[nb;kSnb+?uqYBUTs7"3dM>-Q!rU>;bkOnE>p@J7Vk'^OhmIGilTDnWWq=+F[
+q"a_7p\".JnauSOo()DHr;HNfs7c*Wo^D8@^TWuYLnVcDq"+1Uqt'@Np@eL[!qu<[q=sd[#l+&a
+q>C*`pA"U\HMI=3hZ*TNXAY9^CA%2cMRi'?q"+4Qnb2eIr:ogHk3VjBrV60er:KOPq<idUq;:iA
+s8VrahTNI4O.DYgH%UQ\?".,OI#EoAVPC0'aj]5;oCVYEn*ff=p%J.Sp@\%IrVuTfn\'_KfoE9-
+gs<ISbO+WcrV60SrV-9crV?Ee#P7]`re#I[s8M]kp?q\Op]:3cr;$Bh!VlD>~>
+q:Y2gs4RD*q:YStn_*`ln^o59gtU61j3k,PH0!i-lIor^c.LS"g!ns9ctZ1ogYZosLZR:?fZ`4J
+g%a8Lf[eR%f@o$1e^iI3i835LgXb'1e'lsEPC%%\KrDlCf%Aj9f$r@*g&B\,g"=pPg%j8+g=Fj0
+hV?f:gAT]Pg=tB!jPo!W2L%2Vg"4VhS^5^;e_&O'f\=g1g=+6dcIq49gt^oIf[\[2dU]N:_q<l,
+j5&/"Y+1VpJ9td2AmnD%8OZ<_EcQ5\MNOX;]#`CQf@JI"daZn$g"P05f[eR1j4W8<TPN,nFHtOu
+\=g:8e'Ze*gY:',f_a7sfDjM4f%Sg9BjT-Hf@AF&f(R_kg%jA%h>c70gAfe+g":f~>
+q>B[Xs8;lpq>C'enbi4]nbWXfs8)'Vs3cg\lMgf%p;V("s7H?bs76-gs.X&(os-lDirArOr9XIZ
+q>'jfo_JIc"T.uos8Drm"Sh`cq>C6l)Z9F)rr;rU[>8UBLp,Y0rr2rkq"t'jrr)]jqYC!_#Q"Dp
+q>^KorVlgVrr)clqYL3kp%<Q_m\c0Hs5NTtmf3=ds8W&ts8;Wis8;N[q>^<gr;Q]oqtpBmR#:q@
+s7u<\qt^77r;-EkpAb$;]uS-sSs>+[HZj=JHY[qcP*2<=_Y!U!rr)j5oDeI\qSe]`SWNL@iH'Ii
+_4l)%s68qNrVHKfrV?Eh#QFPto6@D;s8MlpqsOCYrVuflq>pEeJ,~>
+q=j=Ns7cNfq=j^[nb;kSnb+@%rq5FFrlp+Bg@Y.<l+:NMs6ogSqsX=[p6A^OlDck#h#I0Dr9XIZ
+q"a^mnFc_Zs8;W`s8Voooc`u!nFH8Kr;-*Wn+ZeSg9-!;E.Ot=nb;eTn+$&Eq"OLTq=sd[Dtrts
+qY^0aqtg0bq"OLTp%S=NmW![<TS`^FgZs%Gs8Dckr:p6jp[\+Wp[@MAr:BRRp\4CRo_86FKDG0>
+o'Po<q"t!eqtU-fp%.qOn,MjqZ+ITCP)4R+De`coEFa-DMi3h!]C#+Zp\Odbr"n_qmIg(bNT-7\
+mI](IG/:bZDU&4Bkl:VUrV6?erV-Wno_@ioVYU,gp&FaRp\OXcq=sg^!VlD>~>
+q:Y2gs4RD*q:YStn_*`ln^o5>i7H'#i3-g,b2haNetl0Ik0i)7h9ap=i.=@VfU!q*`9>t.g;r.H
+g%j>/e(ER<j58SBjPntofHJkteCN=0i83/<e(`j8^63%u;e1fseCrX5daZn&gY1?4q:YSrDq`dn
+gtpf>h;$f?g=b-1fA#01dT'`!KPff,^X$*,jPS_KhV-lHg!na4g!S-shUgE5gY:H7f\>;+BAM5$
+f$MjsgYUiFhV6uGf[ed0dcT/`RA6L8H?!Iu=&M[d<_-8(DJjZWT$Ys;g>1WCh\jbqd+HpCEQ3BE
+e(VZ<?`KcM<3tZ+bN.=.qptYrs4Ih9fA"\SN8NOEe^`7%p=K,nq:bl)s4dM+!SQ+U~>
+q>B[Xs8;lpq>C'enbi4]q>:-es82ioBE.T"s89TjJ`-S.o)J?5Oo"bLr:TpcoCi4aQ[E.TYkA%f
+pAb0]rVQEfq>:!bq>C*eqY^3fr;Zcnq"FIZrpfd`s7uEcs82iqq=smer;QZmrVuosr6`!DOcc0C
+dIHl)rr<#tr;$6cq@*>uqYg?dqZ$HirVZZnr@\*?mp+cMo)JFVs7`sUao;,6r:g0ipA=^\o^hbN
+qtL$dqYU<mrVHH#D#a80r;Q^arVZQjr;QKds8Vrls7H?krVuorrr;lps7tX#c*+(9O+V^tD..!m
+Fa\msLnhMic.St:\Tua(ptU+frr:h_M>$uLnc&Cbq#:$dq>U6sr;H<ad;@Y<lMgY[qsOCYrVufl
+q>pEeJ,~>
+q=j=Ns7cNfq=j^[nb;kSq=ad]s7ZKc-iE?&s7NpYHIVlijnJ"_MY$?4p[IqSmdKoEN,_p.W:0cT
+o)JaVrV?6aq(MXAp[n%Jp\O:Lqtp'XpA4LXp[[kIp\":Sp%J1Up[u\5Q&:HaYfc7uo(VtUp\4LY
+q=b?pp@\:Vo_&1Vq"X[\qYp88q<R<GgA((1na?GHZ$sXco_8+Nq"sUTp%%YBo(DeKp\4@SqYBjV
+orhs,nG)\SqtTmXo_%nOnaZDMoCMhDp@\%Qq=F7OnauYGf>b_,Tp:F]Eb]2i?=n(uI"-^;ZEV?s
+T5LrTcM$eXE1-FodoD"gqu?$Vp\4U\rV?Hf#l",`oZV""s5j7Qs7YmTqY1*eq#1!kqYBs^pOE~>
+q:Y2gs4RD*q:YStn_*`ln^o5Hcdq./Rqc9Dl0-RVdpR.Je(`R(f\Fj(hViW`6;<Zqkg\/@iQL!O
+g%j>ShVHo;e^iI1d+@.2f[ea3g"b?5e_/^1gY1?7gt^Z;Xcn!HD0V8Hc-Y"pgt^WYg%j8qgXk'3
+g""^2f\,!4gY:H9gYC-"3PF4pgsjd5e<FF?g=Fs1eCra-f[nX$dF6\"e_8a0g"kK<f@c?ZjODu<
+hqm,@f[nd.g=4X,gt(%;h9Xj2f\kW?g"b05hU]?AW/H=RCL:(98Nf@2;-@78A:Tu1Wj[OXQrp`N
+f=b==hr275B[u)(ce6tJf)+)!faQWaf<7iXk/c0)e^i=FfD4+qgA]k,g'$'^g=b,/~>
+\buI*s8;oo)>a="q>^'`s8)]orqt2qOoG4Ws8;nm>2K/TqZ$<kqYU6hrqlWk&GuD&r;6Ehr;6Eh
+r;6Ehr;66dq>9^[rr-1"m)u)THA&*Ao)&FdrqcBaqu-KjpAFdXo`+ses8)H[q>C6ep%8(Ur;-?g
+p&FraFo1t3s7Q-brp.";s7--hqu?Kiq>1!]nF?2Kp\Oa`qtg3dqZ#o%gAh$KnbhqUq>:g(rq,6o
+YEt--M.qT]>\\9,rr3O]OS]"SdV"^BoDejfqt^$^rq6Hhq>:'gr!<8qs6l5@s7H9hqZ$H\r;-<j
+qYKsfqY5R~>
+\bH*us7cQe)>F.!qZ$$Vrp]INo'j_HMYHW7p%A?U;q^mCp](!hp\+RYrq?9a&GZ"pp\=LXp\=LX
+p\=LXp\=LWq=a7N..lW>RXB1)S]^9jp\XdZo(2SMq"F7Pp$M5Eqt0paoC;POqtK[QpA"X_0DP,<
+pRcF"oD/:So(r1GZ#fp0rqc9eo_8(Rq"4%EpAFXYp\=OXp@\+TkA8WDoC2MEpA+G-rqZ$>`i>2S
+LjrcWAl<#Ka8P]+GD5MYm_r@arp0IXp\=R[rV?NirqQKe#kmcflB%8.nG<.Ws7YmTqY's`qY1*f
+pOE~>
+\_6u9s4RD()W/oriR6B=e^rR.eu`7rgXkEAgZF,K]\1rirRV#$qUtl%jOs@]n_*oq.+cP<I:$#_
+J?@,Kg>:T9eCE4*g=Xm-f?_k"h:CN<eC)t(gt:**f@g/W0\Oq6fmluRe_8j.eD&a"P?$SdiSE,G
+f%J[-g""Hsf%em0f\+s1f[na1a\K;#f%TTG%,0Cgg"P-5g"P-5g"Q5S,N.>(^o336B5V<N?qiXO
+:pK3@iaHcYhqbY0EpD07i7cl9fDa>#fD=/*e)SYmG2:X%rmh&"p=B;tqV(f!s4I;$"Ou#Rf[t]~>
+\buI*s8;oo#5\&fqtB[[r;R2CBVkb's7ZKblt*KlrVHKfq>9.Kq>9^["9/,jqYpL-qsDM!NJa%*
+a6N?ts8Mijrr2`ms$H2Ds7-$es8DW`p](9lqY9dXp&FgKGb=O+r:U$gpA+aDSrE^Kmf3([qt^-c
+p@7YCq=j[Zq>:$bq>:3]L=6+trn72Tp%\Ibs8Dfhr;Q^Hr6fbds8)0`RC`.bs/]b>qu?9]qt^'_
+p@e1Qq"agar;?Nlp\Won[JTRorqcZlmelqYs8)Te!W)SA~>
+\bH*us7cQes7[<*r:TOOqtfjQrjQ4*s7$$VqsEQSXm>r[rV63^iV30AnFp5ZnFQJRq=NgdRYHHU
+W5.H]qYg0ZoCr"MqZ$KWl2L,Js8W#ho_/=br;$*[p%8:WicUdZrV?$\r:BX]fpRQopZMPGp\+=U
+q=X=KpA4LWp\=OXp\+=Wl[d7To%<[bnFQDNqtTjUo(`"Zn],F8p[@/>Nj%g6p7,3`nGhhDp\=OZ
+qYL*cq>U0hp]'plnFYLVZM="grq6<bme?SOs7cBb!W)SA~>
+\_6u9s4RA'(u*ludb3R:f@T)S6\=@JjON5<b!V99f\$)Pq:OZZq:P5j?eX&Zf%f0<f?'k;BkDCD
+UW1^;i7c`4g=k*5j58&(i6U3=j5&89fAkiGg=Y!-e_o#r<di<Ng=+g4eCWThHYDHnb2Lk'f[ng1
+f$_srg=P!0g"G$1f@\m'A$4V;g=b.(dad%+h:gK3g#D#TgTab5iRuK;Ga[.5jc)`sh!3D?g=b02
+rRL_s#Lh;=<0Q"ah>Yt)f(R\qg%sG!f`KgWf)*qtf[bQ~>
+\buI*s8;oo)#Et%o_8C`p\t3mZ#m5@rr<#sqt,qnn,N@_rV63ciV`NKnbiFes82lqrr3#rrVlgp
+ikV[TMNb6nnbrFdq![_Ns8VfmqtB^WqYpNdo_%tSqu-Nkq;dn%qu??^rr;]es812l\GQ="r;?Bd
+qtp0[nalGJq"X[^qYL$drq</,s7lTHr;Z`qrqud7rVuBepLs7"q>]G\IZ'8HU;d0/s8)cmq>'ga
+p'(6eqtp<hrr!&o`+.Tup&4mds826^qYU<hqY1*fpj`~>
+\bH*us7cQes7[<*oCMkPmIL5PV.umnq>^9ao^.NVlM^\UrV63^iV30Anb31`q"==RrqKOdpAb0j
+gUX28K8cbRlLsrJn`]62s82?bq"+(Kp\XmXnac>Gq"jm_p>M7nq#'^Rqu--Zs7jf]YOqh_p%S+P
+q"jaWo(;YLp\4IXp\4CVq=1)kq!m#2s7lWirq[W3p%%t@o^#lKq<n%0;fdJBJ<dY8n+cJMp\=OZ
+rV?NirqQNfrq6Qa^L#Ueo_e^]s7YmTqY's`qY1*fpj`~>
+\_6u9s4RA'(u*TlhV$?0j5>hkMpL2=hqZr7D,nj=f\$)Pq:OZZq:P5j"Q%ncf\-8Y=4c-bj57S@
+M.gL>Mm1IZg"k0$bh;%5e)&d-e(*++h9j["e^rL/gtC;rFhl\de'm+/eCN[5Y$$q>iR6B3f%8U0
+f[S@!f%8R,g"G$1f@o!.JYCiJg=b0ZgAfq,g`52+guQf<ejn6Mf]'_1?#"=sKW!e`j4iMGg"G!U
+ebIf%d@ih:f@A^Vec44ofD4+qf`0P"e,e4QJ,~>
+\buI*s8;oo)#F(!q#C9erVuYlI'iqRoD%kUs2S-`qYpHirV5(Dq>9[ZrVmr:p[nL^pA+U]q>BsM
+bGC&RVSUF>s8)Bbs82fhoDAOe!rMrqrr4)>qtfd]nETrOq"Og`q>U9hr:J`na8c)9rVQEgqtg$c
+ndkKiq"ag`qYC-iqnBN<q#8tEs8;uqqYg3orqHHfs8Qp6rs#?QmI^.IfDbdTnGi"Tqt^$^rq?Bf
+s82ios8Dut"dsW/qtBgaqZ$H\r;-<jqYKsfqY5R~>
+\bH*us7cQe)#*gqo_\=Lnb;CBEio9>n+>rEpqT_Hp%eR\rV5(?q=a@Q.J<K6rVH3VmJ?GCo(;MD
+p$^kXSq;Wf]#3P&oBl2GpA+=Lq#CBmq"jmer?(q3p[%qIkP>/No`"OWqtU!_n'lNrs7Q*\p@e=Y
+q=XaY%efYkq"XUXpA+OX\Zbbtf_>F@!VZ3aoG[)qmJ[#mrqH'[Rs<rWm$5`lrr2-ZlM()Kq>L0g
+q#C*gp':NjP]QHkp%SIYs7YmTqY's`qY1*fpj`~>
+\_6u9s4RD();<QkhV$B0h9psXOl5<Kf?rX8VDG7)gt:9Vf%JaPf^[WDf\><Ah:U3'h:C$)f@AF(
+d_r&7AS6UcVT%<@d+@(*gXOX(ioAnKgYDeb+5GQ%c/[*jg>gc7hq$E7g"P0-[ooKdf\,!2f@o!5
+f)F,/f@\a/g"=s/gY:AMP1nF>g"HDZ!SH$'ef<;rf'(`KkY(-uhVs5ubgY-p\a8VHdGiO,g"G!U
+ebRl'hqN<SeCiF*rmh&"p=K,nq:P_uqpYZ!epm~>
+\buI*s8;ln(]<q*s6p!fm?E@Ds7u<ep\=d_H]7Uso)8F`pt>T@qsaO`r;uoorVlg"rqu`prr2pm
+rV69ekf0WgJV0lHjR;sCrr<#lmIC)Pr;6?equ-Njs7?9Yr;HZqq>:3epAFjgbDj[Eq>^Bhr;HNf
+p%.bKq"X[^qYL$erqsm:rqcWIqucfmr;QWo!;-6i'Qs3Is7pZ,s7Q)ZL["g0p](6iqt^6ds7ZKg
+s82ios8<3&rGo%;rqH*bqZ$H\r;-<jqYKsfqY5R~>
+\bH*us7cNd(\mItqWR\QiJN#oqt0CXoCD_HFGK>_mJZeXpt>E;p@.hVpfmLdq#(0jq=j[\q>1'i
+q"+4Qj2%RSI"%g4hs0n/q>C-[kj8$<p\+:QpA"IVs6fpOp\=Xco_/1Rnb;eW`.l2.o)ACWq"ad\
+o^_PGp\4IXp\4CWq=hh$p[d&3"SMK_q>:0h)Y`OoqtBc"mdU/CB9iA[l]c_PoB>ZAq"ORYrqZTj
+rV6Ees7Q]np2-c'qtB[]p&FaRp\OU`p\OXcqY5R~>
+\_6u9s4RD();ETthTXd9a)>CYhq-?:f%Am2>&)LCd+I"Jf%JaPf^RSog0E=`g>:iHgY(<9gYC]F
+g==j.`M830?=8Gf_9CNagYUc8b0JYng"=p.f\5*3j3Zi0g"P9@f%Ag/e(NF6W+r6hf&>?9gYCT;
+f$r1#f\"m1f\"g1gY&HWg=G!2fco&#g"Y?>hV[2;io8eN;UsCZekUVPda`n]b2:_$j5/MCg&BV'
+ebRl&gt>J\g"b3Xec44ofD4+qf`0P"e,e4QJ,~>
+\buI*s8;ln%fc>$r;Zf\OFYp]o_SCTrr3/2HJA)lpAOjdq"amIr;$6[r$27@rVH9^p\Fgfs8W)p
+p\!qLs8VofrVu][e[Lm!LQ]6eg@Y@D"oeDop@nI`s"!j=s7c9fqYU<mqXa^dpA+`tM8oSqp\Xjc
+r;66_oCr%Tq>:$bq>C9i_k$f+f_kdJ+T2*1p%/4VqYp-aTD/<ak'FrFq#@p@p]%Z$o_87[q>(!a
+s7u]ls8;oq#PQ\bhtR0HpAXpgqsOCYqu?Nhp]:6dJ,~>
+\bH*us7cNd(]*[oo(N+=L3Co;n+QPIqu6ApF4Tg[nbr4Tpu1uCp@7l%qYBpZo'u;Cq>'m`q=X=J
+kk+oRo^MYUo]OT,P(8.D[D18\rqnYRq=aFMo(Mt[r:9IZo()hRpA4d]meQkPo),_D^\\!$p\4IX
+p\+4Lp@n=Vq"OOVp\OTtQIYa0p`B2&o'l)IlgXQ3nWiM5qqQ/$r9jTf@-mfns6fIPq#1$gqYg3h
+p]'pkn'5V#o_eL_p&FaRp\OU`p\OXcqY5R~>
+\_6u9s4RD();`orfA#B'CKn."db3@(hW3OZ=h2u@eC`FNf(n%Yg%j:jfd#;,g=Oj'eCNC/gt^Z9
+eC)LjiSW57g>gc+ZBTH?A8dg.\'b332<3HDe^N%#h;I/>e`#$-in)i<i7H?1i7$98P\-]Iimlc:
+gY:H7f$r=(f\+s1f[ng3fV!Nhg=Y*Yg)er!eC)_+db!7$fR23&iknijj43:Z9\AKnjj_i7g&9P&
+ebRl'd]lEWe_Sp0rmh&"p=K,nq:P_uqpYZ!epm~>
+\buI*s8;oo)#XF6o_eaLUP7_!rqQ6fs6]jOGeX%Ls8;ilrV63eiV`NKnb`I`qYpHn#6"Aoqtg3h
+rr3l8p\4Uap[InVs7u]pm)cAjG']Fahu!0Err2pPr;$9bs7cQnr:g-fs8;Wks7Q<\s07^Cq>:*f
+qtp<fqY0aZq"ag`qYC!fpU$7ds8CXKs7lcnr;HWorttD.s8D_[`W,%_@\rSes2o5KU7D8^o_\Ob
+q>U0hq>^?lr;Z^#op:g<q>C'`rqcZlmelqYs8)Te!W)SA~>
+\bH*us7cQe(\ROqlL=`'R=!TQq=O:Yrp9LAEOYW4qY^*\pu1uCp@7laoC_qXs8Mojo_%qNpA+[d
+s7u6Vp\==Fnb`4UqZ#`sVMK/3Nj@=0nFQDNqY9aSp[\7Qs8)K\p\=X[o)&FUp$;CQMV%Lop\4CT
+p\+:Op@n=Vq"OOVp&"<`O8/SFg%YO=+8,C'q>0s`mJH\PnWCQchMYU0l0eD_A!!1Fs7c!Vq#1$g
+qYg3hp]'plmZ<D$pA+LXrq6<bme?SOs7cBb!W)SA~>
+\_6u9s4RD();Nrlf&FAl@(jqBf@Js>cJZfGS_2NLg=Y'Tf(n%Yg%j:jfj<4\gY^uJh:gH3f[nd1
+hr*PLeC<1*eBQIuh:CB?aejo1;H@e&]@YN_g>1T>f[\[)hULT@g!n^/h:^<6i6p<)gl?9af@em3
+g"G*4f[e[,f\+s1f[na2e<+e+h:UE\efWMsg=tE<hp^Q@gt-bGjhu.)K[80+WD.\iHfj/4g=cGV
+s4-qu#LRU1f[nj1f`'G$f'_/af)*qtf[bQ~>
+\buI*s8;oo)#X..r;Z2EId6t/q>U0\pA=L!EU!N#rV?EgrV63eiV`NKnb`OirV?3`rq]^orr)]g
+qYU0bqY^6dq>C9mp%/(Zp@eLcpZpPDP(%eLYKZ8.s8D`fs8VB^s6K^boC`.`p\=Xco`+rhOmE&F
+qtg0dr;6?dq"X[^qYL$_s7N=Ss8W&Nr#u%:qYBs`qu$Ecs7--hR(i=paMPFSqYU3-Lo(.Iqu6Ki
+r:pfsq>'pbr;?Nlr+WeCrr2]lqZ$H\r;-<jqYKsfqY5R~>
+\bH*us7cQe)"m:onFY^mFQ<5ip%nFRp\O<iC?#9eq"4OZp%[M?q=a@Q"T8&eo(;qS=82Ocp%.kM
+p@ItOp@S"OqtfgMpA"1Jq>9[Be$=mUFdAuFiq3'?naleXjnJ]8s8VNVrql9XpAaOXr1Jr0s7c6[
+p%J.Rp%J.Sq"XUXp@J4OUQ#!Hp=]0`q"OIRo_%qPp?qtGq=p)]nG0o4YikWMo"0IEqXX@Uq"Xa^
+rV6Ees7Q]j@^c=6p%S4[p&FaRp\OU`p\OXcqY5R~>
+\_6u9s4RD():INqg;mr1a55G#h:^<1gsi#oaPtn-f@\aQf(n%Yg%j:jf`^0cf$r:Mf2gSZg=Om,
+f\"a+g"=m,g"kH3d+I($e(`a.a0q7N>$-'.W5[BDg!nR4h8e4*aPl1+dbrs2e_&p0i8B9+alM1/
+f\"m2g"=p/f\+s1f[n[1dY2Voi7Q^+g=b*/f%8R-g=562hqiRJf&*C!QHe+:fqE&3i7?T:g"H>U
+!S,ftfa$.uR,cuQf\$2Rs46VipX]5k!SGtR~>
+dJNb;nb`@ds7RE3qXX[dq#BB,Lu&+1q=+FXmf2n>B&E@[s7ZEiqu-?Tr8.>Nr;QZZqtg0hq\8u-
+s8MoiosLKIFEs.]d/O"Aqu$Eis!.L:q#(0kqYpN#MtR,MqY9sfs7-!\pA"R^q>'mbs.?.Xs8;]i
+q>B1J%eotsq>$PUs7c?bs8Vrkrqu]kr;-Ef&,#_tpAb0^s1WU>s8DWjnDa?FqYKsfqY5R~>
+dJ!D1nb+%$rUKFWp$MbQlM]=[Iae,gp$D_OmJlY3?eFlAqXOLYrV>^PhY.!Dk4nfI5kajCp\=LT
+nF!HJIVj+cZ,ub6p%7qNq>0p^q"aXQnb)hTo_A3^K^S[5oC;JMrTs=Qp%S:Vp@e1RqO4#@s7Q3]
+q=ih@%eBGdo^nKAr:9LPqZ$6\rq63_r:g3c&+oVooDJONqmUG's8)<dn)F'@p\OXcqY5R~>
+dFe9Jn^o#@hp^'4f?`F3d,VfGA%:@Mf[&R/cfENm7D@@+h:134g&'Ccg"tB]g&B^ig%j8Xf@\g3
+g=Og$OaUY7<H48)g=b-1f\,'9gtUT=g!eI'hqm)DhN;R&hr38?g>V)<g"4g-g=ZDV"kh[YJ^*6M
+f_O4ZfFQZcgst$.H@au(f@Sj<f[ouQrn.,!&(T=geDB'+hO79\j4i&Cd,3FOe,e4QJ,~>
+dJNb;nbXF"nGiOWs8VBWs4M^Gg&L[>o`+^dqt9cGRJHRPs8Vroqu-?Tr8.>Nr;QZZqtU"9r;HWn
+qt^!dqX3"HQ?QnVLpPq4s8;QerVH6bs8MZ\qYp'cs1=9imf*5!p@81]q=aIPo_87_r;!2!s8)]i
+qt^0Kq[WQ$rr)`jWL!S`rqQ<dq#:3gqtp6hp^Zrrp\jsfs-8r=p\t'fpYu)MqYKsfqY5R~>
+dJ!D1nb+'mli7"Mr;YgArloD&df8b.nG`([p[Rp5P4J)6qYKm`q#1$QpYPWDpZD8Hp]'nKp@n:Q
+o'lGGkL$SrE*d+,XOcq;p$VJGoC)>Kp[.;=q!A%\["e><rr;c^kPtAQp%.\Co_ACZoUrJaoD&%T
+pYkfXp\+FXp@Y5DqYBsYo_.nNp%A4UqtL-c%eoSmo_A+Rpl:I#o)&4ZiV*<GqY1*fpj`~>
+dFe9Jn^o#3c/IX*hW)W%jKhif[cGige)Ap<g=4bnGhCQuh;-`:g&'Ccg"tB]g&B^ig%j8bf@\d1
+g"4d'gXaNSQ#]eh87[dleD/^(f@ea'fA>6.dG!I*k2i%Jh9G$ChUTp4gtC9.dF-Ruhq?S4PhXdB
+q:PMriRejug"b?8fS=S)gt^K4g"+m1f\+p1r7Lnt&(oCfe_8X/gMq;XeD/a4fAG0Ve,e4QJ,~>
+dJNb;nbXF&qu-Qpp@\IcbD1_is8Vfdnc/1Ws7OHIgAgsIrVlZlqu-?Tr8.>Nr;QZZqtKsdqu6Hj
+rt,/)p%,AXJ8K7^Wkm0Xs8W#qruV1>qW@S6[#=>Ip](0koDJL_q"OO[rr;oeKu*Q[s7uQfr8@G^
+rVHQlpq21Cr;ZTfpA"X_qt^(!qsaX\q=ajMIb+Pks8VZbiqrcPqY1*fpj`~>
+dJ!D1nb+'qpA"L\naQDM]mG%;qZ$-WmJcPJrp[g7e,Jn5q"aU]q#1$QpYPWDpZD8Hp]'pcpAXab
+r&+HMq"4(BW0DL:B7Q\cb3f6.oCr7aqY:*_hsoO)J`H4dq""7Iq"jj]o^qqUr:fT/](,@eq=aXY
+i:[ZUp&+RU[s[<3qXjCLoD/4Uq=bErn,2kNnc.Hichm20rUKXPp@.hQp]:6dJ,~>
+dFe9Jn^o#7f\5-9e'd(/UL@K&hW35;d,EC+iR=Yp\`DAtgYCH7g&'Ccg"tB]g&B^ig%j;#fDaG%
+fDj\Rhqd#;da*hq>";1pKU]*jj5JSCiSrePk1[f+_incVf$rU1iR%SY%+s+\g"bH;cXNHpe_KuQ
+q:X`Z'\V6nhqHYM?c^sWf@JI&gt:31f%B]I&)5Ief%/=1_-4/#dGEa.f^[P_eGn+se,e4QJ,~>
+dJNb;nb`@d*VK%(p[/"-G`(edo(N"Yq=X^Ss7_>Hs8)Znr:'abqu-?Tr8.>Nr;QZZqt^'nqtg-a
+qYU3hrqcQg!;lcq%d1?XBkqpOX46kBoDe(Hr;RS+K\QP&s8Dukq"t!gs8MlerT84SmJltWqt^0K
+q[N;tpAb!^cZ@D*rVQTjp\Xd_&,bqspA4^eY(cfRqYU<`p>YuLqYKsfqY5R~>
+dJ!D1nb+(%s7#IVo'$+lCk1REmIL&Hp$qhAs6Y9-qXaCZpZq\Sq#1$QpYPWDpZD8HpBUEbo^qhM
+p\=a\qt)N=s81ZVIpc`'K;-QVp$D_=mJcn\s7hn+dJiP,nbr%QqYU0fqtKRSiG[-+s7,pYq=ikA%
+J'8`rUo[&DTVGDpA+CUpA+FnqsXLTp%SB^IeEa6q#0aUnb2JHqY1*fpj`~>
+dFe9Jn^o#@j3l<5eB6gO;J!o-d+-n)f[S["jO.Oli7ZlDg<SO-g&'Ccg"tB]g&B^ig%a2(f@JO)
+f\,!XfDO2QfAGWF_3/7p78[ZNY0bhJk/l*5hWEtWI:9YIe_]!?e_&X3gtgc<dFuK8[)q@Xq:PMr
+iRe[kg=5'5e#cKKeD&[3f\+pIedgK^hUL01hhkjpin)l?ddYiXeGn+se,e4QJ,~>
+dJNb;nbXF-p\jmYs7j$KT'?:Ho`+R\s7lWfs1suks7ZKis6K^`qu-?Tr8.>Nr;QWpqs+"Qp^-fm
+q"X[]rVlcprr4bQrVccpp[e%Rs8UZiYEj]dP,uCNp](-]q"FU!HGKRYs8Miiq"FXcrUp'`^7bE#
+s6od\q>B4K&,6"qs82NKHGfXXq#C3gp\F[^qu?L&o`+U^s5S?rq=jp[r;HEMqu?Nhp]:6dJ,~>
+dJ!D1nb+(#o(_hEs7<F5Pi)N/nGi+Vqt0pTrO%LGrpT[Vqr[nVq#1$QpYPWDpZD8GpHJ<Dp%J.V
+qtg3frVcWiq"aRMlKe!8rlr-RNH]H#V74qDs7>OFmdRQ#[/01`o_&"Rp%eR_o(M^dS+ZCQkkXrJ
+pYkfVo_J+Vq"*?d_"d`urV--[q=jaZ&GQ"lrpog_gi8_Po(qhNr:faTnFueS!W)SA~>
+dFe9Jn^o#>eCrI"j40;mH,Sdke)T!6hUgi9igXl4jON/@hT=a0g&'Ccg"tB]g&B^ig%a2`f@JO)
+f\>39gtgiDgtUQ<f?qjgeD&rdTS[Vk<c!V`]@lB&e(N@,SQMKFf\tT;g"=m0hV6N3esh*?f&OsL
+f_O4ZfFZTeeD8g-^K@2_g=G-5g==dReG7\ofFQ]chp^9:^JoR1eD/F)h:V8Kn^RTiqpYZ!epm~>
+dJNb;nbWpupA"[fmBh5?p&FIPs82T_p\t1"l%%[kr;Zfbs7QEjqu-?Tr8.>Nr;Z]rr;5dTq=k!f
+qYp9uqu-Nos7l0Tp&"ddq>V3/o`+g>WfV7LH^i:Gs8VineVLa8pAY(#qt'R]s8)cWO4=..rqQBd
+r8IM`qYg?is8;AP_#OH-rUp*^q>0pa&,Q&#pAP$!D:/1Ps7#jap#>lKqYKsfqY5R~>
+dJ!D1nb+($nalb[kc]0)mf2P@s8)K\oDSIUgN(^;p%eFJs7$$dq#1$QpYPWDp](!gq<@\MpAt'`
+rq8DJqYU<jp$_>>q"s^Wq"jm`p\+X[lh9noTo!Q/Fd9r+qYojRaaC)YkPP5XqXX:Ur:g6LMU2"q
+p[n:Tq=ikA&,5qrq>C'UPJ."oo(qqQoD/.Vp(-okr:B^\Y%GiInGhnLs7GjTnFueS!W)SA~>
+dFe9Jn^o#?e(*C8b)oe]dcAX$inW5:f&5?:_-"2)gY^o4jO<)@g&'Ccg"tB]g&B^ig%j8$g"?;U
+3n`9Cin`24cdUS'f@ep7hV?i<j4MZ1eZa^D;.!UWY0>qhf&!`FPhjdJi8EA=e_K!5j2,W;g#:Z:
+q:PMri7JRpg=kB:c?,Z<h:(--g="ROeG7\nfFHNheCr`@8ZgOkj3H97ea_5\eGn+se,e4QJ,~>
+dJNb;nbXF.rq-6`VLbrNs7Yp]rTsIQo)8IWYFbdkrVuids8Drqqu-?Tr8.>Nr;Z]rr;5dTq=t!c
+rqHZmqYKdVr;Q^!rVZBcrVZ[Cq=spgs82irrU@t:Q\:s-\B4C'IY[FanbW7Zp%nXap:7!io)JC_
+q>:!ciVO,_qu??hs7j!qr;H?goD\aaqtg3e"8r&np\t$snr&Y+s8;ojqYKgCqu?Nhp]:6dJ,~>
+dJ!D1nb+('q="7NTmWm;s7,FTr9O=OmeHG;ToA^8pAFXNrqQ<fq#1$QpYPWDp](!gq<@\Mp]($f
+pBC?fq=4.Trr4_Nq=!kGp\=OXp@.PCq=jISs7Y`rY)dsoS#j<be8KThkNr$Cp@@tSq!k_`mHaQ8
+s7uBapYkfXq=t!\rVlJqT)&6SqsaLUq"Xa\qt:WppA"@Vq"F*.MXpZ=rq#m[o'uGCp\OXcqY5R~>
+dFe9Jn^o#BgX4m+K3jMojODK9hTap+dG*<uLNMA)gu@,8iS3/@g&'Ccg"tB]g&B^ig%j;#g&BVb
+g"P0.f%f6Di8*,8eCWF/gY1?0db!:.e_9*>d]AaZAUT8uVpN1^A'<3Eg>:H1f\>*.Q@[B-gX5$V
+f_O4ZfFZcii7$Q?ertU;gXP$+gsjpOeG[tsfFQZeg"G$(B5Q2Ug#1B4g=,TCn^RTiqpYZ!epm~>
+dJNb;q>:*drVIZ+s8&[<YPn%as8VT]s7?9go`*j%oDJUfq>:3ir;-?g!r;`jl29E8s8;lp0DkSB
+q>:!bq>:!bq>:!bq>:!bq>:!bq>0m_q"jd^q"smaq>:!bq>U9gp\4=Sp\t0qr;HNkqu6UPrVuos
+pA=mds8DrhXHIa<K;aQ=O3m+gqXa=Oo<s_Fs8Vukr;6?fqYU-dqY^6gqu$?hr:'S(qYU-dqYU-d
+qYU-dqYU-bpAaR\s8'i^l1t2Up&Fg`qth!'qu$3_s7bSq])2I%o_SOZpu;2NqYKsfqY5R~>
+dJ!D1q=aa\rUq<!s7N.-W;,cLrVPsRrpp!]mJbUXj6lR<o(;hRp\"IZ!r;Wdl1a'.s7b[Nq=j^[
+$iBeqp@RtKo_J:Vp&4MAq>0p\p\FLNp%e7Yp@msKLhp4<S9nCmbN/Hln*fc6Z&7ZCq"4+Lp@n:T
+p@n:Tp\=LXp\=LWnFdmsp@n:Tp@n:Tp@n:Tp@n@Ts6KU_ou(q4o_&7Tr:p$`p(?ukq"++So&"8i
+o_A(Kp\OOVnFdCep@n:Tp@n:Tp@n:Tp@n=Xp]:6cJ,~>
+dFe9JnCSl/iR`c_MqZP,i82f2i7-Z<dGqfBb1,,'f\#'7g=Y*3qq()chUqk]rn?Viq:PMr$f'Li
+f@AC$e_Jp5f_sDLgtgc=g>(?0gY^`FgtgG9Dc8r/KO[>bY/f;MdaHUlP\nM&gt:01q:PMriRemu
+f&=j/i7Fi+`n&c#e)/g/eCN.#eGIhqfFQ`ff&"rn:mT_ef$`4*e_'BB%+NkXf$r:#f$r:#f$sQI
+rm^u#J,~>
+antr4)#N_#s7#pao_ngin?J&&s6f[Vq"jjaqu$Hn"mLfFs8W&jquHW.r%.aCqu$?hqu$?hqu$?h
+qu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?ir!`Q%rVZWlrVZWlrVZWir%%aGs7P!GMg9G]
+DM4dcRZET*hZ*WNs8VonqYU$_q"smZq#'pbrVQ0_r;HWp!W2Wer#kn4qt^-bqt^-bqt^-bqt^'^
+q>'pbr;;/bo`+shrqQB]r!;uqs8)JYB(l0$qu6EjrVufhqt^0dqZ6QjqY:0hpj`~>
+anGT*'):hnrpT^[nbW.[l)KQ_s69:QrqHHd$2+/hpu$Orp\4CSpAk!&pFQ+6q"ORXq"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"OR^pC-cip@n:Tp@n:Tp@n:VpFu=9q!QM+KQ:sA
+BRZMKP_Y*af)P[;qYg$]q=s[Wp\=ORp\FRZr:oaSp\=X`qY'LUp[S"iqYU-bq"FCRGe3;=qtU$[
+q"".cn+utSnWdMPp\4IXs7c6\q=jaZs7cKerqQTkpOE~>
+ak6FB&'a.ld+d='gYL]0NGG]WbPBcth:gW$@#3Rkg"G)1g%<tngAfq[d^4mF<`2ReAqc4lE,pTG
+kiLLXk1SPDg"4j.g"Fg+g=Y-8g!JC)g>1W@f[T0=rn.8&&D#Ld?(]O$hV6r>g"4p/g"6#P$JO%g
+inE"/7b$/Gqq:u&s4R+u&)#Rff@ed/f@\[,f%AR+f`'V)g&BS(gXq#~>
+antr4+T(g%p\FX^rV$*TQ@S&rnc/@Vq"Xa`rr2lls1j!Jp&BU@l22Inqu?WgnaZ1UQ?HV8B;!oP
+s8Vf`qu?]gpAP!j!VuEfrs\Yoq>L<dp\=R[qu?]mr;ZZcq%3>qpA+O]qu6STVuQeio_SUXr!38s
+qY]&`UAFicrV?Hks8;Tfq>C*d!W)]iq#UBfJ,~>
+anGT*+SbR"q"jd^qXaCDO*TL[kl1AQp\4CTp%@nDq6b8'meMG.l1Zk$pA4RSm-O,>Nc%om?^T40
+q>0OEoD/4Op&+jirqQ-cs8M``q#($Zo(2MGpA4^`p[S"iq>:*dq=s[Von&b6q![YErpf^hq=*tI
+e7P6Cp\4IXs7c6\q=jaZs7cHds7l]lpOE~>
+ak6FB&(K(\g=b68eCVi`>e]7Ai;)"1f$`BB<Q<GAJ_B;@0@SS/g=+?md$&ZV5WD;e\_H-*f@A[;
+iR?B6ioAqLe`,WHf@8L0gsad'f%/L/hW`_mf`0P2f%AVgK&bY:eD&s9o@XB&hq?c?\kI_TgABS&
+gAfk"f_O4rf`0b,gAfk+f)aXYJ,~>
+antr4+T)3(p&FUNs8V,2NT^?9s8Vidq"Xa`rr2]jqKfXNr;M9Fl21Y^r;6KmruV.7qYB?hPD,%'
+]@6?Ns7uBgqtBRMp%n[[q>C'_q>U6qrVl`jq>C9hr;ZZcq$QokpA"I\r;Q]1L]7&Ms8)N\r!38s
+o)GUoiVi`PrV?Hks8;Tfq>C*d!W)]iq#UBfJ,~>
+anGT*+8Gm#o`+CGs8Ur(LuS7"q>9s_p\4CTp%@_Bmr,B-omul$pFl=9pA+XbqtTaRn_pp8I>=l1
+bNo*&naQGNoBu&;p\XLSq=aISq"XRXq=jORp\Xg]nb<[kqu$9cq"OIS[=.K5o(i"Onb37bnEU%I
+=PNiLq"Xm`p@e=VqY's`r:p<f!W)P@~>
+ak6FB&*(g_j3Z$.j1o#:`8&hsh>,\.dFH]EOl4mGJ_B;@0A>+3gYUiDgXt35a.IBaD3UKrdH0<?
+f&#*0cd1(mgsXg.f@AL+g">$5g"+a-h<EVmf_sG%fEdpTe(*+.gXk0Nfa?Hlg!f/?5/H(/gABS&
+gAfk"f_O4rf`0b,gAfk+f)aXYJ,~>
+anto3*rl!3rV$'YgP!!)s7uQlo(VnRqYU3irqcZ-H2m^?Jc+^/)#<jtq"aXTs8D`fp$hSL`i4i@
+H'6)6qY^<l!r`#qrr30#qtTj]rVlfur;$-`quHWcq%3>ppA"I\r;HZdKZsGqs82BWr!3&tp]#W)
+r;?NjrV?Hks8;Tfq>C*d!W)]iq#UBfJ,~>
+anGQ)'`[h#qXaFMfRL-ls7H$^n+c\Pp\+UZ#OhJnE;B)&omul$pFc+-nFQ;BmeukLna>Z.o=q#P
+EcR)NlLjuNrr;rnq"t$hr;-3]o(MkTqtg'ZoD/.Op^m8tqYBs^p\+=EHH#XSrqGjNpBgEen,%9f
+p@e7Tq"Xm`p@e=VqY's`r:p<f!W)P@~>
+ak6FB&)l'lgXOj&\RCZHimuc<d.u<!e(p9fgst<7J_B8?0%SJ!e^i3riS)o6eBQFnV1r\b=DsqY
+f@o'<i835AgtprEgY(0,f\5-:gtC9/l.Pscs4I\&?`Df;jP8/:o@XK)f]1WF>]\]Ug=lGWrn@D*
+p=T2oq:P`&s4[M+s47;+fRN~>
+anto3+79+*o`+s2PG%jRmeQnSqtKj[qYU3irr:]%df94Eqgn\,quH]ps!R^<p\k-lr:^'gs6Rn.
+P`(0Z[++I=rr<#qp%7tQp\+FWpA+^fr;$0do(rXeq"FLYqu$Hl#+VIgr:Kmdnb`Xbs8U>if_kUE
+qu-?irVufhqt^0dqZ6QjqY:0hpj`~>
+anGQ)'^5Jgn,N7#Nh-"Glh:8GqY9j[p\+UZ#PZPfaoD#.p4;u"pFH%8r;H?[o(`7ap[S"Vqrbqp
+O+r+FYKuD)q>1$_nF,o=o'uACnauYRp[n:Unb<:`qYBs^p\sjjQ(7jIme?YLpBg9fq8II(p@S+R
+q"Xm`p@e=VqY's`r:p<f!W)P@~>
+ak6FB&'Eb]dGs#WE.6O$bh([ug\KJ,gTt%ain)r;J_B/</)&e8hq6H/g>_&Ee(W^9af'u8BOGkC
+Z,tVPgtp]3dF6Xqe(3$tf%]!5f'1lbfDjM0g3J5.gsk-:g@Nu&g=5?GY$/?jrn@8&rn@D*p=T2o
+q:P`&s4[M+s47;+fRN~>
+anto3+8c!1s89R"]Dq!`s7YgWs7c<bqY^9jrqh\Is7c?hpjrA-r!<9$s8;Zcq"jsgrtbM.q=aOX
+p$D/Es8:s"U5"8f]$pNNqu6U"rr)lsqYC!]r:9^rq=jRWq>:'frr9c]l2UPXs7-!lqZ$,DU\O`_
+rVQQhrr)lppA=[`qYL<iqtg*hqtP[~>
+anGQ)&G5Ybqt7Ib[f>@Us7P^TrqQKerUgEbJsQH+o`"H5pZ_E'q"jj]oC;GFq#(*ep@\(Jnau>6
+lLt,Lho)(:I?_.bp%.nTs8Dcgrqc<[p%J.Lq#:*gp^$Wh\TQp.o(`.QpBgHdl@PStp%8"Qq"Xm`
+p@e=VqY's`r:p<f!W)P@~>
+ak6FB&(fI_hUn9AR,c*2j4;H0htbn0e7O!de(3I-J_B;@/DAn7g""R%f@o*=gt:60e'lmrairDn
+ftjP8@paDGYh.FXhW!GIg>Lc<f%9';s47/#s4Rb6SQWtjf\YN>o@XB&g#:CqK@nrXgABS&gAfk"
+f_O4rf`0b,gAfk+f)aXYJ,~>
+anto3+92?9m(S[ls8Duoo_AC\o_A4XqY^9jrlC,ds7lKkq18J.r"Ji#qu$Bjrr;iprq>pVqtp0c
+r;?Qo(\mt.rV#F'^TriaV7On,o)J:Urr;ljqY:!ZqZcljp\=R]r;QX!k^C)Cs82Z_r!*-!\U<-.
+rVZQkq>U?mr:^$`r;-9kqYU-b!W2YB~>
+anGQ)&-)=ljgU2Rs8)`joCr7\p&4X`o`r0_j8JNAqt>U8l1Zh$o_/%Rq"ag[qYB[Knb2\Jp@n=Y
+s82E]p\+(6bda^.Nh3Srf'E8$oD/7VoC_nQme?kZq"apa#30m6rVcE^nb<(W#I/C#p%S.Rp\=O`
+p\+=Vp\OU`p\agdq#U?dJ,~>
+ak6FB&*)<kaI7%2iS38DeC`X3ebRi&TkDC'eC`U/J_B;@0%AJ)g"G*6h::64dEU(if$i4%fA#3;
+e(NI.d_i8XNbNKaQDh@>hp9j-gt:0/kh5sds47Y2g=k<$>+"@1gXt6Ofa?HghjRi^gYLW<gABS&
+gAfk"f_O4rf`0b,gAfk+f)aXYJ,~>
+anto3+7oO3Z@TUbqtKp[pA"CTp\=O[qu$Bkre]5+r:L$Ps+1+4r#,M4r;6Bfp[n4Yrr)lsqsF+P
+r;HHaq#:6jr;I9+qrP\`H#A/"`nU.crV66gq>Bd[rqHotqu$EknGf8Yr;60enb`Xhs+-L7qYpEk
+qu-?irVufhqt^0dqZ6QjqY:0hpj`~>
+anGQ)&*j2fWHtoFp@S(Op%eCVq#:!fpAOXhIa.ocn,MJKJbSF')>X(%p@e1Mn+-8Lq#(0ckje9=
+q"4(Iq=aO[pCR&jhRetlB6fWUf'iM2oC_qTp[7ebq=sd\q!7sMSFuOBrpf^ho_Ninp[n7Sp\4IX
+s7c6\q=jaZs7cHds7l]lpOE~>
+ak6FB%aF%dN*Vb&f[\U)f%J^,pt,g\YiFB`j2Ku.g$.0*gY1?5f[nX#db*7*gu$](dF6_"eBl\D
+g&0P8g"4'3G#_.>FJH@nh:gE2gZdDjf)O>0f\5')jFDd8g=5*8o@a/t#ifB<h:g`@g=lGWrn@D*
+p=T2oq:P`&s4[M+s47;+fRN~>
+q>Bd[rqufnrqc0^q>:p"rVuf`s8V]jm[/^^s7H?fqY9japCHlqqYC0bs/<6ms8;oqoDRA?q>6<P
+q>1Ekq"ad`r;6EfrD3:hs8D90ZCl;gKoW+\pAapbr;?TprV-?lrV?9eqXs^]qu6WqrqlB]q"jpd
+rVZ?ggkX__rqlWns8Dorr:BjdqY:*ep&Fs5GN/YtqZ$NkrV?!\o)/ObqY:0gpj`~>
+q=jFQrqHHdrq5gTq=bEiq#C*QrVu<cjc=f<rU9U]p\jjto)JCTqsFBRWTX6QrVH$[g%Y=9On\\H
+#P@]_p\=RZp\FM[oCr.UjN+BiDg?kiUX&E0oChqQqY^-ZqYU'[o_8%Jp%A%Sqtp3ao(DeSr;?Ee
+nc.3mf(A_/p\asaq"sgRp]'pXrUo[Yott_%qXX:Tp\4R[nb2PJ!VlEeq#:'hpOE~>
+q:Y;jrn7>(rn$\mq:Q;-g>gl0hrE)DaDtXri6g?UfFQHkf@Jg*idm'2i7QrAdG*@-q:Lh_!8%(t
+#LUuKeCE.#fD4)sf%T!6a/b5J;-RLFKs9%ce_&R.gtpc7gtg]8f%J['f@S[0h;-i=dF6\!g=k<8
+eDe&N]\;2og>:]?g>1H/g#CW6hq-<7gT4Mpi7QcAg=lGWn_!Bbs4mY.s4RG(!SZ1V~>
+q>Bd[rqufnrqc0^q>:j%s7Z3eo&Ti-P+gt.r;Z?aqYp9ipC[3#kkt/Ss4WIds8VfmrU^$cgALdD
+Oo5%P#l",iqYU3fqu$<h!W)`mrt,,)s73saEH-/EV9o,>o^;YNrrrB!r;6Bfrr3<#p\+FYrV?#e
+RK!3iq>0s^p\Xsi%eBYmoDedXl[Z5<qZ$BfrVQQhnb_nTs82Zg!W)SA~>
+q=jFQrqHHdrq5gTq=bEns7,[[mGIrqM4!,cp&FFWp]("#p]'@Ln+ue)K$jAknbW+QrV5+@q=]sF
+q=k6fp%J.Tq=saZqXt`sp%eO`q=X@ZmCS-iCiOEebP(r(l1b5VqZ$F&rVl`kq"OOVp@\Icr;$*d
+p*'8)mAZ9Ip\OIRp%%\IqYU0Wr:'.Sq!-pbW:ffZoCVeOqtT^To(N1[p\agcq#L/>~>
+q:Y;jrn7>(rn$\mq:Q;2iR?<:cb\SOCjWtDf]1<RfFR#^g!\^1ZY$T!hp^B8e)&d2q:Lh_!8%(t
+#LUuKeCE.#fD4)9f%Ad8hqZl8j3O91:/4_cK!!\`dEC5'rS7G/0]1gFgtLH7f\"g7hqQc5eCW=-
+f[,S%j5/\Ef@SO%f\G<=ced*sj4_c#@?KF#i7\+`qq:Mln_*rts4[M+s47;*fRN~>
+q>Bd[rqufnrqc0^q>:?pqtKg`rs7eEVVV:Pqu$BkqY^+"rUBjepA1;fr;Z`fs8MZgqqCuDqiUgP
+qZlljq>1!dqtp3es8O8=p\+C[s7?0gs8D?2["E^LL8rS[k4\KDs8M]ar:g$arr)ispAOUhp\Xph
+q>]&fg&D$Nr<2ulqu?KkrX8]#qZ![9lMph[rV?EhrV?!\o)/ObqY:0gpj`~>
+q=jFQrqHHdrq5gTq=b?pp@@bMs8V)1T@X#@p@n:mqWn(XmI?=>oDeOQr;6*_ptGK<p6#+Fp]pHa
+p@n@Xq"X[Z,Q7K3o'u>GqX4+WrV5U!YC:Y8JYgNGiUQF0qt]aNp[[tMq>L0gnI,!`qY^?crmGW/
+p@eI["SMB[rUg*b%J]SgqPIobrqH*[oCr"Vq!n(KpAt'`r:p9e!;D!~>
+q:Y;jrn7>(rn$\mq:Q;6f[SC*j5IpfK"9k!f\+sRfFQ`]hr)l2FcY,6g!S[3eD/a1q:Lh_q:>l#
+eCE.%f[naNfd#D0f@8:"g"as-i8<82XH?mm<+C]b^r+XLf%o*/db3.$f\?A[!7Cem%+<\\h;HrE
+[8OHigYDe^"P;2Vhq%e]%GKCbh2G1RkM=nKg"P0Wg%!_bg&Kk-gAfk+f)aUXJ,~>
+q>Bd[rqufnrqc0^q>:d'q>U3[qq$L[p]'X\s6K^\q@N5ts7QE2Q2:O\p\=deo(i1:r;$5Pr;$3p
+p\=R\qu$?gq"uN:qYBs`r;HZqqtKpbqXaO_prntGGCuNjdJ*\=q#C?lr;$'Zp\=^ds!.L=p\+=Z
+s6cYFpAb0irVuopq>C$fo`+mZs3l/+rq?BZs8W&prV?!\o)/ObqY:0gpj`~>
+q=jFQrqHHdrq5gTq=bEto_J.Gp<nGGo)IqRqr[qSpCQ`irpKTpMXU<7nFQ\XoD&+7p\FNFp\FRh
+o_%qPq"a^[q"IVYp%7nLp\=[`p@@kNp$VJOo>co3EdjIVbjtf.oDA@Yp[n"Fo(2YQr;HTjp@\+V
+r99`-lMC;Lq#1-ao_7tWn,N1Krm#Gkp?qtDrV?3^qtT^To(N1[p\agcq#L/>~>
+q:Y;jrn7>(rn$\mq:Q;8f%\d$fX,($eDn^1h8nXPfFH6aiR-GQDU[=oe(*I6e(E@LfTFk_f*BdS
+e^i@)f@TfN:tXCNf%8U/hVHi6f%Sa&f&5)XEDohEI#G/WiRuc;gY1?3e'carf\5*8gXt-/fA>E/
+JoB)pgt:?<hUpE4e`5'9g<JQ\<M87$k0;rDg=lGWn_!Bbs4mY.s4RG(!SZ1V~>
+q>Bd[rqufnrqc0^q>:cqr;?Tp_2k/Uq>'d_rqcEcq[ic$s5X-7bl@V;pA=mco_SI=r;$5PquHWj
+q$6Tdp\=R\q>'j`$MXAorr<#trU]jarVmK,s8W#orqbj/Um6q'SZ^E5rVlisrr;uuqYp@:q=sXT
+nGN+Zm"2tOrV-$_s8W&rs7lBdpAa&kRfE3Ps763irVQQhnb_nTs82Zg!W)SA~>
+q=jFQrqHHdrq5gTq=bEgp\4^c]S`*Cp@e.SqtKdZp(6ufpY,=g_>Eion+Q_Tp&"O<p\FNFp\FRf
+o_%qPq"a[Z;=sSXqu$BhqX4"Oqu$BgpAOj^pA+CAd%-2ON0^BbmIp>Nq"OOYqt9[Xq"a^Yp$qqP
+p>pP)rq>pQpA4X\q"s[Sp@81;D3OqgkPsoFqY0a]q!n(KpAt'`r:p9e!;D!~>
+q:Y;jrn7>(rn$\mq:Q;+g"GEBSnr_tf@SR,gt:3RfFQ]bg:c3JV;KkRdb*F0e_Ad1q:LPW"kD2U
+f\,!QfdYJ'g>(N?gtU3,gYL`Cgt:N>g">'2`Nk#6BlA9SY0bkVgtUQ:gtpT4rn%2$,1Y,tf\+GT
+RcN2Pe(EI2g=kB5e_&@0]hj":g<f!1i8E>Cqq:Mln_*rts4[M+s47;*fRN~>
+q>Bd[rqufnrqc0^q>:cuqZ$<3S@S\"mdgDSrVuTiqu-F(s8)Nj[>anZs82]hq"4C]qqCuDqi^mW
+qtg*np%J.Tq>0p_p\RY[p\+7OoDejhp[n.Trr2iio_AIdr;Zfold)]#P+/i3p](9lp\apaq"FFV
+q>0jarVrsCjo>AZq"k$jr;H6ep]'T'L%YK>r;?Tir;6Hgnb_nTs82Zg!W)SA~>
+q=jFQrqHHdrq5gTq=bEkp&"<uQaH\jmIC2MqZ$0cpAOXqqXa1UWe'R.p[n+Op%A1]ptGK<p6,1F
+p]^<_p@n@Xp%V>Vo^hVCnGE+Xo'c)@q>'dUn+6GRp](6bjN+3\Mj1?lnG`F\nFuYMp%J.UqYU'`
+q"g^ug&CsFoC_tVp\=1Vo)IlmJF<=&o_/=Up%S4Xq!n(KpAt'`r:p9e!;D!~>
+q:Y;jrn7>(rn$\mq:Q;/fA4rRH'[:HcI1V&gYpZXfEg<adc-9udFR%Nf)sUSg>CT:q:LPW"kD2U
+f\,!Ofh^5MeC)dmh;-f7dF-Y$gY(*(e_T'7j5JV1X,1q9GEB5]iSiJ=f@JL%eCE7+gtCK;i/(=G
+inrJ?fA,07g<em0j2k50eE#6;gud8Dg=lGWn_!Bbs4mY.s4RG(!SZ1V~>
+q>Bd[rqufnrqc0^q>:p+rU[[TWq-2Us8MWdqtL*equ$BjrXei(p\]9\s8N&ss82K_rVHEFr;$5Q
+r;ZZjq$$Hbp\=R\p\Fj]#kdrgrr<#nq"t$i5lUKTs8W)tr:o[Nr;Zfqp$g/8T8f&@i;`ZOrr;rm
+p$r"Us7lEJJ"lQ7s8;Wjs7lEgs7u;cG2iPmr;ZHiq"jsdrV?!\o)/ObqY:0gpj`~>
+q=jFQrqHHdrq5gTq=bL$q!PV@V="9Is8V`eqXj[YpA=LonGhqJD8Q&=q"FLXo(W.\ptGK<p6,.N
+q"OX["n_K]p\=RYq#Bq]o_/+Zs8V]^pA4^aqYB[Ur;-6bp[dP6p&+a]mchZqR"gR$g%t@8qu-Ki
+p@\F\rq#^3E0fkgs7c*[qXa@Srq,ZSES^Z[o`"=Zo(;\NqtT^To(N1[p\agcq#L/>~>
+q:Y;jrn7>(rn$\mq:Q;;g<c6rLX4l$inr8>gXY*TfFQHkdFM0lgXk35gY('-hV6`:q:Lh_q:Z))
+f@\d1gY1BWg&KPqe^rO3iT&J=f\G?>gtU<2hV?l?g""3jf\bT>dEJMRHYIDZ]\V)hg>(H8f$rU2
+iRZYp=a\TQin;i9gst!0i7?;0;o%PEh<3>Nf`'V%g%!_bg&Kk-gAfk+f)aUXJ,~>
+q>C$b!;cTirqufnrqc0^q>:ops3d4<o`+g^r:T[\p[S+Wqu$BjrXer+qk&`Fs7Z<bs8M`irpos?
+r;$5Pr+Gp&qt^-bqt^![q=sj`qt^-bqt^-bqt^*ar;-<bp\+Xbp\Ojdp[nC_r:p*drql`qrV63f
+s82fop#*ZZLjZ#*bi\WrqY0OWs7H<j`I5_grqlHis7lWgo(\N"o`"IYs8Vifs8Dlm!;Z*\o)/Ob
+qY:0gpj`~>
+q=j[X!;HBarqHHdrq5gTq=bKdqTFr"mJlnQrV#m^p?q\KpA=LooDA*EJGK*0nacSSp&"d\ptGK<
+p5o"Xq"ORXq"ORTp%A(Rq=j[Z;"sb\qY9gWoDSFSp%\:Pn+ZYPoCVhRpA+RYo()SNp%S4Kg:E`(
+G+GeViUcpAp@.hTmI^.`EPCH.p@A(XoD\=Jo9"=eq<[_Mqsj7Rq"Oa^!r;Wdnb2PJ!VlEfq#:'i
+qY,L~>
+%GB@df@ed/f@\[,f%ARJf`'S(f`'Lmf_O21bh]FBNR6_<f%np,hUg*KfFQQieTkZ[hU'd&h;$T:
+hp^93q:Lh_q:Z))f@\d1gY1BWflu*%g=Y*/e^WL0eCWF-eBut(g""[-gXt<8g!\F'gXY$0dCPlp
+A6+5@WPR*=g=Od,i6g<:Ti[u,gXt$2hUUQ6cdd)@dG31'iSiD=h:pZ:g"4p/g"4m-f[e^+f[e^+
+f[e^+f[ea-g"4p/g"4p/g"4p/g"HAYs4RD's4Di~>
+nbW@`q"smkq>^-ZqY:'e+8u6>qt9dbq"OU^r;$0dq>U$brV$9bq6>dbp](3eqYp9fq@`c%p](3h
+s8DrGCrlYTqYU0dqYg0hqXXOBr:0[[r;QTnr;QZjr:0[Sr:0[[qXF@eqYU-dqYU-drqI*&r;QWk
+qYU-dqYU-dqYU-dqY0m_r:9_-r5PasL6/C`p\b'kq>^KfeT91=qZ$-dr:L$UKQ5-6rqZKiqZ-KN
+qZ6QjqY:0dp4*~>
+&,,bkp\+@Tp\+@Tp\+@TpA+G1o_e4HoC;JFpA"O_p@._QoCDPJp[n+PpA=CVqXaXTnu.)@m/?MD
+q=bKoq"+(Op@S:VpWR3bq"FCSpA4OSp>Pc9pA+I^pAamdq"a[Sp@7nIpA+CNp'^Wgp\+@Tp\+:O
+p%JC\rq6]np@n:Tp@n:Tp@n=Tq=cN8p\+@Tp\+@Tp\+@Tp\+<oTnIiKU<N-"r:oaQr9;=>bP:]/
+li6YFs5eZD_Z0E*rq7W3p@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:TrqQEe!Vc;<~>
+&(]7]eCN.#eCN.#eCN.#f(mrGf&"j%f$r='f\50<f[A@.e^W1'g"+a-fA+g/gXP*/eVdq!d,ER(
+q:H50g==^-g"5-7g94&CgY(3Cf\tNRf_O5"f`0Y(gA0Ftf_O+ofD4+if_O._fEg'Yf%A^2g=b0X
+f_j;(eCN.#f%BiPqV!XVf$r:#f$r:#f$r:#f$r:%TS.#eCPK(Cg#:c:g>^G^:p8[+jNll>dH&DX
+:8[(+r7_/'-eR#$eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#f)F>&fDX5#e'`a~>
+o)&I`rqQHg!qZ9erVm3&rq>jQr;Z`gqu6U0r;69\rTX@Yp]'OY[YqHdrV?KnqYp9gqZ$L'qY^Bl
+q>U$dNhu7FnGiI`rV5p[iV`6Cq>C6hs8;lpq>Bd[nbhqSq>0=P#5S&iqu-Nml21;So(sR-s8W#g
+h7]\XR(1](kkY8YjF5,Kq>]RQql"LsdI[24q>AtD!W)]iq#U6`J,~>
+l1ZRnp%\Odr;63`na#W;rV5mUrVuchp@I_Kk5Y2JrT4'_JuA#,meceTp](!tp%S=Vo(VPLLS!i.
+lhgMPnb1r9nb2eQrq?BdrqQ<`nb2MInb2eOkk55QoCVbOq=s^Xr:g![q=am_oCjC$s7l*HdBT.(
+N3(.Mh!On4h06X1o)7G:oV$#Wb3\]mq=jp_g\:aCqtU9ep4*~>
+n^RBe-d^K!i8WYNg"Y!#d+R=1db*I9h:^H2d+cV$f[\j!j-!u3dFQb(g\KM%g'uZeh:^?4d,/Sh
+c.pS"l.FtJn_!Zjrn.8(rn@2$q:PMoq:GGqn_!Zhkh$0le^iC,gY1?6rRh)"r6tbuf_X:tg&]mX
+o@+l5j5/A3\!MVjEg!W:_UIAu_-<\kf&=KtfS*(<Y0bc!gAT_)fDjFVeGn2'f@AFNdfIkCJ,~>
+o)&I`rqQHg#QOYtq!dkLp\k+-rr;uppA+CJmed%ar;Z?fq#15fLViW]s8VlpqYp9gq@EQ$qZ$Tl
+q"sg4G2WE"n,N@_rV5p[iV`6Cq>C6hs8;lpq>Bd[nbhqSq>0=P"8V`fqu6QYqt^0\q]Ph1o(E"^
+r;?TOhTi6cQ*SWNr-E_$e'k@<F.qt#rqZTir7_#KqYU-b!Vc;<~>
+l1ZS(p%J"AlgaKBs8MokqYBjTo^M&.pAOp`s6][Sq"pS3]BT(fp[7VJpCI&lp%nLUnau=mDqY0d
+lMUJPnb1r9nb2eQrq?BdrqQ<`nb2MInb2eOkk5,NoCVbUq"OL[p\=IXpAjpYpE91sl0S*;oCMe.
+e]">?N2a_,olG5]bflkuCmsJcp[\@[p]'sAp]($cq#U6`J,~>
+n^RBe-f<P.e]c=ge)''Ah:p`>f[JF"aii>ohV$l6gst-8Iq,(og>CW4ebRi.g=Os3gt(!,e#ZH[
+j4hf7l.FtJn_!Zjrn.8(rn@2$q:PMoq:GGqn_!Zhkh$!ge^iCPgAfk)f_sD!e,\(qf_O2#f(7B8
+f$MXef\4p-gpjkmLMLgeVOlF@=-g%nLJCWnaQ)")j4`5cg&K\(f%\^Sf`KdUec+"udEmC~>
+o)&I`rqQHg!VYsYrs%r`q>9pZqtg=*q!nCUq#16]WIh\\s6p!fnFcYWq#1%!qtBmcqYC*imXVbA
+qu-HjqYg3Zqr.JCqt^0hqu?TnrV?B]qsjU3qZm&qq>'pdrVYpWq>Bd[#lji%s8Vups8Drs'D'_g
+Z`6rGIopG\?'3D2s7uWnp\Fa@qZ6QjqY:0dp4*~>
+l1ZRql21MVrquZYme$5DnFln[rVlisr:B:Tmdp5RlCrX2rr;3ZrorqJpCHufp%e4MpA!frYO_D^
+p\"@Vnb1r9nb2eQrq?BdrqQ<`nb2MIdImh>p%7nMq"XUXpA=U[pA+F_p@@r"q=XFVq=O=So_SUe
+lHQc=UJ,NL;.E*sMT5Dfo(MkJq=jp_g\:aCqtU9ep4*~>
+n^RBe-e$8pinWMMhTX?tf[S@%iniSNiSiYDcK!:%g>^>1?BsL0bMM4%deMH)e(<@*e_/^">a!Xi
+g=b*Bf\tNRf_O5"f`0Y(gA0Ftf_O+ofD4+IfEU$\f%/L-gA]e(f_sCueG7bnf`B^Uo$ei<f\#!7
+f@Sd/h;dJ=YaLQ,02Pk07OgE8WS64Zg"Y!0gAT_)fDjFVeGn2'f@AFNdfIkCJ,~>
+o)&I`rqQHg-i`o=p@J+Mqu?Zgq>U9dq>^*UpA=X^s7uNds8/$rjT"rLs8)Qks8D`jq@<5srq?9i
+qm1J@rU0^cp&4acq!n7?r:0[[r;QTnr;QZjr:0[Sr6bBGr;-6bqu$BUqt^0[qu?F3r;Zfpqtp6Z
+n+Zk\qY9mdleU=/hu3EOs7c6es7Q3cgA:pIqtg*hp\'+~>
+l1ZS*nbDY@o'5lIp[7VHo^VMJmHF$2naubMoC;bNNF^lEnau_Oo_\R^pCHrep\F:Nr:I(/nb25D
+rUBXWnb1r9nb2eQrq?BdrqQ<`nb2MIdIme=p%7nMp\4CTqtKp[q=am_o(W1U*VK:*p[n1Nlfdp7
+q"++LrT;b`\D$`Nrr)EXqtfgXp]'sAp]($cq#U6`J,~>
+n^RBe-f`\0e'HRhfAt]7f%\j-f%n`te(E4'i76E.hq)g;^u3\mh:L66h>,\6f@/F-db*I/O&FK\
+bM;"'l.FtJn_!Zjrn.8(rn@2$q:PMoq:GGqdF\cYf@JO*g"G$2g&9S%f)*tmf_X8%f@KNBs4&4D
+gtgZ8f[e<jeD&^.e^iX!]""3Ag=P9?eC37/db<FRg&K\(f%\^Sf`KdUec+"udEmC~>
+o)&I`rqQHg$30Ypo`+sVrTj7VrttV4rVlipo_AITs8UoEIF8)pq=aU\p\Xsgq#1%"rV6Elp](3G
+H+s=Yq#C9drVHKfnb_;Cnb`.[rql`nrr)Zjnb_kSnb`.[l2(\`qt^'br;>dUq>Bd[s8NW*o^qkT
+s8W)srVuclr:9X^rsJ,fs7Q*as8Vrns7uTHqZ6QjqY:0dp4*~>
+l1ZS(n+Q5Iro<_5nb`4[qtTdYp@nFVmIC,:s7k00G09a[o^VVLpA"U^pCI&jqt]aYp="&kqt]j^
+p[\.Snb1r9nb2eQrq?BdrqQ<`nb2MInb2eQl1P>Vp@S"Np\4CTqtKp[l1Z;"r:KOJoCr1^qtU$a
+q"FILoDSOckO\Q>nbE.`p%SL^p]'sAp]($cq#U6`J,~>
+o$dZjq:I(PdFck'iPsQle_f9@hqZi>g=tK;dFI0sj4h+g=fpQ:f$i4'f@f$VfFQ]dh:pE8fsXnL
+hV?Z=g!o9=iS!bRq:Yc"s4RD*q:YSrq:>Anq:Y;jq:Y#b$/4%_f%A[/f\+sVf_sCue,\(rf_X8$
+fC@?6hqcl3dF?k*i8!&@gtC?5cdgq.j2oj,daQq1i7HZBg=lMYs4@;%gXQ8V!nYuQrmLnqd!u~>
+o)&I`rqQHg-hd?8q#ArrJT/6oq=XdZe6\QsqZ$Tpq>^'WPBuElna6AVlhUJLp\jmcq@<N"s8;]m
+jd_>*q#CBmq>C*fq!n7?r:0[[r;QTnr;QZjr:0[Sr:0[[r9=(`rVQEdqu$?fl21;SnbXF"p&+af
+qt]jTo_7qKpAFpio`+IIs8Vops7c6^q=sa\r7_#KqYU-b!Vc;<~>
+o(MkQ-h6g.oD$[XH>0bSo'Z;>bu^(WoD8=Xo(_M7MK@_Um-+KIlM1>JpA+Fnq=FIWo)@L2L@Og/
+r:opWq=jFQiV2m9q=jm^s7cNfq=jFQnb;SIq=j.I#Pe#bo_/%Qp%S1Wp\FOIpE/ntq>C0fp@IeG
+o^_PGq>:3\rTr\Gs7H?fo'u>DoCMePs7Y4As7lKe!Vc;<~>
+n^dNg-e$W)e_@E8>tp^7f$`@#Yrd-<fA>B=f%\HnD-"R7cH>2'bLt_"fD4&0gXY*4e`">hC"1Ye
+hV-Q4l.FtJn_!Zjrn.8(rn@2$q:PMoq:GGqn_!Zjl.?<rf[eX+g"=p0g&9S%f)*tmf(mqfe03/e
+f\5*5e^;^ke'QIkf\5<1h9<mqhpgW=da?One(*1+rRq5&s45rSs4IJ*e^aZJ!R]8E~>
+o)&I`rqQHg-NF&Ali6XZ`D<l=qtU'*Ci6i[rUTgbr;>T"J+!@+s8V?Xs6fFWr:p6e&,l1uq>1-:
+C!?SSqYp3gq>L0gq!n7?r:0[[r;QTnr;QZjr:0[Sr:0[[r9=(`rVQEdqu$?fl21;So(sO*qtp3_
+p%\CZq#($aqYg6YoDeOarr2Nar:p-gs8)Ncr7_#KqYU-b!Vc;<~>
+o(MkQ-i3W3k5XkG^.>C!o^VRcAS8@?p?V>Go(1LPG3Ahis8V6Ts6oOYq>'aqq!e"LoDHX<`V9&s
+q=4=Rq=jFQiV2m9q=jm^s7cNfq=jFQnb;SIq=j.I#Pe#bo_/%Qp%S1Wp\FOIp](+1q=aLVqYBpa
+qtU$dq=!hQnc/F\mdp2Ep&+a\oD&([p=o?Aq"sjfp\'+~>
+n^dNg-f!G.aQ([(Te)>Zf[\WH8P>E$g<\C,f@IT4=j#[IiT%u1j3Q06g%j82g="X)f&*JrW7onT
+gXFs/l.FtJn_!Zjrn.8(rn@2$q:PMoq:GGqn_!Zjl.?<rf[eX+g"=p0g&9S%f)*tmf(mqfeGn2D
+f@8:#f[n^.g"+g1f?MY!dG`d3cI:Coe_Js1e(<=-rRq5&s45rSs4IJ*e^aZJ!R]8E~>
+o)&I`rqQHg-i<`>o)J`fqK%nhs8VGdJ9(\YrquKip\AZOn,N.^p\Oa]q"OOUp\jmcq?R#cs6omc
+I&6f>rVQQirV63cq>BLSq>K:Lq>L-eq>:!cq>L$as8;lpq>BLS#Q4JrqYL*dr6kHCqY9[V!;Q'[
+#4qlbqZ$'bgACpHqY1*cp4*~>
+o(MkQ+85@,mJm0Yo4a*CrUo0DG%gR1o^_AKmI4Y*k5=`Jo)8=_p]:3cq=b-ik5X`>rcOh2p&4U[
+p\FOYpZ_DIpu1rBq"a[[pA+IYq"FF]p\ss`pZ_AVp\+=Rp%J+Rp\+LYnb2MInbDYK$2*`dm.LDE
+s7Z0>p\X^dp\'+~>
+n^dKf*nK;rj5GXA:3"J<grY@X:Ya1Kg!f*3dmm?Yhp^N5n^n*$aQ(LsiE1Zqf_O4bf_O7[f_O7s
+g%j4pfD4.of`0Y(gA0FdfEU$]f[na-f`'S&f_sCueFD,[eD\sbf[8^(fAk'5f%/U*s4@D(eC=KG
+!R]8E~>
+o)&I`rqQEf,5D3.s3A%LN,/IknAsd&Mt6oBs8VlHMkT#+o_JOZqYL!^rV-9cr;$WtpA4g(LYMe*
+rVQQirV63cq>BLSq>K:Lq>L-eq>:!cq>L$as8;lpq>BLS#Q4JrqYL*dr6kHCqY9[V!;Q*\#L[_%
+s7u<Wp"K<CqYKsfp\'+~>
+o(MkQ+8,7%m/"c*oR^NIo&d[B=b5f:mJlqKc@MG7p?hMPnbr4\q"aXhp&FRTqRD(*rUp-_q=j^Y
+q=j.Iq=rqBq=sd[q=aXYq=s[Ws7cNfq=j.I#P[rcp%A%Pp\4CYp[RtIp[S%KpBf)_Yl=:`m-s`B
+g%YC=!Vc;<~>
+n^dNg+4o&ucJ>L_f4de6g!-A35\SL+eE5W<ZY"Wqg!J=0ddbrpfAb92h4%o`l.Ggbl.GgciRmt[
+q:YSpq:GGrp=TDurn@2$l.?3nf\"g-f\$2VrRh)"qpb/en^QOK$*R6ii7?<"d+6e&eGn/&f$r4K
+dK.bBJ,~>
+o)&I`rqQHg+T;-8q"g]3s.OZ%q<?]%D6EX4p&FRCEhD:is8DcfrVHKfrqHBdrV?cprV-9^CUj?A
+r;HNkqYg3bqt^0Sqt^3Lqt^3dr;$6cr;$<bqu?TnrV?BUqZm&rqtg0dqu"n>!;c6\nbNLXO3@Rq
+s8VcGqu?Nhp]:-_J,~>
+o(MkQ+8GL(oCJEnpm5dQmG6.J@A<)Yl2'MoBUIQSr:p!XqY^*eq"aXho_A"Plt!BprUp-_q=j^Y
+q=j.Iq=rqBq=sd[q=aXYq=s[Ws7cNfq=j.I#P[rcp%A%Pp\4C9p[S%KpBg&@`rGN)s7#aUg%YC=
+!Vc;<~>
+l.@*3f%\a+IBD7Q;o[A,\B.="e(W4/c+m&$^#Ru'f@AXGfE^!]eCr5=PhG<Rq:Y#bq:af[q:bYt
+q:>Anq:bPps4RD*q:Y#b#2.Y]f@S[-rn78&rRSX2$J*@:W8l:]iR$0,gXQ8U!nPlNrmChpd!u~>
+o)&I`rqQHg+92$6s6lrSrm-5/qsFF$Hg()!s8KoK^\n-)p](0\s7Q0cq?QoerVs*Gmf*1_rVQQi
+rV63cq>BLSq>B4Knbi4[nbi+Xs8;lpq>BLS#Q4JrqYL*dr6bBAqXXFOq?R&ns7l*`r;,.Es8)Te
+!Vc;<~>
+o(MkQ+8YL'r90m;pVV3Yn)<lIDqsOFp[Ydt[J0Uio`+aSr:0Ldp?VMPWGq%prUp-_q=j^Yq=j.I
+q=ikAnb;kQnb;bNs7cNfq=j.I#P[rcp%A%Pp\4C8p[\+LpBgigrU]@Qp\"7Rg%YC=!Vc;<~>
+l.@*5dbN^&Kur)M?^KBdgRhQcce../T0o.&h:'p7g<SODfETUShi(LVg?I8cg$./bg#:TRg%j4p
+fD4+nf`0Y(gA0FdfEU$]f[na-f`'S&f_sC6e-adbe)/^#hUg</f%\^SfE0XReGdksdEmC~>
+o)&I`rqQHg+oUm/s4Piuq>Y3!q""HXI.%%7qk8&3s8Mfep%J=\nbDnWqY^-eq?Qirn_nW<rVc]m
+rVQQirV63cq>BLSq>B4Knbi4[nbi+Xs8;lpq>BLS#Q4JrqYL*dr6bE3qXXCeqXjgfqZ$BTs4[AM
+qYKsfp\'+~>
+o(MkQ+8G-srmK!_o(?=Mm,mo(E8plin!.LXq"jaXo_&+XnF?5Xo_e(2DT_\HrUp-_q=j^Yq=j.I
+q=ikAnb;kQnb;bNs7cNfq=j.I#P[rcp%A%Pp\4C)p[\(dp[A%Xp&F[Erq?'=p\X^dp\'+~>
+l.@*3bhM'`Y1V=]89re5h0rPOkhk'C:l=/df[eU(gtU6HfE^!acG!/Xg"GWBq:Y#bq:X`Zn_*`h
+q:GGqp=TDurn@2$l.?3nf\"g-f\$2VrRh)"][R;>dGNg4imu$(f%/U*s4@D(eC=KG!R]8E~>
+o)&I`rqQHg+oh99rO_1kqtc8*p\Fc0VuQ_qMJ0s.o_%MDrU9CYo_A4YqYg3fq?HZnieNs"qY^9i
+qu-Biq"ag_r42_#r;$6cr9jI^r;QZjr9=(`r;6BfqYU0fdJNJ1nb<1`p%nXe!<(XKs8)Te!Vc;<~>
+o(MkQ+8bU*ppAoSo^76Tlg=4US,2[PIU'DUmI]iArp]U[oC;PZnc.EsP4eGEp&4U[p\FOYpUU"n
+p\FOYp[7bTp\ss`pZ_AVp\+=Rp%J+Rp\)f)nb<FbnFc_WqYL!\p=]3;p]:-_J,~>
+l.@*6e(r`E_;3bpC1GfGgJWadgZ<*<U>OGNc.Ln"e_emHfETgb^LVK>f'(c^ft#c2g%j4pfC%;k
+g&B_$g$.,ng"=s/f@\aTg&9S%f"BK>f%JO(hVR&Af[eX.eGn/&f$r4KdK.bBJ,~>
+o)&I`rqQHgs8O2<k`isYrU&::qY/<E_#O1pJ+3C8s8VTWq"F4Nr:p-cqZ-Klq#'smpV(V*pA=^b
+r;HNkqYg3bqt^0#qt^0cqt^0Xqu?TnrV?BUqZm&rqtg0dqu">.!;c6\#QO\up?MMSmb7R<qYKsf
+p\'+~>
+nb2eQs8*o3j,L\?p>O8dmd%bj[.N^AF6)i]qu?B]r;-'[qtKj^pA+Ffp%#Y/g@+\*rUp-_q=j^Y
+q=hGnq=j^Yq=j=Ns7cNfq=j.I#P[rcp%A%Pp\4C)p[S"brV#sTjn8Z<p@d26qtL3dp4*~>
+n_*`js4n^J`GhEtg<$gYf[[)gT&/%>?-_0ZiT/M:gY('-h!s#%f@69a^!bN`l.Ggb\_-`2q:>An
+mb%Qmrn@2$l.?3nf\"g-f\$2VrRh)"][R;>hq?Z2a4K:lf%/U*s4@D(eC=KG!R]8E~>
+nbW@`q"sn2q#Bg0E/`oQs7Q6elZITDb^ausq#CBjn,N=Rp\X[YqYL0f!W;ilqZ$Ets7M;Yq>^?j
+r;?NjrqcWh!;cNgq>@f#q>C'cq>B[Xs8;lpq>BLS#Q4JrqYL*dr5&7HqY9p^qY9p^qY9p^qY9p`
+q>^Hos7Q<igACpHqY1*cp4*~>
+nb2eQ+nPTrb@u[enG_\?n_\&"O2,mUea<,)oBuYYo(`.Up@n=[p(?ukp\4CUp@n:Sr:#HGo(hqO
+r:U$^qY0gZq=hGnq=j^Yq=j=Ns7cNfq=j.I#P[rcp%A%Pp\4C(pDE]"q"ORXq"ORXq"ORXp[n@Y
+rVH$XqY'X9p\X^dp\'+~>
+n_*`j+4]2kX\<EEeE,03gW<AtH)b4R^XqH&g!Jd:dFd7*fD!o,g">!1g">31Bp7-'f\,NAq:W=2
+q:YSpq:G&es4RD*q:Y#b#MIb^f@S[-g&BV)f%BoO][Zu4#i47kgsF[,f%/U*s4@D(eC=KG!R]8E~>
+nG<4^o_T3to`+s\p&FpUDPc@jrVZ]qq>0pa+8>^5o()hWqtn0Zs8Mrhp]'RZqY:*jmecDIpAame
+pY#H>r6bE;r9!nVr;QZjr1NoqqYU-dqYU-dqYU-dqU#->qYKsfp\'+~>
+nFckVo_&milMgYBlhL#3A=hQKp@\4WpA4OZp)il"s6]1NoCV[cH2[L1mdU,5s7>dUs697@p@J=V
+r:J\9q=i;1q=j%Fs7cNfq=ib>!Vc;rp\sjep\*,2qtL3dp4*~>
+in+jrdH9E4dbi^#98(.9gtU]Dg%*c;e_904dbia1g7;U0h:^<-hSnO+eD'$,fZMgqimll8g"?,R
+dFe9Hq:5Puo%F#ps4RD*q:XWU!S#]/eGe#"eCN4#s4@D(eC=KG!R]8E~>
+iqj8as7?$cr;5$#^>Abeqtp<\q\K,,qt0pepAO<4chd23s7lKks7#g^kl1Scq=XOUr;YIIq>AY;
+q>BCPs8;lpq>>g@iqrcPqY1*cp4*~>
+iq<lTs6&hIo't"V\(C<Lp%@eI+8,9umJchJp>gbFoBQ,NnaZYSkOJ9)r;Zfho(DSLr7Uf>pX/^1
+pZD2Lp\ss`pYkgsp](!bp]:-_J,~>
+iRe_(cdh%.fX,:^^"_K"gYCK8o%5&=g=k$:gst3&B!0h6hWEA>j4h`+fu2e,j4;]1e(WX2f_O4J
+f_O.pec=@ng&BY(g&B_$g#:M5eGn/&f$r4KdK.bBJ,~>
+iqj;bn,N(Is2K5TpAb0jq>C3dnbXF,qtTmboDAQnIfK9Cr;+XkrS+*Ys7Ys?s7H?frqHBEqt^0;
+qt^0Pqu?TnrV?ABqr7MQqYKsfp\'+~>
+iq<rVjo=Z+s1E9<n+chSp%\@TnFdpqnaHMEo_>J2q"+4Po>T)Id[IH7n*/O*n,)eRo(^o3q=i;1
+q=j%Fs7cNfq=ikAJbT3=qtL3dp4*~>
+iRe^ck0hB6UK)fohW!>Eh;6c:o%5&>g=Om;db<Q??/F8igY&R6f!Tpjg!\*Wj3c]7gXOs1f_O4J
+f_O.pf'_2jg&B_$g#:M5eGn/&f$r4KdK.bBJ,~>
+iVO/`p&G'%AVp9\rVZKgs8DZ]q]>_5s7u]ds5S4Dq#CBWh9Lq>^7\kee*t!$pAb$ip"90;r6bE;
+r9!nVr;QZjr.4b)qu?Nhp]:-_J,~>
+iV!fQlh:%T>CuJ=p\+4Qqt]gPp)Wf&o(q_Pghjt!qZ#L)`.3NIQWJOVl*Sh+s7ZB[f_5.8dJ!D1
+k4\iLrqQ<`iV%iss7cEc!Vc;<~>
+iRe[mdbW`E6>5'+h;$]=i83#Sf`0YFiRm):jMFipfAPf2]W#FTQ[1]!Xj!-<dc9!:db*4Jg!SIJ
+fD4"cf`0Y(gA0F\eq)?NfE0XReGdksdEmC~>
+iVO/crVEj(MsgN@rr2flr;--Wq]Gk4s8)Hhq4WKAoDS[Cmf/$Ms7:H;p&DM#rr;TeqZ#7Gq>AY;
+q>BCPs8;lpq>>g@iqrcPqY1*cp4*~>
+iV!f[oC/_XK]i%&q>'dZq"F:Kp)j,"s7>^UnsY",m.U2'kPKV)o]U+dlMRfZp\aCMoD7/6q=i;1
+q=j%Fs7cNfq=ikAJbT3=qtL3dp4*~>
+iRe\"f[Z!@BZo)_gt^W;gY(-IfH8r!jO_l;ep_&gd+[6abMZ`eg!!9JcJOb<g>C6.f%o$3q:X0J
+q:GGnmb%Qmrn@2$iRWS0s4@D(eC=KG!R]8E~>
+iVO/\rh*PopA=U_rqlNcp\OgXq]>e1s8)Qkb&uD;qXsg\s6#1;s4E#)s7)SGrr;cjrn.,Dr6bE;
+r9!nVr;QZjr.4b)qu?Nhp]:-_J,~>
+iV!fPoTiFJn+?,Eq=jRRoChtLp)j2"qXa:X_f!p#oBu>@qV?Pnpr[m^r8s0'p%n4Np[m/4q=i;1
+q=j%Fs7cNfq=ikAJbT3=qtL3dp4*~>
+iRe[kfm>]2e(E1)gtLE3f%JgJfH9#!hUg?>Vc't]f@&C%hSN[Uh61,Ei6$1_f\P'/g=P$1q:X0J
+q:GGnmb%Qmrn@2$iRWS0s4@D(eC=KG!R]8E~>
+iVO/PM/'d)q="@[q=jUTp%eXXqu6L0qYg2OR/cjTr;ZfbMjsb3W0dGKs+A&WrVllig&(UCdJNb;
+k552Vrr)ZjJc"I(s8)Te!Vc;<~>
+iV!fDJn):eo'68Jo^hYFo_A=RpAX_)oCh^3OoOk?p%\RMJWTldRYgIkpNX+2p\FU[mFh4/pX/^1
+pZD2Lp\ss`pYkgsp](!bp]:-_J,~>
+iRe[_Ak/?Jf$3:.f@JL&f%T!Nf`'PDf@nbmFlUp$g"bZ3Ap!(LIr<`SgK^,jg>(H<d+R(Ig!SIJ
+fBLlcf`0Y(gA0F\eq)?NfE0XReGdksdEmC~>
+iVO.DFhn%Io`+@Yr;6Hhp\"1Kq]GG0rVQNKCtnO\o`+ITeRlDmk&@U*qTP3(me-JUs7k:Eq>AY;
+q>BCPs8;lpq>>g@iqrcPqY1*cp4*~>
+iV!e8DRof4n,MYJq"OU[p@RtHp)iZ$p@S%/A^p&GmJlJ?c<RRJfOCWMn%jkXjm;R1r:/J6q=i;1
+q=j%Fs7cNfq=ikAJbT3=qtL3dp4*~>
+iReZS;OujndcAX-gY1H;f[eUCfH8K$g=Y)i8\!+-dH&U%Z9a]1]gmn6e"pp<aNrDghpg?3q:X0J
+q:Fl^rn.8(rn@2$iRWS0s4@D(eC=KG!R]8E~>
+iVNkac1(c4q"amfqY^-Yq]GY6oC;QrU&4fbq>^K]Wbpto["cj*ptM=5_X@I"p&=LYq>@f#q>>g@
+l21;SgACpHqY1*cp4*~>
+iV!MU`p*?qoCVnTp[Rr!o)J(An8+Qcp@IkMrT0ebh<Ce]_Z0#MPF8uEqss1Lnb2eQ\b>jn\b<<&
+q=rS9qtL3dp4*~>
+iReBoWQa2Qe^iL>fH8Z(ccsp7IFm0'e_B$'L.B)*Md<4?dBn(ESBB^=dG"-Cq:W=2q:Fl^n^ugO
+Z./U"g!p&S!nPlNrmChpd!u~>
+iVNrJpAb0jp\=X^qYU$fqXXLks7-!d^4FH+q>C*arr3Q's8VH@rr;utl/V.0s7l?fnb`.[\bl4#
+Jc"^/q>AtDs8)Te!Vc;<~>
+iV!N<n+lkTo(DeQp[\#"q!.MO[sGsdo(DVEq#C3Xp\s$soDeF\i8!Ggqt'=Qnb2eQ\b>jn\b<<&
+q=rS9qtL3dp4*~>
+iReCVdbN^4eCN=;fH8kmfAi<*VV9SQf$rI7h9ap9_mS+VfAOQ]aP,M$e(aEFq:W=2q:Fl^n^ugO
+Z./U"g!p&S!nPlNrmChpd!u~>
+iVWZT"o\;nqYU3hq#:!gq"jRY(B!t+j*A'2qu$Kop$h_Ts8;ors8V]^rr30#r;--^rUKd\r42_#
+r.4b0qt^0Dqu?Nhp]:-_J,~>
+iV!NVrV6'Xp%\@Yp]1'Yp)`f!h/fdop%J=[n*9H<qXaFPq>9ODrr;okp\".Lq!n(RpUU"np\FOR
+pX&W=p\FU9p\X^dp\'+~>
+iReCoh:U9-e^rILf(%B7f$`0`;ifP\f%f!*b0ekqf%J[1hTsI*j5/MCf@8@)n_!Zj\_-`0q:>,d
+!7p\miRY9`q:40Js4@D(eC=KG!R]8E~>
+iVNlUp\":XrVZNjq#:!gq"jRY+8Z$0]p&!drV$-frr<#onG<(_qtU-iq"=CWp@n@Zq=4@Xr42_#
+r.4b0qt^0Dqu?Nhp]:-_J,~>
+iV!NKo'l5DqYBm]p]1'Zp)`l+m^J2ArV,gSq"X[\oBPr?p[n"Nq=F+Jo^h_Lq!e"QpUU"np\FOQ
+pX/]>p\FU9p\X^dp\'+~>
+iRe@ada6Fng"?)Nn^nr5iQdd,bMCdse_&O-g!e*pf\4s,g>(6,e^i7#f\+mHf_O42f_O.pf(%8[
+f\tDdeG7YJeGn/&f$r4KdK.bBJ,~>
+iVNrVq>C6jqt]p[q#'jeq"jRY$ig"pj6ls9s7uKcq>C7'rr;`cs8V`aq>U6erVZBco)&7\\bl4#
+Jc"^/q>AtDs8)Te!Vc;<~>
+iV!NJo_81Xq"FCVp]1'Zp)s;(n(m4-l2:/Eo(2\WrqcHdq"!qSs7,[Tqt^'eqt9^SpA+HnpA+IY
+p@7n)p9FAfpt,9;p]:-_J,~>
+iReCaeCWC,f@A@Gf(%B7gsXN^aPk7re'laog#(Z?gtUT5dc9B9e(NO1g>:W9n_!Zj\_-`0q:>)c
+n^ugOZ./U"g!p&S!nPlNrmChpd!u~>
+i;<NP"oA&iq=sa_pAt'co(rIflM^`$r;HTos7l-Rp&"X\r;QHaq=FI\qtKj\q=sgWqt^0#qt^/@
+qs""Rr7_&JqYKsfp\'+~>
+i:d0F"8DNaq>'dcp[\##roF+Tqt]s[p\O^Vlg!s3p@@tTo^heIq>:$`q"jj]p[\%RpUU"np\FOQ
+pX/]>p\FU9p\X^dp\'+~>
+iRe.]rn%>(e^i@Jf(%B6hSeC+gY(00f@np+bKA/]f[SU0e^W4"g>(H8f\5'Kf_O42f_O.pf(%8[
+f\tDdeG7YJeGn/&f$r4KdK.bBJ,~>
+iVNrWq"OR[r;-9bq#0pgp%S=Rq[ri"s7l'Ys7l<cs8W)prr;uprr3B"p&"LUoC;DAoD&1Qqt^0#
+qt^/@qs""Rr7_&JqYKsfp\'+~>
+i:[BJo_%tSqYL*a!r;Wco(F4$mf2kBoDeCNpAFmao_AC\q#(0kp%81Wp%7qNp%S:Vo(MnR\b>jn
+q=a@QdIsj>q=rS9qtL3dp4*~>
+iRe:`eC2purn.%tnCSf-iR5isiR6*(gtgW4f\P<8h;[>Ce_Jg-eC<$uf%KTGq:W=2q:GGnn^R*]
+iRY9`q:40Js4@D(eC=KG!R]8E~>
+iVNoYqYC$gs8)<_r:g?fq"jRY+T;32rr;fcrr2chqu?]pqY:$_n+utWpAF[Yqtp$Wq"jRYq>@f#
+q>>g@l21;SgACpHqY1*cp4*~>
+iV!QQp\+C[r:fdVqY1'bo(F4#p$hbVoBl>Jo^_\Nq=jRRqXa.LqtKd\p@nL_p%8"Qo(MnR\b>jn
+q=a@QdIsj>q=rS9qtL3dp4*~>
+i7J7be^rR1f$O6Dn^no7e^2t,e'6OteC)n#g"4d)gXOR%gt:35f@Sg5e^X*@q:W=2!875#q:>)c
+!7pboi7>0_q:40Js4@D(eC=KG!R]8E~>
+gA:pIqtg0GqZ6QjpA0@;\bl4#UAOueqY1*cp4*~>
+g@bRApA4OQp@J%Wp&Xp]p@j^Cnb;PHb4k`,TD/6X!Vc;<~>
+n_*Hbn^d6_!7pbk!7nF-o%*ino@`Zd!7p\inCGb3q:21gs4@D(eC=KG!R]8E~>
+Jbt#qg&(UCUAOueqY1*cp4*~>
+_"R?nJbB*;o(V\JanPW+TD/6X!Vc;<~>
+n_*Hbn^d9`s46bjZ.STt!8-kqo%<uno$m3\ajg.:U"'+p!nPlNrmChpd!u~>
+Jbt#qg&(UCUAOueqY1*cp4*~>
+_"R?nJbB*;o(V\JanPW+TD/6X!Vc;<~>
+iRm\Oo%<uno$jqsn^c^Ps46bjn^bh3q:21gs4@D(eC=KG!R]8E~>
+Jbt#qg&(UCUAOueqY1*cp4*~>
+_"R?nJbB*;o(V\JanPW+TD/6X!Vc;<~>
+iRm\Oo%<uno$jqsn^c^Ps46bjn^bh3q:21gs4@D(eC=KG!R]8E~>
+Jbt#qg&(UCUAOueqY1*cp4*~>
+_"R?nJbB*;o(V\JanPW+TD/6X!Vc;<~>
+iRm\Oo%<uno$jqsn^c^Ps46bjn^bh3q:21gs4@D(eC=KG!R]8E~>
+Jbt#qg&(UCUAOueqY1*cp4*~>
+_"RBoJbK-;o(V\JanPW+TD/6X!Vc;<~>
+iRm\On^mimo@*ckZ.STtin4:^o$m3\ajg.:U"'+p!nPlNrmChpd!u~>
+Jbt#qg&(UCUAOueqY1*cp4*~>
+JbH>Ao(V\JanPW+TD/6X!Vc;<~>
+n^d6_n^d6_n^attiR[SPs46bjn^bh3q:21gs4@D(eC=KG!R]8E~>
+Jbt#qg&(UCUAOueqY1*cp4*~>
+JbH>Ao(V\JanPW+TD/6X!Vc;<~>
+n^d6_n^d6_n^attiR[SPs46bjn^bh3q:21gs4@D(eC=KG!R]8E~>
+Jc#9@Jbt#qqYU<hqY1*cp4*~>
+JbJp6\G#Lfnb.P.htR$C!Vc;<~>
+n^d6_n^d6_n^c+?q:Y#biR[SPs46bjn^`9@iRIn[!nPlNrmChpd!u~>
+Jc#9@Jbt#qqYU<hqY1*cp4*~>
+JbJp6\G#Lfnb.P.htR$C!Vc;<~>
+n^d6_n^d6_n^c+?q:Y#biR[SPs46bjn^`9@iRIn[!nPlNrmChpd!u~>
+Jc#9@Jbt#qqYU<hqY1*cp4*~>
+o(S7>q=iS9o(VVHo(V\JJbS'rqtL3dp4*~>
+o$dZjn_!B_Z.Sm*l.GOWo$dZjo%<uno$m3\J^iZ.s4@D(eC=KG!R]8E~>
+Jc#9@Jbt#qqYU<hqY1*cp4*~>
+nb81>q=iS9nb;PHo(V\JJbS'rqtL3dp4*~>
+n^R*]n^attq:Y#bn^d6[o%<uno$m3\J^iZ.s4@D(eC=KG!R]8E~>
+Jc#9@Jbt#qqYU<hqY1*cp4*~>
+nb81>q=iS9nb;PHo(V\JJbS'rqtL3dp4*~>
+n^R*]n^attq:Y#bn^d6[o%<uno$m3\J^iZ.s4@D(eC=KG!R]8E~>
+Jc#9@Jbt#qqYU<hqY1*cp4*~>
+nb81>q=iS9nb;PHo(V\JJbS'rqtL3dp4*~>
+n^R*]n^attq:Y#bn^d6[o%<uno$m3\J^iZ.s4@D(eC=KG!R]8E~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat12.ps b/books/ps/quat12.ps
new file mode 100755
index 0000000..e8a591d
--- /dev/null
+++ b/books/ps/quat12.ps
@@ -0,0 +1,1422 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait12.ps
+%%CreationDate: Tue Dec 26 13:29:23 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 252 159
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 144.750000 translate
+237.750000 -144.750000 scale
+% Image geometry
+317 193 8
+% Transformation matrix
+[ 317 0 0 193 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 317 string def
+/gstr 317 string def
+/bstr 317 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        87773 ASCII Bytes
+colorimage
+q>9^[nb_SKq>:!cq>6$Hnb_bPs82flq>C'cbkut~>
+q=a@Qnb25Aq=aXYq=][>nb2DFs7ZHbq=j^YbkHV~>
+q:>)fn^csVq:>Anq:=f^dFn'AiS!bRn_*ons472"q:GGpbh7L~>
+q>9^[nb_SKq>:!cq>6$Hnb_bPs82flq>C'cbkut~>
+q=a@Qnb25Aq=aXYq=][>nb2DFs7ZHbq=j^YbkHV~>
+q:>)fn^csVq:>Anq:=f^dFn'AiS!bRn_*ons472"q:GGpbh7L~>
+q>9^[nb_SKq>:!cq>6$Hnb_bPs82flq>C'cbkut~>
+q=a@Qnb25Aq=aXYq=][>nb2DFs7ZHbq=j^YbkHV~>
+q:>)fn^csVq:>Anq:=f^dFn'AiS!bRn_*ons472"q:GGpbh7L~>
+_>O-+Jc,?Anb_bPs82flq>C'cbkut~>
+_>!d!JbT!7nb2DFs7ZHbq=j^YbkHV~>
+_:SM6g"4X)n^laQn_!Bbrn%2$rmghrq:NpEJ,~>
+_>O-+Jc,?Anb_bPs82flq>C'cbkut~>
+_>!d!JbT!7nb2DFs7ZHbq=j^YbkHV~>
+_:SM6g"4X)n^laQn_!Bbrn%2$rmghrq:NpEJ,~>
+q>Kj]nbq_Mq>:!cq>H0Jnb_bPs82flq>C'cbkut~>
+q=sLSnbDACq=aXYq=og@nb2DFs7ZHbq=j^YbkHV~>
+q:P5hn_!*Xq:>Anq:Or`dFn'AiS!bRn_*ons472"q:GGpbh7L~>
+q>Kj]nbq_Mq>:!cq>H0Jnb_bPs82flq>C'cbkut~>
+q=sLSnbDACq=aXYq=og@nb2DFs7ZHbq=j^YbkHV~>
+q:P5hn_!*Xq:>Anq:Or`dFn'AiS!bRn_*ons472"q:GGpbh7L~>
+q>Kj]nbq_Mq>:!cq>H0Jnb_bPs82flq>C'cbkut~>
+q=sLSnbDACq=aXYq=og@nb2DFs7ZHbq=j^YbkHV~>
+q:P5hn_!*Xq:>Anq:Or`dFn'AiS!bRn_*ons472"q:GGpbh7L~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>AoiS"%Zq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>AoiS"%Zq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>AoiS"%Zq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>AoiS"%Zq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>AoiS"%Zq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>AoiS"%Zq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>AoiS"%Zq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+q>9FSq>:!cq>6<Pnb_;Cq>:!crr)lprql6`nb`.[q>9^[q>:*fJ,~>
+q=a(Iq=aXYq=]sFnb1r9q=aXYrqQNfrq>mVnb2eQq=a@Qq=aa\J,~>
+q:=f^q:>Anq:<[>dFn?Iq:>Aopt5f%g"4p/n(INhq:Yc$s4RD(n^m<`q:YSrn_*`jr7QT~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNd#P\#fq"ORXp\FOYp\FOAp[RtQp\ssfp\+=Vp[n00~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&rmh>+e^r@'e^rFOf)=7sg%j:Zg%!_jg&B_*g%O(og%<pI~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNdq=sdZq=j^YiV2m9q=jm`s7c6\q=jOTJ,~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&rmpnqrRUr"q:YSriS!bRq:Yc$s4R+uq:YDmJ,~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNdrV6?cq=aXYq=`eAnb2eQrqQNfp@e=Vo_*e~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&rmq%urR_#!rRgr!q:OZZn_!Zjrn@D*p=T2oo[nZ~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNdrV6?cq=aXYq=`eAnb2eQrqQNfp@e=Vo_*e~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&rmq%urR_#!rRgr!q:OZZn_!Zjrn@D*p=T2oo[nZ~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNdq=j^Yq=j^YiV2m9q=jm`s7c6\q=jOTJ,~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&rmpnsq:>Apq:OZZn_!Zjrn@D*p=T2oo[nZ~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNdq=j^Yq=j^YiV2m9q=jm`s7c6\q=jOTJ,~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&rmq,$!nl2Yrn$tsq:YSriS!bRq:Yc$s4R+uq:YDmJ,~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNdq=j^Yq=j^YiV2m9q=jm`s7c6\q=jOTJ,~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&rmq,&!nu>]rn7>(qptSrq:OZZn_!Zjrn@D*p=T2oo[nZ~>
+l2.a`q>9.Kq>9.Krr)lprqlNhq>:!cq>9.Knb`.[rr)lppA=[`o_X.~>
+l1b#K\bGpniV30AiV3?Hs7cNdq=j^Yq=j^YiV2m9q=jm`s7c6\q=jOTJ,~>
+l.#OZ\_$Z.n_*Haq:=NVrn.8&s4.2&qUu#(f\$)Pq:YSriS!bRq:Yc$s4R+uq:YDmJ,~>
+nbi4[Jc,'9q>9^[#Oh]mp&+jhq!e1jrVuosrVuorq"Xgdq"LieJ,~>
+nbDqSq=oO8q=j^Ynb3:Qs829Ys7u9`pAk!_pC6ooqt^$`rqQ*Vq"XIOX7q,~>
+n^[Hbq:2b%n_)UIq:>,g$JEbeiRQ`Dgt(03rRV)#fD+#.g>(N=g>(W?e^`C-e^UYQJ,~>
+nbi4[Jc,'9q>9^[#QO2bbk1?"q=4@irquZiq"X[^r;?QnrrN-!XSdS~>
+nbDqSq=oO8q=j^Ynb3:gkO?LZkk+NEp]($apCI)op@\%Ko_/%Rq>C3fq>.2eJ,~>
+n^[Hbq:2b%n_)UIq:>,g$JFRffW<TJg=P'3rR_)"q:Q;5g"=p,e^iC+g"YB@gtUVcfmj~>
+nbi4[Jc,'9q>9^[#K`j+;;h6LqsjU[r<N2rq=aU_s8T1uJ,~>
+nbDqSq=oO8q=j^Ynb3:+TSuOto)JF\p]($ap\FRhp%J%JoD/CcXS75~>
+n^[Hbq:2b%n_)UIq:>,g$JDJ;Fu."fjk8A@rR_)"q:YSt#M7VZe(*42iN1^_~>
+nbi4[Jc,'9q>9^[#N#9\?JP#Bs7-!lq>UEorVZTirr3-"qu6NfXSdS~>
+nbDqSq=oO8q=j^Ynb3:@o;YpDl0nTJp]($apCHolrVQBap\"Lbs7l<`p[YE[J,~>
+n^[Hbq:2b%n_)UIq:>,g$e`>OPX<15e`5B:g&BV'ebRl/f%]*<g=b02hrE\Lf\>*/XP&+~>
+nbi4[Jc,'9q>9^[#Q*(`PP5%Vq!n7mq#:<gp%\I_n+HSVs8W&mXSdS~>
+nbDqSq=oO8q=j^Ynb3:]cX)V#s82Bcp\jm_pCHlkqXa4Jp\3tBpA"L]q"(T]J,~>
+n^[Hbq:2b%n_)UIq:>,g%,'IL96]+RiRll;g"62Qq:Q;/gYC?-e_/X"db*:/h:gD\fmj~>
+nbi4[Jc,'9q>9[Z#*j'*qs44\nb`Odrr)Whr;Qs!qtg-es/c-K~>
+nbDqSq=oO8q=j^Ynb3:^Nb8.\jnJ`Pp\jm_pCHrmq"+4Zs8;oqq"FCQq#7AhJ,~>
+n^[Hbq:2b%n_)UIq:>,g%,0Wd;s3&ahrEGDg"62Qq:Q;1gY131iT&eThqH`7f%T&`fmj~>
+nbi4[Jc,'9q>9^[#JON&s8Vrpo^VhhrVl`ms8M-$r:K^_s7Z)cr."~>
+nbDqSq=oO8q=j^Ynb39u=+pMOo_@kQp\jm_pC?uop\4U]i5><Xnbi=Tn#Q25~>
+n^[Hbq:2b%n_)UIq:>,g%,.FEETu`Ei7-K6g"62Qq:Q83gY(9:gVTf?dF6t/e'Y5LJ,~>
+nbi4[aSZJDr;6Ehr;6Ehr;6Ehmef9Gr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Eh
+r;6Ehr;6Ehr;6Ehr;6Ehr;6Bfqtg3dqtg3ep\Y85IIce*s7cK^r"&f*qYBm?TOq>EV<IsZp\V&i
+J,~>
+nbDqSq=r>2%/BSlp\=LXp\=LXp\=1N55=mIp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LX
+p\=LXp\=LXp\=LXp\=LXp\=LXp@n:Tp@n:TqtTp[#%r,FkPP/HqtL-cq"G<pq"=:KesTrGBqXMd
+r:9Q_pOE~>
+n^[Hbq:4HUo%DsQn_)UIq:>;lr7MY8;.J8+jl>%Mg=k63f@AF'qUlG3gY191e@Buq2bSeBj5/;<
+XP&+~>
+q>:!cl2CGUq>9FS&,Z2"q>:!bq>:!bq>:!bqsjScs8DolqY0g[qYC'drV?9_rVQNgqYC-is8)Qd
+s8W&krVZZkqY0g\r;?Tnr:p-ar;$3brVZZmrVZWjq=aRVrVZNfq>:0krUg-ip[J49?)@T$q"Og]
+q>C3grVR3+o)AUXs4U%Tq""F_q#BsZr;ZZnqYC$Qr:0a]r;$6fr."~>
+q=aXYnbN"Uq=j^Yl1Y_`q=sd\q=sd\q=sd\q=saTpB:HmqY9gap*TP/q>0s_p@\:Yq=s^Zqu-Ni
+p@nLaqXs^_qtg']pA"I]r;HHdp\st7p\F[`qu$<gqYKpZo_/7]qYBsaqu-B]qu$$Ns3k&Arqc3U
+r9s@R!;QQf&GZ:lp\*eMcTtn/m.pGJs6fUTs7ZHbq=a(InbDqSq=aa\J,~>
+q:>Ann^dNgq:GGnqUY`#o%F,tfCIJ^f*'sdgY(6Yf.>S-g=tB8f@J^2g=b-3gtprBf@\p:gXb'3
+g=Y!,e^iC,gY:B3f%8R+f%8USg*55(g"=j)e(!.+f[na.gtpf6hVZl/jLIR5kiCOPjOMu<g&0J$
+gAfk+f+QWkbhCdrkd`02f$`@.f&P02g&'D#g&K_(fD4(`g%!elg%j:ufmj~>
+q>:!cl2CGUq>9ITs82B_nbaC"o_/(WrVuokp@nC[rVuonqu$Bgp@RtKoCV_LrqI0"pA"FYqYU6b
+p\=LVpA"L^qY0^]ocEi$q"adarUTRRq>:'bqZ$Hgqu?]]G]<?Kn,NFLs7uTkqu-F&oDeUcs86tE
+WW2eoqXaa[r;ZZnqYC$Qr:0a]r;$6fr."~>
+q=aXYnbN"Uq=j^Yq"OCR!VcB[q=42!o(2PKqY^?mp%A%RqY^?mq"jmbq=X@MoCDMFp&=\!p%J1U
+q>1!ep@n@Vp@e:Xr;-0]r:M-)p\=R\r;H3Yp\Odaq"Od^o_/.]jDo#(n*0ZJhuEEE'DV=rq"X7V
+n,*+SBiUl+oD\FNqt9^`pAXa\p?D>Aq"a[[pAFZ8~>
+q:>Ann^dNgq:GGnqUYc$g@O)#g=PoGn^ec0eCN:,h;@/Af%8U0h;@/DgYCT<f$r0ue'uq!rn%n5
+eCN4&f\,$/e^i:#eCN:+f[\LLdgFUTf%8R.gX+C!f`'P<f\tQ9g#2#8=B*u,e)BN0k1\PBg&BSA
+g"P68g"G!-e]Zq"ioo3"5`4XUjOhl:g=b0VfDaJ'f`'Luf]h)ZgA0Ftf_jEQ~>
+q>:!cl2CGUq>9ITs82B_nbiCd&H2M%p\+XdqtTmXp@n:Uq>:0h!W2iprr`2rrVucks7uWn!WE#q
+s8MurruV1<r;6?dp\XmerVlcnr:p6cr:L!0<M0<kq#'^]q>'sequ-F'p]('Ws8HCsnc/7]q"Oad
+pAFsfrqcHfl2:)Mq>C'cr;;'~>
+q=aXYnbN"Uq=j^YlM(>Ro(hhM'E.k,qY9dVoDSR]p%.bGo^hbLq#:'pq"jper;$-ar;66gp'U`r
+rVZNhrVuorr;QO9r;HQjqYBp\p@nI^rVcWiq=jLUnb);D_+pEus75mMp[e+Q'_qFsq"XCZnDsN=
+<C#gFmel\Iq"aXXs7ZHbq=a(InbDqSq=aa\J,~>
+q:>Ann^dNgq:GGnqUY`#o%F,tfCIJ^f+[#sh:pW7e^WI2g"+[%eCE("f@g/W#hdtghVHo=gYMbX
+s4%J2gt^Z;g>(TBgtVh]-/750g=b-1f%&=(g=tB9g"P-1gXY!+h5<)^lKHsYeD8g3g=b0Yf,E>r
+gtLH7f@AF!iR?!4ha8pBi7-c;e_Am4g&'D#g&K_(fD4(`g%!elg%j:ufmj~>
+q>8kCq>9FS!;lB`!;l<a"82B^q>U3oq=sa\qYg?l!r_ukrqZcmq>0p^rqH<i&cVb&p\4CRo_%tP
+p\FX[p\4I^q$m2urVcZmq>'aXq>:-frr3B#o=&>]s1+KrrVuonr;HNkr"&i!s8W"V=el#fnb`.^
+r;$'as82flq>8S;q>:*fJ,~>
+q=aXYnbDYKq=a(I!;Q0]!;Q*Y"7l'UpAXdjp@\+Pp\OjerrW&kpAXdhp%J.Rp&=Rarr)fn&c;Fr
+o^qbFnac>Do_/"Oo^qhUp)Ni&qYL$aq=aFOo_/(Rq"XmYm&aX?r3MO]p\t$ZpCI,eqYK`6:7M:M
+lh0oIp[n1Rs7ZHbq=`51q=aa\J,~>
+q:>Ann^[0]q:>Ans4In9g"P-5g"P-5g"P-5g"5fFn^dlleCE1MfF?H`f%8R/hVmMTi7lo9rn%A)
+f@\^+rm_&*h#5t>g=ap'e'cUidF6Ome^`0ue("BI*nJusg">!0e^Dmqf\5$6guR&7PXW%CRsEuM
+jP\bGrn7>'"khVbg=k6Zf+H`_hr3=-4GN(JdG*:0g=P$2qq(i#s4I>&q:O*Jq:PVuJ,~>
+q>8kCq>9FSnb_kS!<2]l#lXVop%S.OpA4ae)#X:1s8W#kp\+:Squ-Kkqu-NnrVlisp\b$j&,uM)
+s8Mrmqt^!Yr;-<grVca+q=ajfq5@EUo:a"js8D`gr;HNkquHKjrsRRH@eK`ps7uNkqYKp`s82fl
+q>8S;q>:*fJ,~>
+q=aXYnbDYKq=a(InbDYK!r;]hr;6Nm$N0erp%%VCnF,o?rV8YOpA+Xap[[nFnFH;Jq"OLWq>'g]
+qu-*[r;QWip\4U]p\"7Po'c>Ip@n@XqYU*Wm/Q_HS5.i+S%J"dp[[kK&+KJips:m"mIp)LoC`%S
+p%J.[pAXa\p<iX1pAFZ8~>
+q:>Ann^[0]q:>;l%GB@df@ed/f@ed/f@edGea_5mgYCT^h>c@>hVHo;eC)jpdF6_GgHO<CgYUf?
+eC)akdam('f@JU-g">!4h9sp1hV?f9fA,'2e^i6uce$b!f@\d4hVH]/jP/7=28n$tUXA5[f`'V&
+f`Ts`g=lMY&_#Ukhmst"f\b<Ag">37f\+sTfDaJ'f`'Luf[8CJf_jEQ~>
+q>:!cl21;Sq>9FSnb_kSs82il#5J#iqY9pbrr3#urVQU@qt9p`p\=UXl/:(=d*^CpeBuLbc-4G[
+fA,KSp%nR_r;HHcp\Ojg!W)corrW2qpAY(#p@nU0M3+7Js6o=Sq>'sequ-F'qu?NfMFOB4o`+sS
+p\XacpAFsfrqcHfl2:)Kq>C'cr;;'~>
+q=a(Iq=aXYq=a(InbDYKs7ZKb$hO#_p%.kNqYU-bq#:+XrVuiinG)YHoC_V6gX"*ebg=b`bf@fG
+a2lKQfAPi]p%J+Rq"4.Jp&"dgr:Tj^r;69[n+cVLm-FJ]Iu'E,rorSFoC;Pco`+FJIlj%`m/R+E
+o(M\Rp@nU\rq6*\l1a`Aq=j^Yr:b^~>
+q:>Ann^RBcq:GGnl.>IUn^mfns4.S.f%/I'f@es8gtUQ^gdL&Yhq6B2f$r7%d`/u(XK/G,Z*17,
+W2QVmXKo=Na3`Aff%8R(daH\#hqm/=f\>39f[\F+gY1'(iML4,I];JUbi[UWgA]e*g&g'`gAT\:
+fAkK7CF=kfe`Q#7e_/O3g"H8Srn7>(rn$tul.PUZq:YSrr7QT~>
+q>:!cl21;Sq>9FSnb_kSs8N3"r;?Qns#^2Li6Ap;VkBK@MhQV%D/jW?H$OIF@;'4_B5MX,D0'W/
+@q07rI;<eDF`D>>F-W#YUTh>D^@Lpiq>UBn"8`&trr2p'o(W1aoDeORqt^0gqu-F's69RO<_(dA
+q>]*Lo)8=_pAFsfrqcHfl2:)Kq>C'cr;;'~>
+q=a(Iq=aXYq=aXYiV;s;=8DXbp%A(Ur;H?SfuCFtTUD"$KRS,^Anl.#EcPu*>%1iF@:s@iB5M?l
+?!UuZG@bN,Dej'&D3'aASZ9',\ErYQoC_kQq!RbQo(2hNk4&?LmJl\Ap@7kfro3b690CGunc.%8
+mJ-8Np@nU\rq6*\l1a`Aq=j^Yr:b^~>
+q:>Ann^RBcq:GGnq:G/eiR_/dgY(63g>1ZEg!.1/R#6NDG&:l#>#7db:Jt1m:IRE55<_A'91_WJ
+8O>R'6r-lQ8kr/T8P;crDf^>aPaIi^cHt%kf\>01g#Uf@k1e24j6"hQf$;t=g(E>ci6=2/\E_f1
+\;ekie_o-6qq(i#s4I>&q:Orbn_!Zjq:PVuJ,~>
+q>:!cl21;Sq>9FSnb_kS=52->Yb$u5KSY>4H?F4GDiBC"JrQ7rWMQf4aj8;Xbgb.oipcgDrpf4,
+d*C2%mFKk8`3lYDW26&KN/)n*DKU&EI>jc$]%,.(qZ$Khs8;imrp]s_s7uTkqu$@%rr7dVOoP+S
+qiu0gs7lKbr;ZZnqYC$Qr:0[[r;$6fr."~>
+q=a(Iq=aXYq=aXYiV;s;=4GC)WL&KnI=ZimF)G`+BSCn[H\RcVU7S<m_T9g<`QlcVh!4P,q!6qi
+b/hobkKqSu^9=B,U7[d3L4OVgBQ%d-GCu0XZ,soPmeZ>9rUopXq!.hLrpodpp@\.VI8,InmJ?L:
+CZtfip@e7\pAXa\p?D>ApA+IYpAFZ8~>
+q:>Ann^RBcq:GGnq:G/eiR_/?Xe(JtD.I$b@9ci19hS,m@9[&PGCbI!MjgKCX/W&#Y-GX^eC`Es
+_R6DBYJ%u\Yc=:UKn4i*GAUr#=\hRa:/G#&G);HeWR]MYf$ia8h:pf5j4<2[g(2unhrSK2Ep)$6
+gN?B:jOX=`qq(i#s4I>&q:Orbn_!Zjq:PVuJ,~>
+q>:!cl21#Kq>2-1qtKj\r;HTnrr)`iq>:-frr;unp\Y!irVZWnruD%<qY'[^s8Mlpm)Z#[G]%;.
+BQ/B\V7=FZc/J9nrrDu]rV?B]r=T(td_<)dQ%j@!@\8Ll`kD6HrVm6&qu-HiqYL*frqQKgs8N]1
+pAY*f@!M2;s7`g+Xml8gq=aadqu6HfqsjU`rVuf`qt^0cqu$;@~>
+q=a(Iq=a@Qq=[&Lp[e"Lq"aa^qYBmYp%S:Uq>:![o(MtVq"OR[qtg-bp$qVJqt]p`kJNsGF(o5m
+@;0n@T!>r>`nKeSqtTjSpA+IYp@7l"s6.\:X.G8uB4P&,HEal`oCr.\r;-0]q"OIRo_%tRo`"Ls
+q>L*Xp@muTD<:6`n#TZilhC>Lp@nU\rq6*\nb<%Xs7bsTq=j^Yr:PR~>
+q:>Ann^RBcn^mTf5M+E3d*gIqf%8O)eC)dpf%/O/g!nI$gY(62f\5*6g"P!(db*=-e_S9@J7MSM
+7R9F9=_iSQT:MspceI=2f^[YjfD4"ff-&tlXI+rrDdZ:34F(G)TUFEchVd;Ig=b67gY1B9h;6c_
+fG3<(hUp`Fg-JlhgZ7"M5E3tBhq-Q7qq(i#s4I>&q:P5jrn@D*mb%?gq:PVsJ,~>
+q>:!cl21#Kq>16fqYgEn&cV\&qYgEmrVZQgqu6Woq=aL\qAB,.rVQEjo\[WePD"?kAT)pSTshl*
+n+HPUrr_rgqY^?k!;u*[q>Bd]*;oR&o_\[grVOpsY$?R6FE`7lO.*N6rr<#rqY:'arr3Z,p\Y!j
+m&5;'K]gb>Zt*tFs7ZEar;ZZnqYC$Yr;QZpr9jIXr;$6fqLA~>
+q=a(Iq=a@Qq=YWrpA+[drVH9\pA+R]q=s^VpA+R[o^VGMocWu'q"F@Vn(PRQNdl:W?tsk?S?]fi
+kjJ';qYU0XnFQ>Pp&OdUpA+IYp@7ksp@7P<o(MeLn&*PI9lkPmE-m7qQ*K$<qtg$Yo)A.prVl]d
+nb)_RjIgKVH/-EjX^5T-s7,mWp]'sdp%e=Op\ssfp[7bNp\FO\omd~>
+q:>Ann^RBcn^mTf(XUX^g=t?5eBuarf@SU(eC<(&g=Xp&d/MQ<f%AX+eCr6[TS.2i=?8]><bHfB
+T#f+&f%]$;hU0g'f`'P(f^[YjfD4"ff,WAhc-Feig"4cR[tlqI@8Kp0B5MmX]\MB"gtLE[f,<N*
+hUgB8iT&7B>q0F,ZG2Sk9@`+QgY1?6qq(i#s4I>&q:P5jrn@D*mb%?gq:PVsJ,~>
+q>:!cl21#Kq>2oHrquTco_%tYr:osXq#(0lqtBa\rr2iiqu?TZb,CG?C1CR\IA+=Ap&4pfqYgHi
+rVlfurV,m^rri8squ-QZr;$6[quH`ls!7U>`IIpWs386SO*tt]AUTlXj88lSp$28NrqlQfq"spc
+p$VkZbm(8gs8DfmqY'jequ6HfqsjU`rVuf`qt^0cqu$;@~>
+q=a(Iq=a@Qq=[&Lq=jOOn*ooEp[dnDoCr+Zp@7\Hq>'dUpA=UG`M8B+AR8MHGau8-nG)kRp%\IW
+q#(-iq"!hPs82QapA"LKp\FOQpG_pGrr2ilq>0pZn%3Z4jS6a)To+)1A70VC\)$`Sp@%/8qtg!X
+oC;GCn`o00_SsNl^]4*%q"=@Ts7ZHbq=a@QrqQNfme6JNq=aaZJ,~>
+q:>Ann^RBcn^mTf5MFfBeBuUhdb<=%d*U7ng>:K2e(EF0g!n[1fuL"EDFm8\3BpVnQc[V,g=Fg,
+gt(39i8<8<cf=!?g"=s2h!s(nfD4"ff/_O>hVR&Agtgi?e=^%#bhoFhK5=ae7mgR*S\s:DhUT`t
+hVHrAh;7)Ihq699XKJX`V<6ObgXt34qq(i#s4I>&q:P5jrn@D*mb%?gq:PVsJ,~>
+l2:)Kl21SYqu6NgrtPD+r;-<js7td+^T3B>EdN_1Uql*krsno"m.C5Ur;$-`qYL*frr2p#q"ada
+rVlfDr$;+9s8D`cp%J7^e98P(s7u]lpA"FLeA7u?CK4PaUVH*dqu$BkrrDoprsSQ#rr)Khs75XY
+oDSC\s82flq>9^[rr)lpmecPPr;2!~>
+nb;kSq=j^Yl1Y5OpAXeFqZ$Tmqu$HmqtK^Vp%J:]o\e',VMTA2G(u-O]AWPcr:TXDn+Z\Qo^h_J
+p%J1VqYU3^o_%tRrqXt92tZqBq"*tBn+64pCpWa,n,)hKoCM.k]Uspi:K2G,\`WGVq"FO[qXX[b
+p$;VKp$MeZm-=W=q"FI^pAXa\p@7nVq#C*Vp@7nTp4*~>
+n^mTeq:,5kl.8&Jf%J[.g>V#HgYUfFgY(-1f@\p:f#"\^Lhg!d=D2c*S&!b:gssince$n&eC2q!
+f@\g3gtgi;f%8U/rnHtriR^*>f\5!,cdC1mg94ABg>:?9f[JC%b-IXnCeHWJ>_Sfldb<O6j6,U_
+m-E]`lJ:=Gk2t+:jO)`8g&'D#g&K_(fD4(hg&B_*g$[M_g&0KQ~>
+l2:)Kl21SVqu6U$r:p!`q=aOXrVlg4o[gdQN,`0PM4hT<oDejaq"aa\qZ$Tprr2p0rVQNhq"OOY
+qu-BgrVlfpqte\:"8Vilrr)j&o9,[?s8Vlcq>UC<rVZWkrV>^"T64C@BS3,'lMLSWo)8IcoDSRN
+s7Z3es6K^Yr;ZZnqYC$Yr;QZpr9jIPr;?GB~>
+nb;kSq=j^Yl1ZRrpA=gcp[dqLo^VJDq"jjemEi;5Kka\4Jsj*um/$bPoCV\Hp%n[eq%W]&qY9d[
+p\"1NpA"LYq"jmbqY9g3pbqsCq>:'er;Z,AQLb"Sna?&HrqlKbq"=CQj27:'<`EX[TZ#p`p[RM<
+nFc#9oA]T8nb`@KrV$!cpAXa\p@7nVq#C*Vp@7nTp4*~>
+n^mTeq:,5kl.7<4f\YNBg"+X+f$r1#g>1QEd'K-kBMCNjAUKrVce[X/e'umre_8mZfbE/pg=Y!1
+f[eU'f@ep2g"Y<;gY(6Lg"t==f\5*:hW)t$HJ%9?e^2h#hVHo>gY:Q=bH$1s4uYr?KriSYjl"eM
+hVlu>grSC(fA>T1i7Zf\fDaJ'f`'Luf^[YogAfjof^[YmfRN~>
+q>L-eq>Kj\nbi4]"TSGsq>1*frVm?#g:3l(H@CjN^sh*9r;HX-r:g6krqlKbp%/1[q"ajfs8Mus
+$i^)$q>^HlqYL*fros=Ur:9_)q>^?dp%eFXpAN!Os7$'dq#C?ip\=R]r:p-crVca&h8,M+G(54"
+]$UHV$MaYus8)?ep&4jcpAFsfrqcHfnbiCbs8;<^q>C'er;;'~>
+q=sd[q>'j\q=a@Qq=k*iq"=:Prq7`9rr<#ge[(fgF*EA2\]iUrp%eRcqt9IYrqZ9Zo'l)Cp@IqN
+qYL$dr!WDtq"FX_q=jXYqYTOPq>'UV3;NUOp\"7Ro^V^mC]EYrp$qtUp%%_Hp@n.Mp%S=[r;G<_
+Q$71lIX\QBr:g$Sqt'j[mJl\Nq"=@Ts7ZHbq=a@QrqQNfme6JNq=sm^J,~>
+q:PMpq:>Akq:>)fqUbu*hV6]7f`'POh;RGTe@:fp=B8U>Jt0$Sf@\m:iSN59iSN8=e'cUgg"+X%
+f@ns3rS7k:g=b*6gtLE5g"Y<Pg%j7qf^[PqhV$H.rm`dQgS@X*cf*X/hV$H-e^iF-f\50=ioB1_
+]UsFR=Cl;bU:BROkLntPk1\;He(`X0g"H8Srn7>(rn$tun_*oqs4Qhmq:YStr7QT~>
+q>L-eq>Kj\nbi1\)Ys+&s8W)pmaSD"It!$*^sD0=s8Vrgs8W#nrqcfoo_87YrrN,srqd6#pA"L\
+q=s^Zp\+:Rq>:-Tq>'mWq%NPsp%S=\rVk&k\c;]trqufno_AFc"SVlqrVQQh(]OI6rV>TnV/'7S
+FHF]5p\=d^s6TFYp\+Obqu6HfqsjU`rVuf`qt^0crVZSD~>
+q=sd[q>'j\q=a@Qq"Pd!nFQJRq"3dqW/,_DI=f#Nht$^AoBuPPp%/1T%J0&ZpA=jgrVZTjqt^!c
+p(-fgp\FX[p\+@Tp%7qPqY]mYq>'j_nbF.!p\+CYr;?H6HaNeLkkOoOp@%VOs8)9^q=jR\o,%9$
+qYBa?]UiS0ASHk6ipZF;nGMJ=s75mXs7ZHbq=a@QrqQNfme6JNq=sm^J,~>
+q:PMpq:>Akq:>)fqUceAgY(02hr<MHcErUL?X@5RSZK`[i83)6i8*)<rn%\2cdLD!hVR)DgtUT:
+fDa>3e^iC,g=b-1f[n^)f%Jg6n_*`iq:P5h)V3Hgf%A^4goOhKiSi)=g>LQ.e)03AeDT6ArS7J.
+rnS@HgWZ[X;aOJcF0*U<fB1ZDb1#D$g"H8Srn7>(rn$tun_*oqs4Qhmq:YStr7QT~>
+q>L-e*W>p7r;HQlr;6?fqYU-dqYU-dqYU-dqY^6gqu$?cr;$<krYbb8nBe(iE-6i*_;b:jq>L?m
+qYC-js8Dlorr6[2r;HTkq>1'ip&"dhrVQQns82]gqtpEnq=smcrV?9^qt^-bqt^-bqt^-bqt^-b
+qt^-bqt^-br;-?fr;-?fqt^-bqt^-bqt^-bqt^-bq>1!dqt^'aVL\U8rVu6aq>L?kp@S1\rVccq
+s8No3q"Xads7b`UBPrZBAQ*r2e]msjp$i"Vr!rW%qYU*bq>:$cqYU-dqYL*cquQcorr)lpmechX
+q>L6hJ,~>
+q=sd[!r2Tdr;$?d!r2NbrV$]np\+@Tp\4IWq"ORXp\FS=q=sg]lH5fQC2\Qg]A3#Wo(MnRoCDYR
+q"FCSq"a^Zp\=OWo_&"UnFleXq"FL\r;6Kg;u?OnpA"I]qYBjXq"a^\q"a^\q"a^\q"a^\q"a^\
+q"a^\q>0p`q>0p`q"a^\q"a^\q"a^\q"a^\q>:*fq"FFSTmQP$q#BOUpA4^_oC;MMq#:$fq#C.+
+p%7kKr;H-DT3u/X?s6*CJ'Z1-s6o7Nq"G9np\4CTp%J+Rp@n:Tp@nFYqY($ap\ssfp[7bNp\FU^
+pOE~>
+q:PMp!nc)Vr7:ksrR1\p$eEhYeCN.$e^r@'ec"*)g"4p/g"4s1g=Y-3g=k?=i82hbLM9RbA:C5h
+g#:N8gtL?0g>CZ<f\,$7gY193f[eR&f\4^'gt^Q5f\G67g"+j0hVHf7g=k<5f@/F)g"4p/g"4p/
+g"4p/g%a1pf^RK/g"P03e^rE*?/!Z[jN?E4g"Y0/db*C1rn[V4)r]],f@J^;kM=FD9i5Y!6o%qZ
+[BJ<He^3=0gA'A$f`'Luf^[YogAfjof_O4rgAKWS~>
+q>C$b55G*Oqt^-br;-?eqtU$_qY9p_qtg6eo_/1YqY:$hqu-Nmr;?Nms8VulrVuoos4X/i?=%i>
+b2`C!rVQQli;?LMr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;-<dqYC$bqtg3dqtg6fr;6Ehr;6Bf
+qtg3dqtg6fr;6Ehr;6Kdq"asds1`pUs7cQgs7Z?dq=ssb3rK$Qp](9iqu?TlrVuiQRpC0IpAb0`
+`/n\ECkJM&lMp_Zrqu`prV$9dpA4d^p@n@Tqu-E^p&"LXr:g?ir;?Nl!WW,Jr."~>
+q=sg\#kn&hq"a^\q"ambs7nDEq=saZq=sg^qXO:SqY0d]rq?'[p@\+Pp\O[Wo(N"XoDd:.Dc^"Z
+N5OHCq=aISp>GZdq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"OOVp@\.Tp\FU[p\FRtrq6'[rq,um
+E:<\nrUp-^r;6?drqJPMs7GmZqt'IZp%S1Up=GO0D6iX1qs1qP@9mDjS%dn[o(D_Kp%\4Ls7c-\
+qt9RSp%8%Wq!dkNq"X[ZqtAP6J,~>
+q:5>k"4l)Ug&BV'ec+(udf.YodOitte^W1"cHt+keC)t'f\,$4g">$4hV6]5g>Cc=j0sJ94$-D\
+Vngs@g=Y-5i7B%#f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@8C#e^O?Dq:5;jq:-,5e(3(+eCg-c
+d,*7/f&#!5gY2VZ383?Ce_]38f](T<g>1PtH9>5qe`Gc;UMiao:Lo-VbN7L8hqd/JhU^`>eCr^/
+eCW:%g"k?/e(a]Nbh7L~>
+q>C*d!W)]iq>U6jq>9seq>U45s8Miiqtg!Vp&>!hqu?]no`"mjp"$7*=`&tj^u"kdpAY'nqu$E3
+r;ZZnqYC$ar;$6dr)!:er;Z?foD=0Ps8Vloo)8I^p\FUZq>0sYs8Vrms8;3[s7sfj@=PQQs8Vrg
+qu6Kmk.-b+F*)]']@l]Mrr<#ap&=m_pA4afqY0jcrqlNhp](!iqY^9jrVultrRCaq~>
+q=sd[rV6?es7ufoqYL3erqQNhrq\&CrqZBeqXs=Hp\FLSq>'[Mp](6\c_cIqAq?M`fCAn0q#1![
+p%J(Qo(_bLk4nuNrq?0^q=sd[q=kHor;Z0alL8qur:fdYn,<7_4SnmLq"aaSrVuQ_r:T.CqsqXQ
+>'R(5q#'aOo_8"XhQ`&`CM\!\ZdJ"-pA4gPo_n[[p%eOcq=aX_rVHEdr:g*^eG"I~>
+q:5;jrRq5&s4./!"k1oJcd1#<df7eqe0s/*e'ljsccjhlh:^H:h:U-0jPnUoMJG+BAV$Dae`>37
+iS<)=g=Y$Jea_8Rec4.ue+qMhebR_jeIpHehTb$&dTDUff[AL!gY(?8gA]e*g,IC8iRc]=fZ2Y%
+eu)q?>`R.ci7HE0gXt`3S9SIC='UNP][P]qjlae:hV?]5g>1]@f@o*<gY)DTbh7L~>
+q>C*d!W)]iq>U6jq>U0gqZ$Hlr#,,'s8;N^s8Vlos8;Qbr;?TZ]8:?AJs+LHrVm3'o`+sjq>:3l
+rPnd8qu6Hfqt^0cqtg4*qsOLOpAautIe3U8rVuBbqt^$_q>1*g"oA2trVZZorrgf-?\[50rri,m
+s7H'brsA8C\9_^lG,3IRrVm<%qu?T\p\Xj^oCVhPr:p9fr;?QmeGOg~>
+q=sd[rV6?er;-Eg"Sh`cq"Xja..I$1q=4%Ss7?0fp$VACp&!aUJn8SAMok&Vr;-<bmJd%Xo(;_Q
+p@n.Qnb;2@s7cNdq=j^[q=j^['^PeanbVdVF6NYnp\O:TqtU!^q"apa2tct@p@@kRs8'rk=F\`u
+s8D`fr;#mRqX!\Hs8VB*Y]=#LDOec2rVuosp%SI\kk"QCoC)2@p@S+Yp=/he~>
+q:5;jrRq5&s4.+us3gno"ObfLe^aZM.*^;rf$;UqhppWCf[84$f\XT6AOoF"DQLn7hqd/Cd,Em9
+e^rR2g"5fFn^lpRs4%%sq:,5jq:,5j&B`tRdG!$.<Qa:Jf@nI&g"HAYrS'6_gYCN7g#;#JY@Te)
+[,^3)gY:W@eCEF+f]),Ye$5<F7Qsn-YgMRnjPebFiS2Q,g=k-+e(=BIbh7L~>
+nGE(XrqcZjrqQKhs82cms7uZo*VAUrp?VSTs4=T:HuO_Ej7rBArr;ffqu?]nqY9pds2Fp9qu6Hf
+qt^0cqt^.&rVuNis6PWss8Vins7lWcq"Xacr;Z^Squ?Whs8VJuMLCZ3qZ$<`rq?*ds7uEfs8;Ta
+q>0m[qqA63DJ4[!k4&0;mdpDWpAP!cpA=miq>/>5J,~>
+nb<"WrV?Hh"Sqoiq=ss`s7lQgs7Rc:s8DKKs6o%?s7t$CL373XXPE@8me?PJn+?GPo^hVEq"sm\
+p[\+LpZD8Np\sm^p\FU[p\FRpqZ$$^s5SUTq"a@Vr:BpYrqH?c3;37CnGWCIZ%I4X`Uilon+Z;?
+q>9aPpAO[Qn+-)?n+>)-KP+_@TA]).n*9B;s76!^o^_bSqtA#'J,~>
+n^RNjs4@;$37cU/e'cXkdaZdte^rC)f%AI%g#1T2`8f:df&PPlO(h]i?]VtOe'Zn)e^E()h:L6-
+f%]':f%9KCn^lpRs4%%sq:,5jq:,5j'%u6igu61[Z.dpXh;$K8e(NF.r7a3ahqHT>jN*X!=`11h
+gXFU)daR".e^N74gXXj,g"4d.\W1E!7q.1lce$UidbNp6gtgT4g>Cc?qUj$FJ,~>
+l21JXs82flrql`nrr)ls-2R?/qZ$TipAOa,LhU[mao28>pAP$kr;-HnrVccorVlisr;6?1r;ZZn
+qYC$ar;$6cr%.m9s82\bXoJ@tr;Z`ps7?'_r;HTlrVZ]mq>^?;P]!egs8;Qis7uZmqu$HmrrVif
+qu6O3rr)lho)J^@U4R'-Yj)2fp%&%Xq"O^drqH6cs8;fle,4^~>
+nb;kSs7l`mq>($brq?BdrqIoAqXsCKp%n[YnbD[mK4JVY`;'B1nbE.`p\"C[q"Xg^q"ag`p\+:S
+o(_bLk4nuNrq?0^q=sd[q=l`Fli6\OR&'cSoCMqUq>]sWp@e7Tp@e1ZnaH;B_MDa'i;`Q@rr;Wd
+q"FIXr;HN]oCi1Y)>X(-n*U&Kd[beqGcKg(r9s"Gp%%YHqtTaXp<<8]~>
+n^RNjrmq>(f%/@"e,Ieqeh5V,g">$2iS)o2e(*73eC3.$V.E+fFf*mQhUC3=i7Z`;h:gT?g"P3:
+gtC?1fCIJ^fB1W`eGdqmeG7YjeG7WMhoap/eTcf,e^W+)f\,31f\>3;h;$f?k1J8Cf;`d]Nl'i0
+dbs0:gY1<5gYUiDdam+NgDSf$imQ32gpMZ?87%D"k2Oq>gtUK5gu7,?q:YSteCf?~>
+q>0XYrqufnrqcWks8;lp%ef_ts8W)op"-F8VnUI?rVmT+pA=a^rU]X\s7c$Srqu`nqY0me`r,l6
+rqcHfq>C'cq>:KnmJm3qK^S^9rs&Jtrr;lmr;Q[=r;6<`s8U`0BqFPgn*9oPrq,pVr;QQis8;Hb
+s8Vrfp%eUa'`S.*mI^G=Z\3IJQ-0+#rr<#pn+-JU!ri,qrql`nqtnn@J,~>
+q=aXYq=sm`s7cTgrq?BdrqHuno_JIaq=O1)X-99galEC#(&ILkp@e+QmdBrMo'>`>p\=OVo(N%P
+q!n+@q#C*fpA+IYq"a[[p^[#_qu<pMjmi'<qY9[Xs8M`kpEB5%o'H;Qc@9,_hYug%q>^9ZnaH5J
+p%J:WmIpGSp$_DBrq7'%qXE_;rS=T)Dfq,Zq!n.Zs7GRBrq-?bp%A=XbkHV~>
+q:#/h!8%5'rR_&"s3q"r!7_##s4RD*-e$Z$hr!2>d^5!VKU]$]ioB(SeC3(&e_8Bsgu$W+d+d7-
+g=Oj,h=9%cfB1W`eGdqmeG7YjeG.Q*akPd:?H1FFf@nm+g#(H8h#?+jgY1</j5dU\7=)r3bfAJu
+gX4Ktg"Y-2h:^-,gYLE-d+6e#f%\p,aO/n_P@RZtFfO<MhWEtScdLSDg%j@Ofmj~>
+q>0XYrqufnrqZcpr;?Nlrr*l:qYL6liMC[-J[FY@s8;ifq"jd]rr<#tqtg<jrs/Gqp\Oa]r;Xe7
+s82flq>:!cq>:!cs8NW,pl<Z"qZ$QprVHEfs8Drrrt,/+q>]BCDk$D!nale\q!%DKrs/Jno(rCd
+nG3"^"T&#go(i:b(&[k,s6Ht@GDXf$lM^bVqu?Zps8N#qr;ZZmq#L<Br."~>
+q=aXYq=ssbs7lTf"SVN]p@eL[)uB0tqto*=DI7dpj8JoMq![hIoCVkUqYBjXq>U9trq>pRp%@qN
+rpfdRpZD8Np\sm^p\FU[p\FRpr;ZK^LrfVgqY9p]p%J(UrUrMLo'l)>e<"1$kl0c3s8V]OmeZe[
+rqGjJp&+gTp&"[arVH6]na6#Ls8Mc_q>B9QG]//Vd,O`mmdpJNo^h_Irq66ar:nh:J,~>
+q:#/hq:GVus4.+u"PDD\g=lP\)rB2uhqu/";*eHJ_qj,"f[&$se(!(*g=b'-g&Bb4hU^-'e^`.#
+hXT.dfB1W`eGdqmeG7YjeG7Wjgu$]3BW0n>g=Y-2e^i:,gu%&JhqZr<hS+;1H.(p%cf*j3`6R)j
+hqlu1c.1V+bL5.ugY1B1f$;Oghr!;DfAbo9P@7R.[(4B:i7HcHq:YSteCf?~>
+q>0XYrqufns7u`mrqufprVe/DqoFJ"CP:1(s8W#nq=aads8Drsr:]pcs7c3as82ior;Zfop\;c+
+s82flq>:!cq>:!c%fc(sWKI5Rs8Mims8Vrbqu8_UqY-e5Lt)J)q>^Hip\Opir:p!\rVuopq>:3l
+r:Td]rV6-ds8;Wer;?Tjo)&IehS>1qI_#+NrV$3irr2ops82il!r2Tgebjp~>
+q=aXYq=ssbs7lWg!;?Ebs7ZEc-NE_SITg91cKP9-p\"1Kp\Oa]q>9pVoDAIVnFueQr:fsarV#gR
+nbDYKk4nuNrq?0^q=sd[q=mb_m.[<6rU9[ZoCr+\p$;MKp%J+Po'bq4E.#b)p$MbQo^_\OqY0UO
+oD&:^p@S(WrV5pRq"aRRqYg3\p%\:\n`o`GpXZj0DK`;Os7PaWoD\@^p&4Xbp]C9dpso+h~>
+q:#/hq:GVus47M*f%/L,g"P0YgEu"6V.)VZ@'I`/hq-E.dF[++f\,$2dF6k*da6V"f%em/h;-Z1
+e+(uYfB1W`eGdqmeG7YjeG7WkgW\9&CYd=lf[JI+hUTg+h;@/KhqZo9Jm)clk24ePg=4R$g=k0-
+dF6b(gt(!+g=k*&cdgUod+@"%d*gIrjP&)<khs4LE*$D8e`bl=g\TV!g=4f+~>
+nbOC.qt'FTqtp3hqu-Qoq"k$jrq?-es7bieQ$%26`9@!no(qnRrr)lppA=CXanlqQqYpHgs8Vur
+s42ARpAaa^rVcWkrVQBgrr3E"d[kN3^\7^)rr;ilj8&cQq"u2hY(UhM]C,^ts8Vllqu?]erqQ3e
+p@n=VqYpNpr;5INr;2!~>
+nb++*p?qA@p@e.TpA"O\oC`%]p[@YJqXERKNc&]o^#AMTo(V\LrqZThY4j@>pA4UWqu?Ees3P`A
+nbqnMq"XRVp\"(JpA"CH`fatZ[I!\Yo_.nMnb;YM!;H9]*nI6;CO`_PqX47Rm.0]Bs6TUSp&F^Y
+o^hbOr;-0]iV39DJ,~>
+n^AW=f$;Rjf%/@+f\509e(<I;gXF^/hUKW0E`,bTTuGO6o%*?_rmq,"p=/Waaj_`he(<0uf\G!1
+hloqkdG<+"f\"d+f@AC'hVd;=Y'NlNSC?BJgYLK6o%!fjo?mZhg%jAD]T$DuAX^g%fAk]:g">3E
+dbia2k1SD;e^rR4gtC?=g&0KQ~>
+nbN7_rVm<*r;Q`in+?SYqtBCJrr3>WSonn<dJ!S9q>9^Ynb`=as8;TfnbgN++T;-8rq?0eq>C,X
+WV-2`s8Vofqu$*[s8VumjdTS2h"^mK"TAB#qYT:K!;lWjrVm)i]7aXL]_VR,&c;V+q#CBdnaue[
+rr)clqYgHQr;?GB~>
+nFdq#s8W)op\F^VlL4NEp@782qZ$?;QYpDub4#)ro(MVJnbE+Zs7ibk./EQ4qXX=Up%J'BU[\$K
+r;ZEYp@dqDq>9XKfoK$WddI)6p[e7WoChbLo(W7[pA4Fqq>:3lkHoYAI')f4pA+7Qp%&.]rpU3h
+qYBp\p@\4XiV39DJ,~>
+n^AT2gYq,Jg"4p5e'-4ngt:,ud,*j=[!P\CG-9<Kf@JUEf(%Akf)O:oeFD/4e0ihqf@S?sf@&7#
+F+_ikdbNd1d+6dnd+mU1f"ZDg@^jnIk1n\Ii7IPN!7^Sf.+Ho&gY(?7gY(KAk2adS@mOXke`,HE
+f\YB8k2Oq@e_K!8g=b-1g>1`@r7HN~>
+nbNO`q"sp_q"t*drr3Z.p\Ogfr7R`[A;.&>lh^SSpAY*^qXOI^rVufhqsjU+q\9&)rVuTbr;6?-
+MrOd:o)J7Vs8Dlprt"thX)NO0rVuorp@J+[s7tXMq>1j%nE]]DqX3I<MNYR;oAffLr:0abrs8At
+s8W#mq>L?Pr;?GB~>
+nb+'oo_.tLoCi%Pr;Z`go(DbWpXG[G?\#!*k4SN?nbN4Tp[S%Xq>^5mpF#h0q>9aRq"OEkL"uP&
+n,MhMqtTm]rr2BAT4N,[oD&.Tn*KWBq=O4Oo(W4Zq=Yp'lfRX0p$(=tIYP#bl.P\-p$2;Os8DN`
+qYKsYo_A=Bp\a`8~>
+n^AW*dFQjse(EI+hW3VIe_&U:fsZ<$6"5V\aOf.qe(`p6o$m3[rmq,"p=/Waaj_`jdFQsrcdgOp
+RUs.cgs4j&f%\j.g>Cf:^kG?_UY+>Xg!e9uh;-Z5o$m6Y.+Ho%g">!1g"=s%ajAbnbeea>DO/Dk
+^tRl(d,!jFj42o>gtC90g>1`@r7HN~>
+nbO1(rqZ?ds8Vujq"=1Kq=jENHXLruk5PDZr;?Qo!VP^IqXOI^rVufhqsjU+q]u18qu?Kgs8V22
+c2@D;p\O[]r;Q`mn)BRXOl-3=o_/(Sr;QZop>PlDqu-O0rV?3]s6.OuMKbNhp&Fmgs6KR^pA4dd
+!r`&miV`WNJ,~>
+nb+(&qXjCQqtg$WoC2,7o^V78G$AmaiVE?Fp\4Ucr:&k=p[S%Xq>^5mpF#h/p\XXWr;,2m`:ij#
+o_8%Qp\F[Xk1PT0L=ZD'lgXH8p%eCSnal;Fo(W4Zq=Y^*rVZQfo^_PGhRo5+D34M[rq$0djRi6;
+p&=[eq"OF>p\a`8~>
+n^AT5f@8:#gYCH2e^Mjlf@SDs<]s6:_;!\tf@es=gsX13eFD)gf)O:oeFD/4e0ikpeC`3ug"<u?
+V:O/Ne(3%"f@em-a1?%`C:E6[cHt(hf\,!,e'dd9o$S`3f%/L)f[e^+i8*8Eg=4X$h8Q1>B2j*3
+eE#<Ei6'd1eCX]Q!nu>YiS".]J,~>
+nbN:^rr)j8qt0aas8VK)N*h%/f(]4@p\=OZq"=4Os8Vrdq""4\qu6Qor:^$Xr5ng`rV$'drVuoj
+Vj7;\p\aj[qu$0[rU@+1Qco7*p@S:_s8Drrq===\iV<6F+8,I,q"=C\s7lWom,uTTKXSk3huETR
+s8;fkq#(0kpYl&Jqg\~>
+nb+*sq"jg^qXj1Hp\XaJ]nBO6T[WQ2p[n.Op@\"FoDJX_o(_eO!;QQhs7ibk-i*?+qYC*fn",L5
+p[\(Pp&"RTn+Z"C@ueFrq!IMCr;?EeqtBURs5EbKpE/u"q"=4Mqu?3droDtTL3]i2Ygi=7rr;Zc
+p%.qTq=<M=r:YX~>
+n^AT-f%Sg1g=O^'gYq#5UMW5"IBq8TeC2jqe'u^hd+dIJeFD)gf)O:oeFD/4e0ihndb!((g!,"`
+g"4[(e^N4(dEgFcM+)?Vdaudgf%Jj1g"=j#eD'NCn^@He-.^SseCN-se(<$qdG!U3kig:4X`.d8
+Umf$Sg?@\Pg"4d-h:pH<g&0KQ~>
+nbO<rqu?H`qu?]nrp$b-?AcPdq#CBjp%\OYr;Zfnp%@hLnbN1_s8;TfnbgN+)#X1*qu6Wcc[P-X
+qu$9]r;6!_r39aahtd6N#5\/kp@7YDrqYLIq>)3(pA=jhs7bsRs8Vcls5V^kL3p0&s8MNfs8DWb
+s8VrSr;?GB~>
+nb+'ip%e1Hp&"^[pZ&8f=+\$Lp&G$co(DnMq>^Hgo()JDq!RtXpoa?<q"4:SqZ#s)Fl)fap\+4V
+qsaLWX'0btnG*%`qtB^VoBu#;q>:!Gq"aY+n+6>OrVZ<Rme?PErVkHnK6qO4nG_n;qu-<Zo(r7V
+iV39DJ,~>
+n^AT$e(N0pe_]6:gW>OQ4_p_5dbNU,cdLIkf%f$0cd1&0eFD)gf)O:oeFD/4e0`_ne(!")b,8:U
+f%&C&dG!:!g=M6E>.2c/hr!,9daQRdb0SVheaV)YdeVB7bg=nmg=alreDT?;k3'UiD.Qk1g?@87
+hr!/9eD/m3iS".]J,~>
+nbW7b$N0l&p?08K@t;A`rr3K'naubZrV-9bnaQ5JrVc9]nbN1_s8;TfnbgN+-i3`<q>C0>QDsoV
+s7cE`qu$'&Jq(N.s8Vodp\am`qu?Wnr;HH_lIkqSs8MZWmeH_Xs7>pYs8Vurs5U57O/0hrn,!(\
+p\k-hiV`WNJ,~>
+nb+(#rVZB`q=!7QJm<T2kP4rRq!n"Ss8D]jp[RbGqYgB_q!RtXpoa?5p@n@Tq"W0sT)\-Ro(_nT
+r:@[OH*uu6rq#OIp@e1Trr!!!s8M]Xg%ZZhrq,RFq#'sfmI0W?q=+C[f:I,8Q+$SRp&"FQq"j^C
+p\a`8~>
+n^AT3gY10/g![d0AjTjud,Es>d`]qeg=Oa(dEB\YeCW=BeFD)gf)O:oeFD/4e0!/he^E!uXDWRI
+bhLRte(NI&Sm>Kbc.h(#aj&8]d*qsF"5)2M`So>BdN@;tcGmrRf%B-8f@o0Bg?@V6M-t+LU>sJL
+h:L01gt:T=r7HN~>
+nG5?Eq#16][XMM1]D2F%nbW1ZqtU$^q"=IYrVQNeq=a[[qY9p^qY9p^qY9p^qY9s`qt^-bqt^-b
+qt^-bqtpBks8;Tfnb`jnqYU-dqYU-dqYU-dqX44lqYU-dqYU-dqYU-dqYU-dqYU.,qYpKgqY%O9
+o_&7ali6tTb_^els8Vinp\t1gq>:-ho(i1SmI^>Vq"X^\qY9p^qY9p^qY9p^qY9p^qY9p^qY9p^
+qY9p^qY9p^qY9p^nG3+]q"OX[o(E%[o)J[cqZ$Tfh5b[Ze*[28rquilqY^0dqYU?lq#('eJ,~>
+nb*LcoCDYSl*,A4G-pf>o'5oIq>^4>p\+:Sq>:'cp\4CUq"ORXq"ORXq"ORXq"ORYq=sd\q=sd\
+q=sd\q=saaq>^5mpI=lQqXa@K[:JOep&F+LqsVX]HcH*^m.p2Ls82K`qtomYqt':Mrr;cgp\=LX
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=M&meQn[p@n@Tmd^>MlhU8EnG<.JcCAL!al`O!rq6?`
+qY0g\qY(!`q"O^[J,~>
+n^AT.dEpG"acK[d=d[b%f[/:%e'landEp4ee(*!udF$>2eFD)gf)O:oeFD/4e0i_sf?hskP=3U>
+g#L-,gs2j0>,L95cJ$Ush:L$%e^_gke]l1]f@o35q9gV2e(W@!dF-Ijf&k`7hqZl9iTALrKhlKe
+al)(1g"P!1g"P-5g"PZCr7HN~>
+nbPKEs8LQ;Ec-6Hm/R%Yrr2QeqYU-dqYU-equ$?hqu$?gqYU-dqYU-dqYU-dqYU-dqYU-dqYU-d
+qYU-dqYU0[r;$6cr"&]#qt^-bqt^*`qY9p^qYKaZ0)>ABqu$3`p\a^[p](-`s7H*aqY^Bnq#Bj`
+p&+Mq_uKc4qZ$TMSn=kas8Vokp\Xg`s8+>Equ$?hqtp6eqYU-dqYU-dqYU-dqYU-dqYU-dqYU-d
+qYU-dqYU-dqYU-aq]bt;s8W#sqr5YKJY:css8N&os8Mfhs8Vlmp@\:Zp\Opequ-EnrquEcJ,~>
+nb*Lbs8(-/DJF@6kPb2Hq>'LTp\FU3p\FOYpCI&pq"a^\q"a[Zp\=LXp\41Ns8";Dq=jRVq=XIU
+r;6'bnbDqSq>U9_rTa:KoBfhpo`"7GrV4m/@A2c]q=F7Onb;kSg%Y@:+SGL)q"=FSgV%fRPgB!p
+o`+OZqXjIZrV-<cp%nR[qZ$Hd!;5sWJ,~>
+n^.logt/]M91N$Za5,Crg"F^IeG7YReFD/df(%AVeh>S+g"G$.eCE4#e^`F-dGWC&f[e^2gXG!$
+gX"Bp5+C9ee(!C3\9^Mp`891reCF*=q:40Jqptf"+55N*g"b5pU0h,P[G0Eij4W8Gf@o0Bg"t9.
+f\+g-htbjqfRN~>
+nbNdps6ZduCV0W5r;ZWfs8W#mqt^0KqsjU[qtg6jqtg-aq!n4urUKX[o_JO[qYg*br:Ts_q"jgZ
+pA"R`pAY(*qN\PiqYg0gq5\dtg$AJ1p\Ojenb`.[d/+scrqcTnrpod<Tl#M0qtC'`pAb0an,2nQ
+oC2JQqXaU]rqufq!;uKdJ,~>
+nb*Lhs66@iB=Ip)q#:!Yr;QKep\FU3p\FOZp]($bq>'gUp+Q:4p\a[Zs7Q6ep&+a\qt^$`q=X@P
+p\41RqY9T>XT._Ylh^"@Dh$3roCVVHq"XCRq=rG5rq7Q4q=XO^q<R=mP$rXTnaHMInGiOWlhgGN
+o^V\Tq=++Op%J@Wo_*e~>
+n^.luh8Y%37$QTJe_AR"g"Y'QeG7YReFD/df(%AVeh>_&e_8I'h:($2e(WO)g"4g-f@/0tf@SC'
+gY("lNoSXBe)Ji1<+NDWe'ugrf\#`Dq:3sDrmi@KgXk0;gs=EYHV%YIf[]-8f&l,Ed,!=(eBcb%
+g<\F&f[e^+o%8H~>
+nbN:YqYpL$r:osbrqc<^rVlThq>B4Knbi4[qY^BjqYBs^nbXF's7Gd[r:9g]rq?Bfo`+O\qu-Ki
+q#(0`s82i<O8S\MrsYrANRRY%s8Dlos8;Z^qt^0;qZQcqs7uHgrtbD#kd5_n][ulWp@&"\rq63h
+r:g!^qY^6ir:Kl:~>
+nb*I^pAP$jq"4+SqY'INq>0m\q=rA3q=a[Zs7lHdq=sLR0D5>7m/6\JqXsaWr:][\nGN1[qY0[W
+rU'XUpV;ORlLY#IT3QrhmJm(XpA"LYoC;SNps]!;p)iu*r:KUWrql``k2*+YI^RPls7#:Js8)Bb
+s82N_p%SCXrq5pWJ,~>
+n^.ike(WX4e^;[qf@/$lf%9]Hq:4HRn^mTfn^m$V&CfO_bM1[pg!na(gXX[.ceABO)qNNjh9Fj+
+fV)s,cIq@8LI,XVdc939f%A^.e+(r`e^N%JegAr&hU^64iSWeJcGboKAXg-Zjjqc7k24bFiS<):
+f\"m0g">!1g%3jH~>
+nbNdrq<dPCs8D`ip@S1YqtTp]qt^0KqsjU[qt^-iqtg-bp]10\q]5\9rV?Kkp\k!cs8Vops7lKb
+qu?]or;Zfip[N4+rr3J[NcMc(o`+OUqZ$Tnq=sLWq>AY;+8Gm9rV?<dq!e=`o)&I2H\%a4qZ$Qe
+o_nLYs8M]cs6TW5~>
+nb*Lnp$(]3qt]mYo'l>Ip[n(Qp\FU3p\FOYpAk!bq>0jdp[Rr1qu?Ndr;$!]q"O^bpAFs`q"FL^
+rqZ<bs6oC>B;YG'oZMhuYNY9Om-aNAqY0XRnb;kSe+`n9+7o@-q"47PoBH;Slh(.pFF'7no`+^S
+meQGGr;,sTs6TH0~>
+n^.m)d`08Qf[eI"ccsngeBuY=eG7YReFD/df(%AVeh>b7g""j0e(N@(gYC?6iRHK/fA598f@o30
+ccJ_5g#LemC/1&>cfEF"eCiR-eC3s;q:3sDs4/:@g>CW8f@\[#k2aqDj/Z?kI'),bhUL'1e^r^7
+eCNXTg%<pI~>
+nbNdkr;Zfpqu$Hip\Opiqt^3dqt^0KqsjU[qt^0cqt^*Yq]kt)r;Z0Ts76'Ws7c0cp%\L[p\Xsg
+qtg-griD"WqWtPBU$;RV#k7lorqc?_qu?3`q>AY;(&.V)rr<#tqu6?_qu6Kjs3IHpSBpm-rs8Dj
+p&4piq>:'eqXaT7~>
+nb*Lcq"ss`p\=UYoCi+[p\"@Xp\FU3p\FOYp\FU[p[Rr1p#u/KkjA97p?_bKn,2\JqXj@Pq=sXT
+oD/'SJc,&uVg4Q`rr2TQq>'gXnacDMnb;kSe+`n9+nG@&q>1!apA+:KpA+FVr5bCXQ,rCiqtfmM
+n+Z_SoC_eEp4*~>
+nBh`rf\"a(e^r9se(NF(dan6Dq:4HRn^mTfn^m$V0@e.qh8mjqc.:+pda-^qeCi=!f%J^+eC3+%
+KOWcc`f4DT`T6+6bM:n*eBu^qg@<\ge^N%JefW>kgY:N>gtCK5e(NO0g>Au^@sP0(hV[8Ddad14
+hV%b[!87"sJ,~>
+nbNOep@\7\rqQ$`rqurpp\Opcqt^0KqsjU[qt^0cqt^*YqZc]mr:^0ip\k*oqu?]hrr4#:p\=af
+r9s[@I-psUR_/V"p&"CYs7QBkqtU-hq=4@Xr6bBYs8Dfir;QZlrquZfp\b$hqZ#lUF,\B>mf*4i
+p&4paqtp9eo_X.~>
+nb*7]o'uDLqXj1PrqQZhoCi+Xp\FU3p\FOYp\FU[p[Rr1n,E(OrqZ-brquchrr)?drVZE\oD/7V
+l2T4RjSQ`TYPJ%Zn*'<Ame?VOoD&.Rnb;kSe+`n9+oD'-o_81VpA4[\oCM_Pq"+OHRr!ern)XKJ
+q!RnPnFcJBp4*~>
+n^.Wjcd'tjf?qanrmh2"d*p\DeG7YReFD/df(%AVeh5;*f?rI.dc''<hU^Q>d,<a8f@&.$g=FC)
+ZrG$"TlcRYimH<%f&Y64gXXd*g$mMee^N%JefWZ!f@JX0gY(E=g=Fj/gtUHAaF@$#W79#Ok2+VD
+hq%VX!87%tJ,~>
+nbN7arr3?"o_eaerquQbq"jd_q>B4Knbi4[q>C'cq>0XY0E:tCo_A@^qssdIp&FCRs6oser;$Bm
+rVuAMVqn;Oj7UT0@#1eb=J!k8s8Duro^VhSr6bBds8Molq=s^Wmdp2Iq#1*arUKR\la)IuZH_k:
+qtBmdqtp6drV-Bhp%s7~>
+nb*Igs8W)inG*%YqY9^Ro_/(Sq=rA3q=aXYq=sd[nb+X6p@%G?p@e1Gs5!/Dk48Q9p\jdUqY^'e
+kD>e[T:t!'^KjfdSYT#IaRoE*qY9OLp\FU5p]'q1rV?0[o^hYDmI^,Gp\FRTq!@GEiMh9IVS_Ba
+nF#lBp%A7V!;H-ZJ,~>
+n^.ith;?u6c.1_%f@A9pdF7m?q:4HRn^mTfn^m$V0AP.)cI1:pe]d!ccf)mli60j4f[\g8g#L4k
+J[^5a^!ETF4CWr"1O?+Ogt:?5cgfN\e^N%JefW`$f[n^)e^Vpqf\"m4g=G$)dbVp'A6Fqoc.q%)
+gYr"b!Sc<#fRN~>
+nG<1[%/Tr%qY'[]rqlZorqH6cq>B4Knbi4[q>C'cq>0XY0E73Wm#J^XSZ1>*]A9=-eBI@\rqQKl
+o_[N[b`1`Ws8VqAD8ZDRS5#dLs7Gs^rpfm]r6bBBq"k!i,Q7N:s7Z*_rUfjas8Dfms8V2sEaj^S
+s8Vckqtp6dq"XUYqXs`9~>
+nFlnS%/0Mnp@@hMqY0gbqXaOWq=rA3q=aXYq=sd[nb+X4N5Oe6[JH5be;L`dT>o0qkPb/Fp\4(G
+emQCKh!Fq9mVZIBpAL.DSF$1Bn+c_Kp\FU5p]'q1oC_tYr:p![s7c3br:BOYqY9[Us81KWAla0#
+rq>XNp%A:Ws7c0ZJ,~>
+n^.lrdF$Fof@/'me^r=%gXjgJeG7YReFD/df(%AVeh>`nUW-u4g381VCR)AYVQQl?i7c]7g<eB\
+6`+M2cf!m8<_8k;icci$bhUOjf\,fEq:3sDs4/:@e_K'=g=b3?f[ep9e^i[7gXk0?i4kaV5[q1c
+i7-Z\h#Z9`p"4c~>
+nbW(Znb_SKq>K:M?hOHtqtos[s7QEinG<(]rr;ics7?*erVu?bq4HrhOn=IQl-AqsrVNM?l_;Ar
+Z+e54^sf7/Vgc`rMVNm@U%3SDQg4VJqZ#;oZ1n:mgK/Orrr;6_p&+der;-9frjr"9qtTm[q"aa_
+qu$BjrVca-hnseVS?9R'q"ssgn+cSLqt^-lq=sd]J,~>
+nb2eRnb;;Cq>'j]l1\QSrV6*[mI^;Fs7bjPp\=R]p$MeIp&FgclM1"?jh6WAK>uuon+?DJU!)Pf
+^\4_<^js#@U<90P^K#g4HIJ5EEa=[_q!mkJcYKBCq!HI*DYNr+jT"`Eq>'gZpA"L%q"OLbq>0p_
+rV6Eer:U]oe$O%#OJ9,Ro(DbWmIp/Eq"Fm_oCV[*~>
+n^70_n^QgRq:>All.9:hh:U<0c.(LpiRc9'f@\d2e]m'ue_f$8b1P3i`LUhkA#@2Dcd^UtJZHb;
+T@SpfTO=4jJuXB(UcW.s?atL.=$grHh:C-6[o8:6hU8hg;:jIX`8T(nf%/C#e(*'fec"+ug&Kds
+fb)rMT34a3N1ShYh;7AFh:gQ9q:Pl$e^i<%~>
+nbW(Znb_SKq>K:M!W2Qgs&/^drUBIZs7?9ao`+dQs8U(,gPi2ZJ'dH3s3pfAlMpPUs7H*bnb`@X
+o`+U_qX4CXs8)cngWKD2LKJb<eCWa\p:6gYs7Q827@j>Ks8Vllr;QWsqtg-a])2j2q"FLXq>'pb
+rqucos8NN's6dCUA9>B\p$r(Vrr;fl"TJAurr.E~>
+nb2eRnb;;Cq>'j]l1\<RnGi@bs7PmVlgOlRmf2hGs7PLRqS;CILSi4?bN.+OcLgkmqXF:[mdg,<
+p&FFIs6o^Skl:2HmeZG!_!tr`:2OOac.VpXXcqN7l1&LPQM'_Hrq#mZrqQZjp@\*rq"OLbq>0p_
+rV6Bdr:UZgrSjo/=D=r2n*C#Fs8;llpB:<eq"a`9~>
+n^70_n^QgRq:>All.9%gd,3R9i763,bKo/)cJ[*riRPp+g7ZTsB83EiX2M=&Y12(Bg<eL2cI1=f
+e_eWsiQp-*aPkP%eDSocV:J4I1K$fJZG,2DQ$^F*cdkl8H.C7"hUC*,rmh2$e'c[^ec"+ug&Kdr
+fau]tba*!1;jcFne)oBHj5\kif`^'`g=tA4~>
+nbW(Znb_SKq>K:M2ui=Gm.^DTqY^BmqXaL^nbMtR^$P$Sh=SkQs7$']s8N&uqYU<brV?KipAb0e
+s82]nq"Xmfrr2p;q#B?P=&u'^WPOpig>n@Ve`Z)$IZN=bq<\+Rs8Mlur;HQipU^8(qt^$aq>U9j
+r;Z`prs\ns_1cQYNO/H\qsaFWqullorVleH~>
+nb2eRnb;;Cq>'j]l1\9Zl20Z7p@n7Ss7u?UoDe1LoC9?Rjd4Wg`T$p`rUB[Zqu??_r9sFQs7Pp^
+rUTm[pAX[Ts7lB`o_7_OesoB,R,XaLOH\&DK\4E$g8T1Mf)>4'q=+F`pB:9eq"F<sq"OL_q"jgc
+q#0pup@nLZo&mK/?@dj4oD84HoD/+`p%S7Wq1&~>
+n^70_n^QgRq:>All.9"qakOkaf%8I(iRuc,e)AO#e'XQ'`HSi<V8D37h9am/gYp]6gs=X&hpp-5
+h9t*0f&"m)hq6T;g>13<]RhjmIE.#4FEb..Cr!<l^lDQ5\_Y`Tg!J^We-+=Qe^Mm_ec"+ug&Kb+
+g%3f-g#(lJg<Q:!7;$G"g#1Z4g"Q;U"P;>\gY75~>
+nbV5Aao"*ro`+pjp&FmXo^DPSkf!M=VUrQ@s7?9`oDJFas6]XJs82KcqYU0do)/O]qZ$<imJ6VY
+s6fjbs!.6-AXe0diW&]Qs7#fBKYYh!i:m'Io_8C`s8M6ZqYC!ds8KS,!;lTfqYLBmrqH9grs@f&
+DdIhEqu?Qnq>:Bjqu-HjJ,~>
+nb1r9iV;[3?MO!hq>Kg_p$;)3o)Iabs1Y2T\_R,Ns7#INo_ndQo]H&EnFcJJp@[hIrUKRYo)IqG
+p%nRMp@S7Yk`/f,F(*]#meckFnUPkk^u<f1n,)MBs7cQhj7i9?pA+U^_YEp#s7lHdqY1Wro^2)C
+s8:W[BNK?)o_nF^q=b$`pA"CVJ,~>
+n^6=FiRR2E?J*T_g"k$4e]Z:]dc&*9iLYV+RCq>#iR#m%eD9!&eAg7od+-[tf%&$sh9jd.dbi-q
+e_8d"g"PECc?)9n=\$-ce)0$,eS&?\W5lKteDAR"iRd&A_pm/`e(31'_U\V:rRh8+g"GuKs4In3
+f&>cO_OXFb>I`DIg>r(_"P)/Yg"Cl~>
+nbV5AanuD>rV-*en,N@cs#&QeaGo$Ae,TC=p]'d`nc/OUs8W#rr:p<fp]($gnc/XZq>^3hrr)lq
+o_JOepren(\,V5Mrr3r+o)ITiT#KX8a4Rd!p%e@VpAb-lrVQHgrVli-r;6Bdq#L<krseqmoDejV
+T3HE>q#Bg]q>C9ms87B~>
+nb1r9iV;[3#P@f^oD7bPq#::me^qZnfB(9Tp[7SNli6>OpZh\Vp\FRTr:KR[oDe7Ys6fU\o`+gb
+s8)9Zs7PTfKh86<H].Utr93JHfP-MZeA]&FWql)Snac5Mq>:!^p@nCZqnr4'p\Xa\q>^4#qZ$9M
+m/?tCPu2:kme5c9q=jpcs7_$~>
+n^6=FiRR2E?e!`Ve(Vt'f\tcI[C;lC\&GK)f?Ve#bMg\&f?2n-f@ed)gsjd2e)8L-iQ]p3e)&g3
+hV$9+j4htWDDI@5@rpMhj3H'7^/93M]W7a4O5/.3dF-G$g"=m*e'ut#fYc8<fDXA(g=b0Nf+?Wj
+hW3D3d,O-+H8\QTe(`%?g&Kk-fmj~>
+l2'rIq>0XZq>9.K&GlFqpAb*fp9).*^UO76r:Bme0(f2=rqHEls7l<[s7H'cp%SL\q>L0aq=jRY
+p&FLLp\k-YnY'fnq>ZIen,MqMrr3gq>1W`QoDdLmVs!a+s6f^_rr;uqq>'pd\GZ7$s7uWg"nq`d
+rqcWmrsA/]pWA1qW:9icqYUKnrql<YJ,~>
+l1XZAq=a@Rq=j^[l1\QXrp'%Pq"=0U\F[89qX!qCqu-Qmmf2kRo(i=`oC;;Ln+-MJo)J:SqY0XU
+o^_bIs6T+EqZ#a=O^4+6rI7o/p#kW?q#,tCb5(Vkr6NKXi:#.pl1G#Pqtg*\p%S:"q"FIZq"sje
+qYp:$oCr+Wqt9+3m_4!ES`9\CqY(-dq=a7EJ,~>
+n^70]n^RB`n^[Hbq:4`]?e+#UdG<I*d>41=R??4If$2t*hqZN7db3(%hqZ].cf*3ui6]p2dad%%
+e()ppf$W?tbL>/'aiSiuHICqh5g/!/dH9<GD)S]Yg<JWaY(OX<ZermShq-N4e^Dmqf#-&:fDXA(
+g=b0Mf+6WegYL]Bg<%F`Ug?!2aQ**L"PDJ]d*R:~>
+l2'rIq>0XZq>9.K!:p-h#l4M=kb4m?s8)`p0D5A:p@e1Ys7cQ\o)JOUs8DH_qt'acq=jpao)JXV
+rVlihpAb-NZX8sZqZ$S;S,N@+q:N;p>Q=Ess8)Qfq#/!qkO&':o(`4`qY0jb[/Bt$s7u]is7Q]j
+p@eCYp\Fgdrs&GV`:j62rVHEpq>9gKl$r~>
+l1XZAq=a@Rq=j^[l1\QPs8Vugr4h9]T]Z.Ds82]^s6]=Fn+ceNroibIo^)VQlh'o=p\XUTs7l0b
+r9sU`s7H$bro("WK%0)Wojs*To`"RTdBmF[rp'4UmdKZ8p:?FHkk"92o_SFXoCi!tq""1Zq#1$g
+q@ic&qY9[Qo_81WqtpE^c*lj6p@e@W"SDEVjQ(g~>
+n^70]n^RB`n^[Hbq:4`]?d7KegXP#N_g?pRgXP3:gX"j'd*U+kgX=s"c.pgmiRl?'f$;n%eC3C-
+d,E^'gYC`8eDK&rO>h!ie(ieTFktj7h:T3*8iPn\hW*,8e^W9@El,oHcca_ff@/*qf#-&:fDXA(
+g=b0Lf+-9ZeCrU2gu%)?Ya`hqgA0D)f%ABi`de~>
+l2'rIq>0XZq>9@QAc;Q*r;HQnr:[L\_27pSs8Dorq"asbs7lWds8Vchq"asVq>]mYs8Vffs7lKc
+pA"L`rqlK`o`+sY^O]n*kPtSN\PVVlpA4g^qQlg)n,NF]s8)cqrqHElfYsEDo)JagqYgHmr;HN/
+r;Z`or;ZZoq>^6hp'pfsrqcQmqY1$bq>L?jrr2usqYUKprq5I;J,~>
+l1XZAq=a@Rq=j^[l1[sMp[GAF]S#b<s7c9do(2\Jq==RRrVZ0[p%JFMpAXCMqZ$*Ws7?$[pA"L]
+qtBXNn,3.L]RF1hfDGR*X$kk@m.:5Eora[cjnJW=s7-*`%Is5ne%h@,l1XuJo_87#q!n+Yq#1$f
+q@NK#qt9^\o^VeHnFHVHo'uMNpB:9enD`GX~>
+n^70]n^RB`n^[Hbq:4`]?ea2ZO)1=rdE(:ufA4m(g!\R%iQg97d+?dtiQ0R*b1,/(dF7"%f@/0t
+f%Sj/e'QFrhohQt5a0"EjN3N6`ST"oimQJAI$De/hpCB4gY:B.f\s00GeD,Jg""O$fu)A;fDXCm
+f,WQ!e^rR*dG*$qeD\d)eCrO+g"4p/g"4s2d_`qQ~>
+dJED1!;cZi!rDflq>L-d)#s=0rUp!_r;ZTmpA=mfroKNZIX^h`s8;Kc!rD`fqt^'c(B=+$rVcTk
+s8W#irM<tPlMpkZq<MsqrVQNh!;lZk)>j.-r:L$hesLl/\GuU)s7uBgp\b'fnbDtOqsjX\qt^0S
+qt^*bqZ-Qirq-)<~>
+dJ!,)!;?Ba!quB`q>'j[)#Ee!q!dqKp\XR^nFHVNptV%<G]i?Bq=aCR!VuT`q%s)+p&"RTo)/LT
+lLC?GGN8Dhn*o:LT(N$Ur:g$\(\.FunGN=7P&=j1p[mnRnF6GJq>^<]q!n+Kq>'aOp\jg_p]'s_
+p\FOYp^Hljp@n:Tp@n:Tp@n92~>
+dF%L4!7Unp!n5ZLn^\N1dG!7"eCE1*e)8U%i7-DmEg'U+bL5)6eG7Yjef!2hcdgUneDB67cI[S0
+>K>LOeC2E1J_/Q,o@=`*g""@#hQLlq8W;BTd,EC!hU:'8f[&.=eEPQ[fCdYlf)*tqf)++qf(mr,
+f$r:#f$r:#f$r:#epm~>
+dJED1!;cZi!rDflq>L-d!rDWfrr3E*s8Volrr<#FYdSnmrr3&hs8;Kc!rD]crV6Egs8)Wj([q1r
+p&"dhq#(0AH#9tas8;`ls,UaQr;HKjq"X_&s8;N`s82?VKT,9?jSo,Xme-VHkPtASo)%tUq>:!c
+g&(UDo_X.~>
+dJ!,)!;?Ba!quB`q>'j[)"mFmqYU0br;Z9Wp%J:'Vlb!Ip\spMs7Z$Xqtg?gs8)Wg(@h:uoC`.Z
+l0Iu[CLO:3q"=7Ps,(4Br:g0bq"GR$q!dnPpZUUUGh]j]oCVkBnGhk=s7u3ZnbN"Sj7i$9q=sUV
+J,~>
+dF%L4!7Unp!n5ZLn^\N,dFR%+gXt<?dF6[ugo-$h;jQ(nfZ<%AeG7YjeeuW[eBQCugs"1"X&2BK
+e_Sp1g#Hm8^t7/go$eH-e]lIneAoO.?,)uAe^`Bpd,E-eiRdVLl.5[^ldYmarR_2)f\$&Oq:P>h
+J,~>
+dJED1!;cZi!rDflq>L*c(]=(+s8)B`n,N:bs6kbsg[G"=q>^Kbr:BddqYC'as7u]ks8;lps83Z.
+qu6Hes8V&8AVfUNs7H'cp>TGJp&4jcrV63c#5\/os8;WirVm#]E5UDfrr30!qYU<WqXXORrV??d
+r7UuCrUfu;~>
+dJ!,)!;?Ba!quB`q>'gZ(\dOqrq5aPk5Y#Ps5nfXdcU)onFutKp@@qXq>C*hq>^<gq%ru)q"jXM
+p&<Bd<I3NurpB4Rn(V$2nG)tVrV63_(\[OtrV6![s7>gNeR>l3fD,CBq"O[cl1+N<q>'aEp[@hO
+q"4<2~>
+dF%L4!7Unp!n5ZLnCAB,e(<I,cd^"oe)B9+?sL%Ydb)t"iQLc@q:5;l);*Kif@%priO)uR?c(XZ
+dF@.'^-$Vdf[eXFe/-T^f%S[$f&,'0e@7o6Z+/KGg=Op/iQ(K<l.5[^ldYmarR_2)f\$&Oq:P>h
+J,~>
+dJED1!;cZi!W)]gr:p.*s7Z<hp@eC`s7O0H\`DlJs8Vuip](*foD8Rbq>C$dq>^?jr"oD2o_JOe
+g7rV>`r?#*nGi@brKqB\m/R%\rV63c(]F(&s8Vi`p&G'kpY,@uEV8r'm/6n[r:0[Sr;$6cr7UuC
+r:Kl:~>
+dJ!,)!;?Ba!VZ9_q"XP!rUKRYnaZ>Ms6R4-YhRt&s8DNUmf2qQo(N.[r;-BfqtM!-q=!qTs3Hs>
+Fh%&CkNW!;qY$%`hWOe7p\jm_pD<Yro`+s_mI0`InEJ0`IVA3;qrd_Qp\F@RnbDqRj7i$9m.Z#~>
+dF%L4!7Unp!RoQnebI]1h9jd.dF$P#iQ[`\OhABTiSN&/cf+BCn^SN5f$Db&iN[Vr=I[k$a3<Mo
+hV!!A^rP3\f(7B-f$Db!gsF3gfAY3&YKgNIcct4bfA5$1n^R*Zq:>AnldYmarR_2)f\$&Oq:G8g
+J,~>
+dJED1!;cZi!W)]gr;$4,p]'sas8Dutps>5,Zf^lZp%SCas8M`lr:BddqYC-crV?Kjqtq9'o`+sc
+[sDDdlMphPs8V]jp@NQqp](9lqYg3bq[3B$p\+I^rVQ0Uqu6U%UpRn$qZ$QpoDe@Xnbi4[q>AqC
+q>Bm^J,~>
+dJ!,)!;?Ba!VZ9_q"aV#o)A1QqtU3kn&L<]Wnlt?m-aKEs7PdZp@@qXq>U6hq>'e%nF$/Qm]:>+
+VVh4AlMpnPqX<fjP4JMJrV-9cq=b^'q"+(Mq>'^Jk4&?Lp7&+nNqEAHqX44Mp[S%Sp>bo9p?_O(~>
+dF%L4!7Unp!RoQnebRc4db`C&gXtKBd&:`6Mn[Bnc-OnsiRZ<4n^R*Z):6[biR*Z_2Mf3(e&pS,
+cJ?sr;fpODgt('Je/-fgd*L1lf$hd_dbj$8I#OJ2eD]'6cJ%g<n^[Hdq:Fr^rRUr"!nl5YqUYJo
+o[JB~>
+dJED1!;cZi!rDflnbWjls7ZBcqZ#RTP(;uns8Vflrrhrhs7lTaqZ6QhrqQHfs8)Zj!;uir'@2DB
+MTPnurVu9^pAb$eV.eo]s8;`lq"ae'p](9gp&"dgs7u]^n,NFc\>/3(lMp\Xg&(UC`;>&~>
+dJ!,)!;?Ba!quB`q=j^Y(\@Xrp[e(Xh>)nOjm;mEmJQh[lL=fAq!n(Yq>U6hq>0h&pA"X[`d:d:
+^@_HtrTX+Kr:]cS@G^JQp&4X`q"aY#oDJRZnb;tXs7?9Rl2UeWZCTpejT"`CiV30Aj7ha1o_3k~>
+dF%L4!7Unp!n5ZLq:,5k(Xq6gf@/:/^"I.&`m*;tcJ@74bL,4of^[Jeeb[c6f%]0;WF%_sT[r&M
+gW%djg"=r.7)74-e^i=Ce/-Kbg<n3qg"533iQ'(!iRX0?^n&F&dFR:+q:>AnldYmarR_2)f\#cG
+o[JB~>
+dJED1!;cZi!rDflnbWsss7ZKapA(VSm/6bUrr;`mnbN1a!VcWbqZ-Kiq>^?lqZ$Hkr"o8'[:<j`
+r;QHbq#CBko'Q&,@upZdp%J@\rV63c)"de,s82Zfp&4@Zs7l!]rV6ELIDkOGs8:UJq>A2.J,~>
+dJ!,)!;?Ba!quB`q=j^Y(\djtqX3nGU6Fa5p%%nTnbh_ErVucbrUKXZq>^6ip\XY#n`d#S>I3qo
+md]lGrVQ0Qmb(j$s7PmOrV-9cq=b`qq>^?dp@RnMlMpnUkkXuDq:0T!jQcd=iqN9Bj7ha1o_3k~>
+dF%L4!7Unp!n5ZLq:,5k(Y@Hig<S*qJoer_e^E+)dG2poh;I&8h=9"jfD*o6c]L@VQe'g8dEpLs
+e]c.^]g$;mf?hprf(7B-c.:\&eC2gjfZN11e&^4odb2'/SAi_2iRI\Sq:Fr^rRUr"!nl5Yo%*H_
+J,~>
+dJED1!;cZi!rDflnbX-uqt0p`rqM;Kqu?Klp&4pes8Muns8V`^qZ6Qjr;$Bis8)cmrqmW4d=bef
+h>[EOqt^9aqsaXcp7Z<fr;?QkrVHKfq>2$/qXjO]s8Dlis7#FUr:g0gs819uX4HtAgAC^D`;>&~>
+dJ!,)!;?Ba!quB`q=j^Y(\IFis7?'XK;8,<oDJ(OrUfs]p[n:]md^#Oq#'sfq#C*dp'13/GYs1B
+o_nFls76'Vs8VVXA`NOZq=ad]rV63_)#s=!oD8@[q"4URlMpVLq"OXUb0H['m.TH5q=`kCkP"QB
+J,~>
+dF%L4!7Unp!n5ZLq:,5k(Y%$^hp^9-@tW=fe(i:$h:102f@8L3cLKE[fD=&4fW/C?D7A3Nf[\F+
+bgjkhgs^^C`r=Zjf(7B-gsaNpf@\[)e)ANmiRcN1f@n]SY_'"%iRI\Sq:Fr^rRUr"!nl5Yo%*H_
+J,~>
+\bbjn#PS2go`)83qXOLZqtg4=qtU'grV?0_rqZBis82ic]MX-nq#C9es7u9ds6]O[oD)h#p\X^W
+rr)]lq"ajaqZ?Whp\sq#qYU0im/QnAQcK.*s8VEbqtg6TqsjUSqu6HlqtBsKqg\~>
+\b>jnq=Y'`s6]:SY.=5ip\FS3p&"dfp@IqPo^r%Vp&F<`7;oR"r:9CUo^Mn\mIpSMoNJ<bp@@\J
+rV-![q=jg^')2+nqW@hIfSmB9q#13Ts7c6^anPf.s7ZNgp\44Oo_3k~>
+_9r)-q:,5k#LVMTcea\Mea_8eeG7WDeCi[4e^Dt#eC<7+e_nT9.p/=kiRcT9eBQn,a3`Saeio,C
+f[S7#f%0`Jq:5;jq:6)1`o5=VDOfG3g=sR&eC2t4eFD/\eGdqse,\%tfDXA(g=b-Lf(@IB~>
+\bbjn#P[okq<>EErpfp^qt^.;p\FLOqZ$Tcq#C$Vs4)g6Y1*(Bqu$Bds7c-Vp@SCZW,gAdr;Z]i
+rVHKfq>C*d!W)Tjp](!iqYU<lr!WPcXa%MSmf3+]s7>LPnbhqSrqcZlpAF"KJ,~>
+\b>jnq=Y'anGi.AZe,$;p\FS3o_J1Lp](0XoDe:EqTjXqU;uNinb)YKs7GpSp@SCWUMJ*Jp\OXU
+rV-![q=jd]&bl"qp@InJfqN>lp$2SMq>]p*p\smdpAk!_p[RtLpOE~>
+_9r)-q:,5k#L^uXeARQ[g%!\ieG7WDe(<'of&>E.e)AWqg94jILoo(Wf%A[+hUBfqd*CIpKhno+
+g"b3.f%0`Jq:5;jq:6)1f$r4#]7`tEd`:1lf&+^9eFD/\eGdqse,\%tfDXA(g=b-Lf(@IB~>
+\bbjn#Q",bd$*hoqXOLZqt^.;rq-!cs6fIXqXX[`XB]YIo`+sjp%eO\q"F:Ns7QEK@\!8oq#CBe
+rVHKfq>C*d!W)Tjp]($gq@<9"p](-j_g1hQq>]pUroj7Lr:0[`qZ$Hdr8da*~>
+\b>jnq=Y'dnF"J[kP+Z6p\FS3qsj@Zr9NbMoBZ;GUJka%l2(GSme$>Mq"F:Ns760C>F"dToDAOV
+rV-![q=jd]s7[#os7,sVs1319s7QEXnG:6#rq?Bd!;Q<_nb2VLJ,~>
+_9r)-q:,5k#M%2HX)>u0ea_8eeG7WDg="R3h9=4)f$<.(L,MS[c/.O8dFR%&f$r!lhp:&d5'b]6
+e_T*/f%0`Jq:5;jq:6&(iR-B.iL<]eh9t3%c.D1/n^m<\rmUns!7h&"rRh8+g">lHo[JB~>
+q>.An#Q"JiiiiCXqXOLZqt^0is!7C1p](6as81uK=+B$*s82]nrq,j_o(i7[s7cMlB[QkVp%n^d
+qYg3br;-9kqY:'as7lWj&+onss7$'[m%pERp%n^[qpG?;qu6HlqtBsKqg\~>
+q=_Anq=Y'ds6JL@s7H!Kp\FS3s8M][o_nURq"3L/:3P+cq""(Tq=4+Wo(i7Xrq#r\@ESWAnFc\O
+rV-![q=jd]s7[&ms763Ts6Aa?SbVaKs6o^Hq!n+Sq"a[`pAajeq"OOQp@S*0~>
+q9d=4n^RBc#M%eV]o(duea_8eeG7WDinr>6e_]'-gXj>e0j1sDgXFd0gX+C*d+@%$h9ai-7'>S$
+db!7(f%0`Jq:5;jq:6)&hpUH*i60,hHI^<igs":4ea_8eebR_oe,Rntec"+uf`Km\f^dVce:7~>
+q>.An#QO1uYQ+ClrTX4Tr$VI<qZ$Kdr;ZT7E*0CFs82ikq>^Kgo_SO`s7Gp_nT:W$s7uTfq#C<h
+rV63dqYL9hrV6?f&,u7os8Vuqs,`iPp\Y!bpX/p7qu6HlqtBsKqg\~>
+q=_Anq=Y$hkc_#aoCDDGq=j^[-i3N1r:f^Rs74$>:T4*ho(_eJs8Vfbqu6Kmna?8;CS("lo(VbI
+r;HB_q"a[_q#0ptq=*kPqY'^aN10e<p]'jVl1jfCq=sd[rq?Bd!;Q<_nb2VLJ,~>
+q9d=4n^RBc#MR7[MVQ\/f^[SheG7WDgXb$5g!\O5eYPknMqm=Bg!J7(hUL!,gtCN1d+ZZ<K%&T,
+g""R,f%0`Jq:5;jq:6)0d*LS&f%AqqGMLQphpBa7ea_8eebR_oe,Rntec"+uf`Km\f^dVce:7~>
+q>.r*nbWRko;%uVq>U?Wqt^.;pA"Xes8McbNF?YBs8V`hqZ$TgpAY'`qt9jcs8Tr?huEKNs8V]j
+rVHKfq>C'c!;c]irV@')p\t$hp\Xddi5,-^o_8CMrUKg]rV??iqZ$Hdr8da*~>
+q=_Z"q=j^Y#6+%_RJ?FMnG)hRqY2K5oC`"\s7u0OL0A*"s8VEVo_n^\pAb0cr:Tj\qYdiueb\h1
+rqc'\rV-![q"Od_rV$j"o(htYo(M_SgqE:NnFQYDq=44Tq>'dapAajeq"OOQp@S*0~>
+q9d=5q:5;jq:5f-c@:,leCiLEfD3qmeLK2#f%f9EgXFM`4[u((j3H6(g=am%gYL?4e(NL3i1)[9
+hUL9;gs4^+f)*tmebR_jedpN`g"#$/f$rEaRa9C+d+dg9n^mTfq:,Dms3q&!rR_#$!nu>[o%*H_
+J,~>
+q>.r*nbWOhqt0p]rqu!Wq"uK=r8RPPflg5Km/QbIs8VlnrU]XYrUoaUp&G'VK9?$1q>^?lp&4jc
+rV63dq>9s`s8NN"q=ajapV_^8s7H*dl2C/Mq>L-drqcZlpAF"KJ,~>
+q=_Z"q=j^Y#Pe#]s7#jYp@7qRp\O[bpEoq7h=U`qDb>T?s6JeEqXj^_oC`.`q=F=Ms8UnsKCJ^-
+qY'sYq#0s[q!e"fr;Z<\oDJ=R^jjf0nFZ_Eq=44Tq>'dapAajeq"OOQp@S*0~>
+q9d=5q:5;jq:5f'f$E=%g"4gFfD3qmeLK2(jP%E$jL.u>A]NlYb2V7)f%&$jgYUN1f@8mB_d.!,
+h::?6j3ZH0f)*tmebR_iedgHnd+-S!e^0jlYLq+IgZd;ZfD4"neGdqse,\%tfDXA(g=b-Lf(@IB~>
+q>.r*oDAOb#'R*Ds7cQcl21;S+91j,s7Dpp?d&?Hq>^Kos8Vojs8M]]q=t!Xr;!p.lMgecrp0U[
+qt^BhqYL$cq>:!a&,H2&q"XjfqY]j>a7]K4q#('jr9sUSr;$<equ6HlqtBsKqg\~>
+q=_l($hsGjq"ORWp\+@Tp\+:bE2W@)o)J1Kp]1$ap\OY5p\j@Js6Z1[=N'k3o(DkOp\sm[s8Vid
+rV?KZp$]%Ug\CR>pZDMJp&+Ocq"OOYq!n(hpA4XYp&"X\q!?_Pnbi@Xl1slDq=sdZrq6<bp@n+N
+o_3k~>
+q9dI9qpc)+e^r@'e^i7$eCN.Cecns+eCr@0cgfTef)!nmeLK20c.D%(HpTrof]:W;h:^N:e'm()
+da6_"j363-Q8Z\;gYCN(j4)W1f)*tmebR_jedp<ag!nO*g=Ffr\"M%"g<o09n^mThq:>Pqs472$
+qq2#(g%!Yce:7~>
+nbUr9nbi4[&,H2#q>Bs[s8U!ts8Vclq!n:Xq[WK&p[\@aoDejbrVsZ>JGoEHr;-@$r;6<bq#(-c
+rUXU1q#(!cr;6Qlhu!`Zq:h5"s6'F[qZ?TjqpG?;qt^0SqZQorqtp;A~>
+nb1Z1rV6'[q">3op%7tImJ-LghYd?As7PpVq=kHos7Gd[s7#pbmIU4`=*ac<!r)E_r:UToq"ad_
+r;Q?^kujqKp%nC[pAk!GpBUQdeWAklir&`L!;Z*YiV30Aq=am_lLtGXq"OOXJ,~>
+n^6=Ds3^ens4%"tqpukAf@ed/f@\[,f%AR+f%&I(eCN!lg"Mq0gtg?9eFM;ff+6Hke'?q/ceIL0
+g>SSc?/#50!8%/%!8%2"#h[q_g<`3PeCj]Lg"-J_e$X/5iPOCGfC@D]fC@Pif_X;&g",H<"P;2R
+eCB'~>
+nbUr9nbi4["9&#cqYgF!ZbZD4n+6SQnbi4[&c)"ps8;?WrVQWiP>%>>s8Donr"/i,rVZQiq=s[V
+s8Tf?fDkdFqq:lPo`+$OqYpNcrVQQhdJWh;q>BLSs7u]k!;h9~>
+nb1Z1s7l3[q=Y?qp$MGPs7u;c\+'"Smf2nKp\FRrp@%eVq<[VGnc%s56B1U9p@eCX&GGejp\=OZ
+qY'U[q6X)?oC_tRg%Pa>s50RDq>]j\q#1$Ypu1uCpA+F_p?MDPp&F^cpOE~>
+n^6=Ds3^ens4%)!rR^esq:H52eBQP&iS2q@R*jC*cJd4Ag%j51e]ue*fZVUpf&kM%.<O2$rRq2%
+&_Ymlg"4j+e'lamhVFYa[,0I3f%JX[cJcNie_/p+q:G/en^dcoo%NomqUtu'f':cbdf7bre:7~>
+nbUr9nbi4[s8NQ*p%.hPrK"P_s8VuqoC;_Yqu6Eiq\/i+r9j@[s7?9KJR,MXs8)]mr;?Qk&cDV-
+rVZQiq>'dUrV1Yfp](0fqq:lPrVuWXros@\rVQQhdJWh;q>BLS"S_cjqtP[~>
+nb1Z1s7l3[q=ajd%JK;YmdK_"Z0_GhpA=@LpAk!fq>L(%p&FdNoDegXpssXfVXjQSp@e7TrqI*"
+p@\.Rq"X[\p[\+LDfb(7p%nC7pBLTdjn\!3rVcNiq=47=p\FOYpAjpPpB:*]q"OE2~>
+n^6=Ds3^ens4%)!rR_)&q:GGns4\"6d*9k`e7Olgh;Qr=cfs$le_o'$e)B01h7[,UMq?e:rRq2%
+#2._ag"4j+rmM+tg=950eD]'Vf%ARYh9j3p`7Ni@fC@D]fC@Pif_O2#f':`fd*pOpd=;~>
+nbW(YnbVeQnbi4[&,#l#s7Z?is24R1rr;]hs76'fqu-?hq[if!r;ZTfs8TiTHeeZ#nG<+_r;QR*
+r;HTlr;6Beq>U-]d9FNgs8;`jg&)*Os8C**s7lWmqu-?Tqs"%3qZQcps8;S@~>
+nb2eQnb2MIs7l3[q=Y?iq>^<\p&+`tmJcnXnbE.TpAk!eq>L("rpKO\o^i%V[:sX/s7GRIpAXgc
+p_!8op@n=Vq"aabo^L"#\+fCbqY&V:#PA&j`/siequ-<gq=44Tp?D>@p?MATpA4^^npg~>
+n^70\n^70\s3^ens4%)!rR_)&q:GGn&(0%eg<eC,hO;aIf\=g*hW`W&hTja3eC37.RS[+sjOqf0
+rRq/$&D>djg"4d)e(W:!XuN-9gXuARg"-JYiRalEg=+gPfC@Adf(mqfg%*eqf':`fe(<:'c[Y~>
+nbW(YnbVeQnbi4[!r;Qhrr3<%g6)F8oC)PUqssXcqt^6ds7u]l&-(bds82i`SSaVJs8VWes8Mrp
+qZQiqrVZTlq[!5rrfVg%s82`jqq:lPq"jR5O8o.OrVQQhl20`Cg%tpKrr;oiJ,~>
+nb2eQnb2MIs7l3[q">3hq>C-inBZjbs6]+ErV5sX!;QHes7d-)i:?p@r8a)PMU_\$lLk2Vp\jji
+p\+=Tp\jjmrq-#EG3/Vip%nC8pBU9]m*U^jp[S4WrV?!Xq=a(InFl/A"SV]iq!rq~>
+n^70\n^70\s3^ens4%)!rR_)&q:GGn%b9"\gtUc8Z"VkMc-"SlkgpF*^s_2lgr4J.EOk/ccIh.0
+g&9M'e^scQ!8%5##i3taDdCWMf@]rNg"-JWeBG14iRcKQfC@Adf(mqfg%*eqf':`fe(<:'c[Y~>
+nbW(YnbM_Pnbi4[&-)M+q=+7Ue;<bnqu?]no^_n\qt^6ds7u]l%fQG$o`*X%?a9>)mJm4`rquZj
+"8r,qr;HKur:K`!`qKH4r;-<Dr!38qq>\+Jp](3hrV>^Sl2:ASq>0@Q"S_cjqtP[~>
+nb2eQnb)GHs7l3[q=Y@!p\OOIo^0bLl14NFr:ogQpAk!cq>U.#s7#ISd=>8qm.TK9s7H!Yp\X^f
+p\+@UrV-Zon*jl#lMC2HqY&V:#Pml\s0ol9s8D`kq=41Sp$)5HpA+CGpB:*]q"OE2~>
+n^70\n^.*[s3^ens4%)!rR_)&q:GGn&)PmkeB6:eX'j*!e_Js3d-9-of\k-%h6LHLN76P&hW3;@
+g"H>Us4%,$rn7>'s4%D-cdPF[dcK<;qUX?O#MIJQiKp:ehtbmoe+qPifC@Pif_X2"e`kQdd*pOp
+d=;~>
+nbW(YnbM_Pnbi4[&,Q)$rpg$go\]]As8Vifs76'gqt^6ds7mE,r:p<lqTa,!cN!V<s76!co)/F_
+qu6Bkqt^-qqtIREp\=dgr;-<Cr;Zd"l&N4Ps8Dinq<@b?r;$6cqW[nWq>^9kqg\~>
+nb2eQnb)GHs7lHbqY9j[%e]ktli7"LeGnn4rpo^]nbE"W(&7Oos7u3&B4JjZn,NFRo)J+Op\=O_
+q#L3cpB^K`Y]9'up%e:Wp=]0FpAb0QM6ZpWrV6?enb2eOl1b#Iq=X"Hs7QEc!;D!~>
+n^70\n^.*[s3^ens4%)!rR_)&!8%(tq:#r+eDJs&i8MkfiQ^-6daR.EebRf-dbid,V+F+RjO</M
+cILt$rR_"uq:>o)e<Et_e_T*7qUX?O#M.km_eG7ei;)!pe+qPYfD4"ne`kT`df7bre:7~>
+nbW(YnbM_Pnbi4[&,u5#s7u]aZCLgfs82Tgq==Fbqt^$dq%NZ'r;Z0a`)Dm"rqQNjoDS[as8;ln
+rV6HjqYUWus(e)'s7lWlqYStD#QO8ms/u1ds8Dinq<@b?r;$6cqW[k[rquZjr."~>
+nb2eQnb)GHs7lHbqY9m\&,Ynmqt'dJVigQ>rq>sYp@7qUq%NPtp\O(P]1@bWoC)VLm.U8IqY1!a
+rV6HgqY1$c#%WqqrTs:OqY&V:#Q3i^ri,PTqu-<gq=41Sp$)5HpA+CGpB:?fp\4H5~>
+n^70\n^.*[s3^ens4%)!rRV,(f@TlLq:#o.d+R1&h8b@ne'[%'e(=*>q:?/2a5<C:C>m^ki7QE0
+gXb0ZfDO1qf*U-bgdlYLjODu;qUX?O#MdGShMKb)g\KIke+qPYfD4"ne`kQdf@AC#eUR~>
+nb_kQq>:!aq>:!dnbWjsp](9bp[5ksrVuogrr2fjr;$:#mf!(Ws8M`is7W((\blC+rr)iorVQKf
+$MsDprp]s_qR:M7rr3#qrS%2FqZm/tq#C9]r;QZkrV5XSq>A2.J,~>
+nb;SIq=j^Yq=jpbqtL0bo(NXoo_SLQn`.'Lo_SORq>9s^q=tQerV?'_q=44Zn<R^inFcVUpAXgb
+q"sjtp[S:Zli6MHX_?kpp\s[Ug@tF:#QOGerV,XPq>L'dq!n+SpA+IAp>ksu~>
+n^?sTq9o#brR1_qs47/$!nu;Xo$e3/e(WU%dD_K'e_Ap)g"P'RebRc,b1kRsgY(!+i6Z[=OODb8
+qq:r"rmh"s&Co:WiS2W:e^osYbMh7:e_/[.q:5f/eC*1)bLbGCf(%8cf(mqVf&Y>2~>
+nb_kQq>:!aq>:!cnbWC_mJHk^#j_![kP>/Xp\44U&-)M!rr2iqs6P;oht@!KnGW=cr;HNiq%*9!
+qXX[dqYU;XSD!-$rr:[Lq>1Ees8VhE^\Ij-qYg3Rqt^0.qg\~>
+nb;SIq=j^Yq=jpalh:q_lLt8Ss8V$=s5*AHqXjFMp^dDtnG2nSqu,Z(J_'2\s6'@Ss7cKeqtUct
+rV,dWs7>mWMiuECme$D0p\FLfli$ePI(JqGrV-9cnb;kQq=ikAjS+0~>
+n^?sTq9o#brR1_qs4.)"!SQ)oe.0UOhqI&J_T1WMe)&g-e+(s!iRQ<.g"5!7``lo]c.:jpqq:u#
+rmgtr&(K:`cJ7C1f\CFi[):AGhV$NVed'CSh9fJre(XWKn^RBcq:FTVjOA\~>
+nb_kQq>:!aiVO/aoDAFSpA!L1qZ$TmnGN:]r;$4$mIUAXm/R+!H)U$.pAY*frVZTnqu-?hp^d,r
+s6K^bli5(Cf&#Tip]&qEq>1Eks8VE!eb&e<qYg3Rqt^0.qg\~>
+nb;SIq=j^Yp\4RYnb3RjnFlS@nEn\_nbW:ZlhUGRq"aXqkO&<Gk5G"_F/%annG*%TpAF[bq#1$e
+q@EE!rTO+XjSuo$bgbSHnG:i4q=Y$_q>99ad-po,rV5pWq=_JqJ,~>
+n^?sTq9o#brR1YorRM&&f$s<>&_,L[f%/!jca@W<gYp`,f\4mPe,%K(eAohmg;_t#QW&LSgsF^4
+e,@tufDa=udgsmWg;i"/aQB<iZb+03e(r^/q:5eug"XK6Yg:qsf(%8cf(mq9e:7~>
+nb_kQq>:!aq>9FQ&,c2#r:TseoSN;Ap@S7^o_JC\q@NQ(s82irm@R^]o`+L^s6Td`r;QTlq>L(!
+p[nI^r:oa\IXV1gq>^?fg&1[C"onDuoDJL_qYg3Rqt^0.qg\~>
+nb;SIq=j^Yq=jp_qt9LQ&,Gkmp[@eLl$i$rnF-)NnbMqUp(6ojp@.bTjH`f<mecANqWInVp\ssd
+q>L.#q=ag_p[RAFEcL^;o)A:Pg%Y=9#Q42jmJ$>Ip&4X`q!n+Sp:U-M~>
+n^?sTq9o#brR1_qs3pqs!nYuOo$J$$e(E9ue_/,RcJ-^lf&=p(qU52e&(fI^fAX\m2Lj$,bi.9r
+iVhI.fDjCudgsmQg==m+biW)3g=+X4f@AR+q:5f+e(`.!f%&=Hf(%8cf(mq9e:7~>
+nb_kQq>:!aq>9FQs7u]n!;uir#Fs<3pAb$gmeQbVqZ$F&s7uTlR;'>6q"+I`p%SLbr;QTmq>9pt
+p[n7\o_8C?ABFlMq=jp`g&1[C#QOJdeTT+0s8Dfmq!%\Or5AJ_~>
+nb;SIq=j^Yq=jp_qt9FOs7cuqqu?SVbN86jpA4+Np\ORpp$htHmdQ6CZiBUaq"aLQrVcKiq#:*d
+q@EDqq#BgPqp/BXp%.bDrUSY9q=Y'in*85=`Ua'-p\jmWp\FNqpOE~>
+n^?sTq9o#brR1_qs3pqs!nYuOo$RKfs4@b2gYq"1XN&WAf%J-oqU52e&(9F^dF3&"Pi:'9f\+[$
+h##_%ec4+sdLXaOeDAU%ijV7Ph:gH0hpU30q:5f)ccWFgV:+8sf(%8cf(mq9e:7~>
+nb_kQq>:!aq>:!anbE^lr;69_p%\?Z`;fl4o_A1Oq@WW)m/Q3cM"CWGp](9Vnc/@\rqufnrV?<b%
+f5hon,NEQF8Yb3s763bg&1[C#P.`krkImpp\jseq!%\Or5AJ_~>
+nb;SIq=j^Yq=jp_lh(e_q=aFLn*TP3]Dqp&n+H>Dp(?ugg\o`2HKb%rnc/XMnc/@YrqHHfrV?<d%
+fGtnlMpd=BCP3\p?VbMg%Y=9#OM*_pq#_[o)8=]q!n+Sp:U-M~>
+n^?sTq9o#brR1_qs3pqs!nYuNo$@lrf[eNucd0scSD`>Scd_I3&(85O\jB]Ff%AC/i5<n"ebdts
+ec4+rdLOdRf$*49EDbH<hV6?7e(N@Ked'FKiRjU@dF.jAn^RBcq:ER7J,~>
+nb_kQq>:!anb_kP"8)Ebqu$HtbQ%8*s8VljqYLj's8U,dTBZ:Fs7>XTs8)9`qtp?frV6Ed&,>ko
+p\+XBENoK:s8VurpY#K?qZm/pn?Barq>^EirV5XSq>A2.J,~>
+nb;SIq=j^Yp\4RYnb!F_p@S(Vr:p9e_YNZes8;WepA4Lpp@S6gC673?lLsW/q#C6^r;69fq>L0i
+q[`Z#q=O4Wct/pClM:AMr:J\:q=Y'nnER$dkk+lQp\jmWp\FNqpOE~>
+n^?sTq9o#brR1YorRM&&f$O$7&^\hReCNF1g>L_\g<\"$gXOXId/)-$dad9C:34.ubLb"[fAYE0
+gATY%ec!tqdLXjSe^N"-\5/.Bdbs*9gsas.q:5f0d)q69aOK)Bf(%8cf(mq9e:7~>
+nb_kQq>:!anb_kP&bl1uqZ$Nis8IW#s8W&^s8)QgqYg<jr"/l-Vf]*9s82iks8DN\qtp6dqZ6Ni
+r;$Bf!W29`rrVhjF8l1Bqtg3`q:Y]AqZlfmqQt>8s7-'arV5XSq>A2.J,~>
+nb;SIq=j^Yp%SIZ!;H$V&bPkkp&+RRo^d@PqZ$<Ms7Z3apAO^dp@nR[%[L[ulM'fGo)AIRo_\O^
+qY1*eq#'sfq@EPns8;cZRqM6_o^VPHoCgl3q=Y'^p[kV+mf2YPp\jmWp\FNqpOE~>
+n^?sTq9o#brR1Smrmh,"d.>R;d*^Cle_Jd(f%4*/gYpc%h9jTsd*^4fd*g=idF-Fjdar_5JBHKj
+gX+^+bg=tnf)=4ueH+.Lr6l#(aP>P-d=kHRhVA+]!RfHMfD3u&ce$[,:<qhBq:>)cq:>An`70;~>
+nb_SIl21#Is7R!'o)JC]s8UHCY1EXIs8)Kgq>^:&q>:3lp\t3OG_EU(s7c$_qu6Enq>1!aquQ]m
+qYLNes7ZEkemG]]rrrAuq=sd_o)/%Tq>(Wtqu$Bgq=sgas7YaXp]('fqYg3_qu?TnrTX7(qg\~>
+nb;;Al1a`As7@Z;n,MkMrr:$-UW`](r:]mYp\+@Tp@ItQqX4(Pfl2>CoDe@GrV-<b"S_]eqY9s^
+!VlEcp^lrpnb2b#;kipVp%J1VqYBp?pCHumq>'dYp%J+VnDsQ=s7H9arV6*\s7lThl1b#IeG"I~>
+n^?[LmF)!`!7LDbs3;>2bhpb"iT."hLTfa`h:'d#dF6Llrm;5-f$2Xp[7j\]ceZjcg!]iH"4GZJ
+ebRete^s`L&Bs+\g"iqsO5AaKg=Om(e(+$@l-p6me^i=$e'c^rgX*mpdbrXNf(RVnec+.afD4"I
+e:7~>
+nb_SIl21#Is7m0%nc/Can!o2TL2F!kqYL3cs7u]k&HDS#s7-'YA:M]#rpfjanb`:]!rMoonb`Xf
+s8)NjTQ&BZrrr>tq=sa^o)/%Tq"k!erV?cgs1s6`na6ATqYg3_qu?TnrTX7(qg\~>
+nb;;Al1a`As7[$!n,)_Sk`UC+G[I$5n+QbTrUpfuoBuP?o]KG(`;KK!pA41NrUp?fq"a^UpCR&r
+oC;[A@Dqg2p%S7WqYL!?p\ssdpBU!`]6a5<kl:VUrV6*\s7lThl1b#IeG"I~>
+n^?[Ll-f+Ls3M5(akP;&b]dPi?:9CrdJ;6&f?qjta4&'i<M%dka3`>VdJ_DodF-Opo%+<#gt($8
+Hq^a#gtLH5rmLkto%3*Trmgts#Kl"p>1_!>i;(steGn(uf'1f^f$r3"~>
+nb_SIl21#I&bl8!pAXsc[q9ZZkin#@s8)Kgq>^:&qt0pUs4LY<fCf1?nbN1Yqu-?mqu$E_r!38q
+rV?&!P55+W"oS8nq"agXr:0[[qZ$Hlq?m,tr;ZfL_uKZ5r;HKjq"FUbr;QZZr65%g~>
+nb;;Al1a`A&bZ%po_J4PYZtk1g=q%\s7Z3ap(6obs5a.*;23Kgs7YjQqXaI[p&k'aq=sOT&H2.m
+o&j;5mI^)Ep\=R\q=r\<s7lTf$2F>lrqt3Xs7c<dp\jm\p]($fq<@YLp=/he~>
+n^?[Ll-f+L&'i\OcIpe#PX/#o^qaEDiV:k4bhp=nY;'Ujbh^[fd+-FirQt_qe'uq=f*pK_g"+J<
+E7`t%g=b*Wdf@qhfBLfbec+&*e^i=.gp3L.f@\^Nf(RVnec+.afD4"Ie:7~>
+nb_SIl21#I&b>nqrr)WKEb)uZr:IRPjne`Mq>^:&p@\Ic\9*tns7kpUs7l<fqu-?mqu$E_r!*2m
+rVsQ@`r>uBrVZQgq"agXr:0[[q@EQ%q>'pcrVlN6a8bT+s7-'arV6*`s8;lpl28d&J,~>
+nb;;Al1a`A&b,\kr:om8CKe11mcLTlg@k:<p(6`^s8&p7M:_e"kOnfGo)&1[p&b!`q=41jrpKLV
+ZWFa;o_%qPq"ad^ptGHQqY9dXq"ad_nAW6Dl1k5DrV-9cp@nU^rqYgQq=`>4J,~>
+n^?[Ll-f+L&'<>Jf%AH`:Ht>oeB<tT]_U"fcHY8"N_4#oh9Wsbf[%gndf%PpdaQ_9f+?fcg>88_
+V!-Ufg=Os,e'lk<fBLcqf@A@!e^i@(d&!Gpak5Fnq:>8hs4.,"l.>a^eC9!~>
+nb_SIl21#I&bZ+srqZ<+:5JrJqkq5F_#!m*qZ$F(qZ$*"D3k4tq"aphrqZ<`qu-?mqu$E_r!*2s
+r;D50p\t0srVZQgq"agXr9=(hrquWhr;QZls675nnc&"WrVHKfpA=mfrr)*Zbkln~>
+nb;;Al1a`A&+f\kr:KQm7t1=&m?t7b[JT[toapcmkd=r\s7#UPqY^3_oCVeUp&b!`q=41jq==4P
+G_bVYp%A%Qq"ad^ptGHQqY9dXq"jg\qW#'Wm.orCrV-9cp@nU^rqYgQq=`>4J,~>
+n^?[Ll-f+L&'WPLf$r-@.q@JddsdWJQhf)Adb2[*6YtZ+cHt+ne^2Ufdf%PpdaQ_9f+?`fg"KeN
+e)&m6g=Os,e'lk<fBLcqf@A@!e^rC%g;B9,bh:.mq:>8hs4.,"l.>a^eC9!~>
+nb_SIl21#I&H)Cuq=OKe;l'HVs4qE[`;BK/s8*B-n=4I4qXX[WqZ$Nhp\OgbrV?Tmr;H0`&H2P*
+g1nt6pAb*hr;6Beq>9a\l2)"iqt^-frVH6Gs7Gs`s7lWmqYg3_qu?TnrTX7(qg\~>
+nb;;Al1a`A&Gl1op[@aR9UbY-p<Qu'[e9Rls7Hs'lB>khn`g)?pAFaYoChtRrUp<eq"aIS&GGej
+dpU/om.L)Hp\=OZq=r\<&,Gtmp\FXYo%O$0mf3.TrVcKhq"FI^q#:*Rp\FO4pOE~>
+n^?[Ll-f+L&(AqOdEg=%0RqfkgpB?dRJG;ChoKh-Q-dV0b0ehjcd'qedf%PpdaQe;f*p?bg:'SR
+k0r,>g"G!Vea_8Ue.:-[daZk!e'GV\cHbD&e(siNp=0,mrmp>cq:='FJ,~>
+nb_SIl21#I&HDCtq"FWVA((DWrr6MOqu-Bg&Fm)G`;fH/q#C-YpA4R[s82ck!rMoonb`ssr;WI@
+pAamerVZTjqt^'bo).bL&,lA#qu6QgnW_Aqrr;Wjp\jseq"FUbr;QZZr65%g~>
+nb;;Al1a`A&H21np@7mC>fca8nG60tmI^8J&Ep-,]Dh*ko)J@Ko(M_Kr:g0`!r)Kcnb3Ugo(eVq
+m/QJGp@n=Vq"aa\iqN9B&,>hipA+LSm#K3Zq"jIYo)8=]q"FI^q#:*RpWW>]~>
+n^?[Ll-f+L&(\qNd*^Hk5cro!f&&P\d.u3'abr][hoja#hpKQle'ZUseG[hteCE.?f*p?ahL&PT
+jO2c9g"G!Vea_8]eG7Z+f[\L&g"=`sDQ2+;g<\X(q:>8hs4.,"l.=/1J,~>
+nb_SIl21#I!W29`r!iU`B%*g5s1N;qs8Dinr;.%uHeAAgs8W#jrVu]is8;HbrV?Tmr;H3a%/p5$
+s)F_3rVZWmr;?NjnbhYK&,c;"r;QWdmD82Ys82chr;HKjq"FUbr;QZZr65%g~>
+nb;;Al1a`A')CkiqY0c=?cf"aqQF:AoCV_Jr:LVfEmO[IqY'XPq>9jYqtTURrUp<eq"aLT%/0G`
+rF_GmoC_hNp\4X]iV30A%eoYgp\FRPke$$Bs7Z6Yr:g0bp@nU^rqYgQbk?P~>
+n^?[Ll-f+L&(8DGeCW>e6`u0Ji06Z)f(mi-GZ1j&akPFucIUXre(E3oeG[hteCE.@f*U-ce)F&J
+hq6W9rn7>'s4-Ykn^RBc&(f@]f@ed%aIC5liRZZ0fD4"keGn(uf'1f1epm~>
+l21#Il21#I+T(R*s6om7B^jf2s(PZ\T;VAZs7lWKJV<=_q#CBfr;GpYrVQWm$3'u)rkE79s8MiN
+r;ZZnq@EVkqZ$Tds8W&qp&+LR^p!_8rVZWkrV?9erql`nrr(7Bq>9OVJ,~>
+l1a`Al1a`A+Sk@$rTa.$@HQ!^r``(0Odte-r9sF/G^JE;n+ckKp@n.Qq=jj]s7Ziqq"sWi@HR@Z
+o]c,Dq#C*fp(.)^o`"jVqu$3^n+Q5:\uGN"rV6?eq=ss`s7lThdJ*J1m.Z#~>
+l-f+Ll-f+L+4A*Yf?2^L7E`/Gj?PGmFFMK_h9ai]=^8hid+R:$f(%;dfDX;#f*^3ci7a\lb1t_%
+g$72_ec4.udgt6PeDB'+gYCE3cdpFdRYgRdq:5Jos4.,"dF\3Fm+6a~>
+l21#Il21#I+92!2q=+FPW-tF:@U627qu3%ir;XZYWTjH_qtg0es69I[qu?R#rVuirP+21DrVGCK
+s82fl&,lP.oCr.\pA4R`s4GK9aSl)9r;HNkq>'sfqu?TnrR(Q=qs=62~>
+l1a`Al1a`A+T:m-pZqb?TlZVf<)94Sm-p(6nbB\5T]#kFo'u8Aq=jITq=jj]s7cQg#P7\EOmi#=
+p$)5Eq#C*fp(-ots6]@Lp[IhGq#Ad\_nu6DrV6?eq=ss`s7lThdJ*J1m.Z#~>
+l-f+Ll-f+L+P+`cdEC=gKiidO3])T;cdQlje(U9eJ\g<ue'c[og"5fFq:GSrs47S0gXtD$Ggk@"
+e`k]Zec4.udgt'hiQ]d#f?i$qf\s-3US@;1q:5Jos4.,"dF\3Fm+6a~>
+l21#Il21#I+9)08p\+XekL#'09XOj"oC]8qs3>Jgq>^K_rVuTks69I\qu6L"rVl]\C=rR`rqZNi
+s8;oqk5>8Vrq[0$s7,g_s8)Zhs8VDERIL7TrVcZmqu-?dr;QTnr;QZBr;$6Vr."~>
+l1a`Al1a`A+8ks2p$r(Zi5^7\5,S&GjQE28q86[@mf3"Bo_n7RqW[bRpAXdmq"O78?I&?<q=ad^
+s7cQenb;bPs7cNd&+fMYmJm4VoC2eXie3EVs7uEfq#1$aq#:$fq#:*:p\FOLpOE~>
+l-f+Ll-f+L+4\fhcdCY-`2mEE,`CF/a396th5<`%dc9$%fAP*3g?I5gf)F81f\4s"7^_%'gXXp+
+f@TuSn^mKbs4%"r%b]%Pj5\Y?e)T?)B625Un^mTerm^turmp&[n_*`jm+Hm~>
+l21#Il21#I*r,^3qZ$Tprr;Rg]Dhj*s82ihQ%HOGqsXRbq>KsckkkGXrqm0&r;?NnY]fsEqYp<h
+qu?TorT=%Xqu6Elq#::$r:0@Xs6?c-`7k7`rVc]mrVQQhq>C6hs8;lpdJWh;m/2A~>
+l1a`Al1a]@*rGg/qYU$]put5LnG_\MmJc:(FKPB.jS\fBp?h\Kl1Y2Orq?fqp\4CRTka/op&"I]
+q#C*gp@7nNq#C*fp(-WdqZ$0Nl2LY?V7sRhqs4(PrV6?eq=ss`s7lThdJ*J1m.Z#~>
+l-f+Ll-f+L"OGTIdb=]T(Z!@ePL\^;hpUQ/CfunVeB$P%e(N+'f]guff)F83f[na.gl,4ch:LB0
+e^`:'rRp_mp=92mrmMD+g>1f?bKSr'`/(+Y[,0*ufD3treGn(uf&>6Ng%j:efmj~>
+l21#Il21#I+8>^.q>^<as8T69XT/=uoDeNTL8TR1o(rC]rr;icqs""Zqu$Hl')_Y)rbo"?q>L?g
+q>'pbr;?Nlk5>8VrqcZo$NL"ns8Vcld<2hirr;rqrVZWkrV?9erql`nrr(7Bq>9OVJ,~>
+l1a`Al1a`A+8,L(p\a^Pq"LRgT(2aGjSe5#GaWTNkO8H>p&FXLo]c)Np@nR]')2+mmpMpco(`.X
+q>'g\p\4CTnb;bPs7cNds7Hj"o'$&Pm/>"AX6o][qt^!bq#1$aq#:$fq#:*:p\FOLpOE~>
+l-f+Ll-f+L*mW6]dG3:#gt[`PK\#,/a5bBb?%,k7bL>M"f]1Q.kgojdfDaD8f@JU.99%i[g=t--
+e(*('g"P-LfCmbpeGdqsfF?chbM_F,i2]Y6d+dI7n^mTerm^turmp&[n_*`jm+Hm~>
+l21#Il21#I#5e8ipAOd\rr3USQh]t$s67+7dJqu$XK;=!qWRqYl22Cqr;HWor;6?GAEj*cs8Vli
+q>:'erVuipkPYAWrqZZqnG`Fpqu#B6gYDZ*s7H?irVcZmqu-?dr;QTnr;QZBr;$6Vr."~>
+l1a`Al1a`A+8P^'o_A%Iqt9u&M<a!@rn4;[_=GkBStYZLn_sBFs697pp@n@Xq=jUSbuNKimJQnW
+q>'g\p\+:Rp@@tOq#C*gp(-ikkP4cNo(1IgdaRadq!7_LrV6?eq=ss`s7lThdJ*J1m.Z#~>
+l-f+Ll-f+L+O\Z^cIgUqhqI-dDpQA(iP1IEVqA<-K8%h1eAU5(in<VK(tR<kg"G!.f!n&cgX4d1
+eC2mse_/X0g=c&Kp=92ms3hP0gWJ:(imlVkC:1M"j4hl5n^mTerm^turmp&[n_*`jm+Hm~>
+l21#Il21#I+8bj.q=s^^s8V0.I\iFSmtY](s7ZKeebGYbs8W)cqW[nYqu$Hm'E%_'TpPfZoDeda
+q"agar;HZorTF+Yqu6F#qu-Q`nYE\]YPeFrnG`IdrVcZmqu-?dr;QTnr;QZBr;$6Vr."~>
+l1a`Al1a`A+8PX(p[dtKqt8[]E0lHoi-&89rT<q?a6\n2q#:$MoBGuMp@nR^'DM1kP)/Z&m/HkV
+qYBp]p\+:Rp@@tOq#C*gp(6ofoDdq8R]bYHo)8%>s7lBbp\jmcq>'gbp]($fq9es4p?_O(~>
+l-f+Ll-f+L+4AK^dF6OshqGiF<d\hW_d#L'jNZW/XjVAsh;[23f(%Ghf)aISrn.t:e^f.kgtpE6
+g!nL"e^`@+g=k6NfCmbpeGn"teIL6mb05@!a,8L.eB?q/g[Wnkec+(uec+.Yf)XLpgA0Fgg40~>
+l218P%/KbqqYC!`qtg3dqtfdYnbOm4pAY*dpAOpas7>(-mIkXNh#I?Os763dg;rTBe+hYqr;HQl
+r;HQlr;HQlr;HEg'`7h-s8W#oq/=RVs7QEhqYC$dr;HWp%K-,$qu$?hqu$?hqu$?`r;ZZoqZ$F&
+pWnH:VoAT6pA=mes7lWmrVcZlqZ?Tjqt^0hqu?TnrR(Q=qs=62~>
+l1auH%/9Jip@n:Tp\=LXp\=4Onb+U.o_e^[nb2YDs6%_ZhrnZicM6ksroWnCd(\Rubjj0Up\+@T
+p\+@Tp\+@Tp\+CV'__:sqY9gWnmfQ+s6fm]p\FUYp\+UZ&,5knq"ORXq"ORXq"ORXp\+C^p]'pu
+p%7anHc;Yjp%RqGs76*Vq>'d_p]1-aq#:$fq#:*:p\FOLpOE~>
+l-f+Ll-f+L+3r-^f[/%!g!f$,[CaB%93&@Ve^`a)gXW^,aDS64[di&Hf,3)jgYCQ:f@EZtf]:H:
+f@8@$f@S^0gtLHPfCmbpeGmu/e^r9L?DrLKf\4d(j43&8h!s"lec+(uec+.YfD4+qg'u`fg">!1
+g">$3g=b35o%JT~>
+q>0pa+92'2p&F^]q"Xjgqt9[\s7uEbp\FRZp\O[]q"jd^qW[nQq?Quqp$hbVs8)`p#lO_YM0A[h
+r;?Qm55b0TroE,"X'j?.nc/Xbr;ZfmrUBjemJm.Zq>C'gs7ZKmq>L?Xs."?6qtU!`r;ZNkp&>!h
+s8Vrgs7Z6frqI$(p%8:YqtB^_qtL-jnc/=^rtFnsrqsXVU6t$AqYL-er;6Ehr;6<fr;-QlqtpBk
+s8;lnrqcZlpAFIXq>Bs`s8;lpl21DVJ,~>
+q=aXY+91p*nc/.Qo^r"Xp[RhLrV-*]q"ORXq"X[[q=sd\q!%PKpAb"%p$hYRr:Ts`p@.t,I;83?
+oC`+V@.j$hpYXiaVHM'jkkk>MoD8LYo]l/MjSS`EpA+@[s7,mZo(N(Bs-7U!o^VPFp]'a]m.C8G
+p\4@Rs7Z-cp%\4[o(;kSq"+"Tp$r"WlhU&Mq>]aNq"DA?S<Mh0o_&%Rq=jg\!r)E^rqZThrqHEc
+s7cNfq=jFQq=jUVs7cNfl1Y&LJ,~>
+q9f#d&Dka^cJHjqdF$S!eBZCjf[9QBq9eHTq9]l*e'H1bh;$W=h:pN>[pr7`eCN:OfjNI]j4_>b
+^kb+TZcUtYe(!+1e()UmiPjR(e(*+#hW*)>gXb*=`oMDFgXjs(eCW^/i6U*9f\bK9e)/[)i7-?-
+iR-*.e^r6riRQ?3g<80riS!24db*-@VL3I!iRHERf(mqkf)O;"eGdqseGe"ofC@GffD4"sf`0V9
+g=tB7f%AR+f%AR+f%AR+f([hpfmj~>
+q>0pa&GQ)!r;-Hms8VQUs8W#eq"ad\q=s4OqYCm$o(i=crVHBdqsXRbeUE&7q"X^ar$qU<rqZ'W
+r8bZcB6<1Ms8DuZqZ$Tip&Fa]rU'CWlhg_[rVu`os7^0#qYgF8r:9m_s7Z3ep&=sjqXsLRqXsRX
+p\t3`oDegiq>C-grsnkup&=0\f6tQtl1t#@s7uQfr;$6hrVufpqu6HlqtBsXqt^0`qu?TnrTX4W
+r."~>
+q=aXY&G,Yjq"FU]qu?!Is8Vl]p%S=Xq>':LqXtTsnG<1bqY0[To]Z5Qa`;L^nalGPpL*^cq=O"C
+pYWUK?>J9)s7H$?nc/LSm/QSIqWdbIk4\iJpAaX[rp=*_p%n^brUoLNmf)M;ros(Ps8)E\p%n@T
+q=jmgo(2nWs7>sWs8)ZloC25DiiLOQ^Yn5Hna$5Fp\FO^q>^6hp\smdp\ss`p[RtKp\aabp\ssP
+pAFZ8~>
+q9f#d&CAqVe^N1&f\X]ihquu,da@p<q9eHTq9]hsdb<F,eCE(#bMhNc=Brkqe^scQ@+`u`f$2[s
+_4Ae79Y6_Oe^qL_iS;c(iR$*-ajen]f](T<jON;Pe3nc9g>L]@fZr:$jNuB<dFm=4f[J9tf[J@%
+e_K!-dGER6e(3(.g>(N5d*L@]N3QER]u&4CaPQaBq:G>ks4.+urmUnsrmghrn^dNfqpbSq#2%V^
+g=t?6o%*Whr7QT~>
+q>0pa&HC(`lM(,As7cQnm-aoRm.pMPq=s4OqYCj#qYC-iqtU-iqZ$9JF)1XOqtp?is8*E,qY9pd
+s8W)lhs&0teuR7!kPkKQp](!as8Vurs6BO^oDeOVs1i3to_\[_rU&@'P)kp,Pa'Yar:L$hqZ$?d
+o)J[Qs8VB`o'ub[q!nCam+nDMY%kZ=r;-6hs8)Nfq>C'crr)lprql]ks82Nfnb`.[pA=mfrr)*Y
+r;;'~>
+q=aXY&,XMQjmr'-s763fkNVsDl1t)Lq!%PLp(I,pq>C0cp%\RYr9`-L?gdRYpAOacp0ROeoC_qV
+qYBO0i4`^GU<3Glp\t3\qXO7Vs7lWojnJ`?r9W_C[U.>LpA=CSk1#6DK8Q.SLrnlVnbiF]s7Q*S
+s8(mVs6'4Eli6qSlhUSCf:9@LA@Ln"p@\Icp@.hPpAXmfq#:$epAamdq"a[Sp@J%VpAamdq!%MM
+pOE~>
+q9f#d&(mnC`R<8WiR6]?a3!/n`qe$@deV9&daQdue^E+-f&+id9h!Rbf@KoPs41N/e^N(%gY1?+
+\&"\)Y(Nb5^Y%H&ceHjtgYpcBiQ'X1d,EC"hOR!>cdpjuf?(L>D/!sAE,_u&f[/C0f&>-/cJdHq
+gu69+bfeu$d`^>&`j^>_Ld[TNe^Mt&gsc&Jq:G>ks4.+urmUnsrmghrn^dNfqpbSq#2%V^g=t?6
+o%*Whr7QT~>
+q>0pa&HBt&CmF)Zp@\.UrVQEgs7uNcqY1'el21;Q&HDLqpA=^_r;Zf<BSl*Us8N#rs8;oo+oV<9
+rquKar;Z3_qu?#5e"W?3bMrQss8DNZm.gVXs8DZis#Gsas8N#or;ZE\Iq>%pcBi3tqu?Nlr:KdR
+s8VZWs8V0[o)JaUp#G9,DNMZ!cK31Js8Mopr;6Egq>:!cq>:0is8;lnrqcZlpAFIXq>Bs`s8;lp
+l21DVJ,~>
+q=aXY&HBdqB9;$FnaQ)Aq"F@Srq?3_q=s4Kq=YC"p[IhMp\":[rkDfgi:cs?rqQNfs7Tgpp@nCW
+nacGSjn&'Cj*/Y6P4lcGs6oj[n*fN4rq?6_n,<:_s+#7gq>'^WrpB&p>E-S<Md1T%rqH<cnb);J
+s6o7Qs5F"Fs8V3Lh;[d7MRnkiho#KoqY0j]p\=IPp\FO^q>^6hp\smdp\ss`p[RtKp\aabp\ssP
+pAFZ8~>
+q9f&e&_,^9=@[>Ff?qsme_&I&fA>!QdG`OLd1G*\b0JPee^rd=U-`A0gtUQ^f`0S'emI(\f@ed'
+db!HteC3Bp=K?ahf;#q9d+d3ucH+Jkf\P91ioK(\B3F'Dg""[1d*Gl\F/l6]6snU&f%Sd'eBH_+
+cH5&(^u<PsiPj-V_TYPcRW#.>UZ(+^eCW7#e^O?Dq:G>ks4.+urmUnsrmghrn^dNfqpbSq#2%V^
+g=t?6o%*Whr7QT~>
+q>0pa&+T]"Y]OiijT#2Ys8)B]rV?9bqW[nQq@3>rpA=mfp\"HoC74Ylrr3'!rVZWk?2"0or;6Eh
+q"jdcn,34^s4+-hI(JFes8Vrcs8VBapAb0gqYBl+[K$7(o)Jacs-[$es8)Y4>Q=Wsp%A4]s8W)s
+pA"R\s82<_i9G<Gs-:e-kP>,RqXa.Ns7l6\qt^0cqu6Qor;QTmqZ$Hdr:0[[r:^$fr;QZZqu$AB~>
+q=aXY&FBGrX)DdUhtm-Eqt9FJq"FRYq=s4Kq=YKso^hkTq"!qJZ=B'^p%A.Uq=s^_p0I4^q"OLV
+p@IhCs5rqHnc-h,]lUI6aSPl0mf37Is7-!dn*of5BWh4-p[.qZo(e>Bn,DbEA5W="o^MADq>^<e
+q!mtMoD81Hp=n\FNrP3\r8RAEp%@e=p&=UQn+ZYOrqZThrqHEcs7cNfq=jFQoCr1Vs7cNfl1Y&L
+J,~>
+q9f&e&_,%bi/LT.O29W*gtgT0e(E.GdG`OLd1b'Xd+-e!da6R.7Wlr-g>(H9f[p)Q?.%6Uf@JR)
+e'cV%a4/_hiN7^'<0Fqog>1?)iSDK5e)038e^i5GP24gCc/%=.giPC'jOVsW2W33:d*U@siS)u;
+dF6^rg=FHu]>[H]iGb[L_UR8he]c(^gX4:?eG7_if)O;"eGdqseGe"ofC@GffDF(recsd[g"P37
+f^dVhf_jEQ~>
+q>0pa&-(qkq;m][F.UeVs82clo(i+WqW[nQq?6Kfr;$3gru/mUXSr(soDeggr;6?eqtp3gr:]pc
+s82iirVca^lhpSYo)#GarN<$nb/"&Ds8W#ss890Es8MrrqZ$Hae7O[;rVtDKIe`m<s8Vonp\+Xc
+s67nnpmSe2Q20e>o_SRe$iBMpo`+g[q#16mp\F^^r;$6hrVufpqu6HlqtBsXqt^0`qu?TnrTX4W
+r."~>
+q=aXY&GtS^o\bXGDOJ`Br:]pZmIpDNq=s4Kq=\Lmp\FOVr;Zf49r7RTros=Uq"OLTp%J+Oq=jFN
+r;H?hmI^GSp\<b>nFl,;Tq1qWU\;a?s6'FYp%SLWW+uA,p\XX]p$Bq.K(/=&a\$[Fq"=[eo_A"I
+qtU'LbMr,Y[Cq[okO@s5rr3B"mJlYTp[@bMrr)HYp\FO^q>^6hp\smdp\ss`p[RtKp\aabp\ssP
+pAFZ8~>
+q9f&e&_,RUf@IfU;,DVBf\Y97fZhnAdG`OLd<Epdf$i+$iSgF]LtUA<cJI7,f@JL&f%/@(f?r(&
+h:CK/e`#67fu)=ef?2QoIb0F.eY\hpalD72guR.L;<-B^gXY*0c`f]Jf%8]^10N,Ze_oB8f[A1%
+f\=?F_UEXmST**!d*L8"iS`;3iQpE2bgG"rg<fZFq:G>ks4.+urmUnsrmghrn^dNfqpbSq#2%V^
+g=t?6o%*Whr7QT~>
+q>0m`s8!0&s8V;qD0)N>s7Ps_q>'j_l21;QGPhF;p%eUYh1!<+rr;cirqu]jq>'maqu6Tlp\4R_
+qY^<Xqt^-es763cn,N+Ts3RqKFE-#\d*Br:s8@S<qZ$!_s7c*^Qs8hPrqq[]V=afQs8'U`Y+ssC
+])I\6s/P#Wm/HVVs7l?Ts8;Qio]GcFs8MrorV??dr;$6hrVufpqu6HlqtBsXqt^0`qu?TnrTX4W
+r."~>
+q=aXY&,,\hq#CBS[qKZOkPt&=s7uBIp\FN,p\OUQo_In+GeW24s7,^Tp\=ITp%J.SqYKsXoCr%R
+p@m\AoC_hWm/Q\As7#OXbH(S]Ct3[Oa2e5So6HDgr9=%Wna,q2;;^j5n:+B+mJl8IoXrPLS_K=7
+pkNncV;)%5q<n:_oCD)Ep[J%JipZdCqY9j]nb;kQrqZThrqHEcs7cNfq=jFQoCr1Vs7cNfl1Y&L
+J,~>
+q9f&e&Cf:_f@o9F`L0=pJ]Zs#cf+]Kq:+ZWq9aE9g=FX#g!.!.T#0.>eCN@*e^Mspe'un!f@80o
+eCE%!f>Z:he^i^'iR>p,d*U^OMVM$%[9'K2X5r'i@!:/Zak>Y#bh."q`7<MmB01XjiPa^)S?Rft
+]5j.gB2[E:]A^f`cJ[[1d`::td+Zg\bh1Y$e^`7HeG7_if)O;"eGdqseGe"ofC@GffDF(recsd[
+g"P37f^dVhf_jEQ~>
+q>0pa&,6+urU0X[s7`BsA"qlWrqZBcqW[nQqB>e9qtpEe\9+kPs7Q3bs8;cjq=sa\qu$Bfqu?Zk
+q#('hrVoFdq#C*gpA4g[r;ZBgeF_p\h4pXmDO+eRY3<ONo$cFpAn&<pV/p.(S(I\Dh9h2,R$$OG
+bOXcprVZ6cs7cKlmeZtSs7ZEdrVm#oqYpHmq>:!cq>:0is8;lnrqcZlpAFIXq>Bs`s8;lpl21DV
+J,~>
+q=aXY&+]Vgq!%SGqspF`?CfgCq>'aCp\FN,p\FOVs7*C4Vtg;\o(;ePp\+:Po_%tRq"=CYqXsLU
+pA"[aqYBjUrpg!Wo`+:Prp]m6n)B#QS=.N1N*3lmiO@;'c.D_t=KfN.B30PEcMOTmbD+*$Mr;.b
+m,.^7p[.eVo(`.Ip&FFUnbD_Rr;Z]cpA4U]nb;kQrqZThrqHEcs7cNfq=jFQoCr1Vs7cNfl1Y&L
+J,~>
+q9f&e&_,7beCr+"f%ni.4$\;.f@e^Ne+qMXde_@9e(<:(f&+l<:5@K\cdgY'f$r0sdF$Cle^`*t
+f[nR!e^iC3g=k62db`C.d+%$ufA4d.Yg:0u\q#448TR.nMo:sgc)nJ069UR1Inr:@G-TeY\#X,>
+EbiIYV9H^/f@S:#iR6B6ajo:ng<nR%gtCT<cdULsfD3qlfCmeqec+(te,RqsebRhef(mqpeG[r&
+f\+s3gY1<Nf(mtrfmj~>
+l2):qs7!F0<M&paq=jjfrV?6fr;-9eqY'LUqsjRrq>1!drVZKbo`+Xbs0ZRUr;?Hhq>0panbi@_
+r;7B2r;(Pc^:N9qcbP:@Y@uk/WGh&"qW.\HrVufqqtBmNrV?BjrVuf`qoSd3qu$AB~>
+nb;kQ(\mpoY[^Ltnbi(Oq>C']o_S@Vp@n:OmeQVIp^d&kp\=RZp%%PGn+umaA%D.'l1b/OrV%0%
+qXX,kFgSL/R``6mXJfRY[@Lg`na>-)o(N:^q>'g\p@n+Qq=sd[rqZThp@nCVl1b)MkP+fGr:b^~>
+o$RQgf)"#8g>:);75B5;gsXR#g"+U!f@A@!eC2aeq9nf^&(&_Pe'ujncd(:nh:doWRJGG0e+qMZ
+fDaG>hUg:U>aq(nHE*HBN/L*9RY+2Ng"*pko%3lns4?Daq:PMprmq,"p=/ohl.>g_rR_#$!nu>\
+o%3]ir7QT~>
+kkc.iq=rsVLMrI!p]($bs8W&qqt^$as8Volnba!uqY9paq=jX`nc/?f@`mg1r;6BeqYC$Yr;HNk
+r"o,,rr78ap$VkMoDS^AEJ=/es(c36s8VZgrVZ]mpA4%Pq>C6js8;<^ao(u3r;;'~>
+nb;hP(@q+hh62EFOMpbfo_/7`q=s^Wo_8@bq=jFS&,Q"lp@n7OoD.\Kn>]a3htm$Hp\FOIp\jmc
+pDEDoo_*4:lf\65meHh1C4>RLpg71`p\=IQp\t!gq"FIPq>'g]p\t!gq"FIXp?D>KpuhDIpAFZ8~>
+o$SZ1f%/L)f[e^+f[A@"^Q2ntE1tY2dF6h)f%&9udF?q.q9nf^&(T(RdF-Ced+Q\#du$8`^\ZL]
+eG7SheEb`dfbi5ng"TQ'd`^RmcIh*]9juK1hF0`QhqcuVfDaG&fB1Z[f_O.uf)O:oeG7\[fDF+s
+fDXA(g=b0MfD4(sfmj~>
+l2(P^qY'pg&`(*6DO9&Vs7cBYq>^KjoCVkSqsjRprV60es8)TkqZ$T>@C?(6rVQ9aq>9^[rVQQk
+)#4./iH5"ts82ilo)5h(VZ6\`VJO'Dq>Kd[s82Ndl2CGUrr)lpmeb-(q>:*fJ,~>
+n+Rjrp\+@Tp]'sWrVulL[q'39eGT47p$22Jr:KFGp%e@Pp_!>oo_SIYpA4CXpqp:<p]'s\qtKp[
+l1b/OrV%0!q=<-Po)JUZqt0:MX'M@qpu.ZL[-d>Uo(W.Zs7l<^nbN"Uq=jmas7l<^q=a(IqtT@K
+q=aa\J,~>
+n^@He*7iWjeCN.,e'Zn.gUNS<8TM2ngX=WpeD8p0cHl:6n^A*"cd1.mdF$Rsi7k+lOk8OBf)*qs
+e,%JgdK%e_fDjM@e_Sii;;(*hfA"g"f8DnGiSDP)8=\5[g%*bof`0Rcf(mtofDaA$eb7Mgf'1f`
+ec"+uf`Km\g%*bjf_jEQ~>
+l2):hrVu]frVuomaF$m2bPM)8q"4C^s7u-Iq[WH"s8M`ds8Vl7AYfA*p&4d\qYC$Yr;HNkr##;1
+oUC@1s7lTnp]'i&;uc[nrf0aEqZ$NcquHWnr;ZZfqVhAOrVuf`qoSd3qu$AB~>
+l1Z"`q>9jVq>L9`_fngs`qB$$oC)>LrUfF>pCR#mrVH*Vq=sBl>atN`n+QJPp\FOIp\jmcpDEN!
+lB-5bq!n+Wo)%ff9`OSZnq'2jmeukNpAk!fq>^6`p[S%Kp\t!gq"FIXp?D>KpuhDIpAFZ8~>
+n'W9,daZ^pd`p:od*U:rg=)fu/QAUte_8KueD/m0aOKJ&&CAnYe]lCkgXDi\IbWN$f%0`Jq9f#d
+ldu0i(t[ZkG$Nt_e_8j-gW`8Bj4*&?BI\;Yin<nSrn.8&p=Acan^mcks4-hmq:=f^qpkYsrRh8+
+g"GrJq:PVuJ,~>
+l2):grr;feq=sO\q=<40BQ'9lmf3=[nGE7Mq[rf)r;--Zq#CB8DjLD"rq?6drV?Nhq"j+LrVRN0
+s5[[ns8W#smJm3g<I+'5oD`r6caM^.o(rRfqYL$`p\4abiV`]Rs8;<^ao(u3r;;'~>
+l1Z"_qYp0Xp%7\MoBaqm@VM"Tkkk8GlLk2ApCmAtq"F:Jo_J?r@uU*Op[@hLp\4X]q=aXYmJ-YS
+"SDTF=f),j&H:nmrMNG3kl9oHBhH:CeG&P/"Sqojq>'d[!;H$Ynb<%Ys7l<^q=a(IqtT@Kq=aa\
+J,~>
+nBrE+da?Ljda?4eg!@mgccOnibd2L[8TM2ZgY:&se_emAdM(-Ze'ZF`ce%!I8TED5g="R'eC=HF
+q9f#dldu0i(td`\5)e:Pg#:$/h1mX`bN-t0:GSu6\_6Q*rn.8&p=Acan^mcks4-hmq:=f^qpkYs
+rRh8+g"GrJq:PVuJ,~>
+l21M\!rMZdrr3N&s8Vf^gRVPOL;`Z_s7l3]qsjLiq>0gVq>^Km]lf82s8VupqZ$?dqW7VQr;Zd4
+`FIs(s8VNe_-U2KGfT^Km#O>WGlR^4qu6Hlq=aUJqt^0hrVuf`qoSd3qu$AB~>
+nFn"!p\=LXp\=[bp[\"Ws8;B`qXEe#QW6t7^?kjro'Q8Inb*Xhp@@\Fs8Vf"Bn--Wq"aaZp@n=[
+q"aXZp[.bSpDE`&]33hUpA*nO]NJ*5EPV,)i.Ee'D#<ttq#:-iq=aURp\FOYp\t!gq"FIXp?D>K
+puhDIpAFZ8~>
+n^8Q-cdC(dcdC(ieBuCafA"m%gY1#s[<FJa@%PU!gX=?rqU4o]'@>.Ob0\kre<`sBjP/GEgt('+
+eG[hkdJ;2jea1offbiQ%TK^0Bh;-64S2i;_<28$c`b?>m<8cI#fDaG&fCmeceG7\kfDaA$eb7Mg
+f'1f`ec"+uf`Km\g%*bjf_jEQ~>
+l2):lr;Zcmp[n%Vq=t!ip\4]jK3`,]gACpGqsjLrp\OUUs8V?"E-(aQrqQH_qtp6drV63bjno#S
+)#s;rOne\NqYpEhqsW7ec1q><n]BD;qYTjZrqcZjpA!nLq>C6js8;<^ao(u3r;;'~>
+nb;kS(\RV%qtKaQmf2kJqtomPqkngB@$f@7rV?3Xp)!>oo'lVXjh#,;lLsl<p?VGGp\4IXq>'j[
+q=j:OrV%0*mu<+jmIg)Fp\"7EeB>l"s759bbKo\Qo(i:]s7uB`nb;kQq=jmas7l<^q=a(IqtT@K
+q=aa\J,~>
+o$S]/ccse\ccse\bg+\acH4/Kh::$3hUBs1MI/A2HFDG]eG@V`d21*Uc-+bq^mRhkd+m='g!81"
+eC;ppdF%d:qU#>lea1offbiSpEbs:Ugt193e^hjLY,Tn2fZU+t\(01&fDaG&fCmeceG7\kfDaA$
+eb7Mgf'1f`ec"+uf`Km\g%*bjf_jEQ~>
+l2)q.qYC'hrr2rpr;$$[rVcNkqr"Dk?[edJqu$?hqu$?gqYU-dqYU-cq>:""r;Z]hs7N[1EW?(1
+s8V]jqu6Hjq"adJqu-F,qW;Y.q>C9gs7ZHlme6\XqssdZrr2p>qt^-bqt^-bqt^-bqt^-br;-?e
+qtU$_qY9p^qY9p`l21;Srr)lpmeceW%/]u"r;6Ehr;6Ehr;5CLq>:*fJ,~>
+nb;kS"T%ldq>C6h+nbR#n+$/Ho(ht4U1mbTSbDgOp\+@Tp\"7Qp@\.Pp@e7Xp(-rsq"+FRY$l)B
+s6BCUmem(YrqQNhq=aXYmJ-YS2=o^;[ds+go(qqRroikOo^qDJlLacFq"X[[q=sd\q=sd\q=sd\
+q>'m_q=saZq"ORXq"ORPp\FOYp\t!gq"FIXpA"@jq"ORXq"ORXq"ORXpttiApAFZ8~>
+o$RNcq9Ko*cHX_bdaH[pf$hsmf@SI(e[g?(3EU^\qU>Moo$Iusf[J-tb_\PYhVuf7h9OgTeGdnr
+dJ;/cd/h\Go%3lkrn%2'(Y?PsRb$0Le_8@$gW7b#f@S7+ce7%/h!s"qf`0Rsf(%8cf(mqsf)O:o
+eG7\SfDF5&g=b0MfD4(sfmj~>
+nbW(ZpA=mdrqS,>q>C*P^Q!#KQHf(%r;HZir;ZTfq#:3brpTd`s7?9`qu$Kc]ju9]q"X[\rqZWj
+qY0OVq>C6js8;oo%Jokmqtg$as8;nrFT:t3qYC$jqY^<jrZ;"7qYU-dqYU-fr;HQlr;HQjqYU-d
+qYU-dqYU-dqWIbGr:0[[r#bh3qt^-bqt^3fr:p$[qYgHjrVuirs7ZKkqYgEkr;Z<bo_j:~>
+nb2eRp@nU\rq.i6p%\7@]8:*6O2LA\p%8+KpA"7Ko(MeKrp9IWs7$!Wp\+FM[pF(Ip@e7TrqQKe
+r:ogUq=ssbs7lTf%efSkp[S"Tp&:\&rpKLSq=k$cp%J:W!;?9`q>&_<q=sd[nb2eQ+8G[,q=sd\
+q>1!aq"4:SqY^$]qtU'cnc&=Vq"a[YqsjFQpj`~>
+n^70\qU,>ks4%(trmE@Edacg^QtA][F/[LAf[\^%eCW*lcI1.fg<%pthp'm#eC<*nPrqgid*U1f
+rmLenr6Xu]q:5Jqs4.+u&(&YOeBun)f\qN\hTjU"df%YoeH=FRf%9lS!SQ'#eG7\KeG7YjfD4"n
+f_X;$fD=%tf+uredF-OthUgK;g>1T6iS3#>gtLK<g%*beg40~>
+nbW(ZpA=mdrqR''qY9sfs7u8fKOf2)i;W`U)Z9I1rquNdpA"XZp%A%Rs7Z'Q;LST?p@e7TrqQ<`
+nbW(Zs8Drps8*B(qtU!_qY^9foT4t0o)&@Yq>:<jqu$Ek!;uZiq>K"DnbhqSqY^BjqY:rspAP$h
+qYU<jo_8=Xo`+seq"OR[r;?H^r:Kr<~>
+nb2eRp@nU\rq.9-p@S+Wr:TNQH<P'Vf(K(Cq=F.Lp@RnKpA"OTrpgKis7#F?9R$O1p\4IXrqZBb
+nb2eRs7uZhs7[*"q>'dZp%S.Nm>6Pnn+lqVq=k$bp\4X]!Vc<ap\FX<p\FU[p[RtRp]($bq%rPo
+rVuflqu$3Wo(_bDqu?<[o(2PKp\+.Oo_<q~>
+n^70]p<rugrm2Y8dEg7mf?h`s@6mbE]@c-%g="?qda67fdaZpprm)##hp0Ec.TP9Ncd0tbrmCPg
+n^70_s472"s3q(te,I`(e^rI)ctm:FbgY+gdaJ*Cs4%2"eCX]P!nu8WqUG>lg!oiJq:GGnq:PPs
+s4@+t(X1=\gXt*/gY($*gXO[.jO_u5f%A^1f^[Scg40~>
+nbW(ZpA=mdrqRT7rV?6brVliqn^F1OAVI5SlgXiPrVccro_\RXqu6U$p%$^SWp9WZpAOacq"a[S
+qYC$hrVl`oq[iW$qtTsdr:p6AF1(r<rVlEaquZ`lr;HQor;$6crRq)<r;$6cqXOFgs8)6Rp](9l
+r;Q^(rV?3\b2r['rVQHcnbi%XJ,~>
+nb2eRp@nU\rq.`=q=XCRq>1![kK0''>C<4.iofq/p%A.\nbDnJp](-in*/,2U#GtDpAOacq"a[S
+pA+I`q>U0gpCR,qr:]j\p[Rt'Cp<^)qu?<ap]C0`p\jjfp\+IXq>&_<q=sd[q=aXYnb<q#p[.>>
+r;?EcqYpHgo^_Lji;3HJp@\"Hp[n62~>
+n^70]p<rugrm3+HeBlOheCE4(cE;Og5[T8d_oC-TdF$M#cILIheDJs7c,d"WJABpdd/DAldco0T
+eH"2"ec+&2daQ^md+[+$fs4D8e]u^sbgOr<e,Rr"e(!"KfE0dYf)!nlf%JRKebRhef(%?.i7?,q
+e(`X1g"bNCg=Fd%Vo%6Ig=Y$,n^mEcJ,~>
+nbV\Ns8)`j#PRrir;-0\o_ne0otuMhD2u[4s8)?]p@n7[qu?EXmJlKdJbT34q=F=\q=4=Wqu6Nm
+q[r]#q>C$^s82WlX^pJjp\Xp[q>16iqu$Ek!;uZiq>AqCl2:ARnb`@a!<2ut&c)%nrqcNlqn%2k
+X6T`\q>UETr."~>
+nb2DFs7ZHb-h?p(q"F=LnG;nWrp..D;e1TrnGi(Fnac;Ar:g0[kNDa%@!M,>kjeE;pA+I^q#:""
+p@n=[p@\:Uo)5FkhYHg>rq#s[!quB_rV-EfpA4OZpt>E;q!%PCq#C.)qu6Wop@.\Lp%JFZ[WZ;\
+jneWAq>KCKJ,~>
+n^6dQs3^hm-dBuce'ZIbc/%16j3X?)2FV5KceHacc-Ob^g!nd&`PpQI5?H+e`o5>@eGe"te.^<Y
+dFHUig=Fg4M*Sf+dF6[idF%p@s3q,!eCX]P!nu8WqUG>kg!oiJn^e6$eCN.#eCN.$e^r@'ec")?
+g"4p/g"4s1gtgrEf?r.'f@]-9Qrlq9a5#7sgY_)DJ,~>
+nbV\Ns8)]i-i3`:qY^Bnq=j^^qXsOVXGUtCR_\.eo)JF^p&Fdds6"ZWm.C;WqXXIPqYC$gr;QTn
+q@NJqq>0m`qu-PFD>sJ-q"sd\qZ?Wkr;HQor;$6cr7Uu3quHTiq"jgdqtg3pnG3+^o'lJRrsRr2
+Tm(.1_Y!m*qYfIPJ,~>
+nb2DFs7ZEa-hd<.pA"UdnF#f:na,W2UOd&tOgj9Km/QSLn,MhUs4hL6iT]n+p@@tJpA+I_q#:$f
+p&k'\qY:$_#Q&dYq=sUUr:p!fp@n=[p]:-_qY0g\g%Y=;nFueSqYC0dqY(cko_\CMlh(5Ts8:fo
+S8r(r^$kmmp%[SAJ,~>
+n^6dQs3^el-IL8hdF6b)e'ZXpeBcIfKORDIE0e/kb2:Lpc/-_&hn2]`_9(*TiR.JNs4.+us3hV.
+c-k%ef%/O2>Y3W!dEpChdF%p@s3q,!eCX]P!nu8WqUG>kg!oiJn^fGDdaZ^pdaZ^qe()pte(*"%
+g"P-5g"P-)f&#*,c.Cq2j5.YNIT/^OT@)NJf@np=f73~>
+l2(,Ns8)`jrqlfnp\sjcru_7?s8Mols8Vi;Nb*!]a6rQro_e=\r-2fEr;Zfoqtg9es7lEcl2(AU
+rq[3$p%81Yo`"mUA<d,gq"OO[q"b$gr;HQor5nj+r;-?lr;$-`q>'q"s8;Wds8W#jqpq0WEdb@q
+q>UBrrVu`bnbi%VJ,~>
+l1XiFs7ZHbrqHNfoD\8'qtB^Yq=X=Kq>9TtKj8,;_<C:ZlgsE=nSMIln,)qMp\=^]s7Z9_l1Y)M
+rUpcnp%nIPq=ruUNW&JAp%\I[pAamcp]:-_b4k`,q=ja\!;ZHcq>'j\(]O1"oD8CZnb1@pDf'a'
+s7H6gqY9p[mIBrCp4*~>
+l-]4Qs3^hmrmN4AcHOMXgY(67gt's&g>'rIA33"[T>o('b0nDcd7l[AceI."daJ*As3U#Xq:#;l
+rmMM,bg"Ycce7'm5]GQ+da-:id*Va=rmLntfDaD(g=OoueG7YjfD=,#f$sQEqU5Jqg%sD=iS)i5
+h;?r9fX#`u:KiqAf&#??g>(<+n^mEaJ,~>
+l2(,Ns8)`j!qc3`rr4>Bq#('hrqQ-\s82Nbs8V&ZJR2u`^"`)WqMU.!q#C9ls82Zhq>($bq>':O
+rql]k&c)5!n,<1Rs8'QGdf&h8q=FLYq>pKkrVZ`oantW+qY^Hmq"ja]p]:3gqY_61qY'pgn&;#G
+F)[`6qsaL_p[7MFs8Vudr:Kl:~>
+l1XiFs7ZHb-h-^$qu-Edo_/"Rq"!kDqXs@Kqtf'EHW=C?[*[t8ms]TDl1aT7rVlQkpAXaDpAXgc
+p(?ukq=+:Xli$Fd@a"Q9q"OFYq"Fa^rV-Efp<*.*q"a[\p]:3cqYC!a!VuKdp)!Yun+Z_C^701]
+CRO2Ulh:5Hl0@m:qY'"EJ,~>
+l-]4Qs3^hm-d0c_f%AR%dFQn$f[A'nf[J-mg"<ig=Yr9dPH`'acX'enb1P"eh>Yq(e,Ieke*59Z
+df.Yock4^Ie^Vduet#74fZhsobgb"drR(Vn!S#a#fE0dYf#lM<ebRhnfE'RQqU55h!S,p#g_\u'
+e_T30UjlB>96nD*bLYFrai`)dg=GfGo[JB~>
+l2(,Ns8)`j/H>V@o_&"TqY^*]r;Zcor:^'fq=smerr8UV?>G;OWH7D*s8N&srquWhq>($bq>':O
+rql`ls7m6$s6]d`n,N$QI/j-;rql3[q"b$gr;HQor5nj+r;-?mr:p-_qY1*er;-@.n`S9$M/Qs8
+R,J#As8Vclqt^0is82Tfnbi%VJ,~>
+l1XiFs7ZHb/Go24nF?/Dp@e%GpA+LWp@.eNoCDVMq#?Y><FC1%Sn?jOo^D;;nb2_Op@eLYiV*9F
+s7ZKc&GH.lqto[Ym?r+qp[S.VnbMtRs7cKe!Vc<1p\FU[p\OXcq=sg^qYC6gp\OS"lJTd]JnSIq
+PM?!.rVH$[p@S+Wr:]aTjS+0~>
+l-]4Qs3^hm-e?_jbKS;ZdF?LheCiF&eBZRpdEpCof%tOc1dG9NIR_'%e^2^idJhYqe,Ieke*59Z
+df7_ock4pMe^_h#d!SsRf?W$tajJJ^rR(Vn!S#a#fE0dYf#lM<ebRhnfE'RQqU55h!S,p#g_\>W
+YDd-i6pPn,gXb37d+[(#fA,04e(+!?o[JB~>
+l2(DTs8)HdnbNmup]'a_oDJ4[pAFg9R=04"RFM69)?0[7qY9pds8Dffq"ad_qu$HjqYBm[q>L?h
+qYC$bq@NK"o(r+\mIP+boDe=[rU'X\qYC'2qsXG/qu$Eiq"+(MqY9^Sp\k$apA+LUp]'ses7ZBj
+o[BFO<+UTKb5Cf,nbi%VJ,~>
+l1Y,Ls7Z0\nb+X6oD@nRn+c;ImITnhNcJlIN5b>`nF-5Jp@S(Tqt]sVo_%qOp\=UZp@\%Kp%eO]
+pA+IZp(6uooD&"Ykj2iHm/QGMqsOL[pAapbpAjp0p\FUYpEfP-q"F=Ko(MqTo^hhUr:fp\q"4=Z
+nb`.Np&FF'Qt]9$H'?/=nb2&<J,~>
+l-]LWs3^PgpX'#jdJ_NIg!JBngW\3kg<A!mVf#C)7r5'NgX4C%e^Mppf@\['cdC1ie'uq"da?Fe
+cHt(mq9f#dq9]f&bL4_paNmA&celjte]-7gd/DAle,Rtsf)jXWf#lM<eb@ZBf%8R*e'61beC)Xe
+dFZssd*pFgdG!+/hppKDe$=Eu1IPSqWS,qpf(%Aae:7~>
+l2(DTs8)HdnbO'oq>^Hkp&G'eq#Bj`rr:fNIp6<<_!:t!rY58(o_%tTr;??]oCr1Uq#(0lr:fgY
+qYC$bq@NJtoDA+Vq9i`eq#Bm_rp]aZqYC'2qsjU`qZ?WkrVlirr#>\7qXX(Os7uEcrqZHks7aNi
+B4GV$UXo/;s8VWdnbi%VJ,~>
+l1Y,Ls7Z0\nb+X*p&4a]nbiFXn,DMDoCp\#E_]JYZ.njEqYKsXnF?,Dq"XLMn+6>Eo_A@]q"*tM
+pA+IZp(6ulo_J"NoZLIKnbheNr:0XZpAapbpAjp0p\FU[p\sk3p%J1Ys8Dlkr;HTgo'?2Qq=OO\
+p@e:[n@sQ_>[_]DcgUT'rpf^CpOE~>
+l-]LWs3^Pgo?mTe0?qr!f@8+!hpB[)`n&VjZ?T8"10g!Tdam%%eBlIcd*pOqdEKh]e]c@gf@JEr
+b5'H\deV9&ccjk\f@6reS(-69f@J'ld*Va=s3q"urRV,(f@J*oq:5;mrmh8'f%Ad9gA]YCg=Oiu
+aOT+qdF?h!g"tc?V.`=b7p1GOe_K'Af^dV`fC[RC~>
+l2(DTs8)HdnbOI*p@SC`qX*\Hqu$Khs8Vulp"cm*C2%OV]A`Vdr;?Tdp%n[f$3'f$qt9RQq#(0f
+qYC$bq@NJto`"CRs.sGnrVlKerUfaXqYC'2qsjS3rr;uop%8"TrVQE`o_/4_rr)ciqYgEjd%u/,
+A7pn7h!b4?qYU'Ynb_kSo_X.~>
+l1Y,Ls7Z0\nb+X/o'lVRp?:`4p%JFSq"F:HlI)JO?!Lj+[bUQPp\4OPnFcYVr;$'ap[R_Ao_A=Z
+pA+IZp(6ulp&+:Js.3]YpA+7Rqt9XXpAapbpAjp0p\FU[pF,k6q=X7Go(DeQo^_JBp\jpap\"4U
+q=`")G\:AmLpu"$q"XOUoBl8%pOE~>
+l-]LWs3^Pgq9f)ds3WLHc-=tne&]VYe(!4!f@A9ob-H\$4Zl&UQFtc%f@Sa%d+-k+gtC0.d`fkW
+cdUJ8dJ;-$cct%_d,BOE`7`hhe^_phd*Va=s3q"urRV,(f@J*oq:5;m.,!>-e^2Xje_&F%cd0ti
+g=b*0dact&eujX08jYs^R_$bugXt31cdq[:n^dcjp!S?~>
+q>0paq>1*ds8(mT"TS;anbW7b,6%6,s7Z-Ys8W#ep&Fd+O)&'2M8f&bq#C?fq>UEinbW+[rr3#t
+qt^*aqtg.#q>Bjaq=ai=OT57Uqt^-boD/:Zr5nj+quZZirVlg?rr)`jr;Q`rrqQN`nc/9rN-AT@
+I%o'`s8)Kis7l6as8VWdnbi%VJ,~>
+q=aXYq=ag\s7YUL0E:_/mIpJWs8)0Os7#CAqYfsHlM'YUKOn:lKY[!NoDeXWo_J@UmIp8Kqu$Bf
+p\FOYp\ORpp\OO^p[S9/M>?i<p\+FZo_J7]q"sdcp<*.*q"aY4oC_nTqtg-`p@\+Sr;HB]s6T%L
+m^\$l=^lTGc1:f*o)8RZn+Zh\p>blIq"4<2~>
+q9f#dq9f2gs3^8_qpGGl0AY!ob1#&#iRc;thp0Egg"aupb1Fk*A48LAA>%3#e)8p-eCiR*b1"be
+f%8O'ddb`\ck4aNg!S4*>\r3Jf$r0td`g+drR1_qs4.)"!nl2Vb1-7;q:@%De_&U1g=b-0e_&R4
+h:g?<bg"tkR:oP]6s>)EeDJm.hr3,6g#:l?o$m6^!S,]mdXV~>
+q>0paq>1*ds8)0\q>(KhpAb*fme$;Sq#'^^rrMZ^qu7N4o%pm7D/bH4Zde^Ko'?)Nqtp6bp@\.S
+q>0paqYCd!s6fmdq<Dk;s7cEjq"aj^q>:!cantW++oV95qYg?eoCr1_rV?0es7OjJR!)e^Ut+f+
+oC`.\lh^SZrrW#gnaZMHr:Kl:~>
+q=aXYq=ag\s7YmTq=lW3o`"^]lgaZJo_@kPr;Z*Nq>U3aqtg!PfWp3DC5/IbcLCYrjmrHGp\+7M
+nac>JpA+IZp(6usn,31Wj_)@*nFleQp\jm_p]($cpAjp0p\FU[pF#b/o_&"RoBu,@q"F1Fp&44#
+Wf_+!E1PA>p$hPNpuqJKrr;rjna>E2!;Q3\J,~>
+q9f#dq9f2gs3^;`!7C\is3WLAcJ-t%b0\YpdFHFng>C#rf\P32g=k'#\<:Dn8nN[7Y0bkG`R<Yn
+da?Ccbg"K(dJ;-$f#Q@oeAY%ShUC'/da?UldF%p@s4%)!rRV,(f@J*oq:5;m-eQu!e_&L&cI:G%
+g!nI(i6\ZgFAY)!J?m5HcdU\&a4T)&hqlo3c10<Sf)aFOp!S?~>
+q>0pbq>1*ds8)Hdq>C'c.Jj#:p\"R`o^2SLs6BXXs8;lrrVZZnq>^?fs8:WEEH5c2O2C/To_AFb
+rrW3"s7uNeqtg.#q>KXUrqsNLmec_Us7uKgqXOL*qsjRds8Dfkr;RK.nGN=]_2s%`DN;g6s8V]d
+s8;Wcrr32qnbE(\s8VWdnbi%VJ,~>
+q=aXZq=ag\s7Z0\q=k!dqYU(Aq"s[To)AFSlM:#Nk5Y#NpA"CSoC_bFr:T[Wp=5UICh%.8]]8ML
+o_SUfr;-<iq=aXYqXtKpqs=+UpUY&$o^DPPp@nO_p\=X[!;=S0q=sd[-i3W2pA4aer;Z<Lo)J-e
+L2pm:KYHpTqX4(Tq=O=Ws8DNVp%nL^s5NbQq"4<2~>
+q9f#eq9f2gs3^PgqU5Mod*DU:rmEFLd*^7sf?hRhcelXqceHt#f$i'se'Hh"e(N<[H:pq!884U3
+d*C%hgYCE2f%KT@q9T`'`7!5gRS1fTdb!1$dFH^odf%Ynec")$g"4fteG7Yjf-f;)e^iI1hV[DF
+c.D+,SnhJ%9516Pk2+D6gXt!(gYpr8c.(G!gYq\Po%*llo[86~>
+q>0pbq>1*ds8)Hdq>C'c'CaM#K7rL`s7lWSe8KP^ZiBmsqu6O1s82N\p&4piqU`uuMJ6XNRBjop
+p%S.Rq"jg`qYCd!qsaIVrgA36q"t!dqYL$`nbgN+nba!kqZ$Tmp@\1)cbZ9'Fbuikec,R]r;HTn
+o^r._qXsR^rqlZlp$_G@qsjUVqg\~>
+q=aXZq=ag\s7Z0\q=jscrqcTh'CO:qJ:ZkTs7lWSd;3oRYPe+bp&=\%qXs=Cme6MOo?bLYK48/2
+PHMj^nal;Bq"=^^qY9m\$2O,dp%ahqp[RnTpB(-dqY0d^pAjp0p\FU[pF#G&qtp*WnF4?5[?P]G
+I?pDFo_e=MnalYMo`"mep%JFbqu-Hcn*]30!;Q3\J,~>
+q9f#eq9f2gs3^PgqU5Jnd/M>jd/VN-aK/KL@)^UReDJ$D8Pr]Ng!e<srm_h;e^Dajg"kB5Z`0!t
+76t*uMk@W*cHOT.dJD2bc4&.Cda-Tg=k_BWf@8=Jdf%Ynec")$g"4fteG7Yjf-enpgY:<,d*o"q
+T6sm@B7>T?hW3MFgXt6,d+[=,dF-q+f@eg(bKKG*o%*omde2"<~>
+q>0pbq>1*ds8)Hdq#!&Ir;6Ehr;6EUF*h$Fj8\oCk"no`j7iTNrVuliq#C0gs8W#mq>:3hq#1*K
+Z&<:1CM\6bc1:],r;?Qkr;&,CqYC!arpp)CMZ<PQr:^$cpA"O^r;6Ehr;6Ehr;6Ehr;6Bfqtg3d
+qtg3dqtg3dfDGCAq>D];s8VK*SV)01EI=S9s8W)urqQHlrr)flq>:!bqYU$]q"sg^qu?WbqsjUV
+qg\~>
+q=aXZq=ag\s7Z0\q"Xja1\ge@q=s)jGZ3>Qrq5X<9hepNoDA:VqtTXNqt'RYqY'OPp&"FQp\!:A
+Kk+e.BQTT_meHMPpB('_pAF[bp_EYnqgX7noDA:Qq"j^Xq>'g]q"a^\qtL3dpsJj3pA+IYp*]J/
+qrYVYHuWt8EgkAJr:L!\mdp/EoChqSq"a^]q"OFUq"OO[r;,FI!;Q3\J,~>
+q9f#eq9f2gs3^PgqU>Jmrm:Yms3iU99N<mZ^>7;\^a^fp][5<\e_/Nud+Qn"g=k-,e(*4'db!$]
+Me,1A6q'spVT\hb!R]?ld/q\?d/D6&d*g@obM-B9gXb-2cdgOlcdL8=e,.\qf?r+Df(mqnfbi;s
+hT;I:?W9lt=b4';j4i\Me_8j6g=k-VeI'mXe'Z[qe(!"&fC@A]f+$9YdF-FjdF-FjdF-FjJ,~>
+q>:!aiVOMhq=jger:U$gdtYGD^?YaskEq30M#I/Ir9O5ts5'c*C1V$kF*<r"qu?Qns8Mrps8W)q
+s7uBaq=XO[qu?6eheoLpq>C9lq=j^^s8)Qbp@J%Sqtg9fq=aXZs8)N_p\=[`rqlZkqtBj_r;6?d
+qYU6jq>'maqY9mar:^!cq"t$`r:p$`rV?6fqZZorrquN_rr3-"qYC!bqu7,jd^,['D.7=5P0rXr
+s8MrsqYL+$qu$?hqu$?hqu$?hqu$?hr:0[[r:0[^r."~>
+q=j^YiV+5`p$qhWq!\%Vc[`H0]&`nchNEUjK(nm1p?VHDrRdokA7&bSD/bZ_p%e:Vq"=7Np\O[X
+qt9UUp\+=VpAF:SfOq&Vo_84Yp@S(SrVQ?`o^qhQq>1!bp\+@VrVH6[p%\C\r;QR`q=aRYqYBp\
+q"agbp\4IYq"FIXq!n%PoChtLp[dtLq"41Oo^qhMp\"%Cq"a^YoCDMFp%\:Qp%.%[Vj;[<<a^*,
+b3&X#rq?Ebq=Y9lq"ORXq"ORXq"ORXq![tQq!n+Vpj`~>
+q9o)diR/Ukd*:%oe'$=rXBq)PQbqY3^N*p@@b&lUeG@Vae4AE*KNU]-5se:BEimmFe_/X,eCE.&
+f$i3rcHsq`c-k2#bhKa%L"Xu-g=Og$e'lmsd*Kt\cI11ke^W!ndF-Xrd*BtceCE.LeOS*8dF6Uo
+da?Lle^i-qdaQXkdFQjqe_&@%f[8="dam(#e(3.&f\,!2e'Qk)gY(0.f%Ad9hqQuA`ibAO@nAjT
+?>Zgagtht]!7^hqn^m<\q:58i$e!PQeC)jpe^N'teUR~>
+q>:!aiVWWS(A.A#rr)W'hYCHWrUfrad\0RXs82`llhaZSq#16ehS#bOHXpMqDM4P(i;!?Np\"=T
+qu6Tjp\=[]qYgHECZ>Bhq"agbrVZQjq=j^_rVcZdp%S:Yr;HZgpA+XbqtKaRoC_kQq"jper;-3_
+rq7T6r;HTlqu$KlpA=jcrVucjq>1$frVQEjqtB^XrVuogo_A@_rtk>#jiFToKlVs0T!Zi.rVuHe
+s8Dfos8MiknbhqSq>Bd[r;;'~>
+q=j^YiV+5ds7u*Qq"XUS[+OtOV"a<ISB7-i]`7Zup?VHPn+$,InCP+?O*"Z1?>"\O^sqcGo^;2=
+o(W([qY9m_naQ2Ib[TB+oCMYLq>0p^r;-3brVlfpp%J1Wqu-Nop%J4ZrVQ?]o(2PKq"X^`qtg*]
+p&=SJq>1!cqYC!cp[RtQp%\IYo^qhNq"XRTq"4%Cnb2hXlg=68q"jm`kiUI,T8[r'G^tjO^tS5Q
+m.p\WpAFpdg%Y=;nb;tVJ,~>
+q9o)diR/Urhq-)uf%/BuP.&aqK%8)pJ?!lES_qoGeG[hqdIP^ceBcXtgs`j&JT=gW4@)SIGc&("
+gXXWrd*L.kf$_pkeC<%#h608[h:'j$eCN7&e^i0qdacq"e]lCddaQatf[%pnf%8I"cHOPZdF-Im
+f%&9ud*M^:5L\-4e^W'tg"4X&g""a1f$r4"f@\a,eD&X)dad(.iQop%g"bHAhU'TbU5F)%9Ohd_
+NiU(Ni69d-f$i=,fD3qdfC@Adea_/eeUR~>
+q>:!aiVOSfq=jOXs8;HcZ2a]-ScAB*jQo9Hs7,s`r;6BiqXOI[s%`LeqYKsNb+jZ7ASugIPHi^1
+o)/O]nFH/Aqu$9iX)n=:qtTm\r;QTfqY9aVp\4:Js8Mokq"F=Ls8DcepA+[err2lnq=aIOp%J1X
+rr2pQqYU0cp\4L[r:g*ep\Fd_s8VucnG<1bqYL*gs8W#ms8VlWd'K!jF*W%RJu6oYs8Mrprs8Q&
+s8DZcs8VrkqsjUSqt^0[qu$AB~>
+q=j^YiV+;\oC;8@qtBCMX8hipQiHNjgZ(A$r9O"Kp@n=[q!n+YqL88:qt]sVo^q\6`1;Bt>%;Jr
+MQ"nhmeHbQmdTi<o^_MIU2']!p@IkJq>9sZq"F=Np%@kBrquTdp@RnDrVH6ZoCi%Zqtp6bp@IhC
+nac>HqYgHop@n=SoCMYKp[\%Qo(;_Kr;H?Tlh12QoCMVKq"XOQs8;EFafLMKBE)f_Bm,r`h"C7-
+oCr(Ro)/L_o(2bVp=]39q!n+Vpj`~>
+q9o)diR/UhdEg%bg!n0oM;?W=Fl1H>^;M!Th9"*peG[hqdIP_/eCrX0g=t<3daZdo_k_]f;*IKK
+?#,;"bKJGfcH"&MbLb@pgkAJZe(3!odam($dF-Cdc-O_Za4StldEp1^akG@qd*U7ng=Y'0e^Mmj
+bg+P^eCWF0h:'m'da6@he(<%!f[A:%e(id1bKJGkgXas-g=t@*f[]$>eAJAKEF2F=<DQqOXMWfG
+f\,0>h:LH:f$D^qg!fcHn^m<\q:5#br7-;~>
+q>:!aiVNZPq>UC-qu-H>_u8kFNTg9-s/\hrrVccorqlZjnG>$;p[n.Ts8Vops7u6VpA!+RWKW$^
+DJ"9XTW>umr;Z]pnGecSs7cKhqu$Hmr;-6erVZTmrtbA&p%S@^r;60_rr<#rq=aLVq>'sgs8Ms5
+r;6?dp\4I[r;$-brr2lkrVuZhs823]r;RH%s829Dcb-9MI!'@LK9i=6Xj6P:rri2us8Dins8Vs"
+q=jabr:Kg^nbhqSq>Bd[r;;'~>
+q=j^YiV+2]oD8I^p%S1&^%^T.LZ8!gq4g6Qo_8@YrqHBdnb4a1oC;8;o_SUZq>0^Lm-sSg\"8J)
+EG/a)N1R#bjSf,Oqrdj8UAscYp@n@Zqt^![rq^.#rVc`fo^_\Mqt^$XpA=jfq=aFNp%J+Tr;?Ed
+q=jXVp%%_Gp\4@Pp\FX[oD&1Rp%nCGp](-fs826]o]Y#M[A0+3DJ3m7O.E)B`TR0sqXa7Sq!mqH
+q>'s]p\".OqY9R5p\FUSp\af:~>
+q9o)di6iIif\G*-e^UOee\Y-o^sgB[KHc3%e_J[(rR1_nn^;m:e'ZIeeCrg/g"Op!bg=e?Rt>K_
+;FWiMBm>9!^"(lii6'npL#LG3f$r7&f[eR$eCW4$f@nm)cHjhee^i9se(WR3f%&-pdach!g"Y-2
+f%8F%daHLkeCW-teCiO-e(EC'e_8TqfAPE<iS2Z7f?:k.R"fri;+j_mEe+1F(9#L8in`;;iS2u7
+g"bKBe^W$oe(<-pq:+rdn^RBbn^RKeJ,~>
+q>:!aiVOGfrVu][p%[X8iW&q5Bu'TBmTjDpoDeXcqu$<\qZ69`rr4bPp[n:]s8;`lrVQWlp\t3m
+o&?dRTo+8EDI.p]T":$9pA4@Qq"a[Xq"j^_s7c$RpA"X]'_qP%qtg9iqt]s\r;ZZmqtU$frV63d
+rr4;Aq"t$erV?Hmp\Ophq#'R-]<\?%JpMBMBlA-?V6eG3s8W&jrVlisqu?[,q>:3lrqQ9^q>C6j
+rVlckq>9^[nb`.[nb`7^J,~>
+q=j^YiV+/^q>U'Nnate(h>dJ,A\@[+j]#LOmJHMSp\agVpN5fprVullo'c5Ir:fmZq"=IRme-PV
+m+eS>SVDK9Cg)1FQ*H+jnFZ,;o_%kJp%S%QqXa%@nauDDo(;VLp@\4Up@RnHp\X[Zp@ItRq"+1P
+p%J(Pp%J4[qt9LPp@\4Qq>0[Tr;#sYl--T<U6C"JCLgs"C2e<gY/o`%s7l$Ur;HH^p%n^Xp%\CV
+o'c)@q"jg^qYBg;p\FUSp\af:~>
+q9o)diR/Umf%\WlcI'@F]%l%J6CH9Pa>H-)c.ULoeG[hqdIGXLc.(S.hUp9&eCr^0e_&O)gssa%
+hV?8bL5'q]<Dl7C??1:TC9l49c-XkddEp=kcdpgsbKJ;\da6Fie^W1#rn%A'e'm")rn'onf@ns-
+f[e^+f[e^+gtgi;eCE7&f[SU.dad.+e(;^CQApK;?WTrk7SH]]Jrm"Qh;d5:g"bN=e^`L5e(*4,
+f[A3pdact#f%8L$q:+rdn^RBbn^RKeJ,~>
+q>:!aiVOMeo^hMIs6uJ_r;Q_BC!ltU^.WnOrqc3_qtp6[qg\P@q"=:Pq>C*bp@@kPrVZ]qqY0^Y
+qYU-eqXj@IiR#'D^6t"ED.RO*Its#JSu&-d_p$g%s8VrnrVcZlrVucnrVQBbr;Z]nq=F@\s8)`n
+rVHHhs8M`co&/3Pe]tY,Wh,&sIWo^QF`25IM2\.'Wk$I<q#CBmq"FR`s8NE#q>'d[q"jg]rV6Bq
+r:p'arqZH]r:0[[r:0[^r."~>
+q=j^YiV+5]nF,Z9s6Q&Sq"ju5A^1,B[6f!.q"3qIp\XaUpM0KsoC25<o_8%Nna5f<q"OXYna>o;
+o_%qQp@.S=hor=-[?-*!B4#:iH\73<S"cFT^;nafqZ$6_q"XUXq"j^Zq"F=Np\X^[o^;;Hqt'RU
+o^h\Hp@mtCl.OG0bf@#gV4!!_H#dY=E%Ga>G_CjBSu&g:iUd'Iq"+%Kq>:*]p%.eGo^qhIq>UEm
+r;HZmr;??^o_848p\FUSp\af:~>
+q9o)diR/Ujc-45WhoTqte^rPS6E8\fQm5V]f[@pleG[hqdIGY"e^i3rcd:1ne^W!kcdg\"h:L*$
+d*g@ke()jhb/_&jPEVATBP^1'7o*5pB5VsDI#X_q[)q%\e^rI+f@S[/f\5'3e^`@/g"P$(eD/m2
+g=b*/f%8U/d*g.NZa-d7P)4m<A6N,68l/>88kW8sB7>AdQE8!Si8<8=e(<@1gsa^#d*g=kdaH_'
+h;-c?hUpN7e^;dofD3qdfC@Adea_/eeUR~>
+q>:!aiVOSop%n[bpq^U[q==!GYO_Ab>?9MOp&G'hqtg0gp]10Xqu-G,p%\Ods8)<TnFleZqtTs_
+p%A(Vs8DZ[pA=m_s8VQ[[BQHjIr/Rr@Vft!D/sQ,F*`CiJqT&ELmkWa];q?[OHbupUUS%OR$*AX
+H#mtDG'eLNBl7p,EcZekOeB"h\'*t3s8W#lrVlcq$iTnsqYU3gqt^$err)j.qtL$ap[e%Mqu6Wo
+r;-0]q"XaVr:0[[r:0[^r."~>
+q=j^YiV+5hnb2hRoY"bKp$V.7X7#NO<)D-6n,NC]p\jjfq=s@OrV1d1o_SUfp?q83nFlYMo()GA
+n+6;Nq=<k?nb_\Qr9<XRX.YN$C0akGAS>XeCM7'kF*`4\I>!K/PH24#UlpLiNK&sgYdq0%LjsSb
+Bk:jjEG]/jA7]7eDL@8!S#s!%`o?^kr:fgXq>:-ir:opVp%J.Sp@RtRr;?Tp&cMIsq"OCMnFQDN
+qt^$\oCDP+p\FUSp\af:~>
+q9o)diR/UucI:Cpd@*=id`]^ULs+)s2__YccemL,eG[hqdIGZ`eG[p>cI(8"gsaHfb0\_je'QIi
+c-=Vbf[S0edam:$j57u(OGeO'=[tM/4\/4:8PVoF:KCb.?=7D_ATs3*R##p$D/jQ9J<ZUmF)>Jm
+;bftX:f^Lb6V0p?9MSi+CjV/)P,?+IhV?`3f\,$8hV?c5eCE.%f,</he(E7)g>(<0cdgFibK\;]
+f@\[)e'QFgpseicn^RBbn^RKeJ,~>
+q>:!aiVOJjnGiBlG[sg-huE]FrpnZo;IS#Rs6fa\rqcTgnb[\2qYL*er;-0eqYL-cp&"dhrVHBf
+rVcZorVHEfp\Fjgs6p!arq?BkqtU!`q=X:"cHOAPbIsmKUna93H[:*iJqS`(I=[*)KRJ#lNKK.'
+Y,\CuX0Aq?`QcccoDejdpAFj[pAb0kr;Q`loCi1]q=aLUq>1!br;Zd9rVQHerV?0\q"agcrVH?e
+rr2cfqtg3is8Mljq>9^[nb`.[nb`7^J,~>
+q=j^YiV+5cm/Qg`FC7srg\q!8qX2g\93]X;s6B=Pp\jmeq=43+q"FFUq"XRSqY'XXp$qeVq=jOR
+p%S4Sr:fpZp@ItRp&*tInb)DOq=aIRp\+1G_T0X3_o0!XR[ot1J95jUG^FjcG'81\I!p0VG(tm-
+UnXHMS=cUTXLZ0cdHC2to'uJKmd^2Oq"OU\o^;8Fp[n"Fo(;VKp%S=Z)u0."pA4OUo_/%Tqtp0_
+q>C0co_8(Rqu$<ap"B*8q!n+Vpj`~>
+q9o)diR/UpakYC);*?O;\D#QVf?:C+/j$/hhoF3qeG[hqdIGY3e^N!se^`-qf@/4!da$@uf@A<t
+e(*!ug==[%e'QOqf\ss,eC`.,g"+R!eC2aeV5gJiVPfi9I=Qfg@ol]6>[LoH>$>6A?t!5;>&%qg
+MMQq:Jq])AP+SYP\'<[^e^<"#cI(D$f[ng1eBZIpf@83pdaZgue^rO/)q``le(<!mcHstfe^`*q
+e(3*ucIC=mf\+m*deVD_fC@Adea_/eeUR~>
+nb`.Ynb`.Y(\dq/n'\hQZ*rKaqu?]W[ulN*V9SK-r;QQjq!n4Nq&f>-r;$*^q"FXcr:'O^o`+C[
+r:^0_s7?$]p[n7\r:9[\l2:,P!WN&or:0[ZqYL!dqZ$Bkp]10dr;$6cr;$6[r9=+Vr."~>
+nb;kQnb;kQ)>*h(m*E2EY-ZjUq#16OZ\j?gT?-<nq=jX^q#C0Kp)il"q"=7No'lANp?M8Fmf)AK
+oBlMBs6]FMoC2GNq=".Ol1OW=!VQ0_p\FOYq"XU[q#:-iq=aURp\FOQq!%PNpj`~>
+n^@6\n^@3[(tdN`XHe^%OLN]hg>9Q*D.R:.W63]BeC=HFn'U[S+4&Heda6CgcICRtaO/V`hT=j0
+d,<4.c-t1hc-k:rbk]ldf](Qbf\-,Qq:>AnqUY\rqU5Ams3ptqq:5;jq:GGnn^ZmRr7-;~>
+nb`.Ynb`.Y)=mP#rV?3_qsX7SpA=memJlqLnbW:`p\Oa`p]1-\qXOA"qYU*^p\k-lnauSTs6]RS
+s7Q6drq>j]qu$BkqZ?TdqYL*Rr;Za+s8N&ts8N&ts8N&ts8Munr:0[[qYBpcqZ$Bkp]10dr;$6c
+r;$6[r9=+Vr."~>
+nb;kQnb;kQ)=R4oqY'RSq!@VGoD&@\lMC#7lh1/No_8+Yq#C-ipZ(rjp\+@So(2\SqWmS>q#BOI
+n,M_DoC_M9s7Z3^p\=OWo(DkOl1P)K%J05`o^h_Ho^h_Ho^hbOp\FOYq"a[[q#:-iq=aURp\FOQ
+q!%PNpj`~>
+n^@6\n^@6\)9gL[f@/-qe]H1ed+-q%a5#.cbLP@udF?\EddPTSe,RhqdN-Z\f%J]tbg4kt`R3,p
+d+$Y!d)t=uf@AC$e^MjpqUbPqin4=aq:GGnq:GJo!7^hmrm^tsrmLVmq:,5lq:>)dl.#X]J,~>
+nb`.Ynb`.Y&,c7spA"IZp](-brVufns8Ms"rr<#trVcNjpAt'bo(qhN*VfC+s8MiaSsb]%l+iRP
+bPL)Cr;Z0]qu-Qmq"OU[qWdtWr!`T&rqucnrqucnrqucjr:0[SqYpEmqu6Hfr;$6cr;$6[r9=+V
+r."~>
+nb;kQnb;kQ&,GqjoC_hNo`+^YqYg6crr2Zqq>1!cqYg3fq#L0[p@%_rp@\1XqXs0APD\/R[u?Ba
+n^Y_Ps6'+Lq>:!\o_/+RlLs`?q=j^Yq=sd[q=sscs7uB`nb;kQnbDACr:kd~>
+n^@6\n^@6\):m9`d*gCldGNL%f@ng,gY1B6g"P35f@8=Kdb`COckOgSf@SHmG&qE3_4#:aVUW,V
+f&=[KecaXVda?P>ebReTf_O.pf(mkleG7PleGn"sdeVGheG7_lf(%;TeGRjI~>
+nb`.Ynb`.Y(B!t"p%\F]q>BmWrr;]`p[RnLq"OLVr:p9c!VlK]qXOA'p%\C]s8MTNB:[n8B7.AZ
+Lkq"]O+[0+qtKj_qtTsaq>0@Ql2:)KnbW7_s82flq>C'cq>C'cnbhYKr;;'~>
+nb;kQnb;kQ(]!aoo(DeQpA+7Kqu$'To^)&:oCDMFp&4[aq#L0[p@7l/oChtUqtfa>@@,Vu??<I6
+IXZp7L3i@hp@@hMq"==Up@e1Qp%J(Pp@n:Tp@n%L&,#Yhp@\.Pp@\.Pp@\.PpA+IYpA+LYpC?um
+q"ORXq"ad^q=saZp\FUSp\FOQq!%PNpj`~>
+n^@6\n^@6\):m6]cdL@oe(2gif\+WrdE^.ee'c[ldaZeFdbiG(bg4_ef%%sX5BXJF5?*rh@q0+q
+BjK*Cf$_pqe^Dmse'ljre^N'tf$r:#f$sZL*SArqf%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%ARL
+fD4"nebIW(daZ^pdaZ^reCN+!daZeBebR_jfD4"fe`kT]eUR~>
+nb`.Ynb`.Y"o7rhqYL*gr"/\so()JJq>^Knqtg0bpA"F\pAt'bo(i@^o(O*qp\OdcqX<F"p]$7Y
+U\XqeDk[!bB%-DPq=aX`q>gEgq<@bGqt^0bqtg-bq#C3equ6Qor;QThr;$6cr;$6[r9=+Vr."~>
+nb;kQnb;hP"ShfhqYU9i&Gc"io(DbNrVQB`p\4CTq"Xa^!;H'Xnb4!qq"X[^q!6dgnb.Z6R-sa>
+AXMu=?-Vg6o^_\SpC?ulp\+@Tp\+@Uq"ORXq![qfp@n:Tp@n:Tp@n:Tp@n:Sq=j^Y!;QEdqY:'a%
+JKPip\+@Vq=saZp\+@Wq!n+Sp@7qBp\af:~>
+n^@6\n^@6\"k1uOf%/IPfEp*UcHahde)0!6rmh2#daZeFdbiFkc-Xkde^DON@*dG:213j-JP(:<
+\j3CCg=4HsrmVG.e'ZXle'ZXleC)jpeC+<F*S/`keCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN4H
+fD4"neb@Q&f$r:#f$r@'f[\U'f$sNGq:,5lq:>)dl.#X]J,~>
+nb`.Ynb`1Z(&@V!qY9[Nn*p,OrUog[qt9aXoC_qYrVuZjpAt'boD8L_o(W1[*Vf=%qY9XOs8658
+q=jc9DVk&gB@Z_QrVcTgr;66aq<@bGqt^0dqZ6QjqYC!_!;cNgrr)lprqlNhq>:!cq>9^[l21DV
+J,~>
+nb;kQnb;nR)Y`n!qY9[Nn*p,OrUog[qt9XPmdTrHrVcNdqtU6doCh_K+Sbg0p@ItPo^;&Fo2]&_
+m-o..ea0)<cg^Z'q=aOXq"4CVq=rY;qXssaq"jg_p]1'apAXjep\sm^q!n+Sp@7qBp\af:~>
+n^@6\n^@3['@bU_ccaMUeCrU'd+?msf$hpkec+8%eG[hRd3$``da-.`da?7[hpaSKda6KI8\!*%
+6*JYdf[eO#f%'QCq9n6Oq:GGnq:5;jq:>Pts4@8$q:5;jq:GGnn^ZmRr7-;~>
+nb`.Ynb`1Z'D_4jpA+R^rVuE_rVZQip[S7\qYp<hq#0pgp%S:RqZ$B]pE'/(o(Dn[rVu60;O[X[
+s(7;gr./qTo&KKEqtBpbpA+IIq!n4Vr;-9kqYU-bqY1*fqtg6irr;rjr;$6cr;$6[r9=+Vr."~>
+nb;kQnb;nR'DLtepA+R^rVuE_rVZQip[S.Vp\smbq#1!iqYBmWpAamWp`KA,oCMeTq>06m8WWo;
+oj!1@o6>$3m,%=4p[e1UoCr+Vq>'%Fq"OXY!VcBcq>0jep\+IVrqHHds7HBcq=sLSq=a@Rl1b,N
+J,~>
+n^@6\n^@6\'$S\Me^i@*gWe7$f[na(c.q%(rmgtsrR1/^n'E-%bK\Mef%A!>.WaXtgHfQ(eltkf
+beDN[eBlasd*_^:q9e3M!7^hrq:>Alq:#DqqUkf$s4RG)!7ptrq:,5lq:>)dl.#X]J,~>
+nb`.Ynb`.Y)#j@+p%S.Qo)8@Yp\4=Us7Q0aqt^'br;-?d!r)Kco(l)Vp\FRZp\FRZp\FRZp\FRT
+p\Xd^qu$<gpi:KSoDbb*ec5>WM"ckMm/QtQq>L'`p\FRZp\FR[q"jd^q"jd^q"jd^q"jd^q"jd^
+q!\(Tr:p."q>:!bq>:!aq"jd^q"jjaqY^?ls8DZhq>:!cq>9^[l21DVJ,~>
+nb;kQnb;kQ)#O.%p%7qKo(r.Sp[n+Or:9OUq"FFVr:g-as7lZho(G<Bq"ORXq"ORXq"ORXq"ORR
+q"a[Yq=s[Wnn`+5lM-u]cM6m:K(4T6kl:DFpA4IVq"ORXq"ORYq=sd\q=sdFq"XUZp)s/+q"a^\
+q"a[Zp\=LXp\4CTp%J(Pp%J.Tp\4CTp%J.Vq!n+Sp@7qBp\af:~>
+n^@6\n^@6\!nc&Orm;D+cI^Roe'ZOkg!S=$e^`.!f[SFLddPTRclgKXda6Cje'Z[l9MEsZgO_o"
+g!E#od:B&lgsjNrf?_k@d.u)KdK%emfD4"neb[epedg?`f[e^+g=Y-2g"+g,fD=%neG7_lf(%;T
+eGRjI~>
+l2'W@%f6)!qtg3dqtg3dqtg3eqYC6gqYL$Wq@NK!q>0p`q>:$cqYU-dqYU-cq[U8=R/I!IEJOGf
+`H]>(LAq#KqYp@4qYC!`qYC!`qYC!`qYC!`qtg3dqtg3dr;6Ehr;66drr)lprql3_%/]u"r;6Eh
+r;6Ehr;4P4rr)lppA=[`o_X.~>
+l1X?8%f#enp\=LXp\=LXp\=LWqXssapA4OQp(6ulp\+@Tp\4IWq"ORXq"OR[pC=]1P4nq7COu6P
+_/d>kK)YHCpAXdrp@n:Tp@n:Tp@n:Tp@n:Up[S%Xq>^6WpC-ikq"ORXq"ORXq"OR_pC-ikq"ORX
+q"ORXq"OR8p\ssfp\+=IpOE~>
+l-\24rmLnqe)&LAdM%fsE7Ed[8RKuqSktu5?..*HdF%sAn^70^n^[Wis4.+ui7ACff@AL'f@AL'
+f@AL'f@U#Ss4?tqq:G8gJ,~>
+l2'*1g%t79&+nbZe,Jd_K[f\ks.P:=mf*%^qYpB^qYC$Yr;QZpr;QSmr;QZpr:^$`r:Kl:~>
+l1Wg)g%Ot1&+J>NchcqOJC*i[rgeb0lMgJVpAXgVpA+IQq#:*hptkc8pt>E@q#C*^p?_O(~>
+l-\24g!T?<&'MD4Wn#(e>H>uqfm$nF`W"6adJhSadJ;;^ec+/"ec+(WfC@DEfDaG&fCmekfC[RC~>
+l2'*1g%t79&bYtgrVufnlhCGRrp9OXs7uKhqZ$H_qYC$Yr;QZpr;QSmr;QZpr:^$`r:Kl:~>
+l1Wg)g%Ot1&b5P[q>^6bkO\WCqWR\Hs7Q'`pAamWpA+IQq#:*hptkc8pt>E@q#C*^p?_O(~>
+l-\24g!T?<&^8VAeD&I$_TpcYe\fh^g<e4FdJqYbdJ;;^ec+/"ec+(WfC@DEfDaG&fCmekfC[RC~>
+l2'*1g%t79rr35to_JFbrV?3errN)jl2(5QnbiCbs8;lnWVlbos8;Tfq>Bm^J,~>
+l1Wg)g%Ot1&-)P(oC2GJs7u?Zr;ZfmnEKZBp[S%Xq>^6Hp[S%3p\ssfp\+=IpOE~>
+l-\24g!T?<&)5[dcHFS`gsj]rfA594bN[FMeFD)gf)O;"eD]$Le_/RRf`0Rsf(mqie:7~>
+l2'*1g%t79&,u;%q"O^Snc/@ZqY9:Cqs!tQqsjU`rVufpql0MmrVufhqt^0^qg\~>
+l1Wg)g%Ot1&,Pkno^hkCmJc_Mp@RG3pZ_DIp[S%Xq>^6Hp[S%3p\ssfp\+=IpOE~>
+l-\24g!T?<&(SqTcd("YaP"kcdEfSIdco0TeFD)gf)O;"eD]$Le_/RRf`0Rsf(mqie:7~>
+l2'*1g%t79s7Q9h#5J5ume?b]rqlZjs7u3]q>9^[rr)lprqi\mrr)lppA=[`o_X.~>
+l1Wg)g%Ot1s7--d$N:#%rq-3elLY&UrqHBbs7PpUq=jFSrqZThhY6R8g%YL@s7c6\m.Z#~>
+l-\24g!T?<s31Mo$J=.bg!A@&`Qm;qrmLbms3U;`q:+rbrmq,"rm]oYn^Z=Ern.8&p=B&ko[JB~>
+l2'*1g%t79&,uV+q"+%NqtL!fs8)6Ss8MoqqYp<\qYC$Yr;QZpr;QSmr;QZpr:^$`r:Kl:~>
+l1Wg)g%Ot1&,Q4uo^D2>p[e.Ws7YgGqu6?ipAXaTpA+IQq#:*hptkc8pt>E@q#C*^p?_O(~>
+l-\24g!T?<&(T:[ccX>Tda$:mh9j9`f)F+tdJhM_dJ;;^ec+/"ec+(WfC@DEfDaG&fCmekfC[RC~>
+l2'*1g%t79&,?1urVcKjqu?TarV6Ejs8MoqqYp<\qYC$Yr;QZpr;QSmr;QZpr:^$`r:Kl:~>
+l1Wg)g%Ot1&+obiq>'X\p\agRq=O^^qu6?ipAXaTpA+IQq#:*hptkc8pt>E@q#C*^p?_O(~>
+l-\24g!T?<&'rhOeC;drdausheBcjtf)F+tdJhM_dJ;;^ec+/"ec+(WfC@DEfDaG&fCmekfC[RC~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPW+K_Ku~>
+n^@6\p<rugrm:Jgg!]]Dl-fCTiR6u?q:4HUn^PD,o[JB~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPW+K_Ku~>
+n^@6\p<rugrm:Jgg!]]Dl-fCTiR6u?q:4HUn^PD,o[JB~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPW+K_Ku~>
+n^@6\p<rugrm:Jgg!]]Dl-fCTiR6u?q:4HUn^PD,o[JB~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPW+K_Ku~>
+n^@6\p<rugrm:Jgg!]]Dl-fCTiR6u?q:4HUn^PD,o[JB~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPW+K_Ku~>
+n^@6\p<rugrm:Jgg!]]Dl-fCTiR6u?q:4HUn^PD,o[JB~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPW+K_Ku~>
+n^@6\p<rugrm:Jgg!]]Dl-fCTiR6u?q:4HUn^PD,o[JB~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPW+K_Ku~>
+n^@6\p<rugrm:Jgg!]]Dl-fCTiR6u?q:4HUn^PD,o[JB~>
+nb`.YpA=mdrqZBdg&(UAl21;Qanschnb^0#o_X.~>
+nb;kQp@nU\rq6*\g%Y=9l1b#IanPQ)*V]@'q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORRp]("O
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LX
+p\=CTJ,~>
+Ggb!fdF-FjdF-FjdF-FjdF$=gd*^4fd*g=idF-FjdF-Fjd*^1dcdC+ed*^4fd*g=idF-FjdF-Fj
+dF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF$=gd*^4fd*g=idF-FjdF-FjdF-FjdF-FjdF-Fj
+dErZTdEp:fdEp=hda?Ljda?Ljda?Ljn'^IMpXL;9e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'
+ea_/heNMO7f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'
+f@AL'f@AL'o[JB~>
+nb`.Ynb_kQiVWHIl21;Ql21#Kq>0XYl2963q>AJ6J,~>
+IeWX3q"ORXq"ORXq"ORXq"FIUp\+@Tp\4IWq"ORXq"ORXq"ORXq"FIUp\+@Tp\+@Tp\+@Tp\4IW
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"FIUp\+@Tp\4IWq"ORXq"ORXq"ORXq"ORXq"ORX
+q"FIUp\+@Ts7Zrsp\=LXp\=LXp\=LXp\44Qq=a@Ql1is+q=r2.J,~>
+J'lTicdC(dcdC(dcdC(dcd9tacHsk`cI'tccdC(dcdC(dcdC(dcd9tacHsk`cHsk`cHsk`cI'tc
+cdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcd9tacHsk`cI'tccdC(dcdC(dcdC(dcdC(dcdC(d
+cd9tacHsk`c4A=KdEg4ddEg4ddEg4ddF%d<n^I<]n^@Hd*7`Nge()pte()pte()pte()pte()ps
+daZ^pda[^54Ohg/daZ^pdaZ^pdaZ^qe()pte()psdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^p
+daZ^pdaZ^pda[m:J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat13.ps b/books/ps/quat13.ps
new file mode 100755
index 0000000..1a982fc
--- /dev/null
+++ b/books/ps/quat13.ps
@@ -0,0 +1,837 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait13.ps
+%%CreationDate: Tue Dec 26 13:32:57 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 183 128
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 113.250000 translate
+168.000000 -113.250000 scale
+% Image geometry
+224 151 8
+% Transformation matrix
+[ 224 0 0 151 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 224 string def
+/gstr 224 string def
+/bstr 224 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        44443 ASCII Bytes
+colorimage
+n,31^!;u<aq>:0fs82fn#Q"Gsq#(0_htd0>r;QQmq>^3ipZ_SNrLs+=~>
+n+ZhT!;GsWq=ag\s7ZHd#PIodoCr+KgA1I4p\sjco`+L_o',lDq!n'_pOE~>
+n_*rrrn.;*ptPi&qUkVprmh&"rmqD*g"+X(g<I5)f(mqngA]b)fDjD&eCa?Cq:YW!!SZ2sf!3_T~>
+mem+^s8;Bbq>:0fs82fn#Pe5oq"t*bkP>#Fr;ZZoqYp9jq!%\OrLs+=~>
+me?bTs7c$Xq=ag\s7ZHd#P7]`oCi%Niq`<<p]'sep&=R`oBGuEq!n'_pOE~>
+n_*oqs4RG+q:bo'q:PMormh&"rmqD(f@JF%g<me5f(mntg%sG&g&K_(f)X@kec=A!g%sG'g@<b!
+e:7~>
+mJQq[nbr:\s8)]ks83,qqu$9drqc0\qsXI^qu6HVqt^2aqg\~>
+mJ$SQnbDqRs7Q?as7Zcgp@n4Pq=X+Mp@%bTpAXaLpA+LRp9F@B~>
+mFhHjq:bYsq:>SrrRV###LV,SeCE7&bk]icfD!ttf`'Lmf(mtog@<b!e:7~>
+nb`CarVQ`oqYKa[nbWRcr;QQgr;?BdqrdnUqu?N_qt^/`qg\~>
+nb3%WrV$Bep%@kLnb*4Yp\FLSp\4=Up?22KpAagUpA+IQp9F@B~>
+n_!oprRh8)f@TiOq:G/f#L_5We^W4&eG7\kfC@PofDX;#ebRelf_O4jf!3_T~>
+nbiFarqlioq=sLXnG<Fhs82Wgr;?Bfm/6k]rqufnrqc0^q>?r`J,~>
+nb<(Wrq?Keo^hVInFd(^qY'RSp\4LWm.^MSrqHHdrq5gTq=jFQZ1ib~>
+n_*rprn.A)f%'TLq:G,e#2._]eCE1&q:>Ano\'5trn%2$rmghqq:PMrn^atpJ,~>
+nbiFarqlioq"O%Ms8;ims7ururr2ilq>0m`nbiFarqu]m"oS8pqYBrDqg\~>
+nb<(Wrq?KeoCD/>s7cKcs7HTkq>'dXo_&"Qnb<(WrqH?c"o%`ap%7n0p9F@B~>
+n_*rprn.A)e^XEIn^d`lrRV#!#2%V^f@AC$pt#8mq:Yf#rn7;)s4@M,f%/C$eG7\cf^[Ote:7~>
+nb`Xgqu$EjqY0^Jqu6Nnqu6EmrVZWk!;cKfnbiF`s82fnrr!#uqtp6cq2,!!~>
+nb3:]p@n@Vp%%Y;pAXgdpAX^cq"Oa\!;6-\nb<(Vs7ZHdrqHZkp@e1Oo\&rCpOE~>
+n_"/tf%8R+e^Dk0f)F;$f)F2#f[p)Q!7gkqn^mfks472$rn%D+f%/C$eCiEXe:7~>
+nb`Xgqu$EjqY0[Iqu6Nnqu6Eqr;$-brVcKfnb`OcqYL*drqufp"oS8pqYBrDqg\~>
+nb3:]p@n@Vp%%V:pAXgdpAX^gp[n(Nq"XUWnb31Yp%A%PrqHHf"o%`ap%7n0p9F@B~>
+n_"/tf%8R+e^Dh/f)F;$f)F2'f@8:#f\#rLn^done^`7%rn%2&"kV>Ve^W+%f!3_T~>
+mem+^rqc0^q>:cuq>:*fqt^$[q#(0lrqlKir;ZZnqXOIYr;Z]qqu-BDqt^0cqu6Qor5SVa~>
+me?bTrq5gTq=bEko_/%Rp@RtGoCr+Xq=aFZp]'sdp$qbOp](!gpAO[:pA+LZp\t!gpr<&Y~>
+n_*ons472"n^dNf&(B%Zf@SU'e'QRqg=k62e,Iu!f)F4if(mqtfDsM$e_&IKebR_of)O:?e:7~>
+mem+^rqc0^q>:9hqYg9tqYBm]r;Q]oqYC-gs82flnb`.[#QF]#r;6?eq:YZ@r;$6hrVuf8qg\~>
+me?bTrq5gTq=ap^p&4Rjp%7hIp\FX[p%87Xs7ZHbnb2eQ#Pn/ip\+:Qo\&s6q"a[`q>^60pOE~>
+n_*ons472"n^dNf!S#Zued9mVdaZn%g"=j)rn%2$rmgPiq:>l)f\"g,e^`1&f(mkleGe&!e]-*h~>
+mem+^rqc0^q>C9hrVQWks82fn!rMiirqufnrqc0^q#(-i"8r&lpY#H>r;$6irVcZ7qg\~>
+nFutXs7cNdq=j^Yq=jp^rV$9as7ZHd!qu<ZrqHHdrq6*\q=j^[!;HKf"8DN]o(i"Lp[RtQq"a[a
+q>L*/pOE~>
+n_"&se^`1!rmU\mq:>Ans4.)!s4./#rmq5&e^XTMs472"q:>Akq:,Jsrn%>)f$r.Df(%8[f(mkl
+eGn+ue]60i~>
+mem+^rqc0^q>:6hqtgNmrVcZkrVHNks82flnb`.[#P\&kr;?HfpW<=.r5nhd~>
+nFutXs7cNdq=j^Yq=am^qt:0cq"XUWrUp0as7ZHbq=aXYq=k3co_/%Rp@RqOp@7nIp@7nQprW8\~>
+o%F&ps4./!rmU\mq:>An!7gtt"P)/Wf@KoNrn%2$rmghqq:,5j#L_,Qf@SU'deVJaeFD,[eG7Y:
+e:7~>
+mem+^rqc0^q#($d#lO]#qtg-bqYU9is82flnb`.[#P.N]qYU0dq8rO0r5nhd~>
+nFutXs7cNdq=j^Yq"O[Z#l"/ip@\(Np%JCZs7ZHbq=aXYq=k3^n+-/Fp@\(Rp@7nIp@7nQprW8\~>
+o%F&ps4./!rmU\mq:>>mqpl&)g"=m+eCE+#rn%2$rmghqq:,5j#L1TCe^i=%eG7\ceFD,[eG7Y:
+e:7~>
+mem+^rqc0^p\b!erVQZmrqcZlrqufnrqc0^q>:?do_/+ZqUtcAqY0mcr;Z`;qg\~>
+nFutXs7cNdq=j^Yp\4X[rV$<crq6<brqHHdrq6*\q=j^["7GXJo_nIYp@7nAp@n=[q#C03pOE~>
+o%F&ps4./!rmU\mq:>;lrRUr!!7q/"s472$s472"q:>Akq:,SmcdC8@ebRedeFD,ce+_Ajec44B
+e:7~>
+mem+^rqc0^q>:9lr;HKpr;HKgqtpBjs82flnb`.[s7lWirVG4Eq>0g^s8;lpanpS~>
+nFutXs7cNdq=j^Yq=apbp\jdfp\=FSqtC$`s7ZHbq=aXYq=t!]s7H9_q=a@Ql1XiFs7lThanL;~>
+o%F&ps4./!rmU\mq:>An!SH$&ecXOVe^aQJrn%2$rmghqq:,5js3q"trRL_pn^R*[q:#&es4.,"
+ajbh~>
+mem+^rqcTj!rVrnq"smb$NC#$qYL*frqQ<cq>C9irqc0^q>:?orVZQkqWRedqYU-dqYU-dqYU-d
+qYU0cqY'gdr;QZ:qg\~>
+nFutXs7cNdrqH'Yq=b6lq"FCRpA"ITo_&%Ss7ZHbq=aXYq=k'fq"OL\p%e=MpC?okp@n:Tp@n:T
+p@n:Sp%nCUp]($fq8rA]~>
+n_"&se^`1!rmUkro[`ii$JF(_e^`7'g!eI$q:GYtrmghqq:,5j"52>Yf)=.pf'q2[ec=7se+V;k
+ec+.Ae:7~>
+nba4%o)JUas763bs8Dipq>^3hnac_PoDeCWqu?Tpr;QTnr4`(.r"Au-rqlNfq"jd]p\O[]q"jd^
+qYC'"qg\~>
+nb3ptn,E+UqsF:OqY0XUo(VYRm-XiAmf2\JpA=Uaq#L3hp]($1p]'s^p](!uq>0s_q=j[Yq"FIV
+q"ORVp\FO!pOE~>
+nC\Z(h:L64c.g\#f@Sd.gskE1cf<F"iQ]s)qpbYs!7h(us4,6@s47(srmLhq!7^ttrRCkrrRUu#
+!7pttq:<C3J,~>
+nba4&p&=gaoAf]IiW&rQs82ihs8;`nqtp-`qZQlqr;6Bjr4W",quQ]ko(`%Y\bgm~>
+nb3puo)&1Smb[X:g\pm7s7--Ws7c3_p@e(NpA=Req=saZp\ss0p]'s]p\spgq=jUXp%S:U_=rH~>
+n_"f6dG!1%cG%if]AVJpk1JhEj4W&>f[eL%f)*r"f%&=#eGe"?eGn+seG[hqdfInGq:,AorRgqt
+q:<C3J,~>
+nb`prq"sp_i6h8bs7--FjS\<Brri#ns7QEbqu-H+qu6Emq>0[Wq>@f#J,~>
+nb3ptp%\:QgW]3Ls6'.*g@F;!rVZ0[qXFOYp@n=[prW:1p@n=\pAam\q"=CWp;-KR~>
+nC\Z.f@JE_XO5,LbhTeGfu`%-hU:-5d,<L+pXK/lajg@Aq:,GmrR(Snq:>Msq:GGn_:3u~>
+nba4"r;-<`d`M([pt'(a;j>S\_Xda$s8N&oqu?Kmqu-H+qu?L"q=sa_qYBp]p\+=Wp]10dr42]T~>
+nFmdqp\=7&`9mEkc!+1>MT=/YmJlbRq>U*]qtL-a!;HHeaS5`.q"Og^$MF&`q>0p^q"OLUrV6'[
+q=_Z!J,~>
+n_"f2f[e[$Xea4te?V>%0QF5'T[2ZJgtCQ8f)*tsdf@nre]?8?f(mf)da?Ihcd11ne^W1#eC=HJ
+rRgqtq:<C3J,~>
+nba3trql]dd)t>#I8H!7[!GD_P4/GJs7l<`qZ?QgqYpE*qu?L"q=sabrr)`ip\+:UqYC'"qg\~>
+nb3pnqtU'VbJi8bG".1gWc1C=NU$Q;r:BIPpA=Rco_%qWpq6A$p'UKbo_eU_q"F@Oo'uJMp;-KR~>
+n_"f/g=P'*Xf&nA=tOQUO]O&*E6R@phUBm'f)*qudF-MCe\'E3dgFONdG*C.f@A?udJ;AhfD4"6
+e:7~>
+nba3urVHQdg<@!==_Rj7rom]e`;fZ3s7$'aqZ?NeqYpE)qu-BkrrrAuq=jRSq>0pb\bgm~>
+nb3poqY0sWe]4q';I9Cqo\W\C^]3s$qs4.QpA=RcoCVbUpq-;#pAadjrVZNep@RqGnb;kQ_=rH~>
+n_"f0g"+s+\#GT\3(;uagVu?0U>shYh94R(f)*qud*^>Ae[s?2e,Rr'gtUT8f@/-oq:>Anq:<C3
+J,~>
+nGF(!pAapQb'HisnE0cNrbee:s76*bq>^9f#PRogr;HQjqRue)r;Z^!r;6<bp\4L[q>@f#J,~>
+nb3psq"+IUji)=4@--/?p[i*oqu?'Xp@SCYpA=Rho(2SMq=s^X_tX'%rV-?gs7lWes7GjUq=_Z!
+J,~>
+n_"f4e^E7'aJ`8p8^GB8hUtPXhW)r8f[Sm2f)*r%cd:.kf%&:!_pnS7s4@;(rn@Y1f[eU'f\$)P
+q:GGn_:3u~>
+nba4'q=FX`ouBd*kkP2Fs8Tq0qsXRbpAaa[qZlfgqY^<iqte&(s82rsrr2Haq>@f#J,~>
+nb3q#p@/%Sn%hLei9gO(q=hJip?MPPnc/%NpA=RhnalJLq=s^X_tX*&s7ZTiq>'m\nFubP_=rH~>
+o%=r5h:'^,g!uuR1s+A5b2D'HeCi(%h:(<-f%0`J#L:]Fe^i:#e&0]5f)OD)g=tEZg&BY$f(mqn
+f"ojd~>
+nb`sls7ZHfr..UlpAP$jpAaU[o).,:rqZ]nr;>dU"TS;trpg!f#6!ueqZ$TeiV`]Os82Nfnb`.[
+q>:0hs82flJ,~>
+nb3Uds7?-[p3T>Rmdg&Cm/Q;Cq"O[\fD#:<!r)KblhCDP%fZ+sq<\%TqY04Ho_SRTqtL-cnb;kS
+rq?BdpA"1Pq=sd[rqQNfrq:j~>
+o%=Z-dbN:+fA'jk@G0MpgXG6-g=lMYrR^qsf@9fK!n>cNn^RTerRCku&_Q$mh;$?6hr*>9gY1KB
+dFm4OfDjCkfD3tre,Rqkea_/bebR_oec4.udsq~>
+nb`suqssa`l=!&bq=spgo(;t\o)-r5!;bsW&,6+squ?]eo_eC^qu?$]s5EnTqZ$Hdr:0[[r;$6h
+r;ZZnqLA~>
+nb3Uoq!\+RjBFaGna5oHkj&3Aq"O[\de<b8lhCGQ&+]VepAb-Yme6,Lp%mhFs82Qjq!n+Sq#:!e
+p\+CPp\FU[p\ssfp\sl:~>
+o%=Z-gXXU)fuul6QJUBQkg.T9g=lMYrR^qsdaS9Gn^RTerRCku&_,Xcg#D)@eDAg?gYg<3jP&;c
+fDjCkfD3tre,Rqkea_/bebR_oec4.udsq~>
+nb`sunb)q^hc="(mJlnUs8Dclo)./;#5nGur;6<bkkbkiq=s^JKmdiW@!@k/s6AS@rqcZlpAFIX
+q>C'crqufnrq_-~>
+nb3UnmdgDSfhYV`jn7s-p[dtLq"O[\f_5UFq>'g[p%7SErq6j%oCDG2Is5R?>&fSlq;qMJs7l-Y
+q=ss_s7c6^nb;kSq=jm`s7cNdJ,~>
+o%=Z-g<7n%i5%NCYL;I_f\Y92g=lMYrR^qsf[L,Uf%/C$da@U7rR1_qs4.e7j4W):b%G'Z;aac3
+f&+R&g&9P&ea_8eec+%teFqG_eG7YjeGe"ueGdpI~>
+nb`stoDe[W`B[Ago)JaahrXP0o)./;#5nK"rVQB`l2)"cs82]nn6B&Im/*>WFoVL#r;QQmqtBsX
+qt^0cqu6Nnqu6GB~>
+nb3UlnGN%H^H#!Jl2(DGe_BNcq"O[\f_5UFqYL$^o^_>Bs7Quorq5s\l;gd1k4P'?DuBV3p]($Y
+p\FU`pAam\q!n+Sq"a[`q#C*fp4*~>
+o%=Z-fZi1'dA\KSdb*dKf"/ZEg=lMYrR^qsf[L,Uf@SU'dEh@4rR1_q'\:peiS3,HdQT\(d,0C<
+=5r;pg"HAVs4-Ykq:5Jns4$bmn^RBbq:,Dos4%%sJ,~>
+nb`sno`+^`g0.2?s6opJJscT:o)./;#5nK"rVQB`kkbkip@\IaDLqfep@:p_kkb,Rl2:PWs82Nf
+nb`.[q>:0hs82flJ,~>
+nb3Ufnc/7Se5Jg"roEY(G`Mdsq"O[\f_5UFqYL$^o^_>Brq6j!nF-ANBRBIPmcm5?iUd'Bm.^>N
+rq?BdpA"1Pq=sd[rqQNfrq:j~>
+o%=Z-da$_$h7c04g$R5E`*IHCg=lMYrR^qsf[L,Uf@SU'dEh@4rR1_q("V$jhU^<BiDO7IleBrD
+4ic70g"G!Uea_8eec+%teFqG_eG7YjeGe"ueGdpI~>
+nb`spq#1$gqi+@smJlj?QN.!`o)./;#5nGur;6<bl2)"js82QihI(d+pAa,h<r`3qrTX7ZqZ$Hd
+r:0[[r;$6hr;ZZnqLA~>
+nFmIdqXsm\L.B8ErT]&pq"XRXp\Xa<pBLEgq=s^Wo]u8OpAaptp$qh0>'KH's4V$Zq"ap_m.^>N
+rq?BdpA"1Pq=sd[rqQNfrq:j~>
+o%=Z-eC*%&ki$VB\(0lsDK4Leg=lMYrR^qsf[L,Uf%/C$da@U7rR1_qs4A"?hqcuF_F.hfg[)sW
+3T8lLg"G!Uea_8eec+%teFqG_eG7YjeGe"ueGdpI~>
+nbiFe%f5hqnZlY.c.%lRiV*9Lo)-r5!;bsW!VcEhrsHSKJ*G[nM,L)Aqt^3Tr;QQmqtBsXqt^0c
+qu6Nnqu6GB~>
+nb<(`%eoJdlDn,c`5m\'fBi8*q"O[\de<b8lhCGQ&+]>jrV=',Gi6uMJP)C!o`"RNp\FU`pAam\
+q!n+Sq"a[`q#C*fp4*~>
+o%=Q*gY(0,hUe5l7('OHL:kq5gAT_'fDF+He,[tfe/Qi`daHXpf\"a-jlPO!6tO][Qu4d8f@ns3
+g"62Qn^mTermUnsp=8]_q:5;jrmh%urmQA~>
+nb`ggrVHHjs8U'%B;4,Prr;NdnG<Xjqtg3dqtg3dqtg3dp&"ab!rMonnG<4^qth$+qZ$?US5k#s
+>?>.?s8Vilr;G^SrqcZlpAFIXq>C'crqufnrq_-~>
+nb3RbqtKp\r;"'a?CK=,s7Q0\p\ag<p\sjfp\=OQpB(-ap\jdsqXj[UjH`ScKMtZIYQ+IgpAXgb
+q!n+Sq#:!ep\+CPp\FU[p\ssfp\sl:~>
+o%=Z-cdgV#h<*k$Gtj(-e)oB>g=lJXrR^ttf@9fK!n>cNn^RTes4%)"("h3tg>go4J2q.[4utus
+kht%Gg"4jSea_8eec+%teFqG_eG7YjeGe"ueGdpI~>
+kkl4rq"Xjgs8Dids8W)qrpp'gs82]nrqQ$\&,c8#q"jg`qYKs^p\O[[p@8"bq>0sbqtg0bq>13h
+q"sn#rquffs)hoJn,N8aB\!.Wqtg3fqXOL_rVufequ?TnrTX4LqLA~>
+nFlqXrV-<b(B*gpp]('ap?qhXq=aXOq>C-`p\XgZnb<(Zs7curq=sg\p\+@Uq"=7Kp':6_p%J+P
+p%8(R!VcBgp\sk!q"FUPr,#a/kPt0KA'k8Hp@n:Yp[S%Xq>^6]p]($fq<@YDp4*~>
+n_##9e^rF+g>(K?jk/5Ak24qHdGEs>f\=a,gtUE0f[nO@e-OXUe^W+!e^i7Le,Rnuda7O8#Lq;S
+f%/C%eFhB.f\+s4hV@/Aj]4k(d,s%:7^M.)f[eXOeFD)gf)O:leGn(uf'1]Sd=;~>
+l22@nr2b/)s7-$es8;T^s8Vrns8Vuns8Mibqu?Nhq#1'hqZ6Nfnb`=as8N#rqYU<hrqQHg&-)+k
+s5mUNrr;ZfJl\Z?qu-Biq!n:]rVufequ?TnrTX4LqLA~>
+l1Z"dpSW)ir9O(UqY0OJqZ$6_qYKp[qtg!Tp\O[`qZ$Enq=sLRrqQNhrqQ?`r:g0`&,GJYs5$b6
+p]'[QHVpC)pAOaQq#:*hq"+7[q#:*Rp[Rs-~>
+n_*fks4J4?g58qMimHQ?h:gB+h;Qu=gtL?/f[nR9eG[tuf)aFOn^d]ls4RD(q:>Mss4RG,%c>Ua
+kJoc.h<*/:?8I,Zrmptrn^[Wis4-_js4.,"l.#7NJ,~>
+kkl4nTk/-#s8;Qis8Digq>^<irVQKkrqu?a#Q"8kq"aa\q"jabq!n7Wr;-<jqYp9gq@EW"q#@No
+derM0s,9UIq#C<hrV5p\rr)lpoDARcrr)*YnbRb~>
+kk>hcS7$$bqY'CSrV6*Vo`+UZq"FFWq=++_pA"FYq=sa]p]($YpA+IZpAF[`p(.2mo)GUYb4Xoh
+pk;21oDed`mJ-\Vs7l3[s7lThl1a`AJ,~>
+n_*fks4J4Bfmc@a_;O,!i8EACeCNU1g=Y!-g"G!Ie-=COeCE+!eG@YoeFD,cfD4"rf_sJ8k182H
+O>4)rbh1Z`."]q,f%0`Jn^[Wis4-_js4.,"l.#7NJ,~>
+l22@tm/3\dCutKirqcZpp@&%Wqu$?gr;HTbq[<8rq"ad_q=s^Vp%JCX!VZ<YqZ-QkqZ-Qjqu?Nl
+q#1%"q"jsMK5CP_s8&BUBB]<brVHKfnbiCbs8;Kcs8;lpl21#IJ,~>
+l1Z"okP(WOB&E4Qq"=Rbn`p/Hp@n:Sp\=ORpBpWhq>0s`q"OFRpAX^cpA"1O!;HBa!;H?`r:g0`
+&+]AehKrf,o(qsG4C[@GmJZeHq#:*hq"+7[q#:*Rp[Rs-~>
+n_*fks4J4Lb1_J39Z>]>hUp`HeBHt(f[n^*f@\aGe-a[Se^i=%eC2dldf.Vpda[g<!8%,!!8%%t
+rRh)%&_Pgn`+2U"f\kA/+%4*#c.:JCeFD)gf)O:leGn(uf'1]Sd=;~>
+l22@ns8)bl?X_Ocs75RWs7u]jqY^9fq>1'\qZ?Wkq>L0iq$6]jqY9dXq>Bd[s83&tqYL*er;-<j
+qYp9gq@EW)qRBp;VOFHC:h-d1qZ$NjrV5p\rr)lpoDARcrr)*YnbRb~>
+l1Z"ds7Q>_=^08NrTr_Frq-'Zp%S4Ro_&"LpAt'brVHQi#Pe,kq"FFWr:0L\pBC9`p%J.SqY'd[
+s7R!"q"1jp<1];IL.PXOs7QBip[.bTq>^6]p]($fq<@YDp4*~>
+n_*fks4J4?jOiCE5=)a;j3l30iRco:f@ej-eCE4AeGn(tf)O8*eCE."daH[un^d`l"kM5Sf%8OL
+f)+,"fb*&pg6b)cLO"Yi/3f0Te_\m.qpb/drmq,"o@3fjrmp>`n^2j~>
+l22=is8MQgU1APanGi.Ns8Vijqu-Kho_.hP&Gl>$q=sa\qYKs^qY0UQpA4=V#P[rbo^qhMp\Ode
+qYp9gq@E8fs51`:f]Ur;j8\oMo_nabrV5p\rr)lpoDARcrr)*YnbRb~>
+l1Z%aqt]UYS6g9IlMp;=r;H3[pA"FTn+$,Fo(N[jqYBp]q>0s^q>0jWoCi%Np':0YnF,i8nacPM
+qY1$`&+Jl[ft>5Li6om*s7>mOq#0sSq#:*hq"+7[q#:*Rp[Rs-~>
+n_*fks4J7<hV?H>Jj`b6d,id'hr*&;f\5'/cdC=po$m]j%+WkWe^i=#e^i3qcdM=6#L_#Hcd0tc
+deVJkf`0V:e'6dbU8b]C[^!U-e^i(!f%0`Jn^[Wis4-_js4.,"l.#7NJ,~>
+l22@ms7QEhs20"oY4DVaq#C-grVlfknacJGq[iW%q"F@PpA"LXq"XLMmdg)AqZllgo^_SFp%S=[
+s8)`ir;$Zhrq?-eme?_[rr_fhs7lQhrV5p\rr)lpoDARcrr)*YnbRb~>
+l1Z"cqXFCTs1NA]W9j?Io)&%Sq"aaWm-XE8p(-onq"F@PpA"LXq"XLMmdfl@#P.BQmHsB3o(r([
+p\ssdpCHraq=4"NkOA6EqY]^Sr:Bm]mJ-\Vs7l3[s7lThl1a`AJ,~>
+n_*fks4It7h:(68k+bsMOOE%8f\Y37rn@P*cHju0edpEaeC)dpf%AL'f$_ged+%U:#L^uFc-=S]
+de22hfFZEbeCWU&f%]0>hp0p1e(3+IeFD)gf)O:leGn(uf'1]Sd=;~>
+l22@toDejas8U;AC9I"'rr;rsrr<#mmdKl?q[iW$p@IhEoCi"Vr;??\nFZPHqZm0"qtg0drVu`k
+s8)`irV@&to^1Vun_D1/s7c!^s763gqYg3Zr;QZpr:Bgcr;QZZqsjN5~>
+l1Z"omf34Ss8U)5A>n_dq#'paq>0sYl0@g0p(6unp@IhEoCi"Vr;??\nFZPHp':Hhp@\+Pq"jj\
+s7cNfrV$iln*&Q_lIE\hqXE_KqX+=]p[.bTq>^6]p]($fq<@YDp4*~>
+n_*fks4ItCdGs-8k2ra&9TIEShW!;HrnIV*bKSH*edpB^dEg.deCW@,g=FWrdb"$?#MRh]e^`7'
+g@a%qfFcT\bJ1sA];DRae'$e,c/@1(qpb/drmq,"o@3fjrmp>`n^2j~>
+l2:AU&*d:u`W,l-s7uHerV?$WrposdqZ$<ipAajeq#:-iq>U0Kqu?Nlq#1%"s7c*Ro'GLgEW>t4
+s8DiirVHKfhY[?Nrr)*YnbRb~>
+l1b/OrV$i`;c(7)p?hkOoChtOmI9rBpAOacpAajeq#:-iq>U0KpAamdq#0ptr:97@lfI#KCA@Jm
+qtTmVrV-9chY7'FrqYgQnb.J~>
+n_*fks4RA*rS8".4#j.sgsb?9f%Jg/cdLS;f)O;#eGn&!f)F>%fA>*YeG[tufFcuid*BtZ_d#sl
+f[\g3f$i4$f[TrOrmp>`n^2j~>
+l2:AU&+nRkB>+$=l2UbVn+H_\r:9abqZ$<ipAajeq#:-iq>U0Kqu?Nlq#1%"s8N#pqtg;`DZ'A*
+r;-?hrVHKfhY[?Nrr)*YnbRb~>
+l1b/OrV$ije7E'tnGhPEq=3b>rr;``pAOacpAajeq#:-iq>U0KpAamdq#0prr;$0^o^hgDBD(lc
+p\"FXrV57Ds7lThl1a`AJ,~>
+n_*fks4RA*rS8%9]M1tif]L<5gsjTsi8NAAn^d`js4%)!!7q/%s4?,Ys4%"us4@b:gYCK7f@tXF
+g"+X*rn%2$f[TrOrmp>`n^2j~>
+l2:AU&-)@RAR3:Bs7Q<hqYL6lr:9abq>g<hp]($gqYg6ipu;2NqYp9gq@EK%s8Dims/p5;rV-0`
+qu6QjrV57Hs8;lpl21#IJ,~>
+l1b/OrV$j#nBYHC^ZYUbpA+CSqu$3ZpAXgbpAameq>L*gpYtoHp\ssdpCHumr:opWs/0K&p@.bH
+pA+[]rV57Ds7lThl1a`AJ,~>
+n_*fks4RA*rS8"Fg:9d>VpFGSgt^Q7hV[#Tf_sG%f`0\(g&K^`f)*tsee-QghV-W8jGQXag!eR'
+f%JX*f[TrOrmp>`n^2j~>
+iVX5]s7t5p<N,fnqu-Qnp\4UVqZ?Wkq#0peq"X[Equ?Nlq#1%"p\XscpA"Z]D#aP5r:g$crVHKf
+hY[?Nrr)*YnbRb~>
+jnJ`I&+]Sgd!/?\p%S.SqtTaQp[\"Zp\=L]p&Oj^pu;#Ip\ssdpCHigq=O.GpmPdhqXsURo_ACZ
+rV57Ds7lThl1a`AJ,~>
+n_*fks4RA)r7heCh7?uQMV[+CgYU]8e_9QG!SQ-(f)XIug#:NZeGn)3eC`O,e(*6&8_i.Sg!nO(
+f%/L's4.,"l.#7NJ,~>
+iV``U%J'P]BMY;us8Mcerr;fbqZcooq=s^Yq"OUDqu?Nlq#1%"qu-Qkqu$;QB)DW,rqQ<drVHKf
+hY[?Nrr)*YnbRb~>
+jnJ`I&,ZCns57?XRe?OPnacMPo^_\[p\=OXp@e7Tpu;#Ip\ssdpCHumqXsLRo86oIq=aXUo_/7X
+rV57Ds7lThl1a`AJ,~>
+n_*fks4RA)rS.qFl.5.B9JM.Ri83)9gtgTPf`0V,f[na-pY"NV!S#QreGe#.f\G*1f[an,f\G07
+e^XTLf[TrOrmp>`n^2j~>
+l2:AS&-)"qrVtJa;QT*^s7QElp[\1_qYU*eq#C0iq#1$gqVqDPqYp9gq@EK$rVQWpq1iDOqYC-e
+qYU6frV57Hs8;lpl21#IJ,~>
+l1b/MrUg^$k4n]Jd:>qJirB#IqYp'Vp&b!`q#0seq#C*eq#C0LpAamdq#0ptp@n@Uq>0Z4>42"Q
+q=XFSrV-9chY7'FrqYgQnb.J~>
+n_*fkqq:r&&*hO$iT7[F1lTN<jO;rDea_;lg&9S'g&K_'g&Kdcf)O5"df%\ped^6bf\G<5@m8>l
+e_A^+rmo`Os4.,"l.#7NJ,~>
+l2:AS%e]eks7l6JD-`q&s8;ZgnbWUgr;$0`q"aa^rqQNhrqbXOs8)`irV@'"qu$9gs7V(\qYKsb
+qu$?iqYg3Gqu?TnrTX4LqLA~>
+l1b/MrUgZhp[%nMmb_YYS`ThDo(DMGrqQNfs7cTirqHHfrqYRIs7cNfrV$iop@n4Qq!WT@oCMJH
+p@n:Zp\jmDp]($fq<@YDp4*~>
+n_*fkqq:r&%b]glkhOh2:HsQVj4r;>nC\'$g=k65g=k<\g&Ke+gAosef)O8!df%Z*e(34'g"Xq^
+8CuGAg=Y$Vf%ALPec+.aeFCq:~>
+l2:AS&,6,(oD8LVeQ-+Bh#I9Es7,ssr;$6bqYC$bqY9p_qtg6giVNZPq"jgsrr;fkrUkeis8Vlm
+qu$?hq?$HgqVM,Lr;QZZqsjN5~>
+l1b)Ks7Homq>]jSs6@p,>E.52p$_bKp(?ukq"XUXpA"CXp@n:Up\FU[iV!<Hq"sdppA+UXo_.^#
+FT;.+q"FRY!;P@Ds7lThl1a`AJ,~>
+n_*fkq:Yf&&(f_&e_KB:[l?`t^>n&"i;M@*f`'P1gY(?8g=b05g=uV[s4[M-!8?D_q:#u)g"Y*0
+g!X81j4r/<f%8F&f@9iNrmp>`n^2j~>
+l2:ARq>:coN_+uss8Digqu$HnrVQWjr"&Z"qYC!`qYC'dr;6Ehr;?Qms8;Tfnb`FbqYU.#qY^0g
+r;-DCI/j0<r;6Hkr;$KjqYIc"rqufnrq_-~>
+l1b#HqY(Wrm"e#ZmJlnQnFlVPr:p$bq"Xj_rq6lqp@\.Pp@\.Rq"ORXq"OO^q#C*^p@7kYp@n:Y
+pCHumo_J7Spj.,`q!e%Oq>'p]s7NqsrqQNfrq:j~>
+l.Psc"5)5YfDaJ'g)8\qE%>\TlJpdQg"G-8f[SX*e^rL.gtpi=qUbPrrn.8&p=Accrmq,!rmDM.
+e^W@,f\U"@jkJ5:f%/@"dF$FlrmeR/rmh%urmQA~>
+l2:ARq>:d'idO[ks76-eqZ$K_p]('br;$3br;QZpr:^$Xr;$4"qY^0gr;-ABD#F2'q=aUYqRQM&
+r;ZZnqLA~>
+l1b#H!;HKfrV$p$giuDRr9O(Np%nFKoDJ:Vq#:$epA+CWp\ssfp\+=Np\smapC?olo_J7SpNgHF
+p$hVEo_eF]o`4]sp\ssfp\sl:~>
+l.Ppb!S,g$ec48$g)/ee@P`Mug#LuBh:]uug!J3uf@em5hVQo]fD4,!f`0Rsf(%AlfE0XReGdl*
+dF6Uug=Y:l:>FUPf$F6@s4%2&e^h=]rmh%urmQA~>
+l2:ARq>:cns6YJBD!V-$nG3+Yr;ZKdr;$3br;QZpr:^$Xr;$4#qY^0gr;-AAA,6-$r:g$cq>.Z!
+rqufnrq_-~>
+l1b#H!;HKfrV$ois6"i/A`WjdlLb#Fq#Bp[q#:$epA+CWp\ssfp\+=Np\smapCHumo_J7SpN^'9
+q"FIRp%eR[rUg0a](c4!s7cNdJ,~>
+l.Ppb!S,g$ec48$g(_rud:baBdHfc<fA=s+gs=O$f@emWg]6"'fD4,!f`0Rsf(%AlfE0XReGdl,
+dF6Uug=Y:k7G6PMg!J0srR(Yq!nYuR]%$`0s4%%sJ,~>
+l2:ASq>:d'o)J3*@r:!#q=XXbrr)lmr;$6cr;QZpr:^$Xr:p.!rV?Hjq>GeSq>L3jqYU5rqu6Nn
+qu6GB~>
+l1b#I!;HKfrV$p&m/?3j>\;O_oC)DMq=sp`q"sg]pA+I^q#C*^p@7nVpA=Roq=OLWo_3W<oCqtT
+p@nC]p\a`rp\ssfp\sl:~>
+l.Ppc!S5m%ec48$g(`Sqjj[[0;nqDJe_/d3f\4m+f@S^TgA0Csg&BY(fCmecfDjJ)f$r4Jdf7f*
+g"P'8@7T#,f\Fs*eG[hqecOLTf"0B1ec4.udsq~>
+l2:ASq"tX%l1k:!9leeas6f[XoDeXaq>:!crr)lppA=CXq"kR"qYpEgr-iDUp\"L]q=h/krqufn
+rq_-~>
+l1b#I!VcBdpCHutj7<4d7r6NOs60(Hmf3:]r:g$\q=jm`s7c6\nb<%VqtCTrp%e@Sp3:-=naQ>I
+p%/.Vr:[_rrqQNfrq:j~>
+l.Ppc!nPuRrR_)'&)?9ig?M]n<k7M[d+6dni;V:,fDaJ!f_O5"f`0Rsf(%AlfE0XReG[f*eCE7+
+fA9n/f[nR*e'cP?df7l"f[eWbeGe"ueGdpI~>
+g&(jBrr3B)jCD;.fDkUEs7H0Pr;QZpr:^$Xr;$4#r;QQmr;$8>EW#V)rr)cjq>@f#rqufnrq_-~>
+i:d6HqtCZis8)ZfhHj#jd/WY2qsX4Pr:oaTrqQNfp@e%Nrq?9a&,?"oqY0XUG\d$DnG2nTp&4[a
+pAjoup\ssfp\sl:~>
+in=@`!7h&"'%u!gk2PIZa@J?j^$OM1hU0m*r71i!n_*oos4?tqn^mfn!nPlNrmD>+e^`C-fA9n6
+gt:'0f%&.Ge,S#$g"4fdeGe"ueGdpI~>
+g&)3Wq>L'cqs/>gJ'e2p!W)QTr;QZpr:^$Xr;$4#r;QQmr;$5<DuTb4s8Drrq>@f#rqufnrq_-~>
+i:d6HqtC^&o_7nLp#U'NGffj_qt9OSp\XaUp\ssfp\+=Np\smapCI&qp%nFTolk-Fq"=O[qYL0c
+rV$<c](c4!s7cNdJ,~>
+in=@`!7h&"s4J"EfA5'6h9B%JA[^^aiRlZ5fDa;&e(*"#o%F#ps4?tqn^mfn!nPlNrmD>+e^`C-
+fA0e2hVQl?f%8INe,S#$g"4fdeGe"ueGdpI~>
+g&)B[mf3=Ws8V7s7Z@$?nGWCOr;QZpr:^$Xr;$4#r;QQmr:p/;AGQ6$rV-0eq>@f#rqufnrq_-~>
+i:d6HqtCWsl2(GGr;,A^5DAP&lM(>Xp\agVp\ssfp\+=Np\smapCI&qp%nFSolja6q"=FRpA+[^
+rV$<c](c4!s7cNdJ,~>
+iRn7`ec","fbiMgi9&GHi5neIEnf^(h;d5Bf@AF#e(*(@g&BY(fCmecfDjJ)f$r4KdLXgWe_8a.
+h-WY)hUgK.e("?Fs47>*f@IO_rmh%urmQA~>
+q>C'eiVX5bIntU6pAad`p&>!ds8Vf^r;ZZoqZ$Eor;6Bjq>pKkq#0a\&,lM(rquWmJpm4grVHQl
+q!n:Xqu6Hlqp,-8qLA~>
+q=j^[iqNKH%X:Ni^[V9kq!e+Yo_\[ZnFutVs7QEc!r)E^rq-<cp\=OWp\adsq>0d[p\"?0GO5)!
+p&"OVrV6<bqY9m\rq?BdcM75/J,~>
+q:YStn_*fkrRq,&&`2P[2.ii?kg\A8g"Xp,gs=UCfa69]f%&=%f%8L(rm_&#fD+"ofDjM*f@AFN
+dgssYe_/[/iFH<Dh:gK5e^+3Cs47>*f@TlLq:,Dms4#?Eq9si~>
+q>C'eiVWoVmtF)Bg\_!M"oS#`rr;`^r;ZZoqZ$Hhr;ZZirUKdrrVlZmr;$;@L%bNDq>U?inbi4[
+rqcZlcM[M7J,~>
+q=j^[iqF#Xo]U`cA(C8Jr;-0VmJ?hRnFutVs7QEcqY1$`q=s[Xr:gfuqXs[Yo_3W\nG)bMqYBma
+q#'m_q"a[`pAam4q"aW6~>
+q:YStn_*fkqq2\;g"P6<eS?R-^Ye#0h:^-!fA"[(o%=6!f%/C%f%0]Ls47"uq:GZ"!nYuQrmMD-
+e^`@,fAC"Lf&#*2f@JCKe,S#$g"4jPebR_oe,RqCebR[E~>
+q>C'eiVX5crT/N8A\[g1s8Vrmq>1-[r;HNlr;Z]urr)`jq>(!Yr!r]%s8;ZgI#Rq$qtU-hrpfp^
+qu?Nkqp539qLA~>
+q=j^[iV*lXpYU6t?b,OnqYKmYp%JCRp\jgbp](!kq=s[Vo_J:Up\X^qq=XUYoCR3\o_A.Oq>0sd
+q#'m_q"a[apAOa3q"aW6~>
+q:YStn_*Te'\V*kg>Lr3@min`eCid9f@JC!gXl#Ls4@5#rn%2&"PMGYe^XEIq:GZ"!nYuQrR28+
+e_8a.gg4mPhUpB0f@BiKs47>*f@TlLq:,GnrRB0Dq9si~>
+dJOONnb3!L9NJ^us8;coqt0pYquQcorVHp!rVQNkrr)]fp$)A_qu-Elr:fu3NqrYOqYpKar5&:+
+qLA~>
+dJ"1ClgXq:78U>\qY'X_p@&%OpAt'`rUpQlq"FIWq=sXRnF$&Kp^HompA4OSnoKWYp\4@[qYg3e
+p\O[$p\FN5~>
+iS!eRs4In2f]mf=3h>$bgtCZ;cen9G!SH$&ed9s\f%8R-f[\Esn^mfo!nYuQrmM8'eCN@-e_45H
+g"k?\f)XA"e,S#$g"4jPe\Tc2dsq~>
+dJOOPr;Z<ePZD#:pAOU\s7uH[r;Z^)r;6BhrVcQgr;?Hfp@RVI&,Z>&s8;WdH&VInrVZZmrUKg%
+qt^)=~>
+ebB(<&GPnlqWn0A:K5O,p[._Qo^hVIs7d&tp@e7Uq"47Rp\+7Ln*]rJp^d,ppA4OSnoKQTo_A1W
+q"am`r:g'__>!d!J,~>
+h:_VUrm_S3g"bN7l$,<V\D#olg>:E2n_*rp%G01^f@\a*e^rF(eBuV4fDjM*f@AFNdgsmVf%Sj.
+g08IGg=k63e^XQHs47>*f@TlL_:8;0J,~>
+q>C'ciVX5_s6fUXs-cDg_>jQ.r;ZQ^r;Z`or;Z^#q>1!cqYBmZq>9[Z$2s`#r:p,9OS8PMrW)ib
+r;$6ir;HN5qLA~>
+q=j^YjnJcL&GPktl1"BDP<WBbqtfdUqXa7Os7lQes7cikp%J+Po^_PJp@e7Xp^R&lqY0URG)Ge]
+q>'m]r:p3aqY9m\s7lQea7b#~>
+q:YSrmFh<ermh&#%ckjbh<'5=9;h"7e_8j0n_*rprR_)%#Lq;Tf%&9udJ;AhfDjM*f@AFMdgagW
+g=k-5??4WNgY:?0r6t\t!nl2WqUPDks4.(ta4#P~>
+q>C'ciVX5dmf37as6l7CHH5g[q>C6^r!36"rVZTlrVl?anb`mqrqcWlq>Gf3r;6Hkr;#j[q>:0h
+s80h4J,~>
+q=j^Yl1b#K&,kbmp\4OJO$@^$o(_hNq=41aq=saZp\=OZnb2\Nr:gWpqXs[Yo_3Wqp@\F[!;69b
+r:g'_q=jm`s7aP,J,~>
+q:YSrmFhHiq:-#3bN.L:jOJZ1@'/5Bg"P6Ng&K_)fDjJ'g%!YhfDjM*f@AFNdgjmXe_/[.hdLof
+gY1B3deqSof)jXWfD=%neGe"ueAfsf~>
+q>C'ciVX5cs7uTgs8Dte<+F,Os7Z9Yr!EB$rVZTlrVlfprqlirrr;fkq"t-hqtq!'rqcWlqYu/B
+s8DonqYC*[r;$6hr;ZZ6qLA~>
+q=j^Yl1b#K&,H(op[e4TqNO]Z`W,f(o^VY^q=saZp\=OZq=ss`!r2Tfq=aUX!VlEep^d2sp%e@T
+q0\b2q"XRUp%eO\rqH6`q=jm`s7aP,J,~>
+q:YSrmFhHiq:-#/gt(34iSisN3_?O=imu`[g%s>"fb)rkgXt63g">$3gXt32g">'5q:>Ans4IJ*
+e^aZJ'\([`g"P*;A;0$tg=Xs(eCE$se^aZNq:5;jrmh%uf$jTF!RoHjdsq~>
+q>Bs`s8;lpiVX5^T1rRtp&G!hqY9seqt^*Qr;$6cquQ]jqtgp%qtpBhrVUGppAFm]q#:9gr;$6`
+r;ZZ6qLA~>
+q=jUVs7cNfjS/ZI&+c2Z<j(ogp\=FQpA4OVpAXjdp]'sWpAjp`p\OXbp\agcq%3>qpA+=RoOEmN
+p\=4Kq>0j^q"a[Xq#C*.p4*~>
+q:YJos4RD*q:Y;irn7>*/)9"<gOV"AQIk0QgXjp*f@&$me'lk!g"P6:g=b35g=b35g=b35g=b35
+f)!nmeHORXg"4d)rR2;*f%J[/h+Vn>g=js'g"4jPebR_jec+%tdalhEciMP@q9f5kJ,~>
+q>Bs`s8;lpiVX5dhPOd`ZN't(s8)?cs8;ZVr;$6dr;ZZnq>L1$r;6BjqYg>-NpulErVuihq>C'c
+pAFsf`qk2~>
+q=jUVs7cNfj7iTI&-(:T>u7X%q>($_meQkWo`"Xbp]'sWpAjp`p\4I_q#L3hq%<DrpA+=RoONdD
+o_eL\q!e%PqtU!]pA"[^eb0";oCd\~>
+q:YJos4RD*q:Y;irRq5)s4eFQ^5,3;PiglYi7H9*g!\0odact&g>(KSg&]mXqUG>ks4IJ*e^aWI
+&CT._f@o%QDU-hig>(?-f@ToMq:,5jrmUnqf$ONFcMPucdJq[G~>
+q>Bs`s8;lpiV``U%JdJ=<ibo`s8VinrV$9Ur;$6dr;ZZnq>L1$r;6BjqYg>-X8i(pq#13eq>C'c
+pAFsf`qk2~>
+q=jUVs7cNfiV*lYr:@0p:o3XHrVH*_q==F^q!@_TpA4OXq#C-iq#:($q"OLXoChfeV>Ku\oD&.Q
+p\4R[q=jUXs7aP,J,~>
+q:YJos4RD*q:Y;irRq/'']7p'QTmHhf?rO3db3-pe^Dmrf@g,Vo%=#oqUG>ks4IJ*e^aWI&CT._
+f@o%QMr*+>e_8^*f@ToMq:,5jrmUnqf$XBApX+K~>
+q>Bs`s8;lpiVW]Irr3AJ>"l6ks8Mfnqt0pQr;$6dr;ZZnq>L1$r;6BjqYg>-ZiBq"p%eRanb`%X
+s80h4J,~>
+q=jUVs7cNfiV*lMrVlW1<(<tSr;#s_p[J4]q!IeUpA4OXq#C-iq#:($q"OLXoChfeXoJ+gnFZMM
+p@e+PpA"[^`qFo~>
+q:YJos4RD*q:Y;irRq/'&(BS"hlAjlPg\RHe_Sa"gA]P%e^s9C!S>p!eG7Ypf`KdUec!r.dam+'
+g>,Abin2o3f%AU*f(7Deec+%tdalhCd.bq<~>
+q>Bs`s8;lpiVX5`s7#[\_/!>qnGi7[s8DfYr;$6dr;ZZnq>L1$r;6BjqYg>-Q1=VKrVQHdnb`%X
+s80h4J,~>
+q=jUVs7cNfiV*lVs6B%N]4G'YlML/GrV?0bq!RkVpA4OXq#C-iq#:($q"OLXoChfeO6lH9q"FCP
+p@e+PpA"[^`qFo~>
+q:YJos4RD*q:Y;iqq;#'&)#sheDm5s5Gurge_&^/dJhVpec+1kf`B^UqUG>ks4IJ*e^aWI&CT._
+f@o%QFjJRpg=Xs)f%0HBq:5Jns3ep7J,~>
+q>Bs`s8;lpiVX5dqtg!^s2AJLYPeFor;ZHSr;$6dr;ZZnq>L1$r;6BjqYg>-Sb;dXqY0jbq>0pa
+pAFsf`qk2~>
+q=jUVs7cNfiV*lZp@RhGqS-<5WV6A^p\XLVq!%PIq#C-iq#:($q"OLXoChfeQgjVEp%%eNp%A4U
+q=jUXs7aP,J,~>
+q:YJos4RD*q:Y;iqq;#'&Dc$ne_8rZ76?^ijj_u<cIMjAs4%,$o@X,qq:,5js4IJ*e^aWI&CT._
+f@o%QIFHa'f@8@'e^aQGq:,5jrmUnqeBn9Fo[/0~>
+q>Bs`s8;lpiVX5_oDejas7<j(Cpip1p&4aOr;$6dr;ZZnq>L1$r;6BjqYg>-])VX)p%A4^q>0pa
+pAFsf`qk2~>
+q=jUVs7cNfiV*lUmf3=Vq<bReB!:XnnG)\Pq!%PIq#C-iq#:($q"OLXoChfe[/]gnnF6/Kp%A4U
+q=jUXs7b%:!;6!XJ,~>
+q:YJos4RD*q:Y/erRh\5dGs<=hp\,X:monee(XfOrmLqse'mj=q:,5js4IJ*e^aWI&CT._f@o%Q
+RcE#QdaH_$e^aQGq:,5jrmUnqf$XNH!7h"rq9a]~>
+q>Bs`s8;lpiV``U$2O8ns8N&P>#<$5rTX7Uqtg6jqu6Eiq[`W%qu6Hjr+i_?p](9lqY0g^q>9m`
+s80h4J,~>
+q=jUVs7cNfiV*o[qt0CQqtU'<;bFXqp\=OXq=s7Lp\=da!;QQh&bu+oq=F=PA?Yn$qtg*\o(D\Q
+pA+IVq#C*>pAFUWp4*~>
+q:YJos4RD*q:Y/erRi%DhUg65iSNP-5W#:oh:pZ8e^`-tdaHUpo%3]eq:5Mu!nYuQrR2>+f%J[/
+h+EsheD8p6e^E!uqpYAjq:5Jns3fNH!7UkrrR:VjJ,~>
+q>C'cnbhYKq>:Qlm!`'/q"Fafmf*4foDedKqu?Nlq#1'hr=/]#rr;h6[f?7$pA=jcl2001&-)Cq
+q#:9hp[@tYoDAO]q>'l;~>
+q=j^Ynb;SIs7cEaqY(Tqn)ejmRI]kIqW\%[rpTm_p[\%Hp](!gp\ssfq%*5lp\FAoYlFFinb2eO
+p@dhHg%GsRoC)>JqY'OGp&+7Oq==4Sp4*~>
+q:YSrn_*H`s4%"us4IA)r7Vb<g!F1jJ_8Q5gr\@*fu_sseFM2\eGn/&f$r4Kdf7f-f@8R2gJ=-r
+f[nU)g""[)ldXV8&_>7McdgRnd)stscIU[sdaQ\DdJqRD~>
+q>C'cnbhYKq>:d'q;c7#E7*qJr;ZB[q>^6Lqu?Nlq#1'gr!`H$s7:*#p\=ddrquKSqq:fVnb`@d
+qt]sVs7l*UrV,p`q>,U~>
+q=j^Ynb;SIs7cEaqY(Tqr:AcT?>@[Dp\4RRn+H_Qp[\%Hp](!gp\adsp\":VlXlUVoD84Wp[RtN
+lhB*+&+0,jqtKdSmf2nEn+cJArqZ8<~>
+q:YSrn_*H`s4%"us4IA)r7Vb<jP@mO7T-M5g=b6)bg>(heFM2\eGn/&f$r4Kdf7c,f@AX3e4bDC
+e_Jj4f?r1#ldXV8&]iDRf$_pibN%-tdG!$ohUBsPdJqRD~>
+q>C'cnbhYKq>:d"s6Aub@upZiqXFObqt'jIqu?Nlq#1%"qu$BhrVu%rR.9nMrr)`gl2001#k\,r
+q"=Rbs7-*g"8)Bbr;$2>~>
+q=j^Ynb;SIqtL-aq=bEls5`?P?&AUYp$;JQp[A+=p](!gp\sq"p\=LVpA!NUP3h`:q=s[Sp@dhH
+g%GsGqY^!Uq#1*Vr;ZW^oC_kRp4*~>
+q:YSrn_*H`qpbYsrRq,&%d;-_8k!a^iRlE/g="-siRIn[!nPlNrR)8+f@J[2a@^^'e)&j5f$`.#
+ldXV8'?eqXccjkjfZrC6h9sj(f@/3rdJ_FB~>
+q>C'cnbhYKq>:d'mf2tQBP"C6s7u]orU0^Fqu?Nlq#'sur;6Ehrn;(`qY:'bq>C9_qpG6Ns82N_
+q>UEmo_J%WpAFm]q>,U~>
+q=j^Ynb;SIqtL-aq=bF!kkso<@UH+sqXjg`q<J";p](!gp\sq"pA"@Uo_6dCT_7pPoCVeRp@e+P
+dIn.Kp[[kIqYU*WoBZ8Cp\=4MqY#F~>
+q:YSrn_*H`qpbYsrRq/'&)kgnf@NVbOj;n:in;o'h;Ql`fE0XReGdl.dF6[uf\=#/L=k&2e^i@+
+f%0HBq:"$E'@tUVbg=nkf$`7!h:104cdgLldJ_FB~>
+q>C'cnbhYKq>:cts763geT4WQoDeaOs8D`Pqu?Nlq#'sur;-Ehrlo2_s7lQep\b']qpG6Nr:Tjb
+s7l3[s1+-KrqZ6cq>,U~>
+q=j^Ynb;SIqtL-aq=bEjs6][WcYZ@9mJlq?s7l6Dp](!gp\sq"pA"=VoCp46X8;G_o()PQp@e+P
+dIn.Hnauh[o^DDOZ\R?3o^MYKr:U0cp4*~>
+q:YSrn_*H`!S#QreGn,"fDF53eDnp6hmZZFGh(s1`8K:qiRIn[!nPlNrmDD+e(*.'gTF,1h::6/
+eCWL,f(7Dee(N+be'-.kg!@gfjI:))gt1!,e^Mpnd*U(bJ,~>
+q>C'cnbhYKq>:d!qZ$Hfs5ASqT'?:Qs8MiRqu?Nlq#1%"qu$9hq#A6LYl+1nqt^*dnb`.Xf_Q*R
+r;Z]grVs*88]UDtqu-?eJ,~>
+q=j^Ynb;VJqY1$`q=bElp%nCQs4_r_R,e&;s7u<Ep](!gp\sq"p\=CVnbB_/WqZ#Yp@S%Pp@e+P
+q=WD6&,#_qq""7\Wa\?3m.C#Hp&+O`pOE~>
+q:YSrn_*Kas3q%srRCkus4@/$%b0%ag">N-B-`)Pi7d/Ei7.eZ!nPlNrR)8+eCiC-UeQs)dbEF*
+e^rC'o@3Taf[1J]e(<'neDZK]/#gtKf\4m)e'ZOhcH^q~>
+q>C'cnbhYKq>:d'nGiC[qu>,`?&RG:qtU3Nqu?Nlq#1'hr!iH#p]%mI[f,gsrVH?cnb`.Xf_Q*X
+r:Tg_pZcBf:t"e1s7Q3aJ,~>
+q=j^Ynb;VJnFmInm/-MHp%lpH=,#0(p@J.<p](!gp\adsoD.nOZtuuAmeQYNo^qkNoCr(Rf_,jQ
+q!mtOoAsCQ9$HMorUBLXpAal;~>
+q:YSrn_*Kas4%%rrRCl!r7MY5hoXX*fA5Ms<C(Q9k1S;=iRIn[!nPlNrmLep%b]@fSPkd.d+d:+
+eC<(#o@3Taf[1Jce'-+ecG`:11:5?]hpU'(e'ZOhcH^q~>
+q>C'cnbhYKq>:d#s8)`ps7ZKVD+KE@pAapHqZ-Klq#1%!r;HBhpA_[H_Z03'qt^'Wqt^'Gq>g?g
+q@E5urV$9kdZBT'?Le'nqY'j`!r;]hJ,~>
+q=j^Ynb;SInFmInp%eU`nGhK\6@dk]rU]aVp\jgTp\ssepCI&qq=FFNqQXqOrpBCPo^r.VoCr(R
+i:[0Fqt:Qiqt]aXrQL+V?WcXnp\"+Tp&b!^p4*~>
+q:YSrn_*H`!S#QpeGn.ufb;uegst0<i7R8;;(?7reDSm.eC=?Cs4%"unC7HgrmVJ,eC;jue)6`t
+T]"/Jf[eROf(7Dedb<(`e'6OrcIgmOCirE<e)]65cdU:hd*_j>J,~>
+\bm!6s'JB)j6cmHp%eX]pAXjNqu6Hjp^d,pqY0m[\SJ2=s7-'aq#Bm]g%kaFp\jpfq@EE$p](9k
+D/9&Y@IsO!kPtJU!r)NdJ,~>
+d.[P8mJ$YS&+fd'6s8C1qu?3ZrUTOVp&=^_p@7kWq#0sdp^[&loCV=M@&!5gm.g8FqYBj\pY#6B
+p\=LWrq6oroD%hLr:=E,o3#5^q>TFQqtL-aJ,~>
+iS!_P!7g\mrn7;)s4e=Aj?G+V_9:ZncHt1ebgO__dF-Uurn.;&o@+&odF$Ipf\"d)rQkr)e=B?h
+db;pte^N7Jf(mhke)A^Sd/VMmdhUE^f[JR3ejr?k8k.=fhS.UgcHaearmQA~>
+\bm!5n,JMJA+occs8VfgqYL6Tqu?Nmq#C*gp^I&qs7a3E\GuU&s8)KZqqCoHq>U-gq>^:%rUU!R
+p8XAWbY<cjlhLGTrV?EdJ,~>
+\b?[,lMc`:?Ld^OrVZ6Zp\4^_rqHHds7HBco(W.Yrq?EfrqQusp%@[T@^5h1nbVqLq"FOXg@kR@
+)#3k"p@e1Pp?VY7lCNh+^dEJKk4AECq"Xg^!VZ8<~>
+iS!2A!875&(tQsjD_OK,f>lUsbg4S[f$DaleC`I/gXbuG"ObWBdanEM&(K"QdEpUuU/I92i6g9/
+deMDheG7SPdJqSndJq\qeJHoaiPj/sE8e)]C?ipie'?1]cHstff@>B~>
+\buL-$L7Y8?s`!qr;?TojSSuRs7lWg&,>tuqu?Q0Ek2#Fo_nX_rUKd=qZ$?kp\jpfq@EW$p&D@0
+d-\JXIdd+4s8;ikrV(g~>
+\b?O4qW7`t>?Tqbq"Xd`rqQHds7QNep@e(OrqQKe&bu1tqY9g[n?Z`4o_ItNp%A+UpA+I:pAF[b
+pAadtqsj%QVcgstY[)G8o`+mcq"Xg^!VZ8<~>
+iS!2Aq:Q2:grJGS4ZgR>e^`:$rm1Vl#1D#Rg"Y32o@*okcd1%jrn%e3dEp=ih:e`,QIOU6f[\O)
+q:>Akq:"0Is3q"u(Z*Zfj,H:'bb@jBd+@7/d*0_Zd*^=oeUR~>
+\bm!:s829YY#B8npAb$hr:TmKqu?Nmq#:!tq#($hr53Wmp%n=YqY^<^qq:fHq=jj`s8!8orr9fd
+Kl;H>=e,Nlo]5lIq>L&<~>
+\b?X0qtB=FWD73ZnbW"Vq!n%Up\aaUp\ssepC[2rq"a^Zq=1k+](#C]p\":Uq=aXYg%PC=s7ZKc
+&a/og\9<.-F@oAoq>Kd?p@n@ZpOE~>
+iS!2Aq:QV=h:Ts#M_Ii7dG!+#d`]tadF-Oqf\+p.o@*okcd1%jrn%e3d*L.ghV4u2T$Z$6f@AL*
+q:>Akq:"0Is3q"u(WtIkRp9;l?9(<&io&.pd*Bk\d*^=meUR~>
+\bm!1r;Z?^s05p>b51Z*rUg-Qqu?Nmq#C*gp'poqs80ZTg&M*MrqQEenb_#9rV?Eg&-)RnGIm2>
+p4HY<s7Q'bqu-?hpOE~>
+\b?X'p]'XOs/]C/`V&Tlq=+F^p\smVp\ssepAt'brq?ipq!bY(de`k8q=F@Qq=aXYe+Wh7%f,hZ
+E3\Kpm!D]nq!dhRq"K:~>
+iS!2Aq:QJ0g#LE.j,Q5cVq9/BeB?OmdF-ImrmpYi"ObWBdanEM&Cf%NdF$e(Vc^C]gXk--f@9WI
+q:,5hiR.POs4%q=f#L^Ra4JdR6[R\<cJ?mncHsqce(*!!~>
+\bm!<lMCPSrUA-ECVp,Mq#C-Pqu?Nmq#C(!p%J7Ys8'QPi;<ELrV6Bfnb_#9rV?Eg%eSP4U?h@L
+]1u"QmJlkUr;$<cJ,~>
+\b?X7jn8ZDq!6(1B"e6>o`+RJp\ssepC[2rp@n:Sp[>G#g%P.6q"+=Rq=aXYe+Wh7&+8#"S)WZ3
+Ysq*/k5XuFp%e?4~>
+iS!2Aq:Q;=a4K>"g<H]d8YG+rdGN:KddGTfda-7ff)F;5eBZ=cdG3EP<k[)8f@\R*eG7\keG7SP
+dJMDmeJHN>A:DM@jHqYUB$B5ZdEg+`d*U7je^K$~>
+\blU)s7,pVrr35PC4bRAq>^$Kqu?Nmq#0pqqtg?h^iJH-o_SI[s7#p7qZ$F'Der[Uo^YpZ?W0=U
+p&F^YrV?EdJ,~>
+\b?X*s6TCGqtg<;A:3>+o`+@Dp\ssepCR,qq"XUWp[>D"g[O\)p@J4WpA+I8pA4FmBkCD=mH[G>
+=%bZ7nGDbHq=fC~>
+iRuo9&CTO]eBZh&i3>m`_pm2pbLHC:o$dfjcd1%jrn%b2d*C%dgtAN)^X1<Wf$iFLf(mhke)A[S
+e,%T28ObUgd*=9u5Vs[(d+HRdcHae`e'ljrJ,~>
+\bm!1s82fqn,N+]d;O6ms69RHqu?Nmq#C*gp^R/us80WQnc&FcrV6Eenb^f3s8*>^[+t-Ms2N+4
+bg5t[o)J=[q>L&<~>
+\b?[(r:]sdlML,Mb@ttVroF+QlM(;Qrq?EfrqR#up\=6aB'T3cqY9[Zo(i"TpY#99oafWVf'3)1
+^VJ::aR8fjs6odXJ,~>
+iRuo9'$o@ag#:*.e)7K,=2s1<iRZN.rmLhoo$dfjcd1%jrn%e3dEg7hh:e`,cIpe&f[JU'q:>Ak
+q:"?N!7Ubo(Uf@4akksMUU[A+dFZRsajA>[dF$Fndsq~>
+Z2>+/s5A69`VBK1rqc<`s8Vll!;l`m'DqY%qYU-dq=s^Xq#'jcqYnNVrUTm^qr.Afnc&OXnc/X_
+o)JRXr:fj`pA=X[s8;]mrVQQirV?EdJ,~>
+Z1eb%qqH1$_"7ErqY'IPrVcNd!;HHe"8DN^p\jjpp\=OZrUU!Xo=8N-lM'92([_(qmHsfLo'H2D
+m.Tu;s7#^QoD84Rr;Q<gp&4U[pOE~>
+iRuZ2s4In@_-'4%f%ej.e'?=mf@'KF!7^tt'@bLXcHjqjg"=s+dF6=ne_R<.g@EkkeG7SXd20mS
+e]>h_f[%dsf$DppcJ[("e'm%&eDC2V"4blLdJhMkdJq[G~>
+Z2>.+s7YT4?,-")pAb0cqZ$'\quHWmr"Ju(q>1!bqt^$]p@nIYs7lE&C&RW#q>9.I(]X4*s8VQT
+s8Viks8;oEE,35bqtL'coDSRbqYg6gpOE~>
+Z1ee!rp\m#=M!qjnc/XZpAF:Qp]1'ep]L9ap%SF[!;HKf#Q42mmd@5`p?MD2p)!c"pAb0Yl21MM
+p%nC[bA(V!p%ItOp$VeOrV$']J,~>
+iRuW1&(KRh`+V6'dF6M$hp0X$a8+6ceG[o2eC2dicdLFuf\"["d`pIofV)$no%3]eq:"TU(Y[-]
+h;-)hf\t<3h:CA^8k#/uf$`4$cMlAne,Rhqd/DAldsq~>
+Z2=k%r;ZfGF^_i[r<30"q=t!cquHWmr"Ju(q>1!bqt^$]p@e=Ws8)T"B`7N"q>9.I(\dt,mIC5V
+p[e4\qoF.fB!C_'nETuPp\k!fqYg6gpOE~>
+_>!Nq#l!rbrVFfY>I=D)s7ufio_\IZ!;HHe"8DN^p\jjpp\=OXqXj^Tn#'FalM'92(\@S!l0\NN
+oBbr?o"fHI@&rPlm-"6EoDS@\pA+H5~>
+iS!2Ao$n&ue_/m:Yu<rTg]#n/f?hjpq:,JprRDS2e'QCddb!1)f[J0ncI^V"RS;H+fD3qle*56r
+cI^L_aP,Frcd^\!Uf]E<Mojku`7NbjrmUMeJ,~>
+Z2FUu%-dfOH?-Lks6p!foDeXa!;l`m%K$"tqYU-dq=s^XpA+O`rrTZPrUTm^qr.Agr;$6irq?![
+s8U;l>$6m@q#C6brVuZdqYpBjqYg6gpOE~>
+_>!Kprq6c]rnV[4Z1\(\qYTa]q=jsarV-Khp@\1Yp^?ikq"OXXr:Tf`C%gidiV",`p%SC\o'l8K
+rPNbT;M`oqqtK[Xr:T^Urq66`q=fC~>
+iS!2An^[Wi%*%8A>#L^>i69p-bhr6H!7^tt'@bLXcHjqjg"=s+cd:"ig>SQ)g@EkkeG7SXd219Y
+db!$obL,5,VH>Z4BXZCEeBcb"da%C1J,~>
+Yl#"1pAasgomToGp&+Xcr:Ba^!;l`m'DqY%qYU-dq=s^XqYL*fs8TEPrUTm^qr.Agq"ss`q>UBj
+nX*H[JC4Dno(;VQs7#@SqYpBjqYg6gpOE~>
+_>!Ho%f5bro_\*%:TNsYo_S=Nq=jsarV-Khp@\1Yp^?ikq"ss_q=j`^Dt`JjiV")[p\4=QqYKmK
+N(luiaSbYsn+-;Qmd'iIpA+H5~>
+iS!2AnC8$#cem=1eR1=ue_8U.f?F'@!7^tt'@bLXcHjqjg"=s+e'ZRmguOi0g@EkkeG7SXd21-W
+da-:je^M]^1GN(6hq$&ucdp^h`Rk(8p!J9~>
+Z2>.4pAY*^rVtZ&=.8saq#C!^quHWmr"Ju(q>1!bqt^$]pAFgdq>^JiF8b\-q>9.I)"[e(mf!1:
+O_e-A_"Rg(o`+sjp%7hGs8)`lrVHKgrV(g~>
+_>!Kp&,l(qs6TO\ep1,WoD/"Xn+l_Yp\jjhp\+:SrV-Qjq"Xgcq>U$gQ"TgUpYkf_n,)hDq>\m$
+@n^RCmJ6>?qZ$H`o'l5Lp\OUZpOE~>
+iS!2An^S0&c.1UpgZH4Y3IKN8e`"jMeH"+teJ$H]d*Btcf@eg/e()mqd+[B5=5*5sq:,5hl-UHm
+f$VIdh5tB\1/=:bgssd*iRlK#b08J_cHsr2d=;~>
+Z2>.4o`+4Ts5a4IEEBC2q#CBiquHWmr"Ju(q>1!bqt^$]pA+Oaq#C5TBDqE!q>9.I)#s-us7*!r
+88--ApAOm]s6]UTp&G'bnG<.]rVHKgrV(g~>
+_>!Kp&Gttok4nu5s6"/pWoipLqY0j]!;HHe"8DN^p\jjpp\=O[qYTpXn:b*?lM'92)#s!ms6ZRf
+6=.@nlLXQ6s60(Go)Ja`me?MMqtGU~>
+iS!2Ao$n?$e]QI\g>p39d8`8kbgtV*fD="teG[o2eC2dicdLFuf\"[$d+-Irg3?9Eo%3]eq:"TU
++l(/^h8k%*+@E!Td+Hpsj2f]rce7'ua3MoScHsqcdF6SAd=;~>
+Z2>.'s7H6hq>^0gfPXd)rq6$]quHWmr"Ju(q>1!bqt^$]p@\.ZqZ$GN@K#cpq>9.I)#4%!]P^2V
+YQ+Cts8)Wmo)AX_p%n7Ns8)`lrVHHf!r)NdJ,~>
+_>!Kp&FTSfq#'d_nGgpM;7QDio(W"U!;HKf'_h=oo_/%Rq"XUYq"FIZpA"-+<qc.Z!;QBaiV",\
+q!GS+6>ELsme?\Mo_IkLqXj@Ro'u\Qq"FUZJ,~>
+in<8An^S2lg<8%%f&P?F\kkD[hUU0.rRLnr!7Lks'\CpfeBu[nf@eg-e'?:ie(r_q7,%7a!7gnp
+q:"l]q9p/-e]O.I+%M+Ce(Wa0f@eC$f?qpmbf\N9cMl2jdJq\md=;~>
+l29N;l2(5R&,uFeHWIo]p%SLcnGiF[rqZHkp_<Q#q"XUXq=OUbpA^(^rVZQjrr2ibqsjM!qtKse
+rU][\pA+^frqlTjs1rk[E2r%"r;6<d!;Z3^!r;]hJ,~>
+l1auHlM(,Jo(<"VrV6?c&,>eSF\oXEn+-MTm/HeNqYp6hpAXabo)n^\q"Xja%J9Glm.Pp3pA"CW
+qYL!Vp[Rqnp[e+Vq=!hLnFQGNq"==Rqn$fEC8Bber:TmZ!;H'X!r)E^J,~>
+n_*`ipt"`[q:"ob,h(;me^`:)g"P<:`EbHsiRQH7f>lRmbgb%geCN:,h:pK/e^j`L&(8qPe_8F,
+CdZn+eCE1&eb@Siddtldckt0Td+6[fb14kff\+p-e^iKE:bbRq^Z!`=e,%Jkd.G_9~>
+l29N;l2(5R&,Z:ohgJkVo_S7Ps7QBerqZHkq%`]#p\=LWq"4F]p]$1br;6Bhrr2lpnb_kQ(]4((
+p\t3jnGiO\nFlYDh0iXG[.aP!qr.C%~>
+l1b#Il1b#Inb)kUrV$irpZgFU=i]t'nF-DIqXsabp]'sdp&FY!p%J.Tq>'gXp%[qJJ6hmCp\=U]
+q>'RTnb*dnp@RtQrqPj[q!I>7n`A>F=CeQ&s7c3Fp4*~>
+n_*`iq:=f[q:"`]s4@8')qrZR?U:mFf?hatbgatedF-Osg"YE?f@JI#e,@])cILRqgM0.-eC<%#
+f@JOKeG7PadJqQ1dEp1`eC`6jiS2`'daZ@K=Z]-8dc9'3e)Jc*~>
+l29N;l2(5R&,H,&s4Vj)U@8-^i;`WLs7lI$qY9gYp\4IWp%eL\s,:amqu?TnrUKdTqA9/2s7YjL
+r;ZB`rr;uQP>Q1ih#IERqY9%GJ,~>
+l1b#Il1b#Inb)qWqtCWnpA=a:G#b'ts8UmSp%J=_p]'sdob@,mp%7tPq>0jYo_.bJJ78-Fp\=O_
+q=44Lp)!T*rUT4>q#BaPq#'p<ND!oQf(o=?o^^u7J,~>
+n_*`iq:=f[q:"f_rR_)&/D&S6iOW8WK$E95\_YTYf$`!rf\,$8h:^E0dF-Fje'ZLkf$rJi8Cc5>
+e^aZMq:,5gq9f#b(tI?mc,@ZQhTaL$gt9&P.n=oog"tB2daR4'J,~>
+l28[#q>:d!s8DBcjC:uRq#C6Xs7--bq\T2-q"FCSp\FU[q"t$iMK&Ljqtg-`q>0XYnbO%!oC`.`
+rU]U[oD%R86!()>q>^0Uqu>UNJ,~>
+l1b#IiV2m9s7lKc&+o_mkl9LF8X/iCp?;PDr;QHipAae%p\+:Op%J4Yq"aOToD!cHp@n=Tp%7qN
+nb;SI(\mIhrVu]^mJ6/?j,Z9!Usnr8nE9KBo\oLo~>
+n_*`iq:=NSn^d`jrR_)&0A#%9cK<&606bt%f#?Idf@&*sf%A[1gY1<0d*^4geC)gpf%Ael:"IhD
+e'cXle+qMhdeV;dckt6SbhCt*bg"hcd_fuB0ncm^iR#WqgsX[2d=;~>
+l28[#q>:d#s7-'_r9JT(CZk`tl2U;Lq\T5.q"OFSp\=U`q>:3lL2m.hqtTjUo_.hPnbO'oqYg3`
+qu?]fiLs7CMUV;!q!n.Zs82TMqLA~>
+l1b#IiV2m9s7lKc&,,kdq"+7AE_9s's8M-[mJckXp)!Mtp%7nMq>0sdo_/(TH=usHp[n"EnFH,D
+q=ad]rUq&spA+=NpAFpXgmh2/L!K5goBc)Hr:]dAp4*~>
+n_*`iq:=NSn^d`jrR_)&0A,(+gXb*%=>3=cj5.Z1aO8Mdf%/L+g"P*.dEp7ge(!"!f%o.m:=dtF
+dE]t\chZ)dde_>kd/D8id/VK1c-t7mdam41cFeNY,\=.+i7#p!gt^K.e)Jc*~>
+l29N;iVX5doD\dYq>];r:36%,s7H9cq[`W%q=sXVp@nF`q>:3lI;Su]"ShTYoCh_OnbO'qs8VWW
+s8VJcC/Bc@rquH]rVuljo_/(=qLA~>
+l1b#Il1b#Knb<(YqtCWtmeQnJo`*Qa88[ekrU9R\p\je%p\+=Rp%J1VqZ$3]qXni<pA"FTn*TT7
+nb;kQrV-9a(\7V+m-4HGkbMc_K[onmnF-/Oq=3qDo\oLo~>
+n_*`iq:=f[q:5#es4.)"s4Iq<d+m[+fAsYJ/lU0Qh9X[NeGe#9f\+p-da?FhdaZt"f&,1c9%MPC
+dEKbWchZ)dde_?4d*Bk\cHsqcdEg_/bfS_ub(N26A@:+Bd*LA$g!S.'d=;~>
+l29N;iVX5dmf3._s5O(5UM"c7qXX[\q\8o&p\+:Qq#C-cs8$hLqu$Bfo^hhHqsjM!rV,p]s7a$K
+=cC]&r:0I[p](*UnGiO`iVJ'~>
+l1b#Il1b#Kl1Ybel2UGPr8%D'SRHKup$MYMqtL*`'_h=qp@n=Vs7>p\n7Z)"q"XOOn+6&Cq=ad]
+rUq''oBuAQo!<F;Ls,JdmIC2Ir:]=?s8V`Mp4*~>
+n_*`iq:=f[q:4`]&DkUifA#/sjL^+;<l`h<gXc8O"kM>Yf$i+Icj/"Qe(*C,;FCH6"4GH<d.l,d
+de_?5d*Bk\cHsqcdFQ[ig#LVK<]"BddacLcgX+X&`6$lni6d&~>
+l29N;iVX5dqXX[Znc/=]r1$T=nc/=Wqu?L+q"OFQpAam^s7^A<q>:*dp@eC`nb_kQ(]F"&qTFIu
+C=)8Fs8;inp\sp`s8VZ\r8IL&~>
+l1b#Il1b#Kl1Y_bp$M_Im/QVMp6J=%m/QVTpAF[bpAajfq"Od]%fc+kqX%]loCr%Ro()PRnb;kQ
+rV-9a(]!Omou;DaA]s64r:p*_oD8(Ps8;<Qpu1ps~>
+n_*`iq:=f[q:4`]'&;*bhpTa/e(rl012"qoe(E7&r6uP6f[eR%dEg.cg="I-dRuaPeCE$ocd^\E
+eG7Phd/_PlcMu8kd21B[f@R!05"DZkf@e^*e^2ppe(iX"bLPS!J,~>
+q>9.Knb_SKnbX^,oCf:VB@[%Vs8MQbs82QeqYBs]p\+=Wo`+ggr+L9Pqt^$^q>:*cqB,M.qtg-`
+q"aX_s7uBaqtTaVrr;lhq>^KaZYiut_"R<oiVJ'~>
+q=a(Iq=sLSq=sLSo_'d/p@dtBn>AQ\ci3M8q<[hSp[e(Np@e7Tq"X^XqY'dV>\s0/p%7nLp\=RX
++8#7#p@\(Mp%%tWp%%eMo^;>Ir:fdTqu,i`Bi]Smn^7&\~>
+q:PMrn^mTen^RBbn^mEa(Y%$ge^`<5-V(T'e`5?,e(`<te^r@#e,I`*eBZe!hq(=rf@86rdF-Op
+q9pJ4d*g=gcd0t_e^r0md*g7]c.(=mc-k8#bE,@V?(TNqo$cRFJ,~>
+q>9.Knb_SKnb`@d%//\W;f_=)nGE7Zp](6hs7u]hs7R!$pAb'jrFpKSqt^$^q>:*cq?-Qiqtp?g
+(]<jorVuonq#C<`n+QbZpSrO>GK'1Kp@7t;qLA~>
+q=a(Iq=sLSq=sLSp@eIZ./*T:nD'X1D!:WZpAXURrq?$Xp@e7Tq"Xd\r:g'Z?#B?1p%7nLp\=RX
+"82B^p\je%q!RPFs82K]s7u*Ko(r1RV0,UT_!^gadIr(~>
+q:PMrn^mTen^RBbn^mKcrR;S5hr<;*KelWPh9O[0dEpXse^r@#e,I`*f$N4(hq1Fuf@86rdF-Op
+q9oGmdF-JAd2(3QaOJtqd*LOtai;TWf$K+N1/t!peaV&Hd=;~>
+q>9.Knb_SKnbX^+s82`eS7%8hm.pDUs76-bqYBs]p\+=Xp&Fmgr+^QVqtg-aqYU3dqYC")p](9d
+mIgMZn,31]s7NX->CNmAs8VlonbM/?J,~>
+q=a(Iq=sLSq=sLSq=aXY-h%*.p@";NKt-:;o)JUTq=XFSp@n=Vq"sa]p%\)aE;0,#p%A%Qq"aXZ
+pDEN$s7,@Dr;Z*XqY'mWXC#"RXlKH[oDA7PpYkgr~>
+q:PMrn^mTen^RBbn^m`lrRUttrR)G1dH'';eUBi%TZl$;i7Q6(e^r@#e,I`*e^*"#h:G2!f@89t
+daQ^rq:#/f(s^ggbf%`WgW7pse(W0-5;lZ(_r9G#gXFTuJ,~>
+g&1C;l2:)K(%;)#qYU*%BOf!Yqu?Wfr;6BfqY9jbpB^?gp](,-JGoBDq>pKkq>291q=sd^qtp6a
+qu$?ks7kjYr;ZN*F^/dllMpnZn+?YMq;M1#~>
+iV30Cnb;kSnb;nRq"Grsp\a^Wo=&17^@q9sq!e%Op@n=Vq"aa[o(_eLnR6V8p\jddp\=RY+85C"
+p%J.Sp@J%Rp\b'`jne`Lo!r^@BX-\!s7GXHrUKX@p4*~>
+n_*Haq:5#bq:5#erRh,#rm^ko("CCZhq6]<T1VPLgtCK8d+?q&f$r4KdL"=Ff[AO*93p0!rR1es
+ebR]:dEp4ddF-IjcI11if@nQfg=b?4Rnu%7Oi?;:dE'SddF!I~>
+g&1C;l2:)K+TM$4s6fpe`b9;8s6oLXq"ssbqY9j[p\+.Up](57M>d>K!;uZi+Skd)pA"L\q>^0^
+rVQ3^s8VQ.Lf7Q[rqufpnFut\q>'XV!;YUMJ,~>
+iV30Cnb;kSnb;qSp\,d0mJHhFr;49=Bug8<m/Q\Np@n=Vq"aaZnbD\LoOraNpAk!apE0)"nac>G
+p@\=Ro(i%Kp&FpR_LkTbVtp)eq<[_Mq"=1OiV%d~>
+n_*Haq:5#bq:5#erRh/$rm^qqrm;J/gs+[4cK+#c9Mr"Ucd1Y%f\"d)eGdl%d*((igt>S;fDF%t
+ebR]:d*Bk[cdC.ef$2Ihd`TqohTr$10fb*FfAY<$cIUIkdF!I~>
+q>K:Mnb_SKnbW^oq>1-iq>C95AT63!rs&8rr;6Beq>U-ooDeXds*Bh+o)'X+p@IqNqYL!_s8VWY
+rr;Q#IRdVNs8VEToCr:bqXOIYo(V,>J,~>
+q=s4Kq=sLSq=sLSqtBdY+T1p*qtTdVr4u`TchdS>oCr"Sq"aa^qY9[Yo_A3!L\LB7+8,3nnFQAI
+o_&7amHj]ImBh+(<NuN'k3VR.rr;]Zq=44<p4*~>
+q:bYtn^mTen^RBbn^m`ls475"rmL_l$eNhWh:pW>k,V'Q\,P@je_/X-e^aZJ#h$uOeD8q_DV+I0
++OJBUbKeM_cd:M%aN)i_c'i#h4-nsgaNVlRf\Fioda6FiJ,~>
+q>K:Mnb_SKnbWggs7uEhs75pa^2/5Qs7H<gs82ils7ciqp&Fges*9e(quHWir#kn1o(2YSqt]p^
+q>('i]lI"ZU%JBTm/R+bnb)qWp&FjYpYkt!~>
+q=s4Kq=sLSq=sLSqtBm\s7d-!nGMtMs8;6RqR:$[f)4t8p]($gq>U3qp&"@SokfNYqtL0cq=l*,
+o'Yu=q"OIOp\"4ZqRLH:>FY'\lf\<JqX*hMp%&+Vo(_2;J,~>
+q:bYtn^mTen^RBbn^m`ls475"s3gnos3DG-b1G(ijPn\DkG2!a^>dYrg"G!-ec+#'eBcmugY,_I
+f)*tteG7W:d`onVcdU=hbgOkbh:7`a1e!,Lkg@Q5iRc/oe]c.cn^-7BJ,~>
+q>K:Mnb_SKnbWjrrVcWhqu?]ks2/5hgAh0Or;ZZoq%ic%pAXd_qK._oqu$Bjqu$<gqu$?hqu6LG
+p[e%QrVcWnmeQn6HrXdVjo>)As8V]Ys8MZcrVH<bp\FRZp\FRZp\FRZp\FXDqLA~>
+q=s4Kq=sLSq=sLSqtBdY-i3Z7p@S(SqXX[">&r-mq"FIVq"X[\qYKj\nFH'^KD,*7q=saZp\=M9
+oC)2Aq>'d_lLk2*GYqnChuE6/qu?*LqtfgSqY0[Wq"ORXq"ORXq"ORXq"OOAp4*~>
+q:bYtn^mTen^RBbn^mfl!8.;%s4%%rr6YPqeGe#Cg#(fElDI$R]]S)+g=k63e^N!scI^FnePL#5
+f@S[-f@SOKec4)#cH=>WrmVb;a3rkK<A$Xoa6)!thVui$f%%pgdE]u+d,EB&~>
+g&1C;iV`6C2ui[Qc"_.>s7ZKmqt0U]nbr4Sp&+E-Oo+qMq"jd^q"a[[q"sm`q"jsep@eC_rVuZ>
+McF&WjRE!Sq>0p`q>0p`q>0p`q;;%!~>
+iV30Cq=j^Yq=j@Q!;HEdp\4RY)Z91'a(/l&qX47Wp[InUnb`"Kn+5aZL\CK9rV%0(p@n:Uq>'gZ
+p@n:MnFcSNrUS'`:0*k?r:TaV%/9Jip@n:Tp@n:Tp@mJ<J,~>
+iRdnUq:,5kq:G)c!8%/!rm^kos4%)"s4IA)(ZO*-Y=_Qjin<GQgsad,c.1.bcd^0:D#N&dfGW8j
+e'laoe'cUje'cIce(3.,d]@(:3e+utrRLnrr6bMjda8'AJ,~>
+g&1C;iV`6C)"@S(s4h<le,Sq4s8Vopo_\Oaq=s<&SGW0Xs8Ni4qY0^Wq#C?jr;Q`mp"ba*?Ej/'
+oYLBS~>
+iV30Cq=j^Yq=j.Kq=j^Y)!h+oqUT.Uc2["us82Nio_J=WoBkLQP4nbHs8N0!qY1!_&,Z.ppA"IU
+n(*@d=/kZemD8LH~>
+iRdnUq:,5kq:Fl]q:,AorR`+8hqd5'8NO9Ge_KBHfAFs(e()jl_bkX2g"Y35rn%A3hV$E+rm25-
+eBu^qf@8-WD(@]-e`5'+_pJJ2J,~>
+g&1C;iV`6C)#=4.p]'*.;7QH%n,*.Ws7cHkqX<?fVu->c(\@:lp%7qOqY1$iqu?]CQ=4$RfDkX:
+s2"P^~>
+iV30Cq=j^Yq=j.Kq=j^Y)"dh#o)73p9<dscl1b/Ks7Q6do]4P<T(`'U)#3^pp%@tMp\4:Uq=X^_
+b)fe,JC+2`lheNlJ,~>
+iRdnUq:,5kq:Fl]q:,AorR`%?iRl]@^2#NohWW;>hU:3*eCr?j[nqY.f\-5U):m3`dF$=ge'uas
+f@/R0Wc1*\A$b%Bced-gd/_OD~>
+dJWh;nbi4[q>Bd[)#rt%s763PJQ0YhnGE7Ps7H0fp?:.PXo%ti"8;Ner;QR)rqQ'\s4ruN=+J]u
+s7?*do"k0Q~>
+iV2m;q=aXYq=sd[q=sd[q=Yg.kP>/ErSW#r^A@-hr9XIRq"jL9c"NjFq"ORXrqHThq"t!fq[`;b
+o_d=&>u>mis8VHWp[#`iJ,~>
+iRdVMq:>Anq:5;jq:5;jrRUr"*9>8timQl,@lLCHd+[<uh9OI$cG-PWL=k)0f%BuQ(t@-if\+m0
+f[J!mgp_5c0jLj@hp9m-bgXJW!765~>
+dJWh;nbi4[q>Bd[)#4(.qtp3aq/p)Ts8W)no_A7[p$(.RY5A(ls8Ni2q=sd]q"k$fX]e>M`;fZ)
+qu6?ds2"P^~>
+iV2m;q=aXYq=sd[q=s^Yqt:luq"XRVo^_Tj=L.u,qtTgVp@dt3c=s'IqY(g+r:p!Yp@e1Ps7WBk
+7=W)Po^;JLo(E%!p4*~>
+iRdVMq:>Anq:5;jq:55hrRV#$)qEZsg"G!0fiCD-k2Y7Jd*gCocbct_LXsu+eG[r7hV6Z4f%&C%
+fAYA>2^_t)iRH0&g!\F-_U/A1J,~>
+g&1[Eq>9^[q>0pbnbX0ps8;-]s8;oPCi?WAs8)EeqYU$Uhg2L'q>(m"o(Dq\rql/mBha97rUTCR
+rq5s`r:%Q!J,~>
+iV30Cq>'j[q=j^[q=aXZp\4RY([h=tjSf,PqUK.kXlKHXp%nFUn`829V"j["o'c/FrVH<SZ"-CT
+ebJOrp\OFMqY9Enp4*~>
+iRdnUn^dNfq:5;iq:55hrRV#$(XV3ra5H%6i4DWXOMp23e(N=&dE&gpLATL"eeZZ[e(W[7g!#XL
+.Ufg=c,nJecHatha264(d!u~>
+g&1[Eq>9^[q>0pbnbX1'p&G'jn+H_\dZ7b/o^;bWq>C-]iHh^)qYD$*q>C9mp"[Q+;JX,Ep$r(^
+o_8Ccp%/4"qLA~>
+iV30Cq>'j[q=j^[q=aXZp%SFY)#Eaus7kmKr;Xrt>+Y9OrqZ9\o]XkBV"ai_rq@6(pA"Xen^t]o
+9kM'1nEg2SnFQ\[naHInp4*~>
+iRdnUn^dNfq:5;iq:5/frRMe?dbNm;c-tS1YAHFPda$b(f@\^!\l"4[dMgWdf%J[0iSrA#V+r^9
+T@VH7i7lN'h;-8rfYZ#9d!u~>
+g&1[Eq>9^[q>0pbnbX1'q=j[[s8Vlls6"`Ib3T'%pAFjZhKQ+!q"ba'qW>8494Fgcs8Monr:Bsg
+nF?PYo"k0Q~>
+iV30Cq>'j[q=j^[q=aXZp%SFY)#j0uoCVnVoC`%@G&54arUodTp#je<UA+T\rV%'%p>WE$7pVkP
+rqZ9^q!\4\m-XiQn%n^J~>
+iRdnUn^dNfq:5;iq:5/frRMkEf$r7%h;6`9i5JhnW6=&KeC`Es[n_V)dJ_Mnf)OA;gY'W7=tDpm
+b2D%*f@A*ufZ(tbf>b\T!765~>
+q>9FSl21;Srr)lphY[-H+91m2q0cGepAa7Squ5i%Y5eJ#qsa:Ys6]j\c>?-VP54tMq8rL4qu?Nl
+q1&~>
+q=`M9q=aXYrqZThi:m9Fq=c'4lM^@$=2sq4iVE-;hI`PZq>C!Rnbi@LrUS'C6WB$<pA=RapA4O*
+pAXgdpAX`8~>
+q:=f^n^RBcq:GVss4-8]rR1_qs475%qq3.Qc/7)V32kHf`80(t_FoU6e(<$gbhV$shpnf&.6;M&
+g&BY(ecjRPdF$=frm&X5rmLhos3LblJ,~>
+q>9FSl21;Srr)lphY[-H&bc8$q<WoA[f?=!rVsQ_Z2FCrrsJc$li4qQ=D3uOs7uNeq8rL4qu?Nl
+q1&~>
+q=`M9q=aXYrqZThi:m9Fq=c$$s7Q$KKj(n]q<mtMZ?2u;o_\[eqXiqM^j/jgOO=+%o(U9"rqHHd
+rq1d~>
+q:=f^n^RBcq:GVss4-8]rR1_qs475%qq37Ai76E$AiuF:gsXp3Q<B$lcdpn(f@7h!U0KTGF1:5`
+f\"d+rm^tqs3Ubj!78j8rmLhos3LblJ,~>
+q>9FSl21;Srr)lphY[-H+8Z$:pAa/l@[d2oqtg>:[/^+"p](9gcXKCIMWt0@meQ_Tq8rL4qu?Nl
+q1&~>
+q=`M9q=aXYrqZThf(U9Yq>0X]i,<%ip\OOMrb8A3q=O:Us7=B=6<&["s8V?[pAk!apW<..p]'sd
+omd~>
+q:=f^n^RBcq:GVss4-8]qpPMorR_&%+P5&nf?rWp;+5iei7QQ?:5e#\dEpP'e#GPT2J:%hjNIPR
+rR:nsdF%j<ajL+9s3^kn!7-/~>
+q>9FSl21;Srr)lphY[-H+91m2p[J4?Jm>&Lmf3<Jh=ULAqtB-M?!rcJr;Z9Zqt^*aq8rL4qu?Nl
+q1&~>
+q=`M9q=aXYrqZThf(U<ali6SDs5&</T(hF@oRYHYo_J7Oi1jCYMq.S%lgXWBrqHKfrqQ<`anG`.
+s7ZHbJ,~>
+q:=f^n^RBcq:GVss4-8]qpPMorR_&%+kPDfgsF:*_IYl_h9F^.B"$"4g!nEbK/br.[FaH^dalqI
+dK%erdf7_nd)XQ5df7_pciDCB~>
+q>9FSl21;Srr)lphY[-H+Sks1s7c*an=j].s8V\NaT)#7s0Z?GOoPITrqHHgrVHBcqY(!canl#6
+s8)`jJ,~>
+q=`M9q=aXYrqZThhY7'Fr:_B0oCqnUo^DhKSnD:-p?-t>s7-!_Y$G:jrVH$YnbMePq#:'hq#:*b
+pW<..p]'sdomd~>
+q:=f^n^RBcq:GVss4-8]!7Lkos3gqss4.&!+P"fcce?jpj3r]W7-<:LAYJ/3hV+)T4DWd,d+6Ur
+e(4KF!7LYi!7T$:rmLhos3LblJ,~>
+q>9FSl21;Srr)lphY[-H+T;?.s8VHas7i'kKCSYqYQ++,HX;`^p$r%Ys7QEcrqcKdq=i#-rql`l
+rqV'~>
+q=`M9q=aXYrqZThhY7'Fr:_B0p\a=Vs60C\oTr[-jm%Alr9:_5=,5&hlhL/Qn+lJLq"jg^pW<..
+p]'sdomd~>
+q:=f^n^RBcq:GVss4-;^s3gnos3gqss4.&!+P"rl`S]Xti8r^B6"8*cAVf6fS6%adYg:MFe)/F%
+cIMp?psK&hajL+9s3^kn!7-/~>
+q>9FSl21;Srr)lphY[-H+TM<4rVZ]qkPbG*?>@Z.e`D*NMU1M^s8W)fo(i=cq"jj^q=i#-rql`l
+rqV'~>
+q=`M9q=aXYrqZThhY7!Drq@Q1rq5mYq>UEUq#866?GC6tgN,f9aPl^is7kmGoDSLWq>'j\anG`.
+s7ZHbJ,~>
+q:=f^n^RBcq:GVss4-;^s3gnorR1Yprmr:Cf[%jof\tl7iomO.7\rn`^fN%!XMiZLiRl5mce6jo
+rltGgrR(Yorm_"tajL+9s3^kn!7-/~>
+q>9FSl21;Srr)lphY[-H0D>>Do(N+Ps8D?ba_l$CO(jm/q#:<np%S=_q>Tj[qYL!`q"jd^q"a[[
+p\FRZq8rL4qu?Nlq1&~>
+q=`M9q=aXYrqZThhY7!DrqA&?o(`7QoDIqSq<.XiA7TV3?]ND$p\OaTnb3"UqWmnMq"a^\q"a^\
+p\4CUp@lW$rqHHds7HBcJ,~>
+q:=f^n^RBcq:GVss4-8]!RfBmdf%_qf-8bhdbW*ph9P0>c/GNk85j1iEj=0Lh;-E)e(rC$`mN)X
+c2Q&edJ_Mpe^Mmm%a`VMdEp:fda?LidEg1aJ,~>
+q>:!crr)lpmecPPanl)7rqZNhs8NYqs4_jIGiA\upAb!^s8)QfqY:Nqq>0p`q>0p`q>0p5qXOB3~>
+q=aXYrqZThp@nCVnb;kQdJ!Y7rqHHds7Hp!ro=%,EH?'Pr:9=Tp$hkXpA4Lkp@n:Tp@n:Tp@n:T
+ch7nBp@\.Pp@\.Pp@\.Pp@\-0~>
+q:>Anrmq,"p=/ohn^mTfi7%bTo@3fes3^kqs4%_8iPsoc<)uo1hpp04e^2ste,@\jd.kuge'QJQ
+ccse\ccse\ccse\ccse\J,~>
+q>:!crr)lpmecPPanu&4rV@&lr;ZNkl+6omkl:JRr;ZBeq>L'(qXOB3~>
+q=aXYrqZThp@nCVnb;kQc1h21&a/lfme5SDp\!MEoCM_Rn+QJRp]($)p&OdVp4*~>
+q:>Anrmq,"p=/ohn^mTfdaS?HdEqj>s3hS!eD\a*_3E[+`88tlf@\<re,@\od)+02d*M=.!6]l~>
+q>:!crr)lpmecPPanu&4rVHQo!qZ'_rVm)uqu63as76-arV+/)nbI\~>
+q=aXYrqZThp@nCVnb;kQc1h21&c2Cilh'rOrr)H]q!RkRme6AQp]($)p&OdVp4*~>
+q:>Anrmq,"p=/ohn^mTfdaS?HdEqj>s3hS4fuqUif]1rKf%&Euf%J6qe,@\od)+02d*M=.!6]l~>
+q>:!crr)lpmecPPanu&4rV@'(jo>AKrp97>s6Td\q=Xddq>L'(qXOB3~>
+q=aXYrqZThp@nCVnb;kQc1h21&bt8`roNh5lJV^)qXa@Lr:]j_p]($)p&OdVp4*~>
+q:>Anrmq,"p=/ohn^mTfdaS?HdEqj>s3hS2^#@kgf#GtPj2Tg%eBZare,@\od)+02d*M=.!6]l~>
+q>:!crr)lpmecPPanu&4rV@')q=F4XoWbC9l2(AVrUKpdq>L'(qXOB3~>
+q=aXYrqZThp@nCVnb;kQc1h21&c_IflMp1KTYTRZp\4IMs7Z0bp]($)p&OdVp4*~>
+q:>Anrmq,"p=/ohn^mTfdaS?HdEqj>s3hS;dEB_lb_q+K`RNMkfZN%!e,@\od)+02d*M=.!6]l~>
+q>:!crr)lpmecPPanu&4rV@&is8VGmOMf2_IfK3>s7lKiq>L'(qXOB3~>
+q=aXYrqZThp@nCVnb;kQc1h21&`iufj/[sH^r(Blo(DtRp\+=Zp]($)p&OdVp4*~>
+q:>Anrmq,"p=/ohn^mTfdaS?HdEqj>s3hRshqH#-BUtoq>1q?Sh9ja$e,@\od)+02d*M=.!6]l~>
+q>:!crr)lpmecPPanu&4rV@!'jStung&D$8>eKb,s82WjpVH^rq1&~>
+q=aXYrqZThp@nCVnb;kQc1h21&cCMbRV'q>ro$kcn+QVNp%J+Xp]($)p&OdVp4*~>
+q:>Anrmq,"p=/ohn^mTfdaS?HdEqj>s3hS6]\e'+Z.S$R30qnAg="Eue,@\od)+02d*M=.!6]l~>
+q>:!crr)lpmecPPanu&4rV@'%s5%@5s8VNeKOXZSp[nLaq>L'(qXOB3~>
+q=aXYrqZThp@nCVnb;kQc1h21&bYtM?#]W>jnsO3nG2YErq?'ap]($)p&OdVp4*~>
+q:>Anrmq,"p=/ohn^mTfdaS?HdEqj>rmMG1[Q[RBj2g+c4ODd0c.g^rrR(Yl_U/D2ch#B]bCB~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVr;-uuQWWMNqu6SSBDq?"s7ZEerV--aq>8S9nbI\~>
+q=j^YdJ*Y9s7lTfrq?BdrqQ<`jnSfK&bY[S:Z1m9p%O2LpZqkWo(MeUp]($apA+I1p&OdVp4*~>
+q:GGnn^QOLrmq,"rm^qrs4%%uq:+][!n5TFrR1_q&_#'E0Yu;if\1%*f?<()cdUAAdJqShdJ;5=
+d/hV?o?@9YJ,~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVrVI-%mUVCNp\ad_Q=9geq=XU_q>L'`qYC$9qXOB3~>
+q=j^YdJ*Y9s7lTfrq?BdrqQ<`jnSfK%eSshL?n:!mduQErUKOMrq?<bs7lE`q=i;1!;5pVJ,~>
+q:GGnn^QOLrmq,"rm^qrs4%%uq:+][!n5TFrR1_q%ar?ZB?\]QdFWD#h9j`trmUhns3UShq9m^=
+!RT0ablGq;~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVrVH]i`D3rBs8Vp"LK46Lp$r(\q>L'`qYC$9qXOB3~>
+q=j^YdJ*Y9s7lTfrq?BdrqQ<`jnSfK&b!J'YP7bdnah9,p%RtCqtBa^p]($apA+I1p&OdVp4*~>
+q:GGnn^QOLrmq,"rm^qrs4%%uq:+][!n5TFrR1_q&^?jnOP&1?eCJ+_e^r0jf[J=JdJqShdJ;5=
+d/hV?o?@9YJ,~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVrVI-#Q"@f3s8DooBP?r9qY0mcq>L'`qYC$9qXOB3~>
+q=j^YdJ*Y9s7lTfrq?BdrqQ<`jnSfK&b:uf\G,mmo^uX%li$MJp\+=Zp]($apA+I1p&OdVp4*~>
+q:GGnn^QOLrmq,"rm^qrs4%%uq:+][!n5TFrR1_q&^YAXRFp<Hf@WJXbMC^qeC2nFdJqShdJ;5=
+d/hV?o?@9YJ,~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVrVI-*Q#5.Oq=jpC;5O$eqYKj_q>L'`qYC$9qXOB3~>
+q=j^YdJ*Y9s7lTfrq?BdrqQ<`jnSfK&c.Q!cLgVopsVj-nc/:UnFlSSp]($apA+I1p&OdVp4*~>
+q:GGnn^QOLrmq,"rm^qrs4%%uq:+][!n5TFrR1_q&_LqhYLV%JgU8\`dGNL'c-t/?dJqShdJ;5=
+d/hV?o?@9YJ,~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVrVI-*]O1:1qZ$SS=PE]Qo_\Rbq>L'`qYC$9qXOB3~>
+q=j^YdJ*Y9s7lTfrq?BdrqQ<`jnSfK&c&k9lM9uHp4ZAnpA47Pq"FF[p]($apA+I1p&OdVp4*~>
+q:GGnn^QOLrmq,"rm^qrs4%%uq:+][!n5TFrR1_q&_E7+bM(D#fk<4Lf%SI"e^N"GdJqShdJ;5=
+d/hV?o?@9YJ,~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVr;-u]Fk-6dq8Qs=o_JFXq>^EhrV--aq>8S9nbI\~>
+q=j^YdJ*Y9s7lTfrq?BdrqQ<`jnSfK&bXgnbjPDu]j7)poCqbIs7Z0bp]($apA+I1p&OdVp4*~>
+q:GGnn^QOLrmq,"rm^qrs4%%uq:+][!n5TFrR1_q&_"3`Xj>hPTKmqNe(;spgsaaNdJqShdJ;5=
+d/hV?o?@9YJ,~>
+q>BLSiV`]Rs8;lnrqcZlrquThl2:MVrVI-)l_Ka#s3kk4rr;]lr:Bpdq>U-gq>0s`qpG91q1&~>
+q=j[XdeEb:s7lTfrq?BdrqQ<`jnSfK&btIZNR[sMBQa.Ko(r.MqY'X]pB(-ap\OUZpVHQR~>
+q:GDmo$lXMrmq,"rm^qrs4%%uq:+ZZqpPMo&_=jKD7/6$86+?uce?pnf@/4IdJqShdJ;5=d/_Pa
+blGq;~>
+iVWHIl21#Iq>:!aq>10grVHZmq=sd^$N9bVWci!+UAF]^[/'7eJ,~>
+iV<6Cl1jfCq=sd[q=jsarV-Hgp@\7T#Pn#GVJp!lT)SEap\)&i!;?!XJ,~>
+o%ENaq:,5jn^m<\q:5;jq:>VtrRV,%e^F9B#M.;3K2+X7HiDIpdF5SP!RT*^bCB~>
+iVWHIl21#Iq>:!aq>10grVHZmq=sd^#Q=]&rqH-as0;Cipj`~>
+iV<6Cl1jfCq=sd[q=jsarV-Hgp@\7T#Pn>uqXa:Qs0;:up@@s.~>
+n_*Kb!7gnpq:5&f!7gVhq:5;jq:>VtrRV,%e^F9B#M.Vaf?hjog9T*,d*;.)J,~>
+iVWHIl21#Iq>:!aq>10grVHZmq=sd^#PI][p\Xj\n$2]Ypj`~>
+iV3EIqY9m^nb<+Yo(`%Vnb<+YrV-Hgp@\7T#P%9OoCr"Ll`p0ap@@s.~>
+n_!ooo$m`iqU52gn^RWho$[?_q9o)h!7^tt"4YfJe,%Gtbf\)RdaH@ZdB_+!c19&.~>
+iVWHIl21#Iq>:!aq>10grVHZmq=sd^rr3-!q>1'iZ2*qbJ,~>
+g%bC=iV<6Enb<+YrV-Hgp@\7Ts8<,uq"=@VrNZ(sp@@s.~>
+o%=#pn^[H`q:"lan^@6^q9o)h!7^tt!n>]Iq9f5p"kM/LdF?dRciMG:o#lO~>
+iVE<El1slEq>'j]q=t$crV6Nip\+FY#k.E]qtg-brV<bnnb.J~>
+iVE<El1slEq>'j]q=t$crV6Nip\+FW#jq3Wq=s^ZqtIDknb7P~>
+n^m<]q9o)fn^[0Xq:#/fq:,JprRCu!e'e'>#KP'9e'cXle[!O&cHYq'J,~>
+iVE<El1slEq>'j]q=t$crV6Nip\+FY#QObtq>C3do!.rZp4*~>
+iVE<El1slEq>'j]q=t$crV9ptp\+=Tp@n:Tp@nUap%S:Zp$h_Np\=LXp\=LXp\=LXp\=LXp\=LX
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=:Q
+J,~>
+nCR6]%FihUdaZ^pdacgse()q9eK<;heC)jpeC)jpeC)jpeC)mre^N'te^N$reC)jpeC=<E!7^tt
+En&Rde'ZXle'ZXlh:9s$f%&3kdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:f
+dEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fc-+ATc-+ATc-+ATc-+ATJ,~>
+iVE<El1slEq>'j]q=t$crV6Nip\+FW#Q=>`me-MUqQ]ebp4*~>
+o(__Mq=s4MnbDqUq=sd]!;QNg!r2N`q=b-mp$V8@r;?DbpOE~>
+o%ENa%G'%[eCN.#eCW7&e^r@?f,rSnf$r:#f$r:#f$r:#f$r=%f@AL'f@AI%f$r:#f%0ZK!7q,#
+En8dje^N'te^N'tgX46fe(EC*e'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXl
+e'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXlccse\ccse\ccse\ccse\J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat14.ps b/books/ps/quat14.ps
new file mode 100755
index 0000000..f06be1d
--- /dev/null
+++ b/books/ps/quat14.ps
@@ -0,0 +1,2255 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait14.ps
+%%CreationDate: Tue Dec 26 13:35:04 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 258 187
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 172.500000 translate
+243.750000 -172.500000 scale
+% Image geometry
+325 230 8
+% Transformation matrix
+[ 325 0 0 230 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 325 string def
+/gstr 325 string def
+/bstr 325 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       145205 ASCII Bytes
+colorimage
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:b\us4IA&s4@8&g"-A[f@A@!J,~>
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:b\u!8.;%s4@8&g"-A[f@A@!J,~>
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:YSrrmq,$rn,oU"PMDWe'ig~>
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:YSrrmq,$rn,oU"PMDWe'ig~>
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:YSrrmq,$rn,oU"PMDWe'ig~>
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:YSrrmq,$rn,oU"PMDWe'ig~>
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:G>ks4@8&g"-A[f@A@!J,~>
+Jc()sq>Bs`s8;lpebfFEJ,~>
+JbO`iq=jUVs7cNffD#=?!;V-~>
+J_>V-q:G>ks4@8&g"-A[f@A@!J,~>
+l2:)KJc+d1q>:!cq>9FTg&(=<nb`"X!;q?~>
+l1a`AJbSF'q=aXYq=a(Jg%Ot2nb2_Ps7lZkJ,~>
+l.PUZJ_B;@q:PMrq:Orcn_!*Wn_!B_q:Gi(f[eR%J,~>
+l2:)KJc+d1q>:!cq>9FTg&(=<nb`"X!;q?~>
+l1a`AJbSF'q=aXYq=a(Jg%Ot2nb2_Ps7lZkJ,~>
+l.PUZJ_B;@q:PMrq:Orcn_!*Wn_!B_q:Gi(f[eR%J,~>
+l2:)KJc+d1q>:!cq>9FTg&(=<nb`"X!;q?~>
+l1a`AJbSF'q=aXYq=a(JnFlGIq=a@Rnb2_Ps7lZkJ,~>
+l.PUZJ_B;@q:PMrq:Orcn^mimo$mKdn_!B_q:Gi(f[eR%J,~>
+l2:)KJc+d1q>:!cq>9FSg&(=;nb`"W!;h9~>
+l1a`AJbSF'q=aXYq=a(InFlGIq=a@Qnb2_Os7cTiJ,~>
+l.PUZJ_B;@q:PMrq:Orbo%<uno$mKdn^m<^q:>c&f@A@!J,~>
+l2:)KJc+d1q>:!cq>9FSg&(=;nb`"W!;h9~>
+l1a`AJbSF'q=aXYq=a(InFlGIq=a@Qnb2_Os7cTiJ,~>
+l.PUZJ_B;@q:PMrq:Orbo%<uno$mKdn^m<^q:>c&f@A@!J,~>
+l2:)KJc+d1q>:!cNV`_PJ,~>
+l1a`AJbSF'q=aXYd.[&)ch@D5!;M'~>
+l.PUZJ_B;@q:PMrdb+TNo$l(<"PD;TdaEX~>
+l2:)KJc+d1q>:!cNV`_PJ,~>
+l1a`AJbSF'q=aXYd.[&)ch@D5!;M'~>
+l.PUZJ_B;@q:PMrdb+TNo$l(<"PD;TdaEX~>
+l2:)Kf_bgJr;4G1*;f[2r;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;5s\q>:!cNV`_PJ,~>
+l1a`Af_5IBp\;]$*;K:'p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=4Oq=aXYd.[&)ch@D5!;M'~>
+l.PUZf\$8Ve(O`PrRq)%&_Ymkg=b35g=b35g=b35g=b3Lg&0Itg&BV!f_O4Kf`0OneBuhMf[eR#
+dXV~>
+q>BLSq>07Ns8;lpq>:?lq>:!dqZlips7uBcs7kRN2>@.FrUp3`r:fscs7H'`p\O[]q"jd^q"sma
+q>:!bq>:!bq>:!bq>:!bq>:!bqu?Hcr;-?jrsAZ$rr;oos8DlnrqulpqYC&KqZ-JC~>
+q=j.Iq=WnDs7cNfq=b!dq=sdap]pEjr:KOQqsiY>6M1<MqXX[Vq"++Tr:'=QoChqPp\+@Tp\4IW
+q"ORXq"ORXq"ORXq"ORXq"ORXq#BsUp@S(WrqlE]p\FOVqY9gZrqHNfp%e@/p;?Y(pAajepj`~>
+q:Y#bq:Fc]s4RD*q:Pf#ec","fa$$dhq-B2hpp`>+4nordFm"-eD8d0iSi><h:C?6gY(?7gY(B9
+gtLQ;h!s)3fA"QpdaH_&hVQr;g=b!*f\"m1rn7D*fD4+Jf`0O?e-4FUf$r-rJ,~>
+q>BLSq>07Ns8;lpqY^Bjr;$Bi#QF8`s8Vojs5EkdnG2kTq>C'gr:fsbmf3=Yq=s7N$iBSqs8W&p
+qt]sZq#:'iqu6Qj"8i#oqt^/LqZ-JC~>
+q=j.Iq=WnDs7cNfqY1$br;$Bf#Q*rUs8V`^qr.8[me?DJpA"=Xq"++RlMpnQq=j.K&+KDprV-!X
+o'c&;o(2JGq#0jfp@n=Tq=i80_Y=*(s7ZNgJ,~>
+q:Y#bq:Fc]s4RD*q:Pc"rmh&#s4IY4cd1\5f@Jj=faucVdF-RsgY1TCg=kN3k2t1hg\T^qg'$$M
+dG!:Pec4&%eCE$qe(3(Kf)s[Yg"?,Rdb+TN_UJ_@f$r-rJ,~>
+q>BLSq>07Ns8;lpqY^Bjr;$Birr3,qpAY$bnbhqS&-)V%q>^Knp%65<Ye%.#q>'gNq$$Zgs8Vom
+rr2utr;QcqqtU6gp\^$J!;_3~>
+q=j.Iq=WnDs7cNfqY1$br;$Bf#Q"Juo'c>HnF?8Cp^dE%oCi4aq=3ph]<&HDht?g>l1beZs8MW`
+qt^'^qu-HiqY0UZoDnRYpX&WNp]'sepAju=~>
+q:Y#bq:Fc]s4RD*q:YYss4IY4iSW27gYC<<faucme^2k,j5/GAWhP]HPJYuJg%a:mfaucZg=Xa$
+gYCW>hr3JLg=OgOec==rg!\OQf##o>f[eR#dXV~>
+q>A80s8;lpqY^Bjr;$Bi#Pdlfrr)cks7-$Wq[iGts8VNUoD[?r;."6>M>I)Fq!.\Tq\K5-o`+si
+s8W#io_SUfq>1!bqYBsarV?ANqZ-JC~>
+q=ho&s7cNfqY1$br;$Bf#P7?Wq=aLQs7,jRp^m#kr;Z'Jn+tI`9j;C.L%b6:pZ_Ghp\aXNqY^'^
+qXs:DoD87Qp%J(Oo^qkPq=i80_Y=*(s7ZNgJ,~>
+q:Wd?s4RD*q:YYss4I\.ce@1.g"GH?j4Ospcdg_,c-Y&#]PB>j:bue[g%sFmfbi>hf[%dqhqHrF
+gXOX&h:pK3f[na+f%A^Pg!\OQf##o>f[eR#dXV~>
+q>A80s8;lpqY^BjrqZNi#QODmp\t3`naZMWqt'Ueqt^-^s760h#ODDT?\87Ps7uNUqZurmr;Zfn
+p&"I^rsJMkqZ$KmrquWgqY9uJqZ-JC~>
+q=ho&s7cNfqY1$brqZNf#Q=)_nFutKlLFTKq"+:mq"FIOs6]j`q;qX;=a]u9rqZ<Qp_NJnpA=aY
+mdol@rqu9OoDeR\q=jRSp%\:.p;6S(pAajepj`~>
+q:Wd?s4RD*q:Y_urRhJ7dFct)jjDB-o%EQb&(B%Tj3ZrKiQpe56"8[%iVD.$g%*`1d*gFuhUg94
+fAPiOf$Dt-g"Y97f@JRKg!\OQf##o>f[eR#dXV~>
+q>BLSq>BCPs8;lpq>:6irqZNi#PGO'YgW%1s76'fqsjL^rs\Yof(8n8s1V]>df0"9qW[knqY:*j
+pA"[fn[=16^ZYFlqYgHor;$3fq>?6L!;_3~>
+q=j.Iq=j%Fs7cNfq=amarqZNf#Oo!kWQXPjs75maq!n.js8;HVd-^Vus0u',bkUc%q=j.K(\I:q
+r9s1SropS7Lpu=5p\"=YqY0XTq"a[2p;?Y(pAajepj`~>
+q:Y#bq:Xo_s4RD*q:Y_urRhJ*P_>%$cd1b-o%EQb%cQ3md^IW_g$5:p3jRVmpt5GrnCJK+dbE[.
+fB2>IR;$Z6`n9%tg>1Q;f%8XOg!SFPf#,u@f%AR'daEX~>
+q>BLSq>BCPs8;lpq>C-es83-%P@7L#Ck0e$quQ]joCrmmlM:IbDKj\3s)(eqs763fq>0@Q(]X70
+r9s[ce8T,7AQrrVs7?'cs8DfkrqZJOqZ-JC~>
+q=j.Iq=j%Fs7cNfq=jd]s7ZcrN*9"Y@Wf]]pAk!Yq$uT[s/]mRd/!KN:5Al9rV6-Op_Wr!q"<kJ
+qoi_^?X6T?X822Uq>9s[pA+OYO7rVJ!;M'~>
+q:Y#bq:Xo_s4RD*o@a/t#iKYe2*OT=XP36un^e>lf&;Zb=h<YR;DrIUdbrj3qUYGno@4]0hUC64
+cK+,u<DH4Y5"q3udFR(.g=P!3q:X0J_:AbAf$r-rJ,~>
+q>BLSq>BCPs8;lpq>C-es83/us5ITtfDk^GoDAXdq=F@nq>]mA@7!oFppj4.q>L?fr;6?elMDFr
+s7?9jq>]>e=Gtr6f76n/mI^>VrVQQnq>?6L!;_3~>
+q=j.Iq=j%Fs7cNfq=jd]s7ZfirnCa[c1LW$oCi7[nbEarl.fK*:"&U=8m1c[rUT^VqY0:M)#+$r
+q"aI[f4%R/e,@U;:0?`Kp\O[Yq"jg\O7rVJ!;M'~>
+q:Y#bq:Xo_s4RD*o@a/t#hJ"O6p7p6g"Q#Mn^e?4bJ-=g28%_81dTmPj42i8qUYGno@4]0iQp<:
+g?QUP4`J4%\mmZ_bL,"ug=Y-7q:X0J_:AbAf$r-rJ,~>
+_>O<0s8;lpq>C9k%fZG'p\FaRs+"OMmJleVqY^Bn#6">jp\OgarVJ#@qtL'dq"ORZqYL!^[!f^-
+rr6hAWrN+ms7uZos8;]fqYg-`qtg-crVZWo+o:s1qYU9ls8Mrro(rCLs(u7gs7u]k\PQl.p%eRd
+rquW?r7UuCr:0[WquHVE~>
+_>!s&s7cNfq=jpc%f,nmo()J8r,l&)ir8<<qY(9pr:omRo(DhSrV@r>qY'j`p\+@Vq>'XPX`h1d
+p@i-!UA=`Uq=OLZqY0XRp%\(Lp@\(OrV%W7rr;ifo(MbMq>C0dp]'RNs53cd>AX3,q=:d]?L@7S
+q"jg\p!NNepA+IQp@n=]p]1,?~>
+_:eh?s4RD*q:Yc%%GKIbf%J7+?U0(akgJ2]fa-Nmg==[%f@nsWgF:q4fA536f@\d1g=Ff<>bJ"T
+jAJ:%io8MEf%]!8g"+^*g=+X*f@JU-rmrIMhV[&;dalt"g"bB9fAb*-jiHX`86bB9k1uO^7*sB5
+g>(H9f?r:If\tEWfC@Gff*'dYe^Mut~>
+_>O<0s8;lpq"t3ep&"[e#M!EXe,TIHrVHEnn+?PWs&o<tp\":Rq>'p`p\":Rp\+FZs8V7kf_5/r
+=JYEcp\+Xep\4I[rr<#tqu-Kkqu$Els82EVnFln^rr)ckq=s^XpAb$is+k,Uo]c8Os7h,cp%\F`
+s8MuodJV\pq>Bd[p&"geJ,~>
+_>!s&s7cNfq=bHroC2JQs8Dcnc<EKRqXsIRqY+@^n+ZbYqtTmWo^h_Jq"ORTo^h_Hp%A%Xr8:c*
+mdbg'SEKe=n+chOo(2SNqtg-^q"XUWp\=R_p?q53nbW:]q"OIRoCDG?r:KdaJ6G8)i:HX9n9De=
+oCi"Vq=s[2pY#99p[RtOp](!gq1&~>
+_:eh?s4RD*q:Q>5eC*".jPeqWZpcCKjPS\FqUo6"dFmC6h:gN3e^i:'g"P-1e^i:%f%A[8il4?t
+g#$R.LXP87e(`d0eCE4+h;$c;g=k64g"P3<f$;F]dG!O3f[n['e'cXlhq6fLCI^#2cf!gBgL7#/
+e_&X3gY1<-g%j:Zf(mqff(mo#g"4d'dsq~>
+_>O?1rVZ]oq>:g$s8Vucm.:/CLgQtXrVQWnqY^Bn"8hoiqu$KorW<&trVcaArr)irpAa]RRCeMk
+M=(?>s8W)ts8W)ts8DZ[p\=U^qt^![r;?R"qtU*erVZTlrVmH'o__m(]D)?us7?0fp%nR`rVb+@
+g&(UCnb`"W!;h9~>
+_>"!'rV-?eq=bHor;QESjm;[#I8lX5nF$;LqY+1kqY'RRpA4adr;-9bq=sd]qtg3bq=sgTp?.Qu
+Y_-)-ir8E@s7Q-dr;$0bq!mY?oC_hNo^_PHqYpNoqtBXUp\=LWq"t'frUB4H;I-Wts6]jPo_._G
+p@nO\d.c5eq=jFQp\4^_!;V-~>
+_:ek@rRq5)pt628iRuJtdbE#Z5(i.VgZ[Affim7ff[eX+gu%&Ii8*8FhV@#Fi83>GhVcrBd=$>4
+F%L2nlIk%Tf\5?Bgt^`?eBQOpf\+s0e^N4,i8NVMf[\[.g=b05h;I/JeC35:8tau+g?dDJhpg<2
+g&9XOg"G$Rg%!_if`TjVe'ig~>
+Z2=[rq#10k$2re(G5_@3s7Q?er;ZTrqu$Bgp\se5p\FXZq"sparVZTjrVlisq#?VDC:)mus7H?k
+p&+X\q"jper;60[q#(.9r;HQgq#(0lrr<#rq"=@UrVQNlrD-Mks7Q0ep](*irVZTmqlfqnqq_/M
+qg\~>
+Z1e@ioD&=arsADLBl!;.kl'f?qY1$_-2.*-p%%S>mdKc;naQ5Bo_%qMp%A%SrpBN=M-d.1qtKCT
+rTs.Tnh9Y/p\+:Kn+-;PqYC!^q"OCOp\XmaqYKsXnF?,Do_%tP7o/^NmI:&Bs75s[p\4[\YP7kd
+htR0G!;V-~>
+Z.T];f%]0EjQ513;cVW.e`tZ<qUto#2;$U8f@86uf%Aa2g"G39gtpoDh;7&Lkh5'BG>=OBkMstO
+im63,f\"p5h;$c8e_&d=i8<Aig)nkrg"tT@gtgZ7daZh#f@\j50KS+Qg>1rGkhFtKg"HAWYM&a(
+i7S4ae^Mut~>
+Z2FY%%fQ"fp&G&S=/,`hs6m5kqYUHqr;-<crt5,*rr;rrr;Z`qrquNgs8V]_qu6]iq>C6oq=jdc
+s8W'$rV?9err2rtqulokqYU9irt>2.p\=bZHN3jAqqBKlp](0hqYp9kqYRPqq>9"G!;h9~>
+Z1eh,r:]L@me-@09U5P@rSj^JqY+1ip\"7Vrr<#np\=[]o'uGHp%.hJp%7kGm.()JkNMmDp\+IV
+lgXrOr;?<Zn+6>SrV#sXnaZ8GrVu]dp%7bFo_8.Uq>1!\q=*qS5]Zens7=[]n*p,Hp\"OX!VQ/k
+p\FO?p](!gq1&~>
+Z.T]FhqHH&eD/r#2M12FlHbRGqUlP;g"4m3i8`nWioK:`h;.&Ki8<Gki'ZDXf\c&Wf@]KWj5T%Q
+d*q(7jlPFSf\GHLk25(Qg=kB=iT8nMg"Os/f\P?>h;I2?g!eL6.:),mlJB4\e^iO/g"65S!S>u/
+g%j:Yf`TjVe'ig~>
+_>O?3rVZ]mq>:fur;Z`qs7tquC\n)'\o=&8qYWGSqt^'aq=O4Ws82BHd)sYBYG\1mUn=*5Lk0Q(
+JUD<D;dEp6=(>Q?@:s4aC3P8[G^>:@Yenc1ht$[Drri<#rVZWnrtGA2rV6*\P(`W*p#Ct)s8)cm
+qYL3es8(.@iViTLq>Bd]p&"geJ,~>
+_>"!)rV-?cq=bHkp\=IXqX<?Q@.!mTX^d@aqY+1hp@S"Mo^D)Eq!dIu`P9<kUn!jAR?Wb^I<K4P
+F`:bj85`Va9j1Lo=^PNA@W-R;E,pSuW4L'ff]r,)s8;Tbp@S(Qq=jU^p[[eBMgY$`mG!8_rq$-_
+p%A=Vs7Oe6iV<6Bq=jFSp\4^_!;V-~>
+_:ekBrRq5'q:Q>0g>(E>i7>qD9%rOZRS\4^qUo',f[eX*f$Ve.k2+Y-Z`UL#P)>$NLOsqkBk11]
+ARJA(1d42\1-IWZ6qU'B9j2+<>?u-!PGPUe^=1fqjlP:UgtgcDhr*5Fe^DmqEFmnZfZ%`YjO`DD
+f@U#Qs4>ZOiS++[q:Y;lpt5c$e^Mut~>
+_>O<2s8;lnq>:g(q!nCaq5n%5Dn<3D=_[=&qYXLlqu?]kj2nchJpDBJ=^5TV@p3/NDJWp3MhR1F
+Q!/:B[^s,_`5f:&^q$J4N/<F4B4Pal@9QlABlA!@S$Tg.r:T^WrVZNgq#CBYiIe]1`-nuZoDeFY
+qYU0;r8IVMqt^0[rUp'gqg\~>
+_>!s(s7cNdq=bI"n`ooLntK,bA?DYe8m:6JqY+.bpA4[XhScXLF_kVk9M\i"<_ZCo@:*/VJ9lin
+M,%`hX08h5]"Y5V\?VciKRn_i?X.&L=]/1!@:s:uPH2+ho^2#7p%7kJo)JaLg3^*g]QL:;m/QGF
+p&"I1pYkoCpA+IQq"OO_p]1,?~>
+_:ehAs4RD(q:Q>=e^318fSi$[:7@;k2b2*GqUo$&f\G<5^o!?5AR&5+4?lG77Qj"/;,9_hDJ4$(
+GsGK(Q^aD0T:q@AV4N`rEGf\r9M&#U7R'(&8lAPrI$UAeh:U94hV[#9d,<p'^grn]V-]D1d,`R*
+fDF4Jg%j@dg\KOug@<qng'$*\e^Mut~>
+f_kUE0`:hGqu$?hqu$?hqu$?hqu-Hkqu$<fqY^6gqu$?hr:p<lqtU3krqcZ0_juk?s8Vro,/L44
+Bj4bI@V&qWE-mA5\\YhdaQ33ts7lTns7H,+GPD.;rqS,Bs82ZjqYL$aqZ$?erpnFAUkOYVD.-pd
+@pr\QG*TAPbkV57nc/=ScE!/jrr3,gs8)WjrVcKg%/]u"r;6Ehr;6Ehr;6Hj!r`&qmel&Bq>:!c
+nbr.Y!;h9~>
+h"Ud@!;66_rqA#>p\=LXp\=LXp\=LXq"a^[p\4CUp\=LXp\=LWnb`7VnbDnNn,9Q#OFkRHp%nA+
+\taac<`N:,>#e[9E.!qR[]ZaGg$eY,nFleUm-\G$m.^8RncJIZoD\A7o(2GEp[[nMlH6,sI=ZZT
+=^,3:=]S^DNN0\2nc/4Gs6o9nUPmt-qu#UOp%J.Yq"OLkq"ORXq"ORXq"ORXq#0pgp@n:KpYkoC
+pA+IQq"OO_p]1,?~>
+iS"7_"PMM_gt_ncrnRD)q:Y\trn@D*rn.&"'%Pt#g=P3@h:^t`UO@'ghqZr@r7WZmL1<_63'9Jr
+5t4^XBS2bLR[^:sgZ7;IiTK:Rgf%D/iSiG?e^rU3hV[2hh(.@Agtgu?[$?DYC19q)6q9X35=8Lq
+PGYD1iRZ<8e^Ud]FN3D#i6'j-f\-5Wkh5ab!SQ3!g%j@dg\KP!g&]m]o%Nll"4u)Pdsq~>
+iVZLOpA=^dnGi7XqZ$B]s8W#pq>:!bq>:!bq>:!bq>:!aq>:!ap\4=Tq#($eqY^<ls82cor;?Tm
+s82cpqt0pfgq0;<Hu3)!Cjh>=\&Q_ar=8c*p\"LYrb.&cs8Vudq>UCMp&Fd_s7cEhq"=:TrVuon
+rVuoiim5NQR=&d[B4kLaF,dTWj7*!@s8VNeq=t!bq>1!err3#qrr2rtqB5b9q=jRXq>L3jn,N1U
+rqHB*EEn4"^An64s82iqq"OU;r;$6cr8meUqLA~>
+iV+&boD&%Ul2L)<meuP6rV,mVq"ORXrV/;Hq"a^\q"a[[q"a[Yo^qhOq>:!aq>1'^nFH2@nauAF
+nFHPIkkahqY*FKV@Sg6=Ee^*g^W5p=E;0;(nbM_L@=S%HqtBIOs8;carq#g_o(VqOnF6)Gqtp$\
+r;,m<b.b6IG@k/j@THrPJuZrFjmh^7puMJDmecVJp%J1Wr;QBbrr;lgp%\F[o_%qRqYU9\rqQ'`
+o_Q%2;154KqYU'dp&4aZoC^f2q=aXYkP"rM!;M'~>
+in4mpg<eO-jOWeYio9F_e*>rGrnRM,s4RD'r7(eurmqD+e^Msrf%A[TfRMZ9hV-c@gY:T>i7cuL
+g=#0@]UaXi>u!LM9jDUgQDL_=g>(E;g>(E;g>(E;g>(E>f[S^+h+)&2gu$f2fAYQBeD]!2jOMu=
+f@/4#gtpo>gY^i8^oa;sG?RR(77B7.:i)B&_U$ufjkn8Df%&[/f@\d2h;@2Dgu7;Mf[q>#gt1$(
+e^rL-h9Fd,dG34*SPhO]MOi\ahVd/Hh:L61g"H2Rs4[D(!S>uhecaXVeC)cq~>
+iVX8as3+nOCKR%^CJ8D\C5C77o(`jsrr)ckq=s^]r;?Ebp%\LSqu76+s8W&fh7L(QG@k,jFdBYa
+rVllsrr)Ec)>j7(q#:*gD3+_lp](9jo'l\Mq=XLZo`+phrri5mo(i.]r%.^>p\sses8VlSafh%\
+FE)GWQa"!BjS&WNqZ$Qjq"aaZoD\OUoDARfr;6Ekru1e/p&"7Vq>1-_rr;IoD!B`FT&TeDq>:3l
+qq:oCqt^0OqZ-JC~>
+i:dc[a'2;L:6<k05$D>tH,TFQq"a_5s8Mroq>'dZqY^6ep%A(Ukk4rSqtp0Zp%7h;d]fa%C0"&0
+BSin/rV$Efp%A%Lp\sq0p\XUYAr-9Qo)/OaoC;kLp@@kNnc/Lcs8W)noC)>Erq@u:oCD_Kq>^Hc
+hSc4KFD5?%HAn]&^tS/Snal_To^h_Ina?5EmI']Hr:g!arr3l5p@\:Oqt^'fo(rCJ;dnP1Pa:,)
+nFQDQr7Lc>pA+I_p?VJQpAajepj`~>
+in4pqeCgfe4&eV'b>pJr;+bB%hYu=1gAfk*fDjANe(*")gtg]<f@\X.g>(?3e(EF#hrs:cjl5(Q
+hV?JjRZqVk7m9@CGb)#:is"AuhVR&An_*rp*o,?$8Sd,2eDB3>e'[4&f@/:'dc9-?iSrbJeBldu
+rn0oqe^W@(gZ.5B^o*39?rKs&A9O$#VnpjDf\,6=f@JR*eC!(&d*^P)hqHc;iS`YIf@/L"gt199
+e(s685>B52I=K,rf%Jd8hqHc:q:P`$rRq5&s46Mc"PD;TdaEX~>
+iVX8Ur:@jY=C;+.Uh*5&KpS&$o(ad1p\"1PqYpNbp&+jhqt^$es7l*[s6e.3TSn>B88*gT[b:NW
+s8;`mr;?Nl!<2Qe)Z0:*r;-0\B8u`er;6Njp]'mas8W&tq!mqKrV6Zrs8;cjqY^<l)>j:/qu?]k
+q=jdbn'SPANJi@$GG:tNp\+F]rrDfmrrDurruh%,p%\=Vq#(0hpA=^drpg$gN)n-qs7jBejSf,Q
+p\XpBr;$6cr8meUqLA~>
+iV*oKp[#P=:K.2^QWZRIG`.IRq=sg^0D4u-nacGNrpB:Or;-3]oD\RQjmW!)_Om*DF_O!EI@$qW
+mJ?SIn+62Dp@e7Tq"".tq"FU^p[[f]L@Y-6pAFa]s7,scrVHQemdKcGp':Hmp\+:Qp\Xsi7eZNM
+pA=g[n*TW9jMn3jJq/#MCmUX&nF?/Ks8VuerVlZfqu?Tan+-,DoC_nWp[e.Rr;5mYr..MVlh'\V
+K\lJ"oCM_Pg%Y=9q=jp_lhCGQs7ZNgJ,~>
+iRndbf?g@,5Y(G2O%hAkAT`"Jr7_/'rRWjUf@SU(eC)n"h;?T.gYL]=f[f-Df?`.0c)cbOC0sme
+7qm^F]A2Z2h:piCh;$fAh;6lVfbrDrgt:-)6YY**g">-7f\k34j5/PNf$D^mrRWm\hV$Q5f@f!>
+j5\eDg=Y6=f%/@)g<QpeLMU^57ok1pT[_KChrNkTe_oEBg>:oJeC)gtrmhtAhV-K5f\bK2hW8T5
+XOZ1\Tk_O%i7?K5gtCBVf`0\(g&K\(f'Cfgf[eR#dXV~>
+q>C'cnb`sur;,f8=e>$&D.C*Rs8)Bbo(`:`rVmc4o'?>Tp\"=\s8W#slbA[2E,06LVV^s<KDkfY
+rVlWhs8DoqrVlcqs76()qtBmbp&">pR.^LZnFut\qY:'ioC;bWqu6TurVQKjs8Dj'qtg-`rV$*d
+q>L?kr;Zfo3;rXPe7`fQA7BD"O0?strVu9_s82KaqtU3krqcHdqu-?gqY0saoDdufR/d0Xs6XEi
+rVufdq"s%Jnb`.[jnf&SJ,~>
+q=j^Ynb3Unp$h'l:m0bL?rsH"qX3bFnb<+^rr4JBmcXWHoC;JLrVcE]i3\>[ARJnuS($VeGk_%/
+o()D?n+lYMp\4IYq>0[V+SbX*qXX@J@Zg*Yq<R\Pqt]p^rUB7NqY:*irVH<aqY^<d9(qrMoD%kK
+q"4@[p](0cp\+.Ho'Q(k?"J4_>%Vf4Wm'Z$s604Vp@.\IoDegdp@\+Qq=XOVoD/(Jr81h?rq#CS
+j^=JMqtTUOi:ld8q=jp_lhCGQs7ZNgJ,~>
+q:YSrn_"N4f[nDa6&+!t=%Sq<jOV`4g&9Y!fe;+;jQ,=SdE:M*f$r=-i8`SKb+<ZX:J+5rKtYrb
+@c?G0iSNJGgZ%)Fh;-rChqdhU+4f0#e(E#9FOB+'c.1_,g=G'9dEgP$g#1cEgY(97h>Q#"f[n^)
+g=+[-f%T$7jPenNh:UH:fA<i(:LQ[Z9N>qhYKGVZbM(q.e(34'j5JhIf\"p5f\>*1gt:'7a@^aC
+h:(T57Xj1PgX4X,iS!bRs4[G)s4@;%ldQ'if$r-rJ,~>
+q>C'co)''ts7$$3?UBpDEP2#DnFZb\nbWRkr:p![r;Zfrr>b\#cDchVD-U\&RBXI(s8)cp`bEQg
+rqlEhs7uTlrri8rp@e1Mr%n6Ep\a[`p3=+IrqQ3es7bjYp\"Rdq>UEjqY^?lrV?0_qY^?lrVQHc
+p&>!hqu$-\pA=jh*W>m8s7`gro'4#bOa1PLFcrZ_oDSLXq>^Kjq"amfrttY/s82Whqu6VdDqapb
+rr<"\C$kHjrr;cPr:0[[r8meUqLA~>
+q=j^Yo(N^hr9!Rd;`9AiA[(RpkjA6Bq=sd[#Pn)anF?5Ls8Ma<o]F5iLjW]1>]l+)[IX(]s7Es2
+^?bL^meHSIpAFjbq"FCOo()Noq"FFVnGhrpY4_PZnbiF\lMC)@rr;Wds7Q'Zq>'gXnauMKq>'gZ
+p%%VJrqH-\nEoW6q"sgWnauhIVjll,\=8G!@:*u5U>G>5o^MMLqt'CMp\Xmap%/%QoC_eOq3>L:
+lhC#JqMSkHli6hZo\oQ7pA+I_p?VJQpAajepj`~>
+q:YSrn_"N5c.oEg.!gGIUtjtWe)/s6fDF7sg'?Njf[e[0iT:'p,hgJFM/Hcp3C@%pNL\\YfB1h_
+7]=kpgt1NDg>(]Fh:pW6e^O'As4D2Ce)\tVPM4dAeDK<=bh^guiSrJEjOi,=gt^Z9eCN7)gY:H7
+f@87'i7Zc9da6@kh;I)Bf\YiEPD@W3UOd>b6pagkKu)0kf@/@-hV$Q7h;RANgY(N>g"Y9<hgSD6
+fAYQHj)IZ8dH'-@fAYEQf`0\(g&K\(f'Cfgf[eR#dXV~>
+q>C'bo)&Ldrr3Cp:JOe]anbr6s8DfinbWC^q>:0i.f9)Bi2_66>@;&dQd>X1qYpNpqu?]as.Nld
+s8VZfs8;omq>:$drr<#qoDB6us8)cgs5e:Ds7lQmqXjgfq#C<h&-).tr;-3_q>L?mrVQHgr;HWt
+rql?brVn);p%J4[s7uTilZ^t\qt^0bik(=k?!hfKbO#-'pAb'dq>C6l(]"(,rVQWpiIZ(Ls7u3b
+pk2Q/n,N7apu2/HqYC$ar8meUqLA~>
+q=j^Xo(N^hq"+HC6:+.,^$tafs7l3Xq=sd[!qGmTrq@o8o_mL?G$@sM?Z1qCoDJ+Ms8DKapuMF@
+>2oPXlLarHr:K[Vq>:-is7l3[');D#qsaXBBYaN5pAagTrr;ThrUh!'lhL5IoCDPKqt^$\p%J.V
+qu?Ngp@%_Ss$$5Im-X95p?qJ?i,$X:oCM_Jh6r8W=B]a7`om'hnbVtNoCi"Vq=FCRp\"F^flq'(
+o^:l>n:"'jl2UJSo\oQ?p%e=Wp]'sQp]'sepAju=~>
+q:YSqo%=T.i8*[F1,M$KZ/Oa#jkJA9rR_#$rn@A,"Q%qcg"ZM^.GNS:^l)G`4$Z57FKF3VfA#HK
+f\t`2jaKJ<kMt%Ii8!5Af\5'7hV[8]fb*,rhUCN%9r6dsg>gi7i8iJJrRb9/cJ.(*f%&C,hV6c:
+f@\d3h;d;Ff[8@3j58P;cd:1oh:UK;bZ_UEhV$W6^mT+84$?SmWQNoIeDT-8g"bKChq?l?h:poK
+_IHL*i7QE<fjlkZcf3X7fAYEYfD4)!gAT_)fDjFfe-+FTeC)cq~>
+q>C'bo)''tp]&H#Aa6s1ZMsUas7l<fnbW=arr4D4aet;2ASQ:CXOctBqtBpdq"47Yp&=^Ys640h
+kPtJ[s7c?dq=s^Xrq$3foDBL's7u]fs3596s7lWome6\Cr;ZEfs8N&lpAY'nr:g'ersAW"q>'ma
+p%/+]rqo%Srr)cmrVulop\OpiQAXl'qu$Ehp\+I^]ps@\BR-#RmIgJYrqcKgrqlNkqZ$2\B:Stt
+s8)W^>CH)>qt'a]iV`NJq>:!cjnf&SJ,~>
+q=j^Xo(N^hlh.qF=PU/SWV,`ArUo^\q=sj]/b\r4qYp9M_4QTg?".T#UsA9)o^DGHna5c=me?5=
+s5IFSiW&WKr:9OTq"OL]o`=^[oCjg2qtU3\pr6[iq!S1^l14l9p\jRUrqZTanbW:cp[\"Sqtg'[
+o^qhMnF$&KrqA\Iq"OLUp\=LTn+-MYNe-'Zp%S7So'uDJ\<h;H@s!s>k3_m<p@@eGp@IhMo(q^?
+>`nXHrpTIB<Hmg&p[@nMiV30@q=aXYs7YdQs7ZKe!;M'~>
+q:YSqo%=Z0e`*SN8C+%oRcN2Ii7?<3e^aWMs4IJ-gt_nc1#UpFj6,CFWeb^`7S?]qNORBtg==p5
+f@/7*eD8^*k/^#Aa6)19hppB5g"=p-e'lb8fdkq5imZ\_7(D(%j5eG7iQ'[1dbEa9j4)T7jQ"tE
+f\YH>g"4g+f@\Nug"u_]5g\*4eCN7+gY1<7lKW_8c/IF2gXt'+f\;mA=%,S[GE^8%hr<PJgYC]A
+g>^lIeU^8>hqRAJgsJ2hdbEL(gXtK<q:GGps4[G)s4@;%ldQ'if$r-rJ,~>
+q>C'bo)'$ss7V.CM>uC3?2+Bis8Mc_q^DCBiNe)J?=[i>]]oIrrqlWhrr;uqrr;rqs8W&tl2R_c
+_>Ep#r:p<jqu-<jqss[bo0E?Ms2]6Zs7u]npAaK#E*n4fs/Lp?MmDFDs8)Haq>:0ks8MrmrqZQn
+rVuopr;HTlrVufks7Q9[hdaM&rVZTmr@.[Ar;-?]`f"J<AWFh$s8W&qs7uEhp\`o]QJDN>p](,B
+D9VhQp\t3fiV`NJq>:!cjnf&SJ,~>
+q=j^Xo(N[gqW2ibI.blY<:BkRrVQ6_q#'mbp*]UfWdA&Q>[ro'iV`ZJoCVVJqY0[Wq"FF[q"FaI
+pnC^!p$_MHo`"^`!VuN]p]'\Fs76!%B_2#fqtBR[k\k6?II7!0KTCkihu!BFnalDHq>:'bp\"@S
+q>C$arV#sZp\+@Wp%&%JoBOq2\G6'trqIr:p@n7Sm(nEc>[<*!l1t,Io_\1IqX=(.?]3>2oBc2B
+H=t7hp%/%[o\oQ?p%e=Wp]'sQp]'sepAju=~>
+q:YSqo%=Q-jjRcpD!8bs6epnRi7uf\ec")'g"P6:hVS1g-GksW7mBF9HC`4?k24tMf\PKAgYL`A
+guI8Hk/cD83MG3Xf%Sa7rS.>(!8$bos3a0le_R&rf\P'8g=53,;GKA_d,9^mEbUWPhVd&9f%/L.
+h;-i=fA"m2hV-cBf$r1!eCWC+f&G9;e\k%Wjk\YErnAmUg"P*4c_P8D5=TRidc06Bh;m;Bj4N2'
+89_c4hq$`@@nj&XgXb3@fAYEYfD4)!gAT_)fDjFfe-+FTeC)cq~>
+l2*.6pA+abpA=jhh.9:>s8R.<S,*$\o)8Ubq>0s_p\Omdq>1'ah6iSsCh%X_dI6u.r?2%8qu$Hm
+r;--eq=aX_s8$nVn,MqPs7Z3[q#:0`p&"XWr#bt.s8Vc;M#O*+p&FFZp#gL9Y5eCD[!%kgqt^6k
+r;PsY2tR(Fo`'8us8W#cs8Vfmq"4Rbp\b'Wac1CJA;nCns7lWkr;YT0BA3+[qZ#H%B!_.0p&"d`
+qYC&sqZ-JC~>
+l1Qe/naubPnb2_KbZ-dUo_iGqPOnPDn,!(Wo_%nKo(DhOoCVeIf<16XA6Wr?ali9kp&=Y*p\FXZ
+p$qqOnauVUol+U/s6T=Vo(M_MrVZB_qtTaV*rbO'qsMCMns+dls6'FPj)AY/qt.n1Dj&H=o(W1W
+nFunVrV&8<s7>[YFGKYhpZh\Qnc/4Lq>'UUrT;%PCfO_n]&rt\s7>m_eU_)Rm/6>Le950#mf2bM
+r:BXXpWrR!p]'sepAju=~>
+l.?m2e(3C-e(EF5]L=BjjR#u,IbW]5d+R=,eGdu2eC`R2g"bK>_4,dW9gi'8ZI%D&hB(J*g"P6:
+g=Xp3f@8F,iRh1+cfNL'jOMl4f\Y?3eF;-5iR-WCe>m-6I;%'kc0!Tu<_\S4g8pK<GdZ8Xh<*JH
+o%?7Ze^N!tf@S^0e*,W?lsY%uinDZ7h:1N:dbNX.g>L)NDH/khD55G>g$%5Ike:e&]@c?%jh>(l
+PLSaFg>CKVg"G$Xg&9S%f'Cfgf[eR#dXV~>
+l21MO/GT,?s8VTcL.R$tp@HNuDs-obs82<cq=jphrV69go?*)+@Ui\r]D;L,n+$/N+8l!4r;?Hf
+s7ZKmmcs`DjA_oEs8VWbqXj:HnalSVqssY,q"k$ds1PP_Hd;'Ps7>gNCm=tas7,-(q>C-_s7$'`
+l23L=q#CBeb^A:Gp&G'fo`+U_s8Vljs8;9as6?q6>%rW/m/6\H_O-Y^bd*dl@>+[Vs8MioqssX[
+r3cD%qLA~>
+l1Y/E/G&T0s8;-LFuaaCl0,uJBAi@Hs7YdYo^_t\q"+4RmDOfh>[:EXZgn(mkNVg8+nk^*p%J.S
+p@S4Oqu>pBp[R*8Sa6=Um.L)Dn*fc<qZ$?]pE0&$rpo`gTuM#fjQlj5m-8/ArSmkBgjenfo^;\B
+rUKFPrV6?c2Yck=r9qUIf_=n8r:KIXnG*"[oC`+Wkkt;:X):gDHbSS5n`@?DNp=HYP'C#Tqt'g^
+oDSFOq"N,.lhCGQs7ZNgJ,~>
+l.H$^/CiD+iSMi6Agq<Vf[d2S:r_/5in2H5eC<C8gXb'6e#[L]7RoaTSD*2fd*haH+Pb`*f\,!4
+g"5'0hW2o%g=4%tK@/iBce-q#d*U1gf\c2O+5>l/gmX)&=/sHlk0qc*969.7k0UtVf\>-0j3Qc9
+g@Nu_f@A@!e^rF+g"Y0<k1R%L_VN]$hq-<:e(`j<f%As8bMqR*PZKq=A>d].g<QI=GLim[IUYQR
+jOrVNg#1T3gA0FTf`0Y'f_sCee-+FTeC)cq~>
+l21J[/GSi7l+g=_:fOn'k+$6OF.C8Ml2C2Qqs!bQp;iS@;c7.[\`W__p@e:Zs8Vom$ig/$qYU0d
+q>^$Pp&=srqZ"]dnEp)CrVm&uqYKsWqssY,qu?]gqno"`E._T(s8;nJC%qQ*o`(Z4ookHAmEa_D
+l23L?n,NFYs,<TInc/R`oD\R`s8Migqu?]lnac_[n@+0jHC)_Ls8MEVqu?Qns7lWop?qPLqYC*c
+r3cD%qLA~>
+l1Qe,s8V]YpZ/kW0LJ@0q:h$?2JeYnr8RM=r:]4?s7!mfCe[T0J$\))o'l/>pA4^_p)s5+p%A%P
+p%87NkOAKNs7QB.Fm.rZm/R%`rVH?cp@7qKpE0))rpB6dP(."d=/Yuiqg2f>o(D;JR)\HKKr<tM
+f$a*_rV6?c2ui.=s6T]=RJ#qHq"4"Mo_84Xo^__Qr:B7@qu>rdJS9.f_Y!m'jlc..nFukMq>9[F
+mJ$>Iq>'d2p?VJQpAajepj`~>
+l.@ZEio8M8fuBR>*AB=9ji;^@+&[H^ho=BshV#rtk16JT;Dg:#B:Husf[eX+gu.2fg`PA+f\"m1
+f[o*/b1#>1jOiOo?I@'PdcB?Fi7lu>f@'3B+PYi8e(C=>B1uYrNoJjQ@7\o$gsP86XjV0)NlnH:
+[bC?+!8%2"s4@;(2r`0Akg\d7J_SN3gXjj.f@o'9f@AR2hq?E*iTALRB22WSW7pCjcI:S0gu7DK
+io/J6e(WL-h"fXVf`0Y'f_sCee-+FTeC)cq~>
+l2)1equ6?`s7OdAY0*cZs3H=LUn2h!rr3f1qu?]DLK[YO>E@J;r:B[[qYU<mrqGpXr#bq9qYL*e
+r;6-ds7#dUkl&E5B9*#js6B+Hp\+I^rV#dZ+TM9;qt]/iHI_PGRdL.+>bh>ls8UK&n:>-8T42>M
+h#6O9(]X@1rr;c6CubH`q>U-]s7uNirqlEarVca1o^VeXqSn\;DkQ"es8W#nr;HBcqYpKsp](9a
+q>@Yt!;_3~>
+l1Qe!pA+:LrU@t(UV3;,ou)*!R?qoVr:^0]p&G$7JQ,B7<Jf3%p?hDCo_&%Wq!mYGp)s,*p\"4Q
+p\4CMs8VEUnDj;U[TnRap&F+<nFH/Dr;#sSpE9A)q"4%+AT#WOJro-ocrQS3li$LsIcbiXi0@DJ
+B%?VFpAk!cpG`$Cq"XjZ_.MQum.C,EnGMqOq"aXRoD&4_s826Mo`+R!N,!'qg%bO<naH#=n+$&G
+rqZ0_r9jCTch?]!s7ZKe!;M'~>
+l.@Z:f\=p)hpSZdNN.i,hl^EsK7-gGin`bLgZIS%B0%k$4)qmmhUU64g=tNDhUg-Ng`Y>+g=Y'2
+g=k6.jQ+V:e&L.<T1En]hWW,/e(*"%h;$NNfcf).g"tH6]hMP4c"_IHjL.1$imQoCY%>ja6-"@;
+5u"uFo%=&qec","ff.g@gYV#DVbFq\ce$t&e)/d0gYCK3f%]0Gk2Fh;g?.+dE_oP^^Y\,2h:p]>
+f\5':jPSPFhpM8Qg"?>XrRh)"ldQ'if$r-rJ,~>
+l2*.+o(`1^s8Vlome6\[s8W)nrUg-es7l'_`IqYu<,n5?k5P,Hs8V`grVcQbpAP$eq\K,+q>1$g
+rVZ]ZqZ$KjpAaB.C4>";li-nfrUoj[s8VWe+Skp1s8UJm^]'("ec5-$K^nR3s7`hO\6%S]V/2n+
+rVc<bq>3,Hs8;WkmIYUrs6og]s7H?kr;HZqr;-?[o(Mt\s8Dipqu?9"R>lQEao)22q>^KfqZ$Hb
+rr;`gr3cD%qLA~>
+l1Qe!mIU,Js8V]jkNi-As7c0RoBH5Cp[$u<]mNsU9PKNuhtQX,q"jIQq>'^Ro(i=]pE02)p@nC[
+qYC0Qp]('aoDdZj?$"Hbi;`iVp@%JDq>0XU+S59rq=qpEYj[!Ab5:C\Icfbkrp6Q-X\@71RUMQ^
+p@e(Oq=loBrqZ0cl0rbas6B:NqX=:Wp\=^cp\":Hmdg,Lr;$*ap]']kQ&0X/^@Cm\meZ\Ho_S7M
+qYp*^pWrR!p]'sepAju=~>
+l.@Z:cdgb'io8POc.1n2k2+kCg=,6=iRZ<8VI`(N2,\Xk`SK+nhVci8gt^Q3e_K6]g)o)%f@\g4
+gY1W+f\tQ;eDePY9OGNjbin9Ogsss.hqdkV+kkW*g>_+q<h%fU6+#_#F(WeFkigT[\!K"eeV$SH
+khOn^f`9Y$ff.O?g=G?/doLtZc.L_*dbWa5gYh#Df\4Wue_8m;gtLW=jO0KACg1AKh;Qi8j5AJA
+i7l`:iR[hXg"?>XrRh)"ldQ'if$r-rJ,~>
+l2*.6qY^BfoD&1Zs8;QVp]'pdrUg-\rr9WB?:meEhYla0s8Vfas8W#moC;STs7l'Yqu6F3qu-Kk
+qX&L*q"+OclJH;m_fV-,g[at5s8Vukq=4A*o)JO]oS9.>j_h!jhZ'p0s8V]S^#o?DYQ+WHC?PKo
+rUTm^q\8i)s8;Nhr3g>5s8VZiq=jpeq"t'gruM+8p@\1Vs7#[Yp\O[GK5bM(n,*%_s8)?[q=sdc
+q>@Yt!;_3~>
+l1R(9p%S@Smdp,FrUoU?nG)>LoBH89nbfRo<^K*%f(J%fq>B^Jq#0s[nEolFrq,ROq"ORXq"OR_
+pDiu)qYBmNFJ\["rVu!/>[Y!QM29OAlgt#Np%%_EpE8i&naYgiP4-t/S*\W"X`jO>khWQ!pN*/,
+r+o`qnG2eKp\FSCp&"[_nc&?jAF]QnmJlhLr:fgVq>0sbrr2cgo()DHrU'+MoCqn7HY$KTjRDg<
+rq,UHp%7qTq=i5/lhCGQs7ZNgJ,~>
+l.@rTf@f!0d+-b$i7l]%eD8R8g=,96hW^P$5qOX&^Y[/\hr<27gu6u>dEpG#hq--,g"P-5g"P-Y
+fH&Z"gY1<'<JK)PhVlPk92DBbF`b:FeD0$AgXt35o@Y;@dcfE=dUdj\_+KF4^#G;`j64q3SAjGm
+No]>'8]KKAg?R?Mf%f*8dbicC8(?DOd,N[-hqHZ7gtgfCiSWJDe^N+%i6Kg*f%ATkA5PpVcJ%+7
+jP&)5f[nd5q:XHRs4RA'rRU;a"PD;TdaEX~>
+l2)k+nb2qUp&4parVuirrVZ]cnGiOBHWj9^Kt-7<o_\[go^Dh[r:TjarWMubnb`@^q>U41qu$<a
+o"AtQs7lNls-6liq9jkTCk\A#p&G$drUKe.q>^H^\mr&Gl\^1_iVK[,f)OL1dJNorj7U-*_#O30
+rUTm^q_7jFqu60dqWrO1rVuQjqY0maq"FL]rr)cgo(;bTq=OFSqu-9cs8R&S[t8FF\)$cVrrW#b
+q>'rrqZ-JC~>
+l1R(1m.'lAnG)kMqZ$?jq"=FFk5##"CJ$m"IB_Pqm.:8WmHF?Fp$VGKrr)T[nbW:\q=sd\q=saa
+pDiu(p[djbCq'H;q>C2I9q(FfFb*tIOM:,^p@.eGpE9),p?&MZU\ihnF->,FVg?PYd&4nQo6K!R
+ZXpQ>mJlnHp]("IpA=X^n,N.HFf>*3nGW%Np@e+JoD&.Vq=a@Nq"sjYp@\:\pA4ghBXY!d@<8X&
+nGiOds7P^Nq=i5/lhCGQs7ZNgJ,~>
+l.@rJcI:Lsdb<L*gZ.#Hg=Y3+c/\#t><4K7C7WN%fA>`Qe'-V.f[87)gtpT.ceIF3f@ed/f@ejV
+fH&Z!f[S9;9pjqkg>1\05)\1&A8k7TI&bc]hq?f=o@Y;@g#h2<QpHbpa(AV)^tXoZ[GJKWYhIoC
+_UP,PTAnJbg@EqogAfhFfA,!3cJd?q=,Yhhe)8m/g"Fs+f%]!7g=4R!rn/.:f@/L/f@]*B;50Ff
+93mq!f&l,Sj4MZ0q:XHRs4RA'rRU;a"PD;TdaEX~>
+l2*F>qYpNmrVu]mo`+F\q<e4]s11j6=_l:Wp\b'krqcBar;Z]iq#16ep%eLbr;#p\q>:!bq>:'g
+qZ$F2q!m`]@$nt/s5j2n@b:YUT3bi;I^eeGq=XdXr!EDls6PGdY5eOZrr3W+r2Q*W^u+tfpo:=)
+EF8VCrql6`q>3,Is7-!do`+rqB'9'krV-<brr;rorquKbqY^3apA"O[q"jmdqtTiKoDedDP]C\r
+eGAh9s7uZir;$6iqYg<dr65$<qLA~>
+l1Qk0p%eO[q"s^ZnGV\Po]H2GrNACd9O#=!me$>Pp@@\Ap%\4Mnb2kPp%J:]r:]^Vq>9sbpDWYi
+k[%JW_=IW`oitM;p?\#@;dFRJkPXo<qXO;%rTX.=H>oVOp!`^/s75lZOIEW1n,MgNT<i04nbi%O
+lhCGS2u!@?q#9g_qQ"#^pA4RTq=4:Yq"FOXo(W"YqY0^YqtKj\qYL![nVul7p!et:Bn+J$n+lqT
+qt^!^pAamcpA"=Bp&b!^p\a^cp\+=Ts7ZKe!;M'~>
+l.@ZGfA#08g>1?8e)8O1f?371kF!hi4%um6h;RM[j5&A@gYCK3eCi[,dFHq*g==RLfDO>$f`0Yu
+f$DN*5'EaSk/H1K7(;:4J3H1h?^B(#f[f!6f@ed/f@ed/f@ed/f@ej;dGiD]>)_@r]AME+f\D@-
+J=XF*k1,<CR8,ruinN2@o%Eoos4K?`j3QE9db`c>7`O-<gXP!,gYU]<gtL<2f\5!.eCN=*f\5*7
+g"+YoeEGc#F&>_EZJ*a^i7Qi\g%<qjg%!_pg&9S$ecO@PeGRkueCO?C"PD;TdaEX~>
+l2)e&qu6?]s8V]cs8Mfks81uYBhW/T;.5[-qZ$0arV-?_s8VTcs8MmRp\"7XrVQ?equ$?hqu$Bl
+o)J^\rq^PY_sVC)qY-snOoPIVluIXVq"k$hq>L?dqu-<aqu$<eq[!,pr;VV@`L[&-r;HL&oDe^`
+r:Bmeacf`/s6fpcqZ$Hlr:p0gq>L1$s7QElo)/Ofnn6PLm/R"[rVQQi5POL=s7Z*bqYU$cq#C3i
+eron0rVuNRbDg^pZ0MAdo_A.[s7-!dpA+Xbqtg0erVuNir:p<hq>^Bms82iro$.%3qLA~>
+l1Qk(pA+:IqYopRq=a=Mr:Ag>@74@.7TP>Xnbh_Ep$_eCs82'Qr:K[Vp$qYKqY'RUq#0sep*]n-
+qY9IPnn2jMiF(C,lC:V(qYomCB6jCFoD/.Qp\s[WqXsLUq=ja\$2=#_s+-<HQM^CPpC?Wko^qhE
+pA;^e:943Tq#0mcpAXg^pA=XbpCI2krqu-VrV5YbbOXZkp@S.R53qtCp%/+Up[e4Qs7Q38NV32D
+s6o!gM0+'HkPb2Gp%/4`meHhRpA+R[p\4L[s7H?coDe=Jp@%\MnFcbGfCo+9s7ZKe!;M'~>
+l.@Z?f\=p&gu-T6j5JbMkMF@?9J9"51dlMfi9AnPinEJBk24G8hq-E.cd'nff@JFMg&B_*gc4<?
+h;6W:gJD(Lc:uF9fo%q4kNLOB;.&;7g#(W;h;Q`2g!\@"f[SO'f@AL'f@eg4k\>=;I,WlWg(2Tj
+f[ng(g>8]H16127gt;VXs4I>(q:PSts4S"@e)B34guI8?9"!<li7?EWej\6Eg"Y33ak5Y)eD8d2
+f%em<f\EiQf\YBDd`/;'<F([,hV$?.dc'00fAY0.f\+m-f%A[7dbia/k1\JJgu@JMhrN2<kL]je
+f[fuQ!S5p$f)*r"f[eR#dXV~>
+l2(P[p\b!i+Sl'2q#CB>Lg!)`]_MECHqm=TQH9++oC`.Oqu?<Ys8)Zn!ri)mq>;-'s7cQepn2-X
+pTS2Sp&@-IiUm0Ks,:U*nGW@noC;bYs8;`iq""7X#QO>.L!?1#r;HNkq%*H(p&4pbqY:);CA[f*
+q>^Hjs82fnqYL<iqu6Ehq[*#gpAb0cp\_1?rVllkrVQQis8N9"p\t!_s8N!TpA+CWXIJtZoDe^f
+nGi0lCLO+,s8W)ao)JUSs8MQWr;ZN^p[e7JpAaNeW.VFTYfQP<s8:1>!;_3~>
+l1QM!o(W(YrVcBbmdU8P`dgrIBXI:$]Q?V1C6$++s6K(PkOefAlML2Pqu?QqqY'R[p\je5n,MqX
+mdQKDfBT#.^ZG)=51\ulpA]hS\a0:lr;,jJq>L<gp\4@Lq=k9rl*c#\QaQP]p\OXpr:'L[o(DVS
+G%LC=q=OO_p&Fabp\OR`p\XacpC[)gmI:)OmI0S?DtX/,q=+.Qqt<;Ss8)Hfq"+L]qY9ROn+*?A
+o_%_Rq#'OXo!W4<UZqgYqrmMKq!.nVmd0cJo^DGDqW[VOk,4\iUR7^dl2LVRf_54:s7ZKe!;M'~>
+l.@fFeCi^6hr!&IgYM5YZY_oR<MA7-WF7S:=*q(4lIOPKc.M+)c/.%(f%A[/f@JI)g"P0YgaCY4
+fB(W;JOIN2O[ZM*kT)1he)9$DCIXrAj5&VKdE^CugXam(d`hR<$J4FgT4Y3RS(u`Oqq2M6hU:-8
+eCW70=@_#ogXb0ZfDjM&g%j:tg&Kc.gXjp*k2b+GhiV.#k2"_9eC<(#g"G-5hr3>AhV$K=h;-r=
+g""`6H.CKni7Zr3hU@f_5D72>iS)E!j4DK2gs+*rhUBj#cdp1ej33aDA!;_1W7L1lg#CZag&9S%
+f)*r"f[eR#dXV~>
+l2)_*q>C9bmdg#@s7a!F>[Cj[kl1PYs82#MI8j-aM8'#Vp\Oddrs8Amp@\(Oq>^Kir#>\8nc-OE
+RJ6_sK^o)T6B_BCs6u;J^2Wu6LTg^Ws7ccinau\WrV?<qrqaRNr.VNNrVQQh&,uV%s8VonpU3l!
+r;Zfpj8SoTqu6NiqZ6QjrqZNis8NQ-qt^3jqZ$S\htHs9s8Dinq?ciho'uPSrVZ-]rVmZ2J$8eJ
+o)8Fbs82<`s3#e-Pf!G"nb<%_)#+(1r:g$_p%A=as6K^>?*O@r_MYSqq#&G7!;_3~>
+l1Qe1o_84Nl0[s)rpR%-<*!/;i:cj9qt&a1F\GGAJ[YU?nFQ;Ps7l*Ro'l,<o_SUap]'q6qtTLW
+]Od5lra'g-nZ4U's6p!ONLI:jp#CV&q>^Bcp$qJ?p\Xg_p^-]c]Y!leY4),ZqtL]tqsaI\o_A!^
+8uMF[r:f(Ip&Fabp\OR`p\XacpC[E&q"=1Mp[\4YMU_"`l2UMPqt<;Ip@7YIr;$-QpA4g`q"/j3
+q>'LUp](0dmJ6e'H#&PUq>]gPrVHNaqYg0Zo^q_Irr<#Zs3=H6n(k9tU[dmIf_54:s7ZKe!;M'~>
+l.@`Lf%Jj+bKnVcl.VS.5=%]<bMhC:k2+:2?oKuBC7j_5f%Jd=jP853cd:"ceD0$9g&0S(ga;":
+dHIE%HJ%LWB%#\0-$/A(kg=R+T2OFcB91s4hq$<(c-Y%qg%s;-g"kDZUtfOGe_8aSfalindbNa2
+g=2<;M:p\@ftdU=s4I>(q:PSts4UT9iniGDhVd/Ql#seie]H^ueCN4(g"Y31f@&("h;$c0g#1uM
+iS@k#g=jp.f]1f@cJ%3U>"it/gZ6Z1hqd5@gu-l9f%8C"g>V)5k.<d<hp%m1OPAC?in4:arRh)"
+qpYc$f$r-rJ,~>
+l2(V[p\k-grVmnMC/%H<[/]Lfs8;ZhrVc?fds=u"AR`+@s7c0Rmf*4irr)cmqtp3e&HDG'p[Nf\
+lh/G'Z*jUsBVYS,'?@0Pp3(IhMq\+"o)Jafqu$Eiq"jjnr9s[`rr/=Lq>L3hq%*3!r;HKhs6+KW
+pYti3s8W)ps82fnqYL<iqu6Eiq[`>is8:'ds8DZkUT+:nr:g0erVAbYp\b![rVuEfs7cQcrr7J[
+qZ$Ejq"sd\s8;9\s43<PKZjDqq>Bm\rVcKar;QQcr9="VpQp=.p](9!L]%1sqZ-JC~>
+l1P;Ro(`+TqYpLAZXQ?m@]]CdnFuSEoC_eBqoa"R<aAn4mf2eDkNDjBqt^$]p\+=VpF#t/rUK,t
+EoZH#9;JETKj0r?rqF1&p$Qd8@>35)m-OZJq=sd^q"=LY$MWc`o_/'DNUuo=qtL]lr:g!ZpA<le
+JF_ObkPkM\p&Fabp\OR`p\XacpCH]YrV".Lp\!kIR%F*Jp$qkO5QCHSr:'XamJ?eOqs=%NGddAG
+p\ORXoCi4[lM(>-Nbj3bs8MZbn+?DMo'uJMp%&%CoD\-7E:;ucrM=o3r7CZ>p]'sepAju=~>
+l.@`BeCra1guIJXS4bIf99nM]g#1]>gtpo;jKr,K5=S#*eE5?2c->8)h:pZ:g"=s1g&B\Tg"P0@
+e`590@U%(-X?)Q2j*"%JjQGI"N8E/g<(Ul<gsjd/gXt-1g"4aMf*^3VkM>%PH#qZmgABP6e)&d3
+f@\ou:L_hgdE1>,rn%2&rn7,"qq;#'&(K%fgoRa<hV%%ELu7%@dJh]cf\+s4g#Uc?h9k'>d,!X3
+iRQiD?CBI'f\>!1eCW^6bLkj^DbjiAjPe_Edb!7.e^W=.f?r<me`>5(?/O8ulB5c6in<>Ds4RA'
+rRUkq"PD;TdaEX~>
+l2)(fq>C0is6ILG?qOn5rVuZmrr2p-rVZWopA"[]WFf+2@]T2$rr`#fpA+^f!W;]fr$V7=rr8Hu
+T)\iAEdW93O&s=#qtH&tn,MEK@HIOas8VZ^q>UEmq=aU]#64\rpn3ZIrVQQh&+oo#q>('_[q'T:
+_>aJunc&Cbqu6NiqZ6QjrqZNis8NQ,n=a0:UAt7VJ&\Mgs8DinqBbG%rVZ]op@eF`oDea`hJL.#
+s8Duqr;$$Vr;Zfkqu>>t>Dp>crr3c,mJ-_[q>:3lpAY*DBqkY+s6ub.r:nP6!;_3~>
+l1Qe%o_8+UroUk7>!uVrp]'g[q"jmap\+@]nFHVKUL6ho>c$odqYfsPnau\WrV,mYpF#P-q#?O_
+QMUL%B5qkXJkEWSoC%@TkPj42=l',Iq>]jNo_JCZo^VbO$2+)emdcg&qtKj^p^cilq"44Wn$6;=
+K=q$[j6Zd<s7ZHdqXsp`qtU3c&,Z4tlBt[qReQK1FM+:Aq>'_Kl1b,QrV?$TpA!tRo^LFD^$Y[k
+qtKjWnEouMs75m`dWSTC]''+js6f%>qY'LRs8V]ds34f6q<e"<Q#?-^fCo+9s7ZKe!;M'~>
+l.@Z>f%Ja2i5hKj5Uo*_h<*AIhVdANh;$iKf%B-9M+0<\6B0UWioSeAeCWO8i7c`ZfdbV,g"#!:
+k'TUIj6*mM?!c?,3Mu)ug2FCIl,G_O`p27<kg7`.gYLT7e,%`)g=tTDf@YUkiS*#_falKfg=Fj4
+d?HpoAY.Z:`QnJ7s4I>(q:PSts4S"Bi8)b35@0!(j)\P%L"kD]f`0VkgY'd&h;$rDe^`I3eEG`A
+^J(<Ih:pf?g=Og#g>q>Fg#TYJ3bk>4k2GIPbh(e.f\,<CeD',m8V63_k0S]^gXk-<f`0Y'f_sCu
+e-+FTeC)cq~>
+l2)h-r;$-doX/4'Bs%.0q<[hIq=sRUs8DTXs8;9[s7aO/F];\'_!h:&"o@ufqu?]lr!)ioq8Zob
+kPkK%]Sb)4Y[Et!or!`Js6X`;B:A#^nFch]r;-0]r;ZTj#QObso)Elqs8Dinq%*E'q>1*jk`9PH
+aoDD3s8W)ps82fnqYL<iqu6Eiq[`B"pAa#rNp-K:[TZ:Gd.I;6rV?`qs3m@0T=Fn#*pNJ"s2ffI
+pAb$frVZZprq,dTq=s[`s36IFH`cf)rr3W)rr;`cmf3:PU2HX:cD#HOZ2`&F!;_3~>
+l1Qe-p[n(Pn$$.hA>o)!o]Pc5o^hMAqY9ODqY04Gs7*mrDbaDd]'94mq=O4IpA4^_pF#J1o>+RF
+htcsDZ%'a]UK*NNm@T%2qrMHt?]s=>kjAEIp\"+Ip\t!_$2jJblMkg]q=jX\p^d,ro_&%[j,.K4
+`;KZ&qYL3as7ZHdqXsp`qtU3c&+BMes4;:Gi:H<9:HrX:mJ6H?qZ#!1St!+eq>'"=qYJ$QfCA_2
+p\=LYs7u-NnauGCrVFEbCilH:j8]/Sm.^>Fo'?;NiKmu:XM0s5OfJ9MfCo+9s7ZKe!;M'~>
+l.@ZFg"+^-d?6dF7uPpYf?2Ukf@J@"h:pB%gtKs'k1?J`<Am*WU=&,bhqZi8g"kQag&BSOg!f*:
+Va=A(io0-mCU)WW6%7bEMJh_Acr*J0IE^^$f]1f@f@8:&i;2+6g>^uAe)j\NhqHf\facihfA#?)
+Ce8`GhW)r;h#>q*f`'S"f_aA%g(2`pf&jbPDopnjQTHWoXjI%!s4KZlg"bVoG_(=1jPSk;g#M+m
+@D11Hg"P37guR8=d+$[ueDoJeC/\;nccYD4hUC<=eC2RugrP%AJ=Nco<I9hci7S(_rRh)"qpYc$
+f$r-rJ,~>
+l2(PXp\Xsi%bdZ%nGiCUqZ$Tos82H`qu7B-pAY*_rVsr_?!MEDo_\[gqY'^_q>;W?rRu%'ZiC%)
+mJlkZpAL[s@;pnbrpldjldKQZBTW8ao_\[cp%\R_quHWmrrHS^r;6Hg&-)S's82ifYM/CDrUT(M
+o`"^equ6NiqZ6QjrqZNi&+fSeqR1U[rVuorM07_Mrr)`mqAA`%oXfWWI*2!;SqXH#R"G,3s8)Qh
+q>Bg_rri2rs8Vuqru1O(ASe6us7u6cs82fqp](8>L&_2#F-Z\'q98^9qLA~>
+l1Qe&o(Mt\rRII[li6\Fp&G$dqY'CLr;ZWir;H?Zq>9RRs2&bW<c"8np&+^ZnFHAOpF5n3qY/KN
+A?5b(pZ;2;s6fHG?<V&kj7hl/=6%G3=^6X[lgOQDp@.\Nq=am]rqQ`t>^lA?p\X^rqY0XZpAF?Y
+e`d&.mGS$5rq6<brqH9_!;HBcs7[&ko'H"ODmT-8q!rlKeaW>/p-.jCn@*dGG/W\!Q@5XRNI(0j
+r:T^Vo_7bMs8;QaqtfjToD@a<=^dcGp$Uu8qsjL^o)/E(Gjt=@Ar-!Wo%*O3p]'sepAju=~>
+l.?d&eC`U:hm\*8c/RC$fAYZAgt:$)hVnIh(Z3logtpE6k,MQM5ZWTkh<*bQf%Aa1g&9MOe^rX5
+\k>b^khk=DiR[5EhLnHj<bg"BfSDrB\P>^iFR7E'g"k?1f&$2Uro++D6=ej)gABP6gtC97f\Xu6
+\'!abcbe_irn%2&rn7,"qq;#'&(B1Zg6Yp3hWa+XC/hjsg\KMecfEQD?TDAkd(b'BP.,^Hf\><9
+f@nj1d,*j@f\53=f\YHGdXabYKY$'nd,3s;guHrBj&osLj0;O*gZI/AiRn1`rRh)"qpYc$f$r-r
+J,~>
+l21MU/cYhCq#:'fqtTsds8;Heq"k$jp@J+[oD&@^p&+jfnc/X2O)eWBQI5O.s8)Qdr$M6;<e^SN
+n+m"`mJm1\qVB,ui;`KLC7Y.QCLW?lP?E:BlMpkXp\F^lq>^?gm='B]rVQQh%f?&#s7,^\n+?YP
+s6p!`rVHQkrquWi!W)]mq>L1$s7QEW?toN8q#BN1C6nPmrVQQi+ogs0k\=JIs8W#+OjEffL].)L
+qYU<ir;ZWfqu6Kfq>^3fru(("De>'is8M`lr;ZTa^gQ%!s8&:?R.U=Vc2.M;J,~>
+l1Y/K/c,;4oD/"Rp@InPrV,^ToC`([na?&ImdpALnFunTlh^IqM/-7(ON[7qq=O:UpF5n3p[b(T
+IJNKtnb<(Fq=a=Mf=nE@q!RldPjct.<eH?d;0T>-r;#pSqY(?jnb;YGkBM+Ep\4R[%efMis6T1R
+lL4cAs6BXVrUp3arqH9_!;HBcs7[*)n,MHN@Is*XrnMd+Ms^<4qY!/Ql2TgV>K$R=orj4jm>?;b
+p%n@TqtBd^p%%hPp@IkJlh1/KqV@ZO>(bE*o'6/Is7GZc<6t:1l]?FTn+Zb3pA=UapAajepj`~>
+l.H$d0\kF2e_AX/f[\O-hq??1e^r^8e'QV"cI:S#db<X7dGj/fF'(n+HF;SliS)u=g"HAV.Fm&(
+fnVItinVo7i98JGhq?f$X..,jgZ21`hS2oWF+/<o>*[1dgsssOg'ZWhi8!)3?<Z7?gABP5f[\a:
+cHtUqdGrX7bi@:QfDjM&g%j:tg&Kb;k1/V:5t]qfg$6Xi8TiV@g\TSfiQUB'8Ns09iS0`?Yh=23
+gt:H8g"tE9hq6K4gtC92hppWGi8hq59gij6khO\Jg>LT2T0BpJjOelkGLG4&iRn1`rRh)"qpYc$
+f$r-rJ,~>
+nb_kQq>:!`q>)34qY0jcq<d.+CI`d0s7ZKas8Vies8Vopo<</frr;Zequ?[9p&Fsa[!)EJJSUZt
+R:C?bhuE-$ir&`Is8N&fqYpKurp]o(M#7/IrV5XRqYL<iqu6Eiq`+EMs*//$s8VloY+EOUp\O=W
+pA"R_s7?0go=\Ojs7H6hT'?'hJSMBpbHCmAq>L?gs7ZKes8DrnrtkONK56_'rVufqq"\ccqu?Zq
+_/P_,s7ae8!;_3~>
+nb2MGq=sdZqY)-+qY'OSq=Nn+NatG!g&(:;meZkPnbW1Urp-LqeG&q1q=Xdb-h.*/nuZj&p2s`%
+CPu81aOp:NfA#ukmf3%Xl1=fHq"EqHB7fgMpA=UKp%n@^p\XacpG_^<qJoo^p\F4SUQ`3)n+,];
+nFHAKqsX=Wm^QGTq<[bNPMY`<G$h2L`2EY,o(MkKs6oaPq=aXU([ehX?\lnqp\"ISnm[+7q!\0g
+AWQ$So[ig6p]'sepAju=~>
+n_!*Xq:,MseG[rAf\,0:g>1fGd`-W2.q$3Rf&P05hUKs,gt(Q9O\iXFj44"\.c'4Jg?7GMRU"n7
+B2O.aJ4EVB^>@,J_;!_ok2"tAg#:lJhpL:TB\V4nqq1/bq:PSts4TEbh;DC*YMeEnk`:4h=k_WW
+hU^?6g>:94hU.fXCuX"$jF>>+V.*#VP,aN(g">*:fB(Q>f&,9Yh&"_=@7bLIgYUW@f@Wc5gZ[GX
+ThfgRjON5As4RA'rRUkq"PD;TdaEX~>
+nb_kQq>:!`q>(p+qY0jds7l0XhktjCG,4[.r:U!fs82Tjrri,smd^>Tq^VI>qYgBbrVZ\WPPY8K
+ZKd[!C>f-dp#U:oq<cc+s763ipsB!>qYtGms8Dfmq!%YOqZ6QjrqZNi=8_sJ=+gMPmJkt's6aT'
+D2WacWS7%FoD\^K@V+Erq>8IDr;X]IQ]Q'RE)UUjCm'a8YepG>mf*4crr;utrr;u_[sM_Pd/)_R
+X^n+)ptio:@]oP,pW`R8qLA~>
+nb2MGq=sdZq=c!,p@J"Tqt'4DfqES+E1ZCqp[IqVqtBX[q#'X]kNi*Eodoh0pA+ORq"O]CN:HR&
+VV[,D>h/Z>mbVfSo&e9dq!7t[n]:Cto(m$TrV#s^pZ_AIp&Ojaq#C(Ip@Zj2HhRL$qpC,kj'GPn
+KlqF2f(&e/qYAuR?eG8Go>[a!p:4CdKk?Q`9P.mJMhQh`]DqWdq=>EtoA6Qe>D^AkgsMitPPjXj
+[W5TMo`+R8pA=UapAajepj`~>
+n_!*Xq:,MseG[tufH8o'f\PQHh:L>tMdTOeK[Jl7e(N[6f[]$@jk8e@dGt/Z/D8e4i8E5HiT></
+i8cJWd!B%p_;Ehn`)DHDbdGsWdH9QBZ/4Eni(e.Lg"H8Tl.>a`qq;#'2r*/t2e:h0cKDl\im14Y
+:iBWCM7M-rdbW]p5XiEJg>&lrh;Y8$G]-9%:GPU;96"`^O.k^lbPBs1in_\A=[dD6ftY"T7"FXV
+]VA^tMq6k;iRn1`rRh)"qpYc$f$r-rJ,~>
+nb_kQq>:!`q>)33qt^'crr;uns8ViTX);4.ec5R:qu?Q`qu?3Oqu?]oqC;::q#1'_o_AH*ZM!m,
+_#2H&PlIM1N.kp9s5A0bp?hn[qigjPs8-Jds8Dfmq!%YOqZ6QjrqZNi=9&!9BVY7us8.)Yqte9$
+>AKdF@D;1#s7,a";lf`Xs7Ekfs8V&*bLl"Oo`+s=aN;';^!#d>s8Mrqr;QWnr:g$es7EdPA<<I>
+FdeAPY+:K3bl@_6rQY3>qLA~>
+nb2MGq=sdZq=c!,p\"4SqYU-\s7u3BV.`qkci*V(pAXdNoD7_3o`+mfp+5t3p\aj[o(;ipXR5C_
+[-k\BLAmQaJU1SbqUTJ<lf.^6n;Hi-q"8*KqY'X[pZ_AIp&Ojaq#C(irU@^6S*fkJn8>`)n%(\]
+A=$k3]'Abam-_S^V"3I<l)rtDp=+#rc/%aOs7jXK^TkV]_;b"ao_%kLo_%kLmIL8VlEGM=M4&a+
+NIlYOOFDl%s8VQafCo+9s7ZKe!;M'~>
+n_!B`q:YVr!7h&!rR`4Ig=Y-8hr<VLkMb+7ND;WZ[H#udf\tN1guHi)g?.Gnfdte/g"tQ<g"YOd
+QJ1%hUuAUcH0TuiCLfo_jM4f9e]d%3g2u''iS-n;i7Zf\f]h#`f_aA%g,J'CWCV]nh<<QpUYO\(
+.mQs_9gP>pd,`O&Ubdn\al(^<bj+<-?ECWSe'[=8Y,/"_W1'[,f]Dq`(Y%+!k0]K%6Z7Hd<-iJ$
+NdY\\X5r<fg#:T`g&9S%f)*r"f[eR#dXV~>
+g&(=9s83`2q=sa^rVQWlr;ZNA_g63Q^[qL&q#C9_rr3#in,E1]pa?"6rUTgbPM#TnRX0KnDhI?;
+`J8#Mg@tW!DmP7ikMgU]p]'tuK_bTCrV5CL!W)]mq>L0sq#AiGNrT.9J#*)D._K>(hZ'I%k5Xu@
+s8@RWp&>!k_6EUZP](F.N/Xh;s+T8.n#hClfAYQbq>C9m%/'8ms5^n'At/;fs7Q?j"S)-WnbCB+
+!;_3~>
+iV**Bnb<(Y)#*^qo_81Sqt9[_n^"mjBRRGYqt9O[o]lGU!UT(MpAFY6qtBsXpABoumbs1DE`?@f
+h:oMg>&M[QpNL/HI?E=:D"R2nnQp\9p@eCXiq<BHqtU3c2tI!o;MOrDeo[>Sq#7O(?.]%JGiJbk
+mJcj.=ml%ZpU6p``J7o1j+2fUpA''`rT0i&ER!+ao_J.rrqPpKqYT*X>@3KRn+u/=q>U-Rn+-#D
+fCo+9s7ZKe!;M'~>
+iRmtZpt,Stqq1r'*ST/tf@o*9j5&SUfsRSY:1KpFiS3#Kh:(TMk0hTTg&0JLgt:K6gZ*Fhg!5%Q
+AOf^5b/L/g6s."NiF,KEB7%Y7<Sc<gf0j0Kg"Y0Vg&Kbaf]BJ"DrB`l?A%;!m%6mB`9N4fa5kRl
+jP=<1eD9*AU64$3G#;&^CMAU\i*s7Xb_ot5[(a-HgDAr-eC3@7_js(^HI(C0e`GrWiQfm#cdq(-
+s4RA'rRUkq"PD;TdaEX~>
+i;<BHnG!Ceqt]sYp%e1Tq"=Xcrt5+fTj;*.mf2bUnGN%Yli6hXrqQKe-MI!0p&G'PqtU3js1_jh
+U3Q_&DP`YNop^?%k+QYFc%,ihs8-Sfr;-BeiqicQqu6Eiq_%XClum!6X+6c@naHL<7XY+5qtp$Q
+r;Q6dLMQ;Ls3[>0s,N/Q[U*V&s8UPOc2R_IQ>:MTC$kipq[r/ks8Dfos7u]BH=*!4s8VonrVlon
+r6>*=qLA~>
+iV!9GqY9RS+Sbg.p%7nMmI]u<q#C?ko\H!<>GgW]kP=?6nFboCp@eL[rqIr:o)JF_r8%&8s7>rf
+9uN<4rn_.RMg+HJEL#:E@a;i8qsaOVAV0RJpA=UDp&Ojaq#C(Jnb_Hf?C7L4P5aV)pOYPLo_nIU
+nEKcGlhZ-Bjm;udOR)^nK!2.N>gi?FaA9\Jo_FDQB3np)p%n@uk4\fLp%nOUrl/eQL?J-tm.'cK
+s8MfkfCo+9s7ZKe!;M'~>
+iRmt[pt5Z"rRq2&+PGN&f%&=&d+[.&hWEnYgr4n16]TORd,WO0f%\C1g"HAWrmiOKdc/m:iPXL+
+lJ^it5.?5LlH2nWG@T3O?%L%J::dT:jOrYL95*&4g"Y0Vg&KbcfAXqS7tHV-I-B#*j`2n]ip,FW
+e]cb&dGSV/cIM3cI+RS$ELrO]7_I[CZ8o#GhW&`N;+O7#g\TS>ak>Y-f\PB9jKMfPG1Ya4g"YEE
+jPSPBiRn1`rRh)"qpYc$f$r-rJ,~>
+nb_nTs82B_q=k*cq"jmarqZTo)>j.'rqPjXs7t-(>$cZep\X[Xs7lWjqY9japF#e/s7c?\s82Wa
+rSrNas6b]+R>q7GiS8jsnc-q,i1-P@pAFl,MYmAKrV5XTqYL<iqu6Eiq`"QHs4EokOf.=9s8MM5
+>?0>Gq#CBns7--VQX$K1_N<dVc#TVZa*FK\Y%2$bEG*GoRXVl7GdmMG)#sF'qY^'^s7?9`J7E,s
+jT#,SrV5dJq>/D6!;_3~>
+nb2PJ!VlE[q"aXeo_A:[qYp:-rquKZoD%n=pA+=)Lf@K$XR,QHn,MtTpAXgbpaQ(4s7lB[s7PpK
+nCDZ'qqc[TNe7)uf$SNGk4llYeWH<ome$6eK_>'4j7iED!;HBcs7\JJmJkV#FbuaEmJ-;6D,O'T
+lLF]JqZ#s_kE&]:^pf$Lo>"q(S@WO)p7kbmC1^_coT+'tMf#]op)*i%me->EoDItSk]9[%Ut#50
+nG)V?meQV0pA=UapAajepj`~>
+n_!Bbn_3lns4AIEf%A[.e^rF2hq?T6hUp'/iS1h^5!i_Gf%em-k1JMCrn.2#.G3,-f\+d8gY198
+`FNTKcY@NIDWTcm]j@D\jKO-MI=pG/h;(h@gY(9Wf]h)bf_aA%g/m1\k.#nIEeqZcjPSHm6Tr3:
+hVmGLi6^W2FutP[UN+3/Y>g77WEY)7NC-$3:e%G@H!Qk]=-hOlg">!1g">B:dF[+$f&+p>eR1a4
+Pf2_<g=t0"b15J's4RA'rRUkq"PD;TdaEX~>
+nb_nTs82B_q=t!a!VlKiq[*,ao`+scq#CBjrVn5?Z=Qs;L"u_.nG)kVq"XUXp%A1TqY9^Ps7QEc
+s.3uSrVu"tJ`?\/&8GqJs7lNlmUXN9q=X]%LACfErV5XTqYL<iqu6EiqZHZms7?6i!;QNm/@o'6
+I=_.mm.0fBs82ikT65UZo)JX5C;7<oK^&@5s+YHr^\e%^FoL_,s82Zh)#<n's8Vlfs7Y2tFRZVa
+E4PH;p?hn[n+t?,!;_3~>
+nb2PJ!VlE[q"OL`q"apd)uA[brr2K[qu-0brVQWcX'S=lIFS2klgsiEp\ssfq'l=>r;$!RqsXRQ
+rK1:$lg`Y<G1Z`gpg7@grpB7Tj&s:hna6'^JFiL.j7iED!;HBcs7\MEp]'XUq"O:QrVZ;j:W[^)
+nGhY=nFQYPp[FMdG+.Uln\JM7WNUO&n,)j+A>Q[&oQG!@i:d3EqY(j#oD/Fdp%/%KcuWjXUMO>>
+jSn]5s8VQ^f_54:s7ZKe!;M'~>
+n_!Bb!8@#!rS.A*s4IA%+P,)pe^rBmdGX!6f&>ZEk3(sphj@%n3bH(bi6Kp,f\$2Ss3rCKe^rF$
+d,*=8fBRfWZeaW^;.RZ4k2oB3dd5`Gm*S8'g"P$594n1Vqq1/dq:PSts4UQ-h<*2FiS`DKkNLiq
+5ItE@hX&P:e(!@2i7WW]?\[%nh69SFR@n07g#_1(:62"#hI'==b2DF7f%AR+f%AR*db<[>eC<:(
+\mSLaP?^qPcKNd#iSVi;f`0Y'f_sCue-+FTeC)cq~>
+nb_kS3;`OKq>:!bq>:!bq>:!bq>0m_q"jd^q#'p^pA4U^qZ$?_q"Xgcnb`7\p\=[cr8WcA@!&aE
+qtp?grqIo8p[e@\s7ZKir9@m@fD,CE_d^X^s8.ZDs7Q9hn<AFiq>^3hC5)N]rVHNgl2:>R!;ZKg
+2Z3C?s7bm[rVZ<fo)JR4A]=HEs82ihpAb0]qu?<equ?\8OE65[qZ$6XZ&&GSp@2dms7u]hq>(p'
+rqc6\s8VeiBRB@Nlg1Q\Dm/s9oC2eTqtg0FqZ-JC~>
+nb2JH'DV=sp\=LXp\=LXp\=LXp@n:TpAXe-q=sXVp\FUYs7>^NoD&%Fp%J%Jo(MhOgP&[3DQW4'
+pAOabpaQ%1rV6E_s7H!A>&MLHrURI"]C5UcIcpLknG21&GNJGonbZjHo_%qOjS/KDqtU3c2tm";
+lMpA8s7Z-Qs6BXSaBlUOqYBm^nF68Ol1P)Cp%.hRAV4TAT^VpHl)0+.nEfFGTDJ-RnG2eppA+CL
+o)8LVT3uX%qqg5"=(J,ss6f:Pq"FRYk4SlNp@nOZs7ZNgJ,~>
+n_!Bbs4S"=g>(E;g>(E;g>(E;gtUT_g&BV)g=H8Qs4%q:j42Q-f%]!-h;7#Cgu.8O`c++.<0P].
+g&9S'egf.udG*:2eDf3:a[B@Bf^.On7B,,,hJCa)f\Yf?G@JkPjOrKaA_Pnlg&0Leg%j:tg&Kc0
+g"P-+k17`<gtU<Aea25&9W[%/hqHl7f&,K5gZI&Cgu.BnE)gY4g#g`/Nb@;$e'LL:iRm&=f[e^+
+f[e^+f@ed$eD9!1Kh5Irkf_2+6r8oqjO)9/f\"mQf_j=jf`0Y'f_j;,eCN.#f%AR'daEX~>
+q>:0fs823]=Sr$nr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehqtg0bqYL-ep]'[UrUU!_s7lKipA+^as7ZJe
+>$bHqli$k`qu-Qpqu?6brq?BfrqD[_A"3&hrpQ7miW&TNs69O_%DR%cqtp3eok]3SrVZTmqu?KM
+quHWcr;HNkr!.;'s6p!`s7uThrqf7bqYg)[@sR\Dqu$?hqu$?j\<t53s7l?`r;?6]r;QQio`+[^
+s71VBWUKi]rVuoZQs"@>pAb!hqu$Koq=jdbq"Xa]oCi1[qYU*dmJ?n[J,~>
+q=ag\s7YjSC&%Gtp\=LXp\=LXp\=LXp\=LXp\=LXp@n7Rp%J.SoDe+Iq<n:Sqt0XYo(DkQqssWU
+<`iC[jnA`No_/+UpAOCQq=4FSp[F2@=cqqBp?.QMg&174r8IGNppY+7p\4@Smq-k7p%J.Zq#C0J
+pAk![p\spfp\sjlok]E`l2L>Oo_\@^ogniJp$J#HDX6uhp%J(Pp%J-dOh^Penac>Lqt0ITq=XIK
+s7#OXk]^%%l1jc@q=NC#:1CBjq!\%Np%nOWo_A:Xq"sp\q#:$apA+IOpAajepj`~>
+q:P\us4H\k%,0Cgg"P-5g"P-5g"Q5Ss4IA':tXITg=G?0f%e[6f&56:hUgK=gZ$oGKfq[bE6I&!
+i7cuDgt:N1g"Y$8f%\\r3C%i8iSi44;8hYMj6+YHlJnU@NSN=Cgt,;1g"tN<g"HAVf@g)U&D>[e
+g"P6<i8Rm]lI"\Eh:DJVs4[h8gYUM26sA*pqUmj_Q?AqSi76B0gtgN2g>(<5d,`[+j3:dfM9k&3
+hW*P6Gre`jf&YNAf\>9=f@AR-f%/I'd*p_"qUkVsp=KGtf[g&S"4kuMdXV~>
+q>:0fs81CFrqc]lrqeYPs3q#Jm/QbSo`"LRs8V]gnb2JPs0lrM>`6\lrr;rns8VZdrqQNgrOlQ`
+aRT<+rVtJqHL^q4rtY4ndVs^9q=jXZoPK3TrVcZlqtp3bdes.BrqZNi#bZ5's82Nfs8)`irV?Nd
+rr3)bAY&Vlq^_^>o)A[aqZ$?]pAOmYp&G$knGiI1D/m/Js8ViirqcNQ]SpTQ_>jH2qY:'i$1[uh
+q"jgWoCr+Xqt^0WqZ-JC~>
+q=ag\s7Y%<rq?<`;"jq8s8M6^nb)DJnF$>Sn+cADmf39mC/\)a^#\bUnaQ;Mlgsl@r:0Kh=E;7C
+s75j_cZ4'jo_SC`mGuE'GP_"+oC_NaHLUV$p@n@Wq>&J5s7lWi%/BSkp@anjjSAH:p&+^]s7Q]c
+r;-EO?'XsUp,N'@mJ6\Op&F[Sp&+ROnGN%\k5Xtd@;!"+s8MQ\p@@_+YCBhoZ1d_\oC;\Wr9jFV
+q#($`p%e@YpA+IOpAajepj`~>
+q:P\us4H2]qq(c!!8.;*:u('9jPe;CeC`7+e'[76dbWL/e`c+`;EI$XVp=)RgXk<>ce$q%i76PM
+4BA<(jOi>S\m8UkhrWqaf[$s(@cH+of\4nPA_Z(sgtCB4e^`+$&D,I]f@em5i8B>jbi.:)f\ZMX
+s4I\-io&n?7XitBqUddcda-\)e^rg4e(<I1d*pn,jNHW9V+44H_rTe.g>CZ?`LLg>>b^?7gY(38
+jPS;<f%/I(cd(%kqUkVsnCRioeC)cq~>
+q>:0fs81CFq>2K;o_nRX^mb#es8Vims8;ois8Vihr;Pl0?rVNmqZ$Qgs8N&uq#::?ij[\Ao)/L]
+s8:GVQ2gOGm/PU?JGSp6p\=RXEJF>grVZTjqt^'9r;ZZnq>L0rj'/;Yr;QQkqYp9gq?R&`q>Yk[
+nc/F^!;6?k$i'Ggo)AIZp\k-jo`"k:oY5$Z`q]T6q=aX_qu-Qpm]h%NE9[)rr:94HrqlKdqYU$[
+p%nO^q>BXW!;_3~>
+q=ag\s7Y%<rV$3_:\aAPo'a/Sn`p&KnbDqRr:BsgoC_nRiHSHrEOkN7o^)DJr:ogZqYJsNeG&;%
+p[A.Sc<6/,mH<R1bu8lXme-;Gp$caGo(D_Mp\=OZq9o$;q#C-uq"OOVp>&`>rUopVq"sgcp':WV
+oDNfCl1k)J3:QeEqXa7Hn+uhNoD/@[n+c\SlEa],]_2:(q""+Pp%A@aj/-WsA)?PGp$:f0qtTjX
+qYU*]p%S=Vq=j@Os7ZNgJ,~>
+q:P\us4H2]qq(_urS(-)eD8d-TR,5:io&GFhq[2EkiUUShr)Ub5r2`?f]Cl:h:plCe_f6?^Qc7_
+ce7.,khW^7G3IN(c02Su@GBAef\,!2;eb(Egt^T9f@AF"faucce(<:,gu.,25DA4RgXb*Uf`0V1
+ji?'7?;Ar*g%s>\dbNg:e^Msnh:gH2gu-r8gt^f5R6aN?f&,K?e_&^4hWX1LP$(CRaOT/%dE9nm
+g!nR)g!nEsf)"%pg$mVrf$r-rJ,~>
+q>:0fs826^q>9^[s82ios82im,5D'8pT&A8s8)Njqqp3"s8UmSs6TRTs8UrPD,=iGm/R+brr4GG
+pAb0fs8Vrqs82Qjs1hsWp](9ADO:D'r;6?fr;(Yts8Door;6Beq9o3@qu6Eiq[!4?C@hK'qu6Hk
+q#1$oo`+cnA]"KIq></HqtK[Ws8Vclr;6<dr;HNhs64oIUAFfbo^VSMqtg3do_JOeihCKfXSVtm
+s8Volq"X^aqu$6dq>BXW!;_3~>
+q=ag\s7YmTq=a@Qs7ZKes7QEa:\+2YnYL)us7GmZp"@p_q>AtEqrm_Bq>Jm5@ROCmiq`EEqY^-^
+n+cqQqZ$0`qXj7Ps0u+?n,N=.Arlrhp@nCWq"/T\p\"7Rp\=OZq9o$;q#C-iq#:!npAAW8mJ6GI
+q>9pdp':$coW2?0p\t!_2tZh7mI^DTnGN1Xp%J1Up@J+;EaY4$p%\.JoChqPp%7YAs8LW:BL/?\
+q!\.\o_.tLp\Od_q"aXZp[@hUpAju=~>
+q:P\us4Hbmq:PMrqq(f"s4[M-s4U9$gZI+G;i9\jf\tT"][G]t_;jP$gt:TJ^P#957#K+Dh:pfE
+gtL64jON,JfA>B<f])+g5GHfojg.a-kN1LQgYCW?>&`KXgt^T9f@AF"faucce^rL.gtpuO;bYa!
+gXt9Xf`0V1eE5JJ7\eo&gA9J]f%AKuf&5B4hqd#=g"Y97fA4AH7XW_=g!nF!g"P-6g=+d>keVmL
+.uW*<f&GiDg"+^)gY(62q:PMrnCRioeC)cq~>
+q>:0fs826^q>9^[!;l`m6MpTSs7l&QHFW&9s7,d^fOA$ps7lKas8VQ]pAb0e]6@4NZd87@p$qhW
+oDe[[r;Zfrs7H?]s/0)Ls5X.ZrVu9]r;-hKOT5:Xr;?Hhq>&J:s82fkrVHlsWERRHnc&RbrqQHg
+s8N8LD5d1.o(i2Brr<#tqYL3kp\"F`r9sC[o=nU?VZ6\hr:9CRrV,sYrV#gWs8W)oLgFu@s8Vlo
+s8Dllqu$Knq>:!cmJ?n[J,~>
+q=ag\s7YmTq=a@Q!;?Ed;tfnUoCqb;P]F"`rVu-Ls3OqIZiB[lnc/XRnF$5Sn$$V"7]a\tp$V,8
+s6T^Ume-APp]'XYlMmMVbPL#mq=ajNo_84Vp[r]cq"=@Sp\=OZq9o$;q#C-iq#0ploV5C+qWdhR
+qtL-a#QO\DB;"\mlhU96q>C0dp%A.ZoC;STp?D,Im'p,#SH&WWq=F1Rr:]aRq=3hBqYU!VI8XOg
+rqc'[q"XOTpA+R\q=aXYn+QeU!;M'~>
+q:P\us4Hbmq:PMrqq(i#rn9cqgY(9<g!G.ORDn=PdamWm6T^e$gYUTHkgA&7jlk?c<\l=jXO,YK
+cIM"&iRcN2gu$lJe)Ja:L,uTt_W0P/k02Q5rnIn;??>/`gt^T9f@AF"faucce^rL.gtpoCM`e3$
+d+dLUf`0V1k2EO=M:^t=gA9J]gYUfAf@Sd7f%/X<gs=U7d[iTeKBD=Eg<n:"h:L0-gsjd)i8NSI
+B08kdki((NhV6`8g"P69q:PMrnCRioeC)cq~>
+q>:0fs826^q>0XZ0`1eHrVZQgp\k-#A8-skOnetJnc-[A@qG]?m/QDAs8VcYr;Z8mJ3[J7eGK:F
+qYL3k,Q%$$s8Muno`+rJB']Klrr<#rs7uNeq"];ur;HTlr;6Beq9o3@qu6EiqZHcS@#t<e!V?0e
+q#1$os8%.gkjnEHq>DH2q>L?ko^r%Os8DKcs8CT;=DQFdrUp$cp\4R^p%8(Wrr3B&p\k-kc@oVY
+df'1Erri8qqYg?fqt^0WqZ-JC~>
+q=ag\s7YmTq=X:P=8)C`q"FCPnb)^Y>[E&EM=(?,l2JJ%>@7@-kl9c1s8VKIo`!sNFu`Zmc1M&1
+oCMqYq"3k:q"OLRmJ?U0?f_.Tp]($]q=XRVo^d6]o_%qOp\=OZq9o$;q#C-iq#0plp=`],qY:$W
+qtL-a#Pn"9Eo?6Ms7uFKoCVhUp[@SEmelnJpAam8O\oZ6q"*hCr:p'bqXjCSp\Xsep%.qWo>,]N
+H,oLJpA4XYo(D_Nq=aXYn+QeU!;M'~>
+q:P\us4Hbmq:GGqqq(i#<nc<_gtUN6hVseh88NTmfBCZ2kc$s<8*&aWkKVK>kgn#7kg,Dt+$=tV
+f]:f=fAYZCfZqdth;$]4i8/-9b2V%/k2+kMf\>-5gKnpXhV?o>g"4d)dFf&^e^rL.g>(QA_Er8#
+hVllZf`0V1hqD@<aj\i&g\TV_e^iI2g!S4"e)B03gudG&G;i.#hqHN1h:C02gXXg,g>:fFf[em>
+h6(6NA$OhDh;I5Ef\#!5q:PMrnCRioeC)cq~>
+q>:0fs826^q>0XZ&,Z;'rr)`hq"0Y`\)[GVC&S&?e6GM:eb>i>q>'sfq>UCMp[n:\ab<bkN7mh&
+s7u?bs8W#sp&=[bmJl]YC$5Neq#1-eq>:$_q0eA%rVcZlqtp3bdes.BrqZNis8N:^@-mpnn,!%Y
+rV?ciU1_B^iW&ZIrVu`prr2pOqYC0km.gV/Kia*+s8)']p\4CUq"OIUr:fjRoDAI]o_JOZ\9;l!
+qt'dds82Zlr;$6cr9a@]qLA~>
+q=ag\s7YmTq=X:P7J?KNq=jRQn`ba6XOct&?Lmgdrl7ksQ-\ukV=X<Np@8(\qsWnApVMAT8;5LY
+rV5sOo`+saq!RnFs5s@H;.AJ`lga]Joa^iloCI0^oC_hNp\=OZq9o$;p]C9dq#0seq?;UWjo#&A
+qtL-a#OIsh]tE%unG)eYp,)UEs8)E[s8(mKrl]aeJb&j4jT"fEp\=RZpA"U[oC2>Gqt9FGpZJSk
+AZ5+^o(_qJoCMYNpA+IOpAajepj`~>
+q:P\us4Hbmq:GGqqq(i#<nc<`h:pT6drA$J_qra4hr<haZoodf\(QIpgY:QAg?%PZf[\^3W+%P6
+BsuCIgt'p+jQ,"LdbE73b2gi*7`=B6e_8^/f\G66gL#$YhV?o>g"4d)dFnQOs4RG+s4mY4"`-HI
+io85[f`0V1dXjuaV8DHIg\KS'fJVFAiS<&<k2=J9jKW5RB@uA"b3%7+e^i@'eCNC+eBuaugt:'-
+jOBPt:QjG[gu@/Dg"kE9qUkVsnCRioeC)cq~>
+q>:0fs826^q>0XZ=8Vporr)`hpP!A/r;ZY^Du]V4^f54,s8)ZHKkROQp&>!iq>UEoq>^6WVe04U
+WTj?\p\4X]s8Vopo_\[g`D_N^s8Dufs82cmq>5Z)r;HTlr;6Beq9o3@qu6EiqZuZjcWA0Mqu?Nl
+q#1$okB0[*ON74tq>E;Ls8Vibq>U9kp&4p^Z?g#fs8Vils7$']p\FX[q"OOXr;HHapA"Rcq>^KD
+Jnp,%o`+sirr<#rqYU*dmJ?n[J,~>
+q=ag\s7YmTq=X:P=8)C`q=jRQn9SBXn+H+-@e8pXZU\HMq==7.Iq#87mIp>Jnb3"\o(_b;TO1`9
+U>kkFnF6/Aq>'U]mI^8M^.a%Brq?BWs7cHdp%<Tfo_%qOp\=OZq9o$;p]C9dq#0pml2Sk&^u4kb
+pAF[bp'0Jo9N-b^o(_u>p&4gZme$>Kq="(XmAtA6Xnhe^pAaCSo_A:Zq>'g\p\Xm`o_%tRq!@\N
+`cYX7g$/5(o(2SLp%nCXp[@hUpAju=~>
+q:P\us4Hbmq:GGqqq(i#<nc<`h:pT5AkK;_inJ`Si7R"]1et^FgYTPT8r_'Ghr3GGhrs1ShUTc%
+6TS%u`nBA$eCrI/h:CZ7f\YDX0OrGgg>gK<g>:Z>h-kH`hV?o>g"4d)dFnQOs4RD*$/EkhY;`>u
+g?.)df`0V1a&OlTEN%XKg\TV`fAGH7d+6t)hppQFdumj#PMb9Kgucr>e^iC*f@SU)f\G<9e^iC-
+in<>TZXQL:_pdQ%gtgoFg%s@sg$mVrf$r-rJ,~>
+l20E:,kq?4q>^A6>0m6As*S:mp]'MVC#\sgoDe)pM2o%EqY:'hoCW%^0)#;Eo<*(8<5JV3r;Z]o
+q=sjes82`o^JLZts7ZKmr;-3dq2U"&rVcZlqtp3bdej.CqYp9gq@*0!o4;q?rV66aq"agdr!.:T
+Bs%F3s7,p_*rkp2pAaa^r:^0Xs+t3,kPP;NpAY*Xs8Mc`o_SI\q=k'fqu?Zprr^)dCo[L7$MXAr
+s8;lonaZJSjnf&SJ,~>
+l1X'0<q?:\oDA5t:Vukiq/99@lLWh#>h/36li5sXJVL?'o'lGLmI'fKq![tWm&+Sq9tL/mp%n@U
+o'uAJq"47U\4N1Xq="1Wq"aRWo8%Y_p%J+Rq"X[\de<b:qY(j#oD\,aC%_/ip@n=Vq"a^[D.$kO
+q==RNq=c!2nFuJQme?JEs5j93>&<*fs6]=NqrRkVp@7bMqY9g]q&&o!p%.kUoX8gKT(D[QlKn<C
+p\FRMm.L/:pAajepj`~>
+l.G7Rqq(l$=5)3beCig9;EM)Ce`L+'U=\>G1.f@9iRI)7;/1$9inN/Ei76E;j5/8>jNrf[2)1]Y
+f\,-7gXap-h;$Z9hOH0IdbWC/hV6f<h:lmYhVR&Cg"G!-e^<(HfGWAniR:4nhVQu>f\"m1g=t@\
+7S/U!gZ[#<qUltLdb3+/d+R.'kg&C,6WM4_kge>Dj3?`Df@&1&gY(6Uf,32phqd2RhOn.HLu@=W
+f@f0@g"Y3*cI^e6fE9^SdaEX~>
+l20H;s8OqCs8VGA;S;o,rnV(iqZ$8J9[Eb:s8USeIJ!@8q>^?crVuonnGN=cl1k;9Q<d(5g@Xn2
+rVml7o_SUfn;1_ts8Vomr;6?hr/H@.rVcZlqtp3bdej.CqYp9gq@*>rqiP-ur;HKeq"agdr!'F0
+A]4WCs7lKlmf*5+oDJObs69Q9>^G<&s6Tdco_JOSnGiO\p\=IUq>9q$q>1-jq#(0ciJhT>q"+Oc
+qXjU\qu6Tqo&]`KqLA~>
+l1X*1=8r-]rV>T-9<n!Zo?^U9n,;R%6,NEcp%ZaDFmSYunc&.Lp](3`lLk2Oipm'$O&eSne*ZDk
+qtU3ko^28Gq!!B:_>j<$p\=UYq=]Sjp@\.Qp\=OZq9o!;q"aY#q!n$8<4DMop@n=Vq"a^[X/TI?
+q="1Qq=c#rqu6H[p\4I\iW"7(EnBgWjT#8JoDe(Arr)H\p\"4SqtUs$o_A%GnbDG$JR49#k5G,E
+mI^,Grr2uckP"rM!;M'~>
+l.G7Rqq(l$=5i&[i8;al0q6tXhn;F@gZmC,/[+6jiSq7A?Idcng?78Dhrj+Ud+dX9`ms._F#kXS
+\'`IPhq[;Rf[8=,gs'FtV<$F_g=tE;hVN0_iSNAFg"G!-e^<(GfGNAmgMoBLhr!,>f\+s3gY7jO
+7ASqqj4i;afc\Joi7u]4g"YN/k[Zh\^tIbmkigUPkg%N3i7-<0f%/OOf,32phVH`:imkh[89ie9
+lK6dIf%AX6j5SDKfE9^SdaEX~>
+l20H;=8V7^s6PhRVt0lap<RHdo_-R-OSS\Oqsf0Ks8Vlas6opdr;-*\s8DutnbiFelg:EW;fftW
+p%eCTpAb0lnGVrhHfb;!qtg3dr;D>&s8Door;6Beq9o0Aqtg<erV?s&nc-F#LB%2Jq"X[^rqm#c
+j'UgGp\Fjbr#Yn9o_\Uerr2rJAn7F@?ZCIFkj4Y9R\n4#s7lTnqu$9hp]^Kfr;QTirr33"\q5[g
+q=+C`"oIiaqtTsJqZ-JC~>
+l1X*1=8(_Qs5o2@U$DODm_iP>m-DY\M!jd+nE+htq>9[GqW[bNp@e%Js7ZKglLk2WjQ;q;9PhK;
+mdfo8n+cqWl1XILFPd&ap%J7Uq"K8cp\"7Rp\=OZq9o!<q"FRY(]*Lq]1.8Hp@e7Tq"X[[puC15
+h"pL0r;$(.rV,dSq#1$arlSGJPcn/&G'r<3PGXY?`Ua'$q>L'cq#:(+q""1Ro^hkVs7*=;Hctg:
+p\b'bm.0lAoB5iIpAju=~>
+l.G7Rqq(i#<la+Wb]#b$e)]36Y"G57eZUZHf\,3:csE4%jOquAdGNs?h:UHCguR;:g#V58b'u]2
+:nuamf[nU&hW<S>gsSPn`9#G%g"b?<he-T]hV?o>g"4d)c.W-Ls4/%Bcf(QNBBJ.*f\"m1g=tB(
+_`u#uf\5?=qUlqIg!SI+hqQrIZpd?1Qp=PUABN2DNI?Y`e`GE<i7e+^rmr"?e_8j3g"tcNfU$#X
+[F`dai8`J8eC`=%kh$!geC)cq~>
+l20H;#Q"K#mrN)prr2p7p&2e>n,MW_e,TFAn!CTbs.5SHp&G'enG`GAq>:!fs8DBYs763WY&mHW
+\GuO*rV,gWs8;oVApXIEs7cBbq>5Dfqu-Kkr;6Beq9o0Aqtg<erV?s#q>K/ZD>a8,q"X[^rqm#t
+b@C;Hr:^0dr#kh3s7lTbq=^1dIeNC5q+tM2s7sEMGaHVFr:9jeqZ$Hkq>^3qq>U3crVucgo`"k!
+NbbKjs7uH_r;ZTas5j+XqLA~>
+l1X*1=7uUkl>9pYq"OO]mIe)skP=(AbPLr$kDZS>rf`E,mJHqSlMLVYp%@nOs7YXDs6K^IVent;
+Z2=7fp@.>;s7Q9D?ZYu)s7?'Yp%<?NoC_hNp\=OZq9o!<q"FOX(A.CS>%R?up@n=Vq"a^[oYk,+
+q=O+Nq=c$(p&FXZme#t.=``oms7&Wa[/BO-DKM)]m.BZ=qt0g\rV6Bf(]3puq"j^QmJ-SQK3t&:
+qXX7Ip]'mRrTEnSpAju=~>
+l.G7Rqq(l$=4lTkbu7)ChVd>Sf&!3ld,N2:[,^&rcutf:k^@^'f&PrIdc0KMg=t37jP%f*jNlo0
+Mbu#uQ/UNQgt'g(k1ek279SHkjjr2>g>,qChVR&Cg"G!-e]leIf`0M>g"+ol6Vuaug"=s1g"P38
+g8dTmin`5DgA9JFf%8m2gX+O#F[KHbdcfC>6_*5lU/bEDXjZ%Rh;6lCgAT_(f,*5of%Ss5e'm15
+iGD/=hW38<db3U1d,4'>"4kuMdXV~>
+l20H;3q<76DK(R,qu6Bjp](9\s8Vk1RfEDsRdU4KpXFCuUZ;.Lrr<#no(i.Zr;Q]mp\k$as8B08
+@:QeErVm`"q#CB8@>4aYp\am_qeL`XrVcZlqtp3bdej.CqYp9gq@*0!p%=SUbQ%G6q"agdr!*+\
+If0$AqtU(5p&4U^s8U?0@]SYks7=Z<K_P-9s,?gIrVuols8;Zlr;6Bhq%s)*o(MqUqYU9Tqu=!W
+OP^$;r;6Klqu>dT!;_3~>
+l1X*1=7#tIBkiCjp%\+Unc/IKq>TqsPlCTcPN2N(m)a'LS)*Z6qY^<cmdp&Bp%S4QnFlPErV!4!
+>$S9'qtL-fipcaC^fc*cp%/(So^ud?nb)VLp\=OZq9o!<q"FRY(\@Romu:>bqY'[Xq"X[[q"KVi
+p@7nKp%e>+nG)PJqu=`u=.\+<qWQ'qIdun#s+gC=p&+INp@[qOp@n=[p_`i,p[@_Jp@\.Ti:R&K
+I"g)LrV-$]q"FRIpAajepj`~>
+l.G7Rqq(l$=3osI9MfQTgYUTBfB2#9hrNE`HK=(PH-PF!f!ACHKZ2[+iT'"Te(N@*g"Y96eCrU*
+iS'8[5!kXmjP]7_bLtk<WBt4\gXb38g"fA4gtpiAg"G!-e^2tOgY(94rmhq8hUC"u5d9>&f\"m1
+g=tB<DdM5Qi8!)@qUm(@g=+a2iMprbMoO`<e?q5KgY(NMET,X0k2=nMgY(N?g=lMY(t[]rcI1@s
+f@ertg?+K,DnG#dg">'5f\G]C"4kuMdXV~>
+l20H;/*m52Gdd;Fs7l9\s7,UYoC`+0FGu:&q=aU`s8K;q@u@/>s7P[Ms8W&nq>UCBq#C<mq"=[^
+\SOrR`rGc&s7lWUs2.7Sp%SLaqYk#Xqu-Kkr;6Beq9o0Aqtg<erV?rss7637=GH_Lq"X[^rqm!#
+CS^durr;ck)ZTcqs6eE^?,6(&s82h.B&3LYoYIs2s8;]krVm'!rVZTjqu6EkobI<!p\4Rbq#C<a
+s7i.&e*[28me6\Vjnf&SJ,~>
+l1X*1=6BOTF0P-5qXX+Erp/kLmI0hmDMF"co'>ZAoCJkG>D/[&r:/q@s7uBZo(`1Znc/=Xna?GI
+Z=H@3^A%'[s7$'Es1:D;n+6PRp@qs@oC_hNp\=OZq9ep:pA4M"o).nT`DD$Vp@n=Vq"a^[q.6/h
+m.U2Hq=c07ptbu7cuW6qk2lR2q-ICZr9j$dYkS%bm-sfGp\"1Op@e7TrqI<&p\F[[o_AFWs7YgX
+mZM5.kl:SFnbr+CpAajepj`~>
+l.G7Rqq(l$=39NT<gM:ui7QT2jO)?:e(*<Z<,?KPf[\R:h;+2C6u7[pj4MW1jkneCf%f6?e`5B=
+e^EO/Qq]/)Vr61Tkh51>kbKN4f@]$;gYbP5hVR&Cg"G!-e^E+Sg=tB8f\$2S(t.3dk,pd]hq?Z7
+g"G*6gYYYWg"#!<gY2MW,idUnj3+`.3hOmLlJ1Jm8\sQAfqt4rjk\VIjQ5@Xh;6rBg=lPZ(X^[]
+f[\I(hq$lDdcAr+9sMk$hTOC*f'(`gf$r-rJ,~>
+l20H;s8Q*P`W,f+r;HNms75XYnbqqVh;$rgr;ZZmqQN\IPFu</f)5LGq>^?js8MZcs7PdZs7u]p
+q>JNg<d2IUs8VNeq#7R.cLUo0q#=WSrr)fnr;6Beq9o0Aqtg<erV?rss7cQaHXPM&q"X[^rqm#k
+Bta9;rVcclr$(t:s7N($Fgpl?s8;iW?]"gUs88JgoAd'Z_og!Xs8Door;HL+q<mqTrV6*Zo`+"P
+p&4pjXFunmrVlljjnf&SJ,~>
+l1X*1=9&-H_#O&opA+I[s6f4QmJ6)Jg">*[pAXONm\N6tMjdglde`k=p%e7RqtKLJrpJqDs76!c
+o(BqH:2dc5q>BCPnFikcaR8s!o_DR;p@\.Qp\=OZq9ep:pA4M"o)&"Xl>p(Up@n=Vq"a^[lXREo
+o(D\Nq=c**r;?&SAoP!9p\jROg/ik&n,E'Os7+sBTX2>Bf(Se0p@eIZ)#3Uss8Vrhp%8:Cs7#a^
+q5&S'eGoIEs7#4Fs7ZNgJ,~>
+l.G7Rqq(l$=6/2HUZU:Zgt^W?jO)96d+lq-]Xtr<h!!GGfT.RpFFlha\`)Q.g>CQ:hqQQ/imQ!)
+jOW/Jf\WfB3Ei<6jQFqQgYnDdYg_F_g#5/0iSNAFg"G!-e^E+kg=tB8f\"d)eC*+%jjRO)]\1ri
+g"G*6gX/T`fA$;]!8@;&,1bW-dXF_bPgAFUgtp%;Cus@6iJ$LLaHM^]XJj"qhVR&CrRr+AbL5(t
+e^Dppikjd*gu[FO@WT!<hVR;@kh$!geC)cq~>
+l20H;;tfh_s6K^[s82NinGWCHs8)ccqu6W]s8)WmP?)b[s7L29bkq)2qt9mdqYL6lrVuoppAb0_
+s8;]hhiUodch@D=q>'`@BC5QipA\<Os8Door;6Bdr;6F%r;HQlr;HQlr;HQlr;H-_!W)Tgq@*)t
+r:^/m?a'>$qYU0hr!_4r`;'B3q>^EkrVZWnr$1t9r-N'if`2!Ls7uVdA]a`DnCuR\o3lWPE+N7I
+p&G!hr;?Nj)#jI,nb<(_q#:'^s7lW_s2oYGg@P.?p&*tL!;_3~>
+l1X*1;t9;Us5s@PrV,m[m.p\<s7Z?Wp\OpQr:'7VM+ha9qX8$$aS5?%p[@kOp%A4ZpA+a\n,N1J
+q"=1Jf834Da6ra#naZ$u?g%(OnFoh1p\"4Qp\Xa\p\XXnp\+@Tp\+@Tp\+@Tp\++N!quB^r:_3$
+rV,gWV,sYip\4IXq=sa5Btj0:p[\.Rp\+@Trq@N*qtG8CA(1GSnau8?QsIQ!o]juTk3cGc>@Uc3
+QKnAHpAO_'q#:9foCr:ap&"FPr:0XIs2/o2e*QZ(me,f;s7ZNgJ,~>
+l.G7Rqq(l$<7K=TjN6K8i7c`<ceRTtjOrD:g>1i4hq-NCE&1D(i71LeXk_Rbgst-8f\#'<g>1iB
+e)]<0gtUQ;^iD>=ZJ":$gt^S!9$c5Ef\eo-iniPIg=cJWpt=uemFhNlrmhn7hqHZ@O@5;cf\"m1
+g=tAl:ScY'h:UQ^g&9VHe_]"_77O`EjkJYEhLeA#gtpPq][5;"<(g.[4G))DrnRJ+);3fue'?Fu
+gsk-1eDJg5cK(s+BXc@>iR6EDfE9^SdaEX~>
+iVVm;med%^rr!B%rLZf?ht[6AioKt9p\+Xaqu?QsrqZ<crVl^+rV-?dqsB/XQGi7bs8V;$HN!jE
+M0]+#')_Rsqu?0cs7?9Ys7cQmrV6Egrr6X/s7Gp_s7cQfs7QEhpAb'jlMpb[oDe@\qu$'cp&Fd\
+q"t$hrr)cpr:Bsek@Ao=oDejYrVu`&EW>h4qu6Hlq#C6kpAb0kcZ2pYp]'mcpAb0fVJFKSs5'=D
+pLJR6_eOW"mf3+Yqtg0bq[i]*pS)Q-q>^3hs75m`qsXRPqZ-JC~>
+iV)O1me6\TrqI#np6\=#g@P1-h;@o(oC;bUp]'piq=O7OpAX_bp@/+Oo]C[;NkFQBqYB&^DtW\m
+p3poWp\4CRmeHhLrr;Kfli6PPp\+.VmelkRo)7k?qYfgZmJlMPnaHDKs5j:Sq!S1Kr:]mQrp]mW
+o(D_Oq>!>Op\OUNr:f/VFT1e0r9="UoWW-2oD&%ToDJ.Ro_e1QrV+EM9V:qUmeZDJq='tc`q05]
+Q1OHIDW/3:FoLS!o_\=_p%J7Vq=YBmpZRfJT^;C=p\=(Cs7YgZme6\TJ,~>
+iRmDJqq(o%p"9;trn8"7g3bA]^"2#c^r"a^f$rU4gtqq`"4u)Vg&BW(g=535g<=/+GGWa?kN:#g
+?0'u(jD%l^i8EDBdFmR*hqcW;bi%%-gYCEBf]M2Og#LK.iT&GIeE53Af[]$8j2L!.fZrI"gt(*&
+hU(*,daZk%gY5$Jg"kH4jPe9Q>iF#fhTXa8g6PUqf%\m4f%ed0f]1N@k2EXG1kaNAeDSm7hq<cY
+YMA?XJDT!K>0a'B@->eifDaG%f`Kp]f_sCrf`0V8jOJcSNS37@hV?H+j4MW8n^mutf[eR%J,~>
+iVVm;med%^rr!E.m])c7s8;Kgo^r1`rV?EhrqZNi49,0RrVlisq#:<]s7Q!`gS0.M_<ppqiHCL`
+s8.h>p\FXXs8VHTs6TU[m/QYKs7u]pp&Fj]s7?9jpAY(3q#C0iq"t*kqsFFOqYL6[r;H*as8Mfn
+q#CBnr;QOXqu6WlqtTT1@Ia<ms7ZBfqkeN9q>L3iqYC0cs7ZKgo!):tZgn(oo`+R]qYe'?NVh7e
+^]1cNkPq\]Vt0ldq!.bVr!r,ofRBIfqsFF`o_87Uq!IqYqLA~>
+iV)O1me6\TrqI0,l(s^#s7bsXn*g2Sq"4CVq"OR^pKRRgp%\:Wq=44UkPXc7s4!K\I(AA+qpoJ8
+lgO7mL[=R$n,E@Mm/QDJr9XIPn+uVSq<IkDl1O9=rp0RVp[.hFr9a"Jr:/qLl1O`Il1au<s82W`
+s7?6fq=jm]5kb!Lo_%e=HX#k3p%n4Qp%=trqt0[Wq=X7VmJcGNn`m,O:p'-^q=+:Mp@S*f@"n3s
+KXCQV;r%AM8tkVOq"+CV!;5mU&G>MJo#P^3lgNm6s6]CNnFQ)As7_$~>
+iRmDJmb%Qmrn7kBbD1>Uj4Vf7dF$h2g=H8Y!8dY/>2RubgY:N>eCra$hpTm6\q=@&Usdu\`*%9=
+i8&?nf\5'0jQ+J0iQTs.b2L^qh:UfKeEGT:imR#Re`boLfAtTHf@o3GfZE*qe^rU"f@nC+gY:3;
+e)&m5rmscpg"tZBh:g:g6dF?9gsk'4gP/_ef@nm1e^<@(j43AKeX&H\QdjsMe_\a0g>/8jDVV[>
+T]MP+aQo'IM:1J=e^i=(f\+s4g"GuL&D>j`ij`<Ef\+F0jO)N1dadm?"PMGYeC9!~>
+iVVm;med%^rr!E%r;-?ko^i+_r;-EmrV6*`rqZNi*rl3=r:B^`qt0pfs8VcXs81lMChprgpp+MW
+s7UT&rVm/mmIL;Tr:U*brr3)ks7c9drt,20g=lSRmf34`o(i=[o`+jgrrMohqu6fkrV$$drqAhU
+q>C6lq#:<gqu=E<`W,H*s8DWjNIUm'rV?Hiq#CBXs8:lF;eNfDs69:Xqt9sbs6ZVPDje$5s.*Kr
+^2IiQmJlnXlMCSZrr3E+k)tAKs7,j`r:p<fmJ?n[J,~>
+iV)O1me6\TrqI&pp\":Xn*^5Rp\"@Zq"++OrqQHd/,]2<p?_>Fo^2\Qqu?*Fs7>$5A7N7MmA3jt
+oBBqJpA"[flK@O6q>9jbp&=t>mJ?>=o_/:]nbLMWp;Q(cnabl2rp8nHo)JadnaQDRs8DrsmIp#=
+rr2IVoCVeQqXXFXo(Dpk=ht('p\OXQqM0@ipA":Up@%hWhYcotP"]8ms8;!Ms7c'[pAa<HQ"Q5Z
+rq;LRpU4aIjQHI2p\XXap$q_ep%8+Mn_&Y@bl6eps7PpWo^;GQpOE~>
+iRmDJmb%Qmrn8"6g"4p5dEpq1g"5!7g==^,g>)V[=5VcigsXa1f[/X4hrN5.k1mq.:JRePgQb:4
+jOdOZio0+_d*:#"g>(07eDoNKd,<L+hVdV]hW)/Wi31D`gYC3/kgn5Eg#V/LeC<=5j5JtXd+Zpu
+iVq>$e^rO1h:UTBf\>J\5GI&[g"kK9ibr2Zg"P$1f$`@7_rf^mI5t#qlJp%>jP&,>g#gP3HVf$S
+lJd7Wj.fUNbg#%og"+a,f\+s4g"GuL&D>q'h;6.j@CG:Cf&bZ:gt2)K"PMGYeC9!~>
+g&(=;med%^rVc`q%/Kf!pA4[_q"jsco_\X`rVIf2pAY$[m.:#Ps60%OpAb-lqt0KJ@WAIKI!Yhm
+Nj83Hs7$$f,PCs6cd;O%o]i-[JUG._`4UflClb!#Dn1"WV/ObMV""6Qnc&Rgr<Vibq>^Bmr:g*d
+s$H__qtU'gqYgHbFGg(fr;Zcls)sS"rVlTjr;Zcbs7tN,7=j:ppA"[^o_J:^q>^KbmJm.bs8;%r
+=^Fb4s8VH[s6BImr;ZfmqZ#`YK!kOVli7"YrpBR_qLA~>
+g%Ot1me6\TrV6Em%/ohlq!n%Np%.kOp$r"UrV'F_nbDkCjm2I3qr-l6n,N.]oBbe*>%sZ.ChiM9
+JYqYrrTaF_rpfa]ccu3qn`?:GH?$66\?C2<@>'YLA?K[+RUjF!RH<r*lM^STp@d\<o(r%Sp$hVM
+rVJqWp\+1NrUfjalu.URm.^DPoD*?anb;kNq"Fa\jn8&jIm&,0s7#[XoC2GFs7Q6glK8$;o_e77
+@8U&n[/]sbo)8IZ!;5mU&G>hnmdKu,T6I@,puMJTm.]rAs7_$~>
+g">iJmb%QmrRqhAj58G?g=+[+f@AL,f@&@*qq>0#eDB$-bLG/!hSmgoe)oKLgt1,)795H9?!H:O
+E0A`"k0W8QjODo?XfU*Cd`?p)?sB./U7>`<95\uI:7,"(KMJasK?r/ucJdX9g=ja!f&#*8g!n[1
+rSC3&g=b-5j4`>OdSa`2cJ%76gYl7Vg"kH6g=G99b1tX_C+*`2lIaeJf$i:'in32Od*1V.i99"<
+9ftctT'5(SeDJj.f\"m1gY(9OfFZ`nin2rE`ee,eg"sm5k0r)TfEBm[f$r3"~>
+g&(=;med%^rr!E.q=X:Ms8VTbrr2cks8VlkrqZNis8Pdfn'@)*?Wj]5UiVKKaRT-%s75TSB5=\i
+KC,:is8V0<o7G*2?+Q;^du`M8P2N7/g76mCQg;5pdYZ)qM5Ik2`-,mWF+2Slb224Wrr3&ss82fq
+rV7H0qu-Knq>^BfpA^@flhpe]rr25!YkJ+rq>^Ekrr44JE++acs8D0Vs7c3bqYp-Vr;ZfrpAFg[
+s8AfjFRfD2p\t3Vq[`8ts6BX^\;@BRs8;]mqu#mZ!;_3~>
+g%Ot1me6\TrqI*&o^M59s8VEXq>'^Wqtg!\q>L*gpK.Cjo'+2N>?=_'p76#RI_k:>nG);2SQoKq
+@s6dnJc>Q%f^!q&b#u3:N6mL;b`1;KQICuB`/NWYZ,hF0b(#qcEOosoL1tbOHbe.bo)/L[nbr"P
+s7uWb&+oPhp\XU]p[dqQO'Ui>q#9t@j(#%Uq=jITp@A"Vp82D(L"u_&iq39Bo(i"UnEfrIs7YmQ
+oBH8FSk!Y`qZ$-^r;60fp$hYdo]uMQj8/GRJ#)!#na?,@p$_VSpOE~>
+g">iJmb%Qmrn7t?f$_jkj5\D9gY:?4h;$T7fDXD&g/mFog<m-E7R/kmg4<.;A>dl1g#:K/Le(7&
+;J"1(D<g3$_:2qnYWS:oD6[umYAh72I(=U7Y'.sSR'1,!Z"AWT=J8Y`D,=H@@]-iSg#M2Lf]:]A
+k26-j9\S7Wh;6cAg=Fd2EBqRtgt^fGc;'MRhqQ]9g"5'?h2kE#E5q/$b1Yk,e(iX4e'He-k24eH
+gst]HM)8Ddio\eGhU^91f\+s4g"GoJ&(0Iral(p?ArFdogXtH:g%*bug"=m*e:7~>
+iVWHInbhhPs8;lp&G>bss7l0^s8N&ur;6Hkq>:0erVHiqp[nL`Sm-.4rrh(`J,f$;ru^q*s8;_n
+C0Y,EH>^Y#MidIQY2>l!f[fTZs8W&ts8;iq"ShWds6ose!W;`lrtFqsmBiGMDQBL=[WnV2a6ip,
+mdgAW.fB2@r;HZis8Vufs2o)trr;cjs2Ag'pAb-es8Dors-@;)^ARrus8VQUrr2urrq[9&pA+^f
+oDegas):c4s82Zmp&+(O&GZ:up](*Ys4r0ck55/Xq#'RW!;_3~>
+iV**?nb;JFs7cNf&Ff5gs7>XOr;$6dp\+CWpA"X_s7lWg?1[USs7DUUBDVE$e6$tql2(5MmHafE
+nt02`;O_N5\GUu8l#EZTREX41mcXWMq#C3`qY0s`mHX6Ajo>2Wo'Z2IqrdA,WfuCPTpSi]DOTCp
+j8\f5kkt>Rp@\)/p@nITqtg$Ss2AKap\aOPpUt+\meZ\Jq"F=Yp5E6U[e0=Yq>]dGs8Mulrq6us
+nFQAQli6SCq.N<mq=XC[nFuhR!;5jT&G,njo)J=Fs3l+Dg[F_4mIfrAs7_$~>
+iRmtXn_*?_s4RD*%arh`j42K.hV6lAg">$4r7Cu%s4Uc3f@K0CJNcuigu,\+?KTSoio&D=lJLEW
+9Kkau>#1sUCiRm)Nk^(I[^=B'jPnqVi7m2KkMk+@f]LE?iTAhDgu78<eB3o"a@h>=4Hicr`2(Q<
+grn%*j5JeJgFM(8hUUK<f[/ZV7\neug"bSc:U\s:h::<6f]1e/7R!O'iR?cLd*:M+i7n7a)qWZo
+hriMQhq7$h23-_Qg>gW7f%/L+g"G-5g%*c,e_ej+jOqi@\m0-lg"bfCg%*bug"=m*e:7~>
+iVWHInbhhPs8;lp&HDV%s8Vrfq#:3gr;69bqtpBgrVKdms7ZKcKjM@jn+NGeY3c2boDeags7H?`
+lc3R;B6'C+s4?oCs6fg[s8Vfmp$hqNrr)?dq"Fads7$'fpuqbXqZ#dOs8W)ms763aTB_'(h0tX"
+Y1N+1o_ndh+8GI(q#:9mqu?DPS+-IRqZ!10o(`7aq#C<mgOF'lm/I#*n+cqXs8VTarqH9hrqQ3Z
+s7QEgrmbRh`;]f.s7#7L&Gc;'oCr:bn,)I=Hd_rjs8;<^!;_3~>
+iV**?nb;JFs7cNf&HDFprr;Z[oD/.Sp\+4Nq"XjarqM!;nbM\Sm<r$@rTN^=?`3#co'?2Frql'V
+l/93X93c+hiUtO`q#BLMoDeg[rUB(FlhC,;rUK@SpAaCQp[R5Br:BdDmJm4Ym/H/Gl]^1LQdKi1
+XeO#!kO/*CrqZ-Pp%/"TqtC'\M3R9'nacF@D!LNep[S%Pq9a:nGN&H!r#P%mrUg$fmJ-YRq>^<_
+na?>Br:9R+?!G#;qsF:HqXsp^n+I:jqXF.Ws60"4N,Q]1lgsf<pAal;~>
+iRmtXn_*?_s4RD*&)u3ki8`G:e_Ad0g"=j+fDX8"f4EXhfAG6Fg1j!Ik0DM-7?,LQgXP<?kN(1O
+e]as]2b6kmc/H1_iTSVCf&Yf>i7#s)ceI7$j4Di@guZl>h:K^0in<81e)ofIf'(KDeU>MIJ\,0.
+Q]/>sdb*O?k2FtAf[eg37,?GQdVO0Sj4`>MKNZj[jPAAAg>KJI9Ol?2l/pIKjk8PObh:k)g>q)@
+eC<L/jkJ\$84]c?j3ul0f[eX+f\+s4g"GrK&D,[kdFI=;bh1$\=gI/Ah:_AO"PMGYeC9!~>
+iVWHInbhhPs8;lp&GlA"o_SL`s8Mlks8Mlms82fkrVIZ2s7Ys*=(2.-s6ETqs8)Qkp&FI[rU]se
+r1'a6;fr$="8;cpq#:9rpA=meqYgG2q>^*eqt^9^r;ZWms7c*aoDej^r;$Bls82`oqu?]oaRt[7
+]3]9,YM&XLs8;`mrqZKgq#@REhuE]Rs,)1'q>^Egs8:)_@]9>,q"saaqXaa_n,MhUp$hnSq>UE`
+s82EfFB"seqtp?krVc$Ys8!8tp\t!Yq#C?iori&+s8W#bqZ-JC~>
+iV**?nb;JFs7cNf&G>hhn+HGLrqZ6[qYBgYs7lThrV0jms7#<k:K[Yiq;b4Vq"+(PmJQ,Cp$;8B
+nWBD_887_jp[7kTnG<(Ynb2kRp%nL\q""IPqXj@WlLjuEp]'aKs6Td]m.KrCo)%nFq=!tTn@\">
+A?SpAJ#Uodqtg$Zq>!/Fp\"1TWH6_hp@S-3F8bY+p$qkN_J3/Cp%7bFn,DtHr:]LUmJlhIq"44S
+s6B@Mli(]oRaUm%p\FUZqt:$_nb*RhqXaI\p?qPPp[IFB>FG0Zp$_VSpOE~>
+iRmtXn_*?_s4RD*3S3!7dF[()i7ll8gtUH6hUU**e^rF+g">H@e?D&*m,$XB1.C'Qf](KDcf<m3
+h;I+;MHr&=i8`jIfAboFj5o1Jg"tE7hVI&Df]CT?g=YH4gY^]?k17rAdcTH8gXtH>jk8AJg"trH
+VUKHYR6=;ZPJ,W/i7uu?gXb!,dFsO\^?"81j_nPlhWE\Hhq=u+6&4FWh;HuMgsb04bM:D%e^3(&
+fA,K7i7uiF<AfQHhqd,Dg=k-/s4IA)!o)D]n^nB"e_Jd&f&GN;du?nQjlP1dfEBm[f$r3"~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZNi-2%<<pLd0AT:M0f@(Pq.s8;]hs75R3nVkN\rT\l;?B,!]
+o)J^grs8W(rqc?bs8Do_quH]krr<!UqY:*jhQ)`Z@(h_X^%_R+s7#sdp\3lkU\^__s)F_(s7--[
+s,Cbt_Z0Q6s7c?hs7c3cs82]grq[-)mf3+'B2;*jm/Qq\s7lEeq>C*d)#F%%q"X^^qtpBas8B?A
+Omi>Cs7--`p]'p`!;_3~>
+q=j^Ynb;kQk4eoLrq6*\o(W1ZrqZNf1%4u7nR"\"Q^*JF=L.5cqXsFNrp/^rl@cq=p#:0m;hF]2
+kPk)Is7l?`p[dkFqtBaMpAjp_o/H@9n*TuLe"DM6>.9H@\+0=jqWmnUoCCjQR.$C3q.5fTo]H/:
+s+=ZT\+fFep[@_Mq=4"PrqQBbrq6j%kl((f?UmGLk5+`FqXaUX!VQ0^p\OS#p\=RZq"OOVp@mqH
+nu,oKjSnZJm/6GFr:]japOE~>
+q:YSrn_*`jk1Tdern$tuo%?"Se^N(!f@S^/e_oKB9JK_(J94dWS($9TgXt3?dEK2KD5c"Ab@!It
+DW0@!lJLXchVI&Eg""^3lIl6nq;"!ei7Z`Ck.QXn=%&a(BV!c2gt^0+i6]ok:4h/Ohs"-ofAb6B
+cfSt63hbNgj5f"OjPe_?gtgTZf`'P?im-T:VFWBoK[A`4gYC?1f%AX.g"Y36qUt\s!S5d!ee-Qf
+h9t39PtZ2CimQc1hUL'3q:Gi'f[eR%J,~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZNi1&p;6^dF"'XKdpp9`P.co(2nYoD@9s^%D=&s8Sg*?@?U`
+m/6k_nGiOdq#:<np&4jSr;-Bpq#CBmrr4Y=q;]EWTkJ"GDUe^dqX4C`qk/rDM=feK_3b&bqYu%S
+@I*gjp$_I/jRiKNqYpHiq#C1$qsOL\r.A6eU!rr>pA+X]q>:!cqYL9hrV6Ehs8*?,qYL6]`0YuE
+r:'adpAa1GqZ-JC~>
+q=j^Ynb;kQk4eoLrq6*\o(W1ZrqZQg1ACh)r44tA`2'Ai<^cremHX'5o^)5"J%"_;p%eNS>>oQM
+Qf7K+p#YrDp$qeVqX4(Nlh:DPqXZ]6p@n.Nr:T1Ch7hm<@UE>Rchd\7l2UeRQ%JCPl.0LTMsoTm
+rcD7Ci:-[0jQ_?RmeQYPqtg!\r:g6b&,5Ago_!T2?^o:5q=+%NoDA4^p%J4UqXsp`rV6Ees7R!%
+oCM\;\VbLppZqkVnc.J>pAal;~>
+q:YSrn_*`jk1Tdern$tuo%=#prRLr"1"k:C_rRUADm>FhF$D8>kgn52hV-E3\n.D^hqmASK1A.4
+9S:UGhr2uAhqQc=jkeGMg&Tn(h)O$EiS<>Qhp1&uW60`b76sVQguI#.hr*(8CtWXV``K!`hp1!?
+?9^]tg?-u5f5Ja]iS3#=f@&7Jf`0VAg<J^4gL<<:Kt6.#f%8U*f%/L+g"G-5gA9LufE'RQrRV#$
+&)l3pi6S0B?I.<Lj5&2E_"lUcg"=m*e:7~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZKh%J0I8>1NQMret<dnGE.^ru@\F^s_cQs7Z-`VKJ>MfqE8<
+])Vg+r;Zfpq"OO]r;HNWr&FQQs82Qfs8W)sq#Bd)`1M+?C:!"$s5a*l@-k\[\R<Oj[/.IV>^G'&
+oDejAFC=%ts8Vrmr;$-ep\jjts6TdWrfa/)nGN=bp\F^_q>:!cq>:'cs8*?$qtg<ls3?jkg].$B
+rUU!]qZ-JC~>
+q=j^Ynb;kQk4eoLrq6*\o(W1ZrqZThs7\2>mIb0kc1L`'KNb,6oCVnXq>-Lf\]a:<qsa(HSo'X*
+cBM^_Xnhq`nb)VKnaQ&Hp\jmWp\FJ@oD/:UnFZ\Zq"O@Zket3'DO+k:hu3T2o!23OZcT7G]</!u
+Y[pXKc2Qr+rl]+[g?e\4p\=RXrV6?c&,k_lmeDd5b3JZup[RnLp&"F`p%J4Uq=a^[s7Quop@\1[
+pqr)Mf)P=3q!J%RpAal;~>
+q:YSrn_*`jk1Tdern$tun_*lms4RG+0AFt3;*DGHiSe]DNR?P;j5]%TImop3cK4$9e_Q!]HWI_/
+9kg-]l.FbJi7ll7f)=>$g%!elgGdgCiS)l:j6#:Wg?-\\Ujl6e8<C[Fj1s?<5gH+7SjffQQe\32
+3`rrXeEZD2=[g9Yin`8=f$jTKrR_tFbN.(-F+gjKiof4Nf@\^+f%AX.g"Y36qUt\srRUr"&(T@c
+h<*RrF)SSIeC<3uhtbn-g"=m*e:7~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZNi0D5@n983'+s5$=Qs8;iqq"q%a\%hM&s75s]q>%.QnZ@oA
+k_N_sk5Y>Ts8Vlls8DloqsjUaq[38ur;6Ehs82Zir;?<ir;HXEme>^OE+Y'js8W"JW9&r'?')%M
+]l@)Ws8VojpQpPKDY3l,qtKpbqtU0brV6Ek%K?2$l1P)VrVQNkrVZWiqt^0bqu$<jq[`>pr;?Hi
+r;3%.jo=T:rr;Zg!;_3~>
+q=j^Ynb;kQk4eoLrq6*\o(W1Z!;ZTgs7\28r6.TXmH+B!5umsWp&FORU7/<rlfe02o(;PDV2"6/
+L#Uj6<cHajnF-2Lnb)q\p\jmWp\FIdqXsIQp%%YPnh'S2s7u]Yo%dYg@>Ee@rpOrufRAWPJt%M!
+A4`Qqo^;/6N-SoFme6MNo_/1ZrV6?crqQupp>bWAqY'UUp\=LXqt:'`pA+IXpAF[bp(-Wap\4CU
+p\'toi;_m+q>9mZs7_$~>
+q:YSrn_*`jk1Tdern$tunC[fnrRq5)0@f'h/S<S\lG5#:lJ:=\g"M74QCQ:Fh9ss0g"MI)dZ/=n
+aD+.NaQhL4j5JVEk5O*4g%!elgBQTjg"Y96fDaDSgu%8Ok0DMm6;Bp`_rU%:@uA?FHU;k8H(\(q
+OQbWVg=U^a:fH$'i7ZZ0e^aWLrRh,)("_6_e`c)Shqm2Dg"P$.f\"m1gY(<Wg%a2"f)+)1db!4,
+g"P05H;h]@`mEJrq:Gi'f[eR%J,~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZNi0sHRJ9Rcs?c$=#snGh_OqY>DkqsjXbo)JXbq>I^Rs7q,>
+pAaBOB:.<NrV?Knmem"]qu?K^qu?LVqtg3dqtg6ap\t3mqtg?jr9aCMs75a\k38ReE08KGiIpK5
+@r'\\C0?)=o`+sgs1lD0;RHK(rV60crVH<ep]("!o)AC`r;ZQbqXsR]s8;coq>:!cnbWjsr;-<d
+p%n^dPDR`foDe7OqZ-JC~>
+q=j^Ynb;kQk4eoLrq6*\o(W(WrV&%IL1!JppA`*O@@??Zi:ca4Ee!`HpAaITq"=7QYC$$3F-l.]
+fofNsb4kJprr2*Tp\jmeq=47Up,Da:o(rC`p@\I[pZV>9rpB(Pi8^;MC5Kn!e9B_U<F*_$>YK4]
+kPFuCrjB,c9!%sfp[e(Rqtg3bs7[&orU]s]s75XNmdU#Jp\+I\p&Xj[q=jFQ&,uD!q"F:Qs7_P,
+c2[53l1XiNpOE~>
+q:YSrn_*`jk1Tdern$tun(ITl0ofs;/7%&pY$=_Te*>-6gXoV<fZr42cJ@70g"hp(i7_Omf](&+
+8U.`'gt:iOc.^nNg&BUfff.X8e_T6Ag">B>g<80oiR$$8`lWd::i`_q_e..k8lEBK:HW*seE>oJ
+m%^;p2jrggh::$+e^XKIs4A1:hU^T<jOi)@gY1TDg=Y33f%AX.g"Y36qUtVqrRq5'&)Z*ng"4^*
+iRr0^YN+!ibPBcng"=m*e:7~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZNi0sZa_JUG](HXM#"GOGLkO-9)*rr;rkqYU-dp%l%2q>^D$
+O8o.Pk*LL\huEQCs8;fnqu?K^q[*,oqY9p^qY9gZrr!,trVu`erqHHhrr4>Bnb`+RQY^>dc%P/E
+<N``PE3]BAs75OUUVd&':]LCiq>:0kqt0d[s7d-$o)8Fbo_.kUr;?TmpA"X_qt^0cqu6Nkq[`Z*
+r:g!aq!e=UV/P>mjo>#N!;_3~>
+q=j^Ynb;kQk4eoLrq6*\o(N1[p\ssdpG&e*EdMrJhfMt<;/bUsgP:^Qm.^DNnFcMKp$_OUA+B6_
+;hFr6kLPN0Lsu=klMUDNrV6EgnbE.Y55+aEp\+@QpA+X^p\Fj^nG2YTp&G$ep$;;AmZD$cFMN+O
+M+=5:B4@Y*p@dV,o9d#aPXkcJo^heRr;$!\r:p<d&,GbkpAXOMm/$DKq=a@Mq>9jdp%J4Uq=ag\
+r:UZtr;$*^r:od]n"=FNro!\IpAal;~>
+q:YSrn_*`jk1Tdern$tun_*rr!8RM+1QZ?R@9]_M>!lLV>1)WRE,j:PgY^`6f@ej3e_66]g>UmT
+EUDT7`d(j1^$"(qinE,>g&9Omg&K\gg">!1g"=m-gtgc<gu6l5gXP<:j5JnMdG*=)Gtgk=Y@kt)
+4I)FA=-he+jjME2L8F-d2!j2Vg">$3e'?J@f)OA>g="d0iR6<,jPo+Vgsjm/f%/L+g"G-5gA9Lu
+f_aA%f`0\8f[\R*f$<='JkWo:_VP%?"PMGYeC9!~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZNi&H)S,q#16mnbiFRs8VrLOj3n*&G,hus7QBkrVsQFs7>op
+E3fKC$hMW&F0>QCn,3+\qu-?\qa(#Oq"ORXq"OO[rV,sUp\=afs8;olo(;\Vs7uWnp@aeqQ@5Kq
+NS0(qOe[tWT)\DMFbG$SKCSd4qYgElqXsUUrV-?e"on#joDe1Srr`,kq#1$cq>C'c!rW&srqufn
+&,#_op@\:]rq5s`QZr5ts7Q6hqLA~>
+q=j^Ynb;kQk4eoLrq6*\nFm"Zp\=[\1Agk<pA+aRo`+"HrUSBn`rH)6m.L)PnG<1[qR9o5kj#9[
+UAXWVk.lLZU\b#Sp\4IXrV?!Y5POsIq"ORXq"FX`q"+.Oq"spfp\sdOn+$5RoCr:SmYbe9E0Q91
+bB[$=Q%EP/p#qENH#6i6l1=K<q"sp_p&4^dq#C(!s6]gSrojC^qYC!`o^VPJqt:'`pA+IYp&apZ
+o`"O`p(-`hqY9g_s8VZZq3#dinGDqQs7_$~>
+q:YSrn_*`jk1Tdern$tuo%=-!gt^cagb[[@gXb*6jNufNdH'NI]5k"8j4qu5g#LQ;jP/U`9'FdU
+S5PR<jQ>!pD,ZGTk0D]7g"H>Un_#nSf%AR+f%AR*g>1?0db!((g>LT@e^2arhrrhPlIsp:=F";0
+J9JeK89fr2;h3r[Hrt#e9k`,6rRq>)da.mAs475&(u`d!dc&C1k2b[ciS)f3g=Fj-f\+s4g"Q;U
+qUbf$rS.A*s4@k0f%AI"e_Aj+dbAkCe^E:LfEBm[f$r3"~>
+q>C'cnbi4[k5>8VrqcHfo)/ObrqZNi0E:VCq#BFOs8M9_s6=dIp&4j_q>UE_s8;lqo)?I1q#C6k
+SUTYurVuoc]ROq%p&=mcqZ-Qiqu$6iq"aY!q"F@Us7l!TqYTj]s8Durr;QHfp\"Oc+4$QmE4CsA
+FF0FT[+E`fd-@TB@AX#&rVlclp\Og_p\X^rqXsm_q==LUp%eRcr;6Ejq>:!cq>:3i!<2uqs8*?,
+o()bXo'lSWs7GW?j7`EDqZ-JC~>
+q=j^Ynb;kQk4eoLrq6*\nFuqWrV%uFmJHMTh=LI9iV`Z6DSPW5p@%SHs60CTqYBOR]2\:snGJGh
+fC8;*p>W?!B;Ftpp\OXbp[n4\p\FSDq=jRYs7u'Rp\=4Qs7lQepA"1NnaHJNotlhp@]Fu^Ao3Nt
+WQN88`S[7k<h9'\p\FUYo_A@Zq>L*fpC?cnoC_PIn*flBq"OLVq"aXZp\FO_o`4X`p&F^rrUTOX
+rUTOWr;Z6JNSa4"p@eO\J,~>
+q:YSrn_*`jk1Tdern$tuo%=#sr7j-_gtLc7hU^`&f%o6-kNL)jV:=;Se(375bMLq.gsFoO4k\uQ
+k^HpZh;.5ObaVp6MU^A6rn.;'n(@]nq:7OWe^N1-f?;Ung!JI4gYgoChV$`<fBMDYZ@kqRT6<t6
+@"4-%\[?L`c&>4^LudOPgtL?,dalptrRUu#'%>gjf[8L&fA5?@g=b05f%/L+p"B2o!87A+rn7>(
+&)>OYg"FZqf\>B4aD\lCg%j8'g"=m*e:7~>
+\bu:#o)/ObrqZNi&,,u%rr)lsrVZEim*^[^s7uR8q"k!ds0uO]rr2rsMJDGVs7--hp8r"^Y581i
+qZ$Hmr;QQqrr<#rrqZKenbN4[rqZQj#k\/sq#CBjs8Drs'3\^^GEU,Kn+Qe#M<b-@oiGMPrr)c]
+qu?TorVufoqu?TnrU9XarVQN`qt9jeqg\~>
+\bGpno(N1[p\sq$p\=LXnbE"WpA+OXp[\@Ic%>H_q=c6-p%e:VZ<YBDpA+E7A)mFclLk2GVI=qO
+oDe7OrV$0`p@S(Sr;6Hfr;#mXs7uZhrq@Q(s8)9\q"+:Mp\F8O;.XNt^@^USqRV.5p\3rH<6t=4
+rqH*\q"Fa^s7lWgrV$9crqPsV!;?<aqY9m[p%JI]J,~>
+\_6f2n_*io'A;*me(WX4g"bB9g=>3*Y[u;@gA9JMe^rU/hj?g6i8<POBh?A%k0VoGeVZe)Mq@%;
+f\bB>g=b-3gu$uCqV(Glq:[+Bj5/DEhV$oGlKmLp5uh-4Y2[sajece9iT&EG5.KG(g=k65r7Ci!
+q:Go)g=k<8g"H>Vs4RD*n_*oqq:Y\tq:PMrs4RP-f@PN~>
+\bu:#o)/ObrqZNis8NQ+q"X[\q!\79A]OEBq=sk?rV?Bkb@SWcs8VcRQ>YjQs8Vcds7+$ZG.IVF
+n,DtTs8Vogqu?Tkq>'g\pA"FQq'Yt2q"X[\qtpEfs8VQfs6K^Sj,@>XOPg*;q#A!TDYO1qrLm5[
+s8W&qrVQEgq"t*hs8DuqrVQWmrr(gRq>9j_!;h9~>
+\bGpno(VqS&,Z4toC;DBn`p/(@)D@3o_A/0q"4=W`F$@KqZ$$BO_Ne;q=sCIqWbb@DmK-*kkFK8
+q>0[NpA4RYq"Xd_nbE.[rV6Ee+91p1rTO+Xi;MT_Hr=.%eF`A%s0Qo\n,D27Q:m><s8D]jq"a[Z
+pAameq#C*epAamdpu1uCpA+F_pAXddpj`~>
+\_6f2l.HU'gtC6-e^`0nj0h:Md,W^QfdGD(f@o/`8#Fquk1.@j9>Sg-gsX^/cCnTDQJ9j3gX4U.
+hU^0/h:qbZn_*rrrS7G,+lq24iQU0>b3[TsDaI';_W'P/lCVH]g??W5J22?/k1\P\g%a5"g&Ke+
+g&9S'g&B^ag%j:rf`^*ag"4i+~>
+\bu:#o)/ObrqZNi"988oqYpHnrs%HCY3Z,apA+V"rVuKhs5n",qXX[Ws57aDo`+sirr32kr23k=
+]__X-#5@Q]s8Dfnrql`k!;Q$YrV6Egs8*o,r:U$gp#lANh0XN4?F^$GXj>Sbs8W#qs(G>3HDp0.
+r;HNgr:p0hr;Z`qr;HNmr;QZRr;$6_quHVE~>
+\bGpno(VqS"8_``p&=Xjq#B.,WTO3QnbMo,q#0XWqVYhjo^)VEs4_45mJltTs7u]Yoq5B![IaFr
+s6\n<r:os]rqHHf!;Z*YrV?Kgs7[W"p?qYSmbRm/cu*bU;6BPpU;tR?p]'mVr`r&gE1u@kp\jm_
+p\=I^p]($gp\jgcp\ssHp\FOYpAjpdpAju=~>
+\_6f2l.H0of[e[Rfa-?m^;5`Ki7HHRfdGG.dG<a#8tFbejjN2&8m9X'gtLfEj36204%l!njP]+I
+ak#D)f\QAWn(ITl+j\rngud,)khEmZ?Q_Y(jID=;\^0:!h;%3a1,E!eb1bS@g%a5"g&Ke+g&9S'
+g&B^ag%j:rf`^*ag"4i+~>
+\bu:#o)/ObrqZNi!r;Wgrr3<(s8-uInbr.\s7uR8qu?3drV:-9rUp!cq#AcJWqubls7>a[qu>cK
+AphD^p\k-lo`tBlqu$?gq>9XVrqQNhs8*o;s8VQWs8UB+Ol?&+8oa_-o#H7&ddR59qu?]ncd)Rh
+r;HNgr:p0hr;Z`qr;HNmr;QZRr;$6_quHVE~>
+\bGpno(VqS&+oJeqtp3`q=\g4m.g)IrqZ:9pAaLXp[_k!p[@_KoD6^6U\"<Qs6T"Mo_I@0?ZipB
+mIpS[qX3eFr:^6ep[@nVq>^6ipE021roiVHrkjAAeEW/ZB(,W[^N[Q;l21/Cr:TU!a8c,4rV63_
+q"Fa^s7lWgrV$9crqPIHq=aXY!;?Ed!;M'~>
+\_6f2l.HTue_&^7gtLQ9;j,G[dbWjWfdGA/cf!X48t"Sgg"t<8Y;h<hh:L]6c/dO5_KnRPS]fI9
+jQ,4Hdb4HMmFhHl+l;ABcHkY:X`AO%g4:hTh<EIi@]d&cj58SQhq5$4k1\P\g%a5"g&Ke+g&9S'
+g&B^ag%j:rf`^*ag"4i+~>
+\bu:#o)/ObrqZKhs8Duq"oJ)g[_;)-rrN)iq>;l>s7H?ds(An9s7?9jnG0h+\,Z3ns8W#ss6TR\
+Sm[l7o`+@Is8Vror;HQkqu$!]r;$<g+92'1s8VMd=Cq('OBcmV`;f5ns1<i:V#U)enGiOfqYg?j
+qt^0bqu?TorVufoqu?TnrSd\Mqt9jeqg\~>
+\bGpno(VqS&,,enp\"1Kn$0Cds8VukmeQT,o)J1Xo(le$nGhnUrp03f=Kq\lli6qVqYTCFpQo$D
+bNSQYjSJoJp@n:Yp[S%Wq>^6ipE0>&nb`1FThSYNpk)FXF1M>4kP)B2J=cZ&qrRSMp[e@XrV63_
+q"Fa^s7lWgrV$9crqPIHq=aXY!;?Ed!;M'~>
+\_6f2l.HU"g=k64f@864R`aULh:g6OfdG5+dc&j:8XnAre)oW6es\^chpg!5iS!)Fak#3n4`djQ
+fu_@njOa4]n_*lms4RG++l_),jQ"RF3ChW`F$E`7Vs;XWigjRmL?6nGced^<g"P0Og%a5"g&Ke+
+g&9S'g&B^ag%j:rf`^*ag"4i+~>
+\bu:#o)/ObrqZNi&,cJ+pA4gbk]YSPs8D`js7uR@pAasgpA\d?q>C*erqcKiT5VmPqu6Tgs7u]p
+nGi9>E0JKBs8Vuos8Dltr;HQ_qZ-Hhq]GP'pAaK(8rW?4s*/G]FIi@0s8)c>MJT'`rVuoio`+mf
+rVQEgq"t*hs8DuqrVQWmrr(gRq>9j_!;h9~>
+\bGpno(VqS&,5trnalVJiGm<:qY9[VqYBk6nbi%WnG6S(oChhMq=XFUQtXD;o_8+Kq""I_l2U:)
+A;@qgs7l-Tp&4Rcp\+@Np]1-gq#C(1nEoZDjD[G=kN;_YA,L&(o`+aXr5OD%S*okHp$1r@rV-9c
+q=j[Xs7cQgs7cKcs7cNfiV30Aq=am_rq?EfJ,~>
+\_6f2kh-I%g=+X/e\kCneD/d.g"cDV-dg`$hq$^WU"eGXgt^N5fR-AjjOi5Ae(iO8i6C?5AP-g9
+e`>Q;fD4.jg&9P&g&KbLf$i77cW_u@e^j+l;<h55hs0:YjK<;oK\5)DgsOU/g=l/Opt5W"s4[M+
+rRh/'rn?>aq:PMr"Ph_af@PN~>
+\bu:#o)/ObrqZNi&,H8(pAb0T\Foges7uQjrV6:8rVQQhs(KCNnGi(Ks8Vc_G(JuZoD/F\nb`@b
+o_eaNP@K^/q>UQqs8Dlbqtp:1s8Mo4Cj4(us7cP#WUeJCo(i:Xs8;Z([rUQprr2uprVZWkq>C$b
+s8;oqs8;ims8;lpiV`NKp&"geJ,~>
+\bGpno(VqS&+obonbW:CZ1.POrq,pZq"XS1q"FLSq-q,6lM9f4s82<ODgLLEm.12GlLb,MmIgM4
+LKB/ToC_hTo`Op\p@n"MrV%E6q")(-Do;,@m.ODMkK6finbDSQp@PbrBA)2?p\XR\p\jm_p\=I^
+p]($gp\jgcp\ssHp\FOYpAjpdpAju=~>
+\_6f2l.HTuh:g?6ikgr.g<&:(f\5'TfdGD(g"Y3;8uLUqhpTg1h9aJH?HD0Rf&Y?+f]1]5g#Tnb
+4_hCXgY;PXn_!oorm`=Hg"P0BhV=l%>-QlHg>kSZe[7Zmgu-fJhV"Bc;8^N9hVm/Ag@O"mf`0Y)
+gAfk)f`0Y(g>U`\f_O2'gtLH5f73~>
+\bu:#o)/ObrqZNi#l"B!q#C9+FP?`o"7cEcq>'q8s8)ZhrVpZSpAb*gs7c0cs5/EhkPtSRs8Vuh
+s8Vlor;YQ@I%T3irrN)ro)&7\+85-%AV/D1s7lW!=Q02PFg(`9s6p!apZ/NC\G-$qs8Dloqt^0b
+qu?TorVufoqu?TnrSd\Mqt9jeqg\~>
+\bGpno(VqS&+]\roDA3iD:SU^qs=@Ro_J5.rUopWp\AC;nGW+Sr:9=Us4D[Si;`iDq#C!SrVZ3\
+o(::hE0JZEo`=d\o(W4ZrqQHd+7SKf?$a]fq!J'X:"Jk'D5[*rs69RWn_BptXmPfKr;HBgq"a[Z
+pAameq#C*epAamdpu1uCpA+F_pAXddpj`~>
+\_6f2l.HTshqci>fU>XGhqd,6j4)ZUfdGV+g=P0<9rck-h:pi:dGErs?Ym[AjNu]Cf[Aa:e_Jd1
+[WGPq[bLW3n_!oorm`=Hg"P02cAG)&[c?K(m$'TMhqD1qhUgu=kM+V-Nc^W;gsb9:g@O"mf`0Y)
+gAfk)f`0Y(g>U`\f_O2'gtLH5f73~>
+nb`.[q>9FSl21&Ls82fkrVHiprVuQjoC:o3r!32ts7uNeJuSSD)uoToIX(Mbq#:3js8Vlis8Vcl
+s4W0FP3_uEr;Q^]rVQNls8Dfgq#C9cq#(*is8Dunrq?BgrR6$rW:BWRs8W(EC\%N*K5^D\q"jp\
+s8DesK?jGqnGiFarqc9^s7uTgrUKd\rV??dr8mkWr."~>
+nb2eQq=a(Il1X]Bq"P*cq#Bj[m-<EspBUKeqt0OPI&$Z6rV'\!mbi;/mJl_Np%SF^nacSUlh1;)
+HY&#jme-)@rr)H\p\F[\p%%_Rp[RkLq"aj^s7?$Ss7>s.E`8Xsna6>Oo5A%%r;CtVme?AIq!e+P
+n"Y-GoDe(Rp\4LXnb)qXp\FUSpA+LZpA+IIp]1'fp]1,?~>
+n_!Zjq:Orbl.G7R#M%PgdbW6o_"$)rf[ep2g=^"phVR&Cg=b02jO1tN<RKmXgY(??hpp<8im?E?
+[9uUD`RNYng#V2Gf@ep6g=Oj)i7ZT0g"P3;fAY32dc/m4Z<05Ge(N@;kM]]Ae`Z..;:aXXgYLE;
+hV!ltX4l^^i7cl=f[A@/q:YStn_!Zkq:PMrl.Q9rgY1<4J,~>
+nb`.[q>9FSl21&Ls82fkrVHj"na-;Tep?*@r!35trVHNmKq\>?&GH/&a*Ng0s8N&qp\k'dqtU0i
+s8P[3M.W:7s8V`cs8Vulqu-Nos7#sds82Wfq#9OXq>L9hTO*W&qu?]jo)&03K_bHD_I(1[qYp9e
+q"k$fd'8\Es7-!`pAP$kl1t8QrUKd\rV??dr8mkWr."~>
+nb2eQq=a(Il1X]Bq"P*om-"?AcZ@V+pBUNeq"=FWJ"-E1rV'[fq"DLELuA:,qt0COp@@kGp[n+W
+p:c#[OOEgnkj.s=p@S(Rq>C9Yp](0bo^qbLirATCp@ObSL;rlcr:0.FludUDnb]t%]`7^%o_7qI
+rp[n)L:$aBp@e%Qs8;$Tp\FUSpA+LZpA+IIp]1'fp]1,?~>
+n_!Zjq:Orbl.G7R#N<tMhqGA:\+&'ge_Aa5hIhJthV?o?g"G!+gtJQ*CrG>fhq6H4g=Fp,gY(9?
+gS8:EG.?;[cI(D&f[e^/gYUu8g#:f?f%/C*`T,M%g=Ug:Col@SjOr,@g1+dNgubCuUupFhg"b67
+kh<5#D49>-g"=d.j5%cOg%j@lf_O7sf_O4bg'$6dg=Y&.~>
+nb`.[q>9FSl21&Ls82fkrVHimrVQWcb`)>er!32rqY^BnMO=5;/bT/Bqo3&lp%8:aqZ$Nfs8)cq
+p$qtZoW*(AS*p=Vq""Ibq"FafnFQ\[qtBpcs!@48s3GgrS)42CmJ[(aqp]VWs7?6eCl/2jqsj^[
+nbN4beshN<rVluqoCi4[r;$<]qt^3dqt^0Or;cbG~>
+nb2eQq=a(Il1X]Bq"P*`q"FaR`J*jPpBUKcp%S@\KTc<-rV'[es7Z*">'99#r:om\p@%nMs8MHO
+p%RjIC0$JVrqu3MrVuKZr;,aIqYp3YpA=Xap#Z5R`G8P>fDkO,p]($[b\<C=lhL-bL&^uFnGi(D
+me6@uOb1IMr;6BbnFQSRp\FUSpA+LZpA+IIp]1'fp]1,?~>
+n_!Zjq:Orbl.G7R#L_>Yj3FT:eFD41f[SR-iSeU!hVR&Cg=b02dcB-7UHVi/dGWg3hqHQ:fAkl=
+cIpt"L/0mSaQ2@0cJRX3e)&m)d+mR3e(EL2j4_];jJl$=Ge<%ic/%O=hR?I8jOW8F:28qJgsY05
+db*L9ZZp/^inrSJf?r+(q:YStn_!Zkq:PMrl.Q9rgY1<4J,~>
+nb`.[q>9FSl21&Ls82fkrVQWp"o@riec5L8r!*&prr)kYQ21>bs8N#rs0#Rrp&G!cs8Mcms7>sa
+s7H-eqWFegC9Qt"s7H-es6K=Ws8MihqY^6eq>L?nSp5pnr;Zflp&G'bs.*B(s7uTmU2B8sp%/4Z
+s8Vurs65Pls7Z'^s8)QinbhqSq>C'ch>@9MJ,~>
+nb2eQq=a(Il1X]Bq"Xmh"nhEXcMI/%pBL?aq=j]BO8\eNpL!mnp\+N`;O6bLp@8(TnGi@Rnbr@R
+o)J=;Sm,NrhsgO3o`+gNn,N@^o^hbMp@I\AqtuUpHDgH9rpfLSqXFEJ;m?/hpA^^ukl(/Erq6<`
+nGDq:LN`Ucme?YRpA4=Rnb2eQq=`eA!;?Ed!;M'~>
+n_!Zjq:Orbl.G7R#NOdpe(:k\f(%F3f@JU0h;<6shVR&Cg=b02iS3,@i/BR?dc&p1i7lcBh9sg2
+hU:!9f></*7#An5hU0p7h8n"(hqQ`4f@eg.e_B3HH<"C4g#V/BdbNX,ja]Oak1nhVK20\Nf$rX1
+khb%Th8X;:hpg$+h:U?6n_*Hbq:YSriRn@hg=b*0J,~>
+nb`.[q>9FSl21&Ls82fkrVHian,N18M=gi<r!3)tr;ZKdR$RRG,QIH:r:U*'B?TrIoD/Fbq>'g_
+rr<#qm/QkUm&!lqW;ZYhp\t1Pp](*ds8Voeq#CBaKk6VFrqc<`s8Vuiq>G>Kg&CpLptBSns7ZBb
+qX4.Yrr)lSc^NSfs7H6hq=4CQqt^0cqq_/Mqg\~>
+nb2eQq=a(Il1X]Bq"P*TlMpJ'K'iL+pBUBep\OCNP*#Y9rV'[tmf2tJq6j\LmJ6,>qY'RSp\4Oa
+s7YXUnaY_2:0O7_p$qPHs8;B`oCMnXo'PuBp#:7"Ms^0.mdgDXp@7eJC1>TcpA=F3Bsn!6qtBaG
+mI^#As4GDXec5U<q>U*Xp[RtQp\FOApAjpdpAju=~>
+n_!Zjq:Orbl.G7R#KG!Je[/o7hsoB<e_/[4f%G@ohVR&Cg=b02iR6f?dbU?[W6sGJf&#-4f\,!7
+jQ,":jOMf&JMTNCg"=g'gZ.2?hU^98hpp*(io89o6Z^c3f@&4,iRZE-hGm:_i83MJ]2"^PfA5*4
+ce%%0g?-,PGduekdb<U1n_*Hbq:YSriRn@hg=b*0J,~>
+nb`.[q>9FSl21&Ls82fkrVHj"rql`jhY.!>r!3&tr;Z?^T9K*K)>*t*s7c?hZt[>Us7Q<io_\[g
+o^2>Os7#mas"`T*?"gqOs7>j\s8Dfls8Moqs7jQZEQA%Xq>^9dqtTj]s4M1bq>1!gp@a/kpAP$]
+p\k+"p&FLIMS8W]p[@nWq>AqCq>B@O!;_3~>
+nb2eQq=a(Il1X]Bq"P*oq=a^UfC/V,pBU?fp\X=IR>q1=rV'[ds7?0Xo)5\"\c;]tp&"4Ss8V]W
+nb`@Pp&"X[fT]<C[f6<nm.U5JoC_qRo_\[S[;'0^nal5Bo(2PHnb<(3A"N5_p&FOPJ:[Ckrp]OT
+rVlQWp#tLk\F0@gm.LDSpY#99pZ_AOp&=XbpOE~>
+n_!Zjq:Orbl.G7R#NORkh:0$ahXT9;eD&^6das%mhVR&Cg=b02dH&p;eCNT@7\/W$db3O+gu@;C
+cIC_3cIh%3gV%kl7%*#ocd1;!g"+g2g=P3BfVMbIVq]tWg==[$dE^8"\5%n9gth/Gf4AIDhVci5
+iofOadbN-kBUdB,e]l\*q:XHRq:Y#b"P_V^f%,?~>
+nb`.[q>9FSl21&Ls82fkrVHfhqXsfta8,6&#Pe>ps7Q8bMY[0KoDe4Xs60L_I$)kWr:g6grpK4O
+s82K`rr2]^o_\CMLM(nRs8Vinr;ZZfqZ$?UT5')Vq>^Kos8W)us8MidUjM2&r;-Hjs/T_bs7Z-]
+q"++Urr38un?ASBs8VZbq>AqCq>B@O!;_3~>
+nb2eQq=a(Il1X]Bq"P*\p$ha^_".0gpBU<eo_n7OSqR(9rV'[cs5s7ZiV<=nMTbninG2eVnaHDU
+qXjLXqXa%?o^M!n?uj*Zq!e4Sq"4%HqXNL)=EWonqXjFVq=sd_qXs?KF5Higo_eI\Ve"K[p%7qH
+kihU9pAaXJX..fBs6oXVpY#99pZ_AOp&=XbpOE~>
+n_!Zjq:Orbl.G7R#L:rLg6JG`f^[X5e(`L4e_>gphVR&Cg=b02d,`@-jMfp4=`1G#g!nj2hpTm-
+jP8>=h;-Z-dFcsk@ma7lgtU<8f\>$+f%nirInF>,g#q5HhqZl9f[\?nK3lRYhV@)Fi/C.;i7HQ4
+g!\=(jPAqKcAm=bj5SG:q:XHRq:Y#b"P_V^f%,?~>
+nb`.[q>9FSl21#K!;lckrVHm#rUKoAG5q:6qYU*d#Pe;ls7u\lK),=?s8)cqqZ$Tes+kgFs82`j
+o_SR`p%J4YpA4adrr;uos3?4#J^4,iq#CBjs8U;sB!1t.s7?6hqY'X]s8;iqIYe%#s8Mfls34rg
+rp0U`rr3E+s69RXs1P#LrVZ?gq>AqCq>B@O!;_3~>
+nb2eQq=a(Il1XZAq=k6pq!A$0Du];#qY9m\#P7c]rq#rYI/Wd;pL!mjqY9[[qX"65DT_bHp%@qR
+s82N_q"jRTq"X[]p[e='HW5=3oC_YNp[J(V_L#I[mdg/:o^qbDnFueRq>GPirUfs]o_JO/>e^'t
+r;-6dqY0dEs760!RE>6unG;tTg%P79l1P,Mrq6?dJ,~>
+n_!Zjq:Orbl.G7R#N+7\j'bjGddc"/e(N70g#%TrhVR&Cg=b02hq-`?fAPN4j(2,kgt:<4e_K*<
+f@Sa3e_/^3gtg`:hl:!A?)lK/e_o65i8:GA7#p!VimQT7f@&$tg=Op3?>ANSi83/DjfUhAh9+^6
+hr3MLhT"^.iL>1pg=ap0q:XHRq:Y#b"P_V^f%,?~>
+g&(=;nb`.[q>L*drqlZi#l=>rr8-H.qtp6cq"kQsqu6EkXaL-Hq#C6`s8)Wjs8Dut%>]<)s7H?Z
+s7Z<dp&Fgaqu?RHq>:37?s&6bp]'a_s.XLShX:46p&"dfpAXs]rVuiRCYAaWs8VZhq>Y2cs8)Ng
+r;ZZoq#pEk\Uqg"rrDunqt^*Iqt^0OqZ-JC~>
+g%Ot1nb2eQq=saZqY1<kp%nF7g$eS&p^QrkqXaNZFS>CurV,j]qY1$`&,Q9TE:<hms6K^Xq>0[^
+p&"OapFl14s2A,<IfJg7jS&D7@V=B[p@RqLqY9UVp@%_Rp=X*/rTsF\meZPNA:jjRo(N"UrqHcl
+s0R3gq=jaYqY'aXiV**Al1P,Mrq6?dJ,~>
+g">iJn_!Zjq:bAl#MRbaft+iEfC@N)f@AU2g#%fqhqm#Gg="m0q:Q;7iF5a6j3H]/j4;r=e)AmR
+fe:q/jJY4!A*2;'cJ[i::JnaFe'l^qgtL95g!\[9gqQIki6U9=dG<L58ndA@g>)V[$JF.df&N''
+U"nAXq:PMpiRmtZl.?-ng"=m,J,~>
+g&(=;nb`.[q>L'cs82ils7cm"m/H1'QN.!^r:p6dqYLftqu-9eX`sL7p&FjYr:Tsbr;Z^+p\slF
+KC]'4s7>s_q"OOXq>3GWmJHqMT4(Qce,Si[E3TB3oDejhn*p/Js7H0fp[Yu"li$>Oqt'jcrKVZs
+r;?Qlr;6Beq=saUpZA@6s8VikqYU*biVWHKjnf&SJ,~>
+g%Ot1nb2eQq=s^YrV6Eg#lj5didQmZr:p3cp\5<sp\4LRp8)]qnaH;Hn,)eQr:g6b&+K>\K6le[
+kl:/DqXsLQp%eA8rTNtTjd9+=O2pnMB4.>1mIgMZrU9.Io`+@Op[@CUWp9NNqY9OZp@jVhkOeEG
+p\jmeq$?NaiM#$%p?qVMpA+C?pA+IIp&Odbp&Oi;~>
+g">iJn_!Zjq:bAl#NEt^`*mW;hsf;/e_8g1gl>Lgg=>*5d+m+GfalQcct6S-i610.eD&R)e^jQL
+/DnV'jN2d5/U=V[bZ@W&kfV0'h:Kiof@T*5g>L]8SrLqLd+d7%inW@4=j[0(!8@;&#L_5AK>--p
+dJ;GjfAYBXg$.,lgY(61epm~>
+g&(=;nb`.[q>L'cs82ils7coon,*.I_#F9/q"aa_q[`W"qtg$]ZZG[7q>^BdrV-9fs8;oq&,,u%
+gj5Ces8;0^s7$'aq"ages#0`Es7blk?!N8+HL(D&s8;BOpAb0coDe=[s7u]<n+lbPrV6*ds81&V
+_uK]8r;?Hhq>'g\p\t0qjSJ9Dr;-<dqVh>Ir8meUqLA~>
+g%Ot1nb2eQq=s^YrV6Eg$2*`[s4t0Up%\@Sp^d;tp\++IX)$tloD87Rr:g0bs7cQe&+B5ldrCKA
+rqGUUrpBaZp%eA;rquHVs7#-V;GhjPC>8"?s8;<JoDej]n,M\Nq=FI%lhL5IqXsFYq=Vd>]D)!n
+p\4X]s7lros8MrNn`'TAqY'aXiV**Al1P,Mrq6?dJ,~>
+g">iJn_!Zjq:bAl#M.5Rj1q,8f^[W*g=G!2f%?3ddbWU7gXP'0q:Q;,g#KM?F4]C(aQ)1'i7HQU
+feD@@f[/^/bF(ISC/A*Wg"536aMcH_hp^$7d,Ns;iiCAXf[eg.e`#E?X\5JJhVQu_fa$-fi822t
+`oHmIq:FTXq:Y#b"P_V^f%,?~>
+g&(=;nb_MIs82ils7cm!s6]0mRdpFTq"ad`%eokrp\DUHkPkAYs7uZirVQWms8<K.qXX[>FfbW?
+p](-es7cQgq[<,pqZ$3^o?g90<6"q;0^nf:rVHBfqXXXZs7lWkjT"rIr;HNhq#C0]Dik"rs8;fl
+qt^'_puqbGp<ip?p\`J:q>B@O!;_3~>
+g%Ot1nb2/?rV6Eg#Q=\dkIm#?s7,jpqtKjXnaj8,htHa=qtC!arV6Ees7R!!oBH;%Cnq%(o`+^\
+rUg'apbDL4p@\@NnEe.]6q=]Yp@RSArVH9_q"O4QnG;_Qp#,lCp&"U\p@S1Pm:hCOoD&(SrV6Eg
+#j;3On]:V*me,$%q=j.I!;6?b!;D!~>
+g">iJn^ugR#N"L`ae3auj7(_3e_8[-fqDEehqR&FfA>-Tfallhbi?$*L?$q:iRul?e_^,T0\Fk-
+f\k0.d]b8W1oBBshTO@$f@JO+f[8O+i7R#C`SoD!gtUN8fAG91:N>@KhV.hZ#KYfGe#V?`dF$VB
+g$.,lgY(61epm~>
+g&(=;nb_MIs82ils7clfp&G'6XoIedo(rsopAF^_r6flCqYBsbp\FO[qu?R)s8)Zjs1E'Ms8VBS
+s75UXq><MSrr;c^s7cA4Ek[QUO6cfFqu$KonF?PYoDACUr3j-3o_JCZrr;Qeq>Q:fo(i:_r;6Be
+q=sabr;ZZc[/^1(deik<jnf&SJ,~>
+g%Ot1nb2/?rV6Eg#jq9arP56/jS/6?&,Q"po_%q#ER=:JoD%tQpA=XbpCI&jp%89j@&a2+jm<$7
+l2USR0(o&?oB?5Do4hpEK4femo)JFWs8;3Lr;,jUp@%d^[/'=gqXsa`me68IKk'E<rqHBds7ls#
+qu$0QX7Z8]de<M2l1P,Mrq6?dJ,~>
+g">iJn^ugR#L:lYhkPtea77gnf[S[-gYB,=\_GfjgXY!,q:Q;5f%AU7Q:$VjjN,[.d*1SHg+_17
+jOVQ9f%F#"SS_>EbM;10f&>K1cJIC)g=ap/Q'^4Sg"Y*5hpL64hJ5g6g>1KZfa$QmhUp)5f\Os-
+q:Y#b"P_V^f%,?~>
+g&(=;nb`.[q>9pas82ils7cm"qYgHj\+K^uo(rsnpAF^bs5SORr;??iqYBp`qu?R)o`+gWs7Mss
+Y5eOrs7?-bq>:<onbE+`.#Cfds8VoQL/FK!oDe^`s8VrqmJHh[ol>c\q>BsWr;ZKfqtdd1bPV;:
+s82ils7clqmdL2HONmh'qYU*diVWHKjnf&SJ,~>
+g%Ot1nb2eQq=aRWrV6Eg#lj_qs7*8Vs7c*Z%Jf_mo_A7:FiX.Jo)&1Wq#C(!mJlhBs6Q"ZWW)hd
+qX4(Nq=cWDm.:)Kr.7Ouo_\(,HUO"Im.g5DqYTsckkFlJnSWpOq"saQq>KmWp%5Ll_t3Qqp\jme
+q$?c_lMg%'_Ya$&pA+IApA+IIp&Odbp&Oi;~>
+g">iJn_!Zjq:P5j#NOOlj4'49ipk\4f@8R,hVZ7XYhe*ehUpN4q:Q;*in)B6cZhj:iSW2AdFm4K
+g+_U6f%o->BJ=Pbjk.=Z0mgOYgt1-4h:LZ0g=tE4;.S;3gt'j+i76T:g6Y.-gtUQYf`oaGi65r5
+hYGh"g#:TZg$.,lgY(61epm~>
+g&(=;nb`.[q>9pas82ils7clapA+F]M4OPBr;?HhrV7!#pAOacs6P0Urr;forqlTkq>^?lr"&N$
+mf3=_nsa7/s8V]is7?'a5kF:@s1*#]\Gu9us6KR#B5b$Cs8;`kqYU$\s8V.lTD/6Zp@nF]r;6Hf
+iGFhZqu$Bhqt^'_q""IRq>1'Hs8;`jq>B4Kq>B@O!;_3~>
+g%Ot1nb2eQq=aRWrV6Eg#jCsRnb%Eqo(N"Up\59qpA+=UqW)e8pA+=Zqtg3eq#C(!nbhSIr:90<
+@D;d@meQnNq=cW3jo>@dB4A.@n+-M>oXS7=VWI[IoC__Ko(2eXiFSVSqYBgVp\=OVp[['MN;3&>
+p\jmeq$?NjlLaW=e+`P3pA+IApA+IIp&Odbp&Oi;~>
+g">iJn_!Zjq:P5j#KbQJe(A/Rea_<&f[S^-hr)acWo)^eiS<2_falQgb22%+c?D[Mj5JD@jO*eW
+-.0fpig*5.Qep9Fk/uDQ6qiN_hV6Z8f@e^(h;6"<J(NH/f%&FPgBZQe_+o.3g=lDV#L_YVf$r<\
+gA0Csg#:TZg$.,lgY(61epm~>
+g&(=;nb`.[q>9pas82ils7cs$q>]p`iqEENr;HTlr;6Hg&,Q"upAb-]HboUWp&Fp`q#1$gqu?R)
+s69R`nGiO_M0dJIqYg<gq><MTs6t_IGh;flqu$-dqXFNJ?u3m`qt'jZs7Q?^a`uS3p@e@_q=OX`
+rqcM>C]F8/r;6Beq=saalMpnSU36;0qYU*diVWHKjnf&SJ,~>
+g%Ot1nb2eQq=aRWrV6Eg$NBi#lMoQ's7Z3\rV-*^%f5npo(i(EF1Lo9n,2tSqY:*b&-(_jqs"+X
+n:Yr+s7Q0\pA+G;pAaH/<H6CWq=O@Jp[dYLLfRuur:K@Umf2eQnA]V)o(D\Orq>jWpA":QFCY:@
+p\4X]s7ls!l2CJBR;26aqY'aZiV**Al1P,Mrq6?dJ,~>
+g">iJn_!Zjq:P5j#N+4nbi?@^j71e5f[S^,hqlacU>4PShq?W4q:Q;<`o>k!iSW*s=KLN7gY(9U
+g+_4@c=8k7[b9QlgXP'4cfT./8YkA"d,`U8dbE0I<kHi3f%T$5e(ia8g=on,k1SJbfa$BVhqZD&
+:=K$kq:X`Zq:Y#b"P_V^f%,?~>
+l21#Kq>:!cpA=mfrr)Zjq>9pas82ils7cZkqY1!h$$ETOp&G'fq#:9kqu-=$q"jOYs8N%DY5J1s
+p\Fa^qt^3fs8;io(]/l"i;`TJs8VZ^s8Dipo)HLKCpO*@meZk]r@c?G>^srmrq--gmJbAuqtg6f
+q#16hn+ukTn\0+]s82]iqY'UUqY0jcr:fj5s8;`jq>Bd[nbhqSq>Bp_!;_3~>
+l1XZAq=aXYp@eO\rqQ<`q=aRWrV6Eg&,>tks7uV.W:KBPrUTRUq=s^oqX+(Tq"f!-o_&1SpA=RY
+s7cKc(\E,bg%b+.qu?!Lrq?!Zlhe52AZPV+l2(-/p@H(D;0^%Mp[._OkkW<aq"ag`p\Oj^lh'f>
+laCW?q=aOVp\"1QqtBj]p[7@hq"=LWq=jFQnb;SIq=j^Y!;6?b!;D!~>
+l.GOZq:PMrp=TDurn@2$q:P2i%bfFlgu(qde^<11e^`F/q:Q;0f[/C3hW%e#h:pu@fA+sIfb`:N
+8AF$5f\tu?e)]<<hU1;S<D/D.jNRJS+l(eO@67eqf\Os/h94TSbLtV)gXt9;g!8=)f[6<kU>OZ'
+fF-9\fA"p2gY(!"XkW[(q:Y;jn_*Hbq:YSr"P_V^f%,?~>
+l21#Kq>:!cpA=mfrr)Zjq>9pas82ils7d/uq>C6gpq"*;p\k-cs7QEirqlZi&,?(qqu$3gJt2Z4
+rV-3eqtp3fqu?Tmr>5LiLlLg%r;,aZs7uQks8SC%K\QOrmJm+^1].+JnGi?c=&"n8s8Vopq2FtF
+p\+7MpA=gdrVulsjE7L$rr2lpqY0^Wm/HnXs8&\Br;-<dr:0[Sr:0[[r:TpeqLA~>
+l1XZAq=aXYp@eO\rqQ<`q=aRWrV6Eg&G5blq=3pWYlF.`rU'ILqY0g\%fGkkp@7m'Pk"A>oD&4[
+p\=d_rUq''eq&S<s7Q!Eq>9aTp\OoNApr2/l0/0FpG;U=pZ_\GUJOF=fD5I;s71m2q=O@OnalPO
+q"OUZq:oh]pA+O\qYBjZpZqeOo_\0Lan>N(q=jFQnb;SIq=j^Y!;6?b!;D!~>
+l.GOZq:PMrp=TDurn@2$q:P5j&(T@dgXOZ8PiL0Ci6^<-h"fV5f%SX-gt1IoIG3B1f%JjJfb`PY
+B5GfSgY'a,iRll?i9#/UA%LaGbN/TT,MCf)cf`u?2Crm^h;d)IenNOee^i6ueCiX3h;@)H`E%oP
+h#?%.gA]\/bhh"'hUI+Xq:PMrn_!Bbn_!Zjq:Gi)g"=m,J,~>
+l21#Kq>:!cpA=mfrr)Zjq>9pas82ils7du<p@nC_q!aT>s7$!equ$-br;6Beq=saZrVHHgo`(5<
+s8VrlrV-0eq#1$gqu$@+rVu?RD2@rdr;Zcnr;ZfCDJZ62rVlfspAFeDq>:'ho(i=FO^r.5lMpmu
+GQ7@7q"ORZp\Omdr;-HnLQ)92r;6EhqY0X]qXaXbop+A2qYU*dnb_kSnb`.[p%nacJ,~>
+l1XZAq=aXYp@eO\rqQ<`q=aRWrV6Bf&G>VdrpSs,OoOP8s7H!Rp\4X]s7m3"rV$$YmeDftq>9gX
+qY'daq>9sbpDEW(jl9j"mJ-8Po^VMKs2AM[T\T8<rql6`pbVa@q#B^Os4iN<@B8>^p9\]:meQVN
+p\+7QqXsRSqttqsq"OOXq>0p^p&4^Sp\O66eFi\3q=jFQnb;SIq=j^Y!;6?b!;D!~>
+l.GOZq:PMrp=TDurn@2$q:P5j&),Uaf&>'!Dft*^fAkK8deVQ,e_Ad3g=5)*E8oj1g"Y-2n_"`@
+bfWOheDJsAgXt3<k,_3KL;Ma'ini2_feV14g#g`8k/)+*8!:pNh4%C+eD/^.f[n[,h:p`=iT4`i
+hV-Z9g=t?6e_]$,g"jtl\,"\Pg%!_bg%!_jg%j8'gY(61epm~>
+l21#Kq>:!cpA=mfrr)$Xs82ils7du@qYBpdr;WCIs8Vino)J[dr;6Beq=saZqY^<lq>[LEs8Vij
+s7Q6eq#1$gqtp:-q>^<3Ed.N_q#C6jpnDG_chIJ=o)8U^rqlTg0E:k@s8U>f@tEV=\;g4^rqH3d
+s7uEcr:fp\s1*CRq>'g[q#(!^pZVYWirAECrUTmVqsjUSqt^0_qZ-JC~>
+l1XZAq=aXYp@eO\rqP[NrV6Eg&cMOtoDeFXP^rH%m/#uGp@n=[q#C.#p\O[\q=FHXG5D1-p\a[[
+rV??cqtCoqrU@L6D=mhqrpfXKQsPKfnGi7KpA=CZq#'qAp&+LOs8U)X=`r9nWIF%(q=aR\r:]aU
+p@7YDs06P;o^qhKp\Xj^p?2JUg&L(&p@@tJp@7nIpA+IYp&Odbp&Oi;~>
+l.GOZq:PMrp=TDurn?>a%c5pje`56:G\#L_d,*"*pt62.f\>3=g#J#uj5\bFh::0KfbiGojO^2'
+<86Nbjk/><Imn1Vf&kf7g>:?Yg&0GTf\bE5k2raG5[D(eP\JY*gt137h:L62gt1-1kaGZ1f@JO'
+f\G65f?!"4]]7#^n_*Hbn_*Hbq:YSr"P_V^f%,?~>
+l21#Kq>:!cpA=mfrr)$Xs82ils7du8s8Vlkq>^$.JH,Z<s8;Zir;6Beq=sa\p\OdeqYms>pAXa]
+s7cHgq#1$gqu-F1p]'[]b@?\7r;ZfDIWDmjs8W)tr;-?kqtpBgrqJ2IqtBdXpA=m&IrCQp[/^1&
+oCDYSr;6Bkq#1!fnoNXbrqc?]qtp0gs60=Ze7e"Co)/%TnbhqSq>Bp_!;_3~>
+l1XZAq=aXYp@eO\rqP[NrV6Eg&bZ2(oCDDLkIbj7rT*qKnb;eVq#:(!p\+@Zo_,IumeH8ErV$0d
+q>9scpCQ`kj8HbqLACB:qo*VhX6]W]pBC6]p\ss_rqZTj1&:kGp%.bEo_Yn7@"W$cp%S.Mnb2hT
+p\4OTp[\1GCY&7Up[e%Rr;$Blj7WGq?/>5Fp[RtIp[RtQp\FL_p&=XbpOE~>
+l.GOZq:PMrp=TDurn?>a&(]^ue^`.-bFr"tiQ0s.eG7c.f@AR.inE:W9\8.Og"t?7o%=r8eEG0?
+W^:[bgZ@P#>u?m;iSNDHg"4s:g"HAVs4%k9i7ll7e^W=3RpA[,;j$5%f[J:#g]#nCi7Ql<j3pu?
+g=t90e_Am4i8;N*j/t\`n_*Hbn_*Hbq:YSr"P_V^f%,?~>
+l21#Kq>:!cpA=mfrr)Zjq>L'cs82ils7du7qu?Nms8;oBIJEj=s8Vfkr;6Beq=sa_pA4O`p@uRH
+pAb-hs7l?cq#1$gqu-F3s8N&orRbJZqtI15UZD.Go`+sbq#CBjqtp3brV/)6s8VZ\s8Vimq6$<@
+bl@P>s8)E_qu-Ekp](-bs+I*Es8VofqYU$Qq#C3ds4QE2qYg6fnb_kSnb`.[p%nacJ,~>
+l1XZAq=aXYp@eO\rqQ<`q=s^YrV6Eg&bPqrp%J1Ns1W@8p@&%Tn+QMSq#C.#r:]jUq=*mdC@;&q
+p\ad[qt^-arV%9,oD@tHbuCG,m%J*[g$A.mpA"+Hrr;Zdq"aaaqCq@;s7,XZs6]CBSVqEpqW[tX
+q=O=Sq=j[Sr:TOYI%'j0rq?![r:oROs7PmVcIqsgq"a[Sp@7nIpA+IYp&Odbp&Oi;~>
+l.GOZq:PMrp=TDurn@2$q:bAl&(TFif@ep/j.oW"gXG39deVQ,g=4g,hq$JW;qL'dg>1E3o%=o7
+hqdDHgp]J+g=D0[K#?-mdG<[0e`,T?g&BV%eM#/,j3lE;k1&2:MgSp2mFU:Rg==a,gtLW:inN,L
+AUrOnhq-E4gt9g&iRcQ5ZFp"eq:Y;jn_*Hbq:YSr"P_V^f%,?~>
+l21#Kq>:!cpA=mfrr)Zjq>L'cs82ils7d<,o(E"^s8;E]r4pq`pAb0kr;6BerqI*&p&+IZo_mTj
+mf3=`r;6-]pAOdbq>C+er:p<iq>^K9@_mbTb4Yf7qu?Qhs8Vfes82]hq=saYpAaXOs8Vc`s7QEe
+\r_ZVnF6DVq=OO^q"jaarV$9%IIR48qt9d]p\O^_qYSUer;QQkq>Bd[nbhqSq>Bp_!;_3~>
+l1XZAq=aXYp@eO\rqQ<`q=s^YrV6Eg&cD1gq>^6[k3)*8an+irs7Z3dq#:($qt9aRp$VM'E9@)u
+pA+RWq>1'cq"R_\nc&(Ho_6%#[X*D;lMUYNqsj7Sq=!nRq"X[\qYL*cs7Gs`s7,LOl2BeCH>]D3
+l2:SVnb;kOo^V_Nme<u0lhLMTo_A=Yq=s[Vo#A`Ap\O[\p[RtIp[RtQp\FL_p&=XbpOE~>
+l.GOZq:PMrp=TDurn@2$q:bAl&)G[^gZ.&=b0AA#Y1M"Wj7q:;e(`@+eD@oBcf4'>g=t'Hfc/Ys
+khFbHiMSu7A8%slk31OYf\#0=e(!=/f@U#P1"4\0dF$q5eC3=(lIVD?@[><ch;d2:f\G*4fA>?8
+i0morg>LZ7g"Y05g"=p,WN4VGgA0Flf^[Ybf_O4rfEBs^f[eW(~>
+l21#Kq>:!cpA=mfrr)Zjq>L'crql]j'`[n(rr)9bqZ#i&_Z0Z*rVZTjqt^3c&G?%pqtC'`B%6AN
+o_eabq"F[]rqZQjrVRN4oDejis7VFZT'cRUpAY'is8Vlks8VrmrqZThs7S/<q>'UTs8Voos8T"]
+qNc?Bk5Y>Nr;ZTkqYL6lo^mXjnc&CYq>9p`q=O^eMk9tJqYg?i!rMonnb_kSnb`.[p%nacJ,~>
+l1XZAq=aXYp@eO\rqQ<`q=s^YqtLd'oCi"Rjo=fCg17SapuhAFp\sseq%<AnqXF1Is6s@?lhU&F
+s7lEdrV?HfqY(j)kkk)FpZmE1PN)T3lgs`Aq=sRRqu$3`rqZTjs8+MErVH-Yr;,jPnG/C&kC[BY
+iVW?;p\FFTo^r"TmHo2Om.pDIq"jd^q!nC]JWg!+qY:!_!r2Nanb2MInb2eQq=Xg]rq6?dJ,~>
+l.GOZq:PMrp=TDurn@2$q:bAl%cc'kgY'[.e(_Z1RG-E<pt6/0e_S^/f&kOR[*dd[gZ%t\qUuhK
+dcKECiRMa.IE^p0e_T':h;6`8h;6`7fDX8"dkB/'f[JF/i7Qi@k(^t0FB"sPhV$?2hq?i>g>Li:
+dpKc6gt:-0gXt96dc0+qGiJPQr7M/'g"GoJn_*Hbq:YSr"P_V^f%,?~>
+l21#Kq>:!cnb_DFrVQQks8<N/r;,X&V>p8fs7#pcmJ-_Sq>2g`YlF_"s8;ZepA"FYq>:'hqY:$h
+s8N&ur;-He`JeSaPM-!9r:L$drVlisp%/4_q>U0hpAanNq>:'erVc`ihjFBBpre2Yc1h8<rVuof
+s8W)uqjY1orr;fas8)Hhp\a+$s8W&tq"t*fnc/L^qYgEiqYB[Zq>:!ch>73KJ,~>
+l1XZAq=aXYnb2&<rV6?crq6onm+T@Gs6]OXlhLGFp]'m\qY)XWXT/.kr:p$^qYBs^q"OO\o^_bP
+p\+F^naH8=\q+75LsGknn`frEq"amdo'l\Yq>U6jq`jrQq"OOVp@\%De<'A$n\fL1_!:afo(VtF
+qt^'ap6N&Wp\X[Rs8)Hho_71cq"FFYnaukSm/HeRp\Od`p\+.Oq=aXYiV!9Erq6?dJ,~>
+l.GOZq:PMrn^uOJ&Co1CVgd[Qg"t!,hTa^5e_0fQ#Z$NAh:gc@f\-8Us4RG++Q(o*h;[AMioo.M
+imji?8mubMjQ,(EiRur?hVQ`/hq.kXrR4!]f@em3gt^cBf"QFdimk&:IBD,`iS<DMd,3[7h:[(A
+g>1W;dGW[,iRQVtZJXKlhppB>fZrF.f@JX/f%/CAg%j:rg#:QdgY(61epm~>
+l21#Kq>:!cnb_&<!<)os%*=h's8DipnbE.^m/QnY0m'>kp\=^ap%\7Uq"aa_qt'jfqXj[bq=+@_
+n!-q2mIc6dl2UMXr;QNapA=mfqYBscp_WZ!q>'pbr;?Nls88X[meZnTs1Wu7]C5b!)Z9I)o)Ja$
+T`=lfrV$0`q=4.XQ\4f-r;6Nhrr38ss8Muqqt]sZnbi4[q>B(G!;_3~>
+l1XZAq=aXYnb1]2&GH)!q7r!Os7Z0dme-VWli-_S0lWo_oCVkQo_J@Zq=saZp[.nYo'Gu?mcF$=
+jGHT[ip(o8hXp16p%e=OoD&7]qYBscqEb#Tq>'dZp@e1Pq"1,@lM(5Gor`1QX5`pNqss@HmJQsk
+RJQOLq"+FXq=4%UOF60ap%8:SqZ$Tbr;6?eqt]sZnb;kQq=ikA!;6?b!;D!~>
+l.GOZq:PMrn^uOJ&)lC$UN"<7g">?2f&PQ0htbt3;hj&XfA,*1g&BV'g&KbJe)KTGfA>H>ceRa0
+F>[dVe7N.1hU^oFgt1!(g"kB7rRLkqs4@;)s4mY22rWSFH-P!te)Hs*@[k^*jPnkEda6k/R"+2M
+gY:63e^r-rj*"nXiS3#Ge_T<HdbW^3g"4d&eFD5ff_O4ZfEBs^f[eW(~>
+l21#Kq>:!cnb_&<&H2P"r;?T7aoCf/nGDeVs7Q3b#(rQDp\Omgr:p<fs8)ijqYgF!rV6EcX(-:q
+rr3PoH[Y&VqtC'fr;69hs7?'^qtU3es82ios8=8<luKl9qt^9gs6YkcXmlAis8)cop\F-.o(Vt[
+q=jUYpAb!DiViccr:ojZrV?3_q"a[Zq=sLXq>:!ch>73KJ,~>
+l1XZAq=aXYnb1]2&GG_^oCMdm_YNHrlh9`Fs76![#Ci69oCi%Wp\jpfq#C(3nFZJPr;#pNrp$.Y
+C;BQ8q;-(2g\^L/r:fsZp&4p^q>'pas7u]hs7ZKc2t,gD\b,[ls6opCJmtG7q"47Ns7YsQjEg"Y
+o(r(SpA+F^p!h^io_J:Tna6#Eo^qhLp@n@Xq!n+SpA+IAp&Odbp&Oi;~>
+l.GOZq:PMrn^uOJ&(](Xf%d!rgrna&f[&I8e+q]'@Xct\g"kK:g&BV'g&KbLf%T'Cjl5.MkgYJV
+<3"m5j2bD/`T>h(hq?]8f&#61f@TuOs3q#"s4[M.s5#]ebu11cg"GB<lH=*AMpC>:gtCiFeCM]L
+dFQn)f@AC&eDf)k^u=/-hV$H+f\4p,f$r7#f%8LCg%j:rg#:QdgY(61epm~>
+l21#Kq>:!cl20H;s8N6#qt?;drr3/ks7u$\s7uNtO-KP>r;6Nlq>U0hq>^=8rr;rhoDJXgb]$=J
+oDe[es6oH!C[_2tq=jphq"Oa]q>'p_s7u]ls8;oq2uCL/lMpnTqZ$$]s3H+Jc2[h7s7lTns+.]X
+p&Fj_q>1-kJ"buqs763_s7cQ\s7cBeq"FLYq!n:Xqt^0GqZ-JC~>
+l1XZAq=aXYl1X*1&,lG"o^@gHs8Do^s7GLMr;$'mMid].q"O[\q#:*hq#C(3q"j[Mlh(&O_.>us
+kkX]>puLON@-$kLo()bZp%8+Tq>'pas7u]hs7ZKc2tOXnjT#/Jp\a+Arkri(_Y=)rqXO=Rpi`e1
+mecYLq>1*eHCE^SrTjLOrUTpNs7H'\p%J1Vq!n+SpA+IAp&Odbp&Oi;~>
+l.GOZq:PMrl.FtJ&)c?uf@"Z)j58b=j4;?,hYGk2DKFOdgY1N=g&BV'g&KbLhVd8@eD99LX%t<p
+dc9$;im,kK9$Z2Ef$rU:f%&I(f@TuO6.=B9f@ns6gtpoCUeJqjh9ss8cJ%Kb>\1"nk0`,=h;-sr
+QeBmFf%/I*h:u:d`7!hrk0i5=i6(*1f[nX&f%8LCg%j:rg#:QdgY(61epm~>
+l21#Kq>:!cl20H;&,Ptrs7uW\BY"$0p&+jfs7uQsR>(M;qt'a`q>C+2s82Qjs4*E3KZ<W`s8Dcm
+s6eQXBE/#/o_JOao_SUdq>L*gq>^?lr;Z^Fs-JZ;q#:'aq>^Bbp[#>5V"=WdqZ$TlW."^?s7cEh
+p]'ll`rH):rqucprsAGcrr<#sp\=LUnbi4[q>B(G!;_3~>
+l1XZAq=aXYl1X*1&,#GcrUfmKA$Yakme-DKrqZ9nP^rH'p?q\JrV6?c+8,I%nGWC3N^\9,l1t/H
+n+?Y@cX^>Vrq,[OqtBRSs8DclqZ$Bkp]'seof)o3L%+a3p\+7Tp$M81YAp#qqu6'[p$S>jp[J+O
+q"jX\n#jG)rpfaUp](*fo&fiLs8)Kbp\"(Nq=aXYiV!9Erq6?dJ,~>
+l.GOZq:PMrl.FtJ&(f7^hq$N(7?uKKdFd7,iVD14G@T:]g!SO+rRq/'+kto.f&l2)G;!C"d,<j9
+f%]?1[S'$GjOho4hUp9/i7HTXec48$gAft.hDaYCCY%+mf[na4gXF`sPuiO`jlkCXhq3ZghU^T6
+g"Y'5dZLBfkhFqJh<*PNe]HV+inN#7e^O'Aq:PMriRe:fg"=m,J,~>
+l21#Kq>:!cnb`.YiVW]Nrr3/drr8kHpAFpkli$\X$*AUOs8MWhqYU*cq[NT&s8VYtH="/As8Vlm
+r;R2peTtp&s8Vrjs8DZkrV?Ees7u]ls8;oq'C'kVr:U*fp&"dhqZ$TffSZfJnG`G1r7u5_rr;`k
+qu?A=\)%)ao'U6t>]bu(s6od^q=XR\p[S1Wqt^0GqZ-JC~>
+l1XZAq=aXYnb2eOiV*oVrVuiWq>I#5n,NC_s8M$OqY(5nGP1n0meQPSq#0q/q=X^dlE,)-YLr[G
+mdpAUpA=UHbA^eVs8Vc`rV6!^rV?Egs7u]hs7ZKc2WA_cp@8+Yp%\Rbp%n[Td=A"$jo##Kn'GJ-
+o_n@Wq#Br2Yg`:DkMp&P<H!]gs6TIUp@\7YnFubPq=ikA!;6?b!;D!~>
+l.GOZq:PMrn_!ZhiRnamhVd;2gY[Xhdc9<Aj5IuQg'<O>f\bK3gt;SYrRr@NgZ.GFQ<QS>^Yn#"
+g>h;Ninhqc=%1[#jOi&@g=4sXfDO2!fDjS)h#H4ib?CIleDB!0g#1c?h;m%oB8WD/k2kLU]hR#2
+iRQ]9j4%=u]&2f%bt0uY;JY%Jc.C_%e(<:'n_*`jq:X`Z"P_V^f%,?~>
+l21#Kq>:!cnb`.YiVX8eqrdYPp[nL@Dn#WDnGiOeqYUZ?H1h4;q#C6hqtp:'s826+L0oqmqu?]m
+q>U9^r;6Kn%)$_AhZ*WKs8VZgqtp3bs82ios8=mUHKY>*s7l6]nFZ_XoD8La[!IeXlMpn]K[Kbu
+qZ$BfrOMS#s8LJ\<he^FW.\U=nG)_Lqu6H^r;$6cr8%5MqLA~>
+l1XZAq=aXYnb2eOiV*o`qW@AKo^Dh1BWgq&jnf#NqY(63FR]/)oDeO[pEBS1kJD^NL=,Yjqt'CQ
+o]u2Bq>9urCkgRAs6fj_n+uhSq>('bs7ZKc2kb9NrV-<co_@qGqt][Qs7*+,K>?==p?m.EoDA4Y
+p@nEjmJlqNaB_Q1hWghb>i+i?oCMhWq=44TpA+IAp&Odbp&Oi;~>
+l.GOZq:PMrn_!ZhiRnb%gW.e'e^<?c99Ic]akl(Rg'=HUe(rp4in=.]+QM/"W+A//\(]g"g">-7
+dG*C4iSU/'CqJcgdbs!/gY)MVs4./$s4[M.s5#\l>K>dXhq6B.cI1M%dFdO4O]ZJ&b3%a=A?aeF
+f\P03gR$=MiSLq32hAooLgiTbcdpUqgYUZSg%j:rg#:QdgY(61epm~>
+l21#Kq>:!cnb`.YiqsDcme-VSr:L$bs.mi`s8W)rrVHEse8ssLrqQNfq>:U"hNLlP_#46.qu-Kn
+&H;M*p\4^ba(:;!s7#pboDegeqYC0gs8;oq2h@%br:^$]s8)]mqYU3epAb0NLMW%=s8S^op](6m
+pQ9mmrV6E]<'nmss8VbMHg^k4rqZKhp$qtUqt^0GqZ-JC~>
+l1XZAq=aXYnb2eOiqF&[lh(5Nq=4FUs..$Gp%RtGpA4LgcYhn8q=FUVq=c!-fo/U6\b5mko_/(V
+qt^!Wr:'4OoY=dgkPsf?q<n:^q"jgdp]'seof%/Oo(MYLp&FmerVH<bp$qkVe9bPSh=1'"U$VRK
+qt,nnkk=E<i^YrIjnerEKm)bWs82TgqXj=Pq=aXYiV!9Erq6?dJ,~>
+l.GOZq:PMrn_!ZhiRnace`598dbiX9J>K3tgXXjMg'=o\ajf+siRRbX+l0eO1.\%lin2u?hVdAM
+h:U`<f&,2Y6u1!,c.Un!in<#`fDjD$fDjS)h#H4i@W9uTe_/O0f\>05g"P*.hrML_9Q/26iI?m=
+hV6o;Dd(B?fAY%4+g9)Ij4.pJc.q=6g"b?4n_*`jq:X`Z"P_V^f%,?~>
+q>9m`s82flq>Bd[q>BLSiqs#XqY9j]qu$Hl#l2eqe,TI@s8)`p$2j2jc@aL?s7u<drs\c!r;?Ej
+dWnf]mf31_rVufpqbR%fr:^-ijLeTOqu?6ep\Xpbq>C$ZpAO^bo(N+`rp+12o)ALXqtg']q"X^^
+qtp3es7NsAJ(FYSMY-fGqu="!lM1DZJREj's69I]s3CT?rV=/(!;_3~>
+q=aOVs7ZHbq=jFQq=j.IiqEHJrqHHf.J`c6p@?4GaS,Gpp%/.YrUo=Qa*c##s75RQq"aOOp%@qN
+bAp=Al2LDTq#C*fp.t>Wp[S(WhmZI7o`+7To(MkPpA+LTpAO^bmdgDTp>]Jgm.g;EqYL$`q"XUX
+p@e(Mp?JbhElmjsIHgD#pA;"cj72g=EDpiLs5E\Is2b05rV45&!;6?b!;D!~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RD*-J?qK=KL65cJ$n/hVm/1jJu[jfAtN1h;7&BfA#'3gTOX4
+Gg,."rS.A+rn/aPh:gB6hnkg@B\MUphppE6f@Sa-dF?q#iR-3<iSVjLT[M]MdbEF(eG[rAf\+p3
+i7+2k?aeq*C=Cnng"qjDak,G5@6e#QkfVc>k-"[:rRo$>"P_V^f%,?~>
+q>9m`s82flq>Bd[q>BLSiVYA*q"Xa`r;HTls81QkQ0/,Hq=sp]s8VTdEPDABrVufhp]'mcrooh]
+L;*3Xs82KgrVufpqZHZmqtL*i+R>P+U@\Ebr;Zfpqu?Qep%eF^q#(0Ys0$S(s7u]joD8F\s8)cm
++92?:s8V/PDj?>srVuf-AE2eOp\=c2<PJ;#s8Vfbs8Dinq7ZY*qLA~>
+q=aOVs7ZHbq=jFQq=j.IhY7'F.f&l7p%e1,]SbJDp%%YHmeQnIokLu/m.UJPn*pAErV,<7?%9?K
+s8Vf^rqQNfrq7`3q"F:Ts8(lC>+=mRqY0sbp\=[`p@\7WrUfm]k5(umg&(C>p@A(Yq#C*gp)j2+
+oDJU@P%',o>k%O]ZsV\Js6T(GAOs/tlhUSMmem%XrV45&!;6?b!;D!~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RD*-eR5)[@hEPj4`)7g="g<c.Pj]g!JI6g""[9e)T9(G!TW-
+cK+$=e,J,%gA]bSfA#!/h;mD6HU*/1gtpcCgtCB:g!nL&fA"p3i6:5C<l3hKi7HH1eC=HJs4AIO
+h:^rS_gbI)DFr[DgR(=D_rfP&jAe.2g=5-Gf[Sp9rn@>(_:SnFg"=m,J,~>
+q>9m`s82flq>Bd[q>BLSiV`]Os8;lp%Jg&'s5BR1^#&ehqu?6drt]Ibs7ksUs8Vois8/<oBu]WA
+s7Z9gs8Musr;HKprVQEfrr4,.P@:Eis6BX_qtg<kqtU!`oDJXdmJhcnpAaR\s763br;-Hj(\@S(
+p%SL`erWjJh!MH:Yl"Ips89W<C]488lgk)LrVQQh^&%g+J,~>
+q=aOVs7ZHbq=jFQq=j.Ih"UgC-h@30s4EUk[+,-Nnb22>qYt'3s6en7rqc'Lp$n2G?bbh)rpfXY
+rVlTlp\je5q"F@Rqu-ESLf^2Fq;_MMp@nI]q"=@WoD&7WkPojXmeuALr:0g^r:g6b+7An!mdU8G
+bCN&hcf2%iWV$&Sp$]1]>P7aiqW7)@nGW+[pqcY(p&=XbpOE~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RD*-e7,.ik'HLQau25f%\I'hrI=qjO;/uj5JYAhq33;7\e2g
+imZK8hu;C1gAT\OgY(33hVd87E^#39hoFg4g">*8g"+d-dG*R6c0/YNfAk09h9t-Xf)=5EdG!C*
+f&bVnDDY)#b`^20f\Y-8gn-c'iSs+`c.(e)gt_e\_:SnFg"=m,J,~>
+q>9m`s82flq>Bd[q>BLSiV`]Ps8;lp-iF#2qu?-[J#_r:q>^Kmqtutonb`@\nc&Rcf2cF\nc/Xb
+pA"L_s8Musr;QTnqBc(=r:p$_s7DCf[.OCrqY9g\r;?Hgr:9d`qZ$5-[/U*qs8D]jqtg?i"onDr
+q!S.\rt`XqEQ3R`s7ZKhr;4BFR/c:?bbA]X@/^!$q7ZY*qLA~>
+q=aOVs7ZHbq=jFQq=j.IiV3?Fs7cNf-h[>to`+.FGbF-ln+unOna_jGkOJT>kOSQ>b=Ys0kPtJN
+n+65IqYp9ip\smdod0A.p[dtKs658GXmPrWp%.bJq>'g[r:9XXo_RrgXS2JUr;--cqtL-a+8kd*
+oBH)Nr;F'5A@m$6q!\%Ina<bcM##ln`114>>5e3opqcY(p&=XbpOE~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RD*-eR7rfAb!'>D:2SeDK08f%5,0bgtk'cJ7R8[5(%%cK*p7
+dact'h#?(.gA]e*fI,D.g=Fg,k0n0;PLJ@@f[eR(g=k64g<eU/g>LOZQ/CKHhqQc;f%0`N+lCo*
+f$)q1ip*C=;5I[2gsb06gY8DlGid#uYCoG66JUAng;2DEgY(61epm~>
+q>9m`s82flq>Bd[q>BLShYdEPrr*o9s7uKjqY/I`H+<bLs8VopXJksks7u]pk&Xmorr35tn+-MY
+r;$<jr;ZZnqB5V,p](9lqYg9jnX!^ps7cNjqY9m`rVZTjrqQ<hW+ko'rr`2nrUp!`&c_M$s8)Nd
+m/-g?@!'*Yq#BXYrsIatXoJG!nCq).bPh>:q7ZY*qLA~>
+q=aOVs7ZHbq=jFQq=j.IiV3?Es7ZHd-i!T2o`+UTcGje*nac_Tn+EEHn*p)?s7Y&T;i()@s7#7<
+q#C*\q#:*hq#:"8p@@kRrqcBaoD[m2=K_\np\4@PpA"L[r;6?_oDYCkm/-VVq"4LTq=Yp1nbN4Z
+p%IS:nTn,JZLdVdj8&?BdSue1s7GO*;`;Vnp\jm'p&Odbp&Oi;~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RA)-Jd8(j4DebW`525fAtc;g4t=1e_J[:i5ADSEo,^9eBH4m
+iRcT3rn@D*rn&[Oe(*:3gXt96kg4K;Q0-ZPg=Y!.g"Y67g"k95jG?LZjPStOe_SX*f_sM'fH9&"
+g>gi:f?2k,C-Y^fg"5B.j5/n77ZHBlhp]>'*j,CrrS#*?"P_V^f%,?~>
+q>9m`s82flq>Bd[q>BLSiqrfTrr2rtrr+#5s8V]gr:0g^S$934r;HZqViq)[p&"B]DM6.0s8VKc
+rri;pqYpHmr;ZZnq?-cnp%\O`#Q=Jms7DOmYPnJ;r:p-dr:L!fr;ZA-MZ<SIs7u<eo_\Rar;-Zj
+q#0pTp\t1.cYI/n@Xl2_s763imB;B9qu5bs:Qb5Hqu-?(qZ-JC~>
+q=aOVs7ZHbq=jFQq=j.IiqEHHrq6<brq@f1qu?*Yq<n:QOf#(ao(2hSSV[==lga2.?ZisLp%[SD
+s8Vf`p%eC^q>^6hpB1?eo(DtV,4b+"l&&uLrV69fp\":Vq=O[_q"sGlK)bH3s7Pp^nb2YKr:V6'
+p%nCNp](9d]j"T0=*V:?s6':Wh48iQoCh'U8W2s6p\jm'p&Odbp&Oi;~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RD*-e$o3d+R.!j4/=2NLADNinT-&jP%u3d"Y5%V:shbb2;:>
+g!\F(f`'V)g&BV+h:L-,rn/FKf[f98ECu8Ogu%#Cf%A^1dbN[5iR:Y>khObNf[Ad-qq;#%+4J`m
+eBQJ$j5R7875[A;T?lZIjm:6QC"(qtb#:*;eG\2$g;2DEgY(61epm~>
+q>9m`s82flq>Bd[q>BLSiqrfTqu?]q-hmN<med%Vq!A%WMiQEEp%cm[n,34IK6aZjqu?0as7QBj
+q>1-jo)ARequ6Eprr)]do`"S/s7QEloo3J-o)/Oeq>1'eoDSLas2Siqqtop\rV?Khr;Q]pr;ZX9
+s8DT]rqbg7JbdT9`SG?/MZ<;Jp](8ZIG2/GDHE>-rVQQh^&%g+J,~>
+q=aOVs7ZHbq=jFQq=j.IiqEHHrq-6arq@f2pAF7Os7>pFs6tSmc-kqH`,Xo0rnDX3T&T,8jRN99
+o_7qLrV>j[q>^6hpF?(:p[[kHo^_nDpAX?/>fc7(r;$!Xq"XIZp%nX'@DVR,lh1)Is7Z-Xo`"O`
+pAb(3o_&7^l.^=C^1k+*AP@aRkk"!8qhB.>Y@D6CQ2LUTrV45&!;6?b!;D!~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RD*-e-f)bh;%+f#d"'AneQ[d+#$qb1G[h?WE'2g$$`7k0Vf8
+e^`L/c2QGsg&BV,gtUK1df.c=imZiLe8.ISdG*R6f%8X/dG*=0j/5MLgt^<3gt1K9rS.A*s4ALM
+gX=I'e\o+/freAP]Lt"oiR6Q6m-St(]p_\o4+62HhYl70g;2DEgY(61epm~>
+q>9m`s82flq>Bd[q>BLSiqtM/rr;utrVlfps7cBiq"j[^s7#RTc[1?>qW;boqk&D'nGiOdq#CBb
+s8N&urqu`prqufnrq\&7r;Z]jrVl]orr;QhqMo(DnbrC]qYgBms7Q6`QZ)Ecs82NirV-0drr2rq
+s8*r3qtU'^d_!hqs8T6Cs5gC^A'Y,Hs7QESYMnR:Gi\o&rqlZi^&%g+J,~>
+q=aOVs7ZHbq=jFQq=j.IiqG/#p%7qNp@n=Vs75p_p\FIXs68h?`Gp4imb24AnWe9TjRW-9m/I"J
+p@n@Xq=j[]rqZThrqB7Yq>L-_qYU![oDRkLmtY0$lM(&Fp%\=\rp]RNOD!hDs7Pp^qY'[VoCV\J
+p%J+Mq"Xa[d_3kenG8hkqVJ,D>f6R(p?)#%Vq0YlEo-]erqHBd_=dm%rq6?dJ,~>
+q:PDos4I>&q:Y;jq:Y#biS"4_s4RD*+5t`%hUpQ4gZ6W)f;_kYdF>s(f%,.ODpI2!g=59Hc2QH#
+gtC<3g]#q,g&BVSdG!I2fA#*6h;.8Ajk4K;^X1fjf@\j4hVZf9fQL*>eE5N8j4i2<gYLW=rn/OK
+e(N=*d]St>HemkF;<5ZT1.&,,eDo$:a-+<[g02MVhV?obg&TgBfEBs^f[eW(~>
+q>:0fs82]ks82fl_>F'+q>:!crql`ns8=_NoD\dhqu6WnrpoUZro2c1Cfb/DM2L`ro)J:\q=jph
+nGi1Zr:L$\rVuKaqXsOWq=sp_6MUHXo)Ja`s6Pnleb]=Gq#(0lp&4[c@B'##qtBm^rqcEip&"I[
+s82]npA+OaWc%e6r;YPcj8\l=G"88%s7H?jr;Qcrrql`lrV4D0s8;lprVHTkJ,~>
+q=ag\s7Z?as7ZHb_=m^!q=aXYrq?Bds7eAFnGE7_q"t$erUK:PpXmm[?:e1cI=UDKli-5Mo'lSR
+l2U8Ip[A.MqZ$0^qXsOWq=sp_s7f4_lMLVLroArSc1:]/nb)hYme62J>,(N]p@7hLqtKd]me#u?
+qXjF[nauJOV.o_uo)$jAh#-X#DEsQWp$2DFo^hbKp\+:Qp@eFY`qKH,rqHKdrq6?dJ,~>
+q:P\us4I5%s4I>&_:\S:q:PMrrmq,$rn&sOg>CW9g>(K@e'Qt+]slEX00F_oA]`KKim6Z9eDT0,
+j3lW6dGiO+hpL$-e'lq#f)=,mf%K!1jQP4Yc#ZspgY_&CgZ%8Cgt1LMLt:G9eCW=-f[f'3g==p8
+g=YK9f@So99\\:QijhLpjk.aX-@XP$cf*^<i8NSOhqQo=ftl>@g&B\.gY(61epm~>
+q>:0fs82]ks82fl_>F'+q>:!crqcZlrqufr/cGJ;p\FROrr<#tqYpN0CLM+Sq>^?lnc/C\s6'7T
+o`+das7QE`mf3.`s82coqu?Lfq"OR`o`+s\s8VA.HHZ9_rqcEdr;HW7GM<)hpAb*kp@[nJs82ir
+jo#/Rs8.A+o],ZFp&FW9\bH!rn$?ePaoD>:s8W#nrVZNhqtg0fpr<42r;QZnqZ-JC~>
+q=ag\s7Z?as7ZHb_=m^!q=aOVs7lThs87BCp%%bKp[A.^r:f^Ori]O)@$U-Po`+:XoC`.Cp%@eQ
+p%A@SqXEqQqZ$TlrVHEfqYBp[p&+1OqWR_SibrkTp$qbHnF,o<o=Sqhq=!kOq#BsVm-juHqZ#FF
+qXOLUHA1bAn,)SPm!Q,-oC1qEA8]9Zp@%SCn*fi?oChnXp\jm,pAamdp]1!dp&Oi;~>
+q:P\us4I5%s4I>&_:\S:q:PMrrmq,$rn.8*/(rG"e(*!qi8ieMe_&rK69.M^e(WI7cJd=*j2BR$
+dGWX.iR6N/bi%.6h>Z/'g"Y05f%8L4e`#Q9iTSHe>HH]8hqQi;gYCV[<4Uo7eDAp;eC2[mk1\bU
+`7s5%in@dUe&'Sjcf*5[R+U3Id#q"!V;'\Vhr!5BgtVh]s4I;$`n:=Ern7M0g"=m,J,~>
+q>:0fs82]ks82fl_>F'+q>:!crqcZlrqo=eqtU$bqu$Efs7YaWs8CrAAla5D_OCMnrq6<kp&Fsi
+lMpPNs7u]po)J4Op%eL]qu$Ejqt^$bp&G'hq#CBR>(G]*r;Zfprr40pN;NYNpAaXZo`+sgq=X[c
+qZ$6GSC>6js6]gcpAb/`MY$iI#Q3,0?^'^RrVlg"p%/4\qu-Bkpr<42r;QZnqZ-JC~>
+q=ag\s7Z?as7ZHb_=m^!q=aOVs7lThJ,T08p\=OZrV?Kdk4eoGe:^jnCl5Z_qrmeBs8VNbp&="H
+mdL#Cs8VQfmI9]>q"FLXqY9jYo_.\Hs7>aXs4U@qh!=V1qXO7OpN_A_q"4+QlhL#Ms7GmMp&+F]
+mb!fK\@hk(p\XIZpm-Qup\t'_c@]5XiVN'9rqu'Jr;ZKhp]($.pAamdp]1!dp&Oi;~>
+q:P\us4I5%s4I>&_:\S:q:PMrrmq,$rn&jYf@8C'f@\j3jO_N.jO^tY4YBWOS9<`4g<ns@dGNU8
+`nSnhh::NFd,`L$e(FZQrnC3$f[np0i98tLjljTD@E$aPjl>+Qhr.sWg>:H2gs+O#j5\kGeD'!9
+k1%+lZC[fPbhM"$inSoqeDTNNgU(TTDoC_mhWX+Odc/s5f\$/R`n:=Ern7M0g"=m,J,~>
+q>:0fs82]ks82fl_>F'+q>:!crqcZlrqn5@p\Opir;6KaqYC'hnum7cl%QqQs-;f&WM@bbjS8KL
+r;Q`ro`+=Qo)/M^p@n@Wq>1!cr;69bs8Vrdp\j,PGMqohp&Fphk@^gorVlisrVQ3ZoCW(_lM1Cf
+^##49s7?9^s8DrspTAK-s8VWds7!";J\^^Rqssads82ck!VlN2qu?TnrVcTnqLA~>
+q=ag\s7Z?as7ZHb_=m^!q=aOVs7lThJ+iO/rr2`gqsjLTp]'HPBl2UK[/'NUhLD8ia2m*,nG2bO
+s8VKak47s<rVQNmo(2MGp%J.Sp@IeDqu?6Pn+GF0DqO4PmIp&Ggg-TIpA+Raq"X@LnF-DWj73/Q
+[b$_rqs=1GrV$$cn>C!eq"O%Fs668&HF;`0nE9HDq>^0epAt'``qKH,rqHKdrq6?dJ,~>
+q:P\us4I5%s4I>&_:\S:q:PMrrmq,$rn)_Ne(3@2f[nj+gXt6@c&#4q_-NMehf-JBKn$,'^spig
+f\5?Fd,2sqdGNm=hr<2;f@S[.g=k?;g"PNNgXFg3`&:`6cfis<g>p7ALY^b@h;I#?dF6Lkk2se;
+k*;IMH,&=di6pT;f](D?:Y"F^db<j.Kj.iTcK<j.hW<Ypg&BY'f#HABg&B\.gY(61epm~>
+q>:0fs82]ks82fl_>F'+q>:!crql`nrr%?Dr;Q`op\+F\q>^H,CO!r#q1,s:s8V<3qL#<1Y2cqi
+r;H0bq#CBms7-'ZpAaa_r;-6cqu-Nns7l9es82iko&sY*s8V`hq#@++f`(pKr:BdWrqZHkmeZmV
+ae"Oap](0Ws8Vlnrr)Z:D;4sZs82?ds4WfWO2gqos7c3bqu-B2qu?TnrVcTnqLA~>
+q=ag\s7Z?as7ZHb_=m^!q=aXYrq?BdrqM!:p\F^\o'uGKp&=cp@;NUUlZ0&[rr:itnT1CbV:r$G
+oCV8>n,N:[s6KFHnGDVIp@RtKp%S7Tq=*eIq=F@MlJPr_qtf[LmJ<2[cM.//p[7_EqtBg`l1OhB
+`0lJMo)JIHqZ$0]q"F9tB%-A;q"3kHs3m'?KY-UNqXEqOpAOa*pAamdp]1!dp&Oi;~>
+q:P\us4I5%s4I>&_:\S:q:PMrrmq,$rn)_Of@ep1da?V"f\tVR7T,uAd9)OHj5e+[e5h6CLqSl(
+f%8*tdc93=k0`#6f&>*6gtLH8gYL`Din;oBinWJFe&b'XjQ"eFfAqNU[GB`og<eI"gt16;bh1[#
+VgN=.e`>H+h;m/@f\4oW9YB01iS)Z6j0j#%DPbqHi7?EWftl>@g&B\.gY(61epm~>
+q>:0fs82]ks82fl_>F'+q>:!crql`nrr"GHs8Mlkrr<#qs2T7oTAonNp7m]Ko(W1[rUfBjif8>7
+H,-lQqWe+Qs8Diprr)j(rquZjr;H?hs7uQkrs&Ass5n][o`"kJqeM)brV?Bfq>UEoqtBs-Lqmc%
+qt^-hpAb0cs7?9cp&FQ2XS;\ns82K]qu=$WGc^*+qu$EirVFP2s8;lprVHTkJ,~>
+q=ag\s7Z?as7ZHb_=m^!q=aXYrq?BdrqJ)>qYBgWq>:$^qSI,TQ.Gd1lBd/'kjAE>o]tJFfnFEh
+E4;t-n_sK7s7c3^q#:.cqY9dWp%J.JrVQ-Vq"XaXo)@KfH0kS'q=%dBn+Q>Hp%8(YrqQ*Z_1T@2
+T_A$Os7-*gnGDYOo'ZPCGGO^#p\=CKmI^=VH>TA6p%7qUpAOa*pAamdp]1!dp&Oi;~>
+q:P\us4I5%s4I>&_:\S:q:PMrrmq,$rn&gSg=b$,g"Y<8h5+"8HG&.rd!]Whc-k\%f?V=']P(8I
+;jrfceAUCrk2"eLhYuJ/i838DgYCW:k2b7OiSikQgZQU_@b']!j4[+<f%ep3f[eg6hq?N5Uh62h
+KA"l0jOE/Ke)&I/daI4'?&dLni8329d+@0;A64]/gY1E\ftuDAg&B\.gY(61epm~>
+q>:0fs82]ks82fl_>F'+q>:!crql`nrr!]1s8D`ks8D6SP#dV-s7u]krjQ/0s8Vumrr2uorr6E_
+Xh0(TQ&3qV]Dq!ms6K^[q>C6lrr)`drVuorr;--]s60=BE-;$Ws4M;-s82Kgq#Bp]bJL0#d?<&[
+q"4U^s6fITqZ$Hmr:p<lU5o'Lr:g-hrqu]onu-)BbQ%V?r4r40r;QZnqZ-JC~>
+q=ag\s7Z?as7ZHb_=m^!q=aXYrq?BdrqM!9qY9[Ws7k^DMbf,cq![nFoW;$]pAa[Oqt^'Ur;$9=
+U9Ja(MLNX/ZhWAVqr@G?nauPLp@\%Dp&+XYo^_G=ro!A)BPm>8p<I0Yq"4"MoDe4PaM4Njb`1!L
+oC)_OqW[D@p&=[\p@81XRtgJ3o^MPLp\"4Zl_.U&`;03.ot^;$p\spfp&=XbpOE~>
+q:P\us4I5%s4I>&_:\S:q:PMrrn.8(rn;kRgtL<4j4_Q$D_l1Ih:10/foe;FgZ6r7hqd,:i8*>"
+L6PebDIT_lSDhKOjNQQ8g>1ZEhqm/=hW<bRh:pQ6kK2K";-)H2i4)LShqHT8f&P*/WM"rEYAgi/
+f$`U1h9=7!f\tK<f%&j<JT'9)h:C?:g=Y'=d>((hWnlJ+fuD\Eg&B\.gY(61epm~>
+q>:0fs82]ks82fl_>F'+q>:!crql`nrr!?'s8Vllro1S&Nl(;crqQKmDkVUWq>^6iq"spfpAb!h
+q"sIY]WC%,ER/O-Um'0hmIgDWs8Dipp%8+Ys8Vumr;HQnif\ijlEH?Gs8Duth;FEsIB9<Zqtp3c
+qu?0cp](9lr;6Ngs8Vuj_M\?iqYgHoqt^*_s8Uf/A"<&dr4r40r;QZnqZ-JC~>
+q=ag\s7Z?as7ZHb_=m^!q=aXYrq?BdrqM!9rVH-[q;&GcLV)gLo^;VMq3Q0nn+lDHmI9TElhBlG
+mI9-8Z(]`ZBuahbS;YJHjmD^8p\".TmHjE9p\FFOo_%kVg5:.Ghkc"qp@e@^f\;@aHE![Lp@e.O
+pAaIYo)&F]p\+LSs7u<V]7TbJo(MqVo^_VCs8UQ!>a=RRot^;$p\spfp&=XbpOE~>
+q:P\us4I5%s4I>&_:\S:q:PMrrn.8(rn;kRhqZc8gV9+CCS/l2g!em6hL&GWeDA[0dF?Y*ceHq,
+dF?1rQ%chB;Qrr[KljTAcIUh1i838Mf%&O2i8WPHh;6uO_fK8AacC>kh;$rI]=i*>>De*'g"G!0
+g#UH<e_]9>g=b<0iSE/;TkiQ@gYC`Df@AI%jlX*d6@$iOfuD\Eg&B\.gY(61epm~>
+nbWRhs8;ojnGiF^qt^0[qoSaXq#($`qZ$Tnr:U*fptp^4_>j!(s8DunrV4BTp](0hnc(9*n*@$^
+V.RD]?eT.NhMhKai:lpCs763ipAaX[s5\Qas)#gPs2O&NMrUl,o)J=Pq]>\2s8;lio6U?7qYpHm
+s8;oso(i=_[=</Emf3=]qu-NurV-0grqHEhs8;lpc27S=J,~>
+nb*4^r:g0[li-YSpA+IQp<!%Nnb)PDoD8@Wp$VkQn^r4m\,>@`qXa[Vp@5n8mJ-8Co(Fd1i90-q
+Xdre+C0/hjK@Y_Tbh2COp%dnIr9jOIo`!WfIf<fhn+ONNIYQ^Vm-juDo(XX-oDJ:Un*G)eq""1Q
+p\ORYs6]IYp98dUbif$)nFZ\TqYU'Yp&"RUrq?BdrqOn8!;?Ed!;M'~>
+n^n*"hV$f8c/@:Nf_O4jfZDege_/U)fA>E<g!\s7e\#9RSDhWIhq6o=g=;rrdbWO,o%>_N`mDqg
+QA.o$;a@rcCqjiM[DCMHhW!#Bjk&YBh<2a_B]r-ef%m1=@;3N5c-YLun_#;=gtCH4dTbPdgYLZ>
+h:UNCd+@@3P?^hdbN@j9g>h#Eh:gB1h:pHYf`0Y(g<nRVgtLH5f73~>
+nbWRco^hnQq#0p^qt^0[qoSd7ru(_,qZ$?jnBd80WV$5bs8VZin,NFefOrn8nGb'<s8;oiq=i>;
+Yb9p.OgK>ITN8t"WS`!LLo0I/aRck*Dfg'fnF3R6gXlJhrVuBa-NF#Cq"o]prr)inrr;oro`+s[
+p]'3PDlqpns8V]dqtpEnr:0FZrql`nrr(+>!;h9~>
+nb*4Yn*]i=oD%kOpA+IQp<!%Mq>C9ko^;>Jnc.jqM.!(CoBZAOkl0fGq"N0Dcgpbup+Q76s6]@F
+b5&!'fR8UXDmu*/]9Ar?EQWg'ig.CGY2Wu+B]A1:VUO,Es5X.ZrVZ3\-h[B0p[Rm&cM$r*o_84T
+q="=ZlLOr.UM-OWoDe[Ro(MeSrqGdJqu6<hp\ss8pAjpdpAju=~>
+n^n)rdEpIoe_8LJf_O4jfZDegh;I>Pf[AC/e`=uWD+'-)g!Sj;c/[%/gtT5)[+F$do%>_NhqdMI
+g=WakOb(>\Eg9b"JN'BPMSNE%Bnsl]WRR9X:/b'7c-;3X\[CJ:iS`SKn_#;?gY(?5g17\MhVHo?
+h:UE.iSDc/iP((@MS@d+i6p92f\PK=cI(JIf`0Y(g<nRVgtLH5f73~>
+nb`:b!rMoiq"smbnb^H+!rqudrr3l4rr;DE>ES4N[YTdIaf<%tnGWCZAA.j>s7-$gs6]U],k1[0
+nc.X[lBIUrU:m2'm?YifW;l%BPk=MCq=4LUs8Vonli6MP-iEuBs7u\ZU\=`dq#:<lrq-6jo_JOe
+o#l6(eGoOJs8;llpAY*lnc&Fcr;QZ>quHVE~>
+nb*1cqZ$Hdp[\+Qq=jFQanHkQm-=<Bp$hVHjFL0`i;'I#H`"KLZc)2)qX7e"oC_VH0DXf1s8)`j
+qu-?jlLal;s4ag<N/l__[?miRNkk+Vs4i<bl0%U-lMKuKqtBmMr:0P0pA"@Vo)4N:meQSHp\FOX
+n,<4To`+sY`,KhCp@ItRp\FIOq>^BZrq?BdrqOn8!;?Ed!;M'~>
+n^n''gu@/Bg!ofLq:Y;jak7cmdEgS+g==m1a_!GI`SQ_b@>pt8R&J<bh9nWYf@o!MfeD.;c/e$F
+jPSqVhr`;>hU1H'R`fht`e0k5Oj80MfSSh3DfaCQf\"R-d,Eg4gWA:Af-f/%g>(?@FbJB+gt1<9
+g"=^/hU:$:j3Xf,>-m/Chr*5Cf$iC6hTl,Qs4RD*dFeZXg=b*0J,~>
+nbWRfnauAOs7Q-^qt^0[qoSd9s$6AXs8W&qY]kT-q#C0a[X,Rcds4sCqtU28ZN'k%rVZWlrVZWl
+rVZWlrVZWls7H'co^`"PrVH9fs7u]ms8W#qrtt>,p&FO]s7-$eM2'+Ds8Vloo_\[`s7--Zq^;7=
+s8McmY(,X7rV$6is82ffq>^K_oDedcWb\I)s8Vfms8)Hds8W)qs8;lpc27S=J,~>
+nb*4\m-j<;s7#UTpA+IQp<!&9s7PgOq=jLOVJUIZmf2bAW+rC-a)Xr$p@J<)X8;DZp@n:Tp@n:T
+p@n:Tp@n:TrpK=Rmd0`8p[n"NqXa[Zrqc9]q"jgOrpBaLp]'LMrdK4-lM(>KqX=.Vp&+7Xnb=L)
+p\=LPs/("tqtBLQp\=IZnb3"[l0eTFo:oibli$MFqYg*WpA4XbpAamdpsJg9pAXddpj`~>
+n^n)ucI'qmj3lHQf_O4jfZDefjP&)8hV?c8Mc*`Ce)]$+N_ttqX]@3_g",4aO5ALXfe;=6fAY6-
+hU:66fA>H=j4rhXh;I8Pim[)AkgA>PdbX,#AZ*r4k1AG;f\b99cf=QI-e6i(gXbMJ@*%Eae_Ag4
+f%e^*j5/#-jP8FF8qbaXgsb'9f@/C-h#>t+g&B^Qf`^*ag"4i+~>
+nbW=Wrr3)soBuYSqt^0[qoSannc/X`rVt)eD6s9BnbrLaNeIH2oD*Y(rpKfGV>p>ir;6Ehr;6Eh
+r;6Ehr;6Ehs8Vikrq69j-MI36q"FLSp$M_Xq"k$jq"+1Yqt0pWa*G[dV#:5]s82iorr2ipo(a^2
+p\k-ip&E6XdJs4>s8;ons7Z*\s8W&ms7,jBO*/#1s8)Efs7l9brql`nrr(+>!;h9~>
+nb*4TrVu`emcjZFpA+IQp<!&9kPtSLoD?CCA#];'kO\K:IWYJUkONW^qWe*:T)A$Np\=LXp\=LX
+p\=LXp\=LXqu?9_qXOL^r:9IZo^_YAmH+$;nFH>JnE]KAoBcA;]Pb?8Re$4;qY's`qtp3do(a^/
+o(VqPmeaq=anti$q"=IUr:][SrVlT`s6At%K5%FVs7PmWr:BFPrq?BdrqOn8!;?Ed!;M'~>
+n^n)mhrEMDd*(;Af_O4jfZDegbi\';g>])48s%umcJ%1,AR"0Ec.5nDh9G"rK&G,4n_#SPj4;u@
+eDK3Ae^ia3e^r:$cJIU7gYh#CeCNj=e`>)S=J]qeg"k!1g#C]?gtLQRf-f"ugtC39X];[fh::<5
+gst0/d+."1gXbN6f"c-$RG-`RdbEX/db4WPs4RD*dFeZXg=b*0J,~>
+nb`@b"k_W,rr<#oqt^0[qoSb"s6]CWjc=86gAgjGs8MnZE2`g6r;E>hs6fcSNrSnSqt^-bqt^-b
+qt^-bqt^-dn,N.Ws7l<frUg'gqZ$NmruBjoVo-Khd)>)CrVunn\c9Nu[/0guqu?6cp\jXQq&0)'
+s8Dijr8rF9s8VloqZ$EiqYU'`rVuo`rr3A^Q$Jqfs8Vrms8VWgqu?TnrQY6?qg\~>
+nb3"X"k2)rq>L6epA+IQp<!%Ns5W>CgP'-cd/3/+q=O34@$^WUnFiCPrTa-EL\U<8nb<U\s7>p_
+p%&+XnbN4Ys7uZo*W+B\T=_eHaLpC#p%\QTY5YnTWq68_pAaOVo_S"Hq'c%.qY'RPp"jhoq"XCU
+oD/(TqY9aWqYU-Mrr2Z>M/8@;qZ$6^s8MBapAamdpsJg9pAXddpj`~>
+n_!lq"gtnmgY^l`f_O4jfZDegk/u$4_JDhT\)Piqi7ln&7t0CFf%PW7i6Bu&CY[Csn_#S?i7?K<
+f%&[5dbNm9j4rYVkiBI8LnpoAZ),LqhVm[NR-:5NOkJmKg#C?4e_AF?f-eu"g=Y'4a'P+khUgW8
+gst'0f@8F,hVH?8ki'-p=a\BIiRc`Bi6M>Ss4RD*dFeZXg=b*0J,~>
+nbWRhbZ\i'nGhqPqt^0[qoSbCo`+Q[Dhc=*oDe.Vs7l).II$%cqu-NfrV-)jH2[[@qtU!^q=sd\
+q=sd\q=sd]q#(-frVcEbqYU$`n,MhLs7u'^\7(uIU8`14nGi%FJB[Q`gNKLiqu?]ns8Duoo(a^2
+q>^9fs7lAGT)AWcs7lWjqY:$hq!IbSs7cBis7aETQ.,d4mI^GYrql`nrr(+>!;h9~>
+nb*4^a&Qchli65FpA+IQp<!&9lMp.=AUM2Wl2T`9p[70[CY@;!n+QSJq=aH]Eq])$q"a^\q"a^\
+q"a^\q"a^[p\b!dr;H9`q>9m^mf2\GqsieJYZ[:)R\=JikkXK(Fi!5>d;5KGpA4a]s8)cio(a^/
+o_e:Pr:09-QLt"Fr:0XVp\=^ep$2&Hs7#LLoBNc#Nm@Y"kjSKMrq?BdrqOn8!;?Ed!;M'~>
+n^n*"WAdDEc/["Cf_O4jfZDegdH8i.9OjmHd,rF*hUTkM;o-/he_8g/gt:5=<nc0_n_#SJg>:K<
+gXXp0g"4m&hTjX0g<SoM6@YhaMGoD[imQ(YX3g(?;hioWh;?lCgZ$lUf-f)'f%B!6fkQ#mhqI#<
+h::*-gYLH(e)TQ@g"tZ=UK2E>i7lE%hr=Xfs4RD*dFeZXg=b*0J,~>
+nbWR`mW;6/CXE(Vqt^0bq[E>uqYU-dqY^6gqu$?Zr!iQ$qu$?hqu$?hqu$?hqtp0ds8<,pXCGb7
+jno&lqteTUPDs>!s8;okp&G$.E<#t9qssP:s763do`+pbq#Bs\pAb!eq=t!iXF.n_rU>H`s8Vi!
+HiO-8s0H:Cr;H<frVHKjqssP6rVuQgs7ZJSO88hRs7ZKhp\F[[rVuoerVZHis8V`ULi\pMs8VK`
+r;6Bhr;QX(r;6Ehr;6Ehr;6Ehr;57H!;h9~>
+nb*4Vl#00pB$:#GpA+IXp'g]hp\+@Tp\4IWq"OROpC6olq"ORXq"ORXq"ORXqtU'_r:V9%U01Wd
+g\CU=pA4[VnAJjkIpB\_p&"@Ns8'ECq=XFTo(Xm<o)ALUs82Q`s7#gTs7c?[nGW0YFLq,;k^18J
+q<t>)s8D0TXBr"%q!e+Sp%\:Zp]:3cq"ZK9s6fR[n+hcpnbMkVn+u_Lq=jOXs8)'Tp$q\Rqrusd
+ClmfZpu_5Ap@e7TrqHrsq"ORXq"ORXq"ORXpttfGpAXddpj`~>
+n^n)pbYg#Q8ZpkFf`9\#g%X,-g">!1g">$3g=b35g>LZ`fDXD$gAK_KeVQOVJ&:+$hVI/Mf[m/s
+CLoi-hV$c:eDoAX:Z's\g@EoMiR$E5d,*L,eDS[(dc&d2f\,EHNEr=8hU,l9ki16Y>j1@uh3(0h
+gtU<5gXt97r7M,&g%a/Mf\b*0jON70E8'=+j3ui7e(<1"gZ.,8g=t66kiL:7APdKkjP7o1g"=s1
+g&B^Qf`^*ag"4i+~>
+nbX.!rp71G@qTrEq#C*^s8VTXs8DHes7QEfq[`PuqY9p^qY9p^qY9p^qYL3gs8;lpq><MTq>:!b
+q>:!bq>:!bq>:!dp\Fjgp%\R_rVuKhr91V0CQ[NSs7cEjq#:*hl$eQhl?3.'nc/Xbqu?#(ec5XI
+qY^*b0)YVEqu$?es8Vlgqtp'ds762-MuV/.s/YPes5S3jmf31Xo#5%@pAadbs7ZKjr;6Nis8)Tf
+&HDY$s8VK-I.712rqQ6frVZQkrqu]m+9/WoID>g]qu$9ioDeUcqY^3fqY^3fqYU*cq>:!bqsjXP
+quHVE~>
+nb*djpZ8]+>[VI)nbVbDqYBICs8)-]rUTm^p^Qrkp@n:Tp@n:Tp@n:Tr:^0brqQ<`o(Xs8rV--f
+rUTU\oCr4LrU\gIBk3+Rs8MN[q!n+Lpu6LNp>g2mp$D_Vp@eLJCX)_Lq"jg\pb)=9p\=LXo_eUZ
+o(_qJq=a"E@t=9lV>[(Hp\rf]Pj&/?n*@YiVsaNMqtKFVpAOabq#C0eq@WGtp@8"ZkJDE-s75sV
+o)/:YqtU0br:UZrUMXnSo^hSCo)%eNoDeR\q<@\EpAjpdpAju=~>
+o%<uq(>[0$?U@4]_Um_se_o?1c/I@"gt^<3qUb`"%GTRjg"Y37g"Y37g"Y3Zf`0Y(g?R?Gf@eX'
+i82r7jkJ\Vf^.VCSPi(!^?4M-g>:H;f\X\TC>?s1jO_];h:L<<bZ)%4hqS"]n_#>Ah;-Z3g"=d5
+imZj^CuV^^l&<pJlGQ\KcK<m3dAB6lfB1WEi77&HrRqD-g=b36qq)G.g=Fa/k0L&8dcf??f%&XQ
+g&Th'g(<'$OBPk\iSE5@f&+j1e_o*UgA0Flg@<i!gtLH5f73~>
+nbX-srVuokbDK=jK$3rhqu$KonG3+Yp]($aqsjI\qu?TnrVHHlqssOtp&+RNoDejXq=XI]oZDkf
+Q.l98l1P&U(&e14ih(>>qu?]op&FsbqtU3cGJ*hJrUKdep%\O`ru^P+^11u9Haj%FrquJtCrZ8M
+rr<#f[VrDGs7ZKmm/6eYs7u]krV7'"q>('hq#16agiCU:oD\X`s7uWir"/i&s8%jbQIu6/s8Vof
+q#C6eqYBsWrU'L_qg\~>
+nb*dgp&+dV_h(WJHGf7JoCVkYmIpSPo`"OZq!n+XpAamdq"jaTpb;O<rqYsPs8;-Qn*]o5^3N;0
+e,T("melkVpAb0IQu1"?s8Vues7u?]oDA&r[.Etdq!n),nFQJTs8;lrqqqCZ=CHYtXS:lKna!2c
+_"7HuqYTKZB;k7qlh^S=pAF[bq#C0gq@WW$pA=XVq#0U2CrQ/9q"==Wq=sg\&GGJgl%)WebPg]!
+s75[NqY9m^l1jfC!;?Ed!;M'~>
+o%5#:f&#NNf;raH-tB@3inWAIj36-6e^NF*g"4p/g"65Vo@j8urn.8(rn?Yj1"Xk,eB?>$iQg32
+gZ@.pD**!Qk1[o+iniVKk2sL/;m>'>jPA;Df[SR(hUbl%i8EAdg@<iEdad+1iSNMRjicq]6qqE$
+R,cWPh:IreVUj__i8N(M:m'JpfB2AAhYu=-gABM5e(E=%gYgVr<j1E2hV6]>q:b\u&DGh(fl96"
+\ED5pj4;]0gtDMWq:Y;ln_"'#g=b*0J,~>
+nG=!rp\t3mkfnun</8cnrqlKXs8Vccs8Mlm!;l<]rql`nrr)]ks82B_#5%fms8;Tgrr485eU1SD
+^[hF)r;?Tpo(VqMqRgfur:T^4LQ;E's8;Wgs*pX7q#0a\&c_\'s8)0Oq#16KEgQZR>M]5Vrs&(I
+E;0D-r;Q^%o:pN*qZ$Bis8Dlqqu?KlqY^."qYU9kqtp<fol-Jso`+jeq#1'e&cMb-s89KXIC0%O
+mJ6e^qXsd_qYBsWrU'L_qg\~>
+nb*dknF-)NqV]>E=\O=bn+QDFkkb>Knc/FLp\smdp\ssap[Iq^o_\[gq===[s!?pTF&Hh_lMU\T
+p&G!VnF>i9[;(!\nak7bMuN)Ap[\%VGF%^jq=sLS-N!H.qXs+;oCD_*B8l>&:t"n5q=WrrB^tul
+q"jg`m$hp]n,DbGr:^0bs7lWiqt^ftqYBjYp[mohQh'S?p@n@WqY(Qpo^DbIY&\N]s7,7BrVc?W
+q>':Mnb3%Wrq?EfJ,~>
+o%5)<g=b-9ki9dfCI0mlYLqadf#lh/e'm@3g=b35g=b36n_*oos4RD*l.Ic=g#1oEe_TBOlINUW
+6X?P;io]"Mk2Xk?f?r9@:g`#/f=#@/hojg.eCikiJ_]2<qV(Jm.,EJ+gt0`mf%fB$;g@)+4MKY:
+jl+^";:j[VgYguJdY(_VgZmMLi84IgqqCr"&(T:bf%Jd4f2R=Tf&,9:g\KS"fauloh!3[a>[*ES
+fZ`".iRcQSgA0Flg@<i!gtLH5f73~>
+nbWLhs8D]br;Q^+e<4<>Dn>u=s8VKds8)B`qZ-Kap]10iqu?TnrV??kqssP9s7c*^s7l9ao%fR<
+CW#]8s7Pm]s7l?gs8K9eB2EigaLQA.VZ6A]r;66gMN7W6l21Y_q=jdbruh(9Q?_$]LoULSp](9N
+Au#D(p&"^^qYgGgEj,?>q#C<lr;QTmq>C"!q>L6hrVZNis+,Rkr;ZWjqssXsrVuN_s8V#KF/.pu
+s7cEjp&"@V!;kUM!;h9~>
+nb*dnq"=+Co_\Xfb_fUsB<q<us8D0Ys7PjUp@J%WpAamdq"a[Spb2[>n+chQnb;D%O'-#+lL4c@
+l1t;JnGWC]Wf1=WEOs)uEbhHMoC2MJo)=5qo_.PD./EN+pA4X`s6T`CD9Vm*TChaAq"`EDS,W3Q
+p\44Lp@t(hV!n'Fs7QBbrqHEeqtUd!q"ORXp%J6/G4>5%o_/"LpCR&ql0A-CeWX[7h>dEBo_n4J
+pu1rIpAXddpj`~>
+o%4f4h;R5Cf%oEMkd>J"1JjRtdH'6/hW3>;l.Q'gs4RD*l.IcNe^3(.f@Ja,^Ni1DWRoheeBd%4
+f@K!Eh2lYH03=gGS5`49imQ0+f[]%uET,m1lIdT?f$r@-gtq&Al??C@k@ok4hq7#O^dj(=gXOs5
+f@es<K2[ldj4WYQrnRJ+s4R8#%+Wt^g=Y9AARO0Ii7d\R&DH-meE#c,I8YU6k2OtGjO2H/"Ph_a
+f@PN~>
+nbX.#rVlcqs8)9Ms8VDdG%PR$nc/7Vq=ajbquHWaqYpBlr;QZjr:0Y;oDSRYs8VuMQ"Fg1p&G$f
+q>:0hp[n:]mf(;CZDsagO+i4Vs7lWmqu?EgR>q7Hl22t*rVH6ds8;04^Mn)Vs8)cos7u]pP@s4Y
+pA+XcrqufroWNA3rVu6_rVZZlrV?Hf&,H8%q#13hqYlpul2UbWqXFCopAb0]q>]roEgPVOs7H?k
+r:9a@quHVE~>
+nFdXlq"OX^o]tQ6s5g+s?tQ_0qsEqEn,<+Us7Z$Xrq?BdrqPaP0CJW/meQnUe<+3QV"+?Xp@J"R
+p[[eFr9=$p]<.p&PDb*GS,DsZqY'gWp5t((q!%N$o_A+Lq#C*MbHthji;W3?o(VSGoS?c4p%%eN
+qYKp^qs:4sR.C7;p&=[`p]($cq%!>roD&.To_=Y]j8/Q@p$h\en,N7Jo)IsZBT:I%ros1Np[\+<
+pAjpdpAju=~>
+o%4f4gtgiCi8ND;al)=)N)iDAR*ag@f@\X6qV2&'n(@Znrn@2$n_,\EgY(*6k1dIj7o"upioAkJ
+g"b<3db!C#gnp[)LkBkiBOlPIf&><7h::;,E96-6lIdT:g=Og-j4VMZSki)'kh4tNiRm)FE^n:-
+e_&X4h;$rLeW<dahWiABrnRJ+s4R;$&)#F\f\G08i-nGEini;>g@<i-e)oT6f]LMH:NX7qkgSMH
+g="XWgtLH5f73~>
+nb`@]"8;?\rr2p6qsa7Xn@*mXDm8U(qu?3bqu-Ejqu-Eho(r@_s8;lpq>Bg\*rQ'<p\4^SYB!pN
+rUBILs7H?hp\=dgrq-0hn+cMPrr3K"q!\7[kl1GYqY%"Ko)JO_nbag/s8VccqW5\->]OFhe,TIE
+rr;]V>E/[]q>^<fs8;ops7*+4Y5J=ur;?TlrV6Bd&GZ5#q#(-hq=qO4bP_84qu6Egq>:fpqtpEn
+pAb-RP&?BErVuopqYKIRmJHt]J,~>
+nb3"R*q8Req"spfp$1u@lEPV?BVsn[o_7YBo^h_Ho^h_Ko(W.Ws7cNfl1Z4uqX<qKk,E0"WVQ#S
+nGi+Xp[[qQs7u-Ys6B4Dp\t1&o(VSPpuVDGr:TQTKBi:.p@7l)nbi:Rnb(hU?;Y?>>fcp;n+6>?
+hGAh$q"=UZpAXd]o_7UECSUFrrV$-_qtL]up@J%Sp[ds_?cDa3o(MnTpA+FomJ-DTqsX=SgPB?n
+g[Y16pA4OZq!n(JpAjpdpAju=~>
+n(8B+e(<I8i9&e@eDJW>?UISJbLYD(d.uD`f`0Y(gA0Flg+_[If[ep'O&A0%hU0s)k1AMEe^iU;
+gsXs<c.::rj5T4Pg!Jd4`7ii"f[c%"fAtW]f^[WBe)&p/e(;I36p"777^D78g"kZ<a?".rgXtH;
+g#:`Dh;H_>=-)1trS7A*s4I5"&(f:ZfA,*7g7Cm<hV6]9h"fUufauK_g#Cl=hVH%e9lJ#*jknbf
+f_O4jf^[VtgtLH5f73~>
+nbXI%s8W)jo(;YHqYpEjs8W)XMHabP_u'K5rVlcprVlcmo(r@_s8;lpq>Bg\&,c"us5'&PDj9J[
+s7c6^r;QI3rVufep]'d_p](0doD8=Wo`+:XmJm(_s7a<[e,T7@nbad*qu?Tos8MHd`kCEBrqH-c
+q>9faB?9oKq#C*^rq-*fmelp`FK5B>rVufqqu?Nip^d2tqtg0er;#2dX7lGhrVZKgq>:g!s7,UN
+q>^<korWgqbk(f1qYKIRmJHt]J,~>
+nb*dfq>^6Xm-aB0o_A.RqYU$=Ins@"\F9FnncA@Uo(W.Ws7cNflM!"+lM:D0Na-:YjR`EFp%eR\
+o^hkWp[7VPm.p5Pp[dhHp@\%Wl2U&KpA+RT\9Z9mq=a@Q-ggX(p\Y!dl2&-%gT^D?me62Bm%Rk&
+oDSF`p@A(KpAa@Kntg/sq#0p`p\X^rp@n:Rp%S1OfOq&Mp%S7Uq=aXY&G?(kmIBiKoDe-MG&k@Y
+nb2hRq=sLRnb3%Wrq?EfJ,~>
+n^nZ.hrW_EdaZjrg>:W?i8NM.BfS[tU=nc,g]?-]o%*fms4RD*q:Y>m1#17<l+_F2:NXY.iRc]7
+h:U?1gYpl6e`5!2e`>H8dFm:-e`"[2al(h+h:J?2\Du9=f^[WBce.%+h;d86i2<0bRGZZKhqHl9
+Mb'i#i7R&@e_S[,k0Df;N`D"rrS7A*s4I5"&(B%Ze_&U4gVQgIf\>6:gA0Csfau`lcd'tjjO`PB
+MdTnndG*@Nf_O4jf^[VtgtLH5f73~>
+nG<IhqtTsbs8Dlpq[<8rq"s^`m&>&0JBRfg!WDodqYpBlr;QZjr:9_=r;YN6?#I.Bs8Dics8)T[
+qYgHmp%JFao`+gZs7cQfrV?<gqY9pepAFdeqoj5nrqZH]r#l%=qtKaVqu?Ejq!nC\qu-?hp]"]Y
+p&G![s7uQlo`+O^rr_hTDR9<?rqlcnrqcQf&,,u%q"FUarVUr-o)A[fq"ag`r"8i!rUU!gnbr1U
+s7cPKFd)k&qYKIRmJHt]J,~>
+nFd+]p%%\Jq=jU^oaCE`o(;2Gi14LUFMI\C!V?$Up\smdp\ssQpFl7=d"YG1YO);bq!nC]qsXCX
+r:odOqY9OUp?h_IqssRXq>C']p]'jZp&4R%DQrp0nb4F-q=aCJnb2kLs7#:Lo(2PEp$_i_JF31.
+n,E+Vr9sUOqYC0VMIrpfpA4O]p^crkqXa7Nq"OK'OmMlAq"+=TqY(Tsp&4I]rpKROnGhhGH>%s(
+pA4OZq!n(JpAjpdpAju=~>
+n^n-#h:pT7h;@&Drn@h7g">$-kfSZX3*rT\g]?-]o%*fms4RD*q:Y>m1#2!*E^!9ddcT?<dc9*8
+c.Le.gXF[.gX=p2d,!7/e_Js9hV6W6hU:*/i7kA:S`/8uf^[WBgtUK2dF6b)f'(f8j4iAGg>:KE
+6YY-/gsFs3g>C?:e)96LdrS<LrS7A*s4I5"&'rh\e(!(/hr%dceDB6?f(mtofauWed,*[+gXOg:
+e_Ok<F5kmLf_O4jf^[VtgtLH5f73~>
+nb_nR!;lco')Lh(J5pcHYibubrVulqp%A@brqQNms7u]p#lF>mrVHHlrUp!a)uf^2s8Vfdrqu`n
+r;Z`biI5K]XQ0-Ss82]hq>U-hq>'m_qu-?hqZm/orr;k3Ykdhdq>Bd[#ljSrZXg`=rVQNgs8*B#
+rVQ<goVk`pmf2eVoD\adrqcTgq"k8^G5pn.o_n@X+Stm-q"X^^qtpB\q>^6"MhTRRs7c?hr:^-g
+rVuoqqYBsbnb`.[rVHTkJ,~>
+iq=/\o'u8<gokfkC3cW/p%%YMp\=7IqtpBas7u]e$MsYnnb2bNp\XaTq=c!,o_&+WnF65Hp\4CW
+pZgLV?>#tdnb2kSq"X[\qYL$`p\OXbp\FRhrUBXYo44finb2eQq=aXW#ljAfX^8I%p\4U\s7[)p
+q=X7Rm@d.RkPsfDmeQ\PrqHBds7cKcrq-JXE<#&"n+cJI+SY[,q"XUXp@e7Dmf)OQIX90.s75gZ
+p[S(Sq"jj]p%8(Snb2eQ!;6?b!;D!~>
+n_!Ec(>IX!gXsN6?8GPjNl9i1gZ$uAdaHt-rmh&'s4.P4h:U3/g=P$6g=#fM+5GT)iSW5;hV?rC
+gu$r7_-p#9NPsQ+iS)u<f@SR'fD4(qfb)rngtLK8g"4j5dbNa8:R0_go%<ckqUbf$q:c2:e_QEW
+SC-0Hr7V,(&_,Ujf&5#71Qp#Fcem.*gt:9Vf)O8"f)OG'h$;ha=QmrjdbF<E!S5d!ef!,nh9FU9
+fU-GbY1;O]f%o$.gY1B:gtC<1q:Y;jq:Po*g"=m,J,~>
+nb_nR./X#Arr<#oilu^^=^dZNrr;Nfs8Dfco)8L_q"jpdqY:!er:fmYqYL$c)?9F#q>^Knp\aUR
+s8:9&<ckeBs8)E^p\Xjeq>^3iq>'m_qu-?hqZd&nr;QY=RIL+Lr:0Xhnc/9<BCGlnqt^9h'DVP&
+o`"mCUfk&%s8VoprVQKgqYp6iqYC!ns35TMs8Vclo(rF`rV6Ehs8*H,s8MQes59SoVsaTXmJ?hW
+q"apc!WE&or:0[[r;HKmqLA~>
+iV"YknacJNmaf6k?;4IYcgpepq>C$\md9fDp%.kNp\".Pq"O@Ko(D\OpDNerlgt)Sp[RtDmJ?P"
+KhuTdl2:,?nFHALrqZTj!;ZHbnb<@bnb;hODisY]pA+IYpA+@dli6F*@HmXYqtU3c'D2+mme?P(
+S5QH]q#Bp]q"FFUp\ssep\jgco`t?6CutNlnGVqO!;HHes7cQe'(u;!k48K"Q>`M^s7#7Fq=F4M
+rq-<eqt^!VpA+F_p&=XbpOE~>
+n_!Bbs4\jTioA\,XB%kN5]sWmh9Od3g=O]tg=b*.f@ej/e_/[0eC)jufD4)=hq$3.j5f%JgsX[0
+gp(WS=-qJ!gXOg)g"G!/rRCo!qUkVs&DGpng=b02fA"d.hVMFbhV%JPq:YSrq:c/%jje$7cf!=M
+g&Kb<fA,*0h;>bs30N%QjOW/Af\$)Ps4%)"s4RG.#NW-hc/@X2i:5G#f$sZLs4@t;jk\;=kJ2UH
+KZiE(b1GCue^j`O!SZB*g%!_jf`^'_f[eW(~>
+nb_nRs8)llp%JCb+T;?&\:@dgNkYGip@nUerr;rkp%n^frr<#trr)]fqu?Hhs8Nf2o()VUs8VoA
+N+..:h"UjEq>^KdrqlWhq>0parV?EhrqQ]ps,VO,nb`.[nbWUgr6JiCs8MumrqQHf&bu;$pA=mg
+mu2=qqZ#pYo_\O_qYC!nq>=s3s8)<dnb`4[s8*W,s8M`ks8V8uM4*T-s82ckr;QZlqu$Egr:0[[
+r;HKmqLA~>
+iV"YknE]Q9qY9d]hl_6%<J7jUq!mqTs7uNdo'l>Kq>'sbq>'gYo(MtVpD<Q%s7YgGoD&@bo?)em
+Ff<gYqsj4Vs6fm]r;$0_nbE+U"SVVGF8,4uq=j^Yq=P$cp;pR+s7lEbrqZNf&bPklnb)nUk_3`O
+nG),:mIp8Lp\jgco`t*^A#oY%mJZSKqtL-a(\7J!n+ZkWi4O`-j8\uLq"=CWq"FFUq"a[SpA+F_
+p&=XbpOE~>
+n_!Bb-ed/"e_K*?gu?;<?T:,_S_DiJe`,WEh:pK/f\P?<hqZu@g=Oj,h>,_CguIMOdaHh*jlG+!
+CdM?d^"DE"g?.MEg"G!/rRL_pqUZ>4g>(E9g"G!/f%/I.iGr>cg%*ekg%j:rgBcNgY<m[!hV?f`
+fDXA7fA#!.gZ729CJ^2Ggr\0qf\$)Ps4%)"s4RD-#2i.<k1\2?n_!fkrR_q:hV?Z;k2OCQAp2/R
+gt:?4g"Y65f\,!Sg%!_jf`^'_f[eW(~>
+iVWZT'`S%-qt^$brr<#XSnhPKV;1kDnaQMW%/fu!qt^-bqu?]oqu6Eh(\n"0r;Q`rp[-k6@rK'O
+p&=jaqYBm]s69FZq>L0qq>C!`s/p,:nb_SK#lj4a<oEoQs7lTfrV-fpqYpEhqu6WiLi9Qhrr;uq
+r;6<f#P.n7JG]9:s7#p`qZ$F/q"+@^qWRPNp?[u_bl@>6qu-NmrVl]gq>Bd[q>C3g!;_3~>
+nb2MI-iEi8p%7nInb)YVs4`lN<,%uUo(MD7q>:*ep@S%No_.qNr;?<_q>'b$o(`(Tq#:0\kLlG4
+Bt*Htq"=7NoCDPMiV3ZMp[[tQVIK;ip@.hQp'C][Ro%i4p&"L_q#0pto(MnRo_&"Tm=&WEli6t]
+rqH9arV-?c#OMJ+HM."#qXF4Vp]'q'oBu;Op#GK?n`PpKa8PK%pA"IYq"aXSq=jFQq=am^rq6?d
+J,~>
+n_!Bc-fX(?gY1B6fA#-Dk.uI<3_tIBf\Fm$hr3SRgtLN;f@\[,hVQr<g\TSCg=Y9?gtq,Nf?M'`
+6Vj9$e_]'8g=b$.h:^K5fDX7jf+H]igtLK8g"4j,g""g:O\auio%<Kc!8@;)#j0<]2Se,&hUqhY
+rR__4g"b<8gYUi;APA-1jPo(Mg&'D$ec48$gAg"7f'61CgYC65nCR`lqq)_9dFdI2`mNkra`("S
+hpL01g=t?8gXt$Og%!_jf`^'_f[eW(~>
+nGDhQ!rMcirVuor+8#=!nbiFG[u#NGAr*hNs6BR_r:g0go_eIVqYg?fq"ajfrtYD%p%e.<R;[5]
+p%eC_p[S%Ys6oRZq>:6imeQhY#Q4Vsq>\cVnaZMHr;$3qrnhsCq#:6dq#'mdp^m,mr;QTdp%eXO
+RV/f'p@\C`r;HNgr!3)rQ>YRZqu,dV(B41)q"XUYq>]jP^NH=Ls8;lnq"k$jq#'[Zq>C3g!;_3~>
+nb2MJ-hI'.r;6?cq![eAm.^D4Z%7%)?@]-.pu:uGo^DJGmJ$2@p%\:RoD/.\p_EAcmIBGqO_8O=
+mIB]GoBl2Mqs3_Nq=amaoD/1V#P\)doD?R<l1+K3pB^WMFE-sLq=F@Yq#C("o_/(Vp@.PBqVI<>
+V"jEHpAXg`q#0sep':6`OD*;HpA!nG(]3t!p%@tMpAF(<\8Ii0qXsUTnalSPp%e@PpA+F_p&=Xb
+pOE~>
+n_!Bb-e?u,hqm2DgX=X"ce@6jQYKht7qn7'iQL*@h:UT@e(W="f@np/eb[r;g>:fCeCN@%`-P6\
+T%;WKk1J&6jPJ21j4W,Pf+H]igtLK8g"4j/gt(0>Z;B'(o%<Kcq:Z,1^/n:ch;$T6r7:o#&_5Lf
+h:^9-g#9no7#BaKdb3=NfDjD$fDjS(h?Mn_:ql)Fg[Eeng&K\@gt:0.f%&@'hT=$3;1I6Sf\4s,
+f%f'5q:Y;jq:Po*g"=m,J,~>
+o(rIar:9[hoCi"Vq>'marr3T,q#10dp[m"4I:mDNi:?jBq>C6rqY'^_rqlNh(]F4.s8V&E=`1\E
+s8Dcip]($VnGN=dqYg?krVuflqXs[_qu?X!qtU3UH-YsWq>C'eq>:Kl[9LWMrUKpbpAak#q=sg`
+qt^*erVubcCsDqWrr2lprVZKi#QOA.DS,rHp[S.[r;?EtrVQ?^qu?N`r;Q^(g5qNSpAb0hq#16k
+q>Bd[q>C3g!;_3~>
+o(E(XnbFR%nauMHo_%qXs8M]_q"XILm*2)D?Y+Z<lLj];qu6HhqXsCMq"aXZpD3Jno`"jCO&9Ml
+o)JCQo'ubSmI0iLr:p!dq>0saq=sabq$$K_q;H>5nb2eQnb<@\Yued=q<e4Zp]'q#q"OLVp@S"O
+oD\9D@`.p5p\4IXqt^3cs7Zcqm'gZ9s7c*SpAXa_p)!T#o_&+]qXXCUr;G*$N7RImqXa7Nq=aXY
+nb2eQ!;6?b!;D!~>
+n_!Bc!R]Bqf-8euf](rMf@J[1f%ATaLgWhOBZ&BYgt_&Vj5/SCe(*1,f_X8>g>(H=kNB^,3_u*s
+khb%JfAtW2dG*X9f\+sTfD4(qf+H]igtLK8g"4j1gY(6=b[.R-o%<ckq:bZ!#M,,#Uu'nRiqq:+
+f+$Ecg"P-2g>1KEfQp&drS%/$s475&s4dS2#NaO/:n-V$ea_;hg&K\?gXjp'g"Y0+g"YEB[VTlm
+dbEU/eCiXPg%!_jf`^'_f[eW(~>
+o(rIar:9^`rrN)qrq[]9na-)Oq"F[ds82KXeZkcsH$tdSa63Khqu?Kds8Vll)uBU1bE-t6^A7^+
+rr<#soBQ/OrqQ9ao_eXcrVlftrVZNgp%eR`#QFT!q>U/FTCMgSr;$<er!E%EF8Z(4mJlnPrV$9c
+s7lcnq"Xddrrr#orM[m%rr2Ke#56GbU&Fo`nbWCcrr2ops8*W/o_8:ZnFQYVs7Q'biMD(:h#%-L
+r;HNgr:0[[r;HKmqLA~>
+o(E(XnbE=frquWfrq@K5mcjHCp%.tSqt'4<c)I(SEHR)3^YeeKpAOXSqYg3`)>!aq_h`8k[dj"`
+pA+RXmHOKIs7c9]nb;eTp&OpbqYL$_p]pWfq=F=LJ=#g"q=jFS#k<1Yq#BsMs7cNfs7cQes7d#r
+o^qqUrVPdXo:EbUrqH<bs7uWgrq?WdbA<[Bp[[kJ!ql3Xrq6<b(\dRrrql9Zrq?0UmeGM-H*l,o
+qXsOTo_J7OpA+F_p&=XbpOE~>
+n_!Bc-K*_9g"Fs/f&+`pe_Sa)gZ%GTg=3^"Kk+M!FcWWJil]p2f$rL4q:QV=g#UkgEERIWg>1ZD
+ioAnEbM)"6f\"g(q:YSrqUZ>4g>(E9g"G!/gXk66hqN""g%*ekg%j@tgBc;6;VU3^bi@7Qe,Rtu
+fDaJ'f*pEji8W)Fg4Q6?gY1BYf`0P&f`0_+hZr,oZW)M3g=>cH!87>*s4RG)(Y7$bg"+?ng=G',
+dG)?c>aMtPh:UB5fD4+if_O2'gY(61epm~>
+nbY9CqY^3fqY^3fqY^3fqY^9dq"adarVcZas8ViarVu`frqlQlrqQHlbERBk@WIONlMpbTrVlEa
+r>>FDIW_4)n,NFbp\Fdbqu-Hfo^h_Kr;ZZnr;QZpr"/`&qY^3fqYU*cq>:!bq>:!bqZm&ns7uQk
+OF?cu!rDfkq>C'eq>:Q]A$Yt/r;Z?^pA4Lnr;HHcqu-Hms7cKlcsi7=rW)orrr;osr;6EtpA`ci
+S,!$`nb`@a!<2uqs8*H*rquBZqYKm_qYBj_s6mI/U#Z+O!WN&rr;QTmqXj[_quZcnr;HKmqLA~>
+nb2MKs7I]3p\F[^q<n:_o^DYTp$h\Ho(i"Kp&2deFCeWjLVi0Np@7qPmeQPnoX/m]QGr(arq5dP
+p@\(Qqt]pWoC_qWq#:$ep&Oj_q>'dfp\=LWrV-Zmo)&(Op5!kap%AI]p@e=Vq=jscqY1BV?`s+t
+q#BgWq#0sep(-fkq=X@Rq=j[ZmIpP$>E/XV!;QQfs7cTirV6Ee#OqZ>E0Tniq=4.[p%7nUp&F_&
+p\k$]oD8CXq=XCMp]'H^?CK[Eq"FCQpAOabq#:$[pAFXdq"OO]p&Oi;~>
+n_!Bcs3r@Ff%A[/fZi:3e'?Y%f@]'=h;mPLi97=f?Vj0kE2^k8g!nd2dJ2E2RpB$AX3TYagXb'5
+gY1E<g""U%f%SsUg%j@tg&9Y)g&KY2g!nm1g>?sXgY(9Pf_O4qgA9P1a$PpAgY:c8e^OKIs47k5
+g>(?3g>(E>hpgHAXZpg[g\]_(f`0Y4gYLc>jLSK?fAYQVfEBm^h:p]`g&K\>hV-B'f%8C'f@JF(
+j3*ZQI_adqgY2MWs4@;%q:G]#r7Lbs!nc)TJ,~>
+q>9sb%/]u"r;6Ehr;6Ehr;66dnbX^3s8VcEYD$b(Cl>4Cs8W#sqZ$Tks7O]mKW4/7qXsmer;?Bc
+q#16fq=sgtr;6Ehr;6Ehr;6Ehr;6Ehqtq!)o`"dcq7(%Rqu?NmqtL'eq?$HgqYpBlr;QZjr"&c+
+rqZTjp&CUnebB+>s8Mikq>:Wss8Vuqm^%"_oDeO_rrN#mrVQWm#lj_sP_/r7s8DHb!<)in!;lWh
+$i'Jkq"jjaqsff'f)G[drV-9jq>1*ip\4L^o_\[\s7u]ppAFs`s8;]pq"jjcqZ-JC~>
+q=aUX%/BSlp\=LXp\=LXp\=LWnb+@)qu#s4Wdn\gAV?`'rV6$[n+?;@p$0JHJY_B,p[J4Xq=jUS
+p%\ITq!e"Xq"sdrrU9RVp@P\!](>ahrV#gWqtL$^s7cNfq=bEps7u<ao^DgI?-i'@o_eO\q"aXl
+oD/1SpZJVpFmSnkrq6?kr:p<d$245do87bkoChnKp\OR`p\OU`p\ssfp]'q/lABu3q"F7JmJ-PO
+p\t0dp\FdXq#9aYo)AXWp\OCUr:^9fp\4X[!;D!~>
+q:OZZq:PMr-edG7e$b6G8OZ9eL:6.%h;[,GiS*8AY%2!r`T,V!i7co<f@AI+h=91fgA9J5hpL33
+g"2NZUYObYhq6B0rRV#$s4RD(s4RD*q:QA6iS<&Dg=>;86abP,fA>36fCRZ'fA5<<h9D*]>LMK^
+rnme;r7V,($/FIkfl:Hah;-fVf`9b&g]6()g&K_(f)OD&fceX[A$Y+PgtC-1gt1-4g=+O$gX+X3
+db`R7jO;i=e(r[/r72&(g"G$/epm~>
+q>9.Knb`@as8*l6q=s]rNc]2SD4KP`s8)`o]6\kLmf3:\rVuZiqY^?m!Vc$Pq#L<Wr"&c&rVQHk
+c"!^Kq=jmdqZ$NjrV6Bhs8;lpq#(0h%/g/%s7gtnkktJVs8DKc$MXDmq>^K]b\`=:rr3&oqtpBg
+s82fn#QO_2GPV4;rTa=Wq^D=8p%S4Uq"ss`q8S2cp](-joCDq]n*U)Rk5+oDn,N.\o_eF\qY^-e
+qYg3fqZ-JC~>
+q=`eAnb3"Ws7R]1o^hX\L2:L0@Zf44q<d_BY&/1"li6kSqY^$]p\Fggrq,OHp]1'[pA"@mq"=FU
+p&2s<T^qXBq=jRYq=jm^s7cNfq"Og^%/9bnqsnoXiqE6@qtT^U&G#McoDALI`+=Vlo_/%EnFukU
+s7Zflq=:Y'mIBlCnb;nRqXl91q"a^[p\4CTnaa8<Q0A/4rTrqOs6o@Ts60=Qmcs`>p?hPAp\":P
+rV-<d!;HHc!;D!~>
+q:OZZn_!lps4ARJf%&<>DcKV*9RXb7jkSePSQoI$b2V.*g"k02f%Ss>h:9a>f`9atg]6((fb`Ao
+g=Y$7W^2Krg=4p2e_8O&f%/L+g"HAWs4RD*q:Q;1f%Jd<g>gmnAB<Q^f%o!Kfau]dg"G?Ec)j`X
+h;I;Qf@nsVg&Kb3gY^\K<S-!\g@EnsgA9V$gB$![rmq,%s4JRIfVE)1e`tcId*Ue3c,nVq_q<Mc
+c/@1.e(`F,f\4p/f_j;(f\+s1f%,?~>
+q>9.KnbWIfr;6Bhrr4)3s8V;dGAqbKUuq0LJ[b[Ns8W#iqYU!brVQ?]pAFs\q=4@Xr"&T&qYU'f
+l"c7Xp\F[arVuimrV6Bhs8;lpq>:a&pA+Xdo`*'>ZMjh!q>Tm]s8)lmp\k*k$+X`$s8)Njs82Wj
+qu?R"pAb'ODqtBkrUTm^qt^*ep]($fq\&r$d&D]#s8;osq"+7Wq<e%PrVZ[!o`+pjp](0frV6?g
+!;_3~>
+q=`eAnb+@*p\+=TqY^?Zqt]0GCh7EtRG6hsFK5?,r;ZN\p%IqNq"F:Inb<%Qq!%M`oDA4SoDdl`
+K_Y$,p%\=Yq=jm^s7cNfq=bBqnauSPmek")XS;Ybo_IqL%eTAerr;o$@!DP;mIg5Jr:p<d#k.fa
+g1/M%oChJDq=ad^s7cQe+8#Qr`0th?rUKd_oC2MOq<e%MqZ$Hfp&".Rp]'gap&4Xap]1'ep&Oi;~>
+q:OZZn^o5Cg"=s1gtq#<jPn:A<`)t"Ku_T$@@?E/hW3A=f@eX-g=b!(e(W^Lg%!elfb`2pf@\X6
+`^t%+f[e^/f\4j)f%/L+g"HAWs4RD*q:Q;4dF[+1eE!\qPhk?Nf%\gHg&Kb9f@Jd=jl2_#A*D\#
+iS`Gfg&Kb3e`GK#9tK38g@EqmgA0D%f`'J%f`0VGg>p\bKj]i(gYq)@dFHq#bLk7tjPShLiR?cA
+imm)gf_j;(f\+s1f%,?~>
+q>9.KnbX-sqYpNpqtBXWs7c9fs6-D>@9[i=chd21r;ZTrqu-?frqucrqssRQqt^.#q>^0gp](2K
+IK0<Gqu-NlrVHKfrql`nrr)Zj&,u>#q>^<iQ"AnRs7lKfrpfmds8Ms+qtL!frkN#gs7u]pqY:$c
+s8*)ss8;nA\GuI)o)/=\qYL6erq?HgqYp@5o_AISVM:lAqYL!ds8VZgs2`gGs8Vins8MNfp&G$i
+qYg3fqZ-JC~>
+q=`eAnb*gjp%eL]p@7SArpT=RrS=#p<`!Lf`9l^[rqHHc"nq``pA+UaquHK^q!%M_o`"CWo)JK<
+FoD%.pA"IYp\smdp\ss`pCI)jp@S1QpQ&\8qu--[p%e.P!;lck%/'/_q=_=#D>3Jrq=aa\s7Q`g
+rUTVtXSVJ\lM(/Ks7cNfs7cQe+8"sfqVRW`PjRr/nbN4_o)8L*daS0gm.gGOl2U8Oq>L'ep]1'e
+p&Oi;~>
+q:OZZn^n].fA#-:f[J7#kLeGLkK/Qs69J7kYhIO[rn@D)"khY^g"bH_hZ2C$g%!elfb`5te(iI3
+g1OaShqQi<g"4a'f%/L+g"HAWs4RD*pt6,)g"5-8hfhT-iT&MAfC7GnhYu:=gXk0:hk<G@j4`_V
+g&0M&fa-3ig"]VojOi2Wg%j@ug&K_(f)OD&fcf(ufAt)+A:`@cf@A[9h9ap2VR<nni7?cCh9Y02
+i7uu;r72&(g"G$/epm~>
+q>9.KnbWIhrquZkr;Qots8;Tirr3_]N-KGlQ)2n$qYC0kqu?Tdp&4pgo^VhLq#L<er!rc!s7lEi
+[rqEEs8;fnqu-Biq#:0jr;QZjr"&T"rV-?llZ8Biq>^Bjq#Bj]&,Q5(s7uHfs8'<?C]FG(qu6Hj
+qu?U!qu;hFs82ccquHWjq=XO_qZ$HmrVca6b]orDs8VZ`rV?DYG`I0ds7Q<hbJ3uMq"t$drV6?g
+!;_3~>
+q=`eAnb+@,q=jUWqY^?fp$q\ElgsuKs2p"6CiPH+b3nllqYTpbp$M2@qXs=Ip[S%RpC@,irq#d^
+Z>K%*q=jXYpA+I^pAamdq"aXpoChtMqu>bpOS8;Cp\4:Vnb3UipA"U`p%%hPo!2Y2qYo^PrqH<`
+#5%bIMuE2>o(VtTp%S@W*Vf="oY"t*f`(m9nbVtUP]MV&[/T@`pVaT9oCM\Sp\spfp\jdcpOE~>
+q:OZZn^o5EgY(64gtq#HhqR#Be_T<Gkd,,/<EjX"Ygh@Yi8NDOgXF[-i7l]Mg?@3*hU193f&;lp
+fAbW?g"=m*eCN4'f\+sWf`0Y(gA0D4e(3:(iTABbGi%-4g=b$2n_"K.g"YHAf\#!=gRCc.k3C@I
+r7M&&s4dh4i,No&f\5WDp"95rs4e^Rgtpnd<.r-PjNl<0f@tFKCKmCoeD&fZT%_cHg"=sTecj^Z
+g"=m,J,~>
+q>9.KnbWFgrqlNjpDWi,kMG"fs8W)orVlisiieDN@W-jj]]&\SqYpKsp\k-io)%tQ!;lWj&,uV&
+s82Khi,R3Fr;ZTjr;HKjq#:0jr;QZjr"&Z(rUp*e[U7A\o)J^fq#Bj]&,H"trqu]ms69Qm@"%kN
+qYp<hq?R&rr;<dMrVQ0`!;lTfp%\R`s8*o<o)Jafp\3O%WRg_@qu$HKL9.JVN7@n-jGTf+s7c?f
+qYg3fqZ-JC~>
+q=`eAnb*(^q=aI[nf[Q#gsa[:rqZ0Up%J:Yg8B^/>@i/H[Fb!1oDejanFQPIp[ItSpC6rqnbr1N
+qqGi-p\"CTp\4[\s7cNfq=bEmrV5mUpTRfBrTsCVq"+@PpCR,mo_84Wp@nLDs0#FCmec\VpAOXh
+q""+NV0;G%o(VqSp%SFY+8G1#s7#@<c[22(l1FWBqq$CqV4W:YrV>9&SFHLJo_nO`p]1'ep&Oi;~>
+q:OZZn^ms"gXt*Ve0*?$`kB"7ki:LQhV[DR_iSh%5tk^7S%dOug#hGQf%T*Qg?I9,gYL?9f[ATi
+;R><7h:C30eC<(#f\"m1rn.8(rn@2$&(TLje(icH6*]P"i8!&:g@<i-gXt-3h:p`@jiZeS6!i:+
+f_jA$fEg?dgY7csgtLKIg%F"rfcf5"jQ>1He%04L[aX!`g>'5LM2R4*[-H\hC4apme^rI+r72&(
+g"G$/epm~>
+q>9.KnbWC\q#13l&,uP-qrEB_jnSlTm/R+Rmf*4s^jTZp;IOj<^@)%$q>C9jo(rF_oCr@^qtg4$
+qu?TkrquZhG-1c=s7cBgrVHKfrql`nrr)Wi$NKu"qsK)Vp&=[brqlcnnGEdmq"=FZrVQ9fkPiV;
+L&CiEs82fn"T?8^jSn`J!W2]hq"jabq#(!fqZHZms8N#t$20^(\,ZL"q=X:Wrs>rps8ToWaSc)8
+r;-BerVHTkJ,~>
+q=`eAnb+@"oD&4]r;$-`nC`&3g@4n2jSJo?kl:SX[;f8B7oaGcZf:fSmdU&BpAk!Zq#L3dpCHuq
+p\+FWp@N7!p@8+Pp%\@Wrq?BdrqQ9_$NB_lp#pg>n+cDLrq?Ednb<(Z%/9Ddp\=INs53Oe@"%nE
+s7H<`"89BFh!t+=q"aa^q#C*bp)iqtoC_bOqX`m+@]];#m.B`2s7uYiK_kGSD8GuGp@\CYrqHKf
+rUp6cJ,~>
+q:OZZn^o5;e_8j:hV6fFgr3f6`7a,,c/@a0cK=-JT3FT?0gAc`S]p-Pf\59Rg&TgsfD4)9f\Y<6
+gY(62=,u1gi7-<0eC<(#f\"m1rn.8(rn@2$&(f[jg"Xe`;qKsYiS)u<f(%Gng()ccf@o!4e`Os1
+X%?pXf_jA$f`'V/gne)kh:hGQq:GJos4I2$*n]&tgtUcHhUH[DQJg`Kf@%t,j62VIkM`(4VqU+_
+rn./""k_M]f[eW(~>
+q>9.Knb`@d-N*]7q>1$es8%4jn,34as7u9ds7Q3_s8V]F\qsd$>[i/]dd?f,o(rF_oCr@^qtg4$
+p](9cs8VloJ=6H3s7Q0crVHKfrql`nrr)Zj&,6"ps8VS2ScAH`s7lNlp[\4nqtU*fq"k$jrr;He
+s8BobEVoV4qZlorqu=rad/W\7!W2]hq"j^bq"spfqZcfps7?9jqu6U1^2Shhs7--epA+CNRel`T
+HiF'>q"XgarV6?g!;_3~>
+q=`eAnb+C/qY0XRo_%tKp@!*@jRi<As7>XVrU9@Fp\<ptY'j5I:f_V-`o6:Xo(N.Zo(`:\qY(Nk
+rVZ-]s7?/5OnnMHnFQGNp\smdp\ss`pCHihnGiORDjUFmq#0gYqss=P&GYqqr:fp^rV?EVrVcE&
+F_^gHs7?QdqXjX(D92MCpAk!aq>0jdp\FM)nGi1Gqu#pUqXC[uHeeYdqt9:Cki7Ncl^r:nrpo[P
+rV-<d!;HHc!;D!~>
+q:OZZn^o8HgtC9/f%8X1inIjCcJ@O;jk8,Ci76N4iSr7qQtJQF3^?r*YfkVQo%F)so%3]j(Y%@!
+dG<j5hdLijeE#',f[SF%f%AX.g&BY(g&B_$falN_e)TT;=+B>bhW*2?h9tiH&D#Xmf\,->guH`C
+k2)tA:tY]ts4@V/i7d+m<jCN8o%EijqUPZ!q:Qq@jP8,Aj4E2Oi1*VT_rf8%g""a*d!=9oKj*<k
+e^i=(f_j;(f\+s1f%,?~>
+q>9.Kq>:!c&-)(srUp0fqu?A\C#&Rbm/Hq]qZ-Qis!ZEpG@4BG@t(K7s8Vces8N#op@e@\r;-Bc
+rUKp]s82K`q>:*eqtg9jrWW8rq>1'grr*9'r;2q0m/QYVrVuinrV?!]#QOf!rVVsrq!.eWqu$9i
+q\Su(s8Muj_0Lk6q#C<_s8Viks7lA/ZhaFp)#3t*rr2ikp\Ojcp%8(Vp\FITrVQ3Xr;-Bh#Pn,f
+r;6BfrVca2r;+`^HeeYps8V]js-s&JA(:PYp](0grV?Eh!;_3~>
+q=`eAq=aXY&-(niq!e+RpA4*<?I\QGjSnlQpB13bp\"CT'ZleZ<(KAXF/7Fer9s4Pq"XLNnFZ_R
+&H)5!nGi1]qXjLVqYU-cq>1*d"o.`^p%\=]q$Qokp6'LXs6]j]qYBpVpBUQjo_A-AAFf]mme?SQ
+s7[?#q"sj[n%!Iio^VeOlM:>Hp&4IPCT[4(pDEMpp\FXZo^qtWqXjCSq=aUTp&+[Wo)&.Zocj"u
+nb)PHoCMYKp@[e<_J4)@r9s[[kk=h0nCLpiqu$$_pAOdcq#L3gp&Oi;~>
+q:OZZq:PMr&)tdeg="a/g#Ub69"j!Cc2QMug&p$^g>)P]-aSJ+4u+]U?&H>Viml]=hVQu;f%Sp7
+g"k68dGWU6gXXp/gYCQ<gATb0g=Fj,g=lP\'&)$lHX+hVd,Wd4e^`:'g"G*5n_"H,g"5!6G"gWH
+hV?o?g"G!Cg&KbCe_B'>gsr-$A_5Gfg!/@1f%]6;g/F9igA9J>e^rL/gY(0.g>1N6eCiR-g!nU/
+gXFX,g&9YKg""U*f\"g.g=tKDgt8f0=M*M?j5JGHk'Gk"6F5Y.e_gAZr7Cr$!nc)TJ,~>
+q>9.Kq>9sb&,-&#s8)]oorqecs7ZKmr;HNmq#UBkp\t]ufqWk,?=.8dOgNTuq#::8r;$9jq"+:O
+qt9dVs8Dlkr;-9arVH<`q>:3lqtp<hrVZr#Dr:Tbs7lNhrV?!]#QOPhs6"N`rTa:\qtp3hq\Ju'
+rVQTon]6'>oCN"Ys7H9es8Me;SbW*hs8Mupr;Q`rnb<"^'E7Y&qYBaUq>^Kir;Z`lqu?]lrVlg8
+qX<Y!W-i8`O6loEs7?9hs-itXMXpfHp\=dequ-?hqZ-JC~>
+q=`eAq=aUX&b5blqXsX[lD7I7s6f^[p@n=Zp]1$aoJ?F<o^9tkDI$=H?Z1k*c//$erquK]pAFRR
+p$qhLp@A4\q=sd]p[n7RoCDPIqYg-]p\4X]#GPk_rp9ORpA+LRpBUWemJl-`LA1Z?me?SQs7[?%
+p@n7Ss67@AMX9^+oDS(Mo_\FSEL6CppBpcmq"OOYqu,sVrVlgOqt'[[p@@eLrVc<\q=jOSrVuH^
+r;ZW_jke%GDd?4rjo>#Lm.^&BMYN<dlh^GJoDJR^rqQQhrUp6cJ,~>
+q:OZZq:PJq&_#Rggt19:e<*":kh"hQgtLK[f`9h(hD=<OhUo;h=@YM=79+>lZc(MRjPntJgu?r7
+f$`7%f@/X5g=b36f[\^-e^W1&gu$c:g"HAY&DN+>^uE\re(3("f@S^/g=l)M&)>U[il>&:hqm5F
+gtLH7fB_,ig)/Gph:pcId\g2acd1FuiR-H7iSN9kJ)&cSfg4EJg=b06h;?Q1hVdAOgsk*4f@/4%
+hVd&Ahqd#@i8iJCi8`_Fb/L`B>Xpknal;"0dc&s>HKBKfdGWg1f&,06r7Cr$!nc)TJ,~>
+q>9.Kq>:!c%/Kl%pAapfo>4pqpAb*hs82ils7crsr;HZos8DuroCi1`(&e.3la1qC;GC(tEh(VQ
+s8Dlprr;rrrs&H!r:p$\rVlfuqY^?lrrN)or;-j"rr0lHbQ%54p%nXarV?!]#P\/ns0?4WpZhYW
+qt^6drV79/qY^0`s8VuCLlDB*q>^9jpAP$dNIq!%r#Gb9qtKdUp%A=_q==.Or;?<hs8;fpqX"1Z
+r;-6gp`KP5ldWG6K6M6bUtkhHs6]jdoDeI]Rd5+9s7uNkoDeddrV?Eh!;_3~>
+q=`eAq=aXY%J9Gnnc/4Ym'frGlhpDSpAameq#C.Lq"FFSp@\.Pp?D&?s82N^puSZ"=%l+Y>&9ML
+nbW"Rq"ag^s82ikp\4=NoD&4[qXsUYqu$?do_eCiq"aa!>Jp7)p[IkOq!n(`o(VkSXC&j7rV#[R
+!;QNgrV.3*p@n4Lqu?<1ItRdfo)J:VnFukQM15-npDj)+p@@_AnF68Lo^;/=p\==Xs7l?dp#l)B
+o^_SPnK7]$jNXroHu3A8QdP=$s6BIZm/Q>?NS\Ebs75jZmf*1[rqQQhrUp6cJ,~>
+q:OZZq:PMr%G'7ie)T!8d%`sGfB(ifh#H+.g&KY(g%jDVd+."7inW;FbEQ-m1+b:I;LGh&i8*2F
+gtpfFhW!;Dg=Om+gYUfCf@ep7hVHo:r7D>0gYAYoXPD7Wd/MSqfDjP(g@<i,db!1.P!uD(hVR&C
+g=b02n_*lmrRi%Dg"P'0iTAjr@V4WGe`><=f%o??E+RbWqUlkEgXt$(dF-Iugt0s$f%Sm/i8WMF
+hq6*-hVHr=rmr=OfZ:=^G@+6B@>)8EiT/2;i6^W8gNq%BV<-@^h9k37g&0J$f`KgWepm~>
+q>9.Kq>:!c'*%k/o`+d`\Qrn-s4IA4s82]hrV-Ehr;-BkruUk'p\t3kpA+^MY^gRo?tF%nO1*R8
+rU^!Zs7lNdqu6U6r:fgZr;?Hhr;--crVZQjr;HWR@^>q.qtU0hqu-?\r!3)os8IXklhfuF!W2]l
+q#1")rqQHkp@eI`s65#rs7cEjqXsacq6b;*q>:?epA4adrr`,prVc`p"oSE"qt'R]s!R[=qu?]n
+im"-YIWBXkW4MU#rVuomq=XR`rVu9NP,Y#Hs7H'cp\t-grV?Eh!;_3~>
+q=`eAq=aXY')M=un,E"PZ;OoXo[*Wpr:g!]r:p?eqY!/RrqPpHnFuhSnFQG5Wd8;W>$kcVM6P:u
+p[%Y@q=41Jp%nU`p@.MCp\4CTp\"(Oq"OLVp\=R;>,q8gp@J+Uq!n(`p%81XI;J$<rV#[R!;QNg
+rV.3*o_A7OnFuYVi-'tNnFZMJn+HMLZ#AUspB9sTp%\C_qu?=Hp@n=Vp\+CWo^2/ErVH*ToDAR[
+gW#Y=GAD/OTsNtVo)/IXp@@qWq"a(1L7X_#q<dbQo(i7ZrqQQhrUp6cJ,~>
+q:OZZq:PMr'&;-pdGWX-Q9IpXi48'iinE)=r7:r&qV4U&jPJD5f%o<@f%Jp"OC1dD5Xe7CDjIcb
+h9t--hq-Z7gYh)Mgt'm)g"G$1g"4^,g=b-3g"P5u6^-3Uf[JO(e^rF+g"P0MfalW_hqV^>c/%75
+gt^W:g"5cIrR_#$(u<fugt('4g>p.SCt[:igtL<5hqXT"`nL:B"OY]Mg>)\`3S<*Ah;-rDgtpoA
+e(3I;i7lu@jQ>14XF4tj:/bhZQdXgIio/G>e(<R5h9=#\Lj[e2e(*O0gtCBYfDaG)f[eW(~>
+q>9.Kq>:!c)#s4-qu6E@CJf?RqgIl3oDAF\q"XRVq"spc"8;Wjr;Q]tp@\7Yrsn_TY(ULq?t3Jb
+O20EDrVc`tqtKm`rrVoerVc`rrqu^"no:#mr;6BkrVQQhnb`Xlnc&&tRdpFCquQ]jr:p9e(@h8$
+rqcTls8M"uOSJkCq"jsbqVH2,q>C3g$2XJnq#C?lqYU-grtG5-s8W&oqV'#nQ@sL"B8N4qiq`TR
+(\n%%pAb*ks7Q*cq=qgUIc(1trUp3gqYg<iq>L0jqLA~>
+q=`eAq=aXY'`IIrpA+@,A4CA&n9*jmmJ$DNq>($d!;QEb-Lpg)p\OmcnF#i@q=jX^s6\42Hsp&X
+>?,Nn\BXR7qtg6coBbuBrr39#naQ>Rs82Zgr:gN^Bohl[p@eCZq!n(`s6TRJC6\&`rV#[R!;QHe
+rqI8upAas]p\+=Pf4g$/r9!SBq=XI8DS5f>rUr>Go^qbOp@@eDo(;_LnalYTp$_J"^o!->E+WL2
+RCh;Irr2f_pZ_/FqYpNfoDJ7N]5r&Gs6]OLrqH*aq#:'hq#0mdpOE~>
+q:OZZq:PMr']79mf\=u^82=B'gg8:ge(WL.f@U#P!875&1=Y"3g>1`Df$rF3io&bWkgm>+AP,0Q
+6p=XhTsrb2jQ,F^gt(0=k2YIVe'ct0j5&MFrRqh;do(GBg=Y!2e^`:'g"G*5n_"H2bhUN@HIM$5
+hV?o?g"G!Ig&'D#fb`&hinW2Bg=t5k9PW#6b1PG)g>0SFU"]@rrR_,%rmi(IhqZu?gYUoGg>1iO
+hV$YsX,hI9=\M:tI%A%'rn\OCiR$'3gY^i9dbWO*Tj:s<jjW#6iS)r;g&0J$f`KgWepm~>
+q>9.Kq>:!c)#a%*s8MP\<K$8CmuP<Xs82Weq"FFSpA=^as8ObKp\b'krr<#toC;VOp&"Xcs8D0$
+Xd+TQ>#T$VKpAsuqZ$Tjnalb[s8)TfpAOshrX/W%qtZ>&qYL$drr)`mq=4@fq#CB&C"r[\lML\[
+q>C$fq%s&$q#C<irr)ces5.[ii;`WQs7Z?aH(Fd/$NL,&q=sgbs7lBerr3T.rSuJP^ncHoAmT1t
+LmY[.r;Q[6rVQEao_JO^qZ$6bqZ#p\s8S@*Rf<6Xs7H-aqu-?hqZ-JC~>
+q=`eAq=aXY)#3LqrV>fK:4V9ljFk)4rV-*_q>0scqY9p]1&^tAo(W+]q>'p]lfmp/mITrCqXrd\
+V2BS(:In]*HA\WIn+ubFk3VpDqt9XSnbDnYq$Qokp@3r^oC_bNq>'gUpBU<frNTk_rU9^Yme6_V
+qt^9e(]Emrr:p!\p@IPBe7>*&s7?'bo(Va"SGDn$qt]sXoC_nSmHsH<q"4+IfZV(<R<2b>;dj]s
+OK[:/rqRQ/p@RnDo)8+Or:Tp_s6TU^s,LoWp\!tSn+?>IrV6Bf!;QNd!;D!~>
+q:OZZq:PMr;;0@PhqQG(12P:mcu,T.i7cl9f@AF#e_/X0g"P-5g#1Z<eCrg<gu%2MeC*%(f%f'<
+j5.nUNco#*4#BH/Ap0BNgZIMKd*UP,h:L90e(WOTgCi5ng"LFQf@\[,g""X)f@ej2g@<i,e(ilG
+8\=*9hVR&Cg=b02n_*fks4J7Gdb!C2g"tH6c.]ZtJ%aprhr<8Eg0T<`qUn$fgXt*-f@o'4g"k]L
+i8*8.\#c9W?qNpR9Nu4VR(_80gtUQ6eBu[rj42c;e(E7-b1Y_4E`.,;gXPB6fDXD#fDaG)f[eW(~>
+q>9.Kq>:!c)#4+/rr;)+Sa6=Hg5aJSq>:!_q"FCRpA+R^$2=/hrVl]hq=jjcru:h7rqH0cs8W)u
+q<cS@Q$[.VA7B1mL7+j_kPkG[&,c.rqu-Nmr;-B$E;oY.rquZlq=4@fnGi!&L&M&;lML_\q"F[]
+s7mK2p\Og]p\Xabs8)-\HAhduqu?BereZg6r!2rjqYgEmrVc`q)>W'kL2g^3?smJ_KU'$qpAb0h
+p@e=XqYU6jrrDoprtG.nr;?NdqZ#o#G1?QcrVuQfqYgBirV?Eh!;_3~>
+q=`eAq=aXY)"[Ruq>9)mQJh`'c\'7/o_8.Vq>1$eqYC!_5P4R@qYU'\o^MPKq>C9io)A@On+HPQ
+p@mq3`3"i5>$>!->%W&=RE+=_rVQNip[RkKq"a^Zp%>M%p[e%QpA+LRpBU$alZ7RMs5j4Qme6bW
+q>U6jq>^4+s7Z0]o(2VIp&FL?o5THXoC`"Oq>?#1q=d)CoC_nSq=s[Vo^qLrU3U9M<)Z^r@X!^2
+aQrg&o'c&>o_%qQqYgEbrqcTcm/6k_p\OpSC2_Amn+QeNp@\@YrqQQhrUp6cJ,~>
+q:OZZq:PMr-.Uc(gYK_JHHba*]5=b)f@np0f@A@!e^rF+f@ed/f@A=$g"b3YeiqsLioTCbgZRJH
+f\YZJhrEJ;Z^c5F8P)B>8QBGNKr`/Hhqd/Fg!eL(g=t?7f\VumgXas/f%&=&f@ej2g@<i,bMg`I
+A_lRphVR&Cg=b02n_!oormh&#s4J7Jf@ep/f%S^-j3u$!<+t%>gYg]Aj)0"nqUlt>e^rO0gY1B?
+j5\n.O_@Z^6UF+.;.b'?[+FR(gXXjRfDjJCg>1]=in`JAb1P>"db*I"9iJCUe_K<9g">'4g&0J$
+f`KgWepm~>
+q>9.Kq>:!c(\dt(oDdWap]'`iBn?<Ss82Wfq"XRVq"X^iqYgHmpA"Xe#Q=Mmo_SUcrVcaFr;-Hl
+s7u]ms8L?WU5a\HCh-CXJV]Gd^<5p8q#16mrVZ]GDZBS2s7uZlr;6$^%fc1?B=dR3s8Dlor;HQl
+nGN1Zs8*Z2q#:<hr;Z]mq>^Enl$eE^oDA:^s-K/Oqu%Q5s8W#egqfqWJTGC0?!h;gH_&(-lMCP[
+s8N#qrr2rtrZ1t8qtg-`rquKhqtC']mf3%R_H(jRs8)cjp](-gr;-KiqtgBiJ,~>
+q=`eAq=aXY'Cu1omebXNnG_OK??uS:rV60`q>L0bpceHKrqc6Zr;-6`o^M;?qXsRXqYBpYo(hkP
+melVNo>Io#Jotj;=\<7QK8cP8`Tlj\pA"FVp%Z[?rU]^Zo`"Uaq![q_s6m[1Zg%5[p&4Rbp\++N
+rV?Kgs7[B*o_JCUp\X^Ume?;Ii,jM=mIg)JrfrcCqt<;Lq>0jPf=[lAG%b&Y;H-t;E0@`Vhs^70
+p\+4Np\=RZq>'g[p@\(Lp\44Tq"FaZmf3%O^JT">q=FLRo)JFXr:g?hq"Xg]!;D!~>
+q:OZZq:PMr'@c'ld+u9+eEG;F87L`/i7Zf8fDX7pf07d=h:^6+h;-uEg=Fd,i7m&Ei8WVLgZ@;R
+g?@AShlrZ(Cgg=<6S:o:AoEBnW6N]>g>:W?gZ#S5iRc`=eGe)!g$dW(imOPkRF0sOhVR&Cg=l#K
+rR_)&s4S:DfA,69g>Uc;dbE@-_c^O$e(`O5id?(JgAftFg<[@&L3R**7R0.&8lf2GUq"V$iSEJM
+rnRV3hu;CQg=b'-eCE:,e(iR)gs=.#e^0sF<7B[TiRQK=g"P-4r7Cr$!nc)TJ,~>
+q>:0fs81CF&HD8"p&F*/]?>b8U[A*[rquWio)/@]s84SJpAb0dqu?Qnm/QtYp\jsfrVc`pqt0<g
+Vi,e?Dej!,FaoOO\\uSfqm$+uqu?Nirr3)rp%\I`rtYG)q>^Kor;6?frVlKiQ#H]ns8N#rrr<#t
+!;l`os8<0"qu?WkqY^?l$MF8qrqcHis82]krr)lp0)tD?rr;oMDQs0<qZ$9?B`IAts7=jFS!/;9
+?X$]@AmK5)R^q2Gs6p!drqQ0drqlcpn,31^#PRchrk*`Zs7uTjqZ?Wkqu-Emqg\~>
+q=ag\s7Y%<&HD(pnGhBu[`!JsSETtIq=ja\o(W"Us7\#:nbiFUo`+R_jS\W?nFlJJp@e7To^1hL
+TnRN%B4G:aD01N&Y.;79n"p$R.f],4q>L3_nFQDNqYU0^n+-ANp\"1Mo_/%Hs,(IblM1)Ep%S:W
+p[n+PrqQNf8G;`Pp[n+Oq"XUOoD&(Oo(W(So_%qNp@S%Xjnn]CnBPL=p$qYMo$q:NhY-s5c(pS\
+G@O`S;cmC-AUBWHeF<D$s7uQao)J^`!;>mUrqH`inGi<nHDCK8p\a^dp\+=ZpAju=~>
+q:P\us4GoU&*(pldc8/TR&F=VJBQp+g\oh(fC@PmfDjP(g(;rehrN>?k1\n@jkSM>gtCH]g-j]I
+dEA#7D-Bk7:.ePh?uh-nVlAA$Mq?S3jOVr<i83)7f%T'?iSiM@f\t]CgY1?7gtgQFFAV#HinrSK
+hV[5Fg"4sWf`0Pof%&I*eC<(%f\4d,hVHl;h;[/BgYCZ@h:pu4i7Zl9Zq-).f%8a.\Okr'hWE1l
+MgB>J8No0q5".S,@<n0Ke)/F0gt^N1jS@O#g&KY2da-k+R9YI(g"G*Wg%j;#g&fsZf73~>
+q>:0fs81CF&+]c#jo>@qWKa7+r;ZQfs6BO^qu6Eiqu?[$n*L)Jo`+s`rr3E+s7cHgqu-Nlp[e1V
+rr489h92jtURmg.G%l_nNPW0!Y.rQJo)A[hrr2ccp](9lqZ$Kkrr)lp$iBt`F0koHq>^BjrVZ[#
+rr)fnr;HWpr;HWmrVm!!r;-3`s"=0JqZ$6goP;27s8UiIA9FH5DfL&/D/X?:Mkdl5kl1V]qu-Qp
+qu??^qu$'Ks69I[rr`#`p&Fjcq>:-g!;h9~>
+q=ag\s7Y%<&+0Dsi;3JbUlV1lp]'jWs6B@Yq#:*fpd+cSlKA39mJ?YHq>'m_qXXCSpA"IXo'Z)@
+qZ$N\e\e&NR$*>RBj>n7J$Z8BUp\G"lhC8Op\47En,*+Wo(_kLrq6<`)"[IQBW1b+mecPEoC_hP
+q>0jZp@\+Pp\=[[rq/MRq=jRRnaGl@q"XUWp@\.YoDA%Kl1*nCZL%Vjf:?;aNf@FXD,XnSA8d*i
+ZHV;&qt]s\qu$6ho(DnXoB6&9pBU`sr;-!KnGW1Wq"F^]!;M'~>
+q:P\us4GoU&'s4p_VF1AL2hgIg#LW6j6>4sfDa>#fDjM]gtp;ujO;N5hpgQ@h;$i:g"=m.g"4[!
+f\GKNkL[MRNf/XDH>?YV@;'5?PC&.TZ+eQ=hVJ1c#h7MfkMFtPh;/(es4nOIikn`[jm(L[gY:H;
+h;@)Hg=b03f\,!5r7V,&5hY2XiSWJGg"59Dio/hRhqdAFi76N,f??[NdH';uJ4!:]GY:h64\SUG
+=DWY[[E%.\gtCE;h:^i;e(NI&`S9Y1#NFXtgsjNqhtbt$fEC!`g"4i+~>
+q>:0fs81CF&+oo%nbW:UlLjlGqu6Tjo]lASqu6Eiq[3Ass8Vres7lKkp\t(#rq?6cqY^?lr;-Hk
+p\"7Zq>L7"qX*(be'>t,N-B;Zrc/BjJrlP"bJMB]p\b$ers8T$rO7IGr;ZEfrttb3q"OLZqYL$`
+qYU3cr;Zfqq=sdaq"=O_s8VurqAT80s8Vl/^rsj8Z[-"gAm8bT>'b79G(mB<_>O<HqtL!fqtp3_
+p\ORNq=OO_s8W#ol21e^rVQ<fs8V`er;$6gquHVE~>
+q=ag\s7Y%<&+BJsm.LDFjm_g3pA+OVn*9ZIq#:*fp`05%qZ$0Rs7,dXnb2_Oq=41Op%S:Xp\"IZ
+oC;DNoDS?3n)Da6a25EQJ88h.BP;1#H\n,__n*\=n+?>Pq"ad`qY9aUnuR,pnbhYDs8;ZanF#]1
+o^_SCnac;DnFZMNp$qPAo'P`3qu6TjnF5o8nFH5Fn[Q$D]sOVP<*!7'>[LNTBPqR1Wj0#2qYC!_
+oC)ANp%J%Jo(DS>p@7nSs8N,qq!%MXo_A.Mq>^K`q=j[Xrq?EfJ,~>
+q:P\us4GoU&(0:pcI_+%a3rGef\>03dHT?]fDjMGhUC<Af?i[3gY^W<g=k?3f[n[*g"G!/hqcr;
+g"Y9;rnr(]h9`pAYGe+@Al28n9heD_?Yt.BXJ;f6f\PHIiSrnYj5JkNhO%luh<<>Ek2Y@Re^Mso
+g=tB9g=tE=g"kWGhV-Z:gt1'0jlkpgg=k65g>(Q@f:8>-URI*=3]o\f5XIJ6;HQn.Pae?/jQ#:Z
+gt:HCgY(3.e-agVbh(:qgu./DfBLrnf%Sd*gZ.8?q:YSr"Ph_af@PN~>
+q>:0fs81CF"on>js8MKbrri5prVuo_r;ZZnq>L3jrsn>jmem+Rqu??bp%JC_qu6Elqu6O#qt^-c
+q>:-jrVl`p!<2ut?i9s(qW#`9[AfUPH#@"o=C?)sKS,&<P+&,DXKT!dU;k<rf$M=Q`lZHNdF-1\
+c-FY]cHXeji8EA?e'uXYZ)4+UK6E-,J9l<WDf0?<D.AKkPb+&Ab0AAS_s[R"rr2p-rVHEirVl`l
+qu?Bdqtp?krs/B"p@Rh@s7tpW#QO`"rqc9]rqZKfqu-Emqg\~>
+q=ag\s7Y%<&-)4js7tsVs8Durp@S.WqWdhTq#:*fp^mB'jn7g0qrm_Qn+6&=q=jU^o`4^bpg*Xh
+p\+:Sq>9p[p\Ogbp@J"TrUBRTnCbUfY+h,4FD4lV:fqCSI!^?qMNXF$Uo12>Qb0uFbJh$']YD>&
+a2l-8`Q#s=`l6*Jf\"ZtbKRi3VONd)G\_eUF`1u+ra[X(@p+;?L6..b^rFR7^ZtOZo)/L`o'c)=
+p%J%Lp%e.Np@e:\s8M`loC;24s7Y^O#Q+8iq=X4Iq>'d[pAXddpj`~>
+q:P\us4GoU&)l$einM]4j58kRf[ed4h!*MhfDjM>hW)]0bLtk"gZ?u=e(!1,f[n[(f%AXSg4.o4
+g>(WHhr!GTkN:j_hVmMGh;$PpV4Nj)G@suN5<Lql;.!mFBP_a:K8GSLQ"YfJWi<D0TV8-XVlHi%
+Xfet7['I$B\%K\t^ppn`XItZ/I;r^rBk:XS;c$4^86JJIATDU1Cl,!gYGIu<h:CBDkiCOPg>(QB
+h;$iDeCafS$ejOthq-o<d`onofBLrnh:^K9f?r+&q:YSr"Ph_af@PN~>
+q>:0fs81CF&-)P!s8VoplgaZHs8;]ls6BO^qu6Eiq_I[7s8B6go`+ISqZ$Ecs8W#oqtg-aqtomT
+qu6NfoCW(_rVQHeq=sgdnGiOds8)cqrr2pnqtC'imE<#HVj!L4Mh-(jBkMBuODJE(?r^<4?=IDS
+@:3DNBPqg/DJWs&FEDG8B4u-sB4kmkAR^+>Lm"@1[_0E(s8VN^s8)BfqXXLXqu7W+pAb'js8Dlo
+rquTgrr2]bpA+O^p\=dgp%J@Kr!38roD\ddqZ$Bhq>:-g!;h9~>
+q=ag\s7Y%<&,l4jrVH0_k3VU4qtKaYs6B@Yq#:*fphf?es7iXTmJlM@o_J1Mr;HB`p@\(MpA"+L
+qYg<bo'lVSp\"1MnaQ&BjSo/Lq!e.Tp\=[`p@8+ZkJaa0ToG4qKmRfR@p`eQKje(Q<D$"_<*3:+
+=&r@*?Y3tbARo+YCM[Tk?=75M?!UcC3EoU-GCG@4TrbQ1bP(tqm/?;7rUB.Eo_ngbpA":Dm.g/I
+q"FCTq"F=Pq>'XNnauJJo(2n]nF?;<pBU`hmeQhSp&=d]q"F^]!;M'~>
+q:P\us4GoU&)Z$ehqZf<aNi5fh:^B6j6>7qfDXB>cICq0O`](7dFHt.f[Sg:g"=m+eC<($d+-q/
+h:U</io&_MgtUW;fA4U1j4E,;hV?l@hqm&9j5S=aR$<AIG][_0=&2CY;+Yb%681V\2)dNY5!D(l
+5t=[K=&i3s9i>.t<DH7_9LhK=77B4'5?hH*DgR;(R@UP9jN,d0da$n'ce$e,j58_Ogs=I,g#(ZA
+gYL`Ag">'6e^;jsf%S[*j5SM:g?I8qj4)H1hq-K<q:YSr"Ph_af@PN~>
+q>:0fs81@E%fQ;)qYL6ds8;<XrquNalMU\ZrqZNis8NPpa8V(9r85`ps8VckrVl^*qtTs^qZ$Kg
+o^heSs7lEfrVoFfqu?9cq>^Kls8;KYo_eahoDejbo`+mXs8Dijq"agbrr<#dg!.IV`lH*;^9t)A
+Z*qBdbKS/Odam.,f@/0sp\=R\q>1!eq>V`<s75jPilfj?s8Mrlq>]aXs7-!ds8N&urVHBhs8Vug
+qYg<grVm)os7#d_q#9OU#P\#hqY^<gp\Fa_qu-Emqg\~>
+q=ag\s7Y";%f#bop%A=Ts7bdIq=jIMlM(>RrqZNf&,ZCi_Y8etp"@@Wq>9[Wq#:#:p@InJp](3f
+p%%eQs7H!Zq>0s`q!n@HnF-2Qnbi(HlL4KGs6]dbna?5IkkXuGoCDMGp@e:Yj3GNP^:_.l]!SN5
+SuJm#^;@h*_9(!Me'?.YbO"ZcnF,l:oCqtPp%J1Vqt9gLlf?X1`oHgcp%%eSk48?0n,N:WqY9da
+o*P0iqtBLOq"FFXrr*,js6K7UoD.YF#P.KYp%S7So(i%TpAXddpj`~>
+q:P\us4GlT%bfRjf@Ss1j4VW(gY(**l.Q$erRkE3jN==TCnf\!XP2Rge(i^2g"4g(e'ut)gY(-+
+f%o<:g>1ZEi8NPDjNZ9*hW38Gg!J$mg>M&@j5nnBhqcT8h:pW8g"Y<>jQFk!XJ;VeUnOEKOGJUT
+S#!+aYm%;?]>24qrjY2De^i@'f@\g6h;-lBhr*MIhTaEi]VDRMh:^K4f\jm)iQ^!:inNGKgtCB:
+j5J\>f@nm0gu.,LdcA^(jOW,Nfa$$Wf%8U/f@9WLq:Gi*g=b*0J,~>
+q>:0fs81CF$2s]!rqQ0ds6o^]rrW&mrp'F]qu6Eiq_A-Bs7=usk4@`8qY1$^r:p0frr)]hqYTgQ
+o_84Wo^V\OqY^6eq>(!M^Q"/KjT#)TrVm9!n+$2NrVccpq>C0fq[3&lnGi1Xq>U3err2p#r;-$Y
+qY^BkqZ$?nqYgBlr;Zcp2#R7JqYL6`s8U<YZAs^>q>^*Squ?EOV2V;&s7lKjr;$0eqY'd_qYL3k
+q="+Yg7Fb^s8M9\!;QQn"8r,rqt^0cqu-Emqg\~>
+q=ag\s7Y%<&,>emq=F+Ps6B1Rs8M]`q<I_Nq#C(Ss6fgPe9g'<i2$#8r9sCOpA"IYp%7qPo(DeT
+qt]pUpA"IYp\+:Po@gU)JXkQroCi._s82BQlgjcDp\FRTp@eCV([geVq!IYCp[[tNq>'gYoBYi8
+p\F[^q>Bg`nH8@Tp@nR]!VuTkp+uC6o^h\Mm/-gu[%r5!SaZUGl1b5Ig7*\abkU`#p\+4Mp\+1O
+q"OOYqt01DrmR3tbl-c"#P7uqrV-*^pA+IXpAXddpj`~>
+q:P\us4GoU&),UhgXXa-j36$1j5AP?gZ-ueg-OfIimYJIa4/+dg=P61g=Fp1g"=j)e^r0pe_&R,
+e^E('gY:H8g=OulRV6;a_;s5%i8iqTe]uRpgtgfDh:^T=qqE=Hg!Sd0gXt?7f\>6;gXt--g#(fO
+jlb^^h;@&GgtplDgthtd!T2i7gbdd>g=b08d,<u^RYk]cK@Ju0bhD./_1HBRZej<fh;$]:h:pK5
+g"=s3h:Kp%ijjJ_ZK'^(fa$'dj58PDg=Z5Sq:Gi*g=b*0J,~>
+q>:0fs81CF&,Q5(oDS^]nbrLfqtU'frTa=\qu6Eiq],Y.s8Rh+s8Dtms7--as8Mims8W&prVlcj
+o^qnWq@WZ&q=j^^s8TX#nFk^iQ2:FUrqR$#rVuopq#CBhp](!_qu6O8r;6Nlqu?Ncs7cEgrVlfp
+r;?TprquZjqYL6lr;?Qmrs&K#r;Q]oqu$ILrr)cps8)<9s8V_lJC"/ns6oU-MO!#=]_;9rrVuim
+rVcWnqtKpds7"ik^iFmKHiNp+r!*2tp%n[dqtU*bqu-Emqg\~>
+q=ag\s7Y%<&,#\nmeHhNm.gPWp@J"Rq!.VMq#C(+rU9UZIsh:hr13ZLr:Bm_o_A:Zq"FL[s8;lk
+rVI0&q"FCTqu3mbk3UTANq;r;rq$Znq>:3bo(r7SnbM_Gp&=\op@\1PoDJ1Is7#[Rp@n=Tp%A.T
+p@RtJo()VNo^qkPq"aa[p%A(Rp@S1VqYBp\p@\4UnE@sfroThp`V'',lgW&IMpoDGn+H,CqtKaW
+q=jg^o_/4\le$<iCNjc?r:9+H#64Acp%eCVq"ORWrq?EfJ,~>
+q:P\us4GoU&(fLid+[O-cJ%14f[\X/g>gldg(<2ji8A0Ukhb<OhpL?4i7uo_g'H?^f\5'2e'lnI
+fb*#og=Y'3hVjcFbL*k*EnB!trmqV4gtq2Jf\k`@fAG34g]$#<gtUcCgu[;?k182<g=t?7f\,0?
+hqd)CgY:`Gh;-uIiSWPKgY:Q?gtLZCi8<DIgtUW>e]k8QjNN<]WnH4hcI9"1Ek8*8e_AU0iSE5D
+hV-f=e^r[7cF[2L;-d7,j4N)Nf`pEedb!7-f_F.qfEC!`g"4i+~>
+nb`=as8;lnnbi4[q>Bd[nbi7\)#F:0p$h_Us7uWnp"X0)s7t\ts8)cko`+dc!W2ZkpAOaspAFF[
+q!J*eX8`.prO$%\rquEc&+oo#o)8UcrVH9gnaukVrqZKfr=8l!s8VciqtU'frUp*gq>L9lr;QR0
+rq?BkrmpK:s6ojbq"XO^SWNloQbrdqrqu]k&GlG's7ZKA]6St-l]#QVs8C[Lrql`nrr)fn!;h9~>
+nb2tWs7cNdnb;kQq=jFQnb;nR)#*t)o^DDLr:Tg`n((gbs7+o`rUg!Zn,E1X!;QHfs7m3!r9s[Y
+lMdo]o_n7PY$&p;pCHcnq<n(Wp\FIOqWmSLo(i+Uq=Y<om/?hLp%7eJq=sIRrUg'`s7cNd(\dCn
+o^^/^p\Ek>q=4+Is-AE8^lZ2+meHMer:g3\qTQ<eHCs,I>k7[`g@tU?s7cNf!;?Ed!;M'~>
+n_!ips4RD(n_*`jq:Y;jn_*`j);X&td+7+3f\PW?^.5Bjg;?qNg>:H0iRuo]fDF+uf+6Bbd,W^#
+iK/lKimc\F4g+>/&_#grdG3[6hV?fBdF@=2gtLKRfacf`i82l6f@8L/gXFm7fDXJ(gA]bAgXG!3
+fW`?NhoXI*e^r=1H>DB6FJ%L>q:ZD4h:UW7h6<8K@#<$B7bm"Wg=cJXs4RD*"Ph_af@PN~>
+nb`=as8;lnnbi4[q>Bd[nbi7\)#EaqrVQEap%87Uqhg(,kh9^7s82Nerr;im!W2ZkpAOaupAb!Y
+qZ"^!mec;Lqo<d&r;?0`&-)G&s8)E_pA"@ENQ;)!p%eO]r=8Vss7l3cr;ZWirqlTlqu-Knr;QTn
+r;Zd3o)JaaqsaXbs8Vr8M:DR6Ff=m+r;?Hh&H)P&rUp3_lBZ_qs.=5tqu,7Hrql`nrr)fn!;h9~>
+nb2tWs7cNdnb;kQq=jFQnb;nR)#*Fjr;-*WnaQ>Aon7_hi6l(pq=X:Oq>C*`!;QHfs7m3!s7u'V
+s2KrZn_jH>^hh*^pCI/nq#'jUoCDJAiJ58HqXF%L%eB/io'QAKqXsOWp@e=UrV6Eerq??a'`R7h
+rorn4s7cQnp;2F(orN&)lgsrH&Gc4rqXFOPj,\6Zr0(UKn+PK0rq?BdrqHKerq?EfJ,~>
+n_!ips4RD(n_*`jq:Y;jn_*`j):$ghgXt'+e)&U1Ch;YK]1@&$gXOp3hq?][fDF+uf+6Big<S@2
+WGTi0`T5[I:oj-?&`2-ohq?N1e_&NpD5Z@Ke(WORg&K\#eIKsPhpBR#eCrO,gtCB9g&9\*gAKV=
+g>gE5jNlB!jP/bUfqi;ag6#9ecdqmF&)>aje)\osF]dhhI8A/Ag=k6Zf`0Y(g'$3bg"4i+~>
+nb`=as8;lnnbi4[q>Bd[nbi7\)#F%%qYU-`qu?Ej]4]LjrL[cio(Mt\rpKX\!W2]lq#'puqZ$0e
+pPlTKm-F6@R<RE`rqlZiq>1^&o_ea]p]'sbo$q^8qY0sar;$<krseMus60L_rV6?kqYC-grr)lp
+rqdQ)s7QElpZ'T&aT)&-li4,@s8N&XmJm4arqlZis8<H&r:'^cpND&aqNH[6p&3VBrql`nrr)fn
+!;h9~>
+nb2tWs7cNdnb;kQq=jFQnb;nR)#*[rq>0gVp\s^_[:./Vop9.Mm-s`Jq<@bM!VlKiqYg4#p@nUT
+s71uMkN1djp6'IIrV-9cq=bEunG*"PoDA+Pm*BG!p%%nJpCI0$lh^P=q>'gWq#'gWq=jm`s7cNd
+([_7gpAXC._4nUBna5N;Wdjs@ptOs-s8D]jp^mB%p%dqLq!`'@n*PdOr93k.p\smdp\spfpAXdd
+pj`~>
+n_!ips4RD(n_*`jq:Y;jn_*`j);!NqgtC96j4WXe8[I^?J4Ro4f%K$;bh:\HfDX7tf+-HmdGrbm
+PKV(hce<PB\aeAai7$H>e(3C+gsWT,]@bZgrRq/$q9ol+h8e+!^=Cihf%]*7fA,*Zg]-",fb`&s
+d+dX/];LIZjOMZ#hi2+'gYBQdh;nCc&Dc*lg<SL1el?&3g2U`ke_8a1rn.8(rn7M1g=b*0J,~>
+nb`=as8;lnnbi4[q>Bd[nbi7\)#F:,nb2qZqu-*]>))q>s)rJD]&3MerUp$b!rMfgr:pp$qXjgd
+s1ails*SFRZ\?BurVQQhq>1]ur;?<`s8W#prQ'uup\"R^r;$9nli6YTrr39"s82ZmqtL-drr)lp
+rqdN-rr)l`R]"QodJ<hBr;W(Ls6Tdbq<dePqu-?iq@3Juq"`fX](>Z@U"P"qgALsIs8;lprVQZm
+J,~>
+nb2tWs7cNdnb;kQq=jFQnb;nR)#+((nFcVPp\F1I<.OT"s))]0[+Y9Oq!e.S!r2Tfr:pp!p[A"S
+s146Ys)h\=XF@t`rV-9cq=bEmq"XIPs8VlfpVM^bo'l\UpAk!apCHB^n+H_[s7?-]p&=[UrUg*a
+s7cNd(\7=lpY_("_q;rsq>'gbP*5b)q=jIDmeunYq#C1#p\jXRo%7*Kk3?WBaE%".p\smdp\spf
+pAXddpj`~>
+n_!ips4RD(n_*`jq:Y;jn_*`j)<9AtfA,-9hUL:BB\q#!=&m/,^YIZ"e(NFOfDa>!f+?WfdGEX;
+ST<0>=[R_$@\_lOg(2ijgXas8jP/JGW,:MDe)L>Zrmq/#q9okjf#uIrg>104g">9:e_o'Yg]-",
+fb`5of\FJgJ#U/_eD8s8iH9;$akb_&bL-1?!87A(%GoUcfY0_@e(7]Q\6mtDg&BY(g&B\.gtLH5
+f73~>
+nb`=as8;lnnbi4[q>Bd[nbi7\)#F("o_JL`p%&-V:sAh7r2b+V_!:sjq#C0f!W2]jq\&i*s8;]Z
+PKNgggN\'_g].*Hqt'Uop&=[Xs7kpSrVrUWp@SC]qYL9jq>Cj(oDeLTs7#1Gs7cQlp](!er;ZZo
+qAT82li7!AIFS;s_U&/Po^\u@nc/CQs8W)qqtp0jp@\4[rsJbD>LNQ2FP=R@rS%2Kqu?TnrVcWo
+qg\~>
+nb2tWs7cNdnb;kQq=jFQnb;nR)#*^ooD&1Vna?FH9#gJpoV?K:]&`eVoD\R[!VlKgp_*>rq=X=?
+N55,He8]SEf)517p[e.jo_nITs7bgPq>[%Ko'lYQqY9j[&-)%sn*U/?i:Hm=r;-'co`"[dq#C(*
+pAO(PqL*A'o_u;<p$M8:V24F:n`p&Oq>'dsp@\+YrVQ?&:r`+T@`Y^Np=f9?pAamdp]1$epAju=~>
+n_!ips4RD(n_*`jq:Y;jn_*]i(t@*ihqZf3k^t^rhV[4M=e;;/hpBs5g"H/PrRhb9gYLW:bAsN8
+a1,,O9Y''4q:bYt&_5ahe`,6)f\Y_@FOejtf\+sTfD3r-hojp%bMUCVe_Sd3gXY95rn@D*rn&%G
+aQ25g=01-:S>t8ie'Wtdc/[<thVd/afauZ^eDT9Ah4m$8i5/I)TU=Ngg&BY(g&B\.gtLH5f73~>
+nb`=as8;lnnbi4[q>Bd[nbi7\"o@ofr;$6hrt"p;HiNg>rUe+hq#CBhq"smbr;6Kk&c_k0s2f!'
+rr;lhs*UL>q"ss[q%*Aso`"^=cL1_^H+j1Js8)Qgq>Ciis3m3P^AWiBs7cEjpAaper;ZZnq??fs
+s3GW=rr3(t`rGu9rs=7cs8Dfkqt^-dqtUg#q"FUbs8/NsmdRo-Q*06KgALsIs8;lprVQZmJ,~>
+nb2tWs7cNdnb;kQq=jFQnb;nR)#*RqqtTp_s8V[uFo:\-p$BKLo(i4ToCi"Sr:p9c&c27rr4cU[
+o_\:Ls*'t3oCr"Np^d5poDSL9c0bPXFh.>:r:g$^q=Y?[r61.8\+YF*rq-!aoDeL_q>^6hpD<N"
+ou1FfpAX`R]`7[%s878Ks7Z-Zp@S1U&Gu7oq#($]Ro85'X^$LIeb.Yjrq?BdrqHKerq?EfJ,~>
+n_!ips4RD(n_*`jq:Y;jn_*`j(=_'og>(WIjkE=5k1T%XeYp@;hr!#9rn7,!rRq5)&)Q'sihf2K
+gY^Z4jB@#kf(n%qfb)ujeDAogY0Q%7=Ie0ph:UE6qq(Ys&'*S2E(ueSA@^UJg"t6:f)FD'g&BV?
+g#(M`8[dF8gOQ!Yg"tfI?BaC%f@\a,pt62/db!C5g4;B3d%*pSO2]o.g&BY(g&B\.gtLH5f73~>
+nb`=as8;lnnbi4[q>Bd[nbi7\(]+(0r:Tpcman"4[Josnq>^*`qXsX`qt'abr=T)&s8A[>aT)&8
+s6Ykts8VunoD&pqnGW!u]\Mo:KmiXop@eL]qt^1$s3ZkAJq!a6ZiBmts7H<frqufnrq[N-s7M8?
+s8Mo_I^AD@s7>a@f_>=DoC)VSqtp3hr=8VqrVQ5;<r`*re@4ZAs4[DMqu?TnrVcWoqg\~>
+nb2tWs7cNdnb;kQq=jFQnb;nR(\d_(qt0UYlI2(uYP@VRnbDPEo^DDOp@J%Xp(@/ep[XVh]`7O%
+s6,>er;66_oCrjon,2dq]A)]3JU-eco(2bSq"aUos2p,,H[#M#Y5J%fs7-!]rqZThrq@6!s6G2t
+rp]=6EiJ0qrU9+1dIR&0md0cFq#C:&p%%nOm<M>&m-MQ`eFE4cp\smdp\spfpAXddpj`~>
+n_!ips4RD(n_*`jq:Y;jn_*`j);F*,f\><2\plf0inN)?iRZ`:e^ia5g=b0VfDXD$g(3/jiS8re
+VWQFhjNDCHhqn1_q:QG;d,!3JS@m+cA6dXFe^WC-g"4jTeH+:UqV2VDY\ft??07Z>h:U?<dbNOT
+gAfk*fGE*!ct.F^f$hZANlg)7da,b:eCi^*c.`!Hs4\%5dG*@'?Sq''gp<BiiS</?rn.8(rn7M1
+g=b*0J,~>
+nb`=as8;lnnbi4[q>Bd[nbi4[!;QQh'E@O'B4>?MnGiOWs7cQhs8)ccs7Q<gr=Ar#s3Q;<eGoOB
+pA^&(s7cNi*;TL-qt^-bqt^-bqt^*Xs5/jDs7W^"T`4]_qtU!aqu$Km&,O31_eR!^Ng'D?q>^!]
+s8Mrrqu?L0qu>s]G,k04s2&j3p&FaVs8;ono_\[frVl[/q>:!bq=jpfq>^KhFC=nDs7H?gs8C[L
+rql`nrr)fn!;h9~>
+nb2tWs7cNdnb;kQq=jFQnb;kQ(\ILqp&+-T@pE:=lMpnIr:0gYqt9mRrq6$ap(.#ep;V9jb4YMu
+nc+>nqt'g]"8MWcp\=Lop[A.=MmNHTX]1heoCr"Pq=jsaqt:Too"3tp@^to_NqrSGs6fXZrqZTh
+s7[B(s5X,qT]u"B\7s@YrUK=Up\a^QpAFgaq=kNnr;--cqs\H&m.:#5p$2>Gg@tU?s7cNf!;?Ed
+!;M'~>
+n_!ips4RD(n_*`jq:Y;jn_*`j);!Tpf\t2;84#Z,dcfoAjk&SHhUp`3iRuo]fDXD$g(3&hh5st[
+Z/"*`eDt=QhU_MVq:QD5d,VlWPiL8T3J$)?g=k-2f@TuO!S?'&g^r>sUs5].U"O:&g>(<>ce.(Q
+gAfk*fGEVhjACWVfAE,o[aO*`dGij:f?r7-gtVYX&C]CefAGH7;a8jkjj`DGjkAGArn.8(rn7M1
+g=b*0J,~>
+g&1[Cg&1[Cs8;lp$N0etYFD]Ys8;Wkl22(lhu8b-qq]3\s6m[RgAh*Mq],J0qYU-equ$?hqu$?k
+qt%UWkkY%?;<[rVs7cQir;-<jr!rQ&s*9M$jDU+ZpAb0ds7lL&s8DZ!h#.2l@'K;%p&+jcpA5R#
+qtg3dp\Y!as8N$sJcGW@s7cQeiVW$?!;h9~>
+g%Y=9g%Y=9!VcEhp^6chor==Wj8\lEs697gs4[4)Pk<P?m/Q@]IF\2grq7?+p@n:Tp\=LXp\=LX
+s7l#qJE?FqOA"U,p\sa[rqH<bqtCWpoD/<*K(du5MZ<5FqXOFWpCI5tnZLF8s1_^9mJ-2Fr:K^V
+'_h=qp@n.OrUKg]s%[n>o^DeKs6nq?nb3%Wrq?EfJ,~>
+g"H2Rg"H2R!87A*%bo^jfSt08`oPk(jP&;@m+Dp0^"[FLfXdd%j34!"\(o[4f_O2;in;\M@`I!N
+Fu.:thrN>Cg"4j+e^N!tg&'J6gtCTE=_lp6:2St=hqZ]9pt628g=)1of]/\gN6p;,g"t<MfFQKa
+hp^H:iA"Zuf[Jp4k0r;An_"'#g=b*0J,~>
+g&1[Cg&1[C!;ufo$N0ets7l<fs8)B`l22(es1W="s6o3S`fu=`p%/.Xqt^.#nGiBaDX[W)BSQQb
+pAFs^qY^BjrqZNi%eK_]E5;1->gr-5p[nLcq"tZps82\pn]YgHg&M*HrVuW^qu?[*qt'[_`F"`*
+s7uT_s7bLLmJHt]J,~>
+g%Y=9g%Y=9!;HHe$MX8es7>d\s7PjQl1Y_[s1)dhs6A[D_2j8LnF$)IpA+Fpli6[RC$P`o@Y"LP
+nFlnMp\4U\!;ZNes7[#jqVGtsmY4`el0n33r;HEb&+BJjp8@8tB;*iPqXXFXo'uDar;--Tp%Z=+
+Mtm5Bp[%qNiV)g9!;?Ed!;M'~>
+g"H2Rg"H2R!87>)$JF(`j42W;j4D]0l.HTtj-rWGj35N#UN'n)da6_Df_O2;c/[H19?cGO8o!VI
+f\GQ7g"4d)e'laofDO>%g()Ti`)*/ZD`b5IdF?S#htYk8dGNU/M9`(lK=9UkeCr^-n^nB/gt:!*
+g7g]Hg>:E6cJm@4f^[VtgtLH5f73~>
+g&1[Cg&1[C!;ufo$N0etqu?]lp\Y!jl21tSs+?R9s763gle^aprr;fkq>C9m%I^g(s72h/iSUj5
+p\Fjcr;ZZnq>L1$s7;k(qsIgls53kVp&Fp]q>:d'oCW(Jd^?+Br;Z]irr;faqZ?Nfq>UC#KPGn\
+p](3drq>=JmJHt]J,~>
+g%Y=9g%Y=9!;HHe$MX8epA4XXo(MqWl1Y_Ls*g%+qsF=Vk1S\\s8W&npA+FpqZ#ieU&XMLFPGKJ
+naZ8Op\4U\!;ZNes7['(m?qh_k#\AYgAh3Bs7YpWpCI2in,MLoYbgRXrqH$[qXj=O&+]Abqu$;?
+ATu;fqY9XWn_s33pAjpdpAju=~>
+g"H2Rg"H2R!87>)$JF(`f\G95eC`R4l.HTeia?c^h9Xs3aLf=9j5]%mf_O2;gu6JBKB(:,>fFOA
+g"4j8g"4d)e'laofDO>%g(3;oIoG.K5`4X8j5JGGf[9NJ&)P[\j2\?dLW\<.g""j4f(%B'eCN4,
+hV;O0=fg-.g=4m+iRm\R"Ph_af@PN~>
+T`"ce$N0eto)8Ubp\b$el22(l^hr<5r:Bpfmf3=^li-JFr"&]'rS=9TL0S)nTqMGbli6hZs82fk
+rVI*)l>r0df1`0aYlFatrVQBfs8!3)jo=ZEqZ$TkpA+[drUKgcrXJf)mbMYsQbrIrqu6Ngc27S=
+J,~>
+T_JE[$MX8emJ-VPo(VtQl1Y_b]4g7!p[7kWl2UeTk5"E7pCHumpt24@JQH!XS!sBPk5>5QrV-Bg
+qtU3c%fbU,NUtIaU;Eu-qXXFTq"Og]%KGAdk4eQKqXj=Mq"a^Tp]($up\F(+AnmLBnbr1Wp[cf,
+!;?Ed!;M'~>
+T\9:t$JF(`ce@7-eCiU.l.HU&SP$lSg!JL6bMhL3aP5&2fbE)mg:Dir@lcoDK7`7Bakte'f@AFN
+dfA"tg&Kb9k/pVDgpeqlV2a9ceCrRMg&KY5j20itg"53<f$i4(gY22Ns4\"9gWR0!9QZoUhq6]:
+e^<%QgtLH5f73~>
+T`"ce!rVrlr;Qirq"<nL&,L=+s7?9iqt0men,NFcs7-!tp@SCabJ_s.QBTPcrq?BdqY^BjrqZNi
+&+IbWebSioM5nSlq>^-ds7uR#s7H?kn,NF_s7uBarqlcpnb`Ibqu6Tp$2")amf3=Yr;6K<quHVE~>
+T_JE[$MX8equ$EjqY0UNl1Y_]D2A/Ys7uBWq>'=UqY1$[pCHf_rV=IJd.WQ\`p`]lrUTs^pA"[^
+&*h,Ecgg@QJu-<Vo_e4RqYBjnqsXF^lMU\RqXj=Mrq?Efnb3RepA+^es6oXIl2UYKp\+F1pAjpd
+pAju=~>
+T\9:t$JF(`h;7&GgtC6+l.HU!:MSe6iS3#4gY9s4gtC]Wfbi2chqP*'ZIsDDY1MO]i76N4f@AF#
+e(*(Jg&Kb:d&TdHg=9qOLniSQhU:-5q:Q/3dG<j,hW*/Af$i4Lf`9arfal]egYh#KdFZ[ein_u7
+f\=g,"Ph_af@PN~>
+g&1[Eg&1[E!;ufo$N0etqXa:QrVc`ql22'nADHqXqtpEls8VTgq>L!^rV?@%s8McjnaQ;Qs5*eU
+mIpS[qY^BjrqZNi!r@p_rr3;ke`6]0qZ$<hqYC%"s7bp\qY]g]r;?Qos8;]hnbrIe$2XD]s7u]m
+s8Mfmro*hCquHVE~>
+g%Y=;g%Y=;!;HHe$MX8ep$V5=q"X[_l1Y^d?e=lDp@e@XqYogZo_@qOq"aXps7u6[m-F6@rn.8N
+kOANKrV-']s7[&rLfaHJs5_J^s8Vclo(htSpCI8okl:>MlM:2Kq>:'`o_%bL%/Tr"p%%5Eo`+[`
+q=FU]iV;s;!;?Ed!;M'~>
+g"H2Tg"H2T!87>)$JF(`f?hjog=k<<l.HT(6+PM!f\#!5gu-H7f%SRJgA0D=j4i):cHXksjM:!A
+c.:t4g"G!/e^`.!fDO>$g(&!`i8NnE[)(e]fAkB8fD4)1i7,p0f@eC&g"G-9h:^B2n_+E,hqco6
+a5bb2g"tK6rnHDcn_"'#g=b*0J,~>
+g&1[Eg&1[E!;ufo$N0ets8W)srr;usl22'aWrMkoo^r.^nc/XWp&Fa]rV??lme?_\$3'u"qYU9f
+s8Vihr;ZZnq>L1$o4EOPo(W1anc/1Pq>L?lq>:Zhs8V!Vs8Duqs8W)rrql6a!:p-f#QOJsr:'@N
+rVlfsqVhD?quHVE~>
+g%Y=;g%Y=;!;HHe$MX8erVQEcq>0p_l1Y^WV>p/bn*g)Jm/R%KnGi%Sq"aXol14]NrV??^o_&"N
+qZ$-ap\4I_pCHY!HMHdop\X=WmI0]BqtU!]%-dfkgA_-IqtKsaq=jm^nb<+OrqHm$nGi7Kn*g&M
+qYKmDq!n(YpAXddpj`~>
+g"H2Tg"H2T!87>)$JF(`hqd&@gYCQ<l.HSpLZ-e?dF$_'cK!g*dc8gPgA0D8bLG>,hqQu<g=tK;
+i8`AAg"G!/rRCo"r7V,(&(=!UhUC-8iQpQ1dFR%-gA0D1bN%Nni8`PIg"bE<g&BXog&TIug'cog
+iRuK'dG!L5gt1N=n_"'#g=b*0J,~>
+g&1[Eg&1[E!;ufo$N0etnbiFaq>U<al22(cs6Ta[s8Mols7c-bs7lThrV?Bkrs\f"r;-Hhr;HEj
+qYC0er;ZZnq>L1$UKc4Ip](9br;ZZoo`+[[q>:d'pA4ggoD&=[qtg$Zqu?]dr=Af*p@J=^nGiIe
+q>C9erVGLOmJHt]J,~>
+g%Y=;g%Y=;!;HHe$MX8em.^DNo_J7Ml1Y_Yr9*nIrqZ9\rUTCVrq#s]q"aXoqY^'Yp\"IVp\47U
+p%8.Yp\=O`pCEfpc26u,qs=(RpAaUXo()VN&-)1ms7u*Sq=F=QnaQ8KqXO=kpAXUMs7bjWq#C!\
+qssOTiV;s;!;?Ed!;M'~>
+g"H2Tg"H2T!87>)$JF(`cIq%+f%\m*l.HTrhT=O&i7lo9hpg$4i76TXgA0D6gtp]6g"5*3g>1E?
+f[o!6g"HAVs4%,$qq;#'%tcsMiRm5Pdb<L/j3cZ3eG7c.j3uW>gX+L*e_&L&db*@1n_+N+i7$'4
+g!/C-j4;o>eCrO5g@<i!gtLH5f73~>
+WVlShq>C6gs80"t&GuFrqu6WloDWuBs8)Egq#??O!;h9~>
+WV?5^q=jm]s7WYj&GZ+kqYg?dn+q'.qXj1PnGA@B!;?Ed!;M'~>
+WS.+"q:Yc!s4G'=qqCu$r7;M7dG*O6f[ASX5iCAIjOrMGP1]ung=b*0J,~>
+WVlShq>C6gs80"t$N'l!p@e=^pss,?rVloopPo(Nqg\~>
+WV?5^q=jm]s7WYj&GZ1up%A%Xo[73+s82iknaM\8!;?Ed!;M'~>
+WS.+"q:Yc!s4G'=qqCr#rRVV:g"+a+hq,8,E9?-CiS)l:P1]ung=b*0J,~>
+WVlShq>C6gs80"t&GuD*oC_hWp76uis60ILs8S)V!;h9~>
+WV?5^q=jm]s7WYj&GZ)$o(;PRnsP'Uq;V,0rVr#S!;?Ed!;M'~>
+WS.+"q:Yc!s4FL-&DH'ke^WO-HtTnFaPY;*k1Z!O"Ph_af@PN~>
+q>7Gpq>:!crqcZlYP\t/p&=R^pA+64JCOJls7QE`NVieRJ,~>
+q=_)fq=aXYrq6<bYP/V'o)8.XoChR&HHu3Ts6]UJOnSkLrq?EfJ,~>
+q:Mt*q:PMrrn%2&Y1XB8hUC?2f?e&9[+j9tf&>'2P1]ung=b*0J,~>
+q>7Gpq>:!crqcZlYP\h+o_J+Yo^DUTBTU^3rr2upNVieRJ,~>
+q=_)fq=aXYrq6<bY4iIsq""ITm.I2aMTtD^qZ$/LpAjpdpAju=~>
+q:Mt*q:PMrrn%2&[+Y?1&CT7\j3l3)Le)Kkcf='Lg"MVB"Ph_af@PN~>
+q>.Aoq>:!crqcZlYPeFt%efJnoC2eAs6]jdo)/OeNVieRJ,~>
+q=V#eq=aXYrq6<bY4iG$p$r(OmJl/FkPtPHo_O[D!;?Ed!;M'~>
+q:Dn)q:PMrrn%2&[+Y?1&D>X_iR,s3`9,>,jO;rFh:e%F"Ph_af@PN~>
+q>.Aoq>:!crqcZlYP\V%s7Z3bp\Fgg#4MKioD\deNVieRJ,~>
+q=V#eq=aXYrq6<bY4iJ)p%J:TpAb-ll1Xr=pA+?CpAjpdpAju=~>
+q:Dn)q:PMrrn%2&^=iJ:qq:l#&Dbphgst$;iTAJAhpgQCg=h_C"Ph_af@PN~>
+q>.Aoq>:!crqcZlY5Ah0pAY$is8)]fr:p<ks8VeOr."~>
+q=V#eq=aXYrq6<bZM,%+p\+@Xp%nL\rq?0Wp@A%Qp\F9<p](#=~>
+q:Mt+q:YStrn.8(^=rP=q:ZM;g>(E<fA56<iS!)=gt:NAi8W:Kg&p$[e^]0~>
+nb_kSnbr"Unbq_Ms7m*"qtp<irVZWnrVQHgnGN+\q>8hB!;kgS\c(djrr)lpJ,~>
+nb)GGnb;SInb;;As76Zkp%A%Qp\+@Vp\"1OnFl\Pq=WD6!;GOI\bG=]s7cQgJ,~>
+n_<Thn_N`jn_NHbs4Ih7gY:N>h;$iCh:pZ<nD*iqq:j`\!oD_hq:tc%n_C\2l.cEpf@A@!J,~>
+nb_kSnbr"Unbq_Ms7m*"qtp<irVQQlr;-6cnGN+\q>7`#\c(dj"TAB!rVV0~>
+nb)GGnb;SInb;;As76Zkp%A%Qp\":Tp@RtKnFl\Pq=V;l\bGC_"o%`ap\=N6~>
+n_<Thn_N`jn_NHbs4Ih7gY:N>h:pcAgtLH8nD*iqq:iI8\_ZQ+"kqY]e'cZp~>
+nb_kSnbr"Unbq_Ms7m-#qtp<irVHHjr;-6bqsjU[rV??$r42djr;HQor."~>
+nb2MInbDYKnbDACs7?cnp@e7Uq"=CVp\"1Np@7nQq"aWopUU(`pAjpdpAju=~>
+n_!Bbn_3Ndn_36\s4.Y2f\"m2g=P$3g"4g+f^[YjgA0C3ft#i#f`TjVe'ig~>
+nb]Thq>:0fs82fn#Q">qqt^$_qW[qRqgn[ur;QZpr."~>
+E;'&"p\+@Tp\+@Tp\+@Tp\4IWq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"FIUp\+@Tp\"7Qp\+CVq"=X\rq%B-
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp@n:Tp@n:TpODu4q"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"H<6p\=LXp\=LXp\=LXp\=LX
+p\=LXp\=LXp\=LXp\=LXp\=LXp\4CTp\=N6~>
+FOnsmeCN.#eCN.#eCN.#eCW7&e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'
+e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^i7$eCN.#eCE$ueCN1%e^`1$eC8uq
+eC3%"f@AL'f@AL'f@AL'f@AL'f@AL'f@AI%f$r:#f$r=%f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'
+f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'
+f@AL'f@AJKe^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'
+e^r@'e^r@'e^r@'e^r@'e^r@'e^rF+g"4d)J,~>
+nbTNfq>1-erVHQk#Pn5nqY9g[q<@ePqLSOsqu$AB~>
+E;0/%q"ORXq"ORXq"ORXq"X[[q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\
+q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=j[Yq"ORXq"FIVq"ORYq=ag_rq.H/
+q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\p\=LXp\=LXpj`,7q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\
+q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\
+q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=lB6q"a^\q"a^\q"a^\q"a^\
+q"a^\q"a^\q"a^\q"a^\q"a^\q"XUWrqCp~>
+FO\agdaZ^pdaZ^pdaZ^pdacgse()pte()pte()pte()pte()pte()pte()pte()pte()pte()pt
+e()pte()pte()pte()pte()pte()pte()pte()pte()pte'ugqdaZ^pdaQUndaZ^qe'laqdaEWk
+da?Uoe^N'te^N'te^N'te^N'te^N'te^N$reC)jpeC)mre^N'te^N'te^N'te^N'te^N'te^N't
+e^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N'te^N't
+e^N'te^N&Ee()pte()pte()pte()pte()pte()pte()pte()pte()pte()pte()pte()pte()pt
+e()pte()pte()pte()pte()pte(*((gtC<2J,~>
+nbVeQnbVeQnbVeQq>'j_#Pn8pqt^$^qXOIQqRQL6qW[nVr;ZYE~>
+nb;SKnb;SKnb;SKq=aXY#PRrgq"FCRp[S%KpUU(0pZ_JPp&Xp_J,~>
+n^R*Zn^R*Zn^R*Zq:#/h#Lh5Se^MspeFD)Ze@F,?eEYQffA>B>g=^u~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat15.ps b/books/ps/quat15.ps
new file mode 100755
index 0000000..ac011be
--- /dev/null
+++ b/books/ps/quat15.ps
@@ -0,0 +1,812 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait15.ps
+%%CreationDate: Tue Dec 26 13:37:57 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 159 118
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 103.500000 translate
+144.750000 -103.500000 scale
+% Image geometry
+193 138 8
+% Transformation matrix
+[ 193 0 0 138 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 193 string def
+/gstr 193 string def
+/bstr 193 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        45058 ASCII Bytes
+colorimage
+\bu:#q>C*d$Ms_uq=s^Yq"a^[qtg*bs8;oqs89\0!;_3~>
+\bGpnq=jaZ#l";qqYBp]p\=^]o_/=Zs7lWgs7X>(!;M'~>
+n^kn9q:PMrq:Gr,g=Y$.f%A[Sf_sLuf`0Y)gAfk+f#,u<da*F~>
+\bu:#q>C*d$MsDepA"I[qtp0`qtg*bs8;oqs89\0!;_3~>
+\bGpnq=jaZ#l!uap\F[_qYL0bo_/=Zs7lWgs7X>(!;M'~>
+n^kn9q:PMrq:Gr#e(*(&g"Y9[f_sLuf`0Y)gAfk+f#,u<da*F~>
+\bu:#q>C*d#Q"8lqu$?fq>U0dqY9sfr;Z`qr4r10qLA~>
+\bGpnq=jaZ#P\&jqu$<dq#'mYpAameq#C*gp;6P(pj`~>
+n^kn9q:PMrq:Go'f\,!5g=cDVrRptus4RG+s4RG'_pe_8c[Y~>
+\bu:#q>C*d$MsYrqYBs^p\+CWqtg*bs8;oqs89\0!;_3~>
+\bGpnq=jaZ#l"2lq=saZp@\CYo_/=Zs7lWgs7X>(!;M'~>
+n^kn9q:PMrq:Gr,f\5$3f[n^Qf_sLuf`0Y)gAfk+f#,u<da*F~>
+\bu:#q>C'c#Pn/hp\=U`rqZEcqu?TorVuf2qZ-JC~>
+\bGpnq=j[X#5.TZo_/+Wq=j[Xs7cQgs7cQe_Y4'*J,~>
+n^kn9q:PMrq:G]!rmh2'g"bEQf`0Y)gAfk+f#,u<da*F~>
+\bu:#q>C'cs8N)trqlfqrqZEcqu?TorVuf2qZ-JC~>
+\bGpnq=j^Y!rVrkrqHNiqYBm\pAameq#C*gp;6P(pj`~>
+n^kn9q:PMrq:Gc+hVA+b!SlN#f`0Y)gAfk+f#,u<da*F~>
+\bu:#q>C'c#5.`dr;HTkr;-Ef!;cKfs8;oqs89\0!;_3~>
+\bGpnq=j^Y"7YjPpAXgcpA=UZpAameq#C*gp;6P(pj`~>
+n^kn9q:PMrq:Go#f@es8h:hk]o%<uqs4[M+s45*;!Rf;E~>
+\bu:#q>C'c#11u^me6PUr;-Beq"t*hs8Duq_#"-.J,~>
+\bGpnq=j^Y"j56Jkj\9DpA=UZpAameq#C*gp;6P(pj`~>
+n^kn9q:PMrqUc&+Yd_Kpf%]!Zg%*eqg&Ke+g&KX@e,e"DJ,~>
+g&1[CpAFsfrqcHfq>C'c(]X%%s82ihb'-g(A:[g"U@n?Vr:]^[p\F^^r5&71qLA~>
+g%Y=9p@nU\rq6*\q=j^Y(B*Umrq?6Y`G\F]>^91[SFQ:Dq"=1Tq"FOX!;=;(!;M'~>
+n^m$Yq:PDos4I>&q:PMrq:HM@cI_",h9r6(2,?YM2bntSf[eg.dbWONf_X8%f@Ijh!Rf;E~>
+g&1[CpAFsfrqcHfq>C'c)#a4/s7Z9fo([6<s8VD!<36)rrr;H_oD8=\q>A)+!;_3~>
+g%Y=9p@nU\rq6*\q=j^Y)#3\!rUKOUlg8=iqXifV:8[m^qZ$!Yo(W"Sq=am__Y4'*J,~>
+n^m$Yq:PDos4I>&q:PMrq:HM;eD9$2f%\O&;b6!+bXs^Nh:g]Fce6eCf_X8%f@Ijh!Rf;E~>
+g&1[CpAFsfrqcHfq>C'c)#aC3rV-!_s7p8ls7ZJl?tT<1o`+@Tq>0sbq>A)+!;_3~>
+g%Y=9p@nU\rq6*\q=j^Y)#3k$q"!qKrU*gEp?V[N>%%$pnGhnPq=jaZq=am__Y4'*J,~>
+n^m$Yq:PDos4I>&q:PMrq:HM;g"Y61db3U589a(Fk))DngXaj6cIgbEf_X8%f@Ijh!Rf;E~>
+g&1[CpAFsfrqcHfq>C'c)#sR.q#C0\ppai"o`+m&5(3>,mJcbRrqcKgq>A)+!;_3~>
+g%Y=9p@nU\rq6*\q=j^Y)#O*uoDA1InZ,^IkP4VQ2L"iil2C5MrqH9_q=am__Y4'*J,~>
+n^m$Yq:PDos4I>&q:PMrq:HM>g=+U.f$Dm67EsEHhO>TmgYC$0eC`RPf_X8%f@Ijh!Rf;E~>
+g&1[CpAFsfrqcHfq>C'c)#sR.q#C<cq2TXps8:)nEn10ho^r.TpA4X_q>A)+!;_3~>
+g%Y=9p@nU\rq6*\q=j^Y)#F$toDJCQnptE<rU7RIC<u\TnFQYPp@nFWq=am__Y4'*J,~>
+n^m$Yq:PDos4I>&q:PMrq:HM=g=+U/g="Vm=53)uX^Y5:hW3/8gsadKf_X8%f@Ijh!Rf;E~>
+g&1[CpAFsfrqcHfq>C'c)#=+0r;-Ems+uH9SpOROoDe=[qXX[XnbW+Zq>A)+!;_3~>
+g%Y=9p@nU\rq6*\q=j^Y)"dS!p\"@\qK[.WNc%Koli$,Kp[S:Unb;nRq=am__Y4'*J,~>
+n^m$Yq:PDos4I>&q:PMrq:HM7g"b94gY^q'B9[mO3_.][d,`j-iR6'Jf_X8%f@Ijh!Rf;E~>
+g&1[CpAFsfrqcHfq>C$b(]"+1p&G'RFMRnMs1E<Ds6fUVpAF[YqYL*br5&71qLA~>
+g%Y=9p@nU\rq6*\q=j[X(\IV#nGE(=A?P:^oWMhnq<7DCp&4[Zp\OUZpAjp(pAju=~>
+n^m$Yq:PDos4I>&q:PMrpt-A5h:pB6gr*0di7R(];1[WMe^rC,f$sNJqUko$f#,u<da*F~>
+g&1[CpAFsfrq]@dqYU-dqYU-equ$?hqu$?gqYU-dqYU-hoD8@Ys6m@=kl1V^i+6^%s7Q3an+lkW
+qYU-dqYU-equ$?hqu$?gqYU-dqYU-dqYU-dqTo$=qLA~>
+g%Y=9p@nU\rq/MLp\+@Tp\+@Uq"ORXq"ORWp\+@Tp\+@ZnFcSIs6?b$f^AP.eQQJVs7,m]nG<%V
+p\+@Tp\+@Uq"ORXq"OR"pAju=~>
+n(.s#f@ed/f@ed/f@edMg%j82g"4p/g"4p/g"4p.f[\U*qUbf!q:GYt*SArqf%AR1ce$duhTV-`
+aPZ1@_*guPj4)c8cIghGf(mq7e,e"DJ,~>
+_>@%)q"jd^q"jd^q"jd^q"jdaq=sXWp\ap_s7--`n,J;es7u]hq,qM4p@nL[nFQYWq=aCQp\asc
+q"jd^q"jd^q"jd^q"jd^q"jd^q"jj7qZ-JC~>
+n+R4`p\+@Tp\+@Tp\+@Lp($ijp\+@Tp\+@Tp\+@TpAFYFq"ORXq"X[[q=sd^q=XFQp\F^Ys6fpZ
+n,.uXqsjLOoMfK#p%J=Zo(E%\q=F1Kp\Fa]q"ORXq"ORY"o%fdq"OR0pAju=~>
+n'hfteCN.#eCN.#eCN.#f(%B'f$r:#f$r:#f$r:#f$r:%rRh,#s4%(sr6ZnDe^W!qe(E:$hp('-
+bM-Z-iS*2?f/H=Wf%8X-c-Y4te^2Uge(31JeG.JheGn+Je,e"DJ,~>
+_YaB0o(XU'p%n^gr:TLJrT<\Fs6jlhm-juQfQClro(MeQqtBIMp\b'kr:]^GpsJs=qLA~>
+iV2j8n+Z\RqtVW1p%n^gr:TLJrT<\Fs6jc`kN`*Bdr8mbo(MeQrV5mSp\b'kr:]^Vp]1-]psJg9
+pj`~>
+iRIGNs46bj!nQ#Vrmq,!s3^trcdDa<-d9uhgYCH/b0AVVcI:Xn95r%ujP.(?7a9<0eCW@%bL"Yf
+g"P$(bkTTddJMAheGn+Je,e"DJ,~>
+_YaB0o(XU.p@S"Oqu6Wps7uZos28#hp"n*aT8D5#r;$$\rVl]lqY'RRp\XscqXO@.qZ-JC~>
+iV2j8nb;eQ!VuNiq'Yn-naZ8Hqu$?kpA=mh_,YgLf?39FK[]enp@\4ZrqlNcoC;ACq"sp^nG(E*
+!;M'~>
+iRIGNs46bjr7:ksrmChpdf.WAe'cUie(<=.g>LN8iSC.`?.?QjbC+$2gtLB/f%]!3f$r'lcI(1p
+qUGAiq:,GqdaS<Gc[Y~>
+_>=6/o(W4`rr4/?q"FCZp%7tLd[59CXi06!qu?Ehqu?]mmIC,Kq>L<kr:^!Yp]10<qZ-JC~>
+iV2j8nb;VL-2RT?rqc<Zo(qqIoC1(kF,[!,g]-pBo(_qTs7bpKq=OCWqtg-^p[e1,pAju=~>
+iRIGNs46\h!7q%s2q$4(eC)dpg"bNAgXOa#gX4HtdB7XmEf?d0k1JP@gXt<>fZVUne'm"&g"+a(
+f$r:#f$r:#eGRbjeGn+Je,e"DJ,~>
+_>Ed!"nVH_p\"=\ruV"8rVuc_s8VWhs69RZc(W)Bqtg*es8N#qq"41Oq>1!XqU,0?qLA~>
+iV2j8nb3%YoCjX#nal>@oDARbo_J:\p?DVPk5+c-qsVOn^#et\p%eU_q=jLLmd]rGp;$D&pj`~>
+iRIGNs46_i!7L\m!S5d!eh>D!f$r1!hW*JDgtL]=biId1kMOA?euXCqak>=tgu-r?g!e?oe(!%$
+f[e^+f[dph!Rf;E~>
+_>Ed!rVn,Ar;6Bdrr2H\rV?Kis8W#iooE=fkl:SOqu63]qu?]qrVuonqsjO1qZ-JC~>
+iqMp8o(W+Xp\4^]rqn&=q=jUVoD/4KnG)YQmJ$MHkj!guYMoNSlh:/Bo(MqWq=sgaq=_Z!!;M'~>
+im[tZn^mimo$mWdrRChtrn.8(rnf!XgtLH7f%f',e(`L5g>qJQe^SIrQH/+?ce7+$e_&[5gY1H>
+q:Gc"eCMUg!Rf;E~>
+_>Ed!-iWr6n`\B(Q@t0MH>[;%<H`n\STT'rD.e$AH@1X;R]XE^oD\dfqtg3jqsjO1qZ-JC~>
+_Y+!(rV66`r:VN5o'P`$b,CALKRRuT?<L$;E/BZiBP(^YCisfAKTMCp]%66Bq"=:Uo`4^%pAju=~>
+iR[POo%!fjrR1_qs472%rn7>+-f3M)d)WANF^o/s=\V:K1fe"0I8s9G9L_rc=^,WaGD`!'d+d@/
+f_X;$fE'RUqUWm?!Rf;E~>
+_>Eg"./UfMEaE9oD.[EnCkmn*YJRfnLOlOM@#VmkMj93:@W5mjC3GWEhu!6I!;l?`dJEq?J,~>
+_=dm'rqQEcqt;H2\Wpr3?"[bV?smPrK7g,3X1WXrT4q5R[?6#uKOnA%?=.2\LTT5$q=Oa]_Y4'*
+J,~>
+iR[POn^[]irmLhrs4.8(g"HAZs4o&pHVlpn9h[uF7S@?-Bo\mSXCkt#<^:JnHY@G790l??6Ut'j
+OhB?Ag&9S$f$)VEda*F~>
+anm1[q>('jq"Odeq#C$as7-!\qYg6R_2;T.AQ=ACbgGPKr#G_9s/3C,jIC"ZjT##Ks8;&iViH(B
+Chd[G\E!A`rt,&,qt0X\rVH?cs8Vler;HE<qZ-JC~>
+an?hSo^r%XoCD_Ro`+ITs6TIMp%S(;]7a<j?;>m'`QI'6oe?"0q3S&Sf8j7(g&1:,rUo*RTSIT&
+ARf2+Z/"mEqt]j`p@%SHq"=:Or;H9Xq"aR0pAju=~>
+iR[POq:6YCeC<7-e'cq$dG3$uiQg*+f\P<)UM`@_6o8@iX0BP=gG%IBl%bYe`-b4._rK:tj4hS=
+KPOX`8Ol6eQ,(r*hqcoDg!\F)g=Op*gtL0$e^Vpne,e"DJ,~>
+anm1Sq"ages8DEap[A(\oCDq\hl(No>&f1u_p7uLs7Z*[r%@r.Qi6s[m`P&!qY^BjoDAF_pZK\u
+P$;UHOK?h"s6Tabr;$Bmp&F^Ur;ZZfq9f'>qLA~>
+an?hIoCVbTs7kmRo'6#Lmd9oIfqN7W<,6o\]Z9L0s6o@Noe5e$IZ!Xkm,PkCq"+1Uo^)5Bp$gnW
+U5MuZFGZj9li-&As7c0`qsaLPmeHbTo(CE)!;M'~>
+iR[POq:6Y9e'ut)iRl<)d`U5!d*LS(^PYrJ4B5sQU92trk1.rVgFq@<DKjq"g!-M@hq?cCg<eL)
+g!ms<L2T%?=D`nscf31*jkA>DhU:0*bLP=rc-Xng!Rf;E~>
+anlA>s8VrcoD\derr3Z-s8T!=>"s%Ko`"=Tr;?Ngqu?]mqZZots,i<6rr2ulrqdr?r:g-hs8Dlo
+r:fg_i3A/^F+0&-lh:;WrVH<arr<#qqu$B>qZ-JC~>
+an?hKr;QBUmeQnVs8Duis8J^0<(Cc3meH&<p\4ISpA4gcp'LEfq1O:^pA"RPrq%H3p[\(XqY9g[
+p[[bOgT6*JDL$umjm`$?q"=7Mq>U9cp\=O2pAju=~>
+ak.]dhVd#2d+dU5j58hHj5Gbm3\OI&f&4s/g=k<4g"k`cfeD1Ck&G7gi8WeGg=k39g==p9gtLH8
+g!nC,]oH`':g7YOc.Lk0gXt'*g"Y0-daQ[ne,e"DJ,~>
+q>8kCq>16np@S@a)>Npps8;/nM0s&hXkiXBp&>!gqZ$9cn+uqWr%IaBObro4p@J=aq=ssap&F^W
+p%\Lcs8MlhqY8mFF]qObYM&C@s8Vrkq>1!br;Y1A!;_3~>
+q=`M9q=Yp.naHATqt'@Dr:]3YK6CdPVq:A*n+cqVp&=LSlLjlHpFkh'KRW@\m-OZIo(2\MnG;YC
+nFQGOqYBgTp%-h2E)fGLWRL,(qYTsXp%J.Rq"rJ5!;M'~>
+q:OBRq:Jd*e'["3h::!"inV\FBj=8=NPF&rfAPfEfAY32bh1S%g"P-5g"P00h/R,\g=+L0hq$B6
+f$iF&cdL:rg>(B5dausZK2OW\>*6GEg>1W;eC)godF6[pe,e"DJ,~>
+q>8kCq"l-1qY'^`s8Duj\:9KuPN2?5rVZTlqXjIQs8;oms7lHf"oS,nN-kO&rsAN$rq?3`p\Xpg
+rr3o6o^DhUq>^Klr;Vju8kkE+s7?9\lMU\YpAWJ:!;_3~>
+q=`M9q">d'p$qYLqY:!UY]keUMqdXjp@\+PoBu,<s7u]grUp$^0_b)1JTUV`q>0a^q=F@Uo_A:[
+rVlcjna-2IpAOsbq>Z=d6:H^aq!A%HjS&WGnG(E*!;M'~>
+q:OBRpt/U"f@/:)gtUi>R:'oNFMubcgtUT=g!nHsj4NDBhUL61g"4p/g"Fs3CKfNOh;-]?gXOm,
+e^rL,gtUW7d)k%ke_8g/f\pdK/M;%YgsG*)_UR>ebgFo@da*F~>
+q>8kDq>29,s8VWZs7kBKF`;5jp](9ks8W)ts8W#sp\aIXp&G'fr;Zd1N,egqqY9X]s7Q3cq>($c
+o^MGHrr3N,q=jLMo_eaP[XLe7LY;%nrr`&qs7aq<!;_3~>
+q=`M:q=Yp"s8VHPr:AO6D.mOJn,N7Vp\FRXqYBmao_IhLo)JX`q(MaIKkg>Wp%.SMrq6*bq>'p]
+na5f<rVufkp@RkAnbN4BY'*)lJC<QZs8MTaqXMu-!;M'~>
+q:OBSq:He;j5SA0hUT2p=B/4Mg?R_Si8<AHi8<8De(DgrdGEXRfIu4GCJNU=f[\=*hp^32f@AO&
+cH=AZg>CT7e'ZF_cIh@'R:.QiB"#e>iS;`.f$2Xm!Rf;E~>
+q>8kDq>291p\"Lbn?I%YA\.p=rVu'VqY9^Vqu$9dq#C<mq>'[ZqCqj;qhAkcrqcB_rqc?cqY'a\
+qu6TnqY0^Mo_\Ues8Mrip&G'2D,=l9f`1^8s8Vi@qZ-JC~>
+q=`M:q=Yp'o'lGSl`=rA?*XD#p&3e<o'u,9o_%kNq#C<mq>'[ZqCqa3p46fOq=XCOrqc?cr:p0b
+qu6TnqY0^Mo_\Ues8Mi`mJQmqAP$9qdeWFuqu?36pAju=~>
+q:Y#en_3fl+5#,mgZ-S?;d)edlep^bb1bV%e'lt&f%/@+g"t90d/)<7f[&5]8DW%Pe^WC,eCiI&
+f%&='f[nX#d)OA]f@emWfFHWukGD!-7!Z)kcc4Skc-k)Bda*F~>
+q>8kDq>1[%qu?E(F^TF's8MThq>L9ls8*u=rV69drV60[qY^9fr;-?fr;?BjN+i.bq>:3hoCVtS
+nc&A-r:p'\q>(!gr:':PqXa^dp@A7`_KK9mMq\42p&Fser;$6fqVh;OqLA~>
+q=`M:q=Z`Dp%n3fDd%.bs7YaTnb)qWqY9^Tp\+4RqYL![o_8:ZqYC!`qYBsZreG"Xo_/(Yqt'IX
+q"+I\-i!E/p\F^cqXF"Lq!e(Rmcs]G]5LeQL"-.un+l\Op@n:Tp@n:Tp>#BBpj`~>
+q:Y&fs4[D'pY,Gr+5tu4f:>o,=e"^8e`PTBkhb7Qf\"p2e(<7*f$r.!gA0A]fAUI6g"+^*gt0s#
+f[J-sf$r3td*U1he_&Bob0n_ahW*5:jPZ_14?@&\hUfs&eC<(!f$r:#f$sTJim\"Wc[Y~>
+rql`nrr(OJ&,?/(qtpEmp]('5KO9;Nq>'p_r"],,qu$?hqtp6eqYU-dqu?AKC\7Z+rVQNgs8!3%
+qYU-dqYU-dqYU-dqt^.#h3LrAW:g2]rVccpr;-3arqlWh!;b^P!;_3~>
+rq?BdrqPaPqtTp[&FoMio^qtRnFuIkHrkU.nb)bPq"G[$p\=LXp\=IVp@n:Tp@e=NKk0ZLqY9j]
+q#'sYpAt!^rV$6b#hY86<28s_lh:>P"82<Xo_J:@pAju=~>
+rn.8(rn?ViqpkYsqq2P1g=t63h;-Z?g95-UA?=S@rRq2&r7V)$q:YVs$JF=eBh6Y+f@AF#rmh#"
+o$d]kgATh+g(Cr=0/eO4im-6/g=P!,e^W:(qq1u#j4"+Xc[Y~>
+rql`nrr(OJ&-)=ns8Vlhs2pX@F0Y*3qYC$Yr;$3pq=BP]oDA@XrVQQhnb`.[%0,q=ISOI`rqlZm
+r;?Qos82ilrqHNiqVqAPqLA~>
+rq?BdrqPaPq=sd[&-)(`q>BdQs2'e(CT6Cio(i"Lp\FLfo'D'Ame?DGqtU<gq=aFS!;?6_&,P_1
+GtDDLq==1MoC_tZrr)Wkq#L3KpAju=~>
+rn.8(rn?Yj!S>m$e,@hsfDF54imH'-i76H@X*I??QI4gMg%s:qf)XM#gA0D,f[=P+d+$LhrR:eu
+!nl2Vo@*flg%sD5h9i$'/45]Xe^rF(f\PKDqq2&)g",35!Rf;E~>
+rql`nrr(OJ&+9JtnG*%EULe#)li6PGs7uQ^r:p-nq3H4"rqcKiqu-?\qt^.%s7Q6\Y#ePYs8Mfe
+qu?K\qtp?f!r2Tfiqi`PJ,~>
+rq?BdrqPaPqtTp[&*Numl1+f0S6]E_j8\E/s7uBYp\FLfo^\&]o_S:TqtU<gq=aFS!;?6_&,u(k
+n#92[K_G'.n+?DIlMUGVq;M&Jpj`~>
+rn.8(rn?Yj!nYuOrRLkuqq2P(jQ"S<k/2d?7XEAFe^Wg8qUYJoq:YVs#hdqaF]-fBe'\-Cs47>*
+f@KQC!7pu!&)bmfd>Kh8B%u"he(EI,bl$,qf@ed8e,e"DJ,~>
+rql`nrr(OJ&-)4ks8U<"?\Zc(s7cQnp%eLTr;$6irro!Ar;Z`qrVQQhnb`.[&bl/!rVP</7r?$@
+s7?'drqlTkq#^?eqVqAPqLA~>
+rq?BdrqPaPqtTp[&,tn\rV4?`=FS0^p[@qSmeQSHp\FO_p][",p\Xd`qtU<gq=a+J&+]Deq"E6p
+6>!Y#qs<nNq>U0eq;M&Jpj`~>
+rn.8(rn?Yj!nYuOrRLkur7M\9imH06hQ(<RB<:%Lf](r@f_X1pfD4+rfEg0ehL/MZf[eXPe,S#$
+g"4gGeG7c.eCW@,fXGWA8t+Vod+7(.rn75$im\"Wc[Y~>
+rql`nrr(OJs8!3)nYKQ2Z2aRlr;QNfrqZH]r;$6iqurR6p%eF]rVQQhnb`.[&,lP*m.UJF]38="
+nc/FQs8Dinq#L9NqZ-JC~>
+rq?BdrqPaPqtTp[s7?d!l^q9oX82;TpA"7Nq>'aSp\FO_o`^S!nFcJLqtU<gq=a+J&,?1ukOJT7
+[Sp%\lMpM@s8D`kq;M&Jpj`~>
+rn.8(rn?Yj!8%+us4@5&r7V\:jjSuM:m'Yef%f-8g"b6Vf(mqng%s>(g"Y8-;uY5Ce,S#$g"4gG
+eG7c0g>^c,e)SN;3B)$+k1@i<g"HAVrmg#X!Rf;E~>
+rql`nrr(OJ&+fhZJQRr`p@/+^p[\@ao(i1Qr:p-mqNuI!q=smbrV?!\q"tWnq>^KdpAa9-8:B+i
+rUg'crqYLL!;_3~>
+rq?BdrqP^Or:p']&GGMkg3Z_Rd.$?#s75RSr9a=Rnb;kQ#P@VMDt*Glp\Xafq"aXJpC?W`s8MHV
+s5//gFj^*]n,<%\q#L3KpAju=~>
+rn.8(rn?Yjs4@2!s4@5&rn7q=e`ak[3cMOYd,jE?d,!U*q:>Anq:YVs#hdqbG>cl;dF/!Bs47>*
+f@KNB!8%&"&^]+hi6]s6`FLE(\)H)ig"G!Te`,'Zda*F~>
+rql`nrr(OJ&-&tMCps9Ao`+IIqu?6Ys7uQ^r:g'lRsY)5qtg9grV?!\q>:cqs8VZ]s8V]`pT[V$
+a8bhcqZ-JC~>
+rq?BdrqP^O!;Q3\&GGt&@qMt=s6fpRk4\Z=mf3+Vnb;kQs7?JZFSG\,pA=Xeq"aXKpCH`jqX*_M
+rU0.EX%ZR1s7#s]rqYOI!;M'~>
+rn.8(rn?Yjs478$rR_#$r7V_;jHiS;R,6uTjNks#gs+4(q:>)fqUPr)g=gjSg"=g%rR:eu!nl2V
+o$mKe'[PRgc-G2%d+@$91d%\qe(NF+e^aZJim\"Wc[Y~>
+rql`nrr(OJ&"m][c2[P*s7cNms8DuqpA+UUr;$3pq"^A,s8VujrVQQhnb`.[&,uP+r;-0`r:g6f
+a`g[Hm+M79qLA~>
+rq?BdrqP^O!;Q3\&GDQ'DTDeIkPXoHrVH<cp[S(Qnb;kQ#P%AKG5M:5oDA=bq"aXKpCI)pq"OIP
+o_7nOoYYZCNT^67rqYOI!;M'~>
+rn.8(rn?Vi!S>m#fDXD#g(<%m;-:*eg!/O,gY^f=g=OaJf(%Aged0p[fQgWUgXOOIe,S#$g"4gG
+eG7]1g"=s/e^Dt#g#:_e=#4g<g"G!-ec+%We,e"DJ,~>
+rr)lpmechX(B=@2qtTp]r;Z9drpKdcKO(D;r;$6gq"itH#Q"@iDZBY3q#1'fq!%\TrVufpq[`Z'
+rr:r6;df:op\=dfq>'"H!;_3~>
+rqQNfme6JN)#F%%p@IkIp\O4Tq<7VRITW6&p\":Vp@e@WiV!NJop9=hq"OFXp]C3bp@@tRpAXje
+p\sjsq=sgdh1\X0nFZ;Dqtg!YiV*?IJ,~>
+rn@D*mb%?g)VWiqf%&:$g"js4gs4d=A3u-tiS<;HgY(63rmq,!imnCfg"UpIhUU-%rR1_s!nc)T
+o$mKdrn.8&s4.b6hV[;R_J1hjdaljof[nR"im\"Wc[Y~>
+rr)lpmechX(]F7-r;QZmr;6Nkp]&KdF1^H3s7l?bq>'mGqZlusT5Xc,qt^3erV5XSrr)lprqd6"
+q"F[diL=@_^&S-)oDARHqZ-JC~>
+rqQNfme6JN(\m^sp\FUYp\+X\o)HaSD7AC#s7GpVp%e@@p':3`QtZBkp\"FY!r)K`o(VtRrqQNf
+rq6lno^_hXh3VMN\GuTtme6V<pAju=~>
+rn@D*mb%?g"k_DVfA#$YfaZroe`Nu><M%1mk1ePCrn.2#s4$&Z#h[hdIS8MHeBn0Bs4.8(f%0EA
+q:>Pts4@;%&D5OdfA,H&H:']]iSi,.f%o?8!Rf;E~>
+rr)lpmeceWs8!H-s8W&ns7--faGFfMq>^Kop\4R`q>0%H#61E:s7uQhrVHKfl21JYs8;lnrqHoo
+s8V5aBOIM%s8N&niVNWOJ,~>
+rqQNfme6GMs7I*#qYU'[qX"1T_LlO5p&4peoCM_Pq=jFQo(NF`o_FtjqXsUWqtL6eq"F"IrqZTh
+s7[-!p%S4Pqu>]W@p>Gfq"O^Vp>YfHpj`~>
+rn@D*mb%<fs47t<gtg`:h9Y-;W+f)&gu@MSf[ed3rRgMgo$doqg>@HTgsX^Mdf7l"f[eX=eGe&!
+ec4/!f)OD4eDB6(N(#mXbhLk/eCN[0!Rf;E~>
+rr)lpmechX(]++.qYL*cp\jd^aCgdls8)K`q>0p`rqZELqZm'!U2U#)qu$EhrV5XSrr)lps8*B(
+s7Z<bnG*%Xb]6gcp%n@]iVNWOJ,~>
+rqQNfme6JN(\RRtp%A%Oo(__I_I8MTrq>sSp%J(PqYBmUp@@q_p@\6NB__2nqY1-dq"F"IrqZTh
+rq@!(pA4UPp&F[)D,[;!oBuPMiqEHJJ,~>
+rn@D*mb%?g(Y@Bof@S[-e_AR-W(2!Ck1eJ;f\+p1h>Gn+f%BKCo$drrgY[QTg<e?urR1_s!nc)T
+lI>gas4.+u&Du!if?Dh(eYu>%Lsjo)i7?r<!Rf;E~>
+rr)lpmechX(ARq0qY0jbrV?JtDLLOEnG;hPr;?9]q=jsdiVNlYs.=-*p\XmeqYg3Rqu6Qor;ZX*
+qZ#sSs7lBhq"<Nq@))a=rSdVRqLA~>
+rqQNfme6JN(A%D"p%%eNq"+NcBQr83lLslDqtp'Yq"O=Po(W1X"o+Hrp[e.Up]C3bp?MDOq>^6h
+pCRAnoDeU\rUo[6H<IcRnFlS8pAju=~>
+rn@D*mb%?g(=h3rf@AO.gY(_N:1(s'd+Qt$gt^K2rn.5'!nc2Yn^d9\#hIefIRr/=eC4BEs4.8(
+f%0-9rmq,"rmVM9b0Shlf&#!,]j<pphqHl:j4"+Xc[Y~>
+rr)lpmechX(\dt0qtg?mrq=99HdqunoDSO_r;$'[q>'gEqu?TuRV;Tor;6HhrV5XSrr)lps8*E)
+q"FOYp&+j^rr:Z$DTr.Sr8RSRqLA~>
+rqQNfme6JN(\7G#p@\:[q=)+"FjB^Wn+unXr;$'Zq"a[Sp@@tWp'$Xgp@\4TqtL6eq"F"IrqZTh
+rqHHf%f,nmr;?*\s3c+'`;]2tiqEHJJ,~>
+rn@D*mb%?g):[Huf\#$;gt&8a>INDJeD&R-g=Oj*g"=sSf`9[qf(.;qf%f&+7+fr<r6kVr!nc)T
+lI>gas4.+u&CStTda?_%dbNlm?r*ukf@]-5!Rf;E~>
+rr)lpmechX&,Q>*qu6Wlm(@=ddf&Y7s8Mfnp&b'dq>'gEqZd#qP[jRerVZNjq!%\TrVufqq[r\q
+s8MQXpAFsco`*rkE6\%Qiqi`PJ,~>
+rqQNfme6JN(\RY#pA+[Zk-f&LbkLAus7Q0^p@e=Yq>'dTp@@tXp'1,J>kRjepA=Udp\=IIp\t!g
+q#C(#q"+OcoC2JLrq#UYgLb$6m.KB4!;M'~>
+rn@D*mb%?g)qWm"f\GE=ba_O;[,99jk1%i/daH[uf@\a/g&9Y*f^dVae-OX\flKC0eCN%Gdf7l"
+f[eX=eGe&!ec4,2d`^@sbKA8chq$6<`)9O<f@]-5!Rf;E~>
+rr)lpmechX+9)<<q#CB`emim_r;Q]qn+QPRp%nUao(r.Xq"jd^qVh;VrV)C^qY^<frVHKfl21JY
+s8;oo&Gl(tp%SLdo_ngfoDd`l?b?=8rqlThmJ?n[J,~>
+rqQNfme6JN*VoR)oD/:Jcs1PDp@e:Wl1=]Fp%SC[nb;eOp\+@Mp@@tXp'U;G>4qXcp%S7Vp\jmO
+p\t!gq#:!up&4RXs8;?\q=X(GeSA-jrq6<brqHEem.UMTJ,~>
+"PVM^f@fTEqq;#'(u3s#f%o<2[R+$4hV[8Ncd^Ire(37,db+NOs4[S-f^dVae.(!_enmS%f@J<u
+daHXprmp>`rmq,"rmVY.e^)_%gX4d3gXP)r=$W;/f\"d+rm^qqmF20bc[Y~>
+rqcZlk56>"qZ#mYs2&Sgkl:28a0i"NWPdTfrq?6dqYU-dqYU0cr9=(`rqq^_q>UElrVHKfiVO_l
+s763]s.Ok'EIWqScs^PBo)J@^qssd]p\=O[qtp<]qZ-JC~>
+"SMK]p\*hFrq7-!roEVK[q&q*qWZbLWhcPh^"W&Rnb;kQ!;H?blLtSXp[s5Co_JO^rV-9ciV+/]
+rpBRKp6BWOATNF&a]`'"jn.s<q""Iaq>^6ipAjpWpAju=~>
+"P(uOeCOQLrRh8+g"H;Ts4R;'rnJ:BjiZ6=ThS2%jO2#GP`:ZYUVGI=eCscP!SH$#e`tWjf%\kl
+4P&3Ce^iF'(>[<ld+s+SDbjYSOfq#=][GZchUg'+rmC_nnC.Kec[Y~>
+rqcZlk56%gs8Duticekos8V\GeF(=rYiu,eqY1$cqt^0SqZlroP@OC_rV6?frV5@K+9207s8S*r
+^Ajd*RfEDqAomJAqss^Yn+HAJq"jjar:0XaqLA~>
+rq?Bd!;PmSrUq,oq==CXf5+OCo^q?palC*LWoF!Wo^VeNp&"F_p\O[MpB^K`oSd&HoD%qUp\jmG
+pE08(p&+f@?Ea-b8s&cGY[;#&p%.SLp$qnUq>'g\p\+.O!;M'~>
+rmUns!7h&"rRh8+g"H;Ts4RA)rS/@Aj4r_U_,`k@hVQ[mZd#CGP02nMgt1K=gY(9ZfE'RTqUOl\
+$J*b[Da2e&f[JF&gXI8!f%K!DCeL;[Ho-'%ifZZ-dc0'/gX40kcdC.gddY`eda*F~>
+rqcZlk56%qkPtSVIr2Ihs8Um"rVtA[cM.A=pAFd_qt^0SqZcosU1sQ#rVZNjpu2)cp&G'Ja)8Qi
+s0,tcs6TX);N(89s8MWhp]($gqX=:]qLA~>
+rq?Bd!;PmSrUq',h"gs9FCM-<pA<7To)?j?aRT3.nFlMMp&Oj`q!.SZp@J'K@e]Khp&4X`pu1r_
+nGiO>]4.o@qOps9qW7Ff7=OL`s8MWfq>^6YpAju=~>
+rmUns!7h&"rRh8+g"H;Ts4RA)rS/4Q`oH:6?;-I9i8qSQguu.:YhA+!f%f!Xg&BV)f%9cKlI>jb
+#i'ktg""a*f%/U*(Xh@)\t_rflK=0m[bo3ZVD<#>biIR*df%SnddY`eda*F~>
+rqcZlk56%qnbrK?B;Y_-s6#sQqXC_6m/$>Mo)JI[qt^0SqZm&uWFl,+s8;ilrV5@K*W#I.rd]"Z
+s8%snq=a=Xr1%\Bs8VfkqY0aZq"jjUqZ-JC~>
+rq?Bd!;PmSrUq',k48Lr>at``r7mJ4n)^Kek4J'5m/6DLp&Oj`q!.SYp@\0S?hj?kr:g0biV+/]
+nFu[#A`N=HLg9E;l2UF;@Uf36oDSUcq>^6YpAju=~>
+rmUns!7h&"rRh8+g"H;Ts4RA)rS/4Qd+mho7YU']k/Mf1g!>d`cJ6t(dc/mWg&BV)f%9cKlI60l
+f\;*Hg=Y-2f%/U*(tI'hgKdP!hUlj:f$hk'fmHRhi8`8=e^FHEs3gDd!Rf;E~>
+rqcZlk56"es8SKnLAq2Ps2g_ts8Rb'q#C6io)JL^q>BLS#5n1m=o%pmr;-BeiVOGko_nepGQ7^@
+GF8.)s8)<dG&EH7rUB[^q#C3ZqZ-JC~>
+rq?Bd!;PmSrUq#lq#?CSI.[(,pV2gNr;(heo)JCWm/HeR!;H?blLtSXp$\POo_&"PrV-9ciV+/c
+n+QcZD>s.rCQ.ZZs7P^WBk*%hqXF@Yq![qWpj`~>
+rmUns!7h&"rRh8+g"H;Ts4RA)rS/19hr])DA)#brhPPM?j5FKWg?./Gdc(2Yr7D&$fD=%_e-adZ
+dt9O/f@\X)f%\[jgX"R63E54ug/W7EiT&P8kZ1Dsdb2joqpOu`!Rf;E~>
+rqcZlk56%gs/TsZjT#)Nqr"+>s8HlKs8VoprVuQdqt^0SqZm/oY#bGtrqlZjrV5@K(]"+2m<<LE
+s0Q>&o`+RUs8Vn6?_dQ!o)8@`qX=:]qLA~>
+rq?Bd!;PmSrUq&qs.Nn<gACC,n^`ukr:FU1qtfp^p\XIUpA+LKpB^Kfm\`kSp\FO]p\jmGpD<K#
+r8qj-mJ<b`iTgC1n,N+LAltZ!s76'^n+QhWJ,~>
+rmUns!7h&"rRh8+g"H;Ts4RA)rS/:?k(lT-_;a(rfY)[\j4d8"j5AVMh;6W6g&0J&f(mk]e-FRZ
+dY]g4g"HAUg=-qphoSbifAr)]aNrelcf*^49g!sZiQfsNddY`eda*F~>
+rqcZlk55D__eO;Oo_ne!oUba+P]Zm(p@A4_qY'a^q>BLS#QOS4>lXd%rr)]lpu)#an+?Y1H(qil
+H2R@7qu6Wis4U\!df9=CrV6EhnbW=_J,~>
+rq?Bd!;PmSrUq'-]OPg3mJ[%^s6Z0@cAc]8rUB1Lqt9LTpA+LKpB^Kgn[;Hoq"aaap\jmGpD3Pj
+n,LRLQE=k<o'?&Dq>K^Wcr=r.rVlQiq![qWpj`~>
+rmUns!7h&"rRh8+g"H;Ts4RA)rS/4OU.J:ue)TNKk0nb.Zu]1%j4;Z6hUp?Vf_sCse`tWkf%efD
+38E6@g"+a/e/$ZZdGqH3J<s29g!JI*g#(<<[l@6gh!*;hda*F~>
+rqcZlk56%mOBB<us8)Thr:]sdj\D9ApAb0ip%8:[qt^0SqZcok`F&T<q#(!epu2)dq#C6ko]"&L
+BXRm?mJm%Ss8;Z&=-<:MrqcTg!;c6_!;_3~>
+rq?Bd!;PmSrUq'"M,Ch`q"++Lp$_JKhFEe&nG<%UnF-DQpA+LKpB^Kan@i$"o(2PQp\jmGpD<N&
+pAF=1^O'4dp&F7Tp[J%PnZl&OoC;hSrV5mV!;M'~>
+rmUns!7h&"rRh8+g"H;Ts4RA)rS/4CD`=<NhV$T9gXXs8`%?8hf&5N?e'd=Uf_sCse`tZaed0d!
+45/35e^i=*e/.&qhU0$7AO_j:jN??1ced@*Q8EL.d+7O4!Rf;E~>
+nb`.[s8!c8p@&%Pq7'Y5rqHHfr;ZZ_rq"KJXT/=uq>:0iq"amHqZcl3CrH>Qo_nXbpu2)mr;HZ]
+s7H>TC%V>lrV$9bq#CB_Lg%:cp&F=Wn*9rAqXXL`qLA~>
+qtKjYq=jp^*Vo6is6T?`<ic&eqt'R[p?MJAb@%7EqY0XUq=sRYq#C0LpB^Kbo!r>Hq>0RYp\jmG
+pE05-roX%Dp5*/Ao'#l=s7>jWroeo5ZM3kgkPt#9s6oLP!;M'~>
+qpbSqrR_2)f\-2Ss4RG)+5GAlk0hqK3KDnFhU^E<g!/="Y!\*&h:gK6gtL<4gAT\(f&G0df%8KC
+8>4elcdp\%e0!8nhT4O#h/Gj2f?Dsri6p01iQGajPh4:>`o5+\hokT?!Rf;E~>
+nb`+Z*rZ!9s6]itCPqHXnGE%\p?_hZnVh5HnG*"]qY^<iq>K:L#QO\5?/>DQs8Dfmpu;/PqXaIZ
+ru$0Hmed%aq>'X[o_\[C>$^t(n,N4`p%e=Xo(rF`J,~>
+qtKjYq"Gj)pAb$Qs0QBlk5Xc@o_J%?rVu5>A`N+Jq=sXWq"O[\s7t[K#kn&cZrYiQoD8F[rV5@G
++7T%'r;ZTeEJW]Jq>^0aoD.kJs3stLo`+4TpAamap@7kWpj`~>
+qpbSqrR_2)f\-2Ss4JOKgY(WGc/tHdBZ]8Zg"5$/b2D@,C.Q@if%f$4g=k66r7M&#im\=dgXqiQ
+]%GKcf%/U*+3i9iguI5I=Du=6gu6f6ce-Roj0pp-f&Fj-e_\a*ddklgda*F~>
+nb`+Zs7dT6rp&umC<-AOq>^Bcs8VlTs+tj[j7<6MqYC*iq>K:L#QFV5=nhjcs8Dfmpu;/oqZ$Hd
+s7Ps:?*)04qt9OTr:^0ilMo";HM[=7n,N1Oqtfm\!;_3~>
+qtKjYq"Og[*<5fpl>'tJrV#m_p[J([oABJ!DrKR?qYKmWq"k!br;#@H#kn#b[8QSimf37[rV5@G
++9)0/qX3[r;kh%do^M>Er:Bsbjnlr$F7\o#m/QqPrUKU^pj`~>
+qpbSqrR_2)f\-2Ss4JLJf%/m<b0X!VV;U%YiS)c;jOV3*B2Z[ad,!O0f%SpYf_j=[e-ad\fU+PG
+g!8L+f%\[rf[nR*dE]-ZLSVrAd*C.ld,3HohPNS?f@&R"hpom#o$d]gc[Y~>
+l2)S%oDJFSs.X5Bo_%qXqu-3fmf!1RNgH3soDegcq>C6fr8IMXqYS'=nc/:]rVHKfiqjnqrV#s`
+q"Ut0heoXtq"FaVq=FXas7)CC\,Z'to^_VLqXXL`qLA~>
+qtKRQ+o1R#o]uCEA%M-unb`%TnG_\Is65B'Q/V0-q=O=Rq=jX\pu;#Rp@Ipe?0qIXq>L'dpu1rh
+rV#jZoC8SeeRti\p%/4Pp[S1Vq<F#(Yl4"co^qqUnb3%YJ,~>
+qpbSqrR_2)f\$,Qs4ALMdG!4"iIXXldaQ_&g"Y!7bhM.$Cit!@dG<U/f%Jg0fDF+XeGn)*fUP4P
+h9aj+f%\[qf?hmte^TCI\k@tAeBm!mdEC4ngs'm`Pi:$Dda-;1e,e"DJ,~>
+l2)S&p]'s`h.a"cs7ZKfjo>;Jrquf<EL5;LqYg9dqtp3br8@GVqS6jjrr)QhqYg3Kq]Yh/nc/Oe
+lst'eirA!3s6'F^m-t&TpsWhgh"q'<p%J"Ro(rF`J,~>
+qtKRQ+oCj/natFCVt9r[s7PCLqX"+TrPi`>eF3)*p%7tOo_8+Wpu;#Rp@RseA'"K@nbr4\pu1rh
+p$r(XqWD-uHe\SUo`++Ss6AtNq=2R3?Ie`JmJ$MQnb3%YJ,~>
+qpbSqrR_2)f\$,Qs4ALOe_ns2]h+47iRHi;_qj(lgtLV_:Na(mf@nj-f[eR(fDX8"e)Jjaf%8ND
+7]P4qdFQn'e0!#[h:UN)5tt_$j1a""_;*b_aktn'Y!GLef\am#e'R[8!Rf;E~>
+nb`.Y+8bm5q"9AfoDJO^s7l'_oDeCWs.?"SqZ$Qlp\Fdbp=]<Js8'?<\+p!trVHKfiqjnqr:9mV
+p>]\Qn`TrPr;ZBZo`+RRr;Zen9o&]?q#0aSqXXL`qLA~>
+qtKjYq=Pp)o_J+IJ9:5Sq=aj]m/QSTn+Q[LT'c:Kq=aCOq"F7Op>#BJpA"6d?*a)!o)8=]pu1rh
+r:L$Un_RQ9lJVR;q>^-[p&FOKpAafT6\+n$p]'p]nb3%YJ,~>
+qpbSqrR_2)f[p&Os48FIfA+s-Am3U:g=PB9c/[42d+@*%J'Q^%gXt$,g=F[&f)=+udc/a`f%\fC
+5a9gRdam"(e0!8dhoX9]6$U\nh;$T=cHXVhbKADrg41Ybg=+^0d*V@5!Rf;E~>
+nb`.Y+8bg0osnkQs7lE`r;HZqnEg2Lo^VtXm/?nZp\OmfpY#EKs8'?8d/*Y;rVHKfiqrcP#4VT]
+r;Y%=rr30#lLk)Lmf*4pqXF7ZH</#Urqc-XqXXL`qLA~>
+qtKjYq=Pj'o(MRZA\%j5p@J+Vr;Q*Js7GjLrqG[Pq"=4Nq=sO7pBUEeo<_ZDp%J=XrV5@G+8YR,
+me?Uuo`+aepuh>Lq="=_s7GL?oPdU?n,<7XqsjC\pj`~>
+qpbSqrR_2)f[p&Os48@Ge_/E>9:t4qf@8O/h;?N#j42T(hq6**g=Oj+gXssQeG[hTe-ad]f9\V%
+f@JR)f%SUpbLt(jh5],gh;d/+dFZgefA,02b0f!G258ISg!A.<e,e"DJ,~>
+nb`.Y+92*8o5p5pp\4^dp%e7Os8W)mqZ$?[s7Z9bq"k!hqUt`NqYS*<qZ$3frVHKfiqjnqq=X^a
+p\jseq"+C_qt^3_s60FWp&G'gZWMJMqsaCWqXXL`qLA~>
+"8;K_p\"7UocO5)rU+Q`p[[tUqXX@MnGiF`o_8CYmJl_Kp%.kPq=WJ9#kml^\m+k*n,!"WrV5@G
++8PU.q===Pp@7MCrqQ<fo`+1Qp$_qUn>T9+q"X@Sr:0L]pj`~>
+"4kuQeGIhqfE'[Xrmh#"s4AFSe_nhSFP>9qhqQW3da@+2gst':f$<:(f%8I(gY(-UeG[hTeGn)*
+fUY4XhTsp,f%\[re'H^udb*.(eBc_&e^`9sgqhLecf<j3N\sklg!84$o$d]gc[Y~>
+nb`.[#P\8nY%6Acrk\I:rVF$5o)8UerVHKfiVWWNp\XsdrqQNirqcs"ECdP:qYpH`qZ-JC~>
+nb2kSs7Q]fqsp[mf_5.(p>#EBp'1,n>OD4_q#0scptPQApAFXbq#:*hp^?iipA&MlZ2""fq"F:Q
+!;M'~>
+"5)2Wf(I\qf)XM'gAfq5fAYAB6G(n)n_!lprRh)"gsc\^g"2HPce@.+f%/C$rRUnr!7Lkos3_;)
+f%A_Q-C!9;gtL?Ne,e"DJ,~>
+nb`+Z#5H_jU\=T[_>=K;rOlk9r;??gqYg3;qu?Nlq#1$ormb.gs7,jZnbW=_J,~>
+nb2qUr:U?ccYf?Ep@IJ@h"M*Jq"D.(n+ZSJrV-9cdeEe:rqZThs7Zfpcr=]TlL=B<o(N.ZJ,~>
+n_!lns4[M.rn[k5[8__+f[KBCs4RA'rRTcR$J*tcR7#BTf@/=%bgc[@rmCbos4.A.Z8YG7d/MVf
+e,e"DJ,~>
+nb`+Z#5sj%irB&P_>=K;rOZP,pA4U`qYg3;qu?Nlq#1$oq>YY@YQ+XqnbW=_J,~>
+nb2qUr:U?hOCR,FqXNbBh"M*Jq"D(!l1+H=rV-9cdeEe:rqZThs7Zfks)M&:s7l$Uo(N.ZJ,~>
+n_!lns4[M.rn[k:G"KL,gsPZEs4RA'rRTcR$J*tcQTiUAe^W1$bgc[@rmCbormh>7<Aom!hU:!H
+e,e"DJ,~>
+nb`.[#Q""&YP7hlqSE%6r;!d*jmi6JrVHKfdej(@rqQHg#PA&-?=<d4q!n4]qLA~>
+nb2qUrUpKglsHa_oD\FGp>#BJp@\![<8d-:qYg0epsSp:q#:*hq#C'on+sFp=nh^]p@@qXpj`~>
+n_!lns4[M.s5""9e4#GKe_o!Jf`0Y'f_sCVe-adZerhu/cIU_#f$)YDdf.Yodf7l(dG1*O5Mb2H
+f(7Alda*F~>
+nb`+Z#-N"=p@\@`_>=K6r4Ze2pAP$iqYg3;qu?Nlq#1$opA4f&?E<f!nbW=_J,~>
+nb2qUr:U>nD!pi_p\X.Ih"M*JoC]S"l1+QFrV-9cdeEe:rqZThs7Zfhp%i0"V!n'Oo(N.ZJ,~>
+n_!lns4[M.rn[j@;Uj4Eg"Z&Ls4RA'rRTcRs4.J/RR53Hf\4p-bgc[@rmCbos4.J)fA/nZMUgJ4
+o@*fhc[Y~>
+nb`.[#OQ!+s7lWbs2"R;q>\fgs8W#mrVHKfdej(@rqQHg#QFT"\Q`S>rpfjcqLA~>
+nb2qUrUpKZ>cdenrU'LFp>#BJp@A1(FSkq/o_nO_psSp:q#:*hq#C'oq=X`o<*]"gp@@qXpj`~>
+n_!lns4[M.s5"",7$?KZhp:'If`0Y'f_sCVe-adWiN-,:gt1',f$)YDdf.Yodf7l(gXkDN3^VKR
+f(7Alda*F~>
+nb`.[#J+O5o`"mark\I:p]&`ns8W#mrVHKfdej(@rqQHg#Q=Ges)(i`r:0XaqLA~>
+nb2qUrUpK'@--hPs7,pJp>#BJp@/%*H2d[7o_nO_psSp:q#:*hq#C'oq"*hNB26SAp@@qXpj`~>
+n_!lns4[M.s5"!N8B]N<iR?KMf`0Y'f_sCVe-adUiNQSFgt1',f$)YDdf.Yodf7l(g==L-9f0',
+f(7Alda*F~>
+nb`.[#D8QHo`+^drPA@9o`**Wq"ajerVHKfdej(@rqQHg#PJ,ros@hOr:0XaqLA~>
+nb2qUrUpJEQMg1IoDJCHp>#BJp?hXnDY*Mpq>L'dpsSp:q#:*hq#C'onG`7QX\jB:p@@qXpj`~>
+n_!lns4[M.s5!rkIcAl5e_]fJs4RA'rRTcR$J*SZVbu!qf@ea+bgc[@rmCbos4.J(i7ueF2db7h
+o@*fhc[Y~>
+nbWjms8)EgoDcsVqZ$Thqu?Hequ6Qor6G0Es7j'NmJQeYrVHKfdej(@rqQHg&,H.qqsd-^iVWZD
+rVuTkqYC!gqLA~>
+nb*Lcqt9IUmJXtBo_n[WpA4CVpAXjep[n17pB^KjnZ[0"p[n7Zp\jm8p]($fq>^6ipCHojn+Q$2
+=5*BFlhUGKs7Z9_!;M'~>
+n^nB%gXt!6e)dZ5guIACf\FsOf`'V)g&BY(g&9S%f%ea^f&,#A=N]=Hf[eWteGmtrdJqYoedgB]
+g!D$.^=LrXf%A=)e,%Ppda*F~>
+nbWjrq=j^bo`(>1oD8F\r;ZTgqu6Qor6G0EpA`-Jr;?HirVHKfdej(@rqQHg&,#u%qY6U`NrT%Q
+s7uTlqYC!gqLA~>
+nb*Lho^_YSmeW,omI^/Ep\OOXpAXjep[n17pBUE\qS-S8p\+OZrV4h8s7lThs7lWg&+KJlp$n>F
+L].#@s7Q0`pA+F_pj`~>
+n^nB*eCE15eDbgbe_8j1g"b*Qf`'V)g&BY(g&9S%f%ea^f$`EL8(lSHf@JNseGmtrdJqYpedp3b
+gt:5+2f%7"dbiL'f@0TG!Rf;E~>
+nbWjsq#1*ioBL:goC_tYr;?Eequ6Qor6G0ErqNI&[IsRsrVHKfdej(@rqQHg&,?2)qu#kh<UKV^
+s763ar;$3iqLA~>
+nb*LjoD&%VmGr#OmI0]Bp\4@VpAXjep[n17pB^KenY09mnG`.[p\jm8p]($fq>^6ipCHllr:]gH
+=AJ)Qr;Z3`oD&.U!;M'~>
+n^nB,e(`R7e'(^Be^`C.g"FpOf`'V)g&BY(g&9S%f%ea[f%SZ.5EaIOrmo<Cs3gnos3gqu&(TIm
+g"Xb81<@nshoja#eb[brda*F~>
+q>9sbs8NK$p%c.;ci*V7s82Zfqu6Qor6G0Dnc-L+r;$6fqYg3;qu?Nlq#1%"s8)Qhrr7IOZ2FP"
+p&F[`q>10gJ,~>
+q=aUX%Jp+qn+3l#anP>tr:]gYpAXjep[n17pB^KXqRfPso_.tVp\jm8p]($fq>^6ipCI/oo_8+X
+GZ1^=q"sUYnG;tT!;M'~>
+q:PMr&(fOre^`?B;R,-2g>CQ7f(mttgAfk*f`0Y'f_sCVe-adOhOcLTf%/C&f$)YDdf.Yodf7l/
+h:L94h;Va"N7HJ2cIgCnqU>Poc[Y~>
+q>:!c&,6,(oD&?:M"CZCp]('crV??irVuf@qZm/hQ=72nrqlZjrV4h<s8)`irV@')qt0abq5[kB
+qt]pbq=Xa_qZ-JC~>
+q=aXY&+]]!mdgC)K'iL.nbr+Qq"aX_q#C*\p>#BJpAa<:>-RJkpAOaapsSp:q#:*hq#C(!qY'CN
+r:6XcD"mVmqt9LUq=amaJ,~>
+q:PMr%as1mdFdSkC=VD!fAP63pt5T"s4RD(s4RA'rRTcR#M.qYE]oT5g&BRHeGmtrdJqYpedpQg
+db*R3MEFS^da$LncI_pB!Rf;E~>
+q>:!d&,?/#o`+r&W;cbmo)JL_s7uQkrVuf>qZOH7s7uEeqYg3;qu?Nlq#1%!p&Fg^s7k/L<8@ED
+s7Z3^qZ-JC~>
+q=aXZ&+fVin,N2jUA4KUm/-DKqYBjaq#C*\p>#BJp@S!_<W)L[p&4X`psSp:q#:*hq#C'unGDhK
+rpe<6:Y>I3s75dVpAju=~>
+q:PMs&(B4adcK@VMW!CHdb`O-gA0D#gAfk*f`0Y'f_sCVe-adYfTeGQf$`+"f$)YDdf.Yodf7l.
+dbWL*jO^e!0=B?ThTsREe,e"DJ,~>
+q>9scs7d#us2K$.rV$9_s7lQlq>:0is8:1>#QOV"@`.j<qu-BipsT'>qYp9gq@</trVZQkpjuY;
+s7u]jqY9pfqLA~>
+q=aUYs76Zkr4m'np[J%Hr:B^Zq=ag_s7c0Zh"M*JqspLd^@1plrV-9cdeEe:rqZThs7[#lqY9gW
+p@3K/QMgFRp%J1T!;M'~>
+q:PMs&(o@^fA`Z*\)5ire)/^0g%j;"gAfk*f`0Y'f_sCVe-FR]eqQA]dG"TNbgc[@rmCbos4.\-
+gtUQ:gt,miF4o!pdaS$A!Rf;E~>
+q>:!d&-)G(s7;##rVZ?gp]($eqYC$frVuf@qZlcn_d(gds82ckrV4e;!W)Tgq@EJtr;Z-]s2&AT
+s8DZir;HHg!;_3~>
+q=aXZ&,Ytoq<```p\+(Uo)A=Wp%e=\q#C*[p&k'_p\*S?#kmZc]N*DLqtC!_rV4e7!VlKiq#:!u
+p@@tVjn8Yc@9WR'nbDnTq=amaJ,~>
+q:PMs&)GdkhpZ4OhqloGe`#*5ebRksgAfk*f`0Y'f_j;&eCN.#iRA+`dGplZ[*me0f)F/!da-DD
+daA'Bs4%)"%b01hak>aI6Tj2WdFd"#qU>Poc[Y~>
+nb`Xes6BXZE1cn&q?$HgqSE%6q#@a.s8)KirVHKfd/*h>oD8c&@D_j5s82NcqZ-JC~>
+nb3:Ys5X(KC74VkpAF[$p':-fY#kPoo(r@[s7cZkq"W51!;QEbqXt/">J0Rsrq>mZpB('_pj`~>
+n_"9$jiQQ8:k.*Og"G?:"4l,Uf\k<ke`N)Xhq-B5f%/@!da?Lkd*r'DqUGDn#hVL3UtO5Tf$XBE
+!nPlIJ,~>
+nb`Xhs7H3>C;9ZEqYg3*qZlrs]3=\"qZ$NjrV45+#E2f[qt^9fqYC!gqLA~>
+nb3@^rTs.&A@_C,pA=U#p':0aZr?8_p&=sb!;QNg_Y4?0L/OQ7oD8+PqtC0cp\97~>
+o%F&s#j0[m[S!1Hg"G-4imnOjf&)oVc.LY+f$r3trR&L3#hX#ZL>CP<f%'ZI!nPlIJ,~>
+nGELjrV!"!jS\uQrV45+#Pdr-;UG%-rr)]lpqch4`)V'Xr;69gq>10gJ,~>
+nb37\p\!sF@G_"WqtIr##P%2m9?Zblq>U*gq#1$*pB^K,:3,t"p@J+WpB('_pj`~>
+o%=B(gYgr?K1El8g"G-4imnOje^L0GY0kYOf$r3trR&L3#hZ"9>he&de_0iL!nPlIJ,~>
+nGEIcrr74bq#(!epqch4s8CPXaSbr8rVHKf_>=H'@9i-qq>C$b!;_3~>
+nb3@_nb2`uDY!GnpA=U#p':Wkcs"?]pAFpa!;QNg_Y4?0k#tgIp%8"PqtC0cp\97~>
+o%=B(gY1QD=B*r,g"G-4imnOjjP71/VV9\Zf$r3trR&L3#h[Em5gA'7g"-&M!nPlIJ,~>
+nb`Xjp\b&$R/6UVqYg3*qZm/ten)\pq>:-erV45+#Q0$McM727pA+RcqLA~>
+nb3@`n+?WcP4\>=pA=U#p':KdcX+9Xo_/:Y!;QNg_Y=*(#'Wh`o(2eLqtC0cp\97~>
+o%=B(gt:HH6[7>;g"G-4imnOjhq>D*T@qfJf$r3trR&L3#h\!E33_&chU25M!nPlIJ,~>
+nb`Ukq>Knn_tj6,rV45+#PI`-AAS*:pAOjdpqch4r1[8hq"Fa[q>10gJ,~>
+nb3@dnb)3P^%:mipA=U#p':$Q]j8;CoC;hS!;QNg_Y=*(#+JJ^o'ubKqtC0cp\97~>
+o%=B(i7d&;6)3,eg"G-4imnOjdaOsYT@_WBf$r3trR&L3#h\!i4,;J;im7MO!nPlIJ,~>
+nb`Xlq#7p8jnnrRqYg3*qZQlt^MhX$s8Dfmpqch4qS?9_rU^'_q>10gJ,~>
+nb3@dnFj4oht?[9pA=U"p'1K*B[?YWr;QEjq#1$*pB^Kb\l*eImf2hSpB('_pj`~>
+o%=B(i7["Y6H.^6g"G-4imnOjg>ec"ZJa]uf$r3trR&L3#h[q14CI!limIYQ!nPlIJ,~>
+nb`UkpA^"Yo`"dbrV45+#PnD&B[ZYPp\jsepqZb2dT:&\nGi=[qZ-JC~>
+nb3@bme;<;meHGJpA=U#p':0fVd[j@p@A4W!;QNg_Y4?0oug3?r9O@SqtC0cp\97~>
+o%=B(hUg\$6.FcFg"G-4imnOjf&Vf\YgqCUf$r3trR&L3#M@kB4%SAUi;1q)f$r#r~>
+nb`Xjs7p\Wq=jgcqYg3br:0[[r8IMXrqWm<]DM=%rVHKfg&(gG!;lcnrVQTl!rMijq>1Esm;5bm
+qZ$QjqZ-JC~>
+nb37]r:+N>oC;hRoCqeKq=ikA#P[ejB=@O(rr2Wlq#1$Ap]'pep\ssdp\sphp\+=WpB^Kjk%@BT
+p%nL]pB('_pj`~>
+o%=B(gu[6g<8#mYg"H8Tq:Y;jq:XcY%+s=eP"h@te)8g,eC+<Cg!p&N!7_"urRChs!n>]JqU>f'
+jO6s_e(<C.qpY\ueB`X~>
+nbiFe"n?S]r;-?iqYg3br:0[[r8IMXr:AKQeGK4<rVHKfg%u<Vqtp<hqtp6dqtp<hqtp6cqZlZg
+G>?$Lq"aa_!;_3~>
+nb37_r97p?p@S@XoCqeKq=ikA#PIH0@F+ZBnc&7_q#1$ApCHulp\=OXp\+=Tp\=OXp\+IX#kmTV
+ECdb5oCVqS!quB`J,~>
+o%=B(hW<0`?JO8ig"H8Tq:Y;jq:XcY%+s7][7@OUg=+X&eC+<Cg!gP]eC<%!eC;sreC<%!eC;tD
+e-FXTiEJ"1eCFEF!nPlIJ,~>
+nbiFe"lX<Zs8;fnqYg3br:0[[r8IMXrqZ5#f`2!ErVHKfg%tsLqtp<hqu-?pqu$Bhqtg-c#Q"IP
+<hfWks7uNlqLA~>
+nb34_qUoG:q>L$Yp[RtQpYkfNp[[`\e,T=7rq?EfrV>.@"nq]bq"XU^p'(3cq"OOVqY(9ho`';8
+SH&<^qtC0cp\97~>
+o%=B(hrDRKDr9@*g"H8Tq:Y;jq:XcY%+s=ee46t,h9sm(eC+<Cg!g2SeC<%!eG[i"eCE+!eC49D
+#h[r!AiPD$f\ZMT!nPlIJ,~>
+nbiFe"jL\Ss8DinqYg3br:0[[r8IMXr;ZY0^Ams*rVHKffDGRF"oJ/lq>1!fr:g'ns6tM7NrS\M
+q>10gJ,~>
+nb3@bpVgL0qY0[Vp@J%KpA+IAp'13foOPN4o)8:_q#1$?p\spkp\+:Qp@nR]q"G'fqrrAuM#-N8
+qtC0cp\97~>
+o%=B(hVbP-K&GJ>g"H8Tq:Y;jq:XcY%+s7mg.ImreCiF&eC+<Cf@9fM"k;#LdaQ_FebIW"f]1Om
+12bmngABA$f$r#r~>
+nb`Xjr4-7DrVZKiqYg3br:0[[r8IMXpAb#'[/KRprVHKfg&(^F"oJ/lq>1!dr;$3ps6Zj`K)5?A
+q>10gJ,~>
+nb3@`oW_Q&p\+4Pp@J%KpA+IAp':'`oO4rumJ6bU!;QNgg%YF>"o%``p%J.Xq"j^ipAX3N8pp=)
+qY('bp\97~>
+o%=9%gteDcQ/16pg&'Ftg%!_jg#CQkf[Jg58!;WQgXam(df%SHeGRi#eC2joe("<GqU>]$k0oAH
+@fG!Ve,n4Nc[Y~>
+nGELfWa3X?qt^3erV63dnb`.[iVNlUrVgQWpAP!hqYg3Bqu-Etqtg-`q"ad`rVZKgs8N8n>&X<<
+rV?<jqLA~>
+nb3@_o:f7#oC__Kp@J%KpA+IAp':0^pLD>8q"ap`!;QNgg%YI?#P[rbo^qhMp\jm`pB^Khqs79r
+pAapbpB('_pj`~>
+o%=9%gY@]NVV0`'g&'Ftg%!_jg#CQkf[ej68Z^FqgXam(df%SHeG[o&eC2jndF-LnrRLbo#h\/#
+eiZa\j4O7Y!nPlIJ,~>
+nGEFfTNp"?qtg9dq>Bd[q>B4K#QO_`FP6Tlrr)]lpt>NTr;HTlqtg-`q"ad`r;HTlq>1Ekr;To"
+nc/4VqZ-JC~>
+nb<(V#FJK9nFZAHp@J%KpA+IAp':BchJLd:qt^6c!;QNgg%Q$Pq>'g[p@\(Mp%J.Tq>'g^pB^K_
+p&7lcm/HGMpB('_pj`~>
+o%=B(gYRKE[+<sbg"H8Tq:Y;jq:XcY%+s@i`)F/!h:pN1eC+<Cg!gP_f%/C$e'cXkdaQ^rf%/CJ
+e-O^[ioiH]cJ["Fe,n4Nc[Y~>
+nGEOkT3^:GqY^6iqYg3hq[<?!r;6Ehqtg3dqtg'aq>B4K#QFY4H,fmVqu-Bipt>QDr<`E!qYBp]
+q>1!drr)Zi#QOJrAQ\a-qY^3mqYU-cJ,~>
+nb37[pQS\.n+?VQrqH?c$hsGjq"ORWp\+@Tp\4CWpYkfNp[tk5_>WirrqHHf&c)4sp\4CUp@n:T
+p@n:Tp@n:[p\"7YpC$]hp@n:Tq"a^[p@eLX"82B^q#:*cpBgQnn+^6foDA4Sr:^9dp\97~>
+o%=B(h;WrM^=V/qg"HAWrmpnun_!]k!8$5]+5#?&R9$-AdFd%$eC)dmdaHXpf$r:#f$r:#f$r:#
+f)F1lf)=)2f$r:#f$r@'f[\R%eBu[le'uqIf)!l&f]_#J7l])Ue^jZJ!nPlIJ,~>
+rql`nrr)]k%K6>#ZY9=;n,<4arVZHip]("WqY9p_r;6<cr:p-`q=j[^r:g!brV-6drVufhqZ$Tn
+rVuigp](6iq>'maqtg?irVuonqu?Ncs7QE`r;$BaY'[MSs7uWkrVHp$q"Oaeq"FO`rr)curr<#k
+p\k+.qY0sgrr<#tq"spfp&F^^s8W&pqYU3grqlZlrqdN3oDeIWs8VinnT.g^s7uQirr;upqYBu<~>
+rq?BdrqQ?a%JKbcVHi]jkP+`HqYBpcp]("Wp\=LYq>9m]q=s^Zp@RtNp[[qNq""1Pq"sgUp&Fsb
+q>U3ZoD\U\p%A%Qp\+IWq#1']pAXaSqsaRPp[nLPVf]*;qXja^r;-cko(`(Qnau\RrV.N2qYTaN
+q"X[]oC2JLp\=U[o(MbRnGi"OqYL!\p%J.Srq?<brq70.melPEr;Z9`l"j;Es7H*^qu$?gp\+B4~>
+rn.8(rn@5%%G^:)Q;$6%dbim9gXt*Ve,7c#f@\d,f@^)R3RuU-f@SI"f\"X(e_&X.dFI.0e^iL+
+c-Y4seC)doeC;t$f%Ag4eCNL,d+cq'cI^Y.d#2"ggYCBZfJD+1e^rF-e(!%*e'lh%g"P*4f\>-7
+cdUY(h;Hu;gtg`>h:U0,e_SU4d+I(-f\"a,f@g/SrR_&"(Z<TocdLV/f&Y7W2R;Dpg">$5g=b'+
+c[Y~>
+rql`nrr)]k./gN>U1qT^s8;Zep\=OZqYU'_p\=OZqYL*dqY9j]q>1!fs8Dlps8Mus#Q=MqrVQKi
+rr)lsr;ciprtk8%rVZZpqXFO_s7u]grV>j\]hc9<p&G!crV$WorVuinrVl`kqYg6iqA]J6s8Vui
+qY:*iqYg?dqZ$Nirq6<es8VihqtpBh!rMrprVliq!r2Zfrr3W'lMpnVK3?.mr:TdZqYBp\pA0:~>
+rq?BdrqQ?a.JB]sP[(c,q"4.Ko_&"TqYU'_pA"CXq>0sbq=s^[q"OLXqY9g\qYC'gqCD@6p%\7T
+q"jper;6<cqYU3hrVQ!Sq"OU]p$;PMs7H<\q"3_I[Rdk$nG`CZrV$Wjq"jdZq"a[Wp&4O_oc*c&
+s8V`[o'lYPoChkHoDA=Tq=+FVqYg!Wp@eLY!quEarV?Kg)"[Ims8W#cjnSZ=HrRlXp[[qLp\FUY
+p@s.~>
+rn.8(rn@5%=koBlLJ4\Bj5&A=e^W1#f%8L(f@JU+g=Y05g=Fp.g"+g/gt:<5gtCQ<gtLK4f@\[(
+e^rL.g"=m,f@\d1g=sm%g=P*6f?<%&iRHf5g=FF*ROjl[dbr^Ue.'sWe(*%'gtLE7gY(31rRV##
+)qrs*jP&/=g#q8GgtC0-gY165dc8p6hpg60f`'J(f\5!Vg&K\Ae(3",hqZPugu$Ri2ko0_e'uq!
+f@JL#c[Y~>
+rql`nrr)]k&cL*uJU;gjqt^9jqYL*dq=sjcr;QWrqt^!cp'UQhp\+CYq=aU]p&=\=q>C-bq"jg]
+r;ZZaq"jpcq=jUUs8VogqZ$Tpq=jj^s7uZjs7X!/YlFInrr2lprVHokrr;fer;QNkrr)fqrZD%6
+s8DN^s8Vrlqu6TmqYU<irV-?ap\4I\s8W#nqu$9d"TS;noD8Id$hj2hTk(P$mdp)Fq>U-ip\KC~>
+rq?BdrqQ?a.JCbnFDc-:oC;YOp@n@Wq=sa\q"a^]q>0jZoCMPEoC_\EoC_bGoCqbRnh9Y0p@InK
+o^hhSp?_DDp\+7MnaQSUo^VVOr;$!Uq"":Rq=XaUZ<"%*o(;hVqYL0f$1.Kdo^MVNo_J=]q#C.3
+p%8%QlgO]Io()GIp\".Nrq?-XqX="GoCr+Xp\"7Sq=PF$o^qSErqufbm.?`RYO1TDnauPSp]:-a
+J,~>
+rn.8(rn@5%>MQSdA6iTHhV-lAg">!0f@JX/gY1E:gtUQ7f$r7"f%/C#f%8O&f%JO%e^W4(g""R%
+eC3%(f$)Unf@JI"dEpn/f@/C.hqQc4gXP'1gt:W:Qo^8de^iO2g\f_2cJ7@0e(WU/gt_k_+l(i&
+eD/d*e`5`FgY1K<f[eU2g"Y'5dacn!g>1T=f\+sRf+[,of$N%,hVlr3g42MQd*0nce(+HK!RoAF~>
+rql`nrr)]k')hWA>\eH]p&G!gq=sd]p\+FYqt_$,r;?Qmqtp?lqYL6lrVZ]jrr;rrrVuosrr3'!
+qu6Tp)u][3rqc6[s8Viap](6io_JFbs82EZKZ!Tbrr)WjodBV8s8;clr;-<eqYBs`qYU-_q"OF[
+s7lHjs82Wlr9sCLp\b!drql]n"oJ/lq"OgcrY5D2qu?Neo]kfCo(&5IV>^Ggq"jmcqLA~>
+rq?BdrqQ?a&,,Et:LIo9mJZeQp%7qNpAXa^p-ANMq"jg\p\F[Yp%nR\p\XRXqtU!drqcNfq>:-g
+q=aX]r;-3^p\FLMnbrIXmIL/Mp@%YJrVQ6Rl[?J<s7u<dodf\-o^qhPqY0^Xp\"7Qp%7nLp%J"H
+naPr?qXF(Ts7GmXp#tu4o(VqPq=ag_"nqW]oCDbTq%W]#pAagVn)`a-lg'a/T_SKXp%S7[q>g;@~>
+rn.8(rn@5%s4S#Y5"nuAf&kfDf[nd-f@JU,qq46kgY:Q>g=k?<f\#$:gY1N8gtpf@iSiVKg"Y9=
+gtUE7gYUZ<f%Jg1dF@+5e^2k'gtC--g>LrDdaVd%f&YW<rmiUMe(*"$gtg];g=k34f\"g-f\"m.
+d+-Xph;d2CkN:LLgt9g#cILY'f\G0ZgBH9_f@JL.qqDh?g=YH;eBu=ZhU0_r0SA-<e^i='rn%8&
+c[Y~>
+rql`nrr)]k5Q1VPBj7\=nG)eTr;HQkrVuclr;HTlqtg0`q>U?fpA"U^p\Xpdq>0sfs8;Zeq=s^T
+p&4g^q>^?hqYBs`rVca#r:fscs7cNkrsJJdpAOo,nbW7Nqu6Elp\sjmr9s(Ms7l9_qYL0ds8"_M
+qu?Qbqu#mRp@RhDq>L6kq#CBlq>'U[q=XCSq"OIWq"OLUp\=R]qYTpXrV?3cp$nSQUA=EXrqufm
+s7lZkJ,~>
+rq?BdrqQ?as7TNV?;R?ikj\08p@n@Wq>9jXp@n=Tp%7nHoD&(NnFH>Fnb)YLoCV\NqY'LNoCMP?
+nG)bJo`"RXp%7nLq"t'hqY'ILq>^![qu6NknE003oOdF]puV8KpAX^kpZ^o6q=="Go^r+R3qW+8
+p%e7Ho^q;3md96'o(MbQo(rC[oCM>CoC),;o'u5AoCDGAo(2MIp%IkDq"4.Mmcp*7Sb2@FrqZTj
+s7lZiJ,~>
+rn.8(rn@5%=k_e^8ihmgdFm1+gtgf@gtpf?gtgfAgY1B5g"tQ;f%Ag3fA#-9g"P0;i7uu;g"+^"
+e(WO)fAP?7f[e[+gYUoLi7ur9hr`PIiT0"Xf$)b&hbV_ThTO^RfaZTbf@Sa&cJ%1.e_/[1rRj9d
+f[SI-f[AL0cd^RqcHatnf\P3<k1nYCdbWU,eCW@)e(<1$eC<%"f@eg0daQt&e_AU#Ho$<)dFm7P
+fE0[Tc[Y~>
+rql`nrr)Zj0)FpNC;]H=qt^6ks7l3Wp%eI]r;6?cp](0is8VumrqufrrqcNir;HNirr2ipr;Qit
+p\=afD>a8,qt^$Xs8:s5meck\n&i2Mh":XHe=:lW[(4Jo]=PP^[^NTBP`_fGV4jomY-+n/Y-+t2
+[C<-/\'N@D`5^-H]<euUZbF_l[^`ZU\[JrW]=YY`[^EKL[C3QBV1"2[X0o+6ZF#0fXoJ=uqZ6Qg
+rq?EhJ,~>
+rq?BdrqQ<`DY)js@(bUtoCMbTqXj7FnalDGp@\(Knb`%SrVZ?\q"FU_q"47Qp@n7Qq"XRXr;$3f
+s7u6WqYg9bp%A%NoBcAJhU^o`o_IaiZa&*Ls81$)F-s,:aLAXe[C3KN[%`S=T;eHPUoC;kVl-Jl
+33&m[YbISja2Z'1^W=@#XK]"4\B(hWZE:O@YctIA[C!6EYck77Z*L*sG_CmMYc4S%Xa4'IrV-<d
+!VcBgpAju=~>
+rn.8(rn@5%HeR/p8OoN#j4r>Eio8_Df%A[0gYCQ;f[o*;h;dMLg>:WDiniDDgt^`?gYUfBhW!GK
+i8WPBf%o9?g=Y'2f@JC/gr-kNgY1Q2WgT3deE>u'IpR_mS$&9OS!]S0Q^3GLEJ9I-JVoMKNfB$Y
+NfApWP_O^SYck1*V)>ESQ]I>qPFeqAQC*l*R?j/,S"#k3P`q8nPE_>dK3Mu(M3EmYOcs06Mr<=B
+g"4g+e^`-pJ,~>
+rql`nrr)Zjs8NU[=(Qi?G_1m<O+V_'I>3OVM1:;7KQ1^<CMRKoDe=?KF(Ap%EIMb;Ed;eKG^G=-
+JprB%Df]l:Fa\adG&;AMI<T^MDfBf0BkN*PL1taho8.KjB4GF\@:!8G?!'cn='\m-=]SR'<)cju
+<aT<E<`X-cCN=]HF)Gf)=]8.'E_otNA6E5J@9Zf7>%(cE>[.nJ?X[5c6toS1B2`SZA5Q3sp&+gb
+"o.idq"X]9~>
+rq?BdrqQ<`s8NUT:gS@#EI*:tM1'GdGCG&@JOP':Htd"q@q/eOB4,k1D-gXbCNsK#CiaN3Ecm%j
+I!C*bBl.U"Dg-JLE+a*5GB%G5BkhNm@psh8J738Jl[s"P@:*AJra#P/7oDfF;--Uj;c$:d:/4S]
+:fpt+:JYYF@qp")ChI<b;GBbcCe@]6?;js2>?+Nt<*WU0='&O.>Zc)4A56K@:1Rd=8kb`Dp\sjf
+p%S4[pj`~>
+rn.8(rn@2$&`_qX1dYJa=(?)iF(\ca@:s9QC4Bo/APu,j9M@oH:e4l'<CTPW;d`Bm<*NF(=BfNW
+@U<SO:K((d<F&s9<_le(?Wg?*;,UFb91``-BM;QLennGN8Oc*86:!n&5WUML3BoM_4#f2Y2E!KR
+2EO#b1Gqp49N,+t;G0PG2)@!Q<&-U+7QWk'6TmFi3^5bi3]\3B4[2#0,"F@S757D)6SL0Be(WF*
+e^W."f$r#r~>
+rql`nrr)ZjFoV"&JV]JuVm!hYc,.-/a2Q*?aiMK?_S3@ZZ*CC8]Xce]d($^0ch>u1dbE*ea4'PP
+k3W-Gg;1\Nht-jGp]&^TaiCp;rVcNDdE1kPs5a.Ns7l*`p&4jeqtTp[pAb0lrr)ckq#1-gqtp<h
+rV63drVumOfUHuNSV<a$s8)ckp\;D1\$O$"g==3T]"c"n]=PSc]t_J[]'7&crr2Zgs8Vcls8D]r
+q=sd_r;(p~>
+rq?BdrqQ<`Fnt=gH@_!YTVo6<a1Jai^qILu_8*dt]!eZ:WMu\m['S<Cb-JFmamd]nbgjhM_9M98
+i9(%4e@WE6g$SS/nb^S>_niY#p\47,bJWT8qV:c1qss%Pn+leSp\4CTp%eFYq"OLSo(VkOp%A%P
+p[RkJpA=_Ad$&:.Q@>7]s7?3\naa,nZ)ta_eBbq<[(3cX[^ENO\@TEG[H,!Oq>'OOq>9[Xs7?6_
+"nq`equ$5>~>
+rn.8(rn@2$Fkk6e?"Ir?L6/%3Z)FCoXf/1tWi;nmUS!d3P*1ffSX[=9ZC7>bZ.QUc[(W`BWO't'
+`m!N!\tPn#^XM&qfAj91X/VPmhr!/!Z`DL-ilU35khO\Qg#1fEgtUQ:g#:oJi8<DHg>CcDh;-rE
+h:0p,g>V!E\U7D'Ht7ZEj4<8Fg"N$cR?aYT]XOi1S=c@AR@'A0S"68(R)bi0gt^K6hr3&?jSm^7
+eCE.%g"=W$~>
+q>:!c&,H7orr;]epA4ggmJl/#s7uQss82KZnFQGMr"&N#s8Vfis7QEbpAaR\q#C0fq>2!(s8Dij
+s6Td^s3KZWalWQos7uQkp\Xa]qt^.#s8)0\s8)B\s8Mubs7,d^iVNl[nc/Xco`"L]qYg0hqLA~>
+q=aXY&+obaq>TpSn+-8Ijo=#_s7u9lp[de:kj.a1q=Y?gq#C3[p%e(Rn*p/:rUU!apA+@toD84S
+oDRhMo)?\_e&1)>n,N(TrV$*^q=XUX&bl(mkOefGm-XQ@p?2J@mf3"Op$q_\rp'OZp$__FrV-6b
+J,~>
+q:PMr&CfIYgYpZ6e_B'Ad-Schm,.Zq#N4Cgda?Rth>,n<f\krPf\PN<iRQN:cK!R>q:tf%(>Ij+
+h:q&:jkoC2`kALrjOWMJgu6uDptPZ#&_c!hbLkt1e^i[9gs+p)dGrpNg[Wr'jO!#Gf[AR'f\$,Q
+!S#GG~>
+q>:!c&,Z;)nGiFUs7?9jr:k>fnG2tes8;Zao_/.[q>:BqrUf^\rr32pr;Zfkrq#p_q>2!,q>($c
+s82ilPc3TqTPElis7H0fp%nU^qt^.#p&G'gpA4ghrUTsfs7ZKkiVNlPs8V`jb)PK\qYg0hqLA~>
+q=aXY&,,bpli6_Ds6KL\o^HXEkkXiUp[mtAm-aH;q=Y<pp[7GDr;$6XpA+aYq!IkMq=QZ?oCMbK
+q=XXTN1enSRUkUSrUBO[o_JCWp@\.Pp@\.Qp\+@Tp\+@Lr;-$RoDJOZlM(>Yn,*+X%/'>ep@\.P
+p@\.Pp@[qK#OVKcmJ4_Whu3<Ipj`~>
+q:PMr&D#Ihc/dU)k1&DUhq_CNe_g5Z#2n=je^`:+ptcM?hq$?9jPf(Igu%8GhUD8Tq;!sdgY:Z@
+iSEPLH&]eWKMKkKimlfCf\PH>g"Y37g"Y38g>(E;g>(E0gtpZ5g#_>Pe(s0IdbauV-em>/g"Y37
+g"Y37g"Y35f\+p1f\+p1f\+p1f\+s,j58>@W,'9&f_j;$eB`X~>
+q>9sb&,Q=ps8ViLOQZ<:dohA(r;-9prquWfq"ag^quHBfrsJMns8)cdqYgHkq>'saq\T;(p]($d
+s66#>meQSHG*_q'o_\[\qYg6eq#(0l%/f_os7Q<irposWs7YFK#QOVss3tdoa8Pl5p]1/@~>
+q=aXY&Gc)#m/-YLf8/>Oq8c<Vq"4FU#5Ioao()DFq">6dq>L9inaHMMs6]LSr:]dYp\FIuqX*hL
+o(N+DPE4krnEY%To_e4Qrq#s`q=aXY&,,hsp$D>FmI^GQlh'NCnDX'GqXX:ScXgJ#rV-6bJ,~>
+q:PMr&DGdsc/.:.]lD-GjL.0`j5'Rd#2\.hf\"m3ptQD0hrEbVf@B!:im??4hq?WWgA0K3i7$<9
+f\GW4IX9Dsg='/Ig#:K8i76T=g">!1g">!1g=b35g=b35f%K!7db<X1h<<\BfZrL'f\"m0g">!1
+g">!1g">!1f[e^+f[e^+f[e^+f[e^-hUpQ>Z:I<Yf\$,Q!S#GG~>
+q>:!c&,lG's7ZKdIq..-q8HdMrqZHkr;?Hdr!rN!r:g$dq=t!\p](6mrqZKfq[3AqqZ$9frNg1c
+rVlg!ZX`%prqlikr:p*bq>:Bqo`"jbrr3)js7>p_rrDoSqZm/trpFlE>/U=8rV-BhJ,~>
+q=aXY&,Q+sqsjOPH!AYdn[_c$oD/(ZpAFUXp($Zdp@7bLo^i+Mo(r1Zq>'abpA4FuqX4"OnFu[Z
+@*80<qY[I$htm-Cqt9j\q=aXY"T7]^p[S7Y#O29Tmf3.[o^MPip\+@Tp\+@Tp\+@Tp\+=WoCqEd
+B2u\Ep\af:~>
+q:PMr&DPplhULB4?UVH\gnmK,hqe.`s4mP,pY6S;gYCE6hUg?=d+$n+hV6c;g=b35g=k6VgBulg
+g>CK;h31F:i;V_7P=*:EgY:Q8h:UB2f[e^+f[ea-g"4p/g"5$)gY:?;io8DMda[@6h:1$,f[e^+
+f[e^+f[e^+f[eX'f$r:#f$r:#f$r:#f%/^2h9Ahi32,!Wr71nuc[Y~>
+q>:!c&H2G#s7uN.CNn8-nAJhuq>:$bs7lipqtp6dq>'pos7H6hq>^K^o_ndkp%n[`r;$4+r;-Ej
+p&E]fD>E`%qWP^b_=[d'pA+a[q>:!c&,GktqYC0gq>^<cs7+k<s5Eh[o`"lES<Z^prVHKf!;_3~>
+q=aXY&Gc+os7Q)uAT,ckjg\@Dme-GMs7HQhp\4CTp%e=mrU9LXo`+sTn,*.brUBLUq=j^Y7ecTO
+p[J+1DeAS)q=N^Z6G;pep@\7]oChqPp\+@Tp\4IWq"ORXp[dhNoCDqQnbVhGs6A,'rV$!Zp\+@T
+p\+@Tp\+@Tnb3=_mJ$X0Q]OY\rV-6bJ,~>
+q:PMr&DZ!ljkAI`93ARbc_<eGf\?8Us4@M.g=k65f_O59i6p?9fAu#9dG*[<hpC!.g"4p/g"5uO
+@G9Ahg=+rg<D;&nhqH)A-(r]Bf@JR3dFQgueCN.#eCW7&e^r@'f@/%'f@]3?g>gr=k0CHbh:C*,
+eCN.#eCN.#eCN.#eC;prdaZ^pdaZ^pdaZ^pf$W=9A9r;FYh7V+ecF:HJ,~>
+q>:$d&c;Lus7cNNO/6LWs7i"Ys8VumqZ$<jq>L-iq>'q!o`+m?WN=nTs60.Krr2chq>C'c(]"+2
+qt9ub;kF$hqtU3);mP`dp@J+[o_JC[r"&Pus7?9j[>_2ps8.VQs7kRM#QOM>QN)G7jSerRp]1/@~>
+q=a[Zs7dZ,s7?*BM4\/;o^.X+pA+FVp@n:Tp@n4Pp%S1Sp@e=V&+BGkd%mSks8V-KnG2nQoD/.V
+p)!AuqY'FVT2(aQs7Gp[\5'6kq"++Qs7H-]q=kKjo_n.Qq5o=GXnhU?V"jN>pBUN__N4_C:uD6G
+r:kd~>
+q:PMr2qusFf\aM`Kh0PHf6;l*j4W)<f\+p1f[n^,f\+p1f@np3g"P-5g!\a3ZA4:Jj5Io&d+R+&
+e+qVqfH&Ytg">!1fA598e)#[2HfjJCf%ulMONH2(dF[:&q:,5j&(/ncd,<fID2jk=g1?&oddkoX
+dL+L[eYmWN>r0@Mf_j;$eB`X~>
+q>:$ds8*>us6f6LYde$>q>[/Rr;HKgp]L6aq"Xja!;lTi&,?1:I<f[mqXC`JmJ?kZq>'saq\T&-
+q>L*eFBJ;1qsa:TR"*?Mq"a^WqtU!aq>:d'q>^3hgN-k1CVRK-ec5*sqZm/TCA7+5;YL(crV-Bh
+J,~>
+q=aUX*qB9skb+r]=9%aeQ/;$%p\=LXp\=LXp%S4Uq"a^[q=bEkqR1WjBT;]NXPN.7s7Z-^p]1'a
+p)!>uo_A%QDc?/no]bl<PBt@=p%J1QqtU!]q=kKroD.nTe8&8gA%8mecN!.fpBUWFA+8\r:%A2V
+r:kd~>
+q:PPs3830?k0qY3P+"Prf&M1uf\5!/f[e^+f[eX(f[ea-g"4p/g"4p/g"4d.QrmB[Dq3$f]#N4U
+e'e*C+kP;rf[e^+f[eU.f%AO*;)QkOfZhmsF^1rkeCE-sf@8=Hde_E)e_/F-eE"2?6p=;9RTHcS
+ajfk/o?dopi42G1b=jV>f\$,Q!S#GG~>
+q>:!c+8bm0p!7LOP@a:]s8Mcjs82Tfq"jd^q"jd^q>:$drV?@%s6>2qs5/*jS9ON'rV5g\q>C'c
+(\n%%s82RmC]F20q>^JE<q-+`s8VQ^rV??dr"&i"s8VktFN3Ku=CIg$o`*nI$M'LY^;F;NqYU-d
+qtbg~>
+q=aUXs7IB%b@gI,?L%(Uo^2/JpA"CWp\=LXp\=LYq"jg_q=bErjaDsbg2rUHEpWi$oBH5Lq#'mc
+p)!>smec_L;J,mts76'eH;X),p&+dWo_\IYq=kKrmecnOW,9<-Io0C9rU'L@pBp5HS@6+67J6BK
+pAFXbpj`~>
+q:PPs&_c$og=EK&g2f[-f\P<1f]1WYf)OA%fDsV$f+?Wja'WTA]N06%;U"+Pe&g>Aec+%qeGe#8
+e(W1)f[VfLj4EGEhW.rucJ$e$g<7moq9o,g&_5R[hVZkD;l.KF2aD`Kd+d(?dM^H\dF-FjdF-Fj
+dF-FjeBrJoT;+V$f\+p0rRM#!c[Y~>
+q>:!c2u`ONnS+PND-d&=q#CBjrquZkqu$?hqu69cs8(?daM#@)^9tT1s8S@Bp](8cAm+^"q>^Kd
+qXOFnq>^-fr9mI,rV?K_s63.3r;-Kjn,!Xqq#16gOHBG=kuM6mqY:*Tq\&r$o`+sap&C,-R!"3\
+<WE!or;?ElqLA~>
+q=aXY2u3"@lsuE6AleR!nbDtMp\4IWq"ORXq"aLSs7OmW_mm7g\$!*js8%b/nG2pI?W6=^oDSOR
+p%%hgp@S=Qrq>SKEqf2*lMom4KDtTEpAk!WpCR/kp\aT=M>$W%:KmVdnc&7IpCdJpnGW=Unbn8k
+ODTM<:&ahZp&=[bpAju=~>
+q:PMr&)>[kcUW:n8ikSZeD/m1gA0DFgXFg8f<q?LR$jM6OdE]?hK!A^io>PX3RZR5i8)c1eC=KG
+r6bMls3qe7eDJa6gs7ZViSE\FkfG;df[eX'eG[hde.C<]fAG+qD;*[a2*g*Qe`#*Le0!,gdaZ^p
+dbDsif\4QphfER]>&,lOjP/A?f[eX'da*F~>
+q>:!c&-)J*T;eL"C0pQ3pA4[^s7uR7rV--`hl;';F_t`$C5B^ul]7_=qY8!IQgjeMoCDq\nbWjm
+s7Q?gqJp9Gmf31XY\9Qkq[`W)qtL,OW:9?W?%r4Vrp]1L&,H8*oDS^V]S#YMs2e5Xq"jpgqg\~>
+q=aXY&,PkoR%g"[@or'ln+62BrqZ:2q""(Lg80"'DeEE_@tD5YjG93'o'j;)Om;N:mHsfHpAF[`
+q"sdro_e4Qp@N01o]Q,En>]rarq>^Q&GH"onbJ!7l0A:LIeEX5l1XE:&,#u%n+m"J[sR6.s1qB@
+nc&4[p&Xp_J,~>
+q:PMr&)GdmH\Hj<7QSoMdam%#iVD.Qg=4^)]SBWY:Id`:7V&+<b&2doh:ni*H.(F-e'Qq(f$r-r
+dF%p=s3^kps3qk9hUC<;gf-o&eE,T?P"9oOf%/@!da?M5e.C3ce^</fKZqa&4Cm4+h9FO9e/6Wk
+gW\7+`gLGgip<g,:Y4@Sf[eX'eC)Zn~>
+q>:!c$3'VDSbr-UP^!$(rrVugs7uTmp`9A6s82!4bhMdis7c6ds(&"uo`)O8U%A0]q=t!hnbWjm
+rqH0as/9N/s75X;@Wh>-q[`?!s7cMH_Z0Z&<.jc?o`+1Q&,u7nrVbE9@"eRPo8Q=bkPG,Vqg\~>
+q=aUX%dqE(o^D=0E:j2.q=3nKq=jp\*r5j9p>XTAea<A6nF-,O?(UBKs0H%$mIg>IoDA@Wr:g0b
+qtCWnq==+Ls.Wm"rTre'>]9*1p?_MbmeutOpO9aSrT-b$lh9`Gp?MA_qXO%Mq:1[5I/iR!KgBV7
+rq66`!VcA>~>
+q:PMr&),F3H.UKoE)YBKhqZ`/h"fY'eK`i/j4M;YVR=e0hp^'/k!OpRe``SrK@S`7g",!4f$r-r
+dF%p=s3^kps3q_5gXXj/jbcRlkLS,"6rh[ff%/@LddbfucJ@1$g0pT5iQ3f^dG342f':a%f?VUk
+f!96XBC+=&E%4r/g"=s.f$r3sc[Y~>
+q>:!c&-((>])VH'ASBQaq#C3es7uR7s8D]`p%nITs8Mrmp%%qYr+WV>s4j/TM?!VEs8VWfnG<^l
+q"X[bhMA].s3Gt+gAgF7&,?##s8J.YkNnmUC?4Z`^ZkV+qY'shd</;r=8;ZY1L3n&qYUBkqLA~>
+q=aXY&-'h0Zi9Bf?=D(EnbD_IqYBk.qtTaMnFcD@qY9aTmd'HBojY*'psbR5KE(u9s8MB[pA=U`
+q#'mdp&Odbo*kWNK!OP=a`D%Ds7Z0PpCQofq"sfCT]"q#@:S-RW4;QdpCR&hs8U>`9jUWbo8Y>%
+95sS$p&Xp_J,~>
+q:PMr&*'g/QJp5G5t%p&eD&R*h>,_Kh:gB*db!$rg=Y'/dE^>%gIR[oiOsb0CZsp,jPeD<f$r-r
+rmC_ks3^kp("Cgef@JO+jM5N#d-7f>9=X'8f$r4JddbfudaZq(g22J[aaQZK_o[q/f':a%e'Hq/
+W_P$/38<;6'Ke*Lf[eX'eC)dmc[Y~>
+q>:!c&$T&ETCUC+O-\>coDe^crV??ooD/=\r;Q^4o_/4_s8;cms/'Vjm<>U`FQNPks7u-`nbWjp
+pA=g^qu=TUP(%eaq>9mMq[`_uq#CB=LQdU_VcR;A=FfZ5&-)=hpAb-bn,N4Vq#CAo^\Ra,qLA~>
+q=aXY&$&N6RdJ=lMNQ9Omec_Pq"aY,me$8Hp\b$en+$/Mr:fp[r1R`VkAd>HDVtBVrq,LPp@J"k
+p@n+Nq!dtQ^28gRG-(</nb2\BpCR>moD8@*JrYPKU/G6-;LA-&pC[Gqkjn]Kn`p/Gn+-ASV7QBo
+qtC*cJ,~>
+q:PMr%ui>1I*\sICico,d,!@-gA0DFd+6n%g"tZBdF6e*hV$T:hh4\=bu]m9<lO(EiRc</f$s]I
+r6bJk("Cgfe(NL,gYel-FC8F>g"Fm-f$r4JddbfugW\.#gSeY%B6Anc5=db?f':`thp03eg=OWm
+k1eM?iS]N^f[eRNdK.bAJ,~>
+q>:!c&+$@Ikl:;Dp[J1^r;ZTjq>'sfruD"2o^_PPrV?0Zo_%tLs.Y=P_Z-'*KA-A'mf3.Qq[WE!
+s7c9fp%H2Ls6BINr9=(hqY^BbpA_h5]DM3;H[r-Zl2)"bs8Vrdp](9bs8DZjs8)ckqZ-JC~>
+q=aXY&*Kh:j8\T5o'?,Op\jaYo_J5)qYpKhnaGl3qY9^Qn*fc:mJi].W4`(n:jpjlpZ_SJp@e1R
+rq6opp\OFMs6oHgbl$Ppm.^5Ilh:taq#9^Os1#8@p?oY<H_fZplLtk\rr;][oDS^Wr:ogXqXsm^
+qtC-dq1&~>
+q:PMr&'9X5`T#:heBQb.g#(B6f(muCgu.,Ee'ZLegtL?.dF$Fnd,]dlNhYQ[2Ij>Vg<AC)f%/@M
+df%SmdMC?`f%AO,h:L9?e_$V'il]p"g"+a(eG[hce.C*ZhTjO-RZWuid@j]LMT+03e.L$]hp]cq
+g>UH:gXP$6fAY<1rmLho!RK#@~>
+q>:!c&,l;#s7?*bs8;EcoDSF`s7uR!qtKdXq>C9mp\Xmg&H2Xsrq,pSmJhrnf)P^=s7Z![&,6&#
+r;$9bs7uWio_eaas69Cbp&G'^p&FmfrrqijrVcWnkkbk_p](9ioCDq]nGiOTp]('d!;_3~>
+q=aXY&,>biqsO.Os7bmTmeHANqYBjmp@@_Do_84^o(MqZr"Jr%s69@Jna,K9Jpl&Hq!A%Np@e1R
+s7R&qq"OOTp[\@Up[mqKs7?3_p?VGanbiFSnGi1[s8M9_q"XRZp?D;]nal\Yp@%DFrp0O[kOSNH
+pAt'bJ,~>
+q:PMr&),Rdh9ad,j4V`3d+["+h"fV1f[S@!f%Jj;eC`RUhA+i"ilp3+eBc=oARMn)gWnj.f%/@#
+q9o;ms4.e3g=b02g=>6:h:g<2j4<,=f)=+uddbfucIq*td,EO2io&#?gY:E:f'1ZrcHt8"e'-(l
+i6C08a3rVidaJ*A!RK#@~>
+q>:!c&+fhsnc/7]o)J7[qZ$<hqYC%2s7l?gs8Mccqu$Bep\=R\s6BX^q>^<fs7$'\rV-?enbWjh
+s82Qfs60L^q>^3hoDeFHq[``'q=t!\o_\UPs6]IYqtfRS&,uV-q>1*jqtL*arUg-dp\F[dqLA~>
+q=aXY&+9Jim/QPPmJlPPp&4IWp%e>*qXa:Ts7u6Tp@n=Qo(2MHs5j1Qo`+UWrp0LNq""=Rp@e1R
+s7R&nrV#gUs5X(Ro_S.Tmf)YJp?VGarq?$Ws6]:KpuVP>n,)hOp?MA_qYU*]pA4[\o(hkOn,N+Q
+qtL-c!;V-~>
+q:PMr&('@fcK!=/cf*1-fAG*4fD4)Cgssp1iS2l1f\+s.eCE.%jN-64fAkN9iQg?/g=4s/f%0iM
+qU5Dns4.e0hq6H3il9p3fA5!5d,<:%f)=+uddbfugXFTuiQ]^"g;i6rdb`[/f':`sf@\[&e(<7%
+db3($ced-tdaJ*As3C\iJ,~>
+q>:!cq>:!aq>C6js8;lnnbU*!nbV5Aq>(BoqYL$`qYL*cJ,~>
+q=aXYq=sLSrqQNfrq>mVp@e:Ulh9Z=rV6'[!;>7CrqHcpq"XUXq"X[\J,~>
+q:P5jq:PMrrn@D*n^mimq:PVrpsf2lp=T;oldYm]s4%"uqq(o"h:2GP#h.5Ld*U1fd*7(~>
+q>:!cq>:!aq>C6js8;lnnbU*!nbV5Aq>(BoqYL$`qYL*cJ,~>
+q=aXYq=sLSrqQNfrq>mVp%J4Ulh9Z=rV6'[!;>:DrV-Zoq"XUXq"X[[J,~>
+q:P5jq:PMrrn@D*o@Wulqq1esq:,;mqUbi"f_X1beG[hqeG[trf`0OZeG[f$e'cXjd*^7hc[Y~>
+q>:!cq>:!aq>C6js8;lnnbU*!nbV5Aq>(BoqYL$`qYL*cJ,~>
+q=aXYq=sLSrqQNfqY'UVi:[3Gp>kuFq"OL_p>YiBp^$]jq"OOXq"a]8~>
+q:P5jq:PMrrn@D*rn.2&rRh&!rm]lW!S#]]eGI\oeG[ttf`0O^eG7Mqe'c[ldJhPoc[Y~>
+q>:!cq>:!aq>C6js8;lnnbU*!nbV5Aq>(BoqYL$`qYL*cJ,~>
+q=aXYq=sLSrqQNfqY'UViqD=)qtSe;q=k6kq"OOVq"OUZJ,~>
+q:P5jq:PMrrn@D*rn.2&rn.2#r7'`Wi7.YPs4%"urn%5%iRI\O#h.5OdF6One'EO~>
+q>:!c!;lWgqY1'eq>C6js8;ln!;c<^!;aP/!;c<^!;b[O!;cQe#l48jp\4IXq>,U~>
+q=aXYq=sLSrqQNfrV$0`p\=d_jnA6=s7Z!W!;QQhpA!P>qY1?lq"XUXq"X[[J,~>
+q:P5jq:PMrrn@D*rn.2&s4I>%rRChps4$kqp"9)krm^koq:,Gqn^IQermCborRC_qg!g;XeCN+!
+eCN*pJ,~>
+q>:$ds82Zgq=sd`rr)lps82imo(^*!s8)<]iqrcPqY1?lq"XUXq"X[]J,~>
+q=a[Zq"XCRrqQNfs7QKfpAF[Zq#C*Mp@7nWp@@tXq#:*^pu(oCp^$]jq"OOXq"a]8~>
+q:P5jq:PMrrn@D*rn.2&s4IA&rm^kos4$kqp"9)ks4$qoq:,Gqo$m]frmCborRC_qg!g;Zf%/C%
+f%/BtJ,~>
+q>:$ds82Zgq=sd`rr)lps82imo(^*!s8)<]iqrcPqY1?lq"XUXq"X[]J,~>
+q=a[Zq"XCRrqQNfs7QKfpAF[]q#C-iq#0sOp@%bUp@@tXq#:*^pu(oBq#C*gpAajfq=oI~>
+q:P5jq:PMrrn@D*rn.2&s4IA&s4%%rs3UhprRC_qp"9/mrR:krdJMAheGn+jeGmtrdJ_MleG[tU
+eGIf&g"=s/f@\a-d=;~>
+q>:!c&,Z2"q>:!bq>0m_q"jd^qYC'grVufpq[`PuqY9p^qY9p^qY9p^qYJ&*&,Q(tq"jd^q"jd^
+q"jd^qVh;_qY9p^qY9p^qtU$^q=sg`qLA~>
+q=aXYq=sLSrqQNfrq?9a"8MWcp\jjgq=sa^pAt!^o(E1[p@n:9pB13dq"ag^"8DTbptk`Kq"ORX
+q"Od_s7ZZiq"ORYJ,~>
+q:P5jq:PMrrn@D*qUkeurm^trrmCbor6tbueFM/meCN.#rR:nsdF%d<!S#Qqe.0pVdaZ^pdaZ^p
+daZ^pdf%Sjde_H7daZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ_@e-O[Wf%&=%f[nN$~>
+nG<^lqtg3dqtg3dqtg3dqtp3eq"kKrqtg3dqtg3dqtg3dn,)qYf_Z*Rqtg3dqtg3dqtg3dhYRi[
+qtg3dqtg9gqY9m^r;?DA~>
+nFd@dp@n:Tp@n:Tp@n:Tp@e=Vq"FUZ#5Irfp\=LXn+ZYQf_5gLp\=LXp\=LXp\=LXhY.QUp\=LX
+p\=R[p@e1Rq"jc9~>
+iRmtZqUki!qpb2b!S#QneG@\te'ugqr6k>e!RfBndLFUPdF-FjdF-FjdF-Fjp<i`b*mrE`da?Lj
+da?Ljda?Ljda?Ljda?Ljda?Ljda?Ljq9fPue'ZOhdF6UnJ,~>
+iVWHKg&(UCU&,,or;-6bqY^9fJ,~>
+iV**Aq=`eAq=pZX#l48hp%A%RqY5R~>
+0A5"2f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\5$4g"P-5g"G$2f\+p1f\t?Ueb[dodKn@O
+dEp7fe'ufr~>
+iVWHKg&(UCU&,,or;-6bqY^9fJ,~>
+0(nr2p@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@e7Sp\+@Tp\"7Qp@\.Pi:d!@q"C`^#l48h
+p%A%Rq=oI~>
+0\b:8g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37g"b<:g>(E;g=t<8g"Y37g"><8q:GDmWmh=*
+e^Mspe(*$tJ,~>
+iVWHKg&(UCU&+ujqtp6drqc]jJ,~>
+iV!$?q=W_?q=gTV#l"&dp%A%Pq"]F~>
+iS41`q:bo&in4([pt2Ut#hRYYe^`7%e^8m~>
+iVNBIg%tOARJHpYJ,~>
+iV**Ag%P79qY$TV!;V-~>
+iSF=dqV;/+iS"%\qUqRp!S#GG~>
+iVNBIg%tOARJHpYJ,~>
+iV**Aq"?<6p@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n=Vp\=LXp\=IVp@n:Tp7V-[q1&~>
+iS41`q:dUVf\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p2g"P-5g"P-4f\+p1f\+p0?e3l\
+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+
+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^)c%#~>
+iVNBIg%tOAU&#&jqYL*dqYL$_J,~>
+iV**AqY&kAq=pZX"SVTaq"Xj_!;_3~>
+iS"%\qUto$0@ne,f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+g"4p/g"4p/f[e^+f[e^+emHqX
+eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#
+eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCE("e^r=%dE@%~>
+iVNBIg%tOAU&#&jqYL*dqYL$_J,~>
+iV30Cg%Y=;q"Lf`#l",hq>'g\p\KC~>
+iR[hVpt"HSq:58iWmV1#daHUndaHLcJ,~>
+q>'j]nbN"Wq>'j]Jbf-;!;:p~>
+q>'j]nbN"Wq>'j]gA.E<!;M'~>
+q:5;jn^[HdqUGSpq9n!GU!`tgaaa~>
+q=aXZnb2eQq=aXZJbJp5!;D!~>
+q=aXZnb2eQq=ZH9q=sd\q=sdZp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\(9S
+!;M'~>
+q9\rcn^.*Zq9UhDdF-FjdF-Fhcd:"bcd:"bcd:"bcd:"bcd:"bcd:"bcd:"bcd:"bcd:"bcd:"a
+?d6pAccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\
+ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\b^]~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat16.ps b/books/ps/quat16.ps
new file mode 100755
index 0000000..0473d63
--- /dev/null
+++ b/books/ps/quat16.ps
@@ -0,0 +1,1267 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait16.ps
+%%CreationDate: Tue Dec 26 13:39:55 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 180 177
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 162.000000 translate
+165.000000 -162.000000 scale
+% Image geometry
+220 216 8
+% Transformation matrix
+[ 220 0 0 216 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 220 string def
+/gstr 220 string def
+/bstr 220 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        72902 ASCII Bytes
+colorimage
+q>0XYhYR9Lrqu<`nbhqRnb_kPq=qZ!J,~>
+q=a@QhY.!DrqQ$XnbDYJnb3%Vo(MnOq=V`#J,~>
+q9\ZZq9\Z\p<iogrmUDcn^I$Uo$RQdcgo?VcM>f*c%#~>
+q>0XYhYR9Lrqu<`nbhqRnb_kPq=qZ!J,~>
+q=a@QhY.!DrqQ$XnbDYJnb3%Vo(MnOq=V`#J,~>
+q9\ZZqTo5in^I3Zs3gnqn^?sVn^6mT!715\q9Jf^`Q`o~>
+q>0XYhYR9Lrqu<`nbhqRnb_kPq=qZ!J,~>
+q=a@QhY.!DrqQ$XnbDYJnb;SHq=OLU`V+f~>
+q9e`\q9e`]p<iogrmUDcn^I$Un^?sRq9Jf^`Q`o~>
+dJNY6s82fniVW0Anb_kQ[J>=~>
+dJ*A.s7cNfiV2m9nb;SInb'lpJ,~>
+iR78Gp<iogrmTiSn^6mTn^-gP`Q`o~>
+dJNY6s82fniVW0Anb_kQ[J>=~>
+dJ*A.s7cNfiV2m9nb;SInb'lpJ,~>
+iR78Gp<iogrmTiSn^6mTn^-gP`Q`o~>
+q>Bd[l2:8Os82fnnb_;AiVWHI^%m0~>
+q=sLSl1juGs7cNfnb;#9iV30Aq=V`#J,~>
+q:"l^q:"lap<iogrmUDciR.2Dn^70Zq9R%)J,~>
+q>Bd[l2:8Os82fnnb_;AiVWHI^%m0~>
+q=sLSl1juGs7cNfnb;#9iV30Aq=V`#J,~>
+q:5#bl.,LTs3gnqn^?CDiR7PKq9R%)J,~>
+q>Bd[l2:8Os82fnnb_;AiVWHI^%m0~>
+q=sLSl1juGs7cNfnb;#9iV30Aq=V`#J,~>
+q:5#bl.,LTs3gnqn^?CDiR7PKq9R%)J,~>
+g&1+3q>0paq>':Os8N&u$i^)#q>:'erVlckp%eLTqYpBlqX41Tptbar~>
+g%ah+q=aXYq=X"Gs8)cm$i9Ylp%S4Uq>0p[nbMqLpAXgdpAXaTpA+C;p4*~>
+g"#oJn^@6\q9o)cl-]O]s4.S.e'ZOjdaQ^reBlG8deV;dd/MGmd/MA]c2#T>c%#~>
+g&1+3q>0paq>':O#Q+Anq"X[^r;QHjp&b$drqZH]qYpBlqX41Tptbar~>
+g%ah+q=aXYq=X"G#P[rbo^qhNq#9mbncJIXqYBmUpAXgdpAXaTpA+C;p4*~>
+g"#oJn^@6\q9o)cl-TaadEp4cd*gDBcMu,jcdLA>deV;dd/MGmd/MA]c2#T>c%#~>
+g&1+3q>0paq>':O!<)los8<6&rVlclp@e=[q>9^Yrql`lmeQ\Rh>)R~>
+iV30Cl1b#Iq=j^Xl1P,QrV6Eg#l=Anq=aCMp%\@Wnb2tVs7ZHbnb2eOh=c@~>
+iRdnUq:+r_q9f#dq9\BR!7^trs3q>)eCE'rc-=Vaq:,8i!7CVhrmCbmrm1,Zq97[>J,~>
+g&1+3d/"7MrVlcmq=jdarVl`kq"OU]nbW7^s8'V.J,~>
+iV30Cl1`Qu%f#krq=jRRp\=R\q"F@Oq=jFQrqHHdrq48(J,~>
+iRdnUq:+r_d*W?PeCE'sd*C(geCE$qcd)@9qU>JlqU#5hs3Ubk`Q`o~>
+g&1+3dJ<q?q"Od]s7cinp%8"Vs8DfiqsjO^qu?N0q1&~>
+iV30Cl1`U!!ql3Wrpp*]#P7KToD&4YpA+IQpAXgdpAXa(p4*~>
+iRdnUq:+r_dEr$Bcd)O7s3Cqqbfe;\f$r+CeG@YodJD5hdJqSmcc+.Z~>
+g&1+3q>0p_q>9FQ"onT!q"amfrs&Gsp\FadrqZH]qYpBlqX41TqVCst~>
+iV30Cl1b#Iq=XRXl1PYdqY0XTq>L?lq=O:Oq"jj_p[RtVp]'sdp$qbOpYGOn~>
+iRdnUq:+r_q9f#bq9nNT&(oF\cd:1ogt:-&cHt%jebR_ke,Rhld/MGmd/MA]c2#Z@c%#~>
+g&1+3q>0p_q>9FQ%f#o!s8Dccnau\WrqcBbq"sUXrql`lmeQ\Th>)R~>
+iV30Cl1b#Iq=XRXl1PVZpA+U]p$hA<pA4XZoC_nQnb2tVs7ZHbnb2eQh=c@~>
+in4=`q:5;jn^@6\q9\rcl-U$fdF?asd*'MRdFHdpcHt#8eG@YodJD5hdJqSmcgf9UcJ?`q~>
+g&1+3q>0p_q>9FQ%c-:=qY'("`Q[66s82K_q"sUXrql`lmeQ\Th>)R~>
+i:m*Cl1b#Iq=XRXl1PV=i9g1+i68sUg[Y49nacJLnb2tVs7ZEa"8;E]p%J+TpYGOn~>
+in=@`qUPAjo$[?]q9\rcpsB)go[+2u[D'i4cG$<LUq"b(eBZD8eG@YodJD5hdJqSlcNDG<c-Q+.
+q9Ig@J,~>
+g&0h+q>0paq>0m^(AI_+pAaB5?u2P4qNtSq7%NlJq>UEiq>9^Y^%m0~>
+g%Y@:kkFoHq=j^Yq"GQsq>Kpbk(?]BQ0n($<E2,HkkjuHqt'XXnb2MGc1ZY~>
+g"6)OnC79^q9f#dq9]5icMPs*dEg:nd+lNK4%=SGeT3]0*dPl^e(EF(eG@V`dJ2&jcd:"brm1Pf
+rQEa9J,~>
+g&0h+q>0paq>0p_(]F1(rUg'ea_sk1s8)QF@%,ODs7Q9hr;$6[qRu]T~>
+g%Y=9l1b#Iq=j^Yq=b^&p\"FRqYJ-?4a[(omESaoanGMto_S:Wp[RtIp!*2\~>
+g"6&Nn^RB_q9f#dqU,>irm(Jh(tI$[e]uduUe)nDj4;\d4*@XXgX4X/f$sQEn^6sTs3LYgrQEa9
+J,~>
+g&0h+q>0paq>0p_(B"('rV#sbs,g2erUg-H>O21dr:^!dq"sUX^%m0~>
+g%Y=9l1b#Iq=j^Yq=b[$q=FISoDeZB7TApArR=a)o_nLQp%eCWnb2MGc1ZY~>
+g"6&Nn^RB_q9f#dqU,>irm(Jh(Y$p\f?hn%g2&<$f?WBd29"2*f$Mt#eG7P_dIY`bci),ebLOjf~>
+dJV\pq>0p_'(u4trql?epkP,(\bPlrR/d3crVHTiq>9.Ic1uk~>
+WV?5^q=b]sqt0d\nb_p,M`S'0m@KI9qY9gYq"OFVpT=.>~>
+dF[p<l-fCT!7:_jrQlA*e^<%"cIgTSE$1Cod"-;og=Xp+e^W"Bdc8aTd/D5fbLOjf~>
+dJV\pnbNsls7lHhr:A@+oic8/s.8'Dq"OX_rqQ<diVLgpJ,~>
+WV>rV(\%@ppA+LOc'7WnBCc"gf_4t/q"a^YpA+Hbp4*~>
+dF[p<l-fCTqp>Aj(X(FXe(3'pX`r/L9%DaB\CT'Sdaljnd.u,MdJqSlc2Gi9c%#~>
+g&1[El21;Sq>9[X(]X4%qZ$/tk5TI$iqKYKrqlNdp\+@XqYL*ZqXOI-q1&~>
+g%Y=;l1b#Kq=jCP(]<jopAXKehu@Ieh"%K7qYBm\p\+@Xq"jaTp@7n%p4*~>
+g"6&Pn^RB_q:#/fq9f)drm;M5cd("ocBQ3+:+j3-MTsc%dF-FhdFA!?n^6sVs3^eirQEa9J,~>
+g&1[El21;Sq>9^Y)#sF)qtU3bZiB<X<j($)s8Mrmp\"7TqYL'cnbVeQc1uk~>
+g%Y=;l1b#Kq=jFQ)#O!qp@J7QY577D;QA0ns8;fkq"FLZqtU$^nb2MIc1ZY~>
+g"6&Pn^RB_q:#/fq9f/frQuG6da6Roh9h8:`H*\fYHQX1f$r'ld*gD=ddb`Vdf7_nc2Gi9c%#~>
+g&1[El21;Sq>9^Y)#s1$s8)]eZ2OUa??j6Up@S.Tp%A.Vp\Oa`nbVeQc1uk~>
+g%Y=;l1b#Kq=jFQ)#Nals7Q0VXSDPN>'.CGo^qqSp@nI]q"X^[nb2MIc1ZY~>
+g"6&Pn^RB_q:#/fq9f/frQuG6bL5A"f[,T0f>0CCR**_"da?@de'l\>ddb`Vdf7_nc2Gi9c%#~>
+g&0P#q>)W;qYgHnqtp<`q>UElqYU6as8VKYs0KcDs7_.lU$hsSq=sXTp\4@YrVQHjq<e%Yqu6Ng
+qZ6QhrV60`q>04KJ,~>
+g%Y=9iV30A/+rW3qtg']q!RbKq=aIRp[@tWkO&/J_"[`tIs.CLs7Z9ap@e=XpA4UZpAXaPpAamd
+q"aXcq"OL\p%\7VpZ;+!~>
+g"6&Nn^R*Wq9^_>dF?atdaHUecd^Lnd*pOkg>0frhN+G`gX'2(HH+Xbe'ZIddF$7heC)bDd-]6\
+df._mdf7\scd'eZrlP5aq9A`\jir;~>
+g&0P#q>)Q?rqZ<_p@e7[qtTmZq>:*ipAFsjif]`.s72M&bQ%J8qu-Hls8Dciqu6HkqsO=\qu6Ng
+qZ6QhrV60`q>04KJ,~>
+g%Y=9iV30A,Q@Q4oCMPDoD&"LnF?,CpAOLSrVkQ0P5#"DPBP"Hq=jdbrVlfuqY9gapAXgSpAamd
+q"aXcq"OL\p%\7VpZ;+!~>
+g"6&Nn^R*Wq9^PBe^2Uec-=P`dE]t\cdUD"d+7%3^2A)Fhp$+=Uu'SJe^r@'g"65OrmC_nma;'_
+rmUbms3UqpcHXT4aoKW\c2#ZHc%#~>
+g&0P#q>(?rr:p$_r;?EjrVlg?rV6<js5g"[>(4]gs5p->q<n1Xp[@SCq"OIUq>:*grr2?^s82fn
+q"k*gq>L*`q>'mKq1&~>
+g%Y=9iV30A0DkP:oChtSp@n7Pp\XgZn+68PgmV,<GK'"Mi1Ap"lM12Jn*foDp[e"Lp\=R\qX4(W
+p\ss`pB(-apAO[ZpA+IEp4*~>
+g"6&Nn^R*Wq9^kHe'H=ee'l^ndF6\#g""I!fAXJm2)JL8dGr#k_:6NUe'H.XcI1+bcHt"geCE+;
+dJqYoe,.Snd0%_?c-610!6b2_q9J*HJ,~>
+g&0P#q>(<hqY^9is8Drm-2RW@s8Dfoq>(!hrVjn<rq?<Ys8Vojs8W#jp%eI^r;6?bp%%V?qZ$Hl
+r:p-iqYC*bq"aa^jnXE~>
+g%Y=9iV30A#P.T`q"ag_p&=J#p%\=Snb;PBo`+RV^\IQjp?2JQo^r(\qXaCSrqHZkp@IhBm-aTI
+p\ss`pB(-apAO[ZpA+IEp4*~>
+g"6&Nn^R*Wq9^k?dF6Rof$r'kc-Xtlf@A=%dF6_-f@ZhPg<eNqiS2l3g"Y$'cdC1ie'cXhbfRon
+dJqYoe,.Snd0%_?c-610!6b2_q9J*HJ,~>
+g&0P#q>(?hrVuchq"XR^ruh14q#16gs8Viep&F@SrqcKkm&Qc.kPP;Xq=s^Zq>:-hs6fa`qu6Ng
+qZ6QhrV60`q>04KJ,~>
+g%Y=9iV30A0Cel9p[e%Lo)8I[na>l<q=+:Xmd09>iUHL-nG;1>R*FU_r:p!XoCV_Mq>:*grpKL[
+p\ss`pB(-apAO[ZpA+IEp4*~>
+g"6&Nn^R*Wq9^k>eCW-ocd0kkg=FWqcILXthVHT,d,`3sg!nR0`eAcD_:@5ke'ZOgd*gFpf@\dE
+dJqYoe,.Snd0%_?c-610!6b2_q9J*HJ,~>
+g&0P#q>(Elrr2Zcr;ZcfqYU:3qYC!fs6]R0aOJS.R=KLDnFunXp@nI^qtg*^rV#[Us82fnq"k*g
+q>L*`q>'mKq1&~>
+g%Y=9iV30A/+`W6oCD\SqWdVHqt^!]qXO(FrqGI?ah5^5P)XX%M!+:$o^MGFq"OLSoDS7JpAamd
+q"aXcq"OL\p%\7VpZ;+!~>
+g"6&Nn^R*Wq9^_<e^_sie(<-ld+I()f%Jg-e(!@3aO75cY,Z_f>>f7Ze(N6tdalssdEg,:c0j!Z
+df._mdf7\scd'eZrlP5aq9A`\jir;~>
+g&0P#q>)c<qtp0ds8)-_s7G0`TndlCAkuZ/9ibP9;ds!A@q]U_?!qE"UUe5>r;-6bqu6W`qZ$Hl
+r:p-iqYC*bq"aa^jnXE~>
+g%Y=9iV30A0Cnl3o_ACYl2LJDe[LopDg,JV;b'2K;d`!l:fg_'?rL$+@sjfP]D;6qp%A(Ur9j:Y
+p\ss`pB(-apAO[ZpA+IEp4*~>
+g"6&Nn^R*Wq9^k?daHIjf[7Xnf?1IfH!aBO5UeTB-o!\P/Nc!W4[MRs2`aE8J!HMSe'ZOhdact;
+dJqYoe,.Snd0%_?c-610!6b2_q9J*HJ,~>
+g&1%1!;uZio_L69r;6?hpt``LL37$7?=@5\CiGK"SsZ=]E.jWtBn_kDNdl1qF_+KTA9a<FeaWV5
+q>gEeqYpBiqYg9lqYC-cp\FX]jnXE~>
+g%Y=9n+QhUq=jg^q=ZK6q"OLXo\$g8J8AOn=BJa>AnR!YQ]IT7A9a)F?[RitLj!]VDdQ4=@!%I6
+dHpc)p&Od]pAapeq>C$cp\jabo`"Ocp%J(XpA+IEp4*~>
+g"6&NlI>UWq9q"Ee^W(!dC,EX?;!C?3&s#j7S%92H?+Lt:1/3:6sjnWBNIu,:HpEg4]-$TY0#>k
+e+_8idf._mdf.VpcHlI5rlkMjc-QC6q9J*HJ,~>
+`r,l6rqcZm')qk.rr)fhs7u6`p[J+Uqu$Bhrq\MFrV"[0Dd6LICP.qZg%YOEqu$<fq>0sdJV4!^
+Q#*,gs8VfhroV+bNdb_K>@_T9c2@V:r;Q^+p&G$Yp]'p_qu-B_nFln[p\t!gqYg9lrVQEeh>)R~>
+`qTN,qt:!`s7d'!oD\ISr:f^YoCV_Ko`"GPme6+mQ"X/s:M,$;Xjln>p@n:Sp%@tLp3D&cgQ,s8
+o)/@TpA3d`OGA$i<`E@:NlLbgnb)eSqsX7RkOJTBp\=U]oC2JRq=jp_!;6?b!;5gSo(D\LJ,~>
+`n17Armh&$'%Y[df\"d%gXFI!dE:+jf@\a-rmhV-g![$J9/njc7U:"n[*RJ*eGmuQda6M!@UeB3
+Da\iqf$qpke\@VqCKj:i3'g/WWnH7Zg#(Q=c.1CaceQgqe^rBubgP8@d/hVAqTo;kd*_j>rQY>b
+s3:,\p!&!~>
+`r,l6rq\#?rr2lprr)ffq"47Vp[7MMp[RqVs7YckR;Gu/E.a.qiq)p>qtKRYqu?Nlq(MYqFS5S$
+ai*oOr:Tmcrp]d_qs):sJ8JV%E/qHaoDAR_p](9_mJleOp@nF_q!\1Ts7cQhs8)cmrr)loqYK%D
+J,~>
+`qTN,qt:!_,5:m-nb)PIqt]aMqXEe<q"aC>[?>,t<,$`7akcCUoCheArqHHdrq.r=H#E-Gm)?d2
+qYB^Ts8)*Rp@RC^RX&LH>A8ktf'N&)n*^,QlKS9:oChqVs8)9aq#0sepA4IQp@7hKp4*~>
+`n17Armh##s4LT0f\"Ktd*^InaiiJhcI1M(e&[r#8i&G$?tuaWcI11md)a_dda?IhcdLNS<79IA
+U70<Rd)jVee]HCrg;g.@?V3IG:MZ<.db*:!c.h$p`nJ\adaQh&e]d@,s3U_hrQF`Wp!&!~>
+`r,l6rqcWlr;@N5qYL!Zq>^Kis8VuQXa*u=<,Ii7jo,5Lr;?QprVl]oqYp:Fp4IbfrVuocq>C-`
+p%n^gpA+[cqtpBms291a>^`s;o)J[Zs8V]ir;QH\o_n[Xp@eIZs7u]krVHZpqtp6dh>)R~>
+`qTN,rq69as7cNf+8ts.q"4C^rq#p_o[fs\:dIffN4Ig=s6TLZr;-Bkq>U-gpAX_>nU5TPq#C<X
+p%eCSnb2kYn+-2Go^qnTs1NGL<HbItl2UMErql0\q>9pVo_na\q"Xa\s7Z<^o(MVHp%En~>
+`n17Armh#!s4@8&=5;BXeBlb$gXY'9f=Hf=1F+YGDk+Ysj3H?7gtLT=f$r3tdF$=edaVc3e_8p7
+`6ZfVb0//_g="O*g"=p2hW1>11HAU"]uo6_b1t[of@JU'c-Y.rcg0!Yd/D5fbONpOc%#~>
+`r,l6rqcWks8;lp+8YX0s7>jXn,<:SY\6O0HEYQ]s8Vrkr;-?enaH5Os8MoqqYp:$qga.qo^MeY
+qYL-gq"+.RrVmo8q"X[Op\j*EA6sGdkPF`Br:g!]qt]sVoCr.UpAOacq>^<iqZ6Zmq>/qCJ,~>
+`qTN,rq69as7cNf+8>='s7#OOm.gMAWF8%iF/[(AqtfpTp%A(Om-=0<r;QHjpAX_>p3Lu`n*KiI
+p@nCZo^D;Bq>:$ao^_PDjmi'"R9is6X5<L7nFlJGp%\@Vo(2\Uq"Xa\s7Z?_nb2MGp%En~>
+`n17Armh#!s4@8&=4YaQhTsNubM(jrN'nmJ<f<p"hVHc5f[ng+bf\Acg!nO"dF$=edb/#7j3c!!
+f$M^hdE]kWdb3C2g"4[%e&]qi]R2n(:l;s7aj/D_dF-Rqda$1gf^$rbd/D5fbONpOc%#~>
+`r,l6qtg?irqmE/n+->Ms8Vo5T5@G4P0j$qpA+[a!W;oqrr`8uq"4R_s8)`j0E6<3s8MWgqtp-`
+s8VumrU]g_s8W&np]('Wq>^-1UMP+Sj7N-GqXX+Js8V`^q>L'dq>L0gqt^*Eq1&~>
+`qTN,rq69bs7lTh')Ut]p%/.^oY6i.9NmG!o^22@rUpNkq#16kq=jONrqHHdrq.rEF(>1En+l_P
+o_/7]p\+FOo_A@]q=O:Yp$)/Ln\q,4E2DC[o_S:Mm.1/Uo^_hRp\jgap$qbGp%A$/~>
+`n17Armh"t!S,g$fFm#ace$_)j49oO8hN5EXk(hIf)=5dg"P?@h:^E-c.(7kdF$=edc4J%hqQB+
+dF$.^eCN$peBH=mg"Y*-d,EEpdbrEIHpg_^]?SaTe',q[gY:*#ea(W_d/D5fbONpOc%#~>
+`r,l6s7u`krqHNiqu6L3s82`orp\FH?<h<:f`2!Jqt^$`rVl]hnb)eYrrN)prql`lrqQs!JS+]W
+qu??hqtKpcr#kt<s8)E\q#16`q>9m[qt]a\SR#]_e,T:Eqt9gaq=XI[p\jpdqYg<eqVCst~>
+`qTN,s7HBcrqHNiq#:(2s7Z3bpZ]r,=]]7&e,'+;p@RtLq"aXTm-s`Fr;6<`rqHHdrq-ZmHXQIA
+p]'d^q"4:Zp`TD4r:][Mo_JLSp%S%Kp\!nJQWIFIci*S;q""1Xq=XIWp\jgap$qbGp%A$/~>
+`n17Armh"t!S,g$fN7(bg"tH-Z'7=18U7`!iRc`5e^rO0f[\9qf%Sp6f$i-uda?IhcdLKT7b-;D
+grn<qbK\J`e(!1)e'-(_f%J6neBQ@gd`L'_2*,9Lg=+s0cd^XudF.@.s3U_hrQF`Wp!&!~>
+`r,l6s8!u9q"OOXq>1$eo)JaWaHppYJ$\YEs7Q'as8W&moCMeWs8W#rq>pKlrql`lrqS28Mei"`
+nbr:_rV?-[q"XRVq"t$gqY'OMqZ$Qlr;--\s8U#\@un:hq>L!WqYg3bnbV);J,~>
+`qTN,s7IW1q"aa^q>0p_mJ["G^5Zf4HEQT6s7#ORqtp0[mdB`CrqcBgo`=g_rqHHdrq.r0Kk9cJ
+mJ6GOqY'LNo^q_Fo_81Wp@@\=pAFd]q"F:Ls8TlT?]2GYpA4@Kp\OUZpZ_DAp%A$/~>
+`n17Armh"t+4\uqg=jm1iQ@p;:I8<HbMh@*d+R1.f[J-keCid8fDa;\eCN.!da?IhcdL'R9@DM9
+f$Djnc,n2Tccs_[daQ^mc,n#Qf@86sdEU"pgmq5'BU-Tdf?_[jf@0'5s3U_hrQF`Wp!&!~>
+`r,l6s8"/>q"OOXq>1$ep]&j)>#pdBrVZKcp@nI_qt^'cs8W&mqt^'brVZQjrql`lrqS5?LgBWP
+oD/FUq>L0drr2`jqtg3frVZQmqt9XWqY^<ip@/+ZY\7F0eGoO=qYp-_q=4=;q1&~>
+`qTN,s7If6q"a^\q>0p_o(p^f:eZYrq"OFOnacDKp@S"Or;HE^p@S"Nq"OOXrqHHdrq.r6JlhC?
+n+HVFpA4OWqYKmZp\+@Vq=s^^p[ReGpA"IYo'H;KXCPS!dJs+4p\XLVpZ_DAp%A$/~>
+`n17ArmbB,eCN7'f\5'/gpCfT1N'hYf@86rdam(%eC<+*h:U3/f$r:'f@8@#eC)ald*L.hBKa`&
+bgP(^c-ah`eCDpndEp:he'cXpdEB_Yd*gCnccOkiM*X.?Y2.aSeC`(4dJqSlc2GiUch5P5~>
+g&1[Cq>;*0n,E4Zs7lWnqsj^Zn,N%@Tj1TYeb]:AqYBsarr)lppA5*pJSF`Rq>1'cqsjLtp&Fp\
+s8UW8?!Nc[s8Dijr:KORr;66aq>/qCJ,~>
+g%Y=9q=ba*lM:/Fr:Bjcr:9m[mf2h7S5i=<bOG9!qY'XXs7ZNep\+siHXlL<p%J4UrqQHdnb<pk
+r:odZs3d*6=HqkFq=jRWnEoiBp\"4Tp[RtIp%A$/~>
+g"6&Nq:?J?b1Y@pgsb$5g="p0cf<HjIlT9!YgqL[qUPDns4RS-f@SUPeG[f&dF?u\8^Q/=e'l_D
+ci;Dmddb^$ce6jng"roO2DoKigXam&e'#hXe'cUio?mTbrQY;an^$mQJ,~>
+g&1[Cq"ts(s7l0_p&=RUrqlTmma-,NA&\KJpAb!cq>'perVufhqZm%LC@qH"qY^0dnG3q"qt'O\
+qX*6u:iEVuqZ$Bfr;Q]mp@A%Tq>/qCJ,~>
+g%Y=9q"GTss7>XPnGDeMs8;`nlcjE>>e^74m/?VRp@e:]pAjp\pBQ"Tn+ZMKq"Od_rV,jW(\dh%
+nFQPOlJ7.fCTZIer:TdYqYKsWmeQVIp@7hKp4*~>
+g"6&Npt$;2iR?''d+Zt#i8*2HbcXnp5bd>pdGXiNq:GZ#"5)5Wf)=+sdL+COg0dP#g!\?tdJhJl
+dJqYbd21<be]lIneAo.0.7f?.e(N*qe(*!sc,oS)s3U_hrQF`Wp!&!~>
+g&1[Cq>;*%rr;`is8)cqnGW(XieUrP[f6<unb`@_qYBsarr)lppA5'iJ8FrXq>0m`nbO'rpA4dc
+pAFs\s4E$>R+M34q"ag[n+cq]q>U*gq>'mCq1&~>
+g%Y=9q=b`pq>^$Zs7Q<hn,2kQhLo*?Z2+FdlLarGqY'XXs7ZNep\+scH=l^Bp%J.SrqQHdnb<pp
+pA4d`oD/FRrmZL/P0rpqo(2PElh(5Qp[RtIp%A$/~>
+g"6&Nq:?J0g#1<0hppQ@e)8p7_.PquPhY6Ec.C\"qU>;k#1qS_f[na+rRCeo$IRAT?qf&'daQUk
+rm1Vls3gGb(Xpg`g==R$hoa]Y?9rP6daHFedEKVVh=K%od/D5fbONpOc%#~>
+g&1[Cq>;''rquQks7lEbnGVg`A6,Q)qtBUYs8V`eqYC$frVufhqZlhHEV]S/q>0pao(j3uqXaC[
+s7YsRs7Q-dc=pn)qu?]mrVuf_rV?Ed!;ZKfh>)R~>
+g%Y=9q=b]rq=jL[s7>mTlhKeN?rE]mp@7PEs8MN`p\+C^pAjp]pB^;:C\7Dpp%J.Zq#0sWp_Weu
+p&G'`mI:/GoDcmA@(>n+q=OL_q!%SJo(MVHp%En~>
+g"6&Nq:?G2g"4^0i7$93e`,#E75onRg!e:!iSMiTeG7Ypg&p!Zf@KoMrR)&#eC7r)f%SR#d*_j=
+s3^ho-IL8hda?Ljda?Ljda?Lkf$Db!gsF3ghp0U(VEmD3dFQjpeCrBio?mTbrQY;an^$mQJ,~>
+g&1[Cq>;'.s8)Zko_/4]s4`94E525Ko_&7anFZbVq"jddqu6Qor:^!jp4dbfr;QNfqZ-K`p_j&*
+o^hhRr;$!bo^2P9Tl#@qpAb!bp[\.UrV$Bep\F[^h>)R~>
+g%Y=9q=b^$qXsUWn+$/Hs3uNuC:Ws6nFHVWmIC5Pq"jgbq#C'gp@n:anUPTPp\sgcp\ssdp[S"p
+rVH0Xp\O^ZnGDY:p"c!GH+3;Ao^h\BqtC0ep\47Pnb)SKJ,~>
+g"6&Nq:?G9g==g,cdCJ*mD3U';PDe$e'm1,b0Jo?eG7Ypg&p!Zf@KoMrR)&#eC8)2f\+^$cdDa<
+s3^en-.LAmdaZ^pdaZ^pdaZe"e^2Xkf%/<pfZ_=`]6?VBPK__,cd'Z(dJqSlc2GiUch5P5~>
+g&1[Cq>;'+rVliio)Ja_dV`*Pj8\64s8VZ^s8(aFq>U?mr:^!mpksOuqtU$aqYU<ho(X*or;QB[
+q#C<gs8;Wks6@gMFee@(mdU8Pq>L$hp@nCZqVCst~>
+g%Y=9q=b^!q"apYmJm1Qa^n2-h>cC$s8MT]s8(aFq>U0hpAjp]pB^AEG51e'p@e7[q#:!gq"O@S
+(\Re,p%%nUqXsg\nbrIG_ea1\kPsc4s82Nlq"OORp@7hKp4*~>
+g"6&Nq:?G6f\,-.c/IX8\lLq@a6:Lji8)](gsj",ec4>*f[na+rRCeo$IRASCL#TGdF6Iirm1Vl
+s3gGe(XUjhdE^7pf@&C&ceI6jU.@k$_q`2Nh=K%od/D5fbONpOc%#~>
+g&1[Cq>C9g(&S%+s8U<5>@>GMp[nLcqt9d^q>:3^q>U?mr:^!mr/cI/qY0j_qYU<ho(X0nq>^?e
+p\4=[oCr:apAFsjY'mPJs8)?_q=jX_p&Xp`qYK%DJ,~>
+g%Y=9q=jp](&%\!r;Xg$:K5"(n*^5Uq"=I[qu-Qbq>U0hpAjp\pBQS%qXsIRp@nR]rq?Hgp[\(q
+o)&Icq"OFNr9s1Qp$MAJrhah:nGi4NrV-<ds7c*Xnb)SKJ,~>
+g"6&Nq:GYr(=qBlgu58b6V+?Egt:cKg!eL%e(*1$o%!co"5)5Wf)=+sdL+COg2LHTf?i!ndJhJl
+dJqYbe/-B\gt:-*dE^Fhce6gldb<E,;2!0LdE;(.s3U_hrQF`Wp!&!~>
+g&1[Cq>;W?q"4R^s6O`*KB*")s82Ziq"t*ho_/=\q>:!bq>:!bq>:!bq>:'grVufhqZd%`KE(fB
+qYU.CqYU-cq"jd^q"jd^q"jd^q"jdcp[RnQrquZip&=p\r;ZHerPNrCn,MnSqYBm[rq6?fqYK%D
+J,~>
+g%Y=9q=c35oC)MHs5dueGLuHRr:TdYq"t*ho_8C]q=sd\q=sd\q=sd\q>C$fpAjp]pB^SSIJWX.
+p@n=\pb;I;p\=LXp\=LXp\=LXp\=LXp\=d_nau_Uq=s[Rq"O.KrTs+J\oNShs6B:Np@n=\p]1'b
+p&ap\p&+OQp%J*0~>
+g"6&NqUZS;hUU$.f&XqL3GHUqg?./Cg"+d/f$;Upo$mrrg=k32f@KoMrR)&#eD,+Tgt0p%dF%s>
+s3^kpn^JW8e'67kf[eU%cIUOgeD/6pd@!aA_r&J_dF6LldF7s>s3Lhnc-Q=4nB^gQJ,~>
+g&1[C(\Rh.p@eOdoD/@Zq>\HR>c[Sur;HZ\s8;]lqu?R%rVZWlrVZTjr;6Ehr;?TlrqcHg#5sa<
+s8;]hqtUm!q>'m`qtg3dqtg6fr;6Ehr;6Efq"k$f&H)>'b`%,8q#C9]s7-$XqtKs_qtg?imeZtZ
+rqQHfJ,~>
+g%Y=9(\7S)oC;bTmdg)@nbg+4;5!1Lo(N+Hs8;]lq#C-tq"a^\q"a[Zp\=LXr:g6b!ql9\q=k3g
+N-tKrp%J(VpCd8qp\=OXq"ORXq"X[[q=sd\q>C!^pAadroC)^qIWX60p@ISLnc&.Yq=j%Fs7QB`
+rUk[~>
+g"6&N+4&]rd*^Y(dFR+(g?,A34cItPg"PE)hpp9+e(*"#fD4(pfDjM/f@JO'e'ljtrR2,%e_5%Q
+h:^6*cd;[:s3Uenq9o)fo$J#tda$gF@8sk`f[@q"ce6^upsB,hdJVA^dJ_Glci25gc[Y~>
+g&1[C#ljShs8Vigs8N#t'>\Zl[Hd\is7ZKcr:p'_q>:'er;$<br;ZZnqY9smNd^m'qY^3gq>L'`
+qt^0[q@WN&m-=.uA#95(s7c*WpZqSJqt^-cs826\s7uZhrV:s~>
+g%Y=9+91s%rVlBZs7cQcppOd0Wnm1;qsXLSr;-9cq=saZp\FUXp]'pgp%J+Tp]C,DG5h19q"F[\
+s7l?_q=sLR&+]\ZhrK)_QLXP?naH/GmJ6MRpAagRpAagbo_nH5~>
+g"6&N(Z!?\g>:9/jPAqUjJ5a=R*+(:hU:-(f)=(tfDjP"f_O/!fa$-[f%&6ue^aWI$I[JXD-YcH
+e()glrm(Pjs3^Yjq:"l]&CTFR_8fh?H.:?rdE^4laOB.rrm:\krm(JgJ,~>
+g&1UAs8!]3rVlcqp[sniERt$es8)cbr;ZB`q"aa_qu$BfrV$0hqu6Hfr!3+UG51t4rVHKgrV--b
+q>BdZs8NT#s8UZ4Gb+a3rTX@Mp\4O[k5,,RrqQHfJ,~>
+g%Y=9s7lWg)ts(&q"aFENF?GBnGW"Ks69@XoD8=Zq=saZp\FUXp]'pgp%J+Tp]pGCDt3Prq=ad]
+s7l?_q=sLRs8NMmrVsrkC6.lXpZ2ABq"NqEs7QB`rUk[~>
+g"6&Ns4./!'@tgkgY^T5Gu%DMhWinJj36*.c2H,kfDjP"f_O/!fa$-[f%&6ue^aWI$I[JWBN<R7
+e^i*orm(Pjs3^Yjq:"l]&DuHihr1VJ9le\6f>QXle'm=(rm:\krm(JgJ,~>
+g&1[C*V071q"Ogfp&FKEC3SP7s8)Wfs7?-fo(`"Uq>:'Ur;ZZnqYC!nreGLer;HTjrV?Ednb_kQ
+&+'/ms7?9jO^XdNrVu9`s7uKQqZ$Bjq#1#=~>
+g%Y=9*Uiq*p%%tTnGh^.?Yn3jp?qD;s6TOZo(r4Yq=saOp]'pgp%J+SpBH._n+ZYRpAOacq![tI
+p(6E[s8)$\pOcD)kOef<qY^'`pZD2Lp&=U^omd~>
+g"6&N(X1RedaHq+e)nqr93T0uin2l5j3Q90bl-#jfDjOofDjM/f@JO'e'lgrrR)&#eD"S3db34&
+d*Vd;s3Uenn^?sT&BE>YgWSR0Ai=YNe`"U&g!es.rm:\krm(JgJ,~>
+g&1[C*WG^)s8Vlis7M^fI.3qmLo9e>s8;fjp\=OZq>:'Ur;ZZnqYC!ns+bRfrVZTirV?Ednb_kQ
+s8NM\Uo:Hrr2"%^s7Z3[q"jg^meZtZrqQHfJ,~>
+g%Y=9*W,Burr)H\s6btMETNUAI@K?fr:TmZp\Oa^q=saOp]'pgp%J+TpB18BC%2,s!;?Bcs7l'W
+nb*ImrR@F2V=jAF=ag27naH8Hq=j=Ns7QB`rUk[~>
+g"6&N(YI$]h;?c7j4&6<>LA.DBnag`hq6N/dJ_PofDjOofDjM/f@JO'e'lgrrR)&#eD=e5e(W@&
+d*Vd;s3Uenn^?sT&E2HPIXm1)ds=,`gs4<ne'm=(rm:\krm(JgJ,~>
+g&1[Cs83o5p](9hl>fXQs8Us"R;_Qlr;Z`gqtTs^q>:'er;$6`r;ZZfq?R"RDts>/qYL0drV--b
+l1tt`p?9N!EmO^`V0%7bs8VfiqYL$`meZtZrqQHfJ,~>
+g%Y=9s7m]/o_SRZj_IA3q>SjZNaq,?p%nOUqtg0bq=saZp\FOVp]'pep%S.bpO6fGq=jUVrV-?e
+p\3qG&FoAP_5M(fo'hu[Fn#>/nFcYOq=j=Ns7QB`rUk[~>
+g"5uL("Ldgi7H%I/S!i+^TDfVbLtP(f?`"Ge,S&"g%j4pfDjM+f@JO'rR:_m$II8VA5:Y/eC2dk
+rm(Pjs3^Yjl-U'hd_hc78uL1fH:q>fh;QZ.imIbPs3L\irQfu~>
+g&1[C+7oO4meHh6OB$c.s7l!]BR9IPqu-Efq=sa\q>:'er;$6`r;ZZfq?QeFD>F2,q>C3erV--b
+l1u"lo`+QPFn>S3s/08)qYpNlqtp6eq#U6cmeZtZrqQHfJ,~>
+g%Y=9+7T=1lgt/)Mb\KerpA_E?#K$#o_/(Rq>0s`q=saZp\FOVp]'pep%S.bnT\[:q=XFUrV-?e
+p\3qG&cMA$n!.hVo_8BR;Om4Iq"==WpA+INpAagbo_nH5~>
+g"6&N(!kjsbgk^\DDYYSkh"&B7p+9pf@e^Oe,S&"g%j4pfDjM+f@JO'rR:_m#11iL?;/o(rmCen
+rm(Pjs3^Yjl-U'tdbW5l:Wq;AiI!M4dFHmuimIbPs3L\irQfu~>
+g&1XB*rPj4s6Q.BC>8dUs8VRqT)\`dq"Xm^q"X[\qtp<hq>9m`s82Nd#P!.Vq#:'arVcQjp\F^N
+q@`Smqu<"=s8Vurs-R/VrqcTjqu$<gq>U*gq="1[q>U0fq1&~>
+g%Y=9+8G[*qZ#`C5\&=Cir8r=<0I"Hp$q_Qp%nO\q=saZp\FOVp]'pep%S.bl?$S,q=O@UrV-?e
+p\3qG'(tbhs,r$2q!dqKMG]&rn+?;Gr:]p[n+QeSrq-0^J,~>
+g"6&N(Y@<kgZ-D",>#K1bin9:5()8@f[S@&ci)>mfDjP"f(mqtf`TjWf%'`JrQtu!e';,heD&C!
+e'S*>s3Uenq9nNT&Cf"WhK!,[g!\I(D)>nScdUn$rm:\krm(JgJ,~>
+g&)!Oqt^'brqml5rUg-hO'-Pcs8W&tpqUVDYFCm4s8;Tcq"aa_qu$BfqtBsfqtBjkr/YCdrV?0a
+rV?EdiVFGcqu=`Yf)*q@q#BuICn^n,rV?KbrqH<cq>9mdq="1[q>U0fq1&~>
+g%PXEp@S"Nrq@N-qXOR\MH"KMr:T[Ym^?KrUQLYes7uBbqYBs^q"OOYp@e7\p&Od[p'12G?1n!c
+o)/7^q#C*Ip(m8prP`[%p!(GDs65)@P5"M@oDe4QoCr"JpAagbo_nH5~>
+g"-AZf$r4#rmqt;gX>!7D)Y>1inW8IeX]1fMg0<Oh:BsOe,S&"g%j4pfDjM+f@JO'rR:_m$II8T
+DF<(1da-=frm(PjhpE7gfA*/sZ.5tQd,E/Y6$:f,e'HdjeBZM,dJhMmci25gc[Y~>
+g&*5rr;6BirVQEfr;Y[%@Th(Js8N#ts0[HCXajQfnb3"Xq"aa_qu$BfqtBsfqtBjkq2Jn]r;$*b
+rV?EdiVFGkq>-"gq<Eu>d..)"OC662p\XU_mf2nSq>U-gp&Xp`n,!([rqQHfJ,~>
+g%Qlhp\+=Uq"F@Tq>]6o>u]#4q=O=XqQ"jsTls>BmdpJTqYBs^q"OOYp@e7\p&Od[p':/C>kId`
+oD&:Ys7lWgiV")`o_!rSo]1g'a6<*LJl05[n+5uIkl:,Lp]($gp[@hUp&=U^omd~>
+g".=uf@JO*f[eR*g>]fL5W>jmhqQoHiK@PgM-W!,bL"uAe,S&"g%j4pfDjM+f@JO'rR:_m$II8Q
+CdQb,da6Fhrm(PjhpE7neCA/(eAQ#QW6*Q(AMft6bKn>e`8/T#dJhMmci25gc[Y~>
+g&1mK%fH;)rVH9]p]&94E0^J'rr*T2l&:;/s6mSjs8;B]q"aa_qu$BfqtBsfqtBjfp5NS]q>p?h
+rV?EdiVFMemIkXpn,N75r;$9jnsO.3s8DflrVQ?bq=jX^p&OpWqZ$Bjq#1#=~>
+g%YOA-2731q"=4KoD?F#CQSPkp[n+Phh$0Zr8k<OrV>sZqYBs^q"OOYp@e7\p&Od[p':&@>k@X^
+oD/@Zs7lWgiV")WkO<DZlMpP&p@.\RjGI-Sqt9ORp\4:Xp\jjep[@hUp&=U^omd~>
+g"68V*S8rsf[\F!f&!8Y:35CMgY(98`+NMJjNNt9g=FFFe,S&"g%j4pfDjM+f@JO'rR:_m$II8N
+CdQ_)e'QRjrm(PjhpE7ea3[V/b2LmRf$W"+a)*l.f?qmle'cP+dJhMmci25gc[Y~>
+g&*/qr;6EjrquZlqtbS7ZiBt'q>L?lY'H2)[eTn#rVu?]q"aa_qs=7\qu6HfqZlnYB`%Z&q#(*d
+rV,=J)uKU6^M(WCeb/t1s8V<_hJ6ogs8DHemf3+Yp\sjfo_/+LqZ$Bjq#1#=~>
+g%Qfgp\+@Vq=jUYp\&`&Y5e7no(2_LUi2'TWp]]UqZ$$\qYBs^q!@bTp&ap\pA+FfnVUcIp%J%Q
+rV-?es7bOH)"mP$[UR%)d.$qsr;>IEcsC,7s7PUUlMLSTrqHQjq"O7Ns7QB`rUk[~>
+g".>!f@JR+g"4m3g=]R\OlG*Pf%Am4M,\>BP1A@?fAF^Ke,S&"g%!\ofa$-[f%&6ueC=HF$IRAR
+E(AO3e'ZUjrm(PjhpE7jiKlm(A$F>7akY^ff!@P*\D>QNh8Rt0dJhMmci25gc[Y~>
+g&*/qqt^'brVlfnr-r14s8Mlnp&+j^LTAe4M#75@o`"IWq"aa_qs=7\qu6HfqZm%cDZ9M/q"t$c
+rV,=J$N'kiZ>T=7S,DpKrVmN,mWjHVqu?Tiqt^'^p@e.NpA+1Rs7uZhrV:s~>
+g%Qfgp@S"Nq"aa[pj6>"s7l6[mdgDCIA+Z_I.@7#nb_qSqYBs^q!@bTp&ap\pA+FeooNh\p%J%U
+p]($gpYtl_p%I7<A+'A_p[RVHs8Vc\j)0/,oD81RrV-?es7l]jp[@hUp&=U^omd~>
+g".>!f$r4#f\,$5h-`Tak2+hGdb!R+@YUqMAD#qccIgD?e,S&"g%!\ofa$-[f%&6ueC=HF$IRAV
+G"p]Be'ZRirm(PjhpE7m_1tJ)iHEi"bhD%7f?qK2<lWJ:da6G,dJhMmci25gc[Y~>
+g&*5rqY9j^r;HQnRSeS&o(r([q>UE9IHgd"IImC1s7cQgq"aa_qu$BfrV$0hqu6Hfr!34jErZ"4
+q"jsbrV,=J*;fO2El%ePLYDe.n)OHCp&EfFT)\ffrqQ<`p\+UY!VZ?XqZ$Bjq#1#=~>
+g%Qlhp%.eJp\=L_Q;)_im.BfCo(;^lF5QeQEU!/bs7H?fqYBs^q"OOYq"FI^p&ap\pA+IgpQTIg
+p%J%OrV-?es7bOH'D:YhA%)1)K%L&#lJDF,m.et!PlC@Wq"4R[!;QQh!VlEXpAagbo_nH5~>
+g".=ue^N!tf@\d;HST!Sdb<:.f%JlT=N''==jYgLhpL9Ye,S&"g%j:rfDjM/f@JO'e'ljtrR2,%
+e_>CIgXjp%d*Vd;s3TZN(X:l-R+]tu[bfc]^>%#ZfWc`Be'c[ocfrjVd/VGkcMc(>~>
+g&)<VqYU3gqtKa5FH6"irr2p5qu?;DNrT-0Oo"tTs6fRTq"aa_qu$BfrV$0hqu6Hfr!3+gErPk1
+q>1'crV,=Js8=%oEW>pWL&^Z<s82Zfs7u\gD9qJHp\Xd\p\+7OoCVkIqZ$Bjq#1#=~>
+g%Qlfp%J.Sp@@\"E/O/Wq#'sbo_Id$L&:RcL%+a0s6K@SqYBs^q"OOYq"FI^p&ap\pA+IgoTX.c
+oChkNrV-?es7bOH(\R4:@e]B/JH,$4s7Z-VrpKfNA&[F(nbr1cq"aa^q=j@Os7QB`rUk[~>
+g".=se^i@(f$_sQ<H$FAhW!GMf\Xq_B\qKKD:dCohoO.Be,S&"g%j:rfDjM/f@JO'e'ljtrR2,%
+e_#1Fg==[#d*Vd;s3TWM(9BsYd\:.+bh(h)e^E@#hf:uV^":NWl-]LWs3L\irQfu~>
+h>I6K*r5[2s8Vrem;I=Fs7uNjo(r%Zl<:+cm;%@<qXXC\rV?His8;]kpAFsfrqcHg#l'g-rV66c
+qtg9es7ZNhiqa\ms,D7&s1F]ns75pTs76-gpA]qhmIU2RqYBmZpAX[aq="1[q>U0fq1&~>
+h=pmC*qo@'qYKgMk%])2s7H![mITcEj&)KLjC*>joBl,IrV?Hfs7c?ap@nU\!ql9\q=k6cO_XU[
+p%J.RrV$Bgp\3\@*VJuPC%_;1P4ekDo^DhJp\O7RIV@j.o_S:Tp\=O_q#L0Zp'UQfp@\+Np%A%O
+p4*~>
+iRe+_qq!4Gf%A^3f$DK5=k;Taf\Fj*dG`)%KB(!A@)LR?db<1#e(*"#f@ejQf_O/!f`g!Yf%&6u
+rm_M-e^N!tf6U9IeCE$rd*DU:hpE7h?VK#(P]G41bgXenbLbFhfNUe\ajSf?e*PHid*C"_ccj\Y
+ccse\J,~>
+iVY)%r;?Hfq=saWrUg-^pA^apaSkf/s7uKas7tO'lM^b6f&QH%q"FR`qqV)[s,q:"rVuirq>C!U
+oD\dcq>0XYq"b2i`UEioWRL_?&c;V+f56NIs82ikqYB^Vq=FFNqZ$Bjq#1#=~>
+iV+_np\4IYq>0s[rUKpTm/</R_t``prUfaPr:J[ijnJSsceS$boC;SSpu1r\q"ORYp]$"Yqt0aZ
+rq6'XmIC,Qq"F7Pq=Y'aS%n4fl(u`&p(?utoZq*#o_.kLo(D_Iq>U']o(N(Ws7ZHbrUta~>
+in"@eg=k63fDa;Dd+cq-dF79-5c*2_f\b92e(iNbZ,P>JZEh6lf[J6tf@Ag2'\1gce_0)):#adY
+e_/<tcH",Zg=,lFn^@6\+3o)$`S\UcWmfAEdF6LldG<-L6"8Ese(<$ue'-7jc196jd*Bk\bK\2R
+b0A,SbCB~>
+iVY)%r;6Beq"XR[li-PVs3PPmo`+gfr:L!`s8Vc\q>^Ego_AIdq=XR:r!DtaLB$r@o$iiHrr<#g
+!;60anb`.Y#QNlbr;ZfZs7lF$mf2!LRfE?dqYg?epA"7Tn,!([rqQHfJ,~>
+iV+_np\=OZqYL*fmJHAOrkVsJn,N+Wp[@qLs8MNQo_\FTn+6MVo^MM+pCHJLHi*-sm*:X4s8W&d
+mdg2Inb;kQ#QN`Zq#(0Oqt]psp$)5!<fd7Np@J%Sp%\CVp[\%Wp]'sdp&4T7~>
+in#U3g=k63f@A@!fZ;jrjQNa<QI"O@g"4R'e)0$/b1,1ue'HM!h:0g$g=HnhdX5Wcd*Kq;BqsJ>
+f?)4^q9e`\q9]H&]@PH_h7_D8d1=R@e#kZMimuf6f@JBtd`q@1"jkQ=bfe3/b5KM6~>
+hu*NO!;ZWh&Gl2!nbW!.Nq`SRq>^<as7uZorr!-"s8Dlqs7uHgg&)BTS;$k=s8UGVSD!W1p\k-f
+qXOIYq?Qiqs7>XWr;ZTh!;6?k%%()Bs8Mlmqtg!YpA+1Rs7uZhrV:s~>
+htR0G!;ZWj'E%_%m.9R]K(/g:o_eCOs7H0dqYp6qpAXj]r;6-Xpt>BPm#cVaoCr:-@$oL8p%A1]
+q=a@Qq=Y'dqZ$$KqY:'cp'^Bep\^"D`V]?"pA"X]!VlE[pAXgdpAXa`p4*~>
+in#1'g=k63f@A@!f@AR#g"'ADe)8s0gssd0eCra4rn%M-hUpH8gXO^)g=HG[epV*.fEpK74*.XN
+cd15!q9e`\q9]Goe_SBde^N4Id1=CMe(ARjWSc@Zf%&9scd;71"jkQ=bfe3/b5KM6~>
+hu*NOs7u]i+8,[/p&1q'iV`WHp](9gs8VukqYU-crVQ?`qtp0arn72Ts-eK2rq$0XrVlisr;l`c
+q>0XYq"b3mq"jmarV63c&H;_!oClgGo`"mdpA+IUq"aCTs7uZhrV:s~>
+htR0Gs7u]k+8>g.nFiMXeb/\+o)ALWrVH6Zp%J(Oq"F:Lp@e+Mq:YKLrf;3fo]lJ?q>UEnqZ6E[
+q=a@Qq"=peo_/%Qq=OLW&Gc@ilg.esl1OcAo(MhPqY0RSrqHHdrq66`J,~>
+iR]I1g=b02e^`-shq$93MFPA5f?ht&g=+m3f$i1#e^`='daH^te(!()f+?X!HXG4SbMgIjg"P$-
+e^Me=dIGZ[d0A(GdF-FlchZ!"e(hm^c9,4Rf\+a"e'ZLio$IWfcHOMUbPoZ_bCB~>
+hu*NOr:qE&r;5VgWVQJlrVZ]qqtU3gq#(-hrVuorrVulnq>/eB%eZ*Ms8Vchqt0XXo^__Oq"jOX
+q>(?nrUg-iqu69aq[ieus8Dtr@]];'r:9[Zo_SCPqZ$Bjq#1#=~>
+htR0Gr:qE&q=`]NSaZ7Kq"Oacp@J:WoCr(Tq#($aq"jgZo_$o3&*f%-q>]gSp$hSFnF6)Dp\FOQ
+p\FLfp\F=Xs7cB[q=bHumeQVPT3%`RqtBIOq=a^[o(N(Ws7ZHbrUta~>
+iRe%]!8%5#+4nckfu6=6f%Aa0fA596e)&[)f@ed.gtUK6g=b$+e_8Udg!k1bi8i/5e'$%_bKA,Z
+eG7M^deV8qdaZInh9sitq9ff)aOSbmJ3/J3hU]m!e'?G5d/_PmcMu/gbl,e:~>
+i;ETOrV7?-p\4]4B_)0"s8Vuls8VomqYU<mrqu]mrr2otrn%&Ys.5PIp!.u(q>:0krVQBaq>0XY
+q>(?cs8;Zap&4U[r"/Z!s8VWeF(<`!s7Q6ep%\@OqZ$Bjq#1#=~>
+i:m6GrV7K1o^_m!?KUnPr;H?]qu$*\p%J7[q=jXYq>1!cq:G?Oook<tlc"'^p%S=[qt]pWq=a@Q
+q=Y'[qtTgQnbMbOp^m)js8D0QBNWINrpf^ZpA+IQpAamepAXa`p4*~>
+iRe%]s4@;$*SAijhH*.mgXk6:f$rI0eCW7%g>(B5f@\d1gY:E6f+6QlIs')aVH6:7dacq!e'e$=
+n^@6\#KPEEccaP^c2#fucHk7uaja!HY1VUVe()b6dJqSncMu/gbl,e:~>
+iV`]PrqZTk&c2Oqb=er:s8)QhqXsdds7Z<gr<iQ%q=sd^qu$Hns4I5YOcT><np[83qY'aas8Mfi
+nb`+Xs8N5sp&>!kq>:frs7c-bs0,soirAcKqt0a\n,!([rqQHfJ,~>
+iV3?HrqZTh&bl=i`^H[&qt'ISp$h_SqXO7Xp^6iko^h_Jp@nCZqUtTRnV2_cs64csr:]^Sr;QTf
+q=a@Qq"=pis7GjXqtp3a&G#kmmJ-^X=,5K/oC_qPqtKXSs7cQerq66`J,~>
+g"-hgilnAOMrimJeCW6tfA50.ec+2.g"4a&eCE.%g"P06f+?WiEc0Ihb#io?dEU%hf\"^LdIGZ[
+d0A4Wccjqjf(mc*bM:Cbg#7cLC:rHNdaQIio$RKas3CYhrlk>cJ,~>
+iVW]Qr;$Bi'`@XpDk$:so`+^as8)NhrVQWpqYC'h"o\8mqu$?Er"&gkQiHg+C?>6eqtg!Wp\t!b
+nb`.Y#QO;dp\k-_q>'sgq[N>ns6]iF<Q5"5p\OU_meZtZrqQHfJ,~>
+iV*?Ir;$Bf+8PKpC6\#_mJZYNr:T[Vq"FU^p%8+Zqtg0ao^qkOp=]0Nq1t"&mD`\oo_/%QoC;JM
+q=a@Qq=Y'mm.']Cr9j7Rq#C.!o^VtBomofLqXX7Qo_e4Ps7cQerq66`J,~>
+g=IJ#g=+DCHI1a#hp^34e^N1'f%\s0eCra5g=k3/eCN7&g=Hnhj)fJ"d\fLHcdC1gc-+Meq9e`\
+q9]H#a3;iYf?)D8e,Ri*cck@efjuh/gX+<qc.2@3"OPH>c-?73rQTi~>
+iqsAbq"+Obqu?Tho)G=ji;`3C_>FiDQ]1tACPDfcs8MlhqYL!Oqs!qfqtBd\rVH0R@r;)>li6bR
+jnaK~>
+iqNKJ%eK`"q#0sYmJ<2Rg&L40_=nK6N.Lrt@XnFPqtg$Zq"OIGpZ_A^q=jRUp[me4=CgspkPt8J
+jn=3~>
+iR\Xjce[C0hV$K,h0_E"j3$-0_q,FPi-9%uejEg%dalsrcdL>,dco-ida-7ef@8*d4@diK`7`J]
+n^7$VJ,~>
+iqsAbq>'s]q#CBms3>J?p&FX`_>FcBT:,AYGM)'Dp&+^]puhP>q@NJtp@nC^rV?)k@^c=3r;69N
+qLA~>
+iqF#Zq>:*_p&=j`r5iQ)mf2_T_=nK<P`G(/DURJ+nbDkOpA"FIpZhG_p\FRVp\=LPl_dgds75sZ
+jS"*~>
+iR\Ujf%SU(hqm,FX@d3TjO)r'f+?WtJ9]M&:U7^ObgY"dd+-\2dcf*YcOA4Rf@/$'4-&4Fe'ZM3
+dIkk:~>
+iqsAbpAOdWqYpKoqM7b\s8V`k_>Fi:Jq<g'K_*aSnbrI_q"t!Rqs+"\q=s[Xq>UC"r:t>Qr;?9f
+q;qI'~>
+iqNKJ%fcCrp\Xd]o799@r;,m\_=nK*GBWMRHgT/:mJ6VQpA"IJpZhG`p\FRVp\F[ZoBp4)oChbO
+p#Ymt~>
+iR\Uhg==R&gt^c>B.9P3h9k)rf+?Wb@pmrI>g9C^aOJbfd+-_3dcf*YcOA4Sg=b'*8kRO]c.()$
+d=;~>
+iqsAboDS@Xs7lKkb#i]Ps8)Hb_>FiDPC`boT?5:Eq#CBlr;6?Tqs+%Xq>^-hq>C3k#,YY;qY:*d
+jnaK~>
+iqF#Zp&Fd^rq#dY_bk44qXsIR_=nH<Lj&aMQG^],o_n^aqY9:KlLke`qY9dYp\FRWqO:EhnacPL
+jn=3~>
+in"^kcJ$^shppH=WAd]!h:U5nf+?WuFC=1DGGCqPce-k!eCE(5dco-ida6@gf@em2hL@AEd*C.e
+jjAS~>
+iqsAbp%n1Ws7H?kMI+R-q#:<i_>Fi8M15$qq=t!err2lps8D`Wqs+%Xq%!/mq"jpfrqkYhF8>k1
+rT3m+~>
+iqEuYqZ$-cs6od[IoFAdoD/C$pCHJ:F6NAfo)JI\qYC$fqXs+IlLke`qt]sZp%J(OnCCr]nGDeO
+jn=3~>
+in"aldauatiR-QABg&QYf%f06_Uf=OdV<(6gsOR,dacmte_&L;dco-ie'ZOhe^iC*e@Iq;ce$Ch
+jjAS~>
+iqsAbqYBOWrV6EX@#b3do)A[f_>FiDJVF%!s7u<cr;$*as8VoZqs+"hq=s[XpA+O^r;ZeX=QTSP
+s5j*-~>
+iqF#Zs8VQdqXa^E<J(8KmJ6eY_=nK>G'``Ls7>[Sq"=7Ss8;TTpZhG`p\Od]p@S"KoCV[.:#,d7
+qrRO%~>
+in"alf@J+!gXbK,5A]KAd+dI2_Uf@Pk[J)Uf&5$$eC2die(NF'l-ehDs3_A(d+$Rrf%AVe/\BfW
+e`G2/~>
+iqs>ap\aUZpAY&cCt&F]q"Xa%r!rR9B`J,3qtg3fqtU$eroj7Eq@NJrp%\=Yq>C3ks3#8TrUp0O
+qLA~>
+iqF#Zr;ZEdoD/$F?c`9>oCMbQ_=nK/>[@7%p%@tOq"OFUr;69RpZhG`p\=U[q"=:No_80s@[m&[
+q;q=#~>
+in"aleCi1$eD/f09X<g7f%&C)_Unh@%S0+Lh:C-)daQXjdam($l-ehD&(&_PdacjufA#,U6@.&%
+e)eu-~>
+iqs>anGi@`o`+5]OT4tNs7Q!!r!rO^BD;H!r;ZZos8;`jr94%Cq?HcgpA+O\qu6Nnrre3emf3(D
+qLA~>
+iqF#Zo)JRbn,;9CL&UK4s75dZ_=nK1Jm@^;n+QYQr;HKeq>'gMpZhJPpB13dq=jm^#P7]`JQM"1
+o&]Rq~>
+in"albM1V&dc8P4ETkm)imH0+_Uf@Pg29C0gs=R(db!.$daQdtl-ehD"OGHDe("?I#2%O:2T"%j
+jjAS~>
+l2:AS&+oo%o_AHaB?BK>qtBpan\P,/rbl]Orr2Ngqu-BkpsJp<q>L'fq>^9rr:']o>b_8ojnaK~>
+nb;kSq=bHis829Vs.Nl=jo"lEqtopY_Y4?0B4gf1q<n+RqtL0cde3b:q"Xj_rUpH\pomehs7>@G
+J,~>
+n^mTeq:#u#iS2c2k(ua3c/RI*f@A'p_q,1Ihbm8(gY'm(qpPMo!7CAaiR.\PrmC_o#hI/NO>_LF
+dF77*J,~>
+l2:AS!rDfirr3:NA*j*mq=X^dqSE(7rc)iQrVlKhrVHKfdea">rqHBe#64JuhLURajSFB~>
+nb;kSq=bHmp%%nXr,c6.p\smZrVu`h_Y4</BkI#4q=+7VpsSm9pAk!ep]'plr:Kj=H\D7fjn=3~>
+n^mTepsf>o%G^+*>XcuoiRcQ1g=4Zjf*L'e<);6&g!J@Jdf7esdIPZCdJqSldJqZ$g!SNa>@cR>
+e)o&.~>
+l2:AS&-)S+s8C8LW;lnop@eC]q8)t6rcE#SrVZEfrVHKfdea">rqHBe#Q4Jqs/oqhpZ;7%~>
+nb;kSq=bHsp@e@Wa]G57qtBXTqu$9b_Y49.Ch<86p[\+Sde<_8!;QNes7Q]mp\"H_?e4c/p4*~>
+n^mTeq:#u0f%Jp9Y<Rp)i7ZW0e^i4"_q,1IhcES,gXjm(qpPModF&!@rR(Yo#h@GTgk\2*dF77*
+J,~>
+l2:ASs8NQ-rUuFko_eIVqYU-`p;-Y3rcr;VrVHEgrVHKfdea">rqHBe#PIues4CJJq;qI'~>
+nb;kSq=bHuqY0^QNFqVRoC;SPqY0^Y_Y4</EF\Y9p%J.UpsSm9pAk!ep]'plnb;PQdSlV+jn=3~>
+n^mTeq:#u2h:pZ7F&(<Bf$r:(f$Vjp_q,1Ihcrk/gXXm)qpPModF&!@rR(Yo#gUrHiNb7fe'mI,
+J,~>
+l2:AS%fQD%rV:Doqtp3ds8Vrk_#+E8IVScYq#C9grV4h;s7uZgrV6]ks7uTfH>`K=qLA~>
+nb;kSp\,0fp@E$Vp%S.Rrr;ijr:n/'#PE7Lo_A%SpA+L3pAajeq#0sep':-bo_7ouBCY*WJ,~>
+n^mTeq:#u-g==p1:iP1Ef\50;f$i4#_q,1IhI0(2gXFm*qpPModF&!@rR(Yo#gV)Pf@!VjdF77*
+J,~>
+l2:AS&,6,(qo`!Kq>^HnrV6']rk\L;rISb\rV-?erVHKfdea">rqHBe#PJ,onGfXpfB)jZ~>
+nb;kSqY(QpnG)nQ`D<c1qtg3dq"=I^_=n3-H=?I@o)84VpsSm9pAk!ep]'plnb`%Gr2<QAjn=3~>
+n^mTeqU?)-e(`d4X#66si8*2Cf$W%%_Uf(HhIT=5gX=p*qpPModF&!@rR(Yo#gV)RbM7n3Z.%j_
+J,~>
+l2:AS&,Q8)p5*5;s8;inp[e(Qpqck5rInq_rUp3brVHKfdea">rqHBe#PS#hp&<f]TB5p"~>
+l1b#I&+fMpmt=s%rqQ<bo^hbNpqc\0omL6@q!e=Tq=rD3s7ZNgrV-?c#P.T[nG(XERH=-m~>
+l.>^]%bg!mB0X2jgYCN5dF$In_Uf(HhIoL8gX+m*qpPMon^HIEs3U_ls3h8"e'l[r\3tVkk0\\~>
+l2:AS&-)+uoQ->uqtBpcqYL3go>(8.LM-P`o`+X`qYg3;qZ$Bjp\jpfq??Zoqtu"gjnaK~>
+l1b#I&,YSfm;A'cp@A"Tp\Omdo>1/+oRC6@q!\7Rq=rD3s7ZNgrV-9a"nVcep3L]>p4*~>
+l.>d_&D5mahpG;CiRuc7gXt06f?_=c#he$K8DDnFiQqDLs4$SfiR.\PrR(Pl"lIk]>u9#4d=;~>
+iVWoZq>JrN\c;U(rV4e<q>:!c#QBp'r;ZBerr)]lp]gWnr;HTlr:p0KqZ$Bjp\jmuqYC$fnG]Ul
+k5Y/Ms7Q$^mJ;>~>
+i:dHHp<csKrUp-`rV4e7q=aXY#PO'dp&FITqYBmjp\=OZq=sa[pYtoHpAk!ep\sjrp%J4Hpo%$K
+s75g^naQ>@p4*~>
+in"LigXt;j3g\aUf_X1HfD4"of*L'eG"p`OcIgbGdf.brec45#ebIYQdJqSldJhT)dam*ofS_Gu
+h9F:%bfeK&d=;~>
+iVWr[oDc.,f`1dGqYg3:r;$6br!&=&qu?6bqu-Bip]gWnr;HTlr:p0KqZ$Bjp\XaqqYg-fc>0cd
+p\4X^qtodWJ,~>
+i:dHBqQ+#Pqt0j]rV4e7q=aXY#P<mdo_\%Mp\FRgp\=OZq=sa[pYtoHpAk!ep]'sdoaLWbr5WBP
+r:BOUp%S4Jp4*~>
+in"Ihh9t5E6+,Ouq:<sFq:>Do#he$V:tjdNf@9]Grm^tus475#pse9Ms3U_ls3q"r%Fs+Xgo<f%
+f?V[kd*gA0d=;~>
+iVWr\oDaMiqu?QlqYg3:r;$6br!&=.r;?6eq>L0gp]gWnr;HTlr:p0KqZ$Bjp\Xaqq"jmfmXTZY
+qYKm`s7u'YJ,~>
+iV*TSlhQ!OpA=R*p\FOYpBU>JDtWkoq=XRY#57fcq"XUXq=Xg_iqEEH!;QNes7ZKc%J08cqWE0K
+oChnJq>BpQp4*~>
+n^m<a$fTUmA67F>f%/@%f)=7KfD4"of*C!bF]dDPd+S9Ds3q8(f@S[-f@TiL!7]uTs3U_ls3q"r%
+F`kXg<*SucI(%`eCW(7d=;~>
+iVWr\pul4Us8MooqYg3:r;$6cr!*1_IfK<As8;`lp]gWnr;HTlr:p0KqZ$Bjp\jmuqY^-`qtL&K
+@-RUhp&=samJ;>~>
+iV*QPnDIQ9r;"G.q=aUX#)IHup@\@Wq=k0fp\4IXp\4LW!;GLHs7ZNgrV-<b%f#Yep$qa2>ikbZ
+nbW+QmIl&~>
+n^m?b#MS(ga[14.g&BM$f)=7KfD4"of*L'fF'mhXe_JXNdf7f$f%8O+f[naNecF:LimIeQrR(Vn%
+b9%We^<&_3Pa+rbgk7gmEpF~>
+iVWrWrk;FHnGE"ZqYg3:r;$6cr!*1UIK0*?s8;`lp]gWnr;HTlr:p0KqZ$Bjp\agsrV60co)GFi
+anGc/qt^!RqLA~>
+iV*ZLp9mc,lh9uFpriF-pA"@dIWbJXp\aa\p]gHdp\=OXp\FL_pYtoHpAk!ep]'ptp%e4Np?_RE
+=iKt3oCqqLmIl&~>
+n^m?b&DGmrT/E+_f$W!qeCN:)g"=^(q:>Do#he-M?Jj>cgsc/Ks3q8(f@S[-f@TiL!S#TXdJqSl
+dJqZ+dalmrf$)lr2PA=LcI1(bmEpF~>
+i;<fZTO$RCrqu`krV4e<q>:!c#Q8derq?9gq>L0gp]gWnr;HTlr:p0KqZ$Bjp\jmtp\ssbrqQH5
+?_-`ep\OXNqLA~>
+iV*QKrg6aBk5##ObP1i+q=b-eD/At:p\=FWp]gHdp\=OXpY#9?pAk!ep]'psoD8(Pq""-q>FFmU
+oCheBp4*~>
+n^m?b%bfb'JNU`fg""O!eC<.'rn5`Oq:>Do#MIs9<Sc0Vf_X%re-=LUf@\a-fD*nse)JdTd/DAl
+dgjaVe(31"fqLHJaO\YacKrr/~>
+iVWr[s,gjfq>^KnqYg3:r;$6cr!315C]4#+qtp?grV-Tor;?Nlr;??eiqi]NrqHBe&,-%tqu$Kf
+mpUJ8q=X[_qsF61~>
+iqNKH#l]Zdo^r%Xq"W&,q=aXY#PDG6p@A"Pp\FRgp@n=Vq"OO9pAajeq#0sep(-`ko(MeRn*+,"
+oC_YKp\4(KJ,~>
+n^dcoo@a]0iTYAMf@8R-daHXpf\$2Vdb"<GqUZ#+hF^Jse_&I&qpPMo#1hJ\g=k65q:G`!e)JdT
+d/DAldgsdWdam"'d`FOGcHseadaIO1J,~>
+nGF(!r;6Ehr;6Ehr;6Ehr;?BfLL0oYq>(!crV4e<q>:!c#QJ7Is82iorqZBpqu$BjrVZTgqr.AP
+q=jd^&,?1tq>('Ys(#dBp[eFbq>U3lq>0pYqLA~>
+iqE`Pnah62p\sgXanPW)q"Fto?MO0hq"jm_s7Z`kp\4IXp\3>6qtL-a&+oeho^i%Fs'T@9oC)VS
+p&=Xdp\+@Qp4*~>
+n^dcoo@j6"#2j5\g>LK/rmV,&f\,$4g$mT%g"4p/g"4p/g"4p/g$mVhf)!u(g#5:hhUpQ4ebdep
+e-=RYg"P05g%j8$f$iF%s3hM+g!J6th8nJ:524B*f@J=9d=;~>
+nba:%q>:!bq>:!fqYBm^q>:!cs+>UsqZ$Tmqtp3Jr:0aVr!<8qG%LLJq"ja`qYg<er8IPJq>g?_
+q?M^]o_\F]qYgEh"S_`dq>'^[J,~>
+nb;kS')_S!p@n@Wp%J30F8be0rqQ9ar:n/'#kmRs=mu(Up@\CZp%S:Ul1aH9#CfnFp[n7TqY^'h
+q"OOUp4*~>
+n^mTi&)Gskf@\d0f\kn)>N=Alh>Z%+f`Ts`g=c&Ks4Ik8g"P-5g"P-5g"P-5g#CTig!s%hf%SU%
+cdMg?s3gqsq:YVs!S5]jdJqYkeEPEe?T6<\dFHaurR(Sjp!J9~>
+o)/ObqYC-b!;QQh$Ms]#G)cOtq>C-eqtU6hir&BGnb`Xjs+YUps8Dooq>gEdr8IP;q?a`Dh#.3L
+q>:!`qtKd[J,~>
+o(VqSrq6?drqQNe#5<(lq=OCVq"Vc$#PS%=BDMK#qY^*gp\sm^p\FOIpZ_AVZsMAYqtKgZrV-9c
+p%En~>
+n^mTirmq/&rRhG6i`^9Xf@SaTg&Kb-gtLHPf)XLqg&Tgcf*L'l@Su"?f[nRMdJqYpe,\+sg%s>%
+f$a0;!7L\ml-fm%5.B.reC2tHdJ_Gbd=;~>
+o)/ObqY:Wop\Oa^q"OU`qe385r:p9gqt]4JnGMnT#lOOFB_V;pq"4R\!rDfkrquWiiVMj8$Ms:%
+[J^($qYU*aqtKd[J,~>
+o(VqS'D2"oq=s^Xp%\,dWV?/YpA"FYq;(fGpZ)#Sp[2g%mIB]=o`"Xiq"OOVp@nFYq=jFSq=j.I
+$gV'$pAO[Xp\+=Tp\jm[p4*~>
+n^mTi&(T:cg=b-1f\kUZP24jBf)=5#f`Km\fCRMmfC@MofAkBeg"9=pdac^mcMc/jdf7hmfD4"f
+deVDWdgO>]O4N.;e'ujqdF%p>p!J9~>
+nb`Caq=tU!r;-0]pA4gX?e>8VqY^6fqt]4Jo)/%Ts83(MD>F)*rqu`i!;cEdiVMg7$3+7nq>L-g
+qYBsap\"B5~>
+nb;hR')MM$p@\+PqWCr,q#'gZq"X[\^A&$/nSr%/p@nRaq#:'hq#:$`q"a[Qpa#V/p\=LXp@n:T
+p@n:Tp@n:Tp@n:Tp@n:Tp@n:Sr`5!Lq"4F^pAamcq"=?2~>
+n^mQh%GT[lf@JO+im9s!gYUKYfDjM*g=b*KeH"4mf`9X`eHsj^?;0#)f%ep+rmCbos4%)!%G0.^
+e^r@&eCN.#eCN.<dNm>jeC)jpe'ZXle'ZXle'ZXle'ZXle'ZXle'ZXnhDT3!f[SOPe,Rhod.Pe:~>
+nbi4[s8<E)qYC!crr1PXnc&Rerr)`Mq=+:Qq$6fsMKo1!qYgBes7lTi!;lWgiV;^4#l4@*K)56;
+s7cKfrV-!]J,~>
+nb3%YqY1$c%J]YipA"LZcrfT-r:p-eq#C0ipu2&<q"+:dq#5b[q"OO]rV?Kgrq?EfqYB@M./EZ6
+q"a^\p\=LXp\=LXp\=LXp\=LXp\=LXp\=LWp/ub6nalYKp@eCXp%En~>
+n^dcoqV(u)%GTRgg"Y?@\O"Tshq6QZec48$f`9Xpea_8NeHjdiCKKBHf%\^Qdf%Z*e^N'te^N't
+eC)jpeC)k8dO<MkdF-FjdF$=gd*^4fd*^4fd*^4fd*^4fd*^4fdFLEdf$Vt$daQ\6d=;~>
+nbi1Z&,Gtpqu6TprOZqCrVlcmr;QTLq==FQq$?lqK5p\ZoCqhSp]($gqYBsGq!.S[q=eiVrq?0f
+pA4darq?Egp%j1~>
+kk>2PoCVeVq@<2)B(P`kq=j[[q"X[\pu(u=q!n.cq"/fFo'u;Go_nUcq#C*aq<@\Mq<I_\p[W$A
+p[IeNnc&7[p\"61~>
+n^mQi"5)2VgA]n=hOI9kg"=m*e'ljtf@S^-n^[0]ime=fh.0F9eC3!prR1Yoq:"TVq9eKS#gq'o
+=k_6Og<ooKnBla~>
+nbi1Z&GPnorr2]as.tGKrqZTir;?Kis7t[LnG2\N&c)<YGQ7X?s8;Q_p\4IXqYL$apu1u4p'UQo
+JTLkequ-?eqYU*]qLA~>
+kk>\\o(DkUo^;LCHh@((q=XOXq>L*gq;V8?q=FFpq"&iNq>'sgrqcKeq=saZp\F[^iVDd6$2=7?
+CA.5jp[n.XpAOaYp4*~>
+n^mQi%bB1_h;-]1iIk[ng=+[#rmLktrR\p:#he!G=Pqoii7\(Ws3q)#eG7ShddklfdeV;UcjA+Q
+>><f$f@SO&rmUDbJ,~>
+nbi4[&,uG"qu?Q^jSt^8s8Vloq>U<iqZ-HOq!e+Np_!?%ML,=!p\F@Pp%S4Uq"jj_qY9%DlLkMX
+s+Y.^rVZNlrqcQgp%j1~>
+l1Y_bp@J%UpZp]7OGrl.o(qtRp]1-LqXF=Pq@WMsIrbAYpA4@UqYBs^q"OOYqYK1HlM(_\s*\2C
+p@\(Rp%A=XrqH*ZJ,~>
+o%*lpq:ZA8g"+m6g<RY!H?7fqdb)nFdf@qrf>H,Fg#?jSiS3#=d+&'Cs3q,$eCFEEq9ni`s3gbk
+lHfmci*\h"g"=g-e^aZJo$Ms~>
+rr)lpqtpEkrr#Xmp$r(Ms8VcjqY^Bfr:5*TO1'/0s5j:\r;$3hs8Dciq"4.MqYU-es82?So_\R]
+rquE\qu$3`p\4L[q"X^]rVcTis8;Neqtg-aqu-HlpaQ+>rVH6aoC`+Qq#Bj\R=+o)s7?0]q=sXW
+rVuclq"FIYqtTgYqu6TlrqRf4q"aa\p%._IqYKs[q"F:Ho(MnUq=s^Vp\Od`q>1!cp[n1XpE'8%
+p\jUNqu-PaB)ho1p\FjYs6]db[J9Ims8Vrip\al<~>
+rqQNfqtC'arqK:hn*C#;s8;?[o_/=Tp?Zh:KWJp]rSRYQq"=@WrVH6aq"4.MqYU-es82?So_\R]
+rquE\qu$3`p\4L[q"X^ZqYKs]r;#mYq"OLUq"jpfpaQ+>rVH6aoC`+Qq#BaQNcasas7H9aqtg']
+rVZHfq"FIYqtTgYqu6TlrqRf4q"aa\p%._IqYKs[q"F:HoCr+YqYBpZq"t!dqYU3gq"=C[p`BD(
+q#9gRr;6AR>kRjanFHSEs69@ZZM!e_r;63ZoDJ<4~>
+rn.8&qptf!s4C0%imlH=cK4'9h:gZHfA+eVX)=+sKAO;tf[J9tg>1N6f[eKte(E@+g>1H.bgP1u
+f%f!-db3@)f%&=&f[eX+e_/X,fA"s)f[n^)e^rL.rmiOOgtUK2f[81'cdq(#hL&\df&Y?8dalss
+e_Aj/f@&$neCE!mdad"&ec+#BdaZgteBuUedam!udaZ^haNMoXe'cXjc-Xqhe'c^peBlIdrQlV9
+ajAV\ajektG!Xj9f[JC-bMgIlglKn.db!'tcHc@8J,~>
+rr)lpqtpEkrr"";S>`6bq"asapO@aES*lN#E0k@rpA4[drVH?dqu$BaqYgGCqt9=Ks8N&tqssFT
+r;-BkrqZKfqt^-bqu$3bqY'a`rV--_q"ORYqYL-dqtBaUq"aL\s7Q'_l)!=#K(unHnG)tSoD/1R
+p&+gdqY0dZqY9p_qtU!]q=sp]o^r%UoBQ&EqtBdWo^2SPq"47Np@S+Pp[n+Kp@e@Vp\+@]o-!Ss
+q>:'ho^VeQY%cqgs8W&VJUE;pA6Np=oD&1Wp\FacqLA~>
+rqQNfqtC'arqIY1QD0tJo(2kNnTfJ-Q0=3ZAW1'HmI^)Ip\+7PpA+OSqYgF*q"<nEr;QZoq"""N
+q>0sequ6D"q"a^\q"aRVp%.hPq"44OoCVYIp%S:Yq"F=Op%e(Vs7Ps\k+U=ZGOVs+n+ltVp%eCQ
+o(i1[p\4@Tp\=LYq"XRWpA"LWnauVOnETW?q"F@Qna62Lp@\%Lo_%nNp%9j+oCVePp\":Ro^VME
+qYC'fp$_YFUgMg@r;--AHZt-\?rq1/n+?>GoC_nWp4*~>
+rn.8&qptf!s4B?cKRAT/N7chEf@OA<@!g1?Ceo4F\BraSf@A@"e_&U0db*R<j5&D;b1#2%hV?f2
+dFQt&g"b<5f_a9/f[JF'dam+*e(3%!e()t"f%Sd0eC;ptf?iL9e'm$kKY_eBgRHR:fA+d#e^i*p
+f\"a(dF-FldaZardaQUmeCW*nd+-Xj`mE5cda?Ifajebcc-=JXc-O\]c-4AVcdMd<,0\6QcI11k
+f?MFee;6T-cJRI2]3A?I90G+'`6-ERcd'ndrR$,~>
+rr)lpqtpEkrr"F*I83M0q<br[s7UYig]$PG=_)jXmf3=arVuloqYU6kr;#pPnG<1brqc6ZqYpLt
+r;HZqq=sdbrVcWkqu-Kns8Moos8W)sr;HTnrr;uss8W&np\b'km.pVEs8S%HTR*<9s82Eeq>($g
+q>:3gqY^6fqYgBmr;6<equ$?hqY^<lr:TLQqu6Tl(]!\$qY9g\q>:$grr2fkqYpNfp\Xmfrr2p=
+l1k;QrVu3`c?J+Ds7uK/<8.BAj_A&enb2bPp\OjeqLA~>
+rqQNfqtC'arqJU/G=Y5moB3[Cs6t#WebJ3(9NQ-(jT##Jp\FRWp%J1Wq=O.@mIgMVqt9IJp\b'f
+q=smap@J"RqY9j[rqQNj2u!%>qtp3_p\+CVq=sd]r;?E`o_8=\l1Fi5s8.P1PAQVas7l3bq>'pa
+o_/:Wp\4IVp\=U]q>U'hq"OR_pI+lTq=*_Aq"a^Yq"4(Oq"47Pp\4I[r;-6_q"jsZp%S=Zr;?Qo
+kOefGqu>gQ_J@Qkqsa*g:"9+,i+?*TmIKo@oCi"Yp4*~>
+rn.8&qptf!s4BEeB3d,AJD&2>a6(rSA@p^C5<2,6gWAL/e^rL.f\"m3h:gK-c-Fu"hV?c2e(ER9
+gtLK<gt1*.gY:H]g&Ke+h)jBDg>1Z@g=b36gY:N<gtglBf@AU3h9+@(a5c#mI"P[UOlY3Cgt103
+g!n[2e^W4$f$r@(g=Fj(f%'cO7b62EgXslqe(<:)f%8Erf$_slda?Rmf[e['e'ck"cHk"if@JX-
+hnd^rd+.$ngo=5\g#1?.TJ3b.bJ6J&_oU*KcHaherR$,~>
+rr)lpqtpEkrr!`2pLngEs7L-Os8RGcrVu4s:.)Jeo`"U]rVlg"rquWir;Q`rr@7gFr;Q]qrV?'b
+qt^0ep%\R_qYU'`qu-Elrr)]lr;??fqYg<jr;QWhq>U:=q>0ses8;oqq#BYkNIPllrVuoeq"sgX
+q"ssfr;Q]qs8DforVQHjr#kh(p](9kp\Ogar;HKhrVuclqY^9jrVZKdq"jd\p\Odds!.=2oCVV;
+qtT^Zp@\I]b%8fsqtC&,E97-"oWOeYq>:'bq"ajaJ,~>
+rqQNfqtC'arqJePnR?P-s6jL=rVUfRp]';Z5rP_3lLaN9pA+U_q"F@QpA+X`p\+CUp@n@Xp[[bO
+p@@tMnF?AGp%7kHp@e.Rp\sb6p%%YDoCMVHp%7qIoC_hMoCMVKqt9j[o(_6FI;`T4pA=gUp%\+H
+o(;SRp](%6qY'UYq"47Pp\"1Co(r:Xo(;\Kp\4@Rq"aXVp@e:Vq=aLPrq%]2oCVeQr;$!Qn*]W'
+p[[_Fo'cVI^0/8Hna6?gC#Addn#MiHp%S4Ro_&.UJ,~>
+rn.8&qptf!s4C$!f[iYre`PCSXlJDFVVUCZ8h_QWg<nU$f%Jj9hVR&AgYC]GiSE;Ggt^`Bhqcr4
+in2i8f[A=*f%8R)f%A^/gtg];g=t<4g"G*5rS(-"g"Y<:g"G*8iS3>Hf\Xh@DI62Agtpo3eCW-p
+db!+)f@np5g=b$4f[n[+f@\Tpdb<L-daZmuf@SR'f\+j+e(3(%f%/9tdF?Rld+$SEfd"nibg+DK
+eC)Ljcd1S"VE^s6f$NDJ9Y]<<c\Q_gd*g@hcd;U;J,~>
+rr)lpqtpEkrr)ls&TiL%p>fH$qVo<js8;nn:LO%srsJYqo_A=Zp](!^qu6TurVu`hq#::%r;ZQh
+s8W)us8DutrVca*rr)fps8Muorr)ips8Mus!WDoprs\f)k5P1MPjA@JE-J5ZrrD]hrsJJps8Vuh
+oD8IdrqcWpr;Q`rq>gEjrri)lqu?Tnrs&Duq"jdarVlg%qYU'br;QKgrVm]3s6Qkpnc/XEEQ8%S
+r;Kfds7Q9ho(N"\r;c`oq>L/?~>
+rqQNfqtC'arqK"Zs(llTmbCaYo%LVOq=OWR6<!:FrqQ<^na5`6oCMMHn*KZ?p[n.Po'Pr=p\"1P
+naZGOp\Fj\q"XRVqtg$Xo'u>DoC;>Ko)J=]oHaD1o(2PLp%.q7oC8-*i:iODAsi8aqX=@Zs8Vo^
+n+cePlg4-?pEfV1p\FUZp@\Iaq"4+LqZ$?ep@7YFp@e:Wp\+1Knac>Hq>0gWrpg3cp%%\Orr3f.
+s5p,[kkb&#A\.L#o(5_>rpKIWmIL&Oq#L0gp&4T7~>
+rn.8&qptf!s4Blrhrn'Ij4D74XP:Xdjl5+[M)%HRj65CWg=F[#fA,-6i7QW9iS`SLi7ll:hVd;I
+h::06iS3;Og>(T>h;@2Ih;$c@hVHr?rS7G/s5#0eiS<5GiSWGLa5,I"Fira#:f`;-gtpH6gY^uF
+d*g\*f?hjog>(E<rnKotgY:B=h:^<+e_B$8g=Oa"e^rC*g"P$-daZ^sfA,*5eCE!tf%AF$guIAR
+f&Oc*Nm$87\4r^Ne(<8.F5bNsgs+0ormUqrrm:VkJ,~>
+rr)lpqtpEkrr%<AmY#KVs6l,HqpkWDs69R`A;As]aMu?:[&0UtYd:a[[A9V"Zb+/u\Z)L3^<4m>
+^r=L@aMl0?cdC"^d*BYVb0&#Vd*L+ccHXSWcHsu%fuqF[dF-Cjr;Z]:M1_.lK7M/Fs7lQmnF?PO
+f@flZgX4C%l1Y)NqY^9gr;Q`r53^>+^rFC3aiVK6]"Pkl^;%Cn[C3fhYHkOBYc=RrR\-7GWk-'`
+ZI.=L`3,Z.cH:X`s8W#4BQ(J=\GZ1&p%j1~>
+rqQNfqtC'arqI/tk'Ue6ro]0/o?Hq$pYl,H<dE$j]5kZoWh5fTW3*2:WgT9KW3EhIY+D/\ZbOPg
+[^s;k^:Ltj`Q#g4`l#F)]tM8"_ns@/_8*h#_8F4FcG7*/`lH'>nbhpkIX$a7E,E2arpKLXlKe94
+bg,M,dDs8RhsBt&nFH/?o(;\Oi5E%4]tM"m^bra1Z*^sH[C3HIX0&bBV5^JqVP0NLOHu3!TWu#:
+W6!9&\ttU\_S1*0p%@ma?Y6WrZM*qjp%En~>
+rn.8&qptf!s4DYOf[",)hWN7,L"s,mhr)ZBkXfU*Wi2bkS<8MWMNO6mX-SHnNKfs0X."p%P+Se]
+T:MdVX/2VeVl[,&XKAV$Y,\M)Yct=9YHG"/XKJe4a1A@NXg5:<[,'s%WbQ'iL14Mgl/pIJgrdgo
+c`j_%^UC;G\&?bJe^[.Bf@\^0gtTZAQC+88S"ZOGP`h;uQ^F2/P`UupTSe\hNf/RAIW]p_HA.TS
+RuOJTVk8ciJZ>SOXP;L]RmK]4AWkWohp_;HJ,~>
+rr)lpqtpEkrr%<Gr0;!ks6YW<s0hb#qZ$0c;JUJb?"7G]Am\hO@qB4g@9d;T@pihY=]AU8A7/\Q
+B5)'qDfBT0FEVV?DeWNqAmo.Z@qBCeA78kR@V04kB3nhMA7T1Z?Xe%i@sN?GVl6/DG%H&9@q91V
+;I"6SARSnOAT<$>H@:0gJ;aGl6\9/a@UrqTB5)!e?t*PN@;0Uo?sI/UB526uBOtX^BPM*c@r#^]
+H"(B'C4(YGD0]R:s8W%`>bud\g?nq&q=s^Zq>0r<~>
+rqQNfqtC'arqLm@oSm;KqW36ts/tn`o)IqB6<e)%:fpn/>?=g,>?tND<)6Ou<`<(%9LhiY=&Vpr
+>?kH?@q/tSBPD!b@pDl<<`)ao;cR"%<)HIg;H?q1>#A'n='&F&;H7:5<buJ_Od1lPC0>Ud>$G90
+6r%8r=]J?t=_2JcDK0W77s'6:M0EE1='8U(>[CZ9<EE4"<F''?<)?V%>@(]E>Zk*.>[CQ3='o0-
+D,shL?>t*l?><BSoCVX5;k.r<eE?kip%7kJp%nB4~>
+rn.8&qptf!s4Cc6k1t2Qg#L@lL$4lWgtV&Bi\aJ56Tmb(8ju!/6Uj[?:d[E88OYs87lrUl77KU,
+6UaR:92/5V92\ec9he2C9L_<76pjC87RTO-5XIq2;Fs,;5t4=46pX4?91<&f=_!,?H>$2@<^Jl1
+4uFcG8jYg.3]o](<`E+(=B\sDE,AfK4$,Se3']eq3]T8_2`jB!6p*@k6pj@5779@(4@DS'3Bor"
+2,ub*84HWe6:Xs9WnZ=]EAi;J7't"n^=(?Qcd;O9J,~>
+rr)lpqtpEkrr!/ns-%R)o`'T7df08krTsRaLp+qMoDJXVp&4piq=F.Fgs4*bb15SCgW7=Sb0%rO
+d*Be_kOnVpf@eQrbf%!)ZDXLnTr"ijVk]rZUoCGaS=l[TVPKoZXIQ,^F_,f\IAa$=Ttm+dZaH<j
+ZcU8-bg+,2US4K`Y-G15\&d.(\AQ;&_@t#:a3;iRcHsn[hsL73i6KBa`lS,$-d9lVbK7lSh:K`b
+cJ$soZB9<VDd_N'p%si"s3Yids6K^_qt^'aqtp5?~>
+rqQNfqtC'arqKU\qho:bm/;<rb5;&3p#Q)FHD/!lkjeQ5me6MPoBkf'dDNc6^WP6ld(R!'^V@V$
+`l,[7h!4:Dbg+5F_7?YQVOEm<Q'e58S!K>(R%0h1Od2?(S!fS.5bX=/Qtff?JSLL=Pa/V<P,bUI
+NMsJ"]#)CrVjWm?TVSK^UohATVQ[SD\[fJp^;Iq.`Q-!7e`6,`f#589]Y=?[-c3g8_8!b+e'5V:
+`6ciGW/#,'?r>>Fl1'OOs2o*Ps5j:Up\"4Qp\XZ7~>
+rn.8&qptf!s4ApWd,]:Ki76t$IC&"pj5/&Ek&$?a[aa'jc.(P,i7ll5d(QWaWiNSId_)QUWW&r4
+W3*+uYf>2EXL>XCXK/+^S</MXK7AT4MM6\4JV&`9H[C<rLP:G4Jr>&1KN(ECEEn6QIsmc-Fc26$
+EK$T`U8b2dNduS0LPq1OMj1'CM3=F%S=H=QTr+cdW2chm]#`CI];_O"TqhR_-`<r<VPL#i\?_m#
+WO9+0NGMEj8NOH>cdli5iiPr.iPja*da6@gdehFB~>
+nba3sq4_9ps8.FnZh=@trV$9hEN0!5pAFmgr;?Elr9F4cqu?]>kkY&Sl2;@mo`+KN>)D2-T!JCi
+s8;orq>^6`s6ojrrVQEdqu$Bhq#C$(g].0Il2):smJm'2Dhm$GAp0sFs7LHMq#9pcaoD//qLA~>
+nb3jho:0"Xq=T/VXmc2_p[IqLAtJbdn+HJOp[RtTp\sjko_eX*iUZR=l1PtbmJQ:6;hE]bOf.p=
+p@A%Ro)A1Hq"++Mo(EUgp%.eJp@e1Ms6mVNs7Q$Kob[GeqXo#GJ^FBtB9_fZltX*"q!Rspq!n%N
+J,~>
+n_#&9fn)KEhqMXCPL\[Lh:CNC</fhie_/^1g"P08gtpiAo@aE%e^N(!f@g/Ws5Go9`R`Sug"G*4
+g=b35g=b35g=b35g=b35g=b35f$N@#G;a'Hd!h2:e_Sp7gXY94d+d.&f^dT(f@A@!e^i=%dc&NB
+[GfZcl.$X(a4f'E8R\sf6;i6^hp4rad+HY!V;'MKp<eB~>
+nba4'rM!KZqu21PfDk^Eq>U0hEM*4,qYU*equ-?Tr!2oi`-])qnc.kOrr36!e]m=Xp5,:<rsAV!
+K>G%Y\o[WGnG<^lq>1$frVQWieQ[%Ys75FN([D&#l_N50qp]XrMZ<^fC%D-#qRL1ds7Q5=~>
+nb3[opRG4Bp%Wo8dJWY0oD%nPBp\hl!VZ0]q!n(Zq"am`s7Zcfo=oIVs6T^KpDEf-s7F[Zj88:r
+PPY+SoppKAYhl^&nGi4QpCHujo_%tRq"FUVcrOuErpAtD(Zt_skFgAuouLWBHi3N@@-R4]oWhfI
+s7Q)9~>
+n_#&Eh1@]/gYQC%\)Q,rg"tHD<eB2_f\"d,f@ej2g>(E9o@X],da6Fje^`@+e(16rQfH<Gl.6d,
+hr3(hW5IHAC4,(!jP,;pSs.!V:Xe:Ro$e3$e^W.$f\"d0e$(`(`SSl(dhp!Who'rKdabX"5@ij-
+PX3C;iRF,YYiF4+d=;~>
+nba4'n=!Y8p\/fOqZ$0ep&FgeDiaYks8;Wiqu-?Tr!38ns7#IPp&4+P(B+1%nc/X`rcsY+s8;\!
+T()F'C7bIpnG<^lqu-QprVQWZp7enns7kjT(]Wmks7l9es,N+XIfK5'D;t9XUL/9Gn+HO-~>
+nb3k!lBGAunaUO7o_\%On,2bOB8>sMqtK[Wq!n(Zq"am`s7Zcrmf2V;o^MY>pD<W!mHjlQo(R-\
+qY9aS=-r1>c=<4@lLsfC&,,\iq"jj^pAX.CSZ_hgoBGrbs68kLo^VtWK7RNQr9f5Kg$S$p=E49(
+p%En~>
+n_#&Gd!@jbf@O#$g>UN<e`,<C<-$XIhV$E1f@ej2g>(E9o@X],da6Fje^`@+hpLN1bLY%mkgpX'
+f?MOsiRH[eEoZ$2fKFT+dBQ/eil]jCe.1'[f%A^1f[eotd=%&/hWWE*ho<apdE^Y&D/N'OjO.[0
+\BN'C4&k+]e+V1>~>
+nba4'qp),.rr8h7s7H!ap&=mbDM%KYs82Zkqu-?Tr!38EeDpT%s7PXS"982ns8Mp-o_iWsrVH6f
+N:-`GT9K$JqX=:jr;Q`pqY1$Zs7ZKmoDIkM(]=+(rr;fcW.1_+M<=T<Xe_8@I!r'qme-F,~>
+nb3k!ouNikq#?u%qsNqOn+cVHApWe;qtB^Yq!n(Zq"aparq?Zt`R!E@nGi"BpB1Eep%n[^&b#F)
+PkFY:qM",3qO!62p@S(Lp]'pqp\F[\p%&.Ks7--dmcaB]q"=:Us7PiTFIIi1g?ki7RuN,FG,50&
+p%En~>
+n_"]:gTH=XhW9HgiRHE<e_]0<;e=J7hUqhZs4RG+!o2M`o@X],da6Fke^rL-j/B9"j3lo5l.6$o
+eCE:Pf+HEc:4;!Pe_k5din\s"e(N7%o$m]j%G0:ef[\F.bMgk-gWnF8e/6`adF[:(b^s/VD.UN1
+M1p7lAQDrhjNH$Gd=;~>
+nba3rs8V`ko)J(Vo_AC\qYg?fG^oJdr:p9iqu-?Tr!2rLD2e;js7bdU$ifu#s8M`hs7g*#p\t0u
+md^=^D!LZms7,ssrVZTlrVH6YKpRe%q"Fafl2)7^s8VE^s8&.oSt*%1q"Xdeq!e=`kl15NJ,~>
+nb3jhs8VQbmJlAJn+6>Hp%\7NE-LdFp[e4Vq!n+Vq#:!mnC2-,o_\LUl1Z%no(i=]nb2hL>Fk6X
+q>]XCpo7ocmJ6VPo(N[ip\4IXp$qF"P)-+/nbr=KpD<#ms6'.Rp62YAOJKh`n+6SMlM^bCq=XFS
+J,~>
+n_#&6j5\SEd,`@-dam1)f\>3:?"2IBg==s0f@ej2g>(E9o@X],e'c^oe^rL.f"+Lhf%o'.l.6d.
+db3U4dFR+)7#'@Nhr`2/gl4kEd+m@+o$e3&f@S[-e^;WLEbL<YdG<O@e/6-]ho+$sdrUn*HAniO
+d*gdtaP5[kgXXdHd=;~>
+nba3sqt^3jo)J^hn,NFTrr;ZkKn0.$qXsmequ-?Tr!35XFklloo`+1R(]*q)qY'mfpAJ?go`+sc
+s8ToW](,h#n+$8crr)clqt]pU`3O3bs7u]`l22@tpA"@]p&=1OLS=8*q>^KSs8V`kq"aXVqLA~>
+nb3jip@S.YmJQeYlMphHq>KdVI<bG[p$hkSq!n+Wq#0plpt0Q;pAFCUl1Z%foCqqJq"sUT=-W(J
+qXFOb\o"e=q#BUPo(N[jq"OLUo^M7_X_4d5o_e"=p_Wr#o^`%PqVq!kQ0%&qs7b=Kq<n.Oo^VVJ
+J,~>
+n_#&7g"5!:d,3X:c/dg+gu-`BC1H,Wf[AU-f@ej2g>(E9o@X,qrmM;+f@em3hS)q"f\Xs.l.6d&
+e(<-tf\=m15^h2@i7@&NSkt`tgZ$?+o$e3'f[n^*eBlI4NCSu_eD/42eJR&edEgXof>?-NIET^Z
+iRYTtf?E!uf$Vt?d=;~>
+nbiFe!Ufd^rt"i$s8Vcfs7?8IGl7U=o`+merV>^U#QK^)s7lTnrTX7ZrtPD,s8V`k@#Y$\q=+@T
+;euF's7u]bq[`](qtg3eq=jo];98J$s8V?]"TJ;unFcb[%Y1JWs7lTZs8V]_s7c9fp%j1~>
+nb3k"qs!bQs8)T^p\XgVo`+=QJT18Wp@%qTq!n+Xq#0pmpA]hcrU]j^q<@YRr"f8*o`+s[pfN4A
+o^_8?m7_'jlMU5Np@@qgq=jUUp@e.Ls-cX!na-/Pl1c(kp]'UMqu?QnFe/R4n+c#@s6oISo(;tT
+p4*~>
+n_#&EhTXU4in`G?g>:Z7fAb9=DHkrSg!S[.f@ej2g>(E9o@X],e^N(#f@em5j_IfQe_Aj0l.>sj
+(>[Tlhr)o=6#GH3f[&@#0Lt0JhppN5o$e3'f@JL'f$r.*H7Yi=bhM"=eJQofgr[jogtUsuK]M4@
+fYc:rbg"nje`#!Nd=;~>
+nba3os82`lq"4U`s69@ZoDeO[K5L>^rq6<iqu-?Tr!2A-X76/_qtK@Q(]3n&rqH0aq"J-Hs7lHj
+rK_$0o`+C[q!n4lrVQHfr;QZnomUKJrVuihl22@mnc/L]rU9^`M5KY=p&G$arqcTkr:omVqLA~>
+nb3jes7Z3]oC)\Ps5`hPmecMDHY)X@q=+@Yq!n+Yq#0sep'9MpVX+3Np[dYD)#!Imq==+MoC,h,
+s7,^\p5`OimJlDMo(MYK&,>kkp%S:Wq!`Q:o_A=YnEK]ao^2\Qo_IhJo7*:ip$D_Rn+ubRp\4@M
+p%En~>
+n_#&3jOr8@f$`O1jN#m5dGEI0BMd=<gsY*3f@ej2g>(E9o@X],e^`:)g"P6:``@rAhpKs#l.6d'
+d+6mudalt"5[rs/g#_"16CZ?^bN%%%o$e3&f%&=&g"=s(=[:KhgXsm;eJQ]Vh:0j'aOo3YK?)Wh
+h:Bd"e(3.&f$Dh=d=;~>
+l2:AS#PXorrU^'`s8Dinq=4@nqu?WgqZ$Tlb%^#7q>^Khq>C'cq>C6js8;ln&,C"0rVuWl^fHHh
+s6I5qpA+U]r"&])q>TsbmJlonOT5:Ms7Y^S&,Q2%rr)`ip]"C1q>U9aqu6Hiq=XT7~>
+l1b#I#Oe'Zp$M_Kqt^$WpCHuqq!n%Sq=MU8iUuj>r:BaYq=aXYrqQNfrq6ooA!6NbnGKgmL@G6(
+ZN'FfqY0g\&,,klq<e4GrUOEUr:o[Zn`fcYp@nCZq=jRQr(j]gp\""Jrq6?dnb.J~>
+l.Ppc&_Ylm52OcHeD8a.g"G*5gtLKQfalZhf[JL3hqY5'`7WYpg!KQHq:>Anrn.8&s475&%nq?,
+jjrF`1MYD!a-G]3f)!nleIU6beCi+*aPG92CY[RehpL]<%b&qYf@JI"dc!*ReCrHtr6bPns4%+u
+p<eB~>
+l2:>R#.@Xip&4X`rVQQhnb`ponc/@Vs6ffBS,!$_p&=g`r;$6cr;QZpr;QR(phcMds8VA6KD,?'
+JX5^'q>:!c&,#buqZ$9Ys0Z@Mq#C6krTX1kqYU3hr;6?dl;YRqs8MlpqYL*bp%j1~>
+l1b#I#4nuoeaN;(q"XCR&,#;ho'cVBp4S_&qt]aXpA+IYpA+I^q#C*fp(6b*PN2H<j*5t?s4M^Z
+k5P)Np\FRpnFZbRs7,FRY[4j2qY'm_l1Ykbp\=RZp\+7>9"+9eq"4IWp@n=Op4*~>
+l.Ppc&_Z$14208"eCrO+g"G*5gtLKQfal][j42]Ad,&Maf%o*-f@0QIq:>Anrn.8&s4.e7f1p_;
+hW;jc@+4/K?#n'Df)!nleIU$VhppW3bMA7DR+'d?h:UuA&(B%Yf%&:!eAj;5eD&R$f)="rdfS(K
+e+V1>~>
+l2:AS#63=YYPS.mr;6Hgnb`prs8)ckq#A3JhuE]UoD\X_r;$6cr;QZpr;HL&D5Hh&q630)s8B'/
+ScA6UqtU(!s7u<drVuS:If&m>s7lNVqZ-KhqZt>C`q]T2q#1'gq>U*gq=XT7~>
+l1b#I#PcYCVtB]UpA+LRpC?uup&FXSs1E!tr;$<ZqY9g\pA+I^q#C*fp(6k-Sa,t?WB.fip82&[
+rp0:Sp\FRop\sgRq=spYFF!TNqu--MpAjpapBgQ29Y^,np%8(RqtKaVJ,~>
+n_*`iqUQ83j1RR:g=b*1f@S^/g=k?9g@Eo-g>^cIg"PYc:VYfAhp0j'q:GGnq:GVus4@;%&_Pf4
+L==u2O!(4Rfnhn<iQKgKeG7W*fA>$'g">-.<*@f#gYL?1l-o^^qpZ5/V_Y$sg!e9sd*U1fe'ljr
+e+V1>~>
+l2:AS#QOO+LAq2Pr;HNkq=4@nq>]g]q>Br&T`=f]s8Mrnl2:PZs8;ln&+inns8Vf*PGR6*Vks4\
+s7uQer;Z?srVZ9edpfEYqYU<`qWIbTq?m,trO6Fnr;ZTequ-?hp\"B5~>
+l1b#I#PmgjIe`a8p\FUSpC?imk5+]Cn7J-ho()_SpuqJOq#C*fp(6UdQ2:OL[>^^2OeA<:m/QeU
+p\FRpp[7JEp[8(,?)R_qpA=7MkP+uL$2=5iY[GrRq=F4Qp\"61~>
+n_*`iqUQ82jP3+8hV?o>f@S^/g=k?9g@Eo-fA=a0gYURXK'(_8hV$H/l.>pes4@;%&_PPkIcKP?
+RrX+pFG#.pcf*IOeG7W*f?V[of?W9V4br"Hf%\I"kLBL['%GIaPXMt2g!S*nd*U1fe'ljrp!J9~>
+l2:>R#6/LQp](9lrVQQhnb`ptoBaHgs/Cb7s7#p_s7ZKWr;QZpr;QR(s'D&ls8;3^s76-^s7H?Y
+q>:!c&,Q,#s7Q6cXEE+hrq-3aros:\r;6Ki%/]u#X+Bg@s7uTlq>'p^p%j1~>
+l1b#I#4qe(@.F-jq"XCR&,bhW^[D,sJD^Clp@eOWqs!kSq#C*fp(74(O8/PDjS/]?p@%tIs6'+P
+p\FRpp%8%ZnFcLQE7+:Qn+lPMl1Y5Rp\sjrp\=KYHKtD)p%\CXp\=O^p\"61~>
+n_*`iqUQ82hWdm.fA><:f@S^/g=k?9g@Eo-hp]lKf]nH2a6(b$f\b$-l.>pes4@;%&_Q//Gi@Q7
+b2).)g!\g*j2]aIeG.Q(eC`a,e^fLPZ.%CPg!\R<e,e+LrmM5(e^oR_c.h"$e("?Cs3^kqp!J9~>
+l2:AS#PJ+D=QBGXr;HNkq=4@nrr99Ec-q[6s7c-bp\sdaq>C'eq>C6js8;ln&+jIpp\Fj`s6fp[
+qZ$T_s7uQfr;Zd+qi9D$s)PRHnGi+Zr;PsXrqufnrqZqbMu!;Kq#('cq>9pZqLA~>
+l1b#I#OVG1:u2!@p\FUSpCI'!XDGr%LYqsumJlbRn,N4Xq=sd[rqQNfrq6oj?AJ"?qsaIFs6fLW
+qr[qPqY0g\&,Q4tM:M"jD6`m%s6f^Wq<@YQq#C*gp'gVQK_"j2o_A4Up\=O^p\"61~>
+n_*`iqUY]!&*[C\_qiqtf@S^/g=k?9g@Eo-hW9u$Z+"_pin)Z>eCVpuq:GGpq:GVus4@;%&_PQ&
+E7ih%f&4a4dFR74al1hIeG7W*g>(7n[E[H#Ok@k9cIph&l.#^_s4%(t#h<j,e^i?ue'e3As3^kq
+p!J9~>
+l2:AS#P\7W<QkC7s8Dinq=4@nn,JYiV4ta)qt^$eqY9peq>C'eq>C6js8;ln&&D1lo_ngiq#Bpb
+o`+R`p%eL\r"&,nLM(o4ToAOArr;TirqYgU!;uip%K-(tpNqqtpA+FYp%eF\p\"B5~>
+l1b#I#OhD?9uZqtqYBpVpCHNgO(Y)T\bl'ko)JCTpAOg]q=sd[rqQNfrq6o796BOos7l-ali6AI
+mJlYKqY0g\&*EnD@W_O<L[>':s6fd[o]c)Mq#:("q"F@NFGKS[o^_eKp\4IXrV-!YJ,~>
+n_*`iqUQ82g>m01X5).Yf@S^/g=k?9g@Eo-cfTFIM2%eeh:^H@f?r("q:GGpq:GVus4@;%&_Na5
+?.I`mhUgi7j3ZQ-j3Q<QeG7W)`o1An<8;k6bi.76cJ.%9e,\%uee?T_dF)*3f[83nd`g"^d*U1f
+e'n!;J,~>
+l2:AS#Q4Rh=M4Y*s8;`qq>:'Zr"&i)ket!ls7Z0dq"t*fs8)Qhq>L-err)lprqd5NAV'jYq#(0f
+o(`4]s7Z9aqt^.#s6l4cf;s8bs7QEjnGiOanG<4^qtpEls8EE)qY'Q'QN-g\qu-3eq#pHfp\FXX
+qLA~>
+l1b#I#P@_P:q$2grqlKZpCI5rikD_Ts7#OXoCi%Rs7Z9_q=sd[rqQNfrq6oC?$Z2;nb)\JmIC#G
+r:0FQqY0g\&,b^S@a_/rkkafKq!7nTo]c,Mq>^:!q"=1GD3+\hqY0mYrq?EfrV-!YJ,~>
+n_*`iqUPr)h;N`ASD;QOr7V)'n_"H2fuTtX`ol"*k182=e_S^MfD4(pfDaG&fDjD6fW7POh:pK5
+gt'g$gXtB3f%0]Iq:,u1b&B\QLK)@Kd,EX#h:h)Bs475%$eX"WcVSZ?e^r=$bl,oYd=;~>
+l2:AS#QF8-<0-bQpAFdhqYU0cr;QZpr9jIXr;$6cr;$3ss)EYis8;`lr;6EYqZm-#eWGKnm/6,F
+!W)Tgq@EQ"rVuE`s35$#q=t!epA=jc!r;]goD3t~>
+l1b#I$2Nns:5SK?nFcJRp&b!^pA+I^q#C*VpA+IYpA+IYp'U\2HM@:1p%\:Vp\sphp\=IQpBUQl
+d>`X^kkOB9!;QQfrqI$"o_JOPo)H^8bk1Q,p[\(Xp&b!^p[e*/~>
+l.Pmb%,B7%1i_13f\>06f\$2Sq:GVus4@8$p=T;oq:GGnq:GJo#h\39A)5tof@^&Rs4IJ-g",`D
+#M7V2C0Zk>e`kT_f)O8!dLapUf&+a'jJkGGeC!%#c-k#9d.Pe:~>
+l2:AS#PnA\=Ea?0qYC$ar;QZpr9jIXr;$6cr;$3ps)*>arVH?frVQQhnbWRas8Viar;ZQWqu?Nl
+q#1%"rVH3bs7ZJ`BA3CZr;6?cmJ;>~>
+l1b#I#P@iL;K2'mo`"O_p@n=\q#C*VpA+IYpA+IYp':A)GP1b(o_81V!;?!X#P%iooBuDNo]PuK
+p]1'fp^d2onFueJrg%$ErpojYp@S7Us7c3[J,~>
+l.Pmb&(fUU3*=bbhVHr@f\"d)eG7_qf`0Rkf(mqnf(mqoee-Qn:LMl1f@8F&e^rF+g"P-1o$doi
+h;6N%e_&:6eGn/&f$r4KdLk!Vd+@.'kBoV&gX"F"dEg4frQtSip!J9~>
+l2:ASs8N8sA8)#<r;$6cr;QZpr9jIXr;$6cr:p-mC4,mUq=smbrV?!\#QOVor;Z`ps6BL]qYp9g
+q@EQ)q"Xm_s*B+Ws7Z0`rV,^UJ,~>
+l1b#Is7uoh?=Np)pAXaap@n=\q#C*VpA+IYpA+IYp':1uFS#8!oCi"T!;?!X#Q48dq"sm`r9*hS
+p]1'fp^d3!oCN"Nq/^fAs75aTq=FLWs7c3[J,~>
+l.Pmbs4n.96qZUsi8*/Bf\"d)eG7_qf`0Rkf(mqnf(mqoee-Qi93p0'f$i4#e^rF+g"P-1o$dot
+da6Osf%8U>eGn/&f$r4KdLk!]e'mC,i`TC"hp9WueBZIhrQtSip!J9~>
+l2:AS#QOMsNa1oMr;$6cr;QZpr9jIXr;$6cr;$3oq.P-Nr;-6equ-?\qZm/ooDAO^p%[hLs8)`i
+r;-Hn%/Bl"jDh0ls7c9_rV>jWJ,~>
+l1b#I#Q4,eLfWX8pAXaap@n=\q#C*VpA+IYpA+IYp':+qF7T(uo_/+U!;?!X#Q+&[p\OOPo]PuK
+p]1'fp^d)rqXaOTghNYTs7>jSq=XXYs7c3[J,~>
+l.Pmb&)YmnDEc>-i8*/Bf\"d)eG7_qf`0Rkf(mqnf(mqoee-Qg8R0j#f@8C%e^rF+g"P-1o$dos
+cHOeidE^/(eGn/&f$r4KdLjmYg=+m1`DD65hpB`teBlUjrQtSip!J9~>
+l2:>R#5%rC<hB<hq>:!crr)lpmechXq>:!cq>1EmBRK^Vqtg6hqu-?\qZ6Zprr3'!qt]OSs8)`i
+r;$osrV?-dXD6Jfr;6HcqY]aWJ,~>
+l1auH#4MT8:mh%Prq69ap\4[^s7bsTq=j^Yq=j^Y#Ou2Do_J4Rp\FRap@@q_q>1$fr;-0\kP,#O
+!;HKf&,,Sho^;[RA(CDMp\F@Qq"sdbp\"61~>
+l.Pmb&)#CnYrI9niSE8Cf\"d)eG7_qf`0Rkf(mqnf(mqoee-Qg8R:!(f[\U(e^rF+g"P-1o$doq
+f@em2f@875eGn/&f$r4KdLjmOf[S@.NCgP/e^W0qdF6LjrQtSip!J9~>
+l2:AS#QODqr-NY`s7uQfr;QZpr9jIXr;$6cr;$3pq.Y9Ts8;`krVQQhnbWRhs82?Tp](9Yqu?Nl
+q#1%"s7H-err7@bq>^-ds7H0dmJ;>~>
+l1b#I#Q!lap2tBHq>U'dp@n=\q#C*VpA+IYpA+IYp':+rFnPV*p%S:W!;?!X#Pe2jmHaBAs6'.V
+p]1'fp^d>mo_S=XFD:CFnbN.QpA+UZs7c3[J,~>
+l.Pmb&)GXjgg+(=j5&JEf\"d)eG7_qf`0Rkf(mqnf(mqoee-Qg8m^3,g""^)e^rF+g"P-1o$dop
+f[S'bd+R4=eGn/&f$r4KdLk-TeCr[5>u/u'cIU^odF?RkrQtSip!J9~>
+l2:AS#QOSjs/U(rrV??dr;QZpr9jIXr;$6cr;$3pq.Y<Vs82WgrVQQhnbW@Zq>L<nr9=+YqYp9g
+q@<Q)qu?]IAsE;ppAFsarTsB2~>
+l1b#I#Q42\rM=5^p\sjbp@n=\q#C*VpA+IYpA+IYp':+rG4te+o_&%T!;?!X#4V<_s8Mojk4eoN
+!;HKf%fH1sr;FrJNVWSEq"sXXqY's`p%En~>
+l.Pmb&)Ysej,HpSiSE8Cf\"d)eG7_qf`0Rkf(mqnf(mqoed'j]8mg<.f[ToNs4@;(!nu>Yo$dlg
+db*@0f[]38s4@D(eC=KG%bK7^gu5S0F4o<oe_&3trmC\ks3C;bJ,~>
+l2:AS!;6?k"1hO>qYC$ar;QZpr9jIXr;$6cr;$3pq.Y<UrqcBbrVQQhnbWRkp\"Lbq"XjRqu?Nl
+q#1%"oDedcr1RQ3p](*eqt^9dmJ;>~>
+l1b#I#Oq`gqQs)$o`"O_p@n=\q#C*VpA+IYpA+IYp':+rG4k\(o(;bQ!;?!X#Q42`q>9gVqWIVQ
+p]1'fp^cinq"=<K=gdi"p@n=SrU]p[s7c3[J,~>
+l.Pmb&(BLpi1)cnhVHr@f\"d)eG7_qf`0Rkf(mqnf(mqoee-Qg8mg9,f@&1!e^rF+g"P-1o$dot
+d*C4pdF$S1eGn/&f$r4KdLjXVf[\Z(6CZEXe'umqfZqmlrQtSip!J9~>
+rr)lpqtpEkrr)Zjq>1^%pAP$_@=S:Rs7H<fs763+r!37.If90Bp\t-grV?9el21;SqYU<hrqQHg
+#PS/os8R4Lkl1M[qs+$.~>
+rqQNfqtC'arqQ<`q=Y?pnb;kH>C$#:s6f^Vr9jO!pBFZAp@e:Pq>'dcp\O[Lp\FUYp](!gp\spr
+o(r(Wq/0<np\=OXp\=I^p\"61~>
+rn@D*qq1r%rn@2$q:H55eD9$46Y#-3jj`&;grnEgf+H]o5@<-tg="[)e^rF+g"P-2qUOi[q:5;j
+s4@D(eC=KG%F*GSgYGana4JkleC;tGdJ_GlcLoS8~>
+rr)lpqtpEkrr)Zjq>:3fs8*3(VKD(onGi1LrVuo6r!*+'Gkq7:p\apeq>'sQqt^0dqu?Nlq#1$o
+rVlTlcs)>+rqufnlM?#~>
+rqQNfqtC'arqQ<`q=aj\s7HcrTPifWlMpA<q#:3-pBU@hE:W`!o(MnS!;H?bl1b#Kp\4^_!;HKf%
+/Kbks2e5jq"ORYp\4IVs7c3[J,~>
+rn@D*qq1r%rn@2$q:P`!s4[q@LfhpPd,i^!f\>)rf+H]m4'C.fgsXd(e^rF+g"P-2qUOi[q:5;j
+s4@D(eC=KG%FiqWiN5(RhUg<.eC;tGdJ_GlcLoS8~>
+rr)lpqtpEkrr)Zjq>1^$s8)BfjBJDZlMpYMq#C-)r!$8HpA4gaq>L3hq>'sQqt^0dqu?Nlq#1$o
+q#CBkM.+X.rqufnlM?#~>
+rqQNfqtC'arqQ<`q=Y?oqt0=ThGp-HjT"i=oDeI!pBU=eDX[8roCVkR!;H?bl1b#Kp\4^_!;HKf%
+.sMqp4?Jdq=j[Zp\4IVs7c3[J,~>
+rn@D*qq1r%rn@2$q:H54hV-K@`]o7Ab3%7#e)/Qif+H]l3EO\^hUC!)e^rF+g"P-2qUOi[q:5;j
+s4@D(eC=KG%F<\]en.+Jhq-E/eC;tGdJ_GlcLoS8~>
+rr)lpqtpEkrr)Zjq>:3l%K,htrFK.3pA4dgpAag$qupDTqYC0er;6Hgq>BLSq>C*ds8)`irV?ct
+nc.o^IeER:r;ZZZqLA~>
+rqQNfqtC'arqQ<`q=ajc%JK2bpKpktnFZPUnc&'ppBU=kFn>8%o_/+U!;H?bl1b#Kp\4^_!;HKf%
+/K;hk#cipoCr%Tp\4IVs7c3[J,~>
+rn@D*qq1r%rn@2$q:P`(%G]Fkhaoumf%Sm:dG)s`f+H]l5@2sngsjp*e^rF+g"P-2qUOi[q:5;j
+s4@D(eC=KG%FiJT`]RJVg"4d)eC;tGdJ_GlcLoS8~>
+rr)lpqtpEkrr)Zjq>1^#p\t'is.`*#s6BI\q#C6-r!346MZ<JLq>^EjrV?9el21;SqYU<hrqQHg
+#QNoccr6D-s8Mrrqs+$.~>
+rqQNfqtC'arqQ<`q=Y<mo(_nSqOKparT*YMoDHDu#PMMVqXaIRqt^!ep\O[Lp\FUYp](!gp\spr
+s5En!9U"r@p\=OXp\=I^p\"61~>
+rn@D*qq1r%rn@2$q:H53e_]'?ieK%Zj3$!2e(N6ff+H]n88I)5g!nd,e^rF+g"P-2qUOi[q:5;j
+s4@D(eC=KG%Ge\PX"\bMhq-E/eC;tGdJ_GlcLoS8~>
+rr)lpqtpEkrr)Zjq"kQos8W#kg1#C.rqZ6arr'\2#QAP%s7cEes8Dinq>'sQqt^0dqu?Nlq#1'h
+r<<4`;TJh5rqufnlM?#~>
+rqQNfqtC'arqQ<`q">3eqYBjTe6I+oq"4(LqY@u%#PM\brpodUrV?3gp\O[Lp\FUYp](!gp\ssf
+q$R%Y9>LAop\=OXp\=I^p\"61~>
+rn@D*qq1r%rn@2$q:H52e)9-?ftKp\j5/A8f%8Kif+H]n9lf7Df[\g.e^rF+g"P-2qUOi[q:5;j
+s4@D(eC=KGs3qG3CbMUDf[n[(eC;tGdJ_GlcLoS8~>
+rr)lpqtpEkrr)Zjq>:3i%KHA"p[abWd/X":s7ZE-r!319O8nqOqu?WlrV?9el21;SqYU<hrqQHg
+#P.oE>_DYJo`"dgqs+$.~>
+rqQNfqtC'arqQ<`q=aj_%K#kgna2K?b5_2*qssR!pBUA$L\pW9pA=[\!;H?bl1b#Kp\4^_!;HKf%
+.=/A=+'B7mJ$DNp\4IVs7c3[J,~>
+rn@D*qq1r%rn@2$q:P`$%H6*pg"1U8YiaTegX"Hff+H]m9Q8n=g"+p.e^rF+g"P-2qUOi[q:5;j
+s4@D(eC=KG%E[G02dk"re(<.#eC;tGdJ_GlcLoS8~>
+rr)lpqtpEkrr)Zjq>1]ts8Vlgs8UGELALZEs6p!(r!<14M>d2Kqu$Bjqu?Hlqt^0Sqt^0dqu?Nl
+q#1$os7(qHdf91DrqufnlM?#~>
+rqQNfqtC'arqQ<`q=Y?jr;-!Ss8'l4JFrF2s6BUIpAt'`r:o7F#P2;Rp@.qPp\FRap\O[Jp\Xa_
+pB('_p\ssdpC.#eKMTeenGDtTq"OOJp4*~>
+rn@D*qq1r%rn@2$q:H5/hqcr:k2N[(B%kemil^-Af)aFRr70fY$JF3,C>@=of%8I&rn%/&!8%(t
+l.#abrmh"srmLeqrmh,"f)F2!ed^HZAhpOFe_\p.e^W*trR(Mhp!J9~>
+rr)lpmechX!W)Tgq?M+][K$:(s7u3_dJFINCo?Y"s8Duls6oFVq=Xd`r7_#_qZ$$Xrq#[[s7k&F
+K)5NIq>L6hqto[TJ,~>
+rqQNfme6AKr:UD6C9RO3o`"FUo(`1Wf(TaLnmS'Iq=s^\oDe.Cs7Z$^q=s7LrV$![s7R3%rUBO[
+nEp)OnB4[Rnbi.Np\=OXpZhI&~>
+rn.8&p=B&lq:Yc"rn7>+#ZOWciSiMOf%9KCrRUnr!RfKqdc/aff\9,VbMM"*g<e`uakkRqh"fLc
+e-4FUf[eR#qp?,+eCN:'f>u=mdEph6fsE\DeD8a&rmUnqlHt+~>
+rr)lpmeckY!W2`mq#1$o`C,:Ss7?3hnbgf3&,0X]s8V]cBT_Z]s82Kaq"ajAqu?L+q>0gYs7Q-d
+Q;tNrrV-?jr;?HhlM?#~>
+rqQNfme6MO!;QHcs7Q`55'uttlh18Oo(`1Wf(TaLlrn?*s6B,`NTgE>q""+Nq=s7LrV$6brV6Bd
+s7R3%q"jj\o)J1Jqi4:Qq"!hMp\=OXpZhI&~>
+rn.8&p=B&lq:YYts4I[S,[oHdeDB9<o%!]irRCeorR'WS&D5Q)>NY(me3[ohhq6K*eC=<ElI6$h
+f\"d)daA$>("(IZf%AR$d+$Lokh4eUGr1lCd`U2@e,Rk]d=;~>
+rr)lpmeckY!W2`mq#1$nphEjJrr)ldr6bBPra(H\p$_p_SFHRSp\Xs]q>AtD(&I_'rV$!cnbVEP
+Eq02.p&G!gr;6BVqLA~>
+rqQNfme6MO!;QHcs7Q`hA5L#6p%e:To(`+Uf_5sNo2C,0lfS,CR-akGo_A=Qq=s7LrV$6brV6Bd
+s7R3%pAOm[oDe.Jhbn+Mq"!bMp\=OXpZhI&~>
+rn.8&p=B&lq:YYts4I\18iEL&hW!;Ao%!WgrRCkqrR'WS&D5f)C>I=[hhQ?rhpTp&g<]TFlI6$h
+f\"d)daA$>("(IZf%AR"e()mtkgeV84]0GYd`C,@e,Rk]d=;~>
+rr)lpmeckY!W2`mq#'smcVo8is8DZ]r6bBPs(J&&s8VBTnc/:TrVHKhd/+LKqYU'[s7_pU\c;O+
+s8;inr;6BVqLA~>
+rqQNfme6MO!;QHcs7Q`ja\@!Os7PjTo(`+Uf_5pMrEYZXrV>L?mJl_HqY0jEp\jgbpAk!ep\je"
+q=XLWo^MeJO[ZGIn+ubMp\=OXpZhI&~>
+rn.8&p=B&lq:YYts4I\3Y;9J?khakAo%!WgrRCkqrm:_oim\Olk=^?[jP7c!b1t:ff@8L)iRIn[
+s4.\0da?CgdF-Oqf%AR&c.)aE$0L&m0UUYEg=+CIe,Rk]d=;~>
+rr)lpmeckY!W2`mq#1$or;VCPcN!A5nbgf3&,(+6p#NTDQiI*Ys8VT`s3^]Xr:Kj^rTaEt;K)F+
+qZ$TkrVZTjqs+$.~>
+rqQNfme6MO!;QHcrq6TmI8e/\kPt;Iq"aX;pCR&aBohQ5Y)/;<r:0ddmIgJ;p\jg]p\je"qXXCT
+puMIc8n[_anb`7Sp\=OXpZhI&~>
+rn.8&p=B&lq:YYts4I\5hd\[MiR$`=o$m`krn.2#s4$qoim\OleQ7+I_3&PRf\+R)gre.&iRIn[
+s4.;%daHPBdM13^f%AR'bgb;"bj(r\;VT^Ng=X[Le,Rk]d=;~>
+rr)lpmeckY!W2`mq#1$orV5)VFR8i'nbgf3&,fY2m^]0"D"di%rquKiq"ad=q[WK#p&Fg^D+pu0
+p&Fmdrr2iqqs+$.~>
+rqQNfme6MO!;QHcs7Q`mo$gr]jRN9EoCr=[q=`P:&GGZiTB!,F<bCpuoD8:Sr:TmZl1b/Mq=jj]%
+f#eoo)/(LB1/KomeZJGrV6EelLo`~>
+rn.8&p=B&lq:YYts4I\6fXaFMc._:2o@3imrRh)"rm^koim\OlgcUM>Q@CnacdpIpf$N1$q:"TX
+"4l,Uf)F1udf7hsee-Qce^W7#hq6X[08nu@h9aNurmUnqlHt+~>
+rr)lpmeckY!W2`mq#'smoDbLXYQ+Fgr6bBPs%&pbp>Th`s8Vceq#(0`q>/eA&,cD'q#C;p9n;R0
+qu?B_s8Mrrqs+$.~>
+rqQNfme6MO!;QHcs7Q]imJiYDVtooRp\=I:pCR&t4dc!1fjgZQrUKOQq>]s[p?D>LpAF[^p(-om
+p@J1UV+#Xhq=OUSn,*+Zs7bgPJ,~>
+rn.8&p=B&lq:YYts4I\3e)l35OQ+pGo%3ckrmq(urR0]T&D61sK]1Cm7Xs.GcI((kiQq>Kl.#X^
+r7(Vp&(fIbe_],B/n)u]fA+ZpfDa8!dd#51~>
+rr)lpmeckY!W2`mq#1$os7c?VDI;o1nbgf3&+jU_s87sgq>1!cs82?dqt^*Aq[WZ%pAb'\AR)M?
+m/Qq\p\k$iqs+$.~>
+rqQNfme6MO!;QHcs7Q]pnakpU=6T;Hp\4C:pCR&_?Z5Z/LKsHEp\4^_meuqVp?D>Jp&Oj_p(.#l
+nbi+H>u[g'jnSKBnb2tWs7bgPJ,~>
+rn.8&p=B&lq:YYts4I\:f@eDE5ge<=o%3ckrRUttrmKfU&D5H+>N"1L5L\*2eDJg"gt2ANl.#R\
+!7^hq&),U`hqZUK4d+sLgXOcudf._qdd#51~>
+rr)lppA=[`qYU<hrqQHg+8#U(s56S-rr;QhrV?Kcs8D]ks8W)spAapcqYC-^s4R8cs':WaqdQf0
+q>L?mq"FL\r;6BfqYU0fl2)@uqt:!^qY's\rV?-as8)Tjr;HK_Qr0XVr:BgQqLA~>
+rqQNfp@e=VqY'd[s7RQ&rp9[;7"P+4mJcnQr9sLWo(i=^q=sL[oCqqMq<n:^p>,H[pAIm@q=.Ue
+q=XR]qXsIQq=s^Yp@e7Tq!%Mjr:]X[nFc>MmeHGDp\ORUp@\.Nl]Ff0p%A=Xp@mtJJ,~>
+rn.8&p=B&mo@X)r+4TB"k.rWah;cc:f[S^&g=Xj,hqHc9dGia2f[eg(iVqEae/6j$5]5W74H.tA
+f%J['d+$^ueC;sreC<%5e/d>qd,EF)e(rC)f$`1(e^`@+g=O_r0S8'4g"=m*pX8HVJ,~>
+rr)lppA=[`qYU<hrqQHgs8*i5qtQUZ`W,i6s7cKlo)JXbq!n.Zs763cqZ$B`q:YW]nQh+F]4'gp
+mdp;Pq"OU^r;6BfqYU0fl2)@sqW[eSs8V`ks8;cnqY:*^s7u];?&%qJr:BgQqLA~>
+rqQNfp@e=VqY'd[s7ZKc*VB$oP"`UipA"UWq#Ba]p\+4FoDejXs7H!ao^DGNp>5N\p?#8(kcn7H
+nETK9p\"1Pq=s^Yp@e7Tq!%Mlq"<_>q>L?^rVZE`q=X@Vm.g/O_cD9Qp%A%Pp%RkIJ,~>
+rn.8&p=B&mo@X)rs4\OIgY$p2UuBnWh9ss7c/@4)e'-;"j3Zl=f\tE/r79`S(td2#D:4e5_9g6H
+e'ugne_&F%eC2mreCEg5*SAo\e(`d?dGWm7f\+g(gX+a.k,CISce6t'f$r4Ddd>G4~>
+rr)lppA=[`qYU<hrqQHg+9)*7q#BPcE:3brs8VNbrUopbs7l6YmdpJPp&FX]pY#E[s'^f`U3Z@&
+lgacJqY9m_r;6BfqYU0fl2):\s8VcloCDqUo(2bVp@nUeo)J?-@b^q]qu-BeqsF61~>
+rqQNfp@e=VqY'd[s7RQ0oCqhOi)j^XrTsO`l1auBo)8U[n*fN/s7,UYme?;Lp>GZ^pAJ$AnsFC_
+RHNu0q"OITp\=LWp@e7Tq!%MhjT#2Js6f:Pna5c<p[RkRs60.@Ea.&mrV$9cs7lEamIl&~>
+rn.8&p=B&mo@X)r+l:o.f]("=:X%_Ai8`#6g="L.iRQ?'bL,J%e)Sj/eC`FPf&5$pf]PY<gj`8K
+H,RkQe^W$tf%&:"e'lgre`kR(_;F(qj3c62f?hptf?qt$jNl`2=@'IVg"=s.eC=6@mEpF~>
+rr)lppA=[`qYL<iqu6Eiq\8i*qZ$<i^eCU%rUg-_mf31Zr;QTmrs/Mno'uMGs8MiliVOG[Bm9U=
+EKAE<q>L<iq=sd`qtp6dqtp<Uq\T52o_AF]g>`/1s8W)oq"O[coRUYdm/R%]rVH']p%j1~>
+rqQNfp@e=VqXsp`qtU3c'_;+mqX=6i7A0ALn,MnAs7Z'Yq=agf#P[TPm.9WEq>9pdpu;#bp>fOr
+qV,\>aRSs!qY9dWpA"CVp@e7Tq!%Mhq>9XPq=N1lqY'gdq=O=Lnc%cr?*iYjrq??cs7l-Yp%En~>
+rn.8&p=B&mq:PSts4SXKi7d,Aih7lTf\4a5d`^\'e_/^0iT&tSda6=kd,Ea4g&9P&e`,'qfZm/m
+jMFQ*W6WiBf@A@"e^`1!e'lgre`kR%f%A<tgt0-Si8!2JgXOWuf]^dl7%)0Sf[eXQeF1iYd=;~>
+rr)lppA=[`qYL<iqu6Eiq]GP3q>C*ds,11!s7c*arq?Biqtp3gqWRt*s8W&pqsO:XiVOGiEK^"l
+s8VTgs8Mrlq"adaqtp6dqtp<Uq\fFus8S=(:ji*3qYTsbs7u]c^KYaLs7lKgrV?QiqXOIUqLA~>
+rqQNfp@e=VqXsp`qtU3c+7T1!p@@hPKNPneo'QJQnc&:Vp@S1Rj8[7$s7l<]l.YkKp@;gNlLFoO
+lMLJTq"FCSp\=LWp@e7Tq!%Mjs5j:ZO)7L4oC)AGnG3+To]<ATB^#Kdp@eL[rqQ$Xp%En~>
+rn.8&p=B&mq:PSts4SRGiS!#@guN33T&\>Hj4i&@g"=s.gXjF+YNG!%g"FUJg&9O^e/6in<--RA
+j5.r2f[n[&dacq!eC;sreC<%5e/[A_iSANN0OEMaf\"X*h::B1T/ocojODi5f$r4;de2"<~>
+rr)lppA=[`qYL<ir;QQjr#Y\4n,N4\mW3*rs763ip&4aes8D]M^2m3%nFln^qYC*Kq\S^+PPY=U
+jo>;WqY9g\qu$Bhqtg0dqu#^U)?9F'o[]C3]DqBmq==Laq#BGc@bUhUs82]lqZ$?dqt^0_qLA~>
+rqQNfp@e=VqXsp`qt^9e+85=#l2U;FkAFh\s6]aanG)\QrV5s<\SY$clLFoRp%eCBpDEVb;2F]>
+n_X<Aq"F@PpA"IYp\4CTp\4IIpDEi!nF+bf;RQDeme#oAs7,m:<`[Q=nGDqYp\jm_p\FUWp4*~>
+rn.8&p=B&mq:PSus4\XNg"k!<g>'qM7^qF(hW*&<fA,9;e@hAN1:5EXio/PggAT[`e/6i`5BPT>
+eA:+pe^Mpne(<7&eC;sreC<%5e/6lbd*]4F3h><ZeCW%!hpgZ+6U838eDAdUeFh8ce+M+=~>
+rr)lppA=[`qYL<ir;QQkr#bt1rqQNmo)Hj;KD#98rr2rpq=jacs7'rYqu6Wpqt0^_iVOGk>G2#o
+s8V-Uq=sa\qYU0fqtp6dqtp<Uq]"i#s7H/;F8#I`jo>AVqXFNF=M=b1s7#p_qYL0cq>:!cp%j1~>
+rqQNfp@e=VqXsp`qt^9e+8bI#o(i"Es2A&gnGVbMq>L$Zo(E%_lt:b>q#C-_n+lb<pC?or:mLqK
+qYAt@p%7nMp\ssfp]'sepAk!QpDW2os6oW+D=I2HhuEQFp?D7$9<n0Yq<@VIp\ag^p\FUWp4*~>
+rn.8&p=B&mq:PSus4\XSe)&a:hp^_d3apLqd+mF7g"4d,jQ"Q\A)#l&hV$?UgAT[`e/6j%5(VhK
+h;#]mda?IkeCW=&eC;sreC<%5e/H6^iR-:b<SH<A`T#\&e'-]g31JgTh9=I"eF_2be+M+=~>
+rr)lppA=[`q>13jqYU14s7H0fli7"Ws-Zcas8;cjq>1-jqY]s<C9mm0s7-*gr;?]prVb^P#PE21
+q#Bmas8Dg&r;6<ar;6BfqYU0fl2)@umeZb;=f'6"D3sGaq>^K1;iUJMqtC'equ6Enq"jj_qt^0_
+qLA~>
+rqQNfp@e=Vq=a^]s7d]6n+?Y@q#Bd\PYItOp\+:Oo_S@Sp?^7=XT.Vbm.pSWp]C9dq#9sfp\*eE
+#kmY"PO8>6qZ$Qh%/BYnp@S.Sp\+=Tp\="I)>i[ko\*69_hVleiV<'Aq6ihGlh^8BqY0a]q"a[[
+q"=?2~>
+rn.8&p=B&mq:PSus4\XQdb<j+hWE>GG;+g0g=b-3g>Li@gsW`,Pj$NTceRCRg&Te)ecF:OkL9di
+el@4OjNZE7rmVA,f%&="e^W*te'umtl-pU*ak,.[4,9qX:O1"8f%SoM12PCrf[AL'eFV,ae+M+=~>
+i;<TPoDBF)qgDnsp\+X]s8VZirr&d5s1sAGhZ*?JqZ-HdqZm&rqtg0dqu$!]#l8&!r;HBcrVQQi
+s7cTjiVOGiq#CAPD8L>:iQ(Kgo_\H,F4^Hcrr;flqZ-KZqu?Nlq>L/?~>
+i:d6HoCj($pN^&anaQPHrqbpRp@=kgs1*N1g&LX?q#C*ap':?cp\+=Tp\==R$23poOnJG=o_J7Y
+pu1uIp(m2sr.ARlC;\`>l2U/Cnnr9js7#j^p#c#KpAXa`p4*~>
+f@g&T)<9FW6EJeijOiYUe)9-=M,EQ6ASSm<eCiIQg&B\.g"=s.f`'G,f@JI#e'umto$duugI?SF
+g=4X'eGRbQe/6cjfAkk,:8:ah_PkoFe(WAM:UB$,g"b$?eGdnrdJhMkd=;~>
+dJO=Eqqu1)m/Q_XoD\asqt>oHflWNd[K#dqqu-?dqZm&rqtg0dqu$!]#Q8D,s8Vuos8Dfmpu2)d
+s8M<`MK=BCp?M\Xp@\?=>L`]Dnb`7^k552TrqZNhJ,~>
+dJ"IJpY9=lk5XlHlh:>VnEYRtd;4hFYlF(cq"aUgp\+@Tp@n=Vo(NF`ojX-[qY'[]q=rtD)#""'
+iqS+@HC=3\qYfjLoRKuhs6f:Kq"X"Gs7ZHbrUta~>
+dFf\ng;-BTbimX=eDfcXgt->%^/oMBPN0s?f@ej2g>(K:g&9S'ed'gXeC2mreCF->#hIj,I,<]1
+f@g&Li7&Upjkn8?CK+eqf?<4:f@Jbi2Qbl[b1+tll.#^\s3^hmrR$,~>
+dJOgOs8KH?Ms:9AoDejZrp+ifKXL6_h#I0Jqu-?dqZm&rqtg0dqu#s\#&fe)r;$3frVHKfiVOG[
+rVt_nI=(5Ys7?9`k`SQ0s8VTgp\4XKqu?Nlq>L/?~>
+dJ"IFs8'$1L#`(,lhL/6oAFM=I')PAfD>+7q"aUgp\+@Tp@n=Vo(NF`o4O'Up[n.Sq=rtD)#!1e
+qU]G)FQ38tli6A1MF3g3rTsRUoD.PCs7ZHbrUta~>
+dFf\jjP?(lCWYPqeE#T8hoo8CBpd5=]%kiff@ej2g>(K:g&9S'ed'gXeC2mreCF->#hId/G2(a#
+e^jWGi7&UpbhV-i:L%)Ek2t1WfZSCdH/I>th9aO"l.#^\s3^hmrR$,~>
+dJO=Fs7--)<K-hOqYgF#V.s[i_>jK6nGiIarV?6ds82ims8)fonbWRfGED^uq=sjcqYg3Jq\T;-
+s+Z'3IZj[!qsjW<=,d.OmJm4[s7kaRs8)`jrVD$~>
+dJ!t=rpBTo:PSQ5o)A7grgI2%Ek2#?qWn1Wq"XRfp@n:Sp\4IRpB^K`Di"&Yo^hhQpu;#bpA4=X
+IsJ2@MtQ<*l1KF"K_b0&rVZ6co]GoJpAXa`p4*~>
+dFe`TiR$GS2/N9HrnnLUL.b6JUuL4dc/[F-g"G*5gt^W;rRq2%#1h;Qe'umto$drrgKJUNf[SC"
+qpOEP(tRQoj(2S^?#e`KgsY+n3c3Ws`nK+lgX598rmLhorm:VkJ,~>
+dJOgUo`+saVdH4us7Q0es'q[s\7>='s7uTkqu-?cr;ZZoqZ$Emr:0Xcre6F4rW2lqrVHKfiVOGk
+pu>i/pNBd0m/R*:A<HH_li7"JrVuZTqu?Nlq>L/?~>
+dJ"ILnGiFUU04&\s6B"Np/mQLYZpV^qt0XYq"XRfp@n:Sp\4IRp]'pkI>@Rmq=XX\pu;#bpA"15
+>K?5O<9N?=rHVY)lMp&Iro<hSo]GoJpAXa`p4*~>
+dFf\pe)T?7Kg14Ikg\5Li^A<RSOV;ZhU^B3f@ej2g>(K;gAT_(f*9gUe'lgreah2qf&(.[h;$]6
+f_a+Te/6ckeA+;Le5\QVc/n/$8TrSC`897af&+m>eGdnrdJhMkd=;~>
+dJOgVqYg6intB*crVucfe8jgFW,;S4s8VZgqu-?dr<N8tqtg0dqu$!]#Q9[?rVZZjrVcTkpu2)d
+nGJo#rr6r'lg"GB?\SLZq=4L\pAad`k552TrqZNhJ,~>
+dJ"IMpA+C[m@-qJp&=IGa_0JrTOn)qqu?'Rp]pQep\+=Tp\==R#kmqGK(es7o_J=XiV+/RopBUj
+rFq>Qiq8^@IJ3I.mJlkMs7#jHp]'sdp&4T7~>
+dFf\qg"b6<d"+*7hWW\E[8Y6#NDScmhW)r6f@ej2g>(K<g\ok+fE^$ZeC2mreCF->#hIjPCY[Xs
+eCONFhp`IbfR$HLiD4U?bM\%AC?+:(b2:XnhTaX9eGdnrdJhMkd=;~>
+dJOgZs6K^bq<a/BV="<_T;VG\DPQ[rn,NFdqu-?dr<N8tqtg0dqu#s\"d4Q8q>BsaqYg3Jqu?[2
+J"uu;Q`]<>QZSPWs7Z<bo_JOemJl>Gs8)`jrVD$~>
+dJ"IRrTO:\o]V*,T&TbCPaq+3At.uTlMpkRp]pQep\+=Tp\==R#kmkII.R")nb2eRiV+/gqg"b+
+nW9X'l]5kBi;E$9p$hYSqs"%@p]'sdp&4T7~>
+dFf\thT=^7f?7qeKZrZ<IYQM5;hiZPc/[a6f@ej2g>(K<g\ok+fE^$ZeC2mreCF->#hIdRA_G\e
+dF8!@hp`J"gKAsXe9$Sbe9Y2Cc0<j3d`p4tfZ)V/eGdnrdJhMkd=;~>
+dJOg\oDe^\s8)bX;1SWF@a4qqFI`4-mf3(\qu-?dr<N8tqtg0dqu$!]#QL6IrquflrVcTkpu2)d
+oDd,9rV-?Sm*K?us8VrqpAb!fp[J4\k552TrqZNhJ,~>
+dJ"ITnGi:Qrq62H8p0_#=2OmPCm=Mdl2UAFp]pQep\+=Tp\==R#kn"UIeWU6o_J=XiV+/Us2b66
+nG1u'a^0DiqXXFOs7Z9[m/QkCp]'sdp&4T7~>
+dFf]!dGrp/iRm%,0ONVq6*04P=b#2`bi@7*f@ej2g>(K<g\ok+fE^$ZeC2mreCF->#hIp^BAM:r
+eCONFhp`Ichl,Mee(qpbY=E9cjko%Ghp^0'aktY5eGdnrdJhMkd=;~>
+dJWt?rVR3+BkMblZ24Lt[^Yf,qYgBkqu-?dr94"^MiIN0s8;cmqYg3Rq\Sc!s8Mops8D`mme?bT
+qY%!uR/d3^s7G1Fs8)`jrVD$~>
+dJ*V7rV$d"@U3sLVsjBOY-7*ep%S7Wp]'sRpB^KaK8&jiqtKj\q!%Mim.^JTp\Od_o)IqDs6oRJ
+V-/rTq!nCOp>>WEpAXa`p4*~>
+bLupL)<"%Q=5f1miS^2odc&j4g=Os0g"P08gtLK\g&K\(f'Lllf%b.\f@o!2eGI\We/6<Wg=Oj+
+f[eL/aO0%rf@,XBGMqH6lI4>DeGdnrdJhMkd=;~>
+dJWt?rVZ]g%>@fGmf*+`oCVeIqZ$<gqu-?dr9=(`r.Bn$rr;lnrVHKfl2):qrquN`p\FUal2UGO
+nFj_.PN`&@oDeaFqu?Nlq>L/?~>
+dJ*V7rV-?[%=:a)jR_m=lg4*+p&4IWq"a[ap?_MYp@N]`nG2qSq"X+J)#=%'oC;GFo_dbLmd]Q1
+]3C6Qs7#CPp%I;;s7ZHbrUta~>
+bLupLs3_]m12tFmg?7,?f[8@/eCW=*g"P08gtLK\g&K\(f'Lllf%jqRf%f!1ebdeXe/6cge^2Ug
+da?jfj3cB#e"8jDa6(t$iRufAeGdnrdJhMkd=;~>
+dJWt?rVR!%qWP4`RK*<[q>UBor;6Biq>'sQqZm%BM"grJq>L9grV5XS(B=:,qYU-drqZTjs7?8S
+:64N:rq-0gh>@6KrqZNhJ,~>
+dJ*V7rV$j$oA6E;O88J9nbN.[p\+=Vq"a[ap?_MZp@N6QnGE"Qq>'gMpDEf%o_/%Qp\FC[oDe1W
+N(8]\s7bpSp[n1:p]'sdp&4T7~>
+dFnKMrRi(If>ES%G2V91hW3hWg=Y'0f@ej2g>(K;gAT_)fDjFge-OX]=_ZIDf[SLLdc]*sf[S<t
+eC2q#e`59Bd,]-rCr,2edG!@,f&G3Ydf7_od/D@B~>
+q>Ae?rVR3&q#C-/;iU&6rVZKir;$<iqYg3JqZm%7M>.&Iq>L9grV5UR(ARb+s82Zlp%A.Pn$mUo
+q#CB\qu?QghY[?LrqZNhJ,~>
+q=iS9rV6?c&+f>km^u,DhX'q-nb;eMq"a[Yp?_MZp@MjGnGN"Pq>'gLpD3Dpr;?<_q<m\Am-(]o
+Hh%.3k4ScIo%s-@pAXa`p4*~>
+q:XHRrR_#$);!F"e"\U3aOfG/g>1K6g=Fj-f\+s4gY(9Yf_sCfe-OX]:28A;f$r:JdcT$pdF6e%
+eC3+!eC`-lPuV2@j4qZ)hpp06eGdnrdJhMkd=;~>
+q>Ae?rVR3"s7$!eY$l_'s8VZSqZ$BiqYg3JqZm(1OnetQq>L9grV5XSs83W1rqc<]qYpNmVe0Vq
+p](-crVl]jq;2#KqYp<hqLA~>
+q=iS9rV6?c&+BP\oDbUfEQ7eRlJqR7o_J7Up?_MZp@V[Inbi(Pq>'gMp]("'q>0gTo(DbUoUoQ"
+dd[;0o(VqPo^gr6s7ZHbrUta~>
+q:XHRqq(l$%asC\f]7lQ>I!;Te&g7urmq,%s4RG,s4RA'rRU>b#hIj&EnB4!eCONFkLBO^("V!c
+cHk%sk1tb\8%-q,e^E"!e'cY&eGdnrdJhMkd=;~>
+q>AqBrVQQk&-)A's6KX;>@*oas8Vumqu-?hp\F[MqZm(/T)/H^qtp?grV5XS"oSAtq"Xgersnml
+>@>2FqtKRYs7lBhq;2#KqYp<hqLA~>
+q=iS8rV6?c%f#Mcr8I7o:f`n>s8M`bq"FOVs7YgR#kmppQLjqEp@nCXl1Z"hqY9^Tq>U?inrH^O
+\,Z*il1k;LoDJ4:p]'sdp&4T7~>
+q:X6Ks4J:Edb<["fXEn-K?EE=g"4m,e^rF*f\5'3f_sG%ec44ee-OX^7=X"GeCN.Hdc]*re^r@!
+dFR(0jP>,E6(R)ge&g1scHXqdiRIkTs3^hmrR$,~>
+q>AqBrVQQk&+TZ!p\Xmg`ar)$gA^pDrVcQjp\F[MqZm(1XS_njrqZNhrV5XS(]"(-p&+jin'->]
+HiO*Bqu?Wor;$?lq;2#KqYp<hqLA~>
+q=iS8rV6?c&*iohmIBcH]Nn0WdeNJ,q"aXZp&FaPpB^Kc>bq#co_J1Uq!%Mhp%nFQq#C9W`HP!s
+r:fjUq"ORWo_JFWhY7'Drq66`J,~>
+q:XEPrmh&#s4J:7g>p]5fAiVs3+feZf@J[+e^rF*f\5'3f_sG%ec44ee-FR]7uc6UeCj]HkL:?s
+f@8*rhq?5VA3!uXh:U?6f@JBqdF?IiimdtUs3^hmrR$,~>
+q>AqBrVQQk')qq#q#C0\s8%=4B<^t,o_SC[qY:Nqq>0p`q>:$cqYU-XqZm(4[J]jrs7lQhrV6Eh
+$iBetqYU-dqYU-dqY9q)r;-Hlp&+jQ_IdP]q=+FNs8)cmq>^Bcs5*YQqYp<hqLA~>
+q=iS8rV6<b&HD"bs75CLnp39&WpTiTp%J1R$MO/dp%J+Rp\=LXnFm7_oj=ioo^r"Pp\O[bpAjp_
+pB(-aq"XS#p@S4Ume-G7]3f$?n`g)8rUg$\oDSFQqqh)IpAXa`p4*~>
+q:XEP!7h&"s4J"<j3?-8f$3+.AKsa-d,`X,fDaG%gAfh)fDa;'f$r3teGdnee-Xda8snAbf%SO$
+r6kPn!7q"rpsT,j):m<kf?r7,_k0@jM;$;9al(\&e'HXnaOS_ueGdnrdJhMkd=;~>
+dJNb;rVIi;qu$Blp9\7*PMcE?o(rC_qZ$<is8DQ`rVlEbq"jd^q"jjWq[*+8ScAW[q>:$bq=l63
+q"jd^q"jd^q"jd^qY:*jp@nUer;Z`os8:K7?%TKNs82H^ebfCCrqZNhJ,~>
+dJ!D1rUqN0p@\+Ym]9P_N7e%)m.:2Jo_J%Ss8)<YrVQ3\q"X[[q=saZo(EC\A=*5fn+QPNp\FRe
+p\=LXp\jk,q=sd\q"F^bo'uSSoCheGo^0_T;1#P1r:]ULp=B!<pAXa`p4*~>
+dF\KQfDF7tfH&Z/f9JZXEk^Mkdb3[7gu6lAi7l`0gY1!'daHOkrm:_qo@=3"gJ<C]gsO[&qpbSq
+!8.;%s4%(srR(Vj(>%-^ce.%(gXt39fX#Z]?]rOff$DaprRCeohUMSSrmLboJ,~>
+dJNb;q>1usqu>Z37r>s2r;69drVZZfo(i=_oD/F^p]10]q[*+3Pl1ITqt^*blhD%ep\k-lp@eOd
+pAb05C1<J'rr3)tr;?EBqu?Nlq>L/?~>
+dJ!D1q=YWgoDI<m5@q7go^hSDp%8%LnbE.\oD/Fcq#'pfp[\"anm@FNp@S.Rp\4R[rqH9aqtV'&
+oD/FcnEorElLt.c>#C+Gr;Z]hq"XR6p]'sdp&4T7~>
+dFe9JqUcb?cJ7O!Bdc`JeD8p5gtplDeC*%.gX4X1eC)eCd/_\fed0p_9R,FLf%8CJeGn,!f`'J%
+eGmqudEg5>cPOmOe(rg)d+R:(iT[126$:]1h:^<.e^N+!s3ptqrR68~>
+dJNb;q>2!.q>UEUUMO"diW&<Es8Mrqp[ReLrV#RQq"":]qZpYhpAFmhq"jjRp_`l-qt0dcqYU<l
+s4E**Do)JRqt0ISs8VoGqu?Nlq>L/?~>
+dJ!D1q=YX$nb2q;Rq,<Dg%a\&s7Z0_p@.SHr:TCOq"".cp@DI?n+ZVRo_7hL*;TC*q=t!_me-GK
+o(_kMb^2ihZLdqenF#rHqt8P7s7ZHbrUta~>
+dFe9JqUcb?i7d)N`e7&GB>WWQhrrtShq6B*g>1?%f$r4Iddkljf\Au7ec+8'dFA0DrRCbrrm^qq
+!R]?pd21Tcb0ekie_Ad4Zt1sfTAA>Qc-+Mff[A@#s3ptqrR68~>
+dJNb;q>2!.rUfd_s36Eu9SMC(na?>Srr;rkoCr7[q!n1eqdPKVqu-QjqYKRR!rDB`r;R?$jHNGJ
+\c;^(p\Ojer;-3_f),LDrqZNhJ,~>
+dJ!D1q=Y[#p$D)Fr5F7Z7"*\_l/q^9rVufho(N%VqY9UT#PD8Qme6GQp$)5fl1Y)PqZ$?Wg58="
+YPS7cnb2eSq"F@Of(]4<rq66`J,~>
+dFe9JqUcb?hVQf6kN/j^1+d+RimQ00hr3VPf[SR1f[eX@e-O^_7;UK,f\"RLdehMof)*r!daZ^p
+rmDV'eD/^/hqQJlD^mo9iTSe=e(3+#e'ZOneGn"sdf%XF~>
+dJNb;q>:3js83Q0s8;Vs;FY8@`rGQ.n*BoOp%A@\qXXCeqYOogq>:!dqu-Biq""7lqu?]jp&G!C
+X]TA7lMpPIrVm$"qY:!gf),LDrqZNhJ,~>
+dJ!D1q=aj_s7R0%q=a?[9L*!(_#N^"lf\'AnaZYQqY0RU#l""!MXpE2q=j^[!VcB]pDEW'p[%8@
+oZs=1A=_cZmcs]HrVcTdo_AC9p]'sdp&4T7~>
+dFe9JqUcb?h;-lAhV[,?Otn@R<Mnp*k0hQ2imu]?g"=sTf(.;sf\K/@f\"[(daJ-Bs3gnr!7L\m
+!S5d!eed5rcHY"nZA18,JB-WscJI=0g=Og$e_8U(s3ptqrR68~>
+dJNb;q>2!.qtKp`r;Q`rp5)@O:h]1`s8Vifs8;0XqXXCfqYP#orVQ?er;6KirV5s[)#O+-s8V2U
+C/9H"rVuTbr;$0[o(W+^rVY7Ds8)`jrVD$~>
+dJ!D1q=YX%p$qYHpA"Oan:O)78n-oJr;ZB[rqPXPp&OjXp^-]f@ZU6TnbDnRpA"CVs7R8soDejG
+RUJ[4^%VEpoCqnMn*]fCqYBp;p]'sdp&4T7~>
+dFe9Jq:HPCgXk-5gtq#NenHR$0M'C8j6,.Kj5%o5qq2#&f(7Asf%iuDg=Xg'e,@\odf7hqdf%\p
+f)F>%fb`,hj5[n&6n)H8g"k'(f@86mbL"hlf%&@$s3ptqrR68~>
+dJNb;q>1uurr;ieq>9sSs8Uf!='SChiW&rFq#CBiq>g<^pBp]lCRP5$q#1'dqs=.rqu?]\WaA8F
+`qB*&qu?]qq>^Hns8W&jn^dU;qYp<hqLA~>
+dJ!D1q=YWjq#0jQoC_\;qZ#&e;-$,Rh#I<:o`+jbp&OmZq$Qof@#jsSo(VkPp\jmep\jm`p\jgc
+obR2USl7^n^$kObq#(0hpAb!cs8VobmFM%3pAXa`p4*~>
+dFe9Jq:HP3hW*>>g"Y0(i9%US2`rU@`ouI0gZ[\RqqD/)f(7Arf%WfAgY1*+r6bPms4%"qs4%)"
+rn.5's4\@Gg;AS(+]tD`dacn$gXt!1f@Sg7f$;FheGn"sdf%XF~>
+dJNb;q>2!.q"F^eqtg?mp%JFad#VI7;gm!lrq#s]q>g<^pB^QiBU8\uqu-?iqsF4sqs1t@;/<?!
+s8;osp[IhMq"OOYqtBXYs47)IqYp<hqLA~>
+dJ!D1q=YX'o'lGOp%8(Zn*p>Nb)'2!:3k%^qX=+Qp&OjYq$?`b?&SCNo_7tVp\ssep\sscp\XY$
+p"urh7:2kKqY1!gp$hVKq"41Np[[eIs46rEpAXa`p4*~>
+dFe9Jq:HMAf[ep<gY1QGe^ig;Y\uZd3+0&RiRZf\h#Z9_o@+*!g.?GBgt1*&df.Yodf.bqdf7hs
+ecOLWg&Bb+h&",!;Cb1m_qir!gX"$fdaHOidaZUeeDJj,s3ptqrR68~>
+q>:!cq>:!cq>:!cq>:!cq>:!a:nhZ%=)+u5s8;`hqYU0dq""Ibp[e4Yq#B[Ws7Yp]bPPD4s763X
+s8W#nq>1'is6o[]s82Ncs82imnc/X3Jn&MYfDkmHqYU0dqY9j[q"i#-J,~>
+q=aXYq=aXYq=aXYq=a@Qq=[LP@n]a1WpoiXo^h_Jp%7nHs8Vibq>C$flhg_Un,LK#9p5A:s60LY
+q"FCSq>C6Xo)&CZnau\Or:K=Nqo!e`?&-Vtq!dnKp\4IXrqQQh`qOu~>
+q:PMrq:PMrq:PMrq:PMrq:b\u:"t=o1c\6mg>h,Jh;7&HhV$?5i766,g=G6)g#1B)hl5BkI,W?1
+aPGCqdEp@ngY9fqf\4p(f%es9g=,$@Y%'^cDmS6Te(3+"eC)eEd/_V7e:7~>
+q>:!cq>:!cq>:!cq>:!cq>:!a-i`qVKO[teHEl9)s7cEhq#C!Up]($_q<7eWn,<:OLAG/Jc\;>t
+oDS\2rqlBYs8W&dp&G'^p&G'JRq,lKUsSl5pA"[fqtp6drV-Bh`qt8~>
+q=aXYq=aXYq=aXYq=a@Qq=[J]n[a0T:02P<f(f(2p%S%Wo^2DNq"4CDrVu?_s6#");3f(HoDe4R
+qYU0cp@@YOs7kmKs8;6QqYJg/?<M-6`p<0]nbN(Vp\=O^q#L30pOE~>
+q:PMrq:PMrq:PMrq:PMrq:bYt.-B3WAjnUD?Br=cj4iJMg>p]-e_Sg,f>cS*c.h0tA_fS%Y%$&D
+c.DsI,h^brc/IX6b0],(cdUh3^O8R=<e7C%f$W"&gXOa$da?IgdF-%aJ,~>
+q>:!cq>:!cq>:!cq>:!cq>:!a/F<E:p>;]Z:0:J7YN>WXr:op]s8V`cs8VHVq"F^eZc[L#LoU@P
+r;Z`mr;Q]q)=@.pq"apdo\,gI>\Jf(p?)DTrq-3iq>:'dqSi>^~>
+q=aXYq=aXYq=aXYq=a@Qq=[DBqu#s:T4(8g:26cco^qkJnb3"Znac_[l0\06qu<e5C8lQPnc/4U
+p\"7Ur;HWYnb2SHq=a7+Q=*a&I^eh(rr;`[q>U$\p\Xa)pOE~>
+q:PMrq:PMrq:PMrq:PMrq:bYt7a0iNf"Zo10KM*kPKD\?i7QK2i8)i3i8i&-f$rL9PHA#VC5LU(
+f%\g,f%]'=i6'O$e^iO/e@L#u5"]FZfYuk2gX4d6rm^trrQtVn`mfM~>
+q>:!cq>:!cq>:!cq>:!cq>:!a-NEK*s7H-Yb*R3Q<`N=OWSR+EqtU'dp>#]JhWs_3mY#M=J,/s6
+rr2utrr!B(p](6lr7n3+LKe>B[H.;crs8Dhp&>!gq>:'eqS`8]~>
+q=aXYq=aXYq=aXYq=a@Qq=[D[kjJ?9oBjJYDGsA-<-G%glhL/Cp%@h)r;,(,li-$k@=WCdn*B]G
+qY0^Yp[n"Uq"XR6Tn7hq?[]-7p\k!hoBYoAqY'RUp\ag)pOE~>
+q:PMrq:PMrq:PMrq:PMrq:bYt7c_bBiRHQ0XEdi03]TB6NPEltgXk37f"9r"^<4jacY-:!@bTM`
+gYpuCg=tH;fB1rHgq8DUB0/OnQc@qEiT&J6dbEL,rm^trrm:_o`RKD~>
+q>:!cq>:!cq>:!cq>:!c!;lWgqY2?4s7--hoD/FWq#&g,=\_po;dad7b4Yf4s8;`,GCoJe["Wne
+rr3)qq>1$gru(IpY(U1d>$#0WXO6\=qYL0gs7Z-cs7>m_^&*<~>
+q=aXYq=aXYq=aXYq=aXYq=sd[8,_`Ms6T=VlgaYqLf$W88kW9%NkauYo`"LO[;:0RrhamWeFNS;
+mI0Q;qY^*UjedE-;Gp:oDktMBp@InLpAaaTrr)?Vs1S/W~>
+q:PMrq:PMrq:PMrq:P5jq:J9rc/7U/f&Y61gU_Ae0fLsJ5ui-.f&b`Oh:\B#A(0e6DI^`Hm-<3R
+e_B$Ai7?/6AO/C>3($f-ZI@U^g"bBBdaR%-c-G.peGI\5e:7~>
+q>:!cq>:!cq>:!cq>:$ds82ZgqY1<lo`+p`q"4:Zs"+0Cp?fb_D-Kk?@:3PXIYaAmVd!_r`K,T$
+_7RdQVjiNjEbATS>?kBBKY$LKrs\f&rr)`ipA4adq=sd_qu6N4qg\~>
+q=aXYq=aXYq=aXYq=a[Zq"X[Z8+6BMmd]]5s8)]fmdB2KNFG^R:0(@r?#tFRTq"q_LUVeTaKr%_
+M4B]ZFD>/_9N+nh>C<a:r;ZTbp%S1Po_/.[rV?-[q#'mcp;QcV~>
+q:PMrq:PMrq:PMrq:P5jq:J9dhqHK-dF717j58JAd&)%_4>Jra5sn4NBmG\o4@XOtH"t$iSu[!g
+G\UM_8j>3t5<q\NS^-?\inE/CgtLB0f%\m.daQareGI\5e:7~>
+q>:!cq>:!cq>:!cq>:$ds82ZgqY2lCq#C?ms8Vfhs7Q'bs8;Nbs8(m%VM0MWF^eff>>fW\Kn+_r
+IUHG[<_uCc?uUC=V9nu8rt>)&q"t*krqu`ep@RnKs82?`qu6NnrW)l8qg\~>
+q=aXYq=aXYq=aXYq=a[Zq"X[Z8b;oUq#C<]oDJ%Es8V`Xnc%q/^R9=eI:uV\;bfbq?Z^1)@rP@E
+84uB<8Q]YGFIgM@q"OUYn+,u?qY^*\q"4@ToD&@_me?JTpAadcp;QcV~>
+q:PMrq:PMrq:PMrq:P5jq:J3dh:UB=i6p37da[CBh:LHKgrQXSB45UX6ps@)1g!OjC2$m^6U3Ie
+0.f"J<F0*k[GBs*jPnnJg"PBBgY(<-dF$1cg=ON]e:7~>
+q>:!cq>:!cq>:!cq>:!c:Aakaq>:!bq>0m_q"jd^qZ$'as6od`q#(0lrqcHfrVZ]qqY:*jrr;ut
+pWRJ`F.^+_UmJ0Kbe1d=k5,,XqYU0grquThs7u]pq=aderql`n"o7ofr;6BiquQfp`VY/~>
+q=aXYq=aXYq=aXYq=aXYq=sd[8cS)Ns69.Tnb)\Rp[dtIp$qnSn*TiEoCVYJm(m.4As'7%QAVAo
+_6LPlhX^U>o(2JGp@RnHp[\4Yo'c;JpA=gdr;$*^q=jX^p&Xj[`V4l~>
+q:PMrq:PMrq:PMrq:P5jq:J3pb1PXoe)Ss2gtpl?f\G?>k2k@NioT(Uhr<:j:.&$9V5fH"O*Rju
+U9Vbpk2Y:ShW!MOgt^i?iSiA:g>(92f%AR(e'us^e:7~>
+_#+W<r;6Ehr;6Ehr;6Ehn,3"[&GcA'TiYm*r:g6`s8VinnGW=`!;lNgo(r4[!;u'Xq>B@OJ,~>
+_"S94p\=LXp\=LXp\=LXn+ZYO&b>hkRS[Ccp$D\@o_7_Ol1XiHpAjpbp\FLYp\=IHp\FUGpOE~>
+VV1Uq&_>jlIPaHHgXtlDi8`DPceR=Og&Tq+gA]b&f)sURf$sBDl.#OZjj\e~>
+RJ[Tqrr;*4l0nZKpZLApq>^Knr;HNgr;$3Bqt^0Oqg\~>
+RJ.6gq>T=$jQc[4m+g%En,)qZp\jm_p\FLPp?D>IpuV7#~>
+RFr2-gYfrV`m!>lf#GA?f&>N?g@O"nfC@GVeG7YVe:7~>
+RJd*X!WW#qrs8K$G_ClZFG6dor;HNgr;$3Bqt^0Oqg\~>
+RJ6aN%Jobps8)EgD0^P/C4;uWp\jm_p\FLPp?D>IpuV7#~>
+RG%Vg&)>dmj4r;L=(>l);.PR<g@O"nfC@GVeG7YVe:7~>
+R/I!a%/9;cq#$n@p]'627IU3QrVQEgdJNb;jnjQ~>
+R.h*erUT=FoCnZ!m/GXg53Vt>rV63_l1XB9q=s(GJ,~>
+R+W&+hpfs#e_5Oaf''k^,gP,to@`rln^csSq:4TVJ,~>
+RJd*bs839(s8VkCD<:fth2D=3r;HNgr6bE;r8mg+~>
+RJ.6gr:fs]qYKf*@bU_ZdtIc"p\jm_pZ_D9p\FUGpOE~>
+RFr2-hV$T:gt^Ib9Z6&T\n^B]g@O"nf^[PWeG7YVe:7~>
+RJ[Thr:U!eq>^3";69Wgs7ZEir;HN_r7UuCr8mg+~>
+RJ.6^p[IqQo_S-^7\T;<rpTRZp\jmWp[RtAp\FUGpOE~>
+RFr2$g!\R.f%efA0T4W6jji/?g?[G^f'1][e`G;2~>
+R/@Hor;ZZas8VkP6[.,]s8DoorVQ-_g&(UCjnjQ~>
+R.h*jp\aaOr;5o43,Hh5q=ad]rV5pWiV**Aq=s(GJ,~>
+R+W&2g"tB,hVQdt,$)&,hqZr>le17Jq:,5jjj\e~>
+RJ[Tos7--hq>]saj`F:1UAY#hr;HN_r7UuCr8mg+~>
+RJ.3dr9X:[o_[tNg1`r[R.^COrV5pWiV**Aq=s(GJ,~>
+RFr2+hTjp8f%nX1`)A9UJ(rf5g?[GNf(mhke`G;2~>
+l2:AS\bm!1rVcTdq>^-fs7DUZ>e9b0r:TsWr;QZpr:^$`rRLdq~>
+l1b#I\b?X'q"XOPo`+FUq<<f4;R>rmp\jm_p@7nVq#C*^pA+L6pOE~>
+l.Pmb\_.SBg=k0-f&G09j3r-.3LSORgABS!f_O4rfDaG&fCmekf[\K%~>
+l2:AS\bm!:s8Dces7u?fmJm4-@Z:-]r:TsWr;QZpr:^$`rRLdq~>
+l1b#I\b?X0rV6$Trq,^QiqrYf=G?>Ep\jm_p@7nVq#C*^pA+L6pOE~>
+l.Pmb\_.SKhqHZ1i7?B4biRu`5ASp*gABS!f_O4rfDaG&fCmekf[\K%~>
+l2:AS\bm!6rqcZmr2>hTs8)]oKP:A`r:TsWr;QZpr:^$`rRLdq~>
+l1b#I\b?U+q=XUYpS3c;rpTFXH=?aGrV63^nb<%Xs7c6\q=rM7J,~>
+l.Pmb\_.SGgXk66fnFFskh4bR@7T/-gABS!f_O4rfDaG&fDa@sf_X;%f[\K%~>
+l2:AS\bm!6qtC'iok?mFhtQm=MfS[mr:TsWr;QZpr:^$`r71[p~>
+l1b#I\b?F&p@8+Xn74h-eGee9JSXlUp\jm_p@7nVq#C*^pA+F_p=Atg~>
+l.Pmb\_.SGf[Ja5dRGKe^=LlaBMmI:gABS!f_O4rfDaG&fDa@sf_X8%f@JO&J,~>
+l2:AS\buL-%J]kss-Adg@>1\3FKb96r:TsWr;QZpr:^$`r71[p~>
+l1b#I\bH.&%J0>dqiQhO<dL?]C8gIsp\jm_p@7nVq#C*^pA+F_p=Atg~>
+l.Pmb\_7#?&(T@ah/dL25\,[W;3'&XgABS!f_O4rfDaG&fDa@sf_X8%f@JO&J,~>
+l2:AS\bm!6s8N#js5EeRX,!=<eGoRIr:TsWr;QZpr5/>]~>
+l1b#I\b?X,r;$0Xs4m8CTR;ufb5_M?p\jm_p@7nVq#C*Up=Atg~>
+l.Pmb\_.SGhV6f5j1a.(MIq<`Z/t-%gABS!f_O4rfDaG&fDa@kfDsLRe:7~>
+l2:AS\bm!0qYgHjs8Duks8)Zns7Gj[r:TsWr;QZpr5/>]~>
+l1b#I\b?X&p%\IXqY:*WrpTCOs6]+Mp\jm_p@7nVq#C*Up=Atg~>
+l.Pmb\_.SAf@o*5gtLi<kh4_Ik0q]2gABS!f_O4rfDaG&fDa>$f^mbsf[eX'J,~>
+l2:AS\bm!<q=FOaqu?3^s82ins7ZKkr:TsWr;QZpr5/>]~>
+l1b#I\b?X5o^;JMpAF:Js7-$WqX=I_p\jm_pA"CYq#:*hq#C*Xp=8nf~>
+l.Pmb\_.SPf$N+*f\Xs,jk/SFhUU]@gABS!f(dknec+/"ec4/!f(7NFf$r-tdaZ^pdaZ^pdaZ^p
+daZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdXV~>
+q>C6hs8;lpnbi4]q>Bd[q>AkA!rVrnrqlNiq>@AlJ,~>
+q=jm^s7cNfnb;kSq=jFQq=iM7!ql9[rq>mWXnR>~>
+q:Yc"s4RD*n_*`lq:Y;jq:XHRr7M/(g"?/T!8.+tqUFEN.ac\lda?Ljda?Ljda?Ljda?Ljda?Lj
+da?Ljda?Ljda?Ljda?Ljda?LjJ,~>
+q>C6hs8;lpnbi4]q>Bd[q>AY;q>L-eXo!V~>
+q=jm^s7cNfnb;kSq=jFQq=i;1nbB6\J,~>
+J(iT0g"P-5g"G$2g"P07g=k66g"P-5g"P-5g"P-5g"Y68g=t?9g=k66g"P-5g"G$2f\+p1f\+p1
+f\+p1f\5$4g"P-5g"G$2f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1
+f\>-7g=t?9gA0:qe?mYS~>
+q>C9irVZ]onbi4]q>Bd[q>AY;q>L-eXo!V~>
+J+iX1p\+@Tp\"7Rp\+@Uq"FIUp\+@Tp\+@Tp\+@Tp\4IWq"ORXq"FIUp\+@Tp\"7Qp@\.Pp@\.P
+p@\.Pp@e7Sp\+@Tp\"7Qp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.P
+p@n@Vq"ORXq"a[Zp9s^G~>
+J)&c5g>(E;g=t<9g>(E<gYCN<g>(E;g>(E;g>(E;g>1N>gYLW?gYCN<g>(E;g=t<8g"Y37g"Y37
+g"Y37g"b<:g>(E;g=t<8g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37g"Y37
+g"kE=gYLW?gAoq'fD*q*e:7~>
+dJWP3q>AY;nbfNdJ,~>
+dJ!,'q=`5/q=aXYXnI8~>
+dG49Hq:sBPq:ku(qUtYr[aos~>
+dJNJ1q>8S9nb]HbJ,~>
+dJ*2)q=i;1nb;nR[.f(~>
+dGFELq;0NTqVD5-q:b\u[+Km~>
+q>:3irVQWknb`.Yq>9^Yq>8;1q>7;jJ,~>
+q=jparV-?cnb;kQq=jFQq=i#)%eobmq"ORXq"FIUp\+@T[.f(~>
+q:u#+rS7G-n_Erpq:tMpq:s*H>M@cag"P-5g"G$2f\+p1f\"d-f%AR+f%AR+f%AR+f%AR+f%AR+
+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+epm~>
+q>:0hs82flnb`.Yq>9^Yq>8;1q>7;jJ,~>
+q=jm`s7cNdnb;kQq=jFQq=i&*!;H<aXnR>~>
+q:bi&s4[J*n_3flq:bAlq:a!E>hI`]g"4p/g"4m-f[e^+f[eX'f$r:#f$r:#f$r:#f$r:#f$r:#
+f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$o3~>
+q>:0hs82flnb`.Yq>9^Yq>8;1q>7;jJ,~>
+q=ssbs7lTfnbDqSq=sLSq=r)+q=saZ[eP@~>
+q:GVus4@8$n^mTfq:G/fq:Ea>!8%(tpscb#J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat17.ps b/books/ps/quat17.ps
new file mode 100755
index 0000000..9426fb3
--- /dev/null
+++ b/books/ps/quat17.ps
@@ -0,0 +1,1104 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait17.ps
+%%CreationDate: Tue Dec 26 14:11:35 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 160 162
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 147.000000 translate
+145.500000 -147.000000 scale
+% Image geometry
+194 196 8
+% Transformation matrix
+[ 194 0 0 196 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 194 string def
+/gstr 194 string def
+/bstr 194 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        58035 ASCII Bytes
+colorimage
+M>[2Hq>BOTs8)<]nbW@bq1&~>
+M>-i>q=j1Js7c0\s7u3Z!VuJ?~>
+M:q^Wq:YSrn(.BcqpPMlo$d`hd*R:~>
+M>[2Hq>BOTs8)<]nbW@bq1&~>
+M>-i>q=j1Js7c0\!VuN\pAt*aJ,~>
+M:q^Wq:YSrn(.BcqpGMmddklhda6?k~>
+M>[2Hq>BOTs8)<]nbW@bq1&~>
+M>-i>q=j1Js7c*Znb3([pOE~>
+M:q^Wq:YSrn(.<aqpP&b!n,HBJ,~>
+Z2FFpnbhYKq>BLS!;c<^!;c6_!W;bD~>
+Z1n(fnb;;Aq=j.I!;H'Znb3([pOE~>
+Z.\s*n_*0Zq:YSrn(.<aqpP&b!n,HBJ,~>
+Z2FFpnbhYKq>BLSnbVeQ!W;bD~>
+Z1n(fnb;;Aq=j.IiV*BKpOE~>
+Z.\s*n_*0Zq:YSrn^c^L!n,HBJ,~>
+Z2FFonbhqRq>:!cl21#InbW@bq1&~>
+Z1n(enb;SHq=aXYl1X*1!VuJ?~>
+Z.\s)n_*Haq:PMrq:P5go@*ckn^IWgd*R:~>
+Z2FFonbhqRq>:!cl21#InbW@bq1&~>
+Z1n(enb;SHq=aXYl1X*1!VuJ?~>
+Z.\s)n_*Haq:PMrq:P5gqpbGm!SGuoe,n(Fd!u~>
+Z2FFonbhqRq>:!cl21#InbW@bq1&~>
+Z1n(enb;SHq=aXYl1XZA!;?!X!VuJ?~>
+Z.\s)n_*Haq:PMrq:P5gqpbPpr7D##o@*iid*R:~>
+l2:ASnbhYKnbfWgs8NN!qYT^\q#'sfq#9d_q>13jq1&~>
+l1b#Inb;;Anb9TfqtL*`%fH@pp%IYMoD&"Xo_RqQq=apcpOE~>
+l.Pmbn_*0Zn_)%:n^[`jdf%\qedpEiimHE3bi7+%dbE1$akHU@!n,HBJ,~>
+l2:ASnbhYKnbfZh&-)+up\t3mo`+^Ys7?9erV?<kr:tj~>
+l1b#Inb;;Anb9WgqY1$`&,PSko(i=cn,N%LrU9[Xq>'acq=fC~>
+l.Pmbn_*0Zn_)%:o%*ij!7Lhqs4._9biI=0k2t+LdEUChg!eOKe,n(Fd!u~>
+l2:ASnbhYKnbfZh&+oo#r:]dTr;-6^s7$'gq"adfr:tj~>
+l1b#Inb;;Anb9WgqY1$`&+BPmp@.M<p@\+Kr9XF]o_J4^q=fC~>
+l.Pmbn_*0Zn_)%:o%*ijrmLhrs4.;"j5&Mied1']da$OfgY1'Oe,n(Fd!u~>
+l2:ASnbhYKnbfZh&-)K$@[Ns@JAV<crUp3gq"adfr:tj~>
+l1b#Inb;;Anb9WgqY1$`&,Pri>`t\(HG01Qq=4L[o_J4^q=fC~>
+l.Pmbn_*0Zn_)%:o%*ijrmLhr&_>UjfIfL:L1+J\f@ea#h:9pLe,n(Fd!u~>
+l2:ASnbhYKnbfrpq>:d'r'Q27ppa.Gr;ZKgs7?3bqZ6WjJ,~>
+l1b#Inb;;Anb9Wg!;H?`&G>nm4FQeiYXrs3s75san+leR!VuJ?~>
+l.Pmbn_*0Zn_)%:o%*ijrmLhr&_>Ukfck%agRBiqe_e^'gW\7Fe,n(Fd!u~>
+l2:ASnbhYKnbfrpq>:cq_GcTps8QqHp]'j`s7?9dqZ6WjJ,~>
+l1b#Inb;;Anb9Wg!;HBas7Hoi]1\"Qrr6P:oDJ(QqsXFXpAt*aJ,~>
+l.Pmbn_*0Zn_)%:o%!fjrR1_qs4@k0TepfIl0;#0d+QXofZ`"Ee,n(Fd!u~>
+l2:ASnbhYKnbfrpq>:d'Rq9V7p;gF-qY'jaqY^0bqZ6WjJ,~>
+l1b#Inb;;Anb9Wg!r)E_rV$9a&-%l"^@:R+;O@+Jq"OLWp%e=_q=fC~>
+l.Pmbn_*0Zn_)%:o%"Z-da?LkeC<.'jEa:ngY&\jH.1*ieC2srqU>Spd*R:~>
+l2:ASnbhYKnbfckrqm<#OE1!>^2'4ts7--ap]'dZqZ6WjJ,~>
+l1b#Inb;;Anb9ckp\,<op%@d1C@'!L@$BFHmJlhMs6]XV!VuJ?~>
+l.Pmbn_*0Zn_)"9!S5p!f)4#6da?LkeCN:*eSeC:ZCt$@^YHuhdEpdnqU>Spd*R:~>
+g&1jJs8;lng&1[Cnbi4[iV`NK(\dt/p\"+Os86c&qr=_oZMj^srq?-epA+Rdr:tj~>
+g%YL@s7cNdg%Y=9nb;kQg%Q<Urql?YmIL;MB9)K6TO=\kq"=LSo`+LXpAt*aJ,~>
+g"HAYs4RD(g"H2Rn_*`jkLfjhrn7>'rm^ko(XLaddF$4ginI1Pgr>@NPM+L7f?_k%chc,mda6?k~>
+g&1jJs8;lng&1[Cnbi4[iV`QL)#F7'oDS^gp[d]HZN'smG$E&fs7Q6_r;QNh!W;bD~>
+g%YL@s7cNdg%Y=9nb;kQg@lHZr:BOYs82BTj@H3JpYfg__>F3$p@J(Uq=apcpOE~>
+g"HAYs4RD(g"H2Rn_*`jl.Q$hs4RG(s4%%rrm;P5c-P)$g==Tn/sGS_criK,f\4X"d+-bEe,n(F
+d!u~>
+g&1jJs8;lng&1[Cnbi4[iV`QL)#F:%qZ$?cs8SR+nFHVZE`Ihas7?9gnG`7\!W;bD~>
+g%YL@s7cNdg%Y=9nb;kQg@lHZrUBR]p%A@aP\9+@pA8DnId[7)s7ksWq=apcpOE~>
+g"HAYs4RD(g"H2Rn_*`jl.Q$hs4RG(rm^ko(Y[*_h:0s6iHe5Ge)fjo1h"S`bhpsmfD<tuda6?k~>
+g&1jJs8;lng&1[Cnbi4[iV`NK(]X(+s6T@Wm!4Bdp]'Vb:7:eTo`+j\rV?<kr:tj~>
+g%YL@s7cNdg%Y=9nb;kQiV*?GqY(g)o)/INnG;<gJGJR1i(cY&nc&%Xq!\%SpAt*aJ,~>
+g"HAYs4RD(g"H2Rn_*`jl.Q$hs4RG(!7q+urmDV:cIppmdG;rIB&hP1cTNk&cJ-V#e]cV@e,n(F
+d!u~>
+g&1jJs8;lng&1[Cnbi4[iV`NK'*%V%rV6EZX_`"=n>&N6D=IT)rq?HnrV?<kr:tj~>
+g%YL@s7cNdg%Y=9nb;kQiV3?Fr:^j%nbN%Qro^4kC>J*A4"b",s8)`d!WDiipAt*aJ,~>
+g"HAYs4RD(g"H2Rn_*`jl.Q$hrn.;'rmq"s'%tR_g"#$'Mb?mdd=iqd9[)DGrm1]"f)!ktda6?k~>
+g&1jJs8;lng&1[Cnbi4[iV`NK(\mk,qY:*^_76\^gX)tLqu?Ncs8)Tlo(i.`r:tj~>
+g%YL@s7cNdg%Y=9nb;kQiV39Drq@6%p\jjXs6dP)W3t*nT?-[)p@81VpAaRVpAt*aJ,~>
+g"HAYs4RD(g"H2Rn_*`jl.Q$hrRq,"rmVb4eD/X*iR+9aNh3ngMmV3se'?ate)/@Fe,n(Fd!u~>
+g&1jJs8;lng&1[Cnbi4[iV`NK(\dt0r:Tpdrq$'Aqu?6Ys7c!Rs8VurnG2q^r:tj~>
+g%YL@s7cNdg%Y=9nb;kQiV30A(\7J&p[IkOp[%S$oDe+AqXWt@s8;Wkm.pAVq=fC~>
+g"HAYs4RD(g"H2Rn_*`jiS"4_r72\4gYgc5fA530gUl8)e(!=(aNWPpeDA=De,n(Fd!u~>
+g&1jJs8;lng&1[Cnbi4[iV`NK(]O@-rr;lhs2/MId/3kCp\b'fr:]^]s7uNmr:tj~>
+g%YL@s7cNdg%Y=9nb;kQiV30A(]!gsq>^0Wpq1$,aRf0)nFuqUq"!kPqt]seq=fC~>
+g"HAYs4RD(g"H2Rn_*`jiS".])V3Qlg"4d/iRlW7U.6uDgu.>GfA"d)ccb(qqU>Spd*R:~>
+QMgd[rqbUNrqcZlrqm'$rVH?is8;H]rr3Aup>U^2IUC=loDJXYqZ6WjJ,~>
+QM:FQrq57Drq6<brq@9*q"=:UrqGgKs82WZn(W4kG?MrSmIpDMo(N1\pOE~>
+QJ);jrn$,]rn%2&rn/.DgXt-6i7cN*j5/S=e%]9R>sGF@e(id1o@*iid*R:~>
+QMgd[rqbUNrqcZlrqlris8W#gqYpL(p$__BRpL'\\n&VKqu?0_!W;bD~>
+QM:FQrq57Drq6<brq@8rrVuW[p&>!gmca6&PZMS@ZX162p%e=To(N1\pOE~>
+QJ);jrn$,]rn%2&rn/.7i8iV>f\toKdEC(]GWSX'R7*^tgY^]8o@*iid*R:~>
+QMgd[rqbUNrqcZlrqmT4qtL*ip\"IZs8A?mD4U_,cXO`is8;HXqZ6WjJ,~>
+QM:FQrq57Drq6<brq@90p@7qRnaH2As7;:RAsW;nb$D[VrqPsUo(N1\pOE~>
+QJ);jrn$,]rn%2&)qis!jOr/Ahq-E6e`>A)4A'qVj/kS=h;R,8f(7Amda6?k~>
+QMgd[rqbUNrqcZlrqmT/qu$Bhqu$K^M-F\hn,NF^_Ht7^r:g!VqZ6WjJ,~>
+QM:FQrq57Drq6<brq?Ecrq?Bb'))(\Io0R@kl:GK]ii2Mq"+1Po(N1\pOE~>
+QJ);jrn$,]rn%2&(tmWsf\,'8gY:TCb@EM!Ia$m.eY#%#i7n7^o@*iid*R:~>
+QMgd[rqbUNrqcZlrqmT's8DHbs6R:"<eTH3rVu<``*L:Vo(E%QqZ6WjJ,~>
+QM:FQrq57Drq6<brq@8rqY0:Ks5pR_8pJt_oDIeG^KJ>Eme$PQo(N1\pOE~>
+QJ);jrn$,]s4&1Bf\"m2g="p:dba37RQ!!0^>IZ(c.\mSU=dlEiR[VM!n,HBJ,~>
+QMgd[rqbUNrqcZlrqu`p$0emD;.@oGs8V`jrs$JJ`;fZ+qXOF`r:tj~>
+QM:FQrq57Drq6<brq@9,q>0pIY]EB;`9R*mlMC>T_-"MNp%8(Ro(N1\pOE~>
+QJ);jrn$,]s4&1Bf\"m2g>UrKiQITo1-r"ihr)o?hr(:lUYj_Tg=GlF!n,HBJ,~>
+QMgd[rqbUNrqcZlrqmT-r;PN492pW(rqZ?hrUp3d_-=qZrq?!SqZ6WjJ,~>
+QM:FQrq57Drq6<brq@9#pA!6q78A9^o'PfAoBuMJ]N;uMrUodUo(N1\pOE~>
+QJ);jrn$,]s4&1Bf\"m2g=Y3=^N(teB#*-NeDo94iRa\_V;g@_eCO6@!n,HBJ,~>
+QMgd[rqbmVpA4gdrqmT4o<VaiHHc<enGiO[s8;claBuaXp\Y!\qZ6WjJ,~>
+QM:FQrq5OLq=jm]s7ZHd(]Ng(=?L]Fo`+(Rs6TORp@lF.]_(jkrUKU_q=fC~>
+QJ);jrn$\mrn7,"r7:o"!nc2Zrn81Le!!$B>cuoEc/ds3gY(96W'I'.e_/aKe,n(Fd!u~>
+g&1[Cq>C'cg&1[CnGEjrqtK[Qq#:$_q=a4?nGN(Yrr<#n$3.tk7VB4"rqZHjqYg9rp<-gZrVZ<a
+nbW@bq1&~>
+g%Y=9q=j^Yg%Y=9nb44"p@\"Dme-JOq"jdUmI^AKo_SUbnaZCgF?a0;l1aiCpAFXjp@-%(]D)'g
+p@7kXq=fC~>
+g"H2Rq:YSrg"H2Ro%>_NgYCQ6d*^G"e^iC%bfJ,bf%T'DiRc]<Ufo'4Pg.t7gY(6/daHXteu_<7
+h:g3(o$d`hd*R:~>
+g&1[Cq>C'cg&1[CnbaO,r;?B`oD&4Po_%kUs82*\s8(gLs3lKg?_[#hq""I]rqQEf#0U>fs8Von
+nbW@bq1&~>
+g%Y=9q=j^Yg%Y=9nb3Fap@e+In+HPHp%J1[rt=Yms74t4s3,aR=I\OSna$/Ip\adkp[lF+\bPsk
+nFltZpOE~>
+g"H2Rq:YSrg"H2Ro%>_NgYCT;e'ch%cI::lh;-f,hWW_5f''DH-9cq'j4)B3gY(0+dF$Cng9!c<
+iS;o4o$d`hd*R:~>
+g&1[Cq>C'cg&1[CnbaO,r;HNepA+RZs8VcYmJ-\WmeZtCN)s#5bl@Y7s8VTbrqQHg#Q)VI\,ZL+
+rUKacr:tj~>
+g%Y=9q=j^Yg%Y=9nb44#q"a[Uo(MnQs8Vf[nbN.Uk48Q,KhtNn`VK5qqYTUPp\adkp[uF'Z1n%e
+nFltZpOE~>
+g"H2Rq:YSrg"H2RnC]GKgtL?0f@nj5i7,rofA>6-gZZIh2DemBh:g94hTag.f$_sndam0R6(?ff
+f%'?@!n,HBJ,~>
+g&1[Cq>C'cg&1[CnbaO+r;QZkq=j^^p@eF]oC;MRs7sWN5C(cVrquQfs8VrlrqQEf#/s]HrVZWj
+nbW@bq1&~>
+g%Y=9q=j^Yg%Y=9nFn($qYBjXpA"LWp&"UVnFZYVn\&NoEm=:Op$qYKq"=@Tr:gQloY48$p%A(O
+nb3([pOE~>
+g"H2Rq:YSrg"H2Rn_#SJg>1Q;f[ng2f%/X2e'Zb+jk?S**a#c%gY(-.gY:?7g"+U!dF-V"V`p7"
+g"4[Ce,n(Fd!u~>
+g&1[Cq>C'cg&1[Co)&[gq"jmbqYp7,p%\@Xq>L?no"0$GFg^Q8s8)KfrqlQjqYp9fq?FlAW;ZPl
+q=4=_r:tj~>
+g%Y=9q=j^Yg%Y=9o(N1[p\t!hq>U++nauMHp%eO`m'Ub/Dm/='r:TXTq=aLVp@nL[#l!u*;kisU
+qXa7O!VuJ?~>
+g"H2Rq:YSrg"H2Rn_*rps4[P-rn&UJf@\^-gu%)?SQ.UKQ-&(Df[SU/f[nj3g"+U!dF-V"VEg*s
+f%SOBe,n(Fd!u~>
+g&1[Cq>C'cg&1[Co)&Rdq>($d)u9:'p](6bqZ#s%IoBCFpAasTq#CBcn,*+UqYp9gq?Hl=@]9>&
+s7#mdr:tj~>
+g%Y=9q=j^Yg%Y=9o(N1[q>U42q=s^XoDSORo`!seGth,.nGi.DoDejYlLt&Cp@nL[#l"&0>GCo`
+rUo^T!VuJ?~>
+g"H2Rq:YSrg"H2Rn_!oorn&aTg"=p-i8)o:jNaZ32)^3?k1@c,jPeJ0f\=g,g"+U!dF-V$W^r*-
+f%ngGe,n(Fd!u~>
+g&1[Cq>C'cg&1[Co)'[.q=aRWq"X^]s7Z$^s5]\O>b^Wcs7ZEkqWmYNs8)BfqYp9gq?Hl>BW1t(
+s7#mdr:tj~>
+g%Y=9q=j^Yg%Y=9o(N4\qYL0c)u'(&nEfiGglYB5SEKqKnbE.Wk3N'Ip$_kQp\adlp\)L5UA=6V
+p$qbWq=fC~>
+g"H2Rq:YSrg"H2Rn_!rqec"&Jf[ns1dba*)I5jEBc0!j3gZ6u-c/[d5ced@.f$_sndam3S:5n2\
+hUD&F!n,HBJ,~>
+g&1[Cq>C'cg&1[Co)&OcqYp1-p\=U\qtg?dY?k7ZjnSlMp&>!fp](9_n,34WrV6?f#PlGUVuQ;e
+q=4=_r:tj~>
+g%Y=9q=j^Yg%Y=9o(N4\qtg<d*;K:$p%84NUf0p.ht$X6nG3"To)8FNlM(/Ep\4U\#l!r-A"iY^
+r:BIQ!VuJ?~>
+g"H2Rq:YSrg"H2RnCdcj.b<8)gY1fAO?Y[3`Rs,#e(ij5eDK'+b1G@pg"Fs)dF$Cnfr@l,i6L-*
+o$d`hd*R:~>
+nbVMJrr)lppA=[`q>9^Ynb`.[+TD<;s8;ZfrVucjrVlWeq"=R_q>9jZs8Dl6B1@?qp&"=VrV6?f
+#PlP_[eosus7,ser:tj~>
+nb)/@rqQNfp@e=Vq=a@Onb2eQ+Skd,qY0URq#'jXq"aRQp%A:^qYKjUs7c6"?TW>FlLk)Kp%SCZ
+#l!r0C9[=%o_S+P!VuJ?~>
+n^m$Yrn@D*p=T2oq:P5hn_!Zj+PYT'gtC6/g>:K5g=t3.f$iC.f\=s-in`Cd81.cKf%^,UrRh)"
+&_,Cbg"+U!dF-V!X]LtHf[SREe,n(Fd!u~>
+nbVMJrr)lppA=[`q>9^Ynb`.[+TD<<s8W&ss7l-QpAFmhs7uTeoD8@Vo\"[[B".()s82B`rV6?f
+#Q;e\Yl"Fsrpfjdr:tj~>
+nb)/@rqQNfp@e=Vq=a@Onb2eQ+Skd-r;69brq#LAnb;hTrqQHco(i%LnC)VC?EE&Sr:U!]p%SCZ
+s7Z`9A?,7qp%\(O!VuJ?~>
+n^m$Yrn@D*p=T2oq:P5hn_!Zj+PYT(hVHo?i76,se(NI1hq?c9e(WO)e%&d08!qKVkhH$grn./"
+&_,Cbg"+U!dF-V%XAP5;gXXmGe,n(Fd!u~>
+nbVMJrr)lppA=[`q>9^Ynb`.[+Stm/r;-0_r;ZfprVlZfp@J=`p](94KhuWemf3=`q"sXYrV6?f
+#QMnXXo&.rr:0Xbr:tj~>
+nb)/@rqQNfp@e=Vq=a@Onb2eQ+SG?up\"+Kp](-bq"aURnaQSToDea'In=7Ik5YAJnFceSoCr1X
+#l"25?`3Mkp@e%N!VuJ?~>
+n^m$Yrn@D*p=T2oq:P5hn_!Zj+P5/pg"4a(g#LoAg=t6/e'[.1f&YheAM6`9cfjKDg"ZMZrRh,#
+rR;A/g"Fs)dF$Cni2]P6gtgQOe,n(Fd!u~>
+nb_SKrr)lppA=[`g&(UC!;c]i)ti^hoD8=]rr2imr;#mSs6?7c<1VhEs6T=Vs7,saq#1$orlAcV
+rVufnnbW@bq1&~>
+nb25ArqQNfp@e=Vg%P79!;6?_)t<1Yme-8Iq>'dYp[me=qW+)L:6sH1puL`9rr)Q^p\adlp\;U6
+WV-,]p@7kXq=fC~>
+n_!*Zrn@D*p=T2og"?,R!8%5#)q*!Td+?n&gY:E6g"4X#i6$R91jlq!iQ]j2jSdd1f`0P#e.:-`
+g"+U!dF-V&W_Sc7hU_5H!n,HBJ,~>
+nb_SKrr)lppA=[`g&(UC%fcM*rVH3Zq"OX^q=j^_rr3JlW+]>!jn\fNrVuoolMBrDrV?cpaDA3^
+s8;icqZ6WjJ,~>
+nb25ArqQNfp@e=Vg%P79+Stm-q"=.FoCDSJo^_YKqYU9MTO:WVh=C42p\k-ajnAWHp\=d_r:gNk
+o>5(@pA+FOpAt*aJ,~>
+n_!*Zrn@D*p=T2og"?,R+Pb](g=Od#e^W4'f$r:(h;RP=M+KaO`n9#"h;dVNaP$LDrRUqs&^o1^
+g"+U!dF-V!W`#2@h:C-Ie,n(Fd!u~>
+g&1jJs8;Tfq>C'cnbhqSq>:Hqqu-QoqYU6ks8N&u#5e#"AlY;`rVm'!p@@kQs6]U[q?Qc8CU3m;
+qu6-_!W;bD~>
+g%YL@s7c6\q=j^Ynb;SIq=c!+pA"L[p%J:[r;6<cqtfsKW`_rTh>@*GqY'FFn+Q\Vp\4I_p\adl
+p[Q(1XRu8[q!n(Zq=fC~>
+g"HAYs4R+uq:YSrn_*Hbq:QkDf\5-8f@\p8hVHr@h;$Z2Q:<cZa5uC?i7uo3db3OTf_sD"e.L-Y
+g"Fs)dF$Cnf;VW5h:pK2o$d`hd*R:~>
+g&1jJs8;Tfq>C'cnbhqSq>;?2q>1'fq>:3`pA4ghrSbb9@t;o*s6omWs8VrgqtomMq#1$oqo**G
+q#:0hnbW@bq1&~>
+g%YL@s7c6\q=j^Ynb;SIq=c!(o_&"Ro_/.Lnb)eZptWVp<cGqSo]5Z2r;ZK\q"X=Tp\4I_p\adk
+p[u:,V""-OnFltZpOE~>
+g"HAYs4R+uq:YSrn_*Hbq:QkAf%8X/f%Ad)e(<F8g:j=Z7:<Cei6^<.ioJeBg"FaLf`0P$eGdl-
+eCiO+da?Ijf%[)pNnN1;eah2kda6?k~>
+g&1jJs8;Tfq>C'cnbi1Z,Pq<6qtg3dr;6Ehr;6Eirqu`prV?9gs8W)to?2h\Bu^2Np&4n*qXaL]
+rqlNfq"jd^q"jd^q"jd^q"jp`rqZots28-8o`"dbnbW@bq1&~>
+g%YL@s7c6\q=j^Ynb;bN/GJl4p@n=Vp\=LXp\4LXq"jdXo_JF^q>'HuJ4*_Sp$_2?r:g6an+?MS
+q"X^[$MaAjp\=LXp\=LWrV-WlpA2L&RdBeHp&Xp]p@eU`pOE~>
+g"HAYs4R+uq:YSrn_*`jrn75%rn75$+5>K&gtL?1gu$uDgsN*2.S?Stgt(NJi8rV>fA,07g&'G$
+ecF:OrR;D0g"Fs)dF$Irii#.ue_A[(rmh,"f([Yqda6?k~>
+dJWh;g&)rhq>:!bq>:!Xq#:*drVu`oq#CBgq>^3gs8V&@;eW$(rV?Bkq[WK"qYU-dqYU-dqYU-d
+qYp3tq"jjar;X0AZ1\.nqXOF`r:tj~>
+dJ*J1f_5LCp\=L^p_WAnqt^$cr:g6_qYp'Xr:0RYqqI'(@\<Mjq=bHqp@n:Tp@n:Tp@n:Tp@n:T
+qtLHjp&(n%W:0cZp@eCX!VuJ?~>
+dFn?Jg=ZJ[rnRM,s4J76f%S[)g"Fm4e_K*5fAG3<ioS.&2b](`q:b\upt,Vuf_sA4f\+p.eC)dr
+g#ni'QeCBKe,Iu#f%BoOr6terd*R:~>
+dJWh;gAM!JqY:s+r:opWp\4@Yq=jIOs8W#eoXA+/Z2"@hr:9^rqY0[Wp\Oaar;Ns,]DDR$r:0Xb
+r:tj~>
+dJ*J1f_>7;(]F:,o_%tQp%S+LmI'oPp?V.O<`5sfrUKXQp(6unq=sd\p\"4NV,XbmqXaOWpA=Rb
+q=fC~>
+dFn?Jg=ZJ[rS7G,s4J7Dg=FWudF6Lrf$r'ohr`_CfUG5mQepoZo%EQc&_YgfeC)k!gYnDdU#+VR
+f%A[Sf_sD!e,n(Fd!u~>
+dJWh;gAM!JqY:6nqY'^`q[i]#r;Q`rq"+HhE*].!p\+RUr:9^rqY0[Wp\Oaar;F$!b5V;1rUKac
+r:tj~>
+dJ*J1g@kXCp\OXes8)Harqd6(oCr([rpoINX(k_)i:6=+p[\"hp\=RZq=s^Wp%#(O_>*`oqY0^\
+pAt*aJ,~>
+dFn?Jg"H8Vs4J7If[SL*f@em.g>(cMf[JZ?;EoiWgY1Q=o%EQc&_YgfeC)k!gYeJYYi=?_f@\dT
+f_sD!e,n(Fd!u~>
+U&4ofqY:s(pA"[fqYC-bs7Gd[r2aF"W;6Jbq#C6Nr"/c#pA"F[qu-Kn`D=q\qtKpVqZ6WjJ,~>
+U%eBX(]!aurr2`gqss^Rl2UIS?:(CXr9a(Op#>]Vq"ad^qYBp[p@u0fanPN$p@eCX!VuJ?~>
+T@s1ss4J7Cf%Am;g=b93j4)E;gl+WNMVI4Bg>^l@in4ptg"4d'e_/a?WAh?Gg!eF&g&9S%f)4#!
+da6?k~>
+U&=Z^(&e.-o_&(\p%n^?CIirukl1MSrVuoWr"/c#pA"F[qu-KnbZ)g\rqlEZqZ6WjJ,~>
+U%eBXs7[9(qXs@JpAFCOs3YCEH,\e<p@7nUs5Nbaq"ad^qYBp[p@uEr_t!QtoCqtUpAt*aJ,~>
+T\0=sqq;#'(#7Wte(!.3fA,T#9djALaPP_(h;dMRfb)rkf@A@#g"b_o4L3_sf?i1'rRh)"r6ter
+d*R:~>
+dJWh=g&1[C(]++.p\+Las7ZKHN*:#"m.1&Op%A7[oC;bLr=Jo&p\FX_r;Q]m^/_u@s82T]qZ6Wj
+J,~>
+dJ*J3g%Y=;(\[\"oCDYRrp]d6L/_`_k3Vd7nF62Gmd^&Bp^m8tqtg3dq=jXQZ:qaqqY9aXpA=Rb
+q=fC~>
+dFn?Lg"H>Ur7Mk@gXt-5j5nqQ]P]i+Nm,r+gsaa*g!K9Bn_+T0g=Y!+f%Ss:U-5C+h:L*-g&9S%
+f)4#!da6?k~>
+dJWh=g&1[C(\dq-pA4ghnbJ\J:7(/Dr;HEgs8Vuls7-$Xr=Jo&p\FX_r;Q]jW)gP-rUg'YqZ6Wj
+J,~>
+dJ*J3g%Y=;(\@M!o(N+[m.6N38<Mm2pA"7Rs8VfbqsjFOp^m8tqtg3dq=jXNS5$<^q!n4TpA=Rb
+q=fC~>
+dFn?Lg"?DXec","fb`5shV$`JjOW.;0/@gpk1n_Bg>h2Df%olLn_+T0g=Y!+f%Ss7N'<rmgX+R)
+g&9S%f)4#!da6?k~>
+dJWh=g&1[C(\n%1p\Y!R`-#USjo>2Rrr2llp\FderUKgVr=Jo&p\FX_r;Q]mRTR6&qs4:PqZ6Wj
+J,~>
+dJ*J3g%Y@<)#*\$qt'OXikKA:NSj[+o_A7Wo^_YLq=sLSo(WdlqYU-dqYBm[n;^;Nrq>RTp\+LY
+!VuJ?~>
+dFn?Lg"?DXec");g"P-=inE>Obc+f=GKJq$g>:W=f$r4%g">iJn_+T0g=Y!+f%Ss:IR'XkfuMk"
+g&9S%f)4#!da6?k~>
+nbi4[\GQX.s763cs8;o_rr3=tF&eCPs8Vfms7c?diqsAbq"FLXqtp?js,L=/n,N"XnbW@bq1&~>
+nb;kQ\G$d2r9aCRrqHHSr;$8YCefr6rql3\r:0[X!Vc<IpCR,qqYC!`q"FFVJl9SPrUB[XpA=Rb
+q=fC~>
+n_*`j\_.nQeD/=)f&>?FbN.XEK3:9Z\*2r+iSrJBf\$2S!S#]Zfb)rkf@A@#g"b_16aY>#ce$h&
+rRh)"r6terd*R:~>
+nbi4[\bm9Dp\b'kp%A+Ss6R7*C66U)q>U-]rVuilqr7M`qtTm[q"sserVqa[_YX<$qZ6WjJ,~>
+nb;kQ\b?p:o(W"\nF6&>s5pUmA;\=foD%kEp\O[^p&Xp]iqF#Zq>0p`q=s[Wq0l8Qo_\FYp\+LY
+!VuJ?~>
+n_*`j\_.kUdb3F7e'ln"k0BDc:3<YcgZ$o<h;I&?f_sA%eCNU3&_bpie^N(%guiQCW8?C_e_&RR
+f_sD!e,n(Fd!u~>
+nbi4[\bm6:s8W)fr;Zfcds,;2dI[D<rq?9ir;$-biqsAbq"FLXqtp?jr.7nRr:^!YnbW@bq1&~>
+nb;kQ\b?m0s8Vo\pA=mSc#R#obO,9.q!e"Rp[n7SiqF#Zq>0p`q=s[WnTIR)p@7nHp\+LY!VuJ?~>
+n_*`j\_.eJj5f"@gu7DAZW]^bZdn1$hUpWAg=P$Vf_sC[fb)rkf@A@#g"bIs4IG'Vf$2k#rRh)"
+r6terd*R:~>
+nbi4[\buL-(%(bis6\Bm=_G/=q"Og_oCr:bp\+R]qsjUTq[iVup%S4WqY^9kQ!D$&rVuidqZ6Wj
+J,~>
+nb;kQ\b?p?r9*V?s6%a[;dlm%o'u_Lmdg;Ro'uMNp@7nJp(6unq=sd\p\"4QM,UeZq#1'`pA=Rb
+q=fC~>
+n_*`j\_7#B(!Y@^k0:>I3D#Rmg=bQ=dFI.3e^W@OfE0XVf^[YbfFcfhf$r-tf\>J47&/o!gt133
+rRh)"r6terd*R:~>
+nbi4[\bm91rqcZppRY&ZW;c8cqZ$!_s8Mfcp&"dbqsjUTqZcokp%S4WqYpBsV-1k6qtU3]qZ6Wj
+J,~>
+nb;kQ\b?p%p@A1Wn!6@;U%ddGoDe"LqYBaOnFlbTp@7nJp(6unq=sd\p\"4LR8CWgp@\@XpA=Rb
+q=fC~>
+n_*`j]%J"UbMV(:iRiW322C#5hV%&7gYCQ6dF-\'f\$2V!nc2Yn_*Hb&_YgfeC)k!gY[iRXk_UZ
+g">!Vf_sD!e,n(Fd!u~>
+nbi4[\blp:q=XHgBj["bpAb0jpAP!pr:Ka`s7Z9cnbhtS&Gc%lp@e=Xqtp/j<lae)nbhqS!W;bD~>
+nb;kQ\b?p?na5bG@98<Cn,NC[n+cq[rV,dOqtfjYp@7nJoapikq"ORXp@S"EThW8fna?5IpA=Rb
+q=fC~>
+n_*`j]%J"UkhOhDQV'M``RX)2gXFs<gY19*dbER+f\#NCn^eB*f@A?te(<=.OZonueBQRsg&9S%
+f)4#!da6?k~>
+nbi4[\bm98s3taPIan)es8;ols7u3Xq"jmfs8DQbqsjUTq@NJro_/"Sq>:'h\7*GXqu?]dqZ6Wj
+J,~>
+nb;kQ\b?p+q9382G0KCFqt9gUs75IFo_/%Ws7l$\pAO[Sp[[tgp@n@Vq"OLSo_>Li^A[d's7c6a
+pAt*aJ,~>
+n_*`j]%J(Wf&jM<.q,p=f\tN?e`,-(cHjthg"b6*f\"m1rS%>+o%EQb&_P^ce'ZXrg?+nsXlnBl
+gt:<Yf_sD!e,n(Fd!u~>
+nbi4[\bm8iDF\m'nbrFdqYC*gq#(0gr;Zfmo_JO_qsjUTq@NJro_/"Sq>:'cW`QJ*m.p8CqZ6Wj
+J,~>
+nb;kQ](['8a(@PRdHU>sqt'CPp@7hTpA"R_p$_POr:^-_nb;VI!VZ9eq#C'pp%7^E:9"3Tp@7nN
+qtC-epOE~>
+n_*`j_V+b=)VhVq.TsF6hVR5Cf%Sg,f\Y*-g"=a!eD8d0rn7;*n_*Wf!nGoQrRV%urm;5+g=qWN
+QK?9<bLY=uf%BoOr6terd*R:~>
+q>C'cnbhqSnbhqS(]+13p%87`q>C9kp&G'?N(mrdq>^6\s7uQfr;QTnqYp<Mq[iVup%S4WqY^9k
+R:El/o)Ja[qZ6WjJ,~>
+q=j^Ynb;SInb;SI(\Rb'nF-2MoCi.Wn,E@2L.>^No`+OMs7uBap\smdp&=UGp'(3ap\+@VrqZTh%
+efShNa&jhmJd+Zp@e7Sp@eU`pOE~>
+q:YSrn_*Hbn_*Hb(t[[#daHq-g"tiLg$%_0E%OM9fAtN0jOsC^r7Cr$rn.2$!S5opf)OA&g&9S$
+ecO@PeG[qudf.W(eC`],8=nnef[nX(f$r:Fe,n(Fd!u~>
+q>C'cnbhqSnbhqS(]!^us8Vuls8V]`rnEWG>+4+Dq="=_p\F^dp]^Kiqu$Ekrql]ks7t[O&Gl.o
+p\4O\r;?M`<6Y1<p%e.T!W;bD~>
+q=j^Ynb;SInb;SI(\I1fs8Vfaq>K^LpXG.+<0br2o]l8Oo(i"Zo*+dZp@n@Wrq??as7GLJqtC*c
+rqZThs7QZfO\E^cr:BFP!VuJ?~>
+q:YSrn_*Hbn_*Hb(Y7!aioA_FhrWJCjM?+45'XKmf$)n,eG7bseHOOUf\,!4rn.5%n(.NlrRh)"
+qpZ2.eC)ajdF-V$I6"L_gs"-no@*iid*R:~>
+q>C'cnbhqSnbhqS(]X='qu-3Zq=4L``H#"Lp@81_qt0pgq"FUbr;QZnqu6Elq;V8_qY0[Wp\Oaa
+r;N*ZcM7G7qXOF`r:tj~>
+q=j^Ynb;SInb;SI(]X-rp%RqBoBZ8I^MH`4nEg2Tp@%kVoChnXp\ssdpAX^bo]PrFpAk!fq>^6i
+p':2L7`P'"pA"1P!VuJ?~>
+q:YSrn_*Hbn_*Hb(Za2rgYLE/g!es<WE)'1f[&U<f[8L3eb7Yqg&B_(f`'Llf)OG%f_sCue.C3\
+da?Cgdam6#1U5NhcdC24e,n(Fd!u~>
+q>C'cnbhqSnbhqS%JBc$p[@kVs7Wg5=-VeFrs&&^rr;`ds7uNurr)clqYBp\r;?QkrqbXO&Gl.o
+p\4O\r;?SR<5JJ+s8MQc!W;bD~>
+q=j^Ynb;SInb;SI(\%D'n`fT@rU?t!;3'N5q>]jHq>TsTrqZ6oq=s^Xp%7kHp\4[\rq5IJqtC*c
+rqZThs7Q]iJP<WJo)JXXpAt*aJ,~>
+q:YSrn_*Hbn_*Kc(tmBujk%i1iT&RV8i_(7khkIIbM1t)e):&S$/=1ef[n^)eCiOSf`'Lmf)OG%
+f_sCue.C3\da?Cgdam8l3Mb?Vg""OBe,n(Fd!u~>
+q>C'cnbhqSnbhqS(\maurr<#\\o:G]ao1Sis7?$brqH$Zs7uQlq??]ip@\(Lrqucms8(aP&,Q%n
+p\4O\r;?GN>0m!8rUB[br:tj~>
+q=j^Ynb;SInb;SI(\7+cq#CBPZt`0E_tW<Qs6fLSq=<tFqt]sco`b!ZnaQ#8rqHEcs7PRKqtC*c
+rqZThs7Q]eJPsP[mechMpAt*aJ,~>
+q:YSrn_*HbiRo%"g">6Hkf0&f02/A$bfJhke_Aj.d+-tJf`0P,f%&6tdEqmGrn.8&n^d`nrRh)"
+qpZ2.eC)ajdF-V"D*P>WcIC:jo@*iid*R:~>
+q>C'cnbhqSnbhqS(]XC3s6d=A=B2X#qtg?mmf!1aq=sg`qYC$gqZ$Hlr;Z`pr8.;^qY0[Wp\Oaa
+r;E-mp@eOYq!n4^r:tj~>
+q=j^Ynb;SInb;VJ)"mh"q#9K]FAbo8nb2YUs69=Tq"41Np@\7Ts7QEcrqHHfrqGIHqtC*crqZTh
+s7Q]gO]Uu@s75mRpAt*aJ,~>
+q:YSrn_*Hbin51'jPAbVd$Rur23HMDf]2&9g>(E5e^rI*q:P`!s4I>(s4[J*rRgYks4RA'rRUkq
+&D#@ZdEg4gf%b[Ag!ns'cdMF7!n,HBJ,~>
+q>C'cnbhqSnbhqS(\.P)c$W,iNrSeDs8V]\qu?BXq#CBkqYC!jr;HTnrVuorrqt[N&Gl.op\4O\
+r;?Sb>l46pp\F@V!W;bD~>
+q=j^Ynb;SInb;VJ)"m4kpr@PG=GZtGmeZhKm.UJLl1=lNp@\7T$2=5iq>1!dr:p'dpZ2&FpAk!f
+q>^6ip'1;S<:fY[p$h\Vq=fC~>
+q:YSrn_*Hbin51'e`>_p?7\9XiR?30h9O<uj3u3%hqcr:q:H#,g=k<:h;7#BgA]e)f^[Pmg&9S%
+f)*r.f$r-qcdC1lidF,LeD\^"ddtrida6?k~>
+q>C'cnbhqSnbhqS(B<9W;bDS]p%\@\r;-3cs7-*gqY'jeq"sm`rr)lphtmu]p\":TqYL-fs+s_0
+oD&=ZnbW@bq1&~>
+q=j^Ynb;SInb;VJ(\Rg\O%i#g_XI*gp\4@PpA4.OrUo^TqY9d[p&=adpZ2&FpAk!fq>^6ip':AA
+9[iG$r:TUS!VuJ?~>
+q:YSrn_*Hbin5.&lG\$-/7PR.f%/O-e^N+'cJ.7.e(NOOf_O.ugAfk*f^[Pmg&9S%f)*r.f$r-q
+cdC1libCKfdF6Xkddtrida6?k~>
+_>G,Dq>UEkp\Y!^qZ$Tkp%\N`CK$/Dr;QTmrVufhqsjU^q?$QmrV??iqZ$Hdr;-:%qY0[Wp\Oaa
+r;V.Bp\+I_qXOF`r:tj~>
+_=nc:oD&.Snb)nKo_\LVn+-7HAPIm,pA"=[q#C'hp@n@Unb;tS!quEaq=ag\s7Z0\s7Z?a!;QQh
+s7lWf#PE(/n+$)Kq!n(Zq=fC~>
+_:]p\g"tW@fA#B8g>UuCe_&`9:H*4'hVR#Ag=k01f$r:Hf^[Ymf)jUYgA0>!ec45"fDjS'g&K\(
+f)*r.f$r-qcdC1lhd&1peCE*sddtrida6?k~>
+_>O?5(&R\%s8VNes7,LVs2fRgK>mZdrUfg_rVufhqsjRaqu-?mqu$Egqu6HlqtBsaq[iVup%S4W
+qY^9kHrKh7qu6E]qZ6WjJ,~>
+_=ncGrq5aRs7tmYqs3GEs2/qUID>CRp[7SNq#C'hp@n@Unb3%WrUg6cp\=RXrq6<bp@nU\qtC*c
+rqZThs7QZhED,flpAFFS!VuJ?~>
+_:]pmjP/5?k24JHiR,p2k,DNEAZ=GJh:0s.g=Y$/f$r:Hf^[Vpf_sD'f\,!Sf)F5"f)F;$gAT_)
+fDjG!e.C3\da?Cgdam8\38<!7e^2b9e,n(Fd!u~>
+_>G,@rr;c`p](9bpAb0?Kjnbidf'4?p](9mrVufhqsjUaqu6Enqu$Egqu6HlqtBsaq[iVup%S4W
+qY^9iHW9n<r;HE\qZ6WjJ,~>
+_=nc5q"sXJnbrLTnGiO3Ip?KQbkM)+o)/Oeq#C*^p@7nWpAX^dp@n@XpAXabp@e7\pA=Raq#:*h
+q#C$mno.:oo_87Vnb3([pOE~>
+_:]XRhVm,7fAl#Bf&c"uAO8t>ZJX]oe_fHeg&]mYrmpntn_*rprmq5(g"Q8Qrmh&"rn%2(rRq5&
+s47(s&D#@ZdEg4gf%aLjhUgB/cdMF7!n,HBJ,~>
+_>G,Fq#16mq!mtUs6?:_=I\:Gs8V`bs8V`jrVufhqsaL`qu6Enqu$Bfqu6HlqtBsaqZcokp%S4W
+qYpBsHWC"@rVcK\qZ6WjJ,~>
+_=nc;o(W1`o'>]@s5]YM;O-#/rVH!QrVZ-`q#C*^p@.eVpAX^dp@n=WpAXabp@e7\pA=Raq#:*h
+q#C$mnSh4ppA"OXnb3([pOE~>
+_V#d[g">-CjOhl/io\C74?.](g>Lf8eDT64rn@D*!7pnsnC[formq5(g"H2Prmh&"rn%2(rRq5&
+s47(s&D#@ZdEg4gf%XFjhq?Z3cI2=6!n,HBJ,~>
+_#+cDrV6*`s8VAdBip#.q>^EmrVloon,E:cr:^$VquHWnq>pKkq>:0fs82NfqYLKnp\":TqYL3h
+#('DMr;QZgnbW@bq1&~>
+_=nc>q=jILp&+jNVdiVQ_=R^%q>1!frUfCSq#C*^p@%_UpAX^cp@nCVrq6<bp@nU\qtC*crqZTh
+s7Q]fE)--$q>9gSpAt*aJ,~>
+_V$$bgu7/Ef\PWOb`>CXAZ=GHgY:N>i8<,0g=k<8g=Y*Rf^IJnf`'J'f\-)Ormh&"rn%2(rRq5&
+s47(s&D#@ZdEg4gf%XFkiS)u7c-l45!n,HBJ,~>
+_>G,As8Vcgs74KM=`_=Rs7c0bqYC!`p\Y!irVufhqsjRcrVZQlqY0mdqZ$Hdr;-9pqY0[Wp\Oac
+r!%OLrVZZop[S+]r:tj~>
+_=nc6r;,mSs6Rj;;f0&:r:04Np@S%Mo(N(^q#C*^p@7kYq"OL]p%S1Zp&FaZp]'sapAk!fq>^6i
+p':,-:A+AWr:TUS!VuJ?~>
+_V#s`eE#W@gum1l906.HguR/<gXF[&eC*"-g=k<8gA]e$f^[Vrg=b-XfDjM!f)F5"f)F;$gAT_)
+fDjG!e.C3\da?Cgdam/Y45eiGe]uV7e,n(Fd!u~>
+_>G,Lr;$BmglkZL[JBk#s8Vrnqtp?krV?3erVufhqsjRcrVZQkqY9seqZ$Hdr;-:%qY0[Wp\Oaa
+r;M+FrVZZoq!n4^r:tj~>
+_=nK=p@J.Wer<C4YOhbeqY^!bpB:<gq=O7Wp]:-_rq6*\nb3+[p\+RYq"F^[s7Z0\s7Z?a!;QQh
+s7lWf#P2t2p%S:[p@7kXq=fC~>
+_V#s`j5/PMikBOm8XJ2ohW!VMf@&1"f@JI"g=k<8h#?%.g%s@kf`Km\f_sD%f_O+tec45"fDjS'
+g&K\(f)*r.f$r-qcdC1lh-N2$g=b$&ddtrida6?k~>
+i;=#\r;6Ehr;6Ehr;6Ehn,+!upA3j?<FD0kqtp3bp\F[\s8Vrjr;QTmrVufhqsjUar;c`mqYC$f
+qZ$Hdr;-:%qY9g[q"jmbr;:nBr;6Hmq=4=_r:tj~>
+i:dZTp\=LXp\=LXp\=LXn+R4^o(:k+;-K1Wp\"4Yo*G$\qu-6\p\FO^q#C*fp%e=Op](!gpAFUZ
+pAXabp@e7\pA=Roq"a^\q"OOUolEn#pA"UUpAt*aJ,~>
+iS"+[pY#Jrpt>Z#)qj#eIQ0Z?hVR)DgY1E7e(EC'dF[(&g=k<8gA]h,g%s@kg&Kb+f_j@sf)F5"
+f)F;#f`B^Xrn%2$q:#l%dF$Clf\9Xkh:^H4d.5Zfda6?k~>
+iVX/^q>:!bq>:!bq>:!bq>U6nrVlfprqdN-s5j:\qXs[QiNmN6Ph>m1q>:!bq>:'*r:0[_qYg9r
+rH;*:qu?NfnbW@bq1&~>
+iV*ZRq=sd\q=sd\q>9pip\F[^q>U(&o`*kHs7PjPlensc?^'"9p\=LXp\;Mtrq6Bep@e7Zp]1'f
+p':A39_\8Wp%7eK!VuJ?~>
+n_*HaqpkYsr7M5)eCN7'r72A<_qsJ,e_/<fPZ1%p\_d2<!SZ6*fD4,!g>U`TfDa>%eCO?CrR))'
+f%A[1<\iC^g==UAe,n(Fd!u~>
+ir&iRo(a+#qt^'aqtp6ho`+sUrq$/N>ud0Eo'uAJq8*!mqZ_4Fqt^0bq!n4^r:tj~>
+iqNKJq"aj_s7mH)p%A%Qp@\7Ms8V-SmJi)L<0Z,,nFQJNXnVbe#'!Q7o_7tKnb3([pOE~>
+n_*Kbs4.+trRLr"r7Mq=f$_pne'ut!gX5*BakkM/E'QC-^=C`bqV;,)db40Bo$m]f"OYZGf%0iR
+##mJ5f%JO$o$d`hd*R:~>
+ir&iRo(`Cdr;?Nkrsnr*qY1#Z<)e%Gk5G5Ts7uK,r9=(`qKQNKq"sjanbW@bq1&~>
+iqNKJq"aj_s7uZh'Dq_)qZ$9ao^VaB:f);=jo##Ps7uGlp\jdiolFI7oCheFpAt*aJ,~>
+n_*Kbs4%+urRLkur7Mq=f%&='gYCW?jOrDDfAD!82-H0ci8<DOqV;,)db40Bo$m]f%ai_Qf%/O-
+fN(;me_&@&o$d`hd*R:~>
+iVW]QoD&Ibr;Q]q')h_(li6VP]4b2e]'97mnG3"Oq>%l)kkbR3F8u+7qu?3`!W;bD~>
+iV*?Iq"ag^(\db&qtg*]p#c;Bo!Mq&EOP*2qsX=Wn+la\p\a^hGAd9Mp\+LSpAt*aJ,~>
+n_*Ha!S,Ztec"+sfb`8ngY:N;f\"=,eC^6]2cuQnk24YChp_GW!8>iRn^m?]s3_%tdaH^trn.KZ
+;;KjWf%]cF!n,HBJ,~>
+iV`6C(]+(.qt^$`r;ZT!N)*`fo`+gVnbW4\p\FX$r9=(`r-a(oqu-ElnbW@bq1&~>
+iV3$?rV%-$p\=ISoC_hWo<!a==0V2oqX*eJr;$'^poX;hp':>:HMR:0pAFIT!VuJ?~>
+n_*Haqpk_urRq/'(Y@?of[n^,gud:TDD=AEfB1l7dbEX5f_O7Kg%!\beGmr,dF-Iof%Ja1>@$%:
+g=G'Me,n(Fd!u~>
+iV`3Bs7u`orVmDkH<4Eto)ItJme$PVn+6STq8*!nqZltEL\^cDq#0a[!W;bD~>
+iV3$?rV%-%p%8%WrquTNFAZ.\m/Q2<mIU>RmdgDRpoX;hp':86K(S^0oD%kM!VuJ?~>
+n_*Haqpk_urRq/'(YRHpgZ%;RhoAn\5[)\&bh(1ki7u]/jS@NWg%!\beGmr,dF-Iof%Ja/=_649
+g!eUEe,n(Fd!u~>
+iV`6C(]O:-s8VcA\8+irg$8V/s6oa_rVQNemeQ[pr94"]HAqRnrV5mZ!W;bD~>
+iV3*AqtCp%o^r%\n'84M8;#CPr9aOMp\t*eqtBFQpoX;gp',YpnauVJp@7kXq=fC~>
+in4Cbe^aWMrRq)%(Z*m$iTJh$RS>JQ^!>clkg8#@hV?r>chZ;Bg%!\beGmr"dF-Iof)F>,=DH@:
+g=+XDe,n(Fd!u~>
+iV`6C(]X@+r:J$Z7;DYtp](9^q"OISo_/(Vqt^'(r9=(_rd0e$qu?N^qZ6WjJ,~>
+iV3*AqtCp)o^VYC_0J7UoD%kUqs!bEo^qbJp\F[]poX;hp':D:N:HW>p%IqM!VuJ?~>
+iRn7`ec"+ug&0P@guR8DhU\Z7-VW:SgZmnLgXt*.e^rL/h"f[Og%!\beGmr,dF-Iof%Ja3=`;gB
+hUU3Je,n(Fd!u~>
+q>Kj]+91s1q>1*as76-gs8;lrr;QWos8)`nnG`7`idk*5Z24A(qu$9cq"X[\qYBs?r;Z^!qt^0i
+rqZBfi;3\*N;EJMq!e.]r:tj~>
+q=sLS+9(^&o_&%Ms6]U]qtKp_p\FR\qt0[XlM0uJgj;grX8;Mip\ssfp](!gq>'g=p](!lp@S+V
+q=OLWq=a4Mr:U>=L\:E9oCh_K!VuJ?~>
+q:bYtq:ZqLdG!4)gskB/f\bH:gYCK;g>:]?hVHQ:h;uXf3BWN%h?_okg"G$1g"G*,g&Kb0f[ea3
+gXc2Pq:>,ds3_%tdaH^trn.KZC=q4me(4*>!n,HBJ,~>
+q>Kj]+7B1-s8W#smf*7cq=j[[q#0dUqu$Koq#BoK?uDh>q"jpgqZ-Hjq"OU:r!*&noCVnWqYC'J
+qZm%INVi\Qq>Bd[!W;bD~>
+q=sLS+6i[trr2Zhl1t2Oo^_VGoD%_Ap@e=Zo(q^4>%jQ&o(r%]p\=O^p\4I8pBL?_mdKiCp%e@X
+p?hVQp'189M"^W=o^MSUq=fC~>
+q:bYtq:Zq7hV7#Jg>:'.g=b!*e^i:*d*gV&hr3;MeosM[LYphbh?Mclgtpi>g&9RKf`g$Yd*^Iu
+pt,>mo$m]f%ai_Qf%/O-g08@Gg=k'.o$d`hd*R:~>
+q>Kj]s8N2qqYKscrtbM-qu-Hks8Vrps8;K_r0q)(Nog'6q"jmiqtg*dp]($aq:Y]Gq??Q[mIU/N
+q>B1J"al:*r;??ZqZ6WjJ,~>
+q=sLS+8u',p%@nPr;--ZpA"CWqZ$6`s7YjMp6AfeLu7dso)A=ep\+@Tp\4I]p]($aq:YNBo`ajL
+kjJ*:q=j^YmJ$PP#'Yjqp\4:Qnb3([pOE~>
+q:bYtq:ZqKh::01e_T-<f[e^/g"Y?Df\YcGe(NT-6q)(8g>:K]g]lKfg>(E7f)=/!f(mqNg&KY-
+d`]e[f%BfMq:>,ds3_%tdaH^trn.KZC=q4me(4*>!n,HBJ,~>
+kklLrs7Z0dp\aj]qu?]pr;Z<es7?-fZU7W=k5,,Xn,N7^#lFJmp\+=Tp\=R[g&)*MqY9RIo(i7[
+r8IMXqKe%oqYKs^nbW@bq1&~>
+kk?1is7,XZo(VeIpAP!cp\O7Sr9a1RXZ]@%i:R'Hl212OpAk!fp]'sepAk!aq:YKIoC__@kjA$;
+q=j^YmJ$SQ#PE4noC_eIo^VYVq=fC~>
+n_*]k,Ltl)eE#06f$r@0i7co@cema2gYe>C2IFP\kMabGgtLK8gA]b1f%&=#eCE+#q:F<Q#M%GV
+c-"A`gA0@rf(.>jdLFUPdam"&g"9D?f%8O%n^IWgd*R:~>
+l22Y'q>L?nqXj[_r;Zfqq"amgoDJKqBNAuks7Q9\s8VN`r!<2rp\4CTp\4IYq:YZNq#10co_87]
+q>B1J#():(qtp0bnbW@bq1&~>
+nFueQ+8YU'r;6-Sp@\+RqY'IMpAO@NoWV^uA]"?5p$MbYl2(,Sq#:$fpAajeq"aa=pBU<bq"!nE
+pA"IXq=a4Mr:U><L@k35oC_YJ!VuJ?~>
+n_!orqV3@Sg"kZHg=4g.f\>69e^iI7dbEKD8N0DEj4E&7jQ=\?g"G!1rmqD+e^`1!e^`7Hf@eg^
+e_8a,dF?h&q:GGno$m]f"OYZGf%0iR#$GZlf\"['o$d`hd*R:~>
+q>9^[%/'Y6Oc[0SnGWCdqYU6k%f+J'8S5[6p](*inE]KAqYUElqY:$`s7lEcg&)'Nrr;onrVlTi
+iVNlZIZF@*rqlZaqZ6WjJ,~>
+q=aXYq=Yp!rO7]B[/'%]q"OCPq>L9ko#Z5E?FBFqr:L$Sk32jCp\spgp\=^]s7lEcg%P^Dq>0jZ
+q"a^Zq=a4MrUpKlH&;:kq=aURpAt*aJ,~>
+q:PMrq:m+Cj.11/RbuEEgY162h;R>RfWS^58"SPijP&bCaiiYrrR_&!s47/!s47"tg"?V^gYCK7
+g=t<VfD4"geGmr,dF-Iof%Ja3>\r-KgXb$Je,n(Fd!u~>
+q>9^[+8CY(Q^ViXs82ipq#:<nnEc0-@]o8$qu?*ao_SUZq>1$hqZ-Hjq"OU;r!33"rqlWns82Wi
+iVNlYI?".&rVHH^qZ6WjJ,~>
+q=aXYq=Yp$Jma_*Boi;dq=a@Qs8)!ALI,1Al2L;OkkslAs6fOYp\X^cq>L*_q:YKIq"aaZp\Xg\
+q=j^YmJ$SQ#5EG!pA"FUnFltZpOE~>
+q:PMrq:mFOBL[2l:NbaNgtC33jP\A-D(@u7dc]EEcJm@+jO)Q3f@SR'e'lk!fDX:pf@eg^g=tB7
+g"kH9q:GGno$m]f%ai_Qf%/O-gKSIHg=k*/o$d`hd*R:~>
+q>9^[+.m#moD@p0anu,<q#16U_/3\@fDPOArqufmp]'OYq=sjrq>9s`q>:$cq>:!bq>L3Fr;Za"
+qtU'gs8)QhiVNlUHA_LpqY0gXqZQcmqu$8?~>
+q=aUXqXu"u>L)U,k'k2>qtT^TqV\qr>D1>poC;PJr:TXYjo=uKpBUNhq"OOXq"aa\g%YOB'__.l
+qtg![q"ORXq"ORWp\+@Tp\*tJrUpKgFbTGZp$hVKp&Xp]r:^6fpOE~>
+q:PMr!8@;)+au_adbN&ZW7^"_e_K*&TM@ml\D>rohq[,Ae_eI,f%JaRf*C$_g"=s1g"Q8Tr7^u"
+rn?nqq:GZ",hCGqgY130e^r@'e^r@&eCN.#eCN.!daZ^pdaZ^pdaZ^pda\9Es3qD,f\+s0=D6:<
+f@0KF!S#^!e,n(Fd!u~>
+q>:!c=9&*rq#:3jTk(8(r;Z2[TE"Q`s8BT^;Ma<3s82irqY^6eq>'mar;6NSs8MZhs8Drsrr2fl
+q>^?gqYpKjo_eOUo)Jabp]'a_r;$B`rr<#tr;-3^pA=^dqZQ`kqu-Nns8Mg&qu6WprVHBfr;?Hg
+qYC"&rVZKcqu?Zhs8Dfhq>0p^qtTmZr;HX*F-un!qu?<ah6PK+s4mYPq?6TiqY^/>~>
+q=aXY0_t;:nb;_MR9?6Tnb(n-PP+25o^]827t&tfo^M\Lo(VkNo^qhMp\+XCrV5gTqY1!c,P_$+
+p%nFTpA"LVnFu\FmecqSoDS"Tp[\+Fp\Xg_p\".Jnb`"Zp&t!Zp%S7\q>Tsop%\@Xp[n+Np@e1O
+o_J/-q=sXSp\jsZr;$'Yp%J(Nq"=7Np\XjaphZ)cm.C>Fo%'kbpA3D<r:^?hp\4LXJ,~>
+q:PMr=5DHdfA53=JjYIPgZ$G0IG`N2hV=T/0knMii8!GQgY1<3f%/I+g=bQ)j5/;Ai8*;Khqm/C
+g>Lc?gYUiAfAYZ<e_o?:f&+a5g=G-.h;6uCg=Y!+eGIl&g"=^!dF6VEec*l;dF?^re'QIjdaZ[m
+d*pCkdF6LldF?Ukc-k4obh(=kcMl00cdgIle(NR6h:thNgXFm=e(2*kYM%aBh:U<2rRM&"d*R:~>
+q>:!c$2XT"q#C?:Ebk%?rrJj^rr3GgPZWt/s8Vfgs8Mcms8Drsr@ImDl`JS%qu??dp[e"Mq"OI]
+r;6Bfp$1N9maKA:n+QeZs694Ks8Dcfq"ajds8Vp!qu$BhqYL0j"9&)kpAY!kr;6Kinc&snq"=@U
+qYU0_p\Xsi"9//orVlg0qtKd[G/s.Qs7*(0Is-$?NK<N+qYg0ir:tj~>
+q=aXY+S5:&nbi-sB40]soD&'DN;EJOfniFUh"LF,mecVBr:p6ds7ekRp#W*pkOn`@p$qG:nFH,<
+q=aLSo^Ckrqs;_Pg["G-p]'=DmJlkLnalDIqY^?mp%A%Qp\+:Qr;?Hfp[n%Grq?Hep&=R`qYU*`
+qBu%0nac>Gp\44Lp\XshqY'^\rVcTdo'l6h^$#Fqk+6C6DfA^3MWt*6rV-EhpOE~>
+q:PMr+P5<)fAbVd;+f$si8s$MH04>U`H=1ZaPu11g?7AGjkKdf9\\:Ug=sf3ZdI[lg"k?3e_&U/
+fAYTBh;$W+`oksbYenc;hV$l.e'mF8g=Op-g>1ZFin2o:g=k64f@nm1e^`$nbgk1mdaQRkdb+HK
+pt-tDcd'e_dF?UicICG"g"4^)g"tT@f[\I&;l%_$k0So^?<(#fD/IMqf`'G'eBlQm~>
+q>:!c/,0)Ap&G#N:8.^]s8;bHIe`K>BO%\/s8DuorVuomr;$-`qYU0dqY0[0mJd+hr;Z`gp&"ag
+!W)]lruC^us7"[il1XoMn,31^rUbEOs8W)sqt^$]q"agcquuuip%\F_qu7$%q=sjdq>'g[p\=LY
+#64]%s8Vlhrr4#7p%A%Qq"ad_q"OO[rqq#Eo_J$0?)6Z`j)J%ds8Dfmp]:<gJ,~>
+q=aXY>4VO_mf3$67$dc8p[@NnEUDqe>u@?XrUTULo)&+Io^_VGp%J+Pp$qLnkPG)TpAamUn+HPS
+q=O@Urr;i`kPO\udH0rkq!.VLp@din\GQ-tp\".Knac;Er:Ulmmd]rCq"jj^q>'aTnauSHo'u5=
+nb;T%rV?9fqt'FUs8)BWnF?)@p@n:Qo()JKol6elmcJalS`':uCep;qrV-9c!VuJ?~>
+q:PMr,LtW'dcK;".tHd5jP8L"?J3ek8Ni*]l/(@QhWNkNh::!(ec",Uf@@1QioB7\kMOnCh;[JR
+gtgrOki14AkLmV[bh(J$bh:e)gso](iS`SKgY(62f\,$Xg_SSjdFHk&gYUcAgtgZ7eC`L*e^W's
+eG%K@hqQrDhUU34inW/6e'ljtf@\d.e^`F2gK0Eaf[+(iK>ucb:GR.TrRh,#!n>TDJ,~>
+nbcbks7c3dqI`sts7?9jr-itlZ!UjEB38MIBP:d\BQSWXKn4]!G^"=eT:Ds\Q'e)Z]X+`AX/W"u
+Yd_?`^UUPg_RI"oa1]+.^!+=3`F$%Fo_/%Tqu$Eiqtg-bqu-NmrsAZ$q=j[^rquQen,EabnG*%`
+p%87Vq#13l"o7ccq>1$gs8W'.HBS=.Zp9EHs7Z#o;:YL@qYg0ir:tj~>
+nb78$r:'.Ro3G/Nr9!qLmr<4:VGpMn>YS0r?!UH0?"nD3J:)WbF)l8PR?j\DO-5gB[]QI)V5'`]
+Wj0(H\[&?R^pUSe_n!7r\Au4p]iV?(mdTc<p%J.Qp%7kJp%S7XqYBmYoC;;=o_.qHnbE+Zq>1!c
+qYBs_pa>Cmo)JXVmeH8Ap\b!doBl5DpA"L]q=s]*L]6tG2156"n*@>Sd.I;2rV-EhpOE~>
+nC`!BeC*F26oN6Ne*5iH?<Z9M5X7P)3C#f#8O5U5<F'-C>Zk-.<E*X]IZ95/I"%o`Q&grbMi!IW
+R@p@LRZskPSt)^WS=6CFWhH;e6C??Rf%8U0gtg`>g=b37h;72Pio&\Kg=Y*7hqcu>iTK+Ui8NYQ
+hr"7d-e$MtkN(7Gi7H]?jQ5CUe(E=+gYL`DhVD=SkhhRGB&Db$d?cMmfDXA$ecO@Jd!u~>
+nGIJ/pAFs\>&O?>s7cQVCmY1bMG.3rs8VcB^UgY@QBd#JF)#2k?!LTD>[M/M@V&tXARo7ZAS>dm
+D/aH2BObai?WplF>@:cD9P7s0;H[jRCMINqAn>aj@U32C?X[,EAoW0OMiWULN/NONP*iVb\\,Sc
+[^>k<-cim(ZF%3mn`A96Z+8?Rs7>dPqu?Zai36^is8Qh<iUm0Bs5f"8s8Dfmp]:<gJ,~>
+nFq,%nb<"I;eP^tp$DY2?]+[7ImHlFp%msr['-<iMiN+,DIm-W=BAL.<`rm5>[L]@?X?uB?XdMU
+B520o@UEYX?!(B:='Sm27U]Ui8l956ARo7Y?sdJR>ZXp+=^+j,?YX\3KSY,0KnP&2Mik0HZaR<K
+Ycdf*-c*-hX0&_QlJBdoWj9k6s6o@Dp\jmOg8J5Hp%Vljf'N>%qr!&)s8D]jp]:3bJ,~>
+n_&-?gsk':c8eVTj58GQa%U^;`b?q`WScdd[%<\HI<BX<=AVLR4?GSc6TdS*5=A"/6UaC06:FF:
+8ki,Y9h7`K:I[Q85WV+l4=ium.lBFb:JFMT8Ou?G8OPd+5!_P"6qgZjCN4K5DfTi9EHlr"R%'\=
+S!]N<QR\E+TU2%7TXrau\tbUa\_$)qda[(4hU03&7#Bm`90C)AimHZ$ADlM#f_sA'eC)^jJ,~>
+q>L-erqcZp'(9@MqZ$Ths.;s2p](-:KlX$YqYpQ_rr3]1qYL-hr;?E]s7lHgs8W&dgs!aUrlR@F
+aN)<=`llH@a2Gg9^u!Z1q1`4_`PT9pXJDGWP`LTMI!^9kI=6KhGBIqG>$P?<>$G<B?=@AVAn5=V
+q-P=F=ClJlBP)*pARf4]B4tsm>Z"I/B4>"I=N^EK8;$sBp@eLc!WD$VqYg0ir:tj~>
+q=sd[rq/,JrTIO$n+cYCrK9@`m.p.hH=r]-r:TdXo_S=Es8Vujp%A(Tp@e.EqXX:PqYU$Of#GJ=
+rkpq:_SO%'_TBg7_n`t)]@kQpnU=N?^V%"XVOj0?Ner=5G'/"SG'8"LE,KH+;cQju;cHh&=Bf*>
+?s[&>q,o(>;-n!P@:*VT?<g`A?t!JT=A;Ur@9c`/:quD"4a?Z"n*g5Qr:o+Hp\jjfq=fC~>
+q:bYtrn&IUiQOYbg#Cu@l@1=hf&PJeA5S$*k25+UhW3Y>jPeqJf\"pWg^VubinE2Ei8NM<]W@s*
+ri0k8W2HMhWN`M%W2$#aT"MMWg1`pBWMH,ONeW(4G&_5*?<poJ@q9(X?<gW85sn%-5se"26:4:7
+8k)676U=(*6U=(,3^6;?=AMXj:J=AQ9MSAY9Kb-g5t==)4#s@pR42b,kge/@hr!/&f\$/R"4YcG
+d!u~>
+q>L-e2uEIMs8M_DA+Ta#qqQ=Qs8VTes72b%DpdqOqrmnVrq#dTp\Ojgs7cKlqZ$9_qXjR]s8Mus
+s8;lqrt"c!qu$KmpA+.Ns82i(=oS-p%/]kqq"ad_qtp6cq"OaerVlfns8;lnq=uE&h9*@=_Umqu
+bf.?.\$N?LW0`dEZFIH/BCPqJ=0hi*qZ$?Qs8)coqYg0ir:tj~>
+q=sd[2u*.Bqt]c/>jVFanBl!%pA=(Hs6>nbB?B66oAK3>p[7M>o(DeTr:9X_o`+FMo^;;Eq=s^[
+r;?=&q>C6]q>'pfq==7Do)&+[X\nfjqYg3os8MieoCDJOoDeFfoCDG@q>'g\rV-<as7ZHbq=>un
+f#+l!]?oHY`P/jgYcOn4Um$q3XKo0j?fh0(9W.L\oDe@>s7QEjp\jjfq=fC~>
+q:bVs2V?a>gsf[rdc9?@]2WS(jjDrKdsk:mZH_RfakQ%8dF-Lof\>9?e_B6?jjr#:eC`U7hVI)K
+r8&(DioAYKi8<VNe^r$qiS3R`53)V&rSnRVki:RVgt^`Di8NYQhqm2Ok2k_'j>YoLh;$lAh:p];
+gY(?7gY:&lYb@Vd^!+!lX/2J[R?a7uG]ne*R[\Ime*11"Q/CWRjOM0.fAlh\rmV"td*R:~>
+q>L-e+TME<p%SKY>0-I8fQDK>qYU<mmJm4AOC!C[s8Vfjs8Dlq.K0/?pAaR\rr<#sr;6Eiqtg-c
+qtg-_p\=Rarq5gYqtL$gpA"[Qs5EeLqu?HnqY^9jr>5>-qu$BhqYL-equ$Ekqt^9jqYBs`rVu]k
+-i3lCqYC*irVl]hp\FacrVlT`pAY*kq#=OtpjH6!q#Bj`p](!`p\jsep]:<gJ,~>
+q=sd[:]:.anFHLE;o.tmc"_.gn+6AQjo>;/LfS];s8;<Wq"OX_rVcTfp@[tOkl:GRqY0^Vp@e1O
+oC_eKoC;AAp&"[ZnFu\Lq>^!Us5Nn-nG2bWo)eRXpAXe&o_%nNp@\(Mp@\+Pp\4@PqY9aUo_&"U
+q=c9/q>'[Sp\FRYp%%YEp@n=Xo^DAGr:oj];Z6!'9[W8&l1jcJo(;MOp\jjfq=fC~>
+q:bYt:>XaYdad6&2lG6\[o?Jdg"bTKcKOE(EBdg4kiLFPhVI#Fi8EGGg"=g3cK3p?i8*2Cgt^Z<
+g"Y98g"4j.g>_/FeCrX,g>pc9kfr;2ptu,-!oDknro$B(hr!AMhqm5Jhr!ANiSWDGg=Y!.fA#*7
+g"P-5g"P08j5]"PiT&nVhqZuBi8NSNg!nX3jP\bU4mUj13ksA)c.ph/eCN.Kf)=)"da6?k~>
+nb`suo)AUWs6>GKN/M;"gAh'KqYUlED-1r<oDeF[r;-6drVcZnrVufpqssXcqtg<erV@'#p](*^
+s7QEfs7Z6fp\Fjbr;$6aqYp9lqYU0cqXOI]qYg:%rD;/HMHK]SqZ$Jhq=sserVHKf!W;bD~>
+nb3Ron,)tKs5eo:KnNfXd/NP1p(+uP;K(7Us6]ORo^hbMq"Od_s7cNdnb3%WrqHHds7[&ro(hqE
+q<[tLs7#UXnal\SpA+IZpAajsq"FIUq"X[Zq"ORXq"OOMpAFRm8BppZ:%%ZFs7MrToD/=YrqQNh
+!;D!~>
+n_"H3d+mC$j2bjrBkg(D\*2QAg^g;W3*!`Bk0r,@g=b6:gY2Y]s4[J*n_3rrs4RG)&(f@hgt1]C
+l.tRUg?%#BjS@X4h"ob$fb)lddaQUmdacgrdaZ^pdaZe!nCdcps4n:D0tH@\3S`QEj4Jn5e_/R*
+f)F2!dK7hCd!u~>
+nb`pro)Ja^s8UieQ\DBus8Vulr"&YfM,$a:eGoRHpAY*lq=O[bs8;lno)&OcqYp9gq@E#orUg-g
+s/G5^p\=daqZ$Bhq>:!a!;l]js82Wgnb`:]rVI-#<O2%`@b^qXnr.hls6od^qYg0ir:tj~>
+nb3Rjn,<:Vs8UZYOFEnVqYKgZp(-fTK1JJ"cMmk;nG*%]o^DeSs7cNdnb3%WrqHHds7[&gs7bs]
+o_G0>qsj7ToCVkSpA+LZpAk$eq#C0cp]1'Zp&OjdpAOXpn4fh@P#p$0n`tmKq#BXOrV-<ds7lZh
+J,~>
+n_"E,d,*a0ioIY=FC^0BiT0dh&),*=/hDLZjQ>7KhWEhLdf/#$gA]dqgA]k+g&K\AbiI[6m,RAl
+bi.7-jOr>GhV?uChV?uCg%s=see-E[cdC(dcdL1fcdC(dcdC.io%!fnrn7;*&`)+uOjAJD]]dnk
+BN3^Fb1,#AeGdktdEp6j~>
+nb`pto_SU^q>^Klq"t*kq"k$dr"8u"kNlkH>d<bts829Ys8W&rrVZ]mo)&OcqYp9gq@EW!nG<1b
+OCHZ7qY:*fqtg-dq>:!ar;-Qlqtp3cnb`:]rVI-*:4`H7I$O'ui.JK+q#:9kqYg0ir:tj~>
+nb3Rmo_SU[pAb0doCVqUnal\Sp(@;jiT=T0<ibKas7PXGqYL!^rV-?cnb3%Wrq?Edrq@9/nETZE
+reFY#p%7kQp@\+Pp\+@Tp\+@VqYBs^"8VfhqYp9rqY9m]q=sd\q!IhTp(6os7sFsoEJi`MfmL!f
+oD/4]p\jmeq#L/>~>
+n_"H.db*C+fAbiDf%Am;f@f0Zg_]&"a37'r4H\%RkhXS9i8EAEg=k65f\#`Jr7V)%(u`rlhWjKQ
+8@7%'f&><:f\G39g>(E;g"#rJqU,u'd*C"`d*9q_ccse\ccse^dIYceeCOWOrn.k;jXjg&cWbM7
+gq7!Waj\qrrm^np!n#BAJ,~>
+o)''rs7u6[rqH$[pAb0ioDejcq>:6err3AuU1.Ss^@2+%qtKpVr;-<jqYp9gq@EVts8DVsWGBNL
+rqQKirV?9en,!"[p\OFWrVHKi&,gR's809UJ9m<Rs82]nrVcTkp]:<gJ,~>
+o(N^js7u6[qt0COnc/X]m.gMKq=Y?hs8Vo_S6T<[\EX%mp$qYDp\=IYpCI;ks7bl[T45V.q=FFU
+q"4CVn+ckWp\=.Mr:U\<HhHp2F`qh_T)/0Ss7l?_r:p<f!;D!~>
+n_"H1f?i('e^<!ujQ+tAhW!/_g^i$!k24[?6:,mhdHKZGf@g/Wr7Uo"p"B;r(uj$.iS0ic;5Vq"
+e_Jg3f%Sg2g"P-5f@'6;s3LYjpWrEX"OblPf[g&S'%tu8@bfV#?X6]KJ_eo.i7QQ/r6bYod*R:~>
+o)'*sqYTpXs8Vffq=F(Hr;Zfrr;-:$s6fpSs8Vb]>%s_us7Pm]nbi7\s8)`irV@&op\t3&kh0:^
+r;ZQhqYp?equHTap]C-^q#:*ap]10\qu-BiqZ?)"I/a-PpYXg'q>1!fnc/RarV-Ekq1&~>
+o(N[ip\XUUs8V]`o^;#4p%nO[pCI;hs69L\nX!3bSEKq@lM^8IqXssapA4LolgacMYM[Z+_"[cu
+p@\7Sq=jFS!quBarqcEc!;PsUrUpocATIJDs6\@fo^h_Kq<e4Vp\=O]q#L/>~>
+n_"H(g!\@,h:1$,d*9tkhVd5cg(EAiilp?=e9jAQK[8l6d,Wj6rn7;&q:YSrs4R;%(XCXjlCQA?
+7&JSme(E4*e_/R-f@ed/fC@8jcHjo;deD/Zdf7etf$s]M'\LGs=5)`re@N3?e'ut%b21XtdaJ*A
+s3Q8~>
+o)&aio`+paq"jpcrr`#ks8;`j&ao\tq>^?]s4EK6@^,V,r;6Bir;Z`kr;-6jq>1*crV@')rqi8'
+laCBIrVu]kq#10fquQ]jqY0g\"nD3Wp\FXZq!n7[qYg:%s($6Op\".Xo)&Idqu?HVrVHKf!W;bD~>
+o(N^jnc/U^q"jgbqYU<mq=*tNq=bBarV?-dp[%q.N)!WXnc/U^rV-?eq=jaYs7Z<`&-)FtQFZ"V
+>fHL:o_7tPq"j^cq"FRYq=k-`oC_kRq=j[Mp]'q#s'9F=md034m.LDRpAadIp\4IXr:p?eJ,~>
+n_"H"h;$N2f\53;h;[JNeC`[Sg(2Hdgt:]AcfVf^2FN_]k1opgs4@;'q:YSqs4R;%&*2U'K;d7l
+9;pM!eCW1%f_X2"ebR\ie-4+CdF6XriRInY'Au,Ni6flrg<A++f[f$/_pm2adf.Vqcd:$h~>
+o)'*sq>1'ep%8(Yo(M_Hqu?]cr;-<jrsef$kPtSNs8']U:OL@crql`nrr)ZjqYC6gqYp9gq@Dlk
+Nd?\:E,s5#s8;olr;QQj!W2]hp\FRfmI0Z?q"a[Znb`:]rVI,tGDuLis8W&toD/FIp&FpfqYg0i
+r:tj~>
+o(N^jpA4abp%7tSn+6#8pAb$Uq=bF"r:TgErVc'\oY567G/a=WpAamdq"a[\o`4^]pCHB^Li\5p
+Anf?\qtU'\q"jg]!;?9`q=k-[mdg&Fq"OOQpAOdbpCH\3KCn@)rq-6XoDIP:s7cKer:p?eJ,~>
+n_"H'f%J[(db!7#eC)^sjPS8Yg(`T)f\4@'i6^TBWE1f\X5M[af\+mUf_O4rfDXA%f)OA5aP_#F
+F)"l\X45ePf[87$n^[Hd"jPBBf%A[Mf^[Pidf7f-bY_p$aPGh*i6Ba+^!>NbrR1\m!mf6?J,~>
+nb`sun+H_\rr)Zkr;ZfopA=mfqYLfqqu-Knr;-Hhr;Z,V=Bpgaqu?Tnr;ccoqu6Njq?-WkqY9sa
+&-'/UkPt4^C!?AMrr;cjrqZI6q=j^Zq=j^ZqY9p^qY9p^mHsN<q=sg]qY9p^qY9p`nb`:]rVI-*
+DL)-ZrV$6hs5F"Xo_/:^q?6TiqY^/>~>
+nb3Rln+-MYqtg$_q>1!^naueUpD!,kq>'s`pA=ITr8sGG<eg;@p@n=\p]1'eq#:$bo`Xp[p\4C[
+pCR&uZFf)jm&OR8oCr+\o_84Xp_<Grp@n:Tp@n=Vp\=LXp\3t>nFZGJp[RtUq#C*gp(-t4F7oA'
+mJ-GUg].<Co(r:Z"Sqifq=fC~>
+n_"H-bL,5)g=t66g>1W=eC`^Tg(`#igt^fAg"tK?jN`?<4D`d*g"P-YgA0FtfDjJ'g&9P7g#SNq
+bN7KK:9)dpfA=p)fD!f.f@AL'f@AO)f[e^+f\"BldFHkAfI#2%f%AR+f%AR+f%AR+f$_sodaZdt
+f%ESme_8X#f[o)oiSVo+fDO&"dF-Fhd!u~>
+rql`nrr)Wh!rDfjmJH_W)?9X2s8V,E9jY-ts8Vogs7c3ds7?0gq"sser#,M3qt^9cpAb'j[]oE!
+s88+(nG2tTq>^Kjq"l'-qtg3dqtg6eqt^*bqtomSq>:-grr2fkqtg3dkPGMXEd[T\q>:0`qZQcm
+qu$8?~>
+rq?BdrqQ9^!r)E_mIpAM)>Wssq>B$-796GTrVQ-Qqt'I[s76!cp%J+VobmJrr:0=Up\M+omdg8K
+Nc47Up@7eQr:K^Vq=b$cp\+@TrqHHd&bYnlq!7GAq"X[\qtBdXp\+@\p'pcip\+@Tp\+@Tp\+@T
+r:g0`#OuYTnbMkNqXjLbq"OOYpOE~>
+rn.8(rn@/"!7pJgqUl_>h:pW?ikfjk5EjX[jP&5Ef%&d>e(Wj5q:HS<f](E1i7d+TOOW"EhKW,I
+f%AC$gt^E1f(mf1f$r:#f$r=$f$i1!f%8*keCW@*g"Q5P*n8cjf$r:#f$r:#f$r:#daHXpf%/L+
+dna,og!\@$o[F#leC)^jJ,~>
+rql`nrr(gQq>C9i)>X:3s4al,96\t]r;ZZon`o]As8Vrmqu$BkrYYS5oD/@boWERdY5eOojbR!f
+nc/Xcq"jjWq[`W%qtg0dqu$!WqY^<irVkdQ#PrIjq>U3dr:0Xbr:tj~>
+rq?BdrqPIGq=jp](\7>#qU;Kd6Z:9=o_nI_o'>oCs8ViepA=M#r9a+Ms6ch/EiB$9mb`Uncg:]3
+p%.kLp@e+P&,>nnp@e7Tq!IVFq"a^\qW7JMp':8-HM%%+pA"1P!VuJ?~>
+rn.8(rn?>`q:Yc"'A_g/]TcYP>.NAEkhY=JbL>2'i:tq=hp^97jj];q=H;P'eAZ)[ZHqRjfDa>#
+f(7B%e^W*te'umtb0JJdf%&@'l.#a]s4%)$s4IY0:gDN'da?P7e,n(Fd!u~>
+rql`nrr(gQq"t3nrVQTo&GZ7EAm)M3o_RtTs7l6\p@\C]rVQ]mo`"k'mBV\8WTX<J[YKmLeFWP0
+pAP$]q[`W%qtg0dqu$'Zqu-Hir;>ON#5rLnqu$?enG<7aq1&~>
+rq?BdrqPIGq=b]uq"F@Us8;E\^0X[<lKn0-s8Vi_oCMPLpAae&n+uqZkcKW$UuMF;Z%@h8cgLJq
+nbE%Up@J"hq"OOVp@n=Vn+-5Kq"ORYjnJ`I#5Dt_p@n=SnFltZpOE~>
+rn.8(rn?>`pt6M>g=Y<Fin*(c8N`?ifA+[4jOr#5eC3(&r7:o#(t.6shoh*rEehWnb*6IROg<?c
+daQk(f%0HB&(T1Ze'lgre]c@hf%&:#e`kT`df7hsf`0V0gJ2/-f@80qo$d`hd*R:~>
+rql`nrr(gQq#(0l'`7Y$rr)lha*:LBj8]/RlM:JWnGi=](]!k+qtBjVqXORbs8;K]oBc,GqYU9i
+p[S+jr;6BfqYU0fp%\F_r;6?KqZd"5L&:]Eq=+7^r:tj~>
+rq?BdrqPIGq=b]uqYTpSoCqtRm([L3L>2\,oB,`Gp[%qUp)3Mos7Z!TmIfiAs8Vi]nF#K.p%A%S
+p[\%OoCiaip\4CTp\4IQo_81Vp\*\BrUpHjA:XCGq=X7O!VuJ?~>
+rn.8(rn?>`pt6M@hq6N5h;$u>W`q?#`oZ=5bLkn0cf<[1qUQM6in2c3d+?Uuio8\=e'Z=df@S[0
+f@&7$o@+9#eC;sreC<$odF?ateC3X2s3gqss4IA)#MVaXf$r9tddklhda6?k~>
+rql`nrr(gQq>:Elrr;rmqYp@#q#C/c>[`9>s8VT^rqH6us7lNdqu?ZqrVuKbrVHKm"oJ)ls8;T\
+q[EE"qtg0dqu$-^r;HQmqVh;UqHemQp&FmXqZ6WjJ,~>
+rq?BdrqPIGq=b$aq>9sZrUgZks7;g_>CG&tr9EeIp%A.T)?07%o(N+Zs7lKZo_A+ZqZ$QgoCi(U
+nb2\JpC-ikp\+=Tp\=:Nq"a^ap>u&Ip'11mJG/L1p@.eWq=fC~>
+rn.8(rn?>`q:QM7gtpf;f\>0:g?@:I5Xf>!hrN/8h#5n*f)F/;f&"m/db*I3i7cr4eCrI4guRGH
+e_&^0dFQn?e-smWeC2mreCDjle^i:Me*5B^df7hsf`0V0fK<Wod+Qgpo$d`hd*R:~>
+rql`nrr(gQq>;'.rVZQirVlfgs76$dgO<=)Z1e%hs8D?aqY^+)s7Q?er;Q3Xs7#IVs6]CWn+-,D
+pA+XcnbWjpqtp6dqtp<aq"t$fqtg0JqZlt!LAUQAqYKaZ!W;bD~>
+rq?BdrqPIGq=b$fq"OLUrqI#lqs<tTeTb%dWUB?HqtK=Rp\ae(r:'LSp\F.DqWmDGs6/kMlL"'0
+nauSOp@e+P&,>nnp@e7Tq!n"Nq=s^Xp>u&Ip':7gJbJL1p@e%N!VuJ?~>
+rn.8(rn?>`q:Q_BgY1?6gYUf<j4)lL^LBAbP1SIAiSD]0f[eXPe/@#ff[\U,bKnncal24"c/6al
+dF-Lpf@ea+o@+<$eC;sreC<$odF?ateC2n2eGmtseGn2$fa$.eA(JoZdF%O7!n,HBJ,~>
+rql`nrr(gQq>:?prqcKiq[rf's757Nnss5YC!-JUqZ$EgrqQNf&GZ(os8Mfgo`+F\s7,OWrUTpe
+"9&#gq!n4ir;6BfqYU0fo_87]r8.;UrDeaSnGi=[nbW@bq1&~>
+rq?BdrqPIGq=b!hq=XFZp(@&kr9W;=m$Cm:?GcX:o`+[[rqQNh)Yj$rrqc9ZnGhkQs6]+Kq<e(X
+s8MfbnalJJqtKp[%/9Jhp%A%Pp[IeKq=rtDrUpKk:ke`2s7Q'TpAt*aJ,~>
+rn.8(rn?>`q:Pl,gXk'Ufb<2qjOD32e:C%88uq(3g>^c;f%0fL):Qmcf?r!jh9"@,b/`/cc/%=;
+i7c`/e(3+IeG7Z(f@JO'e^i='c-Xtke`PB]df7hsf`0V0gG<KqbM:Iko$d`hd*R:~>
+rql`nrr(gQq"tm'qu-Qnr;?Nkq#CBin,M4&:g&h1s8Mlpq#:")q#C'fr;6Eas8V`fq>C9brquN`
+q>L<hq!n4lr;6BfqYU0foCr.\r;6BhiVNl[<K@+Ks7uH[qZ6WjJ,~>
+rq?BdrqPIGq"FpapA"LZrqA,?o)/OZl29(_78AT`q=OCTp\=OZq=spZqtTp\nGE7Tp@\4XnG2hL
+nFZMOp%.nNqtKp[&,5ekp%A%Pp[@_Jq=s^YpuV8Kp':LlM>QW=p%7eK!VuJ?~>
+rn.8(rn?>`pt6V<f\509g=kB<g>qJPdH&)]0fj6_hqHc9f[eXQe/?udf[\L%c.Ljse'ce!c.Ue#
+dam.,e^N+#qpbGm&(fC`e^`7%f?DUkf%&:"e`kT`df7hsf`0V0h_T'&bMCOko$d`hd*R:~>
+g&1[Cq>0sbs83E-eUgP2YN#6Oo_AIWm/R%^rW)l[q[EDtqtp*bs7Q3aqYU0hqW.Mdq=saXp\Ogd
+r;6?e;4dL]s8DfaqZ6WjJ,~>
+g%Y=9qtL-aqY(Qpo^p:M7Ui@Pnb;YLs7>XXqt^<fq=jUVqY(Bhp@e%NqXF.Mp%J+Yp#Pi[p%7nH
+oChtSp\+:Q9UYGIrV?0WpAt*aJ,~>
+g"GuLs4RG+rS7G0&)Z<R@kUK9_UR5ff](<%iVV4,ebR\rf%A[Sf_sCue-ssXf%/7#g<e@"e^i=N
+e`>3mda?IdcI:=tg"G$1072+#g=4O@e,n(Fd!u~>
+g&1[Cq>0sb)#XF2rr'cS;.nPYqs*nTqXF=Wqtp6frr;6[&,c5"qtBseo_%qQqYU0dqW.McqYBp[
+p\Ogdr;6?c<M]HgqYBXX!W;bD~>
+g%Y=9qtL-aqY(j#s7#XQ]P'rHeG&h(p&FpXp@e7TpA"L^qY0^WqY(Kkp@e%Nq=!hCoC_hNp%@D?
+&bbnio(2SMq"OLTo2)(Op\+:LpAt*aJ,~>
+g"GuLs4RG+rS7G0([0T1hPF((8%74-b1G\.d+-UpeC2t"g%s2"f%A[Sf_sCue.:0[f%/7#g!A$m
+e(*%#e^`a1'%>:Vc-Fegg=b03eh_m,f@/*po$d`hd*R:~>
+g&1[Cq>0sb)#X+-s82idY$s\[iW&rJo)JRarr)clr;GmW&,c8$r:g-goC;GGq>:'cqW[kWqYg9p
+qYBs]q"k!fs8*&s>-7i$p%\OVqZ6WjJ,~>
+g%Y=9o(O!pn+ukPq<Ota4c\@us7#RYp\4LYp\+@Vn+QVP%eTMio(VtJm-aE9p@e1Pl1Y2OrV$ru
+p%@qKpA"CVp@e,YW;?2Wo_S+P!VuJ?~>
+g"H2RrRUr"rS%5*(Y.I'g>C;<66^KfioAP=jOi);f[n^+f_O)!f\-5UrRUkq&(fCcg!n^0d*C"e
+f%AX,e`kQ`e,@c#e'c[icdUGCfa$+gMV?V+cdhU9!n,HBJ,~>
+g&1[Cq>0pa(]FC4qY^Bhm<2cGVXXW^mJ?_Xrr2lmq!%Ydr;$9gp\b!\o(;_Sr;6?dl2(haqtp<h
+qtg0aq>1*grqcn*YlFXqqZ$*_!W;bD~>
+g%Y=9nb3jpqY9^VqX`lj=^[ujs7PXLp@nCYq"=7IpA4Loo_8+Np\=.Cn+68Ip@\(OlLtb]p\4IX
+p\+=Qp%J1Tp\sjj=KDAooCi.QpAt*aJ,~>
+g"H2RrRUr"rS%5*+kti-g>(W>bu[)!M::\Gd+Hq&g"Y02e(E7(f%AR+f\+sVf_sCue.C<ag"Fm.
+g<\*me_&R-f@8C:e-jaTeCE+!e'lXie(+BL#!7h"f?hpto$d`hd*R:~>
+g&1[C!;cQeq=tj,o_8Ccm.(,O[r5>o^A%[-rVQKjrVZNVq[`W#rVcNhr:0OVqY^9gqY9=P!rDfk
+rqufns7u`mrVZ]m#$@l'rqlWnnbW@bq1&~>
+g%Y=9!;HEds7c?a(]X$ts8;*Js7<L0;0059s7uH`pA"FWp$_VNpCHokq"+7Sm.0c@p\4CSoChJD
+!quB_rqQNfs7QKfq#:$fp'+Hkq"a[ZqsjC]q=fC~>
+g"H2Rqptf"s4RA)+5GT.dadF9bL5P-R8Z1TUtt=ng=b-5g=k03f\+p1f_sM%f_sCue.C<ag=k*1
+g!8*tf@ej0f@/=9e,n+KeGe"ueGmo*eCE7*g=b.;L=k2/e(4*>!n,HBJ,~>
+g&1^Ds8)Teq=tTnq=O(Ps8VE]q<th-=.J@Lrr3&uqYKFQ$2jVtrqQEhnG<"\qu6HVqZQcmqu$El
+r;HNkr!3!qU%eK_qYKaZ!W;bD~>
+g%Y@:s7cHds7c?a(A%@om.p\]kOeB0Z!^=jh"LUBqtTjWme6SQ$MO5dq"aOUpZqMFrq??a!;>^P
+"SVTaq"apaq=b-c:7UnLq"FFOpAt*aJ,~>
+g"H2Rqptf"s4RA)(u3imf@%ptjQ4V@h:8,n5D7/8h;@)Df\#oNrRh)"r6u))g"+m3e_/X#f@U#S
+rmq/$lI5sceC<%"rmh%ss4%)%s4R_/0n.R&e^;e8e,n(Fd!u~>
+g&1^Ds8)Teq=tj*s8W&hmeQn_p](9OV05kGd../9q"amQq[!,qrr2`kqsX@Zp]C<hr9=(\qYU3g
+rr!#urVZTjqu6Kupf!p^r;6?enbW@bq1&~>
+g%Y@:s7cHds7c?arr3]3o'Q,Ms7,pae<t&FY0-).q==.Oq=XLUr:^Nkp[n:Wo_8(Eo_n@`p%J.R
+lLtDSp\=O_q$$Qhq"XUWrq?Zh:7_"Np\+=NpAt*aJ,~>
+g"H2R!7q/!s475&s4R>((tmWuhV?T+g?.VRk3^0J?9OUYdGj'9g"lJYs4RA'rRUnr$.de]gt^N8
+g!/.IecXRXg",H<"4PcMec+,2e^W'ueC`I.g=A!.e(<*sdIPcgda6?k~>
+g&1[C-i3W7q"jd^q"smaq>:!bq>'dZqY^?iq>L-fqYU<BInYR@q>^?js8)U8qYU-dqYU-dqYU-d
+qYU-dqu$9hs7uTin+ZPKp%J4Zros=[q>gHir;ccpqu?R!qcKfprVQKknbW@bq1&~>
+g%Y=9-hmE1q"ORXp\=OXq"ORXq"a[YqYU0ap%S(No()RsG!pbtnbD_KrquEip@\CX"o%`bp@n:X
+pC[,no_J@Up\*nCnaQ&<o_81TlM(>P!;QEd%J]\kp@n=T;ks*^p\4OSpAt*aJ,~>
+g"H2R!S5d!f)OD&g&0P@g"4^%f\G99g>CZChr3b0AM7Yug>UiDjS[a5g"ZMZrRh)"r6u>0g"5$8
+f@np&e^W'seCWF/f':cbdf@qrf)O5/e^W1&g=k4<L"Y,.eCX9@!n,HBJ,~>
+d/4@Mr;6Ehr;6Ehr;6Ehr;6Bgr;ZX:qYU/sH=NE's8McgrquHbs8V`fq"jd^q"jd^q"jd^q#:-i
+s8Vp.s82<Rp&4meqYpNmrVcZjqY^?gr:0Xpq>0sbr;6Ehr*HQ*rVcTenbW@bq1&~>
+d.\"Ep\=LXp\=LXp\=LXp\Xa_p]'pdoFUVnD,uYJp%.YDq"XCPs8;KbpB13bq"Oa^)#*_$r:TaZ
+p?Uu4q"aXVq>U-aq=s[Wq"jg]nFuqW$hsAfo^u:bq>0s^o^VYVq=fC~>
+d+JENo%F&prRq/'s4dS-&DWOU6[HZ/hq6W=gXOm6hphPUs47.urmDY5fAGK<f\P6+bgY>%g">*<
+f@JO'e'lk!q:5#bs3V;(e^rI,f\&?FgY:E4dIPcgda6?k~>
+[f$1&s8!<(rp@%0F1h;Js7cHks7>p`nb<pss8Vrls82?Up%nU^q"ajbrVcZkqY^<fr:9^rqYBp_
+qu$?hqtXR&rqlTgp[S+]r:tj~>
+[eKgqs7Hrqn_g0NB!Lb$q=44Zrp]LYqtKj[(\R\&p%A1Tm-F06p[n(Lp\+FYq"OLWq>'gVpCI&n
+q=sd[p@\(K=0)/lq"aFR!VuJ?~>
+[b:]5s47h7hTqB^<Lqh)hq-TCiR--6qq1r"rRChp&Cf=ghUpK:g!@smf\4s.f@g/S"P)#Ne^jQH
+o$e6!dF$Ckf@JX-eiSoIg"G!-o$d`hd*R:~>
+\,?4%&c2D&r;YlPCP0=ts8Vicr;ZT_p_Wc*rqZEjr:Kj`rr<#tr;6?grVZQhr;HHho(s!pq=sg`
+r;6EhnQW9uq>0p_nbW@bq1&~>
+\+fjp&bYednabD"@!K*Or;6$Pp\OR[p\4G!o_J=Tp%nFOp%S:Zqt^![p%\@Xp\+CXq=sOT&GZ"q
+q"a[Xp%7NKXSVYbq>'RT!VuJ?~>
+\(U`4&D,Rhh;?5(8n+CGio/M=g>2VXrRUqs):I$agY:<2gtC*,g"Y?=gY(60e^i:#e(*%Feah3$
+da?Ije(<1(fZlI;h:L<2fCIDmda6?k~>
+\bu:#&Gc%ts7!^S?]3&'s7uWnp\OLV)#F(+r;$6irV--_q"jpdq"=I[r;?Hgqu-?go(s!pq=sg`
+r;6EhjAiJbq>0s`nbW@bq1&~>
+\bGpn&G#8]qWP>6=+nH`qXaIWo(N"Uq"P^#o_8+PpA4RTo^h\Ip\4:Ko_8.Up\+@Wq=sOT&GZ"q
+q"a[Xp%7'8XS__cqYB[U!VuJ?~>
+\_6i3&_Yggh;cnSA3an.gYgc@hppEXf_sD"e/?]aeCiO+f\G31f%&=&g"Fp&eC<%!eC2puq:5&c
+&CStRdaQh!g"=+rO5AL@f[o]D!n,HBJ,~>
+\bu:#s8NQ!lMghAU.B!rjT#/Us7#jtqtg-crr)Zmr;-<js8Moiq>C0iqtU*[q[iW"q"jmcqu$?F
+;6g/tqtg$VqZ6WjJ,~>
+\bGpn&,uImjS8c/S3^VVh"UI5s8DZapCm5np%7tRq"4IXp%J7[q=aCPq"Xj_q"XFS&GZ"qq"a[X
+p%6^*XS_beqY'IR!VuJ?~>
+\_6f2s5=F8b229rJgX*F`SfS.jo*m2f`0P"e.^Bbf@JU/g=G*5f@\m8gXag$e^aZKpsnrb&(8kQ
+daQh!g"<bdO5AOBf^[Gmda6?k~>
+\buL(rVQWm!VZ-arsSDhs58Yu?+Kn5p&"=V(B"(+qY^<iqY^*Zo(DeQp\+CZrVZQiq#'^[&Gl4t
+qYU3fr;58JZN'auqXj=T!W;bD~>
+\bH-srV$9c&G,Jjs8VHQrRl]]<O)2pmIgJPo_0*op%A(Sp\":Omd9N8oCDJEp\FUYp\=OSpCR,o
+q=sd[p@\(.9We3cq>0aRpAt*aJ,~>
+\_7#7rRh/'&Cf1djQ"\;j1f1M5+:<jf%^2WrRh,#r6uM6f[na.g=b*2eBlOie^`*odF?ateC=9D
+o$e6!dF$Ckf@JX-\M0-%f@nm*o$d`hd*R:~>
+\buI's82io&c;>!q==.UrV$9aab3c7_uKW)q@rr+q>1$dqtf^DiniPMj5ot/qu-Hlqt^0\q[iW"
+q"jmcqu$?U>daP)r;6-VqZ6WjJ,~>
+\bH*rs7ZKe&bu(sq!mqNq==OR_0esf[f5stp@n:qq=aIRp\+=Rki:LPg"YBAnauSOq#:$`q"".j
+q"OUZq=jUUo\rlTq"4CZo^VYVq=fC~>
+\_6u6s4I>(&D,UgdaR",e`>8\AN<S^lJ)6irn./"s3qb9f$r7%f%/Bm_nEUk]=u)+dF?atrm^bo
+o$e6!dF$Ckf@JX-`]97;e_8^)o$d`hd*R:~>
+\buI's82io&c;4rq=F7TrV-3`s7E[8CR+efq@ru,q>1$dqYL3ena#E(mdg#Equ-Hlqt^0\q[iW"
+q"jmcqu$?aA[hR/r;?6XqZ6WjJ,~>
+\bH*rs7ZKe&bu"pqXjCTq=F:Lp["kg?AeFRp@n:qqY'RSp\+:Qq=O%9j5oOmnFQDMq#:$`q"".j
+q"OUZq=jUUo^6%kp@7tVp$qbWq=fC~>
+\_6u6s4I>(&CT4`da["+f%\g7eWim(G2)rJrRh)"s3qb:f$r7%f%&=(eBGqM`Q?BLd+$Xsrm^bo
+o$e6!dF$Ckf@JX-dR'5Pdb<F(o$d`hd*R:~>
+q>9^[q>:!crr)lphtnPmp\":Tq"X^^rVZTns5]bWHH#m_p&G'ep%J7^s8;Zfq>:3j"oS8pqYBsH
+qu?Kqq"jjaqu6KtA[M.1q=adWqZ6WjJ,~>
+q=a@Qq=aXYrqQNfht@-Gq"am`)>Ek!p@S+Rfoo<U^\ITnqu?9Wnb)hXp[e%QpAamkp\+=Ro^q/;
+s7c`mq"XRVrq-J%YOMScpAOOU!VuJ?~>
+q:P5jq:PMrrn@D*hUhk[eG[r9f\,*9h;I>4Im.&4hVQ`<imuQ,fA><7e("3Es4@G*f%/C0eGmr"
+dF-Iof)F>,6B]gXf@8RGe,n(Fd!u~>
+q>9^[q>:!crr)lphtmWSp\":Tq"Xga%/Ko&s5CV9Eg>>UoC;h["o\8ip%eX9qu?L&q"jjaqu$BT
+A%_L7p@\4NqZ6WjJ,~>
+q=a@Qq=aXYrqQNfht@-Gq"am`s7[?&o^heTpsufnCld'>md0rQrqQ-TnFZSIp>YiHp^[,pq"FFS
+p#')anGi+Qq!n(Zq=fC~>
+q:P5jq:PMrrn@D*hUhk[eG[ttfG<2ohr`n7SQf!7\_>HWiT&kMf$Mdng@<bReGmr,dF-Iof%J`p
+5ap0[eC3">e,n(Fd!u~>
+q>9^[q>:!crr)lphtmKOq"O[\(]+(+q>UEoqYS0WCpF$?kO&<Ln+6SZnbN(^q$$Wlqu$EkiqrcP%
+f#nsqtp<h_ck"OqY'd\nbW@bq1&~>
+q=a@Qq=aXYrqQNfht@'ErV6?c)#!auoD&@`o_#n?Aukq2iop78lL+]Pm.U;Ms7HQhp\4IYq;V/K
+p^[,pq"FFSot45<nFuPNq!n(Zq=fC~>
+q:P5jq:PMrrn@D*hUqeXrR_t?gY(9:k2kCSV-?WUjQ+;'h;$6$j5\A7qUGPn"k1uNe^i=2eGmr,
+dF-Iof%J`L2kndReC`@Ce,n(Fd!u~>
+q>9^[q>:!crr)lphtmEMq=kd&rr2]dq>0mds4NWFEk_SRp%/4`q=jpbqu6Hlqu6NQqu?L&q"jja
+qu$B"@+>,Mq#:'YqZ6WjJ,~>
+q=a@Qq=aXYrqQNfhtI*E!;QHc)#!h&o^_\Ko`+g;Na$>1s8MNUqu66YqY'd[rq?BdrqPLIs7d*"
+q"XRVp%>IjchI/+rqQ$X!VuJ?~>
+q:P5jq:PMrrn@D*h:M_Yqq)b=h;-]5f\+sAj107t;Olb*e'Qq/f$rF)qUGMns4%%uime"V%ai_Q
+f%/O-P!-,)f@Ja.o$d`hd*R:~>
+q>9^[q>:!crr)lphY[3Hs7dB'qYU*_p\+7?pAaod?tuD"rr;ldq#1!brqufnrqbXOs8!6#qYL*d
+r;=HOiW&fMqss:S!W;bD~>
+q=a@Qq=aXYrqQNfhY.!DrV$9c)"m_$q"FFSoA8p8n=`upRc=)Ao]u&@p%J7VrqQNfrq>@Gs7d*"
+q"XRVp%>t3h#@*Aqss:O!VuJ?~>
+q:P5jq:PMrrn@D*gt;SYs4A1>g=t<4f@JKjfBCnC5=pCFgZ7#4eCiC'qUGMps4%%sime"V%ai_Q
+f%/O-TM<2[g"+j'o$d`hd*R:~>
+q>9^[q>:!crr)lph>@*G)#3q%q"OOVq"asiq>1-cY$Z.NjR`9Ks7,p^s8<-!qtp6cq;V;Oq@<;s
+qYU0fr5r^$qYBj]p$qn[r:tj~>
+q=a@Qq=aXYrqQNff_5@>)#3q&q"X^]q#C3\o)J3W=D=\hm.C>Wlh:2Ls7linp\4CSp#>`Gp^[,p
+q"FFSott4_p%J"Rp$qbWq=fC~>
+q:P5jq:PMrrn@D*hUq_Ys4A1Af@SU)e^rL9j4`8Ler;jfMo!clj5J24qUGPr"kD,Pe'c\(eGmr,
+dF-Iof%J`S7BkFreC`7@e,n(Fd!u~>
+q>9^[q>:!crr)lpg&(gG)#4%)q"=7Ko_J7WqY^Bnp#pm8J(+GjnGgr6s8!3"qYL*dr;>5V^[_3q
+qXF@_r:tj~>
+q=a@Qq=aXYrqQNfhY-p@s7ZKe)#X7+q=j[ZqXO+Ho_A4LiHSUPbl$nns7Xq9s7d*"q"XRVp%?a:
+]'T4aqYTgW!VuJ?~>
+q:P5jq:PMrrn@D*hq.q^rS.A*s4A1Bf[nX$cdUOug=tHBiRGnS6<pbPdELS#e("EG%ai_Qf%/O-
+[Q^8.g""a.o$d`hd*R:~>
+q>9^[q>:!crr)lphY[?NrVQWk(\[Y#qtB[VrV6Emq"Xmhq#.O4AutY)q"ageq$$Wlqu$EkiqrcP%
+J]erqtp<hqJa=Fs7uK[qZ6WjJ,~>
+q=a@Qq=aXYrqQNfhY-sArq?Bd(\[Y$rVH<drq$!_naZGNnb0%m?`!/inbi+[p]'mip@n=Vq>'XV
+!;>pV&,>tqp\+=Rp%)n2nc/=YqsjC]q=fC~>
+q:P5jq:PMrrn@D*hq.q^rnIG*s4A.;f%J^+e(3=*i8E5=hquu>O@;Nmd,WXRf)F2!dKS+LeC3""
+o@*cknC.usdF-Oqf\+s09q]tne^rFDe,n(Fd!u~>
+q>:!cnb_kSl21;Qq>:!aq>1X"s5BJVBsdg3qY^0aqYpEmqZ$Kqr;-9Lqu?L&q"jjaqu$B;D#aJ0
+q"+FRqZ6WjJ,~>
+q=aXYnb2MIl1XrGq=aXYq=YX"qV7EBA?Yatp%S+Mp%S4Up@e=Xq"FFWp\FOQp]($gp]'seo`rNK
+qtTmXoDJ.Q!VuJ?~>
+q:PMrn_!Bbl.Gg`rn7,"rRV#$qq2h=gYBMg5":[fe(<:(e^`:'e^MpqeC)alq:,;m!SGuneGmts
+e-jj[g"EDth:gE-ce.g<!n,HBJ,~>
+q>:!cnb_kSl21;QkkbY]r9q7JFGf>Trr30!qYU$\pAXdeqYfFNs8!6#qYL*dr;=?:jS]#Wp@[tQ
+!W;bD~>
+q=aXYnb2MIl1XrGkk5MYpZf26Dh[9@qu?Qep%JCUrpp0aq>'d[p@@tXq#C*gpAadj\Q@\_qu$0\
+nb3([pOE~>
+q:PMrn_!Bbl.Gg`kh$X$g!#gh;.mqthW!ADf@JBrcd'h\d.l,hf)F>%f(.>jdf7hsf`0V0SNF[>
+g=aj!o$d`hd*R:~>
+q>:!cnb_kSl21;Ql2):sqXsddk+ZBiVsaT^s8W#orVcZjqYU6Nqu?L&q"jjaqu$BGD9MYHrVQB[
+qZ6WjJ,~>
+q=aXYnb2MIl1XrGl1Pqlp$h_RiLO=UU$;FIqYg0^q>'gZp@nC]p[n1Mp]($gp]'seo`rrX`prZs
+qtT^U!VuJ?~>
+q:PMrn_!Bbl.Gg`l.?O(f@&@/_gas3LWnT-gu$`_ecXIOdF.sBq:>Pts46bjs3gqss4IA)#Id=(
+dF-Xsddklhda6?k~>
+q>9^[q>9.Kg%uTUs8Vfhs7Om"Fb%*os8)QfrVcZms8DfRqu?L&q"jjaqu$BRG/!_Aq>C'YqZ6Wj
+J,~>
+q=a@Qq=`eAg%H!DrVl?[s7"?gDgJkYqXsLRrV-Hkq=ad]p%IqMs7lWgs7ZKc#MsC0o'c;Mq=41[
+q=fC~>
+q:P5jq:OZZg"7+dhr)u8j3k5K<FD6@h:U<1f\"a,f[eOMeG7\pfDsLmeGmtseGn2$fa#AmS'oU2
+f$j3>!n,HBJ,~>
+q>9^[q>9.Kg%uTbrVuooo_eahbCjVofDkmJr:opXr;HEMqu?L&q"jjaqu$B/@CuR9r;$!TqZ6Wj
+J,~>
+q=a@Qq=`eAg%H6Xq"jm\n+Zk\`I;?Wdea";p[dkDp\=@Mp@7nWq#C*gpAadj]3;Z>p\FXWnb3([
+pOE~>
+q:P5jq:OZZg"7+qg>(N9dFmU@X(4hD[GBiqg""Etf@\RBf(%8idf7hsf`0V0T0AXrf%/<qo$d`h
+d*R:~>
+q>:!cq>L-dnbhqUq>:!cl2):sr:Td^s7u3Xs7N.&IBqB#s8Vujqu-BNqu?L&q"jjaqu$B&>06X8
+q=sdUqZ6WjJ,~>
+q=aXYq=sdZnb;SKq=aXYl1Pqnp[I_JqXj.Cs6lLiGHB-brr2W^pA"=Np@7nWq#C*gpAadjZ;\^7
+o_/(Unb3([pOE~>
+q:PMrq:bYsn_*Hdq:PMrl.@!8g!\@'gt'g%kgb;Y?';MIiSiG>f\>$1f%AR+p=Ac`s3gqss4IA)
+#F7<Ge^N!qe+1uida6?k~>
+q>:!cq>L-dnbhqUq>:!cl2)7]s8Vo`p](6mq#CBBK5#hMhu*NPqu,LNs8!6#qYL*dr;=TDi:HR8
+p\jXZ!W;bD~>
+q=aXYq=sdZnb;SKq=aXYl1PnSqu?<Ro(r1Xo)8U4I:IQ5g%PC<p@n(Mnb<(Ys7cQes7HW4>2/K7
+p%SFTpAt*aJ,~>
+q:PMrq:bYsn_*Hdq:PMrl.?urh;d)1eD/j:g?%P*@nC%"^YIc&g"k?7f\+p1r7Lntn^RTes4%)$
+s4IXQ5/#7fda?\;e,n(Fd!u~>
+q>:!cq>L-dnbhqUq>:!cl2):snaQSYq"4OZrVH9gs2TaqQeD-0qY^9Nqu?L&q"jjaqu$B*=n)1b
+s7GsRqZ6WjJ,~>
+q=aXYq=sdZnb;SKq=aXYl1Ptlm-FWMoC)JEp[n"Sq8%JYOjijmo_/"Oo(MVJs7lWgs7ZKc#I[Or
+o)&CXo^VYVq=fC~>
+q:PMrq:bYsn_*Hdq:PMrl.?j0cHY8,e^<.'hqZoHiMU0HGIc>Zg>(K<qq:u$qpt;es3gqss4IA)
+#F[Qqdb<F#cLTHdda6?k~>
+rqufnrqa2'g%u;KDJP%'s8VTcp\4UaqYC*Tqu?L&q"jjaqu$B->eot2rVuN[qZ6WjJ,~>
+rqHHdrq3hriV**?&!Ua=Jb/a7lLj];p@n7Pq"sdRp]($gp]'seo`r$-]C,Uns7GjU!VuJ?~>
+rn7>(rn"^6in+7aq:cL-:/,HWio8DBf@Sg6f[nm1f_sCieGmtseGn2$fa"'.S^-!Ags5K?!n,HB
+J,~>
+rqufnrqa2'g%u<SgnoF"[f$1#s8W#]o_&(Gqu?L&q"jjaqu$B)?HMs<pAFOPqZ6WjJ,~>
+rqHHdrq3hrht@*DpAOXpn^a@U;6]cno)JU\j6lC/qtBLQs7lWgs7ZKc#IRXOo(VbRoC;PUq=fC~>
+rn7>(rn"^6iRn1`!Sc<+gC`&MLg<$.hWEPUj4qc+e_&R-rRUGes3gqss4IA)#FRZNdaldrc19?c
+da6?k~>
+rqufnrqa2'g&(gL#j'c]=a9'-o]cAT!WDr]qu?L&q"jjaqu$B+B%m:^p%nIRqZ6WjJ,~>
+rqHHdrq3hrg%PIG%H#ZP;f^djmc40Ds7c9bp@%bUq#C*gpAadj[pR\`q"":Vnb3([pOE~>
+rn7>(rn"^6hq.t_f_sM'j:B5@;`S%%in2N8kN:USg"?8Sn'qBcs4%)$s4IXH6atk&cd^D6e,n(F
+d!u~>
+rqufnrq`ntl21;S&+T]"qt@7:DS>N=rU'(MoBQ5Qq@<;sqYU0fr4Zh's8;]gqXOF`r:tj~>
+rqHHdrq3Pjl1XrI&+'/hp$eu"BXd7+pZLf5mJHVGp]($gp]'seo`qs6h>d<Eq>0XU!VuJ?~>
+rn7>(rn"F.l.Gsdrn.t=ce[O6erWs0U!r;cdF$[sg"=sVf'h,gdf7hsf`0V/Rmb$Kf[J=>e,n(F
+d!u~>
+rqufnrq`ntl21;S&-)2"mf3=VP[\XElMpSXs6BL]q@<;sqYU0fr46:nrV6<_p$qn[r:tj~>
+rqHHdrq3Pjl1Y)NrV$j"m/Q>LrT]DJC:*(%nGN=bp?hVSq#C*gpAadjZWZ#Wp%e7Qnb3([pOE~>
+rn7>(rn"F.lIZ*frRLo!'\V<fjNQT@cuql[U!DrUio\qHf[fH>s3gqss4IA)#F@Tdf[SKtcgoQe
+da6?k~>
+rqufnrqa2'q>KRTq#(^!s8DQZs8Ubl=Hia\qXa"Ls8!6#qYL*dr;=36iqrKMp%IqQ!W;bD~>
+rqHHdrq3hrq=s4Jqt^6d%e]\nmd0cLdqVa=q"44GrV#XQs7lWgs7ZKc#IRXhp@SCXp@7kXq=fC~>
+rn7>(rn"^6q:b,ds475"rmq,%'AD'ogX4@)ke1%]H/d]9e(NC+f'Uuedf7hsf`0V0R6/17e(i9r
+o$d`hd*R:~>
+rqufnrqa2'q>KRTq>Ciks7Z!^s6TL[iK[nq_"[loqu?L%q"jjaqu$B-@d3jcs7YsZ!W;bD~>
+rqHHdrq3hrq=s4Jq=tQbs7,IOs6&qPg5]EV](,h!p?hVSq#C*gpAadj\Qe.io`+X^nb3([pOE~>
+rn7>(rn"^6q:b,d"4kuNe,Iksee?-`e'?b0b1H"$HV%A9g#gu?f[fH>s3gqss4IA)#G"*!f[J^(
+eah2kda6?k~>
+rqufnrqa2'q>KRTq>Cj(o`"mbp](!Vs8;82=`r3gq]>V2qYU-dqYU-dqYU-dqY9j^qYU0fr4ZV+
+qsj^VqXOF`r:tj~>
+rqHHdrq3hrq=s4Jq=tR!n+ltRo)&"Bs7YVu;fBqVp@7nWq#C*gpAadj[p%tgmelVOnb3([pOE~>
+rn7>(rn"m;-J-r&g"4s1g=Y-3g=Y'/f[e^+f[e^+f[e^+f[e^+f[e^+f[eR$rRCku'AUpei7-94
+e^<[?cWrV4Ze=$af_sCkeGmtseGn2$f`mp0ak"_ibOO'`da6?k~>
+#Q=Z$r;-9erUKgEqt^0+q]>e+pAaihFCVW@qu??hpAaURs6]dZs7#m[qY9p^qYp9iqZ$Hmr!0cH
+p\OgbpAOOY!W;bD~>
+#Pe,jp\"4Qq!n+;pA+IVp*9>*p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+:Sr:V3.
+kjSQ?Veo\>iq3-9q!\7Lo`+=Up]'aWq"ORXq"Od_s7cQes7HW&@e03fq"F[VpAt*aJ,~>
+#MRqeg"4j.g@<kTf_=(tf_j;IeCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eC;qA
+eGRl6h9=@/du.'gO2fi0dbN=1aj/Y]e^<0rq:,Gms4%)$s4IXC7b#u@e^2q=e,n(Fd!u~>
+#5nH!r;-9enGM8Bq>A)+(]"+2nbE.CW`*WEpA"[fnc.tDp]'USs7c<gqZ$Hmr!0Q=o(DeRo_J%S
+!W;bD~>
+#5@ogp\"4QnFto8q=jXWbP)hEs8;3QrS"#?@^Y[pq#B^\m-aWJm.^PSq#C*gpAadjXBk5_p%J%R
+nb3([pOE~>
+#2._bg"4j.nCcdQpY#MtrRT0A(Xq?ubLGI`L+l)de^r[?cf)mddG;gkhtbe%df7hsf`0V0O?q4>
+eC2^lo$d`hd*R:~>
+#5eAtr;6?fnGM8Bq>A)+(\n%1p%eXfp<]%1Dr^TbrUKdboChkQm.^;TqZ$Hmr!0`GpA"Rap\F@V
+!W;bD~>
+#57iep\+:RnFto8q=jXWbP)hDrqu6Us8VQ0NE9fKnF$)>qu?9]p%dtKq#C*gpAadjZ"!7pq>0j]
+nb3([pOE~>
+#2%Y`g"=p/nCcdQpY#MtrRT0A):IBscdh(9d]ILN9Z#B1gWe@/cdL4kaOJ`8df7hsf`0V0Pt'6O
+f[nO"o$d`hd*R:~>
+#5\8rrVQHfnGM8Bq>A)+(]X1's8MBUs8Vo@F]XL^rVZ0Tq#C*`rV-*eqZ$Hmr!0fMqtpBmq"XCV
+!W;bD~>
+#5.`cq"FCRnFto8q=jXWbP)hLn+-JPjm2sHo#P]FK\cG!nF65Qp\=^]q#C*gpAadjZY&q)qu-<b
+nb3([pOE~>
+#1qP^g=Y$/nCcdQpY#MtrRT0A);<EbhV-&rj5edm;Dr:-gY0s#f%ng)g!nOIdf7hsf`0V0QV,o]
+g=k!'o$d`hd*R:~>
+#Pe/nrVQHfqsjUCqt^0+q\K5/p\b'kqt9gUs8S]kA>f>%p\FU_qtU$fq#C3jqu?R!WakbsqYg-\
+nbW@bq1&~>
+#P7W_q"FCRp@7n9pA+IWp<31GrV,mWrVZBYp$DPQRS[=ap\=@Rp%nI_p\FUap]'seo`q6snacGN
+p@[tM!VuJ?~>
+#M%GZg=Y$/f^[YRf_=(tf_sCEe/R,kdb!=1f[ABsh;<W:7#0LLf%8L+f@JI$daJ*As3gqss4IA)
+#DYRndam$scgoQeda6?k~>
+#P\&lrVQHfqsjUCqt^0+q\T52rqu]orql?fn+H_HKiicDq>^'dqX++Ts7lWjs82io#FJZdpA+[^
+q!n4^r:tj~>
+#P.N]q"FCRp@7n9pA+IWp<31Jq>:!^p\O^Zn,M\Br8rK,H,K=Tn,N.Ip\4LYs7cQes7HVZ;Xa/L
+qY9jUpAt*aJ,~>
+#Lq>Xg=Y$/f^[YRf_=(tf_sCEe/Qukg"4j0gXsp6c-tRlAN3qlf](?;fZDXmdaJ*As3gqss4IA)
+#B_rPdFHjsddklhda6?k~>
+"SVWgrVZZknbhACq>A)+s7mE/s7ksPs8VNbs760gemifpn,2qNs7uNkq#C3jqu?QuP$7_[qu-?[
+qZ6WjJ,~>
+"S)*Xq"Od\nb;#9q=jXWbP2&0(]++%kO/?Hl1b5Fq>&EFE1H7ho^DhSp\FUap]'seo`pCRp%S7X
+q>9^V!VuJ?~>
+"OkoSg=cJWn_)mRpY#MtrRT0As3`:Hg=+*fhVHB.j3ZT:Zp[oFcJ-mriRHB*da?IgdF-ImeC`F,
+fl&hJf)a@No$d`hd*R:~>
+"SMQfrVZZknbhACq>A)+(\dh&pAP$ko_8Ccnc/:Wr;3[4ON%(go(i.^q#C3jqu?R!O^8"eqYBdV
+nbW@bq1&~>
+"Ru$Wq"Od\nb;#9q=jXWbP)hEp\"+Ps8;?Vqu?$_nFQDKX(I=,p@7VNp\O[bp]'seo`p@TqYKs[
+o_%bK!VuJ?~>
+"ObiRg=cJWn_)mRpY#MtrRT0A*733`ce.43cd^e1cJm=(g>%c_EMV:9d+6^rdaJ-Bs3gqss4IA)
+#AuTXg=F`ucgoQeda6?k~>
+#NP:Ms82QdrqZKfqs"%XqZ$Hdr5&:#qB,P-du@IE\c;X.q=47[s7Q9bqYU3eqYQI]s8W&no_J%S
+!W;bD~>
+#N"b>qY'LPq>'d\p?D>Np&FaZp\4C)p\jm\pE92$n]lqhA[M=/qt9@Ks8V]fq=j[Yp%.g7<Vl[j
+p@S1NpAt*aJ,~>
+#JeR9gt:--g\KOuf]h)gfDjLqg&9S%f#uSAdf7hqf)42#fcJbMCGn_Lgt:9-aNr\tc.1:me_/R+
+fPik+h:^9&e+1uida6?k~>
+#P@lms82TfrV?Beqs"%XqZ$Hdr5&:#qB,b*p&E?`?[h#0s8Vc[o_SCXq"ORYr;W3jq"jmdq"aIW
+!W;bD~>
+#Oh?_qtBXSq"a[[p?D>Np&FaZp\4C)p\jm[pC@2enGULO>'\rqs8VWSnG`.kp%7kIp%X_NoC_nT
+q"aIS!VuJ?~>
+#LV/Zh:U90gA0Ftf]h)gfDjLqg&9S%f#uSAdf7hqf)+)AiQTd/X]IVh^!krrcH"2ZdF$Cie^`@.
+G<+4(f@SI"o$d`hd*R:~>
+rr3-"qYC$eq>C'cl2:PWs82Nf_>Ed!$N0r&q#Bi\;dH-]rVmH%rVZZnqtp?lZ#'C8qu?H`nbW@b
+q1&~>
+#Q+Grq"=:Qq"a[[p?D>Np&FaZp\4C)p\XaZpCdH"oD7dH:0=(Irr<#to(r:]qYp0opo7p#p%\I[
+o^VYVq=fC~>
+#Mn7mg=Op.gA0Ftf]h)gfDjLqg&9S%f#uS?df7hqf)=5Cg#(N6gs(I*3e,-*iSiY@f@JU+f\"p5
+N_.sTf@eTto$d`hd*R:~>
+#QFYtq>1$frV?Beqs"%XqZ$Hdr5&:#qB,G-p[S(Zp>0FaFhdJ=oDeU]qtg6irV<a;s8)Tlq"+%Q
+!W;bD~>
+#Pn,eo_%tRq"a[[p?D>Np&FaZp\4C)p\Xa[pE/quo'H#In_%AME4YE)mec\Qq"OOYp@>7tqt9^]
+q"+%M!VuJ?~>
+#M[q`f%8U/gA0Ftf]h)gfDjLqg&9S%f#uS?df7hqf)=5CdFH[heDJ`e6o@l5cdL4sdaQarg"Y63
+O%eB[f%JKro$d`hd*R:~>
+#Q"5iq>C6jqt^0cqs"%XqZ$Hdr5&71qXaJ)qYU$bs8VZ`s7NC!=d.J7s7c9]oCi+[pQ]%[p@eI^
+qXOF`r:tj~>
+#PI]Zo_81VpA+IYp?D>Np&FaZp\4C)pAk!fq=aU`pE&kus820Os6cXa;N/uorUfjUnF?8Gn;^QA
+nalVSqXO:\q=fC~>
+#M7MUf%Jg3f_O4rf]h)gfDjLqg&9S%f#uPCdf.Yodf%\mefN>eeDAm&dc/]14?.Aigu-Z/d*:%m
+g!k%'f$Vptea_,jda6?k~>
+s8)utrVlfnq>'saqs"%XqZ$Hdr5/@2qXaJ)qY1$ioD/Fdj6QaEV,LNqmeQn_r;$9iqMSSWqY'j`
+qXOF`r:tj~>
+s7QWjq"aaZo_J7Wp?D>Np&FaZp\4C*p]($fq=aS+p[eF_mIUASguSM0SP)hQkk>&Vq=OFUo7U*=
+p%/"UqXO:\q=fC~>
+s4@M.g=tB7f(n"pf]h)gfDjLqg&9S%f$)YDdf.Yodf%\nefN>dgXsWqhqc&gk1tbK4H%S:g"k61
+g"Y+l38<!3f'q/jda6?k~>
+#Q4Q"rVcZkqt^0cqs"%XqZ$Hdr5/@2qXaIdqXj^crq,d\rtbA-rk`JLD7eO"s8W&sr/kLhs7lQg
+p@8"\r:tj~>
+#P\#hq"XUWpA+IYp?D>Np&FaZp\4C*p]($fq=aS+p[IqTq!RMDs8MN\p:=d,B=Q[ks8)Nbonm#S
+qXs^\p@7kXq=fC~>
+#MIhcg=k64f_O4rf]h)gfDjLqg&9S%f$)YDdf.Ymdf%\pef`JbdFQgkb1kt9f&#A^;)_:;[+='g
+g=t:u5iUMIf@/+;e,n(Fd!u~>
+#Pn8oqYBsbs7uTgqs"%XqZ$Hdr5&7TqY9p^qY9p^qY9p^qY9p`s8;`ls8Dfjqu?Tms8'!.;ifN'
+rqcutO'Ve_q>^HinbW@bq1&~>
+#P@``p%7nNqYBm]p?D>Np&FaZp\+;;p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@T
+p\+@Tp\+@Tp\+@Tp\+@Tp\jk;p\=LXp\=LXp\=LWr:]dWq=jOQo_A+Ps73-m:lj)sp@S"KKi\$C
+o_n[\nb3([pOE~>
+#M.P[f@JO+h"fY!f]h)gfDjLqg&9S$ehkn-eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#
+eCN.#eCN.#eCN.#eCN.#eCN.JdehPkee?Z`d*pUueCN:/gYV/KPX$m;YgWO'#hNlRh:U62f[KE@
+!n,HBJ,~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Z&,Z5#qYU-dqYU-dqYU-dqu6Hlqu6L0qu$HlqtK[N
+OBG>Lme65OM/W=`rqZQhnbW@bq1&~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaP&,,bkp\+@Tp\+@Tp\+@TpAXabpAXe&p@nCXp@@V:
+NE/W<kO7X7I:`*>q=a^Znb3([pOE~>
+l.Pmbq:Yc$s4R;%s4RD*q:PDo1tUF4g"4p/g"4p/g"4m-f[e^+f[e^+f[ng/g=Y*1g"4p/g"4p/
+g"4p/g"4p/g"4p/g"5uLqq)&'e^`7%rmqt=g"Y65eBcBU2(O$se^*Aj9\[tMf@n^Ee,n(Fd!u~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Znb`=^s82fn(]+%,r;6<ap%eKI3G-n>pk*J_q#C'`
+p[S+]r:tj~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaPnb2tTs7ZHd(\RLsq"OIQnb2a:1geVtluut2nb_kM
+o^VYVq=fC~>
+l.Pmbq:Yc$s4R;%s4RD*q:Orbp=TDurn?Vin(8Z4f\"m/f@AI&e^W$ocILNb(IbdbemV;,fA>!.
+e+1uida6?k~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Znb`=^s82fnrqcWks83DurVb/Z=.AN-HiO'DoD/@T
+qZ6WjJ,~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaPnb2tTs7ZHds7HBcrqHHf&+BAic!sS2hf`u7pA+.M
+qXO:\q=fC~>
+l.Pmbq:Yc$s4R;%s4RD*q:Orbp=TDurn?Vin(7otf\"m/f@AF#rm^tu&'ik_YXp`ua^A<1gt^9.
+g%*Voda6?k~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Znb`=^s82cms8*K+qu$Hns820Us0,Qj<cJ$9r;$<\
+qZ6WjJ,~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaPnb2tTs7ZEc(A@Lrp\=U^s7kdHr2E=H8nIVfp[n=W
+nb3([pOE~>
+l.Pmbq:Yc$s4R;%s4RD*q:Orbp=TDurn?Vin(7`of\"mVf+uree'uq"f\Y6&e)HEG+#HdIgtL?6
+fCIDmda6?k~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Znb`=^s82fn(]XL4qYL*frqZ'`o`+shS4Ro#qtpBk
+oC;\Yr:tj~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaPnb2tTs7ZHd(]*t&p@e7VqY'=Vn+lqOO?ICKo_/+W
+nF?5Rq=fC~>
+l.Pmbq:Yc$s4R;%s4RD*q:Orbp=TDurn?Vin(8Z4f\"m/f@np.e'lgtf@A++dbj*=H7)_Eg=b68
+cgoQeda6?k~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Znb`=^s82fn(]XL4qtg0dr;?HlkPt)Ns1-/LrqQ?f
+q=4=_r:tj~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaPnb2tTs7ZHd(]*t&p\+=Tq"a^^irA<6orYk+p[e(R
+p@7kXq=fC~>
+l.Pmbq:Yc$s4R;%s4RD*q:Orbp=TDurn?Vin(8Z4f\"m/f@np.eC2mre_&L1`T>J$hj:2%h:C33
+eah2kda6?k~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Znb`=^s82fn!r`&pr;.$)li-q\r;ZZokl:GUq"OgY
+qZ6WjJ,~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaPnb2tTs7ZHd!r2Nbr:^a$kkY8Mp&=FZh=gC5oCW%P
+pAt*aJ,~>
+l.Pmbq:Yc$s4R;%s4RD*q:Orbp=TDurn?Vin(7otf\"m/f@\^*r6u85a5#b/gZ[>Sa5,A$e^`LH
+e,n(Fd!u~>
+l2:ASq>C6js8;cks8;lpq>9FSpA=mfrr)*Znb`=^s82fns8)Wi&,Q>"n=H5Pe)%.El2U\Mr:0Xb
+r:tj~>
+l1b#Iq=jm`s7cEas7cNfq=a(Ip@eO\rqPaPnb2tTs7ZHds7Q6_%fc(bQ^=>bd\+53s7bmUnb3([
+pOE~>
+l.Pmbq:Yc$s4R;%s4RD*q:Orbp=TDurn?Vin(7lsf\"m/f@AFKe.:-heBWJjM6X^NU<)EKc.MU:
+!n,HBJ,~>
+iV_s;q>Bd[q>BLSq>AqC&,c:rpTdbSqu-)FC&%_js7,ser:tj~>
+iV2U1q=jFQq=j.Iq=ie?qtCWsp[@[R9mlF"kC[78s5X.LpAt*aJ,~>
+iS!JJq:Y;jq:Y#bq:Y#bs4RA'rRUkq&(oI]eWDY"g"Xnh8Clh>iUYJ"da6?k~>
+iV_s;q>Bd[q>BLSq>AqC&,?.tr2s&4s8VW4F,oSdq!n4^r:tj~>
+iV2U1q=jFQq=j.Iq=ie?qtCWoqsjEY:9aQek.tkjk5Y,EpAt*aJ,~>
+iS!JJq:Y;jq:Y#bq:Y#bs4RA'rRUhp%GK=cNAR*ahpA<"CrkW+e,n(Fd!u~>
+iV_s;q>Bd[q>BLSq>AqC#58)nrL$s_rr3/qCL-K1p[S+]r:tj~>
+iV2U1q=jFQq=j.Iq=ie?qtCWmrUorK<p0DQrp4/tm/Q_JpAt*aJ,~>
+iS!JJq:Y;jq:Y#bq:Y#bs4RA'rRUkq&(97cgNYj.k2,=N8it>We+1uida6?k~>
+iV_s;q>Bd[q>BLSq>AqC&,Q8)noApRs7u]pDdNG<rUKacr:tj~>
+iV2U1q=jFQq=j.Iq=ie?qY(KrqsA0;qtBFVpLm_*p%n4Q!VuJ?~>
+iS!JJq:Y;jq:Y#bq:Y#bs4RA'rRUkq&(]Fjcr!g)i7I2L:-@:^g%*Voda6?k~>
+iV_s;q>Bd[q>BLSq>AqC&,u;&f2\[IrqZHbF]S)5qXOF`r:tj~>
+iV2U1q=jFQq=j.Iq=ie?qtCTtoDd66T(_aBnEb$imJQJJ!VuJ?~>
+iS!JJq:Y;jq:Y#bq:Y#bs4RA'rRUkq&),Ik[5<Qpgt19/<&DqWf(.;lda6?k~>
+iV_s;q>Bd[q>BLSq>AqC#6+/mYZfWWrr3/9=+pMIp[S+]r:tj~>
+iV2U1q=jFQq=j.Iq=ie?qtCWumf0=dcgpf*q6WtJp\+7LpAt*aJ,~>
+iS!JJq:Y;jq:Y#bq:Y#bs4RA'rRUkq&),:gN]FN&i8`je2Ib@ke+1uida6?k~>
+iV_s;q>Bd[q>BLSq>AqC"oS#mLO&Iirs&%B>hT/Kq=4=_r:tj~>
+iV2U1q=jFQq=j.Iq=ie?qtCWsnbn&[lh:&JkAsYQs7#aPpAt*aJ,~>
+iS!JJq:Y;jq:Y#bq:Y#bs4RA'rRUkq&(o7eAQ[@<i8`3g41F7teah2kda6?k~>
+Gl7I:qu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqtp6eqYU-dqYU-dqYU-dqYU-dqYU-dqY^6g
+qu$?hqtp6eqYU-dqYU-dqYU-dqY^6gqu$?hqtp6eqYU-dqYU-dqYU-dqYU-dqYU-dqY^6gqu$?h
+qthZ8qtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3drqdi7rbIers8D\rA"3Mfs7uQg
+qtg3dqtg3dqtg3dqtg3aJ,~>
+E;0/%q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"FIUp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\4IW
+q"ORXq"FIUp\+@Tp\+@Tp\+@Tp\4IWq"ORXq"FIUp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\,p-p\=LX
+p\=IVp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:XpEo\0q"OOVp%`-YnbhqCVHK/Zli-PNq"ORX
+q"ORXq"ORXq"ORZpj`~>
+nCN'<f@AL'f@AL'f@AL'f@AI%f$r:#f$r:#f$r:#f$r:#f$r:#f$r=%f@AL'f@AI%f$r:#f$r:#
+f$r:#f$r=%f@AL'f@AI%f$r:#f$r:#f$r:#f$r:#f$r:#f$r=%f@AL'f@AI%f$r:#f$r:#f$r:#
+f$r:#f$r:#r71nuf)4%qdLk![f@ri:f]1Z6NBhaEc/@+$o?m]fd*R:~>
+J,T9Cqu-Ejqtg*aq"jd^q"smaq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!b
+q>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!b
+q>:!bq>:!bq*FoRqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqt^-bqtp?DQ?/GGj2-Xr\,ZL's7Z?c
+qt^-bqt^-bqt^-bqt]pVJ,~>
+J,9'=qtg3dqtKm[q"ORXq"ad^qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`
+qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`
+qYC!`qYC!`qEarRq>0p`q>0p`q>0p`q>0p`q>0p`q>0p`q>0p`q>'d3O(sa$fslNJXnh\\rUBXZ
+q>0p`q>0p`q>0p`q>0m^J,~>
+q:GJms3c;Ada6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fh
+da6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fhda6Fh
+da6Fhda6Fhda6Fhr6bVmdeD*#datgG9ldSSSRbT\gtC38d*hL3!R&`<~>
+nb@\/o(E[jmC8Rhb0//ls6KU_qYC0cq"+1\p%J$.~>
+nb@\0o(NaikHBuG_8=7Hqr75InaQMIp@J"[q#(#>~>
+o$d]gc[j@4bn8:BP&lPWV5h5c`Ra)!e)8X"o$%3^d=;~>
+q>#U9lLtPYs7#IVs82]lrrr>ms8Vuknb3%WJ,~>
+q>0p^Jbem4&bu:hkkY8Op&FscqtBIRs7Z6Yq>^AC~>
+q:b\t!S5bOddtm!eD/3fg#(?1iS<,@f$;t-f$s9=!S#\N~>
+q>'j[Jb\g2&c(tss7c-bs7,UWrqH<ir:TmWq#C$fomd~>
+q>'j[Jbem4&bteos75USqX!PCq==7Vp[\+Nq>^9kqg\~>
+&)Z4#h;@&Gh;$`>g>(E;g4@rIfalEej3l<.gs"$qgX=a/g!fKE!S?"T~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat18.ps b/books/ps/quat18.ps
new file mode 100755
index 0000000..db04e1c
--- /dev/null
+++ b/books/ps/quat18.ps
@@ -0,0 +1,3925 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait18.ps
+%%CreationDate: Tue Dec 26 14:17:42 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 323 297
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 282.750000 translate
+308.250000 -282.750000 scale
+% Image geometry
+411 377 8
+% Transformation matrix
+[ 411 0 0 377 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 411 string def
+/gstr 411 string def
+/bstr 411 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       256575 ASCII Bytes
+colorimage
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_RJcmWdJWt?rVHQh!;D!~>
+OSAeMs7u]is7cQgs7u]in+ZhVrV$Bep\=^_!VlKeqZ$?fq;M,>p&Xp_o(e^Jq=W21!;QQf!;?Ed
+!;QQhJ,~>
+P1^H$h;I5MiS`YOhr*GOiS`YMg@O"tfDa>#fDjM*f\,$Xg]6++h#H./g&K\&e`#3Pg]?-^o%0;_
+b1@$OdaHXrf[eX%dEg6k~>
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_RJcmWdJWt?rVHQh!;D!~>
+OSAeMs7u]is7cQgs7u]in+ZhVrV$Bep\=^_!VlKeqZ$?fq;M)Kp[e(Zp\==TRJ6OMde<b:rq?Ed
+rq?EfrqV'~>
+P1^H$h;I5MiS`YOhr*GOiS`YMg@EnsfDa>#fDjM*f\,$Xg]6++h#H./g&K\'eH"4[f`9atg]?-^
+o%0;_b1@$OdaHXrf[eX%dEg6k~>
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_RJcmWdJWt?rVHQh!;D!~>
+OSAeMs7u]is7cQgs7u]ikk>/Pp\=a`s7cTiqYL6eqt]4Gnb3%Yo(e^Jq=W21!;QQf!;?Ed!;QQh
+J,~>
+P1^H$h;I5MiS`YOhr*GOiS`YMg@EqofDjM*f\,$Yg]QEhhVS4ds4dS,qq'f[n_*uro%0;_b1@$O
+daHXrf[eX%dEg6k~>
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_RJcmXdJWt?rVHQh!;D!~>
+OSAeMs7u]is7cQgs7u]ikk>/Pp\=a`s7cTiqYL6eqt]4Go(W1Zo(e^Jq=`82!;QQf!;?Ed!;QQh
+J,~>
+P1^H$h;I5MiS`YOhr*GOiS`YMg@EqofDjM*f\,$Yg]QEhhVS4ds4dS,qq'f[o%F)sn^j2^q:O-I
+$e<\ReCN:'f$_sldXV~>
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_RJcmXdJWt?rVHQh!;D!~>
+OSAeMs7u]is7cQgs7u]ikk>2Qp\=R_p]1-dqYg3fq;M,>p]($Zq3h!Qp<r[8q#:!fpAXddq#:)>~>
+P1^H$h;7#Ghqm5Gh;7#Ghqm5Gg@EqqfDO;'g=tE^h>lC1hYl7.g&9M&g#C`Ug%![^g%j:Kf*g-W
+daZk#f%/9scdI=~>
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_Jc+L)rVQQis7cTgJ,~>
+OSAeMs7u]is7cQgs7uZhl1Y;Rp\=R_p]1-dqYg3gq;D&=p]($Zq18;"pAk!fpAjpdpAk!fq1&~>
+OkC<%hVR/IhVR)EhVR/IhVR#@o%Eunr7M/*gYDeb!8[V1rS7A)rmq/'iS*hTn^ioVdanlWdaHXr
+f[eX%dEg6k~>
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_Jc+L)rVQQis7cTgJ,~>
+OSAeMs7u]is7cQgs7uZhl1Y8Qp\4U\s7uQgg%b.4nG%S/iqEHJrq?Edrq?EfrqV'~>
+OkC<%hVR/IhVR)EhVR/IhVR#@m+MEm!nl;`rn[b8hr*GkhZ)C2gABR^g&Tgsf7DW'f*g-WdaZk#
+f%/9scdI=~>
+Oo,agrr2rtrr2lprr2rtrr2l\quZcnrVc]rr;HKhg%k4:s82B_Jc+L)rVQQis7cTgJ,~>
+On\kMs7u]is7cQgs7uZhl1Y8Qp\4U\s7uQgg%b.4nG%S/iqEHJrq?Edrq?EfrqV'~>
+OkC9"hVR/IhVR)EhVR/IhVR#Qg&Kb-g"P9]h?2]ni8FOi!o2M`qq9r^!86qpJ_AK'$e<\ReCN:'
+f$_sldXV~>
+Oo4bKl2:PZs8N&u!WN&oqr.Aap@\+Ns8V`]p\k-lmJm"^qYU3hr;lfnqYL$`Jc,?@nbiCbs8;`j
+rVHQh!;D!~>
+On\DAk4eoNs7lZkr;$?giV=,Zo^qbTs7>aNq"k$Sqt0dYp@nIZqYBs^JbT!6nb<%Xs7cQerV$<c
+rq?EfrqV'~>
+OkK9[mFhHls4mb6i8FUnr8@S2rS.;)!8Hep'%tpifB25Ida["+iQC!-h:L<4rRq8)q:k`!OkK9V
+q:>)frn.8&s4.S-daHXrf[eX%dEg6k~>
+Oo4bKl2:PZs8N&u!WN&oqr.A`rr<#klg+3Cs8;TSs8W&iqtp<h!W2fkqYBr<r;$6[r;QZpr;-<h
+qZ$<jpOE~>
+On\DAk4eoNs7lZkqt^9giV=)as8V`VlLY&Up[R;Dr:oaSpAF[bq"jg^pjr28p@7nVq#C*gpAO^c
+pAXddq#:)>~>
+OkK9[mFhHls4mb6i8FUnqr%M2!8[Y/rn7A,l.ls1k2t=AcI_4=g!dq#hV-B0f_a@tg\KQcg%!\i
+f(%Akf`0S'edL!UdaZk#f%/9scdI=~>
+Oo4bKl2:MYrr)rsr7^uPoC22Bs8Vf\rr35us7H-erVZTmqZ?]mr;-9cq18J>qsjU`rVuflqu-Bk
+p]1&=~>
+On\DAlhCGQrV-9c!;HBci;"#Vn*TiKrq5[Vs8DQhn+?YTp\4[\s7ZNgqYBs^JbT!6nb<%Xs7cQe
+rV$<crq?EfrqV'~>
+OkK9[n_*fns4mS1rSme7rnm_2qqLAk'%YOZg>q8HdGO$Cf&Y92inN2@rn7>*q:k`!OkK9Vq:>)f
+rn.8&s4.S-daHXrf[eX%dEg6k~>
+Oo4bJq>C9irVZ-_!;kLGrVmB$o)J[Ss8)Z[s8Vlmr;6Kirql9^Jc,'8q>C6js8;`jrVHQh!;D!~>
+On\D@q=jp_rV--_q"FgapA4OBq#C@*rr;Z]rqtmVo_.GIr:9UUp&=Rbp%S4Opjr20pA+I^q#C*g
+pAO^cpAXddq#:)>~>
+OkK9Zq:Yf#rRq5)qqM/,rSRV5!93t8rSIS0qqC;i''/37j4VuBi6107gs"m>f\P?;rn7D-h!s*\
+g%!\af(mqsf`0S'edL!UdaZk#f%/9scdI=~>
+Oo4bJq>C6hs8;?as81OG'(>G\qY9mdlMpSXs7$'gq#($drqZ]nqYTjZJc,'8q>C6js8;`jrVHQh
+!;D!~>
+On\D@q=jm^s7cBbp@nU\qY0d[lLtqYna6,Fp]'IWnG<1Ms8)<[p%A=V!ql9]o([e1nb2eQrqQNf
+s7ZEc!;?Ed!;QQhJ,~>
+OkK9Yq:Yc"s4RD*rS.;,s53b5qV_D1rS7A*!8Qkr'%GR`hqd/Qcfj$@kgJYRg>:ZArnRP0o%X6!
+OkK9Vn^dNfrn.8&s4.S-daHXrf[eX%dEg6k~>
+Jc,?As7uipr;?Nfrr)fpquQ]kgA(^J(@V5$p>1a5L%s3%c1Cu1q>1!dr;6?eqY9m^Jc,?@q>0pb
+rr)lpqYU6fs7cTgJ,~>
+JbT!7s7HKfp\4I[q>L*ep\jdcp%nCXpZ_DOrtb#!r:Jd%<e'\dWQ4E)o(2MHp@e1PpA4OZpjr28
+pA+CWp\ssfp]'scpAjpdpAk!fq1&~>
+J_BkPs47G,g"G*6g\oq+hZ)L5iVh^3huDO2g\ogih&,A<eDfNC_f7qUgprWRfB:rFhV[8Lhr!8d
+g\T_*g61.ZfD4"nebRhrf`0S'edL!UdaZk#f%/9scdI=~>
+Jc,?As7uipr;?Nfrr2lrr;ZWpqYC!^iV48Qr:TmTqZ"W<=S)RGG[KP(pA4^drVQEeqY9m^Jc,?@
+q>0pbrr)lpqYU6fs7cTgJ,~>
+JbT!7s7HKfp\4I]q>9sdp]'sdo`4X\p&Fa_pZ_AgjneTCmeHh%;,Q][dW&CFmI0Z>p\+7OpA4OZ
+pjr28pA+CWp\ssfp]'scpAjpdpAk!fq1&~>
+J_BkPs47M.g"G*6gYCT_hZ)O6hZDcpi;VX2hZ)C2h>Q+.g$.<0bi.:4e_fSm4$M?a^Ks@Og>(WG
+jQ#4Uh>5n&h#H)kg%!\if(mklfDaG&fDjD0eC)dpf%AR)da?ChJ,~>
+Jc$Vfqu$?hqu$?fq>:'er;QZorVlcprVlcor;HNjqYU-bpYkl`o)JF]pAFNC:Qb\Wp?Ydto(DhW
+s8Dlkq=sd]!;hBGq>:!aq>C6js8;`jrVHQh!;D!~>
+JbKTIq"ORXq"ORVp@e:Ur:p]pq=sd\q=j[Yp@e4Qs7Z?al1Pt`s7,jRp[3o0MZ<M@j\BLTmdg)H
+q"=:QqY0d[K(o*7q=XRXrqQNfs7ZHds7ZHd!;QQhJ,~>
+J_BkPs47A*g"G*Yh#-%/i;_[9iS`Ynhtu:1h#H4-gZdN2g$.8MgYpe,20\ELgsS8af\><DjlGFX
+h>5n&g]6&jg%!\if(mklfDaG&fDjD0eC)drf%AX+da?CgJ,~>
+q>C'cnbi4[WVdh7q>:!bq>:!cq>:!bqYg?jqu-Ejqu-Ekqu$9dp\N\?rV@B*qsaXXs8QG%k5YJX
+olOQ$rUp-ap&F^[oCi:\ql9Siqr.JKqt^0cqu6Qor;6?lr;6Kks7lZiJ,~>
+q=j^Ynb;kQWV6Skq=sd\q>L'lp\=LYq>:!`"oA&ip\+:7pAOY$o(M>HmJlr`8)F:AoBpHtM>6T8
+oCN"RpA"C[p]:-aWqZ>_g%Y=;q=jmas7lNd"SVTaq>(!cJ,~>
+q:YSrn_*`jWS.1#s4ID,rRqA.hV[2di!&)thqm2EmbR0c(uF9'lItUe7Pr<Tk2=ut7<R\HjPSh\
+hV\7erS++#q:P5jn^mTdq:5;jrmq,"r6u#'g"P04eC)^lJ,~>
+q>C'cnbi4[Wr2noqY:-frV6Nkqu$9e"oS8oq=s^=q#1%*s8Dikp\<BMDYNJlq#>nBJc,?Cp@8(P
+o(N1[ql9Siqr.JKqt^0cqu6Qor;6?lr;6Kks7lZiJ,~>
+q=j^Ynb;kQWqZPgr;$Bf!;ZTg!r;]iq=t3jq=s^Xp"T3=ob[N!o^hM>cWOlKj7)U7H:iSZo_J.J
+qXO=Sr:g<epo=)ap=]39q"a[`q>^6fpB:3ap\FX`qLA~>
+q:YSrn_*`jWS.1#s4ID,rn7J0h;7&bi!&)thqm2En(m<es5=jZj5T%RhS;Z\gsFm6k%?Vdj5B%V
+g?%,Ihu2C0gS<Htf^[YbfD3qlebR_of)O:ue-O^[g=k3/da6Em~>
+q>C'cnbi4[Wr2noqY:-frV6Nkqu$9e"oS8oq=s^=q#1%*o_\O`qu<6gUAt8mqsnr4Gl7UAqt0[Y
+o(N1[ql9Siqr.JKqt^0cqu6Qor;6?lr;6Kks7lZiJ,~>
+q=j^Ynb;kQWqZPgr;$Bf!;ZTg!r;]iq=t3jq=s^Xp"B'=ob[#fo_%eOPtd_Es7Z-PED^fOqYU*Z
+p@e7Tr:g<epo=)ap=]39q"a[`q>^6fpB:3ap\FX`qLA~>
+q:YSrn_*`jWS.1#s4ID,rn7J0h;7&bi!&)thqm2Eg"l\c(#%X*io0-T4GW(aiSW3j4'gh+jl5%l
+hu2C2gS<Htf^[YbfD3qlebR_of)O:ue-O^[g=k3/da6Em~>
+q>C'cnbi4[Wr2noqY:-frV6Nkqu$9e"oS8oq=s^=q#1%*o`+aeq>Y89q>]^Znc)TgJ,0$?rV?0b
+o(N1[ql9Siqr.JKqt^0cqu6Qor;6?lr;6Kks7lZiJ,~>
+q=j^Ynb;kQWqZPgr;$Bf!;ZTg!r;]iq=t3jq=s^Xp"B'=ob[&po)8+U@oW!piVi*B:JQ6.p\4RZ
+o_S=Vr:g<epo=)ap=]39q"a[`q>^6fpB:3ap\FX`qLA~>
+q:YSrn_*`jWS.1#s4ID,rn7J0h;7&bi!&)thqm2Eg"l\c(YJ$1lJCf(6/:SGkgerY3+Un)iT/qQ
+j8Im6h>c6)g%j:jg%!\ieG7YjeGe&!ebmo&f\,!4f[S?rdXV~>
+q>C'cnbi4[Wr2noqY:-frV6Nkqu$9e"oS8oq=s^=q#1%)s7c<bn\.bPs7$'fp6A<`T_e<RqYKaO
+q!n6lr;$6Kr;$6cr;$6hrVufmqZ6Wlrqufl!;M'~>
+q=j^Ynb;kQWqZPgr;$Bf!;ZTg!r;]iq=t3jq=s^Xp$_VAp\je$q=4%Jl*a'0qrmtOn;g%HSG)IB
+q"X=QpA+IQppp.pp=]39q"a[`q>^6fpB:3ap\FX`qLA~>
+q:YSrn_*`jWS.1#s4ID,rn7J0h;7&bi!&)thqm2En(m<as4nLMgYCZ8UGHZIdH09<G:lF=h:L<:
+hq$W\huDO2gSNU!f^[YbfD3qlebR_of)O:ue-O^[g=k3/da6Em~>
+q>C'cnbi4[Wr2noqY:-frV6Nkqu$9e"oS8oq=s^=q#1$is69O_&qb;Vs7#aTs&iDoeGo7>qYg$[
+nbDYO\bu:#iV`NKq>C'crr)lpqtgElqu6Nnq#L2?~>
+q=j^Ynb;kQWqZPgr;$Bf!;ZTg!r;]iq=t3jq=s^Xp$_VAp\je%qr@_Rs*JS,roie;r)6HZd/W\2
+q"sUSq"FRYnbBZhq=`M9q=sd[rqZThr:^?fp\4LZrVD$~>
+q:YSrn_*`jWS.1#s4ID,rn7J0h;7&bi!&)thqm2En(m<as4nLObNe3SAm)Y,dFZt14#ne"kLn_L
+in3&`hu;I2gSNU!f^[YbfD3qlebR_of)O:ue-O^[g=k3/da6Em~>
+q>C'cnbi4[Wr2noqY:-frV6Nkqu$9e"oS8oq=s^=q#1%*s7lW]k]sQ8l2UJSLf.?HqZ$9hq>L*b
+nbDYO\bu:#iV`NKq>C'crr)lpqtgElqu6Nnq#L2?~>
+q=j^Ynb;kQWqZPgr;$Bf!;ZTg!r;]iq=t3jq=s^Xp$_VAp\je%r:9^Ii,PjuiW&B=JkT(0pAa^`
+q#'m]p\+LYnbBZhq=`M9q=sd[rqZThr:^?fp\4LZrVD$~>
+q:YSrn_*`jWS.1#s4ID,rn7J0h;7&bi!&)thqm2En(duumb.Qn)!'E1cc]R[lH88>g1W6$IbX#:
+jP8\Jhr"Flrnm_2r7e1'q:P5jn^mTdq:5;jrmq,"r6u#)g"P04eC)^lJ,~>
+q>C'cnbi4[Wr2noqY:-frV6Nkqu$9e"oS8oq=s^=q#1%*o_l4aE*B^?s6BW56VERAs7u*_nb2_R
+nbDYO\bu:#iV`NKq>C'crr)lpqtgElqu6Nnq#L2?~>
+q=j^Ynb;kQWqZPgr;$Bf!;ZTg!r;]iq=t3jq=s^Xp$_VAp\je%me<rIBMu"trT!p%4[k;,rUoIT
+nFcMMp@eCXo(]ciq=`M9q=sd[rqZThr:^?fp\4LZrVD$~>
+q:YSrn_*`jWS.1#s4ID,rn7J0h;7&bi!&)thqm2En(duumb.Qn(tRT3GZ-bneE4m8>pCk>io8\<
+j4)c9hr"FlrSRV1rS%A+g8`j%f^[YbfD3qlebR_of)O:ue-O^[g=k3/da6Em~>
+q>6'Is82B_q>9FO$MX>jo^_\Nqt9[WrqHKfrq7'#q"ssaq#BrRHZrh3@%ar3;f8N!rr3`2nG<%N
+rVcNds8McerVZWioC`(^qY'^aq>^;ar;$6cr9=+Or;HNmq#L2?~>
+q=]^?s7lNfp\=R[kk>&N#P7KXq"jXUpAXddpAX^bpAXe8p%84MPBCeF@T]##;G1\sjo,5Zq!@eO
+mJH\MoD8:Ro(_tTp$_GHqtBaXs7lThU%eBViV3*ArqHHf!;ZWjJ,~>
+q:LPWqq(l$rS%5*q;CMn$JO7hf@AO/hUpN8rn@G,rn.>+g]#tWgZ?t6?Wocl6\1Rc1f0%RjlYda
+e)0*5io8kQk2kITio/hNf%Ap=g"H,Ps4RD*U"T7mq:Fl\pXT;s#27b^e'cUkJ,~>
+q>6'Is82*Wl1b>Pp\b$j!Vl0^r<)upqtg<f/,]AGs763ZrVucgl.,h(p%/4`n`fiIqZ$H`s8W)p
+qZ$Tno(2\Vs8Mrinb2bXq>U5ar;$6cr9=+Or;HNmq#L2?~>
+q=]^?s7lNfp\=RYl1P2LpA4dg$MNrcr;6Ehqt^*arV.l<qu,m\lM(>MmbuFjl0[m6qs3>8q"F^_
+nGW7[p%A1\p[.D@qYU-ao'Q/Fs7lThU%eBViV3*ArqHHf!;ZWjJ,~>
+q:LPWqq(l$rS%5*q;1Al&D>drjQPX[e)K<Fi8WYPhVJ1d/D]7DjOWPEiU#LWcFE)ff%8mBe'?_-
+h<3_Lk3(jbiTBFaf@\s=io/eHdb4BIs4RD*U"T7mq:Fl\pXT;s#27b^e'cUkJ,~>
+q>6'Is82B_q=j.K(]XF*oCr%QnFcA?m-aKArr)fnq=s[Wp\t1<rVuins6][[s8)Wdqu?]op%S1S
+s7lNdmd^;VpAXsap\"7Xs7Z6fq>U5ar;$6cr9=+Or;HNmq#L2?~>
+q=]^?s7lNfp\=RWl1R@AqXX1Lp@I_DnEfH,nbE%Zqtg'ZnaZ2Ms82Nco^_h>o(2hOp$_SQs7c$U
+o_&7Up[[S8q>0XWp@IkFo(`4Xp]($fq4[QYp>Pc?q#:$fp]1-hqLA~>
+q:LPWqq(l$rS$r"l.m$:iS3#Ah;$Q9f@A:!f\tlMio/bngF:qEm-*Knj5K.Kh;IMThq[,SlJpUV
+h;ISUjPSP@jlYCZi8*2@g#(iCpXoN!rn=(!q:>Anl.#IXs4IV1g"4^$d*dF~>
+q>6'Is82B_q=a(J"7bjNqu6Tsr;6Klrrr;pqu$ElrVm`*o`"aes7u]pp](*[s8N&rrUTgbs8DN[
+rVm6%q=jg_qu?]prVuTds7uZj!;iMgq>:!cl21/OrVQWj!;M'~>
+q=]^?s7lNfp\=RVl1PGPmI9rOs8Dfir;Q^OrqZ9`qYU3equ$EYmJ$8Gp[ItPn+uV?rqH<aq!IbS
+rqc*Oqu?]np@RqMo_/4^q>(!_p]($fq#L2ap\FOAp\4I^p](!gq>U5@~>
+q:LPWqq(l$rS%5*q:k/i5hOZBip>soj5f=flKm]phr<\WjlGUgl.OhQio]C^kN:Rahq78VkiCgY
+iU,mmgtV&[mH<KehVm>Lk2kOZin=(Ys4RD*U"T7mq:Fl\pXT;s#27b^e'cUkJ,~>
+q>6'Is82B_q=j.K5l^i\qtTaPp@IkFo(;_TrpTOZs7P0_Xjb(mSWK&!RY?BUBQL`8i;WcIqYBga
+pAFOPq"XFTs8Vrhp@\(Oq=s^Ys7lWi!W)\fr;$6cr9=+Or;HNmq#L2?~>
+q=]^?s7lNfp\=RWl1RCBr:p*\nF#r<nF#f9pA+XRoDJRVf=S!*\ZM0PMM[ICHA>jDZHq5!qX!nK
+o)J=Um-=-2lgauLoC28<mdToDp\=das7uclpnINYp>Pc?q#:$fp]1-hqLA~>
+q:LPWqq(l$rS$r"lJ2d(m-!KkinN5Fh>Z.chVmV[f\YfTgr-.V]W%HVH@('lD/"5i>bJjPki^a\
+jkoLajP&8Dhq?lPjl"kHg"=s2g%X/!g&B^!g%j4pfBLfZec4;,g=b*,da6Em~>
+q>6'Is82B_iV5D+p%n^gqYL6aqu?]`cE3IkG$7@'8l8SR5Y>$S:JO/O6Wm,^;+b"hB6'-"T$#6u
+]uojErUB=Mrr<#ss8N)op\4^_s7l]lqkF#aqt^0Sqt9mcqu?Hlpj`~>
+q=]^?s7lNfp\<_@5kOXAs8Mcerpfd`r9DJ*Q%sE^6U+"4:H:C$9h7]@2F]`(6qg3?;bLP8MisRM
+aMPC'l2UJAl0nHJrV-'^qtKj[s7u]k!VuMbp\FOAp\4I^p](!gq>U5@~>
+q:LPWqq(l$rS%5*inaUk3TTPmjQ,X`jm;6`\<heh?pl\"1-7]L.lBRS3BAWN.mZ$T3\s,b;-\I!
+MRL""Up8P=jOVo;k3D./i;qlipXoN!rn=(!q:>Anl.#IXs4IV1g"4^$d*dF~>
+q>6'Is82B_iV5\8p\4C?\seS.G\^Yi>@:uC:.@]I9L:[UCg_*oD30L-<'EW_<(^M%EdjdXT>Rt,
+J7N#!Dgm_Ieb]=Aq>9s^p\4^_s7l]lqkF#aqt^0Sqt9mcqu?Hlpj`~>
+q=]^?s7lNfp\<_@5kt!DoA6sCM1'M[>ZY$5@8ole6UsU.0kOruARAr%I!nUD3+5KI=&j']SY)Ff
+YF'T@=C5`cLSW5fqXa=Oo_8+Ts7u]k!VuMbp\FOAp\4I^p](!gq>U5@~>
+q:LPWqq(l$rS%5*inZoXjl>C\c)-5?Ch-U?7Rp-K6TQtX2`<95=]nI&<EX`jEBYd%<'N647p]qk
+OH$N:LhTRS9ibeHOh9K2h;-uCg%X/!g&B^!g%j4pfBLfZec4;,g=b*,da6Em~>
+q>6'Is82B_q=j^[nbOlSTmplc<`iaOJsN+"KkXR`78%<ade<_9s7cQln,N7`ij,3Dq:23iE`I.<
+[/^.)%J8;WM/[$4JsD(BVV(V9q#C0hqZ$F3r;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Eh^\mp)
+q>BLSp&+dcs7lZiJ,~>
+q=]^?s7lNfp\=RWq=a@O5J*D1Am%r.>&J_LS!AJ5:eF&DA!bI0s7-!Trq#7MnFt\<R-+"cS9f!I
+Cl#@pqtKjPdA__3?<;K6J:!s:nb2_Wq#:*hp`&u&p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\;Mt
+q=`eAp\=a^s7cTirq_-~>
+q:LPWqq(l$rS$r"q;(W!6/el&Bi[ej6:tR#J;],";a<8p1Jib9i:#Xjipl3bn`8lVRu#YU^5Qf3
+5?rE*m-<csh8,Fs<_GhoHYR5O^>%E:g&Ke+gAos$g%j4pfBLfZeHjd[g=b*,da6Em~>
+q>6'Is82ZgrqcZjrqJGKq=s[Uo_AF[q=s[Yr;?Ehqu$?anbE.^r61t5J9Y-p<*XC&X22umPA4/s
+>CNBGa70-/rVHKgr_NLjqtg0aqYBmXgo5C'FckVRs8W)tp[,VJTs0i@G&3&"Y1<.AqtTj^rV??j
+s7Z9^q>'p]p\+U^p[e.Sr;6Beqt^-bqt^-bqt^-bqtnM5rql`nrr(+>rVQWj!;M'~>
+q=]^?s7lNfs7lThs7lTf3V`@Bo^_SHr:TgXo_/.Xp%@tMo^;#7r:Ta%SXt+H:eXP^BSN:n`3tV7
+:eOc3SY3jbs8Vicp\=O\pFl=9p@\+Pp%S.Mg8AstF-##@qYBm[nE.-.R]2@$De4W_WR1)-p[n"N
+q=XL]qssa[*;TC'o_/1Xo^h_Mq>9s_q"a^\q"a^\q"a^\q"Vu*rq?BdrqOq9rqQNfrqHKhrq_-~>
+q:LPW!8%5#s4@;(s4T]lg=k65gY^lDgY(99j4rMIgYLiIhr<VSiS2u@l/L^.MMl(Q5!M8%>BuO7
+[&/4J4ukr@MiFgflKR9aiSrkoj9"?"i;MOmi835+OBY4[HH4b'kN1g^e>$l:Q@3aY;K6rF]%Guu
+gXtE?g>(`He^r=$f@SO$eCrO'dF6\!g%!\ag%*bpg%3qtg%s>"f)OA$f[A@Ze^N"!f@ej/e'cUk
+J,~>
+q>6'Is82ZgrqcZjrqI/so_JLdrVH?ir;$0^naZAKq"Oadruga*B44AO>BY>8kPt1mNG)Kj=D*K1
+r;Z-Qp\t-eq#:<irr;otqYC*b1AUn@o`+sQU2"Y:c0P3*qt'O]s7u*_p9fs4Eb]QMZdo$OrVcEW
+pAb*fq"FL[rVcQjrr3&sp[n"Oao)/8s8;lpc2@P;s7lZiJ,~>
+q=]^?s7lNfs7lThs7lTf2t->3r;HNfp](*ap[mqCo'u2:o`"j`jdTRY5\O&4EPUE(lFMXU;+48e
+JA(UNjQc:1p[dtNs8)Njq#U9brUr5Fqss=Xs5TbcBp?Wuo(_kDn+m"SkPFYMLjEiHBnEJ5p\":T
+n*'9?qYKs[p\Xmeq#16mrqlE]nbL<$rq?BdrqOq9rV-BerqHKhrq_-~>
+q:LPW!8%5#s4@;(s4TWjg=k65gXb'7j5f4WhWNkShV6W4gtpoDj6c6qe;?sj03:GE@^OPJhQCut
+68h#%Dlhp]dF?k-hqQlCkP3s9hqn=f+l;53g#qSALJ_*([*mmpinE5OmGQOYh4/Y%=AW%:Qau)S
+h\4Vgf]:f>f[SR,h:pW;iS`VHf@'3@n_*Ha!86tt!872"rmq,$rn,ZN$e<_Te^rL+f@/0pdsq~>
+q>6'Is82ZgrqcZjrqJ/Cq=jOPo'u5BnaubXp\Fjes8V#UIs[(GcG?s-s7l6\goGTr:1JRFf_tX;
+s8Vims7QBkr;lcjrV/AJqt^$^qYU-ah6_]KN6(Ykq#Bd^s7QE[s6J%BU53buIXIdGs8Vrkr;Z`i
+q#:9fo(MnTq"amgnbL<)rql`nrr(+>rVQWj!;M'~>
+q=]^?s7lNfs7lThs7lTf1ALV:o'l/;mdoo<qYTs[s7Q<cf:R5,JaC@cXh4DtlgE5rD+R0"E1>5I
+na#uIn,NCap%\R_!VlEfp,MgBp\+=Uq=s[7Xa+K3_<q0jpuhSSmeZ,BjN4]sJSJJ8G+%(as7GpX
+r;$!Wqtg!RoC_hLpA+[Wq8rC1pAamdpsSp8p]1'fp]1-hqLA~>
+q:LPWqq(l$s4THeg=k67gY^lCg"4j,e_8U-iSrYLl/M$m`f=V=E8.atS>tf0g>Bi4?90u;?])PV
+hUplPg?@\ZoABZ,hYl7dhVd8Hh;@/Jhntmp;KAqol/(OOl0I*eeE5/eT87Aa7q,kW_WL"7g"Y?<
+e^rU4f$W""rmq2+hXT4fg%!\ag%j8!f)OA$f[A@Ze^N!tf@ed-e'cUlJ,~>
+q>6$H!;lWgrqcZjrV6Ei0DG2:s8Vfgr;HKbo(;ssI:Q_mDhcO.rr2Zle[epZ8R@Cqo)J@Zs8W&p
+s8Vliqu6TrrV-0fs8;upq>L'kq=4(Mq>C'ts6Hb'>^N.,s8)Tlq>UC0q=t!ip=dBKHu!P=Lr0/^
+qu6Egs8Vimrrr>sqYU3foD&C`ao)/8s8;lpc2@P;s7lZiJ,~>
+q=][>!;QKfs7lThs7lTf2tm(Cp%8%Xs7H'^qtTdPn,'P8>?=j;IDkFDp$Vh'Yu*qT<J8$Ls6T@R
+qXsIVs75dSqYpEenbW%\q#U9brUpBgn+$&ErV/)=q;eAa<HOYer:BOTo(r4Yo'uMRn'o"2G%G9%
+K"UmHp\ORWrquBfrVQB`p@n@WoD&C]anPf.s7cNfdeE_8!;HKf!;ZWjJ,~>
+q:LPWqq(l$s4TWjg=k67gYLfGgtU`Ik1ebOinrJAg$#8B8k)6LCpVgUjPB48TKk=g7!5Q_m+L7Y
+jl"qUkh=eIio]=Zg%aJ+hqn=f"Q%_^gYVnd0](s>P#F\UL<\u@i8rkZkN:[Yjm(X8VKlKB:/Yc"
+hU1'5f\5<Af&GWEgY(96gY)/Ln_*Han_*`irmq,$rn,ZN$e<_Te^rL+f@/0pdsq~>
+q>6$Hq>:0hs82fl2td1MrqZ?`o`+j]n*\u5I:6T-SAa@Ys8;oshXYGU9S/t_o)Jahq>^9Xq#C3_
+p&G'jqtp<js8)`pr;lcjrV/)Bs8Vc]o(D_Kp%eXfo#Zo!C8BbSq=s4Sq#(-hq>:0ks7P0ZPB18F
+R)SXrq"4@[rqQ]qs8W&mnb^H+rql`nrr(+>rVQWj!;M'~>
+q=][>pA"[^rq8;@q>U3^oCDAIp[@D3f;Npt>Af_>g$\h3q>&Y.A48q6R`=[lrqH$aoB5]Ao^;2G
+qY0[UpA"I[q#:'hq#0q@q#CBdn+$&Co'c2Gqs;4V=_+,WkO\9)rUKRTp%.kOr;Q09[>f$0?BW(i
+qXX(Fp\saep\Xj^o^V^up\smdp\ss9p\jjep\spfq>U5@~>
+q:LPWrR_#$rn@J-h#?%ef]22UhVHu?jl+nBe%q2V7nHs<X2j#]j6,UEfhsU^Bns(Jlg*WflJ'_?
+j4`)7io&YIgYCZCptc&-h#5t3gudYLe(*+Mfd>P8jjpPS6V`HTdG<U&kMG4Zin`MOk2t:0Rr_Lr
+7!PQVi7QQ3h>Z(2h;R>Kf@f`Hn_*Han_*`irmq,$rn,ZN$e<_Te^rL+f@/0pdsq~>
+q>6$Hq>:0hs82fl./<`:p%J=]p?V\K\8tYYGHBR!r:'@SpA)("7$DJnp$VVTrq5jVs7?6i!WDro
+rri>uqu-Qkrr;otqYC*b3;Me4s8W#iq#CBgoD/Fdrpce-CP1+9p&FgbrVQKiqtU-ao(rCcdA)G5
+@YMl!s8N&uqt^-frr2Hbao)/8s8;lpc2@P;s7lZiJ,~>
+q=][>pA"[^rq8;Bp\"%Gp\44?q!PJ+:gA%;eG8e%mIK`:X].HBAuk@_nbMtJm.'o=q>^HgpA=me
+qtg*\p%S:Yq#:'hq#0qHpuhANs82H_rqZ*OoDejcl^i',IEhf\s7,dUo_%qNo(V\@o`+^0SUb?X
+J&1dWq#:-_oC_kQq=47%p\smdp\ss9p\jjep\spfq>U5@~>
+q:LPWrR_#$rnBQhgtUT>h;R8FgYq,Gd,N]K=?8oVP/?DBfA#6>i1!%`H;p<eeDB?IgXb-<e`#`Q
+h;$uNiSi_OgY:QAptc&-h#5tfgrnF6k24hGio/YDh<F4aeVIC)B=I0Zl/(F[iSWSNgu$f5g?.7s
+K4[hEAZ+8EhW3VLg"Y?>gtD8Mn_*Han_*`irmq,$rn,ZN$e<_Te^rL+f@/0pdsq~>
+q>6$Hq>:0hs82fl1A1A4p&G'eihh?=B7m>As8)K`s8VbuE`Q4<K=^CCrr;rmq>C6lrqZTnp%\Re
+o_81Zrr3#sq>1*jr;lcjrV/>Is82H[p\FRTrVlcjoCMn[oBs5/?B<;(s8DZ_q#C9`qZ$Tlp\O^W
+pXu[%C2fW[q#:<nrV?<ZqoSd8qu?TnrQY9=qu?Hlpj`~>
+q=][>qtU3crqQNfrq8;?na>oEs7>'?IU?Q5W7Un;nF-2Qm]:2":J-#@jRDp?p[e"Mq"a^VqY9RO
+rVQ'RoCi"WqY'OWq#:'hq#0qIq#C3^o(MkPo(VqRo'Pi<s6]$XBip52nb`(MmIL,ImI^8Oo^_\I
+mI8N"Ht$cP]^YXlqXsCLp%S%PanPf.s7cNfdeE_8!;HKf!;ZWjJ,~>
+q:L>Qs4[M-4l+oKgYL]>gXt6BlJ9L=BLtm2P/65;h;%/ZgR2/+4?$uIdG<mHiSE8Hi8NPGi82r6
+i82o6g"bKDi8!#\h>uHfrS'?fk2+_@g>(E5hr*DGe^`O>e^0ja5]NpZjl+qFguR>Bgu@8Ge_&L&
+f"-lQ92U&4g#(lNhV-`=g>^f=fDaA$fDaFNf*g-Xe(*('f@SL"d*mL~>
+q>6$Hq>:0hs82fl/GoABqtJa1?!_<>k5Y,Ds8W&to<`+#;fn<%s7QElnbN%Yr;?Hfq"Odfs8Mus
+#6+Dmr;ZcnqYpNn!W)Wjp]pWepA+R]q>1*f(B+:3q=sdcs8Dr3Bl/Uep](9gq#(-hrVc`p$ig/'
+qUqQcBQ]fioDS[hr:9a,r;QTnr;QZ>r;HNmq#L2?~>
+q=][>qtU3crqQNfrUqc9p@e(+P?:t"S)OA9lhgJNqs:Fl5tl-Uo_S"Ps6K:Kp%J+PoCDGIrVZKj
+q?R#po()MMq"=LYrqQQhrV%K1oC_nSq=sd^p%A(Tp[dtIr;ZNd\RT9&i:6dBo()MLpAXddq#:(#
+qXjIOd@"l[D3N!*q=s^Zp[\+$p\smdp\ss9p\jjep\spfq>U5@~>
+q:L>Qs4[M-4l+oKgYL]DiS`YL]mW47:kd*Vg=><Hj650b9J/>/Hf=/BkNpaThVI&Fh:^H4gu.)F
+h;$fEhUpK9hqm,_h>uHfrS&LNf@es8h;$iCh;-uIhqQl>jQPLZThA0pb1l+?gtLWChYu=2g]#t>
+j5&SH\q4!T<d_+#io/hPg>^f=fDaA$fDaFNf*g-Xe(*('f@SL"d*mL~>
+q>C'cnbi4[WVe.>s8VlgrVufqqtp3as8VW]s8'Q`AnuOho`+FZs7,aXrOH?-<GRBcq>gEkq>pKk
+q#13ks8D]is82B_q>;Z@rV6<jl)&*3]__TtqZ$?grVl`kqYpNpr;$<krUK!!EG0m:q>^<hrr3<$
+pA"Ucs8MokqX=@Xqt^0cqt^0cqpG?7qu-Bkq#L2?~>
+q=j^Ynb;kQWV7e4qYKgSq"sg_p%@qIqto^Irq!^J?Y"&LmJcADqWdJ@pp=9n:hG=Tp&+Lap\=^_
+r;-Egs7l9]o(`%S2?!:?pA<mC@;31Bp[%PKo(MhQp\"4TrV6$Tp%e:Fh03R@Gdd/BoCr+[qt9LN
+q"ad^p@S%Hp\FOYp\FOYp\FO1p\OU^pAjpdpAk!fqLA~>
+q:YSrn_*`jWS&ZMgt^H1gYUZCgYLW<j5\V@len[S9Mo#Ug?[>MkL\GFigrUk3`'YghZ2U6h#lEe
+h;8.dr7h5+s4c\iq:mphh:UNAabEAcT\eYWgu?uAh;6l<f\GEDh:g`FhU9DO;Ft;hg?@5Dh;I/B
+eCNC0h;$]8f\5'Lg%j4pfD4"nfD4"FfD=&+eC)dpf%AR)daHLkJ,~>
+q>C'cnbi4[WVchtrVc`q+o1Zqs8V`kq<\.%R:K6=Z0))\q#C-[s8V/D>tS=F[IsRqq>gEkq>pKk
+q#13ks8D]is82B_q><#Dr;6Bks8D8RCj=;+rUU!drr2lrs82<aq=sjes8)Bfi37`=A<k=;p%&%\
+rqZEao_A@anbi4[q>C'cq>C'cdJW\7rVHQi!;M'~>
+q=j^Ynb;kQWV7e;q"XderUfI>s8;<boB-(gP$Lb!Wo*[BnbDY?qto30=@H82Yjh\go`4abp&Xp_
+rV?BfrqZThp%S%Pq=Zc=p@\+Ws7bW@Aoc#np[%nQq"a^]rV#RNnaQ/Fq"!eJfVj$r>`HYtnEouL
+q=O@Mn+6GUqtg9]p\FOYp\FOYp\FO1p\OU^pAjpdpAk!fqLA~>
+q:YSrn_*`jWS&ZTg=kEDi7H<"k2b+WgWo)dInD_*Qd"XKhW<VHkig0668(T/RbI'&hZ2O4h#lEe
+h;8.dr7h5+s4c\iq:mp^gtUTDk2"40:gC?jhpUT@hV?lAi7ZE2g=b9?iS2oC_3&.k7<YZde'Qh-
+gt13.dam:6hVI,[g%j4pfD4"nfD4"FfD=&+eC)dpf%AR)daHLkJ,~>
+q>C'cnbi4[WVcqnqZ$Nenc&P0rpoUZpUkun>]mjVrqZTjqu?]gj/5pS;Nfr4r;Q6^q>gEkq>pKk
+q#13ks8D]is82B_q>;60s8Vofq>C*YaF[`anGhqSq"=CXqu6WnqY9marVmZ2rVu;pGuf@:s8MZj
+s7ZKlrr;icp&FR[q>:!cq>:!cq>8S;p&"^as7lZiJ,~>
+q=j^Ynb;kQWV7e1p%nIQm.p\]q!@>Dn[<^U<GoA:p[\1Po_\FNgn7G99o[lup\F1Oo`4abp&Xp_
+qYC0frqZThp%S%Pq=bm&r;?3Vo_8"C_L,IIlMp)BoC2>DpA+X[o^_VIrqRB1p@nLKZ#``d`r>f&
+rVuEcq>'p\mI:#Cp\FOQp\FU[p<iX2pAO^cpAXddq#:,?~>
+q:YSrn_*`jWS&ZKf\P<2cemmJi7-6;gRr%U6X6PGjl#@]ip#U[b)SSA2g<3riT&MbhZ2O3h#lNi
+hVS1cs4dP.s4cDa*806,f@/@*g=!!35^:`>cJ$jue^rI.hqZr<g"cSa(ZjH.im*ln2I!0>gsY-A
+eDK':hUp3(hXT:pf(mqneG7Yjf$W+GedL!UdaZk#f%/9td*mL~>
+q>C'cnbi4[WVlbo,l[iDp[%nHrr9QL@;MCWp\a^\rV6*dp"ccO4*@[_pA"[bo)JO^!;l`k!W2fi
+rVlfrrV-6iqssRYr#kk7rVZZpr:9mfjcWnp`Voi5q#CBlq"t'irVQHgrVu]lrt>7d]QRk(T[iN*
+r:Tg[rr<#sp$qtUqt^0cqt^0cqpG?7qu-Bkq#L2?~>
+q=j^Ynb;kQWV?De,l.B8n`KW0q"_:4>@s)=nFc5@p@7VKmae:31iB8GnalbRmJQeQr:U0cq"=I_
+q"=CPq"aYCp%\=Vq>C!Sr;YZ5=*).Nrq5m\s7c-Yq=s^Wo_%tSoD/:[rV"mPEF<LMd-C2rnFH5I
+rr2]^nb;kQnb;kSq=`51qY'm^!;?Ed!;QQiJ,~>
+q:YSrn_*`jWS.:*,i%;6f?E1!i8L8-78SQBhW*DMjPSeXgr,I@,$U5KgYM)OfB2nd!9!h3!T)`4
+hYGt,gYUXCf\>07gu$i4ionF)5?Xi=iRl`=iRuc6gtplAg=tH@g#(cHj4qA=<'s?.Zd%%Se(*(*
+iSiP?n_*`hq:GGlq:5;ldF\6G$e3VQeCN:'f$`!ndsq~>
+q>C'cnbi4[WVe.<s8Voks8W)upn_(hAu#>%q"OXbs8;Wkl^h3R?_7,Us8VQbs7c9`p]1-gp]:3e
+q>10jrr2rrp\b'go(i+Z"9&)jp\k+=qsF=]a(\kDp&G'bo)/O`qu-Nlq=sa]oDJOXo`"mes5')D
+>G1'Vrrr;go`+sdnbi4[q>C'cq>C'cdJW\7rVHQi!;M'~>
+q=j^Ynb;kQWV7e0qu$$Vs8Vinn=<BH?CUWYn*]`?q"*qIig!;.<gE:7s8VK^s7Q'\p&Ojcp&k'a
+q>'parV?Kgp\41Pq=b$ep%%\Mrr4YEkP"ql@p"c\r;?'Op\OOVq>0mZo^qkGq"X=IqY^$^f8rg.
+RGIc:rUf=@rr;NYp\FOQp\FU[p<iX2pAO^cpAXddq#:,?~>
+q:YSrn_*`jWS&ZKhr*)=jlYC_fn_^G8VZ0^hVI,PkMk=Zd=a\?7>0UAkigOSk1nbgh#ZEkrSI_6
+hr*GihZ)C2g]-!aff.X:eC<:6j5Sh>hWUk/5&o'/hU9a'gt(37h:pT6f@eU,gX=R,hq6i"FuDC2
+_r9P6g<S1.jjinSq:>Anq:,5jq:<sFqUQ&(daHXrf[eX%da6Hn~>
+q>C'cnbi4[WVe.;s8VoirUo</K4o/2p]'d`q"k$gmdU4GCe@]kli6n_o_S@GoDeFXp]1-gp]:3e
+q"t'is8D]is82B_q><2Jrr;oioC_kXp[\@ai/pfbaoD>.qu?]jq>C0fqYBseqsjR`s8)WmrVu2]
+@9S,sm/R+WoDJXYr;$6cr;$6cr;$6;r:TscqZ$?kpj`~>
+q=j^Ynb;kQWV7e/q>0[Pp?pggHXLHgn+Z)?n+$5Fjlc<#@mNeGir8WNo(_q?nc/.Tp&Ojcp&Xp_
+rV?BfrqZThp\41Pq=ci@q>0jUmdTfIna-/Qg5JXM`;KDqpAb!]pA"IXp\"7[q!IkVrV$!^pA!^A
+>#TXWjo>;Gm.L2Ep\FOQp\FU[p<iX2pAO^cpAXddq#:,?~>
+q:YSrn_*`jWS&ZJh;6`7gsj;WA4odfg>^WDhVdVWeCN]4;D:1XdI#rYg#(W0f]Uo`h$;isiSi\O
+i8OXmrSIS0s4dS-hUsm?gYCK2d*gG+g!o'E^i(f1Vr$.Of](]:fA#$5f\"g:g!JF4hV$W@gtp2.
+5WN,DbN@j5dbEU3o%Eiiq:GGlq:5;ldF\6G$e3VQeCN:'f$`!ndsq~>
+q>C'cnbi4[WVe.Dr:^0jfTfoNA@)=9meZtTs8)3as1qu97Yg4-rUomTkPkMWpAXXYp]1-gp]:3e
+q"t'is8D]is82B_q>:9bqYpL(rVQQis8)?as6n<3J]Ici"nqN_p\4I^q$6]doD8Lan+6PY%JTSr
+o!*%GRFhH<rql]br;$6cr;$6cr;$6;r:TscqZ$?kpj`~>
+q=j^Ynb;kQWV7e?p$_bRd>_=/>c[i%k48Q;q!mMDrjYor4au;fo^)&6jo#/Qo_e4Sp&Ojcp&Xp_
+qYC0frqZThp\41Pq=cf8p&4phq"FLTq=O(Ir9DI!I)>a[rUK:Kp\+CWq=saUoD/F_n+-MYq=*kK
+l`+Q+P0it'p[mtLq=a@Qq=sdZdJ*M2rV$<crq?Efrq_-~>
+q:YSrn_*`jWS&Z[g"#$=[rt,%7@*0$dG=*@kMXnUmAE<./8`]"j4iA@bi@pDgZ-o^h#ZEmrS[k:
+iSrkpi!/&ngtUT;g?.)af/V(+h;R2Bf%Sj8g=+g9c)r^,Utk"fdEU4lf@JX,g"+X"g>L`1e)B<D
+f%&[*OA&2i[b^'$g=t?Pg%j4pfD3qlebReDfD=&+eC)dpf%AR)daHLkJ,~>
+q>C'cnbi4[WVe.>qZ$#jE*dV"qZ$*as7c6eqZ$T;GYqOsiW&ZMqXjgcs7>FNr:'RYp]1-gp]:3e
+q"t'is8DZh&,Z2"q>:!bq>:!bq>:!bqt^.Ks8)E_r;HQiq#CBlqYg9^l%NNJq"jU^s8)QcqYC$_
+qu?]hq#:<foDAL`s8W&f[tephe+ES<nbi4[q>C'cq>C'cdJW\7rVHQi!;M'~>
+q=j^Ynb;kQWV7e2nFc"HBi]#Xo)@tLrUKCPnbMppDb*WOf_t70na$,Js7,4HqX4.Sp&Ojcp&Xp_
+qt^6frqZThp@n+Pq=ciGp$hPHq"OIQqYU$Zq"=(9J6T#Ep$VkXq=aOVq=s^Zs8DW`rVcBVo_.qP
+rV#N\J8(+hmIg8>pAjp_pAjp`p\FU[p<iX2pAO^cpAXddq#:,?~>
+q:YSrn_*`jYhAm,-e?o)cB:sf<1hq.e)BECg?%8Vk-&)M4`&1*h;[AHl/1^Wbi%I1htl.0hr=Un
+"5r.tir.g8h>l@1g]-!ig%j5Ygssd"f@\^,f%o<=g=t9-a(%8je^r+,h:pQ5f[na*fA><3eDB'4
+dFd7,hVm88Q=Nd5ZI.F^rn7D+gA0D'f@edPe,\(qf)XCueG7Yjf$W+GedL!UdaZk#f%/9td*mL~>
+nbi4[W;I\9rqH-bs8Vons7ZKgs7H?jX(cBgRf<'Ys8Mfhp&=gligre3B$pGN!;ZKcq"P$ep@e7U
+qY9sdrrN,tpA>?rr;6Ehr;6Ehr;6EhkPQ(po8-Ycs7lBhk5G;Rs7lQjqu$?hqtL")s8'QQA>8/`
+qYU<mr:Kgbs8DlorVQHgrqufnrqc0_q>8kCq>L-ep&"^a!r)KaJ,~>
+nb;kQW:qY9q==(Nr;-'[s7#sXqs==QT3br:P4nG=s8)B\nb;\JgQt;l?cr6:!VH'_pAag\p'(-]
+o_%qQrV?Bf"oS8oqYBp[pC-ikq"ORXq"ORXq"ORHpD<erKN5V`oCN"@p\OIYoD87Wp\=LWp@e=V
+(]F$>DI8slq"47TrV#^Ps8)Nbq"XUVp\ssfp\smdq"+7Up=]31q"FF^pAXgdq#C/?~>
+n_*`jWS&ZNgY($(g>C`<h<*;LgZ-iJgkeQp:4(mMgZIDJg=Y9@iQ-[,.nmGKhuMX2gAft.h>6"4
+hVI#Ehr4OlrS@b6hVHuBgY132!nu>]rn0Zrct55,j42`DbMV4-h:('-e^rF+g>(K;g"P-5g"P-;
+f:Pl+J&9sogY^rEdb!O7g=P!0eCE'tdaHOkdF$Fne^rFPg%a1pf%J[Nf_O(neGmr&eCN:'f$_pk
+dXV~>
+nbi4[WVd1tq>C0hrV5sZr:'^Zrr3.eD-;;&oD\b"qWIeVn,!"YX(+>*\*s@nqZ$Bfp\4I^pAt'c
+q"t'j!ri/schn=Es7<(/Qf%i7s8Vllqtp?^r"Au%s8TuO?]XOGqt^0irpp!bqu6EmrVulps82fl
+nbi4[g&1[Eq>Bp_rV?Tiq"K:~>
+nb;kQWV7e0o_8+Tq"*nEp?MGBs7uPK@81dMkl(MZo],`FmeQ\MUg,icYitoZo)\LVr:^0`p\+UZ
+!VZ<fq>:$gqZH]jq"W20$gmu^TPp"Is6]j`o)A@^q#0sepA+G&q!nCa^1CK*jmVm6pAOgSp\4CS
+p@e=[q"aa\p\smdq"+7Up=]31q"FF^pAXgdq#C/?~>
+n_*`jWS&ZGeCW=+g=FX(gsY-7lJq#J9/g+JdcT`Qg;r+0dbWj;O\$flS^lm!hu_chf_sP(h#H4+
+hu;L4hu;R4hZ)C2h#lHeg=jm+%+!t\Jl-X&jO`b[g>)\[s4./$s4[M.!8@;&,MLW,j.Jn)D9LPc
+g"bWCd+R+'e^N!uf@&$mcdC+edFHe!fDXCufD4"NfD4(peb[epdKn@Rf[eX%d*L-j~>
+nbi4[WVcktqYC'grZM7:s82iln#(,*J]%*Zs8Mifs8Vlis8Vn*<ChB*s8W)pqZ$B^p\spjp\=R[
+qYC$frrW2urQkBPs7lTm\ls4?rr;Kds7ZKbnba4%r:g!dnuZ@sVt^5grr<#ss8W&pqu$Elr;ZZn
+qXOLZqq:oCrV?Baqu-?mp\=K5~>
+nb;kQWV6Mjp%8"Xq&oP*rUp3^l(McaGIcu4q"O@Kq>^$Ws8DRr:I9*gqtg*ao`+U\pA+C\p&t'^
+p\4IVq?$Kfps8[FqXaOY[8h/+q#9RQq=4LRqtL-aq=b^#p[[qSmAO;^U%/0Uq#:0cqYL!]p\=R`
+q#C*fpAapZp\FO9p[S%PpAjpdp]($gq1&~>
+n_*`jW7`NJeCWI0gtgZDh<<V@Mbu9:T[;QPh:UB=kh=eTjPEEf/6pcfjPp$m!SlE.f_sP(h##t-
+hZVfni83AihYQ"/gY1B-fallggY8&R;9.\^eDK04j3R\Us4[M.!8@;&(Y[Qle_e]15VIuGk1ebO
+hV-c=f[SF$eGdksdF/$As4./$rRq"uq:=6Nq:PMnqUGMm#h7GXf%/9rcdI=~>
+nbi4[WVdA.r;-?gq"t*kn,3.JO`50GoD\b&q<J"[qZ$?ho:K;G?a0P0mf2hRqu?Nhq"a[aq>^6g
+q>'jis8N#rrQb<OpA4O`r4IAtbkLo*qYL6gnba3rs8Vc`s81uDC3./cq""I]r;HQlrquQjr;ZZn
+qXOLZqoSd/qu-?mp\=K5~>
+nb;kQWV7e=p\":SoCi+^l1Xl2MeZn.m/Hh\o&K`Ho_n@Tm?q$/=fV8skl0oEp&Fa^p\FL^p]'sc
+p\FUfqYBs^ps/UEnb)JMpU><``piQfo_&.TqtC*aq"GTos8VTVqtB$0A8SmKo'Q;Hp\=LYqY9^^
+q#C*fpAapZp\FO1p\FUXpAjpdp]($gq1&~>
+n_*`jWS&ZTf@AL*e_/jBcedR%F&Yr#d,NsFfZE47gu[8If7Q@,6'C0id,rgQh#Q4/g&9\*h##t.
+i;_^7i;_[4h>Q(2gtUT;g<S@^e(<+*fpPr>Yhe*dg=Y94rmq;+g=k?9q:Qb9j5\S7h:T\g9N.S:
+f[/I+g"=p-f@A9tdaHOkrmCbrs4@5&q:GGndF\3EqUGMm#h7GXf%/9rcdI=~>
+nbi4[WVe.<q#(0ip@S(Rs8BEVC:sTDs75:Os8)cfs6p!FEE=iPp&+X^qYU<hqu?N`q#C0iqYg6c
+q>gNnrQP0Ks7l!]hJ-B@s7>sanc/.W(]X:'rr;uor:SBn>Be$Zr;?Njq"k$jqYpEmqu6H^r;$63
+r:Tscq?$EdpOE~>
+nb;kQWV7e2oCr+UnaH#=q=h.>A@DO3s6\bDs7H-Rroa=5Bhp.2n+QAFo_&7\p&Fa^p\FO_p]($e
+p\=R_prrIAs7>ISfk":)s6]=Pm/QVM(]X*rq>U3_p[?4W<H>kEp\4IVoC_tVpAXjep\smVp\FO1
+p\FUXpAjpdp]($gq1&~>
+n_*`jWS&ZKe_/a3eC)k!hqaW-9V1D"j3PX%jP&MAkL/Y4<]h%4e_Jj3g=tccg\]\(g\ot,huDX7
+iVhX5h>5n)g<A4^j42<4]1>8olIFJAcK!O.g"H>Xq:QPCe^E41gXk00YA-.!U=@oMg=Fa'g=lMS
+s3^tre'n9IrRq"uq:<sFq:5>krmD)%f%AR)da6=gJ,~>
+nbi4[Vu-Vmq>UBn)",+\FJ&1)q=jO]s75pamJlJOZsH^=eF3D:"7?-gmJ?b\qtg-^q?6]lq>'g]
+q>U?:r!rc&qu6Hko@@A_fDk^EqXFD!m/6n^qZ$Tjs7Yd&M-c+pqu?]pqYgBhrqufnrqc0_q>8kC
+q>:!cp&"^a!r)KaJ,~>
+nb;kQVtVM1o_JLcqWPG-DOKnioCMMPs6]CSkPsQAXA_\ialrd(s60L_kkOo@p]:3crqH-]bkDVI
+o_/+Rq<lX8@+##Hp%@hK([(Pmq"=L[oDJ+>`e7KLf(T+Cq"=FWp&=adp\smVp\FO9p\FOYq"FF^
+pAXgdq#C/?~>
+n_*`jVqEBJf%f6Ch9MTl<.WT\g"+U3j3Z?8c03@9QU*Ps[EdgkjNHWFbOaHfh#6.,i<J<!hVR#B
+h"]UIfb<>qf\>$4d'Q87\`hc%f\+s0g"H>Xq:Qb0g#:Z:gt^H;f#t.-4DD@Yi8<2;f\"a)e'lan
+rmUhtrRq"uq:=6Nq:>AlqUGMm#h7GXf%/9rcdI=~>
+nbi4[WVler-2R<5s6\3gC37ktr9jUbnb`@Qp](0km<r;HGi\Mss75j_rT=.Vr;ZZjq>'pfqYp?n
+qY9g\q8rOFn,N@Us8VWh`*7f]s7u]enb`UkrqQKmq>'sg$h(`Z>.NDas8Dilq#:3kqu6H^r;$6C
+r;$6cr:Tscq?$EdpOE~>
+nb;kQWV?Gk-2$d&r92@UAT#]]p?;PVnbW7KoDeO[j`49rCY.bJqX*ePpu28Lp\=O`qYU*gq#:'j
+q"OLXprW7@lMpYFs8;6[^/]OEqXaXRnb3k"q=FFZo^r(YrVuo_[sV2_f(K":p@e+Wq#C*fp$qeP
+p=]39pA+LWpAjpdp]($gq1&~>
+n_*`jWS.=0-.p]$hoi3685ukGgs5!@ceI@#f&kcIc<`_">0#.Qgs=F/g;DnBg&9Y)hYZ72hu;O9
+hqQl?rn>?E&'X(fc/RU*h53DHdGW^8dIGm+j4i,=h:C06hVdJUc'hrtQFPQ(g=Y',rmh%urmgPj
+q:=6Nq:>AlqUGMm#h7GXf%/9rcdI=~>
+nbi4[WVdb1rr;opl)JE(U\"B_p]'p\rV63grUK^)E(OHKrVm)ns7H?iq#C3gs82Zgq>:Koqu$Bh
+qY9g\q8rOFs7lWorV?HjoZ1Hts8VHcnba0mrr;fis8Vrgs8;Ngs5:(^QJ237rVc]ms82flnbi4[
+g&1[Cq>Bp_rV?Tiq"K:~>
+nb;kQWV7e2q>0j\jJ??iT'c4MnbVeJrV-*eq<RXfBKfFuqtKg]mf2bQq"+O^p\=O`qtp3pq"ad_
+q>'dYq=r)+&,Pnps7l6^p[5n&KDGB,s7,h'm.pVPo`"m`nG;nJq>T-K;N]N&q=saZp\=LVpAXaT
+p\FO9p\FOYq"FF^pAXgdq#C/?~>
+n_*`jWS&ZLgtg]=a,!2JJ^`B7fAP0/gXt3?gsOfS;(=l%lKI9cd,WO0g=>3Ug&9Y)htu@:hr*JP
+i8*/cg;V_Vgst6@g=G$4euD)Qhr)Z<g@Eo:cJ.7-f&5N=e(ra+gu5r*1ip.XgY1B7f@AL(f)F4i
+fD4"NfD4"neb[epdKn@Rf[eX%d*L-j~>
+rql`nrr&Pg..d65s8MiirVuNbrn!6EBBAa`qtU*hs8MZjp[nLVR8HS-irB&Ps8DQes82Zgq"t$f
+!W2`gq8)t>s6[a/I/O$@nc/Xds6Td]l22(ZF'b76mem+`s8VukrVcN=r;$<er;$3bqt^0hqZ6Qh
+r:g9dJ,~>
+rq?BdrqN2](%1\hr;$!Wq"sLMpsFt.@c6\Lp@J%Xq[`;up@/+KP=\)afDY='q=aFSq"Xa_rqQQj
+rqc`mq=sa$pCI;e^/]@Mr:K=QrV$0Ps7GRM&*Rn6PPaV=qY:*jp@J(So?m=.q"a[[p%e@Xq#:!j
+p%J(OpAXl<~>
+rn.8(rn=(!.+$N!hV6W4g>:?3hR@Gm7DmO-g"+m6hV?W@f@/g/GqpmZ_sHC6k1]CXqq;#'s4mS0
+rnme8rndb5h>Z-@faum"c(mF+gu@&8hr*2Eal1b6fal5%4EfT*g>(E>iRl]7g==U&q:PMpq:5;j
+qUGu&daHXqf@8<sdEg6k~>
+rql`nrr&Mfs8NN$p](9mo`+s0H"a#=qu7<-p&FLMqu>_q>$J30s8W)uqu--as82Zgq"t$f!W2`g
+q8)t>nc.a=>Eo0\s8V`[s7u3bl21nZs0Zlfcgh#7na?DV!W)fCr;$<er;$3bqt^0hqZ?Wiq>L'g
+pOE~>
+rq?BdrqN/\-iEi2o)&F^mf30uF(1d'qu$Eks8Mf_rU0.Ks57Tj;lB6do^VPAp@J%Rq"speq#L9j
+qZ6Qhq"V]"&+'>SP#[P>n,NFVlMpMCros.fmJO2*D9D5@rTreFs8)EadJ*J3q=j^Xq=j^[rq?Qg
+p@e1QrqV'~>
+rn.8(rn=$u-f3Y-eD9'<eE5_c=\+.chV[8Lio/Y@i6]m*j2FeT4HSCaiSNMGg@Ekmg&Ke+h#6+/
+huMa8hZ;Tgrn>!;&'sCXGWU$+e`GrAc/[<thW`](ceaj^:p&(!i6KO$j4r8@dF\3Hq:GGmq:,8k
+$e*PPeCE1$eBlUhdXV~>
+rql`nrr&Pg&HDV%rVu`js8(oS@tNV<nG<.[!r)Ecr;R2691ERRpAFIQs8W#qoDJXcqYBp`rVQ]n
+qY9m&r"&E!p?@?(]DqL&rq6-fpA=+Ps8NQ$mriQ6i;WcVrqH*_s3^c?rV?BeqYC$ar;HNlq>U-h
+pOE~>
+rq?BdrqN2]&H)4mq"j[Vqt/j=?$t?*lLk/K'_:efrVZQiq63:Q@GC8Dl08'Co(M\Ls7lThrV60a
+rVHWlq>C$dq8)e9mf2e:JO?jCmJZkMp&FRUl1Y_dqs`liB9:jBqu-?]nFlnZp]($Ap\FU[p\FLX
+p\FU`p\aaaq1&~>
+rn.8(rn=(!&Dl$hg>(<3hV-)+7:O$od+J?L'\(Uai8NVPhj,iB8\rs3daR:?g"Q#MrR_#$rS7>-
+rndh6gtUQ]g&9O=falKkf#_VVS`J>]gsam6dFRj@qq(l$&`;HobuRP^^u!r+gssm+iRuo_fDjCS
+fD4(pfD3tmeG@]'e'c[of%8I&d*^1fJ,~>
+rql`nrr&Pg!;QQi,Q@`>n%XKiU$D[Xqu-Bgs8W#qs826aO@E67lMpbUrr;]brpp!eqtg-`qu-En
+qtg*`_>FiDp\OpIEaI/hs8)cas8VZSr"&Dqr;Zf"EdYpus7l0bs6mf%nb`(Ys8)fmrqZTh!;D!~>
+rq?BdrqN2]!;$3_,5M00lFD=RS)jVIp%\4RqYKs]rq5LTMEjstjT"lAp\=4Fnb<(YrqZNfq"jsd
+!W)Wiq#1$)pCI,ko`*T\=Ng=4o`+4Ss6f.G&+9,bs88g3G/<PFoBlJRlML>UprW:+pA+IWp]^Ec
+p\+=TrqV'~>
+rn.8(rn=(!!7h)#,hq2-c(AQ@K?E?9gY:B6gt^T:iSDrIE[Wkibi[X1h;6W/gY25OrR_#$rS7>-
+rndh6gtUQ]g&9O=fauuig?$.M5dT5)g>pK5hojXBg&'D$fb)Wag>h1Q;I$-Jk17o:hosd,rR_)"
+ak-@>q:,8krmM/&f%AO'dF$:gJ,~>
+rql`nrr&Pg'(l5(o(rCHWF^Fgs8V9Gs8Vukrr3T)meQm)6<r%6s6fmds8Dlmp[\7^qtg-`qu-En
+qtg*`_>FfBqZ$0ecsUG`s6'F\oDe%P&-)8$oDedLH"*H/s8Vfgs2"X'qtBpmqtg0bq=saZJ,~>
+rq?BdrqN2]-h%*6mIgM9UgJ8Pq>]F5s8M``qu?Zdl1+di3`O>ks607XrqQ6]o()PTq#'sfq"X^a
+qZ6QhrqQBd_=nK9p&FFTb$&0Hs5F"QmeceKp\ssdpCI2is6]aYh/chii;WQBo_\O[s7j_1q=aXY
+p@ndap\4CUrqV'~>
+rn.8(rn=(!-dgu3ce%3mLIY^BiTSD)k2G"Dh;dA?bhVPf,sSljkg&&GiS3&<eFM;ng&'D$g&Kh*
+h#?.1hu;F4gtMb\qq&[;&DPk!e)@T#8`AmRjP%o3e^sBF!8%5#s4@;(&`;!ue)K3&>=="]jPSJ=
+hV$T\fDjCCfD4"neG@_pdg4LTf[eU#dEg6k~>
+rql`nrr&Pg-ia&@s8UN/@uA\6rU^'hnb)_Rp%8+\s8%"S:uhTSp](9emIpS[qXXRaqtg-`qu-En
+qtg*`_>FiCqu6Hkrjl'qrVQ<gp@J=Kr"&Q%rpg$`mf%iWMqJ(*p]&Y=q>9^[q>:!c!<)oprVHQh
+!;D!~>
+rq?BdrqN2]-N<]4s81'!?A-N#p[.kVlgXQ=nF-&Ls6jf07G.J0n,N=Ukje]QnFlqXr;$Bfq"jsd
+!W)Wkq"sm'pCI)nq=OIWZqcbXp$qtNn,;bMrqQHd&+]bqlh^29pjHk1df&e.s82Qjpt>E;p?D>I
+p]C9dq#0peq#:)>~>
+rn.8(rn=(!-fEV0j5$nU6#<sjhppcIdF6^uda-J#jP=*81WJP7f]D#?b1#;-f(%JkfDjP(g\oq,
+h>lI4h#Z<brn72#_:]CSf\G3=i1;oThqcf=cck+po@a/qrmh&#s4J"7jPJ;Bf[/Pf;/<]%g"#0:
+g&9P&e_/RMf(%AfeG@]'e'ujsf@\[*da?ChJ,~>
+rql`nrr&Pg-i`f2q94\>PO%uCs8;cns7lWoqtU-`l%`Ycqsj^as7lBgs8DK[s76*fqtg-`qu-En
+qtg*`_>FB7p\"Oc$2C`0XT/(gs7cETr"&i"nc/7]s8DkoBS"A)rpS84q>9^[q>:!cs8Duq!;lcl
+s7cTgJ,~>
+rq?BdrqN2].0&`)oZ)W*Nofg/qtB^Xr:Bmep@J(Lid+L3n)aN?s75dYs8)9XrV,pW!VcBeq>^6b
+qYg9lqYC-cqt\)&%f>hds7uK]WE,npoC2\Ln+ZhVrV$j$n*Br?s8VieU1/JgpA+"Pp\jm?p\FOI
+p\FUaq$$Qfq"OOXrqV'~>
+rn.8(rn=(!.,rV%eu<7\ER!8#jkehMin!&Hf[JL#`b@kAhpq&Mkh+JAhq?9$gtMAT!SZ0)ec48$
+g&Kh'h#6%0gtMb\s4@8#!8#'?&Dbjbk2G:SQ9^Jlf$`6ueCX<Fs4@8#s4@;('B%<dj4*5Thqj5_
+A#nD?c.Ue%fDX7QfD4"ffD3qmeI0jUeCE1(f%/9scdI=~>
+rql`nrr'/#!W2fiqu-Hmr>G8-rj?NZ]`8$0q=sjerqZTmp&"dfY$4\nrr3?)qtL'gqY0mes7l-^
++8bm2q>:!bq>L3hqu-Ejqu-Hlr;QTkq>:!bq>:!bqn`1?qZ$Thq>U6fUJ]eGoDegQr;Zd*qu?Qg
+qtU3BEE]C7s8DlorRq,EqsjU[qt^0hr;linrqcZi!;D!~>
+rq?BdrqNen!VlEaq#0sep.k#TpTA+B\,Z:!oCDSNq"+FYnFZbSVc6'Hq=OIUoC)GLp[n7\rq6$[
+p@n:Tp@n:Tp@n:Tp@n@Xq"a^\q"X^^q>0p`q>0paqYU-cq>L'kq=sd\pqc\7p&G![oD%tNSP.N5
+melnLpAk!bpC@)spA+CPp%&.0CK./!rUBO^q"O^]l1b#Il1b#Ks7linp\=LWq#:)>~>
+rn.8(rn=p9qq(>j3ni!BgQG-%Rc`SdgY1KAhV$oCe(Ea7M`NVEl/LjahUpZ>f[JI0gXOs2gtLQ;
+gtLQ;gtLQ;gtLB1rR_)&s4dD*rS7M0gA]e)f)jLSf>6,NfAYZ=g#1`ELGQX+dGER.n_!rpec","
+fb)rph:^]?f\>'@[S])Adbrg3rmq/#p=B>qfDO1`fD4"ffD3qlec4,)f[ng/f$_sld=;~>
+Z2FIq!VuWhq'YV1r:'adp\t3IN)b#Js8VcgrqlWnrq63cp\Xu^;d79+s8Dcns7uZms82rpqtom\
+*;f[2r;6Ehrr)iprr)iprr)iprr)ipr;6Ehr;48,!W2]iqZlt=@cdCTs8CpS&GGu#l',A:r;Zfo
+qZ$Tks8C[Lq>9.Krqulqqu6Hlp]1&=~>
+Z1n+i!r;WeqtMQ+s7u!\q!IYFc[e]*ao2&*q>0j\r:oaRo'c)IP=SNaiV<-;qY]saq#:$fp@.er
+q"ORXq"ORZqYC!`qYC!`qYC!`qYC!^q"ORXpqHJ&q"sdjoPIjjnEKuHiV*lQp&=$5<K?bIqt0LX
+p@/"Yp[n7Gp\FOBpB13dq=sp_!;QQhJ,~>
+ZIo60qpkYsqq3@Bi7cH9gsXp4[qdg&[--E!gYLT<iSN,>gXt6DI5F!_b2M..i8WGhg],t+f`0V8
+g=b35g=b35g=b35g=b02qq:Mor7M)%^Y/Y@rnRM0#i&EJa4\o&g=cJWqq:o$s4ID(pY#N!&(K7j
+a)X+Yf\>97f&,*.h>Pt'eH+.Lr6kYrlIYj_in"Rgf%/L,g=Y!)dEg3j~>
+Z2FLrrV??c-iW]2s6]^`s5euAU[nHYpAXgZqYBa[s82iprcDFpj7E<NqtL*iq#:6kr;ZZYr:0ct
+r;ZZnq>L0qs/o%<s7lWaiVX8eq"asPY(:QUn,34crql`ogALdDiV`]R!W;ioqZ$<jpOE~>
+Z1e7nrqZThp\?3:naukDnb2\-H;U'pqX<tQp@S1Rn+H_Ps75bo:iY.Sr;ZK]q>0^^q#:$fp?D>A
+q7?;$q"Od_rV$QqW((_&nGMP0pCI;qo_ROGH>2@%oD\d_nG)tVo_@_Gq=`eAs7lZirV$<erqV'~>
+ZIo91ec+%rec47ufdG\*e`4g'hVZ.[5(qPNgtU`<e_8[(gZI;ThVV?u@)ULNj4Vu<h:DS[rn?Pg
+n_:V-s4[G,s5"%CO>'i"gZR#<rn%&#qqCSn&)l'igr#%U9Z5-*iT&S?g\ob&ec!trdK.hIlIYj_
+iRe+\#hmtcf[eKucd@7~>
+Z2FLrq>('c*W>O.o`+jf^3,+@r;Z<Vs7uHbq>L?lo`+(NK3EKtrrr>pq>UEkrVc`n!;l$Ync$,t
+s82fkrVHiprcM>Cs763Jr;ZTmrsSJ)EbF#(p@SCbqu,7Hq>9.Krqulqqu6Hlp]1&=~>
+Z1e:oq>L*eq>L*gq'Z+-s6odSnZlkRYOVYZli6bSo_&%Yp[8(<n9@ZBqXjaap[[tPqY'm_rq?Ed
+l1a`D](Z7#p\ssdpBU9aDc3>-lM0?4&,Gqms8VPgCLGNhmHacLo)&1Tq!.VLp>PcGq#L3gpAk!f
+q1&~>
+ZIo<2e^OKIrR^r"-f352dbia2RT![`gZmA?kh=\@f\GE@eEFs.A3*fVi8`_Ke^rU4g&9\)g?@5[
+gUZ#9gATe4g>H*rNT\jNgA'@ug@<i,g=Os8j3`l^6aPh"cJd[2qq(ess3ptq!RoTafD4"VfDjD-
+g=b34f$_sld=;~>
+Z2FLrp\=m]s6]gc,H$$AbQ%V5p\jgZq>L?mr;$*bk\";%s82ipp\+Las8Doqrr2lYr:0`sr;ZZn
+q>L0qq#Br)@`8-CiVX8\s8Vfhs7bDqB>"9>p&FgcZMa_#!W;ioqZ$<jpOE~>
+Z1e:oq>L*eq>9q9mf2JGq"C1uFMRhOme-JMp%\@[qY9[Po\`tSS,MdJp@@bIqtg*_q>($bk4eE@
+](Z7#p\ssdpBU9bm:oh;o)7PA&+fbuoC`+PfPt<*s6o=Snb`(Spqle*q#L3gpAk!fq1&~>
+ZIo<2e^OKIrR^u#.b`;4c/7F7K3MZ^k2b(Jin;r:gtplAg"5'%83r'sh;R/>eCi^7gY:N=rnIG+
+l.PU\\_6r8rS.\4iR_$tVqpLhpt>Pun_"H&hVQc6i7#;;6^Hc\cf<OPfDX8"e,Ibre()=es4.J0
+g"P*0da?CgJ,~>
+Z2F.h-NEi?p\C,,Sa,tIp\FjfmJZq^s826\s5e6'VuQeqs8W&ss8W&prVlfpkPXlK]);U*rqZNi
+#QOJs\Q=.>s5EnUrso#"pAb0hjbRNNq>^HmrNcA#r;linrqcZi!;D!~>
+Z1mqdrV%Z;n,)J>MKY-?nFlJKs8DB`p\Y!`kk+o2Bi1N%p@@qRq"ashq"F[^rqP[NnbB]i!VlEg
+q#0plq="?i:NP@eiV*o^s8)9Wr;?6EJR>;Drq6!YqY0d[_Y=*+!;QNe!;QQhJ,~>
+ZIo60qpk_urRq/'-KWn@f%>(PHcO^mf\GWJcedC4j4hl5k/L:[M!F!Vi8EAFio/YFrS7D,s4Z_j
+n_1P,qqD)*#iXD!RlXlsiS*;E%c6-uda[+0f>1uaM::G9r7V&#s4."q!7es<s4.J0g"P*0da?Cg
+J,~>
+Z2F1i+T29>rq(thVXOQ^r;H?To)J@^s7H?kqU0Rj[f?*ks7cKl"TA2rs8W)trV_oWs82fkrVHiq
+s6]iG=K;D[r"&c&qYgHmq=ajgV-95Ws8UdMq>K:Mrqulqqu6Hlp]1&=~>
+Z1mqdrq@l8q=aFEH>8o0qXsX]p[7_SoDeaXqZ$33Dc*\;m,e68qYL*cq"=I_qYp<hplb@Pq"Od_
+rV$Qgs6'<6:nmmHpCI,pp\Ojbo^VbPSl:[7s8)Qcq=s4Kq=rqCs7lZirV$<erqV'~>
+ZJ#90r71i!rRq2(.GWqBhpl@=K[/N1h;6f1f&YB@hp^NGg9OgAQg!)LlIb%NhVHr=gu@/hh#5ui
+g&'M'g^)ZucfB%,NTJmRfaliif\>9;f$iF/JMqMmj5'[erR_&!r6so^q:OZXs4.J0g"P*0da?Cg
+J,~>
+Z2=V!rqZHgr;7o?s7,$3HDLB:pA"@PoCVbLo)Ja]s8U&Q<n70Bs8V`kqY^9eq>L9lrr2oqP5P@W
+rqZNi#Q"E!qX/'Eh;S;3o`P$grVQTo"n;9*Cl[l7r;$<Mr;QWqr;6Kis7cTgJ,~>
+Z1e7nrqZHdr:_]7o]4JVD3s\fnFZDFo_A:Xmf*(Mqu=B?:<iJ"qu?$Yo_8+Po_A@_qYL3erqMZN
+r:p6b#P@cfo]BS'e`$65o(;_TqY9pes6K0gAV]C?q"OX[l1b#KiV3BJ!;QNe!;QQhJ,~>
+ZJ#90!7h&"rRq,&+Pbo(_K8t7f]:W:f@8@&g"Fd6i7$ZIUe*MRhUgiPe`-S^s47D.hr*>HrnRM-
+NS46`#2S=pcUqHVqqCr#rR^Sm&(B(^h:pW<ioA;4Th&q>f_aA$fDa>!e*5K[f\tH^ed1!_g=Y!)
+dEg3j~>
+ZMab"rqZHgrVZ]o)?8cM?)IZ%p@nL^p%.tPnc/=Ys7Wd<:[7cTrsJZ%s8Dutrr2rro`"mjrr2kZ
+r;ZZnq>L0qs7$'as2[d*iqs,[rqlNdqYU6in,E=hgiRT'g&1[EiV`]R!W;ioqZ$<jpOE~>
+ZM4CorqZHdrV-?c-i)88:mq%WnFQPTp@nL_o`+FPs7!.)8E01;p\XRTrqQHjq>'s`n,E1`q>U/P
+p\agbpB^Z]qt'Tu6(.H,pBC?hqY9gZrqH``r;-BBD/88-p\XaMp\FUCp]($hq#0peq#:)>~>
+Z.T00ec"+ug&0PPgucOd5DJ1]f\#*;f@J^1e`PH9k15_l0$Du1i8i\MjP/VNgt^fAdf/)&h#?&f
+g&9V1iR$W>iMe;Yh#,n(g&0Ilfallmg"=s1g=jd-h;Ge>:<<=crR_&!s3gtul.>a`iRe+\#hmtc
+f[eKucd@7~>
+ZMab"rqZNi+o;06s8)?erRcF4a8c28rr;HVqY0OOp[eFbq86`VeGoR?rW)oqrW<&rqq:lPp]'d^
+qu?3d_YjH2rqZNi&-)>"rqlAq9?@/+s7cQno'6/Qqu$9iq[`N$qtU-UW+"NXqtU3ioDcB!rqulq
+qu6Hlp]1&=~>
+ZM4CorqZNf+8,F#qXa(Ko#kcT](l!hq#9^OrVQ9`qX==Xn[i%6bk_&0q#L3gq#^?cp=]0Fo)7qM
+pA=4V_Y<p%s7['&nFcSKm]8dmq="@SqZ#s\p]($Yp\=LopA4LSp>hoNf_"n/s7l$\rqH?c_>"!*
+!;QNe!;QQhJ,~>
+Z.]*-rRi:FgXk<8dbiii>#)'XinE>NdaI"+eCWI)jQ"si77jo_hYGq,g\on.gY1<5#LqYVg=Y6,
+ik*nDg(E8lgYUZ6Pq8lke`G?;jNuT5rn%2#!8$Jg&(fRge_.ur4hK>!f&>?0hu;7*e\Tl;ed1!_
+g=Y!)dEg3j~>
+ZMX_"rV?Eh*rc36o)Jaem;A$0q#C3fr:TaYp$_YQoDe^faC8r/rr;Th!<)lq!r`&og&)*TpAP$^
+qu-9+r;ZZnq>L1$qY^Bfp&ETcAbuAus6T=VlMLYZqt^9h&,,u%r;Z`FUhIdJq=jphqRQP'r;lin
+rqcZi!;D!~>
+ZM+@orV?Ee+8Ps+lhpYMiF.ARmI]uBq"47Wq""=^o_\7W^fk6dq>'g]q#L3gq#^?cp=]0Frpfd`
+mIp>G_Y<p%s7[&sp\aRLrm#@fo_7hSkO&<Jp\jmXp\=LooD8=XqtA:*A&8$6o)/CXrV-9c_>"!*
+!;QNe!;QQhJ,~>
+Z.]*-rRi:JjODN9in2FLEj"*Rh;-u@g"k?1g>CH@guPG%9Wd=MhYGq,g\on.gY1<5#N4(bj3QB3
+e@XE6g(W,min)]@[oPrOh::Z1d,`m5f@TuO!8$Mh%b07gg"tDdJ4??jf@8[5r7Cnt_:S_<#hmtc
+f[eKucd@7~>
+ZMY+-q=sd]qtp<hrpfsdru'R1K$jVuqu?Zgo^r%TnFc_Rqu49?Bu^2QrVlcoq>LBmrVclsr;51F
+#Pe>tp[eFbp;6b-qu6Eiq[`N"s7uEhp:4OPs8D?bo_[qO!W2]lq#1"!pAb0is8VuXP'ae?s7$$f
+\buI*!W;ioqZ$<jpOE~>
+ZM4Co!;ZTgrq@K!oDeXZcX_1:qt]j[qXa@Rrqc0YrV#jSZ<C\Nrr;rlp%\U_rV6Nip\*;7#P7uj
+o'ZPXn\Y&#q#:*fp^d#jr:KLYn$6)6s7b^Vn+Q_SrV5sXs7lThrV-opr;?9cs7YB1Fg_8KlhUPW
+p]($)p]($hq#0peq#:)>~>
+X4dO,+5>)pk2G.,:1CKljkf"Ug=Y-<gX=^1f\GAU7S9TAkl'B2g]6+-g]?0`f\$M[inDo/j5\V)
+g&9P$facWehq-HAeX/X'khXMGdf.r"fDjA&e(*(8fb)`ihUpZEfYVT3R,m5OgYgc<rR_)"_:S_<
+#hmtcf[eKucd@7~>
+ZMZ-Jq=sd]qtp<hrVuHcs0R-,m/R+WrVuTbr9a%Sp?qYSs3+qUci<n>rVlcoq>LBmrVclsr;51F
+#Pe2crVuWWs2+^6qu6EiqZ?fiq>UC#rptG?^]+-+s7P[T!W2]lq#1!uqZ$Tip](9jrfVWSs8Mf'
+r;QWqr;6Kis7cTgJ,~>
+ZM4Co!;ZTgs7[W/s60"GW,Ht>q=a.Kr:K^_nFZbSmIgMU_,jFNs7>j\q"=F_q#1!iq"OL8pBU<`
+lhLMNjo<3ls7lThrV-p$n+?SSq"O,s<OqntoDS1Xp\agWp]($fq>L'up\t'\o)&@Ypl'C=s7u9_
+p]($)p]($hq#0peq#:)>~>
+X4dL+*otZ"h2kcLb2_F0hrEJHimZN>g<nU7jfLm3Y3=ZrrSI5&!8IJ-!Sc>\fa$'[c._4-a5b"h
+rR_#$(uNcni8<DIdTer/i7lrCe(N@)e^`-te^s*>%bT[peC<=2f\UXOXlA-drn78%s4+s;s4.J0
+g"P*0da?CgJ,~>
+ZMY"*q=sd]qtp<hrVmn\AqomVs7uHioBlMTmd^2Nq>C-ODJ%)jqYgHnrr)crqu-?i!<)lq!r`&o
+g&1gK"7lKlp;6b-qu6Eiq[``#q>^Hhr;X-7IJEj3r;Z'[!W2]jq#C.#qY^6`pA=d`p[b5(]Dqp#
+\buI*!W;ioqZ$<jpOE~>
+ZM4Co!r;WdrV%K1qY1!$=*N^"r:9FXoBlSXnaZMOp%\46@9LD:n+HMOq#1$gqYBpeq#1!iq"OL8
+p](3rs8;9]s7*u#s7lThrV-p$naueSnb)j`??bu;lM(8Vp\agWp]($dq>^4#q>9sXnb2_Lna2re
+[f?Bn\bH."!;QNe!;QQhJ,~>
+XkE[,+l;28k,(IScJRX6f](N1j5nkDiSWGJho8J^XPV^giniPjh#H.)g]6+-g]?0`f\-;_"lnIc
+h;cu#g&'D$fbE;lfAPE6gZ+Sj?eXJcg>LZ9f@AFNdfA"bfalflg!eF&g"+d(KiOQ%im.MU^"<;8
+#hmtcf[eKucd@7~>
+ZMZ3Lq=sd]qtp<hs6TdHG_>Pdo_SOcr:KRWnb;kLq#C*2FC)EUqt^9grr2lps82Wk!<)lq!r`&o
+g&)*;s3-PVrqHH0r;ZZnq>L1$q#CBhp\k*fo7(Alqu?$_lML\[q>C$eq%!2qq>C6kqtC'ZRV8i&
+s1/(,r;linrqcZi!;D!~>
+ZM4Co!r;WdrV%K1iq:r<FPucUp%\C]p\"OXqYBUOs7*s?;5sN`mf2kQq#1$gqYBpeq#1!iq"OL8
+pBT[Wa,8@Ao)-B!s7lThrV-urr;?0Up@n1GH!nG\s6'FVp\XaVp]($dq>U.!p\+=Tq>'aRs6>hY
+W;6D&p]($hq#0peq#:)>~>
+XkE[,+lCDt^f4[bgs=X-h;I#>iS!,Gf%oWGX]IcRlJ1+WgYUfch#H.)g]6+-g]?0`f\$MIj/Hk&
+gXP)rg&'D$fbi8rhq$<2h:^=g8>tA,b2M%*e^`-tdaQh4facZdf@ep5f[f02H:EhJi;M?BfDjD-
+g=b34f$_sld=;~>
+ZMY40q=sa\qtp<hs8TB9P2H9=&c;M$o_JFTmJ6YKq#A`l<42T$rri#orr)foqt^3krVc]srVZQG
+r!1PXKUQ_Ds7=,*s82fkrVI-"s8Vcgs8MfaoN-#3s6fpPquZcjpAOddq%*>sqYgElrVuobs7M@f
+](ii6rqulqqu6Hlp]1&=~>
+ZM4Cos7n)<p\4CTp]%*nK?j2eq"X[Zp&+j`nbi:PoDH^Q8#YhGpAY*Zq"X[\rVH?c!;QNg!r2N`
+g%P`o?@S5QP5jsep]($fq>L(#o)ALToDA:Pm-[_cqu,dUp\4R[o(N4\q>1'cs7d-#p\4O]qYL-i
+kPjq*B!q6@p]($hq#0peq#:)>~>
+XkEa.s4ejUk)_rJ]&Mc*g"P*0h;[)<iT&PIl*b([Qe^QZlKHgUhV?obg\KV)g\on.gY1<5#HU1!
+G=co9d)"B8fDa>#fDjM@eDT03fAG?7eCZi\j5\A=g"4d)e'laofBV$"g=Y'4gtUT>k0;u;D+p>J
+rRnm9s4.J0g"P*0da?CgJ,~>
+d/4@Mr;6Ehr;6Ehr;6Ehr;$6cr$hO=q"aa_r;HTkl?I13s7cKloD/:OnbVhMp%A.[m\EC[s8Vrq
+qsOL`rr)fmq>LBmrVdr<r;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6Ehr;6EhqY^?k'jc%/VG)L>
+s8;clqu$?hqu$?hqu$?[r:0[SquQ]jqtgp'qXjXarqHHmn"s0equ?QYquZckq"sjts8DloqY'aa
+nGi@bpl]C-rVZWm_>O<2!W;ioqZ$<jpOE~>
+d.[h@p\=LXp\=LXm.^PT-i*Q4p\+=RnD7tih#6R1r:Ba^n+?SOq=X@OpZ@l,W;?M^qt'%Oq#:*f
+qYBpeq#1!iq"OLKpB^Qgq"ORXq"OR[p\sk$=)Q*Q7sb44p\=LXp\=LXp\=LXp\=4OnbDYK!VlKf
+p^d8rnFlnXo)&IOTM_QYrV$6br:ojWs7cTiqtL^"qYC!^oCi(Irq-0[N+KX"p\jdcp\spgp\;f'
+s7lZirV$<erqV'~>
+a4^+=qq:u#rn7>*s4eaRg;m;f`TGY%hU0s1d+.(.hVHuFjO8l7QKIPgk2+JKrnd;&!8IJ-!o)G^
+m+MKng@a.tg'HIs<3Cm(?0'kYf`B^TrR_)&%c#^cg#Ur=hWWFG4,r(Vrn.A)e^aZJ!8$Mh&)H!o
+gXt$-gs4m4j4JBCT)ICAf`9Y'eH+:Pa4L@B"k_M^f[eLMd=;~>
+iV`]Os82Nf%f?)!q>:!bq>0m_q"jd^q=jsdrVQTl&GuLprVu`as8UYWI.71+s8)Wg$MaAis8)0`
+\5[qSq>0s_pAFshrr,.\qu-Ejqu-Ekqu$9dp\O[]q"jd^q"jd_q>:!bq>:'hq>1-gs64lCR/_;%
+TE"W]q"jg`qY^3eq>:!bq>:'[quHWap]13]quQ]mr;-KjqY1Ktp$cUAo)JRcrr)clrqc0_q>:!c
+&HDb,p\jfk=Mae/o)Jafs8B\0rVQWk!;V-~>
+iV3?Es7Z0\qtLEjq"FIUp\+@Wp&b!^p\spfp\sq3s6TR]oB,iDa]!0@p$2MMq>:'cqY9dWo)J=D
+q5m53p%J(Sp@7nWq#1!lqYC!`qYC-es7lTe$2=/fp@n:Tp@n=Xp_<SsoD%qVhJc_Zr,"ffr:'FS
+p\=O_q>'gVpAk!YpAk!YpAt'`r:p*^$iKP]@s759o(VnRp\jmWp\FU[pCR2sp@A"KX&6IuoBZ2E
+o(r+Qps8^7q#:$ep]C<hqg\~>
+iS"4^s4Hhos4[M+r7_5-rSRY2#2@hbg"G!/rm`4Kc.qC5d,jDu4^-+ac/$mueCN:+gtgiBlep7S
+Rl=j7h;A%ar7_5*pY#T#s4[P/q;);4hVHuAgA9P,g"Y36gABP;h:L98guume8pfi*/qW08g"=s1
+g&B^ig%!_af`9Y$g%s>1g#1N38mp62gYL]?g"$)Mn^m<a&DZ$ne_AT92k\dUdGNa4hpq_T!S,Zp
+e^)kIeHjd[g=b*.eC2ot~>
+iV`]Os82Qgs82Zgq=sj]s7lQirqm?)o)JF`o`+sJC3I5ds8DufrV6Egs8!$!o_JO";gRm.o(_qV
+s8Duss8Dfk"oS8oq=s^Yq"aacp^R&uqu4i?<WDmSfDYRGrqQNhrqcHdo)&Ocq"+4\q"sLWrVQWi
+qtCWns7<^0`;ff8rr)clqY9jCr!r]&rr:Q9<keV6qu?]grP&4.qu?Kmq1&~>
+iV3?Es7Z3]q"Xg^q=aj_!quB_qY1Tis7-!NqtJB?C9[@-qYfs`q@*2pq"FCRmI:%Y88mY]p@\1[
+q"FLeqYBp\p@\=VrV--_&+oJbp[Idi84WC@g<]Ncqu6?iq#:*bq"".[q"OCT!VcBWp\jmep\X^k
+oDe9c?,$1.pAXdgq"ORYhtIWUpA+R2OAE@[rUBIYlM'rGd.dP7rqHEe!rDfkJ,~>
+iS"4^s4Hhos4[G+rnT9ciSrhThqd,Cg=b02e^`.!cK!F5e)fZ)85u&1hUgK)daQaug"bE@inE;U
+T/L!&o%a?$g@s;#gAfn.gtqnc"l\CshVHuah>Q+.gABP;f@JX2g>B(n3p,8=]]%`,g"=s1g&B^i
+g%!_Zg%j82fAkGN8#YP-hqd,Af@86sn^m6_&),[kh6hD`S`/bchWW;9dehMje^2qIeHjd[g=b00
+eC3!!~>
+iV`ZOpAFsfqYBs^qtL-crVQTl&Gu,"o_\[Zs*7n_r;HQmr;-?d$i0\tq"Fa89kEGdqXXFTr;Z`q
+rr;rnqZZopqYBp\p\=R[#lO\tq"OU'96C15"7km[n,E+^q>U6dq==FaqtTdW!VlQ[r;HNmq"sdr
+oDeR[Dh@ZYrr2inqtp0`iV``P%fZG*s7tMr;qM';s7lWm^ARs,s7u`kJ,~>
+iV3<Ep@n@WrV--]s7ZTgp\4OZ%e9Sfp&=.MCf%A+p@\=YrqcZi$hsGjp[R_Pa[KLhq"".Op]($^
+q$$Wjq"OLTqtC!_q=t!e%J95[n[^u!q"=LKkkslJp]($fq>'gVpAt'`oCr@\q!RnTq#C*cp^?Zm
+oCQaEmIKuFp@nO\htIWXqY:'\f5XL/qW%SBq=jOVd.dP7rqHEe!rDfkJ,~>
+iS"1^n(I`prS.>-!8mb6#N+@ngY1?6fDX5Ad,WR/kgANq4dt-Zf\"d)e'lgtf\G?BhV@J+1.oRH
+o%a?$g@s;#gAfn.gtqnc"l\CshVHuah>Q+.gABS'g_/5kf\EDX=Qnl0f@&g0g"=s1g&B^ig%!_Z
+g%j82f&YK:;.S>8hqd)@f@A<tn^m<as4@h:gY:]<]2pbpiQ^T<hUVPQq:3jDrm_;+g"P-4e^W(!
+J,~>
+iVW]QoDJXcqYBs^qtL-crVQQk&HD.ts7cPE@(u@7qt^'_s7uWf$i'Vss81l/@)Ds;qXXFTr;Z`q
+rr;rnqZZopqYBp\p\=OZ!<2uo$N%\;KC/TrH1h47rqQNhrqcHdo)&Ocq"+4\q"sLWrVQWiqtCWt
+p%nQj=j$O<rVZTjqt^'Gr"&W%rqZNms4NBBb5_#3qu+8,rVQWk!;V-~>
+iV*?GoCr%TrV-9a!r)E^qY1$b%eobnp\sFQrU9],;mGZgrq$Efs7uKbp\+U\#Q+/KH<@cRmdg)E
+p]($^q$$Wjq"OLTqtC!_q"P?tp\"1M\jgr+o\=NXrqcWgs7lThq=sOT!VlE\p]:-ame?\Ts7cEc
+&,GkkpT%60nFcMKp\=OZq;M&Zq=a[^o_AC[dY:r@pZDJIp[n7-p\ssep\sphqYU/?~>
+iRn4`m+MEmrS.;,0AkaIhr!8EgY1B7f@SR'fAFg0j4NO'5b?Ngf[eR#g=+L!e_&X5iTT7BB18`Z
+g%*r"gY2DTs4[M-!SlQ.i!&)thqm2Eqq_5*s4[>&'AhBog>&M]B%#YX?.e8qg"=s1g&B^ig%!_Z
+g%j82gXt99P<5o$hV?o>g"4d)n^m<a&DGajgt1<>gph/dVr?"dg=Q8Oq:3jDrm_;+g"P-4e^W(!
+J,~>
+iVW]SoDJXcqYBs^qtL-crVQQk+S>^6mJhlKO8A_Ps8N&ro_A4Up\F[^qtL,K=2+M$qtfmYpAFsh
+s8N&sqYLHoqtg-`p\4IYq%)feq#:<h`ajl%qOrE=nFZ_Ts7uZjq>'UZ!W2Z`pAt'dmem%\s7lKc
+&,Pqrm."VDr;HTlr;6Beq;M5_rqH?jp\=dgq>5DOf`2!ErP&4.qu?Kmq1&~>
+iV*?IoCr%TrV-9ap\4^_s7[<(p[S:\kP'C*K^\C%q>'m_o_A4Up\"OZ#OqVD:q#oZp%%hLp]($^
+q$$Wjq"OLTqtC!_q=kKeq=ja`o=eIZoCST#s6oX[p]($fq>'gVpAt'`oCr@\q!RnTq#C*cp^d2l
+puq$MK(Sa0p@n@Wq>'"D&Gu+qr:K[YqXX8uA'XfEme?;IdeEb9rqHEe!rDfkJ,~>
+iRn4bm+MEmrS.;,r8.\6gY:H9g&BSHe^r7/iQ^:m5]59.gYLW<f$Mjne(*+*h;I,QEBU#Ne_frR
+!Sc?&g&Ke+gB$*dqVVP9i8<DIh##q+g]-")fal6Wf\PN@VakLYhLoA#e(4NNs4RD*l.PUZl.Pmb
+&)5Xjc-o.!hqm/Dg"G!-ea_8]faurhg>1<1h;-Z7=%TgUjODfPe^E(KeHjd[g=b00eC3!!~>
+iV`ZQpAFsfqYBs^qtL-crVQQk+T:s4rIeO/lMpSTs7ZKmo(`"Uq>0p^p[l*iOnSGIpA4@TpAFsh
+s8N&sqYLHoqtg-`p\4IYq%*,qp%J@an$uqcMKI56pAFpbs7uZjq>'UZ!W2Z`pAt'dmem%\s7lKc
+#P.flo)G+_lM^Y\qu?NOr"&c"qu?NhrqcZmlY(+to`)W&rVQWk!;V-~>
+iV3<Gp@n@WrV-9ap\4^_rV%E0nGi61=*`g%n+?DFr;Z6\q"a^Yp%.bA[6ff>m/QSGp@\1[q"FLe
+qYBp\p@\=VrV-0`&Gc&!p%A.Xl*FTIL3(]1p\k*cs7lThq=sOT!VlE\p]:-ame?\Ts7cEc&+TPn
+mf/JMiq2m:p\=O[qVh/]qXaL[p\4LVqt9#Y@bp;Kp\=LTpsSp9q#:$ep]C<hqg\~>
+iS"1`n(I`prS.;,rSRY2s4dS-s4RA&+5G?-h.8i\bN.4+gsb';bgb.og"G*8gtJJUFkPC3g@F&#
+gY2DTs4[M-!SlQ.i!&)thqm2Eqq_5*s4[D(&D,=_e(3=4c^RC?D-+'kf\ZV[s4RD*l.PUZl.Pmb
+&(B@le)u'Bc/%42g=b*1f(%A^fb3&hg"k<5gt:N;b"#%Ae)o?6fC[VAfDa;+f@em2g""U$epm~>
+iV`]Ss8D]is82Zgq=sj]s7lQirVQp#nFs\)B_VN*rtYA$qu?TiqY^<hq=X@.=_@@,jT#8Vo(_qV
+s8Duss8Dfk"oS8oq=s^Yq"a^rr;ZE\p](9lk/F.ap%@hMrqQNhrqcHdo)&Ocq"+4\q"sLWrVQWi
+qtCWpq#C9ldU0*Rr;6Ehr;-9Jr!rDrr;-BlqYp?ga(BVZs1S@/qu?Kmq1&~>
+iV3?Is7l?_q"Xg^rV$![s7lQe+8kKq\QND3q"ad`o^;GPq=aRYqY0[Pm`\R:n,M8@qXX@Qp]($^
+q$$Wjq"OLTqtC!_qY1Wtrr;]apAFsdi5))Ro_.hOrqHHfrqZBbo(N1[p[e.\p\=1NrV6EeqtL]p
+p\Xa]bZCV4o_%tRq>0sHpCI)mqY^*ar:TmYoY=gShuEHFqtSV6rqQKerqHQkqtkm~>
+iS"4bs4Ztqs4[G+pYGl(s4[J*rmqh@dFY!T8Cu_Ui83)4f%np+eC`OTg'H?A5>'Vo`o?"Kh#Z9a
+pY#T#s4[S0hYQ.6iS`VMh;%n`rS.A+r7MY5g"t-)fAG`IaJamAf[nR*rn.8(rn?Vin_!*Zq:H,,
+f\YB?Z9XE*h:pZ:rn-bmn_"Q-e(EC,gYUQ;f[uug=N0CTf@g#Pqpj-Hrm_;+g"P-4e^W(!J,~>
+iV`]Ss8D]is82Zgq=sj]s7lQirVRc1s5RX&jRW?>rr2lrq==R]qu-Nlq"4)]A`rp_s5s7Lq"FXc
+rVulsrVHBpr;6?dq"OOXqY:]tmeZbYqXF@SrU9^YqXsmXrqQNhrqcHdo)&Ocq"+4\q"sLWrVQWi
+qtCX$lMp\Vnp"mHr;6Ehr;-9Lr;ZX(p\Xg\rVucds8DMnA<?c'r;HNmq>g>A~>
+iV3?Is7l?_q"Xg^rV$![s7lQe+7]<c?=D^Ws69@Tq#0jRrq?-`qY9^Olr@BNo^Dh<q"".Op]($^
+q$$Wjq"OLTqtC!_qY1WtnGiCcq="%Iq<RtOqtC'^rqHHfrqZBbo(N1[p[e.\p\=1NrV6EeqtL^%
+l21/Glu6D*o_%qPq>'mHp](!up\XgYqYp3VqY'6T?&A:Lp\Xa6p\ssep\sphqYU/?~>
+iS"4bs4Ztqs4[G+pYGl(s4[G)+kPDuikn/S`7!eogt^ZAf$<+%fA#-;gY(.E9?Z2DkfDZPh#Z9a
+pY#T#s4[S0hYQ.6iS`VMh;%n`rS.A+r7MY5bLb>"g<eU*i6pQ:gt1Q7rn.8(rn?Vin_!*Zq:H)6
+b21e)dTK2uh:p`ag&TdqfC@N*f@AR,eD&p6dG<O&O@*s?gAT_&fDF+HfDa;+f@em2g""U$epm~>
+des.BqYBs^(\[Y"q"=7Np&F[aq""I_qu-P>?d/3>q>:'hr!r`&s8MKden\0co)/7YqXF:Rr;Z`q
+rr;rnqZQioqYBpcp\FU\q&&o&p&"OTp]($_rVZ6_li$5HqY^6_nb<(Zq==FaqtTdW!VlQ[r;HNm
+q"sdrq=aU`rUn!+W;lPjrq$'air&iRr;$Bi&,6)'qXU(WVtL)^qu?Bbrl+g6qu?Hlpj`~>
+deEP3rV-6`(\mh$p%.eIrUBjZmJlqSp\Ao8aRSusp\agdpCI)mrqYgRct,qMmJ$5Gp@RqLp%SL]
+pA"jfq=s^Xrq66`rV-0`)#=(*rVH'Xqt0LUqsjRMs7,m[qtfpRpAas`o(N1[p[e.\p\=1NrV6Ee
+qtL]tp@\CYn$u,brU9d_nGE%@p]($dq>^4%o_\RZl]Y2=nGhtNs7,^Vp\4R[deEb9rqHEe!r;]h
+J,~>
+bLupLrS.;,(u!d$gtC<2f\k6>f?`L1g#(am6EShlf\65U&D,Uci7uZ:\kb>NfAYH>gY)/R!Sc?&
+g&Ke+gB$*dqVVM8i8<DIrnRJ.rS.A+r7Mq=f$`4$db!F1g>Ll=gs+d(g"P69eBun+l.PUZl.Pmb
+&(f=^i8)qX22UJGk2"G?g@<ebf`B^TrR_)&&_5[of["b!K[]#1g#UW4gXk'UeH+.Ldb"KK#hRb`
+g"Fp)da`j~>
+des.BqYBs^(\db%q=aIRp@A7ZpAb'is7VCd_uKZ5s82]nr"&N$nGiO^U/7`Es8;ZirVl?^pAFsh
+s8N&sqYLKpqtg-`p\4IXq=tj$o(r=\rVuZmp[nLQs6TdVp%S7Zs8)9]q==FaqtTdW!VlQ[r;HNm
+q"sdrpA4U]qu>;dJGAp<s7H9ciqrfRqt^9h&,c7rq#B`@:U'Zns82BepVm(/qu?Hlpj`~>
+deEP3rV-9a(\db%q=aIQp$VeOo(r+Vs6tbT^]!s's82TkpCHfolhUSMS4]L/rV6$[q>0[Up%SL]
+pA"phq=s^Xp%A7VrV-0`s7mH(r;QKer:KgVnGhkTmJl_Kp@nIaq=+4To(N1[p[e.\p\=1NrV6Ee
+qtL]qqY'[Wqp8r"nFH>QnGN(@pAk!cq>^4%q=a=Ls5o&,Wq5u_p?hnNp\4R[deEb9rqHEe!r;]h
+J,~>
+bLupLrS.;,(Ydd&h:gN6g!Sa1e_Jj4in/3EVW-Fej8%@=e)J[1kh(VHNPt#;gYL`Do%a?$g@s;#
+gAfn.gtqnc#3"LthVHuBr8%>+s4[D((t[9bfA,'7iS!2DfB1H@cJ[.$f@\m:g<o0<n_!*Zq:H5-
+f[nd/iOM`mg"P9Be)&dJfCIVpf)XA"fDjM9g=Og)jN;3gOP/IIg!Jg0f@TuOs3oEJrm_;+g"P-4
+e^MssJ,~>
+des.BqYBp](A[k(q"FIVqYop_s7?9\N)Z;BqssFRrV?Kjs83E-r;?Tg^13]$s8Vlfq=sgVq"FXc
+rVuitrVlWj!rMiip%\@Y(\mUus8;`kpA+7Yj8]&MoDAL]o(E"\o_J=RquQ]ioCi:\qsOC\qu?Hg
+pCHlqqXjR_o:/k.rV-?drV5CM!W2]lq#1"!rr)Zfs8UST>LEKJrVH?i`Vf]3s7lZiJ,~>
+deEP3rV-9a"o.rlqt^!cp(I5es8VNbl\80$p%n4Np\=RZq#0ptq"==Xn@2bil2CYSo_A1Vo(MbN
+s7lThq"b'fq"OUXrV-0`)#=%$qZ$?ap@.V<s5O%Vp@S4Zp[RnSr:BaZo(N1[p[e.\p\=1NrV6Ee
+qtLZms7c'Ts6GnEaS56'oDISA!VlKiqYg4%qtfsVqu=uF<Qk=5p\"1Up\4R[deEb9rqHEe!r;]h
+J,~>
+bLupLrS.;,"PhbfgtMb['A;3dioAGDd;V'ogtpT4f@ed/g&B\9g"Y04in0noJCE]GgY:N<n_F6#
+g@s;#gAfn.gu%qd!oVtmq;)#(s4[D((t[<bf\kN=gt:E2kf2W=f@AX3f[A=,h:1]Bn_!*Zq:H5*
+gXag(k1"f>Z/=0mf&#'LfCIVpfDO2!f+Zrof%&X<Z914TjP/MCfA5'1e^aWIdb"KK#hRb`g"Fp)
+da`j~>
+des.BqYBp]0)GJBq=j[[rqu]oo`+KO:874VpA4[[q"X[\qtp<hs82]n^N+`$rVu]eqtfsYnbDhU
+s8Dus!WE#oquZclq=OIXq%ru%q>U*]qtTp`FLD/9mJlqWqY0URq>L-bo)&Ocq"+4\q"sLWrVQWi
+qtCWms8)E_s8UDANr/_Lr;-9LquQ]jrqQHf&,Q>)s6fOZaB=#Rrr)l`s2Fp7qu?Hlpj`~>
+deEP3rV-<b*;B7*r;?Edp\=U[q"sOVm?L53lMC2Nr:g$_q"Xg^&Gu+ls1)rhq"XaZo(r1Rp%S(O
+p%SL]rqZBd!r;Wcq"F[\q=kd)p%\CSnFQ/<oPUr5m-OcGq>'aToD&7Zq"".[q"OCT!VcBWp\jme
+p\X^loDeRUo)JU-8;@-:!r2TeiqEKKq>U6hq%<B"q"s=Er52HYhY?jDkPY)KqtSV6rqQKerqHQj
+qYG^~>
+bLupLrS.>-(Yda#h;-i=g"P9:gYUB7d!IO(eD]*9h#>q*g&9V9hq6ZFTi>FZioStKhV6T4g[j5%
+gY2DTs4[M-!SlT/i<%rphY>q*g]-")fb`Dlg"k94gtUQ?=IA3sd,`g4g=Og'g"koGn_!*ZqUcD2
+ceI$ue`>eq1ND7,g>1N<g%*bcf`9Y$ec457f\Y?<bgPCG4(6.ehrDl:g"4d)rR93Hrm_;+g"P-4
+e^MssJ,~>
+des.BqYBp]0)GJBq=sd^nGiOTp]%?nNpQT>s7lWgp@e:Wqtp<iq#BjSO)j.Xq"jXXs8M]enbDhU
+s8Dus!WE#oquZclq>U0hq>'g]q%s#'qYU$cs8Dt$:h45=s7l-Po`+saoD8:Yo)&Ocq"+4\q"sLW
+rVQWiqtCWpr:p3cq#C&2<9F5Ms7cKOquQ]jr:p<f&+f\is8Vclq5mkco)/Ofou6k-qu?Hlpj`~>
+deEP3rV-<b1&(J?r;?Eeq"a:Vs60"NVbDj,o_AI^s82Zhq=s^Yp@dqSl0F+>f_G(2o(N+^pA4OT
+p@\1[q#:*bq?$Kfp\smdp\jgap\FS#r:TgXnb)bLoMS4d@Jp0"nEoiIs7GmXq=sOT!VlE\p]:-a
+me?\Ts7cEc&,,qoq=O:UmVY_VrTsFTr8RGOq"ajas7m8uqsaX`nGi-Y<K?G>q>TmXp\Xa6p\sse
+p\sphq>0r<~>
+bLupLrS.>-(u*j$h;-i>g=t$;k0;N;NAPY'hV[JLi7S%\("q<pgtL6<cd?]3`T>q5g"kcIfA#'O
+h#Z9apY#T#s4[S0htl:5i8<Djh>c@1h>Q+.gABP>h:C63fA>WIi]f:k9B56jda$A#i76<1l.PUZ
+l.Ppc&_>C_eC`C(jO[NnaQ:h-g>:NRfCISrf@A@Kec457dFlq*hU:H9O$@m=hV[;@g"4d)rR93H
+rm_;+g"P-4e^MssJ,~>
+des.BqYBs^0DG;>qt^$_qYL6fpA`9;HJAJgqtfLUnb2\Oq"sserV6EmS7KV=nG<(VpAXp\qXO@S
+r;Z`qrr;rnqu?Krq=sa\q>0p^q"Y^#qYU<mrSVR$=^PBXf^]"<o_JL_p@nCYo)&Ocq"+4\q"sLW
+rVQWiqtCWrqtC'gn,E?l8@\]jrV-9MquQ]jr:p<f&+onqq#C<jqX1FfW;lYmrl+g6qu?Hlpj`~>
+deEP3rV-<b1&(J>r;?Eeq"aX_p%&.$;KUC`l1t/=s7Q6bq>'dZp@dqRs--d%s694No_&1Yp&"LT
+p@\1[q"FO`p]^Ecp@n=VrV$3aq"Xj]'DMOteRDKP=&X.gnGi=Uq#1$]pA+LSpAt'`oCr@\q!RnT
+q#C*bp^[2mrV5[OrM`&fr9jCSr8RGOq"ajas7m2ts7>p_q"OIFVGj5fo)&7^p\Xa7p\ssep\sph
+q>0r<~>
+bLupLrS.>-(u*`uh;-i>g=tBBg=PJe3*a2[e)9''j3mnXs4[M.&Coh'I7L7&f&,H@g#:]9gtVGV
+!Sc?&g&Ke+gB$*dqV_D2"lA(khVR/gh>Q+.gA9J<f%Aa8lJTQX6p3q'>eSYJg=4g4g=Fm?g%!_Z
+g%s>5f$r6sgtL$1k*.BbjON,@hV%JOo%=)re^OKIs47q4h:1$6g=b-*O?JQag>Ui?f@SROdf@qI
+fDa;+f@em2g""R"eUR~>
+des.BqYBs^&GGnqqY9g\qZ$H\rp"c9f),IH&GYntp\"7Tq"sserVuTT?B"m^#Q"JpoD&(Op[S%P
+r;Z`qrW2uqq>1-es7lWi!;cNdq=tj'q>'mes4!-.;/>ll:g232q#'dSq>C$`q==FaqtTdW!VlQ[
+r;HNmq"sdrq#9sbs7H6hjD0;=s7cHfiqrlTq"F[]s7u]l%KH.kqtg0eqM].1o^Vt#r;HNmq#L2?~>
+deEP3rV-<bs7\2Bqtp3aq"asalMBR_=jZd?rVlQas8Dikq>'dZp@e=Kh,B""p@e1Up%%nQo_A1P
+p@\1[q#:*aq#C*gpAajeq#0pbp\FS#p@RtJq"Vm^6q(JNO%NBplM(2InG)nTq=sOT!VlE\p]:-a
+me?\Ts7cBb%fZ%qqsX1Qggb[!r:Bg]iqENLqYU6fs7u]l%KH%eq"OLUo7gbmmd'oPp\Xa7p\sse
+p\sphq>0r<~>
+bLupLrS.>-1#(@6gY:H8g=tcFcellJ5IfY<kN1IKj4Vu5f@Sa1gt^i:a$"A!j5]%Xgt(96eC`OI
+h#Z9apY#T#s4[S0h>,t.hZ)F3h>lI3h>Q+.gA9J<f@ej:jL0+g2,DtS1d84hf\G!(g"b6Eg%!_Z
+g%s>5f$r?ug"k*4il=f)fAkTBgY)/Lo%=&qec+%rec4;<iRH0+f\,3@E)!CadH'!4f@A@!daQaq
+fDa;+f@em2g""R"eUR~>
+dJQ0)q>:!bq>:!aq"jd^q"jd[q"aa\q"aj[s8V54:TaWps82Efs5s%Kq"X[^r;HToqKlTFo`+a]
+s82Kerr)U$qY9p^qY9p^qY9p^qYKp`s8Drr&,Z2"q>:!bq>:!aq"jgar;QQjq#:(/q"a^[q>C-b
+p\scZ5_E1!s7E?m>*mh?s7?-fp&=dcp]:3foDAUcnb<+]mem%\!;cQe&,-%rq#C9jq>QR[kPt,Q
+q;V;Rqt^$aq%*Mks8VZirqQK`o5%h&rqZQkr;4b:rVQWj!;M'~>
+dJ*P52u!+@p\+@Tp\+@Tq>0s`p\=OQqto;s8>c+TrV#d]s6BIWq>'g[p\+=Wo5Rn&m/$>Fr:fj\
+rVcI"p@n:Tp@n:Tp@n:Tp@e4Ss7lTh%/9Pkq"ORXq"ORWp\+U]rq?9arqIK/q"aa\q"F:Ip?7i"
+F\ID]m%mNXOjO.*n+Z_LrqQEe!;Q0[!;Q*Y!;Q!VrV66`&GYu!oC`(Vp[Rs8;W7ZDs7PCG!r2Tf
+qtUd&kl:YNs82E_m-A7ekkOcKp]($fq#L3apAt'`r:h9+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"ORXrqQNfrV6BgJ,~>
+bLupLs4R;(!S?$(g(E#nh:L]IaC6c\hr3bVf]M8:rRVb:g=k?;i7V3rg=>9?g>gu@h;6f:n_4&t
+pY#T#s4d8&rn@M0h;/%arRq5)qq2kAg"=s9eqYMa4EBN9O#fCK[cQGsgtpQ7gAKV.f@ed/f@edM
+g%!_Zg%s>5f$N0rdbid7g>R3;alq47f\,iIo%=)re^OEG(uWHphpCB<f&"p+:.!=ag"P-2e^`-s
+e(+3E!S,g"eKEJof@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'e'lqJf`]pWdaHTp~>
+d/5$`r;6Ehr;6Ehr;6Ehr;6?_rqc6ar;-*ds-$ues8)`orqmE+qYBpdp\sgbo`+ii<Q"k2s8Drp
+qYLZuqu$?hqu$?hqu$?Zr!`K#qu$?hqu$?hqu$?hr;QTnq'bh1rUomZqt^$]qtC&9:Se"_QiHj\
+iFuG%`V]]6qt9p[o_J:Onb`4Sr:0[Jr;-<hq>U9kr!)1eU]:/iqs"%SrV??dr"/l-n\&Fds7?0d
+p%A=Vn,N:]r71]CqZ$<jpOE~>
+d.[h@p\=LXp\=LXr:^j!qXjd_o(`"Pn,N0@=dJgQq"k!e')MG!p&=UZn+lAHoqkKus76$]rV-9c
+cM.83/bAl=q"O[br:fgWnG[GtS+K",qXXR?@nfh0n+QGGn+lSJrVZ<^s7lB`q"ORXp[S%Bp\O[a
+q@*2pp\4CTh,g0CoD81Fp[S%RpCI;e[Tn:]mJ-JHo`"LPs7lNds7k1>!;?Ed!;QQhJ,~>
+a4^CE&_YgbgtL96hqZoMj*!kAiS35gh\4i$gY(08e_JU/dG<K4183aYh:qn^rRp_pn_*Kes4RD'
+rRidOgY^]:gu$rBf\Y9E?T!`%0R`->j2=YT7&o/,ini;Ff@Ja3dF6h$e^r@'ebdtcg#CTpe^Dgm
+e(<=/hVcF=L#L_@f]h#`fE'USo@FT.j33rYAE_S"h:1!/cH+hng&9P&ec+&!da\3C+OnihdaZ^p
+daZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^mdFA0H"OtlGcd@7~>
+_YaW8qY'g_r;Q]n#QMJ[H11V0rVl^-rr)clr;?*bs7ZKk`ESf$rVlZ7r;Z`qr;ZZoq'c4=q!mnG
+o()bKs8IUPFRm"=Z2aLlqq708EhW@-pAXmbq==1Rp[A!sr;ZZnq>L0qr:,Jhp&Fjfl2:AUnb`so
+s8VJ_F/]-4q=t!cpAXg`qY\n@rVHQh!;D!~>
+_Y4Z;p\+L[q"j^Xo_Yq/CuXmZq>U6mqYBpcpC-EbqsXRY^fH`eq"aU&p\Xacr$D12o_/%PrU9d_
+HVnSCYstbjnFZS+Kh#R8m-sH<o_J=Uq#C<aq=r,,"o.oiqYBpcpBUEXIs:>Vo(qVFq=sLS&FfJm
+jIU1^rpoaVrqcEip\=[\s7k%:!;QQhJ,~>
+_V#OQf$`7*gY^rIiTQq:=jPaZhYl72gtVh^%+!bee)]5W3-W[%gXjO"!8%5#s4@;(-f*S3e^`:'
+f&>*AiFkDYfUt*gjkAJG]m)bELu7.FiniVLf%8[0cM?#hfBq8Nf+?KZd*gCpg>(QCeRr7=hq$WJ
+fD4(hf+H?\hoCCJMWWUGgY^Z4g!SF)rR_)"s4%"qs3]iSrm;#"eCN.!dEg(bJ,~>
+_Yal?q"smas8;]ks4V[&bl7VBrVl^.rr)clrqZ0cs6TdIG>dE"qu$?e`Vf`4.J`l7o_A7Wp@\1P
+poIk1huB0R_Y4!*qu?Ah>$Q(:s8DE]rV-$\p@.ssr;ZZnq>L0qqYe*,eGo+>l2:AUnb`spq>^K_
+M,i:0rUg-bo`+FXqY\n@rVHQh!;D!~>
+_Y4Z;p&"IXrV6!YrmGU\^]"')q>U7)qYBp\q=O+OrT4(9E_Y?hp@n:Q`V9?+-i3T1q>C-cq"OCP
+W**6Rq3"gknG2eSs6?(I:hAhipZhJMq"O^_nbr7&pBC?fqYL$_rq?ZipU<oBs6KUIp\FUSpCQla
+s8V86:Xo=<oDeUXs7#g]p]($:pAk!fq1&~>
+_V#OQeCW7(i8*5Jlb?UgXQnp)hYl7CgtUQ<f?rF5alL<<0>?K!g"=ltg&'D$fdGP+f%Ss8gtUT8
+gQ+fm`TVkBW7p:fhWW[T5seZ(m,?IMi7Zc;g!BWIq:G#ein"Cbda6Fmf@p5Z#2c%2ZfTNjl.>a`
+n^eB"cf=$0BK*TahUgc<d+uptg&9P&ec4.tdf7_Sdf.W"daZjteBuUed=;~>
+_>Fl>s7c<gp\Om[RSoOQq>^BkrqmH/rVZQkqu?Zkp%>.Z[JKk%p&Fj,r;HL@p@ItUs7l6\s7!<n
+>jh"WO^H2ts8DEZp]';l;dZR)s8DZbq"OOXqnr@3qu6EiqZlrpkYI`Ko`*>:&HDP)qZ"cJIJ!R/
+r:oa\pA=^aebf=As7cTgJ,~>
+_=nN6s7H!]oCVhCP"1N1mJc\PrqdB*q=s^ZpA=[Vmd?Z@Yk@egnGDjsp\jk7p%%hUs82QbrpR!d
+<p/Q8Lf_FVs7u*Qn,:mM8lqees7u?\p\=OXrV4D,&GZ(tq>'g\p\4:Qi^oF3mJ50(&H)"koDcd6
+GOYS"qtKRZpA"R[s7k%:!;QQhJ,~>
+_:]CLhpp<9f\YW>Il2N:fBCoCrS8+AgY1E8hV?]1dXj-8f@o'/h:B^$qq(l$.+Zl!hr3AEgZ$\I
+2aGmAicdendcTK9f\Gl8<&m@.ki^mWg"Y35f[p,Qq:G#ein"dmda6Inf@em5gYU(-Hf3<-g!\Ia
+g<eR)jJtXTfAb36fZi=%f@g,Ss4./!rR1_nimRhR#h%5ReC;mlc-_%~>
+_>Fl=s7c<eq>^/m?Z#Q;s8N#rrqmH/rVZQkq>^Hgs05RPs82Kfq#:62r;HL?qY9j]p[[nJpto4P
+SGrQ]G#-ldqt^*es7u!\O'5,(oD/7Wq>L9g_YjH2rqZNi#5n2oH"lXEd/4ITq>0g_rjGq'mf3+X
+o_nU_qY\n@rVHQh!;D!~>
+_=nN5s7H!YoDJ*V=(Ujpo^hhQrqdB*q=s^Zo`+aVs/Jh=rq>jVoD/1#p\jk7q=jX[p[[nJpYJnF
+QMC@EDF`4Gp\"@Xs7,.LLf?`dn+HDGp&+a]_Y4W:q>0p_q"XUXp@.iu@cd@WdJ"4OoCMGFq63bg
+lML8Ko_nU\r:g6dde<b:rqV'~>
+_:]CKiRQN8g#h"R6r;UthVI#CrS8+AgY1E6j4r/FN\Xerf[AL(gY0d&rR_#$.,3G.gY:<1g"F5)
+21X]Mg06DMg>:W@hW`nDlubKD@+O,hg>(WEg"GrJn_)pR&_5=Ve(*('g>(Q;i*/aqh:^K0f+Hlg
+f$`:-Q8jNChUpK/gXk-3rR_)"s4%"qs3]iSrm;#"eCN.!dEg(bJ,~>
+_>Fl=s7ZEirr:>^:!EY/s8)corqmH/rVZQmpAP!jp2`XKr;Zfhs7u]6r;HNmr$D.0o_JLbggOuZ
+li6GRGuO51q"t*hjT#8Xpn2=nHG0.SqYL0e_YjH2rqZNi#64Ds\Q?]Kkkt8RnbiFas8NJrs8%pU
+]`7s'rqlHcr71]CqZ$<jpOE~>
+_=nN5s7?'\q#&9G7E#5is7#m\rqdB*q=s^\nbDqTmqb/1p\OpYrq---p\jmeq^)"-oD/@_gL+ZP
+jn\*:ED,Tjo_8C_i;EWMoU98XG.I;Go^qnM_Y43.q>0p_rqHcnq=+<g:qZi$l1b#Inb<(V%K$.j
+rUc(C\GuBsrVH0`p]($:pAk!fq1&~>
+_:]CKhpgH;i9%CE19]ukk1APHrS8+AgY1K5gYCT5:a)sogu6Z=f&"O%rR_#$s4o0XeCWO8i4VHN
+EmNdqk[$6ui7m&Gh8eR>hqN`U/7"q(kM4kOg=k03f@flLn_)pR&_5=Xe'lq#g"P?9jI8'%jk8>P
+fD4"ffDjA3hVlc<g2f!>inW)@gXY!1rR_)"s4%"qs3]iSrm;#"eCN.!dEg(bJ,~>
+_>FlAs7QEir9oMDQ2gUYrr<#srqmH/rVZQmq=agbUfEf^m/R+Ws82f7r;HL?qYg9`r;ZZUK33Hq
+s8VlkG[C7@s8MZ]s8VHQl2U*j4`.UorqH0e_YjH2rqZNi#Q=Sulsu1WrTX7UqsjRppAP$kq>:3N
+AprG6pAb!aq>Ae?rVHQh!;D!~>
+_=nN7qsaRXp?.$&NW8JBp\Oa^rqdB*q=s^\o^VbLSPG=DkPtSMr:]s*p]($gpF,b2p@7qXpZ-p-
+G4kh0nFLU"o^VnVoC;k\lg3j8k\`=lYN>KHn+cUopAk!eq>U-pp\=IUk$3];p?D>Ip@7kfnbDt\
+o_/=?@X6T&o)JFVqtL-cde<b:rqV'~>
+_:]CPh:(<;hU67&HKs5Ch;I,ErS8+AgY1K8eD/]-13MBoiSr5@f\=<ss4T$WgtUE9k2+0i3Et;%
+j5&X!6f-SYhpp39j3Q)rk06gH:RTSgg>(ZBg"P-5r7Uu!n_)pR!7h%ss47V2g=tE<bXHL1gtCuE
+q:>)f&^f7bhq$H>^I;D=hUUW=f%JaTfDjD$eG[hqdGiURd0S1Mf$r3sccsjf~>
+_>FlErq$0cp=;oAs8;lrqu6WorqmH/rVZQls7cKY:/V#jr;ZEeo`+^*r;HL@p](3drVtc_;/kI`
+s760d9ih8as8)']r9O+Ws5j:QJ432:s8VoprPSR5qu6EiqZloro`',Kq#0ITq>9^[&,Q=snGiOX
+s0kn'r:p6`s7uTCqu-Bkp]1&=~>
+_=nN;q<n7RnBOF#q"4:Zo_87YrqdB*q=s^[qssOD7nWORp\sXUn,N!up]($gpF,Y1q=FFZgTaRn
+h!P(,p@C^Jq!A%SlMgbKq#CBTs6t>!7B#tWmeHLnp]($fq>L'noDJ%TDd`).l1b#Inb3RerU&qN
+qWn0f:87OUq=4@Zp]($:pAk!fq1&~>
+_:]CTgX5*:fXWY#j58bTf\>9<rS8+AgY1H>e_A1r0&,79i6g6*iRPj!s4SmPhVQoAi51d8;8L]B
+f&P[D3TAQNg!&@0bh2";`obf\-SUbGkhP7SqqD&&qq(AkiR\Xke'ljtf@ej.hpg[g8_MnPlIYj_
+n^eB'h9F.'gs+lF0nnB6gsk36g&9P&ec4.tdf7_Sdf.W"daZjteBuUed=;~>
+nbi4]fDH-YrVbhi9?-;ts7u]prVc`mrV[!#r:^&X7A9^sr;HNkr%IsImf3(\U/tX@p&"[es6s-=
+rVuQhp\":Rp\4IXqYL#r<(MZ1s7u]_s82irmf1H-!W2`mq#1%"r;6BkP[N2CqtU3kqu$Ednbi4[
+nbi4[#Ps0^])V^!s7-$Cqu-Bkp]1&=~>
+nb;kSg%YO>%f,hkh-NI_j8SlGqu?HerqcQg"o%Q]PWkPOp\jmcpFl4=kkXfDS5W\4nb;bRqWLau
+p\XLVp@S.Uq"XUXp@e*^9L*j`qX4@Hqt9dbl2(;O!;Ot9!VlEgq#'jrp@\?B=OHg8oD8FZp\=:K
+p\FOQp\FRhomp;Srq>^YqtKj[g@kUBrqV'~>
+n_*`lf@^Vjgtp+F0WE@]iS!)IgA'G-g=4i$,(A:[g&9VCgZ6`?g>@QC5,ZochW!YG4(.%-f%ep.
+f[eXQfFurmgR'oMB%#u"kK`&@hrN#;g"H>U!S,flg#:Q[eGn,"faZ]qF[<[sf[JR1f%8R%n^mTf
+lIQBrf4-t2jP82Gg=cGVrRLkqi6qVP#h%5ReC;mlc-_%~>
+nbi4]g&)BTs6]jaKNa3%s8W&kqu6Eiqu-Htr;ZfY=]bL9r;HNkr%IU?rq$0-E`9+,s8Mlkou9p\
+p\aU[qYKsZp\4IXqYKsRhJ$D1f`1UDoDejYs8C+<!W2`mq#1%"s8Mll`a#20s8;lqp\4Xcnbi4[
+nbi4[#QN7\J+<R:qsjU?qu-Bkp]1&=~>
+nb;kSg%Q$Hs5s4NHr>LZqZ$<[pA+F\qYg3pp\XmH;Gd#Y_>!p'rV%u2r:o[Z]kU9@lhgPNo^0@c
+Gk(Lqq"aa\q=saZp\+=NkLO'B>Kcs2q<e1Ykkk/Pp]($:pAt'`rqQHd&-)IuotFCmmJZeTq==+O
+q=44Tp@7nQp]pZ@>C,W5p@\=Wp\<J:!;QQhJ,~>
+n_*`lg"?ncjNQ]BB0U7_jlkOMf\>$Rg]lKhhnq?/fY#o9g)&/ri77%f;_sBVhVHo@fVpc=g"b!0
+g=lMVs4IA)&_G@F9LMI`lIY"FjPeDCgY1?ZfDjCkg#:Q[eGn)1iS3#>V`f[`hq-Q7daHe$n^mTf
+l.66sYWc@?jPJ_Hg&9P$ec!tTdf.W"daZjteBuUed=;~>
+nbi4]g&)*Ns8VZH<Dr>crri5qrr;urqu-HupAaf*8\4j"_>O9/rVRK3nGi4F?XKAns8;imr:m*p
+RJm-Wqt^'dp]($gq@EE%na'pj?bQI=rU]gas80t:!W2`mq#1%"rr;rlrbciXs82Zjq=a[bnbi4[
+nb`CarqZNis83&5>b(ihs7-$Cqu-Bkp]1&=~>
+nb;kSg%Q$JqYB=*9hOXLs8)E^qu-EjqYg3pnc/)p6F6@a]D)@!(&d@qmb_)FQ0eMFq=XINSQ:mI
+q!e%Tq#C*gp(-cpl/Z,D<3l5op[.POs7Z?as7k%:!VlEgq#0ptq>0mWp1A.?qtB^Wo^VVPnb;kQ
+nb3%YrqZNfs7Z]+<g<LNq>9p\ptGHBq#:)>~>
+n_*`lg"?kdiT&>%3&fCPl/LINgtqh]#Lqh`:F;F]ika=FgAfqEk0`ADb!J@BcemL4gYU\@6%%SH
+e(WL.rRV#$rn.kFd`k?C5b?rqiRQZEjk8A@rR_)"n_)mQs47(s&)#amf\]P/kM=_>f@83uh!s"l
+f'h5feHsj\RQQ#\gZ$r?rR_"urR9]Qrm;#"eCN.!dEg(bJ,~>
+_Yai@s8MrrK0eMprqcHirVuimrVQp#lbu7squ?6'r;HNkr"oD2pAJ`)N;3GJoDJOds,gTjrr;`i
+q=jm`rqZTk&-(elp@jDR7BlO[s8MKen]Le0qu6Eiq[`8ts7lVX@/BcqpAFsfp\ihD!;l`jrVHfl
+s8R^KcN!,+jno#Qs7cTgJ,~>
+_Y=*(%eT;aGWFLMq"41RrVcZlrV?Ee#QNr%5?7@Ulauokp)!Z!me'pXJai^6n+cVPr/"FOq"s[X
+q"F[^s7lWg&-(ScmdGU,4f\&As7kjYlhgGVpsSp:q#:*fp^ccgrUTuH=Ru1Wnb;tTo(^r5!;QNg
+rV-WeqYtt8`r#E*p[@n:pAk!fq1&~>
+_V#OTh:p]AA0f4SinW;Di835CgA9P/jN4/@3S<E=_:e_>s4eCOh:LLV1i:q+f[AO0hrSrFOP\sI
+g"H;Ts4RG+''@3qf@Xb).$WK?lJg4RdG!:,rn%2#n_)dNr7)>&g>CQHG"(6?e'Ze&f$`4&fDF))
+d+[Pj1:-3%g=cGVrRLkqs3g_llI,[Z#h%5ReC;mlc-_%~>
+_YauDnc/Wg;kX0irqcKks7u?_rVHKj#6+XH;n)Au_#40.rVRH+qYu+KGk_7<p%SLaq>Yb5[e'Im
+r;?Nhr;.#ts7u]kq5IduH0tY0s5F"#r;ZZnq>L1$p&G'drP2C/rVuWes8VfigAD$Lq=spas8*&p
+s8'uKEW5^sr8mhSqZ$<jpOE~>
+_Y4W8kPk(E8<s#Eq"4:WqtB^XrV?Ee#Pn7;:9a*botC+up)!5hpNB2FlLt8No`"RUrc1?.mJ$8K
+qt^3crV$ilrq$'[ntB2XEp!5lr7h8Mp\jm8p]($fq#L3hq%*#oqsj?h9V(tTo(2nYnb1]2!;QEd
+$2F&jo>XpIo'c;Mp[@n:pAk!fq1&~>
+_V#OTcKO2D2M:/PinWAHhUg6-gA9P.gtl$cPgJL,g&9Y'g_\Yuj'juMfAPW:e`#<:k?BI'e(rX0
+gt2MXrRqq6iS!5EfSW!O?dn)ojMBs3g"G!Uea_>Of*'dYf@AFNdgsa[h:LMY3JcGDdaR+.dFQq$
+s4.+t$J!P_f;qA@inW>BrR_"urR:epq:"WWrm;#"eCN.!dEg(bJ,~>
+nbi4[gADN\s60K!9E4\Ws8;`jq=sdarV?Eh#Pm@QC]FFps2"X3qu$@.s,0]^j8/fOpAP$kpA\hu
+bOto4r;?9bqYUlrs8Vffs7=KE9P(s<s8;c:quQ]mrqcTk&,lP(q"sPg<qu^ooDejcrpfp^rUTjf
+qt^$cq>^<tqZ$9bSk>jZrUTm^rT3qTqZ$<jpOE~>
+nb;kQg@l0Ps4m6R5lU0;q=aOVp@\7[rV6?c#P?hBB)h\^s1S1*p)!AqJ43GgmJQ\OqZ$B\s'\42
+n+ueSr:^*brV-ols8DHXs6[j37:*J#s7Z-ap\jm8pBC?fq>0s`rq[0$qXj@MkZ:ONs7u*Zqt'XR
+p\FUTpAk!aq$?]jn+)c2RJupXp\4IYq;V,Kq#:)>~>
+n_*`jg=[(lk/Q@R0'q<Fj5/VGf@8@*g%sD-f>&k-jP@W4_:ee@rS/(Bi+t,6_qO8)eD&s>f'#^U
+XOZ/+g&TY$gATb>dcBH>f]LYd7P[W4jm(^Wg=b02rRLGkiRe+`!nc)TrmVJ0g=Fp3dmc@KiRuN1
+gXFjGfD4(ffDjD!dg4[UfRY]6leL1lfDX7ue,RkleEYK]d0S1Mf$r3sccsjf~>
+nbi4[gAD3Sq>ZU__>j6.quuojp\b$hrV?Eh#Pr1@_>aK4otgPKqt^-dr;?Nls0P3u^]4$-p&"^b
+s7ZIr<9<uVr;6Bar;$:$o_S=^pAY*FHV\(Uq=jp3quQ]mrqcTk&,lD%p](8?9\'1Co_ngbs7-$_
+rUTjeqt^6ds7uZk#Oqcnf6(9QrUTm^rT3qTqZ$<jpOE~>
+nb;kQg@l0Pn+MH2[f5^ep@e1NpAFpgrV6?c#PDY1]_DI!m_JQ"q"OOVpAX_$WAmVXoB6,Dqtg*a
+nGcB[h=U[@q"sa[qY1TsnFlJQo(r73F@]T:oC;YTp\jm8pBC?fq>0s`rq[0$p@[tSqJo!Nqu6'Z
+qt'[Sp\FUTpB:9eq>0sdq$?`\s81#T:=](9p\4IYq;V,Kq#:)>~>
+n_*`jg=[(lf&1R2V!Qjpi838?f@ns5g%sD-fLS)rgZ7&9_:ekBrS7G0(uLN'3hP?[kgS5>g#1HF
+4#P%3i7lr<e(XZQ'AV'if&>08iP/hZ8!_uahqHc:fDX7ig#:Q_g&fpXf)F2!f)O>0k2g#)ZeO?_
+f\=m/n^mThn(7Tis3hA(e'uS$iODuT_VEiCfDX7ue,RkleEYK]d0S1Mf$r3sccsjf~>
+nbi4[kkkGXo_]@#s3+&Vs7--hrVuflrVlZ\qt^-d#JXDZs8V<_p;6b-q[3/rr;?Nls4:sZO8f.j
+pAP$hnbr(Z85JIAr;$3gqYC(#qu-<dpAOg^s7DUW;NUJLo)&Ocr;-<KquHThr!`Vrs71tSXmlAc
+s8Vfkqt0g^rUTjdqu$9gqZm)ls8Sp*J,T'<!rMonq>KFPrVHQh!;D!~>
+nb;kQkk>)Po_0!lpVK+.p$)>Mp\FUXqYp6Vq"Xa\#J!cHqZ#OSn&"hup`9,&p@\+NbZmDbqYBjR
+qZ$BYp[.`@8)Wh/p%SI^q=kQrq=OCOq=XCWm>k%:MX:?9pAO^cq"aXbq"OX[iV39G&c2>!q"OaS
+s6>,;VWn-Pqu$!_q"4=Vq"".Zq"a^kp\=.RpmkN2pAF[]p]C9dq"aaFpAk!fq1&~>
+n_*`jhq@n\'Af]:;rQ6fk25.Rg"Y<5bLtS&gATe3T/f[&jM^*,^tJbAs4mY2);r"r/T9e3i76T@
+g<e[)i@-J&eD/^/gt:?WgD8Muf@e^0f\,B?HoX*,f&kiEg=b*0ec+/&g"4p/pY"NWs4[M*'%YR`
+f%&C0d,i_l6Aj"He_Am,nCRKgn(7QhrmMG.f[/R8Ldkk/g=b02f@A@#qU>Gp!S#^"eEYK]d0S1M
+f$r3sccsjf~>
+q>C'cnbi4[q>:9jq>:'hr!iE#nGiIerbG*Jqu-6er;73)r;6Bks82fjp]#%qchd\;s74&)+T(p5
+mJm4`p?Q!SPktFQrqcBbrV$9kgf[PNs7cKgpA4=W&GH.uY%'qIgA1dKp](3jq"ssb!VlQiq#^?e
+qr.GQqtp:%rVl<dq=Dp*IJs'<rVc<`rqZQjhu*ELrqm<,pAaX^lZ$"as7H?kmf2kUqZ?Tjqt^0O
+qu-Bkp]1&=~>
+q=j^Ynb;kQq=jd]rV$ckqs!tNq"J;c_t<`oq#'k!q"ORWrqlB`o'lZj43@-kp&FHspE98's6BR_
+nEJe+3f!2$n+cVMq>0[^qUAA7nbM_Np\+IRpCQfnn"s;QEmjLSqsaCSp[e+Up]($fq>^3kq=saD
+pAk!fpCd8qp\=RMqXj3u7!%tinbDnJqYp<ipttiAp^d>nrp0UHC/ER_mJHhHs6fj]"8M]eq#:!g
+q"Od_iqEHJrqV'~>
+q:YSrn_*`jo@a)r%G0Rbi8!2D81(7egXP!WgAT\:f@Jd6gYglClr#.7g>(-2ak+D_+4K&hi9&bE
+bs*Y#gZ6oAg"4j1e`Pf'3]#LIfA,$.f^d]4g=>E>O[^j.^Y\)5f%es1e(3%"eCN.#f)=5!g"b0p
+e^rF*fur1%d&e^"g=Xs0g<S@$e^rFOg"b3YeIUK`hTb'%:,KfNe)0$&h8oQD"4c#Tg&BS(e^sfN
+s4%"qs3^Dcrm;#"eCN.!dEg(bJ,~>
+q>C'cnbi4[qY^BjrqZNi%Jg&!s8Miks1DNojo#,Pr!r`$q>^Kls2e)\kP5)QqSE(<qtg6jpAFsg
+QV!.gqYpNpq[WQ&o`+^19j@Pqq>U6aq=4@os7u'^eS\B#j6lgEmf!1cqu$<jq#C0gp]C0aqqCrR
+p]'m`r;Y_]?N0s2p&G!_q"X[\qto"C&,Q5%p&G'#<K["TrV-9er;HNkq>'sMqu-Bkp]1&=~>
+q=j^Ynb;kQqY0j]s7Zuoqss^Znal[f<JTN,q=jUoq=F7TqXjg)8T3SYr:TdY_Y52Jp\b![nb_d1
+3If<Eq"t!cqu$9ZqsqZo;tTtYqY0[Ynb3Rno&fenAkZRck4AW9pA+R^p]($cq#^EgptGHWo).tN
+p\ilJ;tU"dmelqRqYL$`q"WJ8&,#\knGN6i:l4W9p@A%Qq"smeq"sgcpu;#Jq#:)>~>
+q:YSrn_*`jo@a/t%GB^mj58SGigMf?_V*]=fb)ihe(3I:iU*p0>g(dTd*U4m_V$$^g>CE7kMCD4
+DS+`]hV[)@g>(09fW?bgh;R&Cf[e[Efam)nbi?334&3oHhWW5<gtMSRrR_#$g".(hgs=U(h7Pa2
+hWEeFh:^6,e^rF+g"P-4g=Hhbf@SC)h2sI5fAG<3f$XKFs3q#""52D]g&9P&ec4.tdf7_cdf.W"
+daZjteBuUed=;~>
+q>C'cnbi4[qY^BjrqZNi&,H8#rVuTko4_Ias8;iqq>'q!s7Z6fp%A<,6bWNps82?d_YbPRq>^<d
+rVsZ(?I]#Kr;ZQgq"jp]s80f6BE/#0rqZ<`nb`FflMgejfm-7u\c;$ro`+siqu?Nmq#C0fp]:3f
+gAD]Xs7uKfs6tA2jo>AQs8Vceq"aa_qq(`Vq#C!dq>^DF9>:Guq#BmarVQQhq>B@OrVHQh!;D!~>
+q=j^Ynb;kQqY0j]s7[&qrUT^_meZ9\=4[9Cq"s^ZpCI8noDe:IpMN+%qt'a[mJk&t+Sb[1p%%\I
+ZTD%)rpKIXo_J:Yq!n:T^.Mc,r:^!\pA"1P&HCeis7t&^6s$YfjSnQAr:^'_s7lHds7k=B(%;.o
+o_/=NF@=gWs6]a^p%nO\q=sa:pCHlln,;nYpjGQ=s6]FXmJd"Ys7lKcs7kUJ!;QQhJ,~>
+q:YSrn_*`jo@a/t&)$!qh<<JNdRQ=-h:^N<f)"&3fA=p*jk&8K>UlN/f%e]ogXj<q+4oK(f\GJ\
+.R:H-fA#68g=Fp2eDf5\1J$H`gtgT6f(%E)j2^0AjLeeR7%WD_jO)c?f)F1tf)=5!g"Fsoced1$
+f&=eR0#Q]0dG<R+e^`:'g"G*4g"P$me(W.(eDJnc.\GkNe_J7!daHUnf@TuSrR_)"s4%"qs3^Dc
+rm;#"eCN.!dEg(bJ,~>
+q>C'cnbi4[qY^BjrqZKh!ri#grr3876B2$Fq#16dq>:d'r;HZaq9_]BnGiCarU^'*r#b\5lMpn$
+>uS*(s7ZHinG;nTqtL-g]2WhMs8;fjq=sLX$MOMnq>(!_RSQD(rr3#hrr)`nq?$Hfq>C!gq>8nD
+(&7h,q=jp^V-Btnrr2ifrV60`q>:'@r"&i)oDeIPs3k.lp%SLcq>L9hrV?9ejno#Qs7cTgJ,~>
+q=j^Ynb;kQqY0j]s7[&sq"*tNp]%N^M#./Cq"jOVpCI,pq#BUMb!94rs7Z6`n,L5u+7oNns89?&
+7],POn+l_FqY0g[oDJ<g9PX:spA"@Vq!n(in,MkInb)=57m;4qp\O1LpA=Raq"jgdptGHWoDSFU
+o)J3N:nI"Ip\F@XqYL$`q"WJ8%f5nes6o:Rc;SNHnGE%SrV6Tkq>'g\qtL-ciqEHJrqV'~>
+q:YSrn_*`jo@a/t&)5soe`5TOQlp/!j42l=e+qZ.g=P'@dG;8a9%N4Zf[S$sf>?2_f&Y!:kG(7!
+Q.Y<NgtC!*e^rO+inU%];r?KfgXk-0n_"K%j3lN4i7WT:.qIf#i6^60rm^ntrR_#$g".(ih:L0)
+hp?p8Lt187g<eU)e^rF+g"P-4g=I(nf$<7#bMfZc;:<qLg!\C!daQasfDXD$fDjD$eG[hqdIP`b
+d0S1Mf$r3sccsjf~>
+q>C'cnbi4[qY^BjrqZNi&,c/$p\k-^BOBHhr:p9hq"agsq>U6jqYuI:W;l_oq#8&++91j1p[(jN
+T)8Hbs8W#nrqlWjpA=HV8:::1r;-3dq=4@ms6]j]nc/LYXC=J3p\X^^qu6Hjq>U-iq>8nDs8E]0
+rV-0`emNY"p&FsVs7lBbq>:'@r"&i(qu?E[s8T)j[/]t%rq?<frV?9ejno#Qs7cTgJ,~>
+q=j^Ynb;kQqY0j]s7[&tnG;\Js63rqeFiS-q=jLVpCHolp&F[\KJoP'o_S1Uq"V]"+8bF)n`<A-
+POS,6q>9p\qtp<co(DC>5]lShp@e1Vq=41irojCRm/QbHVHc/onb)GFr:^-aq=t$cg@tXC'DM:m
+p%-L0C%Lcjq<@qUqYBs^pt,6Rqt9[^o'?2PUI)*^o_eRVq>'g\rV??bs7kUJ!;QQhJ,~>
+q:YSrn_*`jo@a/t&)>aofA>`>7m4<4g""j1ebRl0eCiI8guNH"Np,9Se^r:!f>H8ag>LHDgX%l2
+J_]);hqco8g=b36e_AQ+.:(]^gtC96fC@N*hT4[+cfX'9O@CTogYLQ;f_X1HfDjM>f@\O%e$;2:
+h9t68aPYOuf@S^/g=b05f+Hcff&"iugYdi8Ol=mHf?MdnrRLr"s4RA&s4./!rR1_no$[Nb#h%5R
+eC;mlc-_%~>
+q>C'cnbi4[qY^BjrqZNi!W;QgrsAJ.5G\>Kp&4phq"t[$s7H9ig."`rs7$'_rr;`/r#bh8qYt5-
+Eq',%rVuWhs7lHgqYC'`Rn\\6p\jp^rqZ*^&,ZCus8VQfq=VpS8jp`"s82]nqYg6hp]:3fgAD]c
+qY^Bhq>U7t@/p!$s76-`q"aa_qq(`Vqu$Kdr;ZEhnmub7mJltUrVQQhq>B@OrVHQh!;D!~>
+q=j^Ynb;kQqY0j]s7[#smJm+Yn?"[Bs6K1LqY9j[&,?%jp\`N*7,@h,qssU]o>()Aq=FGj95<\e
+mIpMLp]'p_r:]gWnWQCknaZAHo_nUTpC@2js82*]oC'Y:6U&?dr;63fp\FUbptGHWqXsUZo^qtO
+;cNGZq#9a\qYL$`q"WJ8'DD2!n+ZkNqs.R%n`^#EoD&.Vq#1$cp]($JpAk!fq1&~>
+q:YSrn_*`jo@a/t%c#Oqio&LU*eNFsdb<L1pt652h9t-?^+;"]kL/5:f@S="_q?0dhW*PW9fQ5'
+k18>Hda[.%f\5$2gt-p+B\M(of[\j1o%=c0eD&:-h9G*:f<8F5.')Xog"+g,f`'ILf,35lf@na(
+g"/ANhpgH=cJ-n"f@S^/g=b05f+HTch9X^3ceZo89\%;Ee'QXorRLr"s4RA&s4./!rR1_no$[Nb
+#h%5ReC;mlc-_%~>
+q>C'cnbi4[qY^BjrqZNi!WD`krs@.mA``sbq#C0hq"t[%s7uKhN]`X*s7H9er;-<,r#bt*s+sun
+gAh$Br;H<bs7Q-_qY^BmR9#OLp]('`s7l*]%f64qpAad_rqtDs<_K%XrVZ]ms8)cmqtU6hgAD*P
+qYpBgrr31E>gWBFs8)`is7u]lfDH0Uqu??cs7uBgW`QP%s7?6gqu-?dr8mhSqZ$<jpOE~>
+q=j^Ynb;kQqY0j]rq?lkq>L05B3sNrnFQSMq=s[oq>9gUpP:_hpAF@RpA"?spE0@sr.7pVeGJh*
+p\=7Or:9UYpA"LZO\Ui,nbMkMrqQ$X&,>ktm.(,EpA"@0G>CVnnGW%[pAameq"sjeptGHWq"=IV
+p%nO^Bi)e@o`"U[qYL$`q"WJ8&,#YpnFchRnbo4ZXRlJ[qYg3fq>9pdpu;#Jq#:)>~>
+q:YSrn_*`jo@a/t%c,^nj5[LC7)S'5e_\m3pt655h:L?;E$0Jbk18;>e^;mu_q?0dkL8^76;>2U
+gXY$3d*p[oe_&R0i8/c=FPYR+f[\m1o%=c0e^<-qdG`O/i82+T4>DNCgXt33g&BY(g!eOif[\[+
+e_8a6;`_,7f\b92e^`:'g"G*4g"P$ge^iR'e`#$,iJ07Oe_e[(qUGZ!g"H>Us4./!rR1_no$[Nb
+#h%5ReC;mlc-_%~>
+q>C'cnbi4[qY^BjrqZNi&-)Lsr;X&iUAsc`rr;Qgq>'q!p&+jgpfM&(r;Z]js8)<d_>FN5s1_N(
+a7B60(&@_+rV-6dr;-<gpP_h:s7u]kpAamWr"&c+o_SU^o`+[bs5o219mZd9rqc]lrqlWhg&)?W
+rVuQbs8;Y[>)rOXrqucjs7u]lfDH0Zp\t3bp](0ehdU:!o_&7_qu-?dr8mhSqZ$<jpOE~>
+q=j^Ynb;kQqY0j]s7['#o^);IW]Q^Mm/?bYmJ6DMpCHcfrqGt]?2"!jp@S7Tmf()t+85@,\4o9)
+m.pSUo_&+Wo_J@]p@n:NKLM."oDJ=Rs7#aoq>TmWs75XVnbE(@K0i%Ko`"O_p&Ojdq#'s@pD*Ds
+qsa1Up[O8=KD"m6q=sg_q>'g\fCogQo(i1Oo)/7QfNVean*pAUq#1$cp]($JpAk!fq1&~>
+q:YSrn_*`jo@a/t&)c0igu=MCJ`P,6gY^?3f(mu1db<d<g,_a^i8rbGh:9^'f>H8agu.Or4"dYd
+iSr\EfA"m(f%A^0g>(:s/q)[2in;i>eahB*f@JX"e)8[%hq-fJb&B!j@,:_5!nc2Ze(5Gff\=d$
+hUg8%3,R@$gt:3.e^rF+g"P-4g=Hnjdb3C$dbNI)]K\jFdEpe&qUGVug&9P&ec4.tdf7_cdf.W"
+daZjteBuUed=;~>
+des.BrqZNi#QFJtqXJZ2o'uV^s763iW*=ber"&H"q#(0_s8DoZ<`F\Nnc/L`&cDP&oDejfs)C`<
+rqZKlo)8CSr;$4+s75sblBtaCLYi(+q>^Kfqu$Kop[\(Yq>:d&s8;TgrVccks7uTmme-VFr!r\>
+=Dn02qZ$<bq"aa_qp53?rrp83\,Q.$rVHKfh>@0Is7cTgJ,~>
+deEV5s7Zcnnc&1FCf9ThpBLW`q>[0hH2[I9p]($1pCZlooCr+KrqH-E:euN>m/6VPrV.!!q"jU[
+qt9c!7&otPpAaUZq=41Zq#:*gp_`c*me$P@PZ'bqfDP10rVc6Zq>L6co(W1[pCI*!p[S"Qq#9mb
+o_8CMnG__I%ed5&A,GZfrV-0bq>'g\chIJ7"hR.-q==@[p\jmap>GZFq#:)>~>
+bLupL#i=1og<rt_dG"0E&E2'pk))<1hVR&Cg=b*.e^qss'@Gjjg"ap3h;lpJ4DF05j4rAAg&9M5
+f[8U5gYYm\PMb'Kim?N5o%=&qec+#:e^rL.j3ucJd==J4BYEEWf\k]:f\5-8e^2e#q:?/1hUg0,
+f\#'0iRHK;ajAo0f*C!"2GN)Vf\HJVs4@;(!nu>\db"NR#G*9,gXOp-f)=)#daZk#rRUqsrR1_n
+o$[Nb#h%5ReC;mlc-_%~>
+des.BrqZNi#Pe;ps/Snlq!n7ep]'scHUtjM_>FiDpAY'as6p!]H<4bJm/Q\Sq[rc'qt:!gq>>52
+\bu0ts7H<dnbi4[s8Ec(mJm3s>WdDfr;QESs7Z9bqu6WmoD/:pq"F^]s8V`bnbV_Ns8N&ilMM.j
+o3H)1rVlZiq"X[\qtn_;#QODeG]i0Krr)]lptbiGqZ$<jpOE~>
+deEV5s7Zchq"4BW7\9/?pBgBgnFq&l\,,gl_tOcAnbN"Ms6BONF&?E3kPt,Ip\jk!p\=OVrVH-Z
+BhP`'nFZ\LrV?!X!VlKfp_Wi(mcjcOZrJr)de3A'j8\ZAp\=afqsaFU&+f>eo(rCTna,r6p&4^d
+mcsNOp?5@[qtBp]rqcZjs7jq7#Q*lSEH'n5q>L'dq"sdCpAk!fq1&~>
+bLupL#h\"fhi'4Df@oiL%GKFof%jU]TA\M[g=k6Zf?)\Xhp^?7dc8R2h.&`Hf$W^4g=lPZ'%bgg
+f@/[6g"]I^RbcQKi6pK6o%=)re^OKI);!Qsh:'a8l_-We?+\kIe]Hn%f%/I.hq--Kf+6?Xg!\U5
+cdBteb15>$hp1N=&_YSo8Di.Vf%AO'f@S^/g=b0-f+HlccW!f[gtUK4f$r3tdaZk#rRUqsrR1_n
+o$[Nb#h%5ReC;mlc-_%~>
+des.BrqZNi#QFT"m:'Sss7-!lp](-99l'D$_>FiDnGi:Vs7>oa6qu)/rq?3eq>^=(r;6?as8Dcg
+D-4jUo_AI\s7u3_q>1Wks8Vuns7G&`?"qdfnbrIkr:Ka`s7Z9d&,u;&q"as]qu?]ps7>m_rTa:j
+rVptLkk=oJq=sa\q>:'8r!35js0YD!s7ZEfrV54GrVHQh!;D!~>
+deEV5s7Zcno_IZR>O2+TpB^<fouKX7meQRnpCI;irq#XXmdHr78'M#2p&"X]&bl(ppAFaXnmtY4
+oBu2Io`"[Vp\FS#mf*7\pAOI0Al;sVrTa4Rr;HH]o_n^Zq=bEqnbi"NqsO1XrqQEZn,N1JpC?or
+BNX6^q"4CYqYBs^ps8[>q!.m^6`9tSrV-9cqtAtB!;QQhJ,~>
+bLupL#i=:mbsOnKhqI\T$/4"mh68J(eDK'\g;V_ViQ^<2dbiF%OY&N&ki:@OgAKV9g=b',hqZo;
+:-#9.eC`[/hq.DO!nYuSrRDb:c/7U;i9/k2;*IUXk0W#@hr!)5e(iX'q:?/1dG34#gWnC/hUpW/
+cf*OAf+H^";F8@Og!eR'e^rF+g"P-4dano[b2\U2MWE7=f%/@#rmChuf_sD"eG[hqdIP`bd0S1M
+f$r3sccsjf~>
+des.BrqZNi#QO;nYXl8's7-!ls7-,J7`53%_>G\Rs8VNemJagr:T=$elM^VTq"aa_qu$BhpAFgc
+ojq.Xr:]sdqYp9[r;$4#s7Gp_rpfd`l?Z?5V>pMgrr3,ro_&+]q"tWur;Zcfs8Vc_qu?ZjrVGgW%
+fQC*?FfOurVH<aq>'pbchn%Fs75AkDuB>-qYg3Fqu-Bkp]1&=~>
+deEV5s7ZculMRYIYQ"@fpBUW^s+WePp[uAs-h.!1l20]?\4K5enGheQr;$0`q"OOVp\=IWp\+&]
+:"/b(oDA:\q!n+Sp_Wu#nGE(KoDdfg7o>iOp@.qUqXsCLq#1!^%e]Srq<n+ZnEorLq=FCSlLtMV
+o:/abkk"cLs7u]ich@_<qWm*SCA78lrqHHf!VuNfp>GZFq#:)>~>
+bLupL#j'FmO=?R[hqI\T#hn:ekADWAh:qn^`RtdMgtp61b1iLG2NceYcJRIWg&Ke+g^r2meD&^4
+eODI0h:C99f\Y3Ig&K\'eJI,idGEj5h<N6h1HgQPgt(<;gsj]ue_9fM%b91ig!8=0d*:/#g!eU(
+lIQX$h1e(Ybgb=ue^`:'g"G*4g!\Iae_8<e9MO6jg"=m*eC)amf%BrPrRCeos3^Dcrm;#"eCN.!
+dEg(bJ,~>
+des.BrqZNi#QO_aCgZf.qsjRhs7>\]AGZ#u_>G&9s82?dqUKIJP5anLjo=oFpA"I\qu6L'pA"I`
+o3>,\s8)Zmqu$3YquHWjq%ro"nbE.`p$_qPQWR1Zs7c?]q#CBgpAOgb&-)Xks8D0]o(i=cp&"de
+q!.berV#2JNr/VOrV60`q>:'8r!36$nGg+(\,ZF'rV54GrVHQh!;D!~>
+deEV5s7Zcop>BOalgOK9pBUW`ku(j[nbBrp-L(R(m/-J&BfCtGl2B`DpA4X]q"OOVpA+FSp%n&T
+8E]a>pA4R]n+ZhVrV79+o^V\TrU]=Lk_r5,Q2^:Dn+6MWo^hqTpCI2tiViQ3s6]IXr:'F[p[d\E%
+ef5=7u-a0rr)]iq>'g\ch@_?s6BHh<O)JqrqHHfs7uQci:d6HrqV'~>
+bLupL#iFFW9L.+[g=l/O$JOLid5j\LeD&^2_q?E\j4MZ5f<S'oGidE8alM"*g"P08hVd8EeCW@2
+dlfG4i7cuBg"b-Jg&B\Eg"4j+e^i0pf\k`BeDo,+3Ac6Hf%/7!h:p?(pt$&3ftlLs_r/ehhV?K/
+hq-?Bf+H]d^G0NVf%o*2e^rF+g"P-4dao)^hoacC31&OUf[eR%da?Inf_sD"eG[hqdIP`bd0S1M
+f$r3sccsjf~>
+des.BrqZNi#Pe>$<1<XUrpfmkp&DKlR/$RY_>GGMs7cN`s+<[hj8&`<s6oFMpA"F[qu-Hjq"OR`
+moEEcrr2rq!W)Q]r;ZZjq%rZ"s8;T`p\Omfs0c3;OR<)Jp\k-iq>:!c&+S;BQ&qNVUXnl5p[8(]
+rp'CkrVujlDu9>*q=sa\q>:'8r;ZZorr_P1A+KTprV54GrVHQh!;D!~>
+deEV5s7Z`gs//VTna5i?#Oh\t6B^p5r5&+No)A4UmJVJtGhqukk5Y&EqYL$_p\+:Rq"XIQqrpjL
+o_/:Zs7u-XrV6Bf"nVWkr:T^]p($ZkX&;cMk5Y8Jq#1$^q"aXpm*h;_MjM;PdHU]%l21DSlM(>P%
+.Zc!o_%qRqYL$`q"W20s7H`uq;lX&m.U/Ip\=a`qtAtB!;QQhJ,~>
+bLupL#h\:!1jds-h:hJR$JO%oR4<I6g#(N;_q?Eei7-N-hd@U;a5,n#jO2K0g"P6<i8W\Lf%/I3
+cSm`;hqm5Eg=k*Jf`9b*g`5&$f@AEtfA>64f%Ss?i9H^o4E8U+gsk!1f$i1Ff+6*3GAq>AU40Ah
+iR5j&gtCuE&_Z*t/POgJe^r@%f@S^/g=b0-fDj;,hV#tM6djZ@f[SFMd/hhNrRUqsrR1_no$[Nb
+#h%5ReC;mlc-_%~>
+des.BrqZNi#PdS'@bLPRs7-!lo`'MAe+Nb?_>G\ZqtC'U\l)qcp\ad[s75RMpA"F[qu-Hhqtg*e
+kZ;<pq#:<iqt^'Yr;ZZjq%s)*n+Q\UqZ$6cpAMO$=GlPDs7l<es8Mil&-)%/Dd96n^ls#as8;iq
+p$2GbrVun;=k!0?p%\=Xq>:'8r;ZKps7uDu;7c`&rV54GrVHQh!;D!~>
+deEV5s7ZchjD%rInFQMHpBU-dHqhlSr;"2'-i!E*qrY:\>KlX2p%JFZoDAC[q"FFRp%J:Vo_@EA
+>kda_q=aUYq="(Wq#:(*s7c!Uqt^'dlL+!/Y";HBkOeWBo(r=]q=bF"kdG5-UXQi8F2S%Pq"jLF
+p]'pqpL[=Ip%7qRqYBs^ps8^7nI#9eo!1oqp@e7Tq#:*dp>GZFq#:)>~>
+bLupL#h[9r6Ftk*i7deU#hmkpA2U^Dhq\+^s4YTJ(Y[Njh8kp95.0/'gt:Z;ce7"*gu.2Pir7U:
+fA=S.7GukUhu;:/fCIT:g>:]Ag=b*.e(rEpeD/g5jOi>Bi0lM`C!5,`e'HY"pt$&8aHfFWK<q%b
+;kr='f\4^;f+H]oiD;G:f$i*ue^rF+g"P-4db"NF$Js7^Pqe`^g"=g(rm:btf_sD"eG[hqdIP`b
+d0S1Mf$r3sccsjf~>
+des.BrqZQj#lOLu89"M,p\XLY#QOF2@f??,p>l,Pqu$6dp&"mir;HNjrr!<'rV?9Y<)]%Vq#:0]
+m/HYmpA"I\qu$BdrVcNfj'$R(oDS^aqYC-f%K-,$qu$?hqu$?hqu$?eq%rGrs8;TcqY:*jrqlK/
+E(ZAFs8Vins7lEf&,,eqKk9'>rU*=+q>C!eq>C-jqsaLhrUp2d;5O6kq#1$fqp>6Gq#C!crU+ia
+r;$KiqYK%FrVHQh!;D!~>
+deE\7rq?]lo;"]fpA=CQnFm.R@U&R+q!mG>!VlEaq"=@_p@n:Xp\skHo_.kJlVC99o^r(XoC2SQ
+qt^'_p\+:RoDSOXo\ED]p?VJKo_81Yq"XUYp\=LXp\=LXp\=LWq"Od_rqRH!r;Z]fp\FIVq"F=K
+]P0`mcN!k6qu63]q"sdrnalI)@+YGRksfmhp[\=Ur:^3dnFm4^lhm2DTD8E[rV?HfdJ"CNo)J.Q
+puuaKp@e7Tq"a^[p\+=Tp>>TEq#:)>~>
+c.W-Ns4dn7N%.`^j4W2@q:Q80g"4p/g"PB990q@ogsc/Rs4Zhm!S?#ufD=1sgAT_&g*PP,f?Q-+
+FPGR1hUKm(g"G*5gtpuKi7?Z;f@n,(<Su<^hq-N4n_#,?gtpi?g"4d)ak5M)f%Aa/iT/nOfqhIn
+F0af_eD9'3f@BcM&(/kW@R@Wcg<1mIf%8@,eEYWlg!Jc10SS9?f[p,Q!8%2&e(5>bcJ?^sg<<T1
+gY(61da?CgeCN4#f)4%rdf7_cdf.W"daZjteBuUed=;~>
+des.Bs7?a"p](9erGb91p\=d`q"td'qu?]io)J`m<m:U=s8)]mr;?Njnb`Ukr:Bgao_eX_rqI0&
+s82Whs8W&qs7ZKhs7bF*s7Q9frsA])qu?D08:p7'qXjsaq"X[`q[NN"rVQW2=ap>Jr;?HhrV6m!
+q>:!bq>:!bq>:!bnG+I2nG`I]s4V*ZAE*UbpAagYrquQks8)WjrVoc_r;ZWnG@:1Br;-EjqZ?Tj
+qsjRhp&E99GlRR<rVQTi&Gu5#s8)E_rVuHgq#C0io(qVKrr)lprqd6)oDeL^q4UpFrq$$eq"X[@
+qu-Bkp]1&=~>
+deEe:%eK5jnc/FQok?XjnauePq"G9opA=gZmJHgT9>^Gls7H9as7l'W"oe>eq"jX[q>U46q>C$]
+q"jj^p]'^XoD.k)eGAb0rqZ3[oCVPGmqP1;lhC8NrqQQhrV$j#q>0jc]2<bEp%J+Rq"aaOq#'sc
+pa>t+qu$!aeRD!Sh"^I.s6oITq=X[ap\=R\r(`LOs7H8/=n).Zp%eFYnb3@Yq8Q*Ks76$\q#1$g
+p^Zrmr:fdSqYfm^p&Fabn*'NFq#C*gp(6upnGMhOoUAb/q<mtVp@\.5pAk!fq1&~>
+dFf)_eC*F0jl+hL<%4!`gZ$o?rn75$s4.V2h9X@&k)M<ugsY64rR_)&s4["r#2RqXf@eO'r71bp
+"525TfDaJ@g#U]@g#L`!]%kceiSWMMhr<MRg/KV9df/#!g&9Y'g^i5mgY1e`3a^b#gt^W:f@TQG
+rn@A)r7Cl"/)8A&gXG2m74^jDhV6ZGe^2mudb3@*f@o!80mDC3g>c3ueC`I)g""X)fDXCmf,r8j
+W\n&Hgu$i;e'ljtg"Fp1h:U3,gYU<7f&>6<d+IU7rn.8&s4.q7dDsh`f[k[6]A1cah9X6gdaZdp
+eE>9Zd0S1Mf$r3sccsjf~>
+dej[Rs7cKipA=:XjA^!iqu5dXq>;'-s8;]kr;6NoFCG1IoDeUarVZTjqt^-Zr!<)ls8Miip&Fjd
+q#C'fp`TM5qY'RWs7,g_oCq'K`;BT7qtL!fs8;ohT0mMMr:KUZo`+Uaq#C0gq[NAqrVQW&;gnWC
+r;?Hhht[ZZo`"^Rrr:Di6tY!KrttG*s82Neq=jgbn$Qi]rqQ*6F--%oo_ndfqu-?\r!3)uj^E<%
+qu-KjrV7!%p\=dgrV6*dr9a7VrVHQYr;QZpr;QR'rqZQnqYn]KMuWhMoD/FAqu-Bkp]1&=~>
+de==Jr:]s]nFbr<ge;AMp\O%Nq=bEqr:os\q"O^XAQA<klM^;Pp\ssWpB^Has82Ncp&FjdqZ$F:
+qY9m_p[R_EqWdPKkj6_t]_;:#p@.SCo^D_AQTT!4qYC!dq>^6iq>^6hp](!up\O[_Y=j$2p%J.S
+q"aaFpaGt;o`"^Oqu+i[5%)_4q>0RQrV?*\p@S1Vm'1*NqXj7"CP_BSn+c_Sq"".dq"4I?=`3Ns
+p\4I\q%3>so_&.^qXsI[q<IVJqY1!Rp\ssfp]'pup\X[]r:Tm*?%r=YnF-)MptGHBq#:)>~>
+dFf&bfA,-5h9k6(3DnMehoajTg&9M=f%JU%f%&:*h,$>gf?N1#e^`:'g"G*5n_"3!e)&g/e^<1&
+rR:ep+k+rlf@83of%n^'kgJ+t6)E5gh:^B5ioAq_fRt\R_;j;Hg%sG&facQeg#A8R?JaPog=k63
+fAbI<f@nO&f#ZS%YZ<#?\)c]7f@AL%cILCmf\4T78%IO1e@&=rdG<4&g""X)f@ej2g"GuK+P"ij
+_EqJZiSiMBe'c^qf@em.f%o9=f$ra6bLP>$f\brFrn.8&s474u&'NDQe_@/mCZOR'b0AD[dGr[S
+d0S1Mf$r3sccsjf~>
+dej[Rr:^0^rVZ9ePWZ;Pn,MqRq>:g$s8Mijs8MrQ:k\lEqY^<jrqu`lnb`XlpAX^]s7Z*aq>C"%
+o_JF_qtpBms7u]acqeHLpAb*ar;Q^%p]%j$<NlGrp&=U`p&Fdbq>L3jp'^irrhE;BrVcZlqto:H
+-i!H9s7H$bs5dB`A_[7`pAFpdq>^?es8VM'C\[r0mV-@equ??ho_n[cq=+:ds8@4Ya8Yr6qu-=$
+rq?*ds82QdnF?PYrUKUVl2:PZs8;lns8!3"s7H<^IU).6q#($crn[JMqZ$<jpOE~>
+de==Jq=XdVp\*qQN&7[:li6JLq=bWtqYBdWqtg$87!S_"nalMLq"OOXq![q^s7,pRpAaaVrqZKg
++S>C'q=aOXqu?6\ji'Vqm.:8RnFc\Rp?V[\7o$)apA"X_q=ss`&GYqlqY9iV8:1%&p@n=Vq>'%F
+./EZ4s8VW\s8UtT:LDTJp$h_Qp\+O[p&4jTBP6u9r9@]ud.I>,qsX@Uo(NLdpA=Q'AAIs3p\=[^
+&GZ.oo_ngbo_.\?s8Vr`oC_ABrqQNfs7ZHd%JBbiq<`E-jRr->q"O[>pAk!fq1&~>
+dFf&af&P39hU^t;+d_KBk1&,`g&9M1f%Sg,e(E:']e3dTrmV5*e^`:'g"G*5n_"3,e(`:&iR60+
+rRLnr+OJTif[eX.hWEJKc`o/te^WF0e(`sGjP0'o1cpregtV\YqUuM6f$rI-hLdOnhVR&Ag=b*0
+in6'<eC!+.d*gq6`AokI^?4G-g"=g'gXjs1hTSVbg#Cu:9M)eIiR6K,e^`:'g"G*4g%3f<e^E('
+>#DH`hV-T1daQaug"b*-hVm/<f?V_#j4ho0f'1fcf`0S'ee-?UbfneegXBIka4Skiccjb`j3mqS
+#h%5ReC;mlc-_%~>
+dej[RqY1$_s82iQ<_D`Uo(i=[q>C9gs8NK)qY^2i?+g+6s763gr;HN_r!<&rs7u<_rr;loq'5\1
+q>:!_qu?]po'Z5Kbu\81q"ag[oDejiqu?4^>`nmNp\"OXs7QEdrV?Ehs7Qj"qYH@RPPtIXr;6BK
+q'Pn5qu6Wjp&+jXHX(*ur;ZZmq>:3lq>^<]BjH^>G?nO9s8VZbs8;cmq=4@fqZ$Sd@Aj,#rVQQh
+#5nH!qtKg^rr30!q<\.]p?DMSrVufpq[`N!q#'gbr3]\4p\k-ip\`kErVHQh!;D!~>
+de==Jp\+RUqXs^9:."+9me-VRq=jp]'Dqb'pA"6O;6]W_s6T^Zq"OOXq![q_o(i4Un+?GTq#1"5
+qYBs^p@\4[s7l!En*n1f<.OK3qss4Ts7>aTl:+g5q!@bMrqZBbrV$iqpA=RUN(]*%p%J+Rq"X[C
+pa5k7rr)N\q#BQ#<a<6.rq?3^q#C9cr:fVj=c%'<=&t+Vq<deRpA+LSpBp]fq>?L]T_J'Pq#'q!
+q"ad`q"41Rs8W)np?DSVoBH#Kq#C*gp(6ulp[n7Mr:[<mXRc/cq"4C9pAk!fq1&~>
+dFf&_fAP6>h;uI7/^W>&g>plag&9P&e.p`oe^N("M*%0Xf](-2e^`:'g"G*5n_"2ugu-f4f%]*8
+rR_"u+4J`khW!;:c.1OL3'_<5f@eX$jQPLXk1;CSG2Ld'g\TV!g(2cagtCD%1j%U2gt^W:g"539
+0\"\*g>(3,gZ?^d5"DI.kLeD8e_f-3gXshC4Dn,#4[F&Nh9a^0f%&=&f@ej2g"GuK+P"ihi-n1V
+jPAPAe'c^qf@em4gtC6-g>UuIg"4C(iRI,Drn.8&s4.e3c-4J^d,*QC3KM_Cg!\!fdGr[Sd0S1M
+f$r3sccsjf~>
+dej[RrVQEfqXXQA;ht5Ks6BFZq>:d'o_ngdpAb/@AEiXas82for;HN_r!<&soDS^fs7#sbq]bk5
+qu?ZlpA4a`nGi!qD,aN\s8;Zbq>L-`rVqUGBE.2qo_nI]p\jpdq[`MsrqlPF>H%N!r;?Hhq>'"H
+-N*o:n,<:`rq?'cHVe7Ks8N&sq#:6equ3'^WVZYka'<iRs8)clr;6Hgnb`Xgs8C#IQMg^[qu-=$
+qZ$TipAb0go`+jhnGiFdl2:PZs8;ln&,uP-p&G'^oPocgqsjR`p>,WEqZ$<jpOE~>
+de==Jq>0dYo^)4%97QU/s5s+Tq=bBqn+cqUnbW0(=l/?8s7QBds7cQgn+R+WqW[_PpAXCPrV.T4
+q"Xdap[e(Qo]uPA\7/$%_uKW0o_%tMn+HL*6t-&Ws7H9brV-9crV$`qpA4OUIT)p4p%J+RrqPLI
+./<`?p$_bUp\OCKs)gk;SGE![q"+=VoCi!G9;D.ZoYFLFirA]Op%J4Vo(NLdo_J3r>*&@Np\=[^
+&GZ"uqss:Rqt0@Tp]'RXp]'LPrqQNfs7R#uqYL0\qZ#mLCPDf^mJ$YPg@kUBrqV'~>
+dFnQT%bf^neDG+$C>Rn2bM(h+qUZP;ce.4,dG!J_6cdL+iml]3e^rF+g"P0Nfa6B`i6^9>g>^E3
+rRq2%+5>N#db!4)cK<HI9Jn`5khOe?f\P<9i8eT*9B=:Yf_O:ug^VujfA507A3>e.hV?o?rn6;b
+1"k:;e'6Y(g>1?2k?Tl6M;m:Hf[JU/e_&Z&0o=WHg8@/;bN%76e^i:$f@S^/g=b0Nf-&Vje_6um
+IH'5>f@/0se^rL,hqcf2gtgQ/hV$r6hq@#RfDaG&fDjG%e.9sYcJ%=+e59o?f#lCkb0f7trm;#"
+eCN.!dEg(bJ,~>
+dej[RqYU!dqtB&R=jm*Frr2Weq>:d'o_SU\q>^D*Ac;Z-qZ$6er;HN`r!WK's8)cqp$1-,r;?Ki
++nu!9p@J1]s6I+7^Nj\ZrV6'cs7Q0es/ALqf(8q@n+ZMPp\jpdq[`W!rVZS=?a]k2r;?Hhq>'"H
+-hRH;oD/Fbr:0gTs-Q\\Rd:"RqYC$crr6k^p&F[Xs)gqurVuofrr)`mq=4@frVuZYDhe&erVQQh
+&,lG$q#CBfiQ]j"p](9]s69I\rVufpqu?R's7$'gkl8;7h#.$Gs7P4FrVHQh!;D!~>
+de=.EpA4@Xp$g^6;9JJ/q>p9aq=bX(n+HVJo`+\m?1RpeoDe:Sq"OOXq!e"`pAOjVqYfg@ci3Y:
+pEKD)qu$'RpAY*QY@t:\@bgYNpAY*^o)J``6!;Y,s8VT_q"sgaq#0ptqtBj\p2a<;p%A%Pp\4IX
+iV+_ks8DQ_r;$-Rs60<@8k>--rVuQ_p@e=^BlrhDmdU'i6B(X<s6TRWq"".dq"OUSj(Nr4qtKm`
+q>^4"p[e"Rs7+mccHYqXr9=(Bp\ssfp]'pup\=O^m/?tEs0c^pp\+@Zn_3^;q#:)>~>
+d+JoafAYQ<`]ZGlg>_#Gf%KlN(ZE]jgsX^2gIF`gi7cc@cdgRtf@ej2g@Eo&g?7POjQG+;[Jnt[
+g*#(tg=t'&f\ti4Pu=2W:<MGGeDK38f]_UZ.mpkuiS`,Zg\T\:g>1B9gY?""R,HoZgtLK8g#:X=
+eDK$.fA56:dH8g8HSm[-akc"/f%A[2j@ib-k1%u?==\OJio/,7e^`:'g"G*4g%3f<e^N(!bZ/N:
+jkA>8daQaug"P-0e_T66^8eE@eDB'*h!*Gif`0S'ee$?Zdb)[tiPt#M::]!*dalV$df.W"daZjt
+eBuUed=;~>
+dej[Rp\Ogds8B0'I/<g9nc/IYq>:d'p\as\s8CAMRf<?aq#C0gr;HN`r;Z^"TRVj=gkf25rVZR:
+p&"[^r;Z]aXC%?58"otYq!nCao`+sD<DC.)q#0pRp\4R[rV?Bg%e]c!rbc#MrVcZlqtp3biVP"o
+qZ$QmqY0R\kl:\SYuaVkg].<MrVliW<JpPNoD/Em@>+4EnbrLdqu-?\r!39!qYc%_n,<4^rV7!(
+p\4^fnDW0td$g'as8V`Ur;QZpr;QR(p\Xg[r;6-dr-FJ#s8;`ih>@0Is7cTgJ,~>
+de==JoD/1Wq=gg`FRo1rmJm"Tq=bX'o(VnHrV4W;PkP.NoDJ7Uq"OOXq!e"`p@=DfJ%O*W;?$7e
+p)s,#q"aUWr:fKP=,g`QQM9qDo)JaZs8UMC8%/6fr:fXTp\jmcpCI,mq"jc!<Nc#fp@e7Tq"WhB
+-h@*4rV6*Xmf2;Es6HX[7%2^*qXsXYq;"i"nbheGqQ!bHlgX99s7uH\pBp]kp%.j(Aa&m_q#'q!
+q"sXQqto^7fCR1NMs:9?n*0TGq#C*gp(6uip\+.Op@%tSFc5nlq"FF8pAk!fq1&~>
+dFf&]h;@/NiKZN4h;?o6jP&)[fDjM?i7-H5dGN]_4ac/Jg""m-e^`:'g"G*5o%=<&gjigKVnHh+
+rndV/+PP;rg=Fs6g<bgEGu,uDjkAA6io/GMkdi]+T&/5Yf['BJqV2Y9gst08hG?J*i8EJIg=k65
+iS$!7g>CcAg"=d;b2hd;PWCCE\DZ2qgYUi*2/:b&e(NZF6=nKlcIh++e^rF+g"P-4o@O#m*mrTr
+BiER@g=Og%e(*('h:0s1h9E[EeZF%4bN%L-l.>pes4@;%&Cf"QdE^@rdbrh]D:IIld*Ue#rm;#"
+eCN.!dEg(bJ,~>
+dej[RqYgHcrV1P<_YaB0rpfCUq>C9g%KH=us6cLZj8ScNs6p!dr;HN`r!<8/K<U5ZNb"sarVcX9
+s8;Tcs8Ul\G^+L/=NpgDs7-$`nc.p+7#_05s8)![q=sparVI-$oDARfBNVS=rVZTjqt^'Hq^;F8
+o(i1]s8DKfq"aR^[SfYoo)AL`qY6t)_>aB3s5n/gP5kRUs6op`rV?!]#QOJrs,^4Cp\k!gq%*B&
+pAFs_d*M%Ts5/7Rkl9lErr)lprqd6#s7lWkq>]s]UjDJ"qu?ZOqu-Bkp]1&=~>
+dJ"1Fr;Z6[nnq:8oD\CYmd:&Mp]'k!rV#a\l'Y?'q!n.WlMpYSp\4IXnFm4^Wck.cDhD2\rUp-_
++9)*-p&Fp?X`/5s6VYDjp&FU[q<e4DHTm2_l2USEs7uEfq#0ptq""1VqI3:$p%A%Pp\4IXiV+`"
+o'uMLq>C'SrUTRHs/ns\U$VRHp@RpLB"Rj3q#B8`5DoC<nc.nMq"".dq"aCQpk_`'nb;hVq%*8u
+nb<(PbKAu@s4V_Cj8\?;rqQNfs7R#uoDJ7Zp@SCNp7HKlmJ$VVg@kUBrqV'~>
+db,2cgYh8GiS7X#V;C@gh9X:#qq(l$s4.qCg!f$+IlG@)eD&j&iRQK1f@ej2g@Eo&g6Q<5CgD$N
+L&U$/hB:V2f[SL2hRo%T=^!I?YN4X%dbNU*k07B_DWB%'gWJRPg\KV0g=+d6i^u:trnmq9gtLK8
+iS$!Ge'm%)gu7,=jkAJ@lBsFVLXP&5gtLD99VL=uhW;gT.!+>*e)AI"e^rF+g"P-4o@O#m*m<<s
+G!!t'g=Og%e(*('hUC0<dB0Lkf\sJHYf5YUl.>pes4@;%&Cf"WdG<I+jNcG1=3Jk<g"#*1rm;#"
+eCN.!dEg(bJ,~>
+f)5RHs8E&trr)j(\4p6.rquZiqY9m^r"&T&rV6Bjmq[+;s7lW`r;QZlp&%,Unc/X`rVu%bVZ$=h
+;O%4]qtp'`s7QEfs7Q0epT;72jk3I+s8W)rp\jmcpo@%gh>d3GqtL!bs8)Njr:BRXr;6@$nFQ\N
+q,Ub1rV?9gr:fpaq[<8tr;HQjrVc`qs8N#rrr<#s"T8)mr;?Qm/,]8=q>'mbqtg-`pAOjZr:SK9
+89Fn-s8TiBJ$[86ag#hRC?PWns6]jbqu6Bmr;HTar!35us74`HM?!POrqR-&rr2iks/Yngs6K]B
+_>4-*g&)*Ej(F;IqYpKMqu-Bkp]1&=~>
+f(]4>rqR0&rVucpZ:.aep@e1Qp\=RZq"sdroDA:Qq"O#aEUNetqsF4VrV6'[62KsEs75s_i)#j2
+m$pS&p%\.MmIgJIq=XdYp&FT\](t1-77@.JpA=X_p\FBT6Vc85o(r4Xr;-?bo_\FPnFu_Uq&]D$
+o)A(K:fO[lnalPNoC_tSp%7qNp\+:Sp\=R[q#:!or;HHcp\+4Op@eL[s7S,?q"X[[p\+:NnFuS@
+o^0dn5]$JjqY.I%GH8Qk_5V-2@c.4Yr94.Vq"FFVqu$B_p](!op&=7&<eC2Bq#'q!q"a[Wo(f*N
+nGMACK=^XOnDX-@q#'jkleZ**p@e@Zg@kUBrqV'~>
+f%L)Ws4\(>hrNqZlC9Uqio/bKg"=mTec","fb`5rh:UT?cV7WojO`86f\4m+f@S^/g=lAU6/9c@
+j4)f>`]f7;gl++7j5o.Sf\boGiRm,<f&G5>T]3u&1G\=YiSW>FgYUYE/ig]/fA,06gtq)IgZ%,A
+fA>E_i#^b&eDo$43^K=rgtgoEf%8^4gY1E;h;$c@h;7&HhYu=;ioAqPh;$]<gt_nb.bre5g>(N?
+gtgc>f\bK8hq5=m.95Tcj5?Rs@$I[dWfg7-9??2HhT4R*rm_/)gtpl?o@G,8eC!:)]L6]!g=Og%
+e(*('gY1<1gkXA-hoFMaS^lWHiRe(Z%+j1cg=jig6tk0#f@Am/rm;#"eCN.!dEg(bJ,~>
+f)5RHs8ET.q"a=Qs)1Q(s8MrnqYL!_q>:d#rqcEerP;X,pAF[ao`+ddqt9klrqQNnp]('8CqorK
+hJ;BGqu6WoqXOL^s7#^]m,-1hpA^LVR/R'bqt9sgs1Lg(eGoC=s7PmYp\ORRqu-HmqtTgVp\4:K
+s8DZaohAc]s8W&rqtTjXq=s^Yq#:'iq"amb$MjJmqtp0arVl`mrr)lr$31#)r:osZq>C6jru_7?
+rThgH3cFWir32uiV4a0MVNA79s8VZis8)Qgr;6Kf!;Q*^#QOPur8q:1s8Dioq%3Gprr;r2[Jg*r
+s4r+Fo)JI9qupbJlM1DLh>@0Is7cTgJ,~>
+f(]4>rqQilpZ_AIBg\<_rq?Bd"8M]eq"sdrpA+@Op%Q'sQh:(EqXOLXrV6'[;#0_^rpp!ZaC2@C
+rR,'0l1=WIp[meFp]'XOs6&+Yq!S0A7?-m2qtKa]rr9Ag;T\_)nGi.LqXaFLme?PPrqH'UoC_eH
+n,N=VnaAtKkPG/Os7?KfoCDGAo)A4]o(2hP$M3i[p%@nIp\=IUrqHHf/c#8@qtKaSp%\C^rVlZe
+qXrmiA27f`q"1MTR%9V*S">G=bl@Y/rVuQaq"a^ap@7kaq"sUWo\W\iq=j[^q%3>hp\=HkY4hVV
+s42A1li6J+pB>&;jn&N>g@kUBrqV'~>
+f%L)Ws4\(>g"t*2jARaeinrVGf[eROec",!fbWAsf\>;Y4+Z/Df%nd/f%&=&f@ej2gA0E,gXY6?
+eDAcZ:Scq9_GAD,i8a%[hUUQAjNc67b.Y%9fBR]=Hf4#LhUpfKkb':d[H$#mk17o6f\P00hVd;Q
+hV6`;gt^Q2k2+_BfeGkDkN(U\hV$K3g"=p.f`'P)f\-5W$JF(bgY:B6h;6rBrn[V2s5,<bhqQf9
+g>ClNjlYR]jl"Fj:ENKciSTcOJVJ`#KSOQ8[HQSrhquu5e_'lQs4@>)o@G,8f?N.-bX>gug=Og%
+e(*('d+[7-RZZ:Wcf;Q=V9\,Mh:M\[rRqED7`Ej8b2UkKd0S1Mf$r3sccsjf~>
+f)5RHs8ET.s8Dlpoi#8ms8MrnqYL!_q>:d%qY9s`reFCrqXsOXpAad`qt9meq_nKRq>^-(@D_m9
+Y>Y,os7--bs7QE\p\=dP[+tNQq>4;maSZ#:nc/.NdUQUus8VWbs6oX\r;HX6qt0X_r:BOVs8W&_
+p@SCV?=rp,qY9dYqtg'_rrE&qruD%:r:os[rr;lqrquZiqYU-[p&"dhrV,pTp\"4XrsSMT?=n<Y
+r;Zfoqu6Qo&+oo%rUg$fmJ6\[s8)NcqXOIgs7Q6gpgI_-rVQTi%/^&(rq`&>rSYSfJ>N8F!;G1E
+#Q"J!?Ffh1qVD&IqZ$<jpOE~>
+f(]4>rqQj"qtKpS9N^cXrq?Bd"8M]eq"j^po^_\Hpjl/_qXa@Tp&F[_q"=C]p/q=io`+El<jqG_
+UIjqJqWdqLrp]sRoC`.EY1E79nafLG]^PUgmJlS@bZe#Qq"j7Hqs3hNpAXscr:TLJs7l-Sq#10h
+l1OQFm9!]_nac8?oCr(Sr;6?iq#gNlq"amb62C<Mp@@\Cq"aUZq"FCQo_%qGoD/@`q=F(BnaGr@
+q>('Ud8F1_oC;YKnF6&BpA"CKrV?0Up]'INq>L6ep\4LSpBp]pn+6JI>$^[mq#'q!q"ORVnW;;n
+f=IAoSGiH`nCdO@p&Cdi[.=1gg@kUBrqV'~>
+f%L)Ws4\1AkiC^_gGq^XinrVGf[eR$e^aWM);3a"g=kB;ibLK[i7cc:f&5!,e^rF+g"P0Ug&K],
+i7liCd\'",hV=;SguISLjPK+SlI+87jN!LtgtLQ?4>j4tkMt(UeCV-"6)*Q)eD&s-e)/sCjPo7V
+f%K6Df\#*BjP\;7e`GCL9AA=\gtLK;gXtNEi;VU9iSr_OrSU$"hVHu>e_&a9gYgrDgY1B9gXY$9
+jQ,7Qf%&I*fAPZJlI`j<8QXg,jl"qJh;@/MiRd5Og="[5aOA_qgY1<5g=c)L+P#2hfB(j[9&&(O
+e'c^qf@em4f[OuPf=IN#>(>Jhh:(<6qUl/+j+TR\eDJg+j3mqS#h%5ReC;mlc-_%~>
+f)5RHs8ET.s7$'\]iTCWs8MrnqYL!_q>:d#q"apanm6/'qssOWp]'g_qt9kBq=ssfr;ZQ?;QTZF
+C/;&2pt#K4q"4U^pA*EtC<uqUa-9G/Vr@CGs5F"QJO=GWqZ$Qns&ep_qYU-hr;-H-[%s.WQ^F//
+UQLh!;.?PtU7[pDT:D<qH?aRRF*)SHF*)PIFE;MMI"$a2StV^=QCOeV]u\I7ak5hNqu-Hms8Mlp
+p@81_m*oECIHUV/rt,&*qY:'hqXF@[q>^<eqYU3hqXOIgs7c<gs)1rurVQTi&c;V,r6q&-rRd="
+kPt5Gq>^EIr!3,opN_>inc.GBrVHQh!;D!~>
+f(]4>rqQismf2aa:i?=-rq?Bd"8M]eq"sdrp%%_Lo'BIknGDePp\+XXrV6'[BCtfkq"Og[bY"Ys
+c='2?p$pH.kk"BFp%%h-K4N+(o=p5R<L_P)nGh8Cn9?m&qWdbFr;HQnn*'?6o(VkMrOT5-R$Er&
+QC4J,Ob?A2U6h=9Q'Ro/Q#q+gDf'?/E,BH0Df9N1D)uf_G^bR<S!T+rQCk4e_T0@1f&lPtq=sje
+q"4CMl2CV>aAb`Oh"1=<p$_J?mIU&Bkk"TArUomYq#'sYpBp]onaZJNBM[IYq#'q!q#C!Xb)bu_
+c\d_=s6T">s4R,Op@IisI/iR3g@kUBrqV'~>
+f%L)Ws4\1Ain*JKUHMiJinrPEf[S?ue^aWMs4S:Df\>?>ej<6eiRll;fAY*,e^rF+g"P0UfgXKB
+gY1?@eZq,ugq?NAPiCQ3kL/2@lJ0qA\RnI;khE+]1dd2?gY_;8m+l;%<9i6!iTK@_jO2H1gtUcD
+guY5rM19o#rdA..FEh[\7ur=YKn"N&Is>.#=B/9u<)upr<)lpt;c?n*?=\&)JUMT_I"d]RW3<#"
+^!56ei8<SYi8!>Ddcg&E\3r>bb2MLGiS!#>fA5E?dF[.(h::!(f@\g2gY1?Pf-&Vsc.1k9<]nFV
+f@/0se^rL7f@I'EdFY[@E5CS\bgYV2fD4)*f[\JP?K'2ceDo!Vd0S1Mf$r3sccsjf~>
+f)5RHs8ET.p\4^]IT33Es8MrnqYL!_q>:d!qYU6bcV9c*p@J+Qp&F^`qt9k>rV63frr;ldDHU%2
+=`R;SD0,IEqY'LVs7XR"R)ejni6Cooq#:<jm/6h">C?/Ds'bj$p\OX1]Xa\dDHp%>?!^f?=BJg9
+ARADA9M]51@qTC_?XR2GAS,L^?!CQ??!^iE?X@&E=^#!6@q]CXB4PFV>?Y67?!('*>\7u#Cjh/4
+]Yr4fo_eacKMd$LoDejhr;R9+s8)Qiq#C9ep%J.Uq"=1T#QF\uqYQ"I`Vo]5q%<N'pA^hjo`+sh
+ai3oPs8;9_gAD3Un,K:rp@e7:qu-Bkp]1&=~>
+f(]4>rqQikp&+?(9qM1Trq?Bd!VlKhq#0ptoCV_Mn&Rt]rqZ9cp@eOZrV6'[1&1A4q>'m\lt93k
+5Z2AgB4u;XoD&%Kq#Bp(OcmQKn^thFp$D8An)O'4[nU]$n+leYluM^eaL&+8H"L#K:fpk)=B8I-
+?t<S?=@Phd>?YB@>[(H==^PK@=]JC"<`N1$='&F'<DcXl<*Na8<*rm5<Dudo<*31!;HI:CF(TWK
+RC'WKl0.X8mW_0;d-16!o(W%Xqu-6aoCVhLs7u?YoChtRo^_bVp^$Wco(7E,^\@O$q%3>qmJ<3J
+lhpMK^qB"5s7>C+pBU``s.WljnabE.!;QQhJ,~>
+f%L)Ws4\+?g>;&LA3,Y2inrPDf$r-srRLr"s4S:Bg>1`C[539ohV6l<f&"m+e^rF+g"P0UfmDH'
+f%\s7f[<_a4YAs$2,dCVhV-lBfAGT<W-!9^f%IsFfB(fIk24VGj/5.Lg#DDagtC93eukR4JRhVB
+2*+&k6pX%%6q0^62a8uR91hcL9L_?95s@e/7RB:$4[2+p5<qIu5<_+i4$>u'76O1169[Ln4?Pqp
+4$+uZ93,=p@;CFbV6\V'ipY`;2-mrIj5f(UjlGOehr<8>g=,!2da?Lpg"Fp/o@G,8eC3%(iGCZU
+g=Og%e(*('g<eZ&MU(,5et\k_j5\_4iR\(_rn@>("QIYcKL5Xej3mqS#h%5ReC;mlc-_%~>
+f)5RHs8ET.r;ZE_?<?7gs8MrnqYL!_q>:d"rquTcS5dB'o_/+Rp&"O_qt9k0s8DiprqZHkX+YMM
+p"tHtBR04Fs8VEWnc/R]s7Q9hpAP"RnGiFds7UM5]uH\2N-B2H<b5N2='/U3>ZY3LI#=/TR%'_<
+TXhsk>_ScJY.2<b_T'sGcd9qX`Q$!@ao0B^aoBcmccO/A[]B@r1S(25UQg[eF`;5:EE6=PA7f+R
+D-ggjKU#_4GOGA.rqZNmq<%_Wq=jpZo)AR`qtg0ap@/"[rWMrhTN\2jqu6Bpqu?KlNns[6#OcK-
+s75parS%/Squ?ZLAZ5Y(h>@0Is7cTgJ,~>
+f(]4>rqQips6oJZ:u20Grq?Bd!VlKhq#0pso_A.On!-V\r:g$bp@eC]q"=AirV6*_q=OC\V1!-2
+mb31aAp<e@s8VEWnGi=Ts6oXYmecYLqrID=qYTPh6`dYSKmI<;;+k(l6VL3L<`DptC3PJsQ'Ro3
+R\."&H<#?XT;Ag)]tVJ0`Q-'=^qIIt_86)es2"`X"inHm\?;V*P;AJkR[oLrIWK:=C2?^I>$bN8
+<b504@!IN'4_s*Iq"*qEo^:T1s75aZm-X]Gp\=R[p\"+O$Ma>ip[7O=;kNgZr:pp!qXFE:eGB1=
+s5mg`s68tOg%PaFqYAZLU]'f<pAk!fq1&~>
+f%L)Ws4\+?hs/tP6p8]ZinrPDf$r-srRLr"rn@D1']%Pr3iV2qhVHf7g"+^(f@S^/g=lAU@Gfek
+gtUE4if@kXE8/BK1f%N3hra%Jf[Aj9e`PE<jOrbXjm1FYip5sd=ui=WK6qK;:HgX(4YJcT3^Gtl
+5u_94H[^HsKn4lHVIr52KT;:gV5L/hZ)t78Y,S:rWN)usX8f4"ZN[S5VP0?8rHpGNJV/Z'FD"iY
+;cHdY5XIq15!Mk19N#VP4tU!dhW3SHgtp]*i98bBhos?tf%/I,g=b'1o@G,8da[%'h1n7Pg=Og%
+e(*('h:(7p\)$#sj2jcBj35p2in"1`rS%5'#h[qe[mPo.e^WX-rm;#"eCN.!dEg(bJ,~>
+f)5RHs8ET.q>]ut8;$d=s8MrnqYL!_q>:a!s8)EgE,=b3o_8"Lp%A=[s82ios8Dck#6"T%qu-Hi
+rr5Lekl:,Gs8VlnnFH/DrosI_o`+I]qt'jYoDc_(I=,^";/0]L>$>?>?s$3<H(_I]g[tI@rq60g
+s8Dcdp%8"Yql3_ds7Z6es8V]rs7cKls8Dfkrr)fps8<2pq>C0hs8VrorrW/rq>U+3qYgHlq=jm`
+p?Bu?]!R-TGu8?L=\;XkBRG>qZb=<Jq"Odf#l=&bs8W#mqYTg\#Q=Q"r;*g/NW&bRq%<N(s7M3#
+s8VT\s)i/Prr;ingAD3Hs8;SGAFfcVqu-Bkp]1&=~>
+f(]4>rqQilrp7*[I.I..rq?Bd!VlKhq#0q'o_\:Lph=="q"X^[pA+FYq>'g\p\4CTq=e4jrVH6_
+p\+O`rqPONmIgMZq#9dRp%eUNs8VTdli$MBrT<;;\!V/S>WY;U;bBMK:J+GV6sX\oV7Ft>p%8%K
+pAP$gp\"4MpAal^:m(M>n,*.anFQ\Mp%eFVo(2kRrV$9a5O@q4o_&"Ro)8L_q"=7KnacAJqtg'Z
+o(_eFj2ng:XE]P<7:/5Q5"S7MEHR/;ZFoJlnGN:bp$MDLrqlKdqXX@fq"OIXo^f4gL\LTAq%3?$
+p[!CUs8(pEs(l35p&4L?pAjpapBU*cp[NiBm/,N2!;QQhJ,~>
+f%L)Ws4\+?hW`[f05BD-inrPDf$r-srRLr"rn8.JhV%!k;pXCXhq6Q5eC`=%f@S^/g=lAU?J=;l
+f\5$2hrj:ccf`s;lK[6ef%/L/il^?Be)Jd:h:ClBfBK8l@q&7g3`/R<5<hS!5WCAd=FcR2][u)u
+inE>QkiC[XgY(<EhN0mNk1nhWlKHjOk1SVNiniGFrndV2s5$#kg>1TAiS`JQjl>=VgtLH<i8`t^
+j5/SNgt9fUTpqB`Hsns20Kh$I2+_(\FHW/le(N7.i83#,dG*L4g"Y97o@G,8e'[%.i1*8Vg=Og%
+e(*('inD^fZK'c`cJq\idFdC.in"=dg>(E9rRhJ&j4Vmm6IO`?j3mqS#h%5ReC;mlc-_%~>
+f)5RHrr*<*mJhi1chm\?rVZQlq?-Wmr;HQk(]+1+o)DmFs7H$Zn+?DHqYBsaqu$BjrV?A4oDejb
+r;Z`jq=FXdm/QJKm/QSTrp'FQs8DE:_3LO@G[OrR<(9_a<_?V(DN0jYU:S.pq>^Kls8VidrVcNh
+rV6'Wp%eRdr;--[d;+mEs8DfcdAE>/n+Zh]rVHHkr;HTnrr)fnrVuorqu$Bgq>1$grVnPJq"XUX
+q"jmapAb0bq#C-bq=jphq>['`89C,JAn+h6D,G5,I%d@gkkkDUo_AIVquQikrr3&8@tFXWs82il
+#5e8si,tFTrr32nG%U4CqYL!al21PYqtp^!q>0Zi?Inr.qu-Bkp]1&=~>
+f(]4>s7m)uqWRs/6-/]mq"OLUrq?Nip\4C[pDEVrqsj(R<IOi?qtfmYr:Km^q=saZp\+=VpN5j&
+r:9U\q"++Dq>'4Rkk+0?mf!+Lqss[\l-Hu&Q?mLP<Bs)977^$7:f1VJJsVV"Zd/"7rU]dYn*TlD
+o_A7UoC;GHrVucjo'sn6MYR,AoBaYoQ(mO3p@n7Oo_8%Pp@n=Tp@\.UqtB[Tp%.bGp%S:]qChU:
+p@\+Pp@n:OrVu<Vr:9CIlhgVMoTr!3BoR:B=A;.p8n`g#S=e9lpA=OPo_\1Q+8bR)qt[d,H1q",
+q"X[[q"+72Cld]TrVu2#?g.O]oD&+?pBUTfp$Jtdd.H&d!;QQhJ,~>
+f%L)W&_l*tjOEO30"'ZsinrPEf[eXQfDaJ'gAfq@j4i2N5AB98h;-Q3gX=d*e^rFGfmM0)hUL69
+g=G*5k2t.Zdb`C8e`>]7hq$cCdC5lpJ7MqS75-\N2`a&T6q10sG`@KLUV5C@k1nnRf[es;gY^rF
+g=Y-9j5o1Sg"<]0GN\;Pi7YMrI#68'hr*AEh;-i@gtgfAgtUWBiS</AgY(64gYLcFi8WVNhqm3?
+hqd/Fg#D)Bf](WAhqRG_hVs2C.ogh%7m]*b9JB.N=akq0`nB5&e_B$9o@XN'fZrC8j/,@XgtC<Y
+ec4;5f%R`3Eld+qj3CIfbMq+(iRe+`qq282f%8634LWkkj3mqS#h%5ReC;mlc-_%~>
+f)5RHrr+)7s5QLQp\4^cs7QE`rljH9b0%?9VpG,;o_\<R<l+G$oD\@rp%\@^r:op]s8VrnqYU3f
+q>1*dqYg:Cq=jX`s8)EbrqH-crqufpe=ghc:/Oqb92.iRBR5<5]D^bfC&di*p&FpdqYKm[!;ZTf
+)Yj.)p]($f_I8B&s7uWR87.se@f5itpAb*gq>C'cqYUBkq#'m]paZ.<r;HQlr;HQ$:N5Rtqu?N;
+`LV3i@9RAV@VgCCMlFqus8Vfds8W#or;Q`rqu?[=qYgHgl=YGCqYg<hs7lNgs0fJhQeqcB_-D'T
+s6BXZpAOdcq>U9kr;Z`cquQ]jqtgoss8V<@A?Z"0pA4a`r;ZTSqu-Bkp]1&=~>
+f(]4>,l.61n+ka&=S).aq#Bm]mJ+]V[)9Yb^7WO;r:'IPSQ*Arq"apas7m<(rquHZpAb*`p\4IY
+q"FIZp@nO\/,&Q&qu$$Po(MP?p@e.UpWT+?<(0>M770L+8ml[dV6]dK8n%P^q<dtLp&=[Yp\ae)
+q>1!^rqH?)>_`%Mo(Lj)=I5^dp?heIqtKg[p\FOXp\ag]p\OSVp%GLZB]JgZr:@qBQ>gG>;ds'<
+A9<0OU;cd%q=!eIqt9USq>U9`o_\U[q"sO>>]99'p@e7Yp%S(SXKTj-fDk][<c7I-jo>/QrV??c
+s7cQenb3(Zq>9ptnGE7Gfj1QNp[\%Rp%\IXiqEHJrqV'~>
+iS"+[s4RD*s4\dRhVd2OaXBL0g?.;Tf\k<<Y/Qs2WLTlBZ.\0hhV*WEVV'T$f+lief@\m4eBle(
+h:1'-f@\^*f%S[*rR_)".GF(OhqHuHg=bHBh;mJ$K2k2o2`W]K1+P@Z?YGUrilF&Rk1SnNjl,+r
+h>c7)f`9b)fc8`#gt:Q>j/#4ajlbO^at?,:N^V[OimuuBg"P0Og%j@lg&0Y)hFEkd;9RkQjk6W,
+GuI9t2b6>):LRsXP-a!%h:'j.hq?Z8h;[>Ef\YN;gYpf086as(gtCB:f%J[4PE`=m]B%e>2GVZY
+`S^4=l.6Hoh;cJf6&aOIc-b%fe(;t3df.W"daZjteBuUed=;~>
+f)5RHrr2rt+2CZiq#CBlr:^0en'-&`U:AWk<HS9=o_J6@=O6a7oD\A&p%\@SqZ$ToqYBm`q=aOY
+rVQ?hp\+Xep\b'kp@8.^-1^H/SqCurA6Mf2<+(6JZbt/Un,<1Qp&Fc35J[-qrU]m\q"OO]p%e=^
+q#0q*q"ad^p\FZb@&*PgrngmgT_Rqa[da7kqtg0br;$6dquQ]ioCi:\qtg49m'USBiV`BKo(2n]
+p](91Z^lo&G\^bt>A/27VUG#5s7l3\rr2rtrWW8qq>+u,r;RK1p%\RTUpg<KLj+)_E2rX3me?GJ
+rV$9ds7u]ls8;oqo)/ObrqZNi&-)G(r:"`ds8;Zjs82ZjqW7VQqZ$<jpOE~>
+f(T4?p\ssfq&d.=C@qN*qtos_o]a;4<0s`-Bh`LFq!e%NNEFO%q>($bs7nnUoD8Lcq"=7Lp\+4M
+p\O[Ws7Gp^rUfpcs6Ab=rqYa:Viu@:?<L&m:J4c5Q)_F9io]q+kO&<<EAtDurV,d[pAam[p]1-g
+p_ru)qtTm[q5%>fo]u8(;d#IUj]o%Tp[n1Pp%e@XpA4Laq"OCT!VcBep]'qYk-&<*g\1+7m-XiO
+nGiBtX-J0YDdlgO;djToT?HNnqXNqBp\F^dq>9sYo($3Xp\"7Ur;#pTq;e!Gq8@i'F),QfoD\(M
+qYU6fs7uWgs7cQeo(W1ZrqZNf&-)7spZZIJrV6$\rV-$\p>YfHq#:)>~>
+iS"+[s4RD*-/784hVdPYVDD*(io].Ug#V#=ZWohLRBojP<p8GmhV<*5Ze="0eNqd<f[8@.gt:0+
+db!$tdam+'e)/X&h;$K3jQbIKip>jWcBE`e:Imi50g%KdAqZSO[aEXbiRHTJgfu%uh<3bJrn[P-
+s4R5#!87>'*80'#g=Y3:N'iEXf]:%<8;?'P7$c3Uf@eg/g"H8Sq:PMrn_!fns4[M.8'I5l9>fW<
+j35^(h:(EATp1(FAmeP28j5aFAVID9gu-f4fA5?CinW>Df%A_P1?@EPhr!5<e_eQ$PMW9M<)lXc
+L!nf"ea_>_fDX7uf+6ijgY'hIC>dXgeC`3se'[I/rm;#"eCN.!dEg(bJ,~>
+eboCE+TMD"<0R%Uq>^3_qYKjZ;-3YporUs$rVlZmqKHQ9rq69_!quBarq\qYrVQEis8;orq"Xmh
+r9aOaq!e%TpA+ac^QO4X9j(4hC4VVSci<k;s8Vogq"aacs82TkV*K>*p&F^bqY9j[p\jd\pAk!e
+pDWi&qY]s^plf.#pA4g)6Y$/os'^0FrVucnrV?Beqtg3kqtTdW!VlQgr$q[FRT=.Xp\k-fo`+s_
+mf31Yq#CB`ca8IZF'_jM?!DiE]&NVeqXjOUq>UBpM.HVc(%q:rr;ZfoEQ\=<m$*a,cMRY?s8Mfm
+pAapfq>L3Yr;ZZnq>L1$s7H*dpmPsfr;$6irV63fjno#Qs7cTgJ,~>
+d.\USL/*g#s7lTeo(M_Dmn$4Bs6ZXO[eKXlr:kDFl2LYV6hgBNq=jXZqY'RWs7cEdoCMhUpZVPT
+oBYu@naZAC["im,6;Bm<?[%C*`;/uop\=:HnF?&Kqt'=WSN(Wan+lGNpAOaYp]1-gp_ru)qtos\
+pQ&Uko(;sm4BhRPs''O4p\X[Zq"a[[pA4Laq"OCT!VcBbpIG+F:h/)Hp]'jQr;Z-HqXa1Fp\<pk
+X+,J4=&)[p<-aM1g[t=5n+-)Bqu6J?=7c@_md]rFs8VV%_"uRBNK9OMpAFderqZQirV?Eeme?bV
+rqZNf&,u%hrpc1^lM1&Hr;$!XqVq5Lq#:)>~>
+iS"+[s4RA)rnSaTjPk5?G1l$5inE)AhUp[C3o'#QO>*?diSEPO>YEE&g&9Mhf\,!2f\5*4f%]3;
+h:pK1gtgZ+hW*/2eC`:+jkc_SAjS+20/6%)EK73_hqmGUhV6lChX'Iah<^"D>iOGsg#Uufg\oh$
+fDsV'fGrSugYLH;gNGuYg"u"k.7ra_lpFn*h;6i>gY(9WfD4(pg%!_ng&9Vph;NZ<9>9*8j3u</
+im5g+gtLNDkLR,2BOOe%1c[ZZ?Z_^Pg>CT3e^W4-jQ(#Ci99(JeCWF6k1EG,hmpjKEI=b:gY(H=
+iRdtWs47e>dFI1*G=Tp.d*gOqcd:5-df.W"daZjteBuUed=;~>
+dek9ep\ef&an>]&qt^9fp&=erG4kn.s'O^Jrquc]?$H/Cp\seRp@nCZs7l3\rr)fqmf!1cqYg<`
+rVu`fs8V#UIp6>^<*2UuI$)5;s8Vrqrqucqs8Dlqrr2rps8Uqd=kiWLp\"RZq"Xj_rq6*]!;QNe
+'_qM#r:p3cP$uE.rU-IfU\+N2=*jlF!rW)tq>C'cqYUBkq"+4\q"spc&Gu8%PZ28Ps763hnGiO`
+s8;co*<#p4ikhORIW/:h>[qc3Y/^MAqtKjYMF4lAs8N#t&cVY,J\hBdq#C0^s8Vcbs7c<fpAapf
+q>L3Yr;ZZnq>L1$pAFpfpXE]hrVH6as7uEhjno#Qs7cTgJ,~>
+ebB(:B_Uug@S4W0s6faYqt9FQnQBYms6]Yag>_u(r97F.qY^-`p\=LXq"am]n+HMOq"j7Ms8)E`
+p@%eSp$r(^gS&^c<_H"Y4'$?U[HdecnFlSJpA=^Zo_A.RqXaO[em))$n+uSCs7-'^p%SO_rV.<,
+qYU0aqtQ1W_tWohSQD9GoZ'gNq"X[ZqYBs]q=a[Z!VlE\p]:-aqY*PRo(\5?@+kJDs7kmSq!nCW
+qY^0ds8DWdn_:[IM0EZ/;,pk9KVuZbrq>pPms[0pjSAQHqYp<^pNO+HqXOFSn,NFYo)8=YrqZ`m
+qYBscp]:-anFutXrqZNf&+TDip[HF4](u'jpA=OSr8RGNq#:)>~>
+iS"+[s4RA)rnM2Egu;*dXOu[`hV@,Gg#CpZ=k;ljj[-o0iSW\B6<rI.g"4m.f\"p3i7??-gtLN<
+bhD+4f\5$+gYUT3j5[k/?p6t=2`iBR?#ZFck2"YFhqd2Nj5/\RiT'+Zk30]S4MKM0gY(fCrS.;(
+q:G]#rR`+Cg=tN>hqW?BWnu^_MF<<Tj0UgMhVR&Ah;$]:qq(Yrq:Y;jrRq/'<SQ0_F>c\+im-N8
+b1k\$jP/_Vio]Oki8WA)TnI>i:Gb!l6;VEVUu("^e^i8a,F?^6h;-lDgXk:gT&eeZhU^*4iR-'.
+e^r@'e^r@'e^r@'e^r@?fDF+uf+6?`gY()]5b6KRc-b+hcI_@0rm;#"eCN.!dEg(bJ,~>
+dek9cqYFGmp@nU\p\k-lp]%-cWp'KXs4QuCq=a[(8;mB9p\skRp\=R\q=sgds8;T_s8Vrgqu?]l
+qU2O;JmD&L=A<O*C:hdbs8W#lp@nOcrVZWnqtU!cq#C*[s87pGNrSADrVccerqQEcq=jscrV.<,
+qYU$eq"U@d_Z0</JTC8Gs,'g^s8)?`r;$0dq>:$d!;l<]!;lWjs8Nc)qj:Atn,N"Us7ZKmm/6n`
+o^VeRs!dm?h92jTDIHm[<d9n:h>b,gT_e]gp[n:Pr6]]9m/?tZrVlWcq>C']rV6?erVQ$\s82fk
+rVI-"s8Vunr,@Yps7l?grV$6Pqu-Bkp]1&=~>
+ebB(:B_Cre<CucQs7Q*`s82?^SjfC3s7$$:m/Q_JotX%Rq==:Sp@n:Tq"aUTpAFg^nF-5LoBu8L
+qss@%Vj;[1786KC?UJ2)_s@-kna>c2oD/+Sq"aURoCqhOna62GLcpRij8\rNr9jRYr:p*^!;QNe
+)Yj.)pAam]Qs7<%n,%HJki;\p:TXHcme->Hq=j^YqY(!bnb3%YqY*MWs6fQC:LiYfm.:#@s8V3R
+r;#aFoD/1Zs8W&pqY0R5`hnB&>Zt?1Fc`fXrNJnYn,N1Rn+Q/Aa)&iVoDe@Uq=O1Mq=aL[qYg3l
+q"a^\rV5sXs7lThrV-oos8DZ`okB3XrUf^Zq==CApAk!fq1&~>
+iS"+[s4RA)rnM8EhqpaVg"PTAg>M2SgZ+8KO3?hCke5R4hV6qf066()gXt64g=b99g=P*:iS)l2
+i8*)7g>V#AfrpB]@6,np3A=/^9:W3;j58VAe(!+0g=k<:gXt9<g>gr>kMgV6EoYF0i8EYGgY;VY
+q:G]#rR`+Cg=t?AgY73EV;g1iAQI@.ltn\EiS)]3g=P$2qq(Yrq:Y;jqq;#'=5N#fgNYSKcf*4$
+gX>-Cak>\2e'Qe*hW!PTi83;De[qf;AkYEP4u?5ZP.]hD1k+-?hUU$*ce5I"YK,;Ve_8d-d+-e!
+e()pte()pte()pte()ptea_5le^OKIs47e0hr!)<fM#r0f[%jpeBQP/df.W"daZjteBuUed=;~>
+eboCC+og1mBE.W(rVQNiqYU;+:]LIhq"OgcmeleSQUn@YnbDhWpB^QiqY'pgr;$9is8Vp2s8CT>
+Bi7`(;bU/AZc)G7H#36Ts7ZHirrDilq@`])s7?9br;YDWB\E:_q#C6Zs8D`kp\FRaq>L(,q>1![
+s7GuN>K?d?s0$&+qQWVAn,N=VrVZKer;$6dquQ]ko(`%Y'*%Y"qu;jbF8u"5s8;E^s7H0erVnYF
+q>'g\q>:*goC_t[s74@5I:c;T;.=E=MX19;s8Duto`'Kms7QElo`+d]s8Vopq=sj_rVQ$\s82fk
+rVI*(r:g0ir.o%Us8Vinrq5@LrVHQh!;D!~>
+ebB%8:\`:0@K#]qr;-<bp@\Dl8,<2RnF?POkkFW>P")VNn+QJJp@\1Sq==C\q"+4Xs7c-UqXr7"
+@S00_9LMU#X1@EjDIMo2qs3kKpA+^anbi%mpA+UQqsjCWd90o,p&+CXpZh\Tp\jm_pAk!epDWi&
+qXX[XoTN@oqt0of@-dB_6$__op?hYLo_J7WpA4L`q!%NEs7#UPs,C&rqXF4Yp$2)ImIU)Irr;i^
+o^qbHo_/%SmdToJs6[h&H=KTD8m>alIc0khqY:*jmJ1tLrTjIZn,;qLs8Vflq>0j]r:omXs7lTh
+rV-lup[\+SompT=s8DQfqXNP=!;QQhJ,~>
+iS"+[s4RA)rnC<+jh3WHjO`JNhV[2GhrmfljQbIRgZm\EiS34:0:1_Oh:gZ<gtU]Ag#(lHgYCoQ
+i7ZlChR@l'1G1F</Mgk#V:Fg8:"\aoe_T-=i8rqJfDa;8f@es<e)T3@ke9M]^#.u-ini)AgY;VY
+q:G]#rR`+Cg=t3>f@YC5WoDn#P=jE^Q7QIjjP8,:g=P$2qq(Yrq:Y;jqq;#'8*&.OgZEQ@;r6!V
+j4MW,j3cH3gYq2Kd+?n#f%8U/gX4L&i8W+_LKd(s0ePac/SN;]f%f!<imH[jZJs6jhU162dGa!5
+g[W_meaqDmeH"(sec452g"4a-gXp%'akYOof[\41df.W"daZjteBuUed=;~>
+f)5RFrq[f<RS0LQp%\C[q=O=Sq,_$eF@aaXk5YG\q#,/7h#I6Ip\stTqYU3gs8DTas823`golom
+E+E@"MP.WFs8VTfo^[-Rs8Dcms8Mijs8Mclrr)`kr;?Hls8)c[K2\ZIr;Z9^p%&.Qp]1-gp_io(
+qtBs^o7:-)rVbs[GL!@)?HE0HrqcZnq#'sbqYUBkqXXFWr!rPso)J[aV+Yg]s7ZBjqYpL'q"4=[
+s8N&urVcZlrr2p<p@J7_s7cNReC^^CCcb+RXO-e5q"Xmbq>^HonFlk]#5e8io_\O]p\XCVs82fk
+rVI-)p@J4]osnDOqu?EhrUp-Nqu-Bkp]1&=~>
+f(T4=p&=S)pQ@q:p$qePq=sIKo(,U[MJbc&q;D/FrU]f"<7h$HogSNGo_/"Rp\ssWnbMk@qU)*p
+G%FfVCO_VSh#@65p?_']G5V%'pA"CQoD&(LqYL$^p@n=Tq>^*aid=Fls7lW\p$qSPnb3%YrV%3)
+q>0d]p@<W5h>-g)r,K`R?rk/EqtTj\q"XUZpA4L`q!%NEo^_DLp[b"GC=<.Np%n:Vs8DNVnbDtU
+r;-3`p\4L[s8DKUq#C<`qr,lMTl4<l3fTlUo^)8Br9s+So`+1Equ6Hcp[[kLq>0j]r:omXs7lNf
+s7d-#na?/Gm]os7p]'j\q=4:?pAk!fq1&~>
+iS"+[s4RD*D;![tg>(b=0o=]<gYL]@f@Sg64\'Tp/@4BZjl5O^jB"UakMP1PhV?uDi8<MTin)rD
+hp:DrOE+f+76ajfJXaaEkgAA@eQ?8ChV-lGh:U?7gXFd)f$r:&g"G9EguZjr3K37\kgS>>e`PWc
+g%Ettg&9PCg"P36hqHXl5/cC:b2c^/O%V^9jl,(Kh:pZ:g&'Csf_O4jf_sG#fgs`Fd,a$9Ke$!.
+j3u]<f%oBBda$1if\#':gY:H9gth&LeC!%3i7-PtZ*f9c8f8muM65@SeCEL.f&kZHc-tM,g=Fj&
+d+-V:dK.hIo@O#mr6t\r&)#@Uf@nW;32=pWcIC@feEYK]d0S1Mf$r3sccsjf~>
+f)5RFrq[c:D+s'cs7Q'Sq>^?^fL/SH:/gTXs7$$fp%q`uoD\[arV7-'qu$BlqY:*jd@#8q@:X;4
+]^>^ss8W$Gr;-HnH?]Dhqu6Qms8W)sr;HTlr;Q`pq>L3_s4U=sr:g3[rr)WloC;SUq>L(,q>1!d
+q>Ko$?iL!!s82ebHB[Ukqt^*fr:p-ar;$6cquHTbp]10dr"8u+s7Gs`n#''GkPtAQs7uHerr<#p
+0`LnDqu6Tlq>0a_s8VrnrVQNmqtTpcm:gBh=DO4`W570eq#C*`s8W&fq>^3as8;Qemem+^rqZNi
+&,H,#qu6N^AYn_mo_J@Ws5j.VqZ$<jpOE~>
+f(T4=p&=S+p16\MoDA1Pn+ceSld@jd>t@]Rp&F=PrUBMW?1.O_p&4M,p%J.SqXsIZqTG(B?rgE@
+IBhf'p%S4Qo()GDq>YJRrV,p_pAan+p\+@Wq=sa]qtTgYp$V_,8p'guqX"(So`+LPpAk!epDWi&
+qYU'cnn;8(q"+IWplf`ViV)s9o_J7Qp%e@Xp>Pa8qY'mVmeuCD98_[-o'uYKo(DkXq=O=So^qkQ
+q=aIRn+m"[p%S7Tq>^0[nGM6N@!PLXOc$!Jdf8b0mI'fLq!@YNo_&4Uq>C$ZpAk!cq>^4#o_/%Q
+p\!`WU$)IFp%ItTiqEHJrqV'~>
+iS"+[s4RD*-/%&,g>(^d1<J80f\"[.ini4u.Q0dN2q$UKeDf`Ji]Kfdk2YG!hCILAiSikTh<<q-
+I9]H478R]hcJRU@j5AeNhqdAY?!?CKgu$oBhV?l>g!p#M'A(mhf%\s1j1[H\iS<D@iS`DOf)=:p
+fDsV'fGrSugu$oFek\WkhqR8Ki-\aNb1tb)g>(E5f\+sTfD4(pg%!_nfDXAnh:^`7eDnl10lY.n
+f%&[.dad"'e^2[of%8U1gtC<3dbNj<f\5*4f\tK5eDSG=8mjGGF)$B"[cZ,sdaR%3g<S4'e(!4)
+e+:uge(+'A!7gtqs4%Y0f%8L,fZQL._V32[dEU>/df.W"daZjteBuUed=;~>
+g&*u4o`+scs8V]\9NhDgp\=@Es7l?aN(or%H%tVaq#(!gn``\upAFmdqYpNop\Fjhn^k75F(T*C
+S\<kOrr;fl#Q"K!G_#_js7lNgq[!5ls8?h.f(St8p]C<hqu6N`qZlolq"o;:q>(!erVb^Qnb_kS
+&?89-g].6Mr;$<kr;HZqr;?-_0DYYCs8W#sEe48en^b7IG\L]W[-dndrVQTkpA4ggnb`.[s8W)s
+s8Dlps7c*Zs7uTlrVufqqu?Nlq#1%"r;H<gq#:#CIK0$5qu?Qijno#Qs7cTgJ,~>
+g%R`/n,3+RqYBOC6rO'ToCqh>s7GpSL.%B]Fb8cUoCqqXlJb3Yn+HDHoCr1WnFHJSlHlbpDIHt*
+Q*o0/q"a^\oEXsbpMtTRp\Fg^r:^3drqZNf$2a,iq.W=Gnb)VNp]($fq===[pBC9dFAhf)p%IMA
+nb<.Zq"4:mp7joTeGJt4p%.qRp@nI]p@n.Q0_YJ:qYBgUAp+.ClHuu5F(/=7WoO*Hp@e=Unb<(\
+me?DLs8VrkrV?6bqt9IPs7lHbrqQNfs7QKfq#:*ep^[,hs75sTJU.:dnFukTp>YfHq#:)>~>
+iS"+[s4KWodbis6i8<)90gFsUg=t3&k1eVGE&30b>\VIJh;dJ\f?c9eh<!_Vi8j.`h;@G\f=d`#
+>"qb1Jtg-8jlY\#i<S3$iETjKhr"FgrRqn;e'c[ne^`:)hU:TF;_Yo>hqe4brn.A*g"HAYo%=<&
+gYUcE=Z>'gp"]N"s4R;$iRn7`ec"+ug&0P9gkdCA]&25of[JI(daQasdb"'C0\+n+gtgZ<:0m#4
+cEiad;as&sOiZS2g=Y02dFR4/bL4_bg"Os)f@/0te]u:_gXZ/Prn.8&s4.5#df.YmdLXmZd,3:(
+d:$)1c-+Peda@@.rm;#"eCN.!dEg(bJ,~>
+g&*i0q#C?fqYKm-:kAN@s7ZEkqWe+TH<Setg#;l(rr;ccqS6+&s82Kgs8)!Rs7t'/JS&2'QI5^1
+rVmK.qY'jar;6Ehr;6?jrHs1qrV6<dqZllqo#FLlp%e@W!rDfkrqu<`#Q"8ipig!?qYg?jrSd\E
+qsjRgla(&3li6\Wrrr>tr;HTlo(t*8s82fpqYu1drr2rrqZ$$:?sI#JEfRNXmf3=do(W1arq5gQ
+p%S7Xp%J@ar:]gZr;QZpr;ZZoqYp9gq@<<#p]('es/g2+s8N&rp>l,LqZ$<jpOE~>
+g%R`/oD8:Qo^qUh8:'t'qt9meq<%_IFA^9[e_U#lq>^'Ro=7V_s7GaRrUSt:s74<oH=']bOj*Xp
+q"jm`p@@\KoEY']r:bA]q"Od]qtC*crqZNf$1n2b_b$$\o_/"Rp]($fq==:cp\FRUp2a@1o_.D@
+nb<.Zq"+4kj/ZBjjT"]Dq>0p\p%S4Vp[\)5p&=[\p[e-'A+]Eiq"=UNd8j.E=_NSmdHU]2qsX1W
+s8)6Pn+$#Ap@7_Lrqc9Yq"jaaq#C*gp&Xp_rqZNf%eTYhrq#jZVeYJrqYU'YiV*?IrqV'~>
+iS"+[s4KWof%o-5g=k/^2.th'in<8Nh9G*:?9l'`]Yr^`j6Y[Wi28\mn)W?dlJKqCm,,:#B1tZj
+ICSD!jlbjij58Ygi<S8sk2B]Xi8+Cfr7Ve:e^Dpqe^`:)f&G/Y1OS!7h;/%arRh8)g"HAYo%=<&
+h;6oB=?YHor7h;+qqV/(s4R;$in=@`!7h&"rRq)%&BpA)7*=T>gYCN7da?IkeCX<F1"Xk.f%Jd/
+hd9%0g"k<2g<-fd3BKE!CQYsHiSiM9e)&p1b/_WIc-F\ZbgY1mc-=f8fDaG&fDjD&eC+?DrR)2'
+f[AX*f%GaI`8/tpe'7.*rm;#"eCN.!dEg(bJ,~>
+g&*]+rVQKgq"t#S::K]is6p!fnaukEDfYXQp%n[Yme?PWs+WnRoD&@`s8V`-Kk=h%I&u&orql`q
+!<2un#Q=Z!qYU-dqYp?rs8.:ps8Miir;$6iq?H7t>Q<peq#:$dq#:*jqu$HlnbWRiq"4<(B)VW*
+r;HTQr:0[Sr;Zd,Rp1(,s7QBhqu$BgqY^9^q]Y_6rr)cjs-[g$s8Dlis8V;!\a[t6F&m+.Xk`O?
+q#BaYqYpWpp%SI]!;cNhrr)lps82imrqQHg&,#tss8;cohI4.upAY$arT3qTqZ$<jpOE~>
+g%R?!q"FFRo(Da97^2.PrpKdbnF6J:Bkd,9oD&7Nl14KFq0tN4l0eQCq"sEgI9p,\G,EdXrq6Ts
+r:opUo_81Vo`k9cH$K2\oD/+]q"ag^s7QZ[@TWTis7Z3]!VlEXp]pQkp@@ls@eorrq=`qEnb<+Y
+r:p$\s7m.g<,_+%me?GJp@e.Nq"O@S/+if9q"=4RNFVGRp@n.UrS_4hk/NHu:M5'RfC8>'s6'(T
+s8Dfiq>^6[oD\Laq"jaaq#C*gp&Xp_rqZNf&+TYjqtB^_fNl)go(r1Qq;V,Kq#:)>~>
+iS"+[s4K6agY(96f\>;/1S*"PjjN/JeCWp-;cqo>g>CrBe)'$KkAMoKh;[n^j6,$iBLtZ\@$&+U
+rnn%Hk2P7RhVmMihZi)r@:8*Og&9Y'f`BXPrm_##rRhD!7m?+\lJ;HorRq2&!SQ*(f^d]$g>Lf?
+gfI#&h#,k-g"P0Yh#5t,g&'C\g&K\%ec48"g&9Y)iXL8r<R9[Pg=Fg(eBlXon^f;=g=b-2e_bF>
+eDJs2db3?n8X@W%FAObb?AQ):d+$mhdG<X3f%&=*e'-,:d/h\GqUb`!s4@;%!S#QqdJqW*bh:@q
+eC3<`3gJOGe^VjnlI,[Z#h%5ReC;mlc-_%~>
+g&*W&s7lNlqu?\99',X?s7#mOpAa`nEg-1do(Dn[qtU0js*7<<rVu9`YAn,W:O0S<nbW1`(]*q'
+q"jd^q"jd^q"jd^qYU<fJ9Ltlq>1$aqZl]lP=NRkrUg'_rV6Bg!W2for;ccdqZm)pp%`iTs82cm
+rVb^Qnb_kS&,PquSQgO:rquTfrVuimq=4>8q>UBkrqcYnAE3^fs7Z-`]2ZZGrr)cVS9S.?H`>Nb
+s8V`]rVulcqYU-ao_&.^q>C6js8;oos8)`irV@&us7Z?iq>^A;RJuOMs7cHQqu-Bkp]1&=~>
+g%R>sqXaIWp&"T"6Jh)&r9sIIp&+9`Cl7ZInFQJQp@J+Vq/Sq&oD%A:Uh3e+7rblslh()PrqdN)
+p@\.Pp@\.Pp@\.Pp@\+Qq=8iNq=sRXp\FRip[8'B6brZro(MeYq"Od_!;H*[#P\/ioCm?Hqu$3e
+p&Ojdp>u&7q"OLnoBcC?<-Id*p%%\Jq=jORnb=d2r;-0^oD"hXg%tC<o(2X`9"=KboC^t,F&Q+a
+VU=c1qs3M=s7kjPp\+7LoD/F^p\ssfp]'pfp\=a`rV-oos75p[oDSB)Q29\=qt'UBpAk!fq1&~>
+iS"+[rn0*`f%T$9iSmlkbLYM0e(r@'j49]#H/$p%g>M)NhrX(b@Q!]=mapBY;FW`'>b99lhW<o!
+jmh45hVm0t=PqugrS%5'rR_&%#hm\eF=='Ji7\(`rRq2&!SQ*(f^d]$g>Lf@hH<n;h#?%*f`9b*
+h#5t,g&'C\f`9Y$ec48"g&9V8g"#253aC7jg""X)g"4a'o%,SGe(3.&g=G,45/,k*g<\$oQnb5e
+g"=upGuZXY=,!m&hq-#ie(iNne'c^kcHXqrq:GVus4@;%!S#QqdJqW*c.^Lnf?rF(:N4k$e(2gn
+lI,[Z#h%5ReC;mlc-_%~>
+g&*K!s7ZEkr;Yti;Yg@erquQhs7XBjGa,i"rVl6[s8V`cqe&P$o])NUA8[IBkPP2W"T8,lq#:6l
+')M=mq"ORXq"ORYr;H8=CARl(q"sp`#l_nHFoV10oCr7Ws7cQgs7uorr;?NmrUTmdqZclkr-<kn
+qYg?jrPAC:qu?QnP[Jq.rr<#t"98>qqssR_q^qaBs8Du'>JpF:s8W&t\T-U$rVufhs8LfE@o6WU
+Q,`Y"s7Z9gnb2kYrVZQhq>C6js8;oos8)`ir;$m&o_AI^qu<4Cs7cKgp#Q#KqZ$<jpOE~>
+g%RK!r:0RXpA<iQ9(MlNqYU$as73s\Ef7<_rVZ$Us8;?ToNa`[lIM,%=CQrih"1F@rr)]gp@\(U
+rr3`3qXj@Pp\+@Tp\+=Uq=&fEpA"=Tp\X^cp\OXjrPqr\s7Q*Vp\agbpB('_p\ssXpBUQhpA/o[
+qtC!_"SVTap@nR[ebAt9p\,6kqXaK@=a'$*qYBm[q"F@To(ap5q=sX[p@P4X\b,Oorql]#B@lJ@
+p%@eQq:D!A:0hds]C,^nmIU;Co(MnUq=saZrqQNfs7QKfq#:*fp^[#rnFZVLp&(52r:BaXn_s3B
+q#:)>~>
+iS"+[s4KWhhpgE<gu6CG2rE`NiSWDIk1QYP>^E*aiT&DElKI!ZjA@c)i6I'K6;29f`n]Y9k2kU[
+h;$cFjlYaei7lo[h$Musf47P/h:UH8qq:i"$JaU@3`tFqg=G$5rRq/%!nPuTrn-ep$JO@nh;MOH
+i7lu>rn7>'!SQ3+h#5t,g&'C\f`KdUe,@hqfDO>%g'QfpiH7@icJ[R8rn@J,f(.GmeLo>$e_]!5
+N&@3YfAPE6gQkUKdb*:,e)8uiGX!cB:MlTJhq60%gW\!pf%JX+f(mqsf`0S'ecF:Jrm1Mi%G8qQ
+g!S:&FC3YFeBuM)df.W"daZjteBuUed=;~>
+g&(sNs7ZKlq)H#cFnPe(qZ$6`p[mk@p](9\q>'UQoCi+^l<@kqFAte`^%)'us8W&qrr2lps8W)i
+oCV_Mp\=OZpBUNmp4m/Qr;-6dq=t<m=)Z(Hs5O(Qrq6<cs7lWj"oJ5qrVlfer!<2tq>1#2M#I/J
+r;HT1r"/o%s8;n[@W^o6s8Vons8;cbq%EW$qtU3jrk`<MqtU$bqY7(3o`"k.q#C-]nb2qGWG5pW
+K<sS9s7u]pr;$6iqt'X]rr)lps82imrqQHg&,uP$q>^<criL)+s8;K_s5j.VqZ$<jpOE~>
+g%PUDr:0X_o+\W+D=7GjpAX^Yp@.>1nbN1Mq=jCXnK@T$j&''LC.CC0Z/tNFpA4ISq"XUZrVl`d
+oCV_Mp\=OYpB^TcK4"9Gp@n=Wp]C3bp\spnq,VCOmf28Gp\agbpB('_p\ssXpBUKfq"er_q=XUY
+!VZ9ep=8p7q"OLoqsO4Nq2/Bnj7`NJo(MnRq!n1[pFPt9p[YasU[n!Lp\=BUC$PHmp@81Sn*KT@
+k,)]n??iF%o_7tWs7c0\r:odWp\ssfp]'pfp\=a`rV-p"q==4To^V^UC?kion+6P<pAk!fq1&~>
+iS"+[s4IM/hpgK]ff5Q_>2/;jh;[)Ag=O^"gZ[tOh;6c;g>1fQdm[)o?p?>VS'TjCi8ibNi8EMN
+jQ5FTg"P3:h;7#ah$MrrfkNq.gY(<7qq;#)!oD_hrnIh93`;p)k/HK;g\oh(fE0XUfDaFnfa6Bg
+hV[9lC#7Lrrn7;&!SQ3+h#5t,g&'C\f`KdUe,@hqfDO;6g>UZAh;WKA;p!hWhUpW@g=c)L0\+b%
+eC!.,fUP6`e^Dprda<hHdGEs=e`53-bgG+_Kge'g>)KoAf[Jg:f@8F,f?a9Ern.8&s4.5#dJhJj
+d1=dWcdLIocdmb<`S8kacIqL2rm;#"eCN.!dEg(bJ,~>
+g&1mM&GQ4uqtH:I\a]Xfq=s[`rVZZp&GYbpp%JFco_&7SZpe5,CoR@4!r_lirVm<%q#($as8Dce
+o^h_IqXk-gp&4fO@efltq>:!`#c:@]s7Gg\q"Od\s7cQgs7ufor;HWoo)&djr;$0_Bo)W_rVZWm
+_>Fl?rUp3ipRt?LdJs7@rVuclo(`^lq#:'gr;YA]QiI*^rr37[=n_jpq=jdarr3Z,p%A('VgN2p
+Kt$(-p%nIWq"ad^r;QZpr;ZZoqYp9gq@EW%qu$Ejq>SQA`;]T*rVkpUrVHQh!;D!~>
+g%YOC4nAXBp$n#/Z0D/Op%S.Yr:p9ks6o4Pp%JFco'lPAXZKEY?_$]`p@\+KmI9oMrqc6Yq"jab
+s8;]ep@n=Xp^6cfq=otVo_A.Sp\O[]pBIEePQ(1Bs8)NhpB('_p\ssXpBLEep[r*Np@n=\p=8p5
+q"aXqo(DDLp@"D=ONI7mn+HMLq!n/!pA4FZp%6F3NV<8Crr;nI:[I`Kn*ouDrVucfrpgQ8R;lPA
+I'25bme-2Cp%\=VrqQNfs7QKfq#:*fp^d8pp\=LVoD$@-_#!`oq>0+F!;QQhJ,~>
+iS"+[s4RG.4k8QCgXgR%T%<#OgtUNAi8<Y]l/("Rg"bfUgYCuGSM*N+=-i+6hqd,AeCWR<jP\_E
+h;6oJj58YGg"P0UgBlNhh/bs:gY(<7rRhD,g"bHBhVeCi#E(B^in)Z>h##e'fEKjXe^i=(o%=E)
+hr*AH8nlu4g=b0Yf)jLSgA]n+gAfk'fAbHaf@BlLrRLr"r7M\9f\Y3Bhq3N6H*ZAff\YWBg%3fL
+e^i+!dG3C.YsEE`gXFp5fk!(jgYLB/f\,0?gXOWud\VCm6:G7D^;nXQe^W1'f_O.uf`0S'ecF:J
+rm1Pj&(]+Ue()sqetOphe^2Oie`tT^d0S1Mf$r3sccsjf~>
+h#.0K(]O@-s7ZKjIo-";s7lWgr:0[[nalDLs8Md1o(`7YdUc9D:fV1\ItrK#P-2O8_YsN7rr2p'
+r;HNiqYL$_q"j^kq"4UdS7VTrqY^3er;$?h#@:9bq#BpVq#0mbp\sphqYU3irV6<dq[!#lnR7.H
+r;6B'r;Q^Xo)JaTY!JWJs8)`pp\Xd`q>:!bq>:!bq>:!bqtg-gp](*ik[B;Is7?$cmtP$Gs7cQn
+oDeLSr;Z]jrVm;hXD_KbOMUVirq?3gq>C6js8;ln!W)Tgq@ET!s8Voos8W(+VY'Z]rp]j_!;c$Y
+rVHQh!;D!~>
+h"UgC2u<:?s7#mWG=_;pr:9dWqsaITmI0N9rq,pXnFQ\Mb?de%7S-j-F*_bDL8(u^\+9=ipA+^e
+q#:0jq?$Kfq"j^kp@.nUQ='=Zp@eFY!r2NbrV$fqp\.iehY7'Ao_J:Xq"aparV-?es7lZiq"O[\
+$MXAjp$Z1;o_A1Uq=am_eG&e6q=d\[qtfXRs5U"<Q0A)8pA+7Rq=sd\q=sd\q=sd\q=saZpAORY
+oD7<FJ,0-4o_[p$;#L(TqZ$!]o'cDRq=a[_q=`[?AliZ&]'fUmnb)eTpAt'brqQKe!VlKfp^d5l
+r;6*\q>:"nU@@gMqX".S!;PdP!;QQhJ,~>
+iS"+[s4KWmg=GE;j5"0%hq[AJj4N8=hV?W3g"trIh;?oCm+o3I3\EHV:i']U>$>m(S=lS2iSrbR
+k2kL[iSi_Qhqm5ch$DWkjF0VRh:p`_g&fs]h#?11i;_XB5rQU7jOD`5g">!1g&0J+f%8I'f%BQH
+$/4=qgt"l*g"Y6Zg&BV'g&Tq+gAfk'fAbHbf@A@Iec47ufaurti6gEDac.EldGs'?jO`)Xf/(t/
+e^W(%db<:._`VD`i6Ka&b$d6hgsY'?d,*0qf\P31g>C]=_1kNB95L0Hj4_u6h:_YV#h[_\e^`1!
+daA'?rQu/+c.COof%8U,3If6"e()M(df.W"daZjteBuUed=;~>
+hu*KNrqUI3qu6Kgs85l,s7ZKjrUp*gqt0LSqtg'cpA=ma_0SdY=@[:aC2HaF:/P%j8PE/^<*a<k
+S@6DloDejfq"t'drq-3[s8)cqr:Zgjs8;]hqss[Vs7lKkp%8:[o)Fh@X6o`\oBcJHoC_hMo_&%T
+!VuWlr;?Hgq$HccrUXKToD8:Yqtmr%*1^2Yl2U_Zo_87^qu-QpqY^6gqu$?hqtp3bqtpBj%Ut+k
+pA+agoltKVq#C<krV?Hi&,c>#q>1*jnAh5JAo4=$rr2p/pA4C\qYg<krqu`orqZ3`qXaRhs*]4f
+r;-<gr;$KiqYKUVrVHQh!;D!~>
+htR-FrqUF2p\FLPp$kXVqWmnJp[@nSp[dtLqYBgYnFZ_L\oU59:HiB>@V%qs5t":64?lD*8Q&u?
+OfQ1Gm/HtUnauSHp[._?q"+F[na;fGp[n(Jp$DD>q==:[p@J=Wm/Mu.VsO9[q==RYp\F[]q"ORa
+q#:$\p^-T^qse'LnbMtTr:^3dd.[P8lh:pW;K_$tp\!tFq"a^[r;-0cp]1-hq#C0iq#:!t>CHD=
+o(i:QDIr\5r:p-eq>C$fp)j&+r9M4gEa<4CearV4q!n%Fs7Q0\qtg*`qYKmSq"XIT$2Jdenb;bO
+q"OO[q!.SRq#:)>~>
+h:_bYDW'7(gYCcF3(E&^in`MDhr*;Af%T!:gu6uGle\RK1dXGZ<GPB,0JtO?3&N3=3&<KY:LnsC
+Wl!HTlJ^UYjPT%PjO`MOl0$sWKL+VTgY:Q6gsb05guR);k1nJOFXN3rgY^Q*hU9p+f@\X)pt,)i
+#hn%djP!1Cf\QP^rS%8(!8@(ui7@tZo@NrorRqd/3*XMch;-T1g"Y36h:gHXeH44Mec+1ufa^2R
+h:'p-hU,7phpUE9g\ob&ec+/Bf\G?.UjZ6.7sql!h;$c6f?iL,f[e^*e^W."ccXS[qpG;hs3qA.
+=&dMte'upteG[hqdIP`bd0S1Mf$r3sccsjf~>
+hu*NOs7u]i2#?hCs8VrF:2g1+s8;lirTa4Yr:g!_q>1-keqH^pI/fR'](H%&qYAC7XM2*(EI)bD
+@9<G+#>SK;FG$!_[f-4PrVlK^qu6W*=nMOgs8W#sq>^6dn+->TqZ"`HK&$CuoD%hEq"Od\!qc'R
+qXssbqu6Nlqu?Khp]pQjqY+Ehp\O^]\bm!/M,T-&s8;oprVZNfqYU0dr;ZZnq>L1LD0Q$Xs8)`l
+E,bjNs82clq"X[\qtp<gs7u6Tq#'jMprnt;@=lDoqt^9llKeKJs8)Qjp[7hVnbWRhU3$//s7cKj
+qYg3Vqu-Bkp]1&=~>
+htR0Gr:t$sq#0jRa$F83lhC&FnFu)<s82NcqY9^\q9=:Q8osok4gOGPr:99kS"HsaK4Jh4?W9Wd
+77K^D?u((MUTO:ep\a[Vm-F-1pT73Tnb)_VpAaa]o(MSEq>Bm__cV<;s7Q-cq"XdarqQWjp@\:Y
+!VuNip\Xa_q$?Zhq"8!`p%\:Xppp,0m=\2`nbMnYp\=LUo_%qOnb<W.Er>\-oCqlfAGP]kq"jmd
+q>L(3s8)?Up%e.=n&'uh;f]53o^r1[jlZO:rV#p\oBQ#Kq"XIT$20j*oD&1Rq=jX^q#C0TpAk!f
+q1&~>
+h:_bYFkY=$jl"t(0Mpf]i8*;Choja7hqHf@gtq;Z]PTDcAF4gsS_)u_gYB#kO.hq^<*`U%6om1_
+2Dd]q>%rJLSEB(ulf7'\g>ClNRlo<Xi8j+YkM,%NgX+F(iS<Ls6Y*pne^W6tce6t'f%AO'db37*
+f@edFfa6Bfio/`bK&#8?rS7D+n_)1=rRh_.B/=,Nhq[;Hg=b*/f@JOOec+"ue^sZN$qaLUg"b04
+f1JZjdbauVs4@.u+l1l$d+6q"`mU`$6TA29db*13gr7:he_8Ete]l%Vg<\+BdJMAle-X]T:".bK
+d+6^rrR1_no$[Nb#h%5ReC;mlc-_%~>
+hu*NOs7uZh/b/`<rq`EeLB$rHr;??fs7Z$]s7Z*bqXV($5^UiVl#oJdp\=7Xq=aX`r:g$ds#p#8
+dD<5pS<%u/?!:0"<E<UNPcMdKiq`PX>Q4[#o(r([o_nO_s8Mc]r;VLHa8>o.p%n@SoCMMEq"ssb
+qY1*equ6Nlqu?Kgp]gckn6WBsq"a`rr"&hsJ6.R"qYC-gr;HTlrVu`ls82fkrVICcD#aJ6p&"c#
+FT;+8q>C0cq"aa_qu$?jq#U3crr3B&s8UuSH>[brhu!BMrs&Gsp](9ln+$8[r7#B@q>U'erVHKf
+mJHkYs7cTgJ,~>
+htR0GrV:C+nFcePn!?CgqX+(Np@@qWo'ZAQp%&"PlE4,GElRe1D*.(PnEKu@lgFB7m-aTCo]b&K
+[]60gLN6a%;G0AO:0VLmUV4\!mdd5OoDeIJo'lPGq=FF^rV#RNs*dGPp&FUVs82]fo^_\Nr;?Hg
+q>^6hp\Xa_q$6WmoBokeq=j^[\b?^5l[)N]n+?8Jp\4IXp\=UZp[e.jJS4lTrU0=W=_RR!q=aX^
+rV?Ee(&@_%p@nL`qsj[^e<t,[A=;0Fq#16lqZclgoDAR`lga]Up<@%'o_J%Up\4X]s7tsS!;QQh
+J,~>
+h:_bYG1b3sk25!M11fCphV6i<h!!GAiT/\Fini:V6muQSk0[E`f%Sg'k1\MDiSWAEjQGOSa0_Y0
+PC[g_9L:s'0KM9d=F$".Zc1_XPWn'khppQ8j43#=hW3SHd,+&%0rj'leCN@(e^i7!e_8g7gY1?7
+g"P-5n_"3%h<3MB6^HZbrnRJ+nCc(<rRhe>c<`AAe_8X1g"G*5g">$1fDX5$e(*(Hfb%^ch:gf7
+fASqhg=+j/f\4s/qpcG5f[nX(gYLW4hqYYf:I7R!]\(roiVqI6f$DXlgXF.=dJ2,seCLii^XUr^
+g=4XNdf7_cdf.W"daZjteBuUed=;~>
+hu*NOs7u]i&Gu1sqYL5F=JGihrVQNhqu?Zp'DV.ms1rY9A\@[8s8@4Cs7u]hqu$HppAFgf,l7?1
+q"t*ko$X@fF_"fO=AW7(;JCVoB'TBkr;ZcroDA7\o_\Xf$Ii7&o_S:Ur:0+Irr<#q$i0Yoq=sd\
+q=sd]qu6Nlqu?HfpBLQdem,Z_o(r.^qmlV3o`+f=?[q,5rVHBirrN)tqY^BjrqZNi)4tR<q>^-f
+s'U<UqZ$BgqtTs^q>:'eqt0[_r>PM*oDea`s8W&2I;iP_q!@\Op@8(\rqQ9ap@8"bs7^*8p\4L`
+rVHKfmJHkYs7cTgJ,~>
+htR0GrV7$$p%.hEpifH$qXF7Pp@S%Trq^-smdg7eBJWr#lhU>JE)$<$r:'@Tr;Q`imd^5Nr;?Hc
+o'Yr8oCr"Eb+3os>ZO3g85rAT??BIWhtHU4rV6E]p[\1Mp\apgbYi?Fo'l8Lp$_eXs8MrmqYBs^
+q=sd\q=sa`p\jmep\X^jp%n1->.+>!q=qMp&b#bnHWbXMp%\4QqY^3bq=jXTp^`g&p%8+Kq#"*3
+q"+:Sq"t$crV.K,q>L9gp@7SLoBl;On#pbG>*edCnG)SAq#C3_o_%eFpBgZb?aK=op&+RYrV6Eg
+lLt;RrqV'~>
+h:_bY&DPdhgtUt(4+lA?h:p`=gZ&4k>2.T_jeYs"8tt,+l/c85kh>%Gg>hA]lJgLQkN1mjk2P4N
+g"YBCimkGmB37Yi/itjR3]0T?91dCegu%5OkLA;=hppN@j6F*:=kDK^f\P!"f];&Mh;$c>pY,Js
+qUc,-gu6ks6(-]^h#5spg!/.Ifb)Znfj6mM_qWqtfA,6<f\+m.rRCtue^sZN&U[!uf%na.h`=lo
+f%\g.g"4jQeK<5kgY:E3dE^Rtce7:*P#P+;Gh'j]e^)Cgg==Koccl:6psK;pg!`0LrmCl$eC=HF
+s3^Dcrm;#"eCN.!dEg(bJ,~>
+hu*NOs7u]i/,K5BoDAQ*<5SV-r;-9fq=Xdep](9FR6+)pdJs7:mf-fnn+Qe]p%S"Hp\k+^p%S@\
+r;?Qns8;Taqu-Kks7>Kr^6se!I;Wk!9ik;$?Z17WUW2!Tnb`@dqLrbFs7u<cs82Keo(DkRp@S1X
+qt^-bqt^-drVZWks7lKc#Q"2i]4&&Go(i0nr!*2spA]q?GQ.UGrVQKiqt^*ds82fkrVIkAA*<Xd
+qYobgN;rkVqYBs^q"aa_qu$?hq"FFXqu-Qks8Vifrr3MDWGZI;l1t/Tq=++Sp\Y!\qZm*"I?X^'
+s7lQhrV5dWrVHQh!;D!~>
+htR0Gr:tI4p?hAK@7e-.o(_qPq"=+Oq!n=_d$$=VI*26ZlKA%M8EoXBs7#REl1+TJqtf^MoC_bL
+pA"U[nF6,Fp\+XSj2/<iJo#I;@7Na^9NPA2FH`?6e`uPpq>Bf0@Ft;EmeQn\pAOORp@e(Kp%nFX
+p\=LXp%S@Y#Pmu`[p?3;mf)tYpqc_)q"sdtrq,a\K1'_Tqtg*]p@n:Qp\4:S%]<XmoCqkNj&LX+
+pA"CUr;$<d+8ks.p@n@WqXj[[md0]IrOAY;AWl-Ip&F^Oo(M\Ls7#agqfe%rn,2hPp\jmeq<I\S
+q#:)>~>
+h:_bYDqa%&e_KLg2ko'WgY(99g=P<CgZRk8I31.W\)ui,fBGpce(E^?e(<'sg#D,Simuf<h;-rF
+i8rhJf\PHBhWNG4Wh=]R<F/Nu2)%'M6:"IRG_E!+cdLY.kM9fI`TGt,hW3JCh:($2g=Os1hYQ%&
+gA0D,h:UDN6BpW[rn@D*rn$\ndF\EKrR_)&&`D6iiasQ>hqm2Dg">!1f%8ONeH"4tfa`j(`7<Sm
+g;Z3dh:^Q8ec+1teK<MseC<($f\4j0g!@ssi8:#Y8O[[<daI%$a3E#WdG+6?$Im\a=)H[;g!S=!
+rR1_no$[Nb#h%5ReC;mlc-_%~>
+hu*NOs7u]i./!Q=pAb.t9AfR<q>0sfq#C-]s7a?M3FBH!r93kSs6s0-s8VN`r;Q]q"8MK]q>UBr
+rquWkrr2lr"oA&nqYpEls!%@<rTTb\BoeHgAm/M;>[(fRC2o]LB:T##s8V`_qtf^Xrr2p'r;Q]n
+qu$?hqtp<iqu?Efp':Tiri]q>s7Z9c\bls;nGWCbH<H6prr;rjqu6Ehs82fkrVI\H?cN'ErVOcJ
+RfEBdr;$*^q"aa_qu$?jp\"=[rVliqrr2p/mdpJWW*?J"cKtT2p@nUenaZJ]qYdFFs7u]brVHKf
+mJHkYs7cTgJ,~>
+htR0GrV9Ldr;,pWohRj-q"4@TpA=L^o'Z>B\S<j%[eoaVn,NFP;J#k)kk4]GrVl]bn*p#Ir;6?a
+p@nCXq>C9mqXjFSp%\:]qtg!Xo%oF3@>BbI?rgH)=BGK2*GLS6>`o$Vq"O4FqYBLQqY^9eq"X^Z
+p\+@Tp\+=Vp]'sapB^WcqQ").s75p\pqc_)q"sdqs6KIZpN9DikkY8Rnb2eWp[n4kZWb3?q"F?u
+=-!+Np\FOWrV?Ee+9)'.q"jj_qY9jYp&"d]jm<$BUK4Ddb38d'o(2n]mIBoWo_,)-rq-6Xp\4X]
+s7tsS!;QQhJ,~>
+h:_bY$J!tjf]2!V/ABffrn1`<g$%/Bj4pM5*^cUaim6HLn(0d%k2Xb>g>(WIhUp9-f\t`Hh;$]>
+gtpiGjQ>:PfA5*9g?%2LgY^r5I7?nNG","a5;>;`7nQKTI@!QUm,7$cf$rL0cJ@C;iSWJJhtc('
+gA0A,hq$\H8!E#agA]e(fC@PAfDjD"fDjM7iQ^-9g/p@PbM;15e(EF.rn%(uq:Q+?4JUWbg"3,b
+FPQlLs4./$qpbf(f$i4Lfc/Ytf[eX0iRZ#phq3Q>MU89?g"Xcsh:p$!da[s<s3q>-KNm<_gre-r
+rR1_no$[Nb#h%5ReC;mlc-_%~>
+hu*NOs7u]i$MO;qr;Z+c=8)C]rqHp%p\ashjI0(QM>m2@rr3H!mJ(%+rr;ckrr2W_o`"k\p%J(R
+p%J(Sqtp*Yp%A%Vs8Dlfp[e=]s82ir]h+C_nFGnj^n$dEKj@q_@:)At=a5jpU9rbTs7uEaqu?]o
+pAOpfr;HQlr;?Njs7cEa#Q4As[UlrJqYC$!r"&8rqY^?bPYIk(s8Viks8Dfls82fkrVIVeA"`l$
+r;FNDU&Y&irqc?`q"aa_qu$?ep\Fggq>U!hqu?Ncp\t1&o)&IciNm]^bl@V,oDJCRqZm&oe9gW\
+s7Q?erV5dWrVHQh!;D!~>
+htR0GrV8/?q"j^^iCcl9q"FOXp\j^Wp@m@&8Pam2n*g&Oq!@/5=D.F*o(VtWp$_MLs82HZrq&SK
+o_&"Qna>o9nb<(Yp[@\@p\=^Ys8TJmMY$-"jiY6+Q%OWf;+X_b2FL;WJ<ZS,g%kR;naQ5IqXj:M
+p@\.Pp@\.Tp]'sapBUKcqm'Y:qtBj\_>!p'rV$ifs7Q-^muL#0e,K=:p\jmap\4FndU&F?p\"6m
+=I&UQp\X^YrV?Ee,5M!/rr)Q\naQ;Ko^)#>rr;BZrV>9QEe;C2puh,@o_8+Ro_/[cn]l:ApAFIT
+p\jmeq<I\Sq#:)>~>
+h:_bY0%S_6hWW9I37QO/f@\d9f\YKEaaQ67DrfU)jmD3aeDE\oi8WDCgYCB.eDB3Arm_##rm`aU
+g"Fj%daQ\!inN/7eBut(i8!V_TIb6?daZOFTmh2sAjAR>6p`4U4Bl]QKU0@/iVqL5h;[GMf_XG)
+h"f\"fEU0bi0QithYl.*fC@PAfDX7uf+?0df@es-E[uXJiS`8?hqHc]fDjCsfb(SVIGNW0fq1HT
+g">$6f$r='qUHb<e_8a+cHa\af@%jee_T--f%S]dN)*fWg==-ae'HOnf)4%odL+LTe?2fnf%J?u
+eG[hqdIP`bd0S1Mf$r3sccsjf~>
+hu*NOs7u]iDuB;+rr:_YD?'A'p\=L_p\OpAInOXnqY:*jqXaCXs0PF>s7Q<cq=a^bqXsLTqY9m`
+r;6Bhrr2ips8W#mqtU3gs7u]hr;ZBgr_&.JqZ$Tfr:'XXr;ZcDNC[]!9Q"BN>"MJ#FGc$G\D?oY
+qt^3hr;HNmp\a^jp\=U_^gb"Nr;$6#r"&hus8)Kinr?>;oDeR^rq?3ds82fkrVJPKCP;`aq>\ZK
+V#1#es82Qcq"aa_qu$?jq"X^]p%eXeqtpEnrquTlnGi@Zs8&F(>_1H*qsj^VqZm/pl#kGMr;Z`l
+rV5dWrVHQh!;D!~>
+htR0GrV:C/o_/(Xcqn<Rq=aUXpAX[UqTj@M@C,LoqYTpOme-CX6u;eip[n1PqYg6^oCi"Sq"jma
+qYU6gp\Fjgp[n1NqtC'^rUT^\lhpHDK_Y39r:'LMqt9aZn\fr>>[g!/>[()n87?CfKT`Rin+QAK
+o`4^^p]'sbpBUEap@u:,\aoOj_>!p'rV$j&mJHSIs6YY3T'lOIpA+7Up\4Fno4ELKoCDgu=.&RM
+pAOd\rV?Ee+8bj.qY'LRrqcB^q>9sYoDS%Up@J=XSRtuPdJrt.qu$0]pBgcdj)<37q#'m\rV6Eg
+lLt;RrqV'~>
+h:_bYDqrmui97m?:uTpRf%AU7f\GK!A1pfVi83PVhV$]EkF42,jOMu8f@J^5g==^)g=Y*5gtUT=
+hV?f=iS`D?f[\g1j4<,;g?$oKi@\s)gu@;Ch9k'1h;dJ$E%=OW02Y5/4Y&3U<,6>tRD.>2h"fe,
+h"ob#fE^*ah4[-)e_C)Vr7CJldF\?IrRVY?ce[4'jNq]kJ^NB*g"Y!/g&9M'e^sWM&_0E\gt($5
+W',U[f%Jp3e^rFMeK<GneCN*pe(`L(e(<:(da?djhp]s-ds=A=>-?`3b1QXCrRC_m$ImkZ_b[Da
+e_/I%rR1_no$[Nb#h%5ReC;mlc-_%~>
+hu*NOs7u]i./!Q8q#@BuPl:+CqY^!crVP/_9kNVhr;$0br;?Hgq6i_apAapcs7u9]!;Z3_=8`*u
+rVoHWq"=XaqtTjVpA=mir/t1^qu,s1YEF0BA8P[W=^PTHE.X%Cbk;#6p\Fa`q>C3iqXsd`q"FCS
+q"j[_s0?Cls6TX[rVuoqqu$?hrVc`orODb:F^(C6rqZTmq>^Kjr;?<aqu6Eiq\\s<L&M&Ls/BJ4
+q#C<ar:g!]q>'pbr;6?iq"spdqZ-Qhq[_\G?XTSsrr;`mqt^9io)AI^#QFJtE45N@r;HKjq!ItW
+qZ$<jpOE~>
+htR0GrV7i5r:KRTTM:CAo(;hVoDeXZct,XLh"gR5p%A(Rp@\'_5aq9@o_JFTq===[pJgh^6^.*2
+qY9gZo^hbMo_\*2:&aYTk/jN[F'i6d=&2Rj<``jVJX=4<q!m_@p@RtMq>'aSqtg*]p%J1VnbE-c
+ACCM@p@e:XqY0^Xp@n@Wq=sa+p\Xa[pCD4CQM1.Hr:op`qXjOVo(DhR&+<tXq"aU[U/n,Zs7YsX
+p\jpdp]1'fq"OL_pA"@mhMGHASa?4Qo)8:Ss7bpWq=b3jnG[1-o)JLZp\jmeq<I\Sq#:)>~>
+h:_bY-e7&,g>n8WGMCBjg"b*=hVG\>1.odVin`DIiT&qWiLMNQg#1K9h;[$fg#1lJjXY]3f&,<=
+g"+^*gu@YWFZ\sHi6eopFB_7):I$p"5!VD0@;CFpeDf66g>(E8gtpoBf&,?>g=b38h:CHFP"N7F
+b1YG$gt^T6f@\d1g=t?8pt='H!7h(ts4.)"r7MY8;`fB^gt1H<f&5?7f@SI#q:QA-6t4m*f\V<E
+MpgV<dFd"$fDF+_e.K<)3&u<,fAG$6f[Sg1c.CIprR))$db*%*8s.QXe^W+Idf7_cdf.W"daZjt
+eBuUed=;~>
+hu*NOs7u]i(]!e(q#?1O\Gc-urpg$QoXJ*rM>R>Qnc&Cpr;6<ap7tHgqu$3bp\FFU!;Z0^s8Pgm
+s%esWq>C*`q>:$aqu6W:AXiSsq>^<cqtg$_s2VUEP^mIR?=I)??YO_HW2.,_o(`+^s7>jSp\Xmb
+q>]mKa)^_>s82]kr;-3_p\k$iqu?N'r"/"VF.2h#qY9a^q=a^_qZ$Hlq>L0ls)<Aart2)A_u'K6
+q>C!^q"aa_qu$BgrqQBeoD9'mp;ClQK!t(Ho`+s\s8VQ_qZZTkFJ\g3r;-BemJHkYs7cTgJ,~>
+htR0GrV7i9p%\+RIS$[<p\b'\s5iaU<Bu-(qY04Hp\+@To^_OE8Zha^oCqnIq=45Uq=s[Z8W`Z=
+q"FFVqYBp\oCKRtORr;>rq,aRo^MMO^T<i[F^@sE=&2Oi?>P@hT"!><o_8:`o()GIqu$<crTN@Z
+D!UBdp@e7Tp%.bFrV-?cs7OP/qY9gZ&)`OdPk"M@oC2PInb2\LrV?3jqJ1<OrqQhk?+9D%q=aXY
+rV?Ee!;HKfmIq._o"]$AI^/,:n,*(Lqu>sWpBgNZq/2ktq=aRWrV6EglLt;RrqV'~>
+h:_bY-e[)-g?!-2RG69Gh9k<+eXAWODVsaBfAGHCiSreQh2=(RgtgQ6e`,1Wg#:uMj=to6g>1N9
+g>(H:gu7Cr8:KFVgZI;Eh;$Z<jf"JtF'hI#4[D(e5"J^nM1hG5db3F7k18,9gY^rGgu?W(Vc(ph
+jOr5?g"4d(eG\)#f`0S!g!\LPec+%tec"+tfaulWG#N_:g=Y!)g=Fa(f%&ROf`Kr'=oI+_JO?!Y
+hV?`8e^rFMeah5hdehN+d*J7R1L$!aimHT>c.h4"eC=HF$dmDQce2'DeCN*ueG[hqdIP`bd0S1M
+f$r3sccsjf~>
+hu*NOs7u]i)#Nn(qYOYtj7iTRn,N(RM+h0^kPslFs8Drp$i9Vio7KWEq=sjdq!n1Mq]l(=qtsHT
+qY^-_p\=X_q"OgZJ7.@-s7l<[q#CBkp\OdXnb`:b/E4p]Rt,*S>%VD[ASm7.ci<k6o_8.Qnbi=b
+ODFmlpAb0jq>(!hs7uNgr;Q]q\bm$9eSno\s8Vuns82Zmr:p<hrqZNi(]S_qr;6NgQXA,5p](9k
+qtTs^q>:'er:0XZq[`_np&D-tB8HE[q"t$^p]($c#4qbFO8\hMrVHKfmJHkYs7cTgJ,~>
+htR0GrV7<,nbMhH<CGL2s8VNcnaV<&<j1K^j7E6DrqHloo'c!q7'uXZp\XXRq=45]p\=FT:Pnf?
+p\+=Tr;?B^pYp6of'E;,o'l;MrUo^Qo]tf7qt^$agW$@[H!aKK?t!JNBnWV3rqZ3Yp\=CMq"F`F
+Abkreq>'aVo_AIdo_%qPq>C6lb4k]+q=bEmcY?XDqZ$9_qY'UZp[e=Yp^d@FB(trmn;pSemI9oK
+q>:-dmJ-MO&-(k_ql!M(KD"m.pA"+Is7uBnp$DC#MYQfBp\jmeq<I\Sq#:)>~>
+h:_bY);ETsgtY7R`7El*cf!=(C+_]<bO!U6lJLFsh[8/ng1i70g=b38eDf(^g"kTBhD]H/h:^H5
+g"bB9f]CXn6c@R;g"4d-ioT"LgtL0&g>UrGiPDUZH='*$3CZM/78@Q[Yi=Kkf\>36eDK-JE_YNI
+f&,B?f@Sd:j4;i7g"YBAiq_9UfDjD!e,RtsfDaG7g=s)55]krFg"G36fA5-1h>,_9i)N>$fA"bq
+3NCHTgYLN8f@ToMnBq<arR1_q'ApdUgP@^TA_>Vcg"Xp&iRHB*df.W!dac[p?#&$=rm^nps3^Dc
+rm;#"eCN.!dEg(bJ,~>
+hu*NOs7uZh-MRE;i_!&GrVQ9`p&BV?Gfg!cnGE4[qtp<gq=jOQH:YR>qZ$TmnbM_P.J`i7p0E:F
+r:g$_p\"7Qp&Dp0U&Frhq"sg\s8Vulr;Zfqs8W#lq>1!fs!R0_a.\T@CL^dY=_VVmO1*g9s7u?f
+KRrams7H3gs8Dcdnc/Xgqt^6c\bm$<p#9spP5G%Rs7uNkrqH9drqZNi(]T(qr;-EaN*>9=p&=sa
+q=sa\q>:'er:0XZq[`/qpAb05M.M@ls7uZmo_nU_#QOPsSpp\5s8Dfmq!ItWqZ$<jpOE~>
+htR0GrV7i8p@\755=>#9q!n%Is*dX^_u9W#p%S%Op\=LTo'c!h6aZFXr;HE\q=45ZoCVSB=+9f:
+pA"FVp@n:NosRJ\p%S=WqY'[\qt9RSs7uBbqXsCLoCVq[qrQ)<Ru2<!?X6f7BPDRL[bLKTo^DR(
+HgUP)me-MTp[mq@rVQEao`"F(p\=OZpCI&fghTlJp@J+Vo_&4Zo(VtT%f1TYp[e.GKhg7jme?VM
+r;#aTq=bHds7-$e_Lu<GdJ<G1q!\"OqY(<lnFr;qq=FLXp\jmeq<I\Sq#:)>~>
+h:_bY-J6r)iPR6'i8*)9f[Snj0j:X@lI=_PgtpiDhVR&Bg0ZG$f@f!8iRe+_;r$'Y5@`C&f\5'3
+f%8L(j/+ehi8<GFgt:<<i8*/EjknkOi7ll9g"PEIiQJR)JT+dc6pa'u9MJW1R_RP=hV%"(A_5l$
+f%]9Eh:L3'hqd&>f)F1pg!\IPebdhqec",!faulof>:BGEnT%!h:C39gXOmOfaceE52"N@cY,/K
+e^<++df.kqea_)fdJ_Mne.]p\dG3]TAj^+<hq-Z<dFd%"daJ-B$I[VVf6CHOd+HjtrR1_no$[Nb
+#h%5ReC;mlc-_%~>
+hu*NOs7u]i-hIB2s2%K6s8)c^pA];:JF*:)s6fpbp@n=Vq=s^WoS6>So_n^^p[S.Oq,$t`q=jMp
+Gkh4/qYTsVp%\CDHY;^Err)N_o()MLqu?]jp\F^_q>C9mr;-BlrqZ<gs8DohgU!,oEai3W?XI,c
+[]<h:nbi.\s8Vofqu?]pr;cirs1/(-rso%kAm(Z(rVuW`r;QQiqu6Eiq\T0oAH)W/qLrDVs8W)r
+o(MkRq>'pbr;?Hgp\4abqYLfrs8;WZs8SfuCq0HDqYp-_qZm/urOm=Eq>^EirV5dWrVHQh!;D!~>
+htR0GrV79#s6olp6;@1Es5rhNE):lEqX"+Es7c*`p'g]hp%.a.:q#unqtKjEpe^_UoC;6ZFS,J%
+q>BsXpA+F7DHu8tqY^'\oCMYLp\OmZo(;YKo_8:]p\"=Yq=O4Vq=jXRf<:9aE+3!U?XI&ZY+f&n
+l1FH<qYB[Ko_SObp]L?gqtnP1pA"OZ%fZM'iF#TMs7lH]me?PMq"PBoNaMVYq=B&9nGi:Xq="%U
+q<[nQpCQlop[[SKqjgc"ZM4:iq="%TpC$cjq=OEjDsm;sp\4X]s7tsS!;QQhJ,~>
+h:_bY-e%)*jJ+CljP/b>f&g!k@*df\imHuKg"P09hV[2Hh/56DfA><5e`,7Zg=Y05ek'#th::98
+f$i4'gW!Plcf!^;f%/=!f@es=k1A/8g"=p1hr!/?gYU`;fAtoJhq5Z/G@XcG5XIn.6XZCG7QT,Z
+g>V)Qg=G!<j4jRe"5DVeh>,aPf)aFNrmLhqrRLht&)$%-i5nGKI-',=e^<()fD!r0E'`77gt#mr
+f&GH<g<S4"fDF+gdf%Sndf7f?cJ-t!bMh9-4AM@$hq6]0f$r-rdF$:fg"4iB:X7DBeC=HFs3^Dc
+rm;#"eCN.!dEg(bJ,~>
+hu*NOs7u]i-h76-s/B+?rVuHgs,:<&jT#)MrV?!Vs7Q*\q>0s`pj,cInG;tPq!n7Nq&fP3p31QO
+rpop`p@S1Xq5[/`s8DKfnGE(Yqtg-bqYpKo!W2`mruq:2nauYUs7l?`q>0p\oDeF<aL.\#JR_V\
+=':9LeD'BhrVulm!;c]ls8';(%.j#hpYfds[e9\#p@nO_rqZNi(\sY4o)JXfG%1INs82`iqtTs^
+q>:'er;6?dp]C3bqYL("p]'a\s7u*_c$`cYgACpMq>1EprqkGhg\^sJqYg3Vqu-Bkp]1&=~>
+htR0GrV7f0s6TWS9k<bdli6m:=_Q[lp@A+TnFQ\Pp%J.Tq"OK,::K]fq"*G=;YBbVn8iL@rUK^^
+p\"C\pnL*Ds7u0ao`+pir;69_o_JC_qtB^Zs8DZZm-jTAqXX1IoChkJn,Dk5aL.\#Ip>TA:/HA(
+bgY\Hq>'p_o(;SIrq?Bbb4kW)qtCTflhp;-@UHA/s8VW[p@e:V&+l8rmJ?MNDcZH(qt0^Xqu-?Z
+q#C-iq"j^roDIqKs7GRQa*1LAeFrk>pAFXmq"OLVp!mj/p\FRXrV6EglLt;RrqV'~>
+h:_bY-dgu&j,,othquiFibLbR`9?%1ini2=k1JAChVmGQiF+U8dG*@%f&GB_g.C/WfN;))hp^?9
+f@AU1g5[e?khabHdG3L2gtUQ;g>(NBh:^E9iS`A9cI1:uh:UE7gYLZ<f&bQ%Y+(/eBM(9K4[3b9
+\\QSMro=4@f[n^+rn.8&q:X3J!S,Zudf7epebn#0g!eF2ftg3JQIFpSeC<.'pt681HU,p5f\9:d
+f\>97g==m.fDF+hdeqMmdf7f?d+QUoj4;E1Y?sD6]%Puuf$r3tdF$:ff%SZ^9=E@$eC=HFs3^Dc
+rm;#"eCN.!dEg(bJ,~>
+hu*NOs7u]i)YO.(qk78TrVcNj[9dtIp&4U]o`+RZo(MkSrqd'!q,pS9oC_nPr;6*`!;l9]s845;
+Jo(/[p%nLWq#'^GF^sA/qXF=OmI0T;p\Ogap\=RYp@e7TqYgBm$2jSrrr;okq#16lneLimq=jR^
+lg&.T?X6E9@pW>ZVqq:MrVlrtqY.Pu&Ff_ks8L,Q=1R\trqQBfq>:0erVIE/VI83ZpA\Z=qt0p^
+rr;rlq"aa_qu$BhqYg3epAt'cqYLHrp&FpWqYpL!pl\!lg%kF=qZcosqXemIrquWkq!ItWqZ$<j
+pOE~>
+htR0GrV7B(s7#]I;1\6-mIRG\D!pcfo(qtXp%e1Op\4[_$Ma?s:WDttp\+O[oCqbL=7u@`npY9F
+rUfp^pA+[\k&"5Qq"aIYq"+1Qq"X[[p@S%Oo^h\Ho_84\s8W)op%J1Vp@S"Qrp]FJp%\@WoDdh0
+>sVLj79Nhq;JMiSo_J@\r;69^o#g_!q#0pqlMp8KpqpN;Zf_;`oD\IZp^d+m>M&Z=r*<[ulhU#H
+rVc]jp\=LYs7lKc&HD7rp?D8Kr;Z>H4a,?IoCi+V$i'JgqXj2o^A@Qtp\jmeq<I\Sq#:)>~>
+h:_bY-e72,h1@k2hqluBQ9SC#fA>-9fAkH<f%Jg7i8WbTi'93&eCN:%g>^fcgAfu.f4.P,hq$Q9
+f%Jm.aB1pLi7lZ5d`p+ce_&X4gXXg*e'ugre(E@1hVm;Ef%f3BhV6fCjk&,:gYUiDh!NS>:,57*
+1e:/)5?E`Xh;$fAhVHo;eG7eGf)aFNrmLborRLo!&D>Foe`5Sg7lQj[jP8;<f[ooO&;*-VgX=tE
+7Ff]=dbNX4f@ToM!7LDb!mf9ArmE"?hpC*.bLb\0khL8+>dr;7f$r3tdF$:feD8X":S-1eeC=HF
+s3^Dcrm;#"eCN.!dEg(bJ,~>
+hYdENs7lopqYU-`U0=;jruJ[UGMN,rq>C3gqYU*_q"agbr;HQj:LiPep%eCZnbb';q>:!bq>:!b
+q>:!bq>:'br;?8CB(PoqqY'OWr9Da4Q2gLNr:0RXq=s^YqYpHmq$d-"s8D`fqYBm[q>0sequ?R<
+qtKa_r;-0]p@nCVq>YnLlJKsVRuql(?t!AWFbcKl_9C@'rUB_Lqu$?hqu$?hqu$?hqu$?hqu$?h
+qu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?kr:od]s2&AW\+fn!s8VunrqZNi&-&kAdJs"A>_W4N
+s7H9io`"[cqu?Tjq>pBfqY1'eqYLfrq>^3bs76$Zs7`^#A\S3?qZlutqu:rLs7uWirV5dWrVHQh
+!;D!~>
+hY7'FrV7<*p$e;DQ1O\KY>fGipA+CVq>0p`q"FIWrqZusp\%3dirAZGq"jOTo(X@%oChnIJn"<I
+q"aURq>9F&:Q>5?pAOR[rVcZhq"ad^rq6cpr;QQcp%S1Po_/%Rrq.Q1q"OCLr;6<`p%A%On*p'o
+<8lHMOd1cB?!:H7A8Zp_Wk-0mq=a=P,l%-/p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXq"a^\
+q"ag^'DM:rq#1![m/Qsq?sKu-q=a[\pA+Ios/TAHqXOScI/WF2n+chQrqZ6^!VuNeq#L3dpCHfe
+s75g^mIfrDnYoJq\bc=!r:^NirUp/3YlFCjp\jmeq<I\Sq#:)>~>
+m+M<jrn7;&rRq/$-ed8+eq6,=io00l5?PVUiS*,EgtUW<f\,':iSieTi&!pDj4;o7f](R<g=b9:
+en7M&gtLN7eD&g%Z8d$ee_&^)f@\a-f%A^4gt1*,f%]$6eC<("e'ljuf`'VNgtgc<e`#EAg=b05
+gtgrOA4+_^[=3UI>":tJ5"\^`H&eJqYPHoBg#CT`ebdhmec+/3g#1]>dH0>]7REHlgtCN>f_O24
+j,H4(h:1IE?f98edFd4%f@ToM!7L;_rR)k7dc&X(i6U'+hq*oM6_)ubf%/@!dF$Cli76[`OPJ:6
+eG[hqdIP`bd0S1Mf$r3sccsjf~>
+iVWiWr;?HhrqR*)nGN'?>K[!Gf3W4Sp&Fabr;?Hlq>U9jr!-P2s7uThq=sIW-N!`<r;6Ehr;6Eh
+r;6Eis8N&rL1(&Qo_JO`rr;b=Ab,lkq=t!^qtoj[q>10iqth];rVHP;IfK-Aqt^3jptW-:HZs:9
+?=./RCjM;tpAb*iqu6Tlqu6V&rVlisrVccrqu6Wiq#16mqtg6cp[n7VqYC'bqY:$gqt^-bqt^-b
+qt^-bqt^-bqt^-bqt^-bqtTp]qtfmL@;5-.n,MqXs7l<arVQNmo>kg]s8Vk(Pl:UVs7,scrqc<b
+!W)]iqXOG!q#:3e_,=7Vp&G'equ$<gqu6QiMjjD?rVHKfmJHkYs7cTgJ,~>
+m.^GOrqHEe"SVTaq"Xja&cD%jnUXHIoDd3=ADlqVnFlSTp\agcp\sjk=B#%gq"OUZnFn:)p\=LX
+p\=LXp\=LXp\4CQp[iu@s75dVs7Z6bmVcG!s6TIPs7-!]n+ZYOqY*;Lp%%ipGlR:/p%A(Vo[p:)
+F)58e;cHh&@;gtHli-JGo_8+Po_J@Yp@nCXp@e:Zq#:3cp&4pjq"jg]o^qhPp\stUp\=Uaq"a^\
+q"a^\q"a^\q"a^\q"a^\q"a^\qtTp]qY0IA>\*!kkksW@r:T[Uq"FIZmD<PBs7u+hNq`>@s6]OX
+o(N1[p\O[TpDNSup[l*m:<)c#qXaIVpA"=Tp[a-)oDSFXrV6EglLt;RrqV'~>
+n_*ros4ID+r7hV4g"4d'e_/[0g&9M7gWnO)CHJKQlFB,QaOfS*gt_n_r7M/*gt_nc#=(B.g=t93
+f&G@"g>1TDh.At5f%8^>gYUo><^P0mce$b+d/MYXg%sDngtplH=^^IGiS3)BhUfB$Dd6=969RLu
+78$d(\(0]tgtLN;f\#$:gtLN=gtLK;hq?f>e^W@2hUgE4f$i'sf@8@%e^W+#g@Nkhf-f8&e^rR.
+d)nRCbh^S(cJRI-dam(%fA"QE8<`#dcol9uf[8U!e(OQHkL07W):R9jet4WQXOZ4ae'ujoe(*1(
+dq3aLg=4XNdf7_cdf.W"daZjteBuUed=;~>
+iV``Ss8;oos7m3"qu68KHeA8UD+__Cs7?9er;ZX(q>:'er;HS$>6"HsqYBpGr##D4s8;VM@/Boq
+s6oj]s.*Gks8Vrqp&FgOr;$6cr&acPrGd,_pAFsgq>C6lqt^9kkfpH*O,/*u>B"\<Jr>tp_:e;T
+rV6?ks8)TlqsFF\q"X^^n`TW>p\Xph#Q">pqY9gYp#u2up\+C[qtK["AT-`,s8W)ur;?Toq>1*h
+en3)'rR,#Zs8)NjoD\[@q\T,$pAXNoJ6T,QnGWCTs76*drVDS7qu$EhrV5dWrVHQh!;D!~>
+nFlqXrqH?arqHEes7ZKes7lWi&bPkmmXfB!n(MDB^%M6hrq?'`p](!uq=jXWp@\)[;Yft[p\=OC
+pDEVsoC;:(>l"Eks6K@Kp5r4CqYg*anG;b@p\FOYp]'hFokALGnFlbSpA+[dqXsjYgVKbMJp_EC
+:1S!_Fb#RJ]$fg8p@7kSqt'FUo]Z5Mq"X^^n`TW>p\Xph#Q">pqY9gYp$)9"qt^$`r;6-T^L1a4
+n+lkTqYBsbq=O@UpX!3^o^p7-Y5@qbrpT^Yg%QBXnFHD?\9_/Pp?VMRlMp;Gp@n3:M"g]=p\jme
+q<I\Sq#:)>~>
+o%F&p"P)2Yg>)\a$Ja@gf@A@!g"P05rRV_3g"Xqk=gm,':Fr?uimZuDgtLK\g&K\(gAft.h?Q;-
+hqHi;g",09(u!g%gXp=.h;d,Ld+d=5HT?Z4hq-]4gstZBq:PPs8D;bPhGRM:f%f-:f@o*=gXt`F
+aK(MPDe<0F4&/ab@VU(BTX`;%gt1?@iRuoBg<8=*f%/L+cc+D`e_/d9hVHc7f@JI#da@m@n^f/>
+eC2t%g""HD6VbVOi8reMf\"s3eCE7(YWef3eZ(Tff[J7&bh(D@eD\gndEBkhbaW!'Nnhq6iQ'Zq
+f%J[)C1u,IeC=HFs3^Dcrm;#"eCN.!dEg(bJ,~>
+iV``Ss8;oos7m2rs82bWN:m4=3fO+8s7c<br;ZX(q>:'er;HS$>6"HsqYBpGr"o>2s8)Sa@HIOh
+q!J+Yh-jFLs82iro)@kNq>:!c'D_\+DKc'Uqu-Kkq=O=SrV69frqud0o?4S-K5PR>?rg68G(tpa
+jT#8Trr<#o"8i)trr)j*p[e%Op\+7OpA+Xbr:p0Yq>^17q>L<kqZ!?jFmSf$oDJOcs8MiirV=lK
+`;TD?A)71YqZ$9hq:PQ[o)Jads3bO]VuH\cs8)Qir;HM]HiNj=qYg3Vqu-Bkp]1&=~>
+nFlqXrqH?arqHEes7ZKes7lWi&+BJhp4\%ZpQ7:er:L$Zo(r+\p^[,op\+=RoiG&eo_A1Upu;#a
+p@S%HnsNeEs8ViXrq"Q<:>u6HrVl3[kkFoHq=b-bp[i':qt'L[q#pE_oCr([nKRVuq>'pel+jBX
+H"1Am=\haqDh!GEh>R0>qZ$ThpA"O_qu6U)rq,^Mo^qbFnalJMqYBp]nbFR0q=j^`rqcBhT1s4b
+meuMHq>:-do^qqMbZ;@JmBBmJrUT[Zo)A=7pDE>qqt:!5@8W`oq<\%Qp%S.Rop'_!oCr"Xq#C0T
+pAk!fq1&~>
+o%F&p%b97cg>(QAgt^W:f@A@#rn7A*rRVS,hUpP#C=D6i*,aikk1A8agAT_)fDjS)h#H495WdlW
+gXt31in5.%gY^]=ImV6=j4hl?gq5j/`T,V.i6U0Ag%j:sfgjcKi8%10iRuu@gtLB0eC`R.f\>0<
+i8`h\d&N:O?qj9`5;b5^<Fop2_rKY+i9'+Pe^rO0g>:fIh:']se'lald*gIsg">N?-e?ere_Am6
+f]7W?<6NeSdb3:,gtC3,f[Ho\SCPoI4gj"ie(E"$deVDNdMU*YgXkGj7lQ4YgW\?udb!.'eTFpH
+d+$SDdf7_cdf.W"daZjteBuUed=;~>
+iV``Ss8;oos7m3%rq?AMErY0!@dF'as8VZdr;ZX(q>:'er;HS$>6"HsqYBpGr##D0s8Du)@EJ9C
+q>^<kRp;K`s7H?koDedRr;$6br!rc&DKl-[r:Kgas8)K`qY^Bnr$_C?qYU<mqY'U4`N"uHDdH7O
+@TZ]NRBs=$qXsUXo^hhIoD&:as8Moprri?$rqlKcqssP1qtTs^qu-Nmqu<O#GkUt2qYC!br;6?f
+pX!TRs7!.%q>^0fr:^0cg%uTapAb-Zs8USk<lk%*s7Q<fqu$AkE<#\2qYg3Vqu-Bkp]1&=~>
+lhCAOrqHHf)#*atp\4IXq>'d^n,IlKpXW#CjnnB?s6TUVs7d*"p\4CTp%;Baq=OIVq"WkC)#!Lo
+o)#Ro`V09'qXjfL:m1hTn,<+Nr:oONq=aXY8+lcLAo[\Bp@.bPr;$'Zp\apbq=aLPo(;PDqY0UJ
+m`rPALimB48R>Uu:hc)oYl=Cfo_%bDo^;5AqYpKkq#CBlqu$?dp%\=Qq'Z(9q"agcqtg$bT3-+%
+me-8Hp\=LVp%Ipu?_RM_UgN`jo(r.Ps7G"=)>Wk'qWRnXc>QRto'HDHq"F@Rp7uL(oCr"Xq#C0T
+pAk!fq1&~>
+n_*ros4RG+%c#prgtLH5e^`:*gtLK8rmq\5gsbD";WkqV7*Xc>i9&JdgAT_)fDjS)h#H495WdlW
+gXt31in51&f\tWHPX2>'iS*5Dk^#:8in`#>gsFp3l.PmbqUnZugZ7'a=5_rje(EI3g=Op.i8<ML
+h:^K4gXk*7hUg6+[%rOr>>@=76pWai:O&%di7?<)eBlOjc-Onmh;-f:i83;Dh:gQ3g"4p/g"4pG
+f-]%te_/^4gY(M=5$-:egXk!,f@SU(f$UK_K&Oe)5LJ-0f@A4'dJ;;NdM^QZgt0^+ij;]BV:*TF
+bgk:rf%,LIhU'd%rR1_no$[Nb#h%5ReC;mlc-_%~>
+iV``Ss8;oos7u]p%J0UK>lTOIWrMeio)&I`r;ZX(q>:'er;HS$>6"HsqYBpGr##D1s8Du3@(,e$
+s8VN]??u,Aq=ajaq>^<Ur;$6cr"&f,n8<ROs82iqqt^$bs8W)q2#@.Jrr2fjrVZ]ms8V]`p\Fda
+leAb4G@Oi\>[UZGMo,#as7cKls8Mfdq#($bp\4L\r;HKinbWLcr;-3`qu6NnpB1Gd?]b9e(Amn%
+qu6Ngs6"Kqs7DL`s8)Qkq=ajag%tgLqYp7&qYU-NHX48]rr2QeqY^?(E;ob5qYg3Vqu-Bkp]1&=~>
+lhCAOqtL-as7cQgs7m3*r9XE':[iWmV#KlVm.UJUp](!uq=jXWp@\)[;Yft[p\=OCpDEVpq"+Ho
+>-d_gs8V<P=)[=!o^VeMo`+UKp\FOXpI>#CAp!hEp&+[]p@nIas7Z0Yp%A(Rq=O=Qp\FOXqsNtE
+o_A+Aeuk0V?<1'->>nsb^$Pdso(`+\q=F+Ip\+7Mo(;YMq"jaTp]C9hqYp9hq>^"+s-QoFq#C3c
+p%A%Sp[e4>CR+kaMHfuOp&=XTrq4t=(Adaso^hbLp#(!q[eKXpnFcDHppFo6rqHBds7tsS!;QQh
+J,~>
+n_*ros4RG+rS7G,!87A');<m"g=b02fAPK3jBOh*AgiW!f%\X+j4`5ag&K\(gAft.h?Q;-hqHi;
+g",09(u![#g>ehmRG$3Ukg7mD<mTXRe(iO*iRd>Iq:PPs&DGt#d8*s&i7m/Fg"4m3i8agh1=t44
+gY:B3g=b<7gtpH-e^rR.agmOV<C&W)3^,DeAt@0(gsXj0h:^9(e(<7'e^W4'rn7S0g=b35g=c#J
+-ed5(f%8R.g==a7HTlB)jP8A:eCN=)e(MQ2G2CGY45&*2gX=F&deVDOdK%hsd1Y!]g"=2F3gSCL
+e]lXqf%?6\fDa:udf7_cdf.W"daZjteBuUed=;~>
+iV``Ss8;oos7m3%s7Q87D<430p\jmes7--cr;ZX(q>:'er;HS$>6"HsqYBpFr"oA4q#7s9[K$9o
+s8S6\`W,f3s8D`ls7kjVq>:!c(]O<kD1DH^q>^Egp@\.Po`"gfqu$?jrr2p>p\jdarr<#ppA4gg
+q"Xmhou<8NNcoJV=]oX$TWH/rrr3#ur;HZqrVuonr9sL`q=spb*rYj,s,^EYrVuorqY^?jp\k,5
+VY:%8EW5b2s7uHhf_ZKYs7l3crUKaad;W<poD/F`r;6H7GjGD.qYg3Vqu-Bkp]1&=~>
+lhCAOqtL*`'_hCtq>'d^mdt='eMqI:p[\1[m/6_Ss7d*"p\4CTp%;Baq=OIVq"WeA(A74l[p638
+rTX@[MbLb]p%J7WoD/@Vl1b#Iq"I8Lg1>R&q"+L\p%.hKo^htVq"XUYq>:3irUfmUq>(!cp$q_O
+q=F4Ss7!jdJ;J8`@T6<@LRY3Xiqi]Rq=jdar;-3`qu-?bnbE.]!VuNhpE',#nc+GES+upZqY0a[
+p[\(SC7XbeE,57@q#'gWqUkNQo)A:MrV5aPs3,7ZXmbr\rq-Ki`,k,=p\4X]s7tsS!;QQhJ,~>
+n_*ros4RG+rS7D+rn7;+(>@Hpf@S[3eCn&"`@"a?h:UZHcemI1qq;#$s4[M.s5!uG45\cHf\+j7
+fb`DufA3&eR,[2RkN$V<U>a_VgtL<5hppuEq:PPs'AD9t_bORnhV$lCf$r7$e^WC/gA]b[gYCcD
+hppH0gY:ZBf[SR0gt('4j3sfF@r#"<68UMjB7#E-_V3r(g"G6>hqd&AhVe4`!86qps4ID(rmq,%
+*o#5pjDR&0gYLW;f%8U,db!/FIa6VD9@hM@g!\:"pse9N)9pj^bh_!ufAs)/2N#`*g""a*f;)?`
+f[SFLdf7_cdf.W"daZjteBuUed=;~>
+iV``Ss8;oos7m3!rV-&'Fe2COs8Vuqs7l9`r;ZX(q>:'er;HS$>6"HsqYBpFr"oD/qZ"6B])Vfh
+s7''CrqZEis8)Qkr;5aVq>:!c$NKhNE/4;hq==4TrVnkUq"X[Zq=j^Zo^MhNs7cQkq>C6js8Vug
+s82Zls8;WbpAas7U5*r.D/!QrJ>q9"oD8LeqtU$eqY^ElnGE4_&,Z5"qu?9]s7LnZYjM5crVl[*
+q=jo6WVH@,Nr/\Nq>(!crRq&ap&G!brVQEjpA3<N?,5q/rVucld=TgGrVHKfmJHkYs7cTgJ,~>
+l1b,Ls7cKc!;HHe&+]Pcn6fpi6Gid!p%eXZnG;nZp^[,op\+=RoiG&eo_A1Upu1r`q""%P[pl`C
+s4dJ;9n2p.p%eOYo_S=Ul1b#Iq=b9om`oKso_A%Gnb<"]s#BrOq"FIUp\+@OnG;bVp\t!\p\FU\
+qtBLTp@\7Yp[[kCr:A%#JT576@p`bmUX\r&oD/4SnalMOp&OjVq#:("q"OOXrpK=Sn9\iLlLk)O
+rq6oqnG7'rn+'tEp%J1Rp%e=Wg%QBSrV?'[p@SCTp!@)L]^,Ulq=XF)IEq]`p\jmeq<I\Sq#:)>~>
+n_*ros4RA)r7q>+rS.D,rRh_3gt(%N<IQ['k2>"LjOVfYg&'D$gAft.h?Q;-hqHi;g",-8(YmTp
+hk*N4kN^%IdkbRif%8[5f@Ja1f]h)bf_X86g>UYm;.nV>g!S=%hW!SRh:C0SeM#:pg!S[,h:gK7
+gtUZAg!\^0f\G?;e^Mt%e#@_';+3uB5=A\-[+E[Xhr!/>g"lM[!8?qqrn7n9f\"m8d+$t%?;$=%
+f%o*[fFZW_h,8mReOF6$e()mpf$i4GeD\gncJ$jrf[eR0e((Zf2OVYDfA+p,XBhmYeC=HFs3^Dc
+rm;#"eCN.!dEg(bJ,~>
+iV``Ss8;oos7u]o%Jfa#>Y/i5mJR"am/?t\r;ZX(q>:'er;HS$>6"HsqYBpFr"o>+s8TuR]D_L(
+s/p:\qZ$KlrV$-fp]'LUq>:!c#QOGDF,p1uqu6L:qY'UUq"FLYqtp6cq#:*hnc&.Xp&4phq"Xdc
+qt9pfq=ssh(]FC3p&G'\ajS&(MfrlNCj:o<_:7TAs7uTnr:9^eqYU6irVRc9n,MtSre"Y2m/I"[
+q#(-hredHMj(+YWrVZ9`s7uWHq\T;+q#C?gqYU3jpX*5Xo_&4`qt\cu^\n',rV5dWrVHQh!;D!~>
+l1b#Is7QEc!;HKfs8!2qmn6G:@K5Naq>]XQrVH9gp^[,op\+=RoiG&eo_A1Upu1r`p@.qY]k=bI
+nc&?_BYa6=p\=ORpA+:Vl1b#Iq=dDZm)a%!pA4IWq"a[Wo_%tPq"agaqYBpcq>^!aoDJ:XqY9[R
+p\=IOq"jXSqYg9bqtBLSs67GF]V1$uARo@lKqc0'hXUU@p&OjXp]L9cqYL0d+8G.$mI^4'>h&$8
+qt0LSq=XK5RJkiDPkOqJn+Q_Qq:YK[rpo^[qXjITp\aU,=CUdip\XXTd"At*p\4X]s7tsS!;QQh
+J,~>
+n_*ros4RA)qqV/,s4dV.rn7>-s4@]=4t9Cmc.q49b1kkQg&'D$gAft.h?Q;-hqHi;g",-8(Y[Bs
+k+tkGiS3SVOA;V'in<&>e(EF)h<EVgf_X8+g?$kj<,ULLrnBTif[eU(f[SL(g"G$0f%em6ceQq%
+e(`^5f%/R0g!e^3f@Jd9gt1<3ce7:!UTBu:APbf`86'G]TX2SgjS@R2g@Eo!f\,$6r7W49jNuN6
+@6_0Bgt^K2g"Y05A:3=K5'PT/e]cLrdan6DiR/UucdCIudFHaug!ZlX5L%L-hUU)ZA!kfreG[hq
+dIP`bd0S1Mf$r3sccsjf~>
+l21_Ws8MukpAY(&p\t3bpA+IRs8;Lm<a!lLoDJXc%f-#!r;?NlA6o68rq?-eiVX5dr:U!f>*AaW
+rVg\do_JOWr;QZpr;QTWr!!&JAXrVnr;6Hgo(W4\o)&4[8H8P^rr;Q?^O9s1ARJnqVpY,9s7cQn
+rV6Emq=t!ipA4^es8Mrnqt'X_rr)`ip]'mcrUBjOK4X3An+l_Qs7H>[M#G5.X8L-;&,uJ!r68Sc
+qu>m[p%WX[p&4acq!ItWqZ$<jpOE~>
+l1Z%_qtTpUnGW:]n+cqPo(_qHqt9;M8P-npo_8@[%f,knp@e1P>ZL^tqXaI]iV*l^p[InP;Mt&7
+p%E!Fn+?SKp\ssfp\smNp]'mkb?^G+o_%tQqtL0eoD/I_o(W4Zq=[ATo^hkSm*N7cAmSeH=a6U^
+m/QkMq#'jWr;?3YqYKaTp\Od_p\+=Ko_J=Xp@RqTnc&CPs5ni?iqD^1o(2nKr/cC!\RVH/b4cME
+p[S%#>A<j0iW&B<Dpn1Mp\jmeq<I\Sq#:)>~>
+le2<l(t@O&hq?ZFjQ"nLjjVc6f[8R1eN,ZN[+tT5rRq/$s4./$s4[M.s5!uL52tJUeC`U9fam#o
+e(iqGGMh67iD3q2fAH,Orn@D*rn-Mh$JO7kZpoGsg=t?8qq1u$o@3imn_*`h8D2MAf\4QRRp&KR
+6pEnBL9T+ghU^QCgt(B?f@Jd6eC`L2hV?i<g!SF,gtUN5eDJ^3gWnj"@78)fcI^UtimH\,A([AD
+LXu%GiR7YR'[kLZf@%spVDq&pho+L"dnd0meC=HFs3^Dcrm;#"eCN.!dEg(bJ,~>
+l22Cls8Vi\p[@SAs8;E[s7l9`rV>\d@>"IUoDJXc%f-#!r;?Nl@9NO&q=jXZiVW]ErVm42Mu!AP
+X^8pFs7#RVrr)lprqkpW"T?bZSGN-[rV?$Z!;Z-]q>C9h)ufm;qXa[LcaT-ZAo)7'H\e90kl:AV
+s8DZcrVlg6qY0^YqY^BmqtU!ds8Vres8V`ks42F)gAV$XpAFrUMYa2Y_u.XR%fQ,!m@S<WnGi%Q
+s,";WrVHKfmJHkYs7cTgJ,~>
+l1Z%ar;#mGnEB-%qtB@Gs7c0Zq=3EC<-.L$o_8@[%f,knp@e1P=]+n_p%7tRiV*lJqYU*`<eKr9
+qk[?,s8VETp\ssfp\smNp]'mkb$:8)p%A(RqtL0eoD/I_nbDnQs7AbTr;6-Qp>O)sNGDm4A8?:<
+Qb)/Pnb`@]nacJRrqc<YnalGJqt]sWo_JOep[J4_nc/X<FC3VtqYU-Zp%XGqn=3Rmp<!%?q===F
+RqmlFs6K4TKXL7Bp\jmeq<I\Sq#:)>~>
+le2<l(tR^*g!SX+e(*O9dFRC3f%Jp6bX4a.h;%q^rn75$s4./$s4[M.s5!uI3o&?>e^rF3fal<^
+hV[9XE8KX=O?]N"j3@,Irn@D*rn-Mh$JO7kZUK8qgY:H9qq1u$o@<lmo%Efhs3sKigtU?)g;g@^
+F&>A!8l8c)IA"X=eDB6?eCE=3iSE/:eCN:+hV?f8fA,?Ff[8[:dc9Ap=$jIUh;6u;g"^OXeU]iT
+f(.>Ldf%\pdLssUeBQI^GXuPmj3,j/A<P-ceG[hqdIP`bd0S1Mf$r3sccsjf~>
+l2:S](AICen<RgAg?-Vo\@qq@q"2m6=eG`moDJXc%f-#!r;?Nl@9`^'qYg?eiVX5Ws8VinEKL4t
+s)s4hs8Vf_r;QZpr;QTVqub>VSGN-[mJ5uC+T;<<qu-QprVHBjs8)BX_Ol3j>ukNaTtfjls8)Hc
+qYgBm,5_37rVliqq=F%Qp\t3cq>^K:B5IGErqZToqNHp7KN[72b52_Cs8)QkkESo(s8VopCnLb+
+qYg3Vqu-Bkp]1&=~>
+l1Z%pqXNq7l&T>$dbr-W[(QG7o^'Uj9TSl?p\4R[%f,knp@e1P=]>(`pA4[]iV*lOs8)9[BncNS
+rbd8Qr;Q<Xp\ssfp\smNpBgNba]k)'p%A(RqtT^WnbDnQ8,2oTpA"Rcq"==Vqt9FE]pa.V=A`IM
+S@[e]s7PpTp%\IarqlE]p@e7Uq"4"=qXj[`p%eXf`FETTs7u<ar:>btms7d_p<iU7pAFXtq""CW
+p&F'69SW??oD<0is7c9dq#C0TpAk!fq1&~>
+n_*rrqq2hGi7Z]1f6pM.]?%(HR@`Hqg"!Ag4G)YLrn@>(rn%(us4@;)s4mY2#=:Q/e_/^4f&>9m
+cK!a4i)Fdbhs=K[dbis1n_*oqs4RD(lIcNugYK/'I+m?0g=lGWiRdkU8(cMIf%Ad:gXt07hUp9&
+TRC!74#B<.J"=X?jOhu7f\><BiSN8>gt^`BgXjisgXY$5e(<R;W('G5inW/Bi7Dj[e6b&Ff(.>L
+dM^QceC;podEg%gd*UUaE%G_Xgsb"JGi.$#rR1_no$[Nb#h%5ReC;mlc-_%~>
+l22CtpA"Uds)p;$gA:!E6$W;&q=_<n<4hr(oDJXc%f-#!r;?Nl>[.7'r;Z`iiVX5cs7Q!`K7X(&
+l?_+[rU^'Zr;QZpr;QTXquluqcXE=>qsF4CqZm-#rqZ6[pA"X_+oVH>pAa[Jk0'6;CLC@UFGd!H
+rUfm_r;-9fs8Mifq"t'irtkS*q#'pYp]&0@G5^k-s8Vk_Oo0?3oDHc.&+oo%p&>!BMc[=`m/L[g
+rVcTkq!ItWqZ$<jpOE~>
+l1Z%jnFH>QqJS#^de)M-4a6bqp$T%M8#ttLq"OX[%Jfbmp@e1P<)`Yaq#('JpCI0$nEp(!FnbLa
+Dp\1PnGi%QrqQNfrq>UN"SVH-=dB!Zs7cEcnbM_Mq"=sgqt]mRnF?,LoK;pGq!n4Ijl+4FEFrEU
+?#PFkd.m)$p\4@Rp\OXTn+$,Ir;Z`jo(DqUoCr:#??5i*q"jpYOGECB=mYk1p]'scp]("#nc&IV
+qZ"rt:p0KRrF),ip\4X]s7tsS!;QQhJ,~>
+n_*rrqq2hAf%T*Ll<bVp^"g`",$E^Tg=MfJ2kJaYrn@>(s4@.us4@;)s4mY2#<b3-f\>6<e`#0l
+g>UK/j(N#ej3Cr@gY1!2n_*oqs4RD(lIc?pgt],#HiDe"gABR^fD*oeg"Y30d*U1jf%8L-h:pE7
+cH*o&GZ76u3C$JUKsTO^f%Sj1f\50;f[\U,gu%,Jg!S='f$W%/UHqo7bhLt3eTG][:d34Vo$lXH
+s4/"9daHOhccFYfbLbXVAi#S"`n`q(f$r4Jdf7_cdf.W"daZjteBuUed=;~>
+l22Cpq>^KnkAs^dqZ$Tg3g'"-s89,uAF'9ooDJXc%f-#!r;?Nl<EB.qqYL!ZiVX&YrU^$gNc+Rj
+S"0KX!VH6Yr;QZpr;QTXr!*,rc!Qt;r;?Hjq=4@Pq>'kXq>1$grr)]hr;Zfnq>UEks8W)qp\"=\
+h7Ai"D-gRbO0$q+s8Vujs8N#ts8;Tap\sjVs8Vfdo)GR^H2m=0r;*CUrd'+jr6"mIq>C9fp&G!I
+Chqf*r+2)`rVHKfmJHkYs7cTgJ,~>
+l1Z%foD\RZi+l/Fo(rCV2N[J#qt-jT=53KCq"OX[%f,knp@e1P9htNUp@n=RiV*iUqX4.VK44!;
+O-0;9s7,UQrqQNfrq>UN$23r/=-`IPp%S4Hq!n1UpIP#Pq>:'cp\+F]r:fp^r:p<lqtTgSp%d7H
+NH\u9=Cd5acgUf.o^MPFp\k'`naZ8Kp%&._q"F.TU.TM+kk4W?T8<,YG4P@Tp]'scp]("#pA+UX
+nc/C;ARs?ipL''Np\4X]s7tsS!;QQhJ,~>
+n_*rrs4RD');3Zqk2YOL?9iYhionr4FOf%%h39ZbcK<p[g&9P$eIg9\f@Sa1gt^cC2E0OHg"=s*
+iRnalg!JU;EDbKTIt-M;iR$0Gg&B_*g&BXhfa?HggTEeggYCQ;g?[G^fD3uge^iC,g=b'-f\G<6
+f@o'4j5/SCe^;t&]:!_G9KbR3DMtpQio&PAhqd,Kj4i)5e_JX#gYL?.dGp!8=ldl_gY%="gK.\3
+f(.>Ldf7l7eC)dmccsY[e]uIqfXXOC[GBG"Cs:DYrR1_no$[Nb#h%5ReC;mlc-_%~>
+l22CurVuWb[TQJes5`hOCXr1Vs809*C&e53oDJXc%f-#!r;?Nl?<@(%rqcBaiqsAbqYBpdr1\W>
+eo0(<s7lWenbiCbs8;lnl21bbqTN98r;?KirV?!\nbN"W"TJ;nq#(-k5kt<XqtKgXp$DPTs8Drq
+p](-es7+'oI!'78BS3\Vs8VujqYBpcs7?9io_/1ZrV,m[N*;\MrV??#OnXC$q>AD4&-)D$s7uHf
+q4LZRs70]Rs8Dfmq!ItWqZ$<jpOE~>
+l1Z%pp\OCIY#.dEs5*2?B@QYLrU[3`>k.[aq"O^]&Gc+sp\4CTp%;?]p@\:VpA!YA&GZ"qp&=TM
+E;[ddanYi-s7PpVrqQNfrq>RM#kGo7Q1jqEp\4"KnbN"T8Gi2Tp%eOar:Tpaq"41Lo',oKrVHEf
+o`+RTq<G\TF`(bq@=53:s7c$PoCDGIs7$'fo_/1\rq#RPLfBW=p[[sZL[B8Qo(LN+s7ZHdrqI*(
+o_A=Vo_8!G9ToGC?\&+Lp\jmeq<I\Sq#:)>~>
+n_*oq!87>&)!'N4h;"\n4NHa,f&'02g>(]ERQ+"%l.l3irR_"us3q#"s4[M.s5!uF38E9Ef[n^6
+faucdf@K$=KjaA];RbWFf%naDg&B_*g&BXhfa?HhgT<\egt^Z<g?[G^fD3ugg=Oj(f\>39eCiU.
+e'c[laO]8(g"P-0j4`2Dd%keg<(fPJ@["mqiS)l9f[np>dGWg.db!.,f$iDk3dTrEf\2U.e6RUU
+f(.>Ldf7l7eC)ajc-=\YcdgCif@51$EoG8-?/!fXrR1_no$[Nb#h%5ReC;mlc-_%~>
+l22Cup%nRcRoEAZiQ(W`VYB]]r;"iVB`J&0oDJXc%f-#!r;?NlEEVr0s8DfmiqsAbs8)Wmo!j)4
+OIc=Jr9s[anbiCbs8;lnl21bbq9!!3r;HQjrV6HjoDAUcnbN"U(&e"&p%A(Sq"OR\s8W)us7lNg
+o'lGRs"F0=q>L3dqXW",HY?r"@Y:2np](9gqYL6kq!mtNq>^B]s,Lm:q#(!+O6M&)r;=_7&-)J#
+rVuZcpum?/ec'ZJo)8F`q!ItWqZ$<jpOE~>
+l1Z%on+?8PP>"[:ftm.HUA"0Sq!lR5>OV(TqY0j]&Gc+sp\4CTp%<#rmdpJTq>K=I&GZ8$q#'EZ
+Dq]`'nb)YCs8DK^rqQNfrq>RM#k>c3PkOkEp\4R[o(N.ZnbN"U8H&DYp%A(Sq"OR\s8W)us7lNg
+o'lGSs82?Qo(M_HoBXMeFCAH[>Bl:GmJm"Rp%SC`q"+1TqZ$?VqhSh$o(DUbL#6pVp%Hi.s7ZHd
+rqI*'p@\7Yo^MJ2Hqhr_Dhd]Sp\jmeq<I\Sq#:)>~>
+n_*oq!87>&(ua$#iU;Le5M<uUf@>Z1f&,<=[nKHSi8"7`s4@5"rR:eus4[M.s5!uY3n2jBgY1EA
+fal]jf\,04RpXE]JD];=c/.sCrn@D*rn-Mh$JO=iX$1jbh:pZ;qq:Po!86noq:8*kf[SC!e^i=#
+eCWI0g=tK6f[e?leD&m;f@&=,g=Y*+YCKeH6UF(JH`,BUhq$H4h;$T,d+-e0h9b(t9<$Rufq<0$
+=ddsoo$lXHs4/"9da?CcbKnAUe(2pne&5TFYLu]]bLG&?df7_cdf.W"daZjteBuUed=;~>
+nGE:`qtq3.q>^<aANa(aE01,"li6YUpAOfFG5hO5r=Jo(qu$BjrVunG=R5PXrV?EMr"&Pus7<lu
+JSOHJrqQNkqu$?i!W;omr;QZpr;QTXr!NH!a]t;5rVQNir;?H^r:0[[q?6Nfr;?Hkq*4oTp%eIY
+p\ad]r;Zfpq"OX`s8W)rrr<#sqZ$QU[>n[!>%`/Och[V6p](9mrV-*WrVc/DCXrI\a,JhraT(c,
+3VrXLqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqYg6_rVcWmrmbh]q,3=Lqtg3f
+qX+1YqZ$<jpOE~>
+l1Z%joDJ4J>r>BABSuiikPt2Lo(DO%C%Cogp@eIZ*r,L'p@\+NoQ![alMUDLq=jXWp\+@Tp\+@T
+p\+@Tn+R@`p%dgT5]^,`nb2POq=s^]p&Xp]qY1$bs7cQe#kdobp\+@Tp\+.Os7Qch_,QZnp\"7S
+p\jmdpAjpZp[S%SpB:*]q>'gbp-ScPo(MhMo_J.Qq>C0dp%7qNq>0jYp\Xm^oD/.:Y(p(T:gJ.-
+aRoH#o_nacqXjCFp\3m,ABt&B]n4^J^A@Qtp@J#"q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"OR_pD*Jtq"X[Zr:]aXqY0g[c=NX?9oJW:r:g6dlLt;RrqV'~>
+n_*oqs4RG(*SK6$k2>)m.RAVaFQ_l3k1JMAi7r3QkiCUSgtLQ_gAT_(fDjM+g>(QArnnQ"3R#t5
+h:UN:g>(E;g>(E;g>(E;g>)2O&D>Rcims_XAkgS0iRm&Ag"Q>Y!SZ?*gAfn9h:gZ;gY(B9gtLQ;
+h!s)+gu$ng5CDAGgYCN:rRq2(!8R5#r7M,&g%a1pecaFOf\"gTeO&$>cdUCkdFQ^of%Ja-daQk&
+h;6o>gY^rCfA52tP&!6?2ageqXOlCYe_]*8g""[$h;-@n9!mO/UhRD;V;BkSf(IPNdf.`3da?Cc
+c-4PZbgb7og"N]%J(?2ee(3+KeF:ocd0S1Mf$r3sccsjf~>
+nb`Fbq>:%2qY^BZs%tpoMd4d*s7--[qt'[5Q=`rf7oWf%Aor?Brd@:cJ:iQ2U62==R%&8TAlX3#
+b.sR@PaJ2M]"G_k^qmn*`5KR2`kBL8i8!kts82Whr;6Hms82fqs1W2NQiHjVs7H?gqu?!\rrM]j
+rr)lr9)\\fqt0dcqtg<bs8)WmkPtAUqYp$bq>L6jqtpEnr;?TpoZp[<p%\ReqYgEirVu`lr;HWo
+rVZThs8)cqpA+Rbp\"Iar;-Birqdl:rVc`mrVZHcr;QWmr;-6bqY^<gqu$Ekr;6Bkrr)`jqu-Qp
+rVujPr;6Nmp\FjhrV$9AYFU;S=_Mo9]BT:lrVuoiq#C-E[:\V%_47uQs8N#rqY0d_rr)Bds$Q8T
+qt^!_q=jpep\+LYp\"CYqtKp\qY9p_qt^$^rVlinp@.hMq=sg\q"=XarqcH`p\=U^JRe"`HiO-C
+n,34Ss8)-[rVHQh!;D!~>
+nFltYp\ae.p%JFHq+!5KK2g.cs6]jVp[@[rM-3&+3_<7L>A8"krc/6bFa/4[RYdO5MaCrt<(1T9
+^U9>oN0'L-ZF%$K\@K2_]Y(kg^9temf[T0Tp[dqHo^hbPp$VAFpomstM=^*(s6f^SnFk`7qt]sN
+o`"O`p+Z13s7>UKq"+(MmJHJGr87PEp@S.Gs7?!Yq"==VqY'XYq<Q$sTC).DqXjLWp%\I`p&Fb"
+p@\+LrU]j_n+-)Ho'lDMp\"=Urq:O0q"X[Yq"OCOp\FRYp\"1Np%S7Sp@n@Wp\+=Wq=s[VpA4^`
+q"FFUp\"1Xp@.YKr:]UVcD[%V>#JdGKsBP,o(2_RmIC5HeZ2s2ppQ<dAGu8uqY0XTq>:$Vs8N#b
+s7uE^qtKmcrUop\q"=@UqYBp\q"Pa&q"jg_pA+Ucrql?Xp%J.Uq"XRVr;HQjp\japoQjd'B6="K
+p?;8IlMgJApAk!fq1&~>
+n_*oqr7N1Eh!3;P4"4-J5IfA/dcT*8eD7QY8Mr1N2*jK!<EiQ(?;4d8A7fM/FGG-gITU>W3*r_h
+Tn%c>H\[iXT;&'VUo1)hVl6JlTWG33^XV#thV?uFhVdMSgYh;]UJO:+jkS_Xf&,9>k0<,SkN(1Q
+ro!h8GM_0@hV$cIhV[;Gk25%[b3[p?g>:6=g"kH?gY:ZEgt^lNg9j/(g=t]Kg>(K9gY^Z<gYUcB
+gtUT9j4E,Fe(3.,e^N7.g">$3f[eX*f\"m.f[nU$f@ed.f@AC#e^rI(f%8R,f@JO,g"=m+f%Sp8
+gY(96g.9lJiRu]1gu$f5hm/2e?p6P?;eqc?g=b3=hU0m7e[^i1`8@57Q;6W!gtC?/eC`L.bMUt)
+a4f"icdU7ff[\9nda6:bdF-JBd/MGldL"7IeCW=$c,n;Yrm;\3c-4Yce^MmkcdLFt?9cM'=5Dfe
+bLt[pi76?Kdf.W"daZjteBuUed=;~>
+o)/ObrqZNis7d`5s.iM<h=OnIs6faWpA"[de8h-a5Z:fi=^YrV?".;Sram-]A5Q<D@9Hr:BLQ!:
+:eGJ.;e9-0:f:(`9N+njr)Q6g:fpV'<*s$9<E<:/?"%DiAor<LNadC%_P*O1Y+L?:IZB&IS'/^`
+\?N3F\[]&N\CC<Rn'/B1s8N&ue`+XLqu6Eiqu-O0rV?0\q"t*b^LXhRs7l?[qYp<gs8;]m')MY(
+n+-MYo(E%_q==F_q>C0frV?fsq>L<jqu-BbrVQ`qrr2os#Q4Goqu-Qgqu6UPrqQ-^qYU3grVc`_
+p](9kq>C9krqu`ppscBgARf_,Lq<0Os8DZhs5\'Js6>PiRIBbCqu6O,r;-3aq>L0gqtp0cqXj=O
+p%.nVrWW2op@e7SqY(<kp$qM@p\b'fqYg6iqA8YkoC_kRr;ZQl\lZ%CHiNL3s7c?gpAaOWrVHQh
+!;D!~>
+o(N1[p\OY/oCDPORn.MIlr*KSlLsoDo`+U.AW]S=7SHQN;d<L&<E<3#=WCOH7S.#f8PMKM0h#//
+4^V)X>Z"$^8Oc*88kVkV9jpdn85Mo\9NP=n9hnSd<EWUA<b,ocJ6$WH[[<>aVO)XjDLQY`Nk`'/
+Xf/2#Z*:@.YKQD3k/=Ibq"=CTbh9c,p%\.Qp&+a`q=jLMnFH8OmC$6%rr;KVlgslAp%n@VrqHBd
+&+fhlkj/$DlgFcPo'>rCo)A=\oEb-]p\=ITp[mtRp-n`Nq"ajap@RtLp\F=Or;Zcko'Z/Bp%J+R
+p\<qAqY^'YpA=RXp%J:Qb+`]V=(Q2nX6/gEoBc&Jg15C(hgoa,jQlI5rq[9'p\"7RqY9s`q=aX]
+p%%kNo_8@b"oS2jp\=LZp^-cio'l5FrVuclrVHQk(\.(gpA"L_rU]fj:o@K=qW@MOnFH>BrTa+W
+q#:)>~>
+n_*rrqq2G0f\YkM3Fp1`4l5;Hg]#k<jl!UJJNY594?bkp9M.Q=7S!GL*(WRV2c2t*6TRpk4&%L_
+9gCU05W:S\2)@!J3]m:&@66V04Z>ei6q':#4$Q%u7S?iR<Es-Y8n<CLLOu"VJ7a:>EFsTIYG\+a
+Q'If.S!]G3]&)`&Z_#\0jQ>R9aK4FXi7m/FjQ,:YhqQf9g>D;SVbEZKm+^1Bg"k64hV$cbi;MLF
+g#gl0ceRU-eE#cEce.%(f\"aQe-OURf@\[)f@81Gej\3Cf\,'6f$r1!f@eO$gu$u@da$@le^i='
+f@\-kg>(9.f%\m3f\,04Z&)CG5u1QmQHn"9f[8=3_+S(na_P()d+$\#rnA(<f$r7!f@&3ue'QRm
+c-"AXbg6:?"k:rGcd:#7cjA+Fb/h`Pe_&@"rR1_p(s0qEcHt"if@AZC1lFP"hTFR5eCNC'i7.AH
+rm;#"eCN.!dEg(bJ,~>
+o)/ObrqZNi'`[Oks'8*^mHff-m\g*Ss7lNc_f5VT.eN8tl0n<4h9sg(f@SO"cHEo=`PU!cq>^ER
+_Q^,7`ODb4Pa7PrO-Goqrg3YNB:>*SPaI>dLj=2gI"-["Mj\pMKnH"0KOeq*;I3j:;clst?!1iL
+@V]CP<Es!A?"[58>%M8P>ZYKEASG(U=C>9;Am&beE,9ZBFa8b,R?*kd>`ukA_U$Zjn*g#Ns8Dlm
+qYL*erVca(qu6?/F11fBs82`krVm9)rVQKjs8W)ts8W&sq#L9iqZZopqYC!crr5(Zq"=C\s8Vuq
+s8Molr;Q`rrquZjr;?6fs7Q0es6BXM^n?9j>[iDY^ukFls3##Vs'g&*r;ZNer;HQmqA92,r:0gX
+s8Vrlq"OU]rVuTfrVQ?^q#('grqucq%/p(up@\:Xp\+=Tq>1'i'E7t-qu6Wg=_qDqr;ZBgs75RU
+md9oMqZ$<jpOE~>
+o(N1[p\OYOqW@2F<'?<'jFm-gU]9f_o_@jdA,>rtkN:a[jQbaQa2uNKbfRlB^pU\^[(t8Uqs2\;
+US3sdYFgo8Nf8gMN/`ksO8k5iP)YW`OFi+8EGoc;GBeLcN,F)hG*,sQ=CG0$<a8Ts91DEJ9NtLu
+?rfur<*EL-?Va3j?!UN2:L.(.@7ss(>#SL1;djKWAoDa/F+K@8L6H^XM71.0a3*3$kj\HDp@\(L
+oCV_Lq#1$ao_7jhCp3=-q=O@PqYL*cq"OIS#P\,mq"Xa`p\saao_nGNp@\(Lo_/+XrV5sPnbE.a
+p%\CYp%7tQs8;Zcp%A%PnGN.Nnc&4>s5C>LG$.XBH^(tomeumq>GCgmBRTFNnauSNp\sh%s7?!P
+rpK[^q"XRUp\F^bo_A=Zp%.nRr;6Ki&-)Y-qt]sXoD&(Qo^qhNq#::-rquZhq"ajU;IrpUp&FCS
+s6Jh@kj%mBq#:)>~>
+n_*rrqq4<lbh)2K/q_^%DqiWpk0rJGh:\Z(lK[iieBc@ef[.FA\%0)]\$WECTVeZcZcq7qiQ.p\
+O+XC$N.#tuH$4:TH@,X=s*K6FG^Xd_D/O,o>$>9B@qTV'?#=7eKM6,Q;+!9,696qa2E*l`91;9E
+69$qh6UO.54>f>q8jks-8ju?I3(uJ'4$Q7t8Q8S_='Ja1Bm+oIKO[>nV5pGsZbk#3eDB!9gY1?6
+g=tE<iSE>BgXMrqQ.>$Qf\+p5h:pZ9f@ACVfA#'4f\>04rmLksrRG9+e^W'tf%Jg6f[A*nf\tf>
+f\5!.eCN:0gt:3.e^i="hVHT0inDB6aIIWc6TRD?H(Dk'jPd+-N8d3(C#A4-f@ns3f@SR3e(;as
+bLkFpda6=fe(*'qdacgmc-Xu<ec+&Hg"=p,e'QCbda?CdcHjndgY1?5f%&7"g#(17831&/j3QN@
+cH4b\eFV,fd0S1Mf$r3sccsjf~>
+o)/ObrqZNi(B<k'ltg4ns82ciH`$'(jo=uQZ!Fm;rr30!q#CBmn,32/rVZKkq>('jqu?]ns7?$c
+oCW(_q=XU`rVQHhr;HWorVc`n#ljo(q=s[`rr)`o!;c]pHesj^s8)ZJ^:LP]Z.,hcXgjUaO,/:7
+Jqo,9O*YGH@qKLqBl.3`?W_,ZA6)cI;J9rX:L%.!7Sm5i?uo.;=&E4:>$Yl]ARf@^@UNMJ?!^oJ
+Jn%ksBl8/s=Dj+iStj'Yq>1$fqtBRJq"aXSo(i7^s8MrnqYU3hrVZ[?qY0a[rVuorp@7nTs8W&r
+s8W)pp\FggrqlTfqu?]ms8VTfrr3u8euX+)=E&GBg&KiRTj(g%s7u]nr;?Edq>L'_rr3]'p\4IW
+r;QKdqt^!^qYU-bqYU$]rV$9a#4_B`rr;uqq"k3eo^qhMrq?s%qYth6@>FRLq#A6TI[gB)qu-Bk
+p]1&=~>
+o(N1[p\OYSs69RG@p@[\oC_ZsU?243rUBcb:oisSq=jCJp%n7Bp%S4Up@[tGqXO+Tp[.hOl29Z0
+p$:uBq=3kCp@\%Jo^qhMp@\+XoQ'^"p[Rb@q=aLVq=j^`rpB=MpsFbaqX=(*\$N-CVT5:1TW<p1
+KRJ&fH@UQsLN6a(>@(fQ@:`M@=&<F:?;OL19O_[@8QJk^5Y=sQ=)(5l:.\Dn;H74??<glB>?P$.
+<``F.HX'BW@V9[W;.kWMQZen/g%+b.p\"%Akjn?7m-O?<pA+LWp%7qNp\4O_rr)ZbnaZ5FqYU$V
+lga]FqY0a^s7l6VoD&4Xp%J"LqY9[Us5rtMp@dstTPdh+Ao*(Erm>YM:f<n[meZ_Qp\".Mq""%V
+qYfjQoCV_Or:TdYp[n4Sq>U*rq=O@Oo^h_GoBu5Frqufl+8G[,q=sd\q==+HoCMYIoCqkPE^X)]
+n*]`G]Pi"YqWdeTq#:)>~>
+n_*rrqq4O"cfi_R9[;hZi7_Ilb2(.ue`N)\S)<8hinW;IjkeGEioB(Yi8*2Mgt_8Zi9fgen(?FU
+f%9*Ggt:HAi83;Ihr*JPi8EMMH/7E9i7cl9inrVOio&hYkh=tUkJ;7ulJ:F5SX5A+P.$C@O.(9>
+E+`We@qKFgEa;:)7S-?R9Me&A69@t;7Q<D&1eLS50g7cS-o*kH7U%c*4Z5Mu4$H5269mq'5sILp
+4?Ynp?U-G<7S?`<2be+:H[qX"e^i;ef@A6kaO8PabfnPff%J^,e^W.#f@Sa4hVHl7dF$Fpg=t6+
+bL+npg=Os3iRlZ-e(EF-e_&F(h;$W:jNZH=hVd(oMH)ht9iGc9kdsuL4?e_dg>L`>g=Xs,g=4U/
+g>0s#d*^1jf$_pqrm<XRe'udpe'ZLgcHsk_c-+A^f%JX*e()pte()pte'H7`c-Xead+?k(<@9q>
+da?S)T2Jj:g=5`Brm;#"eCN.!dEg(bJ,~>
+o)/ObrqZNi(@ghmMc!dUs8Vn><5\b9r:9CX]P`r5rVcfprr4)<rVQNhqtg3dnc/UerVuo_`ougb
+s2tB6q=smfs82]mrr2p&rr)fiqYL0grr4)<q=sg^p@e@[s7QEkR;.c^mf3%Os7u]ms4b)_])V^-
+rG2?,qY^?hqYgHnq"41Us8;opp\FOVjP]X_lfQ[OkiU@7ai_QGa)P:1NLH5lMj9WdKS=r)I!U$^
+H@1.(G&2YVJ;7WE>?PBG?sHuUEd)hSEG8s$E,]W0Df9H4De`lpAS>gfB5_s?I=3;eJVTAXU7n$?
+LlRdhS"?LZT<ZA\b/_]Rpu:<2s8M`j`p<R&(]+1)dC>WsJ8VYo?"mN]s8McbpAY*krVlg3q"a[a
+s8)cms8VW[r:p<iq>1*iq=OR_s8;or-2[K2q#16hqu$Hmr;6?js8DoqrVQBdqu+$%?&&(Qs2&cO
+mV2^gqu-Bkp]1&=~>
+o(N1[p\OYKm-+G&86#*Pq=/K#^]4?2md:%]@>=RIpA"@Tq#'s]p%@tLoCVYHlhU>Ko(;V2[bKa-
+s2=p)oCDVOq=XF[q#:)1q"OOQo^qnOqtg0_oCDPFnF6&>oBGi;NaIG=k4nH4rUg$Xps,t3YPI_]
+p@\+Mp%J1Qo_84Wo'Yo=rV$-^nal8>hV.AGjl"D7io&(t_o0:.^hQejL6RjSKo_@MIt2lhF`VPB
+F*2YaDe40:H%9.)E`>q??<L9/BPVU0Ebf/kBkqKsB520oD/*Wj?XRAT?".PgG'J7UI"I<DSXbt+
+K8G_TQC4GFR]O<H`PTX>oA/6ss7c!U]]&_]pAY'Zq!,l$O*>_VVbBup:q6Jqn*TT<qY0^Yq>KjS
+nGiFZr:g-e-LC0po_\FUpA+RWnG)hSq=sd[q"ad[o^VSKrUopZqYBp[pAOparqR0"oCMVJYtA&H
+n+cppC7XNsqWdeTq#:)>~>
+n_*rrqq31>cK9%(6fI.hgfcV3k2b@Idcd<"G3e,Gi8<DMjPo%Qh;/"a(=V7#i83MUc)Jn4g$5[$
+f%\p8io/_Lro!e7BAh\'f@ns7gu72LgtC?6g"+a-f\P$6hgA.<m*XeCcem=3gZ?,:M4<V]hV?uB
+g">*:g>(TFi7cc4hW<VShV$Z9f#5AQ\]`"!]ZA+!Vl?\nZE@:q@WR!GCi+<=BOYFV>$4p,<FJs3
+>&R>2>ZtED5XILk5XIUo3_N4F<)Q@V5"SC?7n60D7nlTE5sIV%76Nt0;-$e$='T3NGC=j]De!L$
+FEVq\LjG#QWMQ>dXjt2$g#Lf8g7cOFhVRDYf](DbQ[*"J1Ja2o5YOA?mGZ^He_T0<g>(NBeCE%,
+hppN3gtBopf?r@'eC3+&eBQXsf[e^+f@AR+f)F&@f\4m*f@S^+f$iI.f[ea,f$i4%fp"'K@aa#k
+SkXaX7G?8_df.W"daZjteBuUed=;~>
+o)/ObrqZNi5gnB&=^7'gs7gh7C]F4rnbiF[YZHtes7c<cqYBp`rVQEdp\FX^r:Bsbk5G>4St`@-
+XgW'Fs8;clr:op[s8)]k'DhP#pA=R[o`+dcs8;iqs8DorpAY(=dVrlTs7$'cqZ$EjqX2q=9UPkQ
+q>L?nqt^-gqu-Nlq>1-ko(i(Xs8Vp:s82irn+$>UqY'daqu6VcA\%[;q=4"Rs8;iqrVlcoqZ?`q
+p\t2BqYBH`=GF<6iT/J"]"Pu"`4rgg\%TVo^:U_PQ'%#\L51VDPDt3=Ch$aS?X-fA@V'(Y=^5?D
+@Uj%d?=72K?!_#RCh-mZ?<C61='Aj4=BJm@I>NK.OH>94=C>NX=_;o&KRo,UYcb(,HcuHf^U1Pt
+p$(u7h<+V3p[[hIs8N-!q#:$fq#:(:oD&:`qtTs^q"ad`qtg-`rVQEerr;rnr;Zf^D-Vhnn*7&T
+on8XumJHkYs7cTgJ,~>
+o(N1[p\OY.c.0F)</:5Cn8Ls1s7P[Hq#B`[8qd-7n+?;HoCV_Op%A=Us7Hrun,N%<p&<-sQ(kpf
+Y\<n1rq:7(o'c2Jo_.tOp%@qKnb2MGn+u_OqY0d^qtTs_m/HYMa(8P(rTO%Kp&F^[nD_Qc6&km0
+o(MqUp@S(SpA"FWoC_t[m.BlKq>^<gs7Gs`p&=dOlh:2InFZJJp\^:_ZLe+flg+<Dp\=[]p\+RX
+J+iX+q"XaXo&QlLJ$@/Nh9<74[_0Ah\[&?C\@fJb[]ZKhN/*"9JqSl=LjjAW?<C32=&rI0?sd/<
+='Js9?=IML>?k?6=^GQM?WpT6;,:%`:f:+`9N##6IW]sjKmd9%<E3^,>&8##H%MH]VkTo*`:`i4
+Xg#n7jQl*`iW&TVo'Pc5qYp<^rpp*\rq%T+oD&.ToCMVGo_%qOp%7kNp@S%RqY9aVqu>\g<Ia]*
+j/5W>I?3RVpAk!fq1&~>
+n_*oqr7P,T\=kuMG37uD=YWS3g<A"$k15_VFRS8BfA#!3fA#*8f\+j/f\>01jk@f4lFMM"OJn2,
+:#Fg_g"b<6db3O3g"Y37f\+m+g!n[&h:UH;g=tK@gY5W_dH96AYu+)+kgA8>fAY96f?C[`.sL4*
+f\GE@g"4p4g"YB;g">6Ddb!.2hrEYRk1\PNgZ78<dG3[6f%Ss9jQ_@kTA]"he'["0g=tK<gY2VY
+J(iZ,gt^f=f#Wq3AX9X9_6B;mR@Kn@R?EPmR%0\7QB$]=ChI3c@Us(gBO4S,4ubD\2`<ZZ5X.@f
+2`j/c5!h_!4$5P`3Bfc$5s.4i1c%!E2*!TP1d"-1BO>:gDeVg(5sn[98mGP2@VgORNJWBjW7opm
+OHZ`m`66<5_>i'kd`ot_g>:N3rmLhqrmW@Ae(E@)e'lgqeCE.$e^W(#f$r7'g=Xs.hVuOH3+CO`
+`elIt?uj<;o@!Wc#h%5ReC;mlc-_%~>
+o)/ObrqZNi5PFcePF&;aZ+t3td/O(*s7QEc[98mnq>:$fqtg'arVQEgqY^3eq>(!hrVtSc6KA+G
+ZW;PTnbr=[qt^$bs8;gKr;6?fs82ihs82]ip\=[aq>(!`s8W%^P*_+&qu?Qfq=X^ds8LMTg\pjC
+rVlforqdQ-qu6Qjq>1!gs7lQ^rq-*^o_S@_r;Z]mrr3Z0qYL*Yr1I$)qZ$<ir;Zflp\FCUr=Su-
+s7lKks7>(Bs7u$Qrr;oprVm<(qY:'is8Mrin,NFerVR!#q"F@PpA+^frr2qDq<?AGaN2EA`5BI/
+`3GkuR@]t:O.WGGNe)M#Is,s^K7A)cF*_kUJ8K"2Dh_;'875_0;+F2]Bk:URAnl$mASPd^?W:E?
+7nmH!@:*GVE-62=JUrE*KS>/8R&IaFe^W!ncHOGQai_iQT:_m]]>i"9`5CHNG%Zm8rrlenMdjEr
+mJHkYs7cTgJ,~>
+o(N1[p\OYLnaO2NO.s(^\7KO"qZ#RTnc%sY9T/3&p%eI\p@e7Yp\=OZq"a[Zq#(0ds3b44f_#$@
+:jW*.q"=:Qo^hhUr:jaqp@\.YpAFFZp@e1MoCr"Oo_._Mq"'>tO+Zupr:]^Ro(`7bo?((\p@%YI
+q>'dYq"XISq=sXTp%JC`oD%YIn+Q;>o^_hOqY'XYqYBjWo_%JAR8(6`qsjRWqYTmTo^2JJ,5)!3
+nauh\m+1b-o&]64qXsRXqtg-^o^hnVqt^!VlMUPTrV(d9oC;;<nauYTq>1!co]4<3_o'@-^V7Cp
+^T<faPaRo&N1?`7M0sA`G].A<H$*t;BQ%O)F^eZ[A:$pN4B,0V7Q`e/?!:-%>$tWA=^YB3=A;q#
+5XnsZ>$+s:Bl7^!H?spcI=?ZqOeK8*cHXMRa2Ps5_Sa@5R$aDA[(lXY&&,a0^MmV<qu?RtN.kNH
+oBQ&Mq#:)>~>
+n_*lps4RG(s3hXUFaB+FQD72TYi"KZjOE5AQofWngO7f3gY(34h:gQ:g=t?8g"P<Bh<;OE,KA[(
+PVuh*ceI('f[n[-hqQl>g=t<6f@]$6hU:?7f[nX'g"Fs-g!Sa6g2h7YCtdV&g!nNtf];2NYroPO
+e(EC0gY(64g""a1g=Y!/f\t`=g<SI$g"4a-f\bKBgt^fFhqZr>&DbptL,u3ijk8\Li83&7f$F-E
++lqJ0f])&A]\)B!ajAf!f\+s4g=b',e(NO2g"4WogtUN\f7)B$dEg.deCiX1g=tB3`3,],US=HS
+St2FEN-K;`H$FCGH\Hi_?<1!0;c$P'>Z=Ks=]&I5:.drQBf\d96pX*o-n./H6p*@o770C+76`^m
+0K_EA.6]dU4$>u*;,0_h?!^lG@:E\fKUSsHYcY",W2?DfVPpMAH[gp>UAq)%St3B`:dJgMiS6J1
+ANZ@/eFV,fd0S1Mf$r3sccsjf~>
+o)/ObrqZNi5k+[@rr;cjs8Duls7cQfqYg$cY$R(Rs8;Zeq=s^ZqtKp`r;6<`o`+=WrplOSQi@!^
+s&$/ds8;]grr;olq#13kG5_@9qY'sbs7QEgq>U9hs8Molr;ZQ_i_[(pK),HCpAP$irqHHgOGNo)
+s8Mliq>:*dq#10gq>:-ir;6Ees7QEbrVccrpAa^\s8DchrVcTis8Vk`<S%!;rr2ZgrV?Elr;?Nl
+rr2lpr:g6cs8Vllrr;llrr3l5qYpHlr;?Qos8;imp\=^erqH6cr;HQiq>C7&rquZnqtU!ds8W#q
+r;6HkrrMljrr7$<rVcclq#16iqYKg`s8;Zls7cEjp\Fjgs7u]iqGgg5s7kTq[C!<?S!L%bkP,#$
+WeuISLP0&<@T6cE@UinV?<^Z??=.,MA7SqWEHcSHEH,f/A7/eUBl%NrA7fXqCh[E_NGiBLRfDfg
+<`Y.3rVu9^rVHQh!;D!~>
+o(N1[p\OYMlh9]?rUBFSp&4FWoDA7Wq="0W;1IC#q"OOXp\+@XpA"L]qY9aTrp9IWl]X_qoCMVS
+9X*[Zq=O=TqtKaSq#:)<q"OLTnbi%YnGi1Rq=aRZq=aLUs6o1(7]Wh@o(r%Lq"ssbnFl=*Ie;k(
+p\".Mp@n=Sq"XRTpA"IXp@n1VnGi"Qq"k$[r9X+Qp[e"Np[n.Ss7)=Kch$Q!q!n%Po_ACZp%S1S
+p\+=RnG;YLr:0ISr:KUXs8)BZp\+@]p(R5sqY0dYo(2YQq==1Op\=LUo_\XcE;TJ*pA4LSo_JF]
+p\=LVq"jpcqXX=Ur;6<bq#'jWq"j^UoBcARo'Z5GmI:#>me?>GmeQ8<8Pr[fmFAkJVl6/IMOgp)
+lgqraJ9u9dI9BHP9j1_)>[1H6<)lt#=B\p7>ub6HE,TN,C1Uj[=]lYK@V'%V?!h/UAR\tELM:+4
+Pl0aR:f)kpp\F+K!;QQhJ,~>
+n_*rts4[M+s49N\f[&F:gYh5Pk1APBhUpT<dbp0MDU%J$f\"m0f@\j0g"Y<:g"+[1c.q.&Hn]g&
+h;.0GPK2_;f%/U3g"+^-rnDnUg"=p*hU^W5in)c9f\,'7f[ng9d`oHWQ():9i7QN2f[\U'h:?FS
+gW\a5f@AI)g"+[,g=Y!/g=t<5g""s-imQQ8i9&VMdbE^9g"G3;g=tTQhgml%h::H?f@\j/g>CT9
+f@em3g"G$-hUL?=e_Ap>g=bHFhUpH6g"68T'A2!lf@\[&e(EC-daZk"f[n['g]#uIgY(30g=Fa&
+g"b<5f[n^,g>(H:dad(,gY(63gXXd*gt:3/d,3m8e_T*3g?$o<j58hLkM+iR5t^Fs`2T#dP)"=)
+KpKR&fr'L7?;tEB4>f;V4Zttn5<V%d3&s#]4[)+r3'p><;GKq\84>d+4<$OS84Gp26:a^>76WM?
+8O#pkgrPd80P.TBf@9E?rm;#"eCN.!dEg(bJ,~>
+q>C*f!W;fnq#1'fr;6Hmr;ZZoq$?`krU=0Ps8;cbp^d#soCDo^<m^mCq#>WnpA3eG)#XF"s.a&`
+[s7rMpAajdpAb0es&kN7oDeacrqu<`nb`Xlo:].)pAb'eqZ-Qir=A]'pAb0gpAXpgpA4ghqtp3f
+!;lWhe,01C*WQ'6s8N#ts7X_:o)Ja[rVZBT?YEi>s8W#sr;ZHarrE&hr!3)urU8t5hphYLs3:Sh
+#g^]?cc<lDht-Zg&'3VfaGP)Dr:Ybr^An6-s6]^^qZ$<jpOE~>
+q=ja\!VuH`pAjpap&F^cp\spnoChnA;L\*)p[\+jo`+CJq+jZ&p[@VMFOp-]iqOAbr8RaE>MQH&
+qXsCVoDeI\q<e2XMp:Vcrq?BerqZ*Zo(NF`qX0kL_t!X!rqHBdqY1$`&b5niq>^$Sp[eFRoDJOY
+o_/"UpAjp`pXAp;pE0D-oDA1Pr:oTpoB5cAk48'.i)Eu^PP+S:qX=(@r:g'\!;>sU#P7cbki(IP
+c2P]^`rF'baMc0@^q.D8m.nX3_V!\]KPmg`n9obqs82?_lLt;RrqV'~>
+q:YSts4dS,s4IA&"P;>\gtr%gs5*e2!8@G*#hI\ad6DL+h:hGO&(9LddGHf=YMn0fj&`eBf\tEu
+ho4Z*6,Jphi7lc;dbW4%h:1RFDm@[Hrn.8&rn-en!86qs$f'gsLc_`ninrPHgA]e)f)XA"fDjM9
+eDes5k1J5?g#gi<i8E8?g"H8Sq:=6Ns4.)"s4JRSf[o$6g#:i=XPM:\j3lf?f?Q]U6\FFZgumJL
+e)oWFh>>ssfE^!_fuq=O]<M:5s/H$u#cjl(X.u5^]?g;P&>H\JU1@#Vf$I]/R,?ZGf[TN@rm;#"
+eCN.!dEg(bJ,~>
+q>C*f!W;fnq#1'fr;6Hmr;ZZoq$?iss7BB;s8Vudp]gKmqmoC1q>L<qqsj^Yiqjbos82D5Sa4I3
+r;ZWnq#C$crVrj*I[X^Aqtp6equ6N`qsjRgrq)j`a7oW/qt^1$s8N&km.gVUqu$KlqsaX]qY^Hm
+qtg0<qu?R9o`+g^s6p!*DOd?&J(aYtrr8lhfWIfms7lWoo)Ja`q>^!_#PS/sqYL6jp&=deqYp?s
+p\Xpdq"asiq>(Wms8VE5\_6o\A]4WIqt'jTqu-Bkp]1&=~>
+q=ja\!VuH_pAjpcp&F^cp\jjmpAFaR8o+%lp[\+jq"FXZZU7m`q#:0cp?hnPiqOPgq=<cgQK5tm
+pA4L^p&FX[pA^adGEZ5'p@e7Uq#:*Zq"".apA+0H:r;i$rqH<bqtL-a&bu+tmcF!=nauMSp%7MI
+o(MeSpAjp`pXAp;pF#A.o^DhApUOgtPb`EHmecVKS3Y>o5/mKfrUo=Pp?_JGp%J(Pp%S"L#OhE_
+oCMbNmf)eWoD\@enFZGHnacJSqXY9jm/HtFbd5dlrEm;=p\!qNlLt;RrqV'~>
+q:YSts4dS,s4IA&s47>*g>)Y`s4dV.r7V,-"k,D4j5Se`f+6Hahq=DH6eLD^jke\;j3lo<(>RHc
+<.)ig8)3%UhpgH+f@oAA5$N4prRh/%rn-bmo%FH+j4f>MXP2[hgtM_[s4@5"s4@;(&_l$sd`^8)
+f@o!AgXsd0f%JaRfD4"NfDjD"fDjMHd,N^,jN?8L96kuH?F\YNhr0AD]9+YNl.P@Zd-0E:h>>q,
+g@<f#db<L-f%\m*rmh&"rmqD(f@ed*e_B'Zee$?ThVH/PPI&ir5G$ice]le<df.W"daZjteBuUe
+d=;~>
+q>C*f!W;fnq#1'fr;6Hmr;ZZoq$?`pqt3Tds8Vueq%*Gms8ILKI/im#[>rB#s7>7I*W5^4]N47q
+nn%(bqu?Bip&+I^J6;UBFHub"qYU*fqXOIQr!*,nT3&u,rqQBdr=Ahuqu$Kgqp"'NmJm+as7lHh
+!W;ikqUtcEq>L1/oDeg]s7=!?X7sS\5jn[Hr;Ut;s8?kPoDeRarsJH!s8N&ts8N&tr:9^hp\t3j
+rr<#sr;HQrrqu]mrr3#qpA+Xtq>L?is30X*s,OYidD,_TmJHkYs7cTgJ,~>
+q=ja\!VuH_p]'sdp&F^pp\=OZq=OUWmQOD:p%S%Q&,PYmq05PNq<6M3LW&Z]nDa3`p[S0h:Z;$6
+?fV"Wrq?Bbq<e3-;=X3qOS8GCq"apcnbD\L#PRr_RSponqYp6dq"aXrp$MDErp]R"g!Jm[p%eRV
+p@eCX!;?9`g%bOArV.T)s7bm[m'pQ!mCRBsjT"T:r+ngsnml1mq!A%UrTj=Rp\+OZ!;5pV#4hTe
+p\FgfrV-9c#l45hq"jpbp$qkQ&+fPko_ZYds7qJWqTHGHnET`Jq#:)>~>
+q:YSts4dS,s4IA&s47A+g=k?]hZ)@?g=b02f@Ad4e13W?iS*kS&)5@igg2jCk1.A6D5Yh@dIGiY
+fc8N!R5;n@e47X<g>CE7cdpM+?T6Th;KLODf\+mUf^[Sag'lcrh1Rnigu7&Dg=b0Yf)XA"e,Rtu
+f+HZ^f\,?:g8r&tbi@C4iRQW7qq(Ypg"6,Os48@>j4_i?d%!U\d\9kbbN@C1k#O4thG?qriR[/K
+j3lf`g\fb*f^dStdb3C,g"tTafDX>-g"4j.g>(E4dJ;E*e(*'ufqc@>f4L/tWL);`o$[Nb#h%5R
+eC;mlc-_%~>
+o)&OcqYp9gqYg?hrVufqqu?Htp\ssa:JCfgr:Baaq[W8uqLW@?o`++#>($5Ip>PlNq"oYSrr3O?
+b4tc2p&4[as7BT^s6sc6rqZZmq>U6\qsaLfpRPC#qu-BeqZ-Qir=8l!s8AU9R-;MIXge?$s8)Zo
+r;$3Bqu-?hq]Gk3s8VloDH-Z9q,_nBs8)Wm@qYK7i(f[>n,<:[q#C3h!;uBa#Pe5qq>'sbp&"Rb
+q?Qomp%J7ZqY0g]&-)J%qX0!>qZ#</NJO#%s6]^^qZ$<jpOE~>
+nb3%Wp@nIXs7cQgs7lrmqsj8F5P"F?oD/F]%e'DgG?]X]rS#+aFnYe*iV45\oQspEqu:!Bo^r"P
+rV66hm8f8Dl""0#pAapeqXO@OpBpWgnsE=ep\FOWp\FU]pC[,rm/-LEEfo=pKVl!Kli6\PoCpr5
+rV?Ee+8bU(qXODp:&FtZ9lU.4nF?N\>jD==6]h--pAaUOrquIVp\+@Tp\+@Tp\+@Tp\+@Tp\+@Q
+q"XOSq"=1Lp%7qLp%A%Po^MGEp\".Mp%7qLp%7qWoCV\=IAul=eV8j2PPG%?pAk!fq1&~>
+o%=N,gY:E7f\"d+f@S^/g=lM\s4[M+s47P,gst(0/E5UAo%+H+dG`be7;gW?a0.L-g#1B5o%3Eb
+(Y./F7-N^q7]k@sh::90g#LODFPtJ;6N#O9f^dYog%3o+gu7+A4JL]hgY1B7g&BSAe^Msqe(*"#
+f@f$-hqW]`GK6LoN0N,DjOr5`fD4"NfDF+uf-&nugtgN;9/5Abe1t%bjO`&H6:TJg_(BricJ7R2
+e`,<]fg=<Df@JI&eCN.#eCN.#eCN.#eC2t#daZgtcIC:ldaZ^qe(2pncdgOqd+$LndaZ^pdb`C"
+d`,LHdbhBAARKN/g%*Sjd0S1Mf$r3sccsjf~>
+o)&OcqYp9gqYg?hrVufqqu?HtrVucpA5WC,r:9^rq#C3fW)o)\s7lV+X8i4oqr@Jmqu>S\T_S9[
+?Ea+uqt9j_r;Y/Hg%_+4I/<^7q>($do(`:_nb`XgpQngeqYL!`q#UBjqY^s"s8Du+<GC.dm"Ac;
+s6fp`r;limqY8P8s8*o<mJd.Uf2dq.m`SJYp@&%]r)%;1p&CdZ]`7[!q>^$]quHWbq?Q]gq=sd`
+rVQTmr;6fur;6?fr;Zfnr"/i,r;Z]E>G1rms6S4ts7lHXqu-Bkp]1&=~>
+nb3%WqY1$bs7cEas7cQgs7lrsr:Khf7.KpDo(Waeq"+$H8q?I#l18,Qq>^$Fp`9,/fiOR3nb6.c
+oCr+Rqtg-ga\^CUQUc5mp@n@WrqZ*Znb3:^op&C]q"a[`q#'sdq#0q!nc/=XY>/NRpuQp,QMfqF
+p@e@WqY8P8s7d]8kkY8DcqfGejhaR5mH4B@njd0dlh6`6\,Ggeo`+=VpCm>rq"ORXq"ORXq"ORX
+q"ORXq""CWs7uurqYU-cq>0pdqYp7.qY^BhqYC!`qYBscpA+F-<LW[Us5qSbr:9LFpAk!fq1&~>
+o%=Q-gY:E7f\"d)e^`:'g"P0Zh#H(.g&BS/gYLN?68@HXg@Eo-f%es2LGs22hq$^SLu%.An_*Hd
+)WJLpJ_Jl;6Bp3Ygst*/f]KJ"]%VQa>hdrbr7^/`$ejFnIQEtUh:pZ;g&BSBe^MsndaHUne^r=2
+g>%rM9"Nm&@m>:tbMq4.qq(Ypg"-8Te,@hsf-&qkgZ-Pb12>=YV(8dsal;(,/kP'Ni.*8Fi7$6-
+im6<Vf0Rs=e^W$sdaZ^pdaZ^pdaZ^pda-:hd*pLre(<.%eCN.#eCW4#dack#g"+[(eCN.#f%\^+
+e>tHNe^WEnX2!B8n^@Ea#h%5ReC;mlc-_%~>
+q>C*ds8)`irVHKjqu-Qms82il#lXVts)hE4rquBb#Q4Asq>\i;KDtlTThs)7rVHEOq&TA4Y?g#Q
+qtk9%r;HWhqYU-][oi,!GYbaDqY9m^rqc0\o)&aiqY64LY5.kgq#UBjqYgHi%KG:)?-!!Bs3ac^
+s8Vfhr;limqY8P8s8*o;q#16aJml:ks,CXjrVulsaB!H`rVktu=R6"\rVlTgqsaF^q>L0hqu?Kk
+q#:!lp%eRbqY0aZp^cfis7sNG^]432pAOU\s7u'ZrVHQh!;D!~>
+q=jXWqtL-cs7cEas7cQgs7lrsp\";q9B#F8oCrmknb_eK`'8;>nFMc0_t<QniqOPgrhriJkk4U^
+R.pLVpA+U[m]TIMs)L]7p@e7Uq#:*Zq!n+Yp&pIOXS;Jgq"smcq#0sendkTKC0&+Lo`**,]`7fr
+p@e@WqY8P8s7d]3oD&:NHWmfOre+SSo_.tV^.`><oCUsU;s+,Mq"aO\pAOaTp]1'eq#:*hp\smc
+o`k$^qtp0]p%\4klLk#F]OSMNp&FOUmIpMMlLt;RrqV'~>
+q:YVs'\V6sgY(61f$r7#f@S^/g=k?9g=cGV#i""bgf$)UhV.PR&(TRgi3=hBlepfS0Wj*`f^[Yb
+g)&h15/5P'hbo'bio/PDg"=lE3RHtn0pVams4[M-!8?Gc$JO=nGrClCgYCN9rRV;)e'cUkdaQ\D
+eIUNK:ct]?g?,XoT]FqXg"H8Sq:=9Os4%+urRLr"+5,,shp5UlQeC8-52=]Af\iMZ:u9p\`(`/3
+j3u`:e,IqseF:lddJ_Mme,Rhpd/M>qc-b(lda-87ck"1Gf[6-RQeU!FcIL+fgX5T?rm;#"eCN.!
+dEg(bJ,~>
+q>C*ds8)`irVHKjqu-Qms82il#lF8opO-)pqYfs^&-)V.p5+"9s6*onhZ*BNqr@Jmqt5/Qq"Xmg
+IZ"%%rqH6dq>S]7_O!\rr;-9bq>($dnbMbR#Q+>mN_H>Fp\FUcqu$<h&-)M(Q;;5`n,E@V>L`<F
+rqcQor;-9be+s"?s8E<$pi9cTs8Qhhrr3Q-s.WY]o`+s`c;Kbts7c0cq"jRV#Q+Amp\+7No`"^e
+q>U-op\Ogdqt^$^qY:^"qZ$ToX(9!9o)J.Xs6p!XmJHkYs7cTgJ,~>
+q=jXWqtL*b!;HBas7cQgs7lrqnbDTn9$-Mpo(N[fq!n(@G\+ATf25)eqX44>p`9+tDenq7rqUhn
+pAFm_q#'j\a%*e)5?R^Sp@n@WrqZ*Znb37\pP__?p@eL\qYC*brq@$&oC\/8@cuqKrTR;+mJlqS
+pA4O[ps]'<p`B>.p@E-([f$#2Ieig;oD"_MN9gK?mE&.`oDeIQs8Mciq""4cr;6<bp\"1Orql`l
+rqQfoqu-NlqYBs`q@NJrs7uDc?FfFhs60LZl2U)7pAk!fq1&~>
+q:YVs#hdtggY(61f$s]L!nZ,Yr7V/(r7;2%gsfOb[b0=(facooi7)FAWT;)c28%nuhXT8!g@F#=
+f2tu*h!='5ET#m9f\,!1i3G)7HRD&8h:p]>h#?'ffaQTii,pi6h:gZ<g"4jTeJco`cHsqde(*"+
+f%G*s8C5`>j3KckdH''8g&'Csf%SaUec+%reKWW!gXt%P4I4aU5[E$ph:1,*1N1S!i6eV[DUd[p
+d,<L)eGI\bd0J1MdEp4abg$.9s3gno#LLrMf$r-qdJD;kdgk3ceUouNb0&S\hq6!,an!mZd0S1M
+f$r3sccsjf~>
+q>C'c!W)TgqYg?irVufqqu6BsrqHHcJlp7qrUTmdruD%:s4_U-LL#(=s8Durqt^-bqt^-bqt^-b
+qt^-_q>:%*l;`Q0s8Vb9HhRF9q"k$es8/BU9l'=orq[?)qtg6eqt^-bqt^-bqt^-bqt^-dnbiF_%
+ZO)Vp\=R]q>:!bq>:'eqY^Tls8QP1H2dgJnG]6`rquZirA=HKq"jd^q"jd_q>:!bq>:!bq>:!bq
+>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!dqZ6Qdrr3n;>.+:OD8H8&b5_776+$[dp](,_5
+.(@brV6<e)#3t&qY9p^qY9p^qY9p^qY9p^qY'^YqY:'e-MdN5q=j[XqtKgVq"amdqY9p^qY9p`r
+V?$aTj>Y;s8;`dnc/"VmJHkYs7cTgJ,~>
+q=j[X!r)E^r:^9fp\4UZs7cQgrqQiso`+?'9>0lho(N[jp%7eRb[ah!:1mr*oD\IHq"se%j@t-k
+qYT]$FRf2%o_8=Yq=Bt;7qM,[rq6Kip\FU[nbDYK&,#[Q8>,YJq"ORYq=sd\q>L*epCZoppfgR7
+s82]XpRV6Vp%7tOqY)c?p\=LXp\=OZq"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\
+q"a^\q"am`+8>@&qYR-gYP,qJ\G=@bq!Xe6X8DDUq=^7;YPn.jp&=^apd"ZMq=sd\q=sd\q=sd\
+q=sd\p\+CWq>'saqY9m\q"FIXq"47QqYU6dq=sd\q=sa\oBcIG=24e3q"4+Ds69OJpAk!fq1&~>
+q:YVs!87A+$JF(af$r=%f@S^/rS%;)rRV>/e`5.f33(`eo%=Q0gtUTI\PYe-4&ef-g?%&Yg&0Y(
+gATh+hA=BoB@Z),gKn=Ci8*#;gt:N>J0lpDe(FZS!SZ?.gZ$m9g>(V,0o+Q;gtLH7f@SR'e'cUk
+daQ[qf@/d:5ri-6jPeA<J`,88f@ejSfD4"Nf)aFNqpcnAdG3O5Lc1=DTgb=#XeOLsJK'X+e'm+)
+HlJ4*f%\^*eC=HFn'V0]'[Y7TdaZ^ndF$=fcd1%dc-=S_eCFEC&CT.Wb1q8"S_i#Lda$"m`nBq2
+rm;#"eCN.!dEg(bJ,~>
+nG<4^qtp*bs82il$2FAgs8JNmao;80r!iW)r;$Bmn^u1MrVuinrqm9'r;6Ehr;6Ehr;6Ehr;6Hg
+rVJJHs6p!^q>^>^<poJWq>Zgnq#C<is7Q9erV,dLp\k$_s8Vriqu?Njqu$?hqu$?hqu$?hqsXFl
+s7;CSS,`?^r;6Ehr;66d&,lD(>"t=\oD\dhlMghMs7lLIqu$?hqu$?hqu$?hqu$?hqu$?hqu$?h
+qu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hr*fC#q>Juu@[2Uj^AkM's8RRKh<t=Cp\OSp@drj_
+rqlK_p%\=Yr;-9eqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqtL-c
+qO;!IoDAC]r;,gXrVHQh!;D!~>
+l1XiFs7lQg#OqcfO\i^^p@@tXp`/ttq>9I)`S^Cdp@S%Pp\=LXp\=LXp\=LXp\=L\p]1'fpbh^D
+lMU2Dq=TtJk32X2q3#%SqY9d_nb;eQo'5N2q"O:Ts7c*ZqY0aZp\=LXp\=LXp\=LXn+R7dmYk#.
+rUfjYq"ORXq=sp_%e]Qq8!*E2q>0pKq>]XXq"HQ=p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LX
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=[\?M"'dpsa^tOaqM_r2JWHola$[kl1SQoC$!il0@s;p\"1O
+q"jmdq"XUYp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LWnbMbJQ<r)0
+rqH?clLt;RrqV'~>
+n_!iorR_2&g"5uOrRV>/dGs&25-*Spo%=K+gtC97hp/X2_qO#%f^IMnh#?%,fdG>2c/RF4j558B
+cdCh/jEsMPi7li:cICP%e]l@hgY1-5in2f7gt:W>$ejRlFut-5g>(E8g&BV'ec!r1e^rL.h:pgL
+0m_j2gt^Z)gYg34aO^FBqU[+DgXOl_>s3(0:mTmq_q<^H0=f0YgX+O"69i`>f\G33d*L.ge()jo
+dL"=SdaWG(Z-:_Im*bm\#h%5ReC;mlc-_%~>
+l215Qs82ils7clsq#15Y>.FV2o)'$orr2cns823UrVulnqu$?^r;ZZnq>L1<q>^3ds8VooEFn\7
+s8;ba=5iuOqu?NmqYg<bpA=gbpAY*bnbE([iVWr\oo`:As8)]ar"&f(njcj/s7H3Ys8VNXs7aA-
+*rYg4r;ZB%WOC'GJu#RJrr$kFoDJXdq=aiu=doBdrqcorqtTmZqYJY;#Pe>qs,ppWs8Dfmq!ItW
+qZ$<jpOE~>
+l1XlGs7lQg#l=;iq28%Lo_.kM&+o\np%eU\kjS<Fq=XIUp@@qYq"OX[-hRB.p%\@Qp1[jtn,DtN
+PY^$(oC`"QqXsXWnaZ>Jp$qkSnEfcAp>P`Mq<s8;P5=hIp\XaapCI&llp4Ojs6fUIs8V?Ns74##
+./<?/p\jNiV6e@:I\!D,o'pBpmJ$PTp$hm^:QthMp%S7Xqtg*aqtSV6$1ducqMekDqtKj`q#C0T
+pAk!fq1&~>
+l.G[^rRV>0f\PM14e(Bbo%=Q)gY:?7i7Q3"g>CZ:f\+pIg&Kk-gAfk+f-f/,e_B'DhVh@#db*gA
+hL@N#f[eU+d+Hn&f[J=%g=Og.gsXKug=YE<%bfmpFuXg-g>1K:g"G!/qpk_us4S"?h:=)@[I)W"
+bhqC$c/I*ef-f4ug=P0+R"CErHWu#Xf@\\L3mH:0eC)_$P;ILDg"Y66f[nU!cdC1h$ImM\eCnb(
+_V!AfrR1_no$[Nb#h%5ReC;mlc-_%~>
+l215Qs82ils7clsrV->[=eYloo)&Xarr;llr;Qrsp\FggrUTmdqu6Eiq^27<s7QElo]8l1q#(0j
+pTIcGrr;usqYp<hrqu]nrV?3cqXEkDqr%AWs7VURQ2ga\nGN=d"'SF9mf*4in,3%Ts6[Z#!rqol
+rr429mI(#Jf%TNks7^/Is8VohrVQWlIRrJuq=jdar:p$[q"iG9#P\8ms*eGOs8Dfmq!ItWqZ$<j
+pOE~>
+l1XlGs7lQg#l=JhqMn=8p%ItN&+TJnp@\=]qY^3_o(;bTq"".[q"OX[')2+rn,3+Mh+*=lp&+LO
+Vc(S0rqI&sq"4@Wp\4LYo^_bLlf[a1i:dKQn;L&%q=XO[p\XaapCHupqG]qrkPtDWlM'u@s6.;n
+./iW1qYL6^l0JB?daR@Xq<M=$rr;Zaq=XXWG<t!_oCMbTr:p'_q=rD4$1[o_r-;T>rV-'bq#C0T
+pAk!fq1&~>
+l.G[^rRV>0h:LY44G;\Ko%=Q&gYUT7h;@#Egt1',gYLTRg&Kk-gAfk+f-]2'h::WMfuPjcfA#ED
+g6+P"h:pT5d+6_#gY(97g=Fd,f?MFbf\tKng>^h02L"-7hV-]:g"4jQec48$g(3!!j?>AueEYlG
+b1G1jiQ/je-f*,%g=kK4`lQu^YI;R6hpFbbhVci.f%&R-=s^rEg"+j1f[A-lcdL5KeC!.#gfZee
+g=4XNdf7_cdf.W"daZjteBuUed=;~>
+nb_eQs82ils7clqr;-;r<K7%Wo)'$mrr;ihqu6Tip\+C\s8Vuer;ZZnq>L1&rqQNfrr;hq;p#(9
+qu$???*sV2s8)lrqY^<k#lOPpr;#mOp&!\F#QORa<0dL]rUKdrp\arAA't,Is3e=>s7c3^_>FH9
+pAY*crVmu9o)/7]o)7NUOT5=Pq#CBfs3FDlo_\=Vp\+@Wq"OX5qZm'!p&AuIs7uWirV5dWrVHQh
+!;D!~>
+nb2GGs7lQg#l+;hoqtE4p%ItN&+]Pmp%%hPq=F1IoD&7[p@@qYq"OX[)>Wn&nb2_JUJ&K"oCMVG
+b>k\?qYBgWp\":Zq$?`fo_8"ElL=N*pBLHaO%tc4pA4O\q#0ptnb2[)>fuX.rQVS-s75[O_=oAW
+nbN(PqZ$Nnq!RqHpZD"r=,6eNnFlbZmJb0rI.$[tp%J+RqYL!^de=(Ar9sZ$BDhGsp\jmeq<I\S
+q#:)>~>
+n_!6^rRV>.gtLSJ3,mj3o%=Q'gYCE1f\>02eC2t%hV?cRg&Kk-gAfk+f,<>ni7HlGhi9Olhq?f@
+hR5V3hqd)<e(*"%rS%V2f@JX+cHO_hiRn^piS8]<GN.E6g=k65f@ToMs4@;)&(fUnB1]Sig>B#o
+`8T.keA9`ahU1$2dG!R5gX=9qe(W$t]0'ibg!.mpi6L;^.U^c\eCN7"dF-IidaAKPf&+g291R[`
+eC=HFs3^Dcrm;#"eCN.!dEg(bJ,~>
+nb_eQs82ils7lWf#64AJ<.=lGo)&gir;?Efr;69grr2p!r;-9\r;ZZnq>L1:rV6Emq>C84EUj))
+p\t3`>)rCUs7u]pr;6Bhr;6BhqY^9dp\NeF"o\:c<gNdSr"&Q%s.`f0s7k2jVuQedp]&)-%0$&$
+s7H$bqZ$Hfs7QBk(pI5NrV66frVuKhr1?ZZp\Od^p%J=[o_R#5s8N8ss)*_op\jseq!ItWqZ$<j
+pOE~>
+nb2GGs7lQgs7HTon'"@Cp%ItN&+oVjp%A(QoD/4Zr;66]p%%hXq"OUZ,kLm/nauQiC?kcgn+QM@
+;MXf8q"+@Yp\+=Tp\+=Tp%S4Po(Cl6#5"*UOSebFqtL'aqtCWks7r3c[/]^FF/&U1lgk(lpF,k/
+q>KdPrq??eo_n4XoD,1ZWqZ,Yqt^6Yq":(GT^qgOp%%hTqt9a4p](-rnc*<Ws7?!ZrV6EglLt;R
+rqV'~>
+n_!6^rR_)##3+7E2dt\#o%=Q)g"G!/g"=j0gYL`Bg"4jGg&Kk-gAfk+f-T/$h;I#EjA\t$j4N#A
+img,-f@\j,f\"g.f\+s1f\+m0g""U(i7SUohqicBGiRT7g=k65f@TuOrR_)'&(ft&Kg20og9ae1
+gt^*$iPF+ng!eX1cdCUugXFR(dGrp;MDgIGe'ljshTag-I4Bm"g"Fs&d+-UidaAKPgu$N<8S-f+
+eC=HFs3^Dcrm;#"eCN.!dEg(bJ,~>
+nb`.\p\b'gs7u]i#kdiioCl@)s8DNd#Q+Anr;ZfqqYpKtrqlHes76*fqu6Ehq]P_6s8)cX=do<h
+r;?Tns)!/\rVuWlrr2ciqYL$arqlWlr;lini;<fVRT,LNr;6$^%fcJ,k^[`_^5noSs7?9e_#,SS
+r;6Nmp]('[o_eaZs82e==kNTJs8Mfhs8VZYFA^TcrquNbrVH06qZm)rp]"s+s7uWirV5dWrVHQh
+!;D!~>
+nb2eRp\4^_rV6`koDe4E9k!_go(N[gp%8"TqtTj^qtg-^o(N"PpAt'`qY26-o_JIVpYJc2pA+CR
+q=XJnFS,;'nbi1Xp%7qMo_&%Rp\jjfp\*S?#PRhT:6#,Dp&"L^q"sdqqY'sKH>TmrMONf,meugo
+pF#P+pAXjXrUoXMq#BXVn+(3hch-r2r:]g[s6Jrg9[NP1q=OF[qXW#-#kRT`A>B1tp\4X]s7tsS
+!;QQhJ,~>
+n_!Zkp"B;q#h@Gde^ur\iS="W&(oLbg"bE;fA>?=gXt$.hXT;!h#H+.g&KYIf[ej<gZ$C=H.q01
+h;[AP:0lT-h9k$1gXk$.f@JR.f\-5W!SQ,bfac`mhgRP-inW;Bg=b02fDX7uf+?Whi8!P=@TT"k
+CjO4XcJ@$df-f"uf&#'-h9sNke_eX.e_!\TZIII\f$Mk!j3GnI0=0Bgg=+O&eB?:g$Im\YdG%'A
+hpU$(rR1_no$[Nb#h%5ReC;mlc-_%~>
+nb`.\p\b'gs7uZh#PnAns']45rUKgcq@*<$rr)fmq"X^^q#(0_r;ZZnq>L1<r;-Hirr8g&ci3kA
+s8VloKm!Fps7ZKgrqcHgr;$3gr;6BirquZjiVWr[r0U3;r;?N`r"&hfr;ZAfMMJ#(s7#g`qXVK#
+-hmZ7rVu]nrVuops7H'cs&rn,p\k-cq>1'imf14(Om2W?qtU*epX/jCqXsd\@_DU9rVHKfmJHkY
+s7cTgJ,~>
+nb2eRp\4^_rV6`nq"XCT<`&M`nb<(V%/9Snq"XRSoC_eJp\j[W!VlEcpa>h/rUfgXSQNu-p%S:X
+nG%EKqY0mVr:BaWo_8+Pp%e@UpA"IXp@dJ>#5InT7u$a2qY0s`qtCX#hY.!:UP+2jp&F@Ls7Pcq
+pF#P3nbE+Ur;$Blp]'XMp[h3_n+$2Qo_8(Ts69Qu:5n<+r:os]qXr81$2!ZZnQiWuq"OO]q#C0T
+pAk!fq1&~>
+n_!Zkp"B;q#h[heg#YUeinX(Ws47\4gY:H9f[\O(f@AR3n_*rts4[M+s48XOfAPB?ieg+)g=b6<
+hq?t#<oD`hd+m+)f@JX.f%8[0f\"p4g"=s:fac`oi-[7shV?r@g=b02fDX7ufDjM7iPF=3du/$T
+J^r`&e)Aj%_:L'_hpL*5eD/X4f[Sg*e(r_74jqa1gs4<rf&=a2TeUK,f%ns+eC;gmdf7f&dFQ].
+QdjR8eG[hqdIP`bd0S1Mf$r3sccsjf~>
+nb`.\p\b'gs7u]i#l=Sor;UG,s8DNd&,uM(qt^!^rVlWhs8Vujq==I`qu6Eiq]u4>s6fpbBl3bI
+qu-QnoDaPWqt^9cs8;ikqZ$Tlq>L6eq"jmeqVh>Ws88-PL%tTGn,*XpmJm4Rs8W#`s8VZipVHbS
+rVuE\s7cKjpAOmfqZ$T8=`=?4qY]d\s6f[^r:PnGe*R)3p%\I3qZm/us7]pBo`+mdrV5dWrVHQh
+!;D!~>
+nb2eRp\4^_r:pTsn+QT`6h^6EpCI)op@e.Lo_A7Sp&+a]o(;MI!VlEcpa#_1s60:N@:f*,o_/+S
+lh>j7o^_kIs7Z6[p%nOXo_A1QoC_hVp#5WMq=]k8J+E=/qtL'aq=b?ukPkGCr;ZNSr;,g\o"k&J
+q#B^MrUTaZoDA:YoDA-j9kF@mp%[nOs6B4Tp[Ei3cfk9%o(DhSdJ!tDo`+Gc_sm["p\jmeq<I\S
+q#:)>~>
+n_!Zkp"B;q#hn1dhW@HeinX+X&)5dif[eR'g=t31hVQo7f(%Gnh#H+.g&KYLgtCc6inmL-f\G-5
+hqZ`>B1L\.hU:E7g=Fm2gt1-2g"+^*f`'L^fac`pi-?hcg>(T>g=b02fDX7ufDjP(g(!2hjQ"ME
+iRc-*g<JO'_:L'eiQT[)db*-te^W4%hV"PX9&n4Ie]-1ra4&nudUt>@bM:h!dalmqdL+LXfAY+=
+UWqQCeG[hqdIP`bd0S1Mf$r3sccsjf~>
+q>9@Qs82ils7d-)oDSXaX^:&`q=jRYs8M]eqr7PRqu6EiqZloro_A@-<O2H!#GYr%qZ$-ds3^`K
+s72acMY[7=r#bq1s8Mfis.WhTrVu`nq=XF\q"s^`nmQ1kq#BdTs7Xk;#P\,q`F/`<s8Dfmq!ItW
+qZ$<jpOE~>
+q=a"Gs7lQg&,u.op[=hRf^e\*nFc_TnG2e;pAt'`qY1Bgs6oON_bI0)p\jgco`psnlLY&Aqt\Y6
+#Q!eS<J9u=pA=UapnIL*q"sX^qXO1PQ;W/'r:Tp\oCN"Tq!nCP?"2[^rTWkNo$R1<nau^n>Q=3i
+p\4X]s7tsS!;QQhJ,~>
+q:Of^rRVS;e(rp9O?ph;f$r."hV6KSf\tN`h#H+.g&KY?e`5*1h6&f(g=P$3gt^cCKLjJCjNcW;
+db,2cimr]GCtmh%g=k65f@SR'qq(f"qq;&'Ze$>MfZ`1'eCNK(3+CLpe^r3nc.^Utdc8_?7D[O3
+aj/VddaAKPdF[-F45\<8eC=HFs3^Dcrm;#"eCN.!dEg(bJ,~>
+q>9@Qs82ils7d-#oDejhYthh,r;HQlrquQeqr7PRqu6EiqZlcms7QDd=5!EJ#.e!]p&Fddd/4.K
+oqPN<p\t,Yr#YY5rqH?jQsIN,q>9pdqtg?cr:L!gW)K5do_nger6bBHs7cMf?2sZtrVHKfmJHkY
+s7cTgJ,~>
+q=a"Gs7lQg&,>_lqspUMXnDG`p\=RYoD/+>pAt'`qY1Bcq>]p\RSV?)p\jgco`qd#_s[Bjr:SJ3
+#5[eZ:ODX,qY1$bUA#f*q=aganFcX:;7?/hp@J7Yq#Bp\nb`6[:7(hGq"sd[dJ!tCnG&PVqXaOW
+p\jmeq<I\Sq#:)>~>
+q:Of^rRVS5e)99CPVJT\g"P-5gY(-Qf\tN`h#H+.g&KY?dG*^3jFo_-g"4p1g>(QARld_$i7-];
+db,2cin9)IA(f_pg=k65f@SR'qq(_u"5;G^fs93Pe^i+%f@/C1E]9K?e(2mte'cpqf$N40LG=,1
+dG!@+e^DkQeCi='I5os-f$r4Jdf7_cdf.W"daZjteBuUed=;~>
+q>9@Qs82ils7d,up](9m_+9Xbqu-QoqYL-cqr7PRqu6EiqZlufs7623DuBG0#Mr@Nq"ssgpX/mD
+s8/imFnYh5RJ\0'rVcckrr7RRp\jgao`+g`rUKm_o)J*&<8[ZPs7?9<qZm/ms*\PWqtL'crV5dW
+rVHQh!;D!~>
+q=a"Gs7lQg&,#Ymq=D$VK_>'6qt]pXp\FOBpAt'`qY1Ejm/QGKChND6p\4[\s7HWJ8sf)?o_e4+
+pBLHdV+GUpq"jabpnIL*q"O[]qsjFPG#%GsnG)MQq>($[rq>g\l#]_Tq"=[SqpG-ErTsH+@eTQf
+p\4X]s7tsS!;QQhJ,~>
+q:Of^rRVS2fAPWFUapE=f\509f@S^Of\tN`h#H+.g&BS=cK*F6=&e#/e^rL.gtpo(1P"*2f\k9-
+faulrhiBQpf\YH<g=b02f@AFEf)jXWfs0-Oe^W.#f[SX.>Vsm\d+HUte'Zaig==R2bZ?R5g=Y?.
+g!\:UeD8I+=$kKfd+$SDdf7_cdf.W"daZjteBuUed=;~>
+q>9@Qs82ils7d-#r;HHhfi<M!p\4UbqYU<gqr7PRqu6EiqZm/irV#>XV#U8h#Q.h]s82cpp!EU?
+s0k^@q>QcZ+8c*4s8Du^B5IVGrVcQlp@J4Rs8VQbs41,2s763Zs3^]Ks762&If'0:rVHKfmJHkY
+s7cTgJ,~>
+q=a"Gs7lQg&,?%roC:*sF7o+pp\FLUqYBjEpAt'`qY1?rlM0l)<1NgYrqHHds7HWh<.=f<pA+.(
+pBUEfYt&O"q"FUZs7i>_s7dZ7oDA7Wh-4:_oCr%Qrq,j]oDedUp\iK7N;Dl:lMAp&$2a&g@<qSD
+n+ZSTq#C0TpAk!fq1&~>
+q:Of^rRVS5gtg`@]Js9QeC<1+f@\mSf\tN`h#H+.g&KY?ilp0.`]o=?g""^+g=kE?h`kc9g>(N4
+db,2chW(([;;9s_g=k65f@SR'U=]Fq+5"rmg"aJ27c)_Jf[AEtbgjtkg<84.ZnZLTcJ?XqeC2hQ
+eD&:+6!;dkbgb/@df7_cdf.W"daZjteBuUed=;~>
+q>9@Qs82ils7cutrqcEgn7$A:q=aX`r;cimqr7PRqu6EiqZm/so`(pqh>@$H#QJ[gs8MonqU,3G
+qZ"B.E;f_3R/A$*oDS^f_,d?)rr;]kqt0IWo_8@Vp%eWW=2=b5q#8\<#QFAg=ci@Wq#1'fq!ItW
+qZ$<jpOE~>
+q=a"Gs7lQg$i'\mo((mBAbkugo`"Ucq>'aDpAt'`qY1<qo^DXN;q:L<p]'seo`t>*F8u",p%-T*
+#P@l)8o"+op&"L`q"=C[pp0W:q"amWq>L#p8seo;rUKa[o(2nSp\sdSp&C:R\b5^cpsJgBq!INK
+Mt-c<p\4X]s7tsS!;QQhJ,~>
+q:Of^rRVG1hV-]?dm[-kf$i4Lg&Tn'f\tN`h#H+.g&KY?iRZH8Ma##5f@AL)g=kE?j\]:Hh:gW8
+db,5dguP:g;W$9ag=k65f@SR'fDaJ!fDX7*f-/\qf?Dh(fpa[DdFd:&f@.seeBQCpdF?h2HSh;G
+g<eF#e'\TQf[.r#CXLk`eC=HFs3^Dcrm;#"eCN.!dEg(bJ,~>
+q>9@Qs82ils7d,srVQTora]=4rVcWjrr2ciqr7PRqu6EiqZlutq>##NrVQEh#Pj'no`+gas3^`L
+qYeB3ErYt4RJ\3+r:^$foTWYAoDej]rV?6_rUoXRqt^!`l"Of(r;Zfpdea:Lps;j-nc/XfqYg3V
+qu-Bkp]1&=~>
+q=a"Gs7lQg&+f_lq"=5[;YBh[p@e=Xp%e=@pAt'`qY1<grUf\qCA%2sp]'seo`t#8C$bTdo(g]-
+#P@c*9l0^up&"L`q"=C[pp0W;q"jjXp]'W:;:k(-q<e"Pq=t!`n+Z_QoC_-Q@.3d_q=`82$2O,6
+8seoBr:fsaq#C0TpAk!fq1&~>
+q:Of^rRVS0h:plHiC?)dg=k33gY:?Uf\tN`h#H+.g&BS>hq-OZ<T;fce(*('g>:]ABN!C=g=Y68
+e(G;dgu54k<9)Zdg=k65f@SR'rRq"urRJ4*+k>2ocd^t$DE#8SgY'j&dF$=kcH4Pgf@J]u7RY\W
+g=b!)dL+LWe>b!Bbh:\!eG[hqdIP`bd0S1Mf$r3sccsjf~>
+q>9@Qs82ils7d,srql`ps(,6lp](0drVu]hqr7PRqu6EiqZlrss418Gr;QNj#PXm(df07?s3UZJ
+q86'Ms7ZDZr#kn4rqZTVDKu3[s7Q?cqYg0`qXX7Tr;,s`ZWF6us8W#FqZm)rW)p1qrr2lmrV5dW
+rVHQh!;D!~>
+q=a"Gs7lQg&+fbmqt'Sb9AT1<p[e1Vo_J4?pAt'`qY1<fqYJQ7Re6=Pp]'seo`srQ?cr*9nG1K+
+#57Z%95OOqqY1$bq=j^[ZM4Co+8>X)rSM(#oCM\Eq"4@\q"t!]oDA@Wlhdb[U?MFKp<iU?o:f*^
+nG<"Up\jmeq<I\Sq#:)>~>
+q:Of^rRVS0hV7)Jk"%GKeDT$1g>(9Tf\tN`h#H+.g&KY@f%f)i3/->Kf@/:%g"P<>g4N#(hr!#@
+g=+^dg>:Y`2,rYfh:gT9g"4j+ec"2"fD3t&fDjACdFZh)_FRSXf\+U'dF-Umd+$=dg"P-,iK,mO
+bM:e#e'\TQf@GO.MU9u,eC=HFs3^Dcrm;#"eCN.!dEg(bJ,~>
+q>9@Qrql]j&,?2#s7cP->KZ@5r:Kmdq>U6gqr.GRqt^-d#QOPrYuo?ArqlWnr<NA3@^uC:pAND:
+#QOM5:N?F,s-`d-qt^9es4g\:q>^9Ys7H0co^`%]o_J:Xs7Gi3:Z)3Mr:TpeqVV/Tq>6:b_uBQ.
+rVHKfmJHkYs7cTgJ,~>
+q=a"GrqQKg&,6(qq="/d:rDGop[@hQpAXgap>GZGq"O^]$N0JhX&-k#p\4IXrq?`mp%PXnYk@h\
+p<iU>q=(seC]!Pqnb;kSYkK74s7?*;9ni'7o'-2Fq#0mWs8V`bp%A@Rl?PqQp%A%OpAk!GpB^?^
+MI+$np[n4Vq!.SRq#:)>~>
+q:Of^rRVS4hq-c<k"7b8b2M(%f\P0Tf\tN_gAKV@hppGC3O7,if@AF'g"P6<i0Zs$hW!)@g=+^`
+g>Ub]0iR,^hqHf;g&0J$g&9OueZm^KeC*1%h75:UeDf$#hosKubK8JicI:@simQ+X/A0]heC2hP
+eCE/f5+^BUcd_:/rm;#"eCN.!dEg(bJ,~>
+h#.0K&,lA%qYgGX=0_/mr;-?kpAXmeqqh5Nqtp9rqtg>G:B1=gqtpEk#Q=9tQ2gFTpsK!Es7sK-
+CAn&,RJ[<iqZ$T`Z;n=3qu?Nlq#(!fq[`Vis1Df\s8)Wgs8Voms7uTh!r2WgiVNl[nTeOBq>:!d
+qYg3Vqu-Bkp]1&=~>
+h"UgC'DhCqp%\KE:o<7Hp%A(Xp%eFYptYTDq#0sep':9_r-h36q"+FYs7Zfmp[1t@s6BXSdJ!nB
+o=IV*p\"3IpBUTfrqP`Z:9OTi!VcBgq>C"#p\+=Tjo;boC]<quo_SLYq#'g^pttfNrT\E,qt9^V
+q=s7L!;QQhJ,~>
+g"@%nf@\a1iG^]:cJdO1g>:E4f@ejUg>U`afDjMCg>(K>guN!"iSN/=f@S^/g=k?<e2qm<e*,E;
+e(G)^i7k"^9\nIXg=lJXT[tRGeD]3,Ou/EVg"=g&ccs_\cdC.geCN:*aQ/jX;s2c[cICFkdalbA
+df7hVdL"F]c;cp[daHIirmC/^rm;#"eCN.!dEg(bJ,~>
+g&)6Rqtg<js/B:mp](0jr<Dujq"aa_qq(`Os8DD)J,B9Gqu6EiqZm&nEJFMgs8(.@#QOV<<Gqj6
+qO.6ds760hr.8;=rVHKfq"kR$n,%oA[K$+&s82Kfrpp$arV5@K#QOO=Abc0%p\jseq!ItWqZ$<j
+pOE~>
+g%Q9Sp@\7Vs.i\VlLjfCq>0d[q=saZp\*M=!;QNes7Q]qpZZC;p&+abq#C'np@2pKs7#sXdJ!nA
+o=e"6q=XBJpB^T\p\a`4=lK)Rp\jpfq#0sdp(%,fon$#Drq-$`p@7tTmeQY:pBUN`CL?]-qXaOX
+lLt;RrqV'~>
+g"@4nf[nm3iJ'C?g#:cBgtUE3f@ej2g>(E9j4XIa%b91_g=kE?k2F]b?eaJqqq;#'#i+$/B'@q0
+g"Op.#MS(iVDh9-g]#q(fqI"Fg!8@1ggWRig"=m*dEg(^cd1"ddaH^tf]162C,hXBd*^CjbL=t^
+qpPMoimJ+^h:,4be'cdkrR(Yns4$Vfrm;#"eCN.!dEg(bJ,~>
+g&)?Ws7u]fppj+Fs8VurrqZQgs7u]lfDP[I#0Kr\o_SRarqZHg"ds6-s8;lDr!32sa'!H_qtZZX
+#QOYss7TN@s8Dfmq"adqq>L*gdq!Lis8MusrVl]mqYg3JqZm)pAU3kFs7ZEfrV5dWrVHQh!;D!~>
+g%Q9Uqt0dTo<^u*p@\%PqY'[Zq=saZp\*M=!;QNes7ZKe"iO3Ime-GRq#C*go`UIkq"OF,pBL9+
+;f)@(o9o=\rq#aWn54?(p@n=VrV?KgrV-?c%.s>ds34kdmJQeTqYC-bq=rqC#PR[oF7&f#o(i(G
+pAk!fq1&~>
+g"@4ph:CE1eWq[hjl,"Oh:L<2f@ej2g>(E9j4XIa%b91_g=kE?iSgjsT@DNLqq;#'s4[a':#Y$d
+h:g?2$JO=kWB4#:gY(<7qq7[p(#d`qh:=Mhhq?Z5da?Ccc-O_`dF-JBedU9`jg@QWd+ZsseC2gt
+dKn@VeO!3ZeCMkBdJqYpeFM&ed0S1Mf$r3sccsjf~>
+g&)T`s7QEap!,s7s8VoprV-0`q"aa_qq(`Op&C^_n+lSLqu6EiqZm&u^fTXtpA`P<#Q=M?=`FE<
+qO.9]rrr2qd9*^JrVHKfq>1^$kl:,J]2l!4p\+Xep%8:_qYg3JqZm&^=e>?br:p6erV5dWrVHQh
+!;D!~>
+g%Q!Or:'[RnB!gpq=a@Rq=O[^s7lWg!;>=E!;QNes7Q]dqO:.BoBu5Iq#C'np@u3rh>-L9d.[b:
+_Gb4Fp%4[H$iKtnoug77nb2_Oq#1$gq#'jtpA!\JlL_J\VY]lRrVuEWs7uHKpBUBL;OI"Lq"4CW
+lLt;RrqV'~>
+g"@4rhU:</d]4NYki1=Qgst-1f@ej2g>(E9j4XIa%b91_g=kE?g#RcAce6^sqq;#'#i+:02oak/
+iS)c6#MS"hW]O&7g]#q(fqI"Fhr*&<YrIorg"=m(dEg(^cd1"ddaHXrg;W-tg7:3[fZ_Ojg<7[q
+g<p8Vfu,dndF6RirR(Yns4$Vfrm;#"eCN.!dEg(bJ,~>
+g&(pJr:9je&*m:uo`+^cqtU*aq"aa_qq(`OqYu"Xrr;Zgqu6EiqZm*"hbq&boDd59#6"D=<c.g4
+R/@3`rqQMdEU*>tqYg3bq[``%s8;?cAmF?ir;$3_o`+mdrV5@K#Q2M>bQ%G4r;HKjq!ItWqZ$<j
+pOE~>
+g%Q9Tp[.tVr8pgLkP+K?p\"FZq=saZp\*M=!;QNes7Q]iqKQKEs7#d[q#:!lq:SHIp?V\(pBL9+
+:hTOqp6kX_nFuJORVV$Vp@n=VrV6HgqY(O!oDJ@Js'Sp`nb2SJo'lPPpu1rOot=)=qY'LTq!.SR
+q#:)>~>
+g"@4og!AU3hT.N5f&PH>g=G'2f@ej2g>(E9j4XIa"P),Ug=lP_#39/ahW<5?qq;#'#i4CQ17R1N
+j4_u8$JO=kWAmW.gYCN:qq7[p&C]CaiIFeHf%J^,da?Ccc-QC:s3gqs&)Gdng<J_K3kESacdC"\
+f%SOXeCgNMV:s>Adf%Sndf7hfdf.W"daZjteBuUed=;~>
+f_cH\pAY*loPIROs7uZhqu$6aq>'pbfDGpSk$a>Es7lWkrqZNis8E2n@Z($Us3^`LrVFT9D#=)-
+RJ[<crr<"CKDbcJqYg3bq[`]+pAb*hYtM=qs75d]rq-0crV5@K#Pjcln,N4Wrr)]lq!ItWqZ$<j
+pOE~>
+f_6-SnbN%[mq,/+q!n+Nq"sm_q"XUXp>>TEq#0sep':KQ>D_kKoDSR]s7cQg"moQHo'ZD%pBC3+
+:hKCmR.gjVp\F`-IeWd>p]($fq>'aqq>Bd]q"LjZWq$,Un,N7Rq=rqC#P+$Wl2:5FqYBpOpAk!f
+q1&~>
+f\%(ne(`[8d7Q:!jP&GAg"b32g"G*5gtLKBg&KY6e^rF,g>:]Jb!U1"jOW8dg&Ke+h?MFqCYRJ"
+g=+^^g>1Pa3)&)\h:gT[fqR(0g"+p6i)jFAhUpE/daHOhci)8kdf7f-g"b'7gY.]:MTt&"b1bCh
+g<p8Veoj$pgsF<qrR(Yns4$Vfrm;#"eCN.!dEg(bJ,~>
+g&)?[qu-6aqt#\BS,`Edp&=scs7u]lfDGpS[8b-@qY1$erqZNis8<-#Iq/6MrR(QCqZY,GDuKS3
+RJ[<hs8U_YS,*$]qYg3bqu?F#qtL-VolYQ7s7cBirqHBfrV5@K#P*"Ns7uTiqu-Biq!ItWqZ$<j
+pOE~>
+g%Q9YpA"1Mp?mQ&NqW,@nb`(Vq=saZp\*M=!;QNes7Q]oY>2k(o^_qWq#0pjpj$*4oCgT+s7HN5
+<,)+"QhL^aq9`B3o_AF[s7lThq=jp\%JKAmk4!>2ec515s8)?_pu1rPlY^/.o_A1Tq=s7L!;QQh
+J,~>
+g"@4tf\4g*f[+7dIH')?eD/^.f@ej2g>(E9j4XIa%b91_g=kE?jI%p(g"P!6qq;#'s4mn9?UWQ%
+gtL61$JO7jX?9;7gYLT;qq7^q'%u%$hmYaof@nm.eC)dmcd1"drR1_qs3hG.eDnWu;H'p\cdUe'
+d+ZnQeB_#]gXO^#r6bPms4$Vfrm;#"eCN.!dEg(bJ,~>
+g&)T^q>^'^s8K2tH2mmDp&F^[q"aa_qq(`OrK11Rs7c<fqu6EhqZcuuPtguPq9f*Eq>8EDF8u-)
+r!2rqoq,9ts7ZEfrV60b%fQ;%o)J]\;6THes7l'_rVHKfiVNlH@<2D;rr;`kqYg3Vqu-Bkp]1&=~>
+g%Q9Uo`":NqY@'XD"RGunbr+Uq=saZp\*M=!;QNes7Q]lMc&pBnalVSq#C'np%JBG7IKp@dJ!n;
+ouC3Pq=XHLpBU0em[-k\qXORZs7lThq=bHoq"FFKs7r'UWTj0Vo]uGLqY9%D#N]-)s6KO[oD/1H
+pAk!fq1&~>
+g"@4pf&4p+gtRcA>N"DteDAa-f@ej2g>(E9j4XIa%b91_g=kE?iH703k1A2?qq;#'#i".qFY;;(
+f\4g-$JO1hY<c+EgYCN:qq7^q%GB4me:'6CgsO^&eC)eCdJ_Mne.C3`f%/1-gNtH-ak,CsaP#(t
+dKn@E5#:+[e_&.FdJqYpeFM&ed0S1Mf$r3sccsjf~>
+g&1mK'DqY)r9rN4E<#\4s7?9cq"aa_qqh5]q#C<cr;HTo?$#60s8DilrqZKhs8N5@?E4&%d/4+E
+s&<h,oDb6V#QOW"E_c?'p\jseq!n4dAR504p\4UbrVHKfl2)"dr;$Bcs7H6.>cIbpqZ$<gqYg3V
+qu-Bkp]1&=~>
+g%YOA'__4ppZgBmA,bros7$$`q=saZp\*M="8)QenG`.es&X'sqYU'^qtU3c#PIoh^K.*+o?m:;
+p@S/UB(#'dRJ-s]nbR#mnal>Np\agZp\jdl?<6[qo()POp\4X]s7tpR&+oYirpg$XpqBb&qX4(T
+oD/1HpAk!fq1&~>
+g"HDZ(>.6mg!%)V;X2onjO)l:f@ej2g>(E9j4XIa%aj+be(W^:l9SFmi8NGEqq;#'#i"7pV*Bn!
+g"Op.$JO:jiAOBZe)f<;qq7^q$eaCji))&Te^E$ueF_2feG[r)5rmNOdaHb!eC=HFs3^)Z&'r_O
+g!&3oeY5'Yg<S*tc2H&idf7hfdf.W"daZjteBuUed=;~>
+g&1mK'DqY*s8)4r8,<2]n,N(Uq"aa_qqh5]qYpEirVQQ[?^^]hr;-3crqZNi#64Q!l<&Z6d/<q@
+"ohS;q"=ZTr!36!eQHPUqu-KirV5p[#G4hus7ZHlpAOjdq!%Ydq>^6ip]'pdUfY,,p\b!arVHKf
+mJHkYs7cTgJ,~>
+g%YOA'__4qr:T;X3puk9li6VQq=saZp\*M=%ef_mpA"=Tk#mo=qtB^TqtU3c#Pn#ejA:0mp!NO6
+o`b1fAFf3dR.gmYc;J-=pA+IWqtTdWs7Qbd8ZVm]q>^!Zp\jmeq<@Vap&"CYoD\:XSPZWgo(`%P
+q=s7L!;QQhJ,~>
+g"HDZ(>.6nhUg"A.GEh8cJ[7)f@ej2g>(E9j4XIa%b'+_g"Y??cpN06iS<);qq;#'#iF@mauNtc
+gY1-0$JO7ji\sK^e`#69qq7^q$JF7kZoCM#f%/@#o@!Ncs4.L'/<8`=g#(3,eG[hqdHT'id+6Oo
+cIpFpJM`\HdaQ^jrR(Yns4$Vfrm;#"eCN.!dEg(bJ,~>
+g&)T`rquWjs8W%D4llYCli6SOq"aa_qqh5]s7uNkrqcZ!;SiD4q#1*erqZNi#Q4Ams(Q?Ms3^`K
+qu$InA,Q.ir;Zd#ThD$MrVc]krV5p[#N9!#p[e@`o_nXbq!%Ydq>^3eqYp6hG?NGqr;QNfrVHKf
+mJHkYs7cTgJ,~>
+g%Q9Wq=jRVqtp)*0\Q3qkPt,Kq=saZp\*M=%f>nkr;$!\W_C&$q""4SqtU3c#PR`[s']L6qpG-C
+p%J2V?2!m`R.gj^RREV5q"a[\q!n(dg/hVMmeHhNp\4IXrV>^P&,#nmq"FRUrGYZZq=jaYp%eCJ
+pAk!fq1&~>
+g"@4rgY(33h;-dh+3!0pb2^t&f@ej2g>(E9j4XIa%bT:]hq[#GPW#;rhUpT:qq;#'#i+(ck"8D-
+iS)c6$JO7kiAO'Yg"b<8qq7^q$/+7sJ1>upf[eRMdf7hgdf7f)^,n[2dG!L(eC;pprR'lX&(&tS
+e'Z^kg/Ku8g"4d$ci)8kdf7hfdf.W"daZjteBuUed=;~>
+g&)T`rr)`iqYU29<lsn3qu?Ecq"aa_qqq;_qZ$<cs8DorIT5D.qtL-gqu6EiqZluto`(4go_[#5
+s8<'u=oS<oRJ[<irchQ&qYp9gqYg3ZqZm.f8AaokqY^<grV5XS&,Q>"qYg<eoi?#"rVccir;HKj
+q!ItWqZ$<jpOE~>
+g%Q9Wq=s[Up%J&r8\XHhp]'s_q=saZp\*P>%e]kmo`"X[qKPclrUo^XqY:*b#P@i[rf1:No[3C<
+p@n;T;u$%WRJ-s^p2Em_p%n=Vq!n(_qN+"Tm.0iKp]($eq<@V`pAa^Wq=jRP:MAtdq"sXWq!.SR
+q#:)>~>
+g"?khgY1<2f@\b[33(Ehg>W%_s4RG+!o2M`j4P!qe_S['iS38L@Q;BhgXk<:qq:u&#N+%lG=L-:
+g=+^^g>(TC1caFIg"P0WfqR((g#Csn2ndbnchl/jeFM#reD>?rT?l'>f@JI"df%SXdLXaZc-b%h
+d*=F@bh(Luc-lR<s3gqso$[Nb#h%5ReC;mlc-_%~>
+g&)T^rVlfmp\4KB=Io3ds8)Kbq"aa_qqq;_q#C-ds82ifDKZ!Zr;$Bfqu6EiqZm-#o_cs2\b=GK
+#QFYt<D`Vjq3h-cs4ge#s82ikrVHKfnbWRkgKJdcrUU!eqYg3Rq[`W)p\FdaqpeH/s82`np&G!e
+rV5dWrVHQh!;D!~>
+g%PXCq"aaYrpgPM99Sc>qtKg[q=saZp\*P>&+fhmpA4LZm:^G6rq>s[o_\F`pBUKmme4UkZ1$*7
+#Pe#b:J1?Ro9f7Ve5C2_pAFRYq!n(dqU8>\jnS6@p\4IXrV>^P&,?+pp%e=Ud79>pp%S=Qqt^$P
+pAk!fq1&~>
+g"?kfg=tB6eC<&d3e#`=hUqhZs4RG+!o2M`j4P!qe)/X*h:^f<;H_u@gtCN8qq;#'#i=Xlgo`E$
+e_8L*$JO@ngc$qBgY(<7qq7^q%GB[S4&k.hg!A*odF-JBeG%Dhd1Fga]K9-7gX"[+eC)dmdEg5)
+dLXgZcHt(gd]P*Ch::--bgl[>s3gqso$[Nb#h%5ReC;mlc-_%~>
+g&1mH'E.t2qt^309QC+.q#C0bq"aa_qqq;_q#C0hqtg?=?BtQgr;6Niqu6Eiqu?Tup]((fJcF-q
+#QOYt?VgRqqjI?eq4gTRs7ZKjrVHKfnbWRhs,'Cis7Q?hqYg3Rq[``(q>C-erMWf?s82Zkp&G!e
+rV5dWrVHQh!;D!~>
+g%YO>'_qS%p@S'i5A'rdo_eL[q=saZp\*P>&+fhnq=aLWa]OW#p@e1Up&"O_pBC*cnk+3+dJ!nA
+o^u?Yp%7pFpBL/W6^I`ArqQ9YpBUBdJjI<QnG*"W!;QNgl1Y_cp\"=Up\CU]_u'-"q=4CYq!.SR
+q#:)>~>
+g"HDW(>@U"f[ecR/lLocfA5-3f@ej2g>(E9j4P!qe)&U-g">8g6@%SIgtUZ;qq;#'s4mn2j4cA!
+j4_u8$JOCmh*E^Kg=t?8qq7^q#he!f/puX*gXH,Kr7(Mir6Z)*g#6]rWSl4Yf$r3tdF$:dl-^*n
+da6IkdaWh)Vr-%TeBHMBdJqYpeFM&ed0S1Mf$r3sccsjf~>
+f_cHZqZ$Tnqu6:o;sjSWs82Tdq>'pbhu"&^s7cQhrV<$_ZM=.kqu6NjrqZNi#Q4Ans8RLZpsK!E
+rqZS5<;cRjRJ[9]D-#0ap&FsdrV5p[#Q4VH=GcJBq#1'fq!%Yds7Z?iq>L8<AbGotq>L$drVHKf
+mJHkYs7cTgJ,~>
+f_6-Qp%nR[p@mlK8EKU9r;-6bq"XUXp>GZTp&4I[o_A$F9W[gSp@\7Xq#C'np@@kUqK6-7dJ!k?
+oD32sp@F[G#OH"sc1g`-pA+LTpBgWhp%cR'KB`(#rq?EfrV>^P&,l(nqt9d\G$aV.p@S1OqYBpO
+pAk!fq1&~>
+f\%(lfA,38f\>"A1sXq,h:pQ5g"G*5gtLKBfauccg="g/gY76:QJ1!HgYCQ\g&Kb3gt:?Cj'G7-
+g=+^^g>:TD;Dd1^h:gT[fqR('g"0%\ZeEd]r6bPo!7q/!qpPAh&^Sn[jK:LWbh(CreC;podEg/'
+dLY!Tdaldpe5J]^f@JI$c.)^>s3gqso$[Nb#h%5ReC;mlc-_%~>
+g&)?[q=jgcqY:!gI7(OEq!n=YrqkRM&H;A&q>^)5>1<EHs7uHcqt^-d#QOf$rU6UdbOk]4qqq;V
+rV6D?>Q+<qr;6QlY5A:soDAjb;/6.1qZ$0bq?$HgqXOFgrq?A?:sf(4qu-Bjq!e.\qYU.#s76*f
+p\t.tDZB;,q>U-cr;$KiqYKUVrVHQh!;D!~>
+g%Q!Ro^_bOp%.kNE&b!!oBuVRs7lWgs7YCF%f,Vno_Rut<6b.0q=O:PqtU3c#lFGkpZS5I`:ilu
+!;PFF#4hb:<VQ%Yr:^3dY4hqkrqHBdqY(6\8RhYop&=FWq![qcq=+6)9$?ntp@n=Vq#:*YpAk!c
+pCI;lq#0g\qH7J2lhL/LoCr.Wkk>)PrqV'~>
+g"?kkf$rC,f@AR7?R2!!f$F?Is4RG+s4dV.in4jog!\g1i7;-s[GKZqf@JRNg&Kb3hV?oBc@n6X
+h#?$Xfauulk$C4.g"tH9f@S^/g=b/]fDX7ufDjM0g=A)Rj4r2>b5K`fdf%\mde_?&dbNL7>qiG6
+e(E7$da?Igcfrjfg<%grd+?l-9&n4LdacY@dJqYpeFM&ed0S1Mf$r3sccsjf~>
+rql`nrr(gRqYLTss-?K4s7ZHkr;-<Lr"8Q#r:9mfo3#2qr:]g`nc/L`qtq!#s8Vfmel.P(s8V]j
+o)JRaqZ?Tjqr.GXs7H,5AAJ*;r;-QkqtmYr!W2]iqu?[)qZ$Hfs7NI(HhIF:q"spgqX=:ks7Q-8
+=)J!3r;66as7u9UqZ6Qgqt^j'qY9pZrQnf>qZ$0ep\"L_qZ-KYqu-Bkp]1&=~>
+rq?BdrqPIHqY's^#E)#oqX=1Sp\ssDpCZooq!S+ZlVULVp@7_RmelkTqtCWnqtfj]d8#JfqtKIT
+mJZ_Vp]:-ahtIESmI>4&\b5Ofr:mJi!VlKiq#:(#qu69bo^VkIVI"E6s7c0[p\spgp\=4O&,u+j
+c;J?SnFcMHp\jjYr:0L^q"am`s7['%p@S(HpW?O'pA==XoC;YSpAk!PpAk!fq1&~>
+rn.8(rn?>aqUcD5iH[.ciR?N6f@AL+g=k?;g>^crdGN^-j5ncQ3T]&Ge)/F)q:Q8/h;-T=ZnZ=M
+k2=\Fd,4iSs4RA)iRnb!dFqkuVVg%[f@AF'g"bBQftZ/<ec+#/f%\a/f@Ag/O@W[-jO_f-dJhJl
+dI>QpeDJd,Yr,25eCiL$dFQ[enC%?arR1_q&)#FZe'?RF2L!X&bh::ceEYK]d0S1Mf$r3sccsjf~>
+rql`nrr(gRq>1Eme5L/\qZ$Hkr;HNPr;ZZorXASupWc]Xs8;lls7Q?dr"&i$r;$Ba>\E^(s82`j
+rqcTjrV>FM#PnE"Q<:`ms8Dinq6Kququ6Eiq[`N&qZ$Knq>Z"H_#4!+s7P[S%Jobsp?m6,dJNtD
+rqQ3dq==F_qYp9fq@<2qrqc8b@(ZC7oDeX^qW7VQqZ$<jpOE~>
+rq?BdrqPIHq=Y-_a[fh1nc/:WptYTTq"Oa`o^q[n95=@tq=aj]rV?0uqsjFQqsINpm-soDp@\7S
+q=rqC$1n#mN`!.PqY9jbq>U/pp]($bq%35up%n@Xo)F&5](bgkrpfa\q![qfo)8.EF\p6Qq"jgY
+o_84Yo(W1Z!;ZTgs7[&tnb2eNm\!amq=j@Up%A%<pAk!fq1&~>
+rn.8(rn?>aqUc&+g:&n2g!o']ec48$gAfq.g>^cqg>Cf@gtAqj;rQNdfAY-Pfacieg",!+3CVQU
+k1nbEg]#h)g&Kb-gtLKAfauWgkBT:bh;[,<e'lk#gt^WSftZ/=ec4+udLadYe_8^5f]Ha)U>"/M
+gWS"Bci;D`dLF^RhUTkQ1U,Tgh:^3$rm:2`s3^ens3qS.cIU[uc@\0BeC)Lkd*U2*df.W"daZjt
+eBuUed=;~>
+rql`nrr(gRq>1Els'/F]q>^?jr;HNPr;ZX(pAP!cql<ngqtL-bs7c6_r"&hss82WlJ5=\bs8Vin
+qYgBirV>FM#PA&rX\ub+s8Dinq6Kququ6Eiq[`H$qYg?loD`;sq#Bs_s7YaT&GkttrV<uiQN-j]
+s82Ebrq,dYs8)`irV@'!q>U*fqg;i4rqQ3dr;HBOqu-Bkp]1&=~>
+rq?BdrqPIHq=Y'\rD?&;nG`+7pCR,op%eIToqPEIo^VkOrqH-^pC@/fqtB[^HV2NHq=sLYp%\=@
+pBg9frhW8oo)&4WrqZQgZM4CoqY:]orq6'ZrTs;b9(MlIpAa^XrqPmT&+BPpp9ZrCq=OFZp[S(Z
+p%%kWp]1-gq#C(!oC_qLqt5)9htm!9qY9mXiqEHJrqV'~>
+rn.8(rn?>aqUki$#4"E+^sh8mrR_)'s4dV.in4jrfA>E=h2XXEg=P33h:'gJfbiVkh:U<=>qNP:
+jPe_Kf@nj.g"G*5gtLKAfauHhkE%]shrED?e'lk#gt^WSftZ/=ec!r.cIpb#g#:B97l&fTd+7*u
+dJhJjdIP]seB[",f9[S%hq6Z<eB?:jbOO$\dJ_Mne.9pSg!SR)=?F1Gcct"heB[@-rm;#"eCN.!
+dEg(bJ,~>
+rql`nrr(gRq>1Ers*mGErV$6hr;HNPr"/c$nG3%Xs,1+'qXsm\rVH-]r!EAqs82Qj]iUa$rqZ]r
+qZ$NkrV>FM#PnDqZ<4^<qYg<iq6Kququ6Eiq[`W)q"jpcrlAGbrVl]js8VB]s8!6$s6K>[D"7Ar
+rVuZkrUBCTs8)`ir;-Hn%-mlkA8qMFq>C*es7bXPrVHQh!;D!~>
+rq?BdrqPIHq=Y'brcC0$oC)J.pCR,mn+HMIre".coC)YJqYKgZpCI)hs7Z$]\5JR_o()GNp&"R[
+iV*ZMqsg[`Zi0Okq#:*gpp0Yoq#:'hq#:(#q#'aVp%8!o=_[X+p@eC\p\ssUpCR,oq>][J;e>7c
+nG)qTqu6-Vp](!gq>L*gpCHurqrRkP?#'31p%\7Uqt&hA!;QQhJ,~>
+rn.8(rn?>aqUc),hs=_qP1\48rmq;+g=k?9iRnaodG!I2k&*A_g"#!.g"+LFfbiJlj4Ml<RPfTQ
+h:pZ@fA5'1g"G*5gtLKAfauWhg6FmqlJ1(Ce'lk#gt^WSftQ)<ec!r-g!eR+f\NMm;;L$[e(E3u
+rm1Pjn^7s!fAk!%2G;EKe(WL%eCMb3df7_ndf7f-e(WQqi7C4df$i!pdF6[llI,[Z#h%5ReC;ml
+c-_%~>
+rql`nrr(gRq>1EspVTIIs7cNkr;HNPr"/c(p%eCWs(tp3s82iirr;chr"&Z$s7cQbnRlY;q"=[`
+rVuinrV>FM#QFVp[p5^.p&4ddq6Kququ6Eiq[``(p\Op^s++:Zp&>!fq>]aW&Gl@ss6BWX;8</,
+q>^Eiq"F:Us8)`irV@'&s8DKfdTE7DpAP$dqu-?Pqu-Bkp]1&=~>
+rq?BdrqPIHq=Y$em'o,srp\V8&GZ(np%7eOAPqjkp&FX\s7lEa&,#Yro)A(D@UoH-mJHSOqYBpF
+pBgWen#o`]s6oaXrqZQgZM4CorqZThs7m6+p[\"QmJhH0Y4)2_p@\=WrqPpU&,?"ms6'EP9"=ch
+o_\O\q=44Zp]1-gq#C(!q"sjQs3+?1s76!`o_81SiqEHJrqV'~>
+rn.8(rn?>aqUc50j4^:T=Q@laf@S^/rS$5`&)>aig"GC^4P&HFimc]:eG7c7f@]'3i6]b<:@-`d
+iRll>f@S^/g=k?9g>^csf[ncE6](0]g""R#e_/a5g@Eq5f)jXWfDa>#dh(<adb!=(k[HT=e_Js/
+dacbEci;D]dLY$YiQ1)0/tChLf%AO#dEh@2s3^ens3qS0f\"F*X>G=[c.(@kdaZY/df.W"daZjt
+eBuUed=;~>
+rql`nrr(gRq>1Eso`%ujq>^9hr;HNPr"/c(q>C*fnmm(Hs8Dukqu-<br!iW$p&F^bJm/!Iq>^0g
+r;6HgiVWrZr;Y#BK)bZFqu->rr;ZZnq>L1$s7l?fs7cLo<:p+gq>:'`lMD.hq"OI\rTdF5qZ$Kg
+r:opao)&I`rqQEf%eof!r.\D6rq$0iq#'scjno#Qs7cTgJ,~>
+rq?BdrqPIHq=Y'cl1@Y?n,Dn3pCR,qq"XRWls+T1q"O^Xq#1!_pC?uknGi"XI8]V,nc/.UpA+LA
+pB^Hf`D:jXoD&+[q>U/pp\ssfq>^6iq%3Suo(i4Qp.nHOp\a[Xp[e.Yq!Rkfq"=CPqtT;JH1Uq-
+oD/+Ps75pap]1-gq#C(!p@IqUp4-)rqX=C[o_A+SiqEHJrqV'~>
+rn.8(rn?>aqUc50i76[B0@o.5g"4p1rS$5`&)>mpgY^LN?0C)#hUL01eG.]5g=Od5dc"RshVQuJ
+eD/^.f@ej2g>(E9in4mpf]'+uB^"4(e^N!tg"bB:o%Ck2s4RG(s4..u&DY[]gYgZ?3&]:?hUL''
+c-cO:s3^8_%b9%`gW;0UfAG91f$M^pn^@HbrR1_q&(AnThUZ'm]@Y3Xf$Dgle*>B\d0S1Mf$r3s
+ccsjf~>
+rql`nrr(gRq"k9os)h&Gs7lQjrVPUP&Gu>"rVl`<>,hPsr;66ap\+C[!r_ujrr38?@D)O<rqQNg
+rVQQhiVWrWs8VC^Fo).:qu->rr;ZZnq>L1$s7lHjrVj`3FT;:=pA=m^lMD.hp\OL]o`'YMb5_M3
+r;H0co)&I`rqQHg&,,qqs6`s4rVH3eq=t!`roO%UqZ$<jpOE~>
+rq?BdrqPIHq=Y'_o)*5iY5e%jp\jmHpCR,nq"ad[`DWE*nb2\Kp@n:UpC?ukoDSO^]NMW6q=sRZ
+oD/1?pBgKepu=taoD87WrqZQgZM4@ns7uWg&,Z"lrV#uu88eJ%rpfa]nET`Zq"4FPs6ou;<5\M2
+m.pPKs75pap]1-gq#C(!o(_eUkYZ<np@8.To_n@WiqEHJrqV'~>
+rn.8(rn?>aqUc),g>:sk.[B)Ef\$bghV[1l4cJCPgt:0-e'e$E(Y[Kkhq["Z7%rMthU^Q6f@S^/
+g=k?9g>^cseD&s-3*Y>#g""R#e_/a5g@Eq5fDjP(fDX51f[87,g>/S[<9DomdF?gkrR(Yns4$Se
+&(/tSiR-Uo32bQjbgt=fg%!MjdJ_Mne.9mUdbr2$;qKLBg!J'tc.2+-rm;#"eCN.!dEg(bJ,~>
+rql`nrr(gRq"k6pn;^Xnqu$Bjqr7PRq[WE!rpcLG]);=&r;Q]jq>'q!qYpNom/Qh[COl6\p&+jb
+rVQQhiVWrWs7H:fIJEj@qu->rr;ZZnq>L1$qYU3jo`'eLV#9`^qYC0dlMD.hr;$9eq>%d*Q1Y+G
+s8VT_o)&I`rqQHg&,#ttq;YAAq"jdcoD/FYroO%UqZ$<jpOE~>
+rq?BdrqPIHq=Y'_puR-(C@q2tp\jmHpCR,op\=UNQ92DEnG2hUqtU!_pCHrmrqYaWo)3'Cnc&"O
+rU]j[iV*ZNq!@]HG4GM*q#:*gpp0Ymp]1-gq#C$sp]'XWJkhp3lhpGKs7GUN!;QQh$hs;c\5&(O
+s6KU_nF?8Qp]1-gq#C(!nc/4Qh+X%'p@S=Pp&FOXiqEHJrqV'~>
+rn.8(rn?>aqUc,-g>^Fq2Gr,[g=k3jg=b<>ds`X7h:CK:gtL9.q:QV:gYgi.imcm]A_cJ!g>CH4
+f@ej2g>(E9in4mmgXY7BA)?;"e^N!tg"bB:o%Ck2rn7>'rm_P.f%K'3i+k9)g<SR*d+ckEdJqYp
+eFCrgf%&FPed7j%Em`plgYL*$n^@HbrR1_q&'j(]e@dDVdaQOpb0\qee`tT^d0S1Mf$r3sccsjf~>
+d/<qD%-0oZjT#)Nrr;ilrq>@L&Gu;$o`+r)?i'a"r;?Hhq>'RY#E)gZp&4[crr)`mq;M5Us7Z6`
+?uQ)Cqu->rr;ZZnq>L1$rVuTks7p;<lLOiPrV?9clMD.hp\XX`q>^#(>lX]ks8)Ebo)&I`rqQHg
+#QFAqpSq9=pYG`FqZ$<jpOE~>
+dJ"1Bp&E`/9\oU<o(i7Yq"s[BpCR,mqsaU_@TW-np@e7Uq"aaUpBQ=LmHsZ>s7uKciV*ZTn*ojM
+B`7W!q#:*gpp0Ymp]1-fp^[;nqZ$(m>ib;GqY9aVpA=Rap@7kgq"=OTrq-3UBN>*+m/?\OqXXC\
+p]1-gq#C'nqXFOUUeo)$g@kUBrqV'~>
+db,2cg"b`+,W!?sg=>!:f\,!,iRnaoh::QH8j_@jgt^T9f@AFBfb)qU5hOZDf&>B8f@ej2g>(E9
+in4msdb3DG<U/Dne^N!tg"bB:o%Ck2rn7;&s4%P1hUC<Bg.FfVd+R4,rm:\ms3gqs!S5cjdLX[S
+ce[11cV-@[fZr:%dFRj9s3^ens3q>+c/I*(0WEILj3mqS#h%5ReC;mlc-_%~>
+dJX%E%JTj9>Hdo'qu-Ngp\k*Nr;ZWtrV$6Y?toW=s8;oos7u3_#IR@9s7ZEko_n[cq;M5VqtC!g
+C2X%HrVQQhZMab"rqZNi&,Q>$o`+,dC@h6!rqlKdr9F.jqYU3^s7cHkZXg-:s7u9ao^_nZqYp9f
+q?HZnoR:95s5!SNqZ$<jpOE~>
+d.\%FmIXa_W:ToZq"aRSqYT:H&GZ"to(qQR@J0<ep@n@Wq>'RT#H^M!q=+1Un+lb;pBgN]p%W$0
+p[e1TrqZQgZM+Cpp\OXqp&FXPqqtahmIU,Kp[n.RqtL-ao(N^jq>Ba\o(W$_?)7>qp@/"Po(W1Z
+!;ZTgs7Zclo)%m#>iG_:pAk!fq1&~>
+dFf&chpgCM30)\NgY:N6e(NI6falfnfAFqA9]4d_gtCB4e^a6D&_`U/RGufPgsOa*g"G*5gtLKA
+fau]^hW%I4jP/A<e'lk#gt^WSftu>@g&B\,g"4jTeJI2qdcAM@9@MGFg!n?oda?IjdaZdtf$s9=
+&(B+Sg="[3O?n]Xhq-3.d.,QadJ_Mne-OOLgWrta`8T5+df.W"daZjteBuUed=;~>
+dJX%E%J0Ur<-nTEqYC'bp%n^Jr"/c%rqQ?8=*joFrVZTjqt^'Xr!2@aGQ7=8rV6?grV>FM#Q"2o
+s)2KAr;HNkq6Kququ6Ehq[WJus8JHbZ2O_&rV?6brp'@lqYC*^s8)?eoPn@<rq?*`p%&"[qYp9g
+q?R'!qqbA2rVt^NrVHQh!;D!~>
+dJ"1Hp$)LF8TOV&o^qnOo(W.CpCR,nrUfg);0)F(p@e7Uq"aaUpBTPLDu]8&q"+=ViV*ZNnFlTi
+?LIO^q#:*gpp0Vpq"OX[&,,\grq;LIWVH>dq"=:QqY^*ep@@qhq"OdYrq5^Zm:ol"q=F7Up%%kW
+p]1-gq#C'nqt]s=:k\Q@g@kUBrqV'~>
+dFf&dg<eu81L&htg=P'1dFR.3facomgTW\DiniJGg"G!-eahB*g;uBZkg\JCe^rF+g"P08g=kQ>
+&Cf1di`8_,hV$H.e(*.,gtM>P_Uee@rn7A*rRVn;e^rd;HSq&Bgt^Q1cd:1hdF-Imf%AR'o$S&q
+f$)n!d,`SL5MFlAe(N.=df7_ndf7f&f[eWa0P&kmeDo!Vd0S1Mf$r3sccsjf~>
+dJOLQqZ$QQ;dfV$q"=OaqY&nG&Gu8$r:m?jPQ1U[r;?Hhq>'RY#Q&UDrVHKgs8Dinq;M5VrV??`
+DHH*&rVQQhZMab"rqZNi#QOAks6<`fo`"jnr;$0crp'@kqXa^\s8VZis,:=Am/6nSnb`@_rqQHg
+#QFbtW)Lq?o\KECqZ$<jpOE~>
+dJ"1CnG2_,86GTXo'c;Np[e4?pCR,lr:oo]98iQ;p@e7Uq"aaUpBU;+:A+8So`+a^i:dNJoBg0e
+ir&THrqZQgZM+Cpp\OXqqsF(Vi_`J;qtp6bp%A(UrV-9ao(N^jnc/:\qsF7ZKim$kq>Km]o(W1Z
+!;ZTgs7ZcpqspLV`r,8YpAk!fq1&~>
+dFf)`e_o2s1-sgQg==m5f$N""in4johVHkF1Nqd7gt^T9f@AFBfb)rp=ZP?mgXbB9f@ej2g>(E9
+in4mpe_JeW4jW3Be^N!tg"bB:o%Cn3"khVbg=k6Zf,38gf]L@>44i?Dg==QsdF?RkdaZk!f[eRC
+dLaRQce$gohVr63]ZSsbd+?e<df7_ndf7f&f@\N(/Z.FNeDo!Vd0S1Mf$r3sccsjf~>
+d/<qD%/9dO:Wr_:p\=dgp%dVF#Q+5ls7q^SYl=V$r;ZZoq=4@fqOpa$s8M]krVQQhiVWr[qtp#2
+:u)*Lqu->rr;ZZnq>L1$s82ifa&[`bqu$Ekqtg3flMD.ho`+^\s7uNh]PFA:s8M]eo)&I`rqQHg
+#PJ)bBP[MEqVD&IqZ$<jpOE~>
+dJ"1CpA=7LF@X7CqXO1Wr:9R@pCR,jqYTrB9rRaXp@e7Uq"aaUpBU8W8@\TnnGW1XiV*ZRo^hEi
+8_*b6q#:*gpp0Vpq"OX[&,Z(tmCuD@n+QMNq=jUWq#0scp@@qhq""IYp&"CQosJ>'nGW7Wq==:[
+p]1-gq#C'nnbVN\AbGfig@kUBrqV'~>
+dFf)^gZ$`>?8A\Bin)c?gX"@#in4jmgu-n+23ZtTgt^T9f@AFBfb)roL,5O_gsY*3f@ej2g>(E9
+in4mqfA+tc2T"P.e^N!tg"bB:o%Cn3+kbT)g=k65f@Sj2hUAD`A_Phhf[eKudF-FidaZk!f\"^E
+dLaURcd17nf@cWcK@A]4e()t=df7_ndf7f&cI^3+7Fg,AeDo!Vd0S1Mf$r3sccsjf~>
+dJX%E%/Kr'a[^^Rs8MWhs7YFL&Gu4ts7pnDdJj+Cr;?Hhq>'RY#QE1[JH,ZGq>L3hq;M5Vqu$Kl
+O&47%rVQQhZMab"rqZNi&,uD)q5$f_r:p-cr;HQjqWdqhqY^?dnb`@bqWi-<s8DNgnacSWqYp9f
+q?HuO98rl?s5!SNqZ$<jpOE~>
+dJ"1Fs6oXT^-?]1s7l$Zr:BaDpCR,kq"s`)<QXt-p@e7Uq"aaUpBUE8=Es]Bp%8(TiV3BF#PdqI
+8]pc%q#:*gpp0Vpq"OX[&,Gkto:8=Ao^hbMq"a^ZpAOaap@@qhq"k$_n+Z_QoAjY"rVH!_nacGS
+p]1-gq#C'npA`Q1LA:'1g@kUBrqV'~>
+d+JrieD0#].ULrpi6g?5d+6h.falZfi7_?t[,KlsgtCB4e^a6D&_c3R6Xep6f@JR*g"G*5gtLKA
+fau]diSSf:\),fge'lk#gt^WSftu>ag"P68g=b02fA"m=fn_>?h:C-+e^W'qd*^7jeCN:*f[TN@
+&^f(Xc,nJig"4AC9AnROi6TpDdf7_ndf7f&e(h5UB%YA^eDo!Vd0S1Mf$r3sccsjf~>
+dJX%E%K-8+qcltLs8V`hrq?<Mr"/c'q#0r!AF9EqrVZTjqt^'Xr!38tJR7F;s7lQirV>FMs8<-$
+rL6U)qYg<iq6Kququ6EiqZm,ks7gt9df9=DrqlfoqWdqhqZ$<cp\Omfrr8Bgg%=n9o()\XqYp9g
+q?HuqRom8roA'6AqZ$<jpOE~>
+dJ"1FrUT^Un5Ms+qu6'[qt'[Dp](!up\FDg?KM"Up@e7Uq"aaTpBL/5<o3lRoD/1>pB^Kfoor"a
+o_A4\q>U/ppAt'`qY1EnmJla!7EYW'p@nR]!Vc<dp\jgVpCR-!q"OITq=aRZP#Km"nGi(Mp](!g
+q>L*gpBUWhQ;b0\m.K*,!;QQhJ,~>
+d+JrffA>E=5;g(5k0hu9d+?n/falijhUk@gd,a'=gtCB4e^a6D&_c7$A3\#mh::-/g"G*5gtLKA
+faucgiS];FYM@g]e'lk#gt^WSftu>Dg"P68gAT\AgX#$7?SJtPg"+['e'l^kdF$Inf%A[.eFV*#
+dFZ[jcdUS#gYd<7\'ra`d+%X7s3^ens3q>-dWRF2dEg@mj3mqS#h%5ReC;mlc-_%~>
+dJX%=%KH2&s*[bInc/Fbs7H0Hr!NK#qt460rr;rpr;QTnq=4@gp&CFX^@M6ur;HNlq;M5Ws8Dfd
+R7bHrr;HNlq;D/Zqu$?hqu$?hqu$?hqr%DPqu6Ejq[39#q>JfBErYe3roEqfqZ$$_s8D`ds8UMP
+RIL7Qr:9abqYp9hq?Zuoi*1-[rr;]Jqu-Bkp]1&=~>
+dJ*\3%0,hkr,kT.l2UDQr:/_>$N9\mmoO&nr:TdXrqQNhnb3I\s-$-dmJ->Jq"XUXrqPIH#lOJi
+mZKrPp@nFYi:dZTp\=LXp\=LXp\=LXi:m'B$hsJhpWcNMs6fd[pA"C\p@@qhq#0^Zs7u<Wq"W$6
+PjA8Aq==:[p]1-hq#:!mo\3D]hYI3Bg@kUBrqV'~>
+dFnQL%cl-tj^L-1dcf<=g!8+!in4augYC=D9]+sggtLH7rn$_o#hmnoHSh>@gXlGXr7^,_&)Q$q
+fRGTShV-T3e^rL.g@<k4f)aRYr7MY8gt1Ah2H8tmh:^B/eC)dmrmCu"f%/L)eFM$!f#H4peBub"
+goib^cJ@.*eFM&fdJhSme-ETD9"s!:cd_"'rm;#"eCN.!dEg(bJ,~>
+l2:AUo)&gkp](!fq<lBu?N0s,m/?tVi;<i[osn%Ir;Z]nqu6E]r!NJofN!"mkl:VZr;QTnq;M5Y
+rqcZjSnG/(rVZTmqu?KNr"&]#qt^-bqt^-bqt^-bqtoCNs8)lnqtpBj#lXc&o<:fmqZ$Qns8;'W
+s8)`irqZotrqV._qZ$$ao(s!ps7c<gp@nUYs-d#Rp&F^Xh>@0Is7cTgJ,~>
+l1b#Ko(N^jpAajdoB*nT;tg"dkPG5KiV*]QrU7'fF8#G'p\4U\nb3:fmF4pKs5F"WpAXgdpu1rS
+qtBsZQslfap%S4[q#C0KpCI&pq"a^\q"a^\q"a^\q"WkCs7cZkq"Xj_#kn#fmA`OWpA=jajnJfM
+!;ZWhs7Zfmq=K)Kp%mtQo(N^jrV6*do()hJqik!>nc/4Pg@kUBrqV'~>
+l.Pmdn_"K*i7R,Fc`\rci8Wh>fA+['j4Ogogu[.W1g/VkgtLKKfa$E][l%+Ha6*BVrn?8_$f'Fo
+gOMqXhqm)?g&9Omftl;?ec48$fb3#oh;6VB.?rNBg=Y'0f@8<ueGdnreF1icdJhSoe-X^Ze6PVs
+gs"X)o$S'"d*UOndc&I-F>@d[h9F4(df.W"daZjteBuUed=;~>
+l2:AUo)''ro`+RYq#BJa<m^dBs8DihiVWrZq#@*kZN'b!qu-?]r"/bts7'W$q#C0grVZTjqt^'I
+r"/c)oD&6nHEHl=rVZTjqt^'Ir;ZZbq;V>Pq[WH!qu$BjrU9dW?uYr/q#:6lr9*tWqYp9fq?H_f
+>1<HGr:9^rqYp0cqYL!Ys8@4Qj8])Bs5!SNqZ$<jpOE~>
+l1b#Ko(W1Z%fc4ro_mNE8]C5mr:p'ZiV*ZPnGJbRXSMJ^p\XaVpCR,is6X2ko(V\Ip%J+Rq"X[E
+pCR,ro(;^_FJ\Btp@e7Uq"aaFp]($Zq;V/Kp^[,pq"OOVp?2JB>&<lup\ssfpAjpNp](!gq>L*g
+pBUEaRoR`-o(MYK&GZ1sqY9aTm.p?q?JkbZlMoT4!;QQhJ,~>
+l.Pmdn_"K*j4;o<ji9_HYM7aef[\C$j4OdngtCeB30N1Pg=klG&('4\6T<ZUg>:]AgtLH7fAYBn
+h:1-6RTts,hV?o>g"4d)n_(e2s4%h4e^`@+gt^9?dQgU\c.Lb(f[na+rRCeos3^Abs3^ens3q>'
+d<daQf@AI%o$S'!cIC:me'Hh&<Be(Me\^,$df.W"daZjteBuUed=;~>
+l2:AUo)''rp&"CXqZ$J^99K&Cs82WgiVWr\mf.]9mf3(\qu-?]r!3,qrV;s[Z2ah%s8;oos7t[P
+&GuJ!q#/3UT_A?_r;?Hhq>'%Js82B_ir&iR%f-#!r;?Nls74-'V#UD`rr)lpkPP;UrqQHg#Pn8@
+<h0'ep%%tkqYB[\o`+sXs1Mp9s7cHgqVD&IqZ$<jpOE~>
+l1b#Ko(N[iq>^-`pAaZD5_e^ps7Z0EpBg]Ys)h0%r:9UVqtTaV#Pe&lopA@Pq#9sdp&k'aq"`qD
+&GZ+no_H:AR-sY@p@n@Wq>'%Es7l0\iqNKJ%f,npp\4CTq<G^bT`=rZrqQNf!;>XNs7cTirV6Ee
+#PIi3;3pnRn+-2aq"O@Wo)8RLs0c1&s7H0cqqCcEq#:)>~>
+l.Pmdn_"K+hq$Q<khUS:E7iV!f$i.#j4Odni6UUn2U:=7g=klG#1hP]HSCT@rnd\1"5;G]fAYBn
+h::38W*"]*hV?o>g"4d)n_(e2s4%h4e^`@+gt^o<V(I>\h9js1f[na+rRCeos3^Abs3^ens3q>&
+e>G$Ee_nd'o$S&qb1=emhT4`F5CDA9eC;t,df.W"daZjteBuUed=;~>
+dejUPp[\"WrUp0J?s`!mr;,=K#QO>o?W@(*r;HNkq==Fpqu?BgeQm.bs8Door;6Beq;V;`qu$Em
+qS?6gs8Door;6Beq;M5OqXaI^qVqGQq[WH!qu$BjrVuYAAD$/Hnc&Ler9*tWqYp9gq?Qotn99!I
+s7Z$\&Gl1oq=aadq"&K<kkjuFs5i)6rVHQh!;D!~>
+de==JqtBa`q="%-<E%fIp\"@XiV*ZXl1nCUr;H?`p\XaVpCR,upA**;C?k`ip%J+Rq"X[Ep]($g
+r!`;2;1JB6p@e7Uq"aaDp[e1=p](!uq=saZp\+=\n9A9hjo=iLq#C'gp?;8Np]1-gq#:!lqs/9?
+n,MnJpCR,np%S+Qrpf>i@,q"No`+(-pAk!fq1&~>
+dFf&ae^rm=fAXP34iQ./f@\a8fa?Hodc*MKioAhJg?[E&gsk,d4]'VhhVR&Cg=b02iRnarhVm4a
+3GRU2gt^T9f@AFAg%!\af&G<]eJ-K_e_/X2h!!Et7(:7tdG!=,f@SUPeG[hqdIGZbdJ_Mme-FXL
+;GPQtd+%X7&'rMJcI^q&cV6dEeBQ:o^>dT?d0S1Mf$r3sccsjf~>
+des.B%Is2mr:L$gW'dTbp\amGr!39"l<Ilqs8DonrV?$^&Gu2!s6k/6gALpJr;?Hhq>'%J&Gu>(
+s7aZ)E<#n8r;?Hhq>'"InbV8Cs8*<%qtp<hrVcHi;fMd)rVHNls8;'Ws8)`irV?`rs8T<6hYm!A
+&GlA(oDS1Rs0>^ZrVuods7b@HrVHQh!;D!~>
+de==Jr:Tjbq!S"PTKAqFo(VnSiV*QRo\rhVoDAO]qtTaV&GYkps6FZ&de*5*p@e7Uq"`qD&GYu!
+r:@ikB_qDqp@n@Wq>%>js7d*"q"XUXp@dqP9ksUkr;$?es7ZNekkG,P!;ZTgs7Zcnqtd@"f_5"/
+pCR,srpfmOoDbjfIJE^>mJlt8pAk!fq1&~>
+dFf&ceCip=eDoGC,`1I0g">$<fa?Hlh9.rLg#:c@g?[E&db<d-=#dhJhVR&Cg=b02i7\.h%+qX/
+;rulkgtCB4e^a3Cn^m<^in+4\%F`kXg"G09fB"ebhp(!Vg&p!Zf@KoMrR1_nn^@HbrR1_q#h@S]
+Ma"Z(e^X0<&(K1Re]ZG$N\b(qf\OU$d,NLQd0S1Mf$r3sccsjf~>
+l2:ASo)/Ob%JTYjp](9gohf2as8VcMr!3)udq=='rqQHhrV?$^s8*<!rVs9)U&=lfr;?Hhq>'%J
+&Gu;$q"a,JA,?0&r;?Hhq>'"InbM2Bs8*<%qtp<hrVcVu;60`sn,NCcs8;'Ws8)`irV?csqu5Je
+ZLn+dqu?L&rpTmYr;VOU^\.X(qX=I?qu-Bkp]1&=~>
+l1b#Io(N^jr;6<^oDej[m7COCr;,pYiV*ZMrQAPrlhL&Fp\XaVp](!up%eWk:7:bIp%J+Rq"X[E
+pCR,mqt0R@7pGQWp@e7Uq"aaEp[Rt:p](!uq=saZp\+=PWCs)fqsOL`q#C'gp?;8Np]1-gq#C'm
+q"OU<A$#(fp](!us6]jSp]#bB\FBOnq!e=;pAk!fq1&~>
+l.Pmbn_"H.g=k-1jQP:J1-s(?h:(*;fa?Hdk-RZhdGEO0g?[E&f@/O7Pr+*KhVR&Cg=b02iRnao
+h:^N)01OdSgt^T9f@AFAg%!\ae`,3\eHF@Oe_/XTg^K?#Mr`a@iS*#<f@SUPeG[hqdIGZbdJ_Mn
+e-OUSft'P0d+?e<dLXaWa5,%mj't!:d,!7#aP,Y%rm;#"eCN.!dEg(bJ,~>
+l2:ASo)''rqYC$[q#CBes,0=Qs8VlniVWrVs1Dj-pAXdaqu-?]r"/c*oCN"S@V,<4rVZTjqt^'I
+r"/c$qt9mc;HrtqrVZTjqt^'Hr:0UBr;ZX'q>:'er;HTY>'BH7rUp-fs8;'Ws8)`irV?ctq#'c1
+JG0$6q[iVsqXX[bs6O]Ho_87Ss7Q*Aqu-Bkp]1&=~>
+l1b#Io(N^jq>0sYo`+dVs+NY=qYB^XiV*ZLr3T[inG)MIp\XaVpCR-!oC)_I>[?gkp%J+Rq"X[E
+pCR,mqXO@T9N1KSp@e7Uq"aaEp[Rt:p](!uq=saZp\+=>;K1stq=OUaq#C'gp?;8Np]1-gq#C'n
+q=OFMFF*EOo(N[ioDA%Wq"j)dD=-ognG`.7pAk!fq1&~>
+l.Pmbn_*rr%GT@`j5AJMCF#,%hq6`Dfa?Hcjdee_f&#!3g?[E&h9j[3e3ZXWhVR&Cg=b02iRnao
+gt(<=1d9^Ogt^T9f@AFAftuA@eJ-K_e_/X2gr_]ZdG3O-h:gT8f@SUPeG[hqdIGZbdJ_Mne-OXQ
+f?[E"db3.@dLXRNb1kS&a@oFWdaZOocHkLurm;#"eCN.!dEg(bJ,~>
+l2:ASo)''rq=O[dr:KR[oYjXYp&>!jiVWrZs/]1fs8Vilqu-?]r"/bss8VWhK2LS*rVZTjqt^'I
+r"/c$s7uWn8lYihrVZTjqt^'Hr:0UBr;ZX(q>:'er;HSn@AWhtrql?erVufYqu?Nlq#1$os7uWg
+M-p8^o(s!pq"sj_rUREtTE"fcs7--_h>@0Is7cTgJ,~>
+l1b#Io(W1Z%eKZ!q!d\Km_;>?me?YSiV*ZPpS:KHq>'RTp\XaVpCR,hs823`I7`)ap%J+Rq"X[E
+pCR,ms7Q3a6qmCKp@e7Uq"aaEp[Rt:p](!uq=saZp\+<S=eG?\qYKg_q#C'gp?;8Np]1-gq#C'n
+r:TjVK3@sGo(N[ipAFXZq!G:\R/H[Ps6p!@pAk!fq1&~>
+l.PmbnC\?%hVm5<d,NQO04EAdiniDLfa?Hgi/KU>hr!&>g?[E&cf*a-k$p0_hVR&Cg=b02iRnao
+iS*/J/2uVGgt^T9f@AFAftuA@eJ-K_e_/X2gknFPg=kB;eCrX/f@SUPeG[hqdIGZbdJ_Mne-OaU
+f[F=jg=t-JdLX[Rd*gRkP;.FAf$rU!f[&R*rm;#"eCN.!dEg(bJ,~>
+dJO"Ar;$Bi#Q"I;:$VTPs5Ek\q>ZpWWrMnjrVQQho)''rp&Faas56k's6p!ao(E%QiqsAbrq6*]
+s'&CHs8W#oqu$<eiVXMlli6t]\r)N1q#B3ELQo6enGiIcs8;WVr"/c$r:L$cs7lV<:u)'Jp]'g`
+rVufYqu?Nlq#1$oo`+UZ\Qe=ro(s!prUBj`s7L;Gr;?HhqYL!^h>@0Is7cTgJ,~>
+dJ*M4#l"&mB1LtPoD7G?$1e%Y6_sYOoCr"Vq"".jq""IUq>/f=F8b;$o^;;Mn`'9Sq"jXUoDMZ]
+`qfE'pA"I[qVh/bs5s=Vp9fU2N:Zr"S:Zg,_<_-rq"sgVlLtkbpAFI[p&=L]Db/ISq"+OUrqQNf
+!;>XNs7cTirV6Ee#Oq]]o<VHVp@@qhq"sU]q#BhsAG,Whp\4IYq:bQCq#:)>~>
+b1R*Tg#PjZbM1h4g>ging=YP8/;iH?g"P0GfalKhe_K)u2-f:jjP&#1j3Q];&)Ggjf]>7RZ/XWq
+f\+p.f(%G`f,*JhiS<+RBP_V<hRn>LEg*3?hq6T9f@&s9(=gmbcJ-t/fB$*h]\_Doj3lZ8f[na+
+rRCeos3^Abs3^ens3q>!g<e<429".ro$S&uakP8$cq?m]f[eR%da?J%df.W"daZjteBuUed=;~>
+dJX"@rqZTk#l*u)9RQg=nGVAE#QOUV;Ruf,s8Dinq==I`qu?I#s8)5;>gEBFqtp6ioA]ZZqu-El
+q#>hB[f$(#r;?Niq;M5fp&FaZoXSCTcN!\:W`!E:b3A]oq>UBnlMM4jq#C-bp[S:FA;BaPs7uHa
+rr)lpkPP;UrqQEf#64Gqc<erlo(s!pp&F[\qn-(4r;?HhqYL!^h>@0Is7cTgJ,~>
+dJ*J3#k[Pp7We>&jn@^.$2X1C9!e<mqY0a]q""1Zp^[,mqt00#<6"_)p%S4\oA]KUq"ad`o_Wo,
+Y4VD[p\F[^q;M&anGDbGn$H>@ankW&V+k@&`T6X[o_J=ZlLtkbp&F^Yo'H81>^u,4qt9^WrqQNf
+!;>XNs7cTirV6Ee#PS&cpW-I[n+-2aq"+OVq"D0pV"OESp\4IYq:bQCq#:)>~>
+ak6sOd@Mmpi9JYBj4Odni7_p%RGR)ag=klGs47_4hV-=e4g3htgY1<<dG`dYg^W2pj'aj6h:p];
+g=b'-n_*Ha(Xq6jeC'[J<ik-.fn_=LPGc@Jd+$b%g?R9*e^E4#e'u\%`'n@fg>:K7f@ns2f@SUP
+eG[hqdIGZbdJ_Mne-OOUdatEWY0YVgdLXRTbgP(/22Bi:f$r3tdF$t%rm;#"eCN.!dEg(bJ,~>
+d/<n?rV6`oqsA&ki;`cSiqs&]n8M=Pnc/4Zqu-?]r"/c*n,<:[s2%9es7cBirV--Ir"/c#qZ$3`
+X&"rTqu$Ekr;-6Jr"o),o)J`Q7]HFfmf/tKM#6K5rV?Bgq>]aX&,Z,!p@nU^rg-R*s7QEin,<4b
+r9*tWqYp9gq?R&sqZ#kmYk.G_&Gl,#o)&H<C@M0!qtp6dq"W\BrVHQh!;D!~>
+d.dP7rV?Kf#3TGaebJ_/iqEcUk\*W2lh^#Cp\XaVpCR,un+lnNr45+Js7,aYqY'aEpCR,lq>BaR
+V+6I6o_/(Vq>0pGpD<AsmJ['E6)=DSl2R8<KD+F!q"4=So_[qJ&GYnqoCW(SpQ/%arpTaZmem(Z
+s7ZNekkG,P!;ZTgs7Zcrp@\=E?`EG`pCR,ls7#j`Ht2F6p%J.Sq"aa>pAk!fq1&~>
+ce83I#h[kU8he0GhV.#C$JOFc;)GK(i7$E6le)g(c.q4-ihIo@kh"PFgXk'9fal]hiRQ\B13VC*
+gtLN8f%'<Dn^eT,hU(3AE$U4qh9=o/,%fKJeC`:&f$rI>f+uoaf$Mh)e_PC*WoV^egX"^0g=Y$/
+f)=+sdf7_bdf7_ndf7f&g!eL+`BT=+eFM#uc.pIjhHWOof\"d)eC)alimRhR#h%5ReC;mlc-_%~>
+ci!h?rV6`os6us^ScA`giqs&\s(,@,rVuZkqu-?]r"/c*nc&F]s6sB.mf3.[r:U'Kr!E8pp]($]
+cqT&grr)lo!W)]Pr!rc%rq#edB`Ic"r;V@T`r#c;qXsgPr"/c$p\Xjfs5.<qnGi4Yrpp'frVufY
+qu?Nlq#1$ns7ZBirc41lqu?L&p\js^CT7@3r;6BfqY9jAqu-Bkp]1&=~>
+chIJ7rV6`ns6QILOnAGBi:dI^;=O>Wo(VnUq"".jq#0aZp[eFK='t+ho_/+Qro3Y[q"+4Vo^Bpk
+GkC_(rqHNjqr.8Zs7?'Sn5WuunFH>MI9FDcrrr>sr:TRSlLtkbp@n@WrVP5P>3PqSpA4=XrqQNf
+!;>XNs7cTirV6Ee#QF;gq=ncap%%kVp^R,qnReNqp%A%Qp\=R[g@kUBrqV'~>
+ce83I#h\4cMDKhEk1o"M$JO=o7QT,ViRll<le)g(ce[=.jj?=acfEg5g=>!;falZdi7Z_f0Orqo
+h:gQ6f%9HFo%+`3jOW,6dl9hVe(*1.?p(7GiSiSGgssd(lIQg%e'Z^rhqc"56darFg"k*5g=k32
+f@KoMrR1_nn^@HbrR1_q#i!\Wg"8u9e^X0<&(/bSda:O<in2o7eC;podGiURd0S1Mf$r3sccsjf~>
+ci!h?s7u]i#kdiej[WbSqYfFO#Oh[l:]LIks8Dinq==Fpqu$<hp&G!jSlVfirqH?cq;V;Xqu-<i
+s8)%_JH#QOrV?9crSdYjn+6SO^.j:Ns8;oJ9RQU5r;?<cs8;WklMM4jrq?BknG94nR/HdZpAb$c
+rr)lpkPP;UrqQHg#QODoqYuM(s76$lqYBFVpof#)rqufns8)cjh>@0Is7cTgJ,~>
+chIJ7s7m#uq=aFSh`k-+mIoQ6$0_=]8,W>Xr:fs_q"".jq"ad^nbW"VQ;4+Qq"+=Uq;V,[q"a[]
+rq,;JGkq43q"FFXrSdJekj8?:[mkf2qXsm77<S+np\47OrV,m[lLthaqtC'elh.)VOS&/>o)&:^
+q#C'gp?;8Np]1-gq#C'nr9sFRr.]Ioo(NCapZqkQWcd.so`b'`p\=R[g@kUBrqV'~>
+ce8?Mrm_>,f%&Qr/4JCNguI&pg<Sh<0]M-HinE,Pg&K\6gsk9<j*s"Ek2+\Cf[o*8%c#aqj4qm?
+A)cG(g=Om+nCdBa(tm-]k0okPA'j/gk-Z^Df%Sg/dad1*dbF'=(=h'ahUp*)M`uFBg"t99gY(<7
+f[na+rRCeos3^Abs3^ens3q>-bh1J$Am='?o$R`h_qWOq<P\Ud"kM2Qda?J%df.W"daZjteBuUe
+d=;~>
+ci!h?!;ZWh#l3`bqgqJ8s8CsT#P\6p>PJ-`s8Dinq==Fpqtg?ioDeL`g0SCUs82ckn`'HXqu$6c
+s8;V#GlIaCrV?6arSdYjs7c6^L2!sns75la8ZMg`p\OUYs8D`mlMM4js6oa_s7:J:fDkODp](6b
+rr)lpkPP;UrqQHg#Q=;op]%L>q"":nqY9^_k%LaoqY^9gqtg0aptbiGqZ$<jpOE~>
+chIJ7!;ZTi#O;?^H9[Pjp>YfQnG>aTnbD8Dp\4R[o(N^jp](!Vr9sO2<aOhbp\O^UiqNKJ%eo\s
+p@2=*pA+R[p@\7[iV+/dnF,ms@]TA&lgLW9U\sQNp$qYOq"+@IpCR-!n+H\YmVu(Lq="=Squ--c
+q#C'gp?;8Np]1-gq#C'nq=+4NqQ"H'o(N^jp@\FGA#/tmp%A%Qp\=R[g@kUBrqV'~>
+ce8?MrRD2+bN.Pn0o,/Oj4Odnf&SPJfA=a1g=klG&(]Rjdc/g<]0Ag-j4`8Acf*OegY(?BhUt>%
+hr!AGf@8@?g%*`3g#1H3f4@L8i8N)6MC=>@daZgpe(iU)g?R9*e_A3ogY^@Z2RqbsjOW2EeCrX/
+f@SUPeG[hqdIGZbdJ_Mne-OXMg!\T4:X[b`dLX[KfY0_+h:C62f$r3tdF$t%rm;#"eCN.!dEg(b
+J,~>
+dJORSr;6Beq"XRYqY^'GA5`1#iqs&]o4!s]s7H?iqu-?]r;ZX$q>9sbpAal@<3Q?$quH?Jr"/c"
+qtBscrGH6>q>UEkq=sjGr"f;0q#=np@s2L'J59D2s8MusrqZTnq<@egqu$-Wrr9i:E;9J-rquck
+pAY$jr9*tWqYp9gq?Qrms7lTHC>JIX&Gl;%p9&5is8Dlnqtp6dq"W\BrVHQh!;D!~>
+dJ!e;p\=OZrV?crq!cs=60\+&pBglc>)`.Smf)tTqtTaVs7d*"p[n1KqsSr,WVZDcqt&hA&GYkn
+o(_qQAmXipq"jdZq"s"D(%q+m?9_\5?tagV<8REEq#:*]qYBdJpCR,qp$V_W]hiG4qsjIVqY9a_
+q#C'gp?;8Np]1-gq#C'nq"+CSpsWa)o(N^jq>KreBA<CYp%A%Qp\=R[g@kUBrqV'~>
+ce8?MrRD2+gYLT'8iPP\j4Odnk0ub@gZI#Hg=klGs47_6fA+s<fOd"%i7lu@dG`ahf%em5hVV1%
+e_&a6g""U(n_*Kb(YRQtfAAtB6<-KM?S4CXhV6c@g!na/eEPR#e^i'if]/S^:YFg\hV6l>f%Sj1
+f@SUPeG[hqdIGZbdJ_Mne-OUOgXFf]7^pn;dLOgQL.Al6g"=s.eC;podGiURd0S1Mf$r3sccsjf~>
+dJORSr;?Hfq=saTs8)?eMcleQp&"gen,*C_^fe,=s7ZBfrV?$^&GuFqqu6<ds89'/JGT0=s8CsT
+&Gu5%q>('jHWo_+r;Z`lp\EeG(\7Us]24:Us8Vo0;1AQ6s7u]opA=mgs69Flo`+s`o5IF1r;ZTa
+rr)Ecrr)lpk5,/TrqQHg#Q+Atqu64u`:3X2p$-Lbs8Vomr;6BiqVD&IqZ$<jpOE~>
+dJ!b:p\4I]q$?Njp?h^,9UGGFpAk!WpB^/r;6KBfnFlVQq"".jq"jISqXO7WoVYi<o_%nTqVq5\
+q"4UZp%n]0;W@';qtg']q;M&amJZ@X8V$7)r:7?iGQ6n*o`"[VpA4R\l1Y_Ys8DESCIYDur:BCR
+qXOI^q#C'gp?22Fp]gHkpA"#\^%(h%q=EffQMgRMrq6?drV5+@!;QQhJ,~>
+ce8<L$e<k\cf<d1j_d27hYu7'g&Kdsfa6B`TfSOjk185>l.HQng"k04j5#e`@+sAfh:poA&Cogn
+g>M.!43Q(+h:pN0e^sBFo%+`3d,WNB04r_kj4KqW?09Gjf&#*-f%Sd1l.6ZqhqZQ):+DF]in;c9
+gX=m2g=Y$/f)4"uda\3C%+N_TdaZ^pdaZ^pda\'?#h@DYf%A>7T[`M[#0aqTF55Htrmh5%daHOj
+imRhR#h%5ReC;mlc-_%~>
+iV`NKp&+dc&-)2"q=W<0?fUhZs8;ZerquWpq>:'Zr!3)1>/p73s7ZEgrV?$^s82fkrqd!!rF8a_
+s82Khl22@rrr;roqu-Nkqu?Qks--Quq#C-aqYC$Yr;$6ar!iF/>OD4as7h4L^&Ip.iVWuWp&FF"
+='kk'rVQTiiVW]QrqcTg+8>d+rr2bRQMpUXqtp<drql<\s7Ym\o_e3HF7B4us4.#FqZ$<jpOE~>
+iV30Ap%SF[&-)(to^L0m=53-<q"OCOq>9sUpBU8q;SMVmrUK^Yo(W%Vs7ZfmpK^JGs7Pj[l1Z"h
+q>0m[pA"O[qu6BbrJaU^nc/4Rp\F^Vp\FOXpC?of>#aYPoD.g%;RcGoq;M&Ro^MnE_GXP3p\jmd
+q=aO`q"O^]%eobmq"ORXq"ORXq"ORXrqQHf+8>^%q=sK4NVE)Ap\4ITqY0ILs75ITnG)@8Ds[Mi
+s3gWAq#:)>~>
+iS"%Zo[sl/g"G<0j4Dbf-U>](iniD>e_0rRs4IM.gt^WTfa-<dSis"%f\k6Wg&9Xkg&Kb4gtb=Q
+^ZO;$iS*kUq:?D7g"P*0f%A^.g#(K:j)[)KfAtK5f%'9Aq:>Do&_YmnfK_LAe_9!4@Q9q8gYCKA
+f*KsVjNFAW4PSTgg%3ere^s`L%bK7_e^r@'e^r@'e^r@$rmL_l*nJQgf[OSRe]u[ldF-=idE0Vf
+bf&;Ze&QE"a5=tprm]cPrm;#"eCN.!dEg(bJ,~>
+iV`NKnb`psp&+afn;9]!s8W)cs7cQlqu-?\r!38(>2T>Ws8DonrV?$^s82fkrVHj"UfX;Xs8;l[
+r"f2+qYU0fqu6Bes7uAY<M]Hjq>'p`qXOLZqt^.#q"a#_C?>6jq>YA4ec5[EiVWoYs7ZJP9r.^a
+rV>FMs82ims7lWg+8,R*rr;kTKDtcGq"t'er;?Bgp\4^ep\`$@Vt9rbo[Wj;qZ$<jpOE~>
+iV30Anb3RinFu\Rl\.W_rqc?Os76*`q!n(_q5%!@q"O[\q""1Uq#C'mq4:HRjo"c6pD3Jqp%J+R
+q"sj\r:KNE:7^tRo_/(UqXO=UpA+Fno_%*KA)?SImIb$bci<n7iV*TNs6o`=8>#VSq#1$Gp]($e
+q&f>/o(r+OJU.%bq"4=WpA"FUq"++UqXaL!?_d)ip@-N)!;QQhJ,~>
+iS"%Zn_"c6db3=/c"A;FlfI$Kj4)l7e^rF,g>(K;o@X`0jH;[AhV-f>f@S^/g=k?9g?dMmg'HSh
+2hK?:h;-fUg%a/7f%&=%f%8O+eCNC+e9a$)f\b93f@AIBfD4"of+H]fg;QKP`73_qge9N3k2=kE
+j4=Ohg?-rBCFb#9g"Y-YeGmtqd3$Zace$n$BjTB<da$7id*g@gd`p%geBQI53e#6*dEC7lrm;#"
+eCN.!dEg(bJ,~>
+iV`NKnb`pmrqlZos4^ITj7E9Js7?6gqu-?\r!37b<VHIhq>C3grV?$^s82fkrVHj"k%8,Is82]X
+r"o8*p@nF]r;$?co)JOU[8qqYpAFaaq=sLXq>:!c&-)1%@\Wo&rr1#=Q2g^Wqr.GXrVu`U<+5%e
+rVQQhiV``Qs8)cjs7[W,rV?Elr/kaerqc?es82Zjqu?0_s6TdRM/VDPrVlH>qu-Bkp]1&=~>
+iV30Anb3Rcq=aU\r74V?g["S,s6f^Yq!n(`qMJ#8q=XCSq=sOTqY:*b#Q*Fe?,Zd7o]c)dp@IhF
+p%S4SqtBLYo^&_VI.m+)pA+OZnb;kQq=bC!mAF3Yr:KRN^IjOdo_.5;#PS)ehG7D;o_nR`q;:rH
+q#1"1o`"OZp@EuGn+ubKq>9p[q"OgTp]'IWl@j$1q>'mVde<b:rqV'~>
+iS"%Zn_"H'gXt69hRG:&aO]8(j3ZKXfDjS)g]6("fb)s"G<"43f[ea-f@ej2g>(E9m+MEm#iWcm
+6`oS-g=l,Nq:?G6e'ZUof@SR*da$h'c]g:rgsk$/f[\LAfD4"of+H]rdZ$SEinW8AVD32Tg=t?7
+j4=Xkg>^f(1-`h2g"G-3s4%(srQu_2f$`.&enmk#e^;Xkf$_spdb;aigr%se?q.]VeCDardf.W"
+daZjteBuUed=;~>
+iV`NKnb`pks8VihqYusQQhUO[q>C!cqu-?\r!37L=TA0oq"jsdrV?$^s82fkrVQWp"cH!Hs7uZY
+r"o8(oC`"[rV69bnGiF_fN)hgo)JL`q"XCWq>:!c&,H*M:=K74s8S?sd/NG4s5<eYmf/MBSc8Qa
+rV>FMs82ims7lWg+8,U0qu-Pc>MT/Sp\t*gqY^*fs8DZZs1)[\rVu]ds4.#FqZ$<jpOE~>
+iV30Anb3Ras8;H[p&C7?O72l@o_7qPq!n(`piK@/o(VbKq=sOTqY:*bs7ukP7%+)Fkk>nena>o?
+q=sXXq!J+Up!HQHr9a@RqY9jUp\FOYpCHrkG"BjWjSo.:?-2m)s8V'P#PI9[NC0*/pAOdbq;:rH
+q#1"1pAXg\o_+DEf(f%3qY9jZq"+Oaq=<hN[:$oJqt9LXde<b:rqV'~>
+iS"%Zn_"H%iSN)8fAUp&I+mQ<f@eUOf*'d\g>(EQfa$6k@6<N%g=?2Ss4RG+!o2M`m+MEms54)s
+.Y?m<h:hGQq:?G6dE^+ig"=g)eBHn*fXE_2im?K3g!nOAfD4"of+H]ggfuJ;k02uME^[+fc0"'>
+j4F=a"jQ1N-@=PIg"Y-YeGmtqd3$ZbeC<+'GrE%Ye'?Lme'ZXig=Xp"`SHV;T%)?<bh1Xtrm;#"
+eCN.!dEg(bJ,~>
+iV`NKnb`pos8VWfp&<rX<94)Go)JI_qu-?\r!*1AB)hN's8;cmq==I`qu6EiqZlut`)LIEs8V<\
+(ARRsrVulnq#9sdr;Z4bAH2?&p\aj^nbi4[q>:d"YBb&$X8hptCi+lleGo*squuLbA)?qZrVQQh
+iV``Qs8)cjs7[W1qu$9fs0,V<q#:-hp\apcq>C9hq#B8lK)YfCq"+O9qu-Bkp]1&=~>
+iV30Anb3Rer;>pVnG1mA9\fU/mJlbQq!n(`phF.4mf!"Uq=sOTqY:*b#P@o-:1<Sdq<7PgoC2>G
+qt^!Zrpp!]s6*0_qXFFTq>'gUp\FOYpCHtuFD><]qWjnc@t'QdrU/Y=s7HQY8RC*?qu-<gq;:rH
+q#'q/r:osVq4pcoo_S:XoD&(Sp%\R\o`*]`Ies$5o^De-pAk!fq1&~>
+iS"%Zn_"T-hVQQ3dbDQ(3QL:+d,WX-f@ejUg@Eo/g>c7+jOE,Cf[na.g"P08g=koHrn7V9Ubk]q
+inrJ\g%a/7e'QOqgY(0+g<n[/j3BGJi7$Q5f[\LAfD4"ofDjM7N`SqFLu?[;7n@*2ZJa-`j4F=a
+#i!TW6+k_(g"G-3s4%(sr6ZS8e^E%(N&-^Ee^;pme'c[ke(rEtg:'UUe_&*lb1YLsrm;#"eCN.!
+dEg(bJ,~>
+iV`NKnb`prqtTd_rUBiu3.Ubts7lWmqu-?\r!346EV]5+rqcTjrV?$^s82fkrVHims7C\*b5_G)
+r"o>.q"amgrqlNkqtKpdoj;(pq>^3dq=sLXq>:!c"n2Hhs8Vfjrrg9^qtKpFr!36$T1kIKoDedd
+rV>FMs82ims7lWg*rPd0qY^B0>bh#mqu?<dqYU<drV-?lS6sS9s7?9jeGK4@s7cTgJ,~>
+iV30Anb3Rhp@I_Pq!7g_0R3'Vq=FIYq!n(`p0VP(mJH_Pq=sOTqY:*b#OhNWFumM<p?D;fq"=7N
+q"jg]pAap[o`+>]=QoDSo_A7Wnb;kQq=bEcqY:*in,2tUrUmkBp@J"9pBLYb7?795r;HEhq;:rH
+q#1"0rV6-\oD,dlSau^QqsaCSp\XOWoDecV>KZR;n,*%1pAk!fq1&~>
+iS"%Zn_"T0f[\@/g<JKF)e%CNhq$T9f@ejUg@Eo%g>P_)g=+p5rn%2's4RP0g=koHs4Rb/i7)!V
+X6&-jo%Eij(YI9eeC`L.f@/L+e(<[15!I9Dh::--eFD/df(mo/cJ@79imZoDhW!7_VqKYQg#LZk
+g"YY<.rjFnhq?];fDjA#df%Q7e^2gpf%cfTHd10jf#uOidal[mcJ@,o2Pn^Sb1>1tdf.W"daZjt
+eBuUed=;~>
+iV`NKnb`pos7?0gs7QBkC,rU"s7$'equ-?\r!*+(Gk:k/q#($fq==I`qu6EiqZlors27ZemJ?#D
+rql]m&,Z5'o_SU]K3-Itr;$9eq!n:Xqt^.#rr;`kqXjg`p&G'\rr;WjiVWr[lssqYs7uZmqu-?L
+r;ZZoqZ$?jpE0D+qu6Tpb?gY5rqZTdrqQHkq=aadc#]9Pp&G$ks8CLFrVHQh!;D!~>
+iV30Anb3ReqX4+VqsaFV@POn_qWn"Rq!n(`oi#hqp@RtMq=sOTqY:*b#P.]h^.*S5oB5lIpAaju
+q=sganb)hKHr.uZp\+FZq!n+SpA+FnqYTjYoBl5<l2:A@q>Kg_i:dH;?"M1Yo_JI\rV>@Fs7lQg
++92!-qXsQs<0[(Pp&4CVo_J@Vo(`.)Dj:.hqtg3fq9o!;q#:)>~>
+iS"%Zn_"H)gsFa3h9t*;9cB5Xi6L-Cfb)rr5[2anf@AO*f@ej2g>(E9m+MEm#h\%pUb?B+g"Q#M
+pXfDqs47h7e^iL%f\b4g2R(lff@\[(n^mTfq:?26hUUB4dG*-riSMf6i7$`>j4=XkgWMrWXl@sf
+g"G-3s4%(srQu_=bgb7sfr$iPdauq$c.C@of@&!qfqqG]f$)^qf%8F*df.W"daZjteBuUed=;~>
+iV`NKnb`pis7cQ_q>^9b_GOb?oDeO_qu-?\r!37(JG0$<pAb*grV?$^s82fkrVHj"q>:25:<iRu
+r"8i(r;6<cqu$B`s7ZHlq5-rurqZ]pqtT^Zq>:!c&-)G%s8Dutqu?Whs8MTgpYl#Tql!SMs8W&o
+rVQQhiV``Qs8)cjs7[W7nGE7crQ\`=r;?9gpAamep&=mhk`B`:s8VHcoC)_0qu-Bkp]1&=~>
+iV30Anb3U`s763Uo`+RP\k-'!mJcYMqY9UT#Q.DCmf2nKrqZ?[p\O[bpBUNcp&/Yq`UW3e(\[Ut
+p@S"Nq>'X\oD/7RT1H9\p%S=[q!n+SpA+FnrUfg^pA+^Vp[dePq<e%NiV*TLThp47qY9a^q#1$G
+p]($eq&fY,p\smY_Glfqq""CSqt'^TqY:*ON,.#Bs60LOli5E-!;QQhJ,~>
+iS"%Zn_"K$j4*)5f&G<6UG>0le)Ag1le)m(k<3>,k18#>f@S^/g=k?9g?dMmg'HThgZ)6dY1MCu
+g%j59f%8O)eC<(%f$E."gtgV:/st;Cf\+m+n^mTfq:?/6f@f*9h;m,Bf[Ag8d,!73f*^3`LGi]!
+h:pT8g"Y-YeGmtqd3$u^eD&[.W]>4Pe^)sqf[/9rf@A`oBh5M\h8A'k`nK.prm;#"eCN.!dEg(b
+J,~>
+_#+]@GY=(sqYgHes8;fklMpDP#Q7VMqtC'frVcWlq==I`qu6Eiq[`Aus6.R)KDbTAs7QBcs7bgV
+&GuD%q=smdn_dWGs7l-[s7YFL(\mn-qu?Nmq<._Vs8Dcls8Dfhq>C3js7#prs8N&erV?BV>u9tb
+q=O^cqu-?Lr;ZZoqZ$?jpBpfmqZ$NinQM@Wq>U3sp\=^er:'a6>-cEMrVHQh!;D!~>
+_=nK5p2NKVrq,s^nbr7[q<J"MpBL:aFn>,%p\=OSp\O[bpCH`es5LjhHhI((s7#jTqXWqG&GZ(t
+p@\1TlIf.+r:B@Ms7YFG(\RS#pAFO^mbII1rqQ-^s7l9Yo_8.Vqsa=iqt^9Wq"4=@<_;KHo^DhY
+q#1$Gp]($eq$R&qpAFRPj\V07p&=XkoCVkUq!A%*<j'U>!;QQhJ,~>
+_V#LSgY>j[DWKO-i7-]>gtKj.o%=W/i&P3#f&><9f@S^/g=k?9g?dMmg(2`ik/aP\AD>bfj3l]3
+gsl/Qn^mfl%Frt^gX*\rJ`##(e_JU3f,*#kh:UW9j3k`pgu6u<gYg`7e(!"%g"Z#J&DPmsb1P4s
+a#l$"f@SI3g"G-3s4%(srQtu%dF6e#e'0ake'e6E$..)Nf[\+$W\]R]df.W"daZjteBuUed=;~>
+_>FiBrn(.^dJrq>o(r"Qs7QB]r!34(If&m>qu$EirV?$^s82fkrVI-*m.12HG>d5rq"Xgfq>^9U
+r;ZX(qYBpcs8;FkL%tZIrV?3Hr;Q^1p\+FE\X(&.s7Q!`kl(JZs8DimrpfmsrVl?es8Dip[SDkZ
+rqlQgrVQQhiV``Qs8)cjs7Zisq"k$hqt"'`rVcR!q"j@Wp&FeoNU"dcrVHQh!;D!~>
+_=nK6pX)ZCbQ%).me6/Ds7QB]pBUChG4Y8&p@nCXo(W"Us7['(k3W-4DbAR[oCMbSo`+RKp](!t
+qY'UXr:TASIe3C8qYB(D(]F@5o'c/'Y)Bd[qXEqQjnSWHqY9dYq=41iq"a:Rr:p!^Y=FB>q=aLS
+rV6?ehtR0GrV6ctq=aaYo&io;q>L!no_.MKnc&/bM<;tT!;QQhJ,~>
+_:]@Qh7#.0Z0'Wpe(N4%hp^BOfb)rs5%36ui7Q`7f@ej2g>(E9m+MEm&*D*ak0d?f]AhAkg>1?>
+f(n"hf+6E_e^WC3gX/#lf%]-9e^NL/(Z+'/eC)m]P&Hf>h9s[0`n8qsg=Y!.g%!Z+f\+L'gt:35
+P:^Y)gtC?4g"G-3s4%(srQtr$dF6e#e^$0uf)=&(dF6(lcJ-`+B#E'Frm;#"eCN.!dEg(bJ,~>
+_>Fi=s8JZ_M=^`Gp](*]s8)EYr!!(.J,8s?qtp?fo)/ObrqZNi&,H8's7X]?JG&m/s8MoqqWdt^
+qu$<eq#(-ks(;N$rVuidqr.GgqXjRVs8U]3Ph)f!pAb!hq>L?nr;6B\r;Z^)meQnVs7LJ5fDkjH
+s7H9erV>FMs82ims7lWg(]*q(s8N#l?_78oqYL*bqtU!Zs-I8ss3:H>qZ$<jpOE~>
+_=nK1s7_pKKC/I1oD\ISs8)EYpBUCpGOk>$p@e=Wo(W"Us7[&qqY'dR`DLpMq!%bQpAagNpCR,q
+qY0[Wr;67s@-77aqXOI@pD*5inbrL3KSdsGjmiBFs7H*`qtKgXnFutX%I*Nbnbhln:!i_3p&=FY
+q#1$Gp]($eq%rr(p\XXVlW';Ip@\+Po_.nKn,JPXVZ4g5!;QQhJ,~>
+_:]@Lj5#28CXqA%f\tN4h:U3Ifb)rs7Uk-)h:UB3f@ej2g>(E9m+MEm&)#mri7G+m?dm`PhqQfD
+fD4+ifDa>/eCrg=hF9uVg>gl2i7Aaqd*pCuiN?d.Y(4L=iRZo9f\>04f%0?Bs4@k(eD\g1dSVg/
+hqZlCdb3=.fDjA#df%Ppe'Z\EfFcRnHJ-m"e^i7$e'u_&E^,<9daJ-B#h%5ReC;mlc-_%~>
+_>Fi?s6oN89X+Qlp](9bpA4LQr!349JGT-@qtg9grV?$^s82fkr;.!(p&G'cJ53fXpAFabrVPmX
+&GuD&qt^$`rVh7Jht6sEmf)2C(]F.+s8VW^amoDC`qSs%q"OX^qYU6iqsaLnrqlHfoDc^$L]7/H
+p](*gqu-?Lr;ZZoqZ$?jpD<W#qu?ZqqdPujqY^9iqYU<gs3>>,s7X_7rVHQh!;D!~>
+_=nK3qWR6t7]Q@XoDeg\pA4LQpBUD$Gk1M%p@\7Vo(W"Us7[&sq="@ZmW_73s7,jUq"XRJpCR,q
+qtTmVp%J-(;;1L=p?qq=pD<]!pA=mUlFuE\ZG?%rs7PsUp@\.Sq"F4O%f,hhp[8'q7"G%'p%&.U
+rV6?ehtR0Gr:q-)p\XXYmoYbHp%S4Up%J:Ts2eerqXVf'!;QQhJ,~>
+_:]COhTjMa/s>8Lg?%;BeCN("o@XB&iD3t<g=t9ZfDjP(g&g'`g?dMmg(2rqe`PlC@4du/e(N=+
+g=Z5Sn^e<&f@SR(f\G:g2ndVte]QV)f,*,if%]0,bb3&8PG$@Hhpg*)f%&@(f[fQD&D>X_f?W9H
+-t_;gf[]'8g"G-3s4%(sr6Z>/eC`F.f0+9-e^rF*e^iL)hl0"Gg<\9tdf.W"daZjteBuUed=;~>
+_>FiDo`+dU=Dughq"FX[p&"XVqum"@Jbf9@qu-?]r;ZZnq>C+"s7ZKis3"/`s8V`cs7?9Ur"/c%
+q>C0ep\F]M;pb(2qss^Er"o5-rVQ>cqZ$$Cl2Ra_q=aabqY0jdrqQ$]&,l>(q=jmXE)"[Yp&4Xb
+rVcWlq;M8Oqu?Nmq#:"'q>C3is8?GjpA"RbrqcKjnc*N0g%YEhqu-Bkp]1&=~>
+_=nK<mJ?G<;JFPQo^_eNp&"XVpB:2+H1CY.pA+LSp\O[bpCHrmnGDhO_aekLs6oOVmeZ5C!VlEg
+q$Zldo(7l7bO"uuo)7M@(A[b!nXo:DjOiDfV#U/[p\=FPp&"RVnb3Ogo`+RSq<MfcaSG9!o)/F\
+rV>@Fs7lQg(\mk%q=OOR=c;hAp\FXXp%dtSC/`XQpr`=2q#:)>~>
+_:]:TdGW^)3`EZLgXk33e,Itjfb)rs=_-7Bg"=s/f@ej2g>(E9m+MEm&)6!miS<@m/QguldF@%"
+h"fXnf)aCOrn%S.f\1@$Y0P\OcIq1.(Y76kf$SupfZ(J<gP"J7db!.%dad+*e+)$%f[Sj/db2f<
+.^%[YgXY39g"G-3s4%(srQuJ/dacq#h:Xu0dF6_#g""X+bi)/M[*mLSe'e6C#h%5ReC;mlc-_%~>
+_>FiBq>]m_[8E%bs7Gs`qtp-Wr!%P"q>^9hr;HNkq==I`qu6Eiq[`H$rV,p^s*n8/s7H3gnGheO
+&Gu:squ6Wmr;N]o[.sOuq"`nH(]3t$rVs%sqV6o,q:,Aos8Dusq>:3kp@8%krq-6gs8T_mH2m[8
+s8;]hrVQQhiV``Qs8)cjrq@0(r;?HlraM#_p\b$iqYKX[Jm4fCrlk9<qZ$<jpOE~>
+_=nH5o)InKY=jcKs7#OWqtomW#P<+`nbMhPp\FUTp\O[bpCHflp[RSBr-28ps6o[]li-2D&GYtm
+q"sp]p%P4SYOhPgq"`nC(\mXnq"grXn'QXbo?[3\s7lKeo_/4YnaZ>aq=":Vr;O/_Eqo1qs7c0Y
+rV6?ehtR0GrV79)qtTsWqXRaGnFH>Lq=XFFs*[q8pA+F)pAk!fq1&~>
+^tB7KjNZYM20@mBf@/X/f@/@Cfb)rq@:\*Lf@np0f@ej2g>(E9m+MEm&(fgsf@8[=?9,UWdFdF&
+i;)'rf+6?Yf@o'6gYI]@P1A7AeCEL/(=U^ag5+/(ZXDb@YLp/>f\>*/f%es+n^eB+ce[4.hNo$Z
+hUgE?g=P!1g"Y-YeGmtqd/hVCrm_\<g-'<"db!1*e^_e#>rHrYg"+[%df.W"daZjteBuUed=;~>
+_>Fi<s8)]^q1WFos8MZjqY9aRr!3(LJGB0>rr2lnrV?$^s82fkrVI-*o'ZPXlhT@OQL4PKs7H?V
+r;ZX(p%\Lcr;HZE=-3FYs7uHKr"oD3rqufns7lQ1o`+O_Y4V&Us8DfnrqZ*^&,Z2$qZ#Z$<5AP0
+r;ZcjqYg<iq;M8Oqu?Nmq#C((pA=daqZ$P'R/-ORqu$<gs0#pJp&Fj3qu-Bkp]1&=~>
+_=nK0r:BXGo7(,Wr;,p_qY9aRpBU87GjtV%q>'j]o(W"Us7['(m-+KLj71]3Om)K7qsXOLp]($g
+oaL]op\+F,:lG/ErqZ?JpD<l+q=jj\s6]Bgli->OX7>?Er:os\q=O4O&,,Yjp&<li:V$Mrp&=dX
+p&4[aq;:rHq#1")p\ag[nbVfXOnA8<p@n7Ss/KC;nGW"Qb4bo2rqV'~>
+_:]CKhq-Z1gM'?Uj5JJFf$r+!o@X`0h.C0MiRZc<f@S^/g=k?9g?dMmg(3>ocK=?7g:Tstb1GG)
+dGXiRn^e<%dF?k+g>(Sk2K%:&h::$6f,*E!g"5'1iQp#CbhgY%MU9Amgt:01g!oQD&_>Iae_\)>
+0qIIZgYpr<f\+s4fDjA#df%Q1cd^LoeD8h@FOo!of\+m0if$,ndbiX,eC2kFd0S1Mf$r3sccsjf~>
+_>O?5%HmckoAF.]h>d*Do_SR\qu$?sq1O:ms7lWorVQQhnb`Fbq>:%"pAb0crVuirK3QY$s8)Nj
+lMM4js7Z-^rVHBiqI"LGq>C*fiVXMfqYSaSs8;oorVliqqu4I_mf3:\qYpHgquHWkr"&N$rV-6&
+7ZR<CrV??iqu?Tk!r;`jiV``Qs8)cjs7[?'qu$9bs8HE!s7uHbqYL0jF'-ldq#(*8qu-Bkp]1&=~>
+_=nN;pu)2PmFklFg&1=5oCr7ZrV$?fp\jmbpBU59GjkS%qYL$_nb;qUs7[&os8DE[r:]o6<QP%5
+p%/(GpCR,tp@@tQp%8"M=`O90q=jaEpD<Jpp<L,EoCqbHq"a^Yq7Y/>qt]gUq=sd[rqQEc&+TYo
+nFa1RL[t04o(MnQqY^*iq=saYpAt'`rqPsVs7lQg(\dk&p$__I<gigVoCMYJq###.c1L]'q9/O4
+q#C-iqLA~>
+_:]CUgVi7:e\k!A^uNqueCNF.rRq;*gA0G%g'22"f](K<h#5q)g?[Glg(Diqj42rEgtlO&Y2.pc
+e_Sp1qq:Mk&)5U]f\5!3h:Y"lgt(31g#:O!eCE-QQJC!Bdad"'f[e`HYfYYQdad%'q:GVrr7;P.
+i7cZ4Qm-:rg=k-2gY(B8g$mSoe^sfNn^mfjs3gkn(sg^^daHq)4+5o8e^`:'f\T@ZXjkkPf$r-r
+s3UhprmV)!ccs_\J,~>
+_>FlCrqcBgs6eEHAcM`!rqQBbr:U*arqZNi#lO^RK(K$=p&+dcrV>s\!;lBc#M;S2s7$'[s6BO^
+qu6Ejq[!-"?<m.&r;6HWr#kV.s8Mrrq#C-`p?hSQp&"F-qu-Bks6JU1iW&-As82coqZZcgqZ$Hg
+rVQWm#ljVus6"!'n,;qW!rMonrr)lpoDARcrr)Zjs82ims7lWgs7m9"s8MoTBqGA!rr;9`p:+S(
+pAXsipWiX:qYC-cs7ZNeJ,~>
+_=nN9q=O4PqWQ71?i0T`qXXLWr:g9dq=t!a#C1X]s7GdSp\O[SpAk!\pBpWA6&bg.qsO=Tq!@bO
+q#C'nqH-eds7Z-\nb;qUs7[Z(pAas_r:Bs[naP`2q![nBaS#<"qYK@/PMH2ur;--^rq6Hcnb)hZ
+q>U0hpB^Q_qY&]K=69/KpB(-ap\ssfpAjpZp]($fq>'gcp]($eq>^:+nb`"MemFdCnbE.Gs73R)
+SFcRSqXr/."SVT`p@nR^J,~>
+_:]@RgtLB:im>/&8)rLUiRm#bgB?3ag"P0Xfa6Bj@UmpMg==p2i7\%^$J`?KH0E]5d+[+%rR^;e
+s4Rb:5!7?WgtUT:o%3chs48C=f&PN<hUUZ8dEoq\f[&*mW7BMLg=jQYF1gJLgtL?3rmh2#dFHqL
+e,Intf*L-[i8)CA6-S']f`B^Xpt,Q""5)5Wf)4"uda\9Erm^turmpnqs4%(srR(Yn(!bIae\4Fu
+iR-<9`Sf(,4F,<)f[S6pdf7]#da?Ihc-+8Nb^]~>
+_>Fo@rr2cms7tu.8tZ.`r:BRRoDS=]p&Fgeq>L0oqM9XnrVcWjrV>CL#*W'7s8W&tlMU\ZrqZNi
+#P`dJg&LjGs69G0rr;`ZrVuKhs1#<&s8;osl`'RWnbrC[k`_k;s8VEbq>^Kjr;Zfiqu6Ekqu?R"
+qZ$$aR9,pTrUTmcrVufequ?TnrV?Bkqu?Nmq#C((q"j^`rVbD[bQ%2'qu?]LAWc$Qo_&(*qZ6Qh
+rqQNf!;:p~>
+_=ni>q=sUVqt&om7%*uNp?h>Dq=sa\q=sa\q>C!pp[`oZm.^8Ip%S4Xpu;#Rp@X>=b5_;4qYg3W
+p\O[bpBU87:=K74p%e.PqtU3c3;NREkP4rBqZ!k$lM^GUqW4L@qs4"Mn`,Y&o)A[Os7H0ao_8C`
+o(i.Xq=saZp[eFHresI1n+Q>HrqQNf!;?'Zs7lThq=t!as7lNf(Am\!o^pC3_>iofpA=m?@ZKFI
+o_&+ZcM%J8p\+=TrqV'~>
+_:]@Ngtpc@iS2U`/;**Ii7HZ\h>Q+.gAKV2g=^1Je_T'9gY1B:fa-BpIQk7+hqHf_ec47cg&Kb3
+fO$JGkh4hMg%*blec45Qg"t6#g>103j-#;Bh:CH:`IlLkbLb=m_et"QhVlK5eCrX+fAGB0e'c^o
+e^aZN#NX+mGrL-(g%*bpg&p!Zf@KoMrR1_nrm^turmpnqs4%(sr6YPoci2N.[6LPKc-"Vlhm,I^
+]A(WWe'udns3V,#dF$:baiMQGJ,~>
+_>Fl<rr;lkrr;rjOA='uqXsm]rq-6`s7cKfrVHitQ[J`%s8Vonqu-?Lr!38Y;MXf?qu>sZs82fk
+rVHin[na.,p&4pTr$hU:p](9js7u-@g].<Gs7lE6r;Z`ks8Vuan\tP&s7l<fs8Mfjs8MokrVQWm
+#lXf'f4.qEs8DNdrr)lpoDARcrr)Zjs82ims7lWg(\R\#qu$K9?H`?Jp%\RKP@)W8s8;`ip<NO9
+qYC-cs7ZNeJ,~>
+_=nK1q>BsXq"jaSMFbe]o^DhWq#C*bp^6cgO*($\qYBaWp\XaFpB^Kgek:PZp@eI`q!RnQq#C'n
+n?GN`s6]LSnb;qUs7\MJn+-MYpAFRHg"$$"mf2kL`qKH,oD/7Vl0Q4bo)J=Oqu?K`pA4[^qYBs^
+q"OOVq=i-89\B%3o(W.Ys7ZNeo_8C\rqZBbs7cQgrV76&r:KaTpUsPBp\jRPs5B#DbQ%P=qYSP3
+"SVT`p@nR^J,~>
+_:]@Kgu$f<hVd5BE\aoXhV%2mh>Q+.gAKV2g=pjXh9t6=g"P08fa-BraZF@igtCN^ec47cg&Kb3
+esA"MkgnVIg%*blec45\f[&(-iRm&=bIP%9hTk'-e#(^Rf@/F,f#c./hU:B3dG*U4e(37*e'c^o
+e^`:'g>1Vm5rQ^>g%*bpg&p!Zf@KoMrR1_nrm^turmpnqs4%(srQuG,eBudsg8-g,g>1*(hnEne
+W8#qTeC2akdf7]#da?Igc,n&Jb('~>
+_>Fl>rr;ihqYg?l[p="Ro`+ISrq-6`s7cKfrVHj"W-844s8Mlnqu-?Lr!2onQr9LTr;,^Vs82fk
+rVHfsmS\c=q>][V('!n*s6KFZ_MnKoq>^!bs8;`dqu?<frt,20al/93rVuckrV?*]s82Wjqu?R"
+s7u\S>b(iorUTmcrVufequ?TnrV?Bkqu?Nmq#C()o_\L]r;X01cLh/8s6u^h[J9Oks7H*]cMIY=
+q>U0hpAjo;~>
+_=nK3q>9jTo_8(TYub`>melGKq#C*bp^6coTPjesqY9^Wp\XaFpBgQ]p5r"7s7c3\rqPpUqY:*b
+#PR@TJ,Ad1p$qeRq#C(JrU0U`k48PcL%tW<qWmtRp@RhHs6fj]rqZT4gkjJSr:]gYo^DGPq>0p_
+q"XUXq==63:ltAEp@@tWq#C'gp@S+Zq#:*bq#C*gq#1")p&+OWoD#:``9mU!rp-+ZZM!qas7H-_
+cM%J8p\+=TrqV'~>
+_:]@Mgtp]8g>1QCR6aj9f]Lc`h>Q+.gAKV/g>e#kkgSJHrn?/\s4dkAIlN#Ag=OsUec47cg&Kb3
+gs.ZdjP&PHg%*blec45\h9Om;aOK7BB\;.ig<81'f$r$riQg94hV$k`]P4\(gt($.eBcY#e'c^o
+e^`:)h:CCs3dTfEg%*bpg&p!Zf@KoMrR1_nrm^turmpnqs4%(srQuG+eC2mtgQ=Ipd,EU5bBc./
+da6=ocI(%edf7]#da?Igc,n&Jb('~>
+_>FlArVcWiqtg'_s*nisq#(0drq66arV?Eh#QM,Es7uWkrr)`mq;M5Vrr:MS>ke9jlMU\ZrqZNi
+#QFa1@e0R!qs"#+rr;renGi0rT)/-Ts7ZHllb)0Ls7lQjqY0=UeXt"_s82K_rr;rgrVQQk#l=S0
+@<M)>s8DNdrr)lpoDARcrr)Zjs82ims7lWg(\RY&qY^AeAc;>qs8TiPKD#9;rq>FKs3CKBqYC-c
+s7ZNeJ,~>
+_=nN7q"XRUp@RnHs*83ao(MqSrqQHdqY1ElrMsB,oCqtRp\4R[iqE`Pp\`<<<q64YlM(/Ms7Zcn
+s&iUlp\OOPp\XacpFH(=q!@>En@FtYn+-MJq"j*\g@4q/p\+:Nk5EYq`VB?(nF?>Rq!\%Sq"Xg^
+#kS)">&*0lp@e(OrqQNf!;?'Zs7lThq=t!as7lQg(\[b$p@J'E>P%=Pqu=6CJ+EX2r:]4Js3C?A
+p@n:Sp\su=~>
+^tJbB%,':dg=P*C@89GMi8jjmrS.A+r7MG2j-31"g"kH?g=k?8#i+M+]Kna5jO*kVl.Q*j#i=].
+6IXlQg=c&Kqpk_u38*0BcHY4pS9i]2dc&R*g;TAhd+Qk!f%&3gh6;4%f\>!(dFmC/bgY%ke^rF+
+g"5;M5ZH(eh:_ANs4RS-f@SUPeG[hqdJhYqec+.qec4/!df%Q0cI:=mf%YU<f[A+#iL3;Bcecpt
+d([r]dF/'B#h%,JccsSQaNB#~>
+_#460%fHA,rV?-ds+sUMs6B@OqtL'brVHiu^K^C/qu$Kmqu-?Lr;Zd#nY8dNr;Z'[s82fkrVHfq
+s*@Jis8V<\)"[e(rr:-)hu3TSs8)Znnage^s7--_qtU0j$hjW#^u#%irV-?lo)8Iar!2urE`KpT
+s7c']rr)lpoDARcrr)Zjs82ims7lTf!;ZWl'*"&:s7Z<hja([mrqc?fp%/1UcMIY=q>U0hpAjo;~>
+_"[m&%eoktp[dkRqL_G6roNnLqtKs^$MX8';sj;OpA4OXqtT.E#Pn>`SOT(BrTa.Rq#C'no_rr(
+bPD#-nb;qUs7\&3r:Tmc`K&[GrqQNcpAaIGCu53Xrp]UPs8MuerVF.Zq#C-[rVZ'Xq=sa`pBU3_
+CJM;1rp]IPrqQNf!;?'Zs7lThq=t!as7lQg(\mk%q"+34D#`trs58$3deie2r:T[]p<NC8p@n:S
+p\su=~>
+_:]@Qg"G*9hVHl:kMg87MWiCbh>Q+.gAKV2g>&>`f%f$8i7co?fa6BmlIUeDJD/o6r7C2drn7V<
+=td8Bj4i8XfDF+uf/V(2fA#>`EP0u]f\b30iQKJ>^>[8ld+-V(hVHT8g7,Y*iRlT7gs+Bue^`:'
+g"Fm1;)Fp&kgnGXfDjP,f[na+rRCeos3^hqs4.,"q:5Mps3gkn(XUU\e^iDi;<60TiP8G\YLq@M
+f$DUmcI()?d0S1JdEg(ZaN2MS~>
+_>FoEr;6Hmrr)fnq#.F-B@d+Xp\Xaaq>C*nelp`$qu?TkrV>FM#P\8rj`"G9s6BO^qu6EhqZchi
+:UC'"rTX5-s7ZKkoUK@Ds7cQml2:SUs.]2dq>^BirUTgKs7u5nf'E;6p\+Laqu$Km#Pu,BJ,f0@
+qsjU`rVufequ?TnrV?Bkqu?Nmq#C()qtL$frqqG*q"as[SS4o#q=XOUr;ZN^cMIY=q>U0hpAjo;~>
+_=nW=p\+CYq=saYo(T.j@F5&Jp\+=Zp\OXlp[la/d.6l,p%S4Xpu1rPnbVt:C/q_BlM(/Ms7ZZh
+nsi:Prq>mVqtU3c-i3B3q!XPSebSb4puD)JnbepGs7?3_p%[qIj8\c=YgMV.q==(LqYg3hp]'pl
+o<qhIqX+:Snb<%Xs7ZNeo_8C\rqZBbs7cQgrV79-q"X^Yo6>`Po)@sBA"rnpo(M\Qs7l32pB:3a
+p@e7[q1&~>
+_:]@Rg">$7gtUT=f\_i]8\"!_h>Q+.gAKY(g'G/L\_,ZqgY1B:fa-<bjP\'T4.5-hg&Kb3gXq*2
+Pi(BRg%*blec45Kg<ng3d<RscgsOm/_q*eogjIH,e(rU*fZhsaiRH,6Z,YGLda?Y"rRLr"s4I\0
+RQb!7e)]07o%3oq"5)5Wf)=+sdf7_oeGn(uf(mkreGmtqd21<Ze^rI)?t7[9hTL.2J(`;sd*:.t
+d*'hbs3V,#dF$:baiMQGJ,~>
+_>FlErr)cjq"jshs7H68=F'N7qY:$brVHj"m:"!+rVuNgqu-?Lr!38sr;NKuJFr.)s82fkrVHj"
+o>=Y$q=spQr!EDis45<[h#.'Crr3o5mf3(^oC)_Ps8)Njrql`pp&Fj5`U<d(oDe^cs8<3"K43"(
+s5j:Nr;QZpr:Bgcr;QZjr;ZZoqZ$?jpD<f%r;ZcmIZsg3p9\7gp\XX^s7?*bkPrj)!W)Wkq#C'g
+p4*~>
+_=nK;q=s^VoC_nSs6fU&;KM7(pAOa^p^6ckj]T:bp\sUTp\XaEpBUNbp@t4]Hgg7oqY:*b#Q3u&
+;3pbAp@7nSq#C(9s6'F0`9GnJo^M\Vs7GORo)J+As6p![oD\RZr;#j]oZ=o5s7bsXrV6Ees7Q]i
+Hs4Mhs5*eGp\ssfpAjpZp]($fq>'gcp]($eq%s&)q#'gTEf'Mfn?-#QoCqhPs7,s`kl8s&"SVT`
+p@nR^J,~>
+_:]@TgY1?4f%Aa7jjr:n3a:/5h>Q+.gAKV2g>C1BVUXG_eCrX3fa6Bkg>:b@5$l[kjOsRe#ia=.
+2h0Q7gtD8Mqpk_u-fN,+Z_kpWg"4U(hr3)+h9t3*al(M(eC3:-f%es*hUJNtal1jsgATS%fDjM0
+fO-nBk2sVCg%*bpg&p!Zf@KoMrR1_nrm^turmpnqs4%(srQuG4cdg_$e66bEhp@BGC!bAUfA4X"
+f"g(gdf7]#da?Igc,n&Jb('~>
+\bm':s7$!cPu<J6s7cK]s8VTcqu$6qqu?V+[/0h$r;HNkq>'pPr"&E!p&Fu.?a9Y%s8)QkoDeCZ
+s82fkrVHims6<X-s8Vfgr;$:%o`+^`s8N&uq>L*!F5$<bq>CQlhuETQr:g3dr"oA*mI9uPrqHBj
+qtg6jqZ"3.WVlMjrqGs\rr)lpmechXs82ims7lWg&,ktpqu=uYa8GtiBQ*)6mf!"\ps&^7qZ$9i
+p4*~>
+\b?^0rTa.OO%b2uqt'XMs820Wp\adnp\XVhXRuDap@n=Yq"aXJpCHZkn,;uo=f_Siqt9UZmelYM
+qY:*b#Oh]R:i6.)n+l_Rp]U*`o_8@aq?Z`go<`DcnFuYQpBU3@rq6'[nbDqS(]!Ralh12Oo(VqP
+o_&7UqR'(op[\@[o'uJRq#C'gp@%bOq#C*gq#1"#rp]^WpVpUSo(pdDC?#9Yp\4X]s7sq6rqQHf
+J,~>
+]@m5<&_Z*hh;*31CYRk&i6g]FdG!=Pfa?HlhF<daiSE;CgABS!f]q-$g=,37j5!HpOlk$If[ep+
+hWrkpg'H6kau3;^i76NWfD4&1c.LFngXk05eC`<;:q+p,g%s;*d(/#`f[eI&q:?J:d)aD\gtC--
+f[\L(j4<%R0o+K5jP8;=o%3oq"5)5Wf)=+sdf7_jeG7YpeGmtqd1OsNe^W<P8>=_lZ9h1#hoF6r
+rR1_ndF/'BrmCttccaDNb('~>
+\bm'9rUp*ggOVb\l2UAQqtL-fqu$6qqu-J8Xo8+jr;HNkq>'pPr"&]'q#C04BRK+>q>:*fs8)<a
+s82fkrVHj"qs\E5qZ$Nir:p3us8Mojp\FL^lFkiqrr;fm#QL(0s8Vops7uR/s8DWUiog%8q>U3i
+qsj=OF+)X>q>U'enbiCbs8;<^q>C9is8)cjs7[&ns8Vih^23HAm=KlDpA+aeqYg36qu-BkpAjo;~>
+\b?^/q![qVeU'KDjo=fEp[eCYp\agdpB^G.V>'WPp@n=Yq"aXJpCHulo)&$s@Wpi&oChqQqXsFR
+qY:*b#Pn&XAmP!(pA+IYp^m9#qY0XRo^MnB\C8Rus82NdpBUSV_>O?)r;6<a(]4!sjk\qds7?$W
+s7GUDmVI'oqt0^RqXO=Zq#C'gp@%bOq#C*gq#1"#nc/LXn?lZhp?$aKfCAP6p\4X]s7sq6rqQHf
+J,~>
+]@m5<&_Pjgguc4Y-@<u#f%o-6j4`5bfa?HhhGoTlg=P-6gABS!f]^uuh:U]>W^pC;f@ej2g"b3F
+g&Kb3hqQLO7bctYg%s=rfFZWgf@83peBm0nR^K3RjPAMcf*C&KU"nPSgtVYV(YdTh`P'.9hp^6,
+i7H6#d8*oPhUgQ3h!s"rg&p!Zf@KoMrR1_nq:,5js4%(srQu5!gt:!&Qq5QXa]r#YdF-q%eG[hq
+dF$DBdJhPtdEg"WaNB#~>
+\bm'8qZ$Hgs3u'^ZiBb!o`+pfqu$9iqZd%[U]:)\rr)`mq>'pPr"&]&r;$<kTNn)gs763ds82Bb
+s82fkrVHj"o)#"\hZ*KKr;$9oqYC0jqYpL"ma6mCnFZbIq>CQrWo=!Lo)JCYr!W2qs7u$DlLOoR
+qtpBm#d[1:s8;iko)J7Xrr)lpmechXs82ims7lWg%eK_qo)G&%s8/F3df9+Br;-Bec27J9s7ZNe
+J,~>
+\b?^.p&+OTs3>FLXoIndmeZ_Qp\adnp\"67S,MmFq"OO[q"aXJpCHulp[n4[RT>gOq<e+QqY'LS
+qY:*b#QO/`Qr)B3o_J7Wp^m/lqtg$ds82')K[T2Tqrd\LpBUDfg\^C)qX=7S(\%1ro]P2pmIpSN
+o(`7]X@B\qp\OUPs7,j_q#C'gp@%bOq#C*gq#1"#o`+ROq2T=gnX+:>s7?6`p\4X]s7sq6rqQHf
+J,~>
+_:ee=rRhe7f\bB8jg7o;Q0?lXeDT3;gAKV2g=tM'K]C\6hV-]\g%j:bfal`hg=P0CJj+_BhpC95
+gt:rGs4Rb?dbB42^ZF2&qUbPq&C]([f@/O6gW?O/[*@"Tak?OB#M+R?gWdsrchZ0/d+@%%a2,a>
+g#LW5gZ%%M.%/lDgXjg1n^mfp"5)5Wf)=+sdf7_jeG7YpeGmtqd1OUXdEC<b<SuAS:orX)gXF[%
+rR1_ndF/'BrmCttccaDNb('~>
+\bm'>pAb'Xs8Uo"D8-&MnGi.Xqu$6qqu-PpQN-jVs8Dinq>'pPr"&H"rpp*hmse6rs7--fp&FU\
+s82fkrVHj"p&E]IYQ+7br"&i#rqlEgpZfET`qo`3s8Mfl#4DNjrr;rsq>:9eq>UBsqsEFul2CVg
+d:Rjus7H?gqYp$_rr)lpmechXs82ims7lWg&,l4rp@)Xqs1WKns6f^_mJZn[ps&^7qZ$9ip4*~>
+\b?^4nb`(Dqu>8eA[_O9lML#Dp\agcpBRFQrq5gYp\4R[q=a(I&+BGlmJH_DGtd)pli$VJr:9UY
+q#C'nqsXC1:oF6Ynb3UlnbW"NqXWaWj2(Egp&Fj]q=b*Ws7lBdp\FXZ(\..os8VfVh9t6Vqu-B6
+?[;&=n,<%UqsjF[q#C'gp@%bOq#C*gq#1"#rqH$Tk?O_VZtdGWl1G#?p\4X]s7sq6rqQHfJ,~>
+_:ee=rRhe=eDAp(iT7aU:7pY/d,EL.gAKV2g>1\FGN@N1iS*#_g%j:bfalKegX+p:d:"lOkgA>C
+dba<Cs4Rb;e_mtuOQFsEo%+H*cI^Rlf@%X)_kYiBfAt]>q:>hliRlf;f@fuO(X^adhr!#+]sYc4
+hVd4l6<hdqdGER/h!s"rg&p!Zf@KoMrR1_nq:,5js4%(srQu5.cd:"\5De6b9qgOfeDA3peG[hq
+dF$DBdJhPtdEg"WaNB#~>
+\bm'>p@\C`r;?BKBP$'#qXsgaqu-<sq"amd_1hO]r;Z`mrV?9dl22(equ?Kfp&E!7OQc`Bs7lK^
+r;ZZnq>L0qq>^<j@t+ITnb`Ffo)8RpmH92Xnc/FXp%8(Y#Q2X$nc/Xas7uR/s8D]es8W#is2Npn
+s7DdjcN!_7s7lWinbiCbs8;<^q>C9is8)cjs7['"q#15q@H6BrYPeFos7H?iqYg36qu-BkpAjo;~>
+\b?U4naQ>Lp\+42?!>hUoC)\QrV-crq"OEkII?q)q=jX\q"aXJpCHlhqXjCJs1_Njir8]KoChbL
+qY:*b#P7c`pfhq=o^VYes6fd^rr;3AJCa)`o^MA=pA4Lgp;,MLs8VZeq=b^*q""%QrV,d\]$g0G
+lBGPqs7Z*ap&FaUp\ssfpAjpUp\FUap]($eq%<K!q>[9nf@b5DpA+7VnG`1VrV6Egc1h54rV:s~>
+_:e_;s4J"Ae'm(,g>(At7mt,Mg""p4gAKV2g>1SZB%5_nhqHf]g%j:bfalQ_gt160kc$adb2h:4
+e_'3@s4Rb3hqHpT?f]qoo%+H.bLkM&h8mH@[a*[ZdaQUsqUYu'TtAM,hpU9Tf,!;sdaQq+f?`KM
+\C]WaG<`.ff@Ad0i:,@ug&p!Zf@KoMrR1_nq:,5js4%(srQu5*dFR*/428L3Mq6S/gs+U'eG[hq
+dF$DBdJhPtdEg"WaNB#~>
+\bls5rqlTmqXj^c_.J>Cs8;lnrV6cpq>0p<Fjp9fq>L3hq>'pPr"&htrr;EdoCf7[VZ6>hs6fIU
+s82fkrVHios7625@.XEor;$4#s760fs7OXm`:*a*rr;`mq>CQuU<rW-qu?3^r!!)uqt^$arr3JM
+mf2M#G'N`\p&G$^s7c']rr)lpmechXs82ims7lWg&+T\nq1G-cNLftAnGi@[s8Dfmps&^7qZ$9i
+p4*~>
+\b?^.q=aOZp$VMP[Te!ps7Z-[p\jjpq=sUPc>Ci"q"+7SqtU!\l1Y_gmJ6eHs6]<Q8"fnNqZ#gN
+p\O[bpBU6gm/Ls*li6eTq=YBumeZbZn]9@tlMgVTrUTp\qY(6kSBC?jp&=:QpD<Z#p@RtMqu??&
+iqqTTDfP=Do)JUUs7Z!WrqQNf!;>mUq=t!as7lQg&b>tmom2bAK9PrulMpPLrqH0cq#C07p\ssd
+q1&~>
+_:e_;s4J"8gY(9:f[S[>TLE=ik1n_FgAKY'g'>)fZeXEjg=lGWq:Ouc&D,^[g#:0;f@l<@M!!7D
+j3-cAs4Rb1jjN6l6.G&MqUbPo&DG=Zf%eQL\=^q%gY:W9hq@kX#MOR*d*U>"bPBa*g"=m*e(3:2
+g7uaJ_lls;e(iF1gsG!KfDjP,f[na+rRCeos3^Ylq:5Mps3gkn&^&bPdTpt!BR&.Wb2LmugXOaO
+df7_Bdf7_odKS%EbK.cIJ,~>
+\bm'6rVufgq#CBls0H'hlMpSTqu-<sq"aa`lu'!"s7ZEgrV?9dl22(lq>C6cs6TdUEGj"ns8V`^
+r;ZZnq>C*os7cPW?HiHFr;$3ts7u]cn]R36s8Vuhrqc]qq>CQubl@_8s8Vlir"o#%s8W&oqu6Km
+s4C^fFm]&'q>^<br:faZrr)lpmechXs82ims7lWgrq6c8J%VG4l2UPXrUU!]rVHKfc27J9s7ZNe
+J,~>
+_"[j'rV$opq#'mUoDALVrMW\Ij88??p\jjpq=sRRjCY@[qXF7RqtU!\l1Y_cp%S:Ps5s=GCM:`V
+qu?-Up\O[bpBUBgnbJ)D`;fZ-q=Y3rp&"1Ea,mt2r:]XZp&Y0dqY(6p`r,l)qZ$-^pD35jr;??_
+pA"1MpWQZ>DW^WdpAOj]r:'I[q#C'gp@%bOq#C*gq#1$gpCHi,G-dEahu*'?q!J%Mp\4X]s7sq6
+rqQHfJ,~>
+_:\h?rmh&#s4J"6g>CW5f&#HAkE8#Bal1h)gAKV2g=b<,:QF#af%SjTg%j:cfaucfdb!7'k0W>D
+<D]dIhVllJg&Kb3gYpcAF?cnhg%s=ree$]dfZVF5E1G\<f[AF)g#1Q[f*C93gu6Q4iR7PR(XLXe
+gt:0.f[ed4Z9(0Gak,4thUp?3ea_8kg&p!Zf@KoMrR1_nq:,5js4%(srR(Vj%[^CbHtL=Sdb*3s
+g<S3trR1_ndF/'BrmCttccaDNb('~>
+\bm!<me6\Urr;Qes6GM^T^`!\q[NAuq>'pas86f'nc/@]rVQWjq"s=R"n2Kfmf2\Rrs$ABKDGQ?
+s7H3jqu$?iq>L0trql`oXCe@*rVZWlquHWiq@<?$rVtZSoC`.]s8Vinq>U<ir<N>Vqt^9eo`+aa
+(]OC1r;Q]mq>^Kjs+Xs!o(`7ao_eaep[S1\rVuf`qt^-iqu6Hjp^dDjs+#QpM=gi9s8VWcoDeab
+!r2Wgc27J9s7ZNeJ,~>
+_"Rj(qtCX$l1+]Cq>]dOqr*-BRHj\Kp\spqq=sUYoOj?Qr:0OUqtU!\l1Y_Ss7Y^WkPP/T]hs4L
+rU9dYpB(-aq#1$fp^?ilp&+Q[?Cp`]p\+R[!;QBa&,,Vpq>]*FmdU,JqY]p^o_J4dpso'/qXa1R
+q=kd%q"FIXq=aITs6]N-=D$mjr;#mYs7u<Wp\ssfpAjpUp\FRap\ssdq%<Vjs*AgXIHpXls8)*U
+n,2qSqtSG1rqQHfJ,~>
+_:\k@ec","fb38eeDJj4im6<;aCnG#dc'!8gA]b5f@em<h,&@Din)o<qq:etlIca#aPYIgjNZ`H
+kGLCQg#LWCpt5]"g%X+ufaHNhgZ%%K7u,aNg"H>U!7h(ur72D-dGEI2[>3&SgY(B=eDAdPf*Bs9
+e^N7$ceS?J(YRHlf@ej.f%T-4fjQs6cILe+db*L1e+)&ig&p!Zf@KoMrR1_n!7L_nq:5GlrQu50
+_r"X"Iq-g[aPkdqe'-LpeG[hqdF$DBdJ_JrccsVRb^]~>
+q>:!cq>8;3(]Wt(pPNUmqt:!hn,34\rVc`qLOoKls8Mroqr.GRqt^-d%fc*U>Enm^q>0d\s7uQl
+qt^BhqY:$brVIc9s7cE\>`\UTs8M`irqcNfs6fXUs7uWnoDe!*e+`_;rVQNlqu6Nnr<`LNX8h_\
+s7?$\qtV?6n,NF`s7ZKmnc%KGH*kchs8Vidrq$0ip&G'frr;`gqu6Qor8medr:9FYq!RtQp:F^\
+DZ0A.p%nacbPV87s7cTgJ,~>
+q=aXYq=_r)(]W_!nUt>Up$_qXlhCANq"F@SI<Y_Qs8Mcjpu1rJq"am`s7['(m"/5rn+lMFmdp5G
+pA4I[pB(-aq#1$ep`K81nb)-GL[Od1o^DMKp@n=]me?JUqYg?Ws5A7JnauYOrqQEc$3,.Fs6T4S
+oD8=\q&fP$s8;ThoDJOPp"N/]Y/Tr,s75[Tmf3=Vr;-']r:9[WrqQNf!;>UM&Gc:roDeONp[ms_
+=*.sBn+QGK!;O\1s7lWi!;_3~>
+q:PMrq:O?Q!8$hq)<B$&f4mmHhq@5PcIq"$f\5*:A7"E?jP&>dg&K[`f`9Y'ec459g"P6FendQp
+g>pu>dFR('f\4m,eCOQIs3ptts48CHg?$rBe3A!*g"tE1f%AI"dG2gle(`O0grnZm>-63%n^e$'
+<JKJVcJd1Jec45CgWSO2fA>$6hojZa02mn-dFmL,d+Q_%iR$B6eCiX*q:>T""5)5Wf)=+sdf7_a
+dM(0SbLt7^dF$7)3*/W%dalptdaZ:bs3UhprmV)!ccs_\J,~>
+q>:!cq>8;3&-):js6#)P\GZ$us8)NhqYpKs^2`fDr;?Njir&iRrqZNi&,u:`AST-_p](0js8)Qi
+rVcTkq#1$eqZcolq#C"lDuK\OrVZQhqsXO\rqc9QmdU8No"FJks8Door"Ao&q>:'er;HThZbQ56
+r:9m_pAOddq&fD*s7YpWoDeagq1E)%l2080kO\EIs8;W`s8Volqt^6hr;6Kls8;'W&c2D)p[@qX
+s8;Tj@q9!$mf34!qu-Bkp]1&=~>
+q=aXYq=_r)(]Nmgro&?=Z1dY\rUodXp%A1TZtJ[tp&4X`pu;&Jq#:*hq#C(!q!d-I@_;X.r:Tg\
+p%8%SrV-9cs8)ckrV.K-oCDqK<+l7'p\4CSp%J.Is8)cnp?_54qsN^Ujo>>VpB:9eq=sa`pBU8k
+](,gro)JU`s7mc3pAaaNp@%nOs7:YBb2`0GS)Nc(s82N\n+unQp@e.Xp\aaaq#C'gp?;5_q"asb
+nFut\q!e;e>?0#/s7X)!!;QQhJ,~>
+q:PMrq:NgB);roeiQ#S-T&A;Zj4Dc2e_9!<RnhAbg"P0Yg&K[`g&K\'ec48$g(3&ma@T1+mFpLN
+g>1B3f\$/PqpPMns4./$+5#/skh&*tkhb1Og"=d&d`0ngg"4Wobf\bfb*C!*hXT2&dZ'^CiRlN5
+qpk_u+4es%eBQUnh:U]8>ro"'e[Bh@c-YG(f$_mug=4^)eGe(tf)OG+f[na+rRCeos3^>a&(]+K
+dG!4&cJ^iI3O?feeAK`6d0S1Mf$r3sccsjf~>
+q>:!cq>8;3(\[n"qZ"i^CruDGn,NCWs8;oqqJ=(LoDSUcqr7PRqu6Eiq[`B"s0u!\lMpn^rVuoo
+qYpHirV6?er;.]2r;ZYJ<V?Cfrr;fhrVQWno^2STqZ$T\M:2G(qs=:[r;?Njs7u]ls8;oq#P[fb
+q#CBbr;69hq$clls75sbqZ$<e[8*ForrqH_rVu3Krr3/no_eaes7uTlrVufYq[r]!q>^EeqYp0V
+[T?nRqu?Wm^AIm*s7cTgJ,~>
+q=aXYq=_r)(\.Omp&E*MB#F-/l2LMFs76*Ymp`j-m/?\Wpu;&Jq#:*hq#C(!n,NEn975arqXsRY
+qXsOWrV-9cs8)ckrV.K.nFlbNI80,'o(W%Ro_J7]qss.PrVHKmiIK&Ep\!\Ip\jmeq>^6gpBU6T
+o^i"[o)/C]s7mc.qu6'Urq60XorgoUs8Mush>d6KjlHI@r9j%Jr:g'`p\ssfpAjpNpC[2nqZ$Hb
+q"jOFYYJ</nGDkO]Cu=#rqV'~>
+q:PMrq:NgB):@Ehf]KD>:p&I*cf*X&in<JLfh%jtd+[4/g&K\'ec48$g(Dm!lC9hJcfX*:g"kH8
+e_/O)rRCeos3q"us48@Ge(ip;AiSB"f\>65dFQb"e]c(dg">*=_I9Isf[\"3f*B^IeC31.d+\BI
+s48@?g#(0,i7Ql7eW2,*iSNDJ^#@T"`Pg`lgs46tgt19UfDjP,f[na+rRCeos3^Ab&C/_VeBZLo
+cGtqu3L\ITe^VLbrm;#"eCN.!dEg(bJ,~>
+q>7`#(]+13p&"d7FCrbrq#C<as8;oms,)R2p\k$gqr7PRqu6EiqZciqmJiSRT`4flqYpNoq#(*e
+rV6?erVI`9rr;Bcd8I@Op%eU]q>^<iq"s[_q<mn@h4!U.meHh\rqu`ls7u]ls8;oq#QMm,s7-!d
+oDA=^q&]J0p&G'gq>\<1I.I79p%A@Ylg:@uoC`.WrVulks8;flrVufXq[<AlrVuK[rqj`>BtOBE
+!VuZ-qu-Bkp]1&=~>
+q=_An(\Rh,nFln'DICKZo(r.LrpojPrd]CmnGW+[pu;&Jq#:*hq#C'uo)@hPO\D/6o^qbLrqZ0`
+p\jjhq>0p_r:h?/r9*pu9!%jWoD.tLqtBp\q=4CVlgNrbOl69$o)J[_rV6Egs7lQe#Pl6ps6f[^
+oDAC`q&]J-o)Ja_o`)QuG3nu!n*g;Gjl`)]mI:/Gq"jgWr;?<dq#C'gp?2/]qsjR`naQDL_,OgJ
+p@S7Op:L&!q#:)>~>
+q:N72):dX#db3`d=A#gUg>L`4iS!5Ck\"D`eCrX3g&K\'ec48$g(Duucg#s>L#1J6f%T':e(<1%
+rRCkq-e$Mme(*"#g"Y<Ac/Z)eQ/^?Igsjj+dFHUmbLt@ecc*;4_;WD^i:5D(fqQ:>c.Cq%qpk\t
+*no5pioA\Bj.%]%bh(Oocf*6ia*P):d,EC)g=ap0r7Cr#s4RS-f@SUPeG[hqdIGWreB-4obKAGd
+T/&]rg=Y<1eAK`6d0S1Mf$r3sccsjf~>
+q>7`#(]X(+s7$'gaAZm&s7u6co`+ses2/:(s8Dloqr7PRqu6Eiq[`_snc/Q$>eL%8rqZToq>U?h
+rV6?erVI]8s8V9^s'0^Hqtg0br;QNdq#C6grV->nhXUX=p](9mr;?Hlq>^?lr;Z^#s+$dBrUp3d
+rV6?e+92?9rVu]fqXo2&b5_&3s8Vffs89t<g!'?fs8MZ\s8Moqr;6Hmr9!kfs7GsXq#CBTLh3=U
+s8;]mr4`(,qZ$<jpOE~>
+q=_An(]Wq#rTjI[_G+Ucs7>UWme$2?qRBV\r;HBgpu;&Jq#:*hq#C(!qs3SHojCb+pAamXr;6-^
+rV-9crV?Bd#lXb]s7fQ1qY1!_')DCsoCW(WpA"4YUXeT.n+$GXrqH?cs7u]irV$QmHCOg.o)JOa
+qYg43r;6-]qt0IPn9."7s6]XYqXO1WpV[$\a7f*(q=!\Krq?BdqtU3c!;>UM&HD=lp%8:_i.>=+
+o(M\Es7X)!!;QQhJ,~>
+q:N:3(t[Wff\Og2iMnh4[clJok1&8Ff]8bj^uG=HhV%q\!7h&"s4S(DdF74890]!&j4i/Ah:C?3
+f)4#GdaQ[qe^rF+g"YHGa6;JF<oVohg"4m.da$1oeCN:%j+Ok_i6Tg0i:5D(fiiaWg!SX-qpk_u
++5>N#g>1?1f@!\@V;]\Pg=js'iRaj`[&;L'iRuQ$h>Z"*fDaG&g&p!Zf@KoMrR1_nn^8!%bKS;Y
+gY0>K4ab]0eC3C+_p\P3#h%5ReC;mlc-_%~>
+q>:!cq>JG5(\[_*s7uKgrO-'Jc2@M<qu?]oqXSR1s8Dloqr7PRqu6Eiq[`]"s6fp0:NYn%s7Z?h
+qZ$NjrV6?er;.W5s7H?kE*Mc1s7lQmq=t!bp](0khsSqOrr;Tis6]a^qtpEhs82ios8<2u\&nRJ
+q=Xddq#1".p\Ojgp[eFbQ;3e?pAb$is7$'`s7Z3@h=]Fsp&>!kq#pQkqu$BjrVufXq[`AsqY'sh
+eVIY=qs+4WqZ"8+rVHQh!;D!~>
+q=aXYq=r)+(\7:tqt0OTpTRe2a7f6$p%S1Mn)n5^s8D]jpu;&Jq#:*gp^m2pnG_YO_FJG&s8VQ]
+q=X^bp\jmcq>L(3p@\CPrqU5-lMgeTqY^$Ys7GpYpA`_*ak6:_mJm1Kp\4R[s7u]irV$QgZ,HD9
+p@\IaqYg4:o_8.\o'ZPSO\(`+nc&7ZrTjLTr:0@.f^RA_nG<([o^qhMp@n=[q#C'gp?2/\oD/1R
+rr:B!>H@GXs7#RT](Z4"rqV'~>
+q:PMrq:a!E(t[*]g"=g*g>/,`:9ia6hqd8LgY'tLOlcPqhV%q\!7h&"&_Ympf&k?CXYNnujQ+eB
+gXk?^f)4%te,RtufDaGEf]1KEi__kdjl=tIgX=L(cd::piOR%0\^oN[hqlEDf*BceUt=GQe)'uP
+s48jOf%T*4d,Wo&.<<h`hU^H;bMUe(dF,G4d'M9Lg>(H4eCE.$f@S[/g=Y$/f)=+sdf7_bdLaXN
+da$P%Y$j>Ie\pFoeCrEidf.W"daZjteBuUed=;~>
+q>:!cq>JG5%e'Gtp&=sbrr9Z;B[ZkNrr30!s8SjIp&4geqr7PRqu6Eiq[`Q's7u*_S6VcOs7lKj
+qZ$NjrV6?erVIi;p](3lqjL[)qu?3ds7H9iq=t!\oq8)[qZ$TooD/Far;6Bgq>^?lr;Z^#q"=[d
+qZ$9fqt^9h(A@M"s7cQnbu&KNqXX[\p@nRdn,NF\rr3GNnE'QInb;hRq>1!dr;QZpr9!kenG`Ic
+pskF)N;*AKqZ$0^^&.d)s7cTgJ,~>
+q=aXYq=r)+)=.>$nbN"Oq#%U&@a+T6s7Q3Wp@O`#me6A0p]($fq>L(!p&=gZkPpcGRc489pA+C[
+rV-9crV?Ee,PUd,q"XKF;o&5/nGN4Rq>0^Rs68m8Rf)gVs7bpQs7c9_q"smeq#0plo'cPQp\aa`
+qt^9e-hI!(s7#ja`_:48p$MeMnacMUlMpnRs8Di7leqL8m.0c>o_%qPp\ssfpAjpMpCHWer:op3
+M,&fqs7Gs`mIIj_!;QQhJ,~>
+q:PMrq:a!E)V<!afZr1)e_]AZ5tn`GfBM8Ugu@1BA(9;hqqC&_s478$rR_)&&D5t"g!/`/4b1N2
+e_/a0hq7kXs4%"ts4@;(+559&gYUY03N(ftdbW[&f%ABshoa2hIGNE/iRc?(i:5D(da-b&f%\^/
+qpk_u/^i,#imZ]DW@glge]m($dF-_*b2D7*iSE7cbJ;]bbgOtheCE.%f@ns2f@SUPeG[hqdIGWr
+a48kndB7+5AC'/]dbi<teAK`6d0S1Mf$r3sccsjf~>
+q>:!cq>JG5(]X='r;Z`mr:p<%=b5Z6q>1-ds7aiOiVi]Qqr7PRqu6Eiq[``)q>^<fs(PEGr;6No
+q>U?hrV6?erVI`:r;ZTes28!-mJlPPrpg$es8Du?m*#G)s7Z0dqu$<grqlTgs82ios8</tc.i'm
+rq?3as8*9*q=jp`s6b)=_#Np(pAY(-p[eF[o)J1Qs6BX9f]Cf[p\4IYqYU0hrVufXq[``+q"<@,
+Cj>=Gq#1$`s8K_/rVHQh!;D!~>
+q=aXYq=r)+(]X0tq#'p\p[\?i;gR9uo'cGBrp7R0gA^g%p]($fq>L(!qY0UZoCMuk9Xj]eqY^!]
+rV-9crV?Ee+Skd/o^M^j;4-bMlh^MFs7cKapqPe's7$'XnGi4Vp%SI\qt^9erV$Nfa4BnZqtBm^
+s7du@p@A(Lro\6)]Dq3rnbr=\o'ZPLmJlJBs5j:/e)8aGo()DEp%J+Yq#C'gp?2/\qtfsTerjWc
+k4nNAoCDkT](Z4"rqV'~>
+q:PMrq:a!E(t[TibLPD#f\5!AS3:N-lJL@Yg$7.k8&5,Zr7^,_!S>m#fDjM9h:gQAg"GIX17QtL
+h;?f<f\$/Rs4%"ts4@;(+5GT,f@JlT2h0<<ce[C#gst0.f:g*Xj3cc2d,<L,ea_5re#0Y(g"Os-
+qpk_u/`"t,gsb6*;a$W/bMLY&g=k!#iR?'1b0o7fiNff*[*d=Me'uq!f%Sj1f@SUPeG[hqdIGWq
+f%8<pZYr6.`7E;cdEpY!_UAG2#h%5ReC;mlc-_%~>
+q>9^[q>882"oA5,:i4nars\`'s-KY`o`+s[pAb!Kr;ZZnq>L3jr=/W!rVl?F;IJJ]o`"R_rVQEd
+rVIH2s7lWes79N?s6TdZrVccrq#C,ZeboIIrr)iorVQHes82ios8<3&I^&kGs8M3[q>^?lr"&hg
+s7Q-dSQrM^s82Hgs7H-a3WAjKr;ZEEa7/<fm/R"_s7u]mqt]sapAb'err;onr:g!dq>^Kes8;os
+n,<.Ls7u]deU`RBp&+`squ-Bkp]1&=~>
+q=a@Qq=`51rV6?c(\[LrYXrHTrquE]meQL9TD@pOrTj%Sp>YiHq#:*dp^Hifp@mk*93L!An+lMO
+q"aaap_`i(oD@tUlrS9.lMpGOq#C<]qX'EfmeQSRp\jm`q>^6gpBU_CX8hejroa7Us7lWg&-(Pe
+mdU(=<Nb<\q!n@`nbMr?q=O7PqX<%Qlf7U"rV--co_nOXo^VbJrV6*_qtTp\oCVqQr;Z9`q#1*U
+q=j(PoD@q$H\7CJp@blf!;QQhJ,~>
+q:P5jq:O-K+4o&le^`:'g"P6:igMc(_!C4BiS*DMG_k>.i8`,5jP\_gfDjP(g'u]dg=sof0gEJ.
+dbN@,rRq"urRi"Ah:CH2jNp%nkgAG@gXtE<cJ6`gY12:lf*C8:MrE+?gr90@s47e?^Z3_jh0M&B
+^u3hkh;?TTf/MC4db!4!\"_'`e&U:rg"b09f@JI!f$E(#dFHgsdF-=df$N%&bLY.pf#H4f_VNVm
+bH4oUD9_q,_:&>1#h%5ReC;mlc-_%~>
+q>9^[q>8;3(]FC6rloS7jo"fLs7u]7IId4*s8Vogn`'KHqu6Eiq[`W'qYC0kr:6XkGkV%7o_JI_
+q>'sc'*%e-q#C8N?KUqZo`"^\qYll9rr3#ss8Musr;HNgq>^?lr;Z^#k/kI1rU^'hrV?Kjs83B'
+rV?Kn^gE&cqu?ZhqYg3d'E%\$qYpKio]c>KS%SC[nbMtXrVca>p\"7Uq=j[]rqufiqYfs^nb;kZ
+s8Du^jItMbR$Hb*r;=&$rVHQh!;D!~>
+q=a@Qq=`51rqQEc(\mn(pr@8rhXTn$rpKHnFmS_es8Vc_mGdm?q#:*fp^d,op%8%Vp$8/OEUWW$
+n+?SRq>(!a)#!k!r:0^XL0E[.q=+4QnF?12chI,,nFleSrV63as7lQe#N3M4mJ?>Ps8Dcnq#C'u
+p%\+Xq70U]jnSlQoCr+Vpc8*@oC_qTo^Cl9ns6cRkNqj4p\=Xar;Q<Xo(D\Io_84WqssIVmJ-)?
+p&G!ds5i+,g=)4GhXC13[.aRqrqV'~>
+q:P5jq:O-K!8%5#rn%2'(Ydp.iiu^!bhq"-lIt3p?I[`Yk2b1Fd,E[TfDaG5g=Op2hV$5-5?HCg
+jO2ZYg%j7ufbiAtfAG-:fk`t!f\Y05f?hmoDmA'Mh:C9Ef*B*dSB]a5i84@]s47b2f[]$;S31K*
+fAYH3f%KfL2Up4+g"Fm$`7WL]Qd<^rf%&C)gYLQ;d*Bn_d*Bqae^N*odF?7daNi/df[S`o^3dGr
+E,E84r7&L0rm;#"eCN.!dEg(bJ,~>
+q>9^[q>8;3(\[n!s8T3)D:\a_qYgH[Lp?sZmdg)Os5NtVqu6Eiqu?Trqt^3irs/4O9V)4Hs8W&p
+q>(!d$Mj_ss82cpb?M@Jrr3?)qoe;I_#O0-s8Dlns82cjrV6Egs82ios8Dut"T&/unFQMRs83E'
+s8M9I?<lCfr;$9epA4gaqZQioq=sgcs"<[6h#I&`s7GCEo_JOTqu?Wos8DchrVQHjp&+jas7ZK^
+p%e1$ipO,9G`UtZs8DinqRue)qZ$<jpOE~>
+q=a@Qq=_r)(\.Cgq>[<jB$:2An+-J<J?/JAkjJ$?rSmSOq#:*dp^d)jpAFg_mX@Tjs5F"Sp\4:S
+)"d^srUfg]`)X#2qu-Heoto^(\,Ydas7ZBbs7l?as7lQes8N8qrr;BWqtp0gpCHlqpYt+2;V;$F
+pA+ISp]('a2tm">o^hbQs8(pNfDP-NrU8Y4n+?JAp\aj`qt]pXq=jUZnbE+Ts763Vnb)=ihWUrr
+Di*B?s8D]jpq$2"q#:)>~>
+q:P5jq:O*JqUZS;e)&L2lB=M5\a8,-hWiC%PMkBEe(<U;iS"%Ys4@k5eCiX6gXKjdI-/K1h:gTS
+fbi;re_f!3hl&c-g#:uKg=;t99UOkfg#UiOf*C9me_]9/dFnEIs47e1iS)8g3&eJ/f[\X*dam=O
+f/_F6f$r1!gY^`*e@45[SDDT/cd1+pa4/ene^i6scdU=ie]cLqcJ-V"a3;oPTtAC'^eea[c/7%#
+r6bSm_UAG2#h%5ReC;mlc-_%~>
+l2:ASao)2=(&7=sr3fOap&G'js8B]0])V["s8)EJr;ZZnq>L1$rVl`kq>:-is5dEtbl%M;rVQEd
+rVIH.s7ZKmp]'qqN;*)Gq"F?Me)p]0s7cQlrVZZlrV?Ees7u]ls8;oq#5OnLrUg']qYU<j&-(hm
+r`37<s8DT^rVu]hs7uONq#(-iq=j[]s7u]as8V!Vgr&+5o`+:XrV6-arr)cnp%J=Vqu6'[s7--W
+PlK1Ys8Rd__#462rVQQi^&.d)s7cTgJ,~>
+l1b#IanHVLqXa%Hp9./BlLsoAo_#[d[/TafrV#d@p]($fq>C"!q=jRRp%S4Wh,@b%pA=OWp[e.s
+p%n4Vq=+:M=bQ84p[R_?PKM_Xo_.VMpAOabq"OUaq#0plo9nA.nbVqUqtU3c&-(VbpJ"Pnq"XCL
+qY^'\rV?4HoCr(Uo^_VIr:KsRs8LaPf=p&!n,DPNq=O:QqYBp^nacJFp\O4Ks6]gNOSd>GqtthF
+\+]Xqp\jlupAk!fq1&~>
+l.PmbdFnNQs4RD'(uF'!dGEfO3H<^4j5/_PU,/>%gXY<<eCrp8q:?52g"4d'e^rO5`]6Pjgtp];
+g@Nu7fA+j3gsb-/6ugr5h:9s!FK<.3g"Y!9g$7/ods8RXd+Qn$qpk_u&)k@\g+YCQgY1$$g"Y'-
+h"fP^e(<:*eC)gsgsk0'iSM0'\Y-UOcecXrf$Vdke^W$rbg"V\dac@agW8'eCY#J`gtuC!R+Bm>
+eC=HFs3\^3rm;#"eCN.!dEg(bJ,~>
+l2:ASanuqSnGiO\s8ToQMW"O4o)Id!N9^HAs6AS@s82fkr;.!%rVcWgq>9mcX^QtOs6KX\q>(!d
+(B+1(s8Vfjs,;a5s8LR%oYBDbs7H?fr;?QkrqZHds7u]ls8;oq#QK_?s7H<ho)8Icr;Z^+p\b&O
+AXiAmq>:0krVH9]qY<)Ip\F^cs8W)sqZ$KcmJm4Zs763`naFWSlJpjhp\Xg^o(;hNo^:>dl[?23
+Z1@8]gS\8ps8VWgqu-?lq"h]$rVHQh!;D!~>
+l1b#IdJ*Y6r:_$*lhpeNs80B;J(=PgkPEtXL?/C1r9!e6p\=Lop@n@Wp%%_In,K4eJEQjlrV--_
+s7cNf(AI=pqsX4UJUI=joZPVI\(CZ[mJl\KrV-<dpA+a`rV$QsL"lXtqu-*_q#C(!nb3!:>a"FM
+pA=jhrVH9]qY<2Io(;YOqYL$_p&=^SkktJMs6]dTm-;UAk25"XoCqtNmdTu>nESKTkBX?#XmYEQ
+d[X.HqY][Pp\4X]!VuN%pAk!fq1&~>
+l.Pmbdb,etgtpi?g"G!/gs+a<f';@p;/O5;hppi/@;a<QhVlZ4g>:N]f+6Haf\"["dFHe2N^@@&
+ilh;SrRq)%s4J7Cg!\[4db*JpC?FU3Yd;WB\DuVsjO`)<lIQ:"A\6pJg=t!Oec453dFR>k5BY?0
+f@es8gXt'*q:@^VeCN=,g=b-/hUg)pgu6W?ce[!mb+l;\]XYi(da6:]bL4PV`NHPa</eqTai!#B
+J2EnQh9"-qeC)eDdDF?2d0S1Mf$r3sccsjf~>
+q>Kj]q>8;3s77!&s82Has/^!oci=%=r:\G5s6TOQs5NtVqu6Eiq[`Q!r;Zfpr;QThs,1'Bo`+me
+q>(!d(]X:)rr;fjs2&0gs7_>3nG*%Xn+6ALs8Dlqqu-?fq#C0iqu?Tor<M_nh=UO5s8)]ks8;oq
+&,uUKATe%QqY1!hq"=L]q"a_Gs8;Zequ6Tns75UXs7?9`s6osbs8VWfo]t`1q>0jXnau_Np$gYk
+s8;oeqZ$T!ARNmVrVu'\qtp?gs7j;)rVHQh!;D!~>
+q=sLSq=`51rV$3as6^WqrUoUMr1RMK`;TT$o^Krpqrm\As5NeJp^d&ip\Oa[pA":Mre"1-mectW
+q=t!as7dE,oCD_Qo(2U`;nhqjI"gbPqXE_8o'lYWp]($]q>^6gpBTl\f^JP%s8)Wfs7['!s1MZR
+p\+4Nrr;cdqY^-aq)S<GoCM\Oq=spUl2UeOs7#pNq=jabmJ687jQuR5oC2/:p[I_>e_:&us6]O[
+s/B7'`TZsoiW&ZHrV6Eg](Z4"rqV'~>
+q:bAlq:O-K+kkf2hV?i<f@S<nf\kN8gZFPlDR/Tmg#(Mhh;cc5e`PTBg&9M5e^W4)f[SF'g=k_+
+3cNU-rS%5'qqD)'(u3ZkgYC?1gnI-9hpl1Ob0\nlbL"hkiS!MJ#KM\2cdg;!f_a5!f+6NmTKc6+
+gXap1hU^0.g=H)O45/<8e(34*f\OfoiS`#>d+uq!f@o*(f$2.Ja3`5Yb/hcSbKS#2[GB<faO/i"
+LHRYsbgk[ehpg0(df%S1df.W"daZjteBuUed=;~>
+q>Kj]q>882(B=C/s8VckpUPWjg]-sHs7>IFq>C0_ir&iRrqZNi&,c4urr;rqs8N#tlu?j7s8Dij
+q>L1,rq66iqYpNns)k1!s0KE=r;ZTms82Wjqtp?frV-coq"aa_qu$BjrVtmVrr_linGE.]s8<K.
+l@W'ls7u]hq"XLSqu6Qiq#^TqqY^+@qu?3blhg_Sqtg9irr;ops8W&trqcEdp\4UXqY]dWroj4Y
+p$h3`>L3?Cp@SCaqu?Nkpq?S'qZ$<jpOE~>
+q=sLSq=`51"8;E]pAO_%q#C0]s7u-Ym&b5=d.cr+s6\h4p%\=OiqN3B%eTGjqtKj]p\+LFCM'%8
+rV--_s7cQg(]!RqqXjRYoDE0aeb5oGs7?9]q#C'Zq>9s_q#L9jq>^6gpBU`Rs8;odqsaLXs7['"
+jEaJKs6]dWq"XLSqu6Qiq#^Kip&+D;pA4.Nk4\]@p@\4Uq>0m^s82WhqY'RToCMbHpA!qGqW.AM
+na,@N;T&M"mHafFp\4IXrV=&!!;QQhJ,~>
+q:bAlq:O-K+kkl6i832@f@SR3g"#*>fAbMT?<"Z#f]_SOb1,5(hppH;g&9M9e^;gsg""X,h;@;<
+;bhl*gt^W;rRq)%s4J7Ddb<L+f\+pA<J&$FNL/\Vj42oFg"G06lIQ:"]]%Z)ce6V@ec453fu./K
+\)Yrqe^i="e(NO2q:>]'g"$#L0\4t%fZ)Lsce-k%f\,!/f%ep-f%&0nd*BqcbL+eXd+,nYgW[^R
+7Q%1)cd'bne("BFs3UkndDF?2d0S1Mf$r3sccsjf~>
+q>Kj]q>8;3-3*o>q>1'gqu?N0A:Do*p@$"G\,Z("p\apdqu$?hqu$?hqu$?[quQ]jqtgp(q=a^b
+qtpBmp%SL[Dd:Nbr;HNkq>C+*o`+sbs8W&tMLL!'rVuZmq#C0`s8Volqu-?fp]1-hqu-Euifa**
+q>^*_qu6NnrVlg6NDdFbrVuQjqtg3iqtg*bq>:!bq>:'`qu6UPrr)fhs8Moks7-']s8)Whq#C0a
+q#(0hp\Y!jrVZ0XrUp3cs7-'[iHfV8rUp3jq"jd_qu6Enq"jj#qu-Bkp]1&=~>
+q=sLSq=`51rV$3a-2RB/o_&"RoD7pb=`_R]mcVB+Z2F%doCr%Sq"ORXq"ORXq"ORPp\FRrqt9LR
+q"==Tr9s.Tn7bqCp@eCXq=kd"n,E7Rqu63TGAV08nbqqOnc/7Oqu$-aq"FO_q#0pmgl:plpAad\
+q#'mcp/$E6ZgdVemf*+Xqu$?cq"X[[q=sd\q"".Tqtg-`q!n@Zp@SCOq!n4Rp@\%Tp@ItQrV6']
+s8VrkmIL)Cs7H?Yq=*3^DWgZYrVuH\o(VnXp]C9dpq$2"q#:)>~>
+q:bAlq:O-K+kkf2hV?i<g"4s0e^i@,h;%5MV+4t#lIjUc>asm.jP&>\f`9Xig&9M7gX=L!f[JC'
+i76E@ek\E0gt_e\q:QS:dGWm0hVm,@Am8BAg#CH8eD]!.hVZuMf*8m)e'$;#deD?'ALs.rfAk98
+g"+j2g"+aMf/M./g=t?7f\"U.g"+[3bh1D"e^i:"g!e<rf%8Hue(`[0f#l=icJ6h)b1=hK;G>0`
+c/.F+eBn0BrR&L1rm;#"eCN.!dEg(bJ,~>
+nbi4[])3*;o`+s*H?lses8:ZHs8Vflrser!pA=jaqt^-bqt^-dnGE:`oDC$3s7lKk_/=)Vs7uK_
+s8)Njn*ToGq>L6jo`+gaq>1->Ec^RGqu$?grV?HinbE1^qtqf<i.L@hq#:'brVHB_s8DutO\h>C
+s7ZKbr;6Ehr;6Ehr;6Ehr;5s\qYL<hq"aUnrV>pQs8MQfs8Mi8E.RKUr;$3iqRcY'qZ$<jpOE~>
+nb;kQ](['8kPb.[D/QE7o^gP"qYKUSqu6E_o(r7XrqHWlq"a^[nFlqXoCj3qs7>sa]P2$As75aJ
+s7>j^n*ToGq"jg_nG`.\oEk6,?")OZnb)VMqY9UV!;QHc-MZ>Gkk=fNq"jp^p$M\Jo_O2,L\:B.
+s6fXVp\=LXp\=LXp\=LXn+Z\R!VuEap(%&sn+-GSmeQhVo>56el2:8NpAjuupAk!fq1&~>
+n_*`jak?XHpXpM>gskWMSm5NgdGj0&M!=-Yjl#(Pe^`I1f\+sWf)jLSfBCm@f@ed/f@ej-jOW#F
+T1hl%k1J>8k1S>Fc-+\ig"Y6:e)B!3f@o&^8km@]f\>*7rn@>(!8$hms4@2%s48(!?cU[Gg=4d2
+g"=^0f%Jqo-Yh8bcJ["$fDa8#da\9E&(K@cc-Y8"c.Uq*e"TH;ao'WhdaYhUrm;#"eCN.!dEg(b
+J,~>
+nbi4[])3EDs7lHjg7!SUs8VNV^?tsin+?JSrVZKaq>&tH$2OPloDd6IG3J`#ru1Y3p%\OdqY'XW
+qu?]bnc/Fb_NSE$q#CBeq>U0hq>^?^q>:*iq\T;#s7H?ZqY:$cs8V]jrQIcakPtJPs8V'UqtpEh
+s7lHb%fQ:qp&>!`pu:SE>`\UTXo&(ns7cTgJ,~>
+nb;kQ]([-:r9NbAc&Hn%p@RJ0[H.>OlgsrLr;69]q"Xa^iV+kupA4=Is34eeiU6L?o^)VKq#:<i
+p@IqNs8V?Ls7>ofISZ*mqt]mZq"aaaq!n1Wp](")s6K^Ws6faYr:]sdl2L.a2g*gRoBuVSiV36E
+s7uHb%fZCto_n^XoA/H-;hj]3WqQMgrqV'~>
+n_*`j]%J(Wk1JDG]R474k2b+GVUb.edad+.hVHl8g"G!/rm_##iRoa8fA"a#j01aJa49)2hU^i:
+eCr[0eC<%&jQ=e9k1ed`CHHppjPSVFgtLK]g&K[pebe&"f,*DgiR6Q)f%/^4hr`5FeY=-g]]%Ac
+hV-Z7q:6,0hV?T1hVHW1^W)9lC!bAZZdSj##h%5ReC;mlc-_%~>
+nbi4[])3EDs82]ns5'DhP5k=QMTGhtq=aX]qY0d_q>'"I.0&Z6s763iWc*:]s6BXUq=jphp\Ogd
+s7kgJs8Vn_S,2oFG5VC4pA+^_s7u]lnbN([s8*VV^[U[koDej_s8VQfs57j8e,TIDrr2lTr;6Bk
+q>:$gq%*Anp&G'`oDejSN+&O>nc,`grVHQh!;D!~>
+nb;kQ]([-:q!deNq9tUAL]-T,I_>=Mp%A+Vq=aR[q"Xa^iV+c!l2:SKs8Jj.Fn#+^pZV2=s8DTa
+q>1-`jQljEo95:#j+D"6rpKISrqZNfnbN(Vs7dDP]^>%bnGW:Sq>][Sr6f%``W#W$q"a^Dp\Xac
+q>'jtqssF[rp]FVs5Sl>T%WH0WqQMgrqV'~>
+n_*`j]%J"UinW>QjhHFJFmIi=DQN!cgtCE:gXt06g"H8SiRoU8b2)%&j5Geh>M%]QiR6B,gtL0,
+f\>B:a3j&0fmA%qcu2h7jODl]gA]e*fCIJhg&KY?W12#Rhp:$2e)0<5hVu%98#kP$dFd.)g"6&P
+&D>FZi8)`*h;?+_4FXiaiRG3^rm;#"eCN.!dEg(bJ,~>
+nbi4[\bm9:s8VQ_s6R.4LuRgAL@tTFp@S.Vp\=^`q#L<Lr!N<"s7Gj]j&O,!r;Q^5rr;Z_s8Voo
+s8)ck]]HH8s8Ti;h>QgBq>U0hq>^?_q#L<hr;ZWqb_?#ps8Vd'mf2SPpZ-X7jT#5Jr;ZTeiV`TM
+s7uKf&,5knq>1!dr9'MdWrE%ho<%ogqZ$<jpOE~>
+nb;kQ\b@!/s8(pJro'kgIFdAgHKY5%p%.qRp@nL[q#'pfpu1uIq'Pk5r9s"NgePNTnc&7Xq>BgQ
+r;?9cs7Z9[[bn0po_bjbdIui)q#:*fq""4\q"sgcp_V&(qZ$QmoC;)Fj7qrmCg5K`oB,cHp@R><
+qtU3eq>1]sp%7tPq"aaFQ"d)js6]9TpAk!fq1&~>
+n_*`j]%J"Uf';AFgZm+P;esD#WbU8Ri7ZZ6gXt07g"H8SiS"7b-.q#0dEgaf1o&j\kht@Og!@pt
+gXk6Ag#(JQ`K[%RkaFE?gs>-]gA]e*fCIGlfDO>%f,(Aog#:cAd*^)"aktL[;F.qJe]67ue^N4'
+q:Q>0eC2t!f@\`mF\.;?iQ]TrZdSj##h%5ReC;mlc-_%~>
+nbi4[\blL*rr)j/qt%XAJ)1."U&"HUp\t3lqYBsaiVY(ts7baWs7--bQrpNko()YSq"Xmhq=44N
+s8Bc8eG9%<s5?tQrV-?jq<e(Tr#"(Bo_A"Trr<#oqZ#_m=L\>/rVullq"agHr;$6cr"&K#s6TL[
+n$RRg^An!&s7WSlrVHQh!;D!~>
+nb;kQ\b?p5q"aa^qXa$]@rfrkQBCV*nalVUqY'UXpu1rpo`+RFs8;6`nrZ\Cro`J9p@InRs7G[K
+mecdl;9ne+lL*%hQhL"Ml1k)K(t4-+oBl;JrVQ'Qp"N\CWVZ2Xr;69aq=rtDq=sd]&+KVskOSZ<
+Y^1H(rUog_o;_Nbq#:)>~>
+n_*`j]%IqSgYh&LioAnHUetR8k_=]Eg"+g5i8*)=rRq/$iRo[1j420/hTt98G;Y<BdF$Y"e'm+0
+eBZRkhV4Y][+X3ag:AqegstK>gAKY(fCIJff+t]&cdU.jg#(`=fA48/0TY)Ae_Jm0f%AUMfFZEg
+grIk%b)fb*RbZEAiR$)\df.W"daZjteBuUed=;~>
+nbi4[\bm!<p@nUeq"F^^kBhTd_K<Bgrri5oqYgEhqr.G]q#C?hrr;ulq>ZLpgA_*Ur:U*iq"Xjg
+#.^\p\blF*rr3.MHMmg3qu6EYqt^-qs7$'cs7ZKer;Q^)F'ak+s7cQnoCDhQqr7PEqZ?]qr;Q^(
+i0n)*d/*S9nEp8PY5A1os7cTgJ,~>
+nb;kQ\b?p;o_&4^o'lA?ghq&/Z=L*7s8McbpA+R\pu1r^p&+^\q>U3\o)48SchIG6p$hhXoCMt]
+&%&+jZh=:jq"OK%E:s7rpZhPLpDEkps7ZK_qXF"PnF^?hJ+`I%rVuK\rV$$Gp[\(kp\OUZs8Ui=
+>^jrlq>BaLs7iYh!;QQhJ,~>
+n_*`j]%IqSi7m&KjP&>HfudT,R%mZOj5f7Uf@es8rRq/$iRo[2h;$W:i7ul8j(qH#iTT1Od+[C+
+e)KEJQ\NGHgZ.)Kinmm?gZ-Q4gAKY(fCIJff,*8diRZu8g=+X6g"o@[A_Ykbh;Qc/gXOX&&),Uf
+iShCk4C,&>f@nNnhm1]0d0S1Mf$r3sccsjf~>
+nbi4[])3EBq>'dWp&"^bs8VM3DLAg2h=gmGnb3"_q>9.K./NK6s7u?frqZT_PA\YFo)JIas6fpe
+l1BgCnc/XWqtL!d]4fgrpAF(MrVZ]0(AID"q>^Hjs6u^bT_&3`rr)Z`pA4CXiqrfRrqZHgqtq$*
+o_\[DP&uNMp\k'cp\+1SY5A1os7cTgJ,~>
+nb;kQ\b@!:q=jLQp\4:Xo\jRmCSPFlo)JIOo)&C[p\XaDpF#D.s7GgXq==RIM.=F!kkjlHpuhMR
+ipVP-m/R"Kp?h>=Y?oTTnb;2@rV-?%(@^Yho)87Jpu%<.P3;];p\=IQp\XUXiqEHJrqZHdqtC[$
+lgk),N,XI<o_na`q=sOUX7lVhrqV'~>
+n_*`j]%J"Ugtg`:f\GB>kMXWf9O!]Z^Y.`(db!@6g=k<7-eQc&j4;Z8gt:c5E)!Fpcem4.gWJ@4
+`R/9acf3j,g!nX,QUA.>eG\(ffDX7ufDh3Qe'?q&i7QK:aa5aec/7=1f[\@!g!\:"&)>=Th6^ok
+@E['Og!nO#cEbmtd0S1Mf$r3sccsjf~>
+nbi4[])3EBq=OI]r:K^^oDeRbR:qDCMT#AkrVcZfq>9.K-i*fAo_/=bqu?Wps*SbKrr;Wjs7?9Y
+OO!UXs7,sbr;ZfqqJ)_ms8Mr[qu-Es]Rg+_p\XpgrskH-F8Q"4q#C6ds7u0^qr@VSqu6Eiqu?Tm
+rVuj.r;Zf;HY]eas8;Zcp%eIXqQB_oqZ$<jpOE~>
+nb;kQ]([-<qY0daqt'CRlh]oEMH>"XK#%*[q>'gVp\4R[iV+_nrql6Uqu$0_pA4f/ADQnQmJd(N
+s6#6\o%O-2pA4OYr:08aRcseNpZVDNpDC>cq#9dTo_/%MM,e-Us7,XWq"Xmco_nRFp]($fq>L*g
+q>9puoDeU"F_.TMrV?6^p\Xm^poF,hq#:)>~>
+n_*`j\_.kTg>(]Ff@f*3jO`X?7:gUWVq^=ihVH`9g=t:.fAGB3e(rp7hV@)P>>E5nh9b-=cf</a
+X44iCd+R7/hrEDA7=NJ@rRpSirRLku(RA:[iR?E1gYgh,5"jGee^WI-f&,--gY(3SfFH?ef:>i-
+LY1>3eC)drf<Nd'd0S1Mf$r3sccsjf~>
+q>:!cnb^H+qYME3q"FFVq>'pcs7,pbs1X&"IqQn"rql`pqtp<jrqu]niVYq8qYpNprVZTfs8Dcn
+N+1<7s8DN^R-2EEnc&FZqu6Nmqu-;T?h!smq"jshq=4L^q#C'crr;H[s7u9ds7$!cqZ$Hmr#"qc
+s8W#sq#0oc<IOH<nc/Oaqt^$^pA"OFr;ZX4q=sa]qu$Blp](9ko)Jafn%!gr_t3^#qY9jbpAt'c
+Y5A1os7cTgJ,~>
+q=aXYnb1*!qXsp`rV?Kg)>Ek'kO&9AYAd`j@Dha4p%eCVp@nCYp\4LBpH\EGqu$<cp\41UoC)X/
+=3C+6n`]>"i4[b-q=aFTqtKjWoC7iCl1FcBp%\IWmf3"PqsjFVs6B+Qo^;YWlhL5Rq#C*gp(HWI
+s8VZ`m.'8,7W.;dkPFrJq#:'jqYBpHp](",q=saZq"aabo)A[_m.UAKk-/oQ^$kXgp\=O_q>^5j
+pAk!fq1&~>
+q:PMrn^tt:q:G]#r7_2+(ZWfmkhqn77pnohgu-rEhV$T9gtUN8gYpfgf%Ad6h#?"ef&PK8kA*Ag
+fAtQ.d<!3u]$9!^eCiX1gXt0/E]hRtgXXj,gsjO'f$iC$f@f-*d,*9tgu6H/eGdnreGn)3beiB!
+fA"a*d"3oPb2ge'g"G'1rmh_6f\#'/hVm&0fA4loO&B)LbgQ=:ZI8a"#h%5ReC;mlc-_%~>
+q>:!cnb^H+qYME3q"FFVq>'pbp](9`rVtuW;HR"Rq#C!Yr;?Qos82TciVYq?rquQcp@n@Ts7QBk
+op\V#nGiOLER=UPrVufiqu6Kkr;Zc9A%2C5qu?Zor:g*eq#16goC`.[p&F[[p](6kqZ$HmquaU^
+q=":^#e4#em/Qh[s82fkrqHNiqr@SSqu6C,q"jmbr9s[YlMpnUs88[-NnF=1r;-9hq#C'hq"h/j
+rVHQh!;D!~>
+q=aXYnb1*!qXu'+q>0s`q"XUXnbr+Anbgt-8lAN8o)J.Gp@nCZqY'OOiV,S8qt]pUnac;>s6K=Q
+lB"9KjSAf-B?0Z/pAOaXq"sj]p&"Ku>d3nnp%nLZp[n7UoD&7UmdU8LnGhtLo)JOaq#C*gp(=^X
+nE0KEq#76bE8^?TrqcEbqtU6ej7`QKrqR?)p\=OZlMp>6s8D6Xo:'0EdeEY6p\4[^s7u]iX7lVh
+rqV'~>
+q:PMrn^tt:q:P]"rRr+DfAk`6gZQD,1HIO.g?@&9gtLQ>gt:0,iRpHPgtL?/e(*%!k0i#Ee9WUF
+b2;9o9WH^gg#(K5g"b98g#(PZ5a0jPe_8^/f?r.$e(EI*cHtJ!d,E=#dc&mXdf7hsee+:Se&gG,
+hW0hU=if:Ein`;@f[p/Ss47h7b2L[bi82Z1dX"/jYgqCVq:)^urm;#"eCN.!dEg(bJ,~>
+q>:!cnb^H+qYL<iq>U0hq>^=.q>^KgrVuojk%\"#T'Q@TqY^<gp\=dgiVZ^Sr;-6cqu-Nnr;ZQl
+r:YtaZ,kDom/R%_s8Vrir;?Hhq#C3^GBNKRqZ$QirVuQ[s8W#C[">O#\uVuganGZ/q"jjaqu$Ab
+Vu6Snp[uC.HHQ9fqYpBlq#L3hq#L<Or"o8+q"aa^qYU0iqu?]es8TZUN4e]\r:U$br:g9gY5A1o
+s7cTgJ,~>
+q=aXYnb1*!qXsp`rV?Hf)#*\$q<[_Pror9M;GrnDp\sgYq"=4LqZ#OK=o.sgp@\.Sq=jRTme$&8
+I9rYYa7J<aoCi+\p%8(Xq"OCWp$?X6l14KBq"4C\o'?2OpWB[fX1u'>WI`"Xp\=RZq"OOVp6VB?
+rpK"4ZV>5Irr;T`p\=O]q#L3LpAk!eq>^3hp(.#ms7kdWp9ARk[d3tgnb2bQX7lVhrqV'~>
+q:PMrn^tt:q:P\urRi%AfAYW9g?.PHa%e`ZJBd!4g>(H8e^iR;iRpNOg=Y$/f\>3;gYC?9gXTq,
+Mk[E.a4o8"hqci3f\5$4f&#'*;btWdeCiF#f%SHnh;?neO^F*AQ\^Q0VUO/FdJhQ.eCN2sJ_&o6
+dEe=@<2A[;f@em2g"4jSedpKbiRu?3fTK$>P/lD-bgEH=rm;#"eCN.!dEg(bJ,~>
+q>:!cnb^H+qYL?jq=spas8*W4p\FjhoCi4aq3t/hMX(69q"t$is8;KIr!E/oqY^BnrVQWZrr5jk
+s8RIWVtpAis8W#rqtKj`rVHHdq"Off>L3?Iq>L'as7QElm.U;EAnCK%s0HcWfDk^BqYL*dr;<A!
+rVccriac]Ws7$'gmJ?YSq"aa_qr.GVqtTs^q>:0fs8<B!q>]EDEeDL6s7Q-bq"h,irVHQh!;D!~>
+q=aXYnb1*!qXsp`rV?Ee(]O!rs8)!Hs7u8O8R-r0s7,[Rq#13dmc!nCp%J.UqYL!\qVqMSrU0[Z
+D,ckeo'cPNp%S1No_SO_qt'INqP$m-q"+"LoCi4Ts8V9Pp$,snlg4MODI:ilq"a^[p\4CTS#u5N
+oD-g6=O?g)r;GmUq"Xjas7kRIs7lTh'DV=pp%S4InG:^uB77c!s7,^VpA+K`pAk!fq1&~>
+q:PMrn^tt:q:PYtrRi"Ge_'!Ad*q.:h1%4KCs;+pf\,$;iS)]<fg43@f\5-9gY(N+jlYaYki#Q*
+JCE0$j4i5?f$`%#gXt<4f@A]226#9YcdgCkhTt0@aj\kc6UK&Ch2kH![,9<ZrR)A/ep`_4fA,At
+4[HU8c/@O(gY(97f)XD#f+QZbe^rEtdG26Q7pDY?gs"'ndAkXod0S1Mf$r3sccsjf~>
+q>:!cnb^H+q"k'eqth30q"=L`s8;Tgp&DIP?uj*`s7u?as8DWLr%S*Hq>'pbq"FafnGi1]D,Bko
+DkZn)n+$5Mq"X^bqtU-cq#C3RE0pV)pAb*bs7l-_rup$(P5#"Tr.J(.nG;qVqYU0fr;6Nms8TWE
+AC^AQs7?$brqQNh!;k[O$2aMlq>'p`q=sU]rsR,(GH(-,qY0garqWDfrVHQh!;D!~>
+q=aXYnb1*!q=Xjaq>9q'r:TRPrVZ?Wo^2FVH<=pmrV?$PoD/+JiV*BLq#0n!oC;kVk4e0?@RT76
+?]sUOj6-"4o/cXCqtU*ap&"@=B8lcbmJ6SKs7PaYqZ$H?>Dr"Np@Wi/K^8F/q"XUXp@e(Qn+?RX
+=B!?-s829ZrVZHkpttiFq#C.&q"F@Ome?_S^iX:^mIg8Ip\Xl^pAk!fq1&~>
+q:PMrn^tt:q:G`"ec","fb`Jqe(EU:g""p2j-aIG;ki=0f[SO/g="s5=khW]f@\a,eE5Z5hULa_
+0$e]3HdLosbgk:ne(!%%f%o$1h:BJ7DVj-lf@J:%d`gb-j5..,DU[Y!fO-FHbL+Y`dF-Imf%&U,
+g?+Pd5I&Z!iR6E:g=b06fDjG$f+QW`e'?V(fV;MAI`g!bcdC:odAkXod0S1Mf$r3sccsjf~>
+q>:!cnb^H+nbX.!r;6<erVl`ks7H?kMHirdi;`iVq>^KRqum&sp@eC_rt=u$s2;)*U>kkG`*n>X
+q>^Hlr;QXYq=aITpAa[_R;)*hqu?]grqcZglM(.G=1/)"s8U#4S,N3YqYL*dr;<&:qu=oAC[qGq
+rr;Nbs7#gYq>:*hrSm_fqtTp]q>:!_p](9e]Q/nds7uNjr;uiio_n[cr2okpqZ$<jpOE~>
+q=aXYnb1*!q=aXZ(\db"p%J4Wp@A7Ms8R[M8$L\Hs7c*[s5E]Rr:omTpA4[_mI^.aUYhEhjS#rX
+FOKRVp%A(SqYL$]p%\4[m/N)Pj8\]Is7#s\rU8e9o9N4Uq<\"T]gn=^q"a^[p\4CTONm1l]gc/_
+rTj4XnGE7UrqQQhhY7$Es7m?'p@IkTp?StoI*_HXqYgBiq"=4Vp\jfcpAk!fq1&~>
+q:PMrn^tt:qUbl#f@BiOs4IP-g=k34rnJ%=lIY=dD*9S=^ZFV4f%oEGfid.aeC<.+hVHZ7hP#qN
+J\]XlSN:&ge)]06f@\^,e^E"#f&=p7E'VD$dFm@#f$rO(`m`La1QgJ=hVFhSGM(<hdF$CjeC8TF
+e)[AZ7Ejl@h<*/@jO2`7gXlJVrmqe5e'd4,c'(Y)ZII7Nf@SR$cciE;rm;#"eCN.!dEg(bJ,~>
+q>:!cnb^H+q>:'es82ios8Nc,lLb,Sk5Y>Ms4C1JNm[S#s82NJr*T9oqYpHgoD#BLam/oss8Vlo
+c!kqGkPtP[rquWfq!n.Qr:g67E3]HCr;ZKiqY^6js8-VOp\Opcmr1[os8)NeqYU0fr*\Xda&-s*
+rqcZko(i:Zn+QPPqu$Ems8D!U*;fL)q"jm`p\+=5JR#5Hs8VrloB5N>s7Q9dr;?Qn!;rtrrVHQh
+!;D!~>
+q=aXYnb1*!q=Xg_qY:*d(&e1(l1"`HhYm'3ps;T+L<Au[q"4%6pL!aio_81VoBu.Eh7qk?kP"i9
+r4Q!B`ngC`q"aa[q"XFUp%e1Y^h'>8p\+XXr:fmVs8V_&C%1`no&sdNUAt#aq"XUXp@_M?r3nn"
+^?tFco^;MSq"":Wq=s^Yp@dM?)#3k#q>0m[o'u+nG#=djo(r.Zp$(oDrq$*_rq<>c!;QQhJ,~>
+q:PMrn^tt:qUbi"fDO2!fDjP>hVcu.e)oN/khanN\M?$\YgqUef[Jg4*89#pf\>-2dFX8oVTI`C
+i98VOVE7\W_V3_rg"-/P3RZU3g=5,V7tfIEeD/="eC`F7j4HpteCW^2bY978i6fludF-Ime2b8&
+TIWd;g"5-8e(Wa5e(NF/f,)ugf@\^*da?@E=>PHIe_8I$c,%ENf?F'<ZI8a"#h%5ReC;mlc-_%~>
+q>:!cnb^H+q>:'es8*W2s8;Qes8Vcls7H'cmec0i?Vt^Lq#C0`quZcnqsXI_qE=cVr9i:^s./QW
+p](9fs8N&uhJZSnrVQNjqY9seqZ$Kds8VbYFS#P,s8)cls7lW^r*O*Ua17ge6[A_+rqcZl)uT^7
+aT&J\A)[I`s8Dlpr:07Tq"agbr;HZqrUKe6qu$?hqu$?hqu$?hqu$?eqYU3gqY0]qDf!8dqYU<h
+q#(-ep%\Raqu-EnrqrnqrVHQh!;D!~>
+q=aXYnb1*!q=Yp)q"ORXp\=O[r;$!Zs8;E_rp9+Rk4@JI=%[,/nc/1RpB(-aq![qpp%S:[pZ^5J
+r0HLFmJHqNoC)MFcXT_=oCW%T,4kO*q>^9]s8))@C$>9YrUg*_rUK^HoiPV9^pKPO5'6YlrqQNf
+(&%=n^%nC-;pkR/pA"CYqsa+Tq=saap]'s^pB13bq"Od_-hmE1q"ORXq"ORXq"ORXq"FIWq=jRQ
+n?lk<\F8nUr:p*ds8)?\s82Njp8Rcdq#:)>~>
+q:PMrn^tt:q:Gf$e^r@Mf,38ug==p;hpgQHe_'*3grNM]0MRhak188GfgFBDg>1H*\>eD4bi[F6
+k1&/<in(\31k400f\"a'f%Sj9g=,'8c#-+of$2mpg!em0h94J67&$KCHrV:igsXWudaJ-E'%Wc5
+LdaG;k0r/@g>1T4dGNX1o%*uof@ALPeaV0+f\,!3f@&$27mr]icd:=mdFHjsbg4r;dB_4"d0S1M
+f$r3sccsjf~>
+q>:!cq>9^[rql`nrr'k7"T/,or;?Bf$2VDI;H(g=rr;Kes!%"5oD\OTs82fas82]fs69IXs763i
+qt0pZs8VTgs3(AOYl4J2rVZWls8DlqrS!6&QfnDEqu6ULrVulbqZ$0)B"n-Ar;Zfls7l9eY??LS
+P_4IVcLq/0s7c<es8VZigo"V(f)PLErVl`lqu-HmrUKdsqt^-bqt^-bo^r"XrqZHjq>UC$q>]Yt
+@%6!Kqtg3eqY9pfr2feoqZ$<jpOE~>
+q=aXYq=a@Qrq?BdrqOM-"Sh`dp\4X[rUhi9\R%s(`q]?/lhp_[m/HJMo^2\QrTj@So^Mn?p%/.J
+s82HUrTjCXlh^Y$pp@+#pI+`Lp@nFYp%\70L-L[Rs6oLPp%nC^q<@POlFL9-nGMkMrpTULlh[PX
+I\;aPI%&@RrV$3\oCr1[kOm,g<,'MKmJ6JTp\Xa]p[\)"q=sd\q=sdUo_8:\q=sdSqYL-YpYT^h
+QeD*.q"ag^TD&?\rqV'~>
+q:PMrq:P5jrn.8(rn>`P!nZ,Wn_*lq1"r6h1c;GohW2u>i8Dr?dbWO%j4`D9hUpH/j2K[%i6LB>
+f?iI$hV?B2j/C[tNS3"^g-=EJg"Y5iC*[i:jODi=gu$fDfu_b$adG8Tc.UFkgWnU)dc$-C@"NB*
+>C!6rg!\[(e(<F2ak="L3DZm6dbOcR!S?#ufD=#"e()ptrmU\n(=(:Vf\"a)g!o$@jODu%8ih(&
+dF6Oli6fEirm;#"eCN.!dEg(bJ,~>
+q>:!cq>9^[rql`nrr'\2q>2iFpscKs<I3NIs7ZK`s8;o\s8MW`r:TgTs7l3`s7u9dlgXrSp&4pj
+cc>4jp?DVQr#PY/q"t*feZE)6ci*nCs8;Q\r;Zfmr;W%6o`+pfqu7Lf;UGIAp@%JBq"aaWr;ZNg
+m/PpP?&mY:rr:sT!;lTfs8Ni.o(MkQr;Z`gl_J*;_rC[qqY9m]qO[T_qZ$<jpOE~>
+q=aXYq=a@Qrq?BdrqO>(qtC'_0Db7bWHh9]fZ=*_rpBa\rT+"To(DnPoBlSJm.LDLm/,l.qZ$!W
+rVamUil(BJs7c7Np%\OZcDFKi_t!KlnF5f2pAb0aoDX\ol2L5@rqH9`qY>V6bQ%D0n*foFqt]aU
+s7#O:rm4Y@K@0;cr;,mVo(`%Vs8Ni.o(MkLnG)A4hj@Yi^#&\eqtg6dpm_!Xq#:)>~>
+q:PMrq:P5jrn.8(rn>3ArRh/'s4]3bfX?oN2dF/$jOE/8inND3jPA>;h:C0'j4)E-j42K4a3<B"
+dFmI8XJEe3e&LGDg&K\ff%K!5ZALYTX4cIegXsirf&>N6dbS\@akP4ehV$fCiSS,uXl7p\c-+J_
+f%&+"imZDrj0^p)B=-7EhV@SOqpkSm!RfHleJ@#te'?Ckdb*X5cc:K!;k:POg=+Ktcf*9gdf.W"
+daZjteBuUed=;~>
+q>:!cq>9^[rql`nrr'\2q>2iDr;ZB]QY9fBbJNfGs7lKknb`=Xq>^-fq>C3hp&G'ks8W&ds8Sbd
+dEqpgrqZThr$VI>p\t3mo@[A@Zhse%r;Zfpq>:-js5%G:s8)]ls8Vlkj`,JBqYU9l%f5qrs8;Wc
+rVuBIBhjcNrVllliV`NK#5Rl^qu6Kjrr3JlTn$irfDbgMqXjRYp\LKYrVHQh!;D!~>
+q=aXYq=a@Qrq?BdrqO>(q=ZK9pAaOKO^_O)`4P=,r:9O\lh1,Dp&FR]o(D_LmeHbTs8;TSs7i#Q
+bffqUq=O^_pHSKMp[n:]qX2d35cO5Fo()hZp%%bLp@d$D`rGMunbMkJo\O>&q"=F]s8VriqZ$B^
+nFlnDeQY:jg&LjEs75XQlhD=jnF65Mq"asbp">LM?"_R[s8Vleq>C$_S+cpXrqV'~>
+q:PMrq:P5jrn.8(rn>3ArRh)%0AYFFe(8k;6V4;Od+[L3gZHo<hppHCeDSm0g"=^,i7d5KfurC0
+I+5=$hUUB3iVD.?g=t91gZ%&:\2u("g#(T<jPSV?rRWF*5cESfdaQt)e_%`6<8,sWh;R8De(EL1
+eC3+2ags_`B>*<ZhW*,SfD3todf@qpf,3&ace$n&f\tcI_L#NT9!R%)gX=?odE^.7df.W"daZjt
+eBuUed=;~>
+q>:!cq>9^[rql`nrr'\2q>2iDmJlt]n(ESB;g7*SK@BYomJlYQs7uWgs7lNlqXFOPj21f!am.U[
+rpp*fq>]sZr"&i+p\=[bqYoNO?>7X`rp9Xa*;KL4q#?5-qtpE_s7QEl]2aplqY'XWq"jj^p@\Fb
+$h:]GFgV,IpAFs_rSd\Mq\]&,s8DZaq>B`GMKN1;s7?*ap[e"Pq=aZVqu-Bkp]1&=~>
+q=aXYq=a@Qrq?BdrqO>(q=ZK9kPt,Pl-k<)9Q8V8IEhBWkPsf?rq#mSq!n%ToBH&4gq3<Z_W0,F
+q<e(So`+7QpHSKOqXjCRq"=C:RoE\/rq,=Ks7l-Xp@%j/IIQb+jnS9Cs0ba]rUodRo_%tQp%.\N
+s7tl[@qV\0s6]LSn+cAGlhD=grVu`co(Mb;KR7E0ZiBCbp\"(KqYU$^S+cpXrqV'~>
+q:PMrq:P5jrn.8(rn>3ArRh)%0AXn8f]LSnCfW;l]tIp^g"aj7ceRR6h::90f\b9(gW@4%g5DfI
+[c,ueh:gH?c2$$Wg>1N6e_/^0h84b*8#ke-akYq2eCiO%h-sg@eD\O(dGX)R1Mu%$eC<%"f\"d)
+dba!=bE,7gMq6q8f\=g-n(7Bcr6le=f@S^-g"4p/eD0*;eBun#b\q#h2ONONe^VpgbgOtdU=0%g
+#h%5ReC;mlc-_%~>
+q>:!cq>9^[rql`nrr(7Bl2*.6o)AUZqZ$DdT3u[#Nk,1Jlhlq6s1/10jo>@ts8RrU]7Tq=oDeLY
+s7l6Zo`+[]r$M:<r;-?jrVH?ipVV8NNW9%Uq"aaZqu?W5<kA>2qZ$Tin<e=6nc&P'rVlisr:p3i
+qTajpEoR#sqtg?glMoQ8s8NH%mJm4QWb?WjRIU:V#l=Jsqtg6dp\LKYrVHQh!;D!~>
+q=aXYq=a@Qrq?BdrqOn8nbDqR0E1A6p[.VQoU;+KC#+NKq1I`"MWXrDqZ#FKs1A.(K)`3)o\/[/
+mdpJMn*ofGo(_tZq>^1Mq=sXRrp[R<6A"n-p@IqIn+?VN]1fL)s6fX[o^.o`^@(q!r:p*bqtK^V
+qX_aV8nZcGrp]IXo&]oAp[S%SpDEf-o]Z8RkG)9u>`IkEqtg!\qYC!dqtTrUpAk!fq1&~>
+q:PMrq:P5jrn.8(rn>3Aqq1r%0B(:7h:(*Agk1,C;T<XDibZipF3j'=i8hc3jIb;cB&o=dfY5_i
+dadC.dF-G&eG7c^f\5'3g"Y96f]:VX==e:Dhq?T4f$i:1fUag^hW*,>hp]ko;P2:kj58VHhVQu;
+g"b/Y@4b-ae`,*.j4231n^m<]s4JFHg"P-5g"tc@b2D=&LI>*0Fj&h%h::'*e'upsd%\tfd0S1M
+f$r3sccsjf~>
+q>:!cq>9^[rql`nrr(7Bl2*.0s7?*es76$dpnVY9M!Or5g=1/]kDIX7PK*H`nGfBVp&+jhs8VHO
+rqcZpo`+X\r$hUAq>'sgs8MlnqZ#Z<??af^rr;oprVHQiI=_+js7uZ-Lehif[c$cPrqd?+s8Voh
+[Rsf3rbDK)qZ$Qls7t@G)#a+#s8C?/Bm?r5s8V]jq#(-iqtKj[qYHf\rVHQh!;D!~>
+q=aXYq=a@Qrq?BdrqOn8nbDqR0D,;3o`+sXo`+EN@U4NEo:+1PC:rGRaNKOWo8W#7TBkq<s7c<g
+jlZC3s8VQbnbMoDqY9dXp\Oa^oCheNh1npIbN8Qsp%J+Np$ZsGlLFiDqn7e]BrJAomdp/Fo_&%[
+o^]1Q;lfLsqWRJKp\+IUnb;YMp\,O"n+$DPb`6.MVTAT5m.g2Hq>0p]p\Od^S+cpXrqV'~>
+q:PMrq:P5jrn.8(rn>3Aqq1r%0A#:6g?.PIh!!FF91EX>gk<;I;l.QLZ*A8Cf5]'rK?r!!jP/JN
+aiN5gio8AAe+qZ]gY(31g"bE=g"b9;`c+(CZ,k_Wg"P03gt#Y8db3a5gm_n-8r8eHdFR"*g=tWK
+f@5s12NHBVhTXL.g=Y33n^mB_s4@)#(YdBfiS1PU7TGJQhW3&<e^rL+e'ZRke"Y:id0S1Mf$r3s
+ccsjf~>
+q>:!cq>9^[rql`nrr(7Bl2*.)s8VZ_s7?3[s8N%hA9apMq>^9cs4?N7s7Z<bq<J"[qu-9gq#C9l
+s7lWjoCi4[qucrrq>($d)Z9U5q>^K^WGYS&jo,/Xs7u]pe9%q^s8)Eerr3)qmJHh\rtGA-qtpDI
+</0?.s(;91s8DBbs7#"Fq>C]rpAF6L=Cn2ns8W#rrrMiirqQNd!r)QfT)8K_s7cTgJ,~>
+q=aXYq=a@Qrq?BdrqOn8nbDqR0CAf9mI0r>pZhVKq3>3%RJuXOmd9bkhY7'=oCDJ4s82H^nFuJN
+p&G'`qXs:HrV?0iqt]sZrq.0'q"OCUs6$(h9:+Q1p\FXUs8L,SV;h=Bo)8S,q!.YKq>9sXn*orF
+JkpmJo(lS^p]'mKq>]jPp\Xa[p\FLnnaH/3R8I:Zj8])Kp&"RTqt1!aqO7-Yq#:)>~>
+q:PMrq:P5jrn.8(rn>3ArRUr"0@8e9d+.+(hp^]GjFBa'L$ICTg=bMqaPGq+f@JNnjPSVDeD&O3
+g#D&Bgt0p%htbq+gtM_Y3S<'Bh:^]Lc\bORI)Xpthr!)MkHe*Jbi@C*g>:fIf#ub#hr3PLg"bB=
+@khH(e_WOBgZ$i-gZ-TLfDF+ofDjM(gA9S?f@AWuIlBcGaQ2@4g>:W6e^W$qcd1"seABZ5d0S1M
+f$r3sccsjf~>
+q>:!cq>9^[rql`nrr(7Bl2)1mn,E@\q>^?ls7ZKcerF$FQJ2B5rr3f/r;Z]ps82Eas8)cos6]j^
+s7cEds7cNgr'0uPqu-HhqYg<es8)0`s5B,P>aXONrV-?`s*eGBq#BmakOJ<8s7?6dq"t*kr:5YU
+T^i'^rr;]lqssd`mJl/Cq>D-0hjI\GK[0VtnGiCWs8)Wmrr)ioq=jWSqu-Bkp]1&=~>
+q=aXYq=a@Qrq?BdrqOn8nbDqR0DFc-s7#X[p&"^UrU%m_;HJe&rp'(Gq!IbLp%nLVm.:,Gq"F[K
+r:KsYp@SCUq>'bLp%J1Wp\"4Sp%/+Rkl(P9NaYtOh"p^4pZq`u=5WEAnGh_Cp[A.Nq"4(Iq"XCE
+K4CD;rVQ3^li6PAs7P[Wnb;qUp\4LW(&upL<(_SZq>':Ro^)SMpAOmbqu$8WpAk!fq1&~>
+q:PMrq:P5jrn.8(rn>3ArRUr"0A=\+jOW#GgZ.JMkh*Fa5!sP+lIXqOimcZ:g"tQ;d+@1,gtL`0
+i7?f8f[f$2g\KMef%8U0g"4m2gY(T?d,jK/F%/9:_Vj;'i7-st6d+0CdGMsje]m.&hV-Z<jQ,.G
+Ajh'mi83)Acf<R$in)B6n^mZgr7Co#!8@8((ZrGV3\Y'GhqcQ:f[&L-f\G34f\"[#dG`Tldf.W"
+daZjteBuUed=;~>
+q>C'c_>F<3rVQ`qrr;cm"T8/nqYBp]!;c3_s8)cn)Ys!lOC_X]irB&Ss7lKks7c?hpA"Rcs8N&u
+rr)lprqlBdrVQBd-J+#BA]4TGs7GsL>a59fq=FIMqt'g\rVcHcs6Q_)U\t,cs7k9Nrr3-"r;?Hh
+nbaU1qYL-dpA=mfrVH9fs8Vlks8W#jq#15\A4q<jo`+sir;HTlr;6HgiV^CdrVHQh!;D!~>
+q=j^Y_=ms)rV$Bgq>0p_s8)opq>'gZpAk!\p]'q.p%7tOoBYLl>#:+,q"F.MnaueWnFHSInb)\P
+p\=Xbq#C*fp@\1[q#C*`p*S7@6=I\)pAaLGj&([+pA":WmeZMNo(VnHnbV49BqP4so)J7,VZ$5g
+p]($YpEKJ-pA"@PpAXg]p%%qYrpo^Yr:TOKpA'kW7!6<4q"XRWpAOa`q#1$Ipq$2"q#:)>~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6SfE'USrR_#$r7W:KhV[2Ji8)u2ECN'6_WBh1hUgKAiRZZB
+e^rR4hVI&Grn@D*rn-hqs4[G+rS8jU\7d6ZV;U4qf@eM8GN7Z8db2k!e(rR1h:LBCc&>VRg=t-;
+e?b#-g$mT8dF6Xpcdpt+g=Om1jPebFiSrVBfA,8.6Rl<;e)&s8r7V#"gss9irm;#"eCN.!dEg(b
+J,~>
+q>C'c_>F<3rVQ`qrr;io#6"Q!qtg0bp\=:V(]*n#qu$Bdo`*XBI:d2T\GQ=*o_JOenc&OkqXsLV
+s8Musr;QTdr;HNjqD.jBqZ$?R\o^_p_>aK7qQY#"q=jp]rVccds8;]bfU$!)lh(&Ns7Yg4d/X.E
+rVZQgq=4@gqt^0is8)H_rr2p2qXjLXr:BLYrn*E=?&?Sms8Vumqu$?grqQQkiV^CdrVHQh!;D!~>
+q=j^Y_=ms)rV$Bgq>0s`#5\5oqYBs^q"Fjbp\=CTs7ZKc*;9.#na-(tRrVY:K<=\?p[.POr9F.T
+q"*q@o(i:[s7cNdp%SL]s7c?_-iN\t[W"l^]Cu+!ntp!Mnb3"Urquf`r:]aKd#:tUj7)m>rU8jp
+a8P]3p\ssYpE98*p%\Lap@7\KrVuihmdTlAm-FE?d>V%*K"p[Mq=O@Wp\Xabq;D%ZpAk!fq1&~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6TfE0XUec"+ug&0PMgtgiDi8NVKfAsQ!?:IM*Qe:6Pe(EgB
+d,<j=g!nL'h:pZ;g"HAWo@a/trS.;,-fWb!RoM.JUZ(>!hiq'[gt:T9hVI8>hqZo8\TgDWbgY;!
+hpTTPWqk?=f-&Vnd+-k(e'ZRthrEYIeCN@.da?n,[rOMlBVj/:hqH`[g&'CWe\]c6d0S1Mf$r3s
+ccsjf~>
+q>C'c_>F<3rVQ`qrr;io#6"Q!qtg0bp\==W(Amn$p\F^br;6Els6mpkFD-WRqu?<arr3&tq"t'j
+!ri/srVZ]mp&+dcr:h`8q"XOVs8V,TD,Y?%s7lD4QM1@OqWdtMs7ZKGLg6AAs7?3fqsaF]oD\di
+r<)upq>'RY"985lqu-O3o_/1]qtBmdr;ZT8K2P`i_<_.$p@\:Yr:9aDr4W"+qZ$<jpOE~>
+q=j^Y_=ms)rV$Bgq>0s`#5\5oqYBs^q"Fgap\ag\pAjpdp](%.q"=@XqrbPIBO-5*o_@hEr;ZWd
+nau_Yr:g!]rV-?cp%SL]qtDW7p\+@RpAb0MTP728cM[2$ClRo_o_IbGnGMkQdt1V_mf2\Mr:oUK
+s6BR]p&Ojdq""/&q#'jWp\XjaqsX(Jq"=.Kr:^-^`I:NYCqSp1s7,UOp%S%PiqEHJ](Z4"rqV'~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6TfE'RTr71i!rRq2(!8RS0*o>i5hqd/MjNs]D;FbGug>:<2
+ioT+Qf@o3FinN5ArRq5'o@a/trS.>-.,3>)iT%e-:,Z"[l.t6$I,*c4gWS=$iRcttC-HsqkgeJE
+g!/(-c/AENo%,&8g!S*nf\"p4dF?q-gXt<@gu6k`@5'N6T?60SeC3(&g!eOQe\]c6d0S1Mf$r3s
+ccsjf~>
+q>C'c_>F<3rVQ`qrr;io#6"Jtqtg0bp\4acoDBU*q"FCRq>:'foCi(]s7t'F@Tm`Qkl:VUqYpNm
+rV5dXrVQThr:_o9r;6-ds43]L=bb<'_HF,Bkl:\]p$JMeD3s/[o&p&Dq#(*b_L)=_rVcZkqt^'b
+o)&[kr;$3erVca2q=jmgrUfNbE`?>#aSl/=rpf^^s7Z![iV^CdrVHQh!;D!~>
+q=j^Y_=ms)rV$Bgq>0s`#5\5oqYBs^q"OX[p\+dbq=sa`q%N5dp&=sY`hQa:Br9kbp@.\Jq=X^V
+mJ$YUp\-'*qtfp^s3d9>;guge\PT:%jT#8Un`cZSB9CmIm,@d1p\F[V]5miKp&Ojbq"+5&q"sjZ
+pA"I[r;Z]dnbE(Wmcgol:KW7eq"t*em.(,UoC;V8pAk!"pAk!fq1&~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6TfDsM"ec48"g&9V-gtplChu;OIf%AgAkh*,!5rh`"a5>\'
+g"kQ?rRV&'m+MEmrS.>-.,32*gXP-?[s^Y-CUNQ.5F19Mk2bCMc@e\^H,8^oaktS"g=t,K<T!W*
+o%,#7f[J3pe^iI2jPSYBi8rkIb`P^V4(Y;ChW!>9eDfN<danNMeAK`6d0S1Mf$r3sccsjf~>
+q>C'c_>F<3rVQ`qrr;io#6"JsqYBs^q"Fgaqt'^fqtKgWrq$s#qZ$Nclgk&Ts8B07;dtO's7lNk
+rr2otrU'O]qu?Hjp]'mjp\k*fna?,MruR5*FJA)\C[1s"lZ7AT>cHTZqtL!fs8;Tes8UH+pAY!o
+r;6Beq>9a\!VcNkru1h1p$qkTq>L-BZsHjTZgn(qp%%eNqu?]pq"OU]qr.Idqu-Bkp]1&=~>
+q=j^Y_=ms)rV$Bgq>0s`#5\5pqtg0bnbDkQ+8Ym2q=jXYq>^9Xjm2[=q=U[n93Qh\rp]RRpA4dd
+p?hVSq"jabpaGn7rqc0Pp&+jiM,eG^j+Lq's8V1tFAl5:gA:R8p\b'gp%SC`bD5Qcp&Ojbq"+5&
+q"+:YrVQB]nEff?oCqk*Y$+hDYjVPio'c/Bq#(*ep%S:Zpu;#Jpq$2"q#:)>~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6TfE0XSe,@hqfDO;Fg>1T?gY1B:h;mGAbL,/*hqjJd1dbrU
+kLn\KhrEn]gtM,Js4[G+rnT!Wh;$Z/cIUn7k]&ghLX:*=cKOK:<EqULMSJ'(f\GHHgt(-6i2pbB
+q:Y>j,1Y&hf@\a+e'cRogY:]C]p:f<:lir]hU0]tf%8a5gXOj*q:GMsin"4]eAK`6d0S1Mf$r3s
+ccsjf~>
+q>C'c_>F<3rVQ`qrr;io#6"JsqYBs^q"Fgaqt'^mq=X@PoC;ABp[7qXs8Mrrq%)]"HrO-\SBh$3
+nE]uOqtp?is8DWgrqc`lq#:$dod'8'pAFsgp[[GGf846WB4R1^\WV#qUA4Tbrq?6bnaZMGrq>aY
+s8W&tqulomq"agXqulutrVHKkrttISTSJ#:?Al)Ls8MN\s8W)srUoUNs7lBbq>:'Jr4W"+qZ$<j
+pOE~>
+q=j^Y_=ms)rV$Bgq>0s`#5\5pqtg0bnbDnR%J]etr;-3^p@n"Os8Voop&FOmi3@At:19C,oD.V1
+oDeOXrV-?ep%SL]!VcBfp\jk@p[n1Ws82EUhuD)V@U`YKMUo%iCPnYQpAb!^qY9RLr:0aWkl1VW
+p@e7Tq"X[[q"+5(q"ad^pA+^frr;K.RXoa"=GX-=s823Ss8VumqXWtBs8)Tfq>9rUpAk!fq1&~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6TfE0XSe,@hqfDF50g>1T>g">!4dba-Khu;C1g(2;o>r=Q5
+IBVGcdELD.g"?8Vs4[(ts4[G+rnT!We^2auhV?]0`TOjM:JX\VGJTel<cWlIgZ78FhV-E+gsP!.
+b2D=7q:Y>j,1Y2neBuk%iS`eJYC^P"<Bt8X^u!ehdG`s9g"Fcqd,*='q:GMsiR\(Z_p\P3#h%5R
+eC;mlc-_%~>
+q>C'c_>F<3rVQ`qrr;io#6"JsqYBs^q"Fgaqt'^rq==(JoCDJDpA"=No(;YRqu7#tY%Cg9?&dG8
+s69O[s8;lpq>C9ks8;oos7l`kp\4[[1A(8/qu-6[q>L-bs6fa`_L#j0Cj_*+n+m"Yp?hJOs7c9d
+lMpmtMt6ZArVZTjq=sd_o)'U0rqH*_s7ksQ_2*,aX4R%Ep$hVQs8)9ZoC`(^r;-Bhq#1$cqr.Id
+qu-Bkp]1&=~>
+q=j^Y_=ms)rV$Bgq>0s`#5\5pqtg0bn+cbR+Sbd1rr)Zeq"aaXnF#c8p\b'hp\k-\VI!+n<JA`u
+ro3qNs7cNfq=jp_s7cKerqH?c0_,&=p@J+Vp%A@Ko`)OE?!q)\J`Q"cqXj@Fo)Jabq#9UZs1!gL
+nb2\Np\=OZq"XIT+Sc!5oC;SQoB5SSJo#k3d-po*nFZ_[qXO:Np&4pgqYgBhqt^-aReHgWrqV'~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6TfE'RRrmUhrs4@/$,hUi+gXt-1g=k-+dF-OuiooL^k31HY
+7liLkDR\imaP#4ug"HAYo@a/trS.>-.,3(uf@&'ugXt6Ad,+,f?qO0i?Z+9>h;[,>cICq7f\#'(
+j5ZSAcID[Co%,#7g=4EleCiBod\1DTB90aXh9jHng>1?)da-=ogt:32rRLesgt;_[eAK`6d0S1M
+f$r3sccsjf~>
+q>C'c_>F<3rVQ`qrr;io#6"JsqYBs^q"HK;qtp<gr;6Ehr;6Ehr;6EfnaZ8Fo^hbNqXsR\s8)Kd
+o_e^`p\k-id(,6UCO_>'rql`nrr)Qgrql`krq?Hdp\sh5s7Z*^rqH0es6'F^i;`S[FC2BNs7--[
+n,NF[o(;YOoD&%Qe<L"0rqlorq>'g]nbiFa*W?$<o?!bO>\0blq"amar;QHaq#(!equ$9dq>'[Y
+q>'pHr4W"+qZ$<jpOE~>
+q=j^Y_=ms)rV$Bgq>0s`#5\5pqtg0bnb=R-q"ORXq"ORXq"FUarVQBdqtp*[r;?9[p$VMInaQ8I
+ouXLrB4Q7ALApoHp\ss]p\agcpAt'`rqIl@q"4Oap\+Udk5Y>6s73@0=0(oili6>;s8V]\p%A1R
+q=XF.O8nnPp\spgq=sFQ*Vo[5m_k];<aVKTo(2VLr;66[q"ad_qt^'^q=aIVq>'fSpAk!fq1&~>
+q:YSr_:\hBrRh8+gYDVZs4d_2g=k6TfDsM"ec"+sfcSeugt^W9g>(K8fA>E<f%AL,h:L65hV56$
+DbWi1Ci'+(s4[J,q:b`!s4[A).G`\8dEpP$e^r^;aQDEukhMS/7$cZle`tZ2jQ"e>e^rO)g"+`[
+ET>[9fc\nrdam./cDH.m4@P%Eg>1Z<f\"["eCN4&f@JL%e^MnDebdtRf`B^S_p\P3#h%5ReC;ml
+c-_%~>
+q>Bd[iVi$=rql`nrr)]m#6"GrqYBs^p\4^`%K#tuq>:!bq>:!bq>:!aoDnU`p\jm_r;Q^`mE;5R
+CM&=5m/QtVqZ$QlqYU9ls82cnq=sd]q""1Xr;$!UoD/+SpA+R[pA4OUoC_kRqYPPYi;`TPr;?Nj
+p@\.Urq?Wms6fp_s82fq%/]enq#C-as8W#os8;lr!V,g]ruM(8kGr/j@VDOts8VuorquZkqu$?h
+qu$?hqu$?hq"sUZnbr:]^&.d)s7cTgJ,~>
+q=jFQiV;[3rq?BdrqQ?crqZ`mq"XUXpAapjq"a^\nG!"XrV6'[7K!/^kf00>Am^%pjn\Q;oD/.Q
+oCVeQqtKp^q"ORYp[RtTrV6'Vo_SFZqYL*bp\XaYo_/(Vq=erHgA^aEq"X[Zo'uDOp,r-MmJlnZ
+q#(0kqY'XWqXO+Pr:T^Yp%\R^lL"HFrV#mAUg?Vs@@Z0Nqt0RWp\=LXp\=LXp\=LXp\=LXq!n+K
+pp0Voq#:)>~>
+q:Y;jiS*PLrn.8(rn@,$"5;G]f^[Sfg%j7qf_O6Ghr3G8WIS8G7:hq2hqHW6hqd#>g>1ZFg>(K;
+g"P05e(EO6g=Fj*f[\R)f\+m,gXt'+f%Aa3gfmapk1f(Th;6r=f%8[/f@S^6cJdC4g"kTDgXk'0
+h::'4i7Zc>g"bWCcI(M+i7Z`"LI!LV7=`55iS*&Ag#CWZg%!emf`B^S_p\P3#h%5ReC;mlc-_%~>
+q>Bd[iVi$=rql`nrr)]ms8<)tqYBs^p\44Rq=a[Z!VlQgquQHcrr51VlJRqN=BB^FfCen8s8Vuj
+p@eC[qYU3gq"4IYoC2>Gs8VofoCMYMqu--[qY^3ao_%V*@Y""IqsWqLs8N#t&bGo"pnXnSme?PM
+o(;eWr;?Nmrs&DuqY:*\o_ndrps>OE<F'pTiq`TRrqlcmg&1C=q>@r'rVHQh!;D!~>
+q=jFQiV;[3rq?BdrqQ?crqZ`mq"XUXp@7qRp\OXcp\=UZF78bus8DNMgQ$/J:N)oPmI0Z@p[dkA
+nFubSqYU0aoD84Pn+$/Os8)Qcp\Faes7cBhs8Mojp?C.7I-pb(lfn0CqY^Bln+ZkVUT!GEpA":M
+oD/=]q"OX^q"=:NnbMJ;qY^6cn]@&):0)G8g[b4@qYp-fo@`m.pp0Voq#:)>~>
+q:Y;jiS*PLrn.8(rn@,$"5;G]f_="fg%j7qf_O2TdFR.5hpf]\FB:I^=GaQ=f\GECgt:62gtUT=
+h;-c7gtC3)e(N[?g=Fj)f\,-<f%9oW51nK<be$5Ndb`d+cJ7I;iTB.Lg>U\;M9=,qg""O#g>1Q=
+h;I8KgY1?4hpBj1io/bGXa*>j3`h<Uf&#HDrn.;&iRdnYn_3im!S>i=df.W"daZjteBuUed=;~>
+q>Bd[iVi$=rql`nrr)]ms8<)tqYBs^p\44Rq=a[Z!VlQgr$)+:qu6WqqXa=TlEbP0=DEr$h#@?R
+rq?-\pA4adqY0d\r;Q^Sp[@\Hqu$<ao'l):o()>Bq>L?nemj9qmJm(`rq>gNq#0URs.$b%rr<#t
+qY9j]qYL$fs7l9ds8W'5s6d%;I?@N.Co64ls7cQnp[e4\s8CXKnbr:]^&.d)s7cTgJ,~>
+q=jFQiV;[3rq?BdrqQ?crqZ`mq"XUXp@7qRp\OXcp\=UZGPLn*q>L3`md0N(X(t=(@Ygr3pAb0d
+nFZ;BpA+OXoCV_Nr;QTbmdp2NrVQ?\naH#>oCDPMrr)cA?$kVps7Q6`nEK90q<@JLR(31ms8Dff
+o^qhMp@J7\na?2Nq"OO^kGNHGMG?iVTA02:nGi=Rm.1#Mp=]31pp0Voq#:)>~>
+q:Y;jiS*PLrn.8(rn@,$"5;G]f_="fg%j7qf_O3#g=Y'4hqco3dbDs0<&6O-EKIlkkigpVg"4j1
+hVR#>g"P9@j5AS:eCWO4gt1''d*^@le(!.0io7C6@EHdVgYgr>cdCD%bgk[!S)W8bi8*)<f@^)U
+*ol83eDB6Bh;./:NE]Y,1+u1M^>.JlinW#/e_T*8g"5cHq:>Vr_p\P3#h%5ReC;mlc-_%~>
+q>Bd[ao)/8s8;Wis8;ons7uB`nbMbM!VlQgr,Vf6q"X^_qY:*jp%JCT^5HN/>@2E:^=`JcrVZNf
+r;Zcmp$qSFqu?*Tq>:*dqtpEmr:fpWp@n1VrN][G]'01bo)Jafqu?]fs6]gco^heTs8Vohr;ZQk
+s7uHfqXrFLS:YBaG_jB"s8V`ZqZ$*[rr2our;"2,^&.d)s7cTgJ,~>
+q=jFQanPf.s7c9_rV?Kgp@mSA!VcBcpG;X=oCMYKp%/4YmI']4[Y%gd;cd^o[aP3Rq=s[Vq#(!^
+na5`6p\X@Lq#($dqY^BnqtU0`5kaU=pT.D/[,UoJm/$_Tp&4pZs69C[nF,rDrquH\q#9jYq"!tJ
+oBsr0Q$ZnEEIkm[q"jC@oDe+Fp\Oa]p%#uo!;O/"!;QQhJ,~>
+q:Y;jak?[Gs4R"ts4R+un_*Hbq:TuHf[\O(f[n^:iRZW<d[t>E5Wh;1GFuJ.iSNDFg>1`FgXag$
+f%f32eCra7gt^`Gi8*)<f%8R'gte,U:7B8]daI(7gtUlMdcAX.jO;Q-gu7/Cf%]09h;6f9gY()a
+Q[<.16W[in^Y@Skb1>Ute(WX6gXt&nf)aFO_p\P3#h%5ReC;mlc-_%~>
+q>Bd[ao)/8s8;Wis82lnrV?3_nbM_M!;lWj"T&&qrr)ir)"db+r;HZqp]'9ZKP"Fm>uk3IL7uBB
+s7uZo8,`8]s8W)pnaGr>p\".PqZ$Kgo)JUes5&3:[f?="p\k-ho]N<XpA+F\r:p0hs8Mrlq#1$`
+o%9ph@olW=Kt$ONs8DcbpAY'lp&4mmqtKpb_>M"DrVHQh!;D!~>
+q=jFQanPf.s7c9_rqZNfp\44Qnb3%YqY+dup\FX[qYpN_pA4LWrVH'`h5l'5<E3*s<bHrP\_[)Q
+q>^EfoCi(]rV#aHmd^#@o(2\Sqt0=So_JO=G@.QQp@%MEq"4%6VPiqTnFuYIp%eIZp@IkMo^hJ!
+Uj$-C:L/LVlMpnZo^;8Krs8,krVl]fo(;^opAk!"pAk!fq1&~>
+q:Y;jak?[Gs4R%urRpqtn_*Hbq:TuDg"Y98gu.8Cgu-uDj5APM_ieP"4$,Sb5#5jETuH!FiTK=[
+gYUlMiS2l/dam.'f%Ag:hq?K9f\PT">=4V6g=+R*gt:&qN/cEAf%o-6gY^rGgtC?7f@J<WLKZu$
+1-f?7c/dp=f$Mn*j5\SDhr*>CeCN?jf)aFO_p\P3#h%5ReC;mlc-_%~>
+q>AY;l2:PXs8;lpqY^BjgA1R>q>;`@s8W)mo_&"RrVuciq>0parVui_ae"#t@pWGF?>tP$am&a'
+qY0aZq>L9l8H/S`p\"@Yr;6?Xrpp*<@sc;hs8Vfls7u]I_Z0E)s8)coo(E%_pZf5PDHT\->]H1J
+n,<"[s7>d\s829TqZ$Tio(DkXrr:[Lnb`.[^&.d)s7cTgJ,~>
+q=i;1l1b2Ns7cNfqY/Y;nb78&qu$9\n*or=p\FLQoCVYIp\OXH_jGa\?!(0.=DE8a_rLIdo^VJB
+p%SFbs8Dfgp$qSDp@e1Nk4J!<bZT&%mJm"Kp\XO[d_,VNnGi.\p[%AEr:/jRO(hQa7osMk]^#:_
+q>9UHqZ$9Sm.L8Po'Pr>q"ag?p[RtRpAk!"pAk!fq1&~>
+q:X0Jl.Q'gs4RD*dFn?Jq:TuGh;6o9dF-Rsh;?u>g"P-6h;I,5WIA5K76j(#5Z20VX39AYgtCB7
+g>1cNk2Y@Tg=Op/gYCQ8b1Y,#YWc0adH'-2gYgZC\>&-<f&k]Kh9sj2in)><E_JDB.QU@LT?Z-@
+gtpH(gu?u1cI^n-eBcRpg=tH:fC@Ggf)X@<df.W"daZjteBuUed=;~>
+q>AY;l2:PXs8;lpqY^BjgA1R>q>:9jr;HTns'ks)rVcZos7uHbr;ZfrqW-#6VN?(AEF*9tG^k[C
+Wi<8Bh"1I@p&+jirqc?ar:p<gs8VZ\U3!9kq>^K`eaE>.rVZQjp%7"MTTFbF@qBS0RBk*&s7cHk
+s7lQmr;Zfqr;Q]urVuiorr3#qq:Y]9qt^0'qu-Bkp]1&=~>
+q=i;1l1b2Ns7cNfqY/Y;nb3(Xp\jl,qYU-`p@n=Tq>U!Vo(MqWq"3@_Z(?bkB5(CRBlJ9LQ(jtQ
+^"2NCoC)>IqY9XNnb)>Mme6>;k*TeQeF3/,j3-WWme-5Do^2"oZC$GoBj>%\I$CbSjneQBs8DQa
+s7cBdq"OX`r:p<ep\b'fp%75;q=sLSq=qPq!;QQhJ,~>
+q:X0Jl.Q'gs4RD*dFn?Jq:Pf$g&9WEgtgoEgtgfAhrNJCf\GEDhV,rTS;D;l;H,qS<*NgMJ;];K
+VS:R:gt1B@j5A\Eg=t*;eD&a&b^E3<]%#Qlafs%FfA>?=h:C,hRt5Qh;F3`F?[%U4aPGD#j5AMC
+inE2Af[nj5gt:N:fA,9;e^WR0q:5#bq:3@1rm;#"eCN.!dEg(bJ,~>
+q>AY;l2:PXs8;lpqY^BjgA1U?!;cNh'`\.-q>C3gq#C-^rVucjrVZWnrr)io?iU)urr;rmqT$7H
+NHA];>]"+aCjUqpLl&.^oDSXes8Moqs8N&uq4)>-LUt'YC66*HK8OhWB5)$lBQT03^Ynhcrq6$_
+qu?Bds8)Qhq>C-dr;HTjq"47Vrqc9_s4R>?qt^0'qu-Bkp]1&=~>
+q=i;1l1b2Ns7cNfqY/Y;nb3aqq"44Qq"F=Wo'c>Lp%.qOp\=OXrq9_!p$VPNp$qUf[%E%g>ZOg8
+?X.,_ItE3%U<W#sp%J4Pn+6DHo_n0=@ShESY(U2;[(La;DH'tO?sd;XK;#g0nc/FSo(MeRnb)eP
+o_8"Pp@\1Tq"=7InFl\Nn+?Y=p\FUSp\FTqpAk!fq1&~>
+q:X0Jl.Q'gs4RD*dFn?Jq:QJ=g=Fj.g=Xs5f[\g9gY(E<h;7#ErnLlEi7[)Oi8!.gT8ISh7mT@7
+84?6XBPV<sMmh-lhV[8De_/m5g>gY*82an@P\NX(SY]k4=$9)H8OuEQCl4gueDf94e_/X3eC`X1
+f@ng-f%&C)f[\Hsd+6n#cd^k2fD3teeG7Y3df.W"daZjteBuUed=;~>
+\bl4$q>C*f!W;i[q>'gRqu?TnrV?B^qZ-QirAa`Op@nO`lI<>APDY-EC0=kN@qfn,ItN`LSWJS]
+MMZ=b?!V#YDJEZsE+rj%L6eC5bNJa%s8;fSqqh8Nqu6Ggqu-Bkp]1&=~>
+\b>joq=ja\!;YmSq=jFSrq?BdrqPdQ!;?6]3:ue0n+H>4bcRCkIsc<E:/b.p?=dtqH%D$>KmS2s
+IV)e^;HdO>?s.#S@U3\tO-Z]^i:Hg?p%RJ@iV3?Hs7cNdUA"Z_rqV'~>
+\_-`3q:YStl.Pmbn_*oos4RD*q:Y>m!8RD,38N?@f\YH-[?lVgBkCXB3'BJm85E;n?tXP(BjY7X
+@S/jC2EjT#76jI@84-0aFaT1K`nB;,gY25OdF\BJs4%%sl.!Surm;#"eCN.!dEg(bJ,~>
+\bl4$q>C*f!W;i[q>'gRqu?TnrV?B]qZ-QjrA+<Mrr)lsqX=Iar;6Klp[Gc'Yc"(WNJW7HP)+aG
+MhmaaPFJV_^qndns8W)rs8Vlkrr2our;#=KhYdENrq`JgrVHQh!;D!~>
+\b>joq=ja\!;YmSq=jFSrq?BdrqPaPs7SVKp@\.Pp@S+QpA"LTkPk5GnFQ5;jfbb^S<Je]Is?X%
+Is?EmIuT>AP+]"d\CB^:qtKdYq=4+OqYL![o\oT(p\ssfp\sl\pAk!fq1&~>
+\_-`3q:YStl.Pmbn_*oos4RD*q:Y;ls4fcogtpiCgtgfDgu72Gd-0HCg>1Q8c^C)[L4+,ZAmK%b
+@U*>P@W?7$FbGpGS%-YuhqcuBh:L<8hVd2DfCIVAfDa>#eGdq]eABZ5d0S1Mf$r3sccsjf~>
+\bl4$q>C*f!W;i[q>'gSqu-HmrV?B]qt^-tp\b$fqY^?lq>1$fq#:Qsq=jacs8Mrr(B"()r;HZp
+mJ-_]rVZWls8Dcfp\OjgiVVL0s82flV>L5fs7cTgJ,~>
+\b>joq=ja\!;YmSq=jFSs7ZEcs7kdO(A@Lrp\+@Op\=ISp\=OSoC_hPq>:*erqm?(p@@_Er;HEb
+rr;okp@@eGrq?rcoDAF[p\=LZq"4.Jp%\FCpu1uHq#C*fp7h9]q#:)>~>
+\_-`3q:YStl.Pmbn_*rprRq5)q:Y5j(>RX!g>(E6g>:N:g>:]=g"Y<=hr3SRro,3]gt:--gtp]9
+hVd2Bf$i'sf@\g!e_]-:g"Y39g=Oj)fA#-7n^m?^iR\4_e'lanrm@aorm;#"eCN.!dEg(bJ,~>
+iVW0Cl20cDs82*Wq=sLWnbhqSq>;o@qu-Bcp\OgbrVlcmqYU6bq"jperr2llr;66`r;?<grr)`i
+q"XU`s8Mcdqu?]or;ZWoqVh>.r;ZZnqPF)fqZ$<jpOE~>
+iV)g9l1XE:kkOuJnbCf3,kLa)p%%\Hp[n1Rp@RtKp@%PCp%J.Sp@@qMnacDInbDnRp%/1R#Q+Gp
+o'uGNr;?<hp&OjGpu;&Hq#C*fp7h9]q#:)>~>
+iRm\Rl.FD:q:OZZnCfDGg=b35g=b'0gXk!*f\5!5h;$`;g>(61g"Y<<h:gE1e^;grf$W.&f@A@L
+dLY*fgX=R%h;$]8g"4p.f[fTEn^ZXNs4..us3gnoWm^mo#h%5ReC;mlc-_%~>
+iVW0Cl20cDs82*Wq=jseiqrfRo(i+Y'E.k,rVcWiqYU*`qY^<iqu?]pqu-?jrtkY2r;QWgq>C6l
+rVc`qq"t!dqu-B`qY^<l!rVlkj7r]PhYdENrq`JgrVHQh!;D!~>
+iV)g9l1XE:kkOuJ!;PRJl1bqgq>'m`q"OOVo^hbMq"OLZqY9d_o`+b/q"FIXp[[tNq>0m]q>9dY
+q=sa]p[S"RrVuoqq=aUDq#L3Lp\jmep\sl\pAk!fq1&~>
+iRm\Rl.FD:q:O'I)V<Zog"4p/gXt65gXk*1g"4g-g=t?7hVHr>rRW.Hg=Y!.g"4[%f@em1f\,$.
+e_&F(f@J6uf%f';g"=jFfC@DNfDjD$e,RkqdAkXod0S1Mf$r3sccsjf~>
+iVW0DiVWHKqYL<iqs+"Qq!n:^rVcZoqtg6jqssRYq[<Atq#16lqYL6kqu$Hn!W;cmp`oY7s8W#o
+qYL-gr;-9er;-3]o^hhRqtg6iqt9LMo_84[rr:sQhYdENrq`JgrVHQh!;D!~>
+iV)g:iV**AqXsp`l1jN;s7lQes7Z<`kkG_cp%A1[qtKj`q=aR\rqlH^rpqB-q>C9ep@\+Qq"OIS
+p@n7OnF,l=p\=LYqtTaMn+$&Eq>:*Kq;V/Iq#C*fp7h9]q#:)>~>
+iRm\SiRmtZq:Orbq:P5js4[G)s4HShq:@RYeC<1,g=Fj4gY(9;i83/=e^i:'gY^uAf%&=&f[n[(
+f%8I$d*L%ceCE("f[\<kbg+Vcf%A[GfC@DNf)XA#e,RkqdAkXod0S1Mf$r3sccsjf~>
+iVW0DiVWHKqYL<iqs+"Qq!n:]rVufpqtg6jqs!o$o^hkRp@\4ZqY0a[q=aFXqtg-`q"OOZq>1!c
+qYU3`p@nF^rVmB,qXsOYs8N&urV?3]p@mPAhYdENrq`JgrVHQh!;D!~>
+iV)g:iV**AqXsp`l1jN;rqQNfrq?3_nG)eS2Y?V9q=aLVqY0XSp@e+Iq=s^Xp%@tLp\+@Vq"ORZ
+o(2MJqYgEmrVlZdp&"dgs8W&np\+=TiVDL-rV6Eerq<)\!;QQhJ,~>
+iRm\SiRmtZq:Orbq:P5jrn@D*rn-Jg!8%%s2UKe"e^Djrg"+^&f@ABsg=P!-f$r7!f%&@'f@JR+
+dF-Lpg"bE>g=Xp$cdg_$h:pQ1dEp7hn^m<]in"@ae'c[ldJhMWdDF?2d0S1Mf$r3sccsjf~>
+iVW0DiVWHKq"l-.qt^-bqt^-bqt^-bqt^-bqt^-bqt^*`qY9p^qYKa[rr)lprqlNh+8bm2q>:!b
+q>:!bq>:!bq>:!bq>:!bq>^9eq>'UTrVl]prVld0s7uNhrVcZjq>C0hrVQBcr;Z]krqS;Bo_81[
+q"aa_pA+IYq"jg`q>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bq>:!bqqh8Nqu6Gfqu-Bkpj`~>
+iV)g:iV**Aq=a(Jl1b2Ps7cNdq=jCR%f,nqq"a^\r;$*_p@@hOrqQQjrqdB,p@nCZqYBmZq>'m`
+q"=@Vr;$*dp'L?\p%eL[p\FXYrqHHfrqRT0q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q>L(.
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\jmep\slcp]($ep]($fq1&~>
+iRm\SiRmtZq:Orbq:P5jrn@D*rn-Jg2qQU3e^r@'e_AX*e^_snf@\[,f@nm2g""U)f@ea+e(E7)
+f@SI$f%\d,e()pqcHjtida?Omd/MGmdf._qeI:'[f@AL'f@AL'f@AL@eKWVqf@AL'f@AL'f@AL'
+f@AL'f@AL'f@AL'f@AL'e'c[ldJhMUd6Q.-da?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Lj
+da?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Ljcd1&=e-+4Ic-=Rb~>
+l20H;nb_kSq"l'-qtp<hrVZTjr;6Ehr;6Ehr;6Ehr;6Ehr;6EhhY\Glr;6Ehr;6Ehr;6Ehr;6Eh
+r;6Ehr;6Bfqtg3dqtoXUq>2cAqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?hqu$?h
+qu$?hqq(bFqu$Bjqu?MC~>
+l1X*1nb2MIq">^%pA"CXq"a[Zp\=LXp\=LXp\=LXp\=LXp\=LXhY/)dp\=LXp\=LXp\=LXp\=LX
+p\=LXp\=IVp@n:Tp@dbGq=cK9q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\
+q=sd\q:GE:p[Ir@p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LX
+p\=LXp\=LXp\=LXp\=a^s7ZKes7lWiJ,~>
+l.FtJn_!Bbp=TDurn=m80%\e.g"4p/f[e^+f[e^+e^N'te^N'te^N'te^N'te^N'te^N'teC)jp
+eC)jpn'_]qe()pte()pte()ptmaE0+e()pte()pte()pte()pte()pte()pte()ptps])fs3^>^
+5gdp*cdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(d
+cdC(`c-cO="OYQ=bKYP~>
+l20H;nb_kSpA=mfrr',"q>9FSq>7/hWVcSjrVHTkJ,~>
+l1X*1nb2MIp@eO\rqNbmq=a(Jq=gl`WqQMgrqHEc!;HKf!;V-~>
+B\D%kf\+p1f\+p1f\+p1f\+p1f\+p1f\5$4g"P-5g"P-5g"P-5g"P-5g"P-5g"P-5g"P-5g"G$2
+f\+p1f\+p1f\+p1f\5$4g"P-5g"P-5g"P-5g"G$2f\+p1f\+p1g"P07g=fT\g=b35g=b35g=b35
+g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35
+g=b35g=b03g">!1g">Q>q:)CoqU>MnZI&d#c-=Z8dKItDbKJ.\~>
+l20H;nb_kSpA=mfrr',"q>9FSq>7/hWVcSjs82flJ,~>
+8G2]Lp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@e7Sp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\"7Q
+p@\.Pp@\.Pp@\.Pp@`\(p@n:Tp@n:Tp@n:Tp@n7Rp%J(Pp%J(Pp%S1Tp\=IVp@n:Tp@n:Tp@n:T
+p@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:T
+p@n:Tp@n7Rp%J(Pp%IYEq=^f^q=_#drV$9cs7lZiJ,~>
+J(rZ2g"Y37g"Y37g"Y37g"Y37g"Y37g"b<:g>(E;g>(E;g>(E;g>(E;g>(E;g>(E;g>(E;g=t<8
+g"Y37g"Y37g"Y37g"b<:g>(E;g>(E;g>(E;g=t<8g"Y37g"Y37g>(H=gYCN<g>(E;g>(E;g>(E;
+g>(E;g>(E;g-FHIgtLQ;gtLQ;gtLQ;gtLQ;gtLQ;gtLQ;gtLQ;gtLQ;gtLQ;gtLQ;gtLQ;gtLQ;
+gtLQ;gtLN9gY(?7gY(9FfD4!sfD3tte?[O&d0S1Mf%/9sc-=Xd~>
+l2/<ppA=mfrr%EGWVj$uqu$Kkrq_-~>
+l1Mmdp@\IZrqEDcJbK0<ZM4=ks7QEdrqM!~>
+l.a&0p=oW&rnXR/!8<%X!7nI*s3_2&f%AX)da-7fJ,~>
+l2&6npA4gdrqq?EWVa!t!;l`mrVQWk!;M'~>
+l1Vsfp@eO\rqM'=WqQMgZ1n7k!;6?b!;HKfJ,~>
+l.s24p>,c*rnja4!8N1[!84[/"4YcIf)F;)f$r*pdXV~>
+l2'B9nbhqSpA4gdrqs%uq>BLSq>@5hq>@Mo!;lcnrql]k!;M'~>
+l1X*1nbDYKp@eO\rqNbmq=oI6q"ORXq"ORXq"ORXq"ORXq"ORXq"ORYq=sd\q=sd[q"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORYq=sd\q=scip]'pep&=Xbp\sr<~>
+l.b1Pn_N`jp=oW&rnXj7q;!1Ig"P-5g"P-5g"P-5g"P-5g"P-5g"P-6g=t?9g=t?8J(`Q/g=b35
+g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35g=b35
+g=b35g=b35g=b35g=b35g=b35gY1E9gY1E9f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#
+ehP\*eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eC)drrn%A)eBu[l
+J,~>
+l2'B9nbhqSpA4gdrqs%uq>BLSq>@5hq>@MoqtpBhs7h*~>
+l1X*1nbDYKp@eO\rqNbmqY1'dl1k)MWVH;b:\XYYq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORX
+q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq#0sepAXjeq1&~>
+l.P%Ln_<Tfp=]K"rnF^3qV-MRg"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g=Y-3g=Y-3g"4p/g"4p/
+g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/g"4p/
+g"4p/g"4p/g"4p/g"4p/g"4p/g=Y-3g=Y+`f[S@!daZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^p
+daZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pda?IjeCN4!dEg.d
+J,~>
+l2'B9nbhqSpA4gdrqs%uq>BLSq>@5hq>@Mor;6KirqM!~>
+l1a03nbM_Mp@nU^rqWhoq>':Mq>%#bq>%5hrV-?erqV'~>
+l.4hFn_!B`p=B8qrn+L-q:G]!lIG^]WR^gq!7J1#s3CtudaZdoccs_\J,~>
+l1r0mnbK0]nbSCF\bZ:!s7cNf!rDimr;-Tlp@n92~>
+l1r0mnbK0]nbSFG!;sD(s7cQgpA"geq"a`9~>
+l.*W%n^XYk!7gVhP19Q^\^:B$s3CVi"3o'6d/MGrd*B\Qb('~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat19.ps b/books/ps/quat19.ps
new file mode 100755
index 0000000..71d0a9d
--- /dev/null
+++ b/books/ps/quat19.ps
@@ -0,0 +1,1192 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait19.ps
+%%CreationDate: Tue Dec 26 14:21:10 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 184 177
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 162.000000 translate
+169.500000 -162.000000 scale
+% Image geometry
+226 216 8
+% Transformation matrix
+[ 226 0 0 216 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 226 string def
+/gstr 226 string def
+/bstr 226 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        66758 ASCII Bytes
+colorimage
+ir&iRqYC-es7uZhq>C'cdJWh;nb`Xjr;?Hhr;HTQr;$3br;$3br;QZpr:^$fqLA~>
+iqN6CrqZThp@n+Ng%Y=9nb3:`p\4CTp\=OBp\FLXp\FLXp\ssfp\+=\pOE~>
+n_36\rn@D*rn.&"qUbi%h#?1/h#H*_g%j:jfa$6ag"=s1g=kN=q:GGqq:GGqrn@D*pXfPueC9!~>
+ir&iRqYC-es7uZhq>C'cdJWh;nbiFa"oS>urr<#Wr;$3br;$3br;QZpr:^$fqLA~>
+iqN6CrqZThp@n+Ng%Y=9nb<(W"o%ffq>0sHp\FLXp\FLXp\ssfp\+=\pOE~>
+n_36\rn@D*rn.&"qUbi%h#?1/h#H*_g%j:jg&K\.g"P38gt^lAq:GGqq:GGqrn@D*pXfPueC9!~>
+ir&iRqYC0frV?Kgq>C'cdJWh;nb`Xgqu$Ekr;-6Jr;$3br;$3br;QZpr:^$fqLA~>
+iqN6Cs7uWgp\44Og%Y=9nb3:]p@n@Wp\"1;p\FLXp\FLXp\ssfp\+=\pOE~>
+n_36\s4[G)s4I/#qUbi%h#?1/h#H*_g%j:jfa$-]g"P05f@Jp6q:GGqq:GGqrn@D*pXfPueC9!~>
+q>C'eo)/Obo(i+[q>C'edJWh=q>:Kpr;?Hfp$qM0r;$6cr;$6cr;QZpr:^$fqLA~>
+q=j^[o(VAC_>!d#q=b-fp\4CRnEfH!p\FOYp\FOYp\ssfp\+=\pOE~>
+q:bZ!iS"%\qUko'h>Z=1h>c3Xg%j@tfa$0_g"=m(cHP8#q:PMrq:PMrrn@D*pXfPueC9!~>
+q>C'eo)/Obo(i+[q>C'edJWh=q>:Kpr;?Hfp$qM0r;$6cr;$6cr;QZpr:^$fqLA~>
+q=j^[o(N1[pZhOip\FU[pBUEdp\+7Km-<R(q=aXYq=aXYrqQNfp@eO\J,~>
+q:bZ!n_*Hdq:k`!!8[Y3rS@M-gY)DVq:k_u#M@__f[eKrbi.7Nf_O4rf_O5"gAfk#fE0XRe:7~>
+q>C'fo)/ObqYC0drV?Kiq>U3gq>T(Fq>L-gq>:Koqu$Ekr;-6*r;QZpr:^$fqLA~>
+q=j^\o(N1[p\O[bp\jm]q=475p\FU[q>'aip%J.Tq"OIR_>!s(s7c6\s7_$~>
+q:bZ"n_*`ls4RA)s4dA)q:kl+rSIS.gY)DWq:tf!#M7V]g=k63f"p&=gAfk#fE0XRe:7~>
+q>C'fo)/ObqYC-cs7uZjq>U3gq>T(Fq>L-gq>C9i"oS>urr<#7r;QZpr:^$fqLA~>
+q=j^\o(N1[p\O[ap]($^q=475p\FU[q>'dbp'(3cq>'m`_>!s(s7c6\s7_$~>
+q:bZ"n_*`lrn7>*rnI8(q:kl+rSIS.gY)DWq:tf!s4@M.g=tB;gqh\CgAfk#fE0XRe:7~>
+q>C'fo)/ObqYC-cs7uZjq>U3gq>T(Fq>L-gq>:Krr;?Hhr;HT1r;QZpr:^$fqLA~>
+q=j^\o(N1[p\O[ap]($^q>0jdp\FU;p\FU[q>'aiq"OOVp@n@W_>!s(s7c6\s7_$~>
+q:bZ"n_*`lrn7>*rnI8(qV)#+rS[Y2s4Z5\q:k`#q:Q#,g"G$1g"P/rg&B_*g%X,#f$r3"~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV6?rqu-Qo
+q>L?(r;QZpr:^$fqLA~>
+!;QNe!r2Tfq=t*gq=sp_!;QEb!VlBbpAk!epB(-cqW[bVqYBpbpAk!Ip]'pep\jjep\O[bq$-Qf
+r;$![s1.n'q#C*^pAal;~>
+!8IJ+!o)MdptPo)gAT\)gA'@tgAp%-gB$*cnD=-%rS@V3gtM_[!8?Aa!SlN0h>lC.h?_okf\53:
+f%T,og&B_*g%X,#f$r3"~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV6?rr;6Ei
+qYBuur;QZpr:^$fqLA~>
+!;QNe!r2Tfq=t*gq=sp_!;QEb!VlBbpAk!epB(-cqW[bVqYBpbpAk!IpB($]p\jjep\O[bq$-Te
+p\4@Qosshrq#C*^pAal;~>
+!8IJ+!o)MdptPo)gAT\)gA0FtgAp%-gB$*cnD=-%rS@V3gtM_[!8?Db!o)MdrS@P1qVM8-#2.Y^
+g"4g,\_6u9s4R/!!nPlNJ,~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV?HmrrrAu
+rr;rk\buI*s8;Tfs8%6~>
+!;QNe!r2Tfq=t*gq=sp_!;QEb!VlBbpAk!epB(-cqW[bVqYBpbpAk!IpB($]p\jjep\OXjq>0s_
+pA+U\o""Moq#C*^pAal;~>
+!8IJ+!o)MdptPo)gAT\)gA0FtgAp%-gB$*cnD=-%rS@V3gtM_[!8?Db!o)MdrS@P1qVDM5h;$`:
+gYLT5\_6u9s4R/!!nPlNJ,~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV?EtqYpNl
+rVuon\buI*s8;Tfs8%6~>
+!;QNe!r2Tfq=t*gq=sp_!;QBa!;?9`!;QNe!r2Tfl1b>Vq=sp_!;POI!ql9]rV-Beq=k3fq>0g[
+r;-&rp\ssfp\+=\pOE~>
+!8IJ+!o)MdptPo)gAT\)gA9J&gA0J'h#5t.gthJVrS[Y2!o;YcrRh2)in4FfgYCW`h>lC-h?V]f
+gt:?;gt'$hrn@D*pXfPueC9!~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV?Etq>L<i
+qYU0c\buI*s8;Tfs8%6~>
+!;QNe!r2Tfq=t*gq=sp_!;QBaq=Xg_rUp<eq"a1L!rD`frV$<eiV*EHp@nO\!;H<a#P@fep@\.Q
+oXX_qq#C*^pAal;~>
+!8IJ+!o)MdptPo)gAT\)gA9J'g=uJ[!8d\1!T)`#i;ML6h;$`_f`9acf`Ts_hV\:i!8mY2#i=1e
+gXt-1f[dUdrn@D*pXfPueC9!~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV?Ess8Mrq
+rqlQ%r;QZpr:^$fqLA~>
+!;QNe!r2Tfq=t*gq=sp_!;QBaq=Xg_rUp<eq"a1L!rD`frV$<eiV*EHp@nO\!;H<a#6+Gmq>'aW
+\G-!ts7c6\s7_$~>
+!8IJ+!o)MdptPo)gAT\)gA9J'g=uJ[!8d\1!T)`#i;ML6h;$`_f`9acf`Ts_hV\:i!8mY2#N"Fo
+g"Y96f=9N5gAfk#fE0XRe:7~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV?Ets7G[Q
+s8Moq\buI*s8;Tfs8%6~>
+!;QNe!r2Tfq=t*gq=sp_!;QBaq=Xg_rUp<eq"a1L!rD`frV$<eiV*EHp@nO\!;H<a#QO8UoDSLY
+qRQA"q#C*^pAal;~>
+!8IJ+!o)MdptPo)gAT\)gA9J'g=uJ[!8d\1!T)`#i;ML6h;$`_f`9acf`Ts_hV\:i!8mY2#i=Xi
+ajo;'f\F$jrn@D*pXfPueC9!~>
+!<)lo!r`,uq>LHqrr)fn!<)cl!W2`ip]1-gp]C9fqs"(]s8MuqquH]SquZcnrVc]qrV?EsrSZ5k
+rquQ$r;QZpr:^$fqLA~>
+!;QNe!r2TfqtUBiq>0p^rV$<eq=j^Y!;HHc!r)Kcm.^b[q"ad^q#0pepu1rKp%J.Yp]1'ap]gKH
+cfFlqo=4Poq#C*^pAal;~>
+!8IJ+!o)MdqqM>2gt^Z<rRh2)qUko'g\T_+hYl73hV[8Xh?D]kgtgc>rRh2)in4UkgYUiGi83DJ
+r8@V7$/j^V[E@@[f%SjVg&BU>g&B_*g%X,#f$r3"~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82ZgrqQNhrqbmYg&)Z^s6]jSs8W#sq>^<ks7rj%J:is(nGi?q
+r:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;Q?`qY:'as7kaPg%Q?TrTF4Es8)KfoDeI[s73*eH$kIalM:)GrV-<d
+_>!Kns7_$~>
+!8@D)!nuGcqq_J6hVHr?rRh2)qUkl&q:tu(s4mV0m+_ZsgtUQ9*ST3.c0!=4i7d2DkM51chj-QB
+C3Qf0iS<5Bg"G!VeH"4<g%*bsf$r3"~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82ZgrqQNhrqbmYf_baFrr3#orVca)q#(&^<GLFkghl-Pp::+k
+qu?MC~>
+!;QNe!r2Tfq=k$fq=sp_!;QEb!VlEcq#:$fpu_D*pDEVqs7u]dq#1'cs75jUQqh,Bq:0*5r:'FY
+p\ss(p[RtWpOE~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0Fth#?(.h#H12gYD)Kg=[Y'gtUuKjOW)Dh;.;Kio5\V<Qa[I
+<6FIXhV-]8f@A@#f>?53fE0XRe:7~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82Zgs7lQgs8)!Zg&)0Pq"`(rs82`jr;Q^'gKn1Js8)a`S+?Bc
+r:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;QEb!VlEcq#C*epuhJ+pDEMmo>K\ep@n7Sr;6B@='"2Uo(tS7lgsiK
+p\ss(p[RtWpOE~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0Fth#H.-g]H<dh!3YJfcf)&g=`LGhq6W7g>q;X_*pi@n)`jc
+J_8`6g=k01e^N(#_V+M4!nPlNJ,~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_l2B<5(Ae$2>&jT<q#C9cs8%70ZhOLrqcJ1EkksuJiV`6C
+s8%6~>
+!;QNe!r2Tfq=k$fq=sp_!;QEb!VlECpt>BYo_>7^D#a/!rV,gZoQ`BsnGVtN;02d2pAOabq!n+K
+p>Pc9pAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0D%g@O+`g=k6[g)o723`"hfe_o04jPFJpRc*Sni]gi9hV?i<
+f@SR%e^sBFn^ugRo%4#peC9!~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_l2B<5(]"*#9N_>mp\Y!\s8Pbus8N&qV+m'Olfn?;qr.JC
+qu?MC~>
+!;QNe!r2Tfq=k$fq=sp_!;QEb!VlECpt>BYoDb(F;ucU_pA=1OqF+Hbp\FHQ7Z%**pAOabq!n+K
+p>Pc9pAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0FTg=k4#g=bY9/2lSBeCi^+iT)a^mH<`pN&5_@c.q%+f@U#P
+!8$epn^ugRo%4#peC9!~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82Zgs8)]is7jG.(]X<5ATHr-s763aq#=*.o(h\D=\%ZTs69IO
+qVhABqu?MC~>
+!;QNe!r2Tfq=k$fq=sp_!;QEb!VlEcq#C0gpqQP>s7<-rD;k'cmJl_Ir^^bho&f795iMV>r:g3c
+nb;SHiV2m9s7_$~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0FtgAfq+g;)A^g?%"I6Vt\Mim?c<f]Y(kg#1B55:t(=jP&>@
+g"65Rn_*HaiS!eS!nPlNJ,~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82ZgrqcZjrqO>-(\.>$qu?]pnGN=ana]gVQ#MD_4_F`kq!%_H
+qVhABqu?MC~>
+!;QNe!r2Tfq=k$fq=sp_!;QEb!VlEcq#:*hpqHJ=lgt,Ls8Vl[p]'sQlr-?5Bmm'@?iBZgqtL-c
+nb;SHiV2m9s7_$~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0FtgA]k,g:u;`g<nU7g#D#FbLtt3dFLH9HWFmL,>@:Vf\5'4
+g"4j+ea_>_fAYERfE0XRe:7~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82ZgrqcZjrqO>-(]XF-rqZ3dr;$*_rVMIYR_hrtDX@,hs69IO
+qVhABqu?MC~>
+!;QNe!r2Tfq=k$fq=sp_!;QEb!VlEcq#:*hpqHJ=rV#gXo^D_Po^_YKon6D1]1YY-k4.j:qtL-c
+nb;SHiV2m9s7_$~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0FtgA]k,g:l5^i7ul<f$W:)f$r=-h/5W2W&QV3d+Qn-g=k65
+f@SR'n_*HaiS!eS!nPlNJ,~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_\bm!8qYgHkhmAVm:j;s1q#CB)r:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;QEbnG'Qg&,,\kqt8XENH.X2qX!eKq>9pdpqc^ppAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)g8Wd(g&Th*f,*#igYpu+RX/3q>N4/dhr!/Ag"G!/e^_Lho%4#p
+eC9!~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_\blR0r;-Bkrs8M]Ljf='q=49kr:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;QEbnG'Qg&,Q%nq#(*ep"Y.Cqu?9Ro_\@_pqZXopAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)g8Wd)g&Th)f,*/mf\>KKjPRsl?fU>&dF[++g"G!/e^qXjo%4#p
+eC9!~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_\GQj8r;$*]qu6VkJ*[.7pA_]$nb`@_J,~>
+!;QNe!r2Tfq=k$fq=sp_!;QEbs7l0\]D)@#&,5kno^VJEq"^M,jo,&GrOM[mpAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0Flf>6/?gAfk+fDjA4f@\g/g"G9BiIkR]j5&5CgA]e(f>6/2
+fE0XRe:7~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_\bm!0q#:<kq>'meji-ijs8;`(r:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;QEbs7l0\]D)@#&+9&bqY'OPo_m[^mJ6bUosshepAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0Flf>6/?gAfk+fDjA3cI:P(gtUZ?j2IkDgu6u>rRq/$_:eD3
+!nPlNJ,~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_\bm!<rqlNfrr<#ss8)ckrr)K"r:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;QEbs7l0\]_DF#&,c7so^qqVrqHHcqt0^Zn%&2_pAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0Flf=fi;fDa>#faZTcg>M,Uh;m5FfA,*-rRq/$_:eD3!nPlN
+J,~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_\bm!<rqZ<`q"OIPqXF@VpAb$#r:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;QEbs7l0\^%_L#!rr,hrpgBcn*K`5p%._Mp:9qfpAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0Flf=oo<fDX51gt1-,f\"m/db)jtf$rL-rRq/$_:eD3!nPlN
+J,~>
+!<)lo!r`,uq>LHqrr)fn!<)cls82B_\blO$p\amf"o/,rp&Fcsr:0[aqLA~>
+!;QNe!r2Tfq=k$fq=sp_!;QEbs7l0\^%_L#&+K2brVuoqq>^?`rV5m[o""MbpAal;~>
+!8@D)!nuGcrSIP3"5_kggAT\)gA0Flf>$#=fDX51c-Y/$k2ta^jPAADg="j-rRq/$_:eD3!nPlN
+J,~>
+"o\>rqu$BkrXAc)rVlcprVuipqu$?jr"T&+qu$?hqtp3dq>:!bq>:!bq>:!dq]#J1r;6Ehr;6Eh
+r;6Ehr;6Ehr;6Ehr;6Ehr;5+Drr3E*qY9m`p\4Oap\Fj_\bu!ps8%6~>
+!;QNe./<W7q"a^\q"a^\qYL!^p\=LYp\=LXp\=LXq"a^\q"a^\q"a^\q"apamIpn]p\=LXp\=LX
+g@l6Tp\=U^qY9aSoC_\Fp%n7Os7*Yonb3"WJ,~>
+!8IJ+!o)MfrSIP3"5_kgg\oe*gA0FmfDjOkg&]m\f%L&S'%PUag=tE:f\"m3e^W4+eCN[/rRq/$
+_:eD3!nPlNJ,~>
+*W5g5qu-Bgq#1*gqu-Ejqtp3dq>:!bq>:!bq>:!dq[<?!r;6Ehr;-<eqtpBk*rGp5rVQQjrVQNg
+qtU!]qY9p^qY9p^qt^-bqt^-dU&=``iV`NKs8%6~>
+#Pe/kqYBs]pA+Lgp\=LXp\=L]p]C9dq>L(8p\=LXp\=LWp@n:Uq"jg_q>0p`q>0p`q"XUXp%J+R
+p@n:Tp@n=Xpn@HXp>PcApAal;~>
+!8[V1!o;Yfq;;>0g>)V[s4R;$pt>Vu!nl;^pYH)0gt^Z<gAK\.g"Y36g=FpYf@edRg&B^Qg%j:Z
+g%s>&f$r3"~>
+!;cZk!rD`fl1t,PrVHTmrr)Wh"oA&jq"OOYq"a`Zr;$6Kr;$6iqLA~>
+!;QNg!r2N`q=jXYqt^$]rUp9dq"FLeq"OOVp%A:WrV--_U%eBViV30As7_$~>
+!8mb5!oMkjq;2)*rS%;)qq(VrrR_5*g>(Q[i!&#phVHuBrS@G,s4Wsqq:OZZqUbl#eC9!~>
+!;cZk!rD`fq=jFTq#(*f!;uipq"k6kq>'g[p\FU[q4[`^qr.JKqu?MC~>
+!;QNg!r2N`q=XLWqt^$]rUp9dq"FLeq"OOVp%A:WrV--_U%eBViV30As7_$~>
+!8mb5!oMkjp"]N"s4R;$pt>Vu"52D`hY?"4hqm5Ggt_karS.A+S([ViiS"([!nPlNJ,~>
+!;cZk!rD`fq=a@Sq#(*f!;uipq"k6kq>'g[p\FU[q4[`^qr.JKqu?MC~>
+!;QNg!r2N`q=OFVqt^$]rUp9dq"FLeq"OOVp%A:WrV--_U%eBViV30As7_$~>
+!8mb5!oMkjq:kl'rS%;)qq(VrrR_5*g>(Q[i!&#phVHuBrS@G,s4Wsqq:OZZqUbl#eC9!~>
+!;cZk!rD`fq=jFTq#(*f!;uipq"k6kq>'g[p\FU[q4[`^qr.JKqu?MC~>
+!;QNg!r2N`q=XLWqt^$]rUp9dq"FLeq"OOVp%A:WrV--_U%eBViV30As7_$~>
+!8mb5!oMkjp"]N"s4R;$pt>Vu"52D`hY?"4hqm5Ggt_karS.A+S([ViiS"([!nPlNJ,~>
+!;cZk!W)Weq!n1Tr;HKmr;QZiqZZilq=s^Yq=sd]U&=``iV`NKs8%6~>
+!;QNg!VlEap@n@Zq=s^_p&Xp_pA"mep\4CSp&4U_p\FTXp\FOAp\FO_pOE~>
+!8mb5!T2c/h>Q.-gAfk'fD+%tfE9g\gtqha"lJ1nh;$fah>Q+.g7-dkf\tN[fE0XRe:7~>
+!;cZk!W)Weq!n1Tr;HKmr;QZiqZZilq=s^Yq=sd]U&=``iV`NKs8%6~>
+!;QNg!VlEap@n@Zq=s^_p&Xp_pA"mep\4CSp&4U_p\FTXp\FOAp\FO_pOE~>
+!8mb5!T2c/h>Q.-gAfk'fD+%tfE9g\gtqha"lJ1nh;$fah>Q+.g7-dkf\tN[fE0XRe:7~>
+!;cZk!rD`fq=jFTq#(*f!;uipq"k6kq>'g[p\FU[q4[`^qr.JKqu?MC~>
+!;QNg!r2N`q=XLWqt^$]rUp9dq"FLeq"OOVp%A:WrV--_U%eBViV30As7_$~>
+!8mb5!oMkjp"]N"s4R;$pt>Vu"52D`hY?"4hqm5Ggt_karS.A+S([ViiS"([!nPlNJ,~>
+!;cZk!rD`fq=j^[q>'ja!<)lo"9&5urVHEkquuuoqYBp]q=j^\RJcmXl2:ASs8%6~>
+!;QNg!r2N`q=XRXs7lKeq=amarV$Bgq>0p_s7uopq"XUWpAO[_pA+KOp\FOIp\FO_pOE~>
+!8mb5!oMkjq:tr'qq:kuq:Pc%rRh;,gYL`_i;_a>i8<GKh;/%bqq@7eq:OrbqUbl#eC9!~>
+!;cZk!W)W]q"aa]quH]oqucosrr)]js82urqYL$^q"a`Rr;$6Sr;$6iqLA~>
+!;QNg!VlEapA+I_q"sm_pAk!epB(-cqYBseq?-Qgq"O[ZrV--_RJ6ONl1b#Is7_$~>
+!8mb5!T2c/h>Q+*g&'Csf`9b)f`Ts_h;8"ds5=(<hr!;fh>Q+.g6:4cf]h)cfE0XRe:7~>
+!;cZk!W)W]q"aa]quH]oqucosrr)]js82urqYL$^q"a`Rr;$6Sr;$6iqLA~>
+!;QNg!VlEapA+I_q"sm_pAk!epB(-cqYBseq?-Qgq"O[ZrV--_RJ6ONl1b#Is7_$~>
+!8mb5!T2c/h>Q+*g&'Csf`9b)f`Ts_h;8"ds5=(<hr!;fh>Q+.g6:4cf]h)cfE0XRe:7~>
+!;cZk!rD`fq=jFTq>:6krVQcrrr2ljqu?Nlq>'d\q3h0Vqs"%Squ?MC~>
+!;QNg!r2N`q=XLWqt^'^!;QNe!r2TfpA+a`rqHBarV$'^RJ6ONl1b#Is7_$~>
+!8mb5!oMkjp"]N"s4R;$q:Pc%rRh;,gYL`\i;_^6hYl7,g6:4cf]h)cfE0XRe:7~>
+!;cZk!rD`fq=a@Sq>:6krVQcrrr2lkqu-Bkq>'a[q3h0Vqs"%Squ?MC~>
+!;QNg!r2N`q=OFVqt^'^!;QNe!r2Tfp\Fd_s7cKarUp!]RJ6ONl1b#Is7_$~>
+!8mb5!oMkjq:kl'rS%;)qq(Ys!8@D)"5;MchY?%-huDR3g\oh*g6:4cf]h)cfE0XRe:7~>
+!;cZk!rD`fq=j^]q>'ja!<)lo"9&5urVHEeqYBm]q3h0Vqs"%Squ?MC~>
+!;QNg!r2N`q=XRZs7lKeq=amarV$Bgq>0p_q=sp]rV$'^RJ6ONl1b#Is7_$~>
+!8mb5!oMkjq:tr)rS.A*qq(Ys!8@D)"5;MchYQ1+hu2@-g6:4cf]h)cfE0XRe:7~>
+!;cZk!rD`fq>'j_q>'ja!<)lo"9&5urVHEeqXOBLr;$6Sr;$6iqLA~>
+!;QNg!r2N`q=j^\s7lKeq=amarV$Bgq>0p_q=sp_p%XsLq=a(Iq=aj_J,~>
+!8mb5!oMkjq;2)+rS.A*qq(Ys!8@D)"5;MchYQ1+hu2F1h#H)lg%j:bg%s>&f$r3"~>
+&,c>'qu-Bgq#1*gqu-Ejqt^*aq>'pgrVcX<rVliqqu-Ejqu-EiqY^3fqY^3gqu-Ejqu-Ehq>:!b
+q>:&Wr;$6Sr;$6iqLA~>
+!;QNg!r2N`nbN"Uq=amarV$p!q>0p`q>0p`q>0m^q"a^\q"sjhqYC!^qY6KQq=a(Iq=aj_J,~>
+!8mb5!oMkjq;D2,"P_beg=l/O!8@D)!nuDbq;1r'rS[Y2s4W[iq:OrbqUbl#eC9!~>
+&,uP,rVlcprVlcprVlcprUKd[rr)j@rr)cmqu$?hqu$?hqu$BjrVlcprVlcprVlcqrVcWkqu$DD
+r;$9dqu?MC~>
+%f#kpq=sd\q=sd\q=sd\qtU9hq=sg]q>L-jq=sXWs7lTh&,>tqq=sd\q>0p^q"ORXpjr28p\FO_
+pOE~>
+m,.p$i:u1(h#6%0gtVMUs4dP.!8d_5rS@V3gtM_[!8<"Wq:YVs!nPlNJ,~>
+o)A[fo)&4]rVlotrUp*grV$3ls8MuqquH\Hr;$9dqu?MC~>
+o(_bN!W)Teq>L-jq=sXWs7lThq=k$fq=sp_!;M->q=j^Ys7_$~>
+io'jnq:tr)!o2Pap=]K"s4[S0hYuI3h?)NggAT\)g4@rQg%s>&f$r3"~>
+o)A[fo)&4]rVlotrUp*grV$3ls8MuqquH\Hr;$9dqu?MC~>
+o(_bN!W)Teq>L-jq=sXWs7lThq=k$fq=sp_!;M->q=j^Ys7_$~>
+io'jnq:tr)!o2Pap=]K"s4[S0hYuI3h?)NggAT\)g4@rQg%s>&f$r3"~>
+o)A[fo)&4]rVlotrUp*grV$3ls8MuqquH\Hr;$9dqu?MC~>
+o(_bN!W)Teq>L-jq=sXWs7lThq=k$fq=sp_!;M->q=j^Ys7_$~>
+io'jnq:tr)!o2Pap=]K"s4[S0hYuI3h?)NggAT\)g4@rQg%s>&f$r3"~>
+o)A[fo)&4]rVlotrUp*grV$3ls8MuqquH\Hr;$9dqu?MC~>
+o(_bN!W)Teq>L-jq=sXWs7lThq=k$fq=sp_!;M->q=j^Ys7_$~>
+io'jnq:tr)!o2Pap=]K"s4[S0hYuI3h?)NggAT\)g4@rQg%s>&f$r3"~>
+o)A[fo)&4]rVlotrUp*grV$3ls8MuqquH\Hr;$9dqu?MC~>
+o(_bN!W)Teq>L-jq=sXWs7lThq=k$fq=sp_!;M->q=j^Ys7_$~>
+io'jnq:tr)!o2Pap=]K"s4[S0hYuI3h?)NggAT\)g4@rQg%s>&f$r3"~>
+o)A[fo)&4]rVlotrUp*grV$3ls8MuqquH\Hr;$9dqu?MC~>
+o(_bN!W)Teq>L-jq=sXWs7lThq=k$fq=sp_!;M->q=j^Ys7_$~>
+io'jnq:tr)!o2Pap=]K"s4[S0hYuI3h?)NggAT\)g4@rQg%s>&f$r3"~>
+o)A[fo)&4]rVlotrUp*grV$3ls8MuqquH\Hr;$9dqu?MC~>
+o(_bN!W)Teq>L-jq=sXWs7lThq=k$fq=sp_!;M->q=j^Ys7_$~>
+io'jnq:tr)!o2Pap=]K"s4[S0hYuI3h?)NggAT\)g4@rQg%s>&f$r3"~>
+o)A[fqYU*dq#:6l!WN&kquQcqrVu]mrr)lprqk[Prr)lprqi;bs82`jJ,~>
+o(`"UqYC6iq"aaaq>pEep@eacq>0sbr:]pcp\smFp\ssfp\slXp]'sdp&Fc:~>
+l/;Es!T2c0h#6%1gtUQWf`p0bgt^`ChYuI3hZ)=3g=b0Yf\tN_gAfk*fUgdrf`0P)e^W*!~>
+o)A[fqYU*dq#:6l!WN&kr;Z]qrr2rnrr2lrr;QTPr;QZpr;QSbr;ZZlqLA~>
+o(`"UqYC6iq"aaaq>pEep@nU^"8VfjqtBgbp\smFp\ssfp\slXp]'sdp&Fc:~>
+l/;Es!T2c0h#6%1gtUQWg&Kb/gYCWAhYuI3hZ)=3g=b0Yf\tN_gAfk*fUgdrf`0P)e^W*!~>
+o)A[frVQTjq>9sdrVlotrV$0hr;cirs7uZnrVufpqr.JOrL3Zaqu$;@~>
+o(`+XrqQ?c!W)Teq>L-jq=s[Xs7cTirqc?`s7cNdiV3<GReQjUrq6<cJ,~>
+m,7m#qV_D1q:tr)!o2PapY#T#"P__eh;8.hrSIS/!nu>\rn-2_rS!^ns4IA'!nGfMJ,~>
+o)A[fs82ck!;ZHeq#:6l!WN&jr;Z`qrW)ulrVufpqt^0[rV?Bfr;cckrMKMmqu$;@~>
+o(`1ZrV-BeqY1*eq"aaaq>pEep%SL]s7lZkq=jm`s7cNdq=jFSq=ja\!;H<aVYC,arq6<cJ,~>
+mbn'$!8dS0!SuW.h#6%1gtUQVg&Ke+g]-+/hu2C2gB-*^g&BY"g%!elg%sD&g%j@!g&K_)f)jLP
+e:7~>
+o)A[fs82ims7lZiq>0mcrVlotrUp*er;cijrVufpqt^0[rV?Bfr;cimrMKMmqu$;@~>
+o(`1Zs7lWg!;?9a!VuNdq>L-jq=sXWrV-Bgq=jm`s7cNdq=jFSq=ja\!;ZHcVYC,arq6<cJ,~>
+mbn-&s5!b3qVM>0hYGt*h#cBdg@j4ug&^!brnm\1s4[V/g"HAWq:Y;lq:YVu!8I>'VV2"%s47>&
+eC9!~>
+o)A[f"8hrkq>U0bq=ssfrrN,toDJUdq>C6js8;lnq>Bd^q>C3ip&:ids82`jJ,~>
+o(`4[s7cTgrq?3_s7lEcrV?Qjq"+7Zq"aX_q#C*fpA+IQq>'d`q"=H[p]'sdp&Fc:~>
+n)46'!8d_2qVD8.hYGt*h#cBdg@X(ug&]s`rndV/s4[V/g"HAWq:Y;mq:Y`#p"Q@ss4IA'!nGfM
+J,~>
+o)A[f#5e8nq=s^Yq=saarVlotrTO1YrVufpqt^0[rqZKkrVulrs7uYkr;ZZlqLA~>
+o(`4[s7c]jp@\+Tp&Xp_q>(!c!VuN[p\FO^q#C*fpA+IQq>'daq#C0hqYBrap]'sdp&Fc:~>
+n)46'"5_khh"oh-gYVb]rS7P1gY25O!SZ?.hYl70gB-*^g&BY"g%!hmg&B_*g]$"(gSW[(f`0P)
+e^W*!~>
+(]OC4rVlcprVlcprVlcprVQKgq=saZpA+L`r=&](rr)iprr2rss8Do[r;QZpr;QThr:0d^r;QZp
+rr2rnrhfVnqu$;@~>
+%f#kpq=sd\q=sd\q=sd\rqQ`mp\+=Ro_S7]p\=R_q>pEen+ZhTrV-<ds7cNdq=jFTq=jm`s7uZj
+q>$o^s7ZHbs7_$~>
+n)+B,hVI#Cg\T_,gYVb]rS7P1gY22N!8@G-rRqD/g=k65rn.&"s4dD*!ScE-g\KP%g]-(.h>,j'
+g&K_)f)jLPe:7~>
+(&e%.qu-Ejqu-Ejqu-Ejqu$?fq=s^Yp^d2srVZZmrqlZlrqucmr;51Fq>LBmrVclsr;6<f!rMoo
+rVcfqq>LWtr;?Hhr;?N0r;$6cr;$6iqLA~>
+nbE@bq=s^Xp%\4kp\=R[qtg3dqYC$bqtg0af_>FAqtLEjq=sd]q"OLXpB($]p\jjep\=O`p]'se
+pAk!)p\FOYp\FO_pj`~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7S2gY1?OfD+%qfDF8$gAft*h?MfkhV?o@gA]e'f)s^\gthqc
+!8[J-#M[qbf\"m1g;2J<f_O4sfE0XPdXV~>
+nbWLfqtg-`p\4Faq>1!er;ZZmquZclq:Y]ArW)oqrW<&rqt^-kqu$EkrW)omrWiE"r;6Bhr;FJ0
+q>:!cq>:3gJ,~>
+nbE@bq=s^Xp%\4_p\=R\rVQWkrVHZmq=rY;q=jsarqHTkq"OLXpB($]p\jjep\=O`p]'sepAk!)
+p\FOYp\FO_pj`~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7S2gY(9>fDF8$gATn,huMU4h?)KegA]e'f)s^\hV\:i!8mY2
+#i==hg"=s1g"O9qq:PMrqUbl#daEX~>
+nbWLfqtg-`p\4Faq>1!er;ZZmquZclq:Y]ArW)oqrW<&rqt^-kqu$EkrW)omrWiE"r;6Bhr;FJ0
+q>:!cq>:3gJ,~>
+nbE@bq=s^Xp%\4_p\=R\rVQWkrVHZmq=rY;q=jsarqHTkq"OLXpB($]p\jjep\=O`p]'sepAk!)
+p\FOYp\FO_pj`~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7S2gY(9>fDF8$gATn,huMU4h?)KegA]e'f)s^\hV\:i!8mY2
+#i==hg"=s1g"O9qq:PMrqUbl#daEX~>
+nbWLfqtg-`p\4Faq>1!er;ZZmquZclq:Y]ArW)oqrW<&rqt^-kqu$EkrW)omrWiE"r;6Bhr;FJ0
+l21MWJ,~>
+nbE@bq=s^Xp%\4_p\=R\rVQWkrVHZmq=rY;q=jsarqHTkq"OLXpB($]p\jjep\=O`p]'sepAk!)
+pZ_DOpj`~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7S2gY(9>fDF8$gATn,huMU4h?)KegA]e'f)s^\hV\:i!8mY2
+#i==hg"=s1g"O9qlIZ0hdaEX~>
+nbWLfqtg-`p\4Faq>1!er;ZZmquZclq:Y]ArW)oqrW<&rqt^-kqu$EkrW)omrWiE"r;6Bhr;FJ0
+l21MWJ,~>
+nbE@bq=s^Xp%\4_p\=R\rVQWkrVHZmq=rY;q=jsarqHTkq"OLXp]'pep\jjep\=O`p]'sepAk!)
+pZ_DOpj`~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7S2gY(9>fDF8$gATn,huMU4h?)KegA]e'fDjM)gthqc!8[J-
+#M[qbf\"m1g;2J-fE0XPdXV~>
+nbWLfqtg-`p\4Faq>1!er;ZZmquZclq:Y]ArW)oqrW<&rqt^-kqu$EkrW)omrWiE"r;6Bhr;FJ0
+q>:!aq>:3gJ,~>
+nbE@bq=s^Xp%\4_p\=R\rVQWkrVHZmq=rY;q=jsarqHTkq"OLXp]'pep\jjep\OXjq=s^Yp@e7T
+pqc_#pA+CWpAao<~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7S2gY1??fDF8$gATn,huMU4h?)KegA]e'fDjM)gthqc!8[M.
+#i+1fg"=s1g"O9qq:PMpqUbl#daEX~>
+nbWLfqtg-`p\4Faq>1!er;ZZmquZclq:Y]ArW)oqrW<&rqt^-kqu$EkrW)omrWiE"r;6Bhr;FJ0
+q>:!aq>:3gJ,~>
+nbE@bq=s^Xp%\4_p\=R\rVQWkrVHZmq=rY;q=jsarqHTkq"OLXp]'pep\jjep\OXjq=s^Yp@e7T
+pqc_#pA+CWpAao<~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7P1gY1E8s4[G.rSR\3rn[_3gY2Y[r7Cu%!SlN0h>lC.h?_ok
+g"G$1g"G)qg%j:rfD=,$f$_us~>
+nbWLfqtg-`p\4Faq>1!er;ZZmquZclq:Y]ArW)oqrW<&rqt^-kqu$EkrW)omrWiE"r;6Bhr;FJ0
+q>:!aq>:3gJ,~>
+nbE@bq=s^Xp%\4_p\=R\rVQWkrVHZmq=rY;q=jsarqHTkq"OLXp]'pep\jjep\OXjq=s^Yp@e7T
+pqc_#pA+CWpAao<~>
+n_aT0i8<DIh"]\-gYCQ=rS@M/rS7P1gY1E8s4[G.rSR\3rn[_3gY2Y[r7Cu%!SlN0h>lC.h?_oj
+g"G$1g"G)qg%j:rfD=,$f$_us~>
+s8<-!qtp<hrV??iqZ$Bkp]1'aq#C6qqtg0dr;?Qks8)`jg&1[F!<)lq!r`&oq>C'eq>\k?#QOc!
+qY^?ms7uQfr;$6cr;$6iqLA~>
+s8)urq>'m`qt^'eq#C*gp&Od^p'CEiqtg-aqYU0hqZ$Bjpt>E;p]1'fp]L?ep\+FWq=sd^dJ!nB
+q"==Sq>0s`pA+IYpA+IYpAao<~>
+s5F4@i8ESQiq_O3huDR5h#Q7,h$Dcmh;$c>gtgfch#H-cgABS'gATn,huMU4h?)KegA]e'f)XM"
+g\K[Qfa$<df@S^1gt__Xq:YSrq:YVs!nPfJJ,~>
+s8;oo"8_omr:g*gqYp9jq"aacqu-Bhqu?Nlq:Y`BrW)oqrW<&rqt^0crV?H?r!32tqYL-grVZKg
+q>C'cq>C'cs8%6~>
+s8)ck"8M]gqY0gcq#:!fpA4Lbq"jjcq>C*hq9Ja8p\spiq=s^Xq=j^[q>&G4#Pe#cp%S7Vp\FOY
+p\FOYp\FO_pj`~>
+s5F"9"5i%qiV2:1hu;I4h>5t0gtpibg\fk,g]#pcg\]_)g\p"-huMU4h?)KegA]e&fD41sgsOd[
+g=Y$/g"P05q:PMrq:PMrqUbl#daEX~>
+"oJ/mq>'m]qu?Tnqt9gcq>^6iq#^Eiqu-Bkq9f0ArVc]srVZQgr:0a5quHWnqZ$HoqY9m`q>C'c
+q>C'cs8%6~>
+"o7rgp\4IWq>^<jq=j[aq>^6ip](!iq>0sdq>^6Cq>'dcp\spiq=s^Xq=jFSdJ!Y7rq6<c!VQ'[
+pA+IYpA+IYpAao<~>
+"lS:qhVR/ai;_d8i:l./h>c4/g&Kb-gYCT_g]-!dh##k+h#6+.huMU4h?)KegA]e&fC@VCf`9\(
+fDjM)f@B]Lq:YSrq:YVs!nPfJJ,~>
+s7uZh!VuTeqt^0cqZlrlq"OOXq"aa^g&LmI!<)lq!r`&o\bl^0qYL-gr;$*_qt^0cqt^0cqu?MC~>
+s7cNd!VcBaq>'m`q$?ilp\4CTp\4IYq:YW?p]1'fp]L?ep\)/l#PRi`p\=LTo(i"Tp\FOYp\FO_
+pj`~>
+s5*b2!T)`/i;)@.i!A2pg"G$1g"G*TgYpuch#H4/hYl@4h>Z74gtUQ^g&'A$g%*kEfa$0]f@em2
+f$sNJq:YSrq:YVs!nPfJJ,~>
+r:g<gqY9scr;QZjqu?Hip]($aqUtoErW)oqrW<&rqmlY(qZQirrVQBcqt^0cqt^0cqu?MC~>
+r:U0cq"X[_qYpBgq#^Eep\jgcpY,H<qYBmdp\spiq=s^X\bH*s"S_`ep@J+Rq=j^Yq=j^Ys7h*~>
+r7qD1htZ.-iVqj5hu_cig&9S'g%jC^hZ2L0h#H4/hYl@4h>Z74gtUQ^g&'C;g&BV,g"Y65ebRkn
+g%j:rg%s>&f$_us~>
+r:g?iqu$3crqucoq>1Blq"XUXq"XjarVHQkg&LmI!<)lq!r`&oq>C'canuA?qYL*frr)Whq>C'c
+q>C'cs8%6~>
+r:U3eq>0j]rqcWkqY:Bmq"OOVp@n=\q#1$gqVq>GqYBmdp\spiq=s^Xq=j^YanH#5p%A%Rq=saY
+q=j^Yq=j^Ys7h*~>
+r7qG3i8OFgro*k9qVVV8gtCB5f\+sWgATe+gu@5kh>H(.h>Q4/huMU4h?)KegA]e&fD4(@f`p*\
+f@\g3gA'=rg%j:rg%s>&f$_us~>
+rV-Kjqu$Egqu?Nmqu6KnrV?<iq>L*dq>^<jqpGBCrVc]srVZQgr;$6crR(NGq=s^Zqu6Qiqt^0c
+qt^0cqu?MC~>
+rUp?fq>1!aq>^6iq>U3jqtg'hq=sa`p\agdq>U6Mq"X[\p]1'fp]L?ep\+FWq=aXZdJ!e9oCDMH
+rqQ<_q=j^Yq=j^Ys7h*~>
+rS7S4i8N\ki;_^7i;V[8iqhO6h;$`_g&0S(g]$!fhZ)C/g]-(-hYl@4h>Z74gtUQ^g&'Csf_O7K
+f`]mVeCE4NgA0Csg%j:rg%s>&f$_us~>
+rqHWlqYU6iq>2!(qY^6hr;QWlqY^3fqY^3dq>'g\q>'mdq>^<jqpGBCrVc]srVZQgr;$6crR(NJ
+q"FCSq>C3jq>:!cq>:!cq>:3gJ,~>
+rq6Khq"agaq=t0fq"X[\rqcKds7u]is7cQg!;ZWhs7uZjiV<6Eq=k3hq=sd]q"OLXp\FOYpsJg@
+oC;>?o_8.Vq=aXYq=aXYq=aj`J,~>
+rnR_6hr*MRq;;D4hr!AMro*_2#i47hg=b05g=uV\s4dP.iSFRir7h8,qq_V:hVHuDgt^Z<rn72#
+q:PMsdFecTe'c^rg"P3Vf_O4rf_O4sfE0XPd=;~>
+s7cclq"ad`r;$6ir>,D2rr)iprr)iprr)ipq>:*co^__PqYg3kqYU3<rW)oqrW<&rqjIBPqu?MC~>
+s7QWhp@n@XqY0e$q"a^\q"a^\q"a^\q"a^]qtTdQp%eF^p]C9fqssRPq"+:_q"a^`q#^?cp6k[F
+pAao<~>
+s4mk6h;7&IiTf>-hV-`>g!nI$g=lMY!SZ;uh#H7&huMX*g^2imgY:N<gY1?5RG%/`!nPcFJ,~>
+s7cclq"ad`r;$6\rX&Q#qu$9^oCi%WrV6Nkqu"k@!<)lq!r`&oRJcUPs8%6~>
+s7QWhp@n@XqYBsXp^-cjqYU'Zo(DhSrV-HiqYTgYnG)SM!;QNg!r2N`RJ6:G!r)KbJ,~>
+s4mk6h;7&IiTf>-hV-`>g!nL%g=lMY!SZ;th"'D'hX]G%gATb-g=b,Hg%*bseBuTm~>
+s7cclq"ad`r;$6\rX&Q$qu$9_o_84YrV6Nkqu"k@!<)lq!r`&oRJcUPs8%6~>
+s7QWhp@n@XqYBsXp^-ckqYU'[oCi"UrV-HiqYTgYnG)SM!;QNg!r2N`RJ6:G!r)KbJ,~>
+s4mk6h;7&IiTf>-hV6f?g""U(g=lMY!SZ;th"'D'hX]G%gATb-g=b,Hg%*bseBuTm~>
+s7cclq"ad`r;$6\rX&Q$qtp0^p%\F\rV6Nkqu"k@!<)lq!r`&oRJcUPs8%6~>
+s7QWhp@n@XqYBsXp^-ckqYKsZo_84XrV-HiqYTgYnbDYM!;QNg!r2N`RJ6:G!r)KbJ,~>
+s4mk6h;7&IiTf>$hYu75f[eU*gY2VZ!SZ;tg]64&huMX(g]6(,gB-*^fU:F`fE0RMc[Y~>
+s7cclq"ad`r;$6\rr;p%qtg*^p\F^_rV6Nkqu"k@!<)lq!r`&oRJcUPs8%6~>
+s7QWhp@n@XqYBsXq#C-pqYBmZpA"L[rV-HiqYTgYnbDYM!;QNg!r2N`RJ6:G!r)KbJ,~>
+s4mk6h;7&IiTf>-hV?o@g"=s2gtVe]!o)Mdn_EZkn_=,urS%D-g";_Go%4#ndEd=~>
+s7cclq"ad`r;$6\rr;p%qYBp]q>1!brV6Nkqu"k@!<)lq!r`&oRJcUPs8%6~>
+s7QWhp@n@XqYBsXq#:'nq"OOXq>0pcp]C9fqsjLPq!n.[q#1!iq"OKMp[\"Zp\=N6~>
+s4mk6h;7&IiTfA$h?Vfhg"G*6gtVe]!o)Mdn_EZkn_=,urS%D-g";_Go%4#ndEd=~>
+s7cclq"ad`r;$6\rX&Q&qY9j]qYU0drV6Nkqu"k@!<)lq!r`&oRJcUPs8%6~>
+s7QWhp@n@XqYBsXp^-cmq=jXYq>0s`rV-HiqYTgYnbDYM!;QNg!r2N`RJ6:G!r)KbJ,~>
+s4mk6h;7&IiTf>-hV[)@g"P39gtVe]!o)Mdn_EZkn_=,urS%D-g";_Go%4#ndEd=~>
+s7cclq"ad`r;$6\rWW9"qY9j]rqc]lrV6Nkqu"k@!<)lq!r`&oRJcUPs8%6~>
+s7QWhp@n@XqYBsXp]^Kiq=jXYrqZWjrV-HiqYTgYnbDYM!;QNg!r2N`RJ6:G!r)KbJ,~>
+s4mk6h;7&IiT]8'hqQi;gA]k-g\oh-gYCWTh!s7kg]6(,gB-*^fU:F`fE0RMc[Y~>
+nb_nVs8DNcpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbMbNs7u6^pA+a`p%JL^q>L0bq3h!:p&b!`pj`~>
+iSa7_p>#]&p"BH$h#6((h"fZtg#CWceBuTm~>
+nb_nVs8DNcpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbMbNs7u6^pA+a`p%JL^q>L0bq3h!:p&b!`pj`~>
+iSa7_p>#]&p"BH$h#6((h"fZtg#CWceBuTm~>
+nb_nVs8DNcpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbMbNs7u6^pA+a`p%JL^q>L0bq3h!:p&b!`pj`~>
+iSa7_p>#]&p"BH$h#6((h"fZtg#CWceBuTm~>
+nb_nVs8DNcpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbMbNs7u6^pA+a`p%JL^q>L0bq3h!:p&b!`pj`~>
+iSa7_p>#]&p"BH$h#6((h"fZtg#CWceBuTm~>
+nb_nVs8DNcpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbMbNnbE1]pA+a`p%JL^q>L0bq3h!:p&b!`pj`~>
+dbk,^p>#]&rn@/#!SZ<,g]6+)h"fZtg#CWceBuTm~>
+nb_nVs8DNcpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbMbNnbE4^q"OUaq"=@^q"ambq"^?Piq<HJq"T@~>
+dbt/^pY>f'rn@/#!SZ<,g]6+)h"fZtg#CWceBuTm~>
+nb_nVs8DNcpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbMbNnbE4^q"OUaq"=@^q"ambq"^?Piq<HJq"T@~>
+dbt/^pY>f'rn@/#!SZ<,g]6+)h"fZtg#CWceBuTm~>
+&,lD(qu-Ejqu-Ejqu-EjrUKjtrVQQjrVQQjrVQQjrVQQlpAY*jp&"jhrr)llrgE]Cqu?MC~>
+nbM_MnbE7]q=sd]s7l9]!VlKhqY9lSpYtlJp\=N6~>
+dGP)_gtqk^s4dP,pt5]%g\on-g\KY#g7d3ZfE0RMc[Y~>
+%K?>*rVlcprVlcprVlc`rXAc)rVlcprVlcprVlcfrr;riquQcqrVuZlZ2FFpnbi4[nbi4[s8%6~>
+%J]boq=sd\q=sd\q=sdRp^Hunq=sd\q=sd\q=sd[q#:*hq"=@^q"ambq"_2hq=a@Qq=a@QqXt!b
+q"T@~>
+d,4r]i;DI3g]H6ag@a,"g=uS]ptN(,q:P5jq:P5jqUbl!dEd=~>
+`r?#:p&"skrr2rtp\qGqq>9^[q>9^[q>:3gJ,~>
+anYl2s7l9]"ShfgqYKs^Z1n(fnb;kQnb;nR!r)KbJ,~>
+c/AQWs4d\1g=l5Q"PVVbgt_YYZ.\s*n_*`jn_*ck!n>WDJ,~>
+`r?#:o_\mkrr<#trqZT!r;$6[r;$6[r;$6iqLA~>
+anYl2s7l6\"o.oiqYBs_qQ]ejp@7nQp@7nRp&b!`pj`~>
+c/AQWs4d\1g=l2P"kq_dgtUTZgp,Q.f^[Yjf^[YkfE0RMc[Y~>
+`r?#:pA>!hr;HTn!<)`nZ2FFpnbi4[nbi4[s8%6~>
+anYl2s7l<^!quB`rV6Hgq>.Ajq=a@Qq=a@QqXt!bq"T@~>
+c/AQWs4d\1g=l8R!nc2[rS%>+q:r7.q:P5jq:P5jqUbl!dEd=~>
+`r?#:pA>0mr;HTnrr)fks0;LtqsjU[qsjU[qu?MC~>
+anYl2s7l<^#PRoeq"aa\q"ackp\FOQp\FOQp\ORbp\=N6~>
+c/AQWs4d\1g=l8R#M@_`g=tB9gA0O/g%j:jg%j:jg%s>&eBuTm~>
+`r?#:pAFsf!;ucnq>RYsq>9^[q>9^[q>:3gJ,~>
+anYl2s7l<^s7QHer:p*`Z1n(fnb;kQnb;nR!r)KbJ,~>
+c/AQWs4d\1g=l8Rs4@>)r7^u$Z.\s*n_*`jn_*ck!n>WDJ,~>
+`r?#:pA>!gqu$Ek!;uZkZ2FFpnbi4[nbi4[s8%6~>
+anYl2s7l<^!ql9]rV-Beq=q5hq=a@Qq=a@QqXt!bq"T@~>
+c/AQWs4d\1g=l8R!nZ)XrRq8)q:`+,q:P5jq:P5jqUbl!dEd=~>
+`r?#:pA>!gqu$EkW;QJgnbi4[nbi4[s8%6~>
+anYl2s7l<^!ql9]rV3>cq=a@Qq=a@QqXt!bq"T@~>
+c/AQWs4d\1g=l8R!nZ)XrS"4'q:P5jq:P5jqUbl!dEd=~>
+`r?#:LA^lEnbhqSs8%6~>
+anYl2s7h?Cq=a@Qo(E.Zq"T@~>
+c/AQWs4d\1g=h;7q:P5jo%4#ndEd=~>
+`r?#:LA^lEnbhqSs8%6~>
+anYl2s7h?Cq=a@Qo(E.Zq"T@~>
+c/AQWs4d\1g=h;7q:P5jo%4#ndEd=~>
+`r?#:LA^lEnbhqSs8%6~>
+anYl2s7h?Cq=a@Qo(E.Zq"T@~>
+c/AQWs4d\1g=h;7q:P5jo%4#ndEd=~>
+`r?#:LA^lEnbhqSs8%6~>
+anYl2s7h?Cq=a@Qo(E.Zq"T@~>
+c/AQWs4d\1g=h;7q:P5jo%4#ndEd=~>
+`r?#:LA^lEnbhqSs8%6~>
+anYl2s7h?Cq=a@Qo(E.Zq"T@~>
+c/AQWs4d\1g=h;7q:P5jo%4#ndEd=~>
+`r?#:LA^lEnbhqSs8%6~>
+anYl2s7h?Cq=a@Qo(E.Zq"T@~>
+c/AQWs4d\1g=h;7q:P5jo%4#ndEd=~>
+`r?#:LA^lEnbhqSs8%6~>
+anYl2s7h?Cq=a@Qo(E.Zq"T@~>
+c/AQWs4d\1g=h;7q:P5jo%4#ndEd=~>
+0)khKrVlcprVlcprVlcprVlcprVlcprVlcprVlcprVlcprVlcprVlcprVlcpq>L9ks8@]Mq>9^[
+nb`@_J,~>
+0)58;q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=t$crqZThLA1N;
+nb;VJ!r)KbJ,~>
+d,4r]i;DI3g]H6agAT\+f@ec8g%j:jg%*bseBuTm~>
+0)b\Gqu-Ejqu-Ejqu-Ejqu-Ejqu-Ejqu-Ejqu-Ejqu-Ejqu-Ejqu-Ejqu-Ejq>2$-s8)Bbs8;co
+nGiOYrr;iiq#Bd^q"=[eU&=`bnbhYKs8%6~>
+dJ<Y8)#=4*nFuhSpA4+TrU'FZp%.eTl2UAEqu3;`q=sLSlLk;Rq"T@~>
+dGP)_gtqta(Za8ug>:Q:grnU2b1YV$e'm3tj42T6i1\j"g@<k]fE0RMc[Y~>
+dJWn=s82oiqu6Tuq=sabnG`Fpnc/X]s75j_s7Z2\r;$<]r9=+YqLA~>
+dea"@r;?Tl$1R]gs8)BZoD@nRq[2]gqsXRPnG`CVntGgRq!n+Dp&b!`pj`~>
+dc(5`qV;t:g>V&If@JL,akPJ&bh_%"j3Q03hp^)Kg%j@lg$72keBuTm~>
+dJWn=s83&ps8Vulr;Q^+r9jUTrpom`r;ZHis8;bfr;$<]r9=+YqLA~>
+dea"@r;?Tl(\@P&p[n4Wqu?ETs6TRKo_A1[nGE4Zp7_6Vq!n+Dp&b!`pj`~>
+dc(5`qV;q<hVd,>g>:]Hf?<-ugX"I)g>UN;iS'sXq:bAllIZ0fdEd=~>
+dJNh;s82ir$MaAmrr)`gq#9scrr36%l2U_Sr;Z_Pr9=+YqLA~>
+dJ3e=r;6Nj(]XC)oCi"Tp@@hNnG2t]qtT7Pq![tWpkeb1p&b!`pj`~>
+dGP#]qV2nJhUg?3gtUN4e_JU.h;mGIa5l"'g>q"Fg$72keBuTm~>
+dJ<\7s7mK2qY:*jqXjLPs7QBcs7--[pA;hes82JGr9=+YqLA~>
+dJ*J3(]X4$r;H9UnEg/Cq=4CKq<[VD^Y8MVn;6o)p&b!`pj`~>
+dGF]S(Za?(iT&YAf$`O-gt1H2hpU*1V82!CdtucCfE0RMc[Y~>
+dJ3V5s7ccqqYL0hqu6U*b2E<io)J7Ws0QCWs6fl[r;$6[r9=+YqLA~>
+dJ!D1(\m^tq=jRYs8U$ks6K%Olh1:\@))U&pn@HXp@7nBp&b!`pj`~>
+dG=WQ(u<s$hVHrEk3/n`kgS&FdG<rN7]#(hhV+^Wq:P5jlIZ0fdEd=~>
+dJ3V5s7dE+s82B^s7>!![CpkYMOXPDl?dHrs762`r;$6[r9=+YqLA~>
+dJ!D1(\R\"mdg5AeUOd3F74dIpAO&pC!-8<s.T2_p@7nBp&b!`pj`~>
+dG=WQ(u!p'e(EU-]kNn.?.j+FhWN*i;6o01k1ZQ_q:P5jlIZ0fdEd=~>
+dJ<\7s7mK&s8Vcls2&i<nc/W&@tjpTTl&0Vs82Sbr;$6[r9=+YqLA~>
+dJ*J3([qA$nb`0qD2@KVr*`iZq!X\bb51u-ntGgRp@7nBp&b!`pj`~>
+dGF]S(t@U)f&>P]<HZp[ktXfcin9#_[,U*$f\3(Qq:P5jlIZ0fdEd=~>
+dJ3V5s7dE1q>('jlZ-Y)rr;\h?aKROBVY>%rq-5ar;$6cr8IPQqLA~>
+dJ!J3s7R9+p%A7^j_SAep\jQQ=KM)4@\*&bq!RsOp\FOYpYtlJp\=N6~>
+ak[fngt^rPbu@?bjmCl`7@E&:9S_B]i7?f>U=o@pq:Xc[!n>WDJ,~>
+dJ3V5s7dE)s7Z$`Thhrnli6YFD=[_%P3)`?s8)Vdr;$6cr8IPQqLA~>
+dJ!J3s7R9#s75UWRn9[WjS80*B']5_N8O[-qt0QTp\FOYpYtlJp\=N6~>
+ak[ffkh4MKK/&YTeEGc=<7p;fG0/t'j4rDCU=o@pq:Xc[!n>WDJ,~>
+dJ3V5s7dE's82?b?;L+fs7QEfli6JRoDe^Ns8W%kr;$6cr8IPQqLA~>
+dJ!J3s7R9!rV,^R=@qiMq<n:RjT"K>mJlk<qYKu\p\FOYpYtlJp\=N6~>
+ak[ccjPJDD5V^gJl/(medd5QEfBCu0i8E@`g%j:rg#CWceBuTm~>
+dJ3V5s7dE.nGiIZ9m-L9m/Q2Ds8)TlpA=R\s7u;\r;$6cr8IPQqLA~>
+dJ!J3s7R9(m/QnL7rS8%jo=3/q=F7YnFc;Ds7GcRp\FOYpYtlJp\=N6~>
+ak[cje*,`@03@6"eaL`@k2>+]f\>!3jO_eQg%j:rg#CWceBuTm~>
+dJ3V5s7d6,n,NF^=b-MDs6Y]Bp@/+Ln,<7c!VZJcr;$6cr8IPQqLA~>
+dJ!J3s7R9*lMp_N;gS3*s5ns-n*0c5l1b2Wr:0QUp\FOYpYtlJp\=N6~>
+dG=WU(Za*1jP)h.jP0.QEKAo+k0MB0iT/kEg7d3qf_O4[fE0RMc[Y~>
+dJ3V5s7d-&rVQ6eHZAZSrjHO^mJleWrri/gq>^Jgr;$6cr8IPQqLA~>
+dJ!J3s7Qutq"F1SF_g@9pTJ&BkPsrKrrhu]o_SEXp\FOYpYtlJp\=N6~>
+dG=WU(ZFB3g#cXAg#D1c:p/42e`GlQf$Dk"g7d3qf_O4[fE0RMc[Y~>
+dJ3V5s7dE-rqZ3d_hZ>%aF!"Fs6]jXo_%tPs8VP]r;$6cr8IPQqLA~>
+dJ!J3rq7-'o^D[jJ\gQdFPZTfkPsr<nFH,GrT^*Nq=aXYiq<HJq"T@~>
+dG=WU(Z=?1g#],IY1BdcbMhX3kL7l.eC3.-b+[Maf_O4[fE0RMc[Y~>
+dJ3V5s7dB.o)Jaas1+>cT&/i2qu?9fpA+abo`(T^q>:!ciVWZOJ,~>
+dJ!J3s7R9(mJHeNs07NKQdt3ip&=@VnaukUnc/EYp\FOYpYtlJp\=N6~>
+dG=WU(ZO'.jkK'jH%gsje)B3Je`,*1j4M`9f^7>mg=c2R!SQ2Fg%j:rg#CWceBuTm~>
+dJ+XVp%7tOo_87Vs7u<emf3:`pAas^s7Q0_qYU6f&,Gqss8DQes8VurqXsmfnGW@gqYBscq[N9!
+rql`jqu6Wis7u]i\bu:#rr)lpmed%\J,~>
+dIoHop%7tMo()MDqXa(Nk5P)CmJZPAs6oOOp@nCYqYL$Zp\ssUp](*`s7Pm]q<RqTr;60Yo_nFl
+nG;qQs75jYrUTs[s7<eqq=ag_s7c!U!r)KbJ,~>
+dG5]"h;$lCgYC`@jPAGMdH]cNhXB@Wm+L+Jg]#q,fG<)gg#1T2g#Ll?j4D`>gWeR2hqm#=fDXG7
+f&5E>kM"\Gj43,?jOW#;qq&[;q:P]#s4Qkn!n>WDJ,~>
+dJ+[Qn,NFXr;ZHis763as8Vclo()h\n,NF`qYC!dq'Z4:q#CBlp?qtQq>]p_s7u]gq>:3fs8Vur
+qsaXcqYpNks82EUrqX,&q>:0is8;<^s8%6~>
+dInOOn,NFVqZ$'as6BUMq>9IPk2u:4kPG5OpA"I_qC).=o(2k[p[RMFn+?YFq>^*bnalGPoDJX]
+s7P[Vq=OIXo_J1Jl1st^p\FO^q#C*Wp&b!`pj`~>
+dG7CLfB;DNj6G@^l.,%Njlb:]g=YNPeE?,PgYCQ;g=Y*;eCNR:g!n4%dF[@%gZ-oCeCiU:g#D/M
+khX\LiSNMMg>CZ4bhUh'g&'C;g%j;"gAfjpfE0RMc[Y~>
+dJ+CLqtK[Ro(;qTm^7tEYAfW/g@Xt8rr_T`qYC-e.J`i:s8Vuhrr<#ps7uTfs7QEds8Vrqr;>dC
+q=jphm.LDYme$PWrr<#/r;$6hrVuf`qu?MC~>
+dInLQqt9ILnF-2BkcKK'Ve(UZcKj`mqY]IKpA"X_.Jil6s8Vf]q>^Kes7?!UrpTgUq>^*ep@dM+
+oC;bTk3r<LkjJKFq>^E(p\FO^q#C*Wp&b!`pj`~>
+dG5c!j5/JDg"GE>d[4p'P#6=d^tdZ0kNU=KgYCQ^g*t_8k1S;?k2b7Wg"P*;e`59=k1\qPgrR[n
+g#V/<fB25@eE5K?io&MCqq&[;q:P]#s4Qkn!n>WDJ,~>
+dJ,?dp@.nXoBQA6QZ6Bts++9c@sj36oDe[`qtg0dqt^*es82Wls7YgPs7u?frp0O_'^kqts8U*-
+P*^d.s8(69ZMj\#q>.Z"q>:0is8;<^s8%6~>
+dInOMp?q\Tn`Bc(O_InVr,te>=*&tdli$JLp\FXaqZ$@<qXsIXrUAt<s7>^ZpuVPPqZ#dRpAb*,
+P`1`PYQ+7?Q`TrTrUfcnp\FO^q#C*Wp&b!`pj`~>
+dG7CKhUg]Ng<]!$HW3>Vk@-MH8Ruh%f]V,IhVHrAgY1E=i8*)Ij4MT-k1eGMhTb3@i9&>@gudXq
+HusXEQg!53I?NF>i7HW7g&'C;g%j;"gAfjpfE0RMc[Y~>
+iV<!?*;KL(qXWtPk)l3;C97./fOS/aEmi;-s7Z<dr;HWl$Msf"p](9hq#CB`rr3o1s8)cdqu?]h
+q#$tTW3iP\nrJ)lM=LHBnGg&sq>:0is8;<^s8%6~>
+iV)j8*;9:"q!dGDiJa+%A>\ejcs0F?C!"Hbs7#aVq"apc./Ec5nbW:Wo)JXQqu?N^rUfsQp%eXV
+o(J]<U9:9Dm"ogTKBr4,lh\0dq=ag_s7c!U!r)KbJ,~>
+iSF%])W]W2g!Jm)G(DeOOP/^,8O,@>\@12Xg>1WArS/mWin`AKlJ(+Xk0iASjOiYNimcfCkh"PF
+Km/?;M8%DV=tXO:f\Oj/g"H8S_:eY:rn@D*n(7]kdEd=~>
+iV;s>1Zn`9qZ!^Jf9Lbijo5&TN.(YFC>T!Wp\XjcrVZTjrUU!gp](9irVccoo_SUfrr<#nq>UC*
+n+uqSqu$BedTBY^s8W)js1/('qu6Qor9jI^qLA~>
+iV)g78*'^Iq#@=>dZ8TRhtHR<KQQj#@FtJ?nb;eQq>:'cq<\.]nbiCYp\4LWme$ARq"jgWoDARa
+l1FZ;p%J+MbYhBFs8Dc^s1.n"pAXjep[@eWp\=N6~>
+iSF%]8^6P]iTcV;]QmpOal2"<EF\$2:rMYGgYUfChVI#ChU^uVgZI_ViSihTf\Y]OioK(PgZ.MW
+dG!@*gYCT:Z8ak3jl"qBjOr5`f>6/9f`'V)g$dPpeBuTm~>
+iV;s>8,rA[mcjc8P]_kXs8VlomqUMEY(*8Cs82`mrVlfprV6EhpAaooKX0dRZ,Zh9s8V2`\&J1>
+r;Zcis8V`irE"aDs8)T_s1/('qu6Qor9jI^qLA~>
+iV)g78,DiLl/_g'O)K]As8VZek[W$)Vg+d(s7c<aq>0s`q==RWn,MpZIB2;6Wk\T$rr:lSZ+oo&
+pA4RRr;,jVpecS-r:TaMqmlIspAXjep[@eWp\=N6~>
+iSF%]8`\^ae'@.$H!,$>lK[0dePX*5P\#a.lJCFThV[5IhV@JUh!EmcC7*8?Q`TQ-kj$9ORA\fp
+hVd8Aio&>@gG``lin2o1hV$TZf>6/9f`'V)g$dPpeBuTm~>
+iV;s>)YX4$p]&crI/fc1r:9mWr/#LornW*<eGK1BrVe5Ds8DipoV7Mr;hnn-B_h]$mYj]$R>l!H
+rVliolMpgL>,)&gp&G$e\bu:#rr)lpmed%\J,~>
+iV)g7)Y*joo)I'cGPd`qp?_\Ap4@,TpXXV!cM.,0rV@r<rq?!am@9$V9RpDf@Ij<`kCu<`PD<_0
+p\=^[jT#"<<1O!UnGi=V\bGpnrqQNfn+HhWq"T@~>
+iSF%])VaQ.h!2Ia@HE'ni7@#>i,;f[jMPS'\DH-"rSK*_lf6sjg51!_3GhAo:>b9ie8Qs^HZ)W%
+h;72Hb2h<"3eHMCe)]<9g"H8S_:eY:rn@D*n(7]kdEd=~>
+iV3uXs7?*el+[2ko=sepp\=C\rqf(.GCfV#d-gl0pA"U4N;`P7s,(EVi;`cNqt^0is82`%Sb\j_
+CX$3fs7uGR=0hl)EF#mMnGiIdiI4p=ZM=Irs8V],r;$6cr;$6hrVufhqu?MC~>
+iV!iQrTs.Tij\aPm'u<WnF>oCrq/Y"EI7>abN\fqnalOuL\UK#r.SRCgAgp<p%.nWqXjH`QL^AC
+AB%_Js75]=;69TfCKIV5lMpYTgj)k(XRc;^qYKWrp\FOYp\FO^q#C*_p&b!`pj`~>
+iS>("lIk+]c_T^Yfqm9`h;6lIrng/M>@lZ^[F=-ngYLktF6)6&k&3n>_W]n2h:pfQki1WmK]%PP
+;RAnWmGQiH4-npc<Bl`*d,Ng8^K`]aP1\dHh;-K3g&'CCg%j:rg%j;"gAfk#fE0RMc[Y~>
+iV6LNrr2r.H?l=JLhD)0s7ZK^s8TuLRfDU%k4nuRp@nLbkkb>Us7"0PHbo^\s8Vi[s7u\cs6`fl
+j-iAYs7#egE:X&/=Ddd3oDeUbp:7>j^?5([qZ$T3r;$6cr;$6hrVufhqu?MC~>
+iV$@Ep\4WlF)mi.JRETirpTmPq>@p7PlKaiiUcp>nacGSj7WHFqWl+;Fh@GDrr;NMr:9lRqr^XS
+gljm=q!%<KC$Y`t;J5LqmJZYPn[,9V\DZfDp&4p,p\FOYp\FO^q#C*_p&b!`pj`~>
+in[eqi8itaT3u#`bAL$_hWrt`eDo\h97H-L]$&pji7m&Gm*FYWhrN=k<F)BXi9'7Xdd#cXK^%#J
+7EU03>isYq6<;b%l9%kpi7$W8gs_RIEh:;#db*L;g"H8Sak?LBq:YSrrn@D*pXfPsdEd=~>
+iV5&%qteKO;G_>PZrrgjq"a1Ss1iHHr:L$[q#:9eo_/.Zs6BU[mf2k>RpVKWroj@]-2dN7oR0Z-
+s5^lnqZ!<fVu?Xl6D45Tp]'pbs6fd_qYgHop\4^(r;$6cr;$6hrVufhqu?MC~>
+iV$@Eo^g"391`j4X\t>Nnab]<pUFb*p?qeEoD/4To(;_Rs60CRl2U/.Q!'4=p>GuIs7PmRm<20f
+qVAU[oD+nKT_ADX4IYs<nbqtPs697Po_8=\o()Xnp\FOYp\FO^q#C*_p&b!`pj`~>
+in[eqi8W_$;E6[;Xd_S+h;@/:ki/@5Lu?qHfA5KIhV6lFj6=tQhp^lBaaZ[(gu6HAkNq3aiS%d%
+J`k1Nm,7#_3/utbM'di1hUg]7g>gB/gY1KDh::'3g"H8Sak?LBq:YSrrn@D*pXfPsdEd=~>
+iqNoXqtU0"De)SHpAFO]ru^_0r5!Qas8;ojqtp6bp%J1XnFc\TrVH-[q#/BTB$(&P-KG.'s/omD
+s8VuroDJWQ<pKVXAmG'0qtg?frVu]ns8)Hgs82Tg_>O-+q>C'crr)lppA=mdJ,~>
+iq?LIo^V[[BO+*,n+H&HqZ#dZoXSkAq=aaUp@e1NoCVbPmdp8Lq"=(Go(U+<?GZ[9r7q>Es/0./
+s7u<bm.L47:ZM-<?WQ[mp%84Sq#C!ds7GgUrV#jV_>!d!q=j^YrqQNfp\"[_q"T@~>
+in[\niSWag<_G99h;d5Ukj?sfiM9VDj5B(Ri8EMKgtglIfA,BEinrDDgu5G98Z_4:l,i;Nm$(+8
+m,m9kg#D1@4ji9G9L.7igY1T9g>UQAjP&2Ai7Z]\g&'CCg%j:rg%j;"gAfk#fE0RMc[Y~>
+iqOPjrqHHiO@a3es69R[qWmqVWIiLsoDJC`qY9^TpAXgtrV-?_q>]m_rUBj]UhQ7Yrr48<]N\4J
+o_\[epAaiO<pTOMBQs.Lqu-QjrVlHfo'u;FrVuik_>O-+q>C'crr)lppA=mdJ,~>
+iq?LIp[8%OLHo;Er8@SEn`'$5Sp/9Mlh'cJp%.bFo_/(TrV-?]p]'OYpZhSCS7.H6qt^*Y[T,r2
+me-VSnGi!<:ZV&1@<(c4p%S@Uq"aCRmHa-/q#'pY_>!d!q=j^YrqQNfp\"[_q"T@~>
+in[eqjPB4^FtZ\Vld+tVi6gEDN+93Rf&,9Jhqd&Ah;@/Kj5&qNhWN;KiRHrBLJ3$8jl>FVTKb9/
+f\buQg?RC=4jr5=:0Z?0gYL`;g=ag+d*^:ngY^c:g"H8Sak?LBq:YSrrn@D*pXfPsdEd=~>
+iqNcTrr2ipE'_/9s"*[7s8VnkIGFAms7#sdqtg']q>'dYp\XILp[n7Xs8Vrqs1iVd[/^1'X[Zk"
+rtOo$o)I9:D2'])[-7Phs8)KhrV6?jrri8ss8DT+r;$6cr;$6hrVufhqu?MC~>
+iq=8_p\".NB/m6rp\F"@rVZ/UEma.Hroj(RpAXaapGhm@qsNnFo(;\Qs76*f\7T'KrVuPg5[OKi
+r;5^Xm/PF'Aq)3bY2]KVqt9OUq"+:Zs8VfdqtTWrp\FOYp\FO^q#C*_p&b!`pj`~>
+in[eqjQ,=]<[XX.k31CQm-EPd@(k(Ml-nSQi8<DJi8EMLh;Qo7gtCH=jQbRalD%6KQfmYkOX`oe
+kiV!TlIP732H4N/+ILC:hVQo7g"=d-i9'.Vg"tK3g"H8Sak?LBq:YSrrn@D*pXfPsdEd=~>
+iqWQM<r_Wm999&Ep\+X[n,JH!g?8M7qu?Naqtp3bq"XUWo_e@\s7cQerUg*eq>]Q)@upNbd^8?6
+s8V9^o)8IYs2(O4?2ss&r;ZQes8Dorp\Oa[p\b!e_>O-+q>C'crr)lppA=mdJ,~>
+iq?LIoD7UI6AG.!md9i:k5L*[ceSEgoDeIMp@e7Tq"XUWo_e@\rq66\p[7bImf(p_>D`%Hbc^'s
+rqYOQm.^2Apq*%m<r)UcpAOUSqY9mao(;SDo(VqQ_>!d!q=j^YrqQNfp\"[_q"T@~>
+inYI/i9AdX0m2O2h;%5Kea7Kj]u]BnhWitLqqsHkhV-uCjQ51Xg#:TBhq[S>?q,.lhR&Tnf]M/7
+kg\MGg#f>m5""AkhV@&?e_8[,gst-4f%&L/rn72#ak?LBq:YSrrn@D*pXfPsdEd=~>
+iV6LKr;MCRiVNTSrVQQnP^1mVs8Drlq#C6dp\=OWp\=R^nc/LZrqQBes7uQlqt'j&@s#'Ws7QEb
+rr;EYs7$'goWplPnc/"Ns8)Wmq>:-jr;?QnqYC!(r;$6cr;$6hrVufhqu?MC~>
+iV"/[p%No6g@P=<p%.kRN,d26p\"7No)&1Qp&=YGp\=R^nc/FVr:KaUq=F4VoBZ.]?#HeBqX=7K
+q#BRGs6BFUn#S[8m/Q>?rUos`p@e:Xp\4LZp%7pnp\FOYp\FO^q#C*^pAao<~>
+in[VlhW!U35f_gKjPo+Wk]pLIgu.,JgtLlHh;$oDhVI,Iin*AOg>grEhW*GKlJU=SUIA4KjPneM
+fAPl>f'(QBkM2LTJ(Ei1fAbH9hUU30h:gT<h#>q*g&'CCg%j:rg%j;"gAfk#fE0XOc[Y~>
+l1k;L(B4@/o(VqVoCVt[p%84[s7c2aIbOhuq=sg\s7lBcr;.T9qgW"$s8MfkqXjR_q=jpfkYYL\
+rVlNfq>:!bq>:&Wr;$6iqLA~>
+l1Y/H*rQ'3nFcMPoCDbRnF-,EqsWpEG0g'Zp\+@Tp\+@TqY1$`oCX4$om'_arV5sWo^;;HoC;eS
+k"JkNqtfsZq"ORXq"OQOp\FO_pj`~>
+n_a/us48LUkM=bFh;d8Ej5\kHiSWbNfSX+LjPASHgYLW?gYLW?gYLW`h=BGAj54?7@-?P)i83,A
+jPASRjO#qPiT/tPhV?obgABP(f@frN_:eA1q:YVs!nPfIJ,~>
+l1c+mp@[bEq>^9]p\ORUr;ZZojStHnoD/C\o(N.Zo(j0ps7iI2:mUePs8Vins7l*JW_8ZPo_&"T
+q3h0Vqu?MC~>
+l1Pqho^h>=p\jjWqYKmVqYU$dhY2tPlgFK:pAjpXobd,snt9bjORMoCq=4=Zo'>J;8X/o=oChqT
+pmLmPpAao<~>
+n_a/u(Z='%d+[@;hUp`DgY1WGhWDi9F^NYNhsoG$h=BG?f]q7L<A]$Ti9B:VjQ>7Jd#g)3hV$W=
+hYl70g&Tgrf>6/1fD4+rfE0XPdXV~>
+l1c+iqYf^Zqu66[p\"+Qs8;<`nUZbeqZ$Kgo(V\L(B<_#naCL(F6)obnaZ,Bs8Hdj](>t$q"^?U
+q>:3gJ,~>
+l1Pqdq"s:Tq>BgUp\"+OrqPdQlZn9Go)84Np[Rqmqr[qFl>9X@hsKq"m-F3Ar+RprnbrC\pmLmP
+pAao<~>
+n_a/u(Ymp-cfX0Gg"P9:f\Y`IdGND^E6R)"h=97ih%o,!l.4?c6<M@]g=Fj*gZmlu)5#RBj8Id3
+g&Tgrf>6/1fD4+rfE0XPdXV~>
+l1c+fqZ$*cn+HGQp@IqNp\OgJL5GO%o`+OXo(V\L$Le#pl2ULkF^r)]rr38odD\q%p&Fg^q=t$f
+RJcmXs8%6~>
+l1Ptbq#Bg_mIU#Ip@IqLp%J1:J:[%dm.]i>o(V\J(@(qujS\SYE*g$IqYgH\bem1ooDeRZq"U9O
+q=aj`J,~>
+n_a/u(tmg1f'(W;gu7&Ag>(K>ho08DeEGHAeD9]Mn_G&3lK?ITgnItCU#>"plINDF2-/GngY:N=
+rS%8(n^kV1n^mTiqUbl#daEX~>
+nbDqV)#s=*o`+@QrqQEhp\=UZmtQhss6TdZpA4@Tnb3k"p?hnRmHae3ASf6`n%Z6lH%<Qnq#'OT
+qjIBXqu?MC~>
+nb2eO(]*[on+u;=r:^!`p%.kIl@=ZZr8dnGnF?5BpD<i$li-PBl2QZOC;Bl:]s?X?I(8A3q!%eP
+r:l]Sq=aj`J,~>
+l/*<<gYUWEe(a!Aj5]"PhqZ^rESK[&lIjh[h=B;;h<3VDkM=Y9l?#]uWTr'3S&niBS]odCbl6>r
+g$[J.g%!\ig%s>&f$_us~>
+nbDqV!rqc]rr3W1p@e@[qZ$TBQ\YV@mJlqQs8)<]nb3jcrr;H[s8VKdgP]0`bk(K'm/Qn]rVuon
+qjIBXqu?MC~>
+nb2eO(]3Ods82]hnaZDJp&Fp4P(EZ/jo=f9rUKUOpDE/ms6]FXs6K[;M,o&InacD;rUp3drqlHd
+pmLmPpAao<~>
+l/*<=e_'-Jjl>+MiS`VYjgBJOlK$=Wg=PNXh=95:d,jQDh!41SkJD7(B!^4Eh9Fs5k2,(RgA]dm
+f>6/1fD4+rfE0XPdXV~>
+nbDqV)#<n#s4[;KnbVtTr9_V&PPY(Ns8Vrjs8)<]!;H'W(]3k$p@n.Nm.12>R9<UZj8ArRlLjrJ
+oD/9Or;$6iqLA~>
+nb2eO(\I7hs4-c=m.Ko?p?0>cNV)f4q>BgQqXO7Zp[\(qqt0aYp[\"Do)Im@=]_$Mq#C'MnauMC
+q=pBPq=aj`J,~>
+l/*<6gYM,/hW<>GgYLf8Xbh8Ygth&Sh:q#\h#Q4$fbiK&gu@2Jg>194lHb#I5Cpo5k1e)/f@\ON
+g&0Hig%s>&f$_us~>
+nbDnU(]X6kPLBC-rV-?hYABa/s8;]ds8VilqXXC]p[[tnr:][\mJ$>Sq"=Uch2"m*Zg@GdqY^6j
+q>6TXq>:3gJ,~>
+nb2bN(]<j^Nm7=np[S7UWFhIoqY'IIp\=4Op%%eVp[\(qr:][\mJ$>Sq"=Uch2"m(YNYTXpA"CZ
+q=pBPq=aj`J,~>
+khd3=gralNiSrhNkhhS#JEGqNgtC]Ig>Ur[h#Q4$fbiK'hV%2EhqmSTh<!q@E&]eBc.M13gY1N`
+g&0Hig%s>&f$_us~>
+q=kd#qu#jXs7#pE`:ETos7$!]s6OE8s7H!`rt2na]`7X#qu$Hlr;6?ir;-9erVSkSpA+[bq"4:Q
+p%J.Uqu$'Yq"jm`p\+=Tq"a^[q>0maqXX=P]kgZ2n,*.Prr;fos7uNks7lNjrVZKdq"apfr;7B0
+qtg3frVZNirVcWhq>C6lrVHBgqtTj`qu?TnrVucoqZ$Epr;Q]orqufp$MjGns8VrhqYU0frr)lp
+#Q=Gtp%J@aq>'p`rV??jqLA~>
+q=ZB4q>0FPs6f^<^$G+Ss697Hr8h?us6]7Kq"_:3[/]L`oCVbMp%7nPp\"4QrV&MInauVNoCDVJ
+p%J.Uqu$'Yq"jm`p\+7Pp@n:Sp\=IYq!dnH]4t0$l1P)>q>Ks^qXjIZqt'RWq"OFPoCW%Wr:_$&
+p@\.Rq"OIUq"XRTo_81Yq"==Sp@IeQpAamdq#C'ep&F^fp\FX[rqHHf$M<o_rr)N[p%J+RrqQNf
+#PdojnF?;Oo_J4Vq"aX`pj`~>
+q;3a[ioAPIkh"h8Wn?(\m+14Ql-`=)m+U4TjlW7<U$UIii8N_Vio/bSiSWPNrS]rrgYUrKh:^N8
+g"P3:hr*,>gtprEgY1E=hr*DLi8NSRiS!#AUes'kceIU,gu-f>gt(*7gXFj1gY191f%9oUqq;h<
+f@\d1g"4p2g=Y!-g"Y?:f@S^.e^FHLs4RD*s4I>&s4@G,gY:H]g&Kb5f$r@1hq-?/f\"mVgAfh2
+gXbH7eD&m4q:YStqUbl#daEX~>
+q=mJUp&4LWq#(#_?e>4J=IT'YqNFq'kPbGZn]ZgKm/R"]rVc`orVZQiqYBp\p%._IqYpHhpA4gd
+qYBmYoCDGOs8Diip%%\Qq]tt4p@n7MnG)hYs8V2C@<B<Xs8VrqqYL6ko_8C`rVlcmqYU6jqYpBl
+quH]prt,2.rr;uts8Mupqtg9gq>:0js8Moqr;QZmqu?QtrVlcor;?Qm"onStp@e=]qu?TorVufq
+qZc?ZrVlNdr;$6crV??jqLA~>
+q=Z$,oDA(OpA4TR=O?`.;3US=o8HG`i:d3Dl+qo(jSAH?p%A=X8bM`Lp%7kHnF#Z5p%eCTnb)bS
+qYBmYoCDGOs8Diip%%VJq=aOSo^_V?mdp2Ks8(Z3>Ah%@qY^$cp%A7Yn+-MQq"a^Yp%J1[p&=[b
+pAk!fq@i]"q>0p`qYBp\p@\4So_/+Yr;6Kes7cNfr:^0b"o.ogq"OO^p]^Tko^VJDrq?Bds7lWg
+s7QZYnbDqMo_81Tq=sdZs7h*~>
+q;3CSguR2HhrE^O7D7]75(MPFi-@Dic/\0Meurr2dH9EHio9st8`J^ghqm2Eg=Y!2hrE_QgY_)M
+hV[)Bf@\X9j5]%Rg"=p9io&_Nh;$f:fA5BFlK$*/5usZ/i8WDJf\#'8dF@./gYCQ:f\,$Yf`'S'
+gA]k@gY1E;gYCT=g=b-1g=Y!/gYUfCrn.8(rn@;&s4IS0gY1B7g&B\/hV6W1e(4NNs4RG+s4I\1
+fuV[tgsjs0q:YStqUbl#daEX~>
+q=c!.n,E.Wo)Ii`M>.&9BkcDss)s+ds8Vlic\hJls6'F\qYg3kp%\F^rt"i#rqlH`q>BaQo_84[
+rVlfh/GAo;s8Vrjq"OX]r;-Hlrr;]]q>^KZHsDQtp%S@`qssO^s8)Zlrr)cmrr;uo%/]u#rVcQh
+rVZKdqYgEi%/]u"q"FU\p\4L[qYC-fs8;lprql`nrr)fnr;@-*rVHEkrqQBgr;HTlqtp?ls82ls
+q"smcq>:3gJ,~>
+q=Pj*mJQ_OnGhQUK(/g$@UdpWrGR/Mq>KdL_gUk;rS-rBnbr"\nFQAMrqm?)nb2ePo'uAHmdTf?
+q"jmcrpq]5p\Ojgp%.bFo_%qNs7lBdnE]]Aro80&K^%sqp%n@KoDej`p\=RZp\4L\rq-]np\4IX
+o_/(So^hbNrq-]np\+4Kp@RqHo_%nLrq?BdrqQKds7cNfrV-6b(&I^upA4UVp@n=Vq"OLUrVuir
+p\4^_pA+LZpAao<~>
+q;*4Qf&biHg$6gTE8L!1:f,*dlWn>ZkNh!\ZYeIPmE=Pdhuqrmhr<etkWn=eioT1Vh;I8DfA#*>
+iT0%Sg>(H@iTB@]h;$fBhr*DWio9(Re_T9Lb@!MMdF[")i7lW0jQ+tIgYCQ;g>(QafF6Heg=tB5
+f\5$0e^rOSf*p<bf[\I'f$r4#f@SUQf`0Y(gA]b)g&B_(g&0P=gtLB4gtUB3g"G*5g"=s8io&nO
+g>_n\q:b\t!nPfJJ,~>
+q=bs/n,N4ZpA_L;irAcM?9nPj\WZF]s6]NoRdC(E_Yj?3rVc`n%/T_joCDbRp\"=Xq""Fa%K6.u
+q"Oabqt^![p%A4]qA&r,rr)f]nc/Xbqtom\q:fP'\c;C"rr3)no(`"Zq?-Ngqu-?jq#:<k!<)Zl
+!WDrqqu?TnrVu`pr;?NnqZ-Qmr<iJuq>:3lr;?Qlr;QX%r;6?\q=FRSo)JX`qt^0cqu?MC~>
+q=Pp.mJckSo_u%,g]$^7=#p<UZA[rHqW@1MNSj]q[da"bp\X[`pHA3?n*]T9o^_MCp%.SNrVQB_
+oCMPJp\+7MnaQ&@o^_YHp\+@SjluX:oCMY?p@?aBD6s*.o_ngfnEfc<rq-Bbo_/(WqZ$Hfq>^0k
+q"t!drVHQk!rD]drq?BdrqQNe!;HEds7QHerV-`oo^qkRqY0a[p\4[^$MX8em.B`@lg=ZFq=aXY
+q=aj`J,~>
+q;*1Rf&tuLh<12+am@mD747KbTR#,Ukg\C]IF%<1VVqI9s5j4?ro50\hV6c;iS`SJhr3JGlf[Hj
+iSEDHjPf+ThV6i>hqm2Ghu;ROi6Tp6j5&SLeDT6!937\Df\5HLimZ?,f)F;(f%8U0qq_;/ptPi%
+"5;Sfh>Q./h#cBcg&BY(g&B_*fDsV&gAfe*g&9V3g"+a,gt^T9gY(9Zg'ZNcf?`'rgWn1(g@<km
+fE0XPdXV~>
+q=l'1p&Fdbs4ha=o_ZLJ7We\)\+BXom/R*pYD$eC_<h4$qC_U=p\4CYr;?Hgr;Zflrr;rps8W#n
+q"=:Oq"t'equ-Qprqu]kr;QTip@n7[q>C7)p&G'_s89<JK^f$Anac_[r;HTo!ri6"rqZThs7[B(
+rVH<br;QTgr;-3`q>:*fpA"Rbs8Muprql`nrr!3$r;?Nlr;6BeqYU9js83-%p\"L^o(`7_r<iK"
+qZ$9Zs8V`dqYC$ar;$6iqLA~>
+q=Yp-oD\F[rRu4-lghT&4_sl]Y3PoPj8SqUT64L^[,C`YnP&HBnF5o=p%@tKp%n[Xp\FOUq"XOR
+na>f3nauSIo_/(Tp\"1Mo^h\Cmd0?<nauhXqXs7Uqs!tLY&/RMq"X+=rr;Zcq>:$aq"adcoDeC\
+nJCunoCVeQp@J%OoCMVJp\44Lp\F[]q"Od]s7cNf$MO5gq"XUWp@S%OrqQNf#Q=5_q"F+Hs8;X!
+p\+:[nE^)Omdg#Ho`4^]p\FO_pj`~>
+q;3:TgumPTk/1A,g>Su7/6_8nS_<;add?=gOCh9uUsS?)i;_^7hFQJ]io8qTiofXajQ>L^jlPL[
+hV?i>hW!VTiT0+_jQ#4Uhr!;Fg"=s?gu.G[jl+kYkh,(WRp'IRiT&A8jQP@Shr3MNhV[8jg&K_)
+f,3#kf@AI*gXt'0f@AF&f\+s,e_/^4gY1?[f`0Y(g'ZKcg"P05f\"d,f`'V)fa$Eadb<@"e`6S]
+$JF(`jOV`>imcW7qV1euqUbl#daEX~>
+q>*Y[qYp0erhN;[c)-;4fDk79s8DHes3FD,?!Uj;YGe\4Za@-HZ*1=6Z*L[A\A6.pbLb+Z_og9L
+cI(8%lh1/6jm;U7r;Q]kqYqZ8qYpEaq#CBmpAag[qV$I3WU^#go_/7Tp\OgbqYBs]rrE&srrE&t
+rs\o(qY^BkrVlcmq>'mdqu?Tnr<iH"rVcZjq"ORZqu6Qor!38sp](9hp&"^d$iKnuq=*&,nc/Xe
+nEKiMqLA~>
+q=nt+q#'a]r1ZcK`1;BecMlnrq"3bDrl.5^9heHSU77sWWiN5&Wi2hoWiN2%Z+7ZT`6cW>]Yhe.
+`Q6?Vip?6gguI\hoC_eEp&"[^p%S=Qn+6)5mJ$>HmJH8<n^2SfU$;UOm-aQ6nauPJo^h\Rrr2lr
+r;Z^"qt^*drVQEiq[E;op%S=Wq"a^Yo^qhUpAamdp^6`hq"XUVoCDMFpAXjepBU]ho)/LZnFlhU
+$hsAfo]jljli6qWlMC2CpAao<~>
+q;H>RiT8kVjbkpJZ]&d!^$X;.kMt.UmBnYq5!D8kP)GQlR@9V6R$O#&Q^F/.Su/W]Z+[TGWN`b9
+[(!`gdG*X#bL5)$ioK1UiTKFciT'(VgY^i:g#M/Rh!3YMi4rnsN7@.Pe^r[,f@o$7g=b0?jSn3>
+ir@p@h:p`Ahqd&dh$i&jf@es4g=t?6f%/IPf`0Y(g'ZKcg=k63e^W.#f`'V)fa$HceDB-7db+NP
+$ea1af$LqSdH9KEd/)Msg%3htf$_us~>
+q"m8QqtU*YC/+^-rS(7am/QeZnc/%Wr;VIS:j:.2]q:mgTV8!JR?j&#O,&..H$jU^LOXGgEGTK1
+DfB]:F*.D((is\7CMJ-KOHGESLlQ\'L6\1'\\YAmj5U%;$GUb*df9@>s75p`r;Zfm*W#[1r;HTg
+qu6NgpA+[Xq#:9hp\OjgrquQaq#:<mqu?TnrVufqr?M47p%.qQqu-Nmr;6Hak2c+5qsF@]rr)cl
+qY@I1ITUT<^AmHps8%6~>
+q"[,Mq=a[QBLqmso[6?=j8SHFkksQ9oDNf&5\IaJY`k66Q^F/*P)kQ\Lk'YgEcl,BJ9YsKC1Upc
+@q9._B5%9Y)/!Mi?X@PnK7nYtH\#pHH&.EHXL=nCg=c9#q_,BqCWc\Om/QGBq#13iqtp!Vo_%nN
+p\==Qq=jLNo_@hFq>'^Sp%\CZp[dnGq>UBes7cNfs7cQg,PL`umdfuCq"a^ZpA"(7hsL=7kkOuL
+q"OLToW;PH;JUKds8)EXpAao<~>
+pu4KtinreJ;)78#j2!`Ndd>iWfB^rJipC>=0j(QbTS%iKL51M9J:2]gF_tVp?Xd)KD.QpT=&Mss
+<E<1'=^(f/)-L$?;,1>,E,fW(BPpmQAp&BQRA?(UbKB)Kl7\u<=L[YVfBCZ7hW*\ViSiJCg=tB;
+h:pK4gY(-+f%SI#gY:?0f@o$7g""O$gYi(`s4RD*s4RG+,M:Ppd+$Uug=t?7f\4]i_9^rib1bV)
+g=b-1errU13)NtQk5*j4g%3htf$_us~>
+.K98Er;QWnr;HNir;5GC>Q=-kpJbApn,MPMq#1!]s8Uf$CROtts82fps(VH-p&"agrqZ9`rVuoo
+o_8+@bg+P`daQOfb-7tKVl$5cUkk;.Ru;cGKnjhtM1Te_@WH!hCi+!'ARAtcI?U=kKUea;Z*gpD
+Z*^mH\%B;f^;8"@cGRE;dC@-Be^Dajf$r0rdFR=IrVQ]pr;QZpr$D=>qY0UOpA"O`rr)cls6[_'
+_tO-$s8N#rr;6?dX]X6Ur,6TJr;-Kjn,*.]J,~>
+GPV+2qYC!`qY9m[qY&f5<rM4]n4cmTkl'E=nb2MAp[udM@#XLKo^hePqtg*YnFZMPp[[eDpA=^X
+mI9Z&`Poj;aiDE<_5*j!Ssl.:R=0sWOFVFpH@0LHIWoI3=))#GAS,F\>ZP'?Fc2WHI$C+rX0&M)
+WueCGYHbID\@K8lc,m]2_T]@$bg=VVbgFb^bfnDflM^AVp@nR]rV%Q/o'Yl7oChtTq"OLZk.IG$
+n,D_Lq>'g[p@\'S:sf77Bl!28p$VPRpj`~>
+q;_M7F5Z*:a=KUAeEu'R60$M]bjF9JhVI8R]O+E\gZRSSj6#RgjPSbOioK1Xgu%/UkMY(MgW6\-
+[C<ZT[Bd$$P)tZ\Ll$n$FFJON?=%/S<EX!D;Fj/V8kDo[;G^"T8lT8EKmRH\K8l(\PECukPa.T(
+RNA&jSuAinTU_g\Q(b@dYH+h4Z*:C7ZbOf=gY(?8gA]k,g(iGtg==TseCN=-gtUQ9ho_UHT[VoI
+rnIq:g=b-1N]FZ6h,.,$r7h5(o%4#pdaEX~>
+(]OC4rVlcprVu9bp]&-0I/a0GMF_UQs7uKsqu?]gV3plSr;HR:qYU'fpAad`p@\IWs8Voiqt^'Z
+s8;]mmf3=cr;HQlr:g0dr$_IAr;6Ehr;Q`rpA`F9BR+C'iTeP.`ndr-XJi28b/16j\@&H5PD4P^
+HT?q*IWp*\NcBc)Z`AS?T88/XPFSABTqJ!NXM)Tl`llWE[=qn'CS]e`n,N%[q!2aVs82h7?2sg!
+rqZ]kqYKaZs8%6~>
+(\mh$q=sd\q>]^XoD--qGPV.9KgTP=qY9^gs8MJZPOA;Ar:p<c*rGO.n+Z;<q!.bSoCM_Lp$MeO
+o)._OqXsRTp@\.Pq"FRW./*Q6p\=LVp\XjTrPG%/CgaBuhnd+Bd]0=DStrg4\>?R=Yc++QJU.'7
+3J;?qE,TKBA9`6qTQc?_Jp`0.Pa\)0R$O/9[Cs8f_nrj\GZ&!YSC7#ms6]^Rj'dQ3n,$`tq"==Z
+pAXgVpAao<~>
+q;<CZd,j!?VDVfBjm6n=;V'pfhr3JOhr3JMl0-fWIG!W>rSeaSi8*DGkh4qMg?7/Ql.t1Pgt^NJ
+iSWhHlK%m"!o2Yfq:bYt-f!G0h;7)Nkj$sjZAVC]:7K2FXK8>4PECcULmt94LmF<hMLTST>PVA`
+B2`#8=]B99B4@0c@X!B<B5MmCLPCJ7JV9#SVP^8mY+q7n5#+_(]\Lfpe)Ap&:NGORku9q,h:p];
+g$dPpf$_us~>
+q>Lp'q#CBm`aEP1BN&>Vec5=;p]pK\s68PCm/$\X)Z':)s53kQqZ$?is7cB[s7--Xr:U$gnGi1K
+nbi7\"oA/mq>:3krY>J0rVuo,=&2PAN4o&er;QHis8W#qqYpWpqY9ma464i@dbN[.d*qLAg#L],
+[]6F5Z*:=,UQLV"QBmVmOb&p]OE4NPBm0OVn*pAVRq&bH\!)'#s82]iqYg3Zqu?MC~>
+q=kKpo)JX^^fk>qAl2oNe,T%7p':3Vs6&>?lM1>R)Yj(#s5*eLo`+CQq![h?rpBaRp@%bRlMp>9
+rV#pYqXsp`rqRi9qtg*^p@7\Jnu>;K6?[pcmeH>DmI^5JoCVq[q>1!dqY0[Sq=d#/c-OSZd)<`;
+i6om&cc!&^Uo12iUn4'4LP_%OLk^b.M1:%f96+?SrqYa@rq;OWUqE^_D2\/]p%J.SrqQ$Ws7h*~>
+q;;e@g?@VTW'X3g:HD$G]^";Jh[&&leE>,tkgA;di#:M0h<)T:h;7GRjQG=Ve`G<Cdbrg;k0iJF
+ci)YtgA0Fuf`0MLe^rR4iSrq[i8a+^RQ<2XA8e-pjP/M?gYU]9fA>QCgtgiBg"4dMfb)**[B[BX
+['@!c_S*t#Y*tE6rg"poMhlOsFEr.QEHG]:DfA];?:n;aim?*9hgS(^YF9Z>G2V32g"=sVf(.Gp
+f$_us~>
+p\k<qq#CBgrr3/is5O(Vqt^!mqY]pas7lWdqYg:0qYBpHs76*UPBVA?N2Q^/\\?GZs69R\TCW$P
+r;-<jq@WN"r;Q]oqYC0kr;ZAL=E*=!rr2uhq#:Tpq"ORZr;Q`lq[!5us7lWoo`+adrri&gs82fp
+s!@[@p[nLcrVcWgq>C9mq4qCiAkn`^rVuokpK_e!ZYE:Ls60@WrVHQhnb`@_J,~>
+p\53po)/OXrr<#bs5<qRq>'^iq"jL[rV$9^q#1",q"OLAs6f[GNG`csKV8@q[CsoNr8[hMRI'tP
+p@\1VpAamepa#\3qY0UNqt]aTk(66;f^f":o]Q5Nqu$Bfp%J7QoCDMFp\F[]p(7/pq!n"QjRqd,
+p%@Y<qt9a`q'Pk.na?AOp\4@OoCVbTm$CX5>=4D2p&G!ZnPs2PVHlTqs5<SDpAXgdq!n(Xpj`~>
+pYZM@g>qJNjm)-]lH/>OiqVC9iRd;Sh<<PLrSSUOhVH36e_ef!?"&/$NTn*GTsN51c0F,9eEHkd
+rS%)#qUd4IeC<+(h;R>Nhs0Oek14N5;o[\Yjl"PMio8qUhV-Z=e^`1"f%Jg5q:Igdf\Y6=kLAVI
+iT91Sf]D#Mj6#C_hV6]GiSWPKg=tNHm+[7].n;7<d,+!He^lua`g0:RT'FGPg"G$1rmpYm!nPfJ
+J,~>
+q>UEo%K?7tq#C-\pAFUZnFH8Jp^$TnqYU!QrVu`mq\o>,q#B[Jqf$WVl<$rQri1?MDe/_ElZ$*e
+q!%_Vq?Qroq"t$gs7?3h%-:tqH,0=Ls8V`kq=ssh!WDfmrrE#squH]krWN#ls7lNjs"N^8r:p<g
+q"ssdrVc`orV?3^q"jpgs8MFtPHmYH48f-VqsO=)9<.[XPZ)`)s82]lq>pBfnb`@_J,~>
+q=kKtrV6'So(r"Ho_S1RmdTiDp'C<jq"aRIqu6Bhq&9&&pAaFCpM+REiD3(0pni:>DI2u8j_IhM
+o)8:KpEKJ0p%8"QpAX@ToDJI;<^go6nEKlMl1aZ7p\jp[nbrF_q#:!fq"a_GoCW"OnacJDr7pc2
+nGi.Op%A%Qp\=LWoC;AAo_/+WoANf+V)^Rjnb2VHkOZ\\TBPKq88A/(p@eIZ!VlEZpAao<~>
+q;;eDjl"tHg>^l>h;d;Kf@esTh[&!#hr*8:ioT(ri#:M0h<*#1hGdSDcosC=if.;/;Fo[0cVlrD
+gATh*g@<i@f%A^/g"t]JmFgpfm-;V[1L-X/e`c5GhU^02ini;:i8<>Drn.;*q:e$^f&>68hrrtb
+bhq=4lJ1+Lh;7&Hi8<GHf@eg3gu7;Ncpr5C-mfqii8*25frQ`af@P.%<9NDsf\"d+rmUr!o@O,q
+daEX~>
+q>Lp!qYpNprr;urrVu*]p&Fmap^$Egp&"dhqt^*eq\o>,q!%PQR9[)]pInlVme?ABcJ&<mS6omN
+qW[n]q>L9eq#13l%A/=$q""I0<j&':eGo:<rrDunqt^.'rVHQjs7u]1Eh]tJ]sY]UrVZQhrV6Hj
+rVRT4r;?Thh!()@Apj+?qtC'iDLqcds,0Zan,3.]rVH']s8%6~>
+q=kKjo_AIdq#C3dqu>gYoD\O\p'C-aoD/Fbq=j[_q&9&&p?;5MPub$DmR("5kk"<3c.)a_Q<@V6
+o_nLNpE92+qXj@Qr;6DXHcYR:rk_='P\J86m/H\Oq>C-crVuQepA+Frq"=XXp[8!dAX03m[B7(9
+q=s^XrUg0brV.<,q"FFHceOCe>B/lnoC)_WBR01Crd[CCkk4oJrV,jUs7h*~>
+q;;e:gu.D[i99.XionYNg?%5fh$DTkg>M2Ui83Aii#1G/h9=U:HpF%Ch(h=Bdb<=$Z+fGVJ3c`-
+r7q8)n_##7g"Y-2hra.gKke*Pea0M!O+:6:iR[5Jh;I>OhW!Vlf_O26g=P?;iS*Xm<J?d*TU;M4
+hVHuArRrOPgYLW?gtgcFftPXQ:.JU;e_J^;i_Et>j6CA37*aK=f\"d+rmUr!o@O,qdaEX~>
+q>Lp)rq?<_mJHkVs8Vc`o_/.Wp^$Tkq"k$jq>'mcq\o>,q"ORY?=NX.[82_\o)&Ieo^`%JrEsj2
+s7-$_r>,5-rV?BkrUZ@V6g"FHqu<J>o9jHXjSf,Yq$$`rqY^<krr3#urV?:%s7cEcs8(>cI,*bj
+BN`7QqYL3es8!l8q>C3gqYU*_s7>bt?K5Ius7?9jm*A/#nGi8q/sH/+rVQQinb`@_J,~>
+q=kL#q!e%GkOnZBs8V]\o(;_Qp'C<epA"[ep\4I]q&9&&p@e7Q>$URrX@@j@m.^P[oBcM=pKDRo
+qu-6]p\FS3pA4XYpA=RMN_MRjrpfLNRE"HN@YWS1rquKYn+62Cp\=R]qtg-`q=Q]Go(;JNn&f*X
+ce,:+;n`,&p\"7Qp@e7Rq"a[Xp\"(Rk2]oKfN+jCli7"IaZuWbp[)35N:ZQ;pAajfq"O=Ps7h*~>
+q;;eIi7Qr<ce[O5kigaQg"YE[h$Dcoh;@GXhVR/gi#:M0h:gW<5t9SqRl,0Mf&#WQf@K65iBg\f
+j8Id3gA0Ftg*bG(gXt<Aj4SiC.Eq/9hVj0oe9Xf-_r9_;h:C*.g"4p2gYL]@gY2JT38i<=e`YVp
+;.%)XR7fW<iRul9f@\d0g=Y08g=b34fB:]5:HucaOl4aOk01"UM:(;66Oe"de(FZNs3q+ueCO6D
+!nPfJJ,~>
+q>LHlp\t*j#QFSeq>('gp%eC_r<E;to(;\VqYg:0qYBpdn^D'Bs8QY;bPD2+p?;DRoDb:_ec5X=
+r:g0iq\9)0jMnNGJ+iU8oDeO>s8U&uOL+ZXrrDinr<3&qqYBp^r]1#Vr;HZqN*tQ3nWQ_Js8Mcc
+pA"L]rVlKdqt^*gs8DK]Hu/B;;"aecpU>7"CkIg_=AaM"s8W#plhg_YJ,~>
+q=kKmnbE%^s82imq!7\Ks8)?_pAb!orqGpQp&=abq&9&&pAXR-@@I5n>ZSc5s6B1<qZ#sZPuH$-
+q#0pZp\4I_p)Eo(gqKe%G4"_kli6D&s8TceLo^"As8)Wmrpg!_"S_W_o^hnS3rf$MpA4N5;ps[f
+Ldn3?qXjIRq"adarUfp^q"apgq<@3b@HZH;mIg/BZ#>5-IYhK18p8Y_s7Q*Zr:faTs7h*~>
+q;;e=g#1rTkMtaahpUB<ki(7kh>cI=jkeVBgu[Gli#:M0h;Zqm8;-6m91?)BlI";.hWi_RIlk.$
+i;MI0gA0FrgAfhFiS_hYR9*tTgZ-lMftHV5VJgI=e`#ZKiTB4Orn7M.f[n^)q:bo+rn99kiG:cq
+dF<=oN9K0Le(3+(gYL`:g=t<8i8EJ?f3M,"aYDB'hUe)lAP6HM7lN&([c?E#f%0iM!n,TLo@O,q
+daEX~>
+q>UBn%/0Z"p%n^`s8Vf\pA=[\#l=,jrqufqqYL0f)Z':)pAN3-kl-07L&_2Bqt0p]pA^ppC\[r,
+nbi4]-ia/?qu?E3R+YH7s7u]pq>^<ks7u],FJRXjs7Z<hs8Dlnqu$Els7uR'p&+jeoD_d9s7u\'
+>Q=EirqcZj,l%-.pA4UWp&"[`qJ(Q\q66F^o`+IWs7,jXr:g6gs7lQbr;>mXs8%6~>
+q=t!c%K>kks6o[YpAP$`m.C,Lp'CH_qu$<jr:p'cq&9&&p@\@)7cO2g9mlm6lM'fJo^MdM=Cq(!
+p&4UWp\FS3r:omVrUI[bcqBl'nc/IUqssLWnc,q3S^[Q8n+6JUq"OOVp\=R\q=bEjq>0gOp.&up
+mf$?hs75^ZqZ$@:q"FFSq=sRRqYU!W?Zl>8V3UE6s6K:Vm.9iCnG;eWnb2ADpA=USpAao<~>
+q;D;3%Hc=#kL\PLh;mbRe(`gVh$DoiioB"\j58bmi#:M0h:^_i/^33f4DX3CeDAg>f\5JD6;?1m
+h>Q.-gA0Ftg*bb2f%]<@XaRrFMWN^[jkAeMi8WJSS5k3Pj5SVBioAeHg">!3gYDVX3RQL7g!\e8
+>3F]-6p9_beC`@)f@SU*f@J[/eCNF2gY5A0l.V2Ie^`g0g#UK1f%SX1f]1N8d+6eFe,\(kfE0XP
+dXV~>
+o)A[f#5e8mq"XUWq=j^^rqufnrq[H)nGeMN>#er$pA+[drV?3Z\8FiDSDO;Fqu?TnrUKdcnGW@o
+b,5,r:A+Y^s8Vrnrs&Guq4s._q#:9tqu6Bgs7c6\r!rT$nc/V_TD7i@@&iqtr;$0gpauI>s8;-]
+KS@nRq#0mbp&4jho(E%Ys76'ep@eO^q#CBgqYp<`p&=sfs8Milq>:3gJ,~>
+o(`7\#5\/jp\4CSq=aX[rqcZjrqI<&n,/&@<(p?Xmdg,Kq=s[NZ=lR,QIu6:o`=d\rqQ$X-0b=&
+qY\4%on,^$r:0a]o_J@\qtg'Zo:ClGo)J^ep%e4RqXX1NpCI)op[%_U6'UcsN*)nFp\Xd^s7\,C
+p](-Ss*T.6o'l>>p[@kNqsO"Sp%n(LrpfORo()hZnauVJn*p/KpA4UWp\FO_pj`~>
+n_jH("l7tggY1?VgA0\+iW%j8h\Xtpj)I1F4%7iWhr3PPgtLAM;Ck(^_!(dP!SlE.g[WrCc/7F:
+jfOI#E\uP8hWNqSiS`\Ri8*,?L3&g;kiUs\gst*5eC40F&_P[fcemq<JD&7n6]B[Qh:L-Sec48$
+fIbq3j5%l?AS/=+g"t<9e_T'<dF@70gs=X2e'm(%dc'$0eCN$ld+d=-gtUE5qUbl#daEX~>
+o)A[f#5e8nq=s^Yq=sd_rqufnrq[!!s6]gc]h=mhq"k!g$2OArr:Tg`s8Vrpqu?TnrUKdos8)W[
+f9>=`>BoT3r;Q]rrr)j0rquWmnt_5sqXFOTs8Vins8;]hquZcjp\t1"qgt()\PHK*s8;B]q$?on
+roO1[=D[$sru(>*s8N#ns8V]]q=sgdr:Ksfs8;Tbs8Vfhrr3/up\=XarqZHkqLA~>
+o(`7\#5\/kq"OLUq=j^\rqcZjrqI<+s69C[[mH;GnFQDMq=s^_p@%PHr;$!ao`=d\rqQ$X-i`f1
+jj/k@j\g$[oCi"Wq=sd^qtg*]o_e'IL=5_Zs6Td_o)Jaao_S:nq"=CZqYg&1M<V05<:^(dn+lc4
+q"sgajT#6ZAD$_QpuqJOq"XO[rU91IoC_tSn+cqYp$hJMs7#[\rVH3XoChtTq=aj`J,~>
+n_jH(s4me4gY1BWg\Ke,iW%j8h\Y/3d,F8`0nS3:i8NVPgtV#Mg"YHGiS=Fe!SlE.g[WrEjO`,2
+\ou6E6!i'si8N_RhV[8Mi838CjOAp%]%k`rcf<j2j5\hDq:Q>/e_T$>g0o-SRPI%[k24S:rmUnt
+s48pWgt:K'jP`*n`9$(=dG<m?hUp`Dda?^tfA,',g>gu@d*pk2d+%%3gt1'+f\5*VfE0XPdXV~>
+o)A[f"8hrkq>U0bq>'pfr;HNmqAJW!n+u(#@b^eXr;HTlqYC$drVZNep\+L]rVZ]onba!rs8V\S
+g6cP.ZM+4rr;-3drVca.rVZ]`ou_ifs82ikqu-*Uqu?Njs8*<#q#C?jjN-GU9u-`!nGi=]0DOu8
+q#C/KBZgAMoDejeqtTs[pAb*[s7c6]q>0p[nGiOeqYpKinbr+Rr;6Knq"ageqLA~>
+o(`7\"8_ihq#:$`q"aacqYg6ip`Jf$lh9.d=jlm5p%S:Wq=sXVp\+7MnaQ5Ep@e7Tq"XCR-hR*0
+k_mlN?Ri,FpAap]o_/(Vqtg-_pAa@F`-\EXp&4LUq!IGAqtg'ep^d,lqtKa9^"S`?\G,I\s7lTh
+rV/&=li$JUon[.qs7#@Sp[n.Mo^_SQr9jUVo(2PIo^M2FqtBXRp$h8An+$/Gq>0^YpAao<~>
+n_jH(s4m\1rnI8(q;D;3rS[_5+3s#sh8a>&_;XA4iS`VLgu%&Ki8!&>f\>09gtLK:g[WrEf\GW;
+G.i<!(n'1;lJLFNgtUZAi8<AGkKqh^AWc$/i76K6cd(2!q:Q>2e(!4.g;Bi.JM*YReC3I.rmUnt
+s48pTbi%+8g20K`kh4JLi7cr:f@AF3h9Y-4e^iC*f@/%(hV-Q6f[J+!dF6e$gYC?UfE0XPdXV~>
+o)A[fs82ims7lZil2(JQrr3&X>^ubQ"oeJur;6Birr`6!s8VWeqY_*,s82)1r:L#IEW#k:o_8+[
+r;?Qmrt,2.s7lWfT8(ttoD8Lbrr;ikr"/c'qssdZrVuclIr>;Zq#9j[q_.sKkl:F)E:Nttrq5m]
+nGiF_s7,UTnbE+\rVuokqZ$*as7uQls7u]hqu?Kis7c?ds8%6~>
+o(`7\s8)cks7cTgq>0XW#P7umrRt:qq#0seq#C0qqu$Bgp\=^erV#pYqY1d!qsiQbna-1*CA%W&
+nFQ8Op\4L[rqR-#p\aU\n<ngSr9j7Wp\Fj^qY(Tsr;5s\n+QbMn98LBnaueMq#:*fpb2OEjS\Xo
+D!V,bp?h2>lMLAMqsEkJnFueRq>^E`p&F=Nqss:Ws6ogTpA4FUqssRVs7h*~>
+n_jE's5!_1!8I>+n_b58j5T.<5\9-@jQ,:Whqm5Ok2ta^i8s2$h#5t&g%j>8in2@Yh:_+6=Q8W+
+f@\a8g=k?<rne:DhrNMQg4O.NhpC!5g"YK;qUlJ4g=OX+dbO'?ggX(?f%Js/ec+%teM5\/guQN7
+fj7V+kgA;=eD/F0gY(H1d+Zn"h:gZEi7-E?cJ%1,f];2Eh:1*4f%Jm/qUbl#daEX~>
+o)A[fs82ck!;ZHgnbWOjjo=jt=QTM]#6+Q!qu$3crr3&up@@bOqY_--`l".+s5KVNF4gNmo`+R_
+qtp<irVd?*s8W#iq:1Unk5Y8Ws6K^]r"8i#rq6<`r:9d3@^Pb,pAa@RqYW#BrVuSREle4Zo)Jab
+s8Durnc/X\q>^?aq#:'Yp](3lq>^Kkq#CBfqu?K^p](9hqu?MC~>
+o(`7\s8)]i!;QBenbELkjT"Ui;V_6Hq>U-rq>1!Yp&"adp[IPJp@\1Vp_<J8[u6%6f9K'HdJa+7
+s7?3`q"X[`q@EAus7c$Td#=+GqXjgbk5>)M&GZ#!o)J1PlL`,#XR6&Ys6'@UrV%u;p]'`@Cr5r@
+lMpYMs7cBcmJd.Vq#C3^p\OOLoD/.Vo(r=Qm.L)@pA=LKo)&:ZpAao<~>
+n_aK*gt_k_!8@;*!8m>)(Zrg&e6b>]m-*Tninr\NhqR&MkiCXReG\2$gA0Ftg(gBTF`H?YKKNDO
+kN^[]fAG<8gYCW@rne4Fl/C@Q]QSD7gt(NAaPQdH8CuDGdGr[1e(q5qQ.>$KjN,m#e^`:'g"G!5
+k1F`UXPr*dki(1Vh;-l5hr<,<iS2o9hq?H1hqd2BiT/Y@hqcc6h:Bm$h;%kZ!nPfJJ,~>
+o)A[frVQTjq>C'cs8)]ks83-$q=hlrKE(rMrso&,rVZTns8;`jrr<#srVcZoqt^0drXf+-O.rJj
+duT6:[djCns7>s`r;Z`qrXf,,nbE.`qY^2jN5kn`p&FRYr"8huqXaa`s6ou+M"UH?na?GSqYVu:
+s8.h,kl:SJs7#janFubTna?GOkOn3>qYTjWs6Gu4Lm4mbs8V#QgACaDrVH<ds8%6~>
+o(`7\rVHNhq>:!`s7lQgs8!!!q")?cIJrj;q#C0iq[``)p@S%Qqu-9`p@e7Tp@e=VqY;Q7SV*5q
+]?#_TIBW#;p&FUUq>'g]q>0sbp[.SOq=XLTVME"ak4&E;qY(Qro_e=\p&F4MB7TI>qXEtRrV6?c
+0'rN/LjJ(Wp#Z5;nc%hEo_.\>s7YUIlhgMPmdgD>OGSLET#:@&et(@bp%J1Rq"Fa_J,~>
+o&0Q)rS7D,q;(l)s53e5ro"jPg8QH4m,[?kjl54Vhr!_]i83;Jj5o+Qgt^W;pY#Dt.,9JkJ;'u2
+F_kf_f'(oOeCWF.gYCT?hr*A@h<<nVj55]-UYNr=j3IMS8(Z,>dG`a=d,@f8f@Sp0d,W[*e^`:'
+g"Om6h/HoKkMjeNdG![.e^rL$cK!Nse]ck(gsam;bB@f<F,6sXke2PVf[nd0fD4&#f$_us~>
+o)A[flMLSWs82fn$1d(q8lo>Ko`+sirr;ltqY^?js8Musr;QThr;-Bns7$!e')DRpqYU<lmeln\
+rVcZlrVc`prr3Durr;lqr7R:+q>]j^qYUs&q"F=WqYTd0=h42)p&F%Or;-Bls"/n@c27P(h#I3I
+p@A7ZpAaC@s82imp?DDQqu?2LL4tD=[.`$\>f-F:s8V]dq>:3gJ,~>
+o(`7\o(r1XrqQNhrq[H$iGD%]=Ea$(p\4IZqYU0^pA"I[qY^<kpAt!^rq?0^qY:d!k5OrMq<n7C
+oCVtWm/-SXqYL0ds8!9's8DB]r:^-ae;g!is60LZp\spsoD/(QkfH],meZJRj8]#Ns7ZKi/UV-K
+oD%4mq=F:Km/QbLs6/YGqZ$BakkP/Os6GVmI=-I@l,["-^%_:$r9j4QpAao<~>
+o&0Q)o%a'!rnmb6ro"[D`DeEN6=nm4jQ,=ZiSWPLi8WeVioK5#h#Z<bp=];s.,<)2hs0C[mF1"P
+k2FeHg>q#Cg=k?;hr!GWkLen[ioo+)E.$6sb2`?O&_GO]dFd+)dBYg%f&G9A`8T>Iec45Ug"PEG
+B2GnlkKLWsg"Y*+jOi#DaiNGqiS)o-gu@2Sdr]59BPE^^[6lsHg"GBAd+8'G!nPfJJ,~>
+nbt';qu-Ejqu-Ejqu-Ejqu-Ejqu-Ejqu-EiqY^6hr;QWom/R+?X47(Grr2rsrr;rrrr`5rr;Zcp
+s8;lnq>C'f$NKr%p](-_s8;oprr3l8rVulrrVc`ps8Vfhs8W)uq#CB_So_:9rqZI'qY0pbp!h3!
+@_i$Co(DqXr;-@Fs*B+Ns7EI-Hukd4QN#oO>/#&b[HRY_\?Frdb1?UhqY:*jr;X`=?.AoIrVQ-b
+q>:3gJ,~>
+nb<XjqYC!`qYC!`qYC!`qYC!`q>U0hq>U3us60L^eYUL^p%J1VrqZorp\Xsfp[n1Ur:g3aq=j^\
+&-)4rn,)_Cs7H<`qZ$Bdp\st&q"ORYq>'OPr;-6ao(rCOR;T5%q>'apqY0p_nB]'^>.OJ(me$DS
+p\je=s)N86rp6LiFDI.mOSIX9<4[!PZ/krS[&r6V`mXhXo'lMLnb0Oh<mUg8q"F(Sq=aj`J,~>
+n_ar7gtpiCgtpiCgtpiCgtpo`i;VX6i;V[Ok0<,O^Q5qaioB%YiSi\PhrX(_hq[)Hrn[V.p=];s
+.,<q:j4NMPg$I\`ioK@_i8<GIgtUZAhVmGGhWEnZjkSeTc$WBOg"cGX&_Ygcg=ar\X%,OLiSMu5
+h:gQ]fDjMYg>(mr@)D0]P>,C`I;*r__a$8T;Eg>cjOK`a`n@K)jkSVDj5A\OVDpWAj3lZ6cJeWP
+!nPfJJ,~>
+nGXL-rr)iprr)iprr)iprr)iprr)iprr)iprr)iprr)*\!rr8urVQZoq>C'f&,c;&rr2rss8Duq
+s8Vlor;Q^"q>^0gs7lTn>Q4HurVrpYH/u,hZ2aduq"Xgfp\Xj_s7jEtU8"d3mJm(YqtpBmp&G'g
+s-@ubqY77+R/c;;AD?1,em2<g=(qHq@p4goITFnsmecbVq>('3=d8OXnGiO[qYC$gqLA~>
+nG"(#q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a1Ls7lZirV$<eq=j^\GPM"0qYL$_p\"1J
+rV>aVn+ZJQm/?8Js7#gXrq>s`p&ChCEo!XLWrMe`naZ>Jnb2bNr:@RbSXcXrkkb&Gp@S"OlhUSM
+q291;n*QoTNV;0k>gqJacrEnM;.B.W>Z6DVGYlW_kk4K>o()^o;NL8Glhg_Mp%e=]pj`~>
+nDF`3i83DKi83DKi83DKl/;O"p>Gr,!oMefrRh2)q:YMsFl)$7iSrqXio'4gh='7`iTf+\fB;GR
+j5B(WgZmYZMJZJ5NGaj?gt:61gtpZ9g",'3T6>a:MlFnUg=P$3gYUB:k1AX9=h35;O@OTXbUQ2u
+a)eaS3(c8+i6Y(]F$3tl[,]HdfA,$2jf(4[d,WC,iR$3QfE0XPdXV~>
+\c)[1rr)fn!<)`kqYhuCqYC!crr)ipq>]l?C8$0`oDe:7OaHE[k4J-1f>6JHl((YTo(Ut2SDO8F
+s8#:dq#C*[s8VrnqtL!fs82Qfs8;`np&"cHDrq$!k[')FqP[AQmFLBQ:mmSD[eF?>jn<t&?iT`t
+s7lWh^QN\8ao;>1rVlHhq>:3gJ,~>
+\bH7&q=sp_!;QBaqY>C4q>1!cqYBp\mePgh=c[Emj8@fYKPo`+gZdn`cahd0iKZs4lL38gPh,m5
+q==+Vo)&"Grr;Zcp@@qWs7Z$Wp@7VNlL=OtAD6_Uh,AatnXiI-jj)\18<Jm$XmTFohX>J`=oRgg
+qXaaY\VtDu`;0H"q"aCWq=aj`J,~>
+^#8kG!o;YcrRh2)q:YSus4VVNh;@)IiS<VDDbl(!QIbHL]Q7B&bfA8\ca]^ekfS?/OjhssIXSup
+k2P.Mk1JP@dGa*;g=b$0io8YAg#1W<kg\>FBhlV(kf5i!jl2@_F4.V?BJY$^1S!8q7a0[q4[\;Z
+jPADHet6t`0W3[acJ%%#htkt,f$_us~>
+\c)[1rr)fn!<)`kqYgWrqYC$crV^[7b&38EBS]d=s1_d@oNe.toC\l#:P&H@O(A:_rr;&WLo9G8
+s8VKZs8Viis8;lrq=XOYp\Y!jrr;Tip54@^n,;UZD63d;F^"hFm*JaRk5Wp1\M'-7s&;eAq>]g]
+oDSR-T:;GJs8;Zjq=jpbqu?MC~>
+\bH7&q=sp_!;QBaqY:0gq>U6jq>^2-p:k$f93?@,_Y^W6U$#=><9W_=D+K$Io7pTJm.UJ7T7EQk
+pA=[Jn,NCXp%nFYr:KLMo^__Uo^hqCrp,&UgZ7qaW+)ImpM<_#s5_6qCYo*7pTQ!$kkIkDbObbs
+rpKRT_O6[Vo_eITq"4.Uq=aj`J,~>
+^#8kG!o;YcrRh2)q:YSus4[M.s5%bQiT.+<E^!-43j\+F4cn5YJj@i:KMsL3gtZj;jON/O`JA5a
+aPZ(<bgke5e_&^3gu$`4f%8I*iniMPdcf4q?H(4FbE>PWi9"<1jm:="2H7`^\E9D"HIh4>1UYou
+b2CY$fr0CKIb3H0e_8U(htkt,f$_us~>
+\c)[1rr)fn!<)`kqYgZsqYL*drVl_5s.-?uA!;(,c.Gggs8Qt7S,!$^o`+s^s(IYspAOshqS.WR
+l1jcJq"Xads8)EbrqcEeqtU!cnGi=aqiZ6Rq#16mS4DH0MGSj'mf.Gr`UWp'qf?!)s/T%9s82Bd
+rV$-doCr7Xs7lEirqlTgq>:3gJ,~>
+\bH7&q=sp_!;QBaqY>C4q>:$bq=s[Wpl_AI;hJ[A^ro'3qY4PjOR<)@mJ-_Js'Ufame-8Ho!`q2
+iUH(2oCM\Rrq5dRq=X@Qp@IqOk5OfBn:to&mIL,QOZ_+YJOaqYk4igS^$54\o4h1[r1lu"s7PdT
+q!n(PmIBu@r:BRWq=aOSq=aj`J,~>
+^#8kG!o;YcrRh2)q:YSuGM:g,gtplDhW'-LPX]h!/$QT>L[!tt1ORg<hUC?Ddca8Fk1AJHhqOf6
+J'-Hlk18,:hr35:f\G-1g"Fs.gWes7i7`0QZIdmmk^+Yif5NW[jO)pf,,WfHh;DF'cg$ZQ;s;u_
+gtL61g=+[3f&,$/gtUK6f)"##f$_us~>
+\c)[1rr)fn!<)`kqYgZsqYL*dr;QRDp@7faIeJn\qh/VFnGd?(df913s8W#sXA?S)r;ZBcs8Vks
+ICT(>s7c$Wr;Qcrrr3<&q>1-^s8Rdlh>[F+nb1.9JV@93hY7&N6[JM,p@SB(=ngKZ9[3A3mf3%]
+s8)?ds8DcerVu]ms7?'`s8%6~>
+\bH7&q=sp_!;QBaqY>C4q>:$bq"OISmcj";ETr.(mWVjgjnW@Vb5_%qs8;TgVFe;fpAaOQqu?5c
+GI$f&s75LHqY^9fqYC!cqtKaUq<7kOHY1b(r;YsH_-(u.;H29;r1uPunc/+Hrb5:"cX0,]o(_JL
+o(r@YmJ-_Uo^V_Ro_JCPq=aj`J,~>
+^#8kG!o;YcrRh2)q:YSuGM:g,gtUW?h:^<16t+bjCu&\pajK3F1pcE#c/ms?if#O^fA,N;gYq;I
+Na8%)c/dF#e_T-?h;-lBhqm)=f\k*<ggX!hioB1He#5N<A3WE"h<'\C>1_ohf]uR'hRuW=Z.e'Y
+jODuDf[J^?h:L-0h:C?:d/)Arf$_us~>
+\c)[1rr)fn!<)`kqYg]tqYL*dr;6Ki&H?lJiW&rCp6Tn!r4Yp`s7lQm=n@n\=f2#pq=t!ip@A7E
+OFP:=r;Zf`nG2\Kp%J.UqY^<loCJ8gf`1sHqZ$Bkij6=#Ie*O<:KY^(rr;]jV,FF/4E^]$mf2nT
+qYC!`p@S(TrVucer;ZNequ?MC~>
+\bH7&q=sp_!;QBaqY>C4q>:$bq"OFQo)EGleG]*sl&'-BnZtT4s7$!eq>TcB;H'7[qt'CYqXEkJ
+hMQTolM(>UkNhd.nF5u=o_%tRs68d,B[6SKn*pAGs4F<Y;0V@+pdnB#jnSlFpRY$T@5W!$p#uGD
+p%@tMoC22;p%\IYn+ZbNq=aj`J,~>
+^#8kG!o;YcrRh2)q:YSuBA2+qgtUQ:gtV*p0uNA?bh.2AhVFeWCZsI3k257KFZ;C9g#:W:k2=h=
+i5BSAVTmiUhTF-qdF6Roe^rI-gZHl0F&04)gXb!=f&j`/Sj$];lJO<TW6=&]f\q`KPYWK+jPA,B
+d/MVtf\-8T#M@bef[8C/eG@f!f$_us~>
+\c)[1rr)fn!<)`kqYgKnrqe&=qtg-`s-lNSrVZQmr2PJNf1Sp#qu?HYq>^3(R[0,rs7H3^q==Ob
+#kc<#YKQeBqY:!g4T5-Pq=sUXJooZFs7$'gmJm4Ts+aS0rr;YuiW&rIqY:'ic+@OYn*]`GoDJO\
+o(rCdrr;utrqQ6ar;?Bfs8%6~>
+\bH7&q=sp_!;QBaqYC*dFSY\)p%8'F5Fh<7nG_sMHN),R8)3_9o&oZFo=L6KN84F#p$hS>qu?]b
+_hkD5p&F^Vs8;osrV6'Xo^hJ@HYq1,ros:Zk5YJFrdR\op]']bg].<>o^_eW`jB&=l0.I2me?JH
+mIgMZq"smaq=F1Mp\4LWs7h*~>
+^#8kG!o;YcrRh2)q:YJrs4VMHg=bA3.#6[8hWipTB'QlW0ZDi2fZi%/et.22El-negXb'+iTB:Q
+WGdcqf]:]9inrhWi7lo9f@JF'@8jYnjNlcGbi\'5jCgNjjQb?]_;aP$g=kQOZ_:#Fe'QS'dFm4$
+ce%7<hVm8GgXXg*g"H5S!nPfJJ,~>
+\c)[1rr)fn!<)`kqYpNns8*3#qtg-`olb03rVu9as'2CSG?B:ms8;Zls8)coo`+s]rU^'Zqu?Ta
+q#C?fPD64+s8W&jp\OgdrVulps+54-rqc$^r:9mfnG2QBIK0$+s7cQhp]'pdoD/"%7tgpBq#Bma
+p&G'cp\=L^qZZ`js8)Hgq>:3gJ,~>
+\bH7&q=sp_!;QBaqYC*dC\d_up%7]lA_ZnXiqE6ARX/dEFnY\*o)J[]s7u*_r9O+Es6K@Wp?V;I
+q!jAqW9=-Uq!dkIp\=O[q=jZ2BtX33k5Y,?r;PsOks'ClnDsW?rq,d]n,MeHm);5<q>0[^m/$5O
+r:0@Lnc&4co(DnQnbN"Ss7h*~>
+^#8kG!o;YcrRh2)q:YJrs4VMHg=b"W9>o]NcJn!FL1XOH?Jjeuf]M,EjP88IimHT2k0_rEgsOd6
+hUcaXMosu6gXF^*g=tB<gtLUn:SQ[ubi[[-ioJG<cR!#bg<A^0iRcW>e`PE<fs32Ej5S_PcJ6e(
+hUC$+f@eg/eCWO.e(a`O!nPfJJ,~>
+\c)[1rr)fn!<)Kds82fkqtp?is8<3&nc&QL9!83nr9X;>q94kVbl@_:rV$9fs7cQ\PBO;4s8)cl
+pAb!hs8/QhUAt8gqXjg]p\+X_s8V5:;<IoPs7ZBfq>Bd[s8%6~>
+\bH7&q=sp_!;Q-ZqY:!_rq?Bb#QElWq1h;6qYp3TpG_`bM1s"Ir:0RPs7Q6Zr90/\Y5eOpqt9LY
+p&Fs`SkP[Prq,pRs7>mSs7Q9giIX\ZqXFLSp\+FWnb3"XJ,~>
+^#8kG!o;YcrRh2)le23irnRP1#O9apj_u`2i;VNug,IW`ChTj*hpgE1jOi;=hog"=OlYTUhUp?:
+f]:rCJMMuBkhFk@jOD`0jP&VTbA9,]jOiPCg"-/S!87>)o%4#pdaEX~>
+\c)[1rr)fn!<)Hc!;lckqtp9g$2"8tj&g-tpAFjSq`"QMm]pesjn\`Ps6KCYp:H@/r;#dXs8;9a
+s4r`Q>%=/pp\+U]s7ZKjn_q?qO%X6Os7u]cr;HHhnb`@_J,~>
+\bH7&q=sp_!;Q*YqtU!]s7QccrVkGGAGkrjp?VH3qX`sRCQRKHo_SIInc/-fM9#A_l1Y/Okl:S5
+MJ-!qRdTe<qXsm[s7u'<^9rhfA)d@Vq<dqOq=jFQs7h*~>
+^#8kG!o;YcrRh2)le2*fs4dq2l0?2I:#aaZh!<ZQh:Bf3:34>)fA5<*eE#,ICoZ4@bh;"0bN.Qm
+D+ciUJ^rK+h:CT8j4_kqURZE[:s@qPhp:!.rRV&&rn?qq!nPfJJ,~>
+\c)[1rr)fn!<)Hco(rakoBuU??H`?Dr;QTlq=4>@s8)HhjF:gRq#C3js6lk(`W,u/rVlEgs8DKf
+puB&k`;KE+s7lWekPG,4ED&f&=MF)#s7lTdq>Bd[s8%6~>
+\bH7&q=sp_!;Q*YoD&@[#OCOGM,qOhoDSF^q!n)=qt9LZhg/b>oDA4Zs6?=n_#=<#q"a@Us7ksZ
+oA7!V_"dQprUp*ZjS/K'D+?rk;Rkf`s7?'Uq"Xa\nb3"XJ,~>
+^#8kG!o;YcrRh2)j4XId#Lq)WE^-Y^g&9Y'g%!c\hUp?;_HfTtf&#';j3<9PUYt4[gYC36jP/#=
+f"mi:Vr-7_i7?`3_q*PS;Cj:X4JL'Wk1/55e^`:'g"G*5o%4#pdaEX~>
+\c)[1rr)fn!<)HcnbWRk\su2h`nLIkqu-?\q`"-Hs7u0U_/#7ili6[LF5d&snb)q^m/QMErVuof
+oDeC]qY:'arVHQgmf3"\rqF(goD84Qs8Vomnb`@_J,~>
+\bH7&q=sp_!;Q*Ynb<@hZBRLH^XW;^p\jmWpGq[?s7GXF]Om2Uk5Xt=DVY!cm-t&OkPj`5q#C3W
+mf2_Tp@S7SqY1$^lhp>QqX_/SmI]u;s82TdqtKXSs7h*~>
+^#8kG!o;YcrRh2)k1L0pg"4p1k*pcG2Pn"IrS%5'n_-4Ti8iM8d@X!M]#j$_HVqQ3iQp!6h9+^#
+d+dX;cdCe%k1eMCe(N=2e'-Xuj5J^bbLP=sd,3U.e^rF+g"P0NfE0XPdXV~>
+\c)[1rr)fn!<)Hcqtp-`$21QQMfb!Ep&"XQq(V^Gp%\Rbs7kQ/C9R)eI`2!Ts8Vlfqu6Tps7Gp^
+s8Mikr:':Qp\as[o`+UVn,E=crri>sp](-dr:0[aqLA~>
+\bH7&q=sp_!;Q*YqtTs^$Ma+gG_9mijRDp<lhEF<nFQMNqX`KpAZG$QH,&qBr;?6Zq"ssgr:0:R
+r;60]qsX(Mp\as[o`+RTmf!"^s8)N_o)&1\q#'mVpAao<~>
+^#8kG!o;YcrRh2)n_*Wf%b91]f@e`:@;Jn\b1#(ule+5Ue(3@/h:B>Q8<(l2>b]d!h;-Z3g"bBC
+h9s^+h;$Z<hp^'-e_8[$d,3C(d,EsJlJg[PeD&LPeH"5"g%*bsf$_us~>
+\c)[1rr)fn!<)Hcqtp3b$i'Pnrq?Bfm/R+_qs4&:n,N@Zs8VZis2p%4J&(USq"=[en+cqZo(W1[
+s7uN]p\"4Ur;6<`p%eXWs7lWdnac>Ns8Vufq>Bd[s8%6~>
+\bH7&q=sp_!;Q*YqtU!_$i9\jp?qtPk5Y>QpZqT5lMpYKs8;9as2BM%HFrPDp%&.]m.LDQn+?VQ
+rV$!Rp@S"Qr;6<`p%eXWs7cQblg4'7s8DZ[rV6?cnb3"XJ,~>
+^#8kG!o;YcrRh2)n_*Zgr7)/+g#(EFg!&O6g=klG2pLF<e)]E5jPm+J93n.8imuT:hTaX3f[/1+
+fA>-3ce-h"g=k61da?V(cJ[C:f@/7!gZ.,@bl-&lfDaIofE0XPdXV~>
+\c)[1rr)fn!<)Hcqtp?fr:p<fs8N;gs8V9^qto^T2ui@@s6fa`mf3=RdHgi4pAaUPs8Milr;Z`q
+nbi([qu$3gs82`goCVnUo_S=To`+senbW7]s7uT_qu?MC~>
+\bH7&q=sp_!;Q*YqtU-cr;$cro`+mNrr;$Vp\4X]s7u3[2ui16qs!eRl2(>@bi\s*nc.tEs82Nc
+q>^<hmeQGOq"sdas82`goCVnUo_J4QoDed\m.L2Is8D`kp[RtWpj`~>
+^#8kG!o;YcrRh2)n_*fkqpk\p$J!bjj3$HF`o#M(rRq5&n_#k^c.1[pf]:94ho`.EioJVKc-YD(
+f@ns=gYL30e(r^5f\k]@g=+<lf%AF)f@JR;jk7u4g""pWec48$g%*bsf$_us~>
+*WH$:rVlcprVlcprVlcprVlcprVlcprVlcprVlc`rZ(n9rVlcprVlcprVlcprVlcprVlcprVuip
+qu$?jr!iQ$qu$?hqu$?hqu$?hq>13gqtg*ps82<cs7--eqtp3b7JloXq>:!bq>:!bq>:'ZrVQNm
+rV$9fr;ZZonb3"Vr;6<fqt^9go)AC`nGE4_o`+aZqu6HcrUg-bqt'jXr;QKks7?9dr:0[aqLA~>
+*VfI*q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sdRpau=:q=sd\q=sd\q=sd\q=sd\q=sd\q>0p^
+q"ORXq=j[Yq"ORXq"ORXq"ORXq=k!dq"jdmr:]FUqsFFYp\4X]s7u3[3UHP7p](!Wr:BU\o`+4F
+q!n1TpA+LWr:f[Wo`+=RqtTd\q!n7YqXa[Us7Q6Ws6KCRoDSRSrV-*ap[RtWpj`~>
+^u,7Mi;DF5h;$`_f`9auf`B^Xq:>`!f@ALOeI'pcg!Jd<d,Ng6gAT_)fC@NScJ.%+j5&;Gg"YTA
+k0DN4e(WL,g=b*6f[/F(i6L$2gXY-5d+R(&d+Qe%f%\X6dG3U0hqcT3f@BiOs4Qtq!nPfJJ,~>
++8l!5qY^3fqY^3fqY^3fqYg<iqu-Ejqu-Ejqu-EjrUKk=r;-?fr;-?frqucnrqucnrVQQjrVQQj
+rVHEdqY9p_qt^-bqt^-bqt^-bqt^6gqu$KkqYL3g!VuWdq>^=5r;6Ehr;6Ehr;6Ehr;?<as7ZKm
+lMpn8Su&ams7uW`r!`K#qu$?hqtp6eqYU-`qu6Qor9jI^qLA~>
+nbDYMl1k)N'`%V$qYC!`qYBs]p\+@Tq"ORXq"O[\!r;WerqQBb!VlBbp](!ip\=LTp`B2)p\=LX
+p\=LXp\=LWo'ubKr;5LRqTG(kVYTiPp@7kcq"ORXq"ORWp\+@Tp\4C\q#C*VpAal;~>
+n_`<`q;;#,!oD_hqqM5,gAT_$gAT_(f)XA#fDF5'f@\[,rRM/)g"G*4g?.)ge.1QgioJALk-ohp
+OQ#$Hg?dMmfDjG!f`'S&fEKj[f\5$3n(7]meC9!~>
+nbVeQo)8[gr;-9cr:p-iqYC*bnG2nXqYL<iqssRQr"/o*s7?9is5eib`7(\uG-V#2r:0[`rVuf`
+qu?MC~>
+nbDYMo(W4\q=sg_!;lQf!VuNhp\+CZq>'d]p&OjWq!n(iqt9mRq=agAGBgU:RTO4!p?MDBpAXje
+p[7bTpOE~>
+n_`<`q;;&-!T2c0g]?0`rRq&$rRq5&rm_##q:YSriRndse_ng6hs/9oAu;ng6W/otlIk^[rn@D*
+n(7]meC9!~>
+iVW3Fs8Dfkq>C$b!W)Wjq!e+Tr;-9kqYTjZnb`^nrquKiq#?d^[/U(-Hs>8%lMU2Lrr)lpmed%\
+J,~>
+iVE'>q"ad_!;lQf!VuNhp\+CZq>'d]p&OjWq!n(is7u?Vq=+?D8ZD@Vol*^Pp?MDBpAXjep[7bT
+pOE~>
+al*$S!T2c0g]?0`rRh8+gt_k^rRq)"q:YSriRne"g"Fj6g$*iBQf7#_=uWkClIk^[rn@D*n(7]m
+eC9!~>
+iVW3Fs8D3Z!W)Wjq!e+Mr;ZZbq=4@orVuZms7XQ;FR];"s5p3YrTa=Nqu6Qor9jI^qLA~>
+iVE'>nbMqU!VuNhp\+CZq==:Lq!n(iq"jOUqsM0nC$"mGrn<h8p?MDBpAXjep[7bTpOE~>
+_VkINq:l#*gAT\+g>(K^gAT_%f?r7_f\4j1iRb(j=4?$Rker).g?RA]f`'V)g$dPpf$r3"~>
+iVW3Fs8D3Z!W)Wjq!e+Mr;ZZbq=4@kq>^-fs8$q5bl%M@oD\airTa=Nqu6Qor9jI^qLA~>
+iVE'>nbMqU!VuNhp[n7Zq=+.Lq!n(io_e4Wq!r>k_=@O"kPk,Op?MDBpAXjep[7bTpOE~>
+_VkINq:l#*gAT\)gATh*gAT_'f)XL`g@<i-eD/L1hV23eYM\X+dHKBEg?RA]f`'V)g$dPpf$r3"~>
+nbVeQo)8[gr:9^ZqZ6QhrV5mXq>C*f!W;icq=4@oqu?<fqYj<1q<n:_nG<1[rTa=Nqu6Qor9jI^
+qLA~>
+nbDYMo(W4\o(W4\q"b$eq#0sZq#:'hq"a[[p]1'Zq!n(ipA==SoCkdhmc4<CjR2X-p?MDBpAXje
+p[7bTpOE~>
+n_`<`o%sK(hYGq-gY2VZ!8@D,rS%5'rmq/'q:bZ!n_3Nd&(]L_gY(C;;r#^ajNc?2e*5QUf`'V)
+g$dPpf$r3"~>
+nbM_Po)8[gqtg-aqY9pgqYC*bnG2nXqY^HmqssRQr!32tq>L-c=HWU_"o$L<qZ$NZr:0[`rVuf`
+qu?MC~>
+nb;SLo(W4\q=ja\!;ZEd!VuNhp](!gp[e1Up\FRap[\+LpCR2ro_A%M:l5/Gp?]lcnGDqEp[RtV
+q#C*VpAal;~>
+n_W6_q;1u*!SuW.g]?0`rRh8+gtr"brS%/%q:bZ!n_3Kc%bK:cg"JH,ki:[RZI.:^l.PUZrn@D*
+n(7]meC9!~>
+nbDYOo)8[gqYL!_qY9pgqYC*bnG2nXqY^HmqssRQr"/i"s8W)jD4:;"oAX99s8)]Zr:0[`rVuf`
+qu?MC~>
+nb2MKo(W4\q=a[[!;ZEd!VuNhpB(-ap[e1Up\FRap[\+LpCR2lqY^0WAWlTWkgrtdr:BXIp[RtV
+q#C*VpAal;~>
+n_N0^q;(o)!SuW.g]?0`rRh8+hVS1crn@8&q:bZ!n_3Qe&D,U]g>:W7:4(dTd_S2[iRd>In_!ip
+s4Qkn!nPlNJ,~>
+nb<:^q"ad`r:g*arW)oqrWE,sqYL!^"o8#kqu$BeqZ6QhrV-Bgq=sd]!<)lo!r`,uqYg]trqlQf
+q"OOXnb`sos8)Egor_Kjs64[+p](-ha8Gu7r;(p~>
+nb*.Zp@n@XqY0g]p]1'ep]1']p'(3cq"ad`q"b$eq#0peq#'jbp\=O^p&b!`q>0jjq>0s`q"OLF
+pCR&rp[\4OW)W-`iGG7Tp@S(!p]'sdp&Fc:~>
+n_FB(h;7&IiU>\)hu2I6hqn(_#2\7pi8NSMq:l#*gAT\)gAKe+g\ok)f`9e*g]H<ghtc+4hqm2E
+gY2GWn_"K*e_/O&hU[cNe`b.VLXb)2`nCCEs47>&eC9!~>
+nb<:^q"ad`r:g*arW)oqrWE,sqYL!^"o8#kqu$BeqZ6QhrV-Bgq=sd]!<)lo!r`,uqYg]trqlQf
+q"OOXnb`pms82NirR79dP`hI#s8W&;r;ZZlqLA~>
+nb*.Zp@n@XqY0g]p]1'ep]1']p'(3cq"ad`q"b$eq#0peq"sdbp\FRap\jdep\=R\p]gQjqYBp\
+p?2/\p&+UVr;"U'GDqEBiVEBE`qTN,rq6<cJ,~>
+n_FB(h;7&IiU>\)hu2I6hqn(_#2\7pi8NSMq:l#*gAT\)h##q-gAp%.gA]b+g>2__!o;_jq;);4
+hVHuAgA'D'g"Q&N&D,@`f@&L1Z[Q;)F*Pd_i7c3(s4IA'!nGfMJ,~>
+nb<:^q"ad`r:g*arW)oqrWE,sqYL!^"o8#kqu$BeqZ6QhrV-Bgq=sd]!<)lo!r`,uqYg]trqlQf
+q"OOXnb`mmr;60as7PEZ]tj(9meXp#s82`jJ,~>
+nb*.Zp@n@XqY0g]p]1'ep]1']p'(3cq"ad`q"b$eq#0peq"j[ap\FRap\jdep\=R\p]gQjqYBp\
+p?2/\pAFg\q#'[>Y.(t)s6'"H`qTN,rq6<cJ,~>
+n_FB(h;7&IiU>\)hu2I6hqn(_#2\7pi8NSMq:l#*gAT\*gthternRY1gt_e\!8[V/!o;_jq;);4
+hVHuAgA'D'g"Q&N&D,C^f@/F1f#3lHT?ZNAf@\*rs4IA'!nGfMJ,~>
+nb<:^q"ad`r:g*arW)oqrWE,sqYL!^"o8#kqu$BeqZ6QhrV-Bgq=sd]!<)lo!r`,uqYg]trqlQf
+q"OOXo)/I`!r)KdrVm'#s8VNes2P!:qu$;@~>
+nb*.Zp@n@XqY0g]p]1'ep]1']p'(3cq"ad`q"b$eq#0peq"aXZp]1'ep&b!`q>0jjq>0s`q"OLG
+p]($gq[E5lp\Y!gr:g3ckP4hlp]'sdp&Fc:~>
+n_FB(h;7&IiU>\)hu2I6hqn(_#2\7pi8NSMq:l#*gAT\*gthterS@M/qq;&+rS.J1hV\.c"lJ1m
+gtUQWgAot!fa$-Ze^r:$f\lbi"l87pbM1dkg&K_)f)jLPe:7~>
+nb<:^q"ad`r:g*arW)oqrWE,sqYL!^"o8#kqu$BeqZ6QhrV-Bgq=sd]!<)lo!r`,uqYg]trqlQf
+q"OOXo)/Ob%f-#!q"=L`rUTgVo`+sc`r,l6r;(p~>
+nb*.Zp@n@XqY0g]p]1'ep]1']p'(3cq"ad`q"b$eq#0peq"aXZp]1'ep&b!`q>0jjq>0p^p\+:T
+p@7nWp^[,sqtKaVr:fRMmHsrQnAb5&pAXabpOE~>
+n_FB(h;7&IiU>\)hu2I6hqn(_#2\7pi8NSMq:l#*gAT\*gthncs5!Y/rRq8-rS@V5i8OLi"l\Cs
+hVHu^h#Z9ao@X],e^N.%f[\a8h9t$+dH'98`nCCEs47>&eC9!~>
+nb<:^q"ad`r:g*arW)oqrWE,sqYL!^"o8#kqu$BeqZ6QhrV-Bgq=sd]!<)lo!r`,uqYg]trqlQf
+q"OOXo)''rqY9sdr:p'`rpp*hp]'p]`r,l6r;(p~>
+nb*.Zp@n@XqY0g]p]1'ep]1']p'(3cq"ad`q"b$eq#0peq"aXZp]1'ep&b!`q>0jjq>0p^p\+:T
+p@7kgq"OR\rVQ?]pA""RqsaXRn](>'pAXabpOE~>
+n_FB(h;7&IiU>\)hu2I6hqn(_#2\7pi8NSMq:l#*gAT\*gthncs5!Y/rRq8/rS@V5i8OLi"l\Cs
+hVHu^h#Z9ao@X],eC)t%gt:65hU:KDeDns+`nCCEs47>&eC9!~>
+nb<:^q"ad`r:g*arW)oqrWE,sqYL!^"o8#kqu$BeqZ6QhrV-Bgq=sd]!<)lo!r`,uqYg]trqlQf
+q"OOXo)''rqYL*cq>1$dq"t!hoD%nV`r,l6r;(p~>
+nb*.Zp@n@XqY0g]p]1'ep]1']p'(3cq"ad`q"b$eq#0peq"aX`p\X^cp\jdep\=R\p]gQjq=s^X
+p%\7Np](!uqYU-aq=s^Vp\+XToBZFrp]'sdp&Fc:~>
+n_FB(h;7&IiU>\)hu2I6hqn(_#2\7pi8NSMq:l#*gAT\*gthncs5!_3rS7G,!8mb3!oMqpq;;G8
+i8<DIh"]\+gY28P&D,@[f@JX/gY1?9guZr6cJQXps4IA'!nGfMJ,~>
+nb<:^q"ad`r:p0hrVHKnrVc]srVZNdp]^KiqYU3gq"k*gq>L'gq>'g]q>C-lrVlinrW`?!qtg-`
+p\4F_qt'^squ$Eip%.tXs8N&]s8N&tpr<73qu6Hlqg\~>
+nb*.Zp@n@XqY'a]p]1'ep]1']p&k'aq"aX[!VuNhpAk!cpAam^q#0mfp\=R\p]gQjq=s^Xp%\7N
+pCR,qrVQ9Yp\Od`s5EhMqt]j'p]'sdp&Fc:~>
+n_FB(h;7&IiU>\)hu2I6hqn(_(#Ij*i8NYOgtpiCgtpiCgYCK:g"Y<Zh>c7/g]?-arn7A.rS.J1
+hV\.c"l\CshVHu^h#Z9ao@X],f%8O&e(EL5h;lW4gYLQ3`nCCEs47>&eC9!~>
+nG31_r;HQor:0abrrrE#r;6?dp\=das8)cmqY^^!rVZQhq>'d[qY0j]!;ZWjs82fnq>CQqqYBp]
+p\+=WpAjunqt^0dq?$Qlr."~>
+nFcnWq#1!gq!n1ZqZZilq"OLVp\=das8)Nd#l=Alp\+:Qp@nFYqY:-drq?BdrqQ<bs7uopq"XUW
+pA"CGp]1'4q"aa^p\sl:~>
+nD+-%hu2I5hsoY(iWS5uhqm2_hZ)L3i""W%hVd8KhVm>Kgtg]>gA0G$g&]m\qq;#'rnI8(#N"Cr
+hVR)Dh"oh-gY25Orn%#"!8>ZMq:b\t!nPlNJ,~>
+nG31_r;HQor:0^krr<#trVZQhq"jaaq#C0iq>gEgr<WE$r;6?dq>0m_p\OXbq>U6jqu6Nhr<N5r
+q=saZp@e@W!;Nhrq>C*c!rMopJ,~>
+nFcnWq#1!gq!n.cqYU0dq=s^XpA4O_q#C0iqY9jlqYBp\p@\+Pp\O[]q#L3hp]($fq>0pnq>0s`
+q"XUWpA"Bfq"aa^p]'peomd~>
+nD+-%hu2I5hsoV/iSrkUi8<Ddh>Z:2htGt6iS`VMh;$f?g%s@sg&BY(g&B_%gBcTki8<DJh;$f^
+h#Z9aZJ#'-qUbl#eC9!~>
+nG31_r;HQor:0aarWE,sqtg-`s7uWis82Wj"9/8squ-Beq"aabqZ$Hlr;$<kqZZilq=s^Yq=q5l
+q>C*c!rMonJ,~>
+nFcnWq#1!gq!n1Yq?-Qgp\+FWs7lQgs8)Qe"8_igp\jg]p\FU`p]($fq>0pnq>0s`q"XUWpA"Bf
+q"aa^p\sl:~>
+nCn!!h>Q11h=9A#hZDZjh"]Y(h#6('h?2Zlh;%t`!875$q:Yc"s4RD*qV);2hVR)DgtUQ:q:bo'
+ZJ#'-qUbl#daEX~>
+q>0pa!rDflrVZ`onbrCb!r`&oq>'j_q>:<mr;6EgnbN1\s82NfrqcZjrqQ<bWVcMf!W2eF~>
+q=aXY!quB`rV6HgnbN+Z!r;Wcq=sd]q=k$eq"O^[nbE+Xs7l3]s7lTfU%nEW!;:p~>
+q:k`#!o)MdrS@P1n_X3$!T)Z-h!s2%hVHucg[Nnqf`0Xug'$0dh;$fbg\T\*g8Wd%fE0XPdXV~>
+q=sd]!r2TfrVHTkn,*+^!rMiiq>L-eq>(0iqYC-cs7u3^rqQNhpA4gerVQWkq>7/eqY1-gqtkm~>
+q=j^[!r)KcrV?Nin,!%\!rD`fq>'j]q=t*gq=ss`m.gVVp\Fseq"Xg^s7Z9_!;NSiqY:'aJ,~>
+q:YSt!nl;^rS.D-n(dou!o2Paq:tMp!o2Parn7>*!86qprmq,$pXfQ$gY;\\s4R5%!84C(qUP_t
+dF!I~>
+q=sd^!r2TfrVHTknbWRfqtp<hqtg0brr;rqr;ZZiq>^9pq=sa\q>0pbq>:0ds7uZjq>'j`q>@Mn
+nb<.]qg\~>
+q=j^\!r)KcrV?NinbNLdqYL*dqYBs_qZ$Biq#C*aq#C-mq"OOXq"X[Yq#C0hqYL!fq"a[Zpp0_b
+p]1&=~>
+q:YSu!nl;^rS.D-n_=B(gt^`AgtUTZh>c:/g\9G%gBQBbg"P07gA9ItfDaA$fDaG!f)XM"gA0J'
+fs96#ecO@Kd=;~>
+q=sd^!r2TfrVHTknbWUgqtp<hqtp6hqZ$Qos8Duq!;lTf#l=Amq"X[\qY^3gqYU?jrqQNhrqcHd
+!;lWjqY^ElZ2*qbs8%6~>
+q=j^\!r)KcrV?NinbNOeqYL*dqYL$aqYC-cs7cQe!;H<a#l48jp\4IXq>'m^qY(!brqHHfrqZBb
+!;H?`qY.5ho(W.YJ,~>
+q:k`$!o)MdrS@P1n_ON,hVR/IhVR)ahu;L4h=fV/h;$f?gYCT=q:bYtrn.8(rn@2$!8@;)qV;/+
+Z.\^#!nPfJJ,~>
+q=sd^!r2TfrVHTknb`@_!;lcns8)fpp\t3ks82lop\Fg`"8Vfir;-BgquHWnq#C0hqYBpeqtg6e
+r;cc#q="*/~>
+q=aXZ!quB`rV6HgnbN4[!;ZWjrqZ<`s7cQep@nR[!r)Kcq=s[Xs7lThq=jsaqY'd[Yk[b_s7h*~>
+q;(l(!o;_jrSR\5n_jH)!9!k8o\fc,o\TT'!oDhjq:k`!rn7>*rnI8&!8RG-qVM;/Z.ed%!nc#P
+J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat2.ps b/books/ps/quat2.ps
new file mode 100755
index 0000000..5aaafd2
--- /dev/null
+++ b/books/ps/quat2.ps
@@ -0,0 +1,1217 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait2.ps
+%%CreationDate: Tue Dec 26 17:44:31 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 359 155
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 140.000000 translate
+344.000000 -140.000000 scale
+% Image geometry
+344 140 8
+% Transformation matrix
+[ 344 0 0 140 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 344 string def
+/gstr 344 string def
+/bstr 344 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        75268 ASCII Bytes
+colorimage
+qY]p]jo#,Vs8;fls8;lpJc(K)htqp~>
+qY0RSjnJcLs7cHbs7cNfJbP,thtDR~>
+qUtGljk9Xes4R>&s4RD*J_?"8hq3G~>
+qY]p]jo#,Vs8;fls8;lpJc(K)htqp~>
+qY0RSjnJcLs7cHbs7cNfJbP,thtDR~>
+qUtGljk9Xes4R>&s4RD*J_?"8hq3G~>
+qY]s^jS]#Us8;fls8;lpJc(K)htqp~>
+qY0UTjS/ZKs7cHbs7cNfJbP,thtDR~>
+qUtJmjOsOds4R>&s4RD*J_?"8hq3G~>
+ci!e@s8;fls8;lpJc(K)jSSlQJ,~>
+chIG6s7cHbs7cNfJbP,tjS&NGJ,~>
+ce8<Os4R>&s4RD*J_?"8jOjC`J,~>
+ci!e@s8;fls8;lpJc(K)jnnrQJ,~>
+chIG6s7cHbs7cNfJbP,tjnATGJ,~>
+ce8<Os4R>&s4RD*J_?"8jk0I`J,~>
+qY]p_jo#,Vs8;fls8;lpJc(K)jnf&Ur;D-~>
+qY0RUjnJcLs7cHbs7cNfJbP,tjn8]Kr:kd~>
+qUtGnjk9Xes4R>&s4RD*J_?"8jk'Rdr7ZZ~>
+qY]p_jo#,Vs8;fls8;lpJc(K)jnf&Ur;D-~>
+qY0RUjnJcLs7cHbs7cNfJbP,tjn8]Kr:kd~>
+qUtGnjk9Xes4R>&s4RD*J_?"8jk'Rdr7ZZ~>
+ci!e@s8;ZhS,E-[aSZ2>r:g$brql'[qYT(GqYU-elhgVXJ,~>
+chIG6s7c<^S+ldQaS,i6q""(Orq>^QqY&_=qY'd[lh:8NJ,~>
+ce8<Os4R2"S([YjaOp^Og=4^,rn-SjqUjTVqUkYtle)-gJ,~>
+ci!e@s8;WgSG`6\aSZ;?rVlfprr)][r;$6Gr;-<er9O7Xr."~>
+chIG6s7c9]SG2mRa7ff7rVZKeq"="Jq=`Y=qY'd[lh:8NJ,~>
+ce8<Os4R/!SD!bka4U[Pi8<;Dg=P]Eq:ONVqUkYtle)-gJ,~>
+ci!e@s8;WgSG`6\aSZ;?qY9pds82TXr;$6Gr;-<er9O7Xr."~>
+chIG6s7c9]SG2mRaS,r5p%7qRqtBXJp\FO=p\OU[pZqPNpOE~>
+ce8<Os4R/!SD!bkaOpgNf@JR/h:U9Eg%j:Vg%s@tg$@;gfmj~>
+jS\lOoDJUds8;WgSG`6\aSZ;AqtL'gq"k!Vr;$6Gr;-<er9!m,~>
+jS/NEoCr7Zs7c9]SG2mRaS,r9q""4Wo_/7Mp\FO=p\OU[pZD1"~>
+jOsC^o@a,ss4R/!SD!bkaOpgSgXOs5f%AmHg%j:Vg%s@tg#gq;~>
+jS\lOoDJUds8;WgSG`6\aSc)8s8E,qo_ACOr;$6Gr;-<er9!m,~>
+jS/NEoCr7Zs7c9]SG2mRaS5`.s7lcgnFZPCp\FO=p\OU[pZD1"~>
+jOsC^o@a,ss4R/!SD!bkaP$UGs4[Y+dam1>g%j:Vg%s@tg#gq;~>
+jS\lNoDJUds8;WgSG`6\aSZ;>qu6Khq>:$Tr;$6Gr;-<er9O7XqLA~>
+jS/NDoCr7Zs7c9]SG2mRaS,r5p\OUVp\=IKp\FO=p\OU[pZqPNomd~>
+jOsC]o@a,ss4R/!SD!bkaOpgNg>(?4g"P*Fg%j:Vg%s@tg$@;gf73~>
+jS\lNoDJUds8;WgSG`6\aSZ;Ar;HWT_V5"Ur;$6Gr;-<er9O7XqLA~>
+jS/NDoCr7Zs7c9]SG2mRaS,r8q"X[@^")uGp\FO=p\OU[pZqPNomd~>
+jOsC]o@a,ss4R/!SD!bke_'rTp"9?#rn@OjT=<VBg%j:Vg%s@tg$@;gf73~>
+s8Drpg\^jFrr)lpp\UKYqYT@OoD8Rbq>C(!r;6?hr;$9gp\X9GGcgu3qqV+sqg\~>
+s7lTfg\1L<rqQNfp\(-OqY'"Eo_&=[q#1$gp^[/ppA+IUq"X@PjcXY^qu6<fp[e+6pX/\b~>
+s4[J*gXuAUrn@D*pXl"hqUjl^o%3rnrR_e:gY(67g=P*7f%nMo<fGngg"=sVfCRYMg!SH&~>
+rr)lpl21>TqYU-err)lpp\UKYqYT@Oo_S^dq=jm`rqR#ur;HNjqt^0SXeB(3oD\XcqXaU?r6Y=k~>
+rqQNfl1XuJqY'd[rqQNfp\(-OqY'"Eo_&C]q>0seq>^4!pA"IXq"OISiM;c=ZL7_crV,pWh=o:i
+J,~>
+rn@D*l.GjcqUkYtrn@D*pXl"hqUjl^o@P&7e^i='f\+s0gYCN;g>(T0O+0<[e(NF,f@JL&o@VmP
+d+Ej~>
+rr)lpl21>TqYU-err)lpp\UKYqYT@Oo_S[cq>C!uq=jR]rUp0eq=;,@[pn.hrqlZjoD@AAd//=~>
+rqQNfl1XuJqY'd[rqQNfp\(-OqY'"Eo_&:ZqtUctp@S7XnbW%QlEA%*=P!6GpAOaWp>,Jip4*~>
+rn@D*l.GjcqUkYtrn@D*pXl"hqUjl^o@P&7f%/I)f\+m,h;$N:hV?YNXd28cgtCB5f@JI$o@VmP
+d+Ej~>
+rr)lpl21>TqYU-err)lpp\UKYqYT@Oo_S[cq>C!uq>Bm]rUK^_kdo%4Nb.tPrqlZjoD@AAd//=~>
+rqQNfl1XuJqY'd[rqQNfp\(-OqY'"Eo_&:ZqtUctr:B[Ym.L>9YJTa]>4q+YpAOaWp>,Jip4*~>
+rn@D*l.GjcqUkYtrn@D*pXl"hqUjl^o@Wum(YIEseCr^(g#L5EY1mh^gs+O*f[n^(eFV>Kg!JB%~>
+rr)lpl21>TqYU-err)lpp\UKYqYT@Oo_S[cq>U0gq%!Auq"spdn&)Wqpgf`_r;QTlqXaU?r6Y=k~>
+rqQNfl1XuJqY'd[rqQNfp\(-OqY'"Eo_&:ZrV?Hf%f>nip@S.F]<']Y>)_kFrq?<boCh#7d.Vt~>
+rn@D*l.GjcqUkYtrn@D*pXl"hqUjl^o@X&o!8.;((#@Kmg"P<0UmT-[7<[/;g"G$0f$r4@f\P6-
+fRN~>
+rr)lpl21>TqYU-err)lpp\UKYqYT@Oo_S[cq>U0gq%!,pq=jm[cE*C`DdpBPp\t'gqXaU?r6Y=k~>
+rqQNfl1XuJqY'd[rqQNfp\(-OqY'"Eo_&:ZrV?Hf%eKDdo)8+!U5jD-=0_5arq?<boCh#7d.Vt~>
+rn@D*l.GjcqUkYtrn@D*pXl"hqUjl^o@X&o!8.;(("M!if&PAbNI#&16CZNVg"G$0f$r4@f\P6-
+fRN~>
+rr)lpl21>TqYU-err)lpp\UKYqYT@Oo_\[brV7$$qtL$`qY&:Vjo"e)@FY2IrqlZjoD@AAd//=~>
+rqQNfl1XuJqY'd[rqQNfp\(-OqY'"Eo_&:ZqtL]roD%nKn&`?"p$I$*bk^`,pAOaWp>,Jip4*~>
+rn@D*l.GjcqUkYtrn@D*pXl"hqUjl^o@Wrn(>@?of\4l[W5mlMAO*]]eCiO-f@JI$o@VmPd+Ej~>
+s8Drps82fnmeckYqYU*ds8Duqp\UKYqYT@OoD9C#q"a^[q>C3gq;oG^aoCqV@:8p&q>C-erqZZm
+r;QQnr:p0Er6bCl~>
+s7lTfs7ZHdme6MOqY'aZs7lWgp\(-OqY'"Eo_'0sp@n@Vp@e7Up[d7QPJm=]_H'\2m.C&GpAXde
+q"Od]!;H9^h"T4iJ,~>
+s4[J*s4I>(mb%BhqUkVss4[M+pXl"hqUjl^o@P)8f\+p/f\5-8fu9Y3XlS!769jGWg=k64f@JL&
+g&BV(g%a4Tg!SH&~>
+qY^?ks8;ooJc*"T,P:^+qYC!cqYL3.Oc7BYh4Jb5n+QVVr;6?fqu$Eiqu$EjqnW./q>gEer;$6f
+r."~>
+qY1!as7cQeJbQYJ,OtI&q=aLUo^r$lM1i_=e<FW`lLOZDp\+@Vq"a^Yp@n@Vp;$G%o`4^[p\FO\
+pOE~>
+qUtl%s4RG)J_@Nc,LY/sgY(65g"PJ]Ec%i7^joBceC`O1g=Y$/e^iI,f\,!3fYH2>f)XItg%j:u
+fmj~>
+qY^?ks8;ooJc*"T,P_*3qtg*\q"adNgY(cclHd_unb2eWr;6?fqu$?fq>:-gqnW./q>gEer;$6f
+r."~>
+qY1!as7cQeJbQYJ,PCd+q=jLMo()J4daR(DiPrdNlgjWAp\+@Vq"aXVo_/(Sp;$G%o`4^[p\FO\
+pOE~>
+qUtl%s4RG)J_@Nc,M1T&gY19/f\53)]tMPDc*FORe_&L.g=Y$/e^iC)f%A^0fYH2>f)XItg%j:u
+fmj~>
+qY^?ks8;ooJc)tS,5_63q"aaaqt0dap=HgHX5EaIq>U?jqtg3er;$-_qY^9g_#43.!;lNgq>:*f
+J,~>
+qY1!as7cQeJbQYJ!r2N`rq%6&q=O%Jp$^/.PbHV!nFQPPp\+@Vq"aRRoC_kPp;$G%o`4^[p\FO\
+pOE~>
+qUtl%s4RG)J_@Nc,MUr*f@S[.iSE&CiS1o3J;qA$g=bH>g=Y$/e^i=%e^rL-fYH2>f)XItg%j:u
+fmj~>
+qY^?ks8;ooJc*"T,Ph68rVQEdo_\O\\<_bfEH6rnqY'[^r;6?fqu$6`q"jpdqnW./q>gEer;$6f
+r."~>
+qY1!as7cQeJbQYJ,PCg-q=X@Mme$5BY)IU<AnQVDp@%SIp\+@Vq"aOPoC_kPp;$G%o`4^[p\FO\
+pOE~>
+qUtl%s4RG)J_@Nc,M1Z*h:gN6f%o<>RWr@A;H%AHi76H6g=Y$/e^i:#e^rL-fYH2>f)XItg%j:u
+fmj~>
+qY^?ks8;ooJc*"T,Q%E:qt^'bqrt\UDjA\FR)<iho(W(\r;6?fqu$9bq"jpdqnW./q>gEer;$6f
+r."~>
+qY1!as7cQeJbQVIs7d`1oCMVLj04>MMT2-F\7BRCnbMtSp@n@Wq=O:Mp%S4S_"[j$!;?0]q=aa\
+J,~>
+qUtl%s4RG)J_@Nc,MLo,g=b05i67^5:j0."H)+8?e(<I2g=Y$/e^i=%e^rL-fYH2>f)XItg%j:u
+fmj~>
+qY^?ks8;ooJc*"T,Pq31rVcKWX`IWrb4ae^]Ck3)FmJo&r;6?fqu$BhqYU6hqnW./q>gEer;$6f
+r."~>
+qY1!as7cQeJbQYJ,PLa"p\=7=VJAtN_!fp8Yj0kRC?5$^p\+@Vq"a[Xp%J1Tp;$G%o`4^[p\FO\
+pOE~>
+qUtl%s4RG)J_@Nc,M:T"h;6c.N`8&KXPCd@SCYVV<6EqLg=Y$/e^iF+f@\g1fYH2>f)XItg%j:u
+fmj~>
+qY^?ks8;ooJc+!p"8i#nr;HKpr;6EhrVQZmqYU?jrquco)Y;LREb^roq>U0/H,0(Li,j80r;?Hg
+qt^0frql`n#5\5or;6Eh`r,i4s82Thq>:*fJ,~>
+qY1!as7cQeJbRXf$i'Jkp\=LXq"ORXq#0pepAFY<q"OLVq"ORZp[-:sCL`IOn+uC]DS,<,f5,Kf
+p@n:Sp\+FZq"ORZq"FIWp\=LX`qTK*s7Z6^q=aa\J,~>
+qUtl%s4RG)J_@ups4I2$.bNG.g"Y<<e$O[&8ThPrk1QV8VV'_@<ERAtg=b-3f%Jg2f\,!3f@ed/
+rRV&%aP$REs4I,"q:PVuJ,~>
+nGN=`s7u`mJc+R+rqcZls83&tq>0p`q>L.Eq>0paqu$9br;HTiq>U6`qYg6ZlI)2EI%od$pA"X\
+\U2d&p&36^J`H\%q"sIUqt^3e#Pn5lqYC!aqoAX2qss[_qg\~>
+nFutVs7HBcJbS4!rq6<bs7c-[/,Au4o_84Wo_&+TnbE%Tm-2f_Dg.f2p?h>Fl`P9Pp[A"&EdQX9
+nFQA:qYU$mq=sd\q=sd\a7oH(o(W(UJ,~>
+nCdios478'J_B):rn%2&nC];DeC<.)f[SI+f$W.+f?_dJHVmmp_qNSjjO]o-[GTTsZs$tYgt(37
+cJSQQ"PD>Xe^j]L!S5oFg%s@lg&0KQ~>
+nGN=`s7u`mJc+R+rqcZl!rVrmo_C'5q>C3gq>'p]qu6Tln`IBCEJ(a^qY^?mr;>ZBO6cf4qY\Ki
+OlcK8rVuEbo_ALaaSbo3o)/F_J,~>
+nFutVs7HBcJbS4!rq6<b!;H'Z/GA`3qtKaTp[\(UqtBC:[>SmOZJkNOq"OCNg5LgKpuh;I`.*^&
+p@e=ZmJ$SSq"XpbaS5Q)o(W(UJ,~>
+nCdios478'J_B):rn%2&n_#JGe_8g3e^rI'g"tQ;cGc2j:h#[+f%Jg5g>0boEmEUhguYVMF3!1p
+iT&A?rRhP1f@JO'e^W'tf%A*tqUkAlr7HN~>
+nGN=`s7u`mJc+R+rqcZls82loo_AOar;QO*qu$?hqtKC([$uW=cKtH*qYU0hr=Rq8Vt^&bq>'g.
+L7@&fpAXd_o_ALaaSbo3o)/F_J,~>
+nFutVs7HBcJbS4!rq6<bs7c*Z!;HKc-hd?2qY9XCcENU_S'(!ip\+:Po^h\+F.i'qp@J"L`dj?.
+lLOoDp\jm^q#L32p\OUSp\a`8~>
+nCdios478'J_B):rn%2&n(B2Cf@\d2gYLW7aKUhQ@=YK)g"=m-f@em6`*eMWgu$oEgTG4<_U@0"
+f@p2V!8.;&rmh%u!S5oFg%s@lg&0KQ~>
+nGN=`s7u`mJc+R+rqcZls82loo_JUdrVZR>qY0'eR=g[0g$S\8rVHHkr;?QndWE(sqYU-`rq=Ql
+Mr4=$r;60`!;jh7qYTj]r;2!~>
+nFutVs7HBcJbS4!rq6<brqH!Y.eiZ1p\+=NhRo)%NNUjsq"jdZp\ORSp%?LC[.X(co^V_J`e&ot
+o^DVMr:p-a!;OV/qY'LSr:YX~>
+nCdios478'J_B):rn%2&n_!rsh##hOf#+/*@W@UEcJ.40f@Sg1fA5>o=.\7&hqQf@g9#(*^t[Gt
+gAT_)f`0S$eH+7Rak?OCo%ErnJ,~>
+nGN=`s7u`mJc+R+rqcZls8;Hb.f/o9rVc'4[$-$']&<>Yqtg0dr;HNis8V_rJC=>np&+jdqY.sU
+Ol5j1oD?T+qYTj]r;2!~>
+nFutVs7HBcJbS4!rq6<bnFnF)nb)_Pk0U8jHAo5bnb;eOp%J.Up@S+TlDAaIpA"+Nr:K[R^NGIi
+meZnVp\;f'qY'LSr:YX~>
+nCdios478'J_B):rn%2&s4Qqr&(fRoh9<<lF's$W^t7Asg&BV>g"=p3i7*p"[,0Zih;[/Cfqhnm
+_URNBgA]e*f)XD#eH"4Bg%s@lg&0KQ~>
+nGN=`s7u`mJc+R+rqcZls8;Ea.J`l5fqs(EW6j]!r;HKfqYU6hq=XL]s6#0+meHbXrqQ6cqXhaC
+KCJI'qoAX2qss[_qg\~>
+nFutVs7HBcJbS4!rq6<bnFnF*oC_V&TQGFQb2Md^p\+:Rp\=LTn*p&GgjG4GoCqtTo^_bLm_<@^
+mHsiGq"Vo(qY'LSr:YX~>
+nCdios478'J_B):rn%2&s4Qtss4\sWf=QiD?\u)0f%o3;g=b36f[S<tgY^%bIF-^(gu-o=h:pGU
+9OlQ"r7_2(!nc,Vrmh,#fZ;bBf^d_nfRN~>
+nGN=`s7u`mJc+R+rqcZls8;Kc%fH4laHh1,U>#/8qu-QkrVRN2r;6BhrVb_kVZ$Afr:]p`qYBm\
+\nd)poD?T+qYTj]r;2!~>
+nFutVs7HBcJbS4!rq6<bnFmCbke`F(J"5$Sp@e:Wo_nP%q=jUYp[e%/@%?o]o_7kGq"=:Mo<`(]
+o)/7WprE.*p@@tUp4*~>
+nCdios478'J_B):rn%2&s4R"t&DZ*gWd%f^KY5djhVdAJh;/(b(YRBog=Y/r9o7c^g>1?4hV6c:
+fpYQJfDOA%f`9\(fDjD%fZ;bBf^d_nfRN~>
+s8)cmo_eadrqc6`qYU?jo_SC\qY^3ekktJXs8)ThlhpVUoDA@]oDAC^(ARb*rqlQhq"apcq>U<`
+eq7Ij_WCFdrVHTmr;6Kk#PJ#nrQ8oopAXsiqu6L'rVZHa]OmW.pA+O]rqH<equHW\qX"(Zr;6Em
+r87C%~>
+s7QEco_8CZrq5mVqY(!`o_&%RqY0j[kkG,Ns7Q6^lhC8KoCi"SoCi%T(A%1oq=aIRo(;hPo_\CN
+d!]2R]\i/Lrq6<b!;63_$h*o`qS-FLme6DLpAXgdq>^$n\7(ZonFQ;Gqt'OYpAjpRp$DAPp\X^c
+pYY[p~>
+s4@;'o\'8srn$boqUkl$o[iokqUt_tkh6!gs4@,"le2-do@Wllo@Wom(=h*qhqQi=f\,3;g#:`9
+\7J*GUrV'Arn[V2.,E\6g=k64f?rC,ii,VLfA#$5g"P37h;-Z6Rm_MRf%J^/h:C63g">N?m+;<k
+qq;&'hq3G~>
+rqcZlp&+jerqc6`qY]p\qYU-eqYTLS!;lclqYTUVqYKg\q>Bj]qYV*-r:T^XqtU$dq>:'GZ]TNm
+]'0%irq?6fr!*/on"+CVrqlU&qtTs_q=hp?PPP+Oq"smb!;l-Zm/$e\qYf=KJ,~>
+rq6<bp%SL[rq5mVqY0RRqY'd[qY'.I!;?EbqY'7LqXsIRq=jLSqY(a%p[@PAp%%kQoC_e/Xc%7U
+[GplRq>0d\pBUEfmH'O@g\La@%JKDbp@\!o?]OpTp@\.TpAjpRp$DAPp\O[Bp4*~>
+rn%2&p"BAtrn$boqUtGkqUkYtqUk#b!8.;&qUk,eqUb>kq:YAlqUlV@h::$.gXt??g"Y8qPAsfF
+S]]dGiVMC1h#H(9g"=p/gsXGq:<;GLr7VY6f%/O,eYYZThqZu>g"QDXkh#1R!875&hq3G~>
+rqcZlp&+jerqc6`qYU?joD8=\qY^3ekkkGXrqcKglhpVUoDA@]oDAC^(&e(,qY^?lq=*\.]7b9m
+hX::?qXjFRqtp9oo7;JdrqlU'rVH*\p\FfaAte_kqYL3fquHW\qX"(Zr;6Emr87C%~>
+rq6<bp%SL[rq5mVqY(!`oC_tRqY0j[kk>)Nrq6-]lhC8KoCi"SoCi"S'__1kpA"FSlK$^-IVt;#
+kkP&ImdBrEqY(6gp%.HlG45;)pCI)omJ$5EqO_/bm.g5GqY9s^!;>dPm.LGRqtL0chtDR~>
+rn%2&p"BAtrn$boqUkl$o@NikqUt_tkh,sgrn%#!le2-do@Wllo@Woms4mY.&_u7"g!ImXRq,KB
+^<YTog=4XKg]-(/g&fs[fDaD+d9pJ>inOCb&DZ!dgXk'5Jjt@?hV-Z=gY2SY!8-Yim+;<kqq;&'
+hq3G~>
+rqcZlp&+jerqc6`qY][VqY^3ekkkGXrqcKglhp,Hq>Bj]q>C9h')VV(q!,qjJ:*[1r;6BeqY^9f
+pA=je#Q"AtmqJElqtg4!rV?6cp%e3ZB<gh"qYC'>qtg6Jqg\~>
+rq6<bp%SL[rq5mVqY0=LqY0j[kk>)Nrq6-]lhBc>q=jLSqY(Hmo^qhNp@74\Q$IM7bl7>9oE+d^
+o_S7WpBU?apZZ"Lo(2bQ%J]bloCh_Hm\=3kjnAEDpXT!6pYY[p~>
+rn%2&p"BAtrn$boqUt2eqUt_tkh,sgrn%#!le1XWq:YAlqq1u'rnA(@hVHi-WI/)YGd?,ZgY(98
+h:_YYs4mY.$JF(`f%Jg)8V,dSqUu>4f@JX)f?oIIP0D_[gAKXSf_X:YfRN~>
+rqcZlp&+jerqc6`q>BUVqY^3ekkkGXrqcKglhp,Hq>Bj]qYV*,r;?Hbk0TW<JZRi0r:g'er;$0`
+p@eC^r!*/tcWn?cqtp:$qt^3bp\sj^n#:Q2li$\Vr;ccHqtg6Jqg\~>
+rq6<bp%SL[rq5mVq=j7LqY0j[kk>)Nrq6-]lhBc>q=jLSq=bTrp@dt3aHUCaUtY\?nb)bRo^qhI
+qY'd[#PIl^`DO2>o_\@mp@S4QoDS4PlCi0jjnJDmpA4O@p4*~>
+rn%2&p"BAtrn$boq:Y,eqUt_tkh,sgrn%#!le1XWq:YAlqq2b=gtprGfZ17F;IYX'j5AMAh:pQ5
+f[foPs4mY.$JF(`fA"lX4/Lulqq2G2f%eg+i7$?+MHPeZh>H"*g"+gPg#(G4~>
+rqcZlp&+jerqc6`lhpVVqY^3ekkkGXrqcKgjS\WHq>Bj]qYUa"qXW@QS:#pjgA1aHr;ZWrr;HKc
+pA=je#Q+GsU2oMsqtg4"qYC'^p@nI^j-t5%oDAC_lhnWsJ,~>
+rq6<bp%SL[rq5mVlhC8LqY0j[kk>)Nrq6-]jS/9>q=jLSq=bTqlING/FF'e4o(_kLpA"@Tp\FRU
+qY'd[rq-D]BAiRWqtCTqp%A+LoCM_OgQQN[me-GMlhA9iJ,~>
+rn%2&p"BAtrn$bole2-eqUt_tkh,sgrn%#!jOs.Wq:YAlqq2h?h;$JoTRC*UNkF-*h;$c=f[ng1
+g=Fp.rR_Y6gYCN:g"=p.f\1gQbiIOUfaZZef\=j*e_B!"HrcWbrnIJ,kh3i*J,~>
+rqcZlp&+jerqc6`lhpVVqY^3ekkkGXrqcKgjS\TGqu$$^qYV*-jfs2NN4.X=qY^<ir;QWkrVlZg
+p@eC^r!)rqE/FMjqYU0jqu-<up%nO[q;Rorchm_@rVc`nr;6'__Y\i~>
+rq6<bp%SL[rq5mVlhC8LqY0j[kk>)Nrq6-]jS/9>q=jLSqY(a"hl:d2KWs2#oChnMp%\=Uq>0gV
+o_S:XpBUKaqe(HPp[e:Vs7Qrqo_.hJp@It5Q$UIAp%A:WrqH?co(U#pJ,~>
+rn%2&p"BAtrn$bole2-eqUt_tkh,sgrn%#!jOs4Y"P;;Zg"QAWs4I8$qUbf$qq;G7`fXM$Cm`)l
+gYL]bg`5#!g"Y*-e^rC(f%/I*g=t?8g"G$3e_j2:hr3;dg&BV9f%AI'g">)uI:KG7h;-i?g=kiF
+_UsA~>
+rql6`rqikrrqkOL%/p,%pA=OWqtg0bqYC*d0DYM@qYL*`q"sm`r;6Kjq"t'equ-?hr;,*GMKXif
+j7iKLqYU6hr;HNjrVcWkrVHBnqYC!arqcp!q;k_Uq=ja`(&Rk)q>C-fq=jmai0K)Cqtg9bp\Xa]
+qYU0_r5SVa~>
+rq>mVrq<Mhrq>1B$MsMmnb2MGq"OOXqY)W9p\4IXp%J1TpA"@Wp$qeQo^qkJp@\%*U4dK<[G^]P
+p@\.Rp@e7Sp\FUXp\FOVrq-NkoANQ>o^hkTp]'q$p[n7Tp\"1Wp">=M`:<9jn*p&Dp[n7RpVuoW~>
+rn-born+C,rn-&[&Dc'qeCi=&g=Y$/f%&C)g=uV[,1tT$eC<(!eCN7+f@8O1g"Y?:hVHquM.fk$
+RDmk7g=b37rn@D)"PVP\f\?;Trn.5's4R_6fZ#k)g"5!Ug&K\<g"+m1g"+^4ftVZ@Z/46pf@Sd0
+kLml-J,~>
+Jc,'9"T/#mp&=sf!W)Wcp`92*pA"R]q>L!_rr)]hr;HThq9"G1I%JUHp@\7[oDJL_%f6"qq>'m`
+qtg5t=O[*;oDJUb%/9YLN-a:Wr;6?go(2eSs7u]kr;6?grquip`qt8~>
+JbS^/#kdcbnb`(Uq"O^]qY1$b)tj"'q=sdToD/4SoD&%Pnas\IB6K]ak4/!7q"+7Wp(-okp\"4O
+o^hYGX]!I<nbMhOs7d'"o(L=XCX)>>p%/"LoDJFZq"jaap]1'.p4*~>
+J_BPG1"P11hq?`:f[eX'eCE4*gY:E7f\"d(e_&C$f@&7*h:UB:hVd5KYA.!@H`G6<e(<=Fg%sA$
+f)OA&gA]h1h39n)f@'6C%bKFagUD$(^>Io,gu-`5m+MBl!85BEJ,~>
+Jc,'9#lXc#p%J.Vq>0aYs7[H/r;$-cr:p!arqlZnqo+(tEM_FZr;Zcorr2Neqtgp#q=j^\qYL*`
+rIeGLqtBjXquHWmr!WDJGC\oVrVZKbp%\CZ!;cWjqY^?k!;sk6J,~>
+JbS^/#kn#dn+-&Bp@nL[q=bm&p\Xmaq"jjWnG)eNp\+3lH!Y3Uf'E)-q=ja^oCr.U&,5elp%@tL
+oC)O*<qH+[p@S(dq"ag^p@H1:F5-Hgo`FdZq=OIYp\spfpVuoW~>
+J_BSH#hn(fdack!f@^#P!8.5&s4A=Be_&U+f%Jp1eDB$8h;@%dAP,pW]$8pbgY(B;o@`ums4%P1
+g"P39f]-O*e_/L(o@XW+g=k<;YutPYjl#%Of[oKCrn7A*`n5e~>
+Jc,'9#ljo'qtL!dr;6-^*;K@+q"==TnGN:`qu$?7Dch%knalVVqt^*drr2<_&,Z4uqYL*dr;?M6
+D#*i&q"+F_r<rAqr7Z"Mkl(>Ip&"R\!;cWjqY^?k!;u<_qY]7JJ,~>
+JbS^/#l+;oq"".Tq=sm`q=ks(q"a[Vo_%PDq=XCSottE=C9m0mp%e=Rp%S=YmIpeZp\=IUp&=Rf
+okS14p&"ISpC@&sqsj4Gc!Z7^p@IYBqXaLYp\spfp[@hPpYY[p~>
+J_BSH#i4Itgst'4gY)MV!SH*(gAfhGf\,!2e^`6sgu$l?h:o#-3E)EseCiU/f%8U1g[*Vnf)OD1
+gYCW@hGR&"f%\dHfaZ]me_/`j:NOb<gX=a1m+MBl!86hnqUscYJ,~>
+Jc,'9#PHs7mJctUqYpBkq#L9fqu?R.qY9m`r;HQgp#<B5C378Wq#(!`qu6Qoqs=4kqtg*aqYU3g
+rkMj-p\"I[nb`gkr;Zcqf4p<*rVH9boDAC^rquipn,)tZhtqp~>
+JbS^/#Og:#kl(8GpAXjcq=s_%p@S%Pq>9pWn(b*rA8]$@oCqnKpA=d_p?VG_q"ORWp@\+NppjLi
+o^htNp]($to_/+Qo?CZqh"UL5p@J(Up\spfp[@hPpYY[p~>
+J_BSH#LpH)c/RL-f`'S%f)XJ%fc/Z"gY(33gYUuJg=O9.AP,pqb1PM%f%Ag8g=Y]D%bK:bg=tE=
+iM&M\f$rI+o@XT*g"5!:hqtt<DT:ShfB_,hg&Tgpf_X:YfRN~>
+Jc,'9#K)F=WV6;jrr2ipq>gEgr#>P/qYpKinESf=IV3r9oD7tPqtp<ho_/7_rVQ3aqu%''qt^-d
+r;?NdIT"Agp\=UVr!rK"q>:0eq>8$CPiDQ:qXaU\r;QWpr:'R`r;-BLqg\~>
+JbS^/#/#P%U$qgUrV?Hhq=u$*p\"7Wqt979fs5j2F0b90lh1&HqY0IKq>C'^oCr.W&,H"rp\4CT
+p$Hor`VoK(q"+4io_S4Sr:BIO]OHlUpA"@Qq"jaap]1'Xp&Oj`pttdq~>
+J_BVI#hl"e:l!QVi7n7bqUbf$rn8@Hg=b9?in`)/_O=k&=dR[qcIgk(h:g9*gY^c<o@`uos47\5
+gYCWAemC25iRZW5o@XW'gXb-<g=tP_9R"G2h:h5Krn7A*nCR`oqV'iZJ,~>
+Jc,'9#l;nc`Voc5rVc?c)uB@,rqGWrO_ers^?t^mpA+RYp%8%Yrr)]iqt'a_r=Ai'q>:'er;GJb
+C@1roqYKg]%f-#"qt^-fp%bh6S_s>Cr;?KirqQQkqY^?k!;u?`!;u]lhtqp~>
+JbS^/#kH#H^%_?tp\=FWs7dQ,o_84QikL@_Bo0C`oD.qMp[[kDo_JCZp%A%Mp\X^rq=sd[p\+=R
+emDtOqXs[Znb3Iep[n.Rme3YuQeM3/r:g!]qY1!a!;H!V!;H?bhtDR~>
+J_BVI$/4%:9;C>"gtUT^g&p$\f@U#S*noB(gtU`Ggrud@:f;;+c.Ce$f\"[$dam1/g=Os/o@`uo
+s47\5gYCWA^IV#BhU^B4o@a/r%,0Ceg>CK=P#d(Kh;%AMrn7A*nCR`oqV'iZJ,~>
+Jc,$8/DYF0qY0m`rVcWkqYU-dr:p6gq>L3eqt/[UTko(Ea70')rV-'apA"L^rr)ios82Ecqu-Qm%
+J]kur;HT8BoVubq>C*_r;QR.r:^$bp\OdboCK#)UZVOOqu-<cqtU0frqQQjqY^Blrqu<`q>B.IJ
+,~>
+JbS^//b7G+h"1%-oD87Vq"ORXq>'^Zq"=FUp%Rt,[[UlOQ,;k`pA"7NqXX@Sq"a^ap]'sYp\OXp
+q=j[Yp@e0p@>FOKp\ag[p\sk$q=FCVoChnPmdI#kT&KG9o_S1Oq"=LYqY1$brqGsVq=ie?J,~>
+J_BVI(#%?U;T.;@g"5'7f\+p1f@S[)g"G!Vg_J`"^nHK\@"56*iS<5=e_AO&f%Jg3rn7>(o@`uo%
+bT@egYCZBWCh$^f\#$3p=]Gt(#.6kg==j0gXXo8=,+cMf@Sg.f@ngIg&Ke*g%!_jg#(G4~>
+Jc,$8+gc^eiRRVuq>'gaq"aj_pA"UZp&4a]i37ZAD7%sgrVHBdqrR_dqu$-cq>C-eY$eI3qY9sb
+q#(0hrqcZlrV@'#q"FLMXa$T*qu$?bqYU$dqu6BkqW.SNqtg6Qqg\~>
+JbS^/,P7sVjO_WFq"=:Nq=OFXp@7bLnF68Ho%U3i?Y?RlnbMnPp\O[HpCI&pp%e7Sp%5.aWVcG`
+qt^$]s7ZHbs7ZBb%e]Jfl)A`oiq;s;me-DIqY9.GqY'd[k4X<~>
+J_BVI/DAjB?-^6mf%o'3f%\d.gXag&g=+O+gY'K0@S0Od^"_K$gY:H8f[na+f%B*;%G9.bf\P?=
+O?nrdg"5!Qg&K_(fD=,0f@\j'OB[@Xf[nj)f\G$5g%s@tg#gq;~>
+Jc,*:s8=++GOaFgdaP\ir;QKcqt9^_qYBs\lEl%TIB1WjrV?6crV??Pr"&]&q#0sdq=p._g\q$B
+q#1!cs82fls8)fmrqRB*o_nFVm]Ui/n,2kUpA=dcqtp3bq"agKr;-<er9!m,~>
+JbSa0,kh"iCZj3@b0@0Mp\aXSq!n"Sp%8"KjK<c<GGWLZqXsLTq=ja\jnB;\q=sdVqXj<9>1NHC
+oCr.Wp]'sdp&Facp\spuoDS7Qm&G#mlgsK;nFlVNrV-Hiq"WtFqY'd[k4X<~>
+J_BVI.,*U$=44g?Z*]h:gY^T4g=+[3f\,'2b*?C/@#hVRi8!#@h:gQ8f\$2T!8-Dd%bT@ff&5<:
+F@3[tg=4a/pt>]"rmq5)f\$/S%+F+ag=29fJ'Z`mg=+g0qUkYtk1G1~>
+Jc,*:,lRRmOndRs]q]Aoq"Xaar;$9eo_n*cIWCF_hspR:qYU3hr;$3djnoVcrVcZjr;Gf-K^ed5
+qt^!as82fls8*c3q=s^Yp@%qOmI7;uZ1@ejnbW7_qtp3bq"agKr;-<er9!m,~>
+JbSa0,kgbPL%<NLZC>CNo(;\Qq"+7QmeGtNG\i/Gg$AA'p@n@Xq"=LYjnB;\qYg3^p\3QgI-pP"
+q=sd\p]'sdp&Facp\spup[J(OlgLibWTa-Ol14WDrV-Hiq"WtFqY'd[k4X<~>
+J_BVI,hh!`Eo+<NRt=8=f%A^4gt:E:e)&?:?;kd9_:.5ng=tE=gXuJXrn-;b%GKXmg"kN+?Y.a>
+g"P*Qg&K_(fDjM)f[p,R%b8n_f$`389T@9OgW\4&h:_YWqUt#`J,~>
+Jc,*:,Q7CbZi8.$bKk"GpA+^ap\b$flaDOpQH8CgrVl`mrVl]gpA4RbqW7Vcqt^6`qt9m(BX.4,
+p](-dq#(0hrq[Z5qtg-_p\+:JrVQ6_n>:$=r:^'crVZQiq>'g]qrRbPqtg6Qqg\~>
+JbSa0,kgVDVt@`K_8Tm"n+-8InauPHj0!iPO2:&Qp@n=Wr;HHap%S=XjnB8[pAXUXn+aS(WUKNO
+rqlHas7ZEa"8;K`q#:(!nc&CSp$%oO[J'"_oCr"Xp]C9dpuV8HpA4OGp4*~>
+J_BVI,ML^RPi8ZQX0"skeCNF/f\GB>ba2sHFf3O>h;-i?h;6o<f)FA&g>U]pe_\g3e_d5qP1A=<
+hqQcXg&K_(fDjM*f[n[Qe-s[\hq$W3JO>m[dG3=.g%s@tg#gq;~>
+Jc,*:(]F8>]DT<nh"Z3,rr2lpqu#NMD-WFcnc&4gq>:!ao'l>Iqu-Be!;kpV&,Z,#o)/7]Vd%I?
+rq6-cq=smfqu6F4r;6?cp\+:QqXjR\p%[sHEP;AOrVZTjqt^'_q>9:OqYU-ek50Z~>
+JbSa0(\[N#Y4ArCddD(\rVZEao_.+1AQ4`ClMg5Yo(;SLo'l;HqY^3bjnB8[o_n7UnbStY`p`lr
+q#'m\s7ZEa(&%Csq>0s`rUp!`n+5V#A$GV$p%A(Xp]C9dpuV8HpA4OGp4*~>
+J_BVI(Y[b3S)9oK][g/PjP\eJgu6>/:d''=d/MQ'f%AR*cd("kg>1H8r7^5b%b'7^i7HqG4Km>r
+eCiX/pt>]"rn%2''A(gce'cb!eCrj4h99t3Ph=gEf\P6Wf_X:`fRN~>
+Jc,*:,lRXd^##-hq"fcKrqcTae=pbkVXON`r;$9iqtBpdqu$Klq"OX\!;kpV&,Z5&q>UEZMf@PN
+rqcEdqY:!gqu6F4r;6?cp\+7PqXs=PrqlZiQ\!QUrVZTjqt^$^q>9:OqYU-ek50Z~>
+JbSa0s7RXOYL8?6mdY\%qt'OHbaN'LT'6%Gq==@\p@%_Squ$Klq"OX[jnB8[p\jg_qW*9Bf(T%8
+pA+IWs7ZEa(&%Csq>1!crq>gSrUfdLLi^T$p[n4Zq#C0ipuV8HpA4OGp4*~>
+J_BVI.,*Q[SA0<>f\:"tiS*)6[>%OOMppbGi7HfEg!\L,f%Ad2f%&I,g=uV^!8HVg%bKLhhr)^p
+;8:oGg"4p/pt>]"rn%2''A(gce'c^ueBln1hV?Os=K9X"fA5-Vf_X:`fRN~>
+Jc,QGr;/&Cqu$?hqtp<ir99EA`U<`iMQ6XAeWXBRV="9Rq"speq=jjeqtTsaqXsOZqY:-gjo#/U%
+/KVqc>ep.rqHEhp\=O]s82fl*W5g3q=saYp&"O\rV??hqYm(=j8/`Qqtg0apA4[Kr;$6dr9!m,~>
+JbT-;"8MWcp\FS0oA#(g\`NMAJ"Q;jbDB>0T'5t;nb)SNo^VbTp@e:ZqXsOZq>9sJp](!sp$qk!
+Bnt[Do_eOYpA"C^pAO[ap(I,pq>'d_q"X[Vp%@kOQ$M-Xo`"Odq=s^[jnJTEqY0.GJ,~>
+S_4"qr7;&'g"=sSf`9Y'f_jG&fE0[Wg&B_&f`9\(f-f8+a`E05d,2rZMVQC_E^EBSd,ER/gY(B6
+eD&j2e'lt$dF6k'f\-2Vjk9[f%,'7iY>K5Yi7?c=f%0WLs4I>&s4J=Cf@AC#e(E:*h:gW;e_PIU
+^Y7>nf\"s3fA#E?q:PPsl.?'gf@GH~>
+h>?gAq>:$dqYU-eo)&%VlhgYW#l4>mr:p'aqYL3g')_b,qYKU$^seWhGF6PGq>:*bqt^?jqXaI^
+qW7VSr=&SuqmTk5li$eXq"ORPqtg0gq[`Mtr:ZD'dJNn=p\OROqtg3eqY\J4J,~>
+h=gI7q=a[ZqY'd[o(MqSr:p<dq=Xg_p\"gcp@n=Vq"Od_"T%leq>($b'_1eip$_A/^9tt;@V_+G
+o(DbPo_/4W!VZ9^q#0sJp($omo^_a_=/Y6Yr:fsZp$_VNp\jdqp%n3=El[_Dp%%nMnG;nVpA4O-
+p&b!^pOE~>
+o@WB^qV(f!q:PPsqUkYto%<im"kV;SeCE+Jf)4/(f$r7#f%9oR$J3kZeCN7+gtUQ:rn/4@e^i:$
+fA,-:iSWADcDmSFG>VOhWR]YSgXc2Q!S5fsf)=4]f`0e:gY(DN4cRV?h:UB3f'h8hfDaG&g&K\5
+gsg@GXOc.Ze_Sj)h>5e#g"+gUg&9S%ecO@Oe:7~>
+h>?gAq>:$dqYU-eo)&%Vm/-hZqtV6,p@e:Xq"==YrV?9erT_V#DL&/4p\amZr;6<fqYKgY!;bgS%
+f65)qX^7]_tsB-p%nO\k5,_dr:B^UhiWfVr;ZTbp\+4Tqtp6fanpS~>
+h=gI7q=a[ZqY'd[o(MqSqY9m[rqH9_r:g*`*;B1#q"jdWnFlVInauJ2_3AACREtI"p[J"TpA+RZ
+oCr=[jn9/Tq"F@LQW1`oqt9UWq;q;]p\XRVnCreMg%G46nFlVIp\X[\pW`F1pOE~>
+o%<<^qV(f!q:PPsqUkYto%<im"kV;ReC<%If)=5*f@JI%e^i=NfDjG%eH+1OrnIJ,s4JCDe^W."
+eC)h&hqHfAi6/6T:g&Xhg=t9-g=t65qUkDj!8$Acs4Ik?hqZe23htEaf%&L.fB(Wpgsk$+^MRPr
+g>:K2f\"^Mf_X:Pf`0Y'f`'G%ec+'K~>
+h>?gAq>:$dqYU-eo)&%Vlh^\Yr:qB.p&"OXqYp?eqYBs]iOtM!LmQNbq>1$bq>L'^r;-6iq=XL`
+q>04M%f62%pYL7:g&:gAp\ag\k552T%e0;kpsb@ohu!6HrUop]qtp6fanpS~>
+h=gI7q=a[ZqY'd[o(MqSr:p<dmIpSSqtM3+p%nFUqYg0\o^h\Eg9ZZOH]#c0o(MtSpA4FRqYKsX
+puM,YoCqkHgi[D_qtTdVqtKaFp(6unnbDkOb_;22p\":Xp%A(VpA4O.pAO`9~>
+h:V>Pq:PPsqUkYto%<im!nYuPrm_,%f@JOOfE0[Ueb7Ppe^s`Q*nf2rg=Xs/h:L63g"P0!T6=7M
+H*c>bhVHf8gXXj0qUkDj!8$Acs4Ik>gtKVL;7YQ;eCWL.f&bNog="^/fs,:8]A(ulh:L9Tf_X:P
+f`0Y'f`'G%ec+'K~>
+h>?gAq>:$dqYU-eo)&%VlMLMU*W,d+p&"OWqY0m\eu=RXARVk,rVH?ep\Fadr;66cqu?Ncq#L9P
+q[WT&q"Vm;Qg=MFq>'p^pZD>aqY'^WrV?0;OeCY+qYBp`qYU0dr5nhd~>
+h=gI7q=a[ZqY'd[o(MqSr:p<dm.LGRqtM3-qsa4Rp@A%Mq!cY*Jp(<uVVCe2n+H8Dq"ss_o_\@Q
+pZ(rVo^MCf>*7t@q"FLZp@RM@&GPhlo(hqIc\\%Do(DePqY0m\qY/8.rV(g~>
+h:V>Pq:PPsqUkYto%<im!nYuPrm_#"rn%2&s4IG*fC[VofDF5Ag>13-h:U95fA>)eMJHWi6BfOP
+gt^`9f@o':g=Q5T!8-no!8$Ac&)#aog"E;hGKSUlf@ep1f&bNof%\a1f@70EI)"4ag=b6Wf_X:P
+f`0Y'f`'G%ec+'K~>
+h>?gAq>:$dqYU-eo)&%VjSKqmqY^?ip\!^\OF;eWbHGr<US>KWlhp_Wn,!%[qYTm\jSKGcqu$2k
+=LS&(rVQ<_q>01L%JfVpr:Tj*KULisp\Xa^qtg64qg\~>
+h=gI7q=a[ZqY'd[o(MnRrV6Eem.LGRqY:*a)>X1)oCCkJMKaK=_kh!iR$b/)iqWHDlhC>Qp@J%>
+p($igp%,+[Yk7bfq"=@UpZ;,Kp^HZgq!n!oI?WL_o_S7WpA4O.pAO`9~>
+h:V>Pq:PPsqUkYto%<im!S>p$eH+7QrRh,&!nc,Vpt#Ap!8.2%);X6+g"496E*Zt+XH6@jKSQ56
+bM;%.cJ%4Pf`9Xrec==afFQZjgtpeG30r4PgY(00g"GK>%bf[dh:pH3VdXbagt1?5qUkYtf%C#U
+rRh,#!7h(uJ,~>
+h>?gAq>:$dqYU-eo)&%VjSKqqr:9LYjfEN1Cn]MOq![(,KSXblP/$;Zq>L3]qYTm\jSKG`rVl5N
+A]XlMrVQ?`qY]IP%fZ(rs82]dn@!YClMC>OqYU-eanpS~>
+h=gI7q=a[ZqY'd[o(MnR!;QKdm.LGRqY2'.qX<qNiM^WuB:RK?oB4Y`H$sC?M7MdFo_A1KqY'OT
+jRrfLp%R^4?c)g="Sh]aq>'.G%f>biqtKmTm'1]0k4\N@qY'd[c1_,1J,~>
+o@O&pm+2$bqUt\sqUt_tqUtGlqq;#$!7q/$"5);Zf_O2#fD=&%f@ej0f%0iP*nf9*hpg6:b)]Ld
+8q=M)gsEf]ASG1EELt;/fA#$,qUsKQs4Ik<i6c^:W8?@bg"4j0g?$rshUC38g=t*&PZWa`g"FsQ
+f_X:Pf`0Y'f`'G%ec+'K~>
+h>?gAq>:$dqYU-eo)&%VjSKqlqYfZ`H=LQcjRi-;qY^>sd-fAXHtdqnYi5TZq>9g\jSKG]rqbK)
+GLcQbq>L6fq"a%K"8;Tip&=gmqXh74VYKo]qtg64qg\~>
+h=gI7q=a[ZqY'd[o(MnR!;QKdm.LGRqtM3+p%\IIX`[u[Uu:h5mdg#DV8hfAQucb\P,mF9q>'aV
+pZ2#WnFlG)IW<^-o_/.Yq=itD%J'>knb2\Nq!k_'U@e'QpA4O.pAO`9~>
+o@O&pm+2$bqUt\sqUt_tqUtGlqq2&'f@KrQ"5);Zf_F,"fDO2"fDaG)f[eXQf,iW!g>:l8Q=!-P
+LW%fqf%]$<Og<QFKNgrLFcO8oh"fXUfF?NbhqPnV=1-c6fA#*7j4Fjkh;-T6g"P32QUun_f%KoP
+qUsHPs4RA'rmh)"rmZG~>
+Q2;m(qtU!bq>'pWrV?9er;$3dqtg0dqtTm]r;$3fp!.beBQLBHq#1%8qu-*\a+!%Cpu%ogA7:&-
+p%A(Xrr2]lqt^'br;?Qjp\OjdqYK=N#P\)oeR40nq>U6ip]1-Kqu6F%p%SBbDn,Q?qY^<hrr2K*
+qg\~>
+Q1cNsp@IqMoCMY?r:KXUp\"4Qp@\(Np%.bIp[n1Tn&TKM@Vr(1o`"Raod'7sn\0(rn+#)$CgC4j
+^@1LZp\OXUq=aIQp@n=Xp%.nPp\"4@p'C0YpsN>shXpO=pYPTRo(DgVC:!L-p%S7Tqu#m%pAO`9~>
+o@O&pjjqK)rmh)$rR`CKf%Ad2g"Xm6f@AL(daZk#f\5*6eC)q$f%Ad.Y?=+a=d.:crn/RNgYC31
+W*dHrftW,:6U5%Te^W1+i8)u>g"4j/g=kB8e_/^2jOadlf%]/p5\J$fg"tBYfacQch24pme_Sj1
+g=Y6<d*LAEg&9S&ec=8"e:7~>
+Q2;3nq>L*Nj5fJ%qXs^arVZWlqtp?i%0$%pr:A?q;J(HUkkP&O-2[Q5rSt*%g[kF<m`ClMBlg-"
+kjS9Ep@\=]qtBaUqu-Kkqu-HSqZlusn[N&/p\XsdrqHKhiVWWN%f>b`qkmB!nbN.Yq>Bd^_Y\i~>
+Q1bdbo_J1<h;@8go^MPNqY9m\rq?Bd%Jg"rnG2OtL.l!$TB#M>p*KD,nbh.=][?*@mcMBLI:@#`
+bMh[Sq"!tLrV5pRnFlbVp\+CVjn8uOr9:FjV=F9QqtJt@%f,PXqP-ffm.C/Io_7_N`qKB*J,~>
+o@O&pjjqK)rmh)$rn&LOfA,-#`5^![gt(-3f@AI(g"YB@gt^i?e(iEWCbeOkM9Xi1rRiOOgYUTD
+`0%"1eDAa"W-DfC;M;<qcIUk&eCrj8eCE%$hVQu>gY(`As4IY=d[3@Zf@np8f_X82gsXI(L,"e9
+f%em.g!8R&f`0Y'f`'G%ec+'K~>
+Q2;s.o%L[3L5(]Ap](3grVl`gp%nXcr;?E]k0oi2AV@q_o_S:Xq"X[aqBPG'r:fEDZKqA_rVl`g
+c(9B#I&>6InbW.Vp\k*hr:KXWqtf@M#5[V?F4L6drqcWh!;YaRs8;oo&Gl4to_A@YpnrD_oCr"X
+q"V]&J,~>
+o(M5?^\/rKmF8LqJ:NF)nbi1Uq>:!YnFZPQq=aLJim!cq?[fZGn+ZAFrqHEc,O+mnn)TY5k4/!5
+qY'?qP]UATSAj:Pp\44Kq#($`naQ2Ep#PfPo^_'nD9qtMpA=UGpAagap(-ohp\OLRU2n<DoCDbM
+o_QT$rV(g~>
+o@O)qe`YE_e^q^ks4J[Qd(5Z[B4u;"g#C`9e^i9ue(WgCi7lr2`j:%\7:`48fAP?8rn.5',1#$"
+fZec.cIge'iSE%bHWs'EK<2u>g=k',gY^oBeC<+'jOjLc#M[L:;mkH8g#(HYfacQcgt()2<ia[!
+eD/X+gs=XQg&9S&ec=8"e:7~>
+Pku'KJmFPphh@Qhr;HKiqYU9krVlX'o@C-s?u_aQnG;qXp%S=^p`fP1qYg3eo_/18^ubChr:p-g
+qru4uL37X3_qj\Pr;66grVl`TqZZocjCaPFr;-Ef!;YaRrqmE+qY9j[q>'LVoqHcGp@nI\r:Rr(
+J,~>
+o(M2>^\/o*Hrl9Yg4#:OqYBgZp@nF[p[n+OmE_eZ=_a86m.KuGn+$,Np\sk2qXjIJnFP&:g[t(-
+nF65ChnPV,CMT?Pg#hi"p%%tVq=jUUjRrlPk29X(me$5HqtK4Grq6<brqHHg$gmcYRWQ+3oD&%T
+nAb2#pOE~>
+o[j5sf%&p4!8#-@s4J[O]ja-F^Vai<eDT*2e^;k!h;-rHi75<!@R*e=T[V]Ni7HT6rn.5',N%20
+e_/`hT>TI<g=Y'9fuL"B@oH9SU;"e#h:gH:i835Bg#^img"Xip88m#3g=bB9qUlA2gt^93dXG8e
+f%&L,gsXO$s4RA'rmh)"rmZG~>
+Q2;imN)l/!p$eDtnG)kVrVH?bqu$?XeZ!h-I\4s^p\OXWqu6NirV-fsqY0s]rVcN[ca2X,rr!W4
+rqucmkJ<X8FF^+'hY6mEqY:!gqtfFO#Q",/?E*esq>U6ip]1-Oq\B&-r;6?cp\+7KqYg?RRt/HI
+q>U'b_Y\i~>
+o(M2>_"Jr5L/<oana2Q`m.0iCqY'URpA+FFd\CeiG+-PDnb2PAo_S=^p*B5+n+Z\Kkf0RSnacAF
+p@RnHo&$m<F_uDn^>&/Kp%._Iq=O@Ap'C<[\6#L#o^qkSpZ;,Jp&F^sp\=LUnG)kQgm!-#mI^8E
+pr<%+pOE~>
+o[j5sf%&p4!8#3BrRiF=Cc6FQg"1a`f%AX*f?r!og#(`<^5cDi@"Yc=fA5*/g"b<Zf`0VLe_\j4
+j4_naP/H&0hqm;JgYLZ,TQsa??\,#hf%Jg2fA,9:jk0Rc#,+8=h:gN7hq7eY%bT@\gYUW"G[-uh
+f%e^-ce/9NrRh,#!7h(uJ,~>
+Q2;i.<Is*-o(8#dpAF^[rr2ikr:A@.F_d#Nk5,&PqYC$gr:g*brV.]7qY'j]rVZ?cjLr^eq"jsb
+rVZWnrql9;^Sm-8JZ6BAqYU0fr8d_[p\',I_t<d"rqcWh!;YaR(&e.0qtg*^q"+1So`"IBQ@?pD
+r:U!)qg\~>
+o(M2>_=f,HVb_Zpqs<d/DY*Voo)&=[o_7h!QYp;f[GUZOnal>Dq=a=Tp]'q3nbDYLp[7_3[(jlQ
+n+Q2?nacDInEA3.Tn[K3U:8hIp[n.QjRrlKols]Snb)MIqtK4G(%q4lp@e7Uq"47QnbDA(OEnb/
+q=+4"pAO`9~>
+o[j5sf%&p4!8#3Bs4RG+-&a]k_rK8"G?`t\f$W+#e^W:([tS'`F.pe8iS)u;g"tH4g"=pUf`0VM
+eD&U3hUUE&SuK3Ng#1N<gYC`Fg<m="LMTsuLn2<6h:gW<g#gong","g6_i8ff@f'6qUlA4f%A[+
+gs3]V>G]QudbE+#s4RA'rmh)"rmZG~>
+Q2;hF=3:.-q=&lemeZnZrV?Efe<t8oN5OcRqtU*gr;6EfqYU'arV-s"qYL!dq#1'fqXgqFnbN%Y
+rr2rr&H;Y*rq53iW/>hWU;,abqtfdY!rDfjqYLKpnR-:rp\XpcrqHKhlh^\Yr;.9-rVZQhq"XUW
+p@n=Zq=W^7K$aDlqY^?ir;-6d!;b4BJ,~>
+o(M2>_Y4$&,AC#no'Z)5GCA`Jp\4LUq")gpBkN+2h=L:/o_J4Qp@S%Po_eI_p*95+oD/%Qp$AH#
+m-jK:p%7kHo(2PHp[6_MTn@?;S@RGIp%@eI!r)E_qXt*clW@iWnc&7ZpZqMQp\aaap&Facp\sjp
+o^__Kn(X"Qb4YH"p&=[_p\FL_pXo3<pOE~>
+o[j5sf%&s5!S,f@f`0VPg=oC^XP2:\dUd4FgtUK6e(<*UHWF0fW6*rTgtq#Fg=k01gXk*0rn.5'
+,1k`*hqHo@e;RqhfA#*;h;$c>gt^Q;e%VZ5B2rYtT>K=9q:Y,e#hmco:rLu@g=c8R!nl5Zqq(u'
+f\-/S!nl5Zrn.&"rn%V1e_8^*^NNtdg"=m%f`0Y'f`'G%ec+'K~>
+U\joc8c/>]p\Xm<=bQ8?p\Vd:YP7hip\F^5MeHsd_Wppkr;6*]rqcKgq"k!gqY^<hqu$BgqY^'`
+r;--ak0r//rVZZmqt^3iq>C0iq_[j&fX-N[I%\mXqYpKmqYL0ep\b$ir;6BcpA+U_p\O^^q>'m`
+ro@%Eo_/1Yq"FU^p@\7Qr!rT!qYBs`q>0p`q>0p`qu6Kqqtg0brqcZm*W>j0gkq'LrVQNjp\O^V
+q"aa^q>0p_qYC!`qYC!>qg\~>
+o(M5?c1_#.s7e,?o_J:.;gmm%naj7nVt0BLn+-(kJm`)A\`NDQp\""GrUojWoC`"XpA+R`q#C%&
+q!n(Pp$_Y5bh'c+p\OORnb)\Jp@nRZ*ph\4Y(^k=R`k$gp\OXUoChhGp&"UZpA+CRp\O[YqY(a%
+geNpunb;bLp%nOXo_/%Qp\+@Tp\jdrp\+@Tp\+@Up@n:Tp@n:TrV$9cs7dK+q"OLVpA"7NeUW8&
+p@7bGo(`%PqYBp\q"sdfq"ORXg\1U?J,~>
+o[j5sf%&s5!S,ipg#UfTf14NEgtT.qAC98hhP<W*hV6i:f%@*=85=-$d+d71gst*=f\+s/f\YK<
+gYCQ;gY:E7gst-5g!nfsZ+d0lgu-o=f\><7f@U#Q*mVO0P%dp$J?dPWi8`_Kg"b60g"tQ;f@\U%
+f%J^+qpuqBi57EqeCNC.f@J^2e^W7)gY1E9gY1E9g=t?9g=k6Yg'$*_g"P-YgA9J;f\+p0g=b64
+ftD*7^"q8kf@8L+dFn*Bjk0UdrRh,#!7h(uJ,~>
+U\jrd,l@?0qtBmY_HahSp$V^ZMrO^"rq4KoBQ0WunG3"Yqu6TmqYU9k#5e2ho(DbPrV%'%r;QQi
+rr2ljq!l#(l1O`KqY^?hrVHC2s7PU%Tm:O0V9\T+q#($crVQ<\q"OCUrVQ?_p\X^rqXCY!\Gc=#
+pA4OPnb2bTo_\^doCr=_oDB*sq:1Iemf*.^qtTjVnFlML!;Y:EJ,~>
+o(M5?c1_#./bJc6o_7jg<O__ik4>9rfCRnmnA0Z^AsL^/o(D\Mqtp0^q"jm`p[n%FnalDOo+gom
+qY'[\qY9UNlF!bRmdKuDq=sRTr:g6b*;f6cb+!HcI\"LCnaQ8GoChhFmd]o=q>L3bp@nIZ&GPLg
+?aBP'p%%hLmdToEq"OITjS'2Yp$^%SKAc4fo(DbPq=XLSp]1'DpAO`9~>
+o[j2re`P?^e_'KHjk'RbqUYMp/^r5&eC`6C4.bE`e)67&_r&YrgT53_;1Z@3hVHo?hV[)@gYL`A
+g=Om'eCN7Meecrmh:^N=h:pK1cC'g7daR%)hVHf:eC4EHs4/1Ge&JPA=\i[eZe!pchVHl>f[J6t
+eBlh%g""U&qpl>2d>^S^iSE/:g"+Kse^rO0o\B)n!8@%t&)5sp[VTj(f[e[,f%&=!eb%DmfB(Zb
+g&9S&ec=8"e:7~>
+U\jrds8*]/s8)Q`dqSULp%,>Ag%=k2jH*u%[-%2_qYpF!rqZ<cr:]mZqY^?mrVld3rVQTor;$3c
+r:Tj_p8`5RrVuWeoCr7\q],S4rr)W[lDS`,HbJb?qYpHjr;QZkrV,pWqtp3dp^d6"M0dkJpA4df
+p\=^^o(VbQoCr=_o_]6urr2lDI\662q>9mZrUT[Sp]1-Bqg\~>
+oCh;?c1_&/s7e/>r:fpRc=6M3mHpWoc0=Ebg4igPWS@(9n+-2Iq"+%Kp@.VBo_SOaqYU*arq[H,
+p\Og_p%J+Rmd^/CUhdgCqXF(BnFuYUp\sk+q=j^]o'#/.C/T,\j7)[7p@S%Rp\+OYo(DkUq"j^p
+r./n:n+$)IqY'[^p[Rn+pC6ilaE!I,p$hYGp\sm\o_8F\h"L^@J,~>
+o@<olk0sC]f%9uSqUYJo):dKnf@$ophUC*.NG#iQe)JAf7p_J$i835eh@A5jgYCB3f@o0Cio&\K
+h#?+jgtLTAgXt34gXOj6er!>&iS`;>dam.&eC<%"f@\j3gtp]/bDTCa?D,QrgYLT9g"kB8hq-?.
+gY:EXfFHnU>IrA9f\PB8f\b?0f(7VWfallsi8V(JHdCHrf@/:,eCF3B!8$>bs4RA'rmh)"rmZG~>
+U\joc*<#[1qYC*_L;i5qNeYjPo$MtcHG8_ErquWmrV6Bf!rMrprr2rr$iBetrV6-_q=sa_rVl`o
+q[EH$jRho@Z,HD6qu6Hfq],A,rVc`lnbMh'R<!2"Z.8.9r:^!`oD/@\o_&%Wp^d5n@t4LSq#'UR
+q!dhJqu$'_o_8I_qssXmrV6<?J#2]5rqZ?doCr@^qUk[q~>
+oCh8>cM%/01ALhBq=jUYn:/1+^4L[IlL2c97rP`mqYKdOp%.VAoCMYMr;HQgp\4@Qp%S+Lp%@tL
+rV6Bd&bYtoh<jF#WkIrqo_nCSp@n=[p&XaXrqI<&m.TheP%nTXWm9Yup[@bMnG)nTo(2YRpCHud
+>Bfu;o_@bBp[I\Gqteq=s7QipnbC=LRcX,7o_/1Qp]1'DpAO`9~>
+o@<oljjX:^f@U)TqUYPq*8'&tf[na0dq,>mW,-%Jf%[N>1g?Tsk3(UViSXXf(#%F"j5f4Vh;6r@
+gYLK4f\+m.gYCT`g],t^i82B$c\[aZfA,*@g=b',eCE.%f[\[0gtpf7i7bMc<D[=j[)gtUe(<C'
+g"k?2eCj`O&)#K$@,p"qh9OO'dF$S$h=K@^faccoi7d.t>CjuLg=Fj.fCRPnfB(Zbg&9S&ec=8"
+e:7~>
+U\joc8,N)WqYC'gnti(JT[r;KP?(LfKW3&Hf\,$4h;R5Hj6,@YlL"'7rVcZorV?<hrVZWnqtU'f
+rVZQdq>:*di1[7;q=XXUrqcL0r;QWgq>L9fq>UB]_O5q$Pf)8;mJ?bTp%S4W%e"#&q>9a<]Yie+
+p%J%LoD/"S!;lEd&,Z2$o(E"$GcL-/rVQ<\q=FI8qg\~>
+oCh8>cM%,/8,2cNp@S+Ul^jT-QHn@%LeC0:H(M^qc-F_be_&F%gu-i;ioT@kp@\(Qq"44Rp\4O\
+p%%eNq"F@Kp%7qOfpSYqo'Q5;q>0e&qu$3ZoD8@Uo(`.G\rh5ZNP*s$k4\TAnalMK%ddVjnb)A'
+\A."uo_%hHoD%GAs7QotmdL"bDP,qap%@kFp@J%6pAO`9~>
+o@<oljjX:^f@U)TqUYMp9A.nJf[nj5d=d'qJ@N_%Fu_?GB8in)]=bno_o'7&`Q>s4bKeJehqm2H
+hV-]?h;.#IgXt9;hV?o=hVI&H_LdcjgXb?4hUpE1fDaD?hV[&<g#1lGguISEUO$<OF/$Ccb1YP#
+eCOBI%b+%#g>1;nS>+$[e^i7!o@``fo@XW-gYgW4i1j;+aPPS$e'dj=!8$>bs4RA'rmh)"rmZG~>
+U\jrd7f2uXrVl`jqYg-_o\d-<IufeOEbfQ2F)l87ATNHMFF&[rO.N;L\B2t;aOA_qj5fCnqtp6f
+r;-6do^V_Up&+1(^?>4cq"l$*qu-NmqtU*fqu6Tlp[$2)Mg9oWdGF<grVH?dq@<D+=PWlN\pofT
+K'iO-q""7Pq>gEbr"&Vtq"=FWq8.Qhl2:SZq>9d[f_^1~>
+oCh8>cM%,/8+lZQq=jOSp[IbBg8fpMKo:Lq@:Wn_BP1[VBm4Q2E-m"dPb"JM^;@Y#d*UA"hVmeo
+p@S+Qo^qkGl1"T<puKT+iplR3o_S8$oChtSp\".Pp@J"Qo^V(bUP*Z7W6X)]p\FOTp&"FmoqtU7
+p$oA6Mdq5$r:'FNpuV8Lp'gN`o(0D5XPWOBp@ItKpY>K@pOE~>
+o$ujO!7peojOj:[qq+Nmf%Jg5g=P!4e_/NkP\slLH#H\Y;GpOr<)#naA6`)<AS5q1Ll.S!XfAA0
+[_0Mra3i\tg>1Q<g>:K2g?$rGcEs7gg=tN=f[p&R*7iftgtg`<i8EGLiSE54Y)-mp@#_M+cJ.1.
+f\-/U&DN:,^#.P4?Z/GCc/-n$g=c,No@Eupo@XT,gt:<4fUl9/`7Nbteah>Rf`0Y'f`'G%ec+'K~>
+U\jrd8Gi8_qtg3cqYp*I[>&pnd.mP2e@McVQ\Tp8LQnX@W2-5]O+N43EHcG7>&8/,N09^7[^sE#
+bg+hthVI]#s8;cX_ntR4qtg0d)uog2r;QZmrVQKjrqu`nrr29*Tn7B=VTS&np\F[rO`(0shN+DZ
+H@#5]nbW+Sp]1-]q>gEbr"&YsoCVbMr;!gNZhF@ss8;Kbf_^1~>
+f([J`qtEYTp%e=Sp@@hOmGP-sEKS?3q!H>3V4*HpF*)njS#;dCR$3,FHtm5-Alqi?C3YJlQDq*q
+^;e16e(NF+kkY&Ho]*Wri:H^7qXt6mp@S+Sq"a[UoD\I`p^HunjhdI5D1/(tiU6=5oaZdfoC^[j
+S]u8!nGDYKq"+=BpAjpdoEY!`o<<>7m.:5MoCq&6rV(g~>
+f$s<B!8$&ZqUnElgtC?5f%8d+a-:.:Gd?/eg:Eo>LO<oG@;L4FPDOsHIrAe1=&N*u764+=?>OY0
+O-Z61XK8S9_Sa7>jQ,4UcD[S_hW!;Dqq2;4g"5!8hV[5Gh#?1@iS`VMbG]r";e(QaaOJo>gCW.\
+:Z(*FE.kQ$>1;BVgtUKRfCRPnf_!i-g=b*1g"G04Q!'*pg"b?8f@^,VrRh,#!7h(uJ,~>
+_#+!+q>9a\s8H'qq"jser;-3cq"2n7P_PaFlhUMUrVcWlmbH.!Um@+0Z+A0=n*8`bd)a8E]!J]G
+TpUpnIXHBdJUD]oNJNCfYH>.D]X*Nkg@F:[kk"WIqYgHkq>:*f0)bhLqtg6irVQKbft!N'J<-\G
+ebo4?qtg'UI"VFr^jF8i\%DJ8qYL!`q>'m`qtU<iq=sses8)ipqtg6jrVufqrVcZoqu?R6qtB[U
+o(i1Zn#2/gq>C6jr;?Hfq"ssdqY^9aq>L6nq#'s`r;$6er:Kl:~>
+f(\M(qY0gZoClMbqYBgUp%\=Up%%hImE;AeJ=!t3o(VbLp[n4De]>%eO,8poXhWHHh9jTe]XtSR
+WN)ncObnF/F`DJKF`Db_J:O5hVl[;7Xb3+klJ1"Nme-;Hq"sdWp@n:S/+rQ.q"OFOo_8%Mp$U86
+P'hP2U:nkFnb)PGnE4e9oCBA2`T=D5o_nRZpAXmfqYU'pqYBm]q"OLVq"ORYs7cQgrV-?cs7[Q0
+p\+=Nq"OIIU49uGnFlSNq"OIRp\4LXqYB[TqYp6koD%tRp\FO[p\=I\pOE~>
+f$s<B!8%)"qUt\so@[:#gt^Q4fA#*8g=P*1dBAFKA:(#ngu@5Nio&hF_6feiHZXUsR]OEQb.bQn
+WMlP[Q'7;\G]@5">Zk9?>ZbKTCMSciP*_i8Qu7Yle]#5Bdb<I/gu-o<g&9Y^gtglEgY(B=h:pc9
+\X@_R?uV"![G9HjgtUH-?"DjLTj+YDR%)adgY1<6f\"m2g">!2f`'P,f@ej0fDXA%g&9S'gAfk+
+gAT_)f`0VFg=b-3eD/d1c\H,2e^rU2g=k63f%Ja2g"b?2f\HJ[!nH#Uq:YSrq:Y`!rmh)"rmZG~>
+_#+!+qYTj]"T/#kqtpBj%Jfu#r7.6_O0[=)qYL*dr+Z')qtB:+a1\[DLl.V)_9_<As8Dorr;Q9N
+lJL4EcHFJR_8!:KSXPOaH%Lp6K8$"rL5UtWStMsV\\#JibL>%li:Hd:pA=gfrr)clrVQ!9`1i!4
+FI9i5rqH00>dXJ,`eDe*m.L;UrqZinq=s^YqtpBf"Sqojq>1*f!rW#qrqcZlrVR*$r;HWnrVlfp
+r;?HfrqHHfs8!`2lElJqr;?Nmr:p3aq"sjaqY'd\oChnSp\t!eqY^3eqY^!_J,~>
+f(\M(qY0j[o(Njlp%J4WqY0^Sp\"7+PB;V_dd-W"qY#%(o_%_6dD3,aMgTu5UU@tno(V_Fp%/%F
+iT&P9cGmcE`4<@WR$EhgEcHDWL3n?:SplBIP*qf4T!Yo6]Z/7EcIqRTmdKlEp@nCWoChqBe@_6!
+EbpiHlM9u@_c!K)n[s4ijQ5h*qtBdYp%S4Rp%eIXrqHHf!Vc9dp&b!`q#9sdpAO^op@n@Xq"X[\
+q"OOVp\ssfp]'q,p#N*$_!LO^qY0UXoC_kMq=aFTp@.VBp%%tOq"ja]pA4OYpAO`9~>
+f$s<B!8%)"qUt_tqUt\u)qilsgtgf@gt:H;gp;3,Cll'Ng"G3=i8<JMhu;JPg!.+.T9"51C3ku9
+YK5V^hqd8Ij3u/p^ppkWXL#%'TTk(ZI;iIsASlF!BS;4TChn9FJVJiHR[KeIZ*^jPdb*("gu.)J
+io&VLi6f67K4eCgH(`XGg=r\lQ/:>pA[0M)e_f6:g=k02f[eX-gXlGWs4IG*fDaD(g"P0ZfDjM%
+faQNdg=t?8gY:H8g"=sQfc/%pAuXA6g"kB5h:C64fA,'1gtL3*e(<+)f%TuRqUkSrrRh,#!7h(u
+J,~>
+_#+!+qYTj](&e(.qY9pbqY^$0S:Z:,f'W>3qt^-br,V]2qY^9en`AEM]W%B[PG#/#hX::@rqufo
+r;QZjqY^<io]tc'hqHf;g=k0/ZAk?oWiN4gOIMc(Mi3RPK7AT:Q'\,C[(=)teCj$Vq>U<ZhpJos
+K8,o5m\a%Or;G<>`pWX"q=sa\qu$Ekq=a^ar;QWqqu$Bj"8r&mr;HQqr;6Hkrr)fprW<&qq>9q(
+qYU-WX,>=%p&+d\rV?6eq>U6fqXaR\qu6NpqYC!cqYU-eo_X.~>
+aS5N(qY0j[o(W1Z')2+mp@n.Mn&(E;H+MDepA+IUq"B+.o^qkPp#t5\`j;8"Jr5km^!u*3qtBXU
+oCDVHn+$&Ao'>>ph:L*)e^Dmlc)QJ]_5*p)P)>NjNJ<1DKmn;rM2m[bUogr6`m2uhm-s`@j422P
+M0XN5\`TJSkjS&fP.]rHp%7hGp%\F^qt9RTq=sd^q=j[[q"a^[$MX8eq>0p^q"OLWrqZWjrV6Bf
+!r2K_qtL-a)tW*]Hbf(8p\XFVp[n=Tqt9[VnFu_Pq"jdYo_S=YpA4OYpAO`9~>
+o$c[Lo[NrnqUkYtqUkYtq:bl'=5)?[g"P-8fW':+?CnOIf\>*3gYL`BhVI&Fh;-iAh;R5=a1\aK
+M0s,]JWcqFcJ%C<h;R2Fi8*)@h;-l:c-+/D]=ktl]=GD8Dg\LBNfJF+I!g!LBfg*D@9mA\F*<"i
+Q(+PP\@fu9gYq)9^p9>LA8$Igd>9d4h;>hnVpF&Ng=P!1gYLcCf@AR0gYCT=g=lJZ$JO1cgtgc?
+g=k67rnIM.rS%8*!nu;Yrn.2&*8B,gLLmO=dG*R,hV6Z=g"tB7g=+g2g"P68f@KfOqUkSrrRh,#
+!7h(uJ,~>
+_#+!+qYTm^(Amq)rr2lpqtJU.CP9:Qq>C3jrVQBequ$Km!;uinE;KJ0qY^?en*9#h^mp"-Mj^`j
+kl(P\rVlfprr<#trVlcorquWlqu$EM]Y_PUna,W+lg3fpjlY[`iRYWCYH4CdRZW8MH\.$/Q(t@f
+^UCDa[t81$ATI>/rp\k5o(`1Zq>UBjp\4O`rVZNjqYU9k"TA2nr;Zcq#5S&jqu-NnrVQ]lq#1$h
+qu-EnqYC$`"oS,_VMWt)q@`]"qtp'`s7#j`r;6<eq"spdqYL-dqtg6_qg\~>
+a7oH(qY0j[oCj$op%S=\r:opQacBkXZd\R@qY^6co_/1Vs7cTgrq??aG4YD#n)r]de$tWgG_;$P
+^u"b\p@ItNo(;bRp@e:Tp%J%Mp[e(QfX/9'm-a$"j5oF^hVdGQgtpDbVPp>ZPELcMF)uYVI>aMc
+X0eq)\#adW=B]>!iq2?_ip#t*oCMeSp%%\Gq"aUTp@S%Qq"OOTo_81W%f#kloCVbNq"a^Zq"OFP
+rUg0ap@ed_p$q11GKBdW')2"mq!e+Vlh(,Nq"=@Pp\"IWqY0j[qY0dYrV(g~>
+o?mWff@0fOqUkYtqUkYtqUuh?f\50>hqQl<Z[#,ORCUr'h;6r?f%Jd3gATb0gtUQ:g"QG\Cu4(%
+d*'GATm^EZCj:u?aPZ(:h;@/GhW*YRhr3JLhqd,Hgtq#+SYW.6f[/!gc-45E_oBX0_R,\fNf/C6
+HZE\'?=dhbGD1sATU1h:Qt&TR7T@pcimGTfe(NU2g#(`Bf\"p6hqQl?g=uS^s4S(?hqm5Ig">$5
+gtpl@g"P-1ec")"f_sM&f_sJCf\>$(Jn)1Eg"G*1gtU<6hTja2gtUH5e_/R2fD=1sf_F.uf`'G%
+ec+'K~>
+_#+!+qYTg\'`7b%p$^k*BQU<:qYg6fr:fjZrquZjs7lcqs8W)tr+#R"rVZQlrq>sUo%h-XPD+I@
+TX`_Hrr2flp\FjgqYL6lrVQNdp\X<NMUhY'rr;`hr;HQjq=smbp%J4Uo'5W6o'ktp^:C_bYapi-
+J9,=#;*IEKHAeAgZG+N/cI;(WrVQTn'*%q0rVl]ls8W&nrr)irqtKpbrr*0#qt^*drVlcprX/T#
+q>'pdrVQHfq>U./pAagTnXP0krU9d]o`+pZo)/7Qp[%bTqY0daqYL-dqtg6_qg\~>
+a7oH(qY0j[q=j^Y'_V+in*/Pa>\TkdpA=LWq=O4OrV??cs7Us=rVl`jq"F=Pp\"4SqXEnBmao";
+LjF,jQEJQsp%.\CmI0iFoCMbQp@S%HnG247K[9Aeq>'RQpA"CUo^heKmdKf=lf.$nlfdBQ[B?O4
+Ulg:RFD"`F6npYlD17Y5VR+(W`Q[B:q"O[[p@\+Np\FCOqYKjSqXsRVoC2;MqA&i#p%.bIp\=RZ
+q>0p]p@S"Nq"XRVr:_3&rp]17MJq5Gkkt)BqtfUEqsj(Hk4e`Fo(2kRqY0j[qY0dYrV(g~>
+o?mWff@0fNqUkYtqUkYt!SZ<)g_AMsg""EaG">Ph`nfV*g=k*)f&#0Yg&KZ@gYUiDg=tE:gYLZ>
+hr*)7f[RU/K61^4BnDbbe)B0=h:UE=hV-]?hqd#Ae^i[&JoA9\ioB"Ng>(H:g"4g.f@&.#f?qad
+f[eNs\>#L]SW\JBAR\Y01c$7%2dC3MK9W"0Ycb@Th;7&MiSXXk,iI_;guIGNg>^uHi7uu=ioB%V
+h:pW8g"P37gYCQ:f[eX+g=lPW+P59!g">E>e'`JG_;NVug=G3?d*^k(e(Vpth:L0,iRdqZqUkSr
+rRh,#!7h(uJ,~>
+_#+!+qYTm^s8<Z0q<u@W=ED%FqY^0XrVQKkrqZ!Uq>1g$q=jUUpA4XarquWiqYpKmqYU9k-hl)a
+MM-.tIYaiKn+$#FrVZNfqtg0hqY^97Q@m6Pme-SOp\ascqu$F^r;6Ekrr)H]rV?$Xo^_(WR!rUW
+DJEa'<*`g@=&r+$>?kZOBkLj]@r#puFG>s>QES^!nF>u5n+H>Hq"47Qq>C6ls8N#p#Q"5lrr)cl
+qu-Eoqtg-fp`','q#0T>C?5?ir;-<hrpo^;L53n<mJ-SRqtKsbqYU-eo_X.~>
+a7oH(qY0j[qY0j[(AIUtp?KJC;/!&pn+6,7q"FL\rqZ!Sq=oI6p@RtIoC_bNq=aISp%\@Wp%J4W
+o^0_dIsGgHF+'Ltkj@a-p@e+Ko^h_Po_A*tO*nb5kj\N=o(VnOpA4RZqY9aUpA4d`lgFZBl1"$+
+fs$BS=BAp:=(Om!;HHI^6VpTV>@:oJ>#e[4@UWttLP1S]`S9PBkMtammI'WHm0<"Ko_/(Uq>U'o
+p%.kQq"OLUp\4[\rV%<)q=!eBhL/_dq=OLSo_8:Nmacl<_s-FZp[e+LqY0j[qY0dYrV(g~>
+o?mWff@0fNqUkYtqUkYt!8ID+)r9B+gsDs03)l9og"k?-gY(9:hq60%e^r@&ec+-Le^N!odF6e&
+hV[,BgY:TBgtLN>io&LsK55%"=^PltZd[IQf\G97f\5$4iS*/CXa4]`gsXj:e_&U0f\,'7gYU`=
+g"bTMimufGiRcu@grQ.7?q3[_9Li&?5X@k"3&*NX4[_k47R9:-9M\D`B6/':Og<'Vg!e6pf\"m7
+s4@P0gu%,NhqS._$.m_ZgtLH6f\+pVef`Ssg"G-<f@ep%Bh6/!g>CT;h;cu6]Ob]QbKJVne_&CJ
+g%s@rg&9S&ec=8"e:7~>
+_#+!+qYTm^(AdU\[Y8gg`;TN3rVH9eq#(*ep%eRaqYN8Kq>'mbrr)ckqYBmZqu-?`q>L9foCW"[
+q"ajOd^>BqJ:EZY^"_f>p&+UZqtomVrUSRTde`n;rr,amqtg-drV6-arr2fdmHWi`^TX#]IX$@%
+PekAtp\N*VlMg:pXGC\-Ju6B$[^*!/T9tUhG&M,2G'e=KEe&LgNg#m-Xg5U\eDB0Di83P_rp^3b
+q"t$fqtg<i+T)!0p\XCVqYL3MJ=#9iqYp<foD5e6U83p3P2#j0pAXpdqYU-eo_X.~>
+a7oH(qY0j[qY0j[)t`OQY^^PO^@q$lp$_AGoCr+Up%\I\q=sd\q>U0hp1=!oqu$9`p@\%Jp\XXR
+p&"UWm-FQEmdBZ%aK(8IG'/S5[aaF%n+Q;Ap\!h>qs2V=bObQ&r;HQhp@S"Pp[[kHq>9mOjlG=C
+[\Se+DeO'<KX&#5kNolojS7]GT7(0UGb)FW/Zu+KQBI/WFD55k?YOCk@V9q-HA7??SY`?n^s(Ed
+hV6`@l0n$+n+-2Ip\+:YpAak-q"j:MoBu.tFHG8Ho_J(Mm.dYuS=YXqNRmdqnb`1WqY'd[q"F[\
+J,~>
+o[*]fe(<(Lf)"%qg%s@tf`9e(g`"nq_Nnb4Ff"*Pk2=qDiRZ]:f[JI-f@8@#ec+(udn%m9eC`L/
+g"G$/e_8s6eC`X6f[\R8jOr8Cag7=YB451dKq#TobgY:sf%\p)e)T)pV75=Ah;mYTh:gK3gY13-
+g"kZEeBcH5bdjL3H>6ei?uC+]Vnq$@Y#a':d&N+@:.o)PU8+$<NJ)k/E+<!I9MJSn<_ub,?tXM(
+IYj2RTrklCai(m)_9C<QcI17qgY1<YfDjJEg"PE3i835F^Ku-$f%T$6g=+rB;M'O>Ci?i8f@/RP
+g%s@rg&9S&ec=8"e:7~>
+a8>f2!W2`jqZH]mqYL3e-2RQ8qYU3gqtg6gqu-?Ue?b'\S'Ua*rVHKgr;?Ehr;6Bfq"OX^qu6Ko
+qtg6d1].+HqY^*br;-0`r;H<_qtU*dqu$Hmp>!NbQ]-ufTXN%phW+5+r;6BYX0_$[rVcTgqu6Qo
+qfql'k2+b=^7^F5EH["rT!QW)r;HEdqu-;cJEZn.rr)cSWe5;L]%,[)rVQTor8uMVcHjP=W2Z5K
+O,esBG]e.MEGoZ-G'nXgOe&,F^rO^Jg"tZHkO%^1q"jjdq>($grpG<)l2(AVrVP2cW;ZM3DJ.>p
+qXa^_r;-<er:Kl:~>
+aS5Q)qY1!as7ZKc*V]C(pA+LZp\"7Ro_.n:cE)_CQ-&Fgo^VSCo_%kSpB($ZpA=Rgq"a^[p\+:Z
+p/q+cp\4LUq"a[Vp%eOSnauDGp%7qPqs`1LUQC1cMO:N`d+I%:p[RhGk+f!9l1jrCo(;\Lp%7nH
+khaq=b-m[jF_P`?Kp8RPhXpF,md]o=Rs!QVnb)QWp=uEjC5'"?f&lPloD%h/b/_H>^8mm!P`:QV
+J9GpMD/<p!A79G#FaT+6RAII1`llf^g"P<Ekj\9?p&"@Np[Rk9GECbRo^qhIcY0!Jo"o*MbP:c!
+qtg'`pA4OYpAO`9~>
+q9f8jrR1_pf[KuQf@g,Vs4IJ-g"QDX!nu;Yrmh2'g=OsUfcJf!gtpfCg<-dcCKu4he)&m5gt164
+f@np1f[eR$ebdp@f@\^+e^`1#f@\g3g"G-3g>(B4f\GH9fA"s6gtUWAimtc:M03TNEIX7R\A5u1
+i7m)He<$$@eD]<?g"bK?gY1?4cGdK-[%Dth@9$KDDgmnNb2D43gYUlFLgnN^gu.)I`/A/(CR_`G
+cedI7jP7_^Z*(5tVNZdkI!'ILBjY(G=&i0r:.ePk=^c;tIuU/$YI(mV_84+6cI^k/hW<VLjP]"C
+@=$)OhVI&B[SM_<fqqG2XkVLUhYPn*f_a:sf`0Y'f`'G%ec+'K~>
+aSRLaq>'g]q"a^\q"aa\q=s^[qYBm\qYBaXqt^-dpA4a_iOkG.Q+#E;qu$?ir9=(ZqYBdYq"]C8
+qtg-aqY&gq]X4/lNfTa:`7<o>q<62Bk5>2TqYU*Qh9X!ES<T4tNgZW>YJerLo_87^rVQHgq=spP
+Lmdc0qu$?gqY'1'\!DZ*Wm'PurVZQjqtg3eq=sg^qtg-`m+C"DdE',3XK/=oS!oY!JV8]&Fb,[>
+MjC06[D2aZ)U6aahrO5&hh@cdrVQNdK50fOr9pG<i;EEMhYVg~>
+aS5W+!Vc<`pDWc#q=s[XqYBaVqtL!`nalPFfsH`dNj$suo_\=Fp?VJQpcnTLp\+=Mf?:P%OGJOA
+OJTD+f]hqa`jjjsoC;;@n__g9];h*SMhZtKR\-LjbhDOWp\FXYp%J"Lq;[*llLk/Ms7KC^jNk/p
+IYOT5g$SD$oC_hKp%S.Op@e:Up@ROseC;a[\Z_j*U7%4/NduA%HZ3eFLPpeFS"$Oh]t;A0dFR"4
+o@SATh":.-lZcdsp%R^CK\Q7nq;V,HpOE~>
+%+NbUe'lgqeC2preC3!u!nGoWrnRP."5;M`gA]bHf[na-f@AI)f[87&f@ej.gu@&+ST\LbQ+>8o
+g"G$SfDF,!f_!ktg%*bsf@\^SfE'UVrn7>(GM:ZaZ^d;-F)GoFPGG\/fAFiZV9@fThV@#FbJ1<Y
+PC@[sE,g8ZMNXmH_U?ufgtg`<gY(?>a_H1Kg=k<9g=k-"[$GiDCPf+1fA,*5g=b*0f[eU)g"b?9
+fZ^k9\[&-)Q&CNVK7/2pD.[Nt@9mPlHZ4:eL`W%^X/WP=^;S+BiP]>\al)"3em_4qhr)e3B>3*O
+h"o\)f[ofI!nZ)XrRh,#!7h(uJ,~>
+aSQ#7q=OG%o)&F_q>:!^q#(!]qtp*QdC4d>L;)gCrr2ciqW@YUqYBaXqYC0fCA@Msq"jpep\ape
+oB+H9XI>6:UTh/>YF;9'eBQ(JZBp8rJV0&`^W4jep&+ggr:p!\qY^9fq=sgaqUC&2p%nO^qtg-c
+q=jaObHRCpSZfrcn+cbYr;-6co_A:Xp\Xpdqu-Kjr;QZn0`:eErUf""h:Bfe]tV._Za-?mOFr:K
+NJrjVQ`$^/?_HNUr8V(0rqH6bgsYfgqu,CKJ,~>
+a7oQ+p\,ZsqY^-_q=jUVq=sRWq"*UkYC'W*\)6WKq"+(Lnb2\Ls7YgRs7gs6o^qkOq=sIPoD.V*
+`jD@sJr#biXgY$dS@6VX]s=PpH?a^^LnV;nbhqg[p@n4Mo(DbQq=aLRpA+I0I(]"Cp@n=Tp%\4P
+pZKSuPD,0q\^BX3p%e@Up\=:Qq=jRVq=jUYq=XFUp\+7MoC_M&d+$=X\[/]LVQ-X<RuW8MIYWW0
+KS>GZTQ4"th!jpf;K2Bsn+G;Wmdg)HiqE?FJ,~>
+aj^CBfA$;[qqD&&*SAcnh:UB6f@\[/f[SX/g!@*pAjg7%`7*Mrf%/IFecFCUo\';uo%4#qf[p,T
+C"_.jeCN4(h;Ho@gu?i)ZD!;*EHm5%S"u3qMPReeX.Y`(BOkXbEf6Wk[`R.Xi8NPFe(*+)g=b-1
+g>:Yo@\M<)g"P05f\>'1g<-FVH#A"iTX`7tfA#!0f\"U)gtLE8h:p]@h:gT\gb7LAfu1VB]sXo<
+VkfTFR#-35BP_g4EcQ5KNfII4K?;p+`&q5^f%A]gYgCqRgXuDV!8-no!SH*(f`'G%ec+'K~>
+aSQ#7q=OI^r#5D+qu$9bq>0m]qX)V'F`Wn`ir/iPq>:*dq"+CSq>g?_q"jjequ?TnqZclmr;QQg
+qu6O>p[$bdc,QW/An=\HG&Ve[T!5iJdG!gXqt9XZrVQBcr;HKfq>L.Hq#1-f]78Z4qYL*dqYC$b
+q#(*coB4W?UP=Jo]AE/Wq=a^]pA4X\q"t$bqu-HkrqlQjrVcXEqtg-es8;]iqt]a<_7HD)Ob%L]
+<`i7#BkV4Un,LdCNq</ErqlQfqtp*chtqp~>
+aS,].oCj7$q=XCTqY'XUp@S"Nl-#T6Cll0`p@n1Mo_%hHjS&3>qXsp`rqQKes7@c5q""(Ho(2D<
+j4DDg]UNqG>!c>,AT2jWW3sF_e)BcfmdBcAoC2;Cp\smdp]'qto_J:V[sQj%p@e7Tp@\4TpA4[Y
+n);L#R!a7I[Fjm@o^hkQp%eFWo_84Qp%S4Vq=O:Qq=XCQo^hYDp\OLNo(2D8f"&)UMMZUm>#%ma
+93tn1R-44a<J0Z3p%\@Vo_/"Kq;_2IpOE~>
+aj^CBf@g/Wqq:r#*8K<$f%Sp3g">!0f@eBQK2topS\s4:f@AL)f$j9B!S>uqg%3kmg&Kb+g\oh^
+g"P3;gYLZAhqm,9`ji4PM-rnG0Lf2D?=e\RU8tW5b1PP%fA>E?g"P<<f[na-f\+s0rnTE&@_pdO
+g"P05f\>-5hVZr5a0_Rm@q'kT^!bZff@o!4h;-f<gu$c=h;-uGg=b<?hVI)Grnf-cl/U^\i8)o"
+V4NEbF_+NA3]o5Y8kDX.e)Rc"D:[Y$hV?f8f\"[-qUkDj!SH*(f`'G%ec+'K~>
+a85l5o_BL(pA"Uaq>:*erV5BhP];,Nd-^]&p%eL^q=smdoD8Oajn\cMs7u]ks7u]h/GfAFr;6Hl
+rqu9CcFg-?K5>%CHX9BML8<2dqtp?krr)ckp\=^cqu$Ekr;6Kis8-@&r:p5lPjA2Cqu$?gqYL*e
+q=aOZr;66Tf=IE-LR,L,nb;eNq>C0fqtg6hp@\=_r;-BkrquBJhV6)^YGIqcQ'@MsLQmRSQ^OPJ
+Zba]*c-;`"\aRpVQ14MBlK%g8rVQ6dhtqp~>
+\G$s4oD/1RpA"F[oA.'>CNlPulh0f:oChqNoCr.Rp@@tLpA4I]oHa,%oCDJEq"XRSo_8.Pk1.DR
+S;DK!=Di(V5u;or`TZpap%S4[pAa^tpA"FVp%J.Sp@\+Pp@S4Ppns2:rq6<brUhl=p%%YIq"!h3
+cENI`JWR4kmIKo@q#($ap\4OYnF-&Gp%.nQp\!n-f$hC?WLTBDrf/+\JW559OHZ-0Xgu*a_SVCK
+Y2mT*MWO9qj59S#q=a:Sj7`HGJ,~>
+aOC7@fDaD+f@\^-f@^)S*SB)sf\YH;gYL]DfYX>(;-Sm_d+Hjre^rC%db*@Hec==nf^memgA]bN
+g=b-1f@o*<h:g`EjP\M)Z_!)!Aktm$?9p5.Bns%Gi8!/FhYu@2g&g*fhu;C6g=Y$/f`'P/i7["J
+GL5*urnID*<8?6[f%o3:e]P@hH>.&;R_R>*g=b?BinrSJini>>h;R/BgYL`Ae&/u7Wh,N6L4jeq
+GBR_EC2eHGK8u7mVm3A*H;p<YYX<NYf\+?_f[JU-dG=ZOo@<rpg&9S&ec=8"e:7~>
+a8>K)*;fU1r:KUXqu#rrI;=&1iq*$=oD/7Xqu$9ap\FFX!;Z9^!;Z6_qYMc?qtg-br;HTho^i(Z
+n^t@SP_"OOS$KHVfA569MGIK2LlSUlnG3%XoCi1Zs7ulnq>:-grql`nAGQ,qoVB(lqYU0fr;6?h
+rVZTip@@tWqtpBgm,6<pOb/G$pA=a`q"=:To_SL`p=d'TUnO0<LjXPsF*3"oT;J<caP,D.gYq;V
+l0n3>qsa7UfR%5Alth7NqsV22p%eI^r;GOMJ,~>
+\b@':o_/"HmJ-DKlaD"KEN7j_p@.MCp[e.Sp%.eGp@@tLpA4G=p@\(Lo_/+Vo'Yo@o]a`+UPX);
+KoW(3d`g.ee:0k`H@:F?e*6Gsna5i;o()GGo()JKp\smdpBL9cn*ZgTnc&4]p)!Dop\4CTo^M8?
+q==(LoB"ZLW/H%W[IX=m4n\@7p$hVLq<l\9TUhO6MLfnlF_bi=LR4U%Wl*?;hUUB>hrEtfo^q>3
+psO+cYMio5q"3^W\+B:dp\4ICpAO`9~>
+a4(+>p!t/9g"P6:eC3=2gsMWt9371hdb3*pf%JL%e^MjleFV5kfCRYdg%sG^gtUQ9g>(TCf[SC-
+g=!R%O*+oEFFBFB^q.=r_JM%mBPVUK][,6cf@/=(f\"p4f\"m2g"=s1rn7P5f@G_Ig&Bb+gfW=b
+h;-lAg=Fa,i7Zc?h9NmGP'1MXT\SMai8*&;gt:EAiRb]1Kn4\rE+`BY>Z=a5EIimrO/TY$`4Ee)
+`Q6BRgY:-*ik/G`REJ62inhtLRap$Bg"G*Uf^mYpf\-5Urmh)"rmZG~>
+a8>H()ufd5rVcQMW,QC(_!1Xlq"t$ep\=^_q>L<lq"4FaqYBdX!;Z6_!;lZks82io0DkV?q!$25
+XH7gFFb5ULcKt&Zio'_5rV#N8Mq?CXO+2P1Pbu4No_nX_r;6Hkqtp;%q>C$ARF_93qtp<hqtg3b
+o_&+\rVQNmrqcBdrV-!TfV<S$L8`GUdC?6EO+D@gAm\h]LmO^4[E@@bjQZ1)nac5Gq"ad`rVlcn
+rV?Bjq>L*VfnaF^T38AU`1+sFrqZ?gq;;("~>
+\b@-:p\"1Sqt&I5BO?8!jS&?>pA4OTp&"FTr;HNbp\"4[p[e.[p[e(Yp&"C]o.fn1o^_PCjNOg*
+MKE?FG_2C%iT8YBeb&V3mb`SGbf?B0GBJ=nT=EG?p[e"Lo_84UrV-?cAFoQde<A8Po_%nNp@\(N
+o'Yu>qu$0Zq"O7EoCh_DmF7_H@>(N&gs!+%P)4R'A6r><B7Z/2U9;Dcg>1cQlg4--o^h_JpA+[^
+p\=CTq==FQl-b)k]U)KofY!HgpA=LRrUf.DrV(g~>
+a41.<qpYVrrRN%Bg#(WAioAh1M,?fVTZl-BeCN@(d*pXod+I('cdh40!S>uqf`9e(h>c:1h([X=
+f\"9KP)O?c9NGY@L9JkL`5TXRjlbFDDf3.oNc8?/@<$pi\^T<bf\+p3h:^K\g1K-pg"kApICe7g
+gY:N=gY1E7eCE=4inW8FhV$N;in`GF_2DSnD3)-E[[iM,F(JEK8O5I2A9<0RPGc%._o^6Pd+$Cm
+f%8R,gu$l?g=P*:g#CZ1\nOj7J3&n3VL#/kgXO^/eEk`ef\-5Urmh)"rmZG~>
+a8>N**W,[3p@@n+OC`-rhYI*Eo_SR^p&4jcqYU-`pA+[YqZ-HapAk$]q>gEkr&FTLp\=IKfXdH"
+E+a$*LR>Qqnb2hWqTtq3Dm]?1p&4p[c,%[%qYKNuSUYKlEe'n2nFlMHq>:*hrAXZNr;F9ehYI$F
+qu$BhqtU'frqcB_q"aOPp@e.JlH63!NGh`k<`i*a94NL8V7"P1p\=OXo_/:]s8FGFqu?Wiq"4R^
+rV6?bqY0g_q"sa_m/?hZfm@\f]RG:0l2:DVr:9j^htqp~>
+a7oT.p\,a&o(MM;mECAl@?f@5o^VABqXa7QqY'XWp@IkJq=jRU!;H*[!;H*YrUb1&naH#9jNt2o
+G\U]%C4_VP`Tlj[q"2RlR:NDikN_X6jheIDp%.n>^m94WA8?I[am&<^mdp/Hq"XUWo_/$fL=l+i
+o_%qOp%7hJq=sUPnF?#4l0\!,l/fgZQA90L9iP.d5"8k)N1[8kht-I0nEo]DoIB\7p\"=To(;DH
+p%n:To(DSGp@J"Gr9!hIp!Rnpbd;P9UZ2(BqtTRUoAfQCpOE~>
+aOC4=rmCeqrR:htrRV#$*8fAtf!TKe8q"J.h:U0,g=+?uf@&'pdETn]eC<[4!S>urf`9e*h+$2R
+f\4s%\XRkO:e+2RB6]cGdb!:8i3Iuj;OZOof\krAYb\Pai82VPH<a'5:L/IPc.(.hf@em4gYCT<
+h;=iD_VO#%g]#tWgXt9=hV-W5f[nKsf@nj+d]epiG?I!e4[1bO0M#_tM4(Qih:^<,d*r!H.c'%;
+g"b92f$W7(gst--f@8C(e_&=/bhq.0\m/+?SRGocaP#/!fZi1"m+)3ig&9S&ec=8"e:7~>
+aSQ/=rVH?cqu6F'r;6<fr:g0]jM$7]K<j2,rpT^Zq[rc'qYC$eq>'pbqYBmZp@\+RrqZQkC&7Z&
+rVH<br;6Eko^D#$dCQ*:I;a:UK:8mPd-CN-r:g!aq>Ipcp"jo0n]ArHs7l,r^"W>Zr;-$anA`#7
+LjXMtPH;pfl0e?AqXsaTV5<YVrq-0dqtfmPlfmTohoN.&Q\U*<F)Gk9GBS1dS#!U4Z%#h]J@45)
+p\FgbqtKpbq#('drVQTm!rDWfo_SF]%b>oDdJ`q7r;$*cqtg3bhtqp~>
+aS-_Mq=aLSp\+=Rp\+7Rq""1FgpVQ=H`GKbq"""Io_eIYp]1'bp(I,np%A%Sq"X[]q=jUUp%7nN
+q#:$fp/(DQp%S+LoChkNqX3P)f?(=fMfiZMF*j+K[*7\,qtBRPp[Rp]KBq-*\ECT@lM']2Z*M^E
+nbVnFr9:u%SUkp)GDrB9h;[bmnal2Dl(+A-kjeH7p%.nMlK@3dhqco"Wh,2uF`;,.B5hd/JsDt;
+_685a=aR@(nF?,Fo(DMCp[RtOoChhMq=sRNp@S+Vp(-iCF(rhno^MVIo(_qOp@I><rV(g~>
+`mc!Ud*U4ie(*($e_8a-h:0E9A4pHs]%l9!gY190rRChprQt\mdFA$DB\1hce^iF+g"P37f[n^*
+e^`=*f\,$7gtLH9h:gN7gtUWBf?hXTZC?Mh?;O^.A:'<'YK>MTgt19:g>JN?f>UpjeZ>n*jkJF[
+TY9.6hUp98c(gSUAQ`)=E/CL/`mNMogt1Q8Lkn1Bgu?l@gu$u;d*0YR`k\R:Klgj4>?4U#?!UiY
+KoDb+Qt8BIAXUBggYUuGgst!1e_8a.g"4p4gXaj*p!s2rf\$2V&DGmK>>_`ehV$]7db*.$f$j!:
+!SH*(f`'G%ec+'K~>
+aSQtQp\Ojer;69_qt^$cqX3%8HYe)1k48HMr:p0eo(r4[s7mE+r;HQgqu$?bp\4L[qYU-cq"a[X
+q>C.+qt9F@gsXNDPCdmqGCbsN]A`DWqu$<ir+>j&qY0^]p4':<dY[/TS9s/mq>KosXQ06PqY^-b
+qt9^^pZ'2`KS#JVT=WY6l0$TR\a8D<dbNR)^8diiO,S6uEd<(eP+f1rakH1Zr;QQ_p%S=Wi3\D`
+I&"p@k4\]IrVlcjqu6KsqY'^_qtp$^qYL`ndrfHYp&"R[qtp'^rndO&~>
+aS-_JoCi"WqY0XPp@S"RpZ^/"F(BBghWsk5p$hSGpAF[[p]1'cpAab"p%\@WoD/7Wo^hbLp\=R[
+q"FCPnFQSO;YBMCimu>qS;V]0BlJ?URBtZ9nFcSNq>0p]p%J"Fo^[4&lc4J3k`To7p?qP;YbB_B
+nFcYJoC_SBp@-kNQ[O7@OI*9!hr*D=J[+CngW@sp2T`A#Q\pNMDI[F"F*i_/VmjOlkO\ECp$D;C
+q"3=EL2D+)a4T8;o^VYQp@7hLp%@qGnb;kQo_87V%e]57De7Adp@RtNp[RnOiqE?FJ,~>
+aj_B\d*9qef%/@!dFZq"h:p2bM-Nb[N5jB(jk\SDgt;VVs3q%trmLen!moBFqptes("Lsif@/I/
+g""X(f\+s4g=b*0f%/OPgeunWccEc)YCq",<Dck,FFft"f%Ad5g=tE<g=k?9f%o.kOOpmVc.7DO
+_W9M2fUe/Ch::6:f%A[)e_ATiTmU<XEclet\B)h7]54"daMkHu]f!*eMLfhfD-'D0='B'OJ<?P,
+^XM-$jl4tKhVm;/Qu?&6LU"_<f\>!3iS)i7g=Y'/e(!(*o@Eom'%kmjg=3Q49t]3<g=4a*d*p\!
+qUP2g!SH*(f`'G%ec+'K~>
+aSR"UrVcWgp\F[`qu-KcdAUquK!XM6r;6Eip%SFaqt'[[qgSA8p\F^_q"XdbrVQEer;6?fr;HNi
+r;#jCf[.I<Ru2W=H]+/`Yeo/cqu$Ejr;6?fqY0XTq"ss`qYAcekk20-iV13GiV``Op[#c8iq2s<
+q#1*dr;6?dr;6?WbJ:`fQ\LflQ#i%LLO=?(LQ%XnW2d2;]>iLfp\b$gqZ$L6qZ$Hdq>C0er;HQh
+p\*RYR=fmJ[*\(4q>U?hqu$?mqY'OWqYU<f%*ig8de<S8s8;Zhqt].HJ,~>
+aS-\Lq>'dWoCVbNq"X[RbG&Z]I')5sp\4LXn+$/Jq=ja\!;HBa%eoVdo(;YKoCVbOq"OITqY+t&
+p[mb-d`T2$Q%X@%FbPmHWk?mKp%J.Uq"=:Rq"F=Lo_8(Mo^U:GiUNaaf'g2!g%+h)mGtdfh!jk&
+nb2\Lq"=7Mp%7n=_mcnDNI-SAMJ.]uHuX"QI"@?DStW0iYe89<mIU#@n+HJJq=X:MrqIH/qt]pV
+o%U[<I<:7Ib2Vs_q=jOTp@\+Qp\".Lp\ORno(C.?E6RhHq#1![p\4@WpZhJNpOE~>
+aODB^eC2jmd+$\#g=tH6ZA;7K@["^`h;-uEe^rX5g"4g+ec+(sdf7\qda\0F%bK4YdaZk!e^rO1
+gtUQ:qV+j%h:g5o\?MZfHYQhg>AJA5OJ9A8gYCWBhV6c=g=Oj(f@ns3gtK;?b1r1f`8.A.a5H"6
+gX;sq`n/hmfA,09hV6`:gY1B+Wh,T5G%PrB5'BqIFD4u]BkD.+Iu'#IS=6=ba48o!gY(HBhW!GI
+hW*VRiSreNg=aB:HY$K%Qa4`cg"tN;gY1?5g=k*+n(.Nk&)#RiZ;Ol7gtpZ:f$W!sde_JbecFFV
+rRh,#!7h(uJ,~>
+aSPu8rr!`3qYU-_q>'*XJ7aYLl2(5OqtKp_q"jsdqXjR`qYC$grWN2sq>'per$VI@qu$Egp\Fa_
+lda.fToFSJF*WV6Z,4lSp&"[_q"a^\qY0d_qt^3es7u]i6i6]3J(E,5C:j;iL#Dk,mdg28\YnKb
+q>U<hrVH?hqruqjcca5;\uKOQG\L]4BO=8CS?'d"q#16mr;$?iq#16mrr2g;q>U?gq"F=To^hkU
+qY0^\p"6a<EH[k]c1:l2q>:-hrqZZjqXjR`qYU."r:KWtB8PLAr;-0drV-0Gqg\~>
+a7oT.)><asp@._Hh5km/K=0b4o^qqMo^qbJq"OLYp\OXbp\XY>q"jj_p@S"Np%7qLp%J.Ro()JI
+n`8!6Z'pGnEbocJQ`@^@k4&*=p%7qKo_%eHp\+@\q>^2+p%7nNo?_^-bD9N1n&Kb-p%%20o%gI@
+hY?[;o_&"Oo(_q;f$VLT]<JZ7?rUuL=_qAC4C+)B^?+hTp\OILq"3tEp@n4Mp%@qOp[n+KnG)VF
+p%eCTnbDS$Y`3@7Pcr'lq=aIQp@e.Mp%ItNqt:Npn+",#KA#qmp@J+UoCi%TlLt2NJ,~>
+a4(+<rmVe6f@\R*g;T:d884O6g"=s5f@\d.g"b?7rR_)"s3q%trmCkqda\0F#M@bag"+[(g&9\Q
+h;7&Fg"G0:g!$k)R=]<a=]AR=IZ^D0bgbD&g=b33g"P'1gY1?[gAfk+fP9*rg:1P#[<>9:h6gq:
+j5AA=i6.UG`o,P.gt^fAg#1].]t(8FU6qI.90cWP7TrGO-qJ`DWR0AUioT"Lj58JChr!8Dh;-fB
+hV6c;e_Sp1gY^oCf\b8jQul2,I$q+bhqQi:g=k00f(7Jnf)F24f%8R-h:1,U95_]%f[J3uf$MnB
+eFV5lf\-5Urmh)"rmZG~>
+aSQ#9rVcX1qtfs>\W_2n[cdA`qYC$bq>C6iqYC!`o_8F^qYPd8q"sp`q>1$grVZWlqsWLpbJL`d
+P_":2J<$A/^Wkg4rVQHdp\=U^qtg0dq=XL[r:p![q>0sbr;$$_or>UMe$.L$\okpcqtKsXq:M@J
+b1P7f`jiI`W1fT<Ll7"INg-NO[)A8lbK@Q%OdDi9U:/(fjo5;YqtpBms8N!ErVZNjrVQKgp\=LU
+qY^3dq>C-fqWZ.tN-g,HZI&.@rVZWnqY9mYq"jgsq=XCWZ"09]qtTg^rV$3Iqg\~>
+`qTH*'D;"de?b'NJ[4;,qY0[Xp\+FZq>U*cp\4IZp*&qtp\+7Op@e.MoCDMEkh"%r]<7Z^H$4:S
+L75*N`S9hRrUYO2pA"FWp@n7MoD&.Up%J1Vq=j^YnG)IHZH(%_cLA#P\FB"Up?;"kQ`\-OcGRB$
+YH+CcOG/18I"R'.Su\j$MhT!_Z`&Y<R$F#=]>WOtp\+1Jp%7nMp@n:Tq"XUXq"FIUp%\@Wp[n4R
+p@R@]RtPj.Q)i$mq"FFUp[n(LpAk!bpC?ldnG0.mPhl--nGE%PqYKsOpAO`9~>
+a41.<(Y%!df@\WdS97tOSB079g">$3f\>6:g%s>.f@JL&eC2mpdaQbDehth(f@JI$f\G??h;-rE
+e&&SsVO<3^@UEDLDhF4GY/JrKgtLB1f@\j4g"G*3e(*1-g"+d.rn9cqg!nm1MjpuZPJ#bC=Jjs3
+guR&C]RlKN\[SZ<R[B=tJpD6IBk(moF,H<LVKm6dY+_)$G_CX#Q`%(0i8`hRgu$uFrn[V/!SuQ1
+g)\i"gY1K@h;$]>gt^W)WJ#.q@t0]HdGEU2gY190o[jr2eC2psf%8R-f%/fG8q+Y/d`pFqce&$C
+o@<rpg&9S&ec=8"e:7~>
+aSZ#8)uBL3rqP]SKn,u>iplg>q"OU\pA"IZq"OOZq=FCVq^;7;r;?Bbrr2iac*!LnHZF=cQ`A$I
+ce%1Fp\Oa`rVQEgqt^'brVQTh<r)Ugq"FLZqY9gZqYL!YqYKO;o_\=[qqfBPqYg'6c,HoEH>e=T
+Dg6)DMj1*Ua2H?Rg>M)[r;5QGXSVtrqWH\`c,R8rTUhmS\_HcSqu$Hnr;-6crqml7q"aXUq#($c
+qtKj_r;-<[iR5Q5J:Ecih>%!Fr;QNaq"aaqr:opVY\friqYC*fo_m\EJ,~>
+`qLGEpA"FRiLkUDSAO1Mo_A.Rq"XLTq"OOUpA"F\p\=O[p,2[?p%J.So^;;Fp>Wo`NdbnXCO:u4
+^;@q:g?8#"oCMYHnb)\Op\Od_p@e7Tq=s^Wq"jg\rq:1&o^;JHkM,Lqm.0Yr^=ViHlH$iSVL`c#
+G\^r2A9!6\T";\K`lc`_gZ%brfoi*!p%.b0e]>\BXeV/ER@:;*l14B7p%S1Pp%A(Tq=s[Yp@J"Q
+p\+:NoCqqLp?gVX\WqDaNNLe(q""+So_/I_p\=O^pC?olo^MFPBpmfPpA4RRq>0jNpAO`9~>
+`mcHde_/[,`eS2;M6P7Vf[na+f\+d+f@\^+f%Ja/g"G$1f@JO'eC;sreG@aEg=Om+f@SU)hra"H
+YE=3K>uOm?G`/K#YdhTtg>C]@hV?i?g=P!1gY161f%AX.f%/L-g=Y$/g"P',h;$>ng>1K@hSZG6
+h;d.rYc3k(>Z"s1;-Hb"D0Li4WMH`(]>MV5h;QA(OP]'WhT3O?Yc4%OJUW<-R_7/*gY2echV.q\
++PGE!f%Sg/g"b?9g"+d0g=Y33a1%jp@:42@]@boif\H,O(>%'ae'ut#f\509fA2clI_F:\f@A-s
+qUG,f!SH*(f`'G%ec+'K~>
+nG<7_qtp6Iqu?U4nB[\RI')#eo_SF[p\+@Uq"ORWo_A7Wp@n4S!;cWj*;o^2qYgEcft=8WQ&:6D
+H@hB^`7O#6o)&@`qtg<h#5\8sr;-<erV?Ki>Pn0gqYKs^q=j^]qYU0fq"FFWqtKL)ccE8mZ)a@`
+M1BqsH%LlVC8/Jjdb3OAoDAI_qYp<grqZNjgOd'6r;$9drqZBfo^1_j\t>:KOJ/krg[G";r;-<g
+qu6F3q=sa\qY^0bqY^9gqYBsdq<HbJP(/(K]&EAZqXjU[qZ$<iq[)raWGA3oq>:0chYVg~>
+chI8/&G>eklH#<7G,NdNme->Jp\+OZ#57]aq=s[WqtKs^!;HEb./!<-p%S:Me$Yj7N.H7pDg.#1
+\]`X`kk"H>oCDMFo^h_Ko^_\Kp\+U\s7clmo_A4Sp\4@SrqBLep\".KoC_V7`PoNcV5KuJOa_Fl
+CiF]O;IZ*(ai`#_i9U",oCM_Ip@n+Mo?hcenFlAAmIor8o',/ebH[@mKnbnh\^9I0q"OITp\4CU
+p@e1Op%A(YoF^fio^qbGp@7.n[>T9VO0mX0oC`1YrV6Bd&+oJfp[ROFB:\8YpA4CSpA=ULpAO`9~>
+j4+(Yn^R<`%G9@YX*[uSNk<Zki8</cec"&'eC3"#f%&COg&BV(fDaA"eG@cBf[ng1d']6sK6_?H
+?X.,aNMX/(bgYA'hV?l@h;-lBhqd&Af`'M%fFHTbe_&O)f@\[,g"G*6h>Z,!gYLN.ZE^BjOd(iR
+IVN=s=BoBO4A:C#Za@?\b1,5'gY1N;h;6lDhS!Ejh<!MNgZ7,Dhpp#j[@;\jDfC2cU:AG!gtLE4
+f`'M%g&K_)g(i;mg"P05g>(NCgWR=$EEuplR(^r#o[t&5e'ZRle^`:&fA569e;d1Ma4&SldF?_D
+eFV5of@\a-f_sA$ec+'K~>
+o)&I`!VuThq#:*jqu$Hlrqufpr;:j5q>UBip\Oj]q>U*^rr2lnj.'h.T]bnAq=sa]qtg-aqtp6e
+qY9m`r;?Hgq"XabqtU![q>U$aq"jmaqYgEkjhm[BGAh,*CkJ_2i8s.cmeH\XrVHNnrVQQmr;?<d
+r;?<fp\4X_q>'pbr;HWkq>C6jqt^0is*jt9d^Ys0G]mV,@9d,H@"OlVe)KNRm,cd;^[Upqqt9m[
+rqQ-^qYC$dqu$3*G/F(Qe"2JpVlmtnq#C0\nEAud\snD!I#t>Rm/6k]rV?-`rr)]gq>L0br;Q]m
+qu$<equ$0UjN*^+C6$")qYL-gqt^6dp\b!cp%nIVq#C7-q=sdarqcBTV.6Flr;Q3\r:p*dqt9mL
+qg\~>
+nFubRrqH6^s7cHd+S,4(rV#jWq=4.Vo(;kVp%$e#@WIsun+ZVOq"ag^p@nR]J,/j4p\F[]q"F@P
+q>0m[p[e.Yo(r"Mo^_SGp\!:RQ@!O_?XIGpUrV6JioB:ppA+ISq"XORp%J%Nn+62Dn+Q;BqXsLP
+p@e7Vq"41Pq=X:Ho(MhNk/jckJo,:,>$+^'=BKm4XifDVio]1F^q&e#qY'FTnG2\Dp%J(PpAaf$
+n%!5CmJ"_`HBjeg[aFR<na,Q$iR>)sI<'IeUWDQjp\4CRn+HMPp$qVGoC;MLq"+1Pp%7qOn`o&M
+PA+Tb\FoLdp\=IRq=F1Np[dnLp@J"SqY'UUqYU!XkFl7YlhUPIp%e:Sr;#pZoCr7X!Vc<`pOE~>
+o@*lmf$r4Gdf7hqf)OA"f)4&@cdLP$e^E%'eCig3f\t`Af=lJu<IMj6g"G!0g"Fs,f)=31f%&='
+g">!2f@Sa2g"+a&f%\O&eCWC+f\>69_P)?c<(o_L9k9-`_8aR<ce7+2hV-rIhV?uFh;6f>h;-`@
+f@Ss7g"G-7gu$r@f\GB@gY1KBio&4kRXo?Z=%#DB4[24uEFXB_[)C,/bf$i`S^5gBg=5$0h:L*.
+g=Y*4gYCAS<MJ1-[XW(JLQA7Eg>CQ0cGmf3Q[3.D>Af8"bhh74hV$K7i8<;Bf\P66gu.)Eg=k63
+g"Os"_PM?I7V\FHg"P6;gY(H9fA,38e'lRbcd^G[e'ut'h:gK(KL(=9g"t$(g!nR+f$Dq=eGe#"
+e^jQGJ,~>
+oDARa!;ZWhrqHBd!rDfmrr*'!r;?Nlr;?Tn(@q(orV>gQrp'=Wmc)'AAT4g<q>:!`rV1a5q>L<l
+r:p3eq"OR\rr)fprqZ9^q>C6doDJO[pYi]VOah.ZCiar`Xio\ho_8%Rr;QWkr:]sbqYU9kr;?B`
+r;6Klrr)iqr;HNlqXs[Vn+ZYGca9[MV4*3`D/!m1F*E,'TpV"4[FXj;p%nXcqY9g\rUG]apA=`3
+rUoXXo_nU\q"ad`qt-k8gA:aAoMpk8gkSn5nG`FcqY'd]o'P5EV3,V<HAAEAi;*3?o(W+^r;Q]n
+p%J=]qu$HmqtTp\p[R.OMK!s;bj,!&rq6<iq=jgdrVlflp%\L_qY^<hq"3jRGJEnAr:9UUp%S=\
+roX*.~>
+nb<"WrqZNf!Vc<cp&Facp\ae'r;,mOq>9mLo_dkEqrukFJm<#gk4\TGq>L.[oCi"Xr;$$]q"44O
+q"sm_qtg!Wo_/.\p$hhQo(:P;Q%jEi>[hAdK;6<=lLX]@pA=jdqYTs\qt9UUp[n+JmI^)Ip%nFW
+3W8UCoD81Jna,H.p?'GrSXc(,HYHkm@;0@hEflcPMj1Bjl0@^.p\+7Lo(;eHK>R0Pp\=:DrUBa_
+p]'r&m@eRHme5u,6$_,+GY+arr;-9bp%J"Ck1-i1MIg[GJ"OX3p@7J6n+ZeRq>BpQme?JLp\FXY
+oCDMDm+Sh#CNZ)bipc^<meQ\Kn+ZbVr;?<\pAFa\q>0mZn`Qlm]^tOfn+?5Bo_81Yk4aB~>
+o@*lmf$r4Gdf7hsf)42#f)OA"eTKWucHk.tfZVt.c.q=*_k:^29oR0Gf@SU(eCE*te_/^3f[\X+
+eC2q!gY:N?h:L0,f@o*3ce$asgVB5,E*c.+92\r1N2sh>e_&I+hW!DIh:LB;gYLfGh;-f9h;7/J
+j5AkXh;6rIhq$N3d+R=&Ya(*'.#*+a=AMRd=&iC3I"?K^HBbkad+$b)h:gH1f%eYaV:4)Mg=+:(
+dbaoSs4M2:LKV.>i7QO;D99D&1l]i?gtUH0f@J9j\XJ.j:0(V7MQXkSg=4U(i8rhTjkeS?hV6Z8
+g=t6/e'ujk]Tm,)>_B0%g#(f?io8\Ei8W>:e'H7af@JI'g"Fs)ac'8lf$E4"e^MpoeCN:7e:7~>
+oDARap@n[bqtp9kqu$Blq\\nsrr)`jr;HKdqXs'jNbX?^oDeOWqtp6gq$?rur;$0drqZEirYth6
+q=sa]rVcTdmHj&uk,X)CA7K7qLlfC,p](3k&cMP!p@n:Tp%S=VqYp<`qu$Elr^->TqXX:Km-a-,
+lf-!gUmQjWCMI['Df9`LS[QDTiVNTPo`"^brVlcnqu6Qjq"jshrqu?]nCtMJq"F[_q"jpaq>U6j
+q_@GpQi-g[qNlZgqu"HRR,.];q>U9gr;6Kmp@S1Zl+`gKIW'+XX3p/!lgjZ>q#(*grql`l2#R@O
+rquZmrqbcZK56"Ch<sk4r:p0en+ukSqu-?]pA4[`qYBp]o!!GYq!%bTr;HEerqGRPJ,~>
+nb;bPs7cB`qY1fooD8@ZpA"OZo_.n;^PHEO\*j4bnG`4]q(M^Dp[n+Pqt9XYrVZNdp%.bIp\=IQ
+kih'biMM!+=]epEI>5/Xme?AGqYg?co(#ZLo(2DCp[\%Tp$_MEp%eIXn+62:n*B&siTT=U^o!W`
+I;<>%A7]:_C3YrC\%C5^p[[SBoC_kQp\"1Sp@IhGp\Xgamdobq[.<hYqtBXSq>C!ep+PNZNqN&6
+o7h#*lL;N"Nn+%#pAOj^p@S.Sn*]iEijb;.G%YE8UWMKXj6GstnFZ_Qs7ZKc2#$nGqtTm]qXrgE
+HXh<#e`lAnp@.\GlLsrEq>9pUoCr%Tp\+:Qm]:TIp#c2Jq>0dYr:K.GJ,~>
+mF;-`!7UkqqUYMn(=(@`gtC?7hqQf<fZBq,87\1:i7$--rmqb5f@Sg6g"+a-h:L96hqm/AfDaG&
+gMPTmb0%Z<_1l;_6UF7BB5jKUf\t]DjQ5@Tf@S[,f[e^1fA#6<f\G<>ioAqKgtgH3eBQ=^dEKM-
+O+hjk<(oqZ:JakgA:Bl?Vo%<NhUUW?gYL`BgY1Q?g"4p5hqm8;e]kUieCE%*g""^.r7M&&CWgC6
+hVQuDG@&)>i2fe!]AM8lgXt03f%Sj,dFmI!T71Wa:et\^ZHCP<e'ut%h;6u@f\+m/g>:cFg=Y6;
+fYrh\9OX.!daR.3g"bE0da6:fe^;OceCE+#e^`:"OBJ@2aPY_)g!nU-e)o/1~>
+oDARa!;ZBas8)Thr;?Qk'`S%)o_/%Pn+,M2F*Nb`nFlSRqtg0d,kq39rquQbqu6KepA+XcpZLGj
+dCH3FMgK;UE/:9saOo_Qr;Z`p#lOMnp%%kUrVHNk1&h.OrV?BgoBPN#io&P:\u_?aIXQoqFE`7e
+Mj^**W4gL3nGWCdq"O[^rVlinrqQBgrVcU,r;HTgnG<+Le$IEeo_8=VrV$'_rqcZl1$3hgrVlcC
+A#K%lhj.]Qli$PNrr)`iq>L?mrVZQhq>C0\hR9/:I!^R-Z,te]lgt&Rr?D18q"XRVr;HQgq"jmR
+b+XQAM7Cpqo(r=_p\Ogbq"amdqYp:%qYU*`k+R4Bqt0g]r;HQkp#c.%~>
+nb;bPs7cB`qY1g%r;#pQo(2D<nDKdSF,I]to()VMp\OY>o(MqUp@IkLq=aFMoCr.QiRui,[%`k@
+G%Y?#JXNRQcJS-dq"ad]p%%YCnF,uDq=Xa^9`4__q=XUXlf-gYgYL?"ZD<YBG'/4QD/X]HKT_Xe
+Tsi"lkP+lJnF6&?p@nFRp@@nNq>0p^p%@tMp@n@RlhCA?cE>@TnFHMHq=4CWs7TORF0#*-o#4Lm
+k2t'J<i+pTnal\Vq"41QqY9m_o^h\Jp?C/3RtGg(I>=i>f\kiVp\=OZp[n%Jo()SQp[dtJo]*iX
+IsQ[MaPZ:Rq>0^Xqt]pYqYBmbpAajsp@R=7H,9@Iq=XU\q"aLCpOE~>
+m*l$aqUGAmqpcJ5gY^f;e(*%!cd]m_<**q0c.(;!f\$&RCXh"mgtC<0gY:H4e^iL5fu_%DYa:)i
+BNRkq9kAm?Vmje$iSieVinrPFf[eU+hV[)Dh;7,Ii838LhUK`i`l#g.YaUMsFC&9b>#eX4@r-I?
+IYs`#^!P]ui7Zf=g>CiKg>:K9h;@,Hh>Q%>gYCT8c.V!qY`Q!2da[.%gXH)Q=kVNM=d%b"gp'5%
+f@I]Z5`EnCeC<7,f@8@'gtLN=f[nd1gX3d&K54^sAT*a3_9'pMhVR&CgXt*/e^iO5gXas0h9;sQ
+BObeFZ,kDKio&>8f@A<tf[eROdh($[f%@rm>bp0'gXY$3f\"U6e:7~>
+oD8Rbq=aXdq"aa_qYL'up%nU`r;QZ_f;s4:Nm.M""8M`fo_\OirVZ]prr)iq*;TL2p$(5Xb.4!m
+F`(o0J;]o-ch758rVZWos7cNi1&_.OrVQNiq>'g`r:B16gt^W3c,[>lR>lfHEdE1bI>a2TYI)*o
+kk=lMqYU6ir;6Hlr;Z^*qtg0erqZEfr;6<bq"ajdr=Jl%p\jd\r:S7"_!UUas8;foqYp@.q9FB9
+q#0uTA]s>UNd[DUrr)WiqtL!drqllpq>'per"f8/p@nFXkKC#tLjF,pU;"t+h;[blq>U=0qYC$e
+qt^3cq>C$@[=X!u^";E:r;--[q>U6kr;QO(qu$?dqs]tgcMRP4p\apbrT=!-~>
+o(N.Zp@eR^q=ja\(%Ckjp%J4UldhtTCl-4,q"a[[p[J"VpAjpdp]'q3p\=UWp%S":e&]A1P'LkV
+@:XY:Q*SL"p[n(JpA=XQnaZ2CrqJVKp\=LSo(MhFj5/A<eBGtLZD!J;I!9CKG^=RfMNb$B]?T@*
+o_/(Uq=s[Wq"OLVqtp0]p@eFUpA+OXrU^*brqR0$p@S"QnG)eJ`fdstlgalHq#:$ep/L\)Fj':I
+mu18XfsH9LOPB^0oD/1Tq"jg_q=aIRp@n=XqtKUMo^UnZW0MsVD1.qaajSerjmD[7qt]mVp\FLS
+q=*tNn^4IbHBGV]hWjk.nacAOp\sjtp\=IQp?RoSanGJuo(VkNqW@O&~>
+mF;*bp!ilh(>%$hi8!,Fh9``k<_mP2f\"m/gY($0rn@>*!8[Y0A)6#"g=kE7b.4^URXJXG:.Ru`
+BmQ,Ie(`X2g"kZFe_&O-gu%#Gh;@2KgY1NAe]YtH^:^eSVjN6bD.6dK>$bTBCN+Q[PbGG)f@o$;
+i8<DGgYLZ>gu./Ig=tB@f\>6;g&9M&g]#t?gY(31gX=j1d\q8Yb0JJlg"QAV(>7<A>Hui<fm#ob
+aeN`YHG\[uf%Sg,rn%2&4k8$4f\"m4hV?]6g=OBGNdGGC;e(ENYIM9_bL>/$iS`GDh;?uAin<)G
+g:ES[@sX`Va3iVldF$Lqf%&=Ldgt!\fA+bt8Z^UudaZq#e_908J,~>
+oD8Rbq>C*hqu-Biq#'saqg\VCpA"LK`0tghT[`H+q=jaYoC_tUr;?Nmrr;usrVZTin`A*:^8I'?
+Ec62\R\Qsn_r:IiqtC$cs8DilrVlflr;QTjr;6E[f#YhJ^UU>9P(S@@JUrK/NL[#Q\['*"gYhYr
+pAOgaqu$Ekq"FLZqu$?gq>0p`qYC$dqY^Be!VlNjqZ6Zpr;6Nl%eK>hnbMk;]UHt<o_\RarqcWk
+(\EuOnbi@8FJnR"b(GuErVcNes82QeqYp:fqu$?hqt^'arVlZlrVQBcqr,u=Z(mS?MNF1'^<bKt
+qu$Bgq>:!bqY9m_qYB9sYb7;U]@lWOs82TcqY^9gqu$BhoCr+BS8l^CrV66dp&=+NJ,~>
+o(N.Zr:g6brV-9cr:g$^FS>4qp>irPDf)#jlLacCq=F+Jp\+@Up@\+Np%.hKp@7>#`kSgNKlUg;
+DLdk<UTD#Zo_.kDqXF4Qo^_\Lp@J"Rp[n+Np#j]<^:h%]UmI!eI"-KiIXm3>UoLc&]Z\jZmdflB
+o_.tOq=jLNo(;YMq"Oa\&GPnpr:g$Xo_%nNp\=R[q"Od]s7[#mn+Z2Cn_L[>`:iZoq"Xj_rq7,q
+NeQfpq9*K@hrqn#MW4I,oCW"Vp%SFYrqIi7p@\(Nq"j[Xp\"+Kp"[d&X.><'KSknd\B34\p%J+R
+p\".Mo^i(Q&+eYqWgJg7Zde7:rV6!UpAOacp^[&do_7:1CrPi=o_%qIr9!a(~>
+o$e&reC<%!f@SU)e^W+De,@hseoo^&hV6fBbG9G`;1Gmqf%&='e'Q\"g"P39h;-rDhV@#GgX*mD
+Vk&Q\>>e:$D1%(tQD)+Jh:U69f%o0:g"bH?g>(TBgY1H=d(-0TVP0H=J95C7BObI]Ao2pQOI;9+
+Z+Ig$g",$6gtUWAh:^E4g>(H:gA]b)fal`jhV$Z5f@\a/g=tE<gY2Y[s4Rt3dFun"e%_;pVV0AM
+g=lJW(YR5YCXM)"[8Vk+euWA'b2D+,fA>31eGdl!e'uq"f)F2Df%Ss6h;-i<g"XBLTTOkLBPVU4
+M4_#`bM:n/hVHuAh;-lcgEbRpXHS3ZJt'9ohVd,;eCN4$eC)gpf@8O1`-Y:YdG<C)f?rC9e:7~>
+oD8^eq"jjaqu-Eqqtg0aq#:$dq"sq+r;$9`fX6ucIAG<`q=jd`p$qnUp%eF^rVlcq:up9M]s42f
+H?t*rOJ&hpea*/5s8Door;6?iq#:3hrVl`bjPAA/^9t/DW0i!PFaJLbK8c+_V7=7WdGF3arVQNd
+qYC'ar;6<fq"jjaqYU9i)>j@0qY9j_qtg-aqYBm`q=speqtg0erVQKkrVud*qXXOWq>L6Yd($sb
+p\t!dq\K,"Ei&d5m?r1`qYBQMG1c]iqYC*eq>U=!qtg3dq>'mbrVZZls8)cn6MpTWqt^3dkg7;Y
+T8e\eNgm8a`mWo@rqu`mrVQNiq"sjPcE*1tWkm<Sp\OdbrVcZlqt]aTo_e0,J'.Z_q>U$bk50Z~>
+oCr:[s7cQerUg<ep\4IXrqZ<`'_h7omaAA$D0MSrnFZ>Hq=X:Sq=FRY!VQ*ao,ZH,^U9r%Ir9.F
+HA%KW[E7=rp@RnGoCVS@p%%bJrqK(XlJ:1@_mceIUnNlmBPhg4G'en&O.EM`^!#'io(VhNnFZ>G
+o(`"Pq""(Lp%7qPq"FCTq"XUXq>0p^q"a^Yr:g!_q"FCRp\XabpC6NbnauYQkfgBHn+-AJr:Up!
+l>*!dpudcWi:--rP&/P<q"OIYq"F[^s7\YLp%A%Rq"OLVp@S"Np@\%Qp@J%Mil]'BR>6EMLm>!I
+^s(X(q=XLVp@S"Mnal>4a/"TWUqP7?o(MhPrV-otp$;2;q!30N`qf<"qX=7BpOE~>
+o@*rmdaZdtfDaD)f@JI$psT/l51\?<g"YQA]pj7H?%fK3f%&C)e'?\"db*7-gtglFi8;J_XJ(i-
+CKanLAoN6]U:8G*j5AeMgt^T6h:^Q;rn^6$d)3Z-WL]96MMc^f;cm@5@:jG'HAJ&^UTqPVf\P<;
+f%Sg4f\bQ>hUpQ9gY1E=hV?l@gtC?4g=t?7g"P-2h:UH;gY(63gABY(g'uB_e(3:.b-%#%dF@"'
+r7E1Gc;B8Ohp?[NbM:dtHW@T0gtLB8g"4g)eC2jodF$Ckec+/Tf\,!4gt^Z;hqZo@fuUCqRXoBm
+DfC,fS>`g6f\t]Fi8<AHhV-c>c*31KH]+]1bLQUE'\Cpce'lpsg""s,?!XGbf@Ja)g"#98J,~>
+oDAR_7euiXr;?Nlqu$6doD%qPq"OU]qY'mbqu-?gqq7ZdEK@Z`o)&4ZrVcTdp%\C_rqHBkq;oVs
+RYZ?5H[h3`_91Bglh()Qqu/&BqYgEns68(Z_mZS;PD4X8F`V_PIZ0f"]>D_<fA#<LlgjoMqtp3b
+qYp?sqYU*cq>0s`rqucm!;cWj#5\,hp\FX[rqHHf"T%icqtp<hs7u`mrqm<(qYL*dr;HNhprU4]
+k5P5VrVua.rS),$pZJu#T(DXNcZs`er;HTlrql`n"8hohq>L0iqbI"`q>C*bqYU-bqtg0dr;69d
+q!?tlcc3/PL3n6%R]XcjoDS^fqYpBgrVc6BdB\t!T=EYKrVQ?frVZQep\F^bdZK@1qYL-_rVZQi
+qWds.~>
+o(PcOp\"=So_%qOp\"=Qq=XU\p\F[\oD84VqXjIRe!Y,hLpY[tp%%eNp\4@Rq"Xa_o(MhGfXdW4
+HZ*P7EeU?t]unpakO.j0o()eM1%=Z(o^hb3bf@E$Umd9nHZa7DE-6DZPbte!_TC-Qg>V)Wo(D_M
+p%7qNp@n7Rp%J%Wo`Fs`p\sjdp&+Lfp\=LXq>'gbp](!kqY'UVp\agdp&OjdpaGn0p%J+Rq"OLT
+`ONA8qt9aYp@\+Qe7?#XiNHdXmI'G_E,X.tq>'daq#C-nq"FCSq"Xg^rq8kVp%7qNp%A%Pp%J.R
+o_.k<gX=3ZWJuFNFFf[S`7O>Lq"=4PoCDVKkgmtYN/O(.eaN>-nb;kRp$hMFp%Q[gK#mZXp[@nV
+pAjpPpOE~>
+o@3fg!RoKrfQl3*g"=a'c-stee'caseBuq"g"P$2hSFqN<-"MAdFm(%g=Y$,e(31+h:CE>fYj\G
+HYQhd>[VZ;UT:rDcIUe.i8NYPhVR&@h;$c@`NuY>P_ad.ARAS=;,g\(D1.J9UoUi4]u8+=e(id6
+g=b-3g=k<8gY(<5rn.A/gY;MW&D>[df@\a-f%/I)f\4m+g"H;Ws4@>)rn8aQf@S[-g"P-3f;G()
+_qiqug=b*0g:0bFf>s:PJ(N9'Y#eW3g>1Q`f`p*[da?Ced/MHje'upueCE:+f\,!4g"P05g=t?6
+h:g/l]!82rF_G&cBmbuD^sq<$hV6uDgY^o9^UBAKF+9LcdFm*se^i:'f\,-;h6M!2X4c+Ydb*.#
+eC3^4J,~>
+oD<>!q"adcq>:3Y`SgRinbMtWqY9aWpA=adq=jO.R!EV5`olshrr2loqY9j`qtTsZiQfEPU5OMR
+Ml!r/f\PferVlinq>1'hrr<#ql-dMdZ_<_MMg^))J:iW8Ni'5)dam+'h!"P5rVHEfquHWcqXaRa
+qYL!apAk![qtg3qqXa.GT==Cerq[9$qu<^.fC@P!P/c>.b*I@]mJHn\rVP^QqYN5DkhXFhRYH6?
+LQS48c/Sa#qYL*erVQ-Dc)Qe^TZ$$irr2`jqu$Hfp&!-rNnX@/p%eO`qtg0Tqg\~>
+o(R2#p\+@NoD@^ag%G74qtg9hq"=:Nq=jaWnEe2VE+b'DjR2X6p\+:Onau_Sp@[q1a1SR@Ir]XZ
+R&n3Re_]]eq=O.Cn+$)DoCMD+`OWFVQ]-fOFEr1ZIY*<2Ts2D[eC;psiUHX8oCV_Jo_%kLo_%hL
+oCi7[qYBLQqY(3fn*05.ZL7_a'DCqhpnV6DldMnn^Y$iKO)qJdp&=^Xq"sgXpA4G@n)N'>Y*=H[
+GCPI9XMroeo^_SEo_.tBg;TeAKUKR4o_eLUo_/%UnEotmL547MqX="Lq"OLUlh>o~>
+o@3cg&(T@`g#LAP][YQVeC3""eGdkqfj!:af$U[J?;u-LcI^h-h:gQ5eCNC-f%/<bX.ko1C0tCc
+LRYQa`6I*!kMtCRh;I>Sio&S6Z(mqQIWTRB>$YE?@:a.hKTi7<\@8lXaP#J-g>(N>h;$iAh:qPS
+o@a5uf_a:sf'M'2f[7mgI$E"/f@S^)g"_BO\'_dNFJlm\W-)7,b1PGHf`TmVd*Vd>rmCeqrR:l!
+f_!hsg\]ecf?:t3Q@*@P?taS2Q*/$^h:p]>h;@,=_leo8Bml\me(iR)f\YQHg""o_CMUE2hU9s+
+e^W'sldUF~>
+oDARa+o(d/rqkcRIa.faoD8@Sn+HPTrV>jQrSO,VC73T?qu?TmqF(;]rVGa!VN['rJsj+"j5]7\
+kO/9Cr;?QboD\^^hT)jkN.-(oDJ*HgEJgC(gYC`Kkiq9mmIL&Kr;HQkrVZKfqu-Hhqt'[UqZ-Kh
+q>0mXqtg6jq]#;*m%(cbrV$!aq=]G`q>0O@lLF<5nD<'qqYL*e!;kmSqYN2Iq>:*amc<<`af(2J
+GBJP2`od'prr)ipqX`gmSV)3MdJEk>qt]p_r;ZTJOHJ`&qY0sdr;6KimJDD~>
+oCm;$qtBRQp@-b(F2dtKoDJLVnFZMOr:T7Ap=,1+?]N:opA+=LnF,l<p\OXG`1`6JJU<HZbhV+1
+e_K9Wnb)SKl0S$8ld`\HP_+$rC1CRR=D<;P[aWj_i8`nXiTT\#pA"L]qtg$Yo_/%Qp%A%Op@\"M
+oCr(UqY0UVqY)$(p[e%?R'uY^nacMImsK'IpZ^W"mHEp&g"Z/mp&"LZq"a[VpA4I^o`+V;n`\ia
+gVKP:G&M5ER(hGHp%J"MoC22*_j#IdLs#>dp%@nAp\Oj\dtW\8o'l/Jp]1'fp?hU)~>
+o$el6da?b(fu/SKWnPnGe^_pgdam..f?;\#]m<(@I(7bdjkg!i9@qnQi7l;LKQ1j@@<RmD`lc9;
+ajK#%iSieIf\kc@_5WWKDIHaK9gq?4:1emC\@TDl`lH':bL"hngYLcFhVHi<g>(H:gY1E9g[a%h
+gA9Luf^m_kfcA_ue^higR+L-De_Ja)?rc%>ccFG^cd9tM^Y%8mr7M,'ec*tpdf._rec+,"f_!hs
+gABY)gAfq`f?V@P`2\Z3?W^?>JZ$QAhV[/Hh:gN&Wd8#OCTQ+DgY^i=iT0.U\nl6#f%&7$e^`1K
+e*YY8~>
+oD<@tq"aU_r83fBIc(+qqY'OUr;HWmq"4ICSnhetcgUi1q>L?nrq50aT8%T:MOLKVe`ZT#rVlis
+rr)fqrT:kpYc!M.EGK0,JrGn`XMNQUm.'`;o)8:Up\4L[qu-KkqYC$fr:osZqu-Kkqtos\oD8Oa
+qYC!_oDAC^*W?!9p&<Rab4kN,o]uBUPl:IXr;QHhq>L<gnG)tZquHWUqYL(Fr;QZmqt^$\o_%nL
+lIX%OP'UqdOKHXks8)?_r:]HrQ\:C!g&D!JrquQgqTa_Tk4eiQrqlioq>'FTJ,~>
+oCm%nq>'OUps=dgES(!Wr:fgXqYU-`o'Z;(O]t_7_W:F]mdp2Kp?L/8Q$dOlKTi.<cJRsWo_%nO
+qu$0cptrQTW1J`bBk(IaHA%3@V7P(:jR2X)lhU)@o()GGpA"FWp%7tRp[mtGpA"FKp@J%Sq"jaV
+q"j_*q"a^SrR/U%na$&>jSD]6p\"@Wr:KdVq#0sQo_J@XqY9m\o_/.S#PRrep@\%JnG_f'm,H@*
+S;M>tCl"q%iV;m*n+Q80]T%5jU!NN.nFcA?oCg+JL>_Lnp\sphp@\+GpOE~>
+o[I^+cdL@jh;Z+i2I*oJcdgFif%Jg4g=Oj5_1#$CEO!mMhV-lIjP\P%T71?Q=_W/:S$^2`g"tWD
+iT91[kMs^ZNK]3=?;sZk<FfuiI>ac-bK82ac-P1peCE+$f\,$6g=Y$1h:gH/eCiU1rn.A*g">iJ
+o@j#nqUkDk!8.2%*ST9%dbqL/Vps#KdDt-$Fktg1hrWSHf%f9=cI^hKf`BaUrmC_n"4PcLec+/"
+f_!hsgABV0gtplBgY(62rmiLJbIFI(F'D@=EK7!@in;c4h:K`BF(&j>\)ZN(hqZl>h5Xds`REMl
+rm_)!daIO4J,~>
+oD<A"q"jdUhOn@aZg[YarUKR[qt9d[m-0gIBq=Acr;$$VmFJP&HZ!PBQaP3+q>L*Zp@e.NmbPaZ
+Q[`dYBkqU/JW-8;ht?sDqu6Tnp@e7SpA"L]qu$ElrVH?cqY'a`rquTdp\F^aqtg-aqYC3fo_A%R
+!;cQhqYKj[!;cQi*r,X3q=jdS^!$'CoDIQLb4YK*qXsCVrUKFSq>:*er;6Tmq<.MQq>0sjq"FR_
+q>M`=q=jO[rTqOoIrfdfV97ognFun\kdH7cGcp0$qu6E[qo!EDmeQeY!W)WZqg\~>
+oCm(sqYTpKdZ@@$VWI@DrUTX[q!mtGinfJk=Gt]"p$V/7l-#rVE+<3kN2jkTn+H)2n+,c1kLR8;
+OEY8>@qB=lI"n*$g$e_.p&+d_naZ2?nalGIp@nOaqtKgXp[e+Tr;$'Yo_/(Uq"OLUm.^,Hq=jd[
+!;H-]!;QEb*qT+'p%%h?[DD+qlh9%0`:3?lp@IeMqX3eGpA4X\qtKm\me?SO1\:/0q>C3iqtp3`
+p@RnEm.U58^6EhVCj__fgZ7Jbp[m=DHt@/ig?\8"n)j5SAWuKPpAOaep@[hIJ,~>
+o[NlhDq<I`]m`:0Oj)>*g<A((g=+^+bK+iq8q+kCj4Vu9e$bEX>YdspGa>VXg>LW2g"b!(c+Ka)
+F^Ij092/5aA8[!n_:RW"guRPPeC<$ue(*(%f\,6Agt:61f[SO-h:gK3e^`@*g"4g+f@SU+f(%Da
+g%jA!f`9[rf)XJ#fcAVqhq6H2b*]!Lda$O[26,6Zh;-f7gY'p!f[nm4rn7;)"4u#Mdf._ue^i='
+n(@Ki1Y1(.gu%#IioK+Whqd#>e_f?1VgVrM;e(EW_p6T]iSV_BAl)Wk`n0#%fZi-F8pJb7f)=,"
+e'dX5J,~>
+oD;;Xm-soMrU-P1ebT(5p\4OZp\XU*P@es8j7_fu_lT&PGC517YK5_pp$h>1hpfTLV4sKHOcGNh
+S=6Rjcfb6(rr2lps8Monr:]gYrVlfp#l48prUoaSp\Omd%fH;%q>'sfqYU3fq"agaqt^<goD%qQ
+!;cQhqYKgZ!;lZk')VV#q>0XQijme4qu*%9pAb*drqZopr;?Hhp$qhSr;6Tmq<%GPqYU-pr;HWk
+p\+CXrV$<grr)lr-iEi<rR/H`T9=t_PHW9kkj@s&ZBU93^#Sqer:\'IW:]r_r;HTkqX+01~>
+oCi[gmdU)Ip=tpKc1:MtrqS_LoD%^fL0%oMcfNj*[%W>!D/jraUqPCDlK-sWd)NMjR?s(sMMI%M
+Q^+MUb2W0hq>'dZq=sXWp@7YDq#1$po^hnSnaQ,Bp\sptqtg'\pA=g`q"jdZpA+ONp[e1Up\OR`
+q"4@^q"se$pA"4Np[.D&YKu>(qj)Qur;$![q>'[^q#pK`me-AQp\=ONp\OSDq>C*^o()DDnF,i8
+oCr.Tp\+7MoCg>8Um?gbH&/96guRS[g8BdXM6be&q"F*dAY/A_pA"IZp\+"KJ,~>
+o[HC[d`9Seh;QV4>IiG=cdL:pf%/[-WH1L.LrA)s`M8?3?<19CH]bAJf@e^#a1emUOG&.0F`;28
+F*`.nS$C)lhVmDMhr*Glg^r&cf%]$8gtU?-g"=^"e(31Nfacflf[na1hq6Q5f@8@&fDF,!fCRYd
+g%j@tg%<krf_a>;f\4j+g!A'ZPI&BahKiM[iSN;Hi83&afE9gUcdr*Krn7J+e'c\De,n1OfBh-R
+g">!1f\GB>f@A@$f@S[-g"bNHhVd;IgYCYjS;M]4ARfbAYK5,=e]3krCiu>dg#1]9TM'pdeC2t!
+f$r19e:7~>
+oD:ZHo_%kIpW\Von,E:TpA"R^p>W<%>`?VNaL7IgH]"Gr^XqH$g=FTf\#c?hNK9O)ZG"?1kk4fJ
+p\"I`rqlikqY^?ks8;lm$iKu$q=aRZq>1$eq#1.!qt^$[q#('eqYBp\rqHQjqtfXSo_JRbqY^6f
+o(i@`qtpHmrq[Q%oCq\.f&#T[KpDT6q=jX[q"OIWq=XLYqtp<h!;kmR!;cTi!W)Wjr=Jl&qY^<k
+rqlHfqtg0err)corZCpm^7LIBJrcP6d,!j.VN7.nguJ>+Zu!5Hq>C6krVZ'[J,~>
+oCl;]p%@h<lF_D/k4\Q<p\FXWo%U$Y:OKIaZCc\cD1InF[ER4Ncca58X.Yc4I=R6CV6RbZiU?I3
+o'uMOq"aaWp%\=Xq=saYp%J1Wq=X@Op\+=Vq"=X`$MsPko^_\Mq=s^Xr:^9fqYC$`o(VbN!;HBa
+qXjm_q"sjgq"a^aq#L3dpD`o$p%@Y>p#a]GdbX,8NqW5?o^qnOp%A+Uo^r.XqY0m^m.^AM3;)q=
+qtp3_o^h_Kp\+4Io^hYEo_/(Uq"==Ie?kEoI!:7-XMrZC_461=a3rW5m\sWuo(DbQq=ss`!;>pV
+J,~>
+o[H7WeBcRjce#:7Lt1D:bL"bng"=0&>!?f"[],U?A6W\oLn(ig^V%.aVjig&F_kuBKoqk$Zc1DG
+f%&=,hqd2Hf\>6]hZ)C;gY(<8h:pQ2ec+,:f@JL-h;-i>f@JF%g=t<5f[eR&eCE.%f)*ttfCRYi
+g&0P)gYD__qV2,*g%<qnfcAf!f@S<qfZCS*\&$6sF55U+g=tK=f@8I*e(*4,rn7>+!SZ3*eH"2"
+fDaG$g%*c1f@\^-f@\[*g"bE;f\"p6hr3JJf\ZV_!8[Y3,2Lu-e\.Q(EbT**Jt00^a0(5;H*Y*"
+h:@`[PLJ"3f\"g,qUP5fJ,~>
+oDAR[1B%(Ho:gHRr;$3cqt^'F]Sg#tH%(!cOJoOn[_BATVl-2TR\-@QZba](f^8Y:qtg9irqlot
+rr2]jrqZ`rrVZZor<WE#r;QZkq"sseq?cupqtg0dqYL*erqursqu$EkqZHcnq>0sbs8)cmrqcZl
+s8;oo"T&&nq>:0hs8<#rr;HWmrr)iqs8<0"qu$Bjr;6Hj!W2`mqu-HmqZ$FFr;HQjrV?-cmdg>R
+q6d!0>ep:6p\apaqYL!aq>1$_q"jpdq"ajcqtg3eqYL*fqZ$Hhq>pEgrqcfoq>0sbq\]81r;6?d
+qu-Njq>C6jqt^*err)`kq>C0hr?D.2j3biOT:27>Ur(0T\[B<'j6a$od/*_>qY^6Yh9bQdq"+B5~>
+oCr:U3W&I>m?;5#p$hSHq=jR8[=hISDKBQ/J!Zq+X0o7.StD=/OHu?-Wjf[Tb2Mm^nF?/Dp%J.T
+q>'X]p(6oop\4IXp\=RYp\=OUoC_hUo`OjZp[nCV!;HKfs7Qcnq=jUVp\=LUpA=Rbp@\@W!VQ0b
+pCHujq=O7Mp%A%Qp@\+Pp@\CVr:L*^o)A7\pAajhq"OLUr:_?/p[n+Np%J.QpA":JrTNV@o'WNF
+YZ&('o^V_Mo_%qNrq7'#nauPLp@@hKp\=IVq"OLVp\+:Qrq6?brV$9a"8;K_p\XX`pAaeOp\=LU
+o^qkOq"+(Lp\"1LoChqPo^hSDp%.eIoC;,"aLeC8NfT6g\%A<7VmXOrihC50o_8+Op%7CtaQW?f
+o_.tPJ,~>
+o[GbIc-=qmg=q6_ZfB`jeC2q$_4GL.4Bu?!??;$lQ^+#,M1gP2G^=moMNss8WOC%+h:UE7gA]bA
+g>(N:gY1E9i8*2Eh;$iCgtU`Af[ng1rn%A*f%8X.rRhe:gYCW?gY1E;gY1B9gY1?6g\ok+g\]\*
+g"QDZ#hmtgg=Y-6gYDb`qVM2.#iOOoh;-rEgY;__"5DPbg\onch:gT;gYCW?gtpc8jNc3/g=DF;
+QogqpgY(NAgYCQ:gY1E<f@ep7gtCH;gY(32g"=s1f\"mUg&]mZrRi1Cg"G*4g">!3g=t?9g=k?<
+gtLK7gYUoFgu./MrnT9eio&\Mg"P9;h;@,Gf>k;!Q@jU8Iu(#'O.2H2[)L@P<j133gt:B7bIan#
+gXb$.p!eK~>
+o(ss5r;?9PH>fRpl1k#Mo$="S@T?6&:h"C6^o`rjR\6gt`l6'Qn,E:`r;QZor;ZU#qu-Hcl/(.K
+nFlbXquH]nr;Z]urr)clqtp<kqZluqr;HTlr;6Kls8;ooqYU?jrqZWlrqmZ2r;HTlr;6?fr;69^
+oCV>-iSWGFgYL`Ch>Z1ch;$c>iT]R^hV[;LhVI/MjQ5L`io&_Nh:pZ:g"=s.cc=&G`Q63O`PT[:
+e"^,P<m9O\rn&%5cJ@70gtg`=fA,opq"ad\q>C6kqu$Hmr;Z^tr;6?fr;HTlr;-?ir;6Bhqtg3g
+rVQHfqu-Kjq>:-gq"amdqYL*dr;6<aq#1*frVZNiqY^<irquENd_;]KOI)cOY*YTie")*DrVQBd
+kc^,!Y/\N[r:Tr;~>
+oCkNDp%\7LjD\Xs]B/VSq<c=oEa2@18kE3!P.%0HOcu32\%fYodcgH#o_%tNoCV\GnauPJmc)jI
+e`lSrp\+:Qrq?Bbs7QQhq"FC[o_eC^oE"RUrq?BbrV$9as7H0\!;-9^!;-9`D=mMpp@\+NoCV_J
+na>c2hq$?,d*U1fdaHOicd:(dcd1.th:'g$e^Msqg"Y?>hV?l=f[n^(e'cXjd*B\H^;.Iu_U-$.
+^V@jW:f0m%f%86pcc*uVe^W4%eC;mslh^;Io^VPHq"XOUq"FF\pB1*\o_&1V!VQ*apAadbobI,l
+p@e1OoCVeOo^_\Lp$qYIp@IqKrq.l6nFH8Do_.qJp%A%Po_.qCgW$FcM1LDGVOrX$Y/?<Fd.[,$
+nDC$tG,;sep%8!/~>
+o[H7Wda?Uuf$@Z%LSrDJd+-@HL0[;22)dE`<Iq!0H['d`MjpK:Vmjq+h:gW=g=b36f@S[/g![mP
+\%']3g"Y66g"P0Zg&Kb-h;7#dg]-%:gYCQ<g=tE=gtUW>rn[V0s4[P1qqqJ2rnRb7hr!;Gh#?+E
+gtUT=gtUN5e(2XW_8!Xr^;%M#^qfra%_fTh_TL';^VRe'^qdq/rlI=D`l,a2^q[Ut]tD"hZ`C+-
+WiWA9WMZ_u[=pb-2QXa2\@K,QZ,",i_8="&]YW1\i8NPGg"P6:g=tH<h#?+0g]#o,gYCT=g=k<:
+gY1B:h;7)KinrYMhr<VPh;I;Oh;@5Oi8<MOio/bLhVmAMio&\PioB(Xj5JY7\YG.4FF/h4P'VPM
+[X_o$inrPHb)g[QOK5>:gXZ#IJ,~>
+oD;5[r:^*bjE-<ZNQChgq::sfH$!h0>uXp'AU\iCI?184\$rlX\$N6=Xg#1@[&p:.YHG"1W0iBm
+KTi"(U7ImPVPg>jW2HMkW2HGcrLs4`#bdufVP0QPTqqX`s.o[i!2B@as.Fb6Uo()hVkg,bV50o^
+V59u]SXGh7Ob\XDK7n`*LP^\7Isus(LOt5BP`(Q[M2[LUNK96eQ'ISsOH#'LJUW/tI>)o[FF8:U
+H@KpHD0(,C>?kchK8##3Jq%oqKnFo.Kn=i,OdVN*TUh[HU8b>oTW"rpXf8+kV5C2kri8hpXg#+;
+[CE]U]"Peg\$`]Y]skAZ^Vdk'_nj.+^V@LuaN_oH`llND_ogHQ`5KX5ajf,$fZL_+XJM>9H$bBu
+@#a@JrSaDr]Xi-!T_eKWqg\~>
+oCl#Uq!e%OibX4?Ku<ENp!AnPF)>Gk<_cLb?[$L*G)2cmYctC<YcOb!VQ$]%XeqegW2HMjTojnQ
+I>jMbS<fM5T:hjNTqJ$OU7e'HR[X2C%[`ZQS=c79QC=A:St;LDrgWtWqjIJOI%$RsTV.pIS=Q4@
+S=?(?S=,Y)O-56EH$FOXF*2hXG]\"IFaSO[H%h'(Jq/9"K7el5MN!OSN/EFFJ:)WcH$"1WE+*R)
+Df0T>BjP=`EFVgB>B>%8H?a[VCjUY[H@10hH$kO9PF%`(QC+/:W1fZRVPpDeSXc:DTqhU_"f%ro
+X/rK'Yt)11\$WEDZ*q*FXg5LN]">Ve]"PYb\@TPt`P'"'_nE\"c,[K0]tD/'dE]nHWLfZHMfNQL
+H?*#;h=UElQ#O"3B4.)!oChnPJ,~>
+o[H7We^VmugWWf>Nc1oGdF#1FC0k%=76rpr2G.Ia<*X3kOHYlnQ'78eLl.1SPE:WTLl7.IMM-(^
+?=7`!Jq&)nJV/USK`?ZFL51M9Jq&<#J:E#tIt<0)J:)`oK7nr2KS+o/K7s,Us+GcRLl..MM1pY<
+L4t>7L5(D6IX66cDeETj@V&qWC2@Nm@prk]BOk^qG&2,7C2Ip/EH?;JH$OXWF)Yr/A7B+X@;/t@
+=C><9?=Qu-:fh%%5!MPEA7f@\?sH]DC1q0lC1h'iG(G*pKn+T#JVfDBJ;9)DNJN4=KS>2<reaO/
+N/s*aPaRu1T;&'PS=5tBTq%L@Uo:,eVl$;hUnjc^Xg510WirS)Vm!Y;W2Q\oXgu<b]W[ffO,89r
+?!hGZ6Z:-+j26ISSt&bSK](P6p=+T~>
+oD;qoq"X[SZ]*u9TV_&To'+lZe^i-i`k0($a4&>YccsSUcc<Q)[]H@'Wi`P9[]-%&YcOn'UnF$/
+HCLImMM$hUMhQqCLkg\;KS"]$H[:$cH?spfJqf5:H[C6oJq/?#rdFlrI/A6nGBA%TIJnWnIfY"H
+rd#i7G'%bjP)bQbQ'[hjFFfmII<psHUR@(!OIVbtJrQCuStMgRrMG%>U7[sDR$O)BcGcfa^ra-q
+Yct+;`llNIaj%uLaiV9,[\B%SP`1]jP(.e6QBdi+Q^!JhSZA-0KoD(OKReW*K8,2=MMd.BJU;NZ
+DfB`=G'7tJD/4*/C1qF(G&_JADJNs"C1CUbE,03-G'.\?GC4IHCi+!-IYNH-MM`1&I<B=4@olH*
+9Ne=_q6a_6mHn7fYkI_dJ,~>
+oClYgo(MY?Xb>NrR@`R;m,QXCd*g+T^pUea_Tp6CbJqE<aM>'bYGIk`USb&rYG.P_WMQD`SXGOh
+F-MuQK7&?9KRSH'JUi2tI=$3]FE;PGF)uGJH[g`sFEDbSH[0j\rc\BdFSg+^Des?4Fo?L^G6)l0
+rc09'DJX*KMM-\>MiNaBBm>]!Ec?btR?)uNLQ[aMGD)6NQC+,2rLRtuR[98$OH,C"aM"=C\A>GQ
+W2QDo]u%Y*^W=4+^V@+XXI>-3NeWFRN-TMsOH5QhOH#!LQDBXiIYET3I<g-cI"-^!K7eZ&H?=%>
+BPD:#E,]]2B4YglA7B.eE,03)BOt[_A6i>JC1UmgDJ`ut-#[m@@Us%\BQSQCG^Y$bEG/]X=%bkN
+5u+!3n#BK`ioj?@VXX<PpOE~>
+o[I<ueBZRod$J^of7SaufuV%B\@K2XX/VYbTW5H*Y-4h$W2l\XPEL`RJqf,AP`g`MLQ%%EK7J>i
+@odf!FCnlmG%Y5nARo:Z@:3GH>$+m.=BJX->@:oS?W^E8?X@#C?2[t-?2Iq6>$"m5?t!GM?i=@5
+?XE_9,["2K;KZnoCiFH>G@jldI!T1+EI`aiDJX?BHu*;2JVJ`.KnoV`IYWW/IscTgHBPV5NK0d8
+S=,S)N1?rQYd:I>XK/A#S<]:hG'nORFF/1@?>Oq5I"$<]Ci"KVG@>#tDJN`h?t!MUB4u!nARo1P
+<)?@f<ENF.=B89p<)ZOc:f^b"<)umm9h\;P6VUNU9iG1s;,LM(<_Z@d:K(\9AS5js(h[5Y:-qE2
+1,ggHM9t"C7#fLA5X:Ldg"#fGJ,~>
+oD8ponbW%S[%[NNH_g$-qZm&rrVulqrVHNk1&_"Iqt^'br:]FCo'l,8md9N:o^1o5oC))3lgO6'
+g$A%ljl,:cj5T.^jl>=Zio/hohZ)I@hV[>TkNV*bhr<YQro!e5!8dS1#i=CpioK1[i8=Lks53k8
+.H9CJio9=jl0.Brkih-fk3D0iiTKUqkhtF\m-WrmkjS$-mI'H4nF,fEmJcH8mI'TCo]ko>qsj=K
+p?qeUr:Km^rqHBirq?$Zl0.O!i8s=gi83S^kj%Krl0IHon*&Qajlb[\hVmAMiSsjs#2e@ti83;F
+qV)#&qU@ON`l?6F_77G'\uMa2Vl6VtYH4e/XJr1sWN)o"\$WW\_6g/FYGS1bQ)'OpU>G^:I,jnc
+@>jOGq=XW8~>
+oCjX/me65DXdf17Fe7djqY'[Vp\FUZqtBm\p@n7Tp[e"Nq!dD/mHa$9kVDGno',6%nEK/tk3M?m
+eE5uWi8!2MhV@#Ii838Fh;$`;f\"m2g"G*8i8a"Xg"G09gA]k,gA'>-f@JX1h;-l?f\-8X"PMG]
+gY;\^!U&VEiYpk9i838Iio&SFhrX"Xg=b<DlJU:Rm-Wrukl'cFkPaO*lKIU-mGmI$p$;#1nE9?8
+p$25=q!I\Ep?_/;j5B+\g>D&Og=Y<FioK4Zj6#:YlJpLMi8WSGg"Y37h#6(/g'-6bg"G*2qpb\p
+qT_+B^qdt.]<]/d[%sIoTq\<ZWMZMlV5'cYU84N\Y,SP4\>c*sV4=';MOB3DQe(YhES9X:<eKQ%
+oC_j.~>
+o[F`,e]H:hfp7?Q]3^-2eCN+&gYUlFhVm;LrnS";gtL?0g"Ooqb0S>VrlR:HeCDa^cI:"[`lQKP
+`O<k1aMP[-a2#I+_ns4'^V7Fo]=GMa]Xtbf^;In3^q74m^:V(k]t:qh]>+6[$,F<m`5]g8_SEtd
+_%"2p_8=(,_ns:6aN)<?rl>&Y(<F\A`P]dCccO)A`m<,V_9:B[cd0tcrmLhns3EpTcd'tde_Sg#
+dG!I,f$i=!h;mVKinWVJhVI)=e(Vpcd*'>IccX/@aNhrPc,[oI`5U!A]=l,$_7[Fq]tV;\_>h4P
+^V7Cp_#D(J^&PeH])B);[lCh$WN!&%URS0\SW&JfM2R=ROcPNdNf/gPMiEUVR[0A:Um6k$ObnmA
+G(jpGK#$,h>f>1:5]+pJeb7LC~>
+oDARd%f5e`cEu`*GL-0[rpom^rVQm!pA"L\q>:0j./Wf8rVcWjrVZHcqYL$cq"FX`q#:9kqY0g_
+q"jsgrquThrVlisrr)Zl%K62"q"X^^r;-6drVQBdrqcNtqYC!bqtg*aqYp?g*V]C,qu$Ehr;--]
+r;??drVQEerVlZdr;-0ar:p-eq>^3jqu$Bj3;<4Hrr)cipAFdcrr2cor;,s#VrmjUs8Mlms7uWn
+rV69ir;$$^rql]oqu$Kjp\k*fqu6TmqYg<j!WDrqr_34ap@\=]qtU!arVlcmqu6Tnqtp']r;?<X
+p\agTn+?;IoCDVMp\4:Pp[RhKp$hJBo()MLp$h_Io'c2DoBl#<rfE<)qg)h][^uD0qg\~>
+oCiglqtKOAaKFHgEQ\%HrU0=OrV'.bnalGHo_/+XqY'ORqYg3_q"OCOp%@tPoC;SLoD/4Wp%.hL
+oC_nTqY0XUq"ag`q=sd_qYL$bqYL!]p%.hKpA"=QpA"@Rqu$<fqYBs]qt:NloCV_Ko^_YLq>0s`
+q=sj[*qo0up@n@WpA+FPoChqMp%\4Po_A=YnFuYHp%S(MrU^'[!VQ0apGqd7p\Od^o'lAFq"t$^
+q=O1=\")4Ap@\+Jo_S1QqY0RRqY'OLo_A+Tqt9^\p%%nRp%J4Wp\"=Zr:s4bp\F[]p@IhEp%S.M
+oC_kRq"==TqY0^Xn+->On`fT=oBGN-n+#f3nac5?mIBf6m.Bi5lKmj&n+,r3na5Z+mIfu.jQcJo
+LYDNA>,n[1q"=B3~>
+o@-7[f@8'gY*[7]=g$B&gWJ(!g=k66gsjp-f@S^2hV?c6fA5B>f\5$/e^rF(g==[*g""j3g=Om+
+f[\U-gt^T6f\5*9gtVe\)q`irg=b*/e'laqeCW4!e^rC#gY(<6g">$5h>H+>gtUW?h;$`<hr!AM
+hr!;fgE,(ue^i@+g=b<9e_&[5g"bK@gYC`Hhq-cAg"kQ?h#6"-g&^$dr80Nfg>CoMi7ci?gu.5S
+gu@8Ke>.o@gYgrEfA#9;hW!GHh;[;GfA,<?iSrSFhUpB5gt:<8gtLE8hu)8-gY1H=gtC9.eD&j9
+g=tH@iS`PJi8WYNhq-TAin;`4i7lZ,f%8U*eCiR/g""d1e(!1+dF$Fkdam+&d+HjqcdU\'bg+_s
+E,ihU=[\L?S(cEde:7~>
+oD:-1pA"Ucm\GPd]_)0jqY^<jr;6?cpAFgerVH9YqYU*bqtT[RrVcZlrr2lnrVld'r;6?fqtKg]
+rr2ikq#L3gq>^6ip](""qY^6eqYBp^q>1$frquZhq>U0hpAk*fquHWkq?$Keq#:'lq"O^aqu-Bk
+rYth3q"XLWr;QTiq>C*`q>1$cp\+O^q=sd`rr;us!r`,trr)lps8*3&rqlKcqYL-hrUp-gq'GaX
+N73Z<r;6EeqYpElr;-3aqYBpar;6?aqu6Njp@eC_r:p$\rqHQjqYC-e#Pn/ip%\F]r;HUErVZTl
+rquTeq"aa\q"aUWqtg*`r;?Edp\+=Yq"FU_qYC$erVHBgrVQNlrYYP,pA=RZrVlc`q#:3dpTp(0
+SR#]LQJ;?1qg\~>
+oCjj)o(;kYl(<HN[ds7[p@n@Wp\+:Onb;bSqt9OHp%J%Np@IV?q"XUXq>C-`q#:'rp\+:Rp@@bI
+r;$*Xo`+O_oFU`kp\+=Ro_%nNq"ad]p\"4YoE"RSqXsp^qt's]o(2kQ"S;3Yp\+RY,Q%K=q"OLQ
+p\Og`p@nCWp%J1Vq"44Sq"FCTq"jj_q=s^Zq#:$fpAagcp^-Wao(;SJq=j@PrpqH(_h?3bIJ<@*
+nFQDIp\+7MoCVYFqY0[TnFcSNp@7\HqY0UPo)A4^o_%kUohtGRoC2AFp@nC\qY9gYp@n@UoCDJD
+oCDJDn+$)Do(2SKo^_PAnFlGBp%J%Lp%S4Ro_/%Pq>UBip[dqLnb)bWq<@JGp\"'YN6%>d>B,_T
+q"=B3~>
+o@,A6c-b;)b_0S9Rag$3dF6b$f[n['dFd(,gXaiue^i7#f$hjjf\"g-g"b?5f`'P2f[eU)f$`!t
+gtC<Pe.L-Ud*Bt`dF$ImdaQUkd*g@lrmh%s#11cDd*L+lqqM2+qq;,)f%0iP"P2,Wg=cJX+P5?&
+g==a'e(EF2gY(98gY(?;hVHl;hVHr?gtglGhr"Chrn[V0s4dS11>CI6gY1H?h::?8g"b5_DmjLp
+i8!,=f\>-7gY1<5g=b-:h:pZ7gYU]<eC<1-g=Fg)rmh/&f[p,T,M1Mte(34*g>(TChVHuBh;6r?
+f\"m1f\"m-fA#'5g"bB:f`'JRgt:34h:gQ:h;-i>gtg]=io8eIf$rF'f\PNBc.Lq1gt7g2Y'iDu
+=*;..eb7LC~>
+oD9@&rr2B_p\jj^rqQ?hrqQBfq>'serVlWlq@<K'p\Fabqu$Ekqtg-cqu6F&q>:*cp\Ojcr;Q]n
+pA"L^rr)lrs8Duqr;?p!qu$Bhq>1!drr!&squ$?eq"XjerquNfs8)cmrVZZns8;fls83#lp\4=S
+rqm-!p@nI]p\"=Vq>($b#57]`q=jOSrqcZjs8)Zjs8!o6p\=[`qYU-arV$3eqt\]eV=^a[rVcZh
+qu6BgrqcKirVlX.q"t'hrVQ?brVlZdq>U<hqu$Ejqu$Bjs8;oq!;uck7f3,]qtg3frr2imrVlcn
+r;-0`rquQerVcWirVQHirVHEiqYL3ip\Fdcq=OCZrquTerV-!_qtp<br:ffjLn:`/R,7]8p%s7~>
+oCj'tqu,jRoDA+NqXaFYrUopYp%A(Sq"jX^p&FjsoCVePp@nCXp\"4QpAX^qo_8+Po(DeOp\Xm`
+nauPLrqQNhs7lWg'_qM#qYBp\q"XUVp@nCZqYBjZq"Od\rV?Kg!Vc<_o`OjZp%JCZrqQNfrUpKj
+q"aRVp\":[r!3&jp\Xg\p%SI\rq?lpoCi"RoCVbKo^h\Ho_eC^oHEhro(MeLp%7hMnbi(Ro#l'F
+ntVWJp\47Pq==7So^qnPrq(!sp%nFWp%%eOqt9INqY0^Xq"XUWp\=OZq"XUXq"a[Wp%J(Np%J+P
+o_%qQq"FCTq"OLUo^VSMp@@hMq"=:Sp%A(Rp%A(Oo_S@Ro_J@Wo(;kYq=jR[p@A%Sp@n%No'EQ3
+Q_oS%g%P%1pOE~>
+o@+T,f%J-pe_es2gsjg+g<eC$eC<+&f@eXPeGn21daZn#f%8U-f@AF&f)F21eCW=%dad"$f@o$3
+dF?b!rn.8(s4IA'(YI?ke^W're'laldF-Lne^W!pe'cUhci2GndfS%OgA9S(gA]k+gA]k,gAKY(
+g*=tlda6Ipg"P$-fA#'3f%Sm6gtUT;f[nj4g=P!3g=k65g=lM[rn9Ecf@\j4g=t<5h:CT?gY&u?
+M;4&AiSWJDgYLH7h:gT=h:gQ9fA#3<h:gE2gtp]4fA506g"P37g"QAYs4[M-!8@G)!SQ3+g]#n[
+gtgfAgYL`Bgt^T6g#(T;g"kN>g"kE:h;$`=h:gT@hUgH8g"+R#gYUT7e_Ja'rn.e;e_Sm+P\5E'
+D0NbKe^aBCJ,~>
+oDA@[m/-eXs8)cmrqufnnG;bRa8,f2k4\lNjn]J]\Tl<pleqKmjn\]Mrqc3_jne'8o(i@^p%SO`
+k50Z~>
+oCr:[qtL$`s7u9\rq?Bds7lThs7l*XfD,C?oCheM!;QBcme?eVjn9/TZuX1^k1]I]i:Z^;qsjCA
+pX]$<p[n4\p[\%NpOE~>
+o@+9!daZdtf\"m1f[n[(e'mp<rmh&"s4@8&s4?bko[a/qeC3U/!RoZlg%<o!f$_snrmCkseC=HJ
+!S>uUfaZT)>d355_V;lGg"+s8n_*$Vf%C;\e^`1"eCE(IeH47Nf(@Vsf[n[Ie:7~>
+oDA@[m/-eXs8)cmrqufnnG;bRa8,f2k4\lNjSB;!Q07_?f]7FhpAFdbnb_GEjSSQFoD&C_k50Z~>
+o(N.ZqtL$`!VuN^p\smdp]($fq>^6ZpXf3?p\"7MpAk!aq<n"XpZ2#W\rYq?VpaFFZLR\^p\47P
+jnIC#s7c0\!;H'Xp%Nt~>
+o@3fhs3q>)f%8R,f@SR'maM6ermq)#s46\io@<ojk0a=[f%B]Ls4I>%"P;5Vf%9lO!nZ#OrmC_n
+!RoQrecFCTf\$_gUNk&7O1E25QIOX@g@O"sf]Lccf\"jYf[n[He,e.Qp"9E!f@BTEJ,~>
+oDA@[m/-eXs8)cmrqufnnG;bRa84lljn]G]dB(3q]'o-*[efjpr:0[GqW.P7qW@[*~>
+lhC8NoCr7Xs7cQgrqZThnFtQ0j7`QKrqZ<`f(T[HbGMqY[-?jhZ1[e\p\==QjnIj0jS/6=p%Nt~>
+mF26gf%8LNeaq;ie,Rqtec+/"eaV)[eK*/fe'c^ne'c^ndaQXndaQXndaHUme'c^ne'caro[j]*
+e^`1"eCE(!eCE+!e^W%HdJhPpe("<H!8#fS%C2"iS".gO99e)]eCiRHf]CZaf@SXUf%'HC!S,fo
+fDsLqe:7~>
+oD8OaqYC$bo(rRcq"X[\rqcZls8)6\oD4LC&,Pe>Z+oVumrQ,<rVQQeqXaUHq#L9PqZ-Kbq>^<`
+qt'[Vqg\~>
+nb;qUqtU6eoCr:Y!r)KbrqZTj!;Z*YoD-<!kkF67&GPtda/lo8n`k&$p\FRZo(DVJ!;G[O!;GRJ
+!;H0]f(X[~>
+ldYd]o@3cgs4%)!rmq,"nC7'[#1V,Pe()ptrR:u#e()ptrR:u#e()ptrmUu!f(@Poeaq;hdf._q
+ec44Lf+6TaY*>^*f?[?_g"Y36e(40CjOVo6!7g\j!7php!S5foe:7~>
+oD8Rbq>9saq#L9_qZcljp\=OZq>U6jq=+1Nq8`9kqW7J^q=sLFnG;tOJAD'XpA4UVqZ6Qhk4erQ
+jnf&Sp%SR`qXaUUqXjZ8~>
+o(W"UqtU6eoCiI_p\4IXq>($ds7u0ZoD-<!kkF36%JTM^kO&!9msMeCp@J%Lp&OjKp]1'Mp&OjZ
+pt,7j~>
+mF;0bs4$tso@3cgs4%)!rmq,"nC7!Y"4l#Rebdo!e^i:JecOCQeaD#ZeGdkre,Ihsec+/!fDsOT
+ed^<deBZOtg!X6"g"4a+Wn%1#o@3B_!7gblJ,~>
+oD8Rbq>9s`q=OOhqYBm[q"X[\rqcZjnG)VNa7oZ2k5,/TjnSlO%JBVpr:n-OZLn(jq=jaXqZ6Qh
+k4erQk552Tp%SUaqYTs`!;lBao_X.~>
+o(W"UqtU6eo_&Oap@n=Vq"aabqZ$B\q"+=]puhD3q"sg\p@J%?p^d2pnbDkUoY,=KnbW"Ro_.nN
+jnRm1o_8F\oCh>@J,~>
+o@3fjs3q%trmLhq"OtuPf%0HC#1V,NeC<%!rmq,"nC7'[!7p8`!7phns4$Pes4%)!s4.2%rR_,%
+f@:DbgXb6:iRji'Oj`":f$i4Ae`GAmeb%@A~>
+%f?,"qYU0dqtg3dqtg3cqY9p_s8)cm&Gl;#qtg3dqtp6bp\4IXq>($ds7u0ZoD-H%s8!Z2qYU0d
+qtg3dqtg3eqYU-dqYU-dqtg3dqtfFLs7m&sqt]s_gp,&pq"jmeq>pKirVHfqqtg3dqt]@K"o8#l
+qYU-fqZQcmqYU-fqZQcmqYU-fqZ6Qhp%SR`qXj[cqsjLiqtg3dqtg3eqYU,>~>
+o(W"UqYC0cs7Q`mp@n:Tp@n:SrV-?es7uZjs7u0ZoD&C]o(NOep\4IWq"ORXq"OOCq#'jmp@n:T
+p@n:Tp@e+PjnK;\p@J%Oo(Uh>aRSrtq!n+?puM2@p]1'[p?)+"~>
+o@*lmf$r4Jdf._qec47mecsXQe'umtec+/"eaV)[eH+7Qo@X#n"PD>Yf@^&R!7g_k!7UPfr6t_s
+rRLu#rn%8'e_&@]f@\[/g"+lhOK-a[f\"dHe,\%\ec=7Pe,\%jf&kJ4~>
+!;cTg"8_fhq#:*[p]1-gq?-WjqY:!ajS7=%iqNNMr:pHiqY9pbq#gEgq"jm`!;bOH!r)?\qY1'e
+qtUBkq"jg^iqNTOq"jm`!rD]gqtU<iq"jm`o_8I_qXaRaqXXC_qY9paq#U?eJ,~>
+%JTYlq"OOXp\=LXp\=LRq#C0ip^$]jq=j[Yq"OOCpt#9#p_ii$p\4IWq"ORXq"OOXp\=LXp\=LW
+q"ORXiqWHG!qu6YqY1Hmq"ORYp\=LXp\=LBp_ii$p\=LXq"ORXq"ORXq"XUYp\=LXp\=OXo(_bL
+o(WRdq"ORXq"OOXp\97~>
+jOF%Vh:2&H!7p_mr71u#f@ALOf%JRPec=7Pe,e+Or7D)$eC=EIJ^f2~>
+jS8TIh>#OrJb[=]!VuT`qZ-KUpj`~>
+jS8TIh>#RsJb[7[nb;5AJ,~>
+jOF%Vh:2&H!7pbno@9nk!7g\lJ^f2~>
+jSJ`Mh>5_"Jbm@^oD@\HJ,~>
+jS/NGh=oLqJbP]/J,~>
+jOF%Vh:2&H!7pbno@9nk!7g\lJ^f2~>
+jnefMh>5\!JbmF`o)%SGJ,~>
+jS/NGh=oLqJbP]/J,~>
+jOF%Vh:2&H!7pbno@9nk!7g\lJ^f2~>
+jSSfOh>>e$Jbtu7J,~>
+jS/NGh=pO9o(VbNWqZ,YJbOZ~>
+jOF%Vh:2&H!7pbno@9nk!7g\lJ^f2~>
+jS\lQh#,e&Jc*Oco)%SIJ,~>
+jnAKDhY,LoJbI.Xo(V;?J,~>
+jOF%Vh:2&H!7pbno@9nk!7g\lJ^f2~>
+jS\lQh>Gk&Jc*LboD@\JJ,~>
+jS&HEh=fFoJbI(VoCqD@J,~>
+jOF%Vh:2&H!7pbno@9nk!7g\lJ^f2~>
+X8M;^f)5CCcM[P;Wr2Jck59`~>
+X7klRf(St7cM%,/WqQ&Yk4X<~>
+X4..#o@Nihf$sQHf$j]MqUYMpJ^f2~>
+X8M;^f)5CCcM[P;Wr2Jck59`~>
+X7klRf(St7cM%,/WqQ&Yk4X<~>
+X4..#o@Nihf$sQHf$j]MqUYMpJ^f2~>
+X8D5\f),:@chmS:Jbsr~>
+SG2mTf(]%9ebAq6JbT$8J,~>
+X4..#o@Nihf$sQHf$j]MqUYMpJ^f2~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat3.ps b/books/ps/quat3.ps
new file mode 100755
index 0000000..0b708c5
--- /dev/null
+++ b/books/ps/quat3.ps
@@ -0,0 +1,1753 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait3.ps
+%%CreationDate: Tue Dec 26 19:00:45 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 291 167
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 152.250000 translate
+276.000000 -152.250000 scale
+% Image geometry
+368 203 8
+% Transformation matrix
+[ 368 0 0 203 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 368 string def
+/gstr 368 string def
+/bstr 368 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       111033 ASCII Bytes
+colorimage
+q>$HTq>9%Fs82fnl2(5Ql28^$s8)`irVHKirVYpWrqufnrqbmV#Q">qr;-9er:0Z7~>
+q=U0Lq=ib>s7cNfl1XrIl1i?orqQHdrV$3_!;>^PrqQNfrq>UN#PRoeq"FFUq!n*/~>
+q9YPWq9n-Is3gnql-]=Tn^I<a_pnY9rR_2)f[f?;rmh%urmU,]#Lh2Qe^N!seah2idXV~>
+q>$HTq>9%Fs82fnl2(5Ql28^$s8)`irVHKirVYpWrqufnrqbmV#Q">qr;-9er:0Z7~>
+q=U0Lq=ib>s7cNfl1XrIl1i?orqQHdrV$3_!;>^PrqQNfrq>UN#PRoeq"FFUq!n*/~>
+q9YPWq9n-Is3gnql-]=Tn^I<a_pnY9rR_2)f[f?;rmh%urmU,]#Lh2Qe^N!seah2idXV~>
+q>$HTq>9%Fs82fnl2(5Ql28^$s8)`irVHKirVYpWrqufnrqbmV#Q">qr;-9er:0Z7~>
+q=U0Lq=ib>s7cNfl1XrIl1i?orqQHdrV$3_!;>^PrqQNfrq>UN#PRoeq"FFUq!n*/~>
+q9YPWq9n-Is3gnql-]=Tn^I<a_pnY9rR_2)f[f?;rmh%urmU,]#Lh2Qe^N!seah2idXV~>
+Oo"nNnbW(YpA4gdrqu$WWr)hmrqQHgrVQQkl21JXs82fll2(_^qu$BgqYU3\qg\~>
+OnSVFnb2eQp@eO\rqPaOW;$;drV-9arUg0alM(;Qs7cNdl1YGVp\=OWp@n@PpOE~>
+OjX!Qn^70\p<iogrmU,Zl-d2nrRUr"!nl5WlI>g`s4%%sl-oseeCE*ue'uq=e,[pI~>
+Oo"nNnbW(YpA4gdrqu$WWr)hmrqQHgrVQQkl21JXs82fll2(_^qu$BgqYU3\qg\~>
+OnSVFnb2eQp@eO\rqPaOW;$;drV-9arUg0alM(;Qs7cNdl1YGVp\=OWp@n@PpOE~>
+OjX!Qn^70\p<iogrmU,Zl-d2nrRUr"!nl5WlI>g`s4%%sl-oseeCE*ue'uq=e,[pI~>
+q>6TVq>9^Yq>Bs_s82fnl2(5Ql2&R"s8)`irVHKirVYpWrqufnrqbmV#Q">qr;-9er:0Z7~>
+q=g<Nq=jFQq=s[Ws7cNfl1XrIl1W3mrqQHdrV$3_!;>^PrqQNfrq>UN#PRoeq"FFUq!n*/~>
+q9k\Yq9nf\q:#&bs3gnql-]=Tn^70]_pnY9rR_2)f[f?;rmh%urmU,]#Lh2Qe^N!seah2idXV~>
+q>6TVq>9^Yq>Bs_s82fnl2(5Ql2&R"s8)`irVHKirVYpWrqufnrqbmV#Q">qr;-9er:0Z7~>
+q=g<Nq=jFQq=s[Ws7cNfl1XrIl1W3mrqQHdrV$3_!;>^PrqQNfrq>UN#PRoeq"FFUq!n*/~>
+q9k\Yq9nf\q:#&bs3gnql-]=Tn^70]_pnY9rR_2)f[f?;rmh%urmU,]#Lh2Qe^N!seah2idXV~>
+q>6TVq>9^Yq>Bs_s82fnl2(5Ql2&R"s8)`irVHKirVYpWrqufnrqbmV#Q">qr;-9er:0Z7~>
+q=g<Nq=jFQq=s[Ws7cNfl1XrIl1W3mrqQHdrV$3_!;>^PrqQNfrq>UN#PRoeq"FFUq!n*/~>
+q9k\Yq9nf\q:#&bs3gnql-]=Tn^70]_pnY9rR_2)f[f?;rmh%urmU,]#Lh2Qe^N!seah2idXV~>
+JblABb5;58rqQHg#QO2ko)6@gs0;HO~>
+JbH):aS5]/rV$Tqkl:&D\W-IZZM/k~>
+J^LaMq:!72s4.J2aPtP!S8mB9Zd]!'J,~>
+JblABb5;58rqQHg#PA&as4q[am]lY>~>
+JbH):aS5]/rV$Tds69R7C6[oTZM/k~>
+J^LaMq:!72s4.J%iQL2j9mFh3Zd]!'J,~>
+JblABb5;58rqQHg#QO_oqXS%As0;HO~>
+JbH):aS5]/rV$Trp[@e@=j$[9ZM/k~>
+J^LaMq:!72s4.J3f?r3q4KdSmZd]!'J,~>
+JblABb5;58rqQHgs7liqouQUms0;HO~>
+JbH):aS5]/rV-?a#57Q&kj/9BZM/k~>
+J^LaMq:!72s475"#2%A"bKo5"Zd]!'J,~>
+JblABb5;58rqQHg#PJ,pJ7&?VnZhtA~>
+JbH):aS5]/rV$Ter:bP?s8)$SZM/k~>
+J^LaMq:!72s4.J&gt>spj5/&3Zd]!'J,~>
+JblABb5;58rqQHg#QObqAr5IGpTaUG~>
+JbH):aS5]/rV$Tpq!_^Dg&LR8ZM/k~>
+J^LaMq:!72s4.J1f[<,u]]@PmZd]!'J,~>
+JblABb5;58rqQHg#PRu!fCo7=s0;HO~>
+JbH):aS5]/rV$TfoW?R1s7$!\ZM/k~>
+J^LaMq:!72s4.J'e;pubimco;Zd]!'J,~>
+JblABanl,8q"smmqq,2Gp]'g^i;3rZqtg3dqtg3dqtg3dhtqp~>
+JbH):aS,]0qtCBido`%-qs3qKi:dZRp\+@Tp\+@Tp\+@Ti:ha~>
+QI5TVU=&ec_pn\:#I?I<e)&C&f&5$ff$r:#f$r:#f$r:#f$r4Hdco6]dXV~>
+T)/KarVQ]nqYp<jqYp<jqYpB.qYp<jqW@\FqUt`Vr9jU_p](!ds5]m;qZ$EciVOAdq"jd^q"jd^
+q"jd^q"jj^rr2ZaqYpKop](7"p\"I\rVcWks8MfjJ,~>
+T(`3YrV-BerV$9c"SVN]p@eL[_=mm$s7YULnb1W0%dX/ho)A4Trnj7+p&F^Ti:dr\p\=LXp\=LX
+p\=LXp\4CZr:TXUrqufh$iU"qo(i"Tq=j[]qY9f8~>
+U!`kd!R]?pdfRtFd/M;ibR)P?cd:%ddaHOjqpW[7rm:\mrmL&\n^H1@&(et]f@&O(f\XAj_q!_r
+dG`UTeg/o!f[e^+f[e^+f[e^+d+-[lbL+kkf$D[og!S-se(3+"e_&LLe,[pI~>
+T)/Kar;6Qkq>('erqjP.rqZTjk54]Fg%u<[pA"Obs7#a&JE[%)n,!(Dqu?N`p]:-crr!K-p[\.W
+q!n+Ys7cEfq"FRarqZBeJ,~>
+T(`3YrV-Ehp\ORbp%J+YpVHS&p&FaJp[Rt1pCI5moCi.Zlg_i=j8SK3p&EJ7!r2H`rqd?)p$h_O
+p?qSQrq,sZo^__QqXs[YJ,~>
+U!`kd#LUuKe'c[kcMl#eaoBTjcd:%ddaHOjqpW[7rm:\mrmL&\n^H1@&)GX^f%o''d@sj_hTj9o
+hr3&bf(7N2f$;UidaZakb0e\bbL,,"dF?[ncdUOude_GndXV~>
+Sbi<^"9&/pq>L*fq>^<jqn`..q>^<RqsjO9q[`Q'q>L3`s8SO's8W&mqY&qGs8)<](]O4&q#(*h
+rqZHjs7u<\qu$BfpA+[bp\F]:~>
+SbE$Vs7l]jpAO[ap&ap\pAXg&pAXabp?),>p=]0Np&"CVp@/"[Q"L!pq"+1Ki:lg;"T7ubpA4dc
+#57ihr:][PrqHZio(DhRoD/-2~>
+U!`hcrQtbsd*KnXrlG,a#LCcDdF-IjdJMD7dJhMmdJhSYeFD#@e.:*aeC`@!gu3BFh;R#8e^<@*
+o%"Z-f$DRdeCE+%e(*+*e^2are^`*odalsqqU>MnJ,~>
+Red3brVZQgq#:$eq>^<jqn`..q>^<RqsjO9q[`H$r;ZEas3TU%s7Z$_rVb^P!;c9](]O1$q"jd^
+s7uQirVliop%SFbr;-<fq"af;~>
+Re?p[qYBp[p&=U`p&ap\pAXg&pAXabp?),>p=]0No)8=[n+6S&f`1m>mJ6PPi:lg;(]<ssp%S.R
+r:]p]qYU3co(2\Sq"FIVo_J63~>
+U!`_`"jbTAc-+3-a8aBhcd:%ddaHOjqpW[7rm:\mrmL&\n^H1@&(9:cgX"@+X17*CdEU@sf\b1)
+f$r:#f$r:#f$r:#f$r9sbgP"heD&O*f\>3;g!S0tf[\I#eC"-B!7HA~>
+Red0_r;6?crV-<es8)`l_>=0,s8(mTnbUr9&-)M!s8)cdFH$7\rVuokq;M5@qA8o$r;Zflp%A=a
+rUT[Xg9Bf7s8Vrkqu-?fJ,~>
+SbE'W"SVZdp\"LWs7QNep@eL[_=mm$s7YULnb1Z1&,u7kqt:!VDhn8Jq#C6]o\fHjq"ORXq"ORX
+q"ORXq"OOSo_A@\oC28FrqPmNo[U#&o)8L[p%S:XpOE~>
+U!`hcrltYicHXSSrQ"r_#LCcDdF-IjdJMD7dJhMmdJhSYeFD#@e.1?cd+d+0bti!-^Y%GudGNG#
+daZ^pdaZ^pdaZ^pdaZdndFI%+e'QOti7cQ-f=6gXce@($daZkEe,[pI~>
+Sbi<\"T%riq"Od_rqZTjrqjP.rqZTjk54]Fg%u'Tp\4[_s6Z??rr3)sn+cqAqsjLcqu-Efqu6U+
+p@S=`gQuGNhs^LAq>(!hq>5[~>
+T(W0YrUpBgp@e1Orq6<b!ql9\rqF8&rq6<bk4eE>g%Q$Vo()VKrof^/rqcKalLXu5p[\(rp\+CU
+o_/4^r:04LqUL^7:tk71q=XFVr;$);~>
+U!`kd$-pf=bK7oKaiMO%aT'Kicd:%ddaHOjqpW[7rm:\mrmL&\n^H1@&)Pa_g!nm"GJi:kg==?p
+h;QlSdMUKbf\"d-hVmAAeD9&pG=FC"aOSkidam+Je,[pI~>
+T)/K_r:p9c!r2TfrqZTjrqjP.rqZTjk54]FfDGUH$h_fZmeZ#@s8VinnDX97qZ$R1qXXF]qs".)
+Q>oYjJ]mEQqtg-crVZKgJ,~>
+TCrE^p@e1Prq??as7QWjp@e1QpAXg&pAXabp?),>p=]3?pAamqnB&6*p##H=r:9aNiV2p<)#*q*
+p$MALp#GtiOD@BRHc>1<p\+:Sq=sd[J,~>
+U!`ne"O>98aN4A#rl#;cai_lQcd:%ddaHOjqpW[7rm:\mrmL&\n^H1@s475&$dbl@ajn/Vg>(-2
+bMgtAdMUKihUp3+i7lB5Y'<l!.V5[$cIC=keCN1He,[pI~>
+T)/K_rqQHd"8M]gqu6EkqYpB.qYp<jqW@\FqUt`VrVu]kr0CjRrr;`jp\+X]iVW0A%efr&r;ZN:
+Slf5e10LmPrr30$qYU6gpA+T9~>
+TCr9Zr:^*^#kn#eq"FFSp@eL[_=mm$s7YULnb1Z1&,?"np\0eVhtd<Cp[[kSo&9?6p_`bqqu-6a
+n]7(q<^837X6]W[rVH6^q=jIUpOE~>
+U!`ne"jY<5`l?!s`"'c+a3)TMc-Ob`dF-IjdJMD7dJhMmdJhSYeFD#@e.:3ceCW;l5/5e0daupp
+iR6]7o$SB)e)'$<hq,#]3^,#/4dFRWhV-T1eCN-qqU>MnJ,~>
+l1tYXs8VE`s6Td-qYp<jqYpBkq?6Whp\"1Wo`Op`qu+A-q"t$d!rMoonbi4[nbUr9s7cctq#A7R
+qVh<)s7l9`r;$0dr;Z`ipAFpdrqlQhqt^!\o)JBaO)[a5SmYJpfDkjCq"aUVs82*]q>5[~>
+l1PAPs82!Tqrn(%pAXabpAXgdp'(3ap%@qIrUU3bp\=UZpVZ_"p\jdep\=RSq"a[Sp=]3?o*,*a
+rP$5Cq=a(I0DkD3pA"=Rq"Xa^oCD\QpA4OWp\4@PoBZGEUk`YMCmJ0r9$dM1mIU#@o)JIHs7uD>~>
+l-Ta[h:BHmf#-:bdJhMmdJhSociq_<aMl$2rkJ`T_oKsFcHcC8rR(MkdF%a;rQt\pe(!p<q:+r`
+g!p&N"l7Y`Stsp4f'1[;f[8!ne^Dmre(3$oc-t4je^Djnda6:dcfNZ9E)J/eJO;CU]^+V1e^Dah
+hpfR"qU>MnJ,~>
+l1tYblLk)Pqt0d-qYp<jqYpBkq@*2pp\"1Oo^qhMq>:-,qY9sdq?$QlrUKg]qsjO9qZm/rs7CT4
+mJl,A0),/>s82]mmeQn_rr)]ep%SCas8Dikj,[,MC6@ubJkVI0o(;t\rr<#sq#1'_q>5[~>
+l1PA[k4/6@p[Iq!pAXabpAXdlp@n=Tp@\%Ko`"Fco_8.Wp\2T!q"Oa\!r)KcnbDqSnb1Z1#Q+,j
+mrY2cs7uBPpFc(0q>9p\qWdbOqtg-^o'u>Hr;?Bbp"Y?r?"/ZRqg(Yis6AtJp%eLbq=OLVo(i$1~>
+l-Taf_9CBVd`^(\dJhMmdJhQ+d*BkW`l,[+^:h4q_oBmEcHcC8rR(MkdF%a;rQt\pe(!p<q:+r`
+g!g8]e(i8KJ&pUEf'(U9d*^FseC<*jd+R"%eC2[fcILP"eC<$aDDXgUEmj)]07*!:g$7MMf\P-+
+f$htAe,[pI~>
+l1tY\_;G:dq>^32qYp<jqYpBkq@*2pp@RtJo()DFp\Od/qYBs^qu-?mqu$E_r;$6[qUt`Ns6Td5
+?'bN`iVP;(q"t'iqYL-irq#[Vs8M]frV,saq7Ur[?t,kgr8N!6Eq01hs7uQlp\k$[rr;Tcqg\~>
+l1PAT^"`SXp&"@&pAXabpAXdup@n=Tp@RtIo'u8@oC_kQp\2l)q=XOWrUp<eq"aITq=jFQg%PaM
+kPrb.Oo4_Ep?D<)p%8"TqY'XXs8)0Np&=dWp%e1Jqt7I=>#n^kea_7/>A**kfDFt,qXaOXmJ?kO
+q=fC~>
+l-Ta_R'tbod+6LadJhMmdJhQ+d*BkW`PK0t]",Aa^r4C=cHcC8rR(Mkg!TWBpsT,g!n,QIn^[Hb
+n^H1@#MmGXX>k4Td.u8We1]7teCW=$e(*@-cH=\lg!8.!d`pOpQr-%16%Qf*_cfQ/eDnO4h;6r6
+f%%pphotrH!7HA~>
+l1tYW_;G:bq>^94qYp<jqYpBkq@*2op%7kFn*fc:p%\@)qYBs^qu-?mqu$E_r;$6[qUt`No)JI[
+g&Lm>iVP;)qu$Bfp@nCPr;Zfgn+ZkVs7!XJ>%)Q1]_qd.j+0ik>&\\+7o+O"o^_hVr;ZTgqg\~>
+l1PAO^"`MTp&+L)pAXabpAXddpAXdqp%7kHn*]W4nFQAIp\2l)q=XOWrUp<eq"aITq=jFQg%Pa=
+s75g3s7GaTp?D<)p@n@Wp%%_IlhCGUmcsB@o(q[\G?%mcJ$SV9o@S4O3DX4&B08P'k4%g3q=sp]
+q=fC~>
+l-TaZR'tYjd+?XddJhMmdJhQ+d*BkU`4ijo[^ENP]u%e2cHcC8rR(Mkg!TWBpsT,g!n,QIn^[Hb
+n^H1@#L25Ue?n2acM?&Ue1];#e^`*od*g+hinDc%eD/R-c'DKi5#GjYgYL]&@Orfe;d*0N1LJ8K
+bL4tlg=#iI!7HA~>
+l1tYalhLGRqt9d,qYp<jqYpBkq?6Tfp%._Qm0)kHoCht$qYBs^qu-?mqu$E_r;$6[qUt`Ns7jra
+q!.nZiVP8*rVQEbq>:*dq>1*js8;]=JOr^QJ@b[Yl2Ud\;fq]p>DW.Ts(bW;r;ZQlqY'^]J,~>
+l1PAYkOeTBp[RpupAXabpAXdup@n=Tp%7hFmHs9-md]rBp\2l)q=XOWrUp<eq"aITq=jFQg%PaK
+o?2.Fjo,5Tp?D<(q"a[WoC_kPoCDMIqt]pUaEg0F@X5<Qs53kVS4RG[gJE=eoD2ihVtg5_s7Z$Y
+pOE~>
+l-Tad_U$`Xd`g([dJhMmdJhQ+d*BkT_S!FeZ*CXC]>2A+cHcC8rR(Mkg!TWBpsT,g!n,QIn^[Hb
+n^H1@#M[_.;:EM?iVD'he1T;&eC)^leCW:%f@o-;g"!00-7q\lQeCN@k2q:M;q/iMC"qV1:,\![
+g<nd+chZ&jdXV~>
+kkb>Z"SMQgnc$Z,rqZTjrVQWk%/BPgo'u)5mI'K8p@uK#q"t$d!rMoonbi4[nbUr9#PS#I[J'Xs
+p#5fJr"Al$qu?]ps8N#tn\pAo9O!4dmf*5&lMoR[@%-<NYZR.fp@>:^B_MJrrqQ<fq>5[~>
+kk55Ys7,aWmJ=rurq6<bqtCToo^hVCm-O-,n+$&Cp\2T!q"Oa\!r)KcnbDqSnb1Z1#P%K:YjqYa
+nG2eBp]("?p@S+Wr:p0`p\O0hK3C]CI_"Y=s8V$WctZUCh<:\0M=KopTh/\`s6][Tp%eFXJ,~>
+kg9Udg<@mmaOSD[rm:\mrmDD+cHO;E]=>2MY-GCF^r4=>cMc,gdJMD?dJ2/gd/qbFeFD)beFD#@
+e-FCO[#i\je^4-Cl.#a`/^r+sg"G$8gYL`5U1leA3+ST)hrX"@k-n2NGK8-o3Ha02eW2IRcelms
+dF-VBe,[pI~>
+l1tYWp&F^YrV$95qYp<jqYg<kq@*/moC;><mdKZ:pA+U-qXFC\q?$QlrUKg]qsjO9qZm/Sg#2f'
+s7YCJ0)YP?rVu``s7"*k>!uJ:d.IA,li-qMs57d$Zg7YkVbkn;s4;?aK_>B:r:U*gq>5[~>
+l1PAOnb_kIq==F)pAXabpA=Rop@\"HnF#`5n+-,Fq"OO+p@.hTp&b!`q=47Up[Rt1pBU`JeD'`h
+s7,pYkk?_)p%8(Xp?VY@^kkrP:iOMCqWQu6pZ2,#A5oPerVW0SamB#NBgI1;r9sFNrV?9`J,~>
+l-TaZbgt"_eBQRddJhMmdJhQ+dE]tU^U^bXYctIB]Yhe5cHcC8rR(Mkg!T<;rQt\pe(!p<q:+r`
+g!g8b['[Hse)8XLf'(U9e^Djrg!e.&c`(hE,<8f0e)S`th;HH5]1G#EaQ2B90=06p\5b"dcIpFl
+cJ$kGe,[pI~>
+l1tYbn,NF]r;-62qYp<jqYg9pqYBp[oC;hL"nD0Vq#(-5qYC'aqu-?mqu$E_r;$6[qUt`Nm])EL
+oDe7XrqlWilME:5rVcTgr;H-BP]Kf'Ff*geqt^*es8Dorb?K#,o)J[eQW]oWG]6>Mj8\cOs7--a
+q>5[~>
+l1PA[lhp_Pq"FC&pAXabpAOacp&apZo).t\nalJMqtJ8,q=saZrUp<eq"aITq=jFQq=jj]jnB#E
+V2PBAs69@Yp?_PLp+Q16oCDSJl.Cu39hfMtdIQr"o(DbMp%Z@$Bt`a/oCIo9PFHE#5=+*)nGWCS
+rUfp[J,~>
+l-Taf`n/kfe'ZOadJhMmdJ_K(d*9YJ]!o&P[(!T_`m3#Xr6YDiqpX6Gq:#,erQt\pe(!p<q:+r`
+q:,Aom*l'aeG[f$eB*D[hp13&g%j4heG7Z0f@ea*f\+K]EDeSK</%g6g=k<<i;VRLVDV&?c/RI2
+FuXo(=]$_#^Yd;ihoa[#qU>MnJ,~>
+g%t^Ds8)`lrqufnf(opSqYBmYoCDG?nF?/Eq"jm8qYC$Yr;QQmqr[h8q]Ge0rr)Qfr;QHhq=age
+p\4XXs7Ps_o`+?tchd\:q>^Hjr:p*a5Q1BTs7uNip](-cq"jjds8Vids7iC&C0bAEl212Nqu-6g
+qu6KgUK_Kns6K^bolsA^BNJ3HqZ$T`p](0frqZGA~>
+g%PF<s7ZHdrqQNff(KXKp@\(LnaZ,:n*fi=p%J.-pA+IQq#:!ep\jmPp\FORp\X[`pE05$qYB[T
+p\FIXp@J1Yp%A4Ps7>aYo).^b`q0,uo_SFY!VlEcp^-ikqYg0`qt0m_rUVc<r;,dEr99JJ?<1F(
+jS&-:pA".Rp%\4OSQ'.Us5a(UlYT.1>=qGfmJR"LoDeUZqYBl9~>
+g!TfGs3^hormUnqk0`_J&(K"Qahtj)\@/lZ_8sjJda?J<eG7Yje,Ibpdf.\qe`tc^f(.<=f%A[.
+f[eR%daZLmf$W(#g!SF#d+I!scdg1mbfSGZf>sVaf&,!.h"oY(f$sQE5Ln-1f?r$sdGNX-e^rF/
+j5JS<k15,S83/t``7WPkg"Y*9gYU]>K/Z33iQ'g7dT8/.83&W!g>C`,d,3C&fD<tsdXV~>
+g%t^Ds8)`lrqufnf(opSqYBmYo^_SBnalGJq>1!9qYC$Yr;QQmqr[h8qZ?]iqYpC5q#1$`p@nI`
+s8VicrVQWis7DSjm/Qn[s7lHeq"Xj_!;QBd5QC?EnacPVq=ajgrVlirmJlRbJn&23NjniamJR"\
+r:g6cp]'ku>CcbDrVuc`qb37BaDu6TrosI_r:g*gp\F]:~>
+g%PF<s7ZHdrqQNfeFj@Eo^_SBnaGr:o(;VKpX/^1p[S%XpAamdq!%PKp@@tXp&OdbpAXe.q"+4S
+p\4:Sp@\%Lq"t!fp%&"UrV$9\O1"$Ao(MqOrV-9c!;H?b5Q:3@n*p,Op@J7_q"OaYiqVH4E`5eF
+J["hIl1b5Np[\@Snb_`_<I4]2p]'pJnNr)k]4,/ln`'HDq"+7[oD/-2~>
+g!TfGs3^hormUnqk0`_J&D#=WbJh<2]=GSj`QQWWeC2jnq:,5jq:#>js3gnql.>a^o$f)=g"Y34
+f[SF!e'?Fmf@SR,e^Dgle_&R,ccahdf$2mkDj\Pte_/a.qUbi"eG@TXfZV@Xb0nqkeDT?@h;d>8
+jis0%6U4[iPLA=-fAP96e`,34iRCF\>2RHPhpom#.<Ee5;G_&``Rrkod+$t"qU>MnJ,~>
+g%t^Ds8)`lrqufnf(oUJqYBp[p%87T"nhTaqYU3<qYC$Yr;QQmqr[h6q]GP.s82Qir;6Nop%%qT
+s8MW`q<\.0H-H<epAb0gqYL0c!r)Kdq"t'j&H)M$rqlEbs8ViIH<`g6PjA>K-N!cArUfj^p\sOZ
+i)3^Np]($ep](0P?CCill:=VIs8Vlor:L$bq>5[~>
+g%PF<s7ZHdrqQNfeFrq8s766]rpg$["82B^psJg2p[S%XpAamdq!%PKp@@tXp&OdbpAFY,o(N%U
+o(i+Vs8VZYp@nUbnauS@rm#T&qtKUVr:KaXqtTp[s8P1Xq"aLVo^DANs6\0O;)^jthYd!Fp\Fja
+n+-5Dq<%_29N.DNs75pSqXW?>Nq`&!4$W<9rq-6cnG`+VpOE~>
+g!TfGs3^hormUnqk0`_J#1h8MbfI]<rk8TSaNW&]e^Msoq:,5jq:#>js3gnql.>a^o$doqg"Y34
+f[SFMdN-Z_h:C*1g=P6>dEL(hgt'ZodDOV9;l&1"d+[:)q:>;i4l5)Ke^i1'f[JF6k1$kC4!?;"
+bO"'FeCNL/cd^Xugs"or1-:$7hpBp$g=O)$Gi[]).PBN:gX4g,c.g\Ce,[pI~>
+g%t^Ds8)`lrqufneG9:Cq"OL]o`k-aq"agbr6bB:qt^0cqu6Hlqr[h8q]Ye8p&"dbqZ$9Zq#0p_
+s8Vrmnbr=an#F:rs7lQmqu?NhrV-Efq"adlq==:Yr;Zforr3]+`e%>jA<,=Bs7c<Xs6TL[oDS^\
+rr3t0DK!5gs6p!Ws81o<?L$kVn7,]!nG;_Ts7Q3fq>5[~>
+g%PF<s7ZHdrqQNff(K:?p@\+No`"Fdo_%nNp\=O2pA+IYq"a[`pAamdq!%PKp@@tTpAXe0p&+@S
+rq,m\oBu;JoCr:`p\=1Rp]'TW^$5Fbp\FO\p\4R[8+u]Np\+@Tp[mnEq=jgcp&4^^n%X3F7p:Sk
+r:TIEk5+<5r9j@[mf34^QtU3Cq>]dWlMpP3KN-meo]&tIn*0Q6qZ$*Yr;$);~>
+g!TfGs3^hormUnqk0`_J&Co7VbfRf?^qdk,b0AAbe^Msoq:,5jq9o8is3gnql.>a^o$dZjrn2DG
+f$r-rd+?RmhUL05eBc_#eCNR3f%%soeD//uS&j@2f@SU,f$r:#f$r:#f$r:#f$r:#eB?:kf@f!1
+iSEA>V-u876#3mggsjs#g;VFlcIh1(inr^D:/@M>iQ0ZmiRP_X43,J%dR?=PbgXbeh9OI%qU>Mn
+J,~>
+g%t^Ds8)`lrqufneGB4@s7lQe"o.oiqu$B>qYC$ar;$6hqZ$HTr8IMpp](!cs7cQfhsLCBr;QZe
+p%\=^nGfb-s8W#hs8VlorVHKf!;lWjrVuois8FtTh6MT7=,b6#md^8Ko`+s\s8Vcio^;bZmu^Rs
+qYg*Rs8VoppA\f=q=O^^Bit@cmJleXrql`kqg\~>
+g%PF<s7ZHdrqQNff(K:?p@\.PpAO[apAamepsJg2p\FU[p\smdp\ssPp\FORp\X[`pEK5/oD&1Q
+qXWA(q"sg]q![_DoDe.VXC_>0p?qhUo_\CXp\agdp-nZJp%J(PqYC*emI'`Co$aI[:JHGTs6&\@
+md9iGli7"Sp[@AHrT]>;G4bOukPtJPs7$%s?17%WlWd*SHKkIuqtg'aq=fC~>
+g!TfGs3^hormUnqk0`_J"kD)Kc-"')`!46)cI17ne'cY>eG7Yjdf.Yodf._[fD4"ge9KQsg"G$/
+eC)djgX+L)eD8ZgbM1n-gY1!%e'm*qhi'nUh:0U"f?r1!daZ^pdaZdtf%AR+f%AR0g#1W3cJ%"(
+\r9lN12!BBbKehhd+mF"iSW#6ccbA,c#5@Bg>15uhqZ`=d,[V`f$ij88N>O3`nnqlf@8ILe,[pI~>
+g%t^Ds8)`lrqufneGB(<s7lWis8)cmdJE\9q>Bs_s81sViVO_ks7lWip]&o?V=+?Zp%SLdrqu]Y
+q5]\Vs8Vfis82KfqYp6tqY^9jr;QWnr;Z0Qrr5".TQk'MEObrHoDeafrV?Elq>^Efq#:3drj@/O
+Z1.Gdn,NF_s69LG@r9`ql2R>>EgZS#pAb-brqZGA~>
+g%PF<s7ZHdrqQNff(K1<p@\FYs7cKc"8DN`pX/^1p\FUXpAamdq!%PKp@@tUpAO_-oDeIZo^_q0
+7\Ao>o^MGNr;$*]jRf=/pAasXp\jjVqY1*cpA4GHq<$i8s7sj(Cg'JCY4DSWq=aUYo_SLYqY9XQ
+q=jLVY]rjClL4c<qu--dj7hM;A'4f-o8teAP4JYDs8)9^q=fC~>
+g!TfGs3^hormUnqk0`_J#1_2Lc-+5Lrl,,`bKeMbeBu\>eG7YgdJqYoe*5K[f(.;jf)F;If$r3t
+da$Upg=Fd2[k*6YhV-H/i8<;Bf>c<pD:I@kbgP.lbkf`geCOKK5MXB&guI1mHW3<d99[ufc.pn&
+f[SO+db<@%e(N@'gQPhpO3lG>c.gt$iPX9c5YA<FaPD:e:NFe;ced:!fD<tsdXV~>
+g%t^Ds8)`lrqufnf)#FBqtg6dcMIA6q>Bs_s81sVi;4SqpAamas0$"Xs8N&tp&G$iqu$KSh#I$?
+rVcNirq6-a8GiDcs8N&ts8Mios6ZOp=]]O\s8Vogrr;QfrV6?hq"4O]s7Z$`qOqG*f(&e5q>^0g
+p%A@^H[9jeX8`/!M8K/ipAb0dq"jg`J,~>
+g%PF<s7ZHdrqQNff(T.:!;?Bc!;O\0q=j^[p@eO\rqPaPq=aCRr:^'_*rPU,o(MpZ?cN'>r:oaX
+q"XRWqqfs)nFHDNo_J@RqY3VUp%7kJoCVYHmJm1GQ=!?ZA%)C9md'QAm.pJNqu$0Yq"=RTmJljL
+?Wb_Br:'@XoDe=Ls7UPUDgS2Ms7h&Qp&+CYs75gUq=fC~>
+g!TfGs3^hormUnqf$XNG"jtW>b0%g)aTTf3dF6RldJ;;feb7Djdf._[fD4"ge,\)!fE0XReGdl;
+f?`7%g#.o]Y3"U&hUUK>gY(9:^q&CJc.(7heCDe>dK.kMqUn*^jQ+C06o-PjTB,(]ce-sqf%/3u
+f$MXnfA>!&j4A`G3jd5je(<O+hU'X.elPmN?\mJ!ib4t7g!A@.cdC5<e,[pI~>
+g%t^Ds8)`lrqufnf)#FBrqcWkq>&G7q>:!cpA4gdk5=38+9)62s7ZKkO(4E.IEDNdq=aaaq>QVd
+q>]sWs82KfrVH?kqu6Hl$f8:HB4?P#bQ%V?q>UCJq#(0bo_\7Js8;fgs8U5d;/>IpqZ$Tes7cNi
+r:]japA+agq="4Us8Vfhs6]IYnbN'4~>
+g%PF<s7ZHdrqQNff(T.:s7QHerqQHcrUnS3q=j^[p@eO\rqPaPq=a@Qrq?9a+8Yg%rUKaYM-Z-k
+GJj=NoC2JJo_FQPo`+:Js7c'Zq>0jep\"CS5LQNX>?6!H^[Ug`mI^ARo(`.So)/.Ks7uEZr;X`W
+9P3D\p&"dWqXj[Yp[ReQn+-ASn)a*-qtfmWrorqPmJ6L,~>
+g!TfGs3^hormUnqf$O]Md*^4cc-?41"O59>d*g=hq:,5jp<iogrmU,`q:>)crmq(us3`">f$E7'
+h;*!<G%Y0_j4i8<gtLB8Eg"r0a3<;dbgb/=dK.kMqUn*CO't=:?B(f7f[eO(i7l]1f?MLgbfAMk
+g!eg;Vc>??a4f2&imHQ1f[e[%dG`O)hrNA4f[\m5cdUXgc/6\?e,[pI~>
+g%tOArqufnk5#>[qYL$`qYL*"qYC$ar:^!eqt'acqu6Hfqt^0Sq`"?Iq==R\p1[]eWEjrPs7uBg
+p&F=6qu?]oqtp<hqtg0arVuoho`+dfr:U*ic\Pt@J@+\Cs7$!err*K,o_\[anG3"RrV5s`^gL$B
+q>:'cs82cnrr3#tr:9`8~>
+g%P79rqQNfk4T&Sp@e1Pp@e7RpA+I-pA+IYq"FF]p\ss]p]'sdp%e=Gp\smapG_d=o^2\Ln7,@I
+TiH71qsj.Nmf2>!o_\O^q>'m`q=s[Uq>^?\nG2VJnEK]C_gGEeFK"-rp>l5E!;-9`&GGVfrqGsZ
+s7?*YmJOS#9W@j]qtL!]rq6<bo(RY~>
+g!TWDrmUnqk0XF^dF$=fdF$D9d/_Pmc2c)ec2c5:dJ;;feb7Djdf._hfDjG$ebRelfC@Aif)O7u
+dPfS(cfEa290I*M5[NF1g=>*1k/Y*dh:U6+e'umrda?CjgXaNjf@8U,ce[KX@QHbXNlL,7b5U)n
+f`0M5c-k7kajAP^g"+O-Sj"cbq:PSqs4IA)qq;&$o@*cgJ,~>
+g%tOArqufnk5#>[qYL$`qYL*"qYC$ar:^!eqt'acqu6Hfqt^0Sq]u+=s7-'Y_H(^Wj(sk?s8Dut
+p?QG:o`"jboCr7aq==R`na?,MrsSQ#s3d3UFF(aPnG`@c"9/?"rr2g+s6oRZr:0O]qYU;e?<YPN
+q>:'cs82cnrr2usnb[h~>
+g%P79rqQNfk4T&Sp@e1Pp@e7QpA=U.pA+IYq"FF]p\ss]p]'sdp%e=GpAjp`pH&*GqX!tC]MNA=
+gLQ/ts7Q?en)RrsmJ$MOnFc\Xp@/+WmHX9>rqc$^qT+P0BQ1?$jRi-=q>^'Yo`"O`p(.)enc/RY
+q#C*^s.*:m`q]B'qtL!]"SMK]p@e(OJ,~>
+g!TWDrmUnqk0XF^dF$=fdF$D8d/_Pjc2c59dJ;;feb7Djdf._hfDjG$ebRelfC@>jf)F1tdQ,k0
+g<SO&Uc;B8`_UWqkhb@Xe]L@\dG!7"c-P%pe&pOrb/M]XgXsm6i2prp:0!adb1YP(hrNJDrRh/$
+&)"tGg==?mgt:<?J35figA0Cuf)OD$f`^$^g=b'Ke,[pI~>
+g%tOArqufnjSJiN\,,ptq>Bs_s82Ecs82flq>:!cl2)Y!r;ZNfs--mUp:",,rr;ornGhX9qZ$Ef
+rr;ognbE.Pr;HX&rp\!sCKu([h#I3Krs/;nq#:3jr;?Qk&+fi"nGiFSrVlbI8q6X5s7uNlqYp9g
+qZ$KjrUKc8~>
+g%P79rqQNfjS&QF\+]Xlq=s[Ws7cNfp@nU\rq6*\iV,;'q#9jVq2SV;l`<dUoD8%Sk5X4pnFuPJ
+rr;odme-VEq#:0fs7klqP%%F/T%!K(q#C?enF,oGp&4Rpn,N7Ps8)*Yq=f8)HLpk,q=Xg_rqQ<`
+!quB^nFqG~>
+g!TWDrmUnqk0a4UrQk5br6bDgbgH79q:52ds3gnqp=K>qrmghqq:G&ar6dOOe_\g0iHR`5eWr+R
+h;R&Gc/c][e_8U)g>LW1bLG=he_\s5h:TlGF[\8eJ[X=^gZ%2Fe'cbEf_sA5bhq$ng=4-ogYH<g
+?.R]bf\#fHrRV/)f@edHe,[pI~>
+g%tOArqufnjSAuSq"XZoqW[nVqZ$Har;ZZnqYC$ar9=);p\FjdrVph^qsnc*s1jWkr9sNEhYdEM
+q"=C[s8Vi]rVcZlq;\i=CiY``qZ$Tks8)<[s8Vueq>1^&qXs^br:g$1EabpFs8Mijqu?Nlq#1'h
+r;6H_qg\~>
+g%P79rqQNfjRr]Ko^qgcp?D>NpAamdq"FI^pAXa\p>Pa)oC`+Vp]"uLnE4FSoX9DBo&]CreFWG+
+p%A%Ws8MZVq"XUXo%gF#ASd=FoDeXXr:K=Eq#'dMq=Y?rp@@tVq=O=!Cg3Y/r;$!]pAamdpuV7#~>
+g!TWDrmUnqk0a4U"4,9<chGf_d/_P8dIG`^df.Yodf._hfDjG$ebRelfC.5ddPoP$i7ZrM<*e5*
+;)-puC=q4^en_hIg=Fj(fA#<@e]QUug"4cfOCLgTDl2+Egsb01cHt>$f?X?IrRMS8e'Zb%f[83J
+;F-,nhqZi9f^m\ifCIDkdXV~>
+g%tOArqufnjn\uQrV-Bg\GGIerqcZloDJXcrqcHfq>BLS%fZ;(q>9GSNrAu\F7b+"rr4;&M>I)K
+r;63XmI'ZIs8)cqera9GFNNYEs8)3Tqtg6hrVQKjs7uL%rTsR`lMpm^;00kZs69+SqYU<hr:p<g
+rVZWmnb[h~>
+g%P79rqQNfjn8]IrU^*_\G#1]rq?BdrqQ3]s7ZHbq=`eA2u<4Do_%9<M":RAC$KuOs7QEDJFW1'
+p%nFPm-XHDs7QEgc\be(D8Y?1s7P^Fp\"=Vq=aRXqYBjrpuhMLjo>7Q95VTEs5WMHrV$']s7kdO
+J,~>
+g!TWDrmUnqk0X4Vci),hchPl_d/_Y<dIG`^df.Yodf._hfDjG$ebRelfC@Ahdf.WRdauq&fA"M,
+Enoe8:si[@jP&Y*A(8rYf\>$+c-Oquj4N>IZ>M]a:ntb[hpofmeCE+%f%/@'gABJ$fFuuZgtTm0
+hM![aWT*'^d,`j3f%0iMs472%rRUr!rRLJg!7HA~>
+g%tOArqufnk5,,RrV6Eg\bc.!q>0pbrqcZloDJXcrqcHfq>BLS2ui[Nq#.m'\c:`:BS2fSn,M4+
+k5YJUs8)Tir;66]o!jp+EJL^Ws8;osp\"Lbs7Q3dqtKaWq>C$eq@Duns7lTOO&0lcs7Pj\o(i.Z
+s8)Zgs8)]lrVc9`J,~>
+g%P79rqQNfk4\iJrUg-_\b>jnq=aXZrq?BdrqQ3]s7ZHbq=`eA)#Nq!oCo^dZi&Nr??q\5jnI8\
+h>dNCq>($e)uB9um]qmjC4N58s7cQloC;YUqsj@Tp[dnGpAF^bpCHKfs7?'>Le2FIq=!SJmI^AN
+q=jpakP'K~>
+g!TWDrmUnqk0a4TrQbGhq9]#drR8s;q:+r`rmCbormUSms472"q:>Ann^RNcrR!RVe(N=0Tf8P)
+_,j'5G3$g"[qie<iQp33gu$rEf[eH;E`5_FMnnE*gtL-#f%\j&dalppc-Xr:f)OA9b2_I3gqR_[
+<70URcfWU+f\"d+rRCeurRUr!rRLJg!7HA~>
+g%tOArqufnk5#>Yq"XUXq"XZqqYC$aqYC'gqZ$Har;ZZnqYC$ar94#9pAFdeMe)2Ps8T@=o(i=b
+Y%IIrqX4=Vn*p>Vl*,YHK=U=Js8MZZq>^Koqt9CTq=jacs8Milp](""qZ$T`qW`5kPlBkGs8M3]
+qYL*hqY^-gqZ$Hkr;Z`cqg\~>
+g%P79rqQNfk4\fIs7H?a!;?6__=m^!q=aXZrq?BdrqQ3]s7ZHbq=`b@2Y$P7qLr5;o)JH^[HR)S
+oqbs_jRM@+p@%MMs6-P2>^`m<r;Q<TlM(>Yr;#sNqY0[XrVufirV?Kgs7['%qrdS2CH.:JiW&`K
+iW&TLpA+I_q#C*cq![s-~>
+g!TWDrmUnqk0XF[bfn8Rbfn?-cMu8kdJ;8kdJqS@dJ;;^e,Ibpdf._hfDjG$ebRelfC@AjdehEN
+eBut%ibqH9g#UqIRa'@:fSD`<`R;]Vf[JF2kff5u6t;\.k2kFHb0eqsf$hm`eBuUjf@ea&rRCku
+s4@h=hTOTo<?cSDal_L;a5m6Ps47.urRh)"q:5&c!7HA~>
+g%tOArqufnk5#>Yq"XUXq"XZqqYC$aqYC'gqZ$Har;ZZnqYC$ar"8i&qtg3dqtg3dqtg3dqtg3d
+qYLm#s82b)C]F),rq6<kp&G'ReG]CcpA=m_`ee;BI*V$Wrq?0fs8Mliq"OLZs7lEgq?-Wmq"O^]
+&Gl=ts3FqJ\Gl:'nb<(`n,N4\"8_fhq#1'hqu-HmrUKc8~>
+g%P79rqQNfjnA`Is7H?a!;?6__=m^!q=aXZrq?BdrV6-]s7ZHbq=a:O#PRocp\+@Uq"j_=o_\:R
+>@[Qup\4+Ps6fdYgWKEepAaUUs7F9d@V0l+jSAQ=o(MkTq"FFSo_JO\p\adfq=sdaq#:!tnGUF-
+9!.gXrp94Pr9F:[pAFXdq"OR^p\XaSpOE~>
+g!TWDrmUnqkKsR^c-4DTbKS2Tq9K#es3^Yks3^kndF%d>n^IKbs3gnq!7ghqs472"q:>AnpXK,l
+!S#Qpd5'/"eD8j87S`$mg=js2jO2uA^ouVJg#LN7jOgGJ7n[-jb2;%*f\P<6da6@ecI:IndJ_Jo
+e^j]Ks475&&DGUnY!"S/hq7#9e_T-,i7S%[rRCku!8.5#q:5&c!7HA~>
+iVMg9l2(,Ls8)`lZ22lF&c2;!q"jd^q"jd^q"jd^q"jdaqZ$F7q>C9ijB@K;rpg$Us8VBaNK``/
+qZ$Tmd]J%5G,3ddqtgBknG<ags6fpXs7#sdoWDP;a8br)qZm&rr;6EirVcQgnb[h~>
+iV)O1hY.!DrqNbld.[h@p\=LXp\=LXr:g6d!;ZTgs7[W,pA+74:Or$4n,M\OqW.I+MrF['qtop.
+WdSH"T@<H/p@@qip@n+Wli6GRmJ$SJW**`Kp[\+QqY1$b!;HKfs7uKanb7P~>
+iR-o<lHoXZc1fE]bl>ogcd8uFn^?7Cqpt\t!S5Ztci;DmdN?lfgt';%C=_"YhoXd3bi3Sbc03g?
+j4:Dj>XVJ>Zdej&!S#QsdJ_Mje.U?^cJHXucJd(%i6mWM:9!7,f_O+peGn&!fDa>#f(mece,[pI~>
+iVMg9l2(,Ls8)`lZ22oGs8)0Ys8)`l*rl3/W)Uh;s7#sXq"k$`c0>9(qYS<mCkSn=meHSNl2)"k
+qu?$_meltULK:/As7ZK_qu-Hkqt^*Yqg\~>
+iV)O1hY.!DrqNbld.dD3qY(!brV?Kgs7[W.q"*[=8A"g!nbi"OpAaU#iVDp/n%43aJ>gfZo^q_A
+p\jdss7cQWs69:OnUaT-meQANp@@tVq#0s_p@7m-~>
+iR-o<lHoXZc1fE]bl>ogcd8uFn^?7CrRUr"rn.>'dJhH:dF-Ime_Aa#KJ91[fZD^jf%]EAZHhXe
+g=`<97U:_La3i;\qUGPnrmC\mrRCes&DYdl`Snqlf[OIjK%/c3j4<eNrRLkrq:"oa!7HA~>
+iVMg9l2(,Ls8)`lZ22oGs8)6[rVHQkrVmg_<Ufhanb)q\o_tPUqZ"F(M2[t;d-LZ1rqu]Yqu?3r
+qt^9bl/?5qV<S$ToDe@Xs8;oos8)ckq>0XYJ,~>
+iV)O1hY.!DrqNbldJ*D1r:g6d!;ZTg+nt^+q>0i'8`]@?nac\TnG&K=o(9DSI=RKhbieg#qY9jS
+p\X[am1/j^s7#+)@;_b!s75RTp@@tXq#C*gpAag]p@7m-~>
+iR-o<lHoXZc1fE]bl>ogcd8uFn^?CGrR1Yos47,#!S5]udJqW<eCN=.hqhHkcIC[nce[C,i.Za<
+i1k[2BQocA`7EYoe^aNGs3gnos3gkqqptel%bB.id`0!h;1lpLf[Ja/o$m]is4%(ts3g_lo$dZf
+J,~>
+iVMg9l2(,Ls8)`lWVY<F!;c3[rVHNj(A%S(CNTUVq=FUcqsNa(Js'YTQF,HArVluooD&=Kq[WYu
+p](,e=DZ+Zs7--hnaZMVquuuoq=saZl2,u~>
+iV)O1hY.!DrqNJdg%Y48rV-?e!;ZWh,5:g)o^)8A?YK<4p@J1]pZggiHAYj.MQ"niqZ$TnoC)>J
+n+Z\P&-)+hqY$R\B>jiIm/R+Pp@@tXp]^Ecp%7nJl1]]~>
+iR-o<lHoXZc1fE]bl>ogcd8]>q9n6OrR1Yormq&#!nPfIrmE"?f%AU$gt>7sjPeY8g>Lc6b\C^3
+6UPmS[aEgbhq?B#dF\3D!7Lkos3gkqqUQ29dF?t(Ji-/ujPA/AjNc?IeGn&&eC2jndEq1.!7HA~>
+iVMg9l2(,Ls8)`lWVY<FmJ?eY*rkp'a'+i)rVu`om-<3-AR0\QhZ*KQrq,s^rVZNgkkbnjp&FpC
+Iq=!"p\b'kr;HZcqu?Qtqtg-`q"O%MJ,~>
+iV)O1hY.!DrqNJdg%Y=;q"Fd`rqHEc*r,0g^JBgUp%nF]kiC-l?WD34fD>(9p$VGGq=s[WnFubP
+&,Penp=4IsG4>(sqtg'^r:0O]p]^Ecp%7nJl1]]~>
+iR-o<lHoUYp<EW_rm(SkWmUXjiR@kUrmC\mrm^ks!S#QseGn)Af\G!'W&o7WhVHiBc-!S\7m:4)
+]A:rlf$)Ljf%&6upsf2hs4%"urR_Y9dbi`f>s_ZAeCiU3g"P6OeGn&&eC2jndEq1.!7HA~>
+iVMg9l2(,Ls8)`lZ24:lg&(15rVI]4s8U6.irAfEp\(Y'9ko"1iUm0Mrr;ZkrV6'Zq"t!Rq[`?!
+m_s3NRK*<_pAb$Xnc/.Vs8;oos8)ckq>Bd[J,~>
+iV)O1l1P,Mp\+X]rqNblq=WG8q=sXWrUq?(s7jHifD4q&oCAej7q?_mg?nq7p&FL[q=O4Jo_8.N
+p\FLnn,2FcD,uo$s7GjXp?M&Enb<(Ys7cQes7Q3_nb7P~>
+iR-o<lHoXZchG]acMl.pdJ;/bdc/aVdf%Sldf%\nec=5!f)OAFg">EFX*DPDg!\O)N_M0#>eIl"
+j4Ml=c.ggscHjnfebR_ldf7hqf)=53dbi9D:cW^Zj4)K1f#Pqfn^RThs4%(ts3g_no$dZfJ,~>
+iVMg9l2(,Ls8)`lZ24:lg&(=9qtpEk!:g'g(A.Y"e=(;V;d"\@r;6Hms6TFXs7uNirr3#ur9=(d
+q#7"#B]&[Zo`+sgrr2ucnb`:_rVQEgnb[h~>
+iV)O1l1P,Mp\+X]rqNblq=WG8p\=X[qtC'_+6r\"q<[tFb`lg<9iHE'p%7tXqr[ABqt9[Yqu$Bg
+q"+7Sp(-ciS7,p]p$hGIrV-6is69(JrV6?cq=sLSJ,~>
+iR-o<lHoXZchG]acMl.pdJ;/bdc/aXda?D>dJ_MkeGe%uf`0VIgX+sAin*;E[sV%42*5<ogXt3>
+gVh:bf@&.!f\+s0ebR_ndf7hqf)+)1f%u!K7_RF%ceI:*g"kB#n^RNfrRCYno$dZfJ,~>
+iVMg9l2(,Ls8)`lZ24:lg&(=9qtpEk+92)ts72t3:02J:g73Tkqu?6cp](9as8)Wiq=aRYr9=(h
+k&X1Cqu-QkrqZBhqXaF\nb`4]s8Dcknb[h~>
+iV)O1l1P,Mp\+X]s7cTgZ1e"dg%Y79qtL!]s7IK6n)"*0S8q(rCo,XIGPLh+m.^&Hs6]^Wp\4@O
+oC_nMp\4@li,(o,pA"OXq=XFWp@%SLnb;qUs7uKcnb7P~>
+iR-o<l-TLWpW```s3Ipsq9\rcim\%XdEhd=rR1Vn!7q,$s4RG,+6_@tkgbGo0frEs^4'GGf\F^&
+cdpmle^;mrda-:gebR_ndf7hqf)4/3fu?r@>1qWce_/C!e^;O`ea_/dec44reah2idXV~>
+dJEk?s8.BDrqcWis8)0\q>C'c-NEu;p%S=[qu?KdqYKp]s8Vlgs8W&ps7j]qA5lldUu_RLfj;Dm
+rqu$Xs8)cm&c2>%oDe+UrV!I"CSpV$p$Vk=qZm&rq=sa\qu$!]J,~>
+dJ!S7s7_*<rq??as7YmTq=sd[.Jrl2nalJKp\a^Up@[tJqYfsRr;ZK_qXMFX?;=ULT%s).d8maP
+p%J+Dp\jdup%8%Is5j.QnZ,Z$U$MaJl2126pBUKfp%7nLp\=:QJ,~>
+dF%sBs3g&Wn^+8_rm:\mrmL>dq:5>k/^i1sc-+D[daHgsd*pOmeCrj2eDTHDg>LS]DalWM@u/7f
+ft9P?h:U<.eC)eEd/_VaeGn"teeZfcg<ej"hV6P?4%k7PjO26+f$r3tdf.YYe-FORda?IjeCF->
+!7HA~>
+dJEk?s8.BDrqcWis8)0\q>C'c!quEerr3)uq>C3jrt5,%p@A7]m.C5'P%.?Z@\;EQrVm)JTCr6Z
+r;>mX"988nq>U4%qsOLUs8V\>97t@bq<n1\rSRJSqYBs`n,%V~>
+dJ!S7s7_*<rq??as7YmTq=sd[.J!-+r;HQgp%\@\rqlBZna$&EjmD``Md/k?>aa.9rqH?ja-Z5j
+o(MeCpB(9eo_nFop?DVFs8MG37Xi;No]c,MpttfJp@\+Pn+V>~>
+dF%sBs3g&Wn^+8_rm:\mrmL>dq:5;j.*^&df@\^(dacq%hV6T1e'Hn(aj]"KEC)?,6@lc*k2bdl
+Z@LH\da\9ErQtVno$dcpeBu_DeIpHVj3ZiFd9J,/Vq]eGfAP<2eGdnrd/_VXe-"1JdaR^8!7HA~>
+dJEk?s8.BDrqcWis8)0\q>C'cs8NK+qtKdVp@S.Vq"XdcrtY7OQ#0W#A"VZVrr)ZbrU.FgnGi.[
+rVQQinbX.%q"Xjgqu$Kol21M!A8%OgqZ$ThrVuZMqu-B[qg\~>
+dJ!S7s7_*<rq??as7YmTq=sd[s82rpp[eCS+7JgooCM_QqYC$T_N&5*8m[t?p\O^Yme,VINp6T2
+q#0scq!n(pqXjCTqY'[]s5`nM^L(H;f(K(>nbE"RhtR*Cn+V>~>
+dF%sBs3cJGrmC_ls3^hon^RBbq:#`(f@SO!cHah`e,Iktg&BeFi6eHC8i84eID+@lgtL99d@ba1
+jNuQ/daJ*A!7LDe(Y@'`g"P$1hW)W/h4d5,Haq\fg<nR-dJhYndc]-Ye*tiedXV~>
+dJEk?s8.BDrqcWis8)0\q>C'c-iErAqtp?ls8;osqY0g]p#r#V<Ea%+h"UjKrUB@Ss7QDGK)bT:
+s8DinqXOG!qY9sfrq?*cnc/U*:iO&=s7PaXs8)?_hY[?Lme_M~>
+dJ!S7s7_*<rq??as7YmTq=sd[-i!N4p\+C\s7cHgp%%bHmbX4192K#^eaib?q!@GCrU'6'GQ71"
+qu-9gq!e"op@S(Uq=4%Om/Qmp95Cs(s7,:Ks7YpShY7'Dme;5~>
+dF%sBs3cJGrmC_ls3^hon^RBbq:$kDf%AL'f\PT@hVHi7f@eTiH9<l=7!cDoiT/_=ce@F3i+?EY
+e'6Rodf.YoddYa&e'Zb$g!S=(cK!]Q/l%naiQfKqiR?$!r6t_pjOF4Yn'h?cJ,~>
+dJEk?s8.BDrqcWis8)0\q>C'c.JN];rquTdp&Fmas8V;fJ66#sVVV1KpA47DpAb0epAXlh_#Ns)
+p\Xjdq>pBfnb`@a%fQ>#p%\LcrMWqOde!83rqcfoq>C9Lqu?T^qg\~>
+dJ!S7s7_*<rq??as7YmTq=sd[.Im'(q"=4ImeHDEq>9-MGtq1LS^d9)n+Gu0oDSU\o(24@[eT(c
+nb;eWp]:-ame71cp[dnGq#0u_<dW'XoDSCep@\4Yp\4[\!Vc<Lp]($VpOE~>
+dF%sBs3cJGrmC_ls3^hon^RBbq:$h?eCiL,e^Mt%f@Jj<a-'dc1e`G/f%JL'b/r)ggXk!3fnu?T
+akY.hrm:_omaV9g(YI?idad(0gP.^sZI@CVdaZ^odad%#eGe#"eCNa2s4-Sf!7HA~>
+dJEk?s8.BDrqcWis8)0\q>C'c'*%q-qu$EkqsjFI]6?tKDOSW<rr3Z2qZ$Qps7u$Ns6"X&rV$9k
+p&"XbqZ$?[q\K/-q#:<nq;lEjHN!1/rq66irqZ?es53_Pr9sN5~>
+dJ!S7s7_*<rq??as7YmTq=sg\0_Y;8o^qhMp@RY>jg/ko9P9Bul1aoFp[nCZrVuTUnGh<\R.9S;
+s7#dWq"XUXq"XCR)><k!oD/Fbo\a@VFnb"mq=4:[qXsLUqtKj^p?22Kq![s-~>
+dF%sBs3cJGrmC_ls3^hon^RBbqU?qEgY(31f\5'3d+6C1==uI*FJ-n5g"G*/gtCK?e],nm`)_E?
+d+-sprm:kseC<(#n^JH-f[eO+inr>)8haB'bMM%"e(N9ucdg[teGIh[eG[qee,[pI~>
+dJEk?s8.BDrqcWis8)0\q>C'c&,c>&s8W)hkcfS9:MlNDo)AY"rV-$bs8)E[qu?]lp;0V#rVm#u
+qtp6drV5p[(\dk(q#CBT\8G`:qu6WnoDeOVrVuchqVV/Pr;HTln,%V~>
+dJ!S7s7_*<rq??as7YmTq=sg\-hd6*p%eO[lf"de91NQU`9R*jp%%P<q#C'XnG*%`q=D*`QhpFL
+q>U-ep]:-anb3plp\".Xs51.s>`/4Ls7YmZoC2SSp[e+Qp\OUIpB13dq=sFQJ,~>
+dF%sBs3cJGrmC_ls3^hon^RBbqU?nDf\"m5i8)f$O^U(%:jfIqgXt--cd(2#e'?4ggtC6+T.PQL
+f@AFMd0.nIf%ARDe/Qife^NL;_3I\YE8073gsF]rb1"ticI(.kf%0fP!7pA`"4buReaV&gdXV~>
+dJEk?s8/Yh%/KbqqYC!`qYC!`qYB=NrqZTjrVI*$qtg3dqtg3dqtg3dqtp3eq>2W8qu?]]]7F*g
+BU73Cp\"L^s8W&ss8)6^rquE\qY0<gcM7G>n,NCaqu6Enq"jjWq\T).r:p9[Vc[uis8DK`qZ$<g
+rV$!cs7tXN#Q">rrr2lnqXOH5~>
+dJ!S7s7`A`%/9Jip@n:Tp@n:Tp@mbDrq6<br:^3bq=b$ep\=LWqY1'bq=ZK2o_SCCZ[,MI@#iM#
+n*Ti>p\4=QqY':Mqt]dPp[[IP`:!?sl2(5Mp\=LWq"OO^p@S(so_S=Rq<F\QD:&=Xm.BuIoD/4Q
+oDJR[p\4OXlLtPWp\F[^q=jUQpOE~>
+dF%sBs3cVK!7:Vjrm:\ms3gqss47"qr6kGl!8%(u/_JY.i8;_J?oU5>GIH/Vf%eg/g""[+e&Ttj
+f$;Rjd`.WQe(NQtf$i$odaZeDf(mhodMgWdgtC65c%S&PZfKlef@\g&e'lOcf@\I"eGe%ufDsLf
+e-FIPf%8O)eC4!<!7HA~>
+Jbnp5&,Gtqp\FRZp\FRZp\FRZq;D*%q"jd^q"jdWqZ$?cqYpBgr;Q]nqYBsaqu$Elr;$'`ke)LJ
+;KJ,Pm/R([qY^9jrY5;-qY9jckPtGLqu:bgnc/:^q=sd`qZ-Keq\T21p\Y!dn,N4^p\j?7;g.m/
+qYgEmrVXM/J,~>
+JbJU,q=b*gp\=LXp\41N!;H*Yrq@r<p\=LXnbW4[pA=d`p@e:Vp@RtIo^qhMp\"+Fo\m3):eY_e
+c0"p!oC_kVob@,oq"X[bjo>&>napL?li$;Mp%7qRp\OU`pD<W%oCr:XlhpAKnb;'t9l]^op%\C[
+q=sUVrq=b6J,~>
+J^O#8s3pkmq9T,ho@!cgd*DO8rR(Smrn.5$s3q@ueCW*oe()moeGe#:eC2t"f@em6gXt-:cD"u5
+2H=t-bhh.*f@g/Us4.q7daHP!^YdVef%a#*bMCLuda?FideqSpf)F>$f)O59e(2glgs<smg#(K?
+a_N\3eC<%$f@SU&r6kDjrmoNI!7HA~>
+Jbns6s7u6[iq`]OqYKsqqtg*\p%S7Ws8MfgrVlgAr;HZqrqZ3UN+Y[_OO3_$lM1DWq>L9drr2im
+qYL!]li6\Rrr37r^An6,s7Q0enbX*qs8Vccr;ZfqrVtAd>H[ktq>:-irVXJ.J,~>
+JbJ[.!Vc<ap\FURpAXgZpAOaapcnZPq"FFVq=jpao()PQr;-*[q"a[Sm-'.25u<E\nGMA=r:fjZ
+q=F:Pp@n=Vq>'CWo'ubOq2i,`qssXSo_eR[qY's`(@qJ%nacMRs7c6ec>$@Xp@@kLq>0p^_"W?~>
+J^O#8s3pkmqp5Did*_I6!R]9ncMc,gdJhSpec"/#f)O5$e^W%Hc8j;!gt'j!fA,9>g"P<?h:gE.
+F&"AOG-oo]b1>G$eCN3tf\"d)eC)al`8/bhjP/dAR+U';fZqmtqU>MrrRh/$s3qk0g"+?jd+7(0
+j6='O4c\4FeCN4$eC)d^e,[pI~>
+Jbns6s7u6[iq`]OqYKtOqtB[Wqtp6fqu?]np%%eOs8McWc_bqi>^NO'o)8RcrVuikq>^Hfrr2im
+qYL!^n,MtYp&'WOq#C0es7Q6gnbX-rqu?]mrqu-_nZQ>.Z1e4nqY^<jr;-6*qg\~>
+JbJ[.p@nIZnFlkUp%AC[qY3;Pp@S.Wr;-9aq>'^OlgF??p[I1`T5d_.FJR=Np\=IWqtTdTqtfmV
+p%J.Sq"aaSs6fmPn9:Yus7Q-`nb2kUp\X[apD<Dps8;TepuqS?WENK+nGi.Rp\FX[p@Z8rJ,~>
+J^NZ.qp5>jo@!`fd/M>hd/VMje,._re-+CMcI18AeGn2Ye^;[ie_]'1`iOkq3^R8;]@PltgtUZ=
+e(!%%ce-n$eC;podE11eiR$4eN7-S2eC`'qf_O%of)O59cdLP!dF?Xai74#Z6Bg!]f%&C'eC2gl
+_UJS6J,~>
+Jbnp5!;Z6\!;YRLqY1EloC`%\q"=ITq#('i0CRl3Jl>HfSE926qt^$bs8Doko_8@aq>C0fqtg0a
+q"t'cnc-gRU&Y#as8W#pp[S+lrq$'fpA+aeoT`C1jo>2Nqu-Eoqt^'(qg\~>
+JbJX-p\4U\!;H!VrqH*Z!;H?b-hm6*r;QKap@%SFq"aa_r92kAHV?tJQ/Cfrp%.bJr:p'YnFQMQ
+p&=[bp](""q>:'\li4b1P5k:Jqu$6aoCr"XpAak!qX=4Xo(E%XmZ1+nhuEB>p@nR]!r)B\_=rH~>
+J^NZ.r6PGko$[Wed/M>hd/VMje,Rqrf)O5Ie'HFmg="BtcdLJ#gt^cDbeBHN0J$+KajSu#gXt<=
+g=Xm!d+-[nrmq,!s3_J+e_&?ojJGUti7--+g""X"pXK/ms3qk:bgk@ld+m:'GrTKXk1J29f@AF#
+da6@Xe,[pI~>
+Jbnp5nbLl7)Z0@+qt]pYq>^?er;Z]\gQQSQ>E?u!s8;`jrr3H*p%\C[q"Xaaqu$Bhqu-@%rp]sf
+n+`1(rUg!bq>^KdnbWjsp@n7JrVuYF>ab?dq#C-fqucimq>%l(J,~>
+JbJX-nb;);"82B^q"se5q"FFVp@@hKr:]aVr:f@)Nb_9gMT5)_p@S%RrVcK[oC_hLo_8.Trq?Bd
+rqI$$mJ?_Am"Wp^nFu_NrVZ-SpD<i"oC;)@s7:Y>PO\P@r:B[Wq"XUWp%?/qJ,~>
+J^NH(o$[Tdqp>;hrR1l!e'uhCe0ieqe(*!pdad4,f%T$8aLH1`/N.FDd,3X6h;@8Ng="O%e'H@g
+e'e6Hs4%%r&(o%YgWIr_\(AmSe^E1)bkTZfdehN1gX"6lak#G$@m57mj4N8?g"4d)da?Fg_UJS6
+J,~>
+Jbnp5nbLi6"8hofq>UC&o)8U\c(&`T@t_5GpAY(%p\b$cnF-/Pq>C9lqt^*fr;ZZmq@E5tpAaGu
+hZ*QKs7Z$`s7l-]'`S",rVuo<J6JrIs6B:Wo)8LaqtpBh_>A`~>
+JbJX-oCq5;!VQ0bq#'k7q"F=QrVuobq#9a'QYTN+J$7Pqqu-H`p\FFHlLXuHq"sp^p%J1SpAOac
+p^coknGhHYch-u'r:9:Tqt0FQ'`.Rtq#C3-HW6d2qrI8EmJ-GNp\4[\_=rH~>
+J^NN*nC.Ebr6YDirR1ete,@_meGn&Gdad46iR$?<d]7[g2*bN0\^B'`gst-6f$;Lih:1!+e^Ddj
+daZkHeGmr-cI^G&`_3hqf?i3sbM1[sq:,AkrR;P5eCN:1gn\4:Mq[.4e)/L(f@AC!rmAU4!7HA~>
+Jbnp5nbLl7&bZ%tpAY*fjT"/<E`?A"W;6Ajrt>2#nGN(Tr;ZfpoDAIbrr)`kr;$4#rq6*eVKBWR
+s7lWep&FdcnbX'rqu6Wc]n9nBp\=Ubs6fpbr;6BfqS2oX~>
+JbJX-q=ie?r:L'`qtU3c-h@',oDAR\i;20'Cen2bU\+<WrVQ<Xm.^,Ap](9fn+ZVRqYBm[q"aXp
+q=*tNS8,G2qXjdWnbr(Unb3RcpA+XQ\:.i-nacAQs69R^p]'s%pOE~>
+J^N`0qpPPqn^INcrm:Vks3pnr!RoKrdJqYpe0iYqf[S^;fYcX_MGc2l@tiFag=k3,bK8Gfe(N^;
+f?Dane^W'qdF.j?&)#=[gjr7ij4_o8cHb.jfD3nrdf.Yodf7f5e(3:1cC860YLhFZjPnDCf@SO%
+e'lan_UJS6J,~>
+Jbnp5nbLl7&G?##p\X^5V0$0OGd$*&rqQHf%f62)q>:'cp\4IZqtTp^rVcQh&,l;'a/ISepAXab
+q#:<]s7,t&p%eLLUfi39s8Dcfq"ss`r;6BfqYU0f_>A`~>
+JbJX-q=ie?r:L'`qtU3c&G#\oo_7t&Tl++9F/n$gq=FRX'))2"o_/"Oo(2MIp[n(Nq>'m_q=bEp
+o)6@qbjb#pnb_tTr9F1LpD<>kp>hiFH0P8%o^_VIp@J%Pp\+=Tp\;T!J,~>
+J^N`0rR:_qn^@Kcrm:Vks3pnr!RoKrdJqYpe0r_tgXY$/Z\DFG4B@HUf@eX$da6@geCW4$f%&3q
+dF6Oic-XqgdF6P?e.:3[i1kq0f$N'pf[8=(a4U7<s3gnos3gqs(XU[a`e$-Vcf3^2e^iC*e^rC%
+e'lgpe&'T7dXV~>
+U&+K[s8)`jiVF)alM^bUp\OO[qY^<Vr;-EWqu?U8qu6Who`+^^rr;idp](9gp[5V8<EjmKgA:jH
+qu6EfnbWmsr;6?cp\Ojas8QkKs8DTfo(rsto(i=Xq#C0^r532Z^Ae,:qg\~>
+U%\3Ss7ZHbiV!fYk5#&IoCh\Jp%S7Bp\"@Hp]("/pA+[Wn,DtPqY^'Uo)/CVo'*N":K;\7f(T%:
+q"t'br:ogV&H)D"p[n(Lp[\(R@UT0,lh9oD&,kqhqsa7Vo^DOg@pcb@q"OKopOE~>
+U!`S^s3^hmiR&1c^sq/`cI:%ie^rHng"4pIeGI\oeGn/If%Js0dGE3qe^r9odbN[/e]aI^2*5-"
+\_5lng"P$,eC)dmdF.sBr6kJi&D#@]eBuXmf@AU0776"bcIVU:&^o=Qd+6Ihh:0j*TghJBhVQra
+f_j=5e,[pI~>
+U&+K[s8)`jiVEoWqYTpXr;Q`nq=FUc!V#pLq]GM-p@J1]r;$Bgo_A@_rr;&tSpXpUQI5@'s8Voe
+p\jpao)&I`"8M]hrr2j$oDe$&]&WhjnbWjjs8;Kgs6fpeRoY@#qtKfhqg\~>
+U%\3Ss7ZHbiV!iUp@n(Hq"k$ao^;VVs6K=NlLuIkp$qJDqtKa_p$hVKq>'sG^R9:L?'*8!q>^Kg
+nau\Pp\XaVpCR,rq"FLZq=jXKs5.q'g@kR:pCHipq!\7[l21LH;1mHmnaZAI]D$g~>
+U!`S^s3^hmiR&4_d*g+]e(<I-eBZn1j3?0+o$mQbs3r4=e^;[ph:^<5d*'hef%JipTmU$/6[#``
+guRDFd*p[teGdnrdJqYoeGI\kd1=aTe(*($f@S:-_H2u8g#;JN'$]7]bhq'pgZ*N8B"ZmMeC`@)
+qUW=/!7HA~>
+U&+K[s8)`jiVF&TrV-0gr9sLSp%e:Pp&4+O!<)os)uB@*qssX^q#0m,P@dZlN7It.rqlQep@e:Z
+s7uN^q[iW!p\F[cs8DiprdJ_aqu?<Yq[`5ls8M]crV<(<RH"8Ao)GulJ,~>
+U%\3Ss7ZHbiV!iNq=F=[q!7YBnFZ5<nG)_Nm.^PR+8Gm9qt9RQp?hVLoD%gmNaYUXLX>u!q=s^W
+oCMYNr;QHgq"".jq"a^Zp\Xg\o(hiuA,>ismd^#amI^AQnFHAHRXULWs7>XXp@n9fpOE~>
+U!`S^s3^hmiR&4Xe'67qe&^"ad+6[ne(`R,o$m]frRCku+5#K1h:L3.fZhpre(E$DE'l66C9ugY
+gtC?2daHXtg&BLfdLXaPdF?h&g"#!4=\.B#hTkZ@'$AVUg!J1$epLkL^uX(njOVi3[F>3)J,~>
+U&+K[s8)`jiVNTS%J9S]WcqQXFGb[%^]3`dqZ[#knbW+XrVmW/f;!Io=GO?Ps8Vi`o(MhRr;HTj
+p\F[VqZ?Wgq#:'rqu$9hl[bPqqtfmRq[NT%qY9dacuFBFr;Z`kYPWh~>
+U%\3Ss7ZHbiV!i_qsaC@VK5^GDhWUf\c(ddm.^PR+8kQnp%@tRs8N&kd[kD[;hD:<s8VZVmITuD
+q>0s^o_eFbq"ORSp](!uqYBmXp%.\Dhfk4Jp%7V@pCI;sp%._NbA;=2p]($\p@bccJ,~>
+U!`S^s3^hmiR&4le]Q=SJP\'f;.s?FTB"/Ho$m]frRCku+5G/ef@SU/io&hJZ@Gh62.VoojPn\8
+cdL4kf%J[)dJVJpda\!=("C[]daZ^ldaQUne^i4%`E[T2e^Vh5e.:Nif@/4)X\Mrdg>q#>g"<U[
+!7HA~>
+U&+K[s8)`ji;*rNp](-K\QqA/m^,thZiB:e'_qS*s7uKgoD,D&@UWoFo(N"[p\=[d"TJ8kp%J4V
+!;c9`%Jo_mr:p!^s8Vo:j8\oRs7,ssqXsL\qkIbLf'`S9pA4aaZ29%~>
+U%\3Ss7ZHbiV!iUkjncHg9Xj=ZKJ>b7]ZF[m.^PR*qT+*s7GsXmdd,a>?YF*lgON?nF?AQqZ$Tp
+qY'UUq=s[X(&%Cqp\+@Squ$0Xo_.nD^";rIs8DugpCR&knF-DNSmcchl2(/Ep%\4Op]'s'pOE~>
+U!`S^s3^hmiR&4_^s(T][ZNKdQ-5:H09kGHm*u'd*nAp'j4Do:dFO(E5!DAccdLJ!e(!+/g>:T<
+eC)amrm^qu!S#]oe.pQaf$r:#c-t7jdF?k&eYTt5eDK*>o$e9&f@/1.fmuOnZch.We(*1&eGRbj
+eGn+:e,[pI~>
+U&+K[s8)`jiVF)[q>C9\s6Erbm/Q+4;g\Q.q]>D'pA+^5HXU&oUttqJs7u]pqY'a^q!mqJp@\.T
+rV?6Zq[iVpq>L-arr<"p>M]5Wq=O"Cq[`#ms4W93PkP.Uqtg$XqZ!htJ,~>
+U%\3Ss7ZHbiV!iSo_8:Ir8h!Ljnmho969n%m.^MQ*q/Xho_HUP>#Jt'f(Aq@o(i.SnFQ>Fn+65G
+p%J4[q=sd[qXtKpoDJR]oCr"OR8;6%p@Ie:o(N^hk5#&-K2dp%rV6*Zna?)MoCr:Y_=rH~>
+U!`S^s3^hmimA@bc-4Sd`7W$f.ELD`GVi[^f'Lodefi\ne'lq(XB@eJ9S'e-iT/PEh:0g#e^;L^
+cd:"be_/I%qptSmqUQ5-bL+qhe(WX3JN('hg!e3ao$e6%aku3iAiFb[hqH`5dE^:uqpP;is45':
+!7HA~>
+U&+K[s8)`jiVF)[s8)K[s5mEhnc/WO8p10uqu6U2f7I=7:licoqXsmfn+?MWs8MrkoD8@`rrW)l
+o_J:Qq[iVrq>0mas8;;3JGB0Ep](9`qu?[*fPaKos6BU\q"Xmhrpm>kJ,~>
+U%\3Ss7ZHbiV!iSs7PsKrSURSlML@56>cPlme?\R)>aC5dX>8#8r(:QoBuDJkjA$>qtTmUn+ch[
+rrW,mo_nR`pAt!^o_&jjpAFd\p\OC=CiSh=rpg$go(N^hrVt;[8$`0Vq=aFOqu?N\oCr:Y_=rH~>
+U!`S^s3^hmimA@bc.UFea4\6`3R-I<E[t8Lf'_&deg&u/j0W2V4"tWSg"Fm3gW\$rgY:B1d*0nc
+f\5!-dE^7kf%0fP!S5ctf)"#1f$;[md+@+)b#MWnhVll<ht#80f&Pu*:G%spaP5@re(`a2bL4f8
+dehPof##o:dXV~>
+d/!b<iqcFGqYC!`qYC!`qYC!`qYC$bqtg3dqtg3dqt^*`q=sg^qYC!`qYC!`qYC!`qYC!`qYC!`
+qYC!`qYC!`qYKd_nbrLY`)2T[q>Y,-V#'?Q(#4dZAn6_Dqu$9es8Vojs8W#mq"Xacrsnr$o_A7[
+qYL!`q"jd^qXXLpqY9m[p&>!]fUM=/qY'gbp[S,4pT.bDc2RS4p&"dhqt^-gqtg3dqtg3dqtg3d
+qtg3dqtg3dqtg3dqtg3dqteY9J,~>
+d.RJ6iq?1Bp@n:Tp@n:Tp@n:Tp@n=Vp\=LXp\=LXp\4CTp%J+Rp@n:Tp@n:Tp@n:Tp@n:Tp@n:T
+p@n:Tp@n:Tp@dqSm.p\K]hF7Co(uijSb;^Np\XXap\XY/f8*dB?\?Mpp@ItSqXjFVqY0XRo_87^
+s8;T`pA+R]p\=LXrV$?dp[n.jp\Og^oD&.Cb`(HTnF-)Io_/%Wp)!7r>&D@Vp$hJEqtg'[p\OXZ
+p\=LXp\<S=!quB^i:ha~>
+d*Vj?e'[m;s3^hmiR&7YfZ)Fsc(H_+a4T?@1kXH3deM>hec=4seg%_?5smtNXkDL_gYpu?f%f'4
+eC2gpf\,!.ccshceCN.!f%0fP!S5crecFFSrn%k7da?Ccf%S<SFi`Ijdam+!eC+-ArRMV6f8`*p
+X5)@Udb*=.eC)juda@s?h:)MWeCNU.!7HA~>
+dJ<n>p\Xbdq#CBgnGWC[r;6Ehq"X[]rU^'fp&+RYq=j^Zq=j^Zq=j^Zq=j^ZqY9p^qY9p^q=j^Z
+q=j^Zq"FLVq"FLVq"FLVq"FLVq"FLVq"FLVq=j^Zq=jma+8Ya"s8TW8J\d=JAXW#erVulpq>'sg
+qY0das8;Wbq#14"osf3LAVI__s8VNWqZ$F%r;6Ehr;6Ehr;6Ehr;?BfqY^Bj-1_*3qt0o$F8#Y3
+s7ZHes7GjXqtp?irVZ]qr:g*gNEV/&s8;olq]5P.qY9p^qY9p^qY9p^qY9s_qY0g\qYC$aqt^-b
+p\OsgrVZfqqtf:KJ,~>
+dImV8q"seSo_\[[lM(;Jq"X[[p%A%QqXFI[o(hqMp@n:Tp@n:Tp@n:Tp@n:Tp\=LXp\=LXp@n:T
+p@n:Tp@n:Tp@n:Tp@n:Tp@nOZ4n\OAp@\.Qp\+@Tp\+@Uq"*hNr3KLP]n]QpQL"SHqY9dUoCi"P
+nacGMp$hG?q=sa`m]g_0?@K6Cs7tpLp\FRfp\=LXp\=LWs7cWhq#:"8q>Bjap\!kO=_-^lo)81W
+p&FLHo_%nOp@n:Wqt9INqM8.(jT"uNq=Xg_n+cqW$hjAiq=sd\q=sd\q#0scp&Ojcp]C3`p#5Xq~>
+dEr!AcMPs)cdpgqaOT(ke^`7$daHUof?N%$cdpLkn^I<`qU5Jmd.>T`d/)2edh'pRdE]hkhjZrD
+Uhr%WFi`>:e/cu`cd^RrdF-b(f[J9ug"Y9>d?IQf6"-)$inV`0q:>DlqUPAmq:,Gp!S>m$f-f%q
+a4SbfbiCu_d,N[7db<.*aiDcUdFHauf%T!5e(<Dj2eC"fg"cDS!7^Sf#Lq;Tf%&=%f(dkqeG[qu
+fDaD)g=P!-im[tVJ,~>
+dea">rqHBe(]X$pqu?Wlp\OdXqtg$dq#BdUp%A@^q!n+Sq"a[KpA+G!q=OU\p$n\X[EPPA`970n
+rqQ*Xqu?ZmrVloop\t1'q;JT0CikBGg%PIGq>L?io(_bQq>:$d./Wc:q>^*db."k[rqQNcrVZBe
+s8W#lp\=^YrV6$bj_Sh9rVuTbs6fa\s8)<]#5S&hp\4IXq"aa_s8;oqs82opqVh=%~>
+de<_8rqQHd(]Nggp\FRVoChtJq"OC[p&+.Io()eTp$qePq"aXap@J%RpA"@to(r(Mm@.(Za.o0@
+jo=rJoBu,@qY9a_q\AqtnG*%Yo%L*iASln+ddR,/o(N+Xo(_JDqY2K7p&4X_me+>oW;-#Tr:0a]
+o(W([p@@bEp[.\EmJl$SBrCb+naZM@qY's`o(WFbq"XUXq"XX[rV-9as7cQgs7ZTgp%ID>J,~>
+daA*Arm(Jh(YQmMdb!$ud*pOhe^Vt%db2^gcd1@rddbf^eG7Pnd.>Q`d.u,ddkT7sbLG(ldY0rV
+Z&4%(^Y-cYc,e&Tf%/=)gYU`:eD0->e\-rJ85N`a[F3see_/j2o$m3]q:,8k.+?DfcIU4jUQ:Pq
+gXY0-gXaWsf%/9pcd::gg!nF1_FR=Tf\t6*gWB9B!7^Vg#LqAVf%&=%f(dkqeG[tufDjS)f`KgV
+f&P6[dXV~>
+dea">rqHBe(]X:+s8VcaqtBp]s7u0`n,N1_s7Z9[o^V\Oq"a[KpA+G2o^`"YnbS;RrV5pXs8W&f
+r;?Qos8DNPrUfXTs8W&oaGEu,P/QVbo`"jnr:Td[qXXFOr;$6dr$_I:rU9U_mU2X[s7Z?ip&=g_
+s8Vljr;HZls8)cqY@DJ(n,<"Prr;ikqu?NXq"aa]qu?Tor<)upqYK1JJ,~>
+de<_8rqQHd(]O("rVH!Np[\+Os7YjWm/?VWs7>sRnaZALq"a[KpA+G:o'lSPme2NAq"3tHs8Vub
+p\+CZrV,[<p[7>:qYU!X_1GKeMnS-HmJ-_]p$V;Ap[\+Dp\OY5q=XaSpA*fMP3W&5o_n@[p[nI^
+o(;YMrUg-]r;ER!B@Z;Bo'Z>Qp%nC^pZhPLq>^3dpAamep]U?bp%A%<pOE~>
+daA*Arm(Jh(YR-_g=XZoeBc[mgsaEuakG2#gsFNpcLKBZeG7S`d.u,ddkT7nak#(igN5jCgX=[2
+h:0HldaZn'e]P\ZcHXkqhqH\XAMZJeTZ,a6gZ.>HdF-Rro$m3]q:,8k.+?Di`mNDX3I'!7dFd@(
+gsj[(f?Vgoe_AU2f&,GF5YAN.f[A'uhUVGQn^RBcq:GYrqptf!s4RV/f[n[)j4"(WJ,~>
+deX"?qYp9gqAA_tq"+:Zrr;rls8DQ_qZ$BZr:faXq"spIpu1r^rVuojqYt_Srq$0ip%A(Zq"XUU
+oD/Cc(]OI7o>Zi+<cP(rp[n:]s7c*Wrr<#oqXaI^qXOLZqt^0ir?_C;s36)2s8Vcls7u]es8Vib
+s8Vopq>('VTk02Cs8Vlms7,RXq>10glM15Op\Xpe!rMiiiVS-~>
+de3_9q#:*fp_`Ajo^DAFq"aaYs8)6Vp\aaNq=O+Lp%\:@pu1s$qu?Zdp\]&Eq="4Zo(2PRo()>=
+mIUAXq=sjcm(\?d:MQTVnEofHq!dV;p\ajZp[e1Dp\FUaq^)%1s29#fqY9CPr:U'[qu$!Oq>'XX
+oCMb<RU1^'rVH-\rTrhLq=Xg_lM15O!r2NaqY'm^!qu<ZiV.j~>
+d*_j=rQuG%d*^(ae^i@'dbNI!d+$ataO\b^eC)n+eFCrWdkT8"gt9s*hcW_7f&#92c-FtecHXMT
+dG<^5f\YQ5UMNFU9n^1.d+.12e'?@phqZ`4o$m3]q:,8k.+?_re'd3Q>+FU.d+mF)gW\7$c,nSh
+dFZjrgW+b0BtrQZe(EL#b2N0In^RBcq:GYrqUPYurn.>)fAY3ZdXV~>
+deX"?qYp9gqA8r+p@J=_p%eXWs7#g`lMghTq=aU`s81dOiV=&OrpK:Ul=[$pp%e.HrVcWjrVm?*
+q"==Rj0*K*F.)Ohqu6Trr;$?l"TJ;prVuEanbi4[q>:Koq>'fqC:jNFr#Gb3q>^-bq>('jq!n(V
+s4MC!ZMFOes8Vurq!e7XqsjLfq>0sbqtg0bn,*._s8)inq;M4$~>
+de3_9q#:*fp_WT!o'cDKn+6MEs6TCXk5,,Hp%%bTqtSS5o(Fd3kkaT2s5d[_qsX1DlhUANp%eOb
+r:fdNmdJr0CJeo2l0S'>rV?-WqYU-`o^heRg%Y=;-hm?,o<Df1q==+JqXaC[oCqkJqYg!NnFln1
+C07P-rTF4\pA=IIq"aXRpBUEdp\=OXp\+FXp\+X]s7QKdo\oOp~>
+bL-@<(XLXXbh(Cke(Vq!ajK"`fA=a"cdCV%e`#$JdIPa@dDFDPal1<2LZ?q:bfJ;_dF$S"gt^N0
+cdC1UMbc3,G0J:ahVd2Ae_T*<g=Op/gXbrFn^mTdq:-kBe'up48!`#`f@J[)dbE$pdF$V&d`^"j
+j0_TDO4N72i8<,?e'$D>f(%5pe^i='f@JO'q:GAls4@;%!7g&X!7HA~>
+deX"?qu6Eiqu6U0qVnK<ZeXaDp]'raWkd![s8;firUKd\qYC$QqYBq@r;ZTlrOc^inc/Xer;Zfd
+rV,pYs8DHIZA2k$PK2tap\t-`nbE([qYpNnq"FO]qssURr;$6cr$D.9oDaPKc27D;s8;H_s8Muj
+s8Vifs8VN2H#(=mo(rCdn`g&Qp\XLW#Pe,lr;?Hfq!@kZqYBsGqg\~>
+de3_9q>U6hq%rr.r:\p@NNLjnrq$0\U8GTIq>^6bo_J%Pq=j^[!;H'Zq=jaZ1&(JCp%nHm@*Is:
+s7c<gr9X1JmIL)IlJ8Lk>%!<)j7;^6p?h/8p@RtNq=a@Io(Vk;pAjp`p\OY3p\"@Ms*mtbnaZ;L
+p?qSQqY0LTrUKFWs6%@AAA%HuoDARSjSAiMp@7k^p%J1Vq=s[Vq=sUU!ql3XiV.j~>
+dF%j>s3he8gY(&eJSgCS^t[5nc[US8WRftWe^;t<ebR_jeH"+ideVDhdkT7ugsF[*R7":-ioAY@
+g=F9occa\gf?1de@m*1uUrV'8g=aiteCiI)g>(B2dad%%o$m3]!7q"rqUHqEeCr:1@lL@;f%Aa.
+bKnhke]ue$dF$h0b,A<1T[hB>h;?Gpg#2ST(=^pbf$r:#f$r:#f$r:%eCE1'f[n['q:G8i!7g#W
+!7HA~>
+deX"?qu6Eiq\Sf$qt&$T7p_kWs8W&"?=8\mli6VMp]'d\q>0pal2(5O&GGnacDGDJK<aq@q>9jb
+r;6Kn#N`CF?WMWfn,<7grVlcorr3,srV?3brr3#tqssURr;$6cr$VCAr:cH$rr;rps82Wgqu?]j
+s8D<as6-UhI-^h.s8V`drVuojo)JO_nbNLcq>:*fqt^$WqZ-KkqZ?Wipu2+#~>
+de3_9q>U6hq%rGop?oq>6!0WArVH;f=^-WYk5+Q9o)J7Tq=j^[l1b#I0_4kub+WH7I]Vl,o_7nT
+q"=OaqqeN&=AO.Jkl:\\r:]mYpA=mfo(MYDo_\Xcq"E_Aq=aXY-hdT7nVtT`q=aLWp%A%Qrr)Ba
+pZ;2MiMTUsjT"fGqX=%Ns8VTUrqZ9XpBUBbq"aa\p@\7Vq=Xg]rq6Hgp@\(:pOE~>
+dF%p@rR2S*f%/-D:a%fFb2(e(LcIP/LW8&od*ghAfD4"of)X@keG7\leM,IscG?E08L7f+cILFo
+bh1@mgYpo'P$L.)>*mFlj58bIg=b09j58D?e^N.,iSWAZf(.JofD4"nf-f84g=LDJgYLQ8g""Nu
+dFm:%gXjO$j2?g5=NBIPgYL9-g>_,?cf"TN(=q-hf[e^+f[e^+f[e^-f%8U/g=b*/q:YYts4.2#
+rmh2$e'cY'e,[pI~>
+deX"?qu6Eiq\];3q>:30F'!eirq>#Y94n4pr;6BkqtBsYqt^*aqs!tQq(VUDrQ:b)V3SRjp\Y!Z
+s8)c[]7aKtJYMZ.s8Vufp&4aarVcTeq"t*jrVZQgq"O[VqXOLZqt^.;pAaQ4?MXWprq?-ds8MWi
+s7QElnc/!;@'9/%q#:<fr;??_p\Xpfq>9^Y#Pe,lr;?Hfq!n4]qYg9mqYBpFqg\~>
+de3_9q>U6gq%s)'pA)C=;0`!6n^M&<@K#Tfp@eO[nb;VLq=j^[l1b#I0_G>>`L<6gOL+fSpAO=S
+pA<mWI90NsS*BG<r:K@Dp@IqMp@IeDo_A1Sp%7hFnFkl9q=aXY-h.0"Hron;n+Z;Aq#C3ZrVQ'^
+qs+4DLfpYCqXO=VnFu\KnFH;Jq"aXRpBUBbq"aa\p@\7Vq=Y'dp@e7Tp@\(:pOE~>
+dF%p@rR2S6h:1$/SP:h@gY'u]6RG+Tc.COthq$3FfD4"nfC@Adf)!oNe'H[tV0mZCF-bY3f\OX"
+dG)R*?ogATIa$9rhq-3%g"+d.g"+X%fA#$4f[n['e+)#Zg%j4qf-o>'k0@F!f\t<5daHe)e]QP!
+cf![)ilPsuMU:2/g>162g""O#f\5'DfE^!Zg"P05f@KcNqq1r"#M%DVeC;sqdGiXUdXV~>
+g%t^Ds8)cms8)cj!VuWlr"K,"s82StT3$@1s8RrQ6]_9Ep&4mi&c2J+s8DZ`p\b!er;ZfqrVufo
+rVuddqtL$fqtpBmrr;fgs8W)qrr;ijs8Vlgr:p<gs8DZkqYL6lq>:3lp&FR^s7u]ep\4^[nbiFX
+\:IReDN4/Ws82cor;-<js7uZor;6Hgr(m.crVcWiqYU9jrVZTlrVlclqYgBgq>Bs_qY0d`s8;Zh
+q=XO_s8;Qim;7FRq"Odfp[S:`q#C3[s82H<K6R=mqYL-gr;6Egq=sa]qu-Nl!;lcl)YsC2rVZTl
+rVlWirVZQhqYU0frVcZjq"OX]rql]m#l"Aup&4pgq"t$f$2aSpq>:-hqtg0Qqg\~>
+g%PF<s7ZKerV6Eg/,K);qWn"OnZ8*SFRAr%KCqBar:TOQrVl]eq"t!anaH&Cq"FIZqtTs`p\jme
+pIP#Kp\FOVq>0pdp%/([qY0jbp@\=[o^hkLr:Ts^nbVqOqtfsYrVQ*[li6kQqsEnBs6]+Fq<YD5
+9Nl(`l0SHBp@n7Oo_JL^p]'p`pA+GYo_/(Tp@\+Pq=saZp\=OZq"==Tq"44Qnb)SGoD&1VoChhG
+oDAI[meZ$VHhd4'q>TsOqYB^\oBH;ImEL#tp\".Lp%J(Np\"1MoC_hPrq?Edrq.3%q=saZp\=OZ
+o_/(Sp@\+Pp@n@Wp\".Kp%A=Xrq?`irqZ'YrqH$Xp\spop\+:Qp\FXZp@d_EJ,~>
+g!TfGs3^_ls3iLJf%/Qug=Fc7HS\XGg=p,f*GO<Zce%"0gXXs2gt:$#db!.&fA#'4f\>$Vf`0Po
+f$`1'f%/O.g"Xs%f\>$-f@n^%f\"Tue^N=(gXsp-e^`F.eCNI1d+?CugXY3/eC<R,c.:RjP$K_)
+95;_ujO`)=f[e[0iVD4-f_a@tf*BgVf\"d*e^j`Ss4[M-5ht,Hf\>04f@eR%e^Dq!g=Og)eBl\!
+gtC3;c;%g)f%&O3d`g@qd+d-qjOhkb?rYk4f%/L,f[nj0f@JO*g"ZM[!87A()V<d!gY1B9gYCE6
+gY1?5f\+s3gY:H7f%&F*rn7;)$.\"ie(Wa5e^i@OeHs[Od*gFpf$r0tl-o^]J,~>
+g%t^Ds8)cms8)cj!VuWlr#>\4rr<"MaDQG+pqs;G5b.W=s8V`bm/QkWr;HTo$N9hurr2fkrUfgY
+rqd6%q#(*fp@S(Po(r@bq"=C\p^6orq=sg_q>^H`q>UC'o_J:WqYC!es8Vlip%JCb$Mj>hs6cUs
+:fW+jrr3)tli$h]rrMfYq>'md!<)`i#PRodq>1$frVl]or;QR(rVHEjrqlTls8Mupqt^$]rr4/@
+r;Q]ns8R[he+s%DoDejfrVZHcs6o^Qb@XoQp%J1Wr;Q`nrVufqq#C0iqZ$Hgq@EAtr;6?dq>0m^
+qYL$^p%84_%/p)!p\4^dp\"%Ks82cm$2aSpq>:-hqtg0Qqg\~>
+g%PF<s7ZKerV6Eg/c,;=s7Q3dpj9hiGQ.0HWO"XOo'68TmdTB=oC_kQqYU6kq"=@Vq=aLVn+$#K
+p(-fep\=IPn+#r8p%nOWnalbP2Y[">o_/"Oqt]RMrVHK]o^h\Io_&%Zs7,[Jn+unZo'PuIkF6!R
+:4'qTq>^*Jp@nF_s8)0Eq==CV!;?6]#P%BUo_%tRq#:!ep\skFq"=@Vq=aOXqYBp\p@RtIqY^6d
+p\FXZrqUkQc1Lr4mecqUp\+1JqWRG7`*ZF5mdK];p%\@ZqtU3cs7?9_s7QEcq=Pp&p%S1Qo^qhJ
+o_%nLo'l,Gqtp6bp@RqHqY9XNlgXrJp\spop\+:Qp\FXZp@d_EJ,~>
+g!TfGs3^_ls3iRLf%/d0g"kChUe4_Fd[c5Y)KsQOhr2l-`o#7qf@\g3h;?l8f%Ja-e_&3qe,Io/
+eC3%%f$VgkdEU4nf?qmjrm<XRe^Djoe'd"(bLGA%h9XU"e()sug"tc=e^;k&hVm,7e`=l%7k?E&
+W86:jfZ;b"h;RDMdDu(5qUtr&q:,_tdaHXqf@\gVg&Ke*fbE2ng"bB9g"bB9f[n^(e'ct*gY(3X
+fcTD<@o0M`hqu`6gt(*.da[-teBb'\2V-:(eCN:,gthk^s4[M(s4@;'s4R5#0%S\/g"=p.f[e[,
+f[n[&dbip<h:pW7e^`L1e^Mdkimu`3e^Msod*gFpf$r0tl-o^]J,~>
+g%t^Ds8)cms8)cj!VuWlr"&;sp\j_rs(l3Fr2fIF9!S?p2"CVGp&G'jr;?Hdo_nX`rr2cjr;Zfr
+r;6Birr<#rq>C9mrql`qqu6Wqp\=dgp\"I^o^`"]!Vc$]s!.I@s8MW_s6fperqZNmq#Bm0Mca;J
+dI@22s7YUTs8Diiq>L$es8;oo!;c]jq>CX"rqcEcqY0[Zqu-IKqtg6dq>L<ir;ZN_pAY*ir;ZNe
+r;HH`pA=4PFHc@`s7-'[pA4Xas8Vurs,]X7jnJcRrsSi'qY^3erVlcmq"O^crr3u8r;HWorVZQi
+rVulqr;?Njr;HTlqY9gToCr.\rr*2tqYgHop[7qUrVR!!qYBsarVcWiqWRg,~>
+g%PF<s7ZKerV-Ehq#:)5li6PNm9f^$>5.W`l$l!tqu?Hikkt2CrqlKbp\+1Hq"=@Vq=XFTrVZKc
+p@e:Wr;66\p\k'dpAOs`q>^HboDJOWnFu\GmJZt]o'-&OrqH6gq<mbNkPG&In+6GEr9)"L:/m"h
+l2:)Hn)+0Fp@RnGpAFsjq=t!_s7?<_rpom[$3'bnoCV_HnFcMRpd+WHp[n+Qq=aRZo'Z&DqtKj_
+o(;\Oo^D>DjR-iBmcXQ:qXO+KoCi%Vo`+rJ4ceIhp\Ogbp[n(Mp%J1Vq"F=Mr;$?g*;0%"q"XUW
+p%A(Tq"OLUp\+@Vq"OIQo'Gf8pA"X_$1[Z^s8VZSp@e7[p^-]gp%A(Tq=jUVkkBT~>
+g!TfGs3^bmIFQftf%AWuhpgB,6JY0qg=D#&@O-lgj4iM8hqHK9h:gQ8f[S=&f@\j4f@S^5hV6`9
+f\5*:h:^B4hr!,<h;-Z8iSN#3gt^?)f@S?phqm8?bMD4:g"YK?d*ggphr!,<g>^ZFcDtV73GbkE
+in*&;`T6+6f[SI)hrEbmg],q+f)XD$ebRo*i7ll6f%8F"f\-5X6.soEf@Sd4g"P93d*pb*g"G63
+f%Jd.dF6dng/W7Eb2CV!d*pUtg#(Z?k2gM+Fi)Y_hV[2Df@JU,g"Y<:g"+^Oh#?+LgYCWAhVHuA
+gYLcDh;$fAg"P38g=Y!,cdC:rg]#tDf@o'AjOMH+f%8I$e'cUidaZk!eC2n2e,[pI~>
+g%t^Ds8)cms8)cj!VuWlr#Gats7O^4r0h!Te+*F5:!`8-k5YJ[s7uKbpA"Oas&]0rr;ZfqrVuoj
+im>NQ\@AlR]>r^trVl]bki_@!fu:G1\%'/j_nNq#Y.)3^`O`Oe]#)=s]><"qq"ashqU:+1>#h-l
+s7Z9gp%nX9jLhh4a2bp%ZEsA;#J\!e]tCtg](rR#S!8khMi<LHN/`m\OcPK\R[9D3SXZ.AOG]*k
+Un+*U`5'!jTT4kiQBZB9Mi!aWP_4p\Lk(/,I<KC*F0<0qbKnS\`4W[orOrTO]=GGa]=PM\[JmK[
+[(!QT\$WKHZaI3IZEppF[C*HNZa$a%S>3*g['d<>V5qi8s8DlmrVR!!qYBsarVcWiqWRg,~>
+g%PF<s7ZKerV-Ehq#:)5s53kGaIDjd<o(p^op\@hjo!s7p[nLTo()>BpA4dgq"FIZqtTs`qs`Fb
+]X>)PY-GFPfBrA/p?go"kiUC1ZEpjC\\Gkh]=FoH]=YkdZE^gN]skG]b4=rfo^hOmH!F-;P4JJ8
+nbheGp<;@#XL>p[\#ud5q6C78\$rfR['R+7X%/J:LP:J<KRei6MN!LOLkh7YPF%Z&Q^WhdMOL0)
+RA7O/[]Q$UKSYPCAorc\PD>9NLQR.5H#e%F@ngd;[D0Z$b/V-&ZaKbB1q:!$Za[BNZa$a;Y-"k3
+ZEga<XfJS-YH=n.Y-,"5Z*:C4X-8mAV5pf(Yb@\c`q06*p\+R\$2=/dp%S:Xp\+=EpOE~>
+g!TfGs3^bmIFQftf%AX6^Z3bCIb8g(^obf4IOD,9hn\:+fAk?1eC2t#gu.2Gf\,*:g=kB=d_DoU
+Q^*htPF//Vce@.)c,7E>`jDD%PEM,tT:VIARu<N%SYDI8PF%o6R@'SNgt138h:])D7QE;QguR#>
+jjr,?ZGW)lR\QXHOcGLuPm<eIR[KP0QBq?+7sK#fB4u!k@VT[qDf9K.C3XlEH@'p`I;NV5I"?Tj
+KqY')O*teUCiseq>%qSjBQ.<mFCefh>[CK*1K'4%USt8rWM#WER/NO4S!fV/R[KP/P`q5lPE_E$
+R$X&$Ocu&qPEM,oP`q;qPECodG'\^qNfoTiLP:Yff&PK;f%'cK$.7,Gd+$XteC2n2e,[pI~>
+g%t^Ds8)cms8)cj!VuWlr-/2/q#@J$ppk?t`;KX\>NGhaqsLCs>'bjPGA18\<*3=+>$kZD?XdDK
+>$>3CD/sN0A7/q_Bk)$d<a]TM?Xe+d=^u2T=]o$A?=I;HBkV:!Bk:mj@omhq8PEMs>Y/C(A7&_W
+=D))UD..0`Ed2J=CM7<mBl!NTs'5e5>?Y03=SZ6J?s6Q2>[UrF=^,0<?<pc<@:!;NA7B%\@9HiK
+BjP(V<`iU6?<glO?sRJ_@p3#IGB7nDATN#u:f11g=^Y97CiX`CEG]T5Df0B+Bk_<sCMIQrARo7Z
+A7fLhBkV*h@qB7aARo=_AS,RfAn5@Z='8g;@q/tU<E06(G.I&>r;6Hj$2aSpq>:-hqtg0Qqg\~>
+g%PF<s7ZKe"o.ieq"a^aq02l'oD>DbnZleT]CYc9;VV0Mo&ZKO;/q#0E+2d@9i4hd;cm1(=Bep/
+;c?_'Anu$i?!1HC@U*SJ:g.=5=^5iL;dEp<;c?_'='Jg,@UWeZ@U<DN>Yo3M5!`1G;*J&Q=]AC+
+9jCk/AQ`JACN4!!A78hQ@qGIAs&K;'<)Z[l;>F6m=]8'k<EWI*<)m"%=BAL$>?G$6?<gcE>Z=d7
+A6E#B;,^P"=]\g9<`378?<($<GAqM7?"dqJ84cKG;-?[oASZ7'C1_-oC1q3i@q0%[ARo:Z?XE_:
+-XL1h@:3DH>?tQA?!LW@?=.)J?X6l>:f:=t>[1K9:JXf+[-@A[pAOamp\+:Qp\FXZp@d_EJ,~>
+g!TfGs3^horm^tuHIga$j3-!/MN65Q8me1@g/BlCi8`A/JjV@o?sHW!2_ZpB2Dd<R4?>Pf4?5;X
+3C-538k2-/5Xn1,82i4`69I7j:-:<q6p!1\3C,\i4?#\s7nH-86:F*q<E1M#5s7@\6T%:t5tF",
+77^0?90,pO91h]B6:4+/q*=s?"ZSG!2)I/c3I*_F0et^N4?5>^4[)%m4#oSj5=7h*6UX*r3CQD!
+3^PV[3BTA`4[hLr84u6-2agYA;G0JW<]`)m2).-V2*+<);c6=]852fR9M.lJ8kM`K8Ol3;6:++2
+8P2TH7n#g87n6$;779O47Rfg65sR=f4?u5"5sI:e'K0!YbhCb$e^N!qdEp4deCN4#e'mR2!7HA~>
+g%t^Ds8)cms8)cj!VuWlr(cJUs7)8urN0I5o`+;HE<#P-qil2N@$cP%LP154OIEM\ZadQT\@]5[
+]">P`[^<QS[Bm?V^V%%XYIqNYcL9?%`o[-ts8UI=s8:Wnm/I#1rUfj`o]#o'NFl<b@ZR^i[_fed
+Zcp1r`j34nam&HQ_S+:Yp\=X`s8W&urV?9ms8Dfkrr2p6r;HWps8Mupp\"4Tq=jX\qXsRZqXa7M
+rr4PKrVcK[O6Z?-s7Z'^p\XaVrr:Q*8UB7np\+XeoCr.[qYC$eqt^!Zo_%qQrVHHh&H)M+rr)cl
+qY^?lr;6EjqtpBj'DhLuq"agbr;6<bs8V`TpAb0equ-F!qtg-aqu-KjqYKFQJ,~>
+g%PF<s7ZKe"o.ieq"a^aq01m!rToH`p81njlhog*BE.8gnr%:*=,q]ZJ:2`mM3G$@XKf(8Z*^a?
+Za@'DYH>(7Y,nk:\@&Q=WOB7AaQ_'b^u+k\qZ"\*r:SRVjo>5Up?hADmG%9XJQkl5=+mB=X1,I8
+VnojK^8eNN_W't5]=,f=nb)_M#Q"8lq"XUXpA+;Uq=aFPp\FX[p@n@Xq=s^XnaGr<oC;ADp$hMF
+p$V29r;HQhq"XFEL#2([s7>j[p\OOKpAN*[5'#6Sn*^5Pm-sZ?oCDSJp@IhCmdKZ9rUg']&bGYf
+p@e1OoCDPIp@RtKp%7nUob6renF?)Ap%@tJnbrLUipd!Eo(N%Ws7cQd"o%igp\+=EpOE~>
+g!TfGs3^horm^tuHIga$`T,k$DlhZM3]G@A`u[k5c.:E_:00Jr?t3\S?"%PmO,]3bQ'7H!PE_B"
+QB[PoPa%;kPF@u.PD>!\QBS8hYaqH%f%A^8XO5qX\#%1*hV[#5e(W0bi4Eu#4=ip?OGB7#U6h4M
+U7S9HS>3%(dCGj:X2E?8q:>l-gt^Z=g=k6Uecad]f%8XSgcaKMhr!;Hgt1*,g"G!/gXss'f[nKq
+db`m<gY1B2c"tDHcf*="g==s0dc'N%C+<N(kh+MLi6^!*f[eU'rn.J,e^W.#f_sP&gC`5shV[5I
+h;$c@hr!8Fh;6l>rnAULf@JR+g=tB9f[o6JeB$5#gsXd(e'lamcHjkef%/@"e*5?^dXV~>
+g%t^Ds8)cms8)cj!VuWlr"f/&s.ao/lFU67s88*mD>*r.k^UPNq>UCsrqlNfs8Vlfp\Od^p\OIR
+q>L?nrVZ]qrqQ3]p@A7]qu$*RqZ$TgnbW7Yo(D\Uq>L0\rquKcrVuidh91V4CI2!S\G?1)p@e=Y
+s8;osqXs^bl2CY^p\Fgg!;H<frqcQgp\tEqr;-6ap\t$hqu6Ess8Dors8Dorrqlcprr+&?oD/7X
+s8VfMJ*Zsur;Q`gmIpS[oXJg.Q1t=@qYfp_r;Z]oqu-Qis7u]kp\P9mqu-KjqYU3eqYp?sq=jUV
+p\F^arr!,iq"a^`qt9a]rVR!!qYBsarVcWiqWRg,~>
+g%PF<s7ZKe"o.ieq"a^aq02N%s.4;qj0VXjr:5_LA*igehK?F(n+uhSp[n%Jq#0aOnFQ;BnFPu6
+o(MkRp@\7Xp[R_An*BlDo_%V6oDeaVlLXc=lgF39o(M\@p\""GpA"@Hf#2ud?T(H$XmYuZlK[d)
+p@/"To'Q#BiqEEKnFHJVqXOCTrq$'Yq=k3jq"FCPo'u5Ko`+U`oEY6ep\Oa\p\Om`!;QQh+StNu
+p%/%[n^qp?nE0KBs7G^Or;Z,b@5s/5qqgo:l1b2R#5S&gq"OUZqtL-]s7?9_s7Q3Z$1[W[p%.bG
+o^h\RoEXsVn*fc:o_&4W#j:dMo(VkIoCi.Xs7cQd"o%igp\+=EpOE~>
+g!TfGs3^hormUu!fDaEHf@/c1=3S^P24ELUDa6k@f]9qRTA7rRgt^Z:f%8^9e^N%"f[\L'cdLCu
+gt^W:h;6o:e'ujlhUpH4d)jl!hpK^"g="9odbNF-f?`4)e(37.g<R:0CN!&s3,"f:k2tCOh;7AR
+l/UUPgYg0.jPJA9hW!8:q:Ybur71Vu#Mn1hg"4g*eGe2%g]#n3i8*5Ii8*5Irn7A,rnK!ZdF[%%
+h;d"t>K>@<g"P9/bLYS7fpl"iGhV<%gYU94hVR)DgY1<6gtqqas4IA)s4[M-q:l;1gtpoCgYCW<
+g&B\1f[eU'f%A^2rnJ:8g=t99g!\@#e^N!qdE^(beCN4#e'mR2!7HA~>
+g%t^Ds8)`l"T%oiqtpBj49,%j<cN6][W2-A>?=L.Ic^0jLB$lFoDegfrVlfpqu?Wns8Vrkqu-Ee
+p@e7Wr:p3gq=aUZp\"1Nq>UBsqu-Kmrr2j@rqufls8VrqqZ$QpqqIi`<bd_S<KH\LqY:!Vqu?9f
+rq6<_rr3;os7Z?irqcHgs7uWmqt0ehq"jper;6Ejqtp6cq>1!cr;$0dr:p'aqY^6bp%eFWq>^He
+qYfBaqssdcnGE.Ws7uETU.oOaq>^0es8Vrkr;-3aqYU3eq"jmdrVZQgrVcZlqtp6drr)fn'E.q+
+qu$BhqYL*dr;HTlqY9garqlX"rqlEds7l9equ-F!qtg-aqu-KjqYKFQJ,~>
+g%PF<s7ZEc"8MWcq#:(Js70c!C2NgNC@_!r:.8<0g[(&PqX"4Jq=jRUp\4CRq=aOXq"+(Kq"F=L
+nacAIoCr%PnalDDrpC'`qu-Bap\4IXrV&JJqssRYoD8(Ro_.h&Qt8otLk&3Ql1=K5o],Q9lhgDC
+r9O1RqW[tIo_A4QoCi%Tp\+@Tp\+@Rp%7tNp@n4analGIp%7qVp.tARo_%qOp[n+Pp[e"Mp%S1N
+o(MeKpAOgVp%I+Gn)jK?lhL;Lr:]aDRR(?2me?/Bs7l3Vp%._FoChnNoC_hPq"OLSq"XUXp@e1P
+p\+RY'DD1ko_%nLoCMVHp%J+PoC;>Ep\XXiq"=.Lr:BFVp\jjnp\+:Qp\FXZp@d_EJ,~>
+g!TfGs3^hormUu!fDaDiiR17Q9i0Z/:"@iS0e#:j^sI77hp:9-gtLE6g=k63gtCB9gXap,gY(0-
+eCE4*f%Sm1eCN7$dE^%dgYLT6f@S[-rms?ff\b99h:LN8gtCH7\:71096G,5E7Ee"g#(-4j4NVT
+f&G3:hVcZ;db!7+f$i4(f@S^-g"4p/f@AL(f[ffL#1V5Vg"=p/rn0<af@S[.g"P'0g=k-/g">$3
+eC3%$eCWR3db*9fQds=9fur""eD&U+c%RlN`8'A*hWWhLf%JX(e,IqueI^BdgY:H8fA#'6g=b03
+f\P?]gCrAuf\5*7g=b05f\,!4g"4d(gY;VZ$/XFfgY^T1h:1!Sdg=FKcd:1mf$r0tl-o^]J,~>
+dJ="CqYU3grr!Z5o%:t$f'`Rio_?AC^<=C__-OnTqt0pYqsjM9s8;N]q>C*arV60bqY'dcrU]se
+p%eXes4X-'?Yu:>[W?#^o_nUcrVZWlrVZWlanto3s82ims7lWg-h%*8p&G#qB'Ss]s763gqu?]P
+HqoUuqu?W[s8VKdp](9hp\F[_q8rL=p\Fabqt^'aiVS-~>
+dJ!S6s7lTh(]WpP_8+I_qpY'*^qR@t^$311]_2!drpod`p@7l1s7l*Qp%\7Qq=O=Rp@@qUq!RnS
+mdg8Iqp(FT;dkW`YAR[FmJ-8Np@n:Tp@n:Tp@\O]pAFXmp@n:Tp@n:Tp@n:TkP"`Gs7ZKes7lWi
+-h76:nG;dQ>iG&>s6]aZq"jp?G"@8YoCqh5rVkjWnGi@WoCVeOouct6p[e(Qq"OISp>Par~>
+dF%sCs4.,"(Z!9@TqJ[4fW`QGSXu=LTZs)iT@h`?hX].rf(%B?hUTlqdacgof$Vmpe'HLsf[/=.
+dFI1.ijO5J4\L!^Pu0l+dG*70q:Yo&f%BfL!S#]ue-jjWf$r:#f$r:#f$rm6q:GVu.+ZntdaH:m
+hU(*3N'kP-dG`@*f\,';]j*7/io&kPalhm1jj`;FeBn3E!7K$@#h75Le^`0rd*^k&!7HA~>
+dJEk>rqufp(]=.(o^h_Kq#16mo)/LUs8R4in+u\Vo^_nZqXXC_me-SWru_+:s8W)mp\OmfqtU3k
+nA'TdKS\Uek+#P6ch.27q=OL\anto3s8+ADq"XUVp&=F8s7GU/nF-DPli7"Rs81T%9u6\nq>^Bl
+s6\+K^";fSrq6'aaSQ,8qY^<hrqbUNJ,~>
+dJ!S6rqQNh(\m^qnF,l;o_JOeme?PBqYP5VlLjWGnDa0jq!.DGs8Mrps7Z<gs8)?YpA+LWoD8LL
+[WP_qH.)?8NDYPTn+c\Mn%nboq#C%>p\=OZqYU<_h#Hd"biJ$go]Q2QlML;,H:PU>kO\B:oD[dg
+]=-/Srqc3YqYA8-"SDE_q=jm^iV.j~>
+dF%sCrmh&"(Y.!]c-4GYcd^b+bLbLnh;2(7bgk%sc199`eCO6D.+ZG_e_8^.f\4a'g"P!%cI:J!
+f[\g<bF;d'?t@%2_g""PWmB>MeBdsBajg.:s4ApSeC;poce?OOiR#QPbfSbi`80Crh:]AI/YUtG
+gY^cAkfTruR^C;qf?_mpe&g)BdF6XseGdqVe,[pI~>
+dJEh=rqlcpr;RE/rVZB\q"":]n,Lg0])V[!s7,[Ws8)<]-i3iBr:]dUq"XFHmeZt`r;QWcik:"R
+@Zn+_s7>u=B8=q8s7QElpA+X.qt^0iqZ?Whq#:"%n,NFeq0.hss7Z6fs7,ma_GYg&o`"k$f7JO*
+HtR87a6ip+o_\X^anl;<qu-KjqYK.IJ,~>
+dJ!P5rqHNiqu6L,qtg-`o'c5=p&"%Sbt#2Ap?qtJnFuMK-hdE6q"!qEo^qS8lLt8Xq"a[Ph6q`8
+>DT<8pZ1O]>Cauurp]gbn\Otqq#C$hp\=O_q'Y_4s7u5&Jb/p3oDARSoDcKuGf&qGs8:)bFa.q4
+ASK$Fs8)9\r:S2+#5.`dq=jUVi:ha~>
+dF%pBrm_&#f`'P;f[n^'c,n;Te_SL1YUZ""f$<0qo$RNfn^]):f@\X"c-F_abJhNNh;$Q6f?h:#
+?p6enOiQG,dpkgVXl8-`gY^ESf?)P<ec48Rf$r3tdF$+mh:^=VCYIdqe(`m-e`3;V>G]d+k2`sZ
+?Xd/+8PQ#%i7H9)f$DIf#1D#Pf$r0tiR@kUJ,~>
+chdY<rqm$$rV?0[p\XpfrsSf*s6afToCr7\r;QNgq>10goCrLcs8DcgrVlfsnc&P-p$q_Np!K7P
+AnS+Cs69RZbA:1UqYpB_oD\dg_>F'+s82im!;QQf-gLa2pA^>hqssO^mf!1YTiZp.rV-$cnQh7L
+SOR>ns6B@Vp\4[bn]:S2r;HTkqYK.IJ,~>
+ch@A4rqI<-q=X=KoCr(\qu?ThqZ#epHLCA"pA"L[pA"CRpaGn6q=O=Ss8Mo^rr<#fmI9c;ba*6U
+@&!\rhu2rT>t1:Sq=a4Dq>L*ap<!()q#C'fpAk!fq'YP/qsjN>Yjq&Ns69=Yn=3C+htZd4s6ER:
+lB48:q>]RIp[e%SqX;N""o.ohp\+==pOE~>
+dF&!Crm^qt(YRBfcd'nef%\d5g"P6BbY;BieCi=$fD3hidf7fSf$r:#f$r:#f$r:#f$rI*eBuq(
+hUp',iS;f&d+$FDGZ-prL?.73kLZV&1PF?4f$2Lnh:VPSajg.:0@ne,f$r-rdDb"se)"u2fZqt+
+bM)")IPkTOg==^5d6)?sHm;,:jN#^#d*^LqaiMs8e^i=$e'm:*!7HA~>
+cMIP;s83].qYgEmr:p!^p\adXn,JY@b5^i.s7$'aqYC$YqBkn3r;-?kqt:!bn+QeXcD,5pCld9L
+p[.nYk([2U_Z0Z/o`+sdoYCA"r;ZZoqYg1:rUK1QO/N$Xo)J^Ns4iT7PP+tFs82Jq@\Ebm?"j$)
+s82Kaqtp0`aSQ/=rVZNfqV_7$~>
+cM%83s7dE&pA+R]q"4.NoD%qGlMlr1`W,-!s6T^[pA+I_pb_a?p\=LXp\=LXp\=LWnFcPKp\OUQ
+s7GUHs7OL*BPM1;deN=oo)IKm;I$[1rUB:Rs7>^Sp<!()q#C'fp\jk7rUK(NLn4>?li6e=s4<'(
+Nq!)7s7Yrb=I&[F;dT"\s7YsSq"XRVaS,l5q=s[Vp>G[q~>
+dF%sBrm^tu(X^^_f@SR#cdC%gd*^(uF!@RCakY[nf_NqhdPTJ%eC)jpeC)jpeC)jrd+-h"g"P**
+j4)<#iROuZ8k_fm[G03RfAshZ3^fY'i6]g*hp]pHf#cG;ec"&!eGdlDg!.OsCkC[.cf<fujLT(^
+E73ahiRlS@5C_\@3^qTGimuK(e^`$naOCCDf%&6te)AdVdXV~>
+dJ<k=rqcTj(]+(/s8W)rqYgEirr;r`?%2;Br;Zfip\FX\qsjM1q#CBgnb)hZp&+[CWHMHFLW02k
+s7uTms5Im#MuWhCp\+Las8)Qiq>/51q>C9is8)]h-i<lBoPTQUqZ$Elrkr/OYQ+Ils8DBcIp(Y.
+s%TQopAFXZs8DTas2b*;qullkp\=UDqg\~>
+dImS5rq?<b(\[Y#qtp6bpA+RYq>^6Q=F'6.p\k-^oD/(Tp[\)-p[e=]o'Gl?q=+.Ofq`Uf:kHLW
+s8;H\s7k5V;M"Q@iUHC2r;60Zq"aU)p\FUapAamcpa>t8rU"-GjRE-@rV=33>H7SnnGi:KrH_8g
+rqAdRs6o^PoDJITp&E,-s7c`jo^h_KiV.j~>
+dEqsBrmUhq(Xppdf\"g+e'upsg#C`.4'^(cf@ns&cM>iPdO<VohVZi.db3C'g"3ij;`?IBU=nSa
+e_0$>]h1:uh<)f-dFR+-e^W7Ie]H>:ec"(te0il$hp=r+bh(n-i7t%i4cJ4Id,EWtg0-DJki""I
+jO;f0e(N?uceHOjs4%8$dEp:iim[tVJ,~>
+dJEn=rqcWk(]XI0p\4O_s7QB]rVlGX>136Bs8N#qp%eFZqsaI^rYt_5s8V`HYBjGXHarMDr:p!Y
+rr<#!>&LMCp&=sj"oIl_s8W)oqT8X1r;$1:q=r^<aQ!7"o_e<jA9Yuemf3=[pAFlCL&^Yh:Uooo
+o_8=aqY'ab`qoo7p@\1UiVS-~>
+dJ!V5rq??c(]4%$oCM\Or:0XMq"aBD<R(1.s8)TenbMkRp[\)-p\"@Xp%eXbn(4R^=&sLNl2UML
+na?/Nq4pr%VuQ2Wr;QZgmI0oNq>'^*p\FU[pF#\+esa>*s8)-VmBU)>^[p^is7,[Tq13ncji'Zk
+l2U5Cq"sgWp]&8-"SM?UoC_):J,~>
+dF&!BrmUkr(YI<ed*U7mg!83nf\=i!33_#ci7HN.bPBNMdO<Vsgt^Q;j5/4qNEA5%=dI:kg""R!
+g>UhC2bT(hdb3R:h:Bisg>:NYe]H>:ebRereKq_SUV5gKe(iE>6<0`0al2.&cdUBM@,K;6/="K@
+dF-\"eBlUr`mb.>cd'ncim[tVJ,~>
+dJEk<s8)`l(\mh'r;?Hgq=Xd\s6o&NI/<mCqu$<ds7uKdqsjM1qt]s^s6[4C>?lZrq#C6fo)8U]
+qZ#cB>'\d#oDe@\o(r@`qu6Nfq>/51q>C*c./X&7TO+;hs7$'\N)GB#s7?9Yp\OmcoVu6ts,CLG
+qZ$KnrV#s`rV";/"o@udo_/(=qg\~>
+dJ!S4s7ZHd(\ICpq"XUWp$r(Oqs**;GP1k0p\=ITqt]p\p[\)-p\+7Lp&!sWGue!m^[qEtp$MPQ
+nFQ\=Mc4ZDq<\.HqX*tOp\+FWo(ht#p\FU\pF,b7lBt_>o(qVImY4GdmJH>NlLX`Gp@+qYrqh:L
+f(8_3qtTaRqYTp*pBC9^naQ,AiV.j~>
+dF%sAs3pts(X^[\e^`0uda$ash9Ehp>1hZdeCDsmebRSWdO<Vtf@8I0bEH0k3aJK2i7Zc/g>C?0
+j2>go<jgc1j3HK*e_/R*g"4[Je]H>:eb[iFf\k#&4+#T<cf!;h0OrGbcJHUgdFHXeK/r/WCd5Vb
+h:^Q8cd::ocH"E<e'QCbcdCb%!7HA~>
+cMIS<rquTh#P.ogq>Y5*bk_/3qD\HLp%nU^q>C6ip[e1[rq?*bs8;clqY'saj19qP?#6@qrV-6i
+qYU0iq>:-=K1qW_s8V`hs7ZHgs82Nfq>:!cl21#Kq>2!%rV6$^qtU-cs.ZOiqZ$06G>FFcs8)Tf
+qZ`pHH=1"EpAFgdqP!e:~>
+cM%;4rqQ<`#OVQ]o_N/ka8Yf1p\FMAqt0FPq"==TqY9[No_eRVoD/:Yp\=IQqt&[PJ6Q,gT\K84
+p\XXWo_A"Lp<.nTP0s=,n+Z_Lrq6<bme?PPl1a`Cq=b`tqXsCPp@J"Kp6_NBnG)@lECu8Nqt9XU
+qY(5bF)P&VipZO=pAXgdpn@G4~>
+dF%sBs4%%uq:#kuiR?B68M$mpf\"^'deD-Jf$DRfe'QIje^Mgdce$^lcICFodaQUih:BE0@m2tH
+K>-*jg>:K8fA"j-fre^3FL0u_dF[4%rmh&"p=K,iq:4`Zn^[Hb.aZesd+I"$g=G#.LY(/8d]Z_(
+EQ-bce^i7"daHOje:Cn.5<6j7f\"d+rm^trU=91kJ,~>
+cMIS<rquTh#Q"2grN]glo_JC[qB5\0q#16iqu6$]s8Vukp\+Xcq"FL]s8TZj?W(g<h>d?NrtG7t
+nc/=_rV"64<7L@5s7c0_s82fls82Nfq>:!cl21#Kq>2!&qtTpar:p3aKO;jfs7=r@Dm/[1qtC'c
+qZlfos,hp5rVuinrVE5bJ,~>
+cM%;4rqQ<`#PIZXpoRbXn,E%[p]($ap,Da;o_JCYp\O1Ms8VicoCDqWo^_YMrVs9^>"rb(f_tL@
+rqlBRm/?DPp@#am:XA;!qXX+MqY'p]s7YmTq=s4KnbDqS(\ILqo_A+Lo'La'^Z,.Tdn=GUli6\K
+qt]sklh'h(GlRL8rq??cs7i;^J,~>
+dF%sBs4%%uq:#u+daQp35&Ja$f[eR#dEg.cqU%7McHk"kdaH[be)/m/cd9qleBuOgeCr]ECcsIH
+K"Ksnhr3GEc-P=riRuYR1GQ/Xf\Fp$f@ngTec44ofD3qle`kTRebR]4dFHaqg=Xs-dU>88al:[X
+/kq>Mj4;W4eC=KGs3V5(d,*Vu?fp)#f[eXQeGmske,[pI~>
+cMIS<rquTh#Q4VnrG#?nr;$6cqBPh2qu6TkqY^Bho'uMTrV$$\s8Vc-Jm;f1T[<</q!n@Xp\b$j
+&G?)#j-3Alg[kICpA=mdq"apcs82Nfq>:!cl21#Kq>2!(p\F[ar;HZqQAb22s+X*bZM+=uq"k$d
+qu?["qIZ])kPbAVrVE5bJ,~>
+cM%;4rqQ9_#64,dA5D(Vrq??cs7lE`2tch;qYKpZq"saOmIU5Mo(2JMs7![L='fs;bO5/sm.p5C
+p\OpfnG`(8NCeKJmf3+Sq#1'^pAXabp?q\Nq!%PCq"aY#p@n:Tq"=7Mrec3bp&0A,Cp!7-rq#g[
+q=b*mp?u4WoAKT@rqHHfU%a'~>
+dF%sBs4%%uq:#u-iR-CP28n5%f[eR#dEg.cqU%7KcdL@odF$Fqd`oq`f\"O!d+dI)R9_a:<IM!r
+g==L'eC<1,iSN#BfYDJX?F\A@f[AC,f$`%Hec44ofD3qle`kTRebR_pdhUEag=b37k&b=]guMrl
+:63l_hUC$-rm^np$e44pfgUVK`7ikpf)F2!d\>4kdXV~>
+cMIS<rquTh#Pe?!``&'#pA+U\qE+TPr;$'\q=smfs8;fnrr;H1SSVDNT@rQ1s8Mchs8DNarUp*g
+o)H^J;jd+Trq#XQs8Vc`qYC!aqtp*bq>:!cl21#KqYM-+qtBpcqYpNpY'p<JpLINfl2:SQn,*.Z
+q"k9qqI9'rqtU-erVE5bJ,~>
+cM%;4rqQ?a#kmlfs1qEgr:0d[s7cNfq"?fDq"XOQoC__Lqtg']q"asT`gCC;E15;=qu?K_p&4[Q
+o_@qMr9aHtBM=QRs7u0OoDej`oD81Rp%J+Ip\FUKp[S%SpD<Vuq"XIQq"US'o'u*N<JBN/r9rqF
+qt'[Y#kmfcmoScOo^VqSrqHHfU%a'~>
+dF%sBs4%%uqU?,.e_];]1NML)g"+a&dEg(`d.u'IdaQ[lc-FbdfA506f@np<b,BPV1K&P-`nfV.
+db!=/c.:OqfA=j4UJ*@`c/[L'bgP;%dEgDCec44ofD3qle`kTRebR]2e^E('fA#6CN*G)le3Q*.
+`7<Yeb1,(jr6u2(eCN:6fg4!Ff[\X*f)F2!d\>4kdXV~>
+cMIS<rquQg#4VY-C%;#uq>:!a(B"..q=j^^r;ZTap](-Xhm.l>A;n+\rVn&;q"amgs7uQloCW(^
+Y]=0Vs8VWdq>C*`oCMbUq>0sbqtBs`qt^0SqsjU\q\]2,p](3arr;q?ReP6L8[JHjrVuZfrr)Qd
+qZlTa^4PLBWnmXNrVE5bJ,~>
+cM%;4rqQ?as7QZ_qda4&oD/CZs7cNfq=ZrGq=jRRp%S7Yo'Gl@o]Ff,HrXI+ZebNXrqc?[p%\Fa
+p%J=OnG;s[BNhD1qs=%Mq>0jWp%nX\p%A%Pme?PPl1a`Cq=bd%p\agRo_\&hMs//m5HOnUq>9gV
+qYB^Vp\sjnp\+=Bm'CokRA8@4pAXgdpn@G4~>
+dF%sBs4%%uqU?,.fZrGJ8^Z5Hg"+a&dEg(^d/)-Ke'ugmcHt"ihUU!%gt0]\O'an4BpQTlhV6c5
+e'cn$iR6<1cHY(rN(lKqgYU0*e^i=#cd("mrmh&"p=K,iq:4`Zn^[Hb):d3jg<n[:gJiFHYY?I+
+j3Q6-cdC@qcd^JDed^-[fZ_p;@DdVN]%GTbrm^trU=91kJ,~>
+cMIS<rquTh#QFb.8Yu@bp\F^^qZ$ISqY9sfs8Dfls8V8hGu@F`\aKLnp%n@So^qtZs82Kdr;-Hn
+iL<Yje,T(8s7$!eq""(Ur:Kg]qYU0`r;$6cr9=+Kr;-<jqA/i*rUp3he[F1^?sV^jmIBiGs8W#n
+qYC!ns8->GNIdo'rVQQiU&0?~>
+cM%;4rqQ?a#kn)oX$`NQs760_s7cNfq=aj`3qi4?r;?B^p%eC@X`@'*EjFm(o'Z,=naQ&@qtp-X
+p\=I^s4ru2EQnCKnc.qOr:ojVs8MZap%A%Pme?PPl1a`Cp\,L%p?VG?`hgds<)M6Ak3_[4r;69_
+p@n=Yp':We=_350Sb<!UrqHHfU%a'~>
+dF%sBs4%%uqU>u*gZ4JGL"th@g"+a&dJhAjd/)/idlPn&db!+%f%Js9`fX@V/ln@_hq$</d*Bn\
+db*4%cICCnhVYnf.TWe4d+%!sf@eZtce-jpe(*""f(R_keG7YZeFD)ae.^<dg!JU1Z]hk)4up=3
+ai_cSf@KrMs4$tt$eXUq6VhH'J_A],f)F2!d\>4kdXV~>
+cMIS<rquTh#Pe+)GN%ienG2tWqAB,-q=spgqXFO[g7`%L@u9:8rVuorr;?Ejruh:<qtK^^s7uB@
+NCeHQs7cQim/Q_Pp\=Xcp[J"TqYU0`r;$6cr9=+Kr;-:-qYBgar;$BTR$`D-@d![hp](6ep\=R\
+rV?<qrVTc(G2W;urVQQiU&0?~>
+cM%;4rqQ?a#kml^?#eW[s6K[Xs7cNfq=ZrFq"=:Tr:]LQn^<k26X,/tkk4oNp@S%Nrr;unq"OCK
+s8Vc_e;6V6eG/P5oB6/Do_8.Zs8;H]p%A%Pme?PPl1a`Cq"GWuqt9FSf8#-"930g<s7--doCMVI
+pA+IWqt:9dnP)quf(Jk<pAXgdpn@G4~>
+dF%sBs4%%uqU>u*e^m/i_91ocg"+a&dJhAjd/)-PdaQRheCW*ih:K8h74CW<`Qm?#j4rJDe_/d3
+eC2jkb1kXsc*(Y%<4Uf6j4;90cI(%ff%JNqe(*""f(R_keG7YZeFD)beGmo1gXt$8`-$903'bC7
+jO)f3c-=P[dJhYqf)F;0g"P1>4]B&Ih:U<0rm^trU=91kJ,~>
+cMIS<rquTh#P+iuVu?Y]s7uQfqZ$ISq=sjbn(s4K=Bp9VhZ!BOs8)Nfrr)fnq"4@]s7lWeo_m!M
+?).&lrqQNnp@nI^rql?XpAasbqYU0`r;$6cr9=+Sr;$6cqA8o"rr)irdUuclT)\Wdr;?9brVZNf
+qu$9e#Pc#Q_sm^'o_n[cqP!e:~>
+bkCi+s7QcdUfF,_s5s=SpAXgcq"aX`pcA*?p\3t+Mel6jG,EmcoD&+PnauSLq=sUOo_eUYs7,US
+aCeVGmJ?SIq"aINq"ajbo^_eWp@\+Pp?q\Nq!n+XpAF[\p]1-dq"aY%o^VbNo_l[08l:ZFmJ?DI
+o(MnSp@\1Tp\4RY#P#99]]T7dmJch;p\ORap\)W$J,~>
+e^=6Bs472$qpZ80f[,C8LY_%5iRl`2da?Ccc-ZF:rmUnt3muF*f?1^D;E$[BN4n'#hVQr;g>1K6
+e'H4`g"=^/cHXq:7lYqDh:gB5g!S6uf%/Bsb0eqle^`7%p=K,iq:5#brmq"srmgnpqUPDk):R!f
+g=t_l6T@8Uj43,?f$2Rjda6@he'unHf)OA3g"2ciU<VcOdFd+&eCNX/qUP\sf#Q8?dXV~>
+g%tOA2uiUDs7Z9gq>'d^qu5p]p%r&ns7P[Wp@A.]qYL6lr;ZB^s8Mfks8W#qroUD-<`"(Ljo5;Y
+qYC%#s69R_o(;tXr;6;l9l\qfr:g*dqY'gdr;QZbr8RSdqY0[Uq#(*ep\XI[s6]1JnGhhRrt>4Z
+EH8khrqHBkq>L6krV??aq=jafr;6DXqg\~>
+g%PC=rUr2Mo'cPHoDS=SoCr"Uk5XoE>#,+fkPt/Bq>L*`s8VopmI:&Ko(MqWp%J.;W,GI)FKj^!
+rV6']pCRAbs7ksKs7>pUntnlkeGAk:pA+F_q"4=\q#:*Zq""1UpA"C^q#C"4q#(*ep\XI[s6]1J
+mJl,:q>0R%ARr16o'>iBn+ZVWq=XLQp&+R^p&ap\p%J+Fp[.[tpOE~>
+iR.\PrR(YorRCes2r2a)i7?T>f$_jldauM"e_3/@jOD91da$Ftda?Xsd+Z[gg=F^'g>:K9gV]%O
+2(hso_qa2(fDXD$f+?iUhU]ipiR?H2eqtqR]&)*<f(meqde)&hec+.ieah2if)F>$f)O8!deqK?
+d*L%df%8L%f?E(0bKAD]k/uQ@in(A,8t+5_e(Na1f@/I'd+$Cir7(_s!8.8'qq(r#f`'IfeGIhn
+fE'RUr79*A!7HA~>
+g%tOA+SY[2pAb0[s8V`fs8)cgs/8,[nc/I]r;ZfjnF?/Cp%87`'D2>)p?^\RQ"=$DWTEXIs8Vum
+qt^.#nc.hQrVuE\s4W34Pj&/8k552Vrr)Bbiqk/#rr)]amHsTCq=O=QqZ$TpmJm(`dYr*qk5YJR
+l-Iu]s7uKeqtTmbM>Mf~>
+g%PI?qt;u?o`"@Xs6'F\nFlbQs6ocZ3i)0Ap\+F_rU]IGo()>=r;ZT\q>TjEfXm/M:NN5flhC>R
+p@\.Xp\jjuli5uEp\X7Ds3lHtNSsWqp?22Mq#:*Zq""1UpA4M5q"OR`s8)BTn+HVSp%8"Ts8VrT
+p$VduJ7EcWq#9L5_oqrRp%A%Qo^_nTp[InCp[.[tpOE~>
+iR.\PrR(Yos4%"u*n]&hcf!C8kKi5CbL"hhj43+F*J`"uf[\X5g<dp_rlZ,%g>CN-g#:B$]V0F8
+3*_?Yc.Ut/f[\ROfDX52aksnifA"QtjL8\^F33Fdf&tQ_ec+.ieah2if)=8$f)O8!df7]EcdC.l
+f[S0daO/Vie'ce!hVm;9jP/t(BLuCBguQc"X0ps@daHUodEgJ@eFM8lf'Lobf)=8"g&9S%f$)VD
+dXV~>
+g%tOA*W#Ems68Kl`;f]0qZ$TinmH#(nc/X]qssFYs8W&srtbA!p&G'TW0CjZ=-_/(s8;ior;-9f
+rqZI&s69R_p&4Xb_.-lco_SRek552Vrr)BbiVP"poD/=as82EXqtp$cs7c3dripE@=0;5jrRZF;
+@VW+Eq=OO`p@eNCqg\~>
+g%PI?qXui:jT"8pH,'4Lp%J=_na'Fdo^)MRn+Q/<q#C?hr;ZW`lgOlRi1Z-:3`(jYm.pDNq"OIS
+p\F^\s7d0*j8\oBp@/$l>ZnK%oCr+TkP,#OrqZ*Znb;qSp\-'+oCi+^s7l3RqY9[[rq#UXnYBYb
+9;1\:n]Pl`<aDQqp$h\Po()hVp[InCp[.[tpOE~>
+iR.\PrR(Yos4%"u1"b(+c,Snh_dT:ndEg4ni7ZUF6IsH=hU0p!d+I..eCWU1dEBkqj26Oi667t(
+YL;>-g&Th*f)XM$fDjA4iPXX,dFm",Sj5H,dFm@4f&tQ_ec+.iea_/df)F1tdONYmd`g%df\P?7
+dEUG!eD9$5e`u(T:bab]dEpLO=AV7TN7QG%e(E!mh"fIjf`0OheG[tsf_sM%f_sCFe,[pI~>
+g%tL@s8O)"SNg\mo`+jZs60Kg9>LT-o(r7Ys8MuoqYBmYrr39!]RXU'@"5QHrr39'oC_nVrr)`h
+q>:d!s8VZepA^I`EmOdcpAasNqu?TnrUKgEqu?[BrV?3\p\4^dr:fjLc`:hj@S]e"qu?]F=_d[0
+KjNa9qtpEfq>Z<KJ,~>
+g%PI?qt;uCs81Z>3FAuYs7l!]j8Z2L]DVWpp%J"Sq=s[Vo^_MMr;Z;pH!acYGcfp$rV?3UnFQDM
+q"F=VpCd8qoDe^Ro^Da?<,9STq!\1Pp?22Mq#:*Zq![tUp@n:`rquQbrph3(qYKsXn)qfh?r^2n
+6_<cGrl7`>lLB*tgA(F:r:BUYq=jCPm.]o@bP-M~>
+iR.\PrR(Yos4%"u3S;p4hqc5#,=dpCgsa@%`TWO:T&/ANf@\X0gY1<1eC)_"guHnO>XCV;>`lq]
+iSE88dad%*g=FaMf+QWce)0$-f@&Su3)?X9gsb64f&tQ_ec+.ieaM#df)4#KdaZ^peD&[/e'cXl
+e_Jp5f$_^END;o10.i"3jQ*F#8CZL-4h]CqeCi3sf_O%ff`0OheG[tsf_sM%f_sCFe,[pI~>
+g%tOA2#$P?RXhh&\b?('o`+RQ?Y]9's7#mbr:9mfqXsdds89WhDc^2(_>j?(p\FUWo`+shqYU9j
+q>:d'p[\@aj^hY^lMpAIs8V`Rqu?TnrUKgEq^:Y%s8W&lrVuoop!/D1B2".n?"e]_q"jbf;u$%c
+f2&^Hs7uWis7hHJJ,~>
+g%PI?qt;l:li3/nXt-gIr;,j]mH@V]mcjT4oDA4Hq#0gPp&>!c\qOls=,FTdo^MGDoC25KqtKdW
+rqQ<`&,PkaqYK,X<fuMDlgb#On)jBEq#:*ZpuV6#p@n:SjRN3Kp@@qWs7Pg$JnA@XITTENEp`5]
+lqBq9kjuqbX7Q>`q=a^Xq=jCPm.]o@bP-M~>
+iR.\PrR(Yos4%"u2V?U,al7SUR1u%8f[e4(dEt3LdELFjf&,0,gu6l5g#D)HS7kVS3bt>Bf$`!t
+e^Dk&gXk!,rn.%u&)>[]h;,t83-3.#bL>M,cfWaWec+.ieaV&gdeD6Af$r:%`6mN$g!n^7jOhtb
+BM:rKCe-c]>h@KVe2/o2e`++nNmQP/f$i:!q:+ufs46PdrRUr"rRq/%rRT3B!7HA~>
+g%tL@2ZLX(^49ejs7u]pq>['RZi'jqs8Vups7u?ds80s*C/eJu`prrnq>L?nrqlWmp\+=TqY^<j
+q>C9m%IjD6>A:)9rqZBgp\+XLqu?TnrUKgEq^;FCp%A4^rV*LKCL1+jVlk,lR;C4LrVF*/C\7,i
+`a=_ps7Q9cs7M6GJ,~>
+g%PI?qt;uAs1;OEG[9n9oD/4Rs-GdJp%RkOq=41Vo'>uJo=pAt:KWFhm.TZ8q"t!bp\=UUnaZ2C
+p\=OZpCI-#lhe=qA>K%so^qqMo)7_Fs7lThnbD;Aqt;E;p[7JAq=a<VI:QATFJ#=BF,XJCr:03X
+:1*2El+'cJm/?JKpAXUXp[InCp[.[tpOE~>
+iR.\PrR(Yos4%"u3S;p3hk!0.@n>8*dFHdrjFAJ:f\4^0gt(3<f[AX?go5Hh1-99Ice-Ckf\>37
+eCE1!dF$Cmf@\aPf+?WkjNcVS3C\bXg!nO(d*LG.eGn(uf(%;\eG[hmeGe%ufI,_5dF$V&g=D9o
+8j>=ALlYVIHVCX*g")HK8^u2AWBb1>g<S3sgWoWEo%<unm*u!brRh)%rRh)"bgZX@J,~>
+g%tOA-3*:G^\NIZnGWC`s7Y_cJ+<R=pAb-drql`qkb;E^AS\75s7>g\rs8MqpA4ddq"t'irrW,n
+p%eLrpA"ZK@tWG2q"+Ocnb<(Uk552Vrr)BbiVP##rVuoqe<al\Ap:fcoVltlaR-\@m/R)q9Xjcr
+s1_ZooD\I^pAaiCqg\~>
+g%PI?qt;uJj^YdiH:mGqqXjXRj&gNgq>K^[o]u/<q#&s5<(0u$U?VXEmJ?eXp@7_IqY9^WqYgEj
+p[dnMpCHfbrJ=j0e+WD$s8VKXs7#1Fs7lThnbDACq=Z3/oCr1Rb)K_2>AUJ8l(2X?]]-6jiVE7N
+6*0GGrNf4On+uVNo)/(Sp[InCp[.[tpOE~>
+iR.\PrR(Yos4%"u44r->`CHTVAMqfef[/9ta$X7Yg>UE>g!e^-io\@75Vbf$LsP,/d+mO4f$Vgm
+e^Mjof@o!6f@/*ufDF53eC`f"6".1Re'?n/b0Jbbk1'F]rmpVin^IQermCbos4%)"rn.2&-J7,4
+fs,Wi6q(.FiRNffE3.EXilgBA67\GWj6`[)B?\uRf$E$qq:+ufs46PdrRUr"rRq/%rRT3B!7HA~>
+g%tOA(&,Rks7990s7$'\q#@'cdJs7:rr;WiruSn(BO5)+`r#Z5r:g6kq#(-iqtg6hrqcNgq"X^c
+s7uR's5\/uR.:%Lo`+^Ss8V]jk552Vrr)Bbiqk/%s7P!AG@"ZmRG[W-m[dmAj2urAq#C<\?r6Ih
+s6YkHSG`?]s7?0`M>Mf~>
+g%PI?qt;u=]Q=&;:1sUks6fIQRn:WkroWhJkk"NCZ>s/H;h2LOp%e@QqYp*\qYBmZq"ad[p\+7N
+p&"dbpCI,WCJL)[p%@eRo]lDPn,)8As7lThnbDACqtC'_-hclNSS_>+@#ib#ki7k.HJ#uUjR)s;
+j&JP3m.TCj9UGPMp&=FTo_J7Np?_P@p<32\~>
+iR.\PrR(Yos4%"u44r-3S6+k*4&Y1aiQT['Il+C_i6'[/cJ.48S6nfP6>rdWgY^`8gu-Z5f@JBt
+e'lgoeC2goe_B!5fDO;5g>KnH0m:joe^*.#`Rrb`e`PB]ec+.ieah5idf.Yodf7hsf)OD&g&B_Q
+d'SI*4$Q>^^=:ZYImn%jX^of1khOEI0@nk>ds!fue^i1'bgk,:eFM8lf'Lobf)=8"g&9S%f$)VD
+dXV~>
+g%lK^qtTg`qs==VF4gN=?\&+Tqu?BN??6#E%JBStjG7V[>'IOOs8VueqA921q=s^Wp\b'gp&"@\
+nc-O(BAEFZs7uKeanlPAq"jsfqt^'frVH<aqYpCFqu$Beo_8B]E_ok;U>khFo_nf7BUe_hM4=P@
+rV"3*G4,D1rC^5Js75^[q=aiFqg\~>
+g%Hihp[dkNp?28AC<l[o<-@d3o)J+3<+l+#qYBFErn)U+<)%,/lM^DKrV$-_r:h*.q=XCOnacGO
+p@.eDrTsR"9Ol`Mo`+Xap\ag.pC6`dpA+OYp%A4Xp@S"NrqA&=p\47HnbAPb6qg.;f')hjnGR-,
+NpH"^PQ(+Gn%M8/k4elI5u6/3md:&Io)JO[nFl5CmIn`tJ,~>
+iR.\PrR(Yo.FlqsceI$mg!NI#jK_*\gu?f?be?/;jkAMGcICpjA4f$H=.@n0iSE8fg&K_)f)O8"
+df.W6g=4Kqd*C(kh:U0.dGW@2V(kHOgXY95f$r3tdf.Y9e3D=-e(3+"da6RodEg4hf@S^.g=k3/
+fA;'R/2T,4^s_8mhs=N=IG*:iIcoG?eYFj"e)]oX2*AM)bKA\iceeKIo%<unm*u!brRh)%rRh)"
+bgZX@J,~>
+g%lKWs82Kcrr<#)I@Zm_<KdCSo_AHa:;[#1%fP%E@UEksZ0VGep%\C\o(iCRq"k"#lMpVWs6YGB
+NS"+*s8V`eqT8X6ru1e-o_eafnale\p[e=Tnac>3Z#rc9?_5LAn,<8,cs1RpqXV)$qu#=Ns6!I'
+WKFf"=etcho`+sdp[3n8J,~>
+g%HocrV#aRq>C,iFH_i68Vd<1lgOhE7(;j^p@?Oc=ArUGVVh%6lKdp3p@e@WqtM&mo`"gdr;?Hh
+jo=oHs6+o4M:;:qs8VW`p\Xa-p](7VrV,jOq#C0Wn,NFZme?2:mI/i2Dam,nP/.(WoD\I^_bXg<
+mH:XQoC^`4s56^fTo$'U:RptMnGE7XoBQ/GnFl5CmIn`tJ,~>
+iR.\PrR(Yo/C)u#d+-h+hMYB[I;(]akg.Juhgm;QiS)o7Z>Mfe7oteoi7li8g"Y35f\$2Ss4%%r
+rm;V$ce6t'g"b?<a5b\(j3(jkCpr'Nhr2r3eGdnrd/_V:eGn;eg=4Eme_S`rb1tk#cI^Ihd*fdn
+<@fX^HDp&Ph<<naZ9D3MgsqgWgtTO"k/K;WN-:mb6]':Bc.Lk"d)Yt3o%<unm*u!brRh)%rRh)"
+bgZX@J,~>
+g%l6Srq?Bfl2C?hN3K^6=g.>ort,-,ErYRiRp&U"GcBcrqu?ZprrMrmo(j0us8Vfap\44Wp@%t[
+eob>unc/:Po(2nWqT8V!p@S%Rs8W&lpAb0eq#CB`rU7gb:I8c`h>7$Err;Zao<)PDhXU-W=,HtK
+o)A7ENf`6":eGfps7c$_qY^BkM>Mf~>
+g%HidqXOUXjS84NJY]5Z9VUVHo`+JPB)UcFPYjtWEM)(Po_A.RqtTaUp\4U\(\R_'o'c2@m.p2:
+q#A]Z>,CZeo'Yu9rVlQhprW7po'l2Bqu-?^o)8OXoD\UPq!,bN8j-^Je*unro_Ie;kbD3me)of+
+:P/B.lhBc)LPa^a7mUnMs7>USpA"[_q=jCPm.]o@bP-M~>
+iR.\PrR(Yo.ackqhpfTudm%E&Q!$53cK!L5e14;\cbXf^.mR'e_9^imhr*STf\+p0rRUqsr6cD-
+f%/*gd*g.me'6Y0[T,JFcf<EtcHk5DeGRb:e3D:(cI1A!f$Masg="I,gs+QsVJ%P(7s;Jqf[eg8
+eC;p+6WChKe>YE@hU'U&d)Bd=_Wj$5>L;EWak5(mhpqPPo%<unm*u!brRh)%rRh)"bgZX@J,~>
+g%m)ps6]jdqZ"fmg&M)-<QFk)s7r9oS$%l^Cji>HqXsacs8;KZqYpE_qA92/p@nOcs8Dfgs8S!d
+G/EnOq"=[enGi=\anl/5q>L<m3W/ODr:]RUs674NAP?Bi_;Xh^s8DuWs8VbU<Hn'7kjc`Q]))F+
+s6p!>JZ!3S:VZr&s8W&io`+WAqg\~>
+g%H`fr941\p&;sWcLq-^8@n*Ko^7rBO.h;3ATjj,oBu8NrUoOCoCDVoq"OR]p[[qOrr)Wbo)J]C
+>]@CHs7Ps_r9aO^pAk!/pHS6Aq>C9mq!dkKn`fcIjLB_J7p(V\h!+_/oDdJCrp#;3D!:lSk.l\W
+oCr:]l2AtTTOC/V[f#Xnqt]aNrpomZnFl5CmIn`tJ,~>
+iR.\PrR(Yo/CrLqhr*&CWEZ[al=r;Xf?DmoFuac.F?iB"L;VTjf]1rDd*L=ug"+[(eCOHF)Ud-`
+f$VafeCiR.f@8m?CI2'pd,*9uiRuB/r6t_pa4*?"dam+,gssZtg!e'qj2RNs67P'5T"iM,gtLo*
+k31<81g&8majR/(QIadMg<&9Z?A;'*25TQcg=Y!$c.gS?eFM8lf'Lobf)=8"g&9S%f$)VDdXV~>
+g%l3Rs7#dYq!*lnq>L#::r3/2&+OI*>u,[ChYHg?rql`^q#:9nqu6H`p_`l'oCi4ap@\=_qY,bI
+K&lt'q"F=Vs8)Bap]104q`k#Ys7l$Oq#1-fs8UT,?Wp6EVV:bBrr;r_s7cQnhe-btr;,mXs)X@g
+nFH/?o)&"Xm-%qWdJB^/s8Dunp@X:>J,~>
+g%Hids6K7JoAtaTmd]O^6aZgkqrV<J;*o)mg%=b+q=a[JoDS[bp@\+QoCs0sp$hPMr:9COr:TW4
+;LI@$nG)_Kqu?NbqY8/+5PY9Yo]kf8q"OL^rm-=&<D%&#ea`G1qY'"JnGiO@?tG_to&oQACl@E@
+mdBK1p?h_=ia#4"oUtRNq>L!WnbMqKp?_P@p<32\~>
+iR.\PrR(Yo/(*7tdaZadC0f9Bem^G1lK$jD6QeHF>)0cAdF[.*gr\+(i7cc4e^W$sdehPnef<2j
+eBc1Zf%80lf&#$/AN4/=j3Q0%c.Cb%d+$SEecF:OaODZhgt^;tajJbog#M"rBg"F,9nTq(f\>37
+aPbS/jM")VIbic*g?):O`W"$nb0/A\gs!o234RgsakYJ$da-57eFM8lf'Lobf)=8"g&9S%f$)VD
+dXV~>
+g%lKYrqcZAN.5p<p&FP]D?'V0rh`;3X4R=M%/'DqrV?KkoCW"]s7u3[s82iq'D:efs7F!J>dsb4
+p](*cp$;)Bp\FU+qZH]jp@nRd3;*$iQuH)-IAuK#qu?H[n+HSXs7GfsLhFU)s7uEh]N_H9li6q`
+s8DuZrVLP'T;.\=s7ZKjqu;NMJ,~>
+g%HldqXsa/LO*e"lLj4.@.j'Uo:%s[T?@!)s8VT[qY9^_p[7PHs8D]eq=F@tp\=U]n`o`Gn$m@=
+Z247es82WblgOZDq=r)+5PFd@oD\dinFFS^CJduSUu^k8qXa";nFZ\UmHM35@(Z77naHIa<2TNT
+qt^-hq>9+FokHaZSWN+5o)8@Xs7uEYp?_P@p<32\~>
+iR.\PrR(Yo.F?\sgT+sl:WUi=dl1+bhU0r',>j<.kMG:Ydad.,eD]$)c.:Y%dF-G@df%\nef*&c
+cd^Ig`R*MiRT)>7i8E2Ce'lX^ajnkieGIh=e3DF1cd:G(gsFTQGYU(Q>DL5Cf\4fsb0\buhU0T>
+B1ATPkh=\PSN;SY`7EGhh:C5ogY5UUKnj]gf[&:%eDC#No%<unm*u!brRh)%rRh)"bgZX@J,~>
+g%m)poD\d6ChTjAs0Z?4<-uXas'949s6]^Wp&"aaqY^*^rVuolo(DqNp]LEnrqcWo&G<&=J`Ghk
+p[RtFnc/XepAOg^anu,9/c#2>o[^El@Sp[6mJlbGnFZMMp%eX]s7cJ\=`3O%s69RR\ng+#s6&e?
+melkZrs\)5N,"a@s8Vlfn+QO5qg\~>
+g%Hfhn+m"(B4I_'s/B$c7rGm.rDHhmro!;8nb;nRp\FIRqZ$NenFQMRq>9sdpDE]"r;--bs8VVc
+ApiFks7,LKn+-MYrV$3gq#0pep<*.0pc\<Bq!c_9DHoh@U$)@@lKdp1o'uDOnbhtQPuMJZpAEtN
+la16Sq>]L>mcsT>s8N&W`.hcbhuE]Jo'>l=q=jCPm.]o@bP-M~>
+iR.\PrR(Yo.Fu_riMT17L<\bB75?f.VV9uc52>AJhU^31h:L<3e'lq(f?_R_e'ZM?dJqYpeGn,!
+fGrJie'uarh;$;28709Skh4>.`QHoie^2pteCN4LfDsLFeGn&^da?UiYE2^O1IR#ChpBTlcdU=f
+db<+(eCo+)9ZYoEal_!>9t]08^;J%1da-h-jN"?@:jTt8gX4?gcdDR<o%<unm*u!brRh)%rRh)"
+bgZX@J,~>
+g%mT(qY^3`h:)9$qr>c9_8,:7O^dqXo`+pho_\RUq#C'bqu-NlqYC$bq"jd^q"jd^q"jd^q#:+2
+s7u3arP<YYQLb(Uo_&7Ws8D9[qXj[]q"jd^q"jjVq],J0qYU-dqYU-dqYU-dqYU-dqYU-dqYU-d
+qYU-`q`jWNrR@E^>u5=-g\^g9o`+sgq>L<iq>1'_hKMe\q"FaVs7Z;K<n[9Cs7?-bs75XYoDeLB
+q#:<enc/R`s7V<HJ,~>
+g%Hrkp@n7MfZs0io%C^e[C+idLKNj1lLsrHnbDqIp&=RXq"t!cq"OUZq=sdap`oP.p\=LXp\4CZ
+p$MVN]Q$i3mJ?kOnG`%Zqs=+So)&1Vp\=^]!;?!X!quB^q=b$ep\=LXnb;kQ5OA=Cc^AcT94aOA
+p%7S=qYU!YpA"=PoChV(E_DJboDRtSnFVE0de!,2n+ZSVmd'i>s6n_5q#'^Mr;$$co)8=Lp(I,n
+p\+@Tp\+@Tp\+@Tp\+@TpZhGRp\+@Zp&Xp]f(X[~>
+gX6&M+4\ile^:n0e_\chVl-Adal@2#c.(/!hqQT4g<S4(df.c"f$r*odf%Sldf%\oeeurid`U1o
+S5D+ad,!d2e)8L+eATbabgk4mrmq)$!7p_jrmpnpr6k,bq:7dSgt8fU;)g.#I_4@dcI1P)f[ea.
+e^N+&d^rL2ERiRsc/R=.DE#)SceZaldbDmbh9b65_:mc$ccXqldb`=KeG[tgfFuicf$r:#f$r:#
+f$r:#f$r:#f$sTJrRh)%rRh&!!n>fNr71nuf%8COdXV~>
+pA=mdrqYgTq>1^$s82NgrVQKE;4@CWrqZT`q^hU@qYU-dqY^*bs8Vc`p[eF_oDcL@:W;Ptr:p<l
+q"spbqYU-dqYU-dqYU-Xqb[.aqY9p^qY9p^qY9p^qY:*fq"+4Qq=jU[s7uTkqssd_q#:3ap]'`X
+Am&&6PiMT6q>0sbr;?TZs8Vi^s7u?'?WOo;p\jaar:]N._Z0Q1q[WT%q=jUWq>1'eq>'pcr3uS%
+q?$QlrRq'u~>
+p@nU\rq5OLq=bEpr:TOPp%.e%8Wr`9q"+@[p@e4^p@n:YpD`o#p](0_n+5uDp$D[dAk9YpqY'LV
+r:KaYp\=LWs7Z$X!;?Ed"8MWcp\jkUq=sd\q>^?coCVbNp[n@]q>1'cn,2eJq"F1Hq<FMY;b^,L
+hY-^;p\4IWp]'7Os6\qJn*.2Y:V$5lrUKp_nE+l$p%A1U%f#bio'u;Cp%\:Sp%S7U\+]dn"SVTb
+p@d88J,~>
+p=0,krmL;`qU>8i"OblMdbOi[#J2a<f[SR&gAKOteGmqseG[tse/-T[db33qajAGngX>/O8h?[S
+g=F^)g<oiHq:,Dpo$dZjrn.5$s4%%rr6ZeCe^2Rdd*^7de^r:"f@.t$g">0:e^r^*K17jW2fumf
+e^`7'rn/.L`o6",b3%:(Sj#$%f[\a)j4i//?_ZH1qU?#-f$r3ueCN7(eC)dpe^s`Mm+;s%f[e^+
+f[e^+f[e^+f[e^+f[f??!nQ#Trn.8&#1_>Vf@\[*gsc>PJ,~>
+pA=mdrqYgTq>1]sp&>!]s7QAF?+Bq2s8Mu]qZZiqqsj1Prr3K%oD*i6Fij4Ss82Qis7kUNs8)<]
+5k+C?r;Zcnq>L0ap%A+Xs6Tdcq![.BEF2I>Kus)hq"a[Yq"jmcr;$B_p\4^[m@m3tlMKuEp&!t@
+rb#dAs8;`j%fQ>$q"OR[qu-Efq>:*f\,6.#!rMoog&$:~>
+p@nU\rq5OLq=bElo(rCQq="',=0hbsqtg-Zp\OU`pBC9ep[.>Arr3Jrlg]-kDSk`9s7PpWqXWJ:
+qY:!a5k+C?r;Zcnq>L0ap%A+Xs6':Zo'+l*CKX2&J&CgQo_/%Rq"ORXp[\@ImHac8iKHEAj7V^4
+p&!t<q-R;!rq6-]%f#ejoCDMGpA+IUp%S7U\+]dn"SVTbp@d88J,~>
+p=0,krmL>aq:#2i&CSbDe_\X2g#Qp7Rc;rOe^O*=!7q,$s475"(X^d]a2ZEYhrWVDgg;m;VU!oQ
+e'6ClcJm=Rf)=8$f)O8!df7]^cdC._c-k1rf[\I&eBuUgdam9tiTSqA^lD8X/i@4@fAbE4e'lgt
+f@ej.jNc9(k0hG'.TaaHbLt@t`m*:06fdI`qUQ//f@89te(*%#eC)dpe^sfOrRh/'_:SeAf`'J*
+f[nd,f%eaTdXV~>
+pA=mdrqYgTq>1^$p@/+[qZ#)APjJGGqZ$?Tq[WT&qYC$dq""=^eQ#S5pAY'pr:g!bro*bSqXXF]
+q_7mAp@\.Rs82Ziq=XL\s8Vl@NDrPWN6;2#nEffBq=j^\qYL*ds7--_rUf&o8W;d0rsA5qo`+3B
+W;l/\qYLd$r;6<cqYU3hqt^'br;=&$rV?Tmr;G=GJ,~>
+p@nU\rq5OLq=bEqoBcDLo`*3-NopB6pAOXRp\X[apD<Z#p@\1To^;AHbtUljn+lnYp@7_Jq"<S>
+p%UoMq"X[[p\".KoCW"Vp\=IQo_SObo#lea79PAaq>T[Bme$5Ip@e7Tp@e:Hs6T:>eSREugAh!H
+s7--]s5f93rSR;Ep($llp@S"Mp@nCWp%A(SpUBkpo`Y!_q"FF9pOE~>
+p=0,krmL>aq:#2i&CT%Ma5#D(l+8ftcK*R*fZs$:qptes(Y7'_d*g@gbM)!d3&Pj/h;?u<cd("h
+dG`UPf)F1tdNd/fdaQarda6=edG!.#e^Mjlg#1f@Y&,pE4D^tRiR#`sf@BlLs475&(u3F!e(N*_
+=".t(k25"Sce[%1aENF)ak6I@%bTCaeC<%"f@JI"daZh!rmq&#s4P6@!SQ-)f*'aXf[eX/e,[pI~>
+pA=mdrqYgTq>1]us6fX]l2Q`IeGoR@o)JIKq\T;,q#CBeo`"d.C1!h;s7Z?`p%n^fr;>ON!;c9]
+rqdN.q>:3loD8LeqtTdOc&H(7=^RZ^oCMbUrrW2qp\jn+qYU6jn,NF3Ce9]]s7?9fmJm"^m"3.T
+rVuflqu?Tpr;QR!r;HTkq>'pcr3uS%q?$QlrRq'u~>
+p@nU\rq5OLq=bEms6B1Tj8Xj5cN!h2mel\Fp\jgcpD<_uo_n[WnG2ak@TT,us6oULn+?GNp@dG=
+n+[supA"UdnFukYq"=.CaG=##<*GUJmdB]Ds8Vulp@nOZ)YNgtpZ;8G^gK<Wli-8Ip?M\RrTAUA
+p$hbLqY'sa!;HKd#l",ip\"4Rq"M8krUg<ep\=IUg\63~>
+p=0,krmL>aq:#2i&CSnZa3s%ll>o8$khje2f?Wj7rRV"u(YI*^f\"Emg"WK#5_e:Ze(;skdacjq
+dbiRQf)4#DdaZ^peCE+$eCE+)hTs^+g"4ZubGo;?3&`sF`R3&`h;dJNgXZ;Ps4&%>f\5*(iSUS+
+-Z@Q!dbWQtiRcl,@%uQ7in4+Ys4@>'rmhA,f[eR#daZh!rmq&#s4P6@!SQ-)f*'aXf[eX/e,[pI~>
+pA=mdrqYgTq>1]is8W#qo?LEpo`+LToDedRq[EH"q"X^`s8SfnEp*8tp':Tor;Zfnq#'+JnbO@%
+qYgEkq=aI\s7l-PhQ1s,B7Qu6pA"%Tqtg9bm.12Tq>U4.q=Xddm&=T,ZL[bfqYC*eoC2L5?CC`\
+s8;`j!<)inrr!#tq>'pcr3uS%q?$QlrRq'u~>
+p@nU\rq5OLq=bEas8McfmDr.XmecD@n,<(HpD<Z!o^qhOqYZjZCuP!TnaZGKq#10bo_@A=!;Q0[
++7f+"q=jOOn+unPm-33$F&ugtUsnl*kl(5Jq!mP7qu-6fobmDis7YQH>Zn#gm.']>q"X@GoS6S4
+p#Z&CqXspar:g6d#5S#dp%S7U\+]dn"SVTbp@d88J,~>
+p=0,krmL>aq:#/h%`I2Xg"Y&_4)W^2d*g.jn'h?cqpZG5e'ZRne_8l32cRoRf$r4(f%&L,dEg;"
+e,[qke0EPof%/:"g=b0/e'Hh'e]c4IM,QE$?%fW5e]?Y!f@\QmceJ?I)V<QgjP%_16U6^[f%\m0
+g=OZpdqLphgX"j2qUPZ!r7Cu$#1h;PdaZh!rmq&#s4P6@!SQ-)f*'aXf[eX/e,[pI~>
+pA=mdrqYgTq>1Ztp](6cs*.;\s82Khq>TUT&GZ2"qu?]=Mb\`[p&FO]rr2oq"8_fjs5EkFqB,_7
+qYU6krr)Niorr%"<bf>5s8)<ds7c<cqYC*is7lEc(]XC/KLKD-p\OXarTaF_l2Ud;YkS1to_87^
+r;HQtqt^'br;=&$rV?Tmr;G=GJ,~>
+p@nU\rq5OLq=bBloD8:Ps)LZJr:TRVp%mnH(\ILqpAb$/L.HRDn,M_Rq>'g]q=aIUro*VMq"=A'
+q=jRUq"jg]nGi!Y@73t(\E<hbmJHnSoCqqNq#C6_rV$3^(]!^pI61T]mI9N@p>u;Rk5PC2X76#d
+mJ$>Rp\splq=jRTp\=KlpAOXep@n@Up=o=l~>
+p=0,krmL>aq:#/h&(8hYgXG:g19KWle(rI&ddbicdf%Z3dFHduiSCDF/muTIk0E&Bg"=m,dEg:p
+iRIhSqpbVrrn&=Ig"4m1gtUQ2j3ioS-8S/Z_r9(hf\Y!(eCE""gtU<Vec4/!eem5qf3ojg]@>H^
+inDH2iPjX0@ZAmrk0quXf)F;#fETpVdaHXqfDaA"f`0X@fE'[Xrmq;*f@\[*gsc>PJ,~>
+pA=mdrqYgTq>1^&nFQJRd85_ps82fqqYBsOqu?L-r;,TeHqpC0q>9^^lMpVSq=jUZrr:sSnbW:_
+*W5s;rpo9DH<F?pX5O$Ts8Vuiq"t$_s8Vc`qYTm`qZ$@0q"aaVh0)nOnFuJKr;Q`qnFZbEX'WF<
+m/QYPqu?Kmqu$?rrVQEdqu$B$qu-?mqu$EGqg\~>
+p@nU\rq5OLq=bF"lgFE>b=[HXr:Tmap@\+Cp]'n$p\!OQG=e:ooChPNjo+cBp%.bJqYT7GqtU$^
+rUq<)p%eO[lf".N;GhG0g&:[CrV,mTp\F@Vqsj.Kp[A+Ss7@6$o()+tDc(iFnETT;p\XdPn,MFF
+=gn@ls6KLSs7HBcr:^Ekp\"4Rq"M8krUg<ep\=IUg\63~>
+p=0,krmL>aq:#/h&)GFSf%RAaCt[n(gYL?*d.,Tcdf.Yodf7hseJ6ch`0XXYJ_/T.cfE1)daZ^l
+cdUFqiR@kUrmCbos4%)"rn.2&,M:]*i7lSsH<3!^<J\?HeCWF&cd1+jcIUXlbgFqae^rF(f)F2:
+cFHk2?Hq!Ff%Jg8gWe.+`J?UCjN6K/f_X2!eH"1uf*9gUdaHXqfDaA"f`0X@fE'[Xrmq;*f@\[*
+gsc>PJ,~>
+pA=mdrqYgTq>1]rr;HKl>?0P[oC`(Xp\OpSq\T5,qr3c4A#f4rs7uZfs82Zms82]mqXNPAo(rC`
+*rc3>kdPq<>AU"ps7c*arr2fiqYpKis8)Hcs8W#lrqcZj)Yj.(bY_HSq=4L]qu-6]s8Vugs*8Va
+pA"@]q>:3f!W)]lr!*,sq>'pcr3uS%q?$QlrRq'u~>
+p@nU\rq5OLq=bEip\=FY<DV9DmI9oCoCi(GpD<Vsp>(]u?)6r[rq-$VqY'UYqtKj]p?gi5qtU'_
+rq7K-o_8:YiNRGu<+VNTr:'%IqYKsYpA4XYrV#gUqu$6]rq6<`)Y<Oj`C`t7o'6#Ao_.bAqZ$9X
+rH)lPn+#lGq=aj\!VQ0bpBLHfp%A(SpUBkpo`Y!_q"FF9pOE~>
+p=0,krmL>aq:#/h&(0(af\nnN^uEhlg=4Ksf(.>jdf.Yodf7f5f[SQgE%454e^`X1gsb'2e_8[*
+eCW*hime"VrmCbos4%)"s4IA)s4\gOgYgl+PZ]\"8UeP7eBcn$e^Ddke^`%!dEU(if@/-tf@SU)
+rm_g`/MrmHcJ7%(g=+L*iRlQ8<_hH!e^NLQf)O5#e^j]N#1h;PdaZh!rmq&#s4P6@!SQ-)f*'aX
+f[eX/e,[pI~>
+nb_kQnbWjirUg-"98rfEo_AC]rVu]hq\T,+qu$Bhqtg-^s8V]fs7lBhdWSTOi;`?Dl2)h-r:Td\
+rquQdrVlZeq>L<kqYL0iqtU!cj0O)6=a?@mnGN4[qu-<e0DbYFq"k$foD.bQs7#mIRRM>2q#C0`
+s7Z?`q>^Hiqk0AWq#BsWs8)QdqY^?kr8IPKr1X"<~>
+nb;SIo(N^hnG)JPZ:0NAoC);Gp%eOYq=ba"p\4IXp\4CSo)8OUp]'jVrQT=WMVA+(g@lupq!mqL
+qY9^Tq>0gUp%\@Xp%A+Tp%%_JgoPTo;K@lQl1O`?o_.qQpFl79q"4:Wp[@\7q>KRLhig6@\+BXl
+nbhqNnau\Po(8?5qXOOPmf)nOoC_kRq"OUXqtKRQq=hr'g\63~>
+n^R*Vo$e6%dbE41Qn*".g!\I*e^i@!q:$81eC<%!eC;mmbh1RleDSg+hlp':E5:SgrRh&!j4#L4
+e]uLjf@A3ne()jldb*7,f@\j7gXt35^lVYT2HFq6c.Ue$f\4s,qU.%EeC2akf$_dmakbq#f>;\S
+:mokof$iL)f[JF-g=Fo)G2:[*d*UY"eC2t"g"=pPf)*tqf)=8$g%j:rg!SIPg&9S%f%eaTdXV~>
+nb_kQnbWjspAOPt:YGF=q#(*_pAFa^q\T,+qu$Bhqtg?mm-aoRl1k:R;I?a(s7PpYl2)h"q>UEl
+qu-Qpq=OUbs7c$Vs82-Ts5C"t>Yo%#cL:Z$qu?Wkr;HEf-3*uAq>1$`nbiFNs81M`:QsE1o]lDT
+nauAOp$_qSf49p5p&G$jq?HcjqY^?kr8IPKr1X"<~>
+nb;SIo(N^hs7,jMAP(A?p[e.SnFHAIq=b^!p\4IXp\4C[s6/bJroE\JSkWCinc&%2pF#J'qYU'^
+q>:3bnG*%^o'>iEp?(iAgSS[b8RIY$kk+35q=aFQp@S1T-2[Q5p%J1PmIgM<r:JHH8;tpnn)a?D
+m-j<@nEBZ9cs;Fnmeln[o`k'[p%S:Wp\FO[p[@hOpW*!^pOE~>
+n^R*Vo$e6%j4)o59/!j)g==m/c-Okcq:$>3eC<%!eC;t"g;CtggVhRsJ1s-LfAtE5f%BiMj4#L%
+db!.%eCN:,d*'tqg="0nhq?-%ik^IG3A!UAX3B5Bf\P95g"P'-qU-\@e^Dgle'?+gjMg'0[mV`b
+Zej*Mg>L3$bi@-pgXEMqCX:Dbg&BM+eC2t"g"=pPf)*tqf)=8$g%j:rg!SIPg&9S%f%eaTdXV~>
+nb_kQnbWjms8T/kM#%)KqZ$EWlLjrJq\T,+qu$Bhqtg!Zr;H?`r:thVHbK(NrVuEal2)h*rr2ce
+o(DhUo^hnRo_JObs8VDlGZR^LN5tDbqu$Kns8Mljr;HEf0E(bDrr;okp@@qWnA&=4RIL1Tp@J7[
+n+ln[mf3=Zc]HcYp@/"[q>0p_qY^<jr8IPKr1X"<~>
+nb;SIo(N^ho_\Wb6A"k+p\"CUk2u4+q=b^!p\4IXp\4COo(`"Mo(Vd&A9PKOq=ssBpF#b4qY'II
+nb)YGn+?5?o`"U_rT:;);G15L_Wpmhp\Xd`q=XCSq"FOX0DY>8qY^-\o'>Z9k.+MjP3_o?naQDM
+m.U8Ml2CJD`J2Y9n*B`Hp@\(Mp%S7Vp\FO[p[@hOpW*!^pOE~>
+n^R*Vo$e6%fAYkN-tq5gg=P-1_o'^Eq:$>3eC<%!eC;smcdg[qdb32V7Tl5/gtUf=eCNF).+Qr$
+e'?.^daZOceC2api7ZuFac][^/j=!Fbh:Y%h:pc?f@JX/f$sQE"k:rIe^r:LcR.,sc(-mRG0Saq
+dEgLtbLP1ral)"$Wb\oud`^7te()ste^rI+fD4"peG[tsf`0Y#f_O4Jf`0Y'f_sCVe,[pI~>
+dJFICs6sc4g\(UBq>U*Jiplg>q\T,+qu$Bhqtg9ks7Pp^fP+6Mk5YJRoDA(SkkkDU!<)os+TD07
+s8Vlfqu?SpAlhu<PhQ*7r:fgSq#10fp\+I^rVZHf/c#>Es7c3^n,NE??"qp`s7,@Os7c'Zo)ItS
+s7OcYRe-RZq#C?]qtg-br;HPEqtU&=~>
+de==Hl20aV>h/?@o^qtMhqmbmq=b^!p\4IXp\4CVrVuBRs3kLQP2ZH@n*]o%p]'n2q>UEnqXaL[
+qXa7NrV*0t;G^JVebJq6o'Yr;q"XOQnb)\Pp\-94q#1*]nakl8p3BSGd-gr#jS/]Hme6,Ljo>AK
+a(CFtqY]saqs3tKo_%tRp\=IZpT=/DpOE~>
+n^R*Wo$e6%cf<GI6G(_&f$rC!]Xu82q:$50eC<%!eC;t"hrE)/j0_?0FN!8"dF$V!eGms$f%]'9
+f@/I1g==[)hq<fR2)@:6\(]Kfda6:if\4m*dF[%)f@86udaZ^pdaZXof\"Kpe&pJ%?oUW_dc8Wk
+fAP-&e'-^di8`4d96JP9hp^?4aO\nke^rI*pt#>lrRUr"s4P6@s4RA'rRTcR!7HA~>
+dJFISpT7M\s8VWaq>U0Njn8QIq\]2,qu$Bhqtg'_oDefqAmDn4s8DNfs82Zap]10Tq^;+3qYgEi
+p$i"XpAb0k^OU!/D2uL$s8N#hm.12VpZhPHoCr1]qt^'b0)tnIqtTm\s8Ul*>E%\DrU^'hr:TdY
+p\4^Xs5ipfCVp,Ds7lWnpA=^^qY^<iJc#6>J,~>
+de==HqXLI\NVibBoCVkNiSj>%q=ba"p\4IXp\4@Oo^;VPX^P;<k5Y5Dq>^0_oD%PD?Lm^]q>0gT
+lhL)?q#C&tH!t#kLV)dFq>'OEn,34XkOnE8o_J@Yp@e7Sp\+@Tp\Xd[p[dtJq#8W_;1dQtp?qhX
+q==.Pp\4[Ss5*+J?af^pqt'^_o_8%Np%S7Uq"FUZXnLNDJ,~>
+n^R*Wo$e6'inKSUF5c0)e^W:"^:_\=q:$81eC<%!eC<$uf?rF0O@2-qaQ)"#g#CT4r6kDjs46Ga
+?I.!If%8BrbM1XtgZ7(Y>sptMC7`N$g"FWkbhLq%`73,ZdFd(&e(3%"eCN.#eD&R*eC2angZ?"P
+3,-7bg<e[6f[%poe'ZgjhndX+7@`/YhUC-.cICCoe^rI*pt#>lrRUr"s4P6@s4RA'rRTcR!7HA~>
+nb_kSnbWjsqd*O]qZ$<eqZ$K^nGN=^q\]2,qu$Bhqtfj\s58l7KBMt.s7c*^s8Dfbq!%Ygr;QZh
+nal\Yq>^9*HW=!MKYdH_rt54rp\Xm^n*p5SqtKg]s8;]fq>2iFrV6-ds8Vr1=Al^,q=ag\s8Vib
+rVlKerV,gNflY@9s7ZH_pAFsgqt^*drVQHMqt^)^qg\~>
+nb;SKo(N^hr:F)leFik4p@eFZlg4EEq=b^!p\4IXp\4@IpA<U#9n)*lrr;QVp\jsYq!%N#q"jgX
+mI0iMo)J9jFA>M1ICetIqYp6Qo_A7Rm-XTJq"41Qr;$'Zq=ZK=q"+(Ps8;Jr9Lc/Sn*g#?s8V`\
+qYp0brq5XCctL,grpBLKo_ngbp@S%Pq"FCVpA=UQpA+C%p=o=l~>
+n^R*Xo$e6'jP`Eh]\)5nf$i=&`lHQ[q:$50eC<%!eC<$pgu5t_0O_rLi8N,/fA5'UdeVDmf'1[3
+e^rC!b08Dpf&bPS=>DQk@%Gg'g>:H#dFHgpai`/ke^;aog"+X#q:74Rf[J:%hqZeQ2D19If$iC%
+iS`20f@nR$f$DI\ZVI:QjNuQ&cILUuf$r7%f[eUKf)*tqf)=8$g%j:rf?r7Ng&9S%f%eaTdXV~>
+nb_kSnbWjb`CPgbp[nLaq>UEgq#C9fq\]2,qu$Bhqtg?meT43Pq=XdZn,<:dp?_YHpuqVTqBPt=
+s7u5kMIBLtN5+NNrVuomp&4pjp[ReHq"OFWp@e@[q"FFY/bo2Bs4jk^B#aTFo)JUep$VSRqtKmP
+q>L-hUL2jMp\+Xdr;#j[qtg0er;6?Lqt^)^qg\~>
+nb;SKo(N^hke9B8s75XWq"=L\oCVqTq=bd#p\4IXp\4@Zq9NnCRIp"GmcsTIs75FLq=FCFp]'q4
+q>L3`mAkhA:1/dcht$L<q=="Ks8D]^nb)\Oo_S:TqYU']q"OJ*oC`.^f;_VM]'K%Qs7H<[lh(2R
+p\=+Oqt9uX;pOOkmJm1^#k7W_p%A(Rp@\7TqtKRQq=Vf%g\63~>
+n^R*Xo$e6'd&S^4kge,=f[AC&cHk(jq:$;2eC<%!eC<%/iO;`4J(N0*d)t#"h9X*hdJMAheGn+`
+eGmuDf%Sd)c&ld.1e)8N_q!Gpg!\-qhqHK$bKnVacIC4feCE!oe^jNJ/_/J4hmnb*7&&/ccfEa:
+d`U%mf@/0fdace(I6"d_dEpk(eC)Lif%&=&f@JLJf)*tqf)=8$g%j:rf?r7Ng&9S%f%eaTdXV~>
+nb_kS!W2`bq[qmpAC(;Uq>(!`qu6EgrV$-bqth6,qtp?jr;?H_Sk3+qnbE+`qtg?ioD&@^o(`7]
+$iBetqYU-dqYU-dqY0k%r:]mbs4<?5;,`"hq=jO]qtg0erVQTjs7Hfmq>'m\qXaCTqXs[aq"l'0
+qu$KWQq2\ss8V]jmelkVrVlT_oD&=Wq=W1+rr3K(s8V]drq?<fqYL-fqt]4Jq>-f^J,~>
+nb;SKp%SFY&)LAoanbi+o_J+QqXsUYo(r(tp@\.Qp\4CTo^%r4<3tr_q>BsZqY0INs7,mSp\FLn
+p[RhPqU1:!8kaNLo'l&Arq$oup\"1Pq"=7Np\FUXq"++Pq"=@Yq"??8p@nICP!O3Rq"EtPkP+T@
+qYU'YoD&7Sp@6@jq"=RRpA=@Rrq?0]p%A(Rp@S.R!r)E_mIpAK`qBK.p@nLY!Vc<MpOE~>
+n^R*Xp!iul&D4ug8?q(/f$r9tdac^meBRj>(tR6gf%8O)f%8?!.6<d@e_As3e_8NsdGOcJqpbYs
+n^RBc-eHbogtK&L1GCRkX4GeIgXjs)f%&6te'cRecI(+hd*g1`daHIjg&9M#fItq4g"PE*GUH_A
+hqQN=bLtFtg"Os$cd^Oie'>%<hV7&>g"Xd!f[/4#e^`:'f$sKG!n>fNqpt_us4R5#q:F$Hs4RA'
+r71r!f$sWK!S#]`e,[pI~>
+nb_kS!W)Tgq@EB"qY:*foDb"OQiHgSo`"[`(]Wsqrr2fmq>C0iq#CBjj(V+m[/'aqq"jmfqXXCr
+qYU*Zp\b$`r:BRWs8)Qgr;HTjq"aph%e\,3@8LE[\(UQUqYU3eq"l-/qtg3dqtg*_q=sd]r;Q`k
+p\t3hp@nO\rVaWG=IB$arVQNh$2FAqo)8Q"Er5D+qu?Nlq"adlrVZQhqu$Elq>:!cq>:!cg&(UC
+dJJF~>
+nb;SK!VcBdpCHljp%/"Om.lW6OoP"Cn+ukS)#j!nqtp0_o_%nOme6GFfj[BRYOqb_oCi"So(XX0
+qtBUQr;60_oC;\UqY'^Yp@e+Jo(`1_m`1;j8R$;BeFWM/p@n7Rq=b-hp\=LXp\=CZob-umqYp-Y
+qY^$Vo(V_LpUjj1P5P"OpAFXkq"ORNq"\94o]lGLs7cNfqtL-a#Pe&ep%J.Tq>'a[p\FOYpY#99
+pZM89pOE~>
+n^R*ZqpbYs&C]:^e(iR$h/tT#k1.u-f@9fJrR;\=bK\\nf@SU+f\=m0h:KA0,s%+:gsOU%lI6?q
+f@/$mf\"U&cd(+qf$i7MfbN)fe_B$@dAh.K/3[."[+!^Yf%8I'qU>MnrmC\m!7Cbn):R3hg!A$s
+gt1$*h:gcFWD#L'gY(94g"=sTf)=)*f[&4'6;H.Wf[eXIeGn)-f[nd-f\,!5f[e^+rRgr!q:PMr
+g"?,Rp=KGtf[fuQ!S5p$f'LlddXV~>
+nb_nT!W2`mq#1%"rVQ?ds82i>?W#>Irr;cmqYM-+q>'m]oCDYRs75sbm/+Lt8qb@Xqtg6jqYU<h
+o(W@Uq>^KmrqQoqqY^-Xm.:8Rp%87`&aRo&DGjG[ZK(rNqu?Tfq"jd]qt^*gq>L.'r;H<gr;Z<d
+rVu]dosIb*^\[m+qtp9e$2FAoqu>]NT'QFTqYg3bqZm)tqtg3erVcQhq>C'cq>AqCq>AY;J,~>
+nb;SK!;HKfrV$itp@@qRo_l^29@!,(s7?*_pD<Q!qY0LJo(VtGmf256Z:mZ:`pWTpq"sj\o(W@U
+q>^KmrqRZ1qY^-Xm.:2Kmd9iMroD:TB1ks?X5*I4p]($Zo_.qQp\FO_p&Facob7)qnbi1[m.pGV
+oC).N9injrp%A4UqtCElp\+7Tgmskqs8D]jq"sgcp':Bep@\.Qq"X[Yq=j^Yq=iS9q=j(Glh>o~>
+n^R*ZqpbYs&(oI_f\P0<W^/GJe_K*3fDX.re/-Taf$hsjeCi[(e`Os)S22ErUW_09e_'-9"No9O
+h:V_W+4JfneBH"[gt1!%h;mS:Y\$N]0isFOg;h^ue^)XldJD>ndaA'@rR(Yns3q"u'%b^Yf@/Es
+gY:cAf@cWT7B#/!r7LntrmV;+f\"uoIs]2of%0NDs4.G-f@\^-f\>0Vf_O4rf_O4Rf_O4jf`0Y'
+f_sCfe,[pI~>
+nb_nT!W2`mq#1%"r;63dqYL5Q7[!fGq#C<aqYM-+oD\daq>0sfs82cgs.NRrQIPs7q>:0dqYU<h
+o(WUir;QTbmI9lFq"k!hrttJ,s8VPuL2:F0IBDE,s8;9as8M]ar;QQgqt^*cqu?R)s7l3`s8;]i
+r8N/lLuA11q>:!a#6+D1B<h..r;-Beq>13kr;HNmr;$6cr;$6cr7UuCr6bCl~>
+nb;SK!;HKfr:^]pnbD_IreNgurUTRYq!\+S)><gorquE^p\"CYo^hGKPtar6d/X.=p\OOWp[S#*
+q>9sVlL"6:p%S@`s8DQ_s8V;gIq;qiG,Epgs7POPs8)9Uq"j^[p\FO_p\jgcpCI;rn+ZhUo_/"6
+GWUK0o_\IXq=b-in[2c+nG)\Tp\jmap]'pfq"Oa\s7c?_q=j^Yq=iS9q=j(Glh>o~>
+n^R*ZqpbYs&(fC]g=Fj7DCBVee^iR/bl,uieGn)9c.^jue^i@-h:UH1k']0EE38$TdaZmrl-q*4
+f\4s'air5`eCN@4iS;l6j5\=J@RrdJ=c'cHj4MK/gt0ise^r:He,e"Frm:\ms3q"trRV##&DtmZ
+fA>34g"aMT-uR&ajk9Raq:5r'f%\`B6]TUIe^i=EeGn)#f[p)Ss4[;$q:YSrq:XHRq:Y;js4RA'
+rRU>b!7HA~>
+nb_nT!W2`mq#1%"pAapcoDdKSC@M3%nFZbPq>2!)r:g!ds7c<Ts8VM+5@W(@rVH<drVH0]qssOd
+s7c*ZrVl`p)tiObpAFI'O'kgoJXPZlrVQ3Ws8Vfgq"O^ds6TUqr;HQir:p<_s763^_IliGmf37\
+qtg-pqtg9-FL(W;o)8F`q"agdr:Km^r;$6Cr;$6cr6bCl~>
+nb;SK!;HKfrV$imqt'RKq9iPZlM(>En,MkRp]'q'p\a[Vs8MT\jo5#8A2@9-q>'aVp\FOPq=ama
+o(aX1o^DJLqu6Wos8VZRlgsl;_h_Gf>C)Iim.U)<lhLMMp%7kNrr)9Zs7R-#q"OIUoDe4XmJH@b
+@8<N[q=jRXpA4Lhp@J!hD6<@%mJZeXq"sgcpAXgYpA+IYp=]39pA+IGp?VI'~>
+n^R*ZqpbYs&(0.^g!AH^5to__j3>p-bl,uieGe#7f[8.*h:0usinhjP)aLU[f$i$rf$hn>eFD'9
+gXFO!gY1QDhVmG@ai`,dcDGA>/O!H__U$oecd(;(dF-Fhe_AgQe,[qrdJqYneGn)6f@\^*f@/^)
+j3QT1U.7+udc9<Bg&0LuedL!Yf%QZkO42\)f%0NDs475%!87A(s4R5#q:YSrg"H2Rq:Y;js4RA'
+rRU>b!7HA~>
+nb_nT!W2`mq#1%"q#C$arVqmOYQ+.mq""Ibq>2!.qXjXaq"+=]r6\VBFkm#sqtL$fq=smPq]Yq7
+q>L<iq"XLLnGiOd`K>4O>B-@bo)AF\r;?Hgqu$9grVlosq"ag_r>5A,q>:-iqt]marTsRak+P^j
+]`8$!p&Fjaq>1Es`jkpGq>^KnqYg3bqu6Nnqu?Kmq>'p`r;$6Cr;$6cr6bCl~>
+nb;SK!;HKfrV$iorp]XTrJ*h@s6KRRmJm+^p\sk&s7c'Xqt'7Js7ON37;L?Js7c-[qXsLUq=jCR
+-M@$+q=aFOn*009s7a<fDI-@[SB^HsoC_kPp@\.Ro_JF_rVZK`q=j^\(\[LnpA"IWo^D\PkPbG>
+S5*b+rVbpJs7uEbp':H/Z1Rnbs8W&lrV69as7ZHds7ZKc!;-*\q=j^Yg%Y=9q=j(Glh>o~>
+n^R*ZqpbYs&(BC`f\,1u.?WiAhUTm.fDX,:eCN:'hU^')gXFO#j4URm/5j%9i7--(f@&'sq:+uc
+.+d2)f@o$4f%&3lcJIX8UM`mn3)4q+ceI"%g"G$0f[nX(g"G*4f$X*=rmq,!("V*nf[eI+g</@7
+`.'L7SE&YSe`>BRed:0-Ph4^Ahr3/;p!j#ms47G-f\"g.fD4(pg%j:Rg%j:rg%!_pg&9S%f'Lld
+dXV~>
+nb_nT!W2`mq#1'hrseSus5d<gnG*%Rs7c<gq>2!,oD/CZp](9h]L>o4s7QE_r;ZZhqu6QiqsaO`
+rtkJ%p\k-gs8UrE@Sg*<R+M?;rVHKiqY^?m#5[uks8W)rpA=[a(ARXuqYpNmq#(-Ws7+lj98)1$
+nGiO_q"jg`#PrX]qu?Hili$\Yq"Xacqucimq"X[^q>C'cq>B4Mq>:!cdJJF~>
+nb;SK!;HKfrV$j"qX4.YhG@;=o)A"UoCVtZp\je%qXF4Unac\Zo!LYXYQ*qamJ-VRo_84Xq=jFT
+,kq34oBu2Er:U*ifp,i9;.>a;q>^6_q"FCTqYg<an+uqZqY9dYq=tiuo()JLqY0UUq;qYCf6'Q4
+g%jt3s75jYp\FLfo5J=6rU]gHrV-9cqtL*`rq?Ngp%.eNpA+IYpA+IAq"aXZpZM89pOE~>
+n^R*ZqpbYs&)5gbg>g"+44)X=cJd-tfDa2<eCN4'f\=a&g<n@,iRXD@1m[:Ph9FL'eBudtf(mhd
+eg8u&hVHc1e_B!6jQ!mt5V=l]FgTo_g=P'2f@es:h:L!)f\+m,nC7Kh(Xpg\e_Am4e_8g%jNkD>
+.:TsFc/7R2fCIK"f[j(ofAG-2`n&`6eGe#'f@ej0f@JOKf_O4rf_O4ZgA0Csg%!_pg&9S%f'Lld
+dXV~>
+nb_nT!W2`mq#1%"s7Z<hpQJUWs7--as7c6\q>2!+nc/X\s8UoG;1$U`mJlhVs8DT^rr;fiqsjRd
+p\t-err4,5e?+.(;.cBIqYgEgnaZGTr;?Hdo_/4_rVH<aqYU6jnbWUbo^qqXs8;Z]rr3G'AQk5r
+kPbGTn,N@_q"spbqu?R!jeTrspAY*jrVHKfp\Y!g"8hohp\F^^r;$6cr8IVMqt^0;qg\~>
+nb;SK!;HKfrV$j#nb)bJN)$/Jli6SQoCDJNp\je%p[%bRmf3=<Q:c8>n`K]8p\jpWnG<(Uq=jFT
+-h@$*o(rCcmEMMO<D$VabOtZ+oBbi9rV-'[o'c,CrV?0Zo_/%TqXaI]p)3Agn+6AOp[d\GrVN0n
+<K-t;q#BpMr:p$]qtL!]s7HWRS\Y*lq>^6gp\jmap\jgcpB1-]oCD_Nq=j^Yq=ikCq=aXYkP"69
+J,~>
+n^R*ZqpbYs0AOt,gs^0sLZ["Fe_8Brc-k%ieCN4'f\+R*h9b-@\Toc/X4>ALd+@"&c-=kndeVD_
+fI,5*gt:QIjO:Go>WXW.I';/Sg!e0heD8a.f$_mlfA5$,dF$Fmf%9`IrR1_qs4/"5cdC:tgtC9*
+hrWgM76#5F`7j2"b1tYJeGIhofEoEGUYXDRiRl`4p!irks4IM,f%/CIf_O4rf_O4ZgA0Csg%!_p
+g&9S%f'LlddXV~>
+nb_nT!W2`mq#1%"qsXRbgdQ#Uqu?9fn+ZkWq>2!.p&G!\s6u+ET'?:Ns8W#pq>(!gr;?TjqssY5
+rVuopq#9`fE*lLXZ1@qmoDSXcrVlcmq>^Eiqu?]oq#C9er;ZfqqYC$aq%iSmo(W+_r:g6jm"&JI
+_>Wp(s7?3hqYp9eqYU0ir!.>&qu?ZqnGE1\rV6-as82urq=jUYqt^0cqt^0KrV??dr6bCl~>
+nb;SK!;HKfrV$irlMpb35%O<YqX4CKoDeI]p\je%s7#p\m/Q=,7[N-5o(`"Qp\"4TqY9j_q=jIU
+s7dr;o^V\>X(b[/A#ekpp$DJKp\=RZp@S:Xp%J7Zp[e@Yo_A@^q=aXYqt:!])=HnZo(`(Uo)8@G
+HWX:\q!A%WmeHbSp%\=Zp\X[ao`o>fo_A7Ylh:;OrV69arV$9c"8;BXnbMnSp\FOYpYkoCpA+IG
+p?VI'~>
+n^R*ZqpbVr0$<51\04DqgYL68b0\tjdaHXpf%A[/jO2l<cK!,b.=0"mf%f'5f@&*uf@AF(q:+uf
+.,*J7g=P0+O\\.q8W_?]gX+[,f@\d/f$rL-e^iI/f@/I(dFHq'f$jHErQtSms3qk1c-OnngtC6<
+i6Ggr4.k9QhqHB.g=+LKeGIhofEP2efA#'8bPp)ceG[tuf`TmXe^XEIq:YSrq:X`\q:PMrn_!lp
+rRh)"m*l$`J,~>
+nb`.[qYU<hrqQHg#QO#fq.<6rrqQBjq@ri*rVZQbs8Donh/HB$k5Y>Ns8V]dq^DIAqtp3`q>L-b
+qYgHoqtL-fq"t*krqQ3es4j&Q<aq!-qu?Qls8;cbqY'jequ6Hfr"&AprVH9aqYC0QP"oc6s8Dfk
+!rD]drV6Eh&,,u%s763iZ"LT<q=jmfq>L0gq!n7Or;$6cr;$6Pr;ZZnqUtcAr;$5?~>
+nb;kSq"Od_rV$Qsj8AOV6_F,NpAOabpAan#p\+"Np@e.0Bhkefs7YpZrU0CUpF,n5p\4@Pp%e7P
+p%\C[p@A(RoCi([q=F(NpskR5:KrLfo_nFUq=XIPp\+C^p\smbq#0ptmIg8Io(;VIs5/c+AAe??
+rq?<bs7cTirV6Ee&+TGir9O.SVdQdro()VPo_nO_q"sg[p@7nQpA+IYp?),LpAXaBpA=U[q"aZ7~>
+n^RBbo@3fk%H54]ej:^9gY(94f%/@MdK7hFf)FA8g!S[1g=Wu10p'92f[8R5d+8'C.+d#!eC)^l
+f$r4"f\5'1db<:$f%]$6e^NF4]6Q_#6#*:Nj4`;Gg">lHp=92mrmUhrrRVb0f@nj,f@\^;a)j"-
+WScI_f%/@#qU5Dns4.e2g=tN2gu"&YQ-\"1gY(*-f(IPkf)=7ig%j:rg%j:_g&K_(fBLrfg&9S%
+f)*tmeb[bqdXV~>
+nb`.[qYU<hrqQHg#P%i_dTp2Op\F[iq#:<fo_SRe%ep##UKDHVli$k_pA+[`q>1TuqYL-hrr)fq
+s82Zjrr3f-rVuomoCr43Q=*a'H`Gc`q>^6`s8VlaqY'jequ6HfquZomo`"jsrr:#\;k!(Qp@S4Y
+!rD]drV6Eh&,H7rnc/XN\[Lc&rV6<fq#1'fq!n7Or;$6cr;$6Pr;ZZnqUtcAr;$5?~>
+nb;kSq"Od_rV$Q`s6@j0=7,MUpAO_%o_SFTn+HVYs7$'\S5Et:jS&WLnauVLq=c93p@e:XqYBsc
+qY'UVqYgB^q#:0^mdg.rO',7`FJI:Do(hhEq"aOOp\+C^p\smbq#0q!rpoOTs8Dcj_/;u3k5=c<
+p@eFYs7cTirV6Ee&+onflMpk<YHQsbp@J%PoDSF^q"sg[p@7nQpA+IYp?),LpAXaBpA=U[q"aZ7~>
+n^RBbo@3fk-d:PnY;nYkeCiL*f$r3tda-Itda?_,jlY(RfRPhPV8q9LgXFa-ebR]Ce^N!tf@SU)
+h:gH1f@o':d+I40e'?CqYB<&e6<]5UaOoD%e_]37f^dVeec4.ue,@hqf,*ApdG<mAgu5/321!L(
+eBujueC;ppdF%p@s4%&!&E;![jPmt>PK)S7e_/O&f%0NDrRUr"n(INhq:YSrk1Tdern$Des4RA'
+rRUkqq:5>k!7HA~>
+nb`.[qYU<hrqQHg#P%ioLfV+erV??jqA'#0s8)BYs8),6>ak6\s8Dckq=OI^q>2Q9q>'pfs8Dcb
+q>^Kjp%7tXp@.eNhPb`r8SGI)s8Vfms8Mlos8DT[qY'jequ6Hfr"&;ss7H$bk-n#qW:Ku\o`+db
+)#F""p\4IXqYKsbs7l9ZZ!-Jns7uNiqu$EhrV5p[nbi4[q>C'ck5>8Vrqb=Fq>C'cJ,~>
+nb;kSq"Od_rV$N_s8@RGZiBssrV-?c(&@h+p$V2CnDe^mPO%l@q"4=Snb)nWpF#\-p%S@]q=X1J
+qYKjRn+$AHlgaT"UNK0sA$5D&rUKpfq=XR]q![bIpA"[^rq?BeqtC]gs8VQXr8=hL?_Zoen*g;M
+pAFY$q"ad^q=saZp[\+Zna#J::uqHMo(DeOr:g0bqtKjYnb;kQq=j^Yk4eoLrq51BqtKp]q=fC~>
+n^RBbo@3fk%*[YeAMTS4g=Y'/f$s]Is3VS7h;6f6dbra"?9*5Uf](W7f@A6th>,PKe'c[of\+j(
+cIUe+f$_sphp]j!e[pN:/LO#Me`>Z<jPntIgu$l6f(.>aec4.ue,RtsfDjM;c/[m5eDJ94/4GBC
+k0h]<f%/@#rR1_nrmDM1f%/@)jOM]+NAnr7hpp?4f%8L(p!irkrRgSlq:PMrq:Oi_s4I>&l.H$h
+rRh)"qpbGlqU>MnJ,~>
+nb`.[qYU<hrqQHg#QO&X=+:2CrV?=,r:g!ds7lHjps+1h^\n-3rUog]rqH0dq>2Q8qtp3bqtg'e
+r:g$ds8Mijr9Ce==BfU=f`2!Anb`@Xp&"dhrVQN_qY'jequ6Hfr!r]#o_JLEPtl;5rVl?`s7uO/
+qY0[Wp\=O[qY9U\r;Z]9Yk7efq#C?irr)]lq!n7Or;$6cr;$6Pr;ZZnqUtcAr;$5?~>
+nb;kSq"Od_rV$NpjQf]fs6op[r:_$&oCMhTo(;kJ`,JP\p%eL[nF-/Lo^r%VpF#Y.p\"4Rp@J7W
+o(;bUq=O@Sjg0,/<bJ,Tr;>pJpAF@JpAFj`pA+7QpA"[^rq?BeqtCTqoC)>IgQ+m?](c$ep&4m`
+r:_''q>0p_q"XUXoBcAIq!u(plLXT:qYBg[rV-9cqtKjYnb;kQq=j^Yk4eoLrq51BqtKp]q=fC~>
+n^RBbo@3fk$f/bG1g8qgg=Y!-eG[f3e'QS!h:UNEeZ2b1Rb?NSg="="g=+O)q:$h@eC;ppeC2e%
+g!nU-hV6W5fuK@[2)n0[[GTiecIq(%db3L7g=b32o$mB`s4%%ss4.)"s4J(>e^E()^3)&)S_`)I
+fAG63f$r4Jdf7_ndM(-]e^!(*hq=fbce$^sgtUB4f%0NDrRUr"n(INhq:YSrk1Tdern$Des4RA'
+rRUkqq:5>k!7HA~>
+nb`.[qYU<hrqQHg#QO%M@F+uQo_JA#q>L*VoDejfYuZ8@mJ$YOqYpNprqc<\q>2T6r;QNcq>L9b
+rr<#jnbW9`ISi[VZ0VG[qYKm`s8VNaq"ad\p&"dcoCr=^pAFsfrqcHg&-).ps3YsrL[b3@q>C9m
+nbW+`qY1!^'DM:uqZ$Q]pA_+$cMRV=rVufhrVcTkq!n7Or;$6cr;$6Pr;ZZnqUtcAr;$5?~>
+nb;kSq"Od_rV$QsjGR9ar:fUXpAFY$p%e4Dmem(UVFkghj6cm4p%eRbqtKdSq=c<.q"j[Sp%eFO
+p\jmSlLY"JG=k2:WoX3Hp\47Ts8VE[p%J.Po(`7ZoCr=[pA"[^rq?0^&c_1hs3#=`Ja<%+o_8C^
+m.U/NpDE]$qtg0bq"OO_q;puBSQ<]!p\"7Yp[S%Wp\jmap\4COp\FOYp\FOFp]'sdp##K?p\FU[
+pOE~>
+n^RBbo@3fk$fJs?5-*SqdFd%$eGR`1f$hgiio]$X1g%uEeE"s-gYCT:eBuV<e0iSmf@&!nf%/7&
+i7lW'f&;6b/L=,Na5bIrf[8I4il]s(f@JL"g#;JNp=92mrmUhtrRheCcI_-^<Bk-Af\P-3inVc/
+f)4#9da?CgdF-Imf&PN,dH6-JX4H%Xg#(K1f[eXHeG[tsf^IMhf_O4rf]Llef`'Lef`0Y'f_sCu
+eG7Yke,[pI~>
+nb`.[qYU<hrqQHg#QMbANrSbOr;$3spAb0fs8U/g<j(0UrsA])q#CBipA=^[q>2Q3r;ZWhrr;rk
+p\F^Q^k,KgH)]Kms8VinrVlimo(`7bqtBg^qtg0Zq"FXcqu6Hfr"&N$q5I\0Xn;YkrVuldo`+db
+!W)Qip&Fddq@E;ms8VhgPk4qTrVHKgp](3grV5p[nbi4[q>C'ck5>8Vrqb=Fq>C'cJ,~>
+nb;kSq"Od_rV$Wr^eTa^mJ6GKpA=S#o)ALWs8KlX9;9`+p&Fd]oDJX^oD&1Uq=c9+q"sdXqY^-X
+nFH55\U."KEh_"Qr:oj^qYU3an+H_\q"+1Rq"OOFq#C*fpA+Fpnc/6W=Bqcms7c<gq<RMKp@eFY
+)#3q(qYL$`p\44Iq#BZHM!+I-p@J(Oo)/I\rV69ap\+.Oq=aXYq=`tFs7ZHbhtHsAq=sd[J,~>
+n^RBbo@3fk$f%C/CY[:mf[eX'eG[f3ceI7*jlEFJ22o!$gudAHe_]05d+-^qq:$e:e_&@!f@eg*
+e(*'kS6dj,<J@j2hqQZ:g"P32cICh1f@&1#f@JOCeFqGmeGdqqfDXA7eE#5:5!k7WiRcfBgWe($
+f%0cK)Ud$ZdF$CjeC;sqh;m%7EmNOtg"+m.dbNF)p!irkrRgSlq:PMrq:Oi_s4I>&l.H$hrRh)"
+qpbGlqU>MnJ,~>
+nb`.[qYU<hrqQHg#Om:WbQ%M5s7uNtqYU<mn@X?Z\buI5rUfm^q=X@Tr:p.:p\asbr;ZTYrqbB=
+>tf1)ea*88qssCVs6SqAs8)Kfp%J.UrVlT]nbDhUs82flq>:d'ka>1\dJs(;p%J4Zr;-3bq\]2&
+o_%nOp\OadpAaK7Rf<?as8)Hdqt^9jqYg3ZqsjU[qt^0cqr[hVqu6HFqt^0cqg\~>
+nb;kSq"Od_rV$T`Ht(+lp$VePqY(g"p\k-W[X;,YpAFRUp%IeEp@e(Kq>C-cpF#S-q"=F\p#c#?
+e<F!&BTg[%qu?<SmIpMFkOnlOp\a^Xp\Fdeq!dG@s7cNdq=bEtj-*#EbQ%8+naZ8Gp\".Sp)*Q#
+qtg0bq=jX`nc.TqNplZ2q"*tJp@S7\p\jmap\4COp\FOYp\FOFp]'sdp##K?p\FU[pOE~>
+n^RBbo@3fk#g6I@W86+Si7@nWrR)&%eDK94S7FpQi8jmm$/3eWf[\Bqe_&LLe0iVne^E"%d`1"m
+\9L%`9Qm__hrNG9dFd6q_pR5ie(E're(*.*eBII4p=92mrmUhtrRh_=`d'1/Z0']ecI(.nf@A@H
+ef*&ccdC.gdaZe,e)\V^GhV!+gt'p+f[S[,f(IPkf)=7ig%j:rg%j:_g&K_(fBLrfg&9S%f)*tm
+eb[bqdXV~>
+nb`.[q>:!a#M!44s8)HfqYC")s7H<bUJZC#qu?Njs6]jcs8Dfmr;$']q"luIq=adema[#->]d+.
+rr;rmpA"UdrqcEhs8MrlqtKmcs7u<\rVZNeqY9p^qY9p^qY9p^qYKp`s82flq>:d!MG8udqY0pf
+s8;`krr)]iqZ-Klp&Fb!q"jmaq#ANCM#[5Hs8Mlps7c3aq?$HgqXOIQr;$6cr;$6Pr;ZZnqUtcA
+r;$5?~>
+nb;kSnb3:8>C6>AnbDeQpD<esq=:+MFl)cbnFHVArV?Hhp\Og`p@\4S2YZk6q"j7%IUuMrVVLqD
+p@@\BpA+IUp&>!jq>'g[p&G'fnb2hWp\=LXp\=LXp\=LXp\=LWpA"[^s7QHcq=bElKh-pPp%%kT
+qtTmZq=sXZp&OjdqZ$@(q"OLRnb9jsI/<1$r:fj[qXX.RpAk!ap\4COp\FOYp\FOFp]'sdp##K?
+p\FU[pOE~>
+n^RBbo[Nol$eVaJ?/O2[g==^$eGR`2g<\O'JMCHNg>(61jN?B7hV$K3f[\EupspeDeBuq&afo2E
+3)GIHg>CT6daZt*g=Oj.hV-Q2e^Mt$h:9g!f@]WC!S,Zoec4/!dfJ"NqUlD2BIdc1f[\[1f[\I&
+g"=jOec=5!dJqYpeGn)2eD-o]AE)"hhqHT8g="@!f(IPif)=7kg%j:rg%j:_g&K_(fAkN^f)*tm
+eb[bqdXV~>
+iVQ.>s7,j`p%J,t@K,QirVlQ`r;Z]fo_\[as6!TgQhpUWqtp6cqY^?hp\+CZqtTp_s7H!as75m`
+p\Y!JRqlD]Vq_+Kqt^3cq],J0qYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-`q[3B&q"+:\s8)ch
+pAY'uld&sTU[J0[oDeCY"T%lbpA4ad#l4MRZdeFCpAOjcr;-KjJc"p5J,~>
+iV,k6s6]FXnFH0c?2Ng\qY^$Up\X[Qme-JKs56jRORr2?q"XUWp\F^\p\+CZqtTgWq<dVMqs3_J
+nFZS0P[mpCU=T&8p@S.Up=]0Vr;-'SoDJOZr9s+Lr:o?o=_4,ds7PaUnb<(Z%J]erq"FFMs3@Rd
+jnS?EpAt'`rqPmTNV;o:J,~>
+iRAmnh8mt$dacoC5hsB1f@J9kdFZgib1#%miPRT3G5g1peKiYneCN:%e'c[pe^DjtgsFI/hTjR+
+e(<EfG=Oc!K!s7bf$r@Jf&>*Zda@s?(YREfbgYA&e_np*gu-u/X?9%'b2_.#g[Wc(da?Inf@\d0
+eDminXN&r?rmq2$fDa=feEthkf^dVae,[pI~>
+iVOo#r:Bm_mf0joQ2UOSoC`%]q=FXdrqH6eP?`4Ym/QnXq>0p^rq@N2p[dnEp&+j]rVcNbp&4pj
+etmn1DP>_Vrr<#ooCi+0q\Seus8Mlhp@\4Vs8Vin`E$Wgs8Vlir:TXX#Q"5gq"Xa_rr2p!ZsB:&
+s7uSDqs"!.~>
+iV+Vtp[@qMl27t_Oo5%NoCi%\o^2JSq!mtMNE'i>jnSKBq>0p^rq@N2p[dnEp&+jXp@e%Fme6\U
+c^oDjB:@6<qZ$Tgn+-8$pD<5ir;-*WnaQ)>rqZ'Y^/&.Ks8VZ]p@%PGs8)cj$hj8cp%.pW;O-tU
+q>'gMpQ>1>pOE~>
+im]:&gX40peB?a=0Qc.&e]lCggs4$lgsjZtf53KDYfY\OeC2prdf.W9eBuO`bKnbpd+[4(e'ct2
+gp;T<78&*:dF[71d`g%fg=6/NrmC\m(Wt1Zf@A<sdad"2hpgGU1IIbmiR63+cgfKpe'caqf%8U/
+g"hWEFOf4Be`kTRf!3ltf(.;jdXV~>
+iVQ.FoDJXYs8RINg\:aBoCDhMq#:<jpA4fCC4XP-r;-Hiqtp<gqY9dTrVuoro^_YSs8;Qfs66k=
+C2T^(s8Vciqt^![q#(0>q\T))rVl]hr;Z`qo`"cK8VZ^4rp]LYs8DNc&Gl.pq"FLYrr<#Sdr<)%
+p%8(XJc"^/J,~>
+iV,k?me6MDr;UtBfCo7=oCMhHo(`(SnFZX.A9u/hp%/4Xq"X[[p\".HqZ$TlnaH#Gqt9CMs5L,(
+@qV4arqu3Yp\".Ko_A=2pD3Gqq"aXTp\smdmJ$:/6@\4mq!.5Fs7#anq>9s\oCV\JrmAeu[eK7Y
+q=s4KOnS>>J,~>
+im^NIfZ;LnbhhDa3kEr%e'6(baj/Jie'?Iu?US1sgt:3<eCE+#e^W$obh(b0f?VUchVQo4f]0r3
+>"2,3^>[tsf@86qcdC:qg=6/NrmCbos3qk5e(E@)e(<O3k0r/>CF3Q7g"=HkhVm)Ve.:!VeC)gs
+g"PMrX@JQ,bKBY2l.#7SZ.STto$dZfJ,~>
+iVQ.=rr;ccs3t2Ks7$!\r;$-]s8VK_s3Gn'YN>fXs82Edqtg0dqtg-doBYc:rr<#do_[L<JqAEJ
+ci!hCo^r"Rp\FacrVH99q\T;/o_JLbr;Q3crkNGVU\k)enc/X`pAa^\%Joenq=j[^s8ViGJ,f?D
+s7uSDqs"!.~>
+iV,k3q#BpRs3FZ=s6omZr;$'Ws8M3Rs2f7jWS[I>rq,UQq"OOXq"OLXnEB-.qu-BUmI]"uH[Bq.
+aS#T/mHsQ9oC_nSq=aF-pD<l'n+?GNp\F(PpUOs:SFljPlhUJKnG_tP&,?"so^hbLp?TqEs7#m`
+rV?6QpQ>1>pOE~>
+iRCBAeD8R#j0CUtj3ZW3f[J3niSMQ'iMf[AM8@uqhUg$)e^i7%e^i4%c,[iPf\G3(d+>jV?=$cd
+X4ZIfd*U:id*gIqf$i"!e,[qrdJqYpe/-ujcd^Y#fA"R1h4IA#JCro4bLt[ud,+<B&(/kVe(*+*
+gX3</j3cN4g%j1_eFD+pf^[P`e,[pI~>
+iVP%us8Vinqf6H>s7cE_rVuTknFutYZZfm-o_ng^s8)Njr;$0drr<#mrVm3"p\=ccA8?Xdh#@<U
+q=!kPr;Qotq"OU\dJFOPp@nLbr:]a^kbM?ca8bf"p\t0op@\4Oq[iVtq"a^]s8W&pFFWWVoCMhS
+r.4b0qg\~>
+iV,M+s8)9\oPJ1)rUfmWrVuKel1"`DXDhCgme?bLs7GmYp[n+Pq>0sYqZ$Tmo^_VRTjMDWRb.T;
+r:K:@q#13rr:opUp%Hf-(\R=hp\OXSmf2:<;c^d8n*0EAs8)9ToC;PcpA4UXp%eCSmq?n(q<dSC
+q=s4KOnS>>J,~>
+iRCBEhq6?2f2,#_i76N/g"Xm1bgYP$O&J6EcI_%#hUL!-f@JI)g"b<2g>h/JeC<%/K0`%4I(A:o
+hU]org>UrHgtC6*d*gCreGI\oe/-Z_db!:-e'R0sKK2&hjO26$h;I#7d*qO7&(&eUeCWL3f[W`"
+`S/MWdJ;>WeFD+pf^[P`e,[pI~>
+iVWZT7J$QZ^dYR/nGiO[p\t!^qu>oE<f6;Ds8Duhq=jphqtU!bs8Mrqo^MVPke3B[@@#LBs8V]\
+q>UBns7u-QoCr%Sq#(0>qZQWjs8;forsn.G:lXc?o'ZPWp@J(Zs7,shqY'a]q#::!o#I90s7lWo
+oD/<8qs"!.~>
+iV3BJ7IC!O\Nm:rm/6kSp\smVo`!j/:P7g)rqHH[oC;kWp@IqNqYBm]n*BQ<j1(=G>`mG.s8)0M
+o_J=Zqt01?n+62Co_A@3pD<AoqY0a]s8Uu-8r)O.mHOWGna?#FqY'IR&,,hnp%\LYkduqYs763i
+n+lbCpQ>1>pOE~>
+iRInZ7EsTGS0O-Sce[L+e_J^)f]'kh11nY\hUgZ.dEg_*f[\R+gtUN:dEU1n`L:s$5'+'`j4r#,
+f%\s7h:B`jbg=badFHq'eGI\oe/-Nag=P$6iSqgh0Q"njd*1G&dE^4pg=GfD&(9"ZeD&p8c(T<D
+imQ`Ab5'TPeFD+pf^[P`e,[pI~>
+iVPq?o_8CNIW"`SpA+a^p\jsds4MR%WUKf^qXj[`s8;Ngqtg6jrqQ*bs7!F8:LAOfoDe@Krr;`l
+rquTgrVcWhr;Q]trqcB:q[rf,s7lKkn(;#SZiBsls8Vokrr3&kp&FU[&Gl.sq=t!ipYo_Cs6'C]
+qt'X]Jc"^/J,~>
+iV,k;lgFW0GA$=;nb3"So_S=Us3bgeU?M=Co^;DHs7YmTo^hbNp[RVHropS"86C&Lmf2Y<q>BgZ
+q=jOSq"XRUq#(-iqY'O0p]'q'q#1'\pA4('>$.p,pZheYo_&.^qsNtOo(N+X%f,hkqYfg6=FpM/
+q"jaSq=fI6q=a@QJ,~>
+iRCBMbgG7d>"d5reCW[/e(NC/k.">QL<S?#eBHClh9sO$f[ng3gXX[-im!W\/3I(.cJZpgg"b$/
+g"4a(f\"d'e_/^2f@/+"eG[hqeGn)9f\P?5f\F]Y5X(Cog<J[=f%8^9gWn1$o%"B%e(*!uh;Qku
+5\K/of\4j"q:F<NZ.STto$dZfJ,~>
+iVOGio)JL!9;2@[s6K[Zr;HEdS6:*[s8Vrpq],V6r;6EiqYU9lr:9*JIoo]tZJ=sDs7uHiqt'je
+qZ6Wnrqm$$r:fp\r;HTAq\T)+qYL6]Y%V\*s6ojbo_A@_q""1Zs7GgX%Jonrs8VT>C$5Hps7H3`
+r.4b0qg\~>
+iV,;'l20qY7%3lAs5s4Oq>0dTPYlG=q#0gVp%A+Sp@\.PoCVeQp$:V.GYq4XX4?J*qt0LZp?qhW
+p&Xp_rq?Zqq"+(Lq"aa7p]'q'o_8%Or9L=lB@HeCpAOIOp\=@Io)8FRnb*LgqY'RXr8u4/h=LLA
+nbDqUpOW&6p@7m-~>
+iRBg:bhgd:-[sh$jN---g=t32I6(H0hVm)<e^`7$da?Rsf@\j6g!@Zh>W"9=O1EKagXO^/f$<%L
+ecFCTrmqD.e^2Xje^i=)eG[hqeGn)"eGe&5hT^sJ9tB90g#1<0g"Op"dbWX'n^\6$f%&@.i6ASs
+`7Wr(d+?kEf@e`[f^[P`e,[pI~>
+l2)b&qu-Nmqt^!VrUJ]R@/g''qtg9hqYL,D;NCDLqZ$<is7u<_rVmE%o`+R"Kje#-Xk`[NrqlT`
+qU,3?q@3?#rVZKbqtKa_nVL8$iVO,Ys8W#hs36hrq>^Eiqu$Ehs82fnq>9^[dJNqAs89>&J,~>
+l1[12p\F[]p\"+@oB4S+=82@ap@\4Tp%J0/8qu^0oDS1Xqt'7Iqu$9in*To;\pdgYEi.CVq=jOT
+_Y=*(%JT\np[n"Lo'cVFKM[9rp\FUSp(-cpqY0CU_271?p\+:Tq=jm]s7ZHdq=a@QdJ!S7s7aP,
+nb7P~>
+l-q]AeCN7&eC)dgfZ^ig3ni3Bf[nj2f\,"k1N1h&g#:H>gXFBog"P->e'ZsuSmjl><f4H;h:pQ6
+o%)4<s3hG,f%AU(dFcsrj3M?oAc:E_gAfk'fC@E&db`d4dGh-HbgtS'f@S[+rmh&"rn$tsn^m<^
+iRn.`s4PuUn^d9\!7HA~>
+kPHA!rVZQgq>^'dVc0_fp]'[WrUKg3A7hV.s7Gs`s75m_rt>%sq"EstTl4+TQJq3-s8W#ko^Ve*
+qZZfqs7l9arr33!s4D^1Y4CQK')_e*s8)bnDXmW(r;$6dq>'m`rql`nq>9^[dJNqAs89>&J,~>
+kP$k/q=s^WoC_AJSP#^CnGDD@q!@au?=',es6]4Pq!7DDs82<Qo'bSYRV5W8O4r^fr;60Vn%n`/
+p&"[ZnFlk]qt9m9G@7E;q=j^[nb*Ukr:KsWrgRBZnG)bMq"jg[p%A=Xs7c?_nb:H)rqQNf`qJrs
+J,~>
+kL;B>f%&9ue(W+.Jh;c&e)&6ug<\KU6q;p[kgS#>gs4@&i7lQ%daH.9IS;[rF2#cKi8<5;dIGf8
+e.:![g!S0thVd5AhR-NSN6qOYrS%;)qq(Ah&(oXfi76qC9[MMMg=Fs0fDa>"f)O@tf(%A^f&>9\
+gAfjWf^[P`e,[pI~>
+l21JXrqd?)qu6Wq>ugk'qXjgerr9H;?0_@f)>Nsss8VEWs7=*Q>")_fh>dNRrVZKbp\b']qU,3?
+q$m9%s7u9Ws89NJFij[_iVO#\p$V\Sc)C+*rVufoq>g?jqYp?lr;$6[r6bE@rVuf(qg\~>
+l1b2PrqA/@p%7qL;,$W^na?GOp\_:%=5s#TqYU'XnE^)MjR*!6]6%%<=I@b<s7lB`o^VMHr5&.-
+oaUZmqXj4Cs7a!;E5_VJq=j^[nb*OgnE9E6_jocRo(_tPp\Oa[rq69a!;H<_nb:H)rqQNf`qJrs
+J,~>
+l.#^_rmW^Pe_/d62_We@da$h*g>A5a4j2^Di8NPCeBd+0a3`ekSlRco3dSBnj4`5?f$i.%hU]Qn
+s3_A.gY10(cf3WH9iItJhYl7.gAfk'fC@K%f?h[kf;aSMf%f-9fDaG$fDaD&g%j:jg%!YPf`'V)
+g"+gGf(.;jdXV~>
+l21MY!;lcl1&LqLq3#$dp](9ds89fT;k3jeq"+F`p@nUerr;c8L1";%QHJRkrqPpUq"XUWq#16_
+qU#*Lp@nRcp\=dQQX>j?s82EHq[rf,rr)hDL[tEDs8;]fq>9s_rqa)#rr)lp[ekR~>
+l1b5Q!;HKds7\2Cm=nK6me6SIr:Ra=9pYSRna,rDn*pASp\F?rIp#f`Oi?MWq=EkAoCMPCoD&:"
+p]'gaq$Q]aqrEoDMrt'4mJ6MPq!n%iq#C*^oQ#<@o(;_Np%S=[p%87V[eB^qs7aP,nb7P~>
+l.#a`!7_"s1"=h6f5Na,dF[4#gt8;t1Oe9Cf@&F1e^WX:gYLDW@m)hBEMpk0g""3oe()mqe(WTm
+e.0gQg"Fg(h8XP"DTUtoe,A)#gAfk'fC7E(iS*#?=_5t8hVR&?f\5$0f)F:`f^[POf`'V)g"+gG
+f(.;jdXV~>
+l2(MZqu6FGqu$Edn5"-$p\XOZq8%8s\FBFmrr;r`rVu?db)gC>>Dg2jqtKRNs8W&rrr<#tr;QQa
+p]10<q[iW(r:9R]s7UtISc/TYrr2fdq=+7cmf3"\je_DErs8T$qY9j_q"aabqR?A$rVuf(qg\~>
+l1Y5Rp\sk?p\=LLj?mSIm.0E4n@ERUYj1rRp]'sKpAa@P_hho"<.h^Pq"3qBrVu`jqu-Kjq>U-[
+psAaHp&"LNnc&LWHWHO/qs4%Pp\=O]q#L3[p'KpZm/Pb,iq)j8rq6Niq>BpXo`"NmpAXjepVups
+pOE~>
+l-oaaeGdoOeCE1"c7Mi@d*p.ed@F68RFL*FgZ7)1g>pK8WGbBd3bb,5e^MXdg>CN8f\G37f%.Xd
+&(TFdc-tV.dp>%]gYpQ:hYl7.gAfk'fC@K(b21P,_1BhgiSNAFg">!5rmq)#kLf=UiRn.`s4PuU
+n^d9\!7HA~>
+l21MWrql`n"TA548<s/R-iLST?.8iMr:osbs8)cc[:O#[BVb8"s7ZHlr;-Bip@S%Oq"jmcr:0R0
+q[iE"s7u]p`--"%q#Bp[s7lK^q=4=ns8D<aFEm]Zs8;ckr:g!`p\t!eqYC$YqU,3>rVuf(qg\~>
+l1b5OrqHHf0_Y"A4Gj(5qtBZd9ifI;o_.hCr;H6clE4H%>%*res7u9`rqZ<bq=F.IoC_kQq>'RU
+dJ"4@r;6-drP*>cX7QAXo)A:Uq"Xa^nb*Lhp>Yg[D!p]`o^hhPq"ajdo_nIYp@7h'pAXjepVups
+pOE~>
+l.#a^rm^tu0\P0P-?82(hUg;?0fl]*hVQf1hr32GcB:Rc5Y$OXkhjh@gXam+f$M^gd*gFof%.[e
+&'s%ceDfAZ;bN/%j3lT@g&9_)gAfk'fC@K)gtBa':fc?)iSWGGgY(98ec+.ufD4(hfC@GNf`'V)
+g"+gGf(.;jdXV~>
+l2)4jq>:*gr;6EkBNO?rnauF"8qH1"mf*5-r:8p`N+ug@Kt$LMqt'R[p[e"Nq=X7WrVH<ap\4CO
+psJsMq"asim(7jUdeED*s8VE`qssRQq[r]&s72MBo`+seq>C3cp\OXZrqZQiq>9^YdJNqAs89>&
+J,~>
+l1[./p%S7Wq"OIP=\.0Dk3M;Q6$hJXk4ecQp?^VFKk">$I]qo4oBYrBp[e"Nq=X7WrVH<ap\4CO
+psJgIoCVnWkI,eAc1:;is8D'Tp\=O\q=4.joC_h@Mi-]po^VJHq=sa^oCMtRrq6*\nb(<'rqQNf
+`qJrsJ,~>
+l-qZ>daZgue^W7,7PhjBb0J1/,$r4?cf4$Hf$(q!BLb9_A=1^,hU^B4dETq`e'H1if@86sdF$=W
+e.:$Xg>'f;?TYLBeC3R?bMN3QrS%;)qpti#o%=W+f\=YlFO]O4gtLT>g">'1f)F;#f_O4kfDsOn
+f&>9\gAfjWf^[P`e,[pI~>
+n,#9Gqu$?hqtU!brVuiorNoXqs760hH=!`Gs8Dutp%Zpa:g7I``W,l8s8Vigs8Momq=O:Ss7GsV
+p\F^_q=47[q@!2sqtg3dqtg3dqtf4I+TM38p7tcFp%/4`q!n=_qYU*cq>:!bq>:!bq>:!bqtfm\
+'_VLmNpZZBp\sp]rVlTcqtKm\q>($dq>9^YdJNqAs89>&J,~>
+n+SF-p\+@Tp[[tMq"a^Yo;+p6qW%/?DcNV#rV$*amIAAF8lT)E^A.BqqtKRKq>U7"q=O:Ss7GsV
+p\F^_q=47=p\sm\p\sk!s76!UT2L:1mf3=XlhC>Lp\=L[p]pWiq=sd\q"O@Q'^keVK]2=jm.9`:
+q"jaZqXjCNo^r.Uq=a@OdJ!S7s7aP,nb7P~>
+n^RQdr7![PeCN:*f[e]:1jJ-+f\07`LXG/;j5nkAX'$o25[gDBgYLiHf\><;e^`-oc-tClcHjne
+e^W'qeGe%te,[qpeGe#/j4)i4JM^redGj<@dG<g[gAKY#fDF4pfeCh/a(`ZGhU^N6fA#-6fA"j+
+f%/I)f[ng/g">!1g"=s/f[nd-f[nd-f[nd-f[ndHf&>9\gAfjVfFHKbf%AR+f%AR+f%AR+f(.;j
+dXV~>
+nbWpfs8Mons6fp^s8VWes7?81KDtl`]lIi5p]('_pr\Fs>A0)<oDe[_qZ?`mq>C$`pAasgp]L9c
+q"apas7cNd)>j:-q"a[[p\4@Up\FU]qu-9`r;HKhs82]mqE"NOrVulpqtg3frVuWgr:Kdaq#CBB
+G?D-Lo_ndfr;-<is7uHcq>:$cqu6KiqY^9ir;-9cq"X[]qYL!oqY's'A`31[o)&F^"8M]equ6Hl
+q>U.*o_SIYpA=jerVuiko_/.[rq?3ep\4RZnb`.[g&(=;dJJF~>
+nb4Esr:]gUs5j.Hq>BOKq<@c_DY<DaX^YJOmJlbHo#-2]<b%$(mec\QpAashq>C$`pAasgp]L9c
+q"apas7cNd%/]nrq"FIUp[n.Op\+U]$2O2aq"aXXqtKjap+Q18q"jg\p@e7Uq>KpYq![hNoDA=+
+E)EY0mIp;Jp%.hMqXjIQp@e7Sq"a^Zp\=a`s7Z]jp%A%Qp\jgao`ssc[9V;Is6KXU"82B_q#9sd
+o`"Fun+HDEnb2eQq"jdWn+$)Gq=4.Qo()MFnb2eQg%Ot1i:ca9J,~>
+o$f,:`R`Gad,2drd+mU*g#(0<9jQi5fp58uWRBn\f%@!82`O6BUsRrLf_a>(f\+j+r7(Pjs3q"r
+"4>QFe,IeqdJhJpf@JL%rR:eo&(8qUeCE+#d*U=oe(!%"eGdoDeCE4,gtC9-eC2n!cI:=ie_Sg6
+goj[7Nnr1>h;$c<g>1T9eC<%Jecj[Ye^W+!r72&%eC<%$f_sG#fFHBkQp84.j3H9-f$r3ueGdu-
+f@8C#e^Mprf[81!gXlGY%+EVOf@\j*f@\U$f[THDq:XHRn_*Karn%_6f\+p1f\+p1f\+p1f[fZD
+!7HA~>
+nbX^6q#C-ep&Fpbqu6?is7<s?YQ+X#BSl3Os8:&o<`3D)amf?1rV?3`rrW,oq#0peq"ajfqu?Kp
+q>1!cr;HWms8*&tq>'m`qu$BirVum*rqlWio^qnXs8MupqYU6h([h>'q#(!cs7P#Y;T\n's8W)r
+qtp<gqYpBlr;QWpqYp9uqYU0dp\=OZqYU3hqYL^!oCT*Ds8V]jrr)clrVHQls82fl%Jfl!r;$3h
+rqZ-Wp\Xsgrs&K&s7uKir:0[[r7Uu;r6bCl~>
+nb4F2nGVkKm/$;Bnau5Jr91CfR.Tp5=*WZgq!u@R;,(>j`9[F%q"4.QqZ$?kq#0peq"ajfqu?Kp
+q>1!cr;HWms8*&tq>'m`qu$Bir>#81qY0dYnF6&Hqtg-`p\4CTp%J+RrqIJurVZ9]p%A@Qd:,bc
+p>l8Mp\"1Np%7kLp\4IXrqQQfrq-Zmp\4CRp%A%Qq"adbq#0pnm-::us8MB_q=sd[s7ZHb)"dLr
+p[n.Tq=O(Co(MnWr;6HgqYKjVq=jFQq=iS9nb:u8o(RY~>
+o$f)9grn?nd*(1me(3:'kiUBd7u63`K0s1meDJrZ@l,l)Kr3,Qi7cc3q:l&(e^XQH!7^hs#M7MU
+eC2ptebn%uf)O>,f%&=%f%8R,qq3g]f@8@"c-=Vff[n^)eC<(&gY(62e^Mscf\+a,f\>Q<[n&6P
+gred;h:pZ;gY191eC<%!rmh(urmD/&eC;spdaHUqf@^#SrRqV*c\B-niQp<4f[p&Ns48:Df%8I(
+eCW@+eCWF/eBcIjf%]!:gY^]>g=Fd.g%!_jg"G$Jg%!Vnf^mbsf[fZD!7HA~>
+nbX^6rVQWpV.j7ER.C:HqYYVXoAta9YQ+XZWdAQ+Qd5X$qu?WiqZ$Tkq#C9rr;6?eqtp3a#Pn/i
+p\4IYq>L*eq#L3gpB(-cqYg6fp_!8qqYU0is7c<bqu-KmrqcNjrr*Z2r;?Tjq>^H^p9%nTjo>AY
+p](9lrVlfsr;QNkqZ$Hmp^R&qqtp6drr2lpr;-3`q>(Nk[<)6Cs6]jdrquWfrqHHhrV?Kg#Q+Gr
+qYgHnq#13rrqc9Vnb<%_!rDW]nb`.[g&(=;dJJF~>
+nb4F,p%/%[S7#>uNp-K(n*t4"h9U+:T()@"T5eF^Oim[ipAF^Wp&4pdoDeXjq=s^Yq"X[X#PRi`
+o^qhMpAO[_p&OdaoE+^Zp\jgaoe5q-oC_hNqZ$-Xp%J1Uq>'[Uq"aa^q=sabp%8:[kjYKTGi&Jr
+p$hnTp@e:Wq"=XYrq6<bs76]lp%J+Pp%eFYq"OIQoDS@\oF1)eC%:cgk5Y;Rp\"4Yo`+U_o`+M!
+p@n:Rq"smYs8;`iq=X4Bm.1&Qqt9LHnb2eQg%Ot1i:ca9J,~>
+n^Jr:dEgD$HU0VRF3j'tgYH"-cbX$QN8EF(M-*DPGH]uOg#(Q8f\kieed0gZg"=p-f%8OMe-OLO
+daHOjdaQ\Ddf%VpeG[hteCE.Kec!u/e'c^qf%/R4daQatf\"m3gA]hJg"4g(e_S['j4qr4NC$si
+k24qEinrPHhV[2Cf$r4Kec45#dgagWf%/C%g"G$1g"4d)rRh)&%+:;8f%8^"inW5=e^XTIrmq;(
+f@JO'rn/";gYLZ8iniMHgt1!!cd^h0hUg9'n_!Zjg">iJn^d6_!7pbk!7HA~>
+nbX^*s7Z5a=a&iQ<+bFqs4LVliI",Bn\0*NFe-bGs8;KgrU]RSs8)6[quQ]krqZTjq>C6j#5nGu
+rr;lmrqu]mrVZ]oq>C9m"oeGrq>1$grrrAuq=aLXrqdT0q=s^]nc/LDs7q[[Wpf]Nr;ZBaq=sa\
+qYC$gquQZlrr2rr!WN&srWE,rq=sg`#5nM#Z1e%nrVlotrVcTgq[N5lq"ad`qtg'\p\OdarVlrq
+oD&=bnb`.[g&(=;dJJF~>
+nb4ErrU''D:i4n+8mC3Orm"9Bc=SlJiiculC6cd'qY9OZq!RM?qXs1MpB(0cp\smdp\FXaq?Hcl
+qYU3cq#:*eqYg6iqYBplr;-6`p%7qOrq[o8p@RnEo_%nNp%7kHp?_hQgAgc#<MSdIkk4i>o()>@
+o(2MGqtC'a!VQ3dq>^3jq=ssb"8MT^oD\I\oa7=gm-sZIq>C-cq#0s_p)!5goCV_Lp@\"Ho(D_M
+qZ$Eip$VGJs8VW_q=iS9nb:u8o(RY~>
+n^Jr.gs"&j0i5Tc0h'4KlFK'L^K;bac^[rr<.:mpi8)oCgX4?uh:U$Jg)S_se^r@(f%Sd1f\5!3
+f\+m0f%J[/g"4d,f%AUQfgOQHg=Y05g=Y-3g=Y-3hV-`9f@8F(gtLQ9f[SBug>1N:f@89tf$*1,
+^#e!f4,M86cJ.=+f\"g-f\,!2f[e^+f[eaTf+$KfgXt65g=b68g=Y!-rn7;*&`)4!L60m9g#h,J
+h:pZ9f%AXNfb`,ef%8R-g"=j)e_&R.h;[8Jf[8:+j5fa_q:XHRn_*H`o%<uno@*cgJ,~>
+nbX4(qZ$Fu=3(@@T2iK!m#-,'Bo&=(BVV`Ymf!.er:B^\rrDulr;linrV?Nkq>C9hs7lcnqu$Eg
+r;ZWtqYBp]q>($es8;lp%K-,#qY^<jqt0UWqYgEkrrE&tr>>P)s69%QcY6Xqp\ssfrTjL_s8W&o
+qYpNjq@E>rqtg*^q"jUSpA"L]qu$9e&#4^Np%7kUp&4jeqt^'aqYBperVca/r;Q`hq>^KinFchX
+s7u6arUTIJqt^0CqsjU3qg\~>
+nb4F0nc//Z:;-]-PY/.JiIG^G=*9I6=HoMuj8AoRqtTXNqZ$TprqlEcp](!hp\+RY!;?6_s7QEa
+"82B^q"a[ap'(-]oCMVHrq?BdrqHrsp@e1Rq"XROnalGKq>U74qYBp\q"X[ProEAEa^\AYo(hnW
+pu_VPqtp0]p%eR^oagWcp@\%JoC_J;n+$#Ao_&4Ur::>aG4"SZl2L,Fq"OLTrq6?aqXYNtq>C0d
+pA"RSoD/7RlL4TAr:B:Lp[%59pA+I9p@7n8p@@s.~>
+n^JrAdc&Y40r!gmIPdPMcYcpY8S3?N8:cf,c/n-Kj5&5;i8s(]jPenjh>c70fc8Vrf@\a0g"P-5
+g"P-2e^i7%f%J^/f@ed/f@ejVf`0MEe^rC*f\+s3g=t?8f\+m1g=t9.e(3.*gYUfIio/bMrnB*P
+i5a4,YtI9Le_Ja:gWAO3hVR#>f\GE;f@\^-f@\^*f%J[+eCN6ud*pOsf\"sXgA]k?hV<clg!nKt
+kLA>Bg=b-1g"G!Rfb`K%io8kNhW!)=hr*/6e_o0@g!\^4da%C8q:XHRn_*H`o%<uno@*cgJ,~>
+nbX^6lgKU#Q2gmFoNH/4o2\jt8ksT1s7QElrUfXOq#(0grVH-Tp&+jcr;Q`prW)umq[*,rqu-No
+r;?HhrqZutqtp6cq>1!cqYL*ds7ZimpAFsfoDejirVcTsp%J1Wr;Q]q)"7M)UKEl_p%eXfo)JaS
+rr)]dnaZ;Jrr2lps83-#s8W&nq"jsgru(h9rVuirrr;utrr<"XMY-/oo_/7^r;6BerqcWhrV7<,
+rVQKgp[[tPq>C9gi5`aYXLu3gp&Fpanb`.[g&(=;dJJF~>
+nb4F0ioY\SMtcntktbgakY"NC3^%,EqWR_Qp$D#3o(`1Up[mk<n+QSQpAb!iqYg3iqY0[ip%J+S
+q>0j[p@eLY$M=&cp%7nLp@e1PqtC'\$1RKZqtBIUqt^$dp*01unFH5Fq"addl21FM;N_"Jo`+jV
+qu>aQq"=.Cm-sZCq>L*gpC?upqtTgTp%\I^q"OITp&=Xqp%J(Pp%<odl/(+Xme->Jrq69arpp$Z
+)"dRqp%7e@mdp&DqX`FW]u?kW[`%Y7p%%YHq=iS9nb;#9nb7P~>
+n^JrB`Q;O6E8KBfdlU@fei>]S.kOh[l.+kZi76<,g>1cBh:g?)e_K'Xg]HHkh>Q+/h>#Y1f[nd.
+g=tE9g"=sVf*^*^g"=p.f\+s1f_aA%eHs^Sg>:N1hqm/Crn/LMg"P6:hVR/Jk0N#JKfXSEe^rm>
+d,*g'gtUK1cd1(lgt_k_s4S%=h;6o<f%Aa8hqd&@g>(K>rnm\5%rQ15b/Mi]hV[,CgY1?8g]#k(
+fbrN"gY:H6daZt'gu-l$Vk^;OS=HV0k1ePAo%<ckg">iJn^d9`!7p_j!7HA~>
+nbX^0s86;8c2.A7s%?f#Tg*"!ZL7b_s1ldn`QuuS]the6`kT*r\?):tT`:M^S,A`NUA^o]VPgAl
+UnaZXTV%gITqS3UUo()iV50l\TV%gHUnO6ESXkjmNe_su?W9`k9iG;.D/jT:=CZAa<+h&NV3Hn+
+R='XlRZiVaN00<frdt0$rdZ8IKnY&'H$t=.O,SgHJV&H,KS>)5KS>)/L5_%@Lj+Z(I=$9brceBc
+s*+Ed(MmPc?t<bVA7&_T@oYuk=^,6/A$G1ms7-!^r7Uu;r6bCl~>
+o(OR+o)JAd>fQC-o)D'[r0]KF>,C*NjS6-t[_9`*_n!G"`PB$k['HQrq3q>K!0mDFq4%>S9:qlN
+U7IgDR[KP0Q^XA4S=Q:GU7RpGS!fY1QCaS1P*_MmHAI,pB3@u"6UsjO?Y=.jCf4PT@8:6_N1Z/c
+Pa$B@XHeg"Jqo;FNrFG+HiA=:IXcinFE;YRLkUA,G^"=SH$OX[G^4OZFF/RhFa\1YG^":PFT-@]
+E;sqVEYi=m<a&g8>[CQ:?<p>l78m2h8R8@UoDe@Sq=iS9nb;#9nb7P~>
+o$f)=e`>CI6EJkrh<H[`l%UHP8sR]be)m@)U8Y<'X.Z/eXf.q`S=5IgqLSg"H[C):H2<'lJ,Osl
+K7nr5JUi6!I=-BgJ:N3&K8#):KS+l-IsufnKRnGoI=6'BDJ*0J5;Xr@0fM?h;,^Fn3^m"@3(n15
+KlUmOG?SF9G]@D.C2\*3raPn9ra6:JAS#7Q=^>KTChR<d?=7/Nral%@'4PZoDI[BaCLUXV>[(<6
+>$+m0=oDM@:..947R]^75se%02^g7>4[CekP02PAg%*ekg"G$Jg#:NQe,[pI~>
+nbX[5p<HiHr;ZQcq+>;_AReV=>$P0EC051[@pN2?@UE,==]J=!?"*M9!b,SGrEfP4q.'A694_^K
+BkCsg@prbP?<piD@:X"cCMINpA78eL>?kE>BmbbhEa2aH:J=GV:JY)*GCta0M1'o$IuB,:OG&aV
+M3O?dMN<=2G(bp<N;ek;NW+kINK/sPIt!$,OH5?XMiNscq2l2Q`i6;GPCegOLP:A1IXQYDIK4ls
+J/EijFDGuLKnFr5K7er6LmkTQ[\L+ts8)6Tqt^0CqsjU3qg\~>
+o(OO*qX;I'<V?7YmdWVNhd'GY92A>X?XHN9>?t<.<aK!-<)ZRc:KLcq=oqo3=oDG&=nu>$>t\L2
+@:ESN?<gZ:=BAO(=B]!<@q9(X?X6i:<E*""=CZN,Hu)h^:.[oE7nH9L@<$^JKS+JpFa8[mIYrT5
+M1gqQLkU_6E,gAbMhh:fs+gT.%u5sqJ9cBfJqeo.IXcs(M>;f8M7T:WTnn#LK7SN#H[9s_rceEg
+rd#E.IVr_7H[gHjK7/0!J:a#dWj&%pli6VBnb2eQg%Ot1iV)g9J,~>
+o$f&<h:&Jd458iLg"\5SbXtDb3B]Pf9hRK?7R]O&4[VIm4?GJX2a9\)639G<5Q*bG5P[YE5taO3
+77KX369m^t4?GYf5!VJ)8P2QE770='4$#Jd5"T!n@T#<K1bUC2/MT%F93Z%GDJ`fm?Xn"jCNO**
+ChId2CM7Ql;cI4CDJK/gs)%aO%rH3#Am\kSBPhNuAnPjtF8^+WEt*DpN0]NJB5qd(B4YO\r*TM5
+raHaTAl_W,@qT@_CLq'kBPMpYP*gree*,T6g%*ekg"G$Jg#:NQe,[pI~>
+nG=!ta$4kLo)JU+9Q0aXiO6G7`5Tg>aiOIQr13l("iA3sa2lBma:HJ:aN2NMeCXKLf(B":o)J7V
+q>C'c"8_igpAOXpmJm(Vp=B!'l1j6/s7Q-dnbVhR!W;rmrrDrqrt=I:`V6WqMo#Gho88'8>+>9c
+p\F^^qLSP6qg\~>
+o(W1X(A,F'F8tV(otNt1o?c6p[C<][^qmk(rg<VOs18HI^;%M$_th1F_%4K%_84%1c-Z"0cgC]#
+lhU)Bnb!"VoCDDLmh"[^o^;1onDiNug?eh,nbVtNpAjpWo`4X\o,%&eoD.t1BXmB)It+m"n`tjS
+B2k5hqXaOUq=O4MOnS>>J,~>
+o$eQ.g"N>G>NaMrhl/;.h7CRnTVA9]X/rD&JGjrrI/flDU84W`W2]Tkq54b'WMcYnY-YRe\$OK@
+eBctHfD4+igB60_f[g&P&_GFpiS3/#h9aL)a4]e5gZ$oXfDsUjg]-(GiS3;QiQ,)ugQc\qV<$Lc
+DIcU.IbNc7q;(l%o%a?$fs98hf(.;jdXV~>
+nbX3os3b4skl:MHO'[nDq#BsZp\FX]q>'g`r;6?rp@n=WqYU3gnbE^lq=jXYqYgHooC;bYrVQWb
+qt^0bqZ?Wip\jdqs8)-_l&7iCNLlng@cIFWqXXM+r;Q]qrr;utrr;ods8TTZd.cU];j@=[kKZP<
+U[J0Rs+1(+qg\~>
+o(O$qm/G42E8p]ckD<;to^`%LnF?&?o(2JDpAO^uq"OOQo'uAEp@e7Po^h_Ho^h\Mndk?_nF5u>
+pA"FLlLk&Jo_@tKnFZkToC;eK&HDCcrSiMjAVQPADd2#mo_.kM!;?!Vs7@?'o^h_HoD.q;p@>>,
+`Tu0.7u70:hoJ'"Sa-7Ds5EX5p@7m-~>
+o$e?(cfDAq=N]UXcZ)9khV.8Fg=b9[gDJSug>(E9g"P00e^rF,g"b<7f@ed/f@ejQfEKs\f%/I+
+rnI_)cIq+/f\H;Tq:b>m!nu>ZrRMPDhU1W7E[=V)KS`r)`oGk-o%3rqm+_Qr(ZX?!io-A9ZeNQA
+2gF]Jbd&^"LXG88kMk:ugY&mbiR[SL!7HA~>
+nbX.$s6`s/s763i;-^R.p&4phr;?EgqYU0cq#:3krVlfls7uWqs8Muqr!<8ss8Vukr;QNNqZHcn
+qYC*b&*3cjp\4&VA_QM>^f#OWs7,sUqu?QurqucnrqtpXrrVMph>[E`BL6Xrs82h'f^o.BmeVM3
+iVS-~>
+o(O*sq"a,ND#Wf"r_$:rp[@kVp\=IUp%J.So_%kSp&=^cq#:*bqYBpgqYBpbpB^Qdr;H?\p\FI?
+p&k'_p%87T&G"]XqXO(;:gVW4kdaB0pA+7Qnb3"U*VB$sp%7q4s8MfOY1!=EoisCcf),(7=jl^;
+qWde5oqD*<pOE~>
+o$e?(gY^:8;WQ9dj=riahppWHhqd/ggDSf#f@JR)f$r:%g"G*5gY:N<h;$iAh;$iBq:l&-gtVe]
+#i!tfhq6K4gXc2Ql.H0mg"=pUee-QSki1@QdlpIAe((<R?/FJko@<oole2<m(W5J#iQR_(m-*P)
+-;qeGhW$u7e`bu>h;R)gfs99#f&G0ZdXV~>
+nbWpumJhNCoDA.4:lk)FqY's^o)A4^p%S7Wr;$*_qYBsbq?m&np[nIbq"=O`q=4CQqZ?`oqu$<j
+rse_pmES+7qtBcoAOl^nnbVeQq>;$.qXOEYAutS'n6glXPQ1WuH2ma5o_eL]q>>g@nb[h~>
+o(Ndjr9+!#?1%=Pdn>P_s7Pm[naZVI!qQ!Vq>'jWq=XRUr:LEhoCDAGr:BFOq=O4Onb*%Zp\+OX
+&,Q1nmcVVRA+]6ZZ<oolnaZADpA+@ts7>OHSR/,Wp#K(s=,?_H]6"#EnF65Iq=XRWo(A[LiV.j~>
+o$e<'hp(.b6dsf=\LqgFk1J8CeC4EF"4PfOgAT\(eh5V'daZ^pdaZ^se^r@'e^rF(f%8L)f%8L*
+f@\^-f%/?ug"t3+f%\^-f@ed/fDXATg=b35g=b03g">!1g">!1g">!1g">'4g"4m.f\#-Bg"+QX
+.oG<]h4-tahq-NOf)OA5g">!1g">!1g">!1g">!1r7MqAk1S,9L.@<Tj4$J/7<IYMV-E-<f@Sp8
+q:k`#o%O/tZ.STtim[tVJ,~>
+nbX.&q!u@,JFgf^E6e1NoD7qQq>'g\qY^<jp&4Xbs8N#krV66or;HWorVZTmq>gElquH]cqt^*a
+qu?Tpr;HL)r;Z0Xs7DCGM#$Q8A5\?`nG;bO!;bsW(]NIps0KE#s7<apfOAOVnX,s9p%S=^s7uQf
+r.4b8qg\~>
+o(O!ps7G`p<daAR;JjSJo'lA>qYL!]p\OgdrUg0_rq6<g$i0Ypq=sd\q=sd\q=aRfq>1!cqYBsd
+pAk!fq#L9]q"a[[pAamfp\jdtp]'FGs6bb4Jb&'q?;-(HlhC#G!;GaO(\uqbs/icfpZS`Gbu\3-
+l&qItn+68Lqt]s]pQ>1.pOE~>
+o$e?(j4D\R3FC432,::'e^<'pgY1?[fE0d]e,@\nci;WJg"4p.f[e^+f[e^+f\"g-g"4p/g"4p0
+gY1H9g=Y!+f%&F(f[na*f@AL'rRW[Tf@ed/f@\[,f%AR+f%AR+f%AR+f%Sd0f%AR+g#C9-kh'u3
+DVs%%82P,;cIhX;&(oIcf%AR+f%AR+f%AR+f)4/;g"aF#k*)@Vi7=BO\O/s1dX$Jje_&X6hYGk#
+g@<k$f^[PPe,[pI~>
+nbX$gs8N&/>ZFIZec5[Ir;Zflp\+:Qrq-0ap\Opcq>0p^"82B^q#1!ms7c3bs8)KZqt^*aqZ6Zn
+rVQWms7m0)qWi>u>d']D8W)^2s8)<]l2):ns8TfBd/!P4F5$YD=g.jjkP+uUs7l/9qr.F&~>
+o(Nmmli6hZ[9-9tNRIk,q>('jq=s^Xp&=U_p]1-gq"sdbp%e=Wo`OdVo_&1V#6+8cqY^*[nG)hR
+q=Xjap\jgcp]'jqrUf2k6rg1OF$kW?s8Mc`q!%Jgp&+g">fu[1mqC&@FAAb6O5]X(r;?3TJbJ's
+J,~>
+o$eE*bi7I9Qod,SDR8?]g=YHCf@JL%e,I\seC)dmdf%Ske,Rkle+qJqdF-Lnrm_8&gX4@!g!nFE
+ebRheecFFTrRV##&(]@jg<EhV6C!1/.r*&ahqcl]fJVRFS3jI5g=fN<ia=a-k]b)!hVmGFdFm1*
+f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1Yh8Ksim[tVJ,~>
+nbX.$s7PaYmD&Yqs82Nao'Z>Jp%S4Sp@\(TpAapaqZ-Qir;c`kq>U0gq>^9qqtB^YqY'UHp]10d
+q\]8.qtg0dr;?Qcp&4o4=09rJ=BW$)s6BIOq!n7WqA8o+pWp\Nn,M<[li4h(HM<-grq6!^q"K@:
+iVS-~>
+o(N[gqYg!Ls6@8op&+UVo^D,Dq>^3kp\+=Yp]'s`pAk!aq#L3dq>U0gq>^9qqtB^YqY'UHq"XS#
+q"OOVp@n@Vq<mbHqef6-baq^2Y4;PTp[\+DpD<K$oZY#@li5UDi:OKQEq"SLq!dkKo^dY-iV.j~>
+o$e6%gYUE%j3+"Kf%\g)e',tbrR;5(dEp4dcd0k^c-=T2dK%bleG7YoeGe"uecsaQcdUCjchPrQ
+e/-ZbeC2mre^rL$e(s%d4d3F74?JeWil:N>mF;*c2:^U7Xe=:kk/0g8hOul4en*Lje(*1(f%AR+
+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AQWf^[PPe,[pI~>
+nbX!tp\Op\q#Bm\pAap_s7ZB^oCr([qYp9kqt^3f!;c]ls8;oqq>)c>pA"@VpA"@Yq>0j]p\FUY
+q>L-cqu?Tjq"jd^q"jd^q"jd^q"jd^q"jd^q"jj]qu6F9qu$Bcs8VNB;bd2`rVoA]\aKLoq"jd^
+q"jd^q"jd^q"jjWqt^()qt?Xo`;fE+UR;&Rs']<)Yk\.os7Z!_q>:!aJc#!7J,~>
+nb3^mo_8CSp&FISoDeLVs7?'Xp%S:]q?6WjqYC!dq#L-fp]($gq=jRtp%J(Pp%J1Vp\4CUpA"=V
+qt^$arVZKd%JTYlq"ORXq"ORXq"OR^pBpWgp@n:Tp@n7Rp&=\+nc/XRekJ[.nFu`E8$qO\p\=LX
+p\=LXp\=LXp\<qG(\mTlA&835pRI?;me0gePcOEMp]'jQrqZ9`oq;!fp\+@Tp\+@Tp\+@Tp\*P>
+J,~>
+,Lk/kdaZ^pdaZ^pdaZ^peC`7$hp0a1c.(+qdaHsuf$D^lec+%ue,Ic!d*g:hda8!As3q"tq9f5h
+("1IWd*g:ke'udodF6Oie()pqe^rCJddP[,f$r:#f$r:#e^N'uf@SF1j35.n0AtRAi?p+@bMh%/
+eG[r7g!kF<U>sYTJpH,#h*=2LNn2n:j4)E4q:>Aln(%m!f%AR+f%AR+f%ARAfF6?`f%AR+f%AR+
+f%AR2fIth*f$r:#f$r:#f$r:#f$r3teC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC&j~>
+iVWBG!W2`[q^hU@qYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-Xq]5\0
+s72gjAGl#up.eDgrr;llqtg3dqtg3dqtg3dkPH(qrJHF/q=M:#=l];WXC,r,nGE1^r;6;@qu?Kr
+q=jUWqYf[UJ,~>
+iV3*A!VcBUpFQ+6q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"OOVp\+@Tp\+@Tp\+@Mp)Wu!
+rp?1Z?h`sdnOZ?Sq>C!^p\=LXp\=LXp\=LXrqG^O')MBWKD5$,[Sg)[oD#4fC#A7MrqHNgp#,NP
+p\+@Tp\+@Tp\+@Tp[7_`p\+@Tp\+@Tp\+@TpYY]7p]'pjp%.bGpA*tIJ,~>
+%FWYPdF-FjdF-FjdF-G5dK%\edK@nFdF.I1%+<POdF-FjdF-FjdF.R4!RfKeefNJpf[e^+f[e^+
+f[e^-gXG*,IQg*Pd,<D)/<8K?eFM#feEYU$g=TtHf@8382)i>%gke0e^WY3\e^`0tn^d9`s4.\0
+f$r:#f$r:#f$r:#f%0BD&(]7]eCN.#eCN.#eCN.#f&G<qf$r-tdaZ^pdaZ^pdaZ^pda?Fgrll>.
+e'cXldF-FjdF-FjdF-FjdF-FjdF-Fjd=;~>
+JbouJs8T$-<JgbUl'kCPjRr/uq\Sk-?iTllNBoj*ErFtsDfYFGs8Mlkqtbm@rqZcmp@nF]l2,u~>
+U%dO>&+'8pUL$cMs8V/G86=^<n+$/:p(m(r>6"0]LcddkD>;odC2NA3qtg$[pQ5+=p\sjho^_VI
+q!%O'~>
+iR7;Hd*hsF$eX%_f%AR+f%AR+f)=5Bg">!1g">!1g">!1g"=X.ie9ZRBAqpkGq(kke'Z\9df7l[
+f[e^+f[e^+f[e^+f[e^+f[e^+f[eE,4Q4f8C*"EI:trbE9MNd_gXjp'eC3""f[e^+f[e^+f[e^+
+rR_S4f\+p1f\+p1f\+p1f^[PmfF?Ndg">!1g">!1g">!1n^d`m*SK)uf\+p1f\+p1f\+p1f\+p1
+f\+p1f\+p1f\+pJe,[qrd0.e?cI(,+dK%[F~>
+JbouSs6Fc'9k&o`:I&TZs8N&Oq\T$aD?&r%nDXE;r;69Siq`HNs82Tfr;;-CrqZcmp\4O^l2,u~>
+iV2j8e+`;(*qf7"p@\.Pp@\.Pp@\.OqW2Wf86gdJ8igIDs7lWfoCqJB(\<;ns5s1Dh#H^6p%%5#
+o_&(Xp@ItOp[@eap%J(Pp%J(Pp%J(Pp$VM^p%J(Pp%J(Pp%J(Pp$VMnp%J(Pp%J(Pp%J(Pp%J(P
+p%J(Pp%J(Pp%J(Pp$hY[p%J+OoCM\Nl1]]~>
+iRIAJe'nlYf\"m0g">!1g">!1g"?8V*o#B&g"Y37g"Y37g"Y36h9/\M.mdi1/KdN+jPJtKo@,tT
+f\"m0g">!1g">!1g">!1g">!1g">!1en.S8akY1Vk0_u=fZ:kZfA,35e(*('f\"m0g">!1g">!1
+g"?8V%bo[kg"Y37g"Y37g"Y35o@X&q%bo[kg"Y37g"Y37g"Y35o@X&q*o#B&g"Y37g"Y37g"Y37
+g"Y37g"Y37g"Y37g"Y34o%"&re'l^kd*pP1e,[pI~>
+JbouXrVkmTs8)]opAasdq!Rk/q[*;^p&G'_p@7eJrr3>nr;H9`qY0^[rr.KG#Q">pq=sa]r9=*/~>
+OnS><&,l7thY$p@p]'a]oChb=n_*UPrn[)As6]@BmdL&Ks601On+?;Dnb)_Rnb2JFo(MSGo(M&8
+nb*4\p@e.MoC_kCp&Oi;~>
+iR[MNe(+NOn_*He&EDU'`7sD-h<!5Jg"b6*eCaBD!8-Ph(ZE0YhrE)5dFQq0iT8A?gX=^+eC3%(
+g[Wtdg[a%eg[a%VgAoptfE^$Zf$r0te^s*;!7ZN~>
+JbfHCoCW%^$1\&qnGhtWoDejDqA8o+rTWbMp&>!kiV;:"kj%X/p\+@Yr;2'A!;ZWjs7cWjqs!s-~>
+iV2p:d.cMm&G5G\s8Do`s8MBbli6GOs7Z$Xl1Pqbs7tdAs7,sbs5!>$mH!EqnFQ5Bp\=K7p&Xp]
+rqHHc!VZ<QpOE~>
+iRm_Sd+A?Oo%W]j&DPdfkN(^Rk2k(Tdcf9BjOs+V!86Yl(YIg*b0T2#hrX.AgVM=[bL"_he^iI/
+g@<qgh=01ih=01Yh#Q4#f`BaWrn.8%!S?#ifDsEO~>
+JbfoRrV$9Zp$_qTpA+Ucs7u3<qA8qqrVufqp@mkLqu?<ZpA+@Vqtg3gqtG[<#Pe/mqYBp^qs!s-~>
+htIQQp\+@Tp\+@Tp\+@Td.cJl%f,\qlLF3;oCDSKrquHVnb;;A(\I%hs7lK^oB,fArp]@Hp$hYK
+p\=U[oT8b^p\+@Tp\+@Tp\+@Tp\+@Sp\=LVp%J1FpOE~>
+*SArqf%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%ARPfKIp?g">!1g">!1g">!1f[e^+f[e^+f[e^+
+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^-n_*Ed*o>N2cdpJ$f[nj4j5J_?f[e^+
+f[e^+f[e^+f[e^-l.Hm)cJ7L8hUU9'hVR;Ce(<7$f\5!2gY(-Ig$m`)g"Y37g"Y37g"Y37g$[T'
+g"Y37g"Y37g"Y37g#(O;g">!1g">!1g">!1g">!1f%/O*f@8F(f[e^+f[e^+f[e^+f[e^+f[e^+
+f[e^)J,~>
+JboEB%JKets8Vuqs7lQ]q>1-Eq??odrr;cSrVm>ns6TdQo(i4^qtp?hpOW/Gq"jmbqYBsal2#o~>
+On\D>s7HilqY'gcp\Op^q<R_Ir7Uf\s6BL[p#5oKs8M6\kl9r:pA+R[q"jdXnb;PH%/9Jip@n:T
+p@n:Tp@n"K%/9Jip@n:Tp@n:Tp@mM=nFm1\p\=OXp@e:HpAju=~>
+*S/`keCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.JeiVO8f[e^+f[e^+f[e^+f$r:#f$r:#f$r:#
+f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$s]Mo%<Kcs4A:@h:^ZDg>1iAgs4R*h:C*,
+eCN.#eCN.#eCN.Kf':m(iQL$5f#$>$j5\DBbN$dmf@\d.f@ed)n_!?a%+s7cg">!1g">!1g">`G%
++s7cg">!1g">!1g">69s4AsTf[e^+f[e^+f[e^+f[eR%f@AI$e^`7#f$r:#f$r:#f$r:#f$r:#f
+$r:#f$]'~>
+JbfoUo_nR_li6bPr;?Tpp\Xa=qA8`&oD&1^s7c<Zs82]np]('dqY0gar:tp?#5J&mr;-6bkk]f~>
+iV;p:deMeq&Gkqnp%dhMp$qkRrquE`p%S%Pl1Yt^s7#^Us8MZ`n,2tUrUg*_q"XOVqtbm<#P[od
+qYL!]pZVC&~>
+iR75FdaI[8n^\9)d+Qq$a5#1kf\#$7e(<+!o$ZdP(X1d]da[1/e(2n%g"5$.gXF^$cdC:mdIG_Z
+f(.>jdf7euda?J,dK%[F~>
+Jbf?BrV?3aanbc,_>4'+s7u]ip\Fdas7u3[nbN4[s7uWiiqWTOJ,~>
+iVN-@d/)_ss8)]ikPEm-q=jsd_YO0,s7u]ip\Fdas7u3[nbN4[s7uZj!;kdP!;V-~>
+iR7;Gd*hI5n^[ZjrRL\o!7^PeiR@_TrmUhmrQYDko$c":rRV#!s4$enrRV#!n^REcps]8ks3pts
+!7TrU!765~>
+JbB<Bp@e1Pp@e:UanGQ+_=mm&rq?Bbq=Y'dp@e7Tp@e1<pAagbpAXgFp4*~>
+htIQQp\+@Tp\+@Tp\+@T_"[Bm#5@ibp%A%PanPW)!;H<cnb:H)rqHEcs7Q3]#PIfap\4CTp#u)Z
+p\+@Tp\+@Sp@e7Sq"ORBpOE~>
+*RE!Vc-OY\c-OY\c-OY\c-OY\c-OY\c-OY\c-OZ5cTBM"d*L(bd*L(bd*L(bccse\ccse\ccse\
+ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\cctq)n^%Kfd*U+bd*VR8%F<;Fc-OY\c-OY\
+c-OYmci28kdf%MncdMd=!m]0>n^$[N%+<MNd*g:hd*g:hd*hF1s3VS1d*g:gcdL1gd*g:hd*L(c
+dF$=fcfi_.cd:"bcd:"acHsnad*^4dc-OY\c-OY\c-OY\c-OY\c-OY\c-OY\c-OY\c-OXb~>
+Jb]9@"8MWbq"OU+q"aa%q#:*gq#C*ap]:-arV6Khp[S(Lq#C*fq#:*Jpj`~>
+*VfI*q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\q=sdRpal79q=sd\q=sd\q=sd\q=sd\q=sd\q=sd\
+q=sd\q=sd\q=sd\q=sd\q=sdCq#C-lq"OOXp\>9nq=sd\q=sd\q=sd\q:GBAq>0pfq82q+q>U0h
+p\FRbp\=^_!VlEZq=47[p\sseq&fD-q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"]F~>
+*R`?`dF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-G@dQ>t,eC)jpeC)jpeC)jpda?Ljda?Ljda?Lj
+da?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda@O3n^RTh"4YfKeG.Q(e'cXldF-FjdF-Fj
+dF-G"df7esf)=)!daS0C"45KEdIP`Se-spXf$r:#f$r:#f$r:?eGn&0f@8C$e^N+!f$r:#f$r0u
+rRCque+(u`e1T2!daZ^pdaQUndaZare'cXldF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-Fjd=;~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat4.ps b/books/ps/quat4.ps
new file mode 100755
index 0000000..c1112a6
--- /dev/null
+++ b/books/ps/quat4.ps
@@ -0,0 +1,1944 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait4.ps
+%%CreationDate: Tue Dec 26 13:01:23 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 255 218
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 203.250000 translate
+240.000000 -203.250000 scale
+% Image geometry
+320 271 8
+% Transformation matrix
+[ 320 0 0 271 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 320 string def
+/gstr 320 string def
+/bstr 320 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       112860 ASCII Bytes
+colorimage
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV*'@qY9m\q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jq:OrbqUtu'fD=%neG7X`e,[pI~>
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV*'@qY9m\q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jq:OrbqUtu'fD=%neG7X`e,[pI~>
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV*'@qY9m\q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jiRmtZ!8%(tq:,5jRa_>cJ,~>
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV*'@qY9m\q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jiRn"[s4@+tq:,5jRa_>cJ,~>
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV*'@qY9m\q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jiRn"[s4@+tq:,5jRa_>cJ,~>
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV**Aq=sd[q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jiRn"[!8%%sq:,5jRa_>cJ,~>
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV**Aq=sd[q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jq:Or_q:GGmq:,5jRa_>cJ,~>
+q>C'cq>C'cl2963q>C'cg&0h+nbi4[q>?ZXJ,~>
+q=sd[q=s4Kq=rY;q=sd[qtT(CiV**Aq=sd[q=pBPJ,~>
+q:5;jq:5;jn^mTeg!oiJq:,;lrR_#$s4Z_jq:Or_q:GGmq:,5jRa_>cJ,~>
+f),LFrr'D)q>:HsnGi.Xr;QZms82flq>:!cZ24q(q>1!ap\Facqtg0>qZm/oqZ$Khr;,s\J,~>
+iV3'>s7cNf]D)@!q=b*mli$;Gp\Fd^s7ZHbq=aXYiV([n$hX,cp\".Nq"a[Xp=8mBqsjCZq"=FU
+nb7P~>
+iRISPs4@8&]@?l3s4@5&s4R\8c/6q$g"ZJYs4I>&q:PMriRZE+$dmDOeC)^le^i7!e()qQfZqt#
+e^E!so$dZfJ,~>
+f),LFrr'D)q>:KipAb-lrqlHhr;ZZnqYC$ar3?.tr!3)oqY^9gqYJb>#P@W`qXO1Ws7,u:~>
+iV3'>s7cNf]D)@!q=b-_nc&@_q=aCYp]'sdp%e=WpYkhnp\jjlp@\.Sq"OLUeb9=<n+HDAn,*.T
+pOE~>
+iRISPs4@8&]@?l3s4@5&s4R_*e)9!<gXt$Tg&K_(fD4(pg#:N0eG[o&e'c^qe^W'se^OiKbgOt_
+bh1hDe,[pI~>
+f),LFrr'D)q>:Eks8W#pqu$Blqu6Hfqt^/pqZm&trVZNdo^_tWebf7D!W)<Uqg\~>
+iV3'>s7cNf]D)@!q=b'as8)KapAF[bpAXa\pA+F_p9ODtq"aa\p@IeArV"e9!W;rqrrMi[nb7P~>
+iRISPs4@8&]@?l3s4@5&s4RY,j4r>@f_jG&f`'Luf_O2#f!<d1e^i=%e'Q@_rR9<H!SQ6,h?)K]
+an!p]dXV~>
+f),LFrr'D)q>:Kls7Z3`qu6Qnr;ZZnqYC$ar3?,,q"t!dq=Nq0q"jmbrqb:E"ShiamIpPZnb[h~>
+iV3'>s7cNf]D)@!q=b-bs7,[QpA+L_p]'sdp%e=WpAjompC$Wfq"OINjkTM%p\4[\f_5XCp?q29
+qu$B^pOE~>
+iRISPs4@8&]@?l3s4@5&s4R_-j3uN0f\>-Zg&K_(fD4(qf`B^UZIB90eCE'sc,.$=e'unHe(E.T
+dF6:Yce-q(o$dZfJ,~>
+f),LFrr'D)q>:Kkr:p0hs8D]kr;ZZnqYC$ar3?,0p\XpeqX`^opA+U`qYC!cg%u$Gs8W&tq""4M
+qg\~>
+iV3'>s7cNf]D)@!q=b-ap[e+XqtTa]p]'sdp%e=WpAjompCHliq=s[PhTbWap\=ITpA!>8#Oh]m
+q>9gPo^V[+~>
+iRISPs4@8&]@?l3s4@5&s4R_,g""a5h:gBXg&K_(fD4(qf`B^UZIBE3eCN1!be'n$daZgrdaQb"
+e-F4Rh:C6+bL,n1!7HA~>
+f),LFrr'D)q>:HsnGi@bqYpHks82flq>:!cZ25(,rVlcopuTlpq#('dq"jp@qZd#fn,NF]s7,u:~>
+iV3'>s7cNf]D)@!q=b*nli6YTp%eR\s7ZHbq=aXY!;<_m&+o\oq>'[Abjb9"q"F@Rpt5<Fq<RAH
+rUTpWpOE~>
+iRISPs4@8&]@?l3s4@5&s4R\;c/[F3fA$8Ws4I>&q:PPs!S>o.e.9sXf@JO#^8]B)e^`-re(*+#
+#1gl:h:g3/o$dZfJ,~>
+f),LFrr'D)q>:Kb])VI'o`"mir;ZZnqYC$ar3?,0qYg?fr;>p5o(W(\qY9mag%u$Js8W)l^PR^8
+qg\~>
+iV3'>s7cNf]D)@!q=b-X[Jo[ln+m"_p]'sdp%e=WpAjompCHunq"=FWkgStkq"aXUp%[57#P.ol
+qXV7PK(8Sc~>
+iRISPs4@8&]@?l3s4@5&s4R_#Qf-<IdG*XZg&K_(fD4(qf`B^UZIBE6f%&4!e]"c9d+-^rdF-Ru
+e-F=Tf[nH:@UJ]U!7HA~>
+f),LFrr(4@%/Tktqtg3dqtg3dqtg'aq>:J]B(5Tqq>C3jr;ZZnqYC$ar4r10qXaRpqY^-[q>TsA
+nb;t[qY9mag%u$Ns50u7D3X>Uqg\~>
+iV3'>s7cNfd.[P8mJ$YSq=b,S@I*Obo_8.[p]'sdp%e=WpAjpVpB('_p?MDKp&Xp]k4]D[q"4%J
+qX3))oD&.To_&":pC6ijp@n:Tp&*ODJn^;.nb7P~>
+iRISPs4@8&d*r'DmF;0e!8%5'rRqKq6d=0Af%JdVg&K_(fD4(qf`B^UnC.NjeCNp7qUP\sf&kHm
+e()jidau[Ob0\\ie'ZUonC.NfeC*s<%G'%[eCN."ft)rJ7W638e,[pI~>
+q>B4Kq>Bd[q>BLS-i3W7q"jd^q"jd^q"jd^qZ$Kfrr;ump@eO_n,MqXs5qeus7H<jm]$'aqY9sa
+(\n%+r;$3hq#1'eqtpEfh<+G1qY:$fq!n7WqA8u*qtKdYq>0das8Dfos82i=K5-b.rqc0^J,~>
+q=j^Ynb;kQiV30Anb3(Zq>9q/p\=LXp\=LWs7Z!XrV5pOn,N"Cs6BCSiQg]fn+m"JdJ!2+mIpDN
+!;QHc(\Ib#q"+.To(i"Sp\4XXg#DT!p@S1Vo^V\Op_W]$q"4.Mp@[qPrV,pZqXsa(Ht8>ip[n"M
+J,~>
+q:GGnn^RBcq:G/dq:GGnn^ITfdJMAjeG[r7hUKm&h:U6*dcB$(k0VuA`3@GEdG*^)q:OTU!nc)V
+rmq%trR1SmqptVr!S5p$f(7B-dG<7$dF-^pf$i1!eCr9X^X(N\dFQmrn^IZhdF-G@dMC6[e^;^k
+e^`%$i7HQ5h::AX?UStDg@<YmdXV~>
+q>B4Kq>Bd[q>BOTs8)?^%/T\nr;HNgrVuQis8;lr#_Ilrs7lWno)G`es8)`irV@?)rq60fr;ZNg
+q>0j[rqY^Bq#C3crVcQ^qt^()rpo[\s8DZes7PgVs8)QkK5GtIo`+pinb[h~>
+q=j^Ynb;kQiV30Ao(W1ZrqZ9_)#*Ump@n7OpAF@Qq"=Oard0:Xs7?-`mJG<)oCqYGqY1!arV%-"
+qXO=TpAFITp%J"KqXrk2o_\@Sq>'^Rp\FS$r:'4Ts8)?\s6f(Aq=F1SHtIK-mJQ_Rp@@s.~>
+q:GGnn^RBcq:G/dq:GGno$m]frmC\mrRCes(XLLYe^`.%hpU99gYq;X@:mL=e_T!+h>,^^f)+,"
+f)=+sdehPmf)=8"g&9S%f(7B-d+?Rmf$rF"eC)gmd+?^\`6m5ddFQmso$m]fr6bPm(tQjSgY^W2
+e`5'"f%ej,hHriUQdFXDf[fZD!7HA~>
+q>B4Kq>Bd[q>BOTs8)?^s8)cq'`@b&rr<#es8UmLs&Y]is6BXamf0<as8)`irV@?*qt0dcqZ$Hi
+rquNcrr)N[qu?Nfr;HK^qt^'pp&G'clgXlQoDAOe$M1K>I&cB0s7c3dnb[h~>
+q=j^Ynb;kQiV30Ao(W1ZrqZ9_)#*b"qtBUQp\FjQq>Jk6rD8gXs5j:\l2K$&p%RkIqY1!arV%-#
+p[IqUo_nIWqY9[SqYB[Kp\X[Vq"aXRp\FS$o)8U[kjA6Hm.C/Ss6Q^tFedmps7#IPp@@s.~>
+q:GGnn^RBcq:G/dq:GGno$m]frmCborRC_q(Xq!heC)k#guQ]:j1Eq*2L40>a5Q%$i;)$af)++u
+f)=+udehPmf)=8"g&9S%f(7B-dF?FjgX=j*eCW6tdFZspb1,(mdFHgso$m]frmC\m(sgpld)XA`
+iQp-3j5\IE8m$hcj5\V9g",cE!7HA~>
+q>B4Kq>Bd[q>BLS!;c<^)#F41qtU'grq>g\q"Fa`h>d0ErVQNms7r\ls8)`irV@?/qtg6jmf3=`
+s82KbrVZTfrVu`hqu$<\qt^*fpD!E$s7u0arr;JiC3?]ArVuops8Vobqg\~>
+q=j^Ynb;kQiV30Anb3%YrqZ9_)#*h#p%%ePp[@>FnaHMKebnq0q"FIZqXi,-p%RkIqY1!arV%-(
+p\+C[kkb5Nr:faSq=saVq>9mXp\=IPp\FU`oG.&qr:]IVp\F'N@rA4%pAas\qYKgWo(RY~>
+q:GGnn^RBcq:G/dq:GGnn^IQermCborRC_q(YI<fd+-k(d`g_&e`PMuimZN5f\,*9f(mtWf)++u
+f)=+udehPmf)=8"g&9S%f(7B-f$r1!g;_e!e(N6rdalt!d+6judF?^qn^IQermC\mrm;J/g"Y'#
+inE23M+1@"_V*u)fA593f(7AkdXV~>
+q>B4Kq>Bd[q>BLSnbO'oq"jjcs8Mioo)Ja[R9S&<lMU\Wo`+]dqu?Nlq#1%*s82inqUkK@p\sjT
+qtp'^qu6Tlq>:'cl2):sp%8:ap%\R`gS8e2W8djWqXO:XrVQH]qg\~>
+q=j^Ynb;kQiV30Anb;qUp\,Kmo(;SKqY0R\lhg_IP#TR&jnJfHn,2e'p@\1IpA4O_q#0q'qtL!^
+o[<4,oD8"Dp\44Np\Oa\p%S4Sl1Z%nnF-8OnFQ\Oe=:;kU"fDCoBPf<p@S"No(RY~>
+q:GGnn^RBcq:G/dq:GGnn^RHas4%"urn&(=cdL=mf@ns/jNl`Dd!.UTiQ'X3e^<7(q:OZW!8.;(
+rRh/$p!irkrRh)%rRh)"o@+T/eC`:!Yg(qLf?VLfeBZLlf@SO#eC;t;eG[hoe/7#gceI:(e`55i
+Inign^>.c"c-k:uf@8CCe,[pI~>
+q>B4Kq>Bd[q>BLSnbN7`rr3Z2p\OphpAb'^[;P(#rVH<dqY9ugqu?Nlq#1%"rqQNfo>Bbir;Z3N
+s8Vcgrqucms8)!W(\[n/p\"FSi2:O'V=OZdqsjXbs8Muss7,u:~>
+q=j^Ynb;kQiV30Anb;qUp\,Ktq>UEhnalVOn+lYCY%QS^q"=7Pp%.q'p@e7JpA4O_q#0ptqXjaX
+mChKQq"s@>r;H0ZrqQKes7Y^O)"IS'o'lA?gRr7bT'QFSo]l/Lr:fp[q=aCRJ,~>
+q:GGnn^RBcq:G/dq:GGnn^RHas4%"urR_q;g"tW=dFR..e(r^*PYK!Eg=Om-f@ARMf\tE[g&9S&
+f(RVlf)=8"g&9S%f(7B%f?r=!bF?8se_%p\g"Oa#rmh"ts3pMfrR1Yo(t%0qeC*!q]n9!BJ^3<5
+f?N"-hqHc<g",cE!7HA~>
+q>B4Kq>Bd[q>BLSnbO(%p@8"Yq"Odfl2C4Oa7B60s7Y[Vs7H;jqu?Nlq#1%*rq-6cpUoDUs8:m7
+s8Vfjqtg0er;6<cl2(JNrqI0,n??_@Vs+*Tq>C0cs8Vc^q>U?_qg\~>
+q=j^Ynb;kQiV30Anb<"Wp%K:$n*9N=naQ;PiqD`3_!Caks7,.Gr9sI)pA+IMpA4O_q#0q'qXFFT
+n[@-=qtT%'rVuH`p\+=Uq"OISmJ$SQ!:9^V'`.-rB4%=jp@@eIp$qkQmcsB;p\+1PJ,~>
+q:GGnn^RBcq:G/dq:GGnn^RNcs4%"uqq)_Cd`p@seC3.1`S/[lUsIfNj3u!&hU1*Rf\tEYg&BY%
+f(mhof)=8"g&9S%f(7B-f?N!rc]ko_f[[UEg>:0+eC2mse^W$qmF;*c(s^[^f%nW38j\0Kg""X*
+f[S^2dEU4qf@KQC!7HA~>
+q>B4Kq>Bd[q>BLSo(j4#q:*=<r;ZZipAaj*A"Weto_\Ues7c3dWr)hmrqQHg(]X(+qu4@enG2V%
+d.mY1p\O[\r;HNfq!%Yls7?-f`b\b+s82WgrVlcms82in`0@\0nb[h~>
+q=j^Ynb;kQiV30Anb<"Wp@fEto$+hup%n=On,Mjj>aYN^n+QPQqss7RbP(c+mIpDNrqQHd(]<_"
+p\;;OlLjPhbk1i"oChhLq"a[Vo^;JOp)*htpADa>;gJ01o(2SLp@S.Pr:I[^Y5.e^pOE~>
+q:GGnn^RBcq:G/dq:GGnn^RNcs4%"uqq)_8Yb/JYh:L3*j3s_fI,`c*f\5-:eC*1Kf](H^f_aA#
+f_sCseG[tsf_sM%f_sCme/-f]g=4]?[`Hn>Wi=D!ajAMadacpudF%C3rRMk=j3ZK:Ue3OMgXk!,
+g"P-2gXk?7TQ$%Hf(7AkdXV~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lppAFsfrq[H2O&fY;qu=*D;hiQknGiC[s763&nc/UQ
+r:0[[r;ZQrrVuoppAN_Bs8)`irV@')o)&CYjkTM!g"Q9%p[\@[r;$4;qYU3hs8MrnrVuonqY^0`
+q#B-"?(gKZs82TfqYC!coA-Wp;.Qs-nb[h~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZ9_!Vc<eobRI_;-S>>rNU'1J&_!Bs7Gg\li+<W
+puqJBpA+Ffo^hhSr:][Uq=a^[mIpDNrqQHd&,u"kq=!4lmdAWVp&FXOr;$-`pF,b0q"ag`q"OO\
+qXX7No'l2JeTk2`j7E'<nalACoC_J$WGkI8Wq5rTpOE~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpen!S#^"eJI(Y1Hf!ri06qiA#e&'j4Dc?
+cJb/8gY22Nq:G/fqUZ#+f@f!=hq?N6rRh)"qpbSqrRh)%rRh)"o@+<*bLG+f]sQ#,ZEr!:d*(,<
+ebR]Ce'uq!f[n['fA,*1f%AO&e`",I4FbK)gXjs+f%&@(caf!5/O5<Ef(7AkdXV~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lppAFsfrq[H*p0))$qZ$,[GO+ets7H?km[Sn/qZ$0O
+r:0[[r!3&tp[[hIs7k=Fs8)`irV@''o_e^_grJL6h;n;0qYC-dr;$6hqYp:6qYTscnF$>Vq#BB;
+DkPbNp%n4Ys7cQnjf!?,94F76q#Bm]J,~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZ9_!Vc<eob[2h<FPCis6Z7ojQcI=mJ6eFQ$`B!
+r9W\Bnb2eQ#PA&dm-F3AoD/+Wp[.\Np\ssdpCI)hq"jO3_;<u#i:?d=p%nLZq=jm^rq.K/p[@qB
+kPtSPrnNEFRF13coBQ/InGWCDTl3mu>EHqrs7Z$XJ,~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpen!S#^"eJH`a2ac'Hj3W6SaNiN"d+mX'
+G[B4Whp:iGq:G/fqUZ#+fB1]5cICq+rRh)"qpbSqrRh)%rRh)"o@+<%c.1Fl[%G"A[_:#>e'ckD
+ebR_oe,Ic>e'u^sbf\u*e`+A_:4KateCi.&gsb3A_1Y]F-U)UPeD]!Me,[pI~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lppAFsfrq[,oh*RM/jo>@_UAt5gs6ose"dsu9rr<#_
+r:0[[r!2inqY'sdht,S!s8)`irV@'&qYg<cbc/hJo_n^arVZBbr;$3jqY^?k%fH;*rr2rtq!Q7b
+G_*I*r;R9*s8V8gI9pTH`Ua'-p%%YMJ,~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZ<`!r)E^rq.)nfKGGui;<GLS,`6Rs607UqNH<r
+q"t'Tp[RtQpBU*co^MnRg@"e1qtKLOqY1!arV$itpA+IQ`hUQ4nG2kQq=sOVq"aXbpA"X_,P_*3
+q"=U`mc;-:DKi;Urq?$aq=aX[i2h*'@>;M^r:]RFp@@s.~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpho*S8lne^rEt\fc1W_r9U6J`be>jNQE:
+h/ciJf\>9Qg%j7if)!u*g!f0=f&k`#dFm4NfDsM"eG[tsf_sM%f_sCme.:*Yf$r$AJY^$)f%&7#
+e^+'Aq:#Goec+,#e^j`P*oc/-aeilS?CBX5i8<bSg"bB#O'+M3Bq`i0g!S$po@*cgJ,~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lppAFsfrq[H2H:-oko_ncRgAUg@rr)fegslB#s7Q'L
+r:0[[r!39#qXjg!AC'!,s8)`irV?fsrqlNidAtjirr3)trquHbr:p.2rVulpq=s^Ys7ZEgY&AsB
+q#C<Zrr;ZkfsR]/@"#W_rr3)qpAFs\qg\~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZ<`!r)E^rq.*(F["jWn+ZU:e+W>$p\+=Ie^"3e
+qX<n;p[RtQpBUTio^;ad?cr0;r:fUPqY1!ar:^]tp\":(V9n]0s82Qeq!n1Tq"H03qtg*\o^_GF
+m.9bCAU2Gdrpo%>rTaF2Y+L&DG-gf8qt]dNp&=[UpOE~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpho*S8lne^rF.=!>T7dbWc$\_PfdgY1B-
+\?=f?g<\+8g%j7if)!u*g#:iBeE32dXkDD*f`0P#eG[tsf_sM%f_sCle.1*[dab=LY0>VWf[SO'
+cM?#ce0ii"f@A<sda?gsf[bmQ@'S8GgrnO<eE"$"JmLQBQIagIgsjd)hU_;J!7HA~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lpq>C6js8;ln([k@:s8)cij+RI$s8Duss5I[us8Vcl
+s69IOqt^-ps7Z0bdrB9igACpHrqQHg%/Bbrq#BU&p\=LXqY^?kq>C'c!r`#kr:^Quq<5/,JAgpV
+qY^?m&a$fYF`E;Om/R+_q"OXbs8;Q[qg\~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZBbrq?Hep&=S"kY>O\oDe=8I/iF+pA"CZgL.2\
+s6p!`l1a`Aq=b-onF61sCM;c'pAF[PpA4O_q#0pqo_A+Os5V,ho^h_Kq#:*bq"aXcq=jO[o-*](
+n(t$YG.H]/n+$/LptN-$DJFg3jno&LnaQ/FqXs=No(RY~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpnqrmq2%f`'J<bVDTAg#gl&Aa%FsgtpfC
+^-dq7h9FjHg%j7if)!u(g#gr>hm60Tao0olf`0P#eG[tsf_sM%f_sCme-saTda?pfUsIH8dF6YF
+f(mkle,n4NdJ_E8dc&]pOAT;YcJmO5j6,LDSR,/fAsgZriRcT.f%]$5cdq^;!7HA~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lpq>C6js8;ln(WTIBoD8@aRuICFs82iaq#AD-nc&@a
+qs"%Kqt^-pp\Y!jQ!iMLgACpHrqQHg&,cD&p&FX=q>^3\qu?TjrqZKfqZHfmpA+^f+T:WUJR5JQ
+rV6Ejs8U,lBPMItrr;ffp@%hWs82H^rVuEbJ,~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZBbrq?Hep&=S"^eBpXoCVsFK`C`Eo`++EqS;Rc
+q"+OYl1a`Aq=b-ap&"cM>1rrNpAF[PpA4O_q#0ptq"aXRr9`),s7>^RqtTm]q=sd[./EQ,p&+jg
+pu9G?<28jOmJQMNot5NT?YHh@s75XIkjnTJo^2,@r:]^UJ,~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpnqrmq2%f`'J=UbHu=g"PG3D<Ta8g?-T/
+h4r<>f$WC(n_*`in^dQg#hdhcj61VN^ZPLJrn.8%r7(\rrRh)%rRh)"o@+<$f$hpubI#[Pd*1"l
+e^N.GebR]Cf$_mmg"b<6`NNT0MU^G5k1f%WW+8Ik9UFJne^Dmhe_T-7d*gV&f(7AkdXV~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lpq>C6js8;ln(UR;crqZ?hEPD5Gs7lW`bBiaZr:^0e
+q!%_Hqt^-pqZ$TEA:a[EgACpHrqQHg&-)V.p\adDkPtJTr;Z]kqYC'bq],P1r;Zfde@p-PX7H;j
+qu?WFY`j6RSA5+!oC`"ZrrW2qq#:9no^Vg/~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZBbrq?Hep&=S"X\lq/o'uKi[d`tbnb_RhF6ibt
+nGi.Ol1a`Aq=b3frr:5LHhQRop%nC[p[.\Np\ssdpCI2tqt'OOg>W),o_A=Yp@e=Wq=c<4pA"Ua
+m*N:[DkZCpp@.eHb,'o0CQZ"!na,]9q>C6gp[[kLrqZ!Uo(RY~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpnqrmq2%f`'J=OYs&mf[ntVT@quUfAXuQ
+<mKLOcJ?pqn_*`in^dQg%,'@skd<ligrnI,g"HAWs47+trRUr"rRq/%rRUSi&)#Odd+$CO^YRGf
+e_&F$e+qPie0rkre_8]uXdN'fLsP5>g>LhrO`X`/J"YTHcdCA"hr3DFe^W@4gs4LBe,[pI~>
+l2:PZs8;cks8;lpq>Bd[q>C6js8;cks8;lppAFsf)Z'@.Sm0YAqZ"KRs8V`is7H>YJ,f$<s7#a^
+l2:)Kq>:Ktq=]>GdJa+!qu?Kmq"sn!qtU3is8VNLnFH;HqYpKkr:Bgcr$MCBs6dXP;hE^&q"+Oc
+rNUomQ-/^us7lKks82NaqtU0jqY:$hs7,u:~>
+nb;kSrqZThrqHEcs7cNfiV3?Hs7cNdrqHHfrqZBbrqHHd)YNapQW20%oD-(7r;#aRq!J$BGlR(+
+s6T7Ql1a`Aq=b0loC.'/bP2&0qY'g\mIpDN!;QEb%eTbrqu>m<lL+04pA4X[rqHWlq"a^\qY1$`
+-MRB5kI>e2Gg?6Tl1O`?VKQO.^ZbLgnb)\Ro^MACnbDqPnb;kTnb7P~>
+n^mTermq,"rm^qus4@8&q:G/dq:GVus4@8$rm^turmpnqrmq2%f`'JLH8r+^fA3,qinr/;gsP&%
+>N*`ZhoX0sf@S^-g"4p/g"4p/g"4pPfC@Ggf+$ElgXot$Zeacug"G$1rmptrrRUr"rn75%rRUPh%
+aj%^g"jZ^aNMlTe(<4$rm_/#e^N'trR1Yo-e?o'g<,mi0426Oe^3+/glPo>FK*^KhUL*1g=O^#e
+^W7,eC<+*g%*VmdXV~>
+U&4``s8*=n@,^SSs,*oSqu?Wgs2sj/qZ-KMq\Su(qu?-bqZ$T_q>UE[s8W&pX]NUDnGVVK&cD\)
+pAFNumf3:aqtg0dqtg0dq`+NMq>C6ho'>l2meZt_qYgEhoC)DQs7l9crqQBjs7ZKmmE0m#QcoF%
+qYgERRr*JGf(f:Dr;Z]Sqg\~>
+S+lsV&<^8QlMC=/V=F-Vo^2[slLt#I%/0Ghp\+@Tp\+@Tp\++N(\@Itr9XIXr;Z'Uqu#[Xr:fl^
+;8W@up\sm[p\4@lq>L$Yp[5ZWq=s^Xp\4IXq=dARp@\4Wp[7/0j5oq2q"FO]q=F+Ls8VodqtfsX
+rVGpTpu/r*Ar+5#mIKrDgQZ;kS'U[%p\+FVp\+@Tp\+@Tp\+@Tp\++NJ,~>
+U"&nh&99qJbh_&dLsjc2e^!-Lb1?@;%+`qZeCN.#eCN.#eCO-=)UR'cfu`.$g"j]tf\+7!h;@+P
+40%Mkh:^H3rm^trqpbSqrRh/'$JO:cdaud6aP#4trmq,$q:%mae'cdueB>bR_o1!Wf$W!ue'5t\
+g"OirdaZRigXsg)h8cBr;0/`$f\PEA`-P*YJ$RMVf@8F%eCN.#eCN.#eCN.#eCO0>!7HA~>
+UAOuerqQHg&!Ue7rr:K$kl:SOrVuIs`r5f5qVh;fs7H0]q>:0_s8Vrjs7lNbs4qFFk5##QlMD.h
+q>:$brU7,Cr;?Hiqtp3bq>2lDqYC$eqt0=?j6#t3qY9sZq>^Ehp@RqRs8Vols8W&ts/9+Yiqi]T
+p$&oAJs!G8rr3)up\=[Fqg\~>
+T_JH\rV$h`A?Pb)c@4dQoBGoIl<;!VpD<l"p[e+RqsaXcp\"RZq==C5A:`\1q"=X[p@n@U#l"&i
+p\4IJY0R%?"S_]dq>'j\2u*+>p\FRQlJgORmJ$8Fp[S(Zs82Tbo_SO`p%A4Yo^r$K97,+Op[mk3
+Y(:nVXmu5erq>mRp>Par~>
+U"&nh%rXjrg"NT8_V`e_e)&2+T%VU8hp0`ue(**qhqur3h9sm'iknN,aP5S(f[eX'daHOkqpbSq
+rR_G0f[ng-f%A-*Y5[#MfD3oTe^Msrf$qsb^q%,$e^DdlbL>.reBlOcdF?^mdFm:+g>R]CBYrHc
+inDVEC1D4FeCid8d`p%bim[tVJ,~>
+UAOuerqQHg&)(E#L7j(,qtg<[qZ#<1l2CMXqVh;frpfjbs76$deGo43s8Vcgp7G'ss7cHhlMD.h
+p\4L[rpd53q"adaqtp0`q>3,KqYC$er:opNkN_d>r;6KgqYg?fpA+agqt'O]s7G9FKq6B\s8UNB
+KR/9Siq*3MrVH<br;Q`Tqg\~>
+T_JH\rV$iQ>?ufKHF!56p#Y`AdYQr:pD<_pp](6]p\iM>o'ZGRo(VXA8%nfip@nR[p@n@U%/9Dg
+p@nCLWk\,rp%SF[q=ciCp@\1Uq"4(<iT0S*q"OXXp\Og`pA+agp?hAHr9N"'H]c&-rVOR$HuaS3
+g?eY2p[n%JpA"LCpOE~>
+U"&nh&%+J^@<u+?e^2gad+bg;_:d<Wg<J4-h9OU,Yi4!SgY:-.fRkoVj4W5Af[eX'rR1SmrRUr"
+!SQ-)eHa[Yb_i%@e(+HLs47"q2q?C*eCN0tc,@<2c.(4lf@&1#f%&-tg"OfpcIq!s]7+.7W7U=u
+Z@ljrArspYh;$W3d*L.if&G0ZdXV~>
+UAOuerqQHg#k\.qLSb%NrV$6j"65C%nbr@`qVh;fo)IqErP`VZIeWa5q>0[^a^U+ns8VHclMD.h
+q"4:UrV3tBpA"I]r;69`q>3,Kqt^*drVQEdp%J@arVQNmp[e1XqtpBaq#CBhaH1+kf)PaLbDfb3
+Mq7e*s7lWep%S@`s8MlRqg\~>
+T_JH\rV$ikrM+t:r;-0TqZ$TLK\l%JpDNH"jmW&_C0GuVq"+4Rn,L:1KBE+3kPY&Ip%S7T&,5bh
+oChtN[(c&#o_81Vq"XSBq"OITq"a[Wp$qVKr;$*^rUfUPq=sa^mIL5Un\KufIE_`_p:u8W<.iKf
+r;?*]mdK]=qYU'[iV.j~>
+U"&nh&'s'a@Xm1ef?Dq*hmm70ak>/_cJcdggS%8#>gqBSf@J=/X%$sOjQ=VBf[eR%rR1SmrRUr"
+&_YgfdaH[ue!-HNdaZn$f@JLJe2Pq-daQateC)^fc.(@peCE:#c.(Ctf@nEphVlt[C.)O;k2"sq
+DEU4%\_Q<+e_\^"cdUIseBm4)!7HA~>
+UAOuerqQHg&-(Pdo)8.Zo`+UZnZHNqpAOmeqVh;frTsRUQ)EYo@JTs'qu$0`I9PA'q#BpblMLVX
+!VH3eq['mGpA"I]r;69`q"t'e1]74Mr;HHequ$6`p\FRZrVlZfp](9jjIKb<irB&AUPN9!UA4B[
+p@J(NrVuorqtg0dr8IO'~>
+T_JH\rV$j&gA1.1m/QMRm-j/7?L718pDWc#kPst3U>C<'o`+d]p[Rm"<7L[5s6][Vp@\1TpAajr
+o_/(Rp9h9so(;\Pq"XUXrq8/Cq>'g]p\4L[p@InJo(;_Qp%%VPp@$_!=Fo-'rns;t=DXGsmeH;=
+o'Z;Oqt^![p@n@@pOE~>
+U"&nh&)k+Qc.C1ucJQgja+QUucJ$bff%S7,cuXlV?U*-&gtCB1f3^YQhqI5>h:U<.eG[hmeG[ts
+fFcfhf[A=%f%-+Nd*gFqf[n^)psf;l#h@MWe^Vsmda\9C-e-Sog=t6/e)]96^N_nR^Z4CpJnI8I
+KA+o7f[\X%gY^c:eBu[le)JjWdXV~>
+UAOuerqQHg%dsAsqt0pTs7uTmjjibpr;6HhiVOGar9gT=naBA!q#C*fs8:/:OT5@Ro`+XMqu?L&
+oDACVosLgpq>1$dqtTs^qu6Hlqu6Nmq>pKirqRr8rVu`fqZ$Tbn$ZqMb5_IDNI"uMZhX1ep&G$j
+s7u]epA"IZqY^?Oqg\~>
+T_JH\rV$ies8Vf\s5s@NoCgt`jRi-!pDWbppZSI'm-.5`oD8%Qrq=E'MY[,;n,MqOp@\1TpAajo
+oD&(Kn?8YYoC_kVq"a[`pAamapal79p\"1Kq"jUNoD8LJj/QBs_"mW#L3$O3YO_,On,2tUrUg!U
+nauMIpA"LCpOE~>
+U"&nh&'<egf$<6oi6Tj%];rite(W:kf$i?uLq:pY0NQc_e_]9?Xt=\Qi769:e(3+"eG[hmeG[ts
+fF6Hcf[8=%cd7`+daQbGfDjFteGdqseGn&!e,IbpdONYmeC!"*f@/F3k0D597o6,AgPp#P5YdKp
+eCW=5hVR2Bh9XKrda6Cje`,'YdXV~>
+UAOuerqQHg!WVB_rsJK"q>^K@E0L7is8DinqVh;frVsmBnGh!;Qh'q@s8VYIA_$eZq==RYlMD.h
+q<db=j6sUcr;?Hiqtp3bq>2oAqYU3fqtg0aqYL$bqu-His8McerV,HkH=ErFiL+=QA9#$WrTF4\
+p%e:Ws7Gs^rr)itq=W_DJ,~>
+T_JH\rV$j&j8/ZQnG;bPrPiK-o]l8+pDWc#q7s&rq9D`tm.0H;q<WcAchR>.mJl\Lp@\1Tp'CEd
+mI08qlF!_mp&t-bq"aa]pC$Wep\=LWpA"I\qtg<f./3B1p[.A=le8a^<M&:%Na,%[CpEp9j8]#F
+oC2GOn*g&IrVulop$q#8J,~>
+U"&nh&)b@ZgY^B3e(EHP7VU>mf@n^mf%])\Oj`-q1jRO'd,Em3C.5Pegt0p6dam"JeGmtoeG[ts
+fEp6`f?;I[^<2_"rmq#!q:%@Ne'upteC2jndF6Ome(3.&hV6Q0gss?;=@.qn^N`4!6r0')h8\O7
+e_/F(i6p$*g"P69f[.k%e,[pI~>
+UAOuerqQEf%fc8!q=ssbq>]B@cMRY>rVQQiiVODgo:>=Lr/jIRq#C-ho%m32r;-6es7PXR&Gl.`
+jk8,MbKBkar;6?eq>'j`&GQ"tr;6?dq"OR[p\4IYq"jsh+oTH=BU[Q5UfU-"KZs>nm/R"OrqcZk
+p\aabrqQ'Tp\b!Jqg\~>
+T_JH\rV$iqs7,dRo(_hGpt(VHo)&.7p]'q%m?d&7p5;2:o)/(Tm+=pop\"1Qr:'^Zp%S7T&GPhZ
+imuE=`PhTIp\+@Uq>'j\2Y6V9q"OLTpA"O^q"==PoCMbNo_\-hI9;BLesB&o?@Krhs6K^^mJ?MT
+p%%kIqt]jOmdp5Li:ha~>
+U"&nh%b9Oce^Mt!e'HXSDkte6g!gqkgspo$jPFr+PM5*Oimbb!H.pp&g>:91f%0fLs3georRUr"%
+,':``5/jaaJG]cf[p,Rs4@(r#11fJe^W'rrm37Gd*L.ie^rU4hW<RkC.NZ]`Ip3!7qAXRj36N<c
+J@.3f[\[(h:^9#bL"ehdc/aVdXV~>
+hY[?Nrr(":!W)]mq>L1$qYg<drVuons8J2]r:^0jrVQQil2):np[e7]r:g6cc]kQ?WCKeLqYC0h
+nnVe#q\T2*pA+^dp$C,\hsL+1lbE/^pAb$bq=sd_-h$p3rVHKlqu?B]q#1'aq=jacqquX+Lu?LN
+D,YMjr;6BfqY9j[q!n4>qg\~>
+hY7'FrqX\1!;QQhrV-orq"F=Rs8DQboni_?mJ6V;pD<Ppn+QeVoD\7"N2<\N5=jc(nbDbA@pJd%
+p%SL[(\dOko_J:Ol-J)=lL=?*\a\kRqtTj[q"aY0lh:8PpA+R\s7c-[qY0URnF6DFdqM[(e%_,T
+88,C&p%J+Rp\ss8pOE~>
+hUMSUrmo3@q:?/-f[eO'i8)l7e7dafbh(M+e/6Z]bgYCud,*?ZGEA5O.Po<)guI;B:.<k7f_j=n
+eGn)9f@/4"gY1-!Ydh<ed*]h#d)j\if@8F'q:$\2e(N=$f%8C'ccsnieC3!ufB:i&=@$W;Y(KM,
+<1_q#g"G$1rmq#"r79ZQ!7HA~>
+hY[?Nrr(":!W)]mq>L1$s8Muop[e+Vp=5Dgq>^BbrVQQil21J['_V1sq"arYb/Cs-:/(E[rpp*!
+:pK9^!WN#rq\&SeiSESXp&+[R^]!p&rV6-^pA+Ubruh15qYU0^s8V]Zqu69gn'$f'As]]MCMJmR
+q>^Ejqtg0fq!n4>qg\~>
+hY7'FrqX\1!;QQhrV-p"q=s[RmI9i:b_t6FqtBI:pD<c-s7,[So^r*F_S!7b7RZ_;p?MX]8?)@W
+p%SL[!VuKhp(HlVhV.&Oo(Vh?\bGXdq"=:SpA+G(r;HNdo_/%Ro)JaZm.U8Cs5h%I=BUEREF<()
+_=@L'pAamcpsJhd~>
+hUMSUrmo3@q:?/2g"=m'c-Y%cX(o5lg=4@*e/I#tgs46qdF@3)Xf%ec0e_8<iRR1^1QpGBf_X1l
+eGn)#g"65U&^nb8]>DJ5f@@p0f?r+#eC3"De0N`$f[J6seC;^sh9F'mgX>6.Wbt6rGEH9,9Q.&e
+k1nYBf[eXQeGn)"f_X1Se,[pI~>
+hY[?Nrr(":!W)]mq>L0ls7Z0crsA])s75s^s8W#srVQQil2(PKo_JLd&bYtDT`=T_`]S_Mrr;le
+D05I7q\K/0rV,a@h<aY$rVuld_ta*)q=XLVpA+S/s82Tfqtp<jqsj@Zs8)TlgRM>aU82U.DkZ1j
+s7>p^qto^UiVS-~>
+hY7'FrqX\1!;QQhrV-p$naZVYqtU*el0n3?rV$9MpDW8bp&4pfnasecp#l=d0m!-]p@.9TC$t]h
+p?q\Sp(mH!q"!\,g?J+pqYp<U^%1ggo^_YKpA+G+r:fjWp\4IZp[7PMs7>j]d?.+6Q'YiOA=;'E
+p[.GEp@c](J,~>
+hUMSUrmo3@q:?/4dF$h0gXt<9aNi2egsk3>e/H<Ndb<U2cIAnEhpLYa)dVIZi7cUQ;q0ILf'_&e
+eeQilg=4<_]?8FDg"tE)S^Q$<eBuaqps^SBeBuapeCE1#bL#,'f%/ijHT4lSKMFU*K#?R*e(*4+
+f\"d+r6t_te^OTIJ,~>
+hY[?Nrr(":!W)]mq>L1$s82TfqtTs_EMN@0s7l'ZrVQQil2(eeq===6Vn;uB`;]c<G?iGmrrr>"
+:Y#LClMCq^qYg?dnEfH8q"=Xd$2)U)p\jjZq"OU[q]Yb.q#:9gq"smeqX""Wc\u7DS]Y;4J%u$_
+q"44QqY^6flh]T;J,~>
+hY7'FrqX\1!;QQhrV-p$p@ItMo()EdRdg%En*0K'pDEr'me#&)\,EYDp&4N!;8`%up[OhCb5(bt
+p]'q'nb)\Oo'>K%p%\+Urqc*)hXUC3o(DbQq=c')o(;eTp%8"Lqt&q>prJ.h>EZa#5]X70q"!kA
+o(DbNpAOacpsJhd~>
+hUMSUrmo3@q:?/4f$i1"daHW8H-b$kcH"Ale/7)kbL*VGPhhe'hriis40@AriS0/@[,'="eGn)9
+dFHt(eBQ.Wf%/7'hV-;S^<tT]dF?^uq:$V9cdC@rda?RphUfm"goP9U7=M:&/75(3hUp?+e_&R-
+f%0iMs3f?F!7HA~>
+hY[?Nrr(":!W)]mq>L1!oDejbo(rCaK"g^Rrr2rrqu-BUq\]A.s8B9.H/abTrVuS&>O;.bs2A8q
+s7Q<Tq\Su&r;66^q"jpbo_\Ubqq]]ps7c6_pA+O]s83o9rqc<]qu?Qns5TeuFMlUa@r'`dp$hnZ
+s8DT^q"adeqXaI^qVh=%~>
+hY7'FrqX\1!;QQhrV-okr;Q9Ro_J3+[H@>Yrr;lSpDEf"rV<WuFkqW7oD.`W;<%$?pUa@Ks6fUQ
+p]'sap]'q'nb)YMo'u>Gq>0XVq"OI5bjkZ&oChnRq=jpa*r5[+nacAHnbN1;QZ$TJaadT*d,jZ]
+q>^KknaZ;GqY0RUi:ha~>
+hUMSUrmo3@q:?/&gtpK'eCiDTPf;>*h;6iDe/6icg=D3>;S?\jg>LFH36B_0hP*&<k0hiYdeVDm
+f)*tseec`ag"=g'f%A^/d+?q%e[MX-h9sa%eCXNGs4&1Af@/$ke_Aa7jhQ=G;kgU46qk/;f$E(1
+j4hr-eCOTJpsSufs462Z!7HA~>
+hY[?Nrr(":!W)]mq>L1$p&>!hs8UoWiW&fTmJ-_TrVQQil2)=eq#C-$C0QDdr;YV_2cP5$s64`/
+f)PLBl2)7orVQEdrVucjo_S@Xs6S#)rTs+Pp%S7Y*rZ!1p\b'krVu/iLj*rYA7C\qlM^\]s8)3N
+o(r=_r;6Nl!W2`apu2+#~>
+hY7'FrqX\1!;QQhrV-omq>0jcrn"(#rpomGn+lJ3pDE8hs7Ed4=+K]/qp\_"8osJ!hec*3p@.eJ
+p]'sap\sk$p\=ISo_AC[q=44NoD@[jnbD;9q"=CU*r5R%oD&7\natS7Hu!D*=]^IKiq<!Es8)3N
+o(W"Vr:g6b!;H$YiV.j~>
+hUMSUrmo3@q:?/(g"P'8hRA9Lh9jlmcI^A#e/6<TgsM?R1gnbbik%Dh0j</g``+e$h:'mOdeVDm
+f)*treeZlkf[eX.hV$N-f$i+&`i%5:a3N;cebIW8f$r'ne_/^1hT1jl<DlOY6#tW$hVRAQf#u.[
+eCW:MeG%DeeGn+Ze,[pI~>
+hY[?Nrr(":!W)]mq>L3jrs8>ns6Zn(dI[A9rrE#rqu-BUqu?X2q>:3kq#C6is7Ee*Y-n9)WFVY$
+p\OgPqu?R.qtg3fr;$3arqQ3epWN'hdH19!pA+S/p\ajYqZ$Q_rhj(+D/F0;KB<.5p&FacnFZSW
+s8MljqtpBjs8E&sqXXF?qg\~>
+hY7'FrqX\1!;QQhrV-m&qXO1SkGDk4lLk2RrVkaLs8!N(p](*^qss@YlE-t[X7YkQ>*\pNoChhN
+s7Z?arq?Bd'__4np\FOZp&"@NrpdtmilpEWp@e=V*qT1"n+QeXkOP!793u"7DKsn5s6p!WqssIY
+s8W)prqH<`!VlK^pu1st~>
+hUMSUrmo3@q:?/9g<nC(a+d']ajf5$gt^H=eGn,:da[((dG*4(jNj!JM3-E?KKje>dalpqqpPAk
+s47(srmhe8g"=p/g=k02eCrC!hU/1B_Q:T*pXC;3e^D[jhUfp*KfqCg9hno%`9$45k18D6cdgb(
+f[S=Edf7_ldehPof&G0ZdXV~>
+hY[?Nrr(":!;cZirVI*&qu-Nln_hpsqu?9`r;$9frVGdU(]FC0p](0cr;ZK^s8MEcqZ#VlJF3C:
+p?DJSp_EZ&r;?Hfq#('iq=ajcaQ1aYg&(XAq>2<4s8Vlns6@R;;+=JqIB;2IoCr.Rs7Z3_qYKsX
+o(MqVrql]m!W2`bp]10Lqg\~>
+hY7'FrqX\1rV?Ee&,5elq"*_$bPUu,mI9i@p#5W]q>9jVqtTdWqsWhMo]Gu@pt]A(j88lFoCr:Y
+qtL-as76uup@n=Tp@\@Zs7Z!_p;,Y1Ze"pGpA=Uap)s,/qXaO^jh>"g3C[.lU!UaEnb);Ko(MtY
+r;$$XpA4R`p\sjfp\=RVp]^Ecp\+@Tk4aB~>
+hUMSUrmo3@s4%/%ebn#/f%8R*bIXe1e(2^geBub(e/6chda6Xsd+@%#c/[L"hV$f(86s<ojO2QW
+dK.kGq:,GqqpbYss3h_5f%Ja/f@J[.hUU$5fVH?dQ+,H!ebdkrefWT'gst3=aJ;<\-8S"oMn6%=
+g"Y!9f@SU'eBuRdd+%m>s3^_lq:#PueCN.#kL9L[J,~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg!W2]lq#C0iq[E/tqY:)BE<#q7r;6E[qs""ho)JL^s7QEfomg>p
+s8VNerr)lpqtpEkrr)Eb!W)]lq>U7=e\o>ZpAb-iqu?]mq>L?lo`+^_s2/eU;+!ZbYjDDik48HK
+q=j[YrVHQl!rD`eqYC'arq?]kp\=OXp\=[arr3B)qtp<ks7uQlrUp!Vqg\~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^!;ZWjs7u]i%.O;emJ:p4q"=CTp\+%Lq=sOT(AR=to(MnKrU]E&
+<Qb@<kPb2Oq=s^Yr:^0brqQ0\rq6?dqtU3c-d]W@eaWG1p\"CZo^hhPp?_VEo(fk0:.m`4A?+kn
+qr7&=q=XIUpAOjfquQZiq=jg^rq@6%p\=OXp\=RYq>0s]p%A%Tq=F:Xp[@_DpOE~>
+q:5#bl.,UZq:5;jq:5Jns4$_l!n5]KrRD2#iRH95>"RT%lI>X[o%+Z-akb=pgsb<<em^hIj5%l8
+f[eX(f@9`Ls4@8&p!irkqq;#'.'oYB]@Posg=+X(da?\$gstK?hrq%A4>S3+8s%<Yi5a7$gt:94
+f@KrNs4.5#e+qDhdf.W1cdC1hdF$Cnf@f!6g""X(f[nO"g!e-jo$dZfJ,~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg!W2]lq#C0iq[!5ps8V;S_uKZ"qs""hs7H6hoDeOaa%_Qeqt:!h
+rr)lpqtpEkrr)Eb!W)]kq>^=!legRdqu$?ir:K[]rrMrhrr3\,Mc=%M5]<pdpA4FLkOJBDp@e7S
+rqHEe!Vc<`qYKt(p[[kEpAP!dp%.kMq"agcs7Q0ar;-6gs7,u:~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^!;ZWjs7u]i#ljAnrn<C;o(MACq=sOT&GZ1mq#9^]nG9skL[b!+
+qtg<es7cEas7cNfnb;qUs7[o(gXt]^p@J"OmdL)RqXX(SqtQS18l[o7DQr'lq=F"9nG)eOp%J(X
+p\spgp\+FZqY1p%o'u8DrVlW`mdBQ6o(;\Pn+-/Fo^hkWnb7P~>
+q:5#bl.,UZq:5;jq:5Jns4$bmqpYSq#iEtgikTc/gXbZ>q:5&f&Co@Se(`1/f&E_bDq<[lh;&"^
+s4@/!s4@8&n^IQjrn78(.a5]Dce[I5g=49ig>Ul?fBVSaMKM0X/L+)T_UmPmccFPgg=Os/f$i$o
+rmChpd.u2fdMUBUbKJ8af[J0ldF-Opf@S^#d*pLkcd^\>e,[pI~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg!rMfgrV?Kj#laDcn:B!enbh\Ll22(ln,E@ZqZ$&5:X]::p](*h
+rVufmqu?TnrUTgdqYU3ds8*'$q=sshqYC-is8V`jru(aSB1t`_8V=b2p](6irr;K^r;$*_qYC!a
+rVQWkq=aX^#Q+N#s8;]hqu$I$rr)`orVZQfr;?*Tqg\~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^!VuTjq>^3qq<[A-F2R_3p?MDJq"".jq#9UUrpTOWl?>hDs7#UZ
+p&=adp\X[ap\ssXpAt'brV6Ee.Ji]-q"XIOp\OmbmHs]Iq=MC-6T[@oI(@i"rqcBcrTs.Np%.kM
+p%S4Zq#C*aoD/1uq"t'hq=aRXs8Dfhq"OOUs7c6[o(MeCnb7P~>
+q:5#bl.,UZq:5;jq:5Jns4$bmrR:_q#hdGGa]YV#ak#b,q:5&f&CoIQe_AF&iQtpd[-#rij4F:_
+s4@/!s4@8&n^RTjrRq5).G`V.hVQr<gY1H9d*US.inpe41bUL>CnnVpj58YLimHE7g=Y-6f[eRN
+ec4.pd.u6/e_&X1f$i.!i8EGGgY190i7HK-d+$Lao$dZfJ,~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg!rMfgrV6ftr;Q`nf5&M.s8;0Zl22(drqQBjjo;V^V>p;fs7l?f
+rVufmqu?TnrUTgdqYU3ds8+JLrVccrqYL3[pA4[cr9iC!8jkF0JCW*-jlbmtq>C*crr;llrVl`k
+r;HTlqtp<erVcEfp'glqp[n%JpA4OWp\Omgrs/GoqYpEms7Z![J,~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^!VuTjq>U-ls74B>]DhNhp\FUTpCR,kqXjO\i;]lMTDS0QrU]UZ
+q#C*cpAamdq!n([q"aaapb;I>q"OX[oCM_?n+62Gp#aeW5s$M`G0A"_iT'%dp%\7SqYU$\q>0m\
+q>0s`q"X[\qYg!`o,%5so^VD>oC_VAnFQDMqYBgQo_A.Xrp]IPJ,~>
+q:5#bl.,UZq:5;jq:5Jns4$bmrR:_q#h\+dYX>,>gt(c?q:5&f&Co(Ucd^dfk)qHSj4E#Ce^XTN
+s4@/!s4@8&n^RQirRk<,hV6lEhV$T:bL5"ph:p8kE%ia[3,64>`l?*BdG!F2gY^rEgYUiBf%/O+
+f[\U)g"4p/g"4p/dEg4dda6Fhf[SBqcHXefe'c^rg>(E8e^)[peCrX#o$dZfJ,~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg&c;D!q>'pbr;?EfnA#"ts8W#^qs""hoDe@Ys7tM\C@qPtrr;Ze
+rr)lpqtpEkrr)Eb!W)]mq>C+,q"ajdr;6Els8Moqj,>`[4@N]2r;Z?Cmem(rqu-Nlq"ajdq=OFW
+q=aLTp\FXarVulqrrVuep\t0mqu6Ntrr<#squ$Hn"9/,orUKc8~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^&Gc1uq=saZp[dq<[f>^gq"F"Iq=sOT&GY_omJ-_RfN_tTrU'F[
+nFZ_Ts7cEas7cNfnb3%YrqZNf0D>#.p%J(Np&G'coCq!m.QT@J=O6U9l.5(qs8W#mp%S7To(2SL
+oC)8Bo^VG@o(hqWq#C0hq?Higmdg;UrVcEtp\=OWo_/+\s7l3ZnFqG~>
+q:5#bl.,UZq:5;jq:5Jns4$bms3pqss47P-eB43>d+d@,lI>X[o%+H'b2(4jiRY_09%;nMgu6]4
+rn.8&qptf!rn-bjrmgu!9A.tJf%Jd1f\,BJhq[/0D\jcF.n@D9m+B,#j65^fiSEDLhV-`@hq?E*
+f$r0qe'cgsf$r:#f$rF+g=b67gtLT5d*ge0hq6W9gA]h5g"4g.hr!#4eCF->!7HA~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg&c;D!q>'pcr;HZdTk4-$qu?TZqs""[rVuEers4<K[f>mtqY'sf
+rVufmqu?TnrUB^`q>C-ipa,b7rVZNdmJQma6o/FB@&a%qq"=7Dp](9hp@\+Ys8Mlns8W#orr3*"
+r;Q`lqu?Ejp]1-hq?QNgs8VueoD/Cb%/p&!r;Q`lmIL;Onc&(UJ,~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^&Gc1uq=saZp]'KF>k%UZqY'4Kq=sLS%f-%ir;-GD6*U=Rs7PpZ
+rV6EeqtC'arqQ$X!;QQhrV/&>oC;DFp@\%Gjn/2A4=a`!=.o-Mn*K?#nbW(QnF,iEr:opYr;63]
+qYg?fp\F^^pAa^`o)SF^o`sgXs8Vf[me$MQ%/0;ap%S@TkNr$7lhL#EJ,~>
+q:5#bl.,UZq:5;jq:5Jns4$bms3pqss47M9b^2S(hUL<EeG7Ybf+6Hcb1te4@jdT&dGrm/h:hk\
+s4@/!s4@8&n^RNfrRW^Te^`7)g=b03d,ErH.2Y],7ZZN^hVHl1g#CuFf[na:jP\hNjQ#%Kgu$uC
+g"Y?Yf`0J$eH"2"f*BRSj5\e<d+83N%,0:`f\5*/a3*#[ak$%4!7HA~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg&Gu:uq>'pcrVuWlfAZT+nFu2El22%kq"jj_cVT5^q="@^nc/Rd
+s8;cks8;lplhg_[s8=PIqu6Wpr;Zf8AMukG2a`%lI_i+WFDZ/LKSkeIKS"`$H$t9pH$t6tKReN%
+KDC9%N#dn<NfT9`LmtB;MLC/?K8,8ANgQcP^qZqWda$MFnb[h~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^&,H(tq=s^Xp?hV"f^]")n`ffDq!n(gr:BUSoZBgTlLaBAq!@tX
+q#C*cpAamdq!n+Uq#0q=p%7qNo^`%W]3HpJ5;#!>T6@c@Q#(#KG'nmrJp_lhF)c>KG]@nQIXQKc
+H$oF;s+MJJLPL\BM1LncRY,d3ML9o+KSP\`Xgu!=Y0=u8s7,i6~>
+q:5#bl.,UZq:5;jq:5Jns4$bms3q"us4@;(#L_D4]@,ZZcfrsTea_6%gsag*euUK3c.C5"gWn^1
+rn.8&qptf!rn-bjqpkYs!nc,Wrn/[ckGh/p-nZMhA;k#qOb?k6=CGiZEG]?"@pWDJARenK?=I>K
+>?tY4A,g6`C27U$D/Ej/L43c=@;]I_B4u('KTM^lKoW75Yi#$$!7HA~>
+q>Bd[l2:ASq>C'cq>C6gs82Qg&Gu:uq>:*gs8V_[S,)sWr;Z$Ykkkqds6]c&:sT+;r9jUZp\Omf
+s8;cks8;lplhg_[0Db\JrVZWns2fFH5=IbDR@^=<H]4&9FEW1fIWp!`J:N)oG^Y3oG^+UdIsQ?d
+Iee=4H@(!dI=?ZqKQqBQH%13bIXQHZBPi3WKqariJ7af9nb[h~>
+q=sLSl1k)Kq=sd[q=ss_s7c6^&,H(tq"OLUp$.X%nFH2ErTX(Pq!e"fo_n"KBhQSEp%R_No()JQ
+q#C*cpAamdq!n+Uq#C(Ao_A7UoCV\J^hkkc4>g3%Q(NkRKSXhgDKpPPDf9`BG]n(GFaJ=OEHQPO
+F)c;Gq/d^"FEDYKGBe@\EG&s*G]dqKG&_2(Ap8rXS!&>K@#+=CpOE~>
+q:5#bl.,UZq:5;jq:5Jns4$bms3q"u$eO(bg<Xnae'l^og?I,_eaV0#f&+X(9.m=%f\4R/eC<+L
+f`0S#f)OA$f^[Jgec45SeC`R0f%8U1Y?iJ%.jRT6KT(%]EHPen=^u)Q>$>9C@prVH?tNkN='8g6
+=&i@,q,e_?=BJ^0>?kEA<D-"d>Zk!0>#e6b8m5n:IWAk#5\8=5e,[pI~>
+UAGMunbN+\m/QtYqh^jCs7?9edJF1Fs8MJp:QbS,q]5P4s7l<fs7u]es81f4=["l6DU7VJq#9UZ
+k5#&IdJO1Cs6p![qu6U"p]'s^r;Zcdqg\~>
+U%])fqu$9Qs7,LFI?XI+n,)h;p[Rq^p%nLLYY'lKl1XZAs7dW.qYg$Tr;Q9[lM'i$Io&!W3b?=i
+rp]XApYPH?l1+E)oagTikksi?q"jmWs6oOPqY9UTJ,~>
+U!sUreC`Eqj4;c4@s6Vcbgt2#eFD)pfA56,Ot:M(q:P5gn^RTh*RiWre'Qn/e_8@)f"GZ[-6as>
+[F"<sj3Zf-h!3>Xh#Q3hfal]ncJm7(gtpo:j3lB,g=YuG!7HA~>
+UAGMus6fFWs7cQTV9T#>o(i=Vd/+%<p&A>tnabB1+9)38q"=:Xs7cBis8%^B>!#&b^Z4;QmJlGN
+s5j(8s3^cErse]%p&Fm\qt9j]s8Dlnnb[h~>
+U%])tnF$>QmJPY*_=[cqp]'aAp[Ik\mI:-Y:[IK5p@7l0qt]sWnF-)NnFQVQn:N_s1HAjOg=cAb
+rSdPHh=91oo_%kLo_%kLo_%kLo_%k7oagiqn+uJKoBl2<o^VbOp@e%NJ,~>
+U!sY0aj&f#dcA5qVqKtNdFlXiimdPM#h[hWe)NMEcHl==n^d6[0A+k,e'QFoj3uW>gsp'\3?T_I
+V9-aBdd#':j2frkin`AFgYLW?gYLW?gYLW?gYpfrhW!)Ddb`U'f?r4"g"4g+o$dZfJ,~>
+UAGQ!r;HH^p&+i?@)r<@p\t$fqU56GqYC/];T8;.g%uljp@nOcs8D3\s8Rj/7q"hTAE!R\i:-d?
+oC2P9r;ZH;q[`Msqu?WpqZ$QpoDARcqY]m\J,~>
+U%],rs7YjJo)!E(]D(gdr;6KgiqN!:#P@WaQVG9arTX%GpFc:3o(`(]p>Y]=pO+>L<B<9Jf`1<j
+kkXZ4kj[C"s6fRRp%J(Pp%J(Pp%J(Pp#,NSo'c5MpAaa\p\O7Kqt9RSnb7P~>
+U!sY)f[\6ofAg*sU"n#?e^;mpimdPM#h[kai-I&Nce\QNrRgYkn^K8GdF?n+inDE)hqhlQ,<mG'
+8]U2N_q!i$eBusgh<<ACg"Y37g"Y37g"Y37g"Y35j4Fprf\"p=gu[/EgYU9.hUpE1o$dZfJ,~>
+UAG&hnb2hXrs?T5hu*EPqsF:Wdea:LkOCr[s7uBAqZZfms7u'Wrr3b:DHU(<<ErXjs6\4VG[lj$
+Rq]4us8ULDrr3B'q"jL[p]('dr;6E]qg\~>
+U%],gq"Oabp&27Wd.$c/r:'^\iqN!:$3/uM5&C8ko(VnEp@@r#p@S(Vo]G]DrqN:!:/"&H;,*#H
+jiPAY>DV='@B8VjqU,!JrVHHanal#DnGi(Op%7qMp@@s.~>
+U!sXsdFR45h<:JU\^o?fd_jP^imdPM%+s[`dj.`LeBcXof%0fPn^d9\s41Q0hq-$$k2bEX9fP$`
+2*EsDk0UE7=[[8RHqKXNj5AVCg">!1g">!1g">!1g"=s.f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+
+f[e^+f\#6EinE#;c/I15e^rI*f[\REe,[pI~>
+UAGQ!s8VWbs6GnMeGfLJo_A1QqU56Gp&C(D^%hX#g&(gD*rQ'<roV.A>!uFmGGgU5iUlp>m>56H
+nE"gm\b,Xne+sXQp%ZXmYKXksaRB0*q#(0enb[h~>
+U%eTe%dru_hh=M:n,E.Rq>L'_iqN!:#OhJF6FcXanbr4Lp@@r$p@@eIq#'m@\S=o!8kEcdLKE3s
+naP[m=n:h6Db[P)nFk?*&bbY^_2G82]=,Q>q=F.LqXX@NpOE~>
+U!sY0gWe=(a)Ec:f]:`/ccsV\imdPM&D5UpE@@=,gWn<seC<(#f\#`Fo$h+!e^`F2in_SK<&l3_
+2HP`V6,:t$f$%elf[%K91RQY@f[e^+f[e^+f[e^+f[e^+f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#
+f$r:#f$r:'eCgjDNiSkDV9IcIeC`U*f(7AkdXV~>
+UAGQ!nc/1Ws8SU)jmi?GnbW:YqU56Gq;k&,qsO4Yf_Z`irVZK3G<eMYIG*]]kA\E?s7bp9?&8:B
+oqbW7l2T0-&,ZBs:p9N^c%rS$q"t$io^Vg/~>
+U%],gs6o[]qhnY-ipu^0rVuciiqN!:#P6e:MY?<*rr)TYp@@tXp)a)(o^T\42)m@1bh)RBA%Vd?
+nE/8%JaqjiSkX=ds3^QPp&C7IW9rojJZ/83o_/1Mp@@s.~>
+U!sXsg<S@3k'9M5bLk:bd+6CgimdPM&D>m_.<*t`dbE3ueC<(#f\#`Fo$ei6g#1ZAg8J$q,T^7'
+`oY<=U>t4]b.0QEe]ZHq1Kql\f^m\Qe.L9dk^>1Ge'Y7.N7lb5g"t$*o@*cgJ,~>
+UAG2lq=OI^h4(eNrs&?"s82B[qU56GqJ:-AnGWCXg%uois6R1Q<&mleXkiIGqL*\fnFlMSl:n/R
+nF*keErYP'e+aLNo)EVpec5[BDKkmNs7u]jnb[h~>
+U%],oo_&75N2-1CnF$/QrqQBciqN!:#P;SBm-=BGmeunIp@@r$p@\IHY(TJ$86DV5ir&(YD=Zu]
+mec$6TCqI4Ytf*7kkER$&bkYdB0+<;s6aN=naZJHq=F=NpOE~>
+U!sY&cICmcGEM(Lg!na2dE'MZimdPM&D>o<<7K:KiQKZteC<(#f\#`Fo$ei6gZZnMD`8Rm7ZbC5
+mFtrNf?2IchSq!rfZhX*1f<DYf(%8MdLk'Yi(tZ,kiUAh<n5aVe_JX)o@*cgJ,~>
+Wquhnqtg.#p%n^d\n8SLo)Ja[qY0FWqV:uIqYpBjr!08uZ2ajns7uEd!rVrnpA=gbp\Y!g?hruX
+AnY7DJ`u(mr:\QNfD>.*rUHXi_=.?W:K>72qYL!`q"jd^q"jd^q"jd^q"jd^q"jd^q"jd^q"jd^
+q"jd^q"jd^q"jd^q"jd^qYgA&@/TWfs*.rHq>^'bs7,u:~>
+U%],kp\OQe>--uKrqc!VqXjg_iqNHGq=jm^s7HVn8ZVjglh^;Qp[\"[p\+@Tq=jaZs7J#7hi_2L
+9Lj9^f)"k"`EC@RmcF3.S63Adp=)W.])2*nq"ORXq"ORXq"ORXq"NbB&GPkg=B4nWlhYU(nacYF
+pA4=RJ,~>
+%FihUdaZ^pdaZ^pdaZ^Ke.C$Wg=V`[Qdj7?h9=<n`n&SteGe%peGe#)f\)6?PN:WGgA]P#eGn,"
+f_3kueCN.#q:,;ms4ALJg<4q88N8M8ahm8ufX+2YeBZ%bc$qgGbLsBV1n`gZf(.>MdLb!dhF'Zc
+eC<DX5Ln?Cce7%Ce,[pI~>
+l2&O!qYC6fqYKsus7H'AX2=N/r;6Bfq"XUYqVqDOr;ZX,qY9jcr:p<irr;(mJF!7-q>9s_qu?Qq
+rqucnr;?Hlq?ZchpA4d`qt0pfq#C@1`g_EpF)Q?EWPn6)p>pOts7YIPp?mH;rdQ_ONPYGjoDAC]
+qYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYp-^qtKsdrsmOY8ETEDHr.o^p&G'`
+qXOH5~>
+l1W!g!VlEcp^dDnnCFDImJ-AJp@n@Wq=rqCrq?Bd#5J#is8)BarppEK@!h&9n+?AHqtL'_!ql9[
+r:^'_$MaJjq"FIZp%\"Srp^m%pq)Q+@:itd]q;mss6JBUSb2:%q!I-c<;q"EEeCjir9X.2pD<\r
+o_A%PrquK083>MdU2`W9p$VhZmI]rCJ,~>
+&(/bOd*^4fd*^4fd*^4fdJ;85eFD)ui6g#aLnE)Lf\"d)eGdnTeGn)7eC)alcd1:nce-b!ftTm[
+aPkIpeC"0Cq:>Jn/(2qqeC)jmda6LreCi7-e^rF4ihq35:fC.lUkGA^k1.CQM;HXmgX+&H3W<1d
+=(n,RiQp*/e/$Z]dFHUngYV#%3%N)!Na"05g!\j=c109`dXV~>
+l2&O!qtg9dr:^Klo_eWOKCT!0rVHKfiVWZS(&[t*qY9gQrVHQlq>[7)e,8k;qXaa_qZ-Qmrqu]l
+q^q[7p&+UXqtg9kp](-joTFHBK6_jIn;D\Rs7H/JGOb:kq==:PBnl9Xs8DQarr2urgA;]^q#CBi
+o_%bQV,i"o>[E-@nc/XYpAb0_qg\~>
+l1W$hp\5!^p%=;nm/H8Jp\jmGp]'n$p@n@Wq>0RZpA4CKrK^s>q!e.Rn,E.W!;?Bar:^'_1&1;3
+r:os[p\OdWs7?-PLMLREBl0R)JTKNEmIQ*Ol0I?tkj@YBI-U:soBG]@s7l<ApD<Mprr;Z\n`oV/
+7W!0A;gQpUrV>^Hr;#mWJ,~>
+o$@Baq:!I8n^\#pg":7OcJH[of%\^SeeQ]_dEg.``R`GheC*K,6`eh_f@.suq:,>nr7(Vl0[%en
+eBun#gYUQGgum41>?bWA>)pg=<kRJ?f54X>eB-4bda(<ice$t)cI:b5gXb*.(Xg^ch9sQnc/4=;
+?=H)_B"cLKh9==&g%*VmdXV~>
+l2&O!qtg-`$2=5pp#Dmas8VilqYg3Jqu?X1r;6?eq"XCXqYp*dj]\/Rs6K^\p]('dqY^3es8!Q*
+rVuonn+?Y[p@mpWH?jgSDmAHUI!"6ErscG2^An'(s7ZKY<LNRTrr3,tq>C3hgA;$Qp@S.VrVm4U
+=7#IS?`a;#p&=sj!:fUVJ,~>
+l1W$hp\5!jmbFDGs8VZgp\jmGp]'n$p@n@Wq>'U\pA!qGeP)8.rTF4RoDSLZqY'd[s7e;?qZ$Th
+lL4TIn*K#-D/=&s@\h]!E,*nupA_?c[f>pcs6]jG9T\Z0q#:*ZnFQAIg@lE_o'l;Fs8VrfF%P9M
+R8fmWlgFNCs8VHUpOE~>
+n^70]ajfk3$/X+FJXtiYdam"(eGn)$eC)bDcO\1LdFQLo^+sigg;Mgqd+\'?psLkAfA>B7bgG8+
+e^i!->[1Q5;O#20=AQK_g#J;ITBY+Yj3Zi*06>LfgYpr;e(34'g=-qnccskdh;@&JAj"DhLd6s]
+daHn*j58)Oe,[pI~>
+l2&O!qtg'^#Pl#YVtfcYrVcTkpu2,Mr;ZZoqZ$=$s7uBfq#?:alhgJVrV6Edp\P$iqu$6ds8"5E
+s7YpVs8Vc[s/KjiR@AS\kl/)5AF'9qo^$+6s7?9[q"XisC"NC\q>L6k!;tRJ(\[P#s82]hmJ2<[
+nc/Vp5L0</qZ$B^s7,u:~>
+l1W$hp\5!c[<&#4lh:,Pp\jmGp]'sep]($gq%*N"o(_\HITPY*o_SCUrpogX!quB^q"Og`0`1n?
+lLY&UmcXSA@![clDg^=0X(PPns8;3E?#oo2qr[A9orVWIq!deFqYU']q=`P:(\7+lrV-'Zk3d>/
+jSepQ1rT+foD%nDs7,i6~>
+n^70]ajfk3$.kSGK@S5tf[eX.eGn,"e.^9XdEgRpcdpOtA3Io]dFZssgX#ZE!7LhqpX1bJi6f]t
+jQ+h8k_i,KH[]=<bM\ab5fVmBcH/@Sj4325daHd06a>Cpe(<F4gY(92g=-qbcIU_!eC)ImA7!aO
+k<9rfgZ6r?e]m(De,[pI~>
+l2&O!nbNLj]nNB]p]'maqYg3Jqu?Toqu-@%s8)Bbs2&?[s5s4Yo_\U]q"k0iqtg3_qChX4s8VNZ
+n@NssFCB?KXoJ='@<V\Nr;65:FPcuoqu?Zj^gp?Zqu6BcrVu`fpAEYA(\[k.s7#X[s6s3ps7$#9
+:tbO7mJ-MMs7,u:~>
+l1V[^#QD/\T_@sQn,<"Zpu1uIpAamcp^dE"nFcgj=0_ebp]'aWq=FCU"8MWcp\4G;p\".Ar;GgD
+jfiQCB2N8cSbDNI<,;7-o(;EpD:nUVp&F^R[p)G6o(DJ?o_.hBnFkT1(\7G&rTs"Ps5ctKo]>[b
+7FLVlk4A67rUKW4~>
+n^70]ajfk3$/q=]K@n]-cdp\!e,[qrd1=pYc-t^B4dG!@eDAI"f$O6B!RfBfdP98%e]Zn0c-ak+
+=^b>t=)!]WhNC0)hW*5>dooV_h;$cGf[?3P/=Y2BdaHb#eBlRng=-qbfAG<(bhM.)4HSUPhd.tG
+daH7feBm%Be,[pI~>
+l2&O!o(iXh`MW=os8V`grVHKfiVWZQs82ck&+fhsp&&<Rq>Bsdp%87Ns7uNmqY9^Z.Jrl>qtL-_
+aDZI/YB=ibhuEP<<5nn2s7Q<*8]^r$s82igh4Jn&I`VE_s4R8_s8)H]pAb-Y\lHcMs6b#8\>7=I
+rr2ubnb[h~>
+l1V^_#kl!)mc=?Hn+Q_SrV5@Gs7ZKerV-ons7>^N=Ej3,o)J7LqW\"TpAt'bo_:-7nGi%Gp$05#
+DkWn=@@GO9m>+9Cq!A%HosmE*s6BFRq<QOrDHq>!o(MtYq"FUbg%Q<_p@@_Dr;,NY8@e]sj(_Mt
+S](:!rr;0OpOE~>
+n^70]ajfk3#,6ata5>q'rmo]NrR)5"h9jR"4C-Cdcem$mf>cSAe,[qqdIu!BeC3L0eD/HL9jE^@
+=&OslkM12:UYjP]d+Fj8V<6.^g"al^Gu6e.U=IrRhqQi@iRu]sh:']pce6pkR5Lr.kfm'fQ%>je
+g>:f/o$dZfJ,~>
+l2&O!!;c]iqtg3e#C'_Xs7uQZs8Dfmpt>NTpAb0bXB3C@nc/XYrVZ-aqYL?jq"O[\qYL6h0)Y>@
+b\h`tVM/r``qBAFM/<+Zq>^']h._lEr;60ds7uH]s8VBapAP$foC;JHg%uT^nalb[s4=#A=cL&f
+s.s:XR-FYEm/R%Sqg\~>
+l1W3mrqQBbqt:87>Q=`qp?;AOp\jm?pCHilqX1+R\b>@hrTs@Tli-bT!r2Tfqt^-a1&(D3o&okb
+@Vq-kF^L?@jnu6.@I`IJs6T:,@Yj[Np@7tRoCD;KqW.\Gp\FIKlgF8qpD<Pjn,!(]e"&p&K!=VA
+SmH`*jT"c5rqc0ZJ,~>
+l-mc(n^\"H5N:_SfZ;dtf$i+ZceI1!L,#=RbMV$qf%%jrqU>SpdEh^;qpI4Kf%/O#jJkmWH\Q*.
+KW!DiSnh'Vcdq7*e[e4cf@np-gtU<+c/76niR$30eBQ1^d+Qnbe&ondhUo&\/3%O9f&hWP??F3I
+dDt(ro$dZfJ,~>
+l2&R"s8)`iqtg9gs83,NPkk4Ep]'d^qYg3Bq[`_ps8-5jrqufrmem+YrqQ?e!W)Tjp\jmaqZ$FC
+r;X6;A>@P9;ba=hs8T`HGl@I<s7QElUI3i8o(rCXrUTpdnGN:\qu-Egrr2uof_ZE]s8)Hhs7Z6#
+U$qsXr8c5nrqH0crUB]7~>
+l1W3mrqQBbqt:9=NUl`+o)J(Tp\jm@pCR&qkl(-UNUl]:s6BCZo(r"TpB(-cqYU*fq#0q@p@A3`
+=]h$-KL7nllMUFY?#B0#r:fOQpmaP"q!IbPnG)AEq!.SJo(DbMo_JObo@WdQq"sdUr;Z<TZBjVD
+o(Ch\lM:#Aq"jdUpOE~>
+l-mc(n^\#NERi[aeD\X&f$r1\f%\:%f/ms(f%Jp#e_\X(dJD>oda?D<dJhSme1fJ*k*8;#JZj&L
+/WAHOl(:[Qgt:cGdbW]/+hHFTf\b*/bh(Lif%AF$f@AC(i7uf6e/$Tee'H_'dF4M6bhC\%^oYc7
+eC*"&fCIDkdXV~>
+l2&R"s8)`irV@&us8Dikr;V)1p\sjcq=jpfqYg3Jq[ieor;?Nnq#(0Rs,1%Qo)JXZq_%aBrquH_
+qu-<ds8N&es8VZ"JRXefN*f%iaoDD0Z?2f;s8W#ss6nZ5\+]Ils8M`pq"ad`rqsn8rVlcnrqlWi
+nb[h~>
+l1W3mrqQHd&+TMjp%7tUFHQ(emf2qMqYg0epu1rYs6BFUq#BpXr7q:&:[@9Dp@J#9q#(0kp\+L]
+p@nU`qs+4Zl`>,*K>2h22d<iko\u][PjnSGo(r@LdmUM3nbN1Vo^_VGp%JCZq=`82!;?B`rUp0`
+m.Z#~>
+l-mc(q:6/*g=Om)f%j;JeCr=/f$`:'f%\[cg;MRnf\k31hnS,^1sjJ)f(7BKdaZq#cd:4md+$n'
+gWJL1cBMU"E3*e;,YP-'j3a)mKA,>Cg#1r:\L3Zkdb<U/e'c^pe^j`Oq:=!D"kMA[gY(9Yf_X1i
+e,[pI~>
+l2&R"!;cZhrVHQo%Is2ms6P$Drr2Wkqtp<iqYg3Kq[iVuo`+URqXjdes3P#Jq"Xm[q_e6>o(W"V
+p%J+VnEToNs3?dCL&^=a8SP+"s8W%RAEimhs8;opqtbYnf`1aFs7c?`q"ad`rqsn8!;uiqrqucm
+qtfj[J,~>
+l1W6nrV6?c%f?:lnc/OIE4,H7n,;tRr:g0bi:dcSs75LKmJ$GV`_r>pn+ubKpGDC3q>C']o^hkD
+jn/HF`/%cDo@RqA>+"[Tq!`W5h!Ok/o(D\Jo6#T4rUp$co_.kIo_%qWp\FO2pBUEbp%7qMp@\FY
+lh>o~>
+l-mc(q:6/4hojF*h8E0YgY1*5f[e[*f%\[cdE^RobLOtnguPLpJ^`'$f(.<Ib088_e'H=de]Z"b
+hqb8K7q(>p>:2ppg$7bVC.HJ#hV?f>gY1=bA%(7FgYC9.daQ^rf)F:sf$`%Qf%AX.f\"d-pt##c
+!7HA~>
+l2&R"$MsPlq"X^^qtom\rr3>MT]>89r;$BkrqZNhrV5CL&Gknms75j_qZ$HjJoUD]rV#gZ"oA8n
+oCr4^s!mgDs3c[JLXj@f93$l@nc/OFA:O"1s8N#kqtpE67EYE*q>1!]qtTs_qu6N7qtp<jqu6Hk
+p]10\qg\~>
+nb)_OanPc/s7cQe&*il^qXq^jg>Vu&o(r.Wo_nO_pu1rYnG<1RnGDhRn*kR7m.^5Cp@@r6s7c-Z
+qY^?ms7--gaEqcN`jTPC8Ufjaq!lm;FQM?Yp\4.Ko_H<f`:X*'qYTs\o^qkOrqOS/s7QHcrV$0`
+rqQ!WJ,~>
+n^[Haajg.;&^&\VgXi6F]>`^\e_Jm3eCN4*e.BdPgs".$fAG-2?V\u&g!J=@e2,h+c-b.rgYh&?
+jQ!FR<F`;-;^XA7dEgh,_*_VWalqL6e(EC3V^8@pj4Dr8dFHXle("BIaOL7@"PD;VeCNm6!7HA~>
+l2/X$#lFDkq"X^^qtp<k$F<ais8W#qqY^BhrVQQhq>BOT&Gl.tp[nLcr;HYr?d&KJs7uKgq>2uD
+r;HNep\"1Ls7V^kK\ug<>!@5es7lWf[p+pIp&FFRs8;ZlnS*F@s8M`fq=OLXq>1!fr5ed4r;ZZm
+qYg3Zqg\~>
+nb2eQ`VBK-s7R!$q=aOSW(PS:q=XISp\XU]q#1$apuqG_r:fa[s75dVT2i`)pA"7RqY9m\1\UbF
+q"4.HmHaT5M-4uHoqtG9D:&"Cr9LO_Lskblk4&9@nbMH[GO5;)oD/4Sq=XFSp\ss/p\X[]p\jmW
+pOE~>
+n^dNcajp4<&_u'kf@Gg1[c#uog"4p3eCW=De`kQpdFH^mhrE>Bi.jFnhqHi6fD=%ne2,S)g""Ku
+d*U+sdW7le]\nr2)HXN.f&kMM3c;R[kfhN4g"#!,8R9a%h9sp*cI:4ie("BI`mb">jjX:YJ,~>
+l2/X$)#O+&q"X^^qtp?lp%?bKbl@_;rVuWhs8;imrV?9elMD.hs8)<^s8)TimqIXYo_/.]q>C'c
+"Ru<do(2k\.dX!VHd_]8CfarWs7?-fqkR5^qYg3frqcNlrqW9cebo@;oD&(Oo_J=ZrVQBddJNn?
+rVQWkqtT^YJ,~>
+nb2eQ`VBK-s7QutrT`[dZG-;9nFlYJpA4O^q#1$aq!%Mas8;H]qXa4Gj'@*/mI0`Jp\O[\pG2.2
+q<dVIs7kN?Bl(WK]N[p)ZLd8Lp[k"PQ1anDp\FFRrV,oR9@*D.oCMbOoCVbMp\jm.p\jg_p\XaU
+pOE~>
+n^dNcajp4<%bKR]bbp`"i8W8>gXOm0rn$bll-p9te]u_#f@Sa$7qLW+e(<O0qUPDk1<S/"c-G2,
+hoLFN=g?S\8M`DrgX"O/g4M80f\P08gt($6gY%07\)#fhdFQdkcI:7lrRJs<!RfKqdd#<^dXV~>
+l28^&)#X1'q"X^^qtpEnrr7Ifs7cQbs8VikqYpHkrVH?glMD.hq"FF]p@\IcO'U*3s82Hgq>L-d
+&cV\%qu?]TZs@CZs7_UX<.+*3ru:'4:p9Tis8Vcfs6fped8QG2rV?-\p\"+HqYL0fp\N;7rVZWk
+s8)Wfnb[h~>
+nb;kSanbo1s7cQe%f$(qoPnC5l1XK>q""1Pr;$<fq>'=MrqHrrr:04Sp4H5[pA+@Lqt^'`pG)R?
+o(N+`f;MGHXSV"(6U>SJpA=R`hI0$Vnb<(`nb2qFs7si4P5"eFo_8+QoC;VMrV4G-rV$-_qtT^U
+J,~>
+n^mTe_:B4OiRQLY7b>l=d+mC*g""d.f^m\ZeGmr,d*g[tdcfV+40@>qf[8ILf(mfMg=Od*j5dq;
+3C]P*enmB%=NTFZh<)XG0TFT9ioJV@h8nX3Yqp^`hUpE0e'H4Zda\6Ga40q5lI5g^J,~>
+l28^&)#X1'p\=U]qtpE_s807Fs82fis82Zmp&4jerVH?glMD.hoCVhXo)/O9<Lij]s8Vodq>L-d
+2?!COs6dRVAuk+pf5"-4^&%d/meu0`H.)`mq!dnTpAa[_l\o?5qY^0cq==(Ko(r7\r;?HdqU,3?
+r;HNkqYU'Xqg\~>
+nb;kSanbo1s7cQe&,PJfn>NkrmI]oHo_&1Pq#1$eqYBsPpCR,mpA"XSp&;s#NU638qXj:Qq>'b<
+q"=FYjKj5;SC[AL<AnNjlhpG:oA!u#c2I\:n+-MPr9O@EL0`[0q"=IYo'uGFrqQNh!;OV/!;??b
+p\=:QJ,~>
+o%=#pq:3=4%bo(^dYjURd+Qq,f@Sp,rn-hnlI6BncHaqqce7Nd1O.L'jPJJ6q:>Ak2;$O8hT;3s
+7#AqH[Rr)ZSCZ`Sak4C%=0UQ?f[/+-eD/7*aD=5_h;-`<f?VRbbL4qkf%/Ble,[qrdJMAYe,[pI~>
+l28^&)#X1'p\=U^qu$K^s,!HLo)Jags7lQmo)&@_!rDimq>KUU&Gl>"p\s[]msoHHs8VZgs7Z9e
+qYLg$s8Vi>Lh`gas5oSO<k.r(ru^n5[Tn1Oo_\R[r;5p]q#CBB<3#iiq>($bm-j`CqtpBj!;lNe
+dJNtArVQNh"ShigqYKaZJ,~>
+nFueSp\>6mq=sd\q=sd\q=sd\i;*?H!;HKd&,kViIZsZiq=jU_o(`7PpAF^dqY0gMpCI2sp\X:N
+j`G+opAF7Ms7,p\rqH?as7J&4_gGdZn+G4a8OK?9p\OdPs0#FGn+$2Mp&"XTrpfaYb>"f*nb)SP
+q!@JFp\FU`q#L31pAjpbp\jjhp\=LXn+V>~>
+n_!ooqUP>k%+s.`f%AR+f%AR+f%Ap3!7^kr&`C[f@!:DIgY1?@db<[)f%AXHf'1Zrf[SC(c.gHK
+:s@kXce@C+f$sTJrm^ks1"tF4X(FnUg#Btm4#NAVkN(XMjHDT,daHh(f%es'gsk'6Y;;'lf@nm4
+f#Yt\cdUGDec=7@e,e"Fq9nWZ!7HA~>
+dJWh;lMLnaq=sd_q=a[ars%n:U&4lgrUp'gqsXIQqb[=gr9a7Y`*9q@s8;`mrVZQls8W#or;QNc
+q>U<cp](9ATNmEJrVt_l96SGWr;$6gs12-TiVNTHp&4a^q=jpbs*&>Wr;?Hgq"!nBp&+ZqqZ?Wk
+qX=<3~>
+anP&p&,Z5#qtBROq=ajKDO0eho`"Rcq"NqGnb,fXo_7S=s1M:9iVN6=p\+=Rq>0p\p%J1PnFQDI
+n*p&@^Ptm4jR2Wf@R"\Dr:TXMoD5[bF56Hdnb)kXqYTpXlLeq$nFH8Gp\"+Gnb<"WUA'0~>
+n_*B_%GB@df@ed/f@ed/f@edOeEPKtf%&@)e^N+)gZ-=NGgP0ne^rF'fB1WRekk8Tfuhh*TfAL^
+iRui;g=Fa%f%&3reCN*qe(WI&e(`]]HoYlggYKM9.9!,'gXt66iKl<&^Y%Aje(`R+f$iF)i)NG(
+g"Y34eBZ1YcdgI[e,[qXe,[pI~>
+dJWh;lMM4jq"=I[rVHHkp$UPVhZ*WNiV`6Cs7cNm'(^EciVWZMq>L9ls7Gj]s8D]hrr4kSs8W&e
+SptV:s7-,I8m%>?r:0X`s5&K4Pk4qSq>U?foCVbPs8TE&YP\7trVH9[nF?5KqP*k;~>
+anP&ps8!3#qtTjTo]bA]^X`8Yo&9B6pAaVVs7uQYF(O(tqsj7NpA"UTm.p\Unb)q^rV$$cp>h-G
+=3p6kr-U\'NSjKup](9BHqo[fs7uBcrV6'Zq"F@XU-bXDo)JFVo^MAAq"g]YJ,~>
+n_*Hao%=#pq:+ZZ&(AtWf@nj.g!@aGTsi_,cJd=Df)O5njPA_?=%U-Yhpp<3g=t<&`mrkncdUh2
+i7ZoFg<=kI8\j0-l";>#EPpMVf])&,@l8>UjP8ABgXaa!e(<ICO=uUHg#Ui:e'6%Zd%SqhdXV~>
+dJWh;lMM4jq=aUYr;?NiqNbpKrVulsiV`6C;#gCls8/NqZ2O_&q#10gs8Dutp$D;Ms6og[nbW(&
+Mg)Z1qZ$SR?"2OfrV?-dmc&XtWV$5ap@A7]o_SUar;ZCsHi3p?s8MieoCMYKq"g`^J,~>
+anP&ps82iks7ZiknEu0Abk1`+rSdPAp.tJTq=sTO<N>clq!n(Oo_A1[r9re8q>][Mo'5i;_1?3o
+n`fuGHqm_hq=aCKrTW'W;PNRRnaZ)Hr:Kjcr;$$G;/GaqnG;nOo'l8Dq"UQWJ,~>
+dF\3Dl.$<oe'un#g"=j)E($kZf[SU5ea_3dgt1B;fRGoAg>^o<g=k36e_8[#`66imbLY7if@Hj5
+<0Q7llJlM;5.BG)f[Jd&_-AsUe)&U(d,*L)f%\g1hpFVjg>LT>g=4Npc-OecU=91kJ,~>
+dJWh;lMM4jq>:!]q#:<ks.GbOs7Z3]iV`6C;#gIbq:/<'pAP$grVuijrV?BirVuoqmf3.`s1ic'
+[/^.*n$Hk:W;lD^s7cQnYZlRrs8Vrkq"F[YoDej`p\g^ahZ*WTq#1$\o_&"RpA1N\J,~>
+anP&p&,Z>$oCM_No)4f4lhBo=n_s95p.t\\m./FnM=:05o_/4VnFlJIp\4Rap?25Bs80?EF/nj!
+pY_fO:RV1CmJl\Pql*P9^\\!%o^h\No^i+_p[n!;7ah;3o^V_KnaZ;Iq=^NVJ,~>
+dF\3Dl.$<of%&-tg>(<?H?%0]cHXVmea_3din;]0Z7TqBg>(?7i7c]6e'upugYUN(gXbHCSPiUQ
+hV$r4O%26ajiu<;f&5MJ3aJT?jk88:eD&F!gtgE/fmPZhkht.Eg=4EncdL7gU=91kJ,~>
+dJWh;lMM4jp\ap]q>^KmM3e2Ap%eX_iV`6C3V`RQoT<P-s7cBdrr;lhs8Mfhs8DWfs8VDaB54R;
+s8W"bA6t](r;Zfon,NEj=EWm.n,!(Ys8MoppCm,fqTi9/s82fqs82T`p%S:VpA1N\J,~>
+anP&p&,6)#o(;kWnpQDis6T@To\oT8p.t5Pr9]AEaT(c$oCr1Tn+cYJoD81Ko`+sPU0qK.kPtAF
+MHEZ6qXF4MnDsKGUJYpgs60.Ro)JU^o^qnKnb:!rM>?W4rV6*XnacGMq=^NVJ,~>
+dF\3Dl.$<lf@S@"hr**rE8'9qdFce(ea_3de_8s/DEY)]eCW=,i7QN6g="I(g!SF4jN*-H8W;$Y
+iRW'83-F65hV6c0jlh[_<644If\b6?gtC0*e^2XpX>Y.[g"YNAf[J-ldF6OjU=91kJ,~>
+dJWh;lMM+gp&+a^s8VlNDhn/bq#:<Pr:0Y1p](95<P%Vuqu?TjrV?9hq>^KcnGiOX_0]R^li6\H
+s,Li5W;$;k-i<rDj,@6Ds8Vuls7P[Wr:g3jnFHSYH!]h.s8W)qq=s[Yq"a[YqP*k;~>
+anP&p&,#kro_AISe73jpnacYVro*YBp.k,Us1_=8kP=cGp%.nJo)8.Zs6JqFqWYS5=d\:HmcX7s
+?=o_np%.eDrr1Q$;5!abo^`%OjnnlGqu#sSrr$b5hs'k0p\+7NoC_nSq4RJ4~>
+dF\3Dl.$<jf%/7'imYG0@FNZQg=P$:ea_3deD]J`17-2?f\P64g=Fj6f&Pf9c/%7$Sle4+b2Cmr
+g1WlIK%&Q1gXkZQ_J;5jhr`YFimZ!*g==p3cHtA'<]nLNh;$c;eC2dmdaQXlU=91kJ,~>
+dJWh;lMM%epA=^]s8CB:k2lR@rrMNZiV`6C;#UFSI<,&Ws8N&sp\b!es7ZHhq#CB9I9VHCm.pJW
+s,]^&jmW3Knc/"Vh.M,np]'aXs8)cqnb_nWs7H?ha&T&;oDejYp@e7VqY9g[q>-i_J,~>
+nbDYKnbDqSl1be_qtKd\p;iHOg%>%=s69+5q!duPrnM[4n+-8JrV#aRp@S4Mp[n"Us2&qYJ%F_2
+nbE-@5^M;Lo`++Pj8RG0Dq"(Plgt)JrVu6Zn,31Ts7sN,Sc@sRrTE_@o_/%Sp\=QXpOE~>
+n^[0]n^[Hbl.$<ke^W%(fr]M7^Xq,sgr.Fqea_3dg>]nO:XdnMgYpl9g"P*8e(`U,k2iOH3b>)2
+g=kNJC`m$"ak>b!j3$St7pNj^jNc?7f\kf8g!JR4dc/uV1kb#:j5J21dF6RoeC2jpU=91kJ,~>
+dJWh;kkkqfq"XmZXC8"(s8DHequ>XQnbX[+qlru=s8Vrjs8D`ms8;Zlo(rC>N,O<tnGiOci0mSK
+d/!D8qs+1\-*1p=aT);4s8Vlnp$i"]nG2tTs4qC3nGWCYs5s@Qp\Xm`pA"KXqg\~>
+nbDYKnbDqSl1becqt9UXlCq@Ko)8=Kr;$?Nq!n&Rme!MN_>*fsnbVtLqY^$VqWmbPdY2@]c0>-%
+o@T4"<6Fh%s7G7DpALXlHb8qGmJm%Sq=*_Ks6]OToDdNTDX$ckm/,c=nFZMOq"FLZU%a'~>
+n^[0]n^[Hbl.$<oe^Dk$c%eE3fAP9(g!eU4ea_3cdb'R3V;0kXe_]$1hVd);i6g6=\8+iJZd7^m
+gqe=m2lb?Rj4D9*h;jGcBW0tQe)K37gsaO*im-0/eDn/2;U*kQd+uUqcdUFqeC)d=e,[pI~>
+nbN7_rV?Tmr;H?es82NdiVNlSrVccri5`n;rW2rorqbUNq"tj+o)/=Rs7ZBL?@;YMqXs^_s8Vrk
+rr4)8kEK;#g&:sGs7-,0<.auGrVuBerqZS`?C'pWs8MolqZ$O(o(MhXUeekqs7u9YnEp5N!W)Tj
+q>'rfqg\~>
+nFlhR!quB`q=jm`s7c6\iV*lUqt^9ef=SZeo_%qOp\=O9pG_s9p[mhPnb(U;FnGY(mdp,LrU]UU
+qtT[<N)k&KpA"1XlMYKmHhI71s6BITo(nJIMr+@'oCi%Ts7m,knacXN9"jKfo^;26lMgJXp\=a`
+q=pr`J,~>
+n^@KhrRCu#f@]oNrmh%up=&!M&'reWhV5W8U"S,Of%/@!dc&^Nf/MF.f@8%%dFl5q=kM]bdb!11
+iRcZ:hqm&-F['0AgtpZFd,RtZ?e*c\iQBm.f&:j:Fj'"-h:_YWs4\15eCEK//YL;Ff$Madajnqj
+eC=3BWmh$sJ,~>
+nbN7_rV?Tmr;H?es82NdiVO2[rr;?\VJP2irquZjqY9j^iqrQL"8Vrqp&=tGqYkqTk5G>Zs8N&s
+p&G'cqr=ngI]r_Gs7cQRMg1-,r;Z6[oDeIPh.V5Amf3:_s82Zh&,#bqs7G_uL$8R:p\":Sq#:'l
+qY9m^qt^/hqg\~>
+nFlhR!quB`q=jm`s7c6\iV*lTr;>^HSRBt>o_%qOp\=O:pGhg@q=+=[rq6#0?JkJQp](!fp?qhS
+n+>A5=E^V9o(qkOgk9["b4YVso'ZPGl.00^VrR^HmJ$>NpCHccpAaUGCOkICs75[MoC`+V"8DTd
+q=s`apOE~>
+n^@KhrRCu#f@]oNrmh%up=&!M&'ibZ`7'6+]%Pchf%/@!dc&^Of/V:5g!JO0hUU@b6GqO6gZ7,M
+g="m8e(DU$6!o`/f\k?<_J!"`Yh@aOda$drbdg)ENm6_Bg>U`]fG)cbg#UT*:1M8uiR6*$daZgt
+e'un@eZ.+!dXV~>
+nbN7_rV?Tmr;H?es82NdiVWZT%f$)(ikGHlrquZjqY9j^iqrQL3<&dSo`+^`q9Ds9s6BCUo_@qN
+qtpE_VIsSSn,N@dlMnS=CkCODqu-Knmf3=5<c>/2s8VllrqcWhrV@')o)JLXQZLj[s82?Yp@\=^
+q>^<jqt^/hqg\~>
+nFlhR!quB`q=jm`s7c6\iV*l]s763`fs:GGo_%qOp\=O:pGi!As6omWp@QC"T)[j@oBl)4nauJR
+l(;<j[-7P`r8[gdCLqkEs7H'[s607VaA6KIlMp_Nnb;eWq#0ptr9aLTmZ;87qu?HZnal>Hrq?Bd
+p@tW]J,~>
+o$IKef)=,#f%8RMf*'XQe'c\<dG`Rcf\4^/ft<^0g"G$/f$r-riRI\T-J?r.ceR"#e>k<UjN#g&
+dFHLlf\#90K1JS&cK<pAa5i^c87/sgrmqY=aP5XR1/*VOk2=kGh:VYVs4@k>d,ER*G#Gg(hUfrr
+d*L8Ae,RqkeZ.+!dXV~>
+nbN7_rV?Tmr;H?es82NdiVNiLpZqj&PlLa^#5nApq"OR[iqrQL$ifhurr)3`k\,/1oD\aiq>L=;
+n=O**SGiKYn+Q)IOCW.NkPtGUq#C!ds1)E^kPYAQnbiFbq#1%"s7c?ac<.7Lr;?3Yq=X=TrqZTj
+rqlNhWV_2~>
+nFlhR!quB`qY0s`s7c6\iV*lMoB$!hMtHT4o_%qPq"a^<pG`!;r;$-Ns5RO+lg4QHrpp!eq"a0A
+=_<rms6Jn;jSt'BAB*R-p%7hTli7!j<cm9mrUB1Jqt'd]rV$j%o(;Oo;5aHiq=3tJo'c>PpAam\
+po4"<~>
+n^.?frRCu#f@]rOs4..us3gVgiRACZcGSO9DVEarg"=m,eC)e(eG7]SgWnU-fZ2me78qOZi8<PF
+i8i\Lc$VZHHedc2cI9kqD*UUg_r'"odc&L3j-;W+`7a+uce@7Pf)OA5iRQQ2XZ)7#f[e?me'H7f
+rmUnsp=61m!7HA~>
+nbN7_rV?Tmr;H?es82NdiVWTR%"OH>s8N#qqtg*^p\NnHq><8MpA"[cqu<W`ZiBInp@SC\oDHjL
+>cdDfs8W&ns2%u0Nn"+/rV$9kqt^2hD2e>es8W&orr2Wdp\jmeq@rQ$q##Sqk5Y;Sp%J7So)8=W
+q>0seqt^/hqg\~>
+nFlhR!quB`qY0s`s7c6\iV3BM%J]jDL&U]9o_%qPq"aa=pGqs;oD\LXs.hfZs6'FNmJ-8=ou:QC
+V<ICIqY'L[]2V"NcMd_9nGi4QmIQoZL%Fs8s8)KeqtBg\rV6Ee'^ktjolko?q=jaYpA4FPrV-'[
+p\4CVWV:o~>
+n^.?frRCu#f@]rOs4..us3gVgiRIn["P;C2C#o9H"k_DWeC)e(eG7]Uf$Vt'f@Jo6+ctd.jO;N3
+f$N*M8NDXOe`>ZBf&WG^,&".6h:9g-g""R(K1K\,f&,KAf\G93f)F2!f)OA5dG`^3?"M"2f$r$m
+eBZ@mrmUns!nGoSq:2Lp!7HA~>
+nbN7_rV?Tmr;H?es82NdiVO&^p>Cteq#C*fr;?Efrq?EhiqrQL3VrdMqYC0G<eL&Eq!n4[s8UDk
+@\VTFs8DNcpA^:Y?a'/&nbrL\p&G'aQZ]V6r:9OXrVQ?`q=jX^q#:+'rVrs'c2[;1r:][Qnac_S
+p\F[^rqlNhWV_2~>
+nb)tWrUg6cp\=UZrV6Eep@dG=$h2c%dd?\mo_%nOp\t!ApGqpHo(DYTekph^rpf:Fp\O^,F'G-_
+kkt/?o^Da:;H^!fs6KFVn*L#Hk_j/Rs7PdMq#1*cp\Xd^rV6Ee'_V8$V,YJ6l21JRnauABs7c9]
+p\4CVWV:o~>
+n^.?drRCu#f@]rO!7h(ts3gVgiRACebdM&jdG!"$g"=m,eC)e(eG7]Te_eg*eDRbi@+!uacI^h-
+h5j[BJ%*Y[gsOd'iGLM5M9Xr"e^r!fiS;^u:Q=DecdCA!g!nR'rRCkurn%_8k)2:%kfq`2d*'_X
+cJ8EJs3q,#f@TiKWmh$sJ,~>
+nbN7_rV?Tmr;H?es82NdiVO&`q9!+&s7u]or;?Efrq?EhiqrQL2u`jQp\OK5<71aEs6fp_i.bKb
+ebo+9s8Viis*RRllLOuTp\k*ds7u&WHK5%tq#C9ao(2GGq>L'fq#C1)s7>>RP4JYJq#'dNnalAK
+p\4L[qYpBfr2KRD~>
+nb)tWrUg6cp\=UZrV6Eep@dJ>%/TS3=4I9;rq,mVp\4[_g%RH$s7GmTmX7mRs7Z6Ns74im<Hc[\
+mdgATnFQEt7sX1^s82?\q=FXPhNVp0q!IVOq=4%Kp\=Xaq>^6ipD!YqhGB$lrpfd_p?qPFoD84U
+p@n=Tpo4"<~>
+o$@EbeG[o!f%8RNf*0^RdaHOjpWrofiRAChc_*2+j4!)Bg"=m,eC)e(eG7]Tg#:H/e]qGRY2n<l
+bN.6f@l[_ug!\I2i7-B6==RRobhq*ue'lS!dDpZ9^"q&biRlN&d*L1lrRCkus4@kCdDRq]cfip/
+f$DC\cHXl<e,Ro!e^rFKeZ.+!dXV~>
+nbN7_rV?Tmr;H?es82Ndjnfbiqu$Bde[!6is8Dior;6?cp\":Wlh^_Zqtg0hqtp:MrVQHks5?P;
+s8)?es3QR5GfB[^rVuolq>8TS:QX`0s826arVuQjeTcK+pAb0kp\F^_q"XUVr:p9fs7d%l<7Ls;
+s7H3_o)&I^pAXmfqYpBfr2KRD~>
+nb)tWrUp<eq"aXYs7c6\jnJ`I%.VQ@^?k^go(;VKp\=a`iV3BIrqHEe1AUY:qu>A:P5Y"=q>SKe
+??*^RqY'g]nFZG!A4h^:m/$D=s7cEXqT3Gjh<k(;q"".RrqZZkp\agdpCHugnrlejr9!nHqtK[Y
+s7lQds7c6^WV:o~>
+&CJkPd*^4fd*^4fd*^4fdFA-D!n>cOq:-#)daQUld*^4fd*^4fd*^8&eGe#.eBb1OT?c<Fe_/U-
+f%06<!7LJgr7Cqus40'XgZ#mmG2_-&hrLnN6<0c7hV-i@e(<9W7kAJlbhCOch:'utfrn:S_pI5t
+f[A=#f$i*rd/MH-eCN:)g"=r&1U5o^hTj[!bgkCpd/MMoe,n1PfD3sse,[pI~>
+l2&s-rVQirs8W#qr;Q^(K4b/`qu?Tlqt^$^rq6?hqY^0dqYC6fqtg++s7,[Tq>L?iqu?]erdn>M
+q=t![T2/jms6fmd)Y!e$s-cV`U\+TPs8;ops8Ves@A)c_s8)TirqlWi(]FC!s7Q*cqu#8UX8N"f
+s7Z3`r;HQjqO.52~>
+l1Wg)qtU3c&bYtrp@S%PqtG>>o_.kQp\4I^q>U6dq"a[Zq"jeFs7,RNpA=g^p&4dPoQX1#naQD>
+QUk8Ps6'=Ws6BOQrg-2VT^VpCq"FaZq#9TW=IS1Gq=O@TqY(g$qu>m[o'uPKo[Qs;o)._Mo(;\P
+qYBoRpOE~>
+%b&hSdF6LldF6LldF6LlpsJia$e3VSdaZ^pdaZ^pddP]_ec454e_/[-f@\g6figPif@/L+g&'Cr
+ebR\qda@s?rRLku2rN$-daQb!dF$_'bh6>`g"P->dXWr7L?-P8hW)c6dbf:!2M'99aP5;)eCia(
+LcKdsgtC3-eb[eqdM:9Hh9j^/h;?"3MV$\+gX"9sf%8L'RFD5bJ,~>
+l2&s-rVZ]q(Ae%1s75sbYf$M@pAFdaq>'gZp@\.VqY^0dqtg?fs7uQe2Y-SAs7c?fo`+UUs1E-Y
+qYoHH?!3NJq>:0kpZheYk]K7&cN!Y0s7H!Ns7?)gA@C4js8)Kcq"kj%s7Q0ds7cEdJU?;Qqu?Eb
+q"t$hrVW&[J,~>
+l1Wg)qtU3c&H)Fqp&FaLn+NKcs82<Zp%\O^s7ucnqYBp^p\FUaq>^<iq)7d9s8V`cq=+CPlMn(p
+Xmbl7QrR"Ee+3/*q!d>@r8Vfa@a4rFmJlSAj8\?3Tj+bPq>U*Zp%\7sp&FUTq>BdUnTf3.o^_nL
+oCVeQqYBoRpOE~>
+n^@KcqU#)d!7KiUqpk_u&)>phf]1Z0db9DDiS;f2ebRhmeb[eqdf.Ymdf%_pf/D(.hV6H*eB?Rj
+c/b<dSDE)@K0D>@\_,QhgXF0sgr!&86a#J"cf<C"`oG:lKfkI'f%\[#deVB/dE9nXcIq+,h:uOG
+^=Ucdc-Xkff%8L'RFD5bJ,~>
+l2&s-r;73-rqufqs8S.Bn,*.]s8Mokq=ss_!VlQgr;$6eqZ$?fq>^4(pA4geoDJXgpAY*`=aL,J
+W*i,SjSo0$o_SLbs8Tf=7[iK:rr;ohq>^Kbs+4[po)8Ucp%eRbq>1s%rr2Nhrq6</::L9'oDeRZ
+q>:*grVW&[J,~>
+l1Wg)qtU3c&GH"ooD/(Ps+H-fnGMqTq=ssbrqZWjq=sd[q=sd]2td"Hq=+4[qsaCZktQ$npmkMO
+L#)e-q<deHp](9&=@8M:q"t!`nFHVZkkfR)\*Wqip[RqPq>'b#o_\OSs7u-^]10"$qX+=QoC_kQ
+q>'fQpOE~>
+n^I<]q9n6Oqpk_u&(]Lff%ep3j(N,GdbWF,g%j7qeb[eqdf.Yodf7hsebdrWf%T'7c.:e)cIh(#
+2d5S1M*WP*_rg":dF[(*io6Cf,^RD^gtgZ3e`5]5hci./bgtOucI1:pqU?>/aj/8Ti7ulEVD4Iq
+h94["d*gFof%/B>e,[pI~>
+l2&s-rVRN0r;ZZgs8(AgXoJ4sq#:'cqt^$^p@e:YqY^0dqtg?fq=urKp@nCWrr;ipqZ!<kT:]_"
+PhuH?o^i+_nb)qOVJ&W%n,N.Oq>C3bp]&KBJ`6Y)r;66_r;QEe&HDV,nc&&sK_>3Aq"4U^q>:-g
+R/;C~>
+l1Wg)qtU3c&bYkmo'ZADcY'!NnGMkQoD&+[q>^9kq>'g]p\FU\q)A*Jp%.nLqu-3`oCeSEP*0$J
+NS"40mHjWJlL+]:T4(3dmf2qHp@n@NnG1"!G1QH[q"OCOq"jd[s7d0'pAaLSlXtV5oDeCLrq5sY
+rV2cSJ,~>
+n^I<]q9n6Oqpk_u&(T7ce^<4'Z:fl.dG<7(e+qVkebR\pdf.Yodf7hsebn#Xg#1K5f@/I0e_/O.
+J2Db,7m(k+k2b">hW2u1jNW<G.>Q70e]ue"g="I*V_hSgg!eL$d*U=pq:$)+c-+S_i6U9/;J"A0
+j3Z$(daHYDeX=nedXV~>
+l2&s-rVR0*p&>!hs4(Ygp&Fpeo)J^d!;ZWh!quEdqY^0dq>0pa2uW:As8Vlfo_\LbJkTKIJCj`!
+p@J=anG<1Rs*d^Df(T"4pAb0`q>^>_>D(r7s82cor;6Egp\F\$rr;ops7cPh=4I9=s8VEbqYL*d
+r;;oYJ,~>
+l1Wg)qtU3c&c_=mp[eF.>H@&eo(25EpA"F]q#U?fq=sd[qtU3cq=loEmI^GUoC;;AoDa/';akiU
+p&FLIs8V?Ts60K,7o.M&q!dnTqsF%PoTiI&g%G:9q>0m\q"F=TpD*N$p\4ORqjgO,s60LZjo>&J
+p\4IXQhQ"~>
+n^I<]q9n6Oqpk_u&)bddg=G;g5**qDe'uUqf(mqnebR_ldf7hqfDXA]gsXm:hUU*&f@T(l.mGgu
+[b9`jd,a63g#^NA>qIqBe_/@"j5&&4h:Hp2?+ehGe^i@&eCE$pqU?;/dF$:hg=5)6347nmin20)
+e'lgre^^&:!7HA~>
+l2&s-rVR?/q>^Koo>5\*s7$!bqZ$Qlqt^'dp]13fr;$6cqY9pjo_eacp\t1Fm_W=-E6/(Zq=ajg
+qZ$Tns7gbD:r32.s8V]bs8W#sJRFfBp]'g\r;?Hfq>:*bq[WZ(p\Y!K<0HtQqZ$ThrK6u-~>
+l1Wg)qtU3c&cM=ts7PZeD:&:Fo_.qSq=sa^q>'g]p\Xacp\O[bpGVO9s7Gm\s8V8o=%-]6rr)EV
+q"aOVs7Q<[Dc]K?rUp3inFHMSp\fD@O7_l6m.L/Kp\"4Rq"aXopAXgVp&3Q<MXU60q>0TBpOE~>
+n^I<]q9n6Oqpk_u&)G^jin2MH:pf-$e^i7)g%j7qebR_ldf7hqfDaGWg>(67jP&/BjQ+RZ5VZ-:
+ki((?gYLK:jP/\G<BW(2j4NDLdF@%/g#--uEnA^lbl6,qeC)dpeb[c,da$Fkc.1ae1NV+"f%J^$
+dur2\dXV~>
+l2&s-rVQZjrr33"\tn*Vs8Drs"82Kequ6Ekp]:3fqY^0d!;c]irVHQkqtr/Ir;HHbs8VTSSk*S2
+q#B@Js8Vuiq"jd\k]]d-h"C^Ap&+jboCD:(AWclTs8Vlirq?NiqY^Bhq[i]&s8)WeRTS2:p]'p]
+rqQEjqZ-JYqg\~>
+l1Wg)qtU3c&b>nrs73F`dd[;/rr<#fo_A4Yq>'g]p\jmcp]($cpFuC9p[dnNqs!1-5[h1ls4Zu<
+r:TOKoC;A0DamaVmJ$2@p\XRMlfN_(MY,s/s75g]o)nXYq"sj\&+fYfp$e/BdIQl,nFZSLq#:!f
+p6PH'~>
+l-n>8qpk_u&(9:himj9C[F=*bhV[5;eG7_lebR_ndf7hsf)OA"feM4;hV[)?i8N#)Ijn!bgZl]*
+g"b-+eCW7&a&juY^Y%Jpdb3I,d*BaC6#G5nj5\S;rm1bpe(*+Ie.L-VcIU@mds3m]f[\m+dFZ^p
+rmUqsQdc#`J,~>
+l2&s-rVR9(s7?9jL2$A]pAXOTs7$'cqtp0hqtg6equ?Nlq#1'hqu-F+rVZNls8)cqhjRVICYo*b
+o`+ddr;Qp!^0sKWrr3i0rVZZms8U#I@bUkTs7u*_s8;`krVQEdqYLs(s6]jdrn:Y<pAP$jo(2bY
+r;?HkqNq)0~>
+l1Wg)qtU3c&bQ+gq"B,CmJ$,Fl1+];rqQ9cq>'g]p\jmcp]($epGqsAo_J=TqZ#01:JPENr9iqO
+o_81Yq>'g[[ott9qtg'Uq"OUYqY\$3>LWW?s75@KqY9dZq=jRTqY(Zsr8mkRpX</unG*%ZmI0fH
+q"XU_p6YN(~>
+l-n>8qpk_u&(KR_gY#t&d+Zk!ajJnehYGe!ebR_ndf7hsf)OA"g&Ke+i=Of(keMO)2b_!Lg"5B9
+e_/^Vg`Y@B5UTdujl4qIg"Y38hOm(s[c>cqe]QS!e^N("eC)e@e.UEMgYCMk3c3I&iRuK"dalt!
+eGdpae,[pI~>
+q>9FSrr)lpmechXrVQQk!;6?k"2C)lq>C0irVl]oqYp3hqYL*cr':/Yp\+@UoCi1`oDeRTs8Vfk
+nGiFMTkIhQ>iu(`s7--boDeOaq>/95;Pj9jqZ$?^s8VunTOr?)nGW=^qu-H`q[i]*pA=[cJ9ped
+rqcB_p@n?Eqg\~>
+q=j.KrqZThme?>Js7Zrjr:^0!Ms9a(p@e7TqtTgXq=m5Pp\+@RnFQPWmeuY?s8)3Xkl:;5R:'-1
+<8dTFs6KXTmJl\Oo(0dn9:b\Ko)8(ErVcB\R9sjbl1k&HpA"CUoCigiq!7M?s*&PMqYBmXoCMYK
+OnXA~>
+q:+ZZrmq,"maUjYs47\*gtC_UDU-_`f%/I)rn.5%s472"q:,5j5hOQ6e'lXkg>gQ<e'@%3e(i@9
+hog[G6W64jiSE\Gi7#m.d+m1'W%p)^gu@/Rg!J[8f@PC:;7t-,g=P!2f@KNB&(f"PdGnD3ce[@.
+e'cUhd#ulYdXV~>
+q>9FSrr)lpmechXrVQQk%0,r!ms]EFs8;flr;?Qmrql`l!r;Tdq>:$d+8bp-o_JI^qYfa[r;Zff
+kPt;VnW[0cXRB8Vo)AObq#::6rVZZp[8^V7pAb!ds8M`lnFWnrC&d`$s8Mllr;?-_!W;rrrs$>F
+V>pPnq>U*hq"^'LJ,~>
+q=j.KrqZThme?>Js7Zs%mJ#acCuP?cp@e7TqtU3c!quB^q=j^[5l10Gq>0j[qW@_Kqu>m9s6]jN
+N)<cSk>70)q"=CPs8;okp@nQh9j=@[s75d[p@&%GmAOB$q<IYOq=XIUp\+4Q$hj8hq#@m'T)/9X
+pAX[ap5o$!~>
+q:+ZZrmq,"maUjYs47\<c.^9A:WD>Ff%/I)rn.5%s472"q:,5j5h=?0e_/O)fuW%&hW2quk1&VE
+G<A<TdQ;^'i7m)?inWMEf%T)G0gUWIkhFtXhp^W0d#14Zgs+L/gXk*2f@KKA%bo^rS2PuTgXt'*
+dF$=gP10K[J,~>
+q>9FSrr)lpmechXrVQQks7cs$mDS/emeltZr;?Qmrql`lrqZBeqYWSTq=F7RrquZjs8V]bqYgHi
+s0logU[70;AD[1\r;$9es7$'gplo8m_>+''pAb-ks7c&BA<m2irVuorq>1$Zq[`W)lMpZpJbf*=
+qt^$\p\9jIJ,~>
+q=j^[nb<%Ys7l$VoD&@[s7-NsjLa7Ijn8?@p\4R[s7cNdq=j^[5l(*Fq"sm\pAP$UmI'NDn+a"q
+Bq+2@R9nP<pA"@Wp&F:OrpbtQ<4_W"mdKrEp\sUEK3aN6nbE%[q"FIXq"F=R&GH.]rU+*=o'uJJ
+p@\.Rq"^'HJ,~>
+q:,5jn^mcks4-Peo@<lms3_87a.C*,aOo(pf@U#Srn%2$rmghopsfJndam.OfJqgLcI14ok18FS
+:/cnnb(N=&gt^Z9g=PB/gYp\&5WGFgk1%r?hqd>?b@X"Zh:108hV-T6g=OpHe.:NUiR1+ue^W:'
+e^DmpdaOB/!7HA~>
+q>9FSrr)lpmechXrVQQks8N81@@-Zes8Moqr;QZoqu?Nlq>'par'1)Rp%J.Uq"aaYq#:<ms8'-/
+@@Q6Hs3u=ps7lQjrqu6Ss7Q8>9N^$Cs8Dors7cKgk'(=Ts6]jar;-6cr;?*^&cDM*s-.HWq#C6f
+q=aRXq>0rNqg\~>
+q=j^[nb<%Ys7l$VoD&@[#Q"J%=H;bJr;QEip\Xacp\sm^p\=MJp\+@Tp%7nEnaubMp[5"X=-;(s
+s3,JZs75s\qt]UEs6fN)78_P'q"FF]q=++Ih/6E0rT=+Rp\"1Qq>'gZoCigin+QL4ACL)Ip@\.Q
+p\=R\OnXA~>
+q:,5jn^mcks4-Peo@<lm%,0[$4)rU-hq6N2f@U#Srn%2$rmghoq:.a[daZgteCN3ueCig5h:@]K
+5'XljlF1#Zkh+YDg=XTnjO2[d.5eTchV?oJhq$T5^em7fi5ss2g"4g-g=k00o@+<%e(`Vo8@I%(
+f%&6te'uj/e,[pI~>
+q>9FSrr)lpmechXrVQQk%.a4rT],_Hqtp6dqtp9gs82flq>:$d5l:6KqY0^Xr;Zcrs8Di1BjR=O
+q>^E]Jo1&Xp]'pdr;69hk%[M0cN!e@s8VZfs8UM[F6EH#s8;]fp\Ogcq>'UY&cD\/ibOGIs8Dfj
+q=j[Zq>:#Oqg\~>
+q=j^[nb<%Ys7l$VoD&@[%.*S]Qe:g#o_/%Rq"XjarqHHdrq6*]q=m5Jq"jaVo_84Vp\=:FZ!'qb
+^$YUcj*G;&s7?9]r;??]s5.<RCrcPIp\ssRp&Fp2>\N!bp\XXUoCVeQq=s[WoCigip[Qa?J+3:.
+p%J+Rq"jmbOnXA~>
+q:,5jn^mcks4-Peo@<lm%*[1UHFqY[f@\[*f@U#Srn%2$rmghoq:.aZf%AO&e_/a4gtpZ5RR9&X
+UXS,Uc"0`#kLSS=g"+^)k/Bn@;Q]$4gZ%#7g#V%l5YT#Eg>:K5e^`=+g=b$-o@+)th:K5,A(0,_
+ec+#"daQ^rP10K[J,~>
+q>9FSrr)lpmechXrVQQk%0)o9cN!\>pA=^_qtp9gs82flq>:$d#5e&fqtU!brVmQ-XCG+G_sRL(
+rVs0?huEBIs7,paruTQm8TXD$r;Zfrme$PNWFq(Ps8Vfmp&4a`rr;lhp@A(gr;6MF@-R^Ws8)Qf
+rqHQjqYHBPJ,~>
+q=j^[nb<%Ys7l$VoD&@[%0)]*`W,E%n+QMMq"XjarqHHdrq6*]q=m5Iq>9s\q>:'gp$SJP6=7.X
+rq>mXVe+K[n+cqNp](9ma](TCl21/Pr:fCAs6QIbIbsbtmJlVLp%S@]q"=@SoCigin+(KshY6%0
+p@e7UqYL*cOnXA~>
+q:,5jn^mcks4-Peo@<lm%,lG$W8l=^db*.%f@U#Srn%2$rmghoq:.aYf@ea,g>1TFg=1j?.nH/J
+inW/DO\ijWe_B'+dFd:6Z99U6cf*X;i7lE$j3NEE@`$gYd,WO-f@\m7g"+[(o@+9$e_=:f_V2od
+e'lgre'jE.!7HA~>
+q>9FSrr)lpmechXrVQQk%/kZpbP;):s8)Neqtp9gs8)fmp\Xgb%f?"qp\4Ucq=!gGEF3[urVnJH
+s41b=rVu]nr:fm^mD*((MXp`Gq>'gYs8VS[?A.nLs8N&]s8Mros8;T`q"":or;Ws*\GlO.qYU-d
+q>'gZq"g0NJ,~>
+q=j^[nb<%Ys7l$VoD&=Z$[HC%n+H\Wp\=LXq#:*gp]'sdp%e@Xpd"TLq"OU^o]kS)AQ*$>nbr.U
+nGLL7K(]!4r;$*\rTh's7Y9purpoXMmem+MQrnXso_J1[i;`WIq>C-_o_A.OpCR&oT1u?WqZ$3^
+p\FX^qYU,OpOE~>
+q:,5j!8$hq!8%5$s4-Peo@<il$X$)udb*U:f[eX*fDaG%fDjG$ebR_ieN_[:e_8j1bfb?-4%bgm
+j4`5:ij1sehW!/Cf[8!n`L]CNCX_/$f[eU#hrDk(3*j_[h:Uc*j4i8@h;$T3f%0HB#M.mj2NZPH
+i;V7+df@nsdur2\dXV~>
+q>9FSrr)lpmechXrVQWms8<#(]DV[.!Up$eqZ$Hir;ZWpqYU*b!;lTi5QCWTq#:<]gh:A:_uKc7
+s8Vcls-%0sr:p<kn,N7Y`BdJ(o`+X^qu?Ncs7(bNZ2ab%r:p'epAFa^rVQ6]rqlTlqYpBkr"8r&
+K7Epps7uHer;6?eq=sa]P5Bb~>
+q=j^[nb<%Ys7l$VoD&@[#,nj!s7lNUrV-?erqZQfrq6Edp@nO\rqH9a6ML?Oo^hnSkL*[A?ap")
+mIL#:o_+,KrUo^\q<J"TotrmeU[A*Mo^qqMmf2R#>-%Yos7>^Ms7#dTpA4RVo_\@Ur:^3drV-<b
+&G>@2F7eksoCDYNq>0s`qY63IJ,~>
+q:,5js47_5f@ed/f@ed/f@ed/fDaA$eaCrYec45+M3HNNgY^3.rn%8'g&BY'fDjG$df@nrdf.bm
+eO%mCg""X.h938p6:[[1f[e^0cIgoi7cW7TjP.i7da"C*1lToGe_8[2f@&^(?p0G,eDf!+dc8^-
+eCWC,dad(&f)4"tdf%\pee$K]?!5n.gsa^$e^N$te'la.e,[pI~>
+q>9FSrr)lpmeckY&Gu5$s6fpds86ARqZ$'bp%e1U!W)Tjp\sqIqYC!`p\4Ras8W)us819*<GJN!
+s8W)tqu?QgbZ:nEs8MHdrUU!#=&kLbs82EerVu'\jDSk_qu$BfqZ?Wkqu6Nnq\&c#q#'aYrr)ls
+q7'\lrVuofs8Mroqt^/Xqg\~>
+q=jXY%JTYlq"ORXq"ORXq"OR_q>^6Xp\FRpp\t3Ys7lB\=E*g1lMU/Dp\+OZ!;QKfrqJJHp[n%H
+p%\=On+$&:`.(6\S_s59oCDDHna=7fV"4HUkPt8AqmB9tOo,1PmeQYSi;VPD@`\37rUqH0p@n:T
+p@n:Tp@e1Pp@n=Vq"ajXo_A(SqsCRfi:m6ImJl_ORJ24~>
+q9o,grm_J0e^r@'e^r@'e^r@'ec+/"eaCr^eILBkb2M"+e2gLUiQBs&f)F>'f\-8Vs472!s3gel
+rmG0&eC;poe_&X2g>(T;Y@oRWKuMp(f@\U0f$gNOM:^_>bN.@%hN]fLE8BL*d+d=3`8\[.8[$e!
+eCN.#eCN.#eCN.#eCN4'f[eR%daHOobL+tohrE7M2Sdr$fZN">eXFtfdXV~>
+q>9FSrr)lpmeckY&,Z:opAb0`o>Af:s82EarUKadqY0[^p\spfoD\alrVuihrr3,fU0)38rr<#l
+,6%WBqu?DCGOtb/r;ZWfs1V?/U&XfXs8Vfcp]%g/MtI&Dnb`@c(&[t*qY9gWq#($hqZ#c$P5P+O
+rVcZiqt^/Xqg\~>
+q=j.KrqZThme?PP&cD1mr;Z-I\A$hqp$MGKq"FCVpAFYNq"ag`qYBs^q!e=`qtL!]l29u9foJX,
+U%eEUmHsTBp@81MH#;g:nFHVKmJjO`9Uu.QnGiIWnF6Ia<.sW;nFlJJ)#!Xqp@n=Vq>'^Yq"4@L
+p=X>Dq"4:Uq=sd[q=pBPJ,~>
+q9o)fn^[Wis4-Peq:,r.cd^_.bfZBJ^tR>`ec+5%g\oh*f`0P&eGmtrdJhJldJqWSc.q:4fA#!)
+khY"7IPXHNi8E>9d+I.,f&Y7c;U3nEfAtK1jI%PPI,E5ohqcc0eE!#YC=VP!f(7B.f%AX+eC;po
+dEU+ifA5$;_G4msdF6[tebR_jeXFtfdXV~>
+q>9FSrr)lpmeckY&Gu7uq>1-eenCiVq#(0brV#gZ!rD]drqQKh"T8&eoDJUf(A$aoC1s[0o(r7_
+rr<#ppAb0"?Glg>r;RGF>@Y,Ao(VbGs6'FYV/M^Ys8Vc^qu?X1r;6?eq"XRVs82Zms/p"es7lEe
+s7uKfq>?ZXJ,~>
+q=j.KrqZThme?MO%f6"qr:A*;R.9Y=s7#mVp\+OZ!;QNgs7lTf2tQG'oD8:Tin'f*=.Ik(md]rD
+q>'[Op%>=a\c;0np\OUV[8C)/s6]@DlMofBo:B][g\gj9p@J"qp@\+Pp\4IYq=aO[o^MJET4-7L
+o_%tXp%e@XpmLl,~>
+q9o)fn^[Wis4-Peq:-#,f[n^0e#bi\e'Q\)d+QqIg&9S'f)O8!deqMmdf7fVf@/*mf%o3:cGPQ/
+6\W;#f%/O.gtC3*g=hTJT&eGWgu$l?RPm?kiQ]cpc/Z_$f7H_>^>e"uf(7B.f%AX+eC;podEp7n
+f@AX6LdA<'dF-P!deVDgeXFtfdXV~>
+l21;Srr)lpmeckY&Gtnqs7QEd]q3%>qYU<\rVc9`!W)TiqZ$F$s8;iqr9s=YW+Ansl2L\kp\+La
+rqH0bs4h7;qu$I/rPqf?hZ*BNs7u]`s8.^YVZ6Sbs7GjYs8;oos8)cj&,l%urpg$HFgh>Irr)im
+r;$3br0dG4~>
+l1b#KrqZThme?PP&+9JrnGi$cPI:G\p&F:QqY0^\p\agdpGqsHp@eCTk3Mu6<^_o#o_&1Mn+?JO
+o()PRdTq%dqXsRTp@Gsg;:PU6rqu?ekkXk(<h]Qfmf2bLo(W.Ws7cQg&Gc:mqtT@Rd:TW]p\O^^
+pA"IWq=pBPJ,~>
+n^@6_q:5Jqs4-Peq:,quhV?K:d?Sj@iR696anscif`0P&eG.Jle2c+:f%Jp2ajB("5;./sg>1c:
+db!4*daHb*[mF<MhqHi=gXr5P2S%krhVZlDbM:]_3J?GHdH&^+o$mZis4%(s&CK+QgXsa2\keFA
+eCW:'e(+9Cq:1q`!7HA~>
+l21;Srr)lpmechX&,lM)p&DFHrVuopqYU*cp@.qZqYg<kr&=<Ks7u]p[Tm%2l2UYTqu$Kop\=[`
+q>9u`A&A9@s7lWiVI+)Xs763`s8VclpMXfYs8V]ds8)9_s8;ooqt^cts8MqTKE(uCs7cQcs7uNe
+r0dG4~>
+l1b#KrqZThme?PP&,Q1unG08.o`+p]o_.qPoCqtPp]'qGp$V\Mn+u[V:f!D5p$_>=p&Fp[oCr%R
+p@=YT\Fo:cme6+><FEK>kk=ECp$;AABP"XKs7#g`nFuqUs7cNfs7Zupq=O0)GPV4+rU^'Yqt]s]
+pmLl,~>
+n^@6_q:5Jqs4-Peq:-)1g=O^)O&OTfhp^*+eCW.%g&9S%f(RVnei;=0h:pH;g5n3MI)XjjdFQt1
+gX=R&e^N+"Im0FWe)&R.e:BYLU#aJQd,`p-gs\ndR,$QGg#1HOeGe&!eGdnqeGn2/en/4@g<A9t
+gs+LIe+qO_e,[pI~>
+q>9^Yq>C6js8;<^q>:d'rquT]YCHTNj8ArPs7c3Tqtp9us7ZB`Y[1Y%nFHDSs!ms?me$ATrVQHg
+d9i%7s8D]lrLQ;cci=%7s8)B^r7P_,iW&oHrq,COqXXO`r;ZZmq@E#op&4p.=j6p=q>Ta\p&=da
+q>?ZXJ,~>
+q=jFQq=ssbs7l$Vq=kKtq=jOHWHS+0h=gj>qXj@QpA=U_pAOYCqX*k>Uf(*Jk3MU7rquHZl0n<@
+qY9gYb#O5gp%.SNo9;1;`Vo\rq<mJ4nBYE[h#I9@rq,COnb<(WrV-?e&*s8apAMHm_#NrtqWRtL
+qYBm]pmLl,~>
+q9o)dq:#/irmq,"maV'_&_l!jeB3VLg=<mfhUC3-dFd.Nf_sCueG[tsfJhX5f?fC73,m'df%o<B
+f[7gee_/R)eCL`_CtRIodcB&+*'^I_i61$-cI(4M5uYMTg<SL#_q=M/s47.us3_G!hp:!8SMR/$
+cI1=`hTjaKeG7X`e,[pI~>
+q>9^Yq>C6js8;<^q>:crq>^K9c0P?.q#C<[p\b']qu?TkrYkh5_f/S4dI[D:rr2W[pAb$is8)9X
+p@sYTdJj.MoDc9s@EJNJrt,,.p]%U7TB#tJnF6>Ts7cBTq[`?!qY]E4P5G"Lr;$!bpAascq>?ZX
+J,~>
+q=jFQq=ssbs7l$Vq=kKioD8C%a6!'no)JLKo(i=UpAO[^oJZ-HA4V0gl1k&Lq=3b?s7lWop[7SF
+onQPfs82KRpT6qe^\%<qrpBRGrhs1ih#I'7nGE7cq<@Van,)_Lg4>"Lnb)\MnGMkSq=j^[RJ24~>
+q9o)dq:#/irmq,"maV'_&(&eZgnL^cfA+g5fZ;LniVhF%f)=8"ff.X7SOtSJXj5\RgY'usdG<@0
+hpfipdaW"mXQ8<ncJ4R64J^ZdguR&HdH6HWH,&:fbfn\pg=#68&'s"]fY;$7e^;gqd`pIkf_O%m
+eXFtfdXV~>
+q>9^Yq>C6js8;<^q>:d'p&4l,M#[)@s7u9cs8V]]qZ-Qir[50o7<-6=s8D`hqY0mes82Nbp%A@b
+mE\V(s76'cs2RiIec5LGr;$?l%>n;es7l<as8MldnbW+Iq[`_ls8B-@pAF^cpA"[ao`+IZRJVL~>
+q=jFQq=ssbs7l$Vq=kL#n+?BfK)b6.qXj4Os8;BWp&Od]oJ`g]3G#\bp%.eLp[n7\rqQ*Xo()e[
+mEA.is60"Epq9%$bPgr)o'Pr<npF0&p[[hJr;QWepAF1L&-(_gp8)EeoCDqPo`+XSrpfcOpOE~>
+q9o)dq:#/irmq,"maV'_&)kjbfLKE0c-b7pcIq12ci)Miec=@uff"sb+%r6Sh:U9/f$i7-gXX[!
+cd1A'af?tAjNZ9.h4c;bYi=3gf@/F.gL;sig="?tg"=j#c03Xfho+F*MG2CJdbiBuhp]j)n^X)X
+!7HA~>
+q>'RWiVO/aqYU9jq"k$gs8V-)jo>,Tqu$<dqZcunqu6E^q>L=&qu$6(D+o8elMgh_qtg0a&bbtp
+p]'RRG%Bh:q"t*/>$B5Mrt>)+s4r9A^\dp.r;-9bp\4@TqX==]q@!3"s7lWncYBK[s8;Hbq>-NV
+J,~>
+q=X:OiV*lYp@nFZo_/1RrV"sahu!$EpAF[\p)*PqpA+@Jo`+^^p[@V<ZXH1>Yi,0Io^qnSpa>e0
+p@SCKoPn0nq!R\K\PQ,@s7Q-ZmIp(pFBl0Ao)/4Up\=R[qYB[Us7m0"p\+@VqXOLV`aPS@q"F:Q
+q=^6NJ,~>
+q9\rbq:"<P&(]4Zf@J?ug!nm2];E?te+)!+f@/=(f$Dq-h;R8Cf$]sV-WQGNg"Y33f)!lAdaQaq
+iQ'DE5f;F,f&*&V26#ZjgtL33g9t0ORFKdBf$r3tdf.YaeGmu-e^W'tf\4j4fVq8lj4i/UeG7R^
+e,[pI~>
+q>'RWiVO2aq>('jrr)ljqUBK(s8MrnqYL$b)#!k'p\b'jo)J+Vs2&>BB#ia&s8W)sr;-9b,k1O'
+s7QDi;oJ_1s8Ti3;!R]QqXOUco@.8kgA:aIo)&=\q"Xj_!;c<a&Gl1tr;6BfqtpBmp7bmXpAa[[
+q>-NVJ,~>
+q=X:OiV*oYp%A7^qYC!Rn&].Ss7l?^qY0gZ)"I=mo(W.Zlh9<.r3f`p>eSVSrquN_p%S=X+n54!
+s76/b:;-\ps8',o7c<S+nE9]KkJgM5cgUK(m.^8Rq#:*ZpBC?fq=s^Xrq-Kjm?pu4mJQMKq=^6N
+J,~>
+q9\rbq:"<P&(T+Vg"Y-0fZhgE8"S\lfC@E/dFQjrg#1W2gWA11S3JDfU:A\2iS)o9f)!l>bgb2"
+dG9L1U#aY_hjQ,I`R!>ibi%R,X?0(]e(!6ueC=KGs3Uhpn^J)te(3(!e(*"$gX(=-_pI3/eG7R^
+e,[pI~>
+q>'RWiVN]Sq>($i$N0f$s6HT@s6fg]rqQHgq>2'0r:KXUq>:3as4_d!97Z[5s8W)moCr+Vp\jme
+qBGk:o_%nC=EFN5rp8T@7CN6lrVucno@I!$h>d?Ns7uQhqY^*gqXaRqqY9m`r;?HgqZ$TQ@]'1t
+s7-!^qO.52~>
+q=X:OiV*oYp%A4]qtTjWrnX*rq<7SIrqQ6^s7R?1p[@SAo_/(Frm,CS6$MYeq"jdTmd]uFq>L*g
+pE05.n*oi/;f;Epo]"Im408AKoCqeHl-2hOdeN;(rq$-`r:ogV&,?"sq=s[Tnb)_.=J,W]qsjFV
+p6kZ*~>
+q9\rbq:"<P&(T+Vf\>'/e(<QoI^n(PfD4"peGn)9i7HB(eCN=.cfDK30d^)LfA#-6e'?@krRCes
++5#ArdaH2p;;KLMa1NrGOl=gBgt(-'Z7]^sg<nL/dJhYnddbiedLF[Ve^i=$gY]S*K&b/2n^RB`
+Ra_>cJ,~>
+l2'B9r;6ouq"ag1MtR#Hs7$!^rVH?e)=IA$s8DfjrTJc,@u](>q"aa_qYL-is7uHgq>^?lrrr/d
+s-um-rr3\V<Ci&Jnc/U\s7MmjLun[0s8V?`rql`l!r2Wgo)&I`s7d$!r;HWnqu;pqs8VcjJbsr~>
+l1X*1r:gWmo^hI_I-:%os6]d[p\4^])<phorqQ0Zp>0mX=bG!!nac>Fp@e=[rqZEhq>^6ir#P@o
+s-H9op%eX)90Rq,kPt2>s6GhMJ)'bas7bRRr:^3dnFmIgqtg*_p\4@Qn+;NFq>]o7pAjr<~>
+n^70]iRIeU$IdDMd%=[fe(<R&q:>Gms4/".e`#H?f@\fp=suRJYi=0_eCE$sf%JgVec+/Cg"kN8
+cK':(VqU"gV_B?-jNQ]<cfEGs4(,\QbMh$gh>Gb&ddY`edaS3Ds47S0f@ASo7,6\Gf7MKPdXV~>
+l2'B9&GlA*qtTs`s8TK^s7l6dp%\O\s7lWjq>2!.rpK+Ps5L%e;O?\?nGi7_rVulsqtg$bq>^?l
+r#k\0s8V(]Q2CCVs'JH^rVZ]qrr;>H@ZCBZq>^Kkq>:*gqZ-K^qZZioq"FL\rr36#`DaSPs7#l9
+qg\~>
+l1X*1&,,hrp[n+Pq"pk3r9`qPo)&4Xp]'q's7tpAr;YTJ=%JA1lKS-8qYL*erVQB`rV?Kgs7[]+
+o_eaD;Mt#5o_DKRL\(*1qXjXDL00-%mdU)Lo^hbLp\sjep\+.O&GZ5#p@e7Vq=j?g8%/Holh5o(
+J,~>
+n^70]iRACef%AL"dF?e)Lg/c_cJd1Hec=5!df7hseemH%bK/T%^kY$(EQ$,GgsXp.f[e[)da6PD
+fDaGIg=+^6k.s$!f[SU23[\arfA#39hoBLqB@P)Mf%AEue'unHecF:On^J,ue^Dgkf@es8f:adc
+inDT)K%'eKJ,~>
+q>9^YiVO2]rVl]jrVuo>bl@_BnFunVrqHHfs8)Qg(]!e)s7ER>?A.P@mf3=Rs82Wep@e.Mo)8Fb
+r;Z^=r;6KiHX#e7s4VZtOT5@Ys82fFI:KP^rV$9km/$bZr;?Nj!;uBa"oA/kp%\Iars&.6If9*9
+s7#p]r0dG4~>
+q=jFQiV*lTq>0jZq>C*#\FojmlLOoNq"a[ap)!AkrVu>fEER_Io]Q8SkPt>Op@n=To^_tWs7u]i
++8,:#mr2+\oDd0S9SWHEo(DPFb&^^`s7c*as5rtRp%e=PpCI&tqXsRVq=aIF@WM,1nGVkNq=pBP
+J,~>
+q9o)dq:"<P&(/t[eC3"%fq"\eiRQ*!g\TJ$eG[hqeGe#8e)036O&S5M_UlrjiQ'd)dEp4ccHOM`
+rn.8)rnARLh:Ysmakc*e;DDtFjO`,:frnLAN8iC3h;#lohp^*)qpt>f&(9"Scd:;!gtL.J=P)$K
+g@3VfeXFtfdXV~>
+q>9^YiVO2_qtp6gs8)>,VuQ8ds7lEbrqHHfs8)Qg5QC]L_/r>(i;``Ts7Q3fq>'d[q"jmfs8)Ti
+r;HTnrr<#cVb<]_q=fbEQ1t7Tq#100C22<!m/HPCrr;uks82]prqu?a&Gl4rpA4dfqt@I*g].<E
+s7u3^q>?ZXJ,~>
+q=jFQiV*lVp\4CWr:]D`POmf5s7?'`q"a[ap([Q%ke(h'J(sbkqYBUPqtBaXq"jpfrrDopq>^6i
+pE0;/igN&pr9Wg$8;lm,o'Z,@\mSphs5j+GlMCPWo)J[^rUg0aoCigkqt]s\q=j@CVbk_7q!A%S
+nb;kSRJ24~>
+q9o)dq:"<P&(B%Xe(34$a[CC*`Sf_(fD=&AeC)amdaZdtf&PK-T2I+L^>.Asg!A1&e'l^mdaZh!
+g=ZDYs4dS0,N\"1LF[o>g!jRbE73Cje(E<F77FHAaOS;KeD/Qug=4X'f)=5$f(7B&daQLgdb3@)
+dZ?JsgY9s0e+(r`eXFtfdXV~>
+q>9^YiVO5dqtBdas7"mUi;`iSp&+a_p\jmdqYg<jr'0r'MHG2MrVQThrVuZhrqQ?cqtp0_p%A1X
+r;?Nlrr2coi`pEfq"KA:ErZ19s8;kt<d<d,q#:0jrq?*]q>^?i!WN#fq[iVup%SCarq5V\NrT+Y
+rUfaPqt^/Xqg\~>
+q=jFQq=jm^"8DN`p@.eeqY0RPq>0C,X3pP:o'c>KqtU'_rq8VMnB-A^FijCOq=44UoC`"Rp\F^`
+qYBm[qYL$`q"XUXnGLj5@,0r/G"-*=q=+:PoV,#sh#Hg;p](0`oCV_Rr:^-_!;?!X&,Gtoq>0dK
+i(\gpp%eISo^V\OpmLl,~>
+q9o)dq:#/hrmh2$f$r:?e.:0\cd:A!b-m>;f&"m%f@]oM"4YcKeGe#;f[Hs82H[':g"Y$.g=+U)
+daZare^Djkd+I"Lg*>A.fB0k2:!)#;?7S_*hUUQ9fnV:\_;j"sdb30qc-ObgeC=KKrn%5%o$e2t
+cdC=tf[%VrC>%7mf?V\3eG7X`e,[pI~>
+nbW7\s8(aPrVRB%s8DrprjHRmn,NC^qYg?lq=j^`rr3N)rr;rrs7+ut>]@daq<n:YqZ-QjqZclr
+o`"mWr;Q^2LKW%)s-Hf#s8W)upA^djKC/^8qtK^[!<)Hc&c;D"nc/Xcs+OM9s7QBar:'RRqt^/X
+qg\~>
+nb2tTs7Z3]o(N+XqtU3c-gq$/q"+6^A'jK;q=F:Uq>L-]pA4^crV$-cq"OLEdreK!_>X#kqt]pc
+p\OY,pAa[[rTX(Tp\0#,_!_)Q86kl[o(25AQW&:os7GsRo_@nL&bu1tmeZtQom'0bq=+:UrpojT
+p\FTPpOE~>
+n^IKcs3p_l!7q/%"4l,Uf_X2!eGIerf-nr'f@\[.O@HIrgY('+g">*3e(*.+gt^N:h:gT9b.1_7
+9;URuc/.+Lec==ueKE>ud+[9rg#1ZBAN-dKm<(3QhqQl>dG&t*?ch?Xf?r.Ie+qP_fDa;1bM(t+
+h-i(TgsF^#f#lG3eG7X`e,[pI~>
+nbW7\s8(aPrVS&Cr:'aVqoFc]pAXp_qYU!Wq>^KknFHGMr;#jWl_e!,Zh+4rrr;chqt^.2rUp0g
+q#CBas6+3cs8S3]?iTufs8:u*>Hn&*qtU-Jr"/hus8V`k`EK;?rV$0Wq=OOSqt^/Xqg\~>
+nb2tTs7Z3]o(N+XqtU3c-i`o'qWRLaL?.t'p[n4ToC)DQs7bpLp\+LVlgE`$:1C-cqtKsbp\FOY
+pE08&qtg!cqs=(6>Di@GHU:L"leDF.gMp,hp&F^Up\+.Pnb3UknGi@Pr4,Rqp@e+UoD\R\o(VtT
+RJ24~>
+n^IKcs3p_l!7q#!qUY\rqpk_u-fNY!h94?DBu\TTf$i4%da$D#i7?,tf%8a0cI9da1e<VOhqQuE
+f_O+nf,i8jf@&I/cJ6<,FmRt&1HO@A`9,^f<],cej42T0f(%;[f+6-ag<nlQ2M^#>d+HLkd*hL7
+q:1q`!7HA~>
+mJ?MQnbW4]rVS&=nc/Xfd,+g"rquNdrquEgs7u'Xs8V]`p&FHS<Fhots8Vogrqu6\qt^.3rUBj\
+qZ$0es*A2To>4[6lL=iRo#>0D_Z'T$r;ZWniVX8cpAas]mrE.9s7?'blhL8Oo)&7\RJVL~>
+mIoZ9qtU3c-hH[%s7F@]rV$']o(;bPn,<:Ykk+oTnFZANl'Y4JRHaMFo'cJOmeQSPpE08$s7?!b
+meZZs<;kg]7nDCqrr2&k=])a&qW.AMp&=LVnb3UkoDeINk\+>is6TIXnGW=\o(VtTRJ24~>
+mF1aXpt#;kqpk_u-e$8rj4C<Ai7Q`7daZt%ce[L.aOK2-cdgS&bBts+IEgR*e^E7,chZ/ef,i/k
+d+71&gtYmokgH.b36'2)k00J^2OrFUa4B.uhXT.cf+66eeC)Q:7a^;Ce(MdkeC*p;q:1q`!7HA~>
+q>0pa!;cQhq>1-erVHQkq>1'erVS&Cp]'40Cln;grVH9bs8Mfnp%n^glL+]Ko!Dk6Y3Y]ZrV?Kn
+p@nUXr#kn3s8MQgq<J!_=MO+t:gMWKqt^$*@VsHks7c6er9F=@r"/`)oD/E`:W!/,l2:JJq=XUT
+qt^/Xqg\~>
+q=aXY!;?9`p\+R[s7lEaqtU3c-i<H4f[aPelhC2Io(DnUoDJ+Ns8;!Cs7buc?!4#^kl:;Equ$!V
+s75n,q"=[amf)qAs.i>mg?Lmp`9cs[m'p)+`VTW(n,N+CrpfdQpCI8ko_Y7L\GGaVq>Bd^qY9XU
+q=pBPJ,~>
+q:#/h!7UeopX9;seCN.$ebR_lec45KgX4rk\OLA[g=Xs(e_Ad+gsFU1gr7Cof[,aF4G^r"j4Dc:
+hUC$8n^el2gt9g+e]6a-1n2J:00?Pmf@ABB4@lL.j3uH8f#?M9ea_6&eD&:"hh*JNhpfTqfZMal
+ddko`eXFtfdXV~>
+q>0pa!;u]jq>(6ip\4IXrqZBbrVQQk!Vu?druB2>s7lKiqu$Hmr;-Elqu-Qppo\F6Phu9:s7?6h
+s8W&urUTk)qtL-gqtTsdn8rOHo2Sl5s6p!UUgn6@p%S=^rrN#mi;=/^s7$'K>(?SGn*g5Lo)&.W
+o)&7\RJVL~>
+q=aXY!;QEbq"Fa^s7lThoD&@[-hHa*q"DPTs7,dVp%J1Up@S.Tp%SC\o;cS&O4X"#s6B:UrVH?e
+qXXA&q"4U^q"++Tl"XYqj@2\Ln)43)Qs!num-sWBr;?9]nG)PJ&GH.is4gOtqsWb6qY0X^q"XFS
+q=pBPJ,~>
+q:#/h!7gqqpsTGpe'cape^O?Bqpk_u-e$?#gY&C7j4)W2e^iC*f$r@)e^rU1du6mTEOs`Xj3?67
+i8!)Bg[Wl:dGNU.e^`U&;+oWh1Gu#bbN?lp5"FYZe(34-gt'pCea_6&e_\R1^c,NUe'#nce'6Lk
+ddko`eXFtfdXV~>
+q>0d^rVQHe#l+,ep\=OZqYL$_rVQQks8NQ!e9S_(s8)Znrr)Zjqu6U0pAb*9NDkSWrVuZ`pAb0f
+oD8LbmeQhXr!rW&o)A[Ss8S<gea%BAXT&50nZ#$PhtI*Mo(;hMq>^HQr"/]!s88?_f)PO>qtosV
+r:p-Zqt^/Xqg\~>
+q=aLVrV--\s7QWjq"X[]qXaL^pF$";l-"%PnbVeLq"XLQoC_kXq=+.Q`.q*?anYl*lgOlQna,rJ
+q<RkOqY)--qXXO`jo>@<:s%L*/tMS0roK_3R+:U&s6K+GmI^GTnbDYK&,,\opQS7qq=4%Nq"".X
+qXO=UpmLl,~>
+q:##erRCYks3LqsdaHUoeG7Piec45Ki7cDX;jQ"jeCN=*e^N$uf\kK1f[ls40P%6<iRH0$j5JM6
+fAPB,q:PJo*mWL"a5l<$3jZk))iEP7k08Q$ICde`j3Gs#c.(Y&n^[0]&(T1dfm#*Tgsjd(e]uLm
+e+(r`eXFtfdXV~>
+q>0pbrr)lprqlQf#l+,dp@n=Vq>'m]!;QNirVQuks8CrOiW&ZOrr2p9r;Q`ooDej?Iq3rTq#C']
+s8V]^nbW:cp\4^`rVHF,qu?$]s7?9F>(cj$9o]2Ds6t8DUA4`f#Q")ms8;3Sro*bdqY's/A!?ra
+s8N#mpA+IZqXXOZr0dG4~>
+q=aXZrqZThrqH6]#PRoeq>'maqtg-bq#C'nlMpM0RFq6$rq.9)o^h\Jn`olKa`^g.c1V,,nc/XW
+mHjNGrpo^]q=sg\+Sbm$qZ$!^d8"oWCHd=Ck4[qT>+"dRq=sUMs8VlWnGDbNnb3Renbp4-N;`2@
+q>9jYqt^*Yp\FTPpOE~>
+q:#/irmq,"rm^bl#LLfDdF$CleG[hoeGIerf-e`!f=ZLCgX4[)f@SU'e^r9ng#8u54&i?3iR-'3
+iQf]le`#B5e)0uRq:?_Cb1kn&j1%'Wi)hLFi6^E,;a5]YgYCQ5cJRU2`6Hs)eaV0"e)6rbDr8ps
+g"Om&eC*j9q:1q`!7HA~>
+q>0pbrr)lprqlQf#l+,dp@n=Vq>'m]!;QNirVQfumA#$^rVlrur;QTn%-!=QHcc<bqY^?kqu$Hn
+"oe;lqtp0arVHF7qu$-_o`+QA=koEAI/i[8b'@R1s7lWon,*.]nbiFep#5f[q#:#C<SIKNrqQ6]
+s8V]dqXXOZr0dG4~>
+q=aXZrqZThrqH9^#kn#eq"aa^qtp6cqY:*b-i`@uEmaXUr:]aPoC_hOq>($AKMc^&q=aRWq=s[X
+qZ$QjoCM\Np%eCZpE98,p%IkSl$lCOMEu1QjSlr5>I!tlqu#[Nr:TIPs8DNYq!n(hoCqa):=]79
+q=XCOs8V]dnb;kSRJ24~>
+q:#/irmq,"rm^em#ggoDd*^7heC=KGr7(Vos48XWa*gspg>(T>e^N(#f\,$6i43GU;P;apf%8U-
+f%8X6hV$B,f%8FIf_O,@f[JI#k0n$)\p#c3hTk>_<'Zc*db`m)e_J]te_f*,n^[0]&(TC_@kkIK
+f@e[$d+d@#e+(r`eXFtfdXV~>
+q>0parqufnp\Opc0`LnAs8Voio_eOVp\=L\rqHBkp&"d]pA^)"qu?NmqZ$Nos8;TjifI>nb4kr9
+r;60`s82Bbs8*T!s6fp4;7Ft;Fnbq9ULJ3"s7lWlo)J^dr;,[T&,Q>+q#16es8Do9?_dZ$pAXpe
+p]1/Aqg\~>
+q=aXYrqQNfp\$B:qZ$Eds8Voio_eOVp\=L\qt0abnb<(PnGe,_o)J4Tn+ZDGs7,FTf7d"B^[1[h
+p@e1Rs7Z$Xs7dGus69R$7&RmSB^5ToS6KUVs6oaUm/QeQrqHEenb;kQ&,#esoD&4RqY'Wt=J#Kk
+oD\L_pjr/>pOE~>
+q:#/hrmh%upX:hDdacdlf\+a%d+Hmre^i:)f[8=+cICh!d,AS<e`538e(N7&iR?'1\S!WtU!D<D
+n^d3](sCs`k,gA)Z6!#tkiIC\9=a*2gXsa/f%0iMrmL>dq:6,-g>(00gX=g/g7pc\hr3#7J^jSH
+!7HA~>
+q>0parqufnp%g00o_8:Vo^i+VpA=mgq"=OVs8;lkp%SHu]`.s!oD\d]r;ZWmi0A,;_t!^*!W;im
+q>g<fqZ$H`r#5J3rV-$YEIHDAIH:G+J7P&.s8)']s7Z<dqtp6Sq[rZ%rVHNmpAFaMG)>AVr;QQh
+rV6EhJbsr~>
+q=aXYrqQNfp@^69o^_eRp%%_Qp@J.\r:TXUnc/F]o^MGH[^5Z,jluI;lLF]=p!o"0K=L.Bq=OFT
+pAFXbq"sgcp@@qqq"t![n*4G#`_(+"qXJi<PMQ0,iqi]Ep%JCZrV5pWq=YEmp\=FWq=4.HhJ@f&
+oD/:Xp\jl<p]'u<~>
+q:#/hrmh%upXB/i0$;Aae'H7ag=4R*i8)u5f?W7(f?qsnfTqiUj2fNuiQK^(dFPdD6Y)Y-h:gH4
+n^d6^(u!fre^RH%[l[p9kM'?1G/3"b`SKP#e^j`LrR15cq:6)+f@\X,g!SI%_bk$`e(E<(eG@Yp
+dXV~>
+q>0parqufnpA+sjnFut_rr2p#p%eU^o`"k!o`+=Yq=jp_C5r/gq"t(%gkT'=\DmPgq=OUaqtp6d
+rqHKfrV6Ehs82Bb)>jI&s80T0YA[[ls8R.?Pir)HqY:*ho_\ObqYp6iqW[nVq$d3#qtg6gV,#/4
+p[\@_q#C2Aqu?PD~>
+q=aXYrqQNfp@]O%mdpJWr;Zfqo(;eMnG<1_nc.nPp%&.PA;'RFn,E=sq>1*>JPfLPh#IEDmdp5P
+p\spfq>L*VpDE]*mf2pe7A!jX^]!kA:QXZ;s7>dYp[@hTp\agVp\FO^oF1Kip@\+LRmb-no'cVW
+q#C*gp4;sg~>
+q:#/hrmh%upX:hDd`9Yef[ep<h:'s2f$iI9gWnZrg!\=-cpVNte^EO=j4W2DZsb^KOM'Q2dE^7o
+n^R*\(ZWj$g7^?b;*M5Ni`%dV`T-"0eD/[%f)F1sddbi_f)F//f@ea*f[k^(VW6+MgsjdNeGn*O
+e,[pI~>
+q>0parqufnpA,^-qY^6\oDA4\q>^Khq>^Knp&FR^q>^$`hVnJ6$2!ZKs5BYlA!ZN]s8Vclrrr8r
+qtg0ar:g6ds8)cmo)/Ob(@M2%=.F@t_uJ=pEOGE<oCW(_rU]garVHKfl2)"fqtU0fq>^KU?&JLX
+s6opbq#C2Aqu?PD~>
+q=aXYrqQNfp@^0>p@e7Hn+H2Ho_J@QoDA@[o)A(Up&4:Of\$3$qs*;$q:hBT?'+7Hs8;?Sr;Q?e
+pAk!dq>^6Xp]("*mJ-ELN++EEqo;WLZ1@q_mJ6eVmIU;Np\XaUp\FLnp%J"Qp@S@Zg/3Clq>B^[
+rV6Ees7V$<J,~>
+q:#/hrmh%up<tYKd*g@_bgk.tfA5B9gZ78FceHXsdbW1!\@^_WhTs9\ft2T)4`JHriS;c*gtqPM
+n^eZ3cedS@I9%Pgn$kS[PgeR;d+m[5c-tLueGI\aeG7Z-e^i4&f$rR2^H#lVgY9p'daJ*Ds42eO
+!7HA~>
+q>0parqufnpA,Bqqu69_s8W)qqu?Tos8D'Sp\t0tq#@m5o`+d\rVmV&=C76Js69+Iq"k!irqZKh
+qYL!]p\sggp\=U]qsjS&qssLYP[.[0[/[:HGhW/hq#C*brUp!dqtg0dpuqSas7u]iq#BuL?/YbN
+s7QBcs7lWjJc#KEJ,~>
+q=aXYrqQNfp@^31p%@eAqu?E\o_%kMrUSe9o_eafo_Pq!meZJ?q"ascQW%(Ig&0punFQ>Kr;$!Y
+rq?EfqtU6erq?Edo(Nsqn+QF5:f(/bp7,H+eGAe3qXO4PnFZYXp]($fq#L3[p\=FkqXjXUoDe34
+;:b^1rUp0cs7lWgs7V$<J,~>
+q:#/hrmh%up<tY=dF?FcgYpl;g>(NBkha>0dFm=/dFsgHcJ@!rgYUrFG;D9s\_P-Jd*pOugtD2H
+n^eQ'f\:O55tRF1OAB#jh:1$0dF?dpeCjiNs3gno!7LDepsp57eCrC#iQuI&]AUlfdF-IjdaZdt
+f[bZ(!7HA~>
+q>0parqufnp\G?rnc/Xes8Vrfq#CBer;HX%qtL-brpR%Js7lTn$K\F!=b4`irVuosrqm)to(DnX
+qtp0`p\jdbp](*Zr#5J4p=ND4>)rK]@Z19crTF.Yr;QWfr;Q<aqYU'Oq\9))rqH3ea[rE1p]'p^
+q"OOXq"ji<qu?PD~>
+q=aXYrqQNfp\$'/l1juDs8VWSmec\BnbE"]qtTg]oD7aPK_t69q>K'G>Z?*io(`(]q>U*ooBl&@
+p@n=Vq"jgdp]'sXpDiu+o$U8j8:'Hd:j`-8r94+TpA"@Op\O@Qp\=O^q=44Sp([Jrq==.Q_EFCb
+nG;hRqYBs^q"OO^p4E$h~>
+q:#/hrmh%up<tG/eCE"*j4)E*jknYFk3;0ee^<'sf?/t]gX>!7i4t461gHm*f\5<;rmq8$c-Y&3
+eFD-0h:9"q,Wp)'O$mgJhVH3+g"+g,dF[!oeC;pprR(/bpsp8;db3'tfqg!Kimcc2e'l^ldaH^t
+f\"c-e,[pI~>
+q>0parqufnp\I)Nrr;ups3R*rM2?%\J:)X1s8)H]o`);(oDe1Wn]H8OIFnMss820Up\4O`s8Vuk
+r;6Bdq"OIRo_%tQqYK^Z)Z01,F&?IAreO1fs6BXWs7l*Zs8W&mpA+R]qtTFQ(]"+&rqlKQL1frS
+o)J@Wqt9XVq"jjar.4`q~>
+q=aXYrqQNfp\+X[2uiL=p;MrFI=5I*F)PlTrqH$SnG]VnmJQ#EkeV=,Gguchs7kjLo^qnTrr)W`
+p@n=Vq"aa^qYp<jp]'sXpDE\qs(t5,3pL]C[f#%_o`+dRoDAI]o^heTq#1$Yp\FM"o_n4Rp@I6m
+>N5ABs7H*bqYL$_p\4CSp4E$h~>
+q:#/hrmh%up<t\Ehpp0/WGuifB1tj*?X.p8eBlLcgQ.?=grABtUf\pHZej?kf>u@ge(37/gt1$F
+eFD-,dc==^7kWb90<FQak1/G@bL>5$f$VjnrR1Yln^RBc(t@Beg"+Wg@R\Mtcf<C#e^;dmdam"%
+f[b])!7HA~>
+q>0parqufnp\I)Nq>^-ds0H-FY)#kaVN=ncq"=[`s8HMls8W&rP?:Y_rq$-gnb3"Zqu-H_o(MtT
+qu$?fq"XUVp\4IXqYTaZ)#qTg9gIfs=fVGrs82?dmf37Vp](-cs82Zhl2):ks6opdpsN*Ms82Wf
+rUp*_p\=O[qu$AVqZ-K]qg\~>
+q=aXYrqQNfp\$<6nG2AAqPR=rU3f4.R=e.1naQMMqtXKUqYBdUM,$O:qt'^ame6\Wq#1$Yn+QPK
+rq6?drqHcpq"a^[p\4CTnb3mt^gBDaeTXHLmHjiEmf2_Tp[7YNp[nL[qY9IPrUq&uqs*tQo?9n/
+r:0@MqXsg_q=saZp@\*JpAt!^r:U3dp@e%NJ,~>
+q:#/hrmh%up<u7PfZMb$NBKRdBJ2i2E]Q>5d,!7,ffsE2gt1.q1Fn=;dG3O'eDf-6gY1!#eCi=%
+eCN.#eCN.#eCN.#eCN4FfDF5;i2B7%,KO^aN8E7OfZi<rh:9]qg!\:%rR1Yls3_;)daZ^pdaZ^p
+daZ_BeG[r/dbDpsg=*,VOlY*DeCW$srmCr!f%/L+S(%JieG7\de,[pI~>
+iVNTS54SXLGBqmAS5#=Lpf)tIr:g!d^9uVnn#9](Xm>c[q>'g]q"jg]qXsIVp\"LarquZkr;69b
+q"adarVZQirr#:_r;Zfms82NfqtU-dHrF'\DIg9Vrr)lsrquWirVuorqtp6hr;-<grr2lrrV6*]
+qu-Qls8W#ps8VulqYU0fr;6?fmf*5!lt;"Lrr2lnq>1$aqY^9grVlimq[`Puq"jpeqt^9iqu6Nf
+pA"I[$NL)$q>0s_p\t0iqth9(q>L0hs8;cjqYU3hrr;imrVZNfr;ZThqYpBlqXFI`p'gs#qu$Kg
+s82Haq"amYqg\~>
+iV*<I46ZJ1D/[_lO[+g"ksfslp$hMN\#[gQje#RUUZ(b<qY9m]q>'m]qt0OVq"4L[q"=@Tp\+:P
+oCV_Mp\sjbpKR=aq"sXYo^DJFnb)Em7nR)q=0(l^oChqRp@S%Pq>'dYp%J4Vp@n@YqYC'bo^_YK
+q>9p`qtTs`qtKj[q>'g\p\+:Ds8)HO?@2;:q"OISpA":Rq"OLVq"jg\&,,YfpA"IXp&"OYqY9[Q
+o_J1fqtTjVp%@qIq>'d^p)3Alq"=I]p\+:Qp@n@XqXsUXp\"1QqXjIRrq?BbnFutP%J]enp\ja_
+q!n(PpA4LRpOE~>
+iR.\U50)=+;HC<cI4]R%dO\b[g!nR3Ruju9b(Mi@MTF?&g=k66g"Y66gXam/f[em5f\"d.f@\U(
+e(3(&f@\X(rmtE*f%]'3h:U30f[\j<Aii+O;b*;5gt:<4f$_pme(*!td*^4hda6CieC;sue'H7a
+dF?^pe^i0te^i0rdaQ[qe^W's`o5Y'`]m_Xf%/C#daQ[me(*($f@\g,qU,o%cd1"feC)^pe'cdq
+cHX]3d0nFUf[\L%e^Mt"g"6,P):6mce_/d1f%&=%f@\d1e^rI*e^W4)eCE+Kf)=.pfDjD"dh('V
+d+I('g"k38g!\L)fA"mJe,[pI~>
+iVF\gs8)Ki_Ti,RO&NU^s0U>>s8)Sl<l"OPKk6Y0s8W)oqt:HmrVu`gqtBUWrVlisrr)otrVclu
+rr)cm')VP$q"4R`q>UEbs5,gp:ejgPr;Zfrs8N`-r;Q]nqYC!fs8;`hq"OLWqYgBm./s/@p\+=T
+qY^*_q"ad^q=t!]qs=?MDUJ@Wq>:-jrr)lnp@nI^p[S(T&-)Y+qu$Bfp@e.Qr;Zcrs7uQtpA=mi
+r;?Tprq@K/qYU3hs8)]mp%A(KqtBa]r:p*fq>'mbrVZH_r;?Nls8;E`s8NQ-q=sg_p\Xsbp&"^\
+naZL,~>
+iV"A]s7GjZ]>F4*KL`0-p86!gs7#NN9XaE(HWuN]p@n=XoaLQls7uBbp$qbNp\=O_pAk!epB13b
+p@\CX>P7XZna6)Do(W1Ms3iMJ6pa9!rqH3_p@\.Rp[e+Rq"F@Oo_SCWo^hYDnFZGMr;HQjqY9dU
+o()DGq"=@Rp@e1OoDe4Kj8"aIaS#/rp%S:Wp\FINnb)VGlhU2arVH9_q"XOQo'l8Gqtg3hq=k3b
+pA=^\p\k-knfIDqp@n@[p%\=OnFGo=naZAJoCVnOo_%tRp[dkJp\jmep[RnUq[WDmoC_eIq"s^R
+qY^!Tp@@s.~>
+iR&dhgsXU-T<-o#DD@F$gl&>Pk1A4?1S**n@R>4Nh;6u?qpu8/hVm5Agt1$.g=k<9rn7A,rRqA.
+g=b-Wem-bTe^W"$g",!AdH\at+?226cKaBEgXjs'e'lXkf$r3rdEpOreBlUgccjeaf%8X-f[\O"
+d*9n^e'lXidaQ[neC3C$e]-Bb8?:4cdF6Xtf%&C%d*^CpdEBu7ck"dZdaHUnd*9hYcI:@pf%KoK
+#h@>RgY192h;S@]*n/Zjf@\m/f\"Qtd`^4hdF["!eCrF%e^rI*e'HXtrRh/%p=0,jrm:]"%bT7\
+f@SO*gt1'2hU^**o@*cgJ,~>
+iVFYfs8MWioDJXbFBn2,s7lKjs7ZDOGh.^XJA1m[rq6-`rt"i%q=ssfq#0p^qtg']q>:-h"8r&m
+q>U<lr;uomp\t1-rqQNVpjl4C<.!O&lMCJZs8Dors8N#t#QFZ"rqZEgrr)j'p\Xsgq=jXYs82cp
+*W,j3qYU0fr;6?dq#CBlBohZ]rV?9erV?-^q"ames7uQso)&Ieo^VeUrr`5oo_/(U$N'bsp%.kO
+rr2lprVQfmoD8LbrVuoqs8N`/qZ$QlqY^BnrV60`q>0p_q"XCY&,-#$oCDhYp?_SSs8;`gp[S-2~>
+iV"A^s7l![m.'o?Bi*aRqX*eEp$D:'DTmT0G-pc=o]u#Bp^cieo'uJJnb2GBo^hSAo(;nS"82<X
+o)A@_pKI:]nG3+`p[S1>n9%)l88luVhs^11p@S"PqtKm]q=jRUp[[qKp\Fads7#[Tp@@_BnbDbO
+s8Vldq=aRXq"OOVp%%YQs7'EKj8/NAoChqMn+6)?pA=jeqYBmsme?bYnEorLs8;clq=F+Hq=P-f
+p@n4KmdTiDq=sa`pE/top%nF[s8;iip\as_p&"RYp%S@]q"++Lo_%kKoCMbOqY1Wkp\*t@p\F@D
+p&4jdq=jUVo(RY~>
+iR&digt'a.d+dU6;``"Ii6g'-gsatm<O6:!?(9I.gX=^/qV)P/g""U+g!n^'e^rC$e(*(Kf`TmY
+f%'cNs49Bae^N@7inN)E`nP,b5WW>km*")7g"4d'f@ns5h;$c;g=k-/g"P9>io8J>gY(0,eC<:*
+guIJMf\>$1r7Mq>f%&pFgIQ5)h::!'f%8Bse'uq$hVmAGq:-#!eD/^$b1#2%g">!/d*9o4dL4RW
+g"+Tudad+,g=lMY+4SZhgtCNDhV[#>hVQo:h:pT6g"kN=e^`7%f@JO'ebIksf`'G5d+[1!ce7(%
+b1>M/h:pW7f(7AkdXV~>
+iVNTO+8G^4p%S:V;f2R7rr;cbs8THUH?X&@p&G'^q#C<iqu-HmqZHWns8Dcn-3!iBs8)ZlrVZNg
+qu$Hns8N#ts7l<ap%/4`nnhl0`W,`%s7ZEjrt##'r;6Bep@S%Qr;$3cq=ss_"oS>qp$q\Rrs&8m
+s8Vigs8Mj&qu$?gqYgHnoTF7[rr2utrquoqqYgEn"8hcbq"adhs7u3Xrr<#o#5@rls8;iqq>CEq
+rV?Bis8Mp9qtg-`q#:-is7lBdp%eRbq=sj`pAFa\pA"Rbs8N!#s8N#rr:0^rq#16kr;Zfrrr)cd
+kjJ9Cnb[h~>
+iV*<G+7f(!md9H/87D,bo(DD7pA:k4E,Apmli6eDme?>BnGVnWn3l[;o^_hRo_A4Zs8D]bq#'aV
+p@e1NoCVbOqYBp]q>BdOoBtuAs6=#o5Ipa[jSA06q>9mVnalDEna>c2nFZ8Ao'u5KmT9&Ro'P].
+p](*Zn+ZSFnG;eNp@n:Rp%7qQoBD$Chu<KJp\4CUo^heRrql?Un+$,Gp@n:Tp@nOYm.(#Rr:T^R
+o_J@Yq#'p_q"a^\q"Xg_o_8=arqcWg*;9'toCMeNqYTmUp@._Lq"41Op$qeKo'u>Gq>1*d"T%ri
+q"OLU!Vc<epCQlgq"FIZqt^-cq![D5q"aXSpOE~>
+i6`[qd+$gueC`>-8_`+Sg!S+$ifRJI<(3M/k2=P8hUp?-rRLqt7+'`@f%o07gY:WFi7ci<hq$H5
+g"=m,f@JU.g"=s4hpp3-daI(9dnr[iWU8Hej3u`=hV$B+f%Sp5f@AI*h:gW<g=cJW=5D`ff$`+,
+ki:@Ki8E8@j4`8Bgt^Z?gtq&JeTFm:khb"Hf@ed-f%Jp=hUg0'eCN.#eCN.#eD8QscJ7=4daZXn
+f%S[,g"=m.f%AR+f\bE6g#(fIh#>tHf[n^)e_A^2h::'.dam.+f%&F)e(N=%e(*.+h#?%1gtUT;
+p"9Atg&BS7eCiU0g"kK=gtUT3aj8\pf(7AkdXV~>
+i;+Sgp\t*hr;X;rU%\N[qZ$T_s+O6VLs#_dfu_Fff?q+>rO[?d\ZrcTYHkF4W2Q\sW1ooXV4j]_
+Vl$>hWMHJmV4XE[ZF%'`e'uP2O^qedo`+[/aOeYIW1U!!b/V?5\[T/c`l?0Gcd'h_e'64`b0&/l
+me5\mf\"g9o_A1Uq>0p^q#CBb[pP'io^VYOqY0a]s7c<aqu-Nmr;$4#q"t$ep\+F]qtTs`qXsLS
+q"t6kqY9d`obdGuq>1!cqYKsZrVu]js826as7H$bs7cBhrsS`"r;Z]mrVcZkqYB[Y&,l;$s8V][
+q"jXZrV-<ko^Vg/~>
+i:\;_oD/(Qp&2'UQgFG2n,!(Ep3T5/I_bU<cbI<>c,H]_rMt4DWM-AiT;&$IR\-=NTpqF<Ssl4C
+TV%jLU7S*TT:).BX0&SDbg"&kM-3d;l2L%b^<OO!T9c(R^qRIjZEU[G^V@\+aN)?CbJhE:^V@h@
+j6P@Ac-=Jbm.0c?p%7kHo(`7JXAaW:l0@a/oC28Aq=*qFo_/%Qp%e:loChtQo'uAIp@InLp$hG?
+q"Fmap%._Qn0[_to_%qOp%@nFq"s^WqtB:Nr9s1Us75jZrVQ<\p\X^Zq"XUWp$hSbp@7hTr9inB
+p[S"SpAP$_p@@s.~>
+i6`[jd+R(*g#JABIad*!e)'0,gL)KmA#7l%[%sS'ZE'%JrK2DfO,&jVKntM6ItEB1KRS8rJUN'$
+K7\]-KmnW,IsH?oNffO(Yd:=VE^`:Ae`t_cV6m4eJpDp3V5^GiT:MXPXK8Y4[C!<L\?`EEXf]"M
+dFlON]=YYog"b<9gtplBgu[nQRR;#Mf?hstf$r1$h:1!+f\5*6f[q1pf[e^+f[eU(g=Fd$f%AX(
+e^i@!dF$Y!g"4p/rRh8)f$s]J-e6f"f\+s1f[\I*hUgH;g!&:0da[@=e_&^9hV$N7hV-]<gY1?5
+fCmhtf@^)S&D>RciSMr+e_&=&gXk<AeCO6@!7HA~>
+iVIrqrVu]cs7uG!;rI]UqtC'bs0b=&=A=!OCN"*+BkqR7J:`E+Jq/>sKn+DqIX--WEH5u5BPD6q
+CiFB4DfTuAF`_G2AT)j9@9Q`CD6@Z(>C's[8nM.&=^biK>#eF,?!($&<*EX5?Y!b[A7fRjC27Qu
+CN4N9B4PXf,%P>'?<plD?XI,G7;$41Anc^-H%:QuG]\1ZO+Vh6Q_Bk.q2,]2MNsHdMj9sFZ`^@(
+R?Ng0M(`[oOdMK,Zc.o`N/NLGJU`<+P+7u7Wi;&RVjj<b[AAYAS=Gb!Knb23K7\]+It-sB%Xito
+OF;J5R%CXkUqZ6rnb[h~>
+iV%Ziq>9jQs75\^8_3Y/n*Bo>r2_qZ:.&l'@:`tX?X[A\DfKf<EGo`/FDkf-D.mQqC27Kn@:EbU
+ASGmmBPVL&Df0/o?YFIs>#S7'AuB0]:iBW05[7#S:KL_#;+jMa<`)O_9iG.n=C#9??!h#G?=.#E
+?Y*t^>?G*6"'Ac==Su>%<u4#+>"2\$Ea<[1I<fgLEHd4dFafF@PDAsf%sWeiOGJXQS$T8sVOj$4
+NVS5\B6fH"P*rJgLkph@K7J>qIXmEEQ(4\HMOgK-R]`lfJrQ+`NJ)h5I=?WnI=-?en:(pkI#X&/
+G(l3NYd't:m/QVMJ,~>
+iR*%teC`3pj4;aD0YQ>te^*.%iK53C1FQ-e7S66A6q0[G<EE:)=&i3q>#e9o;bg%[9hn>O6q'U6
+85)`N928>Y:JOAD5>,!R4uY;c9T;YN3a"s*-UT^D2EX2c1b^UN6pE^l4$c>&7S?HL92/5W:/=VZ
+:K:Rs91V]K"@u0`69tK:s$RYQ9hI<99k6n#?"7/A;,ph:?s-r\IWoT'B+J0YEcPo.Eda47Mhln,
+E,YPa01oJfG'/1pUMFX[BkCj^?"%5^H?apqLM_QqH$tg=K4T"JH>mM,A7/hS?sm>I?1h_+AIi9R
+?Z9jc=D)f)OckBhc//$@!7HA~>
+iVG8%s8Vi`r5cBHACCMSs7Z6UfW<BGjPm_hc-*rBe_A^1h;@/Khqd)Vr;#p[s8W)urr)fn&*iTR
+o'c#:p%nFSmd0B5p\sqDqsr!uK)F3B]trgCbdssKPaA;\bJhH=_SEt)`Pom;^U1&=Vkg/cUnXKP
+S"$(KXK8=mrgNkVs-ssrR\ZBbRE2"OGG_@>V4F!AS=5CcI"R)uDY\YjOa_>&Trsr@Jq&<'K7A?$
+q1U2FLQ$n/DKL>ZJUi/oF)Gc#?YO=c@:itXCN"'0G^4@TJ;8o2H?OK1I0+eBH16%hH[1*uLjt#;
+L4P,'>DCf1nb[h~>
+iV"qsrql<RpVF+.?-)m3qX*b4dA=n+h:o6L`l,I&cIC+`cHstdd*BnomHW`to'l/IpAOXpj6,ao
+ki_7!o^V>4k321$rp`t[lc,$5p!:Oa]&'j6Z_s.LOJ'#"^V7Cn\[fAe^;.LnXe_S]R@'A.Q'.5h
+Ng#p(T:1t)Pa7Z&QBmf#S<@-;]p*YUSt_sNQ'%5pPD+4'I!p'Kq0*@.H#7u"WL/6bH@(*iH?jo6
+J1#VoLOX8WDg?bYH['XMBkCOPA7o1Q@9m/NC1qF)FDc/HJqAAmEH1r%"*\m0F7jPOE"@&2G_:Wp
+I>WZ+KQC@Pf`1L9J,~>
+iR'=(f\"Qpf;+Wa6*9%phpBfn[>Cre_7u;1Wi2M`ZFI3GZ*UgEZa$aPd*9SUe^N"Gg&9P6`lcTP
+bKA)WeBuO^`lQKTrm`:HdB%M"fs@TFT#-npQ]$31FG--`WN3%tVP^>nX0&J"RZWPfreCu<KRnW$
+I=d<9Ner@9I!bg@)1R*jInG*hJn8,@Ll6q8GBeI[CL(.P@96+t=q>OV:ged3HXpMi?=@8J>[R;:
+-X:4t@T,ru>[UoF>?=Zq8Nf4,8jGU/5X7n892ASi;-%"7ARAP=<;g#'>$+j,rE&krs&]5'&R/CA
+<a99L?!hDY?Y*1sA@CIfe,[pI~>
+iVNTK*qfO/l]QXLCPqEBs8VurNFVhXs7?6hqu$KoqtU$bqu6ftqu?]krVmT1qYL*gs8W)mqu?Zl
+q"t'jr:]m`rr4ACs7cQjjE.]uqZ$*cl2UJQq"X^`rVZNfqu6TmqYBs]r;ZfqqYU9cs8W#rs8Mj)
+qu$?gqZ"B;kl:SQrV63fq?m,trVc`pqtU!ds7uTop%eUe$N0eus8Dors82Zjq>)K;qY0d_rr)`f
+q"jper;-6_p](9jqu?Wmp\Fjhq=jjaqYBp]q>:0iqucilq"O=W&,H/'rV60ds7u*^s6o[]m.'t'~>
+iV*<EIe!:-k)=G3A:`[ss7c*`L0X?<qs=(Oo_&+Yo^VPBnalDFoC;;:q=NtBq"FFRoCMVKq"XUQ
+o_A1PnauSSp@.VHqtg*[q=+1Oh/04Yo_IePiqr38naZ5Dp@\(Lp%\=Uo^h\EpA=a]o_&"PoCDMG
+p@e1Pp[mqCo_8(Os7Qrsp@\+Nppj;Yp$q;;nF?MK$M3rap@n=RnacGPq=kKio_SL^p\+=Xq"Xa_
+p@\1UodBP-o(2VOq"F7Lp%S7Up%7eFr;ZKaqtTpVo_eXZo(_nNo^h\HpA+[]"nqT[o(D\NpAFRo
+o(DeOoCMbUp?VVUn+QeJnb7P~>
+iR.\OIa6Qq`b\ac7qBTXjP&/DC-^D!hpC-4f\,0>f[\R$eCN7'f$r-pgt0g#gY(62f%/I,gY:H2
+fA#$1eCWF1f$MgrgYLW:h:166_c)WAeD/=/`ST(pe^`:+gtUQ;hr<YRhVI#Bi8s(ZhV[>Oi8<JP
+j5].YjPenLiT/qNs4In9gtUT;iM&NXiSE&@g"QG[$JaCkgtgf=e^iL5q:cG/fA5??g=b09gY:T@
+g">$SfI,G+e^iI0gY(*-f\5*6f[nX'hrEDChV6c7fAGK;e_Aa/f@JO)g"cP[#MI_[e_]0<h##e?
+gtpuKio&JBgtL?1g>CN+gu$B+hobN>!7HA~>
+nbW(YrqufnrqcNfs8!9$s7c<gqX+7LUr;p$s8ViXr;$:-q>^0bs8)WmoDIe+s82inrr)Tiq.a@<
+q>:0fs82cmoD8Oco)BO)s7l'_q="@Uk]M[Ys763[pAa.PqtC'br3?.or!r]%s7ZKcs7cQfq>^?h
+rr)]lq!n63~>
+nb2eQrqQNfp\#0ko)/%Js7,.@kF]NXo`+j[q=j.I)=mXmoDJ4PrU'=;ebo+9o_8(Kp@;]sq"FIZ
+pAXabp&b!^p@7nJobdE"p$D\MlMp>3DLM*UkkXE0ptGQ8mecYPos+5jo_S4jp@J.Kp[%bFs7#UZ
+p@e=\p\jmWpOE~>
+n^70\rmUnqrmCSk&Co4adF@4+aOnXdU!_HMhUMASn^dNh):dQkf&,'1i6Bih[G9<ffA#$/g=St^
+gt(!Qed0p[f@\d0g>(KCg)AZ!d`^Irb2^mf;.A/<c/?n!j2L*7fAtcBg]#n*fWj-0h>c40g&9P7
+g=bN>jP/kMjjr)Fg"G05f`'Ije,[pI~>
+nbW(YrqufnrqcNfrq[)os8VQfq>Yu+k5Y;QqY:!YqYC($qYC*gp](9V`.t7iUZDIHq>UBrVGO)g
+q>:0fs82fno(rIcrU^%*rUp3`q"k$as/oJYo^_t>s8Vfmo_@tQq#%Doq>:d!rV6Ejd(7<oqZ#dV
+lM^b]qYg3Zqg\~>
+nb2eQrqQNfp@]!glh^PAr9sH.MW+U.oC_>Aq=YZso(MeHr;Y]hJYAj0hZ)s5q"Xl]8Y,_OrqHBb
+rq6<brqH!Ys7c-Y(\dJ"oChnXo)GXddd-/if_5(-s6T7>o)&(]p@\*`pAFU_p(-cgnc/7%Z+oi#
+s5EY4q"js`rV5pWJ,~>
+n^70\rmUnqrmCPj%arPSgr\I'h-Fj7j4Di5q:Pc"n^dNh(tR6jg!ej=_k(:fK71Jncdpn,jFo7>
+hU_\UrRUu"!SH*)g&Tgdf+uo\gWe*oh9Y&91:,9Mf=Teqg$72Bdf/#$g&K\)f)F=\fe1q1f\+p1
+f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1f\+p1g&B_,g"?;T'@YXbkhihCY2%^m
+a4n\ih:UB2f'_#fdXV~>
+nbW(YrqufnrqZWjrqHBe&-)Iuo_JIanp.G9s7lQkqtg3kqtTdW!VlThr>5M*s8V`ko:o^0jo;H$
+kl:\Ss6O'<lM12PrqcZlrqu?a!;uBc(\Ib)pAFsihIDQFp?q8=ctn#[R]?DflhUI`qtU(!s7Q?f
+[W68NUsT/1s8)coqYg3Zqg\~>
+nb2eQrqQNfrV$*^&-)=kmdg)FlZB0#s7?$\pA4O`q"+:^q"OXY(]*Loq<e4KS6EP^rhjJhs8D<[
+j]?N`nbMqYp&FabpAk![q#L3[pD<?!q=OIZqV#51q<d;'lc*IUHBP$$r8dkMXS2Vcr:UX#me67S
+Bk<9oaT(N'p&4j`rV5pWJ,~>
+n^70\rmUnqrmC\nrQu/0d`p(fg"ObQMUpb8f\"dNf)XCne,\(qfbiPkgt^9:c[S!F^YX`;`8fh'
+h8qf_ajno?df%\peH+7Rrn.;%imT!lg="6pf%%5kA_>;J_p#/U?"JGBk2OP:f\"d+eCN4/fJD+2
+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f\>06f[g#N(>mQqhOIbK
+G_NEbcf<[9f\"d+eC;ppo$dZfJ,~>
+nbW(Yrqufns8)ckrqHBe&,-&&p]'[IFN!GDp\4^fqYL+%qtKdXp%S.Rp%S.Rp%S.Rq#(!e(]X4,
+s8VeuAA7j<s5S$jpAaU[RoRc6q>'peqZ$Hmr:'U`r$D=>rVZWlrVZWlrVZWlrq?<ir9OB0>iktW
+p$;HtC$G'WG,Y9;q>@Mpq>:d!s7Z0dnTAX@s7,\\ZMaUuqYg3Zqg\~>
+nb2eQrqQNfs7QKfpA4Loo)8@Rs6&H[^Z>=`o)J[]qY(!bo(`=]p\OS"s6oXUq!Y7h\FTFkh.`;G
+roj'?:<35%q=jp_"nhW`p\4IQq=44sr:KmapuhX#<o<T9m,IPO@H$A7DP?\%p"B$kp\+@Tp\+@T
+p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+=[p&+LooDe:Js6+9.mf2P;:TX<a
+rV-9cnb7P~>
+n^70\rmUnqrmC\n!7Cem&'`bXcf<0h;5(q`daI(0ebRheeG7c7j3lT7gX;*IR*sX@]h*V"ilp,$
+1p,]eeGdnpeGmu%e^W1%f@A@0dWF'ce^i3dgJg)Gf$)IZe58i^dF;6Qg#Uf:f$r3teC<(#f[e^+
+f[e^+f[e^+f[e^+f[e^+f[e^+f[e^+f[eX'f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#
+f$r:#f$r:#f$r:#f%/O-f[eROdM1$adadX7>uTG?daU.;g=b-0f$r4KddklfdXV~>
+nbW(Yrqufns8)ckr:g6e&,>o!q=+FHFl*)sqtp6erqZF&q"ORXq"ORXq"ORXq"ORYr;-?ts8Mro
+s2T"qo)AXtn4f2JoDdWEK_bTHqtg0gq>^<iqt'X_q^)1;r;6Ehr;6Ehr;6Ehs7-'fqt\/uVZ6\a
+nc,R_\,ZL*NICBrq>@Mpq>C9ms7u]p$"ehfq#(/+J,eg4qYg3Zqg\~>
+nb2eQrqQNfs7QKfpAO^uq"OOToD\FIptouBqZ$?cp\=X\p^d2qq=sd\q=sd\q=sd\q"OXY)#3ju
+p&)U<B^G`orTZn5qX"7597?C)rq?3_#57fbq"ORYmeJ4)q=sd\q=sd\q=sd\q>]mZr:]ct5G.`M
+jlc?06a-7ao7_ARp@\CX+nt^(p\4CUp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:-p]'pdpAO^r
+qtfpTq#+KEo^MMM@sS+9rV-9cnb7P~>
+n^70\rmUnqrm:r!e^N!pd*Vd;%GT=TgVZq$g#(E5f%8XOfC@AdfbiJtf\#)V8k[Cbg"jduES]"&
+\h@RGgu?o]e-=CLe'care_nnuh94F'f$p<6K%o8*bhIe#R,I2`DHtN@f[eR#da?LkeC<(!f$r:#
+f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#eC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jp
+eC)jpeC)jpeC)jrf\"d)dJhH+e^i4#j6TNViS32L8RLN!f[eX'eGdnee,[pI~>
+nbW(Yrqufns8)ckr:g6e&-)FlqY9E7jR2s?rVuQerV??\q>gHir>>/+s82\Y::^#skPtQZVt'H[
+N^M"irqcNgqYp<jqYpB\q'Gq6qt^-bqt^-bqt^-drV?BeqYtAOlMph[p"`e]p$i"[G[\5Zq>@Mp
+q>:d'oDARYgJ"%3s7YYN<pp"dqYg3Zqg\~>
+nb2eQrqQNfs7QKfpAXgdq#C(!rUf@Jo&YM]l1suJrUT^Zq=sIRqXtcmqtTgUN^pDCs5F"X9;(S<
+s+`_TqY0[Vp\4^_m.ht&q=sd\q=sd\q=sd\q"j^[p@\GuCubEan`nOu=RG>Op2O9Co)A?ap\jga
+pCI;kp&41)6]gm8mbgT3l2U_Vs7lWinb7P~>
+n^70\rmUnqrmCbr!n5QDrlu&+cG\2[aD&N7f[JO/dFR"HfC@Adfbi&lgXk%s.[A<<_;X?'K?_j*
+CETY8h:U<TeGdkqdf%YSeJd,mg=P!:8l*Rfg=Xof3C;<EkM0-&QdXI7deqJmdc8j(df7l"eC)bD
+bno!Re`#&o1kFQGf?#[(bi@@,eC;ppdF%O7!7HA~>
+nbW(Yrqufns8)ckr:g6e&+fhis8T0(m/R+Rq>U*fq<@ePr>>;,rVlJ>:@\A`s6?IoXT/:@=bHPM
+r:Km_qYp<jqYpB]q'Pn4q"a^\q"a^\q"a^\q>1-eqY\39b5D;+s8SicP5kLVr*s9Ss7uStqt^.#
+q<n7^rO?74s8JX'D!V,brVHKfnb[h~>
+nb2eQrqQNfs7QKfpAXgdp_!8qnbqeRs//fYrr)0Vqt'g\q=sLSq=YZpp%J.JGXq&rq#BEJ@AX"u
+_,>[Or:TOPr:g6drqHHfht\,apA=OVp:OJFo`*nGoU%gts7Z$V>[=u<rq<Gfrq?9a&+o,]s7NTt
+SbMiE?Y8F"j8J`Pq#C0[pOE~>
+n^70\rmUnqrmCbr(":RWcHaYTf#HV+M)i`:gre1$dbWILfC@Adfbi2jg"OhX.a?`#ho(%2LuR0c
+2IP1sgX=aRf)O8"df7\rd*^8?dK%hXfDjMCi8!/FUd;0@lHeYQL+IE0gt:@J6(Zf[daHOjrm0NN
+e'S?If%/?uci20*b/;fjhOR2rjPb\]:<V_;f[eR%daHOjo$dZfJ,~>
+nbW(Yrqufns7u`kr:g6e&,Q,%s7b<Arr;`lq#C6]s7uNmr;6'_q>D01oCr:YJQ;[Kk5PB^B)hDq
+Ht1b-r:0gaqYL3es8)]k%Jfnsqt^-bqt^-bqt^-Yq%s&.p](8(M#[AMq=soT8%S6js4h?_r;HWm
+XS_hk&,uV/p[X&7@r6=<B^buis8;]pq"jjWqg\~>
+nb2eQrqQNfs7ZBb!;QQf%e]f"n^a-&qXXOVs7l$^q=t!ao(N+X*qo@%p\+@[mI:&BHVX>4i;!=K
+?iTE\F^38gpZhePr:g6drqHHfrqR#uq=sd\q=sd\q=sd\q>C!iq=sd\q=tm&qY9UZqHedPoCVJ<
+nr#T5k5=r$?q'b_rq?BdrqNbmrq?9as7m-$nEPHl>%MMp@-R^UrVcKhq!n*/~>
+n^70\rmUnqrmC_o'@G1RcHabfg<[3TgYL<3eDSs'iV;$peGn,@g"4p/g"50,e(iAU1"Y0qf]+bS
+jNc7X5dT;#cK"lSs4%(srR(Vm%b'%]g"4p/g"4p/g"4p/r7M2(g"4pQf,`Q#h:^oL7V_&?hqZuE
+HRkZ8k2<d?.G38%daHOjrm0NN1==Otda?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Ljda?Lj
+da?Ljda?LkeC;porQc;-e_AU&Bf/I[=(=nNkg/2>f$r3tda?J5e,[pI~>
+iq`rVp@e7UqY^<jrr3,uP^iB&nbr:[nbX.&nb`@UITujJs6dC#R/d#a<fR.Es8)Ndqu6Hlqu6L(
+rVZWlrVZWlr;6Ehr;6Eho(rC`)ZTL-XBsZYs8)KarKg!^jm)fFBp%`]r;6BfrV3Ah&+T]"q#>;I
+o_e3-@$1Edr;?ElqX=<3~>
+iq<KKq"XU_q#'jhnr%e^o^VbQp@n;%p@n:Tp@nFNpAaH)<r_dkjfVF?r:?d_M#ZT8p@S1Trq?Bd
+rqQNh%J]boq=sd[q"ORXq"ORTpE',(pA44LV,u1=q"+"DooD89f\>ha?&.D=p%J.Tq#:)gpC-Hd
+rUTr&A*rsRGZp%)p]'sdpAk!WpOE~>
+iR.YR!S#Qqdfn=MC0Am4n^dNbpXC57eCN.#eCr'rgribWiR?i.P;RF@fo.b'j2Kg&dJ;;kdhL6[
+e'ljuf%AR+f%AR*e^r@'e^rFPecXFQeCOKG*n&Qjh9ji13k*_qf@JU4Hn:`,aP2J?DTLnkf$r-r
+rm:_oiRBL.eC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC+9Bs3_b6
+b1kk,k#>(/imqR,F5Pg-f[eR%daHOjo$dZfJ,~>
+iqa5^p@S+Squ$Korr2QS^[Cptnbr:[nbX.&q>L6iX_,'BqXSHYrqZS98]p`'s82`iqu6Hlqu6Nh
+rV?B]qu?R8s5e$drr<#jrr2\m9Pp>ESm"tSs7?0cqYL!]p\=Tbq[WJks6fVbWpK?RomB^4p?;C(~>
+iq<rXq"XUYp\=IUoCM5'[cR,\nbN"Snb3k!p%eCYWFE40n`XG2o^V]o7)eZjrV?<cp\smdp\ss`
+q>'gcp@J##p@\ICAX<,jqsF.Pn=i<[NFn/C7,7_,p%J.Sq"aa\YkJ.mrV-?c%e],dkj_WJk3V^.
+G"qMrrV#UPJ,~>
+iR.YRs4%%us3h.n^6QXah=9(le+(p'gX=['eqQDNgsjS=A_Yqt<%"Wkf@n^KeGdqseGe"of(mkr
+f)*todNR#df%B#t7<I,9gX+^2fo7^_I9(\S0#lquf[eX'daHOkZIC#FdEg4fdaH^tf?E4!ffY;A
+g#1Ok2;-R6f[eX'daHOko$dZfJ,~>
+iqa5^p@S+Squ$Kor;Zb=UAOfenbr:[nb`@b$30\um\Zo'[>BY;rs6bGJGo3ApAap`qu6Hlqu6Nh
+rV?B]q]Pn6p6TCXs7c6erU'X<@pAuc7:"=@rr;onqYL!^p\=Tbq[``$s8'i7m.U>PpLm;$rqYgU
+J,~>
+iq<rXq"XUYp\=IUnbhunRI^"HnbN"Snb<(Z(&RP$lCt&gXFGWjqtIs%Hhd.2oD\IZp\smdp\ss`
+q>'gcp@@r!o'_]Kk5Xu@s7YUTd9BH<a#6]3p[nLYp@n=Vq"a]hpAk!ep]'pts763^_b9.]p%.]_
+8,rAVrq>^QJ,~>
+iR.YRs4%%u#LV>U8pJb3f^[Pge+(rfeeQi_hoC4sU5rhngu@7m1LAh`hU'p%q:,Dms4%%uq:>Al
+s47"qr6cS7g==Vk5fV^-d,E[#k.4#EhmF[jYMn6sf[eX'rR/"$*7E6\dF$Cjf%/m2jP$XjcIh%1
+gIs9ahUgE2f$sZHo$dZfJ,~>
+iqa5^p@e7Wqu-Qpq>^DPcN!q=nbhYK(]!q-o)A[UiQ9aJqu?NhSn$XOs7bm[o_JC`qZ$H\r:0Y,
+r;XK5[K$-rs6p!fq>SNrIW7N#q>^0aqtp6dq"XUYqPsE&nFuMQLh$)Ws65"oH2%-uqg\~>
+iq<HJq"Xg^s7Q]cs71f]r;?*Tq!%Mhp%J:NqZ#d8^sDK>s7#TF?.nfKo]cDHq=jm^s7bsVs7Z'Y
++8,K>;6Krlmf)JIq""0rJo>*NF7&qmo(MeOp\=OZposJmq#'jsp?V;:q1;o?rVto'1ir3Zrq>[P
+J,~>
+iR.YRs4%%u#L;5T@\h`3cgfQMe/-Q^fZVn(`O_hMeCNd6gODT'e`"ush9>]ErmUnsma_?gq:,>j
+*7WWtRl$8de'-[jh:pN:X))$:)dV(VdFQt$eC=HFZIBlBdEg4fdaHXrc.(+qBLUM6lHNfY>M%K[
+f[eR%rR18d!7HA~>
+iqa2]p\+@Xqu-Qpro0@.rr;lbr9=(ps7Q9ap&=sjs8;`nq"`-0PQ0nIo_&7[q>:0fs826^nbXI-
+pkX.hp@&%Us823`s6T!\Z=/^lkl:SXqtg0aq"OR[Wr)hr%IWFf>a(t6H:2bno_ngSqg\~>
+iqEEH!;QNes7QZgf9"h]s7PmVl1Ytjnb;\GqYL0joC2JAn&._UroF%Jo)AFYrq?BdmeHAI+SPU$
+Jo^JQli6SVp?;PVkMiV@<Ik)*qXsRUp\4IXq=pr`&c;Umj',QDSpGKBCVfH6s7Z0PpOE~>
+iR.YRs4%%u#1L&"][YifnC?dQ(YI$_dE^@qg>gc7gXXlW0QZ3nh9aL#dJ;;ke,Rqceah30f%\hj
+<RoL<hpC31b2_R*aHquQC?WXog"=m*eG[h$e,[qqdJqYpe.^Tsbf2h/F+e"--<$nngZ7#<eC=HF
+o$dZfJ,~>
+iqa5^p\4L[r;HZqqoFWao]6&Knb`.[nbX.&nb3"^p\=X]s7ZKmoT<S4q>^-fs7#m\qu6Hlqu6Nh
+qt^0[q]PpQA]4W@q>^K_s8VK]s82irDe\L8qu6KiqYL!^p\=Tbqu6U#prq4=i5iLcrr3#moBH.&~>
+iqEBG%JKPip\+=M]n#>7i;NB>p\FUSpD<eqo)JRXo_7kTm/I"LM-80sqXFLameHVPrq?BdrqQ<`
+q=sRUs7RQ4\6luIn+?Y[lMLVFoDeIUraT<nU%J0Sp@n=Vq"a]apC[9#r:@tSdb;RFfDYaLna?,E
+lh>o~>
+iR.YRs4%%u#LK#Ka3;6Ne+(r`ea_-*g<.asf?hppe)Sj9jjA*8[Fa6]h;$*"q:,Dms4%%uq:,5j
+o@+f3f]&PoUu'GIgt]s&iQ0R0f\G[b7`U58gXas*eG[h$eGmtrdJqYpe.^QlhU\^3[D8`2^Z4G:
+eBldteC=HFo$dZfJ,~>
+iqa5^p\4L[r;HZq_SG^As6p!]nb`.[nbX.!p\Fjhqu$3`p&F4Rs%R;,pAamer:0UYqu6Hlqu6Nh
+qt^0[q\\41K(AU7s7?'dq>($^o`+sVelYhArVucoqYg0hqPsE'q=X[[s8Mccs763alM^MXl2,u~>
+iqEBG%JKPip\+<i[HRMfli6SHp\FUSpD3Jop&G!bq"*t@s5!;H7:Z&]s763cn+cYVpAamdq"a[[
+q"sg[p))IuI-gA%rU9FXp%A1Mn,!(BbYC]qpAXdbp\jldpC[&ep[\1Vo'l\Gs75:HoDJ=Ulh>o~>
+iR.YRs4%%u#FC^rg>C!/d.,W]ea_-*e'QOug=4["da.!kg?("]gskE5i7?#tq:,Dms4%%uq:,5j
+qpbGm)q`i[;e4>*hVHE&f[/'ucd1G.a0RQRHeRE/f)=+ud^%C&dK%\ndf.`-d+?e&gXO^7dcT*$
+gXb64f)=+uddklfdXV~>
+iVF)\p\F^arVun>N:d/<s6fpWqt^0[q\Jr+s7l0Ys8)cqoDeQF=P<KIn,N.Is7lKjqZ$Hlr;$6c
+r:0Y#UINN.oDejds7uBgrqcZiqtC'HmJm4[rVHKfWV[2(s7ZKjqtp?Ys7u$]s7#7LJ,~>
+i:[ZTp@n:Tp@`3QlhTiFlhp;Iq=sLS(\@\)o^;;KpA=RJs6YJ9dIR%sqt0(Nq>'dapAamdq"a[[
+q"sg[p(s8ba856(qt9jZo)/@Xr:BRLr7C*-qXOOYrV3Ad%f#njqY0^WpuhYKkPtSJrq>[PJ,~>
+iR.YRs4%%u#>&CIf>lXeg%!Sfea_-*d,!C&bKnnkhV$38e8%(Uf\4U)e&9nfq:,Dms4%%uq:,5j
+qpbPprR`%AKds:adGNU'f$M[nf@/F%f[Jfkb1te$f%0fLs3e1%!RfBodf7f/f\4a,g"=s2b2Lsp
+jPeA9f%0fLs3gJf!7HA~>
+iVF)Yq>'OVs8Dl;k5PAUqY^3[qt^3TqZm/ms81n\DuBS2rVG4E&,?,'rqH6Wi)d)Js8V`Xs8)Tk
+qZ-Qmqu$<hpjr<m~>
+iV!cQp@[eEp@@ahh=^R9p\F=Qq>':L#l<i]n_6iPo_&4Ws7cQgg\:aA&+fSqq==1Cg/G!7r;Z<O
+s82Qkp\sjdp&4U^p\jl`p[e+EpOE~>
+iR&.^e'c@de^Dj;][YN\eCO-=q:=f[&)GLdf"s=Ah:pW9f%/@!dc&^Udf%\qee$Bci7ul7c+lB(
+cf*s3`n]#AdJqVqeCOQMr77puq9o5krmpu!r7:5a!7HA~>
+iVF,Vq>L?np?HeQn,NC_qYBm^o)&7]l2(_[s8VMW8$W*mqu-BEq[`B"q>($gs-%WVs7H*dr;$0b
+qtp9erqHKiJbsr~>
+iV!cMpA+a^mGD[)k5"lHp\F=Qq>':L#k%NdjH;[*p\"OZs7cQgg\:aA&+KGfo_J7WNH3GGnFchW
+p\Xacp\X[]p\sr^p\"7GpOE~>
+iR&1[e(3F,beHcQ`Ri_ieCE%<eG7\[e.9s^iQ6?jP2P*Jg"+a(daI+(s3gkqs4.\.gt105h;<9V
+\Du&hhq%_Qs3^nsrmh)%qUV^sq9o/irRLu$qUY#_!7HA~>
+iVF,cp?MYVqp0!CqZ$Njqt]p]o)&7]l2(_[s8UeU;>'qequ-BEqu?R'pA4O`d8-k;s6oLXs7PXQ
+Jbsr~>
+iV!f^o&TT=o#+kpnb`.Uq"aUQp\FXLpB^3dqTr#.mIp5PpAameptPQCpAajrnFZ8Kb=SZ's6T1R
+s7?3aMt[5FjS+0~>
+iR&1ncbe8_dA/tCd+R"!e^`(;eG7\[e.9schmG?pf&,68g"+a(daI+(rR1_qs4.q<g=G!0jKgM!
+e`>!"hq?9%dF-ImeGe#"eCLGFo@!Te!7p8]!7HA~>
+q>9FQ&G5\rq>]?=mJHq`qt^'_pA4@Wq>BLS#QOc&[n)PZq>L3hqYC'Jq[``!qu?E_G]2U>s7Q-]
+p\a:PJbsr~>
+q=j.I&+K/hoCgaoipuj?p\+FZp@7nQq!%MYq=OB_5(rt+p&=[bp\4ICp]'ptr9s=Tna:F3hYI-@
+o_.tSrqM'=m.Z#~>
+q9nNT&'`GUdFGX@_U6reeC2suddbi_e`kQogt1;D-#;_ugY(92f$r-rq:4`ZrR1_q(=q-qdbE^5
+elkqeg>:6)d*L4hdF-Oormmdmn^?FH!7HA~>
+q>9FQ!;ZWo%.gK"h#IEPq=sd]pA4@Wq>BLS#QOZ#Iob>(qYg<iqYC'Iq[WB!s8T<#c2@>.q"jON
+rU9OYqLSNo~>
+q=j.I&+f\rpZS5BdJ*G0p%A.Xq!n+SpuqGWnb.*!dJ3;*rq?Bdp\<eCrq6oop\Fih9?6i%o_A:R
+o)AI\rqQKep\9aBs7Z!WJ,~>
+q9nKS%b]UfaF>_Ff%8F"dacptn^RBbl-p6teD"._\Dc2sg"Fs-eC)e@e`kT^df7f4f%A[+h;RX`
+26YcbdaZdhb1=tfdaZkIfDsG!deVDmf!3a!dehGhdeVDmf(.;jdXV~>
+q>BLR%/'P`s4+a-s8W&op\Fg`!;b.@#PJ,_:OE-6s8DinqYC*Kq[WE$qsX/ZE;]Y0q"OOYqY9jc
+p\FU]qLSNo~>
+q=s4J%.EoKr5u7^rqH0Zo_/:\dJ!q5q;Fb^rTs=Prq?Bds7lEcj7iTI%eK\ml0_Gaq"aa\p\=U^
+rqZThrV-?fq=osDs7Z!WJ,~>
+q:"TU%*d;;gT$@2hU^6*dF8*FdF8]Qgr:gGjON5Dg"Fs-eC)e@f'1]_df7hsfFHKnh9jk;<8ZE[
+eBuXke,I`!eCN:)g"=gPdeVDmf!3a!dehGhdeVDmf(.;jdXV~>
+q>BLR&G?)&o5TTVs8W#oqYKs]q>/P:#Pe>!8AkK"s8DinqYC*Kq[`Z*s6$+R[/9^pqtTg[rUfp\
+qtL'aqtbm@J,~>
+q=s4J&+BPkl=PJ,p\+=Rp\4L[qpG-Dn+r\@\c1slp&=[bp]($aq;_5Lp(R5uq;Ii:XnVSbqt]p^
+rq6*_q"Xg^qt^3cSbN0ZoCr:Ynb7P~>
+q:"TU$I.JXa[TRUf@AC"rmUu!f$VtXdbTU%T]O_agY(92f$r-rq:=f[+k"cddaZe!f\>BDabD[A
+hU^-*dEU(gbL+_ef%A[1f[S=GdehPof!!U#dehGlci;DidehPof(.;jdXV~>
+q>C'bq>'j_#ljVum"E^bp](6j"T%leq>/S;$2ji!B3YE3p](-eqYC*Kq\K2"s6WXCn,E:Uq#1!Y
+q"FRZqY9p^qY9j]qLSNo~>
+q=sdZq=j^Y&,GVbiH`BAme6AKq>0p^qpP3GpAaSe;?-4Vq=aOZp\FXGp\sk&q!%hA8r2a,qXO:Y
+p@J"Pq"XUYp\4CUq=omBs7Z!WJ,~>
+q:"`YrR2;/bgsU7UuBSMeCW:(eCN4!e.(!ge3Z(Sf[es5g"=m,rm^bplI>j^+48NbeCN:*hTtE3
+131k#fuqanccaY\dF-Oqf\"m0eGdkseC+0Bs44C'qU,Jnda?MAdJD;geGn+je,[pI~>
+o(iF`p\+IX(]4($oD8F`p]%R3V>(#ir;6Bfq"OOXqVqDJr;-<jr!(nQN;N5Hnc&@`qtL$frVuf`
+q]Gk*s8Dfop&+X\s-[6Qq"=O\qtg3dqtg3cqYC!ar;?BeJc#9?J,~>
+o(E.Zq"Xa\'_M1pnaQ;Lp[%mU=ISUMp@\.Qp\4[^nb;SIq=jaZ#kdc77tUC$rUBg^rqQ6^rqQNf
+rq>mV)#NRpq=X[Tp@IkTP?HZ2nFlVNq"ORXq"Od]"82E_q>'d\p4;sg~>
+n^7B`rR(Yo(X^d_cHk(pf?W?44+>K.f@\[,f%AR+f(%8[f(mqoed0p]\LqOId,*1JfDaJ!fDaG&
+fDa@le.^9]_q*DhhUC95g?3fK_:[5feC=BDrmLu"f%8RQe,e.MpXZ:m"4G]IeG[hUe,[pI~>
+o(iF`p@S=Ws7[B%pA=abqtBU\n?mhop]'paqtg0ap\4IZiqrQLqYLd#qnu.0qu?]oq"X[\qtp-c
+rr)lpme[Omq#C*Zr:U'hs0#A&o`+jbqu-BkqZ6WnJc#!7J,~>
+o(E.Zq"am`s7[,spA"FYq"*hMi2(M6m/6;EpAXgcq!n+KpA+IZp($cb\3Qq`rr;omqYBs^q"OO^
+q#C*fp@7kgq"4UXmJ$)Eq>[EgVXFBVpA4O^pAajfq"aIRJbOZ~>
+n^7B`rR(Yo&'r\Uf@\^)cJlj%=K0[)dJDJqf(%8[f(mqoee-QgU+2&Qhr!/<e^rF+g"P-4qUb`!
+s4@8$o$e9"e'?aqc.UY(iTQC[N7?b<f)!npe,RnteaV.Ae,[pI~>
+o(iC_p\aabpB19bpA+^c&c_aI_!:t"qYU3fqYL!^p\=UEqt^0dq[WQ(TMF&.s7GpXq"aa_qtL$f
+rVuf`q[`K$s7?'dqu?W`EGbLJr;ZTirqcZlrqq?Enb[h~>
+o(E(XqtU3c"8_]^pAXdpq!GMqh#I$:p%J+Rp\jmWp[RtQp\ORnp%4J9cKkDuoD8=Zq=saZp\ssf
+p\smVpCQunrU9CYp%e@HCM353p\OU[p\smdp\ssXp4;sg~>
+n^7B`rR(Yo&(].Ve^rF+gX)@R^Z!blebRedeFD,cfD=&1f\V'/ZHq@RdFHe!f@ej2g"H5Rrn.8&
+rmpYi&^o"TfZ_k)gY^o9;,,]rg>(9UeGdqseGe"geq2BOdXV~>
+o(iC_p\aabpDEc"p\Od]q#Bu8>29&Up](0hqtp3bq"ag`r;$6Sr;-9pr;VLkqu$Kmq#C0iqtL$f
+rVuf_q[WW#o`+seq#@+(eGoR@rqZEnq>1!crVZKgq>>g@J,~>
+o(E(XqtU3c'DhCop\+1Lpuu`kdII8)s7c9_q#1$apu1uDp($cpH=lgBrq6'_qYBs^q"OO^q#C*f
+p@.eeqXj:Vs7>g\SRg%GqsX@SqY(*bp@n=[q"aW7p\FQ6~>
+n^7B`rR(Yo&(].Wf%/:"gWNMKZd[mZi;)"#ebR_ZfD=&1f]ZjBf\,03f%&=&f@ej2g"H5Rrn.8&
+rmpVh&CT+Vc/@X8f]Il[[,g)lgXc5N"4GZJeG[qnf(mpLe,[pI~>
+o(iC_p\smbpAss]rr3Z*nF?O`T)\Nao_SL`qtp3bq"ag`r;$6Sr;-:#r9n']s8VomqtTs^q>:'`
+r;QZpr9jI^rsec#rqH-_k?F#HpAadaq>16hqYU9ip\XdaJbsr~>
+o(E(XrV6?c'Ctelrqc0NlM@BAo]u;<o_8+Tq#1$apu1uDp($cV<K6eKpA+U^qYBs^q"OO^q#C*f
+p@7kgr;6-\q==%IiDka0nc/(RpA4Lbp%J.Zq#C*ap4;u6pOE~>
+n^7B`rR(Yo&'rYWhV-B%c.n+tf$2mleG7_lebR_ZfD=&1fZl^*gt^N6g""X)f@ej2g"H5Rrn.8&
+rmpVh&D,L\eD&L(g;uKrhULW6gXc5N!n,QIrmh%uq:>AnK%'eKJ,~>
+o(iC_p\smbp\t%)q>C9kph5u_s8V`krr)fnr;-9cqY^3gq>9^\q>C*d%fFIJaS5T$p@S.Tq>'pb
+p\b$hs8;9]%fQG-p[eFbKim+'pAaaaq>1Elq>:-hr;6?dqt^2Aqg\~>
+o(E(XrV6?cs7d3"o_84WnR%49s8)0`q=sa\q>L0cq>'dTq"a[\p($c18%nEamITuHqYBs^q"OO^
+q#C*fp@.edq>:3_mf368;Ut=-s6fd[pBL9_p\FX[p\=IXpjr0i~>
+n^7B`rR(Yos4%S0eCWF.e3IlkiS2Z:g%j:rf(mhcf_O.qee-Q60rNORcI1.ke^rF+g"P-4qUb`!
+s4@8$n^J)teC`^/dH9J%34m\iiR$?Te-FCLeCN4$eC46Eq:L;K!7HA~>
+o(i@^qtL-d&HDb'nG<1WgQ92HnGiFdnGW@arV?NlqYg6enbr:]qYLBmX^_8.rs/>qq"X[\qtp-c
+rr)lpme[Ojqu?]hrr:DCT`=lcqY0saqZlolqu-Kkqtg-cq>GmAJ,~>
+o(E.Zq"Xg^s7R!&qsj"ErU&*i[diPXpAaLXq>L0cq>'dTq"a[\p':8b<q?+^r:U'cs7u]ip\4[^
+s7cNdnb3Rep\OpZq>\Z2RfE'Sp%%nRpBL9_p\FX[p\=IXpjr0i~>
+n^7B`rR(Yo&)5aabLG@p[qM&R`nJr"ammsXeFD2efD=&1fSi)NhV?r:f[\O(f@ej2g"H5Rrn.8&
+rmpVh&(8t]iR6NDZ7pgkf\+m+f_O#%dF-Oqf%&:!q:>AoK%'eKJ,~>
+o(rC^r:g6e&,?,#q>^92NV*8Nq>:!^s8DloqYC*cqsjX\r;-:#r-_ZHp[S:Rq=sa\q>:'`r;QZp
+r9jFms82TjoDe3(GjG2*pAb0dq>1Elq>:-irVQHeqt^2Aqg\~>
+o(N+X!;QNes7QurqY'RYo>$.Ls8DQ^p%/4^q>L0cq>'dTq"a[\p($b99D\/Cs6f^ZqYBs^q"OO^
+q#C*fp@7kfrqH$[mel6iEolrmnbW:Uq=b*cp%S:Yq=j[Xq=oO8J,~>
+n^7B`rR(Yo&(9(\eD&HIB?oDidF6Ojh!rtkeFD2efD=&1fN^;peB['uf@AF'f@ej2g"H5Rrn.8&
+rmpVh&)5U_gX4p'>$/u"iR?N>dJ;8sdF-Oqf@JI#q:>AoK%'eKJ,~>
+o)&I`rqQNis8*,npAajcr.oRoqYpBlr;?Hjq>'saqrmqloDeO\q#C.nJ,0*ArV-<dq"aa_qsXIV
+qu?Tnr=Ar+qsj^\W)gn$s8;Zls7uKfiV`NKq>AqCq>AA3J,~>
+o(W1Z!;ZTgs7Zrio(qkNp475Vp@\1SqY:$bq=rnB'^l"kp%/%N:NPsup%n=[qYL$`q"WqEs7lTh
+&-)Ctm/-@J:qu#ep[e:\p%e@Xq!n+Sq"a[[pt>E;prW8\~>
+n^@HbrR1_q%*QuNd+Ho[;:X.EeC<p:q:+W[(XCsde^N7&3F1:lg"Y!2e^`:'g"G*4g%*bgeGn(u
+edpZifZr@(Lc2*NhV-N7h9u,Kq:5#eq:5;jq:40Jq:3X;!7HA~>
+nbW=_rqQNis8*'$oDejah9!b;qZ$Emr;6Bjq#L<fr;$6Sr"]5)s7Z?dqrM(?qYg9eoD/1Vq>'pb
+n,2nVs8;lp!V?3frsJ=2G4P\5qtL*iq"agGr;$6cr7UuCr5nhd~>
+nb3(Zq>L*gpBU`equ6*:_SZ<Gs7cBbrqZ?aiV+)_nc/.Qp%I6>Idd"%p[J"TqYBs^puM2Lq#:("
+me6PXrp=37m/$bUo(r7Uq=j^[nb;kSq=j^[g%Y=;anL;~>
+n^@HbrR1_q#N*b[hU&a.UAiXAeF(l_eEPR%g!Sa*f%&?f4)!=$f@\F$e^`:'g"G*4g%*bgeGn(u
+edp'Wh;dJ@8QO9tj4Mf3f[9NEq:5#eq:5;jq:40Jq:3X;!7HA~>
+nb`4[s8*,nn+Zk;@>==Kq>L0aqt^0cqs""nrqcZgr;HB0A>9,(rVcKeq"X[\qtoj[pA=mfrr!?'
+s7?9^Y#iL?s8;WdrVlThiV`NKq>AqCq>AA3J,~>
+nb;qUs7Zidl1+Su=FKN/p\jm]q>'gEpC@#ls7,jYo"S=np%nCYo`"^eq>^6Np]($fq%!)smf2[Q
+;7ul)p[[qOqY9g\q!n+Sq"a[[pt>E;prW8\~>
+n^@HbrR1_q$-L<9fsEbIbL=l;deD5debR_Zf,32ki6g0/d\9*Zhqm)Ae(E4$f@S^/g=b0MfCm_o
+ec+,1e_nj9duHGaj5J_Ae(3.!q:,5jn^mTeq:,5jg!oiJb1$F>J,~>
+nb`4[s82ir"oS5TPIUY_qXOIIr!E?!s7ZEkpT%o<rr39'qYU'_q>'pbn,2nVs8;lps8NPps34l5
+s82N_qZ$Qmr;$6Kr;$6cr7UuCr5nhd~>
+nb;qUs7Zg!r:]d7MQd'So(^o4(&7M$nbE%QUg(%tqY9s^qtg0bq=saGp]($gq%3?$s6':"=H*+L
+naQ5JqY9j]p\FUSp\FU[p\FU;p\FU+pOE~>
+n^@HbrR1_q#i44ce@9:WiRIGHn^QgT(tdEqdFd7&LIIWjhV?o;g""X)f@ej2g"GrJp=0,ms4.b6
+iT&);XZgjdgXO^&g=Og&q:,5jn^mTeq:,5jg!oiJb1$F>J,~>
+nb`:]s82io#kn,p_Ka3&oD87Wqtfj[l22:mq>U0gs8&6nc2IP9qtTp\q"aa_qsXIVqu?Tnr=A`'
+s7;:bf)PdJrVuopq>L-diV`NKq>AqCq>AA3J,~>
+nb<"Ws7cQe#k7K^\So:`mJ$2Hg%Q6So_J+SrUlFU_=I6iq"=CXqYBs^puM2Lq#C.$q"4C\mYPE"
+s7uEarVcK`q>'d\q!n+Sq"a[[pt>E;prW8\~>
+n^@HbrR1_q#gUlPRS]^<c.)=4n^QgT%b9(^e(NR-GX&7af[ng+rmh&#s4IJ-g"GrJp=0,ms4._5
+f%f32Db.D$hqHi@h:0gHeG7YbfD3tmeG7YJeG7Y;e,[pI~>
+nb`:]s82io#k%`eT5`Tcp%eO\rV-3bq>0pal22:mq#($fs8JBmir/`Nr;?Bcq"aa_qsXIVqu?Tn
+r<W2qs1qXIp\b'jrWE&nrVu]jiV`NKq>AqCq>AA3J,~>
+nb<"Ws7cQe$0_EWQ=n\Fn+lhYq"OOYp>P`Sp%.qOq"jfK<7^X3o`"[dqZ$BkpuM2Lq#C-qq"+4Z
+]M5m*pAOdhp\"@^q=j^[nb;kSq=j^[g%Y=;anL;~>
+n^@HbrR1_q$-(lKG=]+!cdgMCdeD/be+qMXf,3&ef@JU.flTEngt134f[n[(f@S^/g=b0MfCm_o
+ec423f[\[9T/3%khV[,Dg!nBtg%j.nea_8eebR_je_/IJe]QAAdXV~>
+lhg_[%K69jHf"ess7uHbp\4C[p\Xd^qYC$Qr"]2+qu?Qhs-dEks8;ips8)Ncq>'pbn,2nVs8;lp
+&-)LTHtW<TrV66cq"O[cs7uQNr;$6cr7UuCr5nhd~>
+lhCGQ%/9OTEn13Vr;$3cq>'s`qtKp[iV*iWo_/.To_XhRlh:#Fqu$His7u]ijS/]Ls7m6$rUnEY
+@J'?ho(D\IoCr.[q=j^[nb;kSq=j^[g%Y=;anL;~>
+n^@HbrR1_q%+WpF;mtZ3gsa^"dF%^8!7CVkq:+Z\(td?hg=Fd.G!X[:g"P69f[\O(f@ej2g"GrJ
+p=0,ms4.J.hq58?8_i7]rn%A&d*gIqq:,5jn^mTeq:,5jg!oiJb1$F>J,~>
+lhg_[%0,U*D>=&/r;6<cq"Xj_q>'j_q>9FS&-)M's8)BfSRMNtq>'sdpAXmeqsXF`qtg*bs8;lp
+&-)<i<O)T&q>:3lr;?Tlo(i1Ar;$6cr7UuCr5nhd~>
+lhCGQ%0,BsBCGHcpA+R]q>($bq=j^YiV*l[p%J=Vn,/JPoC_\Hp\FO^q>U0MpAt'`rqI$$n<-SJ
+rqH$Wqtp-^qtKOSp\FUSp\FU[p\FU;p\FU+pOE~>
+ldGg_%,\of8'oc;f$i'qdF%^8!7CVkq:+Z\&)5Xcgssa+H9g<Af%/I*df.esf)jXZg%!\fe,e+O
+rn%b;ds*a4jPSYFhVQr;f[@n;eG7YbfD3tmeG7YJeG7Y;e,[pI~>
+nbNgqs8VKarp0U]osO)Vs7lTiqYBCPl2)"fr;$<gq"oMZqu?EfrqHBjqu$Bfqt^-jqY9sa&,H+n
+s8VTgq>KMbB`7i)s7uSDqr.F&~>
+nb*Ois8;-VqWIhOnZh6Dq==CUqY07JlhCGQ&,#\hq"F=QH"cgIo(MnNqu6Bkq#0pepA4OZp]:-a
+qtCWnp?hnTl2'uGj'-$gp@S96pY#:k~>
+n^.lsh:]fuf>QCmcAofcf?i.>dIG]OeGn)1e^rC+f[\VZ;;C0]f\+X%rmM&$f@S^/f)!nlebdkr
+edp9]c/7:"h::9"5"=;[g>Dk_rn.;'J^i]/!7HA~>
+nbNd_p&G!js8)W7GL?0bs8;lTqW[kfqY^0fqtU&;HMmg:qu?Hiq>C'cqYUBkqYp9gq@E<"o_&(\
+qu-2=>hT&TnG)hWJc"F'J,~>
+nb*LWnc/FbrV$!)F3X=UrqQ?Kp?VJQp(-ijo_A.Op3CcRqXO:Vo_JI\rV$<cqY0g\!;HKfrV$im
+s6oIKs7H$SHrnhls6K:PpAjo<pYtpt~>
+n^.ldcJ7".g=+QG:o_msgXXpGdIG]OeGn)1e^rC+f[\Y[>hn8df\"U$rR:eu!nl2VqUG>kqpbYs
+&(0=_damF1g='Ci\(]ogf)")$g"(`(j4"(WJ,~>
+nbNdrq>KaNmJlOXC?bBdo^VV5qW[keqY^0fqtU&;K`(iDqZ$Bdr;$6dquQ]krqQHg&,#ttoD/FZ
+s3s`7s8Vojq"ai=qr.F&~>
+nb*Lmp%dn>l2TtLB'&OTnEoc)p?VJQp($cio_A.Op3D,\q""+Tp&+U`pAjp`p\FRap\ssdpCHcn
+oBu2LmetI%RfEBZo^hnQ!;;!<iqIs~>
+n^.m%dalI\`neUk6c.*rc-"?%dIG]OeGn)0e^rC+f[\Y[B&)7mf@\OLe,S#$g"4gOeG7YleGn)1
+d,EO%e`5*:Ypk(\i7?K0q:Pc!J^i`0!7HA~>
+nbNUfo`+pjrr9j>m/6k_!VucSqW[keqY^0fqtU&;M#%&IqY^3br;$6dquQ]krqQHg%f#u!s8VZe
+om)/Xp&+abq##^?iVS-~>
+nb*LcnGi@bqZ":2kkP)Tr:U*Kp?VJQp($cio_A.Op3D8]q"FCUpAF^apAjp`p\FRap\ssdpC?fh
+pA4UNo^6gLlL=QBpA"@^p4;ttpOE~>
+nBh`jhUgQ7hj]JAe_/^1dbOB?n^HgRs4.Y0f@J[.e_+2Bg"tB5ebdhqf)jXWf)!nlebdkredg0\
+f\G9-f[<f-bgP1tf_O2$f@GN&j4"(WJ,~>
+nbNdpqZ$9bp"P:_s60(Mq!Rh6qW[kfqY^0fqtU&;MtR)Lq=sgbq>C'cqYUBkqYp9gq@EPtqu-Q]
+s1UnHs7u-`nG;tYJc"F'J,~>
+nb*LhpAa^Vn^iGOs5`YAo]ku*p?VJQp(-ijo_A.Op3DA\q"s^UpA+[^rV$<cqY0g\!;HKfrV$it
+nFlYVjo;eSao(ers6K@RpAjo<pYtpt~>
+n^.lue(i9tcEq"mhndObdDsQ&dIG]OeGn)1e^rC+f[\Y[D:RM!f$VsrrR:eu!nl2VqUG>kqpbYs
+&(o7]g>U-6Rj"ihf$*1!fD=/$f@GN&j4"(WJ,~>
+nbNOepA4I^s5(W:rVlrrrr:sRl2)"fr;$<gq"oN,p&4pdq#(*dr;$6dquQ]krqQHg&-)G$n,N@^
+K:20-rVH<dq>'r>qr.F&~>
+nb*Ldo(MVRs4Y3.qu6Kkp\OmJp?VJQp(-ijo_A.Op3Dehp\sgWq"am`rV$<cqY0g\!;HKfrV$j"
+oC_DHp@<Tql2(2JoChg-pY#:k~>
+n^.lqcdU1phm])Of\>'4eCWIFdIG]OeGn)1e^rC+f[\Y[H.Ca/f$W$trR:eu!nl2VqUG>kqpbYs
+&)5Rbbhq+)@!9`Kg=Om-f)"&"f7DH2e,[pI~>
+nbW:]%K6=tdrUuXnc/CXm.pG8qW[kfqY^0fqtU&;Xnqhmq>C9hq>C'cqYUBkqYp9gq@EW%rUKjd
+[X7lDs7ZKTs82WiJc"F'J,~>
+nb3"U%JfnhcYo-HmJQVIkk4T,p?VJQp(-ijo_A.Op3ES.o)&(SqtC!`rV$<cqY0g\!;HKfrV$j!
+o_@eHqlb,7nGMhViW&V&pY#:k~>
+n^7Bb%+a(SXA!]fb1Y1g`R=8'n^HgRs4._2f@J[.e_+2gg=Y64e_&:Je,S#$g"4gOeG7YleGn)1
+g=4j%g"qopf?i=#hne:&q:C2Iim[tVJ,~>
+nbNdqq"OgZdrt$Os6p!fq#C$GqW[kfqY^0fqtU&;^]4!*qZ$Tiq>C'cqYUBkqYp9gq@<Jss8Vrh
+E0^:ro`+XbqY9u>qr.F&~>
+nb*Lio^i%LcZ81?r9O7[o_n==p?VJQp(-ijo_A.Op3F4En+cSRrq$*`rV$<cqY0g\!;HKfrV$fs
+nGW:VmqIgTp$_nMrUka9f_9m~>
+n^.m!dEpUjXA?a]fuVh%dFun9dIG]OeGn)1e^rC+f[\Y[U#4DSf@ep(rR:eu!nl2VqUG>kqpbYs%
+bT.chU^+LES&aehU100pt()Him[tVJ,~>
+nbNLhq!A$p?dSf:qXOIYqYp<jqY'dsqYp?kp@\H2T)&6^q"ajdlMLVXrqQHg#QOJpqu=?dm",&]
+qg\~>
+nb*4`o]Z=d>Kls.p@7nQpAXabpA"C^p(-ilp&":KrH+Fuo_J+Oq"am_r:][TrqQHd#Q+#bpA).K
+jmi%qpYkjs~>
+n^.TmdDat/32tO*e+(iUeG7Smdf7ekeGn)1e_/R1e'd/UJD&Z2e^E!trR1_s!nc)Tm*u'd#i!_Z
+f\Dm,aOp(7J^i]/!7HA~>
+nbW:V"omtRAC1>?qXOIYqYp<jqXs^prV?KgpA]K$qu6Qkr;#USs8)`irV?d!oDeXAEm4K5qpG:k~>
+nb3"N"omhJ@*JK3p@7nQpAXabpA"C]p'pfhqXa7SG)Gtfq"FLUr:g-_nb<%XrV$Nmmf2q0CW5f:
+JbS-tJ,~>
+n^7B["lI=94fR'/e+(iUeG7Smdf7ekeGe#-f[ej.e)"5JgYUZ:ebdepecOLTf'Loded'pSimtV7
+WS-gmJ^i]/!7HA~>
+nbNLgs6?q4r;Z*IqXOIYqYp<jqY'drr;69fqY:#?H2@R9rr;]Vqu?Nlq#1'hrrr#bO,a#8Jc!jl
+J,~>
+nb*4_s5pM(q#BOAp@7nQpAXabpA"C^p($ijoD&"Mpj@/Tq=FFZo)/7[p@7nVq#0pmqtfaJLkbNq
+p4;tdpOE~>
+n^.Tlh8>1Ge_e=@e+(iUeG7Smdf7ekeGn)0f@JL+f@AV_>M@ubgXsjMdf7l"f[eX?eGn)*gY1$#
+CMDDSeq)?"e,[pI~>
+nbNLWs81WLqs=@IqXOIYqYp<jqY'dsr;$0cr;6>LBDVZ!rVuQilMLVXrqQHg#P\8m^22s3pOW4h
+qg\~>
+nb*4Os7b3@pZVYAp@7nQpAXabpA"C^p(-oio_/%QonQuJqX+(UnbW4Yr:][TrqQHd#kJ#d\Rj[q
+nFhG-deA7~>
+n^.T\gsic^eA^>@e+(iUeG7Smdf7ekeGn)1f@8C(g"=ql8_W+Kg=ad%rR1_s!nc)Tm*u'd#h%\]
+Rn1ERe(0*"e'nBGJ,~>
+nbNLjn^WrqoD&"CqXOIYqYp<jqY'dsr:p-arVZJ]BDql&r;ZHhlMLVXrqQHg#OhWjD5d70q18Fj
+qg\~>
+nb*4fmEq*an+?/7p@7nQpAXabpA"C^p(-ohp%8%RoTs"\s6o^ZnbW4Yr:][TrqQHd#jV3\BVFtr
+o(IY/deA7~>
+n^.U!b-#[*bgF`3e+(iUeG7Smdf7ekeGn)1f@/@&g=b)(8_rLUg"=U#rR1_s!nc)Tm*u'd#g1fS
+8qb^Te^f<$e'nBGJ,~>
+nbNLZs4r\$qZ$T[qXOIYqYp<jqY'dsr:p6crVcSrDZ'P3qu6BhlMLVXrqQHg#Q++sAao?lpOW4h
+qg\~>
+nb*4Rs4N7mpAb*Up@7nQpAXabpA"C^p(-ohq"+:Uor;^!s7Z0_o_JI[r:][TrqQHd#km\e@-R(Y
+nFhG-deA7~>
+n^.T_hR7%8e)/mTe+(iUeG7Smdf7ekeGn)1f@/I(g=k2=:u(3cf[nO#rR1_s!nc)Tm*u$c#L8;q
+bg>G"eq)?"e,[pI~>
+nbN=Zs6ose!T*S8qXOIYqYp<jqXs^pq#C*erVOBEli7"\rVYpWs8)`irV?d!iEregs8;YCqpG:k~>
+nb*4Ws6KR]rS$l-p@7nQpAXabpA"C]p'pWjo(`"R]49t!qXjUYr:g-_nb<%XrV$Tsgfg`Sqt9LQ
+JbRUeJ,~>
+n^.TdhT4@(g:,H)e+(iUeG7Smdf7ekeGe#.e(rO-g=`&jbM_1,f%']Hs4.8(f%03;s4.J4]KD//
+hV$E0J^i/u!7HA~>
+nbNLdqu?]_s7lWYqXOIYqYp<jqXs^pq#C*drVXfCfCf1<r;ZZk!;c3^!;cZh!;c]l#PQ2HoC`+S
+s+1'pqg\~>
+nb*4\p](-Ss7H?Up@7nQpAXabpA"C]p'pWlo(VqR`E(CUqXXCYqY1!_o(W+X!;HKd#k>c:mdU&?
+rq:p;deA7~>
+n^.TieD8crhpL6Ue*tcTe.'mSe'ZXle'ZUjda?Olq:,Dp'@Ydcg"P,X4L`epeCWC%eC)dpeG[te
+eGe&!fEfs%51%a4d,*?)eC2nIdXV~>
+q>:!aq>9FQnbhqRpAFsfrqZk5XRlJ`rVucmq?$HgqXXOqqtU'_p\apes5RD+p\spco]c;<qt^/H
+qg\~>
+q=j^Yq=j.InbDYJp@n[_pAX^h@AW>fmeHhZpAk!Xp]("!r:fjXo_/1;<l+A(o_nFWo(VtTiV30A
+OnXA~>
+q9o)dq9o&co?[Kbn^S/td*^4fd*^4fd*^4fd*^87eH+1Nrm_9CM9t,+f\t?2qpYVsn^e?'g==a-
+f\GQ)4JgQ]dFlmso%3]fl.#O\q::_Y!7HA~>
+q>:!aq>9FQnbhqRpAFsfrqZkBM#[2KmJlYRqYg3[r"8hup&FR^s762EL[k'2rVQ9blMToDq>?*H
+J,~>
+q=j^Yq=j.InbDYJpA"[^s7Q`kDLqiVs60LJrV-9co(Nako_/=Ps7tjVH[Y2KoDSX\q""1Tpu1uC
+p6#*"~>
+q9o)dq9o)do$@Ban^RWeo?[Kbp=92ms3h>*;.\e9j3$?'f%0`Jn^e?#eDnp;hpLUuABrWOf@J9u
+o%3]fl.#O\q::_Y!7HA~>
+q>:!aq>9FQnbhqRpAFsfrqZkUC&e52p]'maqYg3[r"8i"pAajds8:2C_>j6$s7H*`lMToDq>?*H
+J,~>
+q=j^Yq=j.InbDYJpA"[^s7Q`kJR\ENp[\4MrV-9co(Nakp@nUXqYTg$9"4ijnc/=Xq""1Tpu1uC
+p6#*"~>
+q9o)dq9nNTn^[0Wp=92ms3h>*A4G>0g!nd&f%0`Jn^e?%e`#':iS1LlT&eAIgX"<uo%3]fl.#O\
+q::_Y!7HA~>
+q>:!aq>9^Yq>9^[nb`%Xs82fl#J+L>s7H9frVcTkq""=pqu-H[s7QEhH'7UqqYC*Wq>9ITl21;S
+M>Mf~>
+q=j^Yq=jFQq=jFSnb;bPs7cQe#kbN1mf2bNp\=^]rV5sX&bu>'m/QPNn8='FqXsR\mJ6PJp\FUC
+p\FNFpOE~>
+q9o)dq9nf\q9nf`n^@-]s4%(t$ItG/dGrX.f@\[*qpb/f&DQ$djON2B=DuC>e^`?ne(+$@q:4`Z
+q:GGnP10K[J,~>
+q>:!aq>9^Yq>9^[nb`%Xs82fl#P3!0qu?3dq#1'fq""=pqu6QZs7uGuE9$ugs7Z<\q"s@Sl21;S
+M>Mf~>
+q=j^Yq=jFQq=jFSnb;bPs7cQe#kdP"n+?YHrU^!^rV5sX&bu>&k5Y&DYA)eilML2LoD&+Op\FUC
+p\FNFpOE~>
+q9o)dq9nf\q9nf`n^@-]s4%(t$J!Hudb!O)h:'s+qpb/f&Dl6bjOr1N:Vu&8gX=Ztdadp?q:4`Z
+q:GGnP10K[J,~>
+q>:!aq>9^YcM[_>rV?\O])2O,qu$<hq!n7mqtL!fs4V2"s8VclmJd.]l29fCq>?*HJ,~>
+q=j^Yq=jFQcM7G6s7Q`ko7"%<s7uB]rV-9cnb3Rhp@nUde7,i]qsaRLqu?B[p\FUCp\FNFpOE~>
+q9o)dq9nf\q:"lan^I3^s4%(t$J!^:QIk0Of%&@&qpb/f&)#RgioI[AS)<,OhoXO+e+)&ce`kTZ
+fD4!\e,[pI~>
+q>:!aq>9^YcM[_>rqZljSSduds763gqYg3Zr"&Vus82J_HM7@6rr;Ngs8)!Xl21;SM>Mf~>
+q=j^Yq=jFQcM7G6s7Q`kl]u/Ll2U/KrV-9cnb3Oeo`"USS9=Ato_JFQrVc6[q=rqCq=]sFJ,~>
+q9o)dq9o)dq:!X>s4%(t$J!FJ8^GT?c.pn$qpb)d%H6$iIot4UfA#0,g=k'HfD3t]eG7_lernM_
+dXV~>
+q>:!aq>9^YcM[_>rqZm"YZfTLq"XmfqYg3Zr;Z`qq[;"m`VKQ+rr;rsoDRqOl21;SM>Mf~>
+q=j^Yq=jFQcM7G6s7Q`ks/ArBn+6/JrV-9cnb<(Zs7ZoLBYa9=n+lhVr:'RQp\FUCp\FNFpOE~>
+q9o)dq9o)dq:!X>s4%(t$J"-q2R1Z[e(`I)qpb2g&)#ang=ir-UY"GOgYCK:c1'?\e`kTZfD4!\
+e,[pI~>
+l212Ns82Nfq>9.Kq>1EqqHfcfrU^'fqYg3Zr!39#s7UktnGiIamJQeYnb_SLOo'Y~>
+l1aoFs7c6^q=ikCqY1$`#4ko_o(_YPrV-9cnb3:cp\F<(L$ep=q!IhOq=44Tq=46BpOE~>
+l-fCTrmUnsp=8ugiRReS$J*n^3dT<0cJI.'qpb2g$/+1khpu%GcK!UCfD4"feG7\cfTO_adXV~>
+l212Ns82Nfq>9.Kq>1Els+>@ks7l0`qYg3Zr;ZQqs1)4arquZ\r;$<]qs"'Aqg\~>
+l1aoFs7c6^q=ikCqY(9hnb@KIq>^'RrV-9cnb37[oD,^kf),C?mJ$GPnb;kTnbA7@J,~>
+l-fCTrmUnsp=8ugiRReS$J*_^?V]A9e'6Ipqpb2g#MI_^hjHC3h!!Acf(%8cf(%CUe,[pI~>
+l212Ns82Nfq>9.Kq>1BrpVgUoo`+jcrV5p\s8EK+Q`L&`oD/4Zqu$BjrUKg]rUKdLrK6u-~>
+l1auHs7QEcme?PPnb;kSqY(9hqs_=(e*m>0rV-9cnFmFdpQ;BLrU]j\q"XUXp@e%Nq>'RTq>'RU
+OnXA~>
+l-fCT"OkoOf%0QHq:,5jn^mTeqU>l'hUJ5_[F*s`f%0`Jo%+<'h;@%4MV?q7f@AL)rRp_mq:>)c
+q:>)gP10K[J,~>
+l212Ns82Nfq>9.Kq>1EsrpFmCoDARdqYg3Zr!)oq_kI,#q#:*hqu?TorTX7Mqs"$@qg\~>
+l1b#Irq6<bme?PPnb;kSqY(9hqY0/i]'f:lrV-9cnb37Ws1=d#nG*"Ys7lWgs7Z!Wq=sLSq=oO8
+J,~>
+l-fCTrmh&"p=K,iq:5#eq:5>k$J+%fb#"VTf&>32qpb2g#MI\lUk.USf)F5"fDXCmfD3teeG7Yb
+f94V`dXV~>
+l212Ns82Nfq>9.Kq>1Ehs72P_s6KX^qYg3Zr"&JfEP;/Cqu-<bq>:*gs8D3[nb_SKOo'Y~>
+l1b#Irq6<bme?PPnb;kSqY(9hmJlL7XoIPYrV-9cnb3R]j_;3rq"t*fqYBp\p@\.Lp\FUSp\FT8
+pOE~>
+l-fCTrmh&"p=K,iq:5#eq:5>k$J*Sbc?,--`n8knqpb2g&D>X[;OuFmg"P!*e^rL-g=c#Jq:5#b
+q:5#eP10K[J,~>
+l212Ns82Nfq>9.Kq>1Eqp]&i`iW&ZNqYg3Zr"/moIH^G!r:KdZq>:*gs8Doer.4b(qg\~>
+l1b#Irq6<bme?PPnb;kSqY1$`#4VK9C>Aj[rV-9cnb3UoMfn%NpAO^]qYBp\p@\.QdeE;*OnXA~>
+l-fFU!7Uqts46nqq:,5jn^mTeqU>l'g!nia9YTE4f%0`Jo%+K,k]^@Sf$rI%e'ljtg"G*5g%*bR
+eFD+Qe,[pI~>
+l212Ns82Nfq>9.Kq>1Eskl:ZlL[4s<qYg3Zr"._*bl@_1rp]^Xq>:*gs8Doer.4b(qg\~>
+l1b#Irq6<bme?PPnb;kSqY(9hs5F"U?%V57rV-9cnb3UDB>j]ImJlbRqYBp\p@\.QdeE;*OnXA~>
+l-fFU"k2#Rf@\aMf`9Y"eG7VpfCRYqfD3tne-add`T,i?AB*<Rf)*tff+H]L;m#$>bMCFle(*"%
+g"P05o%2jMn^`lQ!7HA~>
+l212Ns82Nfq>9.Kq>1EkrUp3"=HWX_qu?Nmp]10fr;QTmr;HR!Gb"R)pAFscrqQTlr;QZbr.4b(
+qg\~>
+l1b#Irq6<bme?PPnb;kSqY(9ho(__NZ;Z_Yrq?Bds7lKcr:p<drUpJ8Pk"D;r;ZQkq#U9brq=b6
+nb/+>J,~>
+l-fFU!7Uqts46nqq:,5js47_5f@ed/f@ed/f@ed/fD3tne-spXg="c@2/_4%f[eXPeGRqrec48#
+fauk?IFm*#g>CE/e(*"#g"P-LfAY6LernM_dXV~>
+nb_bNs82fnrr)lpk54uPo(s!poC_bKq/g*BoDe@\r9=7Krr)lp')VM#o)JRdp](8lF6NYus82Wh
+rqc9aq>>g@l21;SJ,~>
+nb;JFs7cNfrqZThm.Ut_p\+@Tp\4IWq"ORXq!n(mo_.nKoPRn&l2U&JpZDMAp@e7Tq#:("o)JF_
+mIgIKCubE`s7l<_r:g3aq=j^[JbSF'q=oI~>
+n^?sTrmUnsrmh#!s4-Jc%G'%[eCN.$e^r@'e^r@Ae.g?\eCE/M6.aKGcJdBmh8S(#f@SRPdgs[Y
+e)Aa2k(HRMgX>$1e(+BGrmpnpq:1&Gl.#R[!7QG~>
+nb_bNs82fns8Drpk54uPo(sj3rp][\s1D^-rqQNbs8VunrVuioqtp3arUp0cs7>W,[/'[qs7cBi
+nb`.[Jc"^/q>>a~>
+nb;JFs7cNfs7uZhk4e]Hnb4F2pA"Rc[T&=Yme?)JrV?9_p@n@Wq>0sep%n7UkM1!Yp%e7YoCi1R
+p\FT8pZ_GJpj`~>
+n^?jQs3gnqs4%%srmL&\q:5#b-f*/%h<(4kH/-s,cf*U,e(NF+e^`-sdalare_e]o=H:h\dFusr
+g[WeheUc67eG@\qdsq~>
+nb_bNs82fn!<)opjnnlOo(sj3qsOL\p@NZ>kkb5Gs8VNerVuioqtp3brV#s`s8J%1o)JO_s7Q9h
+nb`.[Jc"^/q>>a~>
+nb;JFs7cNf!;ZWhjnJTGnb4F2o`+aXmVc.^nFGf?s6T^Yp@n@Wq>0sdp@@qNnpPTGrq6$`nb<%Q
+p\FT8pZ_GJpj`~>
+n^?jQs3gnq!7_"srR0r[q:5#b-ecl*g=OhW5f_L0bM1pog=P$0e^`-sdaujlg"Y4p>g1sNeCi-s
+g[WeheUc67eG@\qdsq~>
+hYR9Lqu$Hjs8(1@&,Ptds7G^YX&l1up&FOWp&=mhqu?Nlp^[0!qu>\R_uKW.s8Mlnq18Fbqg\~>
+hY.!DqtU0bs7Xk7&,GbqoBH:M9Ul"KqWmeEq#:!ep](""q=s^Zp%R')[/Tgkqtg$^omukZpOE~>
+hU2AOqpYPms3]3C%aO+abiXjBL#g\=c.((irmq,!s3_J+daZq"gq>5/hUKp)f@/=!J^hil!7HA~>
+hYR9Lr;?Qkrqb(?'`.^qqY'shhIp-Es8Vcas82`lqtp?g&,bkqpA'E!q#9sar:g6kon!"^qg\~>
+hY.!Dr:p9crq=b6%fGqqp&4pB@8tSQs7#LUrV$9crqI$"li6JCH$\iPnbDnNr;?)9pW</[~>
+hU2AOr6tYnrmB-C%bf:af&5W&7ln'=jO2B0rRV"urmD>.aPkLq?XqO:cILIlg"FZ%eB68@dXV~>
+nbMVLs82fnrVQTj!;YmVq>0[Z'`.UuqY'p\s1V-KrV$9erVQHgqYL0d&,l1os0>_fs8D`mp@81_
+qXOIYqLSP.qt^)=~>
+nb)>Ds7cNfrV-<b!;5UNq=a@Q&c);#p%n1X[mY--n,DtSp@\+WpAajtqXO%QW(Y_:p[nIUmJZqU
+nb;kQJbSF'q=]=~>
+n^-^Os3gnqrR1\m!79u[q:"l`s47e9f%ng:SLRUme)8g2f%&=Le,Rf+f?V_#NA83)f?r@!b1bLs
+n^RB`J^ir6qU5GlJ,~>
+nbMVLs82fnrql]ks7tpVq>0[Z&Gl(sr:]UJs8S-HXmlAgq#'sa&,?1jiG+APrr;fop@\I\s7-!^
+qLSP.qt^)=~>
+nb)>Ds7cNfrqHEcs7PXNq=a@Q&G>u!p?_/Gs,&t:l2LGKp\"CV&+f_[g0fR0p%e:\o'uYMr:0OW
+p4;u&p\FN5~>
+n^-^Os3gnqrmLens3U#[q:"l`&C]@eeBQ8!j)#orc/RI.g"#oI%c#+<7;1W3g!\^&cIpUun^RB`
+J^ir6qU5GlJ,~>
+nbMVLs82fnrql`lrqYgUq>0[Z&GlA%pA=Xbn,29E<WE'ts8Vok&,#l#NF:05r;H<gqu?]bs7-!^
+qLSP.qt^)=~>
+nb)>Ds7cNfrqHHdrq5OMq=a@Q&H2J!qt:!SpY\_?qtKj[qt9gZ&+K;mL/u@coCqeRp\XpTrUKXX
+p4;u&p\FN5~>
+n^-^Os3gnqrmLhorm9oZq:"l`&DPjeg",3-g;>R!hqQo@hUVJO&(&nfBfiEKf%84$eC`Krg@<\g
+dt-$5eG@Vod=;~>
+q>0XYnbW(YnbhAC!;cWgs8!T)XZr$LkPtJWqX4@_qZ$<hs34o@pAajaJc!Ueq>,U~>
+q=a@Qnb2eQnbD&:r:p<d)"FUeNrS&;p%\=Jqu?Bcnb;mu<g2qFmIl,*b4k`*J,~>
+q9e`\n^70\n^ZUJqUQP:dYf,ck/QN9f@%amhp^9+g>/YeG0nsieq)>neG@Vod=;~>
+q>0XYnbW(YnbhACrqcWhs8!H.nr6#Ss7lWhrr;ofmeZt`o6Z/Nrr7QHanto1J,~>
+q=a@Qnb2eQnbCu8rqQNf(]*TV5.pp_s7QBiq=!V@r:fJsHeS5nq18:^p\FN5~>
+q9e`\n^70\n^ZUJq:6A:ctaf!kh"qEf\4p#a4/nubuJ)`g>U_9eB-5:df@dG~>
+q>0XYnbW(Ynbh>BrqcTg%/^"^<ab"goCVSKp%eRd#.\!Zs8VuoJc!Rdq>,U~>
+q=a@Qnb2eQnbD);!;?EdrV.3+qV4nLg&::-o(V_Js82cjX\uk4q=XH4pW<1*p4*~>
+q9e`\n^70\n^ZUJs47(s(YRQX2F5=Ida$"_cdL_-i89_WU>t%Zeq)>meG@Vod=;~>
+q>0XYnbW(Ynbh;As8)]h(\[=p\Oq>NqZ$0aqZ$Tgo&FGQs7uZaqLSOcqt^)=~>
+q=a@Qnb2eQnbD);s7ZKerV.3&n+X.TF7o#%p&"O]s6T"%?'+aMq!7R'pW<1*p4*~>
+q9e`\n^70\n^ZUJs47%r(!YI#.q.Mlgs+BtgY^?$]gHqre_&&reB$/9df@dG~>
+q>0XYnbW(Ynbh;As8)cjs7[?%s7>ZE9W.pbp&=m`q#(/W?/bhPs7lVFqoSa2qLA~>
+q=a@Qnb2eQnbD);s7ZKes7lWi(\Rgsk`.rtrq,saqXX4Kr/";$rTO(KrIO^bp\FN5~>
+q9e`\n^70\n^ZUJs475"rmDY5e)Aa#GqY'?dEgIpdaH_+EB1YjbLt@uJ^hfkqU5GlJ,~>
+q>0XYnbW(Ynbh;As7u`jrq@6&s7lWRHs"bfs7GsZs8Vk&WVcAgqtpDEqoSa2qLA~>
+q=a@Qnb2eQnbD);s7ZKe!;QQh(\n%'r7Z-]`UX!#o(;bWlrBVFm/?VOqgnL`p\FN5~>
+q9e`\n^70\n^ZUJs475"rR)M2i7?o,?TYO<f?VUiguQmHL"4N-e^W6&eB-5:df@dG~>
+q>0XYnbW(YnbhAC+8l$4qY9gZp%@\Os89uGE81EdpAXsTODXFcp&Fg\pOW4`qt^)=~>
+q=a@Qnb2eQnbD);s7ZKe)u07)qY0CTs7F$$A_[7Yo_J.:KO3R-m/QYIoRZbYp\FN5~>
+q9e`\n^70\n^ZUJs475"s3_e4daH=pk237,;7G9+cIpggCe)S"cf<I"d=KfheG@Vod=;~>
+q>0XYnbW(Ynbh;A!rD]erq@3%rq6-foS$1jlLt5Vn^LKlo`+sfqt,I:aSYf0J,~>
+q=a@Qnb2eQnbCu8s7lTh(\n"#p%dis7sXCkq=s0r7saCnqt0UPpjr1]p\FN5~>
+q9e`\n^70\n^ZFErmDV3gsap8eR^I;`6d2ibHER.cJ7:+f$;fseB-5:df@dG~>
+hYR9Lrqu<`nbi4[nbaL+o_\LZs8;Tfqt0p^rq1S8aS>f4q1N8HpA=gap\=^_r:0[[r/pj]qYU0f
+r;6Bfg&$:~>
+hY.!DrqQ$XnbDqSnb=4%o)&:Xs8;Teq!nCSp[3#o_=%-hms87&n+QPMo_A:Yq!n+SplY:Up@n=V
+q"OOVg%U!~>
+iR.YRs4%%un^R*Zq:+ucs3i%4e^i4*g=4m1dc8g1d8Vcqe)&[*?U2i`f\"a%eCXNHn^RBbOjjWb
+eC<%!eC;t$e,[pI~>
+hYR9Lrqu<`nbi4[o)'X-s7uNaoC__Io)JFXr;6N`Ea.T(s4Uq`q#(-jq=jXZq>Bd[q>?BP#Q">p
+r;?HhqUtar~>
+hY.!DrqQ$XnbDqSo(X@'rVHB`oC_VCmf2hJp\+XPAl%%XqTrHCoCr.Zq=jXZq=sLSq=p*H#PRod
+q"XUXp=]1j~>
+iR.YRs4%%un^R*Zq:+uc+4JffeBcOkdF-G'e(!"#h9&JQ^ZOLa5DdqDg=k*+e+hJ`eG7XWe-FIP
+eCE+!eC3.$!7HA~>
+hYR9Lrqu<`nbi4[o)'X-qY^*]rVQTos8;Nds82ZmnQoqcs)iMbrr2loqtp0`q>Bd[q>?BP#Q">p
+r;?HhqUtar~>
+hY.!DrqQ$XnbDqSo(X4#q#0s\rVQKlqtKRQr:T^Wj\fC3r+g6Kq>'m_p%\(Oq=p*H#PRodq"XUX
+p=]1j~>
+iR.YRs4%%un^R*Zq:+uc+Oe`edEpY$guR>Gdb*@*eD&517ChGV;rHEbg"=j*eC=<En^RBbOjjWb
+eC<%!eC;t$e,[pI~>
+hYR9Lrqu<`nbi4[o)'X-o`+[_s7c0WpAb0jr:]UZp$6=(NDIq!r;-3`qY^3eq>Bd[q>?BP#Q">p
+r;?HhqUtar~>
+hY.!DrqQ$XnbDqSo(X*uo)JI]s7c$Onb`@\p$h5GlebuQK13oTp\sgep\F[\q!n+SplY:Up@n=V
+q"OOVg%U!~>
+iR.YRs4%%un^R*Zq:+uc)Ulm^dFI1*e'cb&jP&85al:aj771f@XkDCZrm^u!psnoaq:1VW#Lh2P
+e^`1!e(W:OdXV~>
+hYR9Lrqu<`nbi4[o)'X-s8VQVq>1-bmJd+Ts8Vomqu<s:>)DtOr;-6bqY^9gq>Bd[q>?BP#Q">p
+r;?HhqUtar~>
+hY.!DrqQ$XnbDqSo(X=&s8VQVp@nUXkP4f:rVuK^nboCo:kJ00p\"1Np\FX[q!n+SplY:Up@n=V
+q"OOVg%U!~>
+iR.YRs4%%un^R*Zq:+uc+OeuuaiW)aiml<1gWna;e(E74O%2'>e(WL,eC<(%f[orLn^RBbOjjWb
+eC<%!eC;t$e,[pI~>
+hYR9Lrqu<`nbi4[nb`m^rr2rtiO`rG@=3]AT(W'^"LM!srVulr"TA5pqYL$cnb`.[Oo#C[qtp<h
+qtp6Cqg\~>
+hY.!DrqQ$XnbDqSnb<m`s8N&shR@36>BP=&Qga_Fqt6s\QhLCRrqQNfq=sLSq=p*H#PRodq"XUX
+p=]1j~>
+iR.YRs4%%un^R*Zq:+uc+Oe3Zf\bK!RS6OD=^X[EceI=9glX18g>1N<g"=p.f%0ZIn^RBbOjjWb
+eC<%!eC;t$e,[pI~>
+hYR9Lrqu<`nbi4[nbaI,s6odWs8T5oT)&Dd@&`\rm/$aK8rr`BrVuoqqYL!bnb`.[Oo#C[qtp<h
+qtp6Cqg\~>
+hY.!DrqQ$XnbDqSnb=4'rU'=Ms8T#bQh(0M=.ndSjn&M66\t7&pA4X[p%A(Tq!n+SplY:Up@n=V
+q"OOVg%U!~>
+iR.YRs4%%un^R*Zq:+uc*RiQia4&JpjGk[;f]7]HK?N/ofAq$$CX^hegt^T^fD3teeG7XWe-FIP
+eCE+!eC3.$!7HA~>
+hYR9Lrqu<`nbi4[nbaL+rU^'\r:PP4nF-/P>u(Frs8DinVbVU-pA=gbq"t'dr:0[[r/pj]qYU0f
+r;6Bfg&$:~>
+hY.!DrqQ$XnbDqSnb=7&qsaOQq<rSsl0.[1<(6cWq"F@RTLX+fn+QPLoCi"SqY9UTq=p*H#PRod
+q"XUXp=]1j~>
+iR.YRs4%%un^R*Zq:+rb+Oelcg!SO(?RjCIf@i/3i7Hc<f\2!.=3K%Eg=Om-gXl;Pn^RBbOjjWb
+eC<%!eC;t$e,[pI~>
+iVLCf-i`<.r9OC_C01H6qYsbds7cQkq#BcP5_8M+kl:\Os8;]gr;-*]s+1'hqg\~>
+iV(+^-i`6,pu_SN@o)mknG?'Cq=+7ToD@d;3I:#kiW&i>rqH*Yq"F7MqgnL`pOE~>
+iR,Kk-ec8ke]?\*8N>\_fAJP,gsb'3e_SDn**pkN`T5t$iRcN+e^MgkfR_Ppe,[pI~>
+iVLCf-NE]6s8DuW8n\2%s1_lgrVHQkp&G!;QVF4Fs60L_li-eYs8D`eJc!OcJ,~>
+iV(+^-NEW0qtU3G6XTc^s0YgIo_&(SnG;q%O@G`*ro*nWjSAQEqt]mUJbR7[J,~>
+iR,Kk-JHYlgY1`).7iRRk+"G6f@Sg1dbNQXF")Rail1!>a4\tlf[eHsJ^hfk!7HA~>
+iVLCf-hIB/rVHN3?>mliY=s!'p\XpcpAP$gk]fmorr)Efqu$<err2fiq18Fbqg\~>
+iV(+^-h%$$q"+6n<b/k@V*JYNme6MOoD&@Zj)IVUp[dVKo_8(QqYKsYomukZpOE~>
+iR,Kk-d:;hf[efP5>J)<N$qB>dFd.'db*L1`DnI8gY1!9f[nU$f@SO"dXfoje,[pI~>
+iVL@e$NL)'p@jSOQiI*^rr3i6q"jpcr;Q`rk]KmhnFch]qY0^Zr;?HgJc!RdJ,~>
+iV((]-NEl9n*l'1N;EA=rqH?_oCr(Up\F[^iGMDLk3Ma;o^hYHq"XUWJbR:\J,~>
+iR,Hj-K!J.e'r:uG3%]:k251Me(31'f@es7`DSI1c-kG*eBlOie^`0uJ^hil!7HA~>
+iVLCf-h[-,r;Ze6<<)gorVuQ[s7c3_r;--]qZ$,+9Q0\)qu-Efp\F^br.4aeqg\~>
+iV(+^-h6]spA4eu8cA,Knb)/-s7H!Yq=jLOp&F>j6=]?Pnb;eNoC_kRpjr1]pOE~>
+iR,Kk-dKubf&#I]1[3ZLgYL9"j3uE*f%/:!fAt7Q.8/.Ff[nX$d*gFpeUc5me,[pI~>
+iVLCf-ia&Cs75c(JcGcHpAb0%hYQp>q>'g^r;-?cBNJTus8N&uqtU$cr.4aeqg\~>
+iV(+^-i`o?rTifbG4tq'lLk.WebAb/p@e1Pp[e(F?;"8GqtU*ep[n1Spjr1]pOE~>
+iR,Kk-f!20i6ThN@,gJ(eD98L\CT'Te()t"g"4p,75I'=in2r;eBuaqeUc5me,[pI~>
+iVLCf-MR0(i1bs+FhdJHs7bu1?i0WmpA+Xcrp]j^s*.=Xj73!GrV63dJc!OcJ,~>
+iV(+^'_1VYfpdI`C:*.$roi9Y<quIap@eL]%dEZUr+n`1g$AA0q=O@TJbR7[J,~>
+iR,Kk-I9o\]ROKL<1q\(kg@LP3S2d0dad")gWeF'j&@O'^rt3[f$VprJ^hfk!7HA~>
+iVLCfs8OD;qS&8[Uo4.jnG]"VP5>(SqYC'dp]'pcs7_FUBA`4Wqt^'cr.4aeqg\~>
+iV(+^./Wr1o='d?SXo?Gk44[)M=pcBp\+FVo)J.Pq<``1?.eE8p@IqNp\'14b4gD~>
+iR,Kk.,!>"esg`%K7qq:c.I7jCt7.heCE4&eDns2hU6!q6G(Ipf$i.#f@GN&bL?O?J,~>
+hYR9LrqsV0!W;Thrrc#,g\^jEq[<,trql`ZR70iYrV$6j#l+5qqXjadqtYg?dJJF~>
+hY.!DrqPaPnb2DFqt:6^q>C4]?e,#I)#!Lrq=XRCP<M@7o'c8Kq=4%Qp@.nVp[s+3dJ&.~>
+iR.YRs4%%ul.#7SmaV-b#0u#ZhBkIpqU?A5dG!:(ftqeR.[Af>gu7)>e_AQteC`3rJ^i,t!7HA~>
+hYR9LrqsV0#Q">spOlkVr;$4*p\am_s8UlX:fsLmrUopbpAb$brVZGAqp>4j~>
+hY.!DrqPaPnb25A#PRogo71#Fq"aY"oD&%Orr1QK78'$Io'5`En+l\Lq=sT5pX&Yb~>
+iR.YRs4%%ul.#7Sl-oseeCW&Q2i-#[e/-K^e'Zq)[>Q\!K^.@Bf&Y94f$W!rcI.9ndaS9FJ,~>
+hYR9LrqsV0s8<,qpj917rqZF-rVlZer;ZfnX'8Shs82Zgp\t*grqH'`Jc!jlJ,~>
+hY.!DrqPaPnb25As7liioQR>'qYBk%q>0gUq#C?bTMS7<p[IeFnG)bQr:TXXJbRRdJ,~>
+iR.YRs4%%ul.#7Sl.#aa"jkXrLWe<Fe/-]fe'HS#gX_6E2Kn'5g"+X)f@AHubgh9odaS9FJ,~>
+hYR9LrqsV0#Q=SqqrIAJp\F\&rr)ckp\"@^rmFtFMu!5LrVlZks7c-`Jc!jlJ,~>
+hY.!DrqPaPnb25A#Pn/epYbN:oD/+sqYBp[oC;MNoZ'`pJFE+,pA+FWrUo^XJbRRdJ,~>
+iR.YRs4%%ul.#7Sl-oshe^;m[bh(5;e/-`fe^MmjdbEN_4"Y3ufAG97e(*'rbLM0ndaS9FJ,~>
+hYR9LrqsS/#5\Aps7c0cq>2!)q>C9lp@eIboAXd_E97)us7uHhqXsc;qpG:k~>
+hY.!DrqPaPnb22@#57rds7>a[q=b^!p%\L^o()SOkgsH6C#8U[qXsOZq"+?5pX/_c~>
+iR.YRs4%%ul.#7SkgTgcf[8U'c.r-E(=U^^g=OZsf\k2o;(GGZgY:H1daljkJ^i)s!7HA~>
+hYR9LrqsV0#64>prU9XZq"km+q>('jqYC*[s8VD-9kC[$r;--br:g&=qpG:k~>
+hY.!DrqPaPnb25A#6"&fq<ReJq"GU#p%A4[p@\4GqtAud7UE1_p\4:UqXsW7pX/_c~>
+iR.YRs4%%ul.#7Sl-opkc.COfeC+-A(Y7$_f\+a%f[/a<aAaWUO3H5*d+$RkdXfore,[pI~>
+hYR9LrqsV0#QO8lrpTmbo(i/!s8;]hqt^'as8Mukp5i0SfC](:p\OX[Jc!jlJ,~>
+hY.!DrqPaPnb25A#Q<ubqWn1VmeQS[rV6'Zp\sgpqtKgRmtjb;ddR)*p\KI8chDq~>
+iR.YRs4%%ul.#7Sl-oslaOf%bhpopGe/-ihdaQ^odad72gsjei0K$/^f[81!dF!NpdaS9FJ,~>
+hYR9LrqsV0#Pdlio)JIUs7uO+r;6?dqu$Ejs7Q*cs7iZj_<h3up&=`;qpG:k~>
+hY.!DrqPaPnb25A#P@Hamel\Fs7uC'q"OLTp\=RYq!RVLr:?gX]]oIjp&=`;pX/_c~>
+iR.YRs4%%ul.#7Sl-oscbMULrd*1ABe/-Zbe'carf%8^*e)B68M(>+;gsja$daE]rdaS9FJ,~>
+nbW(Yq>0XYq>C'cl2:ARl21;QrVQTjrV?Bcq>/51q>-NVJ,~>
+nb2eQq=a@Qq=s4Kq=sdZl1b&J!;6<_rq66`r:g$\anPW)RJ24~>
+n^70\q9e`^q:5;jn^mTeq:"TXqU5Gpr7Ckso@(h2q9te^!7HA~>
+nbW(Yq>0XYq>C'cl2:ARl21;QrVQWkrV??b!;ZKfanto1RJVL~>
+nb2eQq=a@Qq=s4Kq=sdZl1b#Is7HBarq66`qtKp[anPW)RJ24~>
+n^70\q9e`^q:5;jn^mTeq:"TXq:#Ao!8%(to@(h2q9te^!7HA~>
+nbW(Yq>0XYq>C'cl2:ARl21)Ks7uWfrq6Beq>0s0qt^)Vqg\~>
+nb2eQq=a@Qq=s4Kq=sdZl1arG!;69`rV-<d!;H<_anPW)RJ24~>
+n^70\q9e`^q:5;jn^mTeq:"TXpX9,mm*j)+q9te^!7HA~>
+nbUZ1l29'.rqcTgrq?HgqLSOlqg\~>
+nb0fnq=rA3rV6Bf!;M->dJ&.~>
+n^6mTiRIDLq:1&GRa_>cJ,~>
+nbUZ1l29*/rqcWhr:^6eqLSOlqg\~>
+nb0fnq=rM7s7cTgrqQHfs7h0>dJ&.~>
+n^6mTiRIDLq:40JqpP;is42bNdaS9FJ,~>
+nbW(Yq>Bd[q>0paiV_s;p&+jerV?Bd!VuWhr5nj3r0dG4~>
+nb2eQq=sLSq=a(InbDACp%\F[rVHQiq=r)+q=pBPJ,~>
+n^70\q:"l`q:#/hn^m<]l.#OZqpYAks4@(sajg.:Ra_>cJ,~>
+nbW(Yq>Bd[q>0paiV_s;q>C-erV?Ee!quEdqY\J4q>?ZXJ,~>
+nb2eQq=sLSq=a(InbDACq=s^[r;$Ehq=r)+q=pBPJ,~>
+n^70\q:"l`q:#/hn^m<]l.#OZ!RoKoe,.\qfD3t=eG7X`e,[pI~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat5.ps b/books/ps/quat5.ps
new file mode 100755
index 0000000..f656b2e
--- /dev/null
+++ b/books/ps/quat5.ps
@@ -0,0 +1,1877 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait5.ps
+%%CreationDate: Tue Dec 26 13:06:20 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 219 210
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 195.750000 translate
+204.000000 -195.750000 scale
+% Image geometry
+272 261 8
+% Transformation matrix
+[ 272 0 0 261 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 272 string def
+/gstr 272 string def
+/bstr 272 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       111709 ASCII Bytes
+colorimage
+iVW0C[ep+&rr)ZjJc#9?J,~>
+iV)g9[eBaqrqQ<`q"B=6J,~>
+iRm\R[b1W5rn@2$qUki!j4++Wo$O_lJ,~>
+iVW0C[ep+&rr)ZjJc#9?J,~>
+iV)g9[eBaqrqQ<`q"B=6J,~>
+iRm\R[b1W5rn@2$qUki!im[tVo?dQdZ.+:~>
+iVW0C[ep+&rr)ZjJc#9?J,~>
+iV)g9[eBaqrqQ<`q"B=6J,~>
+iRm\R[b1W5rn@2$qUki!imdMHZ.+:~>
+q>:!cnb_kSq>9^[nb`.[k552Vrr)BbJbsr~>
+q=aXYnb2MIq=a@Qnb2eQk4\iLrqQ$X!;;$=J,~>
+q:PMrn_!Bbq:P5jn_!Zjk1K^ern?qr!S>o^eFCtle:7~>
+q>:!cnb_kSq>9^[nb`.[k552Vrr)BbJbsr~>
+q=aXYnb2MIq=a@Qnb2eQk4\iLrqQ$X!;;$=J,~>
+q:PMrn_!Bbq:P5jn_!Zjk1K^ern?qr!S>o^eFCtle:7~>
+q>:!dnb_kSq>9^\nb`.\k552Vrr)Zjq>GmAJ,~>
+q=aXZnb2MIq=a@Rnb2eRk4\iLrqQ<`q=js`K(jc~>
+q:PMsn_!Bbq:P5kn_!Zkk1K^ern@2$qUtu&f&>-Ld]q;P~>
+q>:!dnb_kSq>9^\nb`.\k552Vrr)Zjq>GmAJ,~>
+q=aXZnb2MIq=a@Rnb2eRk4\iLrqQ<`q=js`o(V_KT_Es~>
+q:PMsn_!Bbq:P5kn_!Zkk1K^ern@2$qUtu&f(.>]etCNC~>
+q>:!dnb_kSq>9^\nb`.\k552Vrr)Zjq>GmAJ,~>
+q=aXZnb2MIq=a@Rnb2eRk4\iLrqQ<`q=js`o(V\JU%a'~>
+q:PMsn_!Bbq:P5kn_!Zkk1K^ern@2$qUtu&f(.>\etLTD~>
+nbiCbs8;cks8;lpq>C'cg&)B\qt^-dq>1*gp\t*emJlGHqu6Nnqu-?lqu$EknGMhRnbi4[q>@Mp
+J,~>
+nb<%Xs7cEas7cNfq=j^Yg%Q$Rp@S(Po_&%So(i%Qkl9`>pAXgdpAOXbp@nO\nFlqVg@tF<Z1ib~>
+n_*oqs4R;%s4RD*q:YSrg"?nkf[e^-f%8[0eD&[.b2^M;f`'S(f_sD&f\-5Wn_!rpf(.>\fD3ql
+eZmVS~>
+nbiCbs8;cks8;lpq>C'cg&)BZqtg6hr;6Ekp[S4XrVuonqu6Nnqu-?lqu$EknGMhRnbi4[q>@Mp
+J,~>
+nb<%Xs7cEas7cNfq=j^Yg%Q$Pp@\1Tp\+@Wo'H/Dq#:<hpAXgdpAOXbp@nO\nFlqViqEHHqY0g\
+Z1ib~>
+n_*oqs4R;%s4RD*q:YSrg"?nif[ng1g">!4eBZe!g>M#ef`'S(f_sD&f\-5Wn_!rpf(.>\f)XCu
+eG7Y"e:7~>
+nbiCbs8;cks8;lpq>C'cf_kdJrqlfoq>UBsqu-Q_nG2t\r;ZZmq>pKkrVc6`nb_kSq>:!cZ29%~>
+nb<%Xs7cEas7cNfq=j^Yf_>F@rq?`mo_SUcpA"OLlhU8Rp]'sco`=d\rV5mV!;>FHq=^f^J,~>
+n_*oqs4R;%s4RD*q:YSrf\-;Yrn.V1f%f9Af\50)c2$#kg&K_'f)aOWrS$ep!S>one,\+lf`9Y"
+f(mq&e:7~>
+nbiCbs8;cks8;lpq>C'cg&)BWs8Vrjr;QWfp%nXenGiL`qu6Nnqu-?lqu$EknGN+Zl2:ASq>@Mp
+J,~>
+nb<%Xs7cEas7cNfq=j^Yg%Q$MqYTsWp\FRRnFcSTli-_UpAXgdpAOXbp@nO\nFlqVqY0g\nb;kQ
+WV:o~>
+n_*oqs4R;%s4RD*q:YSrg"?nfgtgT4g"Y3/db!41c/@@Pf`'S(f_sD&f\-5Wn_!rpf)!nlea_>g
+f(mq&e:7~>
+nbiCbs8;cks8;lpq>C'cg&)BUs8Vois8Vlos6Ta'YO;Gdqu6Nnqu-?lqu$EknGN+Zl2:ASq>@Mp
+J,~>
+nb<%Xs7cEas7cNfq=j^Yg%Q$Kr;?3YqYKg`qWI[hWp0KXpAXgdpAOXbp@nO\nFlqVqY0g\nb;kQ
+WV:o~>
+n_*oqs4R;%s4RD*q:YSrg"?ndhVQi6gt^H=gr\<EN6C,Sf`'S(f_sD&f\-5Wn_!rpf)!nlea_>g
+f(mq&e:7~>
+nbiCbs8;cks8;lpq>C'cg&)BTs8Vons6nKf`O)aQV<[pQqu6Nnqu-?lqu$EknGN+Zq>Kj]q>:!c
+Z29%~>
+nb<%Xs7cEas7cNfq=j^Yg%Q$Jqtp$\qs)OS^os\=T]PkBpAXgdpAOXbp@nO\nFlqVqY0j^!;Q*Y
+q=^f^J,~>
+n_*oqs4R;%s4RD*q:YSrg"?nch;-Z9h9<00U61<oK#cL=f`'S(f_sD&f\-5Wn_!rpf)!nmec=@m
+f`9\$f(mq&e:7~>
+nbiCbs8;cks8;lpq>C'cg&)BXs82TkpVr2dq!j;il2UVUqu6Nnqu-?lqu$EknGN+Zq>Kj]q>:!c
+Z29%~>
+nb<%Xs7cEas7cNfq=j^Yg%Q$NqY'OWo"g-PoB_6UjSJQFpAXgdpAOXbp@nO\nFlqVqY0j^!;Q*Y
+q=^f^J,~>
+n_*oqs4R;%s4RD*q:YSrg"?nggt:04e>$c-e]ql2`n]2Af`'S(f_sD&f\-5Wn_!rpf)!nmecFFV
+o@a2tq:PPs!8"L*J,~>
+nbiCbs8;cks8;lpq>C'cg&1mM%JTSrl^giAq>"3tna$5QqZ?Wkqu6Nnqu-?lqu$EknGN+Zq>Kj]
+q>:!cZ29%~>
+nb<%Xs7cEas7cNfq=j^Yg%Q$TqXX1Qk*S^,o^l.`m,n6Dp&b!^pAXgdpAOXbp@nO\nFlqVqY0j^
+!;Q*Yq=aXY!;<_mJ,~>
+n_*oqs4R;%s4RD*q:YSri7S+^qq2P;gssp1aaPbef@N!AccP%sqUkf#s4I;%!SH*(g@3bqf)!nm
+ecFFVo%Nolq:Pc!jjX:Ycd[I~>
+q>:!cpA=mfrr)ZjdJFISo(`7Ze7#3Cs/K,^p]'paq?$HgqVh>Ir/(<$~>
+q=aXYp@eO\rqQ<`f_,=>qt:R#mIL;Ic<?k(qP-jEnb_hSpAOaEpA+I7p@@tWp;QcV~>
+q:PMrp=TDurn@2$g"6>VeG[tufF[,jf]_"u7u>XOM)E<)iR?Q\g$RG_f`9\#fD3ttf]1Wdf[eXN
+eG7MmeGe%teGR_rdF-Ije:7~>
+q>:!cpA=mfrr)Zjd/+=Ls7,EbEU*SqE-pdJrV$3drV5@Kq>?*HJ,~>
+q=aXYp@eO\rqQ<`f_5==r:UWmrp/XMC?,?[BQN/.p[J.TrV,:Eq=iM7o(W.W`V4l~>
+q:PMrp=TDurn@2$g=ZGVrm^u!s4A"<g?-l3SljD*e59JmiSE)>gY(9If^d\qf_O.pec=@_f`KgW
+f)*todK7hEeGe%teG[hodF$Ho~>
+q>:!cpA=mfrr)ZjdJFIFs.<s(dq&C@_HkO`s7Q9fqYg3Jqt^/Hqg\~>
+q=aXYp@eO\rqQ<`f_5==rUpchs-[<kb['o#\lHiBqX=+UpAOaEpA+I7p@@tUp;coX~>
+q:PMrp=TDurn@2$g=ZGVrm^u!s4@k/k(-+d\P(r+UHYs8i76T\g"k<VfD4"Vf`0OueGIYoeGRnr
+eGmtqdF$Ho~>
+q>:!cpA=mfrr)ZjdJFISnnW7Fl[FJ_Jp[Otrq-0fqYg3Jqt^/Hqg\~>
+q=aXYp@eO\rqQ<`f_5==rUpctlt'u2jEH!BH?8o[q!RnTpAOaEpA+I7p@J%Up;coX~>
+q:PMrp=TDurn@2$g=ZGVrm^u!&_PdodS3['d:?sI@pJ$QhULB[g"k<VfD4"Vf`0OueGR_peGIhq
+eGmtrd/_VBe:7~>
+q>:!cpA=mfrr)ZjdJFISghs^us8VqWA[D%+rr)ZkqYg3Jqt^/Hqg\~>
+q=aXYp@eO\rqQ<`f_,=>qt:X$enDG]r;Q>E?**Gdq"XLTpA=UCpA+I8p@@tRp<!&Z~>
+q:PMrp=TDurn@2$g=ZGV(t@-ff\"m1jLe<ZgudhWECQ,?gYU]:g"G-4q:GGniRe.]o$dZjrn.2#
+s4$qodF<[~>
+q>:!cpA=mfrr)ZjdJFIC[<M0@nFlg5G5D(/q>^?jqYg3Jqt^/Hqg\~>
+q=aXYp@eO\rqQ<`f_,=>qt:NaYArn(lL=OpDY*JhoD8I[qtK(Cq=iS9oCr"QanL;~>
+q:PMrp=TDurn@2$g=ZGV("Cgcf\"m1c]qY^j4)f?A67I;f%JmYg"Y0TfD4"WfDsLoeGn+uf_sD#
+eGRbBe:7~>
+q>:!cpA=mfrr)ZjdJFISE0(%gs8UhcK`D)GqYL3iqYg3Jqt^/Hqg\~>
+q=aXYp@eO\rqQ<`f_,=>rV$9a&,^1!s6BU`eR*b&s7,dTq>L'dpu1rBpY#9;p[7atpOE~>
+q:PMrp=TDurn@2$g=ZGV(=^pdf\,$6jAL!]dcTc*7:Y?>eC`F/rRh)"n_!B_q:F<NqpbGmq:P\t
+rm^npdF<[~>
+q>:!cpA=mfrr)ZjdJFHcC;KcHr2#'MHcQ$Ps7uKhqYg3Jqt^/Hqg\~>
+q=aXYp@eO\rqQ<`f_,=>rq??a&%#lZo_nKUIT(@(o]lJKo_nO_pu1rBpY#9;p[.[tpOE~>
+q:PMrp=TDurn@2$g=ZGV(=^pfg"Y9;S4o^5jkPQ#3Ei<6c/dL.rRh)"n_!B_q:F<NqpbPpp=T>p
+rm^qqdF<[~>
+q>:!crr)lphY[-HnbX.!q>'sgqXslJAD?nZoD/FDfAc]-p\4^dqYg2gq[WE$qZ$!]rUTa`s7H?f
+s2b(f~>
+q=aXYrqQNfhY-d>nb3"U(%h7uo^DU2?IeWHme$A.d+e3jo()hZp\jllpA=Uap($]kp&4.Lq!I\L
+qsXRXs8DZ8pOE~>
+q:PMrrn@D*hUqYWo%4l3e^Dt#hqH]BECddsjjD]9]X5H+hpp68f\$/R!S#]jfYQ,>eC+<Fs4._2
+h:LT/g=t!*h;6T?fAYB]f$)Wo~>
+q>:!crr)lphY[-HnbX.&qt]jXr;ZIsH04o%r;QQkp%SLdp\"L`qYg2gq[``+o`+sio`+s`p%A@S
+qYJ>2J,~>
+q=aXYrqQNfhY-d>nb*dqp[mnDpAaVaF5ZWdp\FLUmdU,Oo'lGQp\jlmpA4O`p(.&rn,*.Zmf34R
+nF6JDp%A:Wc1c_~>
+q:PMrrn@D*hUqYWo%4i2g=4X!fA>fH6=%[bhV$Z8g="L.hpp0/f_j>#eFD2.ecO@Ldf%\qedpTk
+dba$?eE5c=e'm:#f@TuPc.%7~>
+q>:!crr)lphY[-Hnb`@^('"((qZ!iq\,ZC%s8M]ks8Drpq>'seqYg2gq[`Pks7l3bmed%]s7?!_
+s8U4<J,~>
+q=aXYrqQNfhY-d>nb*ajp&"@Oo`(s]Z2F=fr;#j[q"FIVo^r(UrV5mUo(V\Jg\:aA&,#2eo'Q59
+p&=X\mdg,PqYU!4pOE~>
+q:PMrrn@D*hUqYWo%4f1eC*+%f\G_Y1RmI\fA>3-hqZr?g"+a-rmq"sn^mimo$m3\iRIhSs4%)"
+&_G7hf[Jd*gZ7,FdFHt2gt:9Xf$Dir~>
+q>:!crr)lphY[-HnbX-tp](-fqX\W5nGiCVs8D`ir;69`qu-HkqYg2gqu?[*n,N%Is694Ls8Vuk
+q";c+J,~>
+q=aXYrqQNfhY-d>nb3"S'`Iauo^$6ol2UGDqt]mVp%7eFpA"R[rV5mUo(V\Jg\:aA&,lLlrU/kK
+j6uI:s7Z'UnGDq*pOE~>
+q:PMrrn@D*hUqYWo%4l3e'R"*gYUU`7b6kZd+d.!f@eg,eC`L.f%0`J!7pbos46bjn^c[KrR1_q
+'@tgoiQpQ8cfiR&e`>fEf%&4$f_sCIe:7~>
+q>:!crr)lphY[-HnbX.&q"aOWs5@1.rr2T\rVHQns8W#nrVZEgqYg2gq[`)ms3?mjXQQ"<a7K?2
+p&E/2J,~>
+q=aXYrqQNfhY-d>nb*dro^qSCq:\ehp\=4Dq"FU[qtg!Yq"O@Xp\jmVp@@tJp=o?Ap(-B^s2^7X
+VW!`$_<q*rnGi=XdJ&.~>
+q:PMrrn@D*hUqYWo%4l3gX4U"gZ-=@@H?FucIgOqf\YH:f@nj)f%0fL!n,TLo@X)oo$m3\iRIhS
+s3qY3fZW%2Y^(;Oaa&*.e(rm0jSda0f$Vut~>
+q>:!crr)lphY[-HnbX.%qY9mcr3&enrV-3br:^$brr;uqrVZHhqYg2gq[`_uS5>*bEIiGRrR6XW
+TCg8&J,~>
+q=aXYrqQNfhY-d>nb*dpp@IqOp8CESp@7hJq""1Pp\=LWq"OCYp\jmVp@@tJp=o?Ap(.2jQ:chJ
+CO:0:pW\DARd^(GdJ&.~>
+q:PMrrn@D*hUqYWo%4l3g!eL'i8BnWOQ5*Mf%&$ne_8d3g"P',f%0fL!n,TLo@X)oo$m3\iRIhS
+s4%)$&)u&e12a3oAR)"dZY3frdf%hsf$Vut~>
+q>:!crr)lphY[-HnbX-sr;6NoomK`ts8Duqr:fs\p\Facr;?QmqYg2gq[`/i:5J'4a(iielDf,[
+H,Ic$J,~>
+q=aXYrqQNfhY-d>nb*diq"F[amrh@Yq"OXZq"++JnFH8Ip\4L^p\jmVp@@tJp=o?Ap(-HY8:odq
+^gtILjJ6jCFM@SEdJ&.~>
+q:PMrrn@D*hUqYWo%4f1dad".jOn'(alVL>f@/!hdaQb!g=b*2rRChp!S#]lf`0OneFD,Ke/-Q\
+daHXpf\"I#0P\bjX\Q%Fb)0>0=/#TFrRTBGJ,~>
+q>:!crr)lphY[-HnG="$p\k!\Edn&br;60`s8Durr;Zclq>^Bh!r2Wgd/+7Jqtg3dqtg3dqtg3d
+mJ@Xrqu$?hqu;Fhir/n)=SVjpl`+SrilV(J~>
+q=aXYrqQNfhY-d>nFdXqo(_nFCNoUGp@[qLqt^3ap%eFUo_SL[!r2NanFlGInb28Bq"Fa^rUpir
+pA]\Uh"C\h;Y'SYjeQ<[h>-clpOE~>
+q:PMrrn@D*hUqYWn^nc2gsk*7f2uVIi8358eCE()g">*7f$rF)eCOQI!7pbos46bjn^d!Tpt#Go
+s475&&D?/X:W22V?Td&ui6.!J0u3b?rRTBGJ,~>
+q>7o(s82fl#PnDmrVs-$f)5CFq==C_qTo$MqY9p^qY9p^s8)K]s8VWgnGWA2li6bXrr;Ngn,N1[
+s8Vrqs7?3h>^ZJLa)HUus6oPt>*f$,qg\~>
+q=_Pss7ZHb%.aAbpA_0ech@),p\=a`o_&:Zme65Gnb+p9q"ORXq"OR]qXjCZs6fdMs7uQljnnT@
+p]'OYkl:2Fq=X@Us697S<,qR&^L_]Ts68ob<0?kLp<iVb~>
+q:NF7s4I>&&Co^dg?=e^]].l+g=b$*e(4?I!S5p$f(.Jnf(.>\f(mfJg"+Qsh:p-*bMh./iPjR$
+f\5?0jNQ]8f\P97iT8GAjZQi(hPa4ZcfWR&:HEUqf_sCKe:7~>
+q>7o(s82fl#Q=Grs6PS`kl(DWq8)q.qYKt?md^8RpA+ITs8)*Wr;?TppZheYo)ItSrUeFB[=)t"
+k'EEpc=U.ss4E/*SnX5`anpS~>
+q=_Pss7ZHb#kmf^qrWNJiV*9F!;QQhi:ca9nb)tWqY2`3nbrCZq=jFZo]G`<pA"[Wj8\r@q;V;B
+l,9O#Eb&,'DiOP0>>2a.dXq1[@u:!Vp<iVb~>
+q:NF7s4I>&%,'.aiQc4?cJ[R9g=cJU!7p2_s46bjn^dNc0?VPmf[A=!cJd9mdam"(j4)-1h9k-$
+iS;nbP*B3H4iLQJiiPX-VW,+!gjVh2g\oe'f$Vut~>
+q>7o(s82fl#QO2ks1;L4qYg<iq8)t(qChmFq=X.Rs7QBis8V]gn,*.Yq>C9@ii6hPR[&t6@-IX2
+Krpb9H2mooCq>.+XSBp7J,~>
+q=_Pss7ZHb#l<]^rO#Xuo_/:Y!;QQhi:ca9nb2eQ0E:e?o'6)Oo(i%[s6]ODo`+CNp&E4iULDZ5
+MM4W%h>+^0U5hKVs7jlO[!Q)VoD/+-pOE~>
+q:NF7s4I>&%,K%aj./>jhVd8Ig=cJU!7p2_s46bjn^dNc0Ak:.cc=Ypce6q/iQ]rsfAtE3g#fQU
+M+bR.FDis"a5a%-N-HgSkh`[?RU/7:f)=8"f$Vut~>
+q>7o(s82fl#QO8mpjZ)is8Dinq8)t(qChUAqu?Wkr:'a`o^qkWs7jh<]5l)0UsQ^?o7p+as7Q9f
+mJjM'[/'b%bc@5$pAN,1J,~>
+q=_Pss7ZHb#l<c_nTd^PqtC$`!;QQhi:ca9nb2eQ0D,,9r;-0`m/-JDmdU8Vn\tO8CW'_Rafj^f
+Hph`BlL=B(q5@GqnbDt#V3[A9q"aX2pOE~>
+q:NF7s4I>&&DbRif3pDEjl#"Ng=b*.e^id5s46bjn^dNc0@AD%g"4a)akP@kcHtM0e>_Mr:T@!=
+YF3V_AhI'?eCr^%j,ucng>:bhMg9Nrg\oe'f$Vut~>
+q>7o(s82fl#QFSug/N"]r;HNkq76AKmJlnTrp9@Yo`+pjs1m*[Gd4WcpAamaq!*!%PlLa_s7--d
+AQf$4#5J5frp]s_anpS~>
+q=_Pss7ZHb#P[i`dnXWDpAO^cq#:*Ip@@tJpA+G9l2U>HqWRMMmelkXs16FGEN6.Gn,MnLmbhkR
+MYm&AqWIkJ>>Oqlq""INq<S(PqtAA1J,~>
+q:NF7s4I>&#2@bb\Md=7rn[k7g=b*.e^id5s46bjn^dNc0ui(rdFZ@`hp1$0gu+X)JQ7_mQ.>$J
+g==5A13)=.i8MuCfKqLOk2+bNcJ6_*e_&OQf$Dir~>
+q>7o(s82fl#Q+PsY"ktop\k!fq76APrr;<Xs8N&lrp$hpc?I"9YPS:cs8W#ge5oG5s82EepAaoY
+<0dLQrU'O^rrM`canpS~>
+q=_Pss7ZHb#P@oaVb!TVnbr1^q#:*Ip@@tIpA4M:qZ#aLs8)ZapuJQXaDn\tW:TiHqYBgNb"Y<b
+qXNhBm/6:88rN`6pZM;NrVc0TqtAA1J,~>
+q:NF7s4I>&%+sIiNA-:Ig"tN<g=cJWiRe.]o$m0[qU@7Oho*juf@eL&`/T\R;4<o3fA4R,hqQSa
+1b<e.f[/C%j4/H1Eot^(c._7:i6^!+f_sCIe:7~>
+q>7o(s82fl#5S;qJS<s;r;6Hg_>F'+-MIH5s8DQTT"M1ST)-t5o`+pcqu?9fR:'d8s6][_q>^KZ
+D.pZ]rr30$qrmbRs2k.g~>
+q=_Pss7ZHb#P.`_H=GS"p&4Ubq#:*"p+Pq1nc/@Njd<KSGaS-KoBlAJnau\ErfUDoX8h>Rs76!c
+iauW.p%eRdq=`k=qtg9bc1c_~>
+q:NF7s4I>&%+a@i?qA&dgYCT<g=cJWiRm\Oo%<`g0@8A!iRc>nGa=+eGgrnId,!I,f\k3=GWeQX
+jN?*8f%oE,8k#6&h;I>Kfu;Frh#5gKe:7~>
+q>7o(s82fl#Pn;sAV9pSs8Dinq8)t(r%IsIr8X'4c[WY-rU^'VpAagcr;ZBdHqe/:s7cQbrr(PK
+@8p[Dp\aabrV6Eas6Rl)J,~>
+q=_Pss7ZHb#P.Q^?@DP:r;HBiq#C0#p+Q+7p>(dqaa(Ajp[/"Dn,MhPp&+1LF[fZsq=+FNp\*'/
+>"r2(nFc>Jq"+ORs6'CTbkHV~>
+q:NF7s4IA's4@S2h*bc.f&GKagAfk+fAYBPf(%Dgeh>S,f"H!FWEGS?f?N9pdc/^3g#1<5>:`(\
+h:1N4gY0+i4u#6beCi@-gXbE3j2q;Obg_.~>
+nbhqUg&1XB"oP]+i;NZQr;HKNqsjV<q>^Hls7$'\p&FmgrUg*_s8DZks8;Nes,)KoON7;!oDejg
+s7c*aq>^<_aD"M<q>1^#rqZ!InbN([qtp6dqtp<Mqu?QtrVQEdqY]m\J,~>
+nb;SKg%Y=9#kR\h9\T7:p\=U\iV)g:0D,/;p]'RZn*p8JqtTXUnbr4OqYKpRpA]epj,1\HqX+4W
+pAFIHrUTdUm(m.'OSSS^p\FIGjm;X5p\+=Rp%J+Rp@dP@s7ccnp\"4Qq!n*/~>
+n_*Hdg"H5S$/++iPVp84gtLNZg<nP,f&#39jNcc5e)/g7gX=m+h:L$-g=FR#hdg'2C8'54c.q%(
+gsOF*f%ns)VarLbg%s>5g"Y*$a3N8gg"=s/f@\[+f%0iMrmL&\s4%;(eC)doea_.>~>
+nbhqUg&1[C#P\"JG4#8&rr)cnqVh>ArVumLpAFs^s7u]hp@S.[p\aX]s7,sWQ&P7BaT(Dps82ff
+s8;9as6fmTs27B.b4YT-&,Q;'o^VVMq>C-eqYL*dr8IPQr!!&rq>'mbnb[h~>
+nb;SKg%Y=9#4M&1DWgcbq"`nBnb=d6r:0OXmel_Wo'u2?qXXCIp]'ROm>m"fZ,6P!mf2tTmeQS>
+s8V9Vkki%X:rD_sp(6omp[@J<o^qnOp@\+Pp@n:?p](!lq=jRTpA"1PJ,~>
+n_*Hdg"H5S#hdkbB33@6e_BoRdb%.Fh;?`9h9k-3jOMc.f%nm1ce%.!eBMoDbE8OX^s:iffZr1$
+a5H"#gW\QK,rVaNf[e^+f[e^+f@ej'cHt.ng"=s/f@\[+f)F1tdco9]eHOORdaHUpn^N'~>
+nbhqUg&1[C#Pd4XX8;eds8DloqVh>?r>G2+s7u]prq-6`o`+O^s8U]-K\D@"q""C[rr3Q)s8D]i
+s8)Efs6tq9MW"=1q>1]urVl]iqYL!bqtp6dqtp<Mqu?QtrVQEdqY]m\J,~>
+nb;SKg%Y=9#OpA@U\+<Kqt^'Hp@%cEmJ?\Oqtp3Xs7#LVmeQn[dY*,#L:d'Eq"=[bqt'a[nb2nQ
+me?PAKKk+Bo)/4Up@n:Tp@n4Tq=jOTp%.qOp@\+Pp>G]Fp]^Kfp%A%Rnb7P~>
+n_*Hdg"H5S%,'CQ2iQJHdG<O/g=lM[iRm\Ss4]uhh;-]>hV?Q>e'd4&guI4tAmr/^S^l'?fAk`D
+e_Jd(f%ed&g>1"e,AFpFi7?E/eCN.#eC<(&eC;ste(NC+f@AI'fDa:tdco9]eHOORdaHUpn^N'~>
+\bu:##QLr'gA_'Es8Dinq;M5@r"f/&qu-Qfr;?Egs8DlonEOb<k`tQ8pAP"*irAZHr;6Nhq#C*W
+s2oUbSc/T^q"adtqY^?kr;6?cr;6BfqYU0fiVWZQ"o\>oq>1$Zqg\~>
+\bGpn#PY)ddeNV-qYBpFp@7l2p$qbNrp][Vp%J@Zp\=(9AU<BukkjoJr;ZfQrpTLRp&=OQs7,=Q
+_fAD9pAaUOpA4LnpA"L[q"OLSp\+=Rp%J+;p](!lq=jRTpA"1PJ,~>
+\_6i3%,'X(1V;Mue(iR,g"H>XiRm\R0\Fn.gYpW8g=Y*:gY1E-a@BLSEm!4ehVR;O^YmMjg""s-
+dc&Tsj/5p2HJIZ5e^jTH&_#:^f%&:!dF[%'f@AI'f@8=Idco9]eHOORdaHUpn^N'~>
+\bu:##Pr^kq"ajdr;HNkq;M5@r%S*Bs7H?]r;-*dnGL_!Zd5Mcs7c!^q"47Ur:9j^qu6Bcs8;Kg
+r4HEJ\c;X#s7uQgq@EK"q>1!bq>'scqtg0dqu#FMs83'!qt^'ar:0Z7~>
+\bGpn#P)kSnFQDLp\FUCp@7l2q!\7NrTj1Ln+l8Bb`8gJUVHg#m/QbKo(VtKqt9a[o()_PmJlje
+=^A?5p?hbJpA4Loq"OLVq"OLUp\+=Rp%J.TiV3BI"o7ocp%J1NpOE~>
+\_6i3#MIp>>hRfagATV+g"P08g>U]SfeD12k1&G=gtL<9d+kpKPHBM2hpp!3f$`%"g<eX+g"Xs'
+gt'a/fU+ffQK-cLiRZTVe.^B^e'upte'lq"f%&=%eCE'udaJ-B!7L,]s4%;(eC)doea_.>~>
+nbhqSg&1[C#1I"gs7Q<ir;-BedJF%Dp&FR]ru1\4j0\=>Ut,>>n,NF[nGi1XoD8LbqY^6hrVlg)
+kFb_$gAg^>s82ZiqYCa$q"OU]q>'mbqtp6dqtp<Mqu?QtrVQEdqY]m\J,~>
+nb;SIg%Y=9#Kp8PqX=1Tp%e@/p+Pn7lhgSTo)%7GlJeD]o_@eQr:01So(VYJs7uEbq"XUZr;5H@
+96Se\lLXuHp%J7V&,PtkpA"@Tp\4CTp%A%Qpu1uIp]^Kfp%A%Rnb7P~>
+n_*Hbg"H5S#hcXUR,c`MgsuASs4RG,!85iR1"k@4jjE&Ghq6o*PgIL)[G'B[j5&//j3uZ.f]1]<
+g=b-1g"b>uHnJU3hTjg7g=Y!Qe.^H^dF6Xpe(!"#f%&=%eCE'udaJ*Al.#a`"kM2OdaQb:e:7~>
+nbhqSg&1[C#Es#bs7lQhqu-BipsJsmp\Xg^nGh%Of:d6&s82ims8V0[j8\rRs7cBeq!n+SrVu]^
+g66)so^i+_rU0CZqtg."rV-$_rqlKer;6BfqYU0fiVWZQ"o\>oq>1$Zqg\~>
+nb;SIg%Y=9#E*0JqXXFSpA+I1p+Z%0o^_;IcaM5jCq]i@s7H6hj8\-=q#(0cq>0jTp@e:]oBFba
+??bf'q#C'Nn,N.Yp^d8po_JF\p@n=Tp@\.Rp\<_As7ccnp\"4Qq!n*/~>
+n_*Hbg"H5S&_V>*`oG_*f@JI$f%/O-gY:E@f^[WKfA#$3d,qa+[t.GPjP/hNhr2Q8`8oY/j4N,A
+g!\O)f\t<$Zu&*4dEp\0gs+C1eG@T(e^)Oif$i!qf@JO'e'umtrR1Yll.#a`"kM2OdaQb:e:7~>
+nbhqSi;<TPqu$9e#@N/Ys8DrgrVZKnq"jjVqbR(cqYU-dqYU-dqYU-dqYU-dqYU-dqYU-dqYU-d
+qtU3^s46h%@E@g8s8DQeqXs[`p&FjXr;$*cnc/=[r:g6kb&(@hs7QBkp\=dgoDAC\&,c1rs8W#l
+q>C-eqYL*dr8IPQr!!&rq>'mbnb[h~>
+nb;SIi:d6HqtKs\#k_;GnG)eSmeH\Rme..bp@n:Tp@n:Tp@n:Tp@n+N0_>>2qU"\d>f,\$s7bsT
+p@7qVo`+^Uq"=7SmJlbOp[InQ`+2iKs6fXVnF?PYme?SQ&,PtlrVu`fpA"@Tp%J.Spu1uIp]^Kf
+p%A%Rnb7P~>
+n_*Hbg"HDXr7MA16Y4s-gY:*-rmq,%"52G`g#CZSfeD";dbV@[D*OuAiT/hBgtC32hq$iAdbEF*
+gsG-4g=as.h5!P"O5nXAgXF^4im?3OdLXjRce$k"d*pOrf%&7!eCFKF!n#HEl.#a`"kM2OdaQb:
+e:7~>
+pAP$hmec8Hq>13hq"jgss7$'gp\h<ng\UU=o)JI^qZ-K]q^;78qY9p^qY9p^qY9p^qY:*_p&+g\
+p]($cq=smNs7QEYs+b1EhrX_3s8)`irqcZl&GZ;*p\t3cs65tRF3agar;?Qkrq`nsJ,~>
+pA"[^me5o>q=a^[s7Qurs6BRYnFihSf(JP)mJQPQp&OjUp@7knrq#[WqXX7Xo_S7Tpu_VHs6'E6
+@,0Joq"FUZs7QupqYBRPqs=:;N_X6+qXjI[p9"(>~>
+p=fQ"mb$dWo@X)r&(omgj58GCO"n2te(2k%eGInug#:R(iRQH6h:1$9fA,$3gW8I*jN6In6b^7N
+g">!1g"?2Tr7DP1h;$E1hTt6"F>6Lgh:L<Yf&5$Xda-En~>
+pAP$hmec8HqYU<hrqQEf%fZ,#qYC/NC?#0gs7cQelMLVXo(X$oqu6TmqXa(FoChqYp[J4"KrgN@
+s8)clqu?Nlq#C3jq\T52nale\o`*cr:6Y,GqXOL]qtp6dq"h8mJ,~>
+pA"[^me5o>qY'd[s7Quqq!S(Nnc+>Th=pXAo)%tBp@.emo_SObqt]gKo()JIs7Yp]]n!#AW;lPj
+qY'd[rq7-,kj&3Jl2AtH6AOS!n`oiAp\4IXq=q5hJ,~>
+p=fQ"mb$dWo@X)r&),miinN2NCe2=of\b37e(N@if%f0?h:pH(eC<+&in2Z>T43XsMW<=JpXfK!
+r7Dh=iQKL+j3?Vm="%q,imc6(f$r3tda?LJe:7~>
+p\k'gn,)AIqYU<hrqQHg&,c1ts7H?kAY8Smr;ZQjq<IkWqXXCorV5jJpAb0ks7uWhs4O^PLOn7[
+rrM9\qYU<h!;QNhrqd6%s8VTgrO?6SX7lSnp](0jqu-Arqg\~>
+p\=^]n+Q#?qY'd[rq6iloD.bIr*Gi[q"OdZq"3kFnFmapo]t`3rr;fnp%e:\eZSLqI+SDsqVh5G
+pAajeq#0sep(R)hs7bUNnZ5]#TBcIMmf)qRp\4X]Z1ib~>
+pY,T!n(?mXo@X)r&)>dihppZH7"*G9g#1E7f%J[lgt0ipe`#NCiRlr<ijb-%A6uh,hqZ-'pt,St
+qq)S6e`>N.i7F,Q8qkXPg!Sd0f$r4Jd]q;P~>
+dJWS4s8)`irV@'(p&"a\s3+Tus82Nfo_\[QqZ-K`p_Wo+rVulioCqbMrSQ@P?,6L,q"X=Nqu?Kh
+!W)TiqZ$F&rr;`is6Z@dH-H<gq>L?kqu-Arqg\~>
+dJ*5*qY1$`&,>Vdq!@st;:PX>nb;MGqW[_DpD<Z"q>L0[n+5o=q:jM@=hOUooCM8:pAas^!VcBf
+p]'q#p\F4Hro&u?D8?/NnFZVMp@e7TrV3YlJ,~>
+dFmj<s4Iq>e_As2k,gSOiRlW4dFd7-fGE>sgu.#<dalasgqL@!4J1ENe^_mlf]2e[rRUr"'AD6i
+f&Xks4B&-<jO;`;f@JO&eG[h#e:7~>
+dJWS4s8)`irV@')q#(*cqgie^s7u<apA+aQqsjLmo`"mjq=sshs7*@@`M1]XrrMohrr2uaq>:-e
+rVI-*o_SUIIq+oBs8VfbrVu`mqu-Arqg\~>
+dJ*5*qY1$`&,Geip[Id"C\%Mtn+Q;Dqs!hEpD<;os82H[q>^H\XEMCMb5_M>oCDbXs5s.NrV-9a
+&c:tes4DHrO72rAmHaKCo_/!ZpOE~>
+dFmj<s4Iq?f\G<9ggX.2j4;W1e(3@.fGDukini;<gu@;=O'/6.XlSHte^WC7j2h&K!7q/!s475&
+&`;!hk.b.fG1>F*d*C>!eCN3Oe:7~>
+p\Xpen,;eSq>0sbs8)`irV@'(rVZNkf2egEr;$3hrV?EVqsjM!p\OURr;ZQIDkj1urV?K^mJQt]
+p%&+^q>:-erVQWo%KFCXC;frJr;$Blp%JFaqu-Arqg\~>
+p\+R[n+cGIq=XUXqY1$`&,>nmo_-U+T_%pMp&"OVq!%MBpD<Dnna-#Mo@I`KTp>EFs6AhBq=jCG
+q>U3`rV-9as7['$^0+gRmf2tLq"O4Gr:]ibpOE~>
+pXoGtn(R<bq:G5js4Iq>h;$`A\2T/ng"+d2g=G!2fGE)jeBck0f"+S,KQu8'jNYj#gY($$gYhq\
+!7q+us475&s4\(CUdI_Kf]:`7gY1'%gt(&We:7~>
+pA=mfmeu\Rq>0sbs8)`ir;$p'rUp2b@GLYQr;?Tpq"j7PnbO(%rVuohbcRXbci="BoD\UdrVHNn
+qXO7Mqu?R$q"LLdN8=I4p@J%XrrMucrVQQiZ29%~>
+p@eO\meH>Hq=XUXqY1$`&+o_mn+iDTearD,p\OaXp$)2?pD<]"r;Z-&VOVYIs7c3Qp[e7Vp%eU[
+m-siEr:^itp%@kERo>!jp&FLKnG<1bp$;SMXnR>~>
+p=TDumb73aq:G5js4Iq:i8)rCK0m3$e_/X2gst$0fGEAti8i7aML\^.jP/A7gXk67fA#68cI2RA
+!S5d"dM(-]f\"a(JN7S]i98Y:e(ip>e][d>Z.+:~>
+pA=mfmeu\Rq>0sbs8)`irV@'!s8MThH@>\jqu6Edr:g'PqssRpqu?BipShS^p\sXUs763^s8Mlu
+pAP!`s7?-fr"&IN=/PHbq"F^es7u<[qu?WlrVEerJ,~>
+p@eO\meH>Hq=XUXqY1$`&+TPlm.taFo_\@Xo^hhJp$)2@pCR&pn+cCH>);\Bkj\H7s6][^p&sp\
+q=+:WpAFXtp@\+HGu1-rp$hJHqtp$SnFlbXp9"(>~>
+p=TDumb73aq:G5js4Iq7iSN#C>@-%?f\>!-g!nX,fFQifgsh'BCt.4`eDAO4dGFlT"Ol)ZdbXcP
+!S5d"dM(-]f\"VX2MKN7gXt<;h:Bp!f%^#OZ.+:~>
+q>:0fs81[No)&I`rqQEf#5J5hjB0=lhtn/]q>^KiqZ#dXs7QEhoDd^;OkI5*rpfpdrs8JoqZ$Tl
+qt^0hrsJ5;@!/dNs75RWqtg0fqu-H7q[`N&qXXF[rVufip\k-fp\Fgds82flJ,~>
+q=ag\s7Y=Do(MqSs7Q]io)7q1:qQ,Pp(d)hs8DQ^ro<eMnGDqIrRd?ld]hU&q=XRX)#O1&nFcbY
+p%@qMq>L?W_c^lYoDe1?rV$*^rV4A+&,#npme$>Nr:omTq>9jVp&=adp\sl:~>
+q:P\us4H2]le)6j#hmqkd`"5Be(N[3("1[nhpp?:`S0+qh:U*5]Qe>&Peu2FfbiQ#f@&:.hpp3'
+eCWO6bGIF#P1f!Gcf<[Sf)=5"f`9XGe.:!]e'$.if%JU#d+6jtd*hpDs4%%sJ,~>
+q>:0fs81[No)&I`rqQHg#Q4Guql*u_s5Eh[p&G$cp\=R^rr3E%qXF@]pV1C.p%\Fanba9pqZ$Tl
+p\"1Yr;ZW\p;L@%e,T76s8Vfhq"spdqu-H7qu?[*r;Zfmo_e^cqu6Tlrr;uqs82flJ,~>
+q=ag\s7Y=Do(MqSrq6Qgqt6XbgA^()(\%:so()DEp\b'koC_GBs7!O,ORDZ2q"aUYpDN>jr;-*W
+nF-2Hrq,CC^/p9;qXj+LrpogYqtL'arV$<cb4cGFqtU*hp$hbQp\4O\p\Ophq#C*fp4*~>
+q:P\us4H2]le)6j#i+.mgPS;7jOrPF(Xh*neC<%"g"tcLe^r'tj4'SfFOJ^lh!s&7cI^q.f@86r
+g",$0a3^M@E3S0MdGO$8f_X1tfDXA&f#lJQg=Xs/gsXHtf@8=%f@8F.rmh%urmQA~>
+q>:0fs81[No)&I`rqQHg#Q=Donna'\s5Ehko)A[cq#:<nqXX:Lrr;hELtC,LqZ$?hq>:!c#5\5q
+rqcBdrr3Mqs8Sj'W9O?^r:U'hoD&(Wq#1*gr5ng?p@n=WqtTpbq#C-lp$qYKrqufnrq_-~>
+q=ag\s7Y=Do(MqSs7Q]lnb)6ZIes'&p)!,lr:T[Wr;-*Rn*TrNom28=cLLT,oD&.Tq=bd"pA"IV
+o(N"[q;_DQS6M]Jqu?E\qYTdWq=j[_pAjp0pBL3[oC_kMoD\C^o`OaOn+?VSs7cNdJ,~>
+q:P\us4H2]le)6j#i4+edS4B7jOrPF(XLjmf@AX4gt0m"ceIF1>\:CKeC`a2g[Wr6f@\g3f@8I0
+i7u?0j*s7G`nf\.eD9!/f)4%tf)OA#f`Km\f#lJHcd:%eeBuYBdJqVscH=AYrmh%urmQA~>
+q>:0fs81CFqYU<hrqQHg#Q+2ka'-C\oC;bSqt^-krV?BirsADps7QElbK>4.rr3)es8Dufr"oD1
+o_A@\q>BUZs4rH?V#LDfnG`I[oD\^_rV6?grVXe7#5S<!p@SCbrqls!s8Mokq>U<lqu6GB~>
+q=ag\s7Y%<qY'd[s7Q]jn+FLp]Dq6fp\FOYpCR,lp\XjdqXO4SnGN=+`HRsRrr_H]q"sUU(]X3t
+oCqqMp#>rMdsYJlp]'dLq>KjQrr)Zgq#0pep<*+6p&+dZnGiOfp]^NkqY0[UrqQNfrq:j~>
+q:P\us4GoUo@X)r#i!naV`U^<db=9Fq:PMr(Y[Hnh;-uDe(3=&hVkE2=b>\pjN??6hYGn$fb`]$
+dFHq%f%A%&jLAY`JD0&4c.Un!ceSEIs475%rRh8+g"+<q#1D2Ycct8&rm_2(f[nX$df.eseGdpI~>
+q>:0fs81CFqYU<hrqQHg#Pe;tNcXajo'uYRqt^.+s7lKkqtBm]s6p!dHYEHBqu>pNrVcTmq>:!c
+)#O($qYg6^oDejEKk\L*p@S4\rV,s[s7cNcs7cQgrVQQkanlSIqYpB`qu?BhqtTsas8W&qs82fl
+J,~>
+q=ag\s7Y%<qY'd[s7Q]gq"TY\l1sZ8p\FOYpD<l"o_nFNoC;Y?s7UPCqVq5GjmDm>pAXUV)#!Oj
+p%\1Jm/Qh*HXFAan*frHqXj=Rs7uZjs7uQerV$<cb4cDBpA4OPp\j[Zp[n+Qr;6Hfs7cNdJ,~>
+q:P\us4GoUo@X)r#h\"jDH,'DdG"0Eq:PMr(ZX#si7HE.eD/7-fiLSt`7a"gd+mF0iVD4'fb`;j
+e(<=)dEq%7\7.q"jO;N.g=O`te_^8Qs4%)"rRq2(!SQ&He.1*Zf@8$og<\C#dF$Ltf_sA#eGdpI~>
+q>:0fs81[Nq>L0es8)`irV?cns6+-lr;-H`rV??dr>5M+rr;W^s8W&<NMqr.s8V]es8;oip\F@W
+"S_imqYL3k&,</IV"juiq=smdr;6BcoDS@^p]($equ-H7q[`_nq#C<fs8;osq=F7SqY:'fs82fl
+J,~>
+q=ag\s7Y=Dq=sg[qY1$`#P%iR@\!)]rUK[YpA+J"r9a7XmHjiPp:uEVM3Rl:n+QeVs7,^Rq=sd[
+(\7=qp%A1]s6Z@jR-jqOo(2VPqYBs]p&4aeq>9scpAjp0pCI/bo`+aZqtU3hp$_DCp@S@Zs7cNd
+J,~>
+q:P\us4H2]q:bGms4I\0k/^)Ih:puEo%Nolq:ZYBd+[I*cf*p;UM5BtGMV<-g#CcIeCN:Jg\KM=
+eCiR-fA,BHf8<R[fB2#Be^rF&e'l^irR1_qs47/%rn7D+f#lJQfYu7qf$W.#gtC-"c-k(grmh%u
+rmQA~>
+q>:0fs81[Nq>L0es8)`irV?cps/KPeqYU<_rV??dr>5D(s8Vfms6'B7:"oX>r:Tses6TFXs7?*`
+q"u$/s8DZfs75!$G.7MNp&Fmgp[@qXqt'=Mo_nI_p]('hqu?TorQ4pIs7u]pn,<:\m.^P[rVliq
+rqufnrq_-~>
+q=ag\s7Y=Dq=sg[qY1$`#P7qj>hS]>s7,m[pA+J"p$MSPn,!"@pO,N[q<dkEp](9Zo_ng\qY:-d
+q=bp*r:ogTqX)j]Br^jtlh^5Qo'H,Nr:KRVqtg0bq>L*ep\sm/pCI;srVPpVs7>IGr;6<dqt^6d
+s7cNdJ,~>
+q:P\us4H2]q:bGmrn.P;MF,27gudA^gA0Csg)&DggtpK8i5=8V.CS$Yf[AL6jNZ95imdeYq:QqG
+hV-H1gs<QF=IJ1)db`U9d`KnjeBH(_dF-ImeCN4(g&9V+gtL?%e.:?_g=XKthpB?hg"=m-f[g&P
+s4%%sJ,~>
+q>:0fs81[Nq>L0es8)`irqcZl#5E"Ls7lTinbrLb!;uclrr)fn)#aL1s8;Zlm%A^Oa8#]7pAasY
+q"jj_o_nU^rVQQk)>jC.q>^,rEH0\3p](0_s7QElo^V_VrqH*ap](!gq>U9kr;Z`Rq[WK"qYU-d
+qYU-dqYU-dqYC"!p&Fm4Zf(MoVoIroq"ad]rqlfoqYp;@~>
+q=ag\s7Y=Dq=sg[qtL-as7HTeAn:r4q"4+Os7QHcr:^-brV7<*qXXFSnc.^=FND8fq>]p^p$h_O
+q=sRZq>(!arV%3%p@@eMl`=`2cMHo#p$DSFqu$$Rq>^KjqYg6ip]1-hq#C*fp>YfJp@n:VpB:9c
+q"OR\p]'q"n+lUpXP)sQTYKISnalDEp\=O^pAjo;~>
+q:P\us4H2]q:bJns4RG,#M;^Bk1JPEg\9D)f\5!3gA0Csg)&Sqgt:0;aF%'iUX\)Zdbi^*g"Y98
+e_^/W!8@D'rRi%?g=Fj5dZ[F&]&_Gtg!JU&f\+KjdFd'urmLhrs4.2%r7M/*g",04rmpnpr6kJl
+s4/"4g!ls]][*4&U;YL0e'ujue^`1!dF$En~>
+nbWRfqtp<hqtp6Dq[`Q#o)Jacr;?QigL%&\q>]s]s82lrrqufn(]X")p]'m_s8;]cs89,#B:%c\
+qu?]lrqlQjq"se%p&>!anb;t[q#C'fs.N\VnacGPrr)`jr;-NkqtKs@q\8o%qY9p^qY9p^qY9p^
+qY9j_rVlcpq[WYtQY1,V\Rp94oNRa_s8Motqtg*epOE~>
+nb*4\p@e7Tp@e15p'(3cnbi:Vrq6TedoiRBp&=a[p':?cp\+=Rp%87Vs7R9-mJlq\o_\R\o'ZPN
+WV9e^huE?Gr:Ba]pAOa_p_WW&s7PgNp\+%OlLOP.8UKXdnFcSOp@\@X"8MWcq"a[\p>YfHpAXdg
+q"ORXrV.H0q"a^\pA"L]q"F@Pqr`l>?"Ks9DS,"*NV)r;p\4U\!;D!~>
+n^n)uf\"m1f\"g?f^[N&f@&L3fA,0=g:TY/h:UWag&9S$ecaLReCN4HfbiSkhUUK2g"kB5eE#AD
+gI-,"j4E&@e(`RRg\oh'fFui`f\=fueCiR+jOE)IJ3%DgcI;dF!S5g!eG[hkeG@bUe,\)!f`'J%
+eGdnod3$`cf@\a,f@]$-F$iJpQ:+rUdQ;[-gY(93e^Dmmd*[@~>
+nbWRfqtp<hqtp6Dq[iW$o_\UerqufrRonJGo_&.PqZ?]prr2iqq\]A+pAas_p&>!hs8.@KT[`?.
+s7-*gp](-gqYg3dpD<\uoDARfrV?Knr6C.AZM=4hqY^<iqt\D3s8)<]+8>I&p\OdaqWEQIYlD"T
+AanPfEcqE[s8DlmqY9dXpOE~>
+nb*4\p@e7Tp@e15p(6uno_81Wq"4@UP>^!2naubRpAFXep@\(Mrq6<b(]Epus7uH`rVH3eoQj?%
+c/o!$lM12Fr;63dp\X_%r:]g\s8DZ^p%IddG$gd&n+68Jq=s^W`V96(r:qH/p%7nLp@Rt2H!?p<
+T4_'YbYqtap%&"Rp\=OZq"a]8~>
+n^n)uf\"m1f\"g?f^[N)f@&C.hqm2Ji-[MsiR691g"H>VrRUnr!7pu!(uE`kh:L6/hVHrKg0cge
+Z,kt\c.L^shV%k^r7V##(tR6`cI^t2g=G*<g9#$dOk%n,e(*%"eC)Lh!7q,$s475"rmLho!71Pi
+)qENlf>D)hNU2a07*rY:;H;W-hq?W3da?Fed!u~>
+nbWRfqtp<hqtp6Dq[iW%q=aXaqtU3hBQjFRp@S4Oqu$Bkq[WZ"o`!kMs60CGfT1'<g&D$Op&tEo
+nbr@_qYBpdpCZrmqtBgbrU9acWD@rgp](3irquorqteJ4s8)<]+8Ya*p\XsirM+"cp&Cm`^AmkE
+H\qe&k5G5TqY9gYpOE~>
+nb*4\p@e7Tp@e15p(6uoq==4Vp$hbK?uZ,?oCMhQpAFXbpAFU_p(%,onbqGHs5`n6d>2Rudf0:H
+mfWUalhLDOqY0s`&b5bqoC`%TkjnV>5&@mmrV$$cq#^?cp;m"$p`fP/q"jaVo_/+Up6T!5k51E)
+X7G:XCOH'WhtHg>q"a^\pj`~>
+n^n)uf\"m1f\"g?f^[N)f[n[+inN/Fh+:Z.gXOa*g"H>VrRUnr!7ptu(Z<fkhSS=6a5"eGDGP;]
+jQ#7Jdc&g$gAKY#f_sA5c.CRqeDAp'g?")B>clTBg"$)Q!nGfLajg4=rm^np,14ief$i!nf%Jj4
+Imn2&l\-jZjOI%1C$+Emg"4d&dEp1cJ,~>
+nbWRfqtp<hqtp6Dq[iW$s7H'cp%SI=BY4<6r;Q?Qq\SPtp](9`kPtS,BSlE^s60%IpAY*enGW7\
+p\5C$nF-DUmeHh;Jm4Gos8VZirr)cmanl)7o(`7\s8!]3r;Q\4A,lSm>^l_Gs5J$<dJa+Cr;6?c
+p\+?3~>
+nb*4\p@e7Tp@e15p(6uns7#XUn*ftt@($%$q>Ks[pA=U[p(uolo_eaVj8]/!@=mqFs5E;4n+ZkQ
+lM15M"8MWcp\ae!s6]1Lq!%>KdWSE>c2IV'q>0pbprN4#q#C0ipAjpdpCLh9rVY8?C[^<]dUZq/
+oDeRap]L?eq=oI~>
+n^n)uf\"m1f\"g?f^[N)fA4p,hppB:\k/CRce@7(g"H>VrRUkqrmq#"(<GOdhr<#(k2i[7B[Yi"
+`Qlo[g>LE%qq))'f[e^+f_j;5hTX0ug<8%-\R%:7]'AS+gt1-Te]62<f)4#CdaZ^peCE+!eCN7+
+gIa]ol,Pkjhpq)1;,=FMjOr)6da?Fed!u~>
+nbWRfqtp<hqtp6Dq[iVus7Q3cp&FfSI.[.)qu??Zqt^()pAFserr<#3FPsb1qX3nRq>^Efp\+C^
+nbO(!rqZ6es7b5YB<_F9qtp0er;6?fqu$E7qsjM)p%eRaq=j^^Me;_YLfq%`s3?I<CX);<r;?Hg
+q"OLVJ,~>
+nb*4\p@e7Tp@e15p(6ujs7,dUn+Z=5FRJYfq#9s\p@J"pnb;qQq"suuDVDMtp$(i@o_S@Ro'uAL
+nb3jnq=O+Ms7"KA?)IDrn*f]=q"OLVp\=R*pAk![pDET!qYBdSo(7K<lg/mhU%\E#Hsg<ujQlR>
+p]L?eq=oI~>
+n^n)uf\"m1f\"g?f^[N)e)8a.gst?9H!SqNe(NX-g"H>VrRUbnrmq,%(Y%0qg>:fLSQ*CliRlB"
+hU^K7daHOjf_j;(eCN.#eCOTJ(tR?of$`@7e@.\0NSrsNf@/@%eC2pse^hgk!7LVk,M(AqeBuh"
+f[S@#fP!Y&en-k%jQs*d9hDG0ce6k!da?Fed!u~>
+nbWRfqtp<hqtp6Dq[iVss7ZHhqu>VfQN-LTo_/.PqZ-Kkq#1%*s7H6`nEp%3Id6V&q>^Bfs8W#j
+q#CBeo(ippoDejgrU-RaF56fmpA4Rar;$KmrVak8nbO@'qu6QkqYgHJN:r61?iKr>F(q+\V#UJm
+r;6?cp\+?3~>
+nb*4\p@e7Tp@e15p(6uhs76$Zp&E]PNrJAEnb)bQpA=U_q#0q)s6o[OkiM>hGi\Aeo`+[WqYU$W
+oDJOVp\=CT&bbSjrq6!JTMKCSs7GdOnbVqWp&b$bq8rC0q"=@uq>:'cp@\.Sd":P678WI>[:W[*
+@\*Q!p\spiq=sd\J,~>
+n^n)uf\"m1f\"g?f^[N)dG<@/gY:r/89a.BimQE1g"H>VrRUkqrmLhr*7icpimQW6dE^Ha?HUaL
+fAtW8gtgT0e(iX%eC+!=&_>=gjk8A2KJQH8jO_l3eD8[RdfS(Nf#cG?dehPnf)OAFf%&C+g"+^,
+gp_"ICG7p,fqMD:H;&tPj4Di3da?Fed!u~>
+nbWRfqtp<hqtp6Dq[iVur:U*brr99>`rGl7p%A1PqZ6QgrqHHfs8!T#s7?9YGDlCnn,DhVp$i"U
+pA4ads8VZdrqQBeqth',mI^G2IU.=#n,E@Pp&FjaqYU0gr5nj+qAfP2oCMeWs8VZTs,0F^s8/@!
+F(/[Ps6fg^qtg*epOE~>
+nb*4\p@e7Tp@e15p(6ujr:0aVq"q($^ARU$o(;eQpA=Raq#:*hq#C(+l2U,Ij(s8<n`or9s7#@P
+o'uDJq>U9Zq"aa\r:^p!s5W>Ac?**/rp'7Vjm`<Bp@e7TrV4M/qtU$^s7R?)r:]XLo_J@Zlf8"r
+4L4tTO]uL#=d]0Pp\spiq=saZJ,~>
+n^n)uf\"m1f\"g?f^[N)e(W=0f\Y\Q9W-n'i7$6/g"H>VrRUkq+k"ccdaZdtfZ`F)jNgqEhq--.
+cK!?thU9g%f[eg0bL4f6deqT/f&Y!%jL&2Q=Q.KXh8dn$eC2mreG[q>e,[qrdJqYpeGn,!f`0VI
+f\=m$cd^Y(gs=%'BI',3fm?.c5sp+[bLb:pda?Fgd=;~>
+nbWRfqtp<hqtp6Dq[iW%qXaaZqtGl'q>^KcrVZ<YqZ6QgrqHHfs8!Q2qtL,L>dj:us7lWbs8Dio
+qZ$Tenb`=aq"spdqu?R+p&G'2Bht?#p]'mVs8;Bcr;?Qm!rVrlantW)(]3UXiU?[Bq>^HcARt0'
+qu6<bR^2tas8MlrqY:'aJ,~>
+nb*4\p@e7Tp@e15p(6uoqX=CNp$[B^nbr:OqYTpZpAF[bq#:*hq#C()q=a:RJPiK7nGi+WmJQbQ
+q=XU^n*TlIrV??crV-?c&aB5g\R.dlr:9^Qn,N=QqtTscq#^?cp<!(+q"sgap)j(ph;7Gjp@A.U
+l!%?NmIBf:mZX^OmJltVq=sd\q"K:~>
+n^n)uf\"m1f\"g?f^[PmfFQEgeD&VhCYIh+dG*I)g"H>VrRUnrs3gnos4%)"(Ym]rj)$rIf@K$6
+hTt'4f\+g/g!%Ugf)="ndeqT-f$WX>UIHe]i7-K,cJdEuf[\OOecOCOe&p2?df.Yodf7hsf)OD&
+fcf,'f>kP;b1>7ri7lUF6-7[0h::/'OlF^Gf@A?udEp7fJ,~>
+q>:!ciVWZQrqccprVlck!W)]mr;ZU%p\j^AC!c5Hs8)Teo^_kkqXaa[mJ-_Tp\b&X?Kfu;rql9_
+rV6<e%J]l$s7lQms7)pf@CGe,qZcolq"ORYqTA[bo)/Obp\F^^rqu`pr:g*grVZWmr;-6d`+NG'
+p@A7\s8&!Nf(et=r;6EjqZ-KlqZ6QgrqCp~>
+q=aXYiV*<Grq6Efq"am\'D;(nq>'m\oCqY)@E@O,qtBdYo_8(WpC[2ls7c!Ws7>mWs,U4:bOG6!
+p%SI\rV?Ee(\[Lpqt]gTr;,E@9NS=^o_/"Qq"X[[prW7[meHbToC_kNqY9maq"+4Zq"ORYp@RtM
+_.6epna6AMq=BV3cggB%p%J(Wp'CEfq"a^[p\=K5~>
+q:PMriRn1^rmh/&f\-5Q!nGlRrn%b7f%nfk9!QY"iRul9db3=Pf_sD!e.L-Rg!@^ggsX[*icm]0
+\)-)sr7Lu!rm^qq!7Cels3^kp'[tIZg"Fg(hr;n52Em>Of\"d+eC=KGaj`8me_8O"daZXodaZn!
+d+7+.g"Y9:g=b/R6T\>rc/[I3eoE%Be^<I4g"Y35f\"d,e^MspdEp9k~>
+q>:!ciVWQNrql]ks82io&Gu.nrVQNlWH[e,s7u?bqtK[Y&c2Frp&FdPqYme/N,\Fhr;ZZbqYg3f
+q@io,s7u]jrqbo:=Hr"KrVl]jq"Xj_!VlN5q^2:>q"OR[qY9j_rquQbp](!]s7XU#F\m=shuEWR
+n)(`r?0M=glMLJYqYp?pqY9gZq1&~>
+q=aXYiV*3Drq??as7ZKe&GYhhq=jUXTl9)aq=F.OqY0aXqtC["o_8C[lhC:YZ%ZlUo^V\Lp@nO\
+rV?Ee'E._(oD7tLn(rIdMV\+%q=aRXq#:'hprN1Vq=sURo_/"No_84Wo^VMOo'uVH`/ek3Fh?H/
+p\F+,ZtWS"s8V3XpAamep]^Kgq"ORXJ,~>
+q:PMriRn([rmq)!s472$&^f(_g>(PB=O5aZg!n^0e_/XSf_sCue.C3Tce['jf%c@OCJiX?h;Hua
+f`'J$eGdnrdJhJldJqW2g==p+gX4[&`b.2L`80/%f%/@#daHOkaODQfe^;ake'lXhdb!$sdF-t&
+eDAcVF]0nlR_.J/gW[9r9KC)PjN.>Rrn.8%s4%;%daHOid=;~>
+q>:!chu!EN)Z'7'p%S:Yqtp6cp\4^erqL6"s8W#hp&4g^o(s$qoCqkLp]'iN<-Rg*p&4a`qssS&
+q"ORYqYL*dp%87Ys8V]B@V_V"s7u<eqtg*_rq?HgqTA[;rV?9err+)@rr2fiqZ$TpmJljWChe6@
+f_5.>o)J+,F^ms/FLUW:qtg0gqu?Nlq1&~>
+q=aXYhtI'D)>3UlnFH5Ep@e1Qo_8:[q!qm[q>0gQnbW.VpA=RqoCqkLo_n9C:NG^imIg&@p@n=Z
+p`'&*q>'g\p\4.Ep$_qRkK?n7Q/;N2mJchRq"Xja!;O\1"8VW_q#:+5r;-9aoC_tWq<7kJU1\%Z
+FOTdPq!J+FcZ!2X4`@Xhr:^!]s7cZkq"Xj_J,~>
+q:PMriRn1]rmr.?e'cUkeCE.$e^`.!hqd/A97Ps]gsjj.gsk$1rRh)"qpZ2%dEU(dgsL4!<R9:J
+hV6f<rn.2#rm^nps3Vb2dF$CjeC;gif$`U3c*9H'I)Y3udGWU,eC=HFaj^FDdaH\Ff-&buf@8:"
+g>1N+j3r]S868m#dF?gniQ/3!4sM(FP0)SYf`'J%eH44Jdf.XE~>
+q>:!ciVO_nqu$Ejq=jRMnFZJNqYBm`qYL-hb"BtVr;$*`rqc6Vqu?[$p\=[OlEQ\srVlo[s76")
+q"OOXq"jjaqu?]loDeiq<-5tVs7u]po(r4^q#C'hq"i,0-2@?:s8)Nfp%eIZqu?]k`emu3NO@U@
+p]'jbm/Qt_oDJXgqu?ThqYpBlqYp;@~>
+q=aXYiV"Adp@n@Vo^_M9lgOE:p%7nPqY'^Z`'VK8o^hVHqt]jXpA=Rpr;ZE^q<-qDP/I=rrr:mU
+p\4U\s7mN.q>'g\p\+RcnEKT<V+>@4q>Km[qsF.PrqQNh!;OY0,kUg.r:]dWnFZDFpA=^X_1bot
+Lp5P,o).qQkPb,Sme?\[pAOa[s7cZkq"Xj_J,~>
+q:PMriRf=(f%8R+eC)^cbKnVde^W(#f\,$9W[k:.h:^E5gtL0/g&9S%f)*r-g"t-+fZ)!nFf+6X
+jQ=MFrRh)"s4$tps3Vb2dF$CjeCNI9e'?\'NA+5$i8N8Bh9X['eC=HFaODQae(NF'dF?Oof@/C.
+gsr043C@SF]@tcicJ-Cqf&4j*h;Qr@f@KrRr7:nu!n5TGrm?5~>
+q>:!ciVO,]qu$Ejq=jRKmdg,KqtpBh%J0PqMH]HAqYU0dqtTjSq[`/bq>]f$NUZu@q=s4Ss7GjV
+s7cQgs8)cm&-)S(s4!0@K(f3Dp@nUep&=gcp]105q^;CAr;66Zo_JObqu?]UUi0FVWpB]aqu?Eg
+rr;camJ?b\lM0uNo)JO\s7l`nqYL3eJ,~>
+q=aXYiV"Adp@n@Vo^_M7l0\'7p@e7TqX=7QKMpt#o(D\Lq"OIUpA=RqlKe*BkA5t?s75mUjno&H
+p\+CZq>^6ip]'ptqXX(R`I_'4m.pJIo)/CSrqH?canI1Zq=s^UmdTlFp%8.XgRW"VC89kiq"4UW
+p\Fj\mHXHArTEkCrU9[[q#:*hq#:#<~>
+q:PMriReRhf%8R+eC)^aaj&8arRM5+dbNSl43uOXg],q/f[JO,rRh)"qpZ2"bLGRo:28&6e(<3m
+hW*);r7:hrs3gels3gqss4.e<f@8rcD*MFUgYL?.hVHQ0f#,ubf@JL%d*'\`h:^H;hS4V82GJqH
+j4MuDeCiU:e'6"cf\FKrc.^Cpr7:kss4%2"daJ-BJ,~>
+q>:!chu!EN)Z'7'nalJMr;Q]oq>C'gmV%j_rVulop\4L]nbWjrs8UQrNi2pBs7l-ao]l>Dq#C*g
+q#C3jq[`B"pZ6d1RK*<_o_J7Lo)J[brqHKianmOcrqlE`rVuoqs7ONrD0:lYo)JFSs8V?`qXO"Q
+s8W&hs8)ckqs=@Wp\Xacq#^HiqYp;@~>
+q=aXYhtI'D)YN^mm-aE9p\FX]pAFU`k[KMCp%S7SoCVhUp\+OZ&GGkuprpp<UAa9Tp$i"Ql2()J
+qt^9es7cQe&*ruUfkjTBrVuNYo^_86r;HBhprN1Wq>0jVoD/Fdp%e$nM.UX\^[(phm/HnBrq5XB
+q>^KknGi7^pA!nPq=ssbs7lTfJ,~>
+q:PMriRn1]rmqD*e'cIcdF?eIfb)cgf]:=KFktp4hV6W3g"P-4rRh)"r6u;/g>gqkY%r^JaQ(k!
+j4)9,qpt_qs3gels3gqs'@tg_gsa/C5'H/NeBujsbK\hnf#,ubf%8Etd+7"0g#(;WD+[]AU<_fG
+bhh*li7H8tg#:oCcf*I2e()IorRUqss4%2"daJ-BJ,~>
+q>:!ciVWQNrql`k(&Ih*r;HQkrVcc7AC^_[rquZhq"ajXqZ[#b_I]k:rr32qn+ZVPs7#RRrq?ru
+qYL*ds8BZGH.)`dqtKpcrrN&lq>/51-hmQ9pAP$ilhRi&>^WX,q!mqRs8Vuns7QElq=47Qnc&CR
+p\Fjdp&"L`q#C-kqtg0gq1&~>
+q=aXYiV*3Drq?Ba&G>bkp\=R[rV?K-?Hr9>p@eLY!VlTepAFXrpA!RU?Dcl^s8DNWp\=Ranb)\R
+q%WVup\+=Wo<MY:_=d!`o_/7`s7u<'pF#S-p[\.[q<%7JA6!cKe+)_hp](9dp&FOZr:K@Io'ZDL
+n+ZYXqt9j^s7lThs7lTfJ,~>
+q:PMriRn([rmq,!"4buSfDaD6gYCea7(2(4hqZu=f%Jd1g&9S%f)4#/f%e686AiqBini//e^i@4
+ci)GneG[hodJqYpeGn,"fFQlnS4?YcjjMc.e_K*?f[KZIaj_]be^Vprhq#g"P>+,CMmq6]cI_%6
+e'm7'hVQi-e'ZFmeB?=khq-9OeGdqsdf.XE~>
+q>:!ciVWZQrqcotrVlcnqtg9e&cMP#nrm_^r:p$^r;Z`jp\Oa]qu$@+s16"=l2USUqXOU`p[\@U
+q"X^\qXaL^qZ$F(r;)1NGNno&rqZQnqt9UWrV?<Zq],J0qYU-dqYU-dqYU-dqYU-dqYU-dqYU-d
+qYU-fq\/o)r;6Ehp&4pbrVP?TF_,WrjSJiT"T8,kp\Fgd%IsJns82iop&G'[o`+U[q#:0jqYp;@~>
+q=aXYiV*<Grq6Qjq"a^Zp@\CV%Joejm#>HDo^MDBq"spdp[n.jp&;;+RH"8=p%IhRqtBR[o)A@a
+q"Oa^qt^3cs7cQe&G>XC:2A\MqXX:UrV5sRpA4"I%/BSlp\=LXp\=LXp\=4Oq=Z3)q"aLTp=63]
+?>QLpoD&7[q=aIOnalJKp[%kMs7lWio)JaUo`+U[q#:*hq#:#<~>
+q:PMriRn1^rmh;*f\+p/f%'`K&)5^fdW7q4h:^E5gYU];ebe"oee$KnR@AWEjO`&;cf3a3dc/aT
+fE0XReGdnnd0.nIeCN4MfFZ`fA2RB-eE>Q8f\4m'd+-hFf'q/tdaZ^pdaZ^pdaZ^pddP]]egJer
+g!\L'[>n3S;N/HDgY^i?f$r'mdF?e"cJ?t-fA>*)h;66"hU2/KrmUnqrm?5~>
+nbiCbs8;lniV`]Rs8;ln#kRunkAl[^rVQQir:p6es8*?,o_ngas8Vk/I,k7sr;ZKgqYpBlquZio
+r;QO/rr;iep&+dbrr;urs8V]CChAaas82HgiVPS1q"jd^q"jd^q"jd^q"jd^q"jd^q"jdXr;$!b
+p@J=Zq#13lqY^<lqu691LiIaDdI[;4qu$<YqZQcmqYU-bq>'l;~>
+nb<%Xs7cNdiV3?Hs7cNd#k%E]iG=DFp\"LYs7cNfrV-?c'`@@lp$MGNmULFqs6KCVnFZDHp@eL[
+rV-BerqI?.rqlB^rVcKbq"OLYrTqpC?\m;5o^2VNiqEoWq=sd\q=sd\q=sd\q=jY,o)/7SrV#d\
+naZ8Gp@InLr:K[M^k$0?Vp+T'p%J.QpA"@^p?_PLp4*~>
+n_*oqs4RD(iS"4as4RD(#LV>`a]*<9h>Z1/g&K_$f)OA:hpL03db<d48R0-pdG3a4g=Y'2g&B_*
+h&b>(f@&'me()jjcILOrg>(H:hVlhh8OI=*j4D]:f&G0gda?Ljda?Ljda?Ljda@g;+O&EacI^Fd
+gXOa)g=b'.g#(E6dA(5F<f4!(f@AI(e^jNF!7peln^2j~>
+nbiCbs8;lniV`]Rs8;im#5nM0>1!0@rVH?bs8)cm&+fi"q>^KMqRF'.s7-$equ6Hlqu6NmrVud5
+qtg0Zq>^Bgo_%nUo`+sXp<-TV_uKc,q#B=Ms8)$U#Q4Srp&"XZp\t3mpAb.(p\E[LHt%KDs6KO]
+rV-0dq<@eHqLA~>
+nb<%Xs7cNdiV3?Hs7cNds7?KkY#NR:nbr1\p\agdp]'ptm/$>BrqOk/Z*Niulh:2Jrq-6`rq?Bd
+!;QQfs7dE!q#:6do^_MCkl:YAm)2e7]`7utoDA7?pAk!Zq>'e-r;QKaqtp'Yq#:-Vm.gACn'n1S
+=E;+TjnA`MoChtPl1a`AJ,~>
+n_*oqs4RD(iS"4as4RG)%,'@jj-Mm6gXk37g"HAWs472!s475&&('1ef&ko%fpA)Vk0_uBg]#q,
+g]#tMhqd&?f@&'m`luu`d*Btaf[/dBaj[1H8tY)#bgY=tiR@kUo$R9]+4f)mcdgRldG*^=dF$e+
+daYgb=$9WZj2KL&f$Mmrdco9Od=;~>
+nbiCbs8;lniV`]Rs8;ln#QOJsIW,5[qu-Bgq#1'hq[EMrr;ZH;EeF8Zs8VflrVlZnqtp<kqu-@,
+q>1!cq#16mp$VkRMGJKHpAb$cs8VBDqu?N`q"aamrVH?\meZt`mJ?h^$MWK"M1p_Yf`2!Arr3,p
+p&+gcl21#IJ,~>
+nb<%Xs7cNdiV3?Hs7cNd#PmccG%paAp&4U`p\ssdp]'pqqs<nRl,@7Zo]uGOnG`1]o`+U`pA"Cu
+p\=RYp%eUelfA*4J4O\)n,N+Ts8M3?p[S%SpE08+p@%>As8;$Lq>'dQf=ui`I[JI[s6BXar:9CQ
+qY'1Jnb.J~>
+n_*oqs4RD(iS"4as4RG)#he+dk$Lp@fA$8Wrn.8%rm^u!s4@b;d+RR/X\`K\dGj*8rn[S-s4dP.
+s4mt8f@A<scd0narmDD0i8i>0k0[`k<Nsp3f[\s:`o5G;deVB7f@89naOK)"ajf,$g<mL+@p`Yk
+ZJacfi8<56cILOql.#7NJ,~>
+nbiCbs8;lniV`]Rs8;ln#QOJb@(lF.s8Dfkq#1'hqZm0!p&FsBH/8K""8i)tq#1'hqu-EpqY^6f
+rq[H2q=OFYr;HZiq>JNV>,:ZfqXsRTo(W1CqZ-K`q"ab!p%n^gnb2qMs8Dckihps1K"h!Xrs8Q!
+qY0[Xs8MiYqsjN5~>
+nb<%Xs7cNdiV3?Hs7cNd#Pd]K=L[qis8DZip]($ep]'psr:TCMnB>aurVQE`q"aLZo`+U`p&b$b
+q>C"(s7c$Sp\+@XmI0Y`Al,&_rq5dNo'c5LiV2m;q=c!%p](9]oD7bPo^MJ*So%\W[I4%hp@n:Q
+p@IhHqtg!Mp[Rs-~>
+n_*oqs4RD(iS"4as4RG)#he(ccU",Ue)pV^rR_,$rm^u!s4@h>g!\a0Zraj!iSWDHhq7n]s4dP.
+s4\RJf@A<sdFusicICFsh9sm.WCo+"c/I:&e'ZIigu6cQdf7fCf$r:#f$r*siSMi+fui@,e(20_
+:d/-OdG`j5g=Fd&d*C%kf@&p5n^2j~>
+nbiCbs8;lniV`]Rs8;im#61Z2q=F@\rVHKfrVHKi&,5o"]P60ss7cQhq>^?cq>U6jqu?R:qtg-b
+q>'g^qXsRYrquTdq>^#c;,k=1s6p!fqt'U]r8IPCqYC"!r:^*eo`+sjs4sf4CMp!/rr3E(qY^<f
+q>:-gr;HKcl21#IJ,~>
+nb<%Xs7cNdiV3?Hs7cNd$2"+h>4_.PrV#sZp\jdrnFHUe?deE<nG;eLr:][Qrq6<brq?QkqYL$`
+rqI<"o(;_NnF#cAkb(F?\Gu?hqZ$?[p%nLCp[\(Zp\FM)p[S%Qn,<:^r7%Nk@V)(`qtg'XnalDE
+oCr(Uq"aXSl1a`AJ,~>
+n_*oqs4RD(iS"4as4RG)$JF.oLd9YBe_o-6qq1ess4@k3f&W5g\^oZhh:L99g!nXQf`0Y'gAfeF
+e^MsodEBe]f%/<teD\`-/2<[TgW\I3f?_suf&>-LdO<Vrf%AR+f%AR,dG!4"h;d8I[teB\8:S>0
+h:gE/f%8C"eCN1#f$ht0eFCq:~>
+nbiCbs8;lniV`]Rs8;ln#Q"I1JH#TJp&4acq#1'fq[`W)poTJNs7,j`q"t'aqYU9gs82io+T)$2
+q=sd\qYKa[s8Vuqs8Ur>4D!URlh(&PqtL*is6nqDnbW(Y'*%\#s8Vr[e=)#0MTPnuq"jgbrr36&
+r;HWor;-9QqsjN5~>
+nb<%Xs7cNdiV3?Hs7cNd$1mmrH2.:4nFlSMp\jdrp&"9VJaiR%o)A7Sq=4.Orq6<bs7Z]lqYU0d
+q>U.*mIpJPo()SRe;5qbh>cR'p%\=Squ?T\iV2p<!;H<_*W#<tqYKmGc'*HeJ\_'\n+#o>r;QNb
+pA+R]q"FFEp[Rs-~>
+n_*oqs4RD(iS"4as4RG)s4I\96=8U.gsas0qq1ess4@k8hpmTtfAb0-iRZ];eC`IRf`0Y)g'-0^
+f%/C#rmDV(eCrR*f\YW"E#1dUjN#X!g=Og-iRu?3eFM#feG7`;gsag/gt0QMG$RaOUYFhWeC3%,
+iS<):f%8O(e'mL0n^2j~>
+nbiCbs8;lniV`]Rs8;ln#Q;bE[e9\#oDSOap]10gqu?R)mV\3fr:Kjcr;ZQlrUg-erqcZls83Z0
+q=jXYq=sg_r;Zfps8VQ:BO$b_s8Drs#5nH!o^)2LiVW0A!;lWj+8c'9pY`HBMO2-@o(Dt\p](6h
+p\+C\s8;]fq>1!drTX4LqLA~>
+nb<%Xs7cNdiV3?Hs7cKc#/X-=nG`@RrV-9c!;HEbs7HocB8cQXmIU5Ls7?*^n,;tZp&FacpE98.
+r;?Eeq"XUYqtBRPp#*bp<K,f0pAP$fp\OdZm.:8)pAjp`ocNi#p@-b<Mh@,&i9]q,q!n:Wo^VGA
+p\XaYo_%qPq"a1Knb.J~>
+n_*oqs4RD(iS"4as4RG)#he"31mQPKhpMDTrRUes&'@L_gtC*,hqI)@h:pB9g&BY(g&KbKg"+[&
+e'laneCE=*e_8m%X[>*f_V<c$inE#;g<dpehpKpRf_X8Cf\>-0]om;GF.0ngce$gsgt:-(d*gP#
+e^Djne'uq!l.#7NJ,~>
+nbiCbs8;lniV`]Rs8;ln#QKWujn\NJrVcTlp]10fqu?R)`-n-Hs7uKgq>U'erqHHfrqcZls84#:
+q=jXYq=sg`rquKes80!)C<uqUs8MZir;HNfq>L3`iVW3B!;lTi$30V:PAt/pf(Jk<rt>5*r:p<l
+rVHNlq>^?fr;Zclp?DJEqLA~>
+nb<%Xs7cNdiV3?Hs7cNd#P`m`hXp74q#0sdp]1'cpAadr]loY,s75aRo_J"Tq==RWrq6<bs7[Z2
+qu$Bgq=s^Xq"*h?rTp.N@*&38q>'LTp\O[Xq>L3`de<b8q=Pj*m(\Ko?AQqqoD/@^p%7tKqYg0\
+q"OCXp\"=ZqXsFDp[Rs-~>
+n_*oqs4RD(iS"4as4RD(#M`ue`7NDmg\oe'f(mr/TNQNdjOVo8fA+j5gstK:rn.8(s4SUKeC2pr
+e'casf[eC!k1,8G7BG@sgtU62f@ed(e_/R%daS<Kf_X8Ch9_p9:-rd&dF6e)gXXg)db<O/eC`C%
+g!nI#g"4Zul.#7NJ,~>
+nbhqUl21YRs7lEhruh1<?E!nms8VoorVQHcq"ajen,NFRs8':[kkG&Qq"amar;-:-qYg<eoCi+[
+o_eags6#&<O7`,@rVlcmq#:3hqVh>OruCh(pAY!]qY:!gs8)Ngr;$6is7u-KY'jZ,_!q<LqsjN5~>
+nb;SKl1YqZrq#d[qYg*e=/#QWqYKj]qY9gZq#:(!kl:M?rq!GEiUZd;oCVhRp\OS#p](9jp%J=Z
+n+HJHpt0[[JElRnpA+LWp&=dbqVh/js8;NVo(r.Mp@S.[rq?!Yp%%bOqXWk1Vfl0e\`rh[nb1r9
+nb.J~>
+n_*Hdl.IH0i76E8gu$`E4,)V;h;$T:gXk$,f%&F-biIX%imsC'`73Mne^iIMg%s>>f%AU(cI1@t
+ce.(+hSEJQC!Y2Wg"Y63eC`FQf&"n!gtC)tce$^ke'Z_$gXFR%f[e^3hU]okMcr5JS^#m?f^dVP
+eFCq:~>
+nbhqUl22q)s7lKgnbDqHFP6]jrqH6er;6?bq"agas7l?gr4-G'nG3"Yq"k!cr;-:(qXX4Ss7l!V
+s8Mfmd;iKko(`"Wrr*#sqY^9fqVqAQme?VY(]=(%p@n:Uqu?Wns7!jV<d(=rr;QNgs3^`6qLA~>
+nb;SKl1ZRtrq#jWm.9l2D:8FVq==1Sq=s^Yq"a^Yq=3tRos.r`l1F`CoC_qTp\OS%p[[tTs7kmN
+s7GaM`FMZ1jR;X2p\FX[p\FX^qVh/NlLXrQrr!]3q"4.JoCDPIqtBaZl+24;Dk>SRp[[qNnb1r9
+nb.J~>
+n_*Hdl.IH8i76K4cILLf;7>K:gsjp0f[n^)f%&C)h::$7fp+nBbgtJ!e^rROg%s>=f$)@hhpfcs
+j4Vo6X%G1"b0nekg=tB6f%BuQh:)PId+R1Qg)/MndEg.ccdC>#g=kB-SmO9PK"K^jf%8[Hf&>-K
+d=;~>
+nbhqUl22q+s7lWmoDeiaLALiJr:g6ir;6?bq"X^cs7ZKZd+QM7q>:'bq>:-dr;$4+qY^-\r;Zfb
+s6cdfAA/$Cqtp<irr2inrVHNhs8(aP#Q4Q"rV,mSq#:9nrr2p/r;HBFW,cI,\E3Jbrqufmma:q%
+qLA~>
+nb;SKl1Z@pqt'^[meZsPJ+N@0p[\4Xq=s^Yq"XU`qs=(=ajS#ro_nIaq"jg\q=YKsr:ogXs8;'U
+jI8kEYOVM^p@n@\q>L0hqZ-KNpE02+q"!h?oDAI_q>1$dp\==2UMXCmZf(EPq=jaYl1WR"nb.J~>
+n_*Hdl.I33h::?8d+mT/A(TDhg!nj2f[nX%eC<(1imZc+XgY(Urmq,"!S?$#fD3u6dalpnf]1i3
+hTLI+4I"ITf@\d1g"G$1rmolS+P59!f[A$ie(`[4g"P69f@n`bKhk$JQ,;&-gY(B6bLY+kn^2j~>
+ao!=Ys8)cprVuJ"WrDhlqYgHlqtp6bp\4OZq#9]3E9mQ'rVl]oquHWir;$4+rVZZprV?<igPJaU
+hZ*WTs8Door;6EirV?Hf!VuTOqZHlppAFmh([^qoqu$Egnth%XI]Crao)JahoC2MRrmCW5qLA~>
+anHMBqt9g]q#BbfU\F?Rp%\I\q"XUYrq?rnme#R`C#o<iq"FFVq>'g]p\FLnq=sg`q""%Od=4Q)
+e,K(4rqQNf!;QHerqZWjiV*HRp$qeUq\]:qnb;bOq"3sHJ8';*d,s`nrqZ!Jo(i+/p[Rs-~>
+ak8#mh:LH:g>UCELYLD5f@o*6f@AC#e'lmue_A8O9uuDMg=Fj,f\#uNpsp;4fA#$1fA=#L.Tj1<
+g""j2g=b*0f\"a)qpXNR"5_SUfDaMAh8n!qf%8R(c%'1p=bj6&c/.=3cHXelg!S=>d=;~>
+ao!O_s8Dcgs7a<DjS8cMq#C-cqtp6bp\4I^s8;#HU]:8jqtg3grVH?cr;$4*p](6arVuB*Dd97@
+s7u]js8Dikq>'mdq>C!gq>0+J'`%M!s8W&nq>^Kjq>09fQ@tO5hY@*M#OV$Ws8Vlis7,sEqsjN5~>
+anI%Qs7l6Xr:7I0h=:I8oDA.Rq"XUYp\4@Qp@-jtRK)sTp@n@]q>g6bp\FLunbi1KpAa9cA5]#o
+qXF@Nq=s[Vp@e7[q>C'hq;M&^oC;GJqY0UQs8)?Yo\m9AJ!.4op&=mplL"?GrUom_dJ*2)J,~>
+ak7liiS)l5hUJ)c^sq;me_AR(f@AC#e'Z[ui7PqiJE,>:f[g&R!S5`qfD3u1dG3C#g?-YT:-!s]
+gX"U"g"=mTeH"+uec4+tdK%bTe0!/ee(NI,e'm:0e'lg_QZ6ANPdo5sgtKlmf%o-0e_8F#n^2j~>
+nbhqSl22(ds8Miis6c>As6p!\qZ$6fq@*8rp\+@]e!@N5q>^0fq#pTnrV?3`r;-:,r;Zckqu?)Z
+=*r!fs6f^_p&"X_qY9m\rqQEc!VlNNq]G\7s7u9[r;ZKgn\pQ;S]:^,q>0s_qu?]lmJ-_[o^_PK
+iVW0AJ,~>
+nb;SIl1Y_ZrV?*Xs65f0r941Mp&+=Yp]("#p\+7Ra,6t\n+cADo_/(VqYBp\q=YEsp$_GIj-WMZ
+^&S,onc/(PpAX^cp@nR]qt]4F+8#F,oBl&@qsa=F^PR0$_>X0&p\4@Ur;ZKUp&FmYn'Un"p4*~>
+n_*Hbl.I91hqQ`5j3)Xehok'.fA+a(f$r7"e'QM!Z#Z)Rf%ea*f%'cO!S,ZpfD3u5gXss*iQZs4
+>,:6>`m*8]eCN1#eCE%IeGmtqdGWLqg=t*$d+6suf#s\"=*L@le^N$tdad%.e&Tnlf?VUfeFCq:~>
+nbhqSl22XtqtpBks5SjZs7?9`s8Dfiq>1!`p\+@YaI:9Os7$'fq>gElq#L9er;-:&r;Z<bs3u7)
+RIgIQn,N4Ks8)`js8)]hrV$Bdp\NnH+8Gm9qYpNpp!&h8@Y:rEs7u?^r;?<\o^DGMrqZ6^s7,sE
+qsjN5~>
+nb;SIl1ZFnp@e=Wrn`4Hq<[nGqY9aWp@n@Wp\+7L]T0`+s69ISp%S7\q#L9ep\FLnrT3PJaD+q>
+kl:/:s7>@PrV$9crV6?e!W)WNpE/u%q=F@\r9hRd?X%oXgA^g=p\as`oCVMDr;QNbq#Ab9nb.J~>
+n_*Hbl.I<2f\"s4i4rj&gs=a'gt:0+e'uprdEp:nVKSj!k0;i9f@JRQeH"1rfD3u/iQKg7Z<'PB
+dcT'$hTrsle,InreG[hodG`RsdbNX/g>h)<WH1Bi?]DbUe'HFmf$Vafaj/Jie'HIqdF@^6J,~>
+nbhqSnGE:`qtqK6q>('cn]PnNqu?Ngs7H3aqYU3fqY9faci=%?qu$?rqY'XYr;6Bgr;QTkr"AW$
+s0QN\]DMX)qYpEeqZ$?cqYp?nqY9pbp^d,oqYL*cqtg3dqtg3dqtfdY+8Gd0p\s`qI8sL*bl.S>
+qZ$BeqYg3bq"Xmho^hnYqsjOAqsjN5~>
+nb;SIl1ZS$o^r(Qm)Ei:pAagXrU9IQp@n@Vp@RpJ`VTQ$o_%tQq>'dYpA+Xaq#:$bpAadukPk4S
+?=pG5q=F4Rq"+4Wp%A(Yp]1'cq#C-lq"OOVq=ascp\=4O+7f-rnb;CWG>;.e`qKE)p&4^\qYU'^
+q"Faeo^VbUq9es,p4*~>
+n_*Hbn_*rrqq3"Ef%/^/c`'[of&5*.h9X[#e'upte'ZTsXPr0ff`'S(fEB^Pdad"Jec+1tf)OA=
+c/d]B85Pc1hq-H4e]uOmdaZk"e^`1!r6bbrdaHXrf(mhnddbg/dalsrg<>mb0f<C:g"tB3g=+I!
+e^Djnd+R'sbL>(ldF@^6J,~>
+q>AqC!W)Tgq?cuts7QEeMOF86rqI-&qtp-brpKgdnsX7JrqlQ`s7QBfr:g<gqYpEmq[r])s8N&p
+q>('jjd9;%gAh'IrqcTg!;cTi!W)]hqE4QLq"jd^q"jd^q"jd^qY0sbqZ$Kdq"sm_qtp3ar:oj_
+s2Jt]I_ah9rqucqqtp6eqYU-dqYU-dqYU-Uqu?Nlq:YUp~>
+q=iP8!Vc<cpBgKkrUBjVJs6!*rqQKe&+]Ddjn\r>O'gK4o^hMLo)AC]p]1-gq@iYupA4X[q=3tC
+pANa+;KUCfp@eL[rV6$Z!;QKd"8MWcp\jk4q=sd\q"=OZq#:-]pA+IWq>'dYq"!eJrkN5JGe2Q!
+q"FLYp"oHCpAXa<p4*~>
+q:YSrn^d9`"khYbg"=sVed0d`hp^]?D0sk1e.U3[f#HG&a`Be[gXk$'hpL$)eGR_pe,@bte^W(I
+g'c]ce(!.3^iMG;\)[J?!7q/!s3gPh!n,TJrn.5$s4%%rr6ZG/e^DmueBQ@hdF$FldEpFjb1bXD
+7l=>9[aY6,!SPr\eGdnrdJhMGd=;~>
+q>AtDs8)`irVHQl%Ia>ncZ\:Ap%S4Uq"sserseVLNR77kn,34cp\jsbqtU-crVQWm!VlEgrs\\K
+H<?m6s7YpXqY9jbpAt'coDARao(X=&s7l-Xq"Xmcrr;roq=O1VdZAX"S'q?(qu?Zlrr2cNqu?Nl
+q:YUp~>
+q=iP8q"GlqqXV[Eg\CX@q=saZp\Y!as5q:K_WgUUp](0`qY0a]q#1'hq>^3hp(?c]pAY!V`GeV?
+mf2hBp\4IXrqQQhmJ$JPr:qH/rV#^Pp@eI[r;HNgp[[\Nb_g@_Q-B6jp&+UWq"XL<p]'sdp"B%h~>
+q:YSrn^d9`&_Ypng"=s.eC<+%c/@?^>K,1mdf%Z-gY^`FbGo'MbgakiiS;o8eC=6@s3q"ts4._/
+dG3gBd]-;&HdUm$b1>/1e,\(uf`0P&eGdnrd/_Mld2podaj/8[f@&7%e^Mpia5<n1:/l;7gr7ar
+f$`.#dc&^Tdf7_od+Qfs~>
+q>AtDs8)`irV?ftp\"RdRr\K&rqHHfs8*E&oC;k\AqT1Bs8Vlap@\=ZqYU'fq>U4)qu$Efr;Z'^
+rSjP^GHgc?p[nL^qYg0jp\=UVqu?N`p`K/.s8N&uqtp?ep%eRQ`1LL]Og<[9s7u]prqQ?is8(UL
+s8)`jg%p4~>
+q=iP8q=b-bnGi<JCA7N&q>^6ip(?i^k5Y-WFkQB^s7,IGnFlVNqtU3es7d?'q"X[UpAX%Jn^a"0
+D5lt'nF-DOp\jjfq=sIRp%Ta,q"XF[s8)`op\4LUnb)_A^meSIMlbD!qt'X\q""(SqXiY=s7ZHb
+g%Kp~>
+q:YSrn^d9`"khYbg"=sVed9sVe)oY==5VTWrRCku&(/YEj4c_#^"1uueBZOif)=+sdf7erdM:9^
+e^i1"iPa^,]R2qAN7$\7cf*I+ldYg_rm^np,14iebhV"*gY:6-f$Vdkf#=2)3_a=GZ-h7Pf@ea%
+db3:$iRIkTs3^hmg!P<~>
+q>AtDs8)`irV?fuq#C-dFJn^)rq@0&qYU0is7H90X69N_p%JFcrr;uoqYU$gq=ssb'`.b+s8D9`
+o\=giMUMP(nG<1^qYL0c!r)Kdo(rF`oCrspq>^-QnbN%\rr<#ZXE\Ar`p*F$#k[lfq>(!hs7kIJ
+s8)`jg%p4~>
+q=iV:!Vc<apB^Qcs75btTBu@Pq%`]!p@e@_lghQVg%tO4n,*"XrV?3^qtM')q"OOVp\=R\pYu5:
+cu;F(aSkktoDSCWp\jjfq=sIRoCsI&p&"7@m.L&Jq>U9LVfZB`^uP@jq>U9ZnauGEp\ajXhY7'D
+rq4t<J,~>
+q:YSrn^d6_"PMP_g"?;T$/!eff\BPeeCN(HeGn)2g>U?.SV"T4gsOR,h:pc=f)=+tdMC<[dF$Fm
+e^iI+`T,7P<[q[_i7cE+h>Z!ieG[tre0NJldaZdpf[.O[dact&gY9Ds;*mgF_:mVpgtBotda?Im
+g=O^1eGdnrdJhMGd=;~>
+q>AtDs8)`irV?g"qu6*-BBoBjrqQNis8*>uqYu4Wo`+O_s8;ojnc/7[qYg3hqZ$@)qYU0fq=FXa
+^gq,Hqu?Zgp](3\rVHKf!;c9`nbN7`r;RZ0pAN^STSeW>q<[hPp@eIaq"k!irr)flpYPfIqYp<D
+qLA~>
+q=iV:!Vc<apB^Whq<Gh(iq<'Fq#C*gp(-N]q0Q-*o]PrIp%e(Ar9sUYrV6Ees7R-!p@e7Om/Qae
+>$d9[q=j=JqtTITp\jmVpAk!ZpE'>1q>U<^nFkA9RY-:$oB>c>o()VQo_/.ZqYBs\oA96ApAXa<
+p4*~>
+q:YSrn^d6_rRq5's4.J2f\FiS9$c>Gr7(bt&'rh^?9?Hdc.h72h9sR)ci2MleGmu4e^i='e^*:.
+Rm08^f%o'-eD8d"f%0-9!7LVk,M(Aqf%8d7g#:`9d+PdiH=g]Te&BY_cd11odF6_#f@JO%d,ELR
+df7_od+Qfs~>
+q>AtDs8)`ir;$ZuqYuh/qYg9iq#C3jq[iess-'his8N&;RZDf7WrMtqqYg3hqYp@)qYBpdr9T)K
+?,6C<qu$Kln+?YYqYp6iqXOIRqB5\/p\+=[q#(/rNfh9Rr;$6is8Dikq"agbrr2fiq#(0Kqu?Nl
+q:YUp~>
+q=iV:!Vc<apB^Hgo_XVjo(VnXq#C*gp(78gqhh?Dp[\!kPDF<pV>U&dp\jmep]("%p@\(Lrq5B$
+>Z8*(r:K[[pZh5IrV-<dnFunVp@f^'n*o`5p$qYRVh^)AmIfu@s8;]ep@S%Pq"jj]o^qqUhY7'D
+rq4t<J,~>
+q:YSrn^d6_rRq5's4.J-h:gh2?JXMkr7(bt&ED!kD3!<*f\3'DCfjAdhUqeXr7(bs("Upbe)As#
+?pQcAg#1N8hq?6"hq$BEeG[hmeGe%ufH8Pjd*gRrf&MX&CS9&,e(<L1f$r0rdaZh!f@83qe_&j1
+rmLhorm9?GJ,~>
+q>AtDs8)`irV?cnrVu)*ZM*neqZ$F)oYS':qZ$9he7t31mZLo7qtp6d(An(0r;-0\s4LsrD"%,t
+p%8"Vrr2imq>0XYo(iCarVlg$h48k@s8)WjrrMcerr<#o!WMonp]C9js5*YQqYp<DqLA~>
+q=iV:q"G$aq"iugWp]9Op]'q!mCTIrnFc)Bb$^(^kDNErp@eCX(\RLsq=jROmeY@<?tJQkp[7M@
+p\FXZp?D>Kq"jaap)*DurqOm)DKP^Dn,*(WoDS+Lqu?Qdp%n@[oE+^^rndDLpAXa<p4*~>
+q:YSrn^csW$.[egaB4YZe_&CMf)OA5d%6BWe_8C-Yt&cOc#5\Wrn./"(=h!gg"G!+dG;2r6V,DL
+g="F!g"Y95rmpDb!7Lkos3gqss472%rn/.@i8i_'GZ7i'e^`U<gY(N1dFd7,daHaqrQt\pfA#96
+rmLhorm9?GJ,~>
+q>AtDs8)`irV?g!p&Ck#iW&fPr;-Hj&(=OQpA+Xdn6Tl*s8CAT\,Q:%qA0#.s8Dceo<W(DU]:)g
+s8;inqtp?hq>'mWqssS+qu>oqRX9"FjnSlUr:Tg^s8D]`p&"acpAb*is8W&optkoJqYp<DqLA~>
+q=iV:q=b3hq=+<S?J5>MpAF[bp(,ABR-a;4qW(U`n,N+)>Hn,#r:_$#p\F[\o^D.J?t,Z'nG3"V
+q"OLUq"F@Ep\Xa_p\sk/p&!RONc/Hkg$JD,nEK9.p@n1Inb;nSo)&7Yqu$9`o\T?BpAXa<p4*~>
+q:YSrn^d!X$JF4`ie9n>kM"S<rRV#$&?dg:dF?e+bWA>Gk1m4-PhH#frmht;fA#*7f$_m*6UcL]
+e(ig6gY(63g=Fd)f'Loddf.Yodf7hsf)OD&g&KeKi5:t)<D%MNdbEX0cdC=sf?haeeCW3rf[eX+
+g"+X"iRIkTs3^hmg!P<~>
+dej(@rqQHg.J`o:CjQ-Rrpp*`nc/4\nF=p*r;-HiNa8p`s8UnZ\,Y^hr;Q9epA+Ras8W')N_GMd
+qYg<hrVQHfnbXF-qtKj\qu-Kjr;Q]or;6Elp@8"ZrpoB=I<M(2s8V`frrN,ro(q&:g%p4~>
+de<_8!r2NarUr8Cp@;g:rU'@Hr:94Smf2V<b4kSurU>J<VX+'Ndo<ROjRr9CmJleMoDJFZp\0G3
+Lsu%lp@n@UpA=Uap@J##qY0UQp%S:Xp\=U]q=s[Xrpf@JrV5a?M/d9jbP(_pqXXa\p<*-_p4*~>
+n_!B_n_!lms4I>(3nr?CfM#H.e(r@*d`gauj3>lPgY(3>f5!L1e`5Pu3gSpKf\5-,i7-?/i8*2C
+gM83Q[Fa-bg"P-4rRh)"o@+l6eBlRjeCN-tdacn!e^i@1e'H\,hU9Pa=&="Dgtp?Qf`BaVda\*@
+g!P<~>
+dej(@rqQHg-NE_a@DDd6rr)lms82De@G:&Io()h<?YB06q"3<A\)mYilMpkXrr3Glp%[WdB<p.b
+s82Wgq"adVqZ?HcrVlg5rqlQdo_/.\s8Vums8VDrJ6dT'iVrlSrr36&s8N&ts8ModqUtc!qLA~>
+de<_8!r2NarUr8Mm`A\Cp?q\MrUg-`m\F+:jSJ3+r7+bOmJcM;cq^h%s8D'Xq=FIXpu:`3hIg5s
+d.I80o_%nNpA=Uap@J"enauYUs8Mlhp@IeEpAXn*p@\:[jg9>7F.h(Up$qbUoCVYHoCVYIp<*-_
+p4*~>
+n_!B_n_!lms4IA)s4]Qoe?;00gsk*4h:1E9d"X`naPP7hj1IQHg$72<\i5qnk2XP@gt(<:gr@dm
+_Fm:WZe"!cf%8L+g&9S%f(7B5cI(4sgtUH1dE]q]e(<=-f[ns:bF2g"=G=B?gXb0@qUko%f$`(D
+db3#u~>
+dej(@rqQHg3<&`@F7]G*s820_i:R%fKCf-As8Vei<i,6as7EO/Z2aZFI&-f9oD\7Zs3>Ia]D)@*
+rV-0dqYL3drVHKirVZKgrr4;Bq"OOXp&>!kqt9UUrpn?u>uQ*Mo_8=`s82ZcrqucnrqucnqssU:
+qq:gr~>
+de<_8s7cTgrUr5Go9*tWq=".Ojo3s#s(HfHrq?9en"*1@iV3<8V-Ttmo5SoEqXEnHk5YD#Al?#,
+r;ZQap\FRWqY1$`s7cKcq=jpe*W,X(oCMVEqZ$ThnF,rDmE(Aj:3NK$nFZJLo^VAFo`4^.pY#7j~>
+n_!B_n^p.YeCN:*g"Y?@gNllJhp^E5aPjeYi_3b,inWPPeV?#:cK+9@O%5;ifiMC2i7?B5c0")h
+9K&9ghr3;>f\5!2g&9S%f(7DkfcA_qdEp7fcI^q1f$MgogWus@4#'lodF6_$g=Oj%q:G\uda\*@
+g!P<~>
+q>:!cl21>T!W2`mq#1%JoD3F-o`+Uao)Jags2<sks8VZhs6Oc=o`+7Qs'JY's6bNRD;b6inc/E[
+Bj]?crVl]gq#13erV?9drVZKgrquorqu6Tp%JK2]s8VE8Li-L?X5EdQrrrAsp@e=ZqYU?jnbUZ1
+iVJ'~>
+q=aXYl1XuJ"Sh`dq"Oa\2sp6PVX=EOqs4:[p@u>Vn+c_Ep\Nud?g7OGm.OCJpA3ou[qFFdr9""H
+R9s(?oD&.To(DkVp\FUapAamcpA+I^q'>b0qZ$Tpn`]H>qW?.WBio;Ng@bCCr:]aNnFH8Fp@\.P
+p@\-qpYkgr~>
+q:PMrn^dNgqUn3eeC<(%g"Y?=e_F&_e)o*9cK!g8gRu@2gtgB6i6,%kfBgc8i]o9Wj3M8,9u,HA
+d-0,47R"-0gYCH2f%]!4g=lMYs4@;%o@3cj,h:Drh;@)<b0Sr"aKfAM4&UpJf\YTBg!eBre^`='
+f[e^+f[eI"n^?CDJ,~>
+q>:!cl21>T!W2`mq#1%Lr6]':o`+[cr:KOBG?k1?pAFs^p]"rSkl:\\XAFrWr;Y[LI)Pj\s64H1
+K\HJ+r;HQiqu-?`q=sparVQQk!WN#mqZurlr;HNgq"OI\rtFV)ITgERf_kdDoC_PGrr;iirVu]j
+!;c<^!;b+?iVJ'~>
+q=aXYl1XuJ"Sh`dq"Od]3q`3i?Jk/InG)\DlJQV]s6]=LqsEqN@rpK)q!XhBKD4p0fC3mpoDS[E
+@odm%qYBm\q=j[\q=OIXqtU'^!VQ0^pF,Y+q"a[Wo^_GFs8Lu\G>hq6dIm>*m-j31q>9jWq#C'^
+p@n:Tp@n=QpsAcop4*~>
+q:PMrn^dNgqUn3eeC<(%g"Y??i3c%pe)Ag2f[.m\<&s$ef%f65g#G_3bO"EKN\GD3h;H*%?)?67
+kf6C_A%1CRg=t?6g"Y-/g=lMYs4@;%o@,,6dacpuda?LjguRG5P?Tt6G-ooWdEg.\d+R(%dFd7*
+eCN.#eCN!rn^?CDJ,~>
+q>:!dl21>U!W;fnq#1%$s,;I,s7H9es7QEFE3T9?s7cNm)?"#ieXNH0Anours8UK$U[.sDd9^1j
+p]'g`rr`5tqtp?frVHQls82cm!ri,qqYM'.rVH?erVlfrkdcCXB8*&8nc/Xap\t0ls7HKls82Hb
+qZ-K_pt>Q?r8IL&~>
+q=aXZl1XuK3;N=Dq"OLUp%A6;H2.F,p@SCQqpK2Xp%nRUs8)Td>]IoHRH[j[c11T%aaT`>s5:mo
+;m#EclhpbY#5S&hq>'m`qt^-_!ql9\qY)*0q=aLUq>0paiNdo<@"+QqlMCDKnbE.ar:0=PrV,gW
+p[S%3p\FUCp4*~>
+q:PMsn^dNgqV"9geC)q#g"YEAk&=bek0_l6j3c_k9o[i_iRd5Minm./\:07d85-SMjPdCWKZrT#
+Z9CF<f'(N@h;-i>g"G!/gY;\\s4IA&o@+l8f$i'sf%8U4a-^=%6t1VUc/%.&dFd=5g!7mng=4Bh
+eG7Pge)A])~>
+q>:!dl21>U!W;fnq#1%Ei*a4ss7ZKikl8*;p&G'ds7#RXs6FW:Z,LWUC>Jpdanb(5ci<RIBP6#l
+s7u]br;-3eq#L9iq>^<kr;ZZor;Q]qr;-:#rVQHjs8MZVTmpH_QI,C*rs/Gqqu?]jmIgJY!rMfh
+q>0XVg&(UCiVJ'~>
+q=aXZl1XuK5Pb'Kq"OLUp%@!A[eTjjqt/eGXiBf+s7#mMlhL><C1!dE?Th]ArpRShhI4J)lEX]!
+bj"liqWdhJp%J1Uq>C*fq>L$dp&Fa^pE05*pA4aanE-0`=C@33nGiOcp$q_Qq=3_@rr;unp\3qI
+g%Y=;iV%d~>
+q:PMsn^dNgqV"9geC)q#g"YEA`^HEVjO;u;_W$ZVdbj3<i6]s2ilt@nPGV//9Y]rMWnPQgYisQ*
+8Op>BiRm)8g=Y!.g"G!0gY;\\s4IA&o@+l5eC3%'f?M<c?pR8)YLMXmhUU$(g=OZjc.Le'e'ZS=
+da?S?deVANd=;~>
+q>:!dl21;T!;c]irV@qF>Oq^Zs8W)ucXh1os7cKbs7uEhs0uq6a`Cn[pAb/Jj8"GFn"!sOrr3E(
+s8N&sqYC*irV?-arqcZms8;rprqu`o-iEl>qu$?hqt^-hrTLkH>[WK0nc/Xcq"=L]q>(!do`+ma
+p%S=Zq=sdrq"jd^q"jd^q"jd^q"jj?qt^0KqLA~>
+q=aXZl1XrJ"8DTcp\skHor(mWp?;JRp]&3:C%M8lp[A.ToDS]rBApC2;<-p5p3bN\I^S@%=G?JB
+o'l;Cr:]aSq"sp]o(`4[rV-Kgp%J+Xp&F^cp&+M*oCi(VijO;;>(scXr;-*XnFcPJp%e@Os82K\
+p%\=Vq=kEnq"ORXq"ORXq"ORXpt,99pu1ps~>
+q:PMs%G97af%AR+f%AR+f%ARJf_O8$e32C8g"Y??P!@IObM_=4jJkI?fAbB;e`PT<ioZY)cDa`.
+db*R?C<#%EU!eBZFQMWAgtplHgt104hV6Z2qqM/)s4I.u!8.5#+4JfqfYWq\3C%AWdGNd3e^E""
+eC)ptc.^^oc-OhddJ;5<eG7Pge)A])~>
+nb`.[q>:!cq"l]?nb2tVq>Y_ds8Vc\s7lWMOnA;Bs6oj[qt9U]pr@5eIT`QJq#C2eQbhR8B"Ip?
+"9%2o^&,Gj]#`b&s8W#rs7ZKhqZ$<hrr;Zis6TdarqlNOVefF[TDSEVp\b$ep%eIRq[WK"qYU-d
+qY^6gqu$?hr6bE#qLA~>
+nb2eQq=aXYq=ZlEp[7VKoC`!'G5qU4lh^5QdY@#QoDe(Lp\OORs7sTB??&Z,rTj7GR#8<!Hs!KA
+p@\%NnC4kOZ*F85.'pbAnGN.Up\XFZnF6;Ao^qhEo)I_LoCqeGfq;hOE1$Fno(;bTp[[;;q=rA3
+iV%d~>
+n_!lp%GKLhg"P-4f\+p1f\+sRgA9Jaf[n^#e_f$7i`odQjj_T2e`OM`e(*.6ce@(-f$ra3V+aNg
+3JQhQkM1l>V8R7ETB>D"j6#7:Tq7aCr0\t2^"23$gYLi=k1A5DeD&a5eD03.jkAPAf"Qf,1K/YR
+eBuatg=F[&imdeSdF@.&J,~>
+nb`.[q>:!cq>2Q6qtp<kq"N6CaQ`[#s8;n`JH,WJs6'F^nFutXlgjoPq#>8,El%MLruf(+=3K?b
+NI#8OD.cpU?!guMAS5XiC1q3kD0q#4Yc?1OrttY0s8)0`li7""RWs=ai;N]Qr;HE]o(rC^q!%\O
+r6bE#qLA~>
+nb2eQq=aXYq=\Inq"OR^o^gC3`9$ghs7uMPFo1n+s5F"Xn+QeWm.:&Jm.FjRA[LaopA(t58\NB*
+JS\Rq@TlH%;H$Rt>?bB>?X6l?@W6[]V4Yj*rql3RrpSnHi;32UOD]39f(8e6r;HE]o(rC^q!%PK
+psJipp4*~>
+n_!Zkq:YStqUoQ7e(<=.in<%o5c`&ag>goBG[]dmhrr,CjO)T>fuh^rhU^RY/Q/@sj6#^(A3R<9
+IWJji92J2>4Zkkl6:+%-84c<?78-lrJrbbojQP^ZgZmP>kfVuFS9It<LqD<rf@\d+cHb"siRI\R
+dF@.&J,~>
+nb`.[q>:!cq>29-qu?NmqXpCls8D<`oD\;iErPCuo^VtVqu6-NqZ$Hks")"Ml29&iKi_bt@9[/Z
+LRY]i`4,:+o_&(Wrr;NH`iG>UG&M;ED/F0.Pe+X.rt=ImD/5`us8VojrVcH]pA=aYlhU>?qt^0;
+qr.C%~>
+nb2eQq=aXYq=\Imq#:!bp@4P\s7tmTnGDTWCA-cYmd'fCp\OCDq>^3bo()O^gYD8<e9FSd>#S-q
+B7#iB]Xb6.kiqO)oCV_<e[qK2GAC`"DIR'b@u7Cro_.tSgRVe^Pg]:#n*fuHp@J"Tqt'.Lq!%PK
+psJipp4*~>
+n_!Zjq:PMrq:K?.fAYEAgXq$KkhaS?dG3&6;r>dLeC!:-g>10!g>goIhr!LgaNNGK_e;)#9h%B<
+<bm5QWMc35dF6Usg"Y</^SQg/@9$&t=A2C_9ll_qi8W_V`J7,XHb%tgeC<1)da-@nf?_LreG7YB
+eD\f*~>
+nb`.[q>:!cq>3;Nq>^!_qrr0UqZ$9hpu]HNp[\@arr;Wjo_JOeo^DJLq>:*A[?kuA<F9X7dE)@\
+qY^6grqc6`qu$Bjrr2fp'E.^Re'-"TZCd8bB6f_P?t6Y4o_e^pq"FUbs7l6^s8)KjqW[nQr6bE#
+qLA~>
+nb2eQq=aXYq=ZrFpA=7PpZ6=EpAOR\p#Ea>na-;Pq#BdZnFch]nE]Q3m-a>bW/>4b85`lX`4P[/
+o(;PGp@@P@o_%nNrq@f:p\+@Wp[[^kaMG[(Vj)q6>],C$<EQ<^lLk,Tqt9LNqu?]ko_JO`puqJJ
+psJipp4*~>
+n_!Zjq:PMrq:Ig\e_\[/grrf4h;[&Ef#42of@&g>hWE>Ee(Ea@e'?Lsg"Y;kQ$HCq2aL8iZ`<$=
+hr3GLiSE#=g=tB;rnIJ3-/dbBiS<%hZE("%Oa_8586U.'5=1XXdG3gCi7c]/fA532d+-n0eG7YB
+eD\f*~>
+nb`.[q>:!cq>233q#9g`qT!'qqX+=Kph*M)s7?9Ts6]@UqXsRZrVlg+l]>7PCiEfpI&CBEs8;lr
+"8h][q#16mrr)dCr;6?equ6WqqZ$TopAb0ks)r-kD+RcbWQXf2q"+C_s82HYo_JLdq>0@Qq>AY;
+iVJ'~>
+nb2eQq=aXYq=ZoGoD.bKoYFeYo]Q8:o3tGmrU9dJqrmDAo^D;Bp\Op`hLeKq?Xm&<DjjVfq!\4\
+r:TICo(r@]qYBsdpaGk,naQ&<o_A=Qp\sdNp%S%MCL:CW5"g?s_<1FYl1+fQq!meBpA=gIp\FU3
+pYkgr~>
+n_!Zjq:PMrq:Ig_e(i:,g8RKLgs,!'eO2"Hi6pZ,hTO7%g==d/h;IMVc#Pm-:/XGK>_bSojkT.b
+k24_<g>_2Nh;$f?rn8aQf[na-gY_#BhW<J?gtpiF=%c.Z-oG[mW6O,HcIV"3e]u@`e(EC5eG7YB
+eD\f*~>
+nb`.[q>:!cq>3,Mp](*ins=Lqr;HZos,XkdmJQkZs7lW`s8VZis4F,jDb6hcm>PS?psE@Hs6f[Q
+pAFsjr;$'bp]($gq>L=<rqucqs7lWor:7^jDgkfhq=`!mI"$X&R'kQ5q"amgs8M`]q>0@Qq>AY;
+iVJ'~>
+nb2eQq=aXYq=ZcCo)&+[m#c5Yp@nIZrJJ,UlM:5Ms7?9Us82-WqotOE@Q^(/i."g`lbu]pp#>E*
+nFl_Sp[dqRo)J=]oI'G0qY9^Ro_8.Kqt]gH\;Xs>9q^q?^k?`MGCGRQc0"WkqYpNloBkN2q=rA3
+iV%d~>
+n_!Zjq:PMrq:IXZdb`X<dWnpLhVI/Fhe\\-bM(Y(in!2;k2F_EjL9hG;(II@cYc-mfWR?ph9+9q
+f%f3@g=b!TeL]5#e^i=,i8NSJg"YB@e`,N?c_#8T?TF(teZ*Li>@(l^OL!!We(<@1f[.e"eG7YB
+eD\f*~>
+nb`.[q>:!cq>3;Rq#C<mk&[a'q#B<YR_JRsrV>p^o(hnWq=jp]WFSt7ScA]+:jL4`s1iZis8W#s
+rVH<`p\F^ar;HWorr3#kq>UC<r:p!cpA`s@HYINAep@;pqXaaelFMjhASu^mdJNt?nG3+[qW[nQ
+r6bE#qLA~>
+nb2eQq=aXYq=\IsoD87Zi,,Ido)IIHQ+?SfrV>p\n+?&Co'cD=Sl\K^Oo=j[7;fm6pU4bCqZ$6c
+q=aIPo_&"Tq>1!cr;HQ\o(`(Wp$qMNn+bJ$FCK%!bAZtEn*'cMi37`@>@_]McM7G6mIpS=p\FU3
+pYkgr~>
+n_!Zhq:>Anq:933e(rd;``8/Wg?$/4GFR+<gXj^,d+?\%f\#65MF9<fJaMHn1Kpj=iLNc7hrNJI
+gtC<1e_&R/g=t?8gYCZ5f\YQDgXk!<e_[rf>"DMi[p._Hg!]*Ga-UF/5Y4n/Xk2O_bgk\Jf'1][
+e^;n*d=;~>
+nb`.[q>:!cq>32Pq"jd[ggoUDrV$8)E9mDmnc/%Ms7$!arR[<F<.N*jr:QmoI)u9dp$HV<s7$'c
+p\4L[qYU3dq>:$gs8W#trr2p+lC39CCllR6r3qR[s8Mp,qu6Wqqq\ZGDJ=9ff_b[=q>0@Qq>AY;
+iVJ'~>
+nb2eQq=aXYq=ZiGoC__Fem@>,p[J&iCZbE`oDe7Ls6KIPp<8Cq7ru?@nEHBAEP:r9lf2Kip?2>H
+o^qkOp\=RXpA=RuqtTmYp\FX[j-4e'AVn(onZ76/p\jUlo_SLUe#SODAojQoq"sO=p\FU3pYkgr~>
+n_!Zhq:>Anq:7R\e(E7']LL#thq$aU9utr4cJd!rj3HE5gpV;m1gm<Ji7WoR?)cW:d`=tTfui1(
+e^`:(f\,!1fDO27f\YK?gtglFhT:(M:eP`$h:n<4gYr.d&(oXqj4:`%E_Ai!IC.V[cM?&UeG7YB
+eD\f*~>
+dJFsWs8)cmL6VQ4p]&;*i;<0DoDeRUs7ZKSN_E`'eGfJKg2gYOp]'sar;UE=s7uZmqYC!bqt]sY
+s7Z*bqsaXVrr;orpVr.u@W&OGs8VriT<nRns5LT.\WZC\qZ$Kfd"PhAFJJ^-s8VoirVcQbqYKs`
+s8Vi`ql0FB~>
+dIqeQqt'aXIuNsjn,'oeg%=b.oDeRRrUKdAKKrCMa7f*$dVDs/n,DeJp%Vq!q=FCVp\+@Vq"F=M
+rU]RZq!J(Jq>9p_o"g)a?"pJ3s8DQUPc4HHq:Dd]YDD9<nFcJFbCEc-Dk?XnqYTpVq"XLOp@e+P
+rquBXpSmk:~>
+n^ugOGL,$qi7_abgYLN@VU3!-cdgA#e^31&hSa1Z4'8lMhs%mX6Xnd4e_8^36^-3Pf\"d*f%8O(
+da?jud,Na(hpC08g>1;TC-4aTOjrCKg"(\<k1J_1R%fmbbMq(+f[Qs03^lhne^N7,eC3(&eBZOl
+d+$h'd.,W-e)A])~>
+dJNtD-2dW*GeF(SqkdcIqYgHao(`7\r;VR>BSX\%s7QEJB2F!UqZ$0dqupZ5qtg?jrqZWmrr54]
+q>0p[p\Xdds8MK%KO\AF_X@I(n+Q_[A%1k*TR>VgqlYA.s8)cqr;GufCf4WAg]%-DrVuTkr;?Tp
+o'u_Lql0FB~>
+dIns`qt9RAEO>K4o:K1,oCi"Jo(DqSp]#e(?@0?Lqr[It?V#;7o)J(Uo`STup%8(YpI"cSrVlZe
+p\+1Mq"FX^q<GP@?<Vupl2UeKnb;ZXXQ'5EERX4CUiY8dnGN+Vpuebl9j4IGq=jCRqXOU\q#C<\
+mJ?AIWV1i~>
+n^ugO0\P46f?.0ci8*1B5HNGhg!.mngXk->AKO?PVUObXhnD]=?/jW#d+R+)6&*q>g"65S6eL/K
+h:^?0f@/:'fAGE>c(/<04_CA2jQ"M7h;1PecKKa^^!YJj>//tFi7ur:a,NS@3et/sf?i1(dGNL)
+hV-/qfC@A4e)A])~>
+dJJ.fqu?E2FlNB"s,N6)m/R(brqZN_WEWMb\+fpls8/]uB<1G"n+H_[qtXlqq"k$eqtp6ap%A%R
+nGiOYqu?*WbbBl5Ff+-is82Nbrr;lP=mQ+&<k\J3s7'g#s8Molo)Ja_ma78:C5^=5s82cgq=jOX
+s8Vi`ql0FB~>
+nFkl9GPUh&mCd;eo(;X/LY_"dq#C6`q!=_S;M2+=s5a1JRo!Iek5XZ5s7c0V@$^?Sq=XLVp@@_B
+nal)Ds6TIZl0u`aJo,J#h!b::nalSVp!Z[oq6Wf#o)&IM?_%)eo^hJKs7#9sO(i0[a7fH)q""+L
+nFln\oC;RSp4*~>
+n^mimim`2*e(W6G;Sh/Fi+m5I`n]5(gt(3*L,_)+Pgnj>kh1YN8;tdTcI1e.f@<66eCN='eC;sq
+d*U1jc/%C*g#UB+WdnYW;hVp6j4Vr5guR5'3m?]W24WI]k0?GIin;u8cemd2bH>hX7qemShUpK,
+da67fgtL-FeB-1ud=;~>
+dJG]tp&G#ZR.U@WkOnlRs8VEbkkFFd;-Cg2s7lQml'+nUaS,Yts7cEiqtY2mq#(-_p\b$irr51T
+pA=jhl*c@hD2la:s7H$bqY'OWs7`=*s5Q_$s8;Wds+l+'p&G'ds8Vlos5<XjGti1kpAb-fqu6E]
+q>^!^WVV,~>
+nFkl9GP(7soT,$so(Cf(p%/.^irA!,j_d[g]^>F\oDRR&6Xdh"s5F"Io_8"KBo2BQp[7YJqYBsa
+rVc6UpA+^JZ%?n-LrT2gn+$>Kna?)MnXO%efKXKWna5cEIWPPTp%\+SqXaadg[`.%885[*r;$$[
+qXs7Ks7,i_p4*~>
+o%<unim`2&c/%&rFjo.'`mWYpi8_`8`RN"-/iKBPh::6?`c*CtV:4MEjODi9f@<Q2eC`L#d+-b$
+g"Y??daZt*iQ7<q;G1f)g>UK0hq6H+f]:Y<:$TYG?Kg.ne`LFFjNuW8eD/j0j5@W#U/ia:SC?9H
+daZmsb0o2;eB-1ud=;~>
+dJJ.fqZ$MAg\h)m>N5AIs7?9`s/Tj@ZN'LqoD&@=CfQ_dpAFIVs8VZfqYP\pqYg9jrquTeq"t$a
+s8VTB[u>KHYk%hnrVZEWq>^KkoDeHDMuSB(mI1)Nq"ncQs763ip@8([oCr:br:o6FBm6Q=rr;fg
+s8VNWql0FB~>
+nFki8G4GM%EmaFT]hmAJkl9rJlh-rY<N,r]q!%>KdUc(2jmi*3o_\RRp\"6)JG&^1q=s[TnaZ8F
+nGiOQe$+LEB<CY&qtg-\lLt5Wp[J1NLOf&A6fR2*n*]^QErYA'r9rqDp[%DLr:TU6Rpp?3iVNTI
+oDedSnb9$VJ,~>
+o%<unim`2)dc&h]\D-/D3ks.gj3?W2gk\E^O64dEcIM!a8MG,)e(N$th;6K2f@aA<f\>$2f[eO$
+eCWC'jQ=e!Q>KYpNmQhAgY13$fAGW@dGNAkCuJkUbg,D&e_!>mjNZcCd`pFucdUq3f[RT`78niT
+fAG$'h:fp>eB-1ud=;~>
+dJF^Zrr(N!s7u04ZL%VkoCi4EOBd;8o^i(^?2h9::9aQopAagclMLVYqYc7ur;ZQlrqlHdqYpEi
+l)&<BO07%5s8Dilr;Q`rq<[kLrVu)"^"QGLs6p!fp@i!UpAaORs8Vuor:g!Xqtp0dm&OZ7]);U"
+o`"m\ql0FB~>
+nFkl9GPLk&cZK0Sji=:Yp]'OGp=FslF8kCds8VohY>e#ko`+L\nGVJBrV#pZKQm1eoDA=RnaZ5D
+p$q%3Ao3<ucMRP9q"X[^rVuTUo^hqZj(G[D8VmB,rr)3N=+or?j6usEo_%nHna,o?nb)">?"pbB
+s6oIRrUKW]p4*~>
+o%<unim`2*f%@?6jk.naOicJ@c-Y.YDE(k_d*Lk8hV42P.ZDm8ce?b%`Rs)#f@sqAg>1?:f[J6t
+f%AX+`e-rdE/h6]h:pW9g>(QFf?2XngZ-:MT"?k#kg&DQe'pQqdH&Bsi8</=f[J?rf@SO)aG3#P
+PL\I4c.C\>eB-1ud=;~>
+dJF=LrUQ\Zs66MGs7c'_s!,!tF4]^Ws8Mo_n!Ze/d-go(q=ajds7u<aqYcLqr;ZQdq#:9m61O!!
+G\;`Rqu??cnF-2Op[n4No_\[_q=qs+hPaV[p&Fmgo[S9&n,K27ZLn1lrVuirrqZQnqXX-]JqM8H
+s76!Uql0FB~>
+nFkl9GOtIjR%+-4Sqm=4kPOuQXD)4bg\1X;n)NMn6&WqNqX4%IrV6Ebn+QGLMei%_na>l;qY^'K
+fnXHLHG8n@lLjQ2pA4FOo^D>Fs7H$X_+<%G:SR.Rn,)CnE4+g'RX2%%s7,g_pAamXp\OLIl)fDa
+a8c&)p$qdUp4*~>
+o%<uniRE&$c$b3+aG=j"eB["*j,d5;[)V(gg=OEgFsLq*ak+Y]c.^_)eBce!gMTmDi766%fA5B<
+bJ%mp7:`ISiRHN*c.C_#dac^mg#:K5etb%8M*$[Gkh4tCZ<*L;hLAjmdH&j3jP&\Lf%]'5cchAQ
+>bp0-bL5q1aj]4rJ,~>
+i;3NNo_U??q#Bo8dJr$7i;``Ts5f)GMZ*SToDe[ekD<lBp%S@`rr;oipAb0hr;->RC]"/-rr5Cc
+lG/?kB9(dIq!nCaqu$EiqYL*drquTiqZ$5`EU]*'_uKE0qYu4frr9`IRVJ]!s7H?enc/X_o`+sh
+r:@[SMphY*q"kKrqtg3dqtg0bqYC!`YPNb~>
+nFko:GkUV#k]Y#@d9>&onGDh1I8tX^nGVPEmeYai@@$ERp\t$eq"""QqXsUUpP`YUqssFTq=NUR
+JmDZ8df8aup%\7VqY9gZq"Xa^pA+C]n==:TL0V7dlM0iGH"HXE[:5>0T)&3LqXWqKrU9.Mrq?-U
+]7#I[rVZ3[WV1i~>
+o%<unjja=YGgt*oc!.@-]0sBlf]1`$@ln;UgZ[&Bf&+>S7!?r*eCi@&e'64kg==m.g2BU<iRll=
+hV#l;B0nq#\`VGfhqm&?gY(0/f@Sa/f@nj:dt:QGE_*"gf&GBF@o(k<S4IosK\bJ3hU^!/i6p!.
+iRZQ'Qs+%$g=c#Gaj]4rJ,~>
+q>BLS!W)TcqZ$Knr^?5TTlpC_[/^.*s81>sF1qVKs8VQfrN]@Vd/X.9p&FphrVHQjpA=m_s0?tI
+s82iba-1C[Qb<+hqYL*erVZWmr;6<hp`K>(q>^!bs)sInJS31+r;Z_mD7T]HmZkb3W:Bocmf3+[
++8kp4n[*_-d/X+Fs76*fqu6<^o_J:[qt^!^p\FRZq6BdH~>
+q=j[Xnb3%YqtL$^8,)iSk5LW[o>RR(n+H2:`,B+fq!S1]jneSL9Rk1^rTiqPp](-cqtBRRq<n0]
+Dt<Vnq<5VQB5*I8nac;Co_/"Qq"X[[q>U.4q=41WlMpZqLZs(k_u96'oq#a"p\a05]kjG/qY07S
+p@eCX)#!Opl`PGjb5:u4q<[hTp\X[To_/(UqtBm\Z1`\~>
+q:YVss46VfrRV"ts3XBcdF6UcjEj\WXcDMsi7lkf>>COCe`Pu;hq3rB@]\A@aj&Yhf$r*ue'Zb%
+dGU-igYglEcDGVV9lufRe^i='f%Ja1g=Y$-rmW1CcILgsjPX$Yen.U[ki(U\M,9`%kL"OO</T)]
+g<AR/f$r4JdM^Q]e]EbMC8fh:gXjTthpgB0dF-Rrf%8C"X3lF~>
+q>BOTs8)`iq>1-hC&S)3pM.,9N1'_@s8Ad"O6#s0qsa7Xoql,miW&W?s8VTer:p*fs8)Nes8BTE
+s8N%uJR)iSde*P6q"ad`qu$BjrVZQgq"OOXq>C9jrqU<8s+ajNNg]p`?'#$Ojn$&oFkm#ls8D]f
+q\T;0p](9\Wbn'^s8)cqmeZVKq>L<ip[n:UZ2/t~>
+q=j[Xnb<%XrV-6`5kk'Ks6F!jqL+7nkP=J/9RbCNnFYu4s6cL^S_F,5l2CYKq>0gZrr)N]oDeEf
+?MF'eU3fsKP0ECjoCMVIp\4X]-MdH4q"aa\q=jjYo^-"as*n"6L6;MH<JUM4h<V@QDq=mXs7l0Y
+r:_*(p\jdTr;YrUB9:sGo`+aNp@@hNrVl]go_\C_pp'OC~>
+q:YVss46VfrRV"ts3XBcdF-P)d708YAoleWjk,)CC;A3JfZhh)dXjT3^#.2WgYU'$e'HFpg==['
+jP$"miSW^S@m<J.ZI7OYe^W.!eCE+'g=Xs+rR*s[fA5'3f1D4nCdE\pIdEpuFQq/pfUYQ9^?+#.
+g=4^'eC)alcdCFpce@9qJjjRhf[A[/`m`DdfA#*6e'QRmrR(YlZ-e(~>
+q>BOTs8)`iqYCj%r;?Nno\t&g`7F/Os5\uGWq-&e,O'ehXmuGkqt9pfq"OU[p\+@Xs8Dipj`ek;
+B4ce$g[tLEr;QL!qYU0fr;HTlqt^$dpE';2s8ViH?,$?+B%-UB94WnLr;HP:XkgMCo_/=ap%eIu
+o`+jYq#Bs4Lk*,6q>:3ks8;cirV63_Z2/t~>
+q=j[Xnb<%XrV-<b4SSRCp\*auBBZbDg$emiGuU9npAOjequ>Z&>Gg]`s7PjTqXjCRp[n%Ip%nCS
+p=jDuO^DFCX4?Y5q=jm\!ql9\rV.`8q"a^\q=jj^qtTR';R?@a?H_o"6X53,o_%ioV:W$)mdU8P
+nFleS(&7Okq=a+Es6[s\HF<D:p&Fmdqtp3fq"sgcpp'OC~>
+q:YVss46JbrmUkp,1G)d]Md4OZGbJZ^1'6Ybi7dDjPT%<?Ts=khr3,3f@nX!rm;k7dad.,f\ODF
+WI%0+AWaUShV?i9f$r7$f%&=)g=Xs+rmF*[f@Sd5d^M?2l$H"1h0CVCCt.A#hcZ&WR_RG)jP/,6
+eC;podEg4_f@7mgh92a)=Hh1\e)/d5gtC<1f$r3ue,@\od':uK~>
+q>BOTs8)`ir;-Ei-N3l?rr7_K_03Qms3Gb0d/O(FqtTmb_d@]Cq#BpUs8V`as8Mfjrr3c4p%J@;
+So8h"W9j-QrV?6cs7uNfqtpBjs8=8Aqt^$]p\=OZs8;nq?N9TrS8YZcCQ/;hrU.^QF(/CVq#C6\
+r;$4+rr;ojpA=mioW32%ht?U@r:opSoD/7XqY(!cZ2/t~>
+q=j[Xnb<%XrV$<crV-?c55"ksPHni)rUms:B>jB6p$_>;qn-$Oe+*A%m/?qOn,N4Vq#($eq!dbG
+c]hsVE1l:Zp%S(LpA=LTp%J+RrV.`8q"a^\q=saWqXX<L;u#YWP\6tC@tamPp#a#1CKso<o)JFL
+p\+OZ)>Nt$q=a@Jp%nUSVJhUMn*U)Lp[n"Iq>0m`pAt'`Z1`\~>
+q:YVss46Jb!7Uqs8CQ#8f&gClSPkp?i2KFIXP2Fbf@AF/TKH8`eDJQqh;6H'i7ZW3gYL`?e'm$Z
+HVRUFM9XN(h:^B4hU^</f%/I'e_8a0e^aTG5LeE=g4hcLe)u-UP%@=(kh=n>W*E:i5*+@Vg!/."
+eC)dmdEg4if@8-le(EBuKM?Boc-+hpf[A*nf@JI#e,@\od':uK~>
+q>BOTs8)`ir;&GNr;?Nkqu,r9eaBU?o#b6\c2[e2qtpEhTj<uLs8DZjs8;corq?9`rr;QZq"(bB
+EJ8nNqXsmgrr2p!qt0a`qu6Nnr?_C=q=s^Yr:B[_o`'5[rVu3``08M??bW6&s4kK1S%%nenb)k\
+q>2!)q#16mqXX1Rs3Z.8[Hdb_p%J+Vs8;Nbq6BdH~>
+q=j[Xnb<%XrV&SNp\=OXp@\(6EPgP&o]*P\Bu0iAjmhm:nsWU?j8&E;p\FLTqY9UTo(r7Nm.9VE
+HY7\JXRGQSq=sjdr:]UPrUp6crV.`8q"a^\q>BjTqs+/uCA.\hs1XK779R-il20&E^Ql(hqX!_H
+qtBm\)><^us8Vf\mJ$Y*G&aeLqXF(IoD&:[nb2\RpTaFB~>
+q:YVss46Jb!RoQteND@1f?%F,bDYB*VE%MOjOqW*f&,,14EJR!g="^1f[\^.dG!.,hU'U"du\!5
+@U,,Mf&GTDhVmAFdF[%Med'gWe_8a0e^aZI,M(,fgX"n^<8?TYk+m(%.mKVVcf)O2V0eQUh9XR(
+gXam&dehE.f&,B6bKA>lW`)ZQ_q3;bdaHb&f$;anrR(YlZ-e(~>
+q>BOTs8)`ir;&VSr;HWmqu":%c&_Ysa^0GQs6TO\s8;P6E6@PCs7#a^s7l<fs7ZKZn,N48P=J)a
+Zg`URs7Z'YqY'FMs8W)qr;?Tn-2dZ9q"OO]pA+a\pgKQ\pAb-fs889p9XFcis8Vlaqu?]qs8V?Z
+qZZTis7l0[rr3Gcrr8NkPNDfDs7l9arV62nqLA~>
+q=j[Xnb<%XrV&PMp\=RZp@[pXLpqcnlFKc3eG84rs8;QXE,!5Oo)ItCr;Q6Uqu$!akj/0<d>^FV
+D5lZCWW)AQo(DP=meZt_pAXe8q"ORYq=sd\q>(!_o_n(C<K?D8s7u<epQSuSY5dnhrU]CLs8)Qk
+rT*eK(@V(so^;ALs8:[Ks-ZiIiVWZSp%%nSrq?6`Z1`\~>
+q:YSr!7pGb!n5ZLrmj3^et%,dD:[@93a0/PaOK8-f[NqtWQE`Oc-kM.eBlt*e)o!)j4h%c-RD]Q
+c!ZXse^E"#eBZIsj4N#8rmqA)f@ns2e^aZI,M1;lh9XP7FjJOtgXkK>G!RR>j3ZiEf$E%/h;%&H
+`73;bdf%Q/bgtIpbL,#!ft#_iFtmgIgu7)=dF["Le,@\od':uK~>
+q>BOTs8)`ir;&VSrVc`nqY[FmWQtOSA8CH,s8VB_pq1chZ2=Ljs8W&kpAOsbqu?]fiicolEdt(g
+m,X@ujT#8Xq>C9mq!\%Vs8=8Aqt^$]p\+X`rqsiC[K$"$m/?eNp=]K:q>U-Znc/L\qt9IVs7uQl
+rtYA$r;Z]ZpAb0bou2W2fC&Y7o(Dq\q>%;lJ,~>
+q=j1Js7cNfs7cQg!VZ9epcA*>n<oE&]Ci+&>i"rMqrR\G[r5r[o_.VGrq>gLp@e%KrVu<AWaAJ:
+H(k5rfnkdDqu$3\p\k$]lM:2Spa,b2q=sd]pAag]o"Iu%rpp'Oq"="DeGS_+q=<q>r:]^TnE]iK
+q=bd,rq5aTs7k^Hs8VTY_1?dZlhgGFo(i4WpA=Thp4*~>
+q:YSrmFM<es3^qseG\#[f%>k5L90O'5Y&fGjPIr1e!X35OP8L;gu@&:db3='fAPlFa-9.Q<agmK
+bJS:B_;X>*f%Js;e]dj@s4RP,e^aZI+jeomg"2u\P2XjIa4f(hdC.iVeD&EtcJI4'f[@spiRHBU
+df7]4hV6K&e_eoocemO&cCS?@[ER@UcI(4re'n9Cs3S$uJ,~>
+q>BOTs8)`ir;&VSrVlfoqYQkGan*hbDZB\8mI:/DP?s%(s8)cqqY0p`q>C6jqt[mX@8pI"iqNBB
+s8RXrs7#s`r;-3`qYg6fs8=8Aqt^$]p[/"Vq#?gl_Z0*)q>^Egs7QEloCi4]s7uNbrr;inqYC")
+p@nI`r;$9js75m`s8Lr]HElf9s82Wdq>%;lJ,~>
+q=j1Js7cNf!;HKf5PFjHq=jRRmu)Lui4Mckrq$$Lli6:4>CkN.oD&:UnFcACp%S1PoX96S:K<Y7
+nau/GqKHoYl1OcEp%.eJq"a[apa,b2q=sd]mJlhMq2n[eqWe(Ps7l3bnG<1Qnbr1Zo_%bMqt9aX
+q=bctoCr+Vp%\Ramdg;TqV82sY3>o`q"F@RpA=Thp4*~>
+q:YSrmFD9ermF$[eC`O0g"4o*Dl1sb4&"kli6'='b&'1P_rfY/j4Vr8f%&F,g"4iKCIgNOI`C-u
+eE>n!=6@c[f%J[*e^rONfDjP+f[\OOdNQZeeC38t5G-cShULN:e)&I*iQfj,f%ej.e(NL+f[J@"
+rR)Y4da-:if@A="gt9frg"Y,hMHGq[hV6Z2dF6SCdJqRud=;~>
+q>9IT!W2`mq#1%!q<e4\oDei^O-SGJA97)9rs\Pofn!ClqtU'gs7c9ertbJ,rop=j9icG=jT#8N
+qZ$ElK5LYcr;-<dr;ZZoqZ$?jpB^Ecs7$&1>lX`]qsjLnh1_3Zq>:3bs6TIZqssU^Z2/t~>
+q=a+J"o.idq"XU_pc8$3s7ks\qN6/T`5#5Zh"g[:mIJhW>`eXJoDA@QnG2qUoCDY8TO(,cEMq[k
+q<[\Ln+:m8q=OCTqtBj[s7ZKes7lWi#k[lhli1]rp%S%Pr:]:I&(lDqj7N'Fnbq\Bs7bsTq6BXD~>
+q:PMrn^mfns40?_daHOi`o5Xuk2Uo.FLSPB:s%bRg<nEX>rZcWg"bZJf%/a8gt1-2`IgH24^F8m
+k2Y%IjOrBt9&S@QeGIhmfDjJ)f$r4KdKn.GgrnbS3o&?Xebn"seG@V`e.9-"El6DXhp0rpc/$gi
+d*o8IJ,~>
+q>9IT!W2`mq#1%)s8)?Xs7Z#,ColJpFT:k1q>L?1A893brtPD+q#(*gp\XR.Qt]W'RDeduq<n+Y
+rs&H$LMQe^r;-<dr;ZZoqZ$?jp]('os7>trH2RU"qsjLns6#Z+kPscGs7uE_oD8L^Z2/t~>
+q=a+J"o.idq"XU_pc/6Gmd9f;l>'Rkb=6"=jS/-:qn6EN`W,o4o^MABp@[qIm)Y;u:f<LlnGi+D
+o`+[bo(.9<naZ>Op\sm^p]'sep]($gq>^9qqsNiUD=[Glq#C'gp>krYqr3]mir%m7qt9ROn+QYN
+Z1`\~>
+q:PMrn^mfn51\65da?Ipe'?=sf@="tMnM#Ikg&/<gtnYi7\o))in`;@h;$c9f[-^A75HfJWS6Xn
+d,+!EkM4m(8D)JDrRChtq:GZ!!nPlNrmLhr#2@GO5ZcXjo%!ci!7q(tq9nf_&)G0CB>WH?f\"Wt
+c-"GacEYcI~>
+q>9IT!W2`mq#1'hs#0?Gs7`p"J)YWfo)JafrVr`iJE?h%p&>!frr<#hhm\>H878b'p\4O_s8Mid
+r;Z`pQ#cg&r;-<dr;ZZoqZ$?jpB^]mr:nrGY5J4WqsjLns8DZ$FIVk$oD\^`qu-EiZ2/t~>
+q=a+J"o.fcq"XU_pc/0KlM^VKX@I3VAR+6nqXF+PTh0Ujs6f@Lp[\%Wq!6S:Ioep=X8h_]pA+R[
+oBu;JoCRrSnc&7Qp]'sep]($gq$?oop[c^)U@S'Lpu1rXqY9TeDjKhkn+ukPp\FRYZ1`\~>
+q:Ooa5M4Q:eC)alf%J4(jP$(^@)5i:dd#oIg>@Q6?,PXKfAY`FhritG^6W7j,s@=Kf@o'=iniG>
+gYgf?E_kHLf)=%reG\"tg&K\+f$r4KdKnFQf@.)]N7lhReH47KeF_2Ze.:?gd?@@LbMUOqeBcRm
+dF,;IJ,~>
+q>9IT!W2`mq#1%)qtL*ioDa8TfV+T&s5a4Jm;QOYs8)TkruV(;s81?MAP,phirB&Ss8;N\q#:<n
+qY^6fTQ0N%r;-<dr;ZZoqZ$?jpB^TeqY[m'j8Su9qsjLns7H0b^35b1qu?Ebs8MTdZ2/t~>
+q=a+J"8MTap\aeGp[e4\lhkm4bE@SBnCR["k%S,ArUoj]qY0UUrU\:3?:.GLg\U^;s7l*PoD/:Z
+oC_YDQ=o@[p@@tXpAameq#:'oo_%s^9%W_0o(_2<&,u%jp:51)m.^GLoDe[TpTaFB~>
+q:Ooas4@A%df.WRda6\.eELRB\pnkPh8JO%bYLL(i7HW=j5SqTk1mD,6n'j5^Y[btj4i&2f%f->
+g"Y03I88/MeGRbpeG\"tg&K\+f$r4KdKn=Ie^p$=_;!T4ea_)Xe.1Eae^g-cD9:;\cHb4qaKX'B~>
+q>9IT!W2`mq#1$qrUKjcoB1O^cf4p'.f.kBP1os/qZ$*WrVu8qIpZ<0W8.CPp%SLXqZ$Toq>1'i
+rVlPiB%HbTqYU*ds82ims7lWg#l*uirL.3qrVQ3^nG<4^oCrmnp&FXZs42mbjnSQ?s8V`bZ2/t~>
+q=a+J"8MTap\aeGq<dtPleZ]:`7FhaoD\4)Di<*AmdpJDlh1,9Z$08GH_K!aq<mbNme?b]q"47S
+q"F@ISQj;-pA4O`q"sgcpAameq#C-qq""7UOBD5Jq"+:]q!e%Lp^m2hs6]FXd!po0o'l#AqX<sZ
+p4*~>
+q:Ooas4@A%df.WReB6M%f$.iNZG>\eh<<P&<H5S.eCWg/eDTH8S74`D@>DJNh9sg1d+7(1g=Fm1
+gtLN4LIJW$eGdkodf7ktfDXD&fE0XReG[f#bh:Wk4lG&Go$m`gr6b8en^J)tj3?'3Y[(nTd*0S]
+f#c+?d=;~>
+q>9IT!W2`mq#1%3r;6?cs.b3pVuQ,VqWZdJTCMsMq#CBms59f#@<&=,rqud/r:g3co_/7_q!nC^
+s80?@bkq>7qt^0iqu?Nmq#C'or:L$]I!bnhqssRRqu?Nap^m;ms8Vf]s6c55df9@Bq>L>uqLA~>
+q=a+J"8MTap\X_Ep\"+WRX&tHpu1N,hU,SqlMp)<s7c3dfUm.dBqj>UrVufkq"=4Sp@@hNq=EtL
+p%n3]?GZ:-qY1$bqtL-as7cQgs7lruo`"<"EV](uo(hkN!VlE\p^m2erVuBOs6,T#bl%A/oD&0e
+p4*~>
+q:Ooas4BKada?Cee(!"%m#,^nMVcP+fuUcpIaI6&fB2#JlGJKa6r])^h;dYWh;$]5f?hagf%JNt
+hV$l?Qq4:1eGdkodf7ktfDXD&fE0XReGdl%f$<-u='"A4fCIJhdJ))Ze.9m`iR#^*`c#Fgf[nEp
+daYPLJ,~>
+q>9IT!W2`mq#1%Kp](3lnoAc%h>cm5s4XBGr:L$hq"jsKNbVL5[I+"lq>0mZpA=mir;Zfpp%A@b
+rqZTna`,E&r;-<dr;ZZoqZ$?jpB^chs5d[Ur;?H_q==F_qXaInqZ$3QpAb-hqMM</r;--ds0;EN~>
+q=a(I!quB_r:i8CrqQ<SBkV_@s5rYIe"E6$l2L\Ln+,(b@S:I<jnSK<o'u/:o_JI\s8Vrcnb`@\
+o)/-oA\\0:rqQHds7lKcs7ZKes7lWi#laDpi)bp-o(_eO!VcB[p[e.kp]'XAnG2kPoRs$lp@RkM
+riu0I~>
+q:PMrn_-7]f\"^%dEg.agY1Q:>$c![jNQ$6\V>^je*-#Ig"sVd9f?"=d,Eg7gXjs*g>1Z8f\4j!
+cJ.=3f&PM`:TNL'rm1Vls3gqts4@5&s4@D(eC=KG#h[AY^cZYkg"GuK!nG]EqpG;hn'hm.d)=;a
+f[J8XK!WnPbgY4Ld=;~>
+q>9sb!;lBc!;c]irVAMHrVHGtBjnUQlMpm`Ok0L2s6oa_]6%q+S^m<.s8MinqYC-iq=sjZp%eOa
+qY0X]q#C98BtO6>qYU*ds82flrqI6*nGh*:Wq?>gq>:!bq>:!bq>:!bq="2&qY9p^qY9p^qY9p^
+qY9p`oDARfo_AI_oq@GorVlTbrql]kqt[r%J,~>
+q=a"GqtN/@q=XH]@9Bf1jT#(NMU(nkp#PN4Y\.HUQd>$kq=sRVo^hkQoCM\FoCr+Yp[n"Onbr$p
+?EiqmqY1$bqtL-arqHEe(]3UtdRg+sq=sd\q=sd\q=sd\q=sd\q!e#!q"ORXq"ORXq"ORXq"OON
+o`+sZo)/.KRu,>_q"!nQp&=[^pV$9N~>
+q:PMrn_4#q!nPlLrm<^Lf%8]B:._,<b2qQ;E4=]bhp0j3S5`9XJ%*q`iS`DIg=b?>g"+g#c-b%k
+eBuXteD])Z8=\;]rR(Vms4.)"!SQ*(f)4#'f?2mU/;;L-g%3ere^FHE!RfBkddPZrd+@76cI1Lr
+cZs0&e^i$hr6bDg][;6~>
+nbW@`q"smpq#1!ep[eF_p\OO]q\oM's82cpLLcYGs6K]bTE"rgr;,<GB3BbcqssU`qu6Hkp^$cl
+q=W0JZ2X[gqu6F,q>]oR?/>>Vqtg3dqtg3dqtg3dqtfaX%f6)!qtg3dqtg3dqtg3equ$Km(\[m0
+Fj0mbrVHKkqYgHio(MeOp\F[^qn`,Z~>
+nb2eQ..d6*q=*bMp[n=SqtTsdm/QeQr.&(3o)%JFT9T?KnF>tsQs<C/U\4-MrqHBd#PI`WaBPJ4
+p@S(ZpA"@fpAF3B=P!'?p<<7Kp@n%UU27aCp%%SBo^qtXqXaOYq"XUWp@Z8qJ,~>
+l.@B6g==s,cf*R+f$N%!e_\F*f%Jtl6Zq/EbiXb2ki1CRgVAJ53an!DgB$!^qUkl$rRUtt#hRYY
+d]Z*%gXc>Ops]>qeGdnre-jj[f[o!(GriLdh:D,GrmChsdc]-VfbN,eiIak#g=Fd$daQRleBZ+Y
+bg+S_rmS^2J,~>
+o)&I`rqQHg./<c;q>C9mq#10krU97Us6TUVqIOg$s8259TD\HRj0=JQC73QHs8)<]s82ims7lWg
+#l=2nqVl7mrqu'Y#Q"JtJR7^Cr6bE=r;Z^#qXjfkIa%NarVm9)nF6JMo_/%Tq>1!)qLA~>
+o(MkQ..d6,o_&%WoD8FcqX!VIqWIP@o3Q=]rUAikPk",&fVX.%?]N4qrV#gVs7ZKes7lWi#l=2i
+p"3ZGo_%YHrUpHgqY#;>kP`Qts7R9#mJWo)_s?m`p@e@ZnaZYUqYBp\p@\*pp4*~>
+l.@B6g=Op.gtpN3g"Y-#b1kXjf@/;:;RGK<c!u4Yf$_EuBgt[?ZJ+I0g&K_)f)O5*f[AR,^IO==
+f^mVmdLO[Qdam"&g">-6?TZBcf?r(JfD=/;f$N?3=JjEqeC`@'eAoPXb08/XdF6Xpe&'L_~>
+o)&I`rqQEf%K64rrr;fhn`TTBq#:6krtbUR;8WA-WG'raqZ!F%>a!\;s7l9]qXXF]qu?Nmq#C'o
+q=+F`okgQ'r9=(_qXS<NqZ$E:qu?Tor<E#rp]%pJ\c2U:q>:3bm/6SNp\4LZ^\WH~>
+o(MkQ%JBMjme?bPoBt]1p@J+Zp_Wo$]LTL3m@R_0q!\3O=Aamto_7e=nFlGIs7ZKes7lTh#Oq]f
+lXQ=Qp$VSPp'13W@smtHp!NO4q#0q&nc/%NZtci?nb)>Cs7Yj[q>'g\p\+9qp4*~>
+l.@E9g=aj,imlT(_pR&ag"P38iRsnUTB=XX7CV1-jb5o\Dme?Ye^W1'o%<uqs4IA&s3q>+cJRC)
+8qksNo@3fg"OYZGf%0iR#2%9l?J!r^dFA!D(t%6ef9K!kg=4a"dG)m]d`fq\d*^=me'l1]J,~>
+o)&I`rqQHg$3'i#o_ng\s8VlmrtY;'s7Pr-E<#1+LsGFkR?`?=oCDSPrr3#sqXaIoqYU0dqY9j[
+p\=+Tqu:W'qu#aV#Q"><?Gl[5rR(N@qZ$Hmr"]8.p&G&fC!6JTq!A%\oCM\Lp\4LZ^\WH~>
+o(MkQ-i*K2n+QSCqu?9fs8)T]nc.q=DJ&q)V1-ADUlUFX[d!#Ao)&C]p$qeVpAameq#C-qq!@nO
+p1B9Rp$VSQp':9a_HFVHnG(9&rUq$'o^)MURpa,(rU8nHs7H$\q=saYp@Z5pJ,~>
+l.@B<f\4a+gs4d:e)B<Ah:'p7d*G]dk/WElWQU-AE*f$\c-k5'io&M[f`0Y)f`0P&e-OXJh:UOX
+H.^d@eGmr,dF-Iof%Ja/fqgg(f[/9ueG7Z4g=4C'iI!qdeDJQgf@nBhbg+S^e'ljre&'L_~>
+o)&I`rqQHg+TD37r;HHds82B`q=4:\s82E=BtXD>LrZZDNhaDip%eUe"T.rls82B`s82ims7lWg
+#l=&hq>Y]#rqu'Y#PS1\=S)F_rmCW?qZ$F'q>^Kcq"Ch-ci3t8o)8FYrV-?f^\WH~>
+o(MkQ./EN0p\+1Js7GXKo'5]<s7,9p?*Nj`I(c@pKpfFGm-jcMr:04HrV#gVs7ZKes7lWi#l=&c
+o_WNXo_%YHrUpKds,BtFp@.n$p]'ptoD/FQn*Qo^`:O#qmecnUrV6Ed!;4/$J,~>
+l.?$kf)F>Ie^WX2cI^XmeD03=ca632gOWt2LfA&:RblB?guRADdFdC0o@=N+g"G$1f%/@#fZr4%
+i`0pOf^mVmdLO[Qdam"&g!o)%2UL+'g!S=Feellhi69QnKgqrihoNphdETt^d*U7je^N!ad=;~>
+o)&I`rqQEf$2aMtrqcZ[rr;]jru(A,s/1"[SVO5.QJ(m0s8)cqrVZWos82Neo(rC`s8)cjs7Zfr
+qYL$fLPZ!.lMChYs(u9Bs8W&Fqtp3hq@<<#oDe[ds.4VPs8Voeq>C!eq7lcV~>
+o(MkQ./!<*rqH$]j7i?;q"OI[k4S\BB"3kGRu!'NlLt8JqtKaSo_/"LnFlGIs7ZKes7lWi#lFJk
+o_Nu_q"=(LrUpKbs(Ga3qYg3:p\X[aoa^QkmJ?AGpm#j,p]'pUp\jjhp\+=R_"N9~>
+l.@B8f[\p6f&"F$gst9<guQi>kClj2HY%qKE3mgBj4)r>f@JR,g""I>ee$Kef\"d+eC<1(f@Jnk
+B]%J6eGmr,dF-Iof%Ja)j@_ejgtgW1eG7W*dbW1%dam)p;jQ"ld)s_\rm1eqe'ljr_9mc~>
+o)&I`rqQHg./*]3s82fqTmro7_9:I1qZ$S=Aq+Nog?&A7pA+CQqZ$Tnq>(!hs82B`s82ims7lWg
+#kn;lqYub/s8;-Y"lW^Lo`+s<qZ-Hkp]('hq?$]Wrr2p*lMm*+^&7p(p\4LZrV-?f_>8Z~>
+o(MkQ..R<(r:Ka[RWY*f[_L#bmJ$*_<Gkp+bM3$pnFQ,9o_SCWoCM_Us7Z$Xs7ZKes7lWi#kn;g
+p%F5_p@[kJr:U?M=,l\Grq=b6!;?EdrUpd%ht[$Hs5a3<J[G.No(D\QpV6EP~>
+l.@E5i6U93g>.3_JqK_q[HQ?*h,HgL8;OdkhVHQ-ccstng"+X$fA>K;o@*uqf\+p0f%0iM#N+"^
+h/H`Wf^mVmdKItGdam"Kf`o2PE7*Luf$W"Cdgt?Kf%8^7_V]*9PLS=2cd)L:rR8U1J,~>
+o)&I`rqQHg./!W.qtC'c?$3rnYCLuas8V2$BN_#!s8Vl_s8W#sp\=Xcs8MlipA=FWs82ims7lWg
+#k7laqYQ_*r;>jW#QM)1`q93)r6kHCqYC-bs7u]k&+]c#q=F@\p]$4pc2.;9rVlWkpAk$*qLA~>
+o(MkQ-h.0#p@%eI<bo+GUi^P1p%HsF=%JD1p%\+Bq>9mcnacAKqY9^RnaZARpAameq#C-qnGhkJ
+nW7MVp$VSQp'1Q!;8M_qo[*=4pAXgbp(Hfnq=F"Ds7-,EDTDJEqYU!\pAOa$p4*~>
+l.@B3j3-*'gXS>_T9tXF=io[`_bio`J(!?4d`L1sf&+m'e_/[/eC)b8e.L9ag"=s.f$r3piQg'-
+G?<JMo@3fg%ai_Qf%/O-ifH!mdFm%$dFA!@&^0%_dEBkncei;-V:3iDe^MqCe%sF^~>
+o)&I`rqQEf8,rG[s8M4hZ0hSdrc4k5s.NnrSo8G5V9\W0s8Mikqu?]nq"jg\qY^BnqssL]s8Dln
+rVcTes82Kbq=jUZpA"CXs/fr6r:9^qp\t3fp%eL\q41IPqZ$?dg&(dHs82ims7uTerV?KirVI0+
+pRPa7q=X[Yr;QK^q"sj^_YSc~>
+o(MkQ8G2iPo)/7@=Jt0VmI=bTn+)T;OGmIKMOquXq>L0_p\4R^p[n1PoC_kUrq>aMs8)Nbp\=OV
+o)A@RpA+IXr:]pVo_5+aq"=4P&+fYpo^MMHo^nMGl1OoEo\'!<q#C*epAF[^pAOXqq=0eU_tENo
+nG2tSo(`+WpVQWS~>
+l.APYgt1'5g;H+6bi[O6;MEocJO4s;:J>t`VomTEf@&0uf\"^$e'cUnfA,66c-kP(f[na-f[\F.
+g!eR)e^N."f$r:-MFZRVo@+<!cICFkd+$b#f6]6rfA+j-eGe"ueF(crf?\S"U!h<<d+6q!cICIq
+_9mc~>
+o)&I`rqQHg,l@W<p\t')AENplq>YShs8RAAb_4'`TSS>UN2Y%epA"L[q"t'j+St]uo`"menFlPI
+p%S=\rV#s\s8Mfdp[n:ZrVsBJs8;Hb&,H,"qY^?lr;;4Zo_ng^rRq)Ir;ZZoq>g?gp\jpfqYp@(
+qXX[LQuMBhr;ZfepAamQr;"5+J,~>
+o(MkQ8G;uSo(Vdd?/5GQmepgAoC6O\\oP6mOb&+7Lnr2Uo(;YKo_8=ar:TLCn+lqTlgaK5nFH8H
+q!mnJrVlTdq=OLWq"_((s7PsW&,#\kp@nCYp\0/Fn+cbJpt>E@q#C*fpA=U]pAX^sp?qk;P%s+Q
+p\OaSoDeXRr:e)%J,~>
+kh&D^f@8O+RmFsUi7R<p@c63JLTG$bYC:"h?"JSb_p?`Zda?RugtC6'b0Sbse]Z@ecd:+jf@na(
+fA><6daZ^sg"PAL;WcX'e.C'TdF-Fog"b<8@RJStgs=X+eGe"ueF(crbLsXL9#]E6gtL$$hpfa"
+_9mc~>
+o)&I`rqQHg-i<r?qY^,GHM7C;n_\)-r;(*gs+6d1rV>a3]9RqoF.LJLs8MW^qYpKuqu-Qpqu6Qo
+'E7k's8W)sp[n1Wq#(0hqn-Y8r:9^qrV?6ds8W#pnm[LSrVuHgg&(dHs82im!VuKhpAOacq>:""
+p&G'KMh1<rqYgHkoCM\Kq82uY~>
+o(MkQ!VZHjogA8%F78qtl-s'Yna0Q5mrFBFnFG\j[ZGl[DOAE8s7u*Op&=sfpA"R_pA+Xds8Dcd
+oDAC]qY0XWrqQEfp@5FnlLj`B&,Gnjq"sp^p[)7?p\=XQqq:`Cq#C*fp&Ojdq"sg_p(6corRusO
+kPOlGr:omVq"OO"p4*~>
+kh&D^f@S[)AlmOBhU9,0>M\"(a5:BTdG<Bm[$GZ9<_dn9eD]*+cdgt3h:UH<h:UK=iSi\Kf@Aa6
+gtUB-e(N=+gt:8I8^Z2^e-4:Mcd1(prn7V(5\Sm*h9F^-eGe"ueGdqed1=IVg:(X!b21b(h:L!"
+dEo_WJ,~>
+o)&OcqYp9gqFLG^qYgBZA=^uHZ(5WI[f>ZZjS[81ZiC'smJ$MIb+!9[?"J\kbh;R\qY^*ZpAOXX
+q>'g[q"k$ir;--[p\O[\rV6-0@FP/Fq[``'q#(*dq"r<0\c;L*p&E_Brqufns7uclp\smbp]('d
+q@NT'oDdc[UZhaFs8V<Qs6f^"qLA~>
+o(N.Zq=dGPqXsXWj^"1lUoBVgA#oC_M:_43;ks<kmca68lc#0(?s$fdW5mETnb)YImd^)@o(;SG
+o(2POq>'dYp%eO\q=sRK^f8GKo(N[mp@S.To^hdt8$r3drUB[:p\ssfp\sjdp\ssbp\XXqqYTa]
+g0L6-r9!nVkk"iDpVQWS~>
+n_*`j8ClSJg=aP4HE<*hIS3D%jNMeehQK;2lK$73dalU<G"FqY5[T>F[a3FTg""I!g="L&f%/@%
+f\YE;f[SC"f@JR-e^UK_Yh8Qs&CT1WcdUOrf%I)RQf$BOd+[1&rmh%urmUDb&(K.Rh7Z((`Senp
+iPs1!ahcAT~>
+o)&OcqYp9gqAoA0qu6N<<PItAa2=q3s8RZ%s8V\2A_6SPs8Volrr4A=d%5DlB5W$LWSRRRr;Q]o
+qtTs`s8V`cqYgBjp[\%Mqtg?WBtjN9q[`]'qu$?dqZ!!\j8\cOqu#.Erqufns7uclp\aa`p]('f
+q@NPqrVuE:D4CRmo)Ja`o(2[oqLA~>
+o(N.Zq=dGOq"FOV`_O#/^VRUZeGT/gbl7J&B3<CHq>^Hfq#:3ko$*YF@Us1qI\PEfq=XLVp@RnF
+o_JISo(W"Zr;$!Yo_.tOhd!P]o(NXjp\4IVoC_sF9A]U8rq>"=rqQNfrq6?dr:p0`rUpfunbN+J
+b[Ze0k3`3Kq"ORX_Y/K~>
+n_*`j8CcGHgXrJ[Ra.b-UPcYEj'oI^k1!C$\C0*khq-Q=h;cteHrNI%93>YZ]%u2sgYLT;e^rI2
+iR69/gY:H3cd^CqfA4G<S(R>^&CT+VdaQdrf\Ld)_;EYuf%8U)rmh%urmUDb&(A_Qg!-]kGi$Th
+i82r/d)"+[~>
+o)/UeqYp9fqD%mFr:ljjec,C9r;Zfnk\8B;q>^)!@e0Qnm/$bZo(hkGqZ$3+Q]lc/@qg7\_=$mi
+rr3#nnc&OtqY'^Zp\aa`qu?S*U&=KY&,H/%qu$KnqJ^6Hrq-6jq:YZEr;ZZoq>pEdr:^*`s7uZj
+&c)Fos7Z?iW+378s6]g\k5P1nqLA~>
+o(W4\q=dGQp@n=OQWVW2p$_VNs7G5Xa6`6fl!%?Yr:K7Js7l'Vn*TlLn\LEJFC/9]F-aE"lgafJ
+q![MGrr)Tbq"jgapA"@UnlV7Oo(N[fq"a[YqYBf"B(bugqYKj;p\ssfp\sjdp\ag`p\sjup\aCW
+naujQ=f_N$lMg_Is7aD(J,~>
+n_3fk8CuMIg!k=0ZJF0_gu.;La\&eig>^XS7F9l@b1P_,d+?Xif](>RG&gbW6:tC1T[2$>hrNYH
+d,3g=f[SL&eCrF+f\Y:MIb=8A&(8hQeC)t&gt5@nf\Fm0g=XpSec4.ue+(frf#HIlfAhQMP2kWH
+gt0Hu_9mc~>
+o)/UeqYp9gqAK2*rVQA4J*d%3oC_nMs79[3oDe=[X(Iddrr4MDn,E4as82Wjs8N&ulG/X/C1CUc
+Ju6i]s8VBXrV5mRq>L?hs7uKj?&\^Pq[*#qr:p9kpu5V?rqlims8(FGrqufns7ufmp@S=WrV-3b
+&HD@rqZ$']Q?1^Yn*fr?q>%o(J,~>
+o(W4\q=dGRoD&%LDKt@<s75^Pn,McZ[d3kTqkIJ]kl:PWo]uAJqtp-\q>:$apYr]AE+3$Q@X=Wc
+k4nu;nbVqJoDARfq>9gQp/$A6o(NI^q=sUXs7>&LM>m5NoD8.5p\ssfp\sjeq"aa\qtC[$nalGR
+k3e+?dJiM$q=jm__Y/K~>
+n_3cj8(H>Ge59Glg#:H1f@&g16(HHddH$<XH->:*hUg'/g>:]?f\G?>io&(TG?IX.6;(mFZ-VIo
+b1,1scI(4sh:LK6f%iK'f^mT(da$=jce77-^cZGeg=b$1e_/IOec4.udf@edck"dPd+.1"eoXg!
+im#`tcdoq[J,~>
+nbiLbq"snYq=Xaaqd>roqt9pfo'HCYA]"-?s7H>6C=2kErr2KgqY^6dq>C*`oDejbqu?64XH77!
+<b?N)TuZ^'rqc?^qtU3fpA\W`r:9_*q#:-^rr;B+>Gh/ks7?3eqtg3dqtg3dqtg3dqtfLQrqufn
+s7ufmp\+LYq"YHsq#Ba]s7Lha`;fc,s6odVq>g?;qLA~>
+nbDqS8G)EIp@MLQqY9^\s6f+NVdI+)rVGsZDe.,cl2(8Fs7c?ap@e=Vo'QDRnFQYEa/"Q&:JP87
+GalP8r;-0\pA"=YoBZ9SK_=p1*q]=&nG3+J_H*B$p&FITq"OOVp\+@Tp\+@Tp\+@TkkG)Os7cQe
+s7cBbq"G<oo_mqKq<N-@^&Rp"s6o^Tp&Oj5p4*~>
+p=]Z%g=Y-5q:J6hdbEF+4F#Z7e_T<6bN=dQU=A5]eDXD"ZJ*OYh9b06g=b*0g=Xs)j5nkIjO:5j
+DbW)J79<fHVpXDXf[eR*f&,02kXBCApXCG9eC)jpcIC7bg#:)M3J>r7iQg*+eC<(!f$r:#f$r:#
+f$r:7eGe"ueGn"tdIPWpdF-Fuaku%)>?.BWf[8Nu_9mc~>
+nb`FbqYU.3rV$9bY&C!5qYBd^s7ZJe=j,t-p%JFF@sdD=s7ZBcnbYiLs8V,ZG$@sJ;HnICbjYT3
+q#:<mqLP+8q=smcq"asiqXjFUrVcTmqZ$<`r;W3dhtI*Kr;QEeq>9s`p\FR[q"jd^q"jjOqt^*a
+q=OO_qZcJ0IJ*L8rVZQkqY^-jp\FX4qLA~>
+p@e^bp\=LWq=Yp*nb_jUC7G7tq=4=XnbnqT`8LR_oDRNOFlE8qnb;\Qp\4AMnGWCDV/]O4:J+Q-
+T#U!nq=+"Nn`k+Rq"44Rq"47VrV#aMp%eFWrUp!VnFlmG:Y>.4p\+CQq"a^[p\4CUp\=LXp\<qG
+q=aXYp%ACYrq$EXCj,7=p%J=VrV$']dIr(~>
+s4[G)r7;,&f@AL)f_X8CgXP*0N(nc[f%8:'h:1J933(!Uda[-i7:46thUC*(rR1_qrRO]qf%AR+
+f$`C5^5#QF1H76U>_]?*jPnkMjl"m(I,*6!e^`'of%ABnb0\Ved+?Uoc-Y&%Fu$\Xg==X$c.CS#
+f%AO)e_&I*f%AR+f(%8cdco0Xdf@qtf*KPr=jbjRg""Qgd=;~>
+nbi4[+9)<?mAOZ1O8/SGrr2ZjNEtE7s8)Tlm^$K1rpBaTs7,t8rV,s\s82!0[@2DP>?kf]J=P$c
+s8S4RqY^?lqtBgbpAFsjrV?9cr;-Em&,c<KB]f3lqtg9eqt^'_q#:$`q!%\9qZ$Etma>RRs6]jd
+rVQQirV?EddJA@~>
+p\4U\!;H<_+o2!5kbDTrN:m&>qt]gVL/uprs7c9fmB']rpuqbErV-*YpG_p>nFlhTj3XokEa2OB
+>\A2A`:3WsJ<KNuq>0jVo_e:Trr2`dp%J.Ps82`foPe6ro_eCSp\"O\s7cNdqY(!bl1a<5rUgEY
+b?;"Jj8/KJp&4U[pX/\b~>
+s4[G)rR^tt!S?!#fd5G0i6-jD7;^Q*e(WU-gh]*deDo34hThH\QJfsFak5"edF$CjpXD=Vd*:%n
+eA/AWIpY]04[r:UIBh\ql#q[3f@ed*cdC@he(NC&cd0tcd+m=0f%3hg_UmSld*p@ng"G$1rn%#!
+!7p\iq9nNTrR:_q#g0;4OlXUAg!djd!765~>
+nbi4[*p`V$s7l3\rq?6drVZKcEE_i2s7lBfp@aefgAV!MnG<=fqY:$gs#'ZHp\OC,TQF@R=&E^q
+`/L>cqXaF\s7u6\qYKsXo_SU_o_e=[qtb/eo)JacqYgBiq>'g\rqH6`l20`ArV?Kis8*'!rgmcG
+s7u]nqu-Biq>L'8qLA~>
+p\4U\!;H<_*p3(nr:B@Jqt'^[qY0XOC/a?mqXsO[p$e#ReG/h<nFo'Cp@S1\s8M]\nabncR;,Q-
+9LN0?[XOG4p$VAMs7GaOp@e+HnFleNme6&Co^c[IlhLGMo_81Vq>'g\rqH6`l1a63rq-KiQ!V<%
+n+ckSrV$']dIr(~>
+s4[G)rR^tt!8%&!+3<!jhUU!'gsXg+g"P'/:cZhWgt(!.f%>@G]%blldf%SndeD65g!e@"hr!2?
+f\>60Z@>_18N&:sFfBA5g=O^!i8N2/rm;G*b0/2acH=Y]f[n_IB?o8fe'c^prn%2$rmghqn^RB_
+l-]CWs4%D-g3>o\h:13._pJJ2J,~>
+nbi4[rr3u1pAb0fp\asdq>Bqm>PnHmp\4CTs4MCIp@SCUnbX^/rr;ofnFut\rVuosrr<"sRY5Q_
+E*7"[iW&lLm-t&Nq"jshs8Dfnrt4r(qrhUtr;Zfmrqu]kq>'g\p\+[`nb_;ArV?Kis8*'$o_E*;
+m/Hk[qu-Biq>L'8qLA~>
+p\4R[q=Yp.s8)3Srr2T_r;$-[p[;0_o_S%Ko_.tXdqaO)n,MhGpH8*ErV5jJoD81Tp\=LWqu<7L
+G[X?W9OXjSqtT[Dli6VLpA+Xaq=ajdrpKUSiEiVYq"jRVpA"FYq=saZpAjpWpY5EAo`tB]n6KVb
+o^VnQrV$']dIr(~>
+s4[G)rR^qsq:HhHinVr1i8E,6f\"g-g=8>Ig>10,e'ch2]i/RnceZ^krmCbopXD+Kf@nd!ajAbs
+hr*AIgYh.FG@F<1;`mj8^>7Mka33DjdF6Uuf@84(g>:64fYp1?g"bE6f[ToN%G0+\e()pte()pt
+e()q;eD\gPe,Rr(hU'_:9#oW7e&0Q5d!u~>
+nbi4[+8#C+qYpNpp\OdbqXsmb=(_L4o)8O]q#B`q<2'?bp$qnbs8Momrr<#sqYpKtqY'UTr;Q^@
+hoq@#@X*!;UX80"qu6Wnp[n.Qp@J=Zs7s<3g&LpKqZ$Kirql`lpA+7UiVNHIs8)ck"TQ8VL]75K
+rVHKgrV+_9J,~>
+p\4R[q=Yp!o_.tRs82H_qt^!UqX[Njrqc$YqY0a[kI=9Wqsj4HpIG5Zp\4O^qtTj[r;-$RmdB]C
+rV"^TLgOA-DfD;kiUup?qY9XNnal8;q=4CR[8bQMoD%qVp@e:Wq"XUXp@n:Tp@n:Tp@e%NiV*<G
+rV$9as76El\S$Bao)87[pA+I1p4*~>
+s4[G)rR^qsq:He:f%AU/iSDu6f@\['h:X\TjPA/:g!eU4d@`=GgWn%?deD5pgXjs)f@g/U52YAU
+f@&'of&,KC]rZEN5upl^JZZiAf\,!/d`p(acHY%li7OM[]&;8sf&#!,e^N'seBuame'ZXle'ZXn
+n^QIDrR:ess3h20S4[5Be'l4^!765~>
+nbi4[(&7V&rqlHaq>L*cqt0pe=)\-:oDedgpBLZ]MHna4p[S+hs8;Wcr;?<YpA=gbqYgFEq<\([
+s2o$)lGJ6mAQr`+[H@Mhrr)lsq#C<konmSUs7cNhs8)Wjqtp6drqZBbnb`.Xl2(;Qs7uuup[S9s
+>.=P1qu-Biq>L'8qLA~>
+p\4R[q=Y*co_81To()MNrqI/qqt<j"rV,aXqY0aSr8NE3dJrh.pH8KNoCMbPoBYr?q"=7Srr;ue
+j7E'?]j8nE^4'g)<a^cgiVrlQq#(!Zr:]jPJn4-An+ZGRoChtTq=saap\FOQp\FLHpAamcpAadj
+p@7GJZr+"&rUp-_q=i;1J,~>
+s4[G)rR^qs!7q#!+P#&rgXt$*e^r=&f@&O22GW;dd,!C(e^rm'BK<EXd+&!ApXD=\e^2[ne^2Lg
+g"Y-0g"tZEe&L%uiMoJUaJ!$:6TIJKP/H/7g">*6dbid6e8%e,in3)=imu]2e'lanrmCPgn^RB]
+kL'7Ws4%D+dEU^<1m-PA_pJJ2J,~>
+nbi4[s8O,<qtTsbs8V`fs7H<h<ce68p\adYp@eOWi,XD@p[S,'oCr.[qtpEno_\[fr;?B^rr;or
+q!ZUGc2[h5r9LbYEW1"rI\4mRs7ZKmqY=`ar;ZQlp](!er;6BfqYp<dq!n7Wq<@_Uq>U-gq>^9r
+s7,pbo:0[MrVQQirV?EddJA@~>
+p\4R[q=Yp/qtTmVoD&@`o_8:Pq=[U#p@RqOo_%qJs6SKWI.-[spE8qrp\=LWqu6-\qtg*_oBl>K
+oD@t;a'cm`rTa+=Y`ru'DA[YfaQiZkr;6*U?AJ1InG2SNnG2kTq=saap\FOQp\FLHpA=Uap':K]
+oDe0BB%$YNrV$']dIr(~>
+s4[G)rR^qsq:6YDgXt*+e(ER2d+6t"gtXbbgt1'0e'Z[pk0gt>?I.!ge0)u^eCE'uf\=d)gXk!+
+dEC+meDAZuY"GkUj3ZT'PBTh%:`*DaWm'>Ji8<5A8TN_Hg#(<9e(N:#e'c\DdJ;/ZeG7JOdJqZ$
+gW\.*cZi$ee&0Q5d!u~>
+nbi4[*r#O.qu$Hkq#Bm\s7Q<e<-J-8rquE_qYTd^s/&PknG<XorVHBgr;$*cs8;Tbrr4PJq"+Oc
+r8(nXoDeO`rUKgZg9H]cEc#QMP/-2Ms'N87rVQWerq6<hqtp6drqZBbnb`.XlMCPVrqHHgs7uuo
+s8D<aj_BhSqu-Biq>L'8qLA~>
+p\4R[q=Ys%p%J+Rq=jR[nb<(Qp[h0uoCi"Unb;nRli6jU8Yu.So(P9Eq=aOWq"=7Tr:ojSqu6Nf
+o'6&Go$gm5mJl\Np[%YEeZ=XOD.mL7Mn.^0r)^)qp%/(Jp[8"Tq>'g\rqH6^nb;kPlLt)Ks7Q]f
+rqGRMhIDB?p&4U[pX/\b~>
+s4[G)rR^qsq:6\:e^i='g"4a,c.:b#g=e>_g"G-6d*pY#cK*i7.tuR*o$feTf$i*ue^Dgtg""?m
+f%Sd*cH4epf=O>%e`PH>h9Xg)\;kB-:J+,jDOnYnj[,Epi8!;?gX4j-e'lanrmCPgn^RB]j3dnU
+#gqM\`nS=!B[alH!765~>
+iqrcP)#a:/qtp.iF8u79s7Q-]qtU3Zs-d!;rqcWi!WE&fqtp6iq`=cLrr;cnp0jp"p](-as7lNj
+qtTsWhogag?VkX)?b$.4q#1-crVu`kqY9pcqtBj_s8Vuhq>^Bjqu6Hdqr7JPq>C!eq%*Mrp\FU_
+aCsK$s8VifqZ$NirV,"Arql`lrqV'~>
+p\+LYo(N+X*W>^.p@e#QD#a>(r:9UWp@J=Krfp@+q=XCPp%eLPp\ssfpH&?Bq"aCQlrp([nb`"K
+qt'RWp@InCg;\VO=@m+`=0VMknFlPFpAaj\p@S(Sp[\"Oqu-9Zp&4[\p\sm\pYtoHp\ssdpCI2j
+o(;MI_ID3aqt]jTpA=[[g%PF>s7ZHbJ,~>
+s4RA'rRUkqn^[ckg"$)T(tUZDk1nSEdF6\!e`4j2G;HDTe^W*sf%BB>s3gno3n_[,g!\U%5`+RR
+iS2r?f%Sm2e^`!YW+&1X/PgLUS)iDYgtUB4iR?6&cdC7jc-Xnif[A!jf[\O%rmUVkiR.VNrQu//
+bgP"hf:kU@a4JkecI(4jdJhSodJqPnc[Y~>
+iqrcP*rPg2qu$4sIJ3O;p\jg]qZ$Nip"tCWq>'[_s7QEgnb`4[s8,%\o`"mes8$H$s7QEhpAas_
+q>1!gs8)0So@Bq1ImnNtJ#:ips8)0^s8D]`pA+Rap[I\Gqtg'aq>($is82Haqr7GPq>9pdq%*Do
+qY^0hjI^qjp\sa`q"Xg`rV,"Arql`lrqV'~>
+p\+LYo(N+X*rP^,p@n)[G45,$o_S:Wp&4[XnCi>Co^qVNqsj[Zn+Z_S5Q1'GqXOFO@[Qu[q=X:T
+o^_YIpA=g]l0I]^UQ]mbDIn$`d.I;.kkY/PoC)8CpA4CIm.0oEoCqqNqZ$TinG2h<p&Ojcq#0pt
+q=""NoDII5H0Okomf)kNq=iS9rqHHdrq1d~>
+s4RA'rRUkqn^\f3f[SR,g=JPoe_&^.g!\F$h:U<,]O5:$eBct'cJ-h:eGmtsdJqNWf?)UreD8YE
+Ic&]5gXP*3e^i@)h;?i-cHihPH!i%':gf'ef\k?%f%8Kubg"S`f?VLYcdL:heC)dsh;$N)q:+BN
+rQtMj&(\tTf@/NhG?;c.eB-CicdC/>df7_pciDCB~>
+iqjhoq>'g_r;HG1JaE(0nGi7Zrr;fnoDc^9]_qg*rV-9[qZ-Klq#1%<s7H<jqZ$G8Oo4nMqtL-f
+qYU-br;Zfqs8Vihl[=/lPD![L<d:Raea3;8#5nH"qu-Hhrr38qrr2iio(2bYq>91J!VuKhpAO^r
+qt0jdpAb'G@C#q's7ZKarV?Edg%t^Fs8)`jJ,~>
+p\*qI*qoF&q"ORSBmSn1s6]j\qYL*^q<n9s>IXA(o_J+Sn+Z\R5PssFq=FLUDN+>Zp\+1Sp@\.P
+o_8:]q#CB`o&Ot9ZAX*>9M]Z%_U.NFs82TdqtBj[pA4gcn+unUoBu)ArqZ<Jp&Ojaq#C(!q==@X
+o)/77>HI\er:9gTq=iS9rqHHdrq1d~>
+s4RA'rRU;a+4Jcif@o!3:LMApj3HN1f%8R&g!JcQ5+:0\eCN!rddP]cdf7_pcTft&f%8L0fMZYA
+e(WL*h:U?3f@8F-gt:NCe(2ZH?(5qI9/8;&KVG]ih;?u;f\"d+f@/I1g<A1#e^2L`eD'fKiR.PL
+s3VA+bgtClg"3VlLt9Vuc.L1ddJhSodJqPnc[Y~>
+iqjkpq"OU[rVlYHGQ%16oDeU]s7?*`s8)AOC>&XTpAaa`o)&I`rqQHg3W8^Orql`mItmmqqu$6f
+qu-Kjq"FLZr:]aNs8R)Vs8)][^lrqP=_),fT%!H1m.(,Uq!n.Vp@\=^rrN,sq"s(I!VuKhpAO^r
+r:^*gp%eXaZ?G7's7H?frV?Edg%t^Fs8)`jJ,~>
+p\*qI+8,C%pA"ITI;noKs7$!^q>KdUpA4INNb-`?l1+`@qXF7UpceNFq"XLXoQYr]o(MhLq"FLX
+p@RnIpA".El2Ucu]_q?ojLL4g?;k3>ELG,Cp#k]=s7>UKp@7\Irr;uoq"XUCp&Ojaq#C(!qXjU[
+nb)hRXDltdrUB^Xq=iS9rqHHdrq1d~>
+s4RA'rRU;a+4AWge_Am4@ohC5iR-H1e_&$ne(iR'ECdS"bL,%deaCredf7].cdU1jf[ns3>\)R=
+g"P!1f\5!/rm<.Ce]uF]j5a%2inN82SSq=g1I"0(H*G`Ka3NGue'?FpdE^7rh:pQ3pse9Mqp>Aj%
+b/eTf?Vh"dtg]-ce-Fld*_j@s3^kn!7-/~>
+iqjkpq=XUZrr2b]A,l<&r:p*^qYBg[s6]jBCO4t>q#Bpbo)&I`r:p<g+8ks5qYL0dLO9(!r;QNh
+qt^*dr;6Bjs8Duto'^/Tqu6U8rVuiZcDQnK>$5j+TtoFTqYpNpq#C-ZoDARbpA+UFq>pEdr:^0b
+&,Ptqr:p$`rVD\8r:^0]s8DclpY#EBqu?Nlq1&~>
+p\*qI+85C%p%eFTO^.qWq>'^Zp\+:Mp&4+SfO]3\rU^$Vr:'IZp]1-hpceBHp%.nJJ9Le`p\FIT
+p@S(Rq"OOZrqHEllf_[8o_JCZpA+IAaInN0;c7@dR^pr8oCr7]nb_tGn+Z_Ro(i%>p&Xp_rqZNf
+&,Ptnq=O:Qq=KW"p@A7Oqt^!>pAXgdpAX`8~>
+s4RA'rRU;a+4JWgeD/j4G=(HBgY10-e'ZOfdbi4,]1Z8@hp^?%fC@>nf$r3tdf.WYe'Q[rf%Sbe
+=kq]`gXOg*eC2sseC)n#e(im,b<j8%hr!5Bgt0<<K5a[G2GJ"9S[["tgYq&>gX40feC`9sq:+BN
+!7:_jrQl))cd^Ond+$XnBOT?6h9"6qdJhSodJqPnc[Y~>
+iqjkpqt0d[rr2_o<VlUgs7?'[nc/%VqYpKm]KMP[s8)Tlo)&I`r:p9f2uNXMqtp2PE<#t8s8)Qg
+qYL-hrqcNks7u]b`G,,Fq=jRUrVuolmJm4S[!uRg=Cl`A^#o:nq>UBrp@J.\q>91J!VuKfpAXdr
+pA"O`qt^-hg2+M&rqcEgq>L'@qYpBlqYp;@~>
+p\*qI+8GL'o_J=RUe^OTo`"@Up?hnFqXs[[ppN,Cs8)H_r:'IWp]C0aq>U"Hnr%;\qY'gZo_8(Q
+q"jj\p\O^WrTh4-nb)JBmdTuLq=3VHs6$M/>Z+F*EK.EapA4FZs8;HVpAas_iq<EIq#:*fp^d,m
+p%\@Wp%S:3B"7^6p@S1Tg%PF>s7ZHbJ,~>
+s4RA'rRU;a+4\`ie(ia2MDX#>f&+g(d)Xq\f@AX2gRK:*j4r,4fC@Ajf)O8"df.WXe(3%#f[t1<
+h;$T9e^W*tdF6XrdF-RqceHX87Fg)Be'ZOogXXWlio\FJ>XC>-6<A/s_qa+ug"tE.bgYDDeDemU
+d/M>hck"ONdacpudaZgO6Bp$NdEg4frmLhos3LblJ,~>
+iqjhorUg'^s8D]%<P/5+r:]p[oDeL^q>^9iq1*"lq>'sYqu?Njq#C1Tp\b!cr;?MaA,ZE%s82Wi
+s82ZkrV-!Zs76$dNdC<squ6Wqq=FI_qtKd]s8VWC[$l2G?#"_?W5e0&rqZHkq>91J!r;Q^rV$9c
+&,#bnpAFjar:L#gJ)]qspAOgcpY#EBqu?Nlq1&~>
+p\*qI*r>O*oD87OYth\$p%e4Sp[A.Pq=O[Yq"&f=]_(mln+Z\R5P=mKo_8+RQ<s@^o_eIVq"sgZ
+q>'XPoDS%Jq1s.Zq"4=Xqt'4Is7GgJp&G'Ve#\aO=B/jPI\XdCqYKmZr;$*Hp&t-bqYBscp^d&n
+p@S1VpA"(QUNt_^r:9[Xg%PF>s7ZHbJ,~>
+s4RA'rRU;a+4nlmdbW[/QSb/cf@n[&dE11ff$rX0hUu:'T%;??ddbidec=4udQc(-f$rC,gjDB>
+g!SL&daQdqdF6RhbK\Y[d+;r1ceI(*hV6H"d,!@*f%]EMd^bWg=?\o?>[i>X`7NVheCjZIimIeQ
+rm(Jh&'r_OcIURqe]QKn<Op-$c-ar<df7_pciDCB~>
+iVO_rpAXabrV+'2Jc>T>qY9map](!fnb`=boNbtms7c9[qZcooqYL!`q#1%Rp&+das8N%p>Pe<l
+s82WjrqQ6es8DoroDejf<M9Bhs7lEis8)Nhqu-Hfp\Xpeq>L?bd%Yr*>uk3[[,UiVq>9[X%f,ts
+qYC!`qYC!`qYC!`qtC'a'(u1tnb;nTr;$BVI@U9*s8)QfqY:Nqq>0p`q>0p`q>0pMqYpBlqYp;@~>
+p\*qI+8b[,o(r+M\5R_Kp[S"NpA"7ZoDS%Lq"X8Z?KV1VoCVbWq#:!iq"ORXrqJ_Lq>'[Zq>$U]
+oCh_Op\"F]p@\:[q>'sUrVcCbRJc^QoCMnYp@S1Qp@[tFo_.tKpA+'sRs&CG;-/(Ih=C7&p(-ok
+p\+@Tp\+@Tp\+@Tp\=a`rV-orr:]UPq"=LVs5J6iq<\(ZpA4Lkp@n:Tp@n:Tp@n:TkP"oLs7ZHb
+J,~>
+!87;&rRU;a+5##qe(rj2SigE;g="R%e'lRqd,!"#hVQaD6-.j0d.Gffdf.brf)O8!dQc"-f$rL1
+h1@W;g!SR(dacpqcICFoe(;^rgXRs)hq-Z4e(NC$cICJ$gXk$1gtUK:hpS]Z>Y7%32d29Udae0E
+o$d-Vs3UbjrQl)$f$MObdaHXlh7cg/f#cYFe'ubJda?Lid/M@A~>
+g%u"bJ,Ap3s82ilr;ZU&a'<BXs7H-er:g0iqu$Bg!;QNh!W2`lq[`E#q>^0]s1*4=s8N&mr:L!`
+rqcZl$NL#&dTaEbnGE(Zr;,s\-HEHWG@b2pCnAW3q"k!gq"F[cq>1-jpA4^bq=sgbqtp0ap@n:V
+rqHZnp\=IZr:9S)q>:$gY'SXbs8V`jpAFsYs7uEbp\FRZp\FRZp\FRZq=sgdq>^6iq=sgcqu?Nl
+q1&~>
+nb2MIrV$3_#@;]Kn*pANr;QKhp]'mp_,b.Br9s7Sp@7tUp\X^eq=sa\pCHipp&FROqQahrqtKsX
+q=ORZs7Zlqo_6O0\Gkgfp\4U\!;H'X0>OZKE*c^TAXC-lnalMKnaH5IoCVnSnFZGJoCDPJp\FXZ
+p\":Tq=aXZq"FIXrU]g`pDil%W-$AJs7u-Yo(`+Ir:fsZp\+@Tp\+@Tp\+@TpAagco`+UZp&Xp_
+rqHEcJ,~>
+!8-knn^I]mf\"m3rnRfM@GTJ_j4N/deH"5#faulifV^i&gY^E-gXad'f[SILdK7hEdeVB'ceQt(
+dEpU4:s7kQgsXd#qU,u*gXt8a3L\mNf%/@!da?IjeFV6FfVF[O<^]2A97<VYf@f!8e^E(%e(!+(
+d+$Xte'cateC2glcd'k`dEg4fd*L%deaq-#dEp:eeV$i(`o#Iqf[&$t`7NE-e+h>jd/VGld/)/i
+cihbBdE^&:c%#~>
+g%u"kC\df+s7l*Zr"&N$oSQq\rqcHjrVHQmq#(*erV63c+8Gm0s7lBe\74(dq#:'gq"OOXq"jja
+qtg9e]33PYp\jseq!n50pAP$fi4"_f=BT0XL7c]`s8Dinq"".Yp\Fdfs8;ZcnFHAPrVH6Zp\spf
+p\smWpC[6$nc.j:T)/B^q#C6es7Q3`o(VqUs7u]is7uHdrql`lrqV'~>
+nb2MIrV$3_#A7W>oDAIWlhU8bnc/$1=0;8jo(r+Qqt]m^q#1$apC[&ro)84Qpp*uDn+$/Fr:p*`
+rV-]np@J"KZrG9Co)A@`q#1$ZpF5h)pA4C5Y_Hsj;I"-hR)JIjp@S(KlgOZ=o(MqUp$qS?oD/@a
+qtKaXrqQQhrqH!Y&bl=lro8s)oC_bGs7Q!]nFcMGp\=I^p&F[ap%\7[q#C*fp4*~>
+n^d6[s4IA)$esLphbd2(g"tW:c2H8mfalTle7q.1hUpB4f@8I(dFJ3DrR(Gj&(0+Wg<n<uP!QS1
+fA"g0eGIZ'eCN7,fU=b&f[SL%eC+<Co$f,>e(j!:_3T";3B0H-B7?u5hV$N6eBZLte(*.-gt:-(
+aNMu]f$hshd/MDmd/MA]ck"jMg:qHKf%AU(i7$*+b0TV,psK,gs3L_lqU,>irm(Vjbl5e9~>
+g%u#9>O)4fqu?]lr"&i!s4h[(hZ*HOqYL3fp](3grV63c+8Z$0rqcNg^Lk[gqu?Kjp@n=Vq"jja
+qtL-`QtGdZs8Dfmq!n4^rVlcq.K9;7_NK7cAmo/#OM:AeqY1$gq"O[_p%A1]r:fjVq>UEhq"ad`
+qtTmUpC[6"p\b'*Ct\XZp](0as8;Nbo(VqUs7u]is7uHdrql`lrqV'~>
+nb2MIrV$3_#DuOBq#0pbqt]t"qsOL9D-PZhoD%tMq=X@Vp\4IXrV?9`&bc+kqY'[W\Qcf>o_A.V
+pA+O_p^-]gnG2L7@Hm:Yrq?EfrV?$Ys7S)>q>0s`p\*g_Mf`]@>$H?2\F0Chnc/@Snb)SDn+HYU
+p%%_Kr;ZKap\=R[p@RnL&Gbnjs0u[ho'u5Lp@%nQnFlGIq"Fa\s7H?aq"F^^s7cNdJ,~>
+n^d6[s4IA)$esLphfM*,hVd)Eh>Pt(fb<5ijLS8U^>7AmeC<1%d+HjtdaJ*Aq:#o'fZi$seC0gS
+X52Lbe_0fI%FitYhpcj<bgP=ueC;qFdIPd@f%Sm9hVd5Gg<Q=1=AV@M5@/)lcJd:#i7HE)e^`!l
+e^r<sbg"Pdg<e3odaQ[lcLK9me'-7rQq"L6eC3@*c.C@cn^I9\s3Uels3UVis3Ubk!RApgbCB~>
+g%u#^:V-N"nb<(Zr"&>tp[[9OD#XG6q"O^_p](3grV63c+8Pp/qt^-edrE,%rVcQhp%S4Uq"jja
+qt^9_Fc-4ks8Dfmq!n7]s"=0?oD&=bqu-Kns80ftL3.BdOIE`9s7uBdrqZKlqYU6jr;$$Vq=jXY
+qu-Hhq=F=mq=4LUrU5&no_eC[qt0jep\FFT!;ZEds7u]is7uHdrql`lrqV'~>
+nb2MIrV$3_#Hp_+p[dbBr;$(#m/QYDgKS:cp\FCMp\".Up\4IXrqQQhq=b6hqXO=Qp\<!FZ2+Cm
+"8MQbq>L'pp\+1TlY_FUn,E=\!;QNgo(Oj3s8)?Sm.'iIo_/"Vs7F'_J8T+LMNkI!rq#XQq"+4Y
+pA+R_q=jILp@\(Oq"sm^nb3U^s6TLEFGT>Wme6>Ap\XRUoCr"Qs7QEas7Q0\rqQNfrq:j~>
+n^d6[&(]Cdg"Y9;hjH3fh:Bm$h#5k'fb;]me^2,u9\e@Tda?[sd+QpudaJ-B!7L\m&(9(TeC)js
+X\bVLgtL<1dJM?$eCN40d8Xf<dGWU*eC+<Co$fAEin`55d+$h,f\,!9jO^/C?qs=!C35ZKhUBj&
+f[JF.e'lq"f$Vgde'HFge^`7!n^.lfgrRsd<,9k5dFQdje()_5e+h>jd/VGld/)/id/M>lcHQ:2
+J,~>
+g%u$9@"J=Ws7,jYr!rAds8Ag$Rf!-`q"sp_rr)]lq"adoq#:-cp\OpXE2N[7q%<T%p\4IXqYL*d
+q>]AY])VI%rVHKfnbWCRnG3(`*rc'1rqu?WqY^'cl-[)<NIH,#N3Ct.qtTs[p\F^brVd$!qYC!c
+rVZ3]&+onto`)R4c2[V3qYL!dr:0UXqZ$Bkq#C0bqYpBlqYp;@~>
+nb2MIrV$3_$/\p5q"t$Vo(VqUpCQfWs7i9iQ1XtInb2YIq=jX\q"aXro_S:SoCi(FAXW8_o(MqV
+q>(!a$2=/apt8]Us7#g_pAk!eq=42.k3M[:s8DcenbMqHm.L,CpuKZ,T87c6G_`<LnFlJFnalDI
+q"jg_q=ss^s7cTinb3R`s7>[Y[T^]Io'Z/Bo(i(EpAagco`+UZpAXjep\sl:~>
+n^d6[s4._5g"Y9;h8_ijhVR/8db!%JfDaG7dECV*KKaY4hV$E0e^N4$eGI\ie.9sYe'cUlfZ6jC
+i7QW2g"-&K%Fit[hS21?j3lZ4eC;qFdIG^>`llrfiSE8>e(NF!cILUqfYjkVIqVt`=D*N!d+6[p
+dEpCmf[ng.g""X$e^`='n^.ligs=.%Q9D5'e]uUkcI:53e+h>jd/VGld/)/id/M>lcHQ:2J,~>
+g%u$SJkXnms8N&or"&;sp$VkRIoFqks8Dilq>C3frV63c+8>d6q=sjds)s\-qt^'bq=jXYq"jja
+qtU)t=Q05Pq#1'fq!n7\rsS`!p\=R^q#16mq"Odf(&ILprqc,QMg08lR^^B7qu$Bgq"=7XrWN,n
+p\F^Vq%3Mss8W)eHB@Xrp\Op`qYg9]q=sgdq>^6iq=sgcqu?Nlq1&~>
+nb2MIr:^-_$2o6@eaib9qtTs`pBp6dnEKl@Gtu]Rr;QBio_nO^q"aXooD8=Vo_84XCP_iZo(MkX
+q>L'pp\+.MY>O*MnalbS!;QNgnb<(`!W2Wjo-!`#o_AIco^_nYr:TIIq=X'=L3%3XQ*S=#p@n=S
+oC22Iq$$K`o(;YLo(N[in,<(Wl#V^Gq=4+SnFcV@pAagco`+UZpAXjep\sl:~>
+n^d6[s475&%GBLlh;r/u\CBQlgXXjQfDjM7c/[9shpc!fZI.R_f%/@&rm^koq:#r%f@SHueCWAR
+Fl_9-e^r@KdLF^We_??J^Y@5ff$r3trR(/b-f<b7eC2dndaun!hqlc/gYU`9c-b4pbB7Dq9j2\&
+UXdrIf@A?scMlK#f$i'sf$j3;%arJPe_%uECs:\^db2jjnC.0[s3Uels3UVis3Ubk!RApgbCB~>
+g%u!M[TLH2o`+^a&,uD(rp'OC@>iJ3s7uNgrVcTkq"ae+q#13fr;QNlF+jSmqtg-\p\4IXqYL*d
+q#?"[rqQQkrVHKfnbWI_p\=U^rqn/Do^);Mqtg<bq"XRZs8DTip><W^PC."sQ*/<lp](9bq>^Kk
+p\=XUq%3Mnrr;`i_KW`nrV$9eq"jjXq=sgdq>^6iq=sgcqu?Nlq1&~>
+nb2MIr:^-_#P>5u^>n\Zp\jmcpCI)lq>'.Oh->WSq"jXUpA"U\rV63_&bPnqp%\CVqIk*Np[n4R
+o_J=]p]^Ecnb@N?rq$3arq?EfrV?!X"S20Vp@nR]-NET!o(i%RqXO4Mo(N"WnGDe2]:t@2@XjE9
+`8:"[rp94Nq"+"Fnb*Lfq!.YNnb'M5\+fXdrU]XDpAagco`+UZpAXjep\sl:~>
+n^d6[s475&$ea:jh;"AWTuGF6fDX7uf+?]fgY9g.^cuJ4gYLH4f%ARQeG[hke.9sXf@&4$db7T0
+k2"\@e^43A%FitZhIB%,f@JU*eC;qFdIG^>cd'qceC2sshoj!`f$`%!cI(%ce(N<sf[%'pIr&+O
+?ZCt$_:.6!cdge)f$i."o$\/td_sYddFFgeRbHB=gX"-kn^I9\s3Uels3UVis3Ubk!RApgbCB~>
+g%u$Ps0)(pn,N(Vr"&i+nGiOWs0kS"pAam_rVuimrV63c%f6)$q>^Keqcmk4q>1'erqHHfs8)cm
+#PnC/GlRX=s8Dfmq!n4mqYU3grVZTjpAb0gpAFpbqYp@3qYU3hp&G'eq>^-G[@M\VAq-PejRE*I
+r:p0hqXaLpqYC0ap](!fLlM-.nGiI`q>0[Xq"k$ds7lWiq"k!es8)`jJ,~>
+nb2MIqtC'_#PS+rn,M\Qnbr7]pCI,qlhg_Is0=tdn+lPHq#(*brV63_&bbtpp&+aWoheu`o(2_Q
+p\FX`p^-]go);j5rUosarq?EfrV?!X&GGknq"a^[p[\=`p%%nSo_/:Y*;9.%q=4@[o_&+Ogocrc
+?=.rH[,(!>q=X:Mq=X=P&+fhinbVeNJVNXhlML>Ko]Z#Kp&F[ap%\7[q#C*fp4*~>
+n^d6[s475&s4I_5h;71Odc8L-cMc;lf+Hflc/%I*j-:pFdbN@'f\G'/rm^qqq:#r(eCN($g!/&/
+8_VhKg"4^MdLF^Wf&T+ui7Qc@f$r3trR(/b&CJqTe'ujqd`pJ!d*:%icdVmC*7NEff$;q$dF-[m
+\WM/>5see)Qb^htgt:-.g"#]C&CJhXbK\bggLP$HfuVjqcd)(0psK,gs3L_lqU,>irm(Vjbl5e9~>
+nbiCbs8;Tfq>BLS#B=8-s7c'`qu-Biq"";!r-)rTq#C$do_8+Tq"jjaqu>GUY5J"nqYg<iq=4@P
+qXXGIqZ$NagqB)"A8QIK[c.)]pA=jfq>(!do_7tNrVcHarr)Nis8)caZ@h38s6][_s7u9bs6]jR
+s7cBis8;Zfq>'jeq>L-sq=s^\qtp<hqtp6cq1&~>
+nb<%Ys7l<^s7lQes7ZKcr:^!]p\"i,>gr`Dm/?YVp\jmXpBpV1?LmX_o)&(Tq>L'pp\+C4<2]K\
+s7QBd!;ZTinb;SKnb,3Dp?L2:O`=Z=DMG@KoCh\IqYBgWq=jCMn+-;Mo(2_PnG3"SrogD1h"LU-
+o_n[[n+lkFrTX7OpAP!co_%nQp&Odap'LEaoChqQq"XUXq"B4~>
+n^mcks4-hms4%V2g"P08gtUT:g"=m,eC=KGs4%"uqq)-K5e#h(cJR:Rf'UrmelGH!fA=p/d/26#
+eCNEe3fVkCiRc]3e^OKFn^R*Wn^B_Yg!.$pFAtLs;/)3,f%JF$f@JBuf$qskbg4kkcd:4kb15.o
+hTLpd^Xh&Vd+?grbgtFdg;_gme(WR,dF-J=d/_Pld0e7HcI((ge'lamd/D5fbCB~>
+nbiCbs8;Tfq>BLS#MjcVmJm.Ms8Dfmq"":er-<&Ur;ZBfrqHHfs8)cm#Pl#5_tX31rVcWlq=4@P
+qXO@qnb2hWqXa%8jiEp3@WId@d,as#rr)lsr?VC>p\Fggqu?Zao_I`rVuQ\pr;ZKjp]'RZq==La
+kPb2Nqu?Qhq>g?iq?m&np\Odar;?HhqYBr;~>
+nb<%Ys7l<^s7lQes7QHcr:]s\p\"jCFa*!JpuVDOp\jmXpBpV3?1R[anGDtUq>L'op\+0c:V?8p
+q>L'gq>L0[p[S%Kp-7p4oC__AjPSh1P\XK=O0-U`oD8=\r;?Hfq>0jWp%nOYqtTFDo&=Y^rV$*]
+qsj^Xqre"PmeQnCq=O=Rr:g$\!;6<a$2*r^p@n=Vq"OOXp4*~>
+n^mcks4-hms4./$$ea7hgtUN8f[eX'eG[hqeG[tqfE\uj>KYsZa5-^FmaMNn=A%B'h9Xg(qpGr'
+f%-<JU=J)Sg=Om*e,@_beFCuWdm)()f%AR"a25ZgG>:=sEfI-5d+?n%g"G$/f%8Eudb!'sf@7pf
+e\tL?h:1**e]ZapfYl[qbLYLbf$Vmpg!oiF!7:\l$II,EdF-Ile'cXjrQY;aJ,~>
+nbiCbs8;Tfq>BLS"8:8HV>gJpq>L0gq"";!r.&JTs8MWhqY0aZq"jjaqtcIaj7`NHs8Dinq>'p`
+r:0XRq'5b5r;HWorVZEis6n!uIr]^SH^DY8q=s^Yp@\:\qXaa^pAFmh(Su]ZoDeOaq"O4Qs6/hL
+p&FI[p\4[ep\FXcq>L-mq=s^\qYg<kqYBr;~>
+nb<%Ys7l<^s7lKcqtBdYq=Y'^c;:,2rVQ6cp\jmXpBpV:>O;1[nGE(Xq>L'pp\+3:>28ZJnbW7[
+!;ZTiq=j.Ko(PECp%J.Tq>'g[o)/LP_O#RcEGp#`^?,"Yo()>?p%\4Kqt'=NqY^<jSpL%rs7#sX
+oBQ&LjQQX6s6BUToD8FWq=Xg]rUpBeo^heMrV-'[J,~>
+n^mcks4-hm#Lh5Tf@ej2gA]b-f[eX'qU5DnrRUr"$.H7<K&GSCf%AXRf'q/pemCu!hqQK2f)*l)
+eCN5k5f2%2e(iR*e^OKFq:,5jn^@!U5h"97f@\d0f[nR,hTDR:>"qji<cXeNeC2jodEpFre]cXi
+bgP5#i8B/leB?[lf$2R^e)/!\h9OougX+=!g<fZC!7:\l"OPK?dF%p@s3U_hrQB]~>
+nbiCbs8;Tfq>BLS#QFCNEq8tns8Dfmq"":er/P:Os8D]jrqHHfs8)cm#Q8XrqYgHds8Dfmq"ag_
+r:0XRq*4iUqY9gZq"X[\qYU3grVaaFRX&L_M4h62s8V]]s8W&qp%A=\naYUian>]-s82Wlo@oqo
+orIBXrqcBgrV--a!;ZTi"Sqieq>1'e!;cKdJ,~>
+nb<%Ys7l<^rqQEcr:]jYq=Y'fmXK$>o'68Rp\jmXpBpVH<o3ZGo_S=Xq>L'pp\+;qIe3@5n,!%X
+!;QNgq=j^[&,5knq"ORXq"ORXq"ORXq!n(eq=sXTo(2JFo_%nOp\sq@_6T>J@;1CaYLiXJmd9lN
+p\4.Fq"3k:gNpd+qsaLVp&FL4SD!G1k5Y;OoD8:Sq=Xg]rUpBeo^hbLrV$?dp%e<3~>
+n^mcks4-hms3hA+f@ej2g=b03f[eRJdf7hqf)=5-gXK_/d+-A#f\$/RnC.`pD*uD%g=+a(qpGr'
+f%Nr2g"YH4gt(!)df%SheG7W*eC)jpeC)jpeC)jpeC)jpn^0SPe^`'qd*pCldack!e_&NJP''_i
+8S!1/\(]T^c._((dEB_ceBQ7P?),Ztbgk(ghorHQ[a'QDgt1$%f@J=Ed/_Pld0.hBcHsu;dK._@
+rQY;aJ,~>
+nbiCbs8;Tfq>BLS#Pe>p=+pVMm/?eZq"";!r1RHKrVZTlo(VnRq"jjaqs%Lns8Vojs8Dfmq"ag_
+quHTaq!n)$q"aa^qu-Nos82TfrVZBZs8DZ`keMgN@:3i2b5)),li-qaqAK52qO*$4s8W#jqu!L.
+^%1ljPlL4Lq#:-hq>(*erV?fqq"OU[qYU0dp\B=~>
+nb<%Ys7l<^rqQEcr:]dWqt:9brUNd7s7PRRp\jmXpBpV[;9\b,q>0[Xq>L'pp\*WKX8)_eo_SR]
+!;QNgq=j^[!;H'Znb59Ap\+CWqtp?iq=XOZqXa+Sp[IV1\p[@Y>%EK.oD7b6rr;fdo_&.RP(*$!
+q=jFPp8)6-m-pL)s694Iq"4@Wp&Odap'UKboC_eMp\4CSp%e<3~>
+n^mcks4-hms3hG-f@ej2g=b03f[eR#df%Sndf%\ned0pYj4H8!jOhWRf_sCle-OWU5.98"f\+RI
+dLF^Wa$#RAin)c:f$r3trR(Gjq:5Mp%G'%[eCN.#eCN.#eCN.>d6H"*e'cdsf[ng*daHasd)t>!
+d*BLs>q\9#6trIGg;q+_h::$)f\b8&?I@EUdEC"gK0Y^Ec?X6`a4&Dddan6A!7:\l$II,Ed*U1g
+da?CerQY;aJ,~>
+nbiCbs8;Tfq>BLS#QOMl_-Ec1s8Dfmq"";!r3TbPrVHQmnb;eQq"jjaqn-.cqu??grr)Zkp[\4]
+qXXFOp\jmsq"FCQn+6;Lq"Xabn+cn^.eic=`35&2>]5\#`S0bOq#CBes3>-0pAb'erJsm?m/R+\
+?1ILcqu$-eq>(*erV?Zmq"OU[rVH9aJ,~>
+nb<%Ys7l<^rV6?crV#jWqt:9pn*mniT(E!\p\jmXpBpVn:qu_qr;,sZq>L'pp\)!odIdD,q>($`
+!;HHenFuMKmIr^9o^hY@nb)YMpA+UNo)A[bnalXlWJ"\\Bo/Lte`cDkr;,j]a'I9cq=jRVM+rrk
+rVuFilg4H?p@%hQp&Odap&t'\oC_eTpAag]p4*~>
+n^mcks4-hms3q"u$eO(cg=b03f$r3tdf%Sndf%\ned0phe^gBSJ_&l[f_sCle-OWh4fR5ggY'jK
+dLF^WR6%h2i7$H8e^N!prQt)an^d*T44)9tbf@oQdEp7he]Q=siRuW-gRa745rM;KI[dOZajSu#
+dGq5i[*I4LcdcYYC;el`co&qff@/6ofD3eod/D>pd*L"ad/DAlci),ebCB~>
+nbiCbs8;Tfq>BLS#4DNbqgrP=r;-Beo(s:%_I(=_q#C<dp\4IXqYL*dM.uV\qYC-grV?Edq>:$b
+!VuT_q!n(_o_%qQqYU3irAFKGnF#i@s826Rp\XjcoD&@cl+N.!C1M^ea70--p%*4%nbN4biDajt
+n+Q\W<P&50rqc6aq>(*erV?lsq"ORZq>0s`q=sd]J,~>
+nb<%Ys7l<^rV6?crV#dUrUpKZs6oT-A(gPRp\jmXpBpW';S2bpr;--_q>L'pp\'2JmIp5Fq=jm^
+!;HHeq=j^Yo(N1[p[\(`p%J.Uqu$Elr\XQInaH&As7GL=nFZAGm.'oIijOY[A7'MN_<V'omd+b`
+lgsuLgJ2Sbl1"E?:UKunq"3tKp&Odap'UKboCV_Kp@e1Po_J32~>
+n^mcks4-hms3q"u$eO(cg=b03f$r3tdf%Sldf%\ped'jNk1/0p8\FuRrRUPh#M,S5V;KhXg%s,+
+eCJ5&e(iU-gY(-+e'\-@q:,5h!7pbo!S5Zhcj%b?cdC4kec+,WeBc7Wb0T%ub08>df@\F!gt]l:
+CJ@&S;L+tYin;`*9Rk11eC;#[9&@V6eC6(5f[eX%bLH@8!7:\l$II,Ecd:%ddEp4brQY;aJ,~>
+nbiCbs8;Tfq>BLS#QO)hqr2d=nG`=bqYp9\q[!,A@`SN@rr2foq#C3jq[!+7I/j6<s8)Ngq#^<d
+q>'p`q'Gn4qY9p^qY9p^qY9p^qY9m\q=j^Zq=j^Zq=j^Zq=ja]p\+:Prq6<^2#.(Mq=XFTrr<#m
+pAFsdp\k*dpA<dMPD*dpQCkeUM2)'/s7q@ObQ%A;s1M?Xs7H9dq#C0d!;ZTi$MjJkq"aa^qYBs^
+q>#O~>
+nb<%Ys7l<^rV6?crV#dUrUpKrjnnc-EGXt?pAamdq"".bp:aP>rU9RZqu6Bip]'pl@s.bKmec\K
+rq?Bd!;Q<_q=Q'.q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"OR\qY9gYp&=[bo/-:Cs8)?W
+o(i:]o'uJQo^_eQoC;S/Vi?1;Di^9mjb&!Uo_J!(:r</!q>7WqFo:\%o^_hRp&Odap'UKboCV_K
+p@e1Po_J32~>
+n^mcks4-hms3q"us4@;(s4IA&s4%%r!7C\lrRCes#iit^ft^Q_cIr3LrRUPh$eD7CVW6+Zg=Oj&
+df.bredt;RiSi/>f@/:!e'ZRidF$D=eG7P`ecF:Jo$@Qhda6=cc2Q#gb<+,'f[A$idb3L2da?\&
+eC*"&e'Z[RK5"U[:NCfKaCAQ-e()cK0;I:If@cE>;qfIGda6Old*^4fd*_j>%FNPMcd0k^cd:%d
+cd0o8c2Gh9~>
+g&(UDo(s!prosFXqRBgps7H?goD\7Zo(s:%`*0PJpA+abp&"dcr;Z?A?a02#rql-^r;$EhmeS"#
+qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYB[U0DbM=o^_YLqtKdSo(W([q>Ts]s8;N*D.-Xg
+D?'>0fOJarp&FacBMc>:nbqhSqVh7#~>
+g\:aAs7lKenb3Roli-_QZW;qUlMpMEqsaXVpDEV79r\0_o`+[Vq#'gZqWZC1X7,fYp?DDNp&OjF
+p(6ulp\+@Tp\+@Tp\+@Tp\+@Npd=fKo'l5Dq=X@KnFcYSp\O7Kr:]QgA6;`C@eT-_bueEFlLjQE
+?UqEnlhBQ@o_%qNp@\.Pp@\.Pp@\.Pp@\.Pp@\.QJ,~>
+gXQ8Ss4I5"!S#Qhe.:6Ng=Ol?3cNm#jO_]2bhM^<(tPHCPNLBGhpg!&g""^.bd9Bgce$k$ak$C=
+!R]BcdIPcUdIGROda?Cbb085]ccsVTcd^Ile]Q=of$9[P4#KZ#g<\QZ4@@]Df?W>?-BZ]te&'hc
+ccse\ccse\ccse\ccse\ccse\ch>V6~>
+g&(UDo(s!pp@\4SqW+DaeGo::s7QB`o(s:%dorRIo_JO]qYL6eq>L3-@`eWFqYKsbb52/6o(Og-
+o_A@arqc?es8W#io(2VGs8MZ[_M3'4_qo+3oDbR_`;fi:o>Xs:oC`.^s7kg:q1&~>
+g%Y=<o(N^jqu$<apYVBEaT(Yrs7#pUo(O!paA86$n+?SNp\4OUo(MO_>fHR4p@e+Rb4bl0o(Xp0
+p%eRds82Qis8W&koCV_Cs7l$I]R=Ih]$ju[jo1N4[drqdke0hilL4]Gs754Ciq@m~>
+g!oiKo$m]f%a`\Of"lf'YiaB^j3ZH(o$eN-Z8mQpdam4&eC<4$e_/KC4JLHUe'l[pq:!a=n^&u4
+c-b(of@/'sg"P!%bKS;Th:BfmS6edBS[UqAbN+!uS(H3Jb+:@Aaj&Shgs3UZiluu~>
+g&(UDo(s!poDS.SqZ#qtH2@C/s7ZKdo(s:%m:M^aqYpNjs7ZHdq#15dEU!Msq=ajdb52/6o(Og9
+qY'UUp@IbCn*p#Jrr)]frnaT"=E_IHs8KfEs7qXlh>dECs+sa3o`+<LB[$M8q1&~>
+g%Y=<o(W1Z%fc(qp\j,[Dt*8_s7-$Yo(O!pi`hB9p%eU\r:BaTnb2jICZYTep%&"Tb4b?!0`1Y;
+oCV\FmI0H1oD8C^q"+@7U3':M[cIJ[[93=nJRd.+n`Kk%9RlC,kEfZ!s7PCFJ,~>
+g!oiKo$e6!ce-Cif&+P;<nGmJj3cQ,o$eN-bXH^0f\>64g!JF#eCif-9>]T4da-Rrq:!1-0\+Us
+c-FVXa2uBCc.(=pda6USJ5S'rQcJ+;R6KTYB1KDge]?]V.pgBO_fJ#:gs>!)J,~>
+g&(UCo(s!po_IhQq>:3!:o"'jo)J7[o(s:%rc4&!rr;ups7?6equ?\KOT,:RrUU!danc#5o(Og5
+q"OOYr;Q`rrqZ<^p%A*uGZ8:2_=mp/oDe?/i;7h+h9YNeid";jp[tOcGk^O_q1&~>
+g%Y=;o(N^jq>Td]p@eNd7[a;PmJcPPo(O!po4N^Nq>1!`rUBXVo_SK3MYd;Bq<n4VanG5u0)"r1
+pA4[cs8;T`oCMPG^iW=ZK"LFEq!._<ERaGq;UWMDn^h_KlL+,::3,shiV%d~>
+g!oiJo$e6!d+-.he^i`@/V)p<cecq#o$dcmh,/%gg_&8lg<J=%fA5FlC=h1cf#udtq:!.,0$r"l
+e(!%&hq$9&d*9nbSP^q%@%#<mgWeTt=1Zp\2R]R)e%&7"aj&"Z.Se:*iQZl~>
+g&(UCo(s!pp[n%QqtBm\OBg<8oDe4Vo(s:%rcs;!qt^!]rpp$er;Z/"])VL!s7$!aankQ'"SV]k
+rqcWf$i'Ajs8:<4DbF`Lnc&P*p\O[br.(dHI>"u3IB%rsp&=O^iE`VSs5Ed(~>
+g%Y=;o(N^jq>'[Zq!mtFM,hh#mf2SKo(O!po58sNp@S"MqsX=Up%dQU[/TXgs6TRUanG9!0Cni4
+qXsFLo(2ADs7ag&CI_m<mJ6e^naZ)Eo6$YsEd=X\EhRhMm.frEgKCQAs5E[%~>
+g!oiJo$e6!dEp.ff?r0uD)nl]d,E+"o$eN-h,n:Eg"+X%fZ`"$f\FM9PhXO3gr\-sq:!1-0@/,#
+f@A3pcdU.hh:J]K80gBXb1GP0dF-CteldUW<aCW=<.\@%bLFVb[ki]Ugu6M.~>
+_YXo@pA"RTrr;?bk?W#`s8N&ko)&Ib'SM8Aqtg'`rV$0fqYS'=hu*$As745,nbN4^/c,89q#16m
+o[9FN<bR69pA4C\q="4Ws7H>GJH!rHs8RgaCqTf2s8A!qs8V?Bq1&~>
+_=nK8rVl<`rTF.;<bU.^q>0[QpD3JmH$oJ^p%8"ToCr%OoX%iUq!IhUm`5%lp\sk<p%._Fq#(0\
+c(&KF@tDqrp@%hKl1OTFli)6Ro>YqGrHhaYZhNGYpPEVarT3#3J,~>
+_:0"CeCVpsgr\Km3_[3AgY1'Ge/$Wi@qOTNf@/=&d+?q$f:"n6e]QCsbP0K&d4j&#f%&6se(EI6
+c`MRd0gfBMc-sngdE0qehTk(e=kBZTfABjr6B]p5h:#q&gt0="c%#~>
+_YXo@q"k!\r;Z<brMs"dnbiF^o(s:%rJlU3qu?Tlqtg*cq>?_)p\+C\qt^0cankQ'0DP;8qZ$Tm
+orEIEF046gp%SL^mf3=^s8VNenB"`&s5J!<A96Q$oDe0gA<-Qbqr.@$~>
+_=nK8r;Q9_rp9CSVGNB>p\j^SpDEVpK6m@eqYBs^p[e.MooEqZo(;bPp%\3jp+Q%,n+6>Mo^8Mt
+<,AG^lgXNGp$2PUo)&:Ir9(jilMoOMBj5?$o'QJ>[U>!eqYB+DJ,~>
+_:0"De_8="gW\:'Lbj+sg#(9Le/6clD.MJUgt:90eC3%"fQC!;cdC=ndaceAe'ZS3dk0#!gYCE.
+LKHK2M7CjXd,!'fg"Fa*g;r*kUG0sQ\k#FU8[?^bh8577AC8lSiQZl~>
+_YaB0%e]Yqp[n@^nGeP\eGo.=o(s:%qMp%#pAb$bq>Bsar;V_7s7?9ioD\dbankT(0`(_FrVl<0
+QuZYaYMo9OqZ$Q`r;ZB_s7Q-as812W^\.X,rki'Xki;<SIXQYBr:f1GJ,~>
+_=nN;p%eOXnb2eEs+k"+qX""NoCj*qmt5]PnbW%RpA+7Qp%s8lqX=CZn+utS\b?'r/b\r'`0"h>
+G,X-bnalYSmJ-_MoDS.JpA=F%?af=sp@Z!s\)Q63_0UBPq"j[Bp4*~>
+^sin@e_&9pf%J=.CI,2\ce?tAe/6ciD-b`Bgt1')f$W+%hI^BRbhC[mf@eRIe'ZS5e,S&Pg"OZJ
+FA>#&MnRWif%\fse(`$jgWe-sgs`;jREaI;esS@\^:DCV<)Z`De'?psJ,~>
+_>=6/r:p9f%e]jUG4#&(q>^?bqu-?eqYM$*rJ"bVp&=depAb'`s3=rVrVZTjqo8ITrp][]nFHVZ
+q"FafoBuGSs6oigE,&aEo(DhWs8MrlqY^0hq@E;tr;-GBNW8VMs7:tSB%HtWr:o7HJ,~>
+_"[d%rq?onr.&_JnGDkUp[S"Rp%J7V(&%3F<q>bUpAFO^p[J1&;Q9Ecq"OO&p)s4uoD7hAr;H9Y
+r;Q0Mp&4aNoVcJ6=H2Y7o(MkQp%7tUp]'ptnFlSJrH3ejlLt#<J6ZL/rq5(?J,~>
+\^V/@dGA>2b1,:tg!n<sf$`%De.pQiAO+hqgXY'*gt0p3W]5she^`1!p=%F:+P4`^f?)4hg<n7"
+gW[^dg>0s(MbHT%E6ck]g"Y65eC"9BrQu/$eCN.+<b:(0e^qoL3'=;@ceZir~>
+_>F6.rqQNi&,#tjb]g)YrqZTkq#:6frVHEkr"G92s8;liqu6Hfp\DL1g\q'JqtnD0$ig/%s8Mul
+melVGqu6U+n@+Hl?@]NDqXjLXr;QZlqYC0f&c;M'q>QIoh>d$Fp?U;es7uKfpu2%!~>
+^A%X%s7[&ps67RCUZqICqtKaZq=XR[pD*DlLgp/Rq=FCYp[n%I[T(]Lq"XUX`qBf?q"O[^q=NtI
+mI'`Jrt+M$LgaA1YhJ^9n+65Hp@S"Sp]'q!p%J(MonR//roj4Gjj;]\p%@)5J,~>
+\^V/;i6/*!LX+Q$f[S=#f$`.Ge.pQhE_P9BgX=^+eC;psR6%b-e^`1!p=%F:+Q(`!f[n^%a48>U
+eD/s:bE6R.3a@l^f$Mjrf\5$1eC"9BrQu/)eCE%!BLfJda4\\QXL6j^ceZir~>
+_#+--rV-p"rr)H'CrcGNs8)TlqtL*dq\&i,VKMY4qtBsfo_\X[SSeB)r;HN5qB58#o^htZr;Q`m
+rr;K;V0,k%ZL@h`s7H'\q>1!cqYL$ep\jn!rqZEfqR9M.s6]jXs7H0\q>U0gp&OmHq1&~>
+_=ms'rqHBd&,Q1um^Q`<nb2kRpA=UUqYKq!p@XninG2eLq>TpXq<aJVp%S7[pW)tMlgaH3pA+IY
+qXs[\ld)5C;N.aCr9XIPo(2MHp@e1Qp\ssdpCR2oo_%j]:oOEWrpBXOp@7hTpAOaEp4*~>
+_:8M9rRCkq&(]Ccd%!V$f%/L&e(E0sfD<u0f&)0\eD/^)f\=^&g!G"7f[n[PeG%G>d3-NXcd(+p
+f@em.g"OWQJ5A";NQU&#iQos$eCE.$e^MqDd/VK*e^2andZ6)<h8S*ifZMRacd2R7s3'BGJ,~>
+^\e'-rV-p&nGi:`K6#cIs7uEeq"4L\qZQis[Vjq#q$I)tq#CBeI$+I,o)$f1)?9O's8VWZr:&^[
+MfXH4f(SG0rojCVqtg0gq#U?frV-9d&,l4ts8M4dNqi5Erq-!^pAOdbp>Pgt~>
+_>"!'s7cKe&,u(uoDX#Idej"9oD%tIq"j^spA(b!f(AV.rqH*^rpFo_q"F:QdIn[Ts7G^UqX!SC
+leT++DL@Gko&frIjT"iFp@\+Np%A%Wq#0ptq==.Qpu5;0o'Q2Hmdg)BrV$3aiV%d~>
+_:8J8s4%%r&),7be)F\/\(fWbd+-Ogeb[c-f&N#i]%>N`h:0m,hU,G@gXbrFdEs&dhpfp*g<@dm
+bIs<U:0_Y@cc4_m_;EVje()mrdachDd/VK*eBQCmf"a.Td*'nfb0JAXcd2R7s3'BGJ,~>
+^\e'-s7lWg%eTSas8USNNqiYOpA4UXq>1d%rkDs[qYU-fo)J[cj^u[3r:9a4qAT#+s75jUq>^Ai
+A8%.Gnc/XfoCi"Sqt9j_q>U-iq>1!_s7m9+pA"Ucs)N)Yrq?9gs8Vigq"sdDq1&~>
+_>"!'s7cQgs7m/uq<J"Tb"REXqtK[Tp$qkP&bbh'=M+8"p\O@Yq"EQO^@CpfpX/[Umf3+Ln*flJ
+p7P`$N54cZr;6!Up@\4Pq"XRVp%J+Uq#C(#qXX:Sq"efAs7l*Wq>:*]p@eCXiV%d~>
+_:8J8s4%(s&(/_Ral(sX1htIkeBcUlcM>s%f%loaT@hfIg!&7(f"j\KeCO3?dEs)^hq?6"cdUk(
+J3H;9TZc6Ge]lCgcdg:jdaQRkd*pFirm(Jh%b8hOf%/JG8D_k?daQatr6>2`iQZl~>
+^\e'-!;QQf&+onks7H/l<6X_-qYU3er;-:'r:S3A[K$7$p$r(Un@33/qtp6gqtL$9qAT%snc/XV
+X++u8\G#t&rVuK\s8DZhq#C6fqYp<jqYU$eq%<Z(q"OX^R90%\s6]jOq!\"QqtB"EJ,~>
+_Y=''s7ZNgrqR)us6]jRn=`CmkkXrHq"FLZpCd2b^K7T:q=X=Hs7,E[@d`g[pAOa[psJdRn*B<<
+s6$5(B6^`Os7uEdnaZYVo_S:]q=saap\FUapC[;so^h_JP>UcDqre"Ao]u5EqtK(CJ,~>
+_UKFRf\"d)eC)alceQ\%dFX=2VT%-8eCE$uqU?//e>Y`si7lc/bMU^jPXX*Pe^OKHpXR^>)q3-V
+bMD-tKipoJP0i1@fA"Klh:9g#d,!1!df.VpdaA$=rQl)+da?Fidr@%`e^q^l^s9ptc2GiEc%#~>
+_>>&Hqtg0ap\4@Urr;`lp]#braSZ#6qtp<fq\B&)h.j(lr:p!Zs7H#;IfKHFqYL*dpAE>7)?9^.
+c&?=_S@d):s8)?^q>^$ZnFZYHn+ZSRq"sgcq%<K%q=FOTdTEaKs7--]s8VlhqtB"EJ,~>
+_Y4o@p%J.Sq"aa^qZ$Nbp[.NnIDkmWp@n=VqY(`uma>I>s7c3XoD\4KI!>G\p%J+Rp\+C0p)3o)
+mDaigFHs5RlM^>@naukQp[RqTn*p,Iqt^-as7[-#qt9FQm`\S/o)A%TnG`I]pA=UCp4*~>
+_UKFRf\"d)eC)aldb3@(gXP%a?(od#e'umtqU?82fXse5in;i0d+cmo?WuC@e^N!seFqG@d2LKk
+g<cg46s"W"Wm0JQcd^IubKn;Te]5bXd/25hcMc*%dac^ee]XsHL<eJnf?2_#c-?./iQZl~>
+_>>#Gqtp6bq"OOTr:Kg]r;YA=WVHMgp\FdbrV@9+s6jm's7cEjqtp3h@$:Edqtg0dqtBq.qYC!`
+qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYBUV,Hu`<Iugnts7lTnq=FXdnaZ8KqYBj^r:p$_q>:!b
+q"a[[p\jn"p&4aZs7?8(MuE5Bnc/%Lq"Xa[iVA!~>
+_Y4l?p%J+Rq"X[\o_e7OoCDLt5c!uKoCDPLpD*DujCk1^o(N"Up[nJhMt6Q6p@e7Tp@o[%p\+@T
+p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp[@f#WdAK+M6,Y6o(`.SmJ6_Jn+HMRp\4L^pA"FZq>0p_
+p\=LXrV$lpqtBOZn,-XKp[7_As6T=MqY/tBJ,~>
+_UK@Pf\"d)eC)dmcIU:jf%8Z`,D=M#e'e$@#hIt[:4q?Of%^2R$/[d]e_&F$e'un@e`"pGdi+*J
+8m,ke^tmGkgsaO$h9*jadaQRhdac[jdJ_JpdEp29ck+IPdECCjg-B/sajA)``Q?C%bM^Wq~>
+^&.^'rql]m#HM:Ds7-'foD\Xcq%3H'pLfQaqZ$<`s7j6?XT&8!qZ$Hlr:p.Iq"aXYpA"CXp\FRZ
+p\FRZp\FRZp\FRRrVQ9fp@%kQrVuilqY^?ir;QW\`KG+[Q,`1hrqcBaq@`W#q>0p`q>0p`q>0p`
+q>0p`q>L.#q#'gbpAao?FSYq7p\jmcrV6?biVA!~>
+nb1B)s7ZBb!;QNerq6WjUft#%lLt8GrqQHf&GZ+k@#4IHs75[Zo!W#)q"ap_s7cNfq=jpbs7\>C
+p\+CVq"ORXq"ORXq"ORXq"ORPrqZ9dp[.bIp\FRTo_/(QpA"@D^PliEOi$>XqY'OUp(I,np\+@T
+p\+@Tp\+@Tp\+@Tp\jdro_@tUo)&'/DY*YtoD/(Uq=ikAJ,~>
+n^c+;s47+t!7LhqrmhM1Ld%$]c.V.&f@SR'rmMG/h:+i.f@Jp/d,E?95_dqErmUnsrmgho!n5QD
+rQju[+3<$]cIU=]daQh$f@/7#f[\R*f#F=u85*on`R`Yid/)5[d/_Pjd1=RPbh:7lcWj/kf$hmm
+bg672h9CH~>
+Z24q%Lh>*8pAapbqt^'ep^m9!qJ_Spp](!arq;juh#%$KqZ$Hlr;-9mqYU'^rV#aT+8Ya!mJ6_W
+s82Zfq"t$co_nF3SoAV;a7K-+rV6$Xpu2&[q>^'cp\t)bDs75sqYU-`rV6?biVA!~>
+nb0io%/0"9>fcs6s7?$\q>($d&,GtkBo;TQr:0FSn<R\;p&4Uap\ss`p]($hq#0sVp`KD.mdBrN
+qu-6[naZ8Fo'Q/<c'N-XPelh]qYBdQnatf6&,#hgqXaRYSn[3\oChtRo_J7?p4*~>
+n^bS,+P+nN6*91riRQQ3e^`-tdaQn$9PrG2gsOX(c?)I]e("BGs4%%uq:#JpdEqj<nB`9+d)O)R
+f$i7%f$r4$g""I&d'.gi96[)Rd+-XlbKS;kd14OSb14efds4O%f[%skcMkrcbQ#iecf*-!~>
+Z24k-cX)D#qXOU_qu-=&q"aa`HB8!rrqH?cqKR8bo_e^bs82fnqYLBkqtTpapA"CXq$R/ur;Z`m
+p$)GNp\t1)oAuEd@<J^3q>1'gqtTjXqYfCL&,H7rq"jpgc!ncnoDJ@^oDSI_p>Pgt~>
+nb0io$MOM==+Kc2m/QkUrV7$$q=O?$M"U01nb2PGEcV*GrV$9crqQ<`!r;WcrV#aT+9)'3rqlN_
+kP4Z=q>^E\hir1dDl;C^o_J=Wo^VMGq;M#Xp&=COpA"R->f-:'q"4IQq=ikAJ,~>
+n^bS,%+aI=4(QdjcK!O.e^aZJ&Co@b<bp@7f[89udSNcobgcX@s4%%uq:#JpdaA$?nBi?1daZq"
+e'5_]e'Zk-h9E]V;`dd1][PB]eC)[ec-b&"d210_aj8A`f;(O'f#cCad`'>MbKJ/Tcd1RpJ,~>
+q>AY;nbi4[$1n2'>."=ns82]lq%<Dtq>>YoqtBs`qY9VlQiH[VrqcZlrquQg!VlEfpA"CXq%W\q
+q"j@Ls8VojrVl/tL1"PK]]K"hrs/5jq"t$fqY/tF&,?1rpAFacmolRdnbhqWp&4[ap>Pgt~>
+q=j^Yg%Y%3qY(?jm/O.cXo.5Zq"Xg`&c2=qolbcUn+QAFo'B\FqsF1XpAamdq"aXcq=s^_p@e5,
+p@n:Tp@n=Mp%[eBs8V`_p\<m\J6H93[bp`Rqu$!To_81Vp@I8:&+onjo(_nSlVsMNlhKoIo(i%=
+p4*~>
+q:GGng!oQBqU>r)cfC0HOPe%;f@SR'rmMG/f%F26f@&7!eC)K%DqW=brmUnsrmgho!n5TFrQt8c
+-.C8jdF6LmajSVWbhq7+e(<6lQs_s=A!XmZg=t?,c-Ohfe'ZJ"d21-`b0AD^e]'Fqe]6.Xe]5eR
+bKJ/Tcd1RpJ,~>
+q>AY;nbi4[#P7udHtq(,q>L3iq>^=%qL!G^qYg<hp;^[bo)8IbqZ$Hlr:p-iqYC*bq"aa^+8tp5
+s8)QgmIK;WRr`1gR,I9)s8W&imf3=aq>'m`q;M/\pAaj\rqH6fBo`/dqsOL[rV6?biVA!~>
+q=j^Yg%Y%3qY(9hm/QBoA^'o@rV6Bf&GYtjF`-gBp\"7L_-OtFp\"OZs7cNfq=asdq"Oa\q"Og^
+-2%!)p@\.So)8U]p%IV:hSGLq@<Rjhjn&HMq![MJqtKdVp@e1<p(-`no(2_Lp%i0Sp[S"Drq?0^
+iV%d~>
+q:GGng!oQBqU>l'cfEAR8$:Inf@TrN&(fIc=AdZ#f@AI!T0&ahec!tseGe"oe,n+IdJ_GedJqZA
+e^N'te^N0sh;?c2f#Z+MTls0s<cbmle(rm5cc=hlda6@gdEpk"(X:XXcIL4eeO+$#c-jJZbK7lL
+bK\;Xcf*-!~>
+q>J_<nbr:\#QOGrf2c\[qYg<jq%3H$qg`JYr;?NnoS[ndoDeL_qZ$Hlr:p-iqYC*bq"aa^+91p"
+o(MtUla;7CA=V0@rqucpq=OC\s7GpTpA+U`r8IJ_pAOj`r:fpaN.Ud&qsjX]rV6?biVA!~>
+q=sdZg%Y%4qY(9hr9a=,;.f=jrV6Bf&GZ"lH"?O>p@nFOKlHPKs6os\s7cNfq=asdq"Oa\q=am_
+q=Pj,mHO$.p@IFNHVe(9cgLW'q>'[OnbW:Tn*oo@p\=OBp($Zhp@\4Po(n)gnG)bGqY9gDp4*~>
+q:PMog!oQCqU>l'hpL5c1J#mCf@TrN&D,Uf>Y!Atf%8X$@nt=mhp)/Ls4%%uq:#JpdaA$?q9]2k
+q:-SAc,n5Xf$hX#>;/9cYKkhQg"Fm$dG!L$b0/&VdaQ\(d21'WdEp@fc.-?0cIC:]dEK_SbKJ/T
+cd1RpJ,~>
+q>J_<nbr:\#QFAqs.!#co(i.nqYuIhr;?Ekrq^5qs82ikrqcZlrquQg!W)Wjq"XXbqYL(,rVuoj
+hm7oK<d_IFs8)Khrqu]ns8)9Mqu-No!rVidiVF)[p\am`qt^,gF5[#lq"aaaq#0pFq1&~>
+q=sdZg%Y%4qY(9hq="4\QVO:Bq=kKnpk32Np%8(ToO*p]p&+C[pAamdq"aXcq"OL\p%\4\p%n;&
+pAOjUfW9F0;0]M5r:]aYqY9j^qtBF=p\FderV6$TiV!fSoD&%Pp\"9UD;+aVp%J+TpYkgr~>
+q:PMog!oQCqU>f%gX4j:G:nKlpt$#2B1LV,eCiL(5'#B+g<fiJs4%%uq:#JreC4BEpsT5nqUZhB
+i8)emO'Y1.<KbATe'Q^ue^`:(e&oPUeC`I,e'H8&dJ;-*cHXeacdC(eJPEZ'ccjYWaiV`Lc-=S\
+iQZl~>
+q>J_<nbr:\#P7uno)"VHe,&qQr;$AYDZ9M,s7lV$]))F"s8Mlpqu6NgqZ6QhrV63a!;cNg+9(`<
+H!FKnTE"]Zr;H?_r;6?dq>1$frqlQfp@S(Tro*\_qt0j`pAY!c[UdPSo`+g`rV#4GJ,~>
+q=sdZg%Y%4q=b-^s7bpSN_7Unp^m2jrJtUcoC;\Jr`QW#q!e+YpAamdq"aXcq"OL\p%\7VoH3hk
+Y]<`ACmk:pnbDqNo(_tQp%A%Rq>0jZp%%VCpA3bA&,5Shp@A(Torqc@nF6AKp%e@@p4*~>
+q:PMog!oQCq:#Ypj4Vc0DCVgcf+?WdiGqQEf$W4"hD^VGf$;nHe,RqsebR\re^W(HdeM;ef,r_i
+P>sS":O1gEcILLlcdgOodaHUpf%8?td*9bYdFIL/q9Tr*b1"_]eC)^(5,-9Ee',tVaihlPc-O_p
+c%#~>
+Z2=Rs*W>a4nS`+,q>^Bmm/Qk\opg*js7cEjZss(-s8McgqYC!grVl`pr>PP-p]'sXs7l'_q"OFT
+s8V3!Kkjh,T%!?3qXXIHqW[e\k[2+&nb;tXrV6?biVA!~>
+nb0fns7RK0o`+>qA`iX_p\O(QoD\0CD!(Wbp%baqs6faYnbMnSpAk$gq#C..p@RtUo'ZGJli$AC
+mI:#MhS"AK;Il-<mJ6G/pA"=Pp':9M=h47no_J:ViV%d~>
+n^bP+s4&.Ce)/DC7)ma3fA+L.e`,#%:W_J@e_,sDh9=O&chZ&ce,\)!ec42=e'ZOsccb"haP,.m
+d*pk._4Y4,2+Mtrd+Qt?e*59UciDD`bn/4:3LA18bL"JTaihlPc-O_pc%#~>
+Z25U<s8DNgrjQC)s6fp[s7QEkq4qTRq>:-iP]$Nqr;69cq>294qtTs`rr<#jp\OXVr;ZKhs8VW9
+Vfu!ENQ^toqY'UPq<@b?q$-k0T`"`]p&+U`p>Pgt~>
+nb0fn+85X/n,N9l@$CWTrp]sWqY0QO?I899p\9b^qXO:Po_J4VpE05*o^qnSqtomSp@IeKqsjF\
+s6@_!E(X2d`9mBln*o$(q"=7P#ke%#ReHOJo(DhQiV%d~>
+n^bP++4]-!cJ[E?5BGf*hU:H4gtUD16*o+lf@Xt1f[&'rdeVAfe0!8kdF$Iqf\"Hqe'Q@if[8=2
+im"QW;_:%EVpO5Mda7O5l-]@Ss3L;]&C8umGgb'`ai_`IbKJ/Tcd1RpJ,~>
+Z25X@rV,saqu;^__uK<,s7u]ls1)X_p](6dE0:%qq>'p`qYC!is8;Zkp)3Pqs82irm/?tNoA$Ej
+?#>b+hX17=oC2VVnbMGGl1kSaAU!_Fp\"Oaq#0pFq1&~>
+nb0fn+8Pm0o_nRaN**gomJ$SMq=ONh>f?./q!`$Vp%J"Kp%e=WpB(3coD\7unF-;Ks8(pRs6&h%
+Vf>gPNMkInp\4+Ap&FaVpZ_DHp%.k_p%i$8m/?SIqt^!Fp4*~>
+n^bP+*nK#nd+[%+CH.pGce@=.h:USL5Guubf[*6)e'udmps]&g!nu8Trm;Y2ceR+0g;hk)a3M/L
+;)h*`LUkLXf?VRii7$E-qU#8go?@imfKW0QfZVC`aiV`Lc-=S\iQZl~>
+ZMPd@qtKX\qX"7>G?k1@r:U*eqZ"]RchRP9ggJ(rrqcNenbW:Z!Vu]mrtkY'o(r7_ke;U]=E:\5
+s7uNdq#16mp[.MHl2'Z?#PEq(nGN%Xrr)Wjp>Pgt~>
+nb0fn+8bg&s7bdXgi?KonFc5Ho^hmrAB=<<o@@*ZoD%tNo'uGRnK%8sr;HQiq!7>?pA*aZHt6/n
+XQ]NRp%7kOr;6'Mnb;;Aq=X=P#kdY=HKt:tq"sm]iV%d~>
+n^bP++4nudh:0I']2CTEdb)t)f[nrV8#t.oe$_<-dFQapd.,Tbd2g`hgtgc>fZVOif%Is/>X:/=
+N5aN!e^;jsgt:&qg!TZC!715\&C8U2=N8h5cd9eUbKJ/Tcd1RpJ,~>
+ZMPd@q"XF[p$qqZ^fd<0oDeadqt/*Id.[M7X(h"qr;?ThnbOC*q=sd_qtg*Vs8Vi@O^VL,P0ELs
+s8Munp[dnEp\t3goCi7\l2'W>#1:<cp%\IXrV6?biVA!~>
+nb0fn+8G^'s7PpWs1;6ts6T[So(;=gA'+39ntfj[nFlSPnaZ;pp%.bGp%@tJl2L_QbDTS+@Z\_$
+r;QTjp\"%Dme-JWnb;;Aq=X:O#P6-Op@7hOo(i%=p4*~>
+n^bP++4AW^h9jL!iLMlRj3Z`9f@\KL7]b%ldY1'.cIC@rcgfI+e^Msqe^`0takl"(X(sdU5AI(<
+g"=s-eBcC\bKnhqg!TZC!RK$^b7MqGX.%J\bg=DPaihlPc-O_pc%#~>
+ZMPa?p&=a^q#BRXpoIHLs8Vrms74ZPc2%D;H\MLlqY^BgqYBpfs8Dro)Z9L.s661i>?5mSqtTjW
+q"XIJq>:0krV?*Unb;;El1kSZrqQNdq>Bm`q#0pFq1&~>
+nb0fn+8,[/q=t!OrUZp]eGK77nbVRr@)hd;p2tl\me$5Mo_J4Vo`=p`rq.3'p%/4DRUT8nDm9'2
+oCM\Lna#rFr;HNeo'c,Cl1XrGnb*4Yq""7NpA+7SpYkgr~>
+n^bP++4&Wge(!9ngsq68\)62qf&"`W6`JVpel?)/bgP"odeVAfdK/(Rrm_q<e^NKpH9sJC:QX&P
+c-=V^bJhlXf%8I"bfSPcqTo8hc1B*ic-Y+ie]c:b`lZ?GbK\;Xcf*-!~>
+ZMPd@q"ssXqZ$'Xs6t>coDAOcs8;.sanl&*A?Pq*rV??hq>0p_!VZ?gru1Rnh3E"_F0jp#rUKOU
+qY'UZs8;NWn+Ze[qsjFFqW[e\oDJX\r;-3erV6?biVA!~>
+nb0fn+8Gg5o(rCRo)J#sHKjtloD8.?A&@j;k[(4_nFuPIp\FOYocN\oq"sjSi7<p(;/E>hn+cAE
+qYU$\r;Z`gn*p,Os8;E^l1XrGnb*4TpAF@Rp\"CYpYkgr~>
+n^bP++4A]jbLYRpdG`>O?I%-Vg>:N&7]"\pa?GF2cIL=kebR\idN?idgYU]4_msb^1f'1Idb)[d
+daQOfeD/U!a2lWYf@9?;l-]@S!RK$^b7MqAf%S9qcHOVVaihlPc-O_pc%#~>
+ZMPd@rpfjUq="@`pA_s,ZMsOsq#C5-_Y3oUA^:2Ms7Gs_q>0p_0DkbJo$aIZ=Cm]Ts7Z'ap\ad[
+p%\4SpA"I_qY9XRo_J7Wp\FRZp\FRZp\FRZq<@b?q$6iirpKg^n,N=\!quEaiVA!~>
+nb0fn+9(g,o(hYNr:0fu9<7gQr:0[VA\7F)b[8Hap&4CJqYBj[p&Fdtm*22B;I>F<s7#FOoD87T
+rq76&p\+I]qtBXPp%S7Uq"ORXq"ORXq"ORXpZ_DIp$hYZmeH#Gp?_hXpAt!^htDR~>
+n^bP++5"cdbgjhjgX5&P/rnZ4i76`:8=n8\X?WT2e(`-kfD3nkdN@#lfZ^IJ:bk7P]A_,]g!J6q
+cHab]cHjhbe^MjfbK]S(l-TRZcd;U9!6t,Y#gLfAeAU.e_pnY.s3:SiiQZl~>
+Z2=Iqrql`n/cVJT^&S!'s7^E,qtmsIpAFj]r;ZNkqtBaZr;HThrr;olq>0pedZ\<GAr<Ygq>^<j
+q]5P/qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`qYC!`kPF!0!;PIIJ,~>
+WV8(@p\^Lg\G>gdrU+6do(BA0o(`"MqY]s^p[[nJq"aaXqY^-]p%J(YcAuI7@YUf[p&FabpDru%
+p@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:Tp@n:TkOnuMp@[eGrUn_7J,~>
+WRNTOfA(^<R+^$<i6b)Ce('[XcdgLgeCW!ueBcIhe^i=!f@e^&daQY"X)($U5@]BGdf7ere,[q?
+dJqPpccsf&c2Gu=c%#~>
+WV\@Km/QQqEq&u(s8Hu7rVV8$p%nU\qYTs[q"jj_q"OL\p[\%Xs7YH6Bnb[Kp?)DSq>^<jqoS]F
+q1&~>
+WV8(Gkl0pdDX@)gq"89jo_*Z_nb2bNq"aOQo_/"Oo^hYLoBu2Ls75$*AV&h?o&BQGp&FabpOW$g~>
+WRNTV`S8L-9?Gc9gXo,Ke^du5cI:7gdaQIfdF6RmdEp4jd*'bjhp8oI5[:tXc+V^-d/VMmd`^&<
+d/D5fbJDGR~>
+WV[h5qtpE-?'kKhqtkfGs86H'p@nI]p\=IUrVuomp&"derr3Gn^k,KcSE9eNrVQ<aq>L0iqoS]F
+q1&~>
+WV8.>p\4^!=d/UUnaU_!q=S*dnacGLo_%hHq>U9`nb<%Xr;ZZW]REXSR,Ru?q=jIQp&4UapOW$g~>
+WRNZMeC<BB2K7:'f%*o[gt4i?dF-OpdF-Cff%\j)cICV!g"b5uR9M3oF1g,UeC)Ugd/DAld`^&<
+d/D5fbJDGR~>
+WV\@As7Z'aU/f23s7;;Ur7u20q=aX_p%S@[p@J(Zs8;QcpY;N^@XXa(pAb0doDJX)qRQEP~>
+WV8(9rpoOXSl*;qq!!L0o@@Kio^VSMo(;_No'c5KrqQ$Vo@T[N??qmmo)J^[n+cp6pA+E4~>
+WRNTHgX"+"HS1uEh9Kbnf"">IeBue!cdUFnccjeigXXTtd'\6l4'$I4c/%'tb1#+_dJqSlc2Gi%
+c%#~>
+WV\@Kn+ZYXkD<^%s7`1[p8`H$qtKd_p%eX`qtg!TnbE-fKiqW@cLLZ/mcXKIp@.moqRQEP~>
+WV8(GlgsfLj+Ugcs6Z,=m%eX\p@@_Mo(N"Sp\+.DmI^=WJQ5d0b3eg#lJqX=o'H%#pA+E4~>
+WRNTXaO&Al^g]L7k1"g.d>1fAf[S@)dF[.$eC2^bb0emu?8=?NVomBB`P0dTc,\2KdJqSlc2Gi%
+c%#~>
+WV\FMr:^0dr74W2p&;@ks-B)KqYTmap%nXeqYL6ed#hX<J[F5(rVuods8Vugs8VWdqu-Bkq8rKD
+q1&~>
+WV8.Fq""IXpsM`plLV'AplCU1p%IhOo(W"Wp@eFVb`,e,IB_Amq>C-Us8Vi_qtodTp\jgcomuge~>
+WRNZUe^*%!eZUEFeD6:8hfX+of\+X-e(EF/e'm!tWG4@J>)fr6f%J]qh;-N&f%.pjdf%Snd*'i:
+d/D5fbJDGR~>
+WV[k0s7uEfs6c\)YO]u>s-:b)p&FX`pA"@QpZ/Dk;.k^=nc&Oqr:p$co^;;Fq=sgcqu?Nlq8rKD
+q1&~>
+WV7S(s7Q!Zqs'egV!#Xgoo6l_nG;SNo(;PAoAHQ[9k/k-mJd+mq"41SnETH6p%7tWp]'sdomuge~>
+WRNTEhpTm&fZ/J=OOL=hhfc!Se(rF/e^r<rd(P-$.R7FKb2;+3e^;aobJhTLd*L,=df7_od*'i:
+d/D5fbJDGR~>
+WV\@Eo`+LUs7?/3ES]HXkDJHunc/7]p\+'bNal@I]^,Utr:BCMr;?9bq>C9mp\+I_qu?Nlq8rKD
+q1&~>
+WV8(=nGhqIs6o\tB%#,,gk+GTlhp5NoCD7RMI0M9\EEkjq![P=q"XFRp%\L_oCDVSp]'sdomuge~>
+WRNTLc.pLghos\P;SKl/`bWZKdGNC2f%&$.B08(WQ,MG3e]c+[e^`!nd*pXucHXc9df7_od*'i:
+d/D5fbJDGR~>
+q>:0fs82Nfq>9FSg%uTKAVJd0c`-X<q"FXVac'S(I(/22qY^?gqXOI)qSE",qZ$Bjpj`~>
+q=jm^s7c6^q=j.Kg@lHXgff$KQ,KBaqXX1Nm_sue9R*o%oChtUq=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=-tj`^XRNJ$+[\i7QQ5dAUhD/6.eFd*pOsq:"l^bL-@:rQY;aaj'h1s3:Pe
+J,~>
+q>:0fs82Nfq>9FSg%uTZ[s=L(S(7Q3p>`>o;.kg<kl(P]p[n1TqXOI)qSE",qZ$Bjpj`~>
+q=jm^s7c6^q=j.Kg@lHXm&Y)eK94@Xn+#87C/&2odH(-'qt'=Jq=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=-tje!O<cD0iYQe^VEp9e]%NZ,,#Jf[.mhq:"l^bL-@:rQY;aaj'h1s3:Pe
+J,~>
+q>:0fs82Nfq>9FSg&(gL'q]<!Q14:XNa#G+Yi>ZVqu-EcpAFsdqXOI)qSE",qZ$Bjpj`~>
+q=jm^s7c6^q=j.Kg@lHXqYl^gIuERU\qsH_FKOHto(VtSo()STq=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=-tjiTP_^Aoc5BSSU;?<K=lMdaZjtcd1.rq:"l^bL-@:rQY;aaj'h1s3:Pe
+J,~>
+q>:0fs82Nfq>9FSg%uTWs5/`hCOCYRNORg;qYgHhq=s^Yq"t$cqXOI)qSE",qZ$Bjpj`~>
+q=jm^s7c6^q=j.Kg@lHXl2K4aHsq/CDMYUPnb;n[o_%kJoCVeQq=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=-tjcK2]P@n'U,;/2?.dam10dF-Fhd*^@oq:"l^bL-@:rQY;aaj'h1s3:Pe
+J,~>
+q>:0fs82Nfq>9FSg%u<[qZ#KRG'g^ro^hqZr:B=Tqulurq=aFUqXOI)qSE",qZ$Bjpj`~>
+q=jm^s7c6^q=j.Kg@l0PqsaU9TP\eTp[@PCr;#jIrqHWlq"=4Hq=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=-\bi76l"Khtj7g!@sogXa]krm_/&e^Ddfq:"l^bL-@:rQY;aaj'h1s3:Pe
+J,~>
+q>:0fs82Nfq>9FSg%uT]qu?]WfC8h<rr;rinbW:Vo(2PMqu$BfqXOI)qSE",qZ$Bjpj`~>
+q=jm^s7c6^q=j.Kg@lHXnF?2IgWo'`p\F[]o'Z8PmdBQ6p%S7Vq=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=-tje(37.^9Po>f@em/ccahqbKJ,TdaZgtq:"l^bL-@:rQY;aaj'h1s3:Pe
+J,~>
+q>:0fs82Nfq>9FSg%uE[s8V`frr;]ep\=[_p@S+Zs8Dro!W;olqXOI)qSE",qZ$Bjpj`~>
+q=jm^s7c6^q=j.Kg@l9SoDeOMnb)qOoCMVLq"4.Mr;6<hpAt'bq=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=6/R&`_QieCNO(e'QLkda$(_g"=mTe,e+Nq:"l^bL-@:rQY;aaj'h1s3:Pe
+J,~>
+q>:0fs82Nfq>9FSgA;N\s3S)tKS?N-s8)Kcqt^'ap@nR]!r;]iq>0XYanijLrqcZjrqM!~>
+q=jm^s7c6^q=j.Kg@tX@&BC_gH[MUdr:]aTp\4@So(2kQ!ql9]q=a@QM>$rCs7ZHbJ,~>
+q:,Dms4$bmq:+ZZg=-bdfrC!0?<r6>gsaWsda?Fhcd;[=!n,QIq:"l^bL-@:r655ba3FV/s31Vf
+bfYG~>
+dJMVp(]XF,s829bs3b/'s7j9H`rGi0qt^-hq76@tqt^*)q>U6jq>U/>~>
+dJ)>h(]X:#qtB=Tq8Z<QqX(Y&^%q6jp%.qRosselp\FO\o`=dZd.[A0s7ZHds7ZHbJ,~>
+dF?q"s4%q@e^<.&b2;!T2HenaQV*k'daQ[meCW-bdJMDmdJqYldJ;/ecN2;:d*;I6s3:Pes2tJb
+b0#5~>
+dJMVp(]!t+s8;osj`"npp](88JFNL:rqlQhr42\"qt^*)q>U6jq>U/>~>
+dJ)>h(A7FrqY1!hhIKgAl1XabGN\Spq"=:P\G#gos7lE`q=W//qt:!_rqHHdrq1d~>
+dF@.(s3gkps4%q6eCWF+hW)FE5eYLtfM5VkeD&X)daQ^^dJMDmdJqYndJqPgd.u#8c25iec2Pof
+bK9b)J,~>
+dJMVp$2=AtqXsmOUee5nrs=-Yeb]=DrVH3d\bc7$pA2W$rqcZjrqM!~>
+dJ)>h(\@G#p$i"@SOK@GoD\E*;U"\1p@n4LqRQ=tpB('_p\FOYp!NL1p&Fabp]'sdomd~>
+dF@.(s3gkps4%q4e_Sd&iP^6rMV6\BfiU,6dbN@&da$I\dJMDmdJqYod/q\?cM>i_cdC#7ci;8h
+bQ5o/rlBT~>
+W;@A+s8)<d\S?Kbnc/X`G%JYes7H9gp&DT!rqlZj!;ZHe_>4*,s7uZhJ,~>
+W:q)#rUoRXZt"+@jo+i<D-XaAqX4+PnbfrkrqHEc!;H9^q=W//qt:!_rqHHdrq1d~>
+dF@.'s3^enrmV_3h:9d-Q:=p%bN%7%:d:MsfZ_mrcIp%]qpYSms3^nprm1\kc2#`^cdC#7ci;8h
+bQ5o/rlBT~>
+WV[M3o)8R`rfL?VrVu]fs'T6]qYfp]s7ZH&qYpBlqZ$?kq"ad&q>U6jq>U/>~>
+WV75+meHVMq2A4<o)J.Gqc?kAo_7YGqssTopAXgdp&ap\p%e=Wp!NL1p&Fabp]'sdomd~>
+dF@.'s3^ens3qk;bLkLtfkrZnf&P3+hDdKpeCDXjfZhs_dJMDmdJqVudEp7dc-6"1q9RI5qp5;e
+rlbDdao9A3~>
+dJMVn(B="&rVH#!>KQmEp&D[0>3u:ho_ngc\GH7&s7u`krqQ<c_>4*,s7uZhJ,~>
+dJ)>f(B<jrq"<rb<5A,'lMRte;<IfPmeQeR\G#sss7QQfo_%nQpA+C/pA=O_pAXgdpAX`8~>
+dF@.&s3U_ls3hb=bgk@rb=FRefAOs3Q8CA:g=OR"g!IO^qpYSms3gqo"4,9:bk]W]cdC#7ci;8h
+bQ5o/rlBT~>
+dJMVn(]X@0p\=#UD>=/"s7g)2If06Eq>:0gppp8$qu?Kpq=s^Yq>.r'rqcZjrqM!~>
+dJ)>f(B!n#o(1sAB(,Z[q<qKiGkV"0p%S=Y\G#sss7QHcrq-$[q=W//qt:!_rqHHdrq1d~>
+dF@.&s3U_ls3he;e(<$s`AL68hoX[#4#pEmf[eEte^Mm]dJMDmdJqYpci_V>bKK_.q9RI5qp5;e
+rlbDdao9A3~>
+dJMVn(\[e,p&=YpNW8eRs3,%VZ2OClr:p-eq76A%qZZilq"XUWq>.r'rqcZjrqM!~>
+dJ)>f(\7@tnG2T\M#Hf;qnlZ:X7u2Xq"4:WpUU"tpAt!\rq$3^q=aXWdJ!J1s7ZHds7ZHbJ,~>
+dF@.&s3U_ls3hb0e_8C'd6MI)dbEWS4YhlEcd:.edFH%[qpYSms3_(tcd'hZb5'E[cdC#7ci;8h
+bQ5o/rlBT~>
+dJMVn&-)1qs6fAgY5A+js,Kp%s8Mlmq76A%qZZilq=s^Y\bZ7$s7uZhJ,~>
+dJ)>f&,ttgs68iXWUfWJqhRjds8M`ipUU"tpB(']p&=URp!NL1p&Fabp]'sdomd~>
+dF@.&s3U_ls3hP6b1,@kb<q3:e'Hf_.T5*OrmC\k_9r//s3^kp"jkTAcHFE$cdC#7ci;8hbQ5o/
+rlBT~>
+dJMVn&btnks82h\YPA.t``8,OmeZeWq76A%qZZilq=s^Y\bZ7$s7uZhJ,~>
+dJ)>f&bPJ^qtC&NWq-2c]haO4lLsrKpUU"tpB(']p&=URp!NL1p&Fabp]'sdomd~>
+dF@.&s3U_ls3hM+b1#+riGjh)iS'kVBWfDSdJ_G.dJMDmdJqVud*L%`bKKG%dEVR7s3:Pe!R&Ua
+aFF~>
+dJMVns83B&naQCQM:UpkH[acFs8)`jrq?Eg\bc@'"oA&jq"ONnq>U6jq>U/>~>
+dJ)>fs7d)rm-F>=K[AbTFa2L0rV$6brqHKf\b?'t!qu<[rq,aRdJ!J1s7ZHds7ZHbJ,~>
+dF@.&s3U_ls3q"u&(JhHeV%P=_h(ff[*dORdJM;,dJMDmdJqVud*L%`bKKG%dEVR7s3:Pe!R&Ua
+aFF~>
+q>:!ciVV=)&,,tuo_SUM[<maLT^2XEs8DclpU9quq>U0"q>U6jq>U/>~>
+q=j^[iV2%!&+]Phn+H\=Y]YS5RcXS5rVcKhppTnro`4XQp!NL1p&Fabp]'sdomd~>
+q:,5jiRHi6s3U_ls3hS+f%&*shSYLV@n:j^ho"*odJM;,dJMDkd07nCcd'bYn^#V-qp5;erlbDd
+ao9A3~>
+q>:!ciVV=)"7uBar;Q^'mf2nDp$DVVrqZBepUC"tq>^6#q>U6jq>U/>~>
+q=j^[iV2%!&b#Gbp\Oadl20l/n*'QDqY0a]pp]t_p!NL1p&Fabp]'sdomd~>
+q:,5jiRHi6s3U_ls3hM&e'lq&g>gB2bJMNCe^i:Ld/M;jd)"-,e,@\mci;5ZcdC#7ci;8hbQ5o/
+rlBT~>
+q>:!diVV=)&cMb'qsrqKoBlPWs8Duno(i+YpUU.*q>U6jq>U/>~>
+q=j^\iV2%!&c)@pp?gl7mcXBFs7uWdme?JQppp+qp&FaUp!NL1p&Fabp]'sdomd~>
+q:,5kiRHi6s3U_ls3hM0g!SBq_V3;Uf&#66g<dt?d/D8+dJMDmdJqSlci;8[cdC#7ci;8hbQ5o/
+rlBT~>
+q>:!diVV:("TS)nqY0sg#Oq0]qX4CZq>9osqQ]kqqZ$Bjpj`~>
+q=j^\iV2!u&H(tmp%&"[q>BUEs7YgZp\4R[\b>pns7Z!UdJ!J1s7ZHds7ZHbJ,~>
+q:,5kiRHi6s3U_lrmMA1cJ$gsh;?o>aiE,_`nLC<rQ`7,qpYSms3U_js3:)[dEVR7s3:Pe!R&Ua
+aFF~>
+q>:!diVV:(%fc(tqu?<_s69R`p$i"TrqQ]kq=j^\\b`T,rqcZjrqM!~>
+q=j^\iV2!u%fPbhpA47KqW%PSna-;Jr:^9fp\25lqt:!_nb(<'qt:!_rqHHdrq1d~>
+q:,5kiRAptdF6LldF6LldF6LldF6LldF6LldF6LldF6LldF8$@r6l/0bh1M#dF-abg>C2rh9PuH
+rQtSl6IX?2dF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6Ll
+dF6LldF6LldF6LlrmCbmrQkMgn^#V-qp5;e"O>6:bKKn-J,~>
+q>0paiVLRi!r2Td\,!<(rVHQi!VlD>~>
+q=XRWiUn8ap%7qLp%7qLp%7qLp%7qLp%7qLp%7qLp%7qLp%81TnFQbSo_.r?o_%kLo_%kLo_%kL
+o_%kLo_%kLo_%kLo_%kLo_%kLo_%kLo_%kLo_%kLo_%kLo_%kLo_%kLo_%kLo_A*aoEY*ap@n:S
+p%<h~>
+q:5;liRK"!daZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pda\3CnC.KeeFq<WeC)jpeC)jpeC)jp
+eC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)jpeC)^id*L)<c`tb#
+d*C"`c-=JVJ,~>
+q>L-giVe?*q>@MprqcWi!VlD>~>
+#l+5jq=sd\q>#O:q>0p`q>0m^q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a^\q"a[Zp\=LXp\=LX
+p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LX
+p\=LXp\=LXp\=LXp\=LXp\=J/q"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORXq"ORY
+Z1n7krq-<aomd~>
+J(W?)f%AR+f%J[.f@ed/f@\[,f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%8I(e^r@'e^r@'
+e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'
+e^r@'e^r@'eM#P)f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@B]F
+Z-iQtrm1ViJ,~>
+q>:!ciVS3&q>.Al!;QQfrq6?bJ,~>
+q=j^[iV.os!;?9`Z1\1jrq-0\J,~>
+J(2ordaZ^pdacgse()pte'ugqdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaQUmdF6LldF6Ll
+dF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6Ll
+dF6LldF6Lld4j%se'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZP=
+cEYUobl5fbaoKY9~>
+q>/eAJbo3=YPJ1ms7ZNeJ,~>
+q=`M9JbEIEp\+@Tp\+@Sp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.P
+p@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@\.Pp@S%Mo^h^*~>
+J()fodF6LldF?UodaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaZ^pdaQUmdF6LldF6Ll
+dF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6LldF6Ll
+dF6LldF6Lld=9Wme'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZXle'ZOf
+d*C"`d*Bt^ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\ccse\
+ccse\ccse\ccse\ccse\ccm!Hc-OY\c-OY\c-FPYbK\=_~>
+q>8kCJc#9?YPS7os7cTfJ,~>
+q=rY=Jb]':YPA+krq:j~>
+J(N6&e^r@'e_&I*f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%8I(e^r@'e^r@'
+e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'e^r@'
+e^r@'e^r@'eMu12f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@AL'f@A?u
+e'c^ne'cZFdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-Fj
+dF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF$=gcd:*j~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat6.ps b/books/ps/quat6.ps
new file mode 100755
index 0000000..2444015
--- /dev/null
+++ b/books/ps/quat6.ps
@@ -0,0 +1,1262 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait6.ps
+%%CreationDate: Tue Dec 26 13:12:13 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 144 236
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 221.250000 translate
+129.750000 -221.250000 scale
+% Image geometry
+173 295 8
+% Transformation matrix
+[ 173 0 0 295 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 173 string def
+/gstr 173 string def
+/bstr 173 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        61123 ASCII Bytes
+colorimage
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+g%t^Ds8)`lrqufn`qmXLJ,~>
+g%PF<s7ZHdrqQNf`qJBajS"*~>
+g!TfGs3^hormUnq`mNbkjNW2~>
+Oo"SC%eBYeq>^<`r:T[VqY'XZjS=<~>
+OnS;;%IX8\p&FaTq!mhFp@@e7p4*~>
+OjW[E%`mGCce6[fd`]bXd*0_\jNW2~>
+Oo"VD&-);%nauYJq>(!hs8)Eas5a!+~>
+OnS><&,YkpmI9f:p%A.[rV#dSrT*[&~>
+OjW^F&(ShSa3)`Lcd1(mf?h^efAt2,~>
+Oo"VD&,c(sqtBgUs7Q9gq=O:Np#Pq!~>
+OnS><&,>Ygp[[tErUKXYp$hG>n`9Co~>
+OjW^F&(8VJdEKnWf?;RkccXAPbN-ou~>
+Oo"VDs7ZuurqZKbqYU-`p%n^gp>l%"~>
+OnS><s76]mqXsXRp@n:Pnb2tZo&TLp~>
+OjW^Fs32#!eBcRdd*^4bbL"nlbiI$!~>
+Oo"VD%f#ttq"jmdpA"FVo_AC`j8"3~>
+OnS><&+oYio_/%To(;SFnFZPPp#Pgs~>
+OjW^F&'iVLcHstfbg+MXb0JJbcfE?$~>
+Oo"SC%f#kks6T^XqY^Bnq!mtPjS=<~>
+OnS;;%J9>^qrmkHpA"Uao^2,-p4*~>
+OjW[E%aNDBe\]eZd*gOscH"&RjNW2~>
+Oo"SC%ds;hr3OAXgtCcas8;cojS=<~>
+OnS;;%dNl\pohNHf[\pQrqQ6ejS"*~>
+OjW[E%`Hi?dYXHZZELjcf[A1"jNW2~>
+Oo#"Nq"YNuq>]d\q!W!;C5m\'`:Np%pZ2.#~>
+N:uu<&,YPio]g((Aqt\h_!_!hoAoUq~>
+OjW^F%Fr;JcGW%=6"<o+R`Nq:c%#~>
+P56<snG)kQo(`+Wq>U$VrVQ?gr9sXbl\niDo':a?s82ijjS=<~>
+P4g$mnbN(UoCi"RpA==Fq"F1Po]l/Mj+^7'l/d&!qY'^TjS"*~>
+OjP8mcdBtYc-X_[d`9;QcH+DX_U7)PA1N8Q_c/qPd*^"sc%#~>
+P56?tqY9^On+-/Cmf3=Vqu?Kfqu?E]s)jLio(%ELrr2fhqW7O'~>
+P4g'nqtp-YnFQ8Ali6hIoD%kGoCq_=qJ;#Il03M)p@e+Kp#Ymt~>
+OjP9"d*0PMai_]Af[@[]dE9VUd)s>\95;>db#q!XdEKboc%#~>
+P563pqXa:Mq"X[]s6oU[qYpNis7u]p`)"nXrpGS[n,E=eqW7O'~>
+P4g'nqt9RRq>'d[s6K.Op%eUVr:0UZ]11!4p#U[8kPG/Up#Ymt~>
+OjP9"c-+AZdEp:r`Q?]We(Mppb1+t1-*5JE`a2!Le^i:3c%#~>
+P56?tp@7bNrV?9eo(`1_qXF+Vq!e=]Jrfs2jG$s:s7PXGqW7O'~>
+P4nqM+7o.%rqcBcme$;Mp$:r?nEBW=H%u:jgO3%ls6\e2p#Ymt~>
+OjP8sbKSGdda6IacI11f`Q$HM_:$Y3A_u"N?8Hl_aL]:Mc%#~>
+P5>4S%JTSjp@IqOq>7Ldk5XoLrsndq<kcP^D1(7@pA=mcqW7O'~>
+P4g'nqY9g[o^VMGp%PYTiVr-Bp]']K9sqX:A96?%mdpJNp#Ymt~>
+OjP9!d*L(`b0/,Wd>;eRfYlIig<+FePb!k(<41K'cJ$M'c%#~>
+Onp0tqY'IOq>C-RRs(Oes8Vigr;V1qrr;Q+:S.UcoDS7@q1&~>
+OnKmnqtK[Pp\O^HQZA\Ts8VZZo_N]Sp%IX\7[=#Ilh0Z+p4*~>
+OjX3X*RDmOd*pFWED1Vfgt^,qc.,WkeCVj3-Zn.l`m2Qac%#~>
+Onp0oqt]m\s7G3-J'%`em/6GSnCi)ooDe[VAX)QLr;ZfXq1&~>
+OnKmiq=jITs75!%Hc?$YkkOTBld^$ZmJlhD?]O:4p\OjLp4*~>
+OjP8se'ZCfg!$p8<hS9r_pc]T_llanbM^mm5A\3TdF-S+c%#~>
+Onp0lrVZEfqUV[0o`+%Ms7-*cr.8DXs6TZk<h9'ds6TdHq1&~>
+OnKmfqtg!^psc7&nGhJArpBRUpO-?IroWpX:m^eOr9*q;p4*~>
+OjP8pe^Vppd]S19bM0\XfuV[icW<'_gr@p+0Qk^of"]Yoc%#~>
+RJIHhr;-*_s8V]Ws8D9`m$O+7pCHSV??MsH\]8lkirArIp]'=MJ,~>
+RJ%0`q"F7Os8;?Ls7tjXk`h8+oag5M>&g+8[)-gWhY[*9o`!qFJ,~>
+RF)Pke'ZCegXjTch:0<q_f'DgcOeC<CG\\1MNji4K"KU_aNN,pc%#~>
+RJIHbqZ$Tio(i=clLk2.Q/Uj#pCI8onbi@Xq#C*ds8Vuip%RPCJ,~>
+RJ%0ZpAY$^me-V[k4/K"Oko!loagofmJ-MHoDeCUrVZE\o(;#:J,~>
+RF)PedFm0tajAbt_9C`;Cq..RcO\OFa3rP`e)8[+g=OcsaiibiJ,~>
+RJIHop%84^p%JFcp\EOCiSsn9p\sgsp[%\TrqH'Vo)JLUoD/@^puM7$~>
+RJ%0gnaQANnacSUnak8-h;821o_nFnkk4oNoC228qXa.Dp%eCUjS"*~>
+RF)PrbfeMdbg"_ncdB%N]"?krd1FX@bh(@kc-FSfe'#n\e'H8!c%#~>
+RJIHop@%_SrVH?bs1OKfs8V]hq#0pdrsehqp](9ko(MqYr;-3_jS=<~>
+RJ%0ko'>lCq=aLPq6u4Pqu#p]p&4Uarse\ioDejbmIBoGq"FCQjS"*~>
+RF)Q"c,S#YeBuXif9L!qf\+LFdLadYf$MLbgu$`.dF6Uod*0\oc%#~>
+RJINer;ZTdqYg?S[=?p/s7$'`q#0mmp%ItMq=s[Vp\Omh"8qlap>bt!~>
+RJ%6]q"saTpA+LAXEi=is6T[Vp&4Rrp\++Kp\+4Lo_8:_rVH0Vo_7G?J,~>
+RF)Pfe(2mjdF?XZMc[47h9"@HdLadIbL"S^cdUJ"h:gB(b0/)kc%#~>
+RJINfqu$3cs7+m2KAuM&oCDqWq>L'ep($ips8M`bq==%DoD/@^puM7$~>
+RJ%6^p\=@SqsE$rHJIobmI(#JpAOacp^ZrhqZ$Hao(MP>m.'iIq;_1!~>
+RF)PgdaQLif#Y17=h;f0bKJc=dgsjNbgY4sd*^ChbfS&UeBm7#J,~>
+RJITsp[IqWo#RMNm/$bSq#Bs]q=jX^p'UiqoCVnYqtBj]qu6Trq!mG@J,~>
+RJ%<moBc)Hm_kZ9j730;o)J1Pp@n=[p^dAunacGOq"+4Qq#16lp@%)9J,~>
+RF)PtcH"5^ae*fS_U.2ad,*"Cdg4@QcH=>[f[nRNeHFLXf?M=rc%#~>
+gA1jGqYL$Aq>pEgo_JO`&-)G#s7ad.J,8m=mf*7Vs8MilpCHikqt9X\rqQ6brV?'VqZ#XPJ,~>
+g@bRApA4O;p&Xp]o_8CZ&,Yqhr:.gnH1CCtkkOu@rVlNgpCHcgq=F4Sqt9UVqY0OMq#BFKJ,~>
+RF)PrcHk.fUN0A]cIKqcf?2hDdh'pKdF-:af@\O#e^r3lb0ef$c%#~>
+iVNEH!VcEdpAk$KqYL!gp\F^\'DC_jqsO7VpA=aes7*dYY5eIsqt^*dq>'mdqu?NOq1&~>
+iV!<HpA4O[p]1'Jp@@qkq!A%ZnG)nPp\"@Wk-03+s7Q*Yq=aa\q=ag^s7ZHbjS"*~>
+o$dWdo?dNb!7Uhmq9[O:&'*MYbLG.jeC3(&`fODUhs&MoeC)dmdEp7dc19'Mc%#~>
+iVNHIrV-6`!VcELqYU*ep\XXqqXa%DrVQBgq#'m'Qd#L$qs+%Wqu?NOq1&~>
+iV!<HpA=U]p]C9dpYto@p\X^srqGmRs82Kbo(24ULqWNEp$28Mp]'sdp#Pgs~>
+n^@Kco?dNb!7Uhmqp5Ahd*^5Og!\$hg=Od(d*g.'BqEqrl-]LYs3^kn!RK$]bOj&0~>
+iVNHIq=asap\EhFqt^'^s7R$&mdgDSo(Mt\n>(]Zs8W)qlMCMWs8(^MJ,~>
+iV*$?qtL0ciqE!<s7d0*nFZbWn+-5NkF$S.p\+4OlLt5Os7ZHbjS"*~>
+n^H[Kqp<a<&),4QgXaTpeCqof=In'pe*59Zdf7_pciMJ;o#p[MJ,~>
+iVNHIp\+[`iqiQJp@f*hs8VKVs8:l>JACjXs8)WXqYpBlqVh7#~>
+iV*$?qtL0ciqDm9&+fi"lL+TFgl-HblM'uAp$28Mp]'sdp#Pgs~>
+n^H[Kqp<a<&(AkZg;hCie[fKrQ-._/d-8sWdf7_pciMJ;o#p[MJ,~>
+iVN*?iVN*?%/]o!p%&.\c$>#Ys8W)ql2(DVs8(^MJ,~>
+iV)g9iV)g9&,>npna?GNa)caApAa^Sp$)2Lp]'sdp#Pgs~>
+n^Fbj&(T1\cHG(oV,:Nce_\^$e*59Zdf7_pciDDQc%#~>
+iVN*?iVN-@s8!6#p\Y!g^2\JDp%\R_mJlGIrql`liVA!~>
+iV)m;!VZ9Hp@@tXp($Z`p&F`qCNRVco`+UKs697Vp]'scp#Ymt~>
+n^HOG!7T<B&(AnOe(rN>8Q)D0dGE<khW`Gedf7_pd/VGRc%#~>
+iVEQMrqH<cg\LpGrqH<cqtg?g%K?Cr[YT@nir8u@o`+LHqYpBlqVh7#~>
+iV**Aqt:$_i:cp>qtC'Z%JBS[Y_%)XhYR63nc/(BpAXgdpAO[Gp4*~>
+iR@VMqpPSre'ZSCcOJCW`K">+^:W"O^s:i]l-]LYs3^kns3KfOJ,~>
+iqi]NrqH<crV?NkiVNTMrqH<crVHQkrr3H&\o3Gop&G$\qYp3\q<IhUqu?NOq1&~>
+iV**ArV$3_iqE*?rV$9a&G5\lmB:,Sl1+fNmJ$VRo_7YErqHHdrUo:GJ,~>
+iR@VMrR:_q!7TBD&(K1`c&Y;%a3NSpb1,.nd-8sWdf7_ociDDRc%#~>
+nb`.[qYL<iq>U-eq%*Dqs7?9cs7,[[qtg6ar:fLQs7uZgrV7-"s8D`lnF6JTs6H%kYke=qqYBsc
+pAk$CqX"$.~>
+nb;kSq"Fd`rV-?c&,5PimJ-5LlgFfIpA"4RoBQ&EpCHfop[\+Ekl:/KhMl*EoDJR\r:eq=q=XCR
+J,~>
+n^RBbq:#Gmd/DAldgt'VgWeL&hoj3tda?Oge'?q"&'WbVcIBkPh9aliD+03,gA04VdJ;/bch,J4~>
+nb`.[qYL9hrV-9d"oJ>tm/QAMrs&DirVucpq!.\Uq>L'dq#gThp\k*ks7d,rU2$q4s6og\q>'dZ
+p@nC:qX"$.~>
+nb;kSq"Fd`rV-<b%fc7as5E_Js7kpUrV-9_lLt#I&,Gedp\b'gmd9/%?`!Sul2C>UpB(-apY,?:
+p%7s.~>
+n^RBbq:#Gmd/DAldgt$gf#Zmig>(Q6`miYhf[&O(&(JkKe(EI-bK\%L5D@bGa8+3CdJ;/bch,J4~>
+nb`.[qYM-+p\+@Uq>'m`oB6)Pq"NPCoDeX[nF6JRlM;Lrp\+@Uq>'m`s7$'gpA=mfc%0uRs8Vlo
+qYL$`rV$<fgA:13J,~>
+l1b&Js7cNfs7cQe&+/?Jr9Waqs6]^Vo'G`@p$28NpAk!ep]'ptqs*qUm.(,H_KKY&o_7qRrV$0`
+g@k@8o_*e~>
+n^RBdqUP\sdJhMmdJqZ+c,&#jda>J_bLY%ba2cfYiR&1f`m`_bcJ6a?<_8Y-f$N+Ge(N.FciDDa
+c%#~>
+nb`.[qYM-+p\+@Uq>'m`s8VubYGJ^NK&lt1qu$KelM:_\p\+@Uq>(!c&-)V(s7*sMK?+#kq#C0d
+qYp9lp\FX<qX"$.~>
+l1b&Js7cNfs7cQe&,uIrjeJ6EBmek=q=j[]n`oiJpAk!ep]'seoF:Zin+c(UCj<Vfp$__Jr:U-b
+fCo"4p%En~>
+n^RBdqUP\sdJhMmdJq\qh@8&YM1Ljd>.`V?daQdkiR.\P%G&qNe\m_H=Ie!mcI^J>e(N.Fd/VGb
+c%#~>
+nb`.[qYM-+p\+@Uq>'m`s69QU[JJa%Mt?u;s8VfglM;@np\+@Uq>'m`p&Fs`s8TKGQ0A8=q>^6a
+r;$EhfD=k0J,~>
+l1b&J)#*h$q"XUXp@\4=rfa5FcY/%$s6KRZo(D;As7ZNgrV-?c&+BJfm/Q[U@uB1Bl1"T@n^7(*
+p%A$/~>
+n^RBdqUQM5d*C"bdF$FngV`)tO4Lm;A'3NFf%/*miR&1Zg!@drd=sr%^>-fUg!J(@e(N.Fd/VGb
+c%#~>
+nb`.[qYM-+p\+@Uq>'m`q>[OnkPqJnmJlqMs8D`mlM:h_p\+@Uq>'m`qu6U'n=G$)p\+Las7Gp_
+dJE5*J,~>
+l1b&J)#*h$q"XUXp%@hLTUOO-QWWGNoBcMQo_e"Js7ZNgrV-?c&+fPgrSs#WRI9S8qtogKrmCH7
+p%A$/~>
+n^RBdqUQM5d*C"bdF$Lpe(]V/_r?;7a5,%]gsj[%iR&1^e'csdDbPB"cI(=ubfef;e(N.Fd/VGb
+c%#~>
+nb`.[qYM-+p\+=Tq>'m`s4;tBs8Q8ip$__Vo'?>RlM;@np\+=Tq>'m`rqZHVX`pWAs6osenGE7X
+q>8kAm.l/~>
+l1b&J)#*h$q"XUXp%A@1H+3D?8Vup%p&FICs7kmQs7cQgrqHEcs7$NUTP0Ycr9O.Xm.^PJq=WG7
+q"==RJ,~>
+n^IQjqUt_t(tR'Zd*U1fe^`]b?_?392fd6ad+ug\gXG-/&(8_J]m`Ioe_A0rh9"1(bk]`@dJD5i
+ch5P5~>
+nb`.[qYL<iq>U+%q>0sbor!2#n[s"Gs763XNh#q=r;$Ehq"b$eqYL$dp](*iq[`Q&igkbIs82Zm
+p[A+]q#'sbg%t(2J,~>
+l1b&Js7cQgs7[0"p%@[CE/*ARA=`bgs6>K/p%&%S!;H9^!Vc<]p]'seoagWeg66j#s7>m_oBZ8N
+o(MnPg%P77o_*e~>
+n^IQjqUt_t):m3^d*^7ie^_us<c6*G:kmrPh8a/Nd`p8:d/_PbdJhSqdF8*B&'iV3E*&^gcdLXr
+aOf+leG7SHdJD2ich,J4~>
+rql`nrr)Zinba4'p[nLYs82NQL"POXM.ckgqt/`aZi'[tq#L0aq#U6cqY(Kbs8)']s7H?kfnY(1
+s7XG.s7uZho_F"~>
+rqHHfrqYgQ(B*joqsj^ZmG<68g5^M^q=jOLfP@Yaqt:'bpA+F_q"aXplMpP?qtTFOp!A26ec5::
+`qKH*s7?<ao_*e~>
+rm^turmpnpn^eW3cHFkchpp#e?a7Cg@6rf)f?Um!Nn;b1qpPVod*DO8rR(Sm%`mVZ`8&tdg"!91
+<Nt<(d*_a>rQteqcd0n^bk0/1~>
+rql`nrr)Zinba3qs7uEhnF-C\Wr)hW>/'Y+r;W+$jo5#Qq>L'bq>L'cp(@'!o_SUapAb0"H)^T1
+mf2nSa85i3rqQ-]J,~>
+rqHHfrqYgQ([h.knbh\7q50kTr74QGkje?GOD3YKo)8:Vp]($gp\adup]'^SrpT1Gpo/5+o^VAL
+p%QN#s7HHcp%@tNJ,~>
+rm^turmpnpn^eZ&f[8%!aN*"iK%/_j0p^,9g#I-H_V*AfebmksdEqm<rQtMjrR2;;dF@%#c.1I'
+:OUR4aP4tedJMDkd07nCcd'bYoZ_m~>
+rql`nrr)Zinba3tq"a^bmf3<=j7NAW<;Z[pq<_siq>'mcq>L'bq>'atp@n4Op\"Rdq7VKTj8]/J
+p%\@'qZ$Bjq"4B4~>
+rqHHfrqYgQ(\@:jo)._Op3GBVqPQpRo(DS9A=E/_p&4UYp]($cpCd8qnaH#:o`+?bHC*CdrpTUW
+pW*"-o`FdYp%7s.~>
+rm^turmpnpn^eQ'dF$=p`o5NQ]?T2j/_/M-f#^F0f$s]Lr6k\od/M>hd/VMjdgjgRdEgD&cB;@S
+\)#]Ycd:):e,@Ytd*L%`bfo_(J,~>
+rql`nrr)Zinba4'n,N6mYPG`!s8LqhM#[MRs.F8eo`+O]q>L'bq=jUppAb'cs505rZiC'fr;>dU
+q8`@3q>U0]q1&~>
+rqHHfrqYgQ(]3OooWY=aY`o+YeQdOrp%/'KBA2hPmeukRp]($apCQlpp@A75Nd%Guro3ePlMUCs
+pAadeo_%nLp4*~>
+rm^turmpnpn^eZ2aOek#LXD6+iRbV*@GKShhgA&/dG3$tebmksdEqm<rQtSlr6l5-e)T$-iO3W*
+LtULqeCMLddF%j?rQteqcd0n\bk0/1~>
+rql`nrr)Zinba4!p](#-;43(-s8S'^P5P@Tq/1fZr;Z0_q>L'Xq>^@&q#B0"FNjUZs8Mifp\4L(
+qZ$Bjq"4B4~>
+rqHHfrqYgQ(\RCtoP.$_IHgY&KMRBmp$VB`Hh7"3kl(5Hp\XXqp\"+Re95QBnalSQp\+FXpW*"-
+o`FdYp%7s.~>
+rm^turmpnpn^eZ,d+Qf;.<Ae;gt?<rCY%4gek09!g#:$&ebmkrdJM;hdJ_PoeIU?cdb;*18YOMZ
+e^`'odEp:gqpYMk"jkTAcHON)c%#~>
+rql`nrr)Zinba3ss76)jJ=Og_p#hm@Yl=\&\7;cCrp]sdq>L'Yq%<JurU[UMO4O@2lhLMPoDeO[
+a85i3rqQ-]J,~>
+rqHHfrqYgQ(\7Rnpo&M)`W,;]PaJ<<q"q=$WVcMWs8DZ_p\a^sp$qbC[!%2Iq>]RKs75^[p\2`%
+s7HHcp%@tNJ,~>
+rm^turmpnpn^eZ)gWS-%=E^P"c,"UOM:gYAPs:5`gWSL)ebmnrdJVAidJ_PoeIU0_c'2:BX4Z=I
+ceZggg!A'nqpYMk"jkTAcHON)c%#~>
+rql`nrr)Zinba4#rUKjdm-=WBp\+Xer;QQbGBN'Jp#uGSq>'d^q>:""rqXQ]IbXnfr;ZWap%\7V
+q8`@3q>U0]q1&~>
+rqHHfrqYgQ(\mjoq>TU=s6]@DpAX[UnEk14huE3+s8DZhp\ssdp]'saoaple]lS>Es5ESHp?qPG
+p\OX)pAadeo_%nLp4*~>
+rm^turmpnpn^eZ/f?2\!`Pg`[dEpS*f%JU$<)LNmd_k%oebmnrdJhMkdJq\meIUB_SlAashn[[n
+dE0Y[cdL4gqpYMk"jkTAcHON)c%#~>
+rql`nrr)ZinGF'os7?3hs7$!es6]jdq>\KLQ2gmXs76-aq=jd^rVHQk%e$?*L?JU.s8DigqZ$Ea
+`VTW1rqQ-]J,~>
+rqHHfrqYgQ(]!V$n+ln[lM(2TjSAT>p:t-tq>Bd_mJZbVp\ssdp]'saoag2W=af0#lMpVOo(N%W
+o(^5us7HHcp%@tNJ,~>
+rm^turmpnpn^eZ0cJQjsg"jg&gYp3.gXOuR7WI5?e)/F#ebdeqdJhMkdJq\meIK]Q3aTSQaktXt
+c-b.kbL"Z6e,@Ytd*L%`bfo_(J,~>
+nb`+Z*rGd/rVucfqtTs`q=OI^rp0UaqZ$<iIT6(Ao)8U]rqc`mq#:"(p@n@Xqtp6doD\danGiOO
+I<EC(s6K^a^A@m*rqQ-]J,~>
+kk?.lo^qqTp@.kMp%\7NoD87Ds8;E]mJ;$$nGM\Ks7$$_!VcBgpB('_q#:*hpCH]frpf7Jp>0n+
+\F][\qte&#s7HHcp%@tNJ,~>
+n^R?c,M(Aof\4p'e^Dmre'?FrfYun.eCr@.>;=Uace@:'f@SR&eGdnud*^;@e,Ro0cIq(%bhLge
+=&,15h8S(!e'n9Cs3T0@qpYMk"jkTAcHON)c%#~>
+nb`.[+8#F/r;$3hs8DfjrquNbqu?Biqu?Nmb[QG's82Tkq>U6lqY:'arV6Egs7cZqiV3?O$0HYS
+]__[(s8VT&qZ$Bjq"4B4~>
+l1Z:gp%e@Sp%n^bp\4R\o^__PnG)YQnbL%+K(/U0oDS=\p]:-arqHBds7cQd&-(GTs82iPFC_ZF
+qt'd`m(W2no`FdYp%7s.~>
+n^RBd,gY#of@8@)hq-B-f[eHuf%SL*fA>$6Va"eBgt:05eCW=&eC=KHrR1_ns3_M;][>]pj1n_e
+Q-nC9h:Tiue,@\od*^8<e,@Ytd*L%`bfo_(J,~>
+nb`.[!ri)kr:Us(p\4R`qY0d]s7u?fo`((Tc1q8;p&G!iqZ6QgrqHEe'__=sq>'[_pZhe$G_+*=
+s7PdZq#C<gs8)cm`qo`2rqQ-]J,~>
+l1Y8Tp@A.O(ARXuqtg'Zp%A4QmeuPQMbh@_pAXRXrV-Efq#:$fqAK)%p%@tLmf2_6r4d)l^A@Kg
+kPt2Sp@e7T_Y4$&!qc0Yo_*e~>
+n^RBd!nl/Qr6ZM7e'lq#eC2ptgXX^0d,]+$Wmo_[db<@*f@AC#r6kYqrmLhr&^K@_`8ICf>,0s*
+c,\bihUBsPdJqS@dJMDkd07nCcd'bYoZ_m~>
+nb`.[+8Yd-r;Q]qs7l6XpA=a`q=FX_p\ap_E-q?UrVu]jrr2cqqY:'a!;QQf'DVD#qu?6es1!'=
+qZ$Tmrr;ubs8DcnqZ$H4qZ$Bjq"4B4~>
+l1Z:moCM_Pq>1'_o^heOq"OLMrq#XPo^HR:nFQAMo_/+[p]:-arq?Qlq=jXVrq7$&m/I!dAs)HQ
+rp]UWq<IqPp@n<upAadeo_%nLp4*~>
+n^RBd,h:Amf@ej2gsXQqdacn!e^!%&e(E:%9j#org"b00g"4j+eC=HG(t-m^daQdugW\X8O\0cD
+g>gW4g=aO#e'n9Cs3T0@qpYMk"jkTAcHON)c%#~>
+nb`.[+85R2s7bsOqYU']o_/(XqtC$_rV?K(=2=k5s7QEdrVlZpqY:!_s7dQ0qu-Nno`)pBR/d3^
+oD\[foDAI[p\FX]qYU00qZ$Bjq"4B4~>
+l1Z7hp&+aYl0S0>q"F@Rq"a^Tq=47Nr3B/0q"4COr:9g]!VcBgp]('hp_3Dsq"a[Mq7B^co_7V3
+oCMhHq#(*b_Y4$&!qc0Yo_*e~>
+n^RBd,gk/tgsX<gf%&9ud*gFrf?r:#g=>)H1nEFRgsY'-f[na*eC=KHr6uG2f\,!(h4HiLg>:/u
+e^W<ue_&@"rR(YldF%j?rQteqcd0n\bk0/1~>
+nb`.[*rl$/rr<#qqY^<jq"=CYqu6N`s8VV2>5.pjs7--`rVHWlq#:!ip%J1VrVIH2qkmu!p]'jb
+qYpEmoD8%Pp\FX]qu-Eha85i3rqQ-]J,~>
+l1Z:uoC;YVqtBd[rVcNap\=OZp[%hQl>9Jho^hqGrpod^p]:-arV-?e'`%P!p@e1MS6;*@o],o:
+nFQ\Lp[\:W"SVN]p@ZK"s7HHcp%@tNJ,~>
+n^RBd"l7YTg#(Q`f)OD@eBuasf@ed$hV6:P2q6L2h9Os,f%8O(eC=KH!n,QIrmh&"&_PWa4aPH/
+b2^mueD\a'cI:8@dJqS@dJMDkd07nCcd'bYoZ_m~>
+nb`.[*W>X$qYg9fs6o^\qXsRZqYL6arVsH,S,`K]s7cHhqZ6Qgrq@Q-p@nCZq"F@HLiC*.s81o8
+O,BC[rVu`fp\FX]qu-Eha85i3rqQ-]J,~>
+l1Z:pn*TfCp%JFPp\js]pA"CVr9sFW[7cb^p[@nJp\+=[p]:-arq@9'q"aa[p$qM2Iq>tXrTi![
+JUEU0qY^3brq?Qhp%A%Oa7fQ+!qc0Yo_*e~>
+n^RBd,hUGfe_&F'hT=7"f$Vptf%/U'g>&#JGi7?)gXOp-f%8O(eC=KH):?p_e^i6tcc0EcQeCHJ
+]O5>YEjXNQf$i+HdJqS@dJMDkd07nCcd'bYoZ_m~>
+nbW@bqtp:4o`+sUYDJX[hXC@<p\=X_mf3.Xq1_i4p]'j_s7H<hqZ6Qgrq?Hep\st,p$hBlDTDeI
+s5[m]jJ5n0nGN"Sp\FX]qYU00qZ$Bjq"4B4~>
+nb<%Xr:_9$rVtrYKTiq!lM1,Gp%\=Js7PsRInAYjs6fXZnb`:[!VcBgpD<Ptq>'aRlf`.r]_UUW
+e6.[[R884rq=ad]_Y4$&s7?<ao_*e~>
+n^RQgr7<";hrD_8Ap'QSbh:RreCW<pj4Di4@kc!Sim?<5d+\KN!nGfMrmLnre,Il3d*'L+8>+e\
+f=O:d]6c5:bLY+je,@\od*^8<e,@Ytd*L%`cHPq*J,~>
+nbW@`q"sn*rqH/]BPi`XGImOKDts5&qY1$ej]mQ?qY0m^+7]4-qtKp_pAb$ip$qY1A9.);s7lVB
+MZ</FHVjb<qYBs'qXjT6~>
+nb<%Xr:_'(o'r5XAVG;BXmDfroD%nNo`+R;:j;g2qY26(qYg3]p@n1TpAaXKmFPQUj7Dp-oPT'T
+k5KKrrq6$ZpA=Tkp4*~>
+n^RQds4%)"*SB/tf7HRhDIHV8eqm)Og!eU(inD=3AEDIpf$r:Me03)fg==U"eBlq#i6]]m\irj0
+g"Om1=(:.1hc22`daZaprR(Yl_U/A1oZ_m~>
+o)&I`rqQHg)>F"-O`SP>qR:18@%dPds8Dres/T8Gs7l9cp\spiqY^0`rqI<$o(W1S``n8YqY1$i
+YB\mtp\f5<kjnWLq>L'(qXjT6~>
+nb3.\q=sa`pDEJns,1[,oC&S[QrTFOkPtDUlMmGK]_(srq>U.3qYBjWp%@tFm.(,A^f#[7nE]oF
+TP;g@nFpj$j6l[8pAOacpqcY(p%A$/~>
+n^J]0dF-ImeC`F(g?3NXWSlU"8VKBYjN?N;gsG2A33;)kq:,Gq*n/Nbda?@adG`9A2.F8LdGNo>
+;Rb*'f2"9AbLG"irR(Yl_9i8/p!&!~>
+o)&I`rqQHg)#a4)Ec:7Crr6LtPlL@No`+XYrFL?Uqtg6brqHusq>C3gqu-Hmn*RMaReHa\%/TO>
+QN-g]gfJmrs7Q?drV+/)o_F"~>
+nb<"WrV%0(nagR0irAWK<&fa1me$&JoC)BTDYESor;$?es7ZKgs7[H-p]'L@Y>LGLrq?!Pk%oqQ
+nGh':GOYY&p@eIZs7jG(o_!_~>
+n^RNcs4%)$(u*Zs<)V!+hs<`WF5t["db`L(gdPH0g=Z5N+O\`if$r4#fAXilO"kb'j4i;;c;\iD
+e`4(m=4#jMe'n9Cs3SU0oZr$~>
+o)&I`rqQHg$ig%fH#h%&qPI2:p&=stqu?$__aq`GqYL-as7d]1p%eRap@e@Ns8@=RV"t&arr;W"
+F3=O*Q=4b+s7cEhq>L&pqLA~>
+nb<"WrV%0/o]1(._=?u^7VqAes82ThkPr1X\,#Ler;$Bf+nt['qY9XPp?DPMG$CR-q<[bLkc8@1
+q7r%qC@V8op\+=Zp](#qp4*~>
+n^RNcs3qt<f]1T+>?.c[gP@XgeD]QHg"jg5U*lc$g"?/N+k+iff@A3ne&gFt<]bcZgsOg4cBD&$
+hPG6S9$uJAeC2nFdJqS0dIbe9~>
+o)&I`rqQHg)"dk.b)^+jU1\"@oD/1Qq>1!gH>3'Lr;-EerV.K5qYBs]p%SFbeqJ7As7l9es8)Y?
+GjbUSMbnHos75s`q>L&pqLA~>
+nb<"WrV%/trr0ik?%J>G=&.uMna?&BpA/i:lL+3:rqZNf+o:s+p%._Fq>\imE1R!umec\Hno&@(
+rP4(YD#aA"o_/"Wp](#qp4*~>
+n^RNcs3qt<f[Aa>Wc1FBJO`*idb*1!f@\d7=\.&sgXuAP+kP5lda6:df&<lA:jq3MdGWa/f2kqo
+ih^9;9]=^KdF6SCdJqS0dIbe9~>
+o)&I`rqQHg)"@P)s2\P_JElT!Sb2dYrV-?*=0)2tr;-EerV-NmqY0a_rr3/VJ6h"2li$hmqWqIB
+s8W&r_-aYFs7Q?drV+/)o_X.~>
+nb<"WrV%/pq>^?.=(?L4j@#4!oDeUVs0basn+?;IrqZKe+SYL!q>^KlepCNOs5j(Vp%In7:j_p1
+p@c+$Z1@qbp@eIZs7jG(o_3k~>
+n^RNcs4%)"(sUjuiMSq7@EHeIHILR.gXYAT2N$2EgXuAP+k>)hd+7%/fX>!D\DbE^j4`8<a#ISc
+gtLGN3K_bIcI:8@dJqS#d=;~>
+o)&I`rqQHg)#s3spAWb5s763(=b-PJp%eQ1CZG$drVHHes8!i3q=sabs67LCEUNc)r;H0Rr;X9/
+Iei^7rU,$'mJ[%_q>L'(qXjZ8~>
+nb<"WrV%0,md'E;dc^YoqQs.Gq=O1Kpi'd!m/$GMr:p<d+nYL"oD\dM^hmuRp\adZlK@j7Y"j*-
+m.C#8FdVCgqY'X]p]($)p@S*0~>
+n^RTerRCku(uEWbeD%LXk0N"U3+(Lne(<>R8A`g6gt;JS+k+uje)'!"TM8/&fA,!2c-+eqP;QRq
+dFd-n<HuU9f@/4IdJqS0dIbk;~>
+o)&I`rqQHg%K?,%o`+m]qu?BakH"7Sr<LhPN;r\MrVHHes8!i3r;6<imB()ds8V`]s82irqtu@]
+=5<iTrr7"lrr;Whq>L'(qXjZ8~>
+nb<"WrV$cso)J1Yp?_GMn*o82mJckccVB2knauPLr:p<d(A.Fro_I[JA<-Wfn*KrDr;ZE[JQPXp
+rq?ZnCk)9\nFlSSp]($)p@S*0~>
+n^RTerRCku%GTCldc9'.f]1N5`e`%AgBY#>C#R[tg=Z8Q+k,)peChlt6uLf:cck.qhrEA@Aj8,_
+gtUQ99OHK0c-t/?dJqS0dIbk;~>
+q>:$d!W2`mq#1'fqu$@6s7uZkq>^<kIT!rWq#C'bpAFpcp\Xger;?BST5C;!r;-Ei%eK^HNgt(1
+s6u7_Yk\+jrV?Edq>(Wor;ZZir;HEaq=XCUp\4^3qLA~>
+q=j^[!;HKfrV-9ar:M0.o_J.Ms7?&19=XZds7,mXr;QE^p@\CYp@I:3B:S\np]'q!o^)U!KT]r^
+q!!fEX7Q)Xp@eIZs7lE`&+KAkp\"=Wo^_\FnFcDErlk(d~>
+q:,5jqpbPpr7E+Eh:LH7f&bTB>q_`#f&Y<3eCr^.e(3(*f@JEfGt38Zf)F;5d,\8DGtk*ib\fS%
+e'udoe,@\od.u'"bL>%jd*pLjc-X\Xd*BqibgCq~>
+q>:$d!W2`mq#1'fqu-F7p&=[_qu?BielcnaqYg!boD\RVqu$BloDe[YRq]qAqtg?is8NPoGbP+o
+>?5*<No^65r;HHip\FXrq"aa[q"t!dpAb0lrr;l`bkch~>
+q=j^[!;HKfrV-3_s7IH&q=44Oq="4,;J5Omq!J"KrqZ-[q=jpWqt09@A&8$9s7R')r8_jaoRKe7
+=BUI;rUK[VpAOacq"aUoo_%nKo_8.To)A[cqYp6Sbk?P~>
+q:,5jqpbGms4AFAgXOs0h::Jl3(qcRg<\U$gt0p)f[o$+gXOJj6_W-/f)OA7j5A!YIbSKn1HRU1
+^YR2ce'n9Cs3USh&'rVLcHjqfd`pJ$e^`@$`QZ_[~>
+q>:$d!W2`mq#1'fqu6L:qtU3erVccer/Xdgs7--^q"Og\oDej\q=ssTIWsWGs8)`irV@&sq<qL\
+s7*^WO0%LDs6]LXq>L'`q@ET&q>C3gq>'sVmI]uCs8U=>J,~>
+q=j^[!;HKfq=jj]+SGd.qY:*VonZ;Ms6TdVp%81PnGiFQo^V\:GAbq%qtL*brV$omo]T5Brp$kA
+Lo0,1r9<bFpAOacq"aUoqY0[Xq=jRTq!.,5mdg8Sbk?P~>
+q:,5jo@3fk+4T0!gY:`8gMSd7jNcf7eCEC'dGs'.f$rEo>#Dc[hYYn(fFcQ`bVt(5d$SB[L;;d'
+`m3&^rR(Ylq9]`'da6Imda6@i`PfsAc.:S$dIbn<~>
+o)&OcqYp9gqYg<jr#tt8s8;fnr;Y2PFoM.1qZ$0eqYL0fp\Fjb`d3Kms8V<ZrqQHg&-)1V@)i$B
+qY0^^s8Dfkqu-?hp\FXrrqcNlrqQ0\s8)cqqtU!Ybkch~>
+nb<+YrqQ<`rq7N0q>^9dq"Oa1=Dms*p%n^[rV-'_q"44To"T6tc2@V#p\ssdpC[8gf3,lZs7>aK
+p\agZp\4CTrV-?eq=Y?qp@nI\o^VPQpA=mao_%[sp4*~>
+n^[0Z+5#H(g=t?AYs).Be^iC1dGEO.gY(-.gsr-"A[((P`;A-cfFcrc]03"Ck1A,2fA,$/eC;sr
+rR(Ylq9]`'dF-Urccj\hdFR(#cd9hfdIbn<~>
+o)&OcqYp9gqYg<jr#tt5p\=R\nGenUVZ6;glMCM[q>^K\s8VGdGF%n#n,N7\r:p<gs8NP=BY"0,
+pAOsiq<dtWs8Dclp\FXrq=aOWq=sgcnb`7Rn,NF]bkch~>
+nb<+YrqQ<`rq7N0q>'gZp$;X<8Y>qLs6BI[rV$9ik5,,>Ui;=Zp#c8Fp\agdpC[9%Zt$E=iU?L6
+qt'%Cs82N`rV-?eq=Y?lo()GGo_/.Kp\=+@qu?62p4*~>
+n^[Zjq:,;i*nAckf@\C2GVb'2dc8F$gtpZChT4L4aG3]5cIg7tqUY]!&`)H57[W/Te(WL0e&^"p
+f[J=JdJqShd1=UKc-Ob_dFH=de&TJZgWeF!o[A<~>
+q>L0f!W2`mq#1'fqu6L:qt]m[r;?0dE`_8opAb$`q#C'eqtg?[M.N:Ys6fpas8)Zgs7ulas3=Q-
+rVm)srVufjqtg9erV--a&,c7ro_\[do`+j[rVucar65"f~>
+q>'j]!;HKfq=jm^+ntg+q>C!Trb"pZn+6JSq"jp[qtTjak(6p+s7tdVo(_tWq#C'uk5WOuNVWDM
+q=44Yp[e.YpAOacq"aUoq"=1Hp\agUs7l$Xs7bmTbk?P~>
+q:>Als47"qqpHS:dF[++dHFFc_:@&kg!eL-eD/a/j2kjuHK*`$imlf\f)OA4alKNXF5Pm9h:1'5
+f@/7Ke,@\od.u'"e'Q=^dauskh:'Kqh9s?mg!TH@J,~>
+q>L0f!W2`mq#1'fqu6L:qtTm^s82c>@"SFUp[eF_o)JIUrr;/UAt]%rrr;WhqYL-bs8!9"s7C8t
+rVu<cp\+Xeq=jjdq>L'`q@EQ(qYC0jgpN3-QG`b&m/P<+J,~>
+q>'j]!;HKfq=jp_s7[Z4q"t*bpqg$Tqt0OMs8MZgo'Z>RigX;Co^;AOlLFE=r:p<d&b>tjCQeGk
+kP4Q9q>9gUq=aO\p]($ap(-uqp@\C\fWg?rP/%"okkiTtJ,~>
+q:>Als47(sqpPMls3i"Ahq?bc5@NO)e^<@/ce[.!guHA'6[dV9g#UK2eGIhsfFcZodS>&CjNH?-
+d+R1'd+6[prR(Ylq9]`&e^;are[(3HCMfNnf>H1mdIbn<~>
+q>L-e!W)TgqYg<jr$;15p%JFTreFImq>L?nme?bYs82idQ#a;4pAap_s7lWjq"jdaq@E>rq64\m
+m/R"`r:g-fp\4U]!;HHfqt^itqtp<kn?$?.c'WF[s8Vllq>g?>qLA~>
+q>'j]!VcB`p\sk3p\+@Ts6]W49"a`gr;Z*Ws7Z9\s6>V[Y5%J^naH5@qY0dZq#0q!o_.pXBA2JI
+p&+ORp\=@Op@e=Vqt:Qlp\4CZlDJ'macpSKrr2Qfp&Oj8p4*~>
+q:>Als47(sq9gA3da[*ugh&:9f\53@b1#>&hqI2=E_hkRe(rO%g="^Oee6Wcf@GpR]uf?fgt'm)
+f[/!oe+D#ge'S*D$ei[U5Dl=X7ZuHXce6_<dsq~>
+q>C$b!;c<a(\R_'q>^4h<Ug%gpA"[fq>]m^a^8l6rVl]pqu6NnqZ?WkqYg9rr:g6hHuf8_q>C0f
+)Z'@-nGiO^qtg$ds7u]folY)ts7QD!IeER.r:pEgq>&P:J,~>
+q=s4K)>3q)q>Kn\:?hfYmI0uLo(M,8_,P!jp@\+VpA+Fhp@n.SpNLKSo_84WqY(p'mf3=Zq"O@U
+r:BsTltg.Oq!\/aH1CUrp@eCXeFnC~>
+q:4`Z+48fqfA+n21<nn>d*gh-f&4m1W]j(^g=b-0f$r3tde_H"f%8@(f2k](eCXQIqU?G3aP5Cn
+e^Vq!gsb<0cVI'2gX"\7=jGL>e'n9Cs3T9CJ,~>
+q>BOT)Z':0q>1,p:8n3Xp&G'grVHQo\mLBQp\OgcoD8dmrV?K5^Ams'r;-:-qYTmUo(2\Up[\=X
+s35\NpAamZCOPsQs8DclpXK%i~>
+q=s4K)YX4,qZ!WgU]9B@s826Smdg=[<.NKfoC_hNo_/Ufq=Xa(])VBtq"aY%q=O:LnFlYJlhBf@
+_.e_lqXEoaGk1P-p@eIZs7k+;J,~>
+q:4`Z+4]?%f\VN:L#^2!j5JM>f&,h`5\e$af@\[*eC)dmdeVAtf[eL*T9nH^q:5;j):QgSbg"Vh
+da$Rpgo!qedG<9s79J!dhp^'QdJqSCd=;~>
+q>BOT%Jol"o).r`=7Z4cs8W#rrsSUmCo6^up&Fsfqtp?gq>1EnrUg*hq>^0ar;-:-qZ$$\s8)Wm
+oC`.Wo93Ims7ZK^DKu3Ymeut[pXK%i~>
+q=s4K)tj7"q<V?amIU#Hq!dnOq<a>RS)s,,s7Q*Zp\jm_pBUEfnG<%Trpom[q=bd*n+cqWq#'RJ
+rU&m*;6]oaqs%j9s7bgPpAOacpsf"f~>
+q:4]Y)W/imbrmo0f%Ad4f%K!?f7$GLce6h/f[eX'rR1Mk#Lh8Kf@\O+chZ,ee/?l[dbN@&gs4=*
+d*6DdQJ^'Gb",IgeAp%erR(YleBrd~>
+q>BLS)#<sts11OQs8V]fs7cQnn<.F_s8W#so_e^crVH?e#5@ulqZ$Tiq#'sb(]F+,s82NcrVu`o
+a^\3'q>UE[A8:Z7r;HHipXK%i~>
+q=s4K)ts'qr3nnCs820RpZqMKjG.!2q=sO\mIg2Ip\jm_pBL6_q"FX`oD&+VpDNl&qu?H_o_A:S
+r4lB&d-p`.j^)Nbs7l<]rV-?eeFnC~>
+q:4`Z)qENdh3]<riSMo2g<n[5b&Kt/j5SbQdFd%"eG[hke-=:Ke^N4)d.l/ee/?fae_8R#eC`U.
+hkN=b[aa$i`BH`7hpp3)rR(YleBrd~>
+q>BLS(]F10ol43aqu?-^rq6<UKOVk!p@&%]nc&F`qYC!nrq?BloD8=`q>C'c(]"+%mf*%Rs8M?a
+Yt9-4r:KQq>-R_hn,<(\pXK%i~>
+q=s7L*;97&rpaf*c1_/#o_7_Pi-JJ7p?Uo@s6B=Op\4X]q=b-jo)JUUp@eI\q"aY%pAFCFqXs:V
+puVLT5],lYmH_>_X7>NAp@eIZs7k+;J,~>
+q:4c[*7ilriRCX`YhA!Yf@nR2_d>^(i7638j3H<.eC=HFq:#Z$cemC!e'm%HebR]4e(Msdf@%t%
+fYug/,>ce>d*A(:Mp]Vee'n9Cs3T9CJ,~>
+q>BLS)>s:0_aB4Zp[A.]rVt5sDoVbUp&FjSs82]jqYC!ns763ip&4pdq>C'c(\@\'q#CBiqY]m_
+a%`H0s82iaS_a)@s8DclpXK%i~>
+q=s7L*;94#s1^aLr:9(Op\+X-H=ab[p?V\Jjo>&Jp\4X]q=b-lmem%Rq>Bp]q"aY%nGN%Rs8V`a
+p?VIg7%NrFo_dp>f^o(@p@eIZs7k+;J,~>
+q:4c[*7iiqjJ!f/hpop1g=bJc>tUmIi6pZ:alCt'eC=HFq:#Z&bLtUpf%JLIebR]4c.UUphqll5
+f#udB-\0k+fAFYn\C90de'n9Cs3T9CJ,~>
+q>BLS(B3spH<\5cqY^6ZrSqs.g&M*Lqu?Zirql`lrqHKiq"k9lp%n^fr:Tm`q>2!%q>^-7h>I'G
+rr(ttVtL#`s(t1(ka25Gq>L';qLA~>
+q=s7L(\[[ml#]q;rq#gTkk<eJ>LNEFo^r%To)A@_p\jm^pBL?]pA=^]nbMtUpDNMns7"4ap@@qP
+pY]_Xme62GB0Q@UPPFkFrV-?eeFnC~>
+q:4c[)V3]ncWWE(in)l9bLsX+5.9G.g=Y<;e_&I(rRCkqps]MscI:Fte^"!@q:$;0eD\cT\CT*Z
+f[mo3K@/B%gIE=B_f4/Te,@\od+$Hn~>
+q>BLS)#s-V8<`]Bs8V]jcW>>Ts7QEhp&+aas82flrV63c#PnDlp&Fm_rV?Beq\T;%s3,5<p&Fa`
+s6uA:pA3?G?I[5=MZ*MLrV+h<J,~>
+q=s7L)>=*rcU*WZoD&1Ks2\#Uiq`$<o^;DHp%nC]p\jm_pBUBknF?PPoD/4Wq=bd*lhe_6M=:H5
+pA+!8M=:&^<`mYgCPMZYpAOacpsf"f~>
+q:4c[)V3us[4$+Gg"bH2j/Xt7`SAntf[AI+fA+s.rRCkqq:#Ythp'I(e'Q\AebR]4h94QN7;:*)
+d+6mmF)9:UZ8jnIW(UXOe'n9Cs3T9CJ,~>
+l2):sn,NF`s7?-_s(GN]o`+X[s0l6ajT#)Tr;QTlqY^-Iq\T#,o$1TOqu$9fqu#N#PP'Mpci<]S
+IK09ArV+h<J,~>
+l1Ytjli-hTqsX7Ks'S[EmJZMDrj#UQhuEWIrq?<br:o7F)=dama&u[?p@J"OpYU(Qn9[:>rpaTG
+qtBa^p]($<p4*~>
+l-pO%aP5CrfZ_pukXde>e)T!/ifuQ2_;j/Ff_j=Te/?ZocDilee^i4#f%7Z9DU;]3WSZ#l<nPmM
+rR(YleBrd~>
+l2):sq#C'^s7lNlc#Ra_s8MusU2-=bs8D<_r;ZZmqYU$fqVh;es7s<2CT[F.s7Z'al1=qoi:Qd<
+LOf!pq>L';qLA~>
+l1Z+no`"FQs7H'\`G0&?qtBa^RqA&Ls7kdMp@\FYrV-3aiqFAbo_\3e<+W!!oDJ.Hs5`VJ^=hrE
+nq)8Xp@eIZs7k+;J,~>
+l-pX(dG*!ogsOg6YZ4N<jPSbQIn>"-j4_W-f%BiMgsd7nfA>&F1e!2Ke(i?riPa%#TtJ[udUHA'
+e'n9Cs3T9CJ,~>
+kkkD['_;)"p\FQi:oOEbqu;@lYPnLlq>U9gs8)]hrq?HgqVqA_r;-Gn?Bo6np](3ZrV6B[rr3,c
+s'LTRrV?EdeG=[~>
+kk>tlrU0@YoCVLM7@jGCoD3rSWqcV_pA=RXpAF[`q#:'hpu;#dp@[qOTi[7al14lMl2()Ml1k;Y
+j8W;9n+QJRp]($<p4*~>
+kgUL&g<7q"d+6j81PtAFgu)aCNSEF=e_8U(f%&7gf%AO/KK=*?ajT/!`n/YkakPk5_r3XbbgY&>
+dJqSCd=;~>
+l2):is8MclrU]m]JQq1's7qO]WVZYfpAajaqu6Hjq#:!gq"j%J)#XF1s-[HA=h+2(q>L-Tq>C'N
+qu?:jX8i.orV+h<J,~>
+l1Z"aqtfp\q=!qCG#6iPs7(\GU\4ZXoD\@Wp\jmdq#L3Lp]'q(nGJAQ`)Eu3q"=IVkk=iEht?p9
+;lBWgpAOacpsf"f~>
+l-pNpf[nL%f$)_!A3S#]lIp#?M:gn<eD8R$e/Hoke_bF4V_aL`f[A@"`REDf_U[Gf1PFN3e,@\o
+d+$Hn~>
+l2):kqY0pep\OpR;471YlZ-pko(qtTs7Q0cqu6Hkq#'jeq"j%J!;uir'T$DiG@gdIl2UeVq#CBj
+p]$OnFeSd0rV+h<J,~>
+l1Z"cp@J(UoCi(;7#^L1i+coJm.ToCr:Ta]p](!gp\ssdq>^6LpDWc#p%*Z<k&=Z&n`KiNoD&:\
+oC;gBA9"16pAOacpsf"f~>
+l-pQse'QXsd*pjn1jn$BbYq?Cdb3(%gXF[%r6kDjs462Z)V3Ztfjm=h;aK*a_qWtkdb<F+dGAk2
+:3tC<rR(YleBrd~>
+l2)=rq"+IZq#C,OC%2)ZEamr(s8DWjp$;YSrql`lrV6<b!VlNOq\]8.s7h.es0tbTq!n7Up@%GD
+s7uQ;g;2qMq>L';qLA~>
+l1Z%jo^DVJo`+H9>N>5'B3Np\s7u6bo'?>NrqH<brV?KgiqFAbo(MEmC\k;)e+<#&p%7_=o(_hL
+ajn)ap@eIZs7k+;J,~>
+l-pO#dEL1hdGEAp:=J.=<CO^Yk1nGCdE1;CdeVDmf&G0tf%&R(>>F"=.'qCGe^)O_aO8hleZ#sF
+^XL[1dJqSCd=;~>
+l2):qq=jp\r;XZ2RfC`HJcG`DqtTsds7l3_qYg3fpB($^qW%Gir:g6fIuOErFG8rXrpp*fs8;Qb
+n,N4Ms8DclpXK%i~>
+l1Z"ip%/(Lq#%cnN;:@qG5V((p%7qVs7l3[q#'pfpu;#dp?hM?F+X;QD1L[Dqssdds7bsPl2UD>
+s7Z0bp]($<p4*~>
+l-pU%da6Xje_-QNJ*aL5AEVk%gXk$6hU^$$dJMAheGn+Ze/HodgsfJ>i6+r)_q<Vcg=Fs/dF-.q
+eA^=oe,@\od+$Hn~>
+nG<4^qth3(qZ$Tds7;([]9m;ms7uZoo_ngYnc/@[q>pBfr:g?fq"itHs8Nd]Re?]K>M8iKo`+IR
+q#C*goDeLYr:pEgq>&P:J,~>
+l1Z"cpA=mXqX/r?Y`2tAs7,j^n+m"Mnc&1Vp]1'bpu;#dp@S.SF-,_\O&XR"p[S:So(2bKs6fgT
+o_/"UpXJne~>
+mF;*_(XCF\h94NtAk8M?9Q0.Kh;cr=i60I&dJ;5feGn+Ze/Hoih:u+Td+WS#[FE^OfuhOfgX4s)
+gs4<re'??k~>
+nbW@`q"smtp](3]s8U&UC/SB=q#C0grVucqqY9pgqYU-ciVO/^rq^$!rr;7mD#aG.s8W#hqZ?Wk
+qpbIm~>
+nFltYp\adroDeXQqu4<B@nTn!nc/7[p]:-ac1__FoimpXp>/hXq"==Ys8)9[eFnC~>
+n^JQ0eC;podEg.`g=47!iM&t:0g1EEjO`,>f\"g+cI<?Tgt+`?gYg.:8DVqHf@f]D!7KBEJ,~>
+o)&I`rqQHg&,6,&pAac`;+?JhmeQYQs8Musr6P6OqYC!W>d=2+onm&6s6BCUq=4@3qLA~>
+nFuhT(&@M#q==@KTh7V*am&HhoD87Wq=sa1pCHuom8p=Xp?$^!fDOb(qYKaVeFnC~>
+n^RTi)V!3_cd0kZf@8."d"a;#BrfG.e^N7)f[eU'cI<BTfZlO>f\k.h3P=7gd+$M6eC;lr~>
+o)&I`rqQEf%fQ8#s6cjqK[To#qYU6krr)lpche:Mq=iiPb4u#:dq#?Unc/LWnb^i4J,~>
+nFueS'__@rpA=$I>CXots7Q*\qY9j]q"W//&,,bS<l=@to>at's6Td_oC;S)p4*~>
+n^RTi!n>ZGrm);*e'ZY!b(r>mYiF`pf\"p1f[eU'cIDmE%DOp&e_],e5_7t>g==C:eC;lr~>
+o)&I`rqQHg&,c7tqZ$ECZL.J`q#CBjqu6Qor6G0Mq=rBIk4nlSs,D7&rr;ljnb^i4J,~>
+nFubR'D:tjr:A78kk+N=qtp'[q"X[[ps/UEp@Z[9hsU"/pOd>Zq>:!]nb:Q,J,~>
+n^RTis3qn6dF$:gd*U8!f!CL^f@JL.h::*/f[eU'cI<BTf!%EYe_9$?BN!R;f[J4;eC;lr~>
+o)&I`rqQHg&,l=uqZ$TmpAb0fr;ZWaqu6Qor6>*Kq8.(Hq=t!i^gu-snFchOqpbIm~>
+nFueS'`%FnpA+OVn,N:Vp]'pRpA"FYq"W//&,>k3C@h#aq=V1"e+i;$s7,j5p4*~>
+mF2-arm;G0d*U7sgt:*:hUU<<f?Mn!f[eU'cIDmG%A6GKf[\p8Rm473aj&Q0eC;lr~>
+o)&I`rqQ6a#lakts8Mlor;$<is8:1>&,c4+I/j->s8V1pR.^LTqXOI4qLA~>
+nFueSrq6`moCM_Snb`.Tq=jO\p]C9dps8[GpA+B]GPLk!p%R3MOmrADq!n+.p4*~>
+mF;*_%aibSe^i=+i7-W<fA#!.rn%;'e^`!q&D#RdNEY2ne_K#s7<Ho2e'dd9eBrd~>
+o)&I`rqQHg&,H,"qYBp^qY:*eo_\[es8Musr6G0Mr:c\5p]('ds8&L%df9:>nb^i4J,~>
+nFuqWrV%$!p@e1Mnac;Cqt9FOqY9s_q"a^[chA"Ep[XW!nG)SHrUZOcc2[V1nb:Q,J,~>
+l-pEqf%/C%eCN7&hUg0-gt:B6f[eU'cdWNWg!t@VeD/X-iR`QFXl%^Un^Q(9J,~>
+o)&I`rqQEf%f?+ur;QZkp\Xmgs7Gj]rr)lpcMJ.MoT"Xos8Dies6s$[q""ITqpbIm~>
+nFuqWrV%$!p@\(Np\+4Lp@nL`n*KuIq"a^[chA"Ep[<rhkkb#FmJZ9ERIfkHnb:Q,J,~>
+lI6R"e^i:%f\5'2e_/X4hpK['f\"d*e^)_Vf%JJfA'Ef`f[8X$0mV6kh=9"Ed=;~>
+q>C*d&Gl1sp\F[WoDS[bq>:3lq>0pbanlVFrbIekqu?Kgs8RmsqYp?]qpbIm~>
+q=sd[&,,emq=jCJqYBgVpA"OUoD/.\p<<7Bp@J#hNpl]Ao_&7]K5U>Vo^V\*p4*~>
+q:5;j&^\tTe^i'mgY:?2g"bK8f%SjVg&K\(f$)VSf%8_MFOJk$f%8j7@ntP+nC5t8J,~>
+q>C*d&Gl@tq=sU^s6o@P_O8R1r;ZTjanlVFs(mkjr;ZTks7t,\`;]f,qpbIm~>
+q=sd[&,Z"pq!nCam-+/VPf)JQrV?3fp<<7Bp@J&jMspE<o_A@Vc=aldr:0O2p4*~>
+q:5;j&_51WeBm+5c-"_4GGiF4i7co`g&K\(f$)VTf%8bOERNOseC`R+Y",)9h!rnDd=;~>
+q>C*d&,Q:rqtfpapUZiTT=:nkq=sm0q[`Q'Cle5eqtg3apA]Mkp\F@VeG=[~>
+q=sd[&,c"qqXFOV[[)c<Z)*]Up%e@^p<<7Bp@IofM!t-6p\=CNs)iYUoC;S)p4*~>
+q:5;j&_>1Xf$E@,R<`_#Q\ft;f\5'Xg&K\(f$)VTf%JnQDUR7lf%8<shcO13e+(r;d=;~>
+q>C*d&Gl1rqYU0RZ[%Sus7c,UhY6jDb5;5:&,'k'p&4X^qY'jdY@Q5Ur:9a7qLA~>
+q=sd[&,,boqtT6UFbo5Vna)RnnG2hYp<<7Cp@@NYMt$N6q"OCSq5@TDlLsfCeFnC~>
+q:5;j&^\qVg"FE/>&MUBf?eiTe(WOSg&K\(f$)VUf%JSIERWXje^Vstfo&,"c.;I8eBrd~>
+q>C*d&Gl&!oD&@#EGP"Bli7!#VuQSjb5;5:&*.Mrp\a^\q#C?hj`m*kr:9a7qLA~>
+q=sd[&+]blq#@sCBB]?Vs8QW&rV?3fp<<7Cp@?mEQ1F\?qY:$co\OMDq"F:QeFnC~>
+q:5;j&^9"Uf&<2u:=/.Hk2]'ci7co`g&K\(f$)VUf%Ir5He$fsf$r='eA5%%gXbrFeBrd~>
+q>C*d&,Pu!n+?LH?_7;so`*6ahY@#kq[rc)b\+$QqXs^Xrq$0bUgErro)$r5J,~>
+q=sg\&GYksn+?CA>FPE`mek.JfCet6s7X\2&bY_0>c%)ep%n@\nGi$J;Y'PPpXJne~>
+q:5>k'%5%[bL5'i6@n.Sf&Ec5]%G`jrRq5&s45ED&_Pm?7Z5mLe(2jtc/7$"37ZUNeC;lr~>
+q>C*d&Gl/$o(M'nDqXjaoD,e0`rGl4b52eKrj-.Jr:p$_p\"4Zp=a2or:9a7qLA~>
+q=sg\&GYquo(LsgCXqqMmIRJk^]"!&s7X\2&bY^l=ge"sp\OXWo)J1+>dF(opXJne~>
+q:5>k'%5+YcIBX:;S:`Be_-*VU>XbZrRq5&s45ED&_Pm&6^ufZe^i-oced*W6C??peC;lr~>
+q>C'c&,,hsrl]52pAaR\o4ECMoD/=,q[rc*UghCDp\Xgenc/=Ys-\01rVQKgr;-Tmq>0p>qLA~>
+q=sd[&+oVlqo<K!nGh_Om9b#9mJ6MVp<<7Cp%+MO_"mWtqZ$$ao(2m@Dt`br"8;K_pXo1i~>
++4\ije()pte'ugqdaZ^pda$7kg8[tZg?I&LeO<X$c2QAsf@g/Ts45ED&_Pom6)NDce^iNthp9d2
+F&^`]e,[todJ;8Pd=;~>
+nbWjqqt'^<H%H"lrT9)BZiBX5q^hGu@G1DTpAOaco)AR\d8[FOrr)Her:]m]q#Bj[q>:3]q"ssb
+p\F^`r;6BMqLA~>
+nb3Rip?qY'F*[NNp"kC#XT.\ep&Xp]a7h1Zmt+`mo)J:XoD\1Sp[?7!XS_hinGW:Yp\O[bmIg,G
+rUBLWq"OFSq"XUWpAXaGp4*~>
++4AQbdF-FjdF-FjdF-Fjdam!rft1O%jPSt=DE*a<c2Q8peCM[i.+Zpa5e#8$cdg=oak,.mXY>^g
+g"F^+g=4[*f&+^%eC<3rdb!%!dF8*Hs4.;&f@A@3d=;~>
+nbWjmqZ$TTH$%g8qN475n,<:&q],BZ@,^t^pAFU`o`+jdm#H5XrV#pVs82ijnbrFcrs\YsqXOU^
+qu?Qjr;6BMqLA~>
+nb<(T%Jp+YEGX+lnqfPkkk>"mpFZ+0G?Weps75sTrUB^Yp?.9NlM0uAo`+jhq!n4WrV?B`q"O=Y
+p\=a_q"OLUrq5@GJ,~>
+o$J#se(3C:_d$?[h;<<%F3E7n_UL0gfNgbVfA+^$bh1+if@J&Z:Wh><dF-t,hU^$+g"k?:dF?[j
+hpg96f@S^.f`'J&e)eu-~>
+nG<^hoDejOTmi,HA=)W^q=qf'-iS!nmJQtYqtC'as7uTmd;\7Jqu?<dl1P#Tq#1!\q!J+[mf2\R
+m/Hn^qYp<OqLA~>
+nb3RenEg,RgmN>BD-W1`s75`tpF,b1BO0irqXjOQqt'^Wp]&HPi;`NNo_dtHrVZ?`o'c/5s7kpY
+lMKiFq#C*Ip4*~>
+n^7rud*L\5`IqZC=@IDSj42Spe0ro):.*1Wf?r$kf$;jrfA`r*^u*`%db;ajgY:61da-@_iRl</
+akFi8fDjG$eH"([d=;~>
+nb`@d%JoPhs6[D)K!kXVo)JO%q]#QHDts8+qYU-gq#0p\s7LB.nG<1Vqt'CYs7H6h#3GmYq#Ba]
+rql`l!r)NdjSFB~>
+nb3RlrUf=Es5gPfHER5>m/?OmpF,b6?YT-+p%J.RqXjURo)J,kSEKPCnG)VGrr)<^qY9j`hYQd6
+s60L^q#:$Ip4*~>
+n^7s%h:0X!k0BH]A!Gs)bh^abe0ro.78MIedaQXle^)amdc8_HIE9poce$Rkh;$?1g=b0:_;3Mh
+iQ0pUfDjG$e)\o,~>
+nbWjsq#:<bo`+sjs8VigrVlc3q_8%\K)YT>r;HQkp\aj]s88O2hZ*EAp](9go_eOJg>Dr1nGh5#
+q#:0fq=saYp\4LFqLA~>
+nb3Rlo_SIQn,<:]rqc3Wq>0p(pFGt5?@;S@o(`%Uq"+:Qo)/0IC=W:Sm.C>Wp$_VGhTs^Op#c;'
+g[k79q"aparqGOJJ,~>
+n^7s$dF[."dbs9EiSE#4f%8Kie1K8/6t4p%cdgOoe'?Fldb`W$9=E[*bgYP,eBc^p^Tk<0g<8Nc
+^"(lhf@AC#iR*/~>
+nbWC^o(r@c#lO/Zs826as7F,(0^<5:s7l<crqlQequ6Qkr9S[Br;HZfp\FR`s1<YcEO>cGlA2G>
+n,*"Xq"OLUp\EqIJ,~>
+nb3Obme6\Zr:fL@s7Y^Ws7!l!/b\74P5FkAq"jaYo_81Vp@[B]Zh*hen+?8Cqu<sA<+`!*p>CCo
+q!.YLq=sdbp]1'Mp4*~>
+n^7oobL>8&hV$,rj4MK1hp'!e%G&ZjGhpore^`*qcdLMGfGqe)Q.4@>cdUClgYn>p2G0"khSiuZ
+gW\:"e^DnFd,`T)~>
+nbWjis8VQOp]('hnb3"]oD/F&q_63)X8htjr;HNiqY:*jq#'o[V<RpXr:9:Us7:AHBQ[[Gl&LPd
+mJm(\q=s^Vo_/+BqLA~>
+nb3Ras8VEGo(r"Tm.(,On+H^tpG)B\?`!Ykp%\@Wp\+7Ur:BUKP+(>#s7YjDrVl(s?!:l:K\D$)
+j6$C:q"a^\qYL!]jn=3~>
+n^J)nh;$)fdb<4)bgG7tb0\kZe1fIS7>p!Pdacjqda?Cpgst''FaV$Ti7?/oh;6=K5<V\"DoHI$
+aN<Joe^`*qcHaetd=;~>
+nbWjsqt9jds7cEep\Ojbqu$0(qZO68[K$(%r$_I@r:Kmdp&+jghZ*TIrVucpl+1?Ss8R(Y<JCJK
+s7?0cq=s^Vo_/+BqLA~>
+nb3Rkp[S"Xr:B[VoCi"Rp\=<rpBC8m?*F.trqIZ2q=sIQqXF1Sn'M"*lhC>Ms5:.`b5Lg;?q,>9
+mJlSJq#:*hq>pEdjn=3~>
+n^J*#d`g.sg!J0rd*pRndaQIXe1K786^?KYe^`-seC2Ulg="X0d^.f]bh(Y#iPC[;XPhZ':,-2:
+e)\d*e^Mpnrm'TPJ,~>
+nb_kQanu)6s82fn#FJE;pA=jcp\Ob1r;-Hjq#CBgs82Zm[<_f=s4q$onGi4Qs7cQbp\47Jp\EqI
+J,~>
+nb;SKanPf.s7cQg#ksKUbjkE'p@J7Wrq7N.m/68<r;6$[p%8![DYr8gbYD0sq<I2>o)81Tq=XIX
+pZ;+!~>
+n^RE`!7CVjajg==s4%)!#hO;VZI@IXe'@p?s475&+4&ikce[C(g""U)NDSHHj1%3;bi-png!\U!
+d*^"YcfEK(~>
+nb_kQanu)6s82fn#ErWYrqucprVHC7r;ZNVTD89_p%\@^nn.n$qYu%SiU[$KrV69]pAF^Zp\EqI
+J,~>
+nFuPLaS5]-s7cQg#ks<`htd$CqYC*arq7N.rTW4*n+?PIo(2Y@>P%jZpMNjVk5PDQo(VYIrVQEc
+pZ;+!~>
+nC7BarR(PkaOL4<s4%)!#hO,a`S9(tf@9cIs475&+5b;YGL4jpd*gCqb!";6d,8(j]?]Ktf@&0n
+d+-Lgd,`T)~>
+nb_kQanu,7rVQWm#D[Ers82]ns8)U8r;Z?XFiX%Pr;Z?fo6@+pZ#=H-s7O3ijT#2Vp\t$apZ21$~>
+nb2qUq=qr's7ZEc$2F7GDY!c"p\Xmep\sk/p%de5Cqf64q>K^[m;JHKUL7AGo'*Q;g\gmBp&+^_
+p#Pgs~>
+nCITgs3gkns3em9s3pqr$.[X?<7p*\eC`COdf7nufH8kiaA&;MgXt?,hT\lE^5,?M=P1rhC;/KS
+e^)gqdE^h#J,~>
+nb_kQq>AA3#BkXsrqZ?grVHC6r;HZlT9&pFs7Z'aqS@#j=/#Zom@erYkPY&Rq>0m`p\F^QqLA~>
+nb2nTqtU*`q=r,,#ki4`q"aRSqYC*arq7K-o_7mDM>-]@oC2eP]4>VLQ1b%6Q#_**p@/+Tp@S+N
+q=j7LJ,~>
+mahEf!7Lhn!n,TJrmpnqb1$^J<aae=f$W+!rR1_ss4AFDf[>%Zf@8R'cf*BC78#=]gYp/!<a*>j
+d,3:#cdL,7dd5A3~>
+nbW=_oCr=^q>AA3#A]4qpA=^bq>0t2r;ZfmfRE_qo`+pWr:K%&s8VEXlER8Fs2<1^qYU$cqYC$T
+qLA~>
+nb2tVrqQHfrqQHdqY85-#khh_p[RtNq=X^\rq7K-qt]a0H2.4-s82'TmbQ7irSm,$W1MW@]>XX>
+p$qeKq=j7LJ,~>
+n^d]l!nPlLrQt\peCOWO!8%(tb1$^J95<;3f[JEurR1_ss4ACJg<m3/f@\O-g;qmk]s6MR`Ql>Y
+J%4I-V;9YOcdhg=m*U=~>
+o)&I`o(`%ZdJNtArVQWk#AKG"o)JXdq>'n1r:g6`P.:Abp$;YWs8Vigr;Zfoqu?W"HBn=(s8;or
+rVHHYqLA~>
+o(E+YpAXgcq#C0hq#0peq"jg6p]($epBgQd@ug6Lr:p*\rV-6`+7]@!O1>&_p$;YTs8VWXoD&@V
+o)A9[EK'DYq"+@Tp\O[Op4*~>
+o%!fnrn.b5f$r-qdF-Oqf\"m0f_X1HeGn(te-XUS8T`_5hUU3(rR1_ss4AIFdGE2eQIsj=al(n1
+i6fp$g#:E/hpmQ]D:-kdeD&R)qU=fYJ,~>
+o)&I`o(`%ZdJNq@s82fl"`'b/oDe[]q]PS-s80WNl21ABs5j+Ms7Q6gp$_qIe_F\dqYpNns8Mun
+r9X91~>
+o(E+YpAXg^q#0peq"jg6p\ssfp]'pkojsQcmf3"Xp\je.n+6SS^2N96r9F=Ap[J4Oo_\+Ar8u5P
+>BoW.p[\1Pp\O[Op4*~>
+n_!io!nc)RrR(o"f%A[1g"?/PdFA0Gs4%(t#LuIsh9b32eGRbpf)OAFcdUk)SP@/Yg;r6hf$NC%
+db2mcg;L,#4B^.bgXb65eb[b]d=;~>
+nbWjnq"jd^q"jd^q"jd^q"jj_rRguIqYU0hr;ZZnq?Lf4s7?9`pAFa`s8O/3q!hV?lLOuKs7lE_
+s8Dojs7lWiq07r"rVlTlqYg9gm.u5~>
+nFlhTr:gHiq"OOVp\FU[p=]3>q#C*gp'C>'T_e*VnacJQp\sk/qYT^RmTe?.o)JF]p%7bLp\44U
+o)&%MDh\)\p$_\Gp\O[Op4*~>
+n_!lps4@A'eG[eueCN:)g%a4qf%JRPec4/!dg4JqKAFo5cHju=df7href`]$cIC*"[)gVQeD&L&
+d+Qt"ce?b!e'h-*gst'*gsXaLe*PJ4~>
+q>C'c%K-,$qu$?hqtp6eqYU-`qu6Qor8.;OqY9sa&,H8$pAagcc#UGjs7l6bq"ae/o`+g\s.4rD
+p\t$fs7Gd[rVZTepAb0YCU*L2r;?QipA=mdrqZ3_J,~>
+q=j^Y!r)Kar:p6b!VZ9^pAXjep\jgFp\XacpCHrqo^VnKqT!H]o)/.Lq=OOX+SP:$p@&$NK)>3;
+p\=^UlM^PRq"""Uro[jnmJQ\Oq"+4Rs7ZHbo_*e~>
+q:b\u!8.8%rRLkrrRUesrn@D*rn%5%imdkRs3qS-g=4O+ce>9kQI=R9c.:;=e0*>ggXa^0H=>OV
+g=Fp4ccY(pe^`!lh:ok8M9FW(f%ACDeGn"sde(q;~>
+q>C'cq>Bd[rr)lphu!HMrqQHg&,H8$p]'seaDJolrVH6bqYC"1qY:'br5ONEs7cQaqZ$Kfq>(!e
+qu?*/AZP8!qtp<dpA=mdrqZ3_J,~>
+q=j^Y!;H?bqY0dYrqQNfrV#:Gs7cTirV6Ee&,#kmo)/"P_J$dYq=aCRpA+G)p%/"NpVDI1qssdS
+p&"LSp%A.Up\X6t@AiDhp\4ITp@nU\rq5pWJ,~>
+q:b\u!SH$#eb[brf%BiPrnIJ,s4IG*f&P9[dK%\ndf7f-db3-ugsFfM8=n8\e'HOmq:#o)e(N4%
+Tjk@_dc&I$gXlGQ%G'(ZfZ0jQKZDfreCDt?eGn"sde(q;~>
+q>C'cq>Bd[rr)lphu!HMrqQHg&,H8%q#C*g^1Z$oq>C*ar;$43s763io_4fOs7--[q>^Kfq=sme
+rVYcmLVNH\q=sj`pA=mdrqZ3_J,~>
+q=j^Y!;H?bqY0dYrqQNfrV#:Gs7cTirV6Ee&,#hmoDA(Q\73n\p%\7Qq"aY+rpBa^n+)a;rp9[P
+o`+jYp%8%Uq=rp]K=gUMp%8"Pp@nU\rq5pWJ,~>
+q:YSr!8%(tqU>Mrq:P]#s4RD(!7p2[s3^nprR1_q&(9+\e(`:)QpS"+dacgoebR]:hTas3cdHre
+hTXp&eDK'.da?Usf%%L&@$o0kda?Rnp=0,krmLGdJ,~>
+q>C'cq>Bd[rr)lphu!HMrqQEf%fZA$s7uZ!Aa0-drVcHhq>296nc/OYs1j<PqtL*iqtU0gq>:$`
+rUSXbkl1PRp\as_qu?Nlq=ON6~>
+q=j^Y!;H?bq=j^YrqQNfrV#:Gs7cTirV6Ee&,,kno_J+QX'k&ao(i+PqYBk-rTsRYmf0nKjS&0?
+qY'OVq"=CTo_Iq*a5m*mnalPNp@nU\rq5pWJ,~>
+q:YVs!S5m!ebR_jf`'V)g&K_)f&P9[dK%\ndf7f-e(<1#g!eZ55f2'tf%/1!q:$MBbhq$tiL=2m
+f$`7*f$i=&daZanf#t@p_:R8`d+-\?eGn"sde(q;~>
+q>C'cq>Bd[rr)lphu!HMrqQHg&,Z;&qYg<jUMBQ#p\k*brqZF5q"+LXpAa?3Z2a=nrqZ6eqtg9f
+pAY*bqZ$Tlp\OgapA=mdrqZ3_J,~>
+q=j^Y!;H?bq=j^YrqQNfrV#:Gs7cTirV6Bd%f#ekp\"9OAb5Zfq>0[Yq=c!&meQABqW!1/s6K^\
+o^MeQpA+FQqYfsXr;?9[pA"@Tp]'sdp%7s.~>
+q:YVs!S5m!ebR_jf`'V)g&K_)f&P9[dK%\ndf.`+e^r@'e_5F?d+$Fnf?`(Ee0!/bg!J.#_d\S`
+bMV"&d+m."f$hssg<S1#g!e<se^O6As3ptqo[/0~>
+q>C'cq>Bd[rr)lphu!HMrqQHg&,c>'qu$EkQ?WB&qtg9crV?=4q#(-ds7lW$K)bTCo`+jcp\=dg
+p\b'gs8;]grVufipA=mdrqZ3_J,~>
+q=j^Yq=sd[q=ag_s7cNdiqNKJ!;ZTgs7['!p\=IUp\'\hr:9UUq=FFXpE0#$q=FISri^bLo(VVL
+p\".Mr;6*\rqH<bp%A.Xq"+4Rs7ZHbo_*e~>
+q:YVs!7ptrq:#DqqUkf$s4RG)!7p/Zs3^nprR1_q&(T1^f%/I+E)PB8eC3!qf(mf;e(<:%g=+o>
+?/F#]ce@"$d*^P!d+-n#f[\Euf%AO"p=0,krmLGdJ,~>
+q>C'cq>Bd[rr)lphu!HMrqQHg%fH/%qtpBjN.q<%s7lKfq"l02s8DutrVu26aSki*s8Vihq#:<h
+qu6<cp\4RarqlQcqu?Nlq=ON6~>
+q=j^Yq=sd[q=ag_s7cNdiqNKJ!;ZTgs7[#up%e=Sq"9Als6]dWp\+@U*r>[.qtU-PHc,XKnG<"P
+p%8+Xp%S=Rp@InMqYKs[p@nU\rq5pWJ,~>
+q:GGnq:5;jq:>Pts4@8$ime"V!7Cbns3qP/db34%f[seDh9+I!eC43B+4o6!g=t99``o4jdEpV$
+daHOpf[A:$cdU7feCW=%e+V;ke,Iefd=;~>
+q>C'cq>Bd[rr)lphu!HMrqQHg&,l>'r;-EjLQDK's7Z<dq>'n0qY0aap&FL\Q&5G7s7lHgs7uNg
+p\b$`rqlTkr;$6ipA=mdrqZ3_J,~>
+q=j^Yq=sd[q=ag_s7cNdiqNKJ!;ZTgs7['"p%e@Sq"92qs6BXTp@n7UpE0)!o(qkRlMls!p[n=R
+p%S@Vp@n1RqXOFVp\FUWp\jg[s7ZHbo_*e~>
+q:GGnq:5;jq:>Pts4@8$ime"V!7Cbns3qS1db37%f[sVIh8e?te'uhAe0!5hdb<('b2I;Mf@8O'
+e^rI%e'uapf?W!teCN0ueCsWGs3ptqo[/0~>
+ZMX[urqQHg&,ZA)o_SUfEK'epp&4Xbp[S+c^3&**s7QEak552TrqZ3_J,~>
+nb2MInb1u:s7cTirV6Bd%f5tho_nQ#L\Lc;q=FXXq=j^Y#J"d'p%n1Wn)jBEpAXaWp4*~>
+n^d6[n^c^Ls3^nprR1\p%bK@ZeD8kPB@PY\f$N4!q:,5k#FSAqe_8C,cfWaWe,Iefd=;~>
+ZMX[urqQHg&,l>"qu6HZCR=krp](!fq!n4dk^T0#rVQNmk552TrqZ3_J,~>
+nb2MInb1u:s7cTirV6Ee&,GnjpA":BAWl`_oDJ4Yo_J7Wp'9W(R.g=Kp\O%Hs7ZHbo_*e~>
+n^d6[n^c^Ls3^nprR1_q&(]1Yf%AKo7<6i.d+Qe"dJ;;fed')rGh1Nuf@oB:s3ptqo[/0~>
+ZMX[urqQHg&,u7qs8V]BA?Ye)q>^6hqXOFfs/0u*q>^3hk552TrqZ3_J,~>
+ZM4Co!;ZTgs7['#naZPSmEf1>o_.tXo_S:Wp\FLfs.XGpo_n@Zk4eoLrq5pWJ,~>
+ZIJp&!7Cbns3qS2cI(G%c*KTkdF6P!dFZkCeG7Z#hh"YEeD8R/k1'F[rmLGdJ,~>
+ZMX[urqQHg&,uA!s8MZ7@F+lIq>^9grUKairni=@pAasbk552TrqZ3_J,~>
+ZM4Co!;ZTgs7['#o^i"Um_rDQq"==[p%\@Yp\FLfq:^8,nbi%Pk4eoLrq5pWJ,~>
+ZIJp&!7Cbns3qS2dF6n'cDWh)e^Dn$dacqEeG7Z#ft(IVdG37%k1'F[rmLGdJ,~>
+ZMX[urqQHg&,cJ+rV6<5AF9Enq#C0ds7,skq#-b4nbN%Vk552TrqZ3_J,~>
+ZM4Co!;ZTgs7['!qtTsWp;:5#rq?!]p%J:Yp\FLfoD"\um.BuBk4eoLrq5pWJ,~>
+ZIJp&!7Cbns3q&!rn%V,ettXPgXFR&daQkEeG7Z#e(AnJbgb1lk1'F[rmLGdJ,~>
+ZMX[urqQHg&,ZD+r:U*.C&S)0p\apbrpfjjs8''0eF`S:k552TrqZ3_J,~>
+ZM4Co!;ZTgrq?p%q=j@T]jpj;q"+:TpA4UZq=Y'kor_NFn+?J=p]'sdp%7s.~>
+ZIJp&!7CbnrmVG4g"4R)TL7Aee^2jre(=EFq:5f+eW)_pcd^\2eGn"sde(q;~>
+ZMX[urqQHgs83?$s7lQ%D#F;3p\FjcqXOFfs7G/oRJQg\k552TrqZ3_J,~>
+ZM4Co!;ZTgs7cQg%J0JfpTS9(qYKgVqtBaZp\FLfrpSN_PkFbHk4eoLrq5pWJ,~>
+ZIJp&!7Cbns4%)!"k25Sf98]'f*'IKf[J=FeG7Z#hTr`4FOesrk1'F[rmLGdJ,~>
+Z24OtrqQHg&,c+ks8;VkD>3i)q"asdp\=UcqYU-pq"k#eAH2Z(k552TrqZ3_J,~>
+Z1n+i&GQ"jmJlnLULs)hqXjIZp@ItOrUpKfp&C[lrqZ0Jp]'sdp%7s.~>
+Z./Wu&Cf:Vc/@1%L.Th@f?r%#e'Rd;rRM5&e_u$ChV$B?eGn"sde(q;~>
+Yl"FrrV-Zgs8;Hfpkb75o(rIaq"smup&G'OAB4BCnc&L^rr2ZcqtpEkq>9OTJ,~>
+XnVeh#k@rhmJlU(MY?W8rV6?c&+TPsh-Rqcs6fd\p&"XYoDA:^pA+ILp4*~>
+Xjm<t#g;#Tc/[8`Dq=L/rR1Yo&'ihd]fr.;hoj[(db*4"d.,WPdsq~>
+YP\@rs7lWg#ke2po`+]9Q2L7Ns8)`irV@')q>KfUT)/3Ws8;Qcq=ssdqu?Tiqs=00~>
+Z1n:ls7cQgs7lrnrqGmYmW4<[oCr:[!;ZTgs7['$p%[jAR.KnBs7u6Zp@\=[p]'s_p[%U(~>
+Z./g)s4%(ss3V+uf[nI-dp$eBo@3fg!7Cbns3qS3db)`hGh1<ngXa^"e'cn=eEkY7~>
+YP\@rs7lWgs7urtq#9r,Rf)dSs8)`irV@')p%A7>F6NJsrV6'^p\+XWqs=00~>
+Z1n:ls7cQgs7u]k#5@`]lXl7PoCr:[!;ZTgs7[''naQ;*D;k0^qXsFRo^i(Pp[%U(~>
+Z./g)s4%"qs3q8)e(N)CFk606s3^nprR1_q&)5CVf=4Pne^i@#cd^@hg[We[dsq~>
+YP\@rs7lWg#lXMqr;,bnU&=NZs8)`irV@'%q>($bGd7;Eq"+7[qXj^Uqs=00~>
+Z1n:ls7cQgs7lZnrq?Qbi`qiDoCr:[!;ZTgrq?oqo_J&uWr2M^nFZ\RnbM_Lm.Pr~>
+Z./d(s4%%r#hRPWg"",2I+Io=s3^nprR1\p%ark[dSc([eC)Uhg=4F!n^QpSJ,~>
+YP\@rs7lWg#lO>ms8(AXVu6/`s8)`irV@#ts8Mfm[rg[0rV$!crV$$_q>9OTJ,~>
+Z1n:ls7cQgs7lruo_84Oc<$S1oCr:[!;ZTgs7[&pqt]jYZ#/=mq==.Uq==7Lp[%U(~>
+Z./d(rm^tr#h[MUgsreuK\#bEs3^nprR1_q&'rn]e(BdZ^"Lu_d+['se+(rSdsq~>
+YP\@rs7lWg#l4/js89E9W;Q8as8)`ir;$p'rq?BeBqtY,r:Tpaq>L-cq>9OTJ,~>
+ZM4@ls7cQgrqQflpA4?`<M&pUp](!gq>L*gpCHuqq=4FS@\*;oq!n(Qp%e.Pm.Pr~>
+ZIBK;f\"d+eC;ppe^;t'f9SXTf(7DkdK%\ndf7f-e(NF%h9n`?f\G$&e()mtn^QpSJ,~>
+YP\@rs7lWg#kn#hrVi-jUAXW[s8)`irVHQl%K6,&s.OVmqZ$?bqYU6gq>pBfq>9OTJ,~>
+YP/"js7lWi#kn#cq"0PER.g.Gs7cTirV6EerqHoor;W4)f_#.7oChqSqtC*cq"O.KJ,~>
+Z.As-s47.u#h%2Pg=^R2J(F5@s3^nprR1_qs4%S2eD/r0:q4s-dEp@lf(%8Vdsq~>
+YP\@rs7lWg#ke#iqYl%OSG`!Us8)`irV@'#q#C9inD\5lkl:VWqYL*eqYp6iqYL*UqLA~>
+YP/"js7lWi#ke#dp%3H*P4nMAs7cTirV6Ee%e]Jjp\*n,A[(1nq=XITqtL*bq=j7LJ,~>
+Z.Ap,s472!#gq8Uf\9^oH.MT:s3^nprR1_q%arbYf@J*Y7?G=?f$`$rnC6gRJ,~>
+q>:!aq>:!cl2'rIq>1-gs8)cjs7Zfpq"k$hLL?\NoDARarqQHgs7m3(s7QEaLP5Nsp]'^\r;-9e
+p]pNirquQbq>K[WJ,~>
+q=aXWq=aXYl1OT?q=Xd]s7cQgrqQfop&4K0;j6qHp](!gq>L*gp]'msq#9a\m=BWVn+$GBq=s^Y
+qtLEfp\O[Wo(DhFpOE~>
+q:>Alq:>Anl.,=Tq:5Jsrmq,!#hRYZi7_d.HIh];s3^nprR1_qs3_A/hTt$)@9h7*celdoebR]"
+d+$[tdEg7lm*pO~>
+q>:!aq>:!cl2'rIq>1-gs8)cjs7Zfop\FjeMHd=_oDARarqQHg&c__$rq69j^idNopAasepA4Xb
+q#C'oq"ajdqXj:Io^)I*~>
+q=aXWq=aXYl1OT?q=Xa\%JTYmq>'g[o_n<0:8RXTp](!gq>L*gpC[AtnbMYKq7:CQrUBaVq==:S
+rqQNh#l+,gq=a=EmI9K:J,~>
+q:>Alq:>Anl.,=TqUGStrn.b5f%/@#f%&C1gM&a1f^mVmdK%\ndf7f-g=+I&ce.$A9pj_]g<nKt
+q:#Yue^i3oai_lpe:7~>
+q>:!aq>:!cl2'rIq>1-gs8)cjr:^BpqM\@sr:BgcqYp9gq@io*oDSL[s7Ctss82Khr:^!`q"Xg^
+#Q"Dtq=O1Go'H7(~>
+q=aXWq=aXYl1OT?q=Xa\!;HHes7Z`grU5;,_=dEos7cTirV6Ee'E7^nq"+(SmX'9[o'cMOo(VnR
+q#1!np\FXXnEfN0m.Z#~>
+q:PMpq:PMrl.>IXq:GW!!8.8$rm_21fkWCEf^mVmdK%\ndf7f-gXFI#e'd.!>Zoq2c.^^opsf>p
+"ObQ:aij&#J,~>
+l21;Schmb=s7lTf#Pe#mpkM],r:BgcqYp9gq@`W$q#(0eqZ"9HirAWMqu6Hgq#:!op%S:[rVQEb
+q"j@SJ,~>
+l1XrIdJ!V5s7QHerqQNf#4_QWHpcT[oCr:[!;ZTgs7[0!p[e.To(2ab@bLYDr:g'^p\=[^#PRrg
+p\".Mp?_O(~>
+l.GgbdFeKRs4ID)rmhA*f[Sj2BJRKXo@3fg!7Cbns3qS-eC3%&dam0<6Fbakg=4aMe-FIQf$r-p
+dF7I3J,~>
+l21;Schmb=s7lWg#l+5hrqChCoDJ4Ws8)`irV@E'rVlQks7ZB^I\d#Cs7ZKhqY9gZp%A(Tqu-En
+rVl0\J,~>
+l1XrIdJ!V5s7ZKes7cloq!n.GE_GWhoCr:[!;ZTgs7[/pq>'UWq="%@F.*($q==OZp\=[^!VZ9d
+p]:3em.Z#~>
+l.GgbdFeKRs4RG)s4.J.g!nm0?96Neo@3fg!7Cbns3qS'f%JL)g!\Ho;gI6Lf?`4Ie,e%JrRCr"
+fBh";~>
+q>:!cq>9.Knb`.[s82ims7lWg#l4>krVCMOqY]s^s8)`irV@3$rVuHas8)cqW-7\1s7?9eq"XU_
+o`=garqufns8)*ZJ,~>
+q=aXYq=`eAnb2eQs7QEcs7cNf#Pmoamq-"sp%.qXp]1-gq#C($o(i4NoDeFVqOME`s7u'Zp\=O]
+q>L*gp]'sRpOE~>
+q:PMrq:OZZn_!]k&_c!og"G$1f%/O.fA51Z:taLmeGmqsdJ_Mne.9mVgs+=*f%Ac+9?#f?bLlX?
+rRLqts3p>aJ,~>
+q>:!cq>9.Knb`.[s82ims7lWg#l+;lrr6YirquBbs8)`irV@W6p](!^s8)cqh/^(+s7?3cq"XUV
+p%7qUrVZQiqYBpQqg\~>
+q=aXYq=`eAnb2eQs7QEcs7cQg#l"2dq"A!BoC__Ls7cTirV6Ee');(to'u\MqXr3JY5\=cq=j[Z
+rqQlsq>0p^p\4CSo^)=&~>
+q:YStq:X`\n_*`ls4dS,r7D8/f\YUZD;Ek9eGmqsdJ_Mne.:*VhU9g-f%\f\7ulEYbLZL=#M7PW
+eC;sqdHoA5~>
+q>:!cq>9.Knb`.[!;lclr:gNqq>UD)T)\`ZqZ6Qgqt_0.n,NF`rU^$cs+,t&s7ZKiqY9gZp%A(X
+rqlotr;6?er;6Nlo_X.~>
+q=aXYq=`eAnb2eQs7Z<`#Pmudr)o6Vp%%kSq#C($q<S(YoCqYInF^sPo)%qRp\4I\q#L9jq#C-i
+q"jabp@S*0~>
+q:YStq:X`\pt652g">!1g">$3g=b35g=k65qUc&.g"tgZJ)AoMeG@Vne.:-Oi7uf5c.LIs=C0J3
+d+J0D!8%5#s4.2#ldUF~>
+rql`nrr)Zjq>:!dk5>8VrqcHfq>:6irqZNi#Q4DlrP`HRs7uTfqZ-Kbq]Yn;nA]D!pAP!fqYL!^
+p\4IWs8Vriq>0m]qYL*dr;Q]np%s7~>
+rq?BdrqQ<`q=aXZk4eoLrq6*\q=amarqZKe#5%H[]jRc5qtL-clLu=ms5^e&cgCH%p@n=Vq"aa\
+o_SO\o_J@Yq"ORXp\jgYpOE~>
+rn.8(rn@2$q:PMsk1Tdermqb7f%AR+f%AR,f@ed/f@ed-ec","fa-?afA3;qOP\^hfDjD$eG@Vb
+e-spgb+D51d+R+'f$r4JdK\1Sgt's+f)F1rde)%>~>
+rql`nrr)Zjq>:!dk5>8VrqcHfqY^BjrqZNi#QO`#r3g+EqYC'Squ?R$s6FiqqZ$-`qtg0gp_!B#
+s8W#kq>'d[q"jjbr;Q]np%s7~>
+rq?BdrqQ<`q=aXZk4eoLrq6*\qY1$brqZNf#QFJlp9%W'oDA:^q!.Sjp@A%:C6%f`lh:&Hp\=OZ
+q"O^bq=j^^q>L*dp@\01~>
+rn.8(rn@2$q:PMsk1Tdern$tsqUbbt!7Unss4I_;g>1PN7$uZ]g&9P&ec4.tdf7_ce/-]fiPeW7
+e`4s+f$r3tda?LphVHi7f@KrNrR1_no[JB~>
+rql`nrr)Zjq>:!dk5>8VrqcHfqY^BjrqZNi#QOPqoUK+(o_JFMqZ-Qnrs#0/e,T7@qu-@(q"jmf
+s82Qdq=j[ZqYL-frr2igqg\~>
+rq?BdrqQ<`q=aXZk4eoLrq6*\qY1$brqZNf#Q"#amZ^V_mJHYXq!.S^p@n@RQ!MQ1o(MeOp\spn
+p\+I\q"OU]q>L*dp@\01~>
+rn.8(rn@2$q:PMsk1Tdern$tsqUbbt!7Unss4I_7e_AT%4/UK\g&9P&ec4.tdf7_ce-sp^hV!6@
+Xl%[[f$r4KdKe:QgtUH2f@KrNrR1_no[JB~>
+rql`nrr)Zjq>9%Hs82flq>:$ds82fkrVHiqnbVa3=l/r5q[39$r;Y/RRJQs\qu-@'q"jg`qtg-a
+qYBp]qYL*erquEcJ,~>
+rq?BdrqQ<`q=`\>s7ZHbq=a[Zs7lThrV-Wim.BRo;:b:7p?;5ZpA".Pa'"MqqtBaXp\spnp[e%N
+p%J4Xqu-9kp\+=PpOE~>
+rn.8(rn@2$q:OQWs4I>&q:>Dos4%+urRLr$$.mMWctYVVf@egTf)=+sdf7_ce-sp_f&!JjF4T4!
+f$r4KdL+LQf@JL&f@JO&eG[hqdIbq=~>
+rql`nrr)Zjq>9%Hs82flq>:$ds82fkrVHiupAaf?@JBf]q[!,os8VPBFS,M0qu-?or;6?fqu6Ek
+q#C3jqu?Tdqg\~>
+rq?BdrqQ<`q=`\>s7ZHbq=a[Zs7lThr:gKdqX8l9n,*"Ukk>>Ume?bDI;SEOpA=Rep@S%Oq#:*f
+q!e$.~>
+rn.8(rn@2$q:OQWs4I>&q:>Dos4%+urRLr$$/<tfeRq5$iRul^f)=+sdf7_ce-FRPguHLa:sT'k
+qpYr'f@AI(f@AF$eG[hqdIbq=~>
+rql`nrr)Zjnb_JHs82flq>:$ds82fkrVHj"qu?DF@K$6%qW[k^rql`qb@S`orVQTj#Q+Q$r;QZl
+p\ssfqZ$Hmr:Kl:~>
+rq?BdrqQ<`nb2,>s7ZHbq=a[Zs7lThrV-WopA4<.=nVRep&FaNpBpWgnb2t#?GZL3pAFXipA=UX
+q>0m\r:odUJ,~>
+rn.8(rn@2$n_!!Ws4I>&q:>Dos4%+urRLr$$/O:mf4RG,hUpHYec4+ueG[hqdIPcof%S^.iMSu8
+g=FjQe-FR]g=Fs1f@0`KrR1_no[JB~>
+rql`nrr)Zjnb_JHs82flq>:$ds82fkrVQTl"SRXYqt^'al2(eep%8:aFGBVhr;6@#s7uBcrVH9a
+p\4IXqYKd[J,~>
+rq?BdrqQ<`nb2,>s7ZHbq=a[Zs7lThrV6Ee"nqG9=7c"[p&FaNpB^Kmmd:&MDLh?RpAaUapA4OX
+rqZNfo(RY~>
+rn.8(rn@2$n_!!Ws4I>&q:>Dos4%+urRLr$s4R_5enID)f\"gSec4+ueG[hqdIPcmf&P0)j4R18
+e+qQ$g!e=!g"+X&eC=HFs3^JgJ,~>
+rql`nrr)Zjnb_JHs82flq>:$ds82fkrVHits8)MPA,Z?$qW[k`q#CB^s-dQUr;?Ki%fH"gn+QYT
+q>C!]q"X^^o)!q~>
+rq?BdrqQ<`nb2,>s7ZHbq=a[Zs7lThrV-QjqXj?7>P[slp?D;Vo)/@IqikL?q=Y-[jQ>t*p\Fa_
+q>L*ZpOE~>
+rn.8(rn@2$n_!!Ws4I>&q:>Dos4%+urRLr$$/44hfPs=9gXt-Vec4+ueG[hqdIG]kdbim'gN5]i
+q:5ktaN)ZYf%&F&eG[hqdIbq=~>
+rql`nrr)Zjl21#KlMCVYqu6EiqZd'"q>5Yhs5<bnp%\R^rU4ogq>]g]qZ$T>MPYCBqu?9`p\4IX
+rVH0`J,~>
+rq?BdrqQ<`l1XZAlLk8Qq#:*fp]pWkoC[<Lp[n@VkP#b]oDeFWl>VLLs5s@Qq#/0]RVL(?r:Bp`
+qtTgXJ,~>
+rn.8(rn@2$l.GOZq:P8h!n>cLrRLr$$/F@igL+=Fg=b-Wf)=+sdf7_be/?W^iR?H%:hJ28`o5M'
+i2C.79<?_!cdgOprR1_no[JB~>
+rql`nrr)Zjl21#KlMCVYqu6EiqZllkp\AZNq>'"H)uop;p@dj<V>f`Zo_dUKVY$9sir/ZIs7c9_
+q#1']qg\~>
+rq?BdrqQ<`l1XZAlLk8Qq#:*fp]pB^nag=2nacSNkP#kjq>KjRkDu81j8\Q?fVY5%MeC`;p%A@\
+q>9sZpOE~>
+rn.8(rn@2$l.GOZq:P8h!n>cLrRLr$$.[YZfhP](f\+pUf)=+sdf7_be/?unh9jWjDh$EWiQg)f
+M1Ecg8\3O'dbE:$rR1_no[JB~>
+rql`nrr)Zjl21#KlMCVYqu6EiqZlrnr;L)Uqu,LNs7cTjrr3Stq#C0bs8T3jli1XSqu?NkpAOab
+p]10_qg\~>
+rq?BdrqQ<`l1XZAlLk8Qq#:*fp]gB`p@qa9oD81Dp]'n$p\b'kkk"iGnc/WbOl>h6IId7/qY'm`
+s7cWjq"4<2~>
+rn.8(rn@2$l.GOZq:P8h!n>cLrRLr$$.mhbhEbZ,gtC?Yf)=+sdf7_beGmr5eCi^9aOB(reDoSE
+G/i)t?dm`[f@&0urR1_no[JB~>
+rql`nrr)Zj_YaB0rqQHg#QO]#qc]9bs5EhkrVQ<eqYgHop\Y!iLSahHUenr.q#CB_rV-9co_X.~>
+rq?BdrqQ<`_Y4$(rqQHd#Q"/hohpeDq"sdJpD<]$oD81Vrql6YqtGQ0n+Du3[/BLkrU9^\s7lWi
+o_3k~>
+rn.8(rn@2$dFe$@s3q%srRCl"$/O:kgH0T:hV$Q[f)=+sdf7_be/?lgd+?athV6H.hV)CfeD#<s
+Qeg*Dg<8!qrR1_no[JB~>
+rql`nrr)Zj_YaB0rqQHg#QOJlkuXb[q;M2drqcEdo'HAFqZ$Q,Ja2k,@<D8CoDAF]p]($\qg\~>
+rq?BdrqQ<`_Y4$(rqQHd#Q!r\j%l9=o)&.DpD<c(pA"+@q<RYPos/_skP8%el1=36q"OU[o_3k~>
+rn.8(rn@2$dFe$@s3q%srRCl"$/O(_aZ,(3f\+pUf)=+sdf7_be/?ied*g.Xfuqt,fTf[Zc/1KQ
+bgjnfe^N$trR1_no[JB~>
+rql`nrr)Zjl21#IlMCVYq>U-eq$6ojq:8r^qtT1J)#EmrrVQWks8VfiouM8hI<&,^s8)cmo(i1W
+s7cTjp%s7~>
+rq?BdrqQ<`l1XZ?lLk8QpAXgbp':E]o?^UBoC;_OkP#b_oDA@]p](-Zo^'>,>]F:=R/$.Jp@%eP
+o_3k~>
+rn.8(rn@2$l.GOXq:P8h!n>]HrR:eu$/Eq][R$88f@egTf)=+sdf7_be/?KTe^N4$iS2f4c_=3%
+=%XcfgX4j.bgk4mrR1_no[JB~>
+rql`nrr)Zjl21#IlMCVYq>U-eq$6ils2])pr;YdR*;]I&s6omZqXaaeYhT3Qdo'K,s7u]lp@\1S
+p%A=Y!VlNaqg\~>
+rq?BdrqQ<`l1XZ?lLk8QpAXgbp':?_r5*'Wo_A=WkP#qhp&FLVoC_PLs/+3Am)MLgbkCK)p@ItQ
+q>0sdq=OE3~>
+rn.8(rn@2$l.GOXq:P8h!n>]HrR:eu$/3qhW)'2EhV$Q[f)=+sdf7_be/?WXg<%pme^!(4MmhWn
+Y:;?6g!J^/d*^@mrR1_no[JB~>
+rql`nrr)Zjl21#Iq"k-hqtg!_q=t9hp]%sL`;KYoq\K&&s6]jdr;HJqJcGKEbuB5ns6fjYs8Mfn
+p\jjeqXs`9~>
+rq?BdrqQ<`l1XZ?q"=d`p@nLY"8DN`pAXgbpAamep':-Ys0umXnb`4WkP#bep&F=TqY'XSVK_h$
+rkV-GrqkgOnGiL_s7uWgo_3k~>
+rn.8(rn@2$l.GOXrn%>(f[e^LecXFQeCOWKrR:eo$IdPSe`NN)V;'t]r7:hrqpP#a(=LOda5#D"
+g")!bh9k;_/m%#f`n/Sprm^hno[JB~>
+q>Bd[nbhYK"8_fhq#'t)rV?9hrV-*do`+OVqu?0cpAD12a8Gu8iqj)Ps82iroDeXEMm!'Z$%6@^
+q>^3"KD#0<qXjZ8~>
+q=jFQnb;JF#l"&ep@e7Up\=[\(]3mur;#mRp[/"Lo_JOVr:9Q^A%_=,p>Yf_lMpGNrp':IepjFe
+q"8W/oCMkL[=@`Bm.Z#~>
+q:Y;jn_*`js4RA'r71r!f$sZLqU?>3da6[sc-Y1liQBElgreI)hN^j5f\Y3=e/-9fe_K-.gXNiH
+Ltge@=$G-]g!>gdcIV@3J,~>
+q>Bd[nbh\Ls8)Zgs7ullq"OFTr;R9&r;6E\q>9j\VImsIs8:pS)#XF#q#@.Zp>peAs8UNQ=FC/E
+n_LQ`l2U,IJ,~>
+q=jFQnb;MGqY0p_s7[B&p@IeFqu6Kdp%.tRqsaIWnaiAW^@1^fj7aDas5<8:R#gOcF1:oB`hlFN
+s7Pd4Y[QYkm.Z#~>
+q:Y;jn_*`js4RA'rRUkqs47(s(s^LRbKe\kg"Y<2e'H@[db34-N(9huf[f*4(tR`edbB4nd(`_S
+h;bSq103A^b-m9n_V+;*J,~>
+q>Bd[nbh\Ls8)Zgs8!T4p%A4[rVZ9as7c9fqXX[^p\:+`dJa"@j80\ks8)cqSQC/km.C>+=(,`P
+kjABKo4d(Lm/);~>
+q=jFQnb;MGqY0p_s7[B0naZAIp\+"Er:0CVq=+FXoCA#D`prZoj7iTI(@h7qPYQ7Gj6QN_:0:h,
+ip$=9mq(5<m.Z#~>
+q:Y;jn_*`js4RA'rRUkqs47(s(u*?[daHUmbLY_$cI:%Yg=P!4IR13kf%/m2(tRBih:d'-<F3\j
+goN4l5sE0*f@S55\&[jbJ,~>
+q>Bd[nbh\Ls8)Zgs8!T4p&"dcpAY*^rr;cnp]('crVMU^i;`cRiqj)Ls8Dlh]Y*V2s7uZo$2j8^
+p](0kA)@1Nqg\~>
+q=jFQnb;MGqY0p_s7[B0nb<(UnG)nDo_S.YpAam]q=TPFebA_0iqF8Ns7H!O[Bnuis7$!as7>LA
+oDSIa?eY>BpOE~>
+q:Y;jn_*`js4RA'rRUkqs47(s(u*?ag<e'ngWnR0cIU.idFd=5E^IOuf@Js2(WbXgf[-"OaP5b(
+i83MFair,ce_WEtf'Ln:~>
+q>Bd[nbh\Ls8)`irV@B$rVu`drr;ips7QE^nGiC_s87X^n,NCbiqj2brV-6[kkP#KrTNtMq>L<r
+r9Nr`eEd!^~>
+q=jFQnb;MGqY1!arV%/rq>U$Sq#0jbr9jUQmJm"Wqt>SFjn\TCiqF5gq!e%Cj72g3pu1c5o_AC_
+rqP[F?I8$4J,~>
+q:Y;jn_*`js4RA'rRUSi(s:Fbd`g:seE5f=ho3Iae(N[9CIZP*f[f'3(?4&sg!.Lcf@/Hle'ut'
+h;$c8`6:<FldUF~>
+q>Bd[nbhYK!;c]irV@B(s8MNfs3d<[JVX:(s7GjWr:tqXpAb'giqjPfmJm4]s8Vilnc/XUoDe+I
+rVufqRGIB!qg\~>
+q=jFQnb;MGqY1!arV%0!s7kmXs3-R@Faa/_s75XPq"&l@n+ZGIiqF8]lMU\RrVuNbmf3=MnGhV=
+q>9sbQ.bNjpOE~>
+q:Y;jn_*`js4RA'rRUSi(=(ggaP5RQF&lXWg!eZuak,A'AkCP.hp`FbhW*/Cj42l0j5\8/j2K6n
+f[\Yq[`RmcJ,~>
+q>Bd[nbhYKqtg?is8Nl.p]''9K$;#\Z0D&_s7c6]JoCYfqu#IN(]OI4m.9i<qYL6_k5YJPrVQWh
+qto4Ls6TW5~>
+q=jFQnb;MGp%SL[)#F:%nc.+!Geg\0X6'$Ps7Z-WHtW3Ho(M);(]47.m-sW6qY1$Yk5YJMqY0mY
+p\3A<rp9B0~>
+q:Y;jn_*`js4RA'rRUYks4/"?iR$!2[;fKPSm.&dbgkP$g"L%7gXt!6e/-isfZMOfbh1M'cG\Ss
+cIp_"d+$RRf\>cBJ,~>
+q>Bd[nbhYKqtg?i(\dk%s7)G7n,NEjIfK-Al1jrGK6@4nqVqAhqXsXXp&G'_s8V0Xs7>aQr:g'Y
+rqcZpoBc@)~>
+q=jFQnb;MGp%SL[(\.4hrTK8oj72W5FoCq3kP+W?IrG8Xo\oN\p%\:Ss8VZis5a+XoC2GNo_._L
+pAb0]m.Z#~>
+q:Y;jn_*`js4RA'rRUYks4.t5f$WF!EG!DNh257db1jbbf\0q;i7Qu;(Xpsce)B32h;Q6)iR,s"
+g<nBmf@/U4bj<i0~>
+q>BLSmem+^rqcHfs8)]ks83]3qu?]+NR7_)s5@J/r9aOVq#=H]rV-9MqZ6QgoCi:\qW7U)~>
+q=j.Ime?bTrq6<bqtL-crV-<b(%h:oY(Oalme517_YEHroCr8aO8/8'p[S%>pOE~>
+q:Y#bn_*rr#MIb^f@AF&f)*tsdf%\qeed#kgY.j)X6/:!]fVh6`7WSoju[_>dFI4*n^cdNJ,~>
+q>BLSmem+^rqcHfs8)]ks83]5r;Gc%QN-OUs0ZUVs8)Njme(8%s7cQQqZ6QgoCi:\qW7U)~>
+q=j.Ime?bTrq6<bqtL-crV-?c(]F$ughi#Gk4J/??aoq+pAXILA?c+(qVh2=puM1"~>
+q:Y#bn_*rr#MIb^f@AF&f)*tsdf%\qeed8sfYLI,i6^QCO[G>_d*U[rek)1fdFdF-n^cdNJ,~>
+q>BLSmem+^rqc<brVRH's7EIPmJkA]Q#ql_o`+R]md+W%s7G:I!;c6\!;bgSJ,~>
+q=j.Ime?bTrq6<bp\4X[(@1e]UjqA!^;Yb:IfJm:o).n@B=n*2i:ld:jS+0~>
+q:Y#bn_*rr#MIb^f@AF&f)*tqdf7hseecWgd>MY\j/]Y2:h&5%g!&0rcV'qec-iuKJ,~>
+q>BLSmem+^rqc<brVZ]q(%?+(m[79VH(XX%s8DfbrUaO/oD8=BqZ-Kap]10Oqg\~>
+q=j.Ime?bTrq6<bp\4[\)"m_'k%'5+ND)QKNoTO,q=sOYo3euqp@dG=oD%A?J,~>
+q:Y#bn_*rr#MIb^f@AF&f)*tqdf7f7f%Aj=btE$"G<%B[HHFFde'cV"f0l"Re'YPPJ,~>
+q>BLSmem+^rqcBdrVZ]p(]WsRH,osS^P-gSs8V`gp\4^UB?g&JrSdYDqW.O(~>
+q=j.Ime?bTrq6<bq=jj]s7I3%jiD;MrSt)&@_;73me?DKs6XFBoDe]ppOE~>
+q:Y#bn_*rr#MIb^f@AF&f)*tqdf7f7f%Aa"YZIafd%=rMVqKtMdEgA'd7URhg"!IZJ,~>
+q>BLSmem+^rqcBdrVZ]p(B=AqGkh==q>Z(]p](9Ts8VW8DY!T&i;<'@jSOH~>
+q=j.Ime?bTrq6<bq=jj]s7I3%oRq&Hp&4.KE*2Ass5F"XnBPn@q#:)rpOE~>
+q:Y#bn_*rr#MIb^f@AF&f)*tqdf7hsf`0\@DH>ELlIkK47aKT?]A;>kZ;8s#f[@.VJ,~>
+q>BLSmem+^rqcHfqu$Kn(]!T;J,fQFs8Sa?dd-Z-s8D8sB)2&sosFUH~>
+q=j.Ime?bTrq6<bqtC-bp\jgcob[)[?uti8lLjb.CrG9%s8W&_]k@-3rU[DjJ,~>
+q:Y#bn_*rr#MIb^f@AF&f)*r=da?LkeC<.'eBUZlh<EYUk^Qd9^s1ZggWQ9]g<nNr[+'U~>
+q>BLSmem+^rqcHfqu$Kn(](UkS\>'ls8TW^s8VrqnG)k#>O1bXp9a^I~>
+q=j.Ime?bTrq6<bqtL!]s7I2tX`fi3qr7M?Vf_h1o_IkHp;U;!m/Q^bpOE~>
+"52;ZfDXCtfFHKbf%AR+f%AR+f%AR+f^[Ypg'?<`f[n[(f%0`Js3gnr)V3QneWa?bS)qu^hjIj/
+f$Mshf%I&eb0/Vd[+'U~>
+rqcZlrqu$XnbhqSq>;'+M4F9naSGl+ri4B1s8Vuqr2a0"s7QE!qg\~>
+"SMK]p\+U\q">3lp@n:Tp@n:Tp@n:Tp@e%Np\+LYr:^-_(\E<Em!HJ8p#bk=aQ*0pp%e<Y<qZL_
+qm?*J~>
+"P(uOeCOWNs47/$&_YgfeCN.#eCN.#eCN.#eCN4>g&9S%f)*tpf)F;<f4K<U@&)6,dbfbX^Xq)f
+gtn&Tf]19.[+'U~>
+rqcZlrqu$XnbhqSq>;&rEQ%mcGG3RemtpZ9q"4LZoT<AMs7H/pqg\~>
+rq?Bd!r2Naq"E_Ap\+LY!;?9^(ZoJGqQFk,cN!'ZmJleGp@7L+;sjGLoX+@C~>
+rmUns"P),Uf%0fP!nl5Wo$m-]rRh)"qpYVsqUcV+9q^=*;gkt8ct1DVc-4bjeT<q&h9=6Qe:7~>
+rqcZlrqu$XnbhqSq>;&L@b1;I[DUu's7lQYs7cQmr-rV\s82f&qg\~>
+rq?Bd!r2Naq"E_Ap\+LYq=YW@>gW$1YJ&ZgrpfaEr:0g]oQOp=r:TilpOE~>
+rmUns"P),Uf%0fP!nl5Wo$m-]rRh)"qpbGm(83jpdEmrF^#nM-e\Th_iSE=!:YFXSZdaL~>
+rqcZlrqu$XnbhqSq>;&VGh;Zhs7u?Xs7cQno`+:Urc!D`q=jZkqg\~>
+rq?Bd!r2Naq"E_Ap\+LYq=YWJEmaCSs7>[Cp[J4_n,MPCp1S^Ao'u:XpOE~>
+rmUns"P),Uf%0fP!nl5Wo$m-]rRh)"qpbGm(TUH=d+mU/dF-t%h;-31`nTBL@G',VcEu)O~>
+rqcZlrqu$XnbhYK(Y*<Es76-[s8VNea0t^/s82h9P5kCVrj;QQ~>
+rq?Bd!r2Naq"E_Ap\+LYq=YWOB#af:q!S+\k5N3$n`TrEpM#N[oChsdpOE~>
+rmUns"P),Uf%0fP!nl5Wo$m-]rRh)"qpbGm'sL0)h9FTthrrDFT8^t4iS*3hF5GKRe:7~>
+rqcZlrqu$XnbhYK"j(K,r;?0crsn(EAq9p]o(VcsPlL[]s0VZR~>
+rq?Bd!r2Naq"E_Ap\+LYq=YWCABjlCmect\gON[Xs8VHTltVLTp%nTnpOE~>
+rmUns"P),Uf%0fP!nl5Wo$m-]rRh)"qpbGm'Vn.!f@S=&hrVdd5$$Irbgt<EFl32N[+'U~>
+rqcZlrqu$XnbhYK([8=#o)J^hn"GDsArZiJs75)^J+NC/p9a^I~>
+rq?Bd!r2Naq"E_Ap\+4Q(Zhmlmf3.`lC!$W@#+d8s6J<GGO4ehn?hq?~>
+rmUns"P),Uf%0fP!nl5Wo$m-]rRh)"o@+SnNR,f)fA=`'ASjV@gpc7i_+\7bda64Fe:7~>
+rqcZlrqu$XnbhYK(]Wq'pAXd[s/"!8At&\uqZ#i*K)P`Lrj;QQ~>
+rq?Bd!r2Naq"E_Ap\+4Q(]We!o(qqKr11gs@$LH`o`*oiHM7=9ppBdG~>
+rmUns"P),Uf%0fP!nl5Wo$m-]rRh)"o@+Q2a4ekkcd:I%Y1,XSdb3.4b?JK3i7kTfJ,~>
+_>Eg"&Gt\kfMJpSq>(!cDM%lar;F#"J,~>
+qtKgXo(V>@m.V%ai;V+rXnqY\p@;gAp[e*bpOE~>
+qpbSqrR_2)f[fWCn_!lprRh)"m*lTtalg#ZM:Br%gtP\9h:C*)[+'U~>
+_>Ed!&-(pj>/:%+s8V\/NW8kPr3Z?O~>
+qtKgXo(V>@lh:qiigj&[p?_hTlXtqHoC_gapOE~>
+qpbSqrR_2)f[fWCn_!lprRh)"m*lTtk0&91QI*e5hpbPAhU^0([+'U~>
+_>Ed!&-(gpF1)&Gr;GMiT)STarNuHP~>
+qtKgXo(V>@qtK[V#5@rNVJWO:rq6NIAX<)^p9XLD~>
+qpbSqrR_2)f[fWCn_!lprRh)"qpb2b&D#a[M+`c[eCNEj:k.<PeC1eSJ,~>
+_>Ed!&+](iC4YpTqY8!BZi0b"rj;QQ~>
+qtKgXo(V>@qtK[V&GPPPVdt/@s7Gio@&s"mq"V5jJ,~>
+qpbSqrR_2)f[fWCn_!lprRh)"qpb2b&(]1RMF(Cah:1&Q99e5_f!EkV~>
+_>=6/oCrmns675%[J9e$r2se[s8)]l[/5@~>
+qtKgXo(V>@qtK[V&GQ.^[]?V'q=sW[@`J37p\(ugJ,~>
+qpbSqrR_2)f[fWCn_!lprRh)"qpb2b&D#maR>HjHf@\i=9s<F)e^ChSJ,~>
+_YaB0oCrFao_&"YrsAW"s.4/ns8)]j[/5@~>
+qtKgXo(V>@qtK[V&GPV[nc/Fbp@S<LBAr^Yp[kieJ,~>
+qpbSqrR_2)f[fWCn_!lprRh)"qpb2b&D#@^eDJg3eC<N.;TdqKe^1\QJ,~>
+_YaB0oCr@_n,E=ome6\[s,(Xgs8)]#qg\~>
+qtKgXo(V>@qtC*coD&sll2(DWkjeKDqLW8Jq=F@R[.f(~>
+qpbSqrR_2)f[fWCn_!lprRh)"qpYVoo?e-!cf=!<`66cbi+l-Bhq$?*[+'U~>
+_>=oBq"jd^q"jd^q"jd^q"jjes7?-ers8>mG\-mRq>U<!qg\~>
+"8;K_p[n.fp\+@Tp\+@Tp\+@TpZ_DGpE02+q"a^\q"a^\q"a^\q"Ogbme-GPq=!fl?2+*cqY7Gl
+J,~>
+"4kuQeGIhqfFQZff$r:#f$r:#f$r:#f$s0>s4I;$r6tkteC)jpo$J#uin_u1f%&C#elbJugXOj(
+[+'U~>
+_#"T;qtg3dqtg3dqtg3dqu-Bjqu?Qus':'Qp&4Tjqg\~>
+iV)4(%f#enp\=LXp\=LXp\=LXrV-?cs7HWs<d=Q3qXjTjpOE~>
+"5)2Wf(@T*f%AR+f%AR+f%AR+f%AR'kL'I[da?M5d1FaUf$r4#f%A[93a:Iff?VjPe:7~>
+ZMX[u%J]erqtp<hnm.[`pAOQgqg\~>
+iV(^orqQNfs7ZKc#O>ETrq$!Wqm?*J~>
+in+:_daHPCdf7hsf`0V0cT67+dau^n[+'U~>
+ZMX[u%f#nsqtp<hb>u7Rq#9mb[/5@~>
+iV(^orqQNfs7ZKc#K0EHq"=OUs0VNN~>
+in+:_eBlYDeGn2$fa"H3R+Tp@c.]PSJ,~>
+ZMX[u%f#nsqtp<h[US4lqZ$-c[/5@~>
+iV(^orqQNfs7ZKc#Hq@ep%SIVrj;EM~>
+in+:_eBlYDeGn2$fa!^*^=Cfhbh0;PJ,~>
+ZMX[u%f#nsqtp<hZ@2cMrVuB[[/5@~>
+iV(^orqQNfs7ZKc#HN%FpA4dXosFID~>
+in+:_eBlYDeGn2$fa!RAh:C96b0RHEJ,~>
+ZMX[u%f#nsqtp<hQ%T)/qZ$0\[/5@~>
+iV(^orqQNfs7ZKc#EF3-nFunQp9aRE~>
+in+:_eBlYDeGn2$f`uP*gX+O*c-WiIJ,~>
+ZMX[u%J]erqtp<hF+j5[p\jlnqg\~>
+iV([ns7lWgs7ZKc#AehXnau\Qqm?*J~>
+in+7^dFA3Es4%)$s4IWR@FEQPf@&3Ve:7~>
+ZMX[u%f#nsqtp<hDj:/!qYKs^[/5@~>
+i:bUns7lWgs7ZKc")*\frVlNkq6]mH~>
+in4:^da\<Fs4%)$s4IWNES0*ueBuaPe:7~>
+nb_kQdeaUPq#C3bs6p!?AYK+uqtTsa[/5@~>
+nb2MG!;=k8&,-%to_RkLd9`:;oD&"Rr3Z3K~>
+n_!Ea!S,cLe.9pZeC!'qhR,\!gXFd&dakeTJ,~>
+nb_kQdeaROp\FLUs7H?6@AE_oqYBomqg\~>
+nb2MG!;=k8&,#bhoDS.Q_ciT(o(VkQqm?*J~>
+n_!B`!7oTJ&'r_Nd,37+V`oX`dalmqe[3hV~>
+nb_kQdeaUPq=jISs7lGuA$5b*qtg'_[/5@~>
+nb2MGde<\7%I`rhoCK+iVt]iYp\4KjpOE~>
+n_!B`daeuZdF$1cimlYD5`==Ff@83s[+'U~>
+ZMP40rV?0^s7c8cBYONFqu$0^[/5@~>
+ZM"h'qYBaUrUTHN@CQ+.q"aWipOE~>
+iRlT0&Cf=\d*gh$e:^8[gt:60d*]5MJ,~>
+ZMP40r;$3cr:^#aB?L/Mq>L'_[/5@~>
+ZM"@oq>($a$M!b[@)Ma5pA4OY[.f(~>
+iRlT0&Cf:[eC<1#fRcMhg"4d+dF,DOJ,~>
+nb_kSdeaUPq"FX_q"XldA^pMNp&=a_[/5@~>
+nb2MIde47Hp%J4VoCMjO?Hr*6o)&4Y[.f(~>
+n_!BbdFJBId+83H#iC8$Z.7@Of[@+UJ,~>
+nb_kSdeaUPq"=Xap\FiZDWL]lp&Fg`[/5@~>
+nb2MIde47Hp%A4Xo(;dDBAN:To)/:Z[.f(~>
+n_!Bbdb#)]da-RseCNK%9>T93dFlsSe:7~>
+nb_kSdeaUPrV-?jq"aiKI.[I=pAam^[/5@~>
+nb2MIde47HqY0paoCV^3Fm]2*oDJ@X[.f(~>
+n_!Bbdb#,^f@/L-e^rJj=jc0^db3$r[+'U~>
+iV`6CiqsAbrqlNas8;V=N;!2Es7?3b[/5@~>
+iV2m9iqF#Zqtp*WqY'E$L%"d-rUBd]nb;SIeG"I~>
+iS!bRiRnaqg"4a0gt#\Fe(N4*c.CG7eFD,>e:7~>
+iV`6CiqsAbnbDnTqY'GoRJHmYs76$Z[/5@~>
+iV2m9iqF#Zme?AHo^M*SP4JJAr9sLTnb;SIeG"I~>
+iS!bRiRnaff[nd0f$[39f%nj1bgau/eFD,>e:7~>
+iV`6CiqsAbn,E.^q>'f!WVZVirq#sY[/5@~>
+iV2m9iqF#Zm/?VRoCMHZU@\3QqsaFSnb;SIeG"I~>
+iS!bRiRn=XhUpZ`fa(0*fA+m0c-t#/eFD,>e:7~>
+iV`6CiqsAbpAag`p](,2]D)7!rV-0a[/5@~>
+iV2m9iqF#ZoDe@UnbVil[.*h^qXjX[nb;SIeG"I~>
+iS!bRiRnakj4)i8i7q8"eCrF*dF?Y8eFD,>e:7~>
+iV`6CiqsAbq>TjXp\s)ideNb9r;$0b[/5@~>
+iV2m9iqF#ZpAO=LnbCaMbOP?!q=aX\nb;SIeG"I~>
+iS!bRiRn^mhTja)hSE'oe_8O*e'mg9n^c4>J,~>
+iV`6CiqsAbqYBg`rV!O5lhpbYqY9^V[/5@~>
+iV2m9iqF#Zp\=:Tp[G1njRr?Ap\"1Pnb;SIeG"I~>
+iS!bRiRnaog!nj6errhNg"b-/da$50eFD,>e:7~>
+iV`6CiqsAbr:U'hrp#;dqu$Hiq>0^W[/5@~>
+iV2m9iqEuYq=OO]puHsHo_&%Qp@n1Jp[Rt,pOE~>
+iS!bRiRnaqe_T->b%Y,7g"b-.eBQD2eFD,>e:7~>
+iV`6Cir&iR%Ia8kp"XMGs7uTgq>Brmqg\~>
+iV2m9iqNKJ%ds/cn()0+q==:PpA+FZnb;SIeG"I~>
+iS!bRi7SUdgt:/i;/Y:Bg=4[(d+.[9n^c4>J,~>
+pAFsfrqc0_q>:0fs81^O&GuLuqYg<>E/shnqu$?fq"O=Unbgo6J,~>
+p@nU\rq5gUq=ag\s7Y@E&,?(mpA+C*BSQ0Pp@n@Vpp9^F~>
+p=]Jurn$\nq:P\us4H2]&)G[egtT,3Dq`mtf@SO#dIG`Vf@8<#~>
+pAFsfrqc0_q>:0fs81^O&GuM!qY^08D34Ymqu$?fq"O=Unbgo6J,~>
+p@nU\rq5gUq=ag\s7Y@E&,?(npA"7$AVg!Op@n@Vpp9^F~>
+p=]Jurn$\nq:P\us4H2]&)G^fgY&c*ESB+!f@SO#dIG`Vf@8<#~>
+pAFsfrqc0_q>:0fs81^O&GuM#qYU'1C7"hqqu$?fq"O=Unbgo6J,~>
+p@nU\rq5gUq=ag\s7Y@E&,?(pp@n-r@ZU0Sp@n@Vpp9^F~>
+p=]Jurn$\nq:P\us4H2]&)Gdhg=WDuGhUj(f@SO#dIG`Vf@8<#~>
+pAFsfrqc0_q>:0fs81^O&GuG#q>0s/CSgq+qu$?fq"O=Unbgo6J,~>
+p@nU\rq5gUq=ag\s7Y@E&,?"pp%J$pA"E8bp@n@Vpp9^F~>
+p=]Jurn$\nq:P\us4H2]&)5^gg"NAuL>(>6f@SO#dIG`Vf@8<#~>
+pAFsfrqc0_q>:0fs81^O&Gu>!q>1$0Dn#WAqu$?fq"O=Unbgo6J,~>
+p@nU\rq5gUq=ag\s7Y@E&,>nnp%J*qB<Ut#p@n@Vpp9^F~>
+p=]Jurn$\nq:P\us4H2]rn%Y4go!u9g=b02f@86rn^R*\eC9!~>
+pAFsfrqc0_q>:0fs81^O!;lck%/TqADoMVOqu$?fq"O=Unbgo6J,~>
+p@nU\rq5gUq=ag\s7Y@E&,>knp%J-pB>*s1p@n@Vpp9^F~>
+p=]Jurn$\nq:P\us4H2]&(fLeg"iK$VV9_Vf@SO#dIG`Vf@8<#~>
+pAFsfrqc0_q>:0fs81^O&Gu8"q>(!*D9VnTqu$?fq"O=Unbgo6J,~>
+p@nU\rq5gUq=ag\s7Y@E&,>hop%A'kA]466p@n@Vpp9^F~>
+p=]Jurn$\nq:P\us4H2]&(]Lff\N5rXkMI]f@SO#dIG`Vf@8<#~>
+pAFsfrqc0_q>:0fs81[N&,H5#q"qa>cMRP:r;6?eq=4@Pr7(Uo~>
+p@nU\rq5gUq=ag\s7Y=D%/0Sko_#\&`q/lsp\;#fJ,~>
+p=]Jurn$\nq:P\us4H2]&(fUhf@uihYM@mcg"4a'dIG`Vf@8<#~>
+Z24e$s8)WfNH*XQqg\~>
+Z1\Lqqt0RPLMPB3p&=ZipOE~>
+Z.KK9hV-`<DcOF*gY(61Z.+:~>
+Z24e&rVHKfRXXV)qg\~>
+Z1\Fqq"4=OP^)?ip&=ZjpOE~>
+Yh0B=g>1J1@aNrcgXt00ZIFC~>
+Z24b*qYU9cUku/LJ,~>
+Z1\Cup%A+LSqI"7rq<YlJ,~>
+Z.KNAf\>98L2Gi(gY:B5f!<eU~>
+Z24e+q>L<aTT/lNqg\~>
+Z1\G$o_8.JRYUV9p&=ZjpOE~>
+Z.KNDfA5<6JoT`)gY:B5f!<eU~>
+Z24b*q>^HgPF/EJJ,~>
+Z1\Cuo_J:PNKX85rq<YlJ,~>
+Z.KNAfAGH<FaW*&gY:B5f!<eU~>
+Z2=Rt"onQ#J?AdOqg\~>
+Z1e4j"o7ofHDgN:p&=ZjpOE~>
+YLj6?h;Db)iSE8Cf\"c\e:7~>
+Z24e#rr2WkB>=GIqg\~>
+Z1\Fnq=sIX@Cc14p&=[bp[RsqpOE~>
+Z.KT;gtpWD8Yb;$gY:B5f$r4>f#6'g~>
+Z24b#s8DHe<5u!9J,~>
+Z1\CnrV,UT:;Hi$rq?Bdnb0oqJ,~>
+Z.KT<i8)c@2QGZjgY:B5f$r4>f#6'g~>
+\blC*r;?luo_\XUBu9kNqg\~>
+\b?$ur:gNkn+HJ>A%_U9p&=[bp[RsqpOE~>
+\_-o9qq;P.gYU:MVW-FdgXt00eC=$>`70;~>
+\bl=&rr!*%m/?t&A*a&oqg\~>
+\b>sqrqH`ukP+ng?01eZp&=[bp[RsqpOE~>
+\_-i5rn7nDb2)'S7F0oJgY:B5f$r4>f#6'g~>
+\bcp5qYL*dr;HToo`"ljAH2V0qg\~>
+\b6R+p%A%Pp\=O`n+caT?MsQsp&=[bp[RsqpOE~>
+\_%bMf@S[-g"P0>db`o@7cr[cgY:B5f$r4#o@O&o`70;~>
+\bcp3q"ad`r;?N`s82YqD"mt2qg\~>
+\b6R)oCV_Lp\4ILs7Q#_B(>`sp&=[bp[ImqpOE~>
+\_%_Je^i@)g"G**jP/CM:>=jcgY:B5f$r4?f`0OAe:7~>
+\blF$%J]bqqu$B^s7uYhF7fF4qg\~>
+\b?'o%J05bp@n=Js7?#VD=7/tp&=[bp[ImqpOE~>
+\_-r3("Lmef\+s(in<1B<S69dgY:B5f$r4?f`0OAe:7~>
+\bcp4q>'m`qtp<koD/B9IK0,Eqg\~>
+\b6R*o^qhLp@e7[mdp4"GQ.45p&=Xbp[@gppOE~>
+\_%_Kf%/I)f\"m9dFmAc?g->%gY:B5f$r:@fDsLAe:7~>
+\blC&r;-a!pA*igPQ1Q^qg\~>
+\b?$qr:UBpnak[PNW&SMp&=Xbp[@gppOE~>
+\_-o5r7DS>eChi<Fm%]=gY:B5f$r:'o@X/sf#?-h~>
+\blF)qtgWgs7jWWWq$+jqg\~>
+\b?'tqt:?_s74!EV!J$Qp$27ipOE~>
+\_-r8r7DJ3cfWlX=,bVjh:pW9f`'G%f^mbsf[e$kJ,~>
+q>L-dq>B4Ml2(_\rUmpBb4tesqt^3dr7(Uo~>
+q=sdZq=ikCl1PGSp[>Y*`:ENmp$;;Oq"jg^psf%g~>
+q:kGmq:b)fl.HHshq+PtXP2@^gY(9Yf^d_qf_X1pe^W*!~>
+q>L-dq>B4Ml2(_`rqX'Dbl.J(qt^3dr7(Uo~>
+q=sdZq=ikCkk5;Wo<N/Op\+:Qlh1>RqYBs^eG"I~>
+q:kGmq:b)fl.HI"i7j]!Y2.mfgY(9Yf^d_qf_X1pe^W*!~>
+q>L-dq>B4Ml2(_cr;<L7c2[b,qt^3dr7(Uo~>
+q=sdZq=ikCl1PAXp@b4ta85Ppp&Omaq>'g8pOE~>
+q:bYsq:X`\lIZBqhqm4I;m#!6rRpPiqUYJmeC9!~>
+q>C'cg&1+3#Q=GnQ#P%KqW[nIr7(Uo~>
+q=j^Yg%Xb)#P[f\O(uc3o]c&Lp[\+/pOE~>
+q:YSrg"GZC#he%fgNQJshqJ%^maqQkfCIJAe:7~>
+q>C'cg&1+3#Q4>jMJh&Eq!%\Gr7(Uo~>
+q=j^Yg%X_(s7$5FB[QVHl1P,Oo(^`/J,~>
+q:YSrg"GZC$JF4ff4n'igXb'2m+;?ifCIJAe:7~>
+nb`.[anl>@rV24gkPb89qt^0>qg\~>
+nb2eQaS#i4nq1]9q"<nFq=j^[eG"I~>
+n_!Zjak-pThq2X>a4o8"g$I>kf(mhke^W*!~>
+nb`.[anl;=s7_Llp\`tHq>Ab>J,~>
+nb2eQan>r2r:,PXo(VAAq=j^[eG"I~>
+n^dNhq:O-H#h[kjf54:5g=cGWmFM*_q:4!EJ,~>
+nb`.[anl><s7MIks7uNMqt^0>qg\~>
+nb2eQan>u2rpP_YqXjIFpA+IYpsf%g~>
+n^dNhq:O-H#M@VgeSn4<fDO:gf(mhke^W*!~>
+Z24e)qYu/:oD\Zhqg\~>
+Z1\Ftp&'6(meQVSpAamWp;H]U~>
+n^d6_daecXgXtCkH-tC"f\$/Rs4$Si`70;~>
+Z24e&pA]E+o_A9aqg\~>
+Z1\FqnbR?ln+65LpAamWp;H]U~>
+n^d6_dFJTTeD42Mdact%r7:ntn^bY.J,~>
+Z24e*p]#6-rV-8lqg\~>
+o(VVHe+X.Aq==AuSbVdNrq<PiJ,~>
+o$dZjn^mime'nZSgXY+UJ(iE+rmn:&J,~>
+Z24e+p\8I+s7cPpqg\~>
+nb;PHe+X4Cqss>hWr;Mbp@bZ`J,~>
+n^R-^s45ZK$J+%`ejk\VeD/X+Y1.t~>
+Z24e)oAO&ls7Z;jqg\~>
+nb;PHe+X4Cq!Qp@]DM-kp@bZ`J,~>
+n^R-^s45ZK$J*qX^-%tBdFHh!rRCkq[+'U~>
+Z24e*ou^UorquVoqg\~>
+nb;PHde=(DnASP[q=jRUp9+.?~>
+n^R-^s45WJ$/<n+41<nqe^i=MeGmt(e:7~>
+Z24e+q6XW%r;ZVpqg\~>
+nb;PHde="DoWMQfp]'ofpOE~>
+n^R-^s45WJ#Mmsn5L8$?ec""rd^7MS~>
+YknXtTO.Nfs7NJjJ,~>
+%JKPip\+@Tp\+@Tp\+@Lp)Ni#p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Zp&Xp]p@egenss"[
+nc/+WpAOabp&Xp]\bCU~>
+&(]7]eCN.#eCN.#eCN.#f(%B5f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$r:#f$sWK!S#]oe-FUS
+IQZ<3i6_GRrRCht!S#]2e:7~>
+q>:!cnb`.[gA;``pA\i:rUp3dp&4d`qYL3jnbDkSs8D]iq>:!cbkln~>
+q=aXYnb2eQhtHsA)>=)EA,Pusp@A(Ro_%nQq<[_Do_\FSp\+=Xp\FU.pOE~>
+&(oIcf%AR+f%J[.f@ed/g%!]8g"4p/g"4p/f[e^+f[e^+f[e^+f[e^+f[e^+f[fuQ!S5p$f)!l5
+iC?2ie_Sj+gXt*0f\G9-e^W+)f[AC&f)*tme]cNn~>
+q>:!cnb`.[gA;``o))j(q=FIWs7H'crV--Zs8Vl_r;Z`jq>:!cbkln~>
+q=aXYnb2eQhtHsA)=m`6A,,Wjo`+FOrqGsSmJm4XlM(;QoChnTp\FU.pOE~>
+q:PMrn_!Zjl.H$hrRh)"qpZM1gHIpVe(W@5e(*O8f@eX6jOMK-i7QN0f)*tme]cNn~>
+q>:!cnb`.[gA;Z^p$Q('rVHQkr4QZA@9n)>deEe>q>C!aq>AJ6J,~>
+q=aXYnb2eQhtHsA(%pruDYa#'p@bt%9j(J7MTt_lp[n4YpA=U[prrJ_~>
+q:PMrn_!Zjl.H$hrRh)"qpZA0c9+nXg"tE;SO>A&5$2d.e`5?6g&9M!eG7Y=e:7~>
+q>:!cnb`.[g%uTahHY^4rr;oip2kZIs3=_rcN!q?q"jpaqt^06qg\~>
+q=aXYnb2eQhtI!B)YX$`=F^2Cr:]XJCieY4_bbX#s8V`_p%S1RqtKp]bkHV~>
+q:PMrn_!Zjl.H$hrRh)"r6uY9gV,aYh;$oCf%3o,bi5fd?``;Hf%&=&f%0`Jq:3^=J,~>
+q>:!cnb`.[g%u0VbZ^;0r;HHkd8$/0rs4Wm[.=%gs8Mcgqt^06qg\~>
+q=aXYnb2eQhtI!B)YX!J<0-bGp@8(#6]_!@rI\7VmI^&Jq==7QqtKp]bkHV~>
+q:PMrn_!Zjl.H$hrRh)"r6uY9goEJYgtUW<jg$Odj6GuL5Ea@Df%o$-f%0`Jq:3^=J,~>
+q>:!cnb`.[g%uTc]j7]=rVZNlP%aCcj8YTFX7Q8brr)Zgqt^06qg\~>
+q=aXYnb2eQhtI!B)YX$:=/G]bo^_j6?0:n4plJ(Eme?ALq"4:RqtKp]bkHV~>
+q:PMrn_!Zjl.H$hrRh)"r6uY9h46]ehVR)Ck&X,Bk/HM208\'/f%\j,f%0`Jq:3^=J,~>
+q>:!cnb`.[g%tmMY@#!Art!b4Qgt+Un8EHis8VlhqY^0dq>AJ6J,~>
+q=aXYnb2eQhtI!Bs7R;-=1.hso_-ILMWF7&i*pT@rVlE[p%S1RqtKp]bkHV~>
+q:PMrn_!Zjl.H$hrRh)"r6uG3glOdmio8nU\mfs6i9Scf<2JL1rm_)%f%0`Jq:3^=J,~>
+q>:!cnb`.[g%uTXTj,A5rVQVu<Ht7.J6[WQp]'mXs8Vojqt^06qg\~>
+q=aXYnb2eQhtI!B)YWQd;n;PknFWGGCR'it9QSDJrpT=PqXjLTqtKp]bkHV~>
+q:PMrn_!Zjl.H$hrRh)"r6uY9dt0]Vi838IOZ-HsI:59JZ.7d[dG3I*f%0`Jq:3^=J,~>
+q>BLSmem+^rqcHfnba4'C2^W^s7kqgB^u,nL2lATp\Xp`q#C$_r;$6Sr8da*~>
+q=j.Ime?bTrq6*\p\4U\)Ya8@B<_..mGUuJjRhGT@G1DGpA"4Ms7#dWqtU!]l1j?6J,~>
+q:Y#bmb.Wmrn$tus4[G)rR^tt)V=+E:mpA-g!)iUe)Sni;TR\Ef\4j*hpC!,qpkMll.+kEJ,~>
+q>BLSmem+^rqcHfnba3oJl^Y'o)H:/V>C,ihg9S<s8)Tlq>UBhr;$6Sr8da*~>
+q=j.Ime?bTrq6*\p\4U\)Y`QD:=J^qorh;]mI0eqCMN28p%A4Sq>'dZqtU!]l1j?6J,~>
+q:Y#bmb.Wmrn$tus4[G)rR^tt)V<AH2n[kniL</hgtq81>ZoJ6f@Sj0g"G!/qpkMll.+kEJ,~>
+q>BLSmem+^rqcHfnba4%S6Pmiqqkm]irAlTs+sguqt0dcq"4CXr;$6Sr8da*~>
+q=j.Ime?bTrq6*\p\4U\)Ya#m<V?+Xf3:bsrpTLSHq_BMn+QeQn+?AKqtU!]l1j?6J,~>
+q:Y#bmb.Wmrn$tus4[G)rR^tt)V<_k458TH^dKurlJ(@^CH/6FdFdL0cd^RuqpkMll.+kEJ,~>
+q>BLSmem+^rqcHfnba3tUR2#Us-l<Ts8Vrqm<2@Xs8;c_p](9hr;$6Sr8da*~>
+q=j.Ime?bTrq6*\p\4U\)Y`fpOo"YGPW>N<p[A"=Bh$GKp\*nCrr)TcqtU!]l1j?6J,~>
+q:Y#bmb.Wmrn$tus4[G)rR^tt)V<MkGMq-4H6S=5j4ibB=>I;Dg"=NuhVHf8qpkMll.+kEJ,~>
+q>BLSmem+^rqcHfnba4'j8T)Kh/Qi&p\"L`Uf_7+s6e%!fDkmHr;$6Sr8da*~>
+q=j.Ime?bTrq6*\p\4U\)Ya9kqZ#s8Cg*Y'mIg.B9j[Mkl,At:s82QbqtU!]l1j?6J,~>
+q:Y#bmb.Wmrn$tus4[G)rR^tt)V=#eh;lqp:I'fif&#8;3Chi^bGTTlhqQc7qpkMll.+kEJ,~>
+q>BLSmem+^rqcHfo)'@%pA4^Vjh$>3X3AYeTPT\Mn`/5f>0?X2q>C'cl29W>J,~>
+q=j.Ime?bTrq6*\p\4R[)><n'n):a/NMXY2V3keKh<a"HP#]KmmJ$APq"a[KpuM1"~>
+q:Y#bmb.Wmrn$tus4[G)rR^qs):[Bqd);AcE/UfqNe'oD_p?0+F>p,Hc.CSEebR_Ze`>51~>
+q>BLSmem+^rqcHfo)'=$p\+(Rs8)6\qtU3gs7?$cm-!Gg?1%L`r;$6Sr8da*~>
+q=j.Ime?bTrq6*\p\4R[s7[5srVu]^p@n4Xp&+4Js6&D!LKNd5rqH<bq=j.KjS+0~>
+q:Y#bmb.Wmrn$tus4[G)rR^kq'[GIng<eI*fAPECe(Eg*`PH7Lb16LCqpkMll.+kEJ,~>
+q>9FQmed%\rqZBdnbXI-kkb>Hqs=7VmJm.Ws8Vols71SFrUU!er;HQlr;HQjqYKIRjSFB~>
+q=s4KmeHhVrq?0^nb<t"l21MJqs4.SlM^SKrql?]qWiB.q!7tRo(VDDjS+0~>
+q:Y#bmb.Wmrn$turn.>(g&0J!eJ[,^g#:--bhUmphV6N<hUgH:cWWHbcJdI0qq(Ynl.+kEJ,~>
+iV;s=iV<6C)#=%)q>'g\qXaaaJ8b5^qu6Nmr;QWnr;+D-J,~>
+iV2m;nb;SKqt^9erqcZjs7cfmm/QU$Ab#cl#PI`^o_%kLpVloX~>
+iS!bTo%=#qrmh,"f'q2hf)F>%fDjD-f[/d5>tif%f_X8%f[e$kJ,~>
+iV2m;g%YLAs7lWg#l+GtrdAncp](*h!W;`3pOE~>
+iV;s=nG);Erql`ls7lrqq==0!C@U]iqXag]pr3&Z~>
+iS!bTo%=&rf':caf)O;#e-OX\f@a8%f$`RSf`BaV`RKD~>
+iV;s=g%bRCs7u]i#l=Gps'K=:rr)]k!W2`4pj`~>
+iV2m;o(VACrqcZjs7clop@J2a?240fqXjm_pVloX~>
+iRm\Ro%3uoeEYK]eGn"tdKn@Rf&&PSgY1?WfE'RQ`R98~>
+iV;s=g%bRCs7u]i#l=;ls+Zj>s7Q6d!W2`4pj`~>
+iV2m;o(VACrqcZjrqH`io`'H'rVu?_p&Oj*pj`~>
+iRm\Ro%3uoeEYK]eGn"sdLX^QiEgKXhp'a%f$r:#f$qXdJ,~>
+iVN*Ag%t^Gs82fl#QO>olMLMXr;$6.qLA~>
+iV2m;nFu5CrqcZjrqH`smJH&?q"a^\pVciW~>
+iR[PNn^[]ilI,[]s3ptq%bSkT_:6rbe'ugqdaZ^p_pX&~>
+iVN*Ag%t^Gs82fl#QOSls8Vfks7uQ1qLA~>
+iV2m;nFu5CrqcZjrqH`to^Vt]o(i1YpVciW~>
+iR[PNn^[]ilI,[]s3ptq#MIGIh;-?*f"BF]~>
+iVW0Cg&(dIs8;ln#5nMooBuMRq"hr+J,~>
+iV)g9nb25ArqZThrq?Wnrq#[Hq>0m]`:nc~>
+iR[PNn^csSrmq,"s3q;%eCVpe`R<62dJqY6e:7~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat7.ps b/books/ps/quat7.ps
new file mode 100755
index 0000000..f7b8d13
--- /dev/null
+++ b/books/ps/quat7.ps
@@ -0,0 +1,688 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait7.ps
+%%CreationDate: Tue Dec 26 13:16:13 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 90 152
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 137.250000 translate
+75.000000 -137.250000 scale
+% Image geometry
+100 183 8
+% Transformation matrix
+[ 100 0 0 183 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 100 string def
+/gstr 100 string def
+/bstr 100 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        30049 ASCII Bytes
+colorimage
+rqcZlmel>HnbV)=J,~>
+rq6<bme>u>nb;eOlhCGQs7_$~>
+rn%2&mb-mXs46ek!nQ#WrRh)"ldQ$hf$r,u~>
+rqcZlmel>HnbV)=J,~>
+rq6<bme>u>nb;eOlhCGQs7_$~>
+rn%2&mb-jW!7pbk!nQ#WrRh)"ldQ$hf$r,u~>
+rqcZlmel>HnbV)=J,~>
+rq6<bme>u>nb;eOlhCGQs7_$~>
+rn%2&mb-jWn^[`ng&9S%f'Cfff[eR#J,~>
+rqcZlmel>HnbV)=J,~>
+rq6<bme>u>nb;eOlhCGQs7_$~>
+rn%2&mb-jWo%!lpg"H>VrRU;a"5)2SdXV~>
+rqcZlmejKiJ,~>
+rq6<bme>'$lhCGQs7_$~>
+rn%2&mb-:Gs4RA'rRU;a"5)2SdXV~>
+rqcZlmejKiJ,~>
+rq6<bme>'$lhCGQs7_$~>
+rn%2&mb-:Gs4RA'rRU;a"5)2SdXV~>
+rqcZlmejKiJ,~>
+rq6<bme>'$lhCGQs7_$~>
+rn%2&mb-jWn(IZlrRU;a"5)2SdXV~>
+rqcZlmejKiJ,~>
+rq6<bme>'$lhCGQs7_$~>
+rn%2&mb-jWn(IZlrRU;a"5)2SdXV~>
+nbhAC(]+(0o_&7Ss7u]erV-?kqtg!`qu6Wiq;qL(~>
+nb;#9)>!P#mI'f8qXXILp@/(Uo_%_JpA+XWo_/"Ep]'sepOE~>
+n_)mR);!X(e(!:%i7Qr9gt(QBg=Xm-f\>92eCN4:e-"@SeC&j~>
+nbhAC(\7UKH?S3Gnc/Xds8VKLs8Duoq>U-_s5j-.~>
+nb;#9)=.=?F)T_-lM18Ks7tg8s7lTdo_J(KqY'XKp]'sepOE~>
+n_)pS)VNO#WEE68i6^?>g?.;:`oc%7f@J^+db<:'ldQ$hf$r,u~>
+nbhAC(]X8jC1k9Ls6R[?EJ/poQ/Vc<q>]sYs5j-.~>
+nb;#9)?9)V?X0quro(CrApJTCNnj[+o_n+HqtBaLp]'sepOE~>
+n_)pS)VO9)D+R3fcKNHH92K,,?Za'De^iX&dbE@(ldQ$hf$r,u~>
+nbhAC"onP8Fb8uYrsaCDkOc])X8i"ms7-!^jnjQ~>
+nb;#9)>3R,C3SY3p&=Z*NSNd/?DRGipAaLQo_/"Ep]'sepOE~>
+n_)pS)VNp$SQ'%@inrtX>^+3:UIU3tf%B$.f$r:%ldQ$hf$r,u~>
+nbhAC(\[n*BSQQeo^VltT)\i]BoVldq>^3hp>u1%~>
+nb;#9)=-ta?$lSMl/qPHPPY:A@>=@Ko_n@Ynb2\Bp]'sepOE~>
+n_)pS)VN["gIZ&ClIF>>:OhNldn4H,gXb93gsO^(ldQ$hf$r,u~>
+nbhAC(]Wk%F-QLls8M1rXT&(PKrFkJpA4XcqW7U)~>
+nb;#9)?/UiBSl0@q"*9JU%@a$IA-?4nb)SSp%J+Fp]'sepOE~>
+n_)pS)VO?!jA^9UeE#N.99%i`^1N/Qhp^3/hUU3.ldQ$hf$r,u~>
+nbhAC(]XI6Fc?@uq>.aci;_Q&No'X3p\OgcrT3p,~>
+nb;#9)>*M!C4Z-LmdIE7ebd^VL=c+oo(DbOq"FFIp]'sepOE~>
+n_)pS)VO',lr\2fhq[%[F2R7VJ8r9TgXOj.f@\[*ldQ$hf$r,u~>
+nbhAC(Ae((G_H+srr842R?`_]jT"lIr;Z`ejSOH~>
+nb;#9(@V"_D0bdJoD+5`Nf&C1h#-X4p\XaRrUp<ep@mtJs7_$~>
+n_)pSs4J.IfNDkFjko6D@!['7A&mTWe_/d4cMc;qeCN.<ecXRUeC&j~>
+l2:ARq>C'c&H;_,ELHS$o_X'!qYfAgJc+C%J,~>
+l1b#Hq=j^Y&G,YcArc6Nl0r_Jn+,%;H1g+hs7_$~>
+l.Pmaq:YVs&_Z"!ge`=JiR?ReEnT<b9Oc]LfE0XVf'_/lf$r,u~>
+l2:ARq>C'c"TSAlH)LZA#if[5qZ$MQ@f5*[J,~>
+l1b#Hq=j^Y&GP\ZDOgD!r7GA^n+?1%>P6qJs7_$~>
+l.Pmaq:YVs&_Z$pe6%I_kiT`RSCucSCI-YEf^[Vsf[eR#J,~>
+l2:ARq>C'c&GPu"NNMX<o"')Cs8VSHCAcrcJ,~>
+l1b#Hq=j^Ys6U<iJth;ekHAalp\j3(A+edRs7_$~>
+l.Pmaq:YVs&_Y[ci,"@scdA.^g>V5@C.[+;fE0XRdXV~>
+l2:ASq>C'c"TSJqJ$/eN#\o.pr;X!/NVqZ1J,~>
+l1b#Iq=j^Y&HD@gFJJU0qd4aFnb&_YL@sKus7_$~>
+l.Pmbq:YVs&_Z=&em=?pkiGBJiS37N5A]$3fE0XRdXV~>
+l2:ASq>C'c&HDY'Kt@93R[CD#[]>.Jo).AAJ,~>
+l1b#Iq=j[X&+T+8Yk6"uNi9UlTmVdap#,QDpOE~>
+l.Pmbq:YVs&_Z!memb!#YBP,MUQ^LDEm`S!fE0XRdXV~>
+g&1[C&,uV+FJJm9p[@hOs7,a]s5!R&~>
+g%Y=9&,5khC74qumH*^'s6&\Fs53PMpOE~>
+g"H2R&Dc6r;1RWfeBHCmk0DB7jOrME!nPlLJ,~>
+g&1[C&+]c#Jt23*s8Voks7QElleVGg~>
+g%Y=9&*s#jH^3^cq>KmUs6fpejPT\2pOE~>
+g"H2R&CK@s@=-2PhrEABk1&PUaP$.:n^[fpf$r,u~>
+g&1[C&-)J$L9pmZqYpEmo`+sZs5!R&~>
+g%Y=9&,PkfJ#rD>oCqqTmJ-VBrSR>KpOE~>
+g"H2R&)PskAWkm+g"kEAe)'*/iUPRjecXRUeC&j~>
+q>B4Mq>1Enqu)Jds8)ZhrUKd\r:Tr;~>
+q=ikCq=Y'dp@sEPqt9^Zq!n(Rp\4C]pOE~>
+q:X`\pt,f(gM326f\6/Un_!Zhq:5Z#f$r,u~>
+q>B4Mp\P*iLq*H\q#0a[q>Bp_J,~>
+q=ikCp\"a_K<tCHq"XCQq=jXWs7_$~>
+q:X`\q:P`#"P@=Pgt;DVn_!Zhq:5Z#f$r,u~>
+q>B4Mq>1EpqtYrRr;-EgrUKd\r:Tr;~>
+q=ikCq=Y'fp@Nm>p\"@Xq!n%Xp\O[]p\smdpOE~>
+q:X`\q:Gr+g"0_tg=Y3Vg[WnrfD=%oe-+@Tf$r,u~>
+g&1[C#Q4JqLU[6YrqZKJqg\~>
+g%Y=9#P[rbK!P1Eq>'dSp@@tXpAal;~>
+g"H2R#MRk`AX2$&h"f[pf`0One-"@SeC&j~>
+g&1[C#5S,mMRri`eGFa~>
+g%Y:8"o%eI\,>spq!e"Jp]'sepOE~>
+g"H2R#1qM\BUIW-pt>5js46bj"5)2SdXV~>
+q>AqC#Pn5oN4f2dqt^*Yqt^*]qg\~>
+q=iP8#5@qM\c)6sq=jFQ!;63^q=jp_s7_$~>
+q:XHR#M7V^C7=#2g$72jf%'WGq:#N!f$r,u~>
+q>AqCrqZbS\c2F&q>0XYq>0d]J,~>
+q=iS9rq?PM[eodoq=jFQ!;63^q=jp_s7_$~>
+q:X?O"D=(Vf@oNB!S5fte+qJqf[eR#J,~>
+q>AqC#Q4GoKsggRrV?<[qt^*]qg\~>
+q=iS9s7Z]hK!P1FqYBmMpA+I_pAal;~>
+q:XHR#MIb]A!>TtgZmDkf(meje-"@SeC&j~>
+dJF1Iq##oBrq-3gqYp6iqVD%!~>
+dImh?oC[^,q=".Xp\spfp[RtIp]'sepOE~>
+dF\c[f%XbegsY!1f^%,Ye-"@SeC&j~>
+dJF1JqYZ)Arq-3gqYg3Fqg\~>
+dImh>oC[U'q=".Xp\jmWp@7nWpAal;~>
+dF\c]g"U(fgsY!1f^%,Ye-"@SeC&j~>
+dJF1Iqtku9rUp-fqYg3Fqg\~>
+d.[M3"FHO2nG)tVrV5pVnb<(Ws7_$~>
+dF\c\g=ft^gXFp0f^%,Ye-"@SeC&j~>
+dJF1Ir;1o0rV-9hqYg3Fqg\~>
+d.R\:oQHGno(`1XrV5pVnb<(Ws7_$~>
+dF\c\gY,nUgXY'2f^%,Ye-"@SeC&j~>
+dJF1Hrq^i%r;$9hqYg3Fqg\~>
+dIme;p[`?`p[nCXrV5pVnb<(Ws7_$~>
+dF\c[h:YhJg=P'2f^%,Ye-"@SeC&j~>
+dJF1Hs8$bqr;-?iqYg3Fqg\~>
+dIme;q"&9Wp\"IYrV5pVnb<(Ws7_$~>
+dF\c[hUtbAg=Y-3f^%,Ye-"@SeC&j~>
+dJF1Hs7pPhr;6BiqYg3Fqg\~>
+dImh<q=80Op\+=Zp\jmWp@7nWpAal;~>
+dF\c[hq1Y9g=b03f^%,Ye-"@SeC&j~>
+d/+%Iq.ti`r;6HhrV54GJ,~>
+dImh;qXS3Lp@n:Zp\jmWp@7nWpAal;~>
+dF\cZi7L\6g"P-3f^%,Ye-"@SeC&j~>
+dJNtA"nue`qYp3eqYg3br8mg+~>
+dJ!V5"n6&Mp%e.Vp\jm_p\FOQp]'sepOE~>
+dFeKR#M)LSf\G!/f_a7qfD4"fe-"@SeC&j~>
+dJNtD"T*+krVuflrV63djnjQ~>
+dImh?q=J?Nq#'g`p\jm_p\FOQp]'sepOE~>
+dF\Z[hqCh8gY`"_qptSpq:>)c"5)2SdXV~>
+dJNtB"o<.jqYp<hqYg3br8mg+~>
+ch7P6BRf^No_nO_q"a[[p@7nWpAal;~>
+dFeKS#MDj]f\G*2f_a7qfD4"fe-"@SeC&j~>
+chdnAEJ=2cq#1'fq"ajLqg\~>
+dJ!V4"nHDYoCqkTp\jm_p\FOQp]'sepOE~>
+dFeKQ#M;j_f%S^-f_a7qfD4"fe-"@SeC&j~>
+dJNqB"F,k%s8DomrV63djnjQ~>
+dJ!S6"EB1iqY:$`rV63_q=a@Qs7ZKeJ,~>
+dFeHS#$5Nlh:pT7qptSpq:>)c"5)2SdXV~>
+dJF1Ir;M#$qYgBkqYg3br8mg+~>
+d.R\:pN),_q"Xg^rV63_q=a@Qs7ZKeJ,~>
+dF\c\gYH"If\>05f_a7qfD4"fe-"@SeC&j~>
+dJNt?"oWb*p\OdcqYg3br8mg+~>
+dJ!V3"nm"lo(D_Tp\jm_p\FOQp]'sepOE~>
+dFeKP#M`Hre_&R-f_a7qfD4"fe-"@SeC&j~>
+dJNtB"oj(5qYgHmqYg3br8mg+~>
+ch7P=G`)1hqYg0eq"a[[p@7nWpAal;~>
+dFeKS#N/p*f\>67f_a8"f+$Ebg"4p/f[e^+f[e^+n^IZnf$r,u~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV?!X!;?!Xs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g&'D$fac`hg=b35g=b35g=b35f(.;mf[eR#J,~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV?!X!;?!Xs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g&'A$g%3nug",`D"5)2SdXV~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV?!X!;?!Xs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g&'Ckf`9Uoe-"@SeC&j~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV?!X!;?!Xs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g&'Clf`B^Uo$dcof$r,u~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV?!X!;?!Xs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g&'Clf`B^Uo$dcof$r,u~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV>FHs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g&'Clf`9Xoe-"@SeC&j~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV>FHs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g$@8[e-"@SeC&j~>
+l2:ASnb`Xkq>ZM2r;QWmqu-?\r9aB3~>
+l1b#InFm.XqM9atq=jj_rV>FHs7ZKeJ,~>
+l.Pmbn_"6)f\gXYg>(E8g$@8[e-"@SeC&j~>
+q>C6gs82Nfq>9^[#QOStM1G?uqu-Biptbgt~>
+q=jm]s7Z0\q=a@Q#Pdi_Jp[(_pAOaaq!n(Jp]'sepOE~>
+q:Yc!s4I%uq:P5j$/X:hBO96Cg"=sCf(%5lf[eR#J,~>
+q>C6gs82Nfq>9^[#64JtMh:a%r;-Beh>;^~>
+q=jm]s7Z0\q=a@Q#Pdi`KRNIdp&4X`q!n(Jp]'sepOE~>
+q:Yc!s4I%uq:P5j#2[tfC1,WHrn-Pfn^IZnf$r,u~>
+q>C6gs82Nfq>9^[#6+GuNeR?-r;-Beh>;^~>
+q=jm]s7Z0\q=a=P#4hSFJG&[0rV-9ciV3BGs7_$~>
+q:Yc!s4I%uq:P5j#2RqhD.D5Prn.,!iR@t^f$r,u~>
+q>C6gs82Nfq>9^[#QFQ!Obir6q>L0gptbgt~>
+q=jm]s7Z0\q=a=P#4hYKKD505rV-9ciV3BGs7_$~>
+q:Yc!s4I%uq:P5j$/O7mE+[hYf@\aQf&>*\f[eR#J,~>
+q>C6gs82Nfq>9^[#QFQ!P)9,8q>L0gptbgt~>
+q=jm]s7Z0\q=a=P#4h\MK_P96rV-9ciV3BGs7_$~>
+q:Yc!s4I%uq:P5j$/O7nEG+"[f@\aQf&>*\f[eR#J,~>
+q>C6gs82Nfq>9^[#QFQ!Obir6q>L0gptbgt~>
+q=jm]s7Z0\q=a=P#4hYKKD505rV-9ciV3BGs7_$~>
+q:Yc!s4I%uq:P5j$/O7mE+[hYf@\aQf&>*\f[eR#J,~>
+q>C6gs82Nfq>9^[#QFQ!OGE`3q>L0gptbgt~>
+q=jm]s7Z0\q=a=P#4hVIK(f!3rV-9ciV3BGs7_$~>
+q:Yc!s4I%uq:P5j$/O7lDe7VVf@\aQf&>*\f[eR#J,~>
+q>C6gs82Nfq>9^[#6+GuNeR?-r;-Beh>;^~>
+q=jm]s7Z0\q=a=P#4hSFJ+`R/rV-9ciV3BGs7_$~>
+q:Yc!s4I%uq:P8k#MS"dhecrWgA]b&f&5$[f[eR#J,~>
+dJF1Krr/.3rql`oqYg3Fqg\~>
+dImh?p@aJkq"FR_p\jmGp]'sepOE~>
+n^ugR$Js[tF'meWh:UB2gscGYf$r,u~>
+dJNtB"oOR5r;-BjqYg3Fqg\~>
+d.R\:oS[tfp%\L[rV5@Gs7ZKeJ,~>
+n^ugR$JaLoFC*bTgXt*.rm^triR@t^f$r,u~>
+dJNtA"oFI2qt^0gqYg3Fqg\~>
+dIme;o^drap%81VrV5@Gs7ZKeJ,~>
+db"r\gYLY+?/*ubf[eXQeGmtUe-"@SeC&j~>
+dJF1Ir;;_+r;$<iqYg3Fqg\~>
+d.[M3"H%Eso_ACZrV5@Gs7ZKeJ,~>
+db"r\gtge-?/4&df[eXQeGmtUe-"@SeC&j~>
+dJNtC"oX[7rVQTmqYg3Fqg\~>
+dImh>p@XAhp\+F]p\jmGp]'sepOE~>
+db"r\h;@(3?JX;if[eXQeGmtUe-"@SeC&j~>
+dJF1Krr/.3rql`oqYg3Fqg\~>
+dImh?p@aGjq"FR_p\jmGp]'sepOE~>
+db"r\hV[45?f'Jlf[eXQeGmtUe-"@SeC&j~>
+dJF1JrV_q/rVHNlqYg3Fqg\~>
+dImh>p%=5fp\"@\p\jmGp]'sepOE~>
+n^ujP$eX:lhK3)[f\G-1f)F2!dc&[Xf[eR#J,~>
+dJF1Ir;;_+r;$9hqYg3Fqg\~>
+d.[M3",_<ro_eI^pu1uIpAal;~>
+n^ujP$eX7jh/clWf@nm.f)F2!dc&[Xf[eR#J,~>
+dJF1KrUttdq>1*hqYg3Fqg\~>
+dImh@p$R9FoC_qXp\jmGp]'sepOE~>
+n^ujP$eX@nf4S"7f\G-1f)F2!dc&[Xf[eR#J,~>
+d/+%Gr/lF-qY:$crV54GJ,~>
+dImh;p%4)bq=X@Xp\jmGp]'sepOE~>
+n^ujP$eX1ih/ZfYf[e^+f)F2!dc&[Xf[eR#J,~>
+dJF1Fr;De.s8)NhqYg3Fqg\~>
+nFko:#kml^onn%kp%/.VrV5@Gs7ZKeJ,~>
+n^mimj4"Ifg"kM+?f9Sff[eXQeGmtUe-"@SeC&j~>
+dJF1KrV)+iq>1$fqYg3Fqg\~>
+nFko:#PRrcmso<Ip&+R_pu1uIpAal;~>
+o%<unj4"IfhVQn!<8#pXf[eXQeGmtUe-"@SeC&j~>
+dJF1KrUkh`q"k!gqYg3Fqg\~>
+nFko:#kn)em<i^?p%eR\rV5@Gs7ZKeJ,~>
+o%<unj4"Ifhqlpq;:sOVf[eXQeGmtUe-"@SeC&j~>
+dJF+FrVDP#rVQHiptbgt~>
+nFko:#kmranqM8\p%A:XrV5@Gs7ZKeJ,~>
+o%<unj4":agYU\'>2B21s472!s3flU"5)2SdXV~>
+d/+%Grfhs5qtU-drV54GJ,~>
+nFko:#kmo`p5F=pp@J7WrV5@Gs7ZKeJ,~>
+o%<unj4"Ifg>:_0@,]eif[eXQeGmtUe-"@SeC&j~>
+dJF.Hrr%t.s82`jrV54GJ,~>
+nFd=cp@n:Tp@n:Tp@n:Tp@7nVp'12HGl%.,pAXgbq#9sfp\*bDs7ZKeJ,~>
+n^n?&eCN.#eCN.#eCN.#eCO0>%G'=lhJur\g">!1f$r:MeGe#"eCNd3"5)2SdXV~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2"c@R!oChnVp\ss^p?VJQpAal;~>
+nCS3$f[e^+f[e^+f[e^+f^[Mmf`'Y-F'd]%g&K\*f%BuQrn%8&f_j=de-"@SeC&j~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2#)[["oC_hNqtKjYlhCGQs7_$~>
+iRm_P!8.;+#'4,,g"Y35qq1r%rRh)"ldQ$hf$r,u~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2#)[["oC_hNqtKjYlhCGQs7_$~>
+iRm_P!8.;+#'4,,g"Y35qq1r%rRh)"ldQ$hf$r,u~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2#)[["oC_hNqtKjYlhCGQs7_$~>
+iRm_P!8.;+#'4,,g"Y35qq1r%rRh)"ldQ$hf$r,u~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2#)[["oC_hNqtKjYlhCGQs7_$~>
+iRm_P!8.;+#'4,,g"Y35qq1r%rRh)"ldQ$hf$r,u~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2#)[["oC_hNqtKjYlhCGQs7_$~>
+iRm_P!8.;+#'4,,g"Y35qq1r%rRh)"ldQ$hf$r,u~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2#)[["oC_hNqtKjYlhCGQs7_$~>
+iRm_P!8.;+#'4,,g"Y35qq1r%rRh)"ldQ$hf$r,u~>
+dJF1IqtlP*rV??hqYg3Fqg\~>
+d.[M2#)[["oC_hNqtKjYlhCGQs7_$~>
+iRm_P!8.;+#'4,,g"Y35qq1r%rRh)"ldQ$hf$r,u~>
+q>9.Kq>1Bms7rLPq>U<grV54GJ,~>
+q=`eAq=Y-dq=1#4oD%tOpA=UYp?VJQpAal;~>
+q:Orbq:GJo$J=%kg4jP!hV-Z9qq1r%rRh)"ldQ$hf$r,u~>
+q>9.Kq>1Eqs7MV+p&G!hqYg3Fqg\~>
+q=`eAq">!im>Q>Zq=jUVqtKjYlhCGQs7_$~>
+q:Orbq:GJo$J=.oeob?Mhqcu=qq1r%rRh)"ldQ$hf$r,u~>
+q>9.Kq>1Eps7V4gpAb$gqYg3Fqg\~>
+q=`eAq=Y-fqsJrMnG;hOpA=UYp?VJQpAal;~>
+q:Orbq:GJo$J=+of4\(5i7lr<qq1r%rRh)"ldQ$hf$r,u~>
+q>8kC#P\8rK5UVep\jseptbgt~>
+q=`M9$1RiaHYE-Lnb2\Rp\4CIp]'sepOE~>
+q:Orbo%+6%f&YXt:>FdZg"H8Ts4RA'rRU;a"5)2SdXV~>
+q>8kC#Pe>tHY36Vq#1'fptbgt~>
+q=`M9$1[lbF("b<o(MeSp\4CIp]'sepOE~>
+q:Orbo%+6%fAk^m7butSg"H8Ts4RA'rRU;a"5)2SdXV~>
+q>9.Kq>CQts8$_?qY^?kqYg3Fqg\~>
+q=`eAq=t!a#P)S0o_/(RpA=UYp?VJQpAal;~>
+q:Orbq:GJq$JO=ogJU/fgtp`;qq1r%rRh)"ldQ$hf$r,u~>
+q>9.Kq>CQurVLYBqtg?kqYg3Fqg\~>
+q=`eAq=k9lp%)s$p%8+SpA=UYp?VJQpAal;~>
+q:Orbq:GJq$JOCogf-Jlg>LZ;qq1r%rRh)"ldQ$hf$r,u~>
+q>9sb*;f[2r;6Ehr;6Ehr;6Ehr;6Ehr;6EhrVZWlrVZZn#5S:IC&dr,rVHNg!;bOKJ,~>
+q=aUX./<Q3p\=LXp\=LXp\=LXp\=LXp\=LXq"a^\q"a^[p[e6*A,Plmp@eCXp\+FW$hj>gp\+@T
+p\+@Tp\jgcpOE~>
+q:Orb!S>m!fD=,,g>1H?>tNr*gtCBXf`0Y'f_sCse.L9]f$r:#f$r:#f$r:%f[eR#J,~>
+pA=mfrr"5Aq>:!bq>:!aq"jd^q"jd^q"jd^q"jd^q"jg`qY^9jrV)"hs8Mopr;ZZnqVD%!~>
+p@eO\pA"LY%J]\mp\=LXp\=LXp\=O_q$6clnptiZqY:'cs7lTfp\+LYn+QeUJ,~>
+qq:o"!SQ*(f_O4sfE0XRdehPoecOLWg&B\1h;$Ok<ScKarn@D*rn.8(rRh)"qpbYs$eX%_f%AR+
+f%AR+f)F;'f$r,u~>
+pA=mfs8;urqtg-Vq#C0hq?Qfin:5KRq"=Xas82flh>;^~>
+p@eO\s7cTiq=sg\p@n^`q"Xja#PI`VI;S]No)AIbq#:$^pA=UQpAal;~>
+qq:o"!SQ*(f_O4sfE'RQrmLbps4.8(g"HAY#M.GN?;B,'e,J)$g&BY(g&9S%f)*qsf(%Aof$r,u~>
+pA=mfs8;urqtg-Uq#1$gq??MDEr5b/rqufnrqbIJJ,~>
+p@eO\s7cTiq=sg\pA"[^rV6Ee"n@+]q"XO]q>^6hp\4CYp[@hUpOE~>
+qq:o"s4RD*q:YVs!nPlLrRCess4I;'s4@M'@8PY1f)FD'g&BY(g&9S%f)*teecXRUeC&j~>
+pA=mfrquioqYBFO#l4GupkO"krr)ios82flh>;^~>
+p@eO\pA"LYpA"R[#l+8non7A_qtg<fs7lTfp\+FW$hj>gp\+@Tp\+@Tp\jgcpOE~>
+qq:o"s4RD*q:YVs!nPlLrRCesr7D;.gYC@k;r$0_rn@D*rn.8(rRh)"q:$#-eCN.#eCN.#eCN.#
+f%AR'dXV~>
+pA=mfrr)ZilM:e^qYTu?Er,\1rr)lpgA?C~>
+p@eO\pA"%Lrq?Bb#57S;D>!VrrqQNfo_.VFs7ZKeJ,~>
+p=TDurn@2$qUbf!qpbYsrRh,&s4@P/e72>-g"HAZs4[D(rRh)"qU?/+eC)jpeC)jpeC)jpeC<(#
+eC&j~>
+pA=mfrr)ZimJ?eW#Pe2iKQ6haqu6Qor7_$u~>
+p@eO\pA"%LrUgEep@3WKo_%qWq#C*\p?VJQpAal;~>
+p=TDurn@2$qUki!r7(btq:Gr'g!jJ,f@\dUg]-"*g&9S%f)*tfdKJ(Nf$r,u~>
+pA=mfrr)ZimeZtZrqH`prVD:jqYgEmrVufLqg\~>
+p@eO\pA"+N!qu<[rq$Hgq"95Vp%\@^q#C*\p?VJQpAal;~>
+rRUku!nl;]rnI8%qUki!!7^turR_2)f\$2T#M@e`APq+7h#?(.gAKY&f_sCueFM#jeCN4#dXV~>
+pA=mfrr)ZimeZtZrqH]nr:u(eq>C3is8:UJJ,~>
+p@eO\pA"+N!qu<[rU^9foRUiNp\jmep[n1Fp]'sepOE~>
+rRUku!nl;]rnI8%q:G`!eG[tsfE0aYf_sD*g=Kk2f@p2Xs4[D(rRh)"qpb2b"Ou#ReC&j~>
+q>1?on,N@_s8Mjis8)cqqXaUWp\b'krVZZgrVufkqu-ElqtL-_mJlbUqYuXgrr;orq>^Kfq#C0e
+rr2ilr;HTgq>L?nr;$-boD&@cq=ad^s7?'dnGiIcqg\~>
+rV-9a>PRL`q"4UYp%A1SqZ$6Vp@.YIqtg*^q=47Xp[n1SpAO^Us6f(Mm.U&GM-frOp%e1VrpK=Q
+o(MnTp\":Uq""(QrVcNao_7hHs8Vc_q=ORQp&FCWq=aOVpOE~>
+rRCkus4CB,c/RL3k1\J>gt1?Af?i0ueCi[5g=b6.f\G*0f\5!9g"#05c0!I0g"pX8h;6oDf](uA
+fAP<7gtUN6g"=s*eCN@-e^Djnb0Shsd*:(df#l@qa4UCB!S#PJ~>
+q>:3e&c2M#nbW(]s8;?Ymf34br;$*cp]LQhnFlh\*VTL,s8W#ss7u]o]PmiCs8;Wis8MusrVQEa
+p%\LbrtbV0p@e=]s8)choCM_Vr9aO`s6'FKq#1)?~>
+rV-9as76iqq=*_BoD8L]lL='<p\X^Wo)8/IqXEh@qu6NjnbMbTr:^0do(i$fB`IN#p$h\Pp\+CU
+p@RnEoD&4\rV?-Wo(DkYpAa^Pn+6SSl2UV[j8A-5p@e7TJ,~>
+rRCkus4IA&&_PmidG!:0j4VZ)bN%:3g"+[OeO/';bL,/(hVH]:e`#NCk24hKh4%1%eE5N:gu7)E
+hV?f9e'ce#gYCW<da-7ffA"d0ccXJWhp]U$fA"*m`R38feC&j~>
+q>1Wqs7?9gn,NFYoY/TMp&=t>r:p$_rVcWnrVQWmo'uJOs7l3Yme-AEs7`R$s7Q6gs7c6es8)Tj
+rr2p$rq,UUqtpBj%Johhs82cor;Z?fk5X`Fs8DhF~>
+rV-9a6Lt0DqY'1Rr9`s`aT(c-r;-0Zo(DeQpAap]qY0CDo(N+SmI09-o',r:TiLsTnGDtIm.U/B
+oD&.Ys8Vo`kkFfFrqI6%oBlSOq>'gcmf2;Hk5YJYr:]jYpOE~>
+s3gqss475&6Ik)Ei82lFim?)BWoMOahV?f7eCWF.f]1]<gtC$"e_0$9e()aqg<\[+LcjYEfAbZ:
+e(rj3g"Y<<iSiP;aOf"mrm_b4d)t.pf%JU3bMU(l_r9M-gt:3-dXV~>
+q>19hs7?*drsJ/ks)iJLs8)E`qu6Nss8Dfjqu6Wqqum&tp@J4]rrr/ss88=+rr3T%s8Vurs82ir
+q=XIUqZ$Tjr;Q^/rV,j\o_.tNp@S@]pAY'XqsaO^qg\~>
+rV-9a&bGtgo`"^_kP,!qE97)lnFQAQpal::p%A%TrquNbqY0OIpAP$in,N=VOD+@fpZ__VnbDkK
+q"XLNnacALs7?!aq\K#!mJ-/?nF5u:q=a@Sq<.J;p\+=TpOE~>
+s3gqss475&&_>mhg?.DRc._2U;TI_Idad"Lg+;%5f@S[1i83/@h:gB-guIMXf]M5IG>I&WhU(EG
+f\bQ<hV?`2e(!"'i7$<WfG<&bb1P%hd*g=hg"=^,fu_gig"=m*dXV~>
+q>32Hq"s[_rkY8ibuU\:s7--bs8W#lq>0m`qY0XWrql<eq#C3*Zd\"-p\V=Rqu?WpiLbe3nGiOd
+r;Q]tp@S.ZrtP5#qu6Qoo`+^]s7?9`s7u]^rVuHeqg\~>
+qtL-a>OqCYmJZglRbu+\T(;[Ar:9[\p$qVEnauGBmIBrCm/$8Po=(dDh!+1pWI=:1o(LY!H)p'#
+q"=CYrqc0RoD8F_oC;SOq#'U\oCN"MqsaXXqrmhTmIp8JpOE~>
+s3^kps3t?*f[\R-e)fMaK#=QCJ^rN"hppN=f[SI&eCW:#d+-n'd,<O<fq=S:`REDlP@rV.gu,ts
+A!PBuhV$W=i7uf-e(WX1d*C.mf\Y$:e^id.h:(?7h94O5ce-gudXV~>
+q"kd$s7lH@G$2\^QiI*[s8Vurs7l?fr;SnYq"Xjgs763g[=`RHTC2]oDZB.LS</AmfDkm;s82`o
+r:KXYmeZt]q>L?mq"k!']`%X!s760fmBuZfrVM*~>
+qtL*`>4hjcoZqJT];(J`r:'LVo_SCRnFunZq"t!`naZAQqWn1TXa=l(PiMACA,#$#ObJ%AbkUkm
+q"FIZp[@SEl1P#Mp%eO]oC_mg[eTF`qsF1RkHOIRp@e7TJ,~>
+s3^kps4%)">M7Wif\Er>4.h7Kgu$T8gXk9:eC3.0hqR#Fg==a.io&5Hgm2JN>(4`PT2":hXF"kp
+HFDhjbMLq*h:^3%f#cIre^E%%g"+g4S"/6ceD\d2gWbr5hq6N0dXV~>
+q>10jrr5p\QW%&BrSaZOk5XN=rquTjs8V]]iT0t;rUfpBVhTtsNG3mCs8TlPs8:*%LR"["H[::2
+W6Y5=pta6AkPP5Sqtp0gq5d4]WqZJerr)M/;O[Xaqg\~>
+qtL-a>PS'kq;RN2;q:TqTV(-Ah=LC6o(N%Wm-EB]pAajRo%0O`J!>XqGG+^/[:B4+_1[2nR>Gm$
+H]b)Fo`+O8ai`W;q=aRWoD8'U77<sAp[\+RmqPO\s7Z0\pOE~>
+s3^kps4%)">MIuliQQX-41X%XK7^u#^t.5le_/m8cd'5>g#Ul9fY*#PBRObj@#Eq+T2"P(X);Nk
+K6(4!@<[I,f&P;jWN*hbf$i-ue(r];.kHS2h:g`CeP\/Mk1S>8dXV~>
+q>47gs6fm;BNBWVs05"W_XRU&rVZTnrT2/mXHCQqes:8\Mmh+&]9;7Ts7j3eoDeOaYF=/Es7"jH
+O*>r4VnUNsh!XOmnbiFbrK0]ENr/VOo(7l0B"dg7qg\~>
+qtL-a>OhOOp<I&=GOP@-5)m2=r:K^UoCqn3_!InT_!TI/Bi]njbiZ9ih>-p8Z%_Q?n,92Kdf9=2
+eu4IHG)N**bJ)Njk2P_#q=XK=6pc_$o)%e?L-8qPmIp8JpOE~>
+s3^kps3t?*f[\m*hmlB=@+3nj+`O$shq-Q6f%S`kUX+a5UX?Dj:HWBWZHnt\_rK_+Qu(4/e`2[8
+\E;ku\r1E)=D`_\XeE8G`kopMgtU_,/1Y\pg>pc6DC.oGe(N=%dXV~>
+:%nG[q>C9mqt0pbrd^tpK`D%-<KdCSs8Vfms744V]VE%&^mf%kOO4%"r61Yjr;QQh^O5nTr;Q?S
+lgsuMq"sp/Jq8rGf[K'!\`r_brsn=g7tKgtr;Z>lEKsPho)8H9~>
+A+]Qkp\=X]o]l2=mr=b1FnYT^:Q55;rVl0XpZB**YaMfW\WgQOM95baou30Np%S(L\97K:p\F:?
+k4&-?p%J!nH[:I+dE17QYMJC5p&<s;5BboNo_7XIBo5XBlh:&HpOE~>
+A'WNNdFI",f?`@,g0TV>@,'=C05TFhi8`5?h9;RnQ@>.?STmV4D6;gFfrKA7g"k93S6=Lrg"Xoo
+`m<5feC`?J?=%Dd[B@E;QGq2)h<<%5-t(*Ih;QhD;KOh=dFm+#dXV~>
+@/Kfqp\F^bqu??hSt,=_U@eKPTX"Oip[@qXd)anFZdZ@_T#\\Ir;Zfds8V9^s8Mll^jZ+Vqu-9[
+o_A@\q==%6_qihF[%X_8mG.a<k4A=>UAk2es8MMYi0@=3s8;lnJ,~>
+A,H,ro^qkNo`"+PNJZLjOm;c)R]H8NmcEp:`4=$bVoc-;Qb^32p%eXPrV>COqY0UR\Tmi@pA4FM
+nbE%Yp?h+u][k?'WgBTciQ_,_g?@lfQh0q;r:B$5eVZu\s7Q*[pOE~>
+A(B)UdF?b#f]LTDH[="+J'ZffHAgJ&dE9u"WhQhXO04\%H_d7lg"k`6iSDH5hV6Z6S6FRqf%JNr
+cICLte'H7OT=V:cOa`:WbIHQ_`7!3cJ_f88k2"@2^N;<Yk1S>8dXV~>
+3r8XHqY^6hs7cQ*JH,XVci<t3s75H-irB&@jlG7FXfTG%hW(I,r;?H\rr;cnr;HKi_ghX]qtp6d
+rqufl+TM?3ak4k`e)8<)T[!GjmIc`XrVuopp%blFs)W;\p&+gdJ,~>
+A,>unp\4CTq<R[SEU`To^A7Qfrp8]lg&M*+g"=]kTq]3VfA)tep%@t@p\XLVp%J"M]R'AGpA"CV
+q>C0dpAajS_U6BAak"1TPeln:iTc;+o(;YFlL(Ooph4C4me-;JpOE~>
+A(K/Xf%8R.h:(5K?Jsm.XPVUNhTWoD]]A.h^VIC^M2._>]"`gFf\"g!g>:?7f\4s0T3U+#f%8L&
+f%AX*e)T*.V7!>&Y.^ZDI&l#5bLCW(gtpuCeC]kli_i_1eCiF&dXV~>
+s7]jtrVQ?brqG>XM!)0SeG9.4s7u\IM>llAih!6AZiACn\`q<;q=aR_s7u?]s8Din`.@pbqY9pb
+r;$*[p&+O`h:K3`beMBV\%&C*s-$p=qY'sfs0e^&h,/n"s8;lnJ,~>
+s7\JJqY'LNp[$C+H.Jcd`Ua&mrq$,8JFqjperl\fWVFWPZf8t'oC)5Gqss4Er:]dV]mTYLp%A(Y
+q'Pk/p%S"Vf$L_A_R78,X/qiOreOXpn*BoBrMu=adRJQKs7Q*[pOE~>
+s4'$[g"=g*h:B;'B#^'#ZI\!UhUC=eA(eoX]R#BYNn^S0PJsBWe'cY"gXXWuhqH`9TO-C(e^XTL
+-e6\ndFm"/\[7[&Vjs`qPEpsJk]/tmg"#6?kEUY^]J*mHjk857dXV~>
+-2IH;q=jX\rSq<_?t!Ygnc/%WoC`.ZCUWs:cB?5bk3g+Ng]-dBs#9cRqu6Wks8Din`.@pbqYC$c
+qXsLRp@@VNq#B.([%>[dV"X3UdRTMtq#C0iaaB\-E*U6Sr;?QkJ,~>
+A,,otp@@eHp=ND5;c-S(iqVd<mdL2HA?>.t`.kn4guuK5fDb.8s8Vcgp\Fj]qY'RT]mTYLp%J1U
+p\"1Op?h)DoD@(fXd$l?Rd/l/`]]1JmeH8I^N,QZAl?,+p%A%QpOE~>
+A(fVlf@AF*gqlB56:+1@ceQY$cHkJ"8!23[WG\K&_8r+a[,/p\hqul9eCiX,g=b-3TO-C(e^`:%
+eBuXjda-(re_[gGOa4%)J^V[%YU"2>e_es:VHJ7K9f\fqgY(0-dXV~>
+;YL%dp\b'komoWepA^P:qu>jTs8VEb_-GRT`mittn,Li4kPtPNp\jd[p%\O^r;HKi_ghX]qu$Bh
+q=XFTq>^9foDeI_inr"o^U=+AD2mWRrr3;]Rd0qGK2fYdq#1)?~>
+A+f`ooCr:^m<1V:l1'UTmf2;=s8;!Y\l-c/]ZAXFjo!Etj88]>oD.qKnau\Np\+4O]R'AGpA+OZ
+p@\+Qq>^*\meuPKgXX3J[Aj'&@tWM*q"sj9OPoftGtPO>nb2\NpOE~>
+A(TMjf%T3Dem^&?f]%3kgZ66$iS;E4SN!gkTs258b1s&H^t@8\d+6LicI(7lf@ed.T3U+#f%AX*
+e'ZRle_\m0d,<:,^UgA4S<;jq8nu2phr<P*GK8Le?nn5/e_&I&dXV~>
++nbg3p](9MXCZeVs8R(trU9dYs76'UoS&1snFYnGs8;3]rrVokp\t1'qtU3krqcN-IJ`m<r;6?d
+rV.K/s8)TlpAb*hr6jHBs--pFs8)0`qN9,(mf-rl](Q($qg\~>
+47W.AoDAL;Ug8*3o_;sHo'68Dr9a4Am=']Tk3Cctq"EnNs8Drfp[e:[r:fj]rqH$V\Tmi@pA+LX
+pAOb2o`"OVqsj^[p%?DU^%I7`d/W_#q=BKbs6'>h6F6+Sp@e7TJ,~>
+44`3Cf\tl*NC[F5ioa6YhTb$*gs+EncsgY9bL+7ch:0<tgXt3(da$Fqf@&!sgY192S6FRqf%AU(
+e,@c#e(rR)h:(E`fbpp&UtfrQ\)c/ah:HPGjNHLN-C<08f[eR#J,~>
+3qr[RpA3s@6rIa`_KfV+r;Q9ep%eXfr6o8_qu?$Wr;ZZeqt'^bq=t!`rVlQjoD\U_^O,hRr;$-_
+rqR`3o_AIWp\jmeqY:*^s75MUYQ*ths/CiqVWe&M=%$hYs8DhF~>
+A+TZqo(:n(4A'&=[r,9RnbMYNnFZbUoupd@nb(o/p&=^Up[@kRp%81Qq>0^Zn+ZGF\9@Q<p\+:Q
+pA+OYo_&7Oo(_hRoC;Y@s6/H7V>00Is.Y*\TAfd7:d&?=q"FFUpOE~>
+A(]euf@n8l,rJB?V-HH`h;$<1d+%".fW[`%f%eBsg"Xs!d`U"hd*L=geCDjpbhC\"Ron:mf@AC!
+e(*!td+%%!db<7.f%&U%jNkq&MVQ>/jG%8BK>lhq1a,D"gt:3-dXV~>
+&H;2!s6t/=92'a!UQ('/rqlWis8*)pY%l\jp](9joD/^hs8;`,I/j0CqYg3dqZ$F/qYC0cpO[5]
+p](9OY)SC-f(m")I!1\ErVM*~>
+&GkblrT\<)77;7XRtZ@ep@eFYs7Q`dVdn3UmIp>LoCrUcq=X?fGP_+-rV-9cqtL-a)tWY!nEkI0
+p$hqXgSp!aPL9$4FE__ame6AKpOE~>
+&Dtmpim:[l/M18RL2^nghq7kXs4@V*Mat8=eD8p0o?muqgtC8H=kqZ[f%0ZHrRV#$)qNQueC%Vm
+g=5$:]o-W>FgKYf<`r@>d+Hq!dXV~>
+&,5_orr'UK\&d"tp[dePnb`1_q[!5aIujX,s8)W`q?Qupp:,>DqY0sbrV69ds8*W+s6]i^DThkM
+qY^3`o_/+Qs8VrqqXX[bqg\~>
+&+f;cqY.P5Z,"N^n*B*8lhgGVp'CNPG_l.brU]dTp^$Wfo'`i(p@\"Tp\jmap]'q+n,MPLRUj8*
+o(DbMnaH#?n,NF\s7PdZp@e7TJ,~>
+&D5Ohhqap!Q`7=Tf[S41dFeBJs4@V6_d%$8f]:Z6o?muqg"+T9<7oaLf%0ZHrRV#$)q*chidXOs
+f$r7'e^MjneC!76e`#')j4Mr4dXV~>
+$2FMqqu$0frr;flrrM`frqQHgs8</VAubn)s82B`#QO_t]6XAQqu-Beq#1$sp\Op1?)%&ms8Dcj
+rr39#s6oIOp&4p_rVM*~>
+&G,_ip@n+Uq>'XYs82`ime?_UrV-?e#1R"TrU9[Xo(NCbp%#J3q"OL\p\FU_pD`\rrkMR(n,*(Z
+o_8:`qY'gPlgsWArU9IRp\01~>
+&D#Xgg"Os6gu$fCk2G=WdFeBJs4IA+#.R$Wj43)=o@+#rgtC5E<nc1)f(IPmef3,jiM/G`e)&p3
+eC<:/g=+ftbL"Veh9Xa)eC&j~>
+&,ZD#rUg-hrVcchq=+%Ks8D`kq?HKis-[$LrUB[_rWL&ds8MrpqYBpbqA8u"qIk<EoDe[aqtg*^
+p\=dcs8Vljs7cKhJ,~>
+&,,tlq!\.Vq"X^To]tu7s8D`kpBU']s,p:7p@[tM#5S#f\p=2Kr:g$^rV%9'n+0t2k3W'>p\4CR
+oCMVSp](9cpAaaXp@n<3~>
+&)#mjgX>!7g=tE3f$;[kiVV4+fHJSsjE<N!gt:3-f$r:#f$r:#f$r:#f%/U1g7;I(g"4g+p!iul
+)U[,(>0>4Me^W*tdEp7fhpgK>dF6mtf[eR#J,~>
+s8*8ss7ZKaqu6Wop&G'ep&"Oaq?ZWkn)8GMs7,sWp^$`kqu=Q`rqlKhqY0dbqZ$R1O^Q]:s7Q'[
+r;?Efrr;B]s8Vuho_SO`J,~>
+s7Qoirpg$Xq"t*fo)J[]o)&4^pE/c%lJ-<5s6TLTp\=LXp\=LXp\=LXp\4:Opq1qKp@J7Wp\=d_
+s8!Ul>Kuj;mdToFq=jX\s6B=VrV5sRp\+=TpOE~>
+s4@e-i7$Z4fA,6;dGis4dJMMpfHJT%c+d7qk0M]2f[e^+f[e^+f[e^+f\"d-gRha*f$i4$qpbYo
+rRCkus4S?.4g<SpdEp=mf$r4%grImtg==NpeC`@%dXV~>
+&-)@qs7lWbs7cHkmJm%\nb`+]q?Zuuo_ZR?`rGo,p^$`krVslgs8;]kqY0dbqA91X;5jHls7QEh
+p\4LZp$qhWp$V_Sp](3hJ,~>
+&,Phbrq$-Xs7H-dlMpVSmeceZpB^Kin+OG'^]!lspBU<`qnIOTp[nFYp\=d_)un&SU\=EYnGN(R
+o_/"Lme-VNlhL8Is7Z0\pOE~>
+&)>X]i76]0hp^66a55=uc26)lfEg0edb1BcV;p8"fEp-_hP+?3f@8C&qpbYorRCku)r[eLL"Y/9
+d+QssdF6RjbL51laOShghq$B.dXV~>
+&-)D&r:U*[s7lKko(;MQs82Tkq?[,fs7u&PI-US"p]^Nls8U#drr2lmp\=db([Zs0l2CYUs8;Zc
+q>UEnqtKs_qu?Zfnbr?8~>
+&,Yqmp[J+Kr:Tjbo(;MQs82TkpB^Z[s7GK?Fl`8fpBC9bq"qaMrqZNep\=d_)sW')jS8]BqY9dV
+p\b$gq=XOWq>^B`me6AKpOE~>
+&)5Obf?i3og!\F*bg=Sgh>>e'fE^9VjO_Y(>KZKh$/41kTNg1(g"+aOeG[hoe/QM=@)gpXdb<6u
+cI(4qf$hsndF6h#bfeSgeC&j~>
+'DhJ'q"=[YqZ$6]rVH<`nG;qVq#1%(rV-6dqqlXeqY9p^qY9p^qY9p^qY:'d#5e>2G51q3r;$Hh
+qYg3gqZ$F/[W'7ds7QBgp&"adp%%hRs7ZBho(W1^rVM*~>
+'D:qroC2bKp\j[RrV60\nFu_Pq#0pqq=F@Rp"=>Lp@n:TpA4Ljp@n:Sp%7pbEV&l#pAt'`rV6Bd
+s7RD:CVfuLo)&4Qq>C*\nFZPUo_SISp&Fj]p@n<3~>
+'A([ke'QjoeCr6pf@&*nbgt@tf)=5,gt(33gV6g9g\oh&f_jG&fEKrq;q9LOrmptrs3gqsrmhjK
+9r$V'dG!-se(3$nb0JJgcICCeceABL!S#PJ~>
+pA5-lqtg3dqtg3drVI]:oCr+WrlJlus6]U]mf3(ZqYU-dqYU0crVs?Xp&"deq\/i'qY0LZpAb*i
+gJP]^o_87UqYKXWJ,~>
+q"FRY"8;K_p\je-qsO%Jo_HF8`rG8ps6K^Xp\4CUp@e1PoCr3hI.6k,r:Ufup@n=Ns7,mXo?g1>
+p@7nUp\agWp]'sepOE~>
+!87>'rRUhps4@A*f_sJGhU0m+fA*8qXQI^Xil^-+eC<(%g"G-7g"k\R?dm]af_a53eC2XtdG*@,
+[P"'%d*pRme^F$<s4.5#dXV~>
+l2)"ioD8C\s5fr(h>dNDs6BX[qZQZks1F0]q[ieos8)Qfs+Q*Ws7Z6_o(W"Kqg\~>
+p\+OZq"><pme->Hrns;lfDY^6s5s7Rp\jgco`XgYrjIIQp(78grq5jOpN_&2qXaL\p\agWp]'se
+pOE~>
+s4RA'rRUnr!S5p"fc8bof\4s9_gc%,j5A/>_q3>df%/O-h;-]<jIBi]g&K_%ee$]XhUU3-hdKp"
+h9a[$cI:54e-"@SeC&j~>
+l2)"ip&4pcs8LknJ,8^5s7Q-^qZlups1!m_qtU!a&HD8"q=ss5<5\>-p\FRRp\O=TJ,~>
+p\+OZq"><pnG)kOrV>,\H1^Its7,^Tp\jgco`t-^qQbbJp@J+R&HD.po^V[m9"F<eo_JFYr:ojW
+s7ZKeJ,~>
+s4RA'rRUnr!7ptu+kkAugst<:]MDngcIq1%d+$Rrf%Ja4h:gWAQtG(*f%AXPee$]\gXOd.WA1!k
+i6g*(c-t,3e-"@SeC&j~>
+nb`.[&,uA's7Z<hqn$4OpAadbp%eIhs82SnJ,0$;q[iK$q>('YG)Ytks7cBco(MqJqg\~>
+p\+4Q&c)%oqXO7Wp9e&9nc/(Xnb;eVpAadiqXsEWHM$t,p(6ino^r"CCkCjHqXjX]p\XaVp]'se
+pOE~>
+s4RA'rRUkqq:QqGe_Am.fAG8N5G-Hccf*1!eCN:*g"Y?@gXqKkf@np1f_a52d+Qq"hTJi1bh_"#
+f$r!nddklif[eR#J,~>
+nb`.[&,uG'rqZ?erVWpRr:ogWs7uNss8)JkJGT3?q>1`os763iV/>2krqH*^qXjRZme_M~>
+p\+4Q&,Gnmq=O:Qq"Cb<p[dbCrqlEho`tBdnYU[+p\"@U&F]Ydqu**ugA(F5o(r:[qY9XUs7ZKe
+J,~>
+s4RA'rRUkqq:QhDf@ep0e_/^4O^d%pbgYG"f%AX.g"Y9?g=M9if\6>Wqpl>(iQp?=JkEc4g="<u
+e^2amo$dcof$r,u~>
+nb`.\&,c>%rVl]jqu?D5XS;YbrqZErr;-B$M?!MIq>1Qrs760JCV0WGp[n4Zq#U6dme_M~>
+p\+LYq=kKpp@e:Wp@\.Wno1Mtp[@qTpAadjp@S*aK_kH5q=Y?nrpBO8A@2@1o'uAJqtp3Zp]'se
+pOE~>
+s4RA'rRUkq!8./%+kbN#g=t93f\b4XMU^>*g"+a,f\+s4gYCN=QY5..eC`FMedgN^gV-4GiS)`,
+dFHarddbfhf[eR#J,~>
+nb`.\&,Q;&q#10fr:p;mB\*.^o_84ds14-gr:g$a&H;V'hNsT*r;??dr:g!_pA44SJ,~>
+p\+LYq=kKnq=aFTq"=CQr2*uOq"jITpAadhqQu"Rp[\.R&,Gtjf8u*ep\4:Rq=ja`p@7nWpAal;~>
+s4RA'rRUkqq:H5.g"+X)f[\[+hhae.g>(*Qf`0Y)gBZZ*C#.Lnf\$)P&)5df\oVrEg"Fj*f$i*u
+d.,Tff[eR#J,~>
+nb`.\%Jp,%oD/:Zr;6NaIu3jmqZm)trj7=Sr;?Bf&GQ,%[oW"unGW7as7Q-`p%n+RJ,~>
+p\+LYq=kElrV#[Op@S+Qs6P&bnFuV]p\+BbIeEI0q=Y?ip%P[dlhp)Dq#:9cp\XXRp]'sepOE~>
+s4RA'rRUkqq:H/,h:Bm$f$r=(jN_"BdeVPqfa6KihNVI$g=k33qpl;-f\2NEc/-XrfA#'-e()e7
+e-"@SeC&j~>
+iVP#&nGh6MSGW*]o_8@Wp]($_s8TEXs8Vcds8;WhqtU*hr8D@VqYgEmqYg0hqX+01~>
+p\+LYnb+@1li5O>QhL%Nn+-;Co)/+Lq>IFEqYK^PqtK[Up@J%Rp"El<p%\F`p\jmVp]'sepOE~>
+s4RA'rRUkqn^],Ic/H/pH.gd0da[%!eDAd.hrBo/h;-Q0h:L*,f$i7*ftKptf@\g.lI5pgf$r,u~>
+iVP)&qtTT`A]+Q>qZ$*crqHHkrq`L8p](-br;6?jrV?Edqi#gGqu??cqYg3hqX+01~>
+p\+LYnb+F,p@IOL@(u[/p&FCTq==FXq"15!o(r(Np\+:Vq"4:InUbf'pAORVp\jmUp]'sepOE~>
+s4RA'rRUkqn^])Af[\0)6D<Jff]:?5gXP'6hV*]`e_Sp.g"+^-f[SU&en8$af%eU9e-"@SeC&j~>
+iVOGfs7?-YE..NYo`+UarqQNmrV*%,o`"dfq@*?%r;-?k_c*Z5rr2Keq#C3Vqg\~>
+p\*qI(\R[np?cX>o(DJOnGE%Qqt^!VS8I`jp\sgoq"a[Wp%Q!gV=jZ]o)8@`p]'sWp]'sepOE~>
+s4RA'rRU;a.Fm2"f[*B!f\=j8e(rd-h;$i<Jl'nNg=Os,f\+m,f\E,PM:^G7cIC;@eGn+ie-"@S
+eC&j~>
+iVP#%q>9s^cYB]aoC;kTp]('cr;<[Fq>C$dq>C0cq>L6bF*d0PrV$'cq#C3Vqg\~>
+p\*qI-i*E.oCL+8WrMJQs75aZo_%qOVg.k.oD%tPp[e%Pp$?=1jSJ`Hq>L*gp]'sWp]'sepOE~>
+s4RA'rRU;a.G<5'e^gipOQP$<jODW6f%Ad5NEb#gf%S^,f@/7%f[3Jpa5#@re'c\CeGn+ie-"@S
+eC&j~>
+iVP5,nGi4Ns.aJfs60LVq#C3dqu3sUqtp-dq>U<arVuPeA^18Pq"OUYp\=O[qWn$/~>
+p\*qI0Dt29n`p.FB\3:Es7,^Xp%7qPY(-0=o(_kQp[@nUm[74qs7Z-[qt^'_q"OOVp@7nWpAal;~>
+s4RA'rRU;a0A4J(e'6s+:qu/4jO;T4e^rR4P[`>!e_8U-f?`+*d=FT^in2c0eC)ameC<(%f(%5l
+f[eR#J,~>
+iVP5*nGiF^qsSZcs7Z?hs7H?hqu!^Mq"spcq#C9ds815IVZ-PooD\=Tp\=O[qWn$/~>
+p\*qI/c"c2p[n1DDh\5\pA+RSqtKdWX*jO4p%S(Sp[\@Xb>"GrpAFO]o_J=Xq"OO^p@@tXpAal;~>
+s4RA'rRU;a0\4A$f@S^'=)I*Nf\>-)gY1E;O^H\mf\+g/f@&R-Xu1mdg>:0.c-aqedam"%f[fWC
+"5)2SdXV~>
+i;5/%qZ$T^s1WQts7cKlq#10fqm(hKqtp?erqlNki/WEPs7uWfs7,dTp\=U]qu#jYJ,~>
+p\*nH0D+r9qWImgD8lABq"s^Zq"46\IIm1+q"+=To`*[$G2)laq"Og[qYL$_p\4CSp@@tXpAal;~>
+s4RA'rRU;a0[eA!h;-6;TN/&NeCr[)f%\p5P$lkog"P!0f$rZjC1,$?f%SU,bL+_cdam"%f[fWC
+"5)2SdXV~>
+iVP;,rq6<as7H>TGPqL4q#Bp]q#@p^r;-3gq#(!bs27k"qZ$T`s82Zep\=O[qtp<Yqg\~>
+p\*qI0_tV8r:'RNr/G^ir9j1VmIg,I[=n;IoD8(QoCMjm9]#43s69LZqt^'_q"OLUp%ItNs7ZKe
+J,~>
+s4RA'rRU;a-e?qshUC<1jE4PZhpBp4c.LY*QtP.*f%nm0f%/]N0?)MtilTp)e,Ieqe-":Sf[fWC
+"5)2SdXV~>
+iVNZPq"sn(m<5!!nc&R\qY'WtO7`AIp]'mbs5dsgrqucmqtfRSJ,~>
+p\*nH!r2NarUq)kE0^Igp]'^Up%#_QnFuYGqsF%KgL$<?rq??c!;QHcs7Z!Ws7ZKeJ,~>
+s4RA'rRU;as475&s4RG,(sQ*.k0VrHdb34%So3$2g!np,g"O50I+\GLrmUqrqpbYsn^IZnf$r,u~>
+iqrcPrqQHg)#_R$iVWZNs82Tc^lnEir;Z3bs65u$o).AAJ,~>
+p\*eErUq*&_fFN'q=4:Tp\)@^o(_tWkPt;4NcO@WiqNKHs7_$~>
+s4RA'rRU;arRh/'s4\CHWER3pinE;Df[ld9e_Ag;c0!m%G$</Aim\(_f$r,u~>
+iqrcPrqQHg)#sSuN;`SKqtp3d`Kg9!r;ZNis0l4]s8:aNJ,~>
+p\*eErUq*,pl't#nacAIq"MUep%nF^nFQIV:WNM/iqNKHs7_$~>
+s4RA'rRU;arRh)%#NOZ]Cu3n#g]#n9Uib8Fg>pi=i0-+'jOW>?"5)2SdXV~>
+iqrcPrqQHg)#=3`GK'@Wq"jga`g?Q$qt^9bh/IiCp&*\DJ,~>
+p\*eErUq*"r6]MtnGVqOq"V^ipA+FQr9MgBErPCuiqNKHs7_$~>
+s4RA'rRU;arRh&$(ZMo*VV1+agY1DYG1k[(f](>j9NpT*f&G0]f[eR#J,~>
+iqrcPrqQHg)#""(`I-PBs7uNf`Kp>uqXX[dM.><9rqtXMJ,~>
+p\*_Cs7R<"rUIXFfDk^?p@c=bo_A+Fq#>qKdI6c%iqNKHs7_$~>
+s4RA'rRU;aqq1r%(t@KqV-CXsi7cl;Uib5Cf[&@6Aj3ZQf[f'3"5)2SdXV~>
+iqrcPrqQHg(]O=-qhgI1rqcHd_j'roqYgHH?,$@+s5!R&~>
+p\*_Cs7R<*p@Is0M"163p%?(\oCqqOrm=cRs5X(OiqNKHs7_$~>
+s4RA'rRU;a!7q)#s4J7Eg"G+oDVEq#f[up=f%Sd1ijCh8jN-91im\(_f$r,u~>
+iqrcPrqQHg(]O1,o[n#nnGE(X_NX`nr;Z#0QN-saq;(pu~>
+p\*nHrqQHd)#<asn'PaTl1O]?]T)IUp%dTjO8ntMo(M);s7ZKeJ,~>
+s4RA'rRU;arRUr"(u3Zqd^Mo>ceI1,U3"rBgYKkQF5kp/e^ia0"5)2SdXV~>
+iqrcPrqQHg(\Ib*mf/_tlM^VU_NOZnrq<7(mf)q[qVD%!~>
+p\*nHrqQHd([qCul2Qraj7i6<]SuCUp[=bakP+H?o\oQEpAal;~>
+s4RA'rRU;arRUr"(=M6sbiX1Lakb_)U2nlBh:%$HbM(D!i7%k]f$r,u~>
+iqrcPrqQHg(Amk+o`*lqLACTD`01#os4h%gs7uWih"uU~>
+p\*nHrqQHd(\[G"n,:s\J+E((]Sc=PpsiQMs7H*Zp>PcGpAal;~>
+s4RA'rRU5_rRUu#(=_EniP&?(f\#2[F55I*\NZ)7f%S[*iR@t^f$r,u~>
+iqrcPrqQHg(\dt.pAb*$D7KW?[>4e\p4\Fas7H?irS@@$~>
+p\*nHrqQHd(\7Ftnbi*cB!D=(XagBEms]rGrpTaZpu1uIpAal;~>
+s4RA'rRU5_rRV#$(Y%6peDT&G9UY+sQ>#L;eRE4,i6g<3f\t<^f[eR#J,~>
+iqrcPrqQHg(]"+&s8N&lIVf&Xa,BipRTmf3r:g-arS@@$~>
+p\*nHrqQHd(\I^pqY1!XG@C.0]S#hSP?,O"p[n:SqVh2KpAal;~>
+s4RA'rRU)[rmhkCd+mC8dp5W)f;NN@j*<Y\j4Vo6eCW[/"5)2SdXV~>
+iqrcPrqQHgs8Nf's7u<e`-ece_Kth5@[?TbqZ$6\h"uU~>
+p\*nHrqQHd(]+$qs75RW]lBk=[r:Te>ES=Np&FUQpu1uIpAal;~>
+s4RA'rRU)[s4/"Ah9P'3dH%',OPZa:eA4Fmd,*=0dE^;$e-"@SeC&j~>
+iqrcPrqQHgs8<].rVH0`r30Jb^3oX%G2iPmr;Z<`p>,Ur~>
+p\*qIrV6?cs7d?$q"*nFoqbL6ZZ5;RDr(?[q>]mZoATHDpAal;~>
+s4RA'rRU;as3gkqs475&("V*id+?s55Jj$ueQZ%hhpC$4bLY&!e-"@SeC&j~>
+iqrcPrqQHg(\[h-nGiOZs5&`^UjT"<Yke:jrV-!bn_O(m~>
+p\*qIrV6?c(\.:tlhUSHrR$.5QZ8HfWV$#VqXj@Yn_s6BpAal;~>
+s4RA'rRU;as3gkqs4/"6f\Og-j3HVtDdA*'KJehBgX=d&cem"+e-"@SeC&j~>
+iqrcPrqQHg(]!q+o`+s`rVu4_?<'dop%eF[rUT^_o\KCp~>
+p\*qIrV6?c(\ICqn,!(OpA!N7;+a6Dme$/GqXXC\o\oQEpAal;~>
+s4RA'rRU;arR1Vn(=h-dh;cl9jj,eL2D0R1f@JU-cI:UpiR@t^f$r,u~>
+iVNZPq"sn)s7Q-drUfpcnEQiA<FOqfs7lBbq=jUYqVM+"~>
+p\*qIrV6?c(]EjorV#XLq;pM&5##59qu$-[q>'dYq;M)JpAal;~>
+rn%8&f_j=deG[hoe/-rfeDJs+e_SQpKIA`D^u!u"eCW=$dad=+"5)2SdXV~>
+i;3NNoD8mho[%tcU\Xrdq"Xd]!;bRLJ,~>
+rq6Bep>u#Kq"a[]p'C6XbBHdUpAF[]pu1uIpAal;~>
+rmh,"f&kH_daA$ArRCess4@S+dB-P,J(<<Lf&>*\f[eR#J,~>
+dJF7>rVuB;nc/1Tq#0pgp%S=>qg\~>
+fD#19#OVBfmF(G&o)&1_q=rqCs7ZKeJ,~>
+ime"V!7CbnrRCes$/!hQfAF`SbMUVDf)F>%f&G0]f[eR#J,~>
+dJF7Fo)8OTp\sUUq#'jeq"ikEJ,~>
+fD#19#P7BZq<R\PmeQY:p]'sepOE~>
+ime"V!7CbnrRCes$/!hXbLY7ee(i1Gf)F>%f&G0]f[eR#J,~>
+dJF7Mqu$Khr;Z]iq#'jeq"ikEJ,~>
+fD#19#QOPnqt9dbr;$-Hp]'sepOE~>
+ime"V!7CbnrRCess4@S8eCE4$f\bE]f)F;%f&>*\f[eR#J,~>
+dJF.DpA+OXq>C0crq?HgqVM+"~>
+fD#19#P@QYo^VYNp%eCAp]'sepOE~>
+ime"V!7CbnrRCess4@S+dF?[ne_&CIf&>*\f[eR#J,~>
+dJF17p&>!krqcBfq#:!gq"ikEJ,~>
+fD#19#NkOOr;6<ao_J:@p]'sepOE~>
+ime"V!7CbnrRCess4@Rtd+d@3g"+XJf&>*\f[eR#J,~>
+dJF7MrqcKeo_/=]qYU$fqVM+"~>
+fD#19$2F8doCVMCs7c9bpu1uIpAal;~>
+ime"V!7CbnrRCess4@Y4g=Op-dF@1.f_a7Ye-"@SeC&j~>
+dJF1JbDBb?IC8\GqY^-Eqg\~>
+fD#19#PZ/g?!hi\nG`1[pu1uIpAal;~>
+ime"V!7CbnrRCess4@Y4W+J=^>EdIef_a7Ye-"@SeC&j~>
+g%u?ZrqQH`s7?9:?#AU$bBE^YrqcTgh>;^~>
+g%Q'RqXaLMrU0^,<bC+]`c:YErqHBdiV3BGs7_$~>
+ime"V!7Cbns3qY3f@/Bth9b2b4A<TJWDqL%f_sCYe-"@SeC&j~>
+g%uHZqtg?irr:A\=jus:s'DW#qtg0gp]10Hqg\~>
+g%Q0Rp\"FWq>\ZK;9S:qr)f]ep@n=\pu(oHpAal;~>
+ime"V!7Cbns3qY0eCE=)g#K8-3jd;di]`(Lf_sCYe-"@SeC&j~>
+g%uBWqYU<mp]$"@L&_2Ms%e.Aqtp6Gqg\~>
+g%Q*Op@e@Zo)4/,HN*^2s%%D.p=o?ApAal;~>
+ime"V!7Cbns3qY/e(37,dbeUdB'SC2jt9olf_sCYe-"@SeC&j~>
+f_Z0Yqu$B_ePor*q>^KK>)E7Ur;,7HJ,~>
+f_5mQp@n=KcqdZ_me-P,;hG#Bh"UjBs7_$~>
+ime"V!7CbnrmVP4f%8NuZ8+YOg>V8-3G@*uf`'IZe-"@SeC&j~>
+g%u?Ys8)Qepn^\ls6oseW`bhhrqlZjh>;^~>
+g%Q'Qs7Q$Vo:SWRpuM&AT2LpHrq>1Bs7ZKeJ,~>
+ime"V!7Cbns3q_4h::$)dt0)8k0i/JM)]h7f\"d2e-"@SeC&j~>
+g%uHZs7uKfs.<YCs8N&VF%OINr;6BiqVD%!~>
+g%Q0Rs7GsWqjLW(p[eC7BL0K-p%J+8p]'sepOE~>
+ime"V!7Cbns3q_2h:0s*gO)+djl,RB<%=g!f\"d2e-"@SeC&j~>
+g%uBWs8)ZmrPE0%o)J`];gA!5r7Cgr~>
+g%Q0Qqt9^Zpq:$^jnAM689""ip%J+8p]'sepOE~>
+ime"V!7Cbns3q_1f[\U,fUkNEe`>nC1g/>]f\"d2e-"@SeC&j~>
+g%uBWr;-Blo]KUjkkF(E?./WJr7Cgr~>
+*qo@%p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tq"GBmp\"=Xn)@JNh<`iq<Qk%-p&=Y.p\+@T
+p\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+@Tp\+OZJ,~>
++kG/oeCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eC)eAe2l43f\4Zi4[@-A`BQPkg=b-2f%/@%
+eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eCN.#eC;pod=;~>
+g%u<Yq"FR`qX3?^@U`JlVs"*5qu6Knqg\~>
+g%GsOoC;MLp$(:H>?b'RU>l4,pAajgq"OQ6~>
+*n]&rf%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+psou0e^N.)f?:p'5<h)6KuN-NfI#2%f%AR+
+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+f%AR+eBc=_c[Y~>
+g%u<Xq=jacs7u9[`20Bns8VZCqZHcqr;;'~>
+g%GsNo^_\OqXj4G^S%=Zr;Z0<p&t-bp\=K5~>
+g"$\ceC)n$g=4EqT7DO/gu6N3ecaFEaihqZ~>
+g%tpMqY9marVm)sp@%nSs8(FGrVV0~>
+g%Q$Pp@S%Qqu$?io^_>Bp&"I8pB(-apOE~>
+g!gP_e'ZUof\+p2dEfn`db*%&e-+1DbK\@`~>
+g&(gI%K#trq>:-`q#C?mq"aa=qu6Knqg\~>
+g%YOA%JTPfp%S:Po_\L]o_%n-pOE~>
+g!]oL%FWVLd*gFfcdpXscd:%mdKItDc-asi~>
+g%l6Tqu$<bp%J1[r:g'brqQ0>qYg;A~>
+g%Z*Pq>0mZoCVbSqXsXZr:]a8q#:!fp4*~>
+g!UDYe'uglc-F\eeBcRlf$M[pdf7\qeCK-~>
+g%l6Rq>C0fqYBs\s8Do^n+-M3qYp?lqLA~>
+g%Q$LpA+OZp\+=Pr;-9Rm-jo*p\sl:~>
+g!gP[e(3+#eC2mng"4ipairJke,n4Rfmj~>
+g%bUA%J]bpqYBpdrU9XWs8)QEq#:*ipj`~>
+g%YO?%JTYmq=s^`r9jFSs7uHCp\jf9~>
+g"HDX%GBIhgY1?=hU('0jP/D?f`Bj`J,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat8.ps b/books/ps/quat8.ps
new file mode 100755
index 0000000..09a4f1f
--- /dev/null
+++ b/books/ps/quat8.ps
@@ -0,0 +1,1142 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait8.ps
+%%CreationDate: Tue Dec 26 13:18:54 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 162 159
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 144.750000 translate
+147.750000 -144.750000 scale
+% Image geometry
+197 193 8
+% Transformation matrix
+[ 197 0 0 193 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 197 string def
+/gstr 197 string def
+/bstr 197 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        62745 ASCII Bytes
+colorimage
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Jc!.X!;_3~>
+JbQkP!;M'~>
+J^hHarmH;~>
+Z2=Osp\XsdSbiE`J,~>
+WqZJcR.gUUJ,~>
+Wmq!uRah>bJ,~>
+nbp?%&c2/!qsO7ZqY1$_rpTj\q=ONTqZ-JC~>
+nbL#q&+okulh(5LnGM_MlML>OoUY^Vpj`~>
+n^bP+&'ihXaO/tre)/R-b1bCrd%AhedXV~>
+nbp?%&c2Cpq#BRKs8)Zfs8Dugq"FQUqZ-JC~>
+nbL&r&GZ.oq#BCAs7>pQs7lN_qY$KS!;M'~>
+n^bS,&CT+Pdbhsej4;o5j4`87e^C)>rmH;~>
+nbp?%&c2/"kPtSWo(i+Qs8DlerV-/[qZ-JC~>
+nbL&r&,>eskPkAMlgjW5qY9mXs.&f`pj`~>
+n^bS,&CSkZ_;!_ncIURngtLE.g=)\DrmH;~>
+nbg9$&c2"slh(5Wm/R+`o_/1[s7#lVqZ-JC~>
+nbBrp&+KV_nc&RMs8DWXnbDq[n=B:Rpj`~>
+n^YJ*&'E_IcJIU'jPee=e(<7.bb*DadXV~>
+nbg9$s8!)ks8V9^s8;EeqtpBj!UolVqZ-JC~>
+nbBrp&,PbprSmkQo&p&FpA+O^n"'1Qpj`~>
+n^YG)$-D&Z`8f_+biICSfDs$ceGdmH~>
+ZMP40r9jUaqtnp8V#C>nrV-*bSbiE`J,~>
+Z1ee)mf3+ToZNJfoD&.Vo_A?TpAju=~>
+Z.'<8b21h'f<BOMf\>36dF-U<eGdmH~>
+ZMP40p\jXQs1Y:2CA.Q$rV,p`SbiE`J,~>
+Z1ee$rU0(J\!g'"m.BoEo^i*RpAju=~>
+Z.'<3gWe("Rt3FedFZt%dEUL>eGdmH~>
+Z25(2q"=U(CV4:ss8Vclr9sTTqZ-JC~>
+Z1ee+p$haiA?oKNrV,dXq!IsLpAju=~>
+Z.'<<f$`<H8sr(>inVl7e]644eGdmH~>
+Z24k$qt]PlQiD;\pAY'nk5Y.GqZ-JC~>
+ZM+q(oCqn=@Z9qqFR8u+r8RbKSbE-ZJ,~>
+ZIBH:eCrNt89Wij>g_QggqVOfT@EkgJ,~>
+Z25(-p@NiXo_;mPrqZHgq>^;^qZ-JC~>
+ZM4Cm%eB%4C[(1dIIcjtp%A@[SbE-ZJ,~>
+ZIBH:f@AAW<R]MaA_>M]e^E:%T@EkgJ,~>
+Z25(3o>Y@2rVpM]rV$'brql5VqZ-JC~>
+ZM+q(s6[O+ORi?SFn+hfpA4ONSbE-ZJ,~>
+ZIBH:jO:"rI,=-W?.[KOf%8?kT@EkgJ,~>
+Z24gorHD9$nA8FprVlrqq>Hl]!;_3~>
+ZM+q(kkB!ifB'D9M#$uCs7H![SbE-ZJ,~>
+ZIBH:bM?8Y_pP2@EoH$1iR#s#T@EkgJ,~>
+Z25(3q1)"@N/;#JrVuEfme?aPqZ-JC~>
+ZM+q(qX\qs;1EmjU%.j?roitQSbE-ZJ,~>
+ZIBH:i7h`l5Ak+!N7m".hSd^lT@EkgJ,~>
+Z25'uqHfrhs20)npAF[br;-)WqZ-JC~>
+ZM+q(k4D]DkPMW#XQT*@qtBaRSbE-ZJ,~>
+ZIBH:bhPL=f'8r0QdF=0g="?kT@EkgJ,~>
+Z24h,h.Qcfo[$XTrr3&\s8SVd!;_3~>
+ZM+n's4:WUrTCsdZM=:qg].5BpAju=~>
+ZIBH:k.saUm+/BtS`/Ma]%tucT@EkgJ,~>
+_#$h%qtg3dqtg3dqtg3dqtor^K)"p9Z"CBCo]D(jn,N:]qtg3dqtg3dqtg3dqtg3dqtg3dqtg3d
+qtg3dqtg3dqtg3dqtg3dqtg3dpA4mequ$<HqZ-JC~>
+[J(@.p\+=ITR-+jnYB<dr92sjg["appB(-aq"OL_p<<72pj`~>
+[F>oAeCN:%NG%(ti0-WnjNbJL\&R"IimdnSq:,GqcIDjAJ,~>
+_>@X:q"jd^q"jdcn,;bQs6]T[CngJ"c>6m"T`;!'bkh>:r;#jSqY^!\qu?Wjo_A7Wp\Xd_p\=LT
+o_J@^qYKp^q"jd^q"jd^q>0j`rr2`no(r7Ts8W#sp\O^Wp](0fhYR<LJ,~>
+_>!p'5POsIq#9aYnG*%KoV#c_kl8P/<Eb^eU0u"5qYL-anFHGPo_/1^rV,sXq=aRYq=s^Xp[[tN
+qYU-apA"IYq>L()p\FRXq>L3as6fUTn,*.]s7c<aoCr:_h=gpEJ,~>
+_:8G3rR<d^c.UCqiQKi5;M`rkYt[MPIH#rGUsdfCf$VXaeC;dje_/R%cHt%edF6RmdEp:bcI(.l
+eC)_AdJhQ1eCE.#f\YE6hT=0nb1>:rg!S6sc-b4qhphYRJ,~>
+_YaB0q=l</p]'mSs.jFBc2Z"+DrL]is/'Jts7u?^qu6Ngp@e+Mp%A%RqY^0a#QOf%qYBmZpA+J#
+p\Xj]o_/(Tnc/Xgs8MH\rUp!bq"FO[qVM)LqLA~>
+_>!a"-M7$3oBuXOA6m.Q`+N`9p[IsM@HdR\o(W%\r:p!ZoCV_KpA"L^q=k3prr)]hp\+=Xq>^4+
+p\Xj]oC_kNmJ[(]s8)$Rqt9d`q"Xa_h=gpEJ,~>
+_:8G3rR<4Gdb!O/cesLS9XX8m;GtBff%bjFaP,(gdFHn#da6@ccHjh`daZkDdL"UZf@89sd*U1d
+rR(Yn(":dfeC<(%f#l_%fAG-!cdg@jf@&(&eGdmH~>
+_YaB0qY2--p@eOZmJjV1T_A<MqY:*jpu\Vkrr;ulp\Fa_pA=jh(&I_%qtp3dqY9m`r;HQep@n=V
+qYU3dp_`]$rV,mTp\OgfqXXLZrVu`fq>L6cpA"L@qZ-JC~>
+_>!d#3ViCAs7G[XZ=TEjo]5T4r;#m?Ugj)oq=O=Qq=aFTs8W#kp%S7VpA"CTpA"I[q=F4Mo_%tR
+qY9m`p]^?frV,mTrq?p&o^)5Dq#C'Zp\k$ap\<S=!;M'~>
+_:8M5rRCku3S2d3iml<6Pu!+hiR-K9jkn\-LIKqPg!S3rf$i!rhVHl7daZgte()sre(*%$f$Mdk
+dF-OpeC)bCdf7f5dF[.'d*gIqfAG*%eC3(-e'QLof$VglhphYRJ,~>
+_>=6/qY3&JpAXLZo)JahrVufks8VKcs8K`Up&+jgrVQ9ZpA+OVo^hbMqYU3js8Dlnqt^!brVlfo
+qY9d\qY1m!q>:!^q=s^`pA=mir;Z<er:g!bq"FXAqZ-JC~>
+_>!d#3;iLKmJZSTqtTjao^VtUjnJfL[r:^-q"X^\o'l8Ep@7\Bo(;\Oq>L6fq>'gZo_SF]qt^!Z
+oCr+V(\IP#q=j^[o_7hEs7l9bm/$MKpA=XWqVClGpj`~>
+_:8M5rRCku45/3@cJI".hVd>Yhq[GRcJ@X;Ro@_fgXt-0cd0tge'QCdcdUCqf%es3f%AO'dFm.*
+f\"^'d+$Lndf%Z3d+-h$e^`7"gXFa6gXtE-g==Qse^D^khphYRJ,~>
+_>F')s8*l;o`+ILrr;<XrqQ3as6]X^^RkK*o_&1]p\k-lpAP!j#6">kq""+QrqZ]nr:p9c"8M]h
+qt^()q"ad_rVlNWs8DB`rpTa\s8W&ir;66eh>73KJ,~>
+\bH.!.0&i:mHXQDj6lX1n+?YBo(]_]q#BaNq"XFTs8VWarVulloCDM?nFQYP!quB[rpg0_o_/(U
+pD<Mrp\4O^oB5r?ipl[&nalYXp[ItRoD.5:!;M'~>
+]@?l3s4KHkdc&Qth;QT2hq?Q6k02K7SpfDVdF-\$db<[>dG!F9hV-H.e'HCke^r@(f@A=!dack"
+f@JI&eCOWK(Xgd^eCW9ua5GgugY9s'f%]*4c-t.de)/[SdXV~>
+_>F')./<f3s82]noCW"]r;$BmlMpbTX.nYSr;ZQK^Tjr7N/*UkX0B"F`;T]8!W;fmrrrAtqYU9l
+q>(p)qY0d_r:&]]Bgld+PcN!fs8VilrqHBIqZ-JC~>
+\bA&UqsOFWp]'[KpAO[Ts8:pWo^ATFh#$dCo@^^VWLJZpNh*&JYdhICr;QWgp%n^eqtTjWpA+U]
+pD<W!o_/.XmbM8U3*hQ$Tu#I\rpfaZoD.5:!;M'~>
+]@?i22VcX8g=kW8e(j!<f]M28k1\@CJ\pC#i75H0Nf/="A8m$SNKTa(g>:cEg"5$<hqd#<f@\j6
+rn.2#(t@*cdEpCmaLt8?-VA`,Lo.l@gs=I"c-tS"rmH;~>
+\bcj3s6]j]s6]jdr;-?[m/I#.nc.IbZC6SqD.@-lCi=EGJUr2iCM.3`B6/EQQ*%mfn+cn^!W)Kb
+qZ$F-q=ja_o]s2:A$O.TR9Z3As7uZoq#9+H!;_3~>
+^\@X!2tZt1qXaUJr;H<[p#tN5s8)$Zf=e2IJTGF.?=RP[D0^GRF_kSr?<(BLFFB1H]&W#Eq"jdW
+nG`.Zp]("'p\"=Wo&d/k;l%'rNDbkmr:B^[oD.5:!;M'~>
+^XW55s4B9]grnO)hTOg8g"4p$akc%9d,Vg:PC$qD8jG^58PDue?=$c2845d)6r6uoEf-I/bgkM*
+gt1$Sg&K_(f)O88dEg7hbJp/[7[0s1G<'f[h9ja'c-tS"rmH;~>
+\beA\s8MfknV-i:q"k$jqZ$<4N-ArGA7BYdYK-56p\"Rbr;6BirquW=agRCO>?tiKHDT!WrVuin
+qYD$(qtp0brr;rs@;5T:s8QG/_uKZ6s7u]NqZ-JC~>
+^\@X!3:cqAoCqU%p%7eGrqZ0]nABs!@9d&@D6'VNli$>@rV#pVo_/%Po>nePN+c0k?WhHAalrHn
+p@\CXrq@6&q"XRXr;HEb:g!#Po(#^T](YajqXjX?pAju=~>
+^XW55s4B?]gt^K7cXYVZeCW^9fA4rUCK<qo771"7N24eYeC*=0g"=s2gY(2[VNYsm3''Di=+[Qu
+g>(E:g]#n+fDsM%eJ$<Xe^iC87S_dtiSQdVS_)<>f$<.%rmH;~>
+nb`=^s82fniVWZO-2[W;qu-Qpo`"mjq>^KnlegOO]RT_Vs75sBR;lkJAU9r\d,k)mr%@mCr;Z]V
+bb'Ar@VUJ#jno)Tmd^>Wr9XC^rqQ?\rk(jks8)9(A89`rqYU6kqVD#KqLA~>
+nb<%Vs7cNfiV3BG-273/p\FdcmeH\Vo)&4UjOi&3[<V6Aq!7J&P%nB.??;I@aklUXoe,n.p%n@<
+`L(mV>@Vu\hY$a<l0S<IpZMAPqXjLLpoc]6p[.%N=CBGLnb)YQp"f?Bpj`~>
+n^RQes4%%uiRInV-.LJpeCN@/cIgn.e_]'7aLo*oRpOY)gWn<\F\Y=g6<S`+YJf)_fe1q/g"tE!
+WI.r;5=]%A_V=#'bg5,(f>lJ"e^)XafUjgGlJ9pb6:\<6d*^=lcem7OdXV~>
+nb`=^s82fniVNZTqu6Eoq"FCYrr3r(o_@PI\(@qFOJW!7_sOm/B9AY]pA"[fr;HZcr%IsFqtg<l
+rUfOXs4WT?<b6Hls8Vumq<n:UlLt8Xp\KYTQAq/]9l\hcr;?Tgo_dPB!;_3~>
+nb<%Vs7cNfiV*BLp\sk1o^_PGq>^<QmIB'-YgBH*M4XLp]]QCh@#C0An+$5Mp%JCToe5t1o^hhS
+p?h&@s3lj*:L8"Rrr;]bo]cDFjmrBKoCI9+Kn"o$5\A=9oCi4Rme5K2!;M'~>
+n^RQes4%%uiR@n[eGdo@dEg+hg#:Z+d+#ndPdHLfDhQu[T?36I6Z.,%e(*:4g"bTWfe;"2f[nm8
+g<n+%j0rnd1I>-;jQ>.Jf$!%!`R!8jcIQ]#HZF@A/Prk/f%/^%b0o1srmH;~>
+nb`=^s82fni;4Mjq>1'hr:p9]qY^Bnl^@ULlGER[Q]Z,s_"?s`rr33!q>L6bp%n4U0DtkKq"FO_
+s8W#fo)J[7RVc/8Rb%*.s7?!bqsa@YjB,^dos]iXMZ<_Iq#C$Zs5!PPqLA~>
+nb<%Vs7cNfi:eSlp%J4Xq"4@Fnal\YiK*K$i4/f=N/)"P\aAJDr;?B^o(MbFmdouB0DG><oC;JK
+qtp-TmJH\$Q"X*$Q-o$or9j.Up?V>Gh+^]6kc0/(J,932o)J7Lqq^uHpj`~>
+n^RQes4%%ui7'+&daQe!e^<$meCNO;`cTaba.ML.G&Bo>S^GO)i8EDAe_/X(dams@0A5.7e^N+(
+h;-c1ce[<VG=shYGdPlOhU'^.f#uFk^cOmBfU6P4C#S*tdbW3nf\b3XdXV~>
+nb`=^s82fniVOhpqtp3crVlcqrVuH1aOeA]c0MR6=DDl_pOulPs76-grr2iqnbXs8rr;ojp%J.P
+s8VrfqtosUb(Nc3[d<ehmI^GYo^TdqWrM8Qj]#+/qtg!_q>]7I!;_3~>
+nb<%Vs7cNfiV+_mp\4@Sq>0jco_dsh^Wj@6_r7Gc:1%Y8n:"C8rp0:Tp\4U`q>1*\p+H%6qtK[N
+nac/Ks7PjSp?h:eIo'g`kO\`;n,*%Om(5`ZrS6Si8P7A%oC2JIr7q#Hpj`~>
+n^RQes4%%uiRDJfeC;pqf%8I4fAFfIU9^DrW5spR2+^Z.e7(Grim6?8g=k?>g"P<6f%AR+f%AR+
+f%AR+f%AR*g"k90d*pFjhrE87f%A<qVd_GTPf_J9b0eu#dE\@>NU4g:`%s*Sf@J="e(NU-rmH;~>
+nb`=^s82fniVP&!s8VldpA+OVrp]rg\@C\ln[`U;?_@5gm@JLblMp\[rVZTjp\+@Yo(rC](]+.2
+rqu]jp@@eLrVZHjr:em):gojXo`"k'r:Q^K[djCsdS!9Yr;Z]gpAad@qZ-JC~>
+nb<%Vs7cNfiV+Jfqtp$To(DV?oB$"EXK:.<jfW&`;j6_<k*L#Fj8\]Grq6HenaQ)=p]'n<p\Xmc
+q>'dVn*frGq=FOXnC!(`>*S%6s8)`fm[6)<k5=qr6q>>ms7u9[rpeh=!;M'~>
+n^RQes4%%uiRDMgf\"TrcdL4df?*',P*3W+c'CsW4al&8b^EL3alM%.g"+['cd'kdeCN.#eCN.#
+eCN.#eCN.!dam(*f\"d+d*Bkbf@\R-f$h$A/3S3sdH'-Cg!Y?oRF('QYpq6(g#L`5eD8L/eGdmH~>
+nb`=^s82fniVO_irVucjrVl]on;H+dmDf%%Jo6\6jHY7ts7'Eqs8DZjqZQlsrr<#gqCqsFp%eOa
+rr<#rrr<#lp&+X]p%eX^XBfP3g[FgW]51L7s8:&d9qV(WqY^'UqY'dBqZ-JC~>
+nb<%Vs7cNfiV+bjq>C![q>0dajabd7iO\KJG%--[fSO^EputkTs7YpRp%A(Sq"ag^o(Og8p@@qQ
+qYU3hq>:3joCD_LoC);Nn>0/pQdk6e_R*lLk4nVfF\%tiqtL!]n+ub6pAju=~>
+n^RQes4%%uiRB:$f%JR$f%8C2a^hhsa.Ut9?:o%R_K0%BiR0lGk1\;9e^N("eCE-uo$f;Fe'HLo
+f@\d1f%Ag4d*L:me'HM'dtg"RHaq;JW1$@9bhh$Q==\gIgt:E3c.Ln&rmH;~>
+nb`=^s82fniVO\gqu-Els7kijd$iY%qRXO^K\YVL^7;URlh$Bis7?3h"o\>pq=a[UpauL?o_/"N
+o_81Nm.0uJq#(*dqu?BUnGe,IAu=1>OarM2aH^P:s6fp\mJH_HrqbLK!;_3~>
+nb<%Vs7cNfiV+_hp\FR\rq,6T_Ml[Bm&RI#Fj8FeYDoNrj6V\Jq<\.WqYBmYp%7hFpb2XAo_/"N
+o_81Nm.0uJq"jgXp%e+=l2#d/?_>]!M0Oom_iSK&rTjLVm/$MFqtf.C!;M'~>
+n^RQes4%%uiRB7"eCN.%gX3j%VfAr,dZg7n?F[bdRWt$scI[/DhpCH>g=Og$cd'c)dP'8$cHsq`
+cI(+``luo\daZjqe(;scbhZYg7>80fEa`gZVK,7Zhot$0c.gpsgXtE5rmH;~>
+nb`=^s82fnl21DTrqgC-rquQfpYNiT`QGpOgSf@tT]EhWZG>Jqs73j5o(`7[qYU-drVlclq"jd^
+q"jd^q"jd^q"jd[oD/@bp@nF^rVlWfp%eFYs8Vojs8Vopl'bS!Sc&?VqY]g^m/HtWp@\I^nbr+V
+hYR<LJ,~>
+nb<%Vs7cNfiV+_qqY'LPn^tI4\%Jrlc'`C<Ph<:'VR4tFs6R-ulgac?o_%kMq>:!Xpb2=3p\k'a
+p%nRar;$'Zp\4=Xrq5s`rUfsIP>-.^naGl:p#uG=q>0^Uo`+aXrq,%@!;M'~>
+n^RQes4%%ul.#[_rR<4Gf@80sdC>]cS=u4VZ[u/1I))1sNh4)@kgZ1jdFI%%eC2dke'c_8dLFOI
+dF[!scd^Lsf$i!lrm;e@gX=O)h:16"G;ENRh:pE1furHugY:6/e`#6/hU:<2rmH;~>
+q>C'crqcZlrqu'Y!rD`frqRi:r;?Qks8Vnpad)A-n[<aMWqk\OQ`Ze7\uY>pr:YJrs8MrorqlWi
+)uKL/qYU-dqYU-dqYU-equ$<fq>0paqYU-dqYg<kqZ$?jpD<H$qqR?1IFS;lr;Zchr;$6cq"OFO
+pAP!fs8)cm!;tsU!;_3~>
+q=sd[rq?BdrqPaPrV-BgrV.N.pA"'I]8,CJj/?inT't:#NMDZdYb^UVq!`H^qY0[UrqHBdo(W.Y
+s7cNdp\4X]s7mc.s7Xuu6>a[:mdgALme-5Gp@\1Po(N%Wp\4CTp\4IEpAju=~>
+q:5;jrmUnsrmg;`1"P(6g=b*.e^N$se_/B(Tl%l7ac9=[K[d\cEeo"OQ\`r<h:>_Di7lr;eC)al
+cdC23eGe"ueGdqkeG[f=dF-A"fXYuT?*rYBg#Li8g"4m.eCE!meCiC%eC2mreCEa3rmH;~>
+q>C'crqcZlrqu'Y0`(S<q"X[\r;?Qhq>^JT_mK?p^N+P*ld)&ug9e`Qo)J7Vqt?Y&n,*%\qtp6d
+q"XCVrqufnrqcBd-2RE2p\"4ZfD"n2LJME]s8V]fs7$'^q>'pfs8DNdqtp6dqtp<QqZ-JC~>
+q=sd[rq?BdrqPaP"o.ogq=sdbpa5S"s7CfHV=)O3A8A.&`K?_?Xh30MqsO:SnsXFZo_%nNp\=OZ
+q=44Yq#C*fp@n=]q#C.5qtg?Eo^(pj5?"3Ip?1u@l2'rBpA"[frUTaXp\+=Tp\<kE!;M'~>
+q:5;jrmUnsrmg;`!7q/)/_\n0e^N$pd,WhnSrhI,QV(,8`i=36[um;oceZq$g=:UJcJ$t(f$r-q
+cdC23eGe"ueGdqkeGmtsd36i`g9]8Ten6X'N8NL<f\as1e(3($gu$f1e^W*te'umtkLBLZJ,~>
+q>C'crqcZlrqu'Y!W)Wkq#C0ir#YV4s6BWKb-0`C;Rl,/[)1\Gest=Vq>^0eqYJNFbl7P?qu?Nm
+q!n7\r;ZZnqY0jfqY:$`+9(d(s2\6/WFg?pXe**'nG<.]pA"[do_eU`qYL*dr8meUqLA~>
+q=sd[rq?BdrqPaPs7lQgs7dZ*s8V!SKtF#+Ak/u_[&^af`m9prj7N6?rV-'/>/gL6"nq]cq"aaU
+p\ssfp\sm\p]($eq&fY+o_cEpM4%L^AtbHms694Pq"+1WrUfmZp\+=Tp\<kE!;M'~>
+q:5;jrmUnsrmg;`1"P(6g=b*0e^`"'iPXYmVMhrV/!7i=Nh!VYZ?W[pf%nj1f\!;hX4u=[f$r-q
+cdC23eGe"ueGdqkeGmtqd3%&ce)7&\H&5!j:5O=`j3?31f@&+$g!J:!eC2mreCEa3rmH;~>
+q>C'crqcZlrqu'Y!W)Wkpac1;r;?T\s8TL0cZ<<APbb2#hrq8Qe+<V>o(DqVqYfi#U&Y&gqtp6d
+q"XCVrqufnrqcBds7u`jrq@N*rpfT%Er#E[>%2QCgA0t%p\XdYoD&@`qtp6dqtp<QqZ-JC~>
+q=sd[rq?BdrqPaP!;QNgrqIl@jnnnOT>4u5G);WV_:IM@Y0?84s6]CQq=jaMC7>%mp%J.Tq"aaU
+p\ssfp\sm\p]($eq&f8.md=q)m-/Xf<b[`Do&8p*q"F7Iq#1!^p\+=Tp\<kE!;M'~>
+q:5;jrmUnsrmg;`"4l/Zg&BV'eKj"jhVaHPX\UfXD1-o1\\a2cYKu7hcdUOuf\=VEJDo26f[S@K
+d/_VceGe"ueGdqkeGmtqd3$Wec-]Heg"'Li5#?O6f#>n`f@A0keCrI&eC2mreCEa3rmH;~>
+q>C'crqcZlrqu'Y!;cZis82io-g:U-s'<0jARf2Hk.6hCs8V``s5*MCs8VWds7`1:qu$Bhqtg0a
+q!n7\r;ZZnqY0meqYg12nauLK@FbDV^K.[NDWU6Pm-XTJs7lBhr;6BfqYU0fjnf&SJ,~>
+q=sd[rq?BdrqPaP"8V`fq>L(9irATL;6>(D='(mGZ&FY:rU'"Pg%+Y2rUK[]nsapsp%A%Qq"X[\
+nb<%Xs7cNdp\4R[+7]!oSQa2,n?Yff=_-CNk3(t"s8Vcbs7l?_p@e7TpuV5Mpj`~>
+q:5;jrmUnsrmg8_!S?$(fDa;G_Vs&+3L=;E4Ze/.P](Kpi6]j2]@>9cgs=[1eUCfVg"=s,df.Vo
+ddkoeec4.ue+_AhdN?`\d==KhhqahZO?cCSai_`Je)9-5eDAa*eC2mreCEa3rmH;~>
+q>C'crqcZlrqu!WrqZTks848Eq=jo3CL4.&Y*4F3s8V`koDej\s8VNcmf!.ZeTT[Er;6BfqY9jU
+qu6Nnqu6Hdqu?Njp`BIS=I/UWrr6lOb("oos8Vrgqu?TjrquZjqYL*dr8meUqLA~>
+q=sd[rq?BdrqPaP!;QQhrV.Z<o'Q6e?VdBHUPO)^s7bjZm.gMFs8VE`meZhOcu7D+p%J+RrqQ$X
+rqQNfrq?*\qY2-3^f-<]nalKc[_R-4deNk8nFleUp\Xa[p\+=Tp\<kE!;M'~>
+q:5;jrmUnsrmg8_!7h)#rRE1Oe^EAS8N_pDLMU.Bj4_f=ceI@&j5\;:bhLq'ZW"?dg"=m*rmL>d
+rmh%urmUVkqpHS9iM&2Ne(`^89:_tc>diGJf?i+'f[ed,eC;sreC<%3eGdmH~>
+q>C'crqcZlrqtgRs848Eq>[9ZDVCRnK$j8MnaQ;?p&G'ho`+LXo`"[^oRWh9r;6BfqY9jUqu6Nn
+qu6Hdqtp43r9J9Mo)JaTprKiBm;I$HoDJOXo(r@^r;6BfqYU0fjnf&SJ,~>
+q=sd[rq?BdrqPaPqtU3c,l.$2RlP!'O'HtOm+COen`TB@qtBLYn+lVQp@Rg"Sb;[Lp@nR]nb<%X
+s7cNdnb4.$k\>D1s81jH_6*b"BPXI2p%RnAp%e:Up\4CTp\4IEpAju=~>
+q:5;jrmUnsrmg8_qpk_u,i$r2Jg4"$GsY]6c+1s=dDsSlgXa^0cI^Fse^i,SJ_A`/f$s]In^RQg
+s4%%sn^JZ5a%T^ak2FG6V30i]9MUDif\+WtfA"j+eC;sreC<%3eGdmH~>
+q>C'crqcZlrqtgRs848@s+XTsF/msYaOgIkq>^0gs6od`p\"RZqu??grf;F(r;6BfqY9jUqu6Nn
+qu6Hdqtg.1WFjNQs6Tdco^i+Us-I5oiW&rNs8Vfjqtp6dqtp<QqZ-JC~>
+q=sd[rq?BdrqPaPs7uWgs7[o4s*ROTBV*N-^WucMnGi"Uqs*hRo()hRqu$$\q1s.cp%J+Rp\=OR
+p\ssfp\smUpD0W7bOkbrs8MEPqX4BF>bTmOqsaI\nc&:_pAajepuV5Mpj`~>
+q:5;jrmUnsrmg8_s3pqss48XLjC:#F;M_d!TWd2&dG`I-gWJ%(da@"#fA"^-gMC!Fg"=s.eC;q:
+eGe"ueGdqee0!7q6`ntub2hR0d,*43F$G>kj5&/=hp^3,eC2mreCEa3rmH;~>
+q>AqC(]X@/q""4[rSqreR.Ksq^[(Oks8Molr;QTkq@E)qp&"FYhce;'rVuEfo_@DB-i`l7qtU-i
+qV+r=r:g6gq=t!ip\Y!S`FF/ds6BXar;HHcq>:'eroO"WqLA~>
+q=rY;(Amh"o^28IptT[KOm2/L[GpNFq=sXTrV$0`&+KViq!dt/;o\P+qX4:Rpu1rprUTUToD&7V
+ekVY/o_nRYoDJIUpA3a^>]K64j8/QDq"=7Op\4IZjnAcMJ,~>
+q:40J(=pm_dEU.rg;$N0GL4a<SAi_'g=Xs*psor!g!A9uf=X&Bg=k?,g!J[,-ecnoeC3(*e[R;Z
+g=>'5f@Aa5eC`QpTg)N*jN$-4f\"X!daZdsfB:Z_dXV~>
+q>AqC)?01&s8;ona\QE9iW&fIqt9gcs8;`jrVQKhq@E/qp&4X_m!PE)nb_nWq"itH-h766q>^$_
+qM]gGs7lB[r:^-gpA4gho#G9Se,T(,s8DoqrquWhr8meUqLA~>
+q=rY;)>`aor:g6a`(4-tgA1:(o'Go@q"F@Qq"FFYpCHino(qqOj`Qpbm.ToGq"itD-gpp,p&FFQ
+onRb5r:TjUr:BaZnb)qXlbHe7bl@(ls7lEdqY9dXpuV5Mpj`~>
+q:40J(Y?gYgt1T<V^t)Z^u!Yge]lOpg"+['f_X/1eBHOjf@&?o=aSrLf[/C(f&>++bLtCniQ]s*
+Bj%Ilf%/4%eD&^+fAYN1UHh8PjO)*/f[e[+e^N!tkLBLZJ,~>
+q>AqC)#""0r;ZGtEFlBKs8Mikqu-QprVH?es82flrV-orqXsm`rVWjKrV-?dr;$$Eq^:n5s7lWe
+n\/>CqYL!]nb`.[qtBa\s8VrB9T&lLs7lEgs8Vulq>04M!;_3~>
+q=rY;(\%7rp&+6\C0mn/s7c*Wp%S:Yp[n(Oqu-9fp^d&poDJ4Tor*-/o(r"Sq=W_@-gps1o_n4C
+[o^*6p\=LSrV$'^oC;POrU\-"KD>*=nauYTqtKdVp>u#Kpj`~>
+q:40J%*mPZf\b,?:dgAojP'R_#1qMXda?Rsq:#r$e'6Rpg=_Eig=>!/f[nU2e0i>hf[8O&c'pea
+f\"d(cIg\"f@&'th;?hd.;.Pmk1.u4g"=g&daRC/rmH;~>
+q>AqC&,?2#rVNHqB[ZVSrV$9kq#:9rrVHBgs8Dfmp^d2qpAambs4i(Ns8Vuhqt/kE-i`l>qsXR-
+@YsaWo(r4XnbDtYrV?*YqYC';@!hPGq=sg`q>'pbq;qJRqLA~>
+q=rY;(\7Usp@OtU@E\->p@.tXo(r4Yp[n+Qqu-9fp^d5so_nCUs4)>9r;ZQ_qt/kA-iW`8p?;Im
+>Cu8Bn+ut\pA"CXqXj7Gp%%e!=`Na$n+-2Hp%A(Rp#YoJpj`~>
+q:40J(Xh<ng=V*>8$UV*g!JF*cIge$e^Dmrf_X+tdLO[Mf?i.0\Qc5oin;f6dc&\'fZi+#bM]9_
+B$oV`f[n[!eCN:*eBcRpf%I5i=OH!TdaQ^odaZdpkLBLZJ,~>
+q>AqC)?9R0q79[:a8,`7qtKparVQNkrVQKirVHBfp^d;sq#0p^s7_h7q>^<^rqYOM-i`l9s7ZJK
+>1NZMpA+F^m.p>Ms8VunrqcZh[n_&Ds8MumpA+^cp>u/OqLA~>
+q=r\<'))4ooCB4a=hjS(qtBXSq>'^WrV$Ehq=jX\p^d>upA=FQs6u)"o_\COrqYOI-i`f3r9s?.
+:s8n4oD/1]nbMkOrVcNbq=FUQX[6^kp%\@Uo(DkSo&]TGpj`~>
+q:43K(tRQqf@ZKO6E&Smh:Bltd*pCle^`1!e^jTH&CT+Scdg@kj4&3`fA>0,gt1N7-elnpgsXqg
+2mD>pdaut(ajnefg>(<4gXkH7PU]Magt:3+cdLFqcf`gWdXV~>
+q>AnBs8NkJ=(92Ls82]nrU]UWq"jperVZTjqYL*a&,c.sqtKpds3#';s8)Baq;M2up&F^bs3G&R
+qu6?ip$;VGrqZ<ar;?Nms7u]mY[E@Srr;unqZ$Kcjnf&SJ,~>
+q=r\<(\[M"s0YX+^AIj%pAOgVn+cJGp@nCXq#:$bp^d>tp\FFQqY8!:iVN<=q>'"D-hI?,rVa]8
+U@J!Ks7c$_o`+aZpA+OZq>^$Znt]66iV<?Ip%J:XnE'BEpj`~>
+q:43K(Y77!k+4P"VrZjjf\4fp`6Z`WeCE.#ebR]+dacUhe'QV#go<i^h:U00fAY4,c.LD!ii5+t
+f%\^2d`C1dg""L!f\"p4j4<&>N'(dpf\+m)e(E3qkLBLZJ,~>
+q>AqC%.sSUEa-*SrVH6\q#:9ms8)rqqu$EirqcNe&,PtrqYC'erqCZSr;6H_pu2)toDeR_lA()d
+s7lEio^2JEqtp-ZpA"IXmJlDMs,LH@m.p\Zq>C0bjnf&SJ,~>
+q=r\<%JK2gdUuL`qXsLNnFZVWs8V`pp@n@Xq#:$bp^d8qq=sXWp%Rrq^%_9tnG(u:-h76-p>C@E
+l1OT=s7Z$`q#1*aoCMYIo&fu/q>GnDI-1,#q"=FWoB#]Hpj`~>
+q:43K(Y7!t]Mh"ajke_@d*L.ie'udoe'uq!ebR\rdaQG>dL+UYgX]H!g=k</f&>++bLt=p`F<9'
+gst!4dE:%cf%8BsdaZjtb2gP"j_?qg`mWSkdacmpkLBLZJ,~>
+q>Bg\!W)]iqXs_)r;6Eis8%RL^Amg#o)Jabo`"m`s8Molqu$?grq[?(qY9p^p\"I\r;ZQgreHp4
+qZ$*aiVOu$q#0im<5nn:qtp-\q"F=Ip\jsbrr;ipkl:JQm=&$en,NC\q>C0el2(JWJ,~>
+q=s=N!;Q0[rq7*"q"&u,[f#I^mJd.XnGE.SqY9gYp\ssepD!Dsq"ORYpA4RZqXa=QJ<]Hos6faB
+pEf_.q!G4V]D;*kp@S%SqtTURqY0a]qXsmIs6o@8F@smDq=sLPj7`QKJ,~>
+q:4i]!7L_nr6kSos4.q;gt?9pTB4STd,<m/b0n\Zf%/@"eGe"pe.C'TbgY"jg=Fm3Ap;VSj3QEJ
+e,[qge0intf[,d7U>XeYf[J6sda-(bf@8C*g=PB'jODW!>;*;(gt:$(f@KfJ%arkTeC)jpeC)jp
+eC)jprRChpJ,~>
+nb`1Z!VlNfq#1'fq[``!qZ#g[q>^G`;P3[\rV,aW"T&#lqtg9drqZots4M/enc/F\l2)%iq"Xd`
+pA"[fo_nN#LB%&HrqlThqth3(s8VogrUjr:g].<MpAa^Vp%S:Zq>1$VqZ-JC~>
+lhC8N!r;Wdq=bL!n+?Y<s6ogYQ;!b;p\==Qp?_MRq#:'tq"OOVp%d'Jr9XIUp$)2^q"44Rp$qYM
+qX=4MAq0[Ip&=[YpDEVpqtp!Sp[;QkbkLl'nbr"Np%S:Xp\+CLpAju=~>
+ldYdZ#LUuJeCN.!df.W-f#c:r_;j&%g3,#pe(NI'f%/@#rR18d&CStPdF-Oqg"YDp8Dh_MeC*m:
+!RfBmdLasVdFHdpe(WU*gXSu/hUU<YfDsLse.C3ZgY:3(f?ZlL[GfuqeDSdSdh^K_dF$CjdF-Fj
+dF-FjdF-FjdF-ImeGdmH~>
+nb`4[rV69arVHKi&,cD+q>^0eq:&i,p&FO\s6BL]qYp9fq?HG<aSl#2r94%XpC.$#r;6Kes7<@.
+hsg[9q\T;+q>^Egs0Q*CRc33(q#16lq=jXYr;Z0]!;_3~>
+lhCAQqt^*_&GZ"pp@.qFoCC14Jar^*qYf^Rs7d*"q"XUXp@e.DH,K@Ko(M;As76ZpqY0^Znc/!S
+A_HDGq=aXY(]3drrqZ3dY"_iOe^aHer;Zfop\"7TqsF+Xpj`~>
+ldYg[rm:_ormhe5da?IgcdL@kh9js-Xu]n7g<%t#lI6?mdEg7hf%A[1g<a*$g""I>eGmtrdJ_K(
+eBlRng=Op1eE55>9>Ad.rRh)"q:$55cdLS!dGKsE6$L)YhUgTDh:C'$d*gJ8d/qbGeGdmH~>
+nb`4[q=t!arVHKi&,cJ*oDeRb_gZ:Ls7?*eq<IkWqYp9gq?Q`oUkAX>pAaCS%fH+rr;Z`lq>1*;
+>c%JnnG=%%p%\Rbo`)I;?\j]EO14?:lgjfKrVQ?VqZ-JC~>
+lhC5Ms7uHa%f,_]rpBWrG\#5%n+Q_QlM(>R%f,npp\4CTnGf,0p@.SJl1Y\_o^_bRq"=:PprZX1
+rp]^Vq=b^*naubSnG]at:3V8aM6lC0m.0oJqtK^LpAju=~>
+l.#OWrmh,"df%Q'e^DY$eDm9*6*B+he(W78e.C'UcdL7mf\+s/k(7!od*C;7eGmtrdJqYpe.:*W
+db!7+e^iC0YWRQse(O]PrRUeo(Z!Bag""@%P=@ZECQ37uaN;TMe(*!rc106^eGdmH~>
+nb`4[p\=^`rVI-*p\Fjcs6FZ1])VBjs8)QVqu?Nlq#1$oq#A`Oi;`HLl2(MZqu6F!q"OR`hM?CC
+oDeUSq\9)&qYof2pP*>\s4t&fs8VrgpA+XQqZ-JC~>
+lhC/Kq=bErnaQADrnqNm[f>g^s7Z-Np](!iq=saapB^K`s3+g&q<n1FpAt'`rq-Wio(2n6JoU#B
+rU]jYp\,C!nFl_AHKTEOoDI1CY5eOup%.qQm.UMTJ,~>
+l.#UYs4%&#!S5d"dLY!VdG3@;b"t$\gs!jqe'dO2&CStRdaH^tf\+p>Y<fhScJ%g<!7Lkos3gqs
+!S,^!eI'dRe`=GX=3K"Lf)=8"f([Z/fZhms`*1Mt6J^\7P*+b\f[8'ne'[^6s4%%rJ,~>
+nb__MrVHWpo`"jtl'5)>r;Q3cq""IMqu?Nlq#1$orq?#0YlFCrl2)"frVcTdp\XsiY?p&aq#CBa
+q\So%s7$$fm=b)YJ8U"+T)\3Mqtp?jq=F"N!;_3~>
+i:m9F!;HKd&GPteq"XO=MFa63qX"7Smf2SHs7cZkq"Xg^#PmoZF/f3.r9<qdp%\=TnacDLr2EiO
+q=FL[qtBdY(\%1um/$bHIcJ4^@X4''s6B7Rqtg3ana6&Npj`~>
+j4++[(YIEof\"d+eC`.(hqZ:r0n.[)akb@fhs/]&da?Ijdam"%f\G!*<fH"`h!rnkdf7f/e_&O)
+e(!%)hiBn3gt(<:f\$/RpXC#(eD&*sho9!HXBSA+G'r;mdb37(e^;S1df7hrdXV~>
+nb__MrVI-!qZ$*cP=U5ks7cNmo)JONqu?Nlq#1$os6]ifM#$iGl2)"erVlZhr;ZfHF-Ze'rqcT`
+q\T5)s7Q9doYf+khH$*Fn<VYhq>1$fq=F"N!;_3~>
+iV30A&+B,ik4FHmGio%tqYop\p$)2Qq"a^[rV$Qokl7Q3o()YApCHokq=XCSqYSTUOS\_Ip%\FX
+p\,L"o)8+Qp[Go5Y0TUupZ[gfjnAQHqY0OIpAju=~>
+kLBI]s4I8&rn%b1fB1H:F=UeAhpC!0bLt>.e.:!TdaZdtf\#'(ieh9sdb=6@qpPJn&D5[df%Jj7
+Z;Yi#g>(<6f\$/RpXC#1ce?[oeBOSbR^t1rhT^/K`mr_mf?qe3df7hrdXV~>
+nbW=_rqQBeqtp?grVI-"s8VT,<ERQHqYgHdqu?-Mqu?Nlq#1$or:g6IGLQQhkkbkfqYC'hqXKtg
+l0SEHq"XCV(]X(+q"jLSn!r(ZT3fOfk4&<Ko'>lGs6][`qLA~>
+nFuqWqtKjY!;6?b&+K>ijgduX`r,Q+qsa@[lfn0Bq#'jjo(q!XbkLhsp\sjrp\"1Qqt9<?A`W%M
+p@InSp@\.rs6fgWp?_D8Nlf2#;S:<6lhUJIkjSEKmIpVUJ,~>
+n^R<arRh,&rS.>)&(]\"dA8faYM[g[fZhq&aQ_4Sdf%\qed'mXgq$Ffg=GfDrR1_qrmq,$%+a+f
+f?SS2a3*/he^aWLp!af5bLt:lajA.OZE/=4TsDV]g=solbh1b?eGdmH~>
+o)&I`rqQBerVHWnqu-Biqu?[*o)Ei)RJm0Nr;Z`qo)J"Ps8)`irV?cns7Q,0ZN'abq[``(p@eIb
+n(_oLs7H'co)J7W(]<_$qZ$Kmp;Zd>kZX24]Um+1rr<#ona62RqLA~>
+nFuqWqtL'_s7Q?arUp3b%Hm@u5E>F:k4niLqsOLKp\jmcpB^?inFCLuqssIIp]'ptqY'ILq"j:-
+Cm+heo)J+Srq?!Y(\m:npAXj`n@7S`fhR=X[?n\nqu-Hdmd9`Kpj`~>
+n^RBcrn.5'ptHA9i8W5D==npWj29F"f%A1&l.#a]rRCku#h7n_e5D=`e^j<@rR1_qs4._7f$i+%
+gs!<)Fl_!#j3QQ\f(@H.e]6@lgXXp&T$E_?1i:'sHD8O8gtC0"n'q?bJ,~>
+o(sU,s7GsZo^i"\s7H?grq?B_s8Vreq#C?ag]-cR9SE6Ar8[\SqYp9gqZ$I&q"LV*q"a[^rqlZo
+rqGs[&,Q8)l2CYGH\(A[mf!1Xs6BL]r#Wf,VPJOSq#/(PqZ$Bao)JR\qYU-bqu6?ds82`or;HKm
+qLA~>
+nb41+o^qtLnG3%Zn,)bOn,DYLr:]UMr:oX-qrOtHH1(M$iV3?HqtCQknt'Xeo()SPp\FgboC_kV
+p(?umr8dYQj*#h0s69=Vn,2nQm.VXrm^1$%Q>X/"oXi$6s7Z-SqtBXTp\+:SqXaFXp\=X\rV$<e
+J,~>
+n^J]>daHaqdG!I5dbid7e`bE=iS2l9jP\V'kgQ%TBADM!g=6/S%Frs[:Y""De^r=%gXjgFeG[r1
+f@o*$gZ6@W?GtmIg>:02f%0iMrmLAe,1b54XaYXsRaTfZVUaSSe'?Upd*pLndaZmqe(E1#f[\L$
+rmH;~>
+o(s'rlh:>Us8V5]VSg?X_T1^:o_e^g$iK26D#"$,;ucmhr8[\SqYp9gq@<MqrVsiL^\[m-r:p!\
+qXF@mp&+jiq=^Oidf9@;s8VWalMD_%oZl-jr.f<TPh,m1n+QeQmf*7dq"a[Rqtp<irVQEbrVHTk
+J,~>
+nb40lpAY!is5TuM]tLGT]\*/Mq#1-fp>O,(nGYjIrq5UMiV3?HrV$ftmJ-Ol@(>h&qY9^Ro_.qO
+rUpflp\Op^nXWk.r;H!Zqs<qJlh;Oqk.]$0mWi>tM9Z(klLY&Il2(GWo_%hBp\4IYq=jRRrV$<e
+J,~>
+n^J]'eD/d:j2?e-USF$HVSqTGh;[DRhTN6&h<ZpUm,QUJg=-Vcc.^sI7%Di[f@A9pdF7a;rRMP.
+g"bW>e:9]chVZW7h9=@!rm^npo$el7bGDIre6bd^D6W'Nb0o7rak,G&dF-C`eC<%"f$r-peC=KG
+J,~>
+o(sU,o_eXUo`!C"LgGME]n:+1q"t!crVZ0DCTY'KUAs`_r8[\SqYp9gq?[,hs8V>%IJj-Er<)li
+qZ$*_%fQFus8U)WRfEE_o`"a\l2)4no^1)+gSKY4rn"Bus7,m[s8Mfap\t0tp&"LUqu$?krVHTk
+J,~>
+nb40urVZ-Sqp:+L<cYROG$_<Ap\=IVp?LCBV6!FYp#Z5IiV3?Hs7cQg#lX&br8MC5p%n[`"829Z
+r:fs_p(-rpmJm("BpJSooC)MKnFl/A+SP'W_O8T4G,OiRVoA](p\F^^oBl,Js8VT^o'c;HpA=g_
+!;M'~>
+n^J]0gY0p#gp:a.5?skP@ni<Bg=tB>hUKM@P+"LciR-f=ime"ZrRCkq#hm>QhSr5og"QGV"4GQF
+g%X"pf)OA5g>('7hP<qlh;?c1g"+O$rm^koo$el7c,?Q1Z$T`7eZaq0iQp0.gY('#db`sAd+6Xk
+f%8L-eC=KGJ,~>
+o(s0ur:K[Vq#C<[`G;gRo_shRs8DZ]pAY'tP)=WpqZ"A.r8[\SqYp9gq@EW$qtg2\?0qF^qZ$Tm
+q>Kj\&-)XtoDaA^p\=CVrV6*as6BIur;Z`4b+nI1O0RTpq>^9[p&FaWr;ZTaoD\amq#:3fs8Dfp
+qLA~>
+nb41(p%A(Pr:oHgA#S_VnUOF4qXa+DqY^/HJoOfZrjDCliV3?H!;HKf&,l.op%4PNjn86=r;?<^
+q=jX\p(.,tlL+LrD"@2do_A%Jp\a=N+SPU!ZFZ7XTRWZ_c1:o.n+?PJme?SMmdC&RqXaOWp&G!b
+!;M'~>
+n^J]8e'ljuh:p2O9U+/[i,:^6gXOU$io]9FDdPfbkb$MYimdtYs4%%r&),F^e_#11ajnbeg"Fm'
+f([\mf)OA7hqQE'h-X(1e^;t%e'Ze&eC=BDn^J`;e<lnS`eJ&[[^"BCf?i(&dE^@teBZ@qiS)c6
+f@Ad.eGdmH~>
+o)&I`$1Rcjr:g6kY=lV/rt9fkr;6<bqu6KcP#+c*TQ0#fr8[\SqYp9gq@EB$p\4U>A\7j5o_JF^
+q"O=U&,Q)$r5<$?s7lEis7Q0eq!.`!r;HZ]kHb-9LSsCPY-e$)rUp$bqtp<fpZq>Bs8VoeqYg9k
+qLA~>
+nb41&nbE.ZoDJWd5dBtMr,5X1q"F@Qq"=*583_HdBA)kLiV3?H!;HKf&+onmo(CI<[.a([p%\:R
+oD/.Vp(-ifqY.^.TE"NTrr)?Xqt01J+SPBrgXi.h_0;7#[&:,#s8;H\p\+=Tp%%82nbW4Vn+HYR
+!;M'~>
+n^J-&ce7@5f&GhR/>2%]m9i<8rmqS5i8<432(N<h:;GH3imdtYs4%(s&CJh\daHgX7%2]Qc-k.l
+dEq^=rRUo!'%YmmUd9^qe^WI3d*pXpeC;pprm:_on^RTi+2PXGf;Do&^m^1Ef]:l9e^rC'f@A<h
+bL,&"eBc[peGdmH~>
+o(sU,qtKs]o(;\DIV$pns8QtTr;-9erVcTea[f`CXRZ>jr8[\SqYp9gq@<#pq>C*hNe@B2qXsU]
+rpT^oo)J,pNUlrFr;63[s8VZTqu6L5s1d%"g=:Yfkl9cEp$MSTqsjO_l+Vt6^%)'pq#(!hqLA~>
+nb41'q"aXOnF>[_>/]=jnQ]Prp\4IXp[n!l5Z:OSkP+cFi:m9H!;HKf%da5gp[e9:I/Ed6nalSQ
+q"ORW%dj;\B8>jHq=jUQn,!"NlLuFpna?@Z_Qh5$D6hsli;`H9pAFXNp&F*`K8I,)q!mtLrV$<e
+J,~>
+n^J]7f%Sa'e(;oQ7^LD%i_WM)eCN=-h;$bf.mH+PbhUt(j4"mrf\"d)eC)ala5,1sfAUXWgXjp"
+d+6hDeG[tsfFurbilk,6db*=+f$Vgtg<8!qdaJ*An^RTf+6/WbQ`mDfQbqOqj4;N-gt'^"ho(pm
+Bpd,sdF6[reGdmH~>
+o(sU,p\"7Qq>^Km<HI7#b\h(as8)Ncqu-QpX>u-srqZTbr8[\SqYp9gq@E;ur;ZQlb&?YEs8)Ki
+s8;Ea&-)1jULN!Xr;-6]oD/FdqWdr#r;ZZh[-+Noc'!^oa2.0CrqH9fs81]TJ5T12n+u_Ws8Dfp
+qLA~>
+nFn$up[n.Ys7T&ufC?LY<TX)Pp%A%QqYd3EIb45\r9O(7p](!gp\spuo(i(Xnc-I>kP5&MoDJU_
+q=j^Y&,kk]SQs_Fp\"1Ime-MTp?MAppAXIDV:M-*]Rb./]tE_3rUfdXqtAaAHVI+slLjZEqu-6h
+pj`~>
+n^J]3eCW7'jQ>;W<6!n#:eT<ldaHXuh;[UY*,<=EeD\^(j4"psf\"d)eC)albgb2!e`Ei,a48qn
+d+R1(q:,AorR_Y=cdIG4]B7i!eBcFgg"=dPdf%S`e03_rb_Wo_Jtcm\Q_L+tjPSM>g>1DoM-Vbc
+G0JRdhV6Q0rmH;~>
+o(sR+r:Tpbq"F7>?=nS&?>%O_r;-Bls82N_AWQ`dq#CBmiVNZPq"smus760hp\Xf3b3]0,p\t0a
+r;-Kjp\P9rnD[T;s6oaWrr2p!q"Fa_q^q[AqYU-dqYU-dqYU-dqtC'ip!LIQp!7?km.KB.qu?9^
+s5^rBs*A=_s8V]jrVQWkJ,~>
+nb4+#p%nUZna#"3>B+(H=2"G&p\=X^p$hEUL[am&p\<bBs7ZBbrqI$'meZhMo^d(AkPb5IqYK^T
+p\a^qq<Qg7P5jh=o(i.[rUf[\l1Z:hs7>EiXI8%]=L[5Vh<jt7mdg84]$1.r@]]V.meZYVp](#=~>
+n^JZ5e(EL-eBu9#7pf+X9!IO3eC`U5gXt+KE8'!ogtUH@eGn,"fG2ueeC)dmfu_k#e(E>TVoRWE
+db!*qp=')nrn%e8gs3bsFl^ftdb3@0g<n7%r6bYodaI[8+jf3!b,:DPaJ;"j`mVZLg>:3+h8,Yc
+iE/L.j585;f$r4KdXV~>
+nbX^*rr;Zhp&C"S]DhiE<cnB;s7c?ho_R!*T(r?]qtg?ir;QZkq"OOHqZ-Kiq[``%rV?*clCih#
+s8Dlqmf34]#l+8mpA=O_nc/Uc#5NXcn+$;QnbY$:q"jd^q"jd^q"jd^q"jjemf3<Sfr!0LMiXaX
+p@eFUs7QDueFE?B@K5frqYC'drVD$~>
+nb4F"qZ$'Zmf%r<ZhF."8ne4os7#UVmIJFaQgt+Ho^i(Vq"jg[o^h\Ep\=IYpCI2oq=X4Vjd^\`
+qtKj^l2:JR');4ro(V\Rm/-MLp%*BClKn6>nFnX3p\=LXp\=LXp\=LXp\4^QqtZ,lQ,(=aJ!dt:
+n+H&BmeEm.lLJ(]rTO(LoD&(SrqM!~>
+n^Jr1fAFs,dGet'T&Je)3`tb&imuc@e(_,TIFmN1f@Jg.e()sqcd'i3deVDiec=A%f)4#1db3%!
+da-jjIU:=Vf@ep#gt('Se.C'QdEL@hh:^Q;fih.pbgt>:e,[qce03Ygg=^>FH).KKAUUB%e(N(%
+dbKqjd+CQHiQL$+dFHarrmH;~>
+nbWCfo'lYY+oR(-s8DT`FA/M1nSn-qs8QbInc/+Ws8)E^qu?Qdp&>!Mq[`W!s8DZkqo3F4qYC!f
+nc/Rar:gd$s7Z<hnb`?iGJNqPnc&+Vs8)<]+Sl$8s4>*+XkEGrEL2@?q>^Ki[ANup`_`6+q>^Bf
+r;6Ki!;M'~>
+nb4F2m-=NGr:YPIrq5XGCdX`ll"KGQs8HG:lMp,Bq"*tFp\X^TnbW:Up\=IYpCI&jqt]g_pVCCr
+oCDSPm/HtXrV-oqqYTjVs6TFVWH,W@s6][Pp[\)&pA=U_bd4aJ`TCuHM0ReDrVuDjTE"2j8XB5D
+qY'LTp\4[^J,~>
+n^JrDb/i;kgtH1,kMXtH=YbiudS\QJki>6*d,`I)gXa]sdaljjbgkPFdeVDkf)F>%f)!l.e^2t"
+cem6G8&<d,fA=a.f%0cK&CSkRf$Dn,ceIH?<LqUpb15J#+k,)ogocs2J?6sm88hhMeDTB;P(i&I
+V_<GSe_8Nue'unHdXV~>
+nbX4#rr<#bo[?QPro=%Y85nmTq.9Tqn]O[]rVlfsm/I"hqtU0js7Y^9q[`Pss8Vfms6XRAq=sdc
+p&G!erV-p$qu?6erU0^?AXWSns7H9\qu?N`p`TM7p&"Br_NN^5Mh#;rnGi"Lm;f;P_.?<sr;Z`q
+qYg<jq>g;@~>
+nb4F'q"asPm`\15p=oWF5YL27nQl1ZlGQ2ApAF^ajn\rSp[n=^s75:Ep[n1UpCHugrVZ6cs6*t.
+o'uAMnGN7Zr:gcrrpKa[l2T:@Pl:4RnG2SJo(XC(s6oOCZ*Ju(c[0\3JEHjqm,i)[`OT8CfCf"7
+q=OLWp\sr<~>
+n^Jr7f%8g!cEJfmho=sG/ND/>g.(;Pd&J[,g>LcEaP>b-eBun*h9Wt2eG7\pf`0P!e.L0Ug=ag,
+hoJ9_e^W1,d+m4'r7(bp%FNkPh:g*6]1$r$e_eX0e/m9$cdU.)QtWe7@TYd,c/[$ob"mqrU.-ZH
+g"k93d/MPodXV~>
+nbX^-q=ajgm]8X2s8V_j7[s2HhMCb"s*IjOQd5X2n,MeLq=sUPp&G'Nq[`W!rr;Zfs88=Ss82Zm
+qYU6frV-p'pA=Xbm/-X;A_mCZp](*[qZ-K`p`K8*q#C*bZE;g>SQ'][ZK(uXL5L21F$OjCqZ$<i
+rqlZj!;M'~>
+nb4[*oC2_YkbU7ls8;5W5*PL(eq!&Xs)_+:ON7D!kkaH4p%.\>nbiF\p\+@Tp\+OZp%J4U&,>bm
+qsjCZpQLg:o_&(RpAOaap^d8mp[nFIp@X,If`1I4s7YsVo(X9up$qnHn"cMpdZ$\/Ei7UjmXKk.
+J87,]o(2\IqtU0brqM!~>
+n^K2:dE^M*aGCmOk2k3T.tHC+^M20Nk#s]&FK=HZbMC:gdaQIbcJ7=.eCN.#eCOQIq:>Pt!7ptq%
+b8qXfZqt#f62Anf@Sg.rmptr&(]"TdGN(!fP<jdj3Z0,dG`Rue'un'dF3r*YISa-:g0!sjO%IM<
+b>;S;qBRRdFm$teC=KGJ,~>
+nbX@,q"aaZGY(t6S#`3I\bu1"Z^9eMs%742IU?B6eGfLJrWN9#r:osDq[`]%qYg3ar;>8fpAOmc
+s7cKgrV-m#qXaUaoDc1/Y5e:ioDe=WnbO@#o`+s`s.?I?L>+l%qo74ef9QC/nY'='p](-^s8Vfk
+q>g;@~>
+nb3%`rq%H*F$ro!Q)0q1ZhEn]X,u30s$LIrG?@moc2RS9q>'m_p[dn=pA+FiqXsRXo^qqQdqS:M
+p&Y$\rV-6b%JK8bqX4Be@&a.snF-A7pEB+tq>]aZOe9C3b:]pc\]acrOS\G3Rp!5kqY'@Tr:9UV
+rqM!~>
+n^K2HdF?[n;^XFWH]<W&S`&5YP]k!ujsNiZ><=iQYi4Eng"Y68f@A7#f%AR+f%BKCq:$#.daQdp
+dFHjW:"%_If\4d)f)*r-e'ZChgsG,F6]C!Sd*11kim]1'e'd(4cfB;+W*cnLQeA7DgpD.Ye^8q4
+S^lQIcIpgoeC=KGJ,~>
+nbX^)q>^6iUT=4jrUg!es76-YDK,XK`(.c9q;\&[93%>Pp\=R[qYU3Lq[`W$q"t'hqu$J/cMIG5
+s7lQhr:gd%o_8=an7RgVr;6?jp&FRZnbO@,s82KeoZ"r,d.a8om-L2#\)?NNo8m&Io`+j^rr;Wh
+q>g;@~>
+nb4F!p&FX`Su2/[p[7_SqX!t@Anh;5]g09ro%]R?6r&j6o(2MGp%J.EpA+Fnq"F@SqYBm[pg_A9
+p@J4RrV-9c&+onko(`7N@Z'aNp@eFSqr.;LqB,@to'3frc,&V-JD]7FgToSps6Y\@nF-ANnbW.P
+p\4[^J,~>
+n^Jl.dc&[6IYcV<h:CEGjOW5::J^-&UElPYf"ZN!-S]\keCN4&fDaG2f\+p1f\+p0f%AR+p=B&h
+&_5@XeCW:$f@rfqf%AO.e(3+Ie.9s^c-k>)c:)U"g"+X*bgte',1bT+f[ABtU7o#sdsc/Xb^$sf
+^;oBbE&Z@ri7H9)e]QCkrmH;~>
+nbX+%rq5@Pr:p<_rVQ0_q="@EBkdVIMIukf%/Te\Tl4RRRb[rCo^h#<%f-)"q#:<jrVr(Jq>C!d
+r;-Be&,H8&q"s`bA(:PPrr)lkrUKdTqB,Y4q=FX[n`/ZSLhg&eWG$1Ko`+[VDN+Ghq>U3eqtU-d
+!;M'~>
+nb4[9qXEDBp[e:Lq"="HoBH,,@Uf3/K4"HMs7>g<RqZ8:Q.Gj.n*TiAp@\.Pp@[qKq=bEmq=aIW
+qtKm]N0*W)o(htWp\jjto_\@Rp@+qcci<P2q>Kp\i:eAeo'HDCk1A5#HX9;1S6]d'n,;hEBSQ3R
+o_J1Sp[n4SrqM!~>
+n^KDQf?h:kf@A^(gY:02gX5$"84_[oB1(M1imuYoHV$RjGeDnjdaQn(g"Y37g"Y35f\+p1r7Lnt
+q:$#)f$i$uf[SR/E-'R_eCiC'f)!l+gXap-dYL/niR-?0g<eF@eFD*5g=t9.k0q\n_6%BD389?]
+98(^Me^.'-f\+j/daHOgeC=KGJ,~>
+nbX^4p&G'cpA"U`rVlims8VinpAaOXBQO4Is7ZKfrVs?eE*I=_iVE?/q[`H$r:Tsbq>Bs&EVob0
+qYU6frV-p%pAb-fe7jsAo)JF\p&FgWqsjM)rV$9go%Bt(I!;3j@'RarRHjhGn!m%Hj8\EEqt^$d
+rV?NhJ,~>
+nb4F,nc/XZnalPLq"X[Vq>^!^n+c&<@;P`-q=":Qp]%ISC/o&Gg[k(4p%%hPpCHlnq!n+Rp%Rpd
+C@q>mp%J@Yr:gclqYBd0A;U*KrUKXPs7G:E+o(R*o]sqrL2gskW)KM'Cm*o[n`lH0TAKP.qtKdU
+qY9gapj`~>
+n^Jr;cJ[[/dFHt(gYUi@hr`PLe_\O'78VdfgsY-/fAVp0:chO4_:dQ;g\]\'f_a7qe.0jYe]u[p
+daup=:"S.Lec+.te.C3be(i^/YsrH[c/$dscJHt=eFM07f\>!;g<mEcE*ZOpPsU\6<cuCAe'31h
+K#-?`f[S9neC)kGdXV~>
+q>C'crqcZlrquWi#lOMuq#%TuYPJ"l%fc"7JlZ9Le+ih>rquTerq?ruqu$<gs8;Zbo_/.ZrVQKk
+q?$Qlr;$3ps7gN\lMpeSrVHKf#64Mkr:kJWnG>0BrVcWfp\Ojbp@nRdqtg<`rr;igqu6Kmo#mA8
+?#G;NqX"60BE.r'rVG<IG$.XbirAWKrU0R]q>g;@~>
+q=s[Xs7lThs7lKc$1do^orq&eo(D\Qp(%#b]R3OZQHf!nq"XRSo)A.io(D_Lp\OXUnF,o?q"a[Y
+rq6Efq"X^[#kn2dBZoN;p[A(TrV-Zto^DPGEc1UEo(P0>q>'dVoCi"QnacMQp@\7Lq>L!VpA+F^
+m)>)u=(Zg0n)<tY>4M.PqY/[<E`GeRhuE3Bqs=.Rp\sr<~>
+q:5;jrmq,$"PDG^g"H8V$.dq_fp"+Ie_&OQeg&\qimFQ43'r)%g>1]FhV6c;g"4m2gt:?:g""Hq
+dFHdueC=KH!n>cNqU>l'hpkB&a5bdtf%0cK$.e(edb<5N:=e"ee2c(1f$r'ne(3'sdb3C+e_/7$
+h:9p(g">?5X*73":Lq8qc/N&$iS2f4f"-T93%n:IiQ^!)`R<2armH;~>
+q>C'crqcZlrquQg#64\rO'UK9q>C6l#klW;E`[dcd.%&3$N:#)rqu`mq"4I_rr3&uq=agb!;c]l
+!;uZi#QF@RU\t/cs8Dfmp]pQdr;VmjZiBRm!VH3es!.OArVulnq=sd`s8Vi_p&G'WdZ/BQA<4Xn
+rUTg\qP.<^s7uZo$i]nqrRq5Ml1t>Nrr)Znpj`~>
+q=s[Xs7lThrV-fqq"OOTr:fZ9<n$[5qXt<ms8VT2R;>`HSBC-roaplpqY9dYp@@\Gq>UElq"=4W
+pAjpdpAk!bpB^Kem=_#(qsjR^p\jjlo'c;PN*rgdnb4I$p&"aeqYBsdq=XCOo_8:[o'>fBqW5tY
+D,jo!^#\kOo'Yt4:Yba;rr3H)oCVk0s81sQr:9d\p\sr<~>
+q:5;jrmq,$!nc5\rRhV5g"P04i7l^s3k!Vlr72>,f&,ZSfWp'-3F[ZIdf/&6hrE_Sgtgc<db3C3
+hqZl4ci2Doe,Ihseb[c&f%SMaJ(`Z*gXasRe-OXUe_K5'6B9ahe2be%f\>-3f%/^2e^W'tfA,*.
+bL#"t`NO)V4%+"^bhgh)g=q<Fbi74/iSiSCfA*jpg;D=gajnhhrmH;~>
+q>C'crqcZlrquTh#QO`%mqd1HrV?@*q"!tMs8V`RT6aji](,gqqu$6]q#:9uoCi"Vq"ajfnbWRh
+pUG5AqX4C^qYg0oqYC0=>aP'[nb`@d#lXSmp%S:Qq#:9m./`f9s8VT$KOe7jNmR_(rV#sbq#C*@
+;ni;'o(2JFp\Xphs7Gj]s7cHf!;M'~>
+q=s[Xs7lThq"P$cr9.^1p\=G(oBbf6r;5p?R<2SQ[-RSZp%ItEo)8Udmd]rBoCVhTo(NF`p$f5$
+q"<nOrV-9c#P@WebZBtqq!n)=r;6<_o'u>EmIU/OrVZE[pAb0Y[sqab</8Zks7u6TqXXOMb=8]0
+mdKZ7nauSOs8VWWrVcEaq"Od_J,~>
+q:5;jrmq,$rn.2$$ea.bg"b9=bXbXcg&BS$eGn)@da?_,iRGks>!H/YdGWa7i7uo;j6#7He'ups
+eCE4Be-adZe<E\]f?*"&f)4#(f%Sm>Y;p^Me^XNFpXD4Vf[eKscHt"ae_As<hV$B1ioA:O@6lh3
+CTcCPgt1-8g>php1S!FNbg4V`e_8g<i6][!f$)OieGdmH~>
+q>C'crqcZlrquTh#QO>oemP6Ps7uQnqYgBm+nkF*mD4`sEL4<0s8Vujqt]d^s8MolqYU3fqu$Bh
+qtg0bqZm*"iG6sAmJm.]rV-Tqs7L\pjo=iI"o\Aqq>:0iruD%4q#:<il*u4M?[&*Uq#('do_&+]
+rUg-cqd,6\s8N!(r;$'ZnbE.^q"aja!;M'~>
+q=s[Xs7lThq=k3mlMf+4S+ujUp*]P-r;ZfmnEU#9]7sm4OgXWQrUo^RoBZAPq=aLSp\=LWq"XUX
+p@e@Ws7QZmg18P)kktDRrqQNf"o@\0K])aspF5q5p@\1Vs8W#qq==.QqXrpUH<OKmRCVk\p\"%G
+p\jpUrpfJUIJ*O9rqd-"p%.bBp&4a\p\=OXrqM!~>
+q:5;jrmq,$rn.%u$/WteZTN]kh:C0Te0ro#h;[SYhq$08c(SrH;0SM^j6,=Sh:^36h:pN2e^W.!
+eCE+!eC2nCe-ad[h7Z=`g;r(#f)4#&f\bcA>%bY'qU5,f3S)a0daZn(hqm8FeCE=/f>a(\4?QSi
+S(-*Ef[J@(ini2Gg=eZ(h;$];g>(E7eC2[jf@8-ldF-PDdXV~>
+q>C'c"T%ogq>($dqY:Eos7ZJ_?/"uOq>:NpqtTaLnGN=crr3\u]73jsWpTiap&4p_o_&(\s8Dcj
+rVQ`oq>'j`#Q4VqP*Z+Aqu-Bip]p`hX_uD^pAa[[/,&c8rVcTco)JIVrr;T'Me$+3UYGVDqu?W`
+nG3+ZnFcMPrr7gts7#ROq#:'pqY0dbr9a%Qqu-?kpj`~>
+q=s[X!VlKiqYL!nq"jIZPucB&qYBh-p%J"Ekj/!Cq>L?nk-fS4AY\Dfp@%bUn*fc=qu$9_p\jjg
+p\"4UpB^Kcs6kl.q==7Xp\spnp\+$QBZTu>rUKV3o(;\Pq=a@Hq!d\Fs6R1I>ukX/eFNA+s7bgE
+pAF[Ro^__Mq0clPlgaZHp^6ijq#C9Zo)AR^p\sr<~>
+q:5;j"P25Xg"65UrR_&!$J4(]j*3Smce?t$rR<%>eCWC)d*'_gjP8\SilRTo2G]F`l/:1Lk0hZ*
+e_&R+da\6G!n>ZHqU>c$f]1CtF5,.Bf)4#(f\Y8A:93$nf[BcHs3gYk/'lVmf%/<qbM1Lmg>gMI
+B0\IMJ%*t^fAkK,c.Ce(dFQk$h;DjAiQKElf)F>0g=Op2f#Pq_daHYEdXV~>
+q>C*ds8)cjs7uZjqY:BnqZ$S)@/p#rquH`pruq=9o()JNs8)*?NdPr-^$#+]s8;Zdq>C6kqu$Ek
+r;6<aq>1Els8'fSlMpb[qYg0os3"]RqYU<gnbY9FrVQKirr2lns7a]o?!1p+\*<qmr:p3\rVuop
+oCr4Wqt9se`cV1Yr;69]oCr+VqYp9\qu?9dq>g;@~>
+q=s[X!VlKiqYL!mq"=U\>?Ugnq"?*0q>L?mqtKaMmI9iGp#k%bF_uiAiUH:4p[dtKq"jj]q"aa\
+p\".SpB^K_rU[j>jnncMp\spnp]&05XS);dp$qc:qt^!\q"jj^o_S'qK2tl[N3M=As7PpTm.^P[
+q"".Vp%n1Po=AN'qY^6co^__Oq"k!boDJX\q"Od_J,~>
+q:5;jrn%8)fDaG$fDX5(fAPCI4PeHbf)=)IdaZt*i8W_Pg=O]ue(NR0b.r%,>&p=[f[Sd2e^Dmr
+f@SO&f%/C$da7j?#M.D`etbsZg]#e%e-O^jYsFQ*f%\RMdJqYhe2c14eC<%#f@\^2e#-e<2+DMJ
+`T-"2eC`!siSiJ=fA5'6e(`TN:=n+Kf@86tf@ng.g="0meB64hrmH;~>
+q>C*ds8)cjs7uZjqYC0g#63acHiO-Cq>;W?qtB^XqYU-hrr)lsrqZ3dkdH.RBq3THrr<#rq"X^_
+r;HWnqtTp]qZlrsqsJ=8rVuimrV-WiPB?9nr;ZEWq[EH'rqZ6>QrcgjRa_05s!74%nbrLfq=XFV
+qYU*^rqH<cpMS(Lp\+:PpA4^Vo_/(Ys7u3`q>g;@~>
+q=s[X!VlKiqYL!nq"FR?:iuR0p%e;/qY'IKoC_hMqt^$`qt]mPs5C/0>[s)Co_JI`q"44Pp\=R\
+q=jOQqY(9ho(_k?BY!p7rV-<d$MWtIDX%2qs7#dXnFnj:qtg!Td?.6k?^&_+qY^-TjQcI=p[dqF
+pA4[_p&4IRn*=App\4CSo_/+XnFZGLrr;icq"Od_J,~>
+q:5;jrn%8)fDaFueHaa_^b]'Jg"$&NrmE4Eg=Xm&e^rI*h:pZ=h:pN1lHbu87SS?:fA#3<e^;dn
+eCE.%f$r*oqU>l'e_Jd!8t4Jef%0cKs4@a*=OH-[hojEndF$Cjo[GJDf[nQuZun2O6[,cehVd29
+aNiN!f[8!ie_&R-f&"p.eBpaZeBu^lda["+cMl8lecX4=da\9EJ,~>
+q>C'c)Z'7*q>:$dqYU*cq>:!bqu?0-CRsqorVZQjr;-`lq"t!cq>:-hqZ$F1r;HNfs8V,ZHYIi"
+de3Y?r;6BhrVlcmq"FO\s8<-!s*U1)s8;^)q"jiuC"*+UoCr1[qYU-dqY0kGpA=mdj1:4h@qLS9
+mIp>Tp](9mrVuigr;-0]p%J%Lo)&C]qu:&`qY'^[rVQH`rVH6[qXjL]r;(p~>
+&,5knq"ORXq"FIUp\+@TpAXgdp_EZ$qY9m]q=sd\q"j6lA<uHTp\+@TrV$TknFQAJp%7tQrUp3a
+)>Eq!nbN(<Uig0jS'CI#qY0^Wp\=RZp@IhKp'(-aGEVClr:^j!p\2+-c2@,$oD84Vp\=LXp\4LW
+3Uuh>p"m*4CKt4u^#neRq=+4Xp\+IWmIp2DoC_hMo^_nSo'u]WJbAa0q>1!_o_SFVo_A+Os7l?f
+pj`~>
+&(f@`e^r@'e^i7$eCN.#f)F;&g"65U&D,Iae^r@'fA4]K89rD6f@KiK.+Zbof[na)f\"g+f@AO)
+g"Y?>j5n7=>tJ1JYL)(Yf@JO)f\+p.e'\!Bs4IS.gKAXDh"oS-fUY^Dhp]oueG[epdf7hmeiD./
+g=<p&BM1QVAY@/neD/O.hqHc>g!J<ud*U1ge'cUrg==d83+pdidad%(f$`7&cHah\bLk7mrmH;~>
+nbX7&qu$?hqu$?hqu$?hqu$Bls/oYOnFukXqYU3enbZDfqtBa^s6na'F_Z]CjS&KJrr;rlp%J4W
+r;Zcmq>:0cs7Z-/F63H%q>^$cp@6p4Yj_,Yp[nIbp\=R]p%n^\s8Vigs8MThnA:&k>]u:^m/I"Z
+p\Xp_q\o>+q"OOUp\"O\rIA&NrV6<_s7Z9cqYU-dqY^6jqLA~>
+nb*mqq"ORXq"ORXq"ORXq"OOXqkdE7lgjfDp\+U\C%h;pp\+@Tp\+@Tp\+@Tp\+=Wp$hJFq<?Lf
+E+OX/hspF4p\FOQmdK`;p%\:Qo(;\IrUKBsDW(Qmo_e+UoBb.&YjCoSp[\=^p\+FYp%\RUq"X@K
+qY0=Ul+;RO<H!fDkP=rFo(MkPp([8rq"aaYp[IqFnT7S'qXaOOs7,g^pB(-aq#'mdpj`~>
+&(oIcf%AR+f%AR+f%AR+f_F,0f@ed/f@em:k)VX)c.(AEf)F<9g"=m*f$r:#f$r:#f$r:#f%/[3
+f%/[7campk87\('e(E:+gtC3)dacn#gY16/f@n[/dEnac^u4)#hTt-0cFPNdbK\Pcbh1Opd*pIi
+dbN7)gXF[.g<Sa&Sn:,F;Jre\g"Fj&f%B]Is3qb2eC;mpd+Zt#>W1Eke(E"(dF6UprmLen!RfKs
+dXV~>
+nb_kS#P[qT=P3BJrr)]lq!e/Yr;-6es8)9cm(nWkBUR*<qYpNorr<#lq"t$hrVZQfqZ$KXGJ3qI
+p&F=WqYl;'chdP=rpojWq#:<nq=XL^p[n@_p>sqcF'WIB`Td0bq#C<lq>g<bqu?Nmq#C(!q"jdc
+r;VRXmeZe[o`+X_p%nacJ,~>
+nb2MI#Oh)<:t"q2q>'abp@J%Yp/:YXo_87Um/H1\LL4PUa7&Woq"OOXqsX(Ip@n:Ro^heUpuHJ*
+p[I\Pjo4rKK7M;Equ?Zdq"=F]s8Vofo_S(Eo_@n3d=lC;@>hkZn`]WBq>U'fo_J7]pAameq#C.#
+q"jUYo(@B.kOnNFn,2bOp%JI]J,~>
+n_!Ecs4S"<FZHt^gtUE2f\"m1gY(0Le5Y#Og=Y$2hUp05b+EE87X(l]fA#*8gYC]8e_&U1g=b*,
+e(`Ek;OH(adc8C,f\C%DWRTJRfZ_didb*=-e'HFseBuq(e&&M,:c_$`U;k^(dFd%Ldf@ekeGn/&
+f$r4JdLapWg=P%j3Qp%)gX"[$e^W+Idf7_peGdmH~>
+nb_kS#QOIC?gRdlq>L0gq!n5Vq>L<hq>C9mrVQKchm.`<J"b<bs8Vods8M`drr;umr:L$es+u^*
+o`+pgpA_R&ebT7=q=O%Fp%eIZp\F[]s82iqf9^8]CR<B>r;$6hrrrAtqu-Ecp\Y!es7lWg&,H,!
+s8N%^?IniJs7QEds7Q6hqLA~>
+nb2JH#46G4k5"rIq=am_oClA\o_A7To_84Zq"FFOg9#[(GachFrqc3Ps7c!Op\OXSp?qtSrITah
+mJZePn,9Ffde<Y2p@7D:o(MhNo_/%QqXjUXd#_dAA<=n"p%%bMqYU*^p\FRSq=jp_s7cQgrqR'$
+p%n=SLK)Uip\aOWoDA4T!;M'~>
+n_!Ec#MS1k>sQWhhYu++f`0V+gY(0LeGn*#g=t61g"bE;f\"ZcO'FbNIBM&Xh:9j2g="I(h:gB0
+cJd@4ASBB:iS3&9j-;L,e(W0tcGn,Te'ugne'uk%fA,)dF%8A`F0![?e^rR0f[eO$f$r%AeGn/&
+f$r4KdLjsYe_8^2EBCMUfA+a,d+HjtrR1_ns4%%rJ,~>
+nb_kS#QO1)DYsG5q#1'fq!n5_qYgBhp@nI`s8)NfrUf."XGq:NXl00XpA=mhq"=I]rq-6_s/^+o
+s8VoprRPA<p](0br;6<irVuijpA=dai4G.qBQ^90p\b'kqt^0irqlKcqYg<cp\Y!es7lWg&,?"s
+rVlhg>fHI7s7ZHgs7Q6hqLA~>
+nb2MI#Q!OiB(busoD/+\p@@rZp%\=TnacDLqXsIRq![(cV1rf2VV1\Bn+?GMna>uAp[7nFs.s;X
+p%e(To?UEno)8CUq=s[`qYg9_oD&.SgU)lW@;_dinFcVPo^_\Oq=jORpA+ISq=jp_s7cQgs7m3#
+qXjRToo`4eo(MtNq=a^YpAju=~>
+n_!Ec&_c?p92F<th::*-f\"m1gY(0Ke5t8Ug=Og'f\>35e_&U'^p/]0:Kr[gg#:B2gtL9*e_/[%
+h9b/;8@mO2eDo8j5Aep(f[/:$e_Sp4g!S6uf[[[%DGil"KXoRagtUH2f\5$.dF$FoeBn$@s4@D(
+eC=HFs3qP2g"Lg6U=@cKdFm"$eC=HFs3^krrmH;~>
+nb_kS#PHGGIfK<Err)]lq!n4^r;6Ki#Pe&go(`4arr2pfqWc%\B5F!Ss8)<Yr;Zfqr;QWes4D4r
+s6p!dqfd/Bp\Odcrq>gOqt':Ps7F9tJ8T1feGoREs8)9Ys8Vudq>'maqtg-bp\Y!es7lWg&,?"t
+qu?\t?+Tt0r:p<jrUp$fqLA~>
+nb2MI#OTT/G5Cq.q>'abp@7kWpAX__oCDM?oD/:ZqYU6_j1^=WAWjb(oBYf:qtg$Xp$h;>c=3gM
+jnA96ChMGlp%J1Vn`oN8mcsHEn%b-6BkNLQqu?<gp$D2Erq>^Np%J.Sp@\.Tp]'sep]($gq%*8s
+p%J(OTMr2ko_7tRq>'^X!;M'~>
+n_!Ec&_bmF4($q!gY:<1f\"m1gY(0Ke,e7Trmt&ueCDmqgYLW>h;?f'Tkd"dFeIUBcHt5#h:^B3
+f$N-W8<MoUhV?db<5@&7f\"s+bg"ecbgbUtU30a78TD#kin!)?cI1M+fZ_jne'umrdaS$As4@D(
+eC=HF&Cf7]g=hEFQeBm?e(WC(eC=HFs3^krrmH;~>
+nb_kS#Pbl7R/d!Ws8Dfmq!n5Pr:p$as8Dfis8;Q_r;ZW_s8Vr_f!:'GD4K8Ys8MfiqZ$Qnr:Z8/
+s8VurYuS^?s8;for;-<ho_.CRGZSI-ONIP&qt0[]qYpL&p@J7_qu$HnrV60cp\Y!es7lWg!;c]m
+s8ND;?`X2%qt^6kr:TpeqLA~>
+nb2MI#Oo#tOSnbBqt]sdp@7lXoCDYQq"=:Xp[I\Hr:TCUr:B'sX+4\lQ-oC,p[ReAp@@bCl@jW[
+oC)IM8@J*bp\4LXp%J1Ln_gTl;IFm1`;BT.n+6;Hr;ZW`meHhVq"jpao^qqSp]'sep]($gq%*?"
+p\4IWY>qCoo_.qQqtTjY!;M'~>
+n_!Ec&_c!35'c/>e_Sg-f\"m1gY(0Ke/d/keCi[3f@Jj4daHh*f?N@5f#b4X@n'%7[+jTormWj]
+f[n^$D.MP[g#A,OUYO\Yg"Y33f\4a%_N@hT6=+N+h;d/8e_/R2inW#0g>UQ3f@ea&dFJ'Bs4@D(
+eC=KG&_,C`fA55M4G_bAf$rC*e^W+Idf7_peGdmH~>
+nb_kS#QLZ2Y5eCjs8Dfmq!e1\pCI6&r;6Kds8Vrdp&>!ap\k*k$MNkPE)q%ho)Jafr;S%hHM7C6
+l"HLXq>^BkrqlZlo=KZQ95L0Hp\k-kpA"[fq"X[_rr3<%o`"dds8D`grV-3hqZ$?jpCI,tr;-Hn
+`*Sc.r;HHfrquHd!;_3~>
+nb2MI#PalpVYp/Uqt]sdp@@rZp@@eLqY0^ZnG<+VmI9rNn+$/MrqZ'HO(qL.Z0_JanF62CnaXG2
+kPaZ!=Gc/+q"=@To_.tE[!bP7AX:L.q#1$YoDSUYoCVeTs8DZ[qY9j_q=O@Uq=jp_s7cQgs7m3%
+qtKdYpUF1`q"ORUp%nIVpAju=~>
+n_!Ec&_c9'7ZZQ^d,!:(f\"m1gY(0Ke5t5Ldb*:*f%JF(h:9csg"t'&fA,69d)U&s0MR\RhV-Q6
+i7lu>XB*d7f#L=,e_/j5g=t96g!H*p/gs;;Y1)+\g!S:)gsaa%fA,9>f$Dsue_&I#dan6Ds4@D(
+eC=KG&_,@_e_T#T4*0--f[SI'e^W+Idf7_peGdmH~>
+nb_kS#PO'\ZiC'ts8Dfmq!n5_r:p'bqY'^apA=gbqu?Tfs8;WcqYU*^r8bGKH'#u8s7cQls8;nK
+iV*;F@cIFes82ceg:NSd>@`fAq#(!gq>C-bq#('cs8Vrjq>:0ks7l<ar;-<jp\Y!es7lTf%f#no
+s8L#BL&1iLq=adcp%nacJ,~>
+nb2MI#O[4DX8;_^s7uBhp@7nWo2PJWnalVIpA"=SqY0OWp@7\Fp%.\HhR&&ZMSA?KkkXZ;mIG>H
+kPC?>de3/(o_.\$[#JZs?&6Vmp%/"Op\+4Mp\4=YqXsIPpA+R^o^__Np@nI[p]'sep]($gq%*5p
+p$qbJ\l!qLqYTpTq>'^X!;M'~>
+n_!Ec&_boW5Et*_dGia.f\"m1gY(0Ke5t8Ne(<-te(W4#f[\R,f?r@(dF$Ioe'Q[[P\3p0T$6!;
+in)r9h-RkGkC5h8jkehGg<mBsECr2VCou7@fA+s/f$i+"f@8X1e^N%!g"P*+cdUFneCaTHs4@D(
+eC=KG&^f%WdG*?M3+CLngXOX%f$r4Jdf7_peGdmH~>
+q>:0fs82fnrr)lprqd6&qtp<hqtp6_Q!2H'qY0seqYg3Jq_8!GqYL*cq"FFXr:oU3b/:$irVu<c
+s1Y<#mT7L0q#16[^P,ikF-5q^p\b$ir;-<]qX==]qZ$?jpC@,mq>^EkcWtnpq>'scs7H0gqLA~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1HNDda^p%%nRpAjpXp[Rr2p\"1Np%7hEnFZGFjj_5[R'?#V
+ht?ZGQ/pgn\FSkQr8tM<;bh.dkj.a2p\4@Pp>YiHpAameq#C."r:BRZoCBdtFS>A!p\+LVpAju=~>
+q:P\us4I>(rn@D*rn%A*f\"m1rR_X,4g*5ceCrL)f\"m1gY(0KeFD*Df@AC#e^W$od+$Xp`O)G3
+I[SgLaPPjDK$he"W8cIcj3!m$2_n3Ibg4elgY:E4f^dV`eGn/&f$r4KdLOjQeD8d/XZBS:eC<+$
+f`'D!df7_peGdmH~>
+q>:0fs82fnrr)lprqd6&qtp<hqtp6[N,IkYs7cNkqYg3JqZ?`nqYp@?q"F=SrVl]dmd6s(DMGLV
+p@)5\J<Bm3m'DOe>\9&4jnA<=q#(*hr:'ROqu?Nmq#C'orV-3hp\;m0H2d[Cr;$<ep%nacJ,~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1DKP'0;rUTd[pAjpXp[RqYp\"1XodTJ$mIL#Hp$V&)S8qt\
+UseGb9'UDJn*f&/IqVhhLq2C2m-aE:p@e1PiV3BGs7cQgs7ls!p\+INm_285rq6Hgo_J1QpAju=~>
+q:P\us4I>(rn@D*rn%A*f\"m1rn%e3EDaj7i7-N4f%AX.g"Y32o$m3\!nYuPrm`IGd*:"jf[\9g
+`I_;b@#_eHbVe!YDr9HrP@dKK6Yr=1e'QOng"P05fC@G^eGn/&f$r4KdLk*Yf%SR$W%_9)f%/I&
+f$`'trR1_ns4%%rJ,~>
+q>:0fs82fnrr)lprqd'!qtp<hqtp6eKS9@)!UopaqYg3Jq^_XBqYU3fq=jX[rVlcnr;ZNd\S+lT
+TAH3,?gcKt@T@!'ch.,.pA=UZq>1'enbV_Os8)cjrq?otrVlWmf3EIqrVZQdqt]p^!;_3~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1NI!k\ar9F"OpAjpGpC$Zdp%J(MnaZ8Gq"Od])scjm>Xi"_
+dZ]SfilQ@D8m[P#n+Q;Ap@@hIp&4UCp]'sep]($gq%*5pq"aCRb>N6Oq"OLPp\"4R!;M'~>
+q:P\us4I>(rn@D*rn%A*f\"m1rn%e=BkQA]hosa(f%AX.g"Y32im]L/e'c^pe'ZLfdacq!eC<*t
+dZ[!K6[QCkFZmsW@mW"=E3.I>e'lt!e^i@NfDsL^eGn/&f$r4KdLjmTf\+d1[5h.;f[n^%eC)jr
+rR1_ns4%%rJ,~>
+q>:0fs82fnrr)lprqd6&qtp<hqtp6iFG'VdrpTmcqYg3Jq[`W%qYU3gqY0g_r;6<aq"aph'`-=,
+;K/"+7oW]'EldkKs8Vogq>UBjs8)`lnbV_Os8)cjs7[&rq#C<hs57@*q#10fp&"UYqZ-JC~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1TCjYsGq<IkQpAjpHpF#\-o_%qOo^VPGp@\%Io(2bWp$g%C
+7V7TT4%W4NA\RU*qtfsTo_JL[s7QEc!;POIs7ZKes7lWi&+oYnq!e=5=D@C%q"=.Np@\.[pj`~>
+q:P\us4I>(rn@D*rn%A*f\"m1rn%eC=_?XCgs"U*f%AX.g"Y32iRBL/daQ^qda-=ieC2gkd*pk0
+gXWH./5:4E,;V>I;Phdkh:gH-f%J^,f[\U)f[o*3s4@D(eC=KG&^JhYf[]&s5>B\\f[\?ue'unG
+df7_peGdmH~>
+q>:0fs82fnrr)lprqd6&qtp<hqtp6dA9RkAs7cQlqYg3JqZ-Qnqu?U?qtTp^r;HQjr;HBfrUTa[
+eWa3>F+:4<r:0g_nFHJVqXXU_qYp<iqXaI^qX==]qZ$?ipC@*#qXsm@=`3s2rVQ?frUp$fqLA~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1M>]00#r:9m`pAjpHpAjpdp&Fb3p%%YFp@n:Rp@n+No]tu;
+b`,CrBm?;on`p/JmI0iJp[@tSp\smcp[e1Lp]'sep]($gq%*5sqXs1LbYMmAp\=IQq>'^X!;M'~>
+q:P\us4I>(rn@D*rn%A*f\"m1rn%e<8QjithpgW9f%AX.g"Y32iRIkUs4&OHd*L.ie^W'te^;t"
+cI1:IEATRK?AGf?cJd6rbh(P!bh:Rue()pui7.eZ!nPlNrmDD+e_8R#h6o47e(<7'dam"!eG[hq
+dJq_qdXV~>
+q>:0fs82fnrr)lprqd6&qtp<hqtp6fDfu'Ts7Z6dqYg3Jq[EE"qu$Ekqt^-fs8W&sqZ6`arr3c1
+s7Y6Oci<G+s76!cs8;BTqu?TkqYL3e!;c6\n,*.]s7lWgs7lWl$i'bU?ubr;r;??hrUp$fqLA~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1OB5RA6qsj:RpAjpHpC-cgp%J.Sp%.kNq>'daoc*nnqu?Na
+qX;t5aT(Gks6]OYs7u'Kq#C0bp\4[\!;H$Ynb<(Ws7cQgs7u]is7Zohq9E#Uo(DbOoD8:UpAju=~>
+q:P\us4I>(rn@D*rn%A*f\"m1rn%e><*8&2hUC$+f%AX.g"Y32iRInV$.RMUe'ZXpf@SRPdi7/a
+gYpu>h9rimXQ7XUk0VZ4hU]ike_es.eC=KHi7.eZ!nPlNr6kVs%Fa1D4\jMWf@SL'f$r4Jdf7_p
+eGdmH~>
+q>:0fs82fnrr)lprqd6&qtp<hqtp6iKR!Ooq=sR[qYg3Jq^;==qu$Hmr;-Ems8;]ep\=LZs7kaQ
+s7#UVs7?'djo>#Hq#13ip@8+VrV,jWn,*.]s7lWg&,>bks8DuRBmBOOqu$9hqXs^cqLA~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1RHuSiQo^hMHpAjpHpF#\-p%J1Up@S.Uq=aFMnac;Fs7G:C
+s6K(GqsO+Si;<*<q#13ip@8+VrV,jWnb<(Ws7cQgs7m3#oCMhMqpAbjp@\.Ro_S:SpAju=~>
+q:P\us4I>(rn@D*rn%A*f\"m1rn%eABj9NMf@A7!f%AX.g"Y32iRInV,h1DreC)q"f@83ocd:%f
+h9j'hiQKR"h9ad2_qiYbdb!.&d*)C9rR'TRs4@D(eC=HF&C&\Xf\jA2<S5jQf@8F$eC=HFs3^kr
+rmH;~>
+q>:0fs82fnrr)lprqd6&qtp<hqtp6aMK/Fep](9lqYg3Jq`k#Uqu$Hmr;-9eqYBsas8W&jpAb0i
+qu?]ks7u]gs7?0aq=XLUq>'g[q=sg\q"FRZqY9p^qY9p^qY9p^qYK[Xs8)cjs7[''o_8C^qpAi%
+rqlQiq>C![qZ-JC~>
+q=ag\s7ZHdrqQNfrq6lqp@e7Tp@e1JJna`Go)J^bpC?okp@n:Tp@n:Tp@n:Tp@.f>p@\+Pq"XRT
+o_%kJoC_qXq=4%Qr:]j\r:BdWq!nCPq>'dXp%J.Up@n=Vq"OLUp\=LXp\=LXp\=LXp\=4Os7ZKe
+s7lWi&,u4lqXF$o=*XQ7p%S+RoC_hXpj`~>
+"5)2Wf)=8#fDjM&g&B_*g&BV,f@\a/g&9P-D,f3Ae`5Tdf_sJ5f$r:#f$r:#f$r:#f$r:>eGmuK
+eCN4#daHUmdF$Fpg=FQqf\+j,g>:B8f%ed9d+6[ncd0tce'QLidaHOid,ELRec=4udLk-YdbNC*
+Y<H1Df%&C%e^2gqqpPMormH;~>
+iVNlXIWthiqtg?kqYg3:q^q[;rqQBgn,N4`oC;kYs82]iqtg3dqtg3dqtg3dqtg3dqtg3dqtg3d
+qtg3dmJHq[s7lWg&,?)"q#C?3@XA(Orr2`np@\:_qLA~>
+"8;K_pZ;)SoQG0Op@\(SpA4ORp>P`Vp@J4Up\=(PoDe4Dq=XRUcM.>5s7m3#r:]a[o=.nDrV-0b
+p&+CRpAju=~>
+"4kuQeGIhqf`0XqfEp6e?WcIGgY1K:q:H2.f[e^+f[e^+f[e^+f[f$2&(/YQd*gIcg!ep)bM:b*
+f?VnDdLXj[f%&g:U-D]4eCW=#g!BEBrmH;~>
+iVNl[IrkYgqYU3hqYg39q[`AtqXs^bs8MHQdE'u?s8:7@s8)cjs7['!q>C*hs2JJlqY0pcq#C0_
+qZ-JC~>
+qtK:I#5NIYp\4=Qrq?6`nFkl9&Gbqoq!n(Us7kg<aM6'rq=`20rV6Eg&,>tpp%J'h=)ms*q"XLZ
+p%A%Zpj`~>
+qpbSqrRh/'o%4<&hdBFAh:gW=g"G`Es462Z&C\nRd`g1ngt9]dWM6]Qgt'j%qpH#)e_/U2hkiS:
+e'QXqdFltBeGdmH~>
+iVNlUG[p.<qZ$NmqYg3:q[i`"qY]m^s67%>QFF2GPQ1R-qu?Nmq#:!spAXs`s2\Q!p\=^aq#C!`
+!;_3~>
+qtK:I$1`%>jn89Bp\+=Xp[In9pCR2mp\F4Os5^G+NNT7!M>[(op\jmeq%!/mq=a4M]2a4Lo_J7R
+qt0U_pj`~>
+qpbSqrRh/'o%4<&fNCVfgY1TAg"G`Es462Z&D,:Yf#lY(`0=;AOcECYhq$0(qpGu'dbEI)iM\kF
+d*^FodFe0BrmH;~>
+i;3_2>1i`Ks8;ilrV63dg%u?Yq"Xd[s7W9oU#bqIb]VP8d/3k>s7lTf%J0VunGg@3R/?g]qt^3_
+qZ-JC~>
+qtK:I#5!7?d.R&/rq>sXq"E_A&Gc"lq=+@QTN.H8m/Oq<d.Yi\rV6Eg%eoSkpu_C[<0?qMrV-!\
+o_/@\J,~>
+qpbSqrRh/'o%4<&g13:UgY1ZBg"H8Tq:YVss462Z&D#:Zf[/I%JiJ1mdH%3%[+<URqpGu'ceR:"
+j.\VWeCE:&dan-ArmH;~>
+iVNl[Tj>M4qZ$BiqYg3br7UuIq@<>ts8U)KHKtP.s7L&kr6Y?@qZ$?ipC?forpKfm>d+)'s8)Wj
+r:TpeqLA~>
+qtK:I$3-Dn\b>[koChnLp\=I?pC?okqYJ$7F6!;kr9I[Mp<`R4q#C.#p[e4VjS5TMW;-/dp@n@W
+p%JI]J,~>
+qpbSqrRh/'o%43#jao[jgtLZbg&'Ftg%sA$f&G3Zedg<agt\Yj=3'CTj3gA;f$MqDdLXgQgYC!3
+P<"QOe_8L%e^aEDrmH;~>
+i;3_d=.f?crVc]krV63eg&(gF%f>u"k`B6QpA+aW`F,S@d/3k>s7lTf%e]_unc,.a`;00+p\t'f
+p%nacJ,~>
+qtK:I$1t>qQh9qEp\+=Xp\FUZp>boHp($lhro8oAq![\GjgnHap<`R4q#C.#p\"7UkOaj5^%M!m
+oD84Vp%JI]J,~>
+qpbSqrRh/'o%4<&g6O^Kg=kB=g"H8Tq:b\ts465[&_>Rcg!ns!DElq,f&"WH5D@\8eGIZ)e'Zh'
+cJEt/T[M3<d+?dtpXK2jJ,~>
+iVNlOb>j2jqtg?kqYg3brRq&ZqY'p[rPE?Gs763ir1mr9r6Y?@qZ$?jpCHunq#:$bLKiO3p\aab
+qYKm^!;_3~>
+qtK:I$1,Q(Hh6q&qtBa\p\FUZp>blZp@n.Sn+aS-T)\*PrUH:[ZhDc?rV6Eg&,,hjq<dZt;:PF5
+q""@Vp@\.[pj`~>
+qpbSqrRh/'o%4<&d]>?;g"Y6>g"H8Tq:b\ts465[&_>Ubh9t&N98)EUjQG9O8"%rTeG@VneI:6_
+g1NCSf$Msng!eFEeGdmH~>
+iVNl[lstMAqt0mdqYg3brRq&Zr:BsYp7tpWq>1-`s*%lJr6Y?@qZ$?jpCHuppAY!bH!Bb;qu?Hk
+q"OIY!;_3~>
+qtK:I$2ijhFS>Cqq"FFYp\FUZp>blZpA+1TmI?fKj72^>l2#3ro_$T*rV6Eg&,,njq=<oh;<\&S
+qt0m[oC_hXpj`~>
+qpbSqrRh/'o%4<&ilsntgtU?8g"H8Tq:b\ts465[&_>[ahpBl)43?42kgSZr6/'u<eG@T'f@/O.
+f3()VhUL3*gX4CBeGdmH~>
+q>:3grqccnq>'RX"8)A&D#XG7oDSOaq"aj@q[iK#p@SB[A,H<(q>[ToSc/KOqu?Qtqtg0dqu#p[
+s8)cjs7ZfqpA4[Rs'\t+me["\J,~>
+qtL-as7QBb!ql3Xnb*:Vn6ol)q>BXRp@J%Rp>blZp@J.OnGf(cp%\1IrM)fEp@[_Fs7cclp@e7T
+q![tUq#C-qqY'UUj7uYJp$VPSpj`~>
+qpbYss4.,$rn$_n$JEn]8kn:%imZT6qq1_tqUki!j4"[leD8[(jFK\QiSE/LO"l+=f]pudeHOIO
+e'umtn'q6_#hIGUfui>@1YD3HrmH;~>
+q>1EmqYL*dqYL$XqZm0#CLHW,s8W&orV63dg%u?VrVcWhQ"^3grVXi@?/Y\Zkkk>TmJHq[s7lWg
+#kdcarr2V)LA^K:!;_3~>
+qtL-a#P@]^p@e1Po^VV]q"A3"l1=cJp@e+Pq"EbBs7ZKg%JTLV@eo?_n\@jseb8_#p\jgQp\jme
+q$?Zao_J.F>C?,3pAju=~>
+qpbYs#Lq;Uf\"g.fCIQ$g"tU[6-n6Bi7Zf\f_O4sf`0O_e.L9`gt^W8F%G39hV5%h5/H%*kg]R[
+mF;$]#gprKgtU@MA(^;#rmH;~>
+q>:3f"oA,nqYL$XqZm0"DcGB]pAb*frV63dg%u?[q"ajf\otR_s0cu_Y5e:plMLVXrV6Himed%\
+s7lWg#l4,er;X]9Y5I_b!;_3~>
+qtL-as7?Kfp@e1Po^VV]qXnJpddHW&p@e+Pq"EbB&bc+ppA+ZpEO,T=XD)%:q!n(Cp]'sco`4^R
+p\jmdq$6Q_p\D?kV"O0M!;M'~>
+qpbYss3q5(f\"g.fCIQ$g#1^`27V/ein<#^f_O4sf`0O_e.L9ef%8X5QW070hNLc*NT/R@lI>j_
+rR(\pmaV-^#h@;Og>J_aMqIOKrmH;~>
+q>16gq>1*fs8)9_#Q=IK<QP(-rVcTkpsJsMqYBsZs7NCOLjN?Zf)PdBr9F1Zq>U-jq>0sVqu?Nm
+q#C'or:fpZqM[nhr9jF^qLA~>
+qtL-a!qZ'Wrq?BbnFd.XGYQ'JlhC,HqtKURiV3BG%IsJfV20\E;0pI]s6]OFp]'pcoE+^Zp@%bS
+q#C-qr:faPn:<U<p$VPSpj`~>
+qpbYs!n5ZNmFVd!gtH0pW8#_Ug"G`Es462Z&D#C`dc8c2CLpU+@C+kRdFRU4s3gno!n,QHn'q6_
+#h[VTe^nR`X4ZpkrmH;~>
+q>16gq>0IT#QOUh>d=>&rVcTkpsJsMpAP$^q#Bd0^9,las8Duhr9F1Wp]:3emed%\s7lWg#l+,d
+pZcNmo).qQ!;_3~>
+qtL-a!qZ'Wm.Lb\nWQqQs7#dVpA=URp>YfXoD8IToDe(!\#.=Jrq$*Tp?MDMoE"XYme?\Ts7lrq
+p@.Y2?q0AQme6_VJ,~>
+qpbYs!n5ZNrn.8(o%4<&hV*??Olb0Mg"G`Es462Z&CB%bcI:aoY*t3LjQ"nPd+7L3r6YPne*b`_
+dKn@NdacB11XF_CeGdmH~>
+q>19gq"adRqZm/s\6Xpjqu$EhrV63bg%u?\p\Xp`r;ZfirVuiepAb0jlMLPT"8Vfjr9sO_qZ$?j
+pB^Hdp@cU0B`7ksqZ-JC~>
+qtL-a"7l'Up$MGWq!kRgK),*=pA=U[p%\7?pCR8pq"jUVrql-Wqt0+=qu?BTp\j^dp%J.Tn+ZeU
+s7lrnp[Rdg9O%,]me6_VJ,~>
+qpbYs#L_)Pf@\a/g%*c&g"tGN5%rj.gtCBXf_O.qf`0O^e.C<\e^r1"hV6H2hUg$"i8`DReG[bs
+daQ^rn'q6_#gq,Me>>,pg=YoErmH;~>
+q>1Bjq"ad`r;?$\#6!=kAbH#trVHKfq>/eA&HD@ns8Vomo_SUakl:\Oo_e"OrV6Qlqu-N_qu?Nm
+q#C'oo_J:SUeQ4.r9jF^qLA~>
+qtL-a#4hBXp%J.SnFd1\p!dDWn+ZGIpA=U[p%\7?pCRApnc/O[q!dqUn_aBHk3_m-p\jaep@nCZ
+n+ZeUs7lrmq=F'D6>l)]me6_VJ,~>
+qpbYs#L_)Pf@\d1g%*c#g"P;r8k%:drn72$q:GJqs462Z&DPCOg=Od'c.(_#^uOIsd+7L3rR(es
+eCN7?eGIZ"d+-[pJLk$Qf^RDidXV~>
+q>1<hq"ad`rqu<`#l4N!I9ZCEqYU6frqQ<cg&(gG%Jftsq>^0gn,!(ap%\ROqZlunq>1!drr2B`
+rqcWh#k.TaooE"4pAF@U!;_3~>
+qtL-a"S20Vp%JCZnb*C_s7^_;n,;nOp@e7TrqQ<^q"E_As7d&tqt'L[o)@nGs7YpMros.^p@\+P
+p\=U]n+Z_S#k.KYn;'Sgm.Kf@!;M'~>
+qpbYs"ObcKe_'lSn^n9'kMKW0e`GN>g"G$1rmpnsq:G\uime"V%FN_Od+cn'ajf5"cdL\7e-FIN
+daQ^rf@TNAqU,Yme^`,d0lb[pnC7HcJ,~>
+iVNuWp\:g_ao2,7qtpBhs7lEeq>Ae?!rVrnbPV;8#PS)ql![Dqp?h_WqLA~>
+p%RkI$M<r^VFADqoCV_LrqHHfq=aXYnb2)=!quB^bP2#2#kRfejBG0Vn+Q2D!;M'~>
+p!iE\%G9@dgQ!kdi8!/Cg"=mTe,\.tg%sD&g%!YRe,\(He,[qpdJqW#d+@'n5r"_Vf^RDidXV~>
+iqj;`s8)ZJ>`o!\r;?HhqYL!^q>:!cRJR6bn*o7.B)D,cqZ-JC~>
+nb;VJ&GQ+upt&Q)p$q\Ip%J.Sq"X[Yq=jFQWV6\jlKd1n@.ijZme6_VJ,~>
+n^R-\&_Q!shnD?ui8!/CgXt*,daZqGg%sD&g%!Y!eGmtpd0e=OeB6(N/P+dHf'q2gdXV~>
+iqrcPs7Zs%G[g^Ir;?HhqYL!^q>:!cRJR6^s6umcVZ6DXqZ-JC~>
+nb;VJ&GPnloD<Q5q![kJp%J.Sq"X[Yq=jFQWV6\fqWjhNT`=QUme6_VJ,~>
+n^R-\&_Pdjf\fq$j4`>DgXt*,daZkEf_O4jf!<g*df.Yodf7f&d+Zcu2i-YKf'q2gdXV~>
+iqj;`p%\(WR8Mu8r;?HhqYL!^q>:!cRJR6_s7C#@nEp2AqZ-JC~>
+nb;VJ&GP_hmJE)?g?\D(p%J.Sq"X[Yq=jFQWV6\gqX7s+lK@p8me6_VJ,~>
+n^R-\&_PUfdboI.`R`l"gXt00eC<(Gf_O4jf!<g*df.Yodf7f&dG3/?9@D/Bf'q2gdXV~>
+iqj;`r;69d_+gEor;?HhqYL!^q>:!cRJR3elHiO`s8;6\!;_3~>
+nb;VJ&GPtro_5sfPOS5;p%J.Sq"X[Yq=jFQWqQ_kpuT[qIK0<?me6_VJ,~>
+n^R-\&_Pjng"`>UIbW]5gXt00eC<(Gf_O4jf!<g*df.YodL+LTg;g?PA*2S"f'q2gdXV~>
+iqj;`r:KpelX=5ur;?HhqYL!^q>:!cRJR-`pPVn_rqu0\!;_3~>
+nb;VJ&GQ"lq"s/W=n;4Wp%J.Sq"X[Yq=jFQX7uYf#kdbC9Y'okp\+%L!;M'~>
+n^R*[#27V`i6=VWrnRY1g"?8SqUkVsn^b"qs3gqps3_;)f%/I&BeQ"1gtL?KeGdmH~>
+iqj;`p%8+Xs--F)r;?HhqYL!^q>:!cRJR6^j'-*ho'ZMEqZ-JC~>
+nb;VJ&GPbep@nTI9#L;np%J.Sq"X[Yq=jFQXS;_f#k6\O@.N^Lq=a7N!;M'~>
+n^R*[%+E_Zg?*K5XPM^eg"?#Lq:G/fZIJp&&(/hReCN4'e%n%3e^)Iof'q2gdXV~>
+iqj;`q#C6Zs2%ijr;?HhqYL!^q>:!cRJR6aP>RMCr;ZT[qZ-JC~>
+nb;VJ&GPktpZhdk:OMg,p%A%Qp\=RXq=jFQXnVef#P3sLNW&VJo^2AQpj`~>
+n^R'Z%H?*dk+XhHh;-i?g"=sPf(mqff!<g*dLFUPeCN4'f[b$qE8T@(maV6aJ,~>
+iqj;`s7?9cqtkkCkPP;WpA+IXOo#[bq#:3crVu`f?W6b!r:U*cqXs^cqLA~>
+nb;VJ&GQ4rrUfdUG>6udrV#gUp@mP>Z1ee%o_S@Rq"saR=\eSap[J+Vp@\.[pj`~>
+n^R*[&)P^jfA#%f2TX\6gst$.f\tDee.C'TcILIng>:K55;CaDf?i4He+_AkdXV~>
+iqj;`p@nU]q>\K>Wqubmq#'gXOo,1V%JB]"q"jp%7u$d7qZ$KhqXs^cqLA~>
+nb;VJ&GPejs7Gs]^Jgltq=XCTo^q,9Z1n:n%Is8loC_gd6%SV"pA=X\p@\.[pj`~>
+n^R*[&(9"ge^rfZ4H%tQgY(?4e`#)beGdl*bgtY%f\E#FACT/Yf[]fHpXK2jJ,~>
+iqj;`q"asfp@eB$D!CuqpAO[ZOo#[cs7$!enGN$4<7LsDp]'j\qXs^cqLA~>
+nb;VJ&bktorqZ*Ro4DOlqXa:Ro_8(Mp[Rs^pCHurm.pMDp@3N*chd;*s6odWp%JI]J,~>
+n^R*[&CT+bg=4^/:J]-mg"5$1f[fWCn^b"q&CSqWa4B%kgt?3pZJ<sVgWK?@pXK2jJ,~>
+iqj;`s7Q$ar9jTc=h4S.p%nL^Oo#[`s7ZH`o`*6?M?!VRpAa[YqXs^cqLA~>
+nb;VJ&bl=unc/@JqkI#nrU]RQq"sdUp[Rs^pCHlmo(h_Ar5hliqYU$Xs6]XUp%JI]J,~>
+n^R*[&DY[[iS)N:N'*WlgXb-5gt)&Gn^b"q&^nqSc.UInjKUd\i8*#0gW._<e+_AkdXV~>
+iqiiSrV,j]rsAVrCNoCIr:p0bOo#[cq"t*_s7:b=ao(o3p]('bqXs^cqLA~>
+nb;VJ&bl.rmf3.\o^-.,mIg8HqY9dTp[Rs^pC?ohp\XCYm<VIDp@A%Ns7l<\pAju=~>
+n^R*[&D,CUiSEAHekTE!h;-c@g=GiEn^b"q&^o%OdbE.1eRUM9gsjp#f?M_>e+_AkdXV~>
+iqj;`p&FsapAaU]Q<(irs7lK_Oo#[hoDAOes1h6as7Q-dq#($bqXs^cqLA~>
+nb;VJ&bkkrq=O4WkPpQ;]CGpnqXX@Np[Rs^pCI5kp\F[c\jV5In+-AJq=sdZp%JI]J,~>
+n^R-\&_,.^f$i+/d-,a8UY4e_hUL-IeFD+qe.L-\ajSktje=ADiRQH1cHsnbqU>2grmH;~>
+iqj;`pAb0]pAaRXd;j]us7cE_Oo#[fo_eLagj3M`s7uQjq=jXZqXs^cqLA~>
+nb;VJ&bknsrp91Qk4?]0Gi8JjqXaFOp[Rs^pCI)hq"+L9FC*DqoCi"Ro^qtQp%JI]J,~>
+n^R-\&_,1^gWS('cePm-@`[Q_hUU3JeFD+qe.L-Xb1"hu]Ne"?kh4V<c,n)TqU>2grmH;~>
+iqj;`q==LWs7lQhs.E*9p[nI`o_SXbY584qoD8gaq>]s]W_/ubrqHTiq>'d\qXs^cqLA~>
+nb;VJ(&.FmqXX[Xp[e9L8'^YoqYBjZp@n:Sp[Rs^pBg9\qs3sO7%=&Drpp3cp@S1Sp%JI]J,~>
+n^R-\("C^Xf?rX0h:^k?0=KQchqZf4f$r:EeFD+pe.BaMgWeE//;)s7f$hpibK8-1dJ_PgeGdmH~>
+iqrcPrqQKh&GuCuH[GScs8DumqZ$EeqY'j`!r2Wgq>@f#!W)TgqA8u(qu$Hnrr2Wkmf)-DDY*c&
+qYBs\p\4LZ#Q">pr;?HhqYg9kqLA~>
+i:m6GrqHHd%e"O_oC`(WrUTRVp%.kHrV-<dq"Og^](Z4"qtC]qp@n@Wq=saRpuhD*:20.kq#0se
+o`4^^o`t3bp\=OXp\+R[!;M'~>
+i7._Vs4@n9gsoV5g"YQAi6p31f@/9trRChp!7^o!s4@;%]@?`/s3qn6e'c^pe^W1!hTall1ec<M
+g"+QuccjVXrm1Pi$.72Ne^`1!e'unHdXV~>
+iqrcPrqQHg&,ZC<>aG<Xp\=R^qXaO_rVcTkq"aj!qu?Nlq#1'fqu-F(p%eF[CfIM9qtp6cp\+:Q
+q"smeqZ$Hmr;ZWoqYg9kqLA~>
+i:m6GrV$irqR'Ccp$2&:o(DVBo_\F^p\jm_p]'rup\ss`p\jdtmd]i<Al#?'q"XUXq"OLUp%J=V
+s7ZKes7lWg!;?Bc!;M'~>
+iRIbUs4@k8h3^6GgX+I#e_&I"f%\jUeGdkteCiRSg&K\(f"9H/f)=+rdLOjXgtLLV15Xo?e^W!n
+ci2,gc2Grrd*^7heCE+!eC2psrmH;~>
+iqrcPrqQHg&,#kuP%*YTs7ZKmqt9jdr;HKjq"aj!qu?Nlq#1'hquZclqYp@&q>C&b;f)L&qtp6c
+p\+:QrqQNhrVHQks8;oo!;cZk!;_3~>
+i:m6GrV$fkp\0YOiVNK@q>KsTpA4^]rV63_s7X%urqQHds7cZip@S@W'_:ndSP<bslM1/Kp\=LV
+p@\+Np%A:Ws7cQgs7ZNerV$<eJ,~>
+iRIbUs4@q4g=gL3a5Gn)gu-f4f\4s.f)=)#daZt(rRq5&s44g3rRUqss4%e4e'QLie_&^3L,2H^
+bh(CpdEp5<bQH/:cd;[=#h%5Qe^W*teC=KGJ,~>
+iqrcPrqQHg&-)D(l#MC8pA+afqu-Njq>L0gq"aj!qu?Nlq#1%"r;6?eqtp<is7G#QBD1]hrqZZk
+p\smdpC6onq>1!cqYU0fr;6BfrVHTkJ,~>
+i:m6GrV$j%o)IcdHe\#[q"OFUq=XCYp\jm_p]'rup\ssdpD!Dsp@e1Pp@nFMdTL&LkP"ZEq"OR_
+p\sgboa:Eep\+@Uq"XUXpAO^cpj`~>
+iRIbUs4@qBe`4\I@DULFgY195gXXg)f)=)#daZt(rRq5&s44g3rRUqs.Flqse'ZRkfA>&i5=O)D
+f%/@!dEp4ac-+;Ucd0tdda?Lme^`1!e'unHdXV~>
+iqrcPrqQHg&-)Fqs0kLiqu6Nap&G$brVcTkq"aj!qu?Nlq#1'hq\Au)r;HWoq=o&<_>a0.qYL$`
+p\4CTrqQNhrVHQks8;oo!;cZk!;_3~>
+i:m6GrV$j&oBlR^5aV-;p$;&Eq=47Yp\jm_p]'rup\ssbpC6ijp@n@Wo'pQu]_V*prV-?es7cQd
+!qc0YrV$9cs7lWg!;?Bc!;M'~>
+iRIbUs4@qCf$NHC-@OV&g!A+(gXFm-f)4#!f%JdUg&K\(f!3^De'umtf%AR*;`gW,e(`I'dF$=f
+cd0hZcHjh`rm;#"eCE+!eC2psrmH;~>
+iqrcPrqQHg&+KVpp]#;7c1h88p](0_s8Dfmq"aj!qu?Nlq#1%"q>1!crVZQis.WS?s7Z0drV?Ed
+q=t9lqtp<hqtp6gqZ-JC~>
+i:m6GrV$igrUf[VCei">r:KLWp[7nVp\jm_p]'rup\ssdpAss\rq?orp%A6P:icF&nb`%Rp\4X]
+s7Z?_#PRodq"XUXpAO^cpj`~>
+iRIbUs4@k-i7HN:;DbK)i7QQ:g!JORf)=)"f%JdUg&K\(f!Ej>daQ^qe^W'ui.!Rah:'d+e'l^l
+rQtShrQkMj$.72Ne^`1!e'unHdXV~>
+iqrcPrqQHg&+fi$nc-'k?F'#!qu?ZfrVcTkq"aj!qu?Nlq#1%"q>1!dqtTjT^5-:Uq#(*_rV?Ed
+s8*9%q>'g[p\Odar;?HhqYg9kqLA~>
+iqEEHrqQHd&+9Jqm/O:X=0(N`o_\IQq#0scq"a[ap:L(rq#C(#p%J+Rp%%S<[t.f9oCr%Kp@eIZ
+rV-iqp%@tKoChqQq"XUXpAO^cpj`~>
+gXcDW&CKRrcfUNC4cdeGf\YE2g=Z>S"4YoTgAT_)fDjF6eGI\oe.L-Xf%8I#cchhg5J#Csf[&$q
+rR(Yls3Cbncd2U9$.72Ne^`1!e'unHdXV~>
+iqrcPrqQHg&,c:os82i$92iY(q#16irVcTkq"aj!qu?Nlq#1%"q>1$dq=O.AD-cT0o`+.RrV?Ed
+s83?'qY9gYpA4[`r;?HhqYg9kqLA~>
+iqEEHrqQEc%e]2do_PRU9Y'idq#:!^rV-9cq=jp_]D)3ts7[,up@n:PmcihF<p0;Is5WqKpAOac
+q#C.!p\+7No()MKp\=OXp\+R[!;M'~>
+gXcDW&_bm`hqI"M.PRFHe_B'8g=Y'VecXFQg"QDXs4@;%]@?`+s3qY/e(<1"cH4$s3Qg%$iPX6q
+e,@\mciVVAcMl&pdF-Ope^W*teC=KGJ,~>
+q>BOT!W)]mq>L1,oDejarVtra:3lO4q"X@VqZ$Tmq>C$VZMO\!q>U-eq%*Mps8;3_mW_R@q""1X
+q#(*drV-<fs7uZh#Q">pr;?HhqYg9kqLA~>
+q=j1J!VcBgq>L()mf*1TpAWmK7rn%toCM;Bp\asaq>C$Vp\)2mrqQNfs7R$'m/6V=s6"Ao[dreU
+q=OIUqtC9hp\4CSp&=Rgp@n=Vq"OOVrV$<eJ,~>
+q:Fl^qq(l$):@F$eD0-&OY'\bk18,/g=Y6;g"4s/c.L_Jf_sC5e,[nqd/VMndh(9Ugt0U,b#BjV
+d`g.jdFH_Cd1XgOcHsn`cHjhadaZgteC;sseGdmH~>
+q>BOT!W)]mq>C+*rVH9gs8;/*7YgL.s8N&lq"XORp\XloqZ6QhrqHBe%eTSss7YZV;39Z7p%n^_
+r;$<crqcZjrqH`pqtp<hqtp6gqZ-JC~>
+q=j1J!VcBgq>L()pA"=Oq#C$IDa/d:oDeXdoC_eIoCr.Zp\)8o!VlEgq#C*gp(-Zcs8;?EUIpEr
+qsX7UoC_tS"o.fcp@\+XoEY*ap\=OXp\+R[!;M'~>
+q:Fl^qq(i#(u*]nhW<M6<@)8'f&YWIeCN4"dFHq*g"H>VrRSX2!7Lhms3^kq&'`P\gsX,q/S_`K
+c-t=lde_Akck+LLcd0n_cdC1je^`1!e'unHdXV~>
+q>BOT!W)]mq>L1%s8)Hcr;$<khf_nZs820]r;QQqp@S+YZMO\!q>U-eq%*H(mf!0U<JB*)s7ZBj
+p\4X^rV-<fs7uZh#Q">pr;?HhqYg9kqLA~>
+q=j1J!VcBgq>L()s7PpTp%%hVf5=6<s7PRMq"ORYp%.nUp\)8o!VlEgq#:"!pA+XNq"g7NIa\#j
+nG)qQoD81bq"FIUp%A=V#PRodq"XUXpAO^cpj`~>
+q:Y#bqq(l$)<0;uf\>'6jhOqPDs#fsgY:H8g"+[)hV$T\f_sC6e,e"Erm(Pj&^f(YgrnF.Gqrg4
+eD/9sf?V\<dJqQ)cHsn`cHjhadaZgteC;sseGdmH~>
+q>BOT!W)]mq>L1,s7uHhr:K[^s5%6rW;l_or;$6irV-![ZMO\!q>U-eq%*AuqtRa*CuY<krq63g
+q"jsbrV-<fs7uZh#Q">pr;?HhqYg9kqLA~>
+q=j1J!VcBgq>L()r:KUVp$M2Bq:8eVUAFQ]q"=F\r:]dWp\)8o!VlEgq#0ptp@S(MZVkAho`+^T
+q"jXVqY(0gp@n:Rp&=Rgp@n=Vq"OOVrV$<eJ,~>
+q:Y#bqq(l$);j&sgtU<-hVu::6\s[Qi7lo;hVHf6f\+sVf_sC6e,e"Erm(Pjs3V>-eC`<<2G(X2
+gsjNre^+'=s3M>&d*L%`cd1"eeCE+!eC2psrmH;~>
+q>BOT!W)]mq>L0mq"jmdrr3Q-rV,,`>,VDkqXsLVqtp3bZMO\!q>U-eq%*#is2@fLf_YRGq=jgb
+q>C3erV-<fs7uZh#Q">pr;?HhqYg9kqLA~>
+q=j1J!VcBgq>L()oC_hPq>0mZp$^F@<2'?Yp@7YFqYL!^p\)8o!VlEgq#0ptm.11l8Rp0>p\FIP
+q"XOWqY(0gp@n:Rp&=Rgp@n=Vq"OOVrV$<eJ,~>
+q:Y#bqq(l$("V$jgY^rGgYUSs9KIskdb3.!f\>0Zg&9S%f"BKLda$(^cHsqcdEL&!U+JmEf%&6p
+bgOqde,%Jlck+LLcd0n_cdC1je^`1!e'unHdXV~>
+q>BOT!W)]mq>L1,qYpEdqZ$Tjr;ZfRBPOI>s8VuipA=a^ZMO\!q>U-eq%*N#[pNIUs7cBcqu-Eg
+qYU6erV-<fs7uZh#Q">pr;?HhqYg9kqLA~>
+q=j1J!VcBgq>L()p%e@PoDJITo`"[;@Uu2&rquN]p%nOZp\)8o!VlEgq#0pss7<O"=1A(ro^qkP
+p\+=UpB:3ap@\+XoEY*ap\=OXp\+R[!;M'~>
+q:Y#bqq(l$);*`ueCij>fA5WL^IUtPfAYW@e^iL0f\+sVf_sC6e/6WZbg+M\d*^8!e!)sVS)MiC
+cHt"ed*^;;d1OaNd*L%`cd1"eeCE+!eC2psrmH;~>
+q>BOT!W)]mq>L1,rr;rkp\Xj^qs=@Zj`b4]nGiOboD8@VZMO\!q>U-eq%!20>[G8Ap&=jarVu]i
+rVZKip\t$hq>U-oqYU0fr;6BfrVHTkJ,~>
+q=j1J!VcBgq>L()q>9sXnFZABoAof>hf2rEm/-hVo(i.Rp\)8o!VlEgq#0pto<VM$](,4_p%8%U
+p%J4Sq=b$cp\+:Qrq$Hhp\4IXp\4C[pAju=~>
+q:b,e!8.2#s4J:FhV6T3g=k-5c/dX"=[TF@i8WG=g=t-1g&9S%f"BKLda$(\cHsqcdF4:>4.b'R
+g<n-meBcLjchl*'e'ZOfd*L%`cd1"eeCE+!eC2psrmH;~>
+q>BIR!;ZNh-2@?8s8W#qs8VclrqXfL?c2"(q=X^dpA4X_qYU-dqYU-dqYU-0qt^*cq>^:%[SpYV
+o_ngarV?EjpA4gar:pEgq>($ds7uZh#Q">pr;?HhqYg9kqLA~>
+q=j.I!VlKfp`T2$q#'s\pA=jWq=jL$?<Ou#q"=1Rqt'RVp@n:Tp@n:YpAjp6p\sm^p\agap\sjs
+YteTBmIpPKp[n7Uo(MtQqtC-bp\smdp&=Rgp@n=Vq"OOVrV$<eJ,~>
+q:b,e!SH*'fDjM?f%Aa7h:^TBjOE)Cfr[Y,UW2'@eD&j0rn%8&f_j>!e,\(HeGe%peGRbnciDJm
+dgqQn5Gcc]imZB%daHCef$F6@!RoHqd/VE#cHjhadaZgteC;sseGdmH~>
+q>9^[q>13jqt'_!s760hq#B)\<2TQlq=+C\s7uE^rqcuoqY9p^qY9p`nb`.[l21MYrVQWk(]=.$
+n+-DSp\=dbq>:!\Z;#ANrr;fas7uHlqtg0gq#U?hq>0d]!;_3~>
+q=a@Qq=Xj`q"+5#r9O+Qnc.*G9qh4SoBZ2Fr;$!Xq"sjZp\=LXp\=4Oq=s7L!qu<[rV$9c(]=.&
+nb<(`q=XXXo_.qFX%$m2p]'gLq>'[gp\+=Rp%J+Rq=aLU!;M'~>
+q:P5jq:P;l);<d$cJ%((jL@Q3K\G;9cJI7/e^;drf@A:GecFFSn^RBblI5gbrn.5$s3qn:eBZ1]
+f\"X%h:L61f$TL,:6sVoe]ldqrm2&$d*g@le'lane'lhBdJ;5jeGdmH~>
+q>9^[q>9^[(]X70r9jUbd99OikPtSIs7l3^s8MNYs7uH[qt^0Nqu?L0q!n.Yqt9LKnb;\Ls60L:
+;.m]Eq!%YTq"a^jqtg0bq>0sbq>0d]!;_3~>
+q=a@Qq=a@Q(]En"p?2>Mb#;&Mi;N]9qt9RWs8MNYs8D`lpAk!Yp\FULp\X[apDE\qqZ$Tlq"=7L
+mI1)6r6n8G\bYdUo`"FWo`t6bp@\+Pp@nCVp%JI]J,~>
+q:P5jq:P5j(Z!Klf#lk+XZ&"3`oH4'hUKm&hqH<"g\o_&fDsLmeG7Y[e,\(uf`0P&e-*tDg"4XN
+bRW.Oe`Op3[k:%<gsj6khY>M(eC2mpdaQ[pq9f#ds4%%rJ,~>
+q>9^[q>9[Z(A\"1p%SLdid5!jq"amXs8)6No`+sbq=sLWq>BIRqt_0)p\4O]p[RtUp&FpXs,pAr
+_X@I$nbrL\q=t9mqYL$`qYL*bqXs^cqLA~>
+q=a@Qq=a@Q(\[IurU01Ss4_WsL%4a-li-bMlh(5WpA+LRp\FUKpAjpapDE]"q>C3epA"UUs7GOT
+Mb[`nkPt2?p\XFTo`t6bp@\+Pp@nCVp%JI]J,~>
+q:P5jq:P5j(Y7'jh9j^1ikJSWC"M"mcJ@-uajT&%eG7\ceG7YZeGIhse/-T^e^i0ndFm"2g<Sbt
+1.IkXj4DK+gX#]D#Lq5OdaHUneG7Mfdf7hrdXV~>
+q>9^[q>9^[(]+%,s8Vlequ?Dg>[YeUs6BCZs7uE]nG;n[qXOIYr9=+UqZ$=+s7Z!Vqtg-bq"aU_
+PYl2Is7>[Ws8Mcfq?QooqYBs`qYU*bp%nacJ,~>
+q=a@Qq=a@Q(\ICoq>'RKo_@pK<E[<<qWIVQs7l?\nG;qLp\FUEp](")s7Z!Vqtg-boCD>LNCm^-
+s6SqBs7l-Vq=Y'fp@e1Pp@e7Vp@\.[pj`~>
+q:P5jq:P5j(Y%!dg"b*)fA+l/3BsS'h8n7/i7ZZ/cMZ5oeCO-=q:4ZXrRV"u(YmH`d+?dtf[e^)
+k&E"D[,]KTg#1N1eG7PueC2mpdaQ[pq9f#ds4%%rJ,~>
+q>9^[q>9[Z(B=*tqu?Nko)J-`>$I`us82NfrUomaq>0XYq>BOT!;cNd(]F.(rVufio`+.JSR$F)
+pA4[`q=sd`rqZBqqtg0bq>0sbq>0d]!;_3~>
+q=a@Qq=a=P(B*dhpA4IWmJlFQ<E>X_s7c*Zq==.Tr:^3dn+ZYQl1b#K(]*gtqYg6^nc.V<Qrn@j
+nb)VLo^h_MqYBgip\+=Rp%J+Rq=aLU!;M'~>
+q:P5jq:P5j);!TibLYD!g<\d&O>o7PgZ7)=gYC9-h:C0Ve,[qceG7YYe,[qoe/-`bdb!:*e'R0s
+dsF/UaOAbnf$r0ue^sWG#Lq5OdaHUneG7Mfdf7hrdXV~>
+q>9^[q>9^[(\Rh.p%\L`rVu<cs5S08KB`=4lg+TNr;$3Zqt^0TqZ?Whp\X_%qYpHhq#16mo@e7k
+SF5;7o)&Iap%J:_q"t*fs7u]k!;lTgp%nacJ,~>
+q=a@Qq=a@Q(\%J%nFQGLq#BUYrSDF&IHC8"kNDgDq>U-dq!n+Sq!%MRq"ag^(\dh'o^hkUs6eBS
+=I8:+s6]OWp@.VHqtTpcpAagcp&Oj_p@\.[pj`~>
+q:P5jq:P8k)qWHlgX+F%g"PK0jP[jO8n6$"i69F'jP&29eGRbbeG7YZeG[hne/$]ieC3./imG>7
+4*o,`im693f$Mgof_Etre,Rkrdf@nndJ;5jeGdmH~>
+q>9^[q>9^[(\@V*s82Wdp$;YKr:0foA9c2qs7H$^pA+RTqt^0Tq]Pb0p%S4Uq"jjds8)?]rq50L
+@qhG,s82irp@S=`q"Oa^qu?Nmq>^9kqt^*]qZ-JC~>
+q=a@Qq=a@Q([h,!rV#mSnE0c<p[%p`??F-cs7#URoD\L^q!n+Sq!%Mpq>0p_q"XUXq>9jOnFu8$
+VI!f!o)JF`qsj.Mqt0LUq"Og^s7QEc!;H<_p%JI]J,~>
+q:P5jq:P8k*S8Tfh:gH0da6(pce6Y*P!iNTlKHdKg=4^)eC)eEd/_VceG7YZe,[qrdJqYpe/-fm
+f?_q#d(G3$7sWVCf]1`6ce-mtd+8!As3q"rs3gttq9f#ds4%%rJ,~>
+q>9^[q>9^["on>lrVHEjrsni&p]'j^rJQ&okl:PMs7uN]qt^0Tq]Pb0p%S4Uq"jjar:p*frPX=p
+Dqk<^s8VN^s8VidqYg9cqu?Nmq>^9kqt^*]qZ-JC~>
+q=a@Qq=a@Q(]X+!q=XIZr;H6^o)%kKpP3s[j8\l@rVlQhq!n+Sq!.Srq"ad^q=saZp\+@Oo)/*j
+H!+n5s6Tdcl1=cJoC;PMpA"C^pAagcp&Oj_p@\.[pj`~>
+q:P5jq:P8k*S9)ndFQk!gt^f;g=5!,g"gOSK$EN7d,<R-eC)eEd/_VceG7Y[eGmtrdJqYpe/-]f
+eCEO1TjTuW\`D&qilfg)g<e-of$jEDs3q"rs3gttq9f#ds4%%rJ,~>
+iVWWNs82fnq>9^Y(]UscK#[ZepAFUUqu?TkrVHEgr;6Bfq;M2mrr)`gp%J4Zq="=_lh(5Hs8VKY
+s-R,$]A`bep\t3gq>0parqufnpA4IZ!;_3~>
+iV*9Ds7ZHdq=Xg_rqQ3])#"!6D1'.kr:0ONnFuhTp\FOWp\=LWp@[D=+8Yg-oC;DEqYB[]s6K=W
+mJ?_BmJMuB=16u_q=OR`pAF[aq"a[`q#C*^p@\.[pj`~>
+iRn.]s4I>(qUbi"eGdnreG[trfGN<,SQBF%g>CE5d*:"ida?OkeC<$ueC2k)e03GpeBlLedaZaf
+g"OKnhosm3b0f6l3^/tHgtL<6h::*-rm^qqq:,Dos4%%sq9f#ds4%%rJ,~>
+iVWWNs82fnq>9^Y(A7_%M,fPhq"4Udp%/4_mf3=cqYBs`i;3TLq#(*j)#N\!p[J4_p]'d`r2*h8
+Hgg7ts8;WhrqZBdq>:0hs82Ndp%nacJ,~>
+iV*9Ds7ZHdq=Xg_rqQ3](\[=tnUjVmeFW//s7,RUqWe%Vq=aLSp>GZeo(;_Us8Vukm/QhLs8MZi
+m/QaN<F9\+jn\rPo_JCXrV-9cq=jm`s7c6\p%JI]J,~>
+iRn.]s4I>(qUbi"eGdnreG[trf`0V>lJ$/7Dn=NJiS`#*f@@jof[eO"daR.(+OAHcg>1Q:e]-:i
+bhUt%h9P'6K02V)b/`5rg==p2e^j`LrR1Mkrmh%urmU\jq9o;mrmH;~>
+iVWZOrVQWmq>9^Y(]3_$s0l39RJlgQs8Vlks7GsVp\F^bro*_irqlKcqYKsYs82ionbE.Us7V"O
+A"W/frrr>qq>L9hq>0parqufnpA4IZ!;_3~>
+iV*<ErV$9cq=Xg_r:p'])#!Xfq"q<r<0[1Io)/FXp]'aPnalGJq>0(E+8Ya(o_/"MnGiC`q<mkN
+mecI!=^7?SqYL-cp%J7Yq#:$cq"a[`q#C*^p@\.[pj`~>
+iRn1^rRh/'qUbi"eGRbpeG[ttfGN;teDfMV4Z[fAda[(-dF@'uc-F\aeCN71e0!;ldF$Fld*:J"
+g"=QugsFp+?9LQ$aPP_.g=Fg-g"65Qr6kDjrmh%urmU\jq9o;mrmH;~>
+dJNJ1&GH/(rqbQH@uA%enac\Zo)AUf!rMcci;3WQq>1$grtY@lqu?-Xs5o/MI$EOgs6oaUp%n[d
+p\O^_rqufnpA4IZ!;_3~>
+dImS7r:p'])#!Ipr:op<RpC`Zk3VL2qX+.Vr;?Hdo^Ul6*;9(!q"t'jo\oNDlL=`1JmWY[f_kX1
+p%%\Jqtg9cqtU!]rqQNfp@e1R!;M'~>
+db"TOeGRbpeG[ttfGN;oiT/qP_LY'fS]K+&g"O^&f\+s1eBuS"e0*5ge(*+*h:0?piQTa,_du/;
+EP12dbLY.kf\5$0f$r4HdeVDlec4.ue+qDedf7hrdXV~>
+dJEq?oCrmns8Vibr;ZNNHsq<ArVQ<gqtU3eiVO_mrVuoqq"FI^s8;osg6$,aIb+5mo_8Cap\Fgf
+p[n1Up]10dqu6NnqtBmZqZ-JC~>
+dImS8rqZ9_&bl8#nEfiInCr(hEl%JAn,DqVo`+UCpE0)(rVZH_o()VTp%\O8MIU+>dII8*o)&:X
+q>UBfo_/7YrqQQhq=jm`s7c6\p%JI]J,~>
+db"TOdf.Yodf%\nee-Qpi7??2jOV.M5$"N6f@&X,r6bPmiRB+#f%Sg-dEg7riRuuF[r+])>-l];
+cd^_&e^rU3e^2aoeC)eEd/_VjeGe"ueGdqmdJ;5jeGdmH~>
+iVWZQrVQWkqYU<hoCs1!kPtSXoDejgqo=7nF0=U's8Dfhq"jpfiVWZT*W>j0q>L?js7OBeB6K?n
+s7$'Zli6hYq=saYp%SC[q"agdr;ZZfqXs^cqLA~>
+iV*<GrV$9aqXssaq#:*_p_`bbq#BpOq#0mX^j9$tVqq+Dq=aIQpA"LCp](+2q=aIRq>BdUl+DFM
+Cl$aAli6A7s7cEdq"XRUp\b!brV?9`rqQNfp@e1R!;M'~>
+iRn1`rRh/%qUbi"df.Yodf%\neem&YhWEJ=hW*ACUg?)[Mo4<'f$i$oe(*(/eGn/Ef$i$pf%ej3
+d@k#9;/El$c/Hpei7?T5f%/@"e(E1"daJ*Aq:,Dos4%%sq9f#ds4%%rJ,~>
+iVWWPs82flqYU<hoCr=^r;RE/q=t!irS=,cEfTJTp\k-jq=`eE+8Yd-qu?]npXt=1?#$\Es7Pm]
+r:'aOq=XFPnauYTqt^$_qu6NnqtBmZqZ-JC~>
+iV*9Fs7ZHbqXssaq#:*_p_`c)q"Xdcp[[kLqtAU.BkiFcm.:&Mq=X=;pE0,$o_8:]p[QLT;Ggc!
+o_n4Ds7u'^kP=fDoC;JKr;6HfrV?9`rqQNfp@e1R!;M'~>
+iRn._s4I>&qUbi"df.Ymdf%\oeed9"gu./Gf[o!=gq826;esCpd+6k#da-n%+4JWbeCiO)dC!OK
+3C](_iR,p.fZ`6ke^N!pcd:4pfDX.rdJ;;kec4.ue+qDedf7hrdXV~>
+iVWWPs82flq>1Wtq"jd^q"jd^q"jd^q#1'hp_3N%rVcHirqHBda,=beWm^A6rqt[N'`J%%c'rlQ
+>B?e*s8Diprq,g^n,N@a%/9]"qsXCVqY9p^qYL$brqufnpA4IZ!;_3~>
+iV*9Fs7ZHbq=Xg_rqI`4q"ORXq"ORXq"OOUoC;ABp%J+Jq=jCPn\BfjJ#1ETp\FR@p)Wr(mDtT3
+7SdZfg\(42qt]dOs6T^^q>C'_q>^6Yr:g?hq"X[ZrqQNfp@e1R!;M'~>
+iRn._s4I>&qUbi"eGdnneGIf5f@JL&f@em3e_f36gt/E:8RI1Rb1G=ukLLs3f%AR+f%AR-g!?UA
+;Csh'KtuEofA5-,celjuf\"p1e^iL*bP]cgdJhSjeGe"ueGdqmdJ;5jeGdmH~>
+q>:!ci;4#\qtg3dqtg6fr;6Ehr;?Bfq>:Z]U2b1%NkkPlrr2lprVd<'q>C0equ?HkrV69cq>^Hn
+'E%\$q>:0W_2W&.<E5(#qZ$?es7uO'qYg?iqu$?hqtp6eqYU-dqs!tMqZ-JC~>
+q=aXYi:[ZTp@n:Tp@n=Vp\=LXp\4LWq=b<QRqc\^LUm'Pp\4CTrV$rro(D\Io_J%Qp@7eGo)8=W
+p@\FT&bPeX\V=Ee9hpJ\o_S.Nq=aOYp]('dq#'jfq"OOIp@\.[pj`~>
+q:PMriRmtWs4@/$q:PMs35U5C:gIq1g>:ZAgt^`AgY:<0f\"d,gsk-4eCW7$iSE>IgY195g>C&I
+Ce$BA1hrc7g="L(f%0]Is47(tr6tereC*U/q9o;mrmH;~>
+q>:!cg&(UCq>:!c2t[.Me<=QQAW<@sh=LUDqu?]qqY0a\rV6<bq#CBgq#C6co]aZ!Mf3'-?[&3q
+s6BFYo^_nYq"=O_r;$6SqXs^cqLA~>
+q=aXYg%P79q=aXY2spYBc&6"3?A4fUf'E&&o_J=WoC28@p@7hFnb`.Onb;YDm,>sVK4e@b=)XMQ
+qW7DGnF$&Io_%tWq"a[Kp@\.[pj`~>
+q:PMrg"?,Rq:PPs382jCjKiqu5X]L>T=i\/hV-fAgXjs)f@nd.eCEI4eCEL6g=OQRMJc<\4@35)
+]&:QUf$2Cff?s9@rRL_nl-]=Ts4%%rJ,~>
+q>:!cg&(UCq>:!c');:mn,NF;P]UeUB5iHgU=/9'rr4/?o_\[es8VK)XKRt7?rpE3=(Zrjnc/UZ
+o`+shq"t*ho_JCaq>^<kqu?Tiqs!tMqZ-JC~>
+q=aXYg%P79q=aXY2t?J(kkkD)NGW<9?tjtKS'0d`r;HQemI^2IqYoWjV5KAm=AM^h:L87Jl2UJB
+mJm4]o_87XnG2hYp&Facp]($apZ_DEpAju=~>
+q:PMrg"?,Rq:PMr2q?L+bi.TgEDoM"6r.04J$6fChr*DFd+@%*h;QJKM3)sa5r^ha3(IACdcfT;
+e)B06dF?h!c2#lhdf7ereGn(peEPBVdf7hrdXV~>
+q>:!cg&(UCq>:!crVn\PqYU3jo[^F@OGo-0F*252GCtQrF'r9hCg^IG?>Fb?Urqm#rVccrq"t*`
+p%n^gqtg9eqZlljq"ad`r;?Bfl2()M!;_3~>
+q=aXYg%P79q=aXY2u3LRrq>sUp&FF*Y*OouKjJS5@ps>(I<B@/<b,cE<(pA(E.FLsi;NBCr;,sU
+rpTCNqtp-]q>'aioCV\Jp@n@Wq=j.Ip%JI]J,~>
+q:PMrg"?,Rq:PMr2r*HSiS)l8f]:DcOa:hXBL,Ek7RU0^?s$2e3CcV&3&3Wh<b?u``oGk0io&GB
+im5p!f\"^&f(mf#d*^7he'upuq:+ZVq9o;mrmH;~>
+q>:!cg&(UCq>:!c#Q=;ap\Xdas7uI<qu#]sX/N%qL6%Xs]"G;M_qk1hqXX@[qYg?fq"t$fr:p'`
+p\"F`q>1Ekq"X[]qu$Bfqs!tMqZ-JC~>
+q=aXYg%P79q=aXY#PdcRo(M_MrqZ16p@mX_VPBu]JVoS_[C<69^=`,Xp$M;Gp%\:RoChtRp[n+O
+oC;STq=b-co^qhMp\=OZpZ_DEpAju=~>
+q:PMrg"?,Rq:PMr2qlU&db*(&hU^3-eCN.#f%AZqTnnDXK4A_=JsVmcMP7Z7iRlN,h:UK9f@JX0
+g"4X!e'QCihtbb,d*^7he'upuq:+ZVq9o;mrmH;~>
+q>:!cg&(UCq>:!c!;?Els8*0"pAb*gqYU6ks7?6i,Q7W@qtp<^m.9uJs82fqrV6$Yq==C\qYL6k
+pAb$`p\XjaqYC$gq>^<kqu?Tiqs!tMqZ-JC~>
+q=aXYg%P79q=aXY$1[uorV$!Yo(r1]p+#n9rpKX_r:p*`p@e7JkO.p6s7Z9cq"*tEo^2>Hp%A4X
+nc&:RoCr"QpA+I_p&Facp]($apZ_DEpAju=~>
+q:PMrg"?,Rq:PMr2pp@<g=Fd(ce?t$e(3+*hTjp9hV-`=f\"m'ajAPhin2r?f[\<seBc\!e^rR1
+dG*0sd+$Roe+qMndf7ereGn(peEPBVdf7hrdXV~>
+q>:!cg&(UCq>:!c$2FJsp%eXfp%J7]rsS_rn,N@]o'l8Js7?3h#Q=;hqY0[WrVca+rV6*[q"t'`
+p\Faes8)?[qu-Hgqs!tMqZ-JC~>
+q=aXYg%P79q=aXY2tZq@nb)nZnacDNrquN[lhgJKmHa36qsO=ZrVuZ]o(DVDoD&:_r;HH_o'uAG
+qXO1Mq#(*an+HGRq"a[Kp@\.[pj`~>
+q:PMrg"?,Rq:PPs+kP,ke]cIpg!%dif\+s+c,eYle'6(]f%\L(h;.#AcdLACckG'ch:^W8e'HFh
+f%83odad%)e'.L7rRL_nl-]=Ts4%%rJ,~>
+q>:!cg&(UCq>:!c+TMB9qY0[Zs8;cjq>1$gs8)Qhs8W#mqYL6foCr"Ss8;lp'E%b(qZ$9_s8Vic
+rUp3jqt9das7uQlrVQNgqs!tMqZ-JC~>
+q=aXYg%P79q=aXY+T(s-p@IhJrqQ6]p%J1Wqt9UUrVcK_p%A1Rmdfr?rV6Bf'DV=qpAORQrVlEX
+q=4@^p[RqQqt^!dq>9s_pZ_DEpAju=~>
+q:PMrg"?,Rq:PPs+kPAqdF$7`dFm!sdEp:ie^i:#fA597eCE+'eBZLje(rRRee?T`e'm$sce@.#
+c.:1mgsjWtf@]oKs47(tq:+ZVq9o;mrmH;~>
+iVWHKq>:!cpA=mfrr)ZjdJDi!l2()M!;_3~>
+iV**Aq=aXYp@eO\rqQ9_o(__Ko(_2<l1XfE!;M'~>
+iRmtZq:PMrp=TDurn@5%!S>ilddblgeFM&HeEPBVdf7hrdXV~>
+iVWHKq>:!cpA=mfrr)ZjdJDi!l2()M!;_3~>
+iV**Aq=aXYp@eO\rqQ9_o(_bLnbD);l1XfE!;M'~>
+iRmtZq:PMrp=TDurn@5%!S>ildK%egec=4idc&^?dJ;5jeGdmH~>
+iVWHKq>:!cpA=mfrr)ZjdJDi!l2()M!;_3~>
+iV**Aq=aXYp@eO\rqQ9_o(_bLnbD);l1XfE!;M'~>
+iRmtZq:PMrp=TDurn@5%!S>ilddbiWdc&^?dJ;5jeGdmH~>
+iVWHKq>:!cpA=mfrr)ZjdJDi!l2()M!;_3~>
+iV**Aq=aXYp@eO\rqQ9_%/BSlp\=LXp\=LXp\=4OnbD);l1XfE!;M'~>
+iRmtZq:PMrp=TDurn@5%%bK4YeC)jpeC)jpeC)jpn'pmUiRI,>q9o;mrmH;~>
+iVWHKq>:!cpA=mfrr)Zj!;b1>!;b[Ol2()M!;_3~>
+iV**Aq=aXYp@eO\rqQ9_deMeql1XfE!;M'~>
+iRmtZq:PMrp=TDurn@2$%bB.\eCN.#eCN.#eCN.#nC7!ViRI,>q9o;mrmH;~>
+iVWHKq>:!cpA=mfrr)]k!W2`Apu2,7qXs^cqLA~>
+iV**Aq=aXYp@eO\rqQ?a!VlE;pu1u3p@\.[pj`~>
+iRmtZq:PMrp=TDurn@2$n^d6[n^?CGl-]=Ts4%%rJ,~>
+iVWHKq>:!cpA=mfrr)]k!W2`Apu2,7qXs^cqLA~>
+iV**Aq=aXYp@eO\rqQ?a!;Q-Zi:u:*l1XfE!;M'~>
+iRmtZq:PMrp=TDurn@2$o%3rn_:7_sq9o;mrmH;~>
+iVWHKq>:!cpA=mfrr)Zj0DbJ?q"jd^q"jd^q"jd^q"jd^q"jd^q"jd^q"jd^q"jd^q"jd^q"jd^
+q"jd^qVh>9qY9piqYU-cJ,~>
+iV**Aq=ZH8q"ORXq"ORWp\+@Tp\+@Tp\+CVq=sd[q"ORXq"ORXq"ORXq"ORXq"ORXq"N_AiV2U1
+p@nU^J,~>
+iR[hVq:74Ne^r@'e^r@&eCN.#eCN.#eCN1%f%AR*e^r@'e^r@&eCN.#eCN.#eCN.#eCN-cdco-T
+d/qbGeGdmH~>
+nb_kQq>AnB/Gf8?qtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqtg3dqte))"Sqff
+p\01~>
+nb;SIq=saZ/bo)8p\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=LXp\=KVq#0se
+pj`~>
+n^?sTq:#/f0%&"mcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dU!Nbd
+"4PZEd!u~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/quat9.ps b/books/ps/quat9.ps
new file mode 100755
index 0000000..4a414ed
--- /dev/null
+++ b/books/ps/quat9.ps
@@ -0,0 +1,1282 @@
+%!PS-Adobe-3.0 EPSF-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /tmp/tait9.ps
+%%CreationDate: Tue Dec 26 13:21:36 2006
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 165 164
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 149.250000 translate
+150.000000 -149.250000 scale
+% Image geometry
+200 199 8
+% Transformation matrix
+[ 200 0 0 199 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 200 string def
+/gstr 200 string def
+/bstr 200 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:        75730 ASCII Bytes
+colorimage
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+g&1C;nbi4[q>Bd[q>AY;#Q">qr;-9er9F1Zq?H`kqYU0fr."~>
+g%Y%1nb;kQq=jFQq=jXWg\1sHp\=OWp@n@Ip\ssfp\jf9~>
+g"GoJn_*`jq:Y;jpY#MtrRT`Q#Lh2Qe^N!se`tZ`dKS.Of\"d)J,~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEc_Y=')s7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpiR5rmCu"f%AX+e:7~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEc_Y=')s7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpiR5rmCu"f%AX+e:7~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEc_Y=')s7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpiR5rmCu"f%AX+e:7~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEc_Y=')s7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpiR5rmCu"f%AX+e:7~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEc_Y=')s7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpiR5rmCu"f%AX+e:7~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEc_Y=')s7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpiR5rmCu"f%AX+e:7~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEc_Y=')s7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpiR5rmCu"f%AX+e:7~>
+ao(u3q>Bd[q>BLSq>A,,s7urpqYL*dr;;'~>
+anPW)q=jFQq=j.Is7cEciV2m9o(W.Ys7cKcJ,~>
+ak?LBq:Y;jq:Y;js4RA's475%qpjZTn^d9\rmCu"f%AX+e:7~>
+_>O-+nbiCbs8;ln(]XI/p\F^^p\4[as6BLXqYpKlp\+F[qVM,Lr;QZSqu?Ksq"jjaqu$AB~>
+_>!d!nb<%Xs7cNd)?9R+o_/(Ro^r%Us6'1Op\FXZo'uAGp%J+Fp\+=\p\ssWp@J%Xq#C*ep4*~>
+_:eY:n_*oqs4RD();a&re(*(#e'm%&hT"0uf\G98eC3""e^i=;eFqJnfC%8kf(7DjdKS.Of\"d)
+J,~>
+_>O-+nbiCbs8;ln([CYms8Dfms8DZ]s7lWmqtg-es8W)oqVM,Lr;QZSqu?Ksq"jjaqu$AB~>
+_>!d!nb<%Xs7cNd)<^Pfs8)Kds8)?Ts7QEgq"=:Ss8Voep%J+Fp\+=\p\ssWp@J%Xq#C*ep4*~>
+_:eY:n_*oqs4RD()91%XhV$K5hV$?%hpgT;g"=p1iSiP@e^i=;eFqJnfDX@nf`BaVo@3cf"k;,U
+f[eQ&~>
+_>O-+nbiCbs8;lns8Ni0oC;GHqu??Zs7c<YnbVkLqu-<ds5*YQr;QZSqu?Ksq"jjaqu$AB~>
+_>!d!nb<%Xs7cNd)?9[/nF#f<q#9jPs7H!Pme-#:pA"7PrV#sNp\+=\p\ssWp@J%Xq#C*ep4*~>
+_:eY:n_*oqs4RD()<9T*dEg4jg#(9)i76E)ce-Xmf\4m+h:C0CeFqJnfC%8kf(7DjdKS.Of\"d)
+J,~>
+_>O-+nbiCbs8;ln!r)Kerr36$p\+7Vs7c<erri>uq=sdAqu?TnrSm_Sq?H`kqYU0fr."~>
+_>!d!nb<%Xs7cNd(A.:or;Q]jo^_PHs7>p\rr;unp@RtKrq>[Pp@eO\rqQ!VoCr7Zs7cKcJ,~>
+_:eY:n_*oqs4RD((=h!ih;R8Ge^`+%i7?K9iT/tPf[eU&rmpDbp=B8qn(@Zko@3cf"k;,Uf[eQ&~>
+_>O-+nbiCbs8;ln(\@G#rV6'Zq"spfq==1Wq!\%Vp\FjhptkoJr;QZSqu?Ksq"jjaqu$AB~>
+_>!d!nb<%Xs7cNd)=I+jq"!qDoC_eQo^)&AoBPuBo(;kXoChnDp\+=\p\ssWp@J%Xq#C*ep4*~>
+_:eY:n_*oqs4RD():@$kgXt!+f%\j8f@&+(f$2h"eCNL3e(3+9eFqJnfC.Alf(7DjdKS.Of\"d)
+J,~>
+_>O-+nbiCbs8;lns8W,ss8NE)q>^6iq>U<lqYpKtqYC0kr8.>Nr;QZSqu?Ksq"jjaqu$AB~>
+_>!d!nb<%Xs7cNd)?9U-pA=d_oDS7UoD&%Zo_eafp%8.Zp\+=Hp\+=\p\ssXp@@tWq#C*ep4*~>
+_:eY:n_*oqs4RG))VO93hV@/Ni7[5EiS!/EkM"hRhq-H8gt1-.ldYXZs4?_l!7p_jrmCu"f%AX+
+e:7~>
+_>O-+nbiCbs8;ln(\IS'q=3qIrqYgVs8CpHqtBRRs8Vldq;2#Kr;QZSqu?Ksq"jjaqu$AB~>
+_>!d!nb<%Xs7cNd)=I.loBYZ1q"*P>qY/b1p$h><rVlEWo_/"Ep\+=\p\ssXp@@tWq#C*ep4*~>
+_:eY:n_*oqs4RG))VN]sinN#2g>Lf1i8W_5e_Sg&e)0*6cd^OsldYXZs4@8&n^d9\rmCu"f%AX+
+e:7~>
+_>O-+nbiCbs8;ln(]==$V-R6"o(hDCm_<diRp9Wtk5Y>Ns5*YQr;QZSqu?Ksq"jjaqu$AB~>
+_>!d!nb<%Xs7cKc)#rfl=&Y^WoAB0'\SQGS<b%NUs7YpZp@dhHp@eO\rqQ$Wo(W.Ys7cKcJ,~>
+_:eY:n_*oqs4RG))VO!3dYU7QLt:D(h9r'!@!t.,HGedqceR+&ldYXZs4@8&n^d9\rmCu"f%AX+
+e:7~>
+nbhqUiV_j:s8;ln(]F5e86_NlfQD$0s)EcqC6VS*^[h=&pq$A&q?H`kqYU0fr."~>
+nb;SKiV2L0s7cNd)>3TO5Z<hLcu!=er+UUV@ZF,g]']7goChnDpYki:p\ssfp\jf9~>
+n_*HdiS!AIs4RG))VO',D(S#&8%i)'j69T[4\^#O5b-0Rg=+X(ldXnEo$mZe"k;,Uf[eQ&~>
+nbhqUiV_j:s8;ln(\>@8@f69%Yu%7rbb2^fQcN?.]`8$,q!%YUr;6?kqV(iHq?H`kqYU0fr."~>
+nb;SKiV2L0s7cNd)=+_">4hjbWCWQR`0e#FO2=mk\,6'ooChnCp\XXap$)2@p\ssfp\jf9~>
+n_*HdiS!AIs4RG))VN]:1.U<ihNg$UjKXE7;L59$0:CYPe'ln!ldPpdqpkbtl.5FTrmCu"f%AX+
+e:7~>
+nbhqUiV_j:s8;ln(]TRRFT;%2<+s_[o)GUgs7r@UjT"uIs69F[r;ZZnqV(iHq?H`kqYU0fr."~>
+nb;SKiV2L0s7cNd)?,==C&[De8R9C/kPLcBq=C,?huE9:rq?'Lp]'sdp%e=@p\ssfp\jf9~>
+n_*HdiS!AIs4RG))VO:n'ijPMgbh[0i7$kF2r`M?Fi!+fd,*@)ldYpcs472"q:=QTrmCu"f%AX+
+e:7~>
+WVlbos8;ln([>@4gAh3!@<2)Ar;LhUs8VHWs8Vfis69F\r<<,rqtg-agACpH#5J&kqtp<hJ,~>
+WV?Des7cNd);eCjchR7Q<bLatnagL)q>9@Cs82?[qtBaLp](!lp\+=Ro^qtQiqNHIs7cKcJ,~>
+WS.:)s4RG))VN4t4hKe8YX2:?lJ:>u:?(6Td,Ws2f%\d,ldYse"kV>Ve^W+Ef&G3YdKS.Of\"d)
+J,~>
+WVlbos8;ln(]S;qs7Gu19rn<mp;C=NkkP)Ur;-Hno'-&Nr;ZZnqV(iHq?H`kqYU0fr."~>
+WV?Des7cNd)?4,]ror]d6D4&Cla^!"i:6R=p\"I]mIp8;p]'sdp%e=@p\ssfp\jf9~>
+WS.:)s4RG))VO7G<p8#^=Y,Hggsr/`S&s:9h:^E:gWe=#ldYpcs472"q:=QTrmCu"f%AX+e:7~>
+nbhqSiV_s;rr)lprqdE"G%p@7gLF7`r:0fk=R,qaqY9g\rqa5's7urpqYL*dr;;'~>
+nb;SIiV2U1rqQNfrq7&hCL6#`cr`p6n`KhI:#GpBp%.bHrq6<blhBrCiqNHIs7cKcJ,~>
+n_*HbiS!JJrn@D*s4A7Cc;dEZdCMY$i7lWBO#P2@g"=j)f%8I&f%00:n^c^LrmCu"f%AX+e:7~>
+nbhqSiV_s;rr)lprqcs#\o`1hTj!][rs\\7T_JEbs8Muoo_/=Lqu?HqqYU0frVbIIs7urpqYL*d
+r;;'~>
+nb;SIiV2U1rqQNfrq760Y\J'@QV`S4r:fWaQL4D@qt^$\n+$GOp?VJQoEFp]p@n@Wq=`hBrqQNf
+rUta~>
+n_*HbiS!JJrn@D*s4A7Ck*JqFI"""oguI8AR!mK>gtpf>f[8+(f%0*8"kD2Tf@\aOf&G3YdKS.O
+f\"d)J,~>
+nbhqSiV_s;rr)lprqekQs7t"@qdH,ls8V`ks7ZE`qY0U\s7uBcqYU-dqYU-dqYU-dqYU-dqYU-d
+qYU-ap\FX_r;QZlqYU-dqV_8Nq?H`kqYU0fr."~>
+nb;SIiV2U1rqQNfrq72uqXV`'oNIXPr:o[Ws6o[Mp[[hLrUf^TlM(;M$hj>jq>0gZp@n:Tp>PcF
+q#C*ep4*~>
+n_*HbiRp6Df%AR+f%AR+f%AR+f%AR+f%AR+f%AR-f\4s1f%AX)hU\dafKO]5i7u`<j3u`1f[S7%
+gsjd'f'Cicd1"ORf@JX,f$r:#f$r:?eGdnjeGdl$dF-Oqf\"d)J,~>
+nbhqSnb`XlqY0sgr:p-aqZm)sq>(!hqt0^^nb`@d47<"Gb>QUbr:]gZqtg$^o_A@aqY^?iq>9s`
+q"a[[p\O[]q>:!`r;QKeqYTm]q>:!bq>0m_q"jd^q!\%qrqHBkqY1$io)Jaaqu?NfqY9p`qtp<h
+J,~>
+nb;SInb3:gp[n=\q=XLWpg*Xdp%\FXnFu_Pq"ORXq"FIUp\+@Tp\+@Tp\+@TpA=dPpAW'+aSkl'
+nFZGIoChhLr;HKfrqQ<aq"ORWp\+@Uq"OUZq=aa`q"FRZoD&.Vq=sd[q"ORXq"ORXnG![noD/F[
+oD8IRr;?0\qtBaYq"OO]p4*~>
+n_*Hbn_"0*f[\a5g=FpPff.R5eC*"%f$2gsf@AL'f@AI%f$r:#f$r:#f$r:#f%/U4bLkaO0<3p_
+e'ch"f@&3teC`R-f%U,Rrm^nqrm^qt(=UpgeC3"!cdgLpe()psdaZ^pdaZ^pnBr-&c-tCqd+[@$
+gtC'&e^2XidaZk#f[eQ&~>
+nbhqSnb`adp\b$eq#16jr;6Kis8*&tq=sa\qtp6cr:0Y#li7"Up69dsr;?Nlrr2rtrV#pYp@@bH
+rVH?crV@&qp@n7Rqu$9`p\4IXq>'m_q!n1sr:p$`rquQas8Vriqtg'^qY9p`qtp<hJ,~>
+nb;SInb3C\o_JCYp%n^aq=ss`s7lWes7?Edp\4CWq"".rp?;PVn+2Z`pA+O\qYU0fr;--[p\+1J
+p&4a_q>L.#o(MhNpA=d`p@n=Vq"aa^kkGe`oCr+VoC2VSp@J%PoChtSp\4X[J,~>
+n_*Hbn_"8te_8g2f%]3<g=cJXs4IY-da?IjeC;tCeah3,f#QY-cI?f5e_8[1g"b<;gY($&e'cOd
+dJ_Ylec"&0cI11hdb!.%da?IjdaQ[pkgC6jc-k4oe'Qh(e'QOic-=YaeCN:)f$o3~>
+nbhqSnbiFd#lOMoqY0U\rVQTi!W)]mr<3&pqYgHir:0Y#s69(Hs(.>fp\Y!iq"44Os82Ziqtg3i
+rV63arV-p$rr)]irVcWmrr)clqYL$PqA8u-qY1$iqu$6[nb<"ZqYg9cqYL*dr;;'~>
+nb;SInb<(\#l42fp[mtPqY:'`!;HHe"S_T^q"jg\nb*e!jQuC9@#X^JpA4UVn*fiFq"ORYp\=[b
+p%e=[oaglqqY0a\qY9sbqYBp\p\*nH'_q@up@J4\p@n1GmIU/JpA=X[p\4X[J,~>
+n_*Hbn_*rt#hmn^f[\C)gY)SX!SH*)fEBgVe_&UOfC@E.j2TEnj$I\7e_&^4f$VppgXk$.f@JR.
+rRCYnrR;A1g=b'.g"Fp.f[n^)eC;t4e/6W[e^;[qg=Fs-c-"D_dEpCjdaZk#f[eQ&~>
+nbi4[nbi1Zs8Nf1r;Zfqrr)]hq"X[]s8MurrVHBfq>Bd[([:bqrQ0!8m-jWDrVZTns8)Ncq>0p`
+qu6EiqZ$HkqYp<jquZ`ip\ss`qs!q]p](9dq>:$crsJc(pA4R\qYU0fr."~>
+nb;kQnb;kQ(\mq+q"apgqYU-`p@\+Pp\Xd]q=sXUpA+IQp(-6Vs7jNIg?7bjp%\:UqYgEd"SVT`
+p\=a]rV-?erV-<bs7l`jp%87Vq=s4K'D)8%nb)VKrVZNjs82Zgo_A4Up\jf9~>
+n_*`jn_*`j(YRX#g"P?@gYCQ9f@JO)f\P65g"=j*f(mqtekF`If[e^+f[e^+f[e^-a4KD,VbOkI
+c-t>"g=kB@f@8C%f[\X+f@AL(f[e^,g"+g,f[\U(g=Y'-e^W1"f@AL'f@AL'f$r:#f$r:?e/-Eb
+f?D[ofAGH?h;$Z5eBQCheCN:)f$o3~>
+nbi4[nbi4[(\@V*qss7MqYg?hqYBs`qu$3^r;ZZgp\FaWq\T;3nb7NWke$imr;6?dq"O^brr)cl
+q"F7V&,c>%rVlfrs7Z3^qYU6js69Csp\t-eqYU*bpA"[anG<1\qY9p`qtp<hJ,~>
+nb;kQnb;kQ([h(sp?h29p%\:Tp%7nLp@n.Jp\OUSo(i%Mp)!Z$lL9%;iO&@Qp%7kHnacGLq=s^X
+oC;AG&,5ekq"aa^r:0@Lp%J1VqYBjTpCm/pq=XFSo_%bGqtBCMs7c<`p\4X[J,~>
+n_*`jn_*`j(X_!qg!J$of\>-5f[na-f\+d'g"b60eG7etfM1&Og">!1g">!1g">!2i8)c2?<5+8
+h;$c=g"=p,g=k?9g=Y!*gY1E9gY1E9gY1E9gY1E9g=Y*4gtUZAe'cdsf\"s4f[e^+f[e^+n^JB#
+e^i1!f%/I%e_AQpdG*'rdaZk#f[eQ&~>
+nbi4[q>L-eq>(3nq"FXas8Mloqu?KtqtBdas8;coq>Bd[#QOYts%uD/kPkJirr;rrqtBg]q>1'f
+q>L3jqYg6iqYg9rqY9maqtTp\rr3'!rVYgT(A%J(rr)lns8)comeHhYqY9p`qtp<hJ,~>
+nb;kQq=sd[q=P!hoC;SSs8;cnp&=[bo`t3\o(r:YpA4UZs7Rc3p@\.Pp@\.Pp@\.Pp%n:Ms$oGi
+i;<BFp\"7Po^DDEo_&"Ro_nL`p&4O_p&4Rnp%.hMp@IkHqtp6cq"OLU*V]:%p@n:Tp@n:Tp@n:T
+p[@nWq=sj[rq60`l1G#Tq#C*ep4*~>
+n_*`jq:bYtq:>l-f$rF4inrVlf`'S'fETgSgtp`:h"o\Pg=b06g"Y37g"Y37g"Y37gYgc;jt8*Y
+`o>q5h;$f?g==d,f@\j3fDXD&f_sG%f_sJff[e[.g"+^)hVI#BgY(94g">!1g">!1f$r:#f$r:#
+f$r:#f$r:#eB6=tg"P96iRco<ajK"odF-Oqf\"d)J,~>
+nbi4[q>L-eq>(p-o^i(^p\+U[q"jper;6?gqYgHhnFutYr:9^lr:^0joU3l%s7lKjrt,//s8;lo
+p\4Xdr;Zcpr;6?hq$m2tr;HWpqY9sfs8MusrqQKgs8)QhnbX.&nGiO5^YJ#PlLt8Xq#'[Yq"jja
+qu$AB~>
+nb;kQq=sd[q=PR#n*^#Ko'uPGoC_kQp\+:Sp%\CTlgk)Op[[tuo]u8Dl&EITp$D2?p%.bGp\":R
+nF6/Hp%\:Tp%7kSndY3_p%J.ToC;JMr:fp[rpg!Ys7?'Znb*Xom/?e%]%>sAjmiBIo_@nMq"OO]
+p4*~>
+n_*`jq:bYtq:?G=da?k,e^WC(f%A^2g=b-4f\>65cILtNgAfnXh:pc?h:pc?h:pc?h;-W?hU?\J
+jknYChV[/Eh;6oBgXas2hV6oCgtUQ9rRaQlg=tE=hV$N7iSr\KhUg<0f%AR,fA#!5g"Y37g"=m.
+f%AR+f%AR+f%AR+f%J1$g8^[S`TG7jiS)]0ajJPdf%AX+e:7~>
+nbi4[q>L-eq>(Tps8VJgGCH=ZpA4aerVQTj"oS/Zh!"e6r:9_Er;Z`qp@J=aqZ$TolHZl=VQHhi
+Oc#'TLjso'I!U'_GB\:WH@10kIu9/LUTCT%[F3X]jmMmBs7uT_q\T;)s6+r<Q+EN7V!IsRrVHBc
+qYL*dr;;'~>
+nb;kQq=sd[q=P6fqZ#cXEd=8Fnb)\Qq"F^["o%WKfAl`(pAjpXof2U:nb;>3qY'@Kp$pnUX.GfU
+U6pgjKS4o$G^":OEcH&;EH6,CGBe@bKT;S!VQ$`Acdgn8nFueTp$q_hs7$'KH<?68QZo(ap[e1S
+q"XUXrUta~>
+n_*`jq:bYtq:?,+h;lb;<Et+'eC`O2gY)SY"kqPI]#NS&g&Tpuh)F6GiRH99i7QlCgW6I]LkU_B
+IW0"9C1gjZ?!CH6=&r@'=BSj6?=%>\FFoF0O-HoW]>VtFh;J+`!86qq(Z<Qs`EYKIRXJInaP#%p
+eC)dpf%AX+e:7~>
+g&(jIrVUp;qYBserK1#@IUltqe,0%Bs7$'aoDQ;!q=jg`qu6WpqY:*iqYC!bqtg9fq"t*jp[[q/
+[@*&6N/M:[BPM@$E,]i4A7B+^A7/bQB5`'HKnb85KSPD<HZEM*C2.EqD/sN9EbfWDLP:SBZ*)%9
+nc/C\qtp6frr4&2rr;`ms8Mimr:jemlLXYP=bQhSo_J@YqYL*dr;;'~>
+g%PL?rV(g8p%7hOp52O$G?nKUbk1Q)q!%bKmJ"#^oC;PHp%\CYo^_nSo^h_Jp%8"No(DhRn`o>_
+WJuL[J:Ca+>[CfIA7]Fa?!CWB?!195?taS,IXccnI=QouFDG#c@q/qUAnu!pC1Cq$Islm"WM[>n
+l2L5Eo^qbJq>C-Vp\s[^q%WSqq"OAe60.G$W`+EIq="%Pq"OO]p4*~>
+g"?AXrRl\Qf@JO2gi,"f>sgtBZJ+$khTt68e(pLKg"5$5gYUlFg=YHFhVI&Ghqm>Kgu%/OgXX`]
+PBUhXC2$((7S$-F:/=YW6U=+/6U*b"7S[&nA7]7[@qKCb>#@LP8P)EB9MnSc;bU%rBP)!pP)lHg
+dcAs1f\"g/h;I2;gZ$`_h&+kqf\+eA-d'ujO?$e1g!A-qdaZk#f[eQ&~>
+g&(jIrVT[mqYC0\c;%;bs8@@On+QDRoDe=[s7_V]s8)cnqu6QhpA+CXs8;6/XdGB7L3mrXD/aZ;
+D/k&`Pa/2IZF[uueCMskdG4'^rr;llqY^?mrqufrrVlg_r:g0gq!HqecHaPT_60Q,RurJPL21FI
+?t=tCKpAaR`5CsAs7?3^s6]dWr4>j7o_J7P:204tmf3.YqYL*dr;;'~>
+g%PL?rV'dpp%81Ha%&gFq"Al3kjRp8m/QANrpblJqt0aYp%\:PnFQ,@q=`slVim*tJ9>[@B4u'l
+@:jS2Ll.^pVQ[MGaNV`Gb15SBp\FIQoC_kQp\"CXpA"O]p$h\Kn`JHIa2^!P_muY6R?NJWEdhM*
+EEHLqH[_!O\%TH9q>]gTmf2GEn+X7a>42"PlptXPs69LWq"OO]p4*~>
+g"?AXrRijVf@Js-XXu;3hV;?ucILD%dcSp<jO\@7iS*5FgYUc=f%\g5j5A:iOaMFqC0t$@;.im)
+92Jo/Ecd%mOI;iDZEp^9Ye/'/h;?r>g"Y?>h:plEgtq#JgXb08f?Cq6Xf\V)U5stZHu`n)B1tj"
+5so0i@WI<pTqKN`jNuW/jN?3&fpOT\f%\m-0M0RKbM(CmeCN:)f$o3~>
+g&(jIrVSSNqYC0kI9JVQpA^5Oq#(0js5reMoPT-Xqt0[Uq#9j7^q6D)G$e6N?tWYREdiq>\]j^>
+qu6Qo7K!#[qY^3fqY^-]pA+XaqYpHkr;HTjq#'s]pA4^bqY0g_qY'UVqYgHor;$9do(r([qt9O!
+[[324FCelnDe4`s_>*a'rtb&&GXdkoqXjeZ<lk12r;-3bqYU0fr."~>
+g%PL?rV'Igp%8.SF&4L)m.Z7)mdg/Es53)@mV$kFp$VD=o(_Rt]!\,fE*5t6>%(B:Cj:Z&Zc;A#
+nb;qZqY9XQo(2GDo(2PGnF?/Fp\"@Wp\4IXp%.qMnaZ;HpH8->o_.tJnFH8HrVZB\p@IYCnGi1M
+m(]`cM0s&B=']BAI[.D1m/Qt[l25TfN:uo3s$KW#p@.nQq"OO]p4*~>
+g"?AXrRj6af@Jp9=uR1oe)"qoe_/j6k/Ga3ekfc<h:C<2g>LJiU7I$[=@"l+6:j:/<+'QpS$(;l
+f\PQIiSOC`=52<TeCWF.f\G68g=tB7f%Sa*eC`L/f[\U,f[SC#f\PTIgtCK9db<:7gXX`KQ$.+V
+;*mH79L<<<T%2<PhqcK5<[MqHhUq$B2Q#-Tf[A3tf%AX+e:7~>
+g&(jIrVR6(qYC!C8kE^js80Cbq#CBQrr4"iLJc4\k0L8tIs#F+<F9TcKUAgN_8G^7rVcQerqucu
+r;$*\qYpZss8W)tr=8`#qtg3frr;uqrqlKcqu6Qtp\Ojfrr2pVnb;nUqYpKirV$9bqu?Tms8VcX
+horBtR')R-?<N'^rUp1k:!NV0pXDr@]C,^lqY9p`qtp<hJ,~>
+g%PL?rV&AHp%7b%5X/TBp@5B;mf3.8s7uT>JP3rDi5r!\H#I.h:K_=KIZgP6]=mFtp\4:Mq#C?m
+r;$$VnF->OrqHTks8Dcmp^[#ip@\.Rq>0p]q=aFOpAXkLo(DeRq>:0km.'`>o_A4Qp[J"Jp&Fa[
+s7kp=e\\8LNhhGZ<)7r9p@.uV8&t>mn]j[([H[_^q"XUXrUta~>
+g"?AXrRh2'rms'=-RM:3h:S(,e`Pi)k25:1Beuj9aK^nQ@96&]2aL5@ApTH+USZ>ihr!2Bi8s%\
+inrMCf%'`Vrn\(=j58YGgY1?3g"4p1rnL&tgt:3.g"Y<:e^rR1gtgrLce$n(g>:]>h:CK7gZI;I
+k24V.]W$s=Fc1-K4#UX)g="k:0<a<fgUK"#S'9s@daHXrf\"d)J,~>
+g&(jIrVRi9qYBd"85?Ags8DZerqQ0dqX)0o@TRYdA7]@V>^)[OjSo0,qYC!ds8Vcgrr;okp%A+U
+q=sa^s8Vfeq"jpes8Vcao_84\rr<#trr!K-qY0maqYL*dqYC*gr;-0\o^r._%K62%qtU3gr:9CT
+qu?His!%I@rVuHNlD[`cs7cKS:M0CuqYQ=H=Q&iOq>0m_qYU0fr."~>
+g%PL?rV'"Zp%7OX4[Z%=p@@P;oBkiBn)_/N>Z#BL?=.)><cOD7hYd?Jo^h_LqYTaRq"aXSn*fi>
+o^h\Jqu?3WoC_kQqYK^OnauSPqu$Eirq]+[p[n7Up\4IXp\+I[q=jOPnaZVYrV?3_p[nCXq!RPD
+p\aRRq>0gVo()eCgY\So:AODSi(7>IoCMU278hk.s7Z6_p\4X[J,~>
+g"?AXrRlMLf@SEC-S:A:i7ul8h:L0?g!6HK7QX^I84cE;5[/`4aQ2I?g=b39i8N5?hV[,@e^`=(
+f@JO+hW!&8f%A^2h;-N+daQk%gtU]>gY(?6f[JO*f[ea-f[\a0g=Fg%daI+6i8!&@g=P69gX4C%
+g>^`@j5f.SgtX"8dDa4`1H=:AgVtm;gu.,LF"]SidcB$.daZk#f[eQ&~>
+g&(jIrVR!!qYB]n;d.uOp&=t+r;QT[VKG0t3+Yup]$(!Hqu6NdoC`+V%J]eqp@J:^r;?NmrVcZn
+rWE)pqYU9l"TJ>qq"Odf%fZG(qYC*fqtp<hq=ja_rqmK,q"OLVq>1$gs8Vifp@e7Vqu$*_rr4JD
+o'lANs8W&pr;YN\Ui(WXKBDh+ZVm%fr;PG_5@a`mnGW4YqYL*dr;;'~>
+g%PL?rV%N0p%7IO85IY#lM(#Onal8/Rr(/S11*^X[)M_0p%\7LmI1&D%J'/_nEp#Fp@e7Up\=L^
+q&T5&p%J=]qYBmYoCW%]rVQHdp\+IZq"X[\p@S+SrqSbPp%7kJp@nC[r;H9Zo()DFp\=7Orr;lg
+md'?3p@\"Gnat20R:C;,Gi.obX\=cTp%QsC3F2[[lh^DOp\4X[J,~>
+g"?AXrRiCIf@S?:1-)tueD]?LgYLT,KiTHP*(`%UT!.&-hr<SIf@g/S0%en2f$iL3gt^`Bh:pZ<
+gtUQ7f\#*<h:pZ8f%&U4gtLH5f%&I+f@S[-e^N+$rn'QgeC2jpe^iC,gYC?1e^`7'g=t*0iSr_H
+dE^:si8<>DgYTN-K2#W)@`?gPP;IOKioIpL,=gtScJ-dqeCN:)f$o3~>
+g&(jIrVRi9qYBlb<^?]Ws8V`kp$p4"6W%-#;J9]hLXtS_s8W&orr2p?qtU!`qu$Eiq=sd^qu$0^
+q"jmbq=sXVp\Fads8Vieq#:*hqYp3qq>:*eqYC!bqtg<f%/BSkp@n=Tp&G!fqY:'`"oA#`o(;_V
+s!IX:s8VN!O(Dk&pA\$Ws7cGE?.8cNooW$@WrN"`q>0m_qYU0fr."~>
+g%PL?rV&bSp%7XC9/ZP0p\a:NlK5lK3([+V94;4LJC!*Cs8Vfap\b!dp@IqLp@n@Uo^h_Jp@n1N
+p%S7Vp@\"Jo_/+Xr;H9]q#:*hqYp3qq>:*eqYC!bqtg<f%/BSkp@n=Tp&=mcq=jm]/,Ar.nalMT
+s8DHQp%m^QKN_NOlhX,1s7#c3=3^L5mYXP%V#'fJpA"FWp\jf9~>
+g"?AXrRjWlf@SN.2':l-iTAVKeBk3H+u2DV3)31UD7n'Lm-NcjjQ>LYg"+d-g"P36f@JR+g"Os)
+f%/O+f@89te^`C-h;$K-eGe"uf)F,)e^rI*f%&@'f@KrO%+NbTdaQ[ne)0!9g=ZDU0A>(*daZq.
+jQ"tEhrN%NDF?jLe`8H.k186s5I]V3gNPM+NoJj:f@&*sf%AX+e:7~>
+g&(jIrVS_RqYC*:8q$F5OFdH3mn$2M<)L$TlKI^3jg09;kPY5Qr;69`q>:0ir;$0crr2ikqYL6i
+qYL-hrVZZlrqcTh%K62%q>:$gqu$<gq=sU\pAaeOp\F^_q>1!dqtg'\q>1$`q"O^^o_\[bqXX@[
+s4X#^@:u\As7FB<b4GN,D/0+Ar8^aBAH1`as7cBbqYL*dr;;'~>
+g%PL?rV&AHp%7t!5BZ;bKm*4aj?>k!8Off/j5K4lhQ1duiV)s:p@n.Lo_81Wp\"1Qq>0jYp%SC[
+p\4L\qYC-crqHEc%f,tuq>'g^r;6<dq>'^UrV$9a4nndLqYC!br;6?bp%J4Wp@\.Tq!e.Yq=a7E
+q=`-tAQN03r;,Zk;SVPjoOh_7m.T:04C8!CnGW"Sq"OO]p4*~>
+g"?AXrRijVf@Sf_.:1Q^Dd_P^c6t1s1GYB5dEgD#bF)b&bM_:7i83,;f@o$8g=Y$2gtg]`fE^6b
+f%/L-g"?;Urmq%u%GB@ce^rC,f@\[,e^VtEdf7]\e(*($e^i@)f@JL'f@ns1f%8X0e(im9g!eR5
+i445/5"(7fiR=\eWRT\V9had%i5df'7chS>i7$-&eCN:)f$o3~>
+g&1[C/bo@*:TC14])DKj?r:$69iu_!S?pMGX/p^>q#9sYq"smaq>:!bq>0m_q"jdbqZ$Hmr;QZi
+q[WK"qYU-dqY^6gqu$?hqt^(QrVZB[q>^Kip%J@as7Z3bpA=mfr;6BekcT,=?Z`dVq>U*fNF1lA
+S;;NGR[f%GC7s8Lo(2VNqY9p`qtp<hJ,~>
+g%Y=9+S5Vf8Y_emZM!eG<CT\]6;MQOPH;g)Uo/J*o_S4Lp\4OZq"Og^s7cNfq">3lp@n:Tp@n=V
+p\=LXp\=RY48SdEn+Qe\p%%_Ls82EYq!n+Sq"FIToAHKa>$,XGp[\(Iqh8,/m?W?HJ!?7JA7_7[
+lg=-2p%\=Vp\jf9~>
+g"H2R+P,[k08Y9]S)2oC5r(Gc0L0/hKUfH:Oca#$g#(B0g"Q;Up=TDurn@/"%bB:`f[e^+g"4p/
+g"4p/q:%X\f$MXigtU9)db*F4eCE='gu$rEhVHr0O]Xt7;3T_ag=,"u5g%`,BNo%oHt5i?I^dVK
+d+$RndaZk#f[eQ&~>
+g&1[C+92<0Y?5,Bs8W&mXZgL&A7TCrHd)0[]#VJZqXX[dmeQ\Sq#:0jr;QZbqt^0cqEOTKs8Vuk
+p\+Xep\+@Vqu6WonaQSW`I_&bCpE^6s7cQks7LMmq"jdZo_&"Rna#]Es7Y^DpA=^]qYL*dr;;'~>
+g%Y=9+8kp"WDZj(p\a^OU,-/M=^,6JElIJ=[)9EHp@81_mJ6PQp\smdp\ssXp@7l8nG)t[q"=:N
+s8)<Vo(2SNqtKFAqY.aP9LiWnn,NFXqY'dRD1h?Ko'l)9o'u)/lh^YOjQH(4q#C*ep4*~>
+g"H2R+5bi#O#T=mi8rhKNZUoS7ncifA$t+NSuSF:gXG0@cM?/ef`0Y(g@<hkf`9V"e3D4.g=b$)
+dEpk+da?Rpg"bQBe'd=9WFe.G9p!ocj3cT3hU5G@gYLT7eCE4'ccOGeiR>`cdFH[neCN:)f$o3~>
+g&1[C+8t[,s7cEjoD&.]n7?P)_I\#<ObAVJr;Z]ms7GsZr;$0aq#:0jr;QZbqt^0cq?Zonqu$6_
+qu?HjrrDrqpb2:>s3QmC?<j,Os8Vl^pAb0cs2nK]s8)Hdrqc<Zq>^Emq!IGAs8VrjqYL*dr;;'~>
+g%Y=9+8P6us7,d]m-sQ>j]Z3R[p3mkLjap,pAXj^s7>jWqt^$_p\smdp\ssXp@7kcp@n@Xp%.tY
+oD8LbpAXY6mf34-Me#pjQco=,n`TB<qX=I%;7cVpnFcSKnF#rFq"aOFkOJEHq"XUXrUta~>
+g"H2R+5G/sjO`/Idb3@7d7-sWV+kC,GAD08i8rkPk1/#9h>,atf`0Y(g@<hkg%j2`e^i@)eC)t*
+e(W^7f[\R(eE5htF%encK!se'f?2Org<\iX3htfmf\>9:e'Ze'g=t0#a3iVodaHXrf\"d)J,~>
+g&1[C+7T=%kPtJKs7lWopoQrYnD\K-o$;noT]>nFo'QJUq"aa^p]10iqu?TnrUKd\r;$0ts7c-Z
+qtg0fpA4UXq#::<oWiC<B8jk*q"sm[r;Zfmr:^/M?LIjis8Dikr;Q`ro(DeRrr38rqY9p`qtp<h
+J,~>
+g%Y=9+70$rj8J]8s7#m\m@lV-jk4@\lH"?TRc!i4md0uOp\FU[p\smdp\ssXp@7l=rUfUOq"OOZ
+nb)PDoDJXem]:,$@>;SgnFQ2<p&G'`p@/!7=6B8Jq=jRSp\F[_mI9`>qYp?]q"XUXrUta~>
+g"H2R+OB,s`oGk"k1SeVfo@A2e&YXlf<o3WKZ;j&e'R+4g"Q;Up=TDurn?npq:YSp5MX`6e(<1%
+g!S@"d+."4i7*oe4%X=igtUW<eCim>e(2n'C-Bo&gY^iAg=k?<hTsX#f%T!7cI1.jf%AX+e:7~>
+g&1[Cs8N)urr3l0nGWC`r:+B)kPVZZs8DtsF*WkrmJm"Ds7uQfqYpBlr;QZbqt^0cq`joOqZ$Tl
+p%/4Zo)Ja`Z#X/G@A;ZPp\XpfrquTcp\F[cm9GPKq>UBiq"amfqtU3krVQNlr:g'_qYL*dr;;'~>
+g%Y=9+8l08rVuoelLk)Go]B@Uh"7Y7q"Of`D0:f`l2UP=s7uE_pAamdq!n(Rp\FLuo^hbQqt9IH
+s7G^Us7*1-=@cYdg$eJ1oca&%o'c,?o_[cNKDk?6q"41Mq"aXTr;69_p\FUVq"XUXrUta~>
+g"H2R+5c)6i8itMd,*m=h9neWaPiM?j5K9_<EsURd-09-jS@O*g&BY(g&B^qf_O4rfK[s;fA597
+da7%*ce[[3O&/"m6%Zr)g"kNAhqQ`1dF6V"aZ4(qg>Cc@f%8[3f[\j7f[e[-e^;gneCN:)f$o3~>
+g&1[C+8#:%p$VDNs8;Z^s8U;[Ykm[3s7Q$`s2',!Iae>gq"ag_qYpBlr;QZbqt^0cq]#5,s8;Zi
+s8VBas4ilK@!.LJr;ZfgpAb0goDALd+8GlM9YLJurV?Els8;]hrV-!Vo(;_TrqcEdqYU0fr."~>
+g%Y=9+7Sjnn`oQ<s7GgFs7jE>V=NYes6oCNs1W\jHI;c_pA+IVpAamdq!n(Rp\FMEnG)qUoCr7a
+jnf#/OBl(0Lq`T_qsEnKrpoFJqY9peo),sc[eoIcoCr1[p[n.Ro'l)7n+6>Pq"XUXrUta~>
+g"H2R+OelmeBQCuk2"_=kiAj@Ok\)akh4PFkG;K\@CYORh;%k\q:Yc"s4RD*n_!Zjq:Ip[g>:N5
+g#1o2gu5eb5X&+aUtk+me_&jDf[AF.gY1T6gmTX[iR?T8h;@)Cf@Sa+da$+`e(*$tdaZk#f[eQ&~>
+g&1[C+9)<4nGiOYq>^3as6TN>A)dN^o(i:bme$:bB1\WSs7uQfqYpBlr;QZbqt^0cq`joVr:BX^
+r9s!^IUHW;^$k^kp$h_Us7c3\rVuoko_87[LLT9=q>0aYqtp-\p\Ophrr;upq=ja\qYL*dr;;'~>
+g%Y=9+8c*0n,N=Po_J%HqW..!>MK1HlgsoOkj\5O@RlmHs7uE_pAamdq!n(Rp\FMEo_S=Mnb`(G
+kHfG<?%0<Ko(;D9nbr@TmdTrIq![V>o^mZ<g[aq,n+68Ho'l5CqYBs`qY0[Uq"XUXrUta~>
+g"H2R+Pc#,d,a*1fAG35j3?7o7)A#9dG*UCd+@$D9JD+BkhQ$gq:Yc"s4RD*n_!Bb5M+`FdF@%,
+c,u>W5!WPGc.1Frd+@=:f@8=(hqQT+e(<2]5/5\"f@&7'g!nI"f@np2g=Oj&cdL7kf%AX+e:7~>
+g&1^D+St^%q"jpcr;?Hks75sbaD[FBmIgMWo)JUek5V/cDk?e%q>1*fs8;lpnb`.[q>20,qtTpc
+s3mKL?$<^Fs8;foqY^Bmp%JFcrqlNirVm6"Aq]pRs8DuppA+^fs83B%p\FacrVZNeqYL*dr;;'~>
+g%Y@:"o%NXp\FU`pD<Mts6B+R^hAi%k3i0@m/$JViW#QZD4LFrp@eO\rqQ$Wq=j^Y47i1;o)JX5
+QXEp8ZK_5[p\FLUqtTXLqY9gWo(MtXq#0_iIIQe,pAFXSo_SRbp\4:Mp%\@YqY9j[p\jf9~>
+g"H2R"OY`Og=uV\(u*p2e(Nra:3P:6eDf95inikAlA8,6KA?=Wq:Yc"s4RD*n_!Bb5M"N=e`,Jk
+H:'bnQ-A(<g>(?9iSN,9h;$c;f%Jp:gYgRJ@+<`fg>CT5fA,<@g"4^$dacq"eBu^of%AX+e:7~>
+rr)lphY[0Is82`is8+2Do)J[Ys6GDKmJ?MNs8Mfjr;6Bei2(=1_=.*ts7Z9^s8VierVlWWq]PV2
+s8D`fqu-?hqt9^`s829bs80rZ?=K;Ws8Vrns8;flqu?L&s82TkrV?Ek^M;?`s8Dcaqu?Ksq"jja
+qu$AB~>
+rqQNfhY-g?qY:*b&c;"npZhe=Ip;(,mdpJRo(VqYpCc>XCi$`JnG`CUoC2SPnaQ;Jo]c&lnbE%W
+oCM\No(M_DnG)hOkl1GN_eW=XP1KI)o_/4Wp\XXqp%.tNnbDhKp@l(,cf+oto(VkUp\ssfp\jf9~>
+rn@D*hUqGQs4S(AdG`p.k0.C&b1G(mjPJPEh>Z7D`Jd_mU!M<Nj4;o7hr*,;h;6cJfHAYshV-N1
+f\4p3g=4^1hqHB:i7b/-4[F>*hr!/ChqHf]faufegXjs0g"+m3S49g&j4Vu[f_sD#eGdl$dF-Oq
+f\"d)J,~>
+rr)lphY[0I!;lZhs8+2<nGiO[s8UYMV>p;iq""I[qYBscqr>_YDh6.1q"Fafq"Oggp%A@Lq\K2$
+nG`Ieq>:3ep](9bnbrIeUhF#%aSu2Cp%JFaqY0g_s83?%qu?Zlrr8+'n,NF[s76'eq?H`kqYU0f
+r."~>
+rqQNfhY-g?qY:*b-hH^$qs==\cVC),nGi+Hs7H$Xp&"RD`JSAV`qJums8DNYr;5sOqs!erq<[GC
+s7u<\rpfLUqX!M@p\C@g<Kk9!r;5sPq=jRQp\#'eo_S=Rp\KbbkkP#Bq=s[\p\ssfp\jf9~>
+rn@D*hUqGQs4SmPcf!d1jQ<j,K&"l9f$`^6gY1B@i5i!=:LU?[f[f3Ff[o-Ae^`O0lI[35cHY,'
+gXb'=f@Js>da6e*hh+E\H)KfaiRQN:h:U9Sfaufef%&C.g=P*9DGeU3g<SCKf`'J$eG[f#dF-Oq
+f\"d)J,~>
+rr)lphY[0I!W2]lq#1!qqt9mep%eXfLg87)ru(S1q>L3ap](9kq:gU2Vs!aQlh^YZp%\LbkkkD[
+2"g;/s8VQfs7H<jqTbRGIB3/>r;#gSs8Vrdo`+a`qYU0fr;HZlq#16hq#'esR/R']o`"FYs7urp
+qYL*dr;;'~>
+rqQNfhY-g?!;QNgrV.c7nb;nKoDSQ;<QFn6q=47Qq=jIRrr;leeULbriU?^+o_eFOo(VtDp,;jG
+nEKE<s607Pl1=oC_iS8HT^D4<n`fN<qt07Cq=O@Qp@e7Tq"aRQp\=@Mp$Q1LpAadQq"aX[p\ssf
+p\jf9~>
+rn@D*hUqYWrR_#$.,*2)h::3=iFb6ShW3SGhV-iAe_9$Dhq>VQ5_mD1ilg'8gst'5gtCrE2;[0;
+bL,,*cJmg3h<<OoH:hG"f@ep4dF[@;g="L.f@\a/f\+s3g!\=#gXap.dR/-0i7-'Mf_sD#eGR`"
+dF-Oqf\"d)J,~>
+rr)lphY[0I!W2]lq#1"9s8;Werqc<`g0fL1o`+s\q#:9enalMNq>^KHHZ6L_s7P[Qs8Voil21MV
+2>[:Os7YXRq#CBd]n9d3\,Z=)o)JRdrVuQ]s8Voiq>0scr;HWpq>1*co_AC1=j-R6qZ$6Zqu?Ks
+q"jjaqu$AB~>
+rqQNfhY-g?!;QNgrV.c=q""(Po^DD#=aB`/rVu0TqYKgQo(MbJq>\ibC9m('n)X*?r:BLDpAabB
+p%\Obn`'-,o_n$[GZSCVo^DJ9rpojYr9s"Lq=F4Mp%A(Rq"agYo_@tDnb1"$`:3<hqsX@SqY1!a
+s7cKcJ,~>
+rn@D*hUqYWrR_#$.,`k1fA>63fss=VgskBHd+R72f$`%!f\,0E[p)[rcK<["g#h;If\,QBs40*[
+g>Ll;`S&l"kL5r15u![%g#(3@gYq&Nf@&X8g"+d-f@ej2g"Fd$f[S9ug8d-0e'ZUsc.;mHrRV"u
+qpG_sdaZk#f[eQ&~>
+rr)lphY[0I!W2]jq#C.'p\jm[s8Voiql3iDqt'j`o_SO`r:UWmmJHX\EdQ7,s8Vlms8D3Z2uiOC
+s8V]bs8VlL[=2J7^&S,,OC"KNJ6@s$s7u?Zs7lEdqY^9irr;cns7H!as-R<bq""=^oCDeYq?H`k
+qYU0fr."~>
+rqQNfhY-g?!;QHes7dr7r:KOXrq#^PU/Jr&mJleIpA+LVp@e+Im,dj-VJ:1pm/QqOp%dhF2u<"4
+r;,jPs8ME5WcM-`ZM4?bKi=/"GYs=]s7>^Hq=F7Op%S4Uq>'UWqsEhIplShFna,rKmJHVPp\ssf
+p\jf9~>
+rn@D*hUqYWqq(l$'\D0meDT<=f\DBJXkhOig!eX0g"-/P&D#CWgt7Zd>dMuEj4W;KgtCuF+PbAm
+hV?K-jQP:1Q<umeT&]*gEBeo'@m"hZkhF_<hq%eY'A;!ig""C"gX+@(giYm*eBHCsansZfeGmtp
+d0A%Kf%AX+e:7~>
+rr)lphY[0I!W2]jq#C.;nGiO\p\b!iq=%s@s7QEjq"ad_q>0sbs6KCYqZ#9&A?"qqq>('jl2*F8
+s8Vc_rVuWFTk%Jri;`iLa3=QhD;,#4Bs[=/s7H9cqYL*dr;?Nkp](9err;V.L&1iLq>U<_qu?Ks
+q"jjaqu$AB~>
+rqQNfhY-g?!;QHes7du1rql3Up\4LRkZr3.n+l_Mp@n=WqYL!aj6la6pX4FoU#c"=nb;nEp,M^E
+s7#FNqsr$u=]::0qYfZk_=pi:ci7ilXm5f`me?AHp%J+Rp\FORr;H-Zs6XHJoDJFUq=aR\pA"C]
+q#C*ep4*~>
+rn@D*hUqYWqq(l$.+$l.e(*1.hqZ[O>j0esh:L92f%8L(fAXs*inND'AOVL$iS*#Di7[DJ37d*J
+da-Y'e[U3"5Bt$,l.)`7j$$5Ml<$cGdc9N?h:L<2f[e[+f$_dpgX+[7d7[s"gt0m$da\3GrRCkq
+r6Y_seCN:)f$o3~>
+rr)lphY[0I!rMcdrV6Eg-hdH;q=F:UrVQVl>KQpBp\am`q"FCTqs<tLp\k-jpo/=Xb5_J1r9=)#
+p\apbs8'Ta?>ub)s8M`js0Ce:@]f\"IW*.%s8DHeq>1^$p](9fs8C>T`Vfc9q=t!\qu?Ksq"jja
+qu$AB~>
+rqQNfhY-g?!VlKiqZ$Bkpa>b2qt9FJp@n1VSl<Q)p$qhOp@\.Pp\<q<n*frFp$eYjDSlGIkk436
++7f1"p&=WtI8a^Gh>Hm1o)>QAa]G59k]U[RpA+IJrqc?gpCHimqsjXYb$;[RqY]sVqtL*`p@nR]
+s7cKcJ,~>
+rn@D*hUqYW!8%5#s4@;(.+[/0f[A:&h;7CS5-*c!fA"s.daHIhe]QFpf\YWEfnra1X6AHggY(lE
+,LkE!fAP8Q?p@SGbNe'>i9Z`N[mcDFeR;CSi8NS?jOr5=f`'G6eC2Xog!Sa3YX5):g=jltf@9fN
+rRCeor6Y_seCN:)f$o3~>
+rr)lphY[0I!rMfgqtU<no_8=as8*l9oQk'FrVcNdqYU*]q>L?hpY*!mjl?BoO`7/ks7Q!\.fB2A
+qu$?hqu$?ko)&I5F^BU)jT#)Ls8Vifs8S!Zm.LDYg].<Js7Z9dqtgs$s7lWmp&FK`B`J,&q#1$g
+o)&I`#5J&kqtp<hJ,~>
+rqQNfhY-g?!r2TfrV?Kg#6")`rVcZlrq.;uEaJG5p[n.Qq"FCTqYKaNd]C+;g],ZXBV"\nn+66&
+p%J(Pp%J(Pp%JFQo`*!O=*^k%qss%IqsWnMp4H*#lMLJ/qu?3cnFZJPp(?upo(r+Kr91%eq"a7H
+p[n=Vrq?'[rqQNfrUta~>
+rn@D*hUqYW!S>m#fDjMPhU:!5i8<GHh;Hmj8DW1Zf@JO'e'HFni8!%uQ_h^?kdke3L=te@g%O&%
+g">!1g"?2T,NR5(j/c0@?^/Uoh:CWLg=YWKDE6%ok2X/8kL\eGf@np1f`'G6e^r+!e^<=#NCVj]
+bL"_`f$s]MrRCbn$IR;LdF-Oqf\"d)J,~>
+rr)lprqkCHq>:!c1%tY=\6P^,q"ajcp%n[^rq$00?Du58DSl/J^N5Ors6p!fnc&FWs8MuipAOmb
+s8Vckru1G-qu?PrG?fd8r;HQlr;HQlr:p0h=b6VFs7uTgq[`5sqYKmbm<"ies7--hnGi=^qYU<h
+#5J&kqtp<hJ,~>
+rqQNfrq>%>q=sd[:[nDOZ<!Flo(2SLnFleOq<Rjg;k:mdB"[[6\S[>\rTsR^meceIr;$-Un+QDC
+qYBRYqY]XPo_.mODc(kgo_/%Qp\+@Tp[RtP<-nK0s7uEbp(-Nip%@hPkAHRMs6T[\m/?bTqY1!a
+s7cKcJ,~>
+rn@D*rn,lV!8$kr6/'oReXSmXk1\SFg="I$cIp_1WBZ<GG>Y6lkb2!u_rAr"h9Xm0dGNa6daR"(
+fA>H6jl#1Gh:gfBO'4\YT\\E"g'?0]gc&QsdH(/X!875$&D#(_e^r:0cW5J@im-?1`n:+;r6u)%
+eC)ameCN:)f$o3~>
+rr)lprqjh8,6.H<kBqIBrVHBir;6Efqu>_PF8kgOA+03ks5&3;Y5e1drVlrmrVc`q'E.sUs7c!S
+p](9i]QmPCg&LO=rVHEsp\D=$[/]Xoq>C'c&-)@ts7H-,AB"QJo`+s`rqZKgqu?Ksq"jjaqu$AB~>
+rqQNfrq=J.5lL9LiHB2*p[n+Qp\+CTpAW]3B_1K&>Nt_Qs4Vd/WrMYZrVlclnbDnZqtK^Y_trc^
+lKnHHn$-b'MU(tWo_/.U#P.Mn;m6,bq"a[[p(.&jo)A(K^g=eNs6og^nG;tUqY1!as7cKcJ,~>
+rn@D*rn,?G5i^MUa^A<%iS</Dg"+^#f':=2<oMZ07ap/MkJ:S!O5nX8hV[2GeD&a?iSN;IWo;IO
+dFRIBfpu;,GeE.dhqIq[#Lq=i23Hb?gA0FtfFQ`aeD\p1W(*]AjO)]5bLH@<qUGMm"k;,Uf[eQ&~>
+rr)lprqjh80`U\Cs0Q"@s82Nes8)Qiq"'GAY5e0OJ,fKCs81ZJBVFGcrpp'gqu?0Wmf3=0UAOri
+#lXP'DgRu(nF6GW!<)cl#QOXBB_29%s7uTgq[`_qs8VfiSRh9js7ZBjqYU*dqYU<h#5J&kqtp<h
+J,~>
+rqQNfrq=J.5l0gBq6!`(s7PmSqt9XXoB:`pU]0P0GQ7F/q=iU8A=h]YqsF4ZpAX=CkOnhhQgstI
+s75QSA8mXQjlQL8rV$*^#Q475A+'BkrqZ<ap(.2gqZ$'XQX9"WrUKXZp@nCXqY1!as7cKcJ,~>
+rn@D*rn,?G5iC&Ihj-ErlJ:%Gh:9s'e'`.kOmL_:@d;q,iS;2$8UnP9gs=a7g#C9)c/7`aJ_8u=
+k1nRM:0`1Ve'm[Ekh>md#N"'07F:)Ji;)(%fFQr`guR&@In%oJi7$</dF%d?qUGMm"k;,Uf[eQ&~>
+rr)lprqjh8./*W6p?d?Tq#1!]rV60fp]"Z7e+WfG\Gu1"s7?0]b\<j4rquQgs7lTn'`7<UnGN1`
+pRG]=_#O'(s8DlmnGW4]#Pd=`J,]6=rqZKeq[W<!qt]r6K`CuIqY:!gqYC'cqu?Ksq"jjaqu$AB~>
+rqQNfrq=J.5k4U=nE5(<o(V_Eq"++Wo(uHmaQrS!Ykmb^r9sFNaCV%&qtK^UqsjI]q=*Eojmqs:
+m?(Ig[JT4XrpoUKkk=lI#P6eQHMR1)q>'d[p($Tlp@IctIf&m5p%.tUpA+L[p\ssfp\jf9~>
+rn@D*rn,?G5h+WAf$@c1gu$c8g==[-dcEkh[b9b+S)i,XjOE#:X%7fXgtC62hUUEDhqH=hce6t.
+e9aJaTBFb]m,6dXe(XZO#M$UL>hdf[g\KOufFQQ]jOr5;?Y89Ng""R%f$X<DqUGMm"k;,Uf[eQ&~>
+rr)lprqjh85l:T[q#ABEZhj^rqY9jcp%E/hr;PJdch.86q>^<[s5A'VlMLMZoDed]qu>TRrVuZ6
+DeH*Ap\Xsfs8;Wkr;HKi#P[,@^&7[%qt^0cq[`>os7?99@D2[4qZ$Bfs7uKgqYU<h#5J&kqtp<h
+J,~>
+rqQNfrq=J.5kb'Ko)6C1Xn;P]p%.eTnEXIBnak.;a6rouoDeOMs4q[JjnAHKm/QeDnG^t0o(_Xe
+AR(kkm-sW:qsj%Po_/.U#P-T1\G,UfpA+IYp(-W`qX41#>IXCrp%n=Sqt9d[qY1!as7cKcJ,~>
+rn@D*rn,<Fs4oijjf(b:gu?r;e^NC'eP7LLhn;aif&b]?k1e8D^f"dbg"PN6k1nG>keDr/hpnPs
+7Z#REgu%#RhqIGSgA9J-e@]gjg""^,q:YSr&(/q`dGM)mS_hfIg=4U&d.u5geGdl"eCN:)f$o3~>
+rr)lprqjh85l^3Ns7Z);A(pt]qY^*fpA(1bs7W1Dr;?Tlmed%_kPsh5JCFAcs7,scs5]*tj0Ni@
+MVe!o`Lj?G]u\[to)8F_!rqiUrVllsq>C'c&-)D!r;W'koDA:]s82Wiq"ajaqu?Ksq"jjaqu$AB~>
+rqQNfrq=J.5l^$Hs7#H)?.AoKp%S%Wna;K<rp,o%o_/=XkkG,Qj8A)&Hd;<Ms6B4Oq:U;MfVrUl
+JCEcD\s0"pZG"?HlLt)K#Q3uMr;HZmq>'d\p(.#joCr-D>OD+Sq>U*\q"4CWqY1!as7cKcJ,~>
+rn@D*rn,?G5iTrIk1J6t8%e'Af\+^1e(B+9m+6l+hqmPNcJ7R=`o"jY?*W&.jNuT?j25WJ_N7V`
+B>)d>Uk"PuTW>NUe_9lQ#N!eHhV[ALg\KOufFQcef%T)+6.=T=gYgZ2e^+'AqUGMm"k;,Uf[eQ&~>
+rr)lprqjh81B6_@s76*$>+53`q#C$eqZ"<^Y-`/9qu?'`s6SqKs8)We[!/hTnc/XeoWE;\WGJ*a
+r;R%uBU,ftB8HTdqY^Bg"o\Jps7Q0_r;$4#s7cHkl>;=Vqu6Tmqtp6dq>C*ds7urpqYL*dr;;'~>
+rqQNfrq=J.5lKmDrp9?f<0ZqHoD7tRp&;=BUT%geoD7YJs6/M@rq6!UYAgQ:lMUGIl(Mb*SRRc7
+q>0d\oU0!BV3tS:s7Z<`s76Ehs7-!UoD/.Vp(.2op\a,dK)bQ?q=jUWp@e=WqY1!as7cKcJ,~>
+rn@D*rn,?G5i9]@iR6MR4FGi;f%eX,fBAl;O-NRggu?Z>k0(d%iRli6P#RLud,X$<duID0LIld+
+i8ieVhM"OGPD;bGlIu*fs4%;,j3ui4ebRnofFQulg>BtEA`MJ!gY(0-e'n-CqUGMm"k;,Uf[eQ&~>
+rr)lprqjh85l1NXo)JRPLgf<;p&FX_s7?9de(T'%s7lWkpAb!Zr:Bsgou1m(s7ZKmi*&faQg=VM
+s6fpeq7:e/s8/3spAOjc#PnDnrq$0as7uTgq[`Jns7jZ=Y5%noqXaO]qu-?gqYU<h#5J&kqtp<h
+J,~>
+rqQNfrq=J.5kY*LmJZ\=Jm7%#n,2VLqWRqHaNn_QqXXUXnGN"Iq!S+Xn@iUcq!@eJeP/8/Mr=4"
+q;_>Gm]UHXr:#_Ome6MO#P@ubq<n.Ns7uEbp(-c_rU[p,WUoi\p$VJIp\FX[qY1!as7cKcJ,~>
+rn@D*rn,?G5hFoHd,Wj)C.#qke_ea.gsYKA[(BDQj4`PJf&,0-gX4s9e"TQIhUCB=^H*o5FirFn
+i6C?AfUH!]lJ?n\g"Q;U#M.e]gX+d+iVD1&fFQQ\i7=bbN7Q\<f?i%"eCOHGqUGMm"k;,Uf[eQ&~>
+`r,l6rq[W0qY^<hp[dljRf3*_n,N.]s8N&DLAq2Iqu-Khrq7K7oDejcl[!I+rPDQ,:Mc)XR^i1l
+s7cPZM>mMPPA'pmqYU9gs82Nfq>1Epq>^/\@/B`bqu?Ksq"jjaqu$AB~>
+`qTN,rq.9&p%S7Sna5URPkXhLlMpGHp@IpoHhR4)p%S7Srph30m/HkOjDSPXo!M"O6=#5%OKS'C
+p?_I1Ie31$LgB]HqY'p]s7Z0\q=Y'foDJ*H>P7[bp@@tWq#C*ep4*~>
+`nCCErmr.=e_/^3f@A;EI,3N8bi71/inr[rA`)=rgYLW:rm`.Kd,Np6b#qHQgnHYU01p)(GEpb7
+i7?e0C>n./G"^cHqUkf!s4I%uq:Gu,g#CS251eE=qUY5ermCu"f%AX+e:7~>
+`r,l6rVA8GrVcZip@P(uf)PODpAb0es7VVboDJUfs8MliqY^Bno(`%\s.=FpE,(f<Z/O3XjSf)b
+pi(J[ZC>isn,3%ZrqcZlpAF^_#58)jI$"7%lMLVX#5J&kqtp<hJ,~>
+`qTN,rUiDKq"XUTnEuf]d/!8-nbVnErp,?@m.L/Mqt]sXpA"IZlgaQEqNP`J@pP%]U=@9&gACRA
+qs@s3U8O)bLZe@,pAXabp@e7Vp':9[qXA]ep@\7To(W.Ys7cKcJ,~>
+`nCCErmq2$f)FAbg"=l/;RkW:gXP'9f]q(.QI=OEi838Bf@ep7h9XX(j5bYgDGWrNL6'0VX23fQ
+kN1;m=cent<-?XBqUkf!s4I%uqUc),gXb<6>&DpBq:>,drmCu"f%AX+e:7~>
+`r,l6rqZWmrV\hUqtf>kR.g=Tp&Fgen,Ia9s8Vfgqtg$ZpA"[fp&G'ZrK:PTI-o#4rr)`^s82?d
+s3bttZ^toqs8W#nqu6HlqtBs_qZc`mi*=Y*qWdtXq?H`kqYU0fr."~>
+`qTN,rq-<dq>U.Np@\(6Bp.uVqXF@KrT*lqU&"NSo_.tLo(2MOr9jUbj77t(2/V3[cgL;kjS/3,
+p%l^BXJh=iM#@5EqY'p]s7Z0\q=Y-fn+bU<bOtQ%p\X[Tp\ssfp\jf9~>
+`nCCErRX9bf\5*8h;$%JHIga)e(rX=cK8;ghqur8g"=g'eCWX<eE,i8gi5S'>0EkZhVHl.hUp34
+jKV[OQ@VbRlKHptf`'M&f_4"pfF6HffA=;(Xk2+SeCN4MfDsLneGdl"eCN:)f$o3~>
+`r,l6rqcZnrquco&HB"RaT)&8p&Fpgc?nd6d/EtD,lIK5q"=[eman%QF'OaIfS>Keal).Xs82ij
+Q#cosoBgIXrquWirqcZlrqu9_#5J+oAGZ#ulMLVX#5J&kqtp<hJ,~>
+`qTN,rq6<erqAMLp\4WeBu9]:rU9XQo>>P(g<'-dr;6<`p%.VKs6%XkC1pCo]#f/FR_%##s7c$Z
+m##HTl0.,;L%b39pAXabpAXgVp'LE_p7YjdnbMqRqY'OTrqQNfrUta~>
+`nCCEs49Qef%/I)g=tNBkESoEhq6l;jkAOm>/e:\gYLcDg=Op+eD]Q7[!PbM4Dq(*B5WU)^:rad
+g>ph,;sMuccr+rDg%sA#fDjM&g%*c(g"Y6;LI0V?f$r4#f)=5$f(7DjdKS.Of\"d)J,~>
+`r,l6rq[W4qtp6er;HWpnUuYfs8Vclo`(b?ZFA]jr;$-_rV7'*qOUo8PObQA]1lq%^nQgbnG`Fp
+l#Ng(s8;nJT_JB\qu6Hlqu6N`qZm&ultVdbo)J"Ps7urpqYL*dr;;'~>
+`qTN,rq/POp\+:Rp\4I[l[FBNr;#gTl2I,sW3FnMp[n(Mp@e.LqXB_GCkh&=OfLWHK<LJiS*'GA
+rn_:[rqZ*VG*VOhqY'p]s7ZHdnFd(]k%'PQmJHnWqtBXUrqQNfrUta~>
+`nCCEs4@;$5Le97g"P?AjjdsVdc007i7$nC@#pVch:gH1f%8O)f\tG/3`^=MKmoLC7rt;QCP'ge
+jljc_MsBK_iad\qg%sA#fDjM&g%*c-g"tZ48oin8f[S@!f%AX.f[fZDrmCu"f%AX+e:7~>
+`r,l6rqcZlrq\_Rr;??i_/76mn,DtZpNh(;g].*AnFc_Zrqc&K>^Vn's8U2[j(<^\g[Dc#s8Vui
+cueC@q>^J%B_qZ'qu6Hlqu6NhqYC!nr;Xf9bl7;8lMLVX#5J&kqtp<hJ,~>
+`qTN,rq6<c!qu<[rq8>Bqn$LWs69=Cqs86=HIVuen*BK=rqlBON)F\Thu3DaA(+IqA'3`5`VBH%
+lc!SlkjJBJ<*f(fqY'p]s7ZHdq=XOV#5Z/1a8,6%rV-6`oCr7Zs7cKcJ,~>
+`nCCEs49QeeC)grf@f$;guY;,WTMO`e)f.`<FNDuf@%plg>C];c#YmJG00%4WDLK%>uS>ZRB5<-
+g=<B*`mif/lp=A$g%sA#fDjM&g%j7rfFcfnjJar8g!JC"daZe!f\+p.o@3cf"k;,Uf[eQ&~>
+`r,l6rqcHf3;WI=SX9'@s8W#sC6&>oq>^Els8VlK_dm&/k5"]MmH]8JP-C-k^$,%eou=>%Brno!
+\q=\8s8;`jrqcZlrquTgq"k6nP\T[`ros=[q?H`kqYU0fr."~>
+`qTN,rq69brq?Bb3:uh+Q]^e(q=sO[@"eFVo)&4Ws8VcE^0OWbg[=A&i7r:dJtIX'Xk`.5las*O
+?D4RJYBX?as7Q6^rq6<brqH6]q=Y$cpPreLp%eO[r:]aVrqQNfrUta~>
+`nCCEs49QeeC)jtf\,*:hVHV0H.^R&hq@*]CZ=@)hV6cCj4:]46Tf##f[T'.a^))jO)e0i`m<Gg
+V35jiNLRSOAkT)fg%sA#fDjM&g%j7rfFcfoiH@i<e_/I#daZe!f\+s/o@3cf"k;,Uf[eQ&~>
+`r,l6rqcZmrr"nUqtg?eq;6SHs7lWas8DWjqt0a[qu,s!Jl739qtU3`qu?\L_U=hOLN^GgqZ#d9
+bf-onLOuhus76!_rqcZlrquTgq>1Enphl#fqu?EgqZ-K^qu?Ksq"jjaqu$AB~>
+`qTN,rq-<dq>U.Mp\+7XnakFWb5_&-lML;Cq=O(IoChtD]R<M$\b,FlmI9rHGI>DHnTS]Re*m:l
+e%r_uWIK5ojSS6<pAXabpAXg^p%n@fp%7fgL%k<@oDSCap@nR[oCr7Zs7cKcJ,~>
+`nCCErR_&$s4TNeg?%#B_-XG2f\Fd0g="g0dFd%'gWZ9t0O^U-fB(K8j5OUDZ?G2>=Im%Vkf:B;
+VNd6YAX1O&e(OTMrn%2&rn7,!qq)5.gYU^`D;*Y$d/DGof)F;%f(7DjdKS.Of\"d)J,~>
+g&1[Cnb`Faq"smls82E`[!hWHs"3sAs7l0bs8)?:KM$I7p\Fabqtg6irhQ1cVW[f<CsN(ZrVu]l
+p\O^\qu?Qbrqlfoq>U0gq?-WnrVZHf&-)+urV-<as8KrK_#!m,p\ajhq"jjXqu?Ksq"jjaqu$AB~>
+g%Y=9nb3+Yp\+OZ2u<79o;m*%rquZ`pAaaOs8;KSb^;`qa7Aouq"FCSq"L;Fp7'k+L1/!qo(DbJ
+p[RnKo_SUanG`._p@S@Urq-Beq"XUYp(.)dqtTaXn+l[i?F]Y!s76*^!;Q'XrqQNfrUta~>
+g"H2Rmb.Wmrmj3eg!SK<@+sc"f[8:0e^3C:g!mEB/R#C/f\>06f\G?>Kn/'7aP1`0Xl\?pi7Ql;
+g=Y$4i7u`5f@SU'rmUks"4l,WfD=(ufFZrbhV6T9e_f>`8YOqmj4)ZGeGdl"eCN:)f$o3~>
+g&1[Co)&OcqYp9gqDe9Iqu>B"U]9f\s7u9bs7GgGZYF*VoDe[_q=jUUq"sj+LB$Q=s7<12[f>mf
+s6]OSoCDPLqu$<iquuuoqtp?irqZ]nr;?Bf&,Pu!q>:3equ<'nh>d<Es8Dfmq""=^q?H`kqYU0f
+r."~>
+g%Y=9nb3%WqY)r?p@eO7GFS?lq>^*Tq"sOEj/ZWqW9F'Nq"XRSo(;\I^juIEs8D8SBrh0rl2Tr;
+oCDGEqY^9ipBC9`p@e:Urq-?dp\4LW&,#Gjo_&7Tp%jeSebSh,r;HBiq#C0\p\ssfp\jf9~>
+g"H2Ro%>/>gY:E6f[eR%e(346]4-TUbgtV"cJ%.'ccMDG8X%`brn/=DeC3%'fVW9BbNS*<M,fo+
+daI:&e^i3te(EC.f)F8)f%&@&f[p,Q!nPuTqptc!(=V3ngZI/Cja9M2iRu`;f[eR%daHOjo$mZe
+"k;,Uf[eQ&~>
+g&1[Co)&OcqYp9gqFC>\qYU,fET[;sq>9pbs7a*;<NlH&o_\U`q=aLTq"t*eIJEjAo`+`NL"HA)
+rr2rrqYBmYpAFa`r;?Nlr;?NjqYBs`qu$9e&,#l#p&+jaq!r<Pq>C9_s8Dfmq""=^q?H`kqYU0f
+r."~>
+g%Y=9nb3%WqY*MOrUojSTP<9_o^h_EpA49b?r*curTs4Qq=sXRoCVeWo69d&p?_bGLjdVFp\=O]
+q>'g[p%SCXp@n=Vq"OOXp@\(Mp%J.Up(-Zer:'F[nabsWGObD(m/6hVs7lWio(W.Ys7cKcJ,~>
+g"H2Ro%=3#gY:E6f`'Gle(r[2gP]+SimcH/e(NU-R79&rioSeJgtLH4e(!"'k1O%mjPSMMg2pr:
+io&\MhqZr=e^N(&e^i@(f\"g-f[eU&eCE.%qptf"(Xq*qe(j*;f[Wi,g>:f7hUpE/eC)dmdIPfd
+dKS.Of\"d)J,~>
+l29fCo)/ObrqZNi(\dt'oDds,R-akQrVuf'DGc_Wr;69dqu6Elq#'q2r-ZZZp]'jbpS3,Sq"+Ia
+r;-Hlp@@qRqtp<ir;-3\pA"X_!;cKf&,?2'o_\RZr52aQs7?9gpAOjdq""=^q?H`kqYU0fr."~>
+l1aH9o(N1[p\OY$o)J7Iq;-O]jo#&Ms7NO-8s%a"p%7qOrqRr9p@e1PoCd@Gm-jl<p?\8j]^Y=_
+r:p*er:]aUp\+=Tq"OIQn+$#KoDnRZp(-clq![nLn+O@l[eoIlp[S4VrV5sXrqQNfrUta~>
+l.P=Rn_"'!gtLK8rms*WimcH:a_H1Ehr!,Jfoeu^G/)heg"Y<:g=k32f@\a/gg$l0f]CWBfS!P,
+g!ed7gY1Q@eBueFed'gZf@A?rdF8*E!7gqss4A%:hV6K5gst2U5+gobk1\>;f%/@#rmLAermCu"
+f%AX+e:7~>
+l29fCo)/ObrqZNi8+liRs82i/=m>h^s7V^VEnB@Drr2]hqt^'aqtp-Ymd:%:R/-[[o^DhELMsd!
+qt]pWq>0p^q"ssbqtp6`o&oE5qu$<dq>'murVlTgqXjU`Md5lRo)A[^rVHKfo)&I`#5J&kqtp<h
+J,~>
+l1aH9o(N1[p\OYTnG)MOoDGsmhXU.5m#+PQdbaHhqY0^[q"X[]q"4">kPU7$naukJkPsLjBsdI(
+p$qPFq=s^Yq"FCSp@[tCioon*p\"1Nq=Y?oq=F:Omdp=.<9sDIq#Bj^p\jmXp\ssfp\jf9~>
+l.P=Rn_*lps4RG(8(-,?j4rgk4NQ1.i6u^%;746gh;-c;gtCB7gY(-)c->6fGhV!;e^3O&BMY)L
+gXt$)f@np1f[n^)f%/C!c,.QKf%8I%eGIhsfG*)qf%A^+g#6a1eDo!6j3uZ3f$r4KddkoedKS.O
+f\"d)J,~>
+l2:)Jq>9a\!W2foqYg=&s7Z$`nGiEEDuK^-?ZE=Drr<#n)>j7$q>'m`q=<e0oDc+<rV>s\s7ZKZ
+Q#F)0rtYG)o_A:[rVQEeqt]jOhs'h3rqlNeq>1^%qY'scp]'_sG5qU>oDejhqYg3[qu?Ksq"jja
+qu$AB~>
+l1a`@q=aCRs7lHd8,DcBs604LJ7A'JP#H"jn,*+]p\4R\oD&+Vq=a:=hX1?EDY<P`o_S"QjH"#Y
+s82]fo(2VOq"XRTp%J%Gl.Y4fp\FOTo_J1kq=X:Uo^VeC@;c#=p$MYQrV-9co(W.Ys7cKcJ,~>
+l.PUYq:P5jrS.A+s4BiseC*L,i88?HgZX#J:6!f\iSN5>g"4X)g"P03d)a&Pk)r^#g<na:fAt2!
+:R1)!hV-N0f\5$2f$r7$eBZ1I`6d,hf$r4Hf)OA=gt:-6g=P908lt-3gXG$8f\"d+eC;ppo$mZe
+"k;,Uf[eQ&~>
+l2:)Jq>9a\!W2foqYg=[s82KfpA"[9FF\@IWV$5Sq=aLTp%.nUq>'g\q=O"7mJY=Ef`1F?s6oRZ
+kC@Ztmf3=`o_JF[rVH?erVQ9Vi9L%7rq6-uq"as`rVjNBZiC"&q>1-iqYg3[qu?Ksq"jjaqu$AB~>
+l1a`@q=aCR!;QBc7/ZcIp[7PNa(97"?_$BWiUl[2p@\+Rs7uHap\+.?iTKsVA'ju5s8;-Ks5A9B
+`p3I$p@.bMp%\4PpA"@NlJ(Fjq"aUV%eK>lnFu^f?EF,!p[n.TrV-9co(W.Ys7cKcJ,~>
+l.PUYq:P5jq:\6og""p1g$5nA?;F7Oe)A@!eC2prd*p_#g"=s/d`TMQh6'>[i6^]IcdV$s?rEuK
+hW3A=f\>!0e^W1&f$MRO`R3>kpt#Jt'A:sgiRZiASj\b%gtgT7h:UB2f'_&edKS.Of\"d)J,~>
+l2:)Jq>9a\!W2foqYg=^nc/X]s7u69G?g*ap\k-lq#CBep](3\q=jXYqtg!Ts7c57V#UGgnc/X^
+s6H:i_s%-to_\X^r;$0cs8MfajmMpBrVQNkq>1]uqYgH`s7VFhmf3+Xs7uBeqYg3[qu?Ksq"jja
+qu$AB~>
+l1a`@q=aCR!;QEd8GMQOrU0^UlH3a4I*_*Jr;#m]rUp!ds7?'[p@n@Vna-2Dn91>up@%>Ir9sXH
+RUX%mrV,gUqXaIRo_/.WoBkK#oD&+Sp\=RX&+oPir9F+ILM#`Lo(2nRnbr4\q""1Yq#C*ep4*~>
+l.PUYq:P5jqUue@cf4!7kh=Lo=$(65fA#HFe_]*1eD8j(rmr^Rg"=g#in)adL#_(CdH9H=jNDs?
+U;u3Ge(WX/g!nO&g=as"^rb'Xf[e[,qptf"&_G[ihpC93D+r49f[f-8eC`FQf'h,fdKS.Of\"d)
+J,~>
+_YbPRr;H<gpAX^\s7l?gqoOIkKQa<jrr;Tir;-9bp\4@RrqQTiqYp:,s7ZJJT`=W_qYpBXoDdHa
+D:nIOs8;iiq>9^[&+T]"mf3+UI<tYfp]($gq>L0gq""=^q?H`kqYU0fr."~>
+_Y6=jq>Ksco(qkLqXX1RoYPuKFC^d(nbD>Cp%S4Uq>'m`q=saZp\+:Qq=+32R/$"@o_S=Fn,LmU
+B[cA9qtBdTq=a@Q&+'5nl2UADGB<9OnGMnTo_nO_q""1Yq#C*ep4*~>
+_:]g\gXY<6h:(-:f[o*9W+%Vp<f,PeimQ]:f[eX'rmDq@g"G$1f@\a5f&(+kiRHc=h:g$"jL8#[
+[aW^agtgN5qUY8is4Iq/hr2fAg!sA0eDSj6f%npVf_j=keGdl"eCN:)f$o3~>
+_YbGOs7,XTs7cBim/R+RX&<'+s2&0]nbrLcqtp6bq#:$eq#U9erqZTo(&Fkbo_JL`oDejfp\jni
+J+NX4qXaa_qsjRps7Q?cs7XTIWr2bjs7ZKjrVHKfo)&I`#5J&kqtp<hJ,~>
+_Y5)GrpfLQrU]a^k552BUe=R`oWh<%jRW<Cp@e7Uq#1$gq#C(,p@\+Tq=LD3m.'lFn,*.ZoD/&X
+HL:Iro^2\Sp@7keqsaCPr:%X4U\49Nrpfj_p\jmXp\ssfp\jf9~>
+_:]gacdCG(f%]6/iT8@B0fP9VUHta(h!!MGf[eX'rmDq@g"G$1f@\a6hqEm#e_8m6dba'=f%en9
+?.7W\g=,*7qUY8is4Iq>e(`I5euD2pg"=p8eD/aUf_sCleGdl"eCN:)f$o3~>
+_YbAMo)8USp\+XZs7<pG=dS=Os6sooqu?]^qtp6fq#C0iq#C3jq%ru/pY0]Bs8)NZpAOaXp$^^B
+M#RGBs7Z9cnb`ptoDSU]rgI'Os7H<jp&G!hqYg3[qu?Ksq"jjaqu$AB~>
+_Y5#En,<:OoCDqNs6[:5;NTi4rSq=FmeHS<p@e7Yp]:3crV-?b(\[n!eS3M-o^qSEr:BFJldo3i
+q#BLVn+l\IpCI;lq"O=RPZ?N7mJ$VLqtU$^!;Q-ZrqQNfrUta~>
+_:^!Wg#:-*e`PKIeXol%G/W>*dnkDGio8,6f[eX'daHXsg&'D=gu[/";S:uBf?`%(f$i-o]fg&c
+kg/JCf_X1jfDjM7imHN7fA:g8^td;ji6pH8qUbf!o$mZe"k;,Uf[eQ&~>
+_Yb8Js7GpQs8Doila1)5a7JWonGgF4`;fQ2rql`l!VlNhq#1%*pAb!hEOPo?s8Vuep](9hrTA-Q
+nGi@bl22(fs8Vfds*Atjs7H?kp]('fqYg3[qu?Ksq"jjaqu$AB~>
+_Y4oBs7GpPs7uK]jfVfr_!L.SjnZA`\b>Lgrq?Bd"8MWcq#'mdp)!5qo_E4(rpTgcqXO1Ws7Q-F
+C4>CEo(qVF&+o_rnaQR#FSkn$qYTj_o_J4]p@J%Xq#C*ep4*~>
+_V#s]hpBcujPJhJc'C^gVUEQ>dH@AjV;Tn^g"G$/f)F/!f)42#fbi<!g>>epkLJMKgX=[6jOi;/
+:h7u8gYgcOfDjM7fA5?6f&^(:hqZT7h:1B6q:G\uo@3cf"k;,Uf[eQ&~>
+_Yb;Kn,E7`q#BHuFCU^)s8DutrVue7G3Ju+r;HKoqYU-fq"sn&rVqV2s8)0Ys8ViYm.ToJZXT4"
+m/Q>J&+oo!p&F5d\c;X)s8)Znp&4acq""=^q?H`kqYU0fr."~>
+_Y4rCm/Hq\o_d[eDI&Ffrq?6hp&FPqDW(?dp&4Rbp\+IXs7ZKb(&.ZUK`1Q1q>^Kgl0.^&s/T=_
+s5Eq@pCm#qp@.q<?F9P%oD8.Ss7#dWp@eIZ!;?$YrqQNfrUta~>
+_V#m[akGJ)fAXfS=@[\_jP8YRhWioq=ioRYg"G$Uf)+,"g&KbAh;`-bk1\,4hr!&.bLOr$PXBWX
+c0!^GfDjM9dcB*1i5e<Qh:^B8f@f-2f\$,T!SGupeGdl"eCN:)f$o3~>
+_Yb>Ls8;0\qXC%[QgatJqu$$arqQNH@BKS!r;?Nj(B"(*p\=O[qYU0iq#0rdD>!r,pZ^i:rr39'
+mJ"q5[K$"#qYfs^&,lOtrr9$.nbDt\s7uWnpAOjdq""=^q?H`kqYU0fr."~>
+_Y4uDs8;0[p?\/IOm2o8o_%PEp@@t*=f(rYp%A.SqtCs*o(V[JAaTEmq!$r:s8N#mkO6GlXo7__
+qY9UT'DVIjq>R3qm.']Bq"4@Znb;eOpAO^cp@J%Xq#C*ep4*~>
+_V#jZgt'R&g!PC:Hdh32g=ad+hq[5&6B9sLg"HAWrmq,$rRh/((uj3(f8<>SinW,*`7j81iSMi3
+YWnH<f\62So@O#q&_l0fguOA[cd^P#gXb*8e(E=Nf`BaVo@3cf"k;,Uf[eQ&~>
+_Yb8Jo^Vt]\Sl]%m.LDUq>^Kfs7c3bO`B:YqtpZtr;$*]q"k!e)#sI4pss'.s7H<js7jNnJ$](Q
+pRQ<Mr;QQknb`ptq=XdXH%l:pqZ$NkqtU-gqYg3[qu?Ksq"jjaqu$AB~>
+_Y4oBnaZYY[;0fhjmW$<o)A[Wq=F(LMeh#Bq=Xa\s7Zorp\4RWq=;g;cM@)2rs\Y>MgMT"s6l+_
+`:Wg#q!n(lrUfUXlZ7RToCVkQp@e+Qp\4CTrV$<coCr7Zs7cKcJ,~>
+_V#dXcHG&$Qr%%Ydb3U8f](o=hqH]<EDaL/rn75%rn%2&)qis!iS*2A[n!pbeD9$@fVECkPMGBS
+IT!E+gA9InfDjM9i7HH9d91&>f$rC)f\"a.f\$,T!SGupeGdl"eCN:)f$o3~>
+d/3n@q#(*h#Q4GuicS[tnc&Otq=ajep](-hs7#c$WV65e#6+Prp\F[^rqdN-qu?]mCV067oDA?l
+?&&BPH,0:VHuA9GrV?Bhqu6L(rqZTofk.Ges82]ks7l-ar;$KiqYKd[s7urpqYL*dr;;'~>
+d.[P8q"Oa\s7Z]shf2qeli-nnoC2YNnGMtTrTs&gU[\-QrV$9c)Yj($oC`"Ynmf#op@J1VZWVn[
+RWH"0rc)K0q=sd[r:p9c&,GkrqU8iOp\a^WpA4CIs7uBhp@J%Xq#C*ep4*~>
+aP$IE#MI\e^f3XJe,JVIgXb?;eDT*<imH@RMq6Y;g"G$1f%0iPs4A7Cg=k67iSrTcSCH0<g"DTP
+BBF_KU"ed89?R1d!nc5Zq:GPps47h8gXkB>\OMY7hpp9.g=+@)q:G\uo@3cf"k;,Uf[eQ&~>
+dJPj$oCMq\rr<#tp](9brVuHQVfR(7rr)Ncp](9_rVuWlr;?9gVc_XMs7?9eoDeI[qYU3grV[f;
+qY1#GK)bl5s8Q)*lM/D4TD/*REI$:7rV-?goDe[b!rMcerqQKh#lFYuo<i#drVcTjr;-Qlqtp3e
+qYU<h#5J&kqtp<hJ,~>
+dJ#KtoC2VSqu$?cnGN.Ho).\1Tl"etq"=%En,NFPpAaXZp\41UTi0A5r9a@Rmf2eMp\+@UrV.H5
+p%%s2I/a$%s85YpjRBokQgjM5CNJ&!q"":SmeZeSs7cTirqQKe#kn,dm&jOHp@nL[!VcBep&b!^
+pA+L[p\ssfp\jf9~>
+dFg23dEgM%gu$uCf&GZ:gud#*LK.Kgi83&=f]_JDg>pc?g=k-<M*/K0jO;r:cJ?bEf)O>If\5'6
+iRl]=BO^&Y_rKW35gJ,a8:]:@dS!NKf\=s4f?rC,g&0G%ebmkqeGn))gt'f75/5e&r7(i"ebRel
+eb[epdKS.Of\"d)J,~>
+dekcqo_8=`qtKgYpAb0fs8VufE+-6KU2,(XOGLRHs7Q?jqtC'hs3H7]qu$K`s82cnqu?Tnr?(t;
+qYL5kJH,Z<rVp&CoDcO.ch7;;dt2u0s8Voes7cBf&c;=qp\4IXqYL*fq"]o.nGW=^r;$6cr;-<j
+q?H`kqYU0fr."~>
+de>Hjnb<"]q"4+In,)eFpA44@AQc5(RU^B8Lk)o*q!RkNp@8%UrQ0DHp%J:Kr:]s\rq?BdrqIT0
+qt9XXUO)q>kk>!RD!V,0;TJ5"qosM4i;<EDn,MtTpC[2rqYBs^q"OOVq!mp0L$&+'qY9m\q=sg\
+rqQNfrUta~>
+dFg2"e_Am4e^W."iSW8IkM+K`7%2b^:0Wd!Bq*i5eCr^1e)&mAZ"8:>hW)o<f%/@Mf)O>%f`'SI
+hUpK<M.#<'bM)#=<S$N140[/efrJ:[`o5n.dcAs3g&0G&e^FHEs3gqs#hIYXeS8gAg"6)Nq:,5j
+qUGMm"k;,Uf[eQ&~>
+dekfro)/FXpA+Ucs7Q*cs7s36MT>59^lVuW\SQKCs82B_qXsmgrVF37eGo@9s8;`lrql`nrr)lp
+*W#a4f6Hlbs7l(mWrM:=D>aD4p]&!FOno%Ds8VumquQ]irqHHfrqZcpqWqk6rr)]kq>:!cqYU<h
+#5J&kqtp<hJ,~>
+de>Hjn,3"OoChnTs6f4Hq<b7aJ%t3k\;4:7Z=S"'s7GXJp$hkVp[kptcM[;%qY0^Zrq?BdrqQNf
+*VK4$d;nXJqsioSUAa##Ab>`knc-.5Mt?u3s8)Hcp]($fq>^6ipB^HcoAsAooChqTq"a[[q"jaa
+q#C*ep4*~>
+dFg.tg=Xd%f@f$CeCEL;f9ns@WmeGPF$aE)93/R`f[&.#db`m=gn@*FjP/);f@0]Ls478'rRr7D
+gYB8?d+[@,cU3WSbA0l/gY1!2QV2>OjiZW>rn75$!7h%rrR;,'f%.o1U=e/NqUPDkq:5>krmCu"
+f%AX+e:7~>
+choBenbrF]rp9Xas6>)5S+$CPZ2]_bdeST)Zhse"s8DrnqtC'VGE)Oes7c9cq>U9kr;QX:qtg3i
+q"\pQnc/XZLqW]*>,_;ts7H?j`FcFLq#Bp`qYUBkq#:$fq#C0pq#13+C[D)rr;$6cr;-<jq?H`k
+qYU0fr."~>
+dJ#<ir:04OqXaOEp[n:<F%;>Ts7!#cK2Ke^IT`cEqXjUYq=XINs5n<Vp?)DGo(VeUpAamdp`K5&
+pA=FPCW5T:q!*C;o=e+qoDACPqtRs7XRPi]mJ-PPs7lThs7lWg#kRic[q+Urp%S=Xq=j^[qY1!a
+s7cKcJ,~>
+dFg2*g<e+!gXb0'h;725>r6rWlJ%QdDE>,VA3Z70hUpZ<gXt31kg3ORhTY*3eCW4Lf)O>If\5'4
+f\,-6fhnfqi82gpT&-G0M:peBcIpdD7Zu?Rim?H5g&'A$eGdnpe-OOUg6tRShUpHVebR_jeb[ep
+dKS.Of\"d)J,~>
+dJPZnp@nUeq=41Ys89cP@'9G-nbqtQ;e>e'_Q;5[qYU<fs7cBdrVaQBaSl/6qY9pdqu?Tnr?(t7
+r;ZHiGae[/s8TKj\X[^!nGE7coDeitB#FZ>s7lHg!;l`irV?cms7_56qYpBfr;$6cr;-<jq?H`k
+qYU0fr."~>
+dJ#<foCVt\o^),HrUmg5<MT*_lhB]99jdMd]Vj'Fp%J@Us75jTp\2:*_Y=!"p%.kUpAamdp`K8(
+p\aL[Eg6Uqqu!RSZ'9"Vl1FoNmJcsb@(lU-qt'[Yr:p6b#k@c\IZX0qo_84Wq=j^[qY1!as7cKc
+J,~>
+dFg2)eCEC7f?_t,j4g;&5E4F]e`#$42+QEWU5H5*f\,35j42f9h;=trWnl[cf@AFNf)O>%f`'SI
+g"P?6k#crjfAY_TFIIVV_U$llgWSI0PX_G/d,*@,g&'D"eG[r(e(iD\FP#:!fD=%neG7YkeGdl"
+eCN:)f$o3~>
+dJPZmo)/O]pAb0lm?:P4ht[-Iq#CB,Au>+urr)lsrV60Ys7lWop&+W8K`CQAs763hqu?Tnr?(t9
+r;ZNkR!8Gqp](9bs3%J=s8Vfks7Q6gMhCErpAasd!W)Tgq?QfpgM"e.q>:!cq>:!cqYU<h#5J&k
+qtp<hJ,~>
+dJ#<en+ltQnc&R_k)<&ieEuo%o(i<o@%ci_q"Xdcq"++Es7?*dn+Q?uIfJ^2rU'I\pAamdp`K8*
+p\OFXP&^-WnGiOSrPPE$s7l'Ws6oXYKmi1\nbi1V!;QHc#kRlA@Dqj0o_84Wq=j^[qY1!as7cKc
+J,~>
+dFg2(d+[C,eD]KEb]5OZ^=V3!guI[k8;P[PhV6rGgXas%j4<&Ie_]%hB'.Iti6^9Yf)O>%f`'SI
+gY1K8icnPWbLYh>eE3ikf]1c8fAFp,ibN&Igsk67g&'D"eG[r(e_@Q$W7fbRfD=%neG7YkeGdl"
+eCN:)f$o3~>
+dJOFQoDeaRrr;/jEcAAIrr39%s7H>R=3pp;rqZTo&cDV%s7uWnqYL60E6IkPs8)Zmqu?Tnr?(q:
+qY^<gb&$JFo^;YWm=*d[qu?0\s7l6di.@Qgn,N4]!W2`jqZd#qY]T11p\=[^qt^0dqu?Ksq"jja
+qu$AB~>
+dJ"LSmeZ\>q>]BWCMBm-q>^6`rpKfE;9Ak)rq-6e&bl(krUfmbp%80qC;oT8q=OF\pAamdp`K5+
+p%S4Q`+J0.mH=0Bk',;?o`"+Gs7,RXg3f=QlMp\S!VZ9bp'CHdWGU\lnFcPPq"a[[q"jaaq#C*e
+p4*~>
+dFfAmdG<NtguQD<:J[.mhr`ePk18^:3NqSnrn%2*45&?;hq$NAf\5>[:oi(%hqHf:f%/I)f\5'4
+h:UH;g8[iji7#s*k0.,AdFdI&dbrX'jhP>Qbg#/#g&'D"f)=5,g=M9[`nf+rfD=%neG7YkeGdl"
+eCN:)f$o3~>
+dJOj\oDej]s6bt\Ok9X5pA+IYqtfr:@K5ilrr!N0p%8:arqZ9ds8D]cKm*Lfo`+O^qu?Tnr?(q:
+q"as`mr$8IrVuThfRWeW_#=63nGiO]r3p:@s7H-bq>1Brp5Y+&s7lBeq>:!cqYU<h#5J&kqtp<h
+J,~>
+dJ"LRmf*1Ps6#5GMU;7qn+-#?p%7[">Q=![rqI0&nF->Sq=O4PrqQ$QIrPGTmf2\RpAamdp`K5,
+oCW"Nl"Is0pAFCPd<Y<;\b>aslM18Fp9A&*s6odXq=Y*lnV;has7,gWqY9m\q=sg\rqQNfrUta~>
+dFfAldGa$1jNDC-DRSN\e_&L.h;$Rl60?PFrS'H_dGNj9f$iC4gXk"f<p%l\k0qu6f%8O+g=k6:
+f%8s5cVCFrgu?l=[pRe&S_DcWb1ke'gm:EfjO2`7qq(l!qq)22dqWRAimcQ2qUPDkq:5>krmCu"
+f%AX+e:7~>
+g%ulkqt^*`qYTs`s7uKib^a$5jT#/OrVuWlmJlR6T_/9[qYC!nq:SiVs7ZK_q"lWBp](!fpOSq0
+rVQW_JSBPEoDe^es7uQZrr8X1`Ur^#qY:*gp&G']s8Vflrr32iD8Z2HrqtdQs7urpqYL*dr;;'~>
+g%HTgp@S%Lp%InJrUTOR`HbOnh>6m9q"jOWl2U"*SFHIMpA=U[p':6>;6Kles6KIR2u<+FnbM^%
+QL=G;s6"];G-pW3o_8.Op?25LRqoh.m/-JIrV,gXqs"(Sn+ZVPs5mq+o_/+Tp>boHq#C*ep4*~>
+g"7J+f[e[)f@\O)j4N#?X'IfU_;3hpgYLK@d,rVlJ^rZ2g%<o'g"3\lPi^Q]dFeBJs4B<ah::N:
+hq):dfA><Fc!EkCQd=I=g=t02c/.K0:8?7_h::!1f?i7.bi.@+gYCTDa[r,Uf\>$/j4+(V"k;,U
+f[eQ&~>
+g%ul\rqc<fs8Duas8Vr5COG[=s8W&kqu$3gpAb0[q#C6eqYC!nr:?4tm/QbYq>2!)s7ZKfqt?G5
+s8Didb$oV>m/R+]qYg9hru9s_I(]LEs7u?ds82TkoAZ\(n,N@"Fk6Tlqu,OOs7urpqYL*dr;;'~>
+g%HTTq=X7Rr:p6Pqu?9#A9I2!q#C-Zp@n.Vo)AUPo`+[ZpA=U[p':?[ODs@Zn,)qS3;*4>qssFL
+PCNH%oBaA!EQ.&;qXX7OoDJO_q;%-V\,YRio^MYUp@81IgS!-]qY%@8ci<h7q"EbBrqQNfrUta~>
+g"7ImgXjm/hV-o2iT8ae8m0H]guR5>g"P!9g#M);g#Ul?g%3i%g<k(EcK3a>f_j>"fJh^;hUpT6
+HYV[!gsW/d<2dmqh::*0fAbfJhnX;:RcDHIeBlk*f[]'.^P'2BhV";oZJjQjf[f*4rmCu"f%AX+
+e:7~>
+g%ulcs7c<gs6oa_rU?RdU&Ofds8Mihqtp0Zr:]a^s7Q0_qYC$grrq1jWW)Deq>3,Gs7Q?gqtn?M
+rqQNjhNQ7as8VriqYpNfq"a^bfR&n]p\k-_qu?Qnm`9a%F8u(0LlUm&r:g3Mqu?Ksq"jjaqu$AB~>
+g%HNYqss@YqWd\Po&Z6<ReQ=Kr;$!Xq"XLLq"!nPr:0FTp\FO_q?>GYU\F$Nq=Zf>rp]^Vp%?(3
+p@.nMf8RcEqt]jQoCr%Ko(2GPdrpiIo(`(KpAad\jLfJPC&@AfJVWCfp[\.Rj7iQJs7cKcJ,~>
+g"7Crh:1!8gs"@3gs:R5JDJf5hqZi7g"G!+h:L07hpg9Vf_sD$f_a5*gtfV7NTA[Qg&0G$fJqI@
+e(`[4gS[p-g#C`!E2qXHgt(!,gYC?3g">Ao=``9Gf\4U$i7Ho1Uf^_qi7-4eC<>MheCiF5eGdl"
+eCN:)f$o3~>
+g%ulkqYC-fpA4g`i-APFrUU!cp\+Oar;$-[s8DK]nF$>PqYC!nrV$/dA(CSQq>3,Ds7Q6grVuA+
+hX^UEs6'F^q=aX^qu$Hnp](0iq7;'cs6K^`q"F^dmYBk7WW)eQC:3s;p\=^Hqu?Ksq"jjaqu$AB~>
+g%HNep%8(Rnb)kJeS\3pp?V_Oo'uJOq=aLNs7u'Qm-=TGp\FLfq!n'N>gE*5q=Zc:rp]UXp\X5h
+f';o-r8@VNoC)8Co_%tWnb`%ToX0"Os5s@VoC;SIid9<\TCh[,A$5J!o(2Y9p\ssfp\jf9~>
+g"7D)f@J^/e(<R.^K<OjgsP39e^W:-g=Op)k2+P:cctGIf_sD$f_a5*g=4o68\F0@g&0G$fJh:<
+e(EX8iR1ZBe_TBG_rKG!dad%'g"YQ=iS<2>QsH!;`o#FtdG!@!A\^TdgXa&.Ok8=:e_&m2rmCu"
+f%AX+e:7~>
+f_Z`[s8VHcs7<?uJE$:rs82inqu?]loCi%Sq#('gr:g'_!;cNg#Q"/mjCODOq>'nHp](!_s8)`p
+L9LCFqtg?irVHEks82Tfs7lHjnG`BiL"lD&s8)<cs0g8@GHq2DW+FZ^p%eU`iqrcP#5J&kqtp<h
+J,~>
+f_-HSqYKCPs6QIVFP#jErUfs[q#10boC_qPp\XjcqtBdYr:g9drV$6b#kmr]pYK54p[\.R2tHq<
+oD8+SrdLd7mI^#Jp%S+OqYKjSoDA+NqWmtPWdr[lqY^$Rp\:Z%iG5:cn"F(9qsa7Rp#>`Fq#C*e
+p4*~>
+f[q=lgt^$-j3W`J?GY1Bj4`>Bg"tT9dFR(*g"kK@gt132qptf"s472!$.d_Xh8W*2kMOtjf)OA]
+e_o!/i7d&MBp@B'g=P64f@8@,hUpH5iRllBcJ706@^sn@gss['if^@c<K5qfKgN3(dam+%imdtU
+"k;,Uf[eQ&~>
+g%ulhnbrLas5AT8Sa-7Qs8VZirVHBdp\=[cmIU5Fp&4IWq"adlq>^6\WaOBWq"luLqY0j[p]$q?
+s8Vics6]a^rVulnqYfp\m/R+_s7Vh9s7Q<gs8;\_s2e9_p]#,Xn,N1]s7kUNs7urpqYL*dr;;'~>
+g%HT`m.gJNs4i!!OP]g'q#9UUq"OOVo_A=^m.1#Bo_e7Rp\XaapAO^jo`+LKUKPk=q"?WBp%%bE
+nbSZ$qY9RIs6'+Lp\OXUoChJBk5##Ms7);*rp][WqXs68rOPS6lh+e1kkt&Irq#.DrqQNfrUta~>
+g"7J$cJ%++j1\n_IE:I'ioJMCgXt0/e(3=3d+$k!f%nd,f_a8"f`0P#e-G!cerWJ=l.Q!cs4B9`
+h:U93f%8o7C$"=)d,W0tf%8X1f@es+gW\R6g#UY*A_tecf\5!0HK_1]VpjEm=NfUPg>:<<eGdl"
+eCN:)f$o3~>
+g%ulkq=jpab`#u%s8VHcs6Td]q=aIRqYg?lr;QWan,!([q"adlr;ZEfibXnLq>1Tuqu6HeqY9p0
+C@V?'rr4A?qYU-crVulrs8Dlqp$_k/L<fJiq>^B2T`;WUs8UbXZMX\"qu?KOqu?Ksq"jjaqu$AB~>
+g%HTeo^_kMa+mi^p&!YGroO%Lo^hVGqYg<kqu-E]meQnWp\XaapAFXhs6fX9AW>sMp,Da>q=X=N
+o(9e.l2UMVs8)9Xp%7kLq"FL_p\+XVlM/\Vamf&ss7Nd\pT/H0p<Q[9o_A1SrUf+DrqQNfrUta~>
+g"7P+f$rL*WG+PEionVMkf_r:f@86tf\>3Ah;@&:d+[L3f[eXQe-+@Tf[eXPe-O[beD\JKJCiKP
+f)OA\g=b96f\5!5Y><[3h;I;HcdL@nf@o*=hWEYLj3u9-Z"'c[f@8^1TRGmh?Js\K3/uPEg">->
+eGdl"eCN:)f$o3~>
+nb`=^p\Xsdq>29/rV69>E+HubrVuooq>L?lrquWis82<Xq=XR`rq-6dq?$Qlr;HL%qYp0Xs6c"^
+des"?qu$Hj2Z3:KrqcZpqt+@Fq=t!Vs8)cqqu$Knp\OU`p%A@]rVs`dr;Z<crdKNPDM@f`R;Ls`
+q>BmaiVWZO#5J&kqtp<hJ,~>
+nb2tVp\+U\q=Yp%q"+4*CL=pLo(;SGo(`.Xqt^!`s82<Up@@qWqsjU[pB(']p&4Rnp\F=Es6#2E
+an>B#p@\FY2YZb=q=OU]p$>l(naZY@qXjUYo_&%SnFQ/Ln*^5Iq"qaOp\jIPpMtCt@Wq&-O(6rA
+o_7hMiV3?Hs7cKcJ,~>
+n_!lmrRh##p"1G<g==i\9gYZ/gtpo@f\><<gtLE6hV$3&f@/@3gsY$2f_a8!f`9\'ed0sWdHK)(
+:Uo0Wf`0V_g=5!7g>_&HfgiF'fAt$/eCiU.g#(W:g",<9dcB$7hk+6.i6L$0>$tZ1@FEkQ8AF$4
+f?`./eGdl"eCN:)f$o3~>
+o)'X-p\FO_o`+jhq=t!ar;Z6[s7ZKiqZ#s_q>^5_=+:/Crq['!q"agdoC_t[s82N^qu8hWp\b!h
+r;-6bqu?WjqYU'_q>0pep&F#]NW8bNq=jpho_A.QqZ$Toq"f3*s8Vrpr;-?_s7Q?`s7Z3ar;HX3
+o_=Whs8MfnS,`/FSH&J6SFHRKs8MKeiqrcP#5J&kqtp<hJ,~>
+o(P<Bp\FO_n,E"To'ubMq#BdUr:Bs`p\a=Tp&FZS;gS<3p@n=Tp%J1XnFcYXs82N[qYU-cqtp-Y
+p\=RYp&=SZp@7SBp@\+Rp\+LQq:AYtp[@YBm/$bLo'l,?qu-?_oPp5ss7H*[o_._On+Z;Gn*ol?
+p%\:VlLB_Fr:fXSOo"=!OSeQjQ0\J:rVZ'^iqNHIs7cKcJ,~>
+o%A0;e()t.dG`j:f[o9;gZ6`5h9t65f\Oa-f](M42I54kg"=s/f%8U1dF6b(h:^<)g=t?8gY:?.
+g"P36f@JO*i7lo;g"+a-f[o!1jMaT,j4N,?f&Pl@f[eU,i8WPFhHPQpkM4qLg>(*6e_Sd4e^iC-
+h#?.HdFE-/iS2i;G2CP_G2UqSH-YBmg=F<simdtU"k;,Uf[eQ&~>
+o)(]Kr;-HjpZ__CqY0gUs6fpdoDe%Jq"t*kp%4hLX8Dqip%\Ods8)BWs8Voeo_SUfpA"FYqu6Wq
+qYL$^q#(!g9).uKr:BsXrVi.)_tsE5pA=OAe^Mga_7mXu]m#FAQ_1(GS"-"M[`?G0dEThWe`QZ,
+s8:i>p&+j]huEY/anab+`W#o0rr;TgiqrcP#5J&kqtp<hJ,~>
+o(Qqpr;?Tio&Ti1o'c29s6]jbnGhVAp%\L_naMu<Vt^2\o(`1`s8)?Vs8VldoD8Lenac8Bp%\CZ
+oCMPBnb)h[p%7tSq=O4JqssXLp%+&Q\F97jlgX;pccsPI]t1ee[rI/)OdVf/Q'R^]VQdnR_oK[1
+_9:X%q>Ts:M<ja/l.5n,I)#.$@DM^=nGE1Sqr7ALq#C*ep4*~>
+o%?(Uf[o!3e]6msgXt90k0N)FdG`*pf%K!<eC/grN83ICe(3C5i7QQ)j5/J;eC`a=dEp7fe_&U/
+f%*gNe(*.0k2PF\j58J:e(iF/d,*Z*<M\C2kL\M?_RHqUVkTfSTV#G-Q[=@>JUMupN0^B<VQQqs
+W3X=ki8rY+E73FucFMoc?_l2_7AJVtc.LXjiRIkT"k;,Uf[eQ&~>
+o)&^hq"F[Ws8;lr#4qlhs7l*YrVmi#]DqR(?Z=?iq=jpeqY'UUqZ$Tfp\Ogcq"4+Trri?!rVufo
+s&/X^nG<"ZrqlKds6e%Q[C=/K>B5mUIVrn9DI-d_?;sa#>AIPHF(&co?"dYO<+09C9O1q1?XdV^
+D.d(2E45Pbn,N71FmJn*?Le'qpA=jbqVqDPq?H`kqYU0fr."~>
+o(W.Y+8t[.p\Fdcli6MQp[S"Uqu?]V[f>go=_l1To^`%Wp\s_up\Y![o_/+Up$hDLrr)]fp%J1R
+q#10dn`o6'mIBoCo_AFQaiCTg]9?!&LN@NH?Xm\M>[CN/9Mef%=A`p>@p`;H>?4L(?<Kcs;cHb!
+>[V&I;1W>\m_S#]n]#D(n>04Qs8DN`r:g!Gp\ssfp\jf9~>
+o%A'8eC30tjP&VUjj`MIiS2f6hqmDS`gPu>i]g2?gXk!8gXt'*e_&a;e(*.*gXaj"hqm2Cg=Y*5
+g"bQFhUg-#g>(NAgXk-9cDmn0R&>O!;fc;Q:J4AW5!hY$1G:OH9gUpC7869:83o?p5=%C]3]\9C
+4?l2'8jkXP9p=,+b2(LF:WCqA43umCcdgUndGi[TdKS.Of\"d)J,~>
+o)/Ob*rYm(s6bfM]t2)#^sUa0r8RbKUpfj(CkL"$q#C<crVm0&qtTj^qt^'brr2urrq]jop\b'e
+qY9R=cb[,iTTk(KAnGk+=^u8qLT6VTGbM1<W26&f\AZG(^;.[sZujLkqZ$Tmp%7,0m-E*<aN`#O
+]W\3:OI:`Fgl^RqkFRb-s*Aqir;6?bqu6ENqu?Ksq"jjaqu$AB~>
+o(Q5\qu-3Uqri[3[BdBZ]Zo"&p>#]9T!7ReApq_boD\OSs8MrnqY0XPq"OISp\b'kp%7kInaQ5K
+o(2D9g;ph/SX#%YCLL[fH<+?aFF9X8?u;4&T:MN3Q)M"&_7dFm^p:+\`VK0(q=X4Ef]qY^c+:X,
+`4iORS>M%%H#:ubfD+3fL?nMREW#S)p@S1YiV3?Hs7cKcJ,~>
+o%>kOg"Fm$hTfr#SsuLRTsD/^hSeX/L7$JX9Ok3Lf&>B4io/eOh:gK1gY1<4g>CrOf[SL'>L_-S
+hq$E0cbQ]XR>HK;A5P``9NsGA9O2=jG>).kN/NOIIZBekVkBTQV4*cRYN+L#iS2o4^<OgBYb@nn
+X/25CK8j_k?rX[S]\C2GC!bR8<SuK^e'ZXpd,NRSdKS.Of\"d)J,~>
+o)''rp&Fmgq;-Eg>[1619.Oo*rr32;CY,=oPk4nS$NBc!qY0XTq>L?nrr**"qtTgSr;Q^;ptNWm
+Oc"U.BkM4"KSl(m\'3t1s7H*ds5s@]L4oF%rtP(op&+jgqY0^`pLLc5mJc_PqZ$!_rrDckru:t9
+r;6Ngpje\.nc/Xa^s`8A@]o_&qZ$?drqPLMs7urpqYL*dr;;'~>
+o(OR-p&Fddo[e"E;,g4e7ji/us8Mu+A'^WON9pE:s7c!^o^VA<oCr+XrqJnUp%%P<p%\Ren^P.Q
+MM$+f@:*MWH%1aDZ,bhsrUBCSrnd>CH[5)Po_ACNlL4KDq=aFNs7'F#s6'1Eo(;kEqtpE`rUq3&
+oCDGEmI#.Vo&p#Jn$gF4f3>0Kn+HSNp\aaEp\ssfp\jf9~>
+o%>GCe(`I4f=b<74[1eb/.>=ZlKd`2::c0NFjf4*jP//Eg=Oj)g"kTErn^'!gXt$&g"YQJe[V38
+E+rTV8k;]TASZLFQ`A!Wi7$?:kJuQBB4]iUhW!\Id+-k+gtC91khAXtkg/2;f\56,hVR>CrS&:E
+f[n^.daME?f?E:1d$h&j]K_>0dF[%!dFHS&eGdl"eCN:)f$o3~>
+o)'X-p%S@`r:0MW86G6AhfV#tmJ?j1F,Xn"hYd3LlLt8Bqu7Q2o_A:[o]+*"UQg=IAn5LnIYj,S
+Wkd<Xs8N!2s8;Zerq6<iqu?Hhqq$;<o`+RXrr2urrVI?+pA8Wfs7H?gr;Zflqtg<dqu$?grVlg5
+nGiN;[f?Brr;Zfqs.F)bqtL*iqY9s^iqrcP#5J&kqtp<hJ,~>
+o(QDao(VqZp$1m34\b"pfl9'ejmhq`B7sZPe+E,)i:$^*rVZTlrqlBVo(;VCh8HCcNI#5E?!h>j
+JqoM`\C'R9oCM\Np@@kPnb`(Rs7#RJb]CJ^r9<\Mqt^![rqA,?nF^@NqX4CVpA4g\p@\7Po^_PB
+oCi%Zk5YI'XS)PSoD/+Pr0CgGp@A%Zp\+FUiqNHIs7cKcJ,~>
+n_$.Se(<X5d+0fu3R,X]<Z\*cioOWNEDCbnh:CK&e)\O/io9"ZiS2l7g=t,pWfi!U?;!XO6Vq'%
+E-mM<][Z!@h\b>-f[ns/hVHrMg"kGn?`DT<e(EgAhqHc_g+_44hbSCSf'(lDi8W>@f\G$0f@JO*
+gY_#6jQ'I+g>^6*g=b*:HUba&eD&d.d*g5!eGdl"eCN:)f$o3~>
+o)'I(s7Q?cnbD]W;0i35o?1J1s8UYUAM./ThYHpFru1Y3mdp>To@UOEO,&(#B4GF^M3+acnb`:b
+r;HWur;-6hrr2piqt^*br;$'Xs8W)rNcNhQqs4:Zq=aLRpA+RVs/(51rVuWcqY0p^r;-BirVlir
+r;$*bs5eU<q"Xd^q#CBnGCK>arr2ilqYBsHqu?Ksq"jjaqu$AB~>
+o(RY/rUp$YlLF(37W/"emDiN"q"Dd+=!CA"dI-?#rr)3^kNha5ld2i%LOXAX?X$`?Jr-8GlLacE
+o_84Yp[n%Hp\+@Yqt9RQo_.nGli$YQnUkK"rp]"Hp%7eDnalJJmJii'jnJ]CnFcAHo(VhPp%J.T
+p\"+Hp&3`hZLRGpp$_ALq=JNJnb2eSq"ORAp\ssfp\jf9~>
+n_&BHe(`Euf?uW6>3",_X?kA#lFfPW&j1NTf[K!Dim?]0eD/s2\X7ndBO"A)6psCUDi(aGg>:fE
+ioT:_iSWGMhr*SSgY(<7gtC9.k2P:QD,Ih,g</F0f@89teCWC(kD3Kihr<8=f[\^*g"4s2g=tE;
+g"+[+iPJ]_e^Y5`da7%0fhu&)g"Y93eC)^jimdtU"k;,Uf[eQ&~>
+nbb?CoDe^bs,0Thp!Ea4s2G$9o3Yd,T]Er1m/Q_4e"3e7NI5beH%1F.RA[[EkP5)Wp[eCas82]m
+r%%X>q>C6kq=jdaqYU6koDejVs8;iqfOD,Vs82fnrr<#tqtg0grkMjcrUp0i-2%<4rq-*dr;-6c
+rVuosr8hh>qYL6lp\b'cH'%q#s8)?^r;-?Nqu?Ksq"jjaqu$AB~>
+nb5!;nGi4Ss+!FGlG`Yiq8)psj\\fIPLm1Ri:H0Ya-3BaKlh'EEHc_cOe8u%hsgLAnEfoKq=F4W
+oMkDOnauPKnaH)Co_%tVmJ?kCqXjISbu^e*qt0XWq>C0fq"OLWppsSKp[A%VqXFLTq="%Np%.bG
+pA4^]p"j?"oCMbVmdp2?Di+,[qt9FNqY9pHp\ssfp\jf9~>
+n_#kQcf<^4k\MkIf!4AiiMP\qgdX[rK?'acb2(FPX`o\LDI$1>>$ti\HAJ)saP#V7f$`C8hq[#d
+hc/FghVmGNg=Y39g=tHCe)9B4j5&SM[m?,'inE5Bgu%#Eg">!7i1`K@h::N@h:(?4gX4[-g"4g,
+g>:cBftpC\f@Sd7cdpgu<,L:@h:Km!eBub)eGdl"eCN:)f$o3~>
+q>C'e-iWc/s8VbV8nF;lQiHmEs8R.9Dq)4qb1!PPIsGdGK9i=Kh"(IEs7uTgr@e3FfSQ`"GtNtZ
+o^hnYmf37cs6K7Uo)8OeT4m*YoDe[aqu$?fqYBsbfPR)Wo`+IY&,Q=!Gl7F;nbr=aqknJmrVcWl
+qVqAXqYU*cqu$BjrI=~>
+q=j^[-i<H$s7kl74]mV<O8nh3rV'kh@E,:;]uHgsF)>5mH&S9'eEZc(qYBd\pAae=qX;d^V3>mc
+K]MRgnc.bGp%eUIm/QGGo)+bZeFDo(p%J+Rq"OOUoCgUFPl0tKnb*Ics-n*(p%dnFnbVgIB\E@X
+s7cNfiqETNq>'g\rV(g~>
+q:YPs-IC*"hUHWs7sR7DkhF2Al!-,I\XAGYZ]/[';aa)]F+p=$e)03Gq;(r's5#$_g:M0aJ6jgD
+b1+nokg/2DioeP6k0i&?k'TV0f[Aa2g">!2rn%P1hRH:+imcr?g%3i4fA_3Yg"5!'e^E:(Jk`r4
+g"=s,eC)alim\7^e'lk!g"G!-J,~>
+q>C'e-i!B5pA4H17UKt3WpoQYp5W?5<_H]/_m$Mfbh)alrr)irs8Moip%eO]r?(^aP_`J#s._kQ
+s8)6DR:U_gI"_4ns8)cepMci's7Q?fs8)ck#QO_j@>t0Ys7,slrVqb$qYC0iqu6TtNIL-lrVQQi
+iqj#Xqt^-dr;?NlJ,~>
+q=j^[-h['*n*fO\3Ds3VTBPV@n:FF^8j-"Q\>-%7_TVKLo_/"Qq"F=JmJ?GTp&"I_ocNSIN.=cX
+s-l)=rq,F-O^3$GFF<TUrq--Pm:M^Ts6fjZs7cQe#Pn)X>DDnBs7,dnq##hgp%84Xo)AO\K66,N
+rq?BdrqPLI"Shfgq"Xg^J,~>
+q:YSt-e-W"e(N5V-:(BdNRQA?g2o\#4>9$jUl^e7WNk%7g"bKCiSWGCf)"2&g\]e+hBCI]GABB]
+m"Q`8jP&"uH:D.@?"MUHjP&_De4kDEjO2`7rRh/%$/aUc6#>B,in<#VfGE8uB33^9hqHQ:hV)XG
+`o,P&f[SF!dF$t'#h%2Ne^rL-f@>B~>
+q>C'e-i<`>q>]8D53(sIdIdJ3s&E0+;.RK:p](9is8Vr`s8W)rqYL*fs7uQfr?Lp;cH0(pn"3H`
+p&G&G>_W4%EejG]r:^0\s0Pqds76-er;6Hg#Q4W%IW+uPs7,ssqXn`\qXsdcqu?Z_E234.rVQQi
+iqj#Xqt^-dr;?NlJ,~>
+q=j^[-hd34o(UQr1"P2l`pE`oq+OR\86ECgn+Z_Kq>^'Is8)Nao^qhNq>'^Zp*/k$`kbBPkEehF
+n,E65;0r)TC4GgAq!n1Cs/JlFs6KITp\X[aq#kqWo'ZGGp(-icBn>sHp\FC[p#K_Qnb`=Zs7cNf
+iqETNq>'g\rV(g~>
+q:YSt-eR#2f&=7l+ND])[+FNnj#]Lm2b9e!g>h8GhrND2jP\nMg=k<;htc",h#,n+g`t7/YGsRM
+dXX&8e`>h(4_EiY;eXh4gXP-+k)hL3jNlQ6g"?;S#hRkhhd0%-dGOoTp!sr0cq.Zrd+?t"iRl1D
+Ib!?/f\"^'da?J%e-OLOe(*('g"4c)~>
+nbad7q=3qR[7>39s82iBTDA>L9tTi%FHai;o`+sWs8VT^q"jperr2llqt^1Ds1n,V9E4nh]'8_a
+lr-g[qR&r3o_nRbqtg9gF-5njrr)ckq"X[\o`+g1<8mNJnbWjmjBn\^p%A+Wrr'K?f)PREqu-BN
+qu?Ksq"jjaqu$AB~>
+nb4F0o]kZ6W]FYdq<n7&Qh0j07C2-ZCl?-pmJm(EqZ#mNo(;YMq"XU[p%\5)qRPj;6iQ]W[cQfO
+j@`#5n#AU_meHGNo^MJBBntmKq=s^`p&F^jn+u^p:YbI6nb*LchccWNnF6&Bp%5Robl.,3pAamd
+pu;&Iq#C*ep4*~>
+n_#;If$;S!Q75_sl.t^3K%o(-18**a=*CUme)oW1hW2u5f\5-:hVR)bgB-'^g&0PXgu+gNA1Zp#
+kaBN=iQX28h:n5GU=@rLh:gK7fM68+hqQl<f@8=#f@&U3WA;6;gAT[seeciN3e#r4d*pOrf9SY+
+iRZ]7f[SF!dF$t'rmCu"f%AX+e:7~>
+nbad-s7u]pO?$)/s7br%OnA\NiIH"&rq<G*o(q_Qs7Q3err<#tqtTj\q>gEgr?Lk4o3>r.p[S(Z
+s7NC%G5qN1>6"L"p\"RarVtDQ^&S'/qtp?f#5@rfs&c?%q"sm`&,aUV^&Rm&r;?<hNH4ampAOme
+qVqDPq?H`kqYU0fr."~>
+nb4F#s76$_K.0"GrT`EXM=1<7gNm_cq!b/gm.BK;s7#[VqY^9fp[n"Np&Ojap*&`$lr@Hgn*BZH
+rpQR`C%LhU:]9taoC;\JoDQj1[f6'rqt:6boCDiYVY^)]q=bEqaBH1Tp%A(QmeqfPm/QPRpAamd
+pu;&Iq#C*ep4*~>
+n_#;<j4</LE#C:ZmForfFOoO/_dZWXi7O!Xdb;k"imZN7h;@,Gg=OjLf`9Y%fd,:sjNotXhUp6.
+j5JOH6s/I+HopKFhq$<8g">;g2jrXYg"+aReHa^Vg"#"=M;8*_o@=`1V`C1(eC<+$cerG1dGr^/
+f\"^'da?J%eGdl"eCN:)f$o3~>
+q>C'c+8,K7IXb*mBB0$eG$]jps7lWdaD$=CnArZ=s7l0bs8DWnp\F^aq>(*hqY_9&pt^b*o)JX^
+rV$#o?b6:;I=_=hnc/Ufrr3Z.MgXL[qYU3fqtg-goDAQ9EVf\1qt^(!qkmlFr:Ksfqu$86SGiKd
+rVQQiiqj#Xq=j^\qYL*dJ,~>
+q=j^Y0(AP5GB,u<=4@*5C/]NKs763Y_dn8.lGCC&s7>XVr:9IMoCM\Mq=aRVp\+@Tr:g0`([U\C
+JYMK.p[nCSnuYlnq"&HJo^D2Iqu6=(q!`iWg@b.4p\=OXpAOCPs*/AQq>'a[pC?to?H;m3qY^$X
+n8=E\q#0pdp\ssIpB:9cp\+=Zomd~>
+q:YSr0@JL6?!f3A8&XfL>!ZfSkh+tEVFP*gd&<kejOV]9hpp6,eCN7*g=b-3f\+p1f_sG#fcnen
+\n-]FinDr=e_$0QSEJm=@boS]j4rDGgtgLm=M<><f)F8/f%&^-g#Q@5fA"s1o@=`0K0?*ad+R4)
+eC.9=f\G36f\"^'da?J%e-OLMdF6Xtf@A?#~>
+q>C'c,QIVWH#?bl:gd*t<EJA`k5X]6s74u]BWgY#oCi+Sn,NFdqY'[bqY^3g0E:;:nc&R\s7?9T
+s6XsTs2AKdrr;]jo_/=^s74u[V"XT\rVcZjq>^9iq4qEHrV??dq@ECXEn^9Yrqu]o]5lO&qu?Wl
+rVGON#l=Akq>'m`qtkm~>
+q=j^Y/cYLUEa_X;5Ys^78PJ%Ai;_s*s6nZSA?+ejn+-8Cli7"_qY0dZq"ORXq"ORXpFlR+r9F%V
+mJcVTjn\"Q_XOs6\b?'or:07TnbD=s@\*&\pA"L[p\+LVq=L:`c1q82p%K!jKl>T8n,)kQq6F_Z
+o^qtYpAamdpu;#Nq"OOVpAOZ7~>
+q:YSr0]^l[=ACk@0gRNO3BG=JaQ1Ccj3YD17ubXKdb!=*cJ[O7f\"d-f%AR+f%AR+f%9oOrRWjc
+`S\qpjO)r6j2g-'<jCSZ7A\o(e_S[&j4<&2\4(qse^iC)f$r7,fA+u05-N\mf[eXPeG7Z3eRVF`
+e'?\!f%QB_ZJ!mdg"=s,eC)alim\7^dF$Fnf@SR%J,~>
+q>C'c0`:G?pAb0Zc-OMN^rl]Bs7uKis6fgbTj!&gqZ$?es7Gs[qYg6bo_S@Zq"jd^qY^3g0Db_K
+pA"[_p%n=\qX_LuTRKo'qZ$Kds7lWoq#C5NG4bP+s8W&qqXsmcp:,":q"ag_q@EORN:HrEs7ZKm
+G]*Q]r;?NjrVGON#l=Akq>'m`qtkm~>
+q=j^Y0_ao5n+u_7^r!aq[DMt)s7Z0`s6KLYSlU<XpAOXWr:0CQq>0p[o_8.Tq"ORXp\=UZ0D#&:
+n+$2CnFuJOo]roOPAs.Jo(i(Or:Bg]nbVm4EUWJlqYU-ap@/+UnZur&oDSCUpCI+GL[=s3r:0UZ
+DeK"Fp%A=Xs7cNfiqETNp\=IUrUk[~>
+q:YSr-ecl,e`>W3Xg+k(TrmV(jk&&:i69p2IlUr7g#1K:hpU$,g=t6/deqYteCN.Jec")Qf%o01
+eD&O%f[A^3e=hVK?o?!ZhqQW9f&,<6i7_pFdad"(gXk!)dc/p.Q:un\rn%5%pXK5o%G=lsbhUb(
+dFm5M9&JM(fE0XReGdnUe-".Gd*qsD!7QG~>
+q>Bp_q>Bp_([@)rWU]r\rq$$eqY0dbs7u]pq=F=YrqZKfqa^\[p%A:`qYH5:qu?-br:BU\q#C*g
+n8OrsoDeIUs7lQioDeDcP5P.SrVHKmrq?<fq"ajerVZ\?_#O<3q"sdFB<2(.rqbUNrqufns8)ck
+#5@rhqYL*dJ,~>
+q=jRUq=XFS)!-ZdV!RmHq<n"Sp@@nQrq-3ip@%YLqY9p]q=[D[naQ#Ar:9E5N:[)6s7c$RqXjgX
+qW_g^p[.nInGi.Vp[8"J<K6bFq"XOXrqc3_q=aRXqYBpdEk;)>qssFLhdNDXo_J1Rp>boHq#C*g
+pAajgq"OL\omd~>
+q:YJor7M/+g"ZGXq:HP)D+99*g=4p*g>:N5f%f04h;$K'cIUUtqUbVqs4Bp'e'lk)jk\a4GM_Q0
+jOqr0h:L`@im^qYhp^K1d,37%eBZms2fRL&g=k*.gXXR!e'QLke^i:.:mfkbgX=Wt]K_/(eCiC'
+f&P9Zec4/!dg4@HcI(+ke^Mor~>
+q>B4K([qCeR<>.VpAb*crVu`do_8.Vr;Zfpo_JF\qa^AYs8Vces7UQ>lh^GNq>^?inGW+Ys0-.[
+q=Xdeo`+mhqu?>3KD5EGrV?6crr2flqYU3fqYBK&i;`WQrVuhrA(1GWrqbUNrqufns8)ck#5@rh
+qYL*dJ,~>
+q=ikA([D%[P]3)Bnc/@Rp\XXPn+-)Bq#(*cnG2hSp.+ZJs8;?Vqs\L(jn/38o`+^`n,2eNql=,E
+oC2eTmelnWp\aN"Ie*@3q"41PqYL$`q"a^Zp@[QgfD>"1o_S<Z?dJTGqY&nBrqQNfs7ZKe#5Ire
+p%J(PJ,~>
+q:X`Z(X1mWG#E^teE5T=h;6f4dF?Xpe_/U(c2#ueejn3Cinr;?jk<h%c.^e!f&PH=dGWa:kEeoI
+gXG69cJ$dueCi8J@Fa2ig=4U$e^`*rdF-LldEog.[b9'[e_8Q+4KR/ef@/^.rmh%us3h8$cHaea
+e^N!oJ,~>
+q>B4K%KGqns3Z@BXn;Ggs8Drrrs&Dqq>L6gqYC'bqa^>Zrr;chp9RWds8)cmq!e4Zmf!%Vs6j-C
+me6\\n,N4\s7Q&TB&EO`r;?Bbqu?KhrVcZiq"W'Zqu?Qns8Dt;GPh49rV>FLrqufns8)ck#5@rh
+qYL*dJ,~>
+q=ikA(]Wgns3,h3W:'9Pq=j^`s8Mc`o_A4UpA+IYp.+WLq>^$Wn?#@Ls7H?boBlANmJQ_Ls6<R2
+kje]Kl2:5Kqsj0B@G:JLp\4=Op\jj^qtp0]o^p.Fo(MYLp@nT(F8,A)q=W_@rqQNfs7ZKe#5Ire
+p%J(PJ,~>
+q:X`Z(ZN]jj/uZgMq$M<hqd)Gio&G:eC`=$e+qVkejn0EguI&Ag6X\Ikh>+Ne]un(cf![5lI8"0
+d+%.0akG+ifZqoj7(q=-g"4a#db)ppeC;sodF"afe(<(%f@SkO:t3qGf$`O,rmh%us3h8$cHaea
+e^N!oJ,~>
+q>B4K(\7P)q>9ThH[)pcrqlWlq#:0fr:opZs7#nHs7$$bs7V2%rnP<ZrVuWbrq$'foDeiZ=2P"3
+q>^?gq#BgYa]5nGpA4ghq=spaqu-HiqYU6*J,f<Crs8Dl@B0A#q#(!Iqu6Nnqu?Nmq$-Thq>0sb
+qg\~>
+q=ikA([_"oo_.OTG&jbLq"=@ToD/+Rp[dkFr:'DLqs4(Nqs],dpt!%Cq#0jUrUTj_n,*$I;7uks
+o(r%Qo`"1K`)*i3nb)eUp%8(Sq>:$_p@nBmH2@"+qtK[L?)IYlo_A.=p\ssfp]'sepBLEep\"7Q
+p4*~>
+q:X`Z(XLgjf%A01=]h!:hV6iAf%ep1f@A3rh!rrcf\Oj.gYpe"C>catce@:,e)&U1i7@#PIQ=.\
+eCE:%dEgRgett6ie^W4*g="<sd*gFmda?RqQ<2hfgYCH0bW:C6cI(1kiRIkWs4%(t#gprCd*^Cm
+e'NU~>
+q>B4Ks8Ni-nFc\PlE>qr_=RHps7>p[s8Vrjq=4>8pAa^_p\aN0T;e*Znbi%Zo)JLYrV$$`k&cIQ
+qY^Bks8)cfs6sBYrVQKls8;]hrql`l')_e0X,?rPs8Dur[;b.&qXsjaiVWWPs82ims7llnq>'m`
+qtkm~>
+q=ikA(]X@%lgXW<jf*c[]C#1Xq<d\Eqtp'Xo^VW.nb__Lnb26mRA5hBm.]uKn,N.Tq==1Pi,42:
+oC`"Srq?B]rp*aIq"FFXqY9aWrqR9'pA"O`V1ea7rUfmZYAE(ip@8"QiV3?Hs7cQes7Z`mp\4@S
+p%En~>
+q:X`Z(?+&tc-k7naH:.KUXe#Ihp^',h;6c6nCB8?gX"[,gsTS]Mfk*,g!Sa'hUpH:fA#0'<b^%7
+f\=p/dGE.+brp%#g">$4e^2_CdhL6Xe(EB.ADGPifA"o:8\<L$cI^P(eGe"ueGmu'dE^%adFH^p
+d!u~>
+q>B4K"S)Kkr;$?l&,Yb#G_t#Oo`+shq#(0jp%eI[qa^J\p](9a_,,*(_t!d,l1XoPq!n.WqYU<-
+EPDJQnc/X_s7cQnI<,>es8)QhrVZWkq"ajerr%eFs8N&gs8-eorq6<ds7kRMrqufns8)ck#5@rh
+qYL*dJ,~>
+q=ikA([Utsp[n=\qXs$REeDa7mf37ZoCi+VnG2bQp.+cMo)ALP]1Qge^$PdtjR`'Ep[IhMp@nKq
+CUs<@lM^bRrU^!bG]!9SqXsLUq=sj_p@n@YqY>l2r:TmLqXnWZqXOOVrq,1DrqQNfs7ZKe#5Ire
+p%J(PJ,~>
+q:X`Z(s^mog"+s9h;-JD>&1Y,eE5fHf%f0=e(=HHq:8'cf[Sj8d\AQqAu!]4ho*smh:U-,h:p`G
+T2D-8iQ^36c.^P%h-3_2hqZc3e^W'ue'QLke^rAaFktX(bMC]AACo,\dG*(-eGe"ueGmu'dE^%a
+dFH^pd!u~>
+q>B4K(]X-tr;Zcio_eIZkGE9ahXCCBp@J4^q>'m_q`4]Qq>^Kf]PjCcs8Vimq>UEgp\+F\qu-Kd
+MgjUao)Ja[r;-6eV./HXs8)Ecs8;ikp\Fgfq!iR5rr3>ss4h"cr;QWhs7kRMrqufns8)ck#5@rh
+qYL*dJ,~>
+q=ikA(]3[fp\t!Yn+Q;CiLk"If]i,+nEorFoD/(Tp.+uPo_SRU[V;,Ks8MTbo_\R\p\"7Tp\FRQ
+L3_JMlhgVIq"F@STO$CDrUo[Sr:p0`p%S=ZoB^ItpA"FJpsrWLq"jdXs7G:ErqQNfs7ZKe#5Ire
+p%J(PJ,~>
+q:X`Z(Z!Kag#1W6db`a7bDK8B^sV#uf%&R7g%j7qfLOZGf%f67Sl($@jl+_DeCr[-e^i@,g>(N5
+BjA@0ced?re^N+&K0[6%hpp*'f@/9tcdC@re'([Ig"Y9+gU9/!e^r@!gsP*1rmh%us3h8$cHaea
+e^N!oJ,~>
+q>B4K(]FC4p\+ObrV-<kqX`C3AXq6Ls7c<cq"ad^qu?L]s7Q'bq=XXbqt9gbr;?T_q#C?ipA=Xb
+Z<4:(s7lWcrr;]f`alaCs8M`js7uTfpA4ggo&b#2pAY*krj6dmnc/.Os7kRMrqufns8)ck#5@rh
+qYL*dJ,~>
+q=ikA(\mn&o'uJNq!n.To^1+p?^At6rpfRPo(htSpAaeSqsa+PoC)ALp@.bNp\FgVq#C6coCqkV
+X]).erUKjTqYp$W_-a\/r;#mYr:Tp[o_A@\mGVoqmIgALorW,SmJlSCrq,1DrqQNfs7ZKe#5Ire
+p%J(PJ,~>
+q:X`Z(u!g"eC3++gY(THhUfGk7t.l+k1SJEf\$&Pq:P_t7GZD@hV$N:iRu]3g"4m4bgtY+f[SX+
+ifH'VeD\p2b1GCsetbX$_VWtnf%89ud*C(mf?M-+S^?$Gf[u9\Vomo>c.gY)eGe"ueGmu'dE^%a
+dFH^pd!u~>
+dJOd[rV6-ds7"g+FI;b!rq?*aq"asirVQ*^qYU<hrqQEf/cYTpF5m#hp@&%Yqu,VgOT,1Up%eI`
+qtTsdr;QN8ESU3dq>L>IHM.=/rq?BFqu?Ksq"jjaqu$AB~>
+dJ"FRp[[kLq<HOhDNaJ^q!dhIoCVqYq"FIV!;QNes7ZKcr:^0brqQHd0(o58H#27+n+,fEp\+C?
+@>jsUp[IkLqY9aVr:g$Z`bO&iqsX.VIWY,WmeZMQg%YOA#5S&hp@n:TJ,~>
+db,GjiSWABi8N+uF&m\Ai8WJDgt(*6i7lr\g(2lge^rL.g>(K<gY(94f%0cKrmiaTfAP4b;Sh#7
+cc4bif\452DVWpsd*g=le^Dn!f@eZN9t8L*eC`hj<6j.>f?`1(e-OLKcdC1leC;lr~>
+dJOIPrquWks8)9cfm[_ArVlg$rV6'ZqYgB_r;-<jqYp9gqChL=s42+Vp&=[Xs7uKjp5"7ls82Nf
+q>U<gq>:'bqm:YDqu?TomWGi8rV?KbrVG7Fs7urpqYL*dr;;'~>
+d.\=Np@S+Uo]uP+G\*rMs8;]foC2;Cq"XXY!;QNes7QHcr:^-arqQHd0CSZ4d:e^1p[ReRp%87R
+K7!+ap@7qNqYBmZq"F@RYB'1(s75sGDQNg4p&4@Tp=f9@p]gQhq"FIUpOE~>
+db,Jkh;7#Bhr<G?kdt;"Q/UughqQ`2eC`O1qUuG4f@AL)g"P6:gY(94f%0ZHs4/jLg"j#1Gh1]u
+bhge!i7)@Fe(iO%e^2jteC2t!eCK[\eCER1h8rNQg=F^+bgt7se-OLKcdC1leC;lr~>
+dJOURs8Vumr;Zfes8Tf\DQr[2r;Q]tn*pAIr;-<jqYp9gqChgDp&C[mec5FAs7l9cpS2Nas8)Nj
+p\jsdq=spas-eN=qZ$Bk[qb:0p\t3`rV>1Es7urpqYL*dr;;'~>
+dJ"INqYBjWpA4XOs8BHNBWCCsp\OpdlKe?Cp]($cp\XXcp\=L\q#C(Aq=X7WR97`/oCr:WnG)RG
+B&<O[oDJ4Up\FOUq"4NMHN3L1n+s.rk5Y&LrU0LSg@tXB#5S&hp@n:TJ,~>
+d+K2jhq?`=i8E#Fje,pVPge[Hh;mD:cJJEO#hdbYf@S^/g=lPZ#2%MXeC)jrrR1_q0@n\%j*sA)
+hUBp.dF-b!JP!]9e^N3seC<("eC`:.G?s7ZhULGI8&jH5f@nF!db<1Vda-7edalptd=;~>
+d/<qD'`7Y!qu6?iq!J*aFF_<rs75a\s7,XWqYU<hrqQHgs8O\Bp?#kJqYC!`qtg0^`*pdfq>1-b
+rV-9dq#C?nLmJ);r:g5BK)blArVcEhptGWFq?H`kqYU0fr."~>
+d.dS:'__+gpA"1To&okJDL0%[qX*\Ms6TRUrqQEcr:^0b!VlEcq#C4Cmd]1=MY$K6p%S.Pn@r5H
+r:K[]o(hqSp@\C[s+?C-nFGuBGC08bmeQ\Krq+q=s7cfoq"XRWp@j(~>
+d+SHS'\Lsdg"t?>g<\c?=CS)Kh9aO0jNm\V'%tgae^rL-g=k65f\"d)daHXpqpPMs/^Dkb7!724
+dF-Orf@-HYVr#qRgWe6qf@AC,g#6L_gXXp(hHjREfZVjscJ-b#e-OLKcdC1leC;lr~>
+dJOg[rVZTjq=j[ajSo2Vp?\DoR*+mpq>1-]r;-<jqYp9gqChU@s7ZG\?Io)QnGiOfrpjm+q>1!g
+p&+R_q"asgms2eCs8DohA%2F4p\t!ds7Y1Ds7urpqYL*dr;;'~>
+dJ"IQq"OOVo^_VRht[*AnE--WP/QVXoCVnUp&Ojdq#'mapAajfq"OX[0D"u9nb82IcM72$qu-?d
+m:W<gp%JFUq"4FUpAF^NFM$u;oCM9NYkRh^qXsX`o%Nj<p]gQhq"FIUpOE~>
+d+K2ef@S[+eCN]thVm5?c@Ju?WmBGQg>Mh_'\_*de^rL-g=k65f\"d)daHXpdaJ*A0@&,&eD5I;
+\(K0Of\bH=cq9/Ge^iO"e'Zjue_]$(<hIgtf\4b=Ph4@1f@&4,ce?kSda-7edalptd=;~>
+dJOg[qYC-jrqcHas8VWas8VuHM-uG!qYBmUr;-<jqYp9gqChm=q#C'RDN"2fnbi7YqYuG4lMUMY
+p\amep\Xm`a)C;6s8N#?@H.+Zs8Vrqs7b7Es7urpqYL*dr;;'~>
+dJ"IRp@\7Yq=XCMqu,jOrVuQ:K3F/^o^hVLp&Ojcq#0scpAXdhq"ORYq>L(ArU'4Vn)J#4nGhnN
+p%.kUKo"jbp&+FVp\XUXp[c7:jQca:oY=P_oCi(YpA=j\g@tXB#5S&hp@n:TJ,~>
+db4ZP(=U^bgY(30eDB65f]22O[:qmF]%YihqV2b<e^N(!f@em3g"G$/eC;ppeC)eCd4a.pe)]')
+;f'h8b15+of\pLZa4JkpcI:@ue(<:'UeJkTj4W1b5/5Rqf\"[*gX+[(#h%&FdF-UqeBrd~>
+dJOgZq>($ir;6Kln,34[pAFacp;2)dSDaG;r;-<jqYp9gqA0,(n,N=cZ<YELqYKdWoD>\5g].*J
+q#:1+p&Fg]U3->+s8;_TGkV(4s8Mupq#&kCs7urpqYL*dr;;'~>
+dJ"IQp%A1Zq"FOYlM(>KnFlJKn@WgLQJ264p&Ojcq#0scpAXgbp]1-gpb2[;lMU>TW`6h4p@dnE
+me3W!f)#%7o_A7Xo)81NST"2hp[[g.DX[;nr;-6ao_@/7s7cfoq"XRWp@j(~>
+db,Jhf$Mdqg""[,g<A:3f@Ja1hU\E(7=;o0qV2S7e^N(!f@em3g"G$/eC=EEs3^km0[\\$b2:t=
+QTq1qe'lXmdFjIW\D#H`cdUP!dG3:%Io4nIhV$Lt<R]OKg"4g*dFHt##h%&FdF-UqeBrd~>
+dJOg[qYL0fpA"[^s7#g_s6Td^q>^E)EcnAOr;$3jqY9sa0Cf)@l2U5;ArH-Xs7ZKjqSm3rs7lHd
+r;6B`s7uPRJ,fQGrVC5ls8Vliqu?E[s4[AMq?H`kqYU0fr."~>
+dJ"IRp@e=VnalVJs6K:PqW@hMoDeQlCi?*FpAameq#'mapAXg^p_N8spuMJ=ia7H+r;,s`p[u@4
+bl%)+p&=_$nc/7TM0Sghnal6ZN;38Ap%S@Tm/Pf6s7cZkq"Oa\J,~>
+dFf>fe'lmtdF6h!j3H62h9>$8g#_%Y;H8SMg^Vuhe^`:'g"G*4f\"d+rm^qqr6[1=hq5s0cHAXg
+aP#:rinE%\7]tUse'cduf?iL-fPFgJgXt617W@,9dF-Osd)k(se-OLKcdL=of$r,u~>
+nbhqSq>C'cq>C'c&HD_*rVu,aFEtXkpA"[fp\b$h"8r&nr;$6iqCV[Frr)`jo`+s`qu>`_AD->L
+s7uNas)GUDs6fp^s6p!fp\Aj%s7H?]b\Gf0dej(@#5J&kqtp<hJ,~>
+nb;SIq=j^Yq=j^Y&Gc(mp\NpJDKEASnFHPTo(W.Y"8DN_p\=G7p\F[^q=jUPs8DE[s50qbe)p].
+o(2;EC9m@,kl(,Om/$YLnn=<dlM9_aA^gJ'p](!iq=jX^p4*~>
+n_*Hbq:b\u!SH*(fDaJ#f`0V@hqd#Bi5psX=eF*mf]1r@g"=s2g"=s1r7M#"0@SG%e^`0tdEUJ#
+cdq!iO$9nij58D<dG%B\e)/7&e(i(!gsahKI,iW2cDX7>g!\@Pda?IlrRLtuJ,~>
+nbhqSq>C'cq>C'c"82Qiqu6U'p5!46h"pI1s82H_rr3#oq>'pequZipr;QR?rVH6es82&)LB%2?
+rq-6jPGS<Zq>^BiqXjgfm<ZDDrr<"_JF*<aqu?Ksq"jjaqu$AB~>
+nb;SIq=j^Yq=j^Y([q%kp&"den:Fqsf(A1nrV#^Ns8Vreo_J1ap\=OZq"Xj_-MdB+qZ$<OE.@o\
+kkFKCq2Cp?q"":Up@n%UpuZIto(;YRO*g-kdeEb9s7cKcJ,~>
+n_*Hbq:bAlq:HM6gYLWCk2Os*6YF'ccI:_)dF@.8gst!PfETpYe^`7$ec+&Ff$hsshUKD@@cH%`
+g<ed5Dh6Zte_Sj.eBd%-b#Xk_gY:V*>K5IHeGdl"eCN:)f$o3~>
+nbhqSq>C'cq>C'c(\n%1q""1Ys8U`0F/ms\s8N&sq"4:Ys7uO4rr)clqtg3es8)Hcr;$9j\Q75Q
+p&FU_r4Rj\p\t0h%fbnqs3#-$qu?Eh?*=5+dej(@#5J&kqtp<hJ,~>
+nb;SIq=j^Yq=j^Y(\7J$o'GoAqY\cqD5>\Dr;$3aoC)5ErV?0eq(;C9p\+@Us7Z$Wq"=F^Z;8a5
+mf2VMosTA@nFuSKpAa=Spr$ISn+lAE=K2;rdeEb9s7cKcJ,~>
+n_*Hbq:YSrq:YPq(?+9*db!@6ij`c&MRq$hgt^W6dF6h,qUdLQg"+^'eC2psgsaTue^E"(PqoSk
+dGrO/fU64!e(WF)f&+O(go*Z@fAP*13f2VCda\9E"k;,Uf[eQ&~>
+nbhqSq>C'cq>C'c(]"%.qtpBio_\:[f6qSJo_&7ap@eOclhUE2s8Mrmq>'mas7uKjrUfa[pP3q[
+s8VfkqVc_Yp&+[^qu?0aqla/\s8Vf:=Q9ANdej(@#5J&kqtp<hJ,~>
+nb;SIq=j^Yq=j^Y(\IIrp%A+Qme-#Cd<B<2n*pAWnaZVSk5"`NqCVL9p%A%Qr:Ta[q=*nKn:5H?
+s829Yo@e6=me-2DpAaIRoVbL6o_%Ri;r.KAdeEb9s7cKcJ,~>
+n_*Hbq:YSrq:YSr(Y@L!gY:T>eD&L0[p;dtdaI+6e'm70aSOOCf%Sa+e'c[neCi9uf[e<le^J#+
+b2_@,g"*i:^!YK`eCNO#f[u-?]\M;iW&;9GbL4o>dKS.Of\"d)J,~>
+nbhqSq>C'cq>C'c"TA2kpAFjg%Jg&$Z#b?*irB&JnGWC_qZ?cqqu6BoqYU$_r;Q^>rV?KD>e'h(
+r;ZfmM7iZ\s82Tgqtg5bB)2K(s-&*7qXi55s7urpqYL*dr;;'~>
+nb;SIq=j^Yq=j^Y(\m[onb<(`rVuoiqt@+/GdcH+qWmJBs7uBgq#L0godTV/oC_nUrVZKar6A<I
+rp'1Qq!s$Eo(2_OoD&%Pop].Pp$qd8Ieia.deEb9s7cKcJ,~>
+n_*Hbq:YSrq:YSr(YdTmeCrpBi8WbJhV!re>F<1^gs+*tj8.C1f%JX(rmE7EeBlXof\5$0dbh;h
+Pi9m>h:pIkR+9dDf$i1#e_,F=e_Sm5Dd_8JcI15AdKS.Of\"d)J,~>
+nbhqSq>C'cq>C$b(B4@2p$qYHp@8%Vp](#uG)jK<s8V]]p\Xpcs8+2?rquNes8VimoSI8;rr;cm
+rM#DAp]('cp&Fa]N/%</s8$rOs7?9=qu?Ksq"jjaqu$AB~>
+nb;SIq=j^Yq=j[X(A[h#nEfT4na,uBo)J<fEJ_F(s8DBQq"=^^rV$9c-hdE3oCi1]oCqX(@Fk2N
+nb;aHM<FC(o_%eRna_B[naQ5@E45W4rR1H>q#C*ep4*~>
+n_*Hbq:YSrq:YSr(YRU"g!e9pe'u^sf[]'6Q;_Rlg#Lu:chc;oec=4ue,RoFe(<-se(`R&g<aD!
+\_>rjg=^pkb1#.qe^*(!enJUHf\G"UR+fg=da\9E"k;,Uf[eQ&~>
+nbhqSq>C'cq>C'c!V?0ert>;,qtpEnoDA@Vs5g>.Ktd*WrV??jp]:3erVQWp-2mT3qYKsdp<-^1
+s8VZeppk@tqYBpbr;QHdEkD5Gs2]EFqtU0=qu?Ksq"jjaqu$AB~>
+nb;SIq=j^Yq=j^Y([gtps8D`cp@eO_me6;Br8=JqJ@Y%Eq"aUcoCV_LrV%]:r;#sTp@e+Rn&/4j
+qYfaPnZllXoCDMJq>'UPCTm3qqS$q+p@\=2p\ssfp\jf9~>
+n_*Hbq:GGnq:YSr(X^mnj5A\Eg"GHBdFm.#hnk4O@[k["gA9G)f$i$pe,@cDf\+j&cdU@igsW)[
+GMV3&f@6'Z[as!Xf[ea(ek_XafAWK'_:I&eda\9E"k;,Uf[eQ&~>
+nbhqSq>C'cq>C'c(]X@)q#16iq"XOYrqlWnqtpEOPAclCr;$3lp%S:Zrqml8qYL0jrVHKmr;HYY
+?fV+brV=WJcN!Y<q>^3fs(h6*rrnL6p\b'\dej(@#5J&kqtp<hJ,~>
+nb;SIq=j^Yq=j^Y(]F$roD&1UoCMJEq=aRZp@eO@NbXg/p\FLbnFQ>IrqIo9p@e=Zq=aX`p%J0=
+=PWWHp@?..a8PN'o`+LWqdemgo_aGgo(W.NdeEb9s7cKcJ,~>
+n_*Hbq:GGnq:YSr(Z<rpf%]$6f%/=&gtCE;g">;tE(kGag%s>(f$MdleGduHeC2mtf[eO&gXt36
+DEGVdh:^>V6)rklg!nj+f\]6GjkSm3>L_9Zb0nf=dKS.Of\"d)J,~>
+l29N;q>C'cq>;'/p\t34G^6OipAFsfpA=marr;`bqY^0aq]>_9i`_rNq>1$h<k\A/q"O[_r6or_
+s8VG.[J0=nq;M5AqZ$?qp\FX]qYU/?~>
+l1a01q=j^Yq=b^*o(i4"F*+JUnb<"Unb2kNqYTmRpA"=VpE0&$ptJ`6o^_VHpeS?ip[dtNp@ldO
+kP"l6CTd6srV#4Eo(N(Ws7ZEaJ,~>
+l.Pmbn^dNgq:YSrq:QSEeD&iT<E>+2e(NX2e(EF'f@\Hpe()nBe0!;qgV,Rlf@AI)gG52Jg=+L#
+f%7-,cedd*:m'8Rg=,$1o$dTc"k2#Rf@A?#~>
+l29N;q>C'cq>;'#qu$9hotcE:bP1i1r:p9gqYL3ks8Mumq]>S4rUHgldJrk=pihu$pAapfrqEdF
+p](9@F4gNfs5<eFqZ$?qp\FX]qYU/?~>
+l1a01q=j^Yq=bEfp@n4Tn@X@&`q&crp[e4[p&t6ir;-6bpE/u#p?J>Pb5^l)nSjK]n+uYSq=:Y.
+lhU=rC!lkMs7kRIo(N(Ws7ZEaJ,~>
+l.Pmbn^dNgq:YSrq:QS2f\+j1d[juXW79DOg""d,e'lq%g"4gNe0!5pg!,11XlId`e5L>>db<1(
+g!Z!`e)B5f::/m,hUUT7o$dTc"k2#Rf@A?#~>
+l29N;q>C'cq>;'(s8Vogr:fB<CPU7,rr;forqlQdoCi.Yq]G\6rql"eNV!)Jpm$'ur;QTnqY$;4
+r;Q_oKD>K<s7tXNo(rC^#5@rhqYL*dJ,~>
+l1auHoCr%Rq=j^Yq=b]ss8V`]p[[=(AqJ1mq>^*dqY0^Tn+-;MpE0#$p[mNIL@"U0nW%SYp%e=Z
+p$n/qnFH1AH1Ce"r:]+Do(N(Ws7ZEaJ,~>
+l.Pmb!7pbk!7ptuq:YSpq:?G5ioAV=g!mrZ87\gJgYpZ=f@89rbg4l9e0!8qg=OA*C!YGfe8\F:
+f\+j/e^8MNf\5)5?I[fVg!ep0o$dTc"k2#Rf@A?#~>
+l29N;q>C'cq>;'/p\4^fqYU<mjG[oJbM`BkpA+Xds8DTcq]Ge7rqcH"A#oY)rMFPks7?6ap&0f@
+rq>r9[/]pkq=rqGo(rC^#5@rhqYL*dJ,~>
+l1auHo(VtRq=j^Yq=b^*o()h\p%JFchhPj6`nU=Wo(DeWs7u0[pE0,%p[ds[>bq;fp7H'OrU0LR
+nG%[(o'5C`Wr)DSp@[D=o(N(Ws7ZEaJ,~>
+l.Ppcs46bjq:PMrq:>An(ZElniSrJAj5[si8U[PNg!7ple_Am1c2#j2g">$0eWW4Qhpg>29Y96.
+g!S1!BRJO^cX;gje]cLjiRIGIrm:nue^rF'dsq~>
+l29N;q>C'cq"tWuq>:3lrUKLRrPW>_^A.^-"SMKgs7H-a+8l-4qtg,:AENRb`bDp]o)84Vs*^pI
+s2T$Fs7uTgr8IPDqZ$?qp\FX]qYU/?~>
+l1auHo(VtRq=j^Yq"GQso_/7`q!@G>pqL9K\b#^urpfRXr:'OV+8,Bto^hWs?/P)F^LFGAmJ-5D
+qf\b+o=JPoq"4=Sq;M)=pAXgdpAOZ7~>
+l.Ppcs46bjq:PMrq:>An(YREkf\b]BcHt(pTgVA>e(`d7cHk4tc2#j2f\4g+f%!ng_U7,47?cHM
+fZr"$>)1keUJ&_`f%8C%iRIGIrm:nue^rF'dsq~>
+l29N;q>C'cq#(0l"8D0PrVlg+nau7QFEY+Qs8V][q>^9f+8>g*s8V]/=g%T#q/Vkrs8)TlnS>B/
+s+bdtq#(0eq;M5AqZ$?qp\FX]qYU/?~>
+l1auHo(VtRq=j^Yq"Ogg'_:GRq#C6fm-j2=DfN&>s8VQSp&+X[+7T0mr;Z,s;Q'*]nnXBVrq6$a
+lt!*fpj6iUnb<(Vp>Pc:pAXgdpAOZ7~>
+l.Ppcs46bjq:PMrq:>An(YRd,eB-"ij5&M9dE@JG;3ANKhTX*ig%j,>e)&@,im48TMUgM4:3=q@
+e^WF!8<)E_@oMC:g#(6,iRIGIrm:nue^rF'dsq~>
+l29N;q>C'cq>;'/p@eOdrV$$Xrr;rhs6$FkMT>Jks82ilq]G\7p&G'\pka4Zq>Zt9q>^<js3tc*
+s5n$ps7lKkp@dJBo(rC^#5@rhqYL*dJ,~>
+l1auHo(VtRq=j^Yq=b^(naZVYq!mtDq>^6YqVnAWL;WW_qtL!`pE0#&meltGnUb`>o)Fu$o)JC[
+qTiWgp"E]Dp@7kQoCLr8o(N(Ws7ZEaJ,~>
+l.Ppcs46bjq:PMrq:>An(Z3]ji8`P?e^3(2g<n]oL-/t=d,3L*f_O#=f%e[1hTOD[;oR;IG[8kX
+e_&TZ7]5(Z7>BRHf\4^!iRIGIrm:nue^rF'dsq~>
+l29N;q>C'cq>;')rr;olqYgEis82Wls8D]8MIr%'q"sm_q]Gk7rqu6bs124Qm/4qBs7?3goXo84
+s1EC6p](*bq"itHo(rC^#5@rhqYL*dJ,~>
+l1aoF!Vc<]p\FOYp\FOYpD<JtqtKaUq"aUZp@S@aq!uFY@?&_,p@S1S)uB7%p#uGUZVJF"otb>:
+mJ6YJ[;=msY\)YWqYp0Gp[\%XpB(-`pAOZ7~>
+l.Pmbrmh,"f(RSnf)"%pfdGG'f[e^+f[ea-g"4p/g"Fs2h:^B2g=t67f[f!@g=3!26#EpVf$sNH
+*o,B$fZW=7Q8,8XfVD'mc.:OnQr(l\QqkNHh:L0)i7.>H"4>KBe,@esdsq~>
+g&1C;q>C'cl22Fqs3c@-U#l=Pq"aphr;?TiqYpNprVQGMBE%oEWVcVgr;*^ap]$M6q>^*eoD84X
+iqr<Cs7llnq>'m`qtkm~>
+g%YO?qtKp[q=j^Yl1Zh%qTF(hRbml5nacGLp%A4Rp\F^`q"FB8@J9QkT^qgKq=UeHlh-!Zn+Q5K
+oDIP@o(N+X!r2N`rUk[~>
+hUqq]g&BV'f)*tmf)!u.g"=s1f\+p1f\5$4g"P-Jg+V%5Y$+,>_;*\me_8d1f\P*1gYL]>f[j_$
+fA"o,e'udreW+Uthf35YgX4m*f?rR,n^7B^"jtfLe^Mor~>
+g&1C;q>C'cl21e\oDej,H%<I)s!@U;qYg?fp\+@Vq>1!1BZU5KZ.AsTr9fiNr9S./s8MlpnG)eT
+iqr<Cs7llnq>'m`qtkm~>
+g%YO?qtKp[q=j^Yl1Zk#m/$OhEd=tjs8DW[oChqNo^h_Ho_%pp@__j0W6P5>puma1nD.9NqXjI\
+nG<"?p[\%XpBLEep\"7Qp4*~>
+iS"7brRq5&s47(sq:>An!8./$l.Rf?d,*TM<aD$OjPeeAf@ns0e^W."f%8QN6D3/]LT]=ee];`a
+fZ6LKiS2uAbgY&"eFLumd*Bq`dFH^pd!u~>
+g&1C;q>C'cl2:S]#l"#lq6X^QYjMDh+o20;qtg3fr;6MPJb/fTbPh>:nUSRR^M!'9q>^K^qYU-K
+qssU`q$-Thq>0sbqg\~>
+g%YO?qtKp[q=j^Yl1Zk2r:'.PnuZ55WTO'RrVZ<cqY0^Wp\4CVKQueR\&.n5q!*.7mB^$XrpT^_
+mJQk?p[\%XpBLEep\"7Qp4*~>
+iS"7brRq5&s47(sq:>Anq:Orb0B1m<dGNK95u!<[h;.#Hf&,<;g"G*5f\:%Cc.88Yf@JU!>b9K:
+7F(#Ggtg*&e`#$Kd0S+EcHsthe'lZo~>
+g&1C;q>C'cl22(_s8Voks7P!#Dhc[>p[eFar#Pb9s8Dipb\FQchsgL6ro\Ics,36Ds7QEhnG`:\
+iqr<Cs7llnq>'m`qtkm~>
+g%YO?qtKp[q=j^Yl1Y_Sr;Q9YrU/$aBRe2"nEg2Sp`0,+qY9d``F,e@f&lMhq;?2Fp4&"pq!S"R
+nGi@Dp[\%XpBLEep\"7Qp4*~>
+iS"7brRq5&s47(sq:>Anq:Orb&'j(ke^i[+ZXld=XkV=NiVqRNgtgf@g#Ar!O5%4geBcgc;o.=)
+FlD6+gt0d'i7.>F#gglBd*^Cme'NU~>
+g&1C;q>C'cl22.np[J([s8DutgQQ-.lMpSPq#:'oqY^?fqjq<Wrr3Q.s2/sYs'NeFrql]fp&F^]
+iqr<Cs7llnq>'m`qtkm~>
+g%YO?qtKp[q=j^Yl1ZS*o'?#JqY:!berF'ojo=lBo_%nKo_/(MoTWM2qu??_pq1J:pf"d'oE>!\
+p&F^Dp[\%XpBLEep\"7Qp4*~>
+iS"7brRq5&s47(sq:>Anq:Orb0B:R,f\bK<hV>V[5]"L$e(34+g=b38hUgD,5/6%<g=b5R;;C%j
+U>+GTgX4F(cf*CEd0S+EcHsthe'lZo~>
+g&1C;q>C'cl22+cs8W#jq>L6fs8C2pBVtY(rr3u7q"t*cs634Ss60:Vs/h@\b?=-,rVuihr;Q9`
+iqr<Cs7llnq>'m`qtkm~>
+g%YO?qtKp[q=j^Yl1Zk#qu?E\o_A1RrV4H_A"iSjr;QTco(DkKqqaZ/ptbE3q5/u>_+ikWpAOdW
+q>TsDp[\%XpBLEep\"7Qp4*~>
+iS"7brRq5&s47(sq:>Anq:Orb0@J\9g!eO+g"5-8WaJ8JfA#9Ei7ci<i7?l..>?["f%Jl:CtbgF
+a4K&&f[&.$bi.(Bd0S+EcHsthe'lZo~>
+g&1C;q>C'cl2378o^i+_qYC0kqXsUK`K=u\hY$pKqYL3irVr1+\Y7@Fs.R$tLlMB2r;ZWhrV-'_
+iqr<Cs7llnq>'m`qtkm~>
+g%YO?qtKp[q=j^Yl1Ze.n*^,Rp%84^p$hP7^l2pIg@>+:o^qqOp%jS]Y*R#pop;oLIY77_p%n@T
+qVV&<pAajkq"OOUp@\-0~>
+iS"7brRq5&s47(sq:>Anq:=f^0AXt"gu-`4h;6]/d`.qr8ZTVWiSiSIi83>QF]Ol]Y1DBWQd]MZ
+f[nd2e^N-tdG`UGd0S+EcHsthe'lZo~>
+g&1C;q>C'cl2341s8Vrms8DTdq>1-kqqAW&REY-sqYC!ds7c1rAoF:@p5%#oER4@Wq"FCYr:L$J
+qssU`q$-Thq>0sbqg\~>
+g%YO?qtKp[q=j^Yl1Zk'qYKmYqtTXQo_&(\p=6QhQ,r:ao^h_Jp[%0I>@`rlm!ZhGB>s?5o'u8G
+q==ODp[\%XpBLEep\"7Qp4*~>
+iS"7brRq5&s47(sq:>Anq:=f^0@\_0e^iL-cdgOqg>LPiQVr.3d,!L3gu.2EejN#)J)SjhX5-ON
+db3'rcIURjf\t?Nd0S+EcHsthe'lZo~>
+nbi4]nbhYKq>L-enb`.[q>(opT4<T+rVc`orVlP[?r_CDr,qq;HiNg(qr7JPq$-Thq>0sbqg\~>
+nb;kSnb<(WqtKXSq=sd[nb2eSq=b]iRpU`np\4IUp%.O2<D%&kn7qKgFT:n1p?_P5pAajkq"OOU
+p@\-0~>
+n_*`lq:Yf%rRq5&s47(sn^dNgq:G/fq:PPp#M@7L6tWm`hu;OHiS&]I3*4\b<niI7jO;c4f$r4K
+ddbiWe+1lld*Bq`dFH^pd!u~>
+nbi4]nbhYKq>L-enb`.[q>1-i(!(`9R+D6+s8)9?@8^mbgS4ChPPb4@qr7JPq$-Thq>0sbqg\~>
+nb;kSnb<(WqtKXSq=sd[nb2eSq=ba&q8@JeP0isfs6o*s<_$Q4cB[^;N:ur<lM'<3s7Z`mp\4@S
+p%En~>
+n_*`lq:Yf%rRq5&s47(sn^dNgq:G/fq:PMo(u*iD>"NtIhpgrIe@n=.:9M9^f3N@Je^j`LrR15c
+n^I'V#gglBd*^Cme'NU~>
+nbi4]nbhYKq>L-enb`.[q>(m*p%nHsC2:$Qk5YJYUJkC1`6I%C`:s3+s82ionb_>Bs7llnq>'m`
+qtkm~>
+nb;kSnb<(WqtKXSq>'j]nb;kTq=b[$o(VgeAS%k@hZ!KCQq1&X\%p?k^%2-r"Sh`cp@e%NiqEEH
+#5Irep%J(PJ,~>
+n_*`lq:Yf%rRq5&s47(sl.5[\n^RBcqU?J8g!eU)Rn-25kf;uQhM*pPTVo!+5G?TXf$r4IddbiW
+e+1lld*Bq`dFH^pd!u~>
+g&1+3nbhYKq>(p#s8)3ap9%n]cM[54s+FpjVmi(4o)&4\qZ$Hmr:0[DqZ$?qp\FX]qYU/?~>
+g%YO?qtKXSnbDYKq=sd[)"R_$m/$7O?%L#ck5P@*=/D7`Nb@bSp%SI\s7cQenb;&:s7Z`mp\4@S
+p%En~>
+iS"7brRq5&s47(sn^d6\n^RBbq:$8-hq$!)du6Y,YM7Lllt8eTMOJifd+QpuqU4o`n^I'V#gglB
+d*^Cme'NU~>
+g&1+3nbhnRqYBp]*r5a6s6/YGOaD`\s7+``Mg9SSV>pSgq"X^^qtp<hnb_>Bs7llnq>'m`qtkm~>
+g%YO?qtKXSnbDYK!;QEdq=kd!pA+acj5U#pFEmHTk07OcBl$_=r;H<eq#C*gp@7n:pAajkq"OOU
+p@\-0~>
+iS"7brRq5&s47(sn^d6\n^RBbq:$A3e(3C._o1JN>%6@Od^`Cr>[0RLhqli3daHPAddbiWe+1ll
+d*Bq`dFH^pd!u~>
+nbi4[nbhACq>Bg\s8)<]s8)ihp&4n-r5<Mg`VTUmCM.-ik5#&Nq"X^^qu$Hkr:9aEqZ$?qp\FX]
+qYU/?~>
+nb;kQnb<(WqtKXSq=j^[nFuMKs7mE#oD\des7O':?b5^uIToiO>i,/PpAOadp\jgVpYtoHpBLEe
+p\"7Qp4*~>
+n_*`jq:Yf%rRq5&s47(sn^dNcq:4HRs3h\+c.h(/in:#!8Z(8#D,*bo9#oT@rmLhorR15cn^I'V
+#gglBd*^Cme'NU~>
+nbi4[nbhACq>Bg\s8)<]+SPj6o(W"Sp&EnKZuq/Dn76'BPlL=Sq"OR[qYU3ir;?-_iqi]N#5@rh
+qYL*dJ,~>
+nb;kQnb<(WqtKXSq=j^[nFuMK*;':.nFQADnG1]0WbQpnj&8lXM?!#Bq"aa\q"Oa\o(V/;s7Z`m
+p\4@Sp%En~>
+n_*`jq:Yf%rRq5&s47(sn^dNcq:4KS):Hd_eB-"bdEp[\h2tZKVp\..8pBLHgsjdOdJ_M`eFD#Y
+d0S+EcHsthe'lZo~>
+nbi4[nbhACq>Bd[-MmN6q"jd^q"jd^q"jd^qY0jZp](9hrr<#ns4O#SB3J5>X8h\hrqQNis82io
+nb_>Bs7llnq>'m`qtkm~>
+nb;kQnb<(WqtKXSq=j^[nFnR1p\=LXp\=LXp\=LXp\=FVoC`(Zp%nL^nb^Xt=BnQf:n[jSs7lBb
+q"XUXp@e%NiqEEH#5Irep%J(PJ,~>
+n_*`jo@a/qs47(sn^dNcq:4KS*R`6\bg+hkdb!1-eDRc_6:a6t5E+^KhU9j"dF-J2eFD#Yd0S+E
+cHsthe'lZo~>
+nbhqSq>A>2&,Q2"qtg3dqtg3dqtg3dqYp9gq@<?$nbW:ckakaFC&e5&p\=UTqr7JPq$-Thq>0sb
+qg\~>
+nb;SIq=j.Inb;SInb<%X!;ZTg%e]efo_\LDQUsAIqZ#mQr:o[RiqEEH#5Irep%J(PJ,~>
+n_*Hb!875#l.5CSn^d6[rmL_l%a`kNeDB$#I5NKFi8`#-r6bSprmpVhimA%YcHaeae^N!oJ,~>
+nbhqSq>@i$s8)`irV@&us8N&loDe.V]&<,Yqu??fqYg3Zqr7JPq$-Thq>0sbqg\~>
+nb;SIq=j.Inb;SInFueS&+]Vos7#CQjScF<lML>Unb`(_p\=IQpYtoHpBLEep\"7Qp4*~>
+n_*Hbq:Fl^n^R*[maM9cdJhH&bgk8!d*LXmk*a!/h:1<*rR1_s!nc)To$l[H#gglBd*^Cme'NU~>
+nbhqSq>@i$s8)`irV@')o^DbUs8W#`fD5I,s82ipqYg3Zqr7JPq$-Thq>0sbqg\~>
+nb;SIq=j.Inb;SInFueS&,l"`q=XO_p#OKjs5*bLr;66jp\=IQpYtoHpBLEep\"7Qp4*~>
+n_*Hbq:Fl^n^R*[n^I]meC;pprm;8/bK/8bgZ7,6[b0WUgXOjRdf7l"f[eXEeDej]d*Bq`dFH^p
+d!u~>
+ao(]+nbh\L!W)]mq>L1$p%n^go(W1WrqQ'Is7lW^rVHKfnb_>Bs7llnq>'m`qtkm~>
+anPW)q=j^[q=j^Ynb3%YrqQQhrqR)ppAb$UnGM_Jna#-5o`+4Rp]C3bp@@t;pAajkq"OOUp@\-0~>
+iS!JIq:>Akq:5;mq:>)crn%2#rmMD%e(i^'eDf!8f?qLrdGMqAdf7l"f[eXEeDej]d*Bq`dFH^p
+d!u~>
+ao(]+nbh\L!W)]mq>L3irs\W#s4ji.hW!Aks6]jbqYg3Zqr7JPq$-Thq>0sbqg\~>
+anPW)q=j^[q=j^Ynb3%YrqZNf&,lM(nb;q2W-?kJf)GX4s82Qmp\=IQpYtoHpBLEep\"7Qp4*~>
+iS!JIq:>Akq:5;mq:>)crn%(u&),dle(`inO^Pl=\_u2]gATJ"ecOLTf(.>Md0S+EcHsthe'lZo~>
+nbhqUq>Bd]nb_kTlMCVYr;QQkr"&i(m.(,ALK!C0s&e^hrr;rnrV5p[iqi]N#5@rhqYL*dJ,~>
+nb;SKq=jFSq=aXYq>'j]q=a@QrqQQjrV7!(p#k]Aj*s_Zn+fiFqtg9gp]C3bp@@t;pAajkq"OOU
+p@\-0~>
+n_*Hdq:G/hq:>Akq:>Aoq:>,d!7q/'s4I>%&)YpZcfWGb1s"5)1s=P'f_s7uecOLTf(.>Md0S+E
+cHsthe'lZo~>
+nbhqUq>Bd]nb_kTlMCVYr;QQkr"&/gs8V857#gg<jB8>XmJm.]rV5p[iqi]N#5@rhqYL*dJ,~>
+nb;SKq=jFSq=aXYq>'j]q=a@Qq=tQao)J^IGs$fHr7t8Dq<@hSp]C3bp@@t;pAajkq"OOUp@\-0~>
+n_*Hdq:G/hq:>Akq:>Aoq:>,d"P2;]gY2VY&'*,WiPo=SE7Emb21jE!fDX.tecOLTf(.>Md0S+E
+cHsthe'lZo~>
+nbhqUq>Bd]nb_kTlMCVYr;QQkr"&i)rUn*':]LIfP#$i)s8;ilrV5p[iqi]N#5@rhqYL*dJ,~>
+nb;SKq=jFSq=aXYq>'j]q=a@Qq=tNtpA"-i77[CTmYaVenGW4Y!r)K`o(V/;s7Z`mp\4@Sp%En~>
+n_*Hdq:G/hq:>Akq:>Aoq:>,d"kMD^gY1B\fFQ`fgXDuO2!X5QE@YPDg=-#Ks4.8(f%0EAimA%Y
+cHaeae^N!oJ,~>
+_>Nj#nbhtT!W)]mq>L1$s7-'fU/e&^rV:;(IfK6=rVHKfnb_>Bs7llnq>'m`qtkm~>
+On\\H&,behs-cZQm.Kp]7="q+o_\Cbp\=IQpYtoHpBLEep\"7Qp4*~>
+iS!2An^R*\o$diog"P05g&BS6gs"O6K/SV=i7L^O>MmlTrR1_s!nc)To$l[H#gglBd*^Cme'NU~>
+_>Nj#nbhtT!W)]mq>L1$q>:3bE`L`ks/f=%^?5+grVHKfnb_>Bs7llnq>'m`qtkm~>
+On\\H&+oSqn7tbEr;!3c::]BSs82Qmp\=IQpYtoHpBLEep\"7Qp4*~>
+iS!2An^R*\o$dfng"P05rRVS0f&P4V2S/)2N&<>Z^Wt[6df7l"f[eXEeDej]d*Bq`dFH^pd!u~>
+_>Nj#nbhtT!W)]mq>L1$s7Z<WG^9>]q2%pLiq`WFrVHKfnb_>Bs7llnq>'m`qtkm~>
+On\kM!;ZTg&,u+ll#C_=m.#[!:u1gEmecb\p\=IQpYtoHpBLEep\"7Qp4*~>
+iS!2An^R*\o$dZjrn7>'rm_P6dFZTD>2n)dBJ20Vdbi1Fdf7l"f[eXEeDej]d*Bq`dFH^pd!u~>
+_>Nj#nbhtTs8)`irV@''qYgANFSl*R?;@EurV$0fqYg3Zqr7JPq$-Thq>0sbqg\~>
+OSAbLrV$ftpA"E9D=mb9=%Aq]q==CW!r)K`o(V/;s7Z`mp\4@Sp%En~>
+iS!2An^R*\n^RQhr6u8.e(EAf;qg?,4Y;<Cf$DhDdf7l"f[eXEeDej]d*Bq`dFH^pd!u~>
+_>Nj#nbhtTs8)`irV@&us7lW.I%ZR/A=E2kq""I`qYg3Zqr7JPq$-Thq>0sbqg\~>
+OSAbL!;HKf&+]Vis0m-=M-+&ImeueGs82Qmp\=IQpYtoHpBLEep\"7Qp4*~>
+iS!2An^R*\n^RQhs4%%r&'`bSi0meuDa?a9dGN?ph#5\$ecOLTf(.>Md0S+EcHsthe'lZo~>
+_>Nj#nbhtT!W)Wkp\agss6]a_cCSR%_>XE/rVuNgqYg3Zqr7JPq$-Thq>0sbqg\~>
+OnSkLqY(Nnr9="Na-U(]](Z!lq>]s]p]C3bp@@t;pAajkq"OOUp@\-0~>
+iS!2An^R*\n^I]le'l^lrQl&+`mr\@HUDJ>gtgN3hTPlGs4.8(f%0EAimA%YcHaeae^N!oJ,~>
+_>Nj#nbhtT!W)Wkp\jmoq#CBgrVuors8)`p!qZ-crVHKfnb_>Bs7llnq>'m`qtkm~>
+OnSkLqY(NmrquB^qtTmZoDAOen+-AQp]C3bp@@t;pAajkq"OOUp@\-0~>
+iS!2An^R*\n^RQe!R]9mc48LYd+@.0gu-lEiSr)-f)=%secOLTf(.>Md0S+EcHsthe'lZo~>
+_>Nj#nbhqS!VuKeq%!Grs8Mimo_nI_p\!tSr;6<lq"jjWqr.DMq>L/?~>
+_=nK6p\+@Tp\+@Tp\+@Tp\+=NpCd2op@n:Tp@n:Tp@n:Tp@n:TpAFXqqsXR]oChSFmf2eEl2UPP
+r:^j!p\4CUp@n:Tp@n:Tp@n:Tp@mP>rq?Hep&=Z8~>
+inFFcin"^leCN.#eCN.#eCN.#eCN4@f+cfcf$r:#f$r:#f$r:#f$r7!e'ZSBck"^Mgt1$.d+["3
+eBuIue^OKHs475&&(]7]eCN.#eCN.#eCN.#eF:p&dF6LldF6LldF6LldF6Lid*^=me'ZQn~>
+q>:!cl21JVs82NfaSPu6qtoaV!;X_4!;V-~>
+q=XRWnb)_Orq6<bp@lZ%!;HBam.CAPhXq<Np%J(Pp%J(Pp%J(PqXsm^!;D!~>
+q:k`#n_<llrn%2&p=]5n%+a(^f[e^+f[e^+f[fKC&(]Caf[e^+f[e^+f[e^+f_X1tec","f_sG!
+ebn#.e^r@'e^r@'e^r@'e^s9?&C]1Ye^N'te^N'te^N(!f@U#P!n5QEJ,~>
+q>:!cl21JVs82Nf_>CS8s7q0~>
+q=XRWo(DeOrq6<bp@lDsan>5urUp0`s7_$~>
+q:k`#o%O2uf_X1uec44of>6%[eah/hec+2#dfRqDd=;~>
+q>:!cl21JVs82Nf_>CY:rV:s~>
+q=aXYnb2eQrq?Bdp@uJu[J'RnJ,~>
+q:PMro%3rnq:,Dms4$bm_:6WV!7CAa!7Ceps3UbjJ,~>
+q>:!cl21JVs82Nf_>CY:rV:s~>
+*qo@%p\+@Tp\4IWq"ORXq"FIUp\+@Tp\+@Tp\+@Tq"Od]s7c6^_=u(Fnb<%V!;HHeJ,~>
+Gh1BqeCN.#eCW7&e^r@'e^i7$eCN.#eCN.#eCN.#eC)amdF-FjdF$=gdF-IldaQXndaQXndaHOk
+dF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-FjdF-Fj
+dEsl!dEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEp:fdEqF/
+s3UkocMbt;~>
+q>0pal2(DTs8)Hd_>:_<s8)]is7_$~>
+*r#I(q"ORXq"X[[q=sd\q=j[Yq"ORXq"ORXq"ORXq"Xj_s7l<`_>)+GoCrF^p@e7[q#C/?~>
+J(2ordaZ^pdacgse()pte'ugqdaZ^pdaZ^pdaZ^pda?CgcdC(dcd9tacdC+fd*g:hd*g:hd*^1e
+cdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(dcdC(d
+cd9tacHsk`c7mVjd*C"`d*C"`d*C"`d*C"`d*C"`d*C"`d*C"`d*C"`d*C"`d*C"`d*C"`d*Br.
+bQZ;=d*BkZrlT`~>
+q>0pal2(DTs8)Hd_>:_<s8)]is7_$~>
+q=j^[o(VqSrqHHfpA)Q"\bH-trqHEeJ,~>
+q:,5jo$m]fqU,;hs3^Pg_9pBOn]q0^!mo6<rlfl~>
+q=sd]l1k8Ps7l<`_>(S8rV?EdJ,~>
+q=j^[o(VqSrqHHfpA)Q"\bH*sr:b^~>
+q:PMro%<unqUGMns4$bm_:6TUn^7Be!7UknJ,~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/realbeta.ps b/books/ps/realbeta.ps
new file mode 100644
index 0000000..7803358
--- /dev/null
+++ b/books/ps/realbeta.ps
@@ -0,0 +1,23818 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	49	206	227	87	psDrawLine
+	globGC	(X)	44	211	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	249	206	71	87	psDrawLine
+	globGC	(Y)	254	211	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	149	27	149	218	psDrawLine
+	globGC	(Z)	154	22	psDrawStr
+	globalGC1	99.000000	setForeground
+	globGC	99.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.687500	setForeground
+	renderGC
+	146	112
+	152	112
+	149	158
+	4	146	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	112
+	149	158
+	3	146	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	156	79
+	149	158
+	152	112
+	4	156	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	152	112
+	3	156	79	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	158
+	156	79
+	152	132
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	79
+	152	132
+	3	149	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	158
+	142	79
+	146	112
+	4	149	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	79
+	146	112
+	3	149	158	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	79
+	149	158
+	146	132
+	4	142	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	158
+	146	132
+	3	142	79	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	132
+	146	132
+	149	158
+	4	152	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	149	158
+	3	152	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	122
+	175	54
+	169	121
+	4	166	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	54
+	169	121
+	3	166	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	169	121
+	164	84
+	166	122
+	4	169	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	84
+	166	122
+	3	169	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	84
+	169	121
+	167	81
+	4	164	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	121
+	167	81
+	3	164	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	54
+	132	122
+	129	121
+	4	123	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	122
+	129	121
+	3	123	54	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	84
+	129	121
+	132	122
+	4	134	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	121
+	132	122
+	3	134	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	121
+	134	84
+	131	81
+	4	129	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	84
+	131	81
+	3	129	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	123
+	172	58
+	166	122
+	4	164	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	58
+	166	122
+	3	164	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	54
+	166	122
+	172	58
+	4	175	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	122
+	172	58
+	3	175	54	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	122
+	161	86
+	164	123
+	4	166	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	86
+	164	123
+	3	166	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	86
+	166	122
+	164	84
+	4	161	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	122
+	164	84
+	3	161	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	58
+	134	123
+	132	122
+	4	126	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	132	122
+	3	126	58	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	86
+	132	122
+	134	123
+	4	137	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	122
+	134	123
+	3	137	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	132	122
+	137	86
+	134	84
+	4	132	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	86
+	134	84
+	3	132	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	122
+	123	54
+	126	58
+	4	132	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	54
+	126	58
+	3	132	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	124
+	169	61
+	164	123
+	4	161	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	61
+	164	123
+	3	161	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	58
+	164	123
+	169	61
+	4	172	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	123
+	169	61
+	3	172	58	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	123
+	158	89
+	161	124
+	4	164	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	89
+	161	124
+	3	164	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	89
+	164	123
+	161	86
+	4	158	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	123
+	161	86
+	3	158	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	61
+	137	124
+	134	123
+	4	129	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	124
+	134	123
+	3	129	61	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	140	89
+	134	123
+	137	124
+	4	140	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	123
+	137	124
+	3	140	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	123
+	140	89
+	137	86
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	89
+	137	86
+	3	134	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	123
+	126	58
+	129	61
+	4	134	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	58
+	129	61
+	3	134	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	126
+	165	65
+	161	124
+	4	158	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	65
+	161	124
+	3	158	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	169	61
+	161	124
+	165	65
+	4	169	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	124
+	165	65
+	3	169	61	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	161	124
+	155	91
+	158	126
+	4	161	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	158	126
+	3	161	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	91
+	161	124
+	158	89
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	124
+	158	89
+	3	155	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	65
+	140	126
+	137	124
+	4	133	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	126
+	137	124
+	3	133	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	143	91
+	137	124
+	140	126
+	4	143	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	124
+	140	126
+	3	143	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	124
+	143	91
+	140	89
+	4	137	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	91
+	140	89
+	3	137	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	137	124
+	129	61
+	133	65
+	4	137	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	61
+	133	65
+	3	137	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	128
+	162	68
+	158	126
+	4	155	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	68
+	158	126
+	3	155	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	65
+	158	126
+	162	68
+	4	165	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	126
+	162	68
+	3	165	65	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	126
+	152	95
+	155	128
+	4	158	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	95
+	155	128
+	3	158	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	95
+	158	126
+	155	91
+	4	152	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	126
+	155	91
+	3	152	95	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	68
+	143	128
+	140	126
+	4	136	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	128
+	140	126
+	3	136	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	95
+	140	126
+	143	128
+	4	146	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	126
+	143	128
+	3	146	95	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	126
+	146	95
+	143	91
+	4	140	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	95
+	143	91
+	3	140	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	140	126
+	133	65
+	136	68
+	4	140	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	65
+	136	68
+	3	140	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	132
+	159	73
+	155	128
+	4	152	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	73
+	155	128
+	3	152	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	68
+	155	128
+	159	73
+	4	162	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	128
+	159	73
+	3	162	68	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	128
+	149	100
+	152	132
+	4	155	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	152	132
+	3	155	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	100
+	155	128
+	152	95
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	128
+	152	95
+	3	149	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	73
+	146	132
+	143	128
+	4	139	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	132
+	143	128
+	3	139	73	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	149	100
+	143	128
+	146	132
+	4	149	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	128
+	146	132
+	3	149	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	128
+	149	100
+	146	95
+	4	143	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	100
+	146	95
+	3	143	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	128
+	136	68
+	139	73
+	4	143	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	68
+	139	73
+	3	143	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	73
+	152	132
+	156	79
+	4	159	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	132
+	156	79
+	3	159	73	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	132
+	152	132
+	149	100
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	132
+	149	100
+	3	146	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	132
+	139	73
+	142	79
+	4	146	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	73
+	142	79
+	3	146	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	61
+	152	61
+	149	57
+	4	146	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	61
+	149	57
+	3	146	61	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	64
+	155	64
+	152	61
+	4	149	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	64
+	152	61
+	3	149	64	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	64
+	149	64
+	146	61
+	4	143	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	64
+	146	61
+	3	143	64	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	61
+	146	61
+	149	64
+	4	152	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	61
+	149	64
+	3	152	61	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	81
+	161	77
+	164	84
+	4	167	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	77
+	164	84
+	3	167	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	77
+	167	81
+	164	74
+	4	161	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	81
+	164	74
+	3	161	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	77
+	131	81
+	134	84
+	4	137	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	81
+	134	84
+	3	137	77	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	131	81
+	137	77
+	134	74
+	4	131	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	77
+	134	74
+	3	131	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	67
+	152	67
+	149	64
+	4	146	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	67
+	149	64
+	3	146	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	64
+	149	64
+	152	67
+	4	155	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	64
+	152	67
+	3	155	64	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	64
+	143	64
+	146	67
+	4	149	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	64
+	146	67
+	3	149	64	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	67
+	158	67
+	155	64
+	4	152	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	67
+	155	64
+	3	152	67	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	140	67
+	146	67
+	143	64
+	4	140	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	67
+	143	64
+	3	140	67	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	70
+	161	70
+	158	67
+	4	155	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	70
+	158	67
+	3	155	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	158	67
+	152	67
+	155	70
+	4	158	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	67
+	155	70
+	3	158	67	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	70
+	143	70
+	140	67
+	4	137	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	70
+	140	67
+	3	137	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	67
+	140	67
+	143	70
+	4	146	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	67
+	143	70
+	3	146	67	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	70
+	155	70
+	152	67
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	70
+	152	67
+	3	149	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	70
+	149	70
+	146	67
+	4	143	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	146	67
+	3	143	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	67
+	146	67
+	149	70
+	4	152	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	67
+	149	70
+	3	152	67	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	164	84
+	158	80
+	161	86
+	4	164	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	80
+	161	86
+	3	164	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	80
+	164	84
+	161	77
+	4	158	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	84
+	161	77
+	3	158	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	80
+	134	84
+	137	86
+	4	140	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	84
+	137	86
+	3	140	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	84
+	140	80
+	137	77
+	4	134	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	80
+	137	77
+	3	134	84	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	73
+	164	74
+	161	70
+	4	158	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	74
+	161	70
+	3	158	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	161	70
+	155	70
+	158	73
+	4	161	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	70
+	158	73
+	3	161	70	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	74
+	140	73
+	137	70
+	4	134	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	73
+	137	70
+	3	134	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	70
+	137	70
+	140	73
+	4	143	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	70
+	140	73
+	3	143	70	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	164	74
+	158	73
+	161	77
+	4	164	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	73
+	161	77
+	3	164	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	73
+	134	74
+	137	77
+	4	140	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	74
+	137	77
+	3	140	73	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	72
+	158	73
+	155	70
+	4	152	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	73
+	155	70
+	3	152	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	155	70
+	149	70
+	152	72
+	4	155	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	70
+	152	72
+	3	155	70	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	73
+	146	72
+	143	70
+	4	140	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	72
+	143	70
+	3	140	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	70
+	143	70
+	146	72
+	4	149	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	70
+	146	72
+	3	149	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	72
+	152	72
+	149	70
+	4	146	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	72
+	149	70
+	3	146	72	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	86
+	155	82
+	158	89
+	4	161	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	82
+	158	89
+	3	161	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	82
+	161	86
+	158	80
+	4	155	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	86
+	158	80
+	3	155	82	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	82
+	137	86
+	140	89
+	4	143	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	86
+	140	89
+	3	143	82	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	137	86
+	143	82
+	140	80
+	4	137	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	82
+	140	80
+	3	137	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	155	76
+	161	77
+	158	73
+	4	155	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	77
+	158	73
+	3	155	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	158	73
+	152	72
+	155	76
+	4	158	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	72
+	155	76
+	3	158	73	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	77
+	143	76
+	140	73
+	4	137	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	76
+	140	73
+	3	137	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	72
+	140	73
+	143	76
+	4	146	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	73
+	143	76
+	3	146	72	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	161	77
+	155	76
+	158	80
+	4	161	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	76
+	158	80
+	3	161	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	76
+	137	77
+	140	80
+	4	143	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	77
+	140	80
+	3	143	76	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	72
+	158	123
+	155	121
+	4	152	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	123
+	155	121
+	3	152	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	94
+	155	121
+	158	123
+	4	162	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	121
+	158	123
+	3	162	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	155	121
+	162	94
+	159	90
+	4	155	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	94
+	159	90
+	3	155	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	155	121
+	149	60
+	152	72
+	4	155	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	60
+	152	72
+	3	155	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	60
+	155	121
+	152	112
+	4	149	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	121
+	152	112
+	3	149	60	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	90
+	152	112
+	155	121
+	4	159	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	112
+	155	121
+	3	159	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	123
+	146	72
+	143	121
+	4	140	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	72
+	143	121
+	3	140	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	60
+	143	121
+	146	72
+	4	149	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	121
+	146	72
+	3	149	60	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	121
+	149	60
+	146	112
+	4	143	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	60
+	146	112
+	3	143	121	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	143	121
+	136	94
+	140	123
+	4	143	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	94
+	140	123
+	3	143	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	136	94
+	143	121
+	139	90
+	4	136	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	121
+	139	90
+	3	136	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	112
+	139	90
+	143	121
+	4	146	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	143	121
+	3	146	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	75
+	155	76
+	152	72
+	4	149	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	76
+	152	72
+	3	149	75	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	76
+	149	75
+	146	72
+	4	143	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	75
+	146	72
+	3	143	76	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	72
+	146	72
+	149	75
+	4	152	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	72
+	149	75
+	3	152	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	152	78
+	158	80
+	155	76
+	4	152	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	80
+	155	76
+	3	152	78	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	155	76
+	149	75
+	152	78
+	4	155	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	75
+	152	78
+	3	155	76	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	80
+	146	78
+	143	76
+	4	140	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	78
+	143	76
+	3	140	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	75
+	143	76
+	146	78
+	4	149	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	76
+	146	78
+	3	149	75	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	89
+	152	85
+	155	91
+	4	158	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	85
+	155	91
+	3	158	89	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	152	85
+	158	89
+	155	82
+	4	152	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	89
+	155	82
+	3	152	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	85
+	140	89
+	143	91
+	4	146	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	89
+	143	91
+	3	146	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	140	89
+	146	85
+	143	82
+	4	140	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	85
+	143	82
+	3	140	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	78
+	152	78
+	149	75
+	4	146	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	78
+	149	75
+	3	146	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	80
+	152	78
+	155	82
+	4	158	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	78
+	155	82
+	3	158	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	78
+	140	80
+	143	82
+	4	146	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	80
+	143	82
+	3	146	78	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	77
+	161	125
+	158	123
+	4	156	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	125
+	158	123
+	3	156	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	97
+	158	123
+	161	125
+	4	165	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	123
+	161	125
+	3	165	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	158	123
+	165	97
+	162	94
+	4	158	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	97
+	162	94
+	3	158	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	158	123
+	152	72
+	156	77
+	4	158	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	72
+	156	77
+	3	158	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	125
+	142	77
+	140	123
+	4	137	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	77
+	140	123
+	3	137	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	72
+	140	123
+	142	77
+	4	146	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	123
+	142	77
+	3	146	72	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	123
+	133	97
+	137	125
+	4	140	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	97
+	137	125
+	3	140	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	97
+	140	123
+	136	94
+	4	133	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	123
+	136	94
+	3	133	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	81
+	155	82
+	152	78
+	4	149	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	82
+	152	78
+	3	149	81	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	82
+	149	81
+	146	78
+	4	143	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	81
+	146	78
+	3	143	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	152	78
+	146	78
+	149	81
+	4	152	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	78
+	149	81
+	3	152	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	95
+	146	95
+	149	100
+	4	152	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	95
+	149	100
+	3	152	95	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	91
+	149	89
+	152	95
+	4	155	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	89
+	152	95
+	3	155	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	89
+	155	91
+	152	85
+	4	149	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	91
+	152	85
+	3	149	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	89
+	143	91
+	146	95
+	4	149	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	91
+	146	95
+	3	149	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	143	91
+	149	89
+	146	85
+	4	143	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	89
+	146	85
+	3	143	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	155	82
+	149	81
+	152	85
+	4	155	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	81
+	152	85
+	3	155	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	81
+	143	82
+	146	85
+	4	149	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	82
+	146	85
+	3	149	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	95
+	152	95
+	149	89
+	4	146	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	95
+	149	89
+	3	146	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	85
+	152	85
+	149	81
+	4	146	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	85
+	149	81
+	3	146	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	112
+	159	90
+	156	79
+	4	152	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	90
+	156	79
+	3	152	112	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	152	112
+	146	112
+	149	60
+	4	152	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	112
+	149	60
+	3	152	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	90
+	146	112
+	142	79
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	112
+	142	79
+	3	139	90	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	159	81
+	165	126
+	161	125
+	4	159	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	126
+	161	125
+	3	159	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	100
+	161	125
+	165	126
+	4	169	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	125
+	165	126
+	3	169	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	161	125
+	169	100
+	165	97
+	4	161	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	100
+	165	97
+	3	161	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	161	125
+	156	77
+	159	81
+	4	161	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	77
+	159	81
+	3	161	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	126
+	139	81
+	137	125
+	4	133	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	81
+	137	125
+	3	133	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	77
+	137	125
+	139	81
+	4	142	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	125
+	139	81
+	3	142	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	125
+	129	100
+	133	126
+	4	137	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	100
+	133	126
+	3	137	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	100
+	137	125
+	133	97
+	4	129	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	125
+	133	97
+	3	129	100	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	152	85
+	146	85
+	149	89
+	4	152	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	85
+	149	89
+	3	152	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	163	85
+	168	127
+	165	126
+	4	163	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	127
+	165	126
+	3	163	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	102
+	165	126
+	168	127
+	4	172	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	126
+	168	127
+	3	172	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	165	126
+	172	102
+	169	100
+	4	165	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	102
+	169	100
+	3	165	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	165	126
+	159	81
+	163	85
+	4	165	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	81
+	163	85
+	3	165	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	127
+	135	85
+	133	126
+	4	130	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	133	126
+	3	130	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	81
+	133	126
+	135	85
+	4	139	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	126
+	135	85
+	3	139	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	133	126
+	126	102
+	130	127
+	4	133	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	102
+	130	127
+	3	133	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	126	102
+	133	126
+	129	100
+	4	126	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	126
+	129	100
+	3	126	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	166	88
+	171	128
+	168	127
+	4	166	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	128
+	168	127
+	3	166	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	104
+	168	127
+	171	128
+	4	175	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	127
+	171	128
+	3	175	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	127
+	175	104
+	172	102
+	4	168	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	104
+	172	102
+	3	168	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	127
+	163	85
+	166	88
+	4	168	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	85
+	166	88
+	3	168	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	128
+	132	88
+	130	127
+	4	127	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	88
+	130	127
+	3	127	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	85
+	130	127
+	132	88
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	127
+	132	88
+	3	135	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	127
+	123	104
+	127	128
+	4	130	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	104
+	127	128
+	3	130	127	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	104
+	130	127
+	126	102
+	4	123	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	127
+	126	102
+	3	123	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	91
+	175	129
+	171	128
+	4	170	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	129
+	171	128
+	3	170	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	106
+	171	128
+	175	129
+	4	179	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	128
+	175	129
+	3	179	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	128
+	179	106
+	175	104
+	4	171	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	106
+	175	104
+	3	171	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	128
+	166	88
+	170	91
+	4	171	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	88
+	170	91
+	3	171	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	129
+	129	91
+	127	128
+	4	123	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	91
+	127	128
+	3	123	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	88
+	127	128
+	129	91
+	4	132	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	128
+	129	91
+	3	132	88	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	128
+	119	106
+	123	129
+	4	127	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	106
+	123	129
+	3	127	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	119	106
+	127	128
+	123	104
+	4	119	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	128
+	123	104
+	3	119	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	173	94
+	178	130
+	175	129
+	4	173	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	130
+	175	129
+	3	173	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	182	109
+	175	129
+	178	130
+	4	182	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	129
+	178	130
+	3	182	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	129
+	182	109
+	179	106
+	4	175	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	109
+	179	106
+	3	175	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	129
+	170	91
+	173	94
+	4	175	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	91
+	173	94
+	3	175	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	130
+	125	94
+	123	129
+	4	120	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	94
+	123	129
+	3	120	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	91
+	123	129
+	125	94
+	4	129	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	129
+	125	94
+	3	129	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	129
+	116	109
+	120	130
+	4	123	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	109
+	120	130
+	3	123	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	109
+	123	129
+	119	106
+	4	116	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	129
+	119	106
+	3	116	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	77
+	184	77
+	181	74
+	4	178	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	77
+	181	74
+	3	178	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	74
+	175	71
+	178	77
+	4	181	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	71
+	178	77
+	3	181	74	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	71
+	181	74
+	178	69
+	4	175	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	74
+	178	69
+	3	175	71	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	114	77
+	120	77
+	117	74
+	4	114	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	77
+	117	74
+	3	114	77	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	123	71
+	117	74
+	120	77
+	4	123	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	74
+	120	77
+	3	123	71	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	117	74
+	123	71
+	120	69
+	4	117	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	71
+	120	69
+	3	117	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	69
+	172	58
+	175	71
+	4	178	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	58
+	175	71
+	3	178	69	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	58
+	178	69
+	175	54
+	4	172	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	69
+	175	54
+	3	172	58	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	126	58
+	120	69
+	123	71
+	4	126	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	69
+	123	71
+	3	126	58	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	120	69
+	126	58
+	123	54
+	4	120	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	58
+	123	54
+	3	120	69	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	80
+	188	80
+	184	77
+	4	181	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	80
+	184	77
+	3	181	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	77
+	178	77
+	181	80
+	4	184	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	77
+	181	80
+	3	184	77	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	80
+	117	80
+	114	77
+	4	110	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	80
+	114	77
+	3	110	80	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	77
+	114	77
+	117	80
+	4	120	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	77
+	117	80
+	3	120	77	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	175	79
+	181	80
+	178	77
+	4	175	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	80
+	178	77
+	3	175	79	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	178	77
+	172	74
+	175	79
+	4	178	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	74
+	175	79
+	3	178	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	74
+	178	77
+	175	71
+	4	172	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	77
+	175	71
+	3	172	74	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	117	80
+	123	79
+	120	77
+	4	117	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	79
+	120	77
+	3	117	80	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	126	74
+	120	77
+	123	79
+	4	126	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	77
+	123	79
+	3	126	74	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	120	77
+	126	74
+	123	71
+	4	120	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	74
+	123	71
+	3	120	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	71
+	169	61
+	172	74
+	4	175	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	61
+	172	74
+	3	175	71	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	169	61
+	175	71
+	172	58
+	4	169	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	71
+	172	58
+	3	169	61	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	129	61
+	123	71
+	126	74
+	4	129	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	71
+	126	74
+	3	129	61	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	123	71
+	129	61
+	126	58
+	4	123	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	61
+	126	58
+	3	123	71	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	98
+	181	132
+	178	130
+	4	176	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	132
+	178	130
+	3	176	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	186	111
+	178	130
+	181	132
+	4	186	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	130
+	181	132
+	3	186	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	130
+	186	111
+	182	109
+	4	178	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	111
+	182	109
+	3	178	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	130
+	173	94
+	176	98
+	4	178	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	94
+	176	98
+	3	178	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	132
+	122	98
+	120	130
+	4	117	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	98
+	120	130
+	3	117	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	94
+	120	130
+	122	98
+	4	125	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	130
+	122	98
+	3	125	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	130
+	112	111
+	117	132
+	4	120	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	111
+	117	132
+	3	120	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	111
+	120	130
+	116	109
+	4	112	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	130
+	116	109
+	3	112	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	83
+	191	83
+	188	80
+	4	184	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	83
+	188	80
+	3	184	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	80
+	181	80
+	184	83
+	4	188	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	80
+	184	83
+	3	188	80	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	83
+	114	83
+	110	80
+	4	107	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	83
+	110	80
+	3	107	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	80
+	110	80
+	114	83
+	4	117	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	80
+	114	83
+	3	117	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	119
+	193	123
+	188	144
+	4	186	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	123
+	188	144
+	3	186	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	106
+	188	144
+	193	123
+	4	197	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	144
+	193	123
+	3	197	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	144
+	197	106
+	192	126
+	4	188	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	106
+	192	126
+	3	188	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	188	144
+	183	106
+	186	119
+	4	188	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	106
+	186	119
+	3	188	144	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	183	106
+	188	144
+	185	134
+	4	183	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	144
+	185	134
+	3	183	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	126
+	185	134
+	188	144
+	4	192	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	134
+	188	144
+	3	192	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	123
+	112	119
+	110	144
+	4	105	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	119
+	110	144
+	3	105	123	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	106
+	110	144
+	112	119
+	4	115	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	144
+	112	119
+	3	115	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	144
+	115	106
+	113	134
+	4	110	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	106
+	113	134
+	3	110	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	144
+	101	106
+	105	123
+	4	110	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	106
+	105	123
+	3	110	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	106
+	110	144
+	106	126
+	4	101	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	144
+	106	126
+	3	101	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	113	134
+	106	126
+	110	144
+	4	113	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	126
+	110	144
+	3	113	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	83
+	184	83
+	181	80
+	4	178	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	83
+	181	80
+	3	178	83	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	181	80
+	175	79
+	178	83
+	4	181	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	79
+	178	83
+	3	181	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	83
+	120	83
+	117	80
+	4	114	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	83
+	117	80
+	3	114	83	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	123	79
+	117	80
+	120	83
+	4	123	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	80
+	120	83
+	3	123	79	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	172	82
+	178	83
+	175	79
+	4	172	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	83
+	175	79
+	3	172	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	175	79
+	168	77
+	172	82
+	4	175	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	77
+	172	82
+	3	175	79	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	77
+	175	79
+	172	74
+	4	168	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	79
+	172	74
+	3	168	77	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	83
+	126	82
+	123	79
+	4	120	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	82
+	123	79
+	3	120	83	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	130	77
+	123	79
+	126	82
+	4	130	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	79
+	126	82
+	3	130	77	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	123	79
+	130	77
+	126	74
+	4	123	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	77
+	126	74
+	3	123	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	74
+	165	65
+	168	77
+	4	172	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	65
+	168	77
+	3	172	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	165	65
+	172	74
+	169	61
+	4	165	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	74
+	169	61
+	3	165	65	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	133	65
+	126	74
+	130	77
+	4	133	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	74
+	130	77
+	3	133	65	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	126	74
+	133	65
+	129	61
+	4	126	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	65
+	129	61
+	3	126	74	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	86
+	194	86
+	191	83
+	4	188	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	86
+	191	83
+	3	188	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	83
+	184	83
+	188	86
+	4	191	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	83
+	188	86
+	3	191	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	104	86
+	110	86
+	107	83
+	4	104	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	86
+	107	83
+	3	104	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	114	83
+	107	83
+	110	86
+	4	114	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	83
+	110	86
+	3	114	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	86
+	188	86
+	184	83
+	4	181	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	86
+	184	83
+	3	181	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	83
+	178	83
+	181	86
+	4	184	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	83
+	181	86
+	3	184	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	86
+	117	86
+	114	83
+	4	110	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	86
+	114	83
+	3	110	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	83
+	114	83
+	117	86
+	4	120	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	83
+	117	86
+	3	120	83	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	85
+	181	86
+	178	83
+	4	175	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	86
+	178	83
+	3	175	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	178	83
+	172	82
+	175	85
+	4	178	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	82
+	175	85
+	3	178	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	86
+	123	85
+	120	83
+	4	117	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	85
+	120	83
+	3	117	86	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	82
+	120	83
+	123	85
+	4	126	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	83
+	123	85
+	3	126	82	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	112
+	216	89
+	210	110
+	4	207	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	89
+	210	110
+	3	207	112	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	210	110
+	205	100
+	207	112
+	4	210	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	100
+	207	112
+	3	210	110	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	205	100
+	210	110
+	208	98
+	4	205	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	110
+	208	98
+	3	205	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	89
+	91	112
+	88	110
+	4	82	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	112
+	88	110
+	3	82	89	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	100
+	88	110
+	91	112
+	4	93	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	110
+	91	112
+	3	93	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	110
+	93	100
+	90	98
+	4	88	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	100
+	90	98
+	3	88	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	85
+	175	85
+	172	82
+	4	168	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	85
+	172	82
+	3	168	85	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	82
+	165	80
+	168	85
+	4	172	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	80
+	168	85
+	3	172	82	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	165	80
+	172	82
+	168	77
+	4	165	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	82
+	168	77
+	3	165	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	85
+	130	85
+	126	82
+	4	123	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	85
+	126	82
+	3	123	85	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	133	80
+	126	82
+	130	85
+	4	133	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	82
+	130	85
+	3	133	80	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	126	82
+	133	80
+	130	77
+	4	126	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	80
+	130	77
+	3	126	82	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	168	77
+	162	68
+	165	80
+	4	168	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	68
+	165	80
+	3	168	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	68
+	168	77
+	165	65
+	4	162	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	77
+	165	65
+	3	162	68	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	136	68
+	130	77
+	133	80
+	4	136	68	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	77
+	133	80
+	3	136	68	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	130	77
+	136	68
+	133	65
+	4	130	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	68
+	133	65
+	3	130	77	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	180	101
+	185	134
+	181	132
+	4	180	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	134
+	181	132
+	3	180	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	115
+	181	132
+	185	134
+	4	189	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	132
+	185	134
+	3	189	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	132
+	189	115
+	186	111
+	4	181	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	115
+	186	111
+	3	181	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	181	132
+	176	98
+	180	101
+	4	181	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	98
+	180	101
+	3	181	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	134
+	118	101
+	117	132
+	4	113	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	117	132
+	3	113	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	98
+	117	132
+	118	101
+	4	122	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	132
+	118	101
+	3	122	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	132
+	109	115
+	113	134
+	4	117	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	115
+	113	134
+	3	117	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	115
+	117	132
+	112	111
+	4	109	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	132
+	112	111
+	3	109	115	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	165	89
+	159	90
+	162	94
+	4	165	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	90
+	162	94
+	3	165	89	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	159	90
+	165	89
+	162	84
+	4	159	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	89
+	162	84
+	3	159	90	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	162	84
+	156	79
+	159	90
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	79
+	159	90
+	3	162	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	90
+	133	89
+	136	94
+	4	139	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	89
+	136	94
+	3	139	90	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	133	89
+	139	90
+	136	84
+	4	133	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	90
+	136	84
+	3	133	89	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	142	79
+	136	84
+	139	90
+	4	142	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	84
+	139	90
+	3	142	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	88
+	191	88
+	188	86
+	4	185	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	88
+	188	86
+	3	185	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	86
+	188	86
+	191	88
+	4	194	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	86
+	191	88
+	3	194	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	86
+	181	86
+	185	88
+	4	188	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	86
+	185	88
+	3	188	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	88
+	113	88
+	110	86
+	4	107	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	88
+	110	86
+	3	107	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	117	86
+	110	86
+	113	88
+	4	117	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	86
+	113	88
+	3	117	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	110	86
+	104	86
+	107	88
+	4	110	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	86
+	107	88
+	3	110	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	88
+	198	88
+	194	86
+	4	191	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	88
+	194	86
+	3	191	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	88
+	107	88
+	104	86
+	4	100	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	88
+	104	86
+	3	100	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	88
+	185	88
+	181	86
+	4	178	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	88
+	181	86
+	3	178	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	86
+	175	85
+	178	88
+	4	181	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	85
+	178	88
+	3	181	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	88
+	120	88
+	117	86
+	4	113	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	88
+	117	86
+	3	113	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	123	85
+	117	86
+	120	88
+	4	123	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	86
+	120	88
+	3	123	85	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	88
+	178	88
+	175	85
+	4	172	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	88
+	175	85
+	3	172	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	85
+	168	85
+	172	88
+	4	175	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	85
+	172	88
+	3	175	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	88
+	126	88
+	123	85
+	4	120	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	88
+	123	85
+	3	120	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	85
+	123	85
+	126	88
+	4	130	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	85
+	126	88
+	3	130	85	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	92
+	162	94
+	165	97
+	4	169	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	94
+	165	97
+	3	169	92	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	162	94
+	169	92
+	165	89
+	4	162	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	92
+	165	89
+	3	162	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	94
+	130	92
+	133	97
+	4	136	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	92
+	133	97
+	3	136	94	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	92
+	136	94
+	133	89
+	4	130	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	94
+	133	89
+	3	130	92	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	89
+	172	88
+	168	85
+	4	165	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	88
+	168	85
+	3	165	89	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	168	85
+	162	84
+	165	89
+	4	168	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	165	89
+	3	168	85	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	162	84
+	168	85
+	165	80
+	4	162	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	85
+	165	80
+	3	162	84	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	88
+	133	89
+	130	85
+	4	126	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	89
+	130	85
+	3	126	88	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	136	84
+	130	85
+	133	89
+	4	136	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	85
+	133	89
+	3	136	84	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	130	85
+	136	84
+	133	80
+	4	130	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	84
+	133	80
+	3	130	85	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	80
+	159	73
+	162	84
+	4	165	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	73
+	162	84
+	3	165	80	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	73
+	165	80
+	162	68
+	4	159	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	80
+	162	68
+	3	159	73	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	139	73
+	133	80
+	136	84
+	4	139	73	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	80
+	136	84
+	3	139	73	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	133	80
+	139	73
+	136	68
+	4	133	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	73
+	136	68
+	3	133	80	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	114
+	213	91
+	207	112
+	4	204	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	91
+	207	112
+	3	204	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	216	89
+	207	112
+	213	91
+	4	216	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	112
+	213	91
+	3	216	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	112
+	202	102
+	204	114
+	4	207	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	102
+	204	114
+	3	207	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	102
+	207	112
+	205	100
+	4	202	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	112
+	205	100
+	3	202	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	91
+	94	114
+	91	112
+	4	85	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	114
+	91	112
+	3	85	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	102
+	91	112
+	94	114
+	4	96	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	112
+	94	114
+	3	96	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	112
+	96	102
+	93	100
+	4	91	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	102
+	93	100
+	3	91	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	112
+	82	89
+	85	91
+	4	91	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	89
+	85	91
+	3	91	112	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	156	79
+	162	84
+	159	73
+	4	156	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	84
+	159	73
+	3	156	79	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	136	84
+	142	79
+	139	73
+	4	136	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	79
+	139	73
+	3	136	84	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	172	88
+	165	89
+	169	92
+	4	172	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	89
+	169	92
+	3	172	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	89
+	126	88
+	130	92
+	4	133	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	88
+	130	92
+	3	133	89	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	92
+	175	91
+	172	88
+	4	169	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	91
+	172	88
+	3	169	92	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	88
+	172	88
+	175	91
+	4	178	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	88
+	175	91
+	3	178	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	91
+	130	92
+	126	88
+	4	123	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	92
+	126	88
+	3	123	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	126	88
+	120	88
+	123	91
+	4	126	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	88
+	123	91
+	3	126	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	91
+	182	91
+	178	88
+	4	175	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	91
+	178	88
+	3	175	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	88
+	178	88
+	182	91
+	4	185	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	88
+	182	91
+	3	185	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	91
+	123	91
+	120	88
+	4	116	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	91
+	120	88
+	3	116	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	88
+	113	88
+	116	91
+	4	120	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	88
+	116	91
+	3	120	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	91
+	201	91
+	198	88
+	4	195	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	91
+	198	88
+	3	195	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	88
+	191	88
+	195	91
+	4	198	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	88
+	195	91
+	3	198	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	91
+	103	91
+	100	88
+	4	97	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	91
+	100	88
+	3	97	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	88
+	100	88
+	103	91
+	4	107	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	88
+	103	91
+	3	107	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	91
+	188	91
+	185	88
+	4	182	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	91
+	185	88
+	3	182	91	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	88
+	185	88
+	188	91
+	4	191	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	88
+	188	91
+	3	191	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	91
+	116	91
+	113	88
+	4	110	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	91
+	113	88
+	3	110	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	113	88
+	107	88
+	110	91
+	4	113	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	88
+	110	91
+	3	113	88	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	95
+	165	97
+	169	100
+	4	172	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	97
+	169	100
+	3	172	95	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	165	97
+	172	95
+	169	92
+	4	165	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	95
+	169	92
+	3	165	97	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	133	97
+	126	95
+	129	100
+	4	133	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	95
+	129	100
+	3	133	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	126	95
+	133	97
+	130	92
+	4	126	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	97
+	130	92
+	3	126	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	91
+	195	91
+	191	88
+	4	188	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	91
+	191	88
+	3	188	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	91
+	110	91
+	107	88
+	4	103	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	91
+	107	88
+	3	103	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	134
+	192	126
+	189	115
+	4	185	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	126
+	189	115
+	3	185	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	185	134
+	180	101
+	183	106
+	4	185	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	101
+	183	106
+	3	185	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	118	101
+	113	134
+	115	106
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	134
+	115	106
+	3	118	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	126
+	113	134
+	109	115
+	4	106	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	134
+	109	115
+	3	106	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	91
+	169	92
+	172	95
+	4	175	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	92
+	172	95
+	3	175	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	92
+	123	91
+	126	95
+	4	130	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	91
+	126	95
+	3	130	92	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	117
+	210	93
+	204	114
+	4	201	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	93
+	204	114
+	3	201	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	213	91
+	204	114
+	210	93
+	4	213	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	114
+	210	93
+	3	213	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	114
+	199	105
+	201	117
+	4	204	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	105
+	201	117
+	3	204	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	199	105
+	204	114
+	202	102
+	4	199	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	114
+	202	102
+	3	199	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	88	93
+	97	117
+	94	114
+	4	88	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	117
+	94	114
+	3	88	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	99	105
+	94	114
+	97	117
+	4	99	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	114
+	97	117
+	3	99	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	114
+	99	105
+	96	102
+	4	94	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	105
+	96	102
+	3	94	114	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	114
+	85	91
+	88	93
+	4	94	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	91
+	88	93
+	3	94	114	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	172	95
+	178	94
+	175	91
+	4	172	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	94
+	175	91
+	3	172	95	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	91
+	175	91
+	178	94
+	4	182	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	91
+	178	94
+	3	182	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	94
+	126	95
+	123	91
+	4	120	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	95
+	123	91
+	3	120	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	91
+	116	91
+	120	94
+	4	123	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	91
+	120	94
+	3	123	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	93
+	205	94
+	201	91
+	4	198	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	94
+	201	91
+	3	198	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	91
+	195	91
+	198	93
+	4	201	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	91
+	198	93
+	3	201	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	94
+	100	93
+	97	91
+	4	94	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	93
+	97	91
+	3	94	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	91
+	97	91
+	100	93
+	4	103	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	91
+	100	93
+	3	103	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	94
+	185	93
+	182	91
+	4	178	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	93
+	182	91
+	3	178	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	91
+	182	91
+	185	93
+	4	188	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	91
+	185	93
+	3	188	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	93
+	120	94
+	116	91
+	4	113	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	94
+	116	91
+	3	113	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	91
+	110	91
+	113	93
+	4	116	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	91
+	113	93
+	3	116	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	191	93
+	198	93
+	195	91
+	4	191	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	93
+	195	91
+	3	191	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	91
+	188	91
+	191	93
+	4	195	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	91
+	191	93
+	3	195	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	93
+	107	93
+	103	91
+	4	100	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	93
+	103	91
+	3	100	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	91
+	103	91
+	107	93
+	4	110	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	91
+	107	93
+	3	110	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	93
+	191	93
+	188	91
+	4	185	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	93
+	188	91
+	3	185	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	93
+	113	93
+	110	91
+	4	107	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	93
+	110	91
+	3	107	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	97
+	169	100
+	172	102
+	4	175	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	100
+	172	102
+	3	175	97	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	169	100
+	175	97
+	172	95
+	4	169	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	97
+	172	95
+	3	169	100	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	129	100
+	123	97
+	126	102
+	4	129	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	97
+	126	102
+	3	129	100	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	123	97
+	129	100
+	126	95
+	4	123	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	100
+	126	95
+	3	123	97	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	94
+	172	95
+	175	97
+	4	178	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	95
+	175	97
+	3	178	94	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	95
+	120	94
+	123	97
+	4	126	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	94
+	123	97
+	3	126	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	119
+	207	96
+	201	117
+	4	198	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	96
+	201	117
+	3	198	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	93
+	201	117
+	207	96
+	4	210	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	117
+	207	96
+	3	210	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	117
+	195	108
+	198	119
+	4	201	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	108
+	198	119
+	3	201	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	108
+	201	117
+	199	105
+	4	195	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	117
+	199	105
+	3	195	108	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	96
+	100	119
+	97	117
+	4	91	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	119
+	97	117
+	3	91	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	108
+	97	117
+	100	119
+	4	103	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	117
+	100	119
+	3	103	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	117
+	103	108
+	99	105
+	4	97	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	108
+	99	105
+	3	97	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	117
+	88	93
+	91	96
+	4	97	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	93
+	91	96
+	3	97	117	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	201	96
+	208	98
+	205	94
+	4	201	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	98
+	205	94
+	3	201	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	94
+	198	93
+	201	96
+	4	205	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	93
+	201	96
+	3	205	94	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	90	98
+	97	96
+	94	94
+	4	90	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	96
+	94	94
+	3	90	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	93
+	94	94
+	97	96
+	4	100	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	94
+	97	96
+	3	100	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	97
+	182	96
+	178	94
+	4	175	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	96
+	178	94
+	3	175	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	93
+	178	94
+	182	96
+	4	185	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	94
+	182	96
+	3	185	93	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	96
+	123	97
+	120	94
+	4	116	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	97
+	120	94
+	3	116	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	94
+	113	93
+	116	96
+	4	120	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	93
+	116	96
+	3	120	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	96
+	201	96
+	198	93
+	4	195	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	96
+	198	93
+	3	195	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	93
+	191	93
+	195	96
+	4	198	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	93
+	195	96
+	3	198	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	97	96
+	103	96
+	100	93
+	4	97	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	96
+	100	93
+	3	97	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	93
+	100	93
+	103	96
+	4	107	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	93
+	103	96
+	3	107	93	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	96
+	188	96
+	185	93
+	4	182	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	96
+	185	93
+	3	182	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	93
+	185	93
+	188	96
+	4	191	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	93
+	188	96
+	3	191	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	96
+	116	96
+	113	93
+	4	110	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	96
+	113	93
+	3	110	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	93
+	107	93
+	110	96
+	4	113	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	93
+	110	96
+	3	113	93	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	188	96
+	195	96
+	191	93
+	4	188	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	96
+	191	93
+	3	188	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	96
+	110	96
+	107	93
+	4	103	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	96
+	107	93
+	3	103	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	208	98
+	201	96
+	205	100
+	4	208	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	96
+	205	100
+	3	208	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	97	96
+	90	98
+	93	100
+	4	97	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	98
+	93	100
+	3	97	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	99
+	172	102
+	175	104
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	102
+	175	104
+	3	179	99	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	172	102
+	179	99
+	175	97
+	4	172	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	175	97
+	3	172	102	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	126	102
+	119	99
+	123	104
+	4	126	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	99
+	123	104
+	3	126	102	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	119	99
+	126	102
+	123	97
+	4	119	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	102
+	123	97
+	3	119	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	96
+	175	97
+	179	99
+	4	182	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	97
+	179	99
+	3	182	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	97
+	116	96
+	119	99
+	4	123	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	96
+	119	99
+	3	123	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	122
+	204	98
+	198	119
+	4	195	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	98
+	198	119
+	3	195	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	96
+	198	119
+	204	98
+	4	207	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	119
+	204	98
+	3	207	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	119
+	192	111
+	195	122
+	4	198	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	111
+	195	122
+	3	198	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	111
+	198	119
+	195	108
+	4	192	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	119
+	195	108
+	3	192	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	98
+	103	122
+	100	119
+	4	94	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	122
+	100	119
+	3	94	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	111
+	100	119
+	103	122
+	4	106	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	119
+	103	122
+	3	106	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	119
+	106	111
+	103	108
+	4	100	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	111
+	103	108
+	3	100	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	119
+	91	96
+	94	98
+	4	100	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	96
+	94	98
+	3	100	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	99
+	205	100
+	201	96
+	4	198	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	100
+	201	96
+	3	198	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	96
+	195	96
+	198	99
+	4	201	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	96
+	198	99
+	3	201	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	93	100
+	100	99
+	97	96
+	4	93	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	99
+	97	96
+	3	93	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	96
+	97	96
+	100	99
+	4	103	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	96
+	100	99
+	3	103	96	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	99
+	185	99
+	182	96
+	4	179	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	99
+	182	96
+	3	179	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	96
+	182	96
+	185	99
+	4	188	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	96
+	185	99
+	3	188	96	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	113	99
+	119	99
+	116	96
+	4	113	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	99
+	116	96
+	3	113	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	96
+	110	96
+	113	99
+	4	116	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	96
+	113	99
+	3	116	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	192	98
+	198	99
+	195	96
+	4	192	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	99
+	195	96
+	3	192	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	96
+	188	96
+	192	98
+	4	195	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	96
+	192	98
+	3	195	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	99
+	106	98
+	103	96
+	4	100	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	98
+	103	96
+	3	100	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	96
+	103	96
+	106	98
+	4	110	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	96
+	106	98
+	3	110	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	99
+	192	98
+	188	96
+	4	185	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	98
+	188	96
+	3	185	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	98
+	113	99
+	110	96
+	4	106	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	99
+	110	96
+	3	106	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	205	100
+	198	99
+	202	102
+	4	205	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	99
+	202	102
+	3	205	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	100	99
+	93	100
+	96	102
+	4	100	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	100
+	96	102
+	3	100	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	102
+	175	104
+	179	106
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	104
+	179	106
+	3	182	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	104
+	182	102
+	179	99
+	4	175	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	179	99
+	3	175	104	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	123	104
+	116	102
+	119	106
+	4	123	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	102
+	119	106
+	3	123	104	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	116	102
+	123	104
+	119	99
+	4	116	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	104
+	119	99
+	3	116	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	99
+	179	99
+	182	102
+	4	185	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	99
+	182	102
+	3	185	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	99
+	113	99
+	116	102
+	4	119	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	99
+	116	102
+	3	119	99	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	126
+	201	101
+	195	122
+	4	192	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	101
+	195	122
+	3	192	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	98
+	195	122
+	201	101
+	4	204	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	122
+	201	101
+	3	204	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	122
+	189	115
+	192	126
+	4	195	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	115
+	192	126
+	3	195	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	115
+	195	122
+	192	111
+	4	189	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	122
+	192	111
+	3	189	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	101
+	106	126
+	103	122
+	4	97	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	126
+	103	122
+	3	97	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	115
+	103	122
+	106	126
+	4	109	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	122
+	106	126
+	3	109	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	122
+	109	115
+	106	111
+	4	103	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	115
+	106	111
+	3	103	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	122
+	94	98
+	97	101
+	4	103	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	98
+	97	101
+	3	103	122	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	195	101
+	202	102
+	198	99
+	4	195	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	102
+	198	99
+	3	195	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	99
+	192	98
+	195	101
+	4	198	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	98
+	195	101
+	3	198	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	96	102
+	103	101
+	100	99
+	4	96	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	101
+	100	99
+	3	96	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	98
+	100	99
+	103	101
+	4	106	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	99
+	103	101
+	3	106	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	101
+	192	126
+	197	106
+	4	201	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	126
+	197	106
+	3	201	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	106	126
+	97	101
+	101	106
+	4	106	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	101
+	101	106
+	3	106	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	102
+	189	101
+	185	99
+	4	182	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	101
+	185	99
+	3	182	102	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	98
+	185	99
+	189	101
+	4	192	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	99
+	189	101
+	3	192	98	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	109	101
+	116	102
+	113	99
+	4	109	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	102
+	113	99
+	3	109	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	99
+	106	98
+	109	101
+	4	113	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	98
+	109	101
+	3	113	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	189	101
+	195	101
+	192	98
+	4	189	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	101
+	192	98
+	3	189	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	101
+	109	101
+	106	98
+	4	103	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	101
+	106	98
+	3	103	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	202	102
+	195	101
+	199	105
+	4	202	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	101
+	199	105
+	3	202	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	101
+	96	102
+	99	105
+	4	103	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	102
+	99	105
+	3	103	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	104
+	179	106
+	182	109
+	4	185	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	106
+	182	109
+	3	185	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	106
+	185	104
+	182	102
+	4	179	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	104
+	182	102
+	3	179	106	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	119	106
+	113	104
+	116	109
+	4	119	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	104
+	116	109
+	3	119	106	psDrawLines
+	renderGC	1.000000	setForeground
+	renderGC
+	113	104
+	119	106
+	116	102
+	4	113	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	106
+	116	102
+	3	113	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	101
+	182	102
+	185	104
+	4	189	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	102
+	185	104
+	3	189	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	116	102
+	109	101
+	113	104
+	4	116	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	101
+	113	104
+	3	116	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	192	104
+	199	105
+	195	101
+	4	192	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	105
+	195	101
+	3	192	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	101
+	189	101
+	192	104
+	4	195	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	101
+	192	104
+	3	195	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	105
+	106	104
+	103	101
+	4	99	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	104
+	103	101
+	3	99	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	101
+	103	101
+	106	104
+	4	109	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	101
+	106	104
+	3	109	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	104
+	192	104
+	189	101
+	4	185	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	104
+	189	101
+	3	185	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	104
+	113	104
+	109	101
+	4	106	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	104
+	109	101
+	3	106	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	199	105
+	192	104
+	195	108
+	4	199	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	104
+	195	108
+	3	199	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	104
+	99	105
+	103	108
+	4	106	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	105
+	103	108
+	3	106	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	109
+	189	107
+	185	104
+	4	182	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	107
+	185	104
+	3	182	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	104
+	185	104
+	189	107
+	4	192	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	104
+	189	107
+	3	192	104	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	109	107
+	116	109
+	113	104
+	4	109	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	109
+	113	104
+	3	109	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	113	104
+	106	104
+	109	107
+	4	113	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	104
+	109	107
+	3	113	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	107
+	182	109
+	186	111
+	4	189	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	109
+	186	111
+	3	189	107	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	116	109
+	109	107
+	112	111
+	4	116	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	107
+	112	111
+	3	116	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	189	107
+	195	108
+	192	104
+	4	189	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	108
+	192	104
+	3	189	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	108
+	109	107
+	106	104
+	4	103	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	107
+	106	104
+	3	103	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	195	108
+	189	107
+	192	111
+	4	195	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	107
+	192	111
+	3	195	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	107
+	103	108
+	106	111
+	4	109	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	108
+	106	111
+	3	109	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	111
+	192	111
+	189	107
+	4	186	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	111
+	189	107
+	3	186	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	106	111
+	112	111
+	109	107
+	4	106	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	111
+	109	107
+	3	106	111	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	111
+	186	111
+	189	115
+	4	192	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	111
+	189	115
+	3	192	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	111
+	106	111
+	109	115
+	4	112	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	111
+	109	115
+	3	112	111	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	88
+	152	88
+	149	83
+	4	146	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	88
+	149	83
+	3	146	88	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	156	77
+	149	83
+	152	88
+	4	156	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	83
+	152	88
+	3	156	77	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	149	83
+	156	77
+	152	72
+	4	149	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	77
+	152	72
+	3	149	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	83
+	142	77
+	146	88
+	4	149	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	77
+	146	88
+	3	149	83	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	77
+	149	83
+	146	72
+	4	142	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	83
+	146	72
+	3	142	77	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	152	72
+	146	72
+	149	83
+	4	152	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	72
+	149	83
+	3	152	72	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	149	92
+	156	91
+	152	88
+	4	149	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	91
+	152	88
+	3	149	92	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	159	81
+	152	88
+	156	91
+	4	159	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	88
+	156	91
+	3	159	81	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	152	88
+	159	81
+	156	77
+	4	152	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	81
+	156	77
+	3	152	88	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	91
+	149	92
+	146	88
+	4	142	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	92
+	146	88
+	3	142	91	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	152	88
+	146	88
+	149	92
+	4	152	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	88
+	149	92
+	3	152	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	88
+	139	81
+	142	91
+	4	146	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	81
+	142	91
+	3	146	88	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	81
+	146	88
+	142	77
+	4	139	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	88
+	142	77
+	3	139	81	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	96
+	152	96
+	149	92
+	4	146	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	149	92
+	3	146	96	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	156	91
+	149	92
+	152	96
+	4	156	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	92
+	152	96
+	3	156	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	92
+	142	91
+	146	96
+	4	149	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	91
+	146	96
+	3	149	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	216	99
+	223	100
+	219	97
+	4	216	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	100
+	219	97
+	3	216	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	219	97
+	213	91
+	216	99
+	4	219	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	91
+	216	99
+	3	219	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	91
+	219	97
+	216	89
+	4	213	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	97
+	216	89
+	3	213	91	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	75	100
+	82	99
+	79	97
+	4	75	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	99
+	79	97
+	3	75	100	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	85	91
+	79	97
+	82	99
+	4	85	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	97
+	82	99
+	3	85	91	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	79	97
+	85	91
+	82	89
+	4	79	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	91
+	82	89
+	3	79	97	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	152	96
+	159	94
+	156	91
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	94
+	156	91
+	3	152	96	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	163	85
+	156	91
+	159	94
+	4	163	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	91
+	159	94
+	3	163	85	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	156	91
+	163	85
+	159	81
+	4	156	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	85
+	159	81
+	3	156	91	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	94
+	146	96
+	142	91
+	4	139	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	96
+	142	91
+	3	139	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	91
+	135	85
+	139	94
+	4	142	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	85
+	139	94
+	3	142	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	85
+	142	91
+	139	81
+	4	135	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	91
+	139	81
+	3	135	85	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	195	107
+	200	131
+	196	129
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	131
+	196	129
+	3	195	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	204	116
+	196	129
+	200	131
+	4	204	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	129
+	200	131
+	3	204	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	129
+	204	116
+	200	113
+	4	196	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	116
+	200	113
+	3	196	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	196	129
+	192	98
+	195	107
+	4	196	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	98
+	195	107
+	3	196	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	98
+	196	129
+	193	123
+	4	192	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	129
+	193	123
+	3	192	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	113
+	193	123
+	196	129
+	4	200	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	123
+	196	129
+	3	200	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	98	131
+	103	107
+	102	129
+	4	98	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	107
+	102	129
+	3	98	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	106	98
+	102	129
+	103	107
+	4	106	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	129
+	103	107
+	3	106	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	102	129
+	106	98
+	105	123
+	4	102	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	98
+	105	123
+	3	102	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	129
+	94	116
+	98	131
+	4	102	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	116
+	98	131
+	3	102	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	116
+	102	129
+	98	113
+	4	94	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	129
+	98	113
+	3	94	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	123
+	98	113
+	102	129
+	4	105	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	113
+	102	129
+	3	105	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	99
+	156	99
+	152	96
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	99
+	152	96
+	3	149	99	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	159	94
+	152	96
+	156	99
+	4	159	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	96
+	156	99
+	3	159	94	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	99
+	149	99
+	146	96
+	4	142	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	146	96
+	3	142	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	96
+	146	96
+	149	99
+	4	152	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	96
+	149	99
+	3	152	96	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	146	96
+	139	94
+	142	99
+	4	146	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	94
+	142	99
+	3	146	96	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	103
+	227	103
+	223	100
+	4	220	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	103
+	223	100
+	3	220	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	100
+	216	99
+	220	103
+	4	223	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	99
+	220	103
+	3	223	100	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	103
+	78	103
+	75	100
+	4	71	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	103
+	75	100
+	3	71	103	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	82	99
+	75	100
+	78	103
+	4	82	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	100
+	78	103
+	3	82	99	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	193	123
+	200	113
+	197	106
+	4	193	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	113
+	197	106
+	3	193	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	193	123
+	186	119
+	192	98
+	4	193	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	119
+	192	98
+	3	193	123	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	112	119
+	105	123
+	106	98
+	4	112	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	123
+	106	98
+	3	112	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	113
+	105	123
+	101	106
+	4	98	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	123
+	101	106
+	3	98	113	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	156	99
+	163	97
+	159	94
+	4	156	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	97
+	159	94
+	3	156	99	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	166	88
+	159	94
+	163	97
+	4	166	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	94
+	163	97
+	3	166	88	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	159	94
+	166	88
+	163	85
+	4	159	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	88
+	163	85
+	3	159	94	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	136	97
+	142	99
+	139	94
+	4	136	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	99
+	139	94
+	3	136	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	94
+	132	88
+	136	97
+	4	139	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	88
+	136	97
+	3	139	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	88
+	139	94
+	135	85
+	4	132	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	94
+	135	85
+	3	132	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	213	101
+	220	103
+	216	99
+	4	213	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	103
+	216	99
+	3	213	101	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	99
+	210	93
+	213	101
+	4	216	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	93
+	213	101
+	3	216	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	210	93
+	216	99
+	213	91
+	4	210	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	99
+	213	91
+	3	210	93	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	78	103
+	85	101
+	82	99
+	4	78	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	101
+	82	99
+	3	78	103	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	88	93
+	82	99
+	85	101
+	4	88	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	99
+	85	101
+	3	88	93	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	82	99
+	88	93
+	85	91
+	4	82	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	93
+	85	91
+	3	82	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	102
+	152	102
+	149	99
+	4	146	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	102
+	149	99
+	3	146	102	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	99
+	149	99
+	152	102
+	4	156	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	99
+	152	102
+	3	156	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	99
+	142	99
+	146	102
+	4	149	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	99
+	146	102
+	3	149	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	102
+	159	101
+	156	99
+	4	152	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	156	99
+	3	152	102	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	163	97
+	156	99
+	159	101
+	4	163	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	99
+	159	101
+	3	163	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	101
+	146	102
+	142	99
+	4	139	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	102
+	142	99
+	3	139	101	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	142	99
+	136	97
+	139	101
+	4	142	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	97
+	139	101
+	3	142	99	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	224	105
+	230	105
+	227	103
+	4	224	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	105
+	227	103
+	3	224	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	103
+	220	103
+	224	105
+	4	227	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	103
+	224	105
+	3	227	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	68	105
+	75	105
+	71	103
+	4	68	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	105
+	71	103
+	3	68	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	78	103
+	71	103
+	75	105
+	4	78	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	103
+	75	105
+	3	78	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	105
+	224	105
+	220	103
+	4	217	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	105
+	220	103
+	3	217	105	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	220	103
+	213	101
+	217	105
+	4	220	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	101
+	217	105
+	3	220	103	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	75	105
+	81	105
+	78	103
+	4	75	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	105
+	78	103
+	3	75	105	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	85	101
+	78	103
+	81	105
+	4	85	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	103
+	81	105
+	3	85	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	198	111
+	203	132
+	200	131
+	4	198	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	132
+	200	131
+	3	198	111	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	119
+	200	131
+	203	132
+	4	208	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	131
+	203	132
+	3	208	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	131
+	208	119
+	204	116
+	4	200	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	119
+	204	116
+	3	200	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	200	131
+	195	107
+	198	111
+	4	200	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	198	111
+	3	200	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	132
+	100	111
+	98	131
+	4	95	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	111
+	98	131
+	3	95	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	107
+	98	131
+	100	111
+	4	103	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	131
+	100	111
+	3	103	107	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	98	131
+	90	119
+	95	132
+	4	98	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	119
+	95	132
+	3	98	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	90	119
+	98	131
+	94	116
+	4	90	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	131
+	94	116
+	3	90	119	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	159	101
+	166	100
+	163	97
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	100
+	163	97
+	3	159	101	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	170	91
+	163	97
+	166	100
+	4	170	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	97
+	166	100
+	3	170	91	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	163	97
+	170	91
+	166	88
+	4	163	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	91
+	166	88
+	3	163	97	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	132	100
+	139	101
+	136	97
+	4	132	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	101
+	136	97
+	3	132	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	136	97
+	129	91
+	132	100
+	4	136	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	91
+	132	100
+	3	136	97	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	91
+	136	97
+	132	88
+	4	129	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	97
+	132	88
+	3	129	91	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	129
+	188	105
+	183	126
+	4	180	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	183	126
+	3	180	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	192	98
+	183	126
+	188	105
+	4	192	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	126
+	188	105
+	3	192	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	126
+	192	98
+	186	119
+	4	183	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	98
+	186	119
+	3	183	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	126
+	176	117
+	180	129
+	4	183	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	117
+	180	129
+	3	183	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	117
+	183	126
+	180	113
+	4	176	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	126
+	180	113
+	3	176	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	186	119
+	180	113
+	183	126
+	4	186	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	113
+	183	126
+	3	186	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	110	105
+	119	129
+	115	126
+	4	110	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	129
+	115	126
+	3	110	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	117
+	115	126
+	119	129
+	4	122	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	126
+	119	129
+	3	122	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	126
+	122	117
+	118	113
+	4	115	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	117
+	118	113
+	3	115	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	115	126
+	106	98
+	110	105
+	4	115	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	98
+	110	105
+	3	115	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	98
+	115	126
+	112	119
+	4	106	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	126
+	112	119
+	3	106	98	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	113
+	112	119
+	115	126
+	4	118	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	119
+	115	126
+	3	118	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	105
+	156	104
+	152	102
+	4	149	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	104
+	152	102
+	3	149	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	101
+	152	102
+	156	104
+	4	159	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	102
+	156	104
+	3	159	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	104
+	149	105
+	146	102
+	4	142	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	105
+	146	102
+	3	142	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	102
+	146	102
+	149	105
+	4	152	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	102
+	149	105
+	3	152	102	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	102
+	139	101
+	142	104
+	4	146	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	101
+	142	104
+	3	146	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	104
+	217	105
+	213	101
+	4	210	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	105
+	213	101
+	3	210	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	101
+	207	96
+	210	104
+	4	213	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	96
+	210	104
+	3	213	101	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	96
+	213	101
+	210	93
+	4	207	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	101
+	210	93
+	3	207	96	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	81	105
+	88	104
+	85	101
+	4	81	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	104
+	85	101
+	3	81	105	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	91	96
+	85	101
+	88	104
+	4	91	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	101
+	88	104
+	3	91	96	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	85	101
+	91	96
+	88	93
+	4	85	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	96
+	88	93
+	3	85	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	104
+	163	104
+	159	101
+	4	156	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	104
+	159	101
+	3	156	104	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	100
+	159	101
+	163	104
+	4	166	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	101
+	163	104
+	3	166	100	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	104
+	142	104
+	139	101
+	4	135	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	104
+	139	101
+	3	135	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	101
+	132	100
+	135	104
+	4	139	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	100
+	135	104
+	3	139	101	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	146	72
+	152	72
+	149	60
+	4	146	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	72
+	149	60
+	3	146	72	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	108
+	234	108
+	230	105
+	4	227	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	108
+	230	105
+	3	227	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	105
+	224	105
+	227	108
+	4	230	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	105
+	227	108
+	3	230	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	64	108
+	71	108
+	68	105
+	4	64	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	108
+	68	105
+	3	64	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	75	105
+	68	105
+	71	108
+	4	75	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	105
+	71	108
+	3	75	105	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	176	132
+	185	108
+	180	129
+	4	176	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	108
+	180	129
+	3	176	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	105
+	180	129
+	185	108
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	129
+	185	108
+	3	188	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	180	129
+	173	120
+	176	132
+	4	180	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	120
+	176	132
+	3	180	129	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	120
+	180	129
+	176	117
+	4	173	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	129
+	176	117
+	3	173	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	114	108
+	122	132
+	119	129
+	4	114	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	132
+	119	129
+	3	114	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	120
+	119	129
+	122	132
+	4	125	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	129
+	122	132
+	3	125	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	129
+	125	120
+	122	117
+	4	119	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	120
+	122	117
+	3	119	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	119	129
+	110	105
+	114	108
+	4	119	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	105
+	114	108
+	3	119	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	108
+	227	108
+	224	105
+	4	220	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	108
+	224	105
+	3	220	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	224	105
+	217	105
+	220	108
+	4	224	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	105
+	220	108
+	3	224	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	108
+	78	108
+	75	105
+	4	71	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	108
+	75	105
+	3	71	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	105
+	75	105
+	78	108
+	4	81	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	105
+	78	108
+	3	81	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	214	107
+	220	108
+	217	105
+	4	214	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	108
+	217	105
+	3	214	107	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	217	105
+	210	104
+	214	107
+	4	217	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	104
+	214	107
+	3	217	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	78	108
+	84	107
+	81	105
+	4	78	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	107
+	81	105
+	3	78	108	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	88	104
+	81	105
+	84	107
+	4	88	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	105
+	84	107
+	3	88	104	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	163	104
+	169	103
+	166	100
+	4	163	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	103
+	166	100
+	3	163	104	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	173	94
+	166	100
+	169	103
+	4	173	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	100
+	169	103
+	3	173	94	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	166	100
+	173	94
+	170	91
+	4	166	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	94
+	170	91
+	3	166	100	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	129	103
+	135	104
+	132	100
+	4	129	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	104
+	132	100
+	3	129	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	100
+	125	94
+	129	103
+	4	132	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	94
+	129	103
+	3	132	100	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	94
+	132	100
+	129	91
+	4	125	94	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	100
+	129	91
+	3	125	94	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	180	113
+	186	119
+	183	106
+	4	180	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	119
+	183	106
+	3	180	113	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	112	119
+	118	113
+	115	106
+	4	112	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	113
+	115	106
+	3	112	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	107
+	152	107
+	149	105
+	4	146	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	107
+	149	105
+	3	146	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	104
+	149	105
+	152	107
+	4	156	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	105
+	152	107
+	3	156	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	105
+	142	104
+	146	107
+	4	149	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	104
+	146	107
+	3	149	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	152	107
+	159	107
+	156	104
+	4	152	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	107
+	156	104
+	3	152	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	104
+	156	104
+	159	107
+	4	163	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	104
+	159	107
+	3	163	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	107
+	146	107
+	142	104
+	4	139	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	107
+	142	104
+	3	139	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	104
+	135	104
+	139	107
+	4	142	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	104
+	139	107
+	3	142	104	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	107
+	166	107
+	163	104
+	4	159	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	107
+	163	104
+	3	159	107	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	169	103
+	163	104
+	166	107
+	4	169	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	104
+	166	107
+	3	169	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	107
+	139	107
+	135	104
+	4	132	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	107
+	135	104
+	3	132	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	135	104
+	129	103
+	132	107
+	4	135	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	103
+	132	107
+	3	135	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	106
+	214	107
+	210	104
+	4	207	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	107
+	210	104
+	3	207	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	210	104
+	204	98
+	207	106
+	4	210	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	98
+	207	106
+	3	210	104	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	98
+	210	104
+	207	96
+	4	204	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	104
+	207	96
+	3	204	98	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	84	107
+	91	106
+	88	104
+	4	84	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	106
+	88	104
+	3	84	107	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	94	98
+	88	104
+	91	106
+	4	94	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	104
+	91	106
+	3	94	98	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	88	104
+	94	98
+	91	96
+	4	88	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	98
+	91	96
+	3	88	104	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	115
+	207	133
+	203	132
+	4	202	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	133
+	203	132
+	3	202	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	211	121
+	203	132
+	207	133
+	4	211	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	132
+	207	133
+	3	211	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	132
+	211	121
+	208	119
+	4	203	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	121
+	208	119
+	3	203	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	132
+	198	111
+	202	115
+	4	203	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	111
+	202	115
+	3	203	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	91	133
+	96	115
+	95	132
+	4	91	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	115
+	95	132
+	3	91	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	100	111
+	95	132
+	96	115
+	4	100	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	132
+	96	115
+	3	100	111	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	95	132
+	87	121
+	91	133
+	4	95	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	121
+	91	133
+	3	95	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	121
+	95	132
+	90	119
+	4	87	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	132
+	90	119
+	3	87	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	135
+	181	111
+	176	132
+	4	173	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	111
+	176	132
+	3	173	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	185	108
+	176	132
+	181	111
+	4	185	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	132
+	181	111
+	3	185	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	132
+	170	122
+	173	135
+	4	176	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	122
+	173	135
+	3	176	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	170	122
+	176	132
+	173	120
+	4	170	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	132
+	173	120
+	3	170	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	111
+	125	135
+	122	132
+	4	117	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	135
+	122	132
+	3	117	111	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	128	122
+	122	132
+	125	135
+	4	128	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	132
+	125	135
+	3	128	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	132
+	128	122
+	125	120
+	4	122	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	122
+	125	120
+	3	122	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	132
+	114	108
+	117	111
+	4	122	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	108
+	117	111
+	3	122	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	110
+	238	110
+	234	108
+	4	231	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	110
+	234	108
+	3	231	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	108
+	227	108
+	231	110
+	4	234	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	108
+	231	110
+	3	234	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	60	110
+	67	110
+	64	108
+	4	60	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	110
+	64	108
+	3	60	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	71	108
+	64	108
+	67	110
+	4	71	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	108
+	67	110
+	3	71	108	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	224	110
+	231	110
+	227	108
+	4	224	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	110
+	227	108
+	3	224	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	108
+	220	108
+	224	110
+	4	227	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	108
+	224	110
+	3	227	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	67	110
+	74	110
+	71	108
+	4	67	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	110
+	71	108
+	3	67	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	78	108
+	71	108
+	74	110
+	4	78	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	108
+	74	110
+	3	78	108	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	166	107
+	173	106
+	169	103
+	4	166	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	106
+	169	103
+	3	166	107	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	176	98
+	169	103
+	173	106
+	4	176	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	103
+	173	106
+	3	176	98	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	169	103
+	176	98
+	173	94
+	4	169	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	98
+	173	94
+	3	169	103	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	106
+	132	107
+	129	103
+	4	125	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	107
+	129	103
+	3	125	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	103
+	122	98
+	125	106
+	4	129	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	98
+	125	106
+	3	129	103	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	98
+	129	103
+	125	94
+	4	122	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	103
+	125	94
+	3	122	98	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	110
+	224	110
+	220	108
+	4	217	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	110
+	220	108
+	3	217	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	108
+	214	107
+	217	110
+	4	220	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	107
+	217	110
+	3	220	108	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	74	110
+	81	110
+	78	108
+	4	74	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	110
+	78	108
+	3	74	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	84	107
+	78	108
+	81	110
+	4	84	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	108
+	81	110
+	3	84	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	110
+	217	110
+	214	107
+	4	211	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	110
+	214	107
+	3	211	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	214	107
+	207	106
+	211	110
+	4	214	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	106
+	211	110
+	3	214	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	110
+	88	110
+	84	107
+	4	81	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	110
+	84	107
+	3	81	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	91	106
+	84	107
+	88	110
+	4	91	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	107
+	88	110
+	3	91	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	110
+	156	110
+	152	107
+	4	149	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	110
+	152	107
+	3	149	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	159	107
+	152	107
+	156	110
+	4	159	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	107
+	156	110
+	3	159	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	110
+	149	110
+	146	107
+	4	142	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	110
+	146	107
+	3	142	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	107
+	146	107
+	149	110
+	4	152	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	107
+	149	110
+	3	152	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	107
+	139	107
+	142	110
+	4	146	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	107
+	142	110
+	3	146	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	110
+	163	110
+	159	107
+	4	156	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	110
+	159	107
+	3	156	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	166	107
+	159	107
+	163	110
+	4	166	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	107
+	163	110
+	3	166	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	110
+	142	110
+	139	107
+	4	135	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	110
+	139	107
+	3	135	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	107
+	132	107
+	135	110
+	4	139	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	107
+	135	110
+	3	139	107	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	163	110
+	170	110
+	166	107
+	4	163	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	110
+	166	107
+	3	163	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	173	106
+	166	107
+	170	110
+	4	173	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	107
+	170	110
+	3	173	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	129	110
+	135	110
+	132	107
+	4	129	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	110
+	132	107
+	3	129	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	107
+	125	106
+	129	110
+	4	132	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	106
+	129	110
+	3	132	107	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	109
+	211	110
+	207	106
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	110
+	207	106
+	3	204	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	106
+	201	101
+	204	109
+	4	207	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	101
+	204	109
+	3	207	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	101
+	207	106
+	204	98
+	4	201	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	106
+	204	98
+	3	201	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	110
+	94	109
+	91	106
+	4	88	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	109
+	91	106
+	3	88	110	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	97	101
+	91	106
+	94	109
+	4	97	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	106
+	94	109
+	3	97	101	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	91	106
+	97	101
+	94	98
+	4	91	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	101
+	94	98
+	3	91	106	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	137
+	178	114
+	173	135
+	4	170	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	114
+	173	135
+	3	170	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	181	111
+	173	135
+	178	114
+	4	181	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	135
+	178	114
+	3	181	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	135
+	166	125
+	170	137
+	4	173	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	170	137
+	3	173	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	125
+	173	135
+	170	122
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	135
+	170	122
+	3	166	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	120	114
+	128	137
+	125	135
+	4	120	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	137
+	125	135
+	3	120	114	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	125
+	125	135
+	128	137
+	4	132	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	135
+	128	137
+	3	132	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	135
+	132	125
+	128	122
+	4	125	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	125
+	128	122
+	3	125	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	135
+	117	111
+	120	114
+	4	125	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	111
+	120	114
+	3	125	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	170	110
+	176	109
+	173	106
+	4	170	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	109
+	173	106
+	3	170	110	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	180	101
+	173	106
+	176	109
+	4	180	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	106
+	176	109
+	3	180	101	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	173	106
+	180	101
+	176	98
+	4	173	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	101
+	176	98
+	3	173	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	122	109
+	129	110
+	125	106
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	110
+	125	106
+	3	122	109	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	125	106
+	118	101
+	122	109
+	4	125	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	101
+	122	109
+	3	125	106	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	101
+	125	106
+	122	98
+	4	118	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	106
+	122	98
+	3	118	101	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	235	112
+	242	112
+	238	110
+	4	235	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	112
+	238	110
+	3	235	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	238	110
+	231	110
+	235	112
+	4	238	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	110
+	235	112
+	3	238	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	112
+	63	112
+	60	110
+	4	56	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	112
+	60	110
+	3	56	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	67	110
+	60	110
+	63	112
+	4	67	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	110
+	63	112
+	3	67	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	112
+	235	112
+	231	110
+	4	228	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	112
+	231	110
+	3	228	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	110
+	224	110
+	228	112
+	4	231	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	110
+	228	112
+	3	231	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	63	112
+	70	112
+	67	110
+	4	63	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	112
+	67	110
+	3	63	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	74	110
+	67	110
+	70	112
+	4	74	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	110
+	70	112
+	3	74	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	112
+	228	112
+	224	110
+	4	221	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	112
+	224	110
+	3	221	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	224	110
+	217	110
+	221	112
+	4	224	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	110
+	221	112
+	3	224	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	112
+	77	112
+	74	110
+	4	70	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	112
+	74	110
+	3	70	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	110
+	74	110
+	77	112
+	4	81	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	110
+	77	112
+	3	81	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	112
+	221	112
+	217	110
+	4	214	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	112
+	217	110
+	3	214	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	110
+	211	110
+	214	112
+	4	217	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	110
+	214	112
+	3	217	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	112
+	84	112
+	81	110
+	4	77	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	112
+	81	110
+	3	77	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	110
+	81	110
+	84	112
+	4	88	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	110
+	84	112
+	3	88	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	113
+	152	113
+	149	110
+	4	146	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	113
+	149	110
+	3	146	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	110
+	149	110
+	152	113
+	4	156	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	110
+	152	113
+	3	156	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	110
+	142	110
+	146	113
+	4	149	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	110
+	146	113
+	3	149	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	113
+	159	113
+	156	110
+	4	152	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	113
+	156	110
+	3	152	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	110
+	156	110
+	159	113
+	4	163	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	110
+	159	113
+	3	163	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	113
+	146	113
+	142	110
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	113
+	142	110
+	3	139	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	110
+	135	110
+	139	113
+	4	142	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	110
+	139	113
+	3	142	110	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	113
+	214	112
+	211	110
+	4	207	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	112
+	211	110
+	3	207	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	110
+	204	109
+	207	113
+	4	211	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	207	113
+	3	211	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	112
+	91	113
+	88	110
+	4	84	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	113
+	88	110
+	3	84	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	109
+	88	110
+	91	113
+	4	94	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	110
+	91	113
+	3	94	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	113
+	166	113
+	163	110
+	4	159	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	113
+	163	110
+	3	159	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	170	110
+	163	110
+	166	113
+	4	170	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	110
+	166	113
+	3	170	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	113
+	139	113
+	135	110
+	4	132	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	135	110
+	3	132	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	110
+	129	110
+	132	113
+	4	135	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	110
+	132	113
+	3	135	110	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	113
+	173	113
+	170	110
+	4	166	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	113
+	170	110
+	3	166	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	176	109
+	170	110
+	173	113
+	4	176	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	110
+	173	113
+	3	176	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	113
+	132	113
+	129	110
+	4	125	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	113
+	129	110
+	3	125	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	129	110
+	122	109
+	125	113
+	4	129	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	125	113
+	3	129	110	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	200	113
+	207	113
+	204	109
+	4	200	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	113
+	204	109
+	3	200	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	109
+	197	106
+	200	113
+	4	204	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	106
+	200	113
+	3	204	109	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	106
+	204	109
+	201	101
+	4	197	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	109
+	201	101
+	3	197	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	113
+	98	113
+	94	109
+	4	91	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	113
+	94	109
+	3	91	113	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	101	106
+	94	109
+	98	113
+	4	101	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	109
+	98	113
+	3	101	106	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	94	109
+	101	106
+	97	101
+	4	94	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	106
+	97	101
+	3	94	109	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	113
+	180	113
+	176	109
+	4	173	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	113
+	176	109
+	3	173	113	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	183	106
+	176	109
+	180	113
+	4	183	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	109
+	180	113
+	3	183	106	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	176	109
+	183	106
+	180	101
+	4	176	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	106
+	180	101
+	3	176	109	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	113
+	125	113
+	122	109
+	4	118	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	113
+	122	109
+	3	118	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	122	109
+	115	106
+	118	113
+	4	122	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	106
+	118	113
+	3	122	109	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	115	106
+	122	109
+	118	101
+	4	115	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	109
+	118	101
+	3	115	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	206	118
+	211	134
+	207	133
+	4	206	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	134
+	207	133
+	3	206	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	123
+	207	133
+	211	134
+	4	215	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	133
+	211	134
+	3	215	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	133
+	215	123
+	211	121
+	4	207	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	123
+	211	121
+	3	207	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	133
+	202	115
+	206	118
+	4	207	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	115
+	206	118
+	3	207	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	134
+	92	118
+	91	133
+	4	87	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	118
+	91	133
+	3	87	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	96	115
+	91	133
+	92	118
+	4	96	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	133
+	92	118
+	3	96	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	133
+	83	123
+	87	134
+	4	91	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	123
+	87	134
+	3	91	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	123
+	91	133
+	87	121
+	4	83	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	133
+	87	121
+	3	83	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	180	113
+	173	113
+	176	117
+	4	180	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	113
+	176	117
+	3	180	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	125	113
+	118	113
+	122	117
+	4	125	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	113
+	122	117
+	3	125	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	166	140
+	174	116
+	170	137
+	4	166	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	116
+	170	137
+	3	166	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	114
+	170	137
+	174	116
+	4	178	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	137
+	174	116
+	3	178	114	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	137
+	163	128
+	166	140
+	4	170	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	128
+	166	140
+	3	170	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	128
+	170	137
+	166	125
+	4	163	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	137
+	166	125
+	3	163	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	124	116
+	132	140
+	128	137
+	4	124	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	140
+	128	137
+	3	124	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	135	128
+	128	137
+	132	140
+	4	135	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	137
+	132	140
+	3	135	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	137
+	135	128
+	132	125
+	4	128	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	128
+	132	125
+	3	128	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	137
+	120	114
+	124	116
+	4	128	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	114
+	124	116
+	3	128	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	113
+	200	113
+	204	116
+	4	207	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	113
+	204	116
+	3	207	113	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	113
+	91	113
+	94	116
+	4	98	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	113
+	94	116
+	3	98	113	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	170	116
+	176	117
+	173	113
+	4	170	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	117
+	173	113
+	3	170	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	113
+	166	113
+	170	116
+	4	173	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	113
+	170	116
+	3	173	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	117
+	128	116
+	125	113
+	4	122	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	116
+	125	113
+	3	122	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	113
+	125	113
+	128	116
+	4	132	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	113
+	128	116
+	3	132	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	116
+	211	115
+	207	113
+	4	204	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	115
+	207	113
+	3	204	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	112
+	207	113
+	211	115
+	4	214	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	113
+	211	115
+	3	214	112	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	87	115
+	94	116
+	91	113
+	4	87	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	116
+	91	113
+	3	87	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	113
+	84	112
+	87	115
+	4	91	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	112
+	87	115
+	3	91	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	115
+	170	116
+	166	113
+	4	163	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	116
+	166	113
+	3	163	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	166	113
+	159	113
+	163	115
+	4	166	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	113
+	163	115
+	3	166	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	128	116
+	135	115
+	132	113
+	4	128	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	115
+	132	113
+	3	128	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	113
+	132	113
+	135	115
+	4	139	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	113
+	135	115
+	3	139	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	115
+	163	115
+	159	113
+	4	156	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	115
+	159	113
+	3	156	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	159	113
+	152	113
+	156	115
+	4	159	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	113
+	156	115
+	3	159	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	115
+	142	115
+	139	113
+	4	135	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	115
+	139	113
+	3	135	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	113
+	139	113
+	142	115
+	4	146	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	113
+	142	115
+	3	146	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	115
+	156	115
+	152	113
+	4	149	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	115
+	152	113
+	3	149	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	115
+	149	115
+	146	113
+	4	142	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	115
+	146	113
+	3	142	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	152	113
+	146	113
+	149	115
+	4	152	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	113
+	149	115
+	3	152	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	115
+	218	115
+	214	112
+	4	211	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	115
+	214	112
+	3	211	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	221	112
+	214	112
+	218	115
+	4	221	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	112
+	218	115
+	3	221	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	115
+	87	115
+	84	112
+	4	80	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	115
+	84	112
+	3	80	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	112
+	77	112
+	80	115
+	4	84	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	112
+	80	115
+	3	84	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	115
+	225	115
+	221	112
+	4	218	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	115
+	221	112
+	3	218	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	228	112
+	221	112
+	225	115
+	4	228	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	112
+	225	115
+	3	228	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	115
+	80	115
+	77	112
+	4	73	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	115
+	77	112
+	3	73	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	112
+	70	112
+	73	115
+	4	77	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	112
+	73	115
+	3	77	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	225	115
+	232	115
+	228	112
+	4	225	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	115
+	228	112
+	3	225	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	235	112
+	228	112
+	232	115
+	4	235	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	112
+	232	115
+	3	235	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	115
+	73	115
+	70	112
+	4	66	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	115
+	70	112
+	3	66	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	112
+	63	112
+	66	115
+	4	70	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	112
+	66	115
+	3	70	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	232	115
+	239	115
+	235	112
+	4	232	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	115
+	235	112
+	3	232	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	112
+	235	112
+	239	115
+	4	242	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	112
+	239	115
+	3	242	112	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	115
+	66	115
+	63	112
+	4	59	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	115
+	63	112
+	3	59	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	63	112
+	56	112
+	59	115
+	4	63	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	112
+	59	115
+	3	63	112	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	115
+	246	115
+	242	112
+	4	239	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	115
+	242	112
+	3	239	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	53	115
+	59	115
+	56	112
+	4	53	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	115
+	56	112
+	3	53	115	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	176	117
+	170	116
+	173	120
+	4	176	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	116
+	173	120
+	3	176	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	116
+	122	117
+	125	120
+	4	128	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	117
+	125	120
+	3	128	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	115
+	204	116
+	208	119
+	4	211	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	116
+	208	119
+	3	211	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	94	116
+	87	115
+	90	119
+	4	94	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	115
+	90	119
+	3	94	116	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	145
+	153	145
+	149	165
+	4	145	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	145
+	149	165
+	3	145	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	132
+	149	165
+	153	145
+	4	156	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	165
+	153	145
+	3	156	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	165
+	156	132
+	153	153
+	4	149	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	132
+	153	153
+	3	149	165	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	165
+	142	132
+	145	145
+	4	149	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	132
+	145	145
+	3	149	165	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	132
+	149	165
+	146	153
+	4	142	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	165
+	146	153
+	3	142	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	153
+	146	153
+	149	165
+	4	153	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	153
+	149	165
+	3	153	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	143
+	171	119
+	166	140
+	4	163	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	119
+	166	140
+	3	163	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	174	116
+	166	140
+	171	119
+	4	174	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	140
+	171	119
+	3	174	116	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	140
+	160	130
+	163	143
+	4	166	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	130
+	163	143
+	3	166	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	130
+	166	140
+	163	128
+	4	160	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	140
+	163	128
+	3	160	130	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	119
+	135	143
+	132	140
+	4	127	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	143
+	132	140
+	3	127	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	130
+	132	140
+	135	143
+	4	139	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	140
+	135	143
+	3	139	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	140
+	139	130
+	135	128
+	4	132	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	130
+	135	128
+	3	132	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	140
+	124	116
+	127	119
+	4	132	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	116
+	127	119
+	3	132	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	166	118
+	173	120
+	170	116
+	4	166	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	120
+	170	116
+	3	166	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	170	116
+	163	115
+	166	118
+	4	170	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	115
+	166	118
+	3	170	116	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	125	120
+	132	118
+	128	116
+	4	125	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	118
+	128	116
+	3	125	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	115
+	128	116
+	132	118
+	4	135	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	116
+	132	118
+	3	135	115	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	118
+	166	118
+	163	115
+	4	159	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	118
+	163	115
+	3	159	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	115
+	156	115
+	159	118
+	4	163	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	115
+	159	118
+	3	163	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	132	118
+	139	118
+	135	115
+	4	132	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	118
+	135	115
+	3	132	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	115
+	135	115
+	139	118
+	4	142	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	115
+	139	118
+	3	142	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	119
+	215	118
+	211	115
+	4	208	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	118
+	211	115
+	3	208	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	218	115
+	211	115
+	215	118
+	4	218	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	115
+	215	118
+	3	218	115	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	83	118
+	90	119
+	87	115
+	4	83	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	119
+	87	115
+	3	83	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	115
+	80	115
+	83	118
+	4	87	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	115
+	83	118
+	3	87	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	118
+	159	118
+	156	115
+	4	152	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	118
+	156	115
+	3	152	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	115
+	149	115
+	152	118
+	4	156	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	115
+	152	118
+	3	156	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	118
+	146	118
+	142	115
+	4	139	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	118
+	142	115
+	3	139	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	115
+	142	115
+	146	118
+	4	149	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	115
+	146	118
+	3	149	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	118
+	152	118
+	149	115
+	4	146	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	118
+	149	115
+	3	146	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	118
+	222	117
+	218	115
+	4	215	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	117
+	218	115
+	3	215	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	225	115
+	218	115
+	222	117
+	4	225	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	115
+	222	117
+	3	225	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	117
+	83	118
+	80	115
+	4	76	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	118
+	80	115
+	3	76	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	115
+	73	115
+	76	117
+	4	80	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	115
+	76	117
+	3	80	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	173	120
+	166	118
+	170	122
+	4	173	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	118
+	170	122
+	3	173	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	118
+	125	120
+	128	122
+	4	132	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	120
+	128	122
+	3	132	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	117
+	229	117
+	225	115
+	4	222	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	117
+	225	115
+	3	222	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	232	115
+	225	115
+	229	117
+	4	232	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	115
+	229	117
+	3	232	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	117
+	76	117
+	73	115
+	4	69	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	117
+	73	115
+	3	69	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	73	115
+	66	115
+	69	117
+	4	73	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	115
+	69	117
+	3	73	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	117
+	236	117
+	232	115
+	4	229	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	117
+	232	115
+	3	229	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	115
+	232	115
+	236	117
+	4	239	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	115
+	236	117
+	3	239	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	117
+	69	117
+	66	115
+	4	62	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	117
+	66	115
+	3	62	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	115
+	59	115
+	62	117
+	4	66	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	115
+	62	117
+	3	66	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	117
+	243	117
+	239	115
+	4	236	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	117
+	239	115
+	3	236	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	115
+	239	115
+	243	117
+	4	246	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	115
+	243	117
+	3	246	115	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	117
+	62	117
+	59	115
+	4	56	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	117
+	59	115
+	3	56	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	115
+	53	115
+	56	117
+	4	59	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	115
+	56	117
+	3	59	115	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	243	117
+	249	117
+	246	115
+	4	243	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	117
+	246	115
+	3	243	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	49	117
+	56	117
+	53	115
+	4	49	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	117
+	53	115
+	3	49	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	210	121
+	215	135
+	211	134
+	4	210	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	135
+	211	134
+	3	210	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	125
+	211	134
+	215	135
+	4	219	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	134
+	215	135
+	3	219	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	211	134
+	219	125
+	215	123
+	4	211	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	125
+	215	123
+	3	211	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	211	134
+	206	118
+	210	121
+	4	211	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	118
+	210	121
+	3	211	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	83	135
+	88	121
+	87	134
+	4	83	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	121
+	87	134
+	3	83	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	92	118
+	87	134
+	88	121
+	4	92	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	134
+	88	121
+	3	92	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	87	134
+	79	125
+	83	135
+	4	87	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	125
+	83	135
+	3	87	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	79	125
+	87	134
+	83	123
+	4	79	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	134
+	83	123
+	3	79	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	118
+	208	119
+	211	121
+	4	215	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	119
+	211	121
+	3	215	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	90	119
+	83	118
+	87	121
+	4	90	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	118
+	87	121
+	3	90	119	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	163	121
+	170	122
+	166	118
+	4	163	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	122
+	166	118
+	3	163	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	166	118
+	159	118
+	163	121
+	4	166	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	118
+	163	121
+	3	166	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	128	122
+	135	121
+	132	118
+	4	128	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	121
+	132	118
+	3	128	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	118
+	132	118
+	135	121
+	4	139	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	118
+	135	121
+	3	139	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	146
+	167	122
+	163	143
+	4	159	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	122
+	163	143
+	3	159	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	119
+	163	143
+	167	122
+	4	171	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	143
+	167	122
+	3	171	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	143
+	156	133
+	159	146
+	4	163	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	133
+	159	146
+	3	163	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	133
+	163	143
+	160	130
+	4	156	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	143
+	160	130
+	3	156	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	122
+	139	146
+	135	143
+	4	131	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	135	143
+	3	131	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	133
+	135	143
+	139	146
+	4	142	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	143
+	139	146
+	3	142	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	143
+	142	133
+	139	130
+	4	135	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	133
+	139	130
+	3	135	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	143
+	127	119
+	131	122
+	4	135	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	119
+	131	122
+	3	135	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	121
+	163	121
+	159	118
+	4	156	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	121
+	159	118
+	3	156	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	118
+	152	118
+	156	121
+	4	159	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	152	118
+	156	121
+	3	159	118	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	121
+	142	121
+	139	118
+	4	135	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	121
+	139	118
+	3	135	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	118
+	139	118
+	142	121
+	4	146	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	118
+	142	121
+	3	146	118	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	120
+	156	121
+	152	118
+	4	149	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	121
+	152	118
+	3	149	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	121
+	149	120
+	146	118
+	4	142	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	120
+	146	118
+	3	142	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	152	118
+	146	118
+	149	120
+	4	152	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	118
+	149	120
+	3	152	118	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	121
+	219	120
+	215	118
+	4	211	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	120
+	215	118
+	3	211	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	117
+	215	118
+	219	120
+	4	222	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	118
+	219	120
+	3	222	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	80	120
+	87	121
+	83	118
+	4	80	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	121
+	83	118
+	3	80	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	118
+	76	117
+	80	120
+	4	83	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	117
+	80	120
+	3	83	118	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	170	122
+	163	121
+	166	125
+	4	170	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	121
+	166	125
+	3	170	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	121
+	128	122
+	132	125
+	4	135	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	122
+	132	125
+	3	135	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	120
+	226	120
+	222	117
+	4	219	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	120
+	222	117
+	3	219	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	117
+	222	117
+	226	120
+	4	229	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	117
+	226	120
+	3	229	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	120
+	80	120
+	76	117
+	4	73	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	120
+	76	117
+	3	73	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	117
+	69	117
+	73	120
+	4	76	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	117
+	73	120
+	3	76	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	120
+	233	119
+	229	117
+	4	226	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	119
+	229	117
+	3	226	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	117
+	229	117
+	233	119
+	4	236	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	117
+	233	119
+	3	236	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	119
+	73	120
+	69	117
+	4	66	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	120
+	69	117
+	3	66	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	117
+	62	117
+	66	119
+	4	69	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	117
+	66	119
+	3	69	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	119
+	239	119
+	236	117
+	4	233	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	119
+	236	117
+	3	233	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	243	117
+	236	117
+	239	119
+	4	243	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	117
+	239	119
+	3	243	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	119
+	66	119
+	62	117
+	4	59	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	119
+	62	117
+	3	59	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	117
+	56	117
+	59	119
+	4	62	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	117
+	59	119
+	3	62	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	119
+	246	119
+	243	117
+	4	239	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	119
+	243	117
+	3	239	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	249	117
+	243	117
+	246	119
+	4	249	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	117
+	246	119
+	3	249	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	119
+	59	119
+	56	117
+	4	52	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	119
+	56	117
+	3	52	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	117
+	49	117
+	52	119
+	4	56	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	117
+	52	119
+	3	56	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	119
+	253	119
+	249	117
+	4	246	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	119
+	249	117
+	3	246	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	45	119
+	52	119
+	49	117
+	4	45	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	119
+	49	117
+	3	45	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	120
+	211	121
+	215	123
+	4	219	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	121
+	215	123
+	3	219	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	87	121
+	80	120
+	83	123
+	4	87	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	120
+	83	123
+	3	87	121	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	159	124
+	166	125
+	163	121
+	4	159	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	163	121
+	3	159	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	163	121
+	156	121
+	159	124
+	4	163	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	121
+	159	124
+	3	163	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	132	125
+	139	124
+	135	121
+	4	132	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	135	121
+	3	132	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	121
+	135	121
+	139	124
+	4	142	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	121
+	139	124
+	3	142	121	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	149
+	164	125
+	159	146
+	4	156	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	125
+	159	146
+	3	156	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	122
+	159	146
+	164	125
+	4	167	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	146
+	164	125
+	3	167	122	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	159	146
+	153	136
+	156	149
+	4	159	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	136
+	156	149
+	3	159	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	153	136
+	159	146
+	156	133
+	4	153	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	146
+	156	133
+	3	153	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	134	125
+	142	149
+	139	146
+	4	134	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	149
+	139	146
+	3	134	125	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	136
+	139	146
+	142	149
+	4	145	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	146
+	142	149
+	3	145	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	139	146
+	145	136
+	142	133
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	136
+	142	133
+	3	139	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	146
+	131	122
+	134	125
+	4	139	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	122
+	134	125
+	3	139	146	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	123
+	159	124
+	156	121
+	4	153	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	124
+	156	121
+	3	153	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	121
+	149	120
+	153	123
+	4	156	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	120
+	153	123
+	3	156	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	139	124
+	146	123
+	142	121
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	123
+	142	121
+	3	139	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	120
+	142	121
+	146	123
+	4	149	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	121
+	146	123
+	3	149	120	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	123
+	153	123
+	149	120
+	4	146	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	123
+	149	120
+	3	146	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	166	125
+	159	124
+	163	128
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	124
+	163	128
+	3	166	125	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	124
+	132	125
+	135	128
+	4	139	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	125
+	135	128
+	3	139	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	124
+	219	136
+	215	135
+	4	213	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	136
+	215	135
+	3	213	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	127
+	215	135
+	219	136
+	4	223	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	135
+	219	136
+	3	223	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	215	135
+	223	127
+	219	125
+	4	215	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	127
+	219	125
+	3	215	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	135
+	210	121
+	213	124
+	4	215	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	121
+	213	124
+	3	215	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	136
+	85	124
+	83	135
+	4	79	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	124
+	83	135
+	3	79	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	88	121
+	83	135
+	85	124
+	4	88	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	135
+	85	124
+	3	88	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	83	135
+	75	127
+	79	136
+	4	83	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	127
+	79	136
+	3	83	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	127
+	83	135
+	79	125
+	4	75	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	135
+	79	125
+	3	75	127	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	123
+	222	122
+	219	120
+	4	215	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	122
+	219	120
+	3	215	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	120
+	219	120
+	222	122
+	4	226	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	120
+	222	122
+	3	226	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	122
+	83	123
+	80	120
+	4	76	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	123
+	80	120
+	3	76	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	120
+	73	120
+	76	122
+	4	80	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	120
+	76	122
+	3	80	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	122
+	229	122
+	226	120
+	4	222	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	122
+	226	120
+	3	222	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	233	119
+	226	120
+	229	122
+	4	233	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	120
+	229	122
+	3	233	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	122
+	76	122
+	73	120
+	4	69	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	122
+	73	120
+	3	69	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	120
+	66	119
+	69	122
+	4	73	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	119
+	69	122
+	3	73	120	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	122
+	236	122
+	233	119
+	4	229	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	122
+	233	119
+	3	229	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	119
+	233	119
+	236	122
+	4	239	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	119
+	236	122
+	3	239	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	122
+	69	122
+	66	119
+	4	62	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	122
+	66	119
+	3	62	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	119
+	59	119
+	62	122
+	4	66	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	119
+	62	122
+	3	66	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	122
+	243	122
+	239	119
+	4	236	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	122
+	239	119
+	3	236	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	119
+	239	119
+	243	122
+	4	246	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	119
+	243	122
+	3	246	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	122
+	62	122
+	59	119
+	4	55	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	122
+	59	119
+	3	55	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	119
+	52	119
+	55	122
+	4	59	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	119
+	55	122
+	3	59	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	243	122
+	250	121
+	246	119
+	4	243	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	121
+	246	119
+	3	243	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	253	119
+	246	119
+	250	121
+	4	253	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	119
+	250	121
+	3	253	119	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	48	121
+	55	122
+	52	119
+	4	48	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	122
+	52	119
+	3	48	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	119
+	45	119
+	48	121
+	4	52	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	119
+	48	121
+	3	52	119	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	121
+	257	121
+	253	119
+	4	250	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	121
+	253	119
+	3	250	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	41	121
+	48	121
+	45	119
+	4	41	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	121
+	45	119
+	3	41	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	153	153
+	160	128
+	156	149
+	4	153	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	128
+	156	149
+	3	153	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	125
+	156	149
+	160	128
+	4	164	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	149
+	160	128
+	3	164	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	149
+	149	140
+	153	153
+	4	156	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	140
+	153	153
+	3	156	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	149	140
+	156	149
+	153	136
+	4	149	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	149
+	153	136
+	3	149	140	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	128
+	146	153
+	142	149
+	4	138	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	153
+	142	149
+	3	138	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	140
+	142	149
+	146	153
+	4	149	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	149
+	146	153
+	3	149	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	149
+	149	140
+	145	136
+	4	142	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	140
+	145	136
+	3	142	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	142	149
+	134	125
+	138	128
+	4	142	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	125
+	138	128
+	3	142	149	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	156	126
+	163	128
+	159	124
+	4	156	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	128
+	159	124
+	3	156	126	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	159	124
+	153	123
+	156	126
+	4	159	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	123
+	156	126
+	3	159	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	128
+	142	126
+	139	124
+	4	135	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	126
+	139	124
+	3	135	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	146	123
+	139	124
+	142	126
+	4	146	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	124
+	142	126
+	3	146	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	122
+	215	123
+	219	125
+	4	222	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	123
+	219	125
+	3	222	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	83	123
+	76	122
+	79	125
+	4	83	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	122
+	79	125
+	3	83	123	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	126
+	156	126
+	153	123
+	4	149	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	126
+	153	123
+	3	149	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	126
+	149	126
+	146	123
+	4	142	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	126
+	146	123
+	3	142	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	123
+	146	123
+	149	126
+	4	153	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	123
+	149	126
+	3	153	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	128
+	153	153
+	156	132
+	4	160	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	153
+	156	132
+	3	160	128	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	146	153
+	153	153
+	149	140
+	4	146	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	153
+	149	140
+	3	146	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	153
+	138	128
+	142	132
+	4	146	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	128
+	142	132
+	3	146	153	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	163	128
+	156	126
+	160	130
+	4	163	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	126
+	160	130
+	3	163	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	126
+	135	128
+	139	130
+	4	142	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	128
+	139	130
+	3	142	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	125
+	226	124
+	222	122
+	4	219	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	124
+	222	122
+	3	219	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	122
+	222	122
+	226	124
+	4	229	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	122
+	226	124
+	3	229	122	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	72	124
+	79	125
+	76	122
+	4	72	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	125
+	76	122
+	3	72	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	76	122
+	69	122
+	72	124
+	4	76	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	122
+	72	124
+	3	76	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	124
+	233	124
+	229	122
+	4	226	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	124
+	229	122
+	3	226	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	236	122
+	229	122
+	233	124
+	4	236	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	122
+	233	124
+	3	236	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	124
+	72	124
+	69	122
+	4	65	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	124
+	69	122
+	3	65	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	122
+	62	122
+	65	124
+	4	69	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	122
+	65	124
+	3	69	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	233	124
+	240	124
+	236	122
+	4	233	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	124
+	236	122
+	3	233	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	243	122
+	236	122
+	240	124
+	4	243	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	122
+	240	124
+	3	243	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	58	124
+	65	124
+	62	122
+	4	58	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	124
+	62	122
+	3	58	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	122
+	55	122
+	58	124
+	4	62	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	122
+	58	124
+	3	62	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	240	124
+	247	124
+	243	122
+	4	240	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	124
+	243	122
+	3	240	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	121
+	243	122
+	247	124
+	4	250	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	122
+	247	124
+	3	250	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	51	124
+	58	124
+	55	122
+	4	51	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	124
+	55	122
+	3	51	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	122
+	48	121
+	51	124
+	4	55	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	121
+	51	124
+	3	55	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	124
+	254	124
+	250	121
+	4	247	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	124
+	250	121
+	3	247	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	257	121
+	250	121
+	254	124
+	4	257	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	121
+	254	124
+	3	257	121	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	44	124
+	51	124
+	48	121
+	4	44	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	124
+	48	121
+	3	44	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	48	121
+	41	121
+	44	124
+	4	48	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	121
+	44	124
+	3	48	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	124
+	261	124
+	257	121
+	4	254	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	124
+	257	121
+	3	254	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	37	124
+	44	124
+	41	121
+	4	37	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	124
+	41	121
+	3	37	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	129
+	160	130
+	156	126
+	4	153	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	130
+	156	126
+	3	153	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	156	126
+	149	126
+	153	129
+	4	156	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	126
+	153	129
+	3	156	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	139	130
+	146	129
+	142	126
+	4	139	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	129
+	142	126
+	3	139	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	126
+	142	126
+	146	129
+	4	149	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	126
+	146	129
+	3	149	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	146	129
+	153	129
+	149	126
+	4	146	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	129
+	149	126
+	3	146	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	217	128
+	223	136
+	219	136
+	4	217	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	136
+	219	136
+	3	217	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	129
+	219	136
+	223	136
+	4	227	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	136
+	223	136
+	3	227	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	219	136
+	227	129
+	223	127
+	4	219	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	129
+	223	127
+	3	219	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	219	136
+	213	124
+	217	128
+	4	219	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	124
+	217	128
+	3	219	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	75	136
+	81	128
+	79	136
+	4	75	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	128
+	79	136
+	3	75	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	85	124
+	79	136
+	81	128
+	4	85	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	136
+	81	128
+	3	85	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	136
+	71	129
+	75	136
+	4	79	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	129
+	75	136
+	3	79	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	129
+	79	136
+	75	127
+	4	71	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	136
+	75	127
+	3	71	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	160	130
+	153	129
+	156	133
+	4	160	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	129
+	156	133
+	3	160	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	146	129
+	139	130
+	142	133
+	4	146	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	130
+	142	133
+	3	146	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	226	124
+	219	125
+	223	127
+	4	226	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	125
+	223	127
+	3	226	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	79	125
+	72	124
+	75	127
+	4	79	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	124
+	75	127
+	3	79	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	223	127
+	230	127
+	226	124
+	4	223	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	127
+	226	124
+	3	223	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	233	124
+	226	124
+	230	127
+	4	233	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	124
+	230	127
+	3	233	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	127
+	75	127
+	72	124
+	4	68	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	127
+	72	124
+	3	68	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	124
+	65	124
+	68	127
+	4	72	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	124
+	68	127
+	3	72	124	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	149	132
+	156	133
+	153	129
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	133
+	153	129
+	3	149	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	142	133
+	149	132
+	146	129
+	4	142	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	146	129
+	3	142	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	129
+	146	129
+	149	132
+	4	153	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	129
+	149	132
+	3	153	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	127
+	237	126
+	233	124
+	4	230	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	126
+	233	124
+	3	230	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	240	124
+	233	124
+	237	126
+	4	240	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	124
+	237	126
+	3	240	124	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	126
+	68	127
+	65	124
+	4	61	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	127
+	65	124
+	3	61	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	124
+	58	124
+	61	126
+	4	65	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	124
+	61	126
+	3	65	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	237	126
+	244	126
+	240	124
+	4	237	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	126
+	240	124
+	3	237	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	124
+	240	124
+	244	126
+	4	247	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	124
+	244	126
+	3	247	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	54	126
+	61	126
+	58	124
+	4	54	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	126
+	58	124
+	3	54	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	58	124
+	51	124
+	54	126
+	4	58	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	124
+	54	126
+	3	58	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	126
+	251	126
+	247	124
+	4	244	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	126
+	247	124
+	3	244	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	124
+	247	124
+	251	126
+	4	254	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	124
+	251	126
+	3	254	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	126
+	54	126
+	51	124
+	4	47	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	126
+	51	124
+	3	47	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	51	124
+	44	124
+	47	126
+	4	51	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	124
+	47	126
+	3	51	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	251	126
+	258	126
+	254	124
+	4	251	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	126
+	254	124
+	3	251	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	261	124
+	254	124
+	258	126
+	4	261	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	124
+	258	126
+	3	261	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	126
+	47	126
+	44	124
+	4	40	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	126
+	44	124
+	3	40	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	44	124
+	37	124
+	40	126
+	4	44	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	124
+	40	126
+	3	44	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	258	126
+	266	126
+	261	124
+	4	258	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	126
+	261	124
+	3	258	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	32	126
+	40	126
+	37	124
+	4	32	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	126
+	37	124
+	3	32	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	133
+	149	132
+	153	136
+	4	156	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	132
+	153	136
+	3	156	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	149	132
+	142	133
+	145	136
+	4	149	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	133
+	145	136
+	3	149	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	188	117
+	195	117
+	191	113
+	4	188	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	117
+	191	113
+	3	188	117	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	198	111
+	191	113
+	195	117
+	4	198	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	113
+	195	117
+	3	198	111	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	191	113
+	198	111
+	195	107
+	4	191	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	111
+	195	107
+	3	191	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	113
+	185	108
+	188	117
+	4	191	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	108
+	188	117
+	3	191	113	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	108
+	191	113
+	188	105
+	4	185	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	113
+	188	105
+	3	185	108	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	195	107
+	188	105
+	191	113
+	4	195	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	105
+	191	113
+	3	195	107	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	103	117
+	110	117
+	107	113
+	4	103	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	117
+	107	113
+	3	103	117	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	114	108
+	107	113
+	110	117
+	4	114	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	113
+	110	117
+	3	114	108	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	107	113
+	114	108
+	110	105
+	4	107	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	108
+	110	105
+	3	107	113	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	107	113
+	100	111
+	103	117
+	4	107	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	111
+	103	117
+	3	107	113	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	100	111
+	107	113
+	103	107
+	4	100	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	113
+	103	107
+	3	100	111	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	110	105
+	103	107
+	107	113
+	4	110	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	107
+	107	113
+	3	110	105	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	230	127
+	223	127
+	227	129
+	4	230	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	127
+	227	129
+	3	230	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	127
+	68	127
+	71	129
+	4	75	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	127
+	71	129
+	3	75	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	145	136
+	153	136
+	149	132
+	4	145	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	136
+	149	132
+	3	145	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	191	121
+	199	120
+	195	117
+	4	191	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	120
+	195	117
+	3	191	121	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	202	115
+	195	117
+	199	120
+	4	202	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	117
+	199	120
+	3	202	115	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	195	117
+	202	115
+	198	111
+	4	195	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	115
+	198	111
+	3	195	117	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	117
+	188	117
+	191	121
+	4	195	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	117
+	191	121
+	3	195	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	100	120
+	107	121
+	103	117
+	4	100	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	121
+	103	117
+	3	100	120	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	110	117
+	103	117
+	107	121
+	4	110	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	117
+	107	121
+	3	110	117	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	103	117
+	96	115
+	100	120
+	4	103	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	115
+	100	120
+	3	103	117	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	96	115
+	103	117
+	100	111
+	4	96	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	117
+	100	111
+	3	96	115	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	188	105
+	195	107
+	192	98
+	4	188	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	107
+	192	98
+	3	188	105	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	103	107
+	110	105
+	106	98
+	4	103	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	105
+	106	98
+	3	103	107	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	120
+	191	121
+	188	117
+	4	184	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	121
+	188	117
+	3	184	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	117
+	181	111
+	184	120
+	4	188	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	111
+	184	120
+	3	188	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	111
+	188	117
+	185	108
+	4	181	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	117
+	185	108
+	3	181	111	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	107	121
+	114	120
+	110	117
+	4	107	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	120
+	110	117
+	3	107	121	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	117	111
+	110	117
+	114	120
+	4	117	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	117
+	114	120
+	3	117	111	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	110	117
+	117	111
+	114	108
+	4	110	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	111
+	114	108
+	3	110	117	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	227	129
+	234	129
+	230	127
+	4	227	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	129
+	230	127
+	3	227	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	237	126
+	230	127
+	234	129
+	4	237	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	127
+	234	129
+	3	237	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	129
+	71	129
+	68	127
+	4	64	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	129
+	68	127
+	3	64	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	68	127
+	61	126
+	64	129
+	4	68	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	126
+	64	129
+	3	68	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	131
+	227	137
+	223	136
+	4	221	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	137
+	223	136
+	3	221	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	231	131
+	223	136
+	227	137
+	4	231	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	136
+	227	137
+	3	231	131	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	223	136
+	231	131
+	227	129
+	4	223	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	131
+	227	129
+	3	223	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	223	136
+	217	128
+	221	131
+	4	223	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	128
+	221	131
+	3	223	136	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	71	137
+	77	131
+	75	136
+	4	71	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	131
+	75	136
+	3	71	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	81	128
+	75	136
+	77	131
+	4	81	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	136
+	77	131
+	3	81	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	75	136
+	67	131
+	71	137
+	4	75	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	131
+	71	137
+	3	75	136	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	67	131
+	75	136
+	71	129
+	4	67	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	136
+	71	129
+	3	67	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	136
+	145	136
+	149	140
+	4	153	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	136
+	149	140
+	3	153	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	129
+	241	128
+	237	126
+	4	234	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	128
+	237	126
+	3	234	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	244	126
+	237	126
+	241	128
+	4	244	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	126
+	241	128
+	3	244	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	57	128
+	64	129
+	61	126
+	4	57	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	129
+	61	126
+	3	57	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	61	126
+	54	126
+	57	128
+	4	61	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	126
+	57	128
+	3	61	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	241	128
+	248	128
+	244	126
+	4	241	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	128
+	244	126
+	3	241	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	251	126
+	244	126
+	248	128
+	4	251	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	126
+	248	128
+	3	251	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	50	128
+	57	128
+	54	126
+	4	50	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	128
+	54	126
+	3	50	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	54	126
+	47	126
+	50	128
+	4	54	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	126
+	50	128
+	3	54	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	248	128
+	255	128
+	251	126
+	4	248	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	128
+	251	126
+	3	248	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	258	126
+	251	126
+	255	128
+	4	258	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	126
+	255	128
+	3	258	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	43	128
+	50	128
+	47	126
+	4	43	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	128
+	47	126
+	3	43	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	126
+	40	126
+	43	128
+	4	47	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	126
+	43	128
+	3	47	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	255	128
+	263	128
+	258	126
+	4	255	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	128
+	258	126
+	3	255	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	266	126
+	258	126
+	263	128
+	4	266	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	126
+	263	128
+	3	266	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	35	128
+	43	128
+	40	126
+	4	35	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	128
+	40	126
+	3	35	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	126
+	32	126
+	35	128
+	4	40	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	126
+	35	128
+	3	40	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	263	128
+	270	128
+	266	126
+	4	263	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	128
+	266	126
+	3	263	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	28	128
+	35	128
+	32	126
+	4	28	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	128
+	32	126
+	3	28	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	123
+	195	124
+	191	121
+	4	188	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	124
+	191	121
+	3	188	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	120
+	191	121
+	195	124
+	4	199	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	121
+	195	124
+	3	199	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	191	121
+	184	120
+	188	123
+	4	191	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	120
+	188	123
+	3	191	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	124
+	110	123
+	107	121
+	4	103	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	123
+	107	121
+	3	103	124	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	114	120
+	107	121
+	110	123
+	4	114	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	121
+	110	123
+	3	114	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	107	121
+	100	120
+	103	124
+	4	107	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	120
+	103	124
+	3	107	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	195	124
+	202	123
+	199	120
+	4	195	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	123
+	199	120
+	3	195	124	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	206	118
+	199	120
+	202	123
+	4	206	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	120
+	202	123
+	3	206	118	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	199	120
+	206	118
+	202	115
+	4	199	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	118
+	202	115
+	3	199	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	96	123
+	103	124
+	100	120
+	4	96	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	124
+	100	120
+	3	96	123	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	100	120
+	92	118
+	96	123
+	4	100	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	118
+	96	123
+	3	100	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	118
+	100	120
+	96	115
+	4	92	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	120
+	96	115
+	3	92	118	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	122
+	188	123
+	184	120
+	4	181	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	123
+	184	120
+	3	181	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	184	120
+	178	114
+	181	122
+	4	184	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	114
+	181	122
+	3	184	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	114
+	184	120
+	181	111
+	4	178	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	120
+	181	111
+	3	178	114	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	110	123
+	117	122
+	114	120
+	4	110	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	122
+	114	120
+	3	110	123	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	120	114
+	114	120
+	117	122
+	4	120	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	120
+	117	122
+	3	120	114	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	114	120
+	120	114
+	117	111
+	4	114	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	114
+	117	111
+	3	114	120	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	234	129
+	227	129
+	231	131
+	4	234	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	129
+	231	131
+	3	234	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	129
+	64	129
+	67	131
+	4	71	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	129
+	67	131
+	3	71	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	231	131
+	238	131
+	234	129
+	4	231	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	131
+	234	129
+	3	231	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	241	128
+	234	129
+	238	131
+	4	241	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	129
+	238	131
+	3	241	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	60	131
+	67	131
+	64	129
+	4	60	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	131
+	64	129
+	3	60	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	64	129
+	57	128
+	60	131
+	4	64	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	128
+	60	131
+	3	64	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	126
+	199	126
+	195	124
+	4	192	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	126
+	195	124
+	3	192	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	123
+	195	124
+	199	126
+	4	202	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	124
+	199	126
+	3	202	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	195	124
+	188	123
+	192	126
+	4	195	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	123
+	192	126
+	3	195	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	126
+	106	126
+	103	124
+	4	99	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	126
+	103	124
+	3	99	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	123
+	103	124
+	106	126
+	4	110	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	124
+	106	126
+	3	110	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	124
+	96	123
+	99	126
+	4	103	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	123
+	99	126
+	3	103	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	238	131
+	245	131
+	241	128
+	4	238	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	131
+	241	128
+	3	238	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	248	128
+	241	128
+	245	131
+	4	248	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	128
+	245	131
+	3	248	128	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	131
+	60	131
+	57	128
+	4	53	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	131
+	57	128
+	3	53	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	57	128
+	50	128
+	53	131
+	4	57	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	50	128
+	53	131
+	3	57	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	245	131
+	252	131
+	248	128
+	4	245	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	131
+	248	128
+	3	245	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	255	128
+	248	128
+	252	131
+	4	255	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	248	128
+	252	131
+	3	255	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	46	131
+	53	131
+	50	128
+	4	46	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	131
+	50	128
+	3	46	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	50	128
+	43	128
+	46	131
+	4	50	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	128
+	46	131
+	3	50	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	126
+	192	126
+	188	123
+	4	185	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	126
+	188	123
+	3	185	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	123
+	181	122
+	185	126
+	4	188	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	122
+	185	126
+	3	188	123	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	126
+	113	126
+	110	123
+	4	106	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	126
+	110	123
+	3	106	126	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	117	122
+	110	123
+	113	126
+	4	117	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	123
+	113	126
+	3	117	122	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	126
+	206	126
+	202	123
+	4	199	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	126
+	202	123
+	3	199	126	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	210	121
+	202	123
+	206	126
+	4	210	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	123
+	206	126
+	3	210	121	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	202	123
+	210	121
+	206	118
+	4	202	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	121
+	206	118
+	3	202	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	126
+	99	126
+	96	123
+	4	92	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	126
+	96	123
+	3	92	126	psDrawLines
+	renderGC	0.937500	setForeground
+	renderGC
+	96	123
+	88	121
+	92	126
+	4	96	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	121
+	92	126
+	3	96	123	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	88	121
+	96	123
+	92	118
+	4	88	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	123
+	92	118
+	3	88	121	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	252	131
+	260	131
+	255	128
+	4	252	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	131
+	255	128
+	3	252	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	263	128
+	255	128
+	260	131
+	4	263	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	128
+	260	131
+	3	263	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	38	131
+	46	131
+	43	128
+	4	38	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	131
+	43	128
+	3	38	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	43	128
+	35	128
+	38	131
+	4	43	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	128
+	38	131
+	3	43	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	131
+	267	131
+	263	128
+	4	260	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	131
+	263	128
+	3	260	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	270	128
+	263	128
+	267	131
+	4	270	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	128
+	267	131
+	3	270	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	31	131
+	38	131
+	35	128
+	4	31	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	131
+	35	128
+	3	31	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	35	128
+	28	128
+	31	131
+	4	35	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	128
+	31	131
+	3	35	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	267	131
+	274	131
+	270	128
+	4	267	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	274	131
+	270	128
+	3	267	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	24	131
+	31	131
+	28	128
+	4	24	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	131
+	28	128
+	3	24	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	125
+	185	126
+	181	122
+	4	178	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	126
+	181	122
+	3	178	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	122
+	174	116
+	178	125
+	4	181	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	116
+	178	125
+	3	181	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	116
+	181	122
+	178	114
+	4	174	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	122
+	178	114
+	3	174	116	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	113	126
+	120	125
+	117	122
+	4	113	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	125
+	117	122
+	3	113	126	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	124	116
+	117	122
+	120	125
+	4	124	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	122
+	120	125
+	3	124	116	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	117	122
+	124	116
+	120	114
+	4	117	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	116
+	120	114
+	3	117	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	134
+	231	138
+	227	137
+	4	225	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	138
+	227	137
+	3	225	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	235	134
+	227	137
+	231	138
+	4	235	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	137
+	231	138
+	3	235	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	227	137
+	235	134
+	231	131
+	4	227	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	134
+	231	131
+	3	227	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	227	137
+	221	131
+	225	134
+	4	227	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	131
+	225	134
+	3	227	137	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	67	138
+	73	134
+	71	137
+	4	67	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	134
+	71	137
+	3	67	138	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	77	131
+	71	137
+	73	134
+	4	77	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	137
+	73	134
+	3	77	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	71	137
+	63	134
+	67	138
+	4	71	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	134
+	67	138
+	3	71	137	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	63	134
+	71	137
+	67	131
+	4	63	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	137
+	67	131
+	3	63	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	238	131
+	231	131
+	235	134
+	4	238	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	131
+	235	134
+	3	238	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	131
+	60	131
+	63	134
+	4	67	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	131
+	63	134
+	3	67	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	129
+	203	129
+	199	126
+	4	196	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	129
+	199	126
+	3	196	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	126
+	199	126
+	203	129
+	4	206	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	126
+	203	129
+	3	206	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	126
+	192	126
+	196	129
+	4	199	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	126
+	196	129
+	3	199	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	129
+	103	129
+	99	126
+	4	95	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	129
+	99	126
+	3	95	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	126
+	99	126
+	103	129
+	4	106	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	126
+	103	129
+	3	106	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	126
+	92	126
+	95	129
+	4	99	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	126
+	95	129
+	3	99	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	129
+	196	129
+	192	126
+	4	188	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	129
+	192	126
+	3	188	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	126
+	185	126
+	188	129
+	4	192	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	126
+	188	129
+	3	192	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	103	129
+	110	129
+	106	126
+	4	103	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	129
+	106	126
+	3	103	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	126
+	106	126
+	110	129
+	4	113	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	126
+	110	129
+	3	113	126	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	206	126
+	213	124
+	210	121
+	4	206	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	124
+	210	121
+	3	206	126	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	85	124
+	92	126
+	88	121
+	4	85	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	126
+	88	121
+	3	85	124	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	129
+	210	129
+	206	126
+	4	203	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	129
+	206	126
+	3	203	129	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	213	124
+	206	126
+	210	129
+	4	213	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	126
+	210	129
+	3	213	124	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	129
+	95	129
+	92	126
+	4	88	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	129
+	92	126
+	3	88	129	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	92	126
+	85	124
+	88	129
+	4	92	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	124
+	88	129
+	3	92	126	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	181	129
+	188	129
+	185	126
+	4	181	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	129
+	185	126
+	3	181	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	126
+	178	125
+	181	129
+	4	185	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	125
+	181	129
+	3	185	126	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	129
+	117	129
+	113	126
+	4	110	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	129
+	113	126
+	3	110	129	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	125
+	113	126
+	117	129
+	4	120	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	126
+	117	129
+	3	120	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	235	134
+	242	133
+	238	131
+	4	235	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	133
+	238	131
+	3	235	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	245	131
+	238	131
+	242	133
+	4	245	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	131
+	242	133
+	3	245	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	56	133
+	63	134
+	60	131
+	4	56	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	134
+	60	131
+	3	56	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	131
+	53	131
+	56	133
+	4	60	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	131
+	56	133
+	3	60	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	242	133
+	249	133
+	245	131
+	4	242	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	133
+	245	131
+	3	242	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	252	131
+	245	131
+	249	133
+	4	252	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	131
+	249	133
+	3	252	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	49	133
+	56	133
+	53	131
+	4	49	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	133
+	53	131
+	3	49	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	53	131
+	46	131
+	49	133
+	4	53	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	131
+	49	133
+	3	53	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	249	133
+	257	133
+	252	131
+	4	249	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	133
+	252	131
+	3	249	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	131
+	252	131
+	257	133
+	4	260	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	131
+	257	133
+	3	260	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	41	133
+	49	133
+	46	131
+	4	41	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	133
+	46	131
+	3	41	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	46	131
+	38	131
+	41	133
+	4	46	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	131
+	41	133
+	3	46	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	257	133
+	264	133
+	260	131
+	4	257	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	133
+	260	131
+	3	257	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	267	131
+	260	131
+	264	133
+	4	267	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	131
+	264	133
+	3	267	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	34	133
+	41	133
+	38	131
+	4	34	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	133
+	38	131
+	3	34	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	38	131
+	31	131
+	34	133
+	4	38	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	131
+	34	133
+	3	38	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	264	133
+	271	133
+	267	131
+	4	264	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	133
+	267	131
+	3	264	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	274	131
+	267	131
+	271	133
+	4	274	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	131
+	271	133
+	3	274	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	27	133
+	34	133
+	31	131
+	4	27	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	133
+	31	131
+	3	27	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	31	131
+	24	131
+	27	133
+	4	31	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	131
+	27	133
+	3	31	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	271	133
+	278	133
+	274	131
+	4	271	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	133
+	274	131
+	3	271	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	20	133
+	27	133
+	24	131
+	4	20	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	133
+	24	131
+	3	20	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	174	127
+	181	129
+	178	125
+	4	174	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	129
+	178	125
+	3	174	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	125
+	171	119
+	174	127
+	4	178	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	119
+	174	127
+	3	178	125	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	119
+	178	125
+	174	116
+	4	171	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	125
+	174	116
+	3	171	119	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	117	129
+	124	127
+	120	125
+	4	117	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	120	125
+	3	117	129	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	127	119
+	120	125
+	124	127
+	4	127	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	125
+	124	127
+	3	127	119	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	120	125
+	127	119
+	124	116
+	4	120	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	119
+	124	116
+	3	120	125	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	210	129
+	217	128
+	213	124
+	4	210	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	128
+	213	124
+	3	210	129	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	81	128
+	88	129
+	85	124
+	4	81	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	129
+	85	124
+	3	81	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	132
+	199	132
+	196	129
+	4	192	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	132
+	196	129
+	3	192	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	129
+	196	129
+	199	132
+	4	203	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	129
+	199	132
+	3	203	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	129
+	188	129
+	192	132
+	4	196	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	129
+	192	132
+	3	196	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	99	132
+	106	132
+	103	129
+	4	99	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	132
+	103	129
+	3	99	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	129
+	103	129
+	106	132
+	4	110	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	129
+	106	132
+	3	110	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	103	129
+	95	129
+	99	132
+	4	103	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	129
+	99	132
+	3	103	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	199	132
+	206	132
+	203	129
+	4	199	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	132
+	203	129
+	3	199	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	129
+	203	129
+	206	132
+	4	210	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	129
+	206	132
+	3	210	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	132
+	99	132
+	95	129
+	4	92	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	132
+	95	129
+	3	92	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	129
+	88	129
+	92	132
+	4	95	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	129
+	92	132
+	3	95	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	132
+	192	132
+	188	129
+	4	185	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	132
+	188	129
+	3	185	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	188	129
+	181	129
+	185	132
+	4	188	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	129
+	185	132
+	3	188	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	132
+	113	132
+	110	129
+	4	106	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	132
+	110	129
+	3	106	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	129
+	110	129
+	113	132
+	4	117	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	129
+	113	132
+	3	117	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	132
+	214	132
+	210	129
+	4	206	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	132
+	210	129
+	3	206	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	217	128
+	210	129
+	214	132
+	4	217	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	129
+	214	132
+	3	217	128	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	132
+	92	132
+	88	129
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	132
+	88	129
+	3	84	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	88	129
+	81	128
+	84	132
+	4	88	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	128
+	84	132
+	3	88	129	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	131
+	185	132
+	181	129
+	4	178	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	132
+	181	129
+	3	178	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	129
+	174	127
+	178	131
+	4	181	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	127
+	178	131
+	3	181	129	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	132
+	120	131
+	117	129
+	4	113	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	131
+	117	129
+	3	113	132	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	124	127
+	117	129
+	120	131
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	129
+	120	131
+	3	124	127	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	231	138
+	239	136
+	235	134
+	4	231	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	136
+	235	134
+	3	231	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	242	133
+	235	134
+	239	136
+	4	242	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	134
+	239	136
+	3	242	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	59	136
+	67	138
+	63	134
+	4	59	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	138
+	63	134
+	3	59	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	63	134
+	56	133
+	59	136
+	4	63	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	133
+	59	136
+	3	63	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	239	136
+	246	135
+	242	133
+	4	239	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	135
+	242	133
+	3	239	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	249	133
+	242	133
+	246	135
+	4	249	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	133
+	246	135
+	3	249	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	135
+	59	136
+	56	133
+	4	52	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	136
+	56	133
+	3	52	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	133
+	49	133
+	52	135
+	4	56	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	133
+	52	135
+	3	56	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	135
+	254	135
+	249	133
+	4	246	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	135
+	249	133
+	3	246	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	257	133
+	249	133
+	254	135
+	4	257	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	133
+	254	135
+	3	257	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	45	135
+	52	135
+	49	133
+	4	45	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	135
+	49	133
+	3	45	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	49	133
+	41	133
+	45	135
+	4	49	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	133
+	45	135
+	3	49	133	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	137
+	236	139
+	231	138
+	4	229	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	139
+	231	138
+	3	229	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	239	136
+	231	138
+	236	139
+	4	239	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	138
+	236	139
+	3	239	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	231	138
+	225	134
+	229	137
+	4	231	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	134
+	229	137
+	3	231	138	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	62	139
+	69	137
+	67	138
+	4	62	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	137
+	67	138
+	3	62	139	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	73	134
+	67	138
+	69	137
+	4	73	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	138
+	69	137
+	3	73	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	67	138
+	59	136
+	62	139
+	4	67	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	136
+	62	139
+	3	67	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	135
+	261	135
+	257	133
+	4	254	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	135
+	257	133
+	3	254	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	264	133
+	257	133
+	261	135
+	4	264	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	133
+	261	135
+	3	264	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	37	135
+	45	135
+	41	133
+	4	37	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	135
+	41	133
+	3	37	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	41	133
+	34	133
+	37	135
+	4	41	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	133
+	37	135
+	3	41	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	261	135
+	268	135
+	264	133
+	4	261	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	135
+	264	133
+	3	261	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	271	133
+	264	133
+	268	135
+	4	271	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	133
+	268	135
+	3	271	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	30	135
+	37	135
+	34	133
+	4	30	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	135
+	34	133
+	3	30	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	34	133
+	27	133
+	30	135
+	4	34	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	27	133
+	30	135
+	3	34	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	268	135
+	275	135
+	271	133
+	4	268	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	135
+	271	133
+	3	268	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	278	133
+	271	133
+	275	135
+	4	278	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	271	133
+	275	135
+	3	278	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	23	135
+	30	135
+	27	133
+	4	23	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	135
+	27	133
+	3	23	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	27	133
+	20	133
+	23	135
+	4	27	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	133
+	23	135
+	3	27	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	275	135
+	282	135
+	278	133
+	4	275	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	135
+	278	133
+	3	275	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	16	135
+	23	135
+	20	133
+	4	16	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	135
+	20	133
+	3	16	135	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	153	132
+	160	157
+	156	153
+	4	153	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	157
+	156	153
+	3	153	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	144
+	156	153
+	160	157
+	4	164	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	153
+	160	157
+	3	164	144	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	156	153
+	164	144
+	160	140
+	4	156	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	144
+	160	140
+	3	156	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	156	153
+	149	123
+	153	132
+	4	156	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	123
+	153	132
+	3	156	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	123
+	156	153
+	153	145
+	4	149	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	153
+	153	145
+	3	149	123	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	160	140
+	153	145
+	156	153
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	145
+	156	153
+	3	160	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	138	157
+	145	132
+	142	153
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	142	153
+	3	138	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	123
+	142	153
+	145	132
+	4	149	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	153
+	145	132
+	3	149	123	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	142	153
+	149	123
+	145	145
+	4	142	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	123
+	145	145
+	3	142	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	142	153
+	134	144
+	138	157
+	4	142	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	144
+	138	157
+	3	142	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	144
+	142	153
+	138	140
+	4	134	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	153
+	138	140
+	3	134	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	145
+	138	140
+	142	153
+	4	145	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	140
+	142	153
+	3	145	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	214	132
+	221	131
+	217	128
+	4	214	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	131
+	217	128
+	3	214	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	77	131
+	84	132
+	81	128
+	4	77	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	81	128
+	3	77	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	171	130
+	178	131
+	174	127
+	4	171	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	131
+	174	127
+	3	171	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	127
+	167	122
+	171	130
+	4	174	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	122
+	171	130
+	3	174	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	122
+	174	127
+	171	119
+	4	167	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	127
+	171	119
+	3	167	122	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	120	131
+	127	130
+	124	127
+	4	120	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	130
+	124	127
+	3	120	131	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	131	122
+	124	127
+	127	130
+	4	131	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	127
+	127	130
+	3	131	122	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	124	127
+	131	122
+	127	119
+	4	124	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	122
+	127	119
+	3	124	127	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	135
+	203	135
+	199	132
+	4	196	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	135
+	199	132
+	3	196	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	206	132
+	199	132
+	203	135
+	4	206	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	132
+	203	135
+	3	206	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	199	132
+	192	132
+	196	135
+	4	199	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	132
+	196	135
+	3	199	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	95	135
+	102	135
+	99	132
+	4	95	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	135
+	99	132
+	3	95	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	132
+	99	132
+	102	135
+	4	106	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	132
+	102	135
+	3	106	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	99	132
+	92	132
+	95	135
+	4	99	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	132
+	95	135
+	3	99	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	203	135
+	210	135
+	206	132
+	4	203	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	135
+	206	132
+	3	203	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	132
+	206	132
+	210	135
+	4	214	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	132
+	210	135
+	3	214	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	135
+	95	135
+	92	132
+	4	88	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	135
+	92	132
+	3	88	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	92	132
+	84	132
+	88	135
+	4	92	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	132
+	88	135
+	3	92	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	134
+	196	135
+	192	132
+	4	189	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	135
+	192	132
+	3	189	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	192	132
+	185	132
+	189	134
+	4	192	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	132
+	189	134
+	3	192	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	135
+	109	134
+	106	132
+	4	102	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	134
+	106	132
+	3	102	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	132
+	106	132
+	109	134
+	4	113	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	132
+	109	134
+	3	113	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	134
+	189	134
+	185	132
+	4	182	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	134
+	185	132
+	3	182	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	132
+	178	131
+	182	134
+	4	185	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	131
+	182	134
+	3	185	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	134
+	117	134
+	113	132
+	4	109	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	134
+	113	132
+	3	109	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	131
+	113	132
+	117	134
+	4	120	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	132
+	117	134
+	3	120	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	135
+	218	134
+	214	132
+	4	210	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	134
+	214	132
+	3	210	135	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	221	131
+	214	132
+	218	134
+	4	221	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	132
+	218	134
+	3	221	131	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	80	134
+	88	135
+	84	132
+	4	80	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	135
+	84	132
+	3	80	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	84	132
+	77	131
+	80	134
+	4	84	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	131
+	80	134
+	3	84	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	157	136
+	163	160
+	160	157
+	4	157	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	160
+	160	157
+	3	157	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	147
+	160	157
+	163	160
+	4	167	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	157
+	163	160
+	3	167	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	157
+	167	147
+	164	144
+	4	160	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	147
+	164	144
+	3	160	157	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	157
+	153	132
+	157	136
+	4	160	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	132
+	157	136
+	3	160	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	135	160
+	141	136
+	138	157
+	4	135	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	136
+	138	157
+	3	135	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	132
+	138	157
+	141	136
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	141	136
+	3	145	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	138	157
+	131	147
+	135	160
+	4	138	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	147
+	135	160
+	3	138	157	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	131	147
+	138	157
+	134	144
+	4	131	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	157
+	134	144
+	3	131	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	174	134
+	182	134
+	178	131
+	4	174	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	134
+	178	131
+	3	174	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	131
+	171	130
+	174	134
+	4	178	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	130
+	174	134
+	3	178	131	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	134
+	124	134
+	120	131
+	4	117	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	134
+	120	131
+	3	117	134	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	127	130
+	120	131
+	124	134
+	4	127	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	131
+	124	134
+	3	127	130	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	218	134
+	225	134
+	221	131
+	4	218	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	134
+	221	131
+	3	218	134	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	134
+	80	134
+	77	131
+	4	73	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	134
+	77	131
+	3	73	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	236	139
+	243	138
+	239	136
+	4	236	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	138
+	239	136
+	3	236	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	246	135
+	239	136
+	243	138
+	4	246	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	136
+	243	138
+	3	246	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	55	138
+	62	139
+	59	136
+	4	55	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	139
+	59	136
+	3	55	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	136
+	52	135
+	55	138
+	4	59	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	135
+	55	138
+	3	59	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	243	138
+	250	138
+	246	135
+	4	243	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	138
+	246	135
+	3	243	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	254	135
+	246	135
+	250	138
+	4	254	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	135
+	250	138
+	3	254	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	48	138
+	55	138
+	52	135
+	4	48	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	138
+	52	135
+	3	48	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	135
+	45	135
+	48	138
+	4	52	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	135
+	48	138
+	3	52	135	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	167	133
+	174	134
+	171	130
+	4	167	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	134
+	171	130
+	3	167	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	130
+	164	125
+	167	133
+	4	171	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	125
+	167	133
+	3	171	130	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	125
+	171	130
+	167	122
+	4	164	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	130
+	167	122
+	3	164	125	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	124	134
+	131	133
+	127	130
+	4	124	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	133
+	127	130
+	3	124	134	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	134	125
+	127	130
+	131	133
+	4	134	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	130
+	131	133
+	3	134	125	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	127	130
+	134	125
+	131	122
+	4	127	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	125
+	131	122
+	3	127	130	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	138
+	258	137
+	254	135
+	4	250	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	137
+	254	135
+	3	250	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	261	135
+	254	135
+	258	137
+	4	261	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	135
+	258	137
+	3	261	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	137
+	48	138
+	45	135
+	4	40	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	138
+	45	135
+	3	40	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	45	135
+	37	135
+	40	137
+	4	45	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	135
+	40	137
+	3	45	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	258	137
+	265	137
+	261	135
+	4	258	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	137
+	261	135
+	3	258	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	268	135
+	261	135
+	265	137
+	4	268	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	135
+	265	137
+	3	268	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	137
+	40	137
+	37	135
+	4	33	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	137
+	37	135
+	3	33	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	37	135
+	30	135
+	33	137
+	4	37	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	135
+	33	137
+	3	37	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	265	137
+	272	137
+	268	135
+	4	265	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	137
+	268	135
+	3	265	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	275	135
+	268	135
+	272	137
+	4	275	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	135
+	272	137
+	3	275	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	26	137
+	33	137
+	30	135
+	4	26	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	137
+	30	135
+	3	26	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	30	135
+	23	135
+	26	137
+	4	30	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	135
+	26	137
+	3	30	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	272	137
+	279	137
+	275	135
+	4	272	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	137
+	275	135
+	3	272	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	282	135
+	275	135
+	279	137
+	4	282	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	135
+	279	137
+	3	282	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	19	137
+	26	137
+	23	135
+	4	19	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	137
+	23	135
+	3	19	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	23	135
+	16	135
+	19	137
+	4	23	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	135
+	19	137
+	3	23	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	279	137
+	287	137
+	282	135
+	4	279	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	137
+	282	135
+	3	279	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	11	137
+	19	137
+	16	135
+	4	11	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	137
+	16	135
+	3	11	137	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	153	145
+	160	140
+	156	132
+	4	153	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	156	132
+	3	153	145	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	153	145
+	145	145
+	149	123
+	4	153	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	145
+	149	123
+	3	153	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	138	140
+	145	145
+	142	132
+	4	138	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	145
+	142	132
+	3	138	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	137
+	207	137
+	203	135
+	4	200	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	137
+	203	135
+	3	200	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	210	135
+	203	135
+	207	137
+	4	210	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	135
+	207	137
+	3	210	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	203	135
+	196	135
+	200	137
+	4	203	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	135
+	200	137
+	3	203	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	137
+	98	137
+	95	135
+	4	91	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	137
+	95	135
+	3	91	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	102	135
+	95	135
+	98	137
+	4	102	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	135
+	98	137
+	3	102	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	95	135
+	88	135
+	91	137
+	4	95	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	135
+	91	137
+	3	95	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	137
+	200	137
+	196	135
+	4	193	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	137
+	196	135
+	3	193	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	196	135
+	189	134
+	193	137
+	4	196	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	134
+	193	137
+	3	196	135	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	98	137
+	106	137
+	102	135
+	4	98	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	137
+	102	135
+	3	98	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	109	134
+	102	135
+	106	137
+	4	109	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	135
+	106	137
+	3	109	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	207	137
+	214	137
+	210	135
+	4	207	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	137
+	210	135
+	3	207	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	218	134
+	210	135
+	214	137
+	4	218	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	210	135
+	214	137
+	3	218	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	137
+	91	137
+	88	135
+	4	84	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	137
+	88	135
+	3	84	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	135
+	80	134
+	84	137
+	4	88	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	134
+	84	137
+	3	88	135	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	137
+	193	137
+	189	134
+	4	185	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	137
+	189	134
+	3	185	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	134
+	182	134
+	185	137
+	4	189	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	134
+	185	137
+	3	189	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	137
+	113	137
+	109	134
+	4	106	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	137
+	109	134
+	3	106	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	117	134
+	109	134
+	113	137
+	4	117	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	134
+	113	137
+	3	117	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	137
+	222	137
+	218	134
+	4	214	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	137
+	218	134
+	3	214	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	225	134
+	218	134
+	222	137
+	4	225	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	134
+	222	137
+	3	225	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	137
+	84	137
+	80	134
+	4	77	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	137
+	80	134
+	3	77	137	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	134
+	73	134
+	77	137
+	4	80	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	134
+	77	137
+	3	80	134	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	160	139
+	167	163
+	163	160
+	4	160	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	163
+	163	160
+	3	160	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	150
+	163	160
+	167	163
+	4	171	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	160
+	167	163
+	3	171	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	160
+	171	150
+	167	147
+	4	163	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	150
+	167	147
+	3	163	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	163	160
+	157	136
+	160	139
+	4	163	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	136
+	160	139
+	3	163	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	131	163
+	138	139
+	135	160
+	4	131	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	139
+	135	160
+	3	131	163	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	136
+	135	160
+	138	139
+	4	141	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	160
+	138	139
+	3	141	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	160
+	127	150
+	131	163
+	4	135	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	150
+	131	163
+	3	135	160	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	127	150
+	135	160
+	131	147
+	4	127	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	160
+	131	147
+	3	127	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	137
+	185	137
+	182	134
+	4	178	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	137
+	182	134
+	3	178	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	134
+	174	134
+	178	137
+	4	182	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	134
+	178	137
+	3	182	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	137
+	120	137
+	117	134
+	4	113	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	137
+	117	134
+	3	113	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	124	134
+	117	134
+	120	137
+	4	124	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	134
+	120	137
+	3	124	134	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	137
+	178	137
+	174	134
+	4	171	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	137
+	174	134
+	3	171	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	174	134
+	167	133
+	171	137
+	4	174	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	133
+	171	137
+	3	174	134	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	137
+	127	137
+	124	134
+	4	120	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	137
+	124	134
+	3	120	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	131	133
+	124	134
+	127	137
+	4	131	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	134
+	127	137
+	3	131	133	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	137
+	229	137
+	225	134
+	4	222	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	137
+	225	134
+	3	222	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	137
+	77	137
+	73	134
+	4	69	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	137
+	73	134
+	3	69	137	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	233	140
+	240	139
+	236	139
+	4	233	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	139
+	236	139
+	3	233	140	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	243	138
+	236	139
+	240	139
+	4	243	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	139
+	240	139
+	3	243	138	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	236	139
+	229	137
+	233	140
+	4	236	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	137
+	233	140
+	3	236	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	58	139
+	65	140
+	62	139
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	140
+	62	139
+	3	58	139	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	69	137
+	62	139
+	65	140
+	4	69	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	139
+	65	140
+	3	69	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	139
+	55	138
+	58	139
+	4	62	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	138
+	58	139
+	3	62	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	164	136
+	171	137
+	167	133
+	4	164	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	137
+	167	133
+	3	164	136	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	133
+	160	128
+	164	136
+	4	167	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	128
+	164	136
+	3	167	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	160	128
+	167	133
+	164	125
+	4	160	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	133
+	164	125
+	3	160	128	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	137
+	135	136
+	131	133
+	4	127	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	136
+	131	133
+	3	127	137	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	138	128
+	131	133
+	135	136
+	4	138	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	133
+	135	136
+	3	138	128	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	131	133
+	138	128
+	134	125
+	4	131	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	128
+	134	125
+	3	131	133	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	240	139
+	247	140
+	243	138
+	4	240	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	140
+	243	138
+	3	240	139	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	250	138
+	243	138
+	247	140
+	4	250	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	138
+	247	140
+	3	250	138	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	51	140
+	58	139
+	55	138
+	4	51	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	55	138
+	3	51	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	138
+	48	138
+	51	140
+	4	55	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	138
+	51	140
+	3	55	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	247	140
+	255	140
+	250	138
+	4	247	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	140
+	250	138
+	3	247	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	258	137
+	250	138
+	255	140
+	4	258	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	138
+	255	140
+	3	258	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	43	140
+	51	140
+	48	138
+	4	43	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	140
+	48	138
+	3	43	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	48	138
+	40	137
+	43	140
+	4	48	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	137
+	43	140
+	3	48	138	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	255	140
+	262	140
+	258	137
+	4	255	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	140
+	258	137
+	3	255	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	265	137
+	258	137
+	262	140
+	4	265	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	137
+	262	140
+	3	265	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	36	140
+	43	140
+	40	137
+	4	36	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	140
+	40	137
+	3	36	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	40	137
+	33	137
+	36	140
+	4	40	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	137
+	36	140
+	3	40	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	262	140
+	269	140
+	265	137
+	4	262	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	140
+	265	137
+	3	262	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	272	137
+	265	137
+	269	140
+	4	272	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	137
+	269	140
+	3	272	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	29	140
+	36	140
+	33	137
+	4	29	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	140
+	33	137
+	3	29	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	137
+	26	137
+	29	140
+	4	33	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	137
+	29	140
+	3	33	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	269	140
+	276	140
+	272	137
+	4	269	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	140
+	272	137
+	3	269	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	279	137
+	272	137
+	276	140
+	4	279	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	137
+	276	140
+	3	279	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	22	140
+	29	140
+	26	137
+	4	22	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	140
+	26	137
+	3	22	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	26	137
+	19	137
+	22	140
+	4	26	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	137
+	22	140
+	3	26	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	276	140
+	284	140
+	279	137
+	4	276	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	140
+	279	137
+	3	276	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	287	137
+	279	137
+	284	140
+	4	287	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	137
+	284	140
+	3	287	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	14	140
+	22	140
+	19	137
+	4	14	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	140
+	19	137
+	3	14	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	19	137
+	11	137
+	14	140
+	4	19	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	137
+	14	140
+	3	19	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	284	140
+	291	140
+	287	137
+	4	284	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	291	140
+	287	137
+	3	284	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	7	140
+	14	140
+	11	137
+	4	7	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	140
+	11	137
+	3	7	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	140
+	211	140
+	207	137
+	4	204	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	140
+	207	137
+	3	204	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	214	137
+	207	137
+	211	140
+	4	214	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	137
+	211	140
+	3	214	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	207	137
+	200	137
+	204	140
+	4	207	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	137
+	204	140
+	3	207	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	87	140
+	94	140
+	91	137
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	140
+	91	137
+	3	87	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	137
+	91	137
+	94	140
+	4	98	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	137
+	94	140
+	3	98	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	137
+	84	137
+	87	140
+	4	91	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	137
+	87	140
+	3	91	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	140
+	204	140
+	200	137
+	4	196	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	140
+	200	137
+	3	196	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	200	137
+	193	137
+	196	140
+	4	200	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	137
+	196	140
+	3	200	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	140
+	102	140
+	98	137
+	4	94	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	140
+	98	137
+	3	94	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	137
+	98	137
+	102	140
+	4	106	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	137
+	102	140
+	3	106	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	140
+	218	140
+	214	137
+	4	211	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	140
+	214	137
+	3	211	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	222	137
+	214	137
+	218	140
+	4	222	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	137
+	218	140
+	3	222	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	80	140
+	87	140
+	84	137
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	84	137
+	3	80	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	137
+	77	137
+	80	140
+	4	84	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	137
+	80	140
+	3	84	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	140
+	196	140
+	193	137
+	4	189	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	140
+	193	137
+	3	189	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	137
+	185	137
+	189	140
+	4	193	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	137
+	189	140
+	3	193	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	140
+	109	140
+	106	137
+	4	102	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	140
+	106	137
+	3	102	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	113	137
+	106	137
+	109	140
+	4	113	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	137
+	109	140
+	3	113	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	140
+	189	140
+	185	137
+	4	182	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	140
+	185	137
+	3	182	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	185	137
+	178	137
+	182	140
+	4	185	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	137
+	182	140
+	3	185	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	140
+	116	140
+	113	137
+	4	109	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	140
+	113	137
+	3	109	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	120	137
+	113	137
+	116	140
+	4	120	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	137
+	116	140
+	3	120	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	218	140
+	225	140
+	222	137
+	4	218	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	140
+	222	137
+	3	218	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	229	137
+	222	137
+	225	140
+	4	229	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	137
+	225	140
+	3	229	137	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	140
+	80	140
+	77	137
+	4	73	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	77	137
+	3	73	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	77	137
+	69	137
+	73	140
+	4	77	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	137
+	73	140
+	3	77	137	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	164	142
+	171	166
+	167	163
+	4	164	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	166
+	167	163
+	3	164	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	175	153
+	167	163
+	171	166
+	4	175	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	163
+	171	166
+	3	175	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	163
+	175	153
+	171	150
+	4	167	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	153
+	171	150
+	3	167	163	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	163
+	160	139
+	164	142
+	4	167	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	139
+	164	142
+	3	167	163	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	166
+	134	142
+	131	163
+	4	127	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	142
+	131	163
+	3	127	166	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	138	139
+	131	163
+	134	142
+	4	138	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	163
+	134	142
+	3	138	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	131	163
+	123	153
+	127	166
+	4	131	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	153
+	127	166
+	3	131	163	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	123	153
+	131	163
+	127	150
+	4	123	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	163
+	127	150
+	3	123	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	140
+	182	140
+	178	137
+	4	175	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	140
+	178	137
+	3	175	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	137
+	171	137
+	175	140
+	4	178	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	137
+	175	140
+	3	178	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	140
+	124	140
+	120	137
+	4	116	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	140
+	120	137
+	3	116	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	127	137
+	120	137
+	124	140
+	4	127	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	137
+	124	140
+	3	127	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	140
+	233	140
+	229	137
+	4	225	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	140
+	229	137
+	3	225	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	65	140
+	73	140
+	69	137
+	4	65	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	140
+	69	137
+	3	65	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	140
+	175	140
+	171	137
+	4	167	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	140
+	171	137
+	3	167	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	171	137
+	164	136
+	167	140
+	4	171	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	136
+	167	140
+	3	171	137	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	140
+	131	140
+	127	137
+	4	124	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	140
+	127	137
+	3	124	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	135	136
+	127	137
+	131	140
+	4	135	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	137
+	131	140
+	3	135	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	160	140
+	167	140
+	164	136
+	4	160	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	140
+	164	136
+	3	160	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	136
+	156	132
+	160	140
+	4	164	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	132
+	160	140
+	3	164	136	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	156	132
+	164	136
+	160	128
+	4	156	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	136
+	160	128
+	3	156	132	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	140
+	138	140
+	135	136
+	4	131	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	140
+	135	136
+	3	131	140	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	142	132
+	135	136
+	138	140
+	4	142	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	136
+	138	140
+	3	142	132	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	135	136
+	142	132
+	138	128
+	4	135	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	132
+	138	128
+	3	135	136	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	167	140
+	160	140
+	164	144
+	4	167	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	140
+	164	144
+	3	167	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	140
+	131	140
+	134	144
+	4	138	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	140
+	134	144
+	3	138	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	164	144
+	171	143
+	167	140
+	4	164	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	143
+	167	140
+	3	164	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	140
+	167	140
+	171	143
+	4	175	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	140
+	171	143
+	3	175	140	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	143
+	134	144
+	131	140
+	4	127	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	144
+	131	140
+	3	127	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	131	140
+	124	140
+	127	143
+	4	131	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	140
+	127	143
+	3	131	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	143
+	237	143
+	233	140
+	4	229	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	143
+	233	140
+	3	229	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	240	139
+	233	140
+	237	143
+	4	240	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	233	140
+	237	143
+	3	240	139	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	233	140
+	225	140
+	229	143
+	4	233	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	140
+	229	143
+	3	233	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	61	143
+	69	143
+	65	140
+	4	61	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	143
+	65	140
+	3	61	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	73	140
+	65	140
+	69	143
+	4	73	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	140
+	69	143
+	3	73	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	65	140
+	58	139
+	61	143
+	4	65	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	139
+	61	143
+	3	65	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	143
+	178	143
+	175	140
+	4	171	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	143
+	175	140
+	3	171	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	140
+	175	140
+	178	143
+	4	182	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	140
+	178	143
+	3	182	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	120	143
+	127	143
+	124	140
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	143
+	124	140
+	3	120	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	140
+	116	140
+	120	143
+	4	124	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	140
+	120	143
+	3	124	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	178	143
+	186	143
+	182	140
+	4	178	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	143
+	182	140
+	3	178	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	140
+	182	140
+	186	143
+	4	189	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	140
+	186	143
+	3	189	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	143
+	120	143
+	116	140
+	4	112	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	116	140
+	3	112	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	116	140
+	109	140
+	112	143
+	4	116	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	140
+	112	143
+	3	116	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	143
+	229	143
+	225	140
+	4	222	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	143
+	225	140
+	3	222	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	225	140
+	218	140
+	222	143
+	4	225	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	140
+	222	143
+	3	225	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	69	143
+	76	143
+	73	140
+	4	69	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	143
+	73	140
+	3	69	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	80	140
+	73	140
+	76	143
+	4	80	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	140
+	76	143
+	3	80	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	143
+	193	143
+	189	140
+	4	186	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	143
+	189	140
+	3	186	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	140
+	189	140
+	193	143
+	4	196	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	140
+	193	143
+	3	196	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	143
+	112	143
+	109	140
+	4	105	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	143
+	109	140
+	3	105	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	109	140
+	102	140
+	105	143
+	4	109	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	140
+	105	143
+	3	109	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	142
+	222	143
+	218	140
+	4	215	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	143
+	218	140
+	3	215	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	218	140
+	211	140
+	215	142
+	4	218	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	140
+	215	142
+	3	218	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	143
+	83	142
+	80	140
+	4	76	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	142
+	80	140
+	3	76	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	87	140
+	80	140
+	83	142
+	4	87	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	140
+	83	142
+	3	87	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	193	143
+	200	143
+	196	140
+	4	193	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	143
+	196	140
+	3	193	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	140
+	196	140
+	200	143
+	4	204	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	140
+	200	143
+	3	204	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	143
+	105	143
+	102	140
+	4	98	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	143
+	102	140
+	3	98	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	102	140
+	94	140
+	98	143
+	4	102	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	140
+	98	143
+	3	102	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	142
+	215	142
+	211	140
+	4	208	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	142
+	211	140
+	3	208	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	211	140
+	204	140
+	208	142
+	4	211	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	140
+	208	142
+	3	211	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	83	142
+	91	142
+	87	140
+	4	83	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	142
+	87	140
+	3	83	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	94	140
+	87	140
+	91	142
+	4	94	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	140
+	91	142
+	3	94	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	143
+	208	142
+	204	140
+	4	200	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	142
+	204	140
+	3	200	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	142
+	98	143
+	94	140
+	4	91	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	143
+	94	140
+	3	91	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	168	145
+	175	168
+	171	166
+	4	168	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	168
+	171	166
+	3	168	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	156
+	171	166
+	175	168
+	4	179	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	166
+	175	168
+	3	179	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	166
+	179	156
+	175	153
+	4	171	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	156
+	175	153
+	3	171	166	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	171	166
+	164	142
+	168	145
+	4	171	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	142
+	168	145
+	3	171	166	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	168
+	130	145
+	127	166
+	4	123	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	145
+	127	166
+	3	123	168	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	134	142
+	127	166
+	130	145
+	4	134	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	166
+	130	145
+	3	134	142	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	127	166
+	119	156
+	123	168
+	4	127	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	156
+	123	168
+	3	127	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	119	156
+	127	166
+	123	153
+	4	119	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	166
+	123	153
+	3	119	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	288	142
+	295	142
+	291	140
+	4	288	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	295	142
+	291	140
+	3	288	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	291	140
+	284	140
+	288	142
+	4	291	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	140
+	288	142
+	3	291	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	3	142
+	10	142
+	7	140
+	4	3	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	142
+	7	140
+	3	3	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	14	140
+	7	140
+	10	142
+	4	14	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	7	140
+	10	142
+	3	14	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	281	142
+	288	142
+	284	140
+	4	281	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	142
+	284	140
+	3	281	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	284	140
+	276	140
+	281	142
+	4	284	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	140
+	281	142
+	3	284	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	10	142
+	17	142
+	14	140
+	4	10	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	142
+	14	140
+	3	10	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	22	140
+	14	140
+	17	142
+	4	22	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	140
+	17	142
+	3	22	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	142
+	281	142
+	276	140
+	4	273	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	142
+	276	140
+	3	273	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	276	140
+	269	140
+	273	142
+	4	276	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	140
+	273	142
+	3	276	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	17	142
+	25	142
+	22	140
+	4	17	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	142
+	22	140
+	3	17	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	29	140
+	22	140
+	25	142
+	4	29	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	140
+	25	142
+	3	29	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	266	142
+	273	142
+	269	140
+	4	266	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	142
+	269	140
+	3	266	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	269	140
+	262	140
+	266	142
+	4	269	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	262	140
+	266	142
+	3	269	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	25	142
+	32	142
+	29	140
+	4	25	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	142
+	29	140
+	3	25	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	36	140
+	29	140
+	32	142
+	4	36	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	140
+	32	142
+	3	36	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	259	142
+	266	142
+	262	140
+	4	259	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	142
+	262	140
+	3	259	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	262	140
+	255	140
+	259	142
+	4	262	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	140
+	259	142
+	3	262	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	32	142
+	39	142
+	36	140
+	4	32	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	142
+	36	140
+	3	32	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	43	140
+	36	140
+	39	142
+	4	43	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	36	140
+	39	142
+	3	43	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	252	142
+	259	142
+	255	140
+	4	252	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	142
+	255	140
+	3	252	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	255	140
+	247	140
+	252	142
+	4	255	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	140
+	252	142
+	3	255	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	39	142
+	46	142
+	43	140
+	4	39	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	142
+	43	140
+	3	39	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	51	140
+	43	140
+	46	142
+	4	51	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	140
+	46	142
+	3	51	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	245	140
+	252	142
+	247	140
+	4	245	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	142
+	247	140
+	3	245	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	247	140
+	240	139
+	245	140
+	4	247	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	240	139
+	245	140
+	3	247	140	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	46	142
+	54	140
+	51	140
+	4	46	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	140
+	51	140
+	3	46	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	58	139
+	51	140
+	54	140
+	4	58	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	140
+	54	140
+	3	58	139	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	237	143
+	245	140
+	240	139
+	4	237	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	140
+	240	139
+	3	237	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	140
+	61	143
+	58	139
+	4	54	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	143
+	58	139
+	3	54	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	143
+	164	144
+	167	147
+	4	171	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	144
+	167	147
+	3	171	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	144
+	127	143
+	131	147
+	4	134	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	143
+	131	147
+	3	134	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	167	147
+	175	146
+	171	143
+	4	167	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	146
+	171	143
+	3	167	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	143
+	171	143
+	175	146
+	4	178	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	143
+	175	146
+	3	178	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	146
+	131	147
+	127	143
+	4	123	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	147
+	127	143
+	3	123	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	143
+	120	143
+	123	146
+	4	127	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	143
+	123	146
+	3	127	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	145
+	241	146
+	237	143
+	4	234	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	146
+	237	143
+	3	234	145	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	245	140
+	237	143
+	241	146
+	4	245	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	237	143
+	241	146
+	3	245	140	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	237	143
+	229	143
+	234	145
+	4	237	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	143
+	234	145
+	3	237	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	57	146
+	65	145
+	61	143
+	4	57	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	145
+	61	143
+	3	57	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	69	143
+	61	143
+	65	145
+	4	69	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	143
+	65	145
+	3	69	143	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	61	143
+	54	140
+	57	146
+	4	61	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	140
+	57	146
+	3	61	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	146
+	182	146
+	178	143
+	4	175	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	146
+	178	143
+	3	175	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	143
+	178	143
+	182	146
+	4	186	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	143
+	182	146
+	3	186	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	146
+	123	146
+	120	143
+	4	116	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	146
+	120	143
+	3	116	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	143
+	112	143
+	116	146
+	4	120	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	143
+	116	146
+	3	120	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	226	145
+	234	145
+	229	143
+	4	226	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	145
+	229	143
+	3	226	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	229	143
+	222	143
+	226	145
+	4	229	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	143
+	226	145
+	3	229	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	145
+	72	145
+	69	143
+	4	65	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	145
+	69	143
+	3	65	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	76	143
+	69	143
+	72	145
+	4	76	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	143
+	72	145
+	3	76	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	146
+	189	145
+	186	143
+	4	182	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	145
+	186	143
+	3	182	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	193	143
+	186	143
+	189	145
+	4	193	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	143
+	189	145
+	3	193	143	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	145
+	116	146
+	112	143
+	4	109	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	146
+	112	143
+	3	109	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	112	143
+	105	143
+	109	145
+	4	112	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	143
+	109	145
+	3	112	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	189	145
+	197	145
+	193	143
+	4	189	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	145
+	193	143
+	3	189	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	200	143
+	193	143
+	197	145
+	4	200	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	143
+	197	145
+	3	200	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	101	145
+	109	145
+	105	143
+	4	101	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	145
+	105	143
+	3	101	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	143
+	98	143
+	101	145
+	4	105	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	143
+	101	145
+	3	105	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	145
+	226	145
+	222	143
+	4	219	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	145
+	222	143
+	3	219	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	222	143
+	215	142
+	219	145
+	4	222	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	142
+	219	145
+	3	222	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	72	145
+	79	145
+	76	143
+	4	72	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	145
+	76	143
+	3	72	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	83	142
+	76	143
+	79	145
+	4	83	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	143
+	79	145
+	3	83	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	197	145
+	204	145
+	200	143
+	4	197	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	145
+	200	143
+	3	197	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	208	142
+	200	143
+	204	145
+	4	208	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	143
+	204	145
+	3	208	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	145
+	101	145
+	98	143
+	4	94	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	145
+	98	143
+	3	94	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	98	143
+	91	142
+	94	145
+	4	98	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	142
+	94	145
+	3	98	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	145
+	219	145
+	215	142
+	4	212	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	145
+	215	142
+	3	212	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	215	142
+	208	142
+	212	145
+	4	215	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	142
+	212	145
+	3	215	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	145
+	87	145
+	83	142
+	4	79	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	145
+	83	142
+	3	79	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	91	142
+	83	142
+	87	145
+	4	91	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	142
+	87	145
+	3	91	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	204	145
+	212	145
+	208	142
+	4	204	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	145
+	208	142
+	3	204	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	87	145
+	94	145
+	91	142
+	4	87	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	145
+	91	142
+	3	87	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	172	147
+	178	171
+	175	168
+	4	172	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	171
+	175	168
+	3	172	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	183	158
+	175	168
+	178	171
+	4	183	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	168
+	178	171
+	3	183	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	168
+	183	158
+	179	156
+	4	175	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	158
+	179	156
+	3	175	168	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	175	168
+	168	145
+	172	147
+	4	175	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	145
+	172	147
+	3	175	168	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	171
+	126	147
+	123	168
+	4	120	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	147
+	123	168
+	3	120	171	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	130	145
+	123	168
+	126	147
+	4	130	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	168
+	126	147
+	3	130	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	168
+	115	158
+	120	171
+	4	123	168	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	158
+	120	171
+	3	123	168	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	158
+	123	168
+	119	156
+	4	115	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	168
+	119	156
+	3	115	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	285	145
+	293	145
+	288	142
+	4	285	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	293	145
+	288	142
+	3	285	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	295	142
+	288	142
+	293	145
+	4	295	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	288	142
+	293	145
+	3	295	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	288	142
+	281	142
+	285	145
+	4	288	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	142
+	285	145
+	3	288	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	6	145
+	13	145
+	10	142
+	4	6	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	145
+	10	142
+	3	6	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	17	142
+	10	142
+	13	145
+	4	17	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	10	142
+	13	145
+	3	17	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	10	142
+	3	142
+	6	145
+	4	10	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	3	142
+	6	145
+	3	10	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	146
+	167	147
+	171	150
+	4	175	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	147
+	171	150
+	3	175	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	131	147
+	123	146
+	127	150
+	4	131	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	146
+	127	150
+	3	131	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	278	144
+	285	145
+	281	142
+	4	278	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	145
+	281	142
+	3	278	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	281	142
+	273	142
+	278	144
+	4	281	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	142
+	278	144
+	3	281	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	13	145
+	20	144
+	17	142
+	4	13	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	144
+	17	142
+	3	13	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	25	142
+	17	142
+	20	144
+	4	25	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	142
+	20	144
+	3	25	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	270	144
+	278	144
+	273	142
+	4	270	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	144
+	273	142
+	3	270	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	142
+	266	142
+	270	144
+	4	273	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	142
+	270	144
+	3	273	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	20	144
+	28	144
+	25	142
+	4	20	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	144
+	25	142
+	3	20	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	32	142
+	25	142
+	28	144
+	4	32	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	142
+	28	144
+	3	32	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	263	144
+	270	144
+	266	142
+	4	263	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	144
+	266	142
+	3	263	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	266	142
+	259	142
+	263	144
+	4	266	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	142
+	263	144
+	3	266	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	28	144
+	35	144
+	32	142
+	4	28	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	144
+	32	142
+	3	28	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	39	142
+	32	142
+	35	144
+	4	39	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	32	142
+	35	144
+	3	39	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	256	144
+	263	144
+	259	142
+	4	256	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	144
+	259	142
+	3	256	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	259	142
+	252	142
+	256	144
+	4	259	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	142
+	256	144
+	3	259	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	35	144
+	42	144
+	39	142
+	4	35	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	144
+	39	142
+	3	35	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	46	142
+	39	142
+	42	144
+	4	46	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	142
+	42	144
+	3	46	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	249	141
+	256	144
+	252	142
+	4	249	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	144
+	252	142
+	3	249	141	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	252	142
+	245	140
+	249	141
+	4	252	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	140
+	249	141
+	3	252	142	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	42	144
+	49	141
+	46	142
+	4	42	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	141
+	46	142
+	3	42	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	54	140
+	46	142
+	49	141
+	4	54	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	46	142
+	49	141
+	3	54	140	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	238	148
+	245	149
+	241	146
+	4	238	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	149
+	241	146
+	3	238	148	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	249	141
+	241	146
+	245	149
+	4	249	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	241	146
+	245	149
+	3	249	141	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	241	146
+	249	141
+	245	140
+	4	241	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	141
+	245	140
+	3	241	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	241	146
+	234	145
+	238	148
+	4	241	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	145
+	238	148
+	3	241	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	53	149
+	60	148
+	57	146
+	4	53	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	148
+	57	146
+	3	53	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	65	145
+	57	146
+	60	148
+	4	65	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	146
+	60	148
+	3	65	145	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	57	146
+	49	141
+	53	149
+	4	57	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	141
+	53	149
+	3	57	146	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	49	141
+	57	146
+	54	140
+	4	49	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	57	146
+	54	140
+	3	49	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	171	150
+	179	149
+	175	146
+	4	171	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	149
+	175	146
+	3	171	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	146
+	175	146
+	179	149
+	4	182	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	146
+	179	149
+	3	182	146	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	149
+	127	150
+	123	146
+	4	120	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	150
+	123	146
+	3	120	149	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	123	146
+	116	146
+	120	149
+	4	123	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	146
+	120	149
+	3	123	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	179	149
+	186	148
+	182	146
+	4	179	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	148
+	182	146
+	3	179	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	189	145
+	182	146
+	186	148
+	4	189	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	146
+	186	148
+	3	189	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	148
+	120	149
+	116	146
+	4	112	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	149
+	116	146
+	3	112	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	146
+	109	145
+	112	148
+	4	116	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	145
+	112	148
+	3	116	146	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	148
+	238	148
+	234	145
+	4	230	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	148
+	234	145
+	3	230	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	145
+	226	145
+	230	148
+	4	234	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	145
+	230	148
+	3	234	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	148
+	68	148
+	65	145
+	4	60	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	148
+	65	145
+	3	60	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	72	145
+	65	145
+	68	148
+	4	72	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	145
+	68	148
+	3	72	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	148
+	193	148
+	189	145
+	4	186	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	148
+	189	145
+	3	186	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	145
+	189	145
+	193	148
+	4	197	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	145
+	193	148
+	3	197	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	148
+	112	148
+	109	145
+	4	105	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	148
+	109	145
+	3	105	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	109	145
+	101	145
+	105	148
+	4	109	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	145
+	105	148
+	3	109	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	148
+	230	148
+	226	145
+	4	223	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	148
+	226	145
+	3	223	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	226	145
+	219	145
+	223	148
+	4	226	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	145
+	223	148
+	3	226	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	148
+	75	148
+	72	145
+	4	68	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	148
+	72	145
+	3	68	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	79	145
+	72	145
+	75	148
+	4	79	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	145
+	75	148
+	3	79	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	148
+	201	148
+	197	145
+	4	193	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	148
+	197	145
+	3	193	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	204	145
+	197	145
+	201	148
+	4	204	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	145
+	201	148
+	3	204	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	148
+	105	148
+	101	145
+	4	97	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	148
+	101	145
+	3	97	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	145
+	94	145
+	97	148
+	4	101	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	145
+	97	148
+	3	101	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	148
+	223	148
+	219	145
+	4	216	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	148
+	219	145
+	3	216	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	219	145
+	212	145
+	216	148
+	4	219	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	145
+	216	148
+	3	219	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	75	148
+	83	148
+	79	145
+	4	75	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	148
+	79	145
+	3	75	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	87	145
+	79	145
+	83	148
+	4	87	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	145
+	83	148
+	3	87	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	148
+	208	148
+	204	145
+	4	201	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	148
+	204	145
+	3	201	148	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	145
+	204	145
+	208	148
+	4	212	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	145
+	208	148
+	3	212	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	148
+	97	148
+	94	145
+	4	90	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	148
+	94	145
+	3	90	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	94	145
+	87	145
+	90	148
+	4	94	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	145
+	90	148
+	3	94	145	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	208	148
+	216	148
+	212	145
+	4	208	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	148
+	212	145
+	3	208	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	148
+	90	148
+	87	145
+	4	83	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	148
+	87	145
+	3	83	148	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	176	150
+	182	174
+	178	171
+	4	176	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	174
+	178	171
+	3	176	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	187	161
+	178	171
+	182	174
+	4	187	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	171
+	182	174
+	3	187	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	171
+	187	161
+	183	158
+	4	178	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	161
+	183	158
+	3	178	171	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	178	171
+	172	147
+	176	150
+	4	178	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	147
+	176	150
+	3	178	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	174
+	122	150
+	120	171
+	4	116	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	150
+	120	171
+	3	116	174	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	126	147
+	120	171
+	122	150
+	4	126	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	171
+	122	150
+	3	126	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	120	171
+	112	161
+	116	174
+	4	120	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	161
+	116	174
+	3	120	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	161
+	120	171
+	115	158
+	4	112	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	171
+	115	158
+	3	112	161	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	149
+	171	150
+	175	153
+	4	179	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	171	150
+	175	153
+	3	179	149	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	127	150
+	120	149
+	123	153
+	4	127	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	149
+	123	153
+	3	127	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	293	145
+	285	145
+	290	147
+	4	293	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	285	145
+	290	147
+	3	293	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	13	145
+	6	145
+	8	147
+	4	13	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	6	145
+	8	147
+	3	13	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	282	147
+	290	147
+	285	145
+	4	282	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	147
+	285	145
+	3	282	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	285	145
+	278	144
+	282	147
+	4	285	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	144
+	282	147
+	3	285	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	8	147
+	16	147
+	13	145
+	4	8	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	147
+	13	145
+	3	8	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	20	144
+	13	145
+	16	147
+	4	20	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	13	145
+	16	147
+	3	20	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	275	147
+	282	147
+	278	144
+	4	275	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	147
+	278	144
+	3	275	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	278	144
+	270	144
+	275	147
+	4	278	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	144
+	275	147
+	3	278	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	16	147
+	23	147
+	20	144
+	4	16	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	147
+	20	144
+	3	16	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	28	144
+	20	144
+	23	147
+	4	28	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	144
+	23	147
+	3	28	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	267	147
+	275	147
+	270	144
+	4	267	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	147
+	270	144
+	3	267	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	270	144
+	263	144
+	267	147
+	4	270	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	144
+	267	147
+	3	270	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	23	147
+	31	147
+	28	144
+	4	23	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	147
+	28	144
+	3	23	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	35	144
+	28	144
+	31	147
+	4	35	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	144
+	31	147
+	3	35	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	260	146
+	267	147
+	263	144
+	4	260	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	147
+	263	144
+	3	260	146	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	263	144
+	256	144
+	260	146
+	4	263	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	144
+	260	146
+	3	263	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	31	147
+	38	146
+	35	144
+	4	31	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	146
+	35	144
+	3	31	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	42	144
+	35	144
+	38	146
+	4	42	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	144
+	38	146
+	3	42	144	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	242	151
+	249	153
+	245	149
+	4	242	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	153
+	245	149
+	3	242	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	254	142
+	245	149
+	249	153
+	4	254	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	149
+	249	153
+	3	254	142	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	245	149
+	254	142
+	249	141
+	4	245	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	142
+	249	141
+	3	245	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	245	149
+	238	148
+	242	151
+	4	245	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	148
+	242	151
+	3	245	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	49	153
+	56	151
+	53	149
+	4	49	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	151
+	53	149
+	3	49	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	60	148
+	53	149
+	56	151
+	4	60	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	149
+	56	151
+	3	60	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	53	149
+	44	142
+	49	153
+	4	53	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	142
+	49	153
+	3	53	149	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	44	142
+	53	149
+	49	141
+	4	44	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	149
+	49	141
+	3	44	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	254	142
+	260	146
+	256	144
+	4	254	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	146
+	256	144
+	3	254	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	256	144
+	249	141
+	254	142
+	4	256	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	141
+	254	142
+	3	256	144	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	38	146
+	44	142
+	42	144
+	4	38	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	142
+	42	144
+	3	38	146	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	49	141
+	42	144
+	44	142
+	4	49	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	144
+	44	142
+	3	49	141	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	175	153
+	182	151
+	179	149
+	4	175	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	151
+	179	149
+	3	175	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	148
+	179	149
+	182	151
+	4	186	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	149
+	182	151
+	3	186	148	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	151
+	123	153
+	120	149
+	4	116	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	153
+	120	149
+	3	116	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	120	149
+	112	148
+	116	151
+	4	120	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	148
+	116	151
+	3	120	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	151
+	190	151
+	186	148
+	4	182	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	151
+	186	148
+	3	182	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	193	148
+	186	148
+	190	151
+	4	193	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	148
+	190	151
+	3	193	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	151
+	116	151
+	112	148
+	4	108	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	151
+	112	148
+	3	108	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	148
+	105	148
+	108	151
+	4	112	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	148
+	108	151
+	3	112	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	151
+	242	151
+	238	148
+	4	234	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	151
+	238	148
+	3	234	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	148
+	230	148
+	234	151
+	4	238	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	230	148
+	234	151
+	3	238	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	56	151
+	64	151
+	60	148
+	4	56	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	151
+	60	148
+	3	56	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	68	148
+	60	148
+	64	151
+	4	68	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	148
+	64	151
+	3	68	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	151
+	197	151
+	193	148
+	4	190	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	151
+	193	148
+	3	190	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	148
+	193	148
+	197	151
+	4	201	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	148
+	197	151
+	3	201	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	151
+	108	151
+	105	148
+	4	101	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	151
+	105	148
+	3	101	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	105	148
+	97	148
+	101	151
+	4	105	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	148
+	101	151
+	3	105	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	150
+	234	151
+	230	148
+	4	227	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	151
+	230	148
+	3	227	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	230	148
+	223	148
+	227	150
+	4	230	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	148
+	227	150
+	3	230	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	151
+	71	150
+	68	148
+	4	64	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	150
+	68	148
+	3	64	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	75	148
+	68	148
+	71	150
+	4	75	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	148
+	71	150
+	3	75	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	151
+	205	150
+	201	148
+	4	197	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	150
+	201	148
+	3	197	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	208	148
+	201	148
+	205	150
+	4	208	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	148
+	205	150
+	3	208	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	150
+	101	151
+	97	148
+	4	93	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	151
+	97	148
+	3	93	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	148
+	90	148
+	93	150
+	4	97	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	90	148
+	93	150
+	3	97	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	150
+	227	150
+	223	148
+	4	220	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	150
+	223	148
+	3	220	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	223	148
+	216	148
+	220	150
+	4	223	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	148
+	220	150
+	3	223	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	150
+	79	150
+	75	148
+	4	71	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	150
+	75	148
+	3	71	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	83	148
+	75	148
+	79	150
+	4	83	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	148
+	79	150
+	3	83	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	150
+	212	150
+	208	148
+	4	205	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	150
+	208	148
+	3	205	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	148
+	208	148
+	212	150
+	4	216	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	148
+	212	150
+	3	216	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	150
+	93	150
+	90	148
+	4	86	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	150
+	90	148
+	3	86	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	90	148
+	83	148
+	86	150
+	4	90	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	83	148
+	86	150
+	3	90	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	212	150
+	220	150
+	216	148
+	4	212	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	150
+	216	148
+	3	212	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	150
+	86	150
+	83	148
+	4	79	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	150
+	83	148
+	3	79	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	182	151
+	175	153
+	179	156
+	4	182	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	153
+	179	156
+	3	182	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	153
+	116	151
+	119	156
+	4	123	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	151
+	119	156
+	3	123	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	180	153
+	186	177
+	182	174
+	4	180	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	177
+	182	174
+	3	180	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	164
+	182	174
+	186	177
+	4	190	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	174
+	186	177
+	3	190	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	174
+	190	164
+	187	161
+	4	182	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	164
+	187	161
+	3	182	174	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	182	174
+	176	150
+	180	153
+	4	182	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	150
+	180	153
+	3	182	174	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	177
+	118	153
+	116	174
+	4	112	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	153
+	116	174
+	3	112	177	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	122	150
+	116	174
+	118	153
+	4	122	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	174
+	118	153
+	3	122	150	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	116	174
+	108	164
+	112	177
+	4	116	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	164
+	112	177
+	3	116	174	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	164
+	116	174
+	112	161
+	4	108	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	174
+	112	161
+	3	108	164	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	246	154
+	253	156
+	249	153
+	4	246	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	156
+	249	153
+	3	246	154	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	258	142
+	249	153
+	253	156
+	4	258	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	153
+	253	156
+	3	258	142	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	249	153
+	258	142
+	254	142
+	4	249	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	142
+	254	142
+	3	249	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	249	153
+	242	151
+	246	154
+	4	249	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	151
+	246	154
+	3	249	153	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	45	156
+	52	154
+	49	153
+	4	45	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	154
+	49	153
+	3	45	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	56	151
+	49	153
+	52	154
+	4	56	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	153
+	52	154
+	3	56	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	49	153
+	40	142
+	45	156
+	4	49	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	142
+	45	156
+	3	49	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	40	142
+	49	153
+	44	142
+	4	40	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	49	153
+	44	142
+	3	40	142	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	290	147
+	282	147
+	287	149
+	4	290	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	282	147
+	287	149
+	3	290	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	16	147
+	8	147
+	11	149
+	4	16	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	8	147
+	11	149
+	3	16	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	279	149
+	287	149
+	282	147
+	4	279	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	149
+	282	147
+	3	279	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	282	147
+	275	147
+	279	149
+	4	282	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	275	147
+	279	149
+	3	282	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	11	149
+	19	149
+	16	147
+	4	11	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	149
+	16	147
+	3	11	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	23	147
+	16	147
+	19	149
+	4	23	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	16	147
+	19	149
+	3	23	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	272	149
+	279	149
+	275	147
+	4	272	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	149
+	275	147
+	3	272	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	275	147
+	267	147
+	272	149
+	4	275	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	147
+	272	149
+	3	275	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	19	149
+	26	149
+	23	147
+	4	19	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	149
+	23	147
+	3	19	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	31	147
+	23	147
+	26	149
+	4	31	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	23	147
+	26	149
+	3	31	147	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	265	148
+	272	149
+	267	147
+	4	265	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	149
+	267	147
+	3	265	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	267	147
+	260	146
+	265	148
+	4	267	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	146
+	265	148
+	3	267	147	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	26	149
+	33	148
+	31	147
+	4	26	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	148
+	31	147
+	3	26	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	38	146
+	31	147
+	33	148
+	4	38	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	31	147
+	33	148
+	3	38	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	179	156
+	186	154
+	182	151
+	4	179	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	154
+	182	151
+	3	179	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	151
+	182	151
+	186	154
+	4	190	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	151
+	186	154
+	3	190	151	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	112	154
+	119	156
+	116	151
+	4	112	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	156
+	116	151
+	3	112	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	151
+	108	151
+	112	154
+	4	116	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	151
+	112	154
+	3	116	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	258	142
+	265	148
+	260	146
+	4	258	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	148
+	260	146
+	3	258	142	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	260	146
+	254	142
+	258	142
+	4	260	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	142
+	258	142
+	3	260	146	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	33	148
+	40	142
+	38	146
+	4	33	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	40	142
+	38	146
+	3	33	148	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	44	142
+	38	146
+	40	142
+	4	44	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	38	146
+	40	142
+	3	44	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	153
+	246	154
+	242	151
+	4	238	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	154
+	242	151
+	3	238	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	151
+	234	151
+	238	153
+	4	242	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	151
+	238	153
+	3	242	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	52	154
+	60	153
+	56	151
+	4	52	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	153
+	56	151
+	3	52	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	64	151
+	56	151
+	60	153
+	4	64	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	56	151
+	60	153
+	3	64	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	154
+	194	154
+	190	151
+	4	186	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	154
+	190	151
+	3	186	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	197	151
+	190	151
+	194	154
+	4	197	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	151
+	194	154
+	3	197	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	154
+	112	154
+	108	151
+	4	104	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	154
+	108	151
+	3	104	154	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	151
+	101	151
+	104	154
+	4	108	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	151
+	104	154
+	3	108	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	154
+	201	153
+	197	151
+	4	194	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	153
+	197	151
+	3	194	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	150
+	197	151
+	201	153
+	4	205	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	151
+	201	153
+	3	205	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	153
+	104	154
+	101	151
+	4	97	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	154
+	101	151
+	3	97	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	151
+	93	150
+	97	153
+	4	101	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	150
+	97	153
+	3	101	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	153
+	238	153
+	234	151
+	4	231	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	153
+	234	151
+	3	231	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	234	151
+	227	150
+	231	153
+	4	234	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	227	150
+	231	153
+	3	234	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	153
+	67	153
+	64	151
+	4	60	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	153
+	64	151
+	3	60	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	150
+	64	151
+	67	153
+	4	71	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	64	151
+	67	153
+	3	71	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	153
+	209	153
+	205	150
+	4	201	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	153
+	205	150
+	3	201	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	212	150
+	205	150
+	209	153
+	4	212	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	150
+	209	153
+	3	212	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	153
+	97	153
+	93	150
+	4	89	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	153
+	93	150
+	3	89	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	150
+	86	150
+	89	153
+	4	93	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	150
+	89	153
+	3	93	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	153
+	231	153
+	227	150
+	4	224	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	153
+	227	150
+	3	224	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	227	150
+	220	150
+	224	153
+	4	227	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	150
+	224	153
+	3	227	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	153
+	74	153
+	71	150
+	4	67	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	153
+	71	150
+	3	67	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	79	150
+	71	150
+	74	153
+	4	79	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	150
+	74	153
+	3	79	150	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	186	154
+	179	156
+	183	158
+	4	186	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	156
+	183	158
+	3	186	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	119	156
+	112	154
+	115	158
+	4	119	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	154
+	115	158
+	3	119	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	250	157
+	257	159
+	253	156
+	4	250	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	159
+	253	156
+	3	250	157	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	263	143
+	253	156
+	257	159
+	4	263	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	253	156
+	257	159
+	3	263	143	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	253	156
+	263	143
+	258	142
+	4	253	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	143
+	258	142
+	3	253	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	253	156
+	246	154
+	250	157
+	4	253	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	246	154
+	250	157
+	3	253	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	41	159
+	48	157
+	45	156
+	4	41	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	157
+	45	156
+	3	41	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	52	154
+	45	156
+	48	157
+	4	52	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	156
+	48	157
+	3	52	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	45	156
+	35	143
+	41	159
+	4	45	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	143
+	41	159
+	3	45	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	35	143
+	45	156
+	40	142
+	4	35	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	45	156
+	40	142
+	3	35	143	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	153
+	216	153
+	212	150
+	4	209	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	153
+	212	150
+	3	209	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	150
+	212	150
+	216	153
+	4	220	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	150
+	216	153
+	3	220	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	153
+	89	153
+	86	150
+	4	82	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	153
+	86	150
+	3	82	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	150
+	79	150
+	82	153
+	4	86	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	150
+	82	153
+	3	86	150	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	216	153
+	224	153
+	220	150
+	4	216	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	153
+	220	150
+	3	216	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	153
+	82	153
+	79	150
+	4	74	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	153
+	79	150
+	3	74	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	156
+	190	179
+	186	177
+	4	184	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	179
+	186	177
+	3	184	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	194	167
+	186	177
+	190	179
+	4	194	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	177
+	190	179
+	3	194	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	177
+	194	167
+	190	164
+	4	186	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	167
+	190	164
+	3	186	177	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	186	177
+	180	153
+	184	156
+	4	186	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	153
+	184	156
+	3	186	177	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	179
+	114	156
+	112	177
+	4	108	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	114	156
+	112	177
+	3	108	179	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	118	153
+	112	177
+	114	156
+	4	118	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	177
+	114	156
+	3	118	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	112	177
+	104	167
+	108	179
+	4	112	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	167
+	108	179
+	3	112	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	167
+	112	177
+	108	164
+	4	104	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	177
+	108	164
+	3	104	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	287	149
+	279	149
+	284	152
+	4	287	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	279	149
+	284	152
+	3	287	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	19	149
+	11	149
+	14	152
+	4	19	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	11	149
+	14	152
+	3	19	149	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	276	151
+	284	152
+	279	149
+	4	276	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	152
+	279	149
+	3	276	151	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	279	149
+	272	149
+	276	151
+	4	279	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	149
+	276	151
+	3	279	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	14	152
+	22	151
+	19	149
+	4	14	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	151
+	19	149
+	3	14	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	26	149
+	19	149
+	22	151
+	4	26	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	19	149
+	22	151
+	3	26	149	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	183	158
+	190	157
+	186	154
+	4	183	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	157
+	186	154
+	3	183	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	154
+	186	154
+	190	157
+	4	194	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	186	154
+	190	157
+	3	194	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	108	157
+	115	158
+	112	154
+	4	108	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	158
+	112	154
+	3	108	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	112	154
+	104	154
+	108	157
+	4	112	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	154
+	108	157
+	3	112	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	269	150
+	276	151
+	272	149
+	4	269	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	151
+	272	149
+	3	269	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	272	149
+	265	148
+	269	150
+	4	272	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	148
+	269	150
+	3	272	149	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	22	151
+	29	150
+	26	149
+	4	22	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	150
+	26	149
+	3	22	151	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	33	148
+	26	149
+	29	150
+	4	33	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	26	149
+	29	150
+	3	33	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	156
+	250	157
+	246	154
+	4	243	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	157
+	246	154
+	3	243	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	246	154
+	238	153
+	243	156
+	4	246	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	153
+	243	156
+	3	246	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	48	157
+	55	156
+	52	154
+	4	48	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	156
+	52	154
+	3	48	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	60	153
+	52	154
+	55	156
+	4	60	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	52	154
+	55	156
+	3	60	153	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	254	160
+	261	162
+	257	159
+	4	254	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	162
+	257	159
+	3	254	160	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	268	144
+	257	159
+	261	162
+	4	268	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	257	159
+	261	162
+	3	268	144	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	257	159
+	268	144
+	263	143
+	4	257	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	144
+	263	143
+	3	257	159	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	257	159
+	250	157
+	254	160
+	4	257	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	157
+	254	160
+	3	257	159	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	37	162
+	44	160
+	41	159
+	4	37	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	160
+	41	159
+	3	37	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	48	157
+	41	159
+	44	160
+	4	48	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	159
+	44	160
+	3	48	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	41	159
+	30	144
+	37	162
+	4	41	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	144
+	37	162
+	3	41	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	30	144
+	41	159
+	35	143
+	4	30	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	159
+	35	143
+	3	30	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	157
+	198	156
+	194	154
+	4	190	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	156
+	194	154
+	3	190	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	201	153
+	194	154
+	198	156
+	4	201	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	154
+	198	156
+	3	201	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	156
+	108	157
+	104	154
+	4	100	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	157
+	104	154
+	3	100	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	154
+	97	153
+	100	156
+	4	104	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	153
+	100	156
+	3	104	154	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	263	143
+	269	150
+	265	148
+	4	263	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	150
+	265	148
+	3	263	143	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	265	148
+	258	142
+	263	143
+	4	265	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	142
+	263	143
+	3	265	148	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	29	150
+	35	143
+	33	148
+	4	29	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	143
+	33	148
+	3	29	150	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	40	142
+	33	148
+	35	143
+	4	40	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	148
+	35	143
+	3	40	142	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	156
+	243	156
+	238	153
+	4	235	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	156
+	238	153
+	3	235	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	238	153
+	231	153
+	235	156
+	4	238	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	153
+	235	156
+	3	238	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	156
+	63	156
+	60	153
+	4	55	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	156
+	60	153
+	3	55	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	67	153
+	60	153
+	63	156
+	4	67	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	60	153
+	63	156
+	3	67	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	156
+	205	156
+	201	153
+	4	198	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	156
+	201	153
+	3	198	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	153
+	201	153
+	205	156
+	4	209	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	153
+	205	156
+	3	209	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	156
+	100	156
+	97	153
+	4	93	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	156
+	97	153
+	3	93	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	97	153
+	89	153
+	93	156
+	4	97	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	153
+	93	156
+	3	97	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	157
+	183	158
+	187	161
+	4	190	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	158
+	187	161
+	3	190	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	115	158
+	108	157
+	112	161
+	4	115	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	157
+	112	161
+	3	115	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	156
+	235	156
+	231	153
+	4	228	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	156
+	231	153
+	3	228	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	231	153
+	224	153
+	228	156
+	4	231	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	153
+	228	156
+	3	231	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	63	156
+	70	156
+	67	153
+	4	63	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	156
+	67	153
+	3	63	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	74	153
+	67	153
+	70	156
+	4	74	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	153
+	70	156
+	3	74	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	156
+	213	156
+	209	153
+	4	205	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	156
+	209	153
+	3	205	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	216	153
+	209	153
+	213	156
+	4	216	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	153
+	213	156
+	3	216	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	156
+	93	156
+	89	153
+	4	85	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	156
+	89	153
+	3	85	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	153
+	82	153
+	85	156
+	4	89	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	153
+	85	156
+	3	89	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	220	156
+	228	156
+	224	153
+	4	220	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	156
+	224	153
+	3	220	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	153
+	216	153
+	220	156
+	4	224	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	216	153
+	220	156
+	3	224	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	156
+	78	156
+	74	153
+	4	70	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	156
+	74	153
+	3	70	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	153
+	74	153
+	78	156
+	4	82	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	153
+	78	156
+	3	82	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	156
+	220	156
+	216	153
+	4	213	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	156
+	216	153
+	3	213	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	156
+	85	156
+	82	153
+	4	78	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	156
+	82	153
+	3	78	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	158
+	194	182
+	190	179
+	4	188	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	182
+	190	179
+	3	188	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	198	169
+	190	179
+	194	182
+	4	198	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	179
+	194	182
+	3	198	169	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	179
+	198	169
+	194	167
+	4	190	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	169
+	194	167
+	3	190	179	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	190	179
+	184	156
+	188	158
+	4	190	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	156
+	188	158
+	3	190	179	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	182
+	110	158
+	108	179
+	4	104	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	158
+	108	179
+	3	104	182	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	114	156
+	108	179
+	110	158
+	4	114	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	179
+	110	158
+	3	114	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	108	179
+	100	169
+	104	182
+	4	108	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	169
+	104	182
+	3	108	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	169
+	108	179
+	104	167
+	4	100	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	179
+	104	167
+	3	100	169	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	187	161
+	194	160
+	190	157
+	4	187	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	160
+	190	157
+	3	187	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	156
+	190	157
+	194	160
+	4	198	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	157
+	194	160
+	3	198	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	160
+	112	161
+	108	157
+	4	104	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	161
+	108	157
+	3	104	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	108	157
+	100	156
+	104	160
+	4	108	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	156
+	104	160
+	3	108	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	259	162
+	265	165
+	261	162
+	4	259	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	165
+	261	162
+	3	259	162	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	273	145
+	261	162
+	265	165
+	4	273	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	261	162
+	265	165
+	3	273	145	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	261	162
+	273	145
+	268	144
+	4	261	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	145
+	268	144
+	3	261	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	261	162
+	254	160
+	259	162
+	4	261	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	160
+	259	162
+	3	261	162	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	33	165
+	39	162
+	37	162
+	4	33	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	162
+	37	162
+	3	33	165	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	44	160
+	37	162
+	39	162
+	4	44	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	162
+	39	162
+	3	44	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	37	162
+	25	145
+	33	165
+	4	37	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	145
+	33	165
+	3	37	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	25	145
+	37	162
+	30	144
+	4	25	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	37	162
+	30	144
+	3	25	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	284	152
+	276	151
+	281	154
+	4	284	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	151
+	281	154
+	3	284	152	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	22	151
+	14	152
+	17	154
+	4	22	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	152
+	17	154
+	3	22	151	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	159
+	254	160
+	250	157
+	4	247	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	254	160
+	250	157
+	3	247	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	250	157
+	243	156
+	247	159
+	4	250	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	156
+	247	159
+	3	250	157	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	44	160
+	51	159
+	48	157
+	4	44	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	159
+	48	157
+	3	44	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	55	156
+	48	157
+	51	159
+	4	55	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	157
+	51	159
+	3	55	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	153
+	281	154
+	276	151
+	4	273	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	281	154
+	276	151
+	3	273	153	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	276	151
+	269	150
+	273	153
+	4	276	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	269	150
+	273	153
+	3	276	151	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	17	154
+	25	153
+	22	151
+	4	17	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	153
+	22	151
+	3	17	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	29	150
+	22	151
+	25	153
+	4	29	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	22	151
+	25	153
+	3	29	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	160
+	202	159
+	198	156
+	4	194	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	159
+	198	156
+	3	194	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	205	156
+	198	156
+	202	159
+	4	205	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	156
+	202	159
+	3	205	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	159
+	104	160
+	100	156
+	4	96	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	160
+	100	156
+	3	96	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	156
+	93	156
+	96	159
+	4	100	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	156
+	96	159
+	3	100	156	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	145	144
+	153	144
+	149	140
+	4	145	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	144
+	149	140
+	3	145	144	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	157	136
+	149	140
+	153	144
+	4	157	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	140
+	153	144
+	3	157	136	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	149	140
+	157	136
+	153	132
+	4	149	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	136
+	153	132
+	3	149	140	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	149	140
+	141	136
+	145	144
+	4	149	140	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	136
+	145	144
+	3	149	140	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	136
+	149	140
+	145	132
+	4	141	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	140
+	145	132
+	3	141	136	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	153	132
+	145	132
+	149	140
+	4	153	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	132
+	149	140
+	3	153	132	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	159
+	247	159
+	243	156
+	4	239	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	159
+	243	156
+	3	239	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	156
+	235	156
+	239	159
+	4	243	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	156
+	239	159
+	3	243	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	51	159
+	59	159
+	55	156
+	4	51	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	159
+	55	156
+	3	51	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	63	156
+	55	156
+	59	159
+	4	63	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	55	156
+	59	159
+	3	63	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	159
+	209	159
+	205	156
+	4	202	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	159
+	205	156
+	3	202	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	156
+	205	156
+	209	159
+	4	213	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	156
+	209	159
+	3	213	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	159
+	96	159
+	93	156
+	4	89	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	159
+	93	156
+	3	89	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	156
+	85	156
+	89	159
+	4	93	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	156
+	89	159
+	3	93	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	158
+	239	159
+	235	156
+	4	232	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	159
+	235	156
+	3	232	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	235	156
+	228	156
+	232	158
+	4	235	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	156
+	232	158
+	3	235	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	159
+	66	158
+	63	156
+	4	59	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	63	156
+	3	59	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	70	156
+	63	156
+	66	158
+	4	70	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	63	156
+	66	158
+	3	70	156	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	160
+	187	161
+	190	164
+	4	194	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	161
+	190	164
+	3	194	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	161
+	104	160
+	108	164
+	4	112	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	160
+	108	164
+	3	112	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	159
+	217	159
+	213	156
+	4	209	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	159
+	213	156
+	3	209	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	220	156
+	213	156
+	217	159
+	4	220	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	156
+	217	159
+	3	220	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	159
+	89	159
+	85	156
+	4	81	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	159
+	85	156
+	3	81	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	156
+	78	156
+	81	159
+	4	85	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	156
+	81	159
+	3	85	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	224	158
+	232	158
+	228	156
+	4	224	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	158
+	228	156
+	3	224	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	156
+	220	156
+	224	158
+	4	228	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	156
+	224	158
+	3	228	156	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	66	158
+	74	158
+	70	156
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	158
+	70	156
+	3	66	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	78	156
+	70	156
+	74	158
+	4	78	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	156
+	74	158
+	3	78	156	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	159
+	224	158
+	220	156
+	4	217	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	158
+	220	156
+	3	217	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	158
+	81	159
+	78	156
+	4	74	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	159
+	78	156
+	3	74	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	268	144
+	273	153
+	269	150
+	4	268	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	153
+	269	150
+	3	268	144	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	269	150
+	263	143
+	268	144
+	4	269	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	143
+	268	144
+	3	269	150	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	25	153
+	30	144
+	29	150
+	4	25	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	30	144
+	29	150
+	3	25	153	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	35	143
+	29	150
+	30	144
+	4	35	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	29	150
+	30	144
+	3	35	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	192	161
+	198	185
+	194	182
+	4	192	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	185
+	194	182
+	3	192	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	203	172
+	194	182
+	198	185
+	4	203	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	182
+	198	185
+	3	203	172	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	182
+	203	172
+	198	169
+	4	194	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	172
+	198	169
+	3	194	182	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	194	182
+	188	158
+	192	161
+	4	194	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	158
+	192	161
+	3	194	182	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	100	185
+	106	161
+	104	182
+	4	100	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	161
+	104	182
+	3	100	185	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	110	158
+	104	182
+	106	161
+	4	110	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	182
+	106	161
+	3	110	158	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	104	182
+	95	172
+	100	185
+	4	104	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	172
+	100	185
+	3	104	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	95	172
+	104	182
+	100	169
+	4	95	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	182
+	100	169
+	3	95	172	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	149	148
+	157	147
+	153	144
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	147
+	153	144
+	3	149	148	psDrawLines
+	renderGC	0.125000	setForeground
+	renderGC
+	160	139
+	153	144
+	157	147
+	4	160	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	144
+	157	147
+	3	160	139	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	153	144
+	160	139
+	157	136
+	4	153	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	139
+	157	136
+	3	153	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	141	147
+	149	148
+	145	144
+	4	141	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	145	144
+	3	141	147	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	153	144
+	145	144
+	149	148
+	4	153	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	144
+	149	148
+	3	153	144	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	144
+	138	139
+	141	147
+	4	145	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	139
+	141	147
+	3	145	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	138	139
+	145	144
+	141	136
+	4	138	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	144
+	141	136
+	3	138	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	165
+	270	169
+	265	165
+	4	263	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	270	169
+	265	165
+	3	263	165	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	278	146
+	265	165
+	270	169
+	4	278	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	265	165
+	270	169
+	3	278	146	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	265	165
+	278	146
+	273	145
+	4	265	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	146
+	273	145
+	3	265	165	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	265	165
+	259	162
+	263	165
+	4	265	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	162
+	263	165
+	3	265	165	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	28	169
+	35	165
+	33	165
+	4	28	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	35	165
+	33	165
+	3	28	169	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	39	162
+	33	165
+	35	165
+	4	39	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	165
+	35	165
+	3	39	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	33	165
+	20	146
+	28	169
+	4	33	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	20	146
+	28	169
+	3	33	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	20	146
+	33	165
+	25	145
+	4	20	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	33	165
+	25	145
+	3	20	146	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	164
+	198	162
+	194	160
+	4	190	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	162
+	194	160
+	3	190	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	202	159
+	194	160
+	198	162
+	4	202	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	160
+	198	162
+	3	202	159	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	100	162
+	108	164
+	104	160
+	4	100	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	164
+	104	160
+	3	100	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	104	160
+	96	159
+	100	162
+	4	104	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	159
+	100	162
+	3	104	160	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	251	162
+	259	162
+	254	160
+	4	251	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	259	162
+	254	160
+	3	251	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	254	160
+	247	159
+	251	162
+	4	254	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	159
+	251	162
+	3	254	160	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	39	162
+	47	162
+	44	160
+	4	39	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	162
+	44	160
+	3	39	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	51	159
+	44	160
+	47	162
+	4	51	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	44	160
+	47	162
+	3	51	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	162
+	206	162
+	202	159
+	4	198	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	162
+	202	159
+	3	198	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	209	159
+	202	159
+	206	162
+	4	209	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	159
+	206	162
+	3	209	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	92	162
+	100	162
+	96	159
+	4	92	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	162
+	96	159
+	3	92	162	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	159
+	89	159
+	92	162
+	4	96	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	159
+	92	162
+	3	96	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	281	154
+	273	153
+	278	155
+	4	281	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	273	153
+	278	155
+	3	281	154	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	25	153
+	17	154
+	20	155
+	4	25	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	17	154
+	20	155
+	3	25	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	244	161
+	251	162
+	247	159
+	4	244	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	162
+	247	159
+	3	244	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	247	159
+	239	159
+	244	161
+	4	247	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	159
+	244	161
+	3	247	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	162
+	54	161
+	51	159
+	4	47	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	161
+	51	159
+	3	47	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	59	159
+	51	159
+	54	161
+	4	59	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	159
+	54	161
+	3	59	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	145	151
+	153	151
+	149	148
+	4	145	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	151
+	149	148
+	3	145	151	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	157	147
+	149	148
+	153	151
+	4	157	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	148
+	153	151
+	3	157	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	148
+	141	147
+	145	151
+	4	149	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	147
+	145	151
+	3	149	148	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	162
+	213	161
+	209	159
+	4	206	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	161
+	209	159
+	3	206	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	217	159
+	209	159
+	213	161
+	4	217	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	159
+	213	161
+	3	217	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	85	161
+	92	162
+	89	159
+	4	85	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	162
+	89	159
+	3	85	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	89	159
+	81	159
+	85	161
+	4	89	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	159
+	85	161
+	3	89	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	236	161
+	244	161
+	239	159
+	4	236	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	161
+	239	159
+	3	236	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	239	159
+	232	158
+	236	161
+	4	239	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	158
+	236	161
+	3	239	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	54	161
+	62	161
+	59	159
+	4	54	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	161
+	59	159
+	3	54	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	66	158
+	59	159
+	62	161
+	4	66	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	59	159
+	62	161
+	3	66	158	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	198	162
+	190	164
+	194	167
+	4	198	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	164
+	194	167
+	3	198	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	164
+	100	162
+	104	167
+	4	108	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	162
+	104	167
+	3	108	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	213	161
+	221	161
+	217	159
+	4	213	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	161
+	217	159
+	3	213	161	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	224	158
+	217	159
+	221	161
+	4	224	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	217	159
+	221	161
+	3	224	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	161
+	85	161
+	81	159
+	4	77	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	161
+	81	159
+	3	77	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	159
+	74	158
+	77	161
+	4	81	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	158
+	77	161
+	3	81	159	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	229	161
+	236	161
+	232	158
+	4	229	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	161
+	232	158
+	3	229	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	232	158
+	224	158
+	229	161
+	4	232	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	224	158
+	229	161
+	3	232	158	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	161
+	70	161
+	66	158
+	4	62	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	161
+	66	158
+	3	62	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	158
+	66	158
+	70	161
+	4	74	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	158
+	70	161
+	3	74	158	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	221	161
+	229	161
+	224	158
+	4	221	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	161
+	224	158
+	3	221	161	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	161
+	77	161
+	74	158
+	4	70	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	161
+	74	158
+	3	70	161	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	145	132
+	153	132
+	149	123
+	4	145	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	132
+	149	123
+	3	145	132	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	164
+	202	188
+	198	185
+	4	197	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	188
+	198	185
+	3	197	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	207	175
+	198	185
+	202	188
+	4	207	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	185
+	202	188
+	3	207	175	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	185
+	207	175
+	203	172
+	4	198	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	175
+	203	172
+	3	198	185	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	198	185
+	192	161
+	197	164
+	4	198	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	161
+	197	164
+	3	198	185	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	188
+	101	164
+	100	185
+	4	96	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	164
+	100	185
+	3	96	188	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	106	161
+	100	185
+	101	164
+	4	106	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	185
+	101	164
+	3	106	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	100	185
+	91	175
+	96	188
+	4	100	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	175
+	96	188
+	3	100	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	175
+	100	185
+	95	172
+	4	91	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	185
+	95	172
+	3	91	175	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	153	151
+	160	150
+	157	147
+	4	153	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	150
+	157	147
+	3	153	151	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	164	142
+	157	147
+	160	150
+	4	164	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	147
+	160	150
+	3	164	142	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	157	147
+	164	142
+	160	139
+	4	157	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	142
+	160	139
+	3	157	147	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	150
+	145	151
+	141	147
+	4	138	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	151
+	141	147
+	3	138	150	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	141	147
+	134	142
+	138	150
+	4	141	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	142
+	138	150
+	3	141	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	134	142
+	141	147
+	138	139
+	4	134	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	147
+	138	139
+	3	134	142	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	270	169
+	263	165
+	267	168
+	4	270	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	165
+	267	168
+	3	270	169	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	35	165
+	28	169
+	31	168
+	4	35	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	28	169
+	31	168
+	3	35	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	145
+	278	155
+	273	153
+	4	273	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	278	155
+	273	153
+	3	273	145	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	273	153
+	268	144
+	273	145
+	4	273	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	144
+	273	145
+	3	273	153	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	20	155
+	25	145
+	25	153
+	4	20	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	145
+	25	153
+	3	20	155	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	30	144
+	25	153
+	25	145
+	4	30	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	25	153
+	25	145
+	3	30	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	255	164
+	263	165
+	259	162
+	4	255	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	165
+	259	162
+	3	255	164	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	259	162
+	251	162
+	255	164
+	4	259	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	162
+	255	164
+	3	259	162	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	35	165
+	43	164
+	39	162
+	4	35	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	43	164
+	39	162
+	3	35	165	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	47	162
+	39	162
+	43	164
+	4	47	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	39	162
+	43	164
+	3	47	162	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	194	167
+	202	165
+	198	162
+	4	194	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	165
+	198	162
+	3	194	167	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	206	162
+	198	162
+	202	165
+	4	206	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	162
+	202	165
+	3	206	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	165
+	104	167
+	100	162
+	4	96	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	167
+	100	162
+	3	96	165	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/ribbon1.ps b/books/ps/ribbon1.ps
new file mode 100644
index 0000000..ed2e084
--- /dev/null
+++ b/books/ps/ribbon1.ps
@@ -0,0 +1,1900 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	11	218	195	92	psDrawLine
+	globGC	(X)	6	223	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	205	218	37	92	psDrawLine
+	globGC	(Y)	210	223	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	106	48	117	223	psDrawLine
+	globGC	(Z)	101	43	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC
+	7	124
+	19	132
+	29	140
+	38	146
+	47	150
+	56	154
+	63	156
+	71	158
+	78	159
+	85	159
+	91	158
+	98	156
+	104	154
+	109	150
+	115	146
+	121	142
+	126	136
+	132	130
+	137	123
+	143	115
+	148	106
+	154	97
+	159	86
+	165	75
+	170	62
+	176	48
+	182	33
+	28	188	17	psDrawLines
+	componentGC
+	10	126
+	21	135
+	32	142
+	41	148
+	50	152
+	58	156
+	66	159
+	74	160
+	81	161
+	87	161
+	94	160
+	100	158
+	106	156
+	112	152
+	118	148
+	123	144
+	129	138
+	135	132
+	140	125
+	145	117
+	151	108
+	156	99
+	162	88
+	167	76
+	173	64
+	179	50
+	185	35
+	28	191	19	psDrawLines
+	componentGC
+	13	129
+	24	137
+	35	144
+	44	150
+	53	155
+	61	158
+	69	161
+	76	162
+	83	163
+	90	163
+	97	162
+	103	160
+	109	158
+	115	154
+	121	150
+	126	146
+	132	140
+	137	134
+	143	127
+	148	119
+	154	110
+	159	100
+	165	90
+	170	78
+	176	66
+	182	52
+	188	37
+	28	194	20	psDrawLines
+	componentGC
+	16	131
+	27	140
+	37	147
+	47	153
+	56	157
+	64	161
+	72	163
+	79	165
+	86	165
+	93	165
+	99	164
+	105	162
+	112	160
+	117	156
+	123	152
+	129	148
+	134	142
+	140	136
+	145	129
+	151	121
+	156	112
+	162	102
+	167	92
+	173	80
+	179	67
+	185	53
+	191	38
+	28	197	22	psDrawLines
+	componentGC
+	19	134
+	30	142
+	40	149
+	50	155
+	58	159
+	67	163
+	74	165
+	82	167
+	89	167
+	96	167
+	102	166
+	108	164
+	114	162
+	120	158
+	126	154
+	132	150
+	137	144
+	143	138
+	148	130
+	154	123
+	159	114
+	165	104
+	170	93
+	176	82
+	182	69
+	188	55
+	194	40
+	28	200	24	psDrawLines
+	componentGC
+	22	136
+	33	145
+	43	152
+	53	157
+	61	162
+	70	165
+	77	168
+	85	169
+	92	170
+	98	169
+	105	168
+	111	166
+	117	164
+	123	160
+	129	156
+	134	152
+	140	146
+	145	140
+	151	132
+	156	124
+	162	116
+	167	106
+	173	95
+	179	84
+	185	71
+	191	57
+	197	42
+	28	203	25	psDrawLines
+	componentGC
+	25	139
+	36	147
+	46	154
+	56	160
+	64	164
+	72	168
+	80	170
+	87	171
+	94	172
+	101	172
+	107	170
+	114	169
+	120	166
+	126	163
+	131	158
+	137	154
+	143	148
+	148	142
+	154	134
+	159	126
+	165	117
+	170	108
+	176	97
+	182	85
+	188	73
+	194	59
+	200	44
+	28	206	27	psDrawLines
+	componentGC
+	28	141
+	39	150
+	49	157
+	58	162
+	67	167
+	75	170
+	83	172
+	90	174
+	97	174
+	104	174
+	110	173
+	116	171
+	122	168
+	128	165
+	134	160
+	140	156
+	145	150
+	151	143
+	156	136
+	162	128
+	168	119
+	173	110
+	179	99
+	185	87
+	191	74
+	197	60
+	203	45
+	28	210	29	psDrawLines
+	componentGC
+	32	144
+	42	152
+	52	159
+	61	165
+	70	169
+	78	172
+	86	175
+	93	176
+	100	176
+	107	176
+	113	175
+	119	173
+	125	170
+	131	167
+	137	163
+	142	158
+	148	152
+	154	145
+	159	138
+	165	130
+	170	121
+	176	111
+	182	101
+	188	89
+	194	76
+	200	62
+	206	47
+	28	213	30	psDrawLines
+	componentGC
+	35	146
+	45	155
+	55	162
+	64	167
+	73	171
+	81	175
+	89	177
+	96	178
+	103	179
+	109	178
+	116	177
+	122	175
+	128	172
+	134	169
+	140	165
+	145	160
+	151	154
+	156	147
+	162	140
+	168	132
+	173	123
+	179	113
+	185	103
+	191	91
+	197	78
+	203	64
+	209	49
+	28	216	32	psDrawLines
+	componentGC
+	38	149
+	48	157
+	58	164
+	67	170
+	76	174
+	84	177
+	92	179
+	99	180
+	106	181
+	112	180
+	119	179
+	125	177
+	131	174
+	137	171
+	142	167
+	148	162
+	154	156
+	159	149
+	165	142
+	171	134
+	176	125
+	182	115
+	188	104
+	194	93
+	200	80
+	206	66
+	212	50
+	28	219	34	psDrawLines
+	componentGC
+	41	152
+	52	160
+	61	167
+	70	172
+	79	176
+	87	179
+	94	182
+	102	183
+	109	183
+	115	183
+	121	181
+	128	179
+	134	177
+	139	173
+	145	169
+	151	164
+	157	158
+	162	152
+	168	144
+	173	136
+	179	127
+	185	117
+	191	106
+	197	95
+	203	82
+	209	68
+	215	52
+	28	222	36	psDrawLines
+	componentGC
+	44	154
+	55	162
+	64	169
+	74	175
+	82	179
+	90	182
+	97	184
+	105	185
+	111	186
+	118	185
+	124	184
+	130	182
+	136	179
+	142	175
+	148	171
+	154	166
+	159	160
+	165	154
+	171	146
+	176	138
+	182	129
+	188	119
+	194	108
+	200	96
+	206	83
+	212	69
+	219	54
+	28	225	37	psDrawLines
+	componentGC
+	47	157
+	58	165
+	68	172
+	77	177
+	85	181
+	93	184
+	100	186
+	108	188
+	114	188
+	121	187
+	127	186
+	133	184
+	139	181
+	145	177
+	151	173
+	157	168
+	162	162
+	168	156
+	174	148
+	179	140
+	185	131
+	191	121
+	197	110
+	203	98
+	209	85
+	215	71
+	222	56
+	28	229	39	psDrawLines
+	componentGC
+	51	160
+	61	168
+	71	174
+	80	180
+	88	184
+	96	187
+	103	189
+	110	190
+	117	190
+	124	190
+	130	188
+	136	186
+	142	183
+	148	180
+	154	175
+	160	170
+	165	164
+	171	158
+	176	150
+	182	142
+	188	133
+	194	123
+	200	112
+	206	100
+	212	87
+	218	73
+	225	58
+	28	232	41	psDrawLines
+	componentGC
+	54	162
+	64	170
+	74	177
+	83	182
+	91	186
+	99	189
+	106	191
+	113	192
+	120	193
+	127	192
+	133	191
+	139	188
+	145	185
+	151	182
+	157	177
+	162	172
+	168	166
+	174	160
+	179	152
+	185	144
+	191	135
+	197	125
+	203	114
+	209	102
+	215	89
+	222	75
+	228	59
+	28	235	43	psDrawLines
+	componentGC
+	57	165
+	68	173
+	77	180
+	86	185
+	94	189
+	102	192
+	109	194
+	116	195
+	123	195
+	130	194
+	136	193
+	142	191
+	148	188
+	154	184
+	160	180
+	165	174
+	171	169
+	177	162
+	182	154
+	188	146
+	194	137
+	200	127
+	206	116
+	212	104
+	218	91
+	225	77
+	232	61
+	28	239	44	psDrawLines
+	componentGC
+	61	168
+	71	176
+	80	182
+	89	188
+	97	191
+	105	194
+	113	196
+	120	197
+	126	197
+	133	197
+	139	195
+	145	193
+	151	190
+	157	186
+	163	182
+	168	177
+	174	171
+	180	164
+	185	157
+	191	148
+	197	139
+	203	129
+	209	118
+	215	106
+	221	93
+	228	79
+	235	63
+	28	242	46	psDrawLines
+	componentGC
+	64	171
+	74	179
+	84	185
+	92	190
+	101	194
+	108	197
+	116	199
+	123	200
+	129	200
+	136	199
+	142	198
+	148	195
+	154	192
+	160	189
+	166	184
+	171	179
+	177	173
+	183	166
+	188	159
+	194	150
+	200	141
+	206	131
+	212	120
+	218	108
+	225	95
+	231	81
+	238	65
+	28	245	48	psDrawLines
+	componentGC
+	68	174
+	78	182
+	87	188
+	96	193
+	104	197
+	111	199
+	119	201
+	126	202
+	132	202
+	139	201
+	145	200
+	151	198
+	157	195
+	163	191
+	169	186
+	174	181
+	180	175
+	186	168
+	191	161
+	197	152
+	203	143
+	209	133
+	215	122
+	221	110
+	228	97
+	235	82
+	242	67
+	28	249	50	psDrawLines
+	componentGC
+	71	177
+	81	184
+	90	191
+	99	196
+	107	199
+	115	202
+	122	204
+	129	205
+	135	205
+	142	204
+	148	202
+	154	200
+	160	197
+	166	193
+	172	189
+	177	183
+	183	177
+	189	170
+	194	163
+	200	154
+	206	145
+	212	135
+	218	124
+	225	112
+	231	99
+	238	84
+	245	69
+	28	252	52	psDrawLines
+	componentGC
+	74	179
+	84	187
+	94	193
+	102	198
+	110	202
+	118	205
+	125	206
+	132	207
+	138	207
+	145	206
+	151	205
+	157	202
+	163	199
+	169	195
+	175	191
+	180	185
+	186	179
+	192	173
+	197	165
+	203	157
+	209	147
+	215	137
+	221	126
+	228	114
+	234	101
+	241	86
+	248	71
+	28	256	54	psDrawLines
+	componentGC
+	78	182
+	88	190
+	97	196
+	105	201
+	113	205
+	121	207
+	128	209
+	135	210
+	142	210
+	148	209
+	154	207
+	160	205
+	166	202
+	172	198
+	178	193
+	183	188
+	189	182
+	195	175
+	201	167
+	206	159
+	212	149
+	218	139
+	225	128
+	231	116
+	238	103
+	245	88
+	252	73
+	28	259	55	psDrawLines
+	componentGC
+	82	185
+	91	193
+	100	199
+	109	204
+	117	207
+	124	210
+	131	212
+	138	212
+	145	212
+	151	211
+	157	210
+	163	207
+	169	204
+	175	200
+	181	195
+	186	190
+	192	184
+	198	177
+	204	169
+	210	161
+	216	152
+	222	141
+	228	130
+	234	118
+	241	105
+	248	90
+	255	74
+	28	263	57	psDrawLines
+	componentGC
+	85	188
+	95	196
+	104	202
+	112	207
+	120	210
+	128	213
+	135	214
+	141	215
+	148	215
+	154	214
+	160	212
+	166	210
+	172	206
+	178	202
+	184	198
+	189	192
+	195	186
+	201	179
+	207	172
+	213	163
+	219	154
+	225	143
+	231	132
+	238	120
+	244	107
+	251	92
+	259	76
+	28	266	59	psDrawLines
+	componentGC
+	89	191
+	98	199
+	107	205
+	116	209
+	123	213
+	131	215
+	138	217
+	145	218
+	151	217
+	157	216
+	163	214
+	169	212
+	175	209
+	181	205
+	187	200
+	193	195
+	198	188
+	204	181
+	210	174
+	216	165
+	222	156
+	228	146
+	234	134
+	241	122
+	248	109
+	255	94
+	262	78
+	28	270	61	psDrawLines
+	componentGC
+	92	194
+	102	202
+	111	208
+	119	212
+	127	216
+	134	218
+	141	220
+	148	220
+	154	220
+	161	219
+	167	217
+	173	214
+	178	211
+	184	207
+	190	202
+	196	197
+	201	191
+	207	184
+	213	176
+	219	167
+	225	158
+	231	148
+	238	136
+	244	124
+	251	111
+	258	96
+	266	80
+	28	273	63	psDrawLines
+	componentGC
+	96	197
+	106	205
+	114	211
+	123	215
+	130	219
+	138	221
+	144	222
+	151	223
+	158	222
+	164	221
+	170	219
+	176	217
+	182	214
+	187	209
+	193	205
+	199	199
+	205	193
+	210	186
+	216	178
+	222	170
+	228	160
+	235	150
+	241	139
+	248	126
+	255	113
+	262	98
+	269	82
+	28	277	65	psDrawLines
+	componentGC
+	277	65
+	273	63
+	270	61
+	266	59
+	263	57
+	259	55
+	256	54
+	252	52
+	249	50
+	245	48
+	242	46
+	239	44
+	235	43
+	232	41
+	229	39
+	225	37
+	222	36
+	219	34
+	216	32
+	213	30
+	210	29
+	206	27
+	203	25
+	200	24
+	197	22
+	194	20
+	191	19
+	28	188	17	psDrawLines
+	componentGC
+	269	82
+	266	80
+	262	78
+	259	76
+	255	74
+	252	73
+	248	71
+	245	69
+	242	67
+	238	65
+	235	63
+	232	61
+	228	59
+	225	58
+	222	56
+	219	54
+	215	52
+	212	50
+	209	49
+	206	47
+	203	45
+	200	44
+	197	42
+	194	40
+	191	38
+	188	37
+	185	35
+	28	182	33	psDrawLines
+	componentGC
+	262	98
+	258	96
+	255	94
+	251	92
+	248	90
+	245	88
+	241	86
+	238	84
+	235	82
+	231	81
+	228	79
+	225	77
+	222	75
+	218	73
+	215	71
+	212	69
+	209	68
+	206	66
+	203	64
+	200	62
+	197	60
+	194	59
+	191	57
+	188	55
+	185	53
+	182	52
+	179	50
+	28	176	48	psDrawLines
+	componentGC
+	255	113
+	251	111
+	248	109
+	244	107
+	241	105
+	238	103
+	234	101
+	231	99
+	228	97
+	225	95
+	221	93
+	218	91
+	215	89
+	212	87
+	209	85
+	206	83
+	203	82
+	200	80
+	197	78
+	194	76
+	191	74
+	188	73
+	185	71
+	182	69
+	179	67
+	176	66
+	173	64
+	28	170	62	psDrawLines
+	componentGC
+	248	126
+	244	124
+	241	122
+	238	120
+	234	118
+	231	116
+	228	114
+	225	112
+	221	110
+	218	108
+	215	106
+	212	104
+	209	102
+	206	100
+	203	98
+	200	96
+	197	95
+	194	93
+	191	91
+	188	89
+	185	87
+	182	85
+	179	84
+	176	82
+	173	80
+	170	78
+	167	76
+	28	165	75	psDrawLines
+	componentGC
+	241	139
+	238	136
+	234	134
+	231	132
+	228	130
+	225	128
+	221	126
+	218	124
+	215	122
+	212	120
+	209	118
+	206	116
+	203	114
+	200	112
+	197	110
+	194	108
+	191	106
+	188	104
+	185	103
+	182	101
+	179	99
+	176	97
+	173	95
+	170	93
+	167	92
+	165	90
+	162	88
+	28	159	86	psDrawLines
+	componentGC
+	235	150
+	231	148
+	228	146
+	225	143
+	222	141
+	218	139
+	215	137
+	212	135
+	209	133
+	206	131
+	203	129
+	200	127
+	197	125
+	194	123
+	191	121
+	188	119
+	185	117
+	182	115
+	179	113
+	176	111
+	173	110
+	170	108
+	167	106
+	165	104
+	162	102
+	159	100
+	156	99
+	28	154	97	psDrawLines
+	componentGC
+	228	160
+	225	158
+	222	156
+	219	154
+	216	152
+	212	149
+	209	147
+	206	145
+	203	143
+	200	141
+	197	139
+	194	137
+	191	135
+	188	133
+	185	131
+	182	129
+	179	127
+	176	125
+	173	123
+	170	121
+	168	119
+	165	117
+	162	116
+	159	114
+	156	112
+	154	110
+	151	108
+	28	148	106	psDrawLines
+	componentGC
+	222	170
+	219	167
+	216	165
+	213	163
+	210	161
+	206	159
+	203	157
+	200	154
+	197	152
+	194	150
+	191	148
+	188	146
+	185	144
+	182	142
+	179	140
+	176	138
+	173	136
+	171	134
+	168	132
+	165	130
+	162	128
+	159	126
+	156	124
+	154	123
+	151	121
+	148	119
+	145	117
+	28	143	115	psDrawLines
+	componentGC
+	216	178
+	213	176
+	210	174
+	207	172
+	204	169
+	201	167
+	197	165
+	194	163
+	191	161
+	188	159
+	185	157
+	182	154
+	179	152
+	176	150
+	174	148
+	171	146
+	168	144
+	165	142
+	162	140
+	159	138
+	156	136
+	154	134
+	151	132
+	148	130
+	145	129
+	143	127
+	140	125
+	28	137	123	psDrawLines
+	componentGC
+	210	186
+	207	184
+	204	181
+	201	179
+	198	177
+	195	175
+	192	173
+	189	170
+	186	168
+	183	166
+	180	164
+	177	162
+	174	160
+	171	158
+	168	156
+	165	154
+	162	152
+	159	149
+	156	147
+	154	145
+	151	143
+	148	142
+	145	140
+	143	138
+	140	136
+	137	134
+	135	132
+	28	132	130	psDrawLines
+	componentGC
+	205	193
+	201	191
+	198	188
+	195	186
+	192	184
+	189	182
+	186	179
+	183	177
+	180	175
+	177	173
+	174	171
+	171	169
+	168	166
+	165	164
+	162	162
+	159	160
+	157	158
+	154	156
+	151	154
+	148	152
+	145	150
+	143	148
+	140	146
+	137	144
+	134	142
+	132	140
+	129	138
+	28	126	136	psDrawLines
+	componentGC
+	199	199
+	196	197
+	193	195
+	189	192
+	186	190
+	183	188
+	180	185
+	177	183
+	174	181
+	171	179
+	168	177
+	165	174
+	162	172
+	160	170
+	157	168
+	154	166
+	151	164
+	148	162
+	145	160
+	142	158
+	140	156
+	137	154
+	134	152
+	132	150
+	129	148
+	126	146
+	123	144
+	28	121	142	psDrawLines
+	componentGC
+	193	205
+	190	202
+	187	200
+	184	198
+	181	195
+	178	193
+	175	191
+	172	189
+	169	186
+	166	184
+	163	182
+	160	180
+	157	177
+	154	175
+	151	173
+	148	171
+	145	169
+	142	167
+	140	165
+	137	163
+	134	160
+	131	158
+	129	156
+	126	154
+	123	152
+	121	150
+	118	148
+	28	115	146	psDrawLines
+	componentGC
+	187	209
+	184	207
+	181	205
+	178	202
+	175	200
+	172	198
+	169	195
+	166	193
+	163	191
+	160	189
+	157	186
+	154	184
+	151	182
+	148	180
+	145	177
+	142	175
+	139	173
+	137	171
+	134	169
+	131	167
+	128	165
+	126	163
+	123	160
+	120	158
+	117	156
+	115	154
+	112	152
+	28	109	150	psDrawLines
+	componentGC
+	182	214
+	178	211
+	175	209
+	172	206
+	169	204
+	166	202
+	163	199
+	160	197
+	157	195
+	154	192
+	151	190
+	148	188
+	145	185
+	142	183
+	139	181
+	136	179
+	134	177
+	131	174
+	128	172
+	125	170
+	122	168
+	120	166
+	117	164
+	114	162
+	112	160
+	109	158
+	106	156
+	28	104	154	psDrawLines
+	componentGC
+	176	217
+	173	214
+	169	212
+	166	210
+	163	207
+	160	205
+	157	202
+	154	200
+	151	198
+	148	195
+	145	193
+	142	191
+	139	188
+	136	186
+	133	184
+	130	182
+	128	179
+	125	177
+	122	175
+	119	173
+	116	171
+	114	169
+	111	166
+	108	164
+	105	162
+	103	160
+	100	158
+	28	98	156	psDrawLines
+	componentGC
+	170	219
+	167	217
+	163	214
+	160	212
+	157	210
+	154	207
+	151	205
+	148	202
+	145	200
+	142	198
+	139	195
+	136	193
+	133	191
+	130	188
+	127	186
+	124	184
+	121	181
+	119	179
+	116	177
+	113	175
+	110	173
+	107	170
+	105	168
+	102	166
+	99	164
+	97	162
+	94	160
+	28	91	158	psDrawLines
+	componentGC
+	164	221
+	161	219
+	157	216
+	154	214
+	151	211
+	148	209
+	145	206
+	142	204
+	139	201
+	136	199
+	133	197
+	130	194
+	127	192
+	124	190
+	121	187
+	118	185
+	115	183
+	112	180
+	109	178
+	107	176
+	104	174
+	101	172
+	98	169
+	96	167
+	93	165
+	90	163
+	87	161
+	28	85	159	psDrawLines
+	componentGC
+	158	222
+	154	220
+	151	217
+	148	215
+	145	212
+	142	210
+	138	207
+	135	205
+	132	202
+	129	200
+	126	197
+	123	195
+	120	193
+	117	190
+	114	188
+	111	186
+	109	183
+	106	181
+	103	179
+	100	176
+	97	174
+	94	172
+	92	170
+	89	167
+	86	165
+	83	163
+	81	161
+	28	78	159	psDrawLines
+	componentGC
+	151	223
+	148	220
+	145	218
+	141	215
+	138	212
+	135	210
+	132	207
+	129	205
+	126	202
+	123	200
+	120	197
+	116	195
+	113	192
+	110	190
+	108	188
+	105	185
+	102	183
+	99	180
+	96	178
+	93	176
+	90	174
+	87	171
+	85	169
+	82	167
+	79	165
+	76	162
+	74	160
+	28	71	158	psDrawLines
+	componentGC
+	144	222
+	141	220
+	138	217
+	135	214
+	131	212
+	128	209
+	125	206
+	122	204
+	119	201
+	116	199
+	113	196
+	109	194
+	106	191
+	103	189
+	100	186
+	97	184
+	94	182
+	92	179
+	89	177
+	86	175
+	83	172
+	80	170
+	77	168
+	74	165
+	72	163
+	69	161
+	66	159
+	28	63	156	psDrawLines
+	componentGC
+	138	221
+	134	218
+	131	215
+	128	213
+	124	210
+	121	207
+	118	205
+	115	202
+	111	199
+	108	197
+	105	194
+	102	192
+	99	189
+	96	187
+	93	184
+	90	182
+	87	179
+	84	177
+	81	175
+	78	172
+	75	170
+	72	168
+	70	165
+	67	163
+	64	161
+	61	158
+	58	156
+	28	56	154	psDrawLines
+	componentGC
+	130	219
+	127	216
+	123	213
+	120	210
+	117	207
+	113	205
+	110	202
+	107	199
+	104	197
+	101	194
+	97	191
+	94	189
+	91	186
+	88	184
+	85	181
+	82	179
+	79	176
+	76	174
+	73	171
+	70	169
+	67	167
+	64	164
+	61	162
+	58	159
+	56	157
+	53	155
+	50	152
+	28	47	150	psDrawLines
+	componentGC
+	123	215
+	119	212
+	116	209
+	112	207
+	109	204
+	105	201
+	102	198
+	99	196
+	96	193
+	92	190
+	89	188
+	86	185
+	83	182
+	80	180
+	77	177
+	74	175
+	70	172
+	67	170
+	64	167
+	61	165
+	58	162
+	56	160
+	53	157
+	50	155
+	47	153
+	44	150
+	41	148
+	28	38	146	psDrawLines
+	componentGC
+	114	211
+	111	208
+	107	205
+	104	202
+	100	199
+	97	196
+	94	193
+	90	191
+	87	188
+	84	185
+	80	182
+	77	180
+	74	177
+	71	174
+	68	172
+	64	169
+	61	167
+	58	164
+	55	162
+	52	159
+	49	157
+	46	154
+	43	152
+	40	149
+	37	147
+	35	144
+	32	142
+	28	29	140	psDrawLines
+	componentGC
+	106	205
+	102	202
+	98	199
+	95	196
+	91	193
+	88	190
+	84	187
+	81	184
+	78	182
+	74	179
+	71	176
+	68	173
+	64	170
+	61	168
+	58	165
+	55	162
+	52	160
+	48	157
+	45	155
+	42	152
+	39	150
+	36	147
+	33	145
+	30	142
+	27	140
+	24	137
+	21	135
+	28	19	132	psDrawLines
+	componentGC
+	96	197
+	92	194
+	89	191
+	85	188
+	82	185
+	78	182
+	74	179
+	71	177
+	68	174
+	64	171
+	61	168
+	57	165
+	54	162
+	51	160
+	47	157
+	44	154
+	41	152
+	38	149
+	35	146
+	32	144
+	28	141
+	25	139
+	22	136
+	19	134
+	16	131
+	13	129
+	10	126
+	28	7	124	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/ribbon2.ps b/books/ps/ribbon2.ps
new file mode 100644
index 0000000..203629d
--- /dev/null
+++ b/books/ps/ribbon2.ps
@@ -0,0 +1,418 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	17	215	192	94	psDrawLine
+	globGC	(X)	12	220	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	202	215	42	94	psDrawLine
+	globGC	(Y)	207	220	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	108	53	119	219	psDrawLine
+	globGC	(Z)	103	48	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC
+	14	124
+	25	133
+	34	140
+	44	145
+	52	150
+	60	153
+	67	155
+	75	157
+	81	158
+	88	158
+	94	157
+	100	155
+	106	153
+	111	150
+	117	146
+	122	141
+	127	136
+	133	130
+	138	124
+	143	116
+	148	108
+	153	99
+	159	89
+	164	78
+	169	66
+	175	53
+	180	38
+	28	186	23	psDrawLines
+	componentGC
+	99	195
+	108	202
+	116	207
+	124	211
+	131	215
+	138	217
+	145	218
+	151	219
+	157	219
+	163	217
+	169	216
+	175	213
+	180	210
+	186	206
+	191	202
+	197	196
+	202	190
+	208	184
+	213	176
+	219	168
+	225	159
+	231	149
+	237	138
+	243	127
+	250	114
+	256	100
+	264	85
+	28	271	68	psDrawLines
+	componentGC
+	271	68
+	2	186	23	psDrawLines
+	componentGC
+	264	85
+	2	180	38	psDrawLines
+	componentGC
+	256	100
+	2	175	53	psDrawLines
+	componentGC
+	250	114
+	2	169	66	psDrawLines
+	componentGC
+	243	127
+	2	164	78	psDrawLines
+	componentGC
+	237	138
+	2	159	89	psDrawLines
+	componentGC
+	231	149
+	2	153	99	psDrawLines
+	componentGC
+	225	159
+	2	148	108	psDrawLines
+	componentGC
+	219	168
+	2	143	116	psDrawLines
+	componentGC
+	213	176
+	2	138	124	psDrawLines
+	componentGC
+	208	184
+	2	133	130	psDrawLines
+	componentGC
+	202	190
+	2	127	136	psDrawLines
+	componentGC
+	197	196
+	2	122	141	psDrawLines
+	componentGC
+	191	202
+	2	117	146	psDrawLines
+	componentGC
+	186	206
+	2	111	150	psDrawLines
+	componentGC
+	180	210
+	2	106	153	psDrawLines
+	componentGC
+	175	213
+	2	100	155	psDrawLines
+	componentGC
+	169	216
+	2	94	157	psDrawLines
+	componentGC
+	163	217
+	2	88	158	psDrawLines
+	componentGC
+	157	219
+	2	81	158	psDrawLines
+	componentGC
+	151	219
+	2	75	157	psDrawLines
+	componentGC
+	145	218
+	2	67	155	psDrawLines
+	componentGC
+	138	217
+	2	60	153	psDrawLines
+	componentGC
+	131	215
+	2	52	150	psDrawLines
+	componentGC
+	124	211
+	2	44	145	psDrawLines
+	componentGC
+	116	207
+	2	34	140	psDrawLines
+	componentGC
+	108	202
+	2	25	133	psDrawLines
+	componentGC
+	99	195
+	2	14	124	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/ribbon2r.ps b/books/ps/ribbon2r.ps
new file mode 100644
index 0000000..d198150
--- /dev/null
+++ b/books/ps/ribbon2r.ps
@@ -0,0 +1,418 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	12	196	287	196	psDrawLine
+	globGC	(X)	7	201	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	212	150	186	psDrawLine
+	globGC	(Y)	155	217	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	150	59	150	334	psDrawLine
+	globGC	(Z)	155	54	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC
+	32	79
+	40	95
+	49	111
+	58	125
+	67	138
+	75	150
+	84	160
+	93	169
+	102	177
+	110	183
+	119	189
+	128	192
+	136	195
+	145	196
+	154	196
+	163	195
+	171	192
+	180	189
+	189	183
+	197	177
+	206	169
+	215	160
+	224	150
+	232	138
+	241	125
+	250	111
+	259	95
+	28	267	79	psDrawLines
+	componentGC
+	6	66
+	16	86
+	27	105
+	38	122
+	48	138
+	59	153
+	70	165
+	80	176
+	91	186
+	102	194
+	112	200
+	123	205
+	134	208
+	144	209
+	155	209
+	165	208
+	176	205
+	187	200
+	197	194
+	208	186
+	219	176
+	229	165
+	240	153
+	251	138
+	261	122
+	272	105
+	283	86
+	28	293	66	psDrawLines
+	componentGC
+	293	66
+	2	267	79	psDrawLines
+	componentGC
+	283	86
+	2	259	95	psDrawLines
+	componentGC
+	272	105
+	2	250	111	psDrawLines
+	componentGC
+	261	122
+	2	241	125	psDrawLines
+	componentGC
+	251	138
+	2	232	138	psDrawLines
+	componentGC
+	240	153
+	2	224	150	psDrawLines
+	componentGC
+	229	165
+	2	215	160	psDrawLines
+	componentGC
+	219	176
+	2	206	169	psDrawLines
+	componentGC
+	208	186
+	2	197	177	psDrawLines
+	componentGC
+	197	194
+	2	189	183	psDrawLines
+	componentGC
+	187	200
+	2	180	189	psDrawLines
+	componentGC
+	176	205
+	2	171	192	psDrawLines
+	componentGC
+	165	208
+	2	163	195	psDrawLines
+	componentGC
+	155	209
+	2	154	196	psDrawLines
+	componentGC
+	144	209
+	2	145	196	psDrawLines
+	componentGC
+	134	208
+	2	136	195	psDrawLines
+	componentGC
+	123	205
+	2	128	192	psDrawLines
+	componentGC
+	112	200
+	2	119	189	psDrawLines
+	componentGC
+	102	194
+	2	110	183	psDrawLines
+	componentGC
+	91	186
+	2	102	177	psDrawLines
+	componentGC
+	80	176
+	2	93	169	psDrawLines
+	componentGC
+	70	165
+	2	84	160	psDrawLines
+	componentGC
+	59	153
+	2	75	150	psDrawLines
+	componentGC
+	48	138
+	2	67	138	psDrawLines
+	componentGC
+	38	122
+	2	58	125	psDrawLines
+	componentGC
+	27	105
+	2	49	111	psDrawLines
+	componentGC
+	16	86
+	2	40	95	psDrawLines
+	componentGC
+	6	66
+	2	32	79	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/ribbons.ps b/books/ps/ribbons.ps
new file mode 100644
index 0000000..e4a3e34
--- /dev/null
+++ b/books/ps/ribbons.ps
@@ -0,0 +1,560 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	11	180	180	81	psDrawLine
+	globGC	(X)	6	185	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	182	180	42	81	psDrawLine
+	globGC	(Y)	187	185	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	93	27	113	198	psDrawLine
+	globGC	(Z)	88	22	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC
+	3	88
+	14	98
+	24	106
+	34	113
+	42	119
+	51	123
+	58	127
+	66	129
+	72	131
+	79	132
+	85	132
+	91	131
+	97	129
+	102	127
+	107	124
+	112	120
+	117	115
+	122	110
+	127	104
+	132	97
+	137	89
+	141	81
+	146	71
+	151	61
+	155	49
+	160	37
+	165	23
+	28	170	8	psDrawLines
+	componentGC
+	75	144
+	85	153
+	95	161
+	103	167
+	111	172
+	119	175
+	126	178
+	132	180
+	139	181
+	145	181
+	151	180
+	156	179
+	162	176
+	167	173
+	173	170
+	178	165
+	183	160
+	188	154
+	193	147
+	199	139
+	204	131
+	209	122
+	215	111
+	220	100
+	226	88
+	232	74
+	238	60
+	28	245	44	psDrawLines
+	componentGC
+	245	44
+	2	170	8	psDrawLines
+	componentGC
+	238	60
+	2	165	23	psDrawLines
+	componentGC
+	232	74
+	2	160	37	psDrawLines
+	componentGC
+	226	88
+	2	155	49	psDrawLines
+	componentGC
+	220	100
+	2	151	61	psDrawLines
+	componentGC
+	215	111
+	2	146	71	psDrawLines
+	componentGC
+	209	122
+	2	141	81	psDrawLines
+	componentGC
+	204	131
+	2	137	89	psDrawLines
+	componentGC
+	199	139
+	2	132	97	psDrawLines
+	componentGC
+	193	147
+	2	127	104	psDrawLines
+	componentGC
+	188	154
+	2	122	110	psDrawLines
+	componentGC
+	183	160
+	2	117	115	psDrawLines
+	componentGC
+	178	165
+	2	112	120	psDrawLines
+	componentGC
+	173	170
+	2	107	124	psDrawLines
+	componentGC
+	167	173
+	2	102	127	psDrawLines
+	componentGC
+	162	176
+	2	97	129	psDrawLines
+	componentGC
+	156	179
+	2	91	131	psDrawLines
+	componentGC
+	151	180
+	2	85	132	psDrawLines
+	componentGC
+	145	181
+	2	79	132	psDrawLines
+	componentGC
+	139	181
+	2	72	131	psDrawLines
+	componentGC
+	132	180
+	2	66	129	psDrawLines
+	componentGC
+	126	178
+	2	58	127	psDrawLines
+	componentGC
+	119	175
+	2	51	123	psDrawLines
+	componentGC
+	111	172
+	2	42	119	psDrawLines
+	componentGC
+	103	167
+	2	34	113	psDrawLines
+	componentGC
+	95	161
+	2	24	106	psDrawLines
+	componentGC
+	85	153
+	2	14	98	psDrawLines
+	componentGC
+	75	144
+	2	3	88	psDrawLines
+	componentGC
+	75	144
+	86	159
+	96	170
+	105	178
+	113	184
+	120	187
+	127	189
+	133	189
+	139	188
+	145	186
+	151	184
+	156	181
+	162	177
+	167	173
+	173	170
+	178	166
+	183	163
+	188	160
+	193	158
+	198	156
+	202	156
+	207	157
+	211	159
+	215	162
+	219	167
+	222	172
+	225	180
+	28	228	188	psDrawLines
+	componentGC
+	170	217
+	178	230
+	185	240
+	191	246
+	197	250
+	203	252
+	209	253
+	214	252
+	220	250
+	226	247
+	231	243
+	236	239
+	242	235
+	247	230
+	252	226
+	258	221
+	263	217
+	267	213
+	272	210
+	276	208
+	280	207
+	284	207
+	287	208
+	290	211
+	292	215
+	294	220
+	295	226
+	28	296	234	psDrawLines
+	componentGC
+	296	234
+	2	228	188	psDrawLines
+	componentGC
+	295	226
+	2	225	180	psDrawLines
+	componentGC
+	294	220
+	2	222	172	psDrawLines
+	componentGC
+	292	215
+	2	219	167	psDrawLines
+	componentGC
+	290	211
+	2	215	162	psDrawLines
+	componentGC
+	287	208
+	2	211	159	psDrawLines
+	componentGC
+	284	207
+	2	207	157	psDrawLines
+	componentGC
+	280	207
+	2	202	156	psDrawLines
+	componentGC
+	276	208
+	2	198	156	psDrawLines
+	componentGC
+	272	210
+	2	193	158	psDrawLines
+	componentGC
+	267	213
+	2	188	160	psDrawLines
+	componentGC
+	263	217
+	2	183	163	psDrawLines
+	componentGC
+	258	221
+	2	178	166	psDrawLines
+	componentGC
+	252	226
+	2	173	170	psDrawLines
+	componentGC
+	247	230
+	2	167	173	psDrawLines
+	componentGC
+	242	235
+	2	162	177	psDrawLines
+	componentGC
+	236	239
+	2	156	181	psDrawLines
+	componentGC
+	231	243
+	2	151	184	psDrawLines
+	componentGC
+	226	247
+	2	145	186	psDrawLines
+	componentGC
+	220	250
+	2	139	188	psDrawLines
+	componentGC
+	214	252
+	2	133	189	psDrawLines
+	componentGC
+	209	253
+	2	127	189	psDrawLines
+	componentGC
+	203	252
+	2	120	187	psDrawLines
+	componentGC
+	197	250
+	2	113	184	psDrawLines
+	componentGC
+	191	246
+	2	105	178	psDrawLines
+	componentGC
+	185	240
+	2	96	170	psDrawLines
+	componentGC
+	178	230
+	2	86	159	psDrawLines
+	componentGC
+	170	217
+	2	75	144	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/ribbons2.ps b/books/ps/ribbons2.ps
new file mode 100644
index 0000000..d09dd45
--- /dev/null
+++ b/books/ps/ribbons2.ps
@@ -0,0 +1,1488 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	11	180	180	81	psDrawLine
+	globGC	(X)	6	185	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	182	180	42	81	psDrawLine
+	globGC	(Y)	187	185	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	93	27	113	198	psDrawLine
+	globGC	(Z)	88	22	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.562500	setForeground
+	renderGC
+	225	180
+	296	234
+	228	188
+	4	225	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	296	234
+	228	188
+	3	225	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	172
+	295	226
+	225	180
+	4	222	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	295	226
+	225	180
+	3	222	172	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	296	234
+	225	180
+	295	226
+	4	296	234	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	180
+	295	226
+	3	296	234	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	219	167
+	294	220
+	222	172
+	4	219	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	294	220
+	222	172
+	3	219	167	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	295	226
+	222	172
+	294	220
+	4	295	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	172
+	294	220
+	3	295	226	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	215	162
+	292	215
+	219	167
+	4	215	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	292	215
+	219	167
+	3	215	162	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	294	220
+	219	167
+	292	215
+	4	294	220	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	167
+	292	215
+	3	294	220	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	211	159
+	290	211
+	215	162
+	4	211	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	290	211
+	215	162
+	3	211	159	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	292	215
+	215	162
+	290	211
+	4	292	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	162
+	290	211
+	3	292	215	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	122	110
+	193	147
+	127	104
+	4	122	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	147
+	127	104
+	3	122	110	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	199	139
+	127	104
+	193	147
+	4	199	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	104
+	193	147
+	3	199	139	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	127	104
+	199	139
+	132	97
+	4	127	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	139
+	132	97
+	3	127	104	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	204	131
+	132	97
+	199	139
+	4	204	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	97
+	199	139
+	3	204	131	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	132	97
+	204	131
+	137	89
+	4	132	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	131
+	137	89
+	3	132	97	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	117	115
+	188	154
+	122	110
+	4	117	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	154
+	122	110
+	3	117	115	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	193	147
+	122	110
+	188	154
+	4	193	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	110
+	188	154
+	3	193	147	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	209	122
+	137	89
+	204	131
+	4	209	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	89
+	204	131
+	3	209	122	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	137	89
+	209	122
+	141	81
+	4	137	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	122
+	141	81
+	3	137	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	112	120
+	183	160
+	117	115
+	4	112	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	160
+	117	115
+	3	112	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	188	154
+	117	115
+	183	160
+	4	188	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	115
+	183	160
+	3	188	154	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	215	111
+	141	81
+	209	122
+	4	215	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	141	81
+	209	122
+	3	215	111	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	141	81
+	215	111
+	146	71
+	4	141	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	111
+	146	71
+	3	141	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	107	124
+	178	165
+	112	120
+	4	107	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	165
+	112	120
+	3	107	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	160
+	112	120
+	178	165
+	4	183	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	120
+	178	165
+	3	183	160	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	220	100
+	146	71
+	215	111
+	4	220	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	71
+	215	111
+	3	220	100	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	146	71
+	220	100
+	151	61
+	4	146	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	100
+	151	61
+	3	146	71	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	127
+	173	170
+	107	124
+	4	102	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	170
+	107	124
+	3	102	127	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	165
+	107	124
+	173	170
+	4	178	165	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	124
+	173	170
+	3	178	165	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	226	88
+	151	61
+	220	100
+	4	226	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	61
+	220	100
+	3	226	88	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	151	61
+	226	88
+	155	49
+	4	151	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	88
+	155	49
+	3	151	61	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	207	157
+	287	208
+	211	159
+	4	207	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	287	208
+	211	159
+	3	207	157	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	290	211
+	211	159
+	287	208
+	4	290	211	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	159
+	287	208
+	3	290	211	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	97	129
+	167	173
+	102	127
+	4	97	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	173
+	102	127
+	3	97	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	170
+	102	127
+	167	173
+	4	173	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	127
+	167	173
+	3	173	170	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	232	74
+	155	49
+	226	88
+	4	232	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	155	49
+	226	88
+	3	232	74	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	155	49
+	232	74
+	160	37
+	4	155	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	232	74
+	160	37
+	3	155	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	131
+	162	176
+	97	129
+	4	91	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	176
+	97	129
+	3	91	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	173
+	97	129
+	162	176
+	4	167	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	97	129
+	162	176
+	3	167	173	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	238	60
+	160	37
+	232	74
+	4	238	60	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	37
+	232	74
+	3	238	60	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	160	37
+	238	60
+	165	23
+	4	160	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	60
+	165	23
+	3	160	37	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	202	156
+	284	207
+	207	157
+	4	202	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	284	207
+	207	157
+	3	202	156	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	287	208
+	207	157
+	284	207
+	4	287	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	157
+	284	207
+	3	287	208	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	132
+	156	179
+	91	131
+	4	85	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	179
+	91	131
+	3	85	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	176
+	91	131
+	156	179
+	4	162	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	131
+	156	179
+	3	162	176	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	245	44
+	165	23
+	238	60
+	4	245	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	165	23
+	238	60
+	3	245	44	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	165	23
+	245	44
+	170	8
+	4	165	23	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	245	44
+	170	8
+	3	165	23	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	79	132
+	151	180
+	85	132
+	4	79	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	180
+	85	132
+	3	79	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	179
+	85	132
+	151	180
+	4	156	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	132
+	151	180
+	3	156	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	198	156
+	280	207
+	202	156
+	4	198	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	280	207
+	202	156
+	3	198	156	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	284	207
+	202	156
+	280	207
+	4	284	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	156
+	280	207
+	3	284	207	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	72	131
+	145	181
+	79	132
+	4	72	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	181
+	79	132
+	3	72	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	180
+	79	132
+	145	181
+	4	151	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	132
+	145	181
+	3	151	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	193	158
+	276	208
+	198	156
+	4	193	158	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	276	208
+	198	156
+	3	193	158	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	280	207
+	198	156
+	276	208
+	4	280	207	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	198	156
+	276	208
+	3	280	207	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	160
+	272	210
+	193	158
+	4	188	160	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	272	210
+	193	158
+	3	188	160	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	276	208
+	193	158
+	272	210
+	4	276	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	193	158
+	272	210
+	3	276	208	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	66	129
+	139	181
+	72	131
+	4	66	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	181
+	72	131
+	3	66	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	145	181
+	72	131
+	139	181
+	4	145	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	131
+	139	181
+	3	145	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	163
+	267	213
+	188	160
+	4	183	163	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	267	213
+	188	160
+	3	183	163	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	272	210
+	188	160
+	267	213
+	4	272	210	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	160
+	267	213
+	3	272	210	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	178	166
+	263	217
+	183	163
+	4	178	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	217
+	183	163
+	3	178	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	267	213
+	183	163
+	263	217
+	4	267	213	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	163
+	263	217
+	3	267	213	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	58	127
+	132	180
+	66	129
+	4	58	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	180
+	66	129
+	3	58	127	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	139	181
+	66	129
+	132	180
+	4	139	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	66	129
+	132	180
+	3	139	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	170
+	258	221
+	178	166
+	4	173	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	221
+	178	166
+	3	173	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	217
+	178	166
+	258	221
+	4	263	217	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	166
+	258	221
+	3	263	217	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	167	173
+	252	226
+	173	170
+	4	167	173	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	252	226
+	173	170
+	3	167	173	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	258	221
+	173	170
+	252	226
+	4	258	221	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	170
+	252	226
+	3	258	221	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	51	123
+	126	178
+	58	127
+	4	51	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	126	178
+	58	127
+	3	51	123	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	132	180
+	58	127
+	126	178
+	4	132	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	58	127
+	126	178
+	3	132	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	177
+	247	230
+	167	173
+	4	162	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	230
+	167	173
+	3	162	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	252	226
+	167	173
+	247	230
+	4	252	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	173
+	247	230
+	3	252	226	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	181
+	242	235
+	162	177
+	4	156	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	235
+	162	177
+	3	156	181	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	247	230
+	162	177
+	242	235
+	4	247	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	177
+	242	235
+	3	247	230	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	42	119
+	119	175
+	51	123
+	4	42	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	119	175
+	51	123
+	3	42	119	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	126	178
+	51	123
+	119	175
+	4	126	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	51	123
+	119	175
+	3	126	178	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	184
+	236	239
+	156	181
+	4	151	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	239
+	156	181
+	3	151	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	242	235
+	156	181
+	236	239
+	4	242	235	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	181
+	236	239
+	3	242	235	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	186
+	231	243
+	151	184
+	4	145	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	243
+	151	184
+	3	145	186	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	236	239
+	151	184
+	231	243
+	4	236	239	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	184
+	231	243
+	3	236	239	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	188
+	226	247
+	145	186
+	4	139	188	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	247
+	145	186
+	3	139	188	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	243
+	145	186
+	226	247
+	4	231	243	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	186
+	226	247
+	3	231	243	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	34	113
+	111	172
+	42	119
+	4	34	113	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	172
+	42	119
+	3	34	113	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	119	175
+	42	119
+	111	172
+	4	119	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	42	119
+	111	172
+	3	119	175	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	189
+	220	250
+	139	188
+	4	133	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	250
+	139	188
+	3	133	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	226	247
+	139	188
+	220	250
+	4	226	247	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	188
+	220	250
+	3	226	247	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	24	106
+	103	167
+	34	113
+	4	24	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	167
+	34	113
+	3	24	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	111	172
+	34	113
+	103	167
+	4	111	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	34	113
+	103	167
+	3	111	172	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	127	189
+	214	252
+	133	189
+	4	127	189	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	252
+	133	189
+	3	127	189	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	250
+	133	189
+	214	252
+	4	220	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	189
+	214	252
+	3	220	250	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	120	187
+	209	253
+	127	189
+	4	120	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	253
+	127	189
+	3	120	187	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	252
+	127	189
+	209	253
+	4	214	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	127	189
+	209	253
+	3	214	252	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	14	98
+	95	161
+	24	106
+	4	14	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	161
+	24	106
+	3	14	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	103	167
+	24	106
+	95	161
+	4	103	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	24	106
+	95	161
+	3	103	167	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	113	184
+	203	252
+	120	187
+	4	113	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	203	252
+	120	187
+	3	113	184	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	253
+	120	187
+	203	252
+	4	209	253	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	187
+	203	252
+	3	209	253	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	3	88
+	85	153
+	14	98
+	4	3	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	153
+	14	98
+	3	3	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	161
+	14	98
+	85	153
+	4	95	161	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	14	98
+	85	153
+	3	95	161	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	178
+	197	250
+	113	184
+	4	105	178	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	250
+	113	184
+	3	105	178	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	203	252
+	113	184
+	197	250
+	4	203	252	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	113	184
+	197	250
+	3	203	252	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	153
+	3	88
+	75	144
+	4	85	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	3	88
+	75	144
+	3	85	153	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	96	170
+	191	246
+	105	178
+	4	96	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	191	246
+	105	178
+	3	96	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	197	250
+	105	178
+	191	246
+	4	197	250	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	178
+	191	246
+	3	197	250	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	159
+	185	240
+	96	170
+	4	86	159	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	240
+	96	170
+	3	86	159	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	191	246
+	96	170
+	185	240
+	4	191	246	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	170
+	185	240
+	3	191	246	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	75	144
+	178	230
+	86	159
+	4	75	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	230
+	86	159
+	3	75	144	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	185	240
+	86	159
+	178	230
+	4	185	240	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	159
+	178	230
+	3	185	240	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	178	230
+	75	144
+	170	217
+	4	178	230	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	75	144
+	170	217
+	3	178	230	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/ribbons2b.ps b/books/ps/ribbons2b.ps
new file mode 100644
index 0000000..f0898dc
--- /dev/null
+++ b/books/ps/ribbons2b.ps
@@ -0,0 +1,1516 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	62	115	213	91	psDrawLine
+	globGC	(X)	57	120	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	170	141	122	75	psDrawLine
+	globGC	(Y)	175	146	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	140	23	144	167	psDrawLine
+	globGC	(Z)	135	18	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	trashGC	setLineAttributes
+	trashGC	0.000000	setForeground
+	trashGC
+	291	78
+	207	29
+	3	201	147	psDrawLines
+	trashGC
+	65	43
+	82	171
+	3	201	147	psDrawLines
+	trashGC
+	112	269
+	266	226
+	3	201	147	psDrawLines
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	154	98
+	184	126
+	159	96
+	4	154	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	126
+	159	96
+	3	154	98	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	190	122
+	159	96
+	184	126
+	4	190	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	96
+	184	126
+	3	190	122	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	96
+	190	122
+	163	92
+	4	159	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	122
+	163	92
+	3	159	96	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	117
+	163	92
+	190	122
+	4	195	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	92
+	190	122
+	3	195	117	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	163	92
+	195	117
+	168	88
+	4	163	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	117
+	168	88
+	3	163	92	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	149	101
+	179	129
+	154	98
+	4	149	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	129
+	154	98
+	3	149	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	184	126
+	154	98
+	179	129
+	4	184	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	98
+	179	129
+	3	184	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	112
+	168	88
+	195	117
+	4	201	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	88
+	195	117
+	3	201	112	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	168	88
+	201	112
+	173	84
+	4	168	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	112
+	173	84
+	3	168	88	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	145	102
+	173	132
+	149	101
+	4	145	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	132
+	149	101
+	3	145	102	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	179	129
+	149	101
+	173	132
+	4	179	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	101
+	173	132
+	3	179	129	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	206	106
+	173	84
+	201	112
+	4	206	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	84
+	201	112
+	3	206	106	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	173	84
+	206	106
+	177	78
+	4	173	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	206	106
+	177	78
+	3	173	84	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	103
+	168	133
+	145	102
+	4	140	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	133
+	145	102
+	3	140	103	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	132
+	145	102
+	168	133
+	4	173	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	102
+	168	133
+	3	173	132	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	212	99
+	177	78
+	206	106
+	4	212	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	78
+	206	106
+	3	212	99	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	177	78
+	212	99
+	182	72
+	4	177	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	212	99
+	182	72
+	3	177	78	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	135	103
+	163	134
+	140	103
+	4	135	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	134
+	140	103
+	3	135	103	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	133
+	140	103
+	163	134
+	4	168	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	103
+	163	134
+	3	168	133	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	218	91
+	182	72
+	212	99
+	4	218	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	182	72
+	212	99
+	3	218	91	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	182	72
+	218	91
+	187	65
+	4	182	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	91
+	187	65
+	3	182	72	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	225	171
+	266	226
+	229	181
+	4	225	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	226
+	229	181
+	3	225	171	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	102
+	157	135
+	135	103
+	4	130	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	135
+	135	103
+	3	130	102	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	134
+	135	103
+	157	135
+	4	163	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	135	103
+	157	135
+	3	163	134	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	223	82
+	187	65
+	218	91
+	4	223	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	65
+	218	91
+	3	223	82	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	187	65
+	223	82
+	192	57
+	4	187	65	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	223	82
+	192	57
+	3	187	65	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	125	101
+	151	134
+	130	102
+	4	125	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	134
+	130	102
+	3	125	101	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	135
+	130	102
+	151	134
+	4	157	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	102
+	151	134
+	3	157	135	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	229	72
+	192	57
+	223	82
+	4	229	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	57
+	223	82
+	3	229	72	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	192	57
+	229	72
+	197	49
+	4	192	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	229	72
+	197	49
+	3	192	57	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	120	99
+	146	133
+	125	101
+	4	120	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	133
+	125	101
+	3	120	99	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	134
+	125	101
+	146	133
+	4	151	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	125	101
+	146	133
+	3	151	134	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	236	61
+	197	49
+	229	72
+	4	236	61	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	49
+	229	72
+	3	236	61	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	197	49
+	236	61
+	202	39
+	4	197	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	61
+	202	39
+	3	197	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	162
+	263	215
+	225	171
+	4	222	162	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	263	215
+	225	171
+	3	222	162	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	266	226
+	225	171
+	263	215
+	4	266	226	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	171
+	263	215
+	3	266	226	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	115	96
+	140	131
+	120	99
+	4	115	96	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	131
+	120	99
+	3	115	96	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	146	133
+	120	99
+	140	131
+	4	146	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	120	99
+	140	131
+	3	146	133	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	242	49
+	202	39
+	236	61
+	4	242	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	39
+	236	61
+	3	242	49	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	202	39
+	242	49
+	207	29
+	4	202	39	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	49
+	207	29
+	3	202	39	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	109	93
+	134	128
+	115	96
+	4	109	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	128
+	115	96
+	3	109	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	131
+	115	96
+	134	128
+	4	140	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	96
+	134	128
+	3	140	131	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	154
+	260	205
+	222	162
+	4	218	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	205
+	222	162
+	3	218	154	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	263	215
+	222	162
+	260	205
+	4	263	215	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	162
+	260	205
+	3	263	215	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	104	88
+	128	124
+	109	93
+	4	104	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	124
+	109	93
+	3	104	88	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	134	128
+	109	93
+	128	124
+	4	134	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	93
+	128	124
+	3	134	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	83
+	122	120
+	104	88
+	4	98	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	120
+	104	88
+	3	98	83	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	124
+	104	88
+	122	120
+	4	128	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	88
+	122	120
+	3	128	124	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	213	147
+	256	197
+	218	154
+	4	213	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	256	197
+	218	154
+	3	213	147	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	260	205
+	218	154
+	256	197
+	4	260	205	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	154
+	256	197
+	3	260	205	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	92	77
+	115	114
+	98	83
+	4	92	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	114
+	98	83
+	3	92	77	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	122	120
+	98	83
+	115	114
+	4	122	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	83
+	115	114
+	3	122	120	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	142
+	251	190
+	213	147
+	4	209	142	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	251	190
+	213	147
+	3	209	142	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	256	197
+	213	147
+	251	190
+	4	256	197	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	147
+	251	190
+	3	256	197	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	86	70
+	108	107
+	92	77
+	4	86	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	107
+	92	77
+	3	86	70	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	115	114
+	92	77
+	108	107
+	4	115	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	77
+	108	107
+	3	115	114	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	138
+	247	184
+	209	142
+	4	204	138	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	247	184
+	209	142
+	3	204	138	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	251	190
+	209	142
+	247	184
+	4	251	190	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	142
+	247	184
+	3	251	190	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	62
+	101	100
+	86	70
+	4	79	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	100
+	86	70
+	3	79	62	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	108	107
+	86	70
+	101	100
+	4	108	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	70
+	101	100
+	3	108	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	135
+	242	180
+	204	138
+	4	199	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	180
+	204	138
+	3	199	135	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	247	184
+	204	138
+	242	180
+	4	247	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	138
+	242	180
+	3	247	184	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	72	53
+	94	91
+	79	62
+	4	72	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	94	91
+	79	62
+	3	72	53	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	101	100
+	79	62
+	94	91
+	4	101	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	62
+	94	91
+	3	101	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	133
+	236	177
+	199	135
+	4	194	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	236	177
+	199	135
+	3	194	133	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	242	180
+	199	135
+	236	177
+	4	242	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	135
+	236	177
+	3	242	180	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	132
+	231	176
+	194	133
+	4	189	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	176
+	194	133
+	3	189	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	236	177
+	194	133
+	231	176
+	4	236	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	133
+	231	176
+	3	236	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	184	132
+	225	175
+	189	132
+	4	184	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	175
+	189	132
+	3	184	132	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	231	176
+	189	132
+	225	175
+	4	231	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	132
+	225	175
+	3	231	176	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	65	43
+	86	81
+	72	53
+	4	65	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	81
+	72	53
+	3	65	43	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	94	91
+	72	53
+	86	81
+	4	94	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	72	53
+	86	81
+	3	94	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	179	132
+	219	175
+	184	132
+	4	179	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	175
+	184	132
+	3	179	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	175
+	184	132
+	219	175
+	4	225	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	132
+	219	175
+	3	225	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	173	133
+	213	175
+	179	132
+	4	173	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	175
+	179	132
+	3	173	133	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	219	175
+	179	132
+	213	175
+	4	219	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	132
+	213	175
+	3	219	175	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	134
+	207	176
+	173	133
+	4	168	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	176
+	173	133
+	3	168	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	213	175
+	173	133
+	207	176
+	4	213	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	133
+	207	176
+	3	213	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	86	81
+	65	43
+	78	69
+	4	86	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	65	43
+	78	69
+	3	86	81	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	163	135
+	200	177
+	168	134
+	4	163	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	200	177
+	168	134
+	3	163	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	207	176
+	168	134
+	200	177
+	4	207	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	134
+	200	177
+	3	207	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	135
+	194	179
+	163	135
+	4	157	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	179
+	163	135
+	3	157	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	200	177
+	163	135
+	194	179
+	4	200	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	135
+	194	179
+	3	200	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	136
+	188	180
+	157	135
+	4	151	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	188	180
+	157	135
+	3	151	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	194	179
+	157	135
+	188	180
+	4	194	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	135
+	188	180
+	3	194	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	146	136
+	181	181
+	151	136
+	4	146	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	181
+	151	136
+	3	146	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	188	180
+	151	136
+	181	181
+	4	188	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	136
+	181	181
+	3	188	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	136
+	175	182
+	146	136
+	4	140	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	175	182
+	146	136
+	3	140	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	181
+	146	136
+	175	182
+	4	181	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	146	136
+	175	182
+	3	181	181	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	134	135
+	168	182
+	140	136
+	4	134	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	182
+	140	136
+	3	134	135	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	175	182
+	140	136
+	168	182
+	4	175	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	136
+	168	182
+	3	175	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	133
+	161	181
+	134	135
+	4	128	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	161	181
+	134	135
+	3	128	133	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	182
+	134	135
+	161	181
+	4	168	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	135
+	161	181
+	3	168	182	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	130
+	154	179
+	128	133
+	4	122	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	179
+	128	133
+	3	122	130	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	161	181
+	128	133
+	154	179
+	4	161	181	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	133
+	154	179
+	3	161	181	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	125
+	147	176
+	122	130
+	4	116	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	176
+	122	130
+	3	116	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	154	179
+	122	130
+	147	176
+	4	154	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	130
+	147	176
+	3	154	179	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	119
+	140	171
+	116	125
+	4	109	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	171
+	116	125
+	3	109	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	176
+	116	125
+	140	171
+	4	147	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	125
+	140	171
+	3	147	176	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	102	110
+	132	164
+	109	119
+	4	102	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	164
+	109	119
+	3	102	110	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	140	171
+	109	119
+	132	164
+	4	140	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	119
+	132	164
+	3	140	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	100
+	124	155
+	102	110
+	4	95	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	124	155
+	102	110
+	3	95	100	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	132	164
+	102	110
+	124	155
+	4	132	164	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	110
+	124	155
+	3	132	164	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	86	86
+	116	143
+	95	100
+	4	86	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	143
+	95	100
+	3	86	86	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	124	155
+	95	100
+	116	143
+	4	124	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	100
+	116	143
+	3	124	155	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	78	69
+	106	127
+	86	86
+	4	78	69	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	127
+	86	86
+	3	78	69	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	116	143
+	86	86
+	106	127
+	4	116	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	86	86
+	106	127
+	3	116	143	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	106	127
+	78	69
+	96	108
+	4	106	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	69
+	96	108
+	3	106	127	psDrawLines
+	1	0	0	trashGC	setLineAttributes
+	trashGC	0.000000	setForeground
+	trashGC
+	96	108
+	291	78
+	3	266	226	psDrawLines
+	trashGC
+	96	108
+	112	269
+	3	82	171	psDrawLines
+	trashGC
+	96	108
+	65	43
+	3	207	29	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/ribbons5.ps b/books/ps/ribbons5.ps
new file mode 100644
index 0000000..0175046
--- /dev/null
+++ b/books/ps/ribbons5.ps
@@ -0,0 +1,3298 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawFilled:
+%		psFillPoly
+%		XPoint[0].y
+%		XPoint[0].x
+%		n
+%		...
+%		XPoint[n].y
+%		XPoint[n].x
+%		graphics-context dictionary
+% this draws a polygon by connecting all the points and fills the
+% region with foreground color
+
+/psFillPoly
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		closepath
+		begin installGC fill end	%% fills with foreground color
+                grestore }
+        def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawLines:
+%		psDrawLines
+%		points[0].y
+%		points[0].x
+%		n
+%		...
+%		points[n].y
+%		points[n].x
+%		graphics-context dictionary
+% this draws lines connecting all the points.
+
+/psDrawLines
+        {	gsave
+                newpath
+                yVal moveto
+                1 sub {
+                        yVal lineto
+                } repeat
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	-422	157	420	32	psDrawLine
+	globGC	(X)	-427	162	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	215	206	79	20	psDrawLine
+	globGC	(Y)	220	211	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	92	-639	130	324	psDrawLine
+	globGC	(Z)	87	-644	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	trashGC	setLineAttributes
+	trashGC	0.000000	setForeground
+	trashGC
+	299	67
+	186	1
+	3	181	123	psDrawLines
+	trashGC
+	41	15
+	59	147
+	3	181	123	psDrawLines
+	trashGC
+	99	277
+	268	228
+	3	181	123	psDrawLines
+	1	0	1	renderGC	setLineAttributes
+	renderGC	0.000000	setForeground
+	renderGC	0.625000	setForeground
+	renderGC
+	177	120
+	194	139
+	181	123
+	4	177	120	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	139
+	181	123
+	3	177	120	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	173	117
+	190	136
+	177	120
+	4	173	117	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	136
+	177	120
+	3	173	117	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	194	139
+	177	120
+	190	136
+	4	194	139	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	120
+	190	136
+	3	194	139	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	168	114
+	185	132
+	173	117
+	4	168	114	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	132
+	173	117
+	3	168	114	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	190	136
+	173	117
+	185	132
+	4	190	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	117
+	185	132
+	3	190	136	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	111
+	181	129
+	168	114
+	4	164	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	181	129
+	168	114
+	3	164	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	185	132
+	168	114
+	181	129
+	4	185	132	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	114
+	181	129
+	3	185	132	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	107
+	177	126
+	164	111
+	4	160	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	126
+	164	111
+	3	160	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	181	129
+	164	111
+	177	126
+	4	181	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	111
+	177	126
+	3	181	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	156	104
+	172	122
+	160	107
+	4	156	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	122
+	160	107
+	3	156	104	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	126
+	160	107
+	172	122
+	4	177	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	107
+	172	122
+	3	177	126	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	151	100
+	168	119
+	156	104
+	4	151	100	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	168	119
+	156	104
+	3	151	100	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	122
+	156	104
+	168	119
+	4	172	122	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	104
+	168	119
+	3	172	122	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	147	97
+	163	115
+	151	100
+	4	147	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	163	115
+	151	100
+	3	147	97	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	168	119
+	151	100
+	163	115
+	4	168	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	100
+	163	115
+	3	168	119	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	142	93
+	158	112
+	147	97
+	4	142	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	158	112
+	147	97
+	3	142	93	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	163	115
+	147	97
+	158	112
+	4	163	115	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	97
+	158	112
+	3	163	115	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	137	90
+	153	108
+	142	93
+	4	137	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	153	108
+	142	93
+	3	137	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	158	112
+	142	93
+	153	108
+	4	158	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	93
+	153	108
+	3	158	112	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	132	86
+	149	104
+	137	90
+	4	132	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	104
+	137	90
+	3	132	86	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	153	108
+	137	90
+	149	104
+	4	153	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	90
+	149	104
+	3	153	108	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	128	82
+	144	101
+	132	86
+	4	128	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	101
+	132	86
+	3	128	82	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	149	104
+	132	86
+	144	101
+	4	149	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	132	86
+	144	101
+	3	149	104	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	78
+	138	97
+	128	82
+	4	123	78	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	97
+	128	82
+	3	123	78	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	144	101
+	128	82
+	138	97
+	4	144	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	82
+	138	97
+	3	144	101	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	118	74
+	133	93
+	123	78
+	4	118	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	93
+	123	78
+	3	118	74	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	138	97
+	123	78
+	133	93
+	4	138	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	78
+	133	93
+	3	138	97	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	205	146
+	225	177
+	208	157
+	4	205	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	177
+	208	157
+	3	205	146	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	70
+	128	89
+	118	74
+	4	112	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	89
+	118	74
+	3	112	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	133	93
+	118	74
+	128	89
+	4	133	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	118	74
+	128	89
+	3	133	93	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	107	66
+	122	85
+	112	70
+	4	107	66	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	122	85
+	112	70
+	3	107	66	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	128	89
+	112	70
+	122	85
+	4	128	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	70
+	122	85
+	3	128	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	201	136
+	222	166
+	205	146
+	4	201	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	222	166
+	205	146
+	3	201	136	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	225	177
+	205	146
+	222	166
+	4	225	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	205	146
+	222	166
+	3	225	177	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	102	62
+	117	80
+	107	66
+	4	102	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	80
+	107	66
+	3	102	62	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	122	85
+	107	66
+	117	80
+	4	122	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	107	66
+	117	80
+	3	122	85	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	96	58
+	111	76
+	102	62
+	4	96	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	76
+	102	62
+	3	96	58	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	117	80
+	102	62
+	111	76
+	4	117	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	102	62
+	111	76
+	3	117	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	197	128
+	218	156
+	201	136
+	4	197	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	156
+	201	136
+	3	197	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	222	166
+	201	136
+	218	156
+	4	222	166	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	136
+	218	156
+	3	222	166	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	91	53
+	105	71
+	96	58
+	4	91	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	71
+	96	58
+	3	91	53	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	76
+	96	58
+	105	71
+	4	111	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	58
+	105	71
+	3	111	76	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	85	49
+	99	67
+	91	53
+	4	85	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	67
+	91	53
+	3	85	49	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	105	71
+	91	53
+	99	67
+	4	105	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	53
+	99	67
+	3	105	71	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	192	121
+	214	148
+	197	128
+	4	192	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	148
+	197	128
+	3	192	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	218	156
+	197	128
+	214	148
+	4	218	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	128
+	214	148
+	3	218	156	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	143	86
+	162	99
+	149	83
+	4	143	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	99
+	149	83
+	3	143	86	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	167	95
+	149	83
+	162	99
+	4	167	95	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	149	83
+	162	99
+	3	167	95	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	149	83
+	167	95
+	154	80
+	4	149	83	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	95
+	154	80
+	3	149	83	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	173	91
+	154	80
+	167	95
+	4	173	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	80
+	167	95
+	3	173	91	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	154	80
+	173	91
+	159	75
+	4	154	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	173	91
+	159	75
+	3	154	80	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	138	89
+	156	103
+	143	86
+	4	138	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	103
+	143	86
+	3	138	89	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	162	99
+	143	86
+	156	103
+	4	162	99	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	143	86
+	156	103
+	3	162	99	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	179	85
+	159	75
+	173	91
+	4	179	85	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	159	75
+	173	91
+	3	179	85	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	159	75
+	179	85
+	164	70
+	4	159	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	179	85
+	164	70
+	3	159	75	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	133	90
+	151	105
+	138	89
+	4	133	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	105
+	138	89
+	3	133	90	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	156	103
+	138	89
+	151	105
+	4	156	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	138	89
+	151	105
+	3	156	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	184	79
+	164	70
+	179	85
+	4	184	79	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	70
+	179	85
+	3	184	79	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	164	70
+	184	79
+	169	64
+	4	164	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	184	79
+	169	64
+	3	164	70	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	79	44
+	93	62
+	85	49
+	4	79	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	93	62
+	85	49
+	3	79	44	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	99	67
+	85	49
+	93	62
+	4	99	67	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	49
+	93	62
+	3	99	67	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	128	91
+	145	107
+	133	90
+	4	128	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	107
+	133	90
+	3	128	91	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	151	105
+	133	90
+	145	107
+	4	151	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	133	90
+	145	107
+	3	151	105	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	190	71
+	169	64
+	184	79
+	4	190	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	64
+	184	79
+	3	190	71	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	169	64
+	190	71
+	174	57
+	4	169	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	71
+	174	57
+	3	169	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	91
+	140	108
+	128	91
+	4	123	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	108
+	128	91
+	3	123	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	107
+	128	91
+	140	108
+	4	145	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	128	91
+	140	108
+	3	145	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	196	63
+	174	57
+	190	71
+	4	196	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	174	57
+	190	71
+	3	196	63	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	174	57
+	196	63
+	180	50
+	4	174	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	63
+	180	50
+	3	174	57	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	187	116
+	209	141
+	192	121
+	4	187	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	209	141
+	192	121
+	3	187	116	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	214	148
+	192	121
+	209	141
+	4	214	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	192	121
+	209	141
+	3	214	148	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	73	40
+	87	58
+	79	44
+	4	73	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	87	58
+	79	44
+	3	73	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	93	62
+	79	44
+	87	58
+	4	93	62	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	79	44
+	87	58
+	3	93	62	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	91
+	134	108
+	123	91
+	4	117	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	108
+	123	91
+	3	117	91	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	108
+	123	91
+	134	108
+	4	140	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	91
+	134	108
+	3	140	108	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	202	54
+	180	50
+	196	63
+	4	202	54	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	180	50
+	196	63
+	3	202	54	psDrawLines
+	renderGC	0.187500	setForeground
+	renderGC
+	180	50
+	202	54
+	185	41
+	4	180	50	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	54
+	185	41
+	3	180	50	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	112	89
+	129	107
+	117	91
+	4	112	89	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	107
+	117	91
+	3	112	89	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	108
+	117	91
+	129	107
+	4	134	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	91
+	129	107
+	3	134	108	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	208	44
+	185	41
+	202	54
+	4	208	44	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	185	41
+	202	54
+	3	208	44	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	185	41
+	208	44
+	190	32
+	4	185	41	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	44
+	190	32
+	3	185	41	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	67	35
+	81	53
+	73	40
+	4	67	35	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	81	53
+	73	40
+	3	67	35	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	87	58
+	73	40
+	81	53
+	4	87	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	73	40
+	81	53
+	3	87	58	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	183	112
+	204	135
+	187	116
+	4	183	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	135
+	187	116
+	3	183	112	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	209	141
+	187	116
+	204	135
+	4	209	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	187	116
+	204	135
+	3	209	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	106	87
+	123	106
+	112	89
+	4	106	87	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	106
+	112	89
+	3	106	87	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	107
+	112	89
+	123	106
+	4	129	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	112	89
+	123	106
+	3	129	107	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	214	33
+	190	32
+	208	44
+	4	214	33	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	32
+	208	44
+	3	214	33	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	190	32
+	214	33
+	196	22
+	4	190	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	33
+	196	22
+	3	190	32	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	30
+	74	48
+	67	35
+	4	61	30	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	74	48
+	67	35
+	3	61	30	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	81	53
+	67	35
+	74	48
+	4	81	53	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	67	35
+	74	48
+	3	81	53	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	101	84
+	117	104
+	106	87
+	4	101	84	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	104
+	106	87
+	3	101	84	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	106
+	106	87
+	117	104
+	4	123	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	106	87
+	117	104
+	3	123	106	psDrawLines
+	renderGC	0.375000	setForeground
+	renderGC
+	220	21
+	196	22
+	214	33
+	4	220	21	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	22
+	214	33
+	3	220	21	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	196	22
+	220	21
+	202	10
+	4	196	22	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	21
+	202	10
+	3	196	22	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	178	109
+	199	131
+	183	112
+	4	178	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	199	131
+	183	112
+	3	178	109	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	204	135
+	183	112
+	199	131
+	4	204	135	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	112
+	199	131
+	3	204	135	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	95	80
+	111	101
+	101	84
+	4	95	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	101
+	101	84
+	3	95	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	117	104
+	101	84
+	111	101
+	4	117	104	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	84
+	111	101
+	3	117	104	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	172	107
+	194	128
+	178	109
+	4	172	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	194	128
+	178	109
+	3	172	107	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	199	131
+	178	109
+	194	128
+	4	199	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	178	109
+	194	128
+	3	199	131	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	54	25
+	68	43
+	61	30
+	4	54	25	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	68	43
+	61	30
+	3	54	25	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	74	48
+	61	30
+	68	43
+	4	74	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	30
+	68	43
+	3	74	48	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	167	106
+	189	126
+	172	107
+	4	167	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	126
+	172	107
+	3	167	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	194	128
+	172	107
+	189	126
+	4	194	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	107
+	189	126
+	3	194	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	89	76
+	104	97
+	95	80
+	4	89	76	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	104	97
+	95	80
+	3	89	76	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	111	101
+	95	80
+	104	97
+	4	111	101	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	80
+	104	97
+	3	111	101	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	48	20
+	61	37
+	54	25
+	4	48	20	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	37
+	54	25
+	3	48	20	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	68	43
+	54	25
+	61	37
+	4	68	43	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	25
+	61	37
+	3	68	43	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	105
+	183	125
+	167	106
+	4	162	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	125
+	167	106
+	3	162	105	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	189	126
+	167	106
+	183	125
+	4	189	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	167	106
+	183	125
+	3	189	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	82	70
+	98	92
+	89	76
+	4	82	70	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	98	92
+	89	76
+	3	82	70	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	104	97
+	89	76
+	98	92
+	4	104	97	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	76
+	98	92
+	3	104	97	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	156	105
+	177	124
+	162	105
+	4	156	105	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	124
+	162	105
+	3	156	105	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	125
+	162	105
+	177	124
+	4	183	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	105
+	177	124
+	3	183	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	41	15
+	54	32
+	48	20
+	4	41	15	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	32
+	48	20
+	3	41	15	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	61	37
+	48	20
+	54	32
+	4	61	37	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	48	20
+	54	32
+	3	61	37	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	106
+	172	125
+	156	105
+	4	151	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	125
+	156	105
+	3	151	106	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	124
+	156	105
+	172	125
+	4	177	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	156	105
+	172	125
+	3	177	124	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	145	107
+	166	125
+	151	106
+	4	145	107	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	151	106
+	3	145	107	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	125
+	151	106
+	166	125
+	4	172	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	106
+	166	125
+	3	172	125	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	76	64
+	91	86
+	82	70
+	4	76	64	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	86
+	82	70
+	3	76	64	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	98	92
+	82	70
+	91	86
+	4	98	92	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	70
+	91	86
+	3	98	92	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	54	32
+	41	15
+	47	27
+	4	54	32	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	41	15
+	47	27
+	3	54	32	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	140	108
+	160	126
+	145	107
+	4	140	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	126
+	145	107
+	3	140	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	125
+	145	107
+	160	126
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	145	107
+	160	126
+	3	166	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	134	109
+	154	127
+	140	108
+	4	134	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	140	108
+	3	134	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	126
+	140	108
+	154	127
+	4	160	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	140	108
+	154	127
+	3	160	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	243	182
+	268	228
+	245	200
+	4	243	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	228
+	245	200
+	3	243	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	109
+	148	128
+	134	109
+	4	129	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	128
+	134	109
+	3	129	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	127
+	134	109
+	148	128
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	134	109
+	148	128
+	3	154	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	69	56
+	84	80
+	76	64
+	4	69	56	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	84	80
+	76	64
+	3	69	56	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	91	86
+	76	64
+	84	80
+	4	91	86	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	76	64
+	84	80
+	3	91	86	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	110
+	142	129
+	129	109
+	4	123	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	129
+	129	109
+	3	123	110	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	128
+	129	109
+	142	129
+	4	148	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	109
+	142	129
+	3	148	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	109
+	136	130
+	123	110
+	4	117	109	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	130
+	123	110
+	3	117	109	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	129
+	123	110
+	136	130
+	4	142	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	110
+	136	130
+	3	142	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	111	108
+	129	129
+	117	109
+	4	111	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	129
+	117	109
+	3	111	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	130
+	117	109
+	129	129
+	4	136	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	109
+	129	129
+	3	136	130	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	62	48
+	77	72
+	69	56
+	4	62	48	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	77	72
+	69	56
+	3	62	48	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	84	80
+	69	56
+	77	72
+	4	84	80	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	69	56
+	77	72
+	3	84	80	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	105	106
+	123	128
+	111	108
+	4	105	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	128
+	111	108
+	3	105	106	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	129	129
+	111	108
+	123	128
+	4	129	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	111	108
+	123	128
+	3	129	129	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	99	102
+	116	126
+	105	106
+	4	99	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	126
+	105	106
+	3	99	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	128
+	105	106
+	116	126
+	4	123	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	106
+	116	126
+	3	123	128	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	239	167
+	266	208
+	243	182
+	4	239	167	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	266	208
+	243	182
+	3	239	167	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	268	228
+	243	182
+	266	208
+	4	268	228	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	243	182
+	266	208
+	3	268	228	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	54	38
+	70	63
+	62	48
+	4	54	38	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	63
+	62	48
+	3	54	38	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	77	72
+	62	48
+	70	63
+	4	77	72	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	48
+	70	63
+	3	77	72	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	92	98
+	110	123
+	99	102
+	4	92	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	123
+	99	102
+	3	92	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	126
+	99	102
+	110	123
+	4	116	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	99	102
+	110	123
+	3	116	126	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	195	116
+	221	133
+	201	112
+	4	195	116	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	221	133
+	201	112
+	3	195	116	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	228	127
+	201	112
+	221	133
+	4	228	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	201	112
+	221	133
+	3	228	127	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	201	112
+	228	127
+	207	106
+	4	201	112	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	228	127
+	207	106
+	3	201	112	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	189	119
+	215	137
+	195	116
+	4	189	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	215	137
+	195	116
+	3	189	119	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	221	133
+	195	116
+	215	137
+	4	221	133	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	195	116
+	215	137
+	3	221	133	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	47	27
+	62	52
+	54	38
+	4	47	27	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	52
+	54	38
+	3	47	27	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	70	63
+	54	38
+	62	52
+	4	70	63	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	54	38
+	62	52
+	3	70	63	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	234	119
+	207	106
+	228	127
+	4	234	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	207	106
+	228	127
+	3	234	119	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	207	106
+	234	119
+	213	98
+	4	207	106	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	119
+	213	98
+	3	207	106	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	183	121
+	208	141
+	189	119
+	4	183	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	141
+	189	119
+	3	183	121	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	215	137
+	189	119
+	208	141
+	4	215	137	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	189	119
+	208	141
+	3	215	137	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	85	91
+	103	118
+	92	98
+	4	85	91	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	118
+	92	98
+	3	85	91	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	110	123
+	92	98
+	103	118
+	4	110	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	98
+	103	118
+	3	110	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	177	123
+	202	143
+	183	121
+	4	177	123	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	143
+	183	121
+	3	177	123	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	208	141
+	183	121
+	202	143
+	4	208	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	121
+	202	143
+	3	208	141	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	242	108
+	213	98
+	234	119
+	4	242	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	213	98
+	234	119
+	3	242	108	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	213	98
+	242	108
+	219	88
+	4	213	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	242	108
+	219	88
+	3	213	98	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	172	124
+	196	145
+	177	123
+	4	172	124	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	145
+	177	123
+	3	172	124	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	202	143
+	177	123
+	196	145
+	4	202	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	123
+	196	145
+	3	202	143	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	235	157
+	264	194
+	239	167
+	4	235	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	264	194
+	239	167
+	3	235	157	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	266	208
+	239	167
+	264	194
+	4	266	208	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	239	167
+	264	194
+	3	266	208	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	166	125
+	190	147
+	172	124
+	4	166	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	147
+	172	124
+	3	166	125	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	145
+	172	124
+	190	147
+	4	196	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	172	124
+	190	147
+	3	196	145	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	249	93
+	219	88
+	242	108
+	4	249	93	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	219	88
+	242	108
+	3	249	93	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	219	88
+	249	93
+	226	75
+	4	219	88	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	249	93
+	226	75
+	3	219	88	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	160	126
+	183	148
+	166	125
+	4	160	126	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	148
+	166	125
+	3	160	126	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	147
+	166	125
+	183	148
+	4	190	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	166	125
+	183	148
+	3	190	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	78	82
+	95	111
+	85	91
+	4	78	82	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	111
+	85	91
+	3	78	82	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	118
+	85	91
+	95	111
+	4	103	118	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	85	91
+	95	111
+	3	103	118	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	62	52
+	47	27
+	53	40
+	4	62	52	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	47	27
+	53	40
+	3	62	52	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	127
+	177	149
+	160	126
+	4	154	127	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	149
+	160	126
+	3	154	127	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	148
+	160	126
+	177	149
+	4	183	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	160	126
+	177	149
+	3	183	148	psDrawLines
+	renderGC	0.250000	setForeground
+	renderGC
+	258	74
+	226	75
+	249	93
+	4	258	74	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	226	75
+	249	93
+	3	258	74	psDrawLines
+	renderGC	0.312500	setForeground
+	renderGC
+	226	75
+	258	74
+	234	57
+	4	226	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	258	74
+	234	57
+	3	226	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	148	129
+	170	151
+	154	127
+	4	148	129	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	151
+	154	127
+	3	148	129	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	149
+	154	127
+	170	151
+	4	177	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	127
+	170	151
+	3	177	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	142	130
+	164	152
+	148	129
+	4	142	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	152
+	148	129
+	3	142	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	151
+	148	129
+	164	152
+	4	170	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	148	129
+	164	152
+	3	170	151	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	231	150
+	260	183
+	235	157
+	4	231	150	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	260	183
+	235	157
+	3	231	150	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	264	194
+	235	157
+	260	183
+	4	264	194	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	235	157
+	260	183
+	3	264	194	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	136	131
+	157	153
+	142	130
+	4	136	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	153
+	142	130
+	3	136	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	152
+	142	130
+	157	153
+	4	164	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	142	130
+	157	153
+	3	164	152	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	70	71
+	88	102
+	78	82
+	4	70	71	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	88	102
+	78	82
+	3	70	71	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	95	111
+	78	82
+	88	102
+	4	95	111	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	78	82
+	88	102
+	3	95	111	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	129	131
+	151	154
+	136	131
+	4	129	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	154
+	136	131
+	3	129	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	153
+	136	131
+	151	154
+	4	157	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	136	131
+	151	154
+	3	157	153	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	268	49
+	234	57
+	258	74
+	4	268	49	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	234	57
+	258	74
+	3	268	49	psDrawLines
+	renderGC	0.437500	setForeground
+	renderGC
+	234	57
+	268	49
+	242	34
+	4	234	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	268	49
+	242	34
+	3	234	57	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	131
+	144	155
+	129	131
+	4	123	131	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	155
+	129	131
+	3	123	131	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	154
+	129	131
+	144	155
+	4	151	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	129	131
+	144	155
+	3	151	154	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	225	146
+	255	176
+	231	150
+	4	225	146	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	255	176
+	231	150
+	3	225	146	psDrawLines
+	renderGC	0.875000	setForeground
+	renderGC
+	260	183
+	231	150
+	255	176
+	4	260	183	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	150
+	255	176
+	3	260	183	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	117	130
+	137	155
+	123	131
+	4	117	130	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	155
+	123	131
+	3	117	130	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	155
+	123	131
+	137	155
+	4	144	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	131
+	137	155
+	3	144	155	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	62	58
+	80	90
+	70	71
+	4	62	58	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	90
+	70	71
+	3	62	58	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	88	102
+	70	71
+	80	90
+	4	88	102	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	70	71
+	80	90
+	3	88	102	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	110	128
+	130	155
+	117	130
+	4	110	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	155
+	117	130
+	3	110	128	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	137	155
+	117	130
+	130	155
+	4	137	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	117	130
+	130	155
+	3	137	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	220	144
+	250	172
+	225	146
+	4	220	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	250	172
+	225	146
+	3	220	144	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	255	176
+	225	146
+	250	172
+	4	255	176	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	146
+	250	172
+	3	255	176	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	103	125
+	123	153
+	110	128
+	4	103	125	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	153
+	110	128
+	3	103	125	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	130	155
+	110	128
+	123	153
+	4	130	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	110	128
+	123	153
+	3	130	155	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	214	143
+	244	170
+	220	144
+	4	214	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	244	170
+	220	144
+	3	214	143	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	250	172
+	220	144
+	244	170
+	4	250	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	220	144
+	244	170
+	3	250	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	208	144
+	238	169
+	214	143
+	4	208	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	238	169
+	214	143
+	3	208	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	244	170
+	214	143
+	238	169
+	4	244	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	214	143
+	238	169
+	3	244	170	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	53	40
+	71	75
+	62	58
+	4	53	40	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	75
+	62	58
+	3	53	40	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	80	90
+	62	58
+	71	75
+	4	80	90	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	62	58
+	71	75
+	3	80	90	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	96	119
+	116	149
+	103	125
+	4	96	119	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	149
+	103	125
+	3	96	119	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	123	153
+	103	125
+	116	149
+	4	123	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	103	125
+	116	149
+	3	123	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	202	144
+	231	170
+	208	144
+	4	202	144	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	231	170
+	208	144
+	3	202	144	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	238	169
+	208	144
+	231	170
+	4	238	169	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	208	144
+	231	170
+	3	238	169	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	196	145
+	225	171
+	202	144
+	4	196	145	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	225	171
+	202	144
+	3	196	145	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	231	170
+	202	144
+	225	171
+	4	231	170	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	202	144
+	225	171
+	3	231	170	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	147
+	218	172
+	196	145
+	4	190	147	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	218	172
+	196	145
+	3	190	147	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	225	171
+	196	145
+	218	172
+	4	225	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	196	145
+	218	172
+	3	225	171	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	89	110
+	108	143
+	96	119
+	4	89	110	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	108	143
+	96	119
+	3	89	110	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	116	149
+	96	119
+	108	143
+	4	116	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	96	119
+	108	143
+	3	116	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	148
+	211	174
+	190	147
+	4	183	148	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	211	174
+	190	147
+	3	183	148	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	218	172
+	190	147
+	211	174
+	4	218	172	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	147
+	211	174
+	3	218	172	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	177	149
+	204	175
+	183	148
+	4	177	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	204	175
+	183	148
+	3	177	149	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	211	174
+	183	148
+	204	175
+	4	211	174	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	148
+	204	175
+	3	211	174	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	71	75
+	53	40
+	61	57
+	4	71	75	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	53	40
+	61	57
+	3	71	75	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	170	151
+	197	177
+	177	149
+	4	170	151	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	197	177
+	177	149
+	3	170	151	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	204	175
+	177	149
+	197	177
+	4	204	175	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	177	149
+	197	177
+	3	204	175	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	80	98
+	100	134
+	89	110
+	4	80	98	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	100	134
+	89	110
+	3	80	98	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	108	143
+	89	110
+	100	134
+	4	108	143	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	89	110
+	100	134
+	3	108	143	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	164	152
+	190	179
+	170	151
+	4	164	152	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	190	179
+	170	151
+	3	164	152	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	197	177
+	170	151
+	190	179
+	4	197	177	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	170	151
+	190	179
+	3	197	177	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	157	153
+	183	180
+	164	152
+	4	157	153	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	183	180
+	164	152
+	3	157	153	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	190	179
+	164	152
+	183	180
+	4	190	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	164	152
+	183	180
+	3	190	179	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	151	155
+	176	182
+	157	153
+	4	151	155	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	176	182
+	157	153
+	3	151	155	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	183	180
+	157	153
+	176	182
+	4	183	180	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	157	153
+	176	182
+	3	183	180	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	144	156
+	169	184
+	151	155
+	4	144	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	169	184
+	151	155
+	3	144	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	176	182
+	151	155
+	169	184
+	4	176	182	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	151	155
+	169	184
+	3	176	182	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	137	157
+	162	185
+	144	156
+	4	137	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	162	185
+	144	156
+	3	137	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	169	184
+	144	156
+	162	185
+	4	169	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	144	156
+	162	185
+	3	169	184	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	71	81
+	91	121
+	80	98
+	4	71	81	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	91	121
+	80	98
+	3	71	81	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	100	134
+	80	98
+	91	121
+	4	100	134	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	80	98
+	91	121
+	3	100	134	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	130	157
+	154	186
+	137	157
+	4	130	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	154	186
+	137	157
+	3	130	157	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	162	185
+	137	157
+	154	186
+	4	162	185	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	137	157
+	154	186
+	3	162	185	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	123	156
+	147	187
+	130	157
+	4	123	156	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	147	187
+	130	157
+	3	123	156	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	154	186
+	130	157
+	147	187
+	4	154	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	130	157
+	147	187
+	3	154	186	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	116	154
+	139	186
+	123	156
+	4	116	154	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	139	186
+	123	156
+	3	116	154	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	147	187
+	123	156
+	139	186
+	4	147	187	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	156
+	139	186
+	3	147	187	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	61	57
+	82	103
+	71	81
+	4	61	57	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	103
+	71	81
+	3	61	57	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	91	121
+	71	81
+	82	103
+	4	91	121	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	81
+	82	103
+	3	91	121	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	109	149
+	131	184
+	116	154
+	4	109	149	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	131	184
+	116	154
+	3	109	149	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	139	186
+	116	154
+	131	184
+	4	139	186	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	116	154
+	131	184
+	3	139	186	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	101	141
+	123	179
+	109	149
+	4	101	141	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	123	179
+	109	149
+	3	101	141	psDrawLines
+	renderGC	0.750000	setForeground
+	renderGC
+	131	184
+	109	149
+	123	179
+	4	131	184	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	109	149
+	123	179
+	3	131	184	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	92	128
+	115	171
+	101	141
+	4	92	128	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	115	171
+	101	141
+	3	92	128	psDrawLines
+	renderGC	0.812500	setForeground
+	renderGC
+	123	179
+	101	141
+	115	171
+	4	123	179	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	101	141
+	115	171
+	3	123	179	psDrawLines
+	renderGC	0.625000	setForeground
+	renderGC
+	82	103
+	61	57
+	71	77
+	4	82	103	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	61	57
+	71	77
+	3	82	103	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	82	108
+	105	157
+	92	128
+	4	82	108	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	105	157
+	92	128
+	3	82	108	psDrawLines
+	renderGC	0.687500	setForeground
+	renderGC
+	115	171
+	92	128
+	105	157
+	4	115	171	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	92	128
+	105	157
+	3	115	171	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	71	77
+	95	136
+	82	108
+	4	71	77	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	95	136
+	82	108
+	3	71	77	psDrawLines
+	renderGC	0.500000	setForeground
+	renderGC
+	105	157
+	82	108
+	95	136
+	4	105	157	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	82	108
+	95	136
+	3	105	157	psDrawLines
+	renderGC	0.562500	setForeground
+	renderGC
+	95	136
+	71	77
+	83	103
+	4	95	136	psFillPoly
+	renderGC	0.000000	setForeground
+	renderGC
+	71	77
+	83	103
+	3	95	136	psDrawLines
+	1	0	0	trashGC	setLineAttributes
+	trashGC	0.000000	setForeground
+	trashGC
+	83	103
+	299	67
+	3	268	228	psDrawLines
+	trashGC
+	83	103
+	99	277
+	3	59	147	psDrawLines
+	trashGC
+	83	103
+	41	15
+	3	186	1	psDrawLines
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/rose-1.ps b/books/ps/rose-1.ps
new file mode 100644
index 0000000..2acaa02
--- /dev/null
+++ b/books/ps/rose-1.ps
@@ -0,0 +1,1230 @@
+%-------------------------- postscript draw commands --------------------------%
+%!IBM Personal Pageprinter (4216) Adapter Program V1.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+ 
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+ 
+%--------- first create user dictionary with 100 entries max ------------%
+%	   (number can be changed to accomodate definitions)		 %
+ 
+100	dict	begin		%% using 100 entries in top level dictionary
+ 
+/FontHeight	12 def
+ 
+/inch
+	{	72 mul }
+	def
+ 
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+ 
+/yVal		%% get Y value -- make upper left corner origin
+	{	maxY sub abs }	%% maxY is viewWindow height
+	def
+ 
+/hVal		%% get H value -- used for displaying title text
+	{	maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+	def
+ 
+% loads in the font
+ 
+/loadFont
+	{	/Times-Roman findfont FontHeight scalefont setfont }
+	def
+ 
+% draws a rectangle with input operand:
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+		0 exch 1 add neg rlineto	%% draw second side
+		1 add neg 0 rlineto		%% draw third side
+		closepath }			%% draw fourth side
+	def
+ 
+% create a rectangle with input operand in the view window:
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+	{	yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+	def
+ 
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+	{	/maxX exch def			%% width of display
+		/maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+	} def
+ 
+%-------------------------- major procedures --------------------------%
+ 
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+		titleH 1 add 0 exch rlineto	%% draw first side
+		1 add 0 rlineto			%% draw second side
+		1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+ 
+/drawFrame	%% draw display frame
+	{	gsave
+		newpath
+		maxX maxY 0 0 rectangle
+		begin installGC stroke end
+		grestore }
+	def
+ 
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+ 
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+ 
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+ 
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+ 
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+ 
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+ 
+/psDrawLine
+	{	gsave
+		newpath
+		yVal moveto
+		yVal lineto
+		begin installGC stroke end
+		grestore }
+	def
+ 
+% operand stack configuration in order to use psDrawIStr:
+%		psDrawIStr
+%		window type: title or window
+%		string
+%		y
+%		x
+%		graphics-context dictionary
+% it draws a text string in foreground color on top of bounding box of
+% string, which is in background color.
+ 
+/psDrawIStr
+	{	gsave
+		newpath					%% for rectangle
+		loadFont
+ 
+		/window exch def			%% get window type
+ 
+		%% draw bounding box with background color
+		/str exch def				%% get text string
+		str stringwidth pop 1 sub		%% width
+		FontHeight 1 sub			%% height
+		currentfont begin			%% get font height
+			FontBBox
+		end
+		/ypos exch def pop			%% define ypos
+		neg ypos add /offset exch def pop
+		/offset ypos offset div FontHeight mul def %% define offset
+		/h exch def /w exch def			%% define h
+		/y0 exch def				%% define y0
+		/x0 exch def				%% define x0
+		w h x0 y0 offset sub
+		window (title) eq
+		{hVal moveto drawRect}			%% draws in title window
+		{rectangle} ifelse			%% draws in view window
+		begin
+		BGcolor setgray fill	%% set background box color
+ 
+		x0 y0
+		window (title) eq 
+		{hVal}					%% print title text
+		{yVal} ifelse				%% print window text
+		moveto str 
+		FGcolor setgray show			%% set text color
+		end
+		grestore }
+	def
+ 
+% operand stack configuration in order to use psFillArc:
+%		psFillArc
+%		y center of rectangle
+%		x center of rectangle
+%		angle2
+%		angle1
+%		width
+%		height
+%		y
+%		x
+%		graphics-context dictionary
+% this draws and fills an arc whose origin is at x, y, and whose width
+% and height specifies the rectangle which encases the arc.
+% Origin is at upper left corner of rectangle.
+% This function uses "scale" to make cricles and ellipses.
+/psFillArc
+	{	gsave
+		newpath
+		yVal moveto
+		/sfactor 4 index 4 index div def
+		1 sfactor scale
+		6 5 roll			%%	 x on top of stack
+		3 index 2 div add		%% define x origin
+		6 5 roll			%%	 y on top of stack
+		6 5 roll			%%	 h on top of stack
+		2 div add yVal sfactor div	%% define y origin
+		5 4 roll			%%	 w on top of stack
+		2 div				%% define radius
+		5 3 roll			%%	 a1 a2 now on top
+		1 index add
+		arcn				%% draw clockwise arc
+		begin installGC fill end	%% fills with foreground color
+		grestore }
+	def
+ 
+%-------------------------- script --------------------------%
+ 
+1 inch 1 inch translate
+ 
+   mark					%% mark bottom of our stack
+ 
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/globGC makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	0	0	1
+	1072693248	0	/graphGC	makeDict
+	0	0	1
+	1072693248	0	/unitGC makeDict
+	0	0	3
+	1072693248	0	/frameDict	makeDict
+	0	0	3
+	1072693248	0	/frameDict	makeDict
+ 
+    gsave	% save graphics state for clipping path
+ 
+	24	240	262	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+ 
+	globalGC1	262	118	0	118	psDrawLine
+	globalGC1	131	240	131	0	psDrawLine
+	unitGC	131	120	131	116	psDrawLine
+	unitGC	119	133	(0.00)	(window)	psDrawIStr
+	unitGC	175	120	175	116	psDrawLine
+	unitGC	163	133	(0.40)	(window)	psDrawIStr
+	unitGC	219	120	219	116	psDrawLine
+	unitGC	207	133	(0.80)	(window)	psDrawIStr
+	unitGC	86	120	86	116	psDrawLine
+	unitGC	71	133	(-0.40) (window)	psDrawIStr
+	unitGC	41	120	41	116	psDrawLine
+	unitGC	26	133	(-0.80) (window)	psDrawIStr
+	unitGC	133	73	129	73	psDrawLine
+	unitGC	95	78	(0.39)	(window)	psDrawIStr
+	unitGC	133	28	129	28	psDrawLine
+	unitGC	95	33	(0.79)	(window)	psDrawIStr
+	unitGC	133	163	129	163	psDrawLine
+	unitGC	86	168	(-0.39) (window)	psDrawIStr
+	unitGC	133	207	129	207	psDrawLine
+	unitGC	86	212	(-0.79) (window)	psDrawIStr
+	globalGC1	240 117 3 3	0 360	241 118 psFillArc
+	globalGC1	241	118	241	118	psDrawLine
+	globalGC1	240 117 3 3	0 360	241 118 psFillArc
+	globalGC1	240	104	241	118	psDrawLine
+	globalGC1	239 103 3 3	0 360	240 104 psFillArc
+	globalGC1	236	90	240	104	psDrawLine
+	globalGC1	235 89	3 3	0 360	236 90	psFillArc
+	globalGC1	230	77	236	90	psDrawLine
+	globalGC1	229 76	3 3	0 360	230 77	psFillArc
+	globalGC1	221	65	230	77	psDrawLine
+	globalGC1	220 64	3 3	0 360	221 65	psFillArc
+	globalGC1	211	56	221	65	psDrawLine
+	globalGC1	210 55	3 3	0 360	211 56	psFillArc
+	globalGC1	199	48	211	56	psDrawLine
+	globalGC1	198 47	3 3	0 360	199 48	psFillArc
+	globalGC1	187	44	199	48	psDrawLine
+	globalGC1	186 43	3 3	0 360	187 44	psFillArc
+	globalGC1	174	41	187	44	psDrawLine
+	globalGC1	173 40	3 3	0 360	174 41	psFillArc
+	globalGC1	162	42	174	41	psDrawLine
+	globalGC1	161 41	3 3	0 360	162 42	psFillArc
+	globalGC1	150	44	162	42	psDrawLine
+	globalGC1	149 43	3 3	0 360	150 44	psFillArc
+	globalGC1	139	49	150	44	psDrawLine
+	globalGC1	138 48	3 3	0 360	139 49	psFillArc
+	globalGC1	131	56	139	49	psDrawLine
+	globalGC1	130 55	3 3	0 360	131 56	psFillArc
+	globalGC1	123	64	131	56	psDrawLine
+	globalGC1	122 63	3 3	0 360	123 64	psFillArc
+	globalGC1	119	74	123	64	psDrawLine
+	globalGC1	118 73	3 3	0 360	119 74	psFillArc
+	globalGC1	116	84	119	74	psDrawLine
+	globalGC1	115 83	3 3	0 360	116 84	psFillArc
+	globalGC1	116	93	116	84	psDrawLine
+	globalGC1	115 92	3 3	0 360	116 93	psFillArc
+	globalGC1	118	103	116	93	psDrawLine
+	globalGC1	117 102 3 3	0 360	118 103 psFillArc
+	globalGC1	123	111	118	103	psDrawLine
+	globalGC1	122 110 3 3	0 360	123 111 psFillArc
+	globalGC1	126	114	123	111	psDrawLine
+	globalGC1	125 113 3 3	0 360	126 114 psFillArc
+	globalGC1	129	117	126	114	psDrawLine
+	globalGC1	128 116 3 3	0 360	129 117 psFillArc
+	globalGC1	133	120	129	117	psDrawLine
+	globalGC1	132 119 3 3	0 360	133 120 psFillArc
+	globalGC1	137	122	133	120	psDrawLine
+	globalGC1	136 121 3 3	0 360	137 122 psFillArc
+	globalGC1	141	124	137	122	psDrawLine
+	globalGC1	140 123 3 3	0 360	141 124 psFillArc
+	globalGC1	145	125	141	124	psDrawLine
+	globalGC1	144 124 3 3	0 360	145 125 psFillArc
+	globalGC1	150	125	145	125	psDrawLine
+	globalGC1	149 124 3 3	0 360	150 125 psFillArc
+	globalGC1	155	125	150	125	psDrawLine
+	globalGC1	154 124 3 3	0 360	155 125 psFillArc
+	globalGC1	159	124	155	125	psDrawLine
+	globalGC1	158 123 3 3	0 360	159 124 psFillArc
+	globalGC1	164	123	159	124	psDrawLine
+	globalGC1	163 122 3 3	0 360	164 123 psFillArc
+	globalGC1	169	121	164	123	psDrawLine
+	globalGC1	168 120 3 3	0 360	169 121 psFillArc
+	globalGC1	173	118	169	121	psDrawLine
+	globalGC1	172 117 3 3	0 360	173 118 psFillArc
+	globalGC1	181	112	173	118	psDrawLine
+	globalGC1	180 111 3 3	0 360	181 112 psFillArc
+	globalGC1	187	103	181	112	psDrawLine
+	globalGC1	186 102 3 3	0 360	187 103 psFillArc
+	globalGC1	191	93	187	103	psDrawLine
+	globalGC1	190 92	3 3	0 360	191 93	psFillArc
+	globalGC1	194	81	191	93	psDrawLine
+	globalGC1	193 80	3 3	0 360	194 81	psFillArc
+	globalGC1	194	69	194	81	psDrawLine
+	globalGC1	193 68	3 3	0 360	194 69	psFillArc
+	globalGC1	191	57	194	69	psDrawLine
+	globalGC1	190 56	3 3	0 360	191 57	psFillArc
+	globalGC1	186	45	191	57	psDrawLine
+	globalGC1	185 44	3 3	0 360	186 45	psFillArc
+	globalGC1	178	34	186	45	psDrawLine
+	globalGC1	177 33	3 3	0 360	178 34	psFillArc
+	globalGC1	169	25	178	34	psDrawLine
+	globalGC1	168 24	3 3	0 360	169 25	psFillArc
+	globalGC1	157	17	169	25	psDrawLine
+	globalGC1	156 16	3 3	0 360	157 17	psFillArc
+	globalGC1	144	11	157	17	psDrawLine
+	globalGC1	143 10	3 3	0 360	144 11	psFillArc
+	globalGC1	131	8	144	11	psDrawLine
+	globalGC1	130 7	3 3	0 360	131 8	psFillArc
+	globalGC1	116	8	131	8	psDrawLine
+	globalGC1	115 7	3 3	0 360	116 8	psFillArc
+	globalGC1	102	10	116	8	psDrawLine
+	globalGC1	101 9	3 3	0 360	102 10	psFillArc
+	globalGC1	88	15	102	10	psDrawLine
+	globalGC1	87 14	3 3	0 360	88 15	psFillArc
+	globalGC1	76	22	88	15	psDrawLine
+	globalGC1	75 21	3 3	0 360	76 22	psFillArc
+	globalGC1	65	31	76	22	psDrawLine
+	globalGC1	64 30	3 3	0 360	65 31	psFillArc
+	globalGC1	56	42	65	31	psDrawLine
+	globalGC1	55 41	3 3	0 360	56 42	psFillArc
+	globalGC1	49	55	56	42	psDrawLine
+	globalGC1	48 54	3 3	0 360	49 55	psFillArc
+	globalGC1	45	68	49	55	psDrawLine
+	globalGC1	44 67	3 3	0 360	45 68	psFillArc
+	globalGC1	43	82	45	68	psDrawLine
+	globalGC1	42 81	3 3	0 360	43 82	psFillArc
+	globalGC1	44	95	43	82	psDrawLine
+	globalGC1	43 94	3 3	0 360	44 95	psFillArc
+	globalGC1	47	107	44	95	psDrawLine
+	globalGC1	46 106	3 3	0 360	47 107	psFillArc
+	globalGC1	52	118	47	107	psDrawLine
+	globalGC1	51 117	3 3	0 360	52 118	psFillArc
+	globalGC1	60	128	52	118	psDrawLine
+	globalGC1	59 127	3 3	0 360	60 128	psFillArc
+	globalGC1	68	135	60	128	psDrawLine
+	globalGC1	67 134	3 3	0 360	68 135	psFillArc
+	globalGC1	78	141	68	135	psDrawLine
+	globalGC1	77 140	3 3	0 360	78 141	psFillArc
+	globalGC1	83	142	78	141	psDrawLine
+	globalGC1	82 141	3 3	0 360	83 142	psFillArc
+	globalGC1	88	143	83	142	psDrawLine
+	globalGC1	87 142	3 3	0 360	88 143	psFillArc
+	globalGC1	93	144	88	143	psDrawLine
+	globalGC1	92 143	3 3	0 360	93 144	psFillArc
+	globalGC1	98	144	93	144	psDrawLine
+	globalGC1	97 143	3 3	0 360	98 144	psFillArc
+	globalGC1	103	143	98	144	psDrawLine
+	globalGC1	102 142 3 3	0 360	103 143 psFillArc
+	globalGC1	108	142	103	143	psDrawLine
+	globalGC1	107 141 3 3	0 360	108 142 psFillArc
+	globalGC1	112	140	108	142	psDrawLine
+	globalGC1	111 139 3 3	0 360	112 140 psFillArc
+	globalGC1	116	137	112	140	psDrawLine
+	globalGC1	115 136 3 3	0 360	116 137 psFillArc
+	globalGC1	120	134	116	137	psDrawLine
+	globalGC1	119 133 3 3	0 360	120 134 psFillArc
+	globalGC1	123	131	120	134	psDrawLine
+	globalGC1	122 130 3 3	0 360	123 131 psFillArc
+	globalGC1	126	128	123	131	psDrawLine
+	globalGC1	125 127 3 3	0 360	126 128 psFillArc
+	globalGC1	128	124	126	128	psDrawLine
+	globalGC1	127 123 3 3	0 360	128 124 psFillArc
+	globalGC1	131	115	128	124	psDrawLine
+	globalGC1	130 114 3 3	0 360	131 115 psFillArc
+	globalGC1	132	106	131	115	psDrawLine
+	globalGC1	131 105 3 3	0 360	132 106 psFillArc
+	globalGC1	131	97	132	106	psDrawLine
+	globalGC1	130 96	3 3	0 360	131 97	psFillArc
+	globalGC1	127	88	131	97	psDrawLine
+	globalGC1	126 87	3 3	0 360	127 88	psFillArc
+	globalGC1	120	80	127	88	psDrawLine
+	globalGC1	119 79	3 3	0 360	120 80	psFillArc
+	globalGC1	112	74	120	80	psDrawLine
+	globalGC1	111 73	3 3	0 360	112 74	psFillArc
+	globalGC1	108	72	112	74	psDrawLine
+	globalGC1	107 71	3 3	0 360	108 72	psFillArc
+	globalGC1	103	70	108	72	psDrawLine
+	globalGC1	102 69	3 3	0 360	103 70	psFillArc
+	globalGC1	98	69	103	70	psDrawLine
+	globalGC1	97 68	3 3	0 360	98 69	psFillArc
+	globalGC1	92	68	98	69	psDrawLine
+	globalGC1	91 67	3 3	0 360	92 68	psFillArc
+	globalGC1	81	68	92	68	psDrawLine
+	globalGC1	80 67	3 3	0 360	81 68	psFillArc
+	globalGC1	69	71	81	68	psDrawLine
+	globalGC1	68 70	3 3	0 360	69 71	psFillArc
+	globalGC1	58	76	69	71	psDrawLine
+	globalGC1	57 75	3 3	0 360	58 76	psFillArc
+	globalGC1	48	84	58	76	psDrawLine
+	globalGC1	47 83	3 3	0 360	48 84	psFillArc
+	globalGC1	40	94	48	84	psDrawLine
+	globalGC1	39 93	3 3	0 360	40 94	psFillArc
+	globalGC1	33	105	40	94	psDrawLine
+	globalGC1	32 104	3 3	0 360	33 105	psFillArc
+	globalGC1	28	118	33	105	psDrawLine
+	globalGC1	27 117	3 3	0 360	28 118	psFillArc
+	globalGC1	26	132	28	118	psDrawLine
+	globalGC1	25 131	3 3	0 360	26 132	psFillArc
+	globalGC1	26	147	26	132	psDrawLine
+	globalGC1	25 146	3 3	0 360	26 147	psFillArc
+	globalGC1	29	161	26	147	psDrawLine
+	globalGC1	28 160	3 3	0 360	29 161	psFillArc
+	globalGC1	35	175	29	161	psDrawLine
+	globalGC1	34 174	3 3	0 360	35 175	psFillArc
+	globalGC1	43	187	35	175	psDrawLine
+	globalGC1	42 186	3 3	0 360	43 187	psFillArc
+	globalGC1	53	198	43	187	psDrawLine
+	globalGC1	52 197	3 3	0 360	53 198	psFillArc
+	globalGC1	64	206	53	198	psDrawLine
+	globalGC1	63 205	3 3	0 360	64 206	psFillArc
+	globalGC1	77	212	64	206	psDrawLine
+	globalGC1	76 211	3 3	0 360	77 212	psFillArc
+	globalGC1	91	216	77	212	psDrawLine
+	globalGC1	90 215	3 3	0 360	91 216	psFillArc
+	globalGC1	104	217	91	216	psDrawLine
+	globalGC1	103 216 3 3	0 360	104 217 psFillArc
+	globalGC1	118	216	104	217	psDrawLine
+	globalGC1	117 215 3 3	0 360	118 216 psFillArc
+	globalGC1	131	212	118	216	psDrawLine
+	globalGC1	130 211 3 3	0 360	131 212 psFillArc
+	globalGC1	142	206	131	212	psDrawLine
+	globalGC1	141 205 3 3	0 360	142 206 psFillArc
+	globalGC1	151	198	142	206	psDrawLine
+	globalGC1	150 197 3 3	0 360	151 198 psFillArc
+	globalGC1	159	188	151	198	psDrawLine
+	globalGC1	158 187 3 3	0 360	159 188 psFillArc
+	globalGC1	164	178	159	188	psDrawLine
+	globalGC1	163 177 3 3	0 360	164 178 psFillArc
+	globalGC1	167	167	164	178	psDrawLine
+	globalGC1	166 166 3 3	0 360	167 167 psFillArc
+	globalGC1	167	156	167	167	psDrawLine
+	globalGC1	166 155 3 3	0 360	167 156 psFillArc
+	globalGC1	165	146	167	156	psDrawLine
+	globalGC1	164 145 3 3	0 360	165 146 psFillArc
+	globalGC1	161	137	165	146	psDrawLine
+	globalGC1	160 136 3 3	0 360	161 137 psFillArc
+	globalGC1	155	129	161	137	psDrawLine
+	globalGC1	154 128 3 3	0 360	155 129 psFillArc
+	globalGC1	152	126	155	129	psDrawLine
+	globalGC1	151 125 3 3	0 360	152 126 psFillArc
+	globalGC1	148	123	152	126	psDrawLine
+	globalGC1	147 122 3 3	0 360	148 123 psFillArc
+	globalGC1	144	121	148	123	psDrawLine
+	globalGC1	143 120 3 3	0 360	144 121 psFillArc
+	globalGC1	139	120	144	121	psDrawLine
+	globalGC1	138 119 3 3	0 360	139 120 psFillArc
+	globalGC1	135	119	139	120	psDrawLine
+	globalGC1	134 118 3 3	0 360	135 119 psFillArc
+	globalGC1	130	118	135	119	psDrawLine
+	globalGC1	129 117 3 3	0 360	130 118 psFillArc
+	globalGC1	126	119	130	118	psDrawLine
+	globalGC1	125 118 3 3	0 360	126 119 psFillArc
+	globalGC1	122	120	126	119	psDrawLine
+	globalGC1	121 119 3 3	0 360	122 120 psFillArc
+	globalGC1	117	121	122	120	psDrawLine
+	globalGC1	116 120 3 3	0 360	117 121 psFillArc
+	globalGC1	113	123	117	121	psDrawLine
+	globalGC1	112 122 3 3	0 360	113 123 psFillArc
+	globalGC1	109	126	113	123	psDrawLine
+	globalGC1	108 125 3 3	0 360	109 126 psFillArc
+	globalGC1	106	129	109	126	psDrawLine
+	globalGC1	105 128 3 3	0 360	106 129 psFillArc
+	globalGC1	100	137	106	129	psDrawLine
+	globalGC1	99 136	3 3	0 360	100 137 psFillArc
+	globalGC1	96	146	100	137	psDrawLine
+	globalGC1	95 145	3 3	0 360	96 146	psFillArc
+	globalGC1	94	156	96	146	psDrawLine
+	globalGC1	93 155	3 3	0 360	94 156	psFillArc
+	globalGC1	94	167	94	156	psDrawLine
+	globalGC1	93 166	3 3	0 360	94 167	psFillArc
+	globalGC1	97	178	94	167	psDrawLine
+	globalGC1	96 177	3 3	0 360	97 178	psFillArc
+	globalGC1	102	188	97	178	psDrawLine
+	globalGC1	101 187 3 3	0 360	102 188 psFillArc
+	globalGC1	110	198	102	188	psDrawLine
+	globalGC1	109 197 3 3	0 360	110 198 psFillArc
+	globalGC1	119	206	110	198	psDrawLine
+	globalGC1	118 205 3 3	0 360	119 206 psFillArc
+	globalGC1	131	212	119	206	psDrawLine
+	globalGC1	130 211 3 3	0 360	131 212 psFillArc
+	globalGC1	143	216	131	212	psDrawLine
+	globalGC1	142 215 3 3	0 360	143 216 psFillArc
+	globalGC1	157	217	143	216	psDrawLine
+	globalGC1	156 216 3 3	0 360	157 217 psFillArc
+	globalGC1	170	216	157	217	psDrawLine
+	globalGC1	169 215 3 3	0 360	170 216 psFillArc
+	globalGC1	184	212	170	216	psDrawLine
+	globalGC1	183 211 3 3	0 360	184 212 psFillArc
+	globalGC1	197	206	184	212	psDrawLine
+	globalGC1	196 205 3 3	0 360	197 206 psFillArc
+	globalGC1	208	198	197	206	psDrawLine
+	globalGC1	207 197 3 3	0 360	208 198 psFillArc
+	globalGC1	218	187	208	198	psDrawLine
+	globalGC1	217 186 3 3	0 360	218 187 psFillArc
+	globalGC1	226	175	218	187	psDrawLine
+	globalGC1	225 174 3 3	0 360	226 175 psFillArc
+	globalGC1	232	161	226	175	psDrawLine
+	globalGC1	231 160 3 3	0 360	232 161 psFillArc
+	globalGC1	235	147	232	161	psDrawLine
+	globalGC1	234 146 3 3	0 360	235 147 psFillArc
+	globalGC1	235	132	235	147	psDrawLine
+	globalGC1	234 131 3 3	0 360	235 132 psFillArc
+	globalGC1	233	118	235	132	psDrawLine
+	globalGC1	232 117 3 3	0 360	233 118 psFillArc
+	globalGC1	228	105	233	118	psDrawLine
+	globalGC1	227 104 3 3	0 360	228 105 psFillArc
+	globalGC1	221	94	228	105	psDrawLine
+	globalGC1	220 93	3 3	0 360	221 94	psFillArc
+	globalGC1	213	84	221	94	psDrawLine
+	globalGC1	212 83	3 3	0 360	213 84	psFillArc
+	globalGC1	203	76	213	84	psDrawLine
+	globalGC1	202 75	3 3	0 360	203 76	psFillArc
+	globalGC1	192	71	203	76	psDrawLine
+	globalGC1	191 70	3 3	0 360	192 71	psFillArc
+	globalGC1	180	68	192	71	psDrawLine
+	globalGC1	179 67	3 3	0 360	180 68	psFillArc
+	globalGC1	174	68	180	68	psDrawLine
+	globalGC1	173 67	3 3	0 360	174 68	psFillArc
+	globalGC1	169	68	174	68	psDrawLine
+	globalGC1	168 67	3 3	0 360	169 68	psFillArc
+	globalGC1	163	69	169	68	psDrawLine
+	globalGC1	162 68	3 3	0 360	163 69	psFillArc
+	globalGC1	158	70	163	69	psDrawLine
+	globalGC1	157 69	3 3	0 360	158 70	psFillArc
+	globalGC1	149	74	158	70	psDrawLine
+	globalGC1	148 73	3 3	0 360	149 74	psFillArc
+	globalGC1	141	80	149	74	psDrawLine
+	globalGC1	140 79	3 3	0 360	141 80	psFillArc
+	globalGC1	134	88	141	80	psDrawLine
+	globalGC1	133 87	3 3	0 360	134 88	psFillArc
+	globalGC1	130	97	134	88	psDrawLine
+	globalGC1	129 96	3 3	0 360	130 97	psFillArc
+	globalGC1	129	106	130	97	psDrawLine
+	globalGC1	128 105 3 3	0 360	129 106 psFillArc
+	globalGC1	130	115	129	106	psDrawLine
+	globalGC1	129 114 3 3	0 360	130 115 psFillArc
+	globalGC1	133	124	130	115	psDrawLine
+	globalGC1	132 123 3 3	0 360	133 124 psFillArc
+	globalGC1	135	128	133	124	psDrawLine
+	globalGC1	134 127 3 3	0 360	135 128 psFillArc
+	globalGC1	138	131	135	128	psDrawLine
+	globalGC1	137 130 3 3	0 360	138 131 psFillArc
+	globalGC1	141	134	138	131	psDrawLine
+	globalGC1	140 133 3 3	0 360	141 134 psFillArc
+	globalGC1	145	137	141	134	psDrawLine
+	globalGC1	144 136 3 3	0 360	145 137 psFillArc
+	globalGC1	149	140	145	137	psDrawLine
+	globalGC1	148 139 3 3	0 360	149 140 psFillArc
+	globalGC1	153	142	149	140	psDrawLine
+	globalGC1	152 141 3 3	0 360	153 142 psFillArc
+	globalGC1	158	143	153	142	psDrawLine
+	globalGC1	157 142 3 3	0 360	158 143 psFillArc
+	globalGC1	163	144	158	143	psDrawLine
+	globalGC1	162 143 3 3	0 360	163 144 psFillArc
+	globalGC1	168	144	163	144	psDrawLine
+	globalGC1	167 143 3 3	0 360	168 144 psFillArc
+	globalGC1	173	143	168	144	psDrawLine
+	globalGC1	172 142 3 3	0 360	173 143 psFillArc
+	globalGC1	178	142	173	143	psDrawLine
+	globalGC1	177 141 3 3	0 360	178 142 psFillArc
+	globalGC1	183	141	178	142	psDrawLine
+	globalGC1	182 140 3 3	0 360	183 141 psFillArc
+	globalGC1	193	135	183	141	psDrawLine
+	globalGC1	192 134 3 3	0 360	193 135 psFillArc
+	globalGC1	201	128	193	135	psDrawLine
+	globalGC1	200 127 3 3	0 360	201 128 psFillArc
+	globalGC1	209	118	201	128	psDrawLine
+	globalGC1	208 117 3 3	0 360	209 118 psFillArc
+	globalGC1	214	107	209	118	psDrawLine
+	globalGC1	213 106 3 3	0 360	214 107 psFillArc
+	globalGC1	217	95	214	107	psDrawLine
+	globalGC1	216 94	3 3	0 360	217 95	psFillArc
+	globalGC1	218	82	217	95	psDrawLine
+	globalGC1	217 81	3 3	0 360	218 82	psFillArc
+	globalGC1	216	68	218	82	psDrawLine
+	globalGC1	215 67	3 3	0 360	216 68	psFillArc
+	globalGC1	212	55	216	68	psDrawLine
+	globalGC1	211 54	3 3	0 360	212 55	psFillArc
+	globalGC1	205	42	212	55	psDrawLine
+	globalGC1	204 41	3 3	0 360	205 42	psFillArc
+	globalGC1	196	31	205	42	psDrawLine
+	globalGC1	195 30	3 3	0 360	196 31	psFillArc
+	globalGC1	185	22	196	31	psDrawLine
+	globalGC1	184 21	3 3	0 360	185 22	psFillArc
+	globalGC1	173	15	185	22	psDrawLine
+	globalGC1	172 14	3 3	0 360	173 15	psFillArc
+	globalGC1	159	10	173	15	psDrawLine
+	globalGC1	158 9	3 3	0 360	159 10	psFillArc
+	globalGC1	145	8	159	10	psDrawLine
+	globalGC1	144 7	3 3	0 360	145 8	psFillArc
+	globalGC1	131	8	145	8	psDrawLine
+	globalGC1	130 7	3 3	0 360	131 8	psFillArc
+	globalGC1	117	11	131	8	psDrawLine
+	globalGC1	116 10	3 3	0 360	117 11	psFillArc
+	globalGC1	104	17	117	11	psDrawLine
+	globalGC1	103 16	3 3	0 360	104 17	psFillArc
+	globalGC1	92	25	104	17	psDrawLine
+	globalGC1	91 24	3 3	0 360	92 25	psFillArc
+	globalGC1	83	34	92	25	psDrawLine
+	globalGC1	82 33	3 3	0 360	83 34	psFillArc
+	globalGC1	75	45	83	34	psDrawLine
+	globalGC1	74 44	3 3	0 360	75 45	psFillArc
+	globalGC1	70	57	75	45	psDrawLine
+	globalGC1	69 56	3 3	0 360	70 57	psFillArc
+	globalGC1	67	69	70	57	psDrawLine
+	globalGC1	66 68	3 3	0 360	67 69	psFillArc
+	globalGC1	67	81	67	69	psDrawLine
+	globalGC1	66 80	3 3	0 360	67 81	psFillArc
+	globalGC1	70	93	67	81	psDrawLine
+	globalGC1	69 92	3 3	0 360	70 93	psFillArc
+	globalGC1	74	103	70	93	psDrawLine
+	globalGC1	73 102	3 3	0 360	74 103	psFillArc
+	globalGC1	80	112	74	103	psDrawLine
+	globalGC1	79 111	3 3	0 360	80 112	psFillArc
+	globalGC1	88	118	80	112	psDrawLine
+	globalGC1	87 117	3 3	0 360	88 118	psFillArc
+	globalGC1	92	121	88	118	psDrawLine
+	globalGC1	91 120	3 3	0 360	92 121	psFillArc
+	globalGC1	97	123	92	121	psDrawLine
+	globalGC1	96 122	3 3	0 360	97 123	psFillArc
+	globalGC1	102	124	97	123	psDrawLine
+	globalGC1	101 123 3 3	0 360	102 124 psFillArc
+	globalGC1	106	125	102	124	psDrawLine
+	globalGC1	105 124 3 3	0 360	106 125 psFillArc
+	globalGC1	111	125	106	125	psDrawLine
+	globalGC1	110 124 3 3	0 360	111 125 psFillArc
+	globalGC1	116	125	111	125	psDrawLine
+	globalGC1	115 124 3 3	0 360	116 125 psFillArc
+	globalGC1	120	124	116	125	psDrawLine
+	globalGC1	119 123 3 3	0 360	120 124 psFillArc
+	globalGC1	124	122	120	124	psDrawLine
+	globalGC1	123 121 3 3	0 360	124 122 psFillArc
+	globalGC1	128	120	124	122	psDrawLine
+	globalGC1	127 119 3 3	0 360	128 120 psFillArc
+	globalGC1	132	117	128	120	psDrawLine
+	globalGC1	131 116 3 3	0 360	132 117 psFillArc
+	globalGC1	135	114	132	117	psDrawLine
+	globalGC1	134 113 3 3	0 360	135 114 psFillArc
+	globalGC1	138	111	135	114	psDrawLine
+	globalGC1	137 110 3 3	0 360	138 111 psFillArc
+	globalGC1	143	103	138	111	psDrawLine
+	globalGC1	142 102 3 3	0 360	143 103 psFillArc
+	globalGC1	145	93	143	103	psDrawLine
+	globalGC1	144 92	3 3	0 360	145 93	psFillArc
+	globalGC1	145	84	145	93	psDrawLine
+	globalGC1	144 83	3 3	0 360	145 84	psFillArc
+	globalGC1	142	74	145	84	psDrawLine
+	globalGC1	141 73	3 3	0 360	142 74	psFillArc
+	globalGC1	138	64	142	74	psDrawLine
+	globalGC1	137 63	3 3	0 360	138 64	psFillArc
+	globalGC1	131	56	138	64	psDrawLine
+	globalGC1	130 55	3 3	0 360	131 56	psFillArc
+	globalGC1	122	49	131	56	psDrawLine
+	globalGC1	121 48	3 3	0 360	122 49	psFillArc
+	globalGC1	111	44	122	49	psDrawLine
+	globalGC1	110 43	3 3	0 360	111 44	psFillArc
+	globalGC1	99	42	111	44	psDrawLine
+	globalGC1	98 41	3 3	0 360	99 42	psFillArc
+	globalGC1	87	41	99	42	psDrawLine
+	globalGC1	86 40	3 3	0 360	87 41	psFillArc
+	globalGC1	74	44	87	41	psDrawLine
+	globalGC1	73 43	3 3	0 360	74 44	psFillArc
+	globalGC1	62	48	74	44	psDrawLine
+	globalGC1	61 47	3 3	0 360	62 48	psFillArc
+	globalGC1	50	56	62	48	psDrawLine
+	globalGC1	49 55	3 3	0 360	50 56	psFillArc
+	globalGC1	40	65	50	56	psDrawLine
+	globalGC1	39 64	3 3	0 360	40 65	psFillArc
+	globalGC1	31	77	40	65	psDrawLine
+	globalGC1	30 76	3 3	0 360	31 77	psFillArc
+	globalGC1	25	90	31	77	psDrawLine
+	globalGC1	24 89	3 3	0 360	25 90	psFillArc
+	globalGC1	21	104	25	90	psDrawLine
+	globalGC1	20 103	3 3	0 360	21 104	psFillArc
+	globalGC1	20	118	21	104	psDrawLine
+	globalGC1	19 117	3 3	0 360	20 118	psFillArc
+	globalGC1	21	133	20	118	psDrawLine
+	globalGC1	20 132	3 3	0 360	21 133	psFillArc
+	globalGC1	25	147	21	133	psDrawLine
+	globalGC1	24 146	3 3	0 360	25 147	psFillArc
+	globalGC1	31	160	25	147	psDrawLine
+	globalGC1	30 159	3 3	0 360	31 160	psFillArc
+	globalGC1	40	172	31	160	psDrawLine
+	globalGC1	39 171	3 3	0 360	40 172	psFillArc
+	globalGC1	50	181	40	172	psDrawLine
+	globalGC1	49 180	3 3	0 360	50 181	psFillArc
+	globalGC1	62	189	50	181	psDrawLine
+	globalGC1	61 188	3 3	0 360	62 189	psFillArc
+	globalGC1	74	193	62	189	psDrawLine
+	globalGC1	73 192	3 3	0 360	74 193	psFillArc
+	globalGC1	87	196	74	193	psDrawLine
+	globalGC1	86 195	3 3	0 360	87 196	psFillArc
+	globalGC1	99	195	87	196	psDrawLine
+	globalGC1	98 194	3 3	0 360	99 195	psFillArc
+	globalGC1	111	193	99	195	psDrawLine
+	globalGC1	110 192 3 3	0 360	111 193 psFillArc
+	globalGC1	122	188	111	193	psDrawLine
+	globalGC1	121 187 3 3	0 360	122 188 psFillArc
+	globalGC1	130	181	122	188	psDrawLine
+	globalGC1	129 180 3 3	0 360	130 181 psFillArc
+	globalGC1	138	173	130	181	psDrawLine
+	globalGC1	137 172 3 3	0 360	138 173 psFillArc
+	globalGC1	142	163	138	173	psDrawLine
+	globalGC1	141 162 3 3	0 360	142 163 psFillArc
+	globalGC1	145	153	142	163	psDrawLine
+	globalGC1	144 152 3 3	0 360	145 153 psFillArc
+	globalGC1	145	144	145	153	psDrawLine
+	globalGC1	144 143 3 3	0 360	145 144 psFillArc
+	globalGC1	143	134	145	144	psDrawLine
+	globalGC1	142 133 3 3	0 360	143 134 psFillArc
+	globalGC1	138	126	143	134	psDrawLine
+	globalGC1	137 125 3 3	0 360	138 126 psFillArc
+	globalGC1	135	123	138	126	psDrawLine
+	globalGC1	134 122 3 3	0 360	135 123 psFillArc
+	globalGC1	132	120	135	123	psDrawLine
+	globalGC1	131 119 3 3	0 360	132 120 psFillArc
+	globalGC1	128	117	132	120	psDrawLine
+	globalGC1	127 116 3 3	0 360	128 117 psFillArc
+	globalGC1	124	115	128	117	psDrawLine
+	globalGC1	123 114 3 3	0 360	124 115 psFillArc
+	globalGC1	120	113	124	115	psDrawLine
+	globalGC1	119 112 3 3	0 360	120 113 psFillArc
+	globalGC1	116	112	120	113	psDrawLine
+	globalGC1	115 111 3 3	0 360	116 112 psFillArc
+	globalGC1	111	112	116	112	psDrawLine
+	globalGC1	110 111 3 3	0 360	111 112 psFillArc
+	globalGC1	106	112	111	112	psDrawLine
+	globalGC1	105 111 3 3	0 360	106 112 psFillArc
+	globalGC1	102	113	106	112	psDrawLine
+	globalGC1	101 112 3 3	0 360	102 113 psFillArc
+	globalGC1	97	114	102	113	psDrawLine
+	globalGC1	96 113	3 3	0 360	97 114	psFillArc
+	globalGC1	92	116	97	114	psDrawLine
+	globalGC1	91 115	3 3	0 360	92 116	psFillArc
+	globalGC1	88	118	92	116	psDrawLine
+	globalGC1	87 117	3 3	0 360	88 118	psFillArc
+	globalGC1	80	125	88	118	psDrawLine
+	globalGC1	79 124	3 3	0 360	80 125	psFillArc
+	globalGC1	74	134	80	125	psDrawLine
+	globalGC1	73 133	3 3	0 360	74 134	psFillArc
+	globalGC1	70	144	74	134	psDrawLine
+	globalGC1	69 143	3 3	0 360	70 144	psFillArc
+	globalGC1	67	156	70	144	psDrawLine
+	globalGC1	66 155	3 3	0 360	67 156	psFillArc
+	globalGC1	67	168	67	156	psDrawLine
+	globalGC1	66 167	3 3	0 360	67 168	psFillArc
+	globalGC1	70	180	67	168	psDrawLine
+	globalGC1	69 179	3 3	0 360	70 180	psFillArc
+	globalGC1	75	192	70	180	psDrawLine
+	globalGC1	74 191	3 3	0 360	75 192	psFillArc
+	globalGC1	83	203	75	192	psDrawLine
+	globalGC1	82 202	3 3	0 360	83 203	psFillArc
+	globalGC1	92	212	83	203	psDrawLine
+	globalGC1	91 211	3 3	0 360	92 212	psFillArc
+	globalGC1	104	220	92	212	psDrawLine
+	globalGC1	103 219 3 3	0 360	104 220 psFillArc
+	globalGC1	117	226	104	220	psDrawLine
+	globalGC1	116 225 3 3	0 360	117 226 psFillArc
+	globalGC1	130	229	117	226	psDrawLine
+	globalGC1	129 228 3 3	0 360	130 229 psFillArc
+	globalGC1	145	229	130	229	psDrawLine
+	globalGC1	144 228 3 3	0 360	145 229 psFillArc
+	globalGC1	159	227	145	229	psDrawLine
+	globalGC1	158 226 3 3	0 360	159 227 psFillArc
+	globalGC1	173	222	159	227	psDrawLine
+	globalGC1	172 221 3 3	0 360	173 222 psFillArc
+	globalGC1	185	215	173	222	psDrawLine
+	globalGC1	184 214 3 3	0 360	185 215 psFillArc
+	globalGC1	196	206	185	215	psDrawLine
+	globalGC1	195 205 3 3	0 360	196 206 psFillArc
+	globalGC1	205	194	196	206	psDrawLine
+	globalGC1	204 193 3 3	0 360	205 194 psFillArc
+	globalGC1	212	182	205	194	psDrawLine
+	globalGC1	211 181 3 3	0 360	212 182 psFillArc
+	globalGC1	216	169	212	182	psDrawLine
+	globalGC1	215 168 3 3	0 360	216 169 psFillArc
+	globalGC1	218	155	216	169	psDrawLine
+	globalGC1	217 154 3 3	0 360	218 155 psFillArc
+	globalGC1	217	142	218	155	psDrawLine
+	globalGC1	216 141 3 3	0 360	217 142 psFillArc
+	globalGC1	214	130	217	142	psDrawLine
+	globalGC1	213 129 3 3	0 360	214 130 psFillArc
+	globalGC1	209	118	214	130	psDrawLine
+	globalGC1	208 117 3 3	0 360	209 118 psFillArc
+	globalGC1	201	109	209	118	psDrawLine
+	globalGC1	200 108 3 3	0 360	201 109 psFillArc
+	globalGC1	193	102	201	109	psDrawLine
+	globalGC1	192 101 3 3	0 360	193 102 psFillArc
+	globalGC1	183	96	193	102	psDrawLine
+	globalGC1	182 95	3 3	0 360	183 96	psFillArc
+	globalGC1	178	95	183	96	psDrawLine
+	globalGC1	177 94	3 3	0 360	178 95	psFillArc
+	globalGC1	173	94	178	95	psDrawLine
+	globalGC1	172 93	3 3	0 360	173 94	psFillArc
+	globalGC1	168	93	173	94	psDrawLine
+	globalGC1	167 92	3 3	0 360	168 93	psFillArc
+	globalGC1	163	93	168	93	psDrawLine
+	globalGC1	162 92	3 3	0 360	163 93	psFillArc
+	globalGC1	158	94	163	93	psDrawLine
+	globalGC1	157 93	3 3	0 360	158 94	psFillArc
+	globalGC1	153	95	158	94	psDrawLine
+	globalGC1	152 94	3 3	0 360	153 95	psFillArc
+	globalGC1	149	97	153	95	psDrawLine
+	globalGC1	148 96	3 3	0 360	149 97	psFillArc
+	globalGC1	145	100	149	97	psDrawLine
+	globalGC1	144 99	3 3	0 360	145 100 psFillArc
+	globalGC1	141	103	145	100	psDrawLine
+	globalGC1	140 102 3 3	0 360	141 103 psFillArc
+	globalGC1	138	106	141	103	psDrawLine
+	globalGC1	137 105 3 3	0 360	138 106 psFillArc
+	globalGC1	135	109	138	106	psDrawLine
+	globalGC1	134 108 3 3	0 360	135 109 psFillArc
+	globalGC1	133	113	135	109	psDrawLine
+	globalGC1	132 112 3 3	0 360	133 113 psFillArc
+	globalGC1	130	122	133	113	psDrawLine
+	globalGC1	129 121 3 3	0 360	130 122 psFillArc
+	globalGC1	129	131	130	122	psDrawLine
+	globalGC1	128 130 3 3	0 360	129 131 psFillArc
+	globalGC1	130	140	129	131	psDrawLine
+	globalGC1	129 139 3 3	0 360	130 140 psFillArc
+	globalGC1	134	149	130	140	psDrawLine
+	globalGC1	133 148 3 3	0 360	134 149 psFillArc
+	globalGC1	141	157	134	149	psDrawLine
+	globalGC1	140 156 3 3	0 360	141 157 psFillArc
+	globalGC1	149	163	141	157	psDrawLine
+	globalGC1	148 162 3 3	0 360	149 163 psFillArc
+	globalGC1	153	165	149	163	psDrawLine
+	globalGC1	152 164 3 3	0 360	153 165 psFillArc
+	globalGC1	158	167	153	165	psDrawLine
+	globalGC1	157 166 3 3	0 360	158 167 psFillArc
+	globalGC1	163	168	158	167	psDrawLine
+	globalGC1	162 167 3 3	0 360	163 168 psFillArc
+	globalGC1	169	169	163	168	psDrawLine
+	globalGC1	168 168 3 3	0 360	169 169 psFillArc
+	globalGC1	180	169	169	169	psDrawLine
+	globalGC1	179 168 3 3	0 360	180 169 psFillArc
+	globalGC1	192	166	180	169	psDrawLine
+	globalGC1	191 165 3 3	0 360	192 166 psFillArc
+	globalGC1	203	161	192	166	psDrawLine
+	globalGC1	202 160 3 3	0 360	203 161 psFillArc
+	globalGC1	213	153	203	161	psDrawLine
+	globalGC1	212 152 3 3	0 360	213 153 psFillArc
+	globalGC1	221	143	213	153	psDrawLine
+	globalGC1	220 142 3 3	0 360	221 143 psFillArc
+	globalGC1	228	132	221	143	psDrawLine
+	globalGC1	227 131 3 3	0 360	228 132 psFillArc
+	globalGC1	233	118	228	132	psDrawLine
+	globalGC1	232 117 3 3	0 360	233 118 psFillArc
+	globalGC1	235	105	233	118	psDrawLine
+	globalGC1	234 104 3 3	0 360	235 105 psFillArc
+	globalGC1	235	90	235	105	psDrawLine
+	globalGC1	234 89	3 3	0 360	235 90	psFillArc
+	globalGC1	232	76	235	90	psDrawLine
+	globalGC1	231 75	3 3	0 360	232 76	psFillArc
+	globalGC1	226	62	232	76	psDrawLine
+	globalGC1	225 61	3 3	0 360	226 62	psFillArc
+	globalGC1	218	50	226	62	psDrawLine
+	globalGC1	217 49	3 3	0 360	218 50	psFillArc
+	globalGC1	208	39	218	50	psDrawLine
+	globalGC1	207 38	3 3	0 360	208 39	psFillArc
+	globalGC1	197	31	208	39	psDrawLine
+	globalGC1	196 30	3 3	0 360	197 31	psFillArc
+	globalGC1	184	25	197	31	psDrawLine
+	globalGC1	183 24	3 3	0 360	184 25	psFillArc
+	globalGC1	170	21	184	25	psDrawLine
+	globalGC1	169 20	3 3	0 360	170 21	psFillArc
+	globalGC1	157	20	170	21	psDrawLine
+	globalGC1	156 19	3 3	0 360	157 20	psFillArc
+	globalGC1	143	21	157	20	psDrawLine
+	globalGC1	142 20	3 3	0 360	143 21	psFillArc
+	globalGC1	131	25	143	21	psDrawLine
+	globalGC1	130 24	3 3	0 360	131 25	psFillArc
+	globalGC1	119	31	131	25	psDrawLine
+	globalGC1	118 30	3 3	0 360	119 31	psFillArc
+	globalGC1	110	39	119	31	psDrawLine
+	globalGC1	109 38	3 3	0 360	110 39	psFillArc
+	globalGC1	102	49	110	39	psDrawLine
+	globalGC1	101 48	3 3	0 360	102 49	psFillArc
+	globalGC1	97	59	102	49	psDrawLine
+	globalGC1	96 58	3 3	0 360	97 59	psFillArc
+	globalGC1	94	70	97	59	psDrawLine
+	globalGC1	93 69	3 3	0 360	94 70	psFillArc
+	globalGC1	94	81	94	70	psDrawLine
+	globalGC1	93 80	3 3	0 360	94 81	psFillArc
+	globalGC1	96	91	94	81	psDrawLine
+	globalGC1	95 90	3 3	0 360	96 91	psFillArc
+	globalGC1	100	100	96	91	psDrawLine
+	globalGC1	99 99	3 3	0 360	100 100 psFillArc
+	globalGC1	106	108	100	100	psDrawLine
+	globalGC1	105 107 3 3	0 360	106 108 psFillArc
+	globalGC1	109	111	106	108	psDrawLine
+	globalGC1	108 110 3 3	0 360	109 111 psFillArc
+	globalGC1	113	114	109	111	psDrawLine
+	globalGC1	112 113 3 3	0 360	113 114 psFillArc
+	globalGC1	117	116	113	114	psDrawLine
+	globalGC1	116 115 3 3	0 360	117 116 psFillArc
+	globalGC1	122	117	117	116	psDrawLine
+	globalGC1	121 116 3 3	0 360	122 117 psFillArc
+	globalGC1	126	118	122	117	psDrawLine
+	globalGC1	125 117 3 3	0 360	126 118 psFillArc
+	globalGC1	130	118	126	118	psDrawLine
+	globalGC1	129 117 3 3	0 360	130 118 psFillArc
+	globalGC1	135	118	130	118	psDrawLine
+	globalGC1	134 117 3 3	0 360	135 118 psFillArc
+	globalGC1	139	117	135	118	psDrawLine
+	globalGC1	138 116 3 3	0 360	139 117 psFillArc
+	globalGC1	144	116	139	117	psDrawLine
+	globalGC1	143 115 3 3	0 360	144 116 psFillArc
+	globalGC1	148	114	144	116	psDrawLine
+	globalGC1	147 113 3 3	0 360	148 114 psFillArc
+	globalGC1	152	111	148	114	psDrawLine
+	globalGC1	151 110 3 3	0 360	152 111 psFillArc
+	globalGC1	155	108	152	111	psDrawLine
+	globalGC1	154 107 3 3	0 360	155 108 psFillArc
+	globalGC1	161	100	155	108	psDrawLine
+	globalGC1	160 99	3 3	0 360	161 100 psFillArc
+	globalGC1	165	91	161	100	psDrawLine
+	globalGC1	164 90	3 3	0 360	165 91	psFillArc
+	globalGC1	167	81	165	91	psDrawLine
+	globalGC1	166 80	3 3	0 360	167 81	psFillArc
+	globalGC1	167	70	167	81	psDrawLine
+	globalGC1	166 69	3 3	0 360	167 70	psFillArc
+	globalGC1	164	59	167	70	psDrawLine
+	globalGC1	163 58	3 3	0 360	164 59	psFillArc
+	globalGC1	159	49	164	59	psDrawLine
+	globalGC1	158 48	3 3	0 360	159 49	psFillArc
+	globalGC1	151	39	159	49	psDrawLine
+	globalGC1	150 38	3 3	0 360	151 39	psFillArc
+	globalGC1	142	31	151	39	psDrawLine
+	globalGC1	141 30	3 3	0 360	142 31	psFillArc
+	globalGC1	131	25	142	31	psDrawLine
+	globalGC1	130 24	3 3	0 360	131 25	psFillArc
+	globalGC1	118	21	131	25	psDrawLine
+	globalGC1	117 20	3 3	0 360	118 21	psFillArc
+	globalGC1	104	20	118	21	psDrawLine
+	globalGC1	103 19	3 3	0 360	104 20	psFillArc
+	globalGC1	91	21	104	20	psDrawLine
+	globalGC1	90 20	3 3	0 360	91 21	psFillArc
+	globalGC1	77	25	91	21	psDrawLine
+	globalGC1	76 24	3 3	0 360	77 25	psFillArc
+	globalGC1	64	31	77	25	psDrawLine
+	globalGC1	63 30	3 3	0 360	64 31	psFillArc
+	globalGC1	53	39	64	31	psDrawLine
+	globalGC1	52 38	3 3	0 360	53 39	psFillArc
+	globalGC1	43	50	53	39	psDrawLine
+	globalGC1	42 49	3 3	0 360	43 50	psFillArc
+	globalGC1	35	62	43	50	psDrawLine
+	globalGC1	34 61	3 3	0 360	35 62	psFillArc
+	globalGC1	29	76	35	62	psDrawLine
+	globalGC1	28 75	3 3	0 360	29 76	psFillArc
+	globalGC1	26	90	29	76	psDrawLine
+	globalGC1	25 89	3 3	0 360	26 90	psFillArc
+	globalGC1	26	105	26	90	psDrawLine
+	globalGC1	25 104	3 3	0 360	26 105	psFillArc
+	globalGC1	28	118	26	105	psDrawLine
+	globalGC1	27 117	3 3	0 360	28 118	psFillArc
+	globalGC1	33	132	28	118	psDrawLine
+	globalGC1	32 131	3 3	0 360	33 132	psFillArc
+	globalGC1	40	143	33	132	psDrawLine
+	globalGC1	39 142	3 3	0 360	40 143	psFillArc
+	globalGC1	48	153	40	143	psDrawLine
+	globalGC1	47 152	3 3	0 360	48 153	psFillArc
+	globalGC1	58	161	48	153	psDrawLine
+	globalGC1	57 160	3 3	0 360	58 161	psFillArc
+	globalGC1	69	166	58	161	psDrawLine
+	globalGC1	68 165	3 3	0 360	69 166	psFillArc
+	globalGC1	81	169	69	166	psDrawLine
+	globalGC1	80 168	3 3	0 360	81 169	psFillArc
+	globalGC1	87	169	81	169	psDrawLine
+	globalGC1	86 168	3 3	0 360	87 169	psFillArc
+	globalGC1	92	169	87	169	psDrawLine
+	globalGC1	91 168	3 3	0 360	92 169	psFillArc
+	globalGC1	98	168	92	169	psDrawLine
+	globalGC1	97 167	3 3	0 360	98 168	psFillArc
+	globalGC1	103	167	98	168	psDrawLine
+	globalGC1	102 166 3 3	0 360	103 167 psFillArc
+	globalGC1	112	163	103	167	psDrawLine
+	globalGC1	111 162 3 3	0 360	112 163 psFillArc
+	globalGC1	120	157	112	163	psDrawLine
+	globalGC1	119 156 3 3	0 360	120 157 psFillArc
+	globalGC1	127	149	120	157	psDrawLine
+	globalGC1	126 148 3 3	0 360	127 149 psFillArc
+	globalGC1	130	140	127	149	psDrawLine
+	globalGC1	129 139 3 3	0 360	130 140 psFillArc
+	globalGC1	132	131	130	140	psDrawLine
+	globalGC1	131 130 3 3	0 360	132 131 psFillArc
+	globalGC1	131	122	132	131	psDrawLine
+	globalGC1	130 121 3 3	0 360	131 122 psFillArc
+	globalGC1	128	113	131	122	psDrawLine
+	globalGC1	127 112 3 3	0 360	128 113 psFillArc
+	globalGC1	126	109	128	113	psDrawLine
+	globalGC1	125 108 3 3	0 360	126 109 psFillArc
+	globalGC1	123	106	126	109	psDrawLine
+	globalGC1	122 105 3 3	0 360	123 106 psFillArc
+	globalGC1	120	103	123	106	psDrawLine
+	globalGC1	119 102 3 3	0 360	120 103 psFillArc
+	globalGC1	116	100	120	103	psDrawLine
+	globalGC1	115 99	3 3	0 360	116 100 psFillArc
+	globalGC1	112	97	116	100	psDrawLine
+	globalGC1	111 96	3 3	0 360	112 97	psFillArc
+	globalGC1	108	95	112	97	psDrawLine
+	globalGC1	107 94	3 3	0 360	108 95	psFillArc
+	globalGC1	103	94	108	95	psDrawLine
+	globalGC1	102 93	3 3	0 360	103 94	psFillArc
+	globalGC1	98	93	103	94	psDrawLine
+	globalGC1	97 92	3 3	0 360	98 93	psFillArc
+	globalGC1	93	93	98	93	psDrawLine
+	globalGC1	92 92	3 3	0 360	93 93	psFillArc
+	globalGC1	88	94	93	93	psDrawLine
+	globalGC1	87 93	3 3	0 360	88 94	psFillArc
+	globalGC1	83	95	88	94	psDrawLine
+	globalGC1	82 94	3 3	0 360	83 95	psFillArc
+	globalGC1	78	96	83	95	psDrawLine
+	globalGC1	77 95	3 3	0 360	78 96	psFillArc
+	globalGC1	68	102	78	96	psDrawLine
+	globalGC1	67 101	3 3	0 360	68 102	psFillArc
+	globalGC1	60	109	68	102	psDrawLine
+	globalGC1	59 108	3 3	0 360	60 109	psFillArc
+	globalGC1	52	118	60	109	psDrawLine
+	globalGC1	51 117	3 3	0 360	52 118	psFillArc
+	globalGC1	47	130	52	118	psDrawLine
+	globalGC1	46 129	3 3	0 360	47 130	psFillArc
+	globalGC1	44	142	47	130	psDrawLine
+	globalGC1	43 141	3 3	0 360	44 142	psFillArc
+	globalGC1	43	155	44	142	psDrawLine
+	globalGC1	42 154	3 3	0 360	43 155	psFillArc
+	globalGC1	45	169	43	155	psDrawLine
+	globalGC1	44 168	3 3	0 360	45 169	psFillArc
+	globalGC1	49	182	45	169	psDrawLine
+	globalGC1	48 181	3 3	0 360	49 182	psFillArc
+	globalGC1	56	194	49	182	psDrawLine
+	globalGC1	55 193	3 3	0 360	56 194	psFillArc
+	globalGC1	65	206	56	194	psDrawLine
+	globalGC1	64 205	3 3	0 360	65 206	psFillArc
+	globalGC1	76	215	65	206	psDrawLine
+	globalGC1	75 214	3 3	0 360	76 215	psFillArc
+	globalGC1	88	222	76	215	psDrawLine
+	globalGC1	87 221	3 3	0 360	88 222	psFillArc
+	globalGC1	102	227	88	222	psDrawLine
+	globalGC1	101 226 3 3	0 360	102 227 psFillArc
+	globalGC1	116	229	102	227	psDrawLine
+	globalGC1	115 228 3 3	0 360	116 229 psFillArc
+	globalGC1	130	229	116	229	psDrawLine
+	globalGC1	129 228 3 3	0 360	130 229 psFillArc
+	globalGC1	144	226	130	229	psDrawLine
+	globalGC1	143 225 3 3	0 360	144 226 psFillArc
+	globalGC1	157	220	144	226	psDrawLine
+	globalGC1	156 219 3 3	0 360	157 220 psFillArc
+	globalGC1	169	212	157	220	psDrawLine
+	globalGC1	168 211 3 3	0 360	169 212 psFillArc
+	globalGC1	178	203	169	212	psDrawLine
+	globalGC1	177 202 3 3	0 360	178 203 psFillArc
+	globalGC1	186	192	178	203	psDrawLine
+	globalGC1	185 191 3 3	0 360	186 192 psFillArc
+	globalGC1	191	180	186	192	psDrawLine
+	globalGC1	190 179 3 3	0 360	191 180 psFillArc
+	globalGC1	194	168	191	180	psDrawLine
+	globalGC1	193 167 3 3	0 360	194 168 psFillArc
+	globalGC1	194	156	194	168	psDrawLine
+	globalGC1	193 155 3 3	0 360	194 156 psFillArc
+	globalGC1	191	144	194	156	psDrawLine
+	globalGC1	190 143 3 3	0 360	191 144 psFillArc
+	globalGC1	187	134	191	144	psDrawLine
+	globalGC1	186 133 3 3	0 360	187 134 psFillArc
+	globalGC1	181	125	187	134	psDrawLine
+	globalGC1	180 124 3 3	0 360	181 125 psFillArc
+	globalGC1	173	118	181	125	psDrawLine
+	globalGC1	172 117 3 3	0 360	173 118 psFillArc
+	globalGC1	169	116	173	118	psDrawLine
+	globalGC1	168 115 3 3	0 360	169 116 psFillArc
+	globalGC1	164	114	169	116	psDrawLine
+	globalGC1	163 113 3 3	0 360	164 114 psFillArc
+	globalGC1	159	113	164	114	psDrawLine
+	globalGC1	158 112 3 3	0 360	159 113 psFillArc
+	globalGC1	155	112	159	113	psDrawLine
+	globalGC1	154 111 3 3	0 360	155 112 psFillArc
+	globalGC1	150	112	155	112	psDrawLine
+	globalGC1	149 111 3 3	0 360	150 112 psFillArc
+	globalGC1	145	112	150	112	psDrawLine
+	globalGC1	144 111 3 3	0 360	145 112 psFillArc
+	globalGC1	141	113	145	112	psDrawLine
+	globalGC1	140 112 3 3	0 360	141 113 psFillArc
+	globalGC1	137	115	141	113	psDrawLine
+	globalGC1	136 114 3 3	0 360	137 115 psFillArc
+	globalGC1	133	117	137	115	psDrawLine
+	globalGC1	132 116 3 3	0 360	133 117 psFillArc
+	globalGC1	129	120	133	117	psDrawLine
+	globalGC1	128 119 3 3	0 360	129 120 psFillArc
+	globalGC1	126	123	129	120	psDrawLine
+	globalGC1	125 122 3 3	0 360	126 123 psFillArc
+	globalGC1	123	126	126	123	psDrawLine
+	globalGC1	122 125 3 3	0 360	123 126 psFillArc
+	globalGC1	118	134	123	126	psDrawLine
+	globalGC1	117 133 3 3	0 360	118 134 psFillArc
+	globalGC1	116	144	118	134	psDrawLine
+	globalGC1	115 143 3 3	0 360	116 144 psFillArc
+	globalGC1	116	153	116	144	psDrawLine
+	globalGC1	115 152 3 3	0 360	116 153 psFillArc
+	globalGC1	119	163	116	153	psDrawLine
+	globalGC1	118 162 3 3	0 360	119 163 psFillArc
+	globalGC1	123	173	119	163	psDrawLine
+	globalGC1	122 172 3 3	0 360	123 173 psFillArc
+	globalGC1	130	181	123	173	psDrawLine
+	globalGC1	129 180 3 3	0 360	130 181 psFillArc
+	globalGC1	139	188	130	181	psDrawLine
+	globalGC1	138 187 3 3	0 360	139 188 psFillArc
+	globalGC1	150	193	139	188	psDrawLine
+	globalGC1	149 192 3 3	0 360	150 193 psFillArc
+	globalGC1	162	195	150	193	psDrawLine
+	globalGC1	161 194 3 3	0 360	162 195 psFillArc
+	globalGC1	174	196	162	195	psDrawLine
+	globalGC1	173 195 3 3	0 360	174 196 psFillArc
+	globalGC1	187	193	174	196	psDrawLine
+	globalGC1	186 192 3 3	0 360	187 193 psFillArc
+	globalGC1	199	189	187	193	psDrawLine
+	globalGC1	198 188 3 3	0 360	199 189 psFillArc
+	globalGC1	211	181	199	189	psDrawLine
+	globalGC1	210 180 3 3	0 360	211 181 psFillArc
+	globalGC1	221	172	211	181	psDrawLine
+	globalGC1	220 171 3 3	0 360	221 172 psFillArc
+	globalGC1	230	160	221	172	psDrawLine
+	globalGC1	229 159 3 3	0 360	230 160 psFillArc
+	globalGC1	236	147	230	160	psDrawLine
+	globalGC1	235 146 3 3	0 360	236 147 psFillArc
+	globalGC1	240	133	236	147	psDrawLine
+	globalGC1	239 132 3 3	0 360	240 133 psFillArc
+	globalGC1	241	118	240	133	psDrawLine
+	globalGC1	240 117 3 3	0 360	241 118 psFillArc
+ 
+    grestore	% restore graphics state
+ 
+%	frameDict	24	262	0	240	title
+%	frameDict	drawFrame
+%	frameDict	loadFont
+%	262	(cos (5*t)/8) stringwidth pop sub 2 div
+%	15	(cos (5*t)/8)	(title) psDrawIStr
+ 
+   cleartomark					%% clearing operand stack
+ 
+end		%% pops mainDict from dictionary stack
+ 
+showpage
+ 
+%-------------------------- end --------------------------%
diff --git a/books/ps/torusknot.ps b/books/ps/torusknot.ps
new file mode 100644
index 0000000..88b6743
--- /dev/null
+++ b/books/ps/torusknot.ps
@@ -0,0 +1,4808 @@
+%!PS-Adobe-3.0
+%%Creator: GIMP PostScript file plugin V 1.12 by Peter Kirchgessner
+%%Title: /root/doc/knot3a.ps
+%%CreationDate: Sun Mar  7 21:30:08 2004
+%%DocumentData: Clean7Bit
+%%LanguageLevel: 2
+%%Pages: 1
+%%BoundingBox: 14 14 224 224
+%%EndComments
+%%BeginProlog
+% Use own dictionary to avoid conflicts
+10 dict begin
+%%EndProlog
+%%Page: 1 1
+% Translate for offset
+14.173228 14.173228 translate
+% Translate to begin of first scanline
+0.000000 209.802423 translate
+209.802423 -209.802423 scale
+% Image geometry
+565 565 8
+% Transformation matrix
+[ 565 0 0 565 0 0 ]
+% Strings to hold RGB-samples per scanline
+/rstr 565 string def
+/gstr 565 string def
+/bstr 565 string def
+{currentfile /ASCII85Decode filter /RunLengthDecode filter rstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter gstr readstring pop}
+{currentfile /ASCII85Decode filter /RunLengthDecode filter bstr readstring pop}
+true 3
+%%BeginData:       303569 ASCII Bytes
+colorimage
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$d/O5F?XJnVJcC?%J,~>
+JcC<$d/O5F?XJnVJcC?%J,~>
+JcC<$d/O5F?XJnVJcC?%J,~>
+JcC<$j8\jMpL!`GJcCK)J,~>
+JcC<$j8\jMpL!`GJcCK)J,~>
+JcC<$j8\jMpL!`GJcCK)J,~>
+JcD#8r_V]qrK-jT!&4=Ir*T1_r)!;upj[kpMuS;~>
+JcD#8r_V]qrK-jT!&4=Ir*T1_r)!;upj[kpMuS;~>
+JcD#8r_V]qrK-jT!&4=Ir*T1_r)!;upj[kpMuS;~>
+JcD2=qb[&pm;Vi^!<<$PniukFpL!]FJcCf2J,~>
+JcD2=qb[&pm;Vi^!<<$PniukFpL!]FJcCf2J,~>
+JcD2=qb[&pm;Vi^!<<$PniukFpL!]FJcCf2J,~>
+JcDABp/'jXoT0&,q*4CGnmD-@JcCu7J,~>
+JcDABp/'jXoT0&,q*4CGnmD-@JcCu7J,~>
+JcDABp/'jXoT0&,q*4CGnmD-@JcCu7J,~>
+JcDSHn5/4RrG_CjohbTOr(ufgpO@boR/_[~>
+JcDSHn5/4RrG_CjohbTOr(ufgpO@boR/_[~>
+JcDSHn5/4RrG_CjohbTOr(ufgpO@boR/_[~>
+JcDbMlqleNpi,nfpcnOMl!O@<rfD^2S,\!~>
+JcDbMlqleNpi,nfpcnOMl!O@<rfD^2S,\!~>
+JcDbMlqleNpi,nfpcnOMl!O@<rfD^2S,\!~>
+JcDnQkYUAJol0Sc!'g'Ok?n%HJcD;@J,~>
+JcDnQkYUAJol0Sc!'g'Ok?n%HJcD;@J,~>
+JcDnQkYUAJol0Sc!'g'Ok?n%HJcD;@J,~>
+JcDtS!'faFr]fL@s'PA:ooSlDk[4:-qiHC/T)X<~>
+JcDtS!'faFr]fL@s'PA:ooSlDk[4:-qiHC/T)X<~>
+JcDtS!'faFr]fL@s'PA:ooSlDk[4:-qiHC/T)X<~>
+JcE%Ur]fjJpcmq<qd8r6q2kTJpe^3^qJc=nJcDDCJ,~>
+JcE%Ur]fjJpcmq<qd8r6q2kTJpe^3^qJc=nJcDDCJ,~>
+JcE%Ur]fjJpcmq<qd8r6q2kTJpe^3^qJc=nJcDDCJ,~>
+JcE.X">E%o5<na9o0;D7pg<W3rK-oKqG?HapMg%lJcDGDJ,~>
+JcE.X">E%o5<na9o0;D7pg<W3rK-oKqG?HapMg%lJcDGDJ,~>
+JcE.X">E%o5<na9o0;D7pg<W3rK-oKqG?HapMg%lJcDGDJ,~>
+JcE4Z!\chmrBL'RmQ]l2oj@<0pn.IkrG_13ol0hjJcDMFJ,~>
+JcE4Z!\chmrBL'RmQ]l2oj@<0pn.IkrG_13ol0hjJcDMFJ,~>
+JcE4Z!\chmrBL'RmQ]l2oj@<0pn.IkrG_13ol0hjJcDMFJ,~>
+JcE:\"#)qn0`406;!U@F;"n>f;"J&eE;k@_TD`-nE:RB-E;bjuT7R$=s*t~>
+JcE:\"#)qn0`406;!U@F;"n>f;"J&eE;k@_TD`-nE:RB-E;bjuT7R$=s*t~>
+JcE:\"#)qn0`406;!U@F;"n>f;"J&eE;k@_TD`-nE:RB-E;bjuT7R$=s*t~>
+JcE@^"#)qn0]bOp:tK(ME;P.\TDr9lE;!Z/E;blLs/,gH~>
+JcE@^"#)qn0]bOp:tK(ME;P.\TDr9lE;!Z/E;blLs/,gH~>
+JcE@^"#)qn0]bOp:tK(ME;P.\TDr9lE;!Z/E;blLs/,gH~>
+JcEF`"#)qn0`=69E;b:W5P.e9?i>KE?i4m=J,,`7J+mpZ?ght4O9;-Tru_4oJcDnQJ,~>
+JcEF`"#)qn0`=69E;b:W5P.e9?i>KE?i4m=J,,`7J+mpZ?ght4O9;-Tru_4oJcDnQJ,~>
+JcEF`"#)qn0`=69E;b:W5P.e9?i>KE?i4m=J,,`7J+mpZ?ght4O9;-Tru_4oJcDnQJ,~>
+JcELbr%S"enUL"(l!O::nR)<8p4)q2n:1IFm;W#c!$Cti!+1<W[/YX~>
+JcELbr%S"enUL"(l!O::nR)<8p4)q2n:1IFm;W#c!$Cti!+1<W[/YX~>
+JcELbr%S"enUL"(l!O::nR)<8p4)q2n:1IFm;W#c!$Cti!+1<W[/YX~>
+JcERds"O.co7-Lrs*sf?qJbq2pj_jAoRHb1s8VS<lu;oboJ$8OJcE@^J,~>
+JcERds"O.co7-Lrs*sf?qJbq2pj_jAoRHb1s8VS<lu;oboJ$8OJcE@^J,~>
+JcERds"O.co7-Lrs*sf?qJbq2pj_jAoRHb1s8VS<lu;oboJ$8OJcE@^J,~>
+JcE^hnSmlFo8roI!C'rg5Q<G15P0Ht?hAjFTDef\J*_.RO8tpN5P6`0?\/6ns*t~>
+JcE^hnSmlFo8roI!C'rg5Q<G15P0Ht?hAjFTDef\J*_.RO8tpN5P6`0?\/6ns*t~>
+JcE^hnSmlFo8roI!C'rg5Q<G15P0Ht?hAjFTDef\J*_.RO8tpN5P6`0?\/6ns*t~>
+JcEmmlu;'9pQ,A^ks#/%omcXAomck2qZ$5<lu;oqm6:T4rI9Cua8^Y~>
+JcEmmlu;'9pQ,A^ks#/%omcXAomck2qZ$5<lu;oqm6:T4rI9Cua8^Y~>
+JcEmmlu;'9pQ,A^ks#/%omcXAomck2qZ$5<lu;oqm6:T4rI9Cua8^Y~>
+JcF'rkA]O4nrWl9!+5=^q(VJkpL!TCqk*Z`pODOKrgs1pn3?kJrI9Cuao?k~>
+JcF'rkA]O4nrWl9!+5=^q(VJkpL!TCqk*Z`pODOKrgs1pn3?kJrI9Cuao?k~>
+JcF'rkA]O4nrWl9!+5=^q(VJkpL!TCqk*Z`pODOKrgs1pn3?kJrI9Cuao?k~>
+JcF0us%qisjaZl`rgs4Q?hckY0`D%FJ,!CEJ,>l7s8Gjp5P]frE;lI0Yjt$T;#Plps3(Fm~>
+JcF0us%qisjaZl`rgs4Q?hckY0`D%FJ,!CEJ,>l7s8Gjp5P]frE;lI0Yjt$T;#Plps3(Fm~>
+JcF0us%qisjaZl`rgs4Q?hckY0`D%FJ,!CEJ,>l7s8Gjp5P]frE;lI0Yjt$T;#Plps3(Fm~>
+JcF:#rD3K$k&BI4o8rg@!0I.Doe?+>q1&*Fpj`15!jM_)rD3KDqG@'=mVr,soMGQpq+q'QrdTM!
+c2W:~>
+JcF:#rD3K$k&BI4o8rg@!0I.Doe?+>q1&*Fpj`15!jM_)rD3KDqG@'=mVr,soMGQpq+q'QrdTM!
+c2W:~>
+JcF:#rD3K$k&BI4o8rg@!0I.Doe?+>q1&*Fpj`15!jM_)rD3KDqG@'=mVr,soMGQpq+q'QrdTM!
+c2W:~>
+JcFC&r)!B"lYu,rpj_mspRh16n,N66pL!ZErh'1os%r`Fs'PRu!&4>#mVr,sp/(WnqG70RrdTM!
+ci8L~>
+JcFC&r)!B"lYu,rpj_mspRh16n,N66pL!ZErh'1os%r`Fs'PRu!&4>#mVr,sp/(WnqG70RrdTM!
+ci8L~>
+JcFC&r)!B"lYu,rpj_mspRh16n,N66pL!ZErh'1os%r`Fs'PRu!&4>#mVr,sp/(WnqG70RrdTM!
+ci8L~>
+JcFI(r)!;uno3GmrI=d-pj`7(pRhC<l2UX1pL!]F!2'.mrEoJ!r%J,Cr."0Sr1Ed]pL!eos,d81
+JcF-tJ,~>
+JcFI(r)!;uno3GmrI=d-pj`7(pRhC<l2UX1pL!]F!2'.mrEoJ!r%J,Cr."0Sr1Ed]pL!eos,d81
+JcF-tJ,~>
+JcFI(r)!;uno3GmrI=d-pj`7(pRhC<l2UX1pL!]F!2'.mrEoJ!r%J,Cr."0Sr1Ed]pL!eos,d81
+JcF-tJ,~>
+JcFR+qb[,rpi+_ioRH_!pn-XIr."HJpj`1Fs'Pb%q_7tUqg\*Sr1Eg^oO%Mms,d81JcF4!J,~>
+JcFR+qb[,rpi+_ioRH_!pn-XIr."HJpj`1Fs'Pb%q_7tUqg\*Sr1Eg^oO%Mms,d81JcF4!J,~>
+JcFR+qb[,rpi+_ioRH_!pn-XIr."HJpj`1Fs'Pb%q_7tUqg\*Sr1Eg^oO%Mms,d81JcF4!J,~>
+JcF[.qG?ros)?%dq1&.#q4HaJrI=NJq1&:G!adW8p0[hrqg\-Tr1Eq,!)W/lrD<KT!.TS"ec1.~>
+JcF[.qG?ros)?%dq1&.#q4HaJrI=NJq1&:G!adW8p0[hrqg\-Tr1Eq,!)W/lrD<KT!.TS"ec1.~>
+JcF[.qG?ros)?%dq1&.#q4HaJrI=NJq1&:G!adW8p0[hrqg\-Tr1Eq,!)W/lrD<KT!.TS"ec1.~>
+JcFa0qG=Y.rdXO$qOcmLrI4g/pL!`GqQTa%qbR9br."6Ur1Eq,s*sHDs%r]V!.TS"fDg@~>
+JcFa0qG=Y.rdXO$qOcmLrI4g/pL!`GqQTa%qbR9br."6Ur1Eq,s*sHDs%r]V!.TS"fDg@~>
+JcFa0qG=Y.rdXO$qOcmLrI4g/pL!`GqQTa%qbR9br."6Ur1Eq,s*sHDs%r]V!.TS"fDg@~>
+JcFj3q,#dP!)W8orc%.0oT8j?jo>@1rfHk]q1&:Gr*T1p!FMJsJ+R^[J,Gr;E;k@S?N<q%O8sc]
+s4RF&~>
+JcFj3q,#dP!)W8orc%.0oT8j?jo>@1rfHk]q1&:Gr*T1p!FMJsJ+R^[J,Gr;E;k@S?N<q%O8sc]
+s4RF&~>
+JcFj3q,#dP!)W8orc%.0oT8j?jo>@1rfHk]q1&:Gr*T1p!FMJsJ+R^[J,Gr;E;k@S?N<q%O8sc]
+s4RF&~>
+JcFp5q,$lo!)Vicq,$]jp2KJ-plP0@jo>7?pg<iHqlg'-qG?ups.B:?!0HnnrI=a;rc%dbm9fgR
+JcFI(J,~>
+JcFp5q,$lo!)Vicq,$]jp2KJ-plP0@jo>7?pg<iHqlg'-qG?ups.B:?!0HnnrI=a;rc%dbm9fgR
+JcFI(J,~>
+JcFp5q,$lo!)Vicq,$]jp2KJ-plP0@jo>7?pg<iHqlg'-qG?ups.B:?!0HnnrI=a;rc%dbm9fgR
+JcFI(J,~>
+JcG$8pJC`os%r&hnkescno4,+qiLB@kPtR$rK-b\q1&:GnR)<g!e6;npi-+[r1F".qL@p?rK)U1
+g])d~>
+JcG$8pJC`os%r&hnkescno4,+qiLB@kPtR$rK-b\q1&:GnR)<g!e6;npi-+[r1F".qL@p?rK)U1
+g])d~>
+JcG$8pJC`os%r&hnkescno4,+qiLB@kPtR$rK-b\q1&:GnR)<g!e6;npi-+[r1F".qL@p?rK)U1
+g])d~>
+JcG-;p/(Wnr_W,lmSNmiqZ$G3rI=BWo3_KYn=T%H!M<3fJ,GE'?ho3KYk;B$:]R-dOSWqmJ,Gr=
+Duc!rJ+$bCOFdGes*t~>
+JcG-;p/(Wnr_W,lmSNmiqZ$G3rI=BWo3_KYn=T%H!M<3fJ,GE'?ho3KYk;B$:]R-dOSWqmJ,Gr=
+Duc!rJ+$bCOFdGes*t~>
+JcG-;p/(Wnr_W,lmSNmiqZ$G3rI=BWo3_KYn=T%H!M<3fJ,GE'?ho3KYk;B$:]R-dOSWqmJ,Gr=
+Duc!rJ+$bCOFdGes*t~>
+JcG3=!'g3Sr*TD!oj@,`s'P6prK-c'p2KY2m[rqIs.B1<r/g_]q1&:Gr*T7rrVlkirK-kpqLAI9
+"0c``OSOCq?i?(;s5!^*~>
+JcG3=!'g3Sr*TD!oj@,`s'P6prK-c'p2KY2m[rqIs.B1<r/g_]q1&:Gr*T7rrVlkirK-kpqLAI9
+"0c``OSOCq?i?(;s5!^*~>
+JcG3=!'g3Sr*TD!oj@,`s'P6prK-c'p2KY2m[rqIs.B1<r/g_]q1&:Gr*T7rrVlkirK-kpqLAI9
+"0c``OSOCq?i?(;s5!^*~>
+JcG6>s$-<UrEoJ!p0[Aera5[Zm/I*JTDalO?iN@h?i>HSOS<_e?gaQWs8ASfJ,WgROSE2ZJ,?JL
+;"FVdTDjrKE;G(_T*2CuE0-1WJ+6nEOFdGgs*t~>
+JcG6>s$-<UrEoJ!p0[Aera5[Zm/I*JTDalO?iN@h?i>HSOS<_e?gaQWs8ASfJ,WgROSE2ZJ,?JL
+;"FVdTDjrKE;G(_T*2CuE0-1WJ+6nEOFdGgs*t~>
+JcG6>s$-<UrEoJ!p0[Aera5[Zm/I*JTDalO?iN@h?i>HSOS<_e?gaQWs8ASfJ,WgROSE2ZJ,?JL
+;"FVdTDjrKE;G(_T*2CuE0-1WJ+6nEOFdGgs*t~>
+JcG9?r]g9VrEoJ!pL!Sira5OVm/I-ZOIuH4!FJ(c?N>'DJ,"!V?gaQ[s8/GfJ,WgSIfQ,>OSN8[
+J,?J=rrA\jOSWqmJ,Q#<s8S2VJ+?tFOFdGhs*t~>
+JcG9?r]g9VrEoJ!pL!Sira5OVm/I-ZOIuH4!FJ(c?N>'DJ,"!V?gaQ[s8/GfJ,WgSIfQ,>OSN8[
+J,?J=rrA\jOSWqmJ,Q#<s8S2VJ+?tFOFdGhs*t~>
+JcG9?r]g9VrEoJ!pL!Sira5OVm/I-ZOIuH4!FJ(c?N>'DJ,"!V?gaQ[s8/GfJ,WgSIfQ,>OSN8[
+J,?J=rrA\jOSWqmJ,Q#<s8S2VJ+?tFOFdGhs*t~>
+JcG?Ar'1-Vra5Luq-WkmqEOp4lMgpXOIuE3!.XcNrc%g4rdOp0qJc.8m[s=TqO[h=?XNVYrK-e]
+qg\LIn,EB[rfI"rq1&@8rVukYq1&!CrK)U1i;\<~>
+JcG?Ar'1-Vra5Luq-WkmqEOp4lMgpXOIuE3!.XcNrc%g4rdOp0qJc.8m[s=TqO[h=?XNVYrK-e]
+qg\LIn,EB[rfI"rq1&@8rVukYq1&!CrK)U1i;\<~>
+JcG?Ar'1-Vra5Luq-WkmqEOp4lMgpXOIuE3!.XcNrc%g4rdOp0qJc.8m[s=TqO[h=?XNVYrK-e]
+qg\LIn,EB[rfI"rq1&@8rVukYq1&!CrK)U1i;\<~>
+JcGBBq`k*Wra5Luq-WkmofqaA!hYRHqiLi-qHs5@rD<Cks,d%qpL!E^s02J%pn.5/rK-e]qg\LI
+n,EK^OH?+3E;G(^Yl+P#OSOD+E;*]>E;cD[s5F!.~>
+JcGBBq`k*Wra5Luq-WkmofqaA!hYRHqiLi-qHs5@rD<Cks,d%qpL!E^s02J%pn.5/rK-e]qg\LI
+n,EK^OH?+3E;G(^Yl+P#OSOD+E;*]>E;cD[s5F!.~>
+JcGBBq`k*Wra5Luq-WkmofqaA!hYRHqiLi-qHs5@rD<Cks,d%qpL!E^s02J%pn.5/rK-e]qg\LI
+n,EK^OH?+3E;G(^Yl+P#OSOD+E;*]>E;cD[s5F!.~>
+JcGHDq*4mdq,$oppJCHGlMpmG!2'.MrI=`Prc%j5p&>#Rr,D[cpL!Qbr3-2$p7M)/rf@,PrK-h^
+qg\LIn,EK^OIr0BE;P.^Yl"J"OSaM-OSs.q?iG$CT7R%%s*t~>
+JcGHDq*4mdq,$oppJCHGlMpmG!2'.MrI=`Prc%j5p&>#Rr,D[cpL!Qbr3-2$p7M)/rf@,PrK-h^
+qg\LIn,EK^OIr0BE;P.^Yl"J"OSaM-OSs.q?iG$CT7R%%s*t~>
+JcGHDq*4mdq,$oppJCHGlMpmG!2'.MrI=`Prc%j5p&>#Rr,D[cpL!Qbr3-2$p7M)/rf@,PrK-h^
+qg\LIn,EK^OIr0BE;P.^Yl"J"OSaM-OSs.q?iG$CT7R%%s*t~>
+JcGKEpHSLNqd9%ns$$K*p-7gA!g'%HqiL])s'PbEr_W+a!g%A?rI=QKoUl)dp7M22r/gr.!2'4O
+q-X#KqloPhrL`t+qg\LIqZ$PVrI=j/qf)RBr,DV,JcFd1J,~>
+JcGKEpHSLNqd9%ns$$K*p-7gA!g'%HqiL])s'PbEr_W+a!g%A?rI=QKoUl)dp7M22r/gr.!2'4O
+q-X#KqloPhrL`t+qg\LIqZ$PVrI=j/qf)RBr,DV,JcFd1J,~>
+JcGKEpHSLNqd9%ns$$K*p-7gA!g'%HqiL])s'PbEr_W+a!g%A?rI=QKoUl)dp7M22r/gr.!2'4O
+q-X#KqloPhrL`t+qg\LIqZ$PVrI=j/qf)RBr,DV,JcFd1J,~>
+JcGQGofr=MrEo7pr]gE)k)fH>".t[ITDO`GJ,XEe;!\/YJ+d7CTDYqfTDa9;OSjS.E;Ygo?i,?Q
+YlE)MYj_VjTDNU)J,?JHs8J,ZJ,YQ%E;cD[s5a31~>
+JcGQGofr=MrEo7pr]gE)k)fH>".t[ITDO`GJ,XEe;!\/YJ+d7CTDYqfTDa9;OSjS.E;Ygo?i,?Q
+YlE)MYj_VjTDNU)J,?JHs8J,ZJ,YQ%E;cD[s5a31~>
+JcGQGofr=MrEo7pr]gE)k)fH>".t[ITDO`GJ,XEe;!\/YJ+d7CTDYqfTDa9;OSjS.E;Ygo?i,?Q
+YlE)MYj_VjTDNU)J,?JHs8J,ZJ,YQ%E;cD[s5a31~>
+JcGTHo0<4Nra5Crs*r[_rh'(Lp4!*>TBQ=PJ+d7CTDc"hT)aB<OSsY/OT'2!s87uT?i5BROT!N+
+YjVMmYb.QbE;G(^Yk\7oOS*SjT7R%(s*t~>
+JcGTHo0<4Nra5Crs*r[_rh'(Lp4!*>TBQ=PJ+d7CTDc"hT)aB<OSsY/OT'2!s87uT?i5BROT!N+
+YjVMmYb.QbE;G(^Yk\7oOS*SjT7R%(s*t~>
+JcGTHo0<4Nra5Crs*r[_rh'(Lp4!*>TBQ=PJ+d7CTDc"hT)aB<OSsY/OT'2!s87uT?i5BROT!N+
+YjVMmYb.QbE;G(^Yk\7oOS*SjT7R%(s*t~>
+JcGWInN[%\q,$p;fT?$'rfHi's.AEQqLA6HpRhDgpn.JGrdXodr;Z\VqHs5OrfI**!3knk!jJ;h
+qf)F^qlohps,[5QrK-\krLX(oJcFm4J,~>
+JcGWInN[%\q,$p;fT?$'rfHi's.AEQqLA6HpRhDgpn.JGrdXodr;Z\VqHs5OrfI**!3knk!jJ;h
+qf)F^qlohps,[5QrK-\krLX(oJcFm4J,~>
+JcGWInN[%\q,$p;fT?$'rfHi's.AEQqLA6HpRhDgpn.JGrdXodr;Z\VqHs5OrfI**!3knk!jJ;h
+qf)F^qlohps,[5QrK-\krLX(oJcFm4J,~>
+JcG]Kmm$_HomcRpoUko_r/g]GpjW:9iW&b(pL!ZerNQ*is,d81!g%A?q#:>drK-k_!.Xp.rQkPK
+mf*?mT:c""qg\LIp](8T!2'4Ool0l%!3h%SkPp&~>
+JcG]Kmm$_HomcRpoUko_r/g]GpjW:9iW&b(pL!ZerNQ*is,d81!g%A?q#:>drK-k_!.Xp.rQkPK
+mf*?mT:c""qg\LIp](8T!2'4Ool0l%!3h%SkPp&~>
+JcG]Kmm$_HomcRpoUko_r/g]GpjW:9iW&b(pL!ZerNQ*is,d81!g%A?q#:>drK-k_!.Xp.rQkPK
+mf*?mT:c""qg\LIp](8T!2'4Ool0l%!3h%SkPp&~>
+JcG`Lmm$eJ!-%X]n<!:7o<A8Aoq255!2&-JqLA9IpRhDgq4IYJo`"o`rK-k_qiLd'!3knk!jJ;h
+qf)F^qloeos.B7Ool0l%JcFp5J,~>
+JcG`Lmm$eJ!-%X]n<!:7o<A8Aoq255!2&-JqLA9IpRhDgq4IYJo`"o`rK-k_qiLd'!3knk!jJ;h
+qf)F^qloeos.B7Ool0l%JcFp5J,~>
+JcG`Lmm$eJ!-%X]n<!:7o<A8Aoq255!2&-JqLA9IpRhDgq4IYJo`"o`rK-k_qiLd'!3knk!jJ;h
+qf)F^qloeos.B7Ool0l%JcFp5J,~>
+Jc>`Mmm$hKrG_X`l]Cb2oW\2=oq1%>qLA9Ipn.Mhr1EtMnGiHKqd95^rQtSKmf39Yr,DO_qQTYm
+!2'7Pol0i$JcFs6J,~>
+Jc>`Mmm$hKrG_X`l]Cb2oW\2=oq1%>qLA9Ipn.Mhr1EtMnGiHKqd95^rQtSKmf39Yr,DO_qQTYm
+!2'7Pol0i$JcFs6J,~>
+Jc>`Mmm$hKrG_X`l]Cb2oW\2=oq1%>qLA9Ipn.Mhr1EtMnGiHKqd95^rQtSKmf39Yr,DO_qQTYm
+!2'7Pol0i$JcFs6J,~>
+JcG1'!)WQ3!.X-moUkc[p<`K)hZ*G%q-WlgrNQ<os,cXJrK-n`qiLd's01qkrh'+-qg\XMrP&?:
+p&G&a!K`rHE;Z>Zs69Q6~>
+JcG1'!)WQ3!.X-moUkc[p<`K)hZ*G%q-WlgrNQ<os,cXJrK-n`qiLd's01qkrh'+-qg\XMrP&?:
+p&G&a!K`rHE;Z>Zs69Q6~>
+JcG1'!)WQ3!.X-moUkc[p<`K)hZ*G%q-WlgrNQ<os,cXJrK-n`qiLd's01qkrh'+-qg\XMrP&?:
+p&G&a!K`rHE;Z>Zs69Q6~>
+KE(C)qJcIajcK,,oW[o5pn.SjhuES'!-%dApRhDg!M>J>s8A&V?i,r`ciC<;s8S_gE;P._^AtM3
+s8RQK?iH\kE;Z=.Y^ui>s*t~>
+KE(C)qJcIajcK,,oW[o5pn.SjhuES'!-%dApRhDg!M>J>s8A&V?i,r`ciC<;s8S_gE;P._^AtM3
+s8RQK?iH\kE;Z=.Y^ui>s*t~>
+KE(C)qJcIajcK,,oW[o5pn.SjhuES'!-%dApRhDg!M>J>s8A&V?i,r`ciC<;s8S_gE;P._^AtM3
+s8RQK?iH\kE;Z=.Y^ui>s*t~>
+K`CO+qf)I_jcK,,oW[c1r1Eqli;WeLrI=fcqHruhricBplMgjVrfI"aqiLd'!3kkjs.B4.qg\LX
+!3lD$rI=j/ra5Ysp2Kr%!3lAcJcG6>J,~>
+K`CO+qf)I_jcK,,oW[c1r1Eqli;WeLrI=fcqHruhricBplMgjVrfI"aqiLd'!3kkjs.B4.qg\LX
+!3lD$rI=j/ra5Ysp2Kr%!3lAcJcG6>J,~>
+K`CO+qf)I_jcK,,oW[c1r1Eqli;WeLrI=fcqHruhricBplMgjVrfI"aqiLd'!3kkjs.B4.qg\LX
+!3lD$rI=j/ra5Ysp2Kr%!3lAcJcG6>J,~>
+L&^^.qf)=[plO6[r35G4qQT&\r1<t=r,DL>pRhGhs.AWW!hYR9qd92]rQkPKmf39Yr,DO_r4`9:
+s8INFOSiJbTD!7%TDCbPE.S&\s*t~>
+L&^^.qf)=[plO6[r35G4qQT&\r1<t=r,DL>pRhGhs.AWW!hYR9qd92]rQkPKmf39Yr,DO_r4`9:
+s8INFOSiJbTD!7%TDCbPE.S&\s*t~>
+L&^^.qf)=[plO6[r35G4qQT&\r1<t=r,DL>pRhGhs.AWW!hYR9qd92]rQkPKmf39Yr,DO_r4`9:
+s8INFOSiJbTD!7%TDCbPE.S&\s*t~>
+L]?p0r,D=Yr/f-Pn'M*lqQT/_s,d,Mr,DI=pn.Mh!2&QVs,d+bqN1[&!3knkrh'+-qg\OY!3l6[
+qd9Aqp2Kr%!3l5_JcGECJ,~>
+L]?p0r,D=Yr/f-Pn'M*lqQT/_s,d,Mr,DI=pn.Mh!2&QVs,d+bqN1[&!3knkrh'+-qg\OY!3l6[
+qd9Aqp2Kr%!3l5_JcGECJ,~>
+L]?p0r,D=Yr/f-Pn'M*lqQT/_s,d,Mr,DI=pn.Mh!2&QVs,d+bqN1[&!3knkrh'+-qg\OY!3l6[
+qd9Aqp2Kr%!3l5_JcGECJ,~>
+M#[*3r,Aulo[*QoqQT8b!hYR9qOdY(qHruhs0)O=TBcIVOS`D]OT*W,YjVPjTD`a+J,I%]YkX=W
+?iH\kE;Z=.YkL?^E.S&as*t~>
+M#[*3r,Aulo[*QoqQT8b!hYR9qOdY(qHruhs0)O=TBcIVOS`D]OT*W,YjVPjTD`a+J,I%]YkX=W
+?iH\kE;Z=.YkL?^E.S&as*t~>
+M#[*3r,Aulo[*QoqQT8b!hYR9qOdY(qHruhs0)O=TBcIVOS`D]OT*W,YjVPjTD`a+J,I%]YkX=W
+?iH\kE;Z=.YkL?^E.S&as*t~>
+MZ<<5rG\cdqU#)rqQTGgs.B:Ppn.J'qHruhrkAH*li6sGqd95^rQtSKn,N?YrG_X`r4`69qN1ML
+rh&n'r1EUG!-!Mhqu;0~>
+MZ<<5rG\cdqU#)rqQTGgs.B:Ppn.J'qHruhrkAH*li6sGqd95^rQtSKn,N?YrG_X`r4`69qN1ML
+rh&n'r1EUG!-!Mhqu;0~>
+MZ<<5rG\cdqU#)rqQTGgs.B:Ppn.J'qHruhrkAH*li6sGqd95^rQtSKn,N?YrG_X`r4`69qN1ML
+rh&n'r1EUG!-!Mhqu;0~>
+MZ<E8r,C;<l!NJ#!7:MuqQTPj!2'7P!M>JJTDNU(?hg8m^Asnls8J,X?i#l_d/U?=s8JYgE;Y4`
+^AtM:OT(mIJ,Z)7E;Z=.Yjt#0s8DtJ~>
+MZ<E8r,C;<l!NJ#!7:MuqQTPj!2'7P!M>JJTDNU(?hg8m^Asnls8J,X?i#l_d/U?=s8JYgE;Y4`
+^AtM:OT(mIJ,Z)7E;Z=.Yjt#0s8DtJ~>
+MZ<E8r,C;<l!NJ#!7:MuqQTPj!2'7P!M>JJTDNU(?hg8m^Asnls8J,X?i#l_d/U?=s8JYgE;Y4`
+^AtM:OT(mIJ,Z)7E;Z=.Yjt#0s8DtJ~>
+MuWQ:rG^VCfjEolpttqPp&FuP!hYR9oq2/$qHs#irkAH*li6sGr*T;^rQkPKnc/WNrLa%-qg\OY
+!3l?mpj`:8p2Ko5nNR"mJc>`MJ,~>
+MuWQ:rG^VCfjEolpttqPp&FuP!hYR9oq2/$qHs#irkAH*li6sGr*T;^rQkPKnc/WNrLa%-qg\OY
+!3l?mpj`:8p2Ko5nNR"mJc>`MJ,~>
+MuWQ:rG^VCfjEolpttqPp&FuP!hYR9oq2/$qHs#irkAH*li6sGr*T;^rQkPKnc/WNrLa%-qg\OY
+!3l?mpj`:8p2Ko5nNR"mJc>`MJ,~>
+N;r`=!)WZ6jF>B\l$rKcqQTeqs.B:P!2'4Op7D>7qf)C=q4IZ$!2&TWs,d+bqN1[&!3l.rrfI#L
+r,DR`r4`69qk*\6s)@t0pMg&7!5J%gs%i]WK)^?~>
+N;r`=!)WZ6jF>B\l$rKcqQTeqs.B:P!2'4Op7D>7qf)C=q4IZ$!2&TWs,d+bqN1[&!3l.rrfI#L
+r,DR`r4`69qk*\6s)@t0pMg&7!5J%gs%i]WK)^?~>
+N;r`=!)WZ6jF>B\l$rKcqQTeqs.B:P!2'4Op7D>7qf)C=q4IZ$!2&TWs,d+bqN1[&!3l.rrfI#L
+r,DR`r4`69qk*\6s)@t0pMg&7!5J%gs%i]WK)^?~>
+NW0&E0JNGis%qd+m9fA_!2'7Ps.B7OoO$p6pYYkPr;Zehrf@,Pr/g]G"FlMps8W"9qHs&jrkAH*
+li7!Hqd92]rQkPKq#C>TrLa+Orh'..qg\P5!3lBnp2L#'pMg&7!5J1k!+5Y#rfDj6J,~>
+NW0&E0JNGis%qd+m9fA_!2'7Ps.B7OoO$p6pYYkPr;Zehrf@,Pr/g]G"FlMps8W"9qHs&jrkAH*
+li7!Hqd92]rQkPKq#C>TrLa+Orh'..qg\P5!3lBnp2L#'pMg&7!5J1k!+5Y#rfDj6J,~>
+NW0&E0JNGis%qd+m9fA_!2'7Ps.B7OoO$p6pYYkPr;Zehrf@,Pr/g]G"FlMps8W"9qHs&jrkAH*
+li7!Hqd92]rQkPKq#C>TrLa+Orh'..qg\P5!3lBnp2L#'pMg&7!5J1k!+5Y#rfDj6J,~>
+NrK)Dr\4@:r_NT6kC;u.li-sWp5o<(s.B9epg<E<pYYkPs8W+ks,d8QqiCf-qO[h=OIuLOqf)C=
+!3l?mrkAH*li7!Hqd92]rQkPKr;ZbXqOdbks.B4.qg\S6!5JE'qN1\qrh&n'rNQ=:pHS[S!+5Y#
+rfDm7J,~>
+NrK)Dr\4@:r_NT6kC;u.li-sWp5o<(s.B9epg<E<pYYkPs8W+ks,d8QqiCf-qO[h=OIuLOqf)C=
+!3l?mrkAH*li7!Hqd92]rQkPKr;ZbXqOdbks.B4.qg\S6!5JE'qN1\qrh&n'rNQ=:pHS[S!+5Y#
+rfDm7J,~>
+NrK)Dr\4@:r_NT6kC;u.li-sWp5o<(s.B9epg<E<pYYkPs8W+ks,d8QqiCf-qO[h=OIuLOqf)C=
+!3l?mrkAH*li7!Hqd92]rQkPKr;ZbXqOdbks.B4.qg\S6!5JE'qN1\qrh&n'rNQ=:pHS[S!+5Y#
+rfDm7J,~>
+O8f2Er@n4IrG_(PnmCS[!2&tHs*t'@s*t$?qG@)smsk)hqlg3qOH?*,qiLf,rLX.@OHB;<r,DL>
+!3l?mrP._!rfI%bqN1a(s7$&m!<<"ZpRhJirh'..qg\P5!5JH(p5o9GpMg&7!l&\nq*4jTs'P\#
+s,`$9J,~>
+O8f2Er@n4IrG_(PnmCS[!2&tHs*t'@s*t$?qG@)smsk)hqlg3qOH?*,qiLf,rLX.@OHB;<r,DL>
+!3l?mrP._!rfI%bqN1a(s7$&m!<<"ZpRhJirh'..qg\P5!5JH(p5o9GpMg&7!l&\nq*4jTs'P\#
+s,`$9J,~>
+O8f2Er@n4IrG_(PnmCS[!2&tHs*t'@s*t$?qG@)smsk)hqlg3qOH?*,qiLf,rLX.@OHB;<r,DL>
+!3l?mrP._!rfI%bqN1a(s7$&m!<<"ZpRhJirh'..qg\P5!5JH(p5o9GpMg&7!l&\nq*4jTs'P\#
+s,`$9J,~>
+OT,>G+9!to;#>5!J+R(KJ"Pm'!2'.Ms*t$0!.Y!?s*t'@qu?@d!+58GpYYnQ!g'%Hr/gf*"J:0n
+OIu:Ir,DL>s02EnrP._!rfI%bqN1[F!3lHaoq25frh'..r."Y6!5JH(plPK)rh&q(rNH::rG_[!
+r)!B"rD<NUM#Vu~>
+OT,>G+9!to;#>5!J+R(KJ"Pm'!2'.Ms*t$0!.Y!?s*t'@qu?@d!+58GpYYnQ!g'%Hr/gf*"J:0n
+OIu:Ir,DL>s02EnrP._!rfI%bqN1[F!3lHaoq25frh'..r."Y6!5JH(plPK)rh&q(rNH::rG_[!
+r)!B"rD<NUM#Vu~>
+OT,>G+9!to;#>5!J+R(KJ"Pm'!2'.Ms*t$0!.Y!?s*t'@qu?@d!+58GpYYnQ!g'%Hr/gf*"J:0n
+OIu:Ir,DL>s02EnrP._!rfI%bqN1[F!3lHaoq25frh'..r."Y6!5JH(plPK)rh&q(rNH::rG_[!
+r)!B"rD<NUM#Vu~>
+OoGMJ+##DJ;#5/#J+[.KE;k=eTB6+MOSsY0OFR8%s*t'@pAana!+5_EoRHSlrNQ3]qLAL:o`+l/
+s*soQs02EnrP._!rfI%bqN1[F!3l'e!3lBnrG_X`r9s^$r1<tNpOE17pMg&7!5JDM!'g<Vra5V#
+s,`*;J,~>
+OoGMJ+##DJ;#5/#J+[.KE;k=eTB6+MOSsY0OFR8%s*t'@pAana!+5_EoRHSlrNQ3]qLAL:o`+l/
+s*soQs02EnrP._!rfI%bqN1[F!3l'e!3lBnrG_X`r9s^$r1<tNpOE17pMg&7!5JDM!'g<Vra5V#
+s,`*;J,~>
+OoGMJ+##DJ;#5/#J+[.KE;k=eTB6+MOSsY0OFR8%s*t'@pAana!+5_EoRHSlrNQ3]qLAL:o`+l/
+s*soQs02EnrP._!rfI%bqN1[F!3l'e!3lBnrG_X`r9s^$r1<tNpOE17pMg&7!5JDM!'g<Vra5V#
+s,`*;J,~>
+P5bSJ+#*[jpMfbSoj@];rdOp?jo5=Qr/gf*rgs1?rh&c]!.XoCrEoJAp4)horNQ<`qg\R:nc/W.
+rdXfPril?nrP._!s,d+bqN1^G!3l$drilBorG_[ar9s^$qk*S3s.B"(rNH::qJZFaqG@,tr_WTU
+MuS;~>
+P5bSJ+#*[jpMfbSoj@];rdOp?jo5=Qr/gf*rgs1?rh&c]!.XoCrEoJAp4)horNQ<`qg\R:nc/W.
+rdXfPril?nrP._!s,d+bqN1^G!3l$drilBorG_[ar9s^$qk*S3s.B"(rNH::qJZFaqG@,tr_WTU
+MuS;~>
+P5bSJ+#*[jpMfbSoj@];rdOp?jo5=Qr/gf*rgs1?rh&c]!.XoCrEoJAp4)horNQ<`qg\R:nc/W.
+rdXfPril?nrP._!s,d+bqN1^G!3l$drilBorG_[ar9s^$qk*S3s.B"(rNH::qJZFaqG@,tr_WTU
+MuS;~>
+PQ(\K+#*[jp2KbUoj@W9rdOp?jo5=QqiL`*qOd0T!K_g.?heU:J+qk!Yl'"LTC;gXJ,<UPYl13m
+^[2"#OSiGcJ,><-hu<*FYk+LcYlC?oE;P.`nGg9!TD3p9TD*=&YQ2H8E;tFa;#Oc#;#ZQ8s*t~>
+PQ(\K+#*[jp2KbUoj@W9rdOp?jo5=QqiL`*qOd0T!K_g.?heU:J+qk!Yl'"LTC;gXJ,<UPYl13m
+^[2"#OSiGcJ,><-hu<*FYk+LcYlC?oE;P.`nGg9!TD3p9TD*=&YQ2H8E;tFa;#Oc#;#ZQ8s*t~>
+PQ(\K+#*[jp2KbUoj@W9rdOp?jo5=QqiL`*qOd0T!K_g.?heU:J+qk!Yl'"LTC;gXJ,<UPYl13m
+^[2"#OSiGcJ,><-hu<*FYk+LcYlC?oE;P.`nGg9!TD3p9TD*=&YQ2H8E;tFa;#Oc#;#ZQ8s*t~>
+PlCbK+9#+.E;G(X?NP2.OSs.tIfQ,&rrA\gOSjV)TBZ@UOSW>WE;k@]hu9kZJ,Z),rr@$:J,<UO
+Yl:9n^[2"#OT&Ve:]Q"BO9=D0n?DMVr363nrG_[ar9sd&T:b]Ss.B"(!5JN;!l'57rG_acqG@)s
+s%r]VNW4M~>
+PlCbK+9#+.E;G(X?NP2.OSs.tIfQ,&rrA\gOSjV)TBZ@UOSW>WE;k@]hu9kZJ,Z),rr@$:J,<UO
+Yl:9n^[2"#OT&Ve:]Q"BO9=D0n?DMVr363nrG_[ar9sd&T:b]Ss.B"(!5JN;!l'57rG_acqG@)s
+s%r]VNW4M~>
+PlCbK+9#+.E;G(X?NP2.OSs.tIfQ,&rrA\gOSjV)TBZ@UOSW>WE;k@]hu9kZJ,Z),rr@$:J,<UO
+Yl:9n^[2"#OT&Ve:]Q"BO9=D0n?DMVr363nrG_[ar9sd&T:b]Ss.B"(!5JN;!l'57rG_acqG@)s
+s%r]VNW4M~>
+PlL\YnSnJWp0[f<s,d1urdXs?k5PFRqiL`*qOcmL!0I(bno4?\rilBol2U^3qd99*s.B8)mJm0I
+!+5\$!.Xp.s53kG!3l'e!3lBnrG_X`rU9g%n,NE[q/H@`rP&B;^]&`_E;b:_;#=T";#ZQ:s*t~>
+PlL\YnSnJWp0[f<s,d1urdXs?k5PFRqiL`*qOcmL!0I(bno4?\rilBol2U^3qd99*s.B8)mJm0I
+!+5\$!.Xp.s53kG!3l'e!3lBnrG_X`rU9g%n,NE[q/H@`rP&B;^]&`_E;b:_;#=T";#ZQ:s*t~>
+PlL\YnSnJWp0[f<s,d1urdXs?k5PFRqiL`*qOcmL!0I(bno4?\rilBol2U^3qd99*s.B8)mJm0I
+!+5\$!.Xp.s53kG!3l'e!3lBnrG_X`rU9g%n,NE[q/H@`rP&B;^]&`_E;b:_;#=T";#ZQ:s*t~>
+Q2gh[mr8#.!Dn:EE;u$uDuc"!IfQ,'rrA\gOSjV)TAonNOS`DVE;/8hYil&bJ,<UNYlC?o^[D+%
+TDjrN;#c%CO9"2;n,T]bTDYqnTD`a,J,Jd9^[V:'TDNU*J,I(ZJ,bW0J,3"=?N<q%OH9El~>
+Q2gh[mr8#.!Dn:EE;u$uDuc"!IfQ,'rrA\gOSjV)TAonNOS`DVE;/8hYil&bJ,<UNYlC?o^[D+%
+TDjrN;#c%CO9"2;n,T]bTDYqnTD`a,J,Jd9^[V:'TDNU*J,I(ZJ,bW0J,3"=?N<q%OH9El~>
+Q2gh[mr8#.!Dn:EE;u$uDuc"!IfQ,'rrA\gOSjV)TAonNOS`DVE;/8hYil&bJ,<UNYlC?o^[D+%
+TDjrN;#c%CO9"2;n,T]bTDYqnTD`a,J,Jd9^[V:'TDNU*J,I(ZJ,bW0J,3"=?N<q%OH9El~>
+QiI"\m;Vr0!)WWDrG_durbqk!rdOp?k5PFRqiL`*!0I)MhZ*V;r*T)8p>>kRkl1X%rdXfPqlg'm
+rP.n&!3lHps,d.Ts*ss."5iV;YkOdeO9;-TT:c($qg\S6!5J"&s.B7/qg\OYqg\U,s*slAqHs5`
+OT0h~>
+QiI"\m;Vr0!)WWDrG_durbqk!rdOp?k5PFRqiL`*!0I)MhZ*V;r*T)8p>>kRkl1X%rdXfPqlg'm
+rP.n&!3lHps,d.Ts*ss."5iV;YkOdeO9;-TT:c($qg\S6!5J"&s.B7/qg\OYqg\U,s*slAqHs5`
+OT0h~>
+QiI"\m;Vr0!)WWDrG_durbqk!rdOp?k5PFRqiL`*!0I)MhZ*V;r*T)8p>>kRkl1X%rdXfPqlg'm
+rP.n&!3lHps,d.Ts*ss."5iV;YkOdeO9;-TT:c($qg\S6!5J"&s.B7/qg\OYqg\U,s*slAqHs5`
+OT0h~>
+RK*4^lYui1!`4u?rI=cbs,d1urdOp?jo>4>qg\L8gA_/7qd9#8p>>nSkl1X%rdXfPqlg'mrP/")
+!3l?ms,d1UrdXm.s53kG!3l?mqN1XT!2'4/qg\S6s1e('s.B7/qg\LX!<<"I!2'4O!.XiAq-X/`
+OoKq~>
+RK*4^lYui1!`4u?rI=cbs,d1urdOp?jo>4>qg\L8gA_/7qd9#8p>>nSkl1X%rdXfPqlg'mrP/")
+!3l?ms,d1UrdXm.s53kG!3l?mqN1XT!2'4/qg\S6s1e('s.B7/qg\LX!<<"I!2'4O!.XiAq-X/`
+OoKq~>
+RK*4^lYui1!`4u?rI=cbs,d1urdOp?jo>4>qg\L8gA_/7qd9#8p>>nSkl1X%rdXfPqlg'mrP/")
+!3l?ms,d1UrdXm.s53kG!3l?mqN1XT!2'4/qg\S6s1e('s.B7/qg\LX!<<"I!2'4O!.XiAq-X/`
+OoKq~>
+RfE=_l#6`$s,`?@J,O?dOSs.tIfQ,&s8.oTJ,>kirrJaRqd9&9p>>nSl2La&rdXfPqQTq5p\t5t
+r1=%pT:c+ErD<KCrK.':s7#uZqiLXRs.B7/qg\S6!5J"&!2'4/qg\LXrr<"Js.B7Os*soBs'P\C
+s.9:QP5g%~>
+RfE=_l#6`$s,`?@J,O?dOSs.tIfQ,&s8.oTJ,>kirrJaRqd9&9p>>nSl2La&rdXfPqQTq5p\t5t
+r1=%pT:c+ErD<KCrK.':s7#uZqiLXRs.B7/qg\S6!5J"&!2'4/qg\LXrr<"Js.B7Os*soBs'P\C
+s.9:QP5g%~>
+RfE=_l#6`$s,`?@J,O?dOSs.tIfQ,&s8.oTJ,>kirrJaRqd9&9p>>nSl2La&rdXfPqQTq5p\t5t
+r1=%pT:c+ErD<KCrK.':s7#uZqiLXRs.B7/qg\S6!5J"&!2'4/qg\LXrr<"Js.B7Os*soBs'P\C
+s.9:QP5g%~>
+SH&Oal#6c%s8S1BrI=cbs,d1u"-A"^TB6+MOSaP(T@j2AT)auN?hSI5huBqFs8R'<J,<UMYQ1<o
+^\Rm0Yl10oYl(-nOShrSJ,PK/hZ<5NqiLOOs.B7/qg\S6s1e('s.B7/qg\OYqu?\gr/^o.r(mB#
+qf)M+PQ-.~>
+SH&Oal#6c%s8S1BrI=cbs,d1u"-A"^TB6+MOSaP(T@j2AT)auN?hSI5huBqFs8R'<J,<UMYQ1<o
+^\Rm0Yl10oYl(-nOShrSJ,PK/hZ<5NqiLOOs.B7/qg\S6s1e('s.B7/qg\OYqu?\gr/^o.r(mB#
+qf)M+PQ-.~>
+SH&Oal#6c%s8S1BrI=cbs,d1u"-A"^TB6+MOSaP(T@j2AT)auN?hSI5huBqFs8R'<J,<UMYQ1<o
+^\Rm0Yl10oYl(-nOShrSJ,PK/hZ<5NqiLOOs.B7/qg\S6s1e('s.B7/qg\OYqu?\gr/^o.r(mB#
+qf)M+PQ-.~>
+T)\^bl#6W!rr2t[r."]brfI+u"-A"^TD/BcE;u$bT*'%^IusQ"f`(ruqk*nMr*T/:ptu+Ul2Ud&
+s*soQrNQ9nrP/:1!3lEos02?ls,d1UrI=g.rnd_FrK-XNs.B7/qg\S6!5J"&!2'4/qg\LXqu?\g
+qiLeRs'PVArh#DSJ,~>
+T)\^bl#6W!rr2t[r."]brfI+u"-A"^TD/BcE;u$bT*'%^IusQ"f`(ruqk*nMr*T/:ptu+Ul2Ud&
+s*soQrNQ9nrP/:1!3lEos02?ls,d1UrI=g.rnd_FrK-XNs.B7/qg\S6!5J"&!2'4/qg\LXqu?\g
+qiLeRs'PVArh#DSJ,~>
+T)\^bl#6W!rr2t[r."]brfI+u"-A"^TD/BcE;u$bT*'%^IusQ"f`(ruqk*nMr*T/:ptu+Ul2Ud&
+s*soQrNQ9nrP/:1!3lEos02?ls,d1UrI=g.rnd_FrK-XNs.B7/qg\S6!5J"&!2'4/qg\LXqu?\g
+qiLeRs'PVArh#DSJ,~>
+TE"jdl#6W!rVunZrI=fcrfI+u#EXFbTE"q1E:o=PT@j/Dd/KX;OSk^POAJdP?hSI6huBqGs8R'<
+J,<RQYkt'l^]+95Yl:9oYkapkOShrRJ,YQ0huE38s8S_iE;P.`nGg8mrrA\hE;Y4_^\\!1TDO]M
+;#XhuE;cDns*t~>
+TE"jdl#6W!rVunZrI=fcrfI+u#EXFbTE"q1E:o=PT@j/Dd/KX;OSk^POAJdP?hSI6huBqGs8R'<
+J,<RQYkt'l^]+95Yl:9oYkapkOShrRJ,YQ0huE38s8S_iE;P.`nGg8mrrA\hE;Y4_^\\!1TDO]M
+;#XhuE;cDns*t~>
+TE"jdl#6W!rVunZrI=fcrfI+u#EXFbTE"q1E:o=PT@j/Dd/KX;OSk^POAJdP?hSI6huBqGs8R'<
+J,<RQYkt'l^]+95Yl:9oYkapkOShrRJ,YQ0huE38s8S_iE;P.`nGg8mrrA\hE;Y4_^\\!1TDO]M
+;#XhuE;cDns*t~>
+T`>!fk\pMurVunZrI=fcrfI+u!g%n=o8rq.lgXlQoq11Bs3Ue<!0I,NrK.%UrEo8;q;;4VlMpj&
+!.XlQqk*i%s02Kpril*gs,d.TrI=g.s5*kHYjh\mTD`a+J,\s;^[M1&TD`a,J,6qVs8S_gOSrP_
+E;lJos*t~>
+T`>!fk\pMurVunZrI=fcrfI+u!g%n=o8rq.lgXlQoq11Bs3Ue<!0I,NrK.%UrEo8;q;;4VlMpj&
+!.XlQqk*i%s02Kpril*gs,d.TrI=g.s5*kHYjh\mTD`a+J,\s;^[M1&TD`a,J,6qVs8S_gOSrP_
+E;lJos*t~>
+T`>!fk\pMurVunZrI=fcrfI+u!g%n=o8rq.lgXlQoq11Bs3Ue<!0I,NrK.%UrEo8;q;;4VlMpj&
+!.XlQqk*i%s02Kpril*gs,d.TrI=g.s5*kHYjh\mTD`a+J,\s;^[M1&TD`a,J,6qVs8S_gOSrP_
+E;lJos*t~>
+U&Y*gl#6W!r;ZeYrI=fcrK.%do8re*lgX]LoUk=H!mn^/qOdYHr_WQ#pMfrcs01egrbqjeqd95m
+rP/B)rNQ*iricBprfI(Tr."a.rnd_FnGiN\rG_X`rUBj%nG`K\r,DR`qnMt,s.B4NrEoD?rL]AT
+J,~>
+U&Y*gl#6W!r;ZeYrI=fcrK.%do8re*lgX]LoUk=H!mn^/qOdYHr_WQ#pMfrcs01egrbqjeqd95m
+rP/B)rNQ*iricBprfI(Tr."a.rnd_FnGiN\rG_X`rUBj%nG`K\r,DR`qnMt,s.B4NrEoD?rL]AT
+J,~>
+U&Y*gl#6W!r;ZeYrI=fcrK.%do8re*lgX]LoUk=H!mn^/qOdYHr_WQ#pMfrcs01egrbqjeqd95m
+rP/B)rNQ*iricBprfI(Tr."a.rnd_FnGiN\rG_X`rUBj%nG`K\r,DR`qnMt,s.B4NrEoD?rL]AT
+J,~>
+U]1B[:f-@p!)WUns,d/.s)8"#?h9BOhs9e&s7`/Orr^W_d*VZ^r/go-!0I.Ura5D=qVV:VlMpm'
+!.XlQqk*i%ril3jqlg-oOHBB:r."a.rnd_FnG`K\rG_X`rUBj%n,N<)r."UYq#:>dqiLb`qJcG+
+Q2c@~>
+U]1B[:f-@p!)WUns,d/.s)8"#?h9BOhs9e&s7`/Orr^W_d*VZ^r/go-!0I.Ura5D=qVV:VlMpm'
+!.XlQqk*i%ril3jqlg-oOHBB:r."a.rnd_FnG`K\rG_X`rUBj%n,N<)r."UYq#:>dqiLb`qJcG+
+Q2c@~>
+U]1B[:f-@p!)WUns,d/.s)8"#?h9BOhs9e&s7`/Orr^W_d*VZ^r/go-!0I.Ura5D=qVV:VlMpm'
+!.XlQqk*i%ril3jqlg-oOHBB:r."a.rnd_FnG`K\rG_X`rUBj%n,N<)r."UYq#:>dqiLb`qJcG+
+Q2c@~>
+V#LEZrD;g!!)WRm!M>JOIfXLqrI=U(rQt2olgX<Aq4I-Us1eT\!3lBnr/go-s.9:Qr)!B"pi-)e
+rik\fs)7s7r*T;mrP&?:qOdPerfI(Tqg\X-rnm5Fs.B7/qg\S6s1e('!2'4/r."Xks1e@/!2'1N
+rEoD?rL]DUJ,~>
+V#LEZrD;g!!)WRm!M>JOIfXLqrI=U(rQt2olgX<Aq4I-Us1eT\!3lBnr/go-s.9:Qr)!B"pi-)e
+rik\fs)7s7r*T;mrP&?:qOdPerfI(Tqg\X-rnm5Fs.B7/qg\S6s1e('!2'4/r."Xks1e@/!2'1N
+rEoD?rL]DUJ,~>
+V#LEZrD;g!!)WRm!M>JOIfXLqrI=U(rQt2olgX<Aq4I-Us1eT\!3lBnr/go-s.9:Qr)!B"pi-)e
+rik\fs)7s7r*T;mrP&?:qOdPerfI(Tqg\X-rnm5Fs.B7/qg\S6s1e('!2'4/r."Xks1e@/!2'1N
+rEoD?rL]DUJ,~>
+V>gN[qbZ[!!)WOl!M>JHJ,YQ)d.H5]nE^,SnG8dKrrBh5d/L9KTDXfNJ,Z)>rrA/Y;#antE;ADk
+Yj28gDu``4?i$Dn^\j_sYl9a_;#>_BOT"),s8S_iE;P.`nGg8mrrA\hE;b:ad/UlSs87uW?i+g@
+T9fM-~>
+V>gN[qbZ[!!)WOl!M>JHJ,YQ)d.H5]nE^,SnG8dKrrBh5d/L9KTDXfNJ,Z)>rrA/Y;#antE;ADk
+Yj28gDu``4?i$Dn^\j_sYl9a_;#>_BOT"),s8S_iE;P.`nGg8mrrA\hE;b:ad/UlSs87uW?i+g@
+T9fM-~>
+V>gN[qbZ[!!)WOl!M>JHJ,YQ)d.H5]nE^,SnG8dKrrBh5d/L9KTDXfNJ,Z)>rrA/Y;#antE;ADk
+Yj28gDu``4?i$Dn^\j_sYl9a_;#>_BOT"),s8S_iE;P.`nGg8mrrA\hE;b:ad/UlSs87uW?i+g@
+T9fM-~>
+VZ-W\q,$R"!)WLks.B"7s1e6Rp>>+rli6kOqk*W_!5JN[r3-0nr/gr.rh')fqG70!pi-)erik_g
+s)7s7r*T;mrkJH)o<8;rOHBB:qgSU-rnm5Fs.B7/qg\VFrkJ"'!2'1.r."[ls1e7,!2'7PrEoD?
+rh#MVJ,~>
+VZ-W\q,$R"!)WLks.B"7s1e6Rp>>+rli6kOqk*W_!5JN[r3-0nr/gr.rh')fqG70!pi-)erik_g
+s)7s7r*T;mrkJH)o<8;rOHBB:qgSU-rnm5Fs.B7/qg\VFrkJ"'!2'1.r."[ls1e7,!2'7PrEoD?
+rh#MVJ,~>
+VZ-W\q,$R"!)WLks.B"7s1e6Rp>>+rli6kOqk*W_!5JN[r3-0nr/gr.rh')fqG70!pi-)erik_g
+s)7s7r*T;mrkJH)o<8;rOHBB:qgSU-rnm5Fs.B7/qg\VFrkJ"'!2'1.r."[ls1e7,!2'7PrEoD?
+rh#MVJ,~>
+VuH`]pe^L"!)WIjq1&7Up!E`rer]S)q!e0Qqu6Z2rm:MGrK.&/s.B)d!0I%Rpi-)erikbhrbqj6
+r*T>nrP.s.rVunZrD<??rSR/Fs.B7/qg\SEs1e('r,DR`r6YJYp&>)cOHBEJqJcD*QiDR~>
+VuH`]pe^L"!)WIjq1&7Up!E`rer]S)q!e0Qqu6Z2rm:MGrK.&/s.B)d!0I%Rpi-)erikbhrbqj6
+r*T>nrP.s.rVunZrD<??rSR/Fs.B7/qg\SEs1e('r,DR`r6YJYp&>)cOHBEJqJcD*QiDR~>
+VuH`]pe^L"!)WIjq1&7Up!E`rer]S)q!e0Qqu6Z2rm:MGrK.&/s.B)d!0I%Rpi-)erikbhrbqj6
+r*T>nrP.s.rVunZrD<??rSR/Fs.B7/qg\SEs1e('r,DR`r6YJYp&>)cOHBEJqJcD*QiDR~>
+W;ci^pe^O#s%rRlqg\7Qq9[6FrVuNZr1F#h!5JN[qQU"7s,[51rh&l`q,$m+qVV:Vm/R*)s%rW#
+qk*i%p9=Gos,d.TrdXm.rnm5Fs.B7/r."\Fs1e('!2'4/r."Xks1e7,s.B=QrEoD?rh#PWJ,~>
+W;ci^pe^O#s%rRlqg\7Qq9[6FrVuNZr1F#h!5JN[qQU"7s,[51rh&l`q,$m+qVV:Vm/R*)s%rW#
+qk*i%p9=Gos,d.TrdXm.rnm5Fs.B7/r."\Fs1e('!2'4/r."Xks1e7,s.B=QrEoD?rh#PWJ,~>
+W;ci^pe^O#s%rRlqg\7Qq9[6FrVuNZr1F#h!5JN[qQU"7s,[51rh&l`q,$m+qVV:Vm/R*)s%rW#
+qk*i%p9=Gos,d.TrdXm.rnm5Fs.B7/r."\Fs1e('!2'4/r."Xks1e7,s.B=QrEoD?rh#PWJ,~>
+WW)r_pe^O#s%rUmr-n^No"Y.M^QA'Vr1=#)d/(!E^]'krs8#ReE;SPkYj_Vl^]/9P;#ObuTDcP)
+YQ2H8Yke>!OShrPOT"),s8S_iE;P.as8Ke'rrA\iE;Y4`d/UlQrrSgSOSrP_E;cDrs*t~>
+WW)r_pe^O#s%rUmr-n^No"Y.M^QA'Vr1=#)d/(!E^]'krs8#ReE;SPkYj_Vl^]/9P;#ObuTDcP)
+YQ2H8Yke>!OShrPOT"),s8S_iE;P.as8Ke'rrA\iE;Y4`d/UlQrrSgSOSrP_E;cDrs*t~>
+WW)r_pe^O#s%rUmr-n^No"Y.M^QA'Vr1=#)d/(!E^]'krs8#ReE;SPkYj_Vl^]/9P;#ObuTDcP)
+YQ2H8Yke>!OShrPOT"),s8S_iE;P.as8Ke'rrA\iE;Y4`d/UlQrrSgSOSrP_E;cDrs*t~>
+WrN)`q,$[%r_WOmrI=aLo=sIMm;V3Lo'lXNqlp"5rm:07q,$m+qVV:Vnc/X(s02NBr_WT$qOd`$
+qlohprfI(TqN1^6nG`K\rG_X`rVuo4nGiH+qg\Rks1e4+s.B=QrEoG@rL]JWJ,~>
+WrN)`q,$[%r_WOmrI=aLo=sIMm;V3Lo'lXNqlp"5rm:07q,$m+qVV:Vnc/X(s02NBr_WT$qOd`$
+qlohprfI(TqN1^6nG`K\rG_X`rVuo4nGiH+qg\Rks1e4+s.B=QrEoG@rL]JWJ,~>
+WrN)`q,$[%r_WOmrI=aLo=sIMm;V3Lo'lXNqlp"5rm:07q,$m+qVV:Vnc/X(s02NBr_WT$qOd`$
+qlohprfI(TqN1^6nG`K\rG_X`rVuo4nGiH+qg\Rks1e4+s.B=QrEoG@rL]JWJ,~>
+X8i2aq,$[%r_WRnrI=[Jp:omSlYuN(lB(`/s3Ub;ril=8rm:*5!.XiAq/H2fril%p!3lF:!3lHA
+r_WT$qOd`$ril%ps,d1UqN1[5nc/W]!afncqg\SEs1e('!2'4/r."Xk!5J.*s.9:QrEoD?rh#SX
+J,~>
+X8i2aq,$[%r_WRnrI=[Jp:omSlYuN(lB(`/s3Ub;ril=8rm:*5!.XiAq/H2fril%p!3lF:!3lHA
+r_WT$qOd`$ril%ps,d1UqN1[5nc/W]!afncqg\SEs1e('!2'4/r."Xk!5J.*s.9:QrEoD?rh#SX
+J,~>
+X8i2aq,$[%r_WRnrI=[Jp:omSlYuN(lB(`/s3Ub;ril=8rm:*5!.XiAq/H2fril%p!3lF:!3lHA
+r_WT$qOd`$ril%ps,d1UqN1[5nc/W]!afncqg\SEs1e('!2'4/r."Xk!5J.*s.9:QrEoD?rh#SX
+J,~>
+XT/;bq,$^&"]/Q&;#gRnJ+p2D^[I9ME9:NqOSSDEd/K[8^])UGrrA/X;###-hZ1FjYkS.tYku38
+YlA\@;#XhuTDlS*YjqbnOSr#POT+/-s8S\k?iG$BJ,TEI^[V7'TD`a,J,IXn^[qL)TD`-nE;cDs
+s*t~>
+XT/;bq,$^&"]/Q&;#gRnJ+p2D^[I9ME9:NqOSSDEd/K[8^])UGrrA/X;###-hZ1FjYkS.tYku38
+YlA\@;#XhuTDlS*YjqbnOSr#POT+/-s8S\k?iG$BJ,TEI^[V7'TD`a,J,IXn^[qL)TD`-nE;cDs
+s*t~>
+XT/;bq,$^&"]/Q&;#gRnJ+p2D^[I9ME9:NqOSSDEd/K[8^])UGrrA/X;###-hZ1FjYkS.tYku38
+YlA\@;#XhuTDlS*YjqbnOSr#POT+/-s8S\k?iG$BJ,TEI^[V7'TD`a,J,IXn^[qL)TD`-nE;cDs
+s*t~>
+XoJDcq,$^&"]/Q&;#bM5J+^&E^[R??E9gm#OT"\Gd/K[;^])UErrIV2qb[*-rnm^iril4u"0fPT
+Yl2?9YlA\@;#Xi!TDcOps8S2Z;#6:Phsp^IT3qS:qg\SEs1e+(!2'4/r."Xk!5J.*rgs1PrEoG@
+!3lHpRK%d~>
+XoJDcq,$^&"]/Q&;#bM5J+^&E^[R??E9gm#OT"\Gd/K[;^])UErrIV2qb[*-rnm^iril4u"0fPT
+Yl2?9YlA\@;#Xi!TDcOps8S2Z;#6:Phsp^IT3qS:qg\SEs1e+(!2'4/r."Xk!5J.*rgs1PrEoG@
+!3lHpRK%d~>
+XoJDcq,$^&"]/Q&;#bM5J+^&E^[R??E9gm#OT"\Gd/K[;^])UErrIV2qb[*-rnm^iril4u"0fPT
+Yl2?9YlA\@;#Xi!TDcOps8S2Z;#6:Phsp^IT3qS:qg\SEs1e+(!2'4/r."Xk!5J.*rgs1PrEoG@
+!3lHpRK%d~>
+Y5eMdq+q&up2L"<s%rZ5nZ_SGno4M6j`'`srD<??plGLFq9],5s3Ts/!Ip4.;#,&1hu(7gYl+P$
+YlDH<Yku38T)u69E;WQ4?i-Jo^[_@(OSr#QOT"),s8S\m?Z9u]J,TEI^[_=(TD`a+J,R^o^[hF(
+TD`*sE;Y4aYQ1;as*t~>
+Y5eMdq+q&up2L"<s%rZ5nZ_SGno4M6j`'`srD<??plGLFq9],5s3Ts/!Ip4.;#,&1hu(7gYl+P$
+YlDH<Yku38T)u69E;WQ4?i-Jo^[_@(OSr#QOT"),s8S\m?Z9u]J,TEI^[_=(TD`a+J,R^o^[hF(
+TD`*sE;Y4aYQ1;as*t~>
+Y5eMdq+q&up2L"<s%rZ5nZ_SGno4M6j`'`srD<??plGLFq9],5s3Ts/!Ip4.;#,&1hu(7gYl+P$
+YlDH<Yku38T)u69E;WQ4?i-Jo^[_@(OSr#QOT"),s8S\m?Z9u]J,TEI^[_=(TD`a+J,R^o^[hF(
+TD`*sE;Y4aYQ1;as*t~>
+YQ+Veq+q&up2L"<s%rZ5s.Atgo8is%p2Ke6r;ZVtrdXp/rh'/h!+5J>pL!_mnpgJ^rL`3O!Ip4/
+;#5,2?i.V;Yl=Y*YeRrWYkl-6Yl8V>;#ao"TDlUqs8S2Z;#6:Pht$gIT)rA=E;P.`rrK@=nc/W]
+rc%aar9s^$oDec]ra,YEr."XKRf@m~>
+YQ+Veq+q&up2L"<s%rZ5s.Atgo8is%p2Ke6r;ZVtrdXp/rh'/h!+5J>pL!_mnpgJ^rL`3O!Ip4/
+;#5,2?i.V;Yl=Y*YeRrWYkl-6Yl8V>;#ao"TDlUqs8S2Z;#6:Pht$gIT)rA=E;P.`rrK@=nc/W]
+rc%aar9s^$oDec]ra,YEr."XKRf@m~>
+YQ+Veq+q&up2L"<s%rZ5s.Atgo8is%p2Ke6r;ZVtrdXp/rh'/h!+5J>pL!_mnpgJ^rL`3O!Ip4/
+;#5,2?i.V;Yl=Y*YeRrWYkl-6Yl8V>;#ao"TDlUqs8S2Z;#6:Pht$gIT)rA=E;P.`rrK@=nc/W]
+rc%aar9s^$oDec]ra,YEr."XKRf@m~>
+YlF_fq+q&up2L"<!)WW5r1EehnrWj#qJc@>p&Ffk!.Xs/s.Auas'PVAr*T+noRH\`rL`6P!Ip4.
+;#PA4?i.V9YlDK<Yku34YlA\>:]Ol!TDlUqs8S2Z;#?@Qht$gITDr9uE;Y4arrK@=nc/W]rc%aa
+r9s^$o)J]]s'PeFr."XKRf@m~>
+YlF_fq+q&up2L"<!)WW5r1EehnrWj#qJc@>p&Ffk!.Xs/s.Auas'PVAr*T+noRH\`rL`6P!Ip4.
+;#PA4?i.V9YlDK<Yku34YlA\>:]Ol!TDlUqs8S2Z;#?@Qht$gITDr9uE;Y4arrK@=nc/W]rc%aa
+r9s^$o)J]]s'PeFr."XKRf@m~>
+YlF_fq+q&up2L"<!)WW5r1EehnrWj#qJc@>p&Ffk!.Xs/s.Auas'PVAr*T+noRH\`rL`6P!Ip4.
+;#PA4?i.V9YlDK<Yku34YlA\>:]Ol!TDlUqs8S2Z;#?@Qht$gITDr9uE;Y4arrK@=nc/W]rc%aa
+r9s^$o)J]]s'PeFr."XKRf@m~>
+Z2ahgq+q&up2L"<r,DP*r35aRqLANa!+50o"449V^\b58^]'>oTC2aY?i=s7;"]>6d/BU!rrIV2
+r)!B3rEoK;!2'7p!5JN;qnN!3!l&\nqbR9"qk!kmrkJ%(s,d1UqN1[5o)Aib?XIbkqg\SEs1e+(
+!2'70qg\P5!5J+)rLa(.r."UJS,\!~>
+Z2ahgq+q&up2L"<r,DP*r35aRqLANa!+50o"449V^\b58^]'>oTC2aY?i=s7;"]>6d/BU!rrIV2
+r)!B3rEoK;!2'7p!5JN;qnN!3!l&\nqbR9"qk!kmrkJ%(s,d1UqN1[5o)Aib?XIbkqg\SEs1e+(
+!2'70qg\P5!5J+)rLa(.r."UJS,\!~>
+Z2ahgq+q&up2L"<r,DP*r35aRqLANa!+50o"449V^\b58^]'>oTC2aY?i=s7;"]>6d/BU!rrIV2
+r)!B3rEoK;!2'7p!5JN;qnN!3!l&\nqbR9"qk!kmrkJ%(s,d1UqN1[5o)Aib?XIbkqg\SEs1e+(
+!2'70qg\P5!5J+)rLa(.r."UJS,\!~>
+ZN'qhq+q&up2L%=r,DG'!3l$Upj_T/posb4"-B.I^Zb^pE:Zp"J,.IiTBH4TIusS)!-%gBr4i9(
+ril:7pose5s)@g2qk!qo^VB@>!Ip4/;#?@Qht$gITDr6uE;P.`rrK@=nc&T]rc%aar9s^$nc/T\
+rc%dbqllRiJ,~>
+ZN'qhq+q&up2L%=r,DG'!3l$Upj_T/posb4"-B.I^Zb^pE:Zp"J,.IiTBH4TIusS)!-%gBr4i9(
+ril:7pose5s)@g2qk!qo^VB@>!Ip4/;#?@Qht$gITDr6uE;P.`rrK@=nc&T]rc%aar9s^$nc/T\
+rc%dbqllRiJ,~>
+ZN'qhq+q&up2L%=r,DG'!3l$Upj_T/posb4"-B.I^Zb^pE:Zp"J,.IiTBH4TIusS)!-%gBr4i9(
+ril:7pose5s)@g2qk!qo^VB@>!Ip4/;#?@Qht$gITDr6uE;P.`rrK@=nc&T]rc%aar9s^$nc/T\
+rc%dbqllRiJ,~>
+ZiC%iq,%)upM^+>qf);%o8rctkl1b3Yctn>Yku2rs7pX.;"]>6d/9O#s8RQKOT&)P?i7\=TDu.n
+^\+i1E;EE/TDu.q^[hF)OSr#POT").s8S_k?N>'BJ,TBJYeT`.s.B:0r."Y6!5J((rh'1/r."XK
+!5G$'J,~>
+ZiC%iq,%)upM^+>qf);%o8rctkl1b3Yctn>Yku2rs7pX.;"]>6d/9O#s8RQKOT&)P?i7\=TDu.n
+^\+i1E;EE/TDu.q^[hF)OSr#POT").s8S_k?N>'BJ,TBJYeT`.s.B:0r."Y6!5J((rh'1/r."XK
+!5G$'J,~>
+ZiC%iq,%)upM^+>qf);%o8rctkl1b3Yctn>Yku2rs7pX.;"]>6d/9O#s8RQKOT&)P?i7\=TDu.n
+^\+i1E;EE/TDu.q^[hF)OSr#POT").s8S_k?N>'BJ,TBJYeT`.s.B:0r."Y6!5J((rh'1/r."XK
+!5G$'J,~>
+[/^+iqG@3!pM^+>r,DD&o8rfuk5PG.posV0i;`Ulr)!>Vp4)nbr1E6R!Ip40;#4Ps^]0r+Yl;E/
+Yl8V=:]QUTTDu.q^[qI+IusS)qiLd6oDei_s'PeFr."YE!5J((s.B:0r."Y6!5J%'s.B:0qg\OJ
+S,\!~>
+[/^+iqG@3!pM^+>r,DD&o8rfuk5PG.posV0i;`Ulr)!>Vp4)nbr1E6R!Ip40;#4Ps^]0r+Yl;E/
+Yl8V=:]QUTTDu.q^[qI+IusS)qiLd6oDei_s'PeFr."YE!5J((s.B:0r."Y6!5J%'s.B:0qg\OJ
+S,\!~>
+[/^+iqG@3!pM^+>r,DD&o8rfuk5PG.posV0i;`Ulr)!>Vp4)nbr1E6R!Ip40;#4Ps^]0r+Yl;E/
+Yl8V=:]QUTTDu.q^[qI+IusS)qiLd6oDei_s'PeFr."YE!5J((s.B:0r."Y6!5J%'s.B:0qg\OJ
+S,\!~>
+[f?:jqG@3!nSn8qoT8p!!3kPa"449V^\k>4^YJkaDu``35PK[&d/9O$rr@QH;#4Ps^]0r+YQ1<f
+Yl=\&E;EB2OSkaNYQ2H/rrIV2rD<BQrSR2Gs.B<u!-%gbrVlo&^[hF)TDig,J,Sj:^[V:'TDig,
+J,?I?s*t~>
+[f?:jqG@3!nSn8qoT8p!!3kPa"449V^\k>4^YJkaDu``35PK[&d/9O$rr@QH;#4Ps^]0r+YQ1<f
+Yl=\&E;EB2OSkaNYQ2H/rrIV2rD<BQrSR2Gs.B<u!-%gbrVlo&^[hF)TDig,J,Sj:^[V:'TDig,
+J,?I?s*t~>
+[f?:jqG@3!nSn8qoT8p!!3kPa"449V^\k>4^YJkaDu``35PK[&d/9O$rr@QH;#4Ps^]0r+YQ1<f
+Yl=\&E;EB2OSkaNYQ2H/rrIV2rD<BQrSR2Gs.B<u!-%gbrVlo&^[hF)TDig,J,Sj:^[V:'TDig,
+J,?I?s*t~>
+\,ZCkqG@3!no4>qooT'#rikJ`"449V^\b84^Y8_f^\VpF5PK[&d/9O%rr@QH;#4Ps^]0qtYl4V$
+Du`-":]QUUTDl%p^[qI+IusS)qiLd6oDei_s'GbFqg\SE!O0?0s8S_jE;P.`n,U5pOSkaLE;Y4_
+Yak`D~>
+\,ZCkqG@3!no4>qooT'#rikJ`"449V^\b84^Y8_f^\VpF5PK[&d/9O%rr@QH;#4Ps^]0qtYl4V$
+Du`-":]QUUTDl%p^[qI+IusS)qiLd6oDei_s'GbFqg\SE!O0?0s8S_jE;P.`n,U5pOSkaLE;Y4_
+Yak`D~>
+\,ZCkqG@3!no4>qooT'#rikJ`"449V^\b84^Y8_f^\VpF5PK[&d/9O%rr@QH;#4Ps^]0qtYl4V$
+Du`-":]QUUTDl%p^[qI+IusS)qiLd6oDei_s'GbFqg\SE!O0?0s8S_jE;P.`n,U5pOSkaLE;Y4_
+Yak`D~>
+\GuLlqG@3!no4VjqOdGBqg\OJjSo>/Yctn?Ykl,hrrp0a^V@"WqJc9qpODtbr1E?Us*suDqHs08
+s.B"hqZ$S7s$-EXs,d2Os02O<oD\i@OSr#QOT").s8S_j?i,?NrrBh)s8S_jE;P._n,U6%ORo+C
+E;Y4_YlB3Es*t~>
+\GuLlqG@3!no4VjqOdGBqg\OJjSo>/Yctn?Ykl,hrrp0a^V@"WqJc9qpODtbr1E?Us*suDqHs08
+s.B"hqZ$S7s$-EXs,d2Os02O<oD\i@OSr#QOT").s8S_j?i,?NrrBh)s8S_jE;P._n,U6%ORo+C
+E;Y4_YlB3Es*t~>
+\GuLlqG@3!no4VjqOdGBqg\OJjSo>/Yctn?Ykl,hrrp0a^V@"WqJc9qpODtbr1E?Us*suDqHs08
+s.B"hqZ$S7s$-EXs,d2Os02O<oD\i@OSr#QOT").s8S_j?i,?NrrBh)s8S_jE;P._n,U6%ORo+C
+E;Y4_YlB3Es*t~>
+\c;UmqG@/uoPj_irL`bEqgSU<r358^"449V^\k;9d/1T4s8B_0YkrD95PK[&d/9O's8RTI;#4Ps
+^]0r$Yk\7uE;r0#;#cXVTDl(p^\%O,IusV*qN1[5oD\f_ra,YEr."YE!3l.rrK%#Orc%aar9s^$
+n?;nbrG_[aqlp!;!.UaCJ,~>
+\c;UmqG@/uoPj_irL`bEqgSU<r358^"449V^\k;9d/1T4s8B_0YkrD95PK[&d/9O's8RTI;#4Ps
+^]0r$Yk\7uE;r0#;#cXVTDl(p^\%O,IusV*qN1[5oD\f_ra,YEr."YE!3l.rrK%#Orc%aar9s^$
+n?;nbrG_[aqlp!;!.UaCJ,~>
+\c;UmqG@/uoPj_irL`bEqgSU<r358^"449V^\k;9d/1T4s8B_0YkrD95PK[&d/9O's8RTI;#4Ps
+^]0r$Yk\7uE;r0#;#cXVTDl(p^\%O,IusV*qN1[5oD\f_ra,YEr."YE!3l.rrK%#Orc%aar9s^$
+n?;nbrG_[aqlp!;!.UaCJ,~>
+])V^nqG@/uoPjYg!2&tHqLAL:r35;_s3UeM!5JH9qnLkbrkJ<6s1eGMqEO_(psAr2n,EHnIt.Am
+qd999s.B1mpAb,2s$-EXs,d5PricC;o`+r@r)!9PrSR5Hs.B9tqg\SE!O0?:s7hZVJ"Q^Zqg\P5
+!5J$-!2'4/r."XK!5J8I!.UpHJ,~>
+])V^nqG@/uoPjYg!2&tHqLAL:r35;_s3UeM!5JH9qnLkbrkJ<6s1eGMqEO_(psAr2n,EHnIt.Am
+qd999s.B1mpAb,2s$-EXs,d5PricC;o`+r@r)!9PrSR5Hs.B9tqg\SE!O0?:s7hZVJ"Q^Zqg\P5
+!5J$-!2'4/r."XK!5J8I!.UpHJ,~>
+])V^nqG@/uoPjYg!2&tHqLAL:r35;_s3UeM!5JH9qnLkbrkJ<6s1eGMqEO_(psAr2n,EHnIt.Am
+qd999s.B1mpAb,2s$-EXs,d5PricC;o`+r@r)!9PrSR5Hs.B9tqg\SE!O0?:s7hZVJ"Q^Zqg\P5
+!5J$-!2'4/r."XK!5J8I!.UpHJ,~>
+]DqgoqG@/uol0>\qLAI9r358^"449V^\k;9d/1T4rrTF>^\Y24^\`!H5PK[&d/BU,rresuY^_0#
+;#=Vt^]0r)Yk7tqE;i*#;#ZRUTDl%p^\%O,IusV*qN1[5o`+r`ra5PPr;Zf3s02?]rI4jPTD`a,
+J,Jd9^[SH-TD`a,J,HMN^]%(,E;`V4s*t~>
+]DqgoqG@/uol0>\qLAI9r358^"449V^\k;9d/1T4rrTF>^\Y24^\`!H5PK[&d/BU,rresuY^_0#
+;#=Vt^]0r)Yk7tqE;i*#;#ZRUTDl%p^\%O,IusV*qN1[5o`+r`ra5PPr;Zf3s02?]rI4jPTD`a,
+J,Jd9^[SH-TD`a,J,HMN^]%(,E;`V4s*t~>
+]DqgoqG@/uol0>\qLAI9r358^"449V^\k;9d/1T4rrTF>^\Y24^\`!H5PK[&d/BU,rresuY^_0#
+;#=Vt^]0r)Yk7tqE;i*#;#ZRUTDl%p^\%O,IusV*qN1[5o`+r`ra5PPr;Zf3s02?]rI4jPTD`a,
+J,Jd9^[SH-TD`a,J,HMN^]%(,E;`V4s*t~>
+]DqjpqG@/uol0A]qL8L,rLa"ljT#8,!jKGSrNH:KqnLncs0)L<qQTk3s3LaQr,DKspODtbrL``^
+s.9Fu^T`3;r)!8tr4i6'!3l%os)@s%rD<KTs.B7o!5J4,s*srCqiLd6o`+r`ra5PPr;Zc#rK.&/
+qQU!lrc%dbr9s^$n?;nbrG_[ar3-19qbR87qG=3lJ,~>
+]DqjpqG@/uol0A]qL8L,rLa"ljT#8,!jKGSrNH:KqnLncs0)L<qQTk3s3LaQr,DKspODtbrL``^
+s.9Fu^T`3;r)!8tr4i6'!3l%os)@s%rD<KTs.B7o!5J4,s*srCqiLd6o`+r`ra5PPr;Zc#rK.&/
+qQU!lrc%dbr9s^$n?;nbrG_[ar3-19qbR87qG=3lJ,~>
+]DqjpqG@/uol0A]qL8L,rLa"ljT#8,!jKGSrNH:KqnLncs0)L<qQTk3s3LaQr,DKspODtbrL``^
+s.9Fu^T`3;r)!8tr4i6'!3l%os)@s%rD<KTs.B7o!5J4,s*srCqiLd6o`+r`ra5PPr;Zc#rK.&/
+qQU!lrc%dbr9s^$n?;nbrG_[ar3-19qbR87qG=3lJ,~>
+]`7sqqG@/up2KJ^qLAO,r1Enkjo>A-s0)L<rNQ=Kr4h"dpTXP0s3UcF!+5YCqEOb)psAu3pAb,a
+rNQ<Or)!8tr4i6'!3l(prc%j$rD<KTs.B7oo`"rAOSr#RO8se/^AtM1rrA\i?i5EOs7<JnTDig-
+J,Jd9^[SK-TDig-J,6DJ;#VR5:ojVH~>
+]`7sqqG@/up2KJ^qLAO,r1Enkjo>A-s0)L<rNQ=Kr4h"dpTXP0s3UcF!+5YCqEOb)psAu3pAb,a
+rNQ<Or)!8tr4i6'!3l(prc%j$rD<KTs.B7oo`"rAOSr#RO8se/^AtM1rrA\i?i5EOs7<JnTDig-
+J,Jd9^[SK-TDig-J,6DJ;#VR5:ojVH~>
+]`7sqqG@/up2KJ^qLAO,r1Enkjo>A-s0)L<rNQ=Kr4h"dpTXP0s3UcF!+5YCqEOb)psAu3pAb,a
+rNQ<Or)!8tr4i6'!3l(prc%j$rD<KTs.B7oo`"rAOSr#RO8se/^AtM1rrA\i?i5EOs7<JnTDig-
+J,Jd9^[SK-TDig-J,6DJ;#VR5:ojVH~>
+]`7sq!&4=IrEoJAs'PbEn<!HqrfI)Nr358^s3LhO^VB`O!7:VXh#I>W!2'1nqS*$WqZ$J4qEOb)
+qU#8Hrh&ucrgs1Pr363N!'gBXrEoH:rgs1poDei0rBL9XrK.&OrNPtps*srCs,d2/rP/")s.B9t
+s*sudrSIX[^\G&0TDig-J,Jg(^Aso)E;b:_Yl@Ps+8Se6J$&a$~>
+]`7sq!&4=IrEoJAs'PbEn<!HqrfI)Nr358^s3LhO^VB`O!7:VXh#I>W!2'1nqS*$WqZ$J4qEOb)
+qU#8Hrh&ucrgs1Pr363N!'gBXrEoH:rgs1poDei0rBL9XrK.&OrNPtps*srCs,d2/rP/")s.B9t
+s*sudrSIX[^\G&0TDig-J,Jg(^Aso)E;b:_Yl@Ps+8Se6J$&a$~>
+]`7sq!&4=IrEoJAs'PbEn<!HqrfI)Nr358^s3LhO^VB`O!7:VXh#I>W!2'1nqS*$WqZ$J4qEOb)
+qU#8Hrh&ucrgs1Pr363N!'gBXrEoH:rgs1poDei0rBL9XrK.&OrNPtps*srCs,d2/rP/")s.B9t
+s*sudrSIX[^\G&0TDig-J,Jg(^Aso)E;b:_Yl@Ps+8Se6J$&a$~>
+^&S'rr\4=JrEoMBrEfPDn<!Bos,d/NrNPA_s3LtS^V@![:f-88s*sV>rilBoril76!7:K?r,DKs
+pj`4grilBoqu?VerfI,`s1eS`!'gBXrEoH:rgs1poDei0rBL9XrK%#Or35ko"b2V1:d72AJ,R.S
+s8S_j?i+g@htaMNTDig-J,Jg(^Aso)E;b:`YQV^jIkWSR+8Sg:s*t~>
+^&S'rr\4=JrEoMBrEfPDn<!Bos,d/NrNPA_s3LtS^V@![:f-88s*sV>rilBoril76!7:K?r,DKs
+pj`4grilBoqu?VerfI,`s1eS`!'gBXrEoH:rgs1poDei0rBL9XrK%#Or35ko"b2V1:d72AJ,R.S
+s8S_j?i+g@htaMNTDig-J,Jg(^Aso)E;b:`YQV^jIkWSR+8Sg:s*t~>
+^&S'rr\4=JrEoMBrEfPDn<!Bos,d/NrNPA_s3LtS^V@![:f-88s*sV>rilBoril76!7:K?r,DKs
+pj`4grilBoqu?VerfI,`s1eS`!'gBXrEoH:rgs1poDei0rBL9XrK%#Or35ko"b2V1:d72AJ,R.S
+s8S_j?i+g@htaMNTDig-J,Jg(^Aso)E;b:`YQV^jIkWSR+8Sg:s*t~>
+^An0sr%J+IrEoMBr*SrTqgSU<rdXs0r1EnklMpi[m?%=orkJ&dqLA;?ricBarLX(oqS*$Wo`"nu
+rG_Ttpj`:ir360mrr;qhrK.&`!5JN*s*k#5r)!?!qnN-&!3l+qrc%g#r_WQT!2'4op&G&Ar'1+/
+rP&?:p&G&ara5PAr87IWqOd_js.B:0r."Y6m_8aorG_^bqlg(8rdXo$r#bc3YQ'+~>
+^An0sr%J+IrEoMBr*SrTqgSU<rdXs0r1EnklMpi[m?%=orkJ&dqLA;?ricBarLX(oqS*$Wo`"nu
+rG_Ttpj`:ir360mrr;qhrK.&`!5JN*s*k#5r)!?!qnN-&!3l+qrc%g#r_WQT!2'4op&G&Ar'1+/
+rP&?:p&G&ara5PAr87IWqOd_js.B:0r."Y6m_8aorG_^bqlg(8rdXo$r#bc3YQ'+~>
+^An0sr%J+IrEoMBr*SrTqgSU<rdXs0r1EnklMpi[m?%=orkJ&dqLA;?ricBarLX(oqS*$Wo`"nu
+rG_Ttpj`:ir360mrr;qhrK.&`!5JN*s*k#5r)!?!qnN-&!3l+qrc%g#r_WQT!2'4op&G&Ar'1+/
+rP&?:p&G&ara5PAr87IWqOd_js.B:0r."Y6m_8aorG_^bqlg(8rdXo$r#bc3YQ'+~>
+^An0sr%J+Ira5VCrEo&UqgS\IT:c+4s,d2Or35Sgr_WBOo[)s>s,cu)rVul$!0I,Ns02F9!7:99
+!+5\DqEOb)qQTsk!<<"ir/^r`^\j]*Im60q;#Obu^]'i*Yk7tqE;Mj";#HFRYQ1<hs8RTH5Pos/
+^\Rp/^]1M<TDi3pE;\SnYl13jYl(-mE;Y4`nF"$kTD`a-J,?GM^\rZ[0`E0j:]Q!Ms*t~>
+^An0sr%J+Ira5VCrEo&UqgS\IT:c+4s,d2Or35Sgr_WBOo[)s>s,cu)rVul$!0I,Ns02F9!7:99
+!+5\DqEOb)qQTsk!<<"ir/^r`^\j]*Im60q;#Obu^]'i*Yk7tqE;Mj";#HFRYQ1<hs8RTH5Pos/
+^\Rp/^]1M<TDi3pE;\SnYl13jYl(-mE;Y4`nF"$kTD`a-J,?GM^\rZ[0`E0j:]Q!Ms*t~>
+^An0sr%J+Ira5VCrEo&UqgS\IT:c+4s,d2Or35Sgr_WBOo[)s>s,cu)rVul$!0I,Ns02F9!7:99
+!+5\DqEOb)qQTsk!<<"ir/^r`^\j]*Im60q;#Obu^]'i*Yk7tqE;Mj";#HFRYQ1<hs8RTH5Pos/
+^\Rp/^]1M<TDi3pE;\SnYl13jYl(-mE;Y4`nF"$kTD`a-J,?GM^\rZ[0`E0j:]Q!Ms*t~>
+^]49tq_8%H!+5\DrEo&UqgS\IT:c+4s,d/Nr35_k!aec#qN16okJ-r!pj`=J!0I,Nr3649!7:06
+!+5_Eq*4_*!-%e=!0I/Oq2kQIs0)TtIm60p;#Xi!^]'i*YkA%qE;Mj";#HFRYkA%rJ,MV/J,R.[
+s8Ke5Yl;uLOSrPaE;\VgYkapjE;Y4`nGg9"YkPm4TD`a-J,[goYQ2H8J,D#"+8Sg>s*t~>
+^]49tq_8%H!+5\DrEo&UqgS\IT:c+4s,d/Nr35_k!aec#qN16okJ-r!pj`=J!0I,Nr3649!7:06
+!+5_Eq*4_*!-%e=!0I/Oq2kQIs0)TtIm60p;#Xi!^]'i*YkA%qE;Mj";#HFRYkA%rJ,MV/J,R.[
+s8Ke5Yl;uLOSrPaE;\VgYkapjE;Y4`nGg9"YkPm4TD`a-J,[goYQ2H8J,D#"+8Sg>s*t~>
+^]49tq_8%H!+5\DrEo&UqgS\IT:c+4s,d/Nr35_k!aec#qN16okJ-r!pj`=J!0I,Nr3649!7:06
+!+5_Eq*4_*!-%e=!0I/Oq2kQIs0)TtIm60p;#Xi!^]'i*YkA%qE;Mj";#HFRYkA%rJ,MV/J,R.[
+s8Ke5Yl;uLOSrPaE;\VgYkapjE;Y4`nGg9"YkPm4TD`a-J,[goYQ2H8J,D#"+8Sg>s*t~>
+_#OBuq_7tFrc%gCnW<Wts8W+krI=j/rLa"loDeheqN16oikP2kqg\R:q695c!+5_Eq*4h-rG_V;
+s.B%Is.B=qrgs7A5<o$Ara5Q;rgs1pp&G#1q`b'7rK-u^!2&ubs*sr2r."[["gJ$!^V@#LciK6#
+ra5SBr87FVoq25&r."Y6m_8aorG_^br6PPM^Mn/iJ,:r"+8Sg?s*t~>
+_#OBuq_7tFrc%gCnW<Wts8W+krI=j/rLa"loDeheqN16oikP2kqg\R:q695c!+5_Eq*4h-rG_V;
+s.B%Is.B=qrgs7A5<o$Ara5Q;rgs1pp&G#1q`b'7rK-u^!2&ubs*sr2r."[["gJ$!^V@#LciK6#
+ra5SBr87FVoq25&r."Y6m_8aorG_^br6PPM^Mn/iJ,:r"+8Sg?s*t~>
+_#OBuq_7tFrc%gCnW<Wts8W+krI=j/rLa"loDeheqN16oikP2kqg\R:q695c!+5_Eq*4h-rG_V;
+s.B%Is.B=qrgs7A5<o$Ara5Q;rgs1pp&G#1q`b'7rK-u^!2&ubs*sr2r."[["gJ$!^V@#LciK6#
+ra5SBr87FVoq25&r."Y6m_8aorG_^br6PPM^Mn/iJ,:r"+8Sg?s*t~>
+_#OBur%S%Fs)@pDnW<Wtrr<"jrdXs0rLa"lpAY/#;#6:Cd,2V-Yl9.JYiu)g?Z9u[56-31E;Hg<
+TD4KJYl13oYQ01P5Q"@W?i.V;T)c+gs8R'95Q<G8OSuEWs8RTH5Pos0^B(R2pWruVOIuMZr,DSk
+s02Enq69mkrc%dbr:'a$o`+m)!2'4/rI=[j"0eD:E;b:^0`"TGJ$o<,~>
+_#OBur%S%Fs)@pDnW<Wtrr<"jrdXs0rLa"lpAY/#;#6:Cd,2V-Yl9.JYiu)g?Z9u[56-31E;Hg<
+TD4KJYl13oYQ01P5Q"@W?i.V;T)c+gs8R'95Q<G8OSuEWs8RTH5Pos0^B(R2pWruVOIuMZr,DSk
+s02Enq69mkrc%dbr:'a$o`+m)!2'4/rI=[j"0eD:E;b:^0`"TGJ$o<,~>
+_#OBur%S%Fs)@pDnW<Wtrr<"jrdXs0rLa"lpAY/#;#6:Cd,2V-Yl9.JYiu)g?Z9u[56-31E;Hg<
+TD4KJYl13oYQ01P5Q"@W?i.V;T)c+gs8R'95Q<G8OSuEWs8RTH5Pos0^B(R2pWruVOIuMZr,DSk
+s02Enq69mkrc%dbr:'a$o`+m)!2'4/rI=[j"0eD:E;b:^0`"TGJ$o<,~>
+_>jL!q_7tFs)@sEnW<Tsrr<"jrI4g/r1EnkqYpS';#6:Cd/:Z>TDcOoYl:9oJ,QV5rrQPHE;Mm"
++8TsQYlC?kOT(mOYlF_'J,V\1;#Xi!^\seus8I!;5Q*89J,PK-YkA%rJ,MV/J,R+^YkcZF^B'Fg
+ra5PArSIX[d.adBTDig-J,Jg9^[M4$E;b:`d/Ul\TD`a.J,1ku;#P>5T=4cM~>
+_>jL!q_7tFs)@sEnW<Tsrr<"jrI4g/r1EnkqYpS';#6:Cd/:Z>TDcOoYl:9oJ,QV5rrQPHE;Mm"
++8TsQYlC?kOT(mOYlF_'J,V\1;#Xi!^\seus8I!;5Q*89J,PK-YkA%rJ,MV/J,R+^YkcZF^B'Fg
+ra5PArSIX[d.adBTDig-J,Jg9^[M4$E;b:`d/Ul\TD`a.J,1ku;#P>5T=4cM~>
+_>jL!q_7tFs)@sEnW<Tsrr<"jrI4g/r1EnkqYpS';#6:Cd/:Z>TDcOoYl:9oJ,QV5rrQPHE;Mm"
++8TsQYlC?kOT(mOYlF_'J,V\1;#Xi!^\seus8I!;5Q*89J,PK-YkA%rJ,MV/J,R+^YkcZF^B'Fg
+ra5PArSIX[d.adBTDig-J,Jg9^[M4$E;b:`d/Ul\TD`a.J,1ku;#P>5T=4cM~>
+_Z0U"q_7qE!-%pEnW<Wtr;ZehrI4g/rLa"lr;Qb(rI=d-nBh3>g7S>*oW\4brdWr-!afncr]g?'
+!.XlbqQU!lqiL]IrVlkIr]g9Vs'P]=rL`c_ra5OVr/gl]pAb/Br'1+/rP&?:r6YAV!mm%$ra5PA
+rSRXZ!7:\Kqk*nMs.B:0r."_'s7$''n,N?*rI=^ks1eQ*r,D[cqChn6r,D\.\,Us~>
+_Z0U"q_7qE!-%pEnW<Wtr;ZehrI4g/rLa"lr;Qb(rI=d-nBh3>g7S>*oW\4brdWr-!afncr]g?'
+!.XlbqQU!lqiL]IrVlkIr]g9Vs'P]=rL`c_ra5OVr/gl]pAb/Br'1+/rP&?:r6YAV!mm%$ra5PA
+rSRXZ!7:\Kqk*nMs.B:0r."_'s7$''n,N?*rI=^ks1eQ*r,D[cqChn6r,D\.\,Us~>
+_Z0U"q_7qE!-%pEnW<Wtr;ZehrI4g/rLa"lr;Qb(rI=d-nBh3>g7S>*oW\4brdWr-!afncr]g?'
+!.XlbqQU!lqiL]IrVlkIr]g9Vs'P]=rL`c_ra5OVr/gl]pAb/Br'1+/rP&?:r6YAV!mm%$ra5PA
+rSRXZ!7:\Kqk*nMs.B:0r."_'s7$''n,N?*rI=^ks1eQ*r,D[cqChn6r,D\.\,Us~>
+_Z0X#q_7qErEo,WqLAGCs.B7>!0I/Oqlp)"!+5VQ!8m=nrNOqHpQ56Upn.S9irB$c!-%cV!.Xlb
+qlg*_TDalKTDSWgJ,V\0;#ao#^\seurrSg"?i)MWJ,PK-YkJ+sJ,DP.J,[1_Yl<#K^\c@XOSrPa
+E;e\oYlE)KTDjrNs8S_jE;Y4`huCI[s8?p8J,@Um^B:*iT:bt!r@n48!+5\Drh$_#J,~>
+_Z0X#q_7qErEo,WqLAGCs.B7>!0I/Oqlp)"!+5VQ!8m=nrNOqHpQ56Upn.S9irB$c!-%cV!.Xlb
+qlg*_TDalKTDSWgJ,V\0;#ao#^\seurrSg"?i)MWJ,PK-YkJ+sJ,DP.J,[1_Yl<#K^\c@XOSrPa
+E;e\oYlE)KTDjrNs8S_jE;Y4`huCI[s8?p8J,@Um^B:*iT:bt!r@n48!+5\Drh$_#J,~>
+_Z0X#q_7qErEo,WqLAGCs.B7>!0I/Oqlp)"!+5VQ!8m=nrNOqHpQ56Upn.S9irB$c!-%cV!.Xlb
+qlg*_TDalKTDSWgJ,V\0;#ao#^\seurrSg"?i)MWJ,PK-YkJ+sJ,DP.J,[1_Yl<#K^\c@XOSrPa
+E;e\oYlE)KTDjrNs8S_jE;Y4`huCI[s8?p8J,@Um^B:*iT:bt!r@n48!+5\Drh$_#J,~>
+_uK^#q_7tFra52WqLADB!O/3pIfPT/TDYqns8%6Dht>@oYh#H:O8uNXTDsE$rr?F%+9-igE;Hg7
+TD8EdJ,V\0;#ao#^\seus8HC&0E?V$OSuEWs8RTI5Pos,^\H.UOSrPaE;\SnYl2?3s8S_jE;Y4`
+hu:C[s8?p8J,@Um^]0r+OT1sME;qWj5Q>*hE;lK?s*t~>
+_uK^#q_7tFra52WqLADB!O/3pIfPT/TDYqns8%6Dht>@oYh#H:O8uNXTDsE$rr?F%+9-igE;Hg7
+TD8EdJ,V\0;#ao#^\seus8HC&0E?V$OSuEWs8RTI5Pos,^\H.UOSrPaE;\SnYl2?3s8S_jE;Y4`
+hu:C[s8?p8J,@Um^]0r+OT1sME;qWj5Q>*hE;lK?s*t~>
+_uK^#q_7tFra52WqLADB!O/3pIfPT/TDYqns8%6Dht>@oYh#H:O8uNXTDsE$rr?F%+9-igE;Hg7
+TD8EdJ,V\0;#ao#^\seus8HC&0E?V$OSuEWs8RTI5Pos,^\H.UOSrPaE;\SnYl2?3s8S_jE;Y4`
+hu:C[s8?p8J,@Um^]0r+OT1sME;qWj5Q>*hE;lK?s*t~>
+`;fg$q_7nD!+58Xqg\JBs0)KbrdOp0rLa"l!+5SPqVV.rqQSMBm#V4Op7MA7jo>?fqB,]dr,DP;
+!0I,NpAY,Br]g9Vs'P`>rL`f`!2'6tr%J,#rK-u^pAb/Br'1+/rP&?:p<Wf$rEoJAr8.OZ^\.X,
+TDig-J,J4'^[V:&E;Y4_d/Ul\rrA\jO8tpME;Mm"?iG$DT=OuP~>
+`;fg$q_7nD!+58Xqg\JBs0)KbrdOp0rLa"l!+5SPqVV.rqQSMBm#V4Op7MA7jo>?fqB,]dr,DP;
+!0I,NpAY,Br]g9Vs'P`>rL`f`!2'6tr%J,#rK-u^pAb/Br'1+/rP&?:p<Wf$rEoJAr8.OZ^\.X,
+TDig-J,J4'^[V:&E;Y4_d/Ul\rrA\jO8tpME;Mm"?iG$DT=OuP~>
+`;fg$q_7nD!+58Xqg\JBs0)KbrdOp0rLa"l!+5SPqVV.rqQSMBm#V4Op7MA7jo>?fqB,]dr,DP;
+!0I,NpAY,Br]g9Vs'P`>rL`f`!2'6tr%J,#rK-u^pAb/Br'1+/rP&?:p<Wf$rEoJAr8.OZ^\.X,
+TDig-J,J4'^[V:&E;Y4_d/Ul\rrA\jO8tpME;Mm"?iG$DT=OuP~>
+`;fj%q_7kC!.XR$qg\GAs02Nbs*k$1rh'.nq1&.rrm:JFm%<K\ra5&SrNQ*irdX,2ra5LDrdXlc
+qQTsko`"o@rBL3Vs'Pf@qk*T^ra5OV!.Xs/rNQ(s!2'7?rBL1/rkAH;pWruVOIuMZr,DSk!3l+q
+s.B:0r."Y%rkIt&rc%dbqp>AXrVuhXr,;Xcr'10frc%k/])R9~>
+`;fj%q_7kC!.XR$qg\GAs02Nbs*k$1rh'.nq1&.rrm:JFm%<K\ra5&SrNQ*irdX,2ra5LDrdXlc
+qQTsko`"o@rBL3Vs'Pf@qk*T^ra5OV!.Xs/rNQ(s!2'7?rBL1/rkAH;pWruVOIuMZr,DSk!3l+q
+s.B:0r."Y%rkIt&rc%dbqp>AXrVuhXr,;Xcr'10frc%k/])R9~>
+`;fj%q_7kC!.XR$qg\GAs02Nbs*k$1rh'.nq1&.rrm:JFm%<K\ra5&SrNQ*irdX,2ra5LDrdXlc
+qQTsko`"o@rBL3Vs'Pf@qk*T^ra5OV!.Xs/rNQ(s!2'7?rBL1/rkAH;pWruVOIuMZr,DSk!3l+q
+s.B:0r."Y%rkIt&rc%dbqp>AXrVuhXr,;Xcr'10frc%k/])R9~>
+`W,p%q_7nD!cWX=oT8s"q>UN2Yb1lUrLa+oq1&+qpTX@`!Ip`uE;*`0OSl?ZTDj?)s8H@*0`)sj
+J,O?`YQ1<drr@QI5Pn7W?hp>grrA\j?i2VXJ,YQ.Yl"IuTDsE=5Q$$1^]1P9d/:WZOIuMZr,DSk
+!3l+qs.B:0r."Y%s1e%&rc%dbqp>AXqu?VVs)A!fq`k*frc%k/])R9~>
+`W,p%q_7nD!cWX=oT8s"q>UN2Yb1lUrLa+oq1&+qpTX@`!Ip`uE;*`0OSl?ZTDj?)s8H@*0`)sj
+J,O?`YQ1<drr@QI5Pn7W?hp>grrA\j?i2VXJ,YQ.Yl"IuTDsE=5Q$$1^]1P9d/:WZOIuMZr,DSk
+!3l+qs.B:0r."Y%s1e%&rc%dbqp>AXqu?VVs)A!fq`k*frc%k/])R9~>
+`W,p%q_7nD!cWX=oT8s"q>UN2Yb1lUrLa+oq1&+qpTX@`!Ip`uE;*`0OSl?ZTDj?)s8H@*0`)sj
+J,O?`YQ1<drr@QI5Pn7W?hp>grrA\j?i2VXJ,YQ.Yl"IuTDsE=5Q$$1^]1P9d/:WZOIuMZr,DSk
+!3l+qs.B:0r."Y%s1e%&rc%dbqp>AXqu?VVs)A!fq`k*frc%k/])R9~>
+`rH$&q_7nD!-%mdp5o0$q#CAur/goMpj`"ppTXIcqg[IAn6bgLqQTmirdX86!2'6tqB,Zcrc%b=
+!K`rFrr@QI5Pe4QTD&<a?i)MWJ,PK-Yl=\!TDsE=5Q$$0^B1Xdd/1TXd/T4,?i4m@hZ0nQs8S_j
+E;Y4`huCI[s8I!8J,@Um^\\!/O8s8!J,DP1?iP*ET=Y&Q~>
+`rH$&q_7nD!-%mdp5o0$q#CAur/goMpj`"ppTXIcqg[IAn6bgLqQTmirdX86!2'6tqB,Zcrc%b=
+!K`rFrr@QI5Pe4QTD&<a?i)MWJ,PK-Yl=\!TDsE=5Q$$0^B1Xdd/1TXd/T4,?i4m@hZ0nQs8S_j
+E;Y4`huCI[s8I!8J,@Um^\\!/O8s8!J,DP1?iP*ET=Y&Q~>
+`rH$&q_7nD!-%mdp5o0$q#CAur/goMpj`"ppTXIcqg[IAn6bgLqQTmirdX86!2'6tqB,Zcrc%b=
+!K`rFrr@QI5Pe4QTD&<a?i)MWJ,PK-Yl=\!TDsE=5Q$$0^B1Xdd/1TXd/T4,?i4m@hZ0nQs8S_j
+E;Y4`huCI[s8I!8J,@Um^\\!/O8s8!J,DP1?iP*ET=Y&Q~>
+`rH''q_7nDs)@mcplPE'p\t<0Yb1lUs02<Kp##MJr1E_5q/Gaupi,Y.s%rBMq69girdXD:rh'0s
+!&49lr."]bqlg'moD\f?rBL0U!5JB&p\t5cra5RWs*t$0rNQ*is02KPrBL1/rkAH;qnN*Vs,d1d
+r,DVl!3l+q!2'4/r."\&rkIt&!2'70r."b(rm:YZq>^DTrdXf0ra5\Erh$h&J,~>
+`rH''q_7nDs)@mcplPE'p\t<0Yb1lUs02<Kp##MJr1E_5q/Gaupi,Y.s%rBMq69girdXD:rh'0s
+!&49lr."]bqlg'moD\f?rBL0U!5JB&p\t5cra5RWs*t$0rNQ*is02KPrBL1/rkAH;qnN*Vs,d1d
+r,DVl!3l+q!2'4/r."\&rkIt&!2'70r."b(rm:YZq>^DTrdXf0ra5\Erh$h&J,~>
+`rH''q_7nDs)@mcplPE'p\t<0Yb1lUs02<Kp##MJr1E_5q/Gaupi,Y.s%rBMq69girdXD:rh'0s
+!&49lr."]bqlg'moD\f?rBL0U!5JB&p\t5cra5RWs*t$0rNQ*is02KPrBL1/rkAH;qnN*Vs,d1d
+r,DVl!3l+q!2'4/r."\&rkIt&!2'70r."b(rm:YZq>^DTrdXf0ra5\Erh$h&J,~>
+a8c-'q_7nD!-%daqiL])pAb/s!2'4Oq1&(ppTX[ioRGUlmpGrgooSpPs.B=@oDe`\!0I1es"O?m
+qg\Wbqlg'^oD\f?rBL0U!5JB&p](5"q_/#"rK.#_qOdbkrdXi1r."^\s02L;rm:YZ!WS8[?i4mA
+huBqRrrA\iE;Y4ahu:C[rrA\jE;Y4ahZ2%&^\Ij.OSs\,5Q+phE;lKAs*t~>
+a8c-'q_7nD!-%daqiL])pAb/s!2'4Oq1&(ppTX[ioRGUlmpGrgooSpPs.B=@oDe`\!0I1es"O?m
+qg\Wbqlg'^oD\f?rBL0U!5JB&p](5"q_/#"rK.#_qOdbkrdXi1r."^\s02L;rm:YZ!WS8[?i4mA
+huBqRrrA\iE;Y4ahu:C[rrA\jE;Y4ahZ2%&^\Ij.OSs\,5Q+phE;lKAs*t~>
+a8c-'q_7nD!-%daqiL])pAb/s!2'4Oq1&(ppTX[ioRGUlmpGrgooSpPs.B=@oDe`\!0I1es"O?m
+qg\Wbqlg'^oD\f?rBL0U!5JB&p](5"q_/#"rK.#_qOdbkrdXi1r."^\s02L;rm:YZ!WS8[?i4mA
+huBqRrrA\iE;Y4ahu:C[rrA\jE;Y4ahZ2%&^\Ij.OSs\,5Q+phE;lKAs*t~>
+aT)6(q_7nDs)@jbqiL])p&G&rrfHr*p##MJo7-I1j8\pOpL!\looSjN!0HpSr1EqLra5[Zr#bid
+rc%b=oD\lA5<o-$r(mC.qk*W_!2'6tr%S/#rfI)_rLa%ms.B=@r'1+/rP&H=^X1@,^]"04OSrPa
+E;e\oYkA"rTD`a,J,S:(^[V7'TDig-J,J4'^\7^-OT'b,5Q5$iE;lKBs*t~>
+aT)6(q_7nDs)@jbqiL])p&G&rrfHr*p##MJo7-I1j8\pOpL!\looSjN!0HpSr1EqLra5[Zr#bid
+rc%b=oD\lA5<o-$r(mC.qk*W_!2'6tr%S/#rfI)_rLa%ms.B=@r'1+/rP&H=^X1@,^]"04OSrPa
+E;e\oYkA"rTD`a,J,S:(^[V7'TDig-J,J4'^\7^-OT'b,5Q5$iE;lKBs*t~>
+aT)6(q_7nDs)@jbqiL])p&G&rrfHr*p##MJo7-I1j8\pOpL!\looSjN!0HpSr1EqLra5[Zr#bid
+rc%b=oD\lA5<o-$r(mC.qk*W_!2'6tr%S/#rfI)_rLa%ms.B=@r'1+/rP&H=^X1@,^]"04OSrPa
+E;e\oYkA"rTD`a,J,S:(^[V7'TDig-J,J4'^\7^-OT'b,5Q5$iE;lKBs*t~>
+aT)9)q_7nDs)@jbqiL])p&>00Yb.#=qLA1qposd[p4)s9!5JN[!l*+/hZ!S[pJCirohb:Bp94OY
+q>UGErL`tKra5XYr?(ods)@k>!0HjQq_7qE!5JE'p\t;e?XN[as*t$0rilEprNQ9n!3lHPrBL1/
+s1\T=TDjrKrrA/Z?i4m@hZ0nRrrA\iE;Y4ahu:C[rrSg3E;P._hu:C`rrA/ZJ,DP0?N>'ET=k2S~>
+aT)9)q_7nDs)@jbqiL])p&>00Yb.#=qLA1qposd[p4)s9!5JN[!l*+/hZ!S[pJCirohb:Bp94OY
+q>UGErL`tKra5XYr?(ods)@k>!0HjQq_7qE!5JE'p\t;e?XN[as*t$0rilEprNQ9n!3lHPrBL1/
+s1\T=TDjrKrrA/Z?i4m@hZ0nRrrA\iE;Y4ahu:C[rrSg3E;P._hu:C`rrA/ZJ,DP0?N>'ET=k2S~>
+aT)9)q_7nDs)@jbqiL])p&>00Yb.#=qLA1qposd[p4)s9!5JN[!l*+/hZ!S[pJCirohb:Bp94OY
+q>UGErL`tKra5XYr?(ods)@k>!0HjQq_7qE!5JE'p\t;e?XN[as*t$0rilEprNQ9n!3lHPrBL1/
+s1\T=TDjrKrrA/Z?i4m@hZ0nRrrA\iE;Y4ahu:C[rrSg3E;P._hu:C`rrA/ZJ,DP0?N>'ET=k2S~>
+aoDB*qCqhDs)@jbqiL])o`+rq!2'+;s3UMtpos^Yq1&<=ril45huEYZs,cJAoT8gOqu?YF!2'%J
+ra5XYr#bfcs)@n?!0HmR!.Xo#!.XrDs1eH'q#:>dra5RWs*t$0qlp$krilBOr'1+/ricBpp\t5T
+rEoJAr8.LYp&>#arG_^br87LgnG`Q^E,b](r87Lgo`+l>r'1*drh$k'J,~>
+aoDB*qCqhDs)@jbqiL])o`+rq!2'+;s3UMtpos^Yq1&<=ril45huEYZs,cJAoT8gOqu?YF!2'%J
+ra5XYr#bfcs)@n?!0HmR!.Xo#!.XrDs1eH'q#:>dra5RWs*t$0qlp$krilBOr'1+/ricBpp\t5T
+rEoJAr8.LYp&>#arG_^br87LgnG`Q^E,b](r87Lgo`+l>r'1*drh$k'J,~>
+aoDB*qCqhDs)@jbqiL])o`+rq!2'+;s3UMtpos^Yq1&<=ril45huEYZs,cJAoT8gOqu?YF!2'%J
+ra5XYr#bfcs)@n?!0HmR!.Xo#!.XrDs1eH'q#:>dra5RWs*t$0qlp$krilBOr'1+/ricBpp\t5T
+rEoJAr8.LYp&>#arG_^br87LgnG`Q^E,b](r87Lgo`+l>r'1*drh$k'J,~>
+b5_H*q_7qErc%dbqN1W)o`"s,Yk`eId/2_pYksO[J,E+C^\k>4^Yf(iYl9a`T)u5n;#3EJ;"]qF
+YQ0das8@H@OSrPc0`<*iIfOHbYkA%n0E?V$:]S9,TD8Ef:g[T-0`HS$OT)K_TDPkmJ,DP2J,XEd
+YlC?js8S2Z?i=sAhZ0nRrrA\iE;b:ahu:C[rrSg3E;P._hu:C^s8INF5Q#L"T=t8T~>
+b5_H*q_7qErc%dbqN1W)o`"s,Yk`eId/2_pYksO[J,E+C^\k>4^Yf(iYl9a`T)u5n;#3EJ;"]qF
+YQ0das8@H@OSrPc0`<*iIfOHbYkA%n0E?V$:]S9,TD8Ef:g[T-0`HS$OT)K_TDPkmJ,DP2J,XEd
+YlC?js8S2Z?i=sAhZ0nRrrA\iE;b:ahu:C[rrSg3E;P._hu:C^s8INF5Q#L"T=t8T~>
+b5_H*q_7qErc%dbqN1W)o`"s,Yk`eId/2_pYksO[J,E+C^\k>4^Yf(iYl9a`T)u5n;#3EJ;"]qF
+YQ0das8@H@OSrPc0`<*iIfOHbYkA%n0E?V$:]S9,TD8Ef:g[T-0`HS$OT)K_TDPkmJ,DP2J,XEd
+YlC?js8S2Z?i=sAhZ0nRrrA\iE;b:ahu:C[rrSg3E;P._hu:C^s8INF5Q#L"T=t8T~>
+b5_K+q_7qErc%dbplPK)oD\g*qLAChrSR@Rq2kW+rD3Xs^TbJfrNQ+4huE\[rK.&Or3-/TpHS=I
+ooT!R!0I//s)@Xmra5UXrZCrc!-%qAs1e7,q_/#"rD3L/qk*Z`!2'6tr%S,"s,d2`!2'1nrh'1>
+r'1.!rNH9oq#CAUrEoMBr8.LYp&>#arG_^br87LgnG`Q^E,b](r87LgoDec=r]gEZ!.Xue!3lHp
+^&NT~>
+b5_K+q_7qErc%dbplPK)oD\g*qLAChrSR@Rq2kW+rD3Xs^TbJfrNQ+4huE\[rK.&Or3-/TpHS=I
+ooT!R!0I//s)@Xmra5UXrZCrc!-%qAs1e7,q_/#"rD3L/qk*Z`!2'6tr%S,"s,d2`!2'1nrh'1>
+r'1.!rNH9oq#CAUrEoMBr8.LYp&>#arG_^br87LgnG`Q^E,b](r87LgoDec=r]gEZ!.Xue!3lHp
+^&NT~>
+b5_K+q_7qErc%dbplPK)oD\g*qLAChrSR@Rq2kW+rD3Xs^TbJfrNQ+4huE\[rK.&Or3-/TpHS=I
+ooT!R!0I//s)@Xmra5UXrZCrc!-%qAs1e7,q_/#"rD3L/qk*Z`!2'6tr%S,"s,d2`!2'1nrh'1>
+r'1.!rNH9oq#CAUrEoMBr8.LYp&>#arG_^br87LgnG`Q^E,b](r87LgoDec=r]gEZ!.Xue!3lHp
+^&NT~>
+bQ%T,qCqkErG_^bp5nkFqLA:e!8mOTq2kMNrVlu7YeRsOYkl,ls8K8$OT1sJYl?EO5PJ"HOSZ0^
+OFR7Kp5o<Hra5RWrZCrcs02O<p&>#Ar%S/#rD3L/qk*]a"+O-S?i2VWJ,YQ/YQCH$Ykt'lJ,DP/
+E;m'ATD8HdOSrPaE;Zs5rrA\iE;b:ahu:C\rrA\jE;P._hu:C^s8@HI5Q4IZJ,XBeYl13.s*t~>
+bQ%T,qCqkErG_^bp5nkFqLA:e!8mOTq2kMNrVlu7YeRsOYkl,ls8K8$OT1sJYl?EO5PJ"HOSZ0^
+OFR7Kp5o<Hra5RWrZCrcs02O<p&>#Ar%S/#rD3L/qk*]a"+O-S?i2VWJ,YQ/YQCH$Ykt'lJ,DP/
+E;m'ATD8HdOSrPaE;Zs5rrA\iE;b:ahu:C\rrA\jE;P._hu:C^s8@HI5Q4IZJ,XBeYl13.s*t~>
+bQ%T,qCqkErG_^bp5nkFqLA:e!8mOTq2kMNrVlu7YeRsOYkl,ls8K8$OT1sJYl?EO5PJ"HOSZ0^
+OFR7Kp5o<Hra5RWrZCrcs02O<p&>#Ar%S/#rD3L/qk*]a"+O-S?i2VWJ,YQ/YQCH$Ykt'lJ,DP/
+E;m'ATD8HdOSrPaE;Zs5rrA\iE;b:ahu:C\rrA\jE;P._hu:C^s8@HI5Q4IZJ,XBeYl13.s*t~>
+bQ%T,q_7tFrG_^bp5f9hoDeZ:psAc>q2kSPqYpZ4YeRsOYkc&ls8K8#O8tpJYl4V$0_Ra,;"]qH
+Yl/P9OStgM?i;\X+8LBdOT*#frr@QH0`QY%;#e<-TD\`gIfQ,??i2VWJ,bW/YkXjjJ,DP/E;m'A
+TD8HdOSr#RE;Zs5rrA\iE;b:ahu:C\rrA\jE;Y4`hu:C\s8@HG:]Q"EDud-@T>(>U~>
+bQ%T,q_7tFrG_^bp5f9hoDeZ:psAc>q2kSPqYpZ4YeRsOYkc&ls8K8#O8tpJYl4V$0_Ra,;"]qH
+Yl/P9OStgM?i;\X+8LBdOT*#frr@QH0`QY%;#e<-TD\`gIfQ,??i2VWJ,bW/YkXjjJ,DP/E;m'A
+TD8HdOSr#RE;Zs5rrA\iE;b:ahu:C\rrA\jE;Y4`hu:C\s8@HG:]Q"EDud-@T>(>U~>
+bQ%T,q_7tFrG_^bp5f9hoDeZ:psAc>q2kSPqYpZ4YeRsOYkc&ls8K8#O8tpJYl4V$0_Ra,;"]qH
+Yl/P9OStgM?i;\X+8LBdOT*#frr@QH0`QY%;#e<-TD\`gIfQ,??i2VWJ,bW/YkXjjJ,DP/E;m'A
+TD8HdOSr#RE;Zs5rrA\iE;b:ahu:C\rrA\jE;Y4`hu:C\s8@HG:]Q"EDud-@T>(>U~>
+bl@]-q_7tFr,D[cooK0go`+c;psAc>qN1YPq#:H2YeRsOYkl,ms8S2\Yl0[`TD>_ds8F_F5Pn:N
+OSZ0]E;5OoTDnlh?i2VW+8^NgOO4!Ap&>#Ar%S/#r_WX0r1Eugr-ng1:g[T-0`HS$OT)K\TDt#P
+J,DP0E;m'ATD/?cOSr#RE;Qm5rrA\iE;b:ahu:C\rrA\jE;Y4`hu:C\s8IKKOC.u`!.Xue!3lEo
+^Ai]~>
+bl@]-q_7tFr,D[cooK0go`+c;psAc>qN1YPq#:H2YeRsOYkl,ms8S2\Yl0[`TD>_ds8F_F5Pn:N
+OSZ0]E;5OoTDnlh?i2VW+8^NgOO4!Ap&>#Ar%S/#r_WX0r1Eugr-ng1:g[T-0`HS$OT)K\TDt#P
+J,DP0E;m'ATD/?cOSr#RE;Qm5rrA\iE;b:ahu:C\rrA\jE;Y4`hu:C\s8IKKOC.u`!.Xue!3lEo
+^Ai]~>
+bl@]-q_7tFr,D[cooK0go`+c;psAc>qN1YPq#:H2YeRsOYkl,ms8S2\Yl0[`TD>_ds8F_F5Pn:N
+OSZ0]E;5OoTDnlh?i2VW+8^NgOO4!Ap&>#Ar%S/#r_WX0r1Eugr-ng1:g[T-0`HS$OT)K\TDt#P
+J,DP0E;m'ATD/?cOSr#RE;Qm5rrA\iE;b:ahu:C\rrA\jE;Y4`hu:C\s8IKKOC.u`!.Xue!3lEo
+^Ai]~>
+c2[f.qCqkErG_ddooT3gp&Fl<q9\l?qN1\QpAY60YeRsOYkc&ls8S/\Yl0[`TD5Y`s8=YD5Q+FQ
+OSc9XOT(mLs8HC&0`N6nJ,YQ.^\7^-J,D##J,W:E^\j`%J,YN3T28m%r%S,"s,d2`rh'1Os8W(J
+r'1.!rNH9oq#:>UrD<E2qloeo!2'4/rI=b&rkJ"'!2'70r."Y%rkJ"'s*t'1!+5_%s*t&f!3lEo
+!3j6<J,~>
+c2[f.qCqkErG_ddooT3gp&Fl<q9\l?qN1\QpAY60YeRsOYkc&ls8S/\Yl0[`TD5Y`s8=YD5Q+FQ
+OSc9XOT(mLs8HC&0`N6nJ,YQ.^\7^-J,D##J,W:E^\j`%J,YN3T28m%r%S,"s,d2`rh'1Os8W(J
+r'1.!rNH9oq#:>UrD<E2qloeo!2'4/rI=b&rkJ"'!2'70r."Y%rkJ"'s*t'1!+5_%s*t&f!3lEo
+!3j6<J,~>
+c2[f.qCqkErG_ddooT3gp&Fl<q9\l?qN1\QpAY60YeRsOYkc&ls8S/\Yl0[`TD5Y`s8=YD5Q+FQ
+OSc9XOT(mLs8HC&0`N6nJ,YQ.^\7^-J,D##J,W:E^\j`%J,YN3T28m%r%S,"s,d2`rh'1Os8W(J
+r'1.!rNH9oq#:>UrD<E2qloeo!2'4/rI=b&rkJ"'!2'70r."Y%rkJ"'s*t'1!+5_%s*t&f!3lEo
+!3j6<J,~>
+c2[f.q_7tFr,;XcooT3gp&Fo=q9\i>qiLeRo`#$.YeRsOYkl,ms7q`VTD5Y\s84SB56,'bOSc9[
+OT(mJs8?=%0EN>GJ,GE,^\7^-J,M)#J,W:E^\j`'J,GB0:g[T-0`?J$OSuBbT9,04s8ING5Q,R"
+YQ1<jrrA/Z;#G;0YkJ(sTD`a-J,J4'^[_=*T5\cHJ,J4'^[V7*Iuob!r_WWEs)A"Brgs1p^]/f~>
+c2[f.q_7tFr,;XcooT3gp&Fo=q9\i>qiLeRo`#$.YeRsOYkl,ms7q`VTD5Y\s84SB56,'bOSc9[
+OT(mJs8?=%0EN>GJ,GE,^\7^-J,M)#J,W:E^\j`'J,GB0:g[T-0`?J$OSuBbT9,04s8ING5Q,R"
+YQ1<jrrA/Z;#G;0YkJ(sTD`a-J,J4'^[_=*T5\cHJ,J4'^[V7*Iuob!r_WWEs)A"Brgs1p^]/f~>
+c2[f.q_7tFr,;XcooT3gp&Fo=q9\i>qiLeRo`#$.YeRsOYkl,ms7q`VTD5Y\s84SB56,'bOSc9[
+OT(mJs8?=%0EN>GJ,GE,^\7^-J,M)#J,W:E^\j`'J,GB0:g[T-0`?J$OSuBbT9,04s8ING5Q,R"
+YQ1<jrrA/Z;#G;0YkJ(sTD`a-J,J4'^[_=*T5\cHJ,J4'^[V7*Iuob!r_WWEs)A"Brgs1p^]/f~>
+cN!o/qCqnF!+5\D!.X['rkJ4-qLA@gpTXOVrD<+c"2D(E^\tD4^Yo.gO8tpJYjMJf0_dm2?N@>*
+OSc9^O92&9TD/Ba?i)PW+8_/u^\7[.Im<lcrdXrErkJE(!.Xp.s*k-C:g[T-0`HS%OSuE[s8ING
+5Q#L"YQ1<jrrA/Z;#G;0YkJ(sTD`a-J,J4'^[_=*T5\cHJ,J4(^Asnqs8S2\?iNt%J,aKfYl:6p
+YeU3g~>
+cN!o/qCqnF!+5\D!.X['rkJ4-qLA@gpTXOVrD<+c"2D(E^\tD4^Yo.gO8tpJYjMJf0_dm2?N@>*
+OSc9^O92&9TD/Ba?i)PW+8_/u^\7[.Im<lcrdXrErkJE(!.Xp.s*k-C:g[T-0`HS%OSuE[s8ING
+5Q#L"YQ1<jrrA/Z;#G;0YkJ(sTD`a-J,J4'^[_=*T5\cHJ,J4(^Asnqs8S2\?iNt%J,aKfYl:6p
+YeU3g~>
+cN!o/qCqnF!+5\D!.X['rkJ4-qLA@gpTXOVrD<+c"2D(E^\tD4^Yo.gO8tpJYjMJf0_dm2?N@>*
+OSc9^O92&9TD/Ba?i)PW+8_/u^\7[.Im<lcrdXrErkJE(!.Xp.s*k-C:g[T-0`HS%OSuE[s8ING
+5Q#L"YQ1<jrrA/Z;#G;0YkJ(sTD`a-J,J4'^[_=*T5\cHJ,J4(^Asnqs8S2\?iNt%J,aKfYl:6p
+YeU3g~>
+ci=#0qCqkEr,;Xcp5o6fq#C5@qU"u@qiLeRnG`U*YeRsOYkl,ms8%fWTD5YTs8"GJ5PeaeYkaCX
+YlBgXs8?=&0`GGVOT*#gs8RQK5Q*;8J,`@E^\sf(OSjS0:g[T-0`?J$OSuB`TDJTfJ,DP/E;d$9
+rrA/Z;#G;0YkJ(sTD`a-J,J4'^[_@'E;Y4_huCI[s8S2\?iNt%J,aKfYlC?qYeU3g~>
+ci=#0qCqkEr,;Xcp5o6fq#C5@qU"u@qiLeRnG`U*YeRsOYkl,ms8%fWTD5YTs8"GJ5PeaeYkaCX
+YlBgXs8?=&0`GGVOT*#gs8RQK5Q*;8J,`@E^\sf(OSjS0:g[T-0`?J$OSuB`TDJTfJ,DP/E;d$9
+rrA/Z;#G;0YkJ(sTD`a-J,J4'^[_@'E;Y4_huCI[s8S2\?iNt%J,aKfYlC?qYeU3g~>
+ci=#0qCqkEr,;Xcp5o6fq#C5@qU"u@qiLeRnG`U*YeRsOYkl,ms8%fWTD5YTs8"GJ5PeaeYkaCX
+YlBgXs8?=&0`GGVOT*#gs8RQK5Q*;8J,`@E^\sf(OSjS0:g[T-0`?J$OSuB`TDJTfJ,DP/E;d$9
+rrA/Z;#G;0YkJ(sTD`a-J,J4'^[_@'E;Y4_huCI[s8S2\?iNt%J,aKfYlC?qYeU3g~>
+ci=#0q_7tF!+5YCrdXa*!3lI;q#C5@qU##AqiLeRn,EL)Yctn@Ykc&mrr@QEOSH'Bs8+JM;"n>r
+YkjIYYk.nn?iMhY?N@>-OT*#gs8RQK5Q3A8J,`@E^\sf$Ifl<>?XN^brI4g/ricBpqZ$PEr'1.!
+rNQ(s!0I.Ur,DP;pAY,brG_^br87Lgo)A]^rc%dbqqqFgn,NELra,Y%rI5#jYcsalYctnBJ,~>
+ci=#0q_7tF!+5YCrdXa*!3lI;q#C5@qU##AqiLeRn,EL)Yctn@Ykc&mrr@QEOSH'Bs8+JM;"n>r
+YkjIYYk.nn?iMhY?N@>-OT*#gs8RQK5Q3A8J,`@E^\sf$Ifl<>?XN^brI4g/ricBpqZ$PEr'1.!
+rNQ(s!0I.Ur,DP;pAY,brG_^br87Lgo)A]^rc%dbqqqFgn,NELra,Y%rI5#jYcsalYctnBJ,~>
+ci=#0q_7tF!+5YCrdXa*!3lI;q#C5@qU##AqiLeRn,EL)Yctn@Ykc&mrr@QEOSH'Bs8+JM;"n>r
+YkjIYYk.nn?iMhY?N@>-OT*#gs8RQK5Q3A8J,`@E^\sf$Ifl<>?XN^brI4g/ricBpqZ$PEr'1.!
+rNQ(s!0I.Ur,DP;pAY,brG_^br87Lgo)A]^rc%dbqqqFgn,NELra,Y%rI5#jYcsalYctnBJ,~>
+d/O,R5Pd)5:]Ol#E;Y4_O8uN`^\\!,J,7OeYksO^;!n8b^TbJfrNQ.5i;`V7r1Eqlir9".qb[&p
+rNQ0\qlo_mpKmp)r/^p*rkJ1,s*su$rI=iDrkJH)q0rHB?XN^brI4g/rNH9oqu?YFr'1.!rNH9o
+q>UGVrD<E2qloeor,DUar87Ohnc&Z_E,b](r87Lgn,NELra,Y%rI5#jYcsalYctnBJ,~>
+d/O,R5Pd)5:]Ol#E;Y4_O8uN`^\\!,J,7OeYksO^;!n8b^TbJfrNQ.5i;`V7r1Eqlir9".qb[&p
+rNQ0\qlo_mpKmp)r/^p*rkJ1,s*su$rI=iDrkJH)q0rHB?XN^brI4g/rNH9oqu?YFr'1.!rNH9o
+q>UGVrD<E2qloeor,DUar87Ohnc&Z_E,b](r87Lgn,NELra,Y%rI5#jYcsalYctnBJ,~>
+d/O,R5Pd)5:]Ol#E;Y4_O8uN`^\\!,J,7OeYksO^;!n8b^TbJfrNQ.5i;`V7r1Eqlir9".qb[&p
+rNQ0\qlo_mpKmp)r/^p*rkJ1,s*su$rI=iDrkJH)q0rHB?XN^brI4g/rNH9oqu?YFr'1.!rNH9o
+q>UGVrD<E2qloeor,DUar87Ohnc&Z_E,b](r87Lgn,NELra,Y%rI5#jYcsalYctnBJ,~>
+d/O)QqCqnFs'P_Dqg\O*s02L;qYpP7r."RiposXW!)W"]"2D(E^\tD4^\IigDua8DTDc"Os8#Ol
+J,*ILYl'U\Yk7tpOSW;aYl'R_d/LfSs8RQK5Q*;8J,W:D^]'l%Ifl<>?XN^brI4g/ricBpqu?YF
+r'1.!rNH9oq>^JVr_WN3qloeopi-/gs1e+(!hXFNqg\P$s1\Q+n,NELra,Y%rI5#jYcsalYctnB
+J,~>
+d/O)QqCqnFs'P_Dqg\O*s02L;qYpP7r."RiposXW!)W"]"2D(E^\tD4^\IigDua8DTDc"Os8#Ol
+J,*ILYl'U\Yk7tpOSW;aYl'R_d/LfSs8RQK5Q*;8J,W:D^]'l%Ifl<>?XN^brI4g/ricBpqu?YF
+r'1.!rNH9oq>^JVr_WN3qloeopi-/gs1e+(!hXFNqg\P$s1\Q+n,NELra,Y%rI5#jYcsalYctnB
+J,~>
+d/O)QqCqnFs'P_Dqg\O*s02L;qYpP7r."RiposXW!)W"]"2D(E^\tD4^\IigDua8DTDc"Os8#Ol
+J,*ILYl'U\Yk7tpOSW;aYl'R_d/LfSs8RQK5Q*;8J,W:D^]'l%Ifl<>?XN^brI4g/ricBpqu?YF
+r'1.!rNH9oq>^JVr_WN3qloeopi-/gs1e+(!hXFNqg\P$s1\Q+n,NELra,Y%rI5#jYcsalYctnB
+J,~>
+d/O,R5Q!56:]Ol#E;P.`O9'=)rP/70rc%jdqU##AqiL(B"2D(E^\tD4^\e&cE;s;FYh]9U;#Yt@
+?i.)+OSl?VrrB;&OSW;aYl'R_d/LfSs8RQK5Q*;8J,`@D^]'l%If`GR?i2VVIfPT/Yl"J"J,DP/
+E;d$:s8S2[;#G;0YkJ+lE;m'Ahu:C\s8I!8J,A.'^Asnps8S2[?N<q$Ig0krYb.PlYeU3g~>
+d/O,R5Q!56:]Ol#E;P.`O9'=)rP/70rc%jdqU##AqiL(B"2D(E^\tD4^\e&cE;s;FYh]9U;#Yt@
+?i.)+OSl?VrrB;&OSW;aYl'R_d/LfSs8RQK5Q*;8J,`@D^]'l%If`GR?i2VVIfPT/Yl"J"J,DP/
+E;d$:s8S2[;#G;0YkJ+lE;m'Ahu:C\s8I!8J,A.'^Asnps8S2[?N<q$Ig0krYb.PlYeU3g~>
+d/O,R5Q!56:]Ol#E;P.`O9'=)rP/70rc%jdqU##AqiL(B"2D(E^\tD4^\e&cE;s;FYh]9U;#Yt@
+?i.)+OSl?VrrB;&OSW;aYl'R_d/LfSs8RQK5Q*;8J,`@D^]'l%If`GR?i2VVIfPT/Yl"J"J,DP/
+E;d$:s8S2[;#G;0YkJ+lE;m'Ahu:C\s8I!8J,A.'^Asnps8S2[?N<q$Ig0krYb.PlYeU3g~>
+dJj;U:d72C0`FoK?i=s@J,GE.Yl;E7s86g9J,7OeYksOHrr^$?YeU.@q7lq/q/G&[s'O[`!Ip4.
+;#Yt@?i%#+OSuB`d.dP?TDjrK?N@>.O9!Z,^\\!0E;tCf5Q3A8J,`@D^]0r&Ifl<>?XNacr-n^.
+ricBpqu?\Gr'1*urNQ+ts,d4Vqf)J;pAar-!5JE8!5J((rc%dbqqqFgmf3<Kra,Y%r."aNs.B=q
+^]/f~>
+dJj;U:d72C0`FoK?i=s@J,GE.Yl;E7s86g9J,7OeYksOHrr^$?YeU.@q7lq/q/G&[s'O[`!Ip4.
+;#Yt@?i%#+OSuB`d.dP?TDjrK?N@>.O9!Z,^\\!0E;tCf5Q3A8J,`@D^]0r&Ifl<>?XNacr-n^.
+ricBpqu?\Gr'1*urNQ+ts,d4Vqf)J;pAar-!5JE8!5J((rc%dbqqqFgmf3<Kra,Y%r."aNs.B=q
+^]/f~>
+dJj;U:d72C0`FoK?i=s@J,GE.Yl;E7s86g9J,7OeYksOHrr^$?YeU.@q7lq/q/G&[s'O[`!Ip4.
+;#Yt@?i%#+OSuB`d.dP?TDjrK?N@>.O9!Z,^\\!0E;tCf5Q3A8J,`@D^]0r&Ifl<>?XNacr-n^.
+ricBpqu?\Gr'1*urNQ+ts,d4Vqf)J;pAar-!5JE8!5J((rc%dbqqqFgmf3<Kra,Y%r."aNs.B=q
+^]/f~>
+dJj2Rr'(08r_WW%rG_X`r/gr_rP/:1qf)DYpos[XkPkY!Yctn@Ykl-3E6b'U?fh=fJ,aKa;#Pn@
+?hpr+OT2Qbd.dP?TDjrL?iRA.O93eD^\e$2J,XEdIfM_40`?M$;#S0/TDX0As.<+a?i2VUJ,QVK
+s8ING5Q,R"Yke>!OT&)RE;Zs6s7pU6^\Y2*rrSg3E;P._hu:CYs8S2Z?i5EQYQCH$YeU3g~>
+dJj2Rr'(08r_WW%rG_X`r/gr_rP/:1qf)DYpos[XkPkY!Yctn@Ykl-3E6b'U?fh=fJ,aKa;#Pn@
+?hpr+OT2Qbd.dP?TDjrL?iRA.O93eD^\e$2J,XEdIfM_40`?M$;#S0/TDX0As.<+a?i2VUJ,QVK
+s8ING5Q,R"Yke>!OT&)RE;Zs6s7pU6^\Y2*rrSg3E;P._hu:CYs8S2Z?i5EQYQCH$YeU3g~>
+dJj2Rr'(08r_WW%rG_X`r/gr_rP/:1qf)DYpos[XkPkY!Yctn@Ykl-3E6b'U?fh=fJ,aKa;#Pn@
+?hpr+OT2Qbd.dP?TDjrL?iRA.O93eD^\e$2J,XEdIfM_40`?M$;#S0/TDX0As.<+a?i2VUJ,QVK
+s8ING5Q,R"Yke>!OT&)RE;Zs6s7pU6^\Y2*rrSg3E;P._hu:CYs8S2Z?i5EQYQCH$YeU3g~>
+df0>e;#EQV;#ao$E;P.`O90C*Yl2?8s86j7^\uOTYksOFrr^$?YeU.@r4i5M_Op/os*srcqG@*>
+r*T6'!0I3,p](2Rqd0?-qiCm+^VBdJ!.Xlbs*t&5r\4;#s%r[/s.B=@rVlqk:ga,Sr-n^.ricBp
+r;ZbGr'1.!rNH9oqZ$SWr_WK2r35npq/?>KqQTPj!hXFNqg\P$rkIn$s,d1dr."^M!hZ^$^]/f~>
+df0>e;#EQV;#ao$E;P.`O90C*Yl2?8s86j7^\uOTYksOFrr^$?YeU.@r4i5M_Op/os*srcqG@*>
+r*T6'!0I3,p](2Rqd0?-qiCm+^VBdJ!.Xlbs*t&5r\4;#s%r[/s.B=@rVlqk:ga,Sr-n^.ricBp
+r;ZbGr'1.!rNH9oqZ$SWr_WK2r35npq/?>KqQTPj!hXFNqg\P$rkIn$s,d1dr."^M!hZ^$^]/f~>
+df0>e;#EQV;#ao$E;P.`O90C*Yl2?8s86j7^\uOTYksOFrr^$?YeU.@r4i5M_Op/os*srcqG@*>
+r*T6'!0I3,p](2Rqd0?-qiCm+^VBdJ!.Xlbs*t&5r\4;#s%r[/s.B=@rVlqk:ga,Sr-n^.ricBp
+r;ZbGr'1.!rNH9oqZ$SWr_WK2r35npq/?>KqQTPj!hXFNqg\P$rkIn$s,d1dr."^M!hZ^$^]/f~>
+df0>T;#EQW;#ao$E;P.`O8s8!Yl;E:s8-d3^AuXVYl'U_^ZYV!^TarWrNQ=:rdXpObFeNjqk*K[
+s*sla!3l>sqLAHNq60k6rm:E>rK-n`!3lB_!7:_[!.Xc_s*t&5s"OA#!)WU.!2'/g".rCd?i2VU
+J,QVLs8ING5Q,R!YknD"OT&)RE;Zs6s7pX6^\b8+s8I!8J,A.&^[D.%OSrPaJ,ZYRT<PQ7s*t~>
+df0>T;#EQW;#ao$E;P.`O8s8!Yl;E:s8-d3^AuXVYl'U_^ZYV!^TarWrNQ=:rdXpObFeNjqk*K[
+s*sla!3l>sqLAHNq60k6rm:E>rK-n`!3lB_!7:_[!.Xc_s*t&5s"OA#!)WU.!2'/g".rCd?i2VU
+J,QVLs8ING5Q,R!YknD"OT&)RE;Zs6s7pX6^\b8+s8I!8J,A.&^[D.%OSrPaJ,ZYRT<PQ7s*t~>
+df0>T;#EQW;#ao$E;P.`O8s8!Yl;E:s8-d3^AuXVYl'U_^ZYV!^TarWrNQ=:rdXpObFeNjqk*K[
+s*sla!3l>sqLAHNq60k6rm:E>rK-n`!3lB_!7:_[!.Xc_s*t&5s"OA#!)WU.!2'/g".rCd?i2VU
+J,QVLs8ING5Q,R!YknD"OT&)RE;Zs6s7pX6^\b8+s8I!8J,A.&^[D.%OSrPaJ,ZYRT<PQ7s*t~>
+df0;Sr'10Wra5YDqg\O*ril@9s8Vt8qS2g0r/grnkPkOsqQTsKqQTUarNOnGoT0'Fq#CADqJcCp
+qb[-=rEoK,rkJHZp](2Rqd0?-r/^p*rkJ8JrI=i3s"OA#!)WU.!2'/g!hW:rr%S"tril;"s*sr2
+r,DV=q>UGVr_WK2r35qq!2'(+s1eH8o)JN)qqqFgmJm3JrEoJPricHrYctnBJ,~>
+df0;Sr'10Wra5YDqg\O*ril@9s8Vt8qS2g0r/grnkPkOsqQTsKqQTUarNOnGoT0'Fq#CADqJcCp
+qb[-=rEoK,rkJHZp](2Rqd0?-r/^p*rkJ8JrI=i3s"OA#!)WU.!2'/g!hW:rr%S"tril;"s*sr2
+r,DV=q>UGVr_WK2r35qq!2'(+s1eH8o)JN)qqqFgmJm3JrEoJPricHrYctnBJ,~>
+df0;Sr'10Wra5YDqg\O*ril@9s8Vt8qS2g0r/grnkPkOsqQTsKqQTUarNOnGoT0'Fq#CADqJcCp
+qb[-=rEoK,rkJHZp](2Rqd0?-r/^p*rkJ8JrI=i3s"OA#!)WU.!2'/g!hW:rr%S"tril;"s*sr2
+r,DV=q>UGVr_WK2r35qq!2'(+s1eH8o)JN)qqqFgmJm3JrEoJPricHrYctnBJ,~>
+e,KGU;#NWX;#Xi#E;P.`OSuE_^]4?2E;I?EYl'U^^ZYV"^TarWYl0(HYkapdYgB$=OT(mMs8RTG
+E;G[m;#,V??iI;.^])UTrrB;%OS`AbYl'R_d/LfXE;G(a5Q<G8IfN=C^Aso(rr\li:ga,Sr."^M
+!2'2hrdXl2r,DV=q>UGVr_WK2r35qq!2'(+s1eK9!2&l_".sOOJ,F9`hu:CXs8S2[?i,<U^Tar7
+YeL-f~>
+e,KGU;#NWX;#Xi#E;P.`OSuE_^]4?2E;I?EYl'U^^ZYV"^TarWYl0(HYkapdYgB$=OT(mMs8RTG
+E;G[m;#,V??iI;.^])UTrrB;%OS`AbYl'R_d/LfXE;G(a5Q<G8IfN=C^Aso(rr\li:ga,Sr."^M
+!2'2hrdXl2r,DV=q>UGVr_WK2r35qq!2'(+s1eK9!2&l_".sOOJ,F9`hu:CXs8S2[?i,<U^Tar7
+YeL-f~>
+e,KGU;#NWX;#Xi#E;P.`OSuE_^]4?2E;I?EYl'U^^ZYV"^TarWYl0(HYkapdYgB$=OT(mMs8RTG
+E;G[m;#,V??iI;.^])UTrrB;%OS`AbYl'R_d/LfXE;G(a5Q<G8IfN=C^Aso(rr\li:ga,Sr."^M
+!2'2hrdXl2r,DV=q>UGVr_WK2r35qq!2'(+s1eK9!2&l_".sOOJ,F9`hu:CXs8S2[?i,<U^Tar7
+YeL-f~>
+e,KGU;#NWX;#Xi$E;P.`O8s8!Yl2<:s8-d3^\G&3O9!Z,^ZYUu^Tas?J+^#GTCT5.T)auOTE"rk
+J,=3ZOSVfKJ,`jUYl)98d.mV@TDalK?N@>.O9!Z,^]&3IJ,_b50`6D#;#S-/TDSWiT28nm0`?M$
+OT)K^s8ING5Q,R$YlC?krrA/[;#>50YkS1mE<!]NYk%esT5\b!J,XEahu:CXrrA/Z?i,?Q^B1X3
+YeL-f~>
+e,KGU;#NWX;#Xi$E;P.`O8s8!Yl2<:s8-d3^\G&3O9!Z,^ZYUu^Tas?J+^#GTCT5.T)auOTE"rk
+J,=3ZOSVfKJ,`jUYl)98d.mV@TDalK?N@>.O9!Z,^]&3IJ,_b50`6D#;#S-/TDSWiT28nm0`?M$
+OT)K^s8ING5Q,R$YlC?krrA/[;#>50YkS1mE<!]NYk%esT5\b!J,XEahu:CXrrA/Z?i,?Q^B1X3
+YeL-f~>
+e,KGU;#NWX;#Xi$E;P.`O8s8!Yl2<:s8-d3^\G&3O9!Z,^ZYUu^Tas?J+^#GTCT5.T)auOTE"rk
+J,=3ZOSVfKJ,`jUYl)98d.mV@TDalK?N@>.O9!Z,^]&3IJ,_b50`6D#;#S-/TDSWiT28nm0`?M$
+OT)K^s8ING5Q,R$YlC?krrA/[;#>50YkS1mE<!]NYk%esT5\b!J,XEahu:CXrrA/Z?i,?Q^B1X3
+YeL-f~>
+e,TGEr]gBYra5YDqg\O*rNQ:9!<;q8qS2g0rK.'+rkIXrr.!\0f:VQ:rgs1?qf)4i!3l>spO<18
+qnN*Vq>UGerfI"as02E_"OOouE,bQ$s$-N;qg\OY!3lD$".rCd?i2VXJ,YQ/Yl+P#J,DP0E;cF)
+rrA/[;#>5/Yk\7nE<!]NYk%hnE;tFeE;SPl^[;%$OSrPaJ,R+_T<Q'0J,~>
+e,TGEr]gBYra5YDqg\O*rNQ:9!<;q8qS2g0rK.'+rkIXrr.!\0f:VQ:rgs1?qf)4i!3l>spO<18
+qnN*Vq>UGerfI"as02E_"OOouE,bQ$s$-N;qg\OY!3lD$".rCd?i2VXJ,YQ/Yl+P#J,DP0E;cF)
+rrA/[;#>5/Yk\7nE<!]NYk%hnE;tFeE;SPl^[;%$OSrPaJ,R+_T<Q'0J,~>
+e,TGEr]gBYra5YDqg\O*rNQ:9!<;q8qS2g0rK.'+rkIXrr.!\0f:VQ:rgs1?qf)4i!3l>spO<18
+qnN*Vq>UGerfI"as02E_"OOouE,bQ$s$-N;qg\OY!3lD$".rCd?i2VXJ,YQ/Yl+P#J,DP0E;cF)
+rrA/[;#>5/Yk\7nE<!]NYk%hnE;tFeE;SPl^[;%$OSrPaJ,R+_T<Q'0J,~>
+eGfPV;#W]Y;#Oc#E;P.`OSuE^^\i'H^\P,4O8uNad/LfFs8.<)Yi:03E9"2%TDig&OT,:V;#5\@
+T)d78^])UUrrA\jOS`DbYl'Rad(d?gJ,_b50`-A!^]1P8rrSfh?i2VUOT)HaTDefhJ,DP0E;Z@)
+rrA/[;#>5/Yk\7oE;mWMYk.kpTDig0J,XEahu:CXrrA/[?i,?O^]1OPs*t~>
+eGfPV;#W]Y;#Oc#E;P.`OSuE^^\i'H^\P,4O8uNad/LfFs8.<)Yi:03E9"2%TDig&OT,:V;#5\@
+T)d78^])UUrrA\jOS`DbYl'Rad(d?gJ,_b50`-A!^]1P8rrSfh?i2VUOT)HaTDefhJ,DP0E;Z@)
+rrA/[;#>5/Yk\7oE;mWMYk.kpTDig0J,XEahu:CXrrA/[?i,?O^]1OPs*t~>
+eGfPV;#W]Y;#Oc#E;P.`OSuE^^\i'H^\P,4O8uNad/LfFs8.<)Yi:03E9"2%TDig&OT,:V;#5\@
+T)d78^])UUrrA\jOS`DbYl'Rad(d?gJ,_b50`-A!^]1P8rrSfh?i2VUOT)HaTDefhJ,DP0E;Z@)
+rrA/[;#>5/Yk\7oE;mWMYk.kpTDig0J,XEahu:CXrrA/[?i,?O^]1OPs*t~>
+eGfPV;#W]Y;#Xi$E;P.`O8s7uYl;E8E;@9EYl0Xa^Td^as1dn"qg[_3id^B8l`gA\ooT(NqG@-?
+r1<u9qnN-Wq>UGerfI"as02H`s3Ue\omd!+s"O>"!5JK:r;R%p:f(LQ0L%dor/go^r;Ze9r%S(g
+r1Eic!0I1Vqf)G:q>UGeq/H>Jr35emrc%jds)@kmrP.b"!0I1er."XZs006;J,~>
+eGfPV;#W]Y;#Xi$E;P.`O8s7uYl;E8E;@9EYl0Xa^Td^as1dn"qg[_3id^B8l`gA\ooT(NqG@-?
+r1<u9qnN-Wq>UGerfI"as02H`s3Ue\omd!+s"O>"!5JK:r;R%p:f(LQ0L%dor/go^r;Ze9r%S(g
+r1Eic!0I1Vqf)G:q>UGeq/H>Jr35emrc%jds)@kmrP.b"!0I1er."XZs006;J,~>
+eGfPV;#W]Y;#Xi$E;P.`O8s7uYl;E8E;@9EYl0Xa^Td^as1dn"qg[_3id^B8l`gA\ooT(NqG@-?
+r1<u9qnN-Wq>UGerfI"as02H`s3Ue\omd!+s"O>"!5JK:r;R%p:f(LQ0L%dor/go^r;Ze9r%S(g
+r1Eic!0I1Vqf)G:q>UGeq/H>Jr35emrc%jds)@kmrP.b"!0I1er."XZs006;J,~>
+ec,bk:f'A@r_WQ#s)@jbr/gi\s1eJN!3l=7q69gZ"M_1Fd*Vd,mJm'5kcj,th/Mqhs.B(Jq#C4f
+s*sj:qnN-Wq>UGerfI"as02H`s3Ue\qg\WbrI=i3!&4>#!Kb(pYl"J"E;VruOT)K^s8I!90`5ng
+TDJQfOT&)RE;Qm8rrA\eE;mWMYk.noE;k@eE;SPk^[;("?i5EO^]1OPs*t~>
+ec,bk:f'A@r_WQ#s)@jbr/gi\s1eJN!3l=7q69gZ"M_1Fd*Vd,mJm'5kcj,th/Mqhs.B(Jq#C4f
+s*sj:qnN-Wq>UGerfI"as02H`s3Ue\qg\WbrI=i3!&4>#!Kb(pYl"J"E;VruOT)K^s8I!90`5ng
+TDJQfOT&)RE;Qm8rrA\eE;mWMYk.noE;k@eE;SPk^[;("?i5EO^]1OPs*t~>
+ec,bk:f'A@r_WQ#s)@jbr/gi\s1eJN!3l=7q69gZ"M_1Fd*Vd,mJm'5kcj,th/Mqhs.B(Jq#C4f
+s*sj:qnN-Wq>UGerfI"as02H`s3Ue\qg\WbrI=i3!&4>#!Kb(pYl"J"E;VruOT)K^s8I!90`5ng
+TDJQfOT&)RE;Qm8rrA\eE;mWMYk.noE;k@eE;SPk^[;("?i5EO^]1OPs*t~>
+ec,_Y:f'CU;#Oc#E;P.`O8tpOYlDK8E;I?FYl9a`^AtM;d/UlKs8.<2YlBgMJ'i3:OIs;]YlC?o
+OS/VROShrLT)d79^])UVrrB;%OS`DbYl0[`d/Ul[J,aKes8INI56*D:J,YQ-Yl+P#E;Vp#TDalN
+Yl+P#E;_Hj?i=sBTDJQfJ,W:AE;Qm8rrA\eE;mWNYk.nnE;k@eE;\Vl^[2"!?i>KO^]1OPs*t~>
+ec,_Y:f'CU;#Oc#E;P.`O8tpOYlDK8E;I?FYl9a`^AtM;d/UlKs8.<2YlBgMJ'i3:OIs;]YlC?o
+OS/VROShrLT)d79^])UVrrB;%OS`DbYl0[`d/Ul[J,aKes8INI56*D:J,YQ-Yl+P#E;Vp#TDalN
+Yl+P#E;_Hj?i=sBTDJQfJ,W:AE;Qm8rrA\eE;mWNYk.nnE;k@eE;\Vl^[2"!?i>KO^]1OPs*t~>
+ec,_Y:f'CU;#Oc#E;P.`O8tpOYlDK8E;I?FYl9a`^AtM;d/UlKs8.<2YlBgMJ'i3:OIs;]YlC?o
+OS/VROShrLT)d79^])UVrrB;%OS`DbYl0[`d/Ul[J,aKes8INI56*D:J,YQ-Yl+P#E;Vp#TDalN
+Yl+P#E;_Hj?i=sBTDJQfJ,W:AE;Qm8rrA\eE;mWNYk.nnE;k@eE;\Vl^[2"!?i>KO^]1OPs*t~>
+ec5YGs$-N[rEoPCqg\R+!-%k?!5JDM!3l@8q69j[rP&?:rm:\[nGiB8l`g>LoR?j*rdX&aqJbe_
+r1Eu'pojdkORrJRYY\0qJ+oQ8d/:ZXd/<qDDucO/OS`DbYl0[`d/Ul[E;]b8J,VY40`7"4^](G;
+^\n*3TDig-5Q$WBYl4V$E;_Hj?i=sBTDJQfJ,W:C?iP*BYke;!TD<I*^\tD.s8?p9IfOHbhu1=V
+s8HC'J,I(\YeL-f~>
+ec5YGs$-N[rEoPCqg\R+!-%k?!5JDM!3l@8q69j[rP&?:rm:\[nGiB8l`g>LoR?j*rdX&aqJbe_
+r1Eu'pojdkORrJRYY\0qJ+oQ8d/:ZXd/<qDDucO/OS`DbYl0[`d/Ul[E;]b8J,VY40`7"4^](G;
+^\n*3TDig-5Q$WBYl4V$E;_Hj?i=sBTDJQfJ,W:C?iP*BYke;!TD<I*^\tD.s8?p9IfOHbhu1=V
+s8HC'J,I(\YeL-f~>
+ec5YGs$-N[rEoPCqg\R+!-%k?!5JDM!3l@8q69j[rP&?:rm:\[nGiB8l`g>LoR?j*rdX&aqJbe_
+r1Eu'pojdkORrJRYY\0qJ+oQ8d/:ZXd/<qDDucO/OS`DbYl0[`d/Ul[E;]b8J,VY40`7"4^](G;
+^\n*3TDig-5Q$WBYl4V$E;_Hj?i=sBTDJQfJ,W:C?iP*BYke;!TD<I*^\tD.s8?p9IfOHbhu1=V
+s8HC'J,I(\YeL-f~>
+f)GhZ:f'CU;#Oc$E;P._O8tpOYQ2H8E<!0?^\P,4OT*#pYlE)L^[_@$J*aE:OSOD(5NFNj5Oad2
+TDZJ"YQ1<errB;$J,#W9d/:ZXd/X+G?i=pDTDalL?iI;.OT3Z.^Ms&LrI=i3!DoEdOSl?\s8I!8
+56.>SOT)K_s8I!90E>JYE;cF*rr@QJ;#=VuOT1sKrrA\eE;mWNYl"IsYQ1<pE;b7dE;SPl^Asnr
+Yl4V#?i>KO^](IOs*t~>
+f)GhZ:f'CU;#Oc$E;P._O8tpOYQ2H8E<!0?^\P,4OT*#pYlE)L^[_@$J*aE:OSOD(5NFNj5Oad2
+TDZJ"YQ1<errB;$J,#W9d/:ZXd/X+G?i=pDTDalL?iI;.OT3Z.^Ms&LrI=i3!DoEdOSl?\s8I!8
+56.>SOT)K_s8I!90E>JYE;cF*rr@QJ;#=VuOT1sKrrA\eE;mWNYl"IsYQ1<pE;b7dE;SPl^Asnr
+Yl4V#?i>KO^](IOs*t~>
+f)GhZ:f'CU;#Oc$E;P._O8tpOYQ2H8E<!0?^\P,4OT*#pYlE)L^[_@$J*aE:OSOD(5NFNj5Oad2
+TDZJ"YQ1<errB;$J,#W9d/:ZXd/X+G?i=pDTDalL?iI;.OT3Z.^Ms&LrI=i3!DoEdOSl?\s8I!8
+56.>SOT)K_s8I!90E>JYE;cF*rr@QJ;#=VuOT1sKrrA\eE;mWNYl"IsYQ1<pE;b7dE;SPl^Asnr
+Yl4V#?i>KO^](IOs*t~>
+f)G_Wr)!?!rc%aarK.&OrNQ0<s02C8qlp$\!M>JQ^AtM;d/UlOs8.<4YkaC\J+u8%rr@QGOSb[M
+Yl4V#;!gLDOS>CD^\b8-rrB;$J,#Z9d/C`Xd/.b^TDalL?iI;.OT3Z-^\Rp/OSr#RO9!&pYQ2H9
+rrA\jE;`!$TDalNYl4V$E;VEgE;cF*rr@QJ;#=VuOT1sLrrA\dE;mWCYlDK:E;b7dE;\Vk^[7-_
+?iP*DJ,dmo^](IOs*t~>
+f)G_Wr)!?!rc%aarK.&OrNQ0<s02C8qlp$\!M>JQ^AtM;d/UlOs8.<4YkaC\J+u8%rr@QGOSb[M
+Yl4V#;!gLDOS>CD^\b8-rrB;$J,#Z9d/C`Xd/.b^TDalL?iI;.OT3Z-^\Rp/OSr#RO9!&pYQ2H9
+rrA\jE;`!$TDalNYl4V$E;VEgE;cF*rr@QJ;#=VuOT1sLrrA\dE;mWCYlDK:E;b7dE;\Vk^[7-_
+?iP*DJ,dmo^](IOs*t~>
+f)G_Wr)!?!rc%aarK.&OrNQ0<s02C8qlp$\!M>JQ^AtM;d/UlOs8.<4YkaC\J+u8%rr@QGOSb[M
+Yl4V#;!gLDOS>CD^\b8-rrB;$J,#Z9d/C`Xd/.b^TDalL?iI;.OT3Z-^\Rp/OSr#RO9!&pYQ2H9
+rrA\jE;`!$TDalNYl4V$E;VEgE;cF*rr@QJ;#=VuOT1sLrrA\dE;mWCYlDK:E;b7dE;\Vk^[7-_
+?iP*DJ,dmo^](IOs*t~>
+fDc"n:f'AQ;#F]#E;P.`OT1sOYQ2H9E;m*>^\b86O9(u8rP&?:rm:\[o`+f<mBHAI!Dn:B5P+pT
+J,>?)TDu.is6NS]5P1TC^\tD0rrB;$J,#Z9d/:ZXd/@q`IfQ,>OSiJbYl9aad/UlWs8J,Y:]R-c
+O9!&oYl4S%TDig-56.>SOT)K`rrA\jE;_Hj?iG$CTDJQfJ,W:A?i?)dTDJQfTD3C)^\tD/^\`!M
+J,A-q^\*]fE;Y4bd/Ul[YeC'e~>
+fDc"n:f'AQ;#F]#E;P.`OT1sOYQ2H9E;m*>^\b86O9(u8rP&?:rm:\[o`+f<mBHAI!Dn:B5P+pT
+J,>?)TDu.is6NS]5P1TC^\tD0rrB;$J,#Z9d/:ZXd/@q`IfQ,>OSiJbYl9aad/UlWs8J,Y:]R-c
+O9!&oYl4S%TDig-56.>SOT)K`rrA\jE;_Hj?iG$CTDJQfJ,W:A?i?)dTDJQfTD3C)^\tD/^\`!M
+J,A-q^\*]fE;Y4bd/Ul[YeC'e~>
+fDc"n:f'AQ;#F]#E;P.`OT1sOYQ2H9E;m*>^\b86O9(u8rP&?:rm:\[o`+f<mBHAI!Dn:B5P+pT
+J,>?)TDu.is6NS]5P1TC^\tD0rrB;$J,#Z9d/:ZXd/@q`IfQ,>OSiJbYl9aad/UlWs8J,Y:]R-c
+O9!&oYl4S%TDig-56.>SOT)K`rrA\jE;_Hj?iG$CTDJQfJ,W:A?i?)dTDJQfTD3C)^\tD/^\`!M
+J,A-q^\*]fE;Y4bd/Ul[YeC'e~>
+fDbhXr)!?!s)@jbr/grNrNQ0<ril@9qlp$\!l(@hrP/<X!5J4,qg\";plPMPr'0]Ns*sp-qk*nm
+n,MoSr."C3p:gUSpAY/tTDX37TE!:9^])R[E;b7eE1d)jr*TH-rfI0,s1eF1rfI(T!2'4O!5JN;
+!5JI3".sOO;#NTYTDalNYl4V$E;_Hj?iG$CTDSWhT7?i:qd9;`s.B/f!2'(+rP/?9!2&r!pMg&f
+rkAH*nA"sarG_^bqp>>H^&NT~>
+fDbhXr)!?!s)@jbr/grNrNQ0<ril@9qlp$\!l(@hrP/<X!5J4,qg\";plPMPr'0]Ns*sp-qk*nm
+n,MoSr."C3p:gUSpAY/tTDX37TE!:9^])R[E;b7eE1d)jr*TH-rfI0,s1eF1rfI(T!2'4O!5JN;
+!5JI3".sOO;#NTYTDalNYl4V$E;_Hj?iG$CTDSWhT7?i:qd9;`s.B/f!2'(+rP/?9!2&r!pMg&f
+rkAH*nA"sarG_^bqp>>H^&NT~>
+fDbhXr)!?!s)@jbr/grNrNQ0<ril@9qlp$\!l(@hrP/<X!5J4,qg\";plPMPr'0]Ns*sp-qk*nm
+n,MoSr."C3p:gUSpAY/tTDX37TE!:9^])R[E;b7eE1d)jr*TH-rfI0,s1eF1rfI(T!2'4O!5JN;
+!5JI3".sOO;#NTYTDalNYl4V$E;_Hj?iG$CTDSWhT7?i:qd9;`s.B/f!2'(+rP/?9!2&r!pMg&f
+rkAH*nA"sarG_^bqp>>H^&NT~>
+fDkbFr*TJCqg\R+s.B7oqf)P=rP/66rK.#n!7:_[!3lIL!Pd"Us8%65YkaCZ;#W]Hs8RTHOSYRL
+Yj)2fTD;=ZJ,Z\HTD?8%d.[J?Yb1iCq4IZ5rP/?Yr-naOTDalL?iI;/OT3]-^\e$2TDjrO:]R-c
+O9!&oYl4S%TDig.5Q@ATOT)K_s8I!90E>JYE;lL,rrJaAr_WK!rK%#Orr;qYs.B++rP/?9oY:0?
+rP&?irP&?)nZ_tarc%dbqp>>H^&NT~>
+fDkbFr*TJCqg\R+s.B7oqf)P=rP/66rK.#n!7:_[!3lIL!Pd"Us8%65YkaCZ;#W]Hs8RTHOSYRL
+Yj)2fTD;=ZJ,Z\HTD?8%d.[J?Yb1iCq4IZ5rP/?Yr-naOTDalL?iI;/OT3]-^\e$2TDjrO:]R-c
+O9!&oYl4S%TDig.5Q@ATOT)K_s8I!90E>JYE;lL,rrJaAr_WK!rK%#Orr;qYs.B++rP/?9oY:0?
+rP&?irP&?)nZ_tarc%dbqp>>H^&NT~>
+fDkbFr*TJCqg\R+s.B7oqf)P=rP/66rK.#n!7:_[!3lIL!Pd"Us8%65YkaCZ;#W]Hs8RTHOSYRL
+Yj)2fTD;=ZJ,Z\HTD?8%d.[J?Yb1iCq4IZ5rP/?Yr-naOTDalL?iI;/OT3]-^\e$2TDjrO:]R-c
+O9!&oYl4S%TDig.5Q@ATOT)K_s8I!90E>JYE;lL,rrJaAr_WK!rK%#Orr;qYs.B++rP/?9oY:0?
+rP&?irP&?)nZ_tarc%dbqp>>H^&NT~>
+f`(qYrD<E!s)@jbrK.#Nril9=rNQ:9qlp*ms,d2opX&^8qg\(=plPDMlMpm6qiL]Is01SanULJ@
+qOdZ"rQt9<!3lBNq4IZ5rP/?Yr."a=rK-qarilB`s3Ue\qu?YWrD3KdrK%#oricC;rVlkirbqj6
+rBC:SrK.&`rVuk9r@n7Yrc%h.r;QeiJ,W:A?i?&gT9,/,r/^oNq/H;Iril%0q/H)Cn?DnarG_[a
+r6PGYrij*9J,~>
+f`(qYrD<E!s)@jbrK.#Nril9=rNQ:9qlp*ms,d2opX&^8qg\(=plPDMlMpm6qiL]Is01SanULJ@
+qOdZ"rQt9<!3lBNq4IZ5rP/?Yr."a=rK-qarilB`s3Ue\qu?YWrD3KdrK%#oricC;rVlkirbqj6
+rBC:SrK.&`rVuk9r@n7Yrc%h.r;QeiJ,W:A?i?&gT9,/,r/^oNq/H;Iril%0q/H)Cn?DnarG_[a
+r6PGYrij*9J,~>
+f`(qYrD<E!s)@jbrK.#Nril9=rNQ:9qlp*ms,d2opX&^8qg\(=plPDMlMpm6qiL]Is01SanULJ@
+qOdZ"rQt9<!3lBNq4IZ5rP/?Yr."a=rK-qarilB`s3Ue\qu?YWrD3KdrK%#oricC;rVlkirbqj6
+rBC:SrK.&`rVuk9r@n7Yrc%h.r;QeiJ,W:A?i?&gT9,/,r/^oNq/H;Iril%0q/H)Cn?DnarG_[a
+r6PGYrij*9J,~>
+f`(qYr_WK!!-%gbr/goMs0)K1r,DV=rkJ?7rgs4Qd/C`Rd/!_>J*sQ:OSr#=s8RTHOSYRLYi5T^
+E:SMTYkt'l^\lIPrrK?rrI4gOq4I]6rP/?Yr-n^=r/gkarNQ9_s3Lb\qu6YgrfI(T!2'4O!5JK:
+rVlkirc%g#s.B:PrilD%rbqiZr\4@Zrc%h.r;ZeHr_WK!rK%#OqiLfLq/H;Iril(1pi-/Gs02O<
+!h[6Bo!&+crc%dbqp>;GrfFqqJ,~>
+f`(qYr_WK!!-%gbr/goMs0)K1r,DV=rkJ?7rgs4Qd/C`Rd/!_>J*sQ:OSr#=s8RTHOSYRLYi5T^
+E:SMTYkt'l^\lIPrrK?rrI4gOq4I]6rP/?Yr-n^=r/gkarNQ9_s3Lb\qu6YgrfI(T!2'4O!5JK:
+rVlkirc%g#s.B:PrilD%rbqiZr\4@Zrc%h.r;ZeHr_WK!rK%#OqiLfLq/H;Iril(1pi-/Gs02O<
+!h[6Bo!&+crc%dbqp>;GrfFqqJ,~>
+f`(qYr_WK!!-%gbr/goMs0)K1r,DV=rkJ?7rgs4Qd/C`Rd/!_>J*sQ:OSr#=s8RTHOSYRLYi5T^
+E:SMTYkt'l^\lIPrrK?rrI4gOq4I]6rP/?Yr-n^=r/gkarNQ9_s3Lb\qu6YgrfI(T!2'4O!5JK:
+rVlkirc%g#s.B:PrilD%rbqiZr\4@Zrc%h.r;ZeHr_WK!rK%#OqiLfLq/H;Iril(1pi-/Gs02O<
+!h[6Bo!&+crc%dbqp>;GrfFqqJ,~>
+g&D%krD<E!s)@jbrK.#Ns02K0rG__>s1eH8rLX,;Yl2?3d/!_>J+'W;OSr#<s8@HGOSbXMYi5W^
+E;s8FYk*A=Yl:6p^\Z=OrrK?rr."O7rm:YZrm:Rm!2'1NrEoN-rfI0,!5JF2rf@+er_WWerfI/p
+s0)L<rVlkirbqj6r]gFTrfI,`rr3(mE,Zou0`PMZE;cF-s8INI;#F\uO92&9OSYUFE;[KNYk>d+
+E;[KMYQ;M2pV6U0rh'..r."UjrNQ6Ms00E@J,~>
+g&D%krD<E!s)@jbrK.#Ns02K0rG__>s1eH8rLX,;Yl2?3d/!_>J+'W;OSr#<s8@HGOSbXMYi5W^
+E;s8FYk*A=Yl:6p^\Z=OrrK?rr."O7rm:YZrm:Rm!2'1NrEoN-rfI0,!5JF2rf@+er_WWerfI/p
+s0)L<rVlkirbqj6r]gFTrfI,`rr3(mE,Zou0`PMZE;cF-s8INI;#F\uO92&9OSYUFE;[KNYk>d+
+E;[KMYQ;M2pV6U0rh'..r."UjrNQ6Ms00E@J,~>
+g&D%krD<E!s)@jbrK.#Ns02K0rG__>s1eH8rLX,;Yl2?3d/!_>J+'W;OSr#<s8@HGOSbXMYi5W^
+E;s8FYk*A=Yl:6p^\Z=OrrK?rr."O7rm:YZrm:Rm!2'1NrEoN-rfI0,!5JF2rf@+er_WWerfI/p
+s0)L<rVlkirbqj6r]gFTrfI,`rr3(mE,Zou0`PMZE;cF-s8INI;#F\uO92&9OSYUFE;[KNYk>d+
+E;[KMYQ;M2pV6U0rh'..r."UjrNQ6Ms00E@J,~>
+g&D%ZrD<E!!-%gbrK-uMs02E.!-%k?!5JB7rgs8ld'3MapX&g;qg\+>plPMPj8]%,s,d)L!3kJ_
+s)7sfra5\E!3l'Ep94P3q9\p:!O/3oJ,,`9d/LfYd/SUqDucO.OSrPbYlBgaciCiXs8J,Y:]R-d
+O9!&oYl=Y*T29KG;#NWYTDjrPYl=Y)T5\`kr\4@Zrc%h.qLAK@r*TA`q4@\L?hn[?TDuY,Yb1a+
+rm:FZqnN-7!2&_ps02H@r."Xk!5JN;!-%gbs00KBJ,~>
+g&D%ZrD<E!!-%gbrK-uMs02E.!-%k?!5JB7rgs8ld'3MapX&g;qg\+>plPMPj8]%,s,d)L!3kJ_
+s)7sfra5\E!3l'Ep94P3q9\p:!O/3oJ,,`9d/LfYd/SUqDucO.OSrPbYlBgaciCiXs8J,Y:]R-d
+O9!&oYl=Y*T29KG;#NWYTDjrPYl=Y)T5\`kr\4@Zrc%h.qLAK@r*TA`q4@\L?hn[?TDuY,Yb1a+
+rm:FZqnN-7!2&_ps02H@r."Xk!5JN;!-%gbs00KBJ,~>
+g&D%ZrD<E!!-%gbrK-uMs02E.!-%k?!5JB7rgs8ld'3MapX&g;qg\+>plPMPj8]%,s,d)L!3kJ_
+s)7sfra5\E!3l'Ep94P3q9\p:!O/3oJ,,`9d/LfYd/SUqDucO.OSrPbYlBgaciCiXs8J,Y:]R-d
+O9!&oYl=Y*T29KG;#NWYTDjrPYl=Y)T5\`kr\4@Zrc%h.qLAK@r*TA`q4@\L?hn[?TDuY,Yb1a+
+rm:FZqnN-7!2&_ps02H@r."Xk!5JN;!-%gbs00KBJ,~>
+g&LnFs'GbFqg\R+!-%q0s02B-!2'4os1eH8rh'5j!RS(M^\?+Qs8.<BYQ2H6Yka@]?Vpa:jT#(+
+qO[blirB$t!.XuTrc%mes02-Fq69h4qp5>Xq#:E"T:c(3!3l<lrm:VYrm1Xarr2tjr/gkarNQ<`
+rm1Y[r;ZbX!+5_%s.B:Ps1eT<!5JL4!2'70!)WYZs.B:PrilG&".sOO+9!tn?iP*DTDW[.J,W:B
+?i?)]T)k$\qJc>(!O/3p^\Z=PE;[KLYQ1<_^]&3LJ,IXn^](G=T5\cIIfYY8`rCP~>
+g&LnFs'GbFqg\R+!-%q0s02B-!2'4os1eH8rh'5j!RS(M^\?+Qs8.<BYQ2H6Yka@]?Vpa:jT#(+
+qO[blirB$t!.XuTrc%mes02-Fq69h4qp5>Xq#:E"T:c(3!3l<lrm:VYrm1Xarr2tjr/gkarNQ<`
+rm1Y[r;ZbX!+5_%s.B:Ps1eT<!5JL4!2'70!)WYZs.B:PrilG&".sOO+9!tn?iP*DTDW[.J,W:B
+?i?)]T)k$\qJc>(!O/3p^\Z=PE;[KLYQ1<_^]&3LJ,IXn^](G=T5\cIIfYY8`rCP~>
+g&LnFs'GbFqg\R+!-%q0s02B-!2'4os1eH8rh'5j!RS(M^\?+Qs8.<BYQ2H6Yka@]?Vpa:jT#(+
+qO[blirB$t!.XuTrc%mes02-Fq69h4qp5>Xq#:E"T:c(3!3l<lrm:VYrm1Xarr2tjr/gkarNQ<`
+rm1Y[r;ZbX!+5_%s.B:Ps1eT<!5JL4!2'70!)WYZs.B:PrilG&".sOO+9!tn?iP*DTDW[.J,W:B
+?i?)]T)k$\qJc>(!O/3p^\Z=PE;[KLYQ1<_^]&3LJ,IXn^](G=T5\cIIfYY8`rCP~>
+gA_4n:d=hR!FKgCJ,GE-TDu.n?i?VsYQ2H8Yl:9ps8UIE^\H1Rs8.<BYl;E8Yka@\?i.V!s8%6A
+TAonME;j5DE;tFdO8uNVJ,QVK^\Q7PrrTEsTDa6>Ykk!jd/LfZd/O%GYb1iTrEoN-s,d6,!5JI3
+rf@+er_WWerfI/prilD%"J8M0E)?Kts.B=QrilD%s)7r[r@n7Ys)@q/r,D[cr_WN"rK-fH!K^[b
+E;H1,YkZTF^\DdG^\tA<T?tsS^\r-LIfSC(ciUtdYl:9nE;b:dYfQip~>
+gA_4n:d=hR!FKgCJ,GE-TDu.n?i?VsYQ2H8Yl:9ps8UIE^\H1Rs8.<BYl;E8Yka@\?i.V!s8%6A
+TAonME;j5DE;tFdO8uNVJ,QVK^\Q7PrrTEsTDa6>Ykk!jd/LfZd/O%GYb1iTrEoN-s,d6,!5JI3
+rf@+er_WWerfI/prilD%"J8M0E)?Kts.B=QrilD%s)7r[r@n7Ys)@q/r,D[cr_WN"rK-fH!K^[b
+E;H1,YkZTF^\DdG^\tA<T?tsS^\r-LIfSC(ciUtdYl:9nE;b:dYfQip~>
+gA_4n:d=hR!FKgCJ,GE-TDu.n?i?VsYQ2H8Yl:9ps8UIE^\H1Rs8.<BYl;E8Yka@\?i.V!s8%6A
+TAonME;j5DE;tFdO8uNVJ,QVK^\Q7PrrTEsTDa6>Ykk!jd/LfZd/O%GYb1iTrEoN-s,d6,!5JI3
+rf@+er_WWerfI/prilD%"J8M0E)?Kts.B=QrilD%s)7r[r@n7Ys)@q/r,D[cr_WN"rK-fH!K^[b
+E;H1,YkZTF^\DdG^\tA<T?tsS^\r-LIfSC(ciUtdYl:9nE;b:dYfQip~>
+gA_.[pe^j;qN(cNYd""3r1Ehirh'2i!RS(L^\H1Ss8.<BYl2?9Yka@\?i%Ous8%6CTDl(Ts8I!9
+?iP*FJ,,0+Yk3GFYkc'1d/3kBE;uR/J,cbMTDd.9^])UZs8S_hOSrPbYlBgaciCiZrr\mTOC.u`
+s.B:Ps1eT<!5JO5"eSV1E)9C15Q@ATOT2Qbrr?F*Du_!Z0`PMZE;lI0E;P.a;#F]!OSb[MYlBdb
+?i"a;TD-+qE;RELYQ1<hd.kBTE;P.bhu1n'^Tas?TD`a.IfYY8ao?k~>
+gA_.[pe^j;qN(cNYd""3r1Ehirh'2i!RS(L^\H1Ss8.<BYl2?9Yka@\?i%Ous8%6CTDl(Ts8I!9
+?iP*FJ,,0+Yk3GFYkc'1d/3kBE;uR/J,cbMTDd.9^])UZs8S_hOSrPbYlBgaciCiZrr\mTOC.u`
+s.B:Ps1eT<!5JO5"eSV1E)9C15Q@ATOT2Qbrr?F*Du_!Z0`PMZE;lI0E;P.a;#F]!OSb[MYlBdb
+?i"a;TD-+qE;RELYQ1<hd.kBTE;P.bhu1n'^Tas?TD`a.IfYY8ao?k~>
+gA_.[pe^j;qN(cNYd""3r1Ehirh'2i!RS(L^\H1Ss8.<BYl2?9Yka@\?i%Ous8%6CTDl(Ts8I!9
+?iP*FJ,,0+Yk3GFYkc'1d/3kBE;uR/J,cbMTDd.9^])UZs8S_hOSrPbYlBgaciCiZrr\mTOC.u`
+s.B:Ps1eT<!5JO5"eSV1E)9C15Q@ATOT2Qbrr?F*Du_!Z0`PMZE;lI0E;P.a;#F]!OSb[MYlBdb
+?i"a;TD-+qE;RELYQ1<hd.kBTE;P.bhu1n'^Tas?TD`a.IfYY8ao?k~>
+g]%7mpJCd;rK%#OrK%#`qd95mqlp'lrVloFYl2?3d/O(BJ,6DI^]1P7OT/YfTDH=`s8%6CT*2B[
+OFMcYTBZCUE;a/DE;k@`OT,:[YkEPHTD61sd/O%F?i=pFYb.QdIfQ_MTDd.9^])UZs8S_hOT&Vb
+YlBgad/<qCO8rYe;#d0eOT3)qYR&#Ds.>o[E,\YQ5Q7;TOT)KaE!)_OE$,'5s'PbErh'%:r_WN"
+rK.&Oqlg-`?XN\LpRhAurQt=Yr4i37!2&\orG_[ar8.Y(^V@"Wqk*b)s*k'2Yfm&s~>
+g]%7mpJCd;rK%#OrK%#`qd95mqlp'lrVloFYl2?3d/O(BJ,6DI^]1P7OT/YfTDH=`s8%6CT*2B[
+OFMcYTBZCUE;a/DE;k@`OT,:[YkEPHTD61sd/O%F?i=pFYb.QdIfQ_MTDd.9^])UZs8S_hOT&Vb
+YlBgad/<qCO8rYe;#d0eOT3)qYR&#Ds.>o[E,\YQ5Q7;TOT)KaE!)_OE$,'5s'PbErh'%:r_WN"
+rK.&Oqlg-`?XN\LpRhAurQt=Yr4i37!2&\orG_[ar8.Y(^V@"Wqk*b)s*k'2Yfm&s~>
+g]%7mpJCd;rK%#OrK%#`qd95mqlp'lrVloFYl2?3d/O(BJ,6DI^]1P7OT/YfTDH=`s8%6CT*2B[
+OFMcYTBZCUE;a/DE;k@`OT,:[YkEPHTD61sd/O%F?i=pFYb.QdIfQ_MTDd.9^])UZs8S_hOT&Vb
+YlBgad/<qCO8rYe;#d0eOT3)qYR&#Ds.>o[E,\YQ5Q7;TOT)KaE!)_OE$,'5s'PbErh'%:r_WN"
+rK.&Oqlg-`?XN\LpRhAurQt=Yr4i37!2&\orG_[ar8.Y(^V@"Wqk*b)s*k'2Yfm&s~>
+g]%=^:d=eQqg\R+!2'4O!3lB.qk*birh',g!RS(M^\?(Us)@jbqloq3!2'.Ms'PbtqS2.lqLAL:
+rfI#,pn.'Us)@mC!-%peqN1RRs02?LrL`l"q9].KrGVjgYb.QdIfQ_MTDd.9^])UZs8S_hOT&Vb
+YlBgbciCiZrr\mTOC.u`rh'4Ps1eT<!5JO5"eSV1E)9C15Q@AUOT)KaE!)_OE$,'5ra5\Erh'.=
+!M=l?;#F]!OSPLLOC.j'qO[hNT:c&.rP//IqnN*6s1eN:o=t9Dqg\M#s1\Q<rK-rLqeuUdOH@]d
+J,~>
+g]%=^:d=eQqg\R+!2'4O!3lB.qk*birh',g!RS(M^\?(Us)@jbqloq3!2'.Ms'PbtqS2.lqLAL:
+rfI#,pn.'Us)@mC!-%peqN1RRs02?LrL`l"q9].KrGVjgYb.QdIfQ_MTDd.9^])UZs8S_hOT&Vb
+YlBgbciCiZrr\mTOC.u`rh'4Ps1eT<!5JO5"eSV1E)9C15Q@AUOT)KaE!)_OE$,'5ra5\Erh'.=
+!M=l?;#F]!OSPLLOC.j'qO[hNT:c&.rP//IqnN*6s1eN:o=t9Dqg\M#s1\Q<rK-rLqeuUdOH@]d
+J,~>
+g]%=^:d=eQqg\R+!2'4O!3lB.qk*birh',g!RS(M^\?(Us)@jbqloq3!2'.Ms'PbtqS2.lqLAL:
+rfI#,pn.'Us)@mC!-%peqN1RRs02?LrL`l"q9].KrGVjgYb.QdIfQ_MTDd.9^])UZs8S_hOT&Vb
+YlBgbciCiZrr\mTOC.u`rh'4Ps1eT<!5JO5"eSV1E)9C15Q@AUOT)KaE!)_OE$,'5ra5\Erh'.=
+!M=l?;#F]!OSPLLOC.j'qO[hNT:c&.rP//IqnN*6s1eN:o=t9Dqg\M#s1\Q<rK-rLqeuUdOH@]d
+J,~>
+g]."Er."[,s.B7Oqd95mr360mr;ZfD!3lI;ps9'AE;P.^Ykl*7TDXfN?iQ5fT)c+m^ZGLlJ,GE'
+J+B6,s8R'9?N>'EJ,59$s8T;'TDj?;TD-+tcih*j?Z9u`IfcjHTDa9>Yl(-kd/Ul[d/O(FTDXfM
+?i7,.OT*T,^]"33O8rYe;#d0eOT3)qYR&#Ds.<+aE,\YQ5Q7;TOT2QbE!)_OE$,'5ra5\ErLa(N
+!M=l?;#F]!OSYULO8rYaE:ok#^\DdG^\tA:TDAN`Yl2?8E;Y4^huCFlYeU$rs.B.,!e6<9cMrC~>
+g]."Er."[,s.B7Oqd95mr360mr;ZfD!3lI;ps9'AE;P.^Ykl*7TDXfN?iQ5fT)c+m^ZGLlJ,GE'
+J+B6,s8R'9?N>'EJ,59$s8T;'TDj?;TD-+tcih*j?Z9u`IfcjHTDa9>Yl(-kd/Ul[d/O(FTDXfM
+?i7,.OT*T,^]"33O8rYe;#d0eOT3)qYR&#Ds.<+aE,\YQ5Q7;TOT2QbE!)_OE$,'5ra5\ErLa(N
+!M=l?;#F]!OSYULO8rYaE:ok#^\DdG^\tA:TDAN`Yl2?8E;Y4^huCFlYeU$rs.B.,!e6<9cMrC~>
+g]."Er."[,s.B7Oqd95mr360mr;ZfD!3lI;ps9'AE;P.^Ykl*7TDXfN?iQ5fT)c+m^ZGLlJ,GE'
+J+B6,s8R'9?N>'EJ,59$s8T;'TDj?;TD-+tcih*j?Z9u`IfcjHTDa9>Yl(-kd/Ul[d/O(FTDXfM
+?i7,.OT*T,^]"33O8rYe;#d0eOT3)qYR&#Ds.<+aE,\YQ5Q7;TOT2QbE!)_OE$,'5ra5\ErLa(N
+!M=l?;#F]!OSYULO8rYaE:ok#^\DdG^\tA:TDAN`Yl2?8E;Y4^huCFlYeU$rs.B.,!e6<9cMrC~>
+h#@Fp:d=eQqg\R+s.B:P!3lB.qk*bis.B2g!mn0UrkJ6T!-%jcqQTh2!2'1N"(.[mOT(mK^ZGLp
+J,59'J,Gr7Yk4Ofs8?p9?iP*EJ,>?!s8T=uTD61sd//:oYb.QdJ,cbNTD[(9^\uOZrrA\gOT&Vb
+YQ0daciCi[rs#*WOC)?k;#[*eOT*!'YeU5<T:\r!E)9@q5Q7;TOT)HeE1_)g+9!tn?iP*DTDjoQ
+T7?f9r*TDaqOdeL!+5SApRh9]pi-/GrNPekril??r."V$rkAH*rkJ5irc%m%rdOp0ci8L~>
+h#@Fp:d=eQqg\R+s.B:P!3lB.qk*bis.B2g!mn0UrkJ6T!-%jcqQTh2!2'1N"(.[mOT(mK^ZGLp
+J,59'J,Gr7Yk4Ofs8?p9?iP*EJ,>?!s8T=uTD61sd//:oYb.QdJ,cbNTD[(9^\uOZrrA\gOT&Vb
+YQ0daciCi[rs#*WOC)?k;#[*eOT*!'YeU5<T:\r!E)9@q5Q7;TOT)HeE1_)g+9!tn?iP*DTDjoQ
+T7?f9r*TDaqOdeL!+5SApRh9]pi-/GrNPekril??r."V$rkAH*rkJ5irc%m%rdOp0ci8L~>
+h#@Fp:d=eQqg\R+s.B:P!3lB.qk*bis.B2g!mn0UrkJ6T!-%jcqQTh2!2'1N"(.[mOT(mK^ZGLp
+J,59'J,Gr7Yk4Ofs8?p9?iP*EJ,>?!s8T=uTD61sd//:oYb.QdJ,cbNTD[(9^\uOZrrA\gOT&Vb
+YQ0daciCi[rs#*WOC)?k;#[*eOT*!'YeU5<T:\r!E)9@q5Q7;TOT)HeE1_)g+9!tn?iP*DTDjoQ
+T7?f9r*TDaqOdeL!+5SApRh9]pi-/GrNPekril??r."V$rkAH*rkJ5irc%m%rdOp0ci8L~>
+h#I+Fr."[,s.B7Or*T>nqlp*mqYpTCYl2?4ciA%_J,6DG^Aso)O9K!QOIqVrrh')&kPkNHplPB&
+pRgoYq4I[o!-%peqiL@Jril3jpV6ROqgSUMrh'1>s02BmrQtPYrm1`HYb1fSra5T-!0I3,!5JO5
+rf@+er_WTds,d8qs0)dD?XKF%E,\WMr]gCSs,d8b#B6;SE$$/U0`GGZE;cC3OFMbPJ,W:A?i?)_
+T)t*]?i+g<TD/B\E;RELYQ1<_s8I!8J,8(&^AtM9^\Eog5Q-)Ys*t~>
+h#I+Fr."[,s.B7Or*T>nqlp*mqYpTCYl2?4ciA%_J,6DG^Aso)O9K!QOIqVrrh')&kPkNHplPB&
+pRgoYq4I[o!-%peqiL@Jril3jpV6ROqgSUMrh'1>s02BmrQtPYrm1`HYb1fSra5T-!0I3,!5JO5
+rf@+er_WTds,d8qs0)dD?XKF%E,\WMr]gCSs,d8b#B6;SE$$/U0`GGZE;cC3OFMbPJ,W:A?i?)_
+T)t*]?i+g<TD/B\E;RELYQ1<_s8I!8J,8(&^AtM9^\Eog5Q-)Ys*t~>
+h#I+Fr."[,s.B7Or*T>nqlp*mqYpTCYl2?4ciA%_J,6DG^Aso)O9K!QOIqVrrh')&kPkNHplPB&
+pRgoYq4I[o!-%peqiL@Jril3jpV6ROqgSUMrh'1>s02BmrQtPYrm1`HYb1fSra5T-!0I3,!5JO5
+rf@+er_WTds,d8qs0)dD?XKF%E,\WMr]gCSs,d8b#B6;SE$$/U0`GGZE;cC3OFMbPJ,W:A?i?)_
+T)t*]?i+g<TD/B\E;RELYQ1<_s8I!8J,8(&^AtM9^\Eog5Q-)Ys*t~>
+h>[Oq:d=eQ!-%jcrK.&OrfI"ar1Ekjrh'&e!RS(L^\Z:WE;Y4^Yku38TDjoZ?iR?lT:_4,T:`@b
+^[;(#;"g"LJ+K;oYl(-lORE/JYkapd^\Z:W^\`N[TDj?>Yl(-kd/Ul[ciX6>TDO`L?i7,.OT*T5
+^]4>+OH<gV:f.+_!0I2p%'[KRE1]s'E,\WM5<o.>s,d8brG_cYs"OCY!-%n/rdOs@J,W:B?i6#c
+T)aB>T)t*]?i+g=T)auIs7gR2^\tA:TC2aXE;Y4_hu:@jTDH>"O8se.5Q$#Ys*t~>
+h>[Oq:d=eQ!-%jcrK.&OrfI"ar1Ekjrh'&e!RS(L^\Z:WE;Y4^Yku38TDjoZ?iR?lT:_4,T:`@b
+^[;(#;"g"LJ+K;oYl(-lORE/JYkapd^\Z:W^\`N[TDj?>Yl(-kd/Ul[ciX6>TDO`L?i7,.OT*T5
+^]4>+OH<gV:f.+_!0I2p%'[KRE1]s'E,\WM5<o.>s,d8brG_cYs"OCY!-%n/rdOs@J,W:B?i6#c
+T)aB>T)t*]?i+g=T)auIs7gR2^\tA:TC2aXE;Y4_hu:@jTDH>"O8se.5Q$#Ys*t~>
+h>[Oq:d=eQ!-%jcrK.&OrfI"ar1Ekjrh'&e!RS(L^\Z:WE;Y4^Yku38TDjoZ?iR?lT:_4,T:`@b
+^[;(#;"g"LJ+K;oYl(-lORE/JYkapd^\Z:W^\`N[TDj?>Yl(-kd/Ul[ciX6>TDO`L?i7,.OT*T5
+^]4>+OH<gV:f.+_!0I2p%'[KRE1]s'E,\WM5<o.>s,d8brG_cYs"OCY!-%n/rdOs@J,W:B?i6#c
+T)aB>T)t*]?i+g=T)auIs7gR2^\tA:TC2aXE;Y4_hu:@jTDH>"O8se.5Q$#Ys*t~>
+h>[Oq:d=eQ!-%jcrf@2#T:c+Er*T>nqlp*mq>UKBYl2?7ciA%^J,?JH^]0r*O:,Fqs,`>7T9,/,
+T<S4-n,NA`p5o<(m[r:=!2&]Zs0)Kbq4IGsq9]+js)@t0rI=jOr1Eo6s1eQ[!rnmbqiLhbqlg'^
+rm:ZE!M>JQ?iNt%TDt#P^C.9\E1`b!E,\WM5<o+=$BVKrE,_Fg+!30jrEoSDrh'1>!M=l@;#F\u
+OT1sOs8S2\?i+g=TD&<[E;[KLYjMJiE;Y4^hu1=id/1TVOT'b-5Q-'3YgWQ%~>
+h>[Oq:d=eQ!-%jcrf@2#T:c+Er*T>nqlp*mq>UKBYl2?7ciA%^J,?JH^]0r*O:,Fqs,`>7T9,/,
+T<S4-n,NA`p5o<(m[r:=!2&]Zs0)Kbq4IGsq9]+js)@t0rI=jOr1Eo6s1eQ[!rnmbqiLhbqlg'^
+rm:ZE!M>JQ?iNt%TDt#P^C.9\E1`b!E,\WM5<o+=$BVKrE,_Fg+!30jrEoSDrh'1>!M=l@;#F\u
+OT1sOs8S2\?i+g=TD&<[E;[KLYjMJiE;Y4^hu1=id/1TVOT'b-5Q-'3YgWQ%~>
+h>[Oq:d=eQ!-%jcrf@2#T:c+Er*T>nqlp*mq>UKBYl2?7ciA%^J,?JH^]0r*O:,Fqs,`>7T9,/,
+T<S4-n,NA`p5o<(m[r:=!2&]Zs0)Kbq4IGsq9]+js)@t0rI=jOr1Eo6s1eQ[!rnmbqiLhbqlg'^
+rm:ZE!M>JQ?iNt%TDt#P^C.9\E1`b!E,\WM5<o+=$BVKrE,_Fg+!30jrEoSDrh'1>!M=l@;#F\u
+OT1sOs8S2\?i+g=TD&<[E;[KLYjMJiE;Y4^hu1=id/1TVOT'b-5Q-'3YgWQ%~>
+h>d4Gr."[,rh'4Pr*T>nqlp*mq>UNCYd")@rQkO`qg\LIqS3'&rf@+err<"[!2'7Ps.9:qr4hb$
+r_W?N!.XC.rdXgLn^-[-nc&^+Ycs5cTD-+tcj%77E,bjWYl:9oJ,cbNTD[(9^])R]s.>q\OT/\b
+YQ0dad/X+MT9,.A?VjStT)auP^B_!XE,_FG:iQD1s$-LTs,d8b#&p2R+!30jrEoSDrh'1>!M=l@
+;#F]!OT1sNrrA/[?i4m=TD/B\E;RELYQ1<`s8?p7J,A.&^BC1D^X1@(^]0DpJ,DP/IfQ_%s*t~>
+h>d4Gr."[,rh'4Pr*T>nqlp*mq>UNCYd")@rQkO`qg\LIqS3'&rf@+err<"[!2'7Ps.9:qr4hb$
+r_W?N!.XC.rdXgLn^-[-nc&^+Ycs5cTD-+tcj%77E,bjWYl:9oJ,cbNTD[(9^])R]s.>q\OT/\b
+YQ0dad/X+MT9,.A?VjStT)auP^B_!XE,_FG:iQD1s$-LTs,d8b#&p2R+!30jrEoSDrh'1>!M=l@
+;#F]!OT1sNrrA/[?i4m=TD/B\E;RELYQ1<`s8?p7J,A.&^BC1D^X1@(^]0DpJ,DP/IfQ_%s*t~>
+h>d4Gr."[,rh'4Pr*T>nqlp*mq>UNCYd")@rQkO`qg\LIqS3'&rf@+err<"[!2'7Ps.9:qr4hb$
+r_W?N!.XC.rdXgLn^-[-nc&^+Ycs5cTD-+tcj%77E,bjWYl:9oJ,cbNTD[(9^])R]s.>q\OT/\b
+YQ0dad/X+MT9,.A?VjStT)auP^B_!XE,_FG:iQD1s$-LTs,d8b#&p2R+!30jrEoSDrh'1>!M=l@
+;#F]!OT1sNrrA/[?i4m=TD/B\E;RELYQ1<`s8?p7J,A.&^BC1D^X1@(^]0DpJ,DP/IfQ_%s*t~>
+hZ!Xr:d=eQ!-%jcrK.&Os,[5"r*TAoqlp'lq>UNCYd",ArQkO`qgSU\r36%4s.B=Qs'Pd*"gF)M
+T9,06TDQCos8GjhO8uNSTDX3<TC];IciCiOrr^$?Y`S^RpqQXOrVll%rh'1>ril?nqp5>Xrm1`H
+T:c"Bs'PZ-rQtTE!M>JQ?iNt$T)auP^C.9\E1]s'E,\WM5<o+=$BVKr?_;:V+!30jra5\Erh'1>
+!M=l@;#F]!OT1sNrrS9h?i+g<TD/B\E;[KLYjMJiE;Y4^hu:@pTE"r<^X1@)^Ar6OJ,MV0IfQ_%
+s*t~>
+hZ!Xr:d=eQ!-%jcrK.&Os,[5"r*TAoqlp'lq>UNCYd",ArQkO`qgSU\r36%4s.B=Qs'Pd*"gF)M
+T9,06TDQCos8GjhO8uNSTDX3<TC];IciCiOrr^$?Y`S^RpqQXOrVll%rh'1>ril?nqp5>Xrm1`H
+T:c"Bs'PZ-rQtTE!M>JQ?iNt$T)auP^C.9\E1]s'E,\WM5<o+=$BVKr?_;:V+!30jra5\Erh'1>
+!M=l@;#F]!OT1sNrrS9h?i+g<TD/B\E;[KLYjMJiE;Y4^hu:@pTE"r<^X1@)^Ar6OJ,MV0IfQ_%
+s*t~>
+hZ!Xr:d=eQ!-%jcrK.&Os,[5"r*TAoqlp'lq>UNCYd",ArQkO`qgSU\r36%4s.B=Qs'Pd*"gF)M
+T9,06TDQCos8GjhO8uNSTDX3<TC];IciCiOrr^$?Y`S^RpqQXOrVll%rh'1>ril?nqp5>Xrm1`H
+T:c"Bs'PZ-rQtTE!M>JQ?iNt$T)auP^C.9\E1]s'E,\WM5<o+=$BVKr?_;:V+!30jra5\Erh'1>
+!M=l@;#F]!OT1sNrrS9h?i+g<TD/B\E;[KLYjMJiE;Y4^hu:@pTE"r<^X1@)^Ar6OJ,MV0IfQ_%
+s*t~>
+hZ*UP!'g<V!-%mdrK.#Ns,d.cqk*bis.B)d!RS(L^])R[E;P.a^](J6^]'i+OC.qcs,d8Qs,d8Q
+!3l@8p&FtepQ5?Xoq2)1r1E;Zkg8o#s02Nbqk*VtqU#3@!3lHprdXpOrL`u6!5JN[!rnmbqiLhb
+qlp%G"(.[^OT&Se;#R!dOT*!"YeP.LT28@'r_NSZrLXFYYcqK,E,Zm@0JNH4!-%q0rr<"Jr_WN"
+rK.&Or;Qh[?XN\LqO[bLp](&.qnN*6mf36)r."V$rkAH*r;Zf3!7:YY!O-PBJ,DP/IfQ_&s*t~>
+hZ*UP!'g<V!-%mdrK.#Ns,d.cqk*bis.B)d!RS(L^])R[E;P.a^](J6^]'i+OC.qcs,d8Qs,d8Q
+!3l@8p&FtepQ5?Xoq2)1r1E;Zkg8o#s02Nbqk*VtqU#3@!3lHprdXpOrL`u6!5JN[!rnmbqiLhb
+qlp%G"(.[^OT&Se;#R!dOT*!"YeP.LT28@'r_NSZrLXFYYcqK,E,Zm@0JNH4!-%q0rr<"Jr_WN"
+rK.&Or;Qh[?XN\LqO[bLp](&.qnN*6mf36)r."V$rkAH*r;Zf3!7:YY!O-PBJ,DP/IfQ_&s*t~>
+hZ*UP!'g<V!-%mdrK.#Ns,d.cqk*bis.B)d!RS(L^])R[E;P.a^](J6^]'i+OC.qcs,d8Qs,d8Q
+!3l@8p&FtepQ5?Xoq2)1r1E;Zkg8o#s02Nbqk*VtqU#3@!3lHprdXpOrL`u6!5JN[!rnmbqiLhb
+qlp%G"(.[^OT&Se;#R!dOT*!"YeP.LT28@'r_NSZrLXFYYcqK,E,Zm@0JNH4!-%q0rr<"Jr_WN"
+rK.&Or;Qh[?XN\LqO[bLp](&.qnN*6mf36)r."V$rkAH*r;Zf3!7:YY!O-PBJ,DP/IfQ_&s*t~>
+hZ!UQ5Pe4VE;b:bOT(jPOSiJ_TDPklTD8Eed'3J`s3Labqg\OY!3l=7rgs4Q?i0m'O8tpPOT1pQ
+Yl)90s8>dgOSc9XTD=!5TAm*CciCiRrrl66Ycs4Nqk*YuqTo5WrVuhgs*t$PrL`u6!5JN[rh'(L
+s'P].!0I0+!cXcnra5\%rLX(Or4i9(s%r`7s%r_[rLXCXYcsa=E$$/U0`>>YE;lL0rrSgBJ,W:B
+?i?)dTDefiOT/\cE;?.#s7gR2^\tD(s8I!8J,8(%^AsAms8Kb5d/Lc_Y]+Q2J,DP/IfQ_&s*t~>
+hZ!UQ5Pe4VE;b:bOT(jPOSiJ_TDPklTD8Eed'3J`s3Labqg\OY!3l=7rgs4Q?i0m'O8tpPOT1pQ
+Yl)90s8>dgOSc9XTD=!5TAm*CciCiRrrl66Ycs4Nqk*YuqTo5WrVuhgs*t$PrL`u6!5JN[rh'(L
+s'P].!0I0+!cXcnra5\%rLX(Or4i9(s%r`7s%r_[rLXCXYcsa=E$$/U0`>>YE;lL0rrSgBJ,W:B
+?i?)dTDefiOT/\cE;?.#s7gR2^\tD(s8I!8J,8(%^AsAms8Kb5d/Lc_Y]+Q2J,DP/IfQ_&s*t~>
+hZ!UQ5Pe4VE;b:bOT(jPOSiJ_TDPklTD8Eed'3J`s3Labqg\OY!3l=7rgs4Q?i0m'O8tpPOT1pQ
+Yl)90s8>dgOSc9XTD=!5TAm*CciCiRrrl66Ycs4Nqk*YuqTo5WrVuhgs*t$PrL`u6!5JN[rh'(L
+s'P].!0I0+!cXcnra5\%rLX(Or4i9(s%r`7s%r_[rLXCXYcsa=E$$/U0`>>YE;lL0rrSgBJ,W:B
+?i?)dTDefiOT/\cE;?.#s7gR2^\tD(s8I!8J,8(%^AsAms8Kb5d/Lc_Y]+Q2J,DP/IfQ_&s*t~>
+hu<bM:d=eQ!-%jcrf@,!rgs10rEoGoqlp'lq#:EBYd")@s3UXmoY:Bt!K^[crr]KeOIuN6s.9:q
+r4i%,r_W<Mq69gipODt1g9C1qq#:=jrbr"TYcs4Nqk*Yuq9]-@rLa(=rilBoqTo;Yd*VcaqiCeb
+qlg'^rQkV<OHBHK!)WTcr4`8OTDhXeE;iZ65Q.2\OKbrrE,Zm@0JNH4!-%n/!rnmBrD<E!rK.&O
+rVlkZra5SBq4IE]pi-/GrNP_irc%aaqqqCf!2'&dr4`69rc%merBL1/!3k#RJ,~>
+hu<bM:d=eQ!-%jcrf@,!rgs10rEoGoqlp'lq#:EBYd")@s3UXmoY:Bt!K^[crr]KeOIuN6s.9:q
+r4i%,r_W<Mq69gipODt1g9C1qq#:=jrbr"TYcs4Nqk*Yuq9]-@rLa(=rilBoqTo;Yd*VcaqiCeb
+qlg'^rQkV<OHBHK!)WTcr4`8OTDhXeE;iZ65Q.2\OKbrrE,Zm@0JNH4!-%n/!rnmBrD<E!rK.&O
+rVlkZra5SBq4IE]pi-/GrNP_irc%aaqqqCf!2'&dr4`69rc%merBL1/!3k#RJ,~>
+hu<bM:d=eQ!-%jcrf@,!rgs10rEoGoqlp'lq#:EBYd")@s3UXmoY:Bt!K^[crr]KeOIuN6s.9:q
+r4i%,r_W<Mq69gipODt1g9C1qq#:=jrbr"TYcs4Nqk*Yuq9]-@rLa(=rilBoqTo;Yd*VcaqiCeb
+qlg'^rQkV<OHBHK!)WTcr4`8OTDhXeE;iZ65Q.2\OKbrrE,Zm@0JNH4!-%n/!rnmBrD<E!rK.&O
+rVlkZra5SBq4IE]pi-/GrNP_irc%aaqqqCf!2'&dr4`69rc%merBL1/!3k#RJ,~>
+hu<_L5P\+UE;b:bO9#=[TDW'oTDGelTD/?ed'0bQ^AuXXJ+UMTTDr9ps8%fXT<S4-qZ$OkpQ5*Q
+p4)h/s$+u:ps9#Ur;QanqeuYPYcs5dTD-+tciCi[s8AShJ,Z\OTDHn;^X1?"TDFWL?i.&-OT*T.
+E1`6j?N<q$T)auO^B)]Rr_NT6r_WVZrLa+o#%+!A+!30jrEfPDrLX/kT7?f9r*TDas.B8i!0I1e
+r,DJ(q#:>$q/H5Grikhjrc%aaqVV:e!0HsTrP&B*Yl8SAJ,DP/IfQ+ks*t~>
+hu<_L5P\+UE;b:bO9#=[TDW'oTDGelTD/?ed'0bQ^AuXXJ+UMTTDr9ps8%fXT<S4-qZ$OkpQ5*Q
+p4)h/s$+u:ps9#Ur;QanqeuYPYcs5dTD-+tciCi[s8AShJ,Z\OTDHn;^X1?"TDFWL?i.&-OT*T.
+E1`6j?N<q$T)auO^B)]Rr_NT6r_WVZrLa+o#%+!A+!30jrEfPDrLX/kT7?f9r*TDas.B8i!0I1e
+r,DJ(q#:>$q/H5Grikhjrc%aaqVV:e!0HsTrP&B*Yl8SAJ,DP/IfQ+ks*t~>
+hu<_L5P\+UE;b:bO9#=[TDW'oTDGelTD/?ed'0bQ^AuXXJ+UMTTDr9ps8%fXT<S4-qZ$OkpQ5*Q
+p4)h/s$+u:ps9#Ur;QanqeuYPYcs5dTD-+tciCi[s8AShJ,Z\OTDHn;^X1?"TDFWL?i.&-OT*T.
+E1`6j?N<q$T)auO^B)]Rr_NT6r_WVZrLa+o#%+!A+!30jrEfPDrLX/kT7?f9r*TDas.B8i!0I1e
+r,DJ(q#:>$q/H5Grikhjrc%aaqVV:e!0HsTrP&B*Yl8SAJ,DP/IfQ+ks*t~>
+hu<_,5Pe4VE;b:cO8s8!T)`j/?i-JmYl:9hrrUQOYl2?6J+UMTTDr9os8S/\TDjrPT)c+n^\n-1
+;"p(FYlBg[J,5f95Q>*_OPIVGciUsY;#>53OT3&sY`OtDTD61tciUu^s88MhJ,QVNTDQt<^X1?"
+TDFWL?i.&-OT*W,T)auP?N<q#TDcM+d%?s0:]PJ6:]N`YT*17[Yb,n6*rn"m?N>'ET*#%bJ,N4A
+?i?)dTDeciOT&VcE;?++OSJhU?hn[=^\tD)s8I!8J,8%)YeRrFo`+p*!3lE@r'1(.!3k&SJ,~>
+hu<_,5Pe4VE;b:cO8s8!T)`j/?i-JmYl:9hrrUQOYl2?6J+UMTTDr9os8S/\TDjrPT)c+n^\n-1
+;"p(FYlBg[J,5f95Q>*_OPIVGciUsY;#>53OT3&sY`OtDTD61tciUu^s88MhJ,QVNTDQt<^X1?"
+TDFWL?i.&-OT*W,T)auP?N<q#TDcM+d%?s0:]PJ6:]N`YT*17[Yb,n6*rn"m?N>'ET*#%bJ,N4A
+?i?)dTDeciOT&VcE;?++OSJhU?hn[=^\tD)s8I!8J,8%)YeRrFo`+p*!3lE@r'1(.!3k&SJ,~>
+hu<_,5Pe4VE;b:cO8s8!T)`j/?i-JmYl:9hrrUQOYl2?6J+UMTTDr9os8S/\TDjrPT)c+n^\n-1
+;"p(FYlBg[J,5f95Q>*_OPIVGciUsY;#>53OT3&sY`OtDTD61tciUu^s88MhJ,QVNTDQt<^X1?"
+TDFWL?i.&-OT*W,T)auP?N<q#TDcM+d%?s0:]PJ6:]N`YT*17[Yb,n6*rn"m?N>'ET*#%bJ,N4A
+?i?)dTDeciOT&VcE;?++OSJhU?hn[=^\tD)s8I!8J,8%)YeRrFo`+p*!3lE@r'1(.!3k&SJ,~>
+hu<^r5Pe4VE;b:cO9>NTT5aa9qk*birh&oa!mn0UrkJ>[oY:Bt!+5O$"0dlKTDjrPT)c+n^]+93
+;"p(FYl0[[J,Q#:5Q+sQOQ=1PciC<JE;Ye#^Tar(OSkaF^\Z=WrrB;%TDsE>Yl:9id/Ta7O8rYb
+Yl;uNE1`6j?N<q#TDlS,csNFE:]PJ6:]N`XTDu+rT5acO!&4=X!-%q0!rnmBrD<E!rK.&Orr<"[
+s'P\Cq4IH^!+5P@rLa,)rNPbjrc%aaqqqFX!Pb8ts8Th6TDW[.5Q<D;J,XEeIfQ+ls*t~>
+hu<^r5Pe4VE;b:cO9>NTT5aa9qk*birh&oa!mn0UrkJ>[oY:Bt!+5O$"0dlKTDjrPT)c+n^]+93
+;"p(FYl0[[J,Q#:5Q+sQOQ=1PciC<JE;Ye#^Tar(OSkaF^\Z=WrrB;%TDsE>Yl:9id/Ta7O8rYb
+Yl;uNE1`6j?N<q#TDlS,csNFE:]PJ6:]N`XTDu+rT5acO!&4=X!-%q0!rnmBrD<E!rK.&Orr<"[
+s'P\Cq4IH^!+5P@rLa,)rNPbjrc%aaqqqFX!Pb8ts8Th6TDW[.5Q<D;J,XEeIfQ+ls*t~>
+hu<^r5Pe4VE;b:cO9>NTT5aa9qk*birh&oa!mn0UrkJ>[oY:Bt!+5O$"0dlKTDjrPT)c+n^]+93
+;"p(FYl0[[J,Q#:5Q+sQOQ=1PciC<JE;Ye#^Tar(OSkaF^\Z=WrrB;%TDsE>Yl:9id/Ta7O8rYb
+Yl;uNE1`6j?N<q#TDlS,csNFE:]PJ6:]N`XTDu+rT5acO!&4=X!-%q0!rnmBrD<E!rK.&Orr<"[
+s'P\Cq4IH^!+5P@rLa,)rNPbjrc%aaqqqFX!Pb8ts8Th6TDW[.5Q<D;J,XEeIfQ+ls*t~>
+hu<[@qG@32rI=d-!rnmbr*TAoqQU!lp&G&rrkJJPrI=ISrgs0tp]()O!hZ^$rP/C4rD<6Mp9=FU
+rI4g>q*4^_h2q!<ps9#UplGWnYcs4Nr1Ec!qTo;Ys02Hos*t!Orh&u4s.B1Ms'PZ-rm:\;!0I.d
+!)WWdrQkRPTD;:`5Q.5SYQ:A8rZ;+or*KGCrgs8lT7?f9rEoJas.B;j!0I1er,DJ(q#:>$q/H5'
+rikkkrc%aaqVV:V!2&c\s.B7/r@e5$r,;\/Yh/o*~>
+hu<[@qG@32rI=d-!rnmbr*TAoqQU!lp&G&rrkJJPrI=ISrgs0tp]()O!hZ^$rP/C4rD<6Mp9=FU
+rI4g>q*4^_h2q!<ps9#UplGWnYcs4Nr1Ec!qTo;Ys02Hos*t!Orh&u4s.B1Ms'PZ-rm:\;!0I.d
+!)WWdrQkRPTD;:`5Q.5SYQ:A8rZ;+or*KGCrgs8lT7?f9rEoJas.B;j!0I1er,DJ(q#:>$q/H5'
+rikkkrc%aaqVV:V!2&c\s.B7/r@e5$r,;\/Yh/o*~>
+hu<[@qG@32rI=d-!rnmbr*TAoqQU!lp&G&rrkJJPrI=ISrgs0tp]()O!hZ^$rP/C4rD<6Mp9=FU
+rI4g>q*4^_h2q!<ps9#UplGWnYcs4Nr1Ec!qTo;Ys02Hos*t!Orh&u4s.B1Ms'PZ-rm:\;!0I.d
+!)WWdrQkRPTD;:`5Q.5SYQ:A8rZ;+or*KGCrgs8lT7?f9rEoJas.B;j!0I1er,DJ(q#:>$q/H5'
+rikkkrc%aaqVV:V!2&c\s.B7/r@e5$r,;\/Yh/o*~>
+i;Whm5Pe4VE;b:cOT5=]T5aa9qk*birh&oa"OOBW^VBYboY:Bt!+5I"qN(cNYd")@rD<6Mp9=@S
+s*si/r*T=#rh'..m@Wj/oY:1Jq2kWk!3lHar1Ec!qTo8Xs8ASiJ,HPNTD?k5TDO`M?i@5/^]2X^
+?_<GY?NO&rTDlV(d/Ta;:]PJ6:]N`XT)ud"E;gpZ0`58XE;lI2s.=f>;#Oc!OT1sPrrA/[?i=s=
+TDANe?i"a;TDu.as8I!7J,A.&YQ1<`rrA\iE;_HjJ,F9cT@a*n~>
+i;Whm5Pe4VE;b:cOT5=]T5aa9qk*birh&oa"OOBW^VBYboY:Bt!+5I"qN(cNYd")@rD<6Mp9=@S
+s*si/r*T=#rh'..m@Wj/oY:1Jq2kWk!3lHar1Ec!qTo8Xs8ASiJ,HPNTD?k5TDO`M?i@5/^]2X^
+?_<GY?NO&rTDlV(d/Ta;:]PJ6:]N`XT)ud"E;gpZ0`58XE;lI2s.=f>;#Oc!OT1sPrrA/[?i=s=
+TDANe?i"a;TDu.as8I!7J,A.&YQ1<`rrA\iE;_HjJ,F9cT@a*n~>
+i;Whm5Pe4VE;b:cOT5=]T5aa9qk*birh&oa"OOBW^VBYboY:Bt!+5I"qN(cNYd")@rD<6Mp9=@S
+s*si/r*T=#rh'..m@Wj/oY:1Jq2kWk!3lHar1Ec!qTo8Xs8ASiJ,HPNTD?k5TDO`M?i@5/^]2X^
+?_<GY?NO&rTDlV(d/Ta;:]PJ6:]N`XT)ud"E;gpZ0`58XE;lI2s.=f>;#Oc!OT1sPrrA/[?i=s=
+TDANe?i"a;TDu.as8I!7J,A.&YQ1<`rrA\iE;_HjJ,F9cT@a*n~>
+i;`gAqb[92rI=g.s8N(<rEoGoqlp'lp&>0AYctmWr,D;Crgs0tpAb,R!2'4O!M?Up^\qO=TDO`D
+YkaC\;#<KU?g[miTDrliTCfnociC<JOT0;"^AtM;OStgG^\c@Y^]45(s*t!Os.B28!Pd"\TDO]O
+?a-d5^])R]?_<GZ?N?2c^\uL[Yb1nk!-%m5rh'4p#JZmME$$/U0`5;WT*#%bJ,N4B?i?)cTE"rk
+OSrPcE;?.$rr?F%E;6%*Yjh\lE;P.]hu9h[TC2aZTDig.0`QY%E;lK]s*t~>
+i;`gAqb[92rI=g.s8N(<rEoGoqlp'lp&>0AYctmWr,D;Crgs0tpAb,R!2'4O!M?Up^\qO=TDO`D
+YkaC\;#<KU?g[miTDrliTCfnociC<JOT0;"^AtM;OStgG^\c@Y^]45(s*t!Os.B28!Pd"\TDO]O
+?a-d5^])R]?_<GZ?N?2c^\uL[Yb1nk!-%m5rh'4p#JZmME$$/U0`5;WT*#%bJ,N4B?i?)cTE"rk
+OSrPcE;?.$rr?F%E;6%*Yjh\lE;P.]hu9h[TC2aZTDig.0`QY%E;lK]s*t~>
+i;`gAqb[92rI=g.s8N(<rEoGoqlp'lp&>0AYctmWr,D;Crgs0tpAb,R!2'4O!M?Up^\qO=TDO`D
+YkaC\;#<KU?g[miTDrliTCfnociC<JOT0;"^AtM;OStgG^\c@Y^]45(s*t!Os.B28!Pd"\TDO]O
+?a-d5^])R]?_<GZ?N?2c^\uL[Yb1nk!-%m5rh'4p#JZmME$$/U0`5;WT*#%bJ,N4B?i?)cTE"rk
+OSrPcE;?.$rr?F%E;6%*Yjh\lE;P.]hu9h[TC2aZTDig.0`QY%E;lK]s*t~>
+i;WdAqG@01rdXp/"*":4E;a/ATDGekTCr6`YQ2H8E:q!GTDr9ks8%f\T<PQ7^Ms-Yr1EtMp9=@S
+r_WSYra5]0!2&KT!+5\Dp7D>(lC[^`q9T2XODt0u!l(tDrfI)NpqQXOr1F"=rNQ<orQtPY!7:_;
+qN1Ths3LdR^\a,k^\uOZYl0[]J,QSR^]/7lrZ;+or*TGq!rmb"rD<H"rK.#Ns8N(\q-Wriq>^J%
+qJc2$nGiK,qLAD"ricBpmJm3Yrc%fis*t#erL_aBJ,~>
+i;WdAqG@01rdXp/"*":4E;a/ATDGekTCr6`YQ2H8E:q!GTDr9ks8%f\T<PQ7^Ms-Yr1EtMp9=@S
+r_WSYra5]0!2&KT!+5\Dp7D>(lC[^`q9T2XODt0u!l(tDrfI)NpqQXOr1F"=rNQ<orQtPY!7:_;
+qN1Ths3LdR^\a,k^\uOZYl0[]J,QSR^]/7lrZ;+or*TGq!rmb"rD<H"rK.#Ns8N(\q-Wriq>^J%
+qJc2$nGiK,qLAD"ricBpmJm3Yrc%fis*t#erL_aBJ,~>
+i;WdAqG@01rdXp/"*":4E;a/ATDGekTCr6`YQ2H8E:q!GTDr9ks8%f\T<PQ7^Ms-Yr1EtMp9=@S
+r_WSYra5]0!2&KT!+5\Dp7D>(lC[^`q9T2XODt0u!l(tDrfI)NpqQXOr1F"=rNQ<orQtPY!7:_;
+qN1Ths3LdR^\a,k^\uOZYl0[]J,QSR^]/7lrZ;+or*TGq!rmb"rD<H"rK.#Ns8N(\q-Wriq>^J%
+qJc2$nGiK,qLAD"ricBpmJm3Yrc%fis*t#erL_aBJ,~>
+i;WdAqG@32rI=g.s8N(<rEoJpqQTsko`+opqf)5Crh&f^qN(rSYctl]E*luJTD#MbOSquU5Q%/R
+YQ0dKs8QI)E;Hg0T)`j$TCfnpciC<IrrKm=rK.#NpV6ROr1F"=r3-0nrm:VY!7:_;qN1Wirm:\[
+r/gikrQkPKrK-r,rNQ=:s)@rZ!&4=Xrgs8lIt.Gor*TDarh'5j!0I"`rK-uMq>^J%qJc2$nGiN-
+qLAA!ricBpm/I-ZE,b_/s*t#erL_aBJ,~>
+i;WdAqG@32rI=g.s8N(<rEoJpqQTsko`+opqf)5Crh&f^qN(rSYctl]E*luJTD#MbOSquU5Q%/R
+YQ0dKs8QI)E;Hg0T)`j$TCfnpciC<IrrKm=rK.#NpV6ROr1F"=r3-0nrm:VY!7:_;qN1Wirm:\[
+r/gikrQkPKrK-r,rNQ=:s)@rZ!&4=Xrgs8lIt.Gor*TDarh'5j!0I"`rK-uMq>^J%qJc2$nGiN-
+qLAA!ricBpm/I-ZE,b_/s*t#erL_aBJ,~>
+i;WdAqG@32rI=g.s8N(<rEoJpqQTsko`+opqf)5Crh&f^qN(rSYctl]E*luJTD#MbOSquU5Q%/R
+YQ0dKs8QI)E;Hg0T)`j$TCfnpciC<IrrKm=rK.#NpV6ROr1F"=r3-0nrm:VY!7:_;qN1Wirm:\[
+r/gikrQkPKrK-r,rNQ=:s)@rZ!&4=Xrgs8lIt.Gor*TDarh'5j!0I"`rK-uMq>^J%qJc2$nGiN-
+qLAA!ricBpm/I-ZE,b_/s*t#erL_aBJ,~>
+iVrmBqG@01rI=j/!c\0YrEoGoqlp'lo`#!>Yd""DotUKu!+5Buq2bfQYcr(c?XNW$pTXITrD<KC
+r1F"n!2&KT!+5\DqQTsks,d0Yq4IVIoq1lkq9T,GrVuo4!3lE`rh&u#r6YK$!3lBn!.XpN!M@a:
+^]2[[TDO`I^]2X]:qupi!3lF:rQkPKrK-r,rNQ=:s)@rZ!&4:Wrh'4?r_WN"rK.#Ns8N(\q-X#\
+s.B/fs'PVApRgsTrc%aaqVV:V!2&TW!hXFNr%S/#rc%h.f`-I~>
+iVrmBqG@01rI=j/!c\0YrEoGoqlp'lo`#!>Yd""DotUKu!+5Buq2bfQYcr(c?XNW$pTXITrD<KC
+r1F"n!2&KT!+5\DqQTsks,d0Yq4IVIoq1lkq9T,GrVuo4!3lE`rh&u#r6YK$!3lBn!.XpN!M@a:
+^]2[[TDO`I^]2X]:qupi!3lF:rQkPKrK-r,rNQ=:s)@rZ!&4:Wrh'4?r_WN"rK.#Ns8N(\q-X#\
+s.B/fs'PVApRgsTrc%aaqVV:V!2&TW!hXFNr%S/#rc%h.f`-I~>
+iVrmBqG@01rI=j/!c\0YrEoGoqlp'lo`#!>Yd""DotUKu!+5Buq2bfQYcr(c?XNW$pTXITrD<KC
+r1F"n!2&KT!+5\DqQTsks,d0Yq4IVIoq1lkq9T,GrVuo4!3lE`rh&u#r6YK$!3lBn!.XpN!M@a:
+^]2[[TDO`I^]2X]:qupi!3lF:rQkPKrK-r,rNQ=:s)@rZ!&4:Wrh'4?r_WN"rK.#Ns8N(\q-X#\
+s.B/fs'PVApRgsTrc%aaqVV:V!2&TW!hXFNr%S/#rc%h.f`-I~>
+iVrmBqG@01rdXp/s8N(<rEoJpqQTsko`"s=YkrD3^]0o+?h=9tJ,561T<N9R?XNZ%pTXLUr(mB4
+rdXj<s0)Kbkl1WirG_V;rh'4Po`+cLs023hoY:4KrVuo4!3lHarL`l"rm:Z%!.Xp=!.XpN!2'/'
+s3Ue<qN1Wirm:\[r/gllrQkPKrK-r,rNQ=:!Im?5*rn"n?iP*ET)aB>;#F]!OT(jQs,d"_r/grN
+q>^J%qJc2$nc/T-qLAD"rNPPds)@lis*t#erL_aBJ,~>
+iVrmBqG@01rdXp/s8N(<rEoJpqQTsko`"s=YkrD3^]0o+?h=9tJ,561T<N9R?XNZ%pTXLUr(mB4
+rdXj<s0)Kbkl1WirG_V;rh'4Po`+cLs023hoY:4KrVuo4!3lHarL`l"rm:Z%!.Xp=!.XpN!2'/'
+s3Ue<qN1Wirm:\[r/gllrQkPKrK-r,rNQ=:!Im?5*rn"n?iP*ET)aB>;#F]!OT(jQs,d"_r/grN
+q>^J%qJc2$nc/T-qLAD"rNPPds)@lis*t#erL_aBJ,~>
+iVrmBqG@01rdXp/s8N(<rEoJpqQTsko`"s=YkrD3^]0o+?h=9tJ,561T<N9R?XNZ%pTXLUr(mB4
+rdXj<s0)Kbkl1WirG_V;rh'4Po`+cLs023hoY:4KrVuo4!3lHarL`l"rm:Z%!.Xp=!.XpN!2'/'
+s3Ue<qN1Wirm:\[r/gllrQkPKrK-r,rNQ=:!Im?5*rn"n?iP*ET)aB>;#F]!OT(jQs,d"_r/grN
+q>^J%qJc2$nc/T-qLAD"rNPPds)@lis*t#erL_aBJ,~>
+irB$Cqb[61rdXs0#&sTl:f(M+r1Ehirh&f^!3l<=otUO!!+5<srdXj-"L)ia?XNZ%posUVr)!<1
+!.Xp=s0)Kql2UcjrG_Y<rLX(Onc&U(qN1]\pRh)mqTo5Hrr3#6TDalNTD-)#d/Di%J,Gr=J,cbP
+TDQA'd/K[7OScfmd/UlYOSllmciC<JOSs\-YlDK<J,VY4+8^$VT)aB>;#F]!OT1sQrrA/V?i,rb
+TDJTe?i+g:TCDm\E;G(\hu9h[TBZCUE;VEhIfOHcT@j0o~>
+irB$Cqb[61rdXs0#&sTl:f(M+r1Ehirh&f^!3l<=otUO!!+5<srdXj-"L)ia?XNZ%posUVr)!<1
+!.Xp=s0)Kql2UcjrG_Y<rLX(Onc&U(qN1]\pRh)mqTo5Hrr3#6TDalNTD-)#d/Di%J,Gr=J,cbP
+TDQA'd/K[7OScfmd/UlYOSllmciC<JOSs\-YlDK<J,VY4+8^$VT)aB>;#F]!OT1sQrrA/V?i,rb
+TDJTe?i+g:TCDm\E;G(\hu9h[TBZCUE;VEhIfOHcT@j0o~>
+irB$Cqb[61rdXs0#&sTl:f(M+r1Ehirh&f^!3l<=otUO!!+5<srdXj-"L)ia?XNZ%posUVr)!<1
+!.Xp=s0)Kql2UcjrG_Y<rLX(Onc&U(qN1]\pRh)mqTo5Hrr3#6TDalNTD-)#d/Di%J,Gr=J,cbP
+TDQA'd/K[7OScfmd/UlYOSllmciC<JOSs\-YlDK<J,VY4+8^$VT)aB>;#F]!OT1sQrrA/V?i,rb
+TDJTe?i+g:TCDm\E;G(\hu9h[TBZCUE;VEhIfOHcT@j0o~>
+ir9!CqG@01rI=j/!c\0hr_NTErL`qjrL`]]qJc)A!M<`hs8INHO8tpPDua8ATD5YfOShrOE;nbp
+TDu+rOIte;!+5\DqQTsk!0HUJ!5JDmrNQ$goY:7Ls8W,6!3lE`rh&u#r8.L9qk!k<r1El$!7:_;
+qiL`jrm1Y[r/^o_rP/?Ys02H`rI=dM"44f4J,MV/E;lI0J,N4A?i?)dTE"okOSN8\OT1sLs8QI&
+E;-!ps8I!7J,8($Yiu,eE;_KhIfOHcT@j0o~>
+ir9!CqG@01rI=j/!c\0hr_NTErL`qjrL`]]qJc)A!M<`hs8INHO8tpPDua8ATD5YfOShrOE;nbp
+TDu+rOIte;!+5\DqQTsk!0HUJ!5JDmrNQ$goY:7Ls8W,6!3lE`rh&u#r8.L9qk!k<r1El$!7:_;
+qiL`jrm1Y[r/^o_rP/?Ys02H`rI=dM"44f4J,MV/E;lI0J,N4A?i?)dTE"okOSN8\OT1sLs8QI&
+E;-!ps8I!7J,8($Yiu,eE;_KhIfOHcT@j0o~>
+ir9!CqG@01rI=j/!c\0hr_NTErL`qjrL`]]qJc)A!M<`hs8INHO8tpPDua8ATD5YfOShrOE;nbp
+TDu+rOIte;!+5\DqQTsk!0HUJ!5JDmrNQ$goY:7Ls8W,6!3lE`rh&u#r8.L9qk!k<r1El$!7:_;
+qiL`jrm1Y[r/^o_rP/?Ys02H`rI=dM"44f4J,MV/E;lI0J,N4A?i?)dTE"okOSN8\OT1sLs8QI&
+E;-!ps8I!7J,8($Yiu,eE;_KhIfOHcT@j0o~>
+j8]-Dqb[61rdXp/!rmb"r_WQC!2'+lrh&c]qf)5Crh&][rdXm.rbqjEqOdSf!2'1Nr)!Fnqf)Gi
+s0)Kql2Ucjrc%k`rNQ9ns,cOG!5JDmr35sgoY::Ms8W,6!3lE`s.B,%!7:Z$!0I/OrfI&MqnN-&
+qiL]is3Ue\r/gllrm:\LrK-u-!5JK:!l'57rBL0urgs1?rD<E!rK.&O!WS8V?i6#cTDJTe?i+g:
+TCMs\E;P.]hu0bZTBZCUE;VEgIfOHcT@j0o~>
+j8]-Dqb[61rdXp/!rmb"r_WQC!2'+lrh&c]qf)5Crh&][rdXm.rbqjEqOdSf!2'1Nr)!Fnqf)Gi
+s0)Kql2Ucjrc%k`rNQ9ns,cOG!5JDmr35sgoY::Ms8W,6!3lE`s.B,%!7:Z$!0I/OrfI&MqnN-&
+qiL]is3Ue\r/gllrm:\LrK-u-!5JK:!l'57rBL0urgs1?rD<E!rK.&O!WS8V?i6#cTDJTe?i+g:
+TCMs\E;P.]hu0bZTBZCUE;VEgIfOHcT@j0o~>
+j8]-Dqb[61rdXp/!rmb"r_WQC!2'+lrh&c]qf)5Crh&][rdXm.rbqjEqOdSf!2'1Nr)!Fnqf)Gi
+s0)Kql2Ucjrc%k`rNQ9ns,cOG!5JDmr35sgoY::Ms8W,6!3lE`s.B,%!7:Z$!0I/OrfI&MqnN-&
+qiL]is3Ue\r/gllrm:\LrK-u-!5JK:!l'57rBL0urgs1?rD<E!rK.&O!WS8V?i6#cTDJTe?i+g:
+TCMs\E;P.]hu0bZTBZCUE;VEgIfOHcT@j0o~>
+j8]-Dqb[61rdXs0!c\0hrD<EAqlp'lo)JQ*p:pU!nGiK;rfI(t!+5SpqQTskrfI%SrVub6r87OY
+s,cLF!+5\DrQkSLTDl(m^\uOY^\%R*E<!]MOSc9YTC]hqd/X+H^RtFcs.B5(rQtN#qN(^(rLX):
+r4`6Yrh'(Lr4i9Ys1eJn!3lI;rm:\LrK-u-!5JK:!l'57rBC:Dr,DY-!.XrDrEoJas.9>lOSN8\
+OT1sLs8HC&E;6%*ORiGNE;G(\hu0eCs8R'90`?J$E;Z?\s*t~>
+j8]-Dqb[61rdXs0!c\0hrD<EAqlp'lo)JQ*p:pU!nGiK;rfI(t!+5SpqQTskrfI%SrVub6r87OY
+s,cLF!+5\DrQkSLTDl(m^\uOY^\%R*E<!]MOSc9YTC]hqd/X+H^RtFcs.B5(rQtN#qN(^(rLX):
+r4`6Yrh'(Lr4i9Ys1eJn!3lI;rm:\LrK-u-!5JK:!l'57rBC:Dr,DY-!.XrDrEoJas.9>lOSN8\
+OT1sLs8HC&E;6%*ORiGNE;G(\hu0eCs8R'90`?J$E;Z?\s*t~>
+j8]-Dqb[61rdXs0!c\0hrD<EAqlp'lo)JQ*p:pU!nGiK;rfI(t!+5SpqQTskrfI%SrVub6r87OY
+s,cLF!+5\DrQkSLTDl(m^\uOY^\%R*E<!]MOSc9YTC]hqd/X+H^RtFcs.B5(rQtN#qN(^(rLX):
+r4`6Yrh'(Lr4i9Ys1eJn!3lI;rm:\LrK-u-!5JK:!l'57rBC:Dr,DY-!.XrDrEoJas.9>lOSN8\
+OT1sLs8HC&E;6%*ORiGNE;G(\hu0eCs8R'90`?J$E;Z?\s*t~>
+j8T*DqG@01rI=j/!rmb"r_WKAr36-loDeZ+!7:JTrL`TZrdXs0rG_S)qQTsks,d1Uqu?M3r87OY
+!0HOHs.B=qoY:.Iq7lk-!.XocrP/8lqQTggoY:CPs5*oc^V?E=OT1sP^\lIWhZ/0'O9!Z+T)d79
+^AsApTDXfJ^B;ie^VB`/!3lF:s3UeMrK-u-!5JK:!l'57rBC:Dr,D\.s*suDrEoJas.9>lOSN8\
+OT1sMs8HC&E;-!ps8R'7J,8($YQ1<Zs8R'90`?J$E;Z?\s*t~>
+j8T*DqG@01rI=j/!rmb"r_WKAr36-loDeZ+!7:JTrL`TZrdXs0rG_S)qQTsks,d1Uqu?M3r87OY
+!0HOHs.B=qoY:.Iq7lk-!.XocrP/8lqQTggoY:CPs5*oc^V?E=OT1sP^\lIWhZ/0'O9!Z+T)d79
+^AsApTDXfJ^B;ie^VB`/!3lF:s3UeMrK-u-!5JK:!l'57rBC:Dr,D\.s*suDrEoJas.9>lOSN8\
+OT1sMs8HC&E;-!ps8R'7J,8($YQ1<Zs8R'90`?J$E;Z?\s*t~>
+j8T*DqG@01rI=j/!rmb"r_WKAr36-loDeZ+!7:JTrL`TZrdXs0rG_S)qQTsks,d1Uqu?M3r87OY
+!0HOHs.B=qoY:.Iq7lk-!.XocrP/8lqQTggoY:CPs5*oc^V?E=OT1sP^\lIWhZ/0'O9!Z+T)d79
+^AsApTDXfJ^B;ie^VB`/!3lF:s3UeMrK-u-!5JK:!l'57rBC:Dr,D\.s*suDrEoJas.9>lOSN8\
+OT1sMs8HC&E;-!ps8R'7J,8($YQ1<Zs8R'90`?J$E;Z?\s*t~>
+jT#6Eqb[61rI4p2E;tFd;#Gh?Yl:9cs8-d7d.kBUT)`j!s8IKJOSj(oTDGejT)auP;#1.gE;\Vn
+YlBg[s8ASU^[fbD^Arc_E;dQOd/UlYOSQ-XTCfkud/Mo)J%qVJr/^rO^\Z=UhZ2%#O9!Z+T)d79
+^]'l&OSllnd/UlZO8uN`^]2X]^TdZur."[L!l'57rBC:Dr,D\.!H<Pe;#Oc"OT(jPs7ft!OT1sL
+s8HC'E;,t)ORiGNE;P.]hu'_As8R'90`?LuT@j0o~>
+jT#6Eqb[61rI4p2E;tFd;#Gh?Yl:9cs8-d7d.kBUT)`j!s8IKJOSj(oTDGejT)auP;#1.gE;\Vn
+YlBg[s8ASU^[fbD^Arc_E;dQOd/UlYOSQ-XTCfkud/Mo)J%qVJr/^rO^\Z=UhZ2%#O9!Z+T)d79
+^]'l&OSllnd/UlZO8uN`^]2X]^TdZur."[L!l'57rBC:Dr,D\.!H<Pe;#Oc"OT(jPs7ft!OT1sL
+s8HC'E;,t)ORiGNE;P.]hu'_As8R'90`?LuT@j0o~>
+jT#6Eqb[61rI4p2E;tFd;#Gh?Yl:9cs8-d7d.kBUT)`j!s8IKJOSj(oTDGejT)auP;#1.gE;\Vn
+YlBg[s8ASU^[fbD^Arc_E;dQOd/UlYOSQ-XTCfkud/Mo)J%qVJr/^rO^\Z=UhZ2%#O9!Z+T)d79
+^]'l&OSllnd/UlZO8uN`^]2X]^TdZur."[L!l'57rBC:Dr,D\.!H<Pe;#Oc"OT(jPs7ft!OT1sL
+s8HC'E;,t)ORiGNE;P.]hu'_As8R'90`?LuT@j0o~>
+jT#6Eqb[61rdXs0s8N(Kr_WKAr36-loDeZ+r6Y>Us.9:1mf399r,DP*q69jj!+5_%p](,0r87OY
+!0I-Y!)WTCs01t,mEk47s3Le=OT*#nOS?!WTD-+uhuA0,^RtFcs02@HrSIUZqiL`J!7:\Z!0I2P
+qiL`j!mn]sr/^o_rkJHZ!3lE`!3lEOrNH@<E.@gN!0I+t!hYQnr%S(VrK.#N!0I"`qiLiMqu?V%
+r,DD&o)J].qLAA!rNPJbrc%lks$-F2r1DU@J,~>
+jT#6Eqb[61rdXs0s8N(Kr_WKAr36-loDeZ+r6Y>Us.9:1mf399r,DP*q69jj!+5_%p](,0r87OY
+!0I-Y!)WTCs01t,mEk47s3Le=OT*#nOS?!WTD-+uhuA0,^RtFcs02@HrSIUZqiL`J!7:\Z!0I2P
+qiL`j!mn]sr/^o_rkJHZ!3lE`!3lEOrNH@<E.@gN!0I+t!hYQnr%S(VrK.#N!0I"`qiLiMqu?V%
+r,DD&o)J].qLAA!rNPJbrc%lks$-F2r1DU@J,~>
+jT#6Eqb[61rdXs0s8N(Kr_WKAr36-loDeZ+r6Y>Us.9:1mf399r,DP*q69jj!+5_%p](,0r87OY
+!0I-Y!)WTCs01t,mEk47s3Le=OT*#nOS?!WTD-+uhuA0,^RtFcs02@HrSIUZqiL`J!7:\Z!0I2P
+qiL`j!mn]sr/^o_rkJHZ!3lE`!3lEOrNH@<E.@gN!0I+t!hYQnr%S(VrK.#N!0I"`qiLiMqu?V%
+r,DD&o)J].qLAA!rNPJbrc%lks$-F2r1DU@J,~>
+jo>?Fqb[30rdP$3E;tFd;#Gh?Yl:9cs8-d4d/:ZXT)`ius8RTHE;Q:'Yl:6r?VjSms8$^4huBn\
+OT,7[;#Gh@Yk>cid."gKOT*#nOS?!WTDH>!hZL*tT:c"bqU#2u!2'.Mr1<u9rP/<'r/gik"449e
+^\s5oYl2?:d/U?KOSs\-YQMXZIp`1>!0I+t!hXFNr%S+7!+5\drh&smr/goMqu?Y&r,DD&!0HdO
+s)@ga!5JEgrNH9okPtR$r'1+/!3lEofDg@~>
+jo>?Fqb[30rdP$3E;tFd;#Gh?Yl:9cs8-d4d/:ZXT)`ius8RTHE;Q:'Yl:6r?VjSms8$^4huBn\
+OT,7[;#Gh@Yk>cid."gKOT*#nOS?!WTDH>!hZL*tT:c"bqU#2u!2'.Mr1<u9rP/<'r/gik"449e
+^\s5oYl2?:d/U?KOSs\-YQMXZIp`1>!0I+t!hXFNr%S+7!+5\drh&smr/goMqu?Y&r,DD&!0HdO
+s)@ga!5JEgrNH9okPtR$r'1+/!3lEofDg@~>
+jo>?Fqb[30rdP$3E;tFd;#Gh?Yl:9cs8-d4d/:ZXT)`ius8RTHE;Q:'Yl:6r?VjSms8$^4huBn\
+OT,7[;#Gh@Yk>cid."gKOT*#nOS?!WTDH>!hZL*tT:c"bqU#2u!2'.Mr1<u9rP/<'r/gik"449e
+^\s5oYl2?:d/U?KOSs\-YQMXZIp`1>!0I+t!hXFNr%S+7!+5\drh&smr/goMqu?Y&r,DD&!0HdO
+s)@ga!5JEgrNH9okPtR$r'1+/!3lEofDg@~>
+jo>?Fqb[61rI4p2E;tFd;#Gh@Yl13cs8-d4d/:ZXT)`itrr@QHE;H4'Yl:6q?VpCpqf)Jjs02Nb
+!'g@1q69b2cd;I%s8W)5rfHfWrLa&'r8.M$rndd]^VBZMqU#2u!2'1N!7:\:s3Ub[!0I2PqiL`j
+!mn]srK%#`rP/BZs02H`rI4g^ricL>E.;6o56-fCDuuYNE;_Hj?i<4fJ,YQ)?i6#cTDSZe?i4m;
+TCW$]E;P.`^]*-gYibucE;`$!J,Z\OT@a*n~>
+jo>?Fqb[61rI4p2E;tFd;#Gh@Yl13cs8-d4d/:ZXT)`itrr@QHE;H4'Yl:6q?VpCpqf)Jjs02Nb
+!'g@1q69b2cd;I%s8W)5rfHfWrLa&'r8.M$rndd]^VBZMqU#2u!2'1N!7:\:s3Ub[!0I2PqiL`j
+!mn]srK%#`rP/BZs02H`rI4g^ricL>E.;6o56-fCDuuYNE;_Hj?i<4fJ,YQ)?i6#cTDSZe?i4m;
+TCW$]E;P.`^]*-gYibucE;`$!J,Z\OT@a*n~>
+jo>?Fqb[61rI4p2E;tFd;#Gh@Yl13cs8-d4d/:ZXT)`itrr@QHE;H4'Yl:6q?VpCpqf)Jjs02Nb
+!'g@1q69b2cd;I%s8W)5rfHfWrLa&'r8.M$rndd]^VBZMqU#2u!2'1N!7:\:s3Ub[!0I2PqiL`j
+!mn]srK%#`rP/BZs02H`rI4g^ricL>E.;6o56-fCDuuYNE;_Hj?i<4fJ,YQ)?i6#cTDSZe?i4m;
+TCW$]E;P.`^]*-gYibucE;`$!J,Z\OT@a*n~>
+jo5<Fqb[30rdP'4E52F&r_WKAr360mo)JT+qp>8Urh&TXs*sudqOdVgrgs0to)JT+r8.R[5>_6,
+pTOY4^!Q_mrfHcVs.9;+q;2D'hqtZQ^X2n_!8m\#rSIUIr/^p*rLa,:rkAGprh'+Mr4`<[^VB].
+!3lI;s3UeMrK-u-!5JN;"42":?iE7iOSj&!T5\cJ0E>JY5Q-*2OSN8\OT1sMs8HC'E;,t)ORrMO
+E;P.^^B!0hYiYlbE;`#uJ,Z\OT@a*n~>
+jo5<Fqb[30rdP'4E52F&r_WKAr360mo)JT+qp>8Urh&TXs*sudqOdVgrgs0to)JT+r8.R[5>_6,
+pTOY4^!Q_mrfHcVs.9;+q;2D'hqtZQ^X2n_!8m\#rSIUIr/^p*rLa,:rkAGprh'+Mr4`<[^VB].
+!3lI;s3UeMrK-u-!5JN;"42":?iE7iOSj&!T5\cJ0E>JY5Q-*2OSN8\OT1sMs8HC'E;,t)ORrMO
+E;P.^^B!0hYiYlbE;`#uJ,Z\OT@a*n~>
+jo5<Fqb[30rdP'4E52F&r_WKAr360mo)JT+qp>8Urh&TXs*sudqOdVgrgs0to)JT+r8.R[5>_6,
+pTOY4^!Q_mrfHcVs.9;+q;2D'hqtZQ^X2n_!8m\#rSIUIr/^p*rLa,:rkAGprh'+Mr4`<[^VB].
+!3lI;s3UeMrK-u-!5JN;"42":?iE7iOSj&!T5\cJ0E>JY5Q-*2OSN8\OT1sMs8HC'E;,t)ORrMO
+E;P.^^B!0hYiYlbE;`#uJ,Z\OT@a*n~>
+k5PKi5;<"3r,DXb"-@L%J,N4AJ,HPLTC`*[E;S#[^]'i*E:*Z*J,O?_TDGekT)`6hs8$^6hu>q;
+J+g)IT<PoRrkJDnoWS>Bp##b`r3-1Yqp>?"!RRJ:O9!Z+TE!:<^AsApTDO`J^B1XS^\s5oYl2<<
+d'0bQOSsY/^](G>T5]9er]gFErGVh1E,bb0!+5[hrI=j/pg<r\rh',grEoJApRh'Wrc%aaq7lm4
+!2&ER!.Xo2r."XKs.@pCJ,~>
+k5PKi5;<"3r,DXb"-@L%J,N4AJ,HPLTC`*[E;S#[^]'i*E:*Z*J,O?_TDGekT)`6hs8$^6hu>q;
+J+g)IT<PoRrkJDnoWS>Bp##b`r3-1Yqp>?"!RRJ:O9!Z+TE!:<^AsApTDO`J^B1XS^\s5oYl2<<
+d'0bQOSsY/^](G>T5]9er]gFErGVh1E,bb0!+5[hrI=j/pg<r\rh',grEoJApRh'Wrc%aaq7lm4
+!2&ER!.Xo2r."XKs.@pCJ,~>
+k5PKi5;<"3r,DXb"-@L%J,N4AJ,HPLTC`*[E;S#[^]'i*E:*Z*J,O?_TDGekT)`6hs8$^6hu>q;
+J+g)IT<PoRrkJDnoWS>Bp##b`r3-1Yqp>?"!RRJ:O9!Z+TE!:<^AsApTDO`J^B1XS^\s5oYl2<<
+d'0bQOSsY/^](G>T5]9er]gFErGVh1E,bb0!+5[hrI=j/pg<r\rh',grEoJApRh'Wrc%aaq7lm4
+!2&ER!.Xo2r."XKs.@pCJ,~>
+k5YHGs"OCJr,DXb"-C:tJ,N4AJ,HPMTCW$[E;S#[^\seks8?p5TDPkjTCMsYE<"hq5P]g'YlC?q
+Yi=%-YlDK8hrE)_^]'>hYl2rEhZD0^hu:CfYkufHhZ9sRr/^p*rLX):rkAGprh'+Mr4`<[^VB`/
+s02L;!mn0UrK-u-!5JN;".sO^?iE:iOSs,"Y]+R[0E>JY5Q-*3OSE2\OT1sMs867'E;,t)ORrMP
+E;P.\^\tA:TB6(QJ,MV0J,?GMT@X$m~>
+k5YHGs"OCJr,DXb"-C:tJ,N4AJ,HPMTCW$[E;S#[^\seks8?p5TDPkjTCMsYE<"hq5P]g'YlC?q
+Yi=%-YlDK8hrE)_^]'>hYl2rEhZD0^hu:CfYkufHhZ9sRr/^p*rLX):rkAGprh'+Mr4`<[^VB`/
+s02L;!mn0UrK-u-!5JN;".sO^?iE:iOSs,"Y]+R[0E>JY5Q-*3OSE2\OT1sMs867'E;,t)ORrMP
+E;P.\^\tA:TB6(QJ,MV0J,?GMT@X$m~>
+k5YHGs"OCJr,DXb"-C:tJ,N4AJ,HPMTCW$[E;S#[^\seks8?p5TDPkjTCMsYE<"hq5P]g'YlC?q
+Yi=%-YlDK8hrE)_^]'>hYl2rEhZD0^hu:CfYkufHhZ9sRr/^p*rLX):rkAGprh'+Mr4`<[^VB`/
+s02L;!mn0UrK-u-!5JN;".sO^?iE:iOSs,"Y]+R[0E>JY5Q-*3OSE2\OT1sMs867'E;,t)ORrMP
+E;P.\^\tA:TB6(QJ,MV0J,?GMT@X$m~>
+k5YHGr@e4Jr,DXb"-@K:J,N4@J,HPMTC`*[E;S#[^]'kls8?p5TDPkjTCDmYE;i)tJ+p2HTDl(`
+d.FR6^ZOGPd/LfYOSZ3Yd.uQ"d,4i;!7:YJ!8m\#s5*j]TDXcNd/BR=d(d>Wrh'(Lr4`<;^OQ3D
+!3lI;!mn0UrK%#`rdOp_ricKsE.;6n56-fDDuu,?E;_Hj?iE7iOT'b/OSE2\OT1sNs7fsqTC`*^
+E;P.]^\k=trr@QI5Pos-YQ1<Hs*t~>
+k5YHGr@e4Jr,DXb"-@K:J,N4@J,HPMTC`*[E;S#[^]'kls8?p5TDPkjTCDmYE;i)tJ+p2HTDl(`
+d.FR6^ZOGPd/LfYOSZ3Yd.uQ"d,4i;!7:YJ!8m\#s5*j]TDXcNd/BR=d(d>Wrh'(Lr4`<;^OQ3D
+!3lI;!mn0UrK%#`rdOp_ricKsE.;6n56-fDDuu,?E;_Hj?iE7iOT'b/OSE2\OT1sNs7fsqTC`*^
+E;P.]^\k=trr@QI5Pos-YQ1<Hs*t~>
+k5YHGr@e4Jr,DXb"-@K:J,N4@J,HPMTC`*[E;S#[^]'kls8?p5TDPkjTCDmYE;i)tJ+p2HTDl(`
+d.FR6^ZOGPd/LfYOSZ3Yd.uQ"d,4i;!7:YJ!8m\#s5*j]TDXcNd/BR=d(d>Wrh'(Lr4`<;^OQ3D
+!3lI;!mn0UrK%#`rdOp_ricKsE.;6n56-fDDuu,?E;_Hj?iE7iOT'b/OSE2\OT1sNs7fsqTC`*^
+E;P.]^\k=trr@QI5Pos-YQ1<Hs*t~>
+k5YHGr%S%frdP$3J%pL3;#Gh@Yl:6p^[qL'E;S#[^]'i*E:*](E;H4'Yl13`s86j9*rpfgE;tF^
+Yl13mYl)l7YiidbhZLX?^VB`/rNQ(DqVV;!s1\Q\r3-1Yqp>B#s.B4N!7:\:"44ftOT(mMOSlip
+YeRsOO8uN_^]1P;O8uNaIfR7_YQLM:Ip`.=!0I.u!g%@Cr@e4Yr]^CErdXs0pg<r\rh'/hpg=#^
+qO[bLo`+o0qg\IWr3-0njo5=1rBL40qQKslf)L7~>
+k5YHGr%S%frdP$3J%pL3;#Gh@Yl:6p^[qL'E;S#[^]'i*E:*](E;H4'Yl13`s86j9*rpfgE;tF^
+Yl13mYl)l7YiidbhZLX?^VB`/rNQ(DqVV;!s1\Q\r3-1Yqp>B#s.B4N!7:\:"44ftOT(mMOSlip
+YeRsOO8uN_^]1P;O8uNaIfR7_YQLM:Ip`.=!0I.u!g%@Cr@e4Yr]^CErdXs0pg<r\rh'/hpg=#^
+qO[bLo`+o0qg\IWr3-0njo5=1rBL40qQKslf)L7~>
+k5YHGr%S%frdP$3J%pL3;#Gh@Yl:6p^[qL'E;S#[^]'i*E:*](E;H4'Yl13`s86j9*rpfgE;tF^
+Yl13mYl)l7YiidbhZLX?^VB`/rNQ(DqVV;!s1\Q\r3-1Yqp>B#s.B4N!7:\:"44ftOT(mMOSlip
+YeRsOO8uN_^]1P;O8uNaIfR7_YQLM:Ip`.=!0I.u!g%@Cr@e4Yr]^CErdXs0pg<r\rh'/hpg=#^
+qO[bLo`+o0qg\IWr3-0njo5=1rBL40qQKslf)L7~>
+k5YHGr%S"es,[>4YeP\e;#>b?Yl:6p^[qL'E;S#[^]0o+E:*]'E;Q:(Yl13_s8Hs>0HVBdqf)S-
+q69girNH<AOR9:+^[0h[^X0a1rK-^!qVV>"s1\Q\r3-1Yqp5H&d%?s/OT3],TE!7@^Q=PLTDO`K
+^B1XS^\s8oYl2?:Yl9^aYl9.P^]1M@T5]9e?iE7iOS`ts+9!to?iE7iOT'b0OSE2\OT1sNs7ft"
+OSb[As8R'8J,-kXYQ1<Wrr@QI5Q$$-YlC?Hs*t~>
+k5YHGr%S"es,[>4YeP\e;#>b?Yl:6p^[qL'E;S#[^]0o+E:*]'E;Q:(Yl13_s8Hs>0HVBdqf)S-
+q69girNH<AOR9:+^[0h[^X0a1rK-^!qVV>"s1\Q\r3-1Yqp5H&d%?s/OT3],TE!7@^Q=PLTDO`K
+^B1XS^\s8oYl2?:Yl9^aYl9.P^]1M@T5]9e?iE7iOS`ts+9!to?iE7iOT'b0OSE2\OT1sNs7ft"
+OSb[As8R'8J,-kXYQ1<Wrr@QI5Q$$-YlC?Hs*t~>
+k5YHGr%S"es,[>4YeP\e;#>b?Yl:6p^[qL'E;S#[^]0o+E:*]'E;Q:(Yl13_s8Hs>0HVBdqf)S-
+q69girNH<AOR9:+^[0h[^X0a1rK-^!qVV>"s1\Q\r3-1Yqp5H&d%?s/OT3],TE!7@^Q=PLTDO`K
+^B1XS^\s8oYl2?:Yl9^aYl9.P^]1M@T5]9e?iE7iOS`ts+9!to?iE7iOT'b0OSE2\OT1sNs7ft"
+OSb[As8R'8J,-kXYQ1<Wrr@QI5Q$$-YlC?Hs*t~>
+kPkTj5<o*#qf)Or!e7t7rD<EAr36-l!5J1+r,DP[r4i9(!-%?*r,DP*qQTpjmf3<+"#(f=J,=3a
+TDGejTDl(pDuc!iYg1#Qhtk+]d.uQ%d(d?Bd/C3Khu(h&hpA"nOT3],TE!7=^QAGer/gik!jKFh
+rK%#`rP/B:rf@,arI5'eYcsa=IpZR^56-fBDu_!Z0`PMZ56-fEIfkdO:f.!qrK.#NrI=TLqiLcK
+!0HjQrc%dbq7lm4!0H:ArBL1/qQU!lf)L7~>
+kPkTj5<o*#qf)Or!e7t7rD<EAr36-l!5J1+r,DP[r4i9(!-%?*r,DP*qQTpjmf3<+"#(f=J,=3a
+TDGejTDl(pDuc!iYg1#Qhtk+]d.uQ%d(d?Bd/C3Khu(h&hpA"nOT3],TE!7=^QAGer/gik!jKFh
+rK%#`rP/B:rf@,arI5'eYcsa=IpZR^56-fBDu_!Z0`PMZ56-fEIfkdO:f.!qrK.#NrI=TLqiLcK
+!0HjQrc%dbq7lm4!0H:ArBL1/qQU!lf)L7~>
+kPkTj5<o*#qf)Or!e7t7rD<EAr36-l!5J1+r,DP[r4i9(!-%?*r,DP*qQTpjmf3<+"#(f=J,=3a
+TDGejTDl(pDuc!iYg1#Qhtk+]d.uQ%d(d?Bd/C3Khu(h&hpA"nOT3],TE!7=^QAGer/gik!jKFh
+rK%#`rP/B:rf@,arI5'eYcsa=IpZR^56-fBDu_!Z0`PMZ56-fEIfkdO:f.!qrK.#NrI=TLqiLcK
+!0HjQrc%dbq7lm4!0H:ArBL1/qQU!lf)L7~>
+kPkTj5<o*#qf)Or!e7t7rD<EAr360m!5J.*r,DS\qnN0'!-%B+r,DM)qlp$k!-%E,s)8&o+!6"1
+E;Q:+Yl(-nYl8VAOS5pK^]0DiTC^Fr^\$F[^\?+OhZV<@^X1@*YQ3SYciW+OTDXfNd/K[;d/T4-
+TDO`K^B1XSJ,PK/Yl;E;Yl0[^Ig<`mYb,laIp`1>s,d.tr@n7Yr]g@2!0I.U!'gEhr/goMrdX]M
+qN1ZJo`+o0r."OWr358^!.Xu4qg\IHs.@jAJ,~>
+kPkTj5<o*#qf)Or!e7t7rD<EAr360m!5J.*r,DS\qnN0'!-%B+r,DM)qlp$k!-%E,s)8&o+!6"1
+E;Q:+Yl(-nYl8VAOS5pK^]0DiTC^Fr^\$F[^\?+OhZV<@^X1@*YQ3SYciW+OTDXfNd/K[;d/T4-
+TDO`K^B1XSJ,PK/Yl;E;Yl0[^Ig<`mYb,laIp`1>s,d.tr@n7Yr]g@2!0I.U!'gEhr/goMrdX]M
+qN1ZJo`+o0r."OWr358^!.Xu4qg\IHs.@jAJ,~>
+kPkTj5<o*#qf)Or!e7t7rD<EAr360m!5J.*r,DS\qnN0'!-%B+r,DM)qlp$k!-%E,s)8&o+!6"1
+E;Q:+Yl(-nYl8VAOS5pK^]0DiTC^Fr^\$F[^\?+OhZV<@^X1@*YQ3SYciW+OTDXfNd/K[;d/T4-
+TDO`K^B1XSJ,PK/Yl;E;Yl0[^Ig<`mYb,laIp`1>s,d.tr@n7Yr]g@2!0I.U!'gEhr/goMrdX]M
+qN1ZJo`+o0r."OWr358^!.Xu4qg\IHs.@jAJ,~>
+kPtNGr@n+frf@/1^\q"+J,HPMT)d71rr@QIE;S#[^]0o,E7"(Rr,DV=rh'(lrLX(/mf*?-0H^:D
+rG_S)!3l?ms02NBrK-r]pqQ]fq60l!rNPpdi6_5UqS2dOqVV=fs3U\J!8m_$!oL5Sr/gs*rh'5;
+!0I2Pr/gll"0fPTJ,YQ0Yl;E;Yl0[^Ig<`mYb,laIp`1>s,d8"!g%A?r@n7Yr]gC3s,d4Vr]gBh
+r/grNrI=TLqiLcK!0I20q#C>4r."aNqnN'5!0H=B!.Xr3qg\IHs.@jAJ,~>
+kPtNGr@n+frf@/1^\q"+J,HPMT)d71rr@QIE;S#[^]0o,E7"(Rr,DV=rh'(lrLX(/mf*?-0H^:D
+rG_S)!3l?ms02NBrK-r]pqQ]fq60l!rNPpdi6_5UqS2dOqVV=fs3U\J!8m_$!oL5Sr/gs*rh'5;
+!0I2Pr/gll"0fPTJ,YQ0Yl;E;Yl0[^Ig<`mYb,laIp`1>s,d8"!g%A?r@n7Yr]gC3s,d4Vr]gBh
+r/grNrI=TLqiLcK!0I20q#C>4r."aNqnN'5!0H=B!.Xr3qg\IHs.@jAJ,~>
+kPtNGr@n+frf@/1^\q"+J,HPMT)d71rr@QIE;S#[^]0o,E7"(Rr,DV=rh'(lrLX(/mf*?-0H^:D
+rG_S)!3l?ms02NBrK-r]pqQ]fq60l!rNPpdi6_5UqS2dOqVV=fs3U\J!8m_$!oL5Sr/gs*rh'5;
+!0I2Pr/gll"0fPTJ,YQ0Yl;E;Yl0[^Ig<`mYb,laIp`1>s,d8"!g%A?r@n7Yr]gC3s,d4Vr]gBh
+r/grNrI=TLqiLcK!0I20q#C>4r."aNqnN'5!0H=B!.Xr3qg\IHs.@jAJ,~>
+kPtQHr%S"es,d50rD<EAr360ms3UE<!.Xrdr6Y>U!hXGYmf33(qlg(8r36-l!-%B+s"FEprdXlc
+nt,odrc%gt!O0?5OSuB`ORW;MIfRjnYlDK4TB";ohtk+^d/2`#^])UYYlEVZciW*sTDXfNd/K[;
+ciB1,TDXfL^B1XSJ,PH/Yl;E;Yl0X`Yl9+W^Tar7E.<@Er]gFEs)8%$E$,$4!+5[hrdOs1E;i]3
+56,'hOT(mOJ,!CIOT(mHJ,Z)>E;Y4aYl)97YQ0dGrr@QJ5Pos+YQ1<Fs*t~>
+kPtQHr%S"es,d50rD<EAr360ms3UE<!.Xrdr6Y>U!hXGYmf33(qlg(8r36-l!-%B+s"FEprdXlc
+nt,odrc%gt!O0?5OSuB`ORW;MIfRjnYlDK4TB";ohtk+^d/2`#^])UYYlEVZciW*sTDXfNd/K[;
+ciB1,TDXfL^B1XSJ,PH/Yl;E;Yl0X`Yl9+W^Tar7E.<@Er]gFEs)8%$E$,$4!+5[hrdOs1E;i]3
+56,'hOT(mOJ,!CIOT(mHJ,Z)>E;Y4aYl)97YQ0dGrr@QJ5Pos+YQ1<Fs*t~>
+kPtQHr%S"es,d50rD<EAr360ms3UE<!.Xrdr6Y>U!hXGYmf33(qlg(8r36-l!-%B+s"FEprdXlc
+nt,odrc%gt!O0?5OSuB`ORW;MIfRjnYlDK4TB";ohtk+^d/2`#^])UYYlEVZciW*sTDXfNd/K[;
+ciB1,TDXfL^B1XSJ,PH/Yl;E;Yl0X`Yl9+W^Tar7E.<@Er]gFEs)8%$E$,$4!+5[hrdOs1E;i]3
+56,'hOT(mOJ,!CIOT(mHJ,Z)>E;Y4aYl)97YQ0dGrr@QJ5Pos+YQ1<Fs*t~>
+kPtQHr%S%frf@/1Yl%>qJ,HPMTE!:2rr@QIE;S#[^]0o,E7"(R!.Xrdqlp(7ril?n!-%B+s"FEp
+rdXodnt,odrc%[ps02KAqqqCW!0HaNqgS^P^VA.nYkl-3TB=MuhZ2%"^\H1QhZV<@^X1@+YlEVY
+d/Ta:OT*W,TE!:<OT1sMOT)urYeP\dOT2Qb^](J:O8uNaIg<`mYb,laIp`1>s,d8"!g%@Cr@e4Y
+r]^CErdOp0rD<DVrdXs0rh&jjqiLcKomcs[qg\OJrkJE9!0H:A!.Xu4qg\FG!2%a?J,~>
+kPtQHr%S%frf@/1Yl%>qJ,HPMTE!:2rr@QIE;S#[^]0o,E7"(R!.Xrdqlp(7ril?n!-%B+s"FEp
+rdXodnt,odrc%[ps02KAqqqCW!0HaNqgS^P^VA.nYkl-3TB=MuhZ2%"^\H1QhZV<@^X1@+YlEVY
+d/Ta:OT*W,TE!:<OT1sMOT)urYeP\dOT2Qb^](J:O8uNaIg<`mYb,laIp`1>s,d8"!g%@Cr@e4Y
+r]^CErdOp0rD<DVrdXs0rh&jjqiLcKomcs[qg\OJrkJE9!0H:A!.Xu4qg\FG!2%a?J,~>
+kPtQHr%S%frf@/1Yl%>qJ,HPMTE!:2rr@QIE;S#[^]0o,E7"(R!.Xrdqlp(7ril?n!-%B+s"FEp
+rdXodnt,odrc%[ps02KAqqqCW!0HaNqgS^P^VA.nYkl-3TB=MuhZ2%"^\H1QhZV<@^X1@+YlEVY
+d/Ta:OT*W,TE!:<OT1sMOT)urYeP\dOT2Qb^](J:O8uNaIg<`mYb,laIp`1>s,d8"!g%@Cr@e4Y
+r]^CErdOp0rD<DVrdXs0rh&jjqiLcKomcs[qg\OJrkJE9!0H:A!.Xu4qg\FG!2%a?J,~>
+kl1]k5<o*#!.XocrfI/0rD<B@r360ms3UK>s*sudr6Y>U".sPZd.%&8J,F9_Yl;E;Yl10oE:3c+
+0E<3oJ,XE\T)auPTD`a.OT#4Z?i=sCd/Mr%YQ0dTs8.9GYl;E6d/:-A^]'kid/Mo&d.tHPd/;c(
+d(d?Bd/C3Jhu1q%TDalNd/Ta<ciB1,TDXfM^B:^T^OQ6Es02O<rilB`!3lHPs1])KT5\b!?XH#^
+OH=F#ODl<@0`PMZ56-fEIfOHe;#<KRJ+[1FOT(mFJ,XEaJ,6AL^\tD:OQ?EC5>Y2UOSs\)YQ1<E
+s*t~>
+kl1]k5<o*#!.XocrfI/0rD<B@r360ms3UK>s*sudr6Y>U".sPZd.%&8J,F9_Yl;E;Yl10oE:3c+
+0E<3oJ,XE\T)auPTD`a.OT#4Z?i=sCd/Mr%YQ0dTs8.9GYl;E6d/:-A^]'kid/Mo&d.tHPd/;c(
+d(d?Bd/C3Jhu1q%TDalNd/Ta<ciB1,TDXfM^B:^T^OQ6Es02O<rilB`!3lHPs1])KT5\b!?XH#^
+OH=F#ODl<@0`PMZ56-fEIfOHe;#<KRJ+[1FOT(mFJ,XEaJ,6AL^\tD:OQ?EC5>Y2UOSs\)YQ1<E
+s*t~>
+kl1]k5<o*#!.XocrfI/0rD<B@r360ms3UK>s*sudr6Y>U".sPZd.%&8J,F9_Yl;E;Yl10oE:3c+
+0E<3oJ,XE\T)auPTD`a.OT#4Z?i=sCd/Mr%YQ0dTs8.9GYl;E6d/:-A^]'kid/Mo&d.tHPd/;c(
+d(d?Bd/C3Jhu1q%TDalNd/Ta<ciB1,TDXfM^B:^T^OQ6Es02O<rilB`!3lHPs1])KT5\b!?XH#^
+OH=F#ODl<@0`PMZ56-fEIfOHe;#<KRJ+[1FOT(mFJ,XEaJ,6AL^\tD:OQ?EC5>Y2UOSs\)YQ1<E
+s*t~>
+kl1]k5<o*#!.XocrfI/0rD<EAr360mrm:B=!.Xrdqp>8Us.9@3d*V:^!.Xrdqlp"5!3lHp!-%B+
+s"OD$rc%S's,d8Qrc%juqu?\'rG__^s53j\!0HdOkg973o"XP<!T29"^\Q7ThZD0>^])UYYlEVZ
+d/Ta:OT3],T*3N&OIr0BOT)urYeP\eOT)Ka^]1P;O8uNaJ,d7jYb,lRIpZPI5EM!*Du_!Z0`PMZ
+56-fEJ,N4A56,[!J+d7GOStgFJ,XEaJ+^&GOQ?EAJ,W:BO8se+YQ1<Ds*t~>
+kl1]k5<o*#!.XocrfI/0rD<EAr360mrm:B=!.Xrdqp>8Us.9@3d*V:^!.Xrdqlp"5!3lHp!-%B+
+s"OD$rc%S's,d8Qrc%juqu?\'rG__^s53j\!0HdOkg973o"XP<!T29"^\Q7ThZD0>^])UYYlEVZ
+d/Ta:OT3],T*3N&OIr0BOT)urYeP\eOT)Ka^]1P;O8uNaJ,d7jYb,lRIpZPI5EM!*Du_!Z0`PMZ
+56-fEJ,N4A56,[!J+d7GOStgFJ,XEaJ+^&GOQ?EAJ,W:BO8se+YQ1<Ds*t~>
+kl1]k5<o*#!.XocrfI/0rD<EAr360mrm:B=!.Xrdqp>8Us.9@3d*V:^!.Xrdqlp"5!3lHp!-%B+
+s"OD$rc%S's,d8Qrc%juqu?\'rG__^s53j\!0HdOkg973o"XP<!T29"^\Q7ThZD0>^])UYYlEVZ
+d/Ta:OT3],T*3N&OIr0BOT)urYeP\eOT)Ka^]1P;O8uNaJ,d7jYb,lRIpZPI5EM!*Du_!Z0`PMZ
+56-fEJ,N4A56,[!J+d7GOStgFJ,XEaJ+^&GOQ?EAJ,W:BO8se+YQ1<Ds*t~>
+kl1]k5<o*#!.Xocrf@,0rD<B@r360mrm:E>s*sudr6Y>Us.B;;nc&T=r,DP;r4`?<T:^)js8OeN
+IfOH\TDjoPTDig0OS\tX:ga0?qp>>H!0I-Y!5II=rnm\$rNQ(3rNP\9!T29"^\Q7UhZD0>^])UY
+YlEV[ciUGDTDalOd/KX<d#e7!r/gom!jKFhrK.&`s1eT<rf@,ardXs_&$V[FE.;5%5<k6kE0,$X
++9!to?iE7lOFMb!r_WJVqLA0FqiLcKqLAI9rc%aaos"IXrikPbr_WKR!7:PG!2%^>J,~>
+kl1]k5<o*#!.Xocrf@,0rD<B@r360mrm:E>s*sudr6Y>Us.B;;nc&T=r,DP;r4`?<T:^)js8OeN
+IfOH\TDjoPTDig0OS\tX:ga0?qp>>H!0I-Y!5II=rnm\$rNQ(3rNP\9!T29"^\Q7UhZD0>^])UY
+YlEV[ciUGDTDalOd/KX<d#e7!r/gom!jKFhrK.&`s1eT<rf@,ardXs_&$V[FE.;5%5<k6kE0,$X
++9!to?iE7lOFMb!r_WJVqLA0FqiLcKqLAI9rc%aaos"IXrikPbr_WKR!7:PG!2%^>J,~>
+kl1]k5<o*#!.Xocrf@,0rD<B@r360mrm:E>s*sudr6Y>Us.B;;nc&T=r,DP;r4`?<T:^)js8OeN
+IfOH\TDjoPTDig0OS\tX:ga0?qp>>H!0I-Y!5II=rnm\$rNQ(3rNP\9!T29"^\Q7UhZD0>^])UY
+YlEV[ciUGDTDalOd/KX<d#e7!r/gom!jKFhrK.&`s1eT<rf@,ardXs_&$V[FE.;5%5<k6kE0,$X
++9!to?iE7lOFMb!r_WJVqLA0FqiLcKqLAI9rc%aaos"IXrikPbr_WKR!7:PG!2%^>J,~>
+kl:WHr@e5$r,D[ts*suDr."XKrh'/9p\t5CrG_Y\r4i9(rQt*7r,DP;r4i3&n,NA@r-n]coq28G
+s'PeFs,d$U!+5YCqp>AI!0I3[r4hXGn_a)frilF;pos56!T29"^\Q7VhZD0>^])UYYl<P[d/K[9
+OT3],TDt#QTDO`M^B:^T^OQ6Es02O<s02Ka!3lHPs1\iDT5\b!?XH#^rK.%u!$D1os'Pai"-A"^
+E;i]356,[!J,aK_?i#l`TD=!9TDig,J+TrFOSkaMYj;>g;#?@Qd/:*JT@*[h~>
+kl:WHr@e5$r,D[ts*suDr."XKrh'/9p\t5CrG_Y\r4i9(rQt*7r,DP;r4i3&n,NA@r-n]coq28G
+s'PeFs,d$U!+5YCqp>AI!0I3[r4hXGn_a)frilF;pos56!T29"^\Q7VhZD0>^])UYYl<P[d/K[9
+OT3],TDt#QTDO`M^B:^T^OQ6Es02O<s02Ka!3lHPs1\iDT5\b!?XH#^rK.%u!$D1os'Pai"-A"^
+E;i]356,[!J,aK_?i#l`TD=!9TDig,J+TrFOSkaMYj;>g;#?@Qd/:*JT@*[h~>
+kl:WHr@e5$r,D[ts*suDr."XKrh'/9p\t5CrG_Y\r4i9(rQt*7r,DP;r4i3&n,NA@r-n]coq28G
+s'PeFs,d$U!+5YCqp>AI!0I3[r4hXGn_a)frilF;pos56!T29"^\Q7VhZD0>^])UYYl<P[d/K[9
+OT3],TDt#QTDO`M^B:^T^OQ6Es02O<s02Ka!3lHPs1\iDT5\b!?XH#^rK.%u!$D1os'Pai"-A"^
+E;i]356,[!J,aK_?i#l`TD=!9TDig,J+TrFOSkaMYj;>g;#?@Qd/:*JT@*[h~>
+kl:WHr@e5$rG_at!.XoCr."XKrh'/9q#CADrG_\]qnE0(J,Rabrr@QHE;Zs;^]'i*E:El/0L%f"
+J+TB5OT/\fDuc!orrGr'rG_Y\s0)Qds,d&kqU"<\p<`fRos!u5!oMAOpqQ^Qs53k'!5JKZrilCZ
+s3Ub;rfI-+s.9G@OH?*,r/gom!jKFhrfI,`!l(tDrfI/ardP6hYb,lRIpZPI5Q-ZFE$$2$0`PMZ
+56?prE;`W256,[!IfOH^?i,r`TD=!:TDW[,J+TuFOSGIIYjh\l;#?@Od/C0KT@*[h~>
+kl:WHr@e5$rG_at!.XoCr."XKrh'/9q#CADrG_\]qnE0(J,Rabrr@QHE;Zs;^]'i*E:El/0L%f"
+J+TB5OT/\fDuc!orrGr'rG_Y\s0)Qds,d&kqU"<\p<`fRos!u5!oMAOpqQ^Qs53k'!5JKZrilCZ
+s3Ub;rfI-+s.9G@OH?*,r/gom!jKFhrfI,`!l(tDrfI/ardP6hYb,lRIpZPI5Q-ZFE$$2$0`PMZ
+56?prE;`W256,[!IfOH^?i,r`TD=!:TDW[,J+TuFOSGIIYjh\l;#?@Od/C0KT@*[h~>
+kl:WHr@e5$rG_at!.XoCr."XKrh'/9q#CADrG_\]qnE0(J,Rabrr@QHE;Zs;^]'i*E:El/0L%f"
+J+TB5OT/\fDuc!orrGr'rG_Y\s0)Qds,d&kqU"<\p<`fRos!u5!oMAOpqQ^Qs53k'!5JKZrilCZ
+s3Ub;rfI-+s.9G@OH?*,r/gom!jKFhrfI,`!l(tDrfI/ardP6hYb,lRIpZPI5Q-ZFE$$2$0`PMZ
+56?prE;`W256,[!IfOH^?i,r`TD=!:TDW[,J+TuFOSGIIYjh\l;#?@Od/C0KT@*[h~>
+l2L`jr]gB9s*sudrf@,0rD<B@r360mrQt?>!.Xocr6YAVs.9;+rQt-8r,DP;r4i6'!H>gDs8G7\
+IfQ_FT*16_?Z9uWrr>mnE;\)_YQ0dZ^]2[@hsJeh^\=u'ciW+Od.kBQci`1Pd(fP+rilCZs3Ub;
+rfI-+s.B=Qs.B1Ms1\Z?^OLb4OT2Nb^](J;OT2QaIgNloT5\b!?XH#^rK%/$+!30jra5Xh!g%nN
+r_WJVqLANapg<lZrh'4?qN(]Lq/?=`oW\@Wril*gril(qr_WKRq9],Fd/SU~>
+l2L`jr]gB9s*sudrf@,0rD<B@r360mrQt?>!.Xocr6YAVs.9;+rQt-8r,DP;r4i6'!H>gDs8G7\
+IfQ_FT*16_?Z9uWrr>mnE;\)_YQ0dZ^]2[@hsJeh^\=u'ciW+Od.kBQci`1Pd(fP+rilCZs3Ub;
+rfI-+s.B=Qs.B1Ms1\Z?^OLb4OT2Nb^](J;OT2QaIgNloT5\b!?XH#^rK%/$+!30jra5Xh!g%nN
+r_WJVqLANapg<lZrh'4?qN(]Lq/?=`oW\@Wril*gril(qr_WKRq9],Fd/SU~>
+l2L`jr]gB9s*sudrf@,0rD<B@r360mrQt?>!.Xocr6YAVs.9;+rQt-8r,DP;r4i6'!H>gDs8G7\
+IfQ_FT*16_?Z9uWrr>mnE;\)_YQ0dZ^]2[@hsJeh^\=u'ciW+Od.kBQci`1Pd(fP+rilCZs3Ub;
+rfI-+s.B=Qs.B1Ms1\Z?^OLb4OT2Nb^](J;OT2QaIgNloT5\b!?XH#^rK%/$+!30jra5Xh!g%nN
+r_WJVqLANapg<lZrh'4?qN(]Lq/?=`oW\@Wril*gril(qr_WKRq9],Fd/SU~>
+l2L`jr]gB9s*sudrf@,0rD<EAr360mr6Y9>s*sudqp>8U!hXtWrQt09!.Xocr36(5rgs4q^[hF'
+5Q$$2YkF[hOT&VZrr>mnE;e/`TD-+td.#rad/Dkkd/:ZRYk-3ChpA"j^\c@ZhpB.:d/C3JhZ2%&
+TDjrOd/Ta<OT1sNOT3&tYeRr&rfI/a!5JN;rf@,ardXs_#G5sSIpZPI5Q-ZHE$$/U0`GGZ5Q?fG
+Im<p/r'(1#qL8Kapg<lZrL`kHpMff0s,clWqk*klqZ$OkqiLX#ricBpd/SU~>
+l2L`jr]gB9s*sudrf@,0rD<EAr360mr6Y9>s*sudqp>8U!hXtWrQt09!.Xocr36(5rgs4q^[hF'
+5Q$$2YkF[hOT&VZrr>mnE;e/`TD-+td.#rad/Dkkd/:ZRYk-3ChpA"j^\c@ZhpB.:d/C3JhZ2%&
+TDjrOd/Ta<OT1sNOT3&tYeRr&rfI/a!5JN;rf@,ardXs_#G5sSIpZPI5Q-ZHE$$/U0`GGZ5Q?fG
+Im<p/r'(1#qL8Kapg<lZrL`kHpMff0s,clWqk*klqZ$OkqiLX#ricBpd/SU~>
+l2L`jr]gB9s*sudrf@,0rD<EAr360mr6Y9>s*sudqp>8U!hXtWrQt09!.Xocr36(5rgs4q^[hF'
+5Q$$2YkF[hOT&VZrr>mnE;e/`TD-+td.#rad/Dkkd/:ZRYk-3ChpA"j^\c@ZhpB.:d/C3JhZ2%&
+TDjrOd/Ta<OT1sNOT3&tYeRr&rfI/a!5JN;rf@,ardXs_#G5sSIpZPI5Q-ZHE$$/U0`GGZ5Q?fG
+Im<p/r'(1#qL8Kapg<lZrL`kHpMff0s,clWqk*klqZ$OkqiLX#ricBpd/SU~>
+l2L`jr]gB9!.XocrfI%Sr."XKrh',8q>^JErG_\]r4i9("b4;6d(ds!s86j5Yl)99T*'&:YeTc/
+r]g=1rNQ'h!0I1eoD\etr,;_aT:bkmpX&lrld5Ibm*P^GpTXA<s5*k(TD61tciCiYd/L9KhZ2%&
+TDjrOciTi$OT(mMO9E>&YeP\eOSc9]O8uNaJ,d7cT5\b!ra,XirK%/$+!30jra5[is,[5"r_WJV
+!-%gb!-%[>qiLcKplP5hs.B"h!0HKM!2'7prr;sor/ga$rNOWJJ,~>
+l2L`jr]gB9!.XocrfI%Sr."XKrh',8q>^JErG_\]r4i9("b4;6d(ds!s86j5Yl)99T*'&:YeTc/
+r]g=1rNQ'h!0I1eoD\etr,;_aT:bkmpX&lrld5Ibm*P^GpTXA<s5*k(TD61tciCiYd/L9KhZ2%&
+TDjrOciTi$OT(mMO9E>&YeP\eOSc9]O8uNaJ,d7cT5\b!ra,XirK%/$+!30jra5[is,[5"r_WJV
+!-%gb!-%[>qiLcKplP5hs.B"h!0HKM!2'7prr;sor/ga$rNOWJJ,~>
+l2L`jr]gB9!.XocrfI%Sr."XKrh',8q>^JErG_\]r4i9("b4;6d(ds!s86j5Yl)99T*'&:YeTc/
+r]g=1rNQ'h!0I1eoD\etr,;_aT:bkmpX&lrld5Ibm*P^GpTXA<s5*k(TD61tciCiYd/L9KhZ2%&
+TDjrOciTi$OT(mMO9E>&YeP\eOSc9]O8uNaJ,d7cT5\b!ra,XirK%/$+!30jra5[is,[5"r_WJV
+!-%gb!-%[>qiLcKplP5hs.B"h!0HKM!2'7prr;sor/ga$rNOWJJ,~>
+l2Lfl5<o*#!.Xocs,[51rD<B@rNQ9nqp>3>s*sudqp>8Us.B>+s3Le]d.I><J,F9`Yku38T*'&:
+YeTf0r]g=1r36!h!0I1eo)JZ-s.9:QpqP\4p###\rP/*2pWs$"d*SEZ^\lIY^\uOYYlES]d'3MA
+rfI-+"J:d;T:c%Cs1\Z?^OLb4OSl?^O8uNaJ,d7cT5\b!ra,XirfI/!ru_7pra5[i!g%mrr_WMW
+!-%da!<;h$qN1]K!.Xd*pi-2(pojd\TBNNY^AuX[:]ul0Iuocfd/C0KT?mOf~>
+l2Lfl5<o*#!.Xocs,[51rD<B@rNQ9nqp>3>s*sudqp>8Us.B>+s3Le]d.I><J,F9`Yku38T*'&:
+YeTf0r]g=1r36!h!0I1eo)JZ-s.9:QpqP\4p###\rP/*2pWs$"d*SEZ^\lIY^\uOYYlES]d'3MA
+rfI-+"J:d;T:c%Cs1\Z?^OLb4OSl?^O8uNaJ,d7cT5\b!ra,XirfI/!ru_7pra5[i!g%mrr_WMW
+!-%da!<;h$qN1]K!.Xd*pi-2(pojd\TBNNY^AuX[:]ul0Iuocfd/C0KT?mOf~>
+l2Lfl5<o*#!.Xocs,[51rD<B@rNQ9nqp>3>s*sudqp>8Us.B>+s3Le]d.I><J,F9`Yku38T*'&:
+YeTf0r]g=1r36!h!0I1eo)JZ-s.9:QpqP\4p###\rP/*2pWs$"d*SEZ^\lIY^\uOYYlES]d'3MA
+rfI-+"J:d;T:c%Cs1\Z?^OLb4OSl?^O8uNaJ,d7cT5\b!ra,XirfI/!ru_7pra5[i!g%mrr_WMW
+!-%da!<;h$qN1]K!.Xd*pi-2(pojd\TBNNY^AuX[:]ul0Iuocfd/C0KT?mOf~>
+l2Lfl5<o*#!.XrdrfI%Sr."XKrh')7qZ$SFrG_\]qnEB.J%rbFd(ds"s86j5Yl)99T*'&IYd!a!
+r]g:0r36$i!g$brnc&VsE;lL)^[ohP^[KP>hrW5`^\G&.ci`1Pd%C'Ir6PGYrQtPJs5*h'rLa(N
+rm:Y+s.B4N"M_1U^OQ6Es0)R>Yd"+g!3lHPs1\Z.E,^=+?N<=iO8s8!+9+%o?iN=nODmE\;#<HW
+E;P+bs7]mtOStgHOSEelTDGbnOKbAT^[A?)^]%%0OSsY/nG:N0Yg39!~>
+l2Lfl5<o*#!.XrdrfI%Sr."XKrh')7qZ$SFrG_\]qnEB.J%rbFd(ds"s86j5Yl)99T*'&IYd!a!
+r]g:0r36$i!g$brnc&VsE;lL)^[ohP^[KP>hrW5`^\G&.ci`1Pd%C'Ir6PGYrQtPJs5*h'rLa(N
+rm:Y+s.B4N"M_1U^OQ6Es0)R>Yd"+g!3lHPs1\Z.E,^=+?N<=iO8s8!+9+%o?iN=nODmE\;#<HW
+E;P+bs7]mtOStgHOSEelTDGbnOKbAT^[A?)^]%%0OSsY/nG:N0Yg39!~>
+l2Lfl5<o*#!.XrdrfI%Sr."XKrh')7qZ$SFrG_\]qnEB.J%rbFd(ds"s86j5Yl)99T*'&IYd!a!
+r]g:0r36$i!g$brnc&VsE;lL)^[ohP^[KP>hrW5`^\G&.ci`1Pd%C'Ir6PGYrQtPJs5*h'rLa(N
+rm:Y+s.B4N"M_1U^OQ6Es0)R>Yd"+g!3lHPs1\Z.E,^=+?N<=iO8s8!+9+%o?iN=nODmE\;#<HW
+E;P+bs7]mtOStgHOSEelTDGbnOKbAT^[A?)^]%%0OSsY/nG:N0Yg39!~>
+lMgikr]gB9s*sudrfI(Tqg\OJrh'5;!8me&qu?\Gr,DS\r4i9(#(OD&d*TPSp&Fo.r36+6s.9F5
+^TarWo`+kSr."UJqk!qO?XN@'rh&u#o$I?Mo[*0ds1eQ[mD&>@rP/*2qp>B#s3Lb<pV6[R!5JHY
+s02O\!7:_;rfI**s,d8Qr/_?%YctllIuobrYeREHrfI/as*t'`".sOOJ,WdT5Q6`GE$$2$0`GGZ
+566jbr_WMWs)@jbpL!cYrgs1?q>^5/q4ISh!0I2amD&Y)rP/>.s,d50rp]j4r34HGJ,~>
+lMgikr]gB9s*sudrfI(Tqg\OJrh'5;!8me&qu?\Gr,DS\r4i9(#(OD&d*TPSp&Fo.r36+6s.9F5
+^TarWo`+kSr."UJqk!qO?XN@'rh&u#o$I?Mo[*0ds1eQ[mD&>@rP/*2qp>B#s3Lb<pV6[R!5JHY
+s02O\!7:_;rfI**s,d8Qr/_?%YctllIuobrYeREHrfI/as*t'`".sOOJ,WdT5Q6`GE$$2$0`GGZ
+566jbr_WMWs)@jbpL!cYrgs1?q>^5/q4ISh!0I2amD&Y)rP/>.s,d50rp]j4r34HGJ,~>
+lMgikr]gB9s*sudrfI(Tqg\OJrh'5;!8me&qu?\Gr,DS\r4i9(#(OD&d*TPSp&Fo.r36+6s.9F5
+^TarWo`+kSr."UJqk!qO?XN@'rh&u#o$I?Mo[*0ds1eQ[mD&>@rP/*2qp>B#s3Lb<pV6[R!5JHY
+s02O\!7:_;rfI**s,d8Qr/_?%YctllIuobrYeREHrfI/as*t'`".sOOJ,WdT5Q6`GE$$2$0`GGZ
+566jbr_WMWs)@jbpL!cYrgs1?q>^5/q4ISh!0I2amD&Y)rP/>.s,d50rp]j4r34HGJ,~>
+lMgikr]gB9s*suds,d.Tr."XKrh'2:!8me&qu?\GrG_\]qnN0'"gGbVd*TQ"s86j6Yku38T*0,J
+Yctn7s8G7\J,?JHTDr9is8JVjOSQZ\d/:ZRd.cGq^\H15^]2[[^\=u1d/Vu)d%?s(^]2X\^\lIX
+YQ<Y.rh'1Orm:Y+s.B4N"M_1UIt.HZ!O0?<YlBgbYlB4Q^B:*IE.@jo!'gIE"E5G)0JNH4s$$U)
+5>Y2R56,["IfTNJ?iNt$?i#l_TDAN^E;-"#Yj9%*d'0bQ;#ZRVJ,Jg8d/1&ls*t~>
+lMgikr]gB9s*suds,d.Tr."XKrh'2:!8me&qu?\GrG_\]qnN0'"gGbVd*TQ"s86j6Yku38T*0,J
+Yctn7s8G7\J,?JHTDr9is8JVjOSQZ\d/:ZRd.cGq^\H15^]2[[^\=u1d/Vu)d%?s(^]2X\^\lIX
+YQ<Y.rh'1Orm:Y+s.B4N"M_1UIt.HZ!O0?<YlBgbYlB4Q^B:*IE.@jo!'gIE"E5G)0JNH4s$$U)
+5>Y2R56,["IfTNJ?iNt$?i#l_TDAN^E;-"#Yj9%*d'0bQ;#ZRVJ,Jg8d/1&ls*t~>
+lMgikr]gB9s*suds,d.Tr."XKrh'2:!8me&qu?\GrG_\]qnN0'"gGbVd*TQ"s86j6Yku38T*0,J
+Yctn7s8G7\J,?JHTDr9is8JVjOSQZ\d/:ZRd.cGq^\H15^]2[[^\=u1d/Vu)d%?s(^]2X\^\lIX
+YQ<Y.rh'1Orm:Y+s.B4N"M_1UIt.HZ!O0?<YlBgbYlB4Q^B:*IE.@jo!'gIE"E5G)0JNH4s$$U)
+5>Y2R56,["IfTNJ?iNt$?i#l_TDAN^E;-"#Yj9%*d'0bQ;#ZRVJ,Jg8d/1&ls*t~>
+lMgikr]gB9s*suds,d.Tr."XKrh'2:!8me&qu?\GrG_\]r4i6'"gGbVd*TQ#s8-d5Yl)99T*93'
+n?B.3p&G"Ur."UJqOddpp&Fr/s.B5(n'LsHqp>5tq7lOJgqWm9rkJ33rQtT%!mmR3pV6aT!5JHY
+ricF\d/K[:OT*W+O8tpMO9;`%^OQ6E!O0?<YlBgbYlB4Q^B:*IE.@jo!'gIE"E5G)0JNH4s$$U)
+5>Y2S5Q>^"J,NaR;#Xi!OStgIs7gR+TDGeX^]2[Z;#ZRVJ,Aa8d/1&ks*t~>
+lMgikr]gB9s*suds,d.Tr."XKrh'2:!8me&qu?\GrG_\]r4i6'"gGbVd*TQ#s8-d5Yl)99T*93'
+n?B.3p&G"Ur."UJqOddpp&Fr/s.B5(n'LsHqp>5tq7lOJgqWm9rkJ33rQtT%!mmR3pV6aT!5JHY
+ricF\d/K[:OT*W+O8tpMO9;`%^OQ6E!O0?<YlBgbYlB4Q^B:*IE.@jo!'gIE"E5G)0JNH4s$$U)
+5>Y2S5Q>^"J,NaR;#Xi!OStgIs7gR+TDGeX^]2[Z;#ZRVJ,Aa8d/1&ks*t~>
+lMgikr]gB9s*suds,d.Tr."XKrh'2:!8me&qu?\GrG_\]r4i6'"gGbVd*TQ#s8-d5Yl)99T*93'
+n?B.3p&G"Ur."UJqOddpp&Fr/s.B5(n'LsHqp>5tq7lOJgqWm9rkJ33rQtT%!mmR3pV6aT!5JHY
+ricF\d/K[:OT*W+O8tpMO9;`%^OQ6E!O0?<YlBgbYlB4Q^B:*IE.@jo!'gIE"E5G)0JNH4s$$U)
+5>Y2S5Q>^"J,NaR;#Xi!OStgIs7gR+TDGeX^]2[Z;#ZRVJ,Aa8d/1&ks*t~>
+lMgikr]gB9s*t#erfI(Tqg\RKrh'/9!8me&r;ZeHrG_Y\r4i9(s02O<rm:?<r,DS<qnN0'!c[Yu
+ril+rr]^BZr."UJqk!mrYkA%pE;Q7-^[KPF^]2[\htFhUd/U?Md.P07YlE)L^\=r:d,3a-d%?s*
+^]2X\^\cCXYQ<+Trh'1Os3Ub,s.B4Ns0)^BIt*QAYeU1As,d8bs*t'`!2'70ra,Xirf@8%+!30j
+rEfUjE'O=ur'14#r."ZPqb[-Nrgs1?qZ$;/n=T`bs3U/J!7:[@rK%#/q=+9cbQ!(~>
+lMgikr]gB9s*t#erfI(Tqg\RKrh'/9!8me&r;ZeHrG_Y\r4i9(s02O<rm:?<r,DS<qnN0'!c[Yu
+ril+rr]^BZr."UJqk!mrYkA%pE;Q7-^[KPF^]2[\htFhUd/U?Md.P07YlE)L^\=r:d,3a-d%?s*
+^]2X\^\cCXYQ<+Trh'1Os3Ub,s.B4Ns0)^BIt*QAYeU1As,d8bs*t'`!2'70ra,Xirf@8%+!30j
+rEfUjE'O=ur'14#r."ZPqb[-Nrgs1?qZ$;/n=T`bs3U/J!7:[@rK%#/q=+9cbQ!(~>
+lMgikr]gB9s*t#erfI(Tqg\RKrh'/9!8me&r;ZeHrG_Y\r4i9(s02O<rm:?<r,DS<qnN0'!c[Yu
+ril+rr]^BZr."UJqk!mrYkA%pE;Q7-^[KPF^]2[\htFhUd/U?Md.P07YlE)L^\=r:d,3a-d%?s*
+^]2X\^\cCXYQ<+Trh'1Os3Ub,s.B4Ns0)^BIt*QAYeU1As,d8bs*t'`!2'70ra,Xirf@8%+!30j
+rEfUjE'O=ur'14#r."ZPqb[-Nrgs1?qZ$;/n=T`bs3U/J!7:[@rK%#/q=+9cbQ!(~>
+lMgikr]gB9s*t#es,[4FrD<EAr360mrQkQ%rm:TCs*sudr6Y>U"gFW'YeRsPd.[M:E;Zs<^]0o+
+E;oA+YkS.tE;i]4O8se-Ykt$o?a-d.s8?p6TDu[rd.tEWYb1^*q9\rApWroToW[eGpTO^\d*Vd,
+pTX\Ts3Ue<pqQXOs0)LMrLa(Ns3Ub,!2'.M"0fOiJ,YN0^](J;OT2QaIfZdGrc%gCs,[5"rZD.o
+rEf[lE'I/qq`b("qg\TPqG70Ar/glLqZ$;/oUl$\rgs2*o?dHN!7:[@rK%#/q=+9c!5H_WJ,~>
+lMgikr]gB9s*t#es,[4FrD<EAr360mrQkQ%rm:TCs*sudr6Y>U"gFW'YeRsPd.[M:E;Zs<^]0o+
+E;oA+YkS.tE;i]4O8se-Ykt$o?a-d.s8?p6TDu[rd.tEWYb1^*q9\rApWroToW[eGpTO^\d*Vd,
+pTX\Ts3Ue<pqQXOs0)LMrLa(Ns3Ub,!2'.M"0fOiJ,YN0^](J;OT2QaIfZdGrc%gCs,[5"rZD.o
+rEf[lE'I/qq`b("qg\TPqG70Ar/glLqZ$;/oUl$\rgs2*o?dHN!7:[@rK%#/q=+9c!5H_WJ,~>
+lMgikr]gB9s*t#es,[4FrD<EAr360mrQkQ%rm:TCs*sudr6Y>U"gFW'YeRsPd.[M:E;Zs<^]0o+
+E;oA+YkS.tE;i]4O8se-Ykt$o?a-d.s8?p6TDu[rd.tEWYb1^*q9\rApWroToW[eGpTO^\d*Vd,
+pTX\Ts3Ue<pqQXOs0)LMrLa(Ns3Ub,!2'.M"0fOiJ,YN0^](J;OT2QaIfZdGrc%gCs,[5"rZD.o
+rEf[lE'I/qq`b("qg\TPqG70Ar/glLqZ$;/oUl$\rgs2*o?dHN!7:[@rK%#/q=+9c!5H_WJ,~>
+li6ulr]gE:rdXods,d.Tr."XKs.B59s5*h'qu6YGr,DS\qnN*6rkJK[pAb#/rNQ16s.9:1rp]rl
+p\t54rD<HSqlp!j!H;EFYk\7rE;Q:,^[ohK^]1P<TDZJ"Yl2rK^[ohO^\"c0OT'b&YkNYG?N?2e
+d/UlUYlES\d/K[5^\Q7VYQ3&KTDt#Qd/K.,TDXcTYeRr&IuocjYlBgbYl9.PYl8V??iQ2fE;gsZ
+0`>>ZIm<p/r'14#r."ZPqb[6@rfI,OqZ$;/oUc,FpAb-,o?dG4r/gaDqlp$\c2W:~>
+li6ulr]gE:rdXods,d.Tr."XKs.B59s5*h'qu6YGr,DS\qnN*6rkJK[pAb#/rNQ16s.9:1rp]rl
+p\t54rD<HSqlp!j!H;EFYk\7rE;Q:,^[ohK^]1P<TDZJ"Yl2rK^[ohO^\"c0OT'b&YkNYG?N?2e
+d/UlUYlES\d/K[5^\Q7VYQ3&KTDt#Qd/K.,TDXcTYeRr&IuocjYlBgbYl9.PYl8V??iQ2fE;gsZ
+0`>>ZIm<p/r'14#r."ZPqb[6@rfI,OqZ$;/oUc,FpAb-,o?dG4r/gaDqlp$\c2W:~>
+li6ulr]gE:rdXods,d.Tr."XKs.B59s5*h'qu6YGr,DS\qnN*6rkJK[pAb#/rNQ16s.9:1rp]rl
+p\t54rD<HSqlp!j!H;EFYk\7rE;Q:,^[ohK^]1P<TDZJ"Yl2rK^[ohO^\"c0OT'b&YkNYG?N?2e
+d/UlUYlES\d/K[5^\Q7VYQ3&KTDt#Qd/K.,TDXcTYeRr&IuocjYlBgbYl9.PYl8V??iQ2fE;gsZ
+0`>>ZIm<p/r'14#r."ZPqb[6@rfI,OqZ$;/oUc,FpAb-,o?dG4r/gaDqlp$\c2W:~>
+li-rlrBL<9rdXods,d1U!+5\D!.XsOrh',8s5*h'r;ZeHrG_\]qnN'5rkJK[p\t5Cr,DS<qnN0'
+rUBikp\t54r_WNSqlp$k!H;EEYke=sE;Q:*^\6%O^]1P:TDl(pd/Ul\htYOuht>@n^\G&3OSaM-
+E:j21d/C3B?iSLP^\k;9OT+,;d/K[6^]2X\^\c@YYgE?@s,d9-rfI/PrK.&`"M]G9OHBFFrfI/a
+s*t'Qs*k#frEoSd!-%oZ!&4=X")pJ$;#<KWE;b:b?i!UsIfPT/TDSZ_Duc!mT)auDs8B_.d/78K
+OSSDCYksO-s*t~>
+li-rlrBL<9rdXods,d1U!+5\D!.XsOrh',8s5*h'r;ZeHrG_\]qnN'5rkJK[p\t5Cr,DS<qnN0'
+rUBikp\t54r_WNSqlp$k!H;EEYke=sE;Q:*^\6%O^]1P:TDl(pd/Ul\htYOuht>@n^\G&3OSaM-
+E:j21d/C3B?iSLP^\k;9OT+,;d/K[6^]2X\^\c@YYgE?@s,d9-rfI/PrK.&`"M]G9OHBFFrfI/a
+s*t'Qs*k#frEoSd!-%oZ!&4=X")pJ$;#<KWE;b:b?i!UsIfPT/TDSZ_Duc!mT)auDs8B_.d/78K
+OSSDCYksO-s*t~>
+li-rlrBL<9rdXods,d1U!+5\D!.XsOrh',8s5*h'r;ZeHrG_\]qnN'5rkJK[p\t5Cr,DS<qnN0'
+rUBikp\t54r_WNSqlp$k!H;EEYke=sE;Q:*^\6%O^]1P:TDl(pd/Ul\htYOuht>@n^\G&3OSaM-
+E:j21d/C3B?iSLP^\k;9OT+,;d/K[6^]2X\^\c@YYgE?@s,d9-rfI/PrK.&`"M]G9OHBFFrfI/a
+s*t'Qs*k#frEoSd!-%oZ!&4=X")pJ$;#<KWE;b:b?i!UsIfPT/TDSZ_Duc!mT)auDs8B_.d/78K
+OSSDCYksO-s*t~>
+li-rlrBL<9rdXods,d1U!+5\Ds.B:prh',8s5*h'r;ZeHrG_\]qnN'5rkJK[p](,0rNQ16s.9:1
+rUBikq#:>5rD<ERqlp$k!H?rqYke=sE;Z@)^\H1R^](J:TDsB@Yl<#L^]*-ed/Dksd.kBRYl0[\
+J*6k/TDN!qci]oT^TdZus5*jld/K[7^]2X\^\Q7TTDt#Qd/K+,TDalOYQhjlIuobr^](J;OT2Qb
+J,cbPJ,O<fT9+$k*rn"n?NbjC5>Y2S5Q5X#J,WgO;#>bBOT1sMs7^L3OS>@IORE/H^])UY?i,r\
+nGBEkOIr0CO9!&Bs*t~>
+li-rlrBL<9rdXods,d1U!+5\Ds.B:prh',8s5*h'r;ZeHrG_\]qnN'5rkJK[p](,0rNQ16s.9:1
+rUBikq#:>5rD<ERqlp$k!H?rqYke=sE;Z@)^\H1R^](J:TDsB@Yl<#L^]*-ed/Dksd.kBRYl0[\
+J*6k/TDN!qci]oT^TdZus5*jld/K[7^]2X\^\Q7TTDt#Qd/K+,TDalOYQhjlIuobr^](J;OT2Qb
+J,cbPJ,O<fT9+$k*rn"n?NbjC5>Y2S5Q5X#J,WgO;#>bBOT1sMs7^L3OS>@IORE/H^])UY?i,r\
+nGBEkOIr0CO9!&Bs*t~>
+li-rlrBL<9rdXods,d1U!+5\Ds.B:prh',8s5*h'r;ZeHrG_\]qnN'5rkJK[p](,0rNQ16s.9:1
+rUBikq#:>5rD<ERqlp$k!H?rqYke=sE;Z@)^\H1R^](J:TDsB@Yl<#L^]*-ed/Dksd.kBRYl0[\
+J*6k/TDN!qci]oT^TdZus5*jld/K[7^]2X\^\Q7TTDt#Qd/K+,TDalOYQhjlIuobr^](J;OT2Qb
+J,cbPJ,O<fT9+$k*rn"n?NbjC5>Y2S5Q5X#J,WgO;#>bBOT1sMs7^L3OS>@IORE/H^])UY?i,r\
+nGBEkOIr0CO9!&Bs*t~>
+li-rlrBL<9rdXrerfI(T!+5\DqO[blr6YK$!7:ZD!.Xocr6YAVr36.7s3UQ@!.Xocr36+6!jJ;h
+rUBfjq>^J6r_WNSr36*k!c[&Sril;"qf)J*qS*$7qU#2UrNQ9nrdXpos1eQjqU#,sr6Y)NrilB`
+rI<Q$r1F!rplPO5s3Ub;rP&H=d*TQ(ciCiZTDsuQd/K.,TDaiPYeU0es,[5qrilEas02NQs02KP
+rGVh"E,bdu!&4@Y")pJ$;#<KWE;b:b?i*[sJ,PK+s7^L1OSPLKOQulE^\qO:OSSDCYl0[`TDaiO
+^X<(3~>
+li-rlrBL<9rdXrerfI(T!+5\DqO[blr6YK$!7:ZD!.Xocr6YAVr36.7s3UQ@!.Xocr36+6!jJ;h
+rUBfjq>^J6r_WNSr36*k!c[&Sril;"qf)J*qS*$7qU#2UrNQ9nrdXpos1eQjqU#,sr6Y)NrilB`
+rI<Q$r1F!rplPO5s3Ub;rP&H=d*TQ(ciCiZTDsuQd/K.,TDaiPYeU0es,[5qrilEas02NQs02KP
+rGVh"E,bdu!&4@Y")pJ$;#<KWE;b:b?i*[sJ,PK+s7^L1OSPLKOQulE^\qO:OSSDCYl0[`TDaiO
+^X<(3~>
+li-rlrBL<9rdXrerfI(T!+5\DqO[blr6YK$!7:ZD!.Xocr6YAVr36.7s3UQ@!.Xocr36+6!jJ;h
+rUBfjq>^J6r_WNSr36*k!c[&Sril;"qf)J*qS*$7qU#2UrNQ9nrdXpos1eQjqU#,sr6Y)NrilB`
+rI<Q$r1F!rplPO5s3Ub;rP&H=d*TQ(ciCiZTDsuQd/K.,TDaiPYeU0es,[5qrilEas02NQs02KP
+rGVh"E,bdu!&4@Y")pJ$;#<KWE;b:b?i*[sJ,PK+s7^L1OSPLKOQulE^\qO:OSSDCYl0[`TDaiO
+^X<(3~>
+li-rlr]gB9rdXrerfI(Tr,DM)!3lCJs5*h'r;QbHrG_\]qnN'5rP/BZq#:>Dr,DS<r4`<;T5abu
+ril4u!-%m5r/gi\rLX(/rnm^Zr;Z\6qk*`"!O0?:d/LfXYlC<s?]^BJciCiZhttdqhuD'q^]'l*
+OT0gTs8S_dO9=CTd*V``ril.Dr1F"N!7:_,!2'4Os0)[AIt*QA^](J;OT2QbJ,cbPJ,O<fODo1<
+*rn"o?Nbjt5>Y2S5Q5X$J,NaO;#5\?OSo.QE;G[nT)au8s8HC%OSSDCYksO]TDaiO^XN45~>
+li-rlr]gB9rdXrerfI(Tr,DM)!3lCJs5*h'r;QbHrG_\]qnN'5rP/BZq#:>Dr,DS<r4`<;T5abu
+ril4u!-%m5r/gi\rLX(/rnm^Zr;Z\6qk*`"!O0?:d/LfXYlC<s?]^BJciCiZhttdqhuD'q^]'l*
+OT0gTs8S_dO9=CTd*V``ril.Dr1F"N!7:_,!2'4Os0)[AIt*QA^](J;OT2QbJ,cbPJ,O<fODo1<
+*rn"o?Nbjt5>Y2S5Q5X$J,NaO;#5\?OSo.QE;G[nT)au8s8HC%OSSDCYksO]TDaiO^XN45~>
+li-rlr]gB9rdXrerfI(Tr,DM)!3lCJs5*h'r;QbHrG_\]qnN'5rP/BZq#:>Dr,DS<r4`<;T5abu
+ril4u!-%m5r/gi\rLX(/rnm^Zr;Z\6qk*`"!O0?:d/LfXYlC<s?]^BJciCiZhttdqhuD'q^]'l*
+OT0gTs8S_dO9=CTd*V``ril.Dr1F"N!7:_,!2'4Os0)[AIt*QA^](J;OT2QbJ,cbPJ,O<fODo1<
+*rn"o?Nbjt5>Y2S5Q5X$J,NaO;#5\?OSo.QE;G[nT)au8s8HC%OSSDCYksO]TDaiO^XN45~>
+m/R)mr]gE:rI=ids,[4FrD<E2qO[blr6YK$!7:]E!.Xocr6YAVqlp"5!7:N@qf)M<qnE3:T90$@
+ril8!s)@s6qiLc\rLX(/rnm^Z!0I0Zr(mBTr1Ei#!jKGSrm:\[qlp*ms'P]N!5JHhr6Y/pp:pQu
+!K_fKs8%f[hnQqQTDj?>YkQNBT)k&#rfI/PrfI/a"i#P:OH@6VYlBgbYlB4QYl9.NDul&>r>u"n
+ra,bH5<i!A5Q5X%J,NaN;#>b@OSo.QE;5OnT)au8s8HC%OSSDCYQ9iirh'.Nrh'1O!5I%`J,~>
+m/R)mr]gE:rI=ids,[4FrD<E2qO[blr6YK$!7:]E!.Xocr6YAVqlp"5!7:N@qf)M<qnE3:T90$@
+ril8!s)@s6qiLc\rLX(/rnm^Z!0I0Zr(mBTr1Ei#!jKGSrm:\[qlp*ms'P]N!5JHhr6Y/pp:pQu
+!K_fKs8%f[hnQqQTDj?>YkQNBT)k&#rfI/PrfI/a"i#P:OH@6VYlBgbYlB4QYl9.NDul&>r>u"n
+ra,bH5<i!A5Q5X%J,NaN;#>b@OSo.QE;5OnT)au8s8HC%OSSDCYQ9iirh'.Nrh'1O!5I%`J,~>
+m/R)mr]gE:rI=ids,[4FrD<E2qO[blr6YK$!7:]E!.Xocr6YAVqlp"5!7:N@qf)M<qnE3:T90$@
+ril8!s)@s6qiLc\rLX(/rnm^Z!0I0Zr(mBTr1Ei#!jKGSrm:\[qlp*ms'P]N!5JHhr6Y/pp:pQu
+!K_fKs8%f[hnQqQTDj?>YkQNBT)k&#rfI/PrfI/a"i#P:OH@6VYlBgbYlB4QYl9.NDul&>r>u"n
+ra,bH5<i!A5Q5X%J,NaN;#>b@OSo.QE;5OnT)au8s8HC%OSSDCYQ9iirh'.Nrh'1O!5I%`J,~>
+m/R)mr]gE:rdXods,[4Fr_NT%r,DM)!3lCJs5*h'rVlkIr,DV]qnN$4qnMt,!.Xocr36+6s02Nb
+rUBfjqYpP7rD<ERr360ms)@tprilA$qb[6Q!2',&!3lI;s3UYIs.B>kqp5>Xr87G!p>>nsqnN!"
+^&Rqjril?Nril.Dr1="Od/K+,TDaiPYeU0e!Kb(qYlBgbYlB1RYb1oErGVe!E;^j`0OJ1:E'I/q
+r'11"rdXlRqb[0>rK-sWpMfnhrLX(OkPtKfqN1OBqlg'^ril<ms,d2Os,d8qf)L7~>
+m/R)mr]gE:rdXods,[4Fr_NT%r,DM)!3lCJs5*h'rVlkIr,DV]qnN$4qnMt,!.Xocr36+6s02Nb
+rUBfjqYpP7rD<ERr360ms)@tprilA$qb[6Q!2',&!3lI;s3UYIs.B>kqp5>Xr87G!p>>nsqnN!"
+^&Rqjril?Nril.Dr1="Od/K+,TDaiPYeU0e!Kb(qYlBgbYlB1RYb1oErGVe!E;^j`0OJ1:E'I/q
+r'11"rdXlRqb[0>rK-sWpMfnhrLX(OkPtKfqN1OBqlg'^ril<ms,d2Os,d8qf)L7~>
+m/R)mr]gE:rdXods,[4Fr_NT%r,DM)!3lCJs5*h'rVlkIr,DV]qnN$4qnMt,!.Xocr36+6s02Nb
+rUBfjqYpP7rD<ERr360ms)@tprilA$qb[6Q!2',&!3lI;s3UYIs.B>kqp5>Xr87G!p>>nsqnN!"
+^&Rqjril?Nril.Dr1="Od/K+,TDaiPYeU0e!Kb(qYlBgbYlB1RYb1oErGVe!E;^j`0OJ1:E'I/q
+r'11"rdXlRqb[0>rK-sWpMfnhrLX(OkPtKfqN1OBqlg'^ril<ms,d2Os,d8qf)L7~>
+m/I&mrBL<9rdXods,[4Fr_NT%rG_S)!3lCJs5*h'rVlkIrG_\]qnN$4rQtSZq>UGEr,DS<r4`?<
+E0-1[nG]Zhs8R';;#?@QYl10oE;e\nYl=Y&?i3auOT1sN^]1P;^\b58TDnlfciCiXhu;!qhu1q%
+^\OM3rrB;$OT)K_Ifc7HYkl]JYgC/_TDXcNTDjrPYQV^jIuqGEYlBg_YQ1<pJ,XBgT5\cJ+9#UM
+E'HQ`;#EQWE;tFd?i*[sJ,PH/J,TEAE;5OnT)au9s8HC%OSSDBYQ0d_YkjslOStgOO9!&Is*t~>
+m/I&mrBL<9rdXods,[4Fr_NT%rG_S)!3lCJs5*h'rVlkIrG_\]qnN$4rQtSZq>UGEr,DS<r4`?<
+E0-1[nG]Zhs8R';;#?@QYl10oE;e\nYl=Y&?i3auOT1sN^]1P;^\b58TDnlfciCiXhu;!qhu1q%
+^\OM3rrB;$OT)K_Ifc7HYkl]JYgC/_TDXcNTDjrPYQV^jIuqGEYlBg_YQ1<pJ,XBgT5\cJ+9#UM
+E'HQ`;#EQWE;tFd?i*[sJ,PH/J,TEAE;5OnT)au9s8HC%OSSDBYQ0d_YkjslOStgOO9!&Is*t~>
+m/I&mrBL<9rdXods,[4Fr_NT%rG_S)!3lCJs5*h'rVlkIrG_\]qnN$4rQtSZq>UGEr,DS<r4`?<
+E0-1[nG]Zhs8R';;#?@QYl10oE;e\nYl=Y&?i3auOT1sN^]1P;^\b58TDnlfciCiXhu;!qhu1q%
+^\OM3rrB;$OT)K_Ifc7HYkl]JYgC/_TDXcNTDjrPYQV^jIuqGEYlBg_YQ1<pJ,XBgT5\cJ+9#UM
+E'HQ`;#EQWE;tFd?i*[sJ,PH/J,TEAE;5OnT)au9s8HC%OSSDBYQ0d_YkjslOStgOO9!&Is*t~>
+m/I&mrBL<9rdXrerf@+Er_NT%rG_V*s02FJs5*h'rr2tJr,DS\r4i99!.XsOrQtSZq>^>2rNQ47
+s0)QDOHBG1ril;"!-%m5r/gi\rgs10rSRRXrr2t*r)!<Qs.B8)s02L;r3-6ps8W(jrQtDurm:>q
+r6PGYqOb(nrK.#_r."aNrm1Y[rNH=L^\j](d/K+,TDjrPYQ2H;IfR7^YQ0d_YQLMIIusYKs*k#f
+r?)#G")pIh;#<KVDubCd?i*[rJ,YN0J,TEAE;5OnTDt#:s8HC%OSSDBYQ9j4qQTXb!g(13g&HR~>
+m/I&mrBL<9rdXrerf@+Er_NT%rG_V*s02FJs5*h'rr2tJr,DS\r4i99!.XsOrQtSZq>^>2rNQ47
+s0)QDOHBG1ril;"!-%m5r/gi\rgs10rSRRXrr2t*r)!<Qs.B8)s02L;r3-6ps8W(jrQtDurm:>q
+r6PGYqOb(nrK.#_r."aNrm1Y[rNH=L^\j](d/K+,TDjrPYQ2H;IfR7^YQ0d_YQLMIIusYKs*k#f
+r?)#G")pIh;#<KVDubCd?i*[rJ,YN0J,TEAE;5OnTDt#:s8HC%OSSDBYQ9j4qQTXb!g(13g&HR~>
+m/I&mrBL<9rdXrerf@+Er_NT%rG_V*s02FJs5*h'rr2tJr,DS\r4i99!.XsOrQtSZq>^>2rNQ47
+s0)QDOHBG1ril;"!-%m5r/gi\rgs10rSRRXrr2t*r)!<Qs.B8)s02L;r3-6ps8W(jrQtDurm:>q
+r6PGYqOb(nrK.#_r."aNrm1Y[rNH=L^\j](d/K+,TDjrPYQ2H;IfR7^YQ0d_YQLMIIusYKs*k#f
+r?)#G")pIh;#<KVDubCd?i*[rJ,YN0J,TEAE;5OnTDt#:s8HC%OSSDBYQ9j4qQTXb!g(13g&HR~>
+m/I&mrBC99rI=idrfI(T!+5\DqOdelrQtQ$!7:`F!.Xocr6YAVs0)KQrNQ7Is1eF1!.Xocr36+6
+"L)ipOHBG1ril;"!-%p6qiLc\rgs10r87LX"-EQ_?i*[uOStgO^]1P;^Aso*YQ0das8&Abhu;!q
+hu1q%^AtM:T</%pY`Os]ril?N!2'%j!RS(KTDaiOTDjoQYeU0e!5JK:!0I,_#bQTrODo0CIt.Go
+#Tka-?[k:):f.'Src%mera5Luqg\R+rVuV2plPHH!Ip3ps8QI%OSSDBYQL!6d(fF]oUl/ugAc[~>
+m/I&mrBC99rI=idrfI(T!+5\DqOdelrQtQ$!7:`F!.Xocr6YAVs0)KQrNQ7Is1eF1!.Xocr36+6
+"L)ipOHBG1ril;"!-%p6qiLc\rgs10r87LX"-EQ_?i*[uOStgO^]1P;^Aso*YQ0das8&Abhu;!q
+hu1q%^AtM:T</%pY`Os]ril?N!2'%j!RS(KTDaiOTDjoQYeU0e!5JK:!0I,_#bQTrODo0CIt.Go
+#Tka-?[k:):f.'Src%mera5Luqg\R+rVuV2plPHH!Ip3ps8QI%OSSDBYQL!6d(fF]oUl/ugAc[~>
+m/I&mrBC99rI=idrfI(T!+5\DqOdelrQtQ$!7:`F!.Xocr6YAVs0)KQrNQ7Is1eF1!.Xocr36+6
+"L)ipOHBG1ril;"!-%p6qiLc\rgs10r87LX"-EQ_?i*[uOStgO^]1P;^Aso*YQ0das8&Abhu;!q
+hu1q%^AtM:T</%pY`Os]ril?N!2'%j!RS(KTDaiOTDjoQYeU0e!5JK:!0I,_#bQTrODo0CIt.Go
+#Tka-?[k:):f.'Src%mera5Luqg\R+rVuV2plPHH!Ip3ps8QI%OSSDBYQL!6d(fF]oUl/ugAc[~>
+mJm2nrBC99rI=ids,[4FrD3K$rG_V*!Pbl;d/Mo&d/O%FJ,O?`d/C`ZYlB4OYl2rK^\[s1J,F9`
+Yl)6=Y],)ROT"\KYl"G$E)?O@qiLc\rgs10rkJKjrilG&!C'rh;#HFQTDu.q^B]jmYb/.];#gBa
+rm:W$!7:Drr6YJYs02Nq!K^Zes8S2[Yl0%OTD5Vjd/9L9d/K.,TDt#QYQMXiIusW5s,d2`#bQTr
+ODo02It.Am"b0lu5<i!A5Q5U%J,NaO;#>b@O8se0s7^L-OStgOJ*?q4?hofZnG9?hOT!Q+^\b84
+TDu+qOSuE_^YJj>~>
+mJm2nrBC99rI=ids,[4FrD3K$rG_V*!Pbl;d/Mo&d/O%FJ,O?`d/C`ZYlB4OYl2rK^\[s1J,F9`
+Yl)6=Y],)ROT"\KYl"G$E)?O@qiLc\rgs10rkJKjrilG&!C'rh;#HFQTDu.q^B]jmYb/.];#gBa
+rm:W$!7:Drr6YJYs02Nq!K^Zes8S2[Yl0%OTD5Vjd/9L9d/K.,TDt#QYQMXiIusW5s,d2`#bQTr
+ODo02It.Am"b0lu5<i!A5Q5U%J,NaO;#>b@O8se0s7^L-OStgOJ*?q4?hofZnG9?hOT!Q+^\b84
+TDu+qOSuE_^YJj>~>
+mJm2nrBC99rI=ids,[4FrD3K$rG_V*!Pbl;d/Mo&d/O%FJ,O?`d/C`ZYlB4OYl2rK^\[s1J,F9`
+Yl)6=Y],)ROT"\KYl"G$E)?O@qiLc\rgs10rkJKjrilG&!C'rh;#HFQTDu.q^B]jmYb/.];#gBa
+rm:W$!7:Drr6YJYs02Nq!K^Zes8S2[Yl0%OTD5Vjd/9L9d/K.,TDt#QYQMXiIusW5s,d2`#bQTr
+ODo02It.Am"b0lu5<i!A5Q5U%J,NaO;#>b@O8se0s7^L-OStgOJ*?q4?hofZnG9?hOT!Q+^\b84
+TDu+qOSuE_^YJj>~>
+mJm2nrBC99rI=ids,[4Fr_WW%rG_V*!Pbl;d/Mo*d/X,qJ,O?ad/:ZYYlB4OYl)iJ^\\!-E;d$=
+^]1M?E.<t2rUBikqu6YGrEoJarNQ9ns)@nNrilG&!C'rh;#HFRT*9_KYeQ9=rilEa"95!cYl13l
+ciN%Np##\os1\W>^VBc0V#U@srI4g>qQU"7r1EqL"eUm<YctnAIfR7_YlBg`YR$kNIunVgT7;@g
+;#c%E56+OX5Q,R"?i*[sJ,PH/J,]KBE;5OnTDsE)s8QI%OSSDBYQ^-gs522MrkJ<6rh'1os,d2`
+rkI:hJ,~>
+mJm2nrBC99rI=ids,[4Fr_WW%rG_V*!Pbl;d/Mo*d/X,qJ,O?ad/:ZYYlB4OYl)iJ^\\!-E;d$=
+^]1M?E.<t2rUBikqu6YGrEoJarNQ9ns)@nNrilG&!C'rh;#HFRT*9_KYeQ9=rilEa"95!cYl13l
+ciN%Np##\os1\W>^VBc0V#U@srI4g>qQU"7r1EqL"eUm<YctnAIfR7_YlBg`YR$kNIunVgT7;@g
+;#c%E56+OX5Q,R"?i*[sJ,PH/J,]KBE;5OnTDsE)s8QI%OSSDBYQ^-gs522MrkJ<6rh'1os,d2`
+rkI:hJ,~>
+mJm2nrBC99rI=ids,[4Fr_WW%rG_V*!Pbl;d/Mo*d/X,qJ,O?ad/:ZYYlB4OYl)iJ^\\!-E;d$=
+^]1M?E.<t2rUBikqu6YGrEoJarNQ9ns)@nNrilG&!C'rh;#HFRT*9_KYeQ9=rilEa"95!cYl13l
+ciN%Np##\os1\W>^VBc0V#U@srI4g>qQU"7r1EqL"eUm<YctnAIfR7_YlBg`YR$kNIunVgT7;@g
+;#c%E56+OX5Q,R"?i*[sJ,PH/J,]KBE;5OnTDsE)s8QI%OSSDBYQ^-gs522MrkJ<6rh'1os,d2`
+rkI:hJ,~>
+mJm2nrBC99rI4fdrf@+Er_WW%rc%\*!Pbl;d/Mo)d/X,qr,DS\r4`69rdXmN!5JKZ!5JF2!.Xoc
+r36+6"gDrqIuocknG]Zirr@$:?i,r`Yl:6pE;[KMYQL!e5<o'Br/giKs0)R>ODt0&"HZHPT<S9d
+qp>#nr6YDWs.B=QT`5#,ril?N!2'+ls1eT+s0)LMrK%/SOKbt(rdOp_rilEaricBprdP'4E3OhA
+r)!EC")pIh;#<KVDubCe?i*[rJ,YN0J,]KBE;5OnTDsE*s8QI%OSJ>AYQ0d^s89Y/YQ0d_YlBg`
+YlDJos*t~>
+mJm2nrBC99rI4fdrf@+Er_WW%rc%\*!Pbl;d/Mo)d/X,qr,DS\r4`69rdXmN!5JKZ!5JF2!.Xoc
+r36+6"gDrqIuocknG]Zirr@$:?i,r`Yl:6pE;[KMYQL!e5<o'Br/giKs0)R>ODt0&"HZHPT<S9d
+qp>#nr6YDWs.B=QT`5#,ril?N!2'+ls1eT+s0)LMrK%/SOKbt(rdOp_rilEaricBprdP'4E3OhA
+r)!EC")pIh;#<KVDubCe?i*[rJ,YN0J,]KBE;5OnTDsE*s8QI%OSJ>AYQ0d^s89Y/YQ0d_YlBg`
+YlDJos*t~>
+mJm2nrBC99rI4fdrf@+Er_WW%rc%\*!Pbl;d/Mo)d/X,qr,DS\r4`69rdXmN!5JKZ!5JF2!.Xoc
+r36+6"gDrqIuocknG]Zirr@$:?i,r`Yl:6pE;[KMYQL!e5<o'Br/giKs0)R>ODt0&"HZHPT<S9d
+qp>#nr6YDWs.B=QT`5#,ril?N!2'+ls1eT+s0)LMrK%/SOKbt(rdOp_rilEaricBprdP'4E3OhA
+r)!EC")pIh;#<KVDubCe?i*[rJ,YN0J,]KBE;5OnTDsE*s8QI%OSJ>AYQ0d^s89Y/YQ0d_YlBg`
+YlDJos*t~>
+mJd/nr'(08rI4fdrf@+Er_WW%rc%_+s1\Q<rQtQ$"47)JJ,F9`d/C`ZTDj<?TDl%p^\uLZ^\e$2
+J,F9`Yl)6>Y],)AOHBJ2ril>#!.XrSqiLc\rgs10r4i68"-EOI?i3auOStdSJ$?\LE;d$@O9:!)
+Yd",!qp5AYd.lMrd/:ZYTDt"ErrBh5YQ/YAIfRjmYQE1d^\tD8O9hJ?OKbt(It,64YlBgaYQ1<p
+IftjPT7;@g;#c"IE'HQ`r'1.!s%r`&r)!6>rK.$YpMfnhrLa+>l2Ucjq2kC@qlg*NOSSqS^\k;:
+^QADurfI,`rkI=iJ,~>
+mJd/nr'(08rI4fdrf@+Er_WW%rc%_+s1\Q<rQtQ$"47)JJ,F9`d/C`ZTDj<?TDl%p^\uLZ^\e$2
+J,F9`Yl)6>Y],)AOHBJ2ril>#!.XrSqiLc\rgs10r4i68"-EOI?i3auOStdSJ$?\LE;d$@O9:!)
+Yd",!qp5AYd.lMrd/:ZYTDt"ErrBh5YQ/YAIfRjmYQE1d^\tD8O9hJ?OKbt(It,64YlBgaYQ1<p
+IftjPT7;@g;#c"IE'HQ`r'1.!s%r`&r)!6>rK.$YpMfnhrLa+>l2Ucjq2kC@qlg*NOSSqS^\k;:
+^QADurfI,`rkI=iJ,~>
+mJd/nr'(08rI4fdrf@+Er_WW%rc%_+s1\Q<rQtQ$"47)JJ,F9`d/C`ZTDj<?TDl%p^\uLZ^\e$2
+J,F9`Yl)6>Y],)AOHBJ2ril>#!.XrSqiLc\rgs10r4i68"-EOI?i3auOStdSJ$?\LE;d$@O9:!)
+Yd",!qp5AYd.lMrd/:ZYTDt"ErrBh5YQ/YAIfRjmYQE1d^\tD8O9hJ?OKbt(It,64YlBgaYQ1<p
+IftjPT7;@g;#c"IE'HQ`r'1.!s%r`&r)!6>rK.$YpMfnhrLa+>l2Ucjq2kC@qlg*NOSSqS^\k;:
+^QADurfI,`rkI=iJ,~>
+mJd/nrBC99r-n]crf@+Er_WW%rc%_+s1\Q<rQtQ$"47)JJ,O?`d/C`ZTDj<?TDl%p^\uLZ^\e'.
+E;d$=^]1P;J,bW0nG]Zjs8RTI?i,r`YlC?qE;[KMYQOni5@=@cr/gfJ!l'h9r363N!hZ^$rh')7
+!l*+/qqq=uqnN0'!K_f"s8B2$Ifn'%Yb1p!s1eN:!7:\+#G7*^YeP[;^\tA:OT)HaTDj<CODphA
+J,E+GIrIV:;#<KVE;`T55Q"@TJ,PH3J,fOU?hn[9OStgOJ*Ht5?hofXnGBHiJ+ip?^](G=^Q=QV
+Yl0[_YlDJps*t~>
+mJd/nrBC99r-n]crf@+Er_WW%rc%_+s1\Q<rQtQ$"47)JJ,O?`d/C`ZTDj<?TDl%p^\uLZ^\e'.
+E;d$=^]1P;J,bW0nG]Zjs8RTI?i,r`YlC?qE;[KMYQOni5@=@cr/gfJ!l'h9r363N!hZ^$rh')7
+!l*+/qqq=uqnN0'!K_f"s8B2$Ifn'%Yb1p!s1eN:!7:\+#G7*^YeP[;^\tA:OT)HaTDj<CODphA
+J,E+GIrIV:;#<KVE;`T55Q"@TJ,PH3J,fOU?hn[9OStgOJ*Ht5?hofXnGBHiJ+ip?^](G=^Q=QV
+Yl0[_YlDJps*t~>
+mJd/nrBC99r-n]crf@+Er_WW%rc%_+s1\Q<rQtQ$"47)JJ,O?`d/C`ZTDj<?TDl%p^\uLZ^\e'.
+E;d$=^]1P;J,bW0nG]Zjs8RTI?i,r`YlC?qE;[KMYQOni5@=@cr/gfJ!l'h9r363N!hZ^$rh')7
+!l*+/qqq=uqnN0'!K_f"s8B2$Ifn'%Yb1p!s1eN:!7:\+#G7*^YeP[;^\tA:OT)HaTDj<CODphA
+J,E+GIrIV:;#<KVE;`T55Q"@TJ,PH3J,fOU?hn[9OStgOJ*Ht5?hofXnGBHiJ+ip?^](G=^Q=QV
+Yl0[_YlDJps*t~>
+mJd/nrBC99r-n]crf@1G:f.-urc%_+s1\Q<rQtQ$"47'tJ,O?`d/C`ZTDj<?TDc"mciCiYrr@QH
+E;Zs<^B(QXrdXs0rp]okrVlkIr*TA`r363ns)@nNricJ(5<o'Br/glL"+S(IE;Zs?Ifc7HYl:9l
+ciCi[d/Dl"d/(NWTDsD.rrBh5Yl9+Sd'0aHrilF;rNQ6^#G7*^YeP[;^\tA:OT)HaTDj<@OKe_6
+rD3ZZIrIV:;#EQWE;WQ45Q4LVJ,PH1J,fQI?i+g<OSkaNJ*Ht5?hofXnGBHiJ+Wd=^]1P<^]0Dp
+Yl0[_YlDJqs*t~>
+mJd/nrBC99r-n]crf@1G:f.-urc%_+s1\Q<rQtQ$"47'tJ,O?`d/C`ZTDj<?TDc"mciCiYrr@QH
+E;Zs<^B(QXrdXs0rp]okrVlkIr*TA`r363ns)@nNricJ(5<o'Br/glL"+S(IE;Zs?Ifc7HYl:9l
+ciCi[d/Dl"d/(NWTDsD.rrBh5Yl9+Sd'0aHrilF;rNQ6^#G7*^YeP[;^\tA:OT)HaTDj<@OKe_6
+rD3ZZIrIV:;#EQWE;WQ45Q4LVJ,PH1J,fQI?i+g<OSkaNJ*Ht5?hofXnGBHiJ+Wd=^]1P<^]0Dp
+Yl0[_YlDJqs*t~>
+mJd/nrBC99r-n]crf@1G:f.-urc%_+s1\Q<rQtQ$"47'tJ,O?`d/C`ZTDj<?TDc"mciCiYrr@QH
+E;Zs<^B(QXrdXs0rp]okrVlkIr*TA`r363ns)@nNricJ(5<o'Br/glL"+S(IE;Zs?Ifc7HYl:9l
+ciCi[d/Dl"d/(NWTDsD.rrBh5Yl9+Sd'0aHrilF;rNQ6^#G7*^YeP[;^\tA:OT)HaTDj<@OKe_6
+rD3ZZIrIV:;#EQWE;WQ45Q4LVJ,PH1J,fQI?i+g<OSkaNJ*Ht5?hofXnGBHiJ+Wd=^]1P<^]0Dp
+Yl0[_YlDJqs*t~>
+mJd/nrBC99r-noiOH;[k:f.-urc%_+s1\Q<rQtQ$!mpssr,DS\r4`9)Yl9+PTDc"mciCiYrr@QH
+E;d$<^B(QXrdXs0rp]okrVlkIr*TA`r363ns)@nNrilAdrD<BQr1="OTDYqnIfQ,?YlC?md/UlZ
+ciDu$d/Lc[d/C`ZT)aA+rrBh5YR5?!J'bF(T<PQ7^\tA:hu/W@T9-:]^OO#sYQ0daYR$kNIuoba
+It(i(:]ZYsr]^BZr'14#r)!>V!)WQBrK%)1s8Vt'rG_Ror1F"=l2L`jq2kC@qQU!Lnc/I#rfI/a
+r/go^!5IFkJ,~>
+mJd/nrBC99r-noiOH;[k:f.-urc%_+s1\Q<rQtQ$!mpssr,DS\r4`9)Yl9+PTDc"mciCiYrr@QH
+E;d$<^B(QXrdXs0rp]okrVlkIr*TA`r363ns)@nNrilAdrD<BQr1="OTDYqnIfQ,?YlC?md/UlZ
+ciDu$d/Lc[d/C`ZT)aA+rrBh5YR5?!J'bF(T<PQ7^\tA:hu/W@T9-:]^OO#sYQ0daYR$kNIuoba
+It(i(:]ZYsr]^BZr'14#r)!>V!)WQBrK%)1s8Vt'rG_Ror1F"=l2L`jq2kC@qQU!Lnc/I#rfI/a
+r/go^!5IFkJ,~>
+mJd/nrBC99r-noiOH;[k:f.-urc%_+s1\Q<rQtQ$!mpssr,DS\r4`9)Yl9+PTDc"mciCiYrr@QH
+E;d$<^B(QXrdXs0rp]okrVlkIr*TA`r363ns)@nNrilAdrD<BQr1="OTDYqnIfQ,?YlC?md/UlZ
+ciDu$d/Lc[d/C`ZT)aA+rrBh5YR5?!J'bF(T<PQ7^\tA:hu/W@T9-:]^OO#sYQ0daYR$kNIuoba
+It(i(:]ZYsr]^BZr'14#r)!>V!)WQBrK%)1s8Vt'rG_Ror1F"=l2L`jq2kC@qQU!Lnc/I#rfI/a
+r/go^!5IFkJ,~>
+mJd?>:f'A@0`6G"OT.QF;#Xi$E;H4,^AtM:d/Mo(d/SUoE;S#[^B't2rdOp?rNQ7I!5JL4!.Xoc
+r36+6s0)KBrdXs0rp]okrVlkIrEoG`r3-0nrc%eMs02GdrD<ERrLX1AOIr0DYlB1QTDl(pTDR"8
+^\uLZ^\lIY^]2[[^]'i*J!9m4^](GEE.<AaYcsb(YeRsPYQ3SXd/U<O^OO#sYQ0daYR$kNIuoba
+It(i(:]PJ656+OW56,[#;#ENX?i,?OO8se+?iG$?OSkaNJ*R(6?i#lYnG9BhJ+*F6^]';pYksO^
+YlDJrs*t~>
+mJd?>:f'A@0`6G"OT.QF;#Xi$E;H4,^AtM:d/Mo(d/SUoE;S#[^B't2rdOp?rNQ7I!5JL4!.Xoc
+r36+6s0)KBrdXs0rp]okrVlkIrEoG`r3-0nrc%eMs02GdrD<ERrLX1AOIr0DYlB1QTDl(pTDR"8
+^\uLZ^\lIY^]2[[^]'i*J!9m4^](GEE.<AaYcsb(YeRsPYQ3SXd/U<O^OO#sYQ0daYR$kNIuoba
+It(i(:]PJ656+OW56,[#;#ENX?i,?OO8se+?iG$?OSkaNJ*R(6?i#lYnG9BhJ+*F6^]';pYksO^
+YlDJrs*t~>
+mJd?>:f'A@0`6G"OT.QF;#Xi$E;H4,^AtM:d/Mo(d/SUoE;S#[^B't2rdOp?rNQ7I!5JL4!.Xoc
+r36+6s0)KBrdXs0rp]okrVlkIrEoG`r3-0nrc%eMs02GdrD<ERrLX1AOIr0DYlB1QTDl(pTDR"8
+^\uLZ^\lIY^]2[[^]'i*J!9m4^](GEE.<AaYcsb(YeRsPYQ3SXd/U<O^OO#sYQ0daYR$kNIuoba
+It(i(:]PJ656+OW56,[#;#ENX?i,?OO8se+?iG$?OSkaNJ*R(6?i#lYnG9BhJ+*F6^]';pYksO^
+YlDJrs*t~>
+mJd09r)!<QrilDes%r`&rc%_+rkAH;rQtQ$!mpssrG_Y\r4`9)Yl9+PTDbto^])R[^]"04J,F9`
+Yl)99YQ/YAJ,bW0nG]Zks8RTI?i6#_YQ1<pE;[KNYl?rf0`>AVOStdRIrM$PrilEP!2'7ps.B28
+s1eNZ!5JKZ!5JKZrkJH)!.U+1!5JN;$#kC@Ycsb(^V?E?YQ3SYd/U<O^OO#sYR?PsYb.P;Iupn,
+It.Dn!K_9q5Q>^$;#<KV?iGQRO8se)?N>'@OSkaNJ*R(6?i#lad/*8-YlB4>s89Y1O8uN^OT2Nb
+^Yo-B~>
+mJd09r)!<QrilDes%r`&rc%_+rkAH;rQtQ$!mpssrG_Y\r4`9)Yl9+PTDbto^])R[^]"04J,F9`
+Yl)99YQ/YAJ,bW0nG]Zks8RTI?i6#_YQ1<pE;[KNYl?rf0`>AVOStdRIrM$PrilEP!2'7ps.B28
+s1eNZ!5JKZ!5JKZrkJH)!.U+1!5JN;$#kC@Ycsb(^V?E?YQ3SYd/U<O^OO#sYR?PsYb.P;Iupn,
+It.Dn!K_9q5Q>^$;#<KV?iGQRO8se)?N>'@OSkaNJ*R(6?i#lad/*8-YlB4>s89Y1O8uN^OT2Nb
+^Yo-B~>
+mJd09r)!<QrilDes%r`&rc%_+rkAH;rQtQ$!mpssrG_Y\r4`9)Yl9+PTDbto^])R[^]"04J,F9`
+Yl)99YQ/YAJ,bW0nG]Zks8RTI?i6#_YQ1<pE;[KNYl?rf0`>AVOStdRIrM$PrilEP!2'7ps.B28
+s1eNZ!5JKZ!5JKZrkJH)!.U+1!5JN;$#kC@Ycsb(^V?E?YQ3SYd/U<O^OO#sYR?PsYb.P;Iupn,
+It.Dn!K_9q5Q>^$;#<KV?iGQRO8se)?N>'@OSkaNJ*R(6?i#lad/*8-YlB4>s89Y1O8uN^OT2Nb
+^Yo-B~>
+mJd09r)!<QricAer_WW%rc%_+rkAH;rQtQ$!mlFHrG_Y\rP/B)!3lEO!2'7p!5JN[!5JL4!.Xoc
+r36+6!jHW_rI4g/rp]rlrVlkIr*TA`r3-0nrGVb@rkJK;r@e4jrEfPsrfI)N"b1K1T:`@eIfQ,>
+YQ1<md/LfZd/Ul\ciCiXd/Ul\T)aA#rrBh5YR#3pd'0aHYeRsPYQ3SXd/U<O^OO#tYR?PsYb.P;
+Iup:PIp`.N!-%m$ru_2(!-%j4r'1*d!.Xs/!.X]Lq2kQIrdX86s'PS`rm:Q3qQU!Ll2U[rplGVt
+T<PQ7iW"E~>
+mJd09r)!<QricAer_WW%rc%_+rkAH;rQtQ$!mlFHrG_Y\rP/B)!3lEO!2'7p!5JN[!5JL4!.Xoc
+r36+6!jHW_rI4g/rp]rlrVlkIr*TA`r3-0nrGVb@rkJK;r@e4jrEfPsrfI)N"b1K1T:`@eIfQ,>
+YQ1<md/LfZd/Ul\ciCiXd/Ul\T)aA#rrBh5YR#3pd'0aHYeRsPYQ3SXd/U<O^OO#tYR?PsYb.P;
+Iup:PIp`.N!-%m$ru_2(!-%j4r'1*d!.Xs/!.X]Lq2kQIrdX86s'PS`rm:Q3qQU!Ll2U[rplGVt
+T<PQ7iW"E~>
+mJd09r)!<QricAer_WW%rc%_+rkAH;rQtQ$!mlFHrG_Y\rP/B)!3lEO!2'7p!5JN[!5JL4!.Xoc
+r36+6!jHW_rI4g/rp]rlrVlkIr*TA`r3-0nrGVb@rkJK;r@e4jrEfPsrfI)N"b1K1T:`@eIfQ,>
+YQ1<md/LfZd/Ul\ciCiXd/Ul\T)aA#rrBh5YR#3pd'0aHYeRsPYQ3SXd/U<O^OO#tYR?PsYb.P;
+Iup:PIp`.N!-%m$ru_2(!-%j4r'1*d!.Xs/!.X]Lq2kQIrdX86s'PS`rm:Q3qQU!Ll2U[rplGVt
+T<PQ7iW"E~>
+mJd09r)!<QricGg:f.-urc%_+rkJBXrndb'J,F9_d/C`ZT)c+oIfQ,?YQ2H;ciCi[s8RTHE;d$=
+^]1P<E;b7dOT+bLYl4S%J,E[OOSl<_TDig+YQ-oe0E?(j?N?_tOStdPIrPCZrdOp?rNH9oqp>>W
+rm:YZ!RTa#ci_%TT7;e!!5JN;!H?EbYQg`7^Rqa7htte#YQDRh^\tADOKb@LIt*QPIt(i):]Z&b
+r]g?'s$$L&r)!;Uqd9AQs,[51p0[iLqiLcKrdX;7ra5M`qp>?3q69mKk5YFqr/ghqrgs1piW"E~>
+mJd09r)!<QricGg:f.-urc%_+rkJBXrndb'J,F9_d/C`ZT)c+oIfQ,?YQ2H;ciCi[s8RTHE;d$=
+^]1P<E;b7dOT+bLYl4S%J,E[OOSl<_TDig+YQ-oe0E?(j?N?_tOStdPIrPCZrdOp?rNH9oqp>>W
+rm:YZ!RTa#ci_%TT7;e!!5JN;!H?EbYQg`7^Rqa7htte#YQDRh^\tADOKb@LIt*QPIt(i):]Z&b
+r]g?'s$$L&r)!;Uqd9AQs,[51p0[iLqiLcKrdX;7ra5M`qp>?3q69mKk5YFqr/ghqrgs1piW"E~>
+mJd09r)!<QricGg:f.-urc%_+rkJBXrndb'J,F9_d/C`ZT)c+oIfQ,?YQ2H;ciCi[s8RTHE;d$=
+^]1P<E;b7dOT+bLYl4S%J,E[OOSl<_TDig+YQ-oe0E?(j?N?_tOStdPIrPCZrdOp?rNH9oqp>>W
+rm:YZ!RTa#ci_%TT7;e!!5JN;!H?EbYQg`7^Rqa7htte#YQDRh^\tADOKb@LIt*QPIt(i):]Z&b
+r]g?'s$$L&r)!;Uqd9AQs,[51p0[iLqiLcKrdX;7ra5M`qp>?3q69mKk5YFqr/ghqrgs1piW"E~>
+mJd09r)!<QricGg:f.-urc%_+rkJBXrndb'J,O?_d/C]\TDtP^IfQ,?YQ2H;ciCi[rr@QHE;Zs<
+^]1P<E;b7dOT+bLYl4S%J,E[POSc6^TDig+YQ-oe0E?(j?N?_tOT(jTIrKA!TDa9<YQ1<md/LfZ
+d/Ui\J,\@&ci_%TT7;^ts1eT<#B8%oYb.Q&^](G;hu(k#YQ96grNHWjYb.P;J$>#aIp`1O!-%m$
+q]G`4r'1$brdOoepL!fIrfI)NrdX;7ra5M`q9\o@s*s,0rkJGo!.XocrLX(oir=N~>
+mJd09r)!<QricGg:f.-urc%_+rkJBXrndb'J,O?_d/C]\TDtP^IfQ,?YQ2H;ciCi[rr@QHE;Zs<
+^]1P<E;b7dOT+bLYl4S%J,E[POSc6^TDig+YQ-oe0E?(j?N?_tOT(jTIrKA!TDa9<YQ1<md/LfZ
+d/Ui\J,\@&ci_%TT7;^ts1eT<#B8%oYb.Q&^](G;hu(k#YQ96grNHWjYb.P;J$>#aIp`1O!-%m$
+q]G`4r'1$brdOoepL!fIrfI)NrdX;7ra5M`q9\o@s*s,0rkJGo!.XocrLX(oir=N~>
+mJd09r)!<QricGg:f.-urc%_+rkJBXrndb'J,O?_d/C]\TDtP^IfQ,?YQ2H;ciCi[rr@QHE;Zs<
+^]1P<E;b7dOT+bLYl4S%J,E[POSc6^TDig+YQ-oe0E?(j?N?_tOT(jTIrKA!TDa9<YQ1<md/LfZ
+d/Ui\J,\@&ci_%TT7;^ts1eT<#B8%oYb.Q&^](G;hu(k#YQ96grNHWjYb.P;J$>#aIp`1O!-%m$
+q]G`4r'1$brdOoepL!fIrfI)NrdX;7ra5M`q9\o@s*s,0rkJGo!.XocrLX(oir=N~>
+mJd09r)!<Qs02Mfs%r]%rc%_+rkJ9Us*sudqp>8U!h]LbrI4g>ricC;rm1Y[rr2tJr,DS<r4`69
+rc%gc!g)p@rilA$r*TA`qlp$<qlg*?5Q3>:E;j5ETDjrOT*'R^E1d)Y!2'4oqp>>Wrm1_]It.IT
+qp5DZT:^i;!5JN;$.,o\T?t?FYd!$_d/L6MJ%trd%ZmoeT7;?_OFLVE:f)+MrBL3%r)!8Tqd9;O
+pL!`G!0I/OrdX>8rEoD_q9T,6q69mKj8]+ns,[;3?XNeOr1<tnir=N~>
+mJd09r)!<Qs02Mfs%r]%rc%_+rkJ9Us*sudqp>8U!h]LbrI4g>ricC;rm1Y[rr2tJr,DS<r4`69
+rc%gc!g)p@rilA$r*TA`qlp$<qlg*?5Q3>:E;j5ETDjrOT*'R^E1d)Y!2'4oqp>>Wrm1_]It.IT
+qp5DZT:^i;!5JN;$.,o\T?t?FYd!$_d/L6MJ%trd%ZmoeT7;?_OFLVE:f)+MrBL3%r)!8Tqd9;O
+pL!`G!0I/OrdX>8rEoD_q9T,6q69mKj8]+ns,[;3?XNeOr1<tnir=N~>
+mJd09r)!<Qs02Mfs%r]%rc%_+rkJ9Us*sudqp>8U!h]LbrI4g>ricC;rm1Y[rr2tJr,DS<r4`69
+rc%gc!g)p@rilA$r*TA`qlp$<qlg*?5Q3>:E;j5ETDjrOT*'R^E1d)Y!2'4oqp>>Wrm1_]It.IT
+qp5DZT:^i;!5JN;$.,o\T?t?FYd!$_d/L6MJ%trd%ZmoeT7;?_OFLVE:f)+MrBL3%r)!8Tqd9;O
+pL!`G!0I/OrdX>8rEoD_q9T,6q69mKj8]+ns,[;3?XNeOr1<tnir=N~>
+mJd3:E;`W2OT2Qb5Q=RZ?iP*ATDYqid/SUo?N@k=d/:W[TDtP^IfQ,?YQ2H;ciCi[rr@QHE;Zs=
+^]1P;E;b:cnG]Zkrr@QH?i6#_Yl/P<YQ8]-r\+=kra5\trfI/P"+P9/TDX0=TDc"ld/C`ZciUt3
+J,S:&ciUtdT7d.D^](GDd'0aH^V?DFhnT-:ricEb^\b88TDsBCT7;>tr_NT6rBL0$rD<AUqd9>P
+p0[QDrh'1>mJm,lqiLU"s.B.ls*s#-rkJJ_s'PbEr1<tnir=N~>
+mJd3:E;`W2OT2Qb5Q=RZ?iP*ATDYqid/SUo?N@k=d/:W[TDtP^IfQ,?YQ2H;ciCi[rr@QHE;Zs=
+^]1P;E;b:cnG]Zkrr@QH?i6#_Yl/P<YQ8]-r\+=kra5\trfI/P"+P9/TDX0=TDc"ld/C`ZciUt3
+J,S:&ciUtdT7d.D^](GDd'0aH^V?DFhnT-:ricEb^\b88TDsBCT7;>tr_NT6rBL0$rD<AUqd9>P
+p0[QDrh'1>mJm,lqiLU"s.B.ls*s#-rkJJ_s'PbEr1<tnir=N~>
+mJd3:E;`W2OT2Qb5Q=RZ?iP*ATDYqid/SUo?N@k=d/:W[TDtP^IfQ,?YQ2H;ciCi[rr@QHE;Zs=
+^]1P;E;b:cnG]Zkrr@QH?i6#_Yl/P<YQ8]-r\+=kra5\trfI/P"+P9/TDX0=TDc"ld/C`ZciUt3
+J,S:&ciUtdT7d.D^](GDd'0aH^V?DFhnT-:ricEb^\b88TDsBCT7;>tr_NT6rBL0$rD<AUqd9>P
+p0[QDrh'1>mJm,lqiLU"s.B.ls*s#-rkJJ_s'PbEr1<tnir=N~>
+mJd3:E;`W2OT2Qb5Q=RZ?iP*ATDYqiciARn?i7Y=d/C`ZT)ntarI4g>rilF;s3Lb\rr2tJr,DS<
+rP/B:rc%gcrp]okrr2tJr*KGrrK-o\rG_Y<!H::&0`Q+l?iQbtOT1pQJ,XEbIfQ,>YQ2H;d/C`Z
+ciUt3^]!'fciLncJc?2Z^V@"Wd'0b$^Rqaf^\lIYYQ9j#r360m$%K1@It(g%:iLCP5PuW%;#<KS
+?iGQK?hT!LTDj??ORW;K?iGQROSR9$TDYnnJ)C;*^]/f`?iG$BT)l12j8XW~>
+mJd3:E;`W2OT2Qb5Q=RZ?iP*ATDYqiciARn?i7Y=d/C`ZT)ntarI4g>rilF;s3Lb\rr2tJr,DS<
+rP/B:rc%gcrp]okrr2tJr*KGrrK-o\rG_Y<!H::&0`Q+l?iQbtOT1pQJ,XEbIfQ,>YQ2H;d/C`Z
+ciUt3^]!'fciLncJc?2Z^V@"Wd'0b$^Rqaf^\lIYYQ9j#r360m$%K1@It(g%:iLCP5PuW%;#<KS
+?iGQK?hT!LTDj??ORW;K?iGQROSR9$TDYnnJ)C;*^]/f`?iG$BT)l12j8XW~>
+mJd3:E;`W2OT2Qb5Q=RZ?iP*ATDYqiciARn?i7Y=d/C`ZT)ntarI4g>rilF;s3Lb\rr2tJr,DS<
+rP/B:rc%gcrp]okrr2tJr*KGrrK-o\rG_Y<!H::&0`Q+l?iQbtOT1pQJ,XEbIfQ,>YQ2H;d/C`Z
+ciUt3^]!'fciLncJc?2Z^V@"Wd'0b$^Rqaf^\lIYYQ9j#r360m$%K1@It(g%:iLCP5PuW%;#<KS
+?iGQK?hT!LTDj??ORW;K?iGQROSR9$TDYnnJ)C;*^]/f`?iG$BT)l12j8XW~>
+mJd3:E;`W2OT2Qb56+OY?iP*ATDYqiciARo?hV87T)ntarI=j>s02O<s3Ue\!rmb"r,DS<rP&?:
+rG_^brUBikrr2tJr*KGrrf@,pqlp$<qlg0A5;4ejE;s;FTDjoPTDW[+IfQ,>YlDH<d/C`Zd/SRq
+^]!'fciLnRJcG]K$GWglOKbt(^Rqafr6YJJ!Kb(oYl:7#J"MgP?XHW+E;`$!+8et55PeaeJ+d7:
+J,bW's867%J,bW+d/0I7YQ9i8hZ!])^Mn]$?iP*CT)l12j8XW~>
+mJd3:E;`W2OT2Qb56+OY?iP*ATDYqiciARo?hV87T)ntarI=j>s02O<s3Ue\!rmb"r,DS<rP&?:
+rG_^brUBikrr2tJr*KGrrf@,pqlp$<qlg0A5;4ejE;s;FTDjoPTDW[+IfQ,>YlDH<d/C`Zd/SRq
+^]!'fciLnRJcG]K$GWglOKbt(^Rqafr6YJJ!Kb(oYl:7#J"MgP?XHW+E;`$!+8et55PeaeJ+d7:
+J,bW's867%J,bW+d/0I7YQ9i8hZ!])^Mn]$?iP*CT)l12j8XW~>
+mJd3:E;`W2OT2Qb56+OY?iP*ATDYqiciARo?hV87T)ntarI=j>s02O<s3Ue\!rmb"r,DS<rP&?:
+rG_^brUBikrr2tJr*KGrrf@,pqlp$<qlg0A5;4ejE;s;FTDjoPTDW[+IfQ,>YlDH<d/C`Zd/SRq
+^]!'fciLnRJcG]K$GWglOKbt(^Rqafr6YJJ!Kb(oYl:7#J"MgP?XHW+E;`$!+8et55PeaeJ+d7:
+J,bW's867%J,bW+d/0I7YQ9i8hZ!])^Mn]$?iP*CT)l12j8XW~>
+mJd3:E;`W2OT2Qb56+OY?iP*@TDc"jciARo?i%P:YQ_e6s8S^qrdXs?s02O<s3Ue\!rmb"rG_Y<
+rP&K>s'K_arI=e8s02M&!.XoR!2'7P!5JE8rc%_<s$-N;rc%mErgs7RT:c+%!M=?0J,c/>YlDH<
+Yl2<=d!pP[r87G!!5F*bqu7#<YgAK9d(c3WhnT-:s0)Nc^\k>8T*Tq=It(g4:iLCP5Q)]%;#EQS
+?iPWL?g<.@OSSqS?i#6PYkcZBTDu+rOFQ'c!l&](rEfPDr1F"n!5IRoJ,~>
+mJd3:E;`W2OT2Qb56+OY?iP*@TDc"jciARo?i%P:YQ_e6s8S^qrdXs?s02O<s3Ue\!rmb"rG_Y<
+rP&K>s'K_arI=e8s02M&!.XoR!2'7P!5JE8rc%_<s$-N;rc%mErgs7RT:c+%!M=?0J,c/>YlDH<
+Yl2<=d!pP[r87G!!5F*bqu7#<YgAK9d(c3WhnT-:s0)Nc^\k>8T*Tq=It(g4:iLCP5Q)]%;#EQS
+?iPWL?g<.@OSSqS?i#6PYkcZBTDu+rOFQ'c!l&](rEfPDr1F"n!5IRoJ,~>
+mJd3:E;`W2OT2Qb56+OY?iP*@TDc"jciARo?i%P:YQ_e6s8S^qrdXs?s02O<s3Ue\!rmb"rG_Y<
+rP&K>s'K_arI=e8s02M&!.XoR!2'7P!5JE8rc%_<s$-N;rc%mErgs7RT:c+%!M=?0J,c/>YlDH<
+Yl2<=d!pP[r87G!!5F*bqu7#<YgAK9d(c3WhnT-:s0)Nc^\k>8T*Tq=It(g4:iLCP5Q)]%;#EQS
+?iPWL?g<.@OSSqS?i#6PYkcZBTDu+rOFQ'c!l&](rEfPDr1F"n!5IRoJ,~>
+mJd3:E;`W2O8uNa56+OY?iP*@TDc"jciARo?i.V9YQUTus.?OpJ,c/@YlDK<d/Ui^s*oOsE;Qm=
+^]1M?s'K_arI=e8s02M&!.XoRs.B=Q!5JE8rc%b="E6Ri0JNKFs'Pbt!g'%Hrbqn1E;b:dTDc"o
+^AuX[^B;i4J%tp=r6PGYJcGQGs1\fcOKcL7TARE^d/C0K^\tD9T*MT^It(g4IrP?N!)WY:r)!8T
+qd9AQpL!E>s'PPNs,d3ZrEoAMril=Ipn%VlOFQ$b!l&](rEfPDr1F"n!5IRoJ,~>
+mJd3:E;`W2O8uNa56+OY?iP*@TDc"jciARo?i.V9YQUTus.?OpJ,c/@YlDK<d/Ui^s*oOsE;Qm=
+^]1M?s'K_arI=e8s02M&!.XoRs.B=Q!5JE8rc%b="E6Ri0JNKFs'Pbt!g'%Hrbqn1E;b:dTDc"o
+^AuX[^B;i4J%tp=r6PGYJcGQGs1\fcOKcL7TARE^d/C0K^\tD9T*MT^It(g4IrP?N!)WY:r)!8T
+qd9AQpL!E>s'PPNs,d3ZrEoAMril=Ipn%VlOFQ$b!l&](rEfPDr1F"n!5IRoJ,~>
+mJd3:E;`W2O8uNa56+OY?iP*@TDc"jciARo?i.V9YQUTus.?OpJ,c/@YlDK<d/Ui^s*oOsE;Qm=
+^]1M?s'K_arI=e8s02M&!.XoRs.B=Q!5JE8rc%b="E6Ri0JNKFs'Pbt!g'%Hrbqn1E;b:dTDc"o
+^AuX[^B;i4J%tp=r6PGYJcGQGs1\fcOKcL7TARE^d/C0K^\tD9T*MT^It(g4IrP?N!)WY:r)!8T
+qd9AQpL!E>s'PPNs,d3ZrEoAMril=Ipn%VlOFQ$b!l&](rEfPDr1F"n!5IRoJ,~>
+mJd3:E;`W2O8uNa56+OY?iP*AT)cY)YkufIJ,NaO^\k;=TE"q`Yl9.PTDu.q^]2[\^B4FbJ,O?a
+Yl2?:YQOo4E,bc*rUBiks8W+K!-%mDs.B=Q!5JN;!hZ^$rc%b="E6Ri0JNKFs'Pbt#EYRME.<A0
+E;b:dTDc"o^BW'"^X.I[^\m!eciCh3s7cQn^B`,Id(c3FhnT0;r360^!3lEo"d"4@?Vk_?56+OZ
+*ro[H;#<KS?N>TL?grRC?h]$MOSiJ^J,?JLd.a.5OFQ!a!hXF]rEfPDr1=%p^VAh/J,~>
+mJd3:E;`W2O8uNa56+OY?iP*AT)cY)YkufIJ,NaO^\k;=TE"q`Yl9.PTDu.q^]2[\^B4FbJ,O?a
+Yl2?:YQOo4E,bc*rUBiks8W+K!-%mDs.B=Q!5JN;!hZ^$rc%b="E6Ri0JNKFs'Pbt#EYRME.<A0
+E;b:dTDc"o^BW'"^X.I[^\m!eciCh3s7cQn^B`,Id(c3FhnT0;r360^!3lEo"d"4@?Vk_?56+OZ
+*ro[H;#<KS?N>TL?grRC?h]$MOSiJ^J,?JLd.a.5OFQ!a!hXF]rEfPDr1=%p^VAh/J,~>
+mJd3:E;`W2O8uNa56+OY?iP*AT)cY)YkufIJ,NaO^\k;=TE"q`Yl9.PTDu.q^]2[\^B4FbJ,O?a
+Yl2?:YQOo4E,bc*rUBiks8W+K!-%mDs.B=Q!5JN;!hZ^$rc%b="E6Ri0JNKFs'Pbt#EYRME.<A0
+E;b:dTDc"o^BW'"^X.I[^\m!eciCh3s7cQn^B`,Id(c3FhnT0;r360^!3lEo"d"4@?Vk_?56+OZ
+*ro[H;#<KS?N>TL?grRC?h]$MOSiJ^J,?JLd.a.5OFQ!a!hXF]rEfPDr1=%p^VAh/J,~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!WTq5YkufIJ,NaO^\k;=TE"q`Yl9.PTDu.p^B2cs^]&`]E;Zs=
+^BLiks'K_arI=e8s02P's*k#frEoSss,d8qs0)QsYd"+Gr1=.sE'HQ@0`H%k?iHZ&OIr.aIt+)0
+rI=j>rNQ=:"jk$2J'cR>hu1n%^OcFWrs-<cOMAQ&hnT0;r360^!3lEo"d"4@?[m%n56+OZ+9+S*
+;#<KS?N>TL?grR??i,?N?i#9JYlE)FTDsuQJ(al%E;O#?T)u73^Z5?E~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!WTq5YkufIJ,NaO^\k;=TE"q`Yl9.PTDu.p^B2cs^]&`]E;Zs=
+^BLiks'K_arI=e8s02P's*k#frEoSss,d8qs0)QsYd"+Gr1=.sE'HQ@0`H%k?iHZ&OIr.aIt+)0
+rI=j>rNQ=:"jk$2J'cR>hu1n%^OcFWrs-<cOMAQ&hnT0;r360^!3lEo"d"4@?[m%n56+OZ+9+S*
+;#<KS?N>TL?grR??i,?N?i#9JYlE)FTDsuQJ(al%E;O#?T)u73^Z5?E~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!WTq5YkufIJ,NaO^\k;=TE"q`Yl9.PTDu.p^B2cs^]&`]E;Zs=
+^BLiks'K_arI=e8s02P's*k#frEoSss,d8qs0)QsYd"+Gr1=.sE'HQ@0`H%k?iHZ&OIr.aIt+)0
+rI=j>rNQ=:"jk$2J'cR>hu1n%^OcFWrs-<cOMAQ&hnT0;r360^!3lEo"d"4@?[m%n56+OZ+9+S*
+;#<KS?N>TL?grR??i,?N?i#9JYlE)FTDsuQJ(al%E;O#?T)u73^Z5?E~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!rp$-ril:H!.XoRqnN*6s.B>k!M?UqJ,Z&?Yl;B?d(d>FJ,F9`
+Yl2<?Y^c[[E,bc*rUBiks8W+K!-%mDs.B=Qs1eT<!hZ^$rc%e-"gDr15;4eiDua8ET*UONT7;?p
+T5\cKJ,c/>YlDH@d(b(Wd/2`!ciLnRJcG?Arm1b^TARE_d/:-IOT(jVY`O?a?XIdN5Q=R[+9"J)
+;#<KG?h&XGE;!Z<J,NaMJ,$8BTDt#)s8R'956-fDTDu+q^Z,9D~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!rp$-ril:H!.XoRqnN*6s.B>k!M?UqJ,Z&?Yl;B?d(d>FJ,F9`
+Yl2<?Y^c[[E,bc*rUBiks8W+K!-%mDs.B=Qs1eT<!hZ^$rc%e-"gDr15;4eiDua8ET*UONT7;?p
+T5\cKJ,c/>YlDH@d(b(Wd/2`!ciLnRJcG?Arm1b^TARE_d/:-IOT(jVY`O?a?XIdN5Q=R[+9"J)
+;#<KG?h&XGE;!Z<J,NaMJ,$8BTDt#)s8R'956-fDTDu+q^Z,9D~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!rp$-ril:H!.XoRqnN*6s.B>k!M?UqJ,Z&?Yl;B?d(d>FJ,F9`
+Yl2<?Y^c[[E,bc*rUBiks8W+K!-%mDs.B=Qs1eT<!hZ^$rc%e-"gDr15;4eiDua8ET*UONT7;?p
+T5\cKJ,c/>YlDH@d(b(Wd/2`!ciLnRJcG?Arm1b^TARE_d/:-IOT(jVY`O?a?XIdN5Q=R[+9"J)
+;#<KG?h&XGE;!Z<J,NaMJ,$8BTDt#)s8R'956-fDTDu+q^Z,9D~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!rp$-ril:H!.XrSqS3!5s.B>k!M?UqJ,Z&?Yl;B?d(d>FJ,O?_
+Yl;B@YlF`1?Z>snrUBiks8N.>IrP?nrgsFW^V@"WT<PR!E;Z=/Y]0S+r,;XCrgsIXT5]:0Yb,lR
+rdXs?rNQ=:"42PEd/)Z!ciLnRJcG9?#ge[J^RsDud*V]ps,[5brLX7TIpZQ4E;`!&:`geX56*D7
+5O`%MJ,F9V?i#9HYkXjiOOjF3E;Mj)OFMbPT<PQ7ir=N~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!rp$-ril:H!.XrSqS3!5s.B>k!M?UqJ,Z&?Yl;B?d(d>FJ,O?_
+Yl;B@YlF`1?Z>snrUBiks8N.>IrP?nrgsFW^V@"WT<PR!E;Z=/Y]0S+r,;XCrgsIXT5]:0Yb,lR
+rdXs?rNQ=:"42PEd/)Z!ciLnRJcG9?#ge[J^RsDud*V]ps,[5brLX7TIpZQ4E;`!&:`geX56*D7
+5O`%MJ,F9V?i#9HYkXjiOOjF3E;Mj)OFMbPT<PQ7ir=N~>
+mJd3:E;`W2O9;^O5>_8b!-%e,!rp$-ril:H!.XrSqS3!5s.B>k!M?UqJ,Z&?Yl;B?d(d>FJ,O?_
+Yl;B@YlF`1?Z>snrUBiks8N.>IrP?nrgsFW^V@"WT<PR!E;Z=/Y]0S+r,;XCrgsIXT5]:0Yb,lR
+rdXs?rNQ=:"42PEd/)Z!ciLnRJcG9?#ge[J^RsDud*V]ps,[5brLX7TIpZQ4E;`!&:`geX56*D7
+5O`%MJ,F9V?i#9HYkXjiOOjF3E;Mj)OFMbPT<PQ7ir=N~>
+mJd3:E;`T5TDaiRYWk?KrEoSDqO[ih^RtJ/r6PFnrEoE9rNH9orr3"kYl9.OT)c+p^BDou^OLb3
+E;Qm=^]1P<s8QF+E;b:bnGf`mrrm@kE,]/krLX:U^V@"WT<S95r1<tnrBL4!!+5_t#`tZtIt*QP
+E,bf+s.B7os1eKYr87J"!2"iBn,NF7"2CJc^])UYYlBdkYb.PlT9+P0?Z>s.s%i\;rBL98rBL3e
+!)WW$s%rZ$n:14PpL!`GposOcrfG\1!2'-Q!0I//".ug%^Z,9D~>
+mJd3:E;`T5TDaiRYWk?KrEoSDqO[ih^RtJ/r6PFnrEoE9rNH9orr3"kYl9.OT)c+p^BDou^OLb3
+E;Qm=^]1P<s8QF+E;b:bnGf`mrrm@kE,]/krLX:U^V@"WT<S95r1<tnrBL4!!+5_t#`tZtIt*QP
+E,bf+s.B7os1eKYr87J"!2"iBn,NF7"2CJc^])UYYlBdkYb.PlT9+P0?Z>s.s%i\;rBL98rBL3e
+!)WW$s%rZ$n:14PpL!`GposOcrfG\1!2'-Q!0I//".ug%^Z,9D~>
+mJd3:E;`T5TDaiRYWk?KrEoSDqO[ih^RtJ/r6PFnrEoE9rNH9orr3"kYl9.OT)c+p^BDou^OLb3
+E;Qm=^]1P<s8QF+E;b:bnGf`mrrm@kE,]/krLX:U^V@"WT<S95r1<tnrBL4!!+5_t#`tZtIt*QP
+E,bf+s.B7os1eKYr87J"!2"iBn,NF7"2CJc^])UYYlBdkYb.PlT9+P0?Z>s.s%i\;rBL98rBL3e
+!)WW$s%rZ$n:14PpL!`GposOcrfG\1!2'-Q!0I//".ug%^Z,9D~>
+mJd6;E,beQ!2'4Or]^BZrEoSDqO[ihYb1lur6PFnrEoH:r3-0nrr<"jrdXp>!3lI;"OOouIt.E9
+qlp(7s02P's'GbFrI=b7#dF@/E.;hG?XNc(#*?U7Ycsb(rG_\,!3lDdr,;XCr1=76It*QPE,^;V
+rh'.nrkJBXrnm\$!5F*bmJm45!l*X-rm:VJs,[PkT:`?LIt(gEE;`!&:`j'D5Q*;85Q"jg;#Oc"
+;#anjJ+mpZ?ho0OTD>_cTDjr%s8,%\OSs\.YQ2Gts*t~>
+mJd6;E,beQ!2'4Or]^BZrEoSDqO[ihYb1lur6PFnrEoH:r3-0nrr<"jrdXp>!3lI;"OOouIt.E9
+qlp(7s02P's'GbFrI=b7#dF@/E.;hG?XNc(#*?U7Ycsb(rG_\,!3lDdr,;XCr1=76It*QPE,^;V
+rh'.nrkJBXrnm\$!5F*bmJm45!l*X-rm:VJs,[PkT:`?LIt(gEE;`!&:`j'D5Q*;85Q"jg;#Oc"
+;#anjJ+mpZ?ho0OTD>_cTDjr%s8,%\OSs\.YQ2Gts*t~>
+mJd6;E,beQ!2'4Or]^BZrEoSDqO[ihYb1lur6PFnrEoH:r3-0nrr<"jrdXp>!3lI;"OOouIt.E9
+qlp(7s02P's'GbFrI=b7#dF@/E.;hG?XNc(#*?U7Ycsb(rG_\,!3lDdr,;XCr1=76It*QPE,^;V
+rh'.nrkJBXrnm\$!5F*bmJm45!l*X-rm:VJs,[PkT:`?LIt(gEE;`!&:`j'D5Q*;85Q"jg;#Oc"
+;#anjJ+mpZ?ho0OTD>_cTDjr%s8,%\OSs\.YQ2Gts*t~>
+mJd6;E,beQ!2'4Or]g<f!-%e,s8N,(^\tD8d/SUo?i.V9YQ1<ps8S_jJ,Z&?Yl;E;d/JOnE;Qm=
+^]1P<s8QF+E;b:an-H8us)<I,E*luNT*:=k^Tar7r,DS+!-%m$r,DP*#]P9COIpK2It.HirNH@<
+YeU(^s53h&!5F*bli.:<^Ydq`d*T#3Yl9a_T*17*?[m%n5Q=O[?i<4e0E=?8?N<q$?i*[hJ,]KJ
+J,+'^?ho3MTDPkfTDjr$s8,%\OSs\/YQ:B#iW"E~>
+mJd6;E,beQ!2'4Or]g<f!-%e,s8N,(^\tD8d/SUo?i.V9YQ1<ps8S_jJ,Z&?Yl;E;d/JOnE;Qm=
+^]1P<s8QF+E;b:an-H8us)<I,E*luNT*:=k^Tar7r,DS+!-%m$r,DP*#]P9COIpK2It.HirNH@<
+YeU(^s53h&!5F*bli.:<^Ydq`d*T#3Yl9a_T*17*?[m%n5Q=O[?i<4e0E=?8?N<q$?i*[hJ,]KJ
+J,+'^?ho3MTDPkfTDjr$s8,%\OSs\/YQ:B#iW"E~>
+mJd6;E,beQ!2'4Or]g<f!-%e,s8N,(^\tD8d/SUo?i.V9YQ1<ps8S_jJ,Z&?Yl;E;d/JOnE;Qm=
+^]1P<s8QF+E;b:an-H8us)<I,E*luNT*:=k^Tar7r,DS+!-%m$r,DP*#]P9COIpK2It.HirNH@<
+YeU(^s53h&!5F*bli.:<^Ydq`d*T#3Yl9a_T*17*?[m%n5Q=O[?i<4e0E=?8?N<q$?i*[hJ,]KJ
+J,+'^?ho3MTDPkfTDjr$s8,%\OSs\/YQ:B#iW"E~>
+mJd6;E,beQ!2'4Or]g<f!-%e,s8N/)^RtM0rQtRorEoH:rNQ<orr<"jrdXp>!3lF:!7:^prG_Y<
+rkJK;s8W(*!.Xuer6P_Rs8R%fE,]/kr1Eu'!O/3oE;Z=.E;`#uJ,GoEE.>*RT5\b!J,Z);YQ2H8
+ciDu&ciCh3s69Osd(eJQd*T#3Y`Os]T:`?[OFLVVr'(3Y?i<4d0E=?:?iNt%?hmOgJ,93FJ,O?c
+?ho3JTDl(hTDjr$s8,%[OSsY2Yb.PliW"E~>
+mJd6;E,beQ!2'4Or]g<f!-%e,s8N/)^RtM0rQtRorEoH:rNQ<orr<"jrdXp>!3lF:!7:^prG_Y<
+rkJK;s8W(*!.Xuer6P_Rs8R%fE,]/kr1Eu'!O/3oE;Z=.E;`#uJ,GoEE.>*RT5\b!J,Z);YQ2H8
+ciDu&ciCh3s69Osd(eJQd*T#3Y`Os]T:`?[OFLVVr'(3Y?i<4d0E=?:?iNt%?hmOgJ,93FJ,O?c
+?ho3JTDl(hTDjr$s8,%[OSsY2Yb.PliW"E~>
+mJd6;E,beQ!2'4Or]g<f!-%e,s8N/)^RtM0rQtRorEoH:rNQ<orr<"jrdXp>!3lF:!7:^prG_Y<
+rkJK;s8W(*!.Xuer6P_Rs8R%fE,]/kr1Eu'!O/3oE;Z=.E;`#uJ,GoEE.>*RT5\b!J,Z);YQ2H8
+ciDu&ciCh3s69Osd(eJQd*T#3Y`Os]T:`?[OFLVVr'(3Y?i<4d0E=?:?iNt%?hmOgJ,93FJ,O?c
+?ho3JTDl(hTDjr$s8,%[OSsY2Yb.PliW"E~>
+mJd6;E,beQ!2'4Or]g<f!-%e,rr3#6TDl(nciARn?i.V:YlC?orrA\jJ,Q#<^B2c3J,F9_Yl;B>
+Y^c]Qra5VCr6PSNs8R%frbqjEr1Eu'!O/3oE;Z=.E;`#uJ,GoEE.>*RT5\b!J,Q#;YQ2H4d"25\
+rtEbohnQqQYeRE(OM@E[Y`OrrIrP?N!Dm/%5Pd)3;#Xht;#bM+J+s!CJ,NaNJ,#Z9YkXjjIfPSX
+s85+\OSs\/YlC<qYi5V4~>
+mJd6;E,beQ!2'4Or]g<f!-%e,rr3#6TDl(nciARn?i.V:YlC?orrA\jJ,Q#<^B2c3J,F9_Yl;B>
+Y^c]Qra5VCr6PSNs8R%frbqjEr1Eu'!O/3oE;Z=.E;`#uJ,GoEE.>*RT5\b!J,Q#;YQ2H4d"25\
+rtEbohnQqQYeRE(OM@E[Y`OrrIrP?N!Dm/%5Pd)3;#Xht;#bM+J+s!CJ,NaNJ,#Z9YkXjjIfPSX
+s85+\OSs\/YlC<qYi5V4~>
+mJd6;E,beQ!2'4Or]g<f!-%e,rr3#6TDl(nciARn?i.V:YlC?orrA\jJ,Q#<^B2c3J,F9_Yl;B>
+Y^c]Qra5VCr6PSNs8R%frbqjEr1Eu'!O/3oE;Z=.E;`#uJ,GoEE.>*RT5\b!J,Q#;YQ2H4d"25\
+rtEbohnQqQYeRE(OM@E[Y`OrrIrP?N!Dm/%5Pd)3;#Xht;#bM+J+s!CJ,NaNJ,#Z9YkXjjIfPSX
+s85+\OSs\/YlC<qYi5V4~>
+mJd6;E,beQ!2'4Or]g<f!-%e,rr3#6TDl(nciARo?i%P9YQ1<nrrA\jJ,Q#<^B2c3J,F9`Yl;E;
+YQB=Ss8HC(E;\&cYlF`BJ,XBe?i6Pq^B(R2r,DS+!-%m$qg\O9"E8jpOIuMk!.Xs>r3-19ps=Tl
+k5Pb7hnQqQYeRE(OStdROFLVVr'(0grBC9(q_7qEra5Lus'PbEomc]8rEoAMm[sK.s.@a>r'1.A
+rdXsPrL`'KJ,~>
+mJd6;E,beQ!2'4Or]g<f!-%e,rr3#6TDl(nciARo?i%P9YQ1<nrrA\jJ,Q#<^B2c3J,F9`Yl;E;
+YQB=Ss8HC(E;\&cYlF`BJ,XBe?i6Pq^B(R2r,DS+!-%m$qg\O9"E8jpOIuMk!.Xs>r3-19ps=Tl
+k5Pb7hnQqQYeRE(OStdROFLVVr'(0grBC9(q_7qEra5Lus'PbEomc]8rEoAMm[sK.s.@a>r'1.A
+rdXsPrL`'KJ,~>
+mJd6;E,beQ!2'4Or]g<f!-%e,rr3#6TDl(nciARo?i%P9YQ1<nrrA\jJ,Q#<^B2c3J,F9`Yl;E;
+YQB=Ss8HC(E;\&cYlF`BJ,XBe?i6Pq^B(R2r,DS+!-%m$qg\O9"E8jpOIuMk!.Xs>r3-19ps=Tl
+k5Pb7hnQqQYeRE(OStdROFLVVr'(0grBC9(q_7qEra5Lus'PbEomc]8rEoAMm[sK.s.@a>r'1.A
+rdXsPrL`'KJ,~>
+mJd6;E,beQ!2'4Os$$K[r*KGCqOdce!Pb9+Yl2oKJ,NaO^\k;9TD\]hTDj?=T)c+p^B2c3J,F9`
+Yl;B?Y^_0&s8HC(E;\&cYlF`BJ,XBe?i6Pq^B(R2r,DS+!.Xo2r."X:")raoOSs+uJ,Q#;YQ2H6
+d"25Yrrg]`hnRP;YR-E+T:`ljOFMb!rBL<hr]^B)q_/"7rD<K#qG@3!rG_I[p](2!q1%e(r."[;
+f)PY4r/gr.s02Hoi;\<~>
+mJd6;E,beQ!2'4Os$$K[r*KGCqOdce!Pb9+Yl2oKJ,NaO^\k;9TD\]hTDj?=T)c+p^B2c3J,F9`
+Yl;B?Y^_0&s8HC(E;\&cYlF`BJ,XBe?i6Pq^B(R2r,DS+!.Xo2r."X:")raoOSs+uJ,Q#;YQ2H6
+d"25Yrrg]`hnRP;YR-E+T:`ljOFMb!rBL<hr]^B)q_/"7rD<K#qG@3!rG_I[p](2!q1%e(r."[;
+f)PY4r/gr.s02Hoi;\<~>
+mJd6;E,beQ!2'4Os$$K[r*KGCqOdce!Pb9+Yl2oKJ,NaO^\k;9TD\]hTDj?=T)c+p^B2c3J,F9`
+Yl;B?Y^_0&s8HC(E;\&cYlF`BJ,XBe?i6Pq^B(R2r,DS+!.Xo2r."X:")raoOSs+uJ,Q#;YQ2H6
+d"25Yrrg]`hnRP;YR-E+T:`ljOFMb!rBL<hr]^B)q_/"7rD<K#qG@3!rG_I[p](2!q1%e(r."[;
+f)PY4r/gr.s02Hoi;\<~>
+mJd6;E,beQ!2'4Os$-?Vqk*ie"L+MjYd")Q!.XrSqnN'5!2'2h!2'7?r1Er7s*srcr3618!O.(Q
+s8HC(E;\&cYlAZ]J,O?aTDlV*TDW[+T)aB=5Q$$/T*'&:OHBE[!.Xs>r3-19qTsfnj8TY:hnQqQ
+Ycs5(T:`?LOFM6J5Q>*i56)f&0E=?9;#anu;#ao"E;4qXs8?=#J*im'J,Q"ms85+ZOT0h0Yl:6p
+OPp.h~>
+mJd6;E,beQ!2'4Os$-?Vqk*ie"L+MjYd")Q!.XrSqnN'5!2'2h!2'7?r1Er7s*srcr3618!O.(Q
+s8HC(E;\&cYlAZ]J,O?aTDlV*TDW[+T)aB=5Q$$/T*'&:OHBE[!.Xs>r3-19qTsfnj8TY:hnQqQ
+Ycs5(T:`?LOFM6J5Q>*i56)f&0E=?9;#anu;#ao"E;4qXs8?=#J*im'J,Q"ms85+ZOT0h0Yl:6p
+OPp.h~>
+mJd6;E,beQ!2'4Os$-?Vqk*ie"L+MjYd")Q!.XrSqnN'5!2'2h!2'7?r1Er7s*srcr3618!O.(Q
+s8HC(E;\&cYlAZ]J,O?aTDlV*TDW[+T)aB=5Q$$/T*'&:OHBE[!.Xs>r3-19qTsfnj8TY:hnQqQ
+Ycs5(T:`?LOFM6J5Q>*i56)f&0E=?9;#anu;#ao"E;4qXs8?=#J*im'J,Q"ms85+ZOT0h0Yl:6p
+OPp.h~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVm#)T:`?lrm:[prEfQ/r4i06!2'2h!2'7?r1Er7!.Xlbr3618
+!O.(Qs8HC(E;\)_YlAYBJ,O?`TDu\+TDW[,T)in\r'1(.rLX12Y`OtFE;Z@+YQ2H7d"25Wrt!K6
+^VA."Y`QVl^T`fLIrP?N!+5^i!$D(l!'gEYs'PRus'PS@qLA>@rEoAMs,cZ@rdOoeq1&@8h#I79
+r/^o.rilBos,c1=J,~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVm#)T:`?lrm:[prEfQ/r4i06!2'2h!2'7?r1Er7!.Xlbr3618
+!O.(Qs8HC(E;\)_YlAYBJ,O?`TDu\+TDW[,T)in\r'1(.rLX12Y`OtFE;Z@+YQ2H7d"25Wrt!K6
+^VA."Y`QVl^T`fLIrP?N!+5^i!$D(l!'gEYs'PRus'PS@qLA>@rEoAMs,cZ@rdOoeq1&@8h#I79
+r/^o.rilBos,c1=J,~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVm#)T:`?lrm:[prEfQ/r4i06!2'2h!2'7?r1Er7!.Xlbr3618
+!O.(Qs8HC(E;\)_YlAYBJ,O?`TDu\+TDW[,T)in\r'1(.rLX12Y`OtFE;Z@+YQ2H7d"25Wrt!K6
+^VA."Y`QVl^T`fLIrP?N!+5^i!$D(l!'gEYs'PRus'PS@qLA>@rEoAMs,cZ@rdOoeq1&@8h#I79
+r/^o.rilBos,c1=J,~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVlr'^RtM0s3UdqrEfQ/r4i37s.B5h!2'70r1Er7!.Xocqlp(7
+!O.(QrrSg"?i=sAd/U?HE;Z@-^]0r(E;cF.J,MV/J,PuAE3PFcr,DV,r3-19qp9ooiVs#,hnRP;
+YlC?pYQ95mrBC9hrBC9(r%J+8rD<N$qG@/upMg%[qZ$M$pj`:)n=T]0qf)C]rL`!Iq`k"?!.XsO
+s.B:Pi;\<~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVlr'^RtM0s3UdqrEfQ/r4i37s.B5h!2'70r1Er7!.Xocqlp(7
+!O.(QrrSg"?i=sAd/U?HE;Z@-^]0r(E;cF.J,MV/J,PuAE3PFcr,DV,r3-19qp9ooiVs#,hnRP;
+YlC?pYQ95mrBC9hrBC9(r%J+8rD<N$qG@/upMg%[qZ$M$pj`:)n=T]0qf)C]rL`!Iq`k"?!.XsO
+s.B:Pi;\<~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVlr'^RtM0s3UdqrEfQ/r4i37s.B5h!2'70r1Er7!.Xocqlp(7
+!O.(QrrSg"?i=sAd/U?HE;Z@-^]0r(E;cF.J,MV/J,PuAE3PFcr,DV,r3-19qp9ooiVs#,hnRP;
+YlC?pYQ95mrBC9hrBC9(r%J+8rD<N$qG@/upMg%[qZ$M$pj`:)n=T]0qf)C]rL`!Iq`k"?!.XsO
+s.B:Pi;\<~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVlr'^RtM0s3UdqrEfQ/r4i-5r;Qbhrc%e-rQkOor,DP;rkAK<
+J,TEH?iG$Bd/U?HE;Z@,^Aso(E;cF.J,DP/J,PuBJ$>#rE;`!'E.<A0r3-19r6PG9JcF^/#ghJD
+d'0ahT>1B0!Io(f56,'h56)f'0E=?9:]Oku;#ObpE;tFas8?="J,>?!TDj?9E;bmrJ,Z)!s8,%X
+OSuE`TDjr0s*t~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVlr'^RtM0s3UdqrEfQ/r4i-5r;Qbhrc%e-rQkOor,DP;rkAK<
+J,TEH?iG$Bd/U?HE;Z@,^Aso(E;cF.J,DP/J,PuBJ$>#rE;`!'E.<A0r3-19r6PG9JcF^/#ghJD
+d'0ahT>1B0!Io(f56,'h56)f'0E=?9:]Oku;#ObpE;tFas8?="J,>?!TDj?9E;bmrJ,Z)!s8,%X
+OSuE`TDjr0s*t~>
+mJd6;E,beQ!2'7P!jFmRqG@']rVlr'^RtM0s3UdqrEfQ/r4i-5r;Qbhrc%e-rQkOor,DP;rkAK<
+J,TEH?iG$Bd/U?HE;Z@,^Aso(E;cF.J,DP/J,PuBJ$>#rE;`!'E.<A0r3-19r6PG9JcF^/#ghJD
+d'0ahT>1B0!Io(f56,'h56)f'0E=?9:]Oku;#ObpE;tFas8?="J,>?!TDj?9E;bmrJ,Z)!s8,%X
+OSuE`TDjr0s*t~>
+mJd6;E,beQs.B=Q!jFmRqG@']r;Qf4TDl(pd/SUo?N@>.^\b85s8S_kE;Z@-d/SUnE;Qm=^B(Qg
+rVuk(rc%e^s02NB!.Xrdqk*o'!O/3oE;Z@.J,DP/J,Go?Y`OtE56,[%IfPT/YlDK:ciB\hs5<nb
+hnROBYeQgFYcrUrr]^BirBC9(r%S.8r_NT%q,%#soPj^-rEoSDq1&4%p7M;5rfI"rqN1Z*rh&9O
+r)!6OrNQ9nrfH%;J,~>
+mJd6;E,beQs.B=Q!jFmRqG@']r;Qf4TDl(pd/SUo?N@>.^\b85s8S_kE;Z@-d/SUnE;Qm=^B(Qg
+rVuk(rc%e^s02NB!.Xrdqk*o'!O/3oE;Z@.J,DP/J,Go?Y`OtE56,[%IfPT/YlDK:ciB\hs5<nb
+hnROBYeQgFYcrUrr]^BirBC9(r%S.8r_NT%q,%#soPj^-rEoSDq1&4%p7M;5rfI"rqN1Z*rh&9O
+r)!6OrNQ9nrfH%;J,~>
+mJd6;E,beQs.B=Q!jFmRqG@']r;Qf4TDl(pd/SUo?N@>.^\b85s8S_kE;Z@-d/SUnE;Qm=^B(Qg
+rVuk(rc%e^s02NB!.Xrdqk*o'!O/3oE;Z@.J,DP/J,Go?Y`OtE56,[%IfPT/YlDK:ciB\hs5<nb
+hnROBYeQgFYcrUrr]^BirBC9(r%S.8r_NT%q,%#soPj^-rEoSDq1&4%p7M;5rfI"rqN1Z*rh&9O
+r)!6OrNQ9nrfH%;J,~>
+mJd09rc%m6s.B=Q!jFmRqG@']r;R&,T:`?ld*R8lrEfQ/rP/66qu?\grc%e-s3Udqr,DGG!O.(P
+s8HC)E;\)_YQAcnJ,O?`TDuY,Yb1i4r1F"=r'1(.rLX1rOC)Am56PqTIuockYlDK:ciB\hs5<qW
+hZV<1YeRsPYQ01P5Q>*i5Q;i(0`F<::]Oku;#ObnE;]b7?i4m@J+o'!TDj?:OSs.nOSs\.TBQ=Q
+;#$.NYlC?pOP^"f~>
+mJd09rc%m6s.B=Q!jFmRqG@']r;R&,T:`?ld*R8lrEfQ/rP/66qu?\grc%e-s3Udqr,DGG!O.(P
+s8HC)E;\)_YQAcnJ,O?`TDuY,Yb1i4r1F"=r'1(.rLX1rOC)Am56PqTIuockYlDK:ciB\hs5<qW
+hZV<1YeRsPYQ01P5Q>*i5Q;i(0`F<::]Oku;#ObnE;]b7?i4m@J+o'!TDj?:OSs.nOSs\.TBQ=Q
+;#$.NYlC?pOP^"f~>
+mJd09rc%m6s.B=Q!jFmRqG@']r;R&,T:`?ld*R8lrEfQ/rP/66qu?\grc%e-s3Udqr,DGG!O.(P
+s8HC)E;\)_YQAcnJ,O?`TDuY,Yb1i4r1F"=r'1(.rLX1rOC)Am56PqTIuockYlDK:ciB\hs5<qW
+hZV<1YeRsPYQ01P5Q>*i5Q;i(0`F<::]Oku;#ObnE;]b7?i4m@J+o'!TDj?:OSs.nOSs\.TBQ=Q
+;#$.NYlC?pOP^"f~>
+mJd09rc%m6s.B=Q!jFmRqG@']r;R)-T:`?ld*R8=;#Xf%Yl2?6YknA"TDig-TE!:<J,F9\^B(Qg
+rVuk(rc%e^s02KPrG_Y+s1\T=TDW[+TDj?=5Pos/T)c+p?i3.gE;tFeO93eD^\uN1s5*bbhnQD1
+T>.V7IrIV:?XNdsru_1n!)WVYq,$uroPaf&rr;q(qJcF`oT8pArI4g>plGJpoT9'%!jJ;hm/QrZ
+plPHYs.B:Ph>`!~>
+mJd09rc%m6s.B=Q!jFmRqG@']r;R)-T:`?ld*R8=;#Xf%Yl2?6YknA"TDig-TE!:<J,F9\^B(Qg
+rVuk(rc%e^s02KPrG_Y+s1\T=TDW[+TDj?=5Pos/T)c+p?i3.gE;tFeO93eD^\uN1s5*bbhnQD1
+T>.V7IrIV:?XNdsru_1n!)WVYq,$uroPaf&rr;q(qJcF`oT8pArI4g>plGJpoT9'%!jJ;hm/QrZ
+plPHYs.B:Ph>`!~>
+mJd09rc%m6s.B=Q!jFmRqG@']r;R)-T:`?ld*R8=;#Xf%Yl2?6YknA"TDig-TE!:<J,F9\^B(Qg
+rVuk(rc%e^s02KPrG_Y+s1\T=TDW[+TDj?=5Pos/T)c+p?i3.gE;tFeO93eD^\uN1s5*bbhnQD1
+T>.V7IrIV:?XNdsru_1n!)WVYq,$uroPaf&rr;q(qJcF`oT8pArI4g>plGJpoT9'%!jJ;hm/QrZ
+plPHYs.B:Ph>`!~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R)-T:`?ld*R8=;#Xi%Yl;E7YknA"TDig-TE!:<J,F9]^]1M<
+J,TEH?iG$Bd/U?LJ,O?`TDlS*TDW[+TDj?<5Q$$0T)aB>?i3+iE.<B:O93eD^\uN1s5*bYhnQD1
+^](G?E'HQo?iE:i+8mnj5Pe4R?hSI=TDt#P?hSF=J+Jd"TDa9<rrA\eO8tpDOT0e2Yb1@`r)!0M
+s1eN:!2'7Ph#Dm~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R)-T:`?ld*R8=;#Xi%Yl;E7YknA"TDig-TE!:<J,F9]^]1M<
+J,TEH?iG$Bd/U?LJ,O?`TDlS*TDW[+TDj?<5Q$$0T)aB>?i3+iE.<B:O93eD^\uN1s5*bYhnQD1
+^](G?E'HQo?iE:i+8mnj5Pe4R?hSI=TDt#P?hSF=J+Jd"TDa9<rrA\eO8tpDOT0e2Yb1@`r)!0M
+s1eN:!2'7Ph#Dm~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R)-T:`?ld*R8=;#Xi%Yl;E7YknA"TDig-TE!:<J,F9]^]1M<
+J,TEH?iG$Bd/U?LJ,O?`TDlS*TDW[+TDj?<5Q$$0T)aB>?i3+iE.<B:O93eD^\uN1s5*bYhnQD1
+^](G?E'HQo?iE:i+8mnj5Pe4R?hSI=TDt#P?hSF=J+Jd"TDa9<rrA\eO8tpDOT0e2Yb1@`r)!0M
+s1eN:!2'7Ph#Dm~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//T:`?ld*R8=:g[T/Yl;E7YknA"TDig-TE!:<J,F9]^]1M<
+J,TEH?iG$@Yl9.NE;Q:,^Aso(E;Z=0Y^_0#5Q$$/TD`-p5Q>^&J,bT3E500dd"25RrsR`!YeRrW
+Y^^UV?XNdsru_4o!)WJUr)!8tp2L&(!0I1eol0G_rh'.=q>UGeqiLfLnrWm$!O/3es85^fOSuro
+YQ1<oOPKkd~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//T:`?ld*R8=:g[T/Yl;E7YknA"TDig-TE!:<J,F9]^]1M<
+J,TEH?iG$@Yl9.NE;Q:,^Aso(E;Z=0Y^_0#5Q$$/TD`-p5Q>^&J,bT3E500dd"25RrsR`!YeRrW
+Y^^UV?XNdsru_4o!)WJUr)!8tp2L&(!0I1eol0G_rh'.=q>UGeqiLfLnrWm$!O/3es85^fOSuro
+YQ1<oOPKkd~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//T:`?ld*R8=:g[T/Yl;E7YknA"TDig-TE!:<J,F9]^]1M<
+J,TEH?iG$@Yl9.NE;Q:,^Aso(E;Z=0Y^_0#5Q$$/TD`-p5Q>^&J,bT3E500dd"25RrsR`!YeRrW
+Y^^UV?XNdsru_4o!)WJUr)!8tp2L&(!0I1eol0G_rh'.=q>UGeqiLfLnrWm$!O/3es85^fOSuro
+YQ1<oOPKkd~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//^Rq.&d*R8=:g[T/Yl;E7YknD"TDrm.TE!:<J,F9]^]1P9
+s8HC)E;Hg<J,O?`TDlV&E;Z=0Y^_0#5Pos/TDW'o5Q>[+Iuob2^VBcp!2"iBh>[erYeREHODmEk
+?iE:h+9+"p;#!9S;#4PmE;tFe?hJC+OSjV%s8S_jOSka@O90p9TD&<_;"p(K^]1P:OPBec~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//^Rq.&d*R8=:g[T/Yl;E7YknD"TDrm.TE!:<J,F9]^]1P9
+s8HC)E;Hg<J,O?`TDlV&E;Z=0Y^_0#5Pos/TDW'o5Q>[+Iuob2^VBcp!2"iBh>[erYeREHODmEk
+?iE:h+9+"p;#!9S;#4PmE;tFe?hJC+OSjV%s8S_jOSka@O90p9TD&<_;"p(K^]1P:OPBec~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//^Rq.&d*R8=:g[T/Yl;E7YknD"TDrm.TE!:<J,F9]^]1P9
+s8HC)E;Hg<J,O?`TDlV&E;Z=0Y^_0#5Pos/TDW'o5Q>[+Iuob2^VBcp!2"iBh>[erYeREHODmEk
+?iE:h+9+"p;#!9S;#4PmE;tFe?hJC+OSjV%s8S_jOSka@O90p9TD&<_;"p(K^]1P:OPBec~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//^Rq.&d*R8=:g[T/Yl;E7YknD"TDig-T*!AhJ,F9]^]1P9
+s8HC(E;Qm=J,O?`TDlS*Yl&J<T)u6HJ,DP.J,Pu>5Q+se5Q5U,Iuob2^VA.BJcFO*rkAW@OH=Eg
+?iE:h*s"&lp-8RRqHrr8!.XuTol0;[rI=D<s.9:QqOd8=!O/3ms85^fOSQWkYl0[;s*t~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//^Rq.&d*R8=:g[T/Yl;E7YknD"TDig-T*!AhJ,F9]^]1P9
+s8HC(E;Qm=J,O?`TDlS*Yl&J<T)u6HJ,DP.J,Pu>5Q+se5Q5U,Iuob2^VA.BJcFO*rkAW@OH=Eg
+?iE:h*s"&lp-8RRqHrr8!.XuTol0;[rI=D<s.9:QqOd8=!O/3ms85^fOSQWkYl0[;s*t~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']r;R//^Rq.&d*R8=:g[T/Yl;E7YknD"TDig-T*!AhJ,F9]^]1P9
+s8HC(E;Qm=J,O?`TDlS*Yl&J<T)u6HJ,DP.J,Pu>5Q+se5Q5U,Iuob2^VA.BJcFO*rkAW@OH=Eg
+?iE:h*s"&lp-8RRqHrr8!.XuTol0;[rI=D<s.9:QqOd8=!O/3ms85^fOSQWkYl0[;s*t~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']qu7#-T:`?ld!nkg?XNf:rkJ?7qZ$Sfrc%e-!mlFHr,DJH!O-P@
+rrA\j?iG$AYl9.ME;Z@-^AtM8E;cC/Yl9.M5Q$$0T)jF+rEoIes)83mOH=Fr^X1>Ys4mYS^]1M?
+ODo/Gr]gB(!AI@B5Pea]DubCe?hJC*OSjUss8S_kYkt'aOT1pR^TdY9rD<3LpqQchg&HR~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']qu7#-T:`?ld!nkg?XNf:rkJ?7qZ$Sfrc%e-!mlFHr,DJH!O-P@
+rrA\j?iG$AYl9.ME;Z@-^AtM8E;cC/Yl9.M5Q$$0T)jF+rEoIes)83mOH=Fr^X1>Ys4mYS^]1M?
+ODo/Gr]gB(!AI@B5Pea]DubCe?hJC*OSjUss8S_kYkt'aOT1pR^TdY9rD<3LpqQchg&HR~>
+mJd0Jrc%m6s.B=Q!jFmRqG@']qu7#-T:`?ld!nkg?XNf:rkJ?7qZ$Sfrc%e-!mlFHr,DJH!O-P@
+rrA\j?iG$AYl9.ME;Z@-^AtM8E;cC/Yl9.M5Q$$0T)jF+rEoIes)83mOH=Fr^X1>Ys4mYS^]1M?
+ODo/Gr]gB(!AI@B5Pea]DubCe?hJC*OSjUss8S_kYkt'aOT1pR^TdY9rD<3LpqQchg&HR~>
+mJd0Jrc%m6s.B=Q!jF@CqG@']qu6l)T:`?ld!u$k!+5`0s1eE7q>UGerc%e-!mlFHr,DJHs02D#
+ra5YDqlp'Lr,DS+rkAH;qf)M+"0eDIJ,DP/J,Gr=5Q5$f5Q5U+IunWR^VA-Hs4mVYYeRE(E,]1`
+5Q)Z(;"['P;#=VpE;j5<E9iVaJ*[+7TDc"mTCn<DTDu+qs8>dfOS?NgOP'S`~>
+mJd0Jrc%m6s.B=Q!jF@CqG@']qu6l)T:`?ld!u$k!+5`0s1eE7q>UGerc%e-!mlFHr,DJHs02D#
+ra5YDqlp'Lr,DS+rkAH;qf)M+"0eDIJ,DP/J,Gr=5Q5$f5Q5U+IunWR^VA-Hs4mVYYeRE(E,]1`
+5Q)Z(;"['P;#=VpE;j5<E9iVaJ*[+7TDc"mTCn<DTDu+qs8>dfOS?NgOP'S`~>
+mJd0Jrc%m6s.B=Q!jF@CqG@']qu6l)T:`?ld!u$k!+5`0s1eE7q>UGerc%e-!mlFHr,DJHs02D#
+ra5YDqlp'Lr,DS+rkAH;qf)M+"0eDIJ,DP/J,Gr=5Q5$f5Q5U+IunWR^VA-Hs4mVYYeRE(E,]1`
+5Q)Z(;"['P;#=VpE;j5<E9iVaJ*[+7TDc"mTCn<DTDu+qs8>dfOS?NgOP'S`~>
+mJd0Jrc%m6s.B=Q!jF@CqG@']qu6l)T:`?ld!u$k!+5`0s1eE7q>UGerc%e-!mlFHr,DJHs02D#
+ra5YDqlp'Lr,DS+rkAH;qf)M+"0eDIJ,DP.J,Q#=5Q5$f5Q5X%O8s8!^OcF?rrp0AOH=EgrBL<(
+s%rAQr)!?!q/H=?p2K>ZrI=#1qQU!lplP?Er)!-LpV-^#rK,Y2J,~>
+mJd0Jrc%m6s.B=Q!jF@CqG@']qu6l)T:`?ld!u$k!+5`0s1eE7q>UGerc%e-!mlFHr,DJHs02D#
+ra5YDqlp'Lr,DS+rkAH;qf)M+"0eDIJ,DP.J,Q#=5Q5$f5Q5X%O8s8!^OcF?rrp0AOH=EgrBL<(
+s%rAQr)!?!q/H=?p2K>ZrI=#1qQU!lplP?Er)!-LpV-^#rK,Y2J,~>
+mJd0Jrc%m6s.B=Q!jF@CqG@']qu6l)T:`?ld!u$k!+5`0s1eE7q>UGerc%e-!mlFHr,DJHs02D#
+ra5YDqlp'Lr,DS+rkAH;qf)M+"0eDIJ,DP.J,Q#=5Q5$f5Q5X%O8s8!^OcF?rrp0AOH=EgrBL<(
+s%rAQr)!?!q/H=?p2K>ZrI=#1qQU!lplP?Er)!-LpV-^#rK,Y2J,~>
+mJd0Jrc%m6rgs:SYV8<<;#?m^rrB;&T)u6HJ,W7E?i@2/^\Y21s8S_kE;Z@-J,F9]^]1P8s8HC(
+E;Zs>J,F9`TDlS*YkrD<T*)<iIt.A\qg\R:!0I1Es'P[grGVn$E3R*lJcFO*"M^%[E*rQ.ruV5;
+ofr7Ks'PYB!)WZ%p2K>ZrI<l-q60jkqiL]IrEoMqq2kBds.B7Of)L7~>
+mJd0Jrc%m6rgs:SYV8<<;#?m^rrB;&T)u6HJ,W7E?i@2/^\Y21s8S_kE;Z@-J,F9]^]1P8s8HC(
+E;Zs>J,F9`TDlS*YkrD<T*)<iIt.A\qg\R:!0I1Es'P[grGVn$E3R*lJcFO*"M^%[E*rQ.ruV5;
+ofr7Ks'PYB!)WZ%p2K>ZrI<l-q60jkqiL]IrEoMqq2kBds.B7Of)L7~>
+mJd0Jrc%m6rgs:SYV8<<;#?m^rrB;&T)u6HJ,W7E?i@2/^\Y21s8S_kE;Z@-J,F9]^]1P8s8HC(
+E;Zs>J,F9`TDlS*YkrD<T*)<iIt.A\qg\R:!0I1Es'P[grGVn$E3R*lJcFO*"M^%[E*rQ.ruV5;
+ofr7Ks'PYB!)WZ%p2K>ZrI<l-q60jkqiL]IrEoMqq2kBds.B7Of)L7~>
+mJd0Jrc%m6rgs:SYV8<<;#?m^rrB;&T)u6HJ,W7E?i@2/^\Y21s8S_jE;cF.J,F9]^]1P8s8HC(
+E;Qm>J,F9`TDcP%E;cC0Yb1oErBL1/rLX(>rBL<hr'11"s,[>%YeRr(s5*bY^T`f=?i<1j+&Gf,
+5PJ"PDu``6?hSI(OT'aes7ihtOSkaL?i$DmOS?NiTDal%s*t~>
+mJd0Jrc%m6rgs:SYV8<<;#?m^rrB;&T)u6HJ,W7E?i@2/^\Y21s8S_jE;cF.J,F9]^]1P8s8HC(
+E;Qm>J,F9`TDcP%E;cC0Yb1oErBL1/rLX(>rBL<hr'11"s,[>%YeRr(s5*bY^T`f=?i<1j+&Gf,
+5PJ"PDu``6?hSI(OT'aes7ihtOSkaL?i$DmOS?NiTDal%s*t~>
+mJd0Jrc%m6rgs:SYV8<<;#?m^rrB;&T)u6HJ,W7E?i@2/^\Y21s8S_jE;cF.J,F9]^]1P8s8HC(
+E;Qm>J,F9`TDcP%E;cC0Yb1oErBL1/rLX(>rBL<hr'11"s,[>%YeRr(s5*bY^T`f=?i<1j+&Gf,
+5PJ"PDu``6?hSI(OT'aes7ihtOSkaL?i$DmOS?NiTDal%s*t~>
+mJd0JrGVa5rgs:SYV8<<;#?m^rs#^BT:`?;J,W7E?i@2/^\Y21s8S_jE;cF.J,F9]^]1P8s8HC(
+E;Qm=J,O?aTDcP%E;cC0Yb1oEr'1+/r1<tNrBC9hr'(12rbr%&E3QR]^OcFCs8Th8ODnS*56;p'
+;"d-G;#bJ7;#XhqE9`PaJ)((tYl:9n?h^2lOSHTjTDXf#s*t~>
+mJd0JrGVa5rgs:SYV8<<;#?m^rs#^BT:`?;J,W7E?i@2/^\Y21s8S_jE;cF.J,F9]^]1P8s8HC(
+E;Qm=J,O?aTDcP%E;cC0Yb1oEr'1+/r1<tNrBC9hr'(12rbr%&E3QR]^OcFCs8Th8ODnS*56;p'
+;"d-G;#bJ7;#XhqE9`PaJ)((tYl:9n?h^2lOSHTjTDXf#s*t~>
+mJd0JrGVa5rgs:SYV8<<;#?m^rs#^BT:`?;J,W7E?i@2/^\Y21s8S_jE;cF.J,F9]^]1P8s8HC(
+E;Qm=J,O?aTDcP%E;cC0Yb1oEr'1+/r1<tNrBC9hr'(12rbr%&E3QR]^OcFCs8Th8ODnS*56;p'
+;"d-G;#bJ7;#XhqE9`PaJ)((tYl:9n?h^2lOSHTjTDXf#s*t~>
+mJd0JrGVa5rgs:SYV8<<;#?m^s8T>'T)u6HJ,W7E?i@2/^\b80rrA\jE;cF.J,F9]^]1P8s8HC'
+E;Zs>J,O?aTDcM)Yl&J=TDu+ss*oOr5Pos/T)auN565+UrD<KC!H=/"YQ2Fhs5<nZ^Q=OarBC?*
+:f-jMnkf9lpMfDZ!cWX=f`1cO!5JJ>o:Pfmrh'.Ndf4g~>
+mJd0JrGVa5rgs:SYV8<<;#?m^s8T>'T)u6HJ,W7E?i@2/^\b80rrA\jE;cF.J,F9]^]1P8s8HC'
+E;Zs>J,O?aTDcM)Yl&J=TDu+ss*oOr5Pos/T)auN565+UrD<KC!H=/"YQ2Fhs5<nZ^Q=OarBC?*
+:f-jMnkf9lpMfDZ!cWX=f`1cO!5JJ>o:Pfmrh'.Ndf4g~>
+mJd0JrGVa5rgs:SYV8<<;#?m^s8T>'T)u6HJ,W7E?i@2/^\b80rrA\jE;cF.J,F9]^]1P8s8HC'
+E;Zs>J,O?aTDcM)Yl&J=TDu+ss*oOr5Pos/T)auN565+UrD<KC!H=/"YQ2Fhs5<nZ^Q=OarBC?*
+:f-jMnkf9lpMfDZ!cWX=f`1cO!5JJ>o:Pfmrh'.Ndf4g~>
+mJd0JrGVa5rgs:SYV8<<;#?m]rrB;&TDsE?:]OkrYkS.tTDig.TDj?<E;70JYl"J"?i4m@Yl9.N
+E;Q:,^AtM9E;cF/YQFiSJ,DP.J,Pu>OS_9>;#YtEOT)Ha^OcFErr^#tOAPm?s%rAQo2,BmpMfDZ
+rc$Ber36-,o:Q'_q7lp$rK,G,J,~>
+mJd0JrGVa5rgs:SYV8<<;#?m]rrB;&TDsE?:]OkrYkS.tTDig.TDj?<E;70JYl"J"?i4m@Yl9.N
+E;Q:,^AtM9E;cF/YQFiSJ,DP.J,Pu>OS_9>;#YtEOT)Ha^OcFErr^#tOAPm?s%rAQo2,BmpMfDZ
+rc$Ber36-,o:Q'_q7lp$rK,G,J,~>
+mJd0JrGVa5rgs:SYV8<<;#?m]rrB;&TDsE?:]OkrYkS.tTDig.TDj?<E;70JYl"J"?i4m@Yl9.N
+E;Q:,^AtM9E;cF/YQFiSJ,DP.J,Pu>OS_9>;#YtEOT)Ha^OcFErr^#tOAPm?s%rAQo2,BmpMfDZ
+rc$Ber36-,o:Q'_q7lp$rK,G,J,~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL!3lHp!.XoCp9=;k!2'70rLa(=r,DV]r4`69qu6YXra5VC
+r360MrG_Y+rkAH;r,DV,s0)M'rdXl2r-np4YcsalE00r]r)!BBs,[AUYctmWJcFd1s,d7Wr]gEZ
+p-8.Fr*T5<lB)!as.@a>!3lE/oUl$\r4i3&rfGJ+J,~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL!3lHp!.XoCp9=;k!2'70rLa(=r,DV]r4`69qu6YXra5VC
+r360MrG_Y+rkAH;r,DV,s0)M'rdXl2r-np4YcsalE00r]r)!BBs,[AUYctmWJcFd1s,d7Wr]gEZ
+p-8.Fr*T5<lB)!as.@a>!3lE/oUl$\r4i3&rfGJ+J,~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL!3lHp!.XoCp9=;k!2'70rLa(=r,DV]r4`69qu6YXra5VC
+r360MrG_Y+rkAH;r,DV,s0)M'rdXl2r-np4YcsalE00r]r)!BBs,[AUYctmWJcFd1s,d7Wr]gEZ
+p-8.Fr*T5<lB)!as.@a>!3lE/oUl$\r4i3&rfGJ+J,~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL!3lHps*suDrL`tk!2'#cs.B=1rLa(=r,DV]r4`69qZ$P%
+rG_\=rdXlcqk*i%r,DV,s0)M'rdXl2!-%jtr3-0?qEOmSrdXs0ricC;JcFg2!l'h(r)!&NoMGHm
+pi-4^m?%<drK%#Oec5PSoUksZrP/<'s,[4WcMrC~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL!3lHps*suDrL`tk!2'#cs.B=1rLa(=r,DV]r4`69qZ$P%
+rG_\=rdXlcqk*i%r,DV,s0)M'rdXl2!-%jtr3-0?qEOmSrdXs0ricC;JcFg2!l'h(r)!&NoMGHm
+pi-4^m?%<drK%#Oec5PSoUksZrP/<'s,[4WcMrC~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL!3lHps*suDrL`tk!2'#cs.B=1rLa(=r,DV]r4`69qZ$P%
+rG_\=rdXlcqk*i%r,DV,s0)M'rdXl2!-%jtr3-0?qEOmSrdXs0ricC;JcFg2!l'h(r)!&NoMGHm
+pi-4^m?%<drK%#Oec5PSoUksZrP/<'s,[4WcMrC~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL"gEK<OFMcY;#R$`YQ1<is8S_jE;lL/J,F9ad/:WYYknD!
+?i=sAYl9.NE;Q:+^\`!LTDu.qs8RTK56>e#;#?@RYQCG9OSV3>;#YqFODt3'!5F*bjo5@C?i3ao
+5P.eL?heU=J+&KuE;s;COT1s+s8?<sTD&<b^\sf(ONd`T~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL"gEK<OFMcY;#R$`YQ1<is8S_jE;lL/J,F9ad/:WYYknD!
+?i=sAYl9.NE;Q:+^\`!LTDu.qs8RTK56>e#;#?@RYQCG9OSV3>;#YqFODt3'!5F*bjo5@C?i3ao
+5P.eL?heU=J+&KuE;s;COT1s+s8?<sTD&<b^\sf(ONd`T~>
+mJd0JrGVa5rgs:SYV8<<;#R!eOIuCL"gEK<OFMcY;#R$`YQ1<is8S_jE;lL/J,F9ad/:WYYknD!
+?i=sAYl9.NE;Q:+^\`!LTDu.qs8RTK56>e#;#?@RYQCG9OSV3>;#YqFODt3'!5F*bjo5@C?i3ao
+5P.eL?heU=J+&KuE;s;COT1s+s8?<sTD&<b^\sf(ONd`T~>
+mJd0jr/gll!miVcqG@-_!K`rMs8T>'OT0h/;#Hs`YQ1<is8S_jE;lL/J,F9`d/C]ZYknD!?i=sA
+Yl9.NE;Q:+^\`!LTDu+rTE"n?rD<BQrNQ<@qEOjRrdXs0ricC;JcFp5s'P_$ofr+Gqd9,;qg\-t
+rG_^BqiCfMh#I=[oUkdUr1F"Nb5Zt~>
+mJd0jr/gll!miVcqG@-_!K`rMs8T>'OT0h/;#Hs`YQ1<is8S_jE;lL/J,F9`d/C]ZYknD!?i=sA
+Yl9.NE;Q:+^\`!LTDu+rTE"n?rD<BQrNQ<@qEOjRrdXs0ricC;JcFp5s'P_$ofr+Gqd9,;qg\-t
+rG_^BqiCfMh#I=[oUkdUr1F"Nb5Zt~>
+mJd0jr/gll!miVcqG@-_!K`rMs8T>'OT0h/;#Hs`YQ1<is8S_jE;lL/J,F9`d/C]ZYknD!?i=sA
+Yl9.NE;Q:+^\`!LTDu+rTE"n?rD<BQrNQ<@qEOjRrdXs0ricC;JcFp5s'P_$ofr+Gqd9,;qg\-t
+rG_^BqiCfMh#I=[oUkdUr1F"Nb5Zt~>
+mJd0jr/gll!miVcqG@-_!K`rLrrfQfOFMcY;#Hs`YQ1<hrrA\jE;lL/J,F9`d/C]ZYknD!?i=sA
+Yl9.ME;Z@,^AtM9E;lL0YQLNtIt.>lqiLf]!hXFNqEOjRrdXs0rigtRkl:ZirD<2PohbKlpi-%Y
+ooT/ls%i]7qHs/^s.A9Mr,D;#o`+f\!K^[1s*t~>
+mJd0jr/gll!miVcqG@-_!K`rLrrfQfOFMcY;#Hs`YQ1<hrrA\jE;lL/J,F9`d/C]ZYknD!?i=sA
+Yl9.ME;Z@,^AtM9E;lL0YQLNtIt.>lqiLf]!hXFNqEOjRrdXs0rigtRkl:ZirD<2PohbKlpi-%Y
+ooT/ls%i]7qHs/^s.A9Mr,D;#o`+f\!K^[1s*t~>
+mJd0jr/gll!miVcqG@-_!K`rLrrfQfOFMcY;#Hs`YQ1<hrrA\jE;lL/J,F9`d/C]ZYknD!?i=sA
+Yl9.ME;Z@,^AtM9E;lL0YQLNtIt.>lqiLf]!hXFNqEOjRrdXs0rigtRkl:ZirD<2PohbKlpi-%Y
+ooT/ls%i]7qHs/^s.A9Mr,D;#o`+f\!K^[1s*t~>
+mJd0jr/gll!miVcqG@-_!K`rLrrfQUOFMcY:]QUUTDYnnTD&9bTDig/TDj?<E;\)]^AtM7rrS9h
+?i4mAYl9.ME;Z@,^AtM9E;lL0YQ:BrrdXiBqiLf]!2'70qEOjRrdXs0rigtRlMplkr_W8PqG70!
+r_WGupMfqX!-%[orc%g4pg<o[!2&BQrG_A#o`+`Z!0I3,b5Zt~>
+mJd0jr/gll!miVcqG@-_!K`rLrrfQUOFMcY:]QUUTDYnnTD&9bTDig/TDj?<E;\)]^AtM7rrS9h
+?i4mAYl9.ME;Z@,^AtM9E;lL0YQ:BrrdXiBqiLf]!2'70qEOjRrdXs0rigtRlMplkr_W8PqG70!
+r_WGupMfqX!-%[orc%g4pg<o[!2&BQrG_A#o`+`Z!0I3,b5Zt~>
+mJd0jr/gll!miVcqG@-_!K`rLrrfQUOFMcY:]QUUTDYnnTD&9bTDig/TDj?<E;\)]^AtM7rrS9h
+?i4mAYl9.ME;Z@,^AtM9E;lL0YQ:BrrdXiBqiLf]!2'70qEOjRrdXs0rigtRlMplkr_W8PqG70!
+r_WGupMfqX!-%[orc%g4pg<o[!2&BQrG_A#o`+`Z!0I3,b5Zt~>
+mJd0jr/gll!miVcqG@-_!K`rLs8T;)OFMcY:]QUUTDYnnTD&<bTDrm0TDj?<E;\)]^AtM6s8QI(
+E;d$?J,F9`TDcM)YkrD=T*;Hks8RRuqb[0OricHrE,bV;r)!BBs,[>4OKbs?s6Tdb?iNsr5Pe1V
+?iEmt?heU9J,O?_OT'5!J,N4<?i,obTBZCSE:TXns7i2e:pBoFbQ!(~>
+mJd0jr/gll!miVcqG@-_!K`rLs8T;)OFMcY:]QUUTDYnnTD&<bTDrm0TDj?<E;\)]^AtM6s8QI(
+E;d$?J,F9`TDcM)YkrD=T*;Hks8RRuqb[0OricHrE,bV;r)!BBs,[>4OKbs?s6Tdb?iNsr5Pe1V
+?iEmt?heU9J,O?_OT'5!J,N4<?i,obTBZCSE:TXns7i2e:pBoFbQ!(~>
+mJd0jr/gll!miVcqG@-_!K`rLs8T;)OFMcY:]QUUTDYnnTD&<bTDrm0TDj?<E;\)]^AtM6s8QI(
+E;d$?J,F9`TDcM)YkrD=T*;Hks8RRuqb[0OricHrE,bV;r)!BBs,[>4OKbs?s6Tdb?iNsr5Pe1V
+?iEmt?heU9J,O?_OT'5!J,N4<?i,obTBZCSE:TXns7i2e:pBoFbQ!(~>
+mJm3jrK-rl!AHb7;#R!eOIu@K!M?UqJ,N1DOStgLYlC?is8S_jE;uR0J,F9`d/:ZSs8HC(E;d$?
+J,F9`TDcM)YkrD=TDu.qs8RTG;#?@RYQ1<pE;Dfr;#YqJODo]!OH>%nmf38n!)W>Qr)!E#rD<>t
+pMg"ZqJc@orc%l:s*t#Ep0[]Ys.A`ZrG_>"o`+WWrNQ7Ibl<1~>
+mJm3jrK-rl!AHb7;#R!eOIu@K!M?UqJ,N1DOStgLYlC?is8S_jE;uR0J,F9`d/:ZSs8HC(E;d$?
+J,F9`TDcM)YkrD=TDu.qs8RTG;#?@RYQ1<pE;Dfr;#YqJODo]!OH>%nmf38n!)W>Qr)!E#rD<>t
+pMg"ZqJc@orc%l:s*t#Ep0[]Ys.A`ZrG_>"o`+WWrNQ7Ibl<1~>
+mJm3jrK-rl!AHb7;#R!eOIu@K!M?UqJ,N1DOStgLYlC?is8S_jE;uR0J,F9`d/:ZSs8HC(E;d$?
+J,F9`TDcM)YkrD=TDu.qs8RTG;#?@RYQ1<pE;Dfr;#YqJODo]!OH>%nmf38n!)W>Qr)!E#rD<>t
+pMg"ZqJc@orc%l:s*t#Ep0[]Ys.A`ZrG_>"o`+WWrNQ7Ibl<1~>
+m/I'ir/gll!AHb7;#R!eOIu=J!3lHP!'gHZ!0I/Or363np](8crc%n0rdXibr6YAVq>^G$rG_\,
+s*sobrLa&'!3l?>rh'4p!MBDkJ,<(>OT2NcT>1AEqEOjRrdP*5E,^;VOFdH$s8QF,0MqI-r)!E#
+rD<;spi-+[pMg.orc%`6s*sZJqN(]Lo)JZ-nXoIRpR_Ind/1'Gd*;T@~>
+m/I'ir/gll!AHb7;#R!eOIu=J!3lHP!'gHZ!0I/Or363np](8crc%n0rdXibr6YAVq>^G$rG_\,
+s*sobrLa&'!3l?>rh'4p!MBDkJ,<(>OT2NcT>1AEqEOjRrdP*5E,^;VOFdH$s8QF,0MqI-r)!E#
+rD<;spi-+[pMg.orc%`6s*sZJqN(]Lo)JZ-nXoIRpR_Ind/1'Gd*;T@~>
+m/I'ir/gll!AHb7;#R!eOIu=J!3lHP!'gHZ!0I/Or363np](8crc%n0rdXibr6YAVq>^G$rG_\,
+s*sobrLa&'!3l?>rh'4p!MBDkJ,<(>OT2NcT>1AEqEOjRrdP*5E,^;VOFdH$s8QF,0MqI-r)!E#
+rD<;spi-+[pMg.orc%`6s*sZJqN(]Lo)JZ-nXoIRpR_Ind/1'Gd*;T@~>
+m/I'ir/glls"O:GrLX+PTD8EdYl9+P5Q4IZOStgLYlC?hrrA\jE;uR0J,F9`d/:ZSrrS9h?i=sA
+TDj?<E;Z@,^AtM9E;lL0YQ:BrrdXfAqiLf]!M>JQE;Dfr;#YqJOC)@6Iuo6]o)J_soKW=OrEoP#
+q-Wl8r."9Vp](8CoO%HV!2&ubrG_;!oDeQWs'PcPqlp%GcMrC~>
+m/I'ir/glls"O:GrLX+PTD8EdYl9+P5Q4IZOStgLYlC?hrrA\jE;uR0J,F9`d/:ZSrrS9h?i=sA
+TDj?<E;Z@,^AtM9E;lL0YQ:BrrdXfAqiLf]!M>JQE;Dfr;#YqJOC)@6Iuo6]o)J_soKW=OrEoP#
+q-Wl8r."9Vp](8CoO%HV!2&ubrG_;!oDeQWs'PcPqlp%GcMrC~>
+m/I'ir/glls"O:GrLX+PTD8EdYl9+P5Q4IZOStgLYlC?hrrA\jE;uR0J,F9`d/:ZSrrS9h?i=sA
+TDj?<E;Z@,^AtM9E;lL0YQ:BrrdXfAqiLf]!M>JQE;Dfr;#YqJOC)@6Iuo6]o)J_soKW=OrEoP#
+q-Wl8r."9Vp](8CoO%HV!2&ubrG_;!oDeQWs'PcPqlp%GcMrC~>
+m/I'ir/glls"O:GrLX+PTD8EhT<Nfp5Q4IZOStgLYlC?hrrA\jE;uR0J,F9`d/:ZRs8QI(E;cF.
+J,F9`TDcM)Yl&J=T*)<is8W(Jqb[3PricEq^\r-J5Pn:VIfPT0?iPTUOFdH)rrHI\ofrFPra5V#
+pL!`8r."BYra59ss*s]KqN(]LqZ$M5nt5LQp7M@lqp>5Erm1Z&ci8L~>
+m/I'ir/glls"O:GrLX+PTD8EhT<Nfp5Q4IZOStgLYlC?hrrA\jE;uR0J,F9`d/:ZRs8QI(E;cF.
+J,F9`TDcM)Yl&J=T*)<is8W(Jqb[3PricEq^\r-J5Pn:VIfPT0?iPTUOFdH)rrHI\ofrFPra5V#
+pL!`8r."BYra59ss*s]KqN(]LqZ$M5nt5LQp7M@lqp>5Erm1Z&ci8L~>
+m/I'ir/glls"O:GrLX+PTD8EhT<Nfp5Q4IZOStgLYlC?hrrA\jE;uR0J,F9`d/:ZRs8QI(E;cF.
+J,F9`TDcM)Yl&J=T*)<is8W(Jqb[3PricEq^\r-J5Pn:VIfPT0?iPTUOFdH)rrHI\ofrFPra5V#
+pL!`8r."BYra59ss*s]KqN(]LqZ$M5nt5LQp7M@lqp>5Erm1Z&ci8L~>
+m/I'ir/glls"O:GrLX+PTD/?fY^_-er_WWVrh'+ms.B#bs.B=1s.9@SIt.B8r6YAVq#CA$r,DV,
+rdXibr1Er&!3l?>rh'4p!MBDkJ,<(>OT)Hbd(fNuq`jpRrdOp0rEoSSJcGNF!FIPQ56+OZ?i<gn
+?i"a?J+[d[?iRk@Yk.npJ+R+FO8tpPs8I!-TCMsTTDr9u^\Z=SYl;uLhpDCR~>
+m/I'ir/glls"O:GrLX+PTD/?fY^_-er_WWVrh'+ms.B#bs.B=1s.9@SIt.B8r6YAVq#CA$r,DV,
+rdXibr1Er&!3l?>rh'4p!MBDkJ,<(>OT)Hbd(fNuq`jpRrdOp0rEoSSJcGNF!FIPQ56+OZ?i<gn
+?i"a?J+[d[?iRk@Yk.npJ+R+FO8tpPs8I!-TCMsTTDr9u^\Z=SYl;uLhpDCR~>
+m/I'ir/glls"O:GrLX+PTD/?fY^_-er_WWVrh'+ms.B#bs.B=1s.9@SIt.B8r6YAVq#CA$r,DV,
+rdXibr1Er&!3l?>rh'4p!MBDkJ,<(>OT)Hbd(fNuq`jpRrdOp0rEoSSJcGNF!FIPQ56+OZ?i<gn
+?i"a?J+[d[?iRk@Yk.npJ+R+FO8tpPs8I!-TCMsTTDr9u^\Z=SYl;uLhpDCR~>
+m/I'ir/glls"O:GrLX+PTD/?fY^_-er_WWVrh'+ms.B#bs.B9ts,d50rG_\]r4i%,ra5VCrLa(=
+qf)M+rP&?:qf)P,s0)Nrs8@HE;#HFSYQCH3OT'4q5Pe4UIfYX-rEfSTOFdH/rrHI\rBL<9q`b-Y
+?XN_-nmD<6rI=N[rEoK;o)J]=ra5\EqHs,]rc%D"nc/9Ss'Gd+rkJ<VqQTtG!8l3(J,~>
+m/I'ir/glls"O:GrLX+PTD/?fY^_-er_WWVrh'+ms.B#bs.B9ts,d50rG_\]r4i%,ra5VCrLa(=
+qf)M+rP&?:qf)P,s0)Nrs8@HE;#HFSYQCH3OT'4q5Pe4UIfYX-rEfSTOFdH/rrHI\rBL<9q`b-Y
+?XN_-nmD<6rI=N[rEoK;o)J]=ra5\EqHs,]rc%D"nc/9Ss'Gd+rkJ<VqQTtG!8l3(J,~>
+m/I'ir/glls"O:GrLX+PTD/?fY^_-er_WWVrh'+ms.B#bs.B9ts,d50rG_\]r4i%,ra5VCrLa(=
+qf)M+rP&?:qf)P,s0)Nrs8@HE;#HFSYQCH3OT'4q5Pe4UIfYX-rEfSTOFdH/rrHI\rBL<9q`b-Y
+?XN_-nmD<6rI=N[rEoK;o)J]=ra5\EqHs,]rc%D"nc/9Ss'Gd+rkJ<VqQTtG!8l3(J,~>
+m/R*irK-ums"O:GrLX+PTD/?fT<Nf0r_WWVrh'+ms.B#bs.B9ts,d50rG_\]r4i%,!g$brr,DV,
+s*sobrLa&'!3l?>rh'4p!h]MmrdXfAqiLi^"/!rTOT'4q5Pe4UIfYWqqd4pSrVljOr'107rBC<Z
+5Pn:H?i=sCJ+dj[?iGQQ^[hF(J,`mSE;Er?E;bmkTCW$^T)auHTDr9ss8Tk0d/(!Gd*_lD~>
+m/R*irK-ums"O:GrLX+PTD/?fT<Nf0r_WWVrh'+ms.B#bs.B9ts,d50rG_\]r4i%,!g$brr,DV,
+s*sobrLa&'!3l?>rh'4p!h]MmrdXfAqiLi^"/!rTOT'4q5Pe4UIfYWqqd4pSrVljOr'107rBC<Z
+5Pn:H?i=sCJ+dj[?iGQQ^[hF(J,`mSE;Er?E;bmkTCW$^T)auHTDr9ss8Tk0d/(!Gd*_lD~>
+m/R*irK-ums"O:GrLX+PTD/?fT<Nf0r_WWVrh'+ms.B#bs.B9ts,d50rG_\]r4i%,!g$brr,DV,
+s*sobrLa&'!3l?>rh'4p!h]MmrdXfAqiLi^"/!rTOT'4q5Pe4UIfYWqqd4pSrVljOr'107rBC<Z
+5Pn:H?i=sCJ+dj[?iGQQ^[hF(J,`mSE;Er?E;bmkTCW$^T)auHTDr9ss8Tk0d/(!Gd*_lD~>
+li-shrK-ums"O:GrLX+PTD/?fT<Nf0r_WWVrh'+ms.Auas.B<us,d50rG_Y\rP/+,ra5VCrLa+>
+qf)M+rP/B:r,DV,"0eEts8@HE;#?@SYQLN4^QAG6qEOpTs)A""s*k;n5<iL^:f)+MJcGa(r'1-6
+!C'EZ5Q+FG?N>'EJ+dj[?i,?O^AtM/s8@HFDua8BE;G[kTCW$]TDjrITDr9ps7an:Yl<"ts*t~>
+li-shrK-ums"O:GrLX+PTD/?fT<Nf0r_WWVrh'+ms.Auas.B<us,d50rG_Y\rP/+,ra5VCrLa+>
+qf)M+rP/B:r,DV,"0eEts8@HE;#?@SYQLN4^QAG6qEOpTs)A""s*k;n5<iL^:f)+MJcGa(r'1-6
+!C'EZ5Q+FG?N>'EJ+dj[?i,?O^AtM/s8@HFDua8BE;G[kTCW$]TDjrITDr9ps7an:Yl<"ts*t~>
+li-shrK-ums"O:GrLX+PTD/?fT<Nf0r_WWVrh'+ms.Auas.B<us,d50rG_Y\rP/+,ra5VCrLa+>
+qf)M+rP/B:r,DV,"0eEts8@HE;#?@SYQLN4^QAG6qEOpTs)A""s*k;n5<iL^:f)+MJcGa(r'1-6
+!C'EZ5Q+FG?N>'EJ+dj[?i,?O^AtM/s8@HFDua8BE;G[kTCW$]TDjrITDr9ps7an:Yl<"ts*t~>
+li-shr/goms"O:GrLa+OpAYB%Im6.o:lpe<TDYqnTCr6aTDi0tOT'b.E;S#\^\@d-?i=sBTDsE<
+E;Z@-^]1M=E.@h*rh'4p!h]MmrdXfAqiLi^"J=&U^QAG6q`b'Wqf)Lq!'gH)s'Pe&s)<Yk!&4=8
+r@n7Jq`k*WlX'XAol0b7qg\X\rikqms*k$1qJc+hr1ENZrh'+MqOddpp](!7qlg'mrm9-oJ,~>
+li-shr/goms"O:GrLa+OpAYB%Im6.o:lpe<TDYqnTCr6aTDi0tOT'b.E;S#\^\@d-?i=sBTDsE<
+E;Z@-^]1M=E.@h*rh'4p!h]MmrdXfAqiLi^"J=&U^QAG6q`b'Wqf)Lq!'gH)s'Pe&s)<Yk!&4=8
+r@n7Jq`k*WlX'XAol0b7qg\X\rikqms*k$1qJc+hr1ENZrh'+MqOddpp](!7qlg'mrm9-oJ,~>
+li-shr/goms"O:GrLa+OpAYB%Im6.o:lpe<TDYqnTCr6aTDi0tOT'b.E;S#\^\@d-?i=sBTDsE<
+E;Z@-^]1M=E.@h*rh'4p!h]MmrdXfAqiLi^"J=&U^QAG6q`b'Wqf)Lq!'gH)s'Pe&s)<Yk!&4=8
+r@n7Jq`k*WlX'XAol0b7qg\X\rikqms*k$1qJc+hr1ENZrh'+MqOddpp](!7qlg'mrm9-oJ,~>
+li-shr/goms"O:GrLa+OpAYAiIm6.o:lpe<TDYqnTCi-dT28m%OT'b.Due8_hu1:iYk\5"OC)An
+E;cF/J,=3_TDcM+Y],*jE;cC2Yb1sqrI=cBs'P\cricLO^V>m/E;Vp#;#5/0OSg4"?iG##s8OeO
+56)f)0`OuH5Q=RE?hSI;?N?2d?i#9MYk%hjE:K%Zs8ASdOStgN?h=<md/C3KO9;,ZYgCo"J,~>
+li-shr/goms"O:GrLa+OpAYAiIm6.o:lpe<TDYqnTCi-dT28m%OT'b.Due8_hu1:iYk\5"OC)An
+E;cF/J,=3_TDcM+Y],*jE;cC2Yb1sqrI=cBs'P\cricLO^V>m/E;Vp#;#5/0OSg4"?iG##s8OeO
+56)f)0`OuH5Q=RE?hSI;?N?2d?i#9MYk%hjE:K%Zs8ASdOStgN?h=<md/C3KO9;,ZYgCo"J,~>
+li-shr/goms"O:GrLa+OpAYAiIm6.o:lpe<TDYqnTCi-dT28m%OT'b.Due8_hu1:iYk\5"OC)An
+E;cF/J,=3_TDcM+Y],*jE;cC2Yb1sqrI=cBs'P\cricLO^V>m/E;Vp#;#5/0OSg4"?iG##s8OeO
+56)f)0`OuH5Q=RE?hSI;?N?2d?i#9MYk%hjE:K%Zs8ASdOStgN?h=<md/C3KO9;,ZYgCo"J,~>
+li-shr/goms"O:GrLa+OpAY;gIm6.o;#ZRUTDYnnTCi-dT28m%OT'b.Due8_hu1:iYk\4uOT&Vc
+E;lI2Y^_0"E;cF-^B:]ZE.@h*rgs4qTDnliJ,W:D?i,rbYQUTF^RpVdE;i*$;#5/0OSg4!?iG#'
+s8F_N562i[r_WJVrD;]bq/H:>s1eSqrEoJP!-%h>pAb&0mu[O`oDe][q2kWKra50pq9]/GrK.&O
+s0)LMec1.~>
+li-shr/goms"O:GrLa+OpAY;gIm6.o;#ZRUTDYnnTCi-dT28m%OT'b.Due8_hu1:iYk\4uOT&Vc
+E;lI2Y^_0"E;cF-^B:]ZE.@h*rgs4qTDnliJ,W:D?i,rbYQUTF^RpVdE;i*$;#5/0OSg4!?iG#'
+s8F_N562i[r_WJVrD;]bq/H:>s1eSqrEoJP!-%h>pAb&0mu[O`oDe][q2kWKra50pq9]/GrK.&O
+s0)LMec1.~>
+li-shr/goms"O:GrLa+OpAY;gIm6.o;#ZRUTDYnnTCi-dT28m%OT'b.Due8_hu1:iYk\4uOT&Vc
+E;lI2Y^_0"E;cF-^B:]ZE.@h*rgs4qTDnliJ,W:D?i,rbYQUTF^RpVdE;i*$;#5/0OSg4!?iG#'
+s8F_N562i[r_WJVrD;]bq/H:>s1eSqrEoJP!-%h>pAb&0mu[O`oDe][q2kWKra50pq9]/GrK.&O
+s0)LMec1.~>
+li-shr/goms"O:GrLa+Op&>/E5<ht@rfI,Or3-0no`+r`!`362rdXlc!7:Z$rP&?:p](5"rG__-
+s*sobr1Eu'"L)iaIt.H:r1EugrdXrEr*TA`s0)Nrd/KX;OT'4u5Q+FTE;bmq+8oRGE0(&!0`=39
++8o%65Pe4>?i4mA?iKQp^]0Do?iGQTE;Hg8s8I!*OSllnd.[M9TD+HH?g[mhciARoOT1sPYQ3&$
+s*t~>
+li-shr/goms"O:GrLa+Op&>/E5<ht@rfI,Or3-0no`+r`!`362rdXlc!7:Z$rP&?:p](5"rG__-
+s*sobr1Eu'"L)iaIt.H:r1EugrdXrEr*TA`s0)Nrd/KX;OT'4u5Q+FTE;bmq+8oRGE0(&!0`=39
++8o%65Pe4>?i4mA?iKQp^]0Do?iGQTE;Hg8s8I!*OSllnd.[M9TD+HH?g[mhciARoOT1sPYQ3&$
+s*t~>
+li-shr/goms"O:GrLa+Op&>/E5<ht@rfI,Or3-0no`+r`!`362rdXlc!7:Z$rP&?:p](5"rG__-
+s*sobr1Eu'"L)iaIt.H:r1EugrdXrEr*TA`s0)Nrd/KX;OT'4u5Q+FTE;bmq+8oRGE0(&!0`=39
++8o%65Pe4>?i4mA?iKQp^]0Do?iGQTE;Hg8s8I!*OSllnd.[M9TD+HH?g[mhciARoOT1sPYQ3&$
+s*t~>
+li-shr/goms"O:GrLa+Op&>/E5<ht@rfI,Or3-0noD\ob:g[T/J,F6cd/Dl#^AtM4rrS9h?i=sB
+TDsE<E;Z@-^BCcjE,^=+E;cC0Yb1pprdXfPqiLi^"eX/GT:_5EDu`-";#5/0OSU's?iP)/s8F_O
+5Q4LV5PJ";?iG$C?N?2dnG^3&OSrMdJ,O?_Yl=Y&E9r\`^\lISs8&A_OT0;"?gI^lhtte#^Arc^
+OT1sQYQ;McfDg@~>
+li-shr/goms"O:GrLa+Op&>/E5<ht@rfI,Or3-0noD\ob:g[T/J,F6cd/Dl#^AtM4rrS9h?i=sB
+TDsE<E;Z@-^BCcjE,^=+E;cC0Yb1pprdXfPqiLi^"eX/GT:_5EDu`-";#5/0OSU's?iP)/s8F_O
+5Q4LV5PJ";?iG$C?N?2dnG^3&OSrMdJ,O?_Yl=Y&E9r\`^\lISs8&A_OT0;"?gI^lhtte#^Arc^
+OT1sQYQ;McfDg@~>
+li-shr/goms"O:GrLa+Op&>/E5<ht@rfI,Or3-0noD\ob:g[T/J,F6cd/Dl#^AtM4rrS9h?i=sB
+TDsE<E;Z@-^BCcjE,^=+E;cC0Yb1pprdXfPqiLi^"eX/GT:_5EDu`-";#5/0OSU's?iP)/s8F_O
+5Q4LV5PJ";?iG$C?N?2dnG^3&OSrMdJ,O?_Yl=Y&E9r\`^\lISs8&A_OT0;"?gI^lhtte#^Arc^
+OT1sQYQ;McfDg@~>
+li7!hrK.#ns"O:GrLa+O!2&ub"FiX#:f..Qrh'+m!2&l_#+n^g?Z:LEr,;Y_rSROfp\t5Tra5VC
+rh'1>r,DS+rP&JbE,^;Vrc%e-rr;tIqHs,]s0)LMrilEarc%^1qJcCp!&46kr*TJCQiI%=p-8.F
+k[+<drEoSS!0I0K!oLc-rfI(cr,DV=!-%7cpqQ^Qr;ZSbq2kPo!+4si!8mb%rkJJ_rfI,Os0)LM
+fDg@~>
+li7!hrK.#ns"O:GrLa+O!2&ub"FiX#:f..Qrh'+m!2&l_#+n^g?Z:LEr,;Y_rSROfp\t5Tra5VC
+rh'1>r,DS+rP&JbE,^;Vrc%e-rr;tIqHs,]s0)LMrilEarc%^1qJcCp!&46kr*TJCQiI%=p-8.F
+k[+<drEoSS!0I0K!oLc-rfI(cr,DV=!-%7cpqQ^Qr;ZSbq2kPo!+4si!8mb%rkJJ_rfI,Os0)LM
+fDg@~>
+li7!hrK.#ns"O:GrLa+O!2&ub"FiX#:f..Qrh'+m!2&l_#+n^g?Z:LEr,;Y_rSROfp\t5Tra5VC
+rh'1>r,DS+rP&JbE,^;Vrc%e-rr;tIqHs,]s0)LMrilEarc%^1qJcCp!&46kr*TJCQiI%=p-8.F
+k[+<drEoSS!0I0K!oLc-rfI(cr,DV=!-%7cpqQ^Qr;ZSbq2kPo!+4si!8mb%rkJJ_rfI,Os0)LM
+fDg@~>
+lMgjgr/grns"O:GrLa+O!2&ub"FiX#:f..Qrh'+m!2&i^".rCs?iGQRDue8_hu1=`s8HC(E;lL/
+J,=3_TDlS*Yl8VAJ,aKdT)l0grr;tIqd95^s0)KqrNQ<`rc%^1qJcCpr@n0lqHj5AS,`IApHS.D
+l<jHc!8ma)"H`-Bhr"FJrfI(crG_%`ril45q9]0Apn.DEqf(Zs!oMAOrP/>]s,d2O!jKGdf`-I~>
+lMgjgr/grns"O:GrLa+O!2&ub"FiX#:f..Qrh'+m!2&i^".rCs?iGQRDue8_hu1=`s8HC(E;lL/
+J,=3_TDlS*Yl8VAJ,aKdT)l0grr;tIqd95^s0)KqrNQ<`rc%^1qJcCpr@n0lqHj5AS,`IApHS.D
+l<jHc!8ma)"H`-Bhr"FJrfI(crG_%`ril45q9]0Apn.DEqf(Zs!oMAOrP/>]s,d2O!jKGdf`-I~>
+lMgjgr/grns"O:GrLa+O!2&ub"FiX#:f..Qrh'+m!2&i^".rCs?iGQRDue8_hu1=`s8HC(E;lL/
+J,=3_TDlS*Yl8VAJ,aKdT)l0grr;tIqd95^s0)KqrNQ<`rc%^1qJcCpr@n0lqHj5AS,`IApHS.D
+l<jHc!8ma)"H`-Bhr"FJrfI(crG_%`ril45q9]0Apn.DEqf(Zs!oMAOrP/>]s,d2O!jKGdf`-I~>
+lMgjgr/grns"O:GqOdK]!.Xu4!)WWUs.B4n!2&i^".rCs?iGQRE<";`hu1:iYkS1r?iG$DT)u6H
+J,=3_TDlS*Yl8V@J,aKcTDnliJ,3OLOT2NbTDbtoOSs.p;#5/0OS^a2+8T=EE1d110_[g!;!hWg
+:^"P;YgD;*IfPT/huCFks8J,[E;tFSOSQ-X^\H.UOSGIFOSa"UrrV*)d/C`ZJ,YQ/TDu+qd+JAK~>
+lMgjgr/grns"O:GqOdK]!.Xu4!)WWUs.B4n!2&i^".rCs?iGQRE<";`hu1:iYkS1r?iG$DT)u6H
+J,=3_TDlS*Yl8V@J,aKcTDnliJ,3OLOT2NbTDbtoOSs.p;#5/0OS^a2+8T=EE1d110_[g!;!hWg
+:^"P;YgD;*IfPT/huCFks8J,[E;tFSOSQ-X^\H.UOSGIFOSa"UrrV*)d/C`ZJ,YQ/TDu+qd+JAK~>
+lMgjgr/grns"O:GqOdK]!.Xu4!)WWUs.B4n!2&i^".rCs?iGQRE<";`hu1:iYkS1r?iG$DT)u6H
+J,=3_TDlS*Yl8V@J,aKcTDnliJ,3OLOT2NbTDbtoOSs.p;#5/0OS^a2+8T=EE1d110_[g!;!hWg
+:^"P;YgD;*IfPT/huCFks8J,[E;tFSOSQ-X^\H.UOSGIFOSa"UrrV*)d/C`ZJ,YQ/TDu+qd+JAK~>
+lMgjgr/grn!DkKH;#6dad.dP?J,VY4;#QLUTDYnnTCW!aT28?krdXlcs3U`%rP&?:p\t5Tra5VC
+s.9:qrdXibr1Eu'!O.(QE;tFfE;cC2Yb1sqrI=]OqiLi^!2'1n!0I.uqG@!,rfHq0ru_&DU]9sN
+lVR+YrD3dWOMAQ7YgCb3r."Q^qLA$so<A2.r6Y>&qOd\Iqf(Bk!T29&^]&`_OStdQYeSQ<s*t~>
+lMgjgr/grn!DkKH;#6dad.dP?J,VY4;#QLUTDYnnTCW!aT28?krdXlcs3U`%rP&?:p\t5Tra5VC
+s.9:qrdXibr1Eu'!O.(QE;tFfE;cC2Yb1sqrI=]OqiLi^!2'1n!0I.uqG@!,rfHq0ru_&DU]9sN
+lVR+YrD3dWOMAQ7YgCb3r."Q^qLA$so<A2.r6Y>&qOd\Iqf(Bk!T29&^]&`_OStdQYeSQ<s*t~>
+lMgjgr/grn!DkKH;#6dad.dP?J,VY4;#QLUTDYnnTCW!aT28?krdXlcs3U`%rP&?:p\t5Tra5VC
+s.9:qrdXibr1Eu'!O.(QE;tFfE;cC2Yb1sqrI=]OqiLi^!2'1n!0I.uqG@!,rfHq0ru_&DU]9sN
+lVR+YrD3dWOMAQ7YgCb3r."Q^qLA$so<A2.r6Y>&qOd\Iqf(Bk!T29&^]&`_OStdQYeSQ<s*t~>
+lMgjgr/grnr_WK!qO[cFp\t5Cr]^BZrK.&Or3-0nnc&cb:g\0kJ,O?dd/Dl#^AtM4rrA/[?i=sD
+T)c+pJ,F9_TDlS*Yl8V@J,aKcTDnlhJ,<UMOT2NbTDc"oOSs.p;#>23J,PH/5PHl2?i4lBs6r8=
+;"J&n:]Ra!hZ/c;^]1P5E:n_SOStgBYlDH<d.NLuTDjrLE7k0jhu1=gIfPT.T)l1Cg&HR~>
+lMgjgr/grnr_WK!qO[cFp\t5Cr]^BZrK.&Or3-0nnc&cb:g\0kJ,O?dd/Dl#^AtM4rrA/[?i=sD
+T)c+pJ,F9_TDlS*Yl8V@J,aKcTDnlhJ,<UMOT2NbTDc"oOSs.p;#>23J,PH/5PHl2?i4lBs6r8=
+;"J&n:]Ra!hZ/c;^]1P5E:n_SOStgBYlDH<d.NLuTDjrLE7k0jhu1=gIfPT.T)l1Cg&HR~>
+lMgjgr/grnr_WK!qO[cFp\t5Cr]^BZrK.&Or3-0nnc&cb:g\0kJ,O?dd/Dl#^AtM4rrA/[?i=sD
+T)c+pJ,F9_TDlS*Yl8V@J,aKcTDnlhJ,<UMOT2NbTDc"oOSs.p;#>23J,PH/5PHl2?i4lBs6r8=
+;"J&n:]Ra!hZ/c;^]1P5E:n_SOStgBYlDH<d.NLuTDjrLE7k0jhu1=gIfPT.T)l1Cg&HR~>
+lMgjgr/grnr_WK!q4@Z6q#:>Dr]gEZrfI/Pr3-0nnc&cb:f)+\J,F9cd/Mr#^\7^+?iG$DTDj?<
+E;Q:,^AtM:E;k=eE;cC3Yb1sqTDj?:?i,ojYb//7^Tar(OSs.p;#YG4J,PK/5PQo4;##"5s7\_X
+0_dlt;"n>r;#\fAYl<PSE:8;SOSGI?YjdbRTDt#ME7Fmfhu1=gIfPT.T)cXZs*t~>
+lMgjgr/grnr_WK!q4@Z6q#:>Dr]gEZrfI/Pr3-0nnc&cb:f)+\J,F9cd/Mr#^\7^+?iG$DTDj?<
+E;Q:,^AtM:E;k=eE;cC3Yb1sqTDj?:?i,ojYb//7^Tar(OSs.p;#YG4J,PK/5PQo4;##"5s7\_X
+0_dlt;"n>r;#\fAYl<PSE:8;SOSGI?YjdbRTDt#ME7Fmfhu1=gIfPT.T)cXZs*t~>
+lMgjgr/grnr_WK!q4@Z6q#:>Dr]gEZrfI/Pr3-0nnc&cb:f)+\J,F9cd/Mr#^\7^+?iG$DTDj?<
+E;Q:,^AtM:E;k=eE;cC3Yb1sqTDj?:?i,ojYb//7^Tar(OSs.p;#YG4J,PK/5PQo4;##"5s7\_X
+0_dlt;"n>r;#\fAYl<PSE:8;SOSGI?YjdbRTDt#ME7Fmfhu1=gIfPT.T)cXZs*t~>
+lMpmgrK.&o!aec#qd9/k!8mSO!.Xu4s%r]Vs.B4n!2&f]"eSUfE.<B8E<";ahu(7_rrA/[?i=sD
+T)c+pJ,F9_TDlS*J,XEdIfOHcT)c+ps8@HE?i,rbYQCH$Yl;E;OSs.p:]PJ2J,YQ/5Q!55;##";
+s7S\W0_R`r;#4Pu;#\30d._MDJ+B6,YjIMQT9/qh!K`r%s8B_1J,>i<d+\MM~>
+lMpmgrK.&o!aec#qd9/k!8mSO!.Xu4s%r]Vs.B4n!2&f]"eSUfE.<B8E<";ahu(7_rrA/[?i=sD
+T)c+pJ,F9_TDlS*J,XEdIfOHcT)c+ps8@HE?i,rbYQCH$Yl;E;OSs.p:]PJ2J,YQ/5Q!55;##";
+s7S\W0_R`r;#4Pu;#\30d._MDJ+B6,YjIMQT9/qh!K`r%s8B_1J,>i<d+\MM~>
+lMpmgrK.&o!aec#qd9/k!8mSO!.Xu4s%r]Vs.B4n!2&f]"eSUfE.<B8E<";ahu(7_rrA/[?i=sD
+T)c+pJ,F9_TDlS*J,XEdIfOHcT)c+ps8@HE?i,rbYQCH$Yl;E;OSs.p:]PJ2J,YQ/5Q!55;##";
+s7S\W0_R`r;#4Pu;#\30d._MDJ+B6,YjIMQT9/qh!K`r%s8B_1J,>i<d+\MM~>
+l2LafrK.#ns%i]7r*T8l!8mSO!.Xu4s%r]Vs.B4n!2&c\!hW:crdXlcs3U`%rP/(+!0I.drc%n0
+!3lHPr,DP;s1\W-It.H:rdOoerLX4sTE"q`rdXcOqiLf]#/@CH^V>klrG_U0q1&@)r]gE:pe^a)
+]DqUir\3q.ktq=c!`6YHpi,GHqiLB@qloCJqeuOsrI4g>e,T?\rI=^:!5I7fJ,~>
+l2LafrK.#ns%i]7r*T8l!8mSO!.Xu4s%r]Vs.B4n!2&c\!hW:crdXlcs3U`%rP/(+!0I.drc%n0
+!3lHPr,DP;s1\W-It.H:rdOoerLX4sTE"q`rdXcOqiLf]#/@CH^V>klrG_U0q1&@)r]gE:pe^a)
+]DqUir\3q.ktq=c!`6YHpi,GHqiLB@qloCJqeuOsrI4g>e,T?\rI=^:!5I7fJ,~>
+l2LafrK.#ns%i]7r*T8l!8mSO!.Xu4s%r]Vs.B4n!2&c\!hW:crdXlcs3U`%rP/(+!0I.drc%n0
+!3lHPr,DP;s1\W-It.H:rdOoerLX4sTE"q`rdXcOqiLf]#/@CH^V>klrG_U0q1&@)r]gE:pe^a)
+]DqUir\3q.ktq=c!`6YHpi,GHqiLB@qloCJqeuOsrI4g>e,T?\rI=^:!5I7fJ,~>
+l2Lafr/grns%i]7r*T8l!T29"rr@QJ5Q=RYO8tpNYQ1<brro#k:iLo6rG_b_rnm[h!3l1srEoPC
+s.9:qrdXibqlp(7"J:0nE,bc*r1<tnrr;qHqd95^s0)[!^TbJW^]'>nE;<?,J,PK-5P7kKE5DSQ
+56*D85Q!5*5Nkr=E9D`EORf%DYj7DIE;a,DOSsY/T@<i=^]&]_OSc9^d+eSN~>
+l2Lafr/grns%i]7r*T8l!T29"rr@QJ5Q=RYO8tpNYQ1<brro#k:iLo6rG_b_rnm[h!3l1srEoPC
+s.9:qrdXibqlp(7"J:0nE,bc*r1<tnrr;qHqd95^s0)[!^TbJW^]'>nE;<?,J,PK-5P7kKE5DSQ
+56*D85Q!5*5Nkr=E9D`EORf%DYj7DIE;a,DOSsY/T@<i=^]&]_OSc9^d+eSN~>
+l2Lafr/grns%i]7r*T8l!T29"rr@QJ5Q=RYO8tpNYQ1<brro#k:iLo6rG_b_rnm[h!3l1srEoPC
+s.9:qrdXibqlp(7"J:0nE,bc*r1<tnrr;qHqd95^s0)[!^TbJW^]'>nE;<?,J,PK-5P7kKE5DSQ
+56*D85Q!5*5Nkr=E9D`EORf%DYj7DIE;a,DOSsY/T@<i=^]&]_OSc9^d+eSN~>
+l2Lafr/grns%i]7qd92ls53YPs*t#4!)WWU!2'1n!2&`[s%ic9It.E9rm:Z%rP&?:pAY,Sra5VC
+s.B7>r,DS<rkAT.It)EVrI4fdrLX+pTDnliJ,3OLOT2NiT>/.F^T`f]r,DI.qLAI*r'0gMq/FFT
+r]gB9rBL05pHS[3qEOCEpMf;FnW<=6m?%-_s*srRs,d2/!2%d@rP/;mqlp+Ig])d~>
+l2Lafr/grns%i]7qd92ls53YPs*t#4!)WWU!2'1n!2&`[s%ic9It.E9rm:Z%rP&?:pAY,Sra5VC
+s.B7>r,DS<rkAT.It)EVrI4fdrLX+pTDnliJ,3OLOT2NiT>/.F^T`f]r,DI.qLAI*r'0gMq/FFT
+r]gB9rBL05pHS[3qEOCEpMf;FnW<=6m?%-_s*srRs,d2/!2%d@rP/;mqlp+Ig])d~>
+l2Lafr/grns%i]7qd92ls53YPs*t#4!)WWU!2'1n!2&`[s%ic9It.E9rm:Z%rP&?:pAY,Sra5VC
+s.B7>r,DS<rkAT.It)EVrI4fdrLX+pTDnliJ,3OLOT2NiT>/.F^T`f]r,DI.qLAI*r'0gMq/FFT
+r]gB9rBL05pHS[3qEOCEpMf;FnW<=6m?%-_s*srRs,d2/!2%d@rP/;mqlp+Ig])d~>
+l2Lafr/grn!aec#qd9/k!8mVPs*t#4!)WWU!2'1n!M@-rrrerjE.<B9E;n5`hu1:iYkJ(sOSrPc
+E;uR1J,4-]YlDK<TDsE@E;b:aT)c+ps8@HE?i#laYl2<=YeRE(r,DI.q1&C*qEOXLq/FXZr?)"m
+rBL05pcn^2pHS=InSmZ@nW<I:m#_*`!WSehJ,E[ROSsY/T@Nu?^Aso*OSl?^ciCi9s*t~>
+l2Lafr/grn!aec#qd9/k!8mVPs*t#4!)WWU!2'1n!M@-rrrerjE.<B9E;n5`hu1:iYkJ(sOSrPc
+E;uR1J,4-]YlDK<TDsE@E;b:aT)c+ps8@HE?i#laYl2<=YeRE(r,DI.q1&C*qEOXLq/FXZr?)"m
+rBL05pcn^2pHS=InSmZ@nW<I:m#_*`!WSehJ,E[ROSsY/T@Nu?^Aso*OSl?^ciCi9s*t~>
+l2Lafr/grn!aec#qd9/k!8mVPs*t#4!)WWU!2'1n!M@-rrrerjE.<B9E;n5`hu1:iYkJ(sOSrPc
+E;uR1J,4-]YlDK<TDsE@E;b:aT)c+ps8@HE?i#laYl2<=YeRE(r,DI.q1&C*qEOXLq/FXZr?)"m
+rBL05pcn^2pHS=InSmZ@nW<I:m#_*`!WSehJ,E[ROSsY/T@Nu?^Aso*OSl?^ciCi9s*t~>
+l2Lafr/grn"(+l$E;X)AT)c+pTE!gFs8RTJ56+OYOT1sOYQ:B2nG`W`:iLo6r,DY^s53ahpAY,S
+rEoMB!M?UlE;Qm=^Aso*IfOHcJ,Pu?Yb1pprdXcOqN1`]r4`<[^QAA4q,$m:rK-k?oMG@&ec5If
+!&4C:q(VV/r@n17nmC^%k'ur`qk*29r,DN4!2'1=!K_:!?iH/dIfQ+ks8Th7Yb1oVr36.Hh#Dm~>
+l2Lafr/grn"(+l$E;X)AT)c+pTE!gFs8RTJ56+OYOT1sOYQ:B2nG`W`:iLo6r,DY^s53ahpAY,S
+rEoMB!M?UlE;Qm=^Aso*IfOHcJ,Pu?Yb1pprdXcOqN1`]r4`<[^QAA4q,$m:rK-k?oMG@&ec5If
+!&4C:q(VV/r@n17nmC^%k'ur`qk*29r,DN4!2'1=!K_:!?iH/dIfQ+ks8Th7Yb1oVr36.Hh#Dm~>
+l2Lafr/grn"(+l$E;X)AT)c+pTE!gFs8RTJ56+OYOT1sOYQ:B2nG`W`:iLo6r,DY^s53ahpAY,S
+rEoMB!M?UlE;Qm=^Aso*IfOHcJ,Pu?Yb1pprdXcOqN1`]r4`<[^QAA4q,$m:rK-k?oMG@&ec5If
+!&4C:q(VV/r@n17nmC^%k'ur`qk*29r,DN4!2'1=!K_:!?iH/dIfQ+ks8Th7Yb1oVr36.Hh#Dm~>
+l2UdfrK.#ns%i]7r*KH.qOdfFqZ$SFr]^BZrK.&OrNH<pd-pu::iLB'r,DY^s53ahp&>#RrEoPC
+!M?UlE;Qm=^]0r*IfOHdJ,Go=Yl=Y&TDj?;?i6#cTDu.m^B2csOSj(m;#5\?OSD'4;#5,25PJ";
+s7RQ/0`=66;!VKPE9;Z)OSj(irrA\iJ,bW1E;j5DOT'_0T@X#G^Tar7OHBCEr6X7!J,~>
+l2UdfrK.#ns%i]7r*KH.qOdfFqZ$SFr]^BZrK.&OrNH<pd-pu::iLB'r,DY^s53ahp&>#RrEoPC
+!M?UlE;Qm=^]0r*IfOHdJ,Go=Yl=Y&TDj?;?i6#cTDu.m^B2csOSj(m;#5\?OSD'4;#5,25PJ";
+s7RQ/0`=66;!VKPE9;Z)OSj(irrA\iJ,bW1E;j5DOT'_0T@X#G^Tar7OHBCEr6X7!J,~>
+l2UdfrK.#ns%i]7r*KH.qOdfFqZ$SFr]^BZrK.&OrNH<pd-pu::iLB'r,DY^s53ahp&>#RrEoPC
+!M?UlE;Qm=^]0r*IfOHdJ,Go=Yl=Y&TDj?;?i6#cTDu.m^B2csOSj(m;#5\?OSD'4;#5,25PJ";
+s7RQ/0`=66;!VKPE9;Z)OSj(irrA\iJ,bW1E;j5DOT'_0T@X#G^Tar7OHBCEr6X7!J,~>
+kl1XerK.#ns%i]7r*KH.qOdfFqZ$SFr]^BZr/^oNrNQ<o!5J%'"J8M0It.E9rm:Z%rP&?:pAY,S
+rEoMB!2'%*qlp+8!M=?1IfOHcJ,Q#>Yl=\%J,3OLTDu+rT<S4-!RQr*E;<?,J,PK/;#*?I;#5.n
+5Mf6%?fuCjJ+o'&J+&KqE:El-TDj?>OT0;!?iH/dIfQ+mrrKm=rgs1Pr36+Gh#Dm~>
+kl1XerK.#ns%i]7r*KH.qOdfFqZ$SFr]^BZr/^oNrNQ<o!5J%'"J8M0It.E9rm:Z%rP&?:pAY,S
+rEoMB!2'%*qlp+8!M=?1IfOHcJ,Q#>Yl=\%J,3OLTDu+rT<S4-!RQr*E;<?,J,PK/;#*?I;#5.n
+5Mf6%?fuCjJ+o'&J+&KqE:El-TDj?>OT0;!?iH/dIfQ+mrrKm=rgs1Pr36+Gh#Dm~>
+kl1XerK.#ns%i]7r*KH.qOdfFqZ$SFr]^BZr/^oNrNQ<o!5J%'"J8M0It.E9rm:Z%rP&?:pAY,S
+rEoMB!2'%*qlp+8!M=?1IfOHcJ,Q#>Yl=\%J,3OLTDu+rT<S4-!RQr*E;<?,J,PK/;#*?I;#5.n
+5Mf6%?fuCjJ+o'&J+&KqE:El-TDj?>OT0;!?iH/dIfQ+mrrKm=rgs1Pr36+Gh#Dm~>
+kl1Xer/grn"(+lDE;X)>TDmaFs8RTJ56+OXO8tpOYlC<q^[M1):iLo6rG__^s53di!3l1ss,d1d
+rbqk0pi-,7rkJK*rdOoerI=a;!3lG%rdXiQ!-%e,s0)Kqq7cokqf)@-q1&@)r)!8Tnkf7'r@mY(
+i)&QCkA]R5r/gW%ooSugli.!XJ,GE.E;j5COT0e1T@j/E^Td^0!0I,_r6X7!J,~>
+kl1Xer/grn"(+lDE;X)>TDmaFs8RTJ56+OXO8tpOYlC<q^[M1):iLo6rG__^s53di!3l1ss,d1d
+rbqk0pi-,7rkJK*rdOoerI=a;!3lG%rdXiQ!-%e,s0)Kqq7cokqf)@-q1&@)r)!8Tnkf7'r@mY(
+i)&QCkA]R5r/gW%ooSugli.!XJ,GE.E;j5COT0e1T@j/E^Td^0!0I,_r6X7!J,~>
+kl1Xer/grn"(+lDE;X)>TDmaFs8RTJ56+OXO8tpOYlC<q^[M1):iLo6rG__^s53di!3l1ss,d1d
+rbqk0pi-,7rkJK*rdOoerI=a;!3lG%rdXiQ!-%e,s0)Kqq7cokqf)@-q1&@)r)!8Tnkf7'r@mY(
+i)&QCkA]R5r/gW%ooSugli.!XJ,GE.E;j5COT0e1T@j/E^Td^0!0I,_r6X7!J,~>
+kl1Xer/grn"(+l$E;X)AT)c+pTE!gGs8RTJ56+OXO8tpOYlC?q^[V7*:iLo6rG__^s53di!3l.r
+!0I.drGVb/q/H58rkAK+s7h*AT)c+ps8INH?iG$@T)l0gqnN-&!0I(sq,$p;!K`rQOSM`O5P%\Q
+E.<B9E:,FM5OqY2?fuCjIfOHYJ,59$DuuZ9Yj25gTDO`LE;s;DOT0e1T@s5F^Td^0!0I/`qp=-u
+J,~>
+kl1Xer/grn"(+l$E;X)AT)c+pTE!gGs8RTJ56+OXO8tpOYlC?q^[V7*:iLo6rG__^s53di!3l.r
+!0I.drGVb/q/H58rkAK+s7h*AT)c+ps8INH?iG$@T)l0gqnN-&!0I(sq,$p;!K`rQOSM`O5P%\Q
+E.<B9E:,FM5OqY2?fuCjIfOHYJ,59$DuuZ9Yj25gTDO`LE;s;DOT0e1T@s5F^Td^0!0I/`qp=-u
+J,~>
+kl1Xer/grn"(+l$E;X)AT)c+pTE!gGs8RTJ56+OXO8tpOYlC?q^[V7*:iLo6rG__^s53di!3l.r
+!0I.drGVb/q/H58rkAK+s7h*AT)c+ps8INH?iG$@T)l0gqnN-&!0I(sq,$p;!K`rQOSM`O5P%\Q
+E.<B9E:,FM5OqY2?fuCjIfOHYJ,59$DuuZ9Yj25gTDO`LE;s;DOT0e1T@s5F^Td^0!0I/`qp=-u
+J,~>
+kl1Xer/grn"(+l$E;X&CYl:6pYl:9phu!HRJ,MV0O8tpOYlC?q^[V7*:iLB'rG__^s53di!3l+q
+!0I.drbqk0pi-,7s1eQ*rI4g/rI=a;rVukHs'P\Cqk*nm!2'8*qk!kMqf)=,rdXm.s.B=Qs'POt
+r]g-Rr,DXbrc%B]p-8(Di*YVcm=4qNnpg\$ol0i$s01eg!2'.Mrc%mErK.&/!3k2W!Pbl<TDYqj
+d+nYO~>
+kl1Xer/grn"(+l$E;X&CYl:6pYl:9phu!HRJ,MV0O8tpOYlC?q^[V7*:iLB'rG__^s53di!3l+q
+!0I.drbqk0pi-,7s1eQ*rI4g/rI=a;rVukHs'P\Cqk*nm!2'8*qk!kMqf)=,rdXm.s.B=Qs'POt
+r]g-Rr,DXbrc%B]p-8(Di*YVcm=4qNnpg\$ol0i$s01eg!2'.Mrc%mErK.&/!3k2W!Pbl<TDYqj
+d+nYO~>
+kl1Xer/grn"(+l$E;X&CYl:6pYl:9phu!HRJ,MV0O8tpOYlC?q^[V7*:iLB'rG__^s53di!3l+q
+!0I.drbqk0pi-,7s1eQ*rI4g/rI=a;rVukHs'P\Cqk*nm!2'8*qk!kMqf)=,rdXm.s.B=Qs'POt
+r]g-Rr,DXbrc%B]p-8(Di*YVcm=4qNnpg\$ol0i$s01eg!2'.Mrc%mErK.&/!3k2W!Pbl<TDYqj
+d+nYO~>
+kl1Xer/grn"CFu%E,bb_!3l<lrnmYRs*su3r/^oNrNQ<orkIt&s)7sfr,DV]!8m^ho`+rQra5;:
+qlp(7!MBDkJ,YQ.J,Gr<rrA\jJ,4-]TDu+rT>1/nqf)=,!.Xj,!2'7Ps'PIr!'g<Vpi-1]s)@Wb
+qEOIGgL',_o7-@Np4*$Jo5OT!s01eg!2'1NrG_dDrK.&/!3k5X!5JK)r36(Fh#Dm~>
+kl1Xer/grn"CFu%E,bb_!3l<lrnmYRs*su3r/^oNrNQ<orkIt&s)7sfr,DV]!8m^ho`+rQra5;:
+qlp(7!MBDkJ,YQ.J,Gr<rrA\jJ,4-]TDu+rT>1/nqf)=,!.Xj,!2'7Ps'PIr!'g<Vpi-1]s)@Wb
+qEOIGgL',_o7-@Np4*$Jo5OT!s01eg!2'1NrG_dDrK.&/!3k5X!5JK)r36(Fh#Dm~>
+kl1Xer/grn"CFu%E,bb_!3l<lrnmYRs*su3r/^oNrNQ<orkIt&s)7sfr,DV]!8m^ho`+rQra5;:
+qlp(7!MBDkJ,YQ.J,Gr<rrA\jJ,4-]TDu+rT>1/nqf)=,!.Xj,!2'7Ps'PIr!'g<Vpi-1]s)@Wb
+qEOIGgL',_o7-@Np4*$Jo5OT!s01eg!2'1NrG_dDrK.&/!3k5X!5JK)r36(Fh#Dm~>
+kl1Xer/gom"(+lDE;a,DYl10qYb.Qehu*NSJ,MV0O8tpOYlC?p^[V:'DubCcE;e,`hu(7\rrA/[
+?i=pDTD<I&Yl;B=s.=f<OT'b-TDnljJ,+'[TDu.hTDNU':]OkuOT1sQOSrPW;"JZ*J,aK`0`F<*
+;"J&l5O)V=E;G(NE;P.\?i4jCOSiJ`E;Z@-Yj25gTDXfKDua8CO9'j8h>dMirLa%mqU"$tJ,~>
+kl1Xer/gom"(+lDE;a,DYl10qYb.Qehu*NSJ,MV0O8tpOYlC?p^[V:'DubCcE;e,`hu(7\rrA/[
+?i=pDTD<I&Yl;B=s.=f<OT'b-TDnljJ,+'[TDu.hTDNU':]OkuOT1sQOSrPW;"JZ*J,aK`0`F<*
+;"J&l5O)V=E;G(NE;P.\?i4jCOSiJ`E;Z@-Yj25gTDXfKDua8CO9'j8h>dMirLa%mqU"$tJ,~>
+kl1Xer/gom"(+lDE;a,DYl10qYb.Qehu*NSJ,MV0O8tpOYlC?p^[V:'DubCcE;e,`hu(7\rrA/[
+?i=pDTD<I&Yl;B=s.=f<OT'b-TDnljJ,+'[TDu.hTDNU':]OkuOT1sQOSrPW;"JZ*J,aK`0`F<*
+;"J&l5O)V=E;G(NE;P.\?i4jCOSiJ`E;Z@-Yj25gTDXfKDua8CO9'j8h>dMirLa%mqU"$tJ,~>
+kl:[erK.#n"(+lDE;X&CYl:6rYb.Qdhu3TTJ,MV/OSl<_TDcOorrR.hJ,O?aciDu%^AtM1s8S2[
+?hA=7Yl;B<TE"_KrdXj<s8N+lJ,"!ZT)c+gT)auNE;NK2?hof`TDt#N?hI7aE;b7dE;Vrg:]Oki
+5O)V!E:[H6rrA/Y?i4m@TDu.[rrA\hOSj%t?i5udJ$@f0s1eT+!.Xs/s1eHXh#Dm~>
+kl:[erK.#n"(+lDE;X&CYl:6rYb.Qdhu3TTJ,MV/OSl<_TDcOorrR.hJ,O?aciDu%^AtM1s8S2[
+?hA=7Yl;B<TE"_KrdXj<s8N+lJ,"!ZT)c+gT)auNE;NK2?hof`TDt#N?hI7aE;b7dE;Vrg:]Oki
+5O)V!E:[H6rrA/Y?i4m@TDu.[rrA\hOSj%t?i5udJ$@f0s1eT+!.Xs/s1eHXh#Dm~>
+kl:[erK.#n"(+lDE;X&CYl:6rYb.Qdhu3TTJ,MV/OSl<_TDcOorrR.hJ,O?aciDu%^AtM1s8S2[
+?hA=7Yl;B<TE"_KrdXj<s8N+lJ,"!ZT)c+gT)auNE;NK2?hof`TDt#N?hI7aE;b7dE;Vrg:]Oki
+5O)V!E:[H6rrA/Y?i4m@TDu.[rrA\hOSj%t?i5udJ$@f0s1eT+!.Xs/s1eHXh#Dm~>
+kPkOdr/grn"CFu%E,bb_!3lHp!3lHprnmYR!-%j#r."XKs.B;*nGiN-!.Xrdr6PH$rP&?:oD\fP
+ra5;:qlp(7!h]LbplPN*r1F#h!.X`^qk*nm!2&qGr,DU2qd9/\s.B=Qqd8tlmr88U!-%NoqG?NC
+l<j"!q-WH,nmDCCs1eF1!0I+cr,DS+s01bf!2'1Nr,DOp!Iq?2s8Tk6J,PK-^\uO6s*t~>
+kPkOdr/grn"CFu%E,bb_!3lHp!3lHprnmYR!-%j#r."XKs.B;*nGiN-!.Xrdr6PH$rP&?:oD\fP
+ra5;:qlp(7!h]LbplPN*r1F#h!.X`^qk*nm!2&qGr,DU2qd9/\s.B=Qqd8tlmr88U!-%NoqG?NC
+l<j"!q-WH,nmDCCs1eF1!0I+cr,DS+s01bf!2'1Nr,DOp!Iq?2s8Tk6J,PK-^\uO6s*t~>
+kPkOdr/grn"CFu%E,bb_!3lHp!3lHprnmYR!-%j#r."XKs.B;*nGiN-!.Xrdr6PH$rP&?:oD\fP
+ra5;:qlp(7!h]LbplPN*r1F#h!.X`^qk*nm!2&qGr,DU2qd9/\s.B=Qqd8tlmr88U!-%NoqG?NC
+l<j"!q-WH,nmDCCs1eF1!0I+cr,DS+s01bf!2'1Nr,DOp!Iq?2s8Tk6J,PK-^\uO6s*t~>
+kPkOdr/grn"CFu%E,bb_!3lHp!3lHprnmYR!H9ak5Pos/YlC?o^[_@(DubCdE;\&_hu1:iYk.np
+OT&VdDucO+E;Qm<^B/AHTD+EIJ,Gr=s7^L/TDu+rT<S$NqeuO3q-WrZrgs1PqHrhjmr8;Vrc%a!
+p/(*?l!O7*n6b^)nQu98rdXmns1eC0!0I.dr,DS+rikYe!2'1Nr,DLo!3kD]s)7sfrK-okrm9F"
+J,~>
+kPkOdr/grn"CFu%E,bb_!3lHp!3lHprnmYR!H9ak5Pos/YlC?o^[_@(DubCdE;\&_hu1:iYk.np
+OT&VdDucO+E;Qm<^B/AHTD+EIJ,Gr=s7^L/TDu+rT<S$NqeuO3q-WrZrgs1PqHrhjmr8;Vrc%a!
+p/(*?l!O7*n6b^)nQu98rdXmns1eC0!0I.dr,DS+rikYe!2'1Nr,DLo!3kD]s)7sfrK-okrm9F"
+J,~>
+kPkOdr/grn"CFu%E,bb_!3lHp!3lHprnmYR!H9ak5Pos/YlC?o^[_@(DubCdE;\&_hu1:iYk.np
+OT&VdDucO+E;Qm<^B/AHTD+EIJ,Gr=s7^L/TDu+rT<S$NqeuO3q-WrZrgs1PqHrhjmr8;Vrc%a!
+p/(*?l!O7*n6b^)nQu98rdXmns1eC0!0I.dr,DS+rikYe!2'1Nr,DLo!3kD]s)7sfrK-okrm9F"
+J,~>
+kPkOdr/grns'Gh(E,bb_s02Kp!jJ;hrSRSRs)@p$qg\RKs.B8)nc/W.!.Xrdqp>;V!3l%o!0I1e
+s)A!Fpi-,7rkAPSs.>qXO8se.T)ntapMfu$s0)KqqQTmZqf)=;q2kTJ!0Ht_nkegprI4fdo2+d<
+lsK`gk?n%(n6Z4Cs86j8J,I[n^\Rm0OSrPaE;Z@-Yj)/fTDXfKE;GXrYi>]_E;Ygn^]2[8s*t~>
+kPkOdr/grns'Gh(E,bb_s02Kp!jJ;hrSRSRs)@p$qg\RKs.B8)nc/W.!.Xrdqp>;V!3l%o!0I1e
+s)A!Fpi-,7rkAPSs.>qXO8se.T)ntapMfu$s0)KqqQTmZqf)=;q2kTJ!0Ht_nkegprI4fdo2+d<
+lsK`gk?n%(n6Z4Cs86j8J,I[n^\Rm0OSrPaE;Z@-Yj)/fTDXfKE;GXrYi>]_E;Ygn^]2[8s*t~>
+kPkOdr/grns'Gh(E,bb_s02Kp!jJ;hrSRSRs)@p$qg\RKs.B8)nc/W.!.Xrdqp>;V!3l%o!0I1e
+s)A!Fpi-,7rkAPSs.>qXO8se.T)ntapMfu$s0)KqqQTmZqf)=;q2kTJ!0Ht_nkegprI4fdo2+d<
+lsK`gk?n%(n6Z4Cs86j8J,I[n^\Rm0OSrPaE;Z@-Yj)/fTDXfKE;GXrYi>]_E;Ygn^]2[8s*t~>
+kPkOdr/gom!FJ\&E;j5EYl:6rYb.Qdhu3TTE;VruJ,QVOTDZIps8R$<J,F9`d/:ZLs8S2X?heU;
+Yl2<:s8JYaOSk^Ns7UF/TDl%pTD#MhOSj(l?hof_T)auI?h.%^E;b7dE;*2q5Q+sV;!23cE:[H8
+E;d$@ciLBNr,DXbrQtSZq>^JVrEoJAr1F"nkl1XTr/ghqqiLi^jT#7!r/gZf!79L#J,~>
+kPkOdr/gom!FJ\&E;j5EYl:6rYb.Qdhu3TTE;VruJ,QVOTDZIps8R$<J,F9`d/:ZLs8S2X?heU;
+Yl2<:s8JYaOSk^Ns7UF/TDl%pTD#MhOSj(l?hof_T)auI?h.%^E;b7dE;*2q5Q+sV;!23cE:[H8
+E;d$@ciLBNr,DXbrQtSZq>^JVrEoJAr1F"nkl1XTr/ghqqiLi^jT#7!r/gZf!79L#J,~>
+kPkOdr/gom!FJ\&E;j5EYl:6rYb.Qdhu3TTE;VruJ,QVOTDZIps8R$<J,F9`d/:ZLs8S2X?heU;
+Yl2<:s8JYaOSk^Ns7UF/TDl%pTD#MhOSj(l?hof_T)auI?h.%^E;b7dE;*2q5Q+sV;!23cE:[H8
+E;d$@ciLBNr,DXbrQtSZq>^JVrEoJAr1F"nkl1XTr/ghqqiLi^jT#7!r/gZf!79L#J,~>
+kPkOdr/gom!FJ\&E;a,DYl:6rYb.Qchu3QUE%q5Tr."XKs.B8)o)JN)r6YAVnc&TNqd0>qq/H27
+rkAJQs8JYaOSb[DE;Q9uYlBg^E;3f9OT(jPOS3&M;"/H&IfOHb;"m32;!q]e;#=T#OIuHTrnmZn
+r364J!<;q8s*ssns1eC0!0I.dqf)M+rikYes.B4Nrc%meqiLi^k5YI#r/gZf!79I"J,~>
+kPkOdr/gom!FJ\&E;a,DYl:6rYb.Qchu3QUE%q5Tr."XKs.B8)o)JN)r6YAVnc&TNqd0>qq/H27
+rkAJQs8JYaOSb[DE;Q9uYlBg^E;3f9OT(jPOS3&M;"/H&IfOHb;"m32;!q]e;#=T#OIuHTrnmZn
+r364J!<;q8s*ssns1eC0!0I.dqf)M+rikYes.B4Nrc%meqiLi^k5YI#r/gZf!79I"J,~>
+kPkOdr/gom!FJ\&E;a,DYl:6rYb.Qchu3QUE%q5Tr."XKs.B8)o)JN)r6YAVnc&TNqd0>qq/H27
+rkAJQs8JYaOSb[DE;Q9uYlBg^E;3f9OT(jPOS3&M;"/H&IfOHb;"m32;!q]e;#=T#OIuHTrnmZn
+r364J!<;q8s*ssns1eC0!0I.dqf)M+rikYes.B4Nrc%meqiLi^k5YI#r/gZf!79I"J,~>
+kPtRdrK.#n"CFu%E,bb_!3lHp!3lHprSRSR!H9ak5Q$$/YlC?n^[hF$E;S#\^AtM/s8S2X?heU;
+Yl2?:s8JY`OSkaFE;H4+Yk4OfOSa"l?hof^TCcL];#annJ,O?bIfOH9;"n>h:]f"JYl2?:d/T1-
+TDc"nhu%HlYlE&Ns.B1-s*t!os1e@/!0I.dr,DS+rikYes.B4N!-%mdqiLi^kl1X%qiLQes3TL"
+J,~>
+kPtRdrK.#n"CFu%E,bb_!3lHp!3lHprSRSR!H9ak5Q$$/YlC?n^[hF$E;S#\^AtM/s8S2X?heU;
+Yl2?:s8JY`OSkaFE;H4+Yk4OfOSa"l?hof^TCcL];#annJ,O?bIfOH9;"n>h:]f"JYl2?:d/T1-
+TDc"nhu%HlYlE&Ns.B1-s*t!os1e@/!0I.dr,DS+rikYes.B4N!-%mdqiLi^kl1X%qiLQes3TL"
+J,~>
+kPtRdrK.#n"CFu%E,bb_!3lHp!3lHprSRSR!H9ak5Q$$/YlC?n^[hF$E;S#\^AtM/s8S2X?heU;
+Yl2?:s8JY`OSkaFE;H4+Yk4OfOSa"l?hof^TCcL];#annJ,O?bIfOH9;"n>h:]f"JYl2?:d/T1-
+TDc"nhu%HlYlE&Ns.B1-s*t!os1e@/!0I.dr,DS+rikYes.B4N!-%mdqiLi^kl1X%qiLQes3TL"
+J,~>
+k5PFcrK.#ns'Gb&rc%jDs02Nqs02NqrSRSR!H9ak5Pos/YlC?n^[hF)DubCdE;S#[^[_=(OS`Ab
+TD<I'Yl2?9s8JYaOT3)oTD*=$TDu+sT<PQnT)auME;*`8OT(jPORliP;#=VdJ,XE-:]Sl@^\uLZ
+Yl)99d/T1-TDc"nhu%HlYlE)Ms8-d8J,I[n^\Ig/OSrPaE;Z@.Yiu)eTDXcNTDX39O8uNLrr@$9
+OS-Bgd+\MM~>
+k5PFcrK.#ns'Gb&rc%jDs02Nqs02NqrSRSR!H9ak5Pos/YlC?n^[hF)DubCdE;S#[^[_=(OS`Ab
+TD<I'Yl2?9s8JYaOT3)oTD*=$TDu+sT<PQnT)auME;*`8OT(jPORliP;#=VdJ,XE-:]Sl@^\uLZ
+Yl)99d/T1-TDc"nhu%HlYlE)Ms8-d8J,I[n^\Ig/OSrPaE;Z@.Yiu)eTDXcNTDX39O8uNLrr@$9
+OS-Bgd+\MM~>
+k5PFcrK.#ns'Gb&rc%jDs02Nqs02NqrSRSR!H9ak5Pos/YlC?n^[hF)DubCdE;S#[^[_=(OS`Ab
+TD<I'Yl2?9s8JYaOT3)oTD*=$TDu+sT<PQnT)auME;*`8OT(jPORliP;#=VdJ,XE-:]Sl@^\uLZ
+Yl)99d/T1-TDc"nhu%HlYlE)Ms8-d8J,I[n^\Ig/OSrPaE;Z@.Yiu)eTDXcNTDX39O8uNLrr@$9
+OS-Bgd+\MM~>
+k5PFcr/_&rY[:a6rc%jDs02Kp!jJ;hr87MRs)7rlrBL40rNQ<oqnMb&s)7sfrG_Y\r4`69nc&TN
+r*KGrpi-,7rP/@3rh&tIrLa,)!2&t(qk*kl!2'(kr1F"Nqf)=;q2kTJ!g%A?oO%>hpL!69s)@7"
+mpH#i!5J<UrP/?Ys02F9s3Ue-!2'4ornmWmrNQ=K!jM]sqeuObr6YJYp\t5TrEoJArLa(nkl1XT
+rK%#Or."U*s01hh!+5YcotULQgAc[~>
+k5PFcr/_&rY[:a6rc%jDs02Kp!jJ;hr87MRs)7rlrBL40rNQ<oqnMb&s)7sfrG_Y\r4`69nc&TN
+r*KGrpi-,7rP/@3rh&tIrLa,)!2&t(qk*kl!2'(kr1F"Nqf)=;q2kTJ!g%A?oO%>hpL!69s)@7"
+mpH#i!5J<UrP/?Ys02F9s3Ue-!2'4ornmWmrNQ=K!jM]sqeuObr6YJYp\t5TrEoJArLa(nkl1XT
+rK%#Or."U*s01hh!+5YcotULQgAc[~>
+k5PFcr/_&rY[:a6rc%jDs02Kp!jJ;hr87MRs)7rlrBL40rNQ<oqnMb&s)7sfrG_Y\r4`69nc&TN
+r*KGrpi-,7rP/@3rh&tIrLa,)!2&t(qk*kl!2'(kr1F"Nqf)=;q2kTJ!g%A?oO%>hpL!69s)@7"
+mpH#i!5J<UrP/?Ys02F9s3Ue-!2'4ornmWmrNQ=K!jM]sqeuObr6YJYp\t5TrEoJArLa(nkl1XT
+rK%#Or."U*s01hh!+5YcotULQgAc[~>
+k5PFcr."^M!FJ\&E;j5EYl:6rYb.Qchu3QUE%q5Tr."[Lrh','oDeZ+qU#2Us02(os,d.cpi-,7
+rP/=2rh'%Kpn.;"qOd8]s,d+spg<iYrgs1Prc%I9qG?fkl$i\PoMG-drNH<ad/9O8YkZTC^])U[
+Yl2?:d/K+,TDc"ohZ;)crG__>rm:]FqJZFar6PGYpAY,Sra5\ErEoMqrikVd!2'7Ps.B4=qiLi^
+mf3;or,D>Drm9?uJ,~>
+k5PFcr."^M!FJ\&E;j5EYl:6rYb.Qchu3QUE%q5Tr."[Lrh','oDeZ+qU#2Us02(os,d.cpi-,7
+rP/=2rh'%Kpn.;"qOd8]s,d+spg<iYrgs1Prc%I9qG?fkl$i\PoMG-drNH<ad/9O8YkZTC^])U[
+Yl2?:d/K+,TDc"ohZ;)crG__>rm:]FqJZFar6PGYpAY,Sra5\ErEoMqrikVd!2'7Ps.B4=qiLi^
+mf3;or,D>Drm9?uJ,~>
+k5PFcr."^M!FJ\&E;j5EYl:6rYb.Qchu3QUE%q5Tr."[Lrh','oDeZ+qU#2Us02(os,d.cpi-,7
+rP/=2rh'%Kpn.;"qOd8]s,d+spg<iYrgs1Prc%I9qG?fkl$i\PoMG-drNH<ad/9O8YkZTC^])U[
+Yl2?:d/K+,TDc"ohZ;)crG__>rm:]FqJZFar6PGYpAY,Sra5\ErEoMqrikVd!2'7Ps.B4=qiLi^
+mf3;or,D>Drm9?uJ,~>
+jo5=brI=gN!FJ\%E;j5EYlC?qYQ1<nhu3QUE%q5Tr."XKs.B2'o`+`+s3U`%r4`69nc&TNr*KGr
+q/H27rkJC2rh'+M!2'7pqOdM$qOdbko:Q&EqJc4:q2kTJ!0I(soj@\pmpG=/!-%d2rf@,!rfI).
+!M=?-YQ0d_TDl(hd/C`Xd/U?K^]2[ZJ,QVNciB1*E;d$@d/X+GTDNR-J,I[n^\@a.OSE2\TDu.Y
+rrJaRrLa";qiLi^o)JYqrG_du!2'##rm1YLg&HR~>
+jo5=brI=gN!FJ\%E;j5EYlC?qYQ1<nhu3QUE%q5Tr."XKs.B2'o`+`+s3U`%r4`69nc&TNr*KGr
+q/H27rkJC2rh'+M!2'7pqOdM$qOdbko:Q&EqJc4:q2kTJ!0I(soj@\pmpG=/!-%d2rf@,!rfI).
+!M=?-YQ0d_TDl(hd/C`Xd/U?K^]2[ZJ,QVNciB1*E;d$@d/X+GTDNR-J,I[n^\@a.OSE2\TDu.Y
+rrJaRrLa";qiLi^o)JYqrG_du!2'##rm1YLg&HR~>
+jo5=brI=gN!FJ\%E;j5EYlC?qYQ1<nhu3QUE%q5Tr."XKs.B2'o`+`+s3U`%r4`69nc&TNr*KGr
+q/H27rkJC2rh'+M!2'7pqOdM$qOdbko:Q&EqJc4:q2kTJ!0I(soj@\pmpG=/!-%d2rf@,!rfI).
+!M=?-YQ0d_TDl(hd/C`Xd/U?K^]2[ZJ,QVNciB1*E;d$@d/X+GTDNR-J,I[n^\@a.OSE2\TDu.Y
+rrJaRrLa";qiLi^o)JYqrG_du!2'##rm1YLg&HR~>
+jo5=br."aNs'Gb&rc%jDs02Nqs02Nqr87MR!cThIr]^C%rI=aLs.9;<r4hn(qJZFAqqhCXrP/B:
+o)J`Or*T5<qlp%6r;ZbgrK-uMrNQ9np2Kl#ril!drfI"rpg<fXs.B=Qn8RW!k^NSOrK%"urfI&-
+!-%e=!Kb\,TDl(hd/:ZXd/L9J^]2[ZJ,QVNciB1*E;d$@d/O(ADubCcciCiSrreEj?Z9u^?i?Vr
+Yil&`TDX39O8uNXs867&E;ksuTD62$ciC<&s*t~>
+jo5=br."aNs'Gb&rc%jDs02Nqs02Nqr87MR!cThIr]^C%rI=aLs.9;<r4hn(qJZFAqqhCXrP/B:
+o)J`Or*T5<qlp%6r;ZbgrK-uMrNQ9np2Kl#ril!drfI"rpg<fXs.B=Qn8RW!k^NSOrK%"urfI&-
+!-%e=!Kb\,TDl(hd/:ZXd/L9J^]2[ZJ,QVNciB1*E;d$@d/O(ADubCcciCiSrreEj?Z9u^?i?Vr
+Yil&`TDX39O8uNXs867&E;ksuTD62$ciC<&s*t~>
+jo5=br."aNs'Gb&rc%jDs02Nqs02Nqr87MR!cThIr]^C%rI=aLs.9;<r4hn(qJZFAqqhCXrP/B:
+o)J`Or*T5<qlp%6r;ZbgrK-uMrNQ9np2Kl#ril!drfI"rpg<fXs.B=Qn8RW!k^NSOrK%"urfI&-
+!-%e=!Kb\,TDl(hd/:ZXd/L9J^]2[ZJ,QVNciB1*E;d$@d/O(ADubCcciCiSrreEj?Z9u^?i?Vr
+Yil&`TDX39O8uNXs867&E;ksuTD62$ciC<&s*t~>
+jo5@cOSs\/YlA&1;#YG5?iRA1TDu.qTD[UGs8R$<0`F9:E;Y4aYlC<qd/1TMs8I!9?i&[Y^]1P.
+s8S2Z?N?_oE;Qm<^\n-1TDt#KTDbtoTD!7#TDl%pTDPkgTDt#LE;O#AE;>UpT)t+YYjl\u?i=s,
+J,YQ,J,YQ/YQCGYd/BR<d'0bJd/:ZXd/L9J^]2[ZJ,QVNciB1*E;d$@d/O%FTDEO)d/UlSrr\?i
+E,b\]rLa(nkPtIPqg\O*s02>!qd9>ArK-rLq7lsV!3k)TJ,~>
+jo5@cOSs\/YlA&1;#YG5?iRA1TDu.qTD[UGs8R$<0`F9:E;Y4aYlC<qd/1TMs8I!9?i&[Y^]1P.
+s8S2Z?N?_oE;Qm<^\n-1TDt#KTDbtoTD!7#TDl%pTDPkgTDt#LE;O#AE;>UpT)t+YYjl\u?i=s,
+J,YQ,J,YQ/YQCGYd/BR<d'0bJd/:ZXd/L9J^]2[ZJ,QVNciB1*E;d$@d/O%FTDEO)d/UlSrr\?i
+E,b\]rLa(nkPtIPqg\O*s02>!qd9>ArK-rLq7lsV!3k)TJ,~>
+jo5@cOSs\/YlA&1;#YG5?iRA1TDu.qTD[UGs8R$<0`F9:E;Y4aYlC<qd/1TMs8I!9?i&[Y^]1P.
+s8S2Z?N?_oE;Qm<^\n-1TDt#KTDbtoTD!7#TDl%pTDPkgTDt#LE;O#AE;>UpT)t+YYjl\u?i=s,
+J,YQ,J,YQ/YQCGYd/BR<d'0bJd/:ZXd/L9J^]2[ZJ,QVNciB1*E;d$@d/O%FTDEO)d/UlSrr\?i
+E,b\]rLa(nkPtIPqg\O*s02>!qd9>ArK-rLq7lsV!3k)TJ,~>
+jSo4ar-ngQ?XHY.E;s;EYlC<sYb.QbhuE`VDu_Tj56,[$J,QVNT)d79^\%R*E;a/?hu(7hYjq_n
+OSiJ\E;Qm=^Aso(s8APiOS5=HYQ1<iE;H4+YQCHss7i5dYlC?qOSWqo?i=s=OT1sQO9)S8o5O#&
+pi,_PqiLZ(rK%,ROH@ieTDu+q^\?(TYl)99ciCi[Yl2?:d/AImYl<#LOSs.sYl<#LrrA\eE;\&_
+^\.U/OC)sGr*TAos01Yc!3lEoqg\O*s02J%q-X/@r/gcIqnN0X!3k&SJ,~>
+jSo4ar-ngQ?XHY.E;s;EYlC<sYb.QbhuE`VDu_Tj56,[$J,QVNT)d79^\%R*E;a/?hu(7hYjq_n
+OSiJ\E;Qm=^Aso(s8APiOS5=HYQ1<iE;H4+YQCHss7i5dYlC?qOSWqo?i=s=OT1sQO9)S8o5O#&
+pi,_PqiLZ(rK%,ROH@ieTDu+q^\?(TYl)99ciCi[Yl2?:d/AImYl<#LOSs.sYl<#LrrA\eE;\&_
+^\.U/OC)sGr*TAos01Yc!3lEoqg\O*s02J%q-X/@r/gcIqnN0X!3k&SJ,~>
+jSo4ar-ngQ?XHY.E;s;EYlC<sYb.QbhuE`VDu_Tj56,[$J,QVNT)d79^\%R*E;a/?hu(7hYjq_n
+OSiJ\E;Qm=^Aso(s8APiOS5=HYQ1<iE;H4+YQCHss7i5dYlC?qOSWqo?i=s=OT1sQO9)S8o5O#&
+pi,_PqiLZ(rK%,ROH@ieTDu+q^\?(TYl)99ciCi[Yl2?:d/AImYl<#LOSs.sYl<#LrrA\eE;\&_
+^\.U/OC)sGr*TAos01Yc!3lEoqg\O*s02J%q-X/@r/gcIqnN0X!3k&SJ,~>
+jSo7bOSsY2Y[:a6rG_dDrilEps0)KqqqqDQ!cThIr]^C%rI=aLs.9;<r4hn(rc%dBqqhCXrP/B)
+nG`KMrEo>=rNQ16qu?Veril'fpMfu$s0)Kqq>^8_rfHtqs'PVAq2kTJ!0I,.pMfG*oPjGPp5o*"
+!7:Y9s02O<psB&FrP/?Y!2'7prP/BZrI4g>rilCKs,d.trilCKrr2tjqJcG\s0)O=YkA"uOC)sG
+r*TDprikPb!5JK)r."U*s0)M'q-X/@qiLWGqnE0YT@Nsl~>
+jSo7bOSsY2Y[:a6rG_dDrilEps0)KqqqqDQ!cThIr]^C%rI=aLs.9;<r4hn(rc%dBqqhCXrP/B)
+nG`KMrEo>=rNQ16qu?Veril'fpMfu$s0)Kqq>^8_rfHtqs'PVAq2kTJ!0I,.pMfG*oPjGPp5o*"
+!7:Y9s02O<psB&FrP/?Y!2'7prP/BZrI4g>rilCKs,d.trilCKrr2tjqJcG\s0)O=YkA"uOC)sG
+r*TDprikPb!5JK)r."U*s0)M'q-X/@qiLWGqnE0YT@Nsl~>
+jSo7bOSsY2Y[:a6rG_dDrilEps0)KqqqqDQ!cThIr]^C%rI=aLs.9;<r4hn(rc%dBqqhCXrP/B)
+nG`KMrEo>=rNQ16qu?Veril'fpMfu$s0)Kqq>^8_rfHtqs'PVAq2kTJ!0I,.pMfG*oPjGPp5o*"
+!7:Y9s02O<psB&FrP/?Y!2'7prP/BZrI4g>rilCKs,d.trilCKrr2tjqJcG\s0)O=YkA"uOC)sG
+r*TDprikPb!5JK)r."U*s0)M'q-X/@qiLWGqnE0YT@Nsl~>
+jSo7qOSs\/YlA)/E;s;EYlC?qYQ1<mhu<WWE%j!F56,[$J,HPNT)d78^\%R+Du``5?i&[Y^B1X3
+TCDj\OSrP^Dud-;^Aso's8JYdYkk!cE;H4,YQ1<fs8ASiORR5bOT(jROIr0DOSWq_?g_n/J+A]r
+J,ZYP^\?(TYl)98ciTiDYl)99d/AFoTDl(ociJWXr,DV=s3UcF!2'+,qQTYm!0Ht_rh'.nkPkOs
+rL`t:rK.%upg<lZpn.SjrP&B[T@Emk~>
+jSo7qOSs\/YlA)/E;s;EYlC?qYQ1<mhu<WWE%j!F56,[$J,HPNT)d78^\%R+Du``5?i&[Y^B1X3
+TCDj\OSrP^Dud-;^Aso's8JYdYkk!cE;H4,YQ1<fs8ASiORR5bOT(jROIr0DOSWq_?g_n/J+A]r
+J,ZYP^\?(TYl)98ciTiDYl)99d/AFoTDl(ociJWXr,DV=s3UcF!2'+,qQTYm!0Ht_rh'.nkPkOs
+rL`t:rK.%upg<lZpn.SjrP&B[T@Emk~>
+jSo7qOSs\/YlA)/E;s;EYlC?qYQ1<mhu<WWE%j!F56,[$J,HPNT)d78^\%R+Du``5?i&[Y^B1X3
+TCDj\OSrP^Dud-;^Aso's8JYdYkk!cE;H4,YQ1<fs8ASiORR5bOT(jROIr0DOSWq_?g_n/J+A]r
+J,ZYP^\?(TYl)98ciTiDYl)99d/AFoTDl(ociJWXr,DV=s3UcF!2'+,qQTYm!0Ht_rh'.nkPkOs
+rL`t:rK.%upg<lZpn.SjrP&B[T@Emk~>
+j8T.aOSsY2Y[:a6rG_dDs02Nqs02NqqqqGR!cThIr]gF%rdXjMs.B><r4hn(rc%gCqVM:WrP&E<
+T:bZR!0I.dqJcIapV-^#qu?\goW\=ep2Kl#s0)KqnGiNMn8S2brh'.Nr1Eh)mpG@!rdX6qqLA:e
+s02F9s3Lk_T<PQt^B)]#rI4g>rilCK!Ip4/E;d$@d/EtETDEO)YQ;MCp&>#Rq-O,orK.&`k5PFr
+rLa";rG_O=q2kEErNQ:9!RRIfs*t~>
+j8T.aOSsY2Y[:a6rG_dDs02Nqs02NqqqqGR!cThIr]gF%rdXjMs.B><r4hn(rc%gCqVM:WrP&E<
+T:bZR!0I.dqJcIapV-^#qu?\goW\=ep2Kl#s0)KqnGiNMn8S2brh'.Nr1Eh)mpG@!rdX6qqLA:e
+s02F9s3Lk_T<PQt^B)]#rI4g>rilCK!Ip4/E;d$@d/EtETDEO)YQ;MCp&>#Rq-O,orK.&`k5PFr
+rLa";rG_O=q2kEErNQ:9!RRIfs*t~>
+j8T.aOSsY2Y[:a6rG_dDs02Nqs02NqqqqGR!cThIr]gF%rdXjMs.B><r4hn(rc%gCqVM:WrP&E<
+T:bZR!0I.dqJcIapV-^#qu?\goW\=ep2Kl#s0)KqnGiNMn8S2brh'.Nr1Eh)mpG@!rdX6qqLA:e
+s02F9s3Lk_T<PQt^B)]#rI4g>rilCK!Ip4/E;d$@d/EtETDEO)YQ;MCp&>#Rq-O,orK.&`k5PFr
+rLa";rG_O=q2kEErNQ:9!RRIfs*t~>
+j8T.aOSsY2Y[:a6rG_dDricNtYcsalqqqGRs)@ulr]^C%rI=dMrgs2;qnMh(rbqj6rEoHZ!3lF:
+!hZ]hnG`KMra,YtrG_^bpV-^#qYpPfo!&.dp2Ko$ricEq^\\!*TDjrAE;>UpT)auJTD<Hs?g)J,
+J*W3iJ,cbO^])R[TDl(n^]2X\E;b7dTDl(ociJWXr,DV=s3LbMrr2tjqJcA:s1e7,s,d%`rK.#_
+k5PFrrh'(,pL!`Xpn.Jgs1\T]T@3ai~>
+j8T.aOSsY2Y[:a6rG_dDricNtYcsalqqqGRs)@ulr]^C%rI=dMrgs2;qnMh(rbqj6rEoHZ!3lF:
+!hZ]hnG`KMra,YtrG_^bpV-^#qYpPfo!&.dp2Ko$ricEq^\\!*TDjrAE;>UpT)auJTD<Hs?g)J,
+J*W3iJ,cbO^])R[TDl(n^]2X\E;b7dTDl(ociJWXr,DV=s3LbMrr2tjqJcA:s1e7,s,d%`rK.#_
+k5PFrrh'(,pL!`Xpn.Jgs1\T]T@3ai~>
+j8T.aOSsY2Y[:a6rG_dDricNtYcsalqqqGRs)@ulr]^C%rI=dMrgs2;qnMh(rbqj6rEoHZ!3lF:
+!hZ]hnG`KMra,YtrG_^bpV-^#qYpPfo!&.dp2Ko$ricEq^\\!*TDjrAE;>UpT)auJTD<Hs?g)J,
+J*W3iJ,cbO^])R[TDl(n^]2X\E;b7dTDl(ociJWXr,DV=s3LbMrr2tjqJcA:s1e7,s,d%`rK.#_
+k5PFrrh'(,pL!`Xpn.Jgs1\T]T@3ai~>
+irB%?rdP$b?XHY.E;s;EYQ1<pYQ1<mhZ_C,s)9YGr]^C%rI=dMrh'5;r4hn(s)7s7rEoHZs02L;
+".ug%TCDj]OC.p)qg\@T!2',fnZW"col0f#ril!dqN1/bqN16>qJbq2m;VfLl&bIcs02I:s3Lab
+rI4g>rilCKs*k$1r,DY>rm:ZEs.B.,rNQ=:!3l.r!0I"`r/go^kPtBtpg<ulqN1NFqQU"7!2%[=
+J,~>
+irB%?rdP$b?XHY.E;s;EYQ1<pYQ1<mhZ_C,s)9YGr]^C%rI=dMrh'5;r4hn(s)7s7rEoHZs02L;
+".ug%TCDj]OC.p)qg\@T!2',fnZW"col0f#ril!dqN1/bqN16>qJbq2m;VfLl&bIcs02I:s3Lab
+rI4g>rilCKs*k$1r,DY>rm:ZEs.B.,rNQ=:!3l.r!0I"`r/go^kPtBtpg<ulqN1NFqQU"7!2%[=
+J,~>
+irB%?rdP$b?XHY.E;s;EYQ1<pYQ1<mhZ_C,s)9YGr]^C%rI=dMrh'5;r4hn(s)7s7rEoHZs02L;
+".ug%TCDj]OC.p)qg\@T!2',fnZW"col0f#ril!dqN1/bqN16>qJbq2m;VfLl&bIcs02I:s3Lab
+rI4g>rilCKs*k$1r,DY>rm:ZEs.B.,rNQ=:!3l.r!0I"`r/go^kPtBtpg<ulqN1NFqQU"7!2%[=
+J,~>
+ir9%`OSs\.?i4jC?iI;0TDu+qTD[UHd/X+IE%j!F5Q>^%J,HPNTE!:8^\.X+Du``6?i&X[Yl;E;
+TDu+qTCDj\?i+g?J+p\XTD8EeYeTk8s.B"(qOdbkr1EeHqlp*^mr8)an=TMqn6b^)o7,e^np^aK
+It+*iYl<#LIfPT.E;m*@d/EtETDEO)YlDK2s8S2\?N>'C?i6#cYjDDbE;O#9TDXfHTD5VjT@!Ug~>
+ir9%`OSs\.?i4jC?iI;0TDu+qTD[UHd/X+IE%j!F5Q>^%J,HPNTE!:8^\.X+Du``6?i&X[Yl;E;
+TDu+qTCDj\?i+g?J+p\XTD8EeYeTk8s.B"(qOdbkr1EeHqlp*^mr8)an=TMqn6b^)o7,e^np^aK
+It+*iYl<#LIfPT.E;m*@d/EtETDEO)YlDK2s8S2\?N>'C?i6#cYjDDbE;O#9TDXfHTD5VjT@!Ug~>
+ir9%`OSs\.?i4jC?iI;0TDu+qTD[UHd/X+IE%j!F5Q>^%J,HPNTE!:8^\.X+Du``6?i&X[Yl;E;
+TDu+qTCDj\?i+g?J+p\XTD8EeYeTk8s.B"(qOdbkr1EeHqlp*^mr8)an=TMqn6b^)o7,e^np^aK
+It+*iYl<#LIfPT.E;m*@d/EtETDEO)YlDK2s8S2\?N>'C?i6#cYjDDbE;O#9TDXfHTD5VjT@!Ug~>
+ir9(pOHBHk!l&)Lr,;XCrNHBrYcsbuhu1n&s)@rks$-O&rdXjMs.B;;r4hq)rbqj6rEoHZs02L;
+s.B=qnG`KMqf)F^pV-^#p](8trkJ95s.B"(qOdbk!M>JGYl13nORI/aOT(jPORo(EOSNka?h\O+
+J*E'gTCIC2OSj(rYlE)Ks8S_fE;d$?^\.X,OT'4t?i6#bYjqbfE;j54T)auKTD5VkJ"P'eJ,~>
+ir9(pOHBHk!l&)Lr,;XCrNHBrYcsbuhu1n&s)@rks$-O&rdXjMs.B;;r4hq)rbqj6rEoHZs02L;
+s.B=qnG`KMqf)F^pV-^#p](8trkJ95s.B"(qOdbk!M>JGYl13nORI/aOT(jPORo(EOSNka?h\O+
+J*E'gTCIC2OSj(rYlE)Ks8S_fE;d$?^\.X,OT'4t?i6#bYjqbfE;j54T)auKTD5VkJ"P'eJ,~>
+ir9(pOHBHk!l&)Lr,;XCrNHBrYcsbuhu1n&s)@rks$-O&rdXjMs.B;;r4hq)rbqj6rEoHZs02L;
+s.B=qnG`KMqf)F^pV-^#p](8trkJ95s.B"(qOdbk!M>JGYl13nORI/aOT(jPORo(EOSNka?h\O+
+J*E'gTCIC2OSj(rYlE)Ks8S_fE;d$?^\.X,OT'4t?i6#bYjqbfE;j54T)auKTD5VkJ"P'eJ,~>
+iVrq_OSs\/?i4mC?iI80TDl%sTASPqrQk]IE,[Kbr]^C%rI=dMrh'5;r4`69p&G&2s%r]%qqqFX
+rkJK*riknl!0I(sqg\CU!2&o`!Pbl;^\k>9TD!7#TCoG^TDt#@E;5OgTDalMT)auKE:702E9D`=
+OR&P1Iflq%d'3KK!2'+,rNQ:9o`"oQrc%dBr/gr_!<;A(l_"0kq4IMf!-%pecMrC~>
+iVrq_OSs\/?i4mC?iI80TDl%sTASPqrQk]IE,[Kbr]^C%rI=dMrh'5;r4`69p&G&2s%r]%qqqFX
+rkJK*riknl!0I(sqg\CU!2&o`!Pbl;^\k>9TD!7#TCoG^TDt#@E;5OgTDalMT)auKE:702E9D`=
+OR&P1Iflq%d'3KK!2'+,rNQ:9o`"oQrc%dBr/gr_!<;A(l_"0kq4IMf!-%pecMrC~>
+iVrq_OSs\/?i4mC?iI80TDl%sTASPqrQk]IE,[Kbr]^C%rI=dMrh'5;r4`69p&G&2s%r]%qqqFX
+rkJK*riknl!0I(sqg\CU!2&o`!Pbl;^\k>9TD!7#TCoG^TDt#@E;5OgTDalMT)auKE:702E9D`=
+OR&P1Iflq%d'3KK!2'+,rNQ:9o`"oQrc%dBr/gr_!<;A(l_"0kq4IMf!-%pecMrC~>
+iVrt`OHBHks'Gb&rG_dDricBpricBprUBd4"93<o0`F<:E;k@cYl:9od/C`ZYkJ+sE;rc6?i&[[
+YlDK<TDc"`rrA/YE;P.Z^Asnts8Th6Yku38TCm1"TDPk^TDjr@E;5OkTDalMTDalMTD<Ho?N>'*
+J+A]YT@eYVE9<eg^\aZ#YlA\@J'J"D~>
+iVrt`OHBHks'Gb&rG_dDricBpricBprUBd4"93<o0`F<:E;k@cYl:9od/C`ZYkJ+sE;rc6?i&[[
+YlDK<TDc"`rrA/YE;P.Z^Asnts8Th6Yku38TCm1"TDPk^TDjr@E;5OkTDalMTDalMTD<Ho?N>'*
+J+A]YT@eYVE9<eg^\aZ#YlA\@J'J"D~>
+iVrt`OHBHks'Gb&rG_dDricBpricBprUBd4"93<o0`F<:E;k@cYl:9od/C`ZYkJ+sE;rc6?i&[[
+YlDK<TDc"`rrA/YE;P.Z^Asnts8Th6Yku38TCm1"TDPk^TDjr@E;5OkTDalMTDalMTD<Ho?N>'*
+J+A]YT@eYVE9<eg^\aZ#YlA\@J'J"D~>
+iVrtoOHBHkra5SB!+5T,!2'5ZrQkTFE;hQk5Q>^%J,QVNTDm48^]1P4s8I!;;#Xi!huBq[^\j](
+J+3I<OSj(pJ,$bYTCDm\^AtM:^]0r!E;H4+YkXja^B1X$OR7#_OT(mOOSkaLOStgLOS<_^?g*"0
+OOKi]J,XE<TCfnrTDYqnE;Y40s*t~>
+iVrtoOHBHkra5SB!+5T,!2'5ZrQkTFE;hQk5Q>^%J,QVNTDm48^]1P4s8I!;;#Xi!huBq[^\j](
+J+3I<OSj(pJ,$bYTCDm\^AtM:^]0r!E;H4+YkXja^B1X$OR7#_OT(mOOSkaLOStgLOS<_^?g*"0
+OOKi]J,XE<TCfnrTDYqnE;Y40s*t~>
+iVrtoOHBHkra5SB!+5T,!2'5ZrQkTFE;hQk5Q>^%J,QVNTDm48^]1P4s8I!;;#Xi!huBq[^\j](
+J+3I<OSj(pJ,$bYTCDm\^AtM:^]0r!E;H4+YkXja^B1X$OR7#_OT(mOOSkaLOStgLOS<_^?g*"0
+OOKi]J,XE<TCfnrTDYqnE;Y40s*t~>
+i;Wh^OT'b/?i4jC?i@23T<PQH^]![#ciA%a0`OB;E;k@bYlC?qd/U?J^AtM3s8R'<;#Xi!hu9k[
+^\sc*Y^c-A!0I.uqg\@T!2&]Zs1\]@^V?D5ol0c"ril"/qQTs\mr/8VplP?ErK-uMpQ,B)pMfM,
+m=4>]Pb7EZrLa(nrc%aabQ!(~>
+i;Wh^OT'b/?i4jC?i@23T<PQH^]![#ciA%a0`OB;E;k@bYlC?qd/U?J^AtM3s8R'<;#Xi!hu9k[
+^\sc*Y^c-A!0I.uqg\@T!2&]Zs1\]@^V?D5ol0c"ril"/qQTs\mr/8VplP?ErK-uMpQ,B)pMfM,
+m=4>]Pb7EZrLa(nrc%aabQ!(~>
+i;Wh^OT'b/?i4jC?i@23T<PQH^]![#ciA%a0`OB;E;k@bYlC?qd/U?J^AtM3s8R'<;#Xi!hu9k[
+^\sc*Y^c-A!0I.uqg\@T!2&]Zs1\]@^V?D5ol0c"ril"/qQTs\mr/8VplP?ErK-uMpQ,B)pMfM,
+m=4>]Pb7EZrLa(nrc%aabQ!(~>
+i;WknOHBHks'P\C!+5]/!M?Uqd/EJ4ciA%a0`OB:E;tFcYl:9nYl2?:YkS1tE;i]6?i&[[YlDK9
+T)l0Gn,EBLrG_X`pqHj%OR<)I^B1X3TD!4(J,5f:Ykc'+Yl9aSE;b:]OT(mMOStgHOSs\-OS<_]
+?h/^+OIi*1^]0r+Yl/P=J&qY?~>
+i;WknOHBHks'P\C!+5]/!M?Uqd/EJ4ciA%a0`OB:E;tFcYl:9nYl2?:YkS1tE;i]6?i&[[YlDK9
+T)l0Gn,EBLrG_X`pqHj%OR<)I^B1X3TD!4(J,5f:Ykc'+Yl9aSE;b:]OT(mMOStgHOSs\-OS<_]
+?h/^+OIi*1^]0r+Yl/P=J&qY?~>
+i;WknOHBHks'P\C!+5]/!M?Uqd/EJ4ciA%a0`OB:E;tFcYl:9nYl2?:YkS1tE;i]6?i&[[YlDK9
+T)l0Gn,EBLrG_X`pqHj%OR<)I^B1X3TD!4(J,5f:Ykc'+Yl9aSE;b:]OT(mMOStgHOSs\-OS<_]
+?h/^+OIi*1^]0r+Yl/P=J&qY?~>
+huE_<rdXrTqeuOBricBprQtK3rQkO`r\4@:s)@serNQ9nr36.7s02:urc%m6ra5Q[s02L;r1="o
+J+*C;OSs.rJ+p_XTBlLY^Rq.mE;k@`TDl(o^[A?*ORmGhJ+o'(T)auOTD4NGJ,GE-T)auIE9:O+
+J)ZQdTDn?C^Aso(E;b:*s*t~>
+huE_<rdXrTqeuOBricBprQtK3rQkO`r\4@:s)@serNQ9nr36.7s02:urc%m6ra5Q[s02L;r1="o
+J+*C;OSs.rJ+p_XTBlLY^Rq.mE;k@`TDl(o^[A?*ORmGhJ+o'(T)auOTD4NGJ,GE-T)auIE9:O+
+J)ZQdTDn?C^Aso(E;b:*s*t~>
+huE_<rdXrTqeuOBricBprQtK3rQkO`r\4@:s)@serNQ9nr36.7s02:urc%m6ra5Q[s02L;r1="o
+J+*C;OSs.rJ+p_XTBlLY^Rq.mE;k@`TDl(o^[A?*ORmGhJ+o'(T)auOTD4NGJ,GE-T)auIE9:O+
+J)ZQdTDn?C^Aso(E;b:*s*t~>
+hu<h`OH=sAra5SB!ai19qp5>Xr:'^4!-%oks$-O&rdXmNrh'+mr4i99q#CA5s%r]%qqqCWs1eH'
+!O.(Bs8?p6J,$eYT)au<s8S_eE;b:^TBrf\d/K."E;>"YOSkaGOSjV+OStgKOS3YV?iG$+ORSn7
+Yh5T7nG_>1^]&`]E;k@(s*t~>
+hu<h`OH=sAra5SB!ai19qp5>Xr:'^4!-%oks$-O&rdXmNrh'+mr4i99q#CA5s%r]%qqqCWs1eH'
+!O.(Bs8?p6J,$eYT)au<s8S_eE;b:^TBrf\d/K."E;>"YOSkaGOSjV+OStgKOS3YV?iG$+ORSn7
+Yh5T7nG_>1^]&`]E;k@(s*t~>
+hu<h`OH=sAra5SB!ai19qp5>Xr:'^4!-%oks$-O&rdXmNrh'+mr4i99q#CA5s%r]%qqqCWs1eH'
+!O.(Bs8?p6J,$eYT)au<s8S_eE;b:^TBrf\d/K."E;>"YOSkaGOSjV+OStgKOS3YV?iG$+ORSn7
+Yh5T7nG_>1^]&`]E;k@(s*t~>
+hu<hoOH=sAplP9tr:'^4!-%oks$-L%s*t!Orgs0tr36+6!3l7us)@s6ra5Q[s02O<!.Xm<!O.(B
+s8?p7J+p\[T9,/,li7!Wqf)F^q4IPgp<`T=rfHknpOE%$qk*_Hr."[,!3lEoq2kT*ol08)pi,P\
+n=T3So$Hpr!8m,3qVU_Uqg\TardV``J,~>
+hu<hoOH=sAplP9tr:'^4!-%oks$-L%s*t!Orgs0tr36+6!3l7us)@s6ra5Q[s02O<!.Xm<!O.(B
+s8?p7J+p\[T9,/,li7!Wqf)F^q4IPgp<`T=rfHknpOE%$qk*_Hr."[,!3lEoq2kT*ol08)pi,P\
+n=T3So$Hpr!8m,3qVU_Uqg\TardV``J,~>
+hu<hoOH=sAplP9tr:'^4!-%oks$-L%s*t!Orgs0tr36+6!3l7us)@s6ra5Q[s02O<!.Xm<!O.(B
+s8?p7J+p\[T9,/,li7!Wqf)F^q4IPgp<`T=rfHknpOE%$qk*_Hr."[,!3lEoq2kT*ol08)pi,P\
+n=T3So$Hpr!8m,3qVU_Uqg\TardV``J,~>
+hZ*S:!Iq?LOSI0&^\mU$ciA%`0E=?:E;tFcYl:9lYl2?:Yke=uE;rc6?i/a[YlDH<J,Q#>O9)S8
+nGiH+qg\CUs.B:Pli7!Wr,DL^q4I\kq9\Z9rfHqpoRHh$pn.PIr."[,s02Hoq2kT*s.B:P!2&n&
+o3_$,nW<74nZ_Q1o^Mh:n*p&.o=t$Ls)A!f^&NT~>
+hZ*S:!Iq?LOSI0&^\mU$ciA%`0E=?:E;tFcYl:9lYl2?:Yke=uE;rc6?i/a[YlDH<J,Q#>O9)S8
+nGiH+qg\CUs.B:Pli7!Wr,DL^q4I\kq9\Z9rfHqpoRHh$pn.PIr."[,s02Hoq2kT*s.B:P!2&n&
+o3_$,nW<74nZ_Q1o^Mh:n*p&.o=t$Ls)A!f^&NT~>
+hZ*S:!Iq?LOSI0&^\mU$ciA%`0E=?:E;tFcYl:9lYl2?:Yke=uE;rc6?i/a[YlDH<J,Q#>O9)S8
+nGiH+qg\CUs.B:Pli7!Wr,DL^q4I\kq9\Z9rfHqpoRHh$pn.PIr."[,s02Hoq2kT*s.B:P!2&n&
+o3_$,nW<74nZ_Q1o^Mh:n*p&.o=t$Ls)A!f^&NT~>
+hZ!__OH=sAplP<u!5JI$s3Udbr\4@:s)A!fr360m!+5W-rP/B:q>^J6r_WW%qqqCWs1eSQqiLi-
+nGiH+r."IU!2'1Nm/I'Xr,DI]q4I/\!7:P6rK-nqs'PDJ!0HlGr."^-ril?nq2kT*s.B:P!2'4o
+!0HhlpL!-'qN13=nZ_Q1p[J%:oC2>.pqQ?K!2'8*^Ai]~>
+hZ!__OH=sAplP<u!5JI$s3Udbr\4@:s)A!fr360m!+5W-rP/B:q>^J6r_WW%qqqCWs1eSQqiLi-
+nGiH+r."IU!2'1Nm/I'Xr,DI]q4I/\!7:P6rK-nqs'PDJ!0HlGr."^-ril?nq2kT*s.B:P!2'4o
+!0HhlpL!-'qN13=nZ_Q1p[J%:oC2>.pqQ?K!2'8*^Ai]~>
+hZ!__OH=sAplP<u!5JI$s3Udbr\4@:s)A!fr360m!+5W-rP/B:q>^J6r_WW%qqqCWs1eSQqiLi-
+nGiH+r."IU!2'1Nm/I'Xr,DI]q4I/\!7:P6rK-nqs'PDJ!0HlGr."^-ril?nq2kT*s.B:P!2'4o
+!0HhlpL!-'qN13=nZ_Q1p[J%:oC2>.pqQ?K!2'8*^Ai]~>
+hZ!Sjrf@,0plP9t!3lCjs3Labr\4@:rc%merNQ9ns'P].r4i99qZ$S7r_WT$r87IW!5JMPqiCiN
+J+<R;E;P.Z^Aso'OR<&JTDW[(J,5f:Yl<#?TDJTeOSj(r?hJp@TDsE>OT)K_TD=TJJ,c/?OT3]+
+Yl9a`d.D;T?f>ttJ,>l.Yjp*:nFti8nEo-3^[Q^Q0`@XC^V9_u~>
+hZ!Sjrf@,0plP9t!3lCjs3Labr\4@:rc%merNQ9ns'P].r4i99qZ$S7r_WT$r87IW!5JMPqiCiN
+J+<R;E;P.Z^Aso'OR<&JTDW[(J,5f:Yl<#?TDJTeOSj(r?hJp@TDsE>OT)K_TD=TJJ,c/?OT3]+
+Yl9a`d.D;T?f>ttJ,>l.Yjp*:nFti8nEo-3^[Q^Q0`@XC^V9_u~>
+hZ!Sjrf@,0plP9t!3lCjs3Labr\4@:rc%merNQ9ns'P].r4i99qZ$S7r_WT$r87IW!5JMPqiCiN
+J+<R;E;P.Z^Aso'OR<&JTDW[(J,5f:Yl<#?TDJTeOSj(r?hJp@TDsE>OT)K_TD=TJJ,c/?OT3]+
+Yl9a`d.D;T?f>ttJ,>l.Yjp*:nFti8nEo-3^[Q^Q0`@XC^V9_u~>
+h>[_aOH=sAOH?^DOSR6'^\mU$ciA%`0E=?:E;tFdYl:9p?i.)+^]1P7s8I!:;#ao"hu9k[^]&3L
+O9(u'nc/Q,r."IU!2'+L!2&]Z!2'1.q1&75rik\f!O/3pOT0:s?hAj?TDsuQTDl(nTD=TJJ,c/?
+OT3]+Yl0[_d/T^=d'1u<l@8Q4n^.7(o\]T9p#"h[s"O;ArP-,IJ,~>
+h>[_aOH=sAOH?^DOSR6'^\mU$ciA%`0E=?:E;tFdYl:9p?i.)+^]1P7s8I!:;#ao"hu9k[^]&3L
+O9(u'nc/Q,r."IU!2'+L!2&]Z!2'1.q1&75rik\f!O/3pOT0:s?hAj?TDsuQTDl(nTD=TJJ,c/?
+OT3]+Yl0[_d/T^=d'1u<l@8Q4n^.7(o\]T9p#"h[s"O;ArP-,IJ,~>
+h>[_aOH=sAOH?^DOSR6'^\mU$ciA%`0E=?:E;tFdYl:9p?i.)+^]1P7s8I!:;#ao"hu9k[^]&3L
+O9(u'nc/Q,r."IU!2'+L!2&]Z!2'1.q1&75rik\f!O/3pOT0:s?hAj?TDsuQTDl(nTD=TJJ,c/?
+OT3]+Yl0[_d/T^=d'1u<l@8Q4n^.7(o\]T9p#"h[s"O;ArP-,IJ,~>
+h>[Jirf@,0plP9t!3lCj!RPfa0E=?:E;tFdYl13o?i.)+^]1P7s8R';;#ao"hu0bZ^\r-KO9(u'
+o)JZ-qg\@T!2'+L!2&]Z!0I+tq1&75rikhjrgs2*rilB`!-%a@oRHM*ril?nq2kT*s.B:Ps3U_K
+rK.$*rgsDAYgC/"d*Vd,s3U^`p0[0*iIC?Ya++(BrkJ6#rkH5JJ,~>
+h>[Jirf@,0plP9t!3lCj!RPfa0E=?:E;tFdYl13o?i.)+^]1P7s8R';;#ao"hu0bZ^\r-KO9(u'
+o)JZ-qg\@T!2'+L!2&]Z!0I+tq1&75rikhjrgs2*rilB`!-%a@oRHM*ril?nq2kT*s.B:Ps3U_K
+rK.$*rgsDAYgC/"d*Vd,s3U^`p0[0*iIC?Ya++(BrkJ6#rkH5JJ,~>
+h>[Jirf@,0plP9t!3lCj!RPfa0E=?:E;tFdYl13o?i.)+^]1P7s8R';;#ao"hu0bZ^\r-KO9(u'
+o)JZ-qg\@T!2'+L!2&]Z!0I+tq1&75rikhjrgs2*rilB`!-%a@oRHM*ril?nq2kT*s.B:Ps3U_K
+rK.$*rgsDAYgC/"d*Vd,s3U^`p0[0*iIC?Ya++(BrkJ6#rkH5JJ,~>
+h>[Jirf@84Y`OsNr/g^#!3l@is)@rks$-L%!.XpNrh'0sqlp%6s02D#s)@p5s'P]]rNH::r,DOp
+!M=l4s8?p7J+gYWE;,IbrrJaRr,DI]rL`tkoD\fprgs2*qQTs\!.XcNoRHA&q2kT*s.B:Ps3U\J
+rfI**s.9MBYgC/"d*Va+q9T,6nR(s.i.(?[aFF4Dr;Zc2pn.N"_#Jo~>
+h>[Jirf@84Y`OsNr/g^#!3l@is)@rks$-L%!.XpNrh'0sqlp%6s02D#s)@p5s'P]]rNH::r,DOp
+!M=l4s8?p7J+gYWE;,IbrrJaRr,DI]rL`tkoD\fprgs2*qQTs\!.XcNoRHA&q2kT*s.B:Ps3U\J
+rfI**s.9MBYgC/"d*Va+q9T,6nR(s.i.(?[aFF4Dr;Zc2pn.N"_#Jo~>
+h>[Jirf@84Y`OsNr/g^#!3l@is)@rks$-L%!.XpNrh'0sqlp%6s02D#s)@p5s'P]]rNH::r,DOp
+!M=l4s8?p7J+gYWE;,IbrrJaRr,DI]rL`tkoD\fprgs2*qQTs\!.XcNoRHA&q2kT*s.B:Ps3U\J
+rfI**s.9MBYgC/"d*Va+q9T,6nR(s.i.(?[aFF4Dr;Zc2pn.N"_#Jo~>
+h#@AYrf@,0plP<u!Pbl:n,^mTr@e49rbqjer360mrEoK,rP/?9r;Ze9rD<N$qqq@V!5JGNqiLiM
+oDec.qg\@T!2'70ooSkH!0I(sqLAO;posMmrh'5*qlp(7s02NbrdX]MoRHJ)q2kW+rh'4P!3lIL
+rNQ9_rQtS:#LK^%d(d?Bd/LfVciLAtrh'4ps1e,3qJbABpQ3LHr\4*HrkJH)s1eQ;rm1Y[_#Jo~>
+h#@AYrf@,0plP<u!Pbl:n,^mTr@e49rbqjer360mrEoK,rP/?9r;Ze9rD<N$qqq@V!5JGNqiLiM
+oDec.qg\@T!2'70ooSkH!0I(sqLAO;posMmrh'5*qlp(7s02NbrdX]MoRHJ)q2kW+rh'4P!3lIL
+rNQ9_rQtS:#LK^%d(d?Bd/LfVciLAtrh'4ps1e,3qJbABpQ3LHr\4*HrkJH)s1eQ;rm1Y[_#Jo~>
+h#@AYrf@,0plP<u!Pbl:n,^mTr@e49rbqjer360mrEoK,rP/?9r;Ze9rD<N$qqq@V!5JGNqiLiM
+oDec.qg\@T!2'70ooSkH!0I(sqLAO;posMmrh'5*qlp(7s02NbrdX]MoRHJ)q2kW+rh'4P!3lIL
+rNQ9_rQtS:#LK^%d(d?Bd/LfVciLAtrh'4ps1e,3qJbABpQ3LHr\4*HrkJH)s1eQ;rm1Y[_#Jo~>
+h#@Ahrf@84Y`OsNr/g^#!3l@i!-%lj!'gI%s*t!Orh'-rqlp%6s02D#s)@p5!+5W\rNH::qf)Fo
+s.Ao_rG_[ap:gU"qf)4iq#:>Ur,DI]p9=Jp!jJ;hrkJB8r4i-5r."KKomcV+qN1`,rh'4P!3lIL
+rNQ9_rQtS:#LK^%d(d?Bd/C`VcigT"d%?s0Yl)6;d(b)$?f-A1ONE"P0_58C^]0r*^](J8d)#a4~>
+h#@Ahrf@84Y`OsNr/g^#!3l@i!-%lj!'gI%s*t!Orh'-rqlp%6s02D#s)@p5!+5W\rNH::qf)Fo
+s.Ao_rG_[ap:gU"qf)4iq#:>Ur,DI]p9=Jp!jJ;hrkJB8r4i-5r."KKomcV+qN1`,rh'4P!3lIL
+rNQ9_rQtS:#LK^%d(d?Bd/C`VcigT"d%?s0Yl)6;d(b)$?f-A1ONE"P0_58C^]0r*^](J8d)#a4~>
+h#@Ahrf@84Y`OsNr/g^#!3l@i!-%lj!'gI%s*t!Orh'-rqlp%6s02D#s)@p5!+5W\rNH::qf)Fo
+s.Ao_rG_[ap:gU"qf)4iq#:>Ur,DI]p9=Jp!jJ;hrkJB8r4i-5r."KKomcV+qN1`,rh'4P!3lIL
+rNQ9_rQtS:#LK^%d(d?Bd/C`VcigT"d%?s0Yl)6;d(b)$?f-A1ONE"P0_58C^]0r*^](J8d)#a4~>
+g].56"+QDoYl'UXciLncr9s]*r@e49rGVadrNQ6mrEoH+rP/B:r;Ze9rD<N$r87IW!5JALqiLiM
+o`+l/qg\=SpMfhfqYpPWr,DI]os"FfrkJB8r4hs0rI=TLo7-G*rK.&/rh'4P!3lILr363_rQtS:
+s3LeNd/Lf[d/LfVciLAtrh'4pqnE9\^Rq.&rh'4prkIu1l@8hqc[Yskr'(08mf*:6q7ls6r6W:[
+J,~>
+g].56"+QDoYl'UXciLncr9s]*r@e49rGVadrNQ6mrEoH+rP/B:r;Ze9rD<N$r87IW!5JALqiLiM
+o`+l/qg\=SpMfhfqYpPWr,DI]os"FfrkJB8r4hs0rI=TLo7-G*rK.&/rh'4P!3lILr363_rQtS:
+s3LeNd/Lf[d/LfVciLAtrh'4pqnE9\^Rq.&rh'4prkIu1l@8hqc[Yskr'(08mf*:6q7ls6r6W:[
+J,~>
+g].56"+QDoYl'UXciLncr9s]*r@e49rGVadrNQ6mrEoH+rP/B:r;Ze9rD<N$r87IW!5JALqiLiM
+o`+l/qg\=SpMfhfqYpPWr,DI]os"FfrkJB8r4hs0rI=TLo7-G*rK.&/rh'4P!3lILr363_rQtS:
+s3LeNd/Lf[d/LfVciLAtrh'4pqnE9\^Rq.&rh'4prkIu1l@8hqc[Yskr'(08mf*:6q7ls6r6W:[
+J,~>
+g]%8grf@84Y`OsNr/ga$!l(tDrU9f+r%J+8rbqjerNQ6mr*T?*rP/B:rVun:r(mB#qqq@V!5JAL
+qiLiM!.X\ArG_[ap:gU"q1&<]p5o7Q!0I+tq1&+BrkJE9qS2d/s1eQ[rI=TLnpgA*!g%n]rh'4P
+"44:!d/:-IOT!Q+T*N`Id*TPBd*Va+qp>AI!7:_;s02F9s3Lk_T:`@eTDu.o^B;j_s.B7/!Ipa-
+?hR=OJ,N4@5NVq@^](J9d)#a4~>
+g]%8grf@84Y`OsNr/ga$!l(tDrU9f+r%J+8rbqjerNQ6mr*T?*rP/B:rVun:r(mB#qqq@V!5JAL
+qiLiM!.X\ArG_[ap:gU"q1&<]p5o7Q!0I+tq1&+BrkJE9qS2d/s1eQ[rI=TLnpgA*!g%n]rh'4P
+"44:!d/:-IOT!Q+T*N`Id*TPBd*Va+qp>AI!7:_;s02F9s3Lk_T:`@eTDu.o^B;j_s.B7/!Ipa-
+?hR=OJ,N4@5NVq@^](J9d)#a4~>
+g]%8grf@84Y`OsNr/ga$!l(tDrU9f+r%J+8rbqjerNQ6mr*T?*rP/B:rVun:r(mB#qqq@V!5JAL
+qiLiM!.X\ArG_[ap:gU"q1&<]p5o7Q!0I+tq1&+BrkJE9qS2d/s1eQ[rI=TLnpgA*!g%n]rh'4P
+"44:!d/:-IOT!Q+T*N`Id*TPBd*Va+qp>AI!7:_;s02F9s3Lk_T:`@eTDu.o^B;j_s.B7/!Ipa-
+?hR=OJ,N4@5NVq@^](J9d)#a4~>
+g]%8grK%,cOH?^EOSI3&Yl*tjE;_Hj5Q5U%J,HPLTD`-oYl2?9Yl4V%E;`T5?i/aZYQ;LGqJc=n
+s.9:@pAb)1qg\=SnUCOXoT8uiq1&"?qS2d/rkJ<VrI=TLnpg8's,[9.Yl<#JYl9a_d/T^?d'1mD
+rkJK[rP/6V!jL%urh'4pr4`E^^V?D5Yl:6pYl)6<d/X-<rGVadrLa)9!5JO5!.WBm!'g?WrBL<h
+r/^o_j8].o!7:YYril=I_Z,,~>
+g]%8grK%,cOH?^EOSI3&Yl*tjE;_Hj5Q5U%J,HPLTD`-oYl2?9Yl4V%E;`T5?i/aZYQ;LGqJc=n
+s.9:@pAb)1qg\=SnUCOXoT8uiq1&"?qS2d/rkJ<VrI=TLnpg8's,[9.Yl<#JYl9a_d/T^?d'1mD
+rkJK[rP/6V!jL%urh'4pr4`E^^V?D5Yl:6pYl)6<d/X-<rGVadrLa)9!5JO5!.WBm!'g?WrBL<h
+r/^o_j8].o!7:YYril=I_Z,,~>
+g]%8grK%,cOH?^EOSI3&Yl*tjE;_Hj5Q5U%J,HPLTD`-oYl2?9Yl4V%E;`T5?i/aZYQ;LGqJc=n
+s.9:@pAb)1qg\=SnUCOXoT8uiq1&"?qS2d/rkJ<VrI=TLnpg8's,[9.Yl<#JYl9a_d/T^?d'1mD
+rkJK[rP/6V!jL%urh'4pr4`E^^V?D5Yl:6pYl)6<d/X-<rGVadrLa)9!5JO5!.WBm!'g?WrBL<h
+r/^o_j8].o!7:YYril=I_Z,,~>
+gA_/Wrf@84Y`OsNr/ga$!l(tDrU9f+r@e49rG_\=rLX(OrEoH+rP/B:rVun:r(mB#r87FVs'PVA
+qiLfLpAb)1r."CSm!ni'!0I+tq1&+BqS2g0rkJ*PrdX]MnpgA*"-EQ0Yl<#JYl9a_d/T^=d'3Mr
+s1eT\rP/6Vs0)LMrh'4pqnN0X"2CJ#Yl:6pYl)6<d/X-<rGVadrLa)9!5JO5rdXlcrNH:Kl;7.<
+!Dl#ZrrA\jJ,E[OOT2QFrrKm]qnN08rQkQ%_Z,,~>
+gA_/Wrf@84Y`OsNr/ga$!l(tDrU9f+r@e49rG_\=rLX(OrEoH+rP/B:rVun:r(mB#r87FVs'PVA
+qiLfLpAb)1r."CSm!ni'!0I+tq1&+BqS2g0rkJ*PrdX]MnpgA*"-EQ0Yl<#JYl9a_d/T^=d'3Mr
+s1eT\rP/6Vs0)LMrh'4pqnN0X"2CJ#Yl:6pYl)6<d/X-<rGVadrLa)9!5JO5rdXlcrNH:Kl;7.<
+!Dl#ZrrA\jJ,E[OOT2QFrrKm]qnN08rQkQ%_Z,,~>
+gA_/Wrf@84Y`OsNr/ga$!l(tDrU9f+r@e49rG_\=rLX(OrEoH+rP/B:rVun:r(mB#r87FVs'PVA
+qiLfLpAb)1r."CSm!ni'!0I+tq1&+BqS2g0rkJ*PrdX]MnpgA*"-EQ0Yl<#JYl9a_d/T^=d'3Mr
+s1eT\rP/6Vs0)LMrh'4pqnN0X"2CJ#Yl:6pYl)6<d/X-<rGVadrLa)9!5JO5rdXlcrNH:Kl;7.<
+!Dl#ZrrA\jJ,E[OOT2QFrrKm]qnN08rQkQ%_Z,,~>
+gA_/frK%,cOH?^EOSI3&Yl4%kE;VEiE;j5BYl:6pOSiJ_Yl2?:Yl=\&E;WN4?i/aZYQDRH?i"a=
+OT(mHs8?p6J,-kYYjHr6OT'5!?ho3FYl;E4Yl;E2ciCiXd/JOi?h/^?T)c+pd/:-JOSmH,T?shA
+d/Lf[d/C`Wd/L6Ld/K[;Yl)98d/KX;Yl:6pYl2?:d/X+GTD`^/J,Q#=ciCi[s8INHE;d$?d/!\C
+T5\cI?i6Mr^[V:'TDj?<?i5ucYiG`a^X2kms02FJ_Z,,~>
+gA_/frK%,cOH?^EOSI3&Yl4%kE;VEiE;j5BYl:6pOSiJ_Yl2?:Yl=\&E;WN4?i/aZYQDRH?i"a=
+OT(mHs8?p6J,-kYYjHr6OT'5!?ho3FYl;E4Yl;E2ciCiXd/JOi?h/^?T)c+pd/:-JOSmH,T?shA
+d/Lf[d/C`Wd/L6Ld/K[;Yl)98d/KX;Yl:6pYl2?:d/X+GTD`^/J,Q#=ciCi[s8INHE;d$?d/!\C
+T5\cI?i6Mr^[V:'TDj?<?i5ucYiG`a^X2kms02FJ_Z,,~>
+gA_/frK%,cOH?^EOSI3&Yl4%kE;VEiE;j5BYl:6pOSiJ_Yl2?:Yl=\&E;WN4?i/aZYQDRH?i"a=
+OT(mHs8?p6J,-kYYjHr6OT'5!?ho3FYl;E4Yl;E2ciCiXd/JOi?h/^?T)c+pd/:-JOSmH,T?shA
+d/Lf[d/C`Wd/L6Ld/K[;Yl)98d/KX;Yl:6pYl2?:d/X+GTD`^/J,Q#=ciCi[s8INHE;d$?d/!\C
+T5\cI?i6Mr^[V:'TDj?<?i5ucYiG`a^X2kms02FJ_Z,,~>
+gA_/frK%/3OH?]NrK-g$rilCk!-%ljru_2Hr36-l!0I+cqlp(7rilD%s)@m4qqq=Ura5M@q2bT+
+p](22qg\OYs7#ukmsjtk!-%mDq1%k;r4i$Rs1e9Ss*sfNnUL5(!7:\Ks,d0*!2'/8s1eT\rP/6V
+ricCLrh'4pr4`<[^X2tP!3lHp!3lF:s3UfG!2'4/!.Xs>rm1Y[rr;tIrG__>rm:K@!2'70rEoJp
+!5J"&!2'7?r*TA`s01Sas3UVW!3lCJ_Z,,~>
+gA_/frK%/3OH?]NrK-g$rilCk!-%ljru_2Hr36-l!0I+cqlp(7rilD%s)@m4qqq=Ura5M@q2bT+
+p](22qg\OYs7#ukmsjtk!-%mDq1%k;r4i$Rs1e9Ss*sfNnUL5(!7:\Ks,d0*!2'/8s1eT\rP/6V
+ricCLrh'4pr4`<[^X2tP!3lHp!3lF:s3UfG!2'4/!.Xs>rm1Y[rr;tIrG__>rm:K@!2'70rEoJp
+!5J"&!2'7?r*TA`s01Sas3UVW!3lCJ_Z,,~>
+gA_/frK%/3OH?]NrK-g$rilCk!-%ljru_2Hr36-l!0I+cqlp(7rilD%s)@m4qqq=Ura5M@q2bT+
+p](22qg\OYs7#ukmsjtk!-%mDq1%k;r4i$Rs1e9Ss*sfNnUL5(!7:\Ks,d0*!2'/8s1eT\rP/6V
+ricCLrh'4pr4`<[^X2tP!3lHp!3lF:s3UfG!2'4/!.Xs>rm1Y[rr;tIrG__>rm:K@!2'70rEoJp
+!5J"&!2'7?r*TA`s01Sas3UVW!3lCJ_Z,,~>
+g&D&VrK%,cOH?^EOSR6)^Tas@n,RG*+8fLDYl:6qs,d1dqlp%6rilG&s)@m4!+5Z]r36*+qf)@m
+s*skErG_X`rkJC#rNPjSs*s[&qd9/Ko<A/-psB&Up<Wf3rVunIpg<Q@oq28gs,d0*s.9>=Yl<#K
+^AuXY^\cCXYQ3&KT)c+m^B2d^^]'i*Yl:6pYl2?:d/X+GOSs+uJ,Q#=ciCi[s8INHE;Zs?d/!_A
+TDrm.?i?Vs^[V:'TDj?<?i?)dYiGc`d/1QXYkuebs*t~>
+g&D&VrK%,cOH?^EOSR6)^Tas@n,RG*+8fLDYl:6qs,d1dqlp%6rilG&s)@m4!+5Z]r36*+qf)@m
+s*skErG_X`rkJC#rNPjSs*s[&qd9/Ko<A/-psB&Up<Wf3rVunIpg<Q@oq28gs,d0*s.9>=Yl<#K
+^AuXY^\cCXYQ3&KT)c+m^B2d^^]'i*Yl:6pYl2?:d/X+GOSs+uJ,Q#=ciCi[s8INHE;Zs?d/!_A
+TDrm.?i?Vs^[V:'TDj?<?i?)dYiGc`d/1QXYkuebs*t~>
+g&D&VrK%,cOH?^EOSR6)^Tas@n,RG*+8fLDYl:6qs,d1dqlp%6rilG&s)@m4!+5Z]r36*+qf)@m
+s*skErG_X`rkJC#rNPjSs*s[&qd9/Ko<A/-psB&Up<Wf3rVunIpg<Q@oq28gs,d0*s.9>=Yl<#K
+^AuXY^\cCXYQ3&KT)c+m^B2d^^]'i*Yl:6pYl2?:d/X+GOSs+uJ,Q#=ciCi[s8INHE;Zs?d/!_A
+TDrm.?i?Vs^[V:'TDj?<?i?)dYiGc`d/1QXYkuebs*t~>
+g&D&erK%/dOH?]NrK-g$!hZ^$rpTo;r#biDr36-l!0I+cqlp%6s02P's)@j3r87CUr*T>?q2kW+
+q>^D4qg\G2rikmRoUc,Fqd9/Kp9=M1q9],UpWro4q#:EBIt.6#npg8'!0I-*!h[iDrQtSZs3U_Z
+qp>>H!7:\:!3l=7!WTq6T)c+pT)c+o^AuX[rrA/ZDubCdTDm1;Yl=\%J,O?aYl<#FrrSg3E;X)@
+T)cXprrA\jJ,E[OOT2QGs8UIB^AtM9d)5m6~>
+g&D&erK%/dOH?]NrK-g$!hZ^$rpTo;r#biDr36-l!0I+cqlp%6s02P's)@j3r87CUr*T>?q2kW+
+q>^D4qg\G2rikmRoUc,Fqd9/Kp9=M1q9],UpWro4q#:EBIt.6#npg8'!0I-*!h[iDrQtSZs3U_Z
+qp>>H!7:\:!3l=7!WTq6T)c+pT)c+o^AuX[rrA/ZDubCdTDm1;Yl=\%J,O?aYl<#FrrSg3E;X)@
+T)cXprrA\jJ,E[OOT2QGs8UIB^AtM9d)5m6~>
+g&D&erK%/dOH?]NrK-g$!hZ^$rpTo;r#biDr36-l!0I+cqlp%6s02P's)@j3r87CUr*T>?q2kW+
+q>^D4qg\G2rikmRoUc,Fqd9/Kp9=M1q9],UpWro4q#:EBIt.6#npg8'!0I-*!h[iDrQtSZs3U_Z
+qp>>H!7:\:!3l=7!WTq6T)c+pT)c+o^AuX[rrA/ZDubCdTDm1;Yl=\%J,O?aYl<#FrrSg3E;X)@
+T)cXprrA\jJ,E[OOT2QGs8UIB^AtM9d)5m6~>
+g&D&er/_#bOKbtfOSI0&^](J:n,P]N+8oOH^\tD8T)ntRr*T?*s1eN:s8W+<r)!:Jr3-0Nr*T>?
+plPN*qu?V6rI=fcqXFHfnW<F9s0)Kbqd9/Kp94P3qp>;Vps9#5pAb0>!Pd"\J,!CDJ,PK$TDm1>
+T?shBrm:YZ!7:YYr6PHDricCLrh'4pr4`?\s3SOWT)c+o^AuX[rrA/ZE;Z@-ciC<Ks8RTIE;Zs>
+d/!_ATDrm/?i6Mr^[M4&TDsB@OSrPaOT2QGs8UIB^AtM:ciDt@s*t~>
+g&D&er/_#bOKbtfOSI0&^](J:n,P]N+8oOH^\tD8T)ntRr*T?*s1eN:s8W+<r)!:Jr3-0Nr*T>?
+plPN*qu?V6rI=fcqXFHfnW<F9s0)Kbqd9/Kp94P3qp>;Vps9#5pAb0>!Pd"\J,!CDJ,PK$TDm1>
+T?shBrm:YZ!7:YYr6PHDricCLrh'4pr4`?\s3SOWT)c+o^AuX[rrA/ZE;Z@-ciC<Ks8RTIE;Zs>
+d/!_ATDrm/?i6Mr^[M4&TDsB@OSrPaOT2QGs8UIB^AtM:ciDt@s*t~>
+g&D&er/_#bOKbtfOSI0&^](J:n,P]N+8oOH^\tD8T)ntRr*T?*s1eN:s8W+<r)!:Jr3-0Nr*T>?
+plPN*qu?V6rI=fcqXFHfnW<F9s0)Kbqd9/Kp94P3qp>;Vps9#5pAb0>!Pd"\J,!CDJ,PK$TDm1>
+T?shBrm:YZ!7:YYr6PHDricCLrh'4pr4`?\s3SOWT)c+o^AuX[rrA/ZE;Z@-ciC<Ks8RTIE;Zs>
+d/!_ATDrm/?i6Mr^[M4&TDsB@OSrPaOT2QGs8UIB^AtM:ciDt@s*t~>
+f`(rdrK%/dOH?]NrK-j%"2CJ4Yl=+lJ,CDd?i7/-TE"okOSrP`YQ1<mYQFiDE;NK1hZ2%#YQ01N
+?i"a:O8se-s8?p:J,F9^nGTT^OSPOFYQ0d^?ho3FYl<#J^\Q4VTCi0`d/UlZd/JOi?h]'IORo+E
+ciF+Ed/Lc[d/C`WcijBqYcuLQT)c+m^BW'bd(c3FYl10oYl2<>d/X--OSs.rTDm1;Yl4V%J,F9a
+Yl<#Fs8S_kE;a/ATDu[prr\mCOHBBIr/gr_jo>A-q7ljS_uG5~>
+f`(rdrK%/dOH?]NrK-j%"2CJ4Yl=+lJ,CDd?i7/-TE"okOSrP`YQ1<mYQFiDE;NK1hZ2%#YQ01N
+?i"a:O8se-s8?p:J,F9^nGTT^OSPOFYQ0d^?ho3FYl<#J^\Q4VTCi0`d/UlZd/JOi?h]'IORo+E
+ciF+Ed/Lc[d/C`WcijBqYcuLQT)c+m^BW'bd(c3FYl10oYl2<>d/X--OSs.rTDm1;Yl4V%J,F9a
+Yl<#Fs8S_kE;a/ATDu[prr\mCOHBBIr/gr_jo>A-q7ljS_uG5~>
+f`(rdrK%/dOH?]NrK-j%"2CJ4Yl=+lJ,CDd?i7/-TE"okOSrP`YQ1<mYQFiDE;NK1hZ2%#YQ01N
+?i"a:O8se-s8?p:J,F9^nGTT^OSPOFYQ0d^?ho3FYl<#J^\Q4VTCi0`d/UlZd/JOi?h]'IORo+E
+ciF+Ed/Lc[d/C`WcijBqYcuLQT)c+m^BW'bd(c3FYl10oYl2<>d/X--OSs.rTDm1;Yl4V%J,F9a
+Yl<#Fs8S_kE;a/ATDu[prr\mCOHBBIr/gr_jo>A-q7ljS_uG5~>
+f`(rdrK.&`!g'XjrK-g$s.B=qs6p&=5PuW%?N@k>Yl10ps,d.crilBoqQU!=qbR:Mr6YAG!WRZI
+?i"a:O8se.s7UF-nG]ZlTCe6DTCoDgOS`D\J+g,G^\Z:WTCMp]d/LfYd/U<O^OLb-?i#9IORo+C
+d/Lc[d/:ZVciF+FYQ3&KT)c+l^BOYa^Rq.&rLa#&"OR2KOHBE[r1Eu8!3lG%s*srcrNQ:Jq#:Df
+E,b_^r1<u(n,NE[s,d.cr/gr_jSo5,q7ljS_uG5~>
+f`(rdrK.&`!g'XjrK-g$s.B=qs6p&=5PuW%?N@k>Yl10ps,d.crilBoqQU!=qbR:Mr6YAG!WRZI
+?i"a:O8se.s7UF-nG]ZlTCe6DTCoDgOS`D\J+g,G^\Z:WTCMp]d/LfYd/U<O^OLb-?i#9IORo+C
+d/Lc[d/:ZVciF+FYQ3&KT)c+l^BOYa^Rq.&rLa#&"OR2KOHBE[r1Eu8!3lG%s*srcrNQ:Jq#:Df
+E,b_^r1<u(n,NE[s,d.cr/gr_jSo5,q7ljS_uG5~>
+f`(rdrK.&`!g'XjrK-g$s.B=qs6p&=5PuW%?N@k>Yl10ps,d.crilBoqQU!=qbR:Mr6YAG!WRZI
+?i"a:O8se.s7UF-nG]ZlTCe6DTCoDgOS`D\J+g,G^\Z:WTCMp]d/LfYd/U<O^OLb-?i#9IORo+C
+d/Lc[d/:ZVciF+FYQ3&KT)c+l^BOYa^Rq.&rLa#&"OR2KOHBE[r1Eu8!3lG%s*srcrNQ:Jq#:Df
+E,b_^r1<u(n,NE[s,d.cr/gr_jSo5,q7ljS_uG5~>
+fDkc1"L*uLYd"+gps9,XT<PR!n,Rt9+8fLDYl:9prrA/Y?N@>.TDGblE;EE/d/1$Ks*oOs?hn[9
+O8se/s8R'<?i"a;nG]WlOSPOHORTISOS`D[J+p2FciB^,rrCFF^\uOZYl)99J+m=JJ+f!"TDl(n
+T)d7;^AuXY^\uOZs8K5&d/BR:Yl)6@d/X-m^Rq.&rLa#&"OR2KOHBE[r1Eu8!3lG%rdXlcrNQ:J
+q#:DfE,b_^r1<u(mf*9ZrfI(cr/gr_jSo5,q7lgR`;b>~>
+fDkc1"L*uLYd"+gps9,XT<PR!n,Rt9+8fLDYl:9prrA/Y?N@>.TDGblE;EE/d/1$Ks*oOs?hn[9
+O8se/s8R'<?i"a;nG]WlOSPOHORTISOS`D[J+p2FciB^,rrCFF^\uOZYl)99J+m=JJ+f!"TDl(n
+T)d7;^AuXY^\uOZs8K5&d/BR:Yl)6@d/X-m^Rq.&rLa#&"OR2KOHBE[r1Eu8!3lG%rdXlcrNQ:J
+q#:DfE,b_^r1<u(mf*9ZrfI(cr/gr_jSo5,q7lgR`;b>~>
+fDkc1"L*uLYd"+gps9,XT<PR!n,Rt9+8fLDYl:9prrA/Y?N@>.TDGblE;EE/d/1$Ks*oOs?hn[9
+O8se/s8R'<?i"a;nG]WlOSPOHORTISOS`D[J+p2FciB^,rrCFF^\uOZYl)99J+m=JJ+f!"TDl(n
+T)d7;^AuXY^\uOZs8K5&d/BR:Yl)6@d/X-m^Rq.&rLa#&"OR2KOHBE[r1Eu8!3lG%rdXlcrNQ:J
+q#:DfE,b_^r1<u(mf*9ZrfI(cr/gr_jSo5,q7lgR`;b>~>
+fDbicrK.&`!g'XjrK-g$s.B=qs6p&=5Q)Z(E;a,D^\tD9TDnijOT&Sf:ltRHqlp*>qG@+:r365$
+s*srRq/H+jrr2t;rEoD?qXFHfs8W+\k+;X8qd9,JpTOXimJm45rkJEYs02C8s02NQpL!rMnrWdA
+qlp'l!Pd"Z^\lFZs3UbLrLX(oqnE6[s8Tk5T)c+pT)c+o^]2[\s8S2ZE;Z@-ciC<Ks8INHE;Zs?
+d.mV@TDig.?i6Mr^[D+(T<OE=r*TA`s01Vb!7:MUrQkQ%`;b>~>
+fDbicrK.&`!g'XjrK-g$s.B=qs6p&=5Q)Z(E;a,D^\tD9TDnijOT&Sf:ltRHqlp*>qG@+:r365$
+s*srRq/H+jrr2t;rEoD?qXFHfs8W+\k+;X8qd9,JpTOXimJm45rkJEYs02C8s02NQpL!rMnrWdA
+qlp'l!Pd"Z^\lFZs3UbLrLX(oqnE6[s8Tk5T)c+pT)c+o^]2[\s8S2ZE;Z@-ciC<Ks8INHE;Zs?
+d.mV@TDig.?i6Mr^[D+(T<OE=r*TA`s01Vb!7:MUrQkQ%`;b>~>
+fDbicrK.&`!g'XjrK-g$s.B=qs6p&=5Q)Z(E;a,D^\tD9TDnijOT&Sf:ltRHqlp*>qG@+:r365$
+s*srRq/H+jrr2t;rEoD?qXFHfs8W+\k+;X8qd9,JpTOXimJm45rkJEYs02C8s02NQpL!rMnrWdA
+qlp'l!Pd"Z^\lFZs3UbLrLX(oqnE6[s8Tk5T)c+pT)c+o^]2[\s8S2ZE;Z@-ciC<Ks8INHE;Zs?
+d.mV@TDig.?i6Mr^[D+(T<OE=r*TA`s01Vb!7:MUrQkQ%`;b>~>
+f)PWO!0I2arfHp%"2CJ#Yl=+l5PuW%?N@k=Yl:9orrA/Z;#cXTTDYqn?i!Usd/1'Is8RTH?hn[9
+O90q3s867$E;B#&Yl"J#ORSn=YQ0d^?hf-FYj_SmT@!POrm:YKqnN'5s*scMn<![Bposair4i3W
+s8W)&!7:\:!3l=7!<;th!3lHp!3lF:s3UfGs,d1ur1Eu8r;ZbGrG_b?s.B><q#:>drc%dBrLa,)
+mf*?mOHBBIr/gr_jo5>-rP&?)rNQ7I!8k`pJ,~>
+f)PWO!0I2arfHp%"2CJ#Yl=+l5PuW%?N@k=Yl:9orrA/Z;#cXTTDYqn?i!Usd/1'Is8RTH?hn[9
+O90q3s867$E;B#&Yl"J#ORSn=YQ0d^?hf-FYj_SmT@!POrm:YKqnN'5s*scMn<![Bposair4i3W
+s8W)&!7:\:!3l=7!<;th!3lHp!3lF:s3UfGs,d1ur1Eu8r;ZbGrG_b?s.B><q#:>drc%dBrLa,)
+mf*?mOHBBIr/gr_jo5>-rP&?)rNQ7I!8k`pJ,~>
+f)PWO!0I2arfHp%"2CJ#Yl=+l5PuW%?N@k=Yl:9orrA/Z;#cXTTDYqn?i!Usd/1'Is8RTH?hn[9
+O90q3s867$E;B#&Yl"J#ORSn=YQ0d^?hf-FYj_SmT@!POrm:YKqnN'5s*scMn<![Bposair4i3W
+s8W)&!7:\:!3l=7!<;th!3lHp!3lF:s3UfGs,d1ur1Eu8r;ZbGrG_b?s.B><q#:>drc%dBrLa,)
+mf*?mOHBBIr/gr_jo5>-rP&?)rNQ7I!8k`pJ,~>
+f)G`sqlg-`Yd"(fq9T,Vrgs=tnF1olr>u#YrEfQ>rNQ9nrr2t[r)!BSrLa"ls'PV!r6YAGrr<"J
+qd9/<qiLf,s8W%)qJc9"ril1ts,d,Mnur+Uqd9,JpTX8h!hZ^DrP/?YrNQ47posdJpL!EOos"Ff
+!5JHYs8W)&!7:\:!3l@8s8W+ks*k'AYl:6pYl2<:d/O(FOSs.rTE!7<Yl+P#E;a/ATE!:4rrSg3
+E;X)@T)c+`rrB;&OSiJaOT2QHrrpca^X1?"ricC;rQkQ%`;b>~>
+f)G`sqlg-`Yd"(fq9T,Vrgs=tnF1olr>u#YrEfQ>rNQ9nrr2t[r)!BSrLa"ls'PV!r6YAGrr<"J
+qd9/<qiLf,s8W%)qJc9"ril1ts,d,Mnur+Uqd9,JpTX8h!hZ^DrP/?YrNQ47posdJpL!EOos"Ff
+!5JHYs8W)&!7:\:!3l@8s8W+ks*k'AYl:6pYl2<:d/O(FOSs.rTE!7<Yl+P#E;a/ATE!:4rrSg3
+E;X)@T)c+`rrB;&OSiJaOT2QHrrpca^X1?"ricC;rQkQ%`;b>~>
+f)G`sqlg-`Yd"(fq9T,Vrgs=tnF1olr>u#YrEfQ>rNQ9nrr2t[r)!BSrLa"ls'PV!r6YAGrr<"J
+qd9/<qiLf,s8W%)qJc9"ril1ts,d,Mnur+Uqd9,JpTX8h!hZ^DrP/?YrNQ47posdJpL!EOos"Ff
+!5JHYs8W)&!7:\:!3l@8s8W+ks*k'AYl:6pYl2<:d/O(FOSs.rTE!7<Yl+P#E;a/ATE!:4rrSg3
+E;X)@T)c+`rrB;&OSiJaOT2QHrrpca^X1?"ricC;rQkQ%`;b>~>
+ec5NN!0I2arfHp%rh'4p!q:\(r#blE!5JK:rLa)h!.XoCrK.#NrNQ</qG@+:qlp)"rdXiQpi-7p
+qLAEMqJc<#rNPtp!0HfEr3-0_qd9,JpTXDls.B:prP/?Yril=8pojb5rilEPp0[HRrh&kfrh'2:
+s8W+\s02EnqnE9\s8S^1rdXs0s.9:qrP&?Zrr<"[rG_\,s3LbMr;Zb8rEoJps3UN?!2'70rEoJp
+!3kkj!jIcJr*TA`s01Vb"M`=1T:c+e!5JKZ!8k`pJ,~>
+ec5NN!0I2arfHp%rh'4p!q:\(r#blE!5JK:rLa)h!.XoCrK.#NrNQ</qG@+:qlp)"rdXiQpi-7p
+qLAEMqJc<#rNPtp!0HfEr3-0_qd9,JpTXDls.B:prP/?Yril=8pojb5rilEPp0[HRrh&kfrh'2:
+s8W+\s02EnqnE9\s8S^1rdXs0s.9:qrP&?Zrr<"[rG_\,s3LbMr;Zb8rEoJps3UN?!2'70rEoJp
+!3kkj!jIcJr*TA`s01Vb"M`=1T:c+e!5JKZ!8k`pJ,~>
+ec5NN!0I2arfHp%rh'4p!q:\(r#blE!5JK:rLa)h!.XoCrK.#NrNQ</qG@+:qlp)"rdXiQpi-7p
+qLAEMqJc<#rNPtp!0HfEr3-0_qd9,JpTXDls.B:prP/?Yril=8pojb5rilEPp0[HRrh&kfrh'2:
+s8W+\s02EnqnE9\s8S^1rdXs0s.9:qrP&?Zrr<"[rG_\,s3LbMr;Zb8rEoJps3UN?!2'70rEoJp
+!3kkj!jIcJr*TA`s01Vb"M`=1T:c+e!5JKZ!8k`pJ,~>
+ec,Wrr363_s02Kaps9#Urgs=tnF1olr>u#YrEfQ>rNQ9nrVlkIr)!<Qs.B7os'PV!r6YAGr;ZbG
+rEoA>!+5MNr*T;>qXFKgi;We=qd9,JpTXPprh'+mrkJK[rNQ78pojb5rNHG)T<Nfpp0[NTqk*Sd
+rLa,irK-uM!3l=7!rnmbrI=a,r365$rfI(tr1F#9!3lD$rc%gCr1F#9p\t5crc%gCr1F"nmf*?m
+OHBBIr/gr_jo5Iud*SDWricC;rQkQ%`;b>~>
+ec,Wrr363_s02Kaps9#Urgs=tnF1olr>u#YrEfQ>rNQ9nrVlkIr)!<Qs.B7os'PV!r6YAGr;ZbG
+rEoA>!+5MNr*T;>qXFKgi;We=qd9,JpTXPprh'+mrkJK[rNQ78pojb5rNHG)T<Nfpp0[NTqk*Sd
+rLa,irK-uM!3l=7!rnmbrI=a,r365$rfI(tr1F#9!3lD$rc%gCr1F#9p\t5crc%gCr1F"nmf*?m
+OHBBIr/gr_jo5Iud*SDWricC;rQkQ%`;b>~>
+ec,Wrr363_s02Kaps9#Urgs=tnF1olr>u#YrEfQ>rNQ9nrVlkIr)!<Qs.B7os'PV!r6YAGr;ZbG
+rEoA>!+5MNr*T;>qXFKgi;We=qd9,JpTXPprh'+mrkJK[rNQ78pojb5rNHG)T<Nfpp0[NTqk*Sd
+rLa,irK-uM!3l=7!rnmbrI=a,r365$rfI(tr1F#9!3lD$rc%gCr1F#9p\t5crc%gCr1F"nmf*?m
+OHBBIr/gr_jo5Iud*SDWricC;rQkQ%`;b>~>
+eGfNqr3-0_rilB`psAu3"-EP45Q)Z(E;a/D^](J:TD\]hJ,E.@O8tpOYlA),:]S9/d/1'Fs8ING
+?i+gA?ho3M?i"a;nG]ZMs8S2Y?hf-FYlFb&TDu+qTDYnp^X1@*Yl2?3YQ2H;YQFisTDc"nJ+m=G
+OSGI@Yl:9mOT(jPYku38s8S_jJ,GE+Yl=\%OSs.sTDm1;Yl+P#E;a/ATE!:3s8I!8?i?St^Td/+
+!3lHar*TA`s01Yc#f"a5T:`?l^VB`os51fqJ,~>
+eGfNqr3-0_rilB`psAu3"-EP45Q)Z(E;a/D^](J:TD\]hJ,E.@O8tpOYlA),:]S9/d/1'Fs8ING
+?i+gA?ho3M?i"a;nG]ZMs8S2Y?hf-FYlFb&TDu+qTDYnp^X1@*Yl2?3YQ2H;YQFisTDc"nJ+m=G
+OSGI@Yl:9mOT(jPYku38s8S_jJ,GE+Yl=\%OSs.sTDm1;Yl+P#E;a/ATE!:3s8I!8?i?St^Td/+
+!3lHar*TA`s01Yc#f"a5T:`?l^VB`os51fqJ,~>
+eGfNqr3-0_rilB`psAu3"-EP45Q)Z(E;a/D^](J:TD\]hJ,E.@O8tpOYlA),:]S9/d/1'Fs8ING
+?i+gA?ho3M?i"a;nG]ZMs8S2Y?hf-FYlFb&TDu+qTDYnp^X1@*Yl2?3YQ2H;YQFisTDc"nJ+m=G
+OSGI@Yl:9mOT(jPYku38s8S_jJ,GE+Yl=\%OSs.sTDm1;Yl+P#E;a/ATE!:3s8I!8?i?St^Td/+
+!3lHar*TA`s01Yc#f"a5T:`?l^VB`os51fqJ,~>
+e,T?M!0I2arfHp%rLa+O!rkJLr>u#Yra5]?rNQ9nrVunIr)!9PrNQ</qG@+:r36(urI=cQrG_X@
+qg\NNqJc<#rNP5[!0I(bpj`%Bs.B=q!2'+ls3U\JrkJ64!5JN;s8W+ks0)KbrNQ9NpL!fZp7M#^
+rLa%M!2'/'"OR2KT5adZr/gi\rr<"[r,DV,rm1YLr;Zb8rEoJps3UK>rc%dBrLX,*YjMGlY`OtE
+?i6#cYibrd^X2tPs02O<rQtT%`W(G~>
+e,T?M!0I2arfHp%rLa+O!rkJLr>u#Yra5]?rNQ9nrVunIr)!9PrNQ</qG@+:r36(urI=cQrG_X@
+qg\NNqJc<#rNP5[!0I(bpj`%Bs.B=q!2'+ls3U\JrkJ64!5JN;s8W+ks0)KbrNQ9NpL!fZp7M#^
+rLa%M!2'/'"OR2KT5adZr/gi\rr<"[r,DV,rm1YLr;Zb8rEoJps3UK>rc%dBrLX,*YjMGlY`OtE
+?i6#cYibrd^X2tPs02O<rQtT%`W(G~>
+e,T?M!0I2arfHp%rLa+O!rkJLr>u#Yra5]?rNQ9nrVunIr)!9PrNQ</qG@+:r36(urI=cQrG_X@
+qg\NNqJc<#rNP5[!0I(bpj`%Bs.B=q!2'+ls3U\JrkJ64!5JN;s8W+ks0)KbrNQ9NpL!fZp7M#^
+rLa%M!2'/'"OR2KT5adZr/gi\rr<"[r,DV,rm1YLr;Zb8rEoJps3UK>rc%dBrLX,*YjMGlY`OtE
+?i6#cYibrd^X2tPs02O<rQtT%`W(G~>
+e,KEpr3-0_rilEaps9)WT:c+E!rma7r>u#YrEoT>rilBor;ZeHr)!9PrilE0qG71,rQtGGqZ$PE
+r*KGCpg<rKr*T;>qXFKghuE_<r*T5Kqlg(8rNH9oo<A5/pose5s02M&!2'"i!0I20pL!o]o:PZZ
+rh'1O!2'2(s8W+k!-%per/gi\rr<"[r,DV,rm1YLr;Zb8rEoJps3UK>!2'70rEoMqs1dt$!jIcJ
+r*TA`s01\d!l*+/rh'4ps1eNZs51fqJ,~>
+e,KEpr3-0_rilEaps9)WT:c+E!rma7r>u#YrEoT>rilBor;ZeHr)!9PrilE0qG71,rQtGGqZ$PE
+r*KGCpg<rKr*T;>qXFKghuE_<r*T5Kqlg(8rNH9oo<A5/pose5s02M&!2'"i!0I20pL!o]o:PZZ
+rh'1O!2'2(s8W+k!-%per/gi\rr<"[r,DV,rm1YLr;Zb8rEoJps3UK>!2'70rEoMqs1dt$!jIcJ
+r*TA`s01\d!l*+/rh'4ps1eNZs51fqJ,~>
+e,KEpr3-0_rilEaps9)WT:c+E!rma7r>u#YrEoT>rilBor;ZeHr)!9PrilE0qG71,rQtGGqZ$PE
+r*KGCpg<rKr*T;>qXFKghuE_<r*T5Kqlg(8rNH9oo<A5/pose5s02M&!2'"i!0I20pL!o]o:PZZ
+rh'1O!2'2(s8W+k!-%per/gi\rr<"[r,DV,rm1YLr;Zb8rEoJps3UK>!2'70rEoMqs1dt$!jIcJ
+r*TA`s01\d!l*+/rh'4ps1eNZs51fqJ,~>
+df0<orNH9`rilB`psAo"!e3F!r>u#Yra5]?rNQ<oqu?\Gr)!9PrilE0qG@+:r3-0nqZ$MDrEoMB
+qHs2NrEoD?q=+BfhuE_<qd9/KrNQ78nZ`#-pojh7Yd"-,s.B(js,d5PrdXWK!-%J#os":brilG&
+!M=?0J,PK,Yl4V%OSj(rTDm47s8I!9?i6Prd.[J>TDig-?i?St^Td/+!3lHar*TA`s01_e!Pd"[
+T)c+p^\uOZho5VG~>
+df0<orNH9`rilB`psAo"!e3F!r>u#Yra5]?rNQ<oqu?\Gr)!9PrilE0qG@+:r3-0nqZ$MDrEoMB
+qHs2NrEoD?q=+BfhuE_<qd9/KrNQ78nZ`#-pojh7Yd"-,s.B(js,d5PrdXWK!-%J#os":brilG&
+!M=?0J,PK,Yl4V%OSj(rTDm47s8I!9?i6Prd.[J>TDig-?i?St^Td/+!3lHar*TA`s01_e!Pd"[
+T)c+p^\uOZho5VG~>
+df0<orNH9`rilB`psAo"!e3F!r>u#Yra5]?rNQ<oqu?\Gr)!9PrilE0qG@+:r3-0nqZ$MDrEoMB
+qHs2NrEoD?q=+BfhuE_<qd9/KrNQ78nZ`#-pojh7Yd"-,s.B(js,d5PrdXWK!-%J#os":brilG&
+!M=?0J,PK,Yl4V%OSj(rTDm47s8I!9?i6Prd.[J>TDig-?i?St^Td/+!3lHar*TA`s01_e!Pd"[
+T)c+p^\uOZho5VG~>
+dJs!Gs,d$&!5JDm!Im?4*rp9Y?iRn?Yl:9ls8RTH;#?@SYlA),:]S9/d/1'Bs8ING?hn[??iPTU
+OSrP_E;K)&Yi#K\OS`D\J,Z\M^\k;9TD>_k^\G&5^AtM:s8S_kYQ0d^YlBg^TDj?8?i=s7TCfAe
+TDl(prrTEsE;k@bOSl?]s8S2ZE;Z@-d/3kBE;a/ATE!:2s8I!8?i?St^Td,*!jIcJr*TA`s01_e
+!Pd"[T)c+p^])UZho5VG~>
+dJs!Gs,d$&!5JDm!Im?4*rp9Y?iRn?Yl:9ls8RTH;#?@SYlA),:]S9/d/1'Bs8ING?hn[??iPTU
+OSrP_E;K)&Yi#K\OS`D\J,Z\M^\k;9TD>_k^\G&5^AtM:s8S_kYQ0d^YlBg^TDj?8?i=s7TCfAe
+TDl(prrTEsE;k@bOSl?]s8S2ZE;Z@-d/3kBE;a/ATE!:2s8I!8?i?St^Td,*!jIcJr*TA`s01_e
+!Pd"[T)c+p^])UZho5VG~>
+dJs!Gs,d$&!5JDm!Im?4*rp9Y?iRn?Yl:9ls8RTH;#?@SYlA),:]S9/d/1'Bs8ING?hn[??iPTU
+OSrP_E;K)&Yi#K\OS`D\J,Z\M^\k;9TD>_k^\G&5^AtM:s8S_kYQ0d^YlBg^TDj?8?i=s7TCfAe
+TDl(prrTEsE;k@bOSl?]s8S2ZE;Z@-d/3kBE;a/ATE!:2s8I!8?i?St^Td,*!jIcJr*TA`s01_e
+!Pd"[T)c+p^])UZho5VG~>
+dJj3nrNH9`rilEaps9#UqiCl/5<o,hs)@sEs1eN:s.B2gs*soBqiLi^s'PV!!5JKZr3-0nq#C;B
+r*T,9r*T;>qXFKghZ*V;qd9/K!3l=7ornG2pose5s02M&s.B:p!0I)^s,d#JrdXfPqJc"toWS=f
+rfI0[s.9:1rdXj-r362#rfI(tr1Eu8qZ$S7r*TDps3UH=rG_^BrLa,)mJd0jrfI%br/^o_l2Udu
+r1<tnrkJHZrnk]pJ,~>
+dJj3nrNH9`rilEaps9#UqiCl/5<o,hs)@sEs1eN:s.B2gs*soBqiLi^s'PV!!5JKZr3-0nq#C;B
+r*T,9r*T;>qXFKghZ*V;qd9/K!3l=7ornG2pose5s02M&s.B:p!0I)^s,d#JrdXfPqJc"toWS=f
+rfI0[s.9:1rdXj-r362#rfI(tr1Eu8qZ$S7r*TDps3UH=rG_^BrLa,)mJd0jrfI%br/^o_l2Udu
+r1<tnrkJHZrnk]pJ,~>
+dJj3nrNH9`rilEaps9#UqiCl/5<o,hs)@sEs1eN:s.B2gs*soBqiLi^s'PV!!5JKZr3-0nq#C;B
+r*T,9r*T;>qXFKghZ*V;qd9/K!3l=7ornG2pose5s02M&s.B:p!0I)^s,d#JrdXfPqJc"toWS=f
+rfI0[s.9:1rdXj-r362#rfI(tr1Eu8qZ$S7r*TDps3UH=rG_^BrLa,)mJd0jrfI%br/^o_l2Udu
+r1<tnrkJHZrnk]pJ,~>
+d/O*mq69m\psAl!s$-H(!-%pErkJH:rh')fs*soBqiCl`?XNY+!5JKZqloeorI=`PpMg":qf)B#
+rik>\rdOp0qd92L!0I#kpTOXiq69k5!3lG%s.B=q!0I)^s,clFrI=fRpMf\qoW\7T!-%perK-r]
+rVukYrG_\,rm:NAs)@mCrLa,:p&>#arc%gCrLa,)m/I-kOHBBIr/gr_lMpn!r1Er&rm1`(d,2hB
+J,~>
+d/O*mq69m\psAl!s$-H(!-%pErkJH:rh')fs*soBqiCl`?XNY+!5JKZqloeorI=`PpMg":qf)B#
+rik>\rdOp0qd92L!0I#kpTOXiq69k5!3lG%s.B=q!0I)^s,clFrI=fRpMf\qoW\7T!-%perK-r]
+rVukYrG_\,rm:NAs)@mCrLa,:p&>#arc%gCrLa,)m/I-kOHBBIr/gr_lMpn!r1Er&rm1`(d,2hB
+J,~>
+d/O*mq69m\psAl!s$-H(!-%pErkJH:rh')fs*soBqiCl`?XNY+!5JKZqloeorI=`PpMg":qf)B#
+rik>\rdOp0qd92L!0I#kpTOXiq69k5!3lG%s.B=q!0I)^s,clFrI=fRpMf\qoW\7T!-%perK-r]
+rVukYrG_\,rm:NAs)@mCrLa,:p&>#arc%gCrLa,)m/I-kOHBBIr/gr_lMpn!r1Er&rm1`(d,2hB
+J,~>
+d/O*mrNH9`rilEaps9#UqiCl/5<o,hs)@sEs1eN:s.B/fs*soBqiCl`?XNY+!5JKZr3-0npAb&?
+r*T8=!FLre?i"a<nGTTSs8.<DOS`D_J,PK)^\b86TDPkm^AtM:s8JYjYQ0d^YlBgWT)u7ss8@H=
+E:]^nYkO7WYl4V$OT/\fE;Z@-d/*eAE;a/BTE!:1s8I!8?iH\t^AtM*rrTEdOSiJ`TDu.\rrBh2
+TDcP(ciN%N`;b>~>
+d/O*mrNH9`rilEaps9#UqiCl/5<o,hs)@sEs1eN:s.B/fs*soBqiCl`?XNY+!5JKZr3-0npAb&?
+r*T8=!FLre?i"a<nGTTSs8.<DOS`D_J,PK)^\b86TDPkm^AtM:s8JYjYQ0d^YlBgWT)u7ss8@H=
+E:]^nYkO7WYl4V$OT/\fE;Z@-d/*eAE;a/BTE!:1s8I!8?iH\t^AtM*rrTEdOSiJ`TDu.\rrBh2
+TDcP(ciN%N`;b>~>
+d/O*mrNH9`rilEaps9#UqiCl/5<o,hs)@sEs1eN:s.B/fs*soBqiCl`?XNY+!5JKZr3-0npAb&?
+r*T8=!FLre?i"a<nGTTSs8.<DOS`D_J,PK)^\b86TDPkm^AtM:s8JYjYQ0d^YlBgWT)u7ss8@H=
+E:]^nYkO7WYl4V$OT/\fE;Z@-d/*eAE;a/BTE!:1s8I!8?iH\t^AtM*rrTEdOSiJ`TDu.\rrBh2
+TDcP(ciN%N`;b>~>
+ci4!lricBarNQ<`psAo"!e3F!r>u#Yra5Z>rilEpq>^JEqb[0Os'PV!s1eQ[qlobnqg\NNr,DXB
+!0I.dqJc<#ril9LoDeW9pQ58ZrdXg,q7lp5q4I\krkJC2s.B:p!0I,_rfHfF!3lA#!.Xues'PG<
+o:PTXqN1WZrVukYrEoJprm:NArc%gCr1<u9o`+o0r*TGqrkIk#!3lHar*TDp!Pbl)s8Tk2TDcP(
+d/W"As*t~>
+ci4!lricBarNQ<`psAo"!e3F!r>u#Yra5Z>rilEpq>^JEqb[0Os'PV!s1eQ[qlobnqg\NNr,DXB
+!0I.dqJc<#ril9LoDeW9pQ58ZrdXg,q7lp5q4I\krkJC2s.B:p!0I,_rfHfF!3lA#!.Xues'PG<
+o:PTXqN1WZrVukYrEoJprm:NArc%gCr1<u9o`+o0r*TGqrkIk#!3lHar*TDp!Pbl)s8Tk2TDcP(
+d/W"As*t~>
+ci4!lricBarNQ<`psAo"!e3F!r>u#Yra5Z>rilEpq>^JEqb[0Os'PV!s1eQ[qlobnqg\NNr,DXB
+!0I.dqJc<#ril9LoDeW9pQ58ZrdXg,q7lp5q4I\krkJC2s.B:p!0I,_rfHfF!3lA#!.Xues'PG<
+o:PTXqN1WZrVukYrEoJprm:NArc%gCr1<u9o`+o0r*TGqrkIk#!3lHar*TDp!Pbl)s8Tk2TDcP(
+d/W"As*t~>
+cN!^Es,d$&!5JDm!e3F!rZD/Zra5Z>rilEpqZ$PEqb[3Pra5Lu!5JKZr3-0no`+f<r*TJCpL!c9
+qXFKgl@8VkrI=g.qd9AQqN1Nfril6krfI'Xrh'4ps,d/_rfHfF!3l>"!M?UoE;j5<E:]^mYksO^
+Yl+P$OSiJ`OT3Z-YknD!E;a/AT)d71rrA\jE;a/BTDu[mrrTEdOSiJaTDuY+YjDAi^\j2j^])U[
+ho,PF~>
+cN!^Es,d$&!5JDm!e3F!rZD/Zra5Z>rilEpqZ$PEqb[3Pra5Lu!5JKZr3-0no`+f<r*TJCpL!c9
+qXFKgl@8VkrI=g.qd9AQqN1Nfril6krfI'Xrh'4ps,d/_rfHfF!3l>"!M?UoE;j5<E:]^mYksO^
+Yl+P$OSiJ`OT3Z-YknD!E;a/AT)d71rrA\jE;a/BTDu[mrrTEdOSiJaTDuY+YjDAi^\j2j^])U[
+ho,PF~>
+cN!^Es,d$&!5JDm!e3F!rZD/Zra5Z>rilEpqZ$PEqb[3Pra5Lu!5JKZr3-0no`+f<r*TJCpL!c9
+qXFKgl@8VkrI=g.qd9AQqN1Nfril6krfI'Xrh'4ps,d/_rfHfF!3l>"!M?UoE;j5<E:]^mYksO^
+Yl+P$OSiJ`OT3Z-YknD!E;a/AT)d71rrA\jE;a/BTDu[mrrTEdOSiJaTDuY+YjDAi^\j2j^])U[
+ho,PF~>
+cMmmkricBarNH9`ps9#UqiCl/5<o,hs)@sErkJH:s.B)drdXiBr/gqcqG@4,rm:PHo)JT:pKmo^
+rEoD?qXFHfmsk4rqg\F'qd9,[q7lm4s.B:PqZ$Pes0)Kbr36-]oq2'[!2'7p!0I+tr*T5<o:PQW
+qiLdVs,d.crK.$*q>^G5rEoJp!7:B<!2'70rEoMqs1dq#"0dlKE;a/ATDu[ms87uT^]2X^hpC9!
+s*t~>
+cMmmkricBarNH9`ps9#UqiCl/5<o,hs)@sErkJH:s.B)drdXiBr/gqcqG@4,rm:PHo)JT:pKmo^
+rEoD?qXFHfmsk4rqg\F'qd9,[q7lm4s.B:PqZ$Pes0)Kbr36-]oq2'[!2'7p!0I+tr*T5<o:PQW
+qiLdVs,d.crK.$*q>^G5rEoJp!7:B<!2'70rEoMqs1dq#"0dlKE;a/ATDu[ms87uT^]2X^hpC9!
+s*t~>
+cMmmkricBarNH9`ps9#UqiCl/5<o,hs)@sErkJH:s.B)drdXiBr/gqcqG@4,rm:PHo)JT:pKmo^
+rEoD?qXFHfmsk4rqg\F'qd9,[q7lm4s.B:PqZ$Pes0)Kbr36-]oq2'[!2'7p!0I+tr*T5<o:PQW
+qiLdVs,d.crK.$*q>^G5rEoJp!7:B<!2'70rEoMqs1dq#"0dlKE;a/ATDu[ms87uT^]2X^hpC9!
+s*t~>
+c2RdjqQU!]ps9#UqiLeArZD/Zs'P`>ricBpp](5Br)!?Rra5P!rkJHZr3-0nnGiE9pg4#_rEoD?
+qXFKgo7$aZrfHo)oT9&Zr_WBOq7lp5!0I$Vrh'4ps,d/_rfHfF!3l;!!2'7ps,d5Pr,DO?q/Gtu
+n?DeO!rn@DrEoJarm:K@rc%gCr1<u9oDef/rEoMqs1dq#"0dlKE;a/ATDu[ns87uT^])R\hpB:@
+J,~>
+c2RdjqQU!]ps9#UqiLeArZD/Zs'P`>ricBpp](5Br)!?Rra5P!rkJHZr3-0nnGiE9pg4#_rEoD?
+qXFKgo7$aZrfHo)oT9&Zr_WBOq7lp5!0I$Vrh'4ps,d/_rfHfF!3l;!!2'7ps,d5Pr,DO?q/Gtu
+n?DeO!rn@DrEoJarm:K@rc%gCr1<u9oDef/rEoMqs1dq#"0dlKE;a/ATDu[ns87uT^])R\hpB:@
+J,~>
+c2RdjqQU!]ps9#UqiLeArZD/Zs'P`>ricBpp](5Br)!?Rra5P!rkJHZr3-0nnGiE9pg4#_rEoD?
+qXFKgo7$aZrfHo)oT9&Zr_WBOq7lp5!0I$Vrh'4ps,d/_rfHfF!3l;!!2'7ps,d5Pr,DO?q/Gtu
+n?DeO!rn@DrEoJarm:K@rc%gCr1<u9oDef/rEoMqs1dq#"0dlKE;a/ATDu[ns87uT^])R\hpB:@
+J,~>
+c2RdjricBarNH9`pWrp?r/^u05<o,hs)@sErkJH:s.B&crdXiBrK.%dqG@4,rm:PHmf337oO%H6
+qXFKgo5OJSn;mWWr(mBCq2kEeril8!rh'4ps,d2`rK-]Eq#CAds02Nbqk*b)qHs,=pRgfVqiLb`
+r/gp)q>^G5rEoJp!7:?;rc%gCr1<u(li.'kT:^*%?i6Pr^[M4#OSQZid/W"@s*t~>
+c2RdjricBarNH9`pWrp?r/^u05<o,hs)@sErkJH:s.B&crdXiBrK.%dqG@4,rm:PHmf337oO%H6
+qXFKgo5OJSn;mWWr(mBCq2kEeril8!rh'4ps,d2`rK-]Eq#CAds02Nbqk*b)qHs,=pRgfVqiLb`
+r/gp)q>^G5rEoJp!7:?;rc%gCr1<u(li.'kT:^*%?i6Pr^[M4#OSQZid/W"@s*t~>
+c2RdjricBarNH9`pWrp?r/^u05<o,hs)@sErkJH:s.B&crdXiBrK.%dqG@4,rm:PHmf337oO%H6
+qXFKgo5OJSn;mWWr(mBCq2kEeril8!rh'4ps,d2`rK-]Eq#CAds02Nbqk*b)qHs,=pRgfVqiLb`
+r/gp)q>^G5rEoJp!7:?;rc%gCr1<u(li.'kT:^*%?i6Pr^[M4#OSQZid/W"@s*t~>
+bl7[iqQKs]pWrrUs8A#ZJ,V\3+9-<[?i@b=YQ1<hs8ING;#ZRU?i*\!^])UXYQ1<_s87BD?N?2d
+?i"a<nGTTaE;P.POT0h-:]Q"@OSQZiYl4V$TDu.qOSuE^OS5:HYk\7uTDu.pOSkaLYl&J8?i4m>
+TBWTQOT*W&s8I!9?i6Mrd.@;:E;X)ATDu[mrr]KtT5ad:r1Eu'nc/NKq7lgR!8k]oJ,~>
+bl7[iqQKs]pWrrUs8A#ZJ,V\3+9-<[?i@b=YQ1<hs8ING;#ZRU?i*\!^])UXYQ1<_s87BD?N?2d
+?i"a<nGTTaE;P.POT0h-:]Q"@OSQZiYl4V$TDu.qOSuE^OS5:HYk\7uTDu.pOSkaLYl&J8?i4m>
+TBWTQOT*W&s8I!9?i6Mrd.@;:E;X)ATDu[mrr]KtT5ad:r1Eu'nc/NKq7lgR!8k]oJ,~>
+bl7[iqQKs]pWrrUs8A#ZJ,V\3+9-<[?i@b=YQ1<hs8ING;#ZRU?i*\!^])UXYQ1<_s87BD?N?2d
+?i"a<nGTTaE;P.POT0h-:]Q"@OSQZiYl4V$TDu.qOSuE^OS5:HYk\7uTDu.pOSkaLYl&J8?i4m>
+TBWTQOT*W&s8I!9?i6Mrd.@;:E;X)ATDu[mrr]KtT5ad:r1Eu'nc/NKq7lgR!8k]oJ,~>
+bPqRhqQKs]pWrrUs8A#\Im60s+9-<Z?iIh>YlC?hs8ING;#ZRV?i!V!^])UWYj;>cJ,WdTOSrP_
+E;K)'Yk;u7J*E$qT7?`7s*sm,q7lm4!<<%js02NbrNQ3]p7M*Zs.B=qrfI&MqQTj9pL!o=rL`2U
+plPO&!3l;!rc%gCr1<u9oDef/r*TDps1dq##-a_lE,]/kr1Eu'o)JWLq7ldQ_Z,,~>
+bPqRhqQKs]pWrrUs8A#\Im60s+9-<Z?iIh>YlC?hs8ING;#ZRV?i!V!^])UWYj;>cJ,WdTOSrP_
+E;K)'Yk;u7J*E$qT7?`7s*sm,q7lm4!<<%js02NbrNQ3]p7M*Zs.B=qrfI&MqQTj9pL!o=rL`2U
+plPO&!3l;!rc%gCr1<u9oDef/r*TDps1dq##-a_lE,]/kr1Eu'o)JWLq7ldQ_Z,,~>
+bPqRhqQKs]pWrrUs8A#\Im60s+9-<Z?iIh>YlC?hs8ING;#ZRV?i!V!^])UWYj;>cJ,WdTOSrP_
+E;K)'Yk;u7J*E$qT7?`7s*sm,q7lm4!<<%js02NbrNQ3]p7M*Zs.B=qrfI&MqQTj9pL!o=rL`2U
+plPO&!3l;!rc%gCr1<u9oDef/r*TDps1dq##-a_lE,]/kr1Eu'o)JWLq7ldQ_Z,,~>
+bPqRhqQKs]p<`j>rf@,0r]gE)rc%mErP/?9!2&rardXfA!0I1eqb[:,rm:SI!2&QVq0rEPOSrP_
+E;K)'YkE%uOT2NbJ,3"AJ,59&^](J;TDu.qOSuE^OS,7>rrSgsYl9a]TDPkks86j/?iP*(YkX=U
+s8I!9?i6Mrd.@8;TDig.?i?Vs^[(q"TDrm0?i?Vr^[qL'OSZ`gciLo._Z,,~>
+bPqRhqQKs]p<`j>rf@,0r]gE)rc%mErP/?9!2&rardXfA!0I1eqb[:,rm:SI!2&QVq0rEPOSrP_
+E;K)'YkE%uOT2NbJ,3"AJ,59&^](J;TDu.qOSuE^OS,7>rrSgsYl9a]TDPkks86j/?iP*(YkX=U
+s8I!9?i6Mrd.@8;TDig.?i?Vs^[(q"TDrm0?i?Vr^[qL'OSZ`gciLo._Z,,~>
+bPqRhqQKs]p<`j>rf@,0r]gE)rc%mErP/?9!2&rardXfA!0I1eqb[:,rm:SI!2&QVq0rEPOSrP_
+E;K)'YkE%uOT2NbJ,3"AJ,59&^](J;TDu.qOSuE^OS,7>rrSgsYl9a]TDPkks86j/?iP*(YkX=U
+s8I!9?i6Mrd.@8;TDig.?i?Vs^[(q"TDrm0?i?Vr^[qL'OSZ`gciLo._Z,,~>
+b5_=Bs.B&4!Pe[5OSqED+9-<[?i@b=YQ1<errR[hE;WN6OC)Ak;#\60d/1'1s8.9GOSrP_E;B#&
+YkNY/OT1sQJ,<(AJ,>?'^\tD9OSuE^OS5:HYkJ+sT)c+oOSkaJYl"G#OSa"j?iG$'YkF1Xs8I!9
+?i6Mrd.@8;TDig.?i6Mr^[(q"TDig0?i?Vr^\%R)OSQZfd/Ui\hnoDD~>
+b5_=Bs.B&4!Pe[5OSqED+9-<[?i@b=YQ1<errR[hE;WN6OC)Ak;#\60d/1'1s8.9GOSrP_E;B#&
+YkNY/OT1sQJ,<(AJ,>?'^\tD9OSuE^OS5:HYkJ+sT)c+oOSkaJYl"G#OSa"j?iG$'YkF1Xs8I!9
+?i6Mrd.@8;TDig.?i6Mr^[(q"TDig0?i?Vr^\%R)OSQZfd/Ui\hnoDD~>
+b5_=Bs.B&4!Pe[5OSqED+9-<[?i@b=YQ1<errR[hE;WN6OC)Ak;#\60d/1'1s8.9GOSrP_E;B#&
+YkNY/OT1sQJ,<(AJ,>?'^\tD9OSuE^OS5:HYkJ+sT)c+oOSkaJYl"G#OSa"j?iG$'YkF1Xs8I!9
+?i6Mrd.@8;TDig.?i6Mr^[(q"TDig0?i?Vr^\%R)OSQZfd/Ui\hnoDD~>
+aoD1/p<`j>rf@,0r]gE)rc%mErP/?9!2&l_rc%d3ra5P!rkJHZr3-0njT#4/!0I.dqJc<#rNQ'H
+jH0D6s*soBrdXg,q7la0r/gWEp&G&a!3lE`qk*ejqZ$PVqf)@<qJcG+k-4j"p5o;nrEoJp!7:<:
+rc%gCr1<u(li."#TDig0?i6Pq^\@a.TDalI^\Z=V^VTr#~>
+aoD1/p<`j>rf@,0r]gE)rc%mErP/?9!2&l_rc%d3ra5P!rkJHZr3-0njT#4/!0I.dqJc<#rNQ'H
+jH0D6s*soBrdXg,q7la0r/gWEp&G&a!3lE`qk*ejqZ$PVqf)@<qJcG+k-4j"p5o;nrEoJp!7:<:
+rc%gCr1<u(li."#TDig0?i6Pq^\@a.TDalI^\Z=V^VTr#~>
+aoD1/p<`j>rf@,0r]gE)rc%mErP/?9!2&l_rc%d3ra5P!rkJHZr3-0njT#4/!0I.dqJc<#rNQ'H
+jH0D6s*soBrdXg,q7la0r/gWEp&G&a!3lE`qk*ejqZ$PVqf)@<qJcG+k-4j"p5o;nrEoJp!7:<:
+rc%gCr1<u(li."#TDig0?i6Pq^\@a.TDalI^\Z=V^VTr#~>
+aoD..pWs)Ys8S1BJ,MV3+9-<[?i7\=YQ1<ds8?p8;#ao!;#\60d/1'*rrA/Z?i"a<nGTTdJ)l[n
+T9,.aqb[6@r/g`hqlp![pR_Gip&G&as02Kaqk*ejqZ$DRqf)I?pMfu$mBHE$p5f8]r1<u9o)J].
+rEoJp!5Ik"#/?e&E,]/kr1Eu'q#:>Urh'4pqnMsRrP-2KJ,~>
+aoD..pWs)Ys8S1BJ,MV3+9-<[?i7\=YQ1<ds8?p8;#ao!;#\60d/1'*rrA/Z?i"a<nGTTdJ)l[n
+T9,.aqb[6@r/g`hqlp![pR_Gip&G&as02Kaqk*ejqZ$DRqf)I?pMfu$mBHE$p5f8]r1<u9o)J].
+rEoJp!5Ik"#/?e&E,]/kr1Eu'q#:>Urh'4pqnMsRrP-2KJ,~>
+aoD..pWs)Ys8S1BJ,MV3+9-<[?i7\=YQ1<ds8?p8;#ao!;#\60d/1'*rrA/Z?i"a<nGTTdJ)l[n
+T9,.aqb[6@r/g`hqlp![pR_Gip&G&as02Kaqk*ejqZ$DRqf)I?pMfu$mBHE$p5f8]r1<u9o)J].
+rEoJp!5Ik"#/?e&E,]/kr1Eu'q#:>Urh'4pqnMsRrP-2KJ,~>
+aT)%-pX&p>s,[51r]gE)rc%mErP/B:s.Al^rG_a4ra5P!rP/BZr3-0ni;We=rEoG@qsaXcrNQ*I
+k`Gdnr;QbHqG@-?r/g`hril<^pRh*X"-B.ZYl0[]TDYqhs7h]QE;j59E;6'sYk5^1J,#*+T@!0/
+rdXlRr1<u(li.%$T:c+%!+5YrrkJ@1s,d8Qril76q9]&S_>f#~>
+aT)%-pX&p>s,[51r]gE)rc%mErP/B:s.Al^rG_a4ra5P!rP/BZr3-0ni;We=rEoG@qsaXcrNQ*I
+k`Gdnr;QbHqG@-?r/g`hril<^pRh*X"-B.ZYl0[]TDYqhs7h]QE;j59E;6'sYk5^1J,#*+T@!0/
+rdXlRr1<u(li.%$T:c+%!+5YrrkJ@1s,d8Qril76q9]&S_>f#~>
+aT)%-pX&p>s,[51r]gE)rc%mErP/B:s.Al^rG_a4ra5P!rP/BZr3-0ni;We=rEoG@qsaXcrNQ*I
+k`Gdnr;QbHqG@-?r/g`hril<^pRh*X"-B.ZYl0[]TDYqhs7h]QE;j59E;6'sYk5^1J,#*+T@!0/
+rdXlRr1<u(li.%$T:c+%!+5YrrkJ@1s,d8Qril76q9]&S_>f#~>
+aSu@hT:_5CTD$Y2rrJ42rBC9(rc%mEr4i99!2&c\rc%j5s'PV!rkJK[qlo#Y!0I.dqJcE&rVul$
+q1%gos*s\@s*soBrI=a,q7lp5s,cuI!3l.r"J:d;T<S9Uqk*hkq>^2Nrh'+-s'P;8oUkuanA"jM
+r/gRNrdXiQrLX))lMpmVrbqjEr1Eu's8W%Zr36"3qU#,S_#Jo~>
+aSu@hT:_5CTD$Y2rrJ42rBC9(rc%mEr4i99!2&c\rc%j5s'PV!rkJK[qlo#Y!0I.dqJcE&rVul$
+q1%gos*s\@s*soBrI=a,q7lp5s,cuI!3l.r"J:d;T<S9Uqk*hkq>^2Nrh'+-s'P;8oUkuanA"jM
+r/gRNrdXiQrLX))lMpmVrbqjEr1Eu's8W%Zr36"3qU#,S_#Jo~>
+aSu@hT:_5CTD$Y2rrJ42rBC9(rc%mEr4i99!2&c\rc%j5s'PV!rkJK[qlo#Y!0I.dqJcE&rVul$
+q1%gos*s\@s*soBrI=a,q7lp5s,cuI!3l.r"J:d;T<S9Uqk*hkq>^2Nrh'+-s'P;8oUkuanA"jM
+r/gRNrdXiQrLX))lMpmVrbqjEr1Eu's8W%Zr36"3qU#,S_#Jo~>
+a8c.2!0I,NpWroTrr2t[rBL<(rbqjEr4i99!2&`[rGVa5ra5P!rP/BZr3-3o?fD"bOSrP_E<#G*
+s8B1tJ+f!'J*m:9J,<(?J,PK)^\tD3TCi-`J,YN0Yl'U\TDYqis7_WQT)l0Xpg<W3nXofbmD&IH
+!0I20qZ$PEr*TDps1dn"s.B7/r1F#(rK-l[qS2jQqnKoGJ,~>
+a8c.2!0I,NpWroTrr2t[rBL<(rbqjEr4i99!2&`[rGVa5ra5P!rP/BZr3-3o?fD"bOSrP_E<#G*
+s8B1tJ+f!'J*m:9J,<(?J,PK)^\tD3TCi-`J,YN0Yl'U\TDYqis7_WQT)l0Xpg<W3nXofbmD&IH
+!0I20qZ$PEr*TDps1dn"s.B7/r1F#(rK-l[qS2jQqnKoGJ,~>
+a8c.2!0I,NpWroTrr2t[rBL<(rbqjEr4i99!2&`[rGVa5ra5P!rP/BZr3-3o?fD"bOSrP_E<#G*
+s8B1tJ+f!'J*m:9J,<(?J,PK)^\tD3TCi-`J,YN0Yl'U\TDYqis7_WQT)l0Xpg<W3nXofbmD&IH
+!0I20qZ$PEr*TDps1dn"s.B7/r1F#(rK-l[qS2jQqnKoGJ,~>
+`rGh+pX&p>!K_g056)f)E;s;C^]1M<TC;gYDurjC?i!Ut^AuXXYlBdb?fM(cOSrP_E;KV5Yk`eI
+OT'akrr@QG;#>bAOSQZiYkk!arr@QJOT0h/OSkaKYke=nOStgOYl4Uq?hJC0TD#MZ^[lpTTDj?=
+?i?Vs^[(q"TD`^1?_<thOSH'X^\6%O^V9_u~>
+`rGh+pX&p>!K_g056)f)E;s;C^]1M<TC;gYDurjC?i!Ut^AuXXYlBdb?fM(cOSrP_E;KV5Yk`eI
+OT'akrr@QG;#>bAOSQZiYkk!arr@QJOT0h/OSkaKYke=nOStgOYl4Uq?hJC0TD#MZ^[lpTTDj?=
+?i?Vs^[(q"TD`^1?_<thOSH'X^\6%O^V9_u~>
+`rGh+pX&p>!K_g056)f)E;s;C^]1M<TC;gYDurjC?i!Ut^AuXXYlBdb?fM(cOSrP_E;KV5Yk`eI
+OT'akrr@QG;#>bAOSQZiYkk!arr@QJOT0h/OSkaKYke=nOStgOYl4Uq?hJC0TD#MZ^[lpTTDj?=
+?i?Vs^[(q"TD`^1?_<thOSH'X^\6%O^V9_u~>
+`r?.fT:_5CTD-\4^]+65J,MV3+9$3Z?i7\=YQ;MCmf39*ra5P!rP/BZr3-0nrK-+?!0I.dqJc91
+rNOlQ!.XiAr."[,q7lm4rgs1po`"o@rfI).s,d,MrNQ+tpQ5<F!O/3ms79UmE;#phYkZ!&J,Q#>
+^[(n#^RtIDrK-cXrP/!Or4`6(^&NT~>
+`r?.fT:_5CTD-\4^]+65J,MV3+9$3Z?i7\=YQ;MCmf39*ra5P!rP/BZr3-0nrK-+?!0I.dqJc91
+rNOlQ!.XiAr."[,q7lm4rgs1po`"o@rfI).s,d,MrNQ+tpQ5<F!O/3ms79UmE;#phYkZ!&J,Q#>
+^[(n#^RtIDrK-cXrP/!Or4`6(^&NT~>
+`r?.fT:_5CTD-\4^]+65J,MV3+9$3Z?i7\=YQ;MCmf39*ra5P!rP/BZr3-0nrK-+?!0I.dqJc91
+rNOlQ!.XiAr."[,q7lm4rgs1po`"o@rfI).s,d,MrNQ+tpQ5<F!O/3ms79UmE;#phYkZ!&J,Q#>
+^[(n#^RtIDrK-cXrP/!Or4`6(^&NT~>
+`W,q0!0I,NpX&m=!.Xr3!$D/Y!+5Z="44ftYjVPjE;s;A;#S-/d/1'EOQHKBOSrP_E;BP4Yh&jS
+J,<(>J,YQ+^B!0iYQ1<err@QJOSjV.OSkaLYk\7nOSkaNYke=uE:I<3E;H3\Yj[)6s8>1ROSQ-\
+^[]\K^UsMr~>
+`W,q0!0I,NpX&m=!.Xr3!$D/Y!+5Z="44ftYjVPjE;s;A;#S-/d/1'EOQHKBOSrP_E;BP4Yh&jS
+J,<(>J,YQ+^B!0iYQ1<err@QJOSjV.OSkaLYk\7nOSkaNYke=uE:I<3E;H3\Yj[)6s8>1ROSQ-\
+^[]\K^UsMr~>
+`W,q0!0I,NpX&m=!.Xr3!$D/Y!+5Z="44ftYjVPjE;s;A;#S-/d/1'EOQHKBOSrP_E;BP4Yh&jS
+J,<(>J,YQ+^B!0iYQ1<err@QJOSjV.OSkaLYk\7nOSkaNYke=uE:I<3E;H3\Yj[)6s8>1ROSQ-\
+^[]\K^UsMr~>
+`W#qbrgs1PrL`f1rr2tJrBC9(rGVaDrP/BZrkJK;n,EEME;j5A;#J'.d/:-DO8rYNrrA/Z?i"a;
+s8B1Us8?p:J,<(=J,bW.^]!'gYkJ(tT7?j%qLAF8rNQ(spQ5?Gs0)KqqYpQ"rGVgfOHAs=r,DV,
+d]i:ljcKGF!5J$MqnK`BJ,~>
+`W#qbrgs1PrL`f1rr2tJrBC9(rGVaDrP/BZrkJK;n,EEME;j5A;#J'.d/:-DO8rYNrrA/Z?i"a;
+s8B1Us8?p:J,<(=J,bW.^]!'gYkJ(tT7?j%qLAF8rNQ(spQ5?Gs0)KqqYpQ"rGVgfOHAs=r,DV,
+d]i:ljcKGF!5J$MqnK`BJ,~>
+`W#qbrgs1PrL`f1rr2tJrBC9(rGVaDrP/BZrkJK;n,EEME;j5A;#J'.d/:-DO8rYNrrA/Z?i"a;
+s8B1Us8?p:J,<(=J,bW.^]!'gYkJ(tT7?j%qLAF8rNQ(spQ5?Gs0)KqqYpQ"rGVgfOHAs=r,DV,
+d]i:ljcKGF!5J$MqnK`BJ,~>
+`;fh/s,d2Op<`g=r'(0'rG_bNrQtMX!3knk!cVLRqG@.*!7:VIpQ4Y>s,d7fs%rQ2qZ$JthZ*@i
+!.XlBqLAO,rP/9frNQ(ss*t$0q0rC+rLa(nq#CADq2kNHs02>!r,;Xcr/g>Rrbqk0bHUbkjcJuY
+rP&?ZrkAH*\c70~>
+`;fh/s,d2Op<`g=r'(0'rG_bNrQtMX!3knk!cVLRqG@.*!7:VIpQ4Y>s,d7fs%rQ2qZ$JthZ*@i
+!.XlBqLAO,rP/9frNQ(ss*t$0q0rC+rLa(nq#CADq2kNHs02>!r,;Xcr/g>Rrbqk0bHUbkjcJuY
+rP&?ZrkAH*\c70~>
+`;fh/s,d2Op<`g=r'(0'rG_bNrQtMX!3knk!cVLRqG@.*!7:VIpQ4Y>s,d7fs%rQ2qZ$JthZ*@i
+!.XlBqLAO,rP/9frNQ(ss*t$0q0rC+rLa(nq#CADq2kNHs02>!r,;Xcr/g>Rrbqk0bHUbkjcJuY
+rP&?ZrkAH*\c70~>
+_uK_.!0I,Np<`j>!.Xr3!$D/Y!FNV=d/C]ZYjVPj?i*[t^AuXXYkF1DrrA/Z;#,),s8B1\s7C71
+J,3"<J,bT1^\QdcYl"J#J,YN0E;P.`OT1sPYk\4uE;k@`OStgOYke;!J,O<dJ,GE+YjYs!E;cEN
+Yl9.IOR]RS^\,tN^])U[^Asn9s*t~>
+_uK_.!0I,Np<`j>!.Xr3!$D/Y!FNV=d/C]ZYjVPj?i*[t^AuXXYkF1DrrA/Z;#,),s8B1\s7C71
+J,3"<J,bT1^\QdcYl"J#J,YN0E;P.`OT1sPYk\4uE;k@`OStgOYke;!J,O<dJ,GE+YjYs!E;cEN
+Yl9.IOR]RS^\,tN^])U[^Asn9s*t~>
+_uK_.!0I,Np<`j>!.Xr3!$D/Y!FNV=d/C]ZYjVPj?i*[t^AuXXYkF1DrrA/Z;#,),s8B1\s7C71
+J,3"<J,bT1^\QdcYl"J#J,YN0E;P.`OT1sPYk\4uE;k@`OStgOYke;!J,O<dJ,GE+YjYs!E;cEN
+Yl9.IOR]RS^\,tN^])U[^Asn9s*t~>
+_uBkdT:_4,rL`c0!WRZI56)f(E;IrZ^AtM+s8QI&;#J**YkO7ZJ,`mBrrA/Z;#,),s8B1`s6t"-
+J,<(<IfPT*hu0eXs8RTKOT0:sJ,#-#rr@$9J,GE+T)l0gq>UVJ?XIbkJ,GE+Yl=[n?i+g7T>%Q+
+^\H1P^\lFZ^Rr"8J,~>
+_uBkdT:_4,rL`c0!WRZI56)f(E;IrZ^AtM+s8QI&;#J**YkO7ZJ,`mBrrA/Z;#,),s8B1`s6t"-
+J,<(<IfPT*hu0eXs8RTKOT0:sJ,#-#rr@$9J,GE+T)l0gq>UVJ?XIbkJ,GE+Yl=[n?i+g7T>%Q+
+^\H1P^\lFZ^Rr"8J,~>
+_uBkdT:_4,rL`c0!WRZI56)f(E;IrZ^AtM+s8QI&;#J**YkO7ZJ,`mBrrA/Z;#,),s8B1`s6t"-
+J,<(<IfPT*hu0eXs8RTKOT0:sJ,#-#rr@$9J,GE+T)l0gq>UVJ?XIbkJ,GE+Yl=[n?i+g7T>%Q+
+^\H1P^\lFZ^Rr"8J,~>
+_Z0V-s,d2Op<`j>!.Xr3!?Z:ZOS[?%^AtM,s8HC&;#\6)YQBo9J,GE)IfNjDrrA/Z;#,),s8B1d
+s6Xb,OFMcW;#5\@OSI`3YQ=cRrfI/!qg\C&q#:>dqLAL+r1F"nq>UGEr*KGRr/gl]q>^1rp2K>i
+d'32Xr6Y5Rqp5>X[Jta~>
+_Z0V-s,d2Op<`j>!.Xr3!?Z:ZOS[?%^AtM,s8HC&;#\6)YQBo9J,GE)IfNjDrrA/Z;#,),s8B1d
+s6Xb,OFMcW;#5\@OSI`3YQ=cRrfI/!qg\C&q#:>dqLAL+r1F"nq>UGEr*KGRr/gl]q>^1rp2K>i
+d'32Xr6Y5Rqp5>X[Jta~>
+_Z0V-s,d2Op<`j>!.Xr3!?Z:ZOS[?%^AtM,s8HC&;#\6)YQBo9J,GE)IfNjDrrA/Z;#,),s8B1d
+s6Xb,OFMcW;#5\@OSI`3YQ=cRrfI/!qg\C&q#:>dqLAL+r1F"nq>UGEr*KGRr/gl]q>^1rp2K>i
+d'32Xr6Y5Rqp5>X[Jta~>
+_>jM,s,d2Op<Wj?J,V\4E;Paod/(NGs8QI&:]S9(YQ0d`IfPT(IfNjFrrA/Z;#,),s8B1hs64M&
+O8se-;#Gh@OSI`3Yl9aaE;P.[OSAeMJ,bW.T)l0gq>^A"s*t!/r36"ss*slPnSm?Wjfmg\r6YJ9
+[/YX~>
+_>jM,s,d2Op<Wj?J,V\4E;Paod/(NGs8QI&:]S9(YQ0d`IfPT(IfNjFrrA/Z;#,),s8B1hs64M&
+O8se-;#Gh@OSI`3Yl9aaE;P.[OSAeMJ,bW.T)l0gq>^A"s*t!/r36"ss*slPnSm?Wjfmg\r6YJ9
+[/YX~>
+_>jM,s,d2Op<Wj?J,V\4E;Paod/(NGs8QI&:]S9(YQ0d`IfPT(IfNjFrrA/Z;#,),s8B1hs64M&
+O8se-;#Gh@OSI`3Yl9aaE;P.[OSAeMJ,bW.T)l0gq>^A"s*t!/r36"ss*slPnSm?Wjfmg\r6YJ9
+[/YX~>
+_>aYQT:_4,rL`c0!<;t9!2'1NqU#)RnGiJpr(mAXos"IXrdOoenpg61!0I.UqJc91rNPekk&C?^
+!.XiAs*sj+ptu(Trc%aaplP7M!-%[^r1F"nq>UGEr*TGQrfI&^qZ$SFr*KGcr_NT%mVpgNos";-
+o:H#epV6XQs0)KqZi>O~>
+_>aYQT:_4,rL`c0!<;t9!2'1NqU#)RnGiJpr(mAXos"IXrdOoenpg61!0I.UqJc91rNPekk&C?^
+!.XiAs*sj+ptu(Trc%aaplP7M!-%[^r1F"nq>UGEr*TGQrfI&^qZ$SFr*KGcr_NT%mVpgNos";-
+o:H#epV6XQs0)KqZi>O~>
+_>aYQT:_4,rL`c0!<;t9!2'1NqU#)RnGiJpr(mAXos"IXrdOoenpg61!0I.UqJc91rNPekk&C?^
+!.XiAs*sj+ptu(Trc%aaplP7M!-%[^r1F"nq>UGEr*TGQrfI&^qZ$SFr*KGcr_NT%mVpgNos";-
+o:H#epV6XQs0)KqZi>O~>
+_#OD+s,d2Op!<^=r,;Y.r/gd%s1eT<rkAH;nc/VrrD<JXornFXrdXlcnp^XHp&>#RrD<?0qZ$Jt
+p]'/jrfI/0qG?sKptu%Sr."I&p\t54pOE+&s02>!!.XoRqgSU-rNQ+ts*srR!0I2Ps3UdBqd8r6
+^RtG.q7lmT!2'7p!2$RsJ,~>
+_#OD+s,d2Op!<^=r,;Y.r/gd%s1eT<rkAH;nc/VrrD<JXornFXrdXlcnp^XHp&>#RrD<?0qZ$Jt
+p]'/jrfI/0qG?sKptu%Sr."I&p\t54pOE+&s02>!!.XoRqgSU-rNQ+ts*srR!0I2Ps3UdBqd8r6
+^RtG.q7lmT!2'7p!2$RsJ,~>
+_#OD+s,d2Op!<^=r,;Y.r/gd%s1eT<rkAH;nc/VrrD<JXornFXrdXlcnp^XHp&>#RrD<?0qZ$Jt
+p]'/jrfI/0qG?sKptu%Sr."I&p\t54pOE+&s02>!!.XoRqgSU-rNQ+ts*srR!0I2Ps3UdBqd8r6
+^RtG.q7lmT!2'7p!2$RsJ,~>
+^]4;*s,d5Po[!T1r,DOpqp>>Ws02L;!3l%ora,Y%q`jbX!K_g+E:SMRs8S2Z;#5/-s89+PE!28p
+T7;@f:]Q">OSI`4YQAcnJ+o'!rr@$4J,><-TD8EdJ,E[NJ,HPHs8RTI?iQ5eTDm1=TE"rj;"n>l
+E9!SbORJh:Yku37ciB^9YQ1<#s*t~>
+^]4;*s,d5Po[!T1r,DOpqp>>Ws02L;!3l%ora,Y%q`jbX!K_g+E:SMRs8S2Z;#5/-s89+PE!28p
+T7;@f:]Q">OSI`4YQAcnJ+o'!rr@$4J,><-TD8EdJ,E[NJ,HPHs8RTI?iQ5eTDm1=TE"rj;"n>l
+E9!SbORJh:Yku37ciB^9YQ1<#s*t~>
+^]4;*s,d5Po[!T1r,DOpqp>>Ws02L;!3l%ora,Y%q`jbX!K_g+E:SMRs8S2Z;#5/-s89+PE!28p
+T7;@f:]Q">OSI`4YQAcnJ+o'!rr@$4J,><-TD8EdJ,E[NJ,HPHs8RTI?iQ5eTDm1=TE"rj;"n>l
+E9!SbORJh:Yku37ciB^9YQ1<#s*t~>
+^]4;*rfI,Oo[!SfrGVb/r/gd%rkAWoYctmWYk%ho;#3ERYQ1<nYlBgXE;4qTDuc!u;#,),s8B1P
+E;cC/J,2tAJ,#-#hZ0;JYkX=Rs8R'5J,><-TD8EdJ,E[MJ,Z\PTDANeJ,NaSOT(mOciB^7s8Gjd
+?i=s7TBq[2TCfAd^]2[\TDYprs*t~>
+^]4;*rfI,Oo[!SfrGVb/r/gd%rkAWoYctmWYk%ho;#3ERYQ1<nYlBgXE;4qTDuc!u;#,),s8B1P
+E;cC/J,2tAJ,#-#hZ0;JYkX=Rs8R'5J,><-TD8EdJ,E[MJ,Z\PTDANeJ,NaSOT(mOciB^7s8Gjd
+?i=s7TBq[2TCfAd^]2[\TDYprs*t~>
+^]4;*rfI,Oo[!SfrGVb/r/gd%rkAWoYctmWYk%ho;#3ERYQ1<nYlBgXE;4qTDuc!u;#,),s8B1P
+E;cC/J,2tAJ,#-#hZ0;JYkX=Rs8R'5J,><-TD8EdJ,E[MJ,Z\PTDANeJ,NaSOT(mOciB^7s8Gjd
+?i=s7TBq[2TCfAd^]2[\TDYprs*t~>
+^An2)s,d2Oo[*MT!2'1NqU#8Ws53j\rkJ()r_WGUqlg'mr3-0_no4MVno+SjrD<</qZ$MucuAhX
+s*sg*ptl1GYcr*DOS8\TT5aOSr/^rOOSJhUJ,NaNJ,QSOTDANeJ,E[ROT1sPd/Ta3rr@$;;"%cN
+OS>C:YlDH>d%?s.YcIeS~>
+^An2)s,d2Oo[*MT!2'1NqU#8Ws53j\rkJ()r_WGUqlg'mr3-0_no4MVno+SjrD<</qZ$MucuAhX
+s*sg*ptl1GYcr*DOS8\TT5aOSr/^rOOSJhUJ,NaNJ,QSOTDANeJ,E[ROT1sPd/Ta3rr@$;;"%cN
+OS>C:YlDH>d%?s.YcIeS~>
+^An2)s,d2Oo[*MT!2'1NqU#8Ws53j\rkJ()r_WGUqlg'mr3-0_no4MVno+SjrD<</qZ$MucuAhX
+s*sg*ptl1GYcr*DOS8\TT5aOSr/^rOOSJhUJ,NaNJ,QSOTDANeJ,E[ROT1sPd/Ta3rr@$;;"%cN
+OS>C:YlDH>d%?s.YcIeS~>
+^&S)(s,d5Po[!T1rG_e/r/gd%s1eTkrilF;oDeedqEOYW!g$5Ti,A[XrD<</qZ$MueStKe!Io(b
+;#c%@OS@Z3Yl0[WrrJa2pOE+&s.B)d!.XoRqg\RK!2'&ds*srRs,d8Qrm:\;pAY/#E;a/C;!D?T
+OSYU9YQE1DTDl'ms*t~>
+^&S)(s,d5Po[!T1rG_e/r/gd%s1eTkrilF;oDeedqEOYW!g$5Ti,A[XrD<</qZ$MueStKe!Io(b
+;#c%@OS@Z3Yl0[WrrJa2pOE+&s.B)d!.XoRqg\RK!2'&ds*srRs,d8Qrm:\;pAY/#E;a/C;!D?T
+OSYU9YQE1DTDl'ms*t~>
+^&S)(s,d5Po[!T1rG_e/r/gd%s1eTkrilF;oDeedqEOYW!g$5Ti,A[XrD<</qZ$MueStKe!Io(b
+;#c%@OS@Z3Yl0[WrrJa2pOE+&s.B)d!.XoRqg\RK!2'&ds*srRs,d8Qrm:\;pAY/#E;a/C;!D?T
+OSYU9YQE1DTDl'ms*t~>
+^&S)(rfI,Oo[!SfrG_e/rK-m&rkJKjrilF;oDehe!&4:7!2&ths,d.Tol0h9oPaelrD<</qu?Su
+!cVLRgi3&g!H::#;#Yt?OSI]9T<PP=OS8\TT5aOSr/grNq#:>Dr*T;MrilEpq#CADrEoPcs.B;;
+!2&ras)@pDr1F!cia;MCrh&ngpg<uLs.B=qV#Pr~>
+^&S)(rfI,Oo[!SfrG_e/rK-m&rkJKjrilF;oDehe!&4:7!2&ths,d.Tol0h9oPaelrD<</qu?Su
+!cVLRgi3&g!H::#;#Yt?OSI]9T<PP=OS8\TT5aOSr/grNq#:>Dr*T;MrilEpq#CADrEoPcs.B;;
+!2&ras)@pDr1F!cia;MCrh&ngpg<uLs.B=qV#Pr~>
+^&S)(rfI,Oo[!SfrG_e/rK-m&rkJKjrilF;oDehe!&4:7!2&ths,d.Tol0h9oPaelrD<</qu?Su
+!cVLRgi3&g!H::#;#Yt?OSI]9T<PP=OS8\TT5aOSr/grNq#:>Dr*T;MrilEpq#CADrEoPcs.B;;
+!2&ras)@pDr1F!cia;MCrh&ngpg<uLs.B=qV#Pr~>
+]`7u'rfI,Oo[!SfrGVb/r/gd%s1eNiricC;oDehe!&4:7!2'1n!2'1n!0I"Qpi,q6q/?=qrD<?0
+qZ$JthJi)d!e5/Rqb[9AqN1I/!hZ^$p\t;eE,bT%r/grNp\t5Cr*T>NrNH9oq#C>CrEoPcs.B;;
+!2&ras)@pDr1=&;^VBdJ!\ci'iDB)PpO<:;YeRrIs*t~>
+]`7u'rfI,Oo[!SfrGVb/r/gd%s1eNiricC;oDehe!&4:7!2'1n!2'1n!0I"Qpi,q6q/?=qrD<?0
+qZ$JthJi)d!e5/Rqb[9AqN1I/!hZ^$p\t;eE,bT%r/grNp\t5Cr*T>NrNH9oq#C>CrEoPcs.B;;
+!2&ras)@pDr1=&;^VBdJ!\ci'iDB)PpO<:;YeRrIs*t~>
+]`7u'rfI,Oo[!SfrGVb/r/gd%s1eNiricC;oDehe!&4:7!2'1n!2'1n!0I"Qpi,q6q/?=qrD<?0
+qZ$JthJi)d!e5/Rqb[9AqN1I/!hZ^$p\t;eE,bT%r/grNp\t5Cr*T>NrNH9oq#C>CrEoPcs.B;;
+!2&ras)@pDr1=&;^VBdJ!\ci'iDB)PpO<:;YeRrIs*t~>
+]Dqo'rK.&OpWs$"d*SE`E;uR.OS[?(^]!'hYQ;MCp&G"f!&4:7qlg'mr3-0_pJCd,mpH*6!FLre
+;#5/-s89+\E:3c+Du`-";#Yt@OSI]8T<PP=q>^J6pj`1&!2'#c!.XoRqLALKs.B)drdXlRrf@,P
+rm:\;p&G&2rEoJprkJ()s"OI;mSN[cnULJOUAo`~>
+]Dqo'rK.&OpWs$"d*SE`E;uR.OS[?(^]!'hYQ;MCp&G"f!&4:7qlg'mr3-0_pJCd,mpH*6!FLre
+;#5/-s89+\E:3c+Du`-";#Yt@OSI]8T<PP=q>^J6pj`1&!2'#c!.XoRqLALKs.B)drdXlRrf@,P
+rm:\;p&G&2rEoJprkJ()s"OI;mSN[cnULJOUAo`~>
+]Dqo'rK.&OpWs$"d*SE`E;uR.OS[?(^]!'hYQ;MCp&G"f!&4:7qlg'mr3-0_pJCd,mpH*6!FLre
+;#5/-s89+\E:3c+Du`-";#Yt@OSI]8T<PP=q>^J6pj`1&!2'#c!.XoRqLALKs.B)drdXlRrf@,P
+rm:\;p&G&2rEoJprkJ()s"OI;mSN[cnULJOUAo`~>
+]Dql&rfI,Oo[!SfrG_e/rK-m&s1eKhr35kor_NSKr'(1Rqlg'mrNQ<`ohb[-lX'XRrD<?0qZ$Jt
+k&BVc"+P8S5Q"@VJ,59%hZBFSYl"J#E;4q[O8tpHrr@QI?i#9NYQ1<is8RTH?iH,eTDm1;TCr3c
+?Z9u_?i6Pq^[V:'J,EXRTD^J?;#Xi"J,0*EYl0(MTDQBts*t~>
+]Dql&rfI,Oo[!SfrG_e/rK-m&s1eKhr35kor_NSKr'(1Rqlg'mrNQ<`ohb[-lX'XRrD<?0qZ$Jt
+k&BVc"+P8S5Q"@VJ,59%hZBFSYl"J#E;4q[O8tpHrr@QI?i#9NYQ1<is8RTH?iH,eTDm1;TCr3c
+?Z9u_?i6Pq^[V:'J,EXRTD^J?;#Xi"J,0*EYl0(MTDQBts*t~>
+]Dql&rfI,Oo[!SfrG_e/rK-m&s1eKhr35kor_NSKr'(1Rqlg'mrNQ<`ohb[-lX'XRrD<?0qZ$Jt
+k&BVc"+P8S5Q"@VJ,59%hZBFSYl"J#E;4q[O8tpHrr@QI?i#9NYQ1<is8RTH?iH,eTDm1;TCr3c
+?Z9u_?i6Pq^[V:'J,EXRTD^J?;#Xi"J,0*EYl0(MTDQBts*t~>
+])Vc%rfI,Oo[!Sfrc%k/rK-m&s1eKhqloeos%r_Lr'(1Rr363nrNQ<`!+5:nm9]jTrD<?0qZ$Mu
+qd8f2kPk^8E.;gk5Q"@VJ,>?&huB;LY]0UArc%X^r/grNp\t5Cr*T>NrNH9op](5Br*TJcs.B;;
+!2&ra!FKgD?i6Pq^[V:'J,E[PTDlUlrrB;%J,Q#:^S:aY~>
+])Vc%rfI,Oo[!Sfrc%k/rK-m&s1eKhqloeos%r_Lr'(1Rr363nrNQ<`!+5:nm9]jTrD<?0qZ$Mu
+qd8f2kPk^8E.;gk5Q"@VJ,>?&huB;LY]0UArc%X^r/grNp\t5Cr*T>NrNH9op](5Br*TJcs.B;;
+!2&ra!FKgD?i6Pq^[V:'J,E[PTDlUlrrB;%J,Q#:^S:aY~>
+])Vc%rfI,Oo[!Sfrc%k/rK-m&s1eKhqloeos%r_Lr'(1Rr363nrNQ<`!+5:nm9]jTrD<?0qZ$Mu
+qd8f2kPk^8E.;gk5Q"@VJ,>?&huB;LY]0UArc%X^r/grNp\t5Cr*T>NrNH9op](5Br*TJcs.B;;
+!2&ra!FKgD?i6Pq^[V:'J,E[PTDlUlrrB;%J,Q#:^S:aY~>
+\c;]%rK.&OpWs'#d*SD7rc%k/rK-m&s1eKh!5JE8q#C=i!&4:7!2'1ns.B7o!0I.dmSNR`s)@p5
+q/H31rNQ3,no3ak!.Xrd!Io(f5Q+FUJ,GE'hu95ME1_)gpj`4's.B#b!.XrSqLALKs.B&crdXlR
+rf@,Prm:\;p&>&"E;a/AT)d7;^[V:'J,E[PTDlUlrrB;%J,Q#;^S1[X~>
+\c;]%rK.&OpWs'#d*SD7rc%k/rK-m&s1eKh!5JE8q#C=i!&4:7!2'1ns.B7o!0I.dmSNR`s)@p5
+q/H31rNQ3,no3ak!.Xrd!Io(f5Q+FUJ,GE'hu95ME1_)gpj`4's.B#b!.XrSqLALKs.B&crdXlR
+rf@,Prm:\;p&>&"E;a/AT)d7;^[V:'J,E[PTDlUlrrB;%J,Q#;^S1[X~>
+\c;]%rK.&OpWs'#d*SD7rc%k/rK-m&s1eKh!5JE8q#C=i!&4:7!2'1ns.B7o!0I.dmSNR`s)@p5
+q/H31rNQ3,no3ak!.Xrd!Io(f5Q+FUJ,GE'hu95ME1_)gpj`4's.B#b!.XrSqLALKs.B&crdXlR
+rf@,Prm:\;p&>&"E;a/AT)d7;^[V:'J,E[PTDlUlrrB;%J,Q#;^S1[X~>
+\c;Z$rK.&OpWs$"d*R:@E;uR/OSR6'^]!'h^\b81s8Ggp0`+'7TDYnnTDYnnOT,:Y?gLVh?i=sC
+?i<gsE;T\5Yl%l%E97*"J,+$aIrPBOrD<B@rK-g3rLX(/pj`4's.B#b!.XoRqg\RK!2&ubrc%gC
+rf@,Prm:\;p&>&"E;a/AT*!BS^[M4&J,E[PTDlUlrrB;&J,Gr:^S1[X~>
+\c;Z$rK.&OpWs$"d*R:@E;uR/OSR6'^]!'h^\b81s8Ggp0`+'7TDYnnTDYnnOT,:Y?gLVh?i=sC
+?i<gsE;T\5Yl%l%E97*"J,+$aIrPBOrD<B@rK-g3rLX(/pj`4's.B#b!.XoRqg\RK!2&ubrc%gC
+rf@,Prm:\;p&>&"E;a/AT*!BS^[M4&J,E[PTDlUlrrB;&J,Gr:^S1[X~>
+\c;Z$rK.&OpWs$"d*R:@E;uR/OSR6'^]!'h^\b81s8Ggp0`+'7TDYnnTDYnnOT,:Y?gLVh?i=sC
+?i<gsE;T\5Yl%l%E97*"J,+$aIrPBOrD<B@rK-g3rLX(/pj`4's.B#b!.XoRqg\RK!2&ubrc%gC
+rf@,Prm:\;p&>&"E;a/AT*!BS^[M4&J,E[PTDlUlrrB;&J,Gr:^S1[X~>
+\GuQ#rfI/PpX&rts3Laqrc%k/rK-m&s1eTkr4i*4q>^Iks"O@8s.B7os.B7os,d0YrEnqgqHj5a
+rD<</qu?SurEo>=jo5=1p2C%^E;`$#;#5\?OSI`3T)`j-J,GE.TD&9bJ,E[MJ,Z\PTD/BbE;X)B
+O8tpPciB^1rrHJGrEoJp!mn]sn,NE;r*TDps1\Q<m/I3mIt+**rNQ47U&TW~>
+\GuQ#rfI/PpX&rts3Laqrc%k/rK-m&s1eTkr4i*4q>^Iks"O@8s.B7os.B7os,d0YrEnqgqHj5a
+rD<</qu?SurEo>=jo5=1p2C%^E;`$#;#5\?OSI`3T)`j-J,GE.TD&9bJ,E[MJ,Z\PTD/BbE;X)B
+O8tpPciB^1rrHJGrEoJp!mn]sn,NE;r*TDps1\Q<m/I3mIt+**rNQ47U&TW~>
+\GuQ#rfI/PpX&rts3Laqrc%k/rK-m&s1eTkr4i*4q>^Iks"O@8s.B7os.B7os,d0YrEnqgqHj5a
+rD<</qu?SurEo>=jo5=1p2C%^E;`$#;#5\?OSI`3T)`j-J,GE.TD&9bJ,E[MJ,Z\PTD/BbE;X)B
+O8tpPciB^1rrHJGrEoJp!mn]sn,NE;r*TDps1\Q<m/I3mIt+**rNQ47U&TW~>
+\GuQ#rK.&OpX&rt!mmQhrc%k/rK-m&s1\QkqS2p3q>^Iks"O@8s.B7os.B7o!0I!UqHrhjqHj5a
+rD<?0qZ$Mu!2'3sr,C`ss*sWZ!Io(e5Q4LUJ,YQ*huE3ET)`j0J,GE.TCr3aJ,E[NJ,QSOTD&<a
+E;a/BOT!N+TCi-a?Z>sNr1=&;^VB7;s*srRrLa,)!3khi!3lHp!5JK:s3Ub[U&TW~>
+\GuQ#rK.&OpX&rt!mmQhrc%k/rK-m&s1\QkqS2p3q>^Iks"O@8s.B7os.B7o!0I!UqHrhjqHj5a
+rD<?0qZ$Mu!2'3sr,C`ss*sWZ!Io(e5Q4LUJ,YQ*huE3ET)`j0J,GE.TCr3aJ,E[NJ,QSOTD&<a
+E;a/BOT!N+TCi-a?Z>sNr1=&;^VB7;s*srRrLa,)!3khi!3lHp!5JK:s3Ub[U&TW~>
+\GuQ#rK.&OpX&rt!mmQhrc%k/rK-m&s1\QkqS2p3q>^Iks"O@8s.B7os.B7o!0I!UqHrhjqHj5a
+rD<?0qZ$Mu!2'3sr,C`ss*sWZ!Io(e5Q4LUJ,YQ*huE3ET)`j0J,GE.TCr3aJ,E[NJ,QSOTD&<a
+E;a/BOT!N+TCi-a?Z>sNr1=&;^VB7;s*srRrLa,)!3khi!3lHp!5JK:s3Ub[U&TW~>
+\,ZH"rK.&OpsB#t!mlFHrc%k/rfHs&!P`UL^\b58TDSZf;#`6I5Q@ASYlC?oYQ0dYs6!_hOSr#P
+E;KV6YlC?n?fM(cJ+7LWJ,DP2;#,V?OSn#7nGJmYE;PasTD&9bJ,E[MJ,Z\PTD&<bE;X)AOT*W,
+TCi0\?i6Mtd(d?as8RTH?i?Vs^AtM*s8T>'TDu\*Yl2rK^S1[X~>
+\,ZH"rK.&OpsB#t!mlFHrc%k/rfHs&!P`UL^\b58TDSZf;#`6I5Q@ASYlC?oYQ0dYs6!_hOSr#P
+E;KV6YlC?n?fM(cJ+7LWJ,DP2;#,V?OSn#7nGJmYE;PasTD&9bJ,E[MJ,Z\PTD&<bE;X)AOT*W,
+TCi0\?i6Mtd(d?as8RTH?i?Vs^AtM*s8T>'TDu\*Yl2rK^S1[X~>
+\,ZH"rK.&OpsB#t!mlFHrc%k/rfHs&!P`UL^\b58TDSZf;#`6I5Q@ASYlC?oYQ0dYs6!_hOSr#P
+E;KV6YlC?n?fM(cJ+7LWJ,DP2;#,V?OSn#7nGJmYE;PasTD&9bJ,E[MJ,Z\PTD&<bE;X)AOT*W,
+TCi0\?i6Mtd(d?as8RTH?i?Vs^AtM*s8T>'TDu\*Yl2rK^S1[X~>
+[f?B"r/^oNpsAus!RQ>qE;cF.OS[?(^]/9L^\k>8T)auOs8Ppp0`=69TDc"nTDl(pORW;;?N?2d
+;#5/-rrB;%TA]_L?gr%7J,bT2IrP?Nr_WE?s,d6;qXFET!-%q!s.Aua!.XrSqLAIJ!2&ubrc%gC
+r/gp)!2&o`qd98ns3Ue\n,NE;r,DV,s1\Q<mJm3js.B>+ril:HU&TW~>
+[f?B"r/^oNpsAus!RQ>qE;cF.OS[?(^]/9L^\k>8T)auOs8Ppp0`=69TDc"nTDl(pORW;;?N?2d
+;#5/-rrB;%TA]_L?gr%7J,bT2IrP?Nr_WE?s,d6;qXFET!-%q!s.Aua!.XrSqLAIJ!2&ubrc%gC
+r/gp)!2&o`qd98ns3Ue\n,NE;r,DV,s1\Q<mJm3js.B>+ril:HU&TW~>
+[f?B"r/^oNpsAus!RQ>qE;cF.OS[?(^]/9L^\k>8T)auOs8Ppp0`=69TDc"nTDl(pORW;;?N?2d
+;#5/-rrB;%TA]_L?gr%7J,bT2IrP?Nr_WE?s,d6;qXFET!-%q!s.Aua!.XrSqLAIJ!2&ubrc%gC
+r/gp)!2&o`qd98ns3Ue\n,NE;r,DV,s1\Q<mJm3js.B>+ril:HU&TW~>
+[f??!rK.&OqU#6!"OQ&`Y^cXkrh'.NqU#8Ws)@eKril<m!0I3[s%r\KrBL=SrNQ9nrilEalMpH_
+!0I.UqJc?3!3lBnj8]*cno4MVs,d81r'13Xpj`=*!8mS@r1=%0T:bfV!.XoRqg\RK!2&ras)@mC
+rK.!)!2&o`qd98ns3Lb\mf3<:rG_\,s1dq#s0)KqrkJK;qTtr9J,~>
+[f??!rK.&OqU#6!"OQ&`Y^cXkrh'.NqU#8Ws)@eKril<m!0I3[s%r\KrBL=SrNQ9nrilEalMpH_
+!0I.UqJc?3!3lBnj8]*cno4MVs,d81r'13Xpj`=*!8mS@r1=%0T:bfV!.XoRqg\RK!2&ras)@mC
+rK.!)!2&o`qd98ns3Lb\mf3<:rG_\,s1dq#s0)KqrkJK;qTtr9J,~>
+[f??!rK.&OqU#6!"OQ&`Y^cXkrh'.NqU#8Ws)@eKril<m!0I3[s%r\KrBL=SrNQ9nrilEalMpH_
+!0I.UqJc?3!3lBnj8]*cno4MVs,d81r'13Xpj`=*!8mS@r1=%0T:bfV!.XoRqg\RK!2&ras)@mC
+rK.!)!2&o`qd98ns3Lb\mf3<:rG_\,s1dq#s0)KqrkJK;qTtr9J,~>
+[K$5urK.&Or6YB!#128bIt)EVrLa(Nq9T,VrG_VJ!3l<ls,[6\r_WSJrBL=SrNQ9nricBag].4K
+q/H62qk*$Nqd9#8q1&C*!Io(d5Q=RRJ+rI1T)`j(s8RTI?i#9OYlC?hs8I!8?i?)cd/Ta1s8-1$
+TE!7<^[D.%J,O?aTDu[ms8T;)T>//?Ykl_?s*t~>
+[K$5urK.&Or6YB!#128bIt)EVrLa(Nq9T,VrG_VJ!3l<ls,[6\r_WSJrBL=SrNQ9nricBag].4K
+q/H62qk*$Nqd9#8q1&C*!Io(d5Q=RRJ+rI1T)`j(s8RTI?i#9OYlC?hs8I!8?i?)cd/Ta1s8-1$
+TE!7<^[D.%J,O?aTDu[ms8T;)T>//?Ykl_?s*t~>
+[K$5urK.&Or6YB!#128bIt)EVrLa(Nq9T,VrG_VJ!3l<ls,[6\r_WSJrBL=SrNQ9nricBag].4K
+q/H62qk*$Nqd9#8q1&C*!Io(d5Q=RRJ+rI1T)`j(s8RTI?i#9OYlC?hs8I!8?i?)cd/Ta1s8-1$
+TE!7<^[D.%J,O?aTDu[ms8T;)T>//?Ykl_?s*t~>
+[/^/ur/^oNr6Y>u#128SIt)EVrLa(Nq9T,Vr,DPJpn.SJs%r\KrBL:RrNQ9ns02Nbg].4Kq/H31
+qk*0Rq-Wl8oR?rBIt.>[!)W?<p[J*Qp\t5Cr*T>NrNH9op&G&2r*TA`rm1Y;oDe\pr1F#9!5It%
+s*sudr1F#(mJm3js.B>+s02=GU&TW~>
+[/^/ur/^oNr6Y>u#128SIt)EVrLa(Nq9T,Vr,DPJpn.SJs%r\KrBL:RrNQ9ns02Nbg].4Kq/H31
+qk*0Rq-Wl8oR?rBIt.>[!)W?<p[J*Qp\t5Cr*T>NrNH9op&G&2r*TA`rm1Y;oDe\pr1F#9!5It%
+s*sudr1F#(mJm3js.B>+s02=GU&TW~>
+[/^/ur/^oNr6Y>u#128SIt)EVrLa(Nq9T,Vr,DPJpn.SJs%r\KrBL:RrNQ9ns02Nbg].4Kq/H31
+qk*0Rq-Wl8oR?rBIt.>[!)W?<p[J*Qp\t5Cr*T>NrNH9op&G&2r*TA`rm1Y;oDe\pr1F#9!5It%
+s*sudr1F#(mJm3js.B>+s02=GU&TW~>
+[/^,tr/^oNrm:Ju"45r0J,XEcTDjrKd/UlXE;mWNYkammOAJdQ0`=68TDl(oTDl(pOPBg6;#,),
+s8/GUs7]mqE:eYZs8INF56+ORJ+iC0TDJTfJ,NaNJ,Z\PTCr6aE;X)AOT!N+TC`*[?i6PrciCiL
+s8INHE;Z=/^Td,*s0)KqrkJK;q9Yi8J,~>
+[/^,tr/^oNrm:Ju"45r0J,XEcTDjrKd/UlXE;mWNYkammOAJdQ0`=68TDl(oTDl(pOPBg6;#,),
+s8/GUs7]mqE:eYZs8INF56+ORJ+iC0TDJTfJ,NaNJ,Z\PTCr6aE;X)AOT!N+TC`*[?i6PrciCiL
+s8INHE;Z=/^Td,*s0)KqrkJK;q9Yi8J,~>
+[/^,tr/^oNrm:Ju"45r0J,XEcTDjrKd/UlXE;mWNYkammOAJdQ0`=68TDl(oTDl(pOPBg6;#,),
+s8/GUs7]mqE:eYZs8INF56+ORJ+iC0TDJTfJ,NaNJ,Z\PTCr6aE;X)AOT!N+TC`*[?i6PrciCiL
+s8INHE;Z=/^Td,*s0)KqrkJK;q9Yi8J,~>
+ZiC#sr/gs*p##e!s)@n.s,d''!5J>K!5JE8q4I[`r\4:8rh'1orh'1o!0Gq7rD<</qZ$GbnGi2h
+q/GtUqZ$SFqEOY&p@/!Pr;QbHrEoDNrNH9op&G&2r*TA`rm1Y;o)JVpr1Eu8!5J"&rdXlcr1=#)
+YjVPjYQ1<p^AtM5d%UJi~>
+ZiC#sr/gs*p##e!s)@n.s,d''!5J>K!5JE8q4I[`r\4:8rh'1orh'1o!0Gq7rD<</qZ$GbnGi2h
+q/GtUqZ$SFqEOY&p@/!Pr;QbHrEoDNrNH9op&G&2r*TA`rm1Y;o)JVpr1Eu8!5J"&rdXlcr1=#)
+YjVPjYQ1<p^AtM5d%UJi~>
+ZiC#sr/gs*p##e!s)@n.s,d''!5J>K!5JE8q4I[`r\4:8rh'1orh'1o!0Gq7rD<</qZ$GbnGi2h
+q/GtUqZ$SFqEOY&p@/!Pr;QbHrEoDNrNH9op&G&2r*TA`rm1Y;o)JVpr1Eu8!5J"&rdXlcr1=#)
+YjVPjYQ1<p^AtM5d%UJi~>
+ZiC#sqiLF,s*t&fr1F"Nq9T,Vq/H/6qk*jar\4=9rLa(nrh'4ps,bt7rD<?0q>^>aoDeJjqJc(V
+p](5BqEOY&p[J'Ps8N(Kr*T>NrNH9oo`+r1r*TA`rm1Y;o)JVpr1Eu8!2&`[s*srcr1=#)YjVPj
+Yl2<:YkucJhpA%rJ,~>
+ZiC#sqiLF,s*t&fr1F"Nq9T,Vq/H/6qk*jar\4=9rLa(nrh'4ps,bt7rD<?0q>^>aoDeJjqJc(V
+p](5BqEOY&p[J'Ps8N(Kr*T>NrNH9oo`+r1r*TA`rm1Y;o)JVpr1Eu8!2&`[s*srcr1=#)YjVPj
+Yl2<:YkucJhpA%rJ,~>
+ZiC#sqiLF,s*t&fr1F"Nq9T,Vq/H/6qk*jar\4=9rLa(nrh'4ps,bt7rD<?0q>^>aoDeJjqJc(V
+p](5BqEOY&p[J'Ps8N(Kr*T>NrNH9oo`+r1r*TA`rm1Y;o)JVpr1Eu8!2&`[s*srcr1=#)YjVPj
+Yl2<:YkucJhpA%rJ,~>
+ZN'ors,d2`o\TbTIrKB)TDjrKd/UlUE;?a9TDqad0`F<8TDu.oTDu.qOPBd8OSr#SE;a/?s8/G_
+rr@$3?hn[4J+Wd@IfOHa5P9O#nGAgXJ,NaNJ,Z\PTCi-`E;X)@OT!N+TC`*[?i6Pqd-gr6J,F9a
+TDuY+Yj_VkYQ1<o^AtM6d%LDh~>
+ZN'ors,d2`o\TbTIrKB)TDjrKd/UlUE;?a9TDqad0`F<8TDu.oTDu.qOPBd8OSr#SE;a/?s8/G_
+rr@$3?hn[4J+Wd@IfOHa5P9O#nGAgXJ,NaNJ,Z\PTCi-`E;X)@OT!N+TC`*[?i6Pqd-gr6J,F9a
+TDuY+Yj_VkYQ1<o^AtM6d%LDh~>
+ZN'ors,d2`o\TbTIrKB)TDjrKd/UlUE;?a9TDqad0`F<8TDu.oTDu.qOPBd8OSr#SE;a/?s8/G_
+rr@$3?hn[4J+Wd@IfOHa5P9O#nGAgXJ,NaNJ,Z\PTCi-`E;X)@OT!N+TC`*[?i6Pqd-gr6J,F9a
+TDuY+Yj_VkYQ1<o^AtM6d%LDh~>
+Z2ag<qloeO"jl.VIrKB)TDt#KciCiTE;-U9TDqad0`F<9TDl(nTDu.qOPBd8OSr#UE;O#=s8/Gc
+s8?p3?heU4J+<R<J,)>%J+rI0TDi3pJ,QSOTCi0`E;X)@OT*T,TCW$Z?i6PrciCiKs8RTIE;Z@.
+^[D.$Yl2<:YkcWG^S(UW~>
+Z2ag<qloeO"jl.VIrKB)TDt#KciCiTE;-U9TDqad0`F<9TDl(nTDu.qOPBd8OSr#UE;O#=s8/Gc
+s8?p3?heU4J+<R<J,)>%J+rI0TDi3pJ,QSOTCi0`E;X)@OT*T,TCW$Z?i6PrciCiKs8RTIE;Z@.
+^[D.$Yl2<:YkcWG^S(UW~>
+Z2ag<qloeO"jl.VIrKB)TDt#KciCiTE;-U9TDqad0`F<9TDl(nTDu.qOPBd8OSr#UE;O#=s8/Gc
+s8?p3?heU4J+<R<J,)>%J+rI0TDi3pJ,QSOTCi0`E;X)@OT*T,TCW$Z?i6PrciCiKs8RTIE;Z@.
+^[D.$Yl2<:YkcWG^S(UW~>
+YlF^;qloeO"jl.VIrKB)TDt#KciCiSE;?a;TDh[c0`F<9TDl(nT)u6YOP9a5:]N3F?i'g"TE"rf
+E;O#7E;+kNs86j35P9O#nGAjSJ,Z\PTCi0`E;a/@OT*T,TCW$^?i=sATE!7<^[D.%J,O?aTDu[p
+s8B2#^AtM8ciN%NTDsE~>
+YlF^;qloeO"jl.VIrKB)TDt#KciCiSE;?a;TDh[c0`F<9TDl(nT)u6YOP9a5:]N3F?i'g"TE"rf
+E;O#7E;+kNs86j35P9O#nGAjSJ,Z\PTCi0`E;a/@OT*T,TCW$^?i=sATE!7<^[D.%J,O?aTDu[p
+s8B2#^AtM8ciN%NTDsE~>
+YlF^;qloeO"jl.VIrKB)TDt#KciCiSE;?a;TDh[c0`F<9TDl(nT)u6YOP9a5:]N3F?i'g"TE"rf
+E;O#7E;+kNs86j35P9O#nGAjSJ,Z\PTCi0`E;a/@OT*T,TCW$^?i=sATE!7<^[D.%J,O?aTDu[p
+s8B2#^AtM8ciN%NTDsE~>
+YQ+X;!7:VIp>6#"Y^_.Aqk*nMq9T/W?hSI:Yl(-n;#E$I5Q.5SYl(*pY`Ot#rrA/Z0_o)Ps8/Ga
+E;a/6E;>"Prr@$:?iG$?5P9O#nGAjVJ,QSOTCi0`E;X)@OT*T,TCMs]?iG$BTDm1;^[D.%J,O?a
+TDu[ps8K8#^\Q4V^RtOV~>
+YQ+X;!7:VIp>6#"Y^_.Aqk*nMq9T/W?hSI:Yl(-n;#E$I5Q.5SYl(*pY`Ot#rrA/Z0_o)Ps8/Ga
+E;a/6E;>"Prr@$:?iG$?5P9O#nGAjVJ,QSOTCi0`E;X)@OT*T,TCMs]?iG$BTDm1;^[D.%J,O?a
+TDu[ps8K8#^\Q4V^RtOV~>
+YQ+X;!7:VIp>6#"Y^_.Aqk*nMq9T/W?hSI:Yl(-n;#E$I5Q.5SYl(*pY`Ot#rrA/Z0_o)Ps8/Ga
+E;a/6E;>"Prr@$:?iG$?5P9O#nGAjVJ,QSOTCi0`E;X)@OT*T,TCMs]?iG$BTDm1;^[D.%J,O?a
+TDu[ps8K8#^\Q4V^RtOV~>
+Y5eO:!7:VIp>6#"It)EVqk!kMq9T,Vra5D=rNQ0ks%rYJr]g@Rs02En!jIcjgAh()q-X!uqk*_(
+s'P56qg\&6!-%jCs*t#e!&476omc`*qk!mcJ,Z\PTCi0`E;a/@OT*T,TCW!c?Z9@ZE,b`Irm1Y;
+n,NB:rG_\,s1e('rNQ47qp5B$d%:8f~>
+Y5eO:!7:VIp>6#"It)EVqk!kMq9T,Vra5D=rNQ0ks%rYJr]g@Rs02En!jIcjgAh()q-X!uqk*_(
+s'P56qg\&6!-%jCs*t#e!&476omc`*qk!mcJ,Z\PTCi0`E;a/@OT*T,TCW!c?Z9@ZE,b`Irm1Y;
+n,NB:rG_\,s1e('rNQ47qp5B$d%:8f~>
+Y5eO:!7:VIp>6#"It)EVqk!kMq9T,Vra5D=rNQ0ks%rYJr]g@Rs02En!jIcjgAh()q-X!uqk*_(
+s'P56qg\&6!-%jCs*t#e!&476omc`*qk!mcJ,Z\PTCi0`E;a/@OT*T,TCW!c?Z9@ZE,b`Irm1Y;
+n,NB:rG_\,s1e('rNQ47qp5B$d%:8f~>
+XoJF9!7:VIp>5u!It)G7TDt#JciF+F?h\L>Ykapk;#N*I5Q.5SYl10rY`Q)ng&M")q-X!uqk!k<
+kA^EMmJd0*r*TAOs)@ulqEOY&q!e3RrfI/a!2&l_!-%jCr/gm(!2&i^rEoSDr1Eu8mf3<:rG_\,
+s1\Q<nG`Qo^VB`o!5JBW!T27qs*t~>
+XoJF9!7:VIp>5u!It)G7TDt#JciF+F?h\L>Ykapk;#N*I5Q.5SYl10rY`Q)ng&M")q-X!uqk!k<
+kA^EMmJd0*r*TAOs)@ulqEOY&q!e3RrfI/a!2&l_!-%jCr/gm(!2&i^rEoSDr1Eu8mf3<:rG_\,
+s1\Q<nG`Qo^VB`o!5JBW!T27qs*t~>
+XoJF9!7:VIp>5u!It)G7TDt#JciF+F?h\L>Ykapk;#N*I5Q.5SYl10rY`Q)ng&M")q-X!uqk!k<
+kA^EMmJd0*r*TAOs)@ulqEOY&q!e3RrfI/a!2&l_!-%jCr/gm(!2&i^rEoSDr1Eu8mf3<:rG_\,
+s1\Q<nG`Qo^VB`o!5JBW!T27qs*t~>
+XoALM^VA.mYkHrVY^_.Aqk*nMpsB'@rEo>=qOddar%S.8r1<tnqk*kls)?`mr@n%Sq>^>akA]ef
+!-%jCq1&E`r\477oRHZ*rLa%M!)W=fs)@pDqiLg(!2&f]rEfPDqk*l7mf*<LJ,O?aTDuY+Yjqbn
+^\cCXhu(h%hp@qoJ,~>
+XoALM^VA.mYkHrVY^_.Aqk*nMpsB'@rEo>=qOddar%S.8r1<tnqk*kls)?`mr@n%Sq>^>akA]ef
+!-%jCq1&E`r\477oRHZ*rLa%M!)W=fs)@pDqiLg(!2&f]rEfPDqk*l7mf*<LJ,O?aTDuY+Yjqbn
+^\cCXhu(h%hp@qoJ,~>
+XoALM^VA.mYkHrVY^_.Aqk*nMpsB'@rEo>=qOddar%S.8r1<tnqk*kls)?`mr@n%Sq>^>akA]ef
+!-%jCq1&E`r\477oRHZ*rLa%M!)W=fs)@pDqiLg(!2&f]rEfPDqk*l7mf*<LJ,O?aTDuY+Yjqbn
+^\cCXhu(h%hp@qoJ,~>
+XT&CL^VA.mYkHuRIfOHbT)auId/F"D?h\O;TDqac0`OB8T)c+oTDu\*Yl0(O:uD<O0_o)Os8/GR
+E:!W)E;a/=J,YQ0E;hQh5P0I#nGf-WOS8\SE;X)?OT*T,TCMs[?N>'CTDd.)rrJ42rG__-rkAH;
+o)Ja)qp><!rQkT&d%12e~>
+XT&CL^VA.mYkHuRIfOHbT)auId/F"D?h\O;TDqac0`OB8T)c+oTDu\*Yl0(O:uD<O0_o)Os8/GR
+E:!W)E;a/=J,YQ0E;hQh5P0I#nGf-WOS8\SE;X)?OT*T,TCMs[?N>'CTDd.)rrJ42rG__-rkAH;
+o)Ja)qp><!rQkT&d%12e~>
+XT&CL^VA.mYkHuRIfOHbT)auId/F"D?h\O;TDqac0`OB8T)c+oTDu\*Yl0(O:uD<O0_o)Os8/GR
+E:!W)E;a/=J,YQ0E;hQh5P0I#nGf-WOS8\SE;X)?OT*T,TCMs[?N>'CTDd.)rrJ42rG__-rkAH;
+o)Ja)qp><!rQkT&d%12e~>
+X8`:K^VA.nYk?oRIfOHaT)auOd/W#%d/<qC?hSI<TDqac0`OB8T)u6hTDcP(YQ9i8p2KBur(mB4
+r@n%Sq>^>am;VCks)@pDq1&7&s)@ojrBKq(q!e$>qYpS'E;X)@OT!Prs864(E;Z@-ciB^,rrJ42
+r,DV,rkJ%(s1eHXqqqD"!8j=HJ,~>
+X8`:K^VA.nYk?oRIfOHaT)auOd/W#%d/<qC?hSI<TDqac0`OB8T)u6hTDcP(YQ9i8p2KBur(mB4
+r@n%Sq>^>am;VCks)@pDq1&7&s)@ojrBKq(q!e$>qYpS'E;X)@OT!Prs864(E;Z@-ciB^,rrJ42
+r,DV,rkJ%(s1eHXqqqD"!8j=HJ,~>
+X8`:K^VA.nYk?oRIfOHaT)auOd/W#%d/<qC?hSI<TDqac0`OB8T)u6hTDcP(YQ9i8p2KBur(mB4
+r@n%Sq>^>am;VCks)@pDq1&7&s)@ojrBKq(q!e$>qYpS'E;X)@OT!Prs864(E;Z@-ciB^,rrJ42
+r,DV,rkJ%(s1eHXqqqD"!8j=HJ,~>
+WrE4K^VA.BrNQ"Q"0d9)E;H1,OT*W+hu1q!s8?<uDulS-q_/"7r1F"n!2'2(s02<\qf)OAqJc19
+qJc?dqHs'uqk*Ctl2UWfq1&1$!rm4Yr@n17oRH`,rnmL4r;ZY$!K`rPOT*T,TCMsZ?N>'CTDm4*
+rrJ42rG_\,rkJ()s1eHXq;28#hp@nnJ,~>
+WrE4K^VA.BrNQ"Q"0d9)E;H1,OT*W+hu1q!s8?<uDulS-q_/"7r1F"n!2'2(s02<\qf)OAqJc19
+qJc?dqHs'uqk*Ctl2UWfq1&1$!rm4Yr@n17oRH`,rnmL4r;ZY$!K`rPOT*T,TCMsZ?N>'CTDm4*
+rrJ42rG_\,rkJ()s1eHXq;28#hp@nnJ,~>
+WrE4K^VA.BrNQ"Q"0d9)E;H1,OT*W+hu1q!s8?<uDulS-q_/"7r1F"n!2'2(s02<\qf)OAqJc19
+qJc?dqHs'uqk*Ctl2UWfq1&1$!rm4Yr@n17oRH`,rnmL4r;ZY$!K`rPOT*T,TCMsZ?N>'CTDm4*
+rrJ42rG_\,rkJ()s1eHXq;28#hp@nnJ,~>
+WW*"G^])UYYkHuRJ,5c=OO2APhu1purrA/Z?heU?;#;pH5Q%,RYkl-7Yk=+QJ,+'`J+mp[0_o)P
+s8/G\E9[E!?ho3HOT#1[?Z>rtrBKt)qsaO@pQ,CTqHj5arh'4Prm1Y;nc/T-s'PYqrm:*5!K_g0
+E;Z@.^AtM1rrBh2d.Q8rd%(,d~>
+WW*"G^])UYYkHuRJ,5c=OO2APhu1purrA/Z?heU?;#;pH5Q%,RYkl-7Yk=+QJ,+'`J+mp[0_o)P
+s8/G\E9[E!?ho3HOT#1[?Z>rtrBKt)qsaO@pQ,CTqHj5arh'4Prm1Y;nc/T-s'PYqrm:*5!K_g0
+E;Z@.^AtM1rrBh2d.Q8rd%(,d~>
+WW*"G^])UYYkHuRJ,5c=OO2APhu1purrA/Z?heU?;#;pH5Q%,RYkl-7Yk=+QJ,+'`J+mp[0_o)P
+s8/G\E9[E!?ho3HOT#1[?Z>rtrBKt)qsaO@pQ,CTqHj5arh'4Prm1Y;nc/T-s'PYqrm:*5!K_g0
+E;Z@.^AtM1rrBh2d.Q8rd%(,d~>
+W;ln4rm:VJp>>k!qO[bLqVV7uq#C@jra5M@s%rSH!'gFSs02@7s023Ypj`3\r."EZr%RqRqZ$Gb
+pi,ErqHs&JplP@P!FKgD0`F<0J,Sm4hZ0;DOSrPdOStgMd../5E;Z@,d-go7OFR4JrLa)(!3l.r
+!5JEXo\Z/<J,~>
+W;ln4rm:VJp>>k!qO[bLqVV7uq#C@jra5M@s%rSH!'gFSs02@7s023Ypj`3\r."EZr%RqRqZ$Gb
+pi,ErqHs&JplP@P!FKgD0`F<0J,Sm4hZ0;DOSrPdOStgMd../5E;Z@,d-go7OFR4JrLa)(!3l.r
+!5JEXo\Z/<J,~>
+W;ln4rm:VJp>>k!qO[bLqVV7uq#C@jra5M@s%rSH!'gFSs02@7s023Ypj`3\r."EZr%RqRqZ$Gb
+pi,ErqHs&JplP@P!FKgD0`F<0J,Sm4hZ0;DOSrPdOStgMd../5E;Z@,d-go7OFR4JrLa)(!3l.r
+!5JEXo\Z/<J,~>
+VuQe3rm:VJpYQ(WIt)G7TDu.lhu;!rs8>do?i4mC;#E!K5G+SGYkl-7YkikKOSF;*E;4qUE;VEc
+?i'g"T)in<rG^s"q-WuJplP4L!FKgD0`F<0IfT!2huB>FOT/\fOStgNciB^.s8-d5TDm1;TC;g[
+OSs.rTDlS*YkS1t^\cCMhZ2#ms*t~>
+VuQe3rm:VJpYQ(WIt)G7TDu.lhu;!rs8>do?i4mC;#E!K5G+SGYkl-7YkikKOSF;*E;4qUE;VEc
+?i'g"T)in<rG^s"q-WuJplP4L!FKgD0`F<0IfT!2huB>FOT/\fOStgNciB^.s8-d5TDm1;TC;g[
+OSs.rTDlS*YkS1t^\cCMhZ2#ms*t~>
+VuQe3rm:VJpYQ(WIt)G7TDu.lhu;!rs8>do?i4mC;#E!K5G+SGYkl-7YkikKOSF;*E;4qUE;VEc
+?i'g"T)in<rG^s"q-WuJplP4L!FKgD0`F<0IfT!2huB>FOT/\fOStgNciB^.s8-d5TDm1;TC;g[
+OSs.rTDlS*YkS1t^\cCMhZ2#ms*t~>
+VZ6\2rm:VJpYYt"rLa"lqVV;!p&Fkbs)A!7qCqcMqS3'7jaZoAr%RqRqZ$Gbs'Omfq-WuJplP+I
+!FKgC0`OB2J,aK\hu98EOStdOhu;!ls86j5TDm4*s8S2ZE;Z@-^\@d.^\cCLhjXRq~>
+VZ6\2rm:VJpYYt"rLa"lqVV;!p&Fkbs)A!7qCqcMqS3'7jaZoAr%RqRqZ$Gbs'Omfq-WuJplP+I
+!FKgC0`OB2J,aK\hu98EOStdOhu;!ls86j5TDm4*s8S2ZE;Z@-^\@d.^\cCLhjXRq~>
+VZ6\2rm:VJpYYt"rLa"lqVV;!p&Fkbs)A!7qCqcMqS3'7jaZoAr%RqRqZ$Gbs'Omfq-WuJplP+I
+!FKgC0`OB2J,aK\hu98EOStdOhu;!ls86j5TDm4*s8S2ZE;Z@-^\@d.^\cCLhjXRq~>
+V>pS1rm:VJpYYt"!2'(kqqqA!o`+Y^r@n4XqQTh2s01X8o5OU]q-X!uqk!k<kPt?b!-%daplP"F
+!FKgC0`OB5J,F9Xhu02EOT45<ciB0ts8-d5TDd.)rrJ42rG__-rkAH;q#:?/qp=ljRf@m~>
+V>pS1rm:VJpYYt"!2'(kqqqA!o`+Y^r@n4XqQTh2s01X8o5OU]q-X!uqk!k<kPt?b!-%daplP"F
+!FKgC0`OB5J,F9Xhu02EOT45<ciB0ts8-d5TDd.)rrJ42rG__-rkAH;q#:?/qp=ljRf@m~>
+V>pS1rm:VJpYYt"!2'(kqqqA!o`+Y^r@n4XqQTh2s01X8o5OU]q-X!uqk!k<kPt?b!-%daplP"F
+!FKgC0`OB5J,F9Xhu02EOT45<ciB0ts8-d5TDd.)rrJ42rG__-rkAH;q#:?/qp=ljRf@m~>
+V#UJ0rm:VJpYYt3posYQrQt-8qbRB6:bXU$?i%#'^]1P$J+7LV0_o)Ps8/DgJ*R(/?N>'AJ,#,p
+s8R'<?N>'A0E=?7J,+'Uhu',FOT3\ss8-d5TDd.*s8S2YE;cF.^AtM6rrBh2d.-"]s*t~>
+V#UJ0rm:VJpYYt3posYQrQt-8qbRB6:bXU$?i%#'^]1P$J+7LV0_o)Ps8/DgJ*R(/?N>'AJ,#,p
+s8R'<?N>'A0E=?7J,+'Uhu',FOT3\ss8-d5TDd.*s8S2YE;cF.^AtM6rrBh2d.-"]s*t~>
+V#UJ0rm:VJpYYt3posYQrQt-8qbRB6:bXU$?i%#'^]1P$J+7LV0_o)Ps8/DgJ*R(/?N>'AJ,#,p
+s8R'<?N>'A0E=?7J,+'Uhu',FOT3\ss8-d5TDd.*s8S2YE;cF.^AtM6rrBh2d.-"]s*t~>
+U]:A/rm:VJpYYt3posYQrQt'6rD<N5qHs*'qS3'7k^W)@r%RtSq>^>am/Qlgs)@gaplP"Fs)@mC
+!-%cg!'gI4p2KZ]qOdbK!.XV?qJcA)rm1Y;n,NELrG_\,rkAH;qZ$SfrilFLn_X>nRK%d~>
+U]:A/rm:VJpYYt3posYQrQt'6rD<N5qHs*'qS3'7k^W)@r%RtSq>^>am/Qlgs)@gaplP"Fs)@mC
+!-%cg!'gI4p2KZ]qOdbK!.XV?qJcA)rm1Y;n,NELrG_\,rkAH;qZ$SfrilFLn_X>nRK%d~>
+U]:A/rm:VJpYYt3posYQrQt'6rD<N5qHs*'qS3'7k^W)@r%RtSq>^>am/Qlgs)@gaplP"Fs)@mC
+!-%cg!'gI4p2KZ]qOdbK!.XV?qJcA)rm1Y;n,NELrG_\,rkAH;qZ$SfrilFLn_X>nRK%d~>
+U]1DB^VBcprNQ%RrfHoZqqqA!mJd5aE,bY\qQTh2s02KAm!nJCr%RtSq>^>a!.XM<pg=&?pj`1&
+n,NE,r*TJR!FKgA0_02Tht`oEYlB4Is8-d4TDm4*s8S2ZE;Z@-^\n-2TDYqn^[g7^d$Xi`~>
+U]1DB^VBcprNQ%RrfHoZqqqA!mJd5aE,bY\qQTh2s02KAm!nJCr%RtSq>^>a!.XM<pg=&?pj`1&
+n,NE,r*TJR!FKgA0_02Tht`oEYlB4Is8-d4TDm4*s8S2ZE;Z@-^\n-2TDYqn^[g7^d$Xi`~>
+U]1DB^VBcprNQ%RrfHoZqqqA!mJd5aE,bY\qQTh2s02KAm!nJCr%RtSq>^>a!.XM<pg=&?pj`1&
+n,NE,r*TJR!FKgA0_02Tht`oEYlB4Is8-d4TDm4*s8S2ZE;Z@-^\n-2TDYqn^[g7^d$Xi`~>
+UAk8@^\uOXYkR&SOSQ-Whu1pgs8R'7?i%#'^]1P<?efW";#E$D?hsa!T)aB3s7ft$E;"e[ORN5L
+E;O#@IfNjN0E?UoE:_uaTDPkmJ,TEDE;Z@-ciB^+s8S2ZE;cF.^B1Y>s8ASgYl;E:d.H2qd$Oc_~>
+UAk8@^\uOXYkR&SOSQ-Whu1pgs8R'7?i%#'^]1P<?efW";#E$D?hsa!T)aB3s7ft$E;"e[ORN5L
+E;O#@IfNjN0E?UoE:_uaTDPkmJ,TEDE;Z@-ciB^+s8S2ZE;cF.^B1Y>s8ASgYl;E:d.H2qd$Oc_~>
+UAk8@^\uOXYkR&SOSQ-Whu1pgs8R'7?i%#'^]1P<?efW";#E$D?hsa!T)aB3s7ft$E;"e[ORN5L
+E;O#@IfNjN0E?UoE:_uaTDPkmJ,TEDE;Z@-ciB^+s8S2ZE;cF.^B1Y>s8ASgYl;E:d.H2qd$Oc_~>
+U&P/?^\uOYYkR#T^]'>jYkm8Ud-Uf4E;Er<Ykl-7YQ/%gE;<?.0`#/Ps8ASiYlB4Hs8Ppl?iG$:
+J,bW!s8I!8?i5ERT)`6m0`QXpE:i&dTD,SiJ,4-^TDm1;TC;g[OSs.rTDlV'TDl(m^\lIPhZ2#h
+s*t~>
+U&P/?^\uOYYkR#T^]'>jYkm8Ud-Uf4E;Er<Ykl-7YQ/%gE;<?.0`#/Ps8ASiYlB4Hs8Ppl?iG$:
+J,bW!s8I!8?i5ERT)`6m0`QXpE:i&dTD,SiJ,4-^TDm1;TC;g[OSs.rTDlV'TDl(m^\lIPhZ2#h
+s*t~>
+U&P/?^\uOYYkR#T^]'>jYkm8Ud-Uf4E;Er<Ykl-7YQ/%gE;<?.0`#/Ps8ASiYlB4Hs8Ppl?iG$:
+J,bW!s8I!8?i5ERT)`6m0`QXpE:i&dTD,SiJ,4-^TDm1;TC;g[OSs.rTDlV'TDl(m^\lIPhZ2#h
+s*t~>
+T`5&>^\lIYYkR&ROSQ-Whu1pgs8R'7?i%#'^B(QGj`(#lqu?RJq-X!urh'.n!.XhEs%r]6r*TGB
+npg-.s'GbFr*TAOqk!jQpb;Yrp2KW\!2&hds*k#fqk*l7mf3<KrG_G%!3l@8q9\oo!77#2J,~>
+T`5&>^\lIYYkR&ROSQ-Whu1pgs8R'7?i%#'^B(QGj`(#lqu?RJq-X!urh'.n!.XhEs%r]6r*TGB
+npg-.s'GbFr*TAOqk!jQpb;Yrp2KW\!2&hds*k#fqk*l7mf3<KrG_G%!3l@8q9\oo!77#2J,~>
+T`5&>^\lIYYkR&ROSQ-Whu1pgs8R'7?i%#'^B(QGj`(#lqu?RJq-X!urh'.n!.XhEs%r]6r*TGB
+npg-.s'GbFr*TAOqk!jQpb;Yrp2KW\!2&hds*k#fqk*l7mf3<KrG_G%!3l@8q9\oo!77#2J,~>
+TDnr=^\lIYYkR&SOSH'Vhu1n%TC)[YE;Er<Ykl*7Yj-3';"akd0_o)Ps8S_hYlB4Os8PpnE;a/C
+E:\SIs7p%!J,Gr=OT5=\5PQr1J+mpShZ2$mYlB4QTDm1;TC2aZOSs.mT)c+l^\?+OhZ2#fs*t~>
+TDnr=^\lIYYkR&SOSH'Vhu1n%TC)[YE;Er<Ykl*7Yj-3';"akd0_o)Ps8S_hYlB4Os8PpnE;a/C
+E:\SIs7p%!J,Gr=OT5=\5PQr1J+mpShZ2$mYlB4QTDm1;TC2aZOSs.mT)c+l^\?+OhZ2#fs*t~>
+TDnr=^\lIYYkR&SOSH'Vhu1n%TC)[YE;Er<Ykl*7Yj-3';"akd0_o)Ps8S_hYlB4Os8PpnE;a/C
+E:\SIs7p%!J,Gr=OT5=\5PQr1J+mpShZ2$mYlB4QTDm1;TC2aZOSs.mT)c+l^\?+OhZ2#fs*t~>
+T)Si<^\lIYYkR&SOSH'Vhu1n&Yb1@`rc%aAqQTh2!3l/]r)!8TrD<"`q_7kRqZ$Aq"+U>I;#5/2
+?i=s9J*m:3?i,?NTDt#NrrGq\q(VYpq/H&bqp=l;s*k'rTC;g[OSj(nTD?7pd/2]#d$+K[~>
+T)Si<^\lIYYkR&SOSH'Vhu1n&Yb1@`rc%aAqQTh2!3l/]r)!8TrD<"`q_7kRqZ$Aq"+U>I;#5/2
+?i=s9J*m:3?i,?NTDt#NrrGq\q(VYpq/H&bqp=l;s*k'rTC;g[OSj(nTD?7pd/2]#d$+K[~>
+T)Si<^\lIYYkR&SOSH'Vhu1n&Yb1@`rc%aAqQTh2!3l/]r)!8TrD<"`q_7kRqZ$Aq"+U>I;#5/2
+?i=s9J*m:3?i,?NTDt#NrrGq\q(VYpq/H&bqp=l;s*k'rTC;g[OSj(nTD?7pd/2]#d$+K[~>
+Sc8`;^\lIYYkR&SOSH'Vhu;"%YQ1<as8I!7?i%#(^]1Ohs8+MH?i0m'htjSWJ+R^PJ*m:3?i,?M
+T)auJs8G7Z0_p4pE;ADcd+,B#TD-+md/;c$d$"EZ~>
+Sc8`;^\lIYYkR&SOSH'Vhu;"%YQ1<as8I!7?i%#(^]1Ohs8+MH?i0m'htjSWJ+R^PJ*m:3?i,?M
+T)auJs8G7Z0_p4pE;ADcd+,B#TD-+md/;c$d$"EZ~>
+Sc8`;^\lIYYkR&SOSH'Vhu;"%YQ1<as8I!7?i%#(^]1Ohs8+MH?i0m'htjSWJ+R^PJ*m:3?i,?M
+T)auJs8G7Z0_p4pE;ADcd+,B#TD-+md/;c$d$"EZ~>
+SGrW:^\lIYYkR&SOSH'Vhu;"$YQ1<bs8I!7?i%#(^]1Ohs8+MH?iC$'htjSWJ,=3bJ,XE[J*d42
+?iQ5dJ,>i<OS&SP5Pm//J,F9_ht#.cYia=.^[fbMhZ2#cs*t~>
+SGrW:^\lIYYkR&SOSH'Vhu;"$YQ1<bs8I!7?i%#(^]1Ohs8+MH?iC$'htjSWJ,=3bJ,XE[J*d42
+?iQ5dJ,>i<OS&SP5Pm//J,F9_ht#.cYia=.^[fbMhZ2#cs*t~>
+SGrW:^\lIYYkR&SOSH'Vhu;"$YQ1<bs8I!7?i%#(^]1Ohs8+MH?iC$'htjSWJ,=3bJ,XE[J*d42
+?iQ5dJ,>i<OS&SP5Pm//J,F9_ht#.cYia=.^[fbMhZ2#cs*t~>
+S,WN9^\lIYYkR&SOSH'Whu1q"YQ1<crrS:$E;O#=Yku38YgrdO0`#/Us81^MYlB4QE;b:dE;"eI
+s7p%#OT0h-T)auBs8G7[0_^(pE;nb_d.X^,d/(NId/Mo&d#e9X~>
+S,WN9^\lIYYkR&SOSH'Whu1q"YQ1<crrS:$E;O#=Yku38YgrdO0`#/Us81^MYlB4QE;b:dE;"eI
+s7p%#OT0h-T)auBs8G7[0_^(pE;nb_d.X^,d/(NId/Mo&d#e9X~>
+S,WN9^\lIYYkR&SOSH'Whu1q"YQ1<crrS:$E;O#=Yku38YgrdO0`#/Us81^MYlB4QE;b:dE;"eI
+s7p%#OT0h-T)auBs8G7[0_^(pE;nb_d.X^,d/(NId/Mo&d#e9X~>
+RfE62s027TrfHoZqqqA!qlg'mo)AcQE,b\]qQTk3s01&Rr%RtS!<;lPqQTC;li6cfqiL]I!0H[L
+!FKgD5Q*;/J,XBehs&MaYijC3^[]YQYeT)QNrOV~>
+RfE62s027TrfHoZqqqA!qlg'mo)AcQE,b\]qQTk3s01&Rr%RtS!<;lPqQTC;li6cfqiL]I!0H[L
+!FKgD5Q*;/J,XBehs&MaYijC3^[]YQYeT)QNrOV~>
+RfE62s027TrfHoZqqqA!qlg'mo)AcQE,b\]qQTk3s01&Rr%RtS!<;lPqQTC;li6cfqiL]I!0H[L
+!FKgD5Q*;/J,XBehs&MaYijC3^[]YQYeT)QNrOV~>
+RK*-1s027TrfHoZqqqA!qQKsloD\fPrc%dBqQTk3s01&Rr%S"Ts)@bjqQTO?lMgi\qHs,]qk*nM
+nGiMqrG_[!r@mknrK-6is01Y4!5J*Os02O<s5/h9J,~>
+RK*-1s027TrfHoZqqqA!qQKsloD\fPrc%dBqQTk3s01&Rr%S"Ts)@bjqQTO?lMgi\qHs,]qk*nM
+nGiMqrG_[!r@mknrK-6is01Y4!5J*Os02O<s5/h9J,~>
+RK*-1s027TrfHoZqqqA!qQKsloD\fPrc%dBqQTk3s01&Rr%S"Ts)@bjqQTO?lMgi\qHs,]qk*nM
+nGiMqrG_[!r@mknrK-6is01Y4!5J*Os02O<s5/h9J,~>
+RK**0s027TrfHoZqqqA!!8mXW!M>JIs8S2[E;X)>Yku38YgrdO0`>AWE;8>eYk3G1rrZ))?Z>sN
+qiL]Is,c^L!+5YCrh''Ps"O1sp5nUekMPpYril@9!8ib8J,~>
+RK**0s027TrfHoZqqqA!!8mXW!M>JIs8S2[E;X)>Yku38YgrdO0`>AWE;8>eYk3G1rrZ))?Z>sN
+qiL]Is,c^L!+5YCrh''Ps"O1sp5nUekMPpYril@9!8ib8J,~>
+RK**0s027TrfHoZqqqA!!8mXW!M>JIs8S2[E;X)>Yku38YgrdO0`>AWE;8>eYk3G1rrZ))?Z>sN
+qiL]Is,c^L!+5YCrh''Ps"O1sp5nUekMPpYril@9!8ib8J,~>
+R/d!/s027TrfHoZqqqA!s53[WrK-jTs,d5!r*T<)qnN08ec5M#!+5SApttqPpj_Q.s%i]&rc%mE
+qiLZH!0H[Ls'P_Dqk*^Ls"O>"mu[(dm,.B\rNQ16MuS;~>
+R/d!/s027TrfHoZqqqA!s53[WrK-jTs,d5!r*T<)qnN08ec5M#!+5SApttqPpj_Q.s%i]&rc%mE
+qiLZH!0H[Ls'P_Dqk*^Ls"O>"mu[(dm,.B\rNQ16MuS;~>
+R/d!/s027TrfHoZqqqA!s53[WrK-jTs,d5!r*T<)qnN08ec5M#!+5SApttqPpj_Q.s%i]&rc%mE
+qiLZH!0H[Ls'P_Dqk*^Ls"O>"mu[(dm,.B\rNQ16MuS;~>
+QiHm.s1e<crfHr[qVV7urnmLTrK-sWs,d5!r*T<)qnN08ec5S%s$-<upttqPqg[l1r_WK2qiLZH
+!.XJ;s'P\Cr1ErFqEFs6rI=*op<`Egma1m9qnE-'MZ82~>
+QiHm.s1e<crfHr[qVV7urnmLTrK-sWs,d5!r*T<)qnN08ec5S%s$-<upttqPqg[l1r_WK2qiLZH
+!.XJ;s'P\Cr1ErFqEFs6rI=*op<`Egma1m9qnE-'MZ82~>
+QiHm.s1e<crfHr[qVV7urnmLTrK-sWs,d5!r*T<)qnN08ec5S%s$-<upttqPqg[l1r_WK2qiLZH
+!.XJ;s'P\Cr1ErFqEFs6rI=*op<`Egma1m9qnE-'MZ82~>
+QN-m0r4i$a!5JMpq69_QrQtN#p9=LWs8W+\rc%dBqQTk3!3k)Tr_WJV!.Xf`ptttQ!0I20l2U`Z
+qf)Foqk*n<n,NDpr,DS+qqqGRq*+kOjH0;dq;:Mbqlp"5!K`q0s*t~>
+QN-m0r4i$a!5JMpq69_QrQtN#p9=LWs8W+\rc%dBqQTk3!3k)Tr_WJV!.Xf`ptttQ!0I20l2U`Z
+qf)Foqk*n<n,NDpr,DS+qqqGRq*+kOjH0;dq;:Mbqlp"5!K`q0s*t~>
+QN-m0r4i$a!5JMpq69_QrQtN#p9=LWs8W+\rc%dBqQTk3!3k)Tr_WJV!.Xf`ptttQ!0I20l2U`Z
+qf)Foqk*n<n,NDpr,DS+qqqGRq*+kOjH0;dq;:Mbqlp"5!K`q0s*t~>
+PlLd1qS2g_rK-iZqVV7ur871OqiLbqrEoE*qnE-8h#I=Lr."T.!.XiapttqPs*s>6r_WK2qiL]I
+s*sM;ra5VCqk*fD!0I0Zr]g6dl_!s6kJ%#DqQTq5!0I2PL];l~>
+PlLd1qS2g_rK-iZqVV7ur871OqiLbqrEoE*qnE-8h#I=Lr."T.!.XiapttqPs*s>6r_WK2qiL]I
+s*sM;ra5VCqk*fD!0I0Zr]g6dl_!s6kJ%#DqQTq5!0I2PL];l~>
+PlLd1qS2g_rK-iZqVV7ur871OqiLbqrEoE*qnE-8h#I=Lr."T.!.XiapttqPs*s>6r_WK2qiL]I
+s*sM;ra5VCqk*fD!0I0Zr]g6dl_!s6kJ%#DqQTq5!0I2PL];l~>
+PQ1Blq;;.4q69_QrQtN#r6Y/ArfI(tra5K*qnE-8i;`aPpjW9Nr'142qJc5eqlg-`It-kcr_WN3
+qN1THs*sM;ra5VCqk*fD!0I!Us)@a?kb%"Pqlp(7s,d8QK`?Q~>
+PQ1Blq;;.4q69_QrQtN#r6Y/ArfI(tra5K*qnE-8i;`aPpjW9Nr'142qJc5eqlg-`It-kcr_WN3
+qN1THs*sM;ra5VCqk*fD!0I!Us)@a?kb%"Pqlp(7s,d8QK`?Q~>
+PQ1Blq;;.4q69_QrQtN#r6Y/ArfI(tra5K*qnE-8i;`aPpjW9Nr'142qJc5eqlg-`It-kcr_WN3
+qN1THs*sM;ra5VCqk*fD!0I!Us)@a?kb%"Pqlp(7s,d8QK`?Q~>
+P5kQdq7la_rK-iZqVV;!rnmIsposd[rG_aCq69b2!O0r5s8Pms?VjSlJ,bW-5Q?60E;ADfYQ9i8
+n,EGc?VpZ>qN1`]rLa+>mf3;orG_Y+r87O9oDef/q-WN]kJ-r!s1eSqs.=lBJ,~>
+P5kQdq7la_rK-iZqVV;!rnmIsposd[rG_aCq69b2!O0r5s8Pms?VjSlJ,bW-5Q?60E;ADfYQ9i8
+n,EGc?VpZ>qN1`]rLa+>mf3;orG_Y+r87O9oDef/q-WN]kJ-r!s1eSqs.=lBJ,~>
+P5kQdq7la_rK-iZqVV;!rnmIsposd[rG_aCq69b2!O0r5s8Pms?VjSlJ,bW-5Q?60E;ADfYQ9i8
+n,EGc?VpZ>qN1`]rLa+>mf3;orG_Y+r87O9oDef/q-WN]kJ-r!s1eSqs.=lBJ,~>
+OT5*jq;;.4q69_QrQkQ%o?dB=s,d1ura5K*qnN0Xli6u]s'PDJqN(\ar'111qf)>fqlg-`It.(i
+s%i]&r,DInrilBos*sJ:ra5YDqOd]C!0H[LqJc@>nt5'ZricO?OH?*,JcG`LJ,~>
+OT5*jq;;.4q69_QrQkQ%o?dB=s,d1ura5K*qnN0Xli6u]s'PDJqN(\ar'111qf)>fqlg-`It.(i
+s%i]&r,DInrilBos*sJ:ra5YDqOd]C!0H[LqJc@>nt5'ZricO?OH?*,JcG`LJ,~>
+OT5*jq;;.4q69_QrQkQ%o?dB=s,d1ura5K*qnN0Xli6u]s'PDJqN(\ar'111qf)>fqlg-`It.(i
+s%i]&r,DInrilBos*sJ:ra5YDqOd]C!0H[LqJc@>nt5'ZricO?OH?*,JcG`LJ,~>
+O8o6aq7ld`rK-iZqVUVcrilEarG_aCq69b2s3UX^p0[<=oT0&[rBL71qf)AgqQL!^J+`jA:]Ol#
+E;G[nYl9.?s8HC(E;Q:*hZ/c,s7:4.?h^2T^AtM;O8to(s82hH~>
+O8o6aq7ld`rK-iZqVUVcrilEarG_aCq69b2s3UX^p0[<=oT0&[rBL71qf)AgqQL!^J+`jA:]Ol#
+E;G[nYl9.?s8HC(E;Q:*hZ/c,s7:4.?h^2T^AtM;O8to(s82hH~>
+O8o6aq7ld`rK-iZqVUVcrilEarG_aCq69b2s3UX^p0[<=oT0&[rBL71qf)AgqQL!^J+`jA:]Ol#
+E;G[nYl9.?s8HC(E;Q:*hZ/c,s7:4.?h^2T^AtM;O8to(s82hH~>
+NrK0b^TdRLqVV75q69bRr6YG)n'M)rr,D[Cq69e3rQtL^ra5G^oRHCms*sr2rI=`aptttQ!g%n]
+q#C@jqf)Cnqlp'Lmf38nrG_Y+r8.L9mf3-&ricEqd.hP[?i6Pc^\=B#O8to(s7lVE~>
+NrK0b^TdRLqVV75q69bRr6YG)n'M)rr,D[Cq69e3rQtL^ra5G^oRHCms*sr2rI=`aptttQ!g%n]
+q#C@jqf)Cnqlp'Lmf38nrG_Y+r8.L9mf3-&ricEqd.hP[?i6Pc^\=B#O8to(s7lVE~>
+NrK0b^TdRLqVV75q69bRr6YG)n'M)rr,D[Cq69e3rQtL^ra5G^oRHCms*sr2rI=`aptttQ!g%n]
+q#C@jqf)Cnqlp'Lmf38nrG_Y+r8.L9mf3-&ricEqd.hP[?i6Pc^\=B#O8to(s7lVE~>
+N;ipnYkl-2hu/Z4Yl!>UciCiYORgcuOSj(t?hpr*^\cCKOSaOqOSXG,?i<4eJ,F9]htjSWO8tpM
+s8PpnE;>UmYl9.?s8HC(E;Q:*hZ/c+s8R';J,aKdYl)iJTD*<fTDt"(s7QDB~>
+N;ipnYkl-2hu/Z4Yl!>UciCiYORgcuOSj(t?hpr*^\cCKOSaOqOSXG,?i<4eJ,F9]htjSWO8tpM
+s8PpnE;>UmYl9.?s8HC(E;Q:*hZ/c+s8R';J,aKdYl)iJTD*<fTDt"(s7QDB~>
+N;ipnYkl-2hu/Z4Yl!>UciCiYORgcuOSj(t?hpr*^\cCKOSaOqOSXG,?i<4eJ,F9]htjSWO8tpM
+s8PpnE;>UmYl9.?s8HC(E;Q:*hZ/c+s8R';J,aKdYl)iJTD*<fTDt"(s7QDB~>
+MuWd\qnN!brK-iZqqq:tq2k9rs,d.ts'PT+s1eEWooT0Fm?$si!+5[hrI=`aptttQ!0I2Prr2sp
+qf)@mqlp'Lmf38nrG_V*rSIU:mf3<+r."[L!2'29!2'2hs)@(lJcG<@J,~>
+MuWd\qnN!brK-iZqqq:tq2k9rs,d.ts'PT+s1eEWooT0Fm?$si!+5[hrI=`aptttQ!0I2Prr2sp
+qf)@mqlp'Lmf38nrG_V*rSIU:mf3<+r."[L!2'29!2'2hs)@(lJcG<@J,~>
+MuWd\qnN!brK-iZqqq:tq2k9rs,d.ts'PT+s1eEWooT0Fm?$si!+5[hrI=`aptttQ!0I2Prr2sp
+qf)@mqlp'Lmf38nrG_V*rSIU:mf3<+r."[L!2'29!2'2hs)@(lJcG<@J,~>
+MZ3d_^Tas>^\cpeOSQ-Whu(h$^\<ibd/T4*E;s;@YQ2H5ciB1#TCJ$5J,WgR5Q$$/E;ADgYQ0d`
+T)_^bE;>UmYl9.>s8QI)E;H4*huAf+rr@$9J,HPKd/Ta.rrA\jOScfjd/Uk3s7$&=~>
+MZ3d_^Tas>^\cpeOSQ-Whu(h$^\<ibd/T4*E;s;@YQ2H5ciB1#TCJ$5J,WgR5Q$$/E;ADgYQ0d`
+T)_^bE;>UmYl9.>s8QI)E;H4*huAf+rr@$9J,HPKd/Ta.rrA\jOScfjd/Uk3s7$&=~>
+MZ3d_^Tas>^\cpeOSQ-Whu(h$^\<ibd/T4*E;s;@YQ2H5ciB1#TCJ$5J,WgR5Q$$/E;ADgYQ0d`
+T)_^bE;>UmYl9.>s8QI)E;H4*huAf+rr@$9J,HPKd/Ta.rrA\jOScfjd/Uk3s7$&=~>
+M#[IYqnN$crK-l[q;;+s!5J/fqp>A)r,D[CqQU"7psA]+ooSZmrEoR(!+5^iqg\N_q;;+S!5JH(
+rG_Upqlp'Lm/R&lrc%_+r8.L9mf*9+qg\OJr6PG9nc&T]rfI#lr6YJYJcG3=J,~>
+M#[IYqnN$crK-l[q;;+s!5J/fqp>A)r,D[CqQU"7psA]+ooSZmrEoR(!+5^iqg\N_q;;+S!5JH(
+rG_Upqlp'Lm/R&lrc%_+r8.L9mf*9+qg\OJr6PG9nc&T]rfI#lr6YJYJcG3=J,~>
+M#[IYqnN$crK-l[q;;+s!5J/fqp>A)r,D[CqQU"7psA]+ooSZmrEoR(!+5^iqg\N_q;;+S!5JH(
+rG_Upqlp'Lm/R&lrc%_+r8.L9mf*9+qg\OJr6PG9nc&T]rfI#lr6YJYJcG3=J,~>
+L]7I\^Tas?^\lshYl0[[Ykd2Rd.*4sd/T4*E;s;CYl2?3d.X+-ORI\t?i'g&?iE:eJ,O?^hu0eX
+^\sc)E;G[rYlC?qYl9.=s8HC(E;Q:*hZ/c+rr@$8J,HPKd/Ta0s8S_kOScfhd/Uk3s6ou<~>
+L]7I\^Tas?^\lshYl0[[Ykd2Rd.*4sd/T4*E;s;CYl2?3d.X+-ORI\t?i'g&?iE:eJ,O?^hu0eX
+^\sc)E;G[rYlC?qYl9.=s8HC(E;Q:*hZ/c+rr@$8J,HPKd/Ta0s8S_kOScfhd/Uk3s6ou<~>
+L]7I\^Tas?^\lshYl0[[Ykd2Rd.*4sd/T4*E;s;CYl2?3d.X+-ORI\t?i'g&?iE:eJ,O?^hu0eX
+^\sc)E;G[rYlC?qYl9.=s8HC(E;Q:*hZ/c+rr@$8J,HPKd/Ta0s8S_kOScfhd/Uk3s6ou<~>
+LB%1Ur4i3fr/gcZptu"r!5J#b!jIcJqeuOBril:7pX&]-rK-Jtr*T-s!+5^iqLAH_q;;4VqnN*%
+r/gr_rgs1prdX;7s'P\Cqk*fD!0HXKs)@mcr36(F!2&l_s.B=QqnMsR!5F*bmf.e~>
+LB%1Ur4i3fr/gcZptu"r!5J#b!jIcJqeuOBril:7pX&]-rK-Jtr*T-s!+5^iqLAH_q;;4VqnN*%
+r/gr_rgs1prdX;7s'P\Cqk*fD!0HXKs)@mcr36(F!2&l_s.B=QqnMsR!5F*bmf.e~>
+LB%1Ur4i3fr/gcZptu"r!5J#b!jIcJqeuOBril:7pX&]-rK-Jtr*T-s!+5^iqLAH_q;;4VqnN*%
+r/gr_rgs1prdX;7s'P\Cqk*fD!0HXKs)@mcr36(F!2&l_s.B=QqnMsR!5F*bmf.e~>
+K`;.Y^Tas?^]!'gOSc9]TD@CBciCiNOT0h1OS`tt?a0=?psAi/mXP.Anc/Vrr]g7/rc%\j!3l:6
+rLa+OrilBordX;7s'P\Cqk*fD!0HXKs)@mcr36(F!2&l_rgs1PqnMsRs1a-bmf.e~>
+K`;.Y^Tas?^]!'gOSc9]TD@CBciCiNOT0h1OS`tt?a0=?psAi/mXP.Anc/Vrr]g7/rc%\j!3l:6
+rLa+OrilBordX;7s'P\Cqk*fD!0HXKs)@mcr36(F!2&l_rgs1PqnMsRs1a-bmf.e~>
+K`;.Y^Tas?^]!'gOSc9]TD@CBciCiNOT0h1OS`tt?a0=?psAi/mXP.Anc/Vrr]g7/rc%\j!3l:6
+rLa+OrilBordX;7s'P\Cqk*fD!0HXKs)@mcr36(F!2&l_rgs1PqnMsRs1a-bmf.e~>
+KE(kRrP/<grK-u^r1EfBqp5DZ?XNJfrdXs0qeuOspV6LMl@8b>li6uls$-=/rc%_k!7:MUrLa+o
+rh'1>m/R)mr,DM)rSRX:n,NE,r."XKqp>A8o`+o_!0I)mps9#UJcG-;J,~>
+KE(kRrP/<grK-u^r1EfBqp5DZ?XNJfrdXs0qeuOspV6LMl@8b>li6uls$-=/rc%_k!7:MUrLa+o
+rh'1>m/R)mr,DM)rSRX:n,NE,r."XKqp>A8o`+o_!0I)mps9#UJcG-;J,~>
+KE(kRrP/<grK-u^r1EfBqp5DZ?XNJfrdXs0qeuOspV6LMl@8b>li6uls$-=/rc%_k!7:MUrLa+o
+rh'1>m/R)mr,DM)rSRX:n,NE,r."XKqp>A8o`+o_!0I)mps9#UJcG-;J,~>
+K)bkT!5JN;rkJEhr/g`Hptu"r!5JM0s'PVar."a.!-%drpqQRMmsk:Ck5PKi5<npms)@nnrQt>S
+r1Et<li6ulr,DM)rSRX:mf*9+r."UJqp5>8p&Fu_!0I)mpX"Kkm/MS~>
+K)bkT!5JN;rkJEhr/g`Hptu"r!5JM0s'PVar."a.!-%drpqQRMmsk:Ck5PKi5<npms)@nnrQt>S
+r1Et<li6ulr,DM)rSRX:mf*9+r."UJqp5>8p&Fu_!0I)mpX"Kkm/MS~>
+K)bkT!5JN;rkJEhr/g`Hptu"r!5JM0s'PVar."a.!-%drpqQRMmsk:Ck5PKi5<npms)@nnrQt>S
+r1Et<li6ulr,DM)rSRX:mf*9+r."UJqp5>8p&Fu_!0I)mpX"Kkm/MS~>
+Jc>`Mr36.7rnd^[oUks:r6PJZs8,Um?iH/aJ,Z\KOS?Nbd.i+e;#an^s8QI+5PTa.E;nbkd.kBT
+T)aB,s8QI(E;H4)hZ/c+rr@$8J,HPJciB^2s8ASe^\6"S^OcFOs*t~>
+Jc>`Mr36.7rnd^[oUks:r6PJZs8,Um?iH/aJ,Z\KOS?Nbd.i+e;#an^s8QI+5PTa.E;nbkd.kBT
+T)aB,s8QI(E;H4)hZ/c+rr@$8J,HPJciB^2s8ASe^\6"S^OcFOs*t~>
+Jc>`Mr36.7rnd^[oUks:r6PJZs8,Um?iH/aJ,Z\KOS?Nbd.i+e;#an^s8QI+5PTa.E;nbkd.kBT
+T)aB,s8QI(E;H4)hZ/c+rr@$8J,HPJciB^2s8ASe^\6"S^OcFOs*t~>
+JcGcMqlp(7rSRRG!3l9kptu%ss1eR5pe^p=ricBpqiLQepX&S0h#IC]!'g4-!c[&SpX&`Nrh&TX
+!+5VBqOd]Cs,c^L!-%gbr36(Fs.B#brL`u%p!A9ili2J~>
+JcGcMqlp(7rSRRG!3l9kptu%ss1eR5pe^p=ricBpqiLQepX&S0h#IC]!'g4-!c[&SpX&`Nrh&TX
+!+5VBqOd]Cs,c^L!-%gbr36(Fs.B#brL`u%p!A9ili2J~>
+JcGcMqlp(7rSRRG!3l9kptu%ss1eR5pe^p=ricBpqiLQepX&S0h#IC]!'g4-!c[&SpX&`Nrh&TX
+!+5VBqOd]Cs,c^L!-%gbr36(Fs.B#brL`u%p!A9ili2J~>
+JcG]Kqlp+8rSIUZoq2$:r6PGYqu?@dril6\pqQRMqG>fDra,XipO<1)o[*HL!3lHpnc&SrrdXod
+qOd]Cs,c^Ls)@mcr36(Fs.B#brL`u%p!A9ilMlA~>
+JcG]Kqlp+8rSIUZoq2$:r6PGYqu?@dril6\pqQRMqG>fDra,XipO<1)o[*HL!3lHpnc&SrrdXod
+qOd]Cs,c^Ls)@mcr36(Fs.B#brL`u%p!A9ilMlA~>
+JcG]Kqlp+8rSIUZoq2$:r6PGYqu?@dril6\pqQRMqG>fDra,XipO<1)o[*HL!3lHpnc&SrrdXod
+qOd]Cs,c^Ls)@mcr36(Fs.B#brL`u%p!A9ilMlA~>
+JcGZJqlp(7rnd^[rLX(oq4IK?r6YJYoDehericBpqiLQeps9";e,TDDs'Gajq1&=(o[*KM!3lHp
+o`"nuqg\I7r87O9n,NE,r."XKqp>A8p\t5trL`u%p!A9il2Q8~>
+JcGZJqlp(7rnd^[rLX(oq4IK?r6YJYoDehericBpqiLQeps9";e,TDDs'Gajq1&=(o[*KM!3lHp
+o`"nuqg\I7r87O9n,NE,r."XKqp>A8p\t5trL`u%p!A9il2Q8~>
+JcGZJqlp(7rnd^[rLX(oq4IK?r6YJYoDehericBpqiLQeps9";e,TDDs'Gajq1&=(o[*KM!3lHp
+o`"nuqg\I7r87O9n,NE,r."XKqp>A8p\t5trL`u%p!A9il2Q8~>
+JcGWIqQU"7rSIUZrh'4pqOdQ?r6PGYnGiNm!2'.MpV6ILf)PYE!.XuT!'gC2q2k3pr4`69rh&uc
+s'PYQqOd]Cs,c^Ls)@mcr36(Frh&ucrL`r$p!A9ikl6/~>
+JcGWIqQU"7rSIUZrh'4pqOdQ?r6PGYnGiNm!2'.MpV6ILf)PYE!.XuT!'gC2q2k3pr4`69rh&uc
+s'PYQqOd]Cs,c^Ls)@mcr36(Frh&ucrL`r$p!A9ikl6/~>
+JcGWIqQU"7rSIUZrh'4pqOdQ?r6PGYnGiNm!2'.MpV6ILf)PYE!.XuT!'gC2q2k3pr4`69rh&uc
+s'PYQqOd]Cs,c^Ls)@mcr36(Frh&ucrL`r$p!A9ikl6/~>
+JcGQGqQL1=hquf-Yd",!s02?lq;;+s!5J%'ricBpqiLTfpX%Xor)!9?ra5YSp5njlrP/B:s.B2g
+s'PYQqOd]CrfHUK!-%jcqlp"Frh'#drNQ:JrP/!OJcFp5J,~>
+JcGQGqQL1=hquf-Yd",!s02?lq;;+s!5J%'ricBpqiLTfpX%Xor)!9?ra5YSp5njlrP/B:s.B2g
+s'PYQqOd]CrfHUK!-%jcqlp"Frh'#drNQ:JrP/!OJcFp5J,~>
+JcGQGqQL1=hquf-Yd",!s02?lq;;+s!5J%'ricBpqiLTfpX%Xor)!9?ra5YSp5njlrP/B:s.B2g
+s'PYQqOd]CrfHUK!-%jcqlp"Frh'#drNQ:JrP/!OJcFp5J,~>
+JcGNFqQKt7rQtSKrh'4pqOdT@qp5>Xnc/Tm!2'.MpV6LMhZ*ILpjWC<?XH%hOR^]r^BUp7^VBgK
+?i#9KTD[UGORN2LE;P._YkufITDSZdYkufI^\#m(s5s?3~>
+JcGNFqQKt7rQtSKrh'4pqOdT@qp5>Xnc/Tm!2'.MpV6LMhZ*ILpjWC<?XH%hOR^]r^BUp7^VBgK
+?i#9KTD[UGORN2LE;P._YkufITDSZdYkufI^\#m(s5s?3~>
+JcGNFqQKt7rQtSKrh'4pqOdT@qp5>Xnc/Tm!2'.MpV6LMhZ*ILpjWC<?XH%hOR^]r^BUp7^VBgK
+?i#9KTD[UGORN2LE;P._YkufITDSZdYkufI^\#m(s5s?3~>
+JcGKEr36-lrQtSKrh'4pqk*Z@r6PGYnGiNms.B4NpV6ILirAmPpj`46s*t'@o8rLhrkAH;r4i/Z
+qOd]CrfHUK!-%gbr36(Fs.B5hrNPV7!3h%Sjo9i~>
+JcGKEr36-lrQtSKrh'4pqk*Z@r6PGYnGiNms.B4NpV6ILirAmPpj`46s*t'@o8rLhrkAH;r4i/Z
+qOd]CrfHUK!-%gbr36(Fs.B5hrNPV7!3h%Sjo9i~>
+JcGKEr36-lrQtSKrh'4pqk*Z@r6PGYnGiNms.B4NpV6ILirAmPpj`46s*t'@o8rLhrkAH;r4i/Z
+qOd]CrfHUK!-%gbr36(Fs.B5hrNPV7!3h%Sjo9i~>
+JcGECpn.Q4s02Kpril9lq;;+ss1\Q<o)J]ns.B4NpqQRMk5Y?d!)WH?pRhG7s.AqFnBgmDqk*fD
+rfHUK!H=.uJ,HPJd/K[;s8B1rd/DkrciB\hs5a31~>
+JcGECpn.Q4s02Kpril9lq;;+ss1\Q<o)J]ns.B4NpqQRMk5Y?d!)WH?pRhG7s.AqFnBgmDqk*fD
+rfHUK!H=.uJ,HPJd/K[;s8B1rd/DkrciB\hs5a31~>
+JcGECpn.Q4s02Kpril9lq;;+ss1\Q<o)J]ns.B4NpqQRMk5Y?d!)WH?pRhG7s.AqFnBgmDqk*fD
+rfHUK!H=.uJ,HPJd/K[;s8B1rd/DkrciB\hs5a31~>
+JcG<@s.9:Qr1F#9rilEprNQ3lq;;(r!8m^Yp&G&rs.B4NpV6LMlMp`grfHu+p7M>g!hXslrL`eF
+m*POBqqqC7n,EE<OSjS.^\tD6d/K[8YkZT@htbV!T7R%&s*t~>
+JcG<@s.9:Qr1F#9rilEprNQ3lq;;(r!8m^Yp&G&rs.B4NpV6LMlMp`grfHu+p7M>g!hXslrL`eF
+m*POBqqqC7n,EE<OSjS.^\tD6d/K[8YkZT@htbV!T7R%&s*t~>
+JcG<@s.9:Qr1F#9rilEprNQ3lq;;(r!8m^Yp&G&rs.B4NpV6LMlMp`grfHu+p7M>g!hXslrL`eF
+m*POBqqqC7n,EE<OSjS.^\tD6d/K[8YkZT@htbV!T7R%&s*t~>
+JcG6>s.B=QrLa,:rilEpril<mptu"rrnmUWq#C>ts.B7OpV6ILmf38nplPK)oq2)b!hXslr1E\E
+ld5FA!8md;n,EE<OSs\/^\tD6d/Ta:YkcZ=htk]Ns5F!.~>
+JcG6>s.B=QrLa,:rilEpril<mptu"rrnmUWq#C>ts.B7OpV6ILmf38nplPK)oq2)b!hXslr1E\E
+ld5FA!8md;n,EE<OSs\/^\tD6d/Ta:YkcZ=htk]Ns5F!.~>
+JcG6>s.B=QrLa,:rilEpril<mptu"rrnmUWq#C>ts.B7OpV6ILmf38nplPK)oq2)b!hXslr1E\E
+ld5FA!8md;n,EE<OSs\/^\tD6d/Ta:YkcZ=htk]Ns5F!.~>
+JcG0<rgs1Pr1Etms.B7or1EfBrQtK"q69_qs02Nqr/g]gpsB&UoDehtoT8^;q69j;s.B=@qk*YF
+kg0=6q7lM#!e6;nrI=j^r36+GrNQ+En_a8kJcF[.J,~>
+JcG0<rgs1Pr1Etms.B7or1EfBrQtK"q69_qs02Nqr/g]gpsB&UoDehtoT8^;q69j;s.B=@qk*YF
+kg0=6q7lM#!e6;nrI=j^r36+GrNQ+En_a8kJcF[.J,~>
+JcG0<rgs1Pr1Etms.B7or1EfBrQtK"q69_qs02Nqr/g]gpsB&UoDehtoT8^;q69j;s.B=@qk*YF
+kg0=6q7lM#!e6;nrI=j^r36+GrNQ+En_a8kJcF[.J,~>
+JcG'9s.B=Qrh'.ns.B7orL`oCrQtH!pTXVrs02KprK-cgq9],UrVub%o8rpTpn.>cqf)T8!hXsl
+qOdSFk0X(2r4i"+!e6;nrI=j^rNQ7Ir36%Embe#j!3h%ShuA3~>
+JcG'9s.B=Qrh'.ns.B7orL`oCrQtH!pTXVrs02KprK-cgq9],UrVub%o8rpTpn.>cqf)T8!hXsl
+qOdSFk0X(2r4i"+!e6;nrI=j^rNQ7Ir36%Embe#j!3h%ShuA3~>
+JcG'9s.B=Qrh'.ns.B7orL`oCrQtH!pTXVrs02KprK-cgq9],UrVub%o8rpTpn.>cqf)T8!hXsl
+qOdSFk0X(2r4i"+!e6;nrI=j^rNQ7Ir36%Embe#j!3h%ShuA3~>
+JcG!7s.B:Ps.B:ps.B4nrh&uCs3UT!ornGrrilBorfHlhq9])T!2'6to8rdPqOdPeqf)H4s.9:@
+pn.GFj3[\-jhL]>mGIlh!3h%ShZ&*~>
+JcG!7s.B:Ps.B:ps.B4nrh&uCs3UT!ornGrrilBorfHlhq9])T!2'6to8rdPqOdPeqf)H4s.9:@
+pn.GFj3[\-jhL]>mGIlh!3h%ShZ&*~>
+JcG!7s.B:Ps.B:ps.B4nrh&uCs3UT!ornGrrilBorfHlhq9])T!2'6to8rdPqOdPeqf)H4s.9:@
+pn.GFj3[\-jhL]>mGIlh!3h%ShZ&*~>
+JcFm4s.B:PrNH9or36-lq;;5!ptu+doW\=erK-fhpsArRp5nsOrL`hgqf)<0s.9:@pRh>EiR%P-
+n%\VDm,.`f!2"iBh>`!~>
+JcFm4s.B:PrNH9or36-lq;;5!ptu+doW\=erK-fhpsArRp5nsOrL`hgqf)<0s.9:@pRh>EiR%P-
+n%\VDm,.`f!2"iBh>`!~>
+JcFm4s.B:PrNH9or36-lq;;5!ptu+doW\=erK-fhpsArRp5nsOrL`hgqf)<0s.9:@pRh>EiR%P-
+n%\VDm,.`f!2"iBh>`!~>
+JcFg2s.B=Qr3-0nr360mq;22!p>>e_pTXXhrfHlhpsArRrK-*Eqf)0,s.B=@p7M;Fhp;A-qS2LG
+m,.]eJcFL)J,~>
+JcFg2s.B=Qr3-0nr360mq;22!p>>e_pTXXhrfHlhpsArRrK-*Eqf)0,s.B=@p7M;Fhp;A-qS2LG
+m,.]eJcFL)J,~>
+JcFg2s.B=Qr3-0nr360mq;22!p>>e_pTXXhrfHlhpsArRrK-*Eqf)0,s.B=@p7M;Fhp;A-qS2LG
+m,.]eJcFL)J,~>
+JcFa0s.B=QrNH9oqlp*mq;22Ap##S[qlp'lrfHlhpX&iQjKSN#n,NBZ!.X[6rfG@Nl/2?aJcFI(
+J,~>
+JcFa0s.B=QrNH9oqlp*mq;22Ap##S[qlp'lrfHlhpX&iQjKSN#n,NBZ!.X[6rfG@Nl/2?aJcFI(
+J,~>
+JcFa0s.B=QrNH9oqlp*mq;22Ap##S[qlp'lrfHlhpX&iQjKSN#n,NBZ!.X[6rfG@Nl/2?aJcFI(
+J,~>
+JcFX-s.B4n!2'1nrh',Gr:'F;rQtDUs02HorfHoip<``Pkcb&:r,D!%rgs1?o:H#Eda717qp>AX
+JcFF'J,~>
+JcFX-s.B4n!2'1nrh',Gr:'F;rQtDUs02HorfHoip<``Pkcb&:r,D!%rgs1?o:H#Eda717qp>AX
+JcFF'J,~>
+JcFX-s.B4n!2'1nrh',Gr:'F;rQtDUs02HorfHoip<``Pkcb&:r,D!%rgs1?o:H#Eda717qp>AX
+JcFF'J,~>
+JcFR+!2'1n!2'.ms.B8IqXF49q9]/Vril?ns,cuip!EZP!2&\`s*sudk5PEgnt5f`gsG->qp>>W
+JcFC&J,~>
+JcFR+!2'1n!2'.ms.B8IqXF49q9]/Vril?ns,cuip!EZP!2&\`s*sudk5PEgnt5f`gsG->qp>>W
+JcFC&J,~>
+JcFR+!2'1n!2'.ms.B8IqXF49q9]/Vril?ns,cuip!EZP!2&\`s*sudk5PEgnt5f`gsG->qp>>W
+JcFC&J,~>
+JcFI(r3-0nqlg-ohr"1tp>>borP/B:rLa+Op:p:IrP&?)o!&.Drc%!!s'Pbergs1?q4IAbjNuoD
+qp>>WJcF=$J,~>
+JcFI(r3-0nqlg-ohr"1tp>>borP/B:rLa+Op:p:IrP&?)o!&.Drc%!!s'Pbergs1?q4IAbjNuoD
+qp>>WJcF=$J,~>
+JcFI(r3-0nqlg-ohr"1tp>>borP/B:rLa+Op:p:IrP&?)o!&.Drc%!!s'Pbergs1?q4IAbjNuoD
+qp>>WJcF=$J,~>
+JcFF'r3-0nqQKtHo^MV4rQtJWril?ns,crhp!EWOp9=RHs)@'!ra5Sb!3l6jo!$KfqVV4ts1a-b
+e,Op~>
+JcFF'r3-0nqQKtHo^MV4rQtJWril?ns,crhp!EWOp9=RHs)@'!ra5Sb!3l6jo!$KfqVV4ts1a-b
+e,Op~>
+JcFF'r3-0nqQKtHo^MV4rQtJWril?ns,crhp!EWOp9=RHs)@'!ra5Sb!3l6jo!$KfqVV4ts1a-b
+e,Op~>
+JcFC&p9=MBo^MS3q7ls6rLa+OotU1Hr4i06r,C]rra5Sbr36'jmBG9jpYYqrrkF$adJn^~>
+JcFC&p9=MBo^MS3q7ls6rLa+OotU1Hr4i06r,C]rra5Sbr36'jmBG9jpYYqrrkF$adJn^~>
+JcFC&p9=MBo^MS3q7ls6rLa+OotU1Hr4i06r,C]rra5Sbr36'jmBG9jpYYqrrkF$adJn^~>
+JcF=$q69\Ap$h\4qS3'7r1<tNoY:(Gr4i/KjT#3dqOdMd!8ma:l`fBqo\]Vos1a-bcMrC~>
+JcF=$q69\Ap$h\4qS3'7r1<tNoY:(Gr4i/KjT#3dqOdMd!8ma:l`fBqo\]Vos1a-bcMrC~>
+JcF=$q69\Ap$h\4qS3'7r1<tNoY:(Gr4i/KjT#3dqOdMd!8ma:l`fBqo\]Vos1a-bcMrC~>
+JcF:#qloe@o^MV4qS3'7rLX(Oo=sqErP.Fns'PPnrkJ95qVV75m',j'nDF2k!5F*bbQ!(~>
+JcF:#qloe@o^MV4qS3'7rLX(Oo=sqErP.Fns'PPnrkJ95qVV75m',j'nDF2k!5F*bbQ!(~>
+JcF:#qloe@o^MV4qS3'7rLX(Oo=sqErP.Fns'PPnrkJ95qVV75m',j'nDF2k!5F*bbQ!(~>
+JcF7"!5JB7pX&R%ptl(ur4i99!M?UoORg0Zd/C]ZTBlOV?hg8j^\b81htW<#Yk?B1hu1n%^OcF,
+s*t~>
+JcF7"!5JB7pX&R%ptl(ur4i99!M?UoORg0Zd/C]ZTBlOV?hg8j^\b81htW<#Yk?B1hu1n%^OcF,
+s*t~>
+JcF7"!5JB7pX&R%ptl(ur4i99!M?UoORg0Zd/C]ZTBlOV?hg8j^\b81htW<#Yk?B1hu1n%^OcF,
+s*t~>
+JcF-tqQT_@o^MV4rP/?9s.B4No"XkEq7lS%ra5DlpV6^3pYYt3qZ$MUmBHT:ptthMr4i9Y!5F*b
+`rCP~>
+JcF-tqQT_@o^MV4rP/?9s.B4No"XkEq7lS%ra5DlpV6^3pYYt3qZ$MUmBHT:ptthMr4i9Y!5F*b
+`rCP~>
+JcF-tqQT_@o^MV4rP/?9s.B4No"XkEq7lS%ra5DlpV6^3pYYt3qZ$MUmBHT:ptthMr4i9Y!5F*b
+`rCP~>
+JcF'rqQT_@o^M\6rQtJW!O/3oORg0Zd/LfXd/UlXs8HC"TC]hlhu/Z2s8JYhOQ<Y=^AuW3s24ke~>
+JcF'rqQT_@o^M\6rQtJW!O/3oORg0Zd/LfXd/UlXs8HC"TC]hlhu/Z2s8JYhOQ<Y=^AuW3s24ke~>
+JcF'rqQT_@o^M\6rQtJW!O/3oORg0Zd/LfXd/UlXs8HC"TC]hlhu/Z2s8JYhOQ<Y=^AuW3s24ke~>
+JcEsoqlohAoC2\8q9])Ts.B4No=stFs1e?Us1e9"o"XqVrK-gSr1El$rK-NQn@sPS_#Jo~>
+JcEsoqlohAoC2\8q9])Ts.B4No=stFs1e?Us1e9"o"XqVrK-gSr1El$rK-NQn@sPS_#Jo~>
+JcEsoqlohAoC2\8q9])Ts.B4No=stFs1e?Us1e9"o"XqVrK-gSr1El$rK-NQn@sPS_#Jo~>
+JcEmmqloe@o^Mk;o[!TQrh'.No=sG7rL`Yqp>>h1q>^Abo=t6cr36.7rigtRYQ'+~>
+JcEmmqloe@o^Mk;o[!TQrh'.No=sG7rL`Yqp>>h1q>^Abo=t6cr36.7rigtRYQ'+~>
+JcEmmqloe@o^Mk;o[!TQrh'.No=sG7rL`Yqp>>h1q>^Abo=t6cr36.7rigtRYQ'+~>
+JcEdjr35nAo^Dk<n^%?AT:c(Do"XtHqqq"lp:p:XrK-jTrL`\rqqq7sr31bPY5a"~>
+JcEdjr35nAo^Dk<n^%?AT:c(Do"XtHqqq"lp:p:XrK-jTrL`\rqqq7sr31bPY5a"~>
+JcEdjr35nAo^Dk<n^%?AT:c(Do"XtHqqq"lp:p:XrK-jTrL`\rqqq7sr31bPY5a"~>
+JcE^hqlohAo'l1rrh'1Oo"Y%JnDF#f!5J3arkIsLp:pI]qTo5WrNLkQXT*e~>
+JcE^hqlohAo'l1rrh'1Oo"Y%JnDF#f!5J3arkIsLp:pI]qTo5WrNLkQXT*e~>
+JcE^hqlohAo'l1rrh'1Oo"Y%JnDF#f!5J3arkIsLp:pI]qTo5WrNLkQXT*e~>
+JcEUer35qBn*otrrLa(No=t4Mk263c!8lkaq7l^^qp>AXrNLkQX8d\~>
+JcEUer35qBn*otrrLa(No=t4Mk263c!8lkaq7l^^qp>AXrNLkQX8d\~>
+JcEUer35qBn*otrrLa(No=t4Mk263c!8lkaq7l^^qp>AXrNLkQX8d\~>
+JcEOcr35qBm-sbr!3lHprfH`drm9]_jO!h>pYYnqr4i99JcD_LJ,~>
+JcEOcr35qBm-sbr!3lHprfH`drm9]_jO!h>pYYnqr4i99JcD_LJ,~>
+JcEOcr35qBm-sbr!3lHprfH`drm9]_jO!h>pYYnqr4i99JcD_LJ,~>
+JcEF`rNQ"BlgX_s!3lEos,cie!79`_jNmnAp>>epqS*$7JcD\KJ,~>
+JcEF`rNQ"BlgX_s!3lEos,cie!79`_jNmnAp>>epqS*$7JcD\KJ,~>
+JcEF`rNQ"BlgX_s!3lEos,cie!79`_jNmnAp>>epqS*$7JcD\KJ,~>
+JcE@^rNQ"Bkj\Jrr1F"NotULQjPTLSlJMQeq7hL\VZ2/~>
+JcE@^rNQ"Bkj\Jrr1F"NotULQjPTLSlJMQeq7hL\VZ2/~>
+JcE@^rNQ"Bkj\Jrr1F"NotULQjPTLSlJMQeq7hL\VZ2/~>
+JcE7[rNQ%Ck4&>r!3lBn!0Hujq9[%:rm:JU!0Dd3V#Pr~>
+JcE7[rNQ%Ck4&>r!3lBn!0Hujq9[%:rm:JU!0Dd3V#Pr~>
+JcE7[rNQ%Ck4&>r!3lBn!0Hujq9[%:rm:JU!0Dd3V#Pr~>
+JcE1YrNQ.FqS2d^naHS+Yl(*nOSZ`ad)t8Fd.tEVOFdG+s*t~>
+JcE1YrNQ.FqS2d^naHS+Yl(*nOSZ`ad)t8Fd.tEVOFdG+s*t~>
+JcE1YrNQ.FqS2d^naHS+Yl(*nOSZ`ad)t8Fd.tEVOFdG+s*t~>
+JcE(Vril@Jo=sSJ!3l?mrP.dIdGOuNq7cokJcDABJ,~>
+JcE(Vril@Jo=sSJ!3l?mrP.dIdGOuNq7cokJcDABJ,~>
+JcE(Vril@Jo=sSJ!3l?mrP.dIdGOuNq7cokJcDABJ,~>
+JcE"TrNPY'mG@oJqk*-"f&$JSqS3&lJcD;@J,~>
+JcE"TrNPY'mG@oJqk*-"f&$JSqS3&lJcD;@J,~>
+JcE"TrNPY'mG@oJqk*-"f&$JSqS3&lJcD;@J,~>
+JcDhO!0I2PqloV*nDF5;r36%Tn'KtL!RTa#^]0CHs-it<~>
+JcDhO!0I2PqloV*nDF5;r36%Tn'KtL!RTa#^]0CHs-it<~>
+JcDhO!0I2PqloV*nDF5;r36%Tn'KtL!RTa#^]0CHs-it<~>
+JcD\KrK.&Oos"5+n_X>nq69GIpsAfnma1dErfD^2R/_[~>
+JcD\KrK.&Oos"5+n_X>nq69GIpsAfnma1dErfD^2R/_[~>
+JcD\KrK.&Oos"5+n_X>nq69GIpsAfnma1dErfD^2R/_[~>
+JcDMFr/grNhQ["+qQT>Dm*PLArfD^2Q2c@~>
+JcDMFr/grNhQ["+qQT>Dm*PLArfD^2Q2c@~>
+JcDMFr/grNhQ["+qQT>Dm*PLArfD^2Q2c@~>
+JcDABq2bTKl`g&Sr6YAGn_`oao=t<eJcCo5J,~>
+JcDABq2bTKl`g&Sr6YAGn_`oao=t<eJcCo5J,~>
+JcDABq2bTKl`g&Sr6YAGn_`oao=t<eJcCo5J,~>
+JcD2=plGKJposOcqf)B2qU#5Gp>>SjpV6a4r1F"NJcCi3J,~>
+JcD2=plGKJposOcqf)B2qU#5Gp>>SjpV6a4r1F"NJcCi3J,~>
+JcD2=plGKJposOcqf)B2qU#5Gp>>SjpV6a4r1F"NJcCi3J,~>
+JcD#8q2kAjkl:G)!3l@Xr6YAVr35me!0Dd3NW4M~>
+JcD#8q2kAjkl:G)!3l@Xr6YAVr35me!0Dd3NW4M~>
+JcD#8q2kAjkl:G)!3l@Xr6YAVr35me!0Dd3NW4M~>
+JcCl4!5I.cpX&`?n"512MuS;~>
+JcCl4!5I.cpX&`?n"512MuS;~>
+JcCl4!5I.cpX&`?n"512MuS;~>
+JcC<$irAu(s02EnJcC<$pA]X~>
+JcC<$irAu(s02EnJcC<$pA]X~>
+JcC<$irAu(s02EnJcC<$pA]X~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+JcC<$JcC<$bl<1~>
+%%EndData
+showpage
+%%Trailer
+end
+%%EOF
diff --git a/books/ps/up.ps b/books/ps/up.ps
new file mode 100644
index 0000000..81706d0
--- /dev/null
+++ b/books/ps/up.ps
@@ -0,0 +1,382 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 284.120003 559.000000 538.120003
+%%Creator: /u/jonms/XtoPS/xwd2ps
+%%CreationDate: Tue Oct  8 20:20:28 1991
+%%Title: standard input
+%%EndComments
+% /u/jonms/XtoPS/xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   /u/jonms/XtoPS/xwd2ps
+% by pi.watson.ibm.com:jonms ()
+% Information from XWD rasterfile header:
+%   width =  60, height = 30, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 60, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 30
+%   starting column = 1
+%   ending column = 60
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  60 30 8
+  [60 0 0 -30 0 30]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 3.960000 inch translate
+matrix currentmatrix
+.5 inch .16 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+dbdb70
+2f4f4f
+23238e
+d3d3d3
+ff0000
+000000
+004900
+004955
+0049aa
+0049ff
+006d00
+006d55
+006daa
+006dff
+009200
+009255
+0092aa
+0092ff
+00b600
+00b655
+00b6aa
+00b6ff
+00db00
+00db55
+00dbaa
+00dbff
+00ff00
+00ff55
+00ffaa
+00ffff
+240000
+240055
+2400aa
+2400ff
+242400
+242455
+2424aa
+2424ff
+244900
+244955
+2449aa
+2449ff
+246d00
+246d55
+246daa
+246dff
+249200
+249255
+2492aa
+2492ff
+24b600
+24b655
+24b6aa
+24b6ff
+24db00
+24db55
+24dbaa
+24dbff
+24ff00
+24ff55
+24ffaa
+24ffff
+490000
+490055
+4900aa
+4900ff
+492400
+492455
+4924aa
+4924ff
+494900
+494955
+4949aa
+4949ff
+496d00
+496d55
+496daa
+496dff
+499200
+499255
+4992aa
+4992ff
+49b600
+49b655
+49b6aa
+49b6ff
+49db00
+49db55
+49dbaa
+49dbff
+49ff00
+49ff55
+49ffaa
+49ffff
+6d0000
+6d0055
+6d00aa
+6d00ff
+6d2400
+6d2455
+6d24aa
+6d24ff
+6d4900
+6d4955
+6d49aa
+6d49ff
+6d6d00
+6d6d55
+6d6daa
+6d6dff
+6d9200
+6d9255
+6d92aa
+6d92ff
+6db600
+6db655
+6db6aa
+6db6ff
+6ddb00
+6ddb55
+6ddbaa
+6ddbff
+6dff00
+6dff55
+6dffaa
+6dffff
+920000
+920055
+9200aa
+9200ff
+922400
+922455
+9224aa
+9224ff
+924900
+924955
+9249aa
+9249ff
+926d00
+926d55
+926daa
+926dff
+929200
+929255
+9292aa
+9292ff
+92b600
+92b655
+92b6aa
+92b6ff
+92db00
+92db55
+92dbaa
+92dbff
+92ff00
+92ff55
+92ffaa
+92ffff
+b60000
+b60055
+b600aa
+b600ff
+b62400
+b62455
+b624aa
+b624ff
+b64900
+b64955
+b649aa
+b649ff
+b66d00
+b66d55
+b66daa
+b66dff
+b69200
+b69255
+b692aa
+b692ff
+b6b600
+b6b655
+b6b6aa
+b6b6ff
+b6db00
+b6db55
+b6dbaa
+b6dbff
+b6ff00
+b6ff55
+b6ffaa
+b6ffff
+db0000
+db0055
+db00aa
+db00ff
+db2400
+db2455
+db24aa
+db24ff
+db4900
+db4955
+db49aa
+db49ff
+db6d00
+db6d55
+db6daa
+db6dff
+db9200
+db9255
+db92aa
+db92ff
+dbb600
+dbb655
+dbb6aa
+dbb6ff
+dbdb00
+dbdb55
+dbdbaa
+dbdbff
+dbff00
+dbff55
+dbffaa
+dbffff
+ff0000
+ff0055
+ff00aa
+ff00ff
+ff2400
+ff2455
+ff24aa
+ff24ff
+ff4900
+ff4955
+ff49aa
+ff49ff
+ff6d00
+ff6d55
+ff6daa
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+3b003b003b003b003b003b003b003b003b001c0000011d001a0004011b0018000801190016000c01170014001001150012001401130010001801110015000e01160015000e011600
+15000e01160015000e01160015000e0116003b003b003b003b003b003b003b003b003b00
+pop pop setmatrix
+
+/#copies 1 def
+%grestore
+grestore
+%%Trailer
diff --git a/books/ps/vectorroot.ps b/books/ps/vectorroot.ps
new file mode 100644
index 0000000..a6ad7d6
--- /dev/null
+++ b/books/ps/vectorroot.ps
@@ -0,0 +1,4310 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	57	203	225	84	psDrawLine
+	globGC	(X)	52	208	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	245	203	76	84	psDrawLine
+	globGC	(Y)	250	208	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	151	37	150	208	psDrawLine
+	globGC	(Z)	156	32	psDrawStr
+	globalGC1	193.000000	setForeground
+	globGC	193.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	149	54	150	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	55	149	54	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	55	149	54	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	57	155	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	58	154	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	58	154	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	60	159	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	61	158	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	61	158	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	62	164	67	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	64	163	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	64	163	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	65	168	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	67	168	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	66	168	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	68	173	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	69	172	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	69	172	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	71	178	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	72	177	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	72	177	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	74	182	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	75	182	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	75	182	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	78	187	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	79	186	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	79	186	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	81	192	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	82	191	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	82	191	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	85	197	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	85	196	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	85	196	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	88	202	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	89	202	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	89	202	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	92	207	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	93	208	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	93	208	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	96	212	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	96	214	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	96	214	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	100	218	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	100	221	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	100	221	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	103	223	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	103	227	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	103	227	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	106	228	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	106	234	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	106	234	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	110	234	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	109	240	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	110	240	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	113	239	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	112	246	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	113	246	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	116	245	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	116	253	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	116	253	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	120	251	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	119	259	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	120	259	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	123	256	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	122	265	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	123	265	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	272	127	262	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	126	272	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	127	272	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	278	130	268	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	275	129	278	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	276	131	278	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	284	134	274	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	282	133	284	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	282	134	284	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	291	138	280	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	288	137	291	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	288	138	291	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	57	146	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	58	145	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	58	145	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	60	150	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	61	149	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	61	149	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	62	155	67	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	64	154	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	63	154	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	65	159	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	66	158	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	66	158	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	68	164	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	69	163	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	69	163	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	71	169	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	72	167	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	72	167	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	74	173	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	75	172	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	75	172	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	77	178	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	78	177	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	78	177	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	80	183	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	81	181	80	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	81	181	80	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	84	188	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	85	186	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	85	186	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	88	193	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	88	191	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	88	191	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	92	198	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	92	196	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	92	196	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	96	203	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	96	202	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	96	202	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	100	208	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	100	209	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	100	209	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	104	213	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	104	216	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	104	216	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	107	219	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	107	223	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	107	223	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	110	224	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	110	230	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	110	230	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	113	229	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	113	236	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	113	236	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	117	235	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	116	242	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	117	242	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	120	241	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	119	249	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	120	249	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	123	246	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	123	255	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	124	255	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	261	127	252	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	126	261	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	127	261	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	130	258	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	130	267	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	131	267	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	274	134	264	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	133	274	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	134	274	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	138	270	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	278	137	280	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	278	138	280	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	142	276	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	284	141	287	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	284	142	287	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	59	142	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	61	140	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	61	140	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	62	146	67	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	64	145	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	63	145	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	65	150	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	66	149	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	66	149	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	68	155	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	69	154	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	69	154	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	71	160	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	72	158	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	72	158	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	74	164	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	75	163	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	75	163	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	77	169	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	78	167	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	78	167	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	80	174	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	81	172	80	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	81	172	80	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	83	178	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	84	176	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	84	176	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	87	183	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	88	180	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	87	180	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	90	188	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	91	185	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	91	185	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	95	193	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	95	189	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	95	189	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	100	198	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	100	195	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	100	195	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	105	204	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	105	203	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	105	203	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	109	209	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	108	212	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	108	212	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	112	214	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	111	219	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	111	219	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	114	220	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	113	226	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	114	226	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	117	225	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	116	232	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	117	232	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	120	231	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	120	238	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	120	238	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	124	236	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	123	244	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	124	244	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	127	242	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	126	250	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	127	250	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	131	248	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	130	257	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	131	257	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	134	253	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	261	133	263	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	261	134	263	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	138	259	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	137	269	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	138	269	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	276	142	265	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	141	276	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	142	276	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	282	146	272	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	145	282	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	146	282	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	62	137	67	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	63	135	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	63	135	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	65	141	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	66	140	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	66	140	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	68	146	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	69	144	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	69	144	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	71	150	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	72	149	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	72	149	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	74	155	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	75	153	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	75	153	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	77	160	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	78	158	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	78	158	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	80	164	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	81	162	80	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	81	162	80	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	83	169	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	84	167	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	84	167	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	86	174	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	87	171	86	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	87	171	86	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	89	179	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	90	175	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	90	175	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	92	184	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	94	179	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	93	179	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	97	189	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	98	181	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	97	181	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	105	194	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	105	184	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	104	184	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	113	199	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	111	197	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	111	197	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	115	204	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	113	209	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	114	209	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	116	210	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	115	217	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	115	217	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	118	215	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	117	223	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	118	223	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	121	221	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	120	228	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	121	228	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	124	226	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	123	234	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	124	234	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	127	232	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	127	240	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	127	240	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	131	237	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	130	246	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	131	246	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	134	243	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	134	252	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	135	252	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	138	249	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	137	259	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	138	259	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	142	255	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	141	265	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	142	265	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	146	261	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	145	271	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	146	271	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	278	150	267	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	275	149	278	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	275	150	278	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	65	132	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	66	131	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	66	131	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	68	137	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	69	135	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	69	135	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	71	141	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	72	140	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	72	140	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	73	146	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	75	144	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	75	144	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	76	150	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	78	149	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	78	149	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	79	155	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	81	153	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	80	153	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	82	160	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	84	158	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	83	158	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	85	165	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	87	162	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	86	162	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	88	169	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	90	167	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	89	167	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	91	174	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	93	171	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	92	171	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	94	179	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	95	174	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	95	174	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	95	184	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	98	174	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	97	174	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	105	189	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	107	158	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	104	158	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	131	195	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	126	198	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	126	198	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	120	200	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	117	212	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	118	212	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	119	205	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	118	215	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	119	215	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	121	211	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	120	219	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	121	219	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	124	216	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	124	225	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	124	225	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	128	222	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	127	230	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	128	230	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	131	227	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	130	236	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	131	236	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	135	233	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	134	242	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	135	242	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	138	239	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	137	248	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	138	248	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	142	245	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	141	254	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	142	254	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	146	251	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	145	260	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	146	260	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	150	257	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	149	267	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	150	267	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	154	263	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	153	273	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	154	273	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	68	128	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	69	126	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	69	126	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	71	132	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	72	130	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	72	130	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	73	137	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	75	135	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	75	135	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	76	141	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	78	139	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	77	139	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	79	146	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	81	144	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	80	144	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	82	150	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	84	148	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	83	148	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	85	155	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	87	153	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	86	153	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	88	160	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	90	158	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	89	158	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	91	165	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	92	162	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	92	162	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	94	170	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	95	167	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	95	167	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	96	175	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	98	172	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	98	172	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	95	180	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	98	179	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	98	179	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	91	185	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	94	203	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	96	203	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	99	190	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	101	216	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	104	216	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	116	195	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	115	212	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	116	212	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	121	201	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	120	211	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	121	211	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	124	206	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	124	215	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	124	215	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	128	211	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	127	220	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	128	220	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	131	217	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	130	226	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	131	226	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	135	223	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	134	232	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	135	232	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	138	228	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	137	237	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	138	237	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	142	234	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	141	243	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	142	243	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	146	240	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	145	250	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	146	250	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	150	246	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	149	256	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	150	256	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	154	252	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	153	262	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	154	262	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	158	258	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	266	157	269	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	266	158	269	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	71	123	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	72	121	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	72	121	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	73	128	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	75	126	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	75	126	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	76	132	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	78	130	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	77	130	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	79	137	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	81	135	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	80	135	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	82	141	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	83	139	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	83	139	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	85	146	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	86	144	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	86	144	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	88	150	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	89	148	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	89	148	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	91	155	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	92	153	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	92	153	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	94	160	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	96	158	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	95	158	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	97	165	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	99	163	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	98	163	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	100	170	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	102	168	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	101	168	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	105	175	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	106	176	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	106	176	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	119	180	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	117	183	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	117	183	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	114	185	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	115	176	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	114	176	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	118	191	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	118	197	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	119	197	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	124	196	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	123	205	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	124	205	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	128	201	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	127	210	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	128	210	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	131	207	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	130	216	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	131	216	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	135	212	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	134	221	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	135	221	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	138	218	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	138	227	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	139	227	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	142	224	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	141	233	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	142	233	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	146	229	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	145	239	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	146	239	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	150	235	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	149	245	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	150	245	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	154	241	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	153	251	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	154	251	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	158	247	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	157	258	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	158	258	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	162	254	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	161	264	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	261	162	264	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	73	118	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	75	116	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	75	116	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	76	123	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	78	121	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	77	121	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	79	127	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	81	125	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	80	125	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	82	132	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	83	130	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	83	130	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	85	136	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	86	134	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	86	134	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	88	141	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	89	139	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	89	139	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	91	146	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	92	144	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	92	144	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	94	150	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	96	148	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	95	148	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	97	155	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	99	153	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	98	153	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	100	160	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	102	158	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	102	158	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	104	165	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	105	163	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	105	163	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	108	170	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	109	166	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	109	166	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	117	175	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	117	166	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	116	166	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	126	181	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	124	179	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	124	179	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	125	186	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	124	193	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	125	193	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	128	191	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	127	200	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	128	200	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	131	197	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	130	205	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	131	205	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	135	202	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	134	211	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	135	211	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	138	208	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	138	217	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	139	217	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	142	213	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	141	222	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	142	222	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	146	219	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	145	228	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	146	228	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	150	225	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	149	234	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	150	234	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	154	231	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	153	240	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	154	240	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	158	237	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	157	247	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	158	247	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	162	243	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	161	253	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	162	253	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	166	249	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	165	259	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	166	259	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	76	114	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	78	111	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	77	111	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	79	118	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	81	116	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	80	116	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	82	122	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	83	120	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	83	120	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	85	127	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	86	125	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	86	125	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	88	132	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	89	130	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	89	130	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	91	136	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	92	134	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	92	134	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	94	141	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	96	139	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	95	139	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	97	146	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	99	143	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	98	143	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	100	150	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	102	148	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	102	148	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	104	155	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	105	153	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	105	153	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	107	160	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	108	158	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	108	158	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	109	165	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	110	163	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	110	163	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	100	171	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	105	151	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	103	151	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	137	176	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	131	207	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	135	207	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	128	181	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	127	192	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	128	192	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	131	186	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	130	195	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	131	195	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	135	192	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	134	201	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	135	201	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	138	197	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	138	206	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	139	206	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	142	203	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	141	212	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	142	212	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	146	208	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	145	218	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	146	218	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	150	214	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	149	224	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	150	224	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	154	220	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	153	230	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	154	230	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	158	226	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	157	236	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	158	236	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	162	232	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	161	242	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	162	242	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	166	238	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	165	248	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	166	248	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	170	244	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	169	254	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	170	254	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	79	109	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	81	106	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	80	106	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	82	113	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	84	111	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	83	111	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	85	118	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	86	116	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	86	116	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	88	122	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	89	120	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	89	120	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	91	127	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	92	125	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	92	125	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	94	131	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	96	129	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	95	129	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	97	136	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	99	134	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	98	134	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	100	141	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	102	139	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	102	139	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	104	146	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	105	143	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	105	143	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	107	150	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	108	148	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	108	148	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	110	155	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	111	153	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	111	153	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	115	161	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	116	158	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	116	158	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	129	166	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	127	175	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	128	175	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	120	171	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	122	161	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	121	161	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	131	176	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	130	182	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	131	182	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	135	181	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	134	190	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	135	190	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	138	187	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	138	196	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	139	196	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	142	192	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	141	201	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	142	201	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	146	198	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	145	207	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	146	207	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	150	204	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	149	213	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	150	213	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	154	209	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	153	219	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	154	219	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	158	215	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	157	225	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	158	225	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	162	221	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	161	231	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	162	231	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	166	227	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	165	237	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	166	237	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	170	233	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	169	243	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	170	243	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	174	239	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	173	249	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	174	249	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	82	104	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	84	102	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	83	102	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	85	108	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	87	106	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	86	106	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	88	113	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	90	111	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	89	111	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	91	117	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	93	115	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	92	115	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	94	122	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	96	120	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	95	120	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	97	126	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	99	124	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	98	124	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	100	131	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	102	129	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	102	129	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	104	136	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	105	134	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	105	134	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	107	141	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	108	138	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	108	138	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	110	146	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	111	143	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	111	143	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	113	151	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	115	148	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	115	148	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	116	156	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	118	156	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	118	156	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	131	161	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	130	155	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	129	155	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	133	166	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	133	159	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	132	159	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	133	171	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	132	180	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	133	180	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	138	176	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	138	186	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	139	186	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	142	182	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	141	191	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	142	191	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	146	187	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	145	197	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	146	197	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	150	193	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	149	202	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	150	202	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	154	199	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	153	208	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	154	208	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	158	204	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	157	214	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	158	214	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	162	210	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	161	220	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	162	220	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	166	216	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	165	226	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	166	226	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	170	222	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	169	232	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	170	232	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	174	228	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	173	238	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	174	238	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	179	235	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	178	244	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	179	244	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	85	99	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	87	97	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	86	97	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	88	103	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	90	101	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	89	101	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	91	108	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	93	106	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	92	106	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	94	112	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	96	110	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	95	110	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	97	117	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	99	115	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	98	115	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	100	121	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	102	119	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	102	119	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	104	126	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	105	124	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	105	124	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	107	131	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	108	129	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	108	129	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	110	136	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	111	134	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	111	134	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	113	141	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	115	138	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	115	138	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	117	145	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	118	143	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	118	143	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	120	151	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	122	146	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	121	146	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	131	156	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	131	142	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	130	142	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	143	161	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	141	159	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	141	159	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	140	166	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	139	175	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	140	175	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	142	171	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	141	181	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	142	181	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	146	177	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	145	186	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	146	186	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	150	182	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	149	192	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	150	192	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	154	188	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	153	197	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	154	197	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	158	194	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	157	203	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	158	203	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	162	199	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	161	209	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	162	209	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	166	205	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	165	215	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	166	215	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	170	211	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	169	221	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	170	221	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	174	217	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	173	227	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	174	227	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	178	223	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	177	233	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	178	233	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	183	230	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	182	239	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	183	239	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	89	94	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	90	92	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	90	92	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	92	98	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	93	96	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	93	96	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	94	102	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	96	101	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	96	101	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	97	107	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	99	106	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	98	106	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	100	112	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	102	110	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	102	110	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	103	116	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	105	114	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	105	114	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	107	121	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	108	119	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	108	119	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	110	126	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	111	124	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	111	124	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	113	131	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	115	128	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	115	128	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	117	135	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	118	133	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	118	133	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	121	140	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	122	139	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	122	139	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	119	145	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	121	147	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	121	147	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	116	151	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	121	126	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	118	126	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	156	156	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	150	183	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	153	183	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	140	161	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	139	177	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	141	177	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	145	166	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	145	175	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	145	175	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	150	172	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	149	181	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	150	181	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	154	177	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	153	187	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	154	187	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	158	183	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	157	192	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	158	192	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	162	189	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	161	198	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	162	198	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	166	194	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	165	204	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	166	204	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	170	200	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	169	210	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	170	210	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	174	206	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	173	216	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	174	216	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	178	212	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	177	221	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	178	221	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	183	218	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	182	227	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	183	227	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	187	225	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	186	234	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	187	234	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	92	88	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	93	87	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	93	87	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	95	93	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	96	92	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	96	92	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	98	97	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	99	96	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	99	96	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	100	102	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	102	101	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	102	101	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	103	106	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	105	105	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	105	105	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	107	111	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	108	109	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	108	109	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	110	116	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	112	114	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	111	114	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	113	120	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	115	119	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	115	119	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	117	125	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	118	123	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	118	123	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	122	130	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	123	134	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	123	134	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	133	135	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	132	138	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	132	138	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	132	140	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	131	155	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	133	155	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	156	145	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	150	172	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	153	172	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	123	151	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	128	125	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	125	125	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	134	156	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	136	158	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	136	158	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	146	161	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	147	156	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	146	156	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	149	167	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	149	172	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	150	172	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	158	172	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	157	182	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	158	182	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	161	178	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	160	187	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	161	187	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	166	183	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	165	193	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	166	193	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	170	189	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	169	199	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	170	199	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	174	195	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	173	205	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	174	205	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	178	201	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	177	211	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	178	211	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	182	207	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	181	216	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	182	216	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	187	213	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	186	222	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	187	222	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	192	219	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	191	228	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	192	228	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	95	83	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	96	82	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	96	82	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	98	88	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	99	87	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	99	87	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	101	92	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	102	92	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	102	92	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	104	97	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	105	97	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	105	97	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	106	101	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	107	100	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	107	100	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	109	106	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	111	103	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	111	103	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	114	110	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	116	107	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	115	107	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	118	115	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	119	116	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	119	116	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	114	120	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	117	120	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	117	120	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	148	125	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	145	103	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	142	103	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	135	130	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	134	139	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	135	139	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	140	135	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	138	141	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	139	141	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	151	140	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	149	136	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	149	136	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	147	145	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	147	130	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	145	130	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	143	151	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	145	147	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	144	147	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	145	156	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	147	153	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	147	153	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	172	161	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	169	134	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	166	134	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	160	167	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	159	186	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	161	186	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	164	172	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	163	180	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	164	180	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	171	178	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	170	186	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	171	186	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	175	184	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	174	195	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	175	195	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	177	190	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	177	201	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	178	201	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	181	196	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	180	206	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	182	206	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	186	202	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	185	211	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	186	211	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	191	208	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	190	216	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	191	216	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	196	214	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	195	222	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	196	222	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	99	78	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	100	77	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	100	77	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	102	82	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	103	82	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	103	82	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	105	87	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	106	87	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	106	87	105	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	107	91	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	108	93	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	108	93	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	108	96	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	110	98	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	110	98	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	109	100	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	111	96	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	111	96	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	122	105	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	123	93	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	121	93	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	127	110	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	126	115	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	127	115	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	131	115	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	130	135	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	132	135	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	145	120	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	144	86	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	140	86	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	131	125	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	133	123	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	133	123	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	143	130	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	143	120	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	142	120	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	149	135	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	148	128	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	148	128	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	152	140	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	152	133	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	151	133	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	159	145	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	157	142	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	157	142	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	157	151	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	156	159	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	157	159	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	186	156	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	181	138	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	179	138	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	148	162	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	152	159	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	152	159	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	164	167	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	165	166	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	165	166	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	182	173	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	180	175	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	180	175	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	181	179	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	179	197	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	181	197	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	180	184	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	179	198	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	181	198	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	184	190	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	184	200	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	185	200	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	189	196	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	189	204	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	190	204	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	195	203	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	194	210	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	195	210	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	200	209	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	199	216	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	200	216	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	103	73	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	104	71	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	103	71	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	106	77	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	107	77	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	107	77	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	109	81	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	110	83	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	110	83	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	111	86	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	112	90	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	113	90	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	112	90	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	113	99	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	114	99	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	102	95	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	106	114	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	108	114	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	144	100	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	141	72	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	139	72	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	127	105	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	127	118	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	128	118	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	137	109	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	136	112	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	137	112	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	144	114	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	143	107	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	142	107	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	145	119	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	144	112	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	143	112	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	149	124	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	148	117	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	148	117	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	153	129	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	152	122	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	151	122	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	157	135	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	156	128	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	155	128	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	161	140	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	160	133	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	159	133	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	165	145	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	164	139	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	163	139	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	169	151	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	169	140	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	167	140	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	166	156	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	167	150	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	166	150	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	162	162	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	164	166	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	164	166	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	198	167	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	194	139	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	191	139	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	166	173	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	168	207	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	172	207	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	178	179	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	179	190	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	180	190	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	186	185	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	187	192	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	188	192	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	193	191	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	193	197	193	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	194	197	193	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	199	197	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	199	203	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	199	203	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	205	204	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	204	209	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	205	209	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	107	67	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	107	65	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	107	65	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	110	72	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	111	71	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	111	71	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	114	76	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	114	77	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	114	77	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	117	80	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	118	85	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	118	85	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	122	85	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	122	95	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	123	95	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	135	90	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	131	113	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	134	113	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	152	94	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	148	72	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	145	72	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	131	99	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	132	85	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	131	85	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	140	104	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	139	98	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	139	98	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	145	109	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	144	102	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	144	102	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	149	114	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	148	107	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	147	107	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	153	119	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	152	112	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	151	112	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	157	124	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	156	117	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	155	117	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	161	129	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	160	122	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	159	122	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	165	134	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	164	127	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	163	127	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	169	140	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	168	133	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	167	133	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	173	145	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	172	138	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	171	138	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	176	151	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	176	146	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	175	146	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	188	156	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	185	160	188	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	186	160	188	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	197	162	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	195	127	197	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	191	127	197	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	165	168	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	170	154	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	169	154	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	181	174	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	183	174	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	183	174	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	190	180	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	191	182	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	191	182	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	198	186	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	198	189	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	198	189	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	204	192	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	203	196	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	204	196	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	210	198	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	209	203	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	210	203	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	111	62	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	111	59	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	111	59	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	114	66	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	115	65	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	115	65	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	118	70	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	119	71	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	119	71	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	123	75	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	123	77	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	123	77	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	129	80	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	128	84	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	129	84	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	138	84	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	136	87	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	136	87	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	144	89	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	142	81	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	141	81	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	143	94	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	142	83	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	141	83	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	145	98	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	144	90	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	143	90	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	149	103	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	148	96	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	147	96	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	153	108	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	152	101	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	151	101	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	157	113	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	156	106	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	155	106	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	161	118	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	160	111	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	159	111	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	165	123	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	164	116	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	163	116	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	169	129	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	168	122	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	167	122	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	173	134	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	172	127	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	171	127	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	177	140	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	177	133	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	176	133	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	182	145	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	181	138	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	181	138	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	189	151	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	188	142	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	186	142	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	190	156	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	190	139	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	188	139	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	186	162	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	188	149	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	186	149	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	190	168	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	191	163	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	190	163	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	196	174	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	197	173	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	197	173	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	203	180	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	203	181	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	203	181	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	209	186	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	209	189	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	209	189	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	215	192	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	214	196	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	215	196	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	115	56	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	115	53	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	115	53	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	119	60	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	119	58	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	119	58	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	123	65	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	123	64	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	123	64	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	128	69	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	127	69	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	127	69	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	133	74	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	132	74	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	132	74	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	139	78	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	138	77	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	137	77	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	144	83	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	142	78	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	142	78	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	146	88	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	145	80	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	145	80	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	149	93	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	148	85	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	148	85	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	153	98	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	152	90	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	151	90	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	157	103	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	156	95	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	155	95	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	161	108	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	160	100	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	159	100	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	165	113	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	164	105	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	163	105	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	169	118	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	168	111	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	167	111	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	173	123	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	172	116	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	171	116	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	177	128	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	177	121	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	176	121	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	182	134	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	181	127	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	180	127	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	186	139	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	185	132	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	184	132	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	191	145	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	190	136	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	189	136	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	193	151	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	193	140	193	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	192	140	193	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	195	156	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	195	147	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	194	147	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	198	162	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	199	157	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	198	157	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	203	168	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	203	166	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	203	166	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	209	174	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	209	174	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	209	174	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	215	181	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	214	182	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	214	182	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	221	187	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	220	189	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	220	189	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	47	119	50	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	47	119	47	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	118	47	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	123	55	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	123	51	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	122	51	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	127	59	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	127	56	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	127	56	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	131	64	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	131	61	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	131	61	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	136	68	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	136	65	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	135	65	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	141	73	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	140	69	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	140	69	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	146	77	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	145	72	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	144	72	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	150	82	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	149	76	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	148	76	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	153	87	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	152	80	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	152	80	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	157	92	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	156	85	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	155	85	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	161	97	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	160	89	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	159	89	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	165	102	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	164	94	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	163	94	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	169	107	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	168	100	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	167	100	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	173	112	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	172	105	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	171	105	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	177	117	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	176	110	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	176	110	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	182	123	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	181	115	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	180	115	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	186	128	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	185	121	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	184	121	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	190	134	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	189	126	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	189	126	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	194	139	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	194	131	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	193	131	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	198	145	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	197	137	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	196	137	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	201	151	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	201	143	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	200	143	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	205	157	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	205	151	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	204	151	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	210	163	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	210	159	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	209	159	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	215	169	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	215	167	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	214	167	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	221	175	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	220	175	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	220	175	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	227	181	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	226	182	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	226	182	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	122	45	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	123	40	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	122	40	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	127	49	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	127	45	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	126	45	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	49	131	53	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	131	49	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	130	49	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	135	58	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	135	54	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	135	54	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	140	62	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	139	58	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	139	58	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	144	67	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	144	62	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	63	143	62	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	149	72	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	148	66	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	147	66	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	153	76	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	152	70	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	151	70	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	157	81	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	156	74	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	155	74	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	161	86	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	160	79	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	159	79	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	165	91	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	164	84	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	163	84	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	169	96	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	168	88	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	167	88	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	173	101	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	172	94	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	171	94	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	177	106	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	176	99	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	176	99	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	182	111	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	181	104	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	180	104	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	186	117	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	185	109	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	184	109	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	190	122	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	189	115	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	189	115	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	195	128	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	194	120	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	193	120	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	199	133	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	198	126	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	197	126	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	203	139	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	202	132	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	201	132	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	207	145	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	206	139	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	206	139	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	211	151	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	211	146	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	210	146	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	216	157	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	215	153	216	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	215	153	216	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	221	163	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	221	161	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	220	161	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	227	169	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	226	168	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	226	168	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	233	175	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	231	176	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	231	176	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	33	126	39	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	127	33	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	126	33	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	38	130	43	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	130	38	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	130	38	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	42	135	48	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	44	135	42	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	43	134	42	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	47	139	52	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	139	47	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	138	47	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	143	57	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	143	51	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	142	51	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	148	61	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	147	55	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	147	55	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	152	66	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	151	59	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	151	59	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	156	70	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	156	64	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	155	64	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	161	75	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	160	68	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	159	68	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	165	80	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	164	73	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	163	73	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	169	85	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	168	77	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	167	77	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	173	90	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	172	82	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	171	82	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	177	95	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	177	87	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	176	87	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	182	100	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	181	93	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	180	93	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	186	106	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	185	98	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	184	98	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	190	111	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	190	103	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	189	103	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	195	116	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	194	109	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	193	109	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	199	122	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	198	115	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	198	115	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	204	127	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	203	120	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	202	120	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	208	133	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	207	127	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	206	127	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	213	139	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	212	133	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	211	133	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	217	145	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	216	140	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	216	140	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	222	151	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	221	147	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	221	147	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	227	157	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	226	154	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	226	154	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	233	163	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	232	162	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	232	162	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	239	169	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	237	169	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	237	169	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	26	130	33	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	130	26	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	130	26	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	31	134	37	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	32	134	31	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	32	134	31	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	138	42	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	37	138	35	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	37	138	35	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	143	46	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	42	143	40	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	142	40	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	44	147	51	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	147	44	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	146	44	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	49	151	55	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	151	49	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	150	49	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	156	60	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	155	53	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	155	53	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	160	64	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	159	57	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	159	57	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	164	69	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	164	62	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	63	163	62	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	169	74	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	168	66	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	167	66	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	173	79	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	172	71	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	171	71	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	177	84	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	176	76	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	176	76	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	182	89	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	181	81	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	180	81	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	186	94	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	185	86	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	184	86	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	191	100	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	190	92	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	189	92	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	195	105	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	194	97	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	193	97	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	200	110	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	199	103	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	198	103	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	204	116	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	203	109	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	202	109	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	209	121	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	208	115	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	207	115	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	213	127	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	212	121	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	212	121	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	218	133	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	217	127	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	216	127	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	223	139	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	222	134	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	221	134	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	228	145	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	227	141	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	226	141	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	233	151	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	232	148	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	232	148	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	239	157	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	238	155	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	237	155	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	245	163	238	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	243	162	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	243	162	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	20	134	27	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	134	20	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	133	20	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	24	138	31	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	26	138	24	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	26	137	24	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	29	142	36	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	30	142	29	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	30	141	29	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	33	147	40	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	146	33	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	146	33	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	37	151	45	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	151	37	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	150	37	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	42	155	49	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	44	155	42	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	43	154	42	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	160	54	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	159	46	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	158	46	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	164	58	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	163	51	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	163	51	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	168	63	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	168	55	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	167	55	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	173	68	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	172	60	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	171	60	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	177	73	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	176	65	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	176	65	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	182	78	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	181	70	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	180	70	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	186	83	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	185	75	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	184	75	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	191	88	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	190	80	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	189	80	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	195	93	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	194	86	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	193	86	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	200	99	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	199	91	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	198	91	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	205	104	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	203	97	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	203	97	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	209	110	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	208	102	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	207	102	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	214	115	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	213	108	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	212	108	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	219	121	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	218	115	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	217	115	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	224	127	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	223	121	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	222	121	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	229	133	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	228	128	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	227	128	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	234	138	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	233	134	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	232	134	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	239	145	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	238	141	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	238	141	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	245	151	238	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	244	149	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	243	149	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	251	157	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	249	156	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	249	156	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	13	138	21	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	15	138	13	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	15	137	13	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	17	142	25	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	19	142	17	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	19	141	17	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	22	146	30	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	24	146	22	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	23	145	22	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	26	151	34	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	150	26	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	150	26	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	30	155	38	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	33	155	30	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	32	154	30	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	159	43	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	37	159	35	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	37	158	35	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	164	48	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	42	163	39	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	162	39	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	44	168	52	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	168	44	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	167	44	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	49	173	57	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	172	49	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	171	49	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	177	62	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	176	53	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	175	53	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	182	67	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	181	58	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	180	58	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	63	186	72	181	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	185	63	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	184	63	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	191	77	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	190	68	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	189	68	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	195	82	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	194	74	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	193	74	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	200	87	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	199	79	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	198	79	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	205	92	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	204	85	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	203	85	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	209	98	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	208	90	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	208	90	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	214	103	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	213	96	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	212	96	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	219	109	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	218	102	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	217	102	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	224	115	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	223	108	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	222	108	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	229	120	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	228	115	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	227	115	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	235	126	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	233	121	235	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	233	121	235	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	240	132	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	238	128	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	238	128	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	246	138	238	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	244	135	246	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	243	135	246	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	251	144	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	250	142	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	249	142	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	257	151	249	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	255	149	257	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	255	149	257	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/vectorsin.ps b/books/ps/vectorsin.ps
new file mode 100644
index 0000000..7d6eeb5
--- /dev/null
+++ b/books/ps/vectorsin.ps
@@ -0,0 +1,4310 @@
+%!PS-Adobe-2.0
+%%DocumentFonts: Times-Roman
+%%Creator: Axiom
+%%CreationDate: today
+%%Pages: 1
+%%processing (hard) limit: 250 pts or 500 values for the operand stack.
+%%EndComments
+
+%------------------------------- prologue -------------------------------%
+%-------------------------- support procedures --------------------------%
+
+%--------- first create user dictionary with 100 entries max ------------%
+%          (number can be changed to accomodate definitions)             %
+
+100	dict	begin		%% using 100 entries in top level dictionary
+
+/FontHeight     12 def
+
+/inch
+        {       72 mul }
+        def
+
+% yVal and hVal are necessary because the Xwindow display origin
+% is at the upper left corner, while the postscript display
+% origin is at the lower left hand corner.
+
+/yVal		%% get Y value -- make upper left corner origin
+        {       maxY sub abs }	%% maxY is viewWindow height
+        def
+
+/hVal		%% get H value -- used for displaying title text
+        {       maxH sub abs }	%% maxH is viewWindow height+titleWindow height
+        def
+
+% loads in the font
+
+/loadFont
+        {       /Times-Roman findfont FontHeight scalefont setfont }
+        def
+
+% draws a rectangle with input operand: 
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/drawRect
+	{	1 index 1 add 0 rlineto		%% draw first side
+                0 exch 1 add neg rlineto	%% draw second side
+                1 add neg 0 rlineto		%% draw third side
+                closepath }			%% draw fourth side
+        def
+
+% create a rectangle with input operand in the view window: 
+%		y
+%		x
+%		height
+%		width
+% notice that this function does not "draw" or ink the rectangle.
+/rectangle
+        {       yVal moveto			%% set currentpoint for line
+		drawRect }			%% draws the rectangle
+        def
+
+% These are global variables that every draw procedure uses
+% THe operand should be as follows:
+%		viewWindow width
+%		viewWindow height
+%		title height
+/setDim
+        {       /maxX exch def			%% width of display
+                /maxY exch def			%% height of display
+		/titleH exch def		%% height of title
+		/maxH maxY titleH add def	%% height of display + title
+        } def
+
+%-------------------------- major procedures --------------------------%
+
+/title		%% draws a rectangle around the title of picture
+	{	gsave
+		newpath
+		moveto				%% lower left of title
+                titleH 1 add 0 exch rlineto	%% draw first side
+                1 add 0 rlineto			%% draw second side
+                1 add neg 0 exch rlineto
+		begin installGC stroke end	%% draw third side
+		grestore }
+	def
+
+/drawFrame      %% draw display frame
+        {	gsave
+                newpath
+                maxX maxY 0 0 rectangle
+		begin installGC stroke end
+                grestore }
+        def
+
+% updates the foreground color of existing graphics-context dictionary:
+%		foreground color
+%		dictionary name
+/setForeground
+	{	/FGcolor exch put }
+	def
+
+% updates the background color of existing graphics-context dictionary:
+%		background color
+%		dictionary name
+/setBackground
+	{	/BGcolor exch put }
+	def
+
+% updates the line width, line style, cap style, join style of
+% existing graphics-context dictionary:
+%		dictionary name
+%		join style
+%		cap style
+%		line width
+/setLineAttributes
+	{	begin
+		/JoinStyle exch def
+		/CapStyle  exch def
+		/LineWidth exch def
+		end }
+	def
+
+% creates a graphics context dictionary with the following information:
+%		/dictionary name
+%		foreground color
+%		background color
+%		line width
+%		cap style
+%		join style
+% this creates different graphical contexts for different drawing functions.
+/makeDict
+	{	5 dict 2 copy def begin	pop %% with dict name on top of stack
+		/FGcolor   exch def	%% define drawing attributes
+		/BGcolor   exch def	%% not heavily used
+		/LineWidth exch def
+		/CapStyle  exch def
+		/JoinStyle exch def
+		end }
+	def
+
+% makes the current dictionary attributes effective
+% this function takes the values in the current dictionary to set the context
+% these are the values currently being used: foreground, cap, join, and width
+/installGC
+	{
+		FGcolor currentgray ne
+		{FGcolor setgray} if		%% foreground color
+		CapStyle currentlinecap ne
+		{CapStyle setlinecap} if	%% cap style
+		JoinStyle currentlinejoin ne
+		{JoinStyle setlinejoin} if	%% join style
+		LineWidth currentlinewidth ne
+		{LineWidth setlinewidth} if }	%% line width
+	def
+
+% operand stack configuration in order to use psDrawLine:
+%		psDrawLine
+%		y0
+%		x0
+%		y1
+%		x1
+%		graphics-context dictionary
+% this draws a line from (x0, y0) to (x1, y1).
+
+/psDrawLine
+        {	gsave
+                newpath
+                yVal moveto
+                yVal lineto
+		begin installGC stroke end
+		grestore }
+        def
+
+% operand stack configuration in order to use psDrawStr:
+%		psDrawStr
+%		y
+%		x
+%		string
+%		graphics-context dictionary
+% this function draws a text string at (x,y).
+
+/psDrawStr
+        {	gsave
+		newpath
+                loadFont
+                yVal moveto
+		exch begin installGC show end
+                grestore }
+        def
+
+%-------------------------- script --------------------------%
+
+% 1 inch 1 inch translate
+
+   mark					%% mark bottom of our stack
+
+	0	0	1
+	1072693248	0	/globalGC1	makeDict
+	0	0	1
+	1072693248	0	/globalGC2	makeDict
+	0	0	1
+	1072693248	0	/trashGC	makeDict
+	0	0	1
+	1072693248	0	/componentGC	makeDict
+	0	0	1
+	1072693248	0	/opaqueGC	makeDict
+	0	0	1
+	1072693248	0	/renderGC	makeDict
+	0	0	1
+	1072693248	0	/globGC	makeDict
+	0	0	1
+	1072693248	0	/anotherGC	makeDict
+	1	0	1
+	1072693248	0	/renderGC	makeDict
+
+    gsave	% save graphics state for clipping path
+
+	1.000000	1.000000	scale
+
+	24	276	300	setDim
+	maxX maxY	0 0	rectangle	clip	% set clip path
+
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	36	223	244	76	psDrawLine
+	globGC	(X)	31	228	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	268	223	61	76	psDrawLine
+	globGC	(Y)	273	228	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	globalGC1	0.000000	setForeground
+	globGC	0.000000	setForeground
+	globalGC1	152	18	152	229	psDrawLine
+	globGC	(Z)	157	13	psDrawStr
+	globalGC1	106.000000	setForeground
+	globGC	106.000000	setForeground
+	1	0	0	componentGC	setLineAttributes
+	componentGC	0.000000	setForeground
+	componentGC	0.000000	setForeground
+	componentGC	175	52	152	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	54	175	52	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	57	175	52	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	56	157	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	57	177	56	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	59	177	56	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	59	162	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	60	179	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	62	179	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	62	167	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	63	181	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	64	181	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	66	172	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	67	184	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	67	184	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	69	177	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	70	187	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	70	187	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	72	182	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	73	191	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	73	191	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	76	187	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	76	195	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	76	195	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	79	192	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	79	199	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	80	199	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	82	197	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	82	203	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	83	203	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	85	202	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	86	208	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	86	208	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	88	207	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	89	212	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	89	212	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	92	213	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	92	217	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	92	217	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	95	218	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	95	222	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	95	222	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	98	224	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	98	227	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	98	227	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	101	229	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	101	233	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	101	233	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	103	235	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	104	238	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	104	238	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	106	240	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	107	244	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	107	244	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	109	246	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	110	250	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	110	250	109	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	111	252	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	113	256	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	113	256	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	114	258	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	116	262	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	261	116	262	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	268	116	264	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	266	119	268	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	119	268	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	274	118	270	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	272	122	274	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	274	122	274	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	281	120	276	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	125	281	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	126	281	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	121	282	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	283	129	287	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	129	287	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	294	122	288	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	288	132	294	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	293	134	294	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	53	148	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	56	169	53	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	58	169	53	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	57	152	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	59	171	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	61	171	57	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	60	157	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	62	173	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	64	173	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	64	162	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	65	176	64	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	67	176	64	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	68	167	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	69	179	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	70	179	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	71	172	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	72	182	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	73	182	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	75	177	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	75	186	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	76	186	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	78	182	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	79	190	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	79	190	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	81	187	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	82	194	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	82	194	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	85	192	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	85	198	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	85	198	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	88	197	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	89	203	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	89	203	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	91	203	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	92	208	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	92	208	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	95	208	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	95	213	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	95	213	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	98	213	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	98	218	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	98	218	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	101	219	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	101	223	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	101	223	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	104	224	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	104	229	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	105	229	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	107	230	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	108	234	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	108	234	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	110	236	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	111	240	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	111	240	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	113	241	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	114	246	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	114	246	113	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	115	247	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	117	253	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	117	253	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	118	253	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	120	259	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	120	259	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	266	120	259	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	123	266	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	123	266	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	272	122	265	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	126	272	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	127	272	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	279	124	271	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	274	129	279	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	130	279	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	126	277	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	133	287	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	284	134	287	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	294	127	284	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	285	136	294	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	291	138	294	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	54	143	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	58	162	54	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	60	162	54	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	58	148	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	61	164	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	63	164	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	62	152	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	64	167	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	66	167	62	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	66	157	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	68	170	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	69	170	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	70	162	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	71	173	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	72	173	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	73	167	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	75	176	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	75	176	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	77	172	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	78	180	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	78	180	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	81	177	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	81	184	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	82	184	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	84	182	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	85	189	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	85	189	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	88	187	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	88	193	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	88	193	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	91	193	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	91	198	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	92	198	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	94	198	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	95	203	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	95	203	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	98	203	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	98	208	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	98	208	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	101	209	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	101	213	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	102	213	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	104	214	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	105	219	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	105	219	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	107	220	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	108	225	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	108	225	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	111	225	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	111	230	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	111	230	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	114	231	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	114	236	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	115	236	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	117	237	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	118	243	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	118	243	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	119	243	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	121	249	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	121	249	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	122	248	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	124	256	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	124	256	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	125	254	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	127	263	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	261	128	263	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	270	127	260	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	266	130	270	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	131	270	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	278	129	267	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	272	133	278	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	274	135	278	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	285	131	273	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	137	285	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	281	139	285	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	294	133	279	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	283	141	294	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	143	294	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	55	138	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	61	155	55	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	63	155	55	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	59	143	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	64	157	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	65	157	59	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	64	148	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	67	160	64	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	68	160	64	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	68	152	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	70	163	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	71	163	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	72	157	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	74	167	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	74	167	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	76	162	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	77	171	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	78	171	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	79	167	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	81	175	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	81	175	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	83	172	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	84	179	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	84	179	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	87	177	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	88	183	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	88	183	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	91	183	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	91	188	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	91	188	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	94	188	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	95	193	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	95	193	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	98	193	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	98	198	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	98	198	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	101	198	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	101	203	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	102	203	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	104	204	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	105	209	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	105	209	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	108	209	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	108	214	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	108	214	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	111	215	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	112	220	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	112	220	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	114	221	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	115	226	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	115	226	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	118	226	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	118	233	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	119	233	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	121	232	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	122	239	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	122	239	121	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	124	238	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	125	246	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	125	246	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	127	244	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	128	253	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	129	253	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	129	250	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	131	260	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	132	260	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	268	132	256	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	135	268	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	136	268	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	276	134	262	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	268	138	276	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	140	276	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	284	137	268	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	274	141	284	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	144	284	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	293	138	274	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	145	293	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	284	148	293	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	56	133	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	63	147	56	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	65	147	56	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	61	138	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	66	150	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	67	150	61	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	65	143	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	69	153	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	70	153	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	70	148	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	73	157	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	73	157	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	74	152	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	76	160	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	77	160	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	78	157	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	80	164	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	80	164	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	82	162	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	83	169	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	84	169	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	86	167	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	87	173	86	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	87	173	86	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	90	173	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	91	178	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	91	178	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	94	178	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	94	183	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	94	183	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	97	183	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	98	188	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	98	188	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	101	188	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	101	193	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	102	193	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	104	194	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	105	198	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	105	198	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	108	199	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	108	204	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	109	204	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	111	204	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	112	210	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	112	210	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	115	210	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	115	216	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	116	216	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	118	216	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	119	222	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	119	222	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	122	221	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	122	228	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	123	228	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	125	227	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	126	235	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	126	235	125	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	128	233	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	129	242	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	130	242	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	131	239	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	133	249	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	133	249	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	134	245	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	136	257	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	137	257	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	137	251	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	139	265	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	141	265	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	140	257	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	265	143	273	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	145	273	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	282	142	263	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	271	146	282	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	274	149	282	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	292	145	269	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	150	292	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	153	292	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	58	128	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	66	139	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	67	139	58	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	63	133	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	69	142	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	70	142	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	68	138	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	72	146	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	73	146	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	72	143	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	75	150	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	76	150	72	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	77	147	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	79	154	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	79	154	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	81	152	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	83	158	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	83	158	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	85	157	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	86	162	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	87	162	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	89	162	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	90	167	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	90	167	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	93	168	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	94	172	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	94	172	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	97	173	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	97	177	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	98	177	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	101	178	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	101	182	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	101	182	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	104	183	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	105	188	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	105	188	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	108	189	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	108	193	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	109	193	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	112	194	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	112	199	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	112	199	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	115	200	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	116	205	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	116	205	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	119	205	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	119	211	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	119	211	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	122	211	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	123	217	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	123	217	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	126	216	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	222	126	224	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	127	224	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	129	222	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	130	231	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	130	231	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	133	228	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	134	238	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	134	238	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	136	234	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	137	245	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	138	245	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	140	240	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	141	253	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	142	253	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	143	246	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	255	144	262	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	146	262	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	270	146	252	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	148	270	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	150	270	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	149	258	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	268	151	280	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	270	154	280	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	290	152	265	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	155	290	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	276	159	290	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	60	123	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	69	131	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	69	131	60	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	65	128	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	71	134	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	72	134	65	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	70	133	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	75	138	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	75	138	70	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	75	138	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	78	143	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	79	143	75	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	79	142	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	82	147	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	82	147	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	84	147	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	86	151	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	86	151	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	88	152	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	89	156	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	90	156	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	92	157	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	93	161	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	93	161	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	96	163	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	97	166	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	97	166	96	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	100	168	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	101	171	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	101	171	100	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	104	173	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	104	177	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	105	177	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	108	178	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	108	182	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	108	182	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	112	184	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	112	188	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	112	188	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	115	189	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	116	194	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	116	194	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	119	195	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	120	200	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	120	200	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	123	200	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	123	206	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	123	206	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	127	206	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	127	212	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	127	212	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	130	211	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	131	219	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	131	219	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	134	217	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	134	226	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	135	226	134	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	138	223	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	138	234	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	139	234	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	141	229	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	142	241	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	143	241	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	145	235	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	146	249	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	147	249	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	149	241	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	149	258	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	151	258	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	152	247	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	153	267	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	259	155	267	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	277	155	253	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	157	277	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	266	159	277	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	287	159	260	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	270	160	287	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	272	164	287	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	63	118	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	72	122	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	72	122	63	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	68	123	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	75	126	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	75	126	68	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	73	128	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	78	131	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	78	131	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	78	133	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	81	135	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	81	135	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	82	137	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	85	140	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	85	140	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	87	142	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	89	145	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	89	145	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	91	147	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	93	150	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	93	150	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	95	152	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	96	155	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	155	96	155	95	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	99	158	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	100	160	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	100	160	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	104	163	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	104	165	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	104	165	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	108	168	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	108	171	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	108	171	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	112	173	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	112	176	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	112	176	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	115	179	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	116	182	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	116	182	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	119	184	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	120	188	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	120	188	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	123	190	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	124	194	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	124	194	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	127	195	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	127	201	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	128	201	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	131	201	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	131	207	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	132	207	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	135	206	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	135	214	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	135	214	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	139	212	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	139	221	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	139	221	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	143	218	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	143	229	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	143	229	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	147	224	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	147	237	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	148	237	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	151	230	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	151	245	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	152	245	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	155	236	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	154	254	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	248	156	254	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	263	158	242	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	158	263	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	160	263	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	273	162	248	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	260	162	273	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	261	165	273	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	284	166	255	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	266	166	284	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	267	170	284	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	66	113	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	75	113	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	75	113	66	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	71	118	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	78	118	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	78	118	71	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	76	123	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	81	123	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	81	123	76	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	81	127	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	85	128	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	84	128	81	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	86	132	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	88	133	86	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	88	133	86	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	90	137	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	92	138	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	92	138	90	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	94	142	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	96	143	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	96	143	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	99	147	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	100	148	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	100	148	99	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	103	152	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	104	154	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	104	154	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	107	158	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	108	159	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	108	159	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	111	163	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	112	165	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	112	165	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	115	168	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	116	171	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	116	171	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	119	173	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	120	177	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	120	177	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	123	179	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	124	183	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	124	183	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	127	184	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	128	189	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	128	189	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	132	190	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	132	195	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	195	132	195	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	136	196	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	136	202	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	136	202	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	140	201	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	140	209	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	140	209	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	144	207	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	144	216	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	144	216	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	224	148	213	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	148	224	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	148	224	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	152	219	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	152	232	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	153	232	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	156	225	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	156	240	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	157	240	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	161	231	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	242	160	249	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	161	249	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	165	237	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	249	164	258	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	250	166	258	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	169	243	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	168	269	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	256	171	269	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	280	174	250	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	171	280	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	175	280	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	69	108	85	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	78	104	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	78	104	69	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	74	113	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	81	109	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	81	109	74	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	79	117	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	84	115	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	84	115	79	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	84	122	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	88	120	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	88	120	84	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	89	127	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	92	125	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	92	125	89	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	94	132	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	96	131	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	95	131	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	98	137	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	99	136	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	99	136	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	102	142	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	103	142	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	103	142	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	107	147	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	107	147	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	107	147	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	111	152	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	111	153	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	111	153	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	115	158	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	115	159	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	115	159	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	119	163	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	120	165	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	120	165	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	123	168	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	124	171	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	124	171	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	128	174	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	128	177	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	128	177	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	132	179	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	132	183	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	132	183	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	136	185	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	136	190	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	136	190	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	140	190	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	140	196	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	140	196	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	203	144	196	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	144	203	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	145	203	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	149	202	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	149	211	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	149	211	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	153	208	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	153	218	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	153	218	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	158	214	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	157	226	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	158	226	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	162	220	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	161	235	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	230	162	235	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	167	226	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	165	244	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	237	167	244	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	253	172	232	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	169	253	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	244	172	253	172	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	264	177	238	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	173	264	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	176	264	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	275	182	245	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	177	275	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	257	181	275	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	73	103	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	82	95	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	81	95	73	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	78	107	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	85	101	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	84	101	78	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	83	112	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	88	107	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	88	107	83	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	88	117	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	92	112	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	91	112	88	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	93	122	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	95	118	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	95	118	93	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	97	127	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	99	124	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	99	124	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	102	132	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	103	129	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	103	129	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	106	137	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	107	135	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	107	135	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	111	142	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	111	141	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	111	141	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	115	147	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	115	147	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	115	147	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	119	152	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	119	153	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	153	119	153	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	123	158	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	124	159	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	124	159	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	128	163	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	128	165	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	128	165	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	132	169	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	132	171	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	132	171	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	136	174	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	136	177	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	136	177	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	140	180	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	140	184	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	141	184	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	145	185	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	145	191	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	145	191	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	149	191	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	149	198	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	149	198	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	154	197	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	153	205	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	154	205	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	158	203	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	158	213	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	158	213	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	163	208	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	162	221	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	163	221	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	229	168	215	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	167	229	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	168	229	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	173	221	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	171	238	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	172	238	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	179	227	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	175	247	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	177	247	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	258	184	233	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	246	179	258	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	182	258	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	269	190	239	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	252	183	269	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	187	269	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	77	97	91	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	86	86	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	84	86	77	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	82	102	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	89	92	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	88	92	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	87	107	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	92	98	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	91	98	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	92	112	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	95	105	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	95	105	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	97	117	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	99	111	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	99	111	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	101	122	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	103	117	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	103	117	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	106	127	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	107	123	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	107	123	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	110	132	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	111	128	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	111	128	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	115	137	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	115	134	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	115	134	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	119	142	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	119	140	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	119	140	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	123	147	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	123	146	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	123	146	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	128	152	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	128	152	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	128	152	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	132	158	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	132	159	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	132	159	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	136	163	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	136	165	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	136	165	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	141	169	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	141	171	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	141	171	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	145	174	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	145	178	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	145	178	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	150	180	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	149	185	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	150	185	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	154	186	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	154	192	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	154	192	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	159	191	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	158	199	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	159	199	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	164	197	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	163	206	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	163	206	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	169	203	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	168	214	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	168	214	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	174	209	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	172	223	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	173	223	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	180	215	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	177	231	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	178	231	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	185	221	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	233	181	241	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	183	241	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	251	191	228	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	240	185	251	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	239	188	251	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	262	198	234	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	247	189	262	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	193	262	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	82	92	94	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	90	77	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	88	77	82	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	87	97	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	93	84	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	91	84	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	92	102	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	96	91	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	95	91	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	97	106	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	100	97	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	99	97	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	101	111	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	103	103	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	103	103	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	106	116	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	107	110	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	107	110	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	110	121	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	111	116	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	111	116	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	114	126	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	115	122	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	115	122	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	119	131	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	119	128	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	119	128	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	123	137	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	123	134	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	123	134	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	127	142	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	128	140	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	128	140	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	132	147	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	132	146	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	132	146	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	136	152	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	136	152	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	136	152	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	141	158	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	141	159	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	141	159	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	145	163	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	145	165	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	145	165	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	150	169	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	150	172	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	150	172	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	154	175	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	154	178	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	154	178	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	159	180	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	159	185	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	159	185	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	164	186	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	163	193	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	164	193	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	169	192	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	168	200	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	168	200	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	208	175	198	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	173	208	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	173	208	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	216	180	204	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	178	216	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	178	216	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	186	210	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	220	182	225	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	183	225	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	192	216	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	227	187	234	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	189	234	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	243	199	222	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	234	191	243	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	232	194	243	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	254	206	229	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	241	195	254	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	238	198	254	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	87	87	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	94	68	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	92	68	87	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	92	91	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	97	76	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	95	76	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	97	96	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	100	83	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	99	83	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	101	101	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	104	90	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	103	90	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	106	106	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	108	96	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	107	96	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	110	111	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	111	103	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	111	103	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	114	116	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	115	109	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	115	109	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	119	121	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	119	115	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	119	115	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	123	126	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	124	121	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	123	121	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	127	131	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	128	128	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	128	128	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	132	136	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	132	134	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	132	134	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	136	142	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	136	140	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	136	140	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	141	147	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	141	146	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	141	146	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	145	152	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	145	152	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	145	152	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	150	158	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	150	159	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	150	159	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	154	163	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	154	165	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	154	165	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	159	169	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	159	172	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	159	172	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	164	175	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	164	179	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	164	179	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	169	181	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	168	186	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	169	186	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	175	187	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	173	193	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	174	193	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	180	192	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	178	201	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	179	201	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	186	198	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	183	209	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	184	209	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	192	205	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	188	217	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	212	189	217	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	199	211	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	193	226	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	219	194	226	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	206	217	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	197	235	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	225	199	235	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	245	213	223	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	235	201	245	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	231	204	245	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	92	81	101	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	99	60	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	96	60	92	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	97	86	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	102	68	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	100	68	97	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	102	91	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	105	75	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	103	75	102	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	106	95	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	108	82	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	107	82	106	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	110	100	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	112	89	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	111	89	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	115	105	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	116	96	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	115	96	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	119	110	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	120	102	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	119	102	119	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	123	115	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	124	109	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	124	109	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	128	120	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	128	115	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	128	115	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	132	126	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	132	121	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	132	121	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	136	131	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	136	127	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	136	127	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	141	136	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	141	134	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	141	134	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	145	141	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	145	140	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	145	140	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	150	147	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	150	146	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	150	146	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	154	152	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	154	152	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	154	152	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	159	158	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	159	159	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	159	159	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	164	164	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	164	165	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	164	165	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	169	169	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	168	172	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	168	172	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	174	175	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	173	179	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	173	179	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	180	181	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	178	186	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	179	186	180	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	186	187	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	183	193	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	184	193	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	192	193	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	188	201	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	189	201	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	198	199	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	193	209	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	194	209	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	218	205	205	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	214	198	218	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	211	199	218	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	212	212	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	203	226	212	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	205	226	212	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	236	221	218	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	228	207	236	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	223	209	236	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	98	76	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	103	52	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	100	52	98	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	103	80	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	106	60	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	104	60	103	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	107	85	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	109	68	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	108	68	107	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	111	90	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	113	75	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	112	75	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	115	95	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	117	82	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	116	82	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	120	100	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	120	89	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	120	89	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	124	105	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	124	96	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	124	96	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	128	110	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	128	102	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	128	102	128	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	132	115	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	132	108	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	132	108	132	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	136	120	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	137	115	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	136	115	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	141	125	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	141	121	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	141	121	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	145	131	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	145	127	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	145	127	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	150	136	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	150	133	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	150	133	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	154	141	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	154	140	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	154	140	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	159	147	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	159	146	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	159	146	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	164	152	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	163	152	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	163	152	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	169	158	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	168	159	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	168	159	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	174	164	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	173	165	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	173	165	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	179	170	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	178	172	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	178	172	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	179	185	175	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	183	179	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	183	179	185	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	191	181	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	188	186	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	189	186	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	197	187	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	194	193	197	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	194	193	197	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	201	204	194	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	199	201	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	199	201	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	209	211	200	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	204	209	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	205	209	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	217	219	206	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	209	217	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	210	210	217	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	226	227	212	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	221	213	226	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	215	226	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	104	70	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	108	45	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	105	45	104	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	108	75	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	63	111	53	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	109	53	108	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	112	80	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	114	61	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	113	61	112	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	116	84	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	118	68	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	74	116	68	116	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	120	89	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	121	75	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	120	75	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	124	94	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	125	82	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	124	82	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	129	99	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	129	89	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	128	89	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	133	104	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	133	96	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	133	96	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	137	109	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	137	102	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	137	102	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	141	114	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	141	108	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	141	108	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	145	120	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	145	115	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	145	115	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	150	125	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	150	121	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	150	121	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	154	130	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	154	127	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	154	127	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	159	136	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	159	133	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	159	133	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	164	141	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	163	139	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	163	139	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	168	147	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	168	145	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	168	145	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	173	152	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	173	152	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	173	152	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	179	158	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	178	158	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	178	158	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	184	164	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	183	165	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	183	165	184	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	190	170	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	188	171	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	188	171	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	196	176	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	193	178	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	194	178	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	203	182	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	185	199	185	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	199	185	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	209	188	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	192	204	192	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	204	192	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	200	217	194	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	209	200	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	196	210	200	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	225	200	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	206	214	207	225	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	202	215	207	225	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	215	234	207	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	213	219	215	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	207	220	215	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	38	110	64	111	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	113	38	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	109	38	110	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	114	69	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	116	46	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	113	46	114	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	118	74	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	119	54	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	63	117	54	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	122	79	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	123	62	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	121	62	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	69	126	83	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	126	69	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	125	69	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	130	88	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	130	76	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	129	76	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	133	93	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	134	83	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	133	83	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	137	98	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	138	89	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	137	89	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	142	104	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	142	96	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	141	96	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	146	109	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	146	102	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	145	102	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	150	114	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	150	108	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	150	108	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	154	119	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	154	114	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	154	114	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	159	125	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	159	120	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	159	120	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	163	130	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	163	126	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	163	126	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	168	135	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	168	133	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	168	133	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	173	141	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	173	139	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	172	139	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	178	147	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	177	145	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	177	145	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	183	152	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	182	151	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	182	151	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	189	158	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	188	157	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	188	157	189	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	195	164	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	193	164	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	193	164	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	201	170	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	198	170	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	198	170	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	208	176	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	177	204	176	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	204	176	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	215	182	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	184	209	183	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	209	183	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	222	188	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	214	190	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	188	215	190	222	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	231	195	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	198	220	197	231	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	194	220	197	231	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	204	240	201	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	205	224	204	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	199	224	204	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	31	117	59	115	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	47	117	31	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	47	114	31	117	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	120	63	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	121	40	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	52	118	40	120	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	124	68	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	124	48	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	122	48	124	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	127	73	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	127	55	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	126	55	127	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	63	131	78	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	131	63	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	130	63	131	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	135	83	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	135	70	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	134	70	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	138	88	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	138	77	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	138	77	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	142	93	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	142	83	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	142	83	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	146	98	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	146	89	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	146	89	146	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	150	103	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	150	96	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	150	96	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	155	108	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	154	102	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	154	102	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	159	113	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	159	108	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	109	159	108	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	163	119	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	163	114	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	163	114	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	168	124	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	168	120	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	168	120	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	173	130	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	172	126	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	172	126	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	178	135	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	177	132	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	177	132	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	183	141	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	182	138	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	182	138	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	188	147	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	187	144	188	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	144	187	144	188	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	194	152	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	192	150	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	192	150	194	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	200	158	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	198	156	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	197	156	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	206	164	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	163	203	162	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	203	162	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	212	170	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	209	168	212	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	208	168	212	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	220	176	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	214	174	220	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	214	174	220	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	227	183	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	219	180	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	180	219	180	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	187	236	189	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	190	225	187	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	186	224	187	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	193	245	195	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	197	229	193	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	191	229	193	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	25	123	53	118	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	42	122	25	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	119	25	123	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	126	58	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	125	34	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	123	34	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	42	130	62	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	129	42	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	127	42	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	133	67	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	132	50	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	131	50	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	136	72	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	136	57	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	135	57	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	64	140	77	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	139	64	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	139	64	140	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	143	82	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	143	71	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	143	71	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	147	87	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	147	77	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	146	77	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	151	92	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	151	83	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	150	83	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	155	97	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	155	90	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	155	90	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	159	102	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	159	96	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	97	159	96	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	164	108	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	163	102	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	163	102	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	168	113	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	168	108	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	167	108	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	173	118	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	172	113	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	172	113	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	177	124	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	177	119	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	177	119	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	182	129	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	182	125	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	181	125	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	187	135	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	186	131	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	186	131	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	193	141	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	192	137	193	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	191	137	193	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	198	147	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	197	142	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	197	142	198	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	204	152	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	202	148	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	202	148	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	210	158	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	208	154	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	207	154	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	217	164	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	213	159	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	213	159	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	224	171	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	219	165	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	218	165	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	171	232	177	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	224	171	232	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	172	224	171	232	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	176	240	183	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	230	176	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	178	229	176	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	182	249	189	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	189	235	182	249	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	183	233	182	249	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	20	130	47	122	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	37	127	20	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	124	20	130	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	133	52	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	130	28	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	128	28	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	36	135	56	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	134	36	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	132	36	135	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	44	138	61	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	137	44	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	136	44	138	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	142	66	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	141	51	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	140	51	142	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	58	145	71	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	144	58	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	143	58	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	149	76	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	148	65	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	147	65	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	152	81	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	152	71	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	151	71	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	156	86	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	155	77	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	155	77	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	160	91	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	159	84	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	159	84	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	164	96	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	164	90	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	163	90	164	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	168	102	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	168	95	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	168	95	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	173	107	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	172	101	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	172	101	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	177	112	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	177	107	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	176	107	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	182	118	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	181	113	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	181	113	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	187	123	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	186	118	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	186	118	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	192	129	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	191	124	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	191	124	192	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	197	135	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	196	129	197	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	196	129	197	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	203	141	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	201	135	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	201	135	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	209	146	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	207	140	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	206	140	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	215	152	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	212	145	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	212	145	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	221	158	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	218	151	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	217	151	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	228	165	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	223	156	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	158	222	156	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	161	236	171	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	167	229	161	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	164	228	161	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	166	244	177	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	174	234	166	244	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	169	233	166	244	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	170	253	183	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	181	239	170	253	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	175	237	170	253	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	15	136	41	126	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	32	132	15	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	29	128	15	136	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	23	139	46	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	36	135	23	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	133	23	139	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	31	141	50	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	139	31	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	137	31	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	144	55	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	142	39	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	141	39	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	147	60	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	145	46	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	144	46	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	53	150	65	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	149	53	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	148	53	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	59	154	70	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	153	59	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	152	59	154	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	157	75	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	156	65	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	156	65	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	161	80	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	160	72	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	160	72	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	165	85	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	164	78	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	164	78	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	169	90	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	168	83	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	168	83	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	173	96	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	172	89	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	172	89	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	177	101	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	177	95	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	176	95	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	182	106	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	102	181	100	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	181	100	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	186	112	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	186	106	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	185	106	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	191	117	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	190	111	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	112	190	111	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	196	123	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	195	117	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	195	117	196	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	201	129	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	200	122	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	200	122	201	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	207	135	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	205	127	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	205	127	207	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	213	140	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	211	132	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	210	132	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	219	146	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	216	137	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	216	137	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	225	152	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	222	142	225	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	221	142	225	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	147	232	159	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	228	147	232	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	150	227	147	232	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	240	165	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	233	151	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	232	151	240	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	156	248	171	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	239	156	248	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	162	237	156	248	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	159	257	177	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	173	244	159	257	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	168	241	159	257	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	11	143	35	129	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	27	136	11	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	24	133	11	143	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	19	145	40	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	31	140	19	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	29	138	19	145	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	27	147	44	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	143	27	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	142	27	147	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	150	49	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	147	34	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	146	34	150	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	152	54	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	150	41	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	149	41	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	47	155	59	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	154	47	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	153	47	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	159	64	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	157	54	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	157	54	159	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	162	69	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	161	60	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	160	60	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	166	74	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	68	165	66	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	164	66	166	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	169	79	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	169	72	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	168	72	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	173	84	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	79	173	77	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	172	77	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	177	90	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	177	83	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	176	83	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	182	95	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	181	89	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	181	89	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	186	100	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	185	94	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	95	185	94	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	191	106	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	190	99	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	100	190	99	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	195	111	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	195	105	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	194	105	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	200	117	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	200	110	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	199	110	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	206	123	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	205	115	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	204	115	206	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	211	128	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	210	120	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	209	120	211	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	217	134	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	215	125	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	214	125	217	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	223	140	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	221	129	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	220	129	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	134	229	146	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	226	134	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	225	134	229	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	236	152	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	232	138	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	230	138	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	142	243	159	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	151	238	142	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	236	142	243	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	251	165	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	243	146	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	154	241	146	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	259	171	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	165	249	149	259	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	160	245	149	259	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	7	149	29	133	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	22	141	7	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	138	7	149	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	15	151	34	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	26	144	15	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	23	143	15	151	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	22	153	38	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	30	148	22	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	28	147	22	153	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	29	155	43	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	151	29	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	150	29	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	36	157	48	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	155	36	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	39	154	36	157	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	42	160	53	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	158	42	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	158	42	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	48	163	58	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	162	48	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	161	48	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	54	167	63	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	57	165	54	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	165	54	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	170	68	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	169	60	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	169	60	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	174	73	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	173	66	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	173	66	174	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	178	78	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	177	72	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	73	177	72	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	182	83	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	181	77	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	78	181	77	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	186	89	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	84	185	82	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	185	82	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	190	94	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	190	88	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	89	190	88	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	195	100	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	194	93	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	194	93	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	200	105	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	199	98	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	199	98	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	205	111	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	105	204	103	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	104	204	103	205	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	210	116	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	209	108	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	208	108	210	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	215	122	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	214	113	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	115	213	113	215	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	221	128	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	219	117	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	219	117	221	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	227	134	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	225	122	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	224	122	227	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	233	140	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	131	230	126	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	229	126	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	130	239	146	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	137	236	130	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	234	130	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	246	152	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	143	242	133	246	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	239	133	246	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	136	254	159	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	149	247	136	254	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	146	244	136	254	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	262	165	244	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	157	253	139	262	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	152	249	139	262	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	4	155	23	137	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	145	4	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	13	143	4	155	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	12	156	27	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	149	12	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	147	12	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	158	32	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	26	152	18	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	23	151	18	158	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	25	160	37	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	30	156	25	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	29	155	25	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	31	162	42	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	159	31	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	159	31	162	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	37	165	47	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	163	37	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	162	37	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	43	168	51	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	166	43	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	166	43	168	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	49	171	56	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	170	49	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	170	49	171	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	175	62	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	174	55	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	173	55	175	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	178	67	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	62	178	60	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	177	60	178	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	182	72	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	182	66	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	67	181	66	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	186	77	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	186	71	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	72	185	71	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	190	82	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	190	76	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	77	190	76	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	195	88	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	83	194	82	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	82	194	82	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	87	199	93	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	199	87	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	88	198	87	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	92	204	99	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	203	92	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	93	203	92	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	209	104	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	208	96	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	98	208	96	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	214	110	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	213	101	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	213	101	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	219	116	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	218	106	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	108	218	106	219	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	110	224	122	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	223	110	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	113	223	110	224	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	230	128	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	229	114	230	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	228	114	230	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	118	236	134	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	124	234	118	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	123	233	118	236	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	242	140	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	240	121	242	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	128	238	121	242	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	125	249	146	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	135	246	125	249	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	243	125	249	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	256	152	244	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	141	251	127	256	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	139	248	127	256	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	129	263	159	249	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	148	257	129	263	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	145	252	129	263	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	2	160	17	141	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	13	149	2	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	8	148	2	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	8	161	21	144	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	17	153	8	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	13	152	8	161	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	15	163	26	148	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	157	15	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	18	156	15	163	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	21	165	31	152	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	26	160	21	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	24	160	21	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	27	167	35	156	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	30	164	27	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	29	163	27	167	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	33	170	40	160	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	35	167	33	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	34	167	33	170	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	38	173	45	165	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	41	171	38	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	40	171	38	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	44	176	50	169	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	46	175	44	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	45	174	44	176	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	49	179	55	173	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	51	178	49	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	50	178	49	179	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	55	183	60	177	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	182	55	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	56	182	55	183	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	60	187	66	182	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	186	60	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	61	186	60	187	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	65	191	71	186	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	190	65	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	66	190	65	191	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	70	195	76	190	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	194	70	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	71	194	70	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	75	199	81	195	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	198	75	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	76	198	75	199	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	80	203	87	200	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	203	80	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	81	203	80	203	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	85	208	92	204	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	208	85	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	86	207	85	208	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	90	213	98	209	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	212	90	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	91	212	90	213	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	94	218	104	214	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	217	94	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	96	217	94	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	99	223	110	218	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	222	99	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	101	222	99	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	103	228	115	223	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	227	103	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	106	227	103	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	107	234	121	228	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	233	107	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	232	107	234	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	111	239	127	233	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	238	111	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	116	237	111	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	114	245	134	239	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	122	244	114	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	121	242	114	245	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	117	251	140	244	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	127	249	117	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	126	247	117	251	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	119	258	146	249	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	133	255	119	258	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	132	252	119	258	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	120	265	152	254	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	140	261	120	265	psDrawLine
+	componentGC	0.000000	setForeground
+	componentGC	138	256	120	265	psDrawLine
+
+    grestore	% restore graphics state
+
+
+   cleartomark					%% clearing operand stack
+
+end		%% pops mainDict from dictionary stack
+
+showpage
+
+%-------------------------- end --------------------------%
diff --git a/books/ps/wd-atanz.ps b/books/ps/wd-atanz.ps
new file mode 100644
index 0000000..e40ff3a
--- /dev/null
+++ b/books/ps/wd-atanz.ps
@@ -0,0 +1,963 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 192.347462 284.120003 419.652538 538.120003
+%%Creator: xwd2ps
+%%CreationDate: Sat Dec  7 19:08:40 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -h3.5
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  422, height = 472, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 472
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 472 8
+  [422 0 0 -472 0 472]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.685381 inch 3.960000 inch translate
+matrix currentmatrix
+3.129237 inch 3.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+236b8e
+b3b3b3
+d8d8bf
+dbdb70
+3299cc
+ffff00
+238e23
+0000ff
+cc7f32
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00ff00
+00ffff
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+d6d6d6
+767676
+474747
+b6b6b6
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12a51220120011ff12601200112012001101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e010011
+0012ff015f01001100121e0101110112060118110012ff1160110012171106010111011206010011ff129212060101110112060100110012150100110012ff014701001100121501
+00110012150100110012060101110112060100110012150100110012ff01470100110012150100110012150100110012060101110112060100110012150100110012ff0147010011
+0012150100110012150100110012060101110112060100110012150100110012ff0147010011001215010011001202010f1202010011001206010111011206010011001215010011
+0012ff01470100110012150100110012020100120d010011020100110012060101110112060100110012150100110012820102000f01000020010400020105008101001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012830101000e0102001e010100010102000201010001010100800100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012830101000f0100001f0100000301010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012820103003401010002010100020101007f0100110012150100110012020100120d0100110201001100120601
+0111011206010011001202010f120201001100128201000000010100020102000101020001010300050103000201000000010100000101000e01010003010100020101007f010011
+001208010312080100110012020100120d010011020100110012060101110112060100110012020100120d0100110201001100128201000000010100030101000101010004010100
+04010100010101000101010000010100000101000b01020004010100020101007f01001100120801001201010011080100110012020100120d010011020100110012060101110112
+060100110012020100120d010011020100110012820100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f01001100120801001201010011080100110012020100120d010011020100110012060101110112060100110012020100120e110201001100128101050004010100060101000301
+0100030101000001010000010100000101000e01010002010100020101007f0100110012080100120211080100110012020100120d01001102010011001206010111011206010011
+00121501001100128101000002010100040101000601010003010100030101000001010000010100000101000e01010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012810100000301010002010000000101000501010003010100030101000001010000010100000101000e010100
+02010100020101007f0100110012150100110012020100120d0100110201001100120601011101120601001100121501001100128001010003010100010101000101010004010100
+040101000101010001010100000101000001010009010000030101000201010001010100800100110012150100110012020100120d01001102010011001206010111011206010011
+001215010011001280010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012b70103008b0100110012150100110012020100120d0100110201001100120601011101120601001100121501
+00110012ff01470100110012150100110012020100120e11020100110012060101110112060100110012150100110012ff0147010011001215010011001215010011001206010111
+0112060100110012150100110012ff0147010011001215010011001215010011001206010111011206010011001216110012ff11481100121611001216110012060101110012ff11
+9a110012081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111
+9e01007a1a01017a1a01017a0301007a1801017a95010112060101110112060101119e01007a1901017a1601057a0301027a1801017a94010112060101110112060101119d01017a
+1901017a1501027a0101017a0401007a1901017a94010112060101110112060101119d01017a1801017a1001017a0301007a0001007a0001017a0e01017a1001017a930101120601
+01110112060101119301047a0201067a0201047a0201017a0001027a0401017a0401027a0101027a0301017a0301027a0001017a0301037a0601017a0301037a0001027a0401017a
+93010112060101110112060101119201017a0201017a0301017a0401017a0201017a0201017a0101017a0301017a0501017a0101017a0401017a0301017a0001017a0601017a0301
+017a0001017a0001017a0101017a0201007a0501017a93010112060101110112060101119201017a0201017a0301017a0401017a0201017a0201017a0101017a0301017a0601017a
+0001007a0201077a0301017a0601017a0301027a0101027a0101017a0201007a0501017a93010112060101110112060101119501037a0301017a0701037a0201017a0101017a0301
+017a0701017a0301077a0201017a0101017a0301017a0601017a0501017a0001007a0601017a93010112060101110112060101119301017a0101017a0301017a0501017a0101017a
+0201017a0101017a0301017a0701017a0601017a0501017a0001027a0301017a0501007a0101007a0401017a0001007a0601017a93010112060101110112060101119201017a0201
+017a0301017a0401017a0201017a0201017a0101017a0301017a0601007a0001017a0501017a0401017a0101007a0001007a0301017a0401017a0101017a0401017a0701017a9301
+0112060101110112060101119201017a0101027a0301017a0101007a0101017a0101027a0201017a0101017a0401017a0401017a0101017a0401017a0401017a0101027a0301017a
+0401017a0101017a0401017a0601017a94010112060101110112060101119301027a0101017a0301027a0301027a0101017a0001027a0001037a0301017a0301027a0101027a0901
+027a0101017a0201057a0d01007a0701017a9401011206010111011206010111ba01017a1401027a1a01007a0601017a9501011206010111011206010111ec01007a0001007a9f01
+011206010111011206010111ec01027a9f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff008f00011206010111011206010111ff008f00011206010111011206010111ff00
+8f00011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ce01066bb901011206010111011206010111
+ce01016b0201016bb901011206010111011206010111cd01006b0301016bba01011206010111011206010111d101026bba01011206010111011206010111d001026bbb0101120601
+0111011206010111cf01026bbc01011206010111011206010111cf01016bbd01011206010111011206010111ce01026bbd01011206010111011206010111cd01026bbe0101120601
+0111011206010111cd01016b0301006bba01011206010111011206010111cc01016b0201016bbb01011206010111011206010111cc01066bbb01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111c7010084c60101120601
+0111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c60101120601
+0111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c60101120601
+0111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c60101120601
+0111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c60101120601
+0111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c601011206010111011206010111c7010084c60101120601
+01110112060101117101000054010084c6010112060101110112060101116f01010000a2000053010084c6010112060101110112060101116e01000003a3010051010084c6010112
+060101110112060101116d01000001a300a201a300a200a3000050010084c6010112060101110112060101116b01010000a301a200a301a200a301a200004f010084c60101120601
+01110112060101116a01000009a3000000a301004d010084c6010112060101110112060101116801010000a2010000a201a300a201a3010000a300a201a300004c010084c6010112
+060101110112060101116601010000a300a201a300a2000001a200a300a2000000a301a200a301a200a301004a010084c6010112060101110112060101116401010007a3010000a3
+000009a3000049010084c6010112060101110112060101116301000000a201a300a201a300a201a300a201a3000001a300a201a300a201a300a2010000a2010047010084c6010112
+060101110112060101116101010000a2010000a201a300a201a300a200a3010000a3000000a200a301a200a301a2000001a200a301a2000046010084c60101120601011101120601
+01116001000004a3000004a3010003a3010003a3000006a3010044010084c6010112060101110112060101115f01000000a300a201a300a201a3010000a3010000a300a201a300a2
+01a300a2000000a3010000a300a201a300a201a300a201a3000043010084c6010112060101110112060101115d01010000a300a201a300a201a300a201a3000001a300a201a300a2
+01a300a201a3000000a301a200a301a200a301a200a3010000a3000042010084c6010112060101110112060101115c01000009a3010000a3000007a3010000a3010006a3000003a3
+010040010084c6010112060101110112060101115a01010000a3010001a300a201a300a200a3000000a201a300a2010000a201a300a2010000a201a300a200a3000000a201a300a2
+00a3000000a201a300a201a300a200003f010084c6010112060101110112060101115801010000a201a300a200a3000000a201a300a200a3000000a201a300a201a300a2000000a3
+010000a300a201a300a201a300a2010000a2010000a200a301a200a301a200a300a200003e010084c6010112060101110112060101115601010007a3010000a3010008a300000ba3
+000009a3000000a301003c010084c6010112060101110112060101115501000001a300a201a300a201a300a201a300a2000000a300a201a300a201a300a201a3000000a3000000a2
+01a300a201a300a201a3010000a3010000a300a201a300a200a3010000a200a301a200003b010084c6010112060101110112060101115301010000a3010001a300a201a300a201a3
+010000a3010000a300a201a300a200a3010001a300a2010000a201a300a201a3000001a300a201a3000000a301a200a3000000a200a301a200a301a2010039010084c60101120601
+01110112060101115101010004a3000004a3010004a3000003a3000005a3010003a3000006a3010000a3000009a3000038010084c6010112060101110112060101114f01010007a3
+010000a2010000a201a300a201a300a200a3010000a3000000a201a300a201a300a201a3000000a3010001a300a201a300a201a300a200a3000001a200a301a200a301a200a300a2
+0000009e010036010084c6010112060101110112060101114e01000001a300a201a300a201a300a201a300a2000000a300a201a300a201a300a201a300a200a3000000a201a300a2
+01a300a201a300a200a3000000a201a300a201a300a201a300a200a3000000a2000001a200a301a200a301a20000019d009e009d000035010084c601011206010111011206010111
+4c01010000a3000008a3010000a3000008a3010000a3000007a3010000a3000008a3000002a3010004a30000059e010033010084c6010112060101110112060101114b01000003a3
+010005a3000003a3010001a300a201a300a2000003a3000001a300a201a300a2000000a300a201a3010000a300a201a300a2010000a201a300a200a3010000a200a300a20000009e
+019d009e019d009e019d000032010084c6010112060101110112060101114a01000000a201a300a201a3010000a300a201a3000001a300a201a300a2010000a201a300a2000000a3
+00a201a300a200a3000000a201a300a2000000a300a201a300a200a3010001a300a2000000a300a201a300a201a300a200a3000000a20000089d0000009d000031010084c6010112
+060101110112060101114801010008a3000000a3010008a3000000a3010007a3000000a3010008a3000000a300000aa30000089e0000029e01002f010084c6010112060101110112
+06010111470100000ba300000ba300000aa3000001a300a201a300a201a300a201a300a2000000a300a201a300a201a300a201a300a20000009e0000009d009e019d009e019d0000
+019d009e019d01002e010084c6010112060101110112060101114501010000a3010000a300a201a300a201a300a2010000a2010000a201a300a201a300a200a3010000a3000000a2
+01a300a201a300a200a3010000a3000000a201a300a201a300a201a3010000a3000001a300a201a300a201a300a20000009e009d009e0100049d0000069d00002d010084c6010112
+060101110112060101114301010004a3000004a3010004a3000004a3010003a3000005a3000003a3010005a3000003a3010004a30100049e0100029e0000069e009d009e00002c01
+0084c6010112060101110112060101114101010007a3010000a3010007a3010000a3010006a3000003a3000005a3010000a300a201a3000005a3010000a201a30000019e009d019e
+009d019e009d0000009e0000009d009e019d009e019d009e009d0000009e00002b010084c6010112060101110112060101113f01010000a300a201a300a201a300a201a300a200a3
+000000a201a300a201a300a201a300a201a3000001a300a200a3000100a201a300a200a3000000a2010000a201a300a201a300a201a3000000a3010001a300a201a300a201a300a2
+000000a30000019e009d019e009d019e009d019e0000099d0000019d00002a010084c6010112060101110112060101113d01010001a3000008a3010000a3000008a3010000a30000
+09a300000ba300000ba300000a9e0000009e0000019e009d019e009d019e0000039e000029010084c6010112060101110112060101113b01010004a3000006a3000003a3000006a3
+000003a3000006a3010000a3000008a3010000a3000008a3010000a30000009d019e009d019e009d019e0000029e0000009e019d009e019d0000019d009e019d009e000027010100
+c6010112060101110112060101113901010000a300a201a300a201a300a2000000a300a201a3010000a300a201a300a200a3000000a201a300a2010000a201a300a201a3000001a3
+00a200a3010001a300a200a3010001a300a201a300a2000003a3010000a300a201a300a200a3000003a30000009e009d019e009d019e0000049e0000049d0000069d000024010100
+006600670100c401011206010111011206010111380100000aa3000000a3010008a3000000a3010008a3000000a3010006a3010003a3000005a3010003a3000005a30000049e0000
+059e0000009d019e009d0000089e00002101010005670100520100846e010112060101110112060101113601010000a300000aa300000ba300000ba300000aa3000000a3010008a3
+000000a3010007a30000009d019e0000079e0000009d009e0000009d009e019d009e019d009e029d00001f010100006700660167006601670066006701004e0101846f0101120601
+01110112060101113501000000a201a300a2010000a201a300a201a300a2010000a2010000a201a300a201a300a200a3010000a3000000a201a300a201a300a201a3010000a30000
+01a300a201a300a201a300a201a300000ba30000049e05a30000009e0000099e0000009d0000099d01001d01010000670200006700660167006601000066006701004b0100847101
+0112060101110112060101113401000005a3010003a3010004a3000004a3010003a3010005a3000003a3010006a3010000a3000008a3010000a300000a9e00000b9e0000009d019e
+009d019e009d019e009d009e0000009900001a0101000467020000670100066700004801008472010112060101110112060101113201010008a3000000a3010007a3010000a30100
+06a3010003a3000005a3010003a3010003a3010005a3000003a30000079e0100009e0000099e0000009f0000089d0000009900980000190100000067006601670066016700660067
+0100016700660167006601670000006701004401018473010112060101110112060101113001010000a300a201a300a201a300a201a300a200a3000000a201a300a201a300a201a3
+00a201a3000001a300a201a300a201a300a201a3000000a3010008a3000000a3010006a3010003a3000005a30000059e0000039e0000079e0000009f009e0000079d000001980099
+00980000160101000067010000670066016700660100006600670100016700660067010001670066006701004101008475010112060101110112060101112e01010001a3000008a3
+010000a3000008a3010000a300000aa300000ba300000aa3000000a3010000a401a300a401a300a400a30000039e0000059f0000049e0100039f0000009e009d019e009d009e0100
+039900001401010004670100006701000567010000670000076700003e01018476010112060101110112060101112c01010004a3010004a3010003a3010005a3000003a3010006a3
+010000a3000008a3010000a300000aa300000aa30000009e0100019e009f019e009f019e0000029e0000019f009e019f009e009f0000049d00000098019900980199000012010000
+00660167006601670066016701000067006601670066016700660067010001670066016700660100006601003b01008478010112060101110112060101112a01010000a300a201a3
+00a201a300a200a3000000a200a3010001a300a201a300a200a3010001a300a200a3000000a201a300a201a3010000a300a201a3010003a3010005a3000003a3000007a3010000a3
+00000aa300000a9e0000009e0000019f009e019f009e019f009e0000029d000000980099019800990198000011010000006601000066016700660067010000670200006700660167
+006601000066006701000167010000670066016700660100370101847901011206010111011206010111280101000ba3000004a3000105a3000000a3010008a3000000a3010006a3
+010003a3000005a3000005a3000001a300a400a3000000a401a300a401a300a400a30100009f00000a9f0000099f0000019e0000089900000e010100036701000067010004670200
+006701000667000008670000350100847b010112060101110112060101112601010001a3000008a3010000a300000ba300000ba300000aa3000000a3010007a3000003a3000005a3
+000005a30000009e009f019e0000019e009f019e009f019e009f0000009f0000089f009e0000009d000001990098019900980199009800000d010000006700660167006601670066
+00000067006601670066016700660067010001670066016700660167000000670100016700660167010000670100320100847c010112060101110112060101112401010000a300a2
+01a300a2010000a201a300a201a3000001a300a200a3010001a300a201a300a201a3010000a3000001a300a201a300a201a300a2010000a300000aa300000aa3000000a3010007a3
+000003a30000059e0000069e00000001019f0000099f0000009901980099019800990198009900000c01000000670066016700660167006600000067010000670066016700660100
+006600670100016700660067010001670066006701000067010001670066016701002e0101847d010112060101110112060101112201010007a3010003a3000005a3010004a30100
+03a3000006a3000003a3010006a3010000a300000aa3000000a401a300a401a300a401a300a400a3000000a40100079f0000049f000004010000079f0000009a0000009a08990000
+0901010000670100036701000367010000670100056701000067000007670000086700002c0100847f010112060101110112060101112001010004a3000105a3000000a3010008a3
+000001a3010006a3000003a3010005a3010003a3010003a3010006a3010000a300000aa3000001a3009f019e009f019e009f019e0000019e009f0000009f0001019f0001019f0000
+059f00000099009a00000099009a02990098019900980099000007010100016700660167010000670000016700660167006601670100006700660167006601670066006700000066
+0167006601670066006700000066010000660167006600670100006701002801018480010112060101110112060101111e01010000a300a2000000a300a201a300a201a300a201a3
+00a200a3000000a201a300a201a300a201a300a201a3000001a300a201a300a201a300a201a3000000a3010009a3000000a3010006a3010003a3010003a3010006a3010000a30000
+07a3029e0000009e00000001019f0001019f0001009f0000049f0000009a0199009a0000049901980099019800000501000000660167006601670066016701000067006601670066
+006701000067020000670066016700660100006601000066016700660100006601670066010000660100006601670066006701002501008482010112060101110112060101111c01
+010004a3010007a3010000a3000008a3010000a300000aa300000ca300000aa3000000a3010001a300a401a300a400a3010001a300a400a3010000a301a400a3000000a400a301a4
+00a301a400a301a400a300000001009f07010000029f0000049a0000069a029900000401000000670100046701000167010001670100046702000067010004670100006700000767
+0100086700002201008483010112060101110112060101111a01010007a3010004a3010003a3010004a3010003a3010006a3010000a3000009a3010000a300000aa300000aa30000
+00a3010000a300a401a300a401a3010000a300a401a300a401a30100009f0000079f0001009f0000009f00000099009a0199009a019900000199009a0199009a0299009800000101
+010000660167006601000066010000660167006601670066000000670066016700660167006600670100016700660167006601670066000000670066016700660167006600000067
+020000660167006600670100006701001e01018484010112060101110112060101111901000000a300a201a300a2000100a300a201a300a200a3000000a200a3010001a300a201a3
+00a201a3000001a3010006a3010000a300a201a3010003a3010006a3000003a3000007a3010000a300000aa300000aa3000003a30100039f0000099f0000009a0199009a0199009a
+019900000899000000010000016600670166006701660000016600670166006701660000006601000067006601670066010000660067010001670066016701000067010000670066
+01670100006700660167020000660100006601670066006701001b01008486010112060101110112060101111701010000a300000ba300000ba3000004a3000105a3000000a30100
+06a3010003a3010005a3000005a3000000a300a401a3000001a300a401a300a401a3010000a4000000a301a400a301a400a301a400a300a4000000a30100069f00000001019f0001
+019f00010100000100000001069a0000079a020007670000006701000367010003670100006701000567010000670100046701000067000008670000086700001801018487010112
+060101110112060101111501010003a3010007a3010000a3000008a3010000a300000ba300000aa3000000a3010007a3000003a3010005a3000005a3000003a300000aa30000009e
+079f0000059f000002010000009a0001009a0099009a0199009a00990000009a0199009a019900000194020000670066016701000067006601670100006700000167006601670066
+016701000067006601670066016700660067000000660167006601670066016700000167006601670066016701000067010000670066016700660100006701001501008489010112
+060101110112060101111401000000a201a300a201a300a2010000a201a300a200a3010001a300a200a3000000a201a300a201a300a2000000a300a201a3010000a300a201a300a2
+01a300a2010000a300000aa300000aa3000000a3010008a3000003a3000005a3000007a3010000a40000009e009f019e049f0000039f000004010000049a0199009a000003990100
+029400000067006601000066000000670166006701660067006600000067016600670166006700660000006702000067006601670066010000660100006601670066006701000067
+0100016700660167000001670066016701000067010000670066016700660100110101848a010112060101110112060101111201010009a3000001a3010006a3000003a3010005a3
+010004a3010003a3000007a3010000a300000aa3000000a401a300a400a3000100a401a300a401a3000000a3010000a301a400a301a400a300a4000000a301a400a300a4010003a4
+0000089f0000009f0100050100000501029a0000019a0000049400000267010007670000006701000367010003670200006701000467010000670100046701000067010007670000
+086700000f0100848c01011206010111011206010111110100000ca800000aa3000000a3010009a3000001a3010006a3000004a3010003a3010006a3010000a301000aa300000aa3
+000001a3010000a401a300a401a300a40000009e009f019e009f019e009f009e000008010000019a0001019a0001009a009900000099000005940000006601000066006701000167
+006600670100016700660067010000670000006601670066016700660167000001670066016700660167006600000067006601670066016700660067010001670066016700660167
+00000067000006670000006701000c0100848d010112060101110112060101111201000001a800a701a800a701a800a700a8010000a3000000a201a300a201a300a201a300a200a3
+000000a201a300a201a300a201a300a201a300a200000aa3000001a3010006a3010003a3010004a3000007a3010000a300000aa3000000a300a401a300a401a300a401a30000019e
+009f019e009f009e0100009f0000009f07010000079a0000079400000166006701660067010000670000006600670166006701660067000000660067016600670166006701000067
+0100016700660167010000670100006700660167006601000066020001670066006701000167006601000066016701000067006601670000090101848e0101120601011101120601
+01111301010006a8000003a3000007a3010000a3000009a3010000a300000aa3000004a3000105a3000000a3010007a3000001a300a401a3010000a300a401a3000001a300a401a3
+00a401a3010000a4000000a301a400a3000004a40000039f01000001009f01010000029f0401000005010100009a0000069400000667020005670100006701000467000004670100
+00670100046701000067010004670200006700000667000000670000066701000601008490010112060101110112060101111501000003a8010005a3000004a3010003a3010006a3
+000003a3010006a3010000a300000ba3000004a3000104a3010000a3010006a3000005a3000000a401a300a4000000a300a401a300a401a300a401a30000009e0100019f0001019f
+00010000059f020100000001019a01000099009a00990000069400000167006601670100006700660067010001670100006700660167006601000066010000660167006601670066
+006700000066016700660167006601670100006700660167006601670066006700000066016700660167006601670100086700000301018491010112060101110112060101111601
+000000a8010000a300a201a300a201a300a200a3000000a200a3010001a300a201a300a200a3010001a300a200a3010005a3010003a3010003a3010007a3010000a300000ba30000
+09a3000003a3000005a3000009a30000089f0000009e019f009e019f009e00010000009a01000099009a0199009a0099000006940100006701000067016600670166006700660000
+006701660067016600670166010000660067016600670166006700000066010000660167006600670100006702000067006601670066010000660100006601670066006701000067
+02000067006601670066010000660100000100849301011206010111011206010111170100000ba8000004a3000105a3000000a3010009a3000000a3010006a3010004a3010003a3
+010007a3010000a4000000a300a401a300a401a300a401a3000000a3010000a301a400a301a400a300a4000000a301a400a301a400a3010000a40000019f0101009f0101009f0001
+0000069f0100079a00000694000000670000076701000067010004670100006702000367010003670100006701000467020000670100046701000067010004670200006701000467
+010093010112060101110112060101111801000008a8010000a300000ba300000ca300000aa3000001a3010006a3010004a3010003a3000009a3000003a300a401a300a401a300a4
+000000a300a401a3010001a400a300a40000019e009f019e0001019f00010000039f0100019f00000099009a0199009a0199009a0000059401000066010000660167006600670000
+006601670066006701000067010001670066016702000066000000670066016700660167006601000066016700660167006601670000016700660167006601670066010008670100
+0867000091010112060101110112060101111901000000a800a701a800a701a8000001a300a200a3010001a300a201a300a201a3010000a3000009a3010000a300000aa3000004a3
+000105a3000001a3010006a3000006a3010000a300000aa3000000a3010000a300a401a300a401a30000019e009f019e009f009e009f0000009f009e0100049f00000099009a0199
+009a01990000069400000067016601000066010000660067016600670166006700000066006701660067016600670066020000660167006601670100006702000066016700660067
+010000670100016700660167010000670200006601670066006701000067020000670066016700660100006601008f010112060101110112060101111a01000003a8010005a30100
+04a3010003a3010006a3000003a3000007a3010000a300000ba3000000a300a401a300a401a300a401a300a4000000a300a401a3010001a400a300a4000000a301a400a301a400a3
+01a400a300a4000000a307a40000079f0200009f0101009f0101009f0000079a00000594000004670100076700000067010004670100026701000167010004670200006701000467
+01000067010004670200006701000467020000670100046701008d010112060101110112060101111b01000000a8010009a3000001a3010006a3010003a3010005a3000005a30000
+03a3000008a3010000a300000aa3000000a3010006a3000007a3010000a4000000a300a401a300a400a301a400a30000009f019e009f009e0100019f0000009e069f00000099009a
+00000199009a009900000095049400000066016700660000006702000066016700660100006601670066010000660100006601670066016700660067000000660167006601670066
+01670100006700660167006601670066006701000867010008670000086700008c010112060101110112060101111c01000000a800a701a800a701a800a701a800a701a8000004a3
+000105a3000000a3010008a3000003a3000005a3000006a3000003a300000aa3000009a3000004a3010003a3000006a300a400a30000009f009e0100009f009e019f009e0000019e
+059f00000199009a0199009a009900000095039400000067006601000166006700660200006600000166006701660067016601000066006701660067016600670000006601000066
+016700660067010001670100006700660167006601000066020001670066016701000067020000660167006600670100006701000167006601670100006701008a01011206010111
+0112060101111d01000009a8010000a800000ba3000004a3000105a3000000a3010007a3000003a3010001a300a401a300a4000000a300a401a300a401a300a4010000a4000000a3
+00a401a300a401a300a400a300a4000000a300a4010001a400a301a400a300a4000000a301a400a301a400a300a40200079f0000049f0101009f0000059a00000195039401000867
+000007670000006702000367010003670100006701000567010000670100046702000067010004670200006701000467010000670100046700008901011206010111011206010111
+1e01010006a8000003a8010007a3010000a300000ba300000aa3000000a3010008a3000004a3010003a3010007a3010003a300a401a300a401a300a4000000a300a401a300a40100
+00a400a30000009f009e069f0000009e019f009e029f0000009a0099019a0199009a0000019502940000016700660167006601670100006701000067006601670100006700660167
+020000660000006700660167006601670066010000660167006601670066016701000067006601670066016700660067000009670000086700000767010087010112060101110112
+060101112001000000a701a800a7010005a8010004a3010003a3010007a3010000a300000aa3000004a3000105a3000001a3010006a3010004a3010001a300000aa3000001a30100
+00a401a300a400a30000009f019e0000009f009e019f0000009f019e009f019e019f0000009a0199009a019900000494020000670166006700660000006701660067006601000066
+000000670166006701660067006601000166006701660067016600000067020000660167006600670100006702000067006601670066010000660100006601670066016701000067
+01000067006601670066010000660100006601670066016700660067000086010112060101110112060101112101000000a8010009a8000001a3010006a3010004a3010003a30000
+07a3010000a300000ba3000000a300a401a300a4000100a300a401a300a400a3000000a400a3010000a301a400a300a4000000a301a400a301a400a301a400a300a4010007a40000
+079f0000069f080001950294000000670100006701000267046c01000567010001670100036701000367020000670100046702000067010004670100016701000467010000670100
+0467000004670100006701008401011206010111011206010111220100000ca8000004a3000105a3000001a3010006a3000004a3010003a3010007a3010000a300000ba3000008a3
+010006a3010000a4000000a300a401a300a401a300a400a30000009f019e009f019e019f0000009f009e0300009f009e0000009a0099019a0099009a0100009501940000006c016b
+0000016b006c016b006c016b0100006b006c010000670066010000660167006601670100006700000167006601670066016701000067006601670066016700660067010008670100
+0867000007670100006701000467010082010112060101110112060101112301000009a8010000a800000ba300000aa3000001a3010006a3010004a3010003a3010007a3010000a3
+000003a3000104a3000003a3010003a3000006a300a400a30000009f019e009f019e009f0200019e009f019e009f009e0000009a0199009a009900000090000001940000006b006c
+0000006b0100006b006c016b006c0000006b006c016b006c016b01000066006701660067016600670066010000670066016700660067010001670100006700660167006601000066
+006701000167006601670100006702000066016700660067010000670100016700660167006601670100006700660167006601670066006700008001011206010111011206010111
+2401010006a8000003a8010007a3010000a300000aa3000004a3000105a3000001a3010000a401a300a401a300a4010000a401a300a400a3010001a300a400a3000000a400a301a4
+00a301a400a301a4000000a4010001a400a301a400a300a4000008a40000019f0300019f0000069f0000059a00000090000000940000008b0000036c0100006c0100066c0000006c
+020004670100016701000167010005670100006701000567010000670100046702000067010004670000046701000067020004670100009401007e01011206010111011206010111
+2601000003a8010005a8010004a3010003a3000007a3010000a300000ba3000004a3000105a3000001a3010006a3000008a3010000a401a300a401a300a401a3000001a300a401a3
+00a401a300a40200019e009f019e009f009e0000009f009e019f009e019f0000019a0099019a000000950090000000940000016b006c016b006c006b0100016b006c016b006c0100
+006c016b006c0200006601000066016700660167006601000066016700660167006601670100086701000867000007670100006701000467020000670100049400007d0101120601
+01110112060101112701000000a8010009a8000001a3010006a3000004a3010003a3010007a3010000a300000ba300000aa3000005a3010001a3000008a3000005a3010001a30000
+00a3019e009f019e009f009e0000009f019e009f019e009f00000099009a0199009a000000940090008f0000006c016b006c016b0000016b0200006c006b0000006c016b006c016b
+006c006b0200006600670166006700660100006702000066016700660067010000670200006700660167006601000066020001670066016701000067010000670066016700660167
+006600000967000003c1039401007b01011206010111011206010111280100000ca8000004a805a3000001a3010006a3010004a3010003a3000000a300a401a300a401a300a400a3
+010000a3000000a401a300a401a300a401a300a400a3000000a400a3020001a400a301a4000001a400a301a400a301a400a3000001a4020004a4000002a4039f0000079f0000049a
+0000009501900000026c0100066c0100056c0100026c0100016701000467020000670100046702000067010004670200006701000467000004670100006701000667000000940100
+07c100007a010112060101110112060101112901000009a8010000a800000aa8000004a3000105a3000001a3010006a3000006a3000003a300000aa3000009a3000000a401a300a4
+01a300a400a3020000a300a401a300a401a300a400a3000000a401a300a400a3009e009f0000009e009f019e009f009e009f00000099019a0099009a0000009400950090008f0000
+006c0000006b006c016b006c016b0100006b006c0100006c006b0100016b006c016b006c016b01000167006601670066016700660100006601670066016700660167010008670000
+076701000067010004670000036701000394000004c1010000e9010078010112060101110112060101112a01000006a8010003a8000007a8010000a800000ba300000aa3000003a3
+010005a3000007a3010000a3000003a3000104a3000004a3010001a3000008a3000006a3009f0000009e009f019e04000099009a01990000019400900200056b0000066b0100006b
+006c016b006c016b006c0000006b02000067016600670066010000670200006601670066006701000067020000670066016700660100006701000066016700660167006600670000
+07670100006700000694010000c1010004e9000077010112060101110112060101112b01000003a8010006a8000005a8000003a8000008a3010000a300000aa3000000a3010000a3
+00a401a300a401a300a400a3000000a401a300a400a3010000a301a400a3000000a400a301a400a301a400a301a4000001a4010000a400a301a400a3000008a4000006a40400039f
+0500029500900000006c0100016c0100056c0100006c0200036c0100036c020000670100046702000067010004670200006701000467000004670100006701000767010008bc0000
+07e9010075010112060101110112060101112c01000000a8010008a8000003a8010005a8000006a3000003a300000aa3000004a3000105a3000001a3010006a3000008a3010000a4
+01a300a401a300a401a3010000a300a401a300a401a300a4000000a300a4030000a300a40000009e009f019e009f019e0000009e0099009a02000094009500900000006b006c006b
+0100016b006c016b006c0000006b006c016b006c0200006b0000006c006b016c006b016c006b01000066016700660167006601670100096700000767010000670100046700000467
+01000094020004bc010000e9010007e9000074010112060101110112060101112d01000004a8000105a8000000a8010008a8000003a3010005a3010006a3010000a301000aa30000
+0aa3000005a3010001a3000003a3000004a3000006a3020006a30000009e009f019e009f019e0000009e0099009a00990200009400900200016b0100016b0100076b0200006b006c
+016b006c006b01000067006601000066016700660067010001670100006700660167006600670100006701000767000007670100006701000494020000bc010004e9000004e90100
+00e9010072010112060101110112060101112e0100000ba8000004a8000105a8000000a3010009a3000003a3010000a401a300a400a3000000a401a300a401a300a400a3010000a3
+000000a401a300a401a300a400a301a400a3000000a400a3020001a400a301a4000001a400a301a400a301a400a300a4000001a4030000a300a4000007a40100059f0000019f019a
+000000900200006c006b016c006b016c0100066c0100026c0100016c0100056701000067010005670100016701000467000004670100006701000767010008bc000007e9010000e9
+010004e9000071010112060101110112060101112f01010007a8010000a800000ba8000005a806a3000000a3010007a3000004a3010003a300000aa3000009a3000000a401a300a4
+01a300a401a3020000a401a300a401a300a4000000a300a401a300a401a300a400a30000009f019e009f019e0000019e009a009900000095008f0100016b006c016b0000016b0200
+006c006b0100016b006c016b006c016b0100016c006b016c006b016c02000867010002670001036701000067010004670000046701000094020004bc010000e9010007e9000007e9
+01006f010112060101110112060101113101000004a8010003a8010007a8010000a801000ba8000004a3000104a3010000a3010006a3010006a3010000a3000003a3000104a30000
+05a3010001a3000007a3000008a30000009f019e009f019e0000019e009f009900000095018f0000016b0100066b0100006b006c016b006c016b0100006b006c0200006c006b006c
+0100016702000066016700660067010000670200036701000067020006670100006701000494020000bc010004e9000004e9010000e9010007e900006e0101120601011101120601
+01113201000001a8010006a8010004a8010004a8000008a8010000a8000000a401a300a401a300a401a300a401a3000001a300a401a300a401a300a401a3000001a300a400a30100
+00a301a400a3000000a400a301a400a301a400a301a4000001a4020000a301a400a300a4000000a301a400a301a400a300a4000007a40b00009f0000009501900100006b016c006b
+016c006b0100016c0200016c0100066c02000567020000670100046702000067000001b105000567020008bc000007e9010000e9010004e9000004e9010000e901006c0101120601
+01110112060101113301000004a8000105a8000001a8010007a8000005a8010003a8010007a3010000a800000aa3000000a3010006a3010007a3010000a401a300a401a300a401a3
+00a4000000a300a401a300a401a300a4000000a300a400a3030000a400a3000000a401a300a401a30000009e04000094008f0000008a006b006c016b006c0000006b006c016b006c
+016b0200006c006b016c006b006c0100016c020000660167006601670200086700b6000005b10300016701000194020004bc010000e9010007e9000007e9010000e9010004e90000
+6b01011206010111011206010111340100000ba800000ba8010001a8010006a8010004a3010003a800000aa300000aa3000004a3010001a3010002a3000004a3000006a3030006a3
+000005a3000000a3029e0200008f0000008a016b0100056b0100006b006c006b0100016b0100006b016c006b016c0200006600670100016702000467000000b6000000b100b001b1
+00b001b1000000b1020003bc0294020000bc010004e9000004e9010000e9010007e9000007e9010069010112060101110112060101113501000008a8010000a800000ba8010004a8
+000105a8000001a3010000a800a901a800a901a8000001a300a401a300a401a3010000a8000001a300a401a300a401a300a400a300a4000000a300a4010001a400a301a400a30000
+00a400a301a400a301a400a300a4000000a300a4030000a300a4010007a4000005a4000001a4019f0000009a0200018b0200016c006b0100066c0200086c01000667020000670100
+00b7000007b1000002b1020007bc000007e9010000e9010004e9000004e9010000e9010007e9000068010112060101110112060101113601000006a8000003a8010007a8010001a8
+00000ba800000aa8000004a3010003a8010008a3010001a807a3000001a300a401a300a401a3010000a800a401a300a401a300a400a3000000a401a300a401a300a400a3000000a4
+01a300a401a3000001a300a4009e010000990200008a0700006b006c016b0100016c006b0200016c006b0200016701000667020001b6000006b1000005b1020003bc010000e90000
+08e9000007e9010000e9010004e9000004e9010000e9010066010112060101110112060101113701000003a8010005a8010004a8010004a8010007a8010000a800000aa8000001a3
+010006a8010005a3010001a8000007a801a3010001a3030001a8010002a8000003a3000007a3000005a3000003a3009e00000199040003700500006c016b006c016b030000670066
+04670100016702000067000001b6000000b001b100b001b100b0000000b100b001b100b001b100b001b1000000bc010003e9010005e9000000e9000008e9000007e9010000e90100
+04e9000065010112060101110112060101113801000000a8010009a8000001a8010007a8010004a8010003a8000001a800a901a800a901a800a901a8000001a800a901a8000101a8
+00a901a800a9000000a300a4020001a800a901a8010001a900a801a900a801a900a8010000a801a900a801a900a801a9000001a900a801a900a800a900a4010000a400a301a40d00
+01a40000029a0000008b0200007c010004710500026c02000567010000680167006800b601b700b6000005b1010008b1000000b2010000ea01e900ea01e9010002e9010001e900ea
+010005e9000000e9000008e9000007e901006301011206010111011206010111390100000ca800000ca8000001a8010006a8000007a8010000a800000ba8000009a8010005a80100
+01a8000003a8007b03a8000000a901a800a901a800a900a8040003a8000000a901a800a901a8010000a8060000990000008b0800026c0200036c0001020001670100016701000067
+00b701b600b7000006b1000008b1000003b1010005e9000000e9000005e9010002e9010002e9010005e9000000e9010007e9000062010112060101110112060101113a01000009a8
+010000a800000ca800000aa8000004a8010003a8010007a8010000a800000aa8000001a8020004a8010007a8010001a8030001a8000006a8010005a8000003a80600008a01000076
+0400006c006b016c0200006b016c006b0300046700bb03b6000001b100b001b100b000b1000000b001b100b001b100b001b100b0000004b1010005e9000008e9000000e9000005e9
+010002e9010003e9000004e9010000e9010060010112060101110112060101113b01010006a8000003a8000009a8010000a800000aa8000001a8010000a800a901a800a901a80100
+00a800a901a800a9010000a901a800a9000000a800a901a800a901a800a901a800a9000001a900a801a900a801a900a800a9010001a900a801a900a801a9010000a900a801a900a8
+01a900a8010000a801a900a801a9010000a900a801a900a800a9010001a900a800a9000000ad01a9050000760100006c0a00016700680200016700bc00b601b700b600b7000005b1
+000009b1000000b101b200b101b200b100b2010000e900ea010000ea010000ea01e900ea01e900ea00e9000008e9000000e9000006e9010000e9010004e900005f01011206010111
+0112060101113d01000003a8010005a8010006a8000003a800000aa8000004a8000105a8000001a8010006a8010006a8010000a8010009a8000002a8030001a8000007a8010006a8
+000001a800a900a8060000a9010000ae01a8000001a3020000760000026c010000670001006c020003670001010000bb00b701b600b700b0030003b1000008b100000ab1010004e9
+000004e9010000e9010007e9000009e9000007e901005d010112060101110112060101113e01000000a8010009a8000003a8010005a8000007a8010000a800000ba800000ba80000
+03a8010004a8000008a8010000a8000006a8010007a8000003a8060003ad010000b2040000ad00a8000000b701a30400036c000002670200026701bb02b601b0000000b100b001b1
+010000b1010000b100b001b100b001b100b000000ab1000000ac010004e9010000e9010004e9000004e9010000e9010006e9000000e9000008e900005c0101120601011101120601
+01113f0100000ca8000000a8010008a8000004a8010003a8010000a800a901a800a901a800a9010000a9010000a901a800a901a800a901a800a900a8000000a9010000a901a800a9
+01a800a900a8000000a900a801a900a800a9010000a800a9010000a901a8006c01a800a900a8010000a801a900a801a900a8010001ad000001ad00ae01ad010000ad00ae000100ad
+00ae00ad010000b2000100b3050000b700a4010000010d0000bb00bc00b6000002b1000006b1000001b1020004b1000001b200b101b200b101b200b100b2000000ac01ad00ac0100
+01e900ea01e9000001e900ea01e900ea01e9010000e9010004e9000003e9010002e9010005e9000000e901005a01011206010111011206010111400100000ba8010004a8000105a8
+000001a8010006a8010004a8010004a8000009a8010004a8000104a8010001a8010005a8000008a8000001a8030001a8010007ad010005ad010002b2010000b7020000b8010000bd
+00010100019400950094000000bd00bc0094009500bb00b6000000b001b100b0000000b100b001b100b001b1000004b1020001b1000009b1000000ad01ac00ad01ac010001e90100
+00e9010007e9000007e9010000e9000005e9010002e9010003e9010058010112060101110112060101114101010007a8010001a800000ba8000004a8000105a8000001a8010007a8
+000006a8010001a800000ba8000009a8000007a8010001ad06a8010007ad020000b2070000b2010000b7040001bc0001000000bc00010194000002b6000001b000b101b0000000b1
+00b001b100b001b1000009b1010008b1000008ac010004e9000004e9010000e9000008e9000008e9000000e9000007e9010056010112060101110112060101114301000004a80100
+04a8010007a8010000a800000ba8000000a800a901a800a901a800a901a800a900a8010001a8020000a901a800a900a8010001a800a901a800a901a8010000a8000001a800a901a8
+00a901a800a900a8010001a8030001a8010000ad00ae01ad00ae01ad00a900a8010001ad030002ad010005b2050000b8000000cc060003b6000005b1000006b1000009b1000001b2
+020000b101b200b100b2000000ac01ad00ac01ad00ac01ad00ac01ad000000e900ea01e900ea010000ea010000ea01e900ea010005e9000000e9010007e900000ae9000055010112
+060101110112060101114401000001a8010007a8010004a8010003a8010007a8010000a801000ba8000009a8010004a8010003a8010008a8010008a8010007ad020003ad000103ad
+010004b2060000b600b700cb000005b6000000b001b100b001b100b0000000b100b001b100b001b1000009b1000004b1020001b1000000ad01ac00ad01ac00ad01ac00ad01ac0000
+00ac010004e9000006e9010002e9010003e9000004e9010000e9010007e9000000e900005401011206010111011206010111450100000ca8000001a8010006a8010004a8010004a8
+000008a8010000a800000aa8000001a8010006a8010005a8010001a8000009a8010001ad030000ac01ad010008ad020001b100b201b100b201b100b200b1040002b1060000b10300
+00b100b001b1000009b1000009b100000bac000003ac010001e9000000e9000007e9000000e9000006e9010000e9010004e9010003e9010002e90000530101120601011101120601
+0111460100000ca8000004a8000105a8000001a8010007a8000000a901a800a901a8010003a8000001a800a901a800a901a800a901a8000001a800a901a8000101a800a901a800a9
+000000a800a9020004a8010000a800a901a800a901a800a900a8010004ad000103ad010002ad030002b2030002b2010001b200b101b200b100b2010000b100b201b100b200b10100
+01b100b200b1010000b1010008b1000001b200b101b200b101b200b100b2000000ac010000ac01ad00ac01ad00ac01ad000005ad020000e900ea00e9010001e900ea01e900ea00e9
+000009e9000003e9000103e9010000e9000005e9010051010112060101110112060101114701000009a8010000a800000ba800000ba8010001a8010006a8000007a8010000a80100
+0aa8000009a8010005a8010001ad010009ad020000b101b200b101b200b101b200b100b2020000b201b100b201b100b200b1000006b1000007b1000001b1020004b1000009b10000
+00ad01ac00ad010000ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad010002e9010003e9010000e9010006e9000000e9010008e9000008e90000500101120601011101120601
+01114801000006a8010003a8000008a8010000a800000ca800000aa8000004a8010004a8000007a8010000a8010009a8000001a8020005ad000006ad010001ad020000b101b200b1
+01b200b1010002b1030001b1000007b1000007b1000004b1020001b1000009b1000005ac010003ac000009ac00ad00ac000003e9000000e9010004e9000003e9010003e9000006e9
+000000e9000008e900004f010112060101110112060101114901000003a8010006a8000006a8000003a8000009a8010000a800000aa8000001a8010007a8000000a800a901a800a9
+010004a8000008a8010004ad000004ad010001ad020005ad020001b2020009b2030000b201b100b2000000b100b201b100b201b100b200b1000000b200b101b200b101b200b101b2
+010000b200b101b200b101b200b100b2000000ac01ad00ac01ad00ac01ad010000ad00000bad000000ad010000ea01e9000001e900ea01e900ea01e9010000e9000006e9000003e9
+010002e9010005e9000000e901004d010112060101110112060101114a01000000a8010009a8000003a8010005a8010006a8000003a800000aa800000ba8010000a8010007a80000
+05a8010001a8010009ad010000ac01ad00ac01ad00ac01ad00ac01ad00ac010001b100b201b100b201b100b201b1010000b100b201b1000001b1010007b1000009b1000001b10200
+04b1000000ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac00ad000000ac00ad01ac020000e9000008e9000003e9000103e9010000e9000005e90100
+02e9010003e900004c010112060101110112060101114b0100000ca8000000a8010009a8000003a8010005a8000007a8010000a801000ba8000004a8000104a8010001a8010005a8
+010005ad010000ad00ac010000ac01ad00ac01ad00ac01ad010001ac020000b201b100b201b1010006b1010001b1010004b1000009b1000004b1020001b100000bac000000ac0100
+00ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad01ac010001e9010005e9000000e9010008e9000008e9000000e9000006e901004a010112060101110112060101114c010100
+0ba800000ca8000000a8010008a8000004a8010004a8000008a8010000a800000ba8000004ad000104a8010001ad010005ad010004ad010005ad020001b2010007b2000000b101b2
+00b101b2010000b200b1000000b200b101b200b101b200b101b2000001b200b101b200b101b200b100ad000000ac01ad00ac01ad00ac01ad00ac01ad000003ad010005ad000008ad
+010000e9010000e900ea00e9010003e9000006e9000000e9000008e9000009e9000049010112060101110112060101114e01000008a8010000a800000ba8010004a8000105a80000
+01a8010007a8000005a8010003a8010007a8010000a801000aad000004ad000100ad00ac01ad00ac010000ac010000ac01ad00ac01ad00ac01ad00ac00ad020000b201b100b201b1
+00b200b1000000b201b100b201b100b201b100b2010008b1000001b100b201b100b201ac00ad00ac000000ad010000ad01ac00ad01ac00ad00ac010001ac00ad01ac00ad010000ad
+01ac00ad000000ac00ad01ac00ad01ac00ad01ac00ad00ac000001e9000000e9000006e9000003e9010002e9010005e9000000e9010006e9000000e9010047010112060101110112
+060101114f01000005a8010003a8010007a8010001a800000ba800000ba8010001a8010006a8010004a8010004a8000007ad010000ad010000ad00ac01ad00ac01ad00ac01ad0200
+00ac00ad01ac00ad01ac00ad01ac010000ac00ad00ac030001b1010008b1010001b1020004b1000002b106ac000003ac000005ac000009ac010000ac000000ad01ac00ad01ac00ad
+01ac00ad01ac000000ac010000e9000003e9000103e9010000e9000005e9010002e9010003e9010003e9000003e9000046010112060101110112060101115001010001a8010006a8
+010004a8010004a8010007a8010000a801000ba8000004a8000105a8000001a8010007a8000004ad010004ad010005ad010002ad010005ad010009ad010000b101b200b101b200b1
+01b2000001b200b101b200b1020001b2000001ad00ac01ad00ac01ad00ac010005ad000001ad00ac00ad00000cad00000bad000003ad030008e9000008e9000000e9000007e90100
+00e9000005e9000045010112060101110112060101115201000004a8000105a8000001a8010007a8010004a8010004a8000008a8010000a800000ba800000ba8010000ad010008ad
+010001ad010000ac01ad00ac01ad00ac010000ac00ad010000ac00ad01ac00ad01ac00ad01ac010000ac00ad010000b201b100b201b1000001b100b201b100b201b100ad01ac0100
+00ac00ad01ac00ad01ac00ad000000ac00ad01ac00ad01ac00ad00ac010000ac000000ad01ac00ad01ac00ad01ac00ad01ac00ad000000ac010000ac00ad01ac00ad01ac00ad00ac
+000000ad00ac01ad00ac00ad010000e9000006e9000000e9000008e900000ae9000007e901004301011206010111011206010111530100000ba800000ca8000001a8010007a80000
+05a8010003a8010007a8010000a801000ba8000000ad00ac01ad00ac01ad00ac01ad00ac01ad000001ad00ac01ad00ac01ad00ac01ad00ac00ad010000ad01ac00ad01ac00ad01ac
+00ad000005ac010001b1010000b109ac000001ac010004ac00000bac01000bac000000ad01ac00ad010000ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad020003e9010002e9
+010005e9000000e9010007e9000000e9000008e9000042010112060101110112060101115401000008a8010000a800000ca800000ba8010001a8010006a8010004a8010004a80000
+08a8010000ad010008ad010000ad010008ad010001ad020005ad000009ad010001ad00ac01ad00ac01ad00ac01ad000004ad010000ad00ac00000bad000001ad010007ad010005ad
+010003ad00000bad020000e9000005e9010002e9010003e9010003e9010002e9010005e9000000e9010040010112060101110112060101115501000006a8000003a8000009a80100
+00a801000ba8000004a8000105a8000001a8010007a8000005a8010004ad010004ad010000ac01ad00ac00ad010001ad00ac01ad010000ad00ac01ad00ac00ad020000ad00ac0100
+01ac00ad01ac00ad01ac00ad00ac000000ad020001ac00ad01ac00ad00ac010001ac00ad01ac00ad01ac00ad010000ad01ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad00ac
+010001ac00ad01ac000001ac00ad01ac00ad01ac00ad00ac010000ac000000ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac020008e9000000e9000007e9010000e9000005e9
+010002e9010003e901003e010112060101110112060101115601000003a8010005a8010006a8000004a8000008a8010000a801000aa800000ba8010001a8010000ac01ad00ac01ad
+00ac01ad010000ad010000ad00ac01ad00ac01ad00ac00ad010000ad010000ad01ac00ad01ac00ad01ac00ad01ac00000aac000003ac020003ac000009ac000000ac020006ac0100
+07ac010001ac000000ac00ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac00ad000000ac00ad00ac020008e900000ae9000008e9000000e9000001e9
+00e801e900e801e901003c010112060101110112060101115701000000a8010009a8000003a8010006a8000005a8010004a8000007a8010000a801000ba800000dad00000cad0000
+0bad010000ad010006ad010006ad020000ad000009ad000003ad020003ad00000cad00000cad000000ad010008ad000005ad020005e9000000e9010007e9000000e9000008e90000
+0ae900003b01011206010111011206010111580100000ca8000000a8010009a8010001a8010007a8000004a8010004a8000008a8010000a8010009ad010000ad010001ad00ac01ad
+00ac01ad00ac010000ac010000ac01ad00ac01ad00ac00ad010000ac00ad01ac00ad010000ad01ac00ad000000ac00ad01ac00ad01ac00ad01ac00ad00ac010001ac00ad01ac00ad
+01ac010000ac00ad01ac00ad01ac020000ad000000ac00ad01ac00ad01ac00ad01ac00ad01ac000000ac010001ac00ad01ac00ad01ac00ad00ac000000ad00ac01ad010000ad00ac
+01ad00ac00ad000000ac01ad00ac01ad00ac00ad020002e9010003e9010003e9010002e9010005e9000000e9010007e9000000e900003a0101120601011101120601011159010100
+0ba800000da800000ba8010000a8010001a800a701a800a701a8000005a8010000a701a800a700a8010001ad00ac01ad00ac010000ac01ad00ac00ad010001ad00ac01ad010001ac
+00ad01ac010000ac00ad01ac00ad000000ac00ad01ac00ad01ac00ad00ac010000ac00000aac010001ac010004ac00000bac00000cac000000ac00ad01ac010000ac00ad01ac00ad
+00ac010001ac00ad01ac00ad010000ad01ac00ad000000ac00ad01ac00ad01ac00ad01ac020000e9000007e9010000e9000005e9010002e9010003e9000000e801e900e801e90000
+01e900e8000039010112060101110112060101115b01000008a8010000a8010009a8010000a800000ca8000004a8000104a8010001a8010008a8010001ad010008ad010000ad0100
+08ad010000ad01000bad010008ad010005ad010001ad00000bad000000ad010008ad010005ad010003ad000009ad010000ad00000cad01000ae9000008e9000000e9000006e90000
+03e9000004e9010037010112060101110112060101115c01000005a8010004a8000007a8000003a8000009a8010000a800000ba800000da8000000ac01ad00ac01ad00ac01ad00ac
+01ad00ac00ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac010001ac00ad01ac00ad01ac00ad01ac010000ac00ad010000ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad
+01ac000001ac00ad01ac00ad01ac00ad01ac00ad000000ac00ad01ac010000ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad010000ad000001ad00ac01ad00ac01ad
+00ac01ad00ac00ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac010000e9010007e9000000e9000008e9000003e9000103e9010000e9000007e9000036010112060101110112
+060101115d01010001a8010007a8000004a8010005a8000006a8010000a800a701a8010000a800a701a800a701a800a7010000a7010000a701a800a701a800a701a800a7010000ac
+010000ac01ad00ac01ad00ac01ad00ac010000ac010000ac01ad00ac01ad00ac01ad010000ac020000ac00ad01ac00ad01ac00ad000000ac00ad01ac00ad00ac010001ac010000ac
+00ad01ac00ad01ac00ad01ac00ad000000ac010008ac000000ad01ac00ad01ac010003ac000001ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad
+01ac00ad000000ac010000ac00ad01ac00ad01ac00ad01ac000000c1000002e9000005e9000002e9010005e9000000e9010008e9000001e900e801e900e801e900e800e900003501
+0112060101110112060101115f0100000ba8010000a8010008a8000003a8010006a8010004a8010004a8000007a8000004ad000007ad000004ad000006ad000004ad020004ad0000
+09ad01000aad000003ad010005ad000008ad010000ad00000cad000000ad010009ad000003ad010005ad010001c1000003e9000003e9000004e9010002e9010003e9000006e90000
+00e9010006e9000000e901003301011206010111011206010111600100000ca8000004a8000105a8000000a801000aa8000001a8010007a8000004a8010006ad000001ad00ac01ad
+010000ad00ac01ad00ac01ad000001ad00ac01ad000001ad00ac01ad00ac01ad020000ac010001ac00ad01ac00ad01ac00ad00ac000000ad020001ac00ad01ac00ad00ac010001ac
+00ad01ac00ad010000ad01ac00ad000000ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad01ac00ad000001ad00ac00ad010001ad00ac01ad00ac
+010000ac01ad00ac01ad010000ad00ac01ad000003c10000000103e9010000e9000007e9000000e9000006e9000003e9010003e9010003e9000003e9000032010112060101110112
+060101116101000009a8010000a800000ba8000000a800a701a800a701a800a701a800a701a800a7000000a800a701a800a701a800a701a800a700a8010000a8010001ad00ac01ad
+00ac01ad00ac00ad010000ad010001ad00ac01ad00ac01ad00ac00ad010000ad010000ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac000001ac00ad
+00ac020000ac00ad01ac000001ac00ad01ac00ad01ac00ad00ac010000ac000000ad01ac00ad01ac00ad01ac00ad01ac000000ac010001ac00ad01ac00ad01ac00ad00ac000000ad
+01ac00ad01ac010000ac00ad01ac000001ac00ad01ac00ad01ac00ad00ac010000ac000001c100c000c1000007e9000009e9000003e9000103e9010000e9000000e801e900e801e9
+00e800e9010000e9000000e801e900e801e9000031010112060101110112060101116201000006a8010003a8000008a8010000a8010009a8010000a801000ba800000dad00000dad
+00000bad010000ad010006ad010006ad020000ad00000cad01000aad000003ad010006ad000008ad010000ad00000cad000004c1000005e9010000e9000007e9000000e9010008e9
+00000ae9000007e901002f010112060101110112060101116301000003a8010006a8000006a8000004a8000007a8000004a8000008a8010000a8010009ad010000ac010000ac01ad
+00ac01ad00ac01ad00ac010000ac010000ac01ad00ac01ad00ac00ad010001ad00ac01ad010000ad01ac00ad000000ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad
+01ac00ad01ac00ad01ac00ad000000ac020000ad01ac00ad01ac00ad010000ad01ac00ad01ac00ad010000ad01ac00ad000001ad00ac01ad00ac01ad00ac01ad00ac000000ad00ac
+01ad00ac01ad00ac01ad00ac01ad000005c1010003e9000003e9010004e9000003e9000006e9000000e9010007e9000000e9000008e900002e010112060101110112060101116401
+000000a8010000a800a701a800a701a800a701a8000003a8010001a800a701a800a700a8000000a701a800a700a8010001a800a701a800a700a8000000a701a800a701a8010000a8
+00a701a800a7000000ad00ac01ad00ac01ad00ac000000ad00ac01ad00ac000000ad00ac01ad00ac01ad010000ad00ac01ad00ac010000ac00ad01ac00ad000000ac00ad01ac00ad
+01ac00ad00ac010000ac000000ad01ac00ad01ac00ad01ac00ad01ac000000ac010001ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad020001ac00ad00ac000000ad01ac00ad
+01ac00ad01ac00ad00ac010000ac000000ad01ac00ad01ac00ad01ac00ad01ac000000ac010001ac00ad01ac00ad01ac00ad00ac000001c100c001c100c000c1000000e9000000e9
+010005e9010002e9000005e9000003e9010000e801e900e8000000e900e801e900e800e9000000e801e9010000e900e801e900e800e9000000e801002c0101120601011101120601
+0111650100000ca8000000a8010009a8010000a8010009a8010001a8010007a8000004ad010006ad000004ad000008ad010000ad01000bad01000aad000003ad010005ad010006ad
+020000ad00000dad00000bad000002ad010007ad010006c1000001e9000003e9000104e9000000e9000007e9010000e9000006e9000003e9000004e9010002e9010003e901002a01
+011206010111011206010111660100000ca800000da800000da800000ba8010000ad010001ad00ac01ad00ac01ad00ac00ad010000ad010001ad00ac01ad00ac01ad00ac01ad00ac
+010000ac01ad00ac01ad00ac01ad00ac00ad010000ad020000ad01ac00ad01ac00ad010000ad01ac00ad01ac010000ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac00ad0000
+00ac00ad01ac00ad01ac00ad01ac00ad01ac010000ad010001ad00ac01ad00ac01ad00ac000000ad00ac01ad00ac00ad000000ac01ad00ac01ad000000c1000006c1000000e90000
+00e9010008e900000ae9000003e9000103e9010000e9000007e9000000e9000007e9010028010112060101110112060101116701000000a800a701a800a701a800a701a8010000a8
+010000a800a701a800a701a800a701a8010000a8010000a800a701a800a701a800a701a8010000a8000001a800a701a800a701a800a701a800a700a8000000ac01ad00ac01ad00ac
+01ad00ac01ad00ac00ad000000ac01ad00ac01ad00ac01ad00ac01ad010000ac020000ac00ad01ac00ad01ac00ad000000ac00ad01ac00ad020001ac00ad00ac000000ad01ac00ad
+01ac00ad01ac00ad010000ad000000ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad010000ad01ac00ad01ac00ad01ac00ad000000ac00ad01ac00ad010000ad01ac00ad01ac
+000001ac00ad01ac00ad01ac010000ac00ad00ac000000c1000000d401c100c001c100c000c1010003e9000006e9000000e9010007e9000000e9010000e900e801e900e801e900e8
+00e9000000e801e900e801e900e801e900e8000000e900e801e900e801e900e801e900e8000027010112060101110112060101116801010006a8000004a8000007a8000004a80000
+07a8000003a8000009a8010000ad010009ad010000ad010007ad010004ad020004ad000007ad020000ad00000cad00000bad000003ad010006ad000006ad010003ad000009ad0100
+00ad000001c1000000d506c1000005e9000003e9010003e9000005e9000003e9000006e9000000e9010006e9000000e9010007e9000028010112060101110112060101116a010000
+03a8010006a8000004a8010006a8000004a8010005a8010006a8000000ad00ac01ad00ac000000ad00ac01ad00ac01ad010000ad00ac01ad00ac010000ac01ad00ac00ad000000ac
+01ad00ac01ad00ac01ad020000ac010000ac01ad00ac01ad00ac01ad00ac01ad000000ac00ad01ac00ad01ac00ad01ac00ad00ac010000ac010001ac00ad01ac00ad01ac00ad0000
+00ac00ad01ac00ad00ac010001ac00ad00ac010000ac01ad00ac01ad00ac01ad00ac010000ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad000002c1000000d506c1000001e9
+000103e9010000e9000006e9000003e9000005e9000003e9010003e9000003e9010003e9000005e9000029010112060101110112060101116b01000000a7010000a701a800a701a8
+00a701a800a7010000a7010000a701a800a701a800a701a800a7010000a7010000a701a800a701a800a701a800a7000000a800a701a8010000ad00ac01ad00ac01ad000001ad00ac
+01ad000001ad00ac01ad00ac01ad00ac010000ac010000ac00ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac00ad010000ad010000ad01ac00ad01ac
+00ad01ac000001ac00ad01ac010000ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad01ac010000ac000001ac00ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad01ac00ad
+01ac00ad01ac00ad00ac000001c100c000c1000000d401c100c001c100c000c1000008e9000003e9000103e9010000e9000000e900e801e900e801e900e8010000e8000000e900e8
+01e900e801e9010000e9000001e900e801e900e800e9000000e801e900e800002a010112060101110112060101116c0100000da800000da800000ca8000000a8010009ad010000ad
+01000bad00000cad010000ad010008ad000004ad000006ad000006ad010003ad00000bad00000dad000000ad010009ad000004c1000000d505c1010007e9000000e9010008e90000
+0ae9000009e9000003e9000103e9010000e900002b010112060101110112060101116d01010009a8010000a8010009a8010000a800000ca8000000ac01ad00ac01ad00ac01ad00ac
+01ad00ac00ad010001ad00ac01ad00ac01ad00ac01ad010000ad010000ad00ac01ad00ac01ad00ac01ad000001ad00ac01ad000001ad00ac01ad00ac00ad000000ac01ad00ac01ad
+00ac000000ad01ac00ad010000ad00ac01ad00ac01ad00ac01ad010000ad000000ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad010000ad00ac01ad00ac01ad00ac01ad00ac
+000000ad00ac01ad010000ad00ac01ad00ac00ad010005c1000000d505c1000000e9010004e9000003e9000006e9000000e9010007e9000000e9000007e9000000e9010008e90000
+2c010112060101110112060101116f01000001a800a701a800a701a8000001a800a701a8000001a800a701a800a701a8000001a800a700a8000000a701a800a701a800a701a800a7
+010000a7010000ac01ad00ac01ad00ac01ad00ac010000ac020001ad00ac01ad00ac01ad000001ad00ac01ad010001ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad000000ac
+00ad01ac010000ac00ad01ac00ad01ac00ad00ac010000ac000000ad01ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad00ac
+010001ac00ad01ac00ad00ac010001ac00ad01ac00ad010000ad01ac00ad010000d500c100c001c100c000c1000000d401c100c001c100c0000002e9000002e9000005e9000003e9
+010000e900e801e9000001e900e801e900e8000000e900e800e9010001e900e801e9000001e900e800e9000000e801e900e801e900e800002d010112060101110112060101117001
+000004a8010006a8000004a8010005a8010006a8000004a8000006ad010004ad020004ad000006ad010003ad010008ad010000ad00000cad00000cad010000ad010008ad000006ad
+010003ad000009ad010000ad000000c1000000d505c1000000d505c1000003e9000000e9000007e9010000e9000006e9000003e9000004e9010002e9000005e9000003e901002e01
+0112060101110112060101117101010000a8010009a8010000a8010009a8000003a8010006a8000001ad00ac01ad000001ad00ac01ad00ac01ad00ac020000ad010001ad00ac01ad
+00ac01ad00ac00ad010000ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad000000ad010001ad00ac01ad00ac01ad00ac00ad
+000000ac01ad00ac00ad010000ac00ad01ac00ad00ac000000ad00ac01ad00ac01ad00ac01ad010000ad000001ad00ac01ad00ac01ad00ac01ad00ac00ad000001c1000000d505c1
+000000d505c1000004e900000ae9000003e9000103e9010000e9000007e9000000e9000007e9010000e9000030010112060101110112060101117301000000a800a701a800a701a8
+00a701a800a701a800a7000000a800a701a800a701a800a701a800a701a8000000a8010001a800a701a800a701a800a700a8010000ad010001ad00ac01ad00ac01ad00ac01ad00ac
+00ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac00ad01ac00ad01ac00ad01ac00ad01ac000000ac010001ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad
+010000ad01ac00ad01ac00ad000000ac00ad01ac00ad01ac010000ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad01ac00ad
+000000c001c1000000d500c100c001c100c000c1000000d401c100c001c100c0000002e9010000e9000008e9000000e9000000e801e900e801e900e801e900e8000000e900e801e9
+00e801e900e801e9000001e900e801e900e801e900e801e900003101011206010111011206010111740100000ba8000000a800000ca800000da800000cad010000ad010009ad0100
+00ad010009ad000003ad010005ad010005ad010003ad010009ad010000ad00000cad000000ad010009ad000003c1000000d505c1000000d505c1000001e9000003e9010005e90000
+02e9010005e9010000e9000007e9000000e9010007e9000032010112060101110112060101117501000008a8010002a8000009a8010000a8010009a8010000ac010000ac01ad00ac
+01ad00ac01ad00ac000000ad00ac01ad00ac000000ad00ac01ad00ac01ad010000ad00ac01ad00ac010000ac01ad00ac01ad010000ad00ac01ad00ac00ad010001ad00ac00ad0000
+00ac01ad00ac01ad00ac01ad00ac010000ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad000001ad00ac010000ac01ad
+00ac01ad00ac00ad000003c1000001d505c1000000d505c1020005e9010002e9010004e9010003e9000003e9010004e9000003e9000005e900003301011206010111011206010111
+7601010000a701a800a701a8000001a800a701a800a7010000a701a800a701a800a7000000a800a701a800a7000000a800a701a800a701a800a7000000ad00ac01ad00ac010000ac
+01ad00ac01ad00ac000000ad00ac01ad00ac01ad000001ad00ac01ad000001ad00ac01ad00ac01ad010001ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad010000ad000000ac
+00ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac00ad01ac000000ac010001ac00ad01ac00ad01ac00ad010000ad01ac00ad01ac000001ac00ad01ac
+00ad000000d401c100c000c1000000d400d500c100c001c100c0000000d500d401c100c001c100c0000003e9000104e9000000e9000000e801e900e801e900e801e9000000e90100
+01e900e801e900e8010000e801e9000001e900e801e900e8000000e900e801e9000034010112060101110112060101117801000003a8000008a8000003a8010006a8000004a80100
+06ad010003ad010008ad010000ad01000aad010000ad00000cad00000cad000000ad01000aad000003ad010005ad000008ad010002ad000001d503c1000001d504c1000001d505c1
+010009e900000ae9000003e9000104e9000000e9000007e9010000e9000035010112060101110112060101117901000000a801000aa8000000a8010009a8010000a8010001ad00ac
+01ad00ac01ad00ac01ad010000ad000001ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac01ad000001ad00ac01ad00ac01ad00ac01ad
+00ac010000ac010000ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad010000ad00ac01ad00ac01ad010000ad00ac01ad00ac00ad010001ad00ac00ad000000ac01ad00ac01ad
+00ac01ad00ac00ad010000ad000002d503c1000001d504c1000001d504c1000001e9000007e9000000e9010007e9000000e9010008e900000ae90000360101120601011101120601
+01117a01000000a701a800a701a800a701a800a701a800a700a8000000a701a800a701a800a701a800a701a800a700a8000000ac01ad00ac01ad00ac01ad00ac01ad00ac01ad0000
+01ad00ac01ad00ac01ad00ac01ad00ac010000ac010000ac01ad00ac01ad00ac01ad00ac00ad010000ad010000ad01ac00ad01ac00ad01ac000001ac00ad01ac010000ac00ad01ac
+00ad00ac010001ac00ad01ac00ad00ac010001ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad010000ad000000ac00ad01ac00ad01ac00ad01ac00ad01ac00ad010001d500d4
+01c100c000c1000000d400d500c100c001c100c0000000d500d401c100c001c1000001e900e8010004e9000000e801e900e8000000e900e801e900e800e9000000e801e900e80000
+00e900e801e900e801e9000000e9010001e900e801e900e801e9000037010112060101110112060101117b01010009a8010000a8010009a8010000a801000aad010000ad010008ad
+000003ad010008ad000004ad000006ad000006ad010003ad00000aad010000ad00000cad00000dad000000c1000002d503c1000001d504c1000001d504c1000004e9000002e90000
+05e9000003e9000005e9000003e9010003e9000005e9000038010112060101110112060101117c010084000007a8000004a8000007a8000000a800a701a800a7010000ac01ad00ac
+01ad00ac010000ac01ad00ac00ad000000ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad000001ad00ac01ad00ac00ad000000ac01ad00ac01ad00ac000000ad00ac01ad0100
+00ad00ac01ad00ac01ad00ac01ad010000ad000001ad00ac01ad00ac01ad00ac01ad00ac01ad000001ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac010000ac01ad00ac01ad
+00ac01ad00ac00ad000001c1000002d503c1000001d504c1000001d504c10000000104e9000000e9000007e9010000e9000007e9010000e9000006e9000003e90000390101120601
+01110112060101117b0100840101000001a800a701a8010000a800a701a800a701a8000001a800a701a8010000a800a701a800a701a8010000ad00ac01ad00ac000000ad00ac01ad
+00ac01ad00ac000000ad00ac01ad010000ad00ac01ad00ac01ad00ac00ad010001ad00ac010000ac00ad01ac00ad01ac00ad00ac010000ac000000ad01ac00ad01ac00ad01ac00ad
+01ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad01ac00ad010000ad010000ad01ac00ad01ac00ad01ac00ad000000ac00ad01ac010000ac00ad01ac00ad01ac010000c001c1
+000001d500d401c100c000c1000000d400d500c100c001c100c0000000d500d401c100c001c1000001e900e801e900e800e9000000e801e900e801e900e801e900e800e9000000e8
+01e900e801e900e801e900e800e9000000e801e900e8000100e900e801e9010000e900003a01011206010111011206010111790101840301010000a8010009a8010000a801000aa8
+010000ad010009ad010000ad00000bad010000ad00000cad00000cad010000ad010009ad000004ad010005ad010006ad010003ad000001d502c1000002d503c1000001d504c10000
+01d504c1000005e9000000e9010007e9000000e9010007e9000000e9000009e900003b0101120601011101120601011178010084070100000da8000000a701a800a701a800a701a8
+00a701a800a701a8000001ad00ac01ad00ac01ad00ac01ad00ac01ad000001ad00ac01ad00ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad0000
+00ad010001ad00ac01ad00ac01ad00ac00ad000000ac01ad00ac00ad010001ad00ac01ad00ac00ad000000ac01ad00ac01ad00ac010000ac01ad00ac000000ad00ac01ad00ac01ad
+00ac01ad00ac010000ac000002d502c1000002d503c1000001d5000003c1000001d504c1000004e9000003e9000005e9000003e9000005e9000002e9000007e900003c0101120601
+0111011206010111760101840901000000a800a701a800a701a800a701a800a700a8000000a7000000a800a701a800a701a800a701a800a700a8010000a8000000ac01ad00ac01ad
+00ac01ad00ac00ad010000ad010001ad00ac01ad00ac01ad00ac01ad010000ad010001ac00ad01ac00ad01ac00ad00ac000000ad01ac00ad010000ad01ac00ad01ac00ad000000ac
+00ad01ac00ad01ac010000ac00ad01ac010000ac00ad01ac00ad01ac00ad01ac010000ac000001ac00ad01ac00ad01ac00ad01ac00ad01ac000000d500d401d500c001c1000001d5
+00d401c100c000c1000000d401d500c001c100c0000000d500d401c100c001c1010000e900e800e9000000e801e900e801e9000001e900e800e9000000e801e900e801e9000001e9
+00e800e9000000e801e900e800e9010001e900e801e900003d01011206010111011206010111750100840c01000008a8010002a8000009a8000003a8000008ad000003ad010008ad
+000004ad010005ad010005ad010003ad010009ad010000ad00000dad00000dad010003d502c1000002d503c1000002d503c1000001d504c1000000e4000000e9000007e9010000e9
+000007e9010000e9000007e9000002e900003e01011206010111011206010111740100840e01010005a8000005a8010001a800a701a800a7010000a701a800a701a8010000ad00ac
+01ad00ac00ad000000ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad000001ad00ac01ad00ac00ad010001ad00ac00ad000000ac01ad00ac01ad00ac01ad00ac010000ac0000
+00ad00ac01ad00ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad00ac000000ad010000ad00ac01ad00ac01ad00ac01ad00ac000000c1000003d5
+02c1000002d503c1000002d502c1000002d504c1000001e400000ae900000ae9000003e9000104e9000000e900003f01011206010111011206010111720101841101000000a701a8
+00a7000000a800a701a800a701a800a700a8000000a701a800a7000000a800a701a800a701a800a701a8000001ad00ac010000ac01ad00ac01ad00ac01ad010000ad00ac00ad0100
+01ad00ac01ad00ac01ad00ac00ad010000ad000000ac00ad01ac00ad01ac00ad01ac00ad01ac000001ac00ad01ac00ad01ac00ad01ac00ad01ac000000ac010001ac00ad01ac00ad
+01ac00ad01ac000001ac00ad010000ad01ac00ad01ac00ad01ac000000c100c0000000d500d401d500c001c1000001d500d401c100c0000000d500d401d500c001c1000001d500d4
+01c100c000c1000000e300e4000000e8000000e900e801e900e801e900e800e9000000e8010000e801e900e801e900e800e9000000e8010000e801e900e801e900e801e900004001
+011206010111011206010111710100841401000000a801000aa8000000a801000ba8000000ad00000bad010000ad00000dad00000bad010000ad01000aad000002ad010007ad0100
+05ad000005ad010000d501c1000003d502c1000002d502c1000003d502c1000002d503c1000000e4000002e9010005e9000003e9000005e9000003e9000006e90000410101120601
+01110112060101116f010184160100000da8000001a800a701a800a701a800a701a800a701a800a7000000ad00ac01ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac01ad00ac
+01ad00ac01ad00ac01ad00ac010000ac010000ac01ad00ac01ad00ac01ad000001ad00ac00ad010001ad00ac01ad00ac01ad010000ad00ac01ad00ac00ad000000ac01ad00ac01ad
+000001ad00ac01ad00ac01ad00ac010000ac01ad000002d501c1000003d502c1000002d502c1000003d502c1000002d503c1010004e9010002e9010005e9000003e9000005e90000
+03e9010042010112060101110112060101116e0100841901000000a701a800a701a800a701a800a700a8010000a8010001a800a701a800a701a800a701a8010000ad010000ad00ac
+01ad00ac01ad00ac01ad00ac010000ac010000ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad00ac000001ac00ad01ac00ad00ac000000ad01ac00ad01ac00ad000000ac00ad
+01ac00ad00ac000000ad01ac00ad01ac00ad01ac010000ac00ad00ac000000ad01ac00ad01ac00ad01ac00ad00ac010000ac000001d500d400d500c100c0000000d500d401d500c0
+01c1000001d500d401c100c0000000d500d401d500c001c1000001d500d401c100c000c1000000e801e900e801e900e800e9000000e8000000e900e801e900e801e900e800e90100
+00e9000000e801e900e801e900e800e9010000e9000044010112060101110112060101116c0101841b01000008a8000003a8010008a8000004ad010006ad010004ad010006ad0000
+06ad000003ad010008ad010002ad00000aad010000ad00000dad010003d501c1000003d501c1000003d502c1000003d502c1000002d503c1000008e900000be900000ae900004501
+0112060101110112060101116b0100841e01010005a8000000a701a800a701a800a7000000a800a701a800a701a8000001ad00ac01ad00ac00ad010001ad00ac01ad000001ad00ac
+01ad00ac01ad010000ad00ac01ad010000ad00ac01ad00ac01ad00ac00ad010000ad000000ac01ad00ac01ad00ac01ad00ac01ad010000ad000001ad00ac01ad00ac01ad00ac01ad
+00ac01ad000001ad00ac01ad00ac01ad00ac01ad00ac01ad000000c1000003d501c1000003d501c1000003d502c1000003d502c1000002d503c1000007e9000000e9010008e90000
+00e9000008e9000046010112060101110112060101116a0100842101000001a800a7010000a701a800a701a800a701a8010000a800a700a8010001ad00ac01ad00ac01ad00ac00ad
+010000ad010001ad00ac01ad00ac01ad00ac01ad010000ad000001ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac00ad01ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad
+01ac00ad01ac00ad01ac00ad01ac00ad00ac000000ad010000ad01ac00ad01ac00ad01ac00ad00ac000000d500c1000001d500d400d500c100c0000000d500d401d500c000c10000
+00d401d500d401c100c0000000d500d401d500c001c1000001d500d401c100c000c1010001e900e801e900e8000000e900e801e9000001e900e801e900e800e9000000e801e90000
+01e900e801e900e800e900004701011206010111011206010111680101842301000000a800000ba8010000a800000dad00000ead00000cad000000ad01000bad000000ad01000aad
+000003ad000008ad000001d500c1000003d501c1000003d501c1000003d502c1000003d502c1000002d503c1000000e4000003e9000005e9000003e9010004e9010003e900004801
+011206010111011206010111670100842601000000a800a701a800a701a800a701a800a701a800a700a8000000ac01ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac000000ad
+00ac01ad00ac01ad00ac01ad00ac00ad010000ad010001ad00ac01ad00ac01ad00ac00ad000000ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad000001ad00ac00ad010001ad
+00ac01ad00ac00ad010001ad00ac01ad00ac010000ac01ad00ac01ad000002d500c1000003d501c1000003d501c1000003d502c1000003d502c1000002d503c1000000e400e30100
+00e9000007e9010000e9000008e9000002e900004801011206010111011206010111650101842801000001a800a701a800a701a800a701a800a7010000a7000000ad00ac01ad00ac
+01ad00ac01ad00ac010000ac01ad000001ad00ac01ad00ac01ad00ac00ad000000ac01ad00ac010000ac01ad00ac01ad00ac00ad000000ac01ad00ac01ad010001ac00ad01ac00ad
+010000ad01ac00ad01ac00ad010000ad01ac00ad000000ac00ad01ac00ad01ac00ad01ac000001ac00ad00ac000001d500d400d500c1000001d500d400d500c100c0000000d500d4
+01d500c000c1000000d401d500d401c100c0000000d500d401d500c001c1000001d500d401c100c0000000e400e301e400e3000000e900e801e900e801e900e801e900e8000000e9
+00e801e900e801e900e801e900e8000000e900004901011206010111011206010111640100842b01000009a8000003a8000008ad000005ad010005ad010006ad000005ad000008ad
+000003ad00000aad010000ad00000bad010000ad000004d500c1000003d501c1000003d501c1000003d502c1000003d501c1000003d502c1000003e4000000e9000008e9000000e9
+00000ae900004a01011206010111011206010111630100842d01010000a701a800a701a8010000a800a701a800a700a8010001ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac
+00ad000000ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad010000ad00ac00ad000000ac01ad00ac01ad00ac01ad00ac00ad010000ad000000ac01ad00ac01ad00ac01ad00ac
+01ad00ac00ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac01ad010000e401e300e401e3000003d501c1000003d501c1000003d502c1000003d501c1000003d502c1000002e4
+000000e900e800e9000006e9000002e9000008e900004b01011206010111011206010111610101843001000000a800a701a8000001a800a701a800a701a800a700a8000000ac01ad
+010000ad00ac01ad00ac01ad00ac01ad00ac000000ad010000ad00ac01ad00ac01ad00ac01ad00ac00ad010000ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac
+01ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac010000ac00ad01ac00ad01ac00ad01ac00ad00ac00000101000000e401e300e400e3000001d500d401d500c0000000d500d4
+01d500c000c1000000d401d500d400d500c100c0000000d500d401d500c000c1000000d401d500d401c100c0000000e400e3000000e900e801e900e8010000e801e900e8010000e8
+01e900e8010000e801e900e801e900004c01011206010111011206010111600100843301000000a801000ba8000000ad00000dad00000fad00000dad000000ad01000aad000002ad
+010008ad01000301000003e4000004d5000004d501c1000004d500c1000004d501c1000003d502c1000000e4000007e9000002e9000006e9000002e901004d010112060101110112
+060101115201036b0001026b030101843501000000a701a800a701a800a701a800a701a800a701a8000001ad00ac01ad00ac01ad00ac01ad00ac00ad010000ad010001ad00ac01ad
+00ac01ad00ac01ad00ac010000ac010000ac01ad00ac01ad00ac01ad00ac00ad000000ac01ad010000ad00ac01ad00ac01ad00ac010000ac01ad00ac01ad000001ad00ac01ad00ac
+00ad00000601010001e3000004d5000005d500c1000004d500c1000004d501c1000003d502c1010000e900e801e900e801e900e801e9000000e9000008e9000000e90000006b0101
+026b49010112060101110112060101115301016b0101016b030100843801010000a701a800a701a800a701a800a700a8010000a8010001ad00ac01ad00ac01ad00ac00ad000000ac
+01ad00ac010000ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad010000ad00ac01ad00ac01ad00ac010000ac01ad00ac01ad000001ad00ac01ad00ac000000ad00ac01ad00ac
+01ad00ac00ad010000ad01ac00ad00000901000000e3000001d500d401d5000001d500d401d500d400c1000000d401d500d400d500c1000001d500d401d500c000c1000000d401d5
+00d401c100c0000000e900e801e900e801e900e801e900e800e9000000e801e900e801e900e801e900e800e90000006b0301006b4a010112060101110112060101115301016b0101
+006b020101843b01000008a8000004a8010006ad000006ad000006ad010006ad000005ad000008ad010002ad00000aad010000ad01000b01010004d5000005d500c1000004d500c1
+000004d501c1000003d502c1020008e9000000e9010007e90000016b0201006b4b010112060101110112060101115401006b0001016b010100843e01000001a800a701a800a700a8
+000000a701a800a701a800a7010000ac01ad00ac010000ac01ad00ac01ad00ac01ad010000ad00ac01ad000001ad00ac01ad00ac01ad00ac00ad010001ad00ac000000ad00ac01ad
+00ac01ad00ac01ad00ac010000ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad00ac00000e01000001e300e401e3000005d500c1000004d500c1000004d501c1000003d502c1
+000001e9000001e900e801e900e8010000e801e900e8000005e900000101006b0201006b4b010112060101110112060101115401026b010100844001010001a800a7010000a701a8
+00a701a800a701a800a7010000ac000000ad00ac01ad00ac01ad00ac01ad00ac00ad010000ad010001ad00ac01ad00ac01ad00ac01ad00ac010000ac000000ad00ac01ad00ac01ad
+00ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad00ac01ad00ac00001001000001e300e400e3000001d500d401d500d400c1000000d401d500d400d500c1000001d5
+00d401d500c000c1000000d401d500d401c100c0000000e900e800e9000000e801e900e8000000e900e801e900e801e9000001e900e800e900000201016b0001006b4c0101120601
+01110112060101115401026b01844301000000a800000da800000ead00000fad00000dad000000ad01000aad00001201010001e4000005d500c1000004d500c1000004d501c10000
+03d501c1000004e9010000e9000008e9010000e900000301036b4c010112060101110112060101115401016b00844601000000a800a701a800a701a800a701a800a701a800a70000
+00a8000001ad00ac01ad00ac01ad00ac01ad00ac00ad000000ac010000ac01ad00ac01ad00ac01ad00ac01ad010000ad010000ad00ac01ad00ac01ad00ac01ad00ac000000ad00ac
+00ad010001ad00ac01ad00ac01ad00ac00001401010000e3000005d5000005d500c1000004d501c1000003d501c1000000e801e900e801e900e8000000e900e801e900e801e900e8
+01e900e800e900000501016b4d010112060101110112060101115301036b4701010000a800a701a800a701a800a701a800a7000000a800a700a8000000ac01ad00ac01ad00ac01ad
+00ac00ad000000ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad000001ad00ac00ad010001ad00ac01ad00ac01ad010000ad00ac01ad00ac00ad000000ac01ad00ac01ad0100
+1701010001d500d401d500d4000000d500d401d500d400d500c1000001d500d401d500c000c1000000d401d500d401c1000001e900e801e900e8000000e9000001e900e801e900e8
+01e900e800e900000601016b4d010112060101110112060101115301006b0001016b4901000007a8010004a8010006ad010005ad010006ad000006ad000005ad000008ad010002ad
+00001a01000005e4000005d500c1000004d500c1000004d501c1000004e9000002e9000007e900000601016b4e010112060101110112060101115201016b0101006b4a01000000a7
+01a800a701a8000001a800a701a800a701a8010000ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac01ad000001ad00ac00ad010001ad00ac01ad00ac01ad00ac010000ac01ad
+000001ad00ac01ad00ac01ad00ac01ad010000ad00001c01010000e400e301e4000005d500c1000004d500c1000004d501c1000000e801e900e8000000e900e801e900e8010000e8
+01e900e800e900000701016b4e010112060101110112060101115201006b0201016b4a01010000a701a8000001a800a701a800a701a800a701a8000001ad00ac000000ad00ac01ad
+00ac01ad00ac01ad00ac00ad010000ad000000ac01ad00ac01ad00ac01ad00ac01ad010000ad000001ad00ac01ad00ac01ad00ac01ad00ac01ad00001f01000000e401e3000000d5
+00d401d500d400d500c1000001d500d401d500c0000000d500d401d500d401c1000001e900e8000000e900e801e900e801e900e8000000e900e800e900000801016b4e0101120601
+01110112060101115101026b0001036b4b01000000a800000ca8000000ad00000ead00000ead00000dad00002101000001e4000005d500c1000004d500c1000004d501c1010000e9
+000009e9000000e900000801036b4d01011206010111011206010111a601000001a800a701a800a701a800a701a800a701a800a7000000ad00ac01ad00ac01ad00ac01ad00ac01ad
+00ac00ad000000ac010000ac01ad00ac01ad00ac01ad00ac00ad010000ad010001ad00ac01ad00ac01ad00ac01ad00002301020005d5000005d500c1000004d501c1000000e80000
+00e900e801e900e801e900e801e900e800e900005b01011206010111011206010111a701010001a800a701a800a701a800a701a8010000ad010000ad00ac01ad00ac01ad00ac01ad
+00ac010000ac01ad010000ad00ac01ad00ac01ad00ac00ad000000ac01ad00ac010000ac01ad00ac01ad00ac01ad00002601000001e300e401e300e4000000d401d500d401d500c0
+000000d500d401d500d401c1010000e9010000e900e801e900e801e900e800e900005c01011206010111011206010111a901000008a8000003ad010008ad000006ad000006ad0000
+06ad000005ad01002801010003e4000005d500c1000004d501c1000003e9000006e900005d01011206010111011206010111aa01000000a800a701a800a701a8000001ad00ac01ad
+00ac00ad000000ac01ad00ac01ad00ac000000ad00ac01ad00ac01ad00ac00ad010001ad00ac010000ac01ad00ac01ad00ac01ad010000ad00ac00ad00002c01000001e400e30000
+05d500c1000004d500c1010000e801e900e800e9000000e801e900e801005e01011206010111011206010111ab01010000a800a700a8010001ad00ac01ad00ac01ad00ac010000ac
+01ad010000ad00ac01ad00ac01ad00ac01ad00ac010000ac000000ad00ac01ad00ac01ad00ac01ad00ac00ad010000ad00002e01000000e300e4000000d401d500d401d500c00000
+00d500d401d500d400c1000000e801e900e801e900e8010000e800006001011206010111011206010111ad01000000a800000bad010000ad00000ead00000ead00003001020005d5
+00c1000004d500c1000008e900006101011206010111011206010111ae01000000a701a800a701a800a701a800a701a800a701a8000001ad00ac01ad00ac01ad00ac01ad00ac01ad
+00ac000000ad000001ad00ac01ad00ac01ad00ac01ad00ac00ad00003301000000e900e801e900e800e900c1000004d500c1000000e900e801e900e801e900e80000620101120601
+0111011206010111af01010000a701a800a701a800a701a800a700a8010000ad010001ad00ac01ad00ac01ad00ac01ad00ac000000ad00ac00ad000000ac01ad00ac01ad00ac01ad
+00ac00ad00003501000000e901e800e900e8000001d500d401d500d400c1000000e801e900e801e900e800006301011206010111011206010111b101000008a8000004ad000008ad
+010004ad010007ad00003701000003e9000005d500c1010004e900006401011206010111011206010111b201000001a800a701a800a700a8000000ac01ad00ac01ad00ac010000ac
+01ad00ac01ad000001ad00ac01ad00ac01ad010000ad00ac01ad00ac01003901010000e800e9000005d500c1000000e9000001e900e800e900006401011206010111011206010111
+b301010001a800a7010000ac01ad00ac01ad00ac01ad00ac000000ad00ac01ad000001ad00ac01ad00ac01ad00ac01ad000001ad00ac00003d01000000e8000001d500d401d500d4
+00c1000000e800e9010000e900006501011206010111011206010111b501000000a800000cad010000ad00000cad000000ad00003f01010005d500c1000003e90000660101120601
+0111011206010111b601000000a800a701a800a701a800a701a800a701a800a701a8000001ad00ac01ad00ac01ad00ac01ad00ac01ad00ac00004101000000e801e900e801e900c1
+000000e900e800e900006701011206010111011206010111b701000001a800a701a800a701a800a701a800a701a8000000ad000000ac01ad00ac01ad00ac01ad00ac01ad00ac0000
+4301010000e800e901e8000001e800e900006801011206010111011206010111b80100000aa8010002ad00000aad00004601000002e9000001e90000690101120601011101120601
+0111b901010000a701a800a701a800a700a8000000ac01ad00ac01ad010000ad00ac01ad00ac01ad00ac00004801000001e9000000e900006a01011206010111011206010111bb01
+000000a800a701a800a700a8000000ac01ad00ac01ad00ac00ad010001ad00ac01ad01004a0103006b01011206010111011206010111bc01000002a801000aad000002ad00004e01
+00006c01011206010111011206010111bd01000000a7000000ad00ac01ad00ac01ad00ac01ad00ac01ad00ac000000ad0000bd01011206010111011206010111be01000000a800a7
+01a800a701a800a701a800a701a800a701a80000be01011206010111011206010111bf0100000da80000bf01011206010111011206010111c001010001a800a701a800a701a800a7
+01a80000c001011206010111011206010111c201000000a701a800a701a800a701a80000c101011206010111011206010111c301000005a80100c201011206010111011206010111
+c401010000a800a700a80000c401011206010111011206010111c601000000a80000c501011206010111011206010111c7010000c601011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011100120911
+ff018f010112081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff12911206010111011206010011ff1292120601011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01
+001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e01
+00110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121f110012ff116011001220110012ff11a411
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/wd-bessi.ps b/books/ps/wd-bessi.ps
new file mode 100644
index 0000000..d788df2
--- /dev/null
+++ b/books/ps/wd-bessi.ps
@@ -0,0 +1,602 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 192.347462 284.120003 419.652538 538.120003
+%%Creator: xwd2ps
+%%CreationDate: Sat Dec  7 19:16:24 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -h3.5
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  422, height = 472, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 472
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 472 8
+  [422 0 0 -472 0 472]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.685381 inch 3.960000 inch translate
+matrix currentmatrix
+3.129237 inch 3.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+236b8e
+b3b3b3
+d8d8bf
+dbdb70
+3299cc
+ffff00
+238e23
+0000ff
+cc7f32
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00ff00
+00ffff
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+d6d6d6
+767676
+474747
+b6b6b6
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12a51220120011ff12601200112012001101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e010011
+0012ff015f01001100121e0101110112060118110012ff1160110012171106010111011206010011ff129212060101110112060100110012150100110012ff014701001100121501
+00110012150100110012060101110112060100110012150100110012ff01470100110012150100110012150100110012060101110112060100110012150100110012ff0147010011
+0012150100110012150100110012060101110112060100110012150100110012ff0147010011001215010011001202010f1202010011001206010111011206010011001215010011
+0012ff01470100110012150100110012020100120d010011020100110012060101110112060100110012150100110012820102000f01000020010400020105008101001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012830101000e0102001e010100010102000201010001010100800100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012830101000f0100001f0101000201010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012820103002f0100000301010002010100020101007f0100110012150100110012020100120d01001102010011
+001206010111011206010011001202010f120201001100128201000000010100020102000101020001010300050103000201000000010100000101000f0101000201010002010100
+7f010011001208010312080100110012020100120d010011020100110012060101110112060100110012020100120d01001102010011001282010000000101000301010001010100
+0401010004010100010101000101010000010100000101000e01010002010100020101007f01001100120801001201010011080100110012020100120d0100110201001100120601
+01110112060100110012020100120d010011020100110012820100000101010003010100000100000501010003010100030101000001010000010100000101000d01010003010100
+020101007f01001100120801001201010011080100110012020100120d010011020100110012060101110112060100110012020100120e1102010011001281010500040101000601
+010003010100030101000001010000010100000101000c01010004010100020101007f0100110012080100120211080100110012020100120d010011020100110012060101110112
+0601001100121501001100128101000002010100040101000601010003010100030101000001010000010100000101000b01010005010100020101007f0100110012150100110012
+020100120d01001102010011001206010111011206010011001215010011001281010000030101000201000000010100050101000301010003010100000101000001010000010100
+0a01010006010100020101007f0100110012150100110012020100120d01001102010011001206010111011206010011001215010011001280010100030101000101010001010100
+04010100040101000101010001010100000101000001010009010100030100000201010001010100800100110012150100110012020100120d010011020100110012060101110112
+060100110012150100110012800102000101020000010200010102000101050003010300020101000001010000010100090106000101050081010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012b60105008a0100110012150100110012020100120d0100110201001100120601011101120601001100121501
+00110012ff01470100110012150100110012020100120e11020100110012060101110112060100110012150100110012ff0147010011001215010011001215010011001206010111
+0112060100110012150100110012ff0147010011001215010011001215010011001206010111011206010011001216110012ff11481100121611001216110012060101110012ff11
+9a110012081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111
+8001057a2701037a0401057a0501017a0c01037a0c01027a1801057a0301017a83010112060101110112060101118101017a0101017a2801017a0601017a0601017a0f01017a0d01
+017a1801047a0501017a82010112060101110112060101118101017a0101017a2801017a0601017a0601017a0f01017a0d01017a1801007a0901017a820101120601011101120601
+01118101017a0101017a2801017a0601017a0501017a1001017a0d01017a1801007a0a01017a81010112060101110112060101118101017a0101017a0301037a0301037a0001007a
+0201037a0001007a0301037a0501017a0601017a0501017a0501047a0501017a0301017a0001027a0301047a0301047a0c01007a0001027a0601017a810101120601011101120601
+01118101047a0301017a0101017a0101017a0201017a0101017a0201017a0201017a0101017a0401017a0601017a0501017a0401017a0201017a0401017a0401027a0001017a0201
+027a0001017a0101017a0201017a0b01017a0101017a0501017a81010112060101110112060101118101017a0101017a0101017a0201017a0101017a0301007a0101017a0301007a
+0101017a0201017a0401017a0601017a0501017a0401017a0201017a0401017a0401017a0201017a0101017a0101017a0101017a0201017a0b01007a0301017a0401017a81010112
+060101110112060101118101017a0201017a0001067a0201027a0501027a0401067a0401017a0601017a0501017a0701037a0401017a0401017a0201017a0101017a0101017a0401
+037a1001017a0401017a81010112060101110112060101118101017a0201017a0001017a0901027a0501027a0201017a0901017a0601017a0501017a0501017a0101017a0401017a
+0401017a0201017a0101017a0101017a0201017a0101017a1001017a0401017a81010112060101110112060101118101017a0201017a0001017a0601007a0301017a0101007a0301
+017a0101017a0901017a0601017a0501017a0401017a0201017a0401017a0401017a0201017a0101017a0101017a0101017a0201017a1001017a0401017a81010112060101110112
+060101118101017a0101027a0101017a0201007a0101017a0201017a0101017a0201017a0201017a0201007a0401017a0601017a0601017a0301017a0101027a0401017a0401017a
+0101017a0201017a0101017a0101017a0101027a0401007a0401007a0301017a0401017a82010112060101110112060101118001067a0301037a0201007a0001037a0201007a0001
+037a0401037a0301057a0201057a0401017a0401027a0101017a0101057a0201047a0201027a0001037a0101027a0101017a0201027a0301017a0101017a0501017a820101120601
+0111011206010111c301017a1501017a1a01017a0401037a0501017a8301011206010111011206010111db01017a1a01017a9401011206010111011206010111da01037a1801017a
+9501011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff008f00011206010111011206010111ff008f00011206010111011206010111ff008f00011206010111011206010111c701
+0085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c701
+0085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c701
+0085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c701
+0085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c701
+0085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c501
+006600010166c501011206010111011206010111c301016600a6016600a60166c301011206010111011206010111c101016600a6056600a60166c101011206010111011206010111
+bf01016600a60266010100850001026600a60166bf01011206010111011206010111be01006600a60266030100850201026600a60066be01011206010111011206010111be010266
+050100850401016600a6be01011206010111011206010111bd0100a608010085070100a6bd01011206010111011206010111bb01006600a609010085080100a60066bb0101120601
+0111011206010111ba01006600a60066090100850801006600a60066ba01011206010111011206010111ba010266090100850801016600a6ba01011206010111011206010111ba01
+00a60b0100850b0100a6b901011206010111011206010111b90100a60c0100850b0100a6b901011206010111011206010111b801006600a60c0100850c0100a60066b70101120601
+0111011206010111b701006600a600660c0100850c01006600a60066b601011206010111011206010111b70102660c0100850c01016600a6b601011206010111011206010111b701
+00a60e0100850e0100a6b601011206010111011206010111b60100a60f0100850f0100a6b501011206010111011206010111b50100a6100100850f0100a6b5010112060101110112
+06010111b50100a610010085100100a6b401011206010111011206010111b40100a611010085110100a6b301011206010111011206010111b30100a612010085110100a6b3010112
+06010111011206010111b30100a612010085120100a6b201011206010111011206010111b20100a613010085120100a6b201011206010111011206010111b10100a6140100851301
+00a6b101011206010111011206010111b001006600a614010085130100a60066b001011206010111011206010111af01006600a60066140100851301006600a60066af0101120601
+0111011206010111af010266140100851301016600a6af010112060101110112060101119c01028c0301008c0a0100a60401008c10010085150100a6af0101120601011101120601
+01119b01008c0201008c0101008c0001008c0801008c00a6008c0201008c0001008c0f010085160100a6ae010112060101110112060101119f01008c0001008c0201008c0601008c
+00a60101008c0001008c0201008c0c01048c140100a6ae010112060101110112060101119d01018c0101008c0201008c0601008c00a60101008c0001008c0201008c0e0100851701
+00a6ad010112060101110112060101119c01008c0301008c0201008c060100a60201008c0001008c0201008c0e010085170100a6ad010112060101110112060101119b01008c0501
+008c0001008c0301008c020100a6008c0001008c0201008c0001008c0f010085180100a6ac010112060101110112060101119b01048c0201008c0301028c000100a60101008c0401
+008c10010085180100a6ac01011206010111011206010111a901008c010100a619010085190100a6ab01011206010111011206010111ab0100a61a010085190100a6ab0101120601
+0111011206010111ab0100a61a0100851a0100a6aa01011206010111011206010111aa0100a61b0100851a0100a6aa01011206010111011206010111aa0100a61b0100851b0100a6
+a901011206010111011206010111a90100a61c0100851b0100a60066a801011206010111011206010111a801006600a600661b0100851b01006600a60066a7010112060101110112
+06010111a80102661b0100851b01006600a60066a701011206010111011206010111a80100a61d0100851d0100a6a701011206010111011206010111a70100a61e0100851d0100a6
+a701011206010111011206010111a70100a61e0100851e0100a6a601011206010111011206010111a60100a61f0100851e0100a6a601011206010111011206010111a60100a61f01
+00851f0100a6a501011206010111011206010111a50100a6200100851f0100a6a501011206010111011206010111a50100a620010085200100a6a401011206010111011206010111
+a40100a621010085200100a6a401011206010111011206010111a40100a621010085210100a6a301011206010111011206010111a30100a622010085210100a6a301011206010111
+011206010111270100667a0100a622010085220100a6a2010112060101110112060101112601006600a60066780100a623010085220100a6a2010112060101110112060101112501
+03667701006600a62301008523010066a1010112060101110112060101112501026600a600667501006600a60066230100852201006600a60066a001011206010111011206010111
+2501006600a6006600a6006675010266230100852201016600a6a00101120601011101120601011125010266000100a6750100a625010085240100a6a00101120601011101120601
+01112401006600a6006601010066740100a626010085250100a69f01011206010111011206010111240102660001006600a60066730100a626010085250100a69f01011206010111
+011206010111250100a60101006600a60066720100a627010085260100a69e01011206010111011206010111250100a6020100a6730100a627010085270100a69d01011206010111
+011206010111240100a6030100a6720100a628010085270100a69d01011206010111011206010111240100a6040100a6710100a628010085280100a69c0101120601011101120601
+0111240100a6040100a6700100a629010085290100a69b010112060101110112060101112301006600a60066030100a6700100a629010085290100a69b0101120601011101120601
+011123010266030100a66f0100a62a0100852a0100a69a01011206010111011206010111240100a6040100a66e01006600a62a0100852a0100a60066990101120601011101120601
+0111240100a6040100a66d01006600a600662a0100852a01006600a600669801011206010111011206010111240100a6050100a66c0102662a0100852a01016600a6980101120601
+0111011206010111240100a6050100a66c0100a62c0100852c0100a69801011206010111011206010111230100a6060100a66b0100a62d0100852d0100a697010112060101110112
+06010111230100a6060100a66a0100a62e0100852d0100a69701011206010111011206010111230100a6060100a66a0100a62e0100852e0100a69601011206010111011206010111
+230100a6060100a6690100a62f0100852f0100a69501011206010111011206010111230100a6070100a6670100a6300100852f0100a6950101120601011101120601011122010066
+00a60066060100a6670100a630010085300100a6940101120601011101120601011122010266060100a6660100a631010085300100a69401011206010111011206010111230100a6
+070100a6650100a632010085310100a69301011206010111011206010111230100a6070100a66401006600a632010085310100a600669201011206010111011206010111230100a6
+070100a66301006600a60066320100853101006600a600669101011206010111011206010111230100a6080100a662010266320100853101016600a6910101120601011101120601
+0111230100a6080100a6610100a635010085340100a69001011206010111011206010111230100a608010066610100a635010085350100a68f010112060101110112060101112301
+00a60701006600a600665f0100a636010085360100a68e01011206010111011206010111230100a60701006600a600665e0100a637010085360100a68e0101120601011101120601
+0111230100a6080100a65e0100a638010085370100a68d01011206010111011206010111230100a6080100a65e0100a638010085380100a68c010112060101110112060101112301
+00a6090100a65b01006600a639010085390100a600668a01011206010111011206010111230100a6090100a65a01006600a60066390100853901006600a600668901011206010111
+011206010111230100a6090100a65a010266390100853901016600a68901011206010111011206010111230100a6090100a6590100a63c0100853c0100a688010112060101110112
+06010111230100a6090100a6570101a63d0100853d0100a68701011206010111011206010111220100a60a0100a6560100a63f0100853e0100a68601011206010111011206010111
+220100a60b0100a6540100a6400100853f0100a68501011206010111011206010111220100a60b0100a65201006600a641010085400100a600668301011206010111011206010111
+220100a60b0100a65101006600a60066410100854001006600a600668201011206010111011206010111220100a60b0100a6500100a60266410100854001016601a6810101120601
+0111011206010111220100a60b0100a64f0100a645010085440100a68001011206010111011206010111220100a60b0100a64e0100a646010085450101a67e010112060101110112
+06010111220100a60c0100a64a01006601a647010085470101a600667b01011206010111011206010111220100a60c0100a64901006600a60066480100854801006601a67a010112
+06010111011206010111220100a60c0100a6460102a60266480100854801026601a67801011206010111011206010111220100a60c0100a642010066000101a64e0100854d0101a6
+000100667401011206010111011206010111220100a60c0100a64101006601a6500100854f01006601a67301011206010111011206010111220100a60c0100a61001016600010066
+0001006624010066000103a60266500100854f01026603a6010100666c01011206010111011206010111220100a60d0100a60e01016600a6006600a6006600a60166000100661801
+0066020102a6006601a657010085560100a6006601a66b01011206010111011206010111220100a60b01008c000100a60d01086600a6006600a6006610010066020101a6006603a6
+020102660b01008c4a01008c4901008c0c01026603a600010066060100662b01008c3001011206010111011206010111130100660d0100a60b01008c000100660c01036604010366
+01a60001006609010066000100a6006603a6010102661301008c4a01008c4901008c1301006606a6006603a602010066060100660501006606010066050100660601006605010066
+06010066050100660501006613010112060101110112060101111285006600a600660b85006600a600660a85008c006600a600660b8502660b85006600a600660085006600850066
+00850066008500a6006601a6008502661a85008c4a85008c4985008c1385026604850266018501a6006606a6006605a6006606a6006605a6006606a6006605a6006606a6006605a6
+006605a6026612850112060101110112060101111201006600a600660b0102660a01008c006600a600660b0102660b01016600a6006600a6006600a6006601a6000102661e01008c
+4a01008c4901008c220102660401026603010266040102660301026604010266030102660401026603010266030102661201011206010111011206010111130100a60d0100a60b01
+008c000100a60b01006600a60e0108662201008c4a01008c4901008c4901008c3001011206010111011206010111130100a60d0100a60d0100a60a01006600a6006686010085c601
+011206010111011206010111130100a60d0100a60e0100a60901026686010085c601011206010111011206010111130100a60d0100a60e0100a6090100a688010085c60101120601
+0111011206010111130100a60d0100a60e0100a60801006600a688010085c601011206010111011206010111130100a60d0100a60e0100660701006600a60066ff01500101120601
+0111011206010111130100a60d0100a60201008c0401008c0301006600a600660301008c01010266008c3301048c0801008c0401008c3501008c0a01008c0401008c3501048c0801
+008c0401008c3401008c0401008c0a01008c0401008c2401011206010111011206010111130100a60d0100a60101018c0301008c0001008c0201006600a600660201008c0001008c
+006600a60001008c0001008c3201008c0b01008c0001008c0201008c0001008c3301008c0001008c0801008c0001008c0201008c0001008c3401008c0b01008c0001008c0201008c
+0001008c3201018c0301008c0001008c0801008c0001008c0201008c0001008c2301011206010111011206010111130100a60d0100a60001008c0001008c0201008c0201008c0301
+00660101008c0101006600a60066008c0201008c3101008c0001018c0701008c0201008c0001008c0201008c3101008c0201008c0601008c0201008c0001008c0201008c3301008c
+0001018c0701008c0201008c0001008c0201008c3001008c0001008c0201008c0201008c0601008c0201008c0001008c0201008c2201011206010111011206010111130100a60901
+038c00a60201008c0201008c0201008c0201006600a600660001008c01010266008c0201008c2b01048c0001018c0101008c0601008c0201008c0001008c0201008c3101008c0201
+008c0601008c0201008c0001008c0201008c3301018c0101008c0601008c0201008c0001008c0201008c3201008c0201008c0201008c0601008c0201008c0001008c0201008c2201
+011206010111011206010111130100a60c0100a60301008c0201008c0201008c020102660001008c0001006600a6008c0001008c0201008c3501008c0601008c0201008c0001008c
+0201008c3101008c0201008c0601008c0201008c0001008c0201008c3701008c0601008c0201008c0001008c0201008c3201008c0201008c0201008c0601008c0201008c0001008c
+0201008c2201011206010111011206010111130100a60c0100a60301008c0301008c0001008c0301008c006600a6026600a600660201008c0001008c3201008c0201008c0201008c
+0301008c0001008c0201008c0001008c3301008c0001008c0301008c0301008c0001008c0201008c0001008c3401008c0201008c0201008c0301008c0001008c0201008c0001008c
+3301008c0301008c0001008c0301008c0301008c0001008c0201008c0001008c2301011206010111011206010111130100a60c0100a60101048c0201008c0301018c06660301008c
+3401028c0201028c0301008c0401008c3501008c0301028c0301008c0401008c3601028c0201028c0301008c0401008c3201048c0201008c0301028c0301008c0401008c24010112
+06010111011206010111130100a60c0100a60f01008c000104664101008c4701008c4901008c4c01008c3001011206010111011206010111130100a60c0100a6ff016c0101120601
+0111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085
+c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c01
+00a6a4010085c601011206010111011206010111130100a60b01006600a60066a3010085c601011206010111011206010111130100a60b010266a3010085c6010112060101110112
+06010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c6010112
+06010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a401
+0085c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a6
+0c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c601011206010111011206010111130100a60c0100a6a4010085c60101120601011101120601
+0111130100a60c0100a6a4010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c60101120601
+0111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085
+c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b01
+00a6a5010085c601011206010111011206010111130100660b0100a6a5010085c6010112060101110112060101111201006600a600660a0100a6a5010085c6010112060101110112
+060101111201006600a600660a0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60a01006600a60066
+a4010085c601011206010111011206010111130100a60a010266a4010085c601011206010111011206010111130100a60b0100a6a5010085c6010112060101110112060101111301
+00a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c6010112060101110112
+06010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c6010112
+06010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a501
+0085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a60b0100a6a5010085c601011206010111011206010111130100a6
+0b0100a6a5010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c60101120601011101120601
+0111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c60101120601
+0111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085
+c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a01
+00a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111
+130100a60a0100a6a6010085c601011206010111011206010111130100a60901006600a600667701028c0301008c0a01008c0401008c13010085c601011206010111011206010111
+130100a6090102667601008c0201008c0101008c0001008c0801008c0001008c0201008c0001008c12010085c601011206010111011206010111130100a60a0100a67b01008c0001
+008c0201008c0601008c0201008c0001008c0201008c0f01048cc401011206010111011206010111130100a60a0100a67101048c0201018c0101008c0201008c0601008c0201008c
+0001008c0201008c11010085c601011206010111011206010111130100a60a0100a67801008c0301008c0201008c0601008c0201008c0001008c0201008c11010085c60101120601
+0111011206010111130100a60a0100a67701008c0501008c0001008c0301008c0301008c0001008c0201008c0001008c12010085c601011206010111011206010111130100a60a01
+00a67701048c0201008c0301028c0301008c0401008c13010085c601011206010111011206010111130100a60a0100a68501008c1f010085c6010112060101110112060101111301
+00660a0100a6a6010085c6010112060101110112060101111201006600a60066090100a6a6010085c6010112060101110112060101111201006600a60066090100a6a6010085c601
+011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6
+a6010085c601011206010111011206010111130100a60a0100a6a6010085c601011206010111011206010111130100a60a0100a6a6010085c6010112060101110112060101111301
+00a6090100a6a7010085c601011206010111011206010111130100a6090100a6a7010085c601011206010111011206010111130100a6090100a6a7010085c6010112060101110112
+06010111130100a6090100a6a7010085c601011206010111011206010111130100a6090100a6a7010085c601011206010111011206010111130100a6090100a6a7010085c6010112
+06010111011206010111130100a6090100a6a7010085c601011206010111011206010111130100a6090100a6a7010085c601011206010111011206010111130100a6090100a6a701
+0085c601011206010111011206010111130100a6090100a6a7010085c601011206010111011206010111130100a6090100a6a7010085c601011206010111011206010111140100a6
+080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c60101120601011101120601
+0111140100a6080100a6a7010085c601011206010111011206010111140100a60701006600a60066a6010085c601011206010111011206010111140100a607010266a6010085c601
+011206010111011206010111140100a6080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c601011206010111011206010111140100a6080100a6
+a7010085c601011206010111011206010111140100a6080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c6010112060101110112060101111401
+00a6080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c6010112060101110112
+06010111140100a6080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c601011206010111011206010111140100a6080100a6a7010085c6010112
+0601011101120601011114010066080100a6a7010085c6010112060101110112060101111301006600a60066070100a6a7010085c6010112060101110112060101111301006600a6
+0066070100a6a7010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c6010112060101110112
+06010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c6010112
+06010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a801
+0085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6
+070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c60101120601011101120601
+0111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a60601006600a60066a7010085c601
+011206010111011206010111140100a606010266a7010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6
+a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c6010112060101110112060101111401
+00a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c6010112060101110112
+06010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c601011206010111011206010111140100a6070100a6a8010085c6010112
+06010111011206010111140100a6070100a6a8010085c60101120601011101120601011114010066070100a6a8010085c6010112060101110112060101111301006600a600660601
+00a6a8010085c6010112060101110112060101111301006600a60066060100a6a8010085c601011206010111011206010111140100a6060100a6a9010085c6010112060101110112
+06010111140100a6060100a67d01008c0301008c0a01008c0401008c13010085c601011206010111011206010111140100a6060100a67c01018c0201008c0001008c0801008c0001
+008c0201008c0001008c12010085c601011206010111011206010111140100a6060100a67b01008c0001008c0101008c0201008c0601008c0201008c0001008c0201008c0f01048c
+c401011206010111011206010111140100a6060100a67401048c0001008c0101008c0101008c0201008c0601008c0201008c0001008c0201008c11010085c6010112060101110112
+06010111140100a6060100a67a01048c0001008c0201008c0601008c0201008c0001008c0201008c11010085c601011206010111011206010111140100a6060100a67d01008c0201
+008c0001008c0301008c0301008c0001008c0201008c0001008c12010085c601011206010111011206010111140100a6060100a67d01008c0301008c0301028c0301008c0401008c
+13010085c601011206010111011206010111140100a6060100a68801008c1f010085c601011206010111011206010111140100a6060100a6a9010085c60101120601011101120601
+0111140100a6060100a6a9010085c601011206010111011206010111140100a6060100a6a9010085c601011206010111011206010111140100a6060100a6a9010085c60101120601
+0111011206010111140100a6060100a6a9010085c601011206010111011206010111140100a6060100a6a9010085c601011206010111011206010111140100a60501006600a60066
+a8010085c601011206010111011206010111140100a605010266a8010085c601011206010111011206010111140100a6060100a6a9010085c6010112060101110112060101111401
+00a6060100a6a9010085c601011206010111011206010111140100a6060100a6a9010085c601011206010111011206010111140100a6060100a6a9010085c6010112060101110112
+06010111140100a6060100a6a9010085c601011206010111011206010111150100a6050100a6a9010085c601011206010111011206010111150100a6050100a6a9010085c6010112
+06010111011206010111150100a6050100a6a9010085c601011206010111011206010111150100a6050100a6a9010085c601011206010111011206010111150100a6050100a6a901
+0085c601011206010111011206010111150100a6050100a6a9010085c601011206010111011206010111150100a6050100a6a9010085c601011206010111011206010111150100a6
+050100a6a9010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c60101120601011101120601
+0111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c60101120601
+0111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085
+c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a60401
+00a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111
+150100a6040100a6aa010085c601011206010111011206010111150100a60301006600a60066a9010085c6010112060101110112060101111501006603010266a9010085c6010112
+060101110112060101111401006600a60066030100a6aa010085c6010112060101110112060101111401006600a60066030100a6aa010085c6010112060101110112060101111501
+00a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c6010112060101110112
+06010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c6010112
+06010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa010085c601011206010111011206010111150100a6040100a6aa01
+0085c601011206010111011206010111150100a6030100a6ab010085c601011206010111011206010111150100a6030100a6ab010085c601011206010111011206010111150100a6
+030100a6ab010085c601011206010111011206010111150100a6030100a6ab010085c601011206010111011206010111150100a6030100a6ab010085c60101120601011101120601
+0111160100a6020100a6ab010085c601011206010111011206010111160100a6020100a6ab010085c601011206010111011206010111160100a6020100a6ab010085c60101120601
+0111011206010111160100a6020100a6ab010085c601011206010111011206010111160100a6020100a6ab010085c601011206010111011206010111160100a6020100a6ab010085
+c601011206010111011206010111160100a6020100a6ab010085c601011206010111011206010111160100a60101006600a60066aa010085c6010112060101110112060101111601
+00a601010266aa010085c601011206010111011206010111160100a6020100a6ab010085c601011206010111011206010111160100a6020100a6ab010085c6010112060101110112
+06010111160100a6020100a6ab010085c601011206010111011206010111160100a6020100a6ab010085c601011206010111011206010111160100a6020100a6ab010085c6010112
+06010111011206010111160100a6020100a6ab010085c60101120601011101120601011116010066020100a6ab010085c6010112060101110112060101111501006600a600660001
+00a6ac010085c6010112060101110112060101111501006600a60066000100a6ac010085c601011206010111011206010111160100a6010100a67f01018c0301008c0a01008c0401
+008c13010085c601011206010111011206010111160100a6010100a67e01008c0401008c0001008c0801008c0001008c0201008c0001008c12010085c60101120601011101120601
+0111160100a6010100a67d01008c0401008c0201008c0601008c0201008c0001008c0201008c0f01048cc401011206010111011206010111170100a6000100a67701048c0001008c
+0001018c0101008c0201008c0601008c0201008c0001008c0201008c11010085c601011206010111011206010111170100a6000100a67d01018c0101008c0001008c0201008c0601
+008c0201008c0001008c0201008c11010085c601011206010111011206010111170100a6000100a67d01008c0201008c0101008c0001008c0301008c0301008c0001008c0201008c
+0001008c12010085c6010112060101110112060101111701016600a600667d01028c0301008c0301028c0301008c0401008c13010085c60101120601011101120601011116010066
+00a602668a01008c1f010085c6010112060101110112060101111601006600a6006600a6ac010085c601011206010111011206010111170100a6000100a6ac010085c60101120601
+0111011206010111170100a6000100a6ac010085c60101120601011100120911170100a6000100a6ac010085c60101120811091200111701016600a60066ab010085c60109120011
+0112060101111601006600a60266ab010085c6010112060101110112060101111601016600a6ad010085c6010112060101110112060101111601016600a60066ac010085c6010112
+0601011101120601011116010366ac010085c60101120601011101120601011117010266ac010085c601011206010111011206010111c7010085c601011206010111011206010111
+c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111
+c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111
+c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111
+c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111c7010085c601011206010111011206010111
+ff12911206010111011206010011ff1292120601011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff01
+5f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e0101110112
+1e0100110012ff015f01001100121e01011101121f110012ff116011001220110012ff11a411
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/wd-bessi3.ps b/books/ps/wd-bessi3.ps
new file mode 100644
index 0000000..e960c65
--- /dev/null
+++ b/books/ps/wd-bessi3.ps
@@ -0,0 +1,1472 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 192.347462 284.120003 419.652538 538.120003
+%%Creator: xwd2ps
+%%CreationDate: Sat Dec  7 19:19:34 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -h3.5
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  422, height = 472, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 472
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 472 8
+  [422 0 0 -472 0 472]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.685381 inch 3.960000 inch translate
+matrix currentmatrix
+3.129237 inch 3.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+236b8e
+b3b3b3
+d8d8bf
+dbdb70
+3299cc
+ffff00
+238e23
+0000ff
+cc7f32
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00ff00
+00ffff
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+d6d6d6
+767676
+474747
+b6b6b6
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12a51220120011ff12601200112012001101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e010011
+0012ff015f01001100121e0101110112060118110012ff1160110012171106010111011206010011ff129212060101110112060100110012150100110012ff014701001100121501
+00110012150100110012060101110112060100110012150100110012ff01470100110012150100110012150100110012060101110112060100110012150100110012ff0147010011
+0012150100110012150100110012060101110112060100110012150100110012ff0147010011001215010011001202010f1202010011001206010111011206010011001215010011
+0012ff01470100110012150100110012020100120d010011020100110012060101110112060100110012150100110012820102000f01000020010400020105008101001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012830101000e0102001e010100010102000201010001010100800100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012830101000f0100001f0100000301010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012820103003401010002010100020101007f0100110012150100110012020100120d0100110201001100120601
+0111011206010011001202010f120201001100128201000000010100020102000101020001010300050103000201000000010100000101000e01010003010100020101007f010011
+001208010312080100110012020100120d010011020100110012060101110112060100110012020100120d0100110201001100128201000000010100030101000101010004010100
+04010100010101000101010000010100000101000b01020004010100020101007f01001100120801001201010011080100110012020100120d010011020100110012060101110112
+060100110012020100120d010011020100110012820100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f01001100120801001201010011080100110012020100120d010011020100110012060101110112060100110012020100120e110201001100128101050004010100060101000301
+0100030101000001010000010100000101000e01010002010100020101007f0100110012080100120211080100110012020100120d01001102010011001206010111011206010011
+00121501001100128101000002010100040101000601010003010100030101000001010000010100000101000e01010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012810100000301010002010000000101000501010003010100030101000001010000010100000101000e010100
+02010100020101007f0100110012150100110012020100120d0100110201001100120601011101120601001100121501001100128001010003010100010101000101010004010100
+040101000101010001010100000101000001010009010000030101000201010001010100800100110012150100110012020100120d01001102010011001206010111011206010011
+001215010011001280010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012b70103008b0100110012150100110012020100120d0100110201001100120601011101120601001100121501
+00110012ff01470100110012150100110012020100120e11020100110012060101110112060100110012150100110012ff0147010011001215010011001215010011001206010111
+0112060100110012150100110012ff0147010011001215010011001215010011001206010111011206010011001216110012ff11481100121611001216110012060101110012ff11
+9a110012081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111
+8001057a2701037a0401057a0501017a1701007a2001057a0301017a83010112060101110112060101118101017a0101017a2801017a0601017a0601017a1701027a1f01047a0501
+017a82010112060101110112060101118101017a0101017a2801017a0601017a0601017a1801007a2001007a0901017a82010112060101110112060101118101017a0101017a2801
+017a0601017a0501017a1001017a0f01017a1601007a0a01017a81010112060101110112060101118101017a0101017a0301037a0301037a0001007a0201037a0001007a0301037a
+0501017a0601017a0501017a0401027a0101027a0301017a0401037a0601017a0301037a0001027a0a01007a0001027a0601017a81010112060101110112060101118101047a0301
+017a0101017a0101017a0201017a0101017a0201017a0201017a0101017a0401017a0601017a0501017a0501017a0101017a0401017a0601017a0301017a0001017a0001017a0101
+017a0201007a0b01017a0101017a0501017a81010112060101110112060101118101017a0101017a0101017a0201017a0101017a0301007a0101017a0301007a0101017a0201017a
+0401017a0601017a0501017a0601017a0001007a0201077a0301017a0301027a0101027a0101017a0201007a0b01007a0301017a0401017a81010112060101110112060101118101
+017a0201017a0001067a0201027a0501027a0401067a0401017a0601017a0501017a0701017a0301077a0301017a0601017a0501017a0001007a1101017a0401017a810101120601
+01110112060101118101017a0201017a0001017a0901027a0501027a0201017a0901017a0601017a0501017a0701017a0601017a0601017a0501007a0101007a0401017a0001007a
+1101017a0401017a81010112060101110112060101118101017a0201017a0001017a0601007a0301017a0101007a0301017a0101017a0901017a0601017a0501017a0601007a0001
+017a0501017a0601017a0401017a0101017a0401017a1201017a0401017a81010112060101110112060101118101017a0101027a0101017a0201007a0101017a0201017a0101017a
+0201017a0201017a0201007a0401017a0601017a0601017a0401017a0101017a0401017a0601017a0401017a0101017a0401017a0601007a0401007a0301017a0401017a82010112
+060101110112060101118001067a0301037a0201007a0001037a0201007a0001037a0401037a0301057a0201057a0401017a0301027a0101027a0a01057a0d01007a0601027a0301
+017a0101017a0501017a8201011206010111011206010111c301017a2901007a0701017a0401037a0501017a8301011206010111011206010111ec01007a0001007a0801017a9401
+011206010111011206010111ec01027a0701017a9501011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff008f00011206010111011206010111ff008f0001120601011101120601
+0111ff008f00011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f010112060101110112060101116b0100a600a101a201a301a2ff011b010112060101110112060101116a0101a700a600a700a3
+01a200a101a200a1009eff011801011206010111011206010111690100a603a701a103a200a1009eff011801011206010111011206010111680100a600a802a600a701a201a300a2
+00a100a3009d009eff011701011206010111011206010111670100a501a702a800a201a100a300a100a201a100a2009d009eff011601011206010111011206010111660101a600a5
+00a600a700a600a701a601a201a301a200a3009e009d009eff011501011206010111011206010111650100ad00a600a700a604a700a600a300a100a200a300a100a300a2009c029e
+ff011401011206010111011206010111640100ac00ab00a801a601a700a800a701a602a300a100a200a101a3009e009c009e009dff011301011206010111011206010111640100ac
+00a700a600a700a605a700a102a200a300a200a300a1009d009e019d009eff011201011206010111011206010111630100ab00ac02a700a601a700a600a700a600a700a101a200a3
+00a201a100a3009c009e019c009e009dff011101011206010111011206010111630100aa01ac06a701a802a100a301a200a301a2009e039d009cff01100101120601011101120601
+0111620100a700a601a700ac00a602a701a602a700a100a000a100a300a102a2019d009e019d0098ff011001011206010111011206010111620100a700a600aa00ab00ac03a70001
+00a600a700a600a700a602a200a101a200a3009e009c009d009e009d009e0099ff010f01011206010111011206010111610100ac00a800ab00a800ab00a600a700a601a700a801a6
+01a700a600a100a301a200a302a2009c039d00980097ff010e01011206010111011206010111610100ad00a600ac01a600ab00a600a700a600a700a803a700a800a200a304a200a1
+019c029d009c0097ff010e01011206010111011206010111600100a703a600ac01a800a700a600a700a600a700a800a700a800a602a200a100a301a200a1019e019d009e009d0097
+0099ff010d01011206010111011206010111600101ac00a800a700ac00ab00ac01ab00a700a600a701a601a701a600a100a200a101a300a100a3009c039d009c0199ff010d010112
+060101110112060101115f0100ac00a800a600ab01a700ac00a500a600a700a602a700a602a700a601a300a100a201a301a2009c009e009c009e009d009e00980099ff010c010112
+060101110112060101115f0100ac01ab02a700ac00a600a700ac00a700a601a702a602a702a201a100a300a2019d009c009d0001009d00980097ff010c0101120601011101120601
+01115f0100a801a701ad01ac00a700a600ac02a700a600a701a600a701a601a200a102a2009e00a2009d009c009e009d009e009700990093ff010b01011206010111011206010111
+5e0101a700aa00a500a700ab00ac00a700a600a700ac06a701a600a200a100a200a100a200a102a2019c039e00990194ff010a010112060101110112060101115e0101ac00a600ac
+00a700ac00a700a600ac00ab01ac00a500a700a600a800a700a801a700a600a301a200a300a201a300a2059d01980092ff010a010112060101110112060101115d0100ac00ad00ab
+00aa00ac00ab00ac00a600ab00a700a800ac00a600ab01a801a701a600a700a601a200a100a200a100a300a200a3009e009c009e019d009c009700990093ff010a01011206010111
+0112060101115d0100ac01ab00ac00ab00a701ac00a601ab00ad00a700ab00a702a600a701a600a700a800a101a200a303a2009d009c009e009d019e009800990092ff0109010112
+060101110112060101115d0100ac00ab00ac02ab00ac01a700ab01a600ad00aa01a703a600a700a600a700a200a001a200a102a2009d019e019c009d009900980194ff0108010112
+060101110112060101115d0100ac01ab00ac01ab00ac00ab00ac00ab00a700ac00ad00aa00ac04a700a600a700a801a100a200a100a200a300a100a2009d019c009d009e009d0097
+009900980094ff0108010112060101110112060101115c0100ac01ab00aa00ab00ac01ab01ac01ab00a600a700a800ac01a700a800a600a500a801a600a800a300a200a003a2009c
+019d009e009d019e0097009900010094ff0107010112060101110112060101115c0100ad00ab01ac01ab02ac00aa00ab01ad00ab01ac00a802a700a600a500a800a600a700a200a1
+03a200a100a2009e009d009c009d009c009d01980193ff0107010112060101110112060101115c0101ab00ac00ab00ac00ab00ad00aa00ab01ac00ab00ac00ab00ac00ab00ac00a8
+01a600a701a600a700a600a700a200a300a200a300a200a300a2009e009c019e019d0099009800930092008eff0106010112060101110112060101115b0100ab00ad00ab01ac00ab
+00ac00ab00ac00aa00ac00ab00ac00ab00aa00a601ab00a700a601a803a700a600a300a101a200a102a2009e009d009c009e009c009d009900980193ff0106010112060101110112
+060101115b0102ab00ac00ab00ac000001ab00ac00aa02ab00ac00aa00ad00a700a600a502a701a600a703a200a300a101a200a3019e009d009c009d009c0198009400930092ff01
+05010112060101110112060101115b0100aa02ab01ac00ad00ac00ab00ac03ab00ac00aa00ad01ac03a701a601a703a200a300a201a1009e009b019d009e0199009800920093008e
+ff0105010112060101110112060101115a0100ac04ab00ac00ab00ac00ab00ac00ab00ad01ab00ad00aa01a600ad00a600a700a600a802a700a600a705a1000100a2059d00990001
+00940192ff0104010112060101110112060101115a0105ab00ac00ad00ab01ac00ab00ac00ab000001ab00ac00ab00a600a700a603a700a600a700a100a300a100a200a103a2009e
+009d009e019d0098009600990193008eff0104010112060101110112060101115a0100ac00ab00ac04ab00ac02ab00ad02ab00ad00ab01ac00ab03a702a601a703a200a300a100a3
+009e009c009e009d009e009d0097009900980193ff0104010112060101110112060101115a0100ab00ac00ab01ac02ab02ac01ab00ac00ab00ac01ab01ac02a602a700a600a700a6
+00a700a200a303a200a1009e019c019d009c009d000100940193008eff010301011206010111011206010111590101ac00ab01ac01ab00ac05ab00ac00aa01ac00ab00aa01ab00a5
+00a600a700a500a700a502a700a800a200a300a100a301a200a3009e009d009e009d009e009c009800990194ff010401011206010111011206010111590100af00ac03ab02ac00ab
+00ac00aa00ad02ab00ad01ab00ac00ab00ac00ab01a701a601a700a801a702a100a300a200a100a3009d019e009c009e009d00980097009300940093008eff010201011206010111
+011206010111590101ac04ab01ac00ab01ac00ab00ac02ab00ac00ab02ac06a700a800a700a604a202a3039d009e009c009800990193008fff010201011206010111011206010111
+580100b000b100ab00ac00ad01ab00b000ac01ab02ac00ab00aa00ac00ab01ac00ab01ac00ab00a600a800a500a600a700a601a700a800a7000100a300a200a300a101a2009d029e
+019d0098009900920093008d0094ff010101011206010111011206010111580100af000000ab00b100b200b101ab00ac00ab01ac04ab01ac00ab00ad02ac03a700a601a700a501a7
+01a300a2000100a300a100a2029d009e009d009c00980099009800940093008fff010101011206010111011206010111580100b000b200b002b100b000b100ad00ac01ab00aa01ac
+00ab00ac03ab00ac00ab00ac00ad01a702a602a700a800a100a200a101a201a100a2029d009b019e009700980194008e008dff010001011206010111011206010111580100b001b1
+00b000af00b101b000b100b000ac00b000ab00ac00ab00aa02ab03ac00ab00ac00a805a601a701a201a102a200a1019e009d019e009c0098009700980094008f008eff0100010112
+06010111011206010111570100b000b100b000b106b001b100ab00b000ac00ab01ad01ac00ab00ac01ab00ac00ab00a800a700a600a800a700a500a600a700a804a200a100a2009c
+029d0001019d009800990194008f008eff01011206010111011206010111570100b000b100b000af00b000b101af00b000b100b001b101b000af01ab01ac00ab00ac01ab01ac00ab
+00a601a700a800a700a800a701a600a200a101a200a100a200a100a3009d009c009d009e009d009c019900970093008e008fff01011206010111011206010111570101af00b000af
+01b100af00b000b101b001b100b000b101b002ab01ac00ad00ab01ac00ab01a700a600a700a502a700a600a200a101a201a100a200a3009e009d009c009e009d009c009d00990098
+00940093008f008efe01011206010111011206010111570100b100b201b100b000b100b000af00b200b000af00b000af00b000b203b101ab00ac04ab00ad00a600a501a600a701a6
+00a700a501a200a003a2009c009d009e039d00980099009800930094008ffe01011206010111011206010111560101af00b100af01b100b000b102af00b000af01b100b000b100af
+00ac01ab00ac01ab00ac00ab00ac00aa00ab00ac00a701a602a700a600a500a201a100a200a100a200a100a2029e029d0097009900980194018ffd01011206010111011206010111
+560104b000b101af02b000b203b100af02b001ac01ab00ac00ab00ac00ad01ac01a802a600a700a800a500a100a200a100a200a100a300a200a300a2029d019e0099009700980099
+0001018ffd01011206010111011206010111560101b000af04b000b202b002b100b203b000ac00ab00ac000101ab01ac00ab00ac00a800a700a600a700a602a800a700a306a2029d
+019c009d019900980194fe01011206010111011206010111560100b101af00b001b100b000af01b000af00b200b100b002b100b000b100b202ac00ab00ac00ab03ac00a600a701a6
+00a700a601a701a601a103a200a3009d009c039d0098019900980092018ffc01011206010111011206010111560100b001af00b000b102b000b100af00b000b101b000b100b001b1
+02b000ac03ab00ad01ab00ac00ab01a803a700a601a700a200a100a200a100a200a301a2009e009c009d009e019d00980099009801930094fc010112060101110112060101115501
+00b001b100b000b100af00b100af00b101b000b100b000b103b000b201b000ab00aa00ab00ac01ad00ac00ad01ab00ad00a800a700a501a700a801a600a803a200a100a300a200a1
+019d009c019d02980099009800940093008afb01011206010111011206010111550100b103b000af00b100b000af00b000af00b000b104b000b200af00b101b000ac01ab00ac00aa
+00ac00ab00ad01ab02a600a702a600a800a704a200a300a1019d009e019d009e009803990194fb01011206010111011206010111550100b100b000af01b100b0000002b000b108b0
+00b100b000ab00ac00ad00ab01ac02ab01ac00a700a601a801a601a700a101a200a301a200a101a2039d009c009d009900980097009800940093008efa0101120601011101120601
+0111550100b103b000b102b000b100b000b100b000af04b000af00b100af00b000ad00ac00ad00ac00aa01ac01ab00ad00ac01a700a801a703a600a200a300a200a100a300a200a1
+009d009e009d009c029d00980097009900980193fa01011206010111011206010111540101b101b000af00b100af00b000b100b000b100af00b002b101b000b100b001b100b001ac
+00ab02ac03ab00ac00ab02a600a700a600a700a800a700a802a200a100a200a301a2019d009e009d009e009d0099029800940193f901011206010111011206010111540100b100b0
+00af01b000af00b103b000b600b100b000b201b002b100b201b001b100ac00b000ac00aa00ab00ac00ad00ac01ab00ac06a700a600a102a200a302a2019d009e009c009d009e009d
+0099009801990193f901011206010111011206010111540100b000b605b000b402b000b500b602b000af02b100b000b100b000b102ac03ab00aa00ac01ab01a7000100a601a800a7
+00a600a801a200a100a200a301a2009d009e019d029e00990098009900970293f801011206010111011206010111540100af00b100b001af00b400b501af00b600b500b601b001b1
+01b000b100b003b101b000ab00ad00ac03ab01ac00ab00a700a600a700a802a600a700a602a200a300a102a2059d0098009902980193008ff7010112060101110112060101115301
+00b000b500b400af02b500b600af02b500b401b501b102b001b100b000b102b000ab00ac00aa03ac00ab00ac00a800a700a602a700a801a700a601a100a200a100a200a300a200a0
+00a2019d009e029d009702980093009200943601066bb901011206010111011206010111530102b500b604b500b600b501b601b502b101b000b102b000af01b000b100ab00ac01ab
+00ad03ab00ac00a500a700a800a601a700a600a700a601a200a302a200a300a2009d009e019d009e009d0198029900930092008f3501016b0201016bb90101120601011101120601
+0111530100b604b500b701b500b400b700b500b600b500b101b000af01b100af00b000b101b000b201b000ab01ac00aa01ac03ab00ad00a701a600a700a600a800a6000100a300a2
+00a304a2019e009c009d029c009701980099009800920001008e3301006b0301016bba01011206010111011206010111530100b400b500b600b502b601b500b401b600b500b600b5
+01b000b100b000b100b002b102b000b104ac00ab00ac00ab00ad00ab00a700a604a700a800a600a800a301a200a101a200a100a2009e009d009e009d019e0298019900930092008e
+3701026bba01011206010111011206010111530100b500b600b500b400b600b402b500b604b501b000b101b002b102b000af01ab01ac00ad00ac01ab00ad01ac00ab00ac00a600a8
+00a604a700a600a101a200a300a200a3039d009e019d009902980099009800010094008e3501026bbb01011206010111011206010111520100b501b400b500b400b600b500b402b5
+00b402b501b000b103b002b100b000b100b200b000ab00b200ad00ab01ac00ad00ac00ab02ac03a701a800a600a800a600a200a300a201a102a2009c009e009d019e009d01990097
+009800990194018e3301026bbc01011206010111011206010111520101b500b603b500b400b500b600b402b501b600b000b100b000af00b000b100b000b100af01b100b000b100ab
+00b001ab01ac00aa00ad00ab01ac00ab01a700a800a700a800a700a801a700a100a200a102a300a200a3039d009c009d01990198009900970093009400883301016bbd0101120601
+0111011206010111520100b500b600b400b500b400b501b401b500b600b500b601b500b601b100b001af00b001b100b001b100b000ac00ab00b000ac00ab01ac00ab03ac00ab00ad
+00a600a800a701a800a700a800a701a200a101a200a300a201a1009e019d019e009c009902980099029300883101026bbd01011206010111011206010111520103b500b600b500b4
+01b500b400b600b502b400b500b105b000b201b000b100ac00ab00b000b100b000ac02ab00ad00ab00ac00ad00ac00ab00a800a700a600a701a600a800a602a200a301a100a301a2
+019d009e009c019e009d0098000100980199009400930001008f2f01026bbe01011206010111011206010111520100b401b500b401b500b405b500b400b600af01b001af01b000b1
+02b000b100ac00b001ab00b201ac00ab03ac00ab01ac00ab00a601a702a600a700a802a200a100a303a2019e009d009c009e009d00980099009801990093019400992f01016b0301
+006bba01011206010111011206010111510100b400b500b601b501b600b500b600b500b601b400b500b600b400b600b500af01b100af00b000b101b001ab01ac00b100ac00b000ac
+00ab00aa02ac01ab02ac01a800a700a600a700a802a700a300a200a300a200a300a200a300a1059d0198000100990098000100920194008e2d01016b0201016bbb01011206010111
+011206010111510102b500b403b500b603b501b400b500b400af01b100af00b100b000b100b000b101b000ac00b101ab00b100b001ab01ac00ab00ac00ad01ac00ad00a801a700a8
+01a700a602a701a303a200a3019d009e039d01980097009900980193009400932d01066bbb01011206010111011206010111510100b500b401b500b600b500b600b500b600b500b4
+00b500b600b701b500b600b102b000b104b000ab01b000ab00af01b000ab00ac01ab00ad00ac00ad02ac00a700a602a700a601a700a600a804a200a100a300a2019d009e0001009e
+009d0001019800990198009300920093008def01011206010111011206010111510100b600b400b500b402b500b400b603b500b600b500b600b500b403b100b000b100ac00b000ac
+00ab00b000ab00ad00b000af00ac00ab02ac00ab00ac00ab02ac00ab02a700a802a700a800a600a700a200a100a2000100a201a300a0009c019d019e009900980001009800990198
+01930092ef01011206010111011206010111510100b601b502b403b500ba00b601b500b601b500b000b101b000af00b000ac00b000b100b001ac00ab00b001ab00b100b000ac00ab
+00ad00ac01ab00ac00ad01ab00aa00a601a701a600a700a800a700a601a200a101a300a200a300a2009d009e009d0001019d009e00980099009800990098019300920194ed010112
+06010111011206010111500104b500b400b501b400b500ba00bb00b603b500b401b000b201b101b000b100b000ab00ac00b000b101ab00b100ad00b000b100ab00ac00ab03ac03ab
+00a700a800a600a700a800a601a700a300a100a300a201a300a200a1009e009d009e009d009e009d009c0198009900980099009300980093000100940093ec010112060101110112
+06010111500100b501b402b500b400b600b400ba00b900ba00b500b701b501b400b501b000b101af01b001ab00b101ac01b100b000ac01b000b200ab00ac02ab01ac00ad00ab00a7
+00a600a700a600a803a700a800a100a300a100a300a200a100a200a3009d009e019d009e009d00990197009900980199009801940093ec01011206010111011206010111500101b4
+00b500b600b400b500b600b400b900ba00b9000000b700b601b501b400b100b000b100b000b101b000ad00af01b000ac00ab00b100b000b100ac01b100b002ac00ab00aa01ab00ac
+01ab03a700a800a600a701a800a600a200a303a200a3009d059e0498009900930099029324010084c501011206010111011206010111500100b500b600b500b600b500bb00b500ba
+00bb01ba00b500b400b602b500b401af00b000af02b000b200b000b100b000ab01b001ab00ac00b101ac02ab01ac00ad01ac01ab00ac01a700a800a701a602a700a100a300a102a2
+01a3009d009e009d009e009c009d05980099009400010094008e009323010084c501011206010111011206010111500100b400b5000000b400b500bb00ba00b900ba00b900bb00ba
+00b601b500b601b400b603b001b100b000af02b000ab00ac03ab00b000b101ab01ac00ab01ac00ab00ac00ad00ab00ac00a600a700a600a700a800a700a800a708a2029d029e0298
+009900010099009300940193019422010084c5010112060101110112060101114f0100b602b400b900bb01ba00b900ba00b900ba00b401b500b600b501b400b100af00b000b103b0
+00b100b000b100ab00ac01b000ab00b000ac00ab02ac00ab01ad00ab00ad01ab00ad00ac01a603a7000100a601a7000100a200a301a101a2019d019c009d019e0498009900980093
+009800990093008f009321010084c5010112060101110112060101114f0101b402ba00b900bb01ba00bb01ba00b600b500b601b500b400b500b103b001b101b000ab00b001ab00b1
+00ab00ac00ab00b100ab00ac00b100ac01ab02ac00ab00ac00ad01ac00ad00a604a701a600a702a201a300a2000100a3009d019e019d019c01990198009900930098009302940099
+20010084c5010112060101110112060101114f0100b900ba00bb01b901ba00bb00ba00bb00b900ba00b900b500b600b501b600b500b401b000b100af01b000af00b100b000b100b0
+00ac00ab000003ab00b100b000af00ab00ac00ab01ac00ab00ad00ac00ab01ac00a701a800a700a800a601a8000100a200a302a200a301a20001009d009e019d009e009d00980099
+0098009900980097019400980099019420010084c5010112060101110112060101114f0100b900bb00ba00b900ba00b901ba00b900bb01b900ba00b400b600b500b600b400b500b6
+00af00b002b101b001b101ac00b000ab00b100ac00ab01ac00aa00b100b001ac01ab00ac01ab00ac00ad01ac00ab000104a700a801a701a200a301a2000100a3009d029e0001019d
+00980099019801990198009400980092009300941f010084c5010112060101110112060101114f0100b501ba02b900ba00b900ba00b902ba00b400b500b600b401b600b500b000b1
+03b000b101b000b100b000b100ac00ab00ac00ab00b100aa00ac00aa00b100ac01ab00ac01ab01ad00ab00ac00ab00a800a600a700a801a700a600a701a800a202a300a202a3029d
+009c009d009c009d0098009e009d029800990098009300980094009200941e010084c5010112060101110112060101114e0102ba00b903ba00b901ba01b900ba00b500b602b500b6
+00b500af03b000b100b001b100b000ac01b000ab00ac00b000b102b000ac00b002ac00ab02ac00ad00ab02ac01a601a700a800a701a807a200a3019e019d019e0001009c0098009d
+00990001009700980099009200980192008f1d010084c5010112060101110112060101114e0100bb01b901ba00b903ba00b900ba01b900b402b501b400b101b000b102b000af00b0
+00b101b000ab00b100ac00b100af00ab00b200b000ac00b100b000ab00b001ab07ac00a800a600a703a800a600a700a201a3000103a2019e009d019e009c029d009e009800990098
+0097009800990098009200980193008e1801017900010084c5010112060101110112060101114e0103ba00bb00ba01bb00b900ba01bb00ba00b900b500b603b500b605b000b100b0
+01b100af00b000b100b000b100b000b100ab00aa00af01b100af00b100ac00ab03ac00ad00ac00ad00ac00a700a803a701a801a700a302a200a300a200a3009d0001019d019e029d
+0098009c009d0099009800990198019300980093018e1601007a007501740084c5010112060101110112060101114e0100ba00b900bb03ba00b9000000ba00bb00ba01b901b500b4
+00b600b400b5000001b000b100b002b100b000b100af00b000b100b200ac01b100b200ac00b100b000b100b200ab01b000b100ad01ab04ac00a700a501a700a800a700a800a700a8
+00a600a200a301a200a301a2000100a3009e0001009d019e019d0198009d009903980094009300980193008e008f150100740075007300750084c501011206010111011206010111
+4e0100ba01b906ba00bb00b900ba00b900ba00b400b500b400b600b400b500b601af01b000b101b002b101b000ab00b000b101b000ab00b002ac00b100ac01ab00ad01ac00ad00aa
+00ac00ab00a700ad00a800a700a800a603a801a3000100a300a200a300a201a3009d0001009e009c019e009c0098009e019d03990398009300940093008d13010079007301740073
+0084c5010112060101110112060101114d010aba00b900ba000000ba01b600b501b600b500b600b500b000b101b0000000b002b104b000af00ab00b001ac01aa00b200ab00b100ac
+00ad01ac00ab00ad01ac00ab00ac00a700a800a600a800a700a800a700a600a700a300a800a3000100a202a300a200a3009e039d009e0098019d009e019800990198009900940093
+0094009800940093008e008d10010074007301740076007400840074c4010112060101110112060101114d0100b904ba00b900ba00b901ba00bb00ba000000bb00ba00b400b600b4
+00b501b600b500b400b501b000af00b000af00b0000001b001b100b000af00b001ac01ab00b002ab00b100b000ac00ab00ad01ac00ab00ad00ac00ad000100a700a800a700a802a7
+000102a201a300a202a3009d009e019d0001009d01010198009d0099019d009800990198019300990193008e008f0e01007900780075007300740076007400840175c30101120601
+01110112060101114d0100bb00ba00b900bb01b9000000ba00bb00b900bb00ba00b900bb00ba02b601b500b400b500b100b500b102b000af02b000b102b000b201b000ac00ab00b2
+00b000ab00aa00b000ab00ac00ab00b200ab02ac00ab02ac00ab01a600a701a800a6000100a700a8000100a300a203a300a200a3009d019e019d009c009e00970198009c0098009d
+009e039800930094009801940091008d0d0100760074007500740275008400730075c3010112060101110112060101114d0101ba000004ba00be00b900bb00ba00b900ba01bb00b5
+00b600b400b500b602b500b606b001b100b000b200b000af01b000b101b000aa00b100b000ac00b100ac00ab00ad00ab02ac00ad00ab02ac00a700a800a600a801a700a8000100a8
+00a3000100a205a300a2009e009d009e009d009c019e0198009d009700990098009d009901980099009300980294008e008d0a0100790073007502740175008400740075006ec201
+0112060101110112060101114d0100ba00b900bb00b900ba00b900ba00bf00be02ba00b900ba00bb00ba00b400b500b600b400b600b500b600b400b600b000b101b002b100af00b0
+02af00b100b000ab00b000b101ab00ac00b100ac06ab01ac00ad00ab01ad00a800a602a8000100a7010100a7000100a200a3010101a3000101a3009e0001009e009d009e0001009d
+009e019d00980099009e009d00980299009800930098009100940093008e0801007500730175007401750174008400750076007000740075c0010112060101110112060101114c01
+01ba00b900bc00b900bb00b900bb00c000bf00b900ba00b900ba01b900b600b400b600b500b600b703b600b501b000b100b000b100b003b100b000b100ab00b000ab01b002b100ac
+01ad01ac00ab01ac00ab00ac00ad01ab00ac00ad00a803a701a800a701a300a700a300a2000101a200a3009e00a3019e029d009e019d009e009d009c0001009d009e009d00980097
+019802990294008f008e06010073007400750274027500840071007502740076bf010112060101110112060101114c0100ba00bb00b900bb01ba00be00bb00bf01b901ba00b900ba
+00bb00ba04b500b401b501b400b000b1000000af00b103b002b100b001ac00ab01af00ab00b100ac00ab00ac00ab00ad01ac000100ac00ad00ac00ad00ab00aa00ad00ac00a700a8
+00a600a701a8000100a8000100a201a3010100a300a201a3009e01a300a2029d009e009d009e019d009e009d009e0098009d0099009800990098009300990293008d008f04010073
+05740070006f0070008400760070007300750070006f0075be010112060101110112060101114c0100b900ba02b900be05ba00bb00ba02b900b500b400b500b600b500b402b501b6
+00b000af00b201b101b000b101b001b100b001ab00ac00b103ac00ad00ab00ac00aa00ac00ad00ac00ab00aa04ac00a801a601a702a8000100a3000100a200a3000100a3000101a3
+009d009e000101a2019e039d009e009d009c00980097009d0001019800990198009900010293008f008e02010074017500740175037400840073007402750074007500740075bc01
+0112060101110112060101114c0100b901ba00bb00be00bb00ba00c000ba00b901ba00bb00b902ba00b500b600b500b602b500b602b501b000b103b001b103b000b100ab00b000ac
+00ad00ab02ac00ab01ac01ab01ac00ab00ad00ac01ab00ac00a600a700a8000100a8000100a7010100a7010105a3009e00a3009d00a3009d00a3009e029d009e009d009e009c0098
+009c0098009e019d009900980099009801940393008f008902730074016f007300740073017400840075007400750073007500730074007501740075ba0101120601011101120601
+01114c0101bb00ba00bf000001be00bf00be01ba00b900ba01b900bc00ba01b501b601b403b500b600b500b601b100b000af00b100af01b001b103b000ad00aa00ab03ac01ab00ac
+00ab00ac00ab00ac00ab01ac00a700ab00ad00a7000101a8000100a7020100a804a300a2000100a2039e00a2029d009c009d0001009e009d009e0098029e0097009d009901980097
+01990393008d008e008a00920173007400730075017400780084007900780375007b0078017400790076007ab8010112060101110112060101114b0100bb00ba00bb00be01bf00bb
+00bf00c002ba000000b900ba00b901ba00b405b500b601b501b600b100b501b000b100b000b200af01b001b101b001ac00ad00ac01ab00ac02ab01aa01ab01ac02a702ac00a700a8
+01a700a8000100a700a800a700a8000100a301a200a301a2000100a3009e00a300a200a3009d00a2009d009e019d009e009c019d0001009d0001029d009900980097019900920093
+0092009400930092008f00b1008c017a007b0074007900730084007902750079007a0075007b017a00750079007a007900750073b5010112060101110112060101114b0100ba01b9
+00be00bf01b900be000003ba00bb01ba00bb00ba01b500b600b400b500b601b500b400b500b601b503b101b200b100b200b104b000ab00ac01ab00aa01ab00aa01ac00ab02ac00ad
+01ac00ad00a7000101a800a700a801a704a801a300a201a300a200a3000100a300a2009d00a3000100a200a300a000a3009b019d0001009e049d0097009d00990098009702980094
+0393008e0093008e008d008e0088007b017900840079017f0179007a0079007a007b077a0079007ab2010112060101110112060101114b0100bb00bf00bb02bf00ba02b902ba00bc
+01ba00b900b601b500b400b500b600b700b603b500b600b500b200b000b100b002b100b000af02b100b001b100ac00ad01ac00ab00ac02ab01ac01ab01ac00a800ac00a700ad00a6
+00ad00a800a700a801a700a800a7000101a800a3000100a3000100a3010100a3000100a3019d00a3009e00a2029d019c019e039d009e009b019d009800990098029901930094008e
+00930092008e008f018e018801840083007e007f007e007f007d007a007f007e007f017e017f007e007f01790078007b0079af010112060101110112060101114b0100bf00c000be
+00c000be01bf000000ba01b900ba00bb00b900bb00ba00b900ba01b500b602b500b700b500b700b500b002b100b000b601b000b102b001b100b000b100b000ac00aa00ac01ab00ac
+01ab00ad00ac00ad01ac01a600a700ac00a702ac00a800ad00a7000100a700a8000100a600a8000100a8000108a30001009d019e009d009e00a3009d0001019e009c009d009e0099
+01980001009d0098009d02990098019901930194008d008e0093008f0001008f00880084008900880089028402850083017f007e017f007e0080007e017d007e007d007f0080007d
+007fab010112060101110112060101114b0100b900ba00bb01ba00bf00b900be01b900bb00b902ba00b900ba00b404b500b603b500af00b400b100b500b600b400b600b100b000b1
+00b000b101b000b101b000b100ab00aa00ac00ab02ac01ab00ac00ab00ad000101ac00ab01a802a700a801a701a800a700a8010100a8000100a300a202a3000100a203a300a2009e
+01a200a3009d009e009d0001029d009c00980199009800990098009c019801970099009401930094009300940193008e0001008e0084008e0089008a00880089008a008800890183
+0085018301840083017e00830084008300840085007f0084007e0080017fa8010112060101110112060101114a0102be00bb00b900bf00ba00be01ba02b903ba03b500b600b500b7
+02b500b600b000b101b502b100b000b103b000b100b000b100af00b200b100b000ab01ac00ad00ab00ac00ad01ab00ad00ab00ac01ad00ab00ac00ad00a801a700ac00ad01a800a7
+00a8000100a7010100a7000100a200a3010100a3000100a202a3000100a300a2019e00a2029e009c029d009c0099009d029800990098009901980197019300940097039300010093
+0084008e008f018e008900880089008e0088028900880083008a00890088028401830085008200840083007e0083007f0284a5010112060101110112060101114a0100c000bf00be
+00c000b900ba00be00c100be00ba00b900ba02b9000000ba00b500b400b602b500b401b500b600b400b000b500b000b100b600b100b200b600b001b100b000b101b000b200b000b1
+01b000ab00ac00ab00ad00aa00ab00ad01ac00ab00ac00a700a800ac00a600aa00ad01ac01a700a800a702a8000100a700a8000101a8010100a800a3000101a3000102a300a200a3
+00a2000100a300a200a3009e009d009e009d0001009d019e0198009d0199009c00990096019801970094009700980193009401930084018e00920093038e0089008d0089008f0189
+0188008a03890088008901830184018304840085a2010112060101110112060101114a0100bf000000c000b900c001ba00bf01b902ba01b902ba00b600b500b401b500b400b502b6
+00b500b000b600b000b100b500b600b000b600b103b001b101b000b100b000af00b000ac03ab01ac01ab01ad00a803a700a800ad00a8000100a700ad00a701a8000102a800a700a8
+000101a301a700a3010100a301a200a300a200a301a2009d00a3019e009c019e019d0099009e0097019d0099009d009e0198019900980001019901980193008400930092008d018e
+0193008e008f008e018a008f0189008a0088008a0087008a00890088008900880089008800890088008300850084008500840087018801899f010112060101110112060101114a01
+01bf00c000bf00c000b900c000ba02b900bb02b901ba02b400b601b400b500b401b500b000b400af00b000b100b700b000af00b000b100b500b100af00b104b004b101ab00aa00ac
+00ab00ac01ab00ad00ac00ad01a600ac01a701ad01a700a8000100a701a8000100a8000100a8010102a8000100a300a800a300a800a3000100a3000101a200a301a200a3009d009e
+0001009d009e009d019c00970098009d0098009e00990098009d019801990098019400920093009900840093019401920094009300940092008f018e018f018e008d0089008d008e
+008d0088008e0089018a008903880289008a0089018801899d01011206010111011206010111490102bf00c000ba000001ba00be03ba00b901ba00b900b400b601b500b600b500b4
+00b500b600b501b100b501b000b100b501b100b001b500b100b200b001b100b001b101b002b102ac01ab00ac01ab01ac00a802ad00a600ad00a800ac00a600ac00a600ac00a80001
+02a800a700a8010100a800a3020100a800a300a8000100a200a101a3000100a200a300a101a2009d009e019d009e009d009e009d009e00980299009c009e0098009d019800990198
+009400970099008400940093009800920293009400920393008f008e008f008e008d028e0001018e0089008f00880389008e008a0289018801890088018e9a010112060101110112
+06010111490103bf00be00bf00ba00bb00bf00ba00bb00b900ba00bb01ba00b500b600b700b600b500b401b5000000b600b500b601b000b500b000b503b002b104b000b100b202b0
+00b100b202ac00ab00ac01ad00aa00ad00ab00ac00a700ab01a700ac00a701ad01ac01a701a801a7030100a700a8000100a200a300a201a8000100a3000100a3000102a301a200a1
+019d009e009d009e029d029e0098009d0098009d0001009c009d0099029800990098009900840099009200990093009204930092009300920293008e008d008e008d008e008d018e
+008d018e008d008f0088008a0089008d018e008f008d038e018d018e9801011206010111011206010111490100be03bf00c001be01ba00b900ba00b900bc01bb05b500b401b500b4
+00b000b500b401b500b600b101b501b600b101b500b100b000af00b002b104b000b100ab00ac01ab03ac00ad01ac01a600ad00a701ad00a800ac00a701ac00ad000100a8000100a8
+00a702a8000100a800a3000100a300a700a800a700a804a300a200a3000101a2019e00a30001009e009d019e009d009e009d019e009d0298009d009c009800970298008400970199
+00940098009900930094019202930094009300940092009400920093028e008d008e008d018f008e018c038e008d018e008d028e008f018e008d008e008d95010112060101110112
+06010111490101be00bf000000bf00be01bf00b900ba01b900ba00bb02ba00b400b500b400b500b400b701b500b400b200b100b600b500b401b500b600b101b000b102b000b500af
+00b201b100b000af00b200b100b200b100b000b102ac01ab00ac00ab00ac00ab00ad01a700ac01a800ad00a700a800ad00a700a800a601a800a702a8000101a8000100a300a800a3
+00a2000101a200a300a8000101a301a2000100a302a2009d019e00a200a3009d009c009e019d019e009d009800990098019d01980097009800840098009700990197019800940093
+00980197009401980099009800920493009201940393018d008e018d038e008d008e008d008e008d00920293009400929301011206010111011206010111490100bf01be00c001bf
+000000c000bb02b900ba01b900b600b500b600b500b400b600b400b500b601b500b100b600b100b500b600b000af00b500b400b001b500b102b500b000b100b000af00b000b200b0
+00b101b001b100aa00ab04ac00aa00ad00ac00ad00a700a600a700ad00a800ac01a700ac00ad00a800a701a8000100a703a800a700a200a301a800a700a301a800a300a7000101a3
+00a200a300a200a102a3009d00a3009d009e039d009c039d029c019e009d0098009d0084009901980097029800960093009200930098009300970198009300940098009400990192
+009300940092029300940093009400920093008d0093008d008e008c0092019301940093009201930091009200940092440100a701a601a700a800ac450101120601011101120601
+0111480104bf00be00c001bf00c000bb00b901ba00bb000005b500b600b500b400b500b400b600b500b600af00b000b500b100b600b500b000b600b000b500af00b500af03b000af
+00b1000000b100af04b100ad02ac00ab04ac00ad00a7000102a702a800ad00a7000101a8000100a8000100a800a7010100a200a800a300a100a701a200a300a202a300a100a300a2
+00a301a2009d00a302a2009e00a200a3029d009c009e009c009d009e009d009e019d0198008402980097009800970198009702990092009800930098009700940092009901940093
+019800010093019400930092009301920093009100940092019302920094009202940193019200930092410100a600a500a600a700a500a602ab4401011206010111011206010111
+480100c100bf01c000be01bf01be00ba00bb00b901ba00b900bb00bc00b600b400b501b600b500b401b500b600b500b000b601b000b600b500b200b001b600b500b602b000b500b0
+00af01b101b000b100af03b000ad00ab03ac00ab00ac01ab00ad00a700ad00ab00ac00a702a800ac00a702ac01a8000100a800a7000101a800a700a200a300a700a6010100a10001
+01a700a300a205a3009d00a100a200a3019d009c009d00a101a200a3029e039d0099009d008400970098009d0099019d009900980197019800970098009201970098009700930098
+009901980094009800940093019800910193019200980093009700930094029301940093009400920093009201930194009300923e0100a200a500a700a600a700ad03ab00ac4301
+011206010111011206010111480100c000be00bf01be00c000be00bf01be00b900ba00b902ba05b501b600b400b600b500b601b500b000b500b102b000b1000000b100b200b500b2
+00b400b500b001b100af02b000b101b000af01b100b002ac04ab00ac00aa00a700a600ac00ad00a800ac00a700ac00a700ac000101a800a701a800a700a800a700a8000100a700a3
+00a700a3000100a200a800a300a200a801a200a101a301a101a2009c009d01a2009e00a3009c00a2019d00a200a100a3009c0001039e009d0084009e039800970098009701980097
+02980099049800970098009900010097009300980092009700940093009800920098009700940092019800920098029300920099009701990098019705983b0100a201a600a500a6
+00a700a800aa00ac00aa00ac00ab4301011206010111011206010111480100be02bf02be00c100c000be01b900ba000000ba03b407b500b602b500af00b400b600b000b100b501b1
+00b201b000b600b700b500b100b001b100b002b100b000b100b002b100ac00ab00aa01ac00ab00ac00ab00aa00ad02ac00ab00a700ac00ad00a700ab00a600a700ac00a701a80001
+02a800a701a800a3000102a800a300a8000100a800a200a300a200a301a200a301a2009d009e009c00a2009d00a200a300a2009d009c00a300a2009c00a1019d019c009e0084009e
+009c009d009800970099009c019d0098009c009801990198019700960197009800970098009701980197009801930092009700980193009800930092009900970198009900980197
+00960198009700980097009600990098009700990093380100a100a700a502a600ac00ab00ac01ab00ac00ab00aa4201011206010111011206010111480100c001bf00be00bf00c0
+01be00bf01ba00bb00ba00b900bb01b400b500b400b600b400b500b601b400b500b401b500b401b500b401b101b400b601b000b600b000b100b600b000b500b003b100b000af00b1
+01b000b100b000b100b002ab00ad05ac01a700ac01ad00aa00ad03ac01a800a701a800a703a8000101a800a301a700a800a100a200a600a100a204a300a200a3009d00a2009e009d
+01a300a2019d00a100a3009e009c009e01a300a2009d0084029d009e019d009c009d00990098009e009d0098009c009d029800970198009702980297029800990097009800990398
+01970098009900970098009700980097009901980097009800990098009900980097009801970098350100a700a001a601a700a600ac00ab01aa00ac00ab00ac00aa420101120601
+0111011206010111470100bf00be00c000bf00c000bf00c003bf00b900ba00bb01ba00bb03b500b600b400b600b500b600b500b401b500b400b700b500b401af00b500b100b600b5
+00b100b500b400b100b000b100b401b000b100b204b103b000b101ad01ac01ab00ad01ac00ad00ab00ac00a701ac00a7000100ab00ac00a800a700ab00ac01a700a6000101a700a8
+00a700a800a7010100a300a800a200a700a200a700a200a801a300a201a300a101a3009d009e009d00a3009e0001009c009d009c029d00a1009d00a200a100a2008400a2009e009d
+029e019d009e009c009e009d00990098009c009e009d03980097019900980099009c009900970498009900970099019700980197019800970098009900960098009902980097009d
+00990198009d009c02980097320100a000a600a500a600a500a700ac01aa02ab00aa02ab00aa4101011206010111011206010111470100be00c001bf00be01bf01be01c000ba00b9
+03ba00b900ba00b601b500b600b400b501b408b500b600b000b601b100b600b001b100b000b600b000b100b000af00b100b001b100b001b101b000b102ab04ac02ab00ac01a800ac
+00a600a700ad01ac01a800ad00a800a700a800a7000100a600a700a801a700a600a300a801a200a800a200a700a200a800a203a300a200a302a2009c009d019e00a300a101a200a3
+00a100a300a200a1009d00a3008400a2009d00a1009d009e009d009e009d009c019d009c009d009c009d0098009e019d009e0097009e0097009d009e0199009e0098009e00990297
+0198009700980001009702980099009800990097009d009c0098009d0099019700990198009c00970098009c0098029d00992f0100a600a700a502a600a500ac01aa00ad01ab01aa
+00ac01ab4101011206010111011206010111470100be02bf01be00c001bf00be00b905ba00b901b500ba00b600b401b502b601b500b601b500b600b400b000b500b100b000b101b0
+00b600b501b100b000b100b000af00b000b100b001b100b000b100b200b100b000ac00ab00b002ab00ad00ac02ab01ac00ab00ad00a800ad00a800a700ac00a700ad00a800ac00a8
+01a701a800a7000100a700a601a7000100a200a700a200a300a701a201a800a300a200a100a300a200a300a200a300a2009e019d009c0001009e0001009c00a2009d009c009d00a2
+00a300a1008400a2019d009e00a1009d00a1009d009e009d009e019d019e009c019d009c019d009c039d009e009d0099019d01990098009e009c009800990298009700980097009e
+009d009c059d019c009d009c0098009e0098009d0197009d009e0099019d2c0100a101a600a501a602ab000000ab00aa01ab00aa02ab00b000af4001011206010111011206010111
+470102bf00c002bf00be01bf00bb02ba01bb00b900bb00b900ba00bb01b500b603b500b600b400b600b500b400b502b600b500af01b000b100b501b100b501b100af03b000b204b0
+00ac00af00ad00b000ab00b102ab00ad00ac01ab01ac00a806ac00a700a800a700a801a700a800a700a800a701a801a700a301a800a6000101a800a700a600a702a2000100a100a3
+00a100a200a3009d00a2009e00a2019c059d009e009d0084009d00a301a2019d00a101a2009e029d009e039d009e009c009e019d009c009e029d009c009d009b0098019d01990098
+00970098009c099d009c009d019c009d029c019d009c009d009e019c009d009e019d009b290100a200a000a100a601a700ac00ab00aa00ab01aa02ab00aa00ab00aa000001b04001
+011206010111011206010111460103bf00c000bf02be00c001bf00ba00b900ba00bb01ba00b900bb00ba00bb02b401b500b400b501b600b501b601b501b600b002b500b000af01b6
+01b101b000b100b003b100b000b100b000af00b000ac00b100ac00ad00aa02ab05ac00ab00a700a600ac01a700ad00a800ac00ab01ac01a700a800a700a600a801a700a800a701a8
+00a701a200a700a801a700a800a700a101a301a201a300a2009e009d01a2009d00a300a2009d009e009c00a200a300a2009d008400a3009d00a2009d00a301a2009d019e00a101a2
+029d009e049d009e029d009c029d009c009d019c059d009b019c009d009c019d009c009e009d009c009e009d009e009c019d019c009e049d019c009d039c270100a700a600a700a5
+00a600ab00ac00aa00ad00aa00ab00ac00ab00aa00ab00aa00ab03b04001011206010111011206010111460100c002be06bf01ba00b901ba00bb00ba000000b900ba00b900ba00b4
+03b501b601b500b600b403b500b600af01b500b100b601b500b000af01b000b101b000b100b001b100b000b101ab00ac00b000b101b000ab01ac00ad01ac00ad00ac00ad01ac00a7
+000100a700ad02a700a801ad00a702a803a701a800a700a800a700a801a300a200a800a600a800a700a805a200a300a100a2009c00a1009d00a2009e00a300a100a3009c00a2009d
+009c008400a200a100a3009d01a1009c00a2019c009e009c000100a3009c009d00a200a1029d009e009c009d009b00a2019d00a2009c009d019c009e009c009d009e019d009c009d
+019e029c009d009e019d009e00a101a202a1009c00a2029c009d019c009d009c019d009c009e019d250100a202a701a601ac06ab00aa000000af010000af00b04001011206010111
+011206010111460100c300c500be00bf00be00bf01be01bf00c000be00b900bb00b900bb02ba00b900ba01bb00ba00b600b400b600b500b402b500b601b502b602b502b600b100b0
+00b101b000b102b000b200b100b000b101b000b102ac00b100ab00b000b200ad00ab02ac01ab00ad02ac00a700ac01ad000100a803ac00a800a700a600a800a600a801a700a603a7
+00a201a7000100a300a700a800a100a700a103a201a300a200a300a1009d009b009e00a101a2009d00a3009c009d008400a1009e00a200a1009c00a3019c009d00a2009d00a20001
+009c019e009d00a2009d009e009d00a2009c009e009c00a2009d009b019c009d00a300a2009e009d009c009d039c009d009c019d019e009c019d00a3009e00a3019d00a3019c0001
+009d009c01a2009d009c009e009c009d009e009d00a200a302a2220101a101a600a700a600ab00aa00ac00aa000001ab00ac00ab00ac00af00b102b000af00b000003f0101120601
+0111011206010111460101c400c500c401bf01be00bf00c001be00bb02ba000000ba00b902ba01b900ba00b600b400b600b500b4000000b603b500b402b500b100b000b601b000af
+01b100b200b100af00b102b000af00ab00b100b001ab00b000ab00ac00b102b000ab00ac01ab01ac00ad00ac00ad00ab00ac00a601ac00ad00a700a600ac00a700a600a701a805a7
+00a8000100a600a702a300a800a300a601a200a600a803a200a102a200a300a200a3009d02a2009e019c00a3008400a3009d00a2009e01a1009d00a200a100a3039d009e00a1009d
+009e00a1009c00a3009d01a2009c00a2019d00a2009e00a200a3009c00a2009d009e009d00a2019d019c00a2009c00a2009c019d01a2009e00a100a3019d00a2009e00a1009d00a1
+00a2009c00a1019d03a200a100a200a100a200a100a3000100a2200100a101a600a500a601ac00aa00ab00aa02ab00af00b100b000af02b000af02b03f0101120601011101120601
+0111450100c503c400bf00c300bf01be00c000be01ba00bb00b900ba00bb00ba00b901ba01bb01ba00b500b601b402b500b600b500b401b500b700b501b600b000b600b002b100af
+00b000b103b000ac02b000b100ab00b000b101ab00b100ac02b002ab00ad01ac00ab01ac00ab00a601a700a801a700ac00a700a800a700a800a600a802a700a800a600a702a80001
+00a800a700a800a200a100a700a200a701a8000100a101a301a201a300a100a200a100a200a1009c01a2019d008400a100a2039d01a2019d00a1009d00a1009d00a2009c009d00a2
+00a3019d01a2009d009e009c00a201a10001009d00a3009c009d00a1009d01a2009e00a100a3029d009b00a101a300a200a100a201a1009e00a200a301a2009d00a300a2009d00a1
+01a200a300a200a100a301a200a300a200a100a200a300a200a300a11d0100a100a600a701a600ac00aa02ab00aa01ab02b001af01b000b200b101b000af3f010112060101110112
+06010111450100c300c501c300bf00c400c502bf00be00bf00be01bb02ba00bb00b900bb03ba00b901ba00b501b601b401b600b500b600b500b400b600b502b601b102b000b100b2
+00b102af00ab00b000ab00ac00ab01ac00ab02b100ab00b100ab00b100ac00ad00ab00ad00aa00ab00ac00ab01ad00ac00ab00ad00a700ac00ad01a800a600a700a800a600a801a7
+00a800a700a600a700a500a800a600a100a700a300a600a200a300a708a200a300a200a300a203a300a100a300a100a3009c0084009e059d00a2009c01a2009e009c009d00a200a3
+019d00a200a101a2009e00a200a3009e00a3009d01a200a300a2009d00a1009d02a200a100a300a102a200a300a1019d00a3009d00a2009d009c009d009c009d00a1000100a1009d
+00a200a100a200a302a200a100a200a102a200a100a300a200a100a201a71b0101a102a602ab01ac00ab00ac00aa00b0000000b104b0000000b000b100af00b03f01011206010111
+011206010111450101c400c301c400c501c401bf00be00c000be00b902ba02b903ba00b901ba00b600b400ba01b500b700b500b604b500b400b500b600af00b202b000af01b100b0
+01b100ac00af02ab00b100ab00aa00b101b000af00b100ac01b100ac01ab00ac00ab00ad00ab06ac00a801a701a801a600a700a600a701a800a700a601a700a200a101a701a300a7
+00a200a600a100a200a700a201a800a300a200a101a200a100a201a300a101a200a301a100a2008400a301a2019d009c00a100a2009e00a3009e00a200a101a303a2009c019d01a2
+009d00a1009d00a3009d00a200a100a200a301a200a100a200a301a200a100a201a103a200a100a2009d00a2009d009c00a100a300a1000100a100a202a100a200a000a300a101a2
+00a301a100a200a100a201a700a8000102a7190100a202a600ac00aa00ab00ac01ab00aa00ac01af000000b100b002af000001af000001b03f010112060101110112060101114501
+00c300c500c400c500c601c400be00c002bf00be01ba00b900ba00b901ba01b904ba00b900ba00b500ba02b500b600b500b601b401b500b000b500b200b000b100b000b100b200b1
+00b000b100b000b101ab00aa00ac00af00b000af00ac00ab00b001ab00ad00b000ab00ac00ab00ac01ab00aa00ac00ab00ac00ad01ac00ab00a601a700a609a700a600a800a700a3
+00a201a700a2000100a600a700a300a700a204a800a200a300a100a300a200a300a202a303a200a100a2008401a100a2009d00a2009c00a300a200a1009e009d01a2009c00a2009d
+00a300a2009d009c019d00a2009d06a200a100a200a300a200a100a200a301a200a100a200a300a100a200a301a201a300a100a200a101a200a102a200a104a200a301a200a100a2
+00a701a601a700a500a800a700a600a800a600a700a500a7160100a100a200a701a600ac01ab00ac02aa00af00b000b1000000b000b100af01b000af04b03f010112060101110112
+06010111440100c400c300c400c503c400bf00c001bf00c000bf02ba01b904ba01b902ba00bb00b900b600b500b401b500b403b500b600b100af00b100b000b100b000b100af00b0
+00af01b000ac00b0000000b000b100b000af00b100b000ac00b100af01ac00ab02ac00aa00ac01ab00ad00ac00ad01ab00ad00ac00ab00ac000100a701a6000101a700a800a701a6
+00a700a200a300a600a100a700a200a600a700a200a600a100a200a100a800a200a100a701a300a700a600a100a700a300a201a302a200a301a200a100a2008402a200a102a2009d
+00a2019d00a2009e00a2009c00a0009d00a2009c009d009e01a2000100a200a303a200a100a301a200a100a201a103a200a000a200a700a102a700a200a300a200a3000101a100a2
+00a300a103a200a301a100a301a700a501a600a700a800a702a600a700a600a701a600a700a5140101a201a701ab000000ab01aa00ab03b000b1000004b000af01b000af00b000af
+00b03e01011206010111011206010111440100c400c500c300c400c300c401c303bf00be05ba01b901ba00b900bb03ba01b904b500b600b501b600b400af00b502b000af00b000b1
+01b000b100af00ab01b000aa00ac00b000ab00ad00b100b000ab00ac01b000ad00ab00ad00ab02ac01ab00aa00ad04ac02a700ad01a700a602a701a800a700a600a101a700a60001
+00a600a200a601a701a200a101a200a600a200a300a101a700a200a700a203a100a200a600a200a100a200a300a2008402a200a301a200a105a2009c019d009c00a3009d00a101a2
+00a100a000a302a201a300a200a300a200a100a302a201a100a704a201a700a800a101a200a100a200a100a202a300a200a300a200a100a700a600a801a700a607a700a600a701a6
+00a700a600a702ac110100a60092009c00a500a601ab00ac00ab00aa00b000af00b100b000af00b0000000b0000001b0010000af03b0000000b03e01011206010111011206010111
+440101c400c500c301c400c500c400bf00c000bf00be00c000be00bf00b900ba00b900ba00b900ba00bb01ba00bb01ba00bb00ba00b900ba01b600b404b500b400b501b000b201b0
+01b101b001b100ab00b100b000ac01b001aa01af00b000aa00ab00ac00b000ac00ab00ac00ab00ac04ab01ac00ab02a700a601a700ab00ac00a606a700a800a600a700a100a200a3
+00a800a100a500a201a300a801a200a600a200a100a700a800a200a100a700a200a700a600a700a100a204a700a200a7008400a2000100a200a102a200a100a200a300a100a200a1
+00a200a101a200a100a202a100a201a300a100a303a200a100a300a200a801a200a800a700a800a200a600a101a201a602a700a200a700a201a700a200a700a600a300a200a801a6
+02a700a600a800a600a700a601a700a600a700a802a700a600ab01ac00ab01ac00ad01ab0f0100a000a1000000ac02ab000000aa01b000af00b100b000af02b000af04b000af00b0
+00af00b000b100003e01011206010111011206010111440100c401c500c402c500c400be00c000bf01be00bf00ba00be000001ba01b901bb00ba00bb00ba00b900bb00ba00bb00b5
+00b401b601b500b402b500b101b000b100b000b100b200b000af00b100b000ac01b100ab00b100b000ac00b000ab00aa00b200ac00b100ab00b003ab000100ac00ad00ac02ab00ad
+00ab00a600ab00a701ac00a700ab00ac02a700a800a700a800a600a701a600a700a600a701a200a300a700a600a300a702a200a500a800a100a000a300a200a300a700a501a200a6
+00a200a700a600a200a600a200a600a200a100a6008400a100a200a700a200a700a102a200a100a300a200a300a100a201a101a200a100a300a102a200a001a202a302a701a200a7
+00a200a700a201a300a801a100a700a300a700a800a600a200a803a200a600a802a700a600a800a700a600a800a700a601a700a601a700a602a700ab00ac00ad00ac00ab00ad01ac
+01ab00ac00ad00ac0d0100a100a2009d00a600ab000000aa00ab00ac01af00b0000002af00b002af02b0000000b000b100b201af01b03e01011206010111011206010111430101c4
+01c300c500c400c500c300c401bf00be01bf01be00bf00bb00bf00bb00ba01b903ba00bb01ba01b400b600b500b600b401b501b400b600b100b000b200b000b100b000b100b000af
+00b100ac00ab00b100ac00b100ac000000b000ac00b100af00b000b100ac02ab00ac01ab02ac04ab00ac00a701a600a701a603a700ac00a800a600a701a800a700a601a700a600a7
+00a100a600a700a300a100a800a000a201a700a301a200a700a200a600a200a700a100a200a600a300a200a600a300a200a600a200a301a2008400a100a802a700a202a700a201a1
+00a302a200a303a200a302a200a102a200a600a100a300a800a600a300a600a300a100a600a200a700a100a201a700a2000102a700a101a601a700a801a7000100a602a700a601a7
+00a600a700a804a703ac00ad00aa00ab04ac00ab02ac00ad00ac0a0100a20093009d00a701ab00aa00ab00ad00ab000000af00b0000000b000af00b000b100b000b100b000af00b0
+00af00b001af00b200af000000af00b03e01011206010111011206010111430100c501c400c300c400c500c400c300c401bf01be00bf00be00c001be00b905ba00bb000002ba00b6
+00b500b602b500b600b500b600b002b100b000b100b000b100b000b101b000b101b000ab01b100ab00b002b100ac00af00b000b101ab00ac01ab00ac00ab02ac00ad00ab00ac00ab
+00a701ab00a801a700ab00a7000100ab00ac01a604a700a601a700a500a101a300a800a701a601a200a600a700a300a700a102a700a200a600a300a101a200a600a301a101a600a5
+00a2008400a300a700a800a201a600a700a200a700a800a700a101a200a100a301a101a200a100a200a102a200a700a200a700a300a800a600a700a601a700a100a800a700a300a7
+00a800a200a700a201a802a700a801a60ba701a6000100ac00ad00ab01ad00ac01ab00ac00ad01ac00ab00ac00ab00ac00ad03ac00ab00ac00ab00b2090100a1009d00a700ab00ac
+00aa01ab00af00b101b000af01b000af00b000af00b000af01b001af00b600b000af00b400b601b400b53e01011206010111011206010111430102c400c300c500c301c500c301bf
+01c000bf00c005bf00ba00b9000003ba00bb00ba00b501b400b500b400b500b600b501b600b502b000af00b001b100af01b000b100b000ac00b000ac00ab00b100ab00b000ab00b0
+00b100ab00ad00ab00ac02ab00aa00ab01ad00ac00ab00ac00ab00ad00a800ab01ac00a600ab00a700a600ab00ad00ac01a700ab00a700a600a701a800a6000102a700a200a700a8
+01a201a700a600a200a700a600a700a200a800a2000100a200a300a200a300a800a600a700a201a700a600a200a600a7008401a300a200a800a300a201a801a600a500a201a700a2
+00a101a200a302a700a100a300a700a200a800a200a700a800a700a201a300a2000100a101a701a101a201a701a601a700a801a701a800a500a700a800a600a801a700a800a700a6
+00a700ab00ac00ad00ac00ad00ac00ab00ac00ad00ab00ac00ab01ac00ab02ac00aa01ac00b000ac01b100b000b101b000b2060101a1009c00ab00aa01ac00ab01af00b000af00b0
+00af00b000af00b100b000b100b000b102b500b400b500b401b600b700b500b600b500003d01011206010111011206010111430100c500c300c500c403c500c400c004bf00c000be
+01bf00be01ba000001ba00b900ba00bb01b4010001b500b600b501b600b100af00b100b000b100b001af02b000b101b000b100ab00ac00af00b000ab00b000b100ab00ac00b000ac
+00b100ac00b000af00ab00ac01ab00ac00ab01ac01ab01ac00ab00a700ab00ac01a700a600ab00a701ac00a700aa00ab00a600a700a804a700a600a700a800a600a700a101a700a2
+00a600a700a101a200a800a601a100a200a600a800a300a600a800a300a600a700a600a700a200a7008400a700a201a701a200a602a200a100a700a600a300a700a100a700a300a7
+00a301a100a700a200a700a600a200a100a200a601a100a700a200a700a100a200a800a200a000a801a601a700a801a700a600a700a800a602a800a703a600ab00a700ac00ab01a6
+01ac00ad00ac00ad03ac00ad00ab00ac000102ac01ad00b000b100b001b206b1040101a1009d01ac00aa01ab00ac00b001af01b000b101b001af00b400b502b400b605b500b601b5
+00b43d01011206010111011206010111420100c300c400c500c400c300c401c501c400c300c000be00bf00c000be03bf00be00ba00bb00ba00b902ba000000b600b501b401b500b4
+01b500b701b500b000b100b000b100b001b100b005b100b000ab00b000b100ac00af01ab01b100ab00b001b100ac00b000ac00ab00ac00ad00ac02ab00ac00ab00ac00a600a700ac
+00ab02ac00ab00a601a700ac00a700ad00a701a604a700a800a600a201a100a200a700a200a100a300a701a200a600a700a300a200a601a700a100a600a200a100a200a100a200a7
+00a000a2008400a100a200a300a100a800a600a001a700a100a300a200a600a202a700a200a300a500a201a700a200a300a100a800a100a601a800a200a500a100a200a100a200a6
+00a700a602a700a804a701a805a700ad00a800ab00ac01ab00ac00a700a601ac00a701ac00ad03ac01ab00ad00b000ac00b000ab00b101b001b100b000b200b005b100b0020100a2
+009d009c02ab00ac04b000af000001af00b000b400b601b5000000b401b600b501b600b400b500b401b500b600003d01011206010111011206010111420100c400c300c400c501c3
+02c400c603bf01c000bf00be02bf01ba00bb01ba00bb00b901b500b400b500b600b500b600b500b403b500b103b000b100b200b102b000b100b000b100b001ab00ac00b201ac00aa
+00b100ac00b100b200b000ac00b000ac02ab00ac00aa00ac00aa00ab00ad00ab00ad01ab00ac01a700ad00a600ac00ab00ac01a700ab00ac00aa00a800a700a600a701a600a800a7
+00a500a601a701a300a700a300a600a800a201a600a100a600a200a300a100a200a800a500a300a800a102a701a8008400a500a300a701a200a803a200a700a600a701a200a700a6
+00a102a200a700a600a800a300a100a700a300a700a100a600a800a700a100a600a300a200a7000100a600a501a701a601a700a601a801a700a800ad01ab00a600ad00a600a800ac
+00ab00a700ac00ab00a601ac00a700ac02ad00ab01ac00b100ad00b100ac00b100ad00ac00b100ab02b100b001b100b001b100b000b200b001b100b500a2009d009800aa01ab00aa
+00ac00aa01af00b100af01b000b100b000b500b400b501b400b700b400b500b400b500b600b501b602b500b400b53d01011206010111011206010111420100c500c401c500c404c3
+00c500bf00be00c001be00bf00c000be00bf00be00b901ba01b900ba00bb00b401b601b501b400b500b401b500b600b500b000b500b000b501b0000000af00b000b105b001ac00b1
+00b000ac02b100ac00b100ab00ad00b100b007ab01ac01ab00ac00ad00ab00a700ab01a600ac00a700a600a700ad00a700ab02a700a502a700a600a701a800a600a700a300a101a2
+00a601a100a700a600a700a300a200a000a700a100a200a701a200a7000000a600a700a3008400a701a200a700a200a100a700a600a100a701a600a202a600a300a200a700a100a7
+00a200a100a200a101a200a800a700a6000100a300a702a801a700a200a603a700a600a800a7000100a700ac00ab00ac00a701ac00ad00a701ac00a600ab00a600ac00ab01ac00a6
+01a800a700ab00a701ac01ab00ad00ac00ad01b200ac01b102ac01b000b101b201b100b203b600a2009c0098009703ab03b003af00b500b400b500b400b501b400b500b606b501b4
+01b500b63d01011206010111011206010111420100c400c5000001c500c300c400c300c500c300c400be01c000bf00c005bf01ba00bb00ba00bb00ba04b500b401b502b601b500b6
+00b400b000b500b100b000af01b000b102b000b100b002b101ac01b100b000ac00af00b100aa01ab00b100b000af00ab00ac00aa01ac00ad02ac01ab00ac00a700ac01ab00a700ab
+00ad00a600a700a600a800ac00a700a800a600a500a801a700a600a700a601a700a200a600a700a301a700a201a700a100a600a700a600a201a703a204a7008402a100a700a600a8
+01a600a300a200a700a100a200a500a100a800a600a200a102a200a600a200a100a700a100a201a600a101a800a601a200a100a700a600a200a700a800a700a603a700a600ac00ad
+00ac00a700ab00a601a700a600ac02a7000100a700a800ab00a700a600ab01ac00ab00ac00ad00ac00ab01ac00aa02ac00aa04ac00b100b003b100b0000100b600b500b600a1009d
+009800aa01ac00ab01b000af01b001af02b000b600b500b601b500b402b500b601b500b400b500b401b500b400b700b53d01011206010111011206010111410100c400c900c401c5
+00c300c400c301c401c302be01bf00be00c002bf02b900bb00ba00bb00ba01b500b600b500b600b500b401b605b500b601b400b100af00b000af00b000b101b000b100b200b100b0
+00ab00b100b200ab00ac00ab00ac00b000ac00ab00ac00ab00ad02ab00ac03ab00ac00ab02ac00ad00ab02a700ab00ac00ad00a800a600ac02a600a800ab00a601a801a701a600a8
+01a600a800a200a301a700a200a101a200a600a200a503a700a200a701a100a700a600a800a10084000101a700a200a101a700a200a600a200a600a100a800a201a600a800a200a1
+00a600a700a100a200a701a100a600a200a300a600a700a200a800a600a700a200a800a200a700a600a200a600a200a600a700a800a603a700a600ac00a700ac00a801a600a701ac
+00ad00ab01ac00aa00ac00ad00ac00ab04ac01ad00ac00ad00ac00ab02ac00ad00b2000100ac03b100b000af00b702b600a2009d0097009800ac01ab00b000b1000000af00b101b0
+00af00b500b4000000b401b500b404b501b400b604b501b400b63d01011206010111011206010111410100c901ca00c900ca00c900c400c501c400c303bf01be00bf02be00bf06ba
+01b500ba00b500b400b501b602b501b400b600b502b601b000af00b001b100b001b100af00b100ac00b100ac00b100ac00ab00b100af00ac01ab00ac00b000ad00ab00ac00ad01ac
+01ab00aa00ac01ab00ac00a701a602a700a800ac00ab00ad00a700aa00a600ac00a600ab01a601a700a600a700a6000100a700a600a700a600a500a200a701a202a600a200a801a2
+00a700a200a000a600a300a700a600a200a300a200a3008400a602a701a600a700a800a300a800a600a700a100a700a300a600a200a700a100a700a200a300a700a104a700a100a6
+00a101a700a300a200a100a000a800a200a701a600a702a601a701a603a700a602a8000100ad00a600ad01ac00ad01ac00aa00ac00aa00ac01ab00ad03ac00ad00ab01ac00ab00b2
+00ac00b000b100b200b100b001b100b002b600a2009c0098009700ab00ac00aa02b000af01b000af00b000b502b400b600b400b500b600b400b501b400b500b603b500b600b500b6
+01b500b63d01011206010111011206010111410105c900c500c400c300c401bf00c002bf00be000000c000be01bf000000ba01bb00b903ba00b401b600b500b601b500b600b500b6
+04b500b100af03b001b100b000b100b000b100af00ac00b000ab00b001ab00b000ac00ab00b000b100ac02ab00ac00ab04ac00ab00ac00a500a700ab01a700ac00a600ac01a703ac
+00ab02a601a700a601a701a600a700a600a801a600a300a500a100a700a100a200a100a200a000a600a700a200a700a200a701a200a700a102a2008400a600a201a600a200a600a1
+02a200a700a200a700a300a200a100a600a701a300a200a700a100a200a601a200a700a300a700a300a600a500a700a100a700a201a601a701a604a700a600a800a600a800a500a7
+00a600ac00a503ac00ab00ad00ab00ac00ab00ad00ac00ab00ac00ab04ad00ab00ad00b000af000100b100b200b100b003b100b000b100b000b100b000b100b700a100a2009c0198
+00ab00ac00b002af00b101b000af00b402b5000000b500b600b501b401b500b402b500b400b500b602b500b4000000b53d01011206010111011206010111410100c900ca02c900ca
+01c3000001c403bf02be00bf00be00bf000000be02ba01bb00ba02b900b500b601b503b401b500b400b600b500b000b100af00b105b001b100ac00b100ab00af00b000ab00b000ac
+00b200b100ac00ab00b000b100ab00ac00ab02ac00ad00ab00ac00ab00a600ac01a700ad00ab00a701ac01ab00a700a600ac00a701a602a701a600a700a801a602a700a100a701a2
+00a100a700a000a600a701a600a200a700a200a600a000a100a200a700a601a200a800a200a3008400a600a800a700a501a200a700a200a102a700a600a200a300a701a200a700a1
+01a700a300a600a100a600a200a700a100a600a200a800a300a100a700a800a701a600a701a601a700a602a702a600a700a800a700ab00ac00a704ac00ab01ac01ab01ac01ab00ac
+00ad01ab00b000b100af00b200b100b001b201b100b000b100b001b100b200b100b200b100b700a200a1009d0098009700ab00ac00b000b102b001af00b101b5000000b400b600b5
+00b600b403b500b401b500b6000003b500b600b402b53d01011206010111011206010111400101c900ca00c900c801c900c401c500c400c501be00c000be00bf00be00bf00be01bf
+00c000be06ba01b901ba00b500b600b500b600b500b601b500b400b500b600b000b100b001b102b000af00b000b101ab01b101ab00b100af00ac00b100b000ab00b101ac00ab01ac
+04ab00aa00ac00a701ac00a700ad01a600ab00a700ad00a600ad00a700ab02a700a600a501a701a600a500a700a801a700a600a200a100a700a500a200a300a800a600a800a100a6
+00a100a700a100a800a200a100a200a700a100a700a601a100a200a600a100a600a100a200a600a200a100a700a200a100a700a500a000a701a200a600a200a700a300a600a200a6
+00a200a300a700a601a700a200a600a200a500a700a800a600a701a600a700a604a700a600a703ac00a702ac00a600a700ac00ab00ad01ab03ac00ad01ac01b200b000b100b201b1
+00af01b100b201b101b005b100b200b100b600a200a1009c0097019800aa00b000af03b000af01b002b500b600b500b400b5000000b400b500b602b500b602b500b404b500b400b5
+3d01011206010111011206010111400100cb01c900c800c901c801c400c500c403c300c400be00bf00be01bf00be00bf00c100bb00ba00bb00b900bb00ba00b901ba00bb00ba00bb
+01b502b600b501b401b606b001b100aa00b000ab00ac00ab00ac00b100b000ac00ab00aa00ab00b000b101ac00ab01ac00ab02ac00ab00ad00a600ab00a700ab00a600a700ac00a7
+00ad00a600a700ac00a700a600ac00a601a801a702a801a700a600a800a700a800a700a2000100a200a000a301a200a600a100a801a700a301a700a601a200a600a700a100a200a3
+00a800a700a100a200a600a300a200a100a800a100a800a700a200a600a700a200a700a200a700a200a600a100a700a200a601a700a601a700a301a601a102a700a602a702a602a7
+00aa00a800ac00a801a600ab00a702ab00ac00ab00aa01a600a701ac00ad00ac00ab00ac00ab00ad00ab00ac00b200ac00b200b100ab00b100b000b100b000b201b100b000b100b0
+01b101b200b400b100b700a600a100a2009d009b009700ac02af000000b000b100b000b500b400b500b400b500b402b500b602b500b401b500b901ba00b501b400b604b500b73d01
+011206010111011206010111400101c900ca01c900ca00c800c400c301c400c302c400c301c400bf00be00bf00c000bf00b900bb00ba01b901ba01b900ba00bb01b500b600b500b4
+00b600b500b601b500b401b000b100af00b100b001b100b000b100ab01b100aa02b100ab01b100ab00b100b003ac00ab00ac00ab000000ac01ab00a600ab00a700a600ab01a700ac
+00a700ab02ac00a600ab00a702a600a801a600a702a600a800a700a101a700a602a100a601a200a700a600a200a700a100a700a600a300a701a101a700a100a700a600a200a600a2
+00a700a600a200a800a700a600a100a700a200a100a800a201a700a200a100a200a100a600a700a201a800a702a600a701a600a500a201a101a702a600a700a603a703ac01a700a8
+00a700ad00aa00a700a600a700ad00ac00a700ab01a700ab01ac00ad00ab00ac00ad00b100ac01ad00ac00ad00ac00ad00b000b200b100b200b003b1000100b600b700b500b700a6
+00a300a2009c00980097009801af00b000af01b000af00b000b402b5000000b400b500b406b500b900ba00b600ba00b500b400b500b600b500b600b500b600b500b63d0101120601
+01110112060101113f0100c901c800ca000002c900c600c500c400c300c400c500c400c300c400c303bf000001bf02ba01bb00ba000001ba00bb00b500b600b500b602b501b601b1
+00af02b003b100b001ab00b000ab00ac01b000aa00b000af02b102ac00ab00ac00ab00ac00ab03ac00ab02a700ab00a700ac00a700a600a700a600ab00a700a800a700a801a700a6
+00a700a600a500a700a601a700a600a200a800a600a000a701a600a801a700a200a700a200a700a600a700a100a701a600a700a600a100a700a600a101a201a700a800a100a200a8
+00a601a200a701a200a700a300a600a500a200a602a200a100a701a100a600a101a200a000a200a700a200a100a601a100a201a700a600a700a800a700a800a700a602a701ab02a7
+00ac00a700ac02a703ac02ad00ac00ad00ac00aa00ab00ac00ad00b100ac00b101ad00ab00b001b100b000b100b001b100b201b600b500b600a601a2009d009e019801b001af02b0
+00b400b100b401b500b400b500b400b600b501b400b502b400b500bb00ba00b501b900bb00b500b605b500b73c010112060101110112060101113f0100c901ca00c800c900c801c9
+04c400c300c400c300c400bf00be04bf01ba00b905ba01b900b500b600b403b500b701b502b001b100b000b100af00b102b000aa00ab00af00b000b100ac00b100ac00b100b000aa
+00ac00aa00ad00ab00ac01ab00ac01ab00a600ac00ab00aa00ac00a700a600a701a600ac00ad00ac00ab00a603a701a802a600a500a700a6000100a600a200a600a200a600a503a6
+00a701a101a700a100a300a700a100a200a601a700a200a600a300a600a200a700a500a700a103a700a100a500a700a600a700a200a100a801a201a701a600a100a200a100a702a2
+00a600a801a700a202a102a200a800a700a800a602a700a601a701a801a700a600a7000100ab00ac00ab00aa00ac00ad00ab04ac00ab00aa00ac00ab02ac00ad01ac00ab00b005b1
+00b200b000b100b000b100b601b500a100a2008e009c00970099009804b001af00b500b000b103b600b400b600b700b602b500b703b500bb00ba00bc01b500ba00b400b500b603b5
+3c010112060101110112060101113f0101c902ca00c900c800c400c300c400c300c4000002c400c300c402be00c000bf00be00b904ba00b901bb00b401b501b600b500b400b500b6
+00b500b000b100b201b000b101b000b101b000b100af00b100ac00b000ac00b100b200ab00af00ac05ab02ac02ab00ac00ab00aa00ad01ab01a700a601ab00a600ab01a500a600a7
+00a600a700a601a700a803a700a600a800a100a200a700a300a100a201a100a700a100a700a600a200a600a200a600a300a200a800a600a100a200a100a501a200a600a800a200a7
+00a200a300a200a600a100a700a600a100a200a500a701a200a601a100a600a100a600a700a000a600a200a500a600a700a100a800a100a700a300a100a600a701a600a100a201a6
+05a700a601a700a601a701ac00ab00ac00ab02ac00ab00ad00ab02ac00ab00ad00aa00ad00ac00ad00ac00b100b000b200b100b202b100b000b100b205b100b000b100a200a1009c
+009d039700af00b000af00b000b500b600b000b500b401b000b600b405b500b601b500b401b500b601b500ba00b900b600ba00b500bb03b500b43c01011206010111011206010111
+3e0103c900ca03c900c500c400c500c301c400c501c400be00c000be01bf01be00ba00bb02ba00b901ba00bb00b900b500b600b500b403b500b100b000af00b101af00b000af01b0
+01b100b001b100ab02b000ad04ac00ab04ac00ab01ac00a700a600a800ab00a700ac00a601ac00a700a600a700ac00a703a602a700a600a700a600a800a700a600a101a200a100a2
+00a101a201a700a600a101a600a100a600a200a601a701a100a700a500a200a600a001a201a701a200a700a301a600a700a000a100a700a100a700a200a600a701a200a700a600a1
+00a700a100a201a100a800a600a700a600a200a600a300a100a801a700a300a600a700a500a800a700a802a603a700a600ab00a600ac00a801a700ab01ac00ab00ad00aa00ac00ab
+00ad02ac00b000ac00b001b201b102b000b101b002b100b202b000b101b200b100a000a1019d00980097019804b000b500b100af00b500b100b000b400b100b500b402b500b401b5
+00b400b602b500bb01ba00b600bb00b500ba00b900ba00b500b600b500b600b53c010112060101110112060101113e0100c900c800ca00c903c800c900c300c400c300c400c301c4
+00c300bf01be03bf01ba01b900ba00b901ba00bb00ba00b601b500b601b501b600b502b101b000af00b000af00b101b001b100b000af00b000ab00af00ac01b000ab00ac00aa01ab
+00aa00ac00ab00ac01ab00ac00a700a600a700a600a700a600a700a600a800a700a601ac00ab05a700a800a601a700a600a700a200a101a201a700a200a600a500a200a600a200a1
+00a300a701a202a600a300a701a600a200a600a700a102a200a600a700a100a700a200a600a700a300a201a100a200a100a200a101a200a100a200a100a700a000a200a500a200a7
+00a100a200a600a101a600a800a701a800a200a600a700a800a600a700a800a700a802a700a601a700a600ac00a600a700ac00a600a700ab00a702ab03ac00ab02ac02b000b100ac
+00b000aa00ac00af00b100b004b100b001b100b000b200b1000100a301a1008e009c00970298000000b000b500b600b100b000af00b401b602b000b101b600b500b400b500b600b5
+00b600b400b501b601ba00b600b500b600b900bb00bc00b500b600b400ba00b700ba3c010112060101110112060101113e0101c900ca02c901ca00c900c503c300c400c300bf00be
+01bf00c000be01bf00be00ba01bb00b900ba01b900bb00b600b404b500b602b500b602b000b100b000b100b000af02b100b000b102b001ab00ac00ab00ac01ab00aa01ab00aa00ac
+00ab00ac00a700a600ac00a601a700a600ab00a600a701ab00a800ac00a800a700a800a700a600a700a600a700a501a600a700a101a600a301a600a200a600a700a100a7000000a2
+00a700a201a600a700a300a600a700a800a700a101a600a200a600a700a600a300a700a100a600a200a800a300a200a700a100a200a500a700a500a300a700a201a600a200a100a2
+00a602a700a501a100a600a200a800a700a200a601a200a800a701a601a500a801a700a600a700a600a700a800ac00ab00ac00ad00ac00a600a700a501a701ac00ab00a600ab00ac
+02ab00ac00ab01ac00ab01ac00b100b001b100b000ac00b100b001b100b000b100b000b600b102b500a600a200a1009c019d0096019801b000b600af01b002b500b400b101b000b5
+00b102b501b400b500b600b500b600b500b400b500b600bc00b400ba01bb01b600ba01b500b601ba3c010112060101110112060101113e0108c902c301c401c500c400be00bf00c0
+00bf000002be00ba00bb00b904ba00b405b500b401b600b400b700b400b101b000b100b000af02b000b101b000b101b000ad00b006ab01ac00ab00aa01ac00aa00a700a602ac00aa
+00ac01ab00a603a700a601a701a600a500a600a801a200a600a200a100a600a100a800a100a600a100a701a201a600a700a600a100a200a302a200a100a700a200a100a200a700a6
+01a700a200a601a200a100a700a101a200a600a100a700a100a500a101a600a200a700a300a600a100a700a600a800a600a700a100a300a101a701a200a600a700a800a600a700a6
+00a700a603a700a600ab00a600a800ab00ac00a600a800ac02a700ac01a701ab03ac00ab01ac00ad02ac01ab01ac00b000ad00ab00ad00b200ac00b000b102b000b200b101b600a6
+01a1009c019d0297009900af00b100b000af00b5000000b400af00b501b000b601b000b500b600b500b400b600b500b400b600b500b601b500b600b502ba01b600ba00bb00b400b9
+02ba00bc3c010112060101110112060101113d0100ca00c900c800cf00ce00cb00c901ca00c900c400c500c302c403bf00be01bf00be00bf00c100bb05ba00b500b401b500b400b6
+00b501b400b700b603b501b103b000b103b001b100b001b100ac00aa01ab01ac01ab00aa02ab00ad01a601ad00ab00ad01a701ab00a800a701a800a700a600a700a800a600a802a6
+00a700a200a700a600a301a100a700a800a200a600a800a700a001a600a700a800a200a101a600a200a700a200a100a300a600a101a200a500a200a100a700a200a301a600a200a5
+00a701a600a700a100a700a100a300a800a100a002a700a600a100a603a100a700a201a601a700a801a600a700a600a700a600a500a700a800ab00a600ab00a700ac00ab00ac00ab
+00ad00ab00ad00a600ad00a600ad00ac00ab00ac00ab01ac00ab00ac02ab00ad00ac00aa00ac00b100ac00b101b000b100b200b100b200b100b003b100b000b202a100a2009d009c
+009900980099009800b000b400b100b500b400b000b500af00b000b601b500b702b500b406b500b601b500b602b500bb00b601ba00bc00b902bb00ba00bb3c010112060101110112
+060101113d0100c900cd00c800c900cf02c900ca00c400c500c600c400c301c400c501bf00c000bf00c000be02bf00ba00bb01ba00bb01b900b500b702b500b402b500b401b600b4
+00b500b400b602b100af02b002b100b000af00b100af00ac01ab00ac01ab00ac01ab04ac00ab00ac00a600ac00ab00ac00a800ac00ab00a704a600a700a800a702a600a700a601a1
+00a000a701a100a600a100a700a200a300a500a102a600a100a500a200a301a700a200a700a300a700a100a600a200a100a000a600a700a200a100a200a700a101a702a601a700a2
+01a700a101a700a300a100a200a600a100a300a700a600a100a700a200a100a201a701a601a701a600a800a600a700a500a600a700ac01a700ad02ab00a700ac00a701ab00a700a6
+00ab00ac00a602ac00aa00ad02ab00ad00ac00b000aa00b000ab00b100ac00ab00b000ac00b000b206b100a802a1009c009e009b0098009700980097009801b100b000b500b600b5
+00af00b602b500b600b700b402b501b600b400b700b401b500b600b502b600b500b700b600b401b500b900ba000000bb00ba01bb3c010112060101110112060101113d0100ce00cf
+00ce00cf04c900c403c301c400c001bf00be00bf00be01bf01c000b901ba00b900ba00b904b400b500b400b603b501b602b501b600b100b603b001b101b000ad01b100ac00ab00b1
+00ab01ac00aa02ab00ac00ab01ac00ab00a800a700a601ac00a500ac01a600a702a601a700a600a700a500a200a100a700a300a701a600a700a200a700a200a700a600a000a700a0
+00a300a201a600a100a200a100a701a100a200a700a601a200a601a100a700a000a201a700a100a600a300a101a700a101a600a300a600a100a700a602a701a100a600a000a100a6
+00a200a600a102a700a600a700a601a700a603a700a601ab00ad00a700ab00aa00a600ab00ac00a600ab01a704ac00a700a600ab01ac04ab00ac00ab00ad00ab00ac02b100ab00ac
+01b100ac04b100a600a200a000a2029d0098009700960099009700af00b001af00b101b000b601b500b601b500b400b500b600b400b500b700b500b601b500b600b400b603b501b6
+02ba00bb00ba00bb00ba00bb00b901ba3c010112060101110112060101113c0100cd02ce01c900ca00c801c900c300c500c400c301c400be00c000bf00be00bf00be01bf00be00bf
+00be00bb00ba00b901ba00b901ba00bb00ba03b500b400b601b401b500b400b500b600b501b000af00b001af00b001b100b004ac01b000b102ac05ab01ac00aa00ab00ac00ab00ac
+01a606a700a600a700a500a600a700a600a700a600a700a100a500a100a202a100a200a500a700a100a700a200a100a602a201a101a200a600a201a700a501a600a100a200a100a3
+00a600a701a104a600a700a500a600a201a100a600a200a600a700a100a200a600a001a103a701a600a700a800a600a700a600a700a800ab00a700ac00ab00ac01a701ab01a700ac
+00ab00ad00ab00a700ab00a600a700a500a700aa01ab00a701ac00aa01ab00ad00ac00ab00aa01ab00ac01ad00ac00b000ab01b100b002b100a200a300a200a100a2009b009c009d
+0198029700b000b100b000b100b501b000b600b700b600b500b600b500b600b500b702b500b401b600b501b600b500b400b600b500b400ba01bb00ba00bb01ba01bb00ba00b900bb
+00ba3c010112060101110112060101113c0102cf00ce02c800cb00c900c800c300c400c302c400c501bf00be01bf00c101bf00be00bf00b900bb00ba00b901ba00bb00b900ba01b5
+02b600b500b600b501b6000000b500b403b000af04b000b200ac00ab00b000ac03ab00ac02ab02ac00ab01aa01ab02ac00ab03a601a700a600a702a601a700a501a600a700a200a7
+00a100a200a700a801a100a200a100a601a100a300a601a200a600a100a600a800a000a200a001a100a000a100a200a800a200a100a601a200a101a600a201a602a701a100a200a1
+00a601a101a001a700a100a600a100a600a501a600a700a600a700a800a700a603a700a600aa00ab00a700a800a700a600ab00a801ab02a702ac01a701ab01a601ac00ab00ac04ab
+00ac00ab00ac00b0000101ab00ac00b100b000b100b001b100b200a600a700a100a0009c00a2009c009d009c009800970198009701b100b000b500b201b000b502b001b500b600b5
+01b605b500b400b602b500b900bc00bb00b500bb01ba00bc01ba00bb01ba00bb00ba00bb3c010112060101110112060101113b0102ce01cf01c900c801c900c800c401c300c400c5
+00c400bf01be00bf00be01bf01c000bf00c000b902bb00ba02b900ba00b901b400b502b604b500b600b500b102b0000000b002b100b000ab00b000ac00ab00ac00b000ab00ac00ab
+02b000ab00aa01ab00ac00ab01ac01ab00ac00a800ac00ab00a600a701a601a701a600a700a500a700a600a500a100a600a300a600a200a100a700a100a702a202a700a800a500a6
+00a200a700a000a600a300a002a200a600a703a601a100a700a600a100a201a100a700a100a200a100a200a801a101a600a100a300a600a000a700a500a200a701a600a501a601a7
+01a502a603a700a500a700a800a701ab00a600ab01a600a700aa00a800aa00ab00aa00a700a501ad00aa00ad00ac01aa00ac00ab00ac01ab00af00ab00ad01b100ac00b000af00b0
+00ab00ac00b100ab00af00aa00a600a100a000a1009c00a1029d009c00980297009300b000b402b000b100af00b500af00b000b600b400b000b601b500b400b600b501b600b700b5
+01ba00b600bc01ba00bb03ba01bb00ba00bb00ba00bb00b902bb3c010112060101110112060101113b0100ce01cf00cd05c900c800c500c403c300c4000000c500bf00be00bf00be
+01bf01be00b901ba00bb00ba00b902ba00bb00b900b600b500b401b500b401b600b500b700b401b000b101af00b100af00b100b000aa00b100ab00ac00b000ac01b000b100ab01b0
+00ac00aa00ac01ab00ac00ad00ac02ab00aa00ac00aa00ac02a800a700a600a700a600a701a600a503a600a100a300a100a600a201a101a602a702a100a602a100a600a700a800a6
+00a200a100a700a100a200a100a200a500a700a200a600a200a300a601a200a600a201a700a200a500a600a100a602a700a200a700a200a101a300a600a200a000a601a700a501a7
+00a600a801a700a502a601a700a500a700a600ab01a700ac00a701ac00a501a600a703ab04ac01ab01b101b000ab000100b000ab00ac00b000ac00b000ab00b000ac00ab01a601a1
+00a000a200a0019d009c009d0097009800990097009203b001b600b100b400b500b201b100b601b500b600b700b600b501b600b500b400bb00b900ba00b900bb00ba00bb01ba00bc
+00b902ba02bb02ba01bb3c010112060101110112060101113b0100cf01ce00ca00c802c900c801c900c3000000c400c300c401c300c400bf00c300be000001be00bf00be00bf00b9
+00bb000002ba00b900bc00ba00b901b5000101b605b500af01b002b101b001af00ab00af00aa00ab00b000b100ac00ab01b102ab00ad00ab00ac00ad00ab00ac00aa00ac01ab00ad
+01a700a500a601ab01a600a500a601a700a600a702a604a700a200a100a600a501a201a500a700a200a600a700a800a701a600a701a601a100a702a100a700a100a601a200a600a2
+00a700a200a700a101a700a100a600a800a600a300a600a800a000a701a100a600a100a700a201a700a800a701a600a700a202a600a700a601a700a600a500a702a600a700a600a5
+00a600a503a600aa00ab03ac00ab00ac03ab00ac01ab00ac00aa00ad00ab00aa01ab00ac00ab00ac02ab00aa00a500a600a000a200a300a2009b009c009e019c009d009800970098
+0092009300b500b602b501b600b100b600b700b001b601b500b400b503b600b400b600ba02bb00ba00bc00bb01ba00bb00bc00bb01ba00bc00ba00b903ba00bb3c01011206010111
+0112060101113a0101cf00ce00cd00ce04c900ca00c900c400c305c400c300c400bf03be01bf03ba00b900ba00bb00b900ba00bb00ba04b500b600b401b501b000af02b101b001b1
+01b000b201ac00b001ac00ab00b101b000ac05ab00ac00ad01ab00a600a700aa00a701a600ab00a702a601a701a600a800a600a701a602a700a601a200a702a200a500a600a100a2
+01a100a700a101a701a600a700a800a701a601a101a600a100a200a601a100a501a200a700a200a501a200a102a600a000a700a100a600a501a600a100a200a100a700a600a701a6
+00a100a600a500a300a200a100a502a602a700a600a702a600a700a800a701a601a701a601ab00aa00ac00ab01ac00ab00ac01ab00aa00ab00aa00ac00ab00aa00ab00ac00aa00ab
+00aa00ab01a600a705a1009c029d0099009800970098009700920093010100b600b500b603b500b600b400b600b401b500b600b700b601b500b4000100bb00ba00bc01bb03ba00bc
+03ba01bb01ba00bb01bc01bf3c010112060101110112060101113a0102cf00ce01ca00c9000000c800c900ca01c300c500c302c401c301c400c004bf00be00bb00ba02b901ba00bb
+00b900ba06b501b600b000af00b100af01b000b100b200b101b000b100b000aa00b000aa00ac00b102b000ad00ac01ab00aa02ab00aa01ac00ab01a701a500a602ab00ac00ab01ac
+00a700a601a700a600a500a703a600a700a201a600a802a102a700a100a201a600a101a600a100a700a600a101a601a200a800a300a101a200a300a500a700a600a200a000a101a7
+00a200a600a100a600a200a700a000a700a100a600a700a200a700a600a800a100a701a600a700a100a500a200a600a700a100a600a700a100a600a500a600a800a701a602a701a6
+01a701a600a700a502a601a703a601a700a600a500aa00a600ab00a603ab00a600a502a604a1019d009b019d009b029700960193050100b501b701b500b600b500b700b400b603b5
+00b601b500bb00ba00bb00b900bb00b901bb01ba00b900ba03bb00b900bb00ba00bf01c000bf3c010112060101110112060101113a0102ce00c900c800c900c803c900ca02c400c5
+00c401c301c400be00bf01be01c001bf00ba01b900bb00ba00bb00ba00bb00b600b500b600b400b604b501b000b200af02b000af01b000af00b000b100b000b100ab02b000ab00af
+00ab02ac03ab01ac00ab00a600ad00a700aa00ac02a600ac00a502ac01a701a600a700a800a700a500a702a601a701a100a801a700a100a300a600a100a600a300a100a300a700a1
+00a700a201a101a700a201a601a700a600a000a100a600a101a700a300a701a600a000a700a600a200a600a100a701a200a600a200a300a100a600a100a600a200a001a700a200a1
+01a600a100a600a200a601a201a100a300a600a500a700a600a702a600a700a601a700a801a700a600a500a701a600a701a502a600a500a600a700aa00a600a500ab01a500a70000
+00a600a000a102a200a1009e009c009d009c009d019c0098009901980292070100b601b500b600b503b601b501b600bb00ba01bb00ba00bb02ba01bb00ba00bb01ba00bb00bc01ba
+00c000bf00c000bf01c03c01011206010111011206010111390100cd02ce00c900ca00c900c802ca00c900c800c300c400c300c500c401c300c400bf00be00bf00be01bf00c001b9
+01ba00b902ba01bb01b5000002b500b400b503b000b103b000af00b000af00b103b000b102b000b100b000ab00ac02ab02ac00aa00ac00a500a700a500ad00a701aa02ac01a600ac
+00a602a700a600a500a700a601a700a600a5000000a200a700a801a100a700a101a601a700a100a600a201a100a000a700a302a200a600a701a600a101a700a100a600a100a80001
+00a600a000a700a602a100a600a101a700a101a201a600a700a100a000a100a600a500a200a100a700a201a700a101a700a600a300a700a501a100a200a101a600a700a500a600a7
+00a801a700a500a604a700a500a600a501a700a600a700a602ac02ab03a501a601a103a2009d019c009d029c01970099019801930b0100b500bc00ba01bb02b600b500ba01bb00ba
+04bb02ba02bb01ba02bb04bf00c03c01011206010111011206010111390101ce000000cf01c900c801c900ca00c901c800c300c500c300c400c300c500c300be00bf00be02bf01be
+01ba01b901ba00b902ba01b400b601b501b403b500b600b403b000af00b100b001af00b101b002b101b000ad00ab01aa00ab01ac00ab00ac01ab00a700ac00ab00ac00a700a600aa
+00a500a600a700ab00aa00a600a700a600a701a602a700a600a700a200a600a100a700a100a800a200a700a500a200a500a600a200a100a700a200a500a000a700a800a700a100a2
+00a100a001a100a700a601a100a600a700a500a100a600a101a701a200a800a700a100a000a700a600a000a700a200a100a700a200a600a100a600a500a100a800a101a700a200a5
+00a100a600a101a703a601a200a500a600a200a600a200a701a100a001a100a600a701a600a800a600a700a500a700a600a701a500ab00a600ab00a702a600a500a601a700a100a2
+00a000a200a100a200a1009c009d019c009d009c009e009d009801970098009301920d0100b601ba02bb01ba00bb00ba00bb00ba00bb00ba00bc00ba00bc01ba00bb01ba00bb02ba
+00b901bf00c002bf3c01011206010111011206010111380100ce00cf02ce00c900cd00c900cb00c901ca00c800c901c400c302c400c301bf00be01bf00be00bf00c000ba02b900ba
+00b901ba00b601b500b601b500b700b400b500b402b500af00b602b001b101b000b107b000ab00ac00ad00aa00ac02ab00aa00ac00ab00a600ab00a600a700ab01ac02ab00a700a6
+00a700a601a700a500a700a600a701a600a700a200a600a200a301a200a700a200a102a600a200a700a500a200a100a600a700a600a800a600a700a600a801a601a200a000a200a1
+00a701a200a100a200a800a201a600a800a302a200a700a100a200a100a700a103a600a700a600a700a100a600a701a200a601a100a500a600a101a201a100a000a100a600a300a5
+00a101a600a701a200a100a600a100a200a000a700a600a500a700a600a501a600a502a600a500a600a501a6000000a700a602a000a200a100a200a1009c019d009c009d009c019d
+0098009601980097009201930f0100b500ba00bb00bc00ba00bb03ba00bb00ba00bb00ba00b900bc00bb00ba00bb03ba01bf02c000c100bf00c000cb3b0101120601011101120601
+0111380101ce00cf01ce00c901ce00d003c900c401c301c401c300c400be00bf00be03bf00be00b903ba01b902b501b603b401b500b700b601b501b602b100b001b100b000b100af
+00b100af00b000b102ac03ab00ad00ab00aa00ad00ac00a600ab00a601a700ac00a600ab00a800a700a800ac00a600a701a600a701a600a800a500a700a600a700a200a100a600a2
+00a600a201a102a200a600a100a601a100a600a500a600a100a700a200a700a201a100a501a700a100a200a100a700a100a700a601a700a201a600a100a200a801a600a700a601a1
+00a702a600a101a700a100a601a200a600a000a600a100a800a601a100a600a700a000a200a700a000a100a600a100a500a600a700a600a500a200a100a000a601a100a700a500a6
+00a800a500a700a600a502a700a500a602a500a700a501a100a001a100a200a0009d019c019d009b019d009c009e00980097009800970092009300920093120101bb00b900ba02bb
+00ba00bb00bc00bb04ba00bc00ba01bb00c000c100bf00c000bf00be00c000be00c000c900ca00cf3901011206010111011206010111380100d400cd02ce00cf00cd00c900ca03c9
+00c504c400be00bf00c000be03bf00ba000002ba000000ba000000b600ba01b501b600b501b605b500b400b600b501b600b1000002b001b104b000aa00ab00ad00ab00ac00ab02ac
+01ab00a502a600ac00ad00aa00a600a701ac00a700a600a700a600a502a600a701a600a501a200a100a500a700a800a700a201a600a100a600a100a200a100a700a101a700a601a2
+00a300a600a300a500a601a101a600a700a100a001a300a200a700a600a002a200a701a101a200a100a6000000a100a200a100a600a100a700a100a601a100a600a300a700a101a6
+00a001a100a600a100a000a601a100a600a700a200a101a501a601a100a201a600a700a600a500a602a700a500a700a600a500a702a6000000a100a200a100a001a100a302a1019c
+009d009b009d009c019d009c009d00980097019800970293130101bb00bf00bb00ba02bb00b903c000ba00bf00bc00bb00ba00bc00c000c101c000bf02c000bf00ca02ce38010112
+06010111011206010111370100d400ce00d000ce01cd01ce02c900c800c900ca00c301c400c500c300c400be02bf00be00bf00be00bf00bb00b902ba00b901ba00bb00ba00b402b5
+00b600b400b600b400b600b400b700b500b700b600b401b500b000b100b001af00b100af00b100b001af00aa03ac05ab00a701aa00a602a700ab00aa00a700a600aa00ac01a600a7
+00a600a700a600a802a600a100a700a100a201a100a801a700a001a100a300a700a602a700a100a200a600a700a300a200a600a100a201a600a700a300a700a100a701a100a700a1
+00a201a002a201a100a000a201a100a200a300a100a501a200a600a700a100a600a300a600a002a100a500a100a600a700a500a600a100a601a700a100a503a600a100a200a700a0
+00a202a600a501a600a501a600a500a700a500a602a501a100a001a101a202a102a2019d009c009d009c009b009d009c019d0097029802930092160101bc00ba00bb00bc00bb00bf
+00c003bf00c000bf00c000bf03c000c100c001bf01c001ce02cf3701011206010111011206010111370100d300cd01cf00ce00cd01ce05c900c801c400c500c400be00c000be00bf
+01be00bf01be00bb01b900ba00bb00b900bb01ba00b900ba00b500b402b500b602b500b600b500b600b501b602b000b100b000b100af00b100b000b100b000b100aa01ac04ab01ac
+00a600a500ab00a600ac00a600a700a600a700a600a700ab00a600a500a700a801a600a500a600a700a601a800a102a200a600a100a200a600a701a100a203a600a500a700a200a6
+00a101a700a600a700a100a600a002a601a100a000a200a100a201a101a200a100a200a103a201a100a202a100a700a202a601a100a200a600a800a700a100a600a100a000a500a2
+00a600a100a000a500a200a600a203a100a600a200a101a500a700a501a601a701a600a700a500a700a102a000a100a000a200a101a202a100a300a1009b019d049c009d009c009b
+009d009600980297009601930091170101c100bf02c000bf01c000bf01c101c000bf03c002bf00c000bf00c000c101cf00ce01d03601011206010111011206010111360100d200d3
+01ce01cf00ce00cf00ce02c900ca00c900c802c400c300c500c400bf00be00bf00c000bf00be00c000b902ba00bb01ba01b900bb02ba01b400b500b600b400b500b400b6000000b5
+00b401b500b000af00b000b100af00b200b104b001ab01ad00ac04ab00a700ab00ac00ab00a500a700ac00a600ab00a601a502a600a701a600a700a602a700a100a700a200a301a2
+00a100a600a100a600a201a700a100a700a000a100a200a000a100a200a100a700a200a100a503a100a201a000a101a200a100a200a100a301a000a201a100a200a100a201a100a2
+01a100a201a101a200a000a100a700a201a100a000a100a500a100a600a500a100a600a500a600a700a200a000a201a002a100a200a1000000a000a101a001a100a200a100a202a1
+01a000a201a100a001a100a000a2000002a1019b009c009d009c009d009c009d009c029d009c0096009701980097009900910093009400931a0101c000bf02c000bf03c000c100c0
+00bf05c000c100bf00be00c001cf00d000cf00d000cf3501011206010111011206010111360100d201ce00cd00ce00cf01ce01c800ca01c900c801c400c500c301c401bf00c002bf
+00bb00b900ba00b900ba00b900bb03ba00bb00ba00b900ba00bb00ba02b500b404b600b500b603b005b102ab01ac01ab02ac00aa00ab00ac02ab00a600ab00a700a600ab00a700ab
+02a600a501a701a600a700a500a600a200a000a600a000a600a100a602a100a000a600a700a600a200a600a300a600a200a600a800a100a700a200a800a200a302a100a001a102a2
+02a100a200a000a100a200a001a100a200a000a201a102a200a000a100a200a100a300a201a100a200a100a700a100a700a100a701a100a700a001a101a202a100a000a100a200a1
+00a000a100a002a100a000a203a100a200a000a100a001a200a002a100a200a100a000a200a100a2009c009b019c019d009c009d009c009b029c0098009700980097009801970093
+0092009300921b0105c000bf00c101bf02c001bf00be00bf00c000bf00be00c000c100c000ca00d003cf00d000ce3301011206010111011206010111350100d300d201cf01ce00cd
+00ca01c900ca01c800ca00c800ca00c300c502c400c000be00bf00be01bf00bb01b900ba00bb04ba00b900ba00bb00bc00ba000000ba00b600b401b500b600b400b500b400b700b6
+00b501b100b000b102b001b101ab00ac01ab00aa03ac00ab00aa00ab01ac00a700ab00a700a600a700ac00ad00aa00a600a701a600a500a600a701a600a700a600a100a700a600a1
+00a200a600a100a601a100a000a301a600a000a200a000a101a600a100a701a600a701a201a100a202a100a205a101a200a300a0009b009d03a100a202a102a202a100a202a100a2
+00a100a000a500a100a001a101a204a101a200a000a201a100a003a100a001a100a000a100a000a100a005a100a202a100a000a100a0009e009d009c009b009d009c029d009c009d
+029c029702980094009200910092009300921c0101bf01c000c100bf00c000c103bf00c101bf00c000bf00c001bf00c000c401ca00cf01ce00cf00d000ce00d03201011206010111
+011206010111350101d300d403ce06c900ca00c800c3000001c401c303bf00c001ba00b902ba00b900bb00b900bb01b903ba01b600b500b400b500b400b500b601b501b000b100b0
+00af00b101b000b100b001ab00aa00ac02ab00aa00ab00ac01ab00ac00aa00ac00aa01ab00a600a700ab00aa00ab00a500a700a600a701a601a700a600a501a700a102a701a200a8
+00a301a700a100a600a100a200a600a700a200a600a201a100a000a100a000a100a200a100a301a201a100a000a2000001a201a100a001a1009c00a000a2009d009b009d00a2009b
+00a200a101a200a100a200a001a101a200a000a200a000a100a003a100a000a201a100a201a100a004a100a001a100a201a100a200a001a100a200a000a100a200a1000000a100a0
+04a100a201a1009c019d009b009c009b009d019c009d009c009d019c01970398009700980092029300941f0100c000bf00c100c000c103c000bf00c000bf00c100c000bf01c000c3
+00c500c401ca00c900ca00ce02cf00d000cf3101011206010111011206010111340101d300d400cd03ce00c900ca03c900c801c900c300c5000000c400c300be02bf02be00bb00b9
+00ba00b901ba00bb03ba00bb00bc00ba00b900b500b600b500b400b600b500b601b500b000b100b001b102b000b100b000aa00af00b001ac00aa01ab02ac00aa01ac01ab01ac03ab
+06a600a700a501a600a501a600a700a500a600a500a100a200a600a501a100a600a200a600a500a100a200a700a500a600a200a600a000a200a100a200a100a000a200a101a001a2
+00a001a1009c02a1019d00a1009c00a1009d039c00a1009c01a101a200a100a200a100a001a101a200a100a000a100a200a101a203a100a202a100a000a100a201a101a000a100a0
+00a103a000a100a000a200a000a201a101a000a200a0009b00a1019c009d019c009d009c019d009c019d009c009d009803970098019700980097009200910392200102c000bf00c0
+00bf00c100c000c100bf00c000c101c000c100bf00c4000100c400ca00cb00d000ce00cd00d000cf01d001cf00d02f01011206010111011206010111340101d300d203ce00c900c8
+07c900c400c501c300c402bf01be04bf00ba01bb00ba00b900ba00b900bb03ba00b404b500b600b500b000af00b200af00b000af01b100b000b200ac00ab00b100b000b100aa04ab
+00ac00aa00ab02ac00aa00ab00ac00aa01ab00a700ab01a700a501a600a500a601a500a600a200a600a100a200a700a200a600a102a601a700a600a700a200a100a800a600a200a1
+00a600a100a700a002a201a102a200a0009e019c01a1009c00a100a200a1009d00a1009b009d009c019d00a200a1009d00a2009c00a000a100a205a100a001a100a202a100a001a1
+01a001a1000000a2009d02a100a0000000a000a1000000a202a100a000a200a000a200a001a1009b00a100a2009c009d009c009b019c009d029c009b009c009d009c009b029d0198
+01970098009900960297009801930292220100c100c000bf00c500c000bf00c000bf000100c000bf00c101c000c400c601c500ce01d001cf00ce01cf00ce03cf2e01011206010111
+011206010111330102d303ce01c900ce01c800c900c800c900c801c900c400c302c400be02bf00c000be00bf02be01bf00bb00b902ba00bb00ba00bb000001b500b701b500b600b5
+00b600b500b001b100b000af03b000b100ab00b000ab00aa00ac00b100b001ab00ad01ab01ac00ab01ac02ab00aa00ab02a600a700a801a701a603a701a100a500a600a101a700a2
+00a700a500a700a800a600a100a000a500a101a201a600a700a200a100a002a202a100a200a3019d00a1039c01a200a000a200a100a2009e029d019c00a0049c00a200a100a200a1
+00a001a200a100a000a100a200a100a0009c009b019c00a0009c01a1000000a200a1009d009c00a0009c019b00a200a0009c01a0009b009c00a1009c0000009b009c00a1009c009b
+019c009d019c009b029c009d009c009d019c019d00970298009901970096039800920094009300920193230100bf00c100c601c400c000c101bf02c000bf00c502c400cf00d001ce
+00cf00ce03cf00ce02cf00d02c01011206010111011206010111330101d300d401ce00cd01ce00cd00ce00c800cd00c900ca00c800ca01c800c300c500c601c400be01bf00c000be
+00bf00c000bf00be00bf00b901bb00ba01bb01ba00bb04b500b402b500b000b100af00b100af00b002af01b000b200b100ac00b100ab00b000ab00b001ab00aa03ac02ab01ac00ab
+00aa00ab01a600a700a500a701a600a800a600a800a200a700a200a801a100a201a600a700a800a600a200a701a600a200a600a200a300a200a600a100a603a201a100a200a002a2
+009b009c02a101a200a100a0019c00a1009c00a1009c01a2009d01a101a200a100a2009c00a2009c009d00a201a100a200a000a200a000a100a0009d00a200a1009d00a1009c00a1
+019c00a2009c00a200a1009d009c009b01a100a3009b00a10000019b00a2019b00a1009b00a2009b019c019b019c009d019c029b009d009c019d019c009700980097019800970098
+0297009900970098019401930094250100c000bf00c601c500c100c000c101c000bf00c300c601c500c300cf02d0000100cf00ce01d000cf00d000ce00d001cf00d400d52a010112
+06010111011206010111320100d400d200d300d200d004ce00cd00ce00ca00c9000002c900c4000000c400c500c402bf00c000bf00c001bf00c000bf00ba00bb00ba00b904ba00bb
+06b500b600b400b601b000b100b001b100af00b100b000ac01b000ac00af01ab00b000ab00b001b101ab01ac01ab00aa00ab00aa01ab00a700a501a701a600a700a600a701a602a2
+00a600a500a100a700a002a700a600a001a100a700a200a700a600a700a500a602a100a000a101a200a300a100a200a100a200a100a2009c009d01a2009d019c00a101a0009c00a1
+009b00a100a200a1009c01a1009d01a1009c00a300a0009c00a200a1019d00a2009c00a1019c009d01a100a0009e00a200a100a200a000a2019c009d00a1009e00a201a101a0009b
+02a100a0009b01a100a0019c009b009d009c009b039c009b009c009d019c009b019d01980096009900970498039701920093019200940092260100c100c000c401c500c100bf01c0
+00c602c500c400c600ce00d000cf000101cf00d002cf00ce01cf00d500cf00d000cf00ce00d52801011206010111011206010111320100d800d201d302ce00cd01ce00cd00ca02c9
+00c801c900c501c401c300c500be06bf00be00b901ba00bb00b900bb01ba00b402b500b602b500b600b500b700af01b000b100b000af00b102b000b100af00b100ad00b200ac00ab
+00b101b000aa00ac00ab07ac02a600a700a600a500a701a601a700a203a600a202a600a500a601a100a700a100a700a101a200a601a101a603a100a002a100a200a100a000a1019c
+00a200a1009c00a1009d02a2009c01a100a200a100a200a1009c00a1019d00a100a200a1009c00a100a2019c00a200a100a0009d01a2019c009b00a3009c00a1019c00a1009c01a0
+00a2009d00a200a1009b019c00a0009b00a1009c01a101a2019b009c019b019c019b009d019c009b039d029c009700980096019700960397039800960393009201930094270100c0
+00c400c500c400c000bf00c001c100c500c400c500c400c500d000cf00ce00d000ce00d000cf00ce00cf00ce00d300cf01d400d300d400cf00ce00d400d000d22601011206010111
+011206010111310100d800d300d501d300cd00ce00cd00ce01cf00cd00c900c801c901c800ca01c303c400bf01c000bf00c0000002bf01b900ba00bb02ba00bb00ba00b500b60000
+02b500b400b500b000af04b0000000b000af00ac00b000ab00b101b000ab00ac00ab00ad00b100b000ac00aa00ab03ac00aa00ab00a700a602a700a601a700a600a700a600a500a6
+00a200a300a000a600a000a6000000a701a100a600a200a000a700a100a500a000a100a700a101a200a501a200a000a100a200a100a200a101a200a0009c01a2009b009d00a2009c
+00a100a200a301a1009c009b00a2009d00a100a201a1009b00a1009c02a1009c00a2009d00a001a1009b00a2009c00a101a203a100a0009c009d009c01a100a200a0009c009b0000
+029b009c01a100a2009c01a1019b009d019c009d049c009d009e029c009d009c009d019c009800970198019700990198009703980097009203930192290100bf00c600c400c600c5
+00bf00c500c402c600c400c500d000ce00d000cf00d000cf00d002cf00d505d400d300d500d400d300d400cf04d400cd00cf01d31b01011206010111011206010111300100d800d2
+00d400d201d300cf00ce00cd03ce04c900c4000000c303c401bf00be00c001bf00be00c005ba00bb00ba00b902b501b603b500b000af01b000af03b100b001ac00ab01b000b104ab
+00af01aa00ad00ac04ab00aa00ad01a701a600a702a600a700a601a701a100a200a101a201a100a600a101a000a500a700a100a200a500a300a201a700a202a101a200a001a201a1
+009d00a1009c01a101a2009b009c00a1009d00a1009b00a2029c00a1019c009d00a0009c009d009c00a100a000a100a301a1029d009c009d019c01a101a2009d00a000a100a200a1
+00a000a203a0009b00a000a1019b00a1009c00a100a0009b00a000a1039c009d009c009b009c009d009c009b039c019d009b009c0098019702980197019803970098029700930094
+00930092009300922a0100c500c601c500c300c600c303c500c400d000cf01d001cf00d500cf00d500d300d400d304d402d300d400d304d401d201d41c0101120601011101120601
+0111300101d800d201d300ce00cf01ce000000cd00c800c900c800ca00c900ca01c400c300c502c400be02bf00c003bf00ba00bb00b900bb00b900ba00b900ba00bb00b600b500b4
+00b601b501b600b001af03b000af00b101b000b100b000b100b000af00ab00af01ab00aa00b100ab00aa00ab00aa00ac00ab00ac00ab00aa00ad00ac01a701a600a701a602a700a5
+02a100a600a200a100a601a100a300a500a700a600a100a600a500a100a700a000a100a700a601a201a100a204a100a0009d01a1009c009d01a100a2009c009b009d009c00a300a0
+019c01a1009c00a2009b00a000a1019c009d029c00a2009b009d01a100a200a1009c00a000a1009b009c009b009d009b009d019c019b009c00a00000009d0000009c00a0009c009b
+01a1019c009b009d009b009c009b009c009b009c009d009b009c009b009c009d00000097009b009c0097009800990097009800970098009601970098009700980197009801970198
+009701920193019200932c0100c400c500c401c500c400c500c600c400c500c400cf00ce00cf00d0000100d000d502d402d501d400d300d400d300d400d301d402d300d404d31c01
+0112060101110112060101112f0101d800d900d300d400d300cf00ce00cf00ce00cd01c902c801c900c4000000c400c500c400c500c300c400c000bf00be00c001be01bb00b900ba
+00b904ba00b500b600b401b600b402b501b000b100b000b101b001af00b100b000b100ab01b000ab00b100ab01ac00b100ac01aa00ac00ab00ac00aa01ac00ab01a600a504a601a5
+00a700a000a200a000a704a600a700a600a201a000a200a500a200a000a600a101a600a100a501a100a200a300a100a000a100a201a1009d00a100a301a201a101a0009e00a0009c
+00a2009c00a1009d00a2009c00a100a2009e009c00a1009c00a1009c00a1009d079c00a2009b009d069c009d009c009b009d009c009d019c009d009b00a100a000a1009c00a201a1
+029c009b029c019b019c019d009c00970096009c0098009d009c029605970099009800960097019800970098009900940092019300920094018e2c0100c601c5010100c501c400c5
+00c600c502cf01d000d5000100d400d500d400d503d400d300d400d300d400d300d400d302d400d300d400d300d200d31d010112060101110112060101112e0100d800d700d801d3
+00d200d300cf03ce03c900c800c900c402c300c502c400c0000002bf000000c000bf00ba01bb00b900bb02ba00b500b600b500b403b501b000b100af00b001b101b000af00b000b1
+01b000b100af00b100b0000000ab01b000ab00aa00ab01ac01ab01aa00ac00ab00a700a501a602a500a700a600a700a100a700a200a600a100a600a201a100a600a501a600a200a6
+00a100a700a500a200a100a202a100a202a100a202a100a200a1009d009c01a1009e00a200a001a1019c00a1009c03a1009c00a2019c01a1009c00a000a100a2009c00a2009b00a2
+00a1009d00a000a1009d009c009e019c009b009d009c009b009c009b009d039c0000019c009d039c009b009d029c009d009c009d019c009b0197019d029c0197019d00960098009c
+01970096009800970098009700960099009600980097019800970099009701940093019200930091008d008e2d0100c602c501c600c500c600c400c500d003cf000101d502d400d5
+04d400d500d401d302d403d300d21e010112060101110112060101112e0100d800d903d300cf00cd01ce00cd00ce04c800c900c400c301c400c301c400be03bf00c001bf00bb04ba
+00b901b602b500b401b500b600b500b600b100b500af05b000b100b000af00b000b103b000ac00b103ac00ab00ad00aa01ab00aa02a600a500a602a700a500a702a600a700a200a6
+00a100a700a100a500a700a200a000a600a200a100a500a600a100a200a002a200a100a200a000a100a001a100a000a201a100a0009c01a1009d009c00a1029c009d009c00a1009d
+00a000a200a100a200a1009c009b00a1009c00a1009b00a0029c019b019c009b00a200a1009c009b029c009d009b049c009b019c009d019b019c0000029c009b029c009b019c019b
+009c00980097009d0297009c009e019c0097009c01970096009800970098059700980297019800960094009200930094009200930092018d2e0100c600c501c402c502c400cb0001
+00d0000100d000d4000100d400d5000100d400d302d400d500d400d800d300d200d406d31f010112060101110112060101112d0100d800d700d802d300cf00ce00cd01ce000000c9
+01c801c900c800c400c300c401c300c400c302bf00be00c000bf00be00c001ba00b903ba00b900bb00b401b500b601b501b400b500b600b400b503b000af00b000b100b000b102b0
+00af00b101b001ab000001ab00ac01ab00ac00aa00ac00aa00a501a601a700a600a500a600a700a500a101a600a100a500a000a200a600a5000000a100a707a100a2000001a100a0
+01a200a002a100a201a1009b019c00a100a202a100a2029b009d01a2009c009b02a1009b03a1009c00a1009d029c009d009c029b009c009b019c019b019c009b019c009b009d009c
+039b019d009e009c029b009c009b009c019b019d009b019c0098009c0197009c019d00980099019b02970098019701960198029700980097009901980097009901930392018d008e
+2f0101c500c600c500c402c500c404d000cf00d000d402d501d400d301d400d800da00d900d300d500d300d400d203d31f010112060101110112060101112d0100d800d701d200d3
+00d400d300ce00cd01ce05c902c401c301c402bf01c000bf00c001bf01ba00b900bb00b900bb00ba01b500b701b500b400b500b402b500b402b500b600b101b000af00b000af00b0
+00b101af01b000af00b100ac00aa00ac00ab00aa01ab01ac00ab00ac00a603a701a600a701a600a700a204a600a500a100a600a100a001a103a202a100a202a102a200a100a200a1
+00a200a100a3009c009d00a200a1009c00a0009c00a1019c00a100a2009d009c00a100a000a203a101a2009c00a0009d00a200a1009d00a1009c019d019c009b009c009d009c009b
+009d009c009b009d009b029c009d019c009d009c009b019c009b009c009b009d009c009d009b0000009b019c0097009c009700960197009d009c009d009c0097009b0098009b0097
+009d07970096059800970093019700920093009102920093018e310100c400cb00c600c400c5000101c401d000cf00d0000101d001d500d400d501d400d200d500d400d900d800d9
+00d300d800d300d201d400d200d320010112060101110112060101112c0100dc01d800d901d300d200d400ce00cd01ce00c901c802c900c300c500c302c400c000bf00be00bf01be
+01c000bf00be00b900ba000001ba03b500b700b500b600b400b500b600b500b600b500b401b500b400b500b400b603b000af02b000b100b000b100ac00aa00ab00ac03ab01aa00ac
+01a600a703a602a700a200a101a701a601a700a100a700a600a501a100a201a101a200a100a002a201a101a200a100a001a200a100a2009c00a2009c009d009c00a200a1009c00a2
+009c009d00a2009c009b00a1009c00a200a1009d00a100a200a1009d01a1009c00a201a1029c009d039c009d009b009d009c009d009c009d019c009b009c009d009c009b029c019b
+009c009d009c009b009e009c009b009c019b009c019b00960099009b0098009b0297039c009b009c0497009800960097009804970098019701940193009401930092038e310101c5
+00c600c500c600c500c600c500cf00ce00d0000100d0000100cf000100d301d401d501d400d800d301d900d402d300d900d500d321010112060101110112060101112b0100dd01d7
+00d8000002d300d400cd00ce00cf00ce01c800c901c800c505c401bf00be01bf02be02bf01ba00bb01ba03b500b402b500b403b500b600b500b601b501b000b104b001b100b000aa
+01ab00aa02ab01ac01ab00a500a700a500a700a600a801a600a502a600a700a200a502a101a600a000a602a200a000a200a100a200a101a202a101a201a100a2009c009d03a1009d
+00a1009c009d009c009d00a1009d00a2009d00a1019d00a100a2019c00a2009d01a1009b039c0000009b009d009b029c009b019c009b009c009d009b0096019c0098009d0098019c
+009b009c009b009c009b009c0000009c009b019c009b0000009c019d00980000009d009c00960097009c0096009700980097009c00980097009c009d000001970096009802970298
+00970099009200980097009301920096029301920193008d028e320100ca00c500c4000100c500c400c500d000cf01d0010101d500d401d500d400d700d400d300d400d901d300d4
+00d301d800d700d800d921010112060101110112060101112a0100de00d700d800da02d300d200d300ce01cd00cf00ca01c9000000c900c800c503c402bf00c000bf00be02bf01c0
+00bf00c002ba01bb00b900ba06b5000001b502b600b500b600b500b100b201b000b2000000b000b100b000af03ab00ac00ab00ac00ab00aa00ab00ac04a603a701a601a700a600a1
+02a200a601a100a600a203a100a203a100a204a100a000a2009b009c00a300a000a2009b019c00a2009c00a200a1009b00a0009b00a0000001a2009c009d029c00a2079c009d019c
+029d019b009d009c009e0097009d009c0096009c009e009c0197009c0097009b00970000019c019d009c009b019c009d009b009c0097009b009c0097009601970096009b029c0197
+00980097009d029700960397009600970099019700930091019200940192009301920193009200930091008d018e340100cb00c900c600c500c400ca00cf02d000ce00d001d50001
+00d400d501d300d901d400d500d400d300d200d800d300d800d900d82201011206010111011206010111290101de00d900d701d8000000d300d400d202cf01cd01c900ca01c900c5
+00c400c500c300c502c300bf00be02bf01be01bf00bb00ba00bb00b902ba00b900bb03b500b400b600b401b500b600b500b400b600b100b000b100b000af02b000af00b100b000af
+00ab00aa01ac01ab00aa01ab00aa01a600a500a601a701a600a701a600a501a703a601a100a602a100a200a004a100a200a1009d01a1009d009c009d00a1009c00a2009c00a000a1
+009b009c009d00a1019d009c00a101a200a100a0009b009c02a1009d009b029c009d009c029b009c019d019c009d009c019d009c0096009c0097009c0097009b019c009800970096
+009c009d0098009c0196009d009b0097019c009b009c009b009c0098009c009b0197009c009d0098009d0097009c009b009c0098009d009c00980197009800970098009702980097
+00980197009300920093009200930092019302920393008c018e008d008e340100cb00c800cb00c500cb00c901d0000101cf000100d500d4000102d500d400d900d400d300d900d8
+00d700d900d300d900d400d22301011206010111011206010111290100dc00de00d800d701d800d400d201d301ce02cd00c800c900c800ca00c800c300c401c501c401c500bf00c3
+01bf00c100bf00be00bf00be00bb00ba00bb00ba00b902ba00b9000000bb01b602b501b600b500b600b400af00b001b100b000b101b001af00b001aa00ac01ab01ac00ad00ac00ab
+01a700ac00a600a700a601a700a600a700a602a700a600a700a501a600a700a200a100a801a100a201a100a001a100a001a200a1019c01a200a1009b00a1009c009b009c00a1019c
+01a1009c00a1029c01a100a200a1009c019b039c009b019c009d029c019d019c009b009d019c009d009c009b009c009b00970098009b009d029c009b0097009b009c0096009c0097
+0098009b0097009b0097019c009d009c00970096009c0097009b009c009b0097009b00970098009c009b0098009d0097009d009c0197009800970098019701920000009801920096
+0092009102930094019300940092009301920093028d008f360101ca00c901ca000100d000cf000100ce01d0010101d500d400d300d800d500da00d400d800d700d300d200d400d9
+00d82301011206010111011206010111280100dd00dc00d801d700d800d300d401d300d200cd00ce00cd00ce00c803c900c804c500c400c300c400c300bf00be01bf00be00c000be
+02b901ba00b900bb02ba00b901ba00b403b501b600b500b402b000b100b002b100af01b000aa01ac00ab01aa00ab01aa01ab00a600a500a700ac01a600a500a701a601a700a500a7
+00a601a500a700a600a700a300a200a000a200a000a201a100a300a100a000a1009c01a1009d009c01a100a200a0009c00a301a2009c00a100a0009d00a100a000a200a0009c00a2
+009b019c019d019c009b059c009d049c00980097009b019c0098009c01960097009d0097009d0097019b009c0098009b00980096009c009d009b009c009b0296009b009600970096
+009c0097009b0197009d009b0097009c009d0097019b0097009c01980096009700980096019701920097009100930097009802920193009200910192009300940091009300910092
+048e370100c903ca03cf00ce00cf00d5000101d500d400d500d300d800d400d801d402d900d42401011206010111011206010111270101dd00dc02d800d403d200ce01cd00cf00ce
+00cd000000c802c900c400c500c401c503c400c101bf00be01bf00be00bf02ba01bb00ba00bb02ba00b902b500b400b501b601b400b501b000af00b100b001b100b001b100ab01ac
+03ab00ac01ab00a500a700ab00a500a700ac01a703a601a702a600a501a600a700a600a701a202a100a201a100a200a1019c00a0009c009b00a0009c019d00a2009d00a1009c00a1
+019b00a001a1009d00a2009b009c00a100a0019c009d039c009b009c039d019b009c0097009b00970098009b0096009b009d009c019b009c019d009c009800960197009b0096009c
+0096009c009b009d009700960297009c00970096029700980097009600980096009c0098009c02970098009c0096009d000000970098019700980092009700930092009800930097
+009801920191019300920091039301920093008d038e370100ca00cb00ca00c9000100ce01cf02d002d5000100d502d400d901d400d300d400d200d4250101120601011101120601
+0111260100dc01dd01d800d900d800d200d301d201cd00cf00cd000000cf00c900ca00c800ca00c900c800c300c400c500c300c400c301c400be01bf00c002bf00be00bf00ba00b9
+00ba00b904ba00b500b401b601b500b402b501b101af00b000b100b000b100af00b000ab00b000ac01ab00ac00ad00ab00ac00ab00ac00a500ac00ab00aa00a600ab00a601a700a6
+00a700a601a701a600a700a803a603a102a200a100a200a101a200a300a200a100a0009d009b029c01a2009c019d00a2019c009d009b009c009d02a2009c009b0000049c039d009c
+009d0097009b009c009b019c009800970098009b009c009b009c019b019c00970096009c0097009c0096019c0096009d0196019c0096009b01960197009600970098009600980397
+00960097009603970098009700980097019800970098009201930091019200930091019300920193029201930092009300920091028e008d008e390101ca00cb000101cf02d000d4
+00d5020100d402d300d400d800d401da00d400d32501011206010111011206010111250100e201dd00d800d700d900d800d300d401d300cd04ce00cf00c803c903c400c500c400c3
+00c500c400be01bf01be00bf01be02ba00bb01b902ba00b500b600b501b400b500b600b401b500b701b000b100b002af00b000b101ab00ac01ab00ac01ab00ac01ab01a600ab00a6
+00ac00ab01aa00ad00ac00ab07a600a700a601a700a100a004a104a2009b00a000a201a100a2009d01a000a100a200a100a300a100a2009d009c019b00a100a000a2009d009c019d
+009c019d029c009b019d029c009d0096009b019c0097009c009d0097009c0197009d0097009c009b009c009d009c00960098009b0098009b0097009c00970196009b009c00960097
+019805970096000001980097009800970098009600980097009800960098009601970093019200930092000000920099009802920193019202930091009300940092018d028e008f
+008d390100cb00c901ca00cf00ce00d001cf010102d501d4000101d300d700d200d900d500d82601011206010111011206010111240100e101dd000000d901d701d301d201cd00ce
+00cd01cf01ca00c900c800c901c800c503c401c300c404bf00c001be00c001ba00b900ba00bb01b900bb00ba02b500b600b500b601b501b602b100af000000b102b001ab01ac02ab
+00aa00ac01ab00a500ab00a700ac00a700a600aa00a600a700aa00a700ac02a700a600a702a601a700a600a101a200a100a200a100a200a100a200a3019c009d019c00a101a2009d
+009c009d01a100a3029c00a200a101a000a1009d00a0009d009c009d009c009b009d029c009e009c009d009c00970098009c009900980097009c009b019c0197009d009c0096019c
+009b00000097009b009c0097009d029c0096009c00960197009b00960097009600970000009800970196009800960097009600970096009701960197009601980297019800920093
+009200970092009601970093009702930092009400930094019300920093009200930092008e008d018e008d008e3a0103ca00d001d500ce01d400d500d402d500d301d400d501d4
+02d32601011206010111011206010111230100e100e300dc00d700d800d900d301d400d300d200ce00cd01ce00cd00ce00cf00c9000001c800c900ca01c300c4000000c303c400bf
+00be00bf00be01c000bf00bc00b900bb00ba00bb00b901ba000102b500b600b500b700b500b601b500b100b000af00b000af00b000b102b000af01ab00ac00ab00ac00aa00ab00aa
+03ab00ad00a500ac03ab01a500ab00a602a702a500a600a700a601a101a200a000a100a201a100a200a1019c009e009d009b009d009e009c00a100a0019d00a2009c01a1009c00a2
+00a100a2009c009d009c009d009c019b019c009b029c009d009c009d0098009c0097009d0297009c0197009c01960098009d00980097009c029b009c009b009700980097009b0197
+009b009c009800970396009800970096009700990096039700980097009601970298019700980097009800960098019300970098009304920193009100920293009100930492018d
+008f008e028d3b0100ca01cb00d000d400d500d402d500d400d500d401d500d400d301d400d500d200d92701011206010111011206010111220100e200e100de00d901d8000000d3
+00d201d301ce01cd02ce00c9000000c901ca01c900c500c301c500c400c500c401c000bf01be00bf02be01ba00b900bb01ba00bb00ba00b904b500b601b500b600b000b100b000b1
+00b000b100b001b100b000ab00ad02ab02ac00ab01aa00a503ab00a700a600ab00ac00a700a500ab01a601a500a700a600a702a602a200a100a200a100a2000100a100a200a100a2
+009c009b00a2009d01a2009c00a1009c00a1009b00a2009d009c00a1009d00a2009d00a1009c00a201a1009c009d029c009b009c009d009b009c0197009c0097009b0097009b0097
+019c009800970096009d019c0198009d0098009c0000009c009b009d0196019c0000009c039800000196009700960597019603970000009600980697009600980092009300970198
+0193009200930092009100920093009200910493009200930191008d008f008d008e008c018d008e3b0101ca00cb00d001d400d300d4000102d500d401d501d400d502d428010112
+06010111011206010111210100e200e100de00d701d800d300d400d200d300d201cd00ce00cd01ce02c900c800c901c800c900c500c300c400c301c400c500c102bf00be00bf00c0
+00bf03ba00bb00ba00b901ba00b900b602b501b401b600b500b400b001b101b000af01b000b100b002ab03ac01ab00ac00a501a600a700a600a500a601ac00ab00a800ac08a600a7
+02a100a200a101a203a1009c00a000a2009d00a2009c009d00a000a1009d009b00a2009b00a1019d00a1009b00a1009c019d009c00a1019b019d019c009e019d009b0198009c0397
+009c019b009c009b009600970096009d0097009b019c009b009c009b019700960098009b0096009d009b019602970000009800960097009800970099009801970098009700960197
+0098009600970096009801960098019701960097009103920198009200960093009202930292009101930392008d008e008d008e008d008f008e008d3c0100ce01cb00d000cf03d5
+000100d5000100d500d401d502d400d300d22801011206010111011206010111200100e300e200dc030104d300cd00cf00ce01cd00ce01c900c800ca01c901c500c401c302c401c0
+03bf00c000bf00be02ba000001bb02ba01b503b401b500b400b500b000af01b001af00b000af00b102ac01ab01ac00ab00aa00ab00ac00a600aa02ac00ab01ac00ab00aa00ab00a6
+00a800a600a803a601a700a600a700a100a000a100a200a002a200a101a200a0009d009b00a1009e00a1009d009b009c00a1019c009d00a000a1009c00a2009d009c009b029c009b
+009d039c009b029c0098009c0097009b0297009d009c0197009c0096019c009b009c019b0197009c009b009c009d039b009c00960098019701960397009602970096019700960197
+009800960197029800970196009801970098009300920097009800920098019200000093009200940093019200930192009100930192009100920094028d018e008d008e008d3d01
+00cf00cb00cf00d300d4000100d400d502d400d501d401da00d901d829010112060101110112060101112b0100ce00cf02ce01ca00c800c900c800c900c800c300c400c300c400c3
+00c500c300c403bf02be00bf00be00bf00bc01ba00b900ba00b900bb01ba000000b500b400b600b400b500b601b502b000b103b001b100af04ab00ac01ab00aa00a600a700ab00a6
+000000ac01a600a701ac00a600ac00a702a600a800a700a501a600a2000001a200a100a200a100a000a300a100a000a100a200a100a300a2009b009c00a1009c00a1009c00a0019c
+00a1009c00a2009c00a2069c009d009c009b019c009b019c019b029d009c01980196009c009700980197009b009c0097009d009600980097009d0098009c0197009c009800970196
+0098009701960297019800970092009700960197009600980097009800960197009606970098019200910092009800930192009303920093029200930092049300940093018d028e
+028d3e0100d000ca01cf00d400d300d402d500da00d500d900da000102d92a010112060101110112060101112e0101ce01c803c900c301c400c300c502c401c000be02bf00c001be
+00bf00b900ba00bb00ba01b900ba00bb00b603b500b600b500b601b500b600b101af00b100af00b000b101b001ab01ac00ad01ab00aa00ab00ac00a600ab00a700a500ac00ab00aa
+00ab00a700ab00a701a600a501a600a500a600a700a600a700a602a100a300a003a100a000a100a001a1029c00a1009b009d009c00a0009c00a200a1009d009c009d019b019c009d
+009c009d009c009d009c009b009d009c009d039c009d0096019c009d0096009c00990097009d009c009d0097009d009b00970096009c009d009c0000019d009b0097009800960099
+009700960397029600970099009600920197009800930097009800910093039700960198019700980197009900920197009200910098009200970092009101930292009300920093
+019200930192009300920093008e008d008e008d008e028d008e3f0101cf00d000d500d300d500d400d900da000102d902d82b01011206010111011206010111310100c800c900ca
+02c900c504c402bf00c001bf00c000bf00c000b900ba00bb00b900ba00b901bb00bc00b900b601b500b601b501b600b102b002b100af01b100af00ac00b100ab01ac04ab02a600aa
+00ab00a800a600aa00ab00ac00a600a700a602a700a600a501a701a600a500a100a002a100a001a100a200a102a200a100a301a1009c009d00a1009c009d00a1009c009b009c019d
+009c009b009c009d019b009c019d009b059c009b009c019800960097009c009e009c0197009c01970096009e0098009c009800960097019b009c0096029700980197009800960097
+009800960197009600970092009800970096009700930091009801960097009200930197009600970098009700980097009800920093009600930092009600910098009700980096
+0492009300920093029200930392008e018d038e008d018e3f0100d001cf00d501d401d5000101da00d900da02d92b01011206010111011206010111330101c800c900c503c400c3
+00c603bf00be01bf00c009ba00b600b700b400b601b500b600b500b001af01b000af00b000af03b001ab00ac02ab00ac00ab00aa00a600ab00ac00a700ab03a600ab01aa00a503a6
+00a500a700a600a700a600a200a101a200a100a000a100a000a200a100a200a000a100a300a1009c00a2009d00a2019c009d00a200a1009c009d009c009b009c019d009e009c009b
+019c009d009b019c009b009c009d009c0099009d0096009e019b01970098009c0096019c0097009b009c009b0098009d019c00980297009601970096029703960297009100920097
+0192019600910197009200970092019601980097009200930092009801970092009800920098009200970096009701930092009300910093039200930192009403920193018d008e
+008f008e018d008c008d400101cf00d004d500da01d900da00d900d800d92c01011206010111011206010111350101c301c401c502be00bf00c004bf00ba01bb01ba00bb01ba00bb
+03b500b400b700b400b600b500b601af01b100b000b100b000b100af00ac00ab00ac06ab00a700ab00a600a501ac00ab00a700ab01a700a600a702a600a701a600a700a600a700a0
+03a200a006a100a2039c01a100a2009c00a0009d019c009d009e009c009e039c009d039c019b009d009c0197009b0298009c0198009d009c009d009e009d0098009d009b009d0197
+009b01970396019700960099009700960197009800000096019701920096009200910292009801920197009801930092019700920197009200970092009102970098009700910092
+009600980193009400930092019300920091008d00940293008d0093018e068d018e410100ce00cf00d501d300d500d9000100da01d900da00d92d01011206010111011206010111
+360100c400c301c400bf01be01bf01c001bf00b902ba00bb000000bb02ba00b600b401b600b400b600b402b500b000b200af02b000b101b000aa03ab00ac02ab02ac000002ab00a6
+01ab02a600a702a603a701a600a200a704a100a200a100a001a1009d00a100a200a1009b00a2009c00a000a101a2009d019c019d009c009e019d009c029d039c009700980097009d
+009c0099009c009b009c00960098009b009c0198029c0097009b0097019c009b00960197009800960097009801970096009700980097009801960097009201970092000000910092
+009700910096009800930091009600980093029200960093009601930098009701920093009100970091009701920097019100920094009300910093009200930192008d0292008d
+01920093008d008e008f008d028e008d0089420101d000d400d301d400da00d900da00d901da00d82d01011206010111011206010111380100c500c300c000bf00c003bf00be03ba
+00bb03ba02b500b401b502b600b500af01b000af01b000b101b000af00aa01ab03ac03ab00a700ac01a600a500ab00a500a700ac00ab01a701a500a601a700a500a600a700a601a7
+02a100a200a100a202a000a200a101a2009d00a200a1009d009c000000a2019c009b009e009c019d009c009d0000009c009d009c0097009c0097009d0198009b009d009700980197
+009c0096009b0197009c0098009c0196009d009b009c0097009800960098000000960197009603970196039700980392009300970098009100920291029700910097019200930097
+009600970091009600930592009101920091009200930292009300920293028e008c0092008d008e008d0093008e008d008e008f028e008c008d00880089430100cf00d401d500d3
+00d900da00d902da2e010112060101110112060101113a0100bf00c000be02bf00c000be00ba00b901ba00bb02ba00bb00b602b500b600b403b501b105b000b100b002ab00ac00ab
+02ac00ab00a700ac01ab00a801ab00a700ab00aa00ab00a600a501a600a501a601a700a600a701a601a202a100a001a100a000a200a0009d019b00a1009c009b019c00a1009d00a0
+019c019d039c009d029c009802970096009c0097009c0097009600980097019d009c0097009b0097009c0097009d009c009b009d0197019800970096009700960198039700980297
+00930091009200970092019700920097029201910092009300970093009600970098009200910097009201970098019100920093009101920093009200910192009402920193008d
+0092008c018e018d0092018e008d008e018d008c028d018e00880189430100cf01d500d400da01d900d701d92f010112060101110112060101113c0100c001c101bf00bb00ba01b9
+00bb04ba00b500b400b500b602b500b400b600af00b100af00b100af01b100b000af00b100ab00ac00ab00aa01ac02ab00ac00ab00aa00ac00a700a501a600a700a600ab00a705a6
+00a704a603a100a001a100a001a1009c009b00a200a100a2009c00a101a2009c00a0009c00a1009c009d019c009d009c009b009c009d009c009600970196009c019b009600980197
+00960098009700980097009b009c0098009b0096009c0096009800970196000000970098039701960197009601970098009300920097009800920093009100970192009600000192
+0097009100960093009200980197019200000097009100980092009102920093019202930000009305920091018d018e008d018e018d008e008d058e008c008d008a008800894401
+00d001d400d500d400d801d900da30010112060101110112060101113d0100bf00be00bb02ba00b900bb00ba00bb00b902bb00b400b5000002b600b500b100b001af01b001b100b0
+00b100af00ab01ac00ab00aa00ac01ab00ac00ab01a600a500ab00aa00a600a700a600a701a601a500a702a600a502a700a500a200a100a200a101a201a100a201a1009d019b01a1
+009c00a100a2009c009b009c009d019c009b009d019c009b009e009c009b009c0097009c009d009801970098009b0097009c009700980096009c0096009d009b0197009c00980097
+009601970096029700960097019600980097009800970096009701920098009300970096009701980000009701910096009200910092009100980091009300920091009702920096
+009700920096009101920191019200910092009301920093009200930192009300920091008e008c018d018e018d018e018d008c018d008e018d008e008d01880089450100d300d5
+00d400d500d900d832010112060101110112060101113f0100bf00be03ba01bb00ba00b900ba00b900b600b500b700b400b600b502b000af00b100af00b100b000b200b004ab00aa
+00ac03ab00a6000000a700ab01a600ac00a700ac00a700a500ad00a500a700a500a702a600a500a600a700a200a000a100a201a100a000a100a000a200a1009b009c019d00a101a2
+009c009d00a2009c00a200a1009c009d009c009b029c009d009b009d0098009c01970098019d00960197009c0098019c0097009c0096009700960097009801970096019700960497
+009802970096009700920091009201970093029200910096009101930096009200910092009600970091009200910097009200980091009800960097009305920093009101920091
+00920093019201930192009300920093018d028e018d008f048e0000008c038d008900880089480101d400d93301011206010111011206010111400100b901ba01b901ba00bb00ba
+00bb00ba00b501b601b500b600b100b001b100af00b001b100b002ab02ac00ab02ac00aa00ab00a700a604ab02ac00ab04a700a503a601a100a204a100a201a1009c00a100a000a2
+01a0009c01a100a300a0009d009c00a1019c009b009c049d0097009c00970000019c009d0098009c00970096019c0097009600970096009803970198009701980197019800960297
+009200960097019200970091000001920091019200960097009200970092009700000192009100930091009700960097009103970292009101920091039200930091009200930092
+00930192009300940092008d008e008c008d008c008d008f038d008c008f018d008e018d008e008d008e018900887f01011206010111011206010111420100bf01ba01bb00ba00bb
+00ba01b400b501b601b500b000b104b000b100ab00ad00ab00ac04ab00ac00ab00ac01a600aa02a600a702a600ad01a600a500a600a500a602a700a5000000a201a002a100a002a2
+009c009b00a2009b01a200a000a1009c009b009d019c00a1009d009b019c019d019b009c0098009d0098009c0097009d00970096009d009701980196009800960197019805970096
+019802970098009600920096019700960297019101970192009700920097009600970192009100930192009101920096019200000097019301920091019300920091009301920091
+0093019200930392009100920093008d008e008d018e018d008e018d008e008d008e008c008d008e018d008e028901887f01011206010111011206010111430100bf01ba00bb00b9
+00bb00ba00b900b600b500b400b501b600b000b100b000b100af01b000b101ab02ac00ab00ac00ab00ac03ab00ac01a500a700ab00a800a600a700a600a501a600a500a600a701a6
+01a701a100a201a100a203a100a200a300a1009e00a301a100a201a100a2019d009c009b019d069c0098019c009b0098009602970098029600980197009802970098039701960098
+009700980097009800920096019700930091000001970098009600970192009300970091009700980191079200940092009602970192009301920193019100920291039201930192
+00930092018d008c048d008e008d008c008e018d008f008e018d008f018e0188008700898001011206010111011206010111440101b900ba00bb01ba00b903b500b402b000b100b0
+00b100af00b000ac00ab00aa000001ac00aa01ab00ac01ab00ac00ab00ac00ab00aa00ac00a500a600ab01a601a702a600a502a600a002a103a200a100a200a1009b00a1009d00a1
+00a2019c00a2009c00a3009d00a100a2019d009b009c009d009c009d019c009d0098009d009b00990096039700980397009600970098009600980197009800960000009600970092
+009901920096019200000097009200970092009800960098019200970094009200970091019700920091009302920191009200910092019101920191009300910092009300920191
+0492009302920191009200910292008d008e008d028e008d018e028d028e008d018e018d008e0089018801878001011206010111011206010111460100bb000000bb01ba00b501b6
+01b500b400b101b000b100b000af00b000ac04ab00ac05ab00ac01ab01ac00a700ab01a700a600a700a500a600a703a600a100a000a205a100a001a100a200a100a000a100a000a2
+009c009d00a200a100a2009b039c019b009c029d019c0097009801970098009700960197009800960097009604970098039700960093019600980096009300970092009800920093
+00920093009703920098029200000093029200910192039101920091009300920091009301920093009103920093008d01920091019201930092009100930292018e008d008e008d
+008e008d018e008d028e038d008e008d018e008800890088008700888101011206010111011206010111470102ba00b600b404b503b000b102b004ab00aa00ab00ac02ab00ac00aa
+00ab00ac02ab01a701a600a701a600a700a600a500a600a000a100a200a101a203a100a0009c009d00a1009d00a100a200a1009c009d009c00a1009d009c009d009b009c009d009c
+009b039d019b009700980197009800970198079700960198029702960098009101970091009700910093009602920197009201980192019100000191019200910092009100920093
+009200930092009100930892009300000292008e009301920091049300920093048d008e018d018e018d008e008d028e008d008e028d008e01880189008881010112060101110112
+06010111490100bb00b404b500af00b000af02b0000001b000b100ab00aa00ac00ad02ab00ac01ab00ac00aa00ac00ab00ac00aa00ab03a600a700a601a702a600a200a100a205a1
+00a200a1019c009d00a1019c00a100a0009c009d009c009b009c009d039c009d009b009c009d019c0096029700000097009600970198019701980097029800920093009800970096
+0093009800910092009101920096009700960093009101920091009800930091099200930092009100930692009100920000009300910092009300910092019100920093008d028e
+0091009300910193009200910093008c0092028d008e008d028e048d008e008d008e028c008e018801890188008981010112060101110112060101114a0100b700b602b500b600b5
+01b000af02b0000002b000ac01aa00ac00ab00ac00ad00ac00aa01ab00ac00aa00ac00aa00a500a700a503a700a600a701a601a100a200a100a202a1000000a100a000a200a101a2
+009c009d009c00a1009d029c009d009e009d019c029d019c009d009e0497019800990097009801970099009101970092009700980092009700920099019202970092009700980091
+01970092009900930097000000940097009601920093039200930192019100920091029200910000009200000093009201910192019100930191008e008d008e018d009101920093
+008d00910193008d008e008d028e008d008e018d008e018c038d048e0189008701890088008982010112060101110112060101114b0105b501b000b101b000af00b000af02b000af
+00aa01ab00aa00ab00aa03ab00ac00a701a600a501a602a701a601a203a100a200a100a001a101a200a1009c00a1009b009e009d049c009d009c009d009b009d039c009d009e0096
+029800970296009801970099009300970093019700920093009900920093009101920097009200980092009700920096009100920097009200910093000000970292019100920093
+00910192009100920191009200910392009300910192009102920091009200910392008c018d008c008e018c028e018d008c008d018c008d008e008d008e018d0000018d008c008d
+008e028d008c008e008d008e00870188008701880089008882010112060101110112060101114c0100b600b400b500b400af00b102b000b100af00b000b100b000b100b000ab00ac
+02ab00ac00ad01ac00aa00ac00a700a600a700a600a500a600a700a600a700a600a500a600a304a100a000a200a000a100a200a1019c019d019c019d019c019d019c019d009b009d
+009c029b009c009603970096019700980197009200970196019300980097009200980091009700920197009800970000009800910192009602920097019200910392009103920091
+009200930091009300920000009400920000029100920091039200910192028d018f008c018d018e058d018c008e008d008c018e038d008e018c038d008c018d01890288008a0189
+83010112060101110112060101114e0101b500b001b102b000b102b000af00b000ac00aa05ab01ac00ab02a700a500a701a601a701a600a000a200a100a001a104a200a0009d019c
+009d029c009b009c009d019c009b009c009b009d009c009b049c01970098009701960097009601970099009200970192009800920097009600930192009701920098009200000094
+00960292009700960f92009100920091008e0092008d008e039201910292009100940191008d008e008d008c018d008c008e008c018d008e008d008f008e038d008e008d018e008c
+018d008e008f008c008e008d008e018d008e008d008c018e00890088018901880089008783010112060101110112060101114f0100b500b101b000b100b001b102b000b100ac00ab
+01ac00ab01ac00aa00ac00ab01a600a500a602a700a601a700a603a100a200a100a200a100a200a000a200a3009b00a1009e019d009b029c009d009c009d009c009d009c019d019c
+009b009c009d009b009d0497009800970096039700920098029700980093019700920091009700930097009301920093009601970092009300920093009201930192019100930592
+009100930092018d0000008d008c018d0092029100920093009201910092008d008c028d008e008d008e008d0000028d008e0000018d008c008d008c008e008c018d008e008c0089
+008d008e008c008e008d018c028d008e008900880087008800890188018900888301011206010111011206010111500100b101b000b100b001b101b000b103ac00ab00aa00ac0000
+00ab00ac02a700a600a801a601a700a600a700a600a200a100a000a300a100a201a102a2009c009d019b049c009d019c009d019c019b009c009d0097009d009b009d009c03970098
+019701960097009603970092009700930092009600980091009300990097000000920098009601920093009101920193009101920093009100930092009100920093000002920094
+0000018d008c018d008c028d0092008c019201910092018d008c008d018c008e008f048d008c018d018e008c018d018e018d008e018d008e00880087018d028e0088008d018e0089
+02880089018802898401011206010111011206010111520100b000af01b100af00b004ab00ac00ab00aa00ac00ab00ad03a700a800a600a500a600a800a600a503a200a100a203a1
+00a200a0009e009d019c009d009c029d009b049c009b009c0098009c0097009800960297019600980197009801970196009800920097009200980091029700920091009600910192
+01930292009302920093009100930192009300920091019301920191008c008e008c008d008c028d018c018e018d008c008d0091009300910093008d008c018d008c018d008e028c
+008d018e018d008e008c038d008e008c008d018e008d0088008901880089008e00890088008d0088008e018d01880189008700880189018884010112060101110112060101115301
+00b000af01b000b100ac03ab00ac02ab00ac00a703a600a701a600a702a601a100a200a100a200a100a204a1009c009b029c009d009c009b029c0097009b0097019c0098009d0099
+009d0098009c009800960197019800970198019700960097009301980192019700910197009100930192009300920091019201910192009302920191009301920000009300920091
+0092008d0092008e018d008c008e008c018d018c008d008c0000008c008d008c009200910000008d008e008d008e038d008e008d008e018c008d008c008f028d008c008e008d008c
+008d018e008d0088008a00870089008800870088008e0088008e008d008e008d008900870188008a008900880089008700888501011206010111011206010111540100b000b201ac
+00ab00ac00ab00ac00ab01ac00ab01ac00a600a701a601a701a602a500a100a002a103a200a100a000a1009c009d009b009d009c009b009d019c009b009c019700980097009c0097
+009c03970096009c0197009800970196019701980092009700980092009700930096009801920193059200910292009300920093029200930192009302920091018d008c008e008c
+038e008d008c028d008c018d008e0000008e008d028c018d008c098d008e008c018d008e008d008c018d018e008d028800890000008900880089008a008801890088018901880189
+008801890088008900888501011206010111011206010111550103ab02ac00ab01ac00ab01a600a704a600a701a601a100a200a103a202a100a2009d019c019d009c019d019c009d
+019c00990098019d009c0097009b009d009b009c0097009c039800960098009600970198019300920191009200910093019200930292009300920093019202930091019200910193
+009400930392008c0091018d008c008e018d008c008e008c008d008c008d018c058d008c008e008c008e018c018e018d0000048d008e008d008e008c018d008e008d008c018e018c
+00880089008d008700880089008700880089008800870189028800890088008a00890288018900888501011206010111011206010111570100aa00ab00ac02ab01ac00ab01a600a7
+00a601a702a600a501a100a200a100a200a105a2009b009e039d039c019d009b0097019c0097009d009c019d00970099009c009d0099019801970098009600970096009802920097
+009101930092019300910093029200930292029301920091009200910192008d00920093008c008d0192008c008d008e038d008e008c018e0000048d028c008d008e028d008e018d
+008c018d008e008c018d008c0000008d008e008d018e008c008d018e008d008c04880087008900880089008703890088018901880089008801890088008700890088860101120601
+0111011206010111580105ab02a600a700a500a600a701a600a801a700a100a200a003a200a100a201a1019e009c009b009c019b039c009b009d009b009d009c0098009d00970196
+0098009c00980097009600990297019800970096019700960092009100920093019201930192009300910192009100940091009200930091009300910093009200910093008e0192
+009100920093018d008c008e018c048d028c008d008c008d018c028d008e008d008f008c008d0000008c008e008d008c008e018d0088008e018d008c0000018d008c018d008c008d
+008e0188008701890488018902880089008800870188008901880087008800890088008400838601011206010111011206010111590101ab00ac01ab00a600a801a700a600a500a7
+02a600a200a102a200a102a200a100a000a100a0009b009d009b029c009e019c009d009b009c00980097019c0097009c009d00960097019b009c0196009700960097009600980097
+029801910193019200930092009100930592019301910192008c008d008e0091008c0091008d0092008d008e00910092008e0092008e008d008e028d028c0000008d008c008d008c
+018d008c018e018d008c008e028d008c008d008c008d008e0088028d0089008e028d008c008d008e028d028900880089028800890488028900880089018800870188008700890087
+0089008887010112060101110112060101115a0102ab01a502a705a603a100a000a200a002a100a200a1029c009d039c029d019701980097009d009c029701980097009c04970098
+029600980092009100920093019201930792009301920091018c00920091008e028d0192008c0091008c0092028e008c018e028c038d00870088008d008e008d008c008e018d008e
+028d008e008c008d008e00000188008d0087008c008d008800890088008d008e0088018d008c028d008a008800870089018800000087008801890087018800870188008901880089
+00880089008a008900830189008387010112060101110112060101115b0104a600a700a501a700a500a700a600a701a201a102a200a100a000a1009c009b019d009c009e009c009e
+009d019c009d009c009d0096009d019c00960298009700980097009801970096019700980097009600970098009304920093009202930092019300920093008d0093009101920093
+00920094008e008c008d0192009300910093008d008e008d008c008f008d018e028d018c008d008e008d0188018d028c008d018c008d008c008e008d018c028d0087008d0087028d
+0089018c0000018d008c008d008e008800870088008700890187008800870000068800890288008701890288008200840083018486010112060101110112060101115d0102a601a7
+00a600a500a600a500a700a200a101a200a102a002a2009d009b019c009d009c019d019b009c0099009c049701980197009603970096009800960097009800970198009100920093
+0091009304920093008d0192008e008c0092008c0092028d0091008d008c00920091008d0192008d00920093008d00910092008e008c008d008c008d008c008e018d018c008d0000
+0087008e018c008d008c018d008e018d0000008e028d008800870088008c008d0087008d008c0088028d0188028c008a028800890388008700880087008904880087008900870088
+0289018800840083008400850001018485010112060101110112060101115e0101a600a500a600a701a601a100a200a000a102a200a100a200a3009c019d019c009e009b019c009b
+019d009c00980397009601980097009800960497019600970098009700980099019200910592009100930191018d018e00920093008d0093008c0091008e0092038d0091008d008e
+0092008d00920093018c008d008c008d008c018d008c018d0088008700890188008e0088008c00880087008c008e008c008e018d0088018d008c008d0088008c0088008e00000188
+00870088008d0088008c018d088800870088008700890088008700890288008a01880189008800870089018202830201018483010112060101110112060101115f0100a702a600a7
+00a500a101a203a1000100a000a2009d009b009d009c009b009c009d009c009d009c019d009801970096019803970298009603980197009800970198009701930092009302920293
+0092038d008e0292008e0091008c0192008d008e008d00930091008d008e008c008e008d008c0094008d018c018d008f008d008c048d01870088018d0088008d0089008e018d008e
+008800000088018c008d0188018d0189008c01870088008e008d0088008d008800890087008801890288008902880087008902880087008902880089008700880087008200880084
+00830084040101848201011206010111011206010111600102a700a602a100a200a101a000a200a101a2009d029c009b009c029d029c019701980196019800970198009900970098
+01970196039700960197009300920193009100920091009200930192008d0092008d00910092008d0192008e008d00910192008d01930092008e0092008d0092008d0092008d0000
+008e008d008c008e008d008e048d00880000008d008c008d008900870088018d00870000008c0288008c0187008800870089008c00880187018d008a008800870588008700880087
+0188008900880087038901880089018802890087018900820084008301840083060101848001011206010111011206010111610100a700a100a202a100a200a302a201a1009c009b
+009c009d009b029c009d019c009d009c009700960197009600990198009700990097009800970096009800970092019700920297009900930091019202930392008c008d0092008e
+0091008c0192008d0292008c009200930192008d0093008d0000018d008f008d008c048d008e028d008c008e008d0088008e008c008d018e0087008c0088008c0088008d00000087
+0088008c0288008d0288008d0088008c008902880187008901880087008902880489008800870188008a01880189018800870089008800830084008300840082080101847f010112
+06010111011206010111620100a101a201a101a202a1009b009c009d009b019d009c009b009d029c009b009702980197009800960097009600970092009700980091049700980193
+009700930091009200910093009200930091009301920093008d02920191009401920093008e0091008c008e008c0193048d008e008d008e018c018d008e038d008c008e008c0088
+018e0088018d008c0088008e0087018800890088008d0088008d0089028d008c01870088008c0088008e008800890087018800870188008704880187018800890388000000870089
+00870188008900820089008202830184090101847e01011206010111011206010111640100a200a101a200a100a200a1009b009c009d009c0000019d039c009d0097009600970098
+00970098009900970098009701980096009300920091009301970093009600980097019800930091019301920093029200930292008d02920093008d008e009200940091008c0092
+008d008c018e008d008c018d008c008d008e008d008e018d008e008d008e008d008e018c008d0089008e018d008e008d008c008d00000088008d0088028c0089008d00890088008c
+008d008c008d008c0000008700000088018700890488028900880089018800870084018900880089018800870188008904880083008201830084008500820b0101847c0101120601
+0111011206010111650100a100a200a101a2039c009d009c009d029c009b009c00980097009901970098009703980096009701920098009700910092009100960197069200910192
+009302920093009200930192008c0092009100920093018d008c008e008f008d008c008e008d018e028d008c018d008c008d008c008d008e008c008d008e008d00870089018d0088
+008d0088018d000000880089008c008d0089008c01880087008c0087008800870288018d008701880087098800820088008900830087008302880083008900880087048801840283
+0082008300840d0101847b01011206010111011206010111660100a200a100a0009c009d009c019d019c009e009d009c009d009e009c069700980197009800970092009801970094
+00960098009300980093009800940096009800910094009300940592018d009301910093008d008e008d008e008f018d008e008d018c008d008c008d008e018d008c018d018c028d
+008e008c008d018c008800890288008c008d00880087008e008d00870088008d008c018d00880089008c018d0088008d0087018d0188000000880087018801870088008701880087
+01890084018201830188008300840088018700890388008300850283018201830f0101847901011206010111011206010111670100a200a1009b009d019c009d039c009d019c0097
+0098009700990197019804970093019700990093009900970096009801970098019201930392019100920093008d00920093028e018d008e058d008e008f018d018c008d008e008c
+038d008e008d008e018d008e008d0288008d0089008c008d008900880089008e008d008c008d008c0087018d00880487008d00880089008a00870288008700880187038800870088
+00890184038300820088008300850087008300890088008700890088058302841101018478010112060101110112060101116801019c009d009b029c019d029c009d019800970298
+0197009800960097009200930099019700910096009701930098029300920393019201930192008d008c008e008c008d008f008e008d008c008e008d008e018c008d008e028d008c
+008d038c028d018c0089008e0289018800870089008d008700880000008d008c0188008e008c0088018d008800870000018c0187008c008800870088008702880089018703880187
+008800830082008400820083018400830184038300870188008302840283018401831301018476010112060101110112060101116901049c009d009c009b019c0398019700980096
+009700980397009201910097009201970192019701920093009200930292019300910093008d008c018d008e008d008e008d008e008d008e008d008c008d008e028d018c018d008e
+008d008c018d008e008d018902880089000001870388008d0087008d00890087008e008d0288008e008c0087008e000000870088008c008700880087018800870188000000880087
+0188008900880089008400880084008300840383008201840183008400870089018300890683008401831401018475010112060101110112060101116a01009d019c009d049c0096
+019800970298009700960098019700920197019800930092009802920096029202930092009100930094009200910092028d008c018e008f008d028e018d008e008d008c018d008e
+008d008c008d008c008d008c0088008c0088008701890388018703880089008c008d00870088008900880087008d018c008800870089028800890188008900870188000000890087
+02880187008800830082008400830084008201830084038300820083018201830082008300820383008400830082000000821601018474010112060101110112060101116c01039c
+0797009801970098009300970093009200960098009700910192009700910192019300920093009200930092009100930292028d018e008d008c068d008c008e018d008c008e008d
+008e0088008d0087008e008802890388008700890088018703880189028d0188018d0088008d05880089008701880087000001880189008800870089008800870084008300820183
+01840083008201840082018404830084008300820383008401830085008300821801018472010112060101110112060101116d01019d009b01970096029702980097009800990097
+009200910092009300940092019301910092019300920094009301920093009100930392008d008c008e008c008d008e008d008e008c008d008c028d0089008e0188008e008d0088
+008e008700880087008901880089008801870188008700880089018800870288008701880087008d0089008c00880087018800890288008700880187018801890188008900880087
+01880000008400890082018301840283038400830084008300840182008300840082008402830284008200831a01018471010112060101110112060101116e01009d029600990098
+009600980197009801970093039200910093019400920193019200930092009100930094009200930091009300910192008d008e008c018e018c018d008e008d008c018d018e018d
+01890088008e00880087008d0089008800870089038800890088008a0087000000870088008702880089008701880089008d008700880087018800870288008a0088008700890088
+000000880087008802870084028300820183008400830084028300820083008400820083018203830082008300840183008202830082008300841c0101846f010112060101110112
+060101116f0102970098039700980097009600920093009200930192019101930091039203910293019200910093018d008c028d008e008d018e008d008c0088008e00890088018d
+008e0087018e00870088008c0088018901880089008800890088008a0189038801870388018701880087018803870488008700880087008801870088018201830084008300840383
+008200830182018300820184018301840083018201830082008400830084008202831e0101846e010112060101110112060101116f01008400980196029700960099019700920093
+009200930092019308920191009304920091018d008e018d018e008c038e0188008e0188028d0088008d0088008d0188008900880089008800870088018901880089008800000288
+008902880087008902880089008701890088000001880089028700880087008800870088000000880183000000830282038300820083008202830284008300820083008400820083
+0082018300820083018200840082018300821f0101846d010112060101110112060101116d010184010100970099009700960398009100940292019302920093039200930592008d
+0092008d008c018d008e008d008c008d008e028d018e0189008d008e008c008d07880087028800870288008901870088008700880287038801870089008800870088008702880087
+00880087008800890188018700840087008200840282008302840483008201840083008201830084008300840283018201830082008400830082008401830184210101846b010112
+060101110112060101116c010184030100970098019600990098039200930092019300920093009202930292008d0092008d0000008e028d008e018d008f028d008c008d008e018d
+008e018d0089008d0089008800870188008c008d0088008e008900880089008701890087018801890183008800890388008903880187038800870188018700880087038801830084
+00830082018300850182008301840082018400830082008400830084008302820183028400830082038300840483230101846a010112060101110112060101116a01018406010097
+01980193029200930092009300920093009200930092018e008d008e008c008d008e028d008f018e008d008e008d008e018d008e008d008c008e018d008e0088018900880087008d
+01880087008f008c00890087008800870188008900880089008701880187008800840082018800870588008900880087008900870188008703880087008800870000018300000082
+0583008401830082028300820183008200830085008200830082008300820083008400820183008200840183008401830084017f007e250101846801011206010111011206010111
+6901018408010096009300910393019200930092009100920093008e018d008e038d008e018f008c018d008c008d008e008d008c008f028d008e018d008e0088008d008c00890088
+008d0088008c008d00890188028901880189008800890288018900840088018700880089018800870088008903880187000002880089008800820084018300000082018300820083
+028200830084018300820183008203830182028300840082018401830084008300850083008200830182007e017f270101846701011206010111011206010111670101840c010092
+0093009200910092009100920093009200930091018d018e028d008f028d018e008d018e018d048e008c008d008e0087008d00880089018d008800890088008c018d008700880089
+018800870188018900880287018900000089008201830088008700880089008700880087038800890088008700820188008300000284008301820083000000830082008401830182
+00830082008300840083008200830082008400830182018300840083008200830082008300820083018400820184007d007e007d007f290101846501011206010111011206010111
+660101840e010092009302920093009200930092008d018e008d008e008d008c008d008e008d008e028d008e0000018d008e008d008e008d008f008c008d0088018d0088008e008d
+0488008900870089008801890088008a0087008900880087008900880089008700880087018801820188008300840089008702880089018800840083008200830089008301820000
+00830082008401820084008301820083008400830482007e007f0000008300820083007e0084008300820283008201830082008402830182007e0082007d007f007e007f2a010184
+640101120601011101120601011165010184100100920094009300920093009100930091048d008e008d018c008d008e008d008f008d008c018d008e058d0087008e008701880189
+008d0188008701890188008900880087008900880089008a048800870084018700830082008303880087008800890188008700830182008301820483008200830084018300840000
+02830084018200830082008300840082007e00820084007f007e007d007e03830184008300840283008201830085007e007d027e2c01018463010112060101110112060101116301
+0184130100930092009100920093008e008d008c028e008d008e008d008e008f008d008c008d008c008e008c008d0088008d0089008e0087008d0189008c008d0089018800890488
+03890388008700890288008700890082008800840089008300880183018801830188008900880083008901830082008300840283018400820084018200830082058302820083007f
+007e0084007e0083007e008200000183007d008400830082008300850283018200830085047e0000007e2e0101846101011206010111011206010111620101841501009201930092
+008d008f008d018e028d018e008f008d0288008e00880089018d008a00880089008e0087008d00880087008900880087008902880089018800870088008900870089008800890088
+0189008800890188008300890283008700820084008700830088008700820483008200830082008400830084008201830082018300840082028301820083018200840083017e0000
+0083007d00820083007d0082007d0083007e0083007e0085018300840082008300820083007f027e007d007e007d017e300101846001011206010111011206010111600101841801
+0092008e078d008e008f018d0188008a008c00890087008d008e008d008e008901880089008d00870089008701880289008700880089038800870189008701890087008900880083
+0088008900870189008802830082028300840183008400000085018300820083048200830000008300820383008200840383027e0184008301820183007d0083007f017e007d0283
+008402820084007d007e007d007e007f007e017d320101845e010112060101110112060101115201036b0001026b040101841a010093008d008e008d008f018d008e008d008e018d
+00890088008d008e0088028d008e00890088008e008c0087008800870088008a0288008a008901880189008700880087018901870588008900820083008800830087018300820083
+008200830082048301840483008200830084028300820183008200830282018300820283007e0082007e0083017d027e007d007e007d007e00820283007d037e007d037e007f007e
+340101840a01036b0101026b49010112060101110112060101115301016b0101016b040101841c01008d008e048d008e008d018e0089008e008800870088008f0089008e0089008e
+00870088008a008d028801890288018900880089008800890087018a008700890188008a008900840082008901830082018300820083008201830085008405830082018300840283
+0082008300820084008300820183007d00800282017f01830184007e007f007d007e0082007f0084007e01830082007d017e017f007e0083007e0082007e007d007e007f007e007d
+027e007f350101840a01016b0301006b4a010112060101110112060101115301016b0101006b030101841f01008c008f008e008d018e008c008d018e0087008d0088008e008d0088
+008a008e00880087038800870088008900880089018802890188008a0288008200880084008300840083008200830084008300820083008400820084008200840283008201830084
+01830082008301840583008200830182018300000182007f007d0083007d027e007d0084007d0083007f017e0082007e017d00820083007d037e008300820000007e007f007e007d
+007f017e007f017e380101840801016b0201006b4b010112060101110112060101115401006b0001016b020101842101018d028e018c0088008f008e008d008a00890001008c0089
+008e008d0088008d008e0089008700880087008900880089008a00890087008901880084008901830282008300840483008201840583008200840183008501830084028300840083
+008400820084028300820083007e007d017e018300820083007d0084007f0080007e0082007d0082007e007f007d008200830082017d007f0082007e008300840083007e0084007e
+007f007e0080047e017d007e390101840801006b0201006b4b010112060101110112060101115401026b010101842401008d008e028d00890088008d018e0088008d018e0088008a
+008e0088008e018900880089078802840383008400830084018300840083008500830182018301820183008200830084008200840083008400000183008400830082018403830084
+007e0083007d007e008200840383007d007e00000083007e007d007e008201830082017e007f007d0083007f007e0000027e017d007e0000007d007f007d007e017f007d027e3b01
+01840601016b0001006b4c010112060101110112060101115401026b000101842601018e008d028e008d028801870089008800870089068801890188008900880084008300820084
+00830084008202840082028300840083008400820183008400820083008400820084008200830082008400830082008402820084018300820183007d0082007e0183017f007e0082
+007d008201830082018300820083017d027e00820083017e007d0083007e0083027d007f027e007f007d017e007f027e007d007e3d0101840501036b4c0101120601011101120601
+01115401016b00010184280101880189008800870088018d008a02880000008802890288028900880087018800830082008300820083018400830084008303840183008400820283
+00820084008301840082008301820083008400830082007d0083007d017e0082007d007e00840083007d017e0083017e007f0083017e007f007e02830084007e0082008300000282
+00830082007e007f007d007e007d007f007d007f027d027e017d027e007d007e4601016b4d010112060101110112060101115301036b2b010089018800890087008900870088008a
+0288008700890087008a0089008800890288018701890088048302840283018402820083008200830082008300840383007d0084018300820084007e01830084007d0084007e0082
+00840083007f0082007e0083007f00840083007e007d0183007d007f0000007f0000028200830082007f00820083007d0082007d057e007d007e007f027e007d007e007d047e4701
+016b4d010112060101110112060101115301006b0001016b2c010087008900000089008a008900870088008900870089008801890088008900880089008800870189008800890083
+008802830084008301820083008403830284008300840183008203830084007e0183007e017d0083007e00830082007f007e0182007f0184007f0083007e00830000007e007f0082
+007e0082007f007e00820083007d017e007d00830082007f0000007e0083007d007f017e007d027e017f017e007d017f017d047e4601016b4e010112060101110112060101115201
+016b0101006b2d01018800870088018900880087008a0088008700880089008700890188008701890088008900840083008200840283008400850084008300820083018400830084
+0283007d027e0082007d007e008000820084007e007f008203830080007e00830084007f0084008300840083007e018300840183007e00820083007f007d0082017e007d007f007d
+0000007e00830082007d007f007e007d027e007d017e017d007f017e0100027e017d017e4701016b4e010112060101110112060101115201006b0201016b2d010388008a04880089
+0088018900870089008800870189008800830084008301840083008401830084018300840183007f0083017d017e0082037f007e007d007f02830084017e008400830082017e007d
+00830082017e02830084007e0183007e0082007e00840083007e00830084007d0182007e0082007e027d027e0000007d007e007d037e007d007e007d007e007d007e007d007e027d
+4701016b4e010112060101110112060101115101026b0001036b2d0100870089008a028801890088008700890388008700880189008301840083008203840383017e007d007f037e
+007f037e007f017d007f00820084007f018301820000007d00820080007e018300820083007e008401830082007e007f00830082007f0083017e007d007f0083017d037e007d007e
+007d057e007f007d027e007d007e007f007e0000007d0000007e007f00784601036b4d0101120601011101120601011188010089028800890088018a018900880089008400880083
+00840088008300840283008500830184018300820184067e007f007e007f057e017f007e0083017e00830085007d00820084007e00000083007d0183007d007e0083007e007f007e
+00820083007f0183007e007d017f017e0000017d007e017d007e017d007f027e007f007d007e007d017e007f017d027e00780079007d990101120601011101120601011189010088
+008500880082008400880084008500830085008301840383008400820284008300850384067e007f007e017d027e007d007f017e017f007d007e008400830182007e0084017f007d
+007f007e00820084007e0184007d0082007d00830082087e007f017d037e017d007e007d0000047d007e007f007e007d007e0000007e027900789901011206010111011206010111
+8a0100830084078300840083028404830082028400830084007f017e0080007f007d007f017e007f007d007e017f027e0180007f017e007f017d017e017f0183007e007f00830084
+007d0083007e00830084027e007f007d027e017d017e007d017e017f027e007d027e007d007f007d027e007d007e007f017e0079017801799a010112060101110112060101118b01
+00850184018300840082018400820184028302840082008400830084008300820084007e017f017e007f007d037f037e007d007e007f007e007d007f007e0084007e007f00000082
+007f0083007d007f0084017e007f007d007e017d007e007d027e027f027e037d027e007d017e007d007f007d007e007f007d017e007f0000007e00780000007e0078000000790078
+0079007a9a010112060101110112060101118c01008400830084008301840083008400820184008300820183008201830084008300840083027f017e007d007f027e007f0080017e
+007f007e007f017e007f007e017f027e007f007d00840082017e0082007f007e007f007d007f017e007f0000007e007f047e007f007e027d027e007d017f007e017d007f007e007d
+017e0000017e007f017900780079007a0079007a01799b010112060101110112060101118d010082018401830084018301820083038400820083018400830084007e007d007e017f
+007e0080017e017f007e007f017e007d007e007f007e007f017e017d007e007d007f027e007f007e007f007e007d027e007d017e007d007f007e017d027e007f017e0000007f007d
+017e007d027e007d007e007f007e0100007d017e01790078007900780379017a9b010112060101110112060101118e0103830084018300840383038401830082007d007e007f007e
+007f007e007f007e017f007d017f007e017f007d007e007f007e007f017e007d007e007d047f007e007f007e007d0080017e007d007e0080027e017d027e017d007f047e007d007f
+007d007e0000017e007f027e0000007a007800790000007900000278007a01799c010112060101110112060101118f010183018401820084008203830184008300820084027e017f
+007e0080007e007f007d007e007f007d007f007d007e007a0079017e007d017e007f067e007f007d027f007e007d007e0080007d017f017e017d027e007f017e0000027e007d007e
+037d007e007a0079007a007d0078007900780179007a04790078007a00789c01011206010111011206010111900100820184007d0083008200830082017f00830084007e007f0085
+007f007e007f017e017f007d037f017e0079007f007a007e007d007f017e007d027e017f007e007f007e007d027e007f027e007f007e007f007e007d007e017d017f027e007d007e
+007d027e007f037e017a00780079007800790378007a0078007a0078007a0179017a9d0101120601011101120601011191010082007e007d027e037f007e017f0080037e007f007d
+027e007d007f007e007f0079007e017a0078007a007d027f007e017f007e007f017e007d0080007d017f017e007f007d047e007f017e007d007f017e017f007e007f007d017e007a
+007e0078007a007f01790178057900780179007a0079007802799d010112060101110112060101119201007f007e0080007f007d037f007d027e007d047e0080007f007e007f017d
+007f007a0078007b007f0179007e00790080007e007f057e007f027e007f007d017e007f017e007f007e007d017e007d027e007f007e0079007a007e00780079007e00780079007b
+017900780179007a0079007802790178007a01780079007a01789e010112060101110112060101119301047e007f027e017f017e007f017d027e007f017e007d00000079017e0079
+007a0079017f0079017f017e0000037f007e007d037f017e0080007e007f017e007f007e007f007e017f007a00790000007d017a0379007a02780079007a00780079027804790378
+007900789e010112060101110112060101119401007e007f007e017f017e007d007e007f007e007d007f007e017f017e007f027e007f007a0080017e0079007a00790078017e007f
+007d007f007d007f007d037e007f047e007f007e007d027e007d017e007f0279007a0479007a03790078017a00780179007802790078017900780179007a007900789e0101120601
+01110112060101119501007f0080017e007f007e007f027e0080017e017f007e007d007f007e007f0080007a007e0079007f007a0179007d0078007e007a0079017e007f007e007f
+027e007f027e007d027e007a0079007a0000017a0079007800790078007a0379007a00790078007a007801790078007a01780279007804790078007900780179007a9f0101120601
+01110112060101119601017e027f037e007d037e007f007e017f007b0179007a007e007b00780079007e0079007e0079007e0078007f017e017f007e0079017a007f0079007a0479
+017a0000017900780079007b007802790078007a0078007a0279027a00790078017900780000007a0279017a0178007a0079007800799f010112060101110112060101119701007f
+017e007f037e007d017e007f017e027f007d007a007f00780079007a007e0279007e0079007e0079007f0179007a057900780079007a0279007a00790078007a0079027a01790000
+017a0779027802790078017900000079007a027901780179a0010112060101110112060101119801007e007f0079007a007e007b0079007f017a007e007a0079027a007e0000007f
+007e017a007900780179007a0079007a007e007a0279027a0279017a00780079007a0078017a04790178007a007901780179017801790078007b00000179007a007902780279007a
+01790178000000790000a0010112060101110112060101119901007a0079017a0078007900780179017a0379017a0279007a007b00780179027a0079027a0279027a0079007a0079
+0078007a0278007a0279007a0579007a0079007a017902780079007b0278007a017900780079007800790078037900750079a10101120601011101120601011199010079007b0079
+007a0079017a0079017a00780179007a0179017a0078027a0179037a007b0079007a0179017a0079007a0179007a0379007a017900780279007a0079007a0079017a017900780079
+007a0078007b0379007a00780379017a00790074007300790173007a0073a1010112060101110112060101119a01037a0179007a0079017a00790078027a0179037a0279007a0078
+0279027a00780079017a007b0179007a0179017a007900780279027a01790078017900780379007a0279007a02790078007901740075007403730174a20101120601011101120601
+01119b010179007a0079007a007900000079007a00790078007a0078007a0179007a01790078007a0079017a0079007b017a0079007a0079007a0079017a017900780279007b0179
+037804790078007a0179007a0179007a0078007a00780079007a007300740000007802740075007300740173007400000074a2010112060101110112060101119c010079007a0079
+027a00790078007a0079007a0179007a0079007a0079027a0079007a00780079027a0379007a0079007a0379007a007901780579007a0179007b00740078007900780079007a0078
+0074007500790074007501790273007400730274007501740173a3010112060101110112060101119d01027a04790078007a0179007a00780079007a00780479017a0179007a0179
+0078007a00780079007b007a0179007a0079007a007900780379007a0079007a03790174007a00750473007400730074007302750074017500000174007500740073a30101120601
+01110112060101119e01007b027a0179007a0279007b0179007a0279027a0079007a06790078007b007a007801790078017a0074007a0074007801740079007a0075027400750174
+007306740073007400730074000002750074007300740073007400750074a4010112060101110112060101119f010579007800740079027a0379007b00730175007a0076007a0074
+02750074007b00740079017a00790075007a007602740079007502740075067400730274007304740073017401730174027300740073a401011206010111011206010111a0010574
+007900750079007400750073017503740075017400750274067500740075007302740001037400750073007500740075027400750074007503740175007300750274017500740000
+0074007500740073a501011206010111011206010111a101027400750174017500740175047402750374007500760075007400750074007300740073007500760275047400730174
+0073007400750374007300750174007500740075007400750074007301740075037400730074a501011206010111011206010111a101017400750074007500740176027500740073
+007400750174007600730075007400730174007601750074007300740075007300740075027402750073007500740075007400750074007300740073007400730000007300740076
+00750074007301740075007300740075027400750174a601011206010111011206010111a20100750074007503740076007500730076007400750074007500740075007400730174
+007501740075077400730000047401750073007400750674007300740073017400730574007502740075a701011206010111011206010111a3010075017400750073037400750174
+00730074007500740275017400750074007500740375007400750174007500740375007400750074007301740375017401730274007505740075017400730075a701011206010111
+011206010111a40102740175007400750174007501740175007300750074027504740075037401750174007503740275007400730174017501740075037400750073007503740175
+00740075a801011206010111011206010111a50100740075007300740275007400750073007402750073007401750074007500740275007401750073007500740076007501740275
+01740073067401750074007300000375067400730075a801011206010111011206010111a60102750074007301750374007500740175017402750074007502740073007501740075
+007400730175017400750073047400750374007500730074006f017501730374007300740075a901011206010111011206010111a701047500740076007500700075017402750174
+0175007001750174007500700075027400750074007302740075007101730074006f01740075007300750074006e0075007300750070027500700074006f0071006f0070a9010112
+06010111011206010111a701016f007100700171016f00700075016f006e006f0074007300710070026f0274027001740070006f0070006f0174006f027401700074007300740073
+01700074016f0174006f0075016f0170006f0070006faa01011206010111011206010111a8010071006f0070016f0076007000710070016f0670006f0270026f0070006f0170006f
+0070007600700074006f007000750070006f006e0075016f00700074006e006f01740070007500740073006f00740075017400700073aa01011206010111011206010111a901036f
+0070006f0170006f0070006f0170016e006f0270026f0270026f017000750170007501700075007400760170006f0075006e0074006f007500700173016f0074006f0070016f0075
+ab01011206010111011206010111aa0105700071006f0170006f0070006f0270016e0170006f0170006e0070006f0070036f00760173007400750073006f0075006f007500760074
+0075017400730074006f00700075016f0075007400730074ab01011206010111011206010111ab01006f0070006f0670006e00700071036f0070006f0070006f0070006f0070006e
+0270006f00740073007500710070006f007000710274007300750070006f01700074006f00700071006f00740070016fac01011206010111011206010111ab010170006f0170006f
+0070006e0170046f0470006f0270016f0070016f0070006f0074007100700074007500700075006f0075006f0075006f00740070007500730075006f0070016f0075006fad010112
+06010111011206010111ac010170006f0070016f0070006f0470016f0470006e0070026f0170006f016e0074016f00750076007400700073017400730174006f017400700074006f
+0175006e0075ad01011206010111011206010111ad010070006f00710170016e0570016f0170006f0170016f0170016f00700071006f0070006f006e0175027400000076006f0574
+00710070026fae01011206010111011206010111ae01016f0170006f0070016f0070006e0170006f09700071006f006e006f006e0070006f00740170007501740170007600750074
+006f006e00750074006e0074006f00740075ae01011206010111011206010111af01016a0071006c006b0001006f0070006f006e0070006b0069016f0170006f0070006f0070006e
+006f0071006f0170026f00750170006f006e006f007500000070006e0075006f00700074006f00730175af01011206010111011206010111af010070016f0070006b0069006b0070
+0071016a006b006f00710470006f006e006f0270026f0070016f00700074006e0074017500700374006e006f0070006f0070b001011206010111011206010111b001006b006c006a
+006e0070016f016b006a006b0070006b0070006f01700071006f0071016f00710070036f0070006f00750074007502700174016f007000750076006f00730074b001011206010111
+011206010111b1010270006b006a016f006b006a016b006e0070006b0270026f0070006e0070006f0070026f0070006f00710070006f0070006e0070007400700074006f0074006f
+0170b101011206010111011206010111b201006a0070006a006e0070006b006a0070006f006c006f0071026b0170006f0170006f0070006f0170016f0070006e0070006f0070046f
+0270006f0170b101011206010111011206010111b201006f006a0070006f0070006a0070006a0071006f0070006b006e016a006b0170006f0170007101700071006f006e016f0570
+006f0270016f0070b201011206010111011206010111b301006b0170006f0070016b006f006a0071016b006a016b016f0170006f0070006f0071006f006e0770006f0070006f0071
+006e00700071b301011206010111011206010111b4010070006a0070006a006c0071016b026a016f006a006b006e0170016f00700071006e0170006f0070006f0170006e006f0070
+006f00710070016f0070b301011206010111011206010111b501006f007100700071016a006f0070006f006c006e0070006b0070006b0070006f0070006f0270016f006e006f0170
+006e0070006f0470006fb401011206010111011206010111b501006b0070016b006e016b016a00710070006b0070016a0170016f0770006f0070006f0071006f0071026fb5010112
+06010111011206010111b601006f006a006c006f006c006f006b016a016b016a006f006a016f0270006f006e006f0070006f0070006f0370006e016f006eb5010112060101110112
+06010111b701006c006f016b00710070006f006b0170006f006a006b0070006a0070006f0071016f0070016f0070006f0170006f007000710070006f0070b6010112060101110112
+06010111b701006b006c006b006a006b016a006b006a016b0070016b006f016b0070066f00700001006f0070006e006f0070b701011206010111011206010111b801016a006b006c
+026b016a006b006a0069016b006a006c006a006b006c016b006a0070006a0070016f0270006fb701011206010111011206010111b901006a036b006a016b006a026b016c006a006c
+006b016a026b006a006b006f006b006f006b0070b801011206010111011206010111ba01006b006a016b036a006c016b006c046b026a006b006c006a036bb9010112060101110112
+06010111ba01056b016a016b006c006a016b006a006c046b006a006b006a006b006cba01011206010111011206010111bb01006c006b006c006a056b016a006b006a026b006a006b
+0069006a0069006a0069006bba01011206010111011206010111bc01016b056a006c006a006b0001056a006c0069006a016bbb01011206010111011206010111bc01006b036a016b
+0069006a006b0069036b016a016b006a016bbc01011206010111011206010111bd010066036c016b006a026b0069016a016b026a006cbd01011206010111011206010111be01006a
+016b006a006b006c006b006a006b006a006c006b006a006b006c006a016b006abd01011206010111011206010111be01016b00650066006c006b0166006a006b006c006b006a016b
+006a006b006abe01011206010111011206010111bf0101670065006602670166016b006a006c006b006c006abf01011206010111011206010111c00103650166006400650067006b
+006600670065006ac001011206010111011206010111c001026601650064006600010065006700650166c101011206010111011206010111c101026502660165016700660067c101
+011206010111011206010111c201016601670066026500670065c201011206010111011206010111c201006501660167016600670065c301011206010111011206010111c3010064
+0165006601670065c401011206010111011206010111c4010066016500660065c501011206010111011206010111c4010366c601011206010111011206010111c50100660067c701
+011206010111011206010111ff018f0101120601011100120911ff018f010112081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff12911206010111011206010011ff1292120601011101121e010011
+0012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01
+011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121f110012ff116011
+001220110012ff11a411
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/wd-bessi3s.ps b/books/ps/wd-bessi3s.ps
new file mode 100644
index 0000000..3e1a072
--- /dev/null
+++ b/books/ps/wd-bessi3s.ps
@@ -0,0 +1,1048 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 53.000000 144.385410 559.000000 677.854595
+%%Creator: xwd2ps
+%%CreationDate: Fri Jun 28 18:46:23 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps
+% by leonardo.watson.ibm.com:smwatt (Stephen Watt)
+% Information from XWD rasterfile header:
+%   width =  422, height = 445, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 445
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 445 8
+  [422 0 0 -445 0 445]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%0.750000 inch 2.019242 inch translate
+matrix currentmatrix
+3.5 inch 3.5 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+0000ff
+d8d8bf
+5f9f9f
+ff0000
+7c8498
+fce089
+aeb9d5
+444954
+292c32
+9db5cd
+ffff00
+dcfdff
+566471
+343c44
+697081
+d4d8e8
+757780
+46474d
+b4b8c5
+00ffff
+00ff00
+8e2323
+d3d3d3
+cc3232
+fafafa
+db70db
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+bc8f8f
+adeaea
+bfd8d8
+000709
+010f13
+02181d
+032027
+042932
+05313c
+063946
+084250
+094a5b
+0a5365
+0b5b6f
+0c6479
+0d6c84
+0e748e
+107d98
+1185a2
+128ead
+1396b7
+149ec1
+15a7cb
+16afd6
+18b8e0
+1dbde5
+27c0e7
+32c3e8
+3cc6e9
+46c9ea
+50cceb
+5bcfec
+65d2ed
+6fd5ef
+79d8f0
+84dbf1
+8edef2
+98e1f3
+a2e4f4
+ade7f5
+b7eaf7
+c1edf8
+cbf0f9
+d6f3fa
+e0f6fb
+eaf9fc
+f4fcfd
+270327
+320432
+3c053c
+460646
+500850
+5b095b
+650a65
+6f0b6f
+790c79
+840d84
+8e0e8e
+981098
+a211a2
+ad12ad
+b713b7
+c114c1
+cb15cb
+d616d6
+e018e0
+e51de5
+e727e7
+e832e8
+e93ce9
+ea46ea
+eb50eb
+ec5bec
+ed65ed
+ef6fef
+f079f0
+f184f1
+f28ef2
+f398f3
+f4a2f4
+f5adf5
+f7b7f7
+f8c1f8
+f9cbf9
+fad6fa
+fbe0fb
+fceafc
+fdf4fd
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff0da50d200d000eff0d600d000e200d000e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b000e
+000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e
+000dff0b5f0b000e000d1e0b010e010d060b180e000dff0e600e000d170e060b010e010d060b000eff0d920d060b010e010d060b000e000d150b000e000dff0b470b000e000d150b
+000e000d150b000e000d060b010e010d060b000e000d150b000e000dff0b470b000e000d150b000e000d150b000e000d060b010e010d060b000e000d150b000e000dff0b470b000e
+000d150b000e000d150b000e000d060b010e010d060b000e000d150b000e000dff0b470b000e000d150b000e000d020b0f0d020b000e000d060b010e010d060b000e000d150b000e
+000dff0b470b000e000d150b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d150b000e000d950b000c170b040c020b050c8a0b000e000d150b000e000d
+020b000d0d0b000e020b000e000d060b010e010d060b000e000d150b000e000d940b020c150b010c010b020c020b010c010b010c890b000e000d150b000e000d020b000d0d0b000e
+020b000e000d060b010e010d060b000e000d150b000e000d950b000c160b000c030b010c020b010c020b010c880b000e000d150b000e000d020b000d0d0b000e020b000e000d060b
+010e010d060b000e000d150b000e000db20b010c020b010c020b010c880b000e000d150b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d020b0f0d020b
+000e000d890b020c010b020c010b030c050b030c020b010c030b010c040b010c030b010c020b010c880b000e000d080b030d080b000e000d020b000d0d0b000e020b000e000d060b
+010e010d060b000e000d020b000d0d0b000e020b000e000d8a0b010c020b000c040b010c040b010c010b010c010b010c030b010c020b020c040b010c020b010c880b000e000d080b
+000d010b000e080b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d020b000d0d0b000e020b000e000d8a0b010c020b000c040b010c030b010c020b010c
+010b010c000b010c000b010c040b010c030b010c020b010c880b000e000d080b000d010b000e080b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d020b
+000d0e0e020b000e000d8b0b010c000b000c050b010c030b060c010b010c000b010c000b010c050b010c020b010c020b010c880b000e000d080b000d020e080b000e000d020b000d
+0d0b000e020b000e000d060b010e010d060b000e000d150b000e000d8b0b010c000b000c050b010c030b010c060b010c000b010c000b010c050b010c020b010c020b010c880b000e
+000d150b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d150b000e000d8b0b030c050b010c030b010c070b010c000b020c060b010c020b010c020b010c
+880b000e000d150b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d150b000e000d8c0b010c060b010c040b010c020b000c020b010c010b010c010b000c
+030b010c020b010c010b010c890b000e000d150b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d150b000e000d8c0b010c040b050c030b030c030b000c
+030b000c010b010c010b010c020b050c8a0b000e000d150b000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d150b000e000dae0b030c940b000e000d150b
+000e000d020b000d0d0b000e020b000e000d060b010e010d060b000e000d150b000e000dff0b470b000e000d150b000e000d020b000d0e0e020b000e000d060b010e010d060b000e
+000d150b000e000dff0b470b000e000d150b000e000d150b000e000d060b010e010d060b000e000d150b000e000dff0b470b000e000d150b000e000d150b000e000d060b010e010d
+060b000e000d160e000dff0e480e000d160e000d160e000d060b010e000dff0e9a0e000d080e090d000eff018f01090d000e010d060b010eff018f01010d060b010e010d060b010e
+ff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010e97010532050101321a0101320301003220010532030101329a01010d060b010e010d060b010e9901
+01320601013216010532030102321f010432050101329901010d060b010e010d060b010e990101320601013215010232010101320401003220010032090101329901010d060b010e
+010d060b010e9901013205010132100101320301003200010032000101320e010132160100320a0101329801010d060b010e010d060b010e99010132050101320401023201010232
+030101320301023200010132030103320601013203010332000102320a01003200010232060101329801010d060b010e010d060b010e990101320501013205010132010101320401
+013203010132000101320601013203010132000101320001013201010132020100320b01013201010132050101329801010d060b010e010d060b010e990101320501013206010132
+00010032020107320301013206010132030102320101023201010132020100320b01003203010132040101329801010d060b010e010d060b010e9901013205010132070101320301
+073202010132010101320301013206010132050101320001003211010132040101329801010d060b010e010d060b010e990101320501013207010132060101320501013200010232
+030101320501003201010032040101320001003211010132040101329801010d060b010e010d060b010e990101320501013206010032000101320501013204010132010100320001
+00320301013204010132010101320401013212010132040101329801010d060b010e010d060b010e9901013206010132040101320101013204010132040101320101023203010132
+040101320101013204010132060100320401003203010132040101329901010d060b010e010d060b010e970105320401013203010232010102320901023201010132020105320d01
+0032060102320301013201010132050101329901010d060b010e010d060b010ea3010132140102321a0100320701013204010332050101329a01010d060b010e010d060b010ed501
+00320001003208010132ab01010d060b010e010d060b010ed501023207010132ac01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e
+010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff008f00010d060b010e010d060b010eff00
+8f00010d060b010e010d060b010eff008f00010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e
+010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff01
+8f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e
+010d060b010eff018f01010d060b010e010d060b010e99010058f401010d060b010e010d060b010e9801005f005e005b005af201010d060b010e010d060b010e9701015f005a0159
+005af101010d060b010e010d060b010e9601005e015f005a0159005a005b005aef01010d060b010e010d060b010e9601015e015f005a005b005a0059005a0055ee01010d060b010e
+010d060b010e9501005f0160005d005f005b035a0055ee01010d060b010e010d060b010e9401005e005d005e005f005e005f015a005b015a005bee01010d060b010e010d060b010e
+9401015f005e0060015f005e005a0059005a0059005a0056ed01010d060b010e010d060b010e9301005f005e005f0060005d005f0060005d0059015b015a0056ed01010d060b010e
+010d060b010e9301005e0063005e005d005f005d015e0059005a0058005a00590155ec01010d060b010e010d060b010e9301035e005f005e005f005e0058005a0059015a00560054
+ec01010d060b010e010d060b010e920100630064035f005e015f005a0059005b015a00570055ec01010d060b010e010d060b010e92010063005e005d005e005f005d015e005f0059
+035a01540056eb01010d060b010e010d060b010e9201005f0064015e005f0060005f005e005f005b005a0059005a0059005600550056eb01010d060b010e010d060b010e91010163
+005d005f005e025f005e005f025a0059005b005600550054eb01010d060b010e010d060b010e910101620064005d0064005e005d035f005b035a0255ea01010d060b010e010d060b
+010e91010063005f005e005f015e015f005e00600058045a0254ea01010d060b010e010d060b010e91010164015e005f005e005f005e005d005e005c0059025a005900540255e901
+010d060b010e010d060b010e9001005d0063005e005f0063015e0060005e005f005e005f0259015a005601550056e901010d060b010e010d060b010e9001005e0162006400630062
+015e025f005e005a0059005a005b0059005500540155e901010d060b010e010d060b010e9001006500620063005d0164005e005f005d025f0059015a0059005a0055005400550056
+e901010d060b010e010d060b010e8f01016400630064005f00640063005f005e005f0060005e005f015b0059005b005a00550056005400560050e801010d060b010e010d060b010e
+8f01005f005e0063015f0163015f035d005a0058005b0059005a0054015500540050e801010d060b010e010d060b010e8f01005f0063005d00630064015e0063005f005e005f015e
+005d005b0058015a005b01540155e801010d060b010e010d060b010e8f010363016400600063005d015f005e015f0059005b015a00590055005600550054e801010d060b010e010d
+060b010e8e010062015f0062025e0062005e015f005e005f015e0359005a0055005401550050e701010d060b010e010d060b010e8e010062006300640063006200640065005e0063
+005e045f005a005b025a00560055005600540050e701010d060b010e010d060b010e8e01006400620063005f0064005f0063005f0063025e025f0059015a015b03550050e701010d
+060b010e010d060b010e8e010062006300640163005f0163005d005e015d005e005f005e025a0059005a025500540050e701010d060b010e010d060b010e8e010063006200640063
+015d0062005e0064035e015f015a0059005a00590056015500530150e601010d060b010e010d060b010e8d010062016301620065005f006300640065005d005e015f005d005f025a
+0059005a005402550151e601010d060b010e010d060b010e8d01016300640163005e005f0063005e0064025e005f0060005e005d025a0059005a0155005700550050e601010d060b
+010e010d060b010e8d0100640063006200640162006300620063005e0064035e015f005b0058015b0059005401550056004fe601010d060b010e010d060b010e8d01006200630062
+006301640263035e035f005a0059015a005b0155005400560050004be501010d060b010e010d060b010e8d01006203630264005d0164015e015f005e0159015a0059005a02550054
+0051004ce501010d060b010e010d060b010e8c01066300640063005f025e005d005f025e0259015a03550050004be501010d060b010e010d060b010e8c0100620163006201630164
+006300640062035e005d015f005a0059005b015a0056005501540050004be501010d060b010e010d060b010e8c0101620164006300640363005e0063005d025e015f015a0059005a
+005900550057015500510050004ae401010d060b010e010d060b010e8c010062036300640062016401620063005e005f005e005f005e005d0059015a0059005a005402550150004b
+e401010d060b010e010d060b010e8c010064006200630262016300640263015e005d005f005e005f0059015a0059005a0056025500540051004be401010d060b010e010d060b010e
+8b0101630062006300620363016400630164005e005f005d015f0060025a0059005b03550050004be401010d060b010e010d060b010e8b0100640062006400630064016300640163
+0064006300620063005f005e035f005a0159005a005b03550050004de401010d060b010e010d060b010e8b0101620064006200630162006401630162005e005f005e025f005e015a
+0159005a0059015500560055004f004b004ae301010d060b010e010d060b010e8b010062006400620063006200630064036300620063035f005e005f005e005a005b005a005b005a
+025600540151004be301010d060b010e010d060b010e8b010063006202630162016300640363015e005f005e005f005e045a0055005401550050014be301010d060b010e010d060b
+010e8a01016300620163016401630064026300650064025e025f005a015b005a005903550051014be301010d060b010e010d060b010e8a0100680163006200630062026300640162
+0263005f005e015f015e0159005a0059005a00530055005401550050004ce301010d060b010e010d060b010e8a010062006301620063006203630062006500630264025f015e005f
+005a0259005a0055005400550151004c0045e201010d060b010e010d060b010e8a01006700620163006200640063016401630064006201630064005f015e015f005b0259005a0355
+014f004b0045e201010d060b010e010d060b010e8a0100670069026300680062006406630064005e005f035e015a0059005b005a005600550154004f004d004be201010d060b010e
+010d060b010e8a0100680067006900620563016402630064015e005f005e0060005e015a0059005b0059015501540051014ae201010d060b010e010d060b010e8901016800670168
+0163006800640063006400630062006301640062025e025f005a0159015a00560255004f014be201010d060b010e010d060b010e8901006900670068006900680067006a00650063
+00640062006400630064006300640062005d015e0060005f005d0059035a00560055005600540050004b004c0046e101010d060b010e010d060b010e890100690068006700690067
+00680069006800630064006301620263006400620060015e005f005e035a00590055005400560055004f0051004a0046e101010d060b010e010d060b010e89010068006700680069
+00670068016700680064006300640062016400630162025f015e0059005a0059005b015a015400560054004f004a0045e101010d060b010e010d060b010e89010067006800690368
+0069006701680064026201630064015f005e025f005a0059005a0059005801550156014b004ce101010d060b010e010d060b010e8901006901680067006801670168016901630064
+0063006200630064005f005d025e005f005a0059005b0059005a005500560155004f014ae101010d060b010e010d060b010e88010368016902680067016800640163006401630062
+005f015e005f015e005b015a00590054025500560050004b004c004be001010d060b010e010d060b010e8801016800690067046800670068006300640163006200630164005f0060
+005e025f015a0159005a0054015500540050014c0047e001010d060b010e010d060b010e8801006700680069006800670068006700690068006900670064006501630464005e005f
+005e005f005e005b035a0055015600550050004f004c0047e001010d060b010e010d060b010e8801006800670068006701680069036800690163006400630062006300620063005e
+005f005d005e005d015a0059005a005b00550056005401550050004b0045e001010d060b010e010d060b010e8801006700680167026800690067006800690065056300640062005e
+005f005e0060015f005a015b0059005a0054015500560050014be001010d060b010e010d060b010e88010067036800690268006700680163006401630064006300620064005f005d
+005e005d015f015a0059015a0054005500540055004e004a004c004bdf01010d060b010e010d060b010e8701006800670168016700690368006a00670164016300640263015f0060
+025e025a005b005a0054015500560050014b0047df01010d060b010e010d060b010e8701006801670069006800670069006700680167006a00680063006200640063006400630064
+0063005e005d0060005d005f005e005a005b02590055005601550150004a0047df01010d060b010e010d060b010e8701016700680067006900680069046801630064036300650062
+005d025f015e0359005a00540055005400560150004c0047df01010d060b010e010d060b010e87010069016800670368006900670069006701630064016300640263035e0060005f
+035a005b03550150004b0046df01010d060b010e010d060b010e8701006800690368006900680067006800670069056300640263015e005f005e005f0058015a0159005a0255004f
+0051004b0045004ade01010d060b010e010d060b010e8701006800670068006a0167016800690168016700630062006400630064006500640063005d025e0060015e005a0058015a
+0059015401550050004b0047004ade01010d060b010e010d060b010e87010267006900670168016700680067006803630062016301640063005f015e015f005e0058005b005a0059
+005500540055005400550150004a0046de01010d060b010e010d060b010e860101670068006901670069006c006d00670168006700690863005f015e005f005e005b005a03590256
+005000510050004a0046de01010d060b010e010d060b010e8601016800670468006901680167006800630364006300620164015f0060005d015f025a015900560055015400510050
+004b0045de01010d060b010e010d060b010e8601016800670268026d006702680062006400630064006200630064016300620063005f015e005f005e005a0059005a005b00590056
+02550050004f00490046004bdd01010d060b010e010d060b010e86010069016d0068006c0067006c006801670069016700620464006300620064005e0063005e005f015e015f035a
+005500540155004f0150004b0046dd01010d060b010e010d060b010e86010068006d006c006e016c0068016d0068006700690068016300640063006500630164005f0164025e005f
+0060005a0058005b0059005a005902550250004c0045dd01010d060b010e010d060b010e8601006e0067006e006d006c016d006c006d006902680069006201630064006200650063
+005e0064025f005e005f015e0059005b025a01540055005600510050004c0046dd01010d060b010e010d060b010e8501006c036d006c036d016801670068036300620263005e0064
+005f015e015f005e015b005a005b005903550150004b0046dd01010d060b010e010d060b010e8501006c026d006c006d036c00670268016400630064016300620064005d005f0064
+005f005e015f015e005b0159015a00550054005500560051005000510046004cdc01010d060b010e010d060b010e8501006d006c006e036d006c006d006c00670068006700680069
+00630062006400620064016302640063025e005f005e025a01590054005600550056004f0050004f00470045dc01010d060b010e010d060b010e8501006c006e006d016c046d0067
+00680069006801630064006300640463006500640060005f005e005f005e0059005a0159005b0054005500540155004f0050004b0046dc01010d060b010e010d060b010e8501006e
+066d006c006e036800640063006201640062015d025e0064005f005e015f005e005f0059005a02590155005400550050004f004c0046dc01010d060b010e010d060b010e8501006c
+006d006e026d006c006d006c03680069026300650063005d005e005f025e0063015e015f0060005f0059025a005902550054005101500047dc01010d060b010e010d060b010e8501
+006c006d006e006c006e036d006c0068006900680069026300640163005f0064005e006401630060005e005f015e005f005b0059015a0059005600540156004f005100500146db01
+010d060b010e010d060b010e8401026d006e006c006d026c006d006c036802640263005e0063005e005f005e005f0062005e005f005e015f005a0059005a005c0059005400550054
+005702500147db01010d060b010e010d060b010e8401006d006e016d006e006c006d006e026c0067006801690068016300640063005f00630062005f005e00620064005f005e0060
+015e005f005a0059025a00560155005600500151004b004cdb01010d060b010e010d060b010e8401036d016c006d006c016d006e0167006800690068006400630064006200630162
+005e005f0066005f025e005f025e0059005a0059005a0059005400550056005401510050004adb01010d060b010e010d060b010e8401016d006c006d026c016d006c026800670069
+00670064006301640062005e0064005e0063005f005e0063005d005e005f005e005f005e005b005a02590056005501540051004f0051004cdb01010d060b010e010d060b010e8401
+026d006c006e006c016e006c006d006e01670168006200640463005e00600163005f0064005d005f015e01600059005a0159005a00550054005500540150004f004bdb01010d060b
+010e010d060b010e8401006c036d036c006d006c0168016701630064006300640163015f0063005d015f015e035f005a0059015a0059005602550051004f0050004a0047da01010d
+060b010e010d060b010e8401016d006e006c046d016c0067006900680067006300620064016300620063005e0063005f005e00600063015e0060015e005f015a005b005a00590054
+00550056005400550051004f014bda01010d060b010e010d060b010e8301006d016c006e016c046d00680267006200680162016300640063015e005f005e0060005f0062005e015f
+015e005a0059005b005a00590155005600540350004bda01010d060b010e010d060b010e8301006e036d016c006d006c006d006e006c03680163006400630164005e00640062005e
+006500640063005e005f005e005f015e015a005b005a005b005a0053025501500051004cda01010d060b010e010d060b010e8301006d016e006d006e006c006d006c026d006c0268
+00690068016301640163005f005d0064005d015e0063005d015e005d0060005f0059025a00590155005400550250004b004c4c01015e005f8901010d060b010e010d060b010e8301
+006c036d016c0072006c006d016c00690268036300640163005f005e0064006000620163025f015e005f005a0059005a005b005a00540255014f0051014a4b01005f005a0060005e
+005f00608701010d060b010e010d060b010e8301016d006e006c006d026c006e016c006d00680167006801620163006200630062026300620063005e005f0064025f005d005e035a
+00590056005501540050025100464b01005a025f005e015f8601010d060b010e010d060b010e8301006e006d006e016d006c0072016d006c016d0167016803630062006401620163
+005e0064005d005e0062005f005e005f005e005f005e005b025901550054015501500051004a4a01005f005e005f0060005e035f8501010d060b010e010d060b010e8301006d006e
+006d006c00730172006d006c006d016c006800690268006400630062006300640163005e0064005d0063005f005d005e005f005e005f005d015e005a0058005a005b005401560054
+0055004f0051004f004a00464801005f005e0059015f015e005f005e006300668401010d060b010e010d060b010e8201006d006e006d0073006c00710172016d016c006e00680069
+006700680263006200630062006300620163005d00640263005e005d005f005e005f005e035a0059005500540156004f00500051004a00454701005a005b005e025f005e015f0163
+00648401010d060b010e010d060b010e8201006e006c007300720071007200710072006c006d026c0067016800670069006301620063016202630062005f005e0060015e035f005e
+025a005b00590056005400550056005100500051004f004a4701015e005f005e0060005f025e005f01638401010d060b010e010d060b010e8201006d006c006d006e017200710073
+0072006e026c026800690068006900620463006203630060005d0063005e035f005a0059005b015a0055005601550050004f0050004e004b00414501035a0060025f005e00630064
+02638301010d060b010e010d060b010e8201036d02710072006c006d016c006704680067036302640163005f005d0064005f0065015e015f005e005b015a0059005a005900540053
+015500510150004a00474501005a015f005a005f035e006403638301010d060b010e010d060b010e8201006e0073027200730171006d006c006d006c006d01680069006800670068
+036300640163005f0063005e0064015f005e005f025e015f005a005b025a0155015401510050004b004c44010059015e005b005a005f015e005d005f0063026400638301010d060b
+010e010d060b010e8201006c00720073017200710173046d016700680067006900680162006300640263005e00630062005f005e005f005d005e005f0060025f005a005900580059
+005a035401500051004b004c4401005a0059005f005e015f025e005f006401630064006300628201010d060b010e010d060b010e8201006e017300710073007200730071016d006c
+006d006c026801670168036301640163005e005d0064015f005e015d005f015e0059015a005b005a01550156005000510050004a004900404201005b0059005e005f0059005d005e
+005d015f005d006400630164006300628201010d060b010e010d060b010e81010072017105720071006d016c00680069006700680067006800670063006400620563005e015f005e
+00640063005d025f005e0058005b0059005a00590054005602550250014b42010159005a005f025e015d005f0063046400638201010d060b010e010d060b010e8101007300710073
+01720071007200730172016c006e006d026700680067006900630062006300640062006300640063005e0063005e005f0064005d00640060005e025f005b015a005b005a005b0056
+00550154004f0150004b004a4201015a0059005f005a005e0060015e0063016400630162006401638101010d060b010e010d060b010e8101047200730272006d026c006e00670468
+006700630062016300640163006200640063005f0060005d0064035e005f005e025a005b005a0056015500560250004c004b00414001025a005e005a025f015e0164046300640063
+8101010d060b010e010d060b010e8101007200710672016e006c006e006800670068016700680067006902630062006300620063005e00640065005d025f005e005f0060005f015e
+0159005b015a0054015500560150004f0050004b004c4001025a005e005f0060025e005d00650163006400630164006300648101010d060b010e010d060b010e8101027200730072
+01730172006d026c00680167016902680064006301640063006400620063005f005d0064005e005d015e005f005e005d015f0059005a0059005a005900560054015500570250004c
+004b40010055005a015e0059005e005f005e005d005f00650063006400630064006200640062006300648001010d060b010e010d060b010e81010072017300720071027200710073
+016e006d0268006900670168006900620064006300640063006200640063005d0063005e015f00650064005f015e015f005c0059025a005500540055005600550250014a3f010056
+0059005b0060015a035e0463006400620164006700688001010d060b010e010d060b010e8101007300720073007203730071006d006c006d006c006d006900670168016700680064
+0263006401630064005e0063005f0263005e005f005e005f0060005f005a005b025a0054015500560055005000510050014b004c3e010055005a0059015a005e025f005e00630062
+0063006402630064006801678001010d060b010e010d060b010e8001037200730071007200710172026d0067016800670068006900680069006701640062036301640163005e0164
+005e005d005e005f0060015f005a005b015a00590054015500540150004f0050004c004b3e01005500580059005a035f006400620164006301640062006300650068006200688001
+010d060b010e010d060b010e80010071027201710072007400720071006c006e006d006e016800690067016801670063006803640263005f006400600063005f005e005f015e0060
+015f0159005b015a0254005601510050004f004b014a3c0100550059015b015a025f005e00640163016401630062016401688001010d060b010e010d060b010e8001007200740072
+0073017202710072006e006c016d006c0068006702680067006800670064006200640063006400630264005f0062005d00650063015f005e005d0061005e005b035a015600540056
+01500051004f004d004b004c3c010055015a005f035e005f02630064016300640263016801697f01010d060b010e010d060b010e800100720273017102720073006d006c016d006c
+006d026701680067006801640163006200640163005f006400650163005d005f005e0060005f005e005f0159005a0059015a0056005501560050014f0051004c004b3c0100550059
+005a005f005e0160005d005f0063026400620263006404687f01010d060b010e010d060b010e800100710372017100730172006d006e006d006c016d026703680069016300620065
+00630164005f0062015e005f015e005f005e005f005e015f005a0059005b015a0055005401550250004c014b004c3a010054025a00590060005f005e0060005e0363006401630064
+006800630168006900677f01010d060b010e010d060b010e80010071017200710172007100720171046d006c00680167006a0067026801630164006200640163005d0063005f0164
+015e015f005e015d005a0059005a0159005601550054005600510150014c004b3a010055015a00590060005f005e005f005e005d026300640063016400690368006700687f01010d
+060b010e010d060b010e800101730071007200710172007300710072006d006c006d006c006d006c006702690067006901680069016401630064006300640062005e005d005f0063
+005f0064005f015d005e005f0059005b0059005a005b01550156005500510150004a004c004b3a0100500055005a0059015e025f005e006200640062016402630067016800690068
+00697f01010d060b010e010d060b010e7f010071007201710072007300770072007300710073006c006d006c006d006c016d00670068006900680067026801630064006200640063
+005e0163005d005e0063005e0060005d005f015d005f025a005b015902550056004e004f0150004a004c0046380100500055015a0059005f005e005f006000630062016300640062
+0063006400630368006701687f01010d060b010e010d060b010e7f01007400730072007100780076007902720071006e016d006c006d006c00690168016702680069006300640163
+00620063005f00650164005e005f0164005f005e015f0060005f005a0159015a005400560154005100540150004a004b005438010051015a00590060005a005f005e005f005e0264
+00630064006200630568006901687e01010d060b010e010d060b010e7f0100720171007300780077007600730272016d016c036d006900670168006900670068006302640263005f
+00620163005d015f005d025e015f015a0159005b005500560055005600540250004a004c004b380100500059015a005b005e005f005e005f00620063006401630162006300680069
+0368016700687e01010d060b010e010d060b010e7f01007200730172007600780072007101730071006c006d006c006d016c006d0067006800670069046801630062006300640063
+005e0064005f0064005f00640063015e005f015e005f0159005b015a01550054035500500051004c004a00473701004f015a0159015f005e005f0463006400630268006901680169
+006700687e01010d060b010e010d060b010e7f0101720073007200760177017200710072026e036d0067016801690068006700690068006200630062006301640063005e00630062
+00640063015f005e0060035f0058005b0059005b055500560050004f014b00463601005100530159015a025f005e04630068006402680069006800670069016700687e01010d060b
+010e010d060b010e7f010072007100730072007701760072007300710072066d00680167016800670268006201640063006501630062005f005e005f005e0064015f005e015f005e
+0259005b005a005b03550056005000560151004b0047360100500054015a0059005e015f005e0164006300640162006900670168006900670368006900687e01010d060b010e010d
+060b010e7f010073007204780073007200730071006d026c016e006d006c0068006a016700680267006900620063006403630062005e0063005f005e025f005e005f0060015a0059
+005b005a005900550054005500560050005100550150004c004b004635010051005b005a0059005e0060005f005e0264026301680069006800690068006701690067006902677d01
+010d060b010e010d060b010e7f01007300710073007700780177007300710072006d006e016d006e006d006e006c006d0168006704680164006301620363005d005e0163025f025e
+005f025a015b00590053015500540055004e005000520050004b0045350100500058005a0059005f005e0060005e0060006300640063016400630068006700690067006900670668
+7d01010d060b010e010d060b010e7e010073007200730078017700780077007202710072006d016c016d016c01680069016701680069006402630064026300600063005e0063005d
+0064005e005f005e015f005e015a005b025a005702560055005000510050004f004a004c004f330100500055005a005b005a0060005e015f005e0065006200630065006400620368
+0069006701680167006801677d01010d060b010e010d060b010e7e010072007300780077007601780079007100730072006d006c016d016c006e006c006d006c006d026801670068
+01630064036300620064015f00630064005e0063005e025f005e005f015a0059005a005b005a005601550054005500560150004c014b330100500054025a0060005f0060015e0064
+036300690168006905680069006701687d01010d060b010e010d060b010e7e01017200770076007700780076007701720073006d006e006c026d006e026d00670069006700680067
+0168006200640663015e00640163015d005f005d005e005f005e0059015a005b015a005900540155005000550051004f0051014a00503201004e0055005b005a00590060005f0060
+005e0064006200630164006301680069006800670268006a00680067006a006700687d01010d060b010e010d060b010e7e0100720277007900780076007803730071006e016c006d
+006e016d006c046801670068006a006200630164006300640062035f0063005e0064015e015f005e045a0159005401550050004f00540150004b004c004b32010050015b005a0059
+005e015f005e01640162006400630068016700680069016800670168026700687d01010d060b010e010d060b010e7e01007200760177007601770078007300720273026c056d0069
+016800670168016700640163006202630064005d005e005d0063005d005f005e045f025a005b005a0054005602540155004f0050004f004b004c310100500055015a00590160005f
+015e02630062006400630069006800690068006700680067016800670168016700687c01010d060b010e010d060b010e7e010072017800770078007601770073007200710073026d
+006c006d006e006c006e006c006e01680069006800670368006300620263016400630064005d0065005f0064015e0060005f005e005f0159005b015a005600550056015400550050
+0056004f0050004f004b00463001004f0055025a015f005e005f00640063006200640065006405680067006800690068016700680067006800677c01010d060b010e010d060b010e
+7e0100760177017801770073017202710072006d006c006e026d006e006f016800670068006702680064016300620263015f0064015e0063005f0063015f005e005f005e005a0059
+025a005b0055005601540056004f005500510150004a004b3001004f0056005a0059005a015f005e005f00600065016300620068006a006700680067016901680067006800670268
+006c00687c01010d060b010e010d060b010e7d01007900780077007800760077017801720073017100720073006e026c006d006e006d006c00680067006800690068006702680162
+02630164005e0063015e0064005d0064005e025f005e005f0059015a015900550054005902550056024f0050004b00452f01005100560059005a0060035e01630064006300640063
+00690568006d016700680069006c0067006c006d7c01010d060b010e010d060b010e7d010177007904770073017400720273016e006c056d00670268006701680067006800630064
+0163006401620063005d005e0163005e025f015e005f005a03590055005b0055005b0056005400550050005500500051004a004b2e0101500055005b005a0059005f0060015e0164
+0163016400670068006900680067006900680067006800670068016d006e006d00687c01010d060b010e010d060b010e7d0100780077007600790077017800770078007201710172
+026c006e006c006e006d006c006d006c026902680067006805630164006301640063005f00620060015f0060005e005f0059005a005b005a005b0059005a015b0055015400550050
+005100520051004c00462d01004f0055025a045f0063016400620163016801670068006700680067006e0168006d006e006d006e006d7c01010d060b010e010d060b010e7d010078
+0177007601780076007700780073037200710072006e006c006e001c006d006e006c006d0068006d0068006904680064006300620063006400630064006300620063005d0164005f
+015e005f005e005d005f005b0059015a005900550054005a00550256005400510150004b004c2d01005000540059005a005b0160005e005f005e046300690268006701680067006e
+036d006c026d7c01010d060b010e010d060b010e7d0100770078007900770076007701780077017200730072007300720071006c006d006e006d006e026d02680267006800690068
+0064006301640063006200630062005f005e0063005e0064015e005f015e005f00580159005a005b005a005b0159005b015500560055005600510150014b2c01004f0056005b0059
+005a015f005e005f006300640163006400630068006901680067006800670068006e016c006e006c016d006c006d006c7b01010d060b010e010d060b010e7d010077007902780077
+0078007700780074007200730372006d006e046d006e006d0068006701680167006800670163006400630062006300640063005d015f0264015f0060025f035a005b005a01540056
+00540055005400560150004f0051004b004c2b01005100500056005a005b0059015f015e00640263006200690068036700680067006c006d006c016d026c026d7b01010d060b010e
+010d060b010e7c0101770278007c01770078007600720273007200730072036d006c006d006c006d0167066803630064016301640163005e0062005f0065005e005d025e005f005a
+005b005a0059005a005b0155005b005603550250014b2a01005100550054005a0059005a005f0060005d005f0164006201640068006700680069006801690068006d006c026d006c
+006d006c006d016e7b01010d060b010e010d060b010e7c01017700760177007c00790078007900780071007200710073017200710073006d006e036d006701680067006900670368
+0063016400630062016300620064005e005f005d005f0063005d005f025e005f005e015a0059025a00550156005a025500540051004f0051004c004a004f2901005000560054005b
+0059025f015e01630062016400690068006702680067016c006d006c006d006c006d006e006d006c016d7b01010d060b010e010d060b010e7c0101770178007c0077007800760077
+0076007100720073007100730171006e036d006c006d006700690067026800670068006900680062016300640063006200640163005e0065005e0064005e0064005e005f005e0060
+015f015a025b005a0056005a0055005b005501560055004f0251004a00492901004900550059005a0059005f005e005f0060005e0064026300640067026901680067006d006c016e
+006c006d006c026d006c006e7b01010d060b010e010d060b010e7c01007700760177007c007d0277007800720073007402720073006d016c026d006c026800670068016701680063
+00620063006400630064006300650164005f006401630064025f0060035f045a0059015a015901540156014f0051004b0050004b27010049005000550058015b025e005f00630064
+0063006400650063006800670169006700680067006d006c026d006e016c016d016c7b01010d060b010e010d060b010e7c01007700780079007b0078007700780077007800720071
+00720073007201730072016d006c006d006c006d0067006c0568006900670064016300640062006401620163005f005e006302640063015e015f005e005f055a005b015600590255
+01560150004c0050004a2701004b0055005800590058005a025f005e0264026301680167006800690068006e016d006c006e016d006c036d7b01010d060b010e010d060b010e7c01
+007600770076007800770378017200710073007201730072006d006c036d0167026802670168016401620063006502640062005f0063005d0063005d0063005f015e005f005e015f
+0059005a03590055005a0056005a0057015400560055004f01500051004c004b260100510055015a0059025e015f02640063006405680069006c056d006e026c016d7b01010d060b
+010e010d060b010e7c01007900770078007b007c0078007601780077007200710472026d016c006d00670168016900670168006901630064006301640263006400630062005f0060
+005e005f005e0163005e035f0059005a005b0059015b005a00590055005a00550154015501500151004b004c004a2501004f00560059015a0060005f005d005f0063026400630065
+01690067016800690067016d016c006d006e006d006c046d006c7a01010d060b010e010d060b010e7b0100790177017d0377007800720173007200710272006e006d006e006c006d
+00690067026800690167006801630064006200630064016300620063035e0064005e0063015e015f025e015f0059005a0059015a00580059025a00540055005600550056004f0150
+004c0051004b24010051004a0055005a005b005a005e015f005e005f0064016300620063006904680069036d006e016c006d016c036d7a01010d060b010e010d060b010e7b010278
+007d007c0076007800770278017200730072007100720071016c006e006d006704680067016803630162016300640063015e0063005e005d0063005e005f0163005f005e005f005d
+025f005b0059025a0055005b005500570355015600540055024f014b23010050005600550159005b005d015f005e00650062016401630068006900680069006800670068006c026d
+016c006d006c006e006d006c006d006c006d7a01010d060b010e010d060b010e7b0100770176007d0077007800770076007800760073007801720073007200710072026d05680169
+0068036300640065006300640263015e005f0063005e0063005e0163015e0064015f005d015e015a005b035a0255005601540056005501500055004f0050004f004a230100510055
+005a005900580059005e005f005d005f006400630065016300680069006700680267006d016c006d006c006d006c016e026d006e006c006d7a01010d060b010e010d060b010e7b01
+00770078007c017d00760178027700760271007200730072006d006e026d0067006800670069036800620063006402630062006300640063005d005e0063015e00630064005d005f
+006300650064005e015f025e0159005b005a005b01590056005a01550154015500510055005000510150004a2201004b0055025a0060005f0060005f005e0264016303680269036c
+006d006c006d016e006d006e016d016e7a01010d060b010e010d060b010e7b0100780077017d00770178007701780077007800710572016e006d006c046800670168006700630162
+00630264005f0063005d0064005f005e005f0163005d00620063006400630060005e015f005e015f0059025a0059005a00550054005b005a0054015500570055005000540150004d
+0050004b20010049004c00550059005a0059005e005f005d005f00640063006400630064006301680067006800690168006d006c006e006c016d006c026d006e016c006d006c7a01
+010d060b010e010d060b010e7b010077007b007c007d02770078007700780173007700730372006e016d016e006d036800690067006900630064016300620064006300640063005f
+0062005e0064005f00630064005e0064005f00640063025f005e005f005e005f005a005b0059025a005500590155005a0056025500570050005400550150004c004b00511f010049
+004c005a0059005a005b005d025f00630264006300680267006801690068006e006c026d006e016d006e036d016c7a01010d060b010e010d060b010e7b010077007d007c007d0378
+007700720078007300710078007100720173016d006c026d02680069006701680069016300620063016200630062005e005f005e0164005d005f005e0264005e005d005f005e0060
+015f005d005e035a005b005a015600590055005401550056005400520055005000540050004b004c00491f01004b00550159005b0060015f0060005f006301640062006300670268
+006700680067016d016c006d006e016c0072016d026c006d006c7a01010d060b010e010d060b010e7a010078007c007d0076007d0079007801770073007700720073007700730171
+00720074016d016c016d016700690167006901680067006200640663005f015e0064005e015f025e015f025e005f005e0060005f0059015a0059005b0055005a0056005a00540056
+0054005701550056015500540250004c1e01004c00560059015a005f0060005e015f006301620163046800670068006e006d006c006d006e016d006c0071016c016d006c006e006c
+006d7901010d060b010e010d060b010e7a010177007d0077007c0177007600770073007700780074017301720173036d006c006e006d026800690068006702680064026201630164
+005f00630064005e0163005f005e035f015d0060015f005e005f005a005b005a0059005a005b0054005900550056005a00540255005400510056014f0051004b0051004b1c01004a
+004b0055005b005a005b015f0060005e0064006300620064006200680069016800670169006c006d006e006c006d016c006d006e006d0073006d006c026d006e006c7901010d060b
+010e010d060b010e7a010077007c007d007c0177007801770076007200780077007200780372006c006e006d006c006d006c0068006c036800670069006800620063006200630064
+0263005f0062005e0063015e0062025e005f005e0060005e015f005e005d005f005e005f005a0059015a00580055005a005b0055005401550054015500540057005101550050014b
+004a1b01004c004a00550059015a0160005d005f016400630064006200640167006801690168016c016e006c026d006e0272046d7901010d060b010e010d060b010e7a01007c007e
+0077017c00770079017800760072007601780073007200730172016e006d006c016d00680067006900680267006900670069016300640063006400620063005e005d005e005f015e
+0163005e005f005d025e015f015e005f0060005a0159005a0059015a01550059005b005a00560054015500570056005502500151014b1a01004b005400580159005f0060005f005e
+0063006400630064006500630068006700690067006800670068036c036d006c006d007200710072006e0072016e006c7901010d060b010e010d060b010e7a01007d007800760077
+007c00780277017300720273007200730172006e006c006e016d006e006d0068006e0168006900680067016800630062006401630062006400630062005d0263005f0163005e005f
+005e005f005e0060015f005a005e005a005f0058005a015b015a0059005a0156005a05550054015000550050004f0050004f004b1901004f0055005a0058005a005e0060005f005e
+005f006300640163006400690167006800670069006800690068006d006c006e006d006e006d036c0071006d006e026d7901010d060b010e010d060b010e7a0100780077007d0077
+0078027700740072007801720078027200730072006d006e006d006e026d0067006d006801670068006900670068006200640063016401620064015f015e005f005d005f015e005d
+025f005e005f005a0159025f0059005b0059005a0059005a015b005a0056005a005b005500570055005400560055005000560150004e004a004b1801004a004b0054005b0059005a
+015e005f005e0063006400630064006300640067026800690067006e0067006c016d026c016d016c0072006d00730072016d006e7901010d060b010e010d060b010e7a01007d0078
+007c007d00790278007700780072007700710076017200730172016d016c026e006f006c006701690168016700640363006400630064025f0063005e00630064005d0062005f015e
+005f015e005a005e0060005f0061005f015a005b005a005b015a005b005a00590055015a0155015600540055015600510050004f0050004617010052004c0055025a005f015e005f
+00630164006200650067006800690368006d0067026c006d006c016d006e006d0073016c006e0072006e016c7901010d060b010e010d060b010e7901017d0177007c007702780073
+01770178027300720073016d006e016c046d0268016700690067016800620663015e0063005f005e005d005e0060035e005f005a015f005a005f005a005e005f0059005f035a005b
+0055005b0155015a04550056004f00540050004b005000460501002b0f01004f004c0059015a035f005e006300640062016300680067046800670068006c006d006c006d006c006d
+006e036c0172006d006c006d006e7901010d060b010e010d060b010e7901027d007c00780177007601720073017200770173007201710072006c036d006e006c006e006d006c0067
+0168036700680163006202630062005d005e0065005e00640062005f0065005f035e015f015e005b005f005a005f0058005f0060025a005b0159005c015600540059005a00560054
+005500540055005600550151004b004a004b03010030002b0f01004b0055005a0158005e005d005f005e0162006300620163036800670068006d0167006e006d006e016c046d0171
+007301720071016d7801010d060b010e010d060b010e7901027c0078007c00790076007700760077007200770078007700730372006e0070016d016c006e006c006d016c00680067
+0168006701680067006800630062016301620064005e0063005d0063005e0062005f0063005e005f005d015f005e015f00590060005a015b005a005b015e025a0059005b005a0055
+015a0055005b00560155005700550056005100540051004a0050004b004f01010032002c002b0d010050004a0054005a0159005f005e015f00630364006200680067006900670168
+0069006d0067006d006e006d006e016c026d006c00730072006e007100730072006c00727801010d060b010e010d060b010e7901007d007c007e007d007901770078017700730079
+007200740072007300710072006d0172006e016c006e006d006c006d016c006e01670068006700680069016802630064006200650062015f0063005e005f005e0163005e005f005d
+005e005f0060005e005a005e005f0159005a0060005a005d005f0060005f025a0059025a0155005a005c035500560050005501500051004b00510030002d012b0d010050004b0159
+015a005f005d015f0163006400630064016901680067006800690068006d00690067006c0067006d026e036d006e006d0072006d007201737801010d060b010e010d060b010e7901
+037c0078027700790078007300780071017200730172036d016c006e006c006d026e006d00670268006701680062006900620163006201630062005e015f005d005e00630064015d
+045e005f015e005a005d035f015a005e005a015b0059005a0055015a005b00550059005c0055005a00550054005600500154004f004a004b004e022c0d010050004b015a005b025f
+0063006402630064006903680069006e016d0068016c0068006d006c016e016d006c006e016d007300720073006d007200737801010d060b010e010d060b010e7901017d007c007e
+02770078007300770076007200780072007100720173016c0171016c006e006d016c006e016c0067036800670068006900640162016300640163005e01640163005d01630060005d
+005e0060025f005a015e005a00600059005b0060005a005f0060005f0059005b015a005b00560055005a005b005a01550056005a005600550056005100540050004f004a004f0045
+002b002d002c0b01004f004a004b005a01590160015f006300640163006400680067016800670069006c006e006800690268006c0068006d006c006d006c006d006e006d00730572
+7801010d060b010e010d060b010e7801007d007c017d007c0078017700780077017800770071007200730372006d0072006e066d016c006803670068006900670068006300640162
+00630062006300650063006400630064005f006300620063005f005d005e035f005a005e005a005f0059005f005a005f0059005d00590060005a005b025a0255005b005a0055005a
+0055005a0054005500560054005500540050004b0050004b002d002c0b010051004c00550059005a005b005e005f005e005f0064006201640063026800690168006c0067006d0067
+006d0067006d006c0067006d006e006d006c026d0071006e007200730172006c7801010d060b010e010d060b010e7801007d007e007d007e007c007d00760178017700780572016d
+00730272006e006c006d006c006e006c006d006c006700680069006800670068006700690068006200630062016300640062006401630062005f0062015e0064015e005f005d005f
+005e005b0059005a0059005a0259005f005a005e005f015a005b005a0059005a0056015a0054005c005a005b0055005a005800560155004f005000560050004c014b002c0b01014b
+005b005a005b005e005f005e00600064026301640068006901680069006d006e016800670468026c016d006c006e006d0071006d006c007101737801010d060b010e010d060b010e
+7801007f017e007c007d0477007800720078007201730172006e006c006d0073006c036e016d006e006d006800690167016801670062056300640063005e005f0064005d015e005f
+015e005d025e005f005d005e005d00580059005e0059005a015f005a0159015b0059005a0059005a005b00590055005401550054005a0055005b0055005a00540155005600550050
+004b0050004c002d09010050004f0045005a0159035f0063016400630064006800670068006901670068006f0168016d0069006700680067006d006e046d006c006e006c006e0071
+007200737801010d060b010e010d060b010e7801017d007b007d007c0077027800770178037200730172006e0072036d006f036d0069006700680267006900680063016200650262
+00630062005f005d00640062005d0063005d005e0062005e0063015e005f005e005d005f0059005f005e005f0060005b005f005a0059005f0058005f005c0059015b015a005b0054
+005b00540056005a005b025a00560055005b005400560155004f0151004b004608010051004a0041005a0159005e005f015e03640062046800670068016d0067036d0067016d016c
+056d00730071006c007100727801010d060b010e010d060b010e7801007c007d007c007d007c007802770278007304720074016d006e056d006e006c046800670069006700640062
+006300620064016300620063005d005e0062005e00640163015e0062005e015f025e015f005e005f005a0059015f005e005a015f005a0059005f005b025a005b0055005a00560055
+0056015a0054005a005400550059005b005400550150034f00450701004b0146015a035e0064006503630368006902680069006c006e0068016c006d006c006e006c006d006e016c
+016d00730071006d0172007300717701010d060b010e010d060b010e7701007d007b007c027d027803770172007300720071006d0072026d0072006d006e006d026c026800670068
+006701680067016200640263006402630064005e00630062005f0062005e0063005d0062005e015f015e005f005d015f005e015a005e0059005e0060015f015b015f005a005b015a
+005b005a0059005a005b00540055005b00590056005a005b0053015500500155004f0050004a00510045040100510050004b005a0159025f005e0164006301640168006902680067
+006800670069006d00670268036d016c006d036e007200730172007300717701010d060b010e010d060b010e7701007d007c007d007c017d0079007700780077027802720073006d
+006e0172006e00730072016e006c006d006f006d01690168006702680062006301620063026200630062005e0063005e0163005f005e0264005e0063005f025e0060005f005e0059
+015a0059005a0060005a005e005f0060005e005a005f005a005f0059025b005c005a0057015a0054015b00550059005a015b005a0154004f00500151004f0049004b03010051004a
+0047015a005f025e0062006500640263006900670068006700690068006703680069006c0167006c006e006c006e026d006c006e026d0072007102727701010d060b010e010d060b
+010e7701017d007c007d007e007b00780077027801770072007300710072006d006e0072006d006c0072016d006c006d006c006d006e006800670068006900670068006300680062
+016301620163005e0163005f01630162015e016300650063025e005f0060025e005f005b0059005e005f0059005a005b025f005a0060005e025f005a055b0055005b00560055005a
+005601550059005b005500560055004f01500051004a0050004b01010050004a00460159005e005f015e00630164016300680067016800690068006901670368006e006c006e006c
+006e026d006c006f006c006d006e0071006d037200717701010d060b010e010d060b010e7701007d007e017c007e007f007800770079007800770078007700720173016e0072006e
+0073006d006e006d006e026d0068006c026801670068006302640162006300620164005e005f0063005d005e0163006400630064005d00620063005e0064005e005f005e005d035f
+025e005f005e005b005a005e005c00600059005a0060015a0060005a0060005b005a0059005a00590155015a0055015a01590155005601550051014f0050014a0051004a01460059
+005a005f015e005f0364016800670268006700690168006701680067006d0069006c006e016c006d006e006d006c016d006c01730071027200737701010d060b010e010d060b010e
+7701007c007b007d007c007b007d0077047800790071007200730074006c006d0073006d0071026d016e006c00680067046800640069026301640062006400620264005d025e0062
+015e005d00630064005f0064015e015d015e005f005e0059005a005d0059005f005e0059005f015e005c015a005e005a0060015f005e005a0060005b025a0059005a00560054005a
+005b00570054015501540055005700550150024f004c0146005b035f00640163006400680069006302690468006900670168006d0068006d006c036e026d006c006d037202737701
+010d060b010e010d060b010e7701007d007b037c01780076007801770078017300720073007200730072066d006e006d016801690167016300680067016300620063006200630062
+0064005e0163005f015e0063005d005f015e005f005d005e00630065015f0060005e005d005f005e0059005a005b015f005a005f005b005a005b005a005e005f005a005b005f005b
+015e005f0060005b035a0155005b00590055005b005900550054005600550054005500500054004f0050004a0045005a0059015f005d005e02640062036400630062046801670068
+0067016c006d006c006e006d006e006d006e006d006c006e006c007100730072017101727701010d060b010e010d060b010e7601007d017c007d007b017c00770079017700780077
+007801730172006c016d0074006e016d006c016d026901680069016800670168006300620164006202630062005e016300640063015e005d055e005f005d015e015f005e005d005e
+005f0059005e0059005a005f005e005f005b015f025a0059006000590160015a005b005f005a005b005a01550056005b00540255005b005900560054005601550051004a004b0046
+0059005f005e005d005f0263006400620064006300640163036700680067006800670168006c026d006c006d016c006e016c006e0072007100720071007302727701010d060b010e
+010d060b010e7601007d007e007c007d027c00780177007600790078007200730071007301740072006d0073006d006e006d006c016d006c01680067006802670368006300620163
+0062006301620064005e005d0063005e005f005e005d015e005d025e005d005e005f005e005f005e015f015e005a0159005f005e015f0059035a005f035a0059005f0060005e005f
+005a005f0259005500590055015a0055005b005901540055005a0055004f004b00460045005b005d015f005e006501640063006201630064026200680267006800670069006d006e
+006d006c006d006c006d006e016c006d006c006d007201710372007300727701010d060b010e010d060b010e7601007c007d007c007b027c0277007600780077017204730171006d
+006c006d006c006d0068006700680067006800670069006200690068006300670064006200630062006300620063026200640062005e025f005e015f015e015d005e005f015e0060
+015e025f005a0059025a0159005a0059005f005a0059015f005a0059005e015f00600059005b005f0060005a0060005c005b005a005b00560155015a0055005400590055005a0051
+004b0145005a005d0060005e0363006200640563006904680069016d0168006d016c006e006d006c006d006c006d007300710372017300717701010d060b010e010d060b010e7601
+017c007d0081017c027800770076007700760072007300720173007100720073056d006e006700680069016800630062006801640068006700630068016301620063006200640063
+015e005d035f055e005f005e0060005f055e005b005e0059005e005a0059005b015a0060015a005f005c0059005f00600059005b015a005e005a025b005f0059005b0059015a015b
+015a0058005a0150004700450046015f005e005f00630062006400630064026300640163006900670068006902680067016d006c006d0069016d006c016d016c0672007400730072
+00787601010d060b010e010d060b010e7601017e007c0081007b007c027701780179007701730072007400730072006c006d016e006d006c00670069016800690167006800620067
+016801690062026300640062006300620163005f005d005e015d015e015f0059015e005f0159005f015e005a0059005d005e005a005e0059005a005f005a005f005a0060015a005f
+005a005f015e005f00600059005a005b005e0059005f005a005b005f0060005a005e005b0059005a0059005a0059015a00590050004c0146025f005e016403630064036300670069
+0068006700680267006c0067006d0069006d036c016d006c00720071007200740072007101720071017200737601010d060b010e010d060b010e7601007d00810083007e007d007e
+027800770078007700780077007100730172007400730074006d016e006d006c006e006800690068006701690064006300680169006300690062006400620163006402620063025e
+005d005e005f005e015d0059005e0059005f005d005e005d005a005e005a0059005e005a0059005b005a005f005a005e005a005f015a00600059005b005f0060005a015f005b015f
+005c0059005b00590060005f005e005b005f005a0059015a0159015a004e0051004a004500460060015e00600163005f00630062016402630267016801690167006c006d0069006d
+006c006d006e006d006c016d006e0272017300710073007200710073007100777601010d060b010e010d060b010e750102820081007d007e007d017c007801770078017700720073
+007400730172006d006f016e006d006e03680067006801670063006801640063006800630064006200630062016400620063005d005e0062035e005d005f005d005e0059005e0159
+005e0059005e015a005e0059005f015b005a005f005e005a005f005e015a005b005f005a025f0060025a0059005c005b005f0059005a005f005a015f0059015a0059005f0059005e
+005f0050014b0146015e005f005e0063005e005d005f016403630069006800670068016700690068006d0068006d0068006700680069016d006c006d006e006d0071007302720073
+007200710073007201787601010d060b010e010d060b010e7501008201810083047d007803770079037200730071036d006c00670069066801640062006700620063006200630164
+0163015e005f0063005e0163005d005e005d005f025e005d0159015d015e00580159015a005e0059005d005f005e005f0160005a005c0061015a005e005f01600059015a015b0060
+005f005e005f025a005b0060015a005f005e005a00590060004f004c004b00460045005e005f005e00630064005f0164006300640163006200640067006800690067006800670069
+00670068006c0068006d00690268036c006e00730172007104730072007800777601010d060b010e010d060b010e75010382017d007c027d007c0078017700740073007100730072
+006e006d006e006d006c006d006e036801690468006300680064026301620064015f005d0062005e0263025e005f005e005f015e005a005e015d00580059005d0059015e0059005f
+015e005f005e005a005f0059005b005f0160005b005a005f005e0060005b035a005f005a015e005a015f015a015f005e005a005f005a0050014b00450146005f005e0165015f005e
+00630064016300640063066800670168006c0068006d0067006d0068006d0068036c006e00720071007200730172007300770072007800777601010d060b010e010d060b010e7501
+0083008200810083007c037d017c0077007800790173017200710073016d016e016d0167046800670268006200630162006301640063036200630062005e0064015e005d005e005f
+005d015e005d005e005f005e005d015a0058005e0059005f035e005a0159015f005a0059005a005b025a0060005f005b005a00590060015e005a015f005e005b0159005a005f005e
+005d0059015f0050004f004b00450046005f005d0063005f005e005d005f006403630062036800690067056800670069006e016800690068016e006c006d006e0272007300710173
+0077007801777601010d060b010e010d060b010e750102820083007d007c007d017c007d00790277027300720073006f016d006e006d006e006c016d006901680067046800630062
+00630262006401630064015e0162005e005d005e015f015d005e005f005e005d0058005e0059005d005e0058005e005f005a005d0059005e0059005e00590158005e0059005e0059
+005f015e0059005e025a005e00580060005a0060005e005a005b005f015e005f0059015f005e005a00590150004c004a00470046005e0064005e0063016403630062006800620067
+0062006401620069006800690367036c0069006d0067036d006c0272007102720077017800777601010d060b010e010d060b010e74010083018200810083007c017d007c007d0178
+0077007800770073007200730072016e006d006e016d006e036d006900680067006800670069006a026800640062006300620064006300620163015e0064005e0062005e015d005f
+005e005d005e005d005e0159015d005e005d00590058005f005e0159005e005d005f025e005a005b005a005d0059005b005f005900580059005e005a015e025a005d005f015a005e
+0059005a0059005f0059005a005d0150004a01460045005f025e005f016300640263006700640167006800670064006200670168006701680069006c0068016c006e0069006d006c
+006d016c007201710272007300710078007700787601010d060b010e010d060b010e7401028200800082037d007b007700790277017301720073006d016e016d006c006d006e0068
+006d0069026800670168006700630068006703630062006300620063005f005d005e0063035e005f005d005f005e005f015d0058005d0059015e0058015e00580059015a02580059
+005a005f005e005f0060005e005d005a005f0059005e0159005f0159015f0059005e0059005f0059015e005d005e005f005e00510150004b004700460045015e015f016302640163
+006800640069006400670063006700690268006701680067006e006d006f0069016d006c006d006e016d0072007102720073007100730076007800777601010d060b010e010d060b
+010e7401028100820081007c017d007c00780077007800770078007400720173016e026d016e036d01680169036800620063006901640062006300620064006300640063005d035e
+005d005e005f005e005d005e005a035e005d005e0259005a0058005e005f005e005d015e0059005d00590058005e0159005a015e005f005a005800590058005e0159005d0059015f
+005e005d005e005f015e005f005d005e014f014b01460045005f005d005f02630062016301670065006300620068006700630067006801670069006800670068006901680069036d
+006c016d006c00710072007102730072007400780077007600777501010d060b010e010d060b010e74010382017d007c017d007c047801730072006e016d006c006d006c006d016e
+006d006c00670069006800670068006700680063006800630268016301620163006400620063005d015f015e005d055e005a005d015e0059005a005e0058005a0059005f005b025e
+0058005e0158025e015a0058005a005d005f005d005f0159005d0058005e005d0059005d0059005d045e014f014b004700450046015f016201640062006300670168006200630069
+0068016301680067016800670168006700690067006d0069036d006e016c006d027200730072007301720176007700767501010d060b010e010d060b010e74010082008400810082
+0081017d007e017d0277007800770072007100720173006d026e026d006e006d006801690268006301640063006800620067006402630064006200640063015d025e005d005e005d
+005e005d0058005e005d015e015a005e005a005f0158005e005801590058005d0159015e0159005e0058005a005f00590058005f0059025a005f005a005f0059005f005e0058005f
+025e015f0050004a004c004b004500460045036301620063026200680067006300620068016700630069026700690068006700690068006d0069026d006c006d016e006d00710472
+0073017200780077007600777501010d060b010e010d060b010e73010081008302820083027c007d007700780077017800710073007200730172006d0073006e006c006e026d0068
+01690268006a0064006800670064016300680062006300640062006300640063005e0062005e005f005e005d055e005f005e0259005f005d005e0059005e0259005e005a0159005e
+0058005e005a005e005f005e0059025f0059015e0059005f0059005b0259005e025d015e016400560050014c004b0147004600010363006201630062006300620163006801620063
+006800630067016800690168006d006e006c006e006c006e046d006c006e047200710072037800777501010d060b010e010d060b010e73010182008101820081017c007e007d0077
+0079007800760077007a0072007300710073007200740073006e006c006d006e016d006701680069006800670063006700620067006400680067006800630162006300640063005f
+005d005e0062015e005f015d005e005f005e025d005a0059005e0058005a0259005d0059005e005b0059005e005f015e005a005e005f015e005900580059005f015a0059005e0159
+015a0059005f015e015d015e005f00550046014c014b014500460601026300620063006800690067006300640067016303680067016e016d006e006c006e016d006e006d006c0072
+00710172017300710072007300790078007700787501010d060b010e010d060b010e7301008102820081007b007d007c007d0077007802770079007800730072017300710072046e
+006d01680067006800690067006901640069006800630069016403630162005e00620064005f005e0063025e005d025e005f005e005d005e0059005f0059005f0059005804590058
+005e005a005e0059005e0159005f005a015900600059005e005f015a0159005d005f0059005a005e015a0059005a005900540050024c004b01460047090100640063006700680067
+01640062026800620068006a01680069006d016c016d016e006c016e006d007302720173007200740076007801777501010d060b010e010d060b010e73010182008100830082017d
+007c007d0078007901780077017800740071017200730072006d026e006d0168016900680069016800640068006200630067046300620063005f0063006201630064015d0064005e
+005d005f005e005d025f0059005f015d0159005d005e005d005e005f0058005e0059005f005a00600059005d005f0059015a0059005f00590060005d00590058005c015f0059005e
+0159005e005a0159005800540050004b004a004b004a004c01460d0100630169006800690068016900680069006701680067006f026e006d006c006d006e016d006e007201730072
+00710072007101770078007600787501010d060b010e010d060b010e7301028200810182007d007c01770078007601770178017201730074026d016e006d00690067006801690067
+02680067016900630062006400630064006200640063005d00640063005e0062015e0064025f015e005d005f015e0059005e0059015e0059005e0059005e005f0159015e005b005f
+005e0059025f005d005e005a005e005f015e005f005a005f015a005f0159005e0059005f005a0054005700460050004f004b004a004b014500420f01006300680062016300670068
+006902670168006d006e016d006c006d016e006c007200730172007700730071017700780177007c7501010d060b010e010d060b010e720101830382027d017c0077007800770078
+007700730172007300740072006f026e006d006800690168006901680269006800630164036300640163005e005f0063005e005d00630064015e005d005e005f005d005f00590058
+005f005e0059005a005d005f005e025a005f0059015a005f005a015e025f005e005f005a005f005e0059005f0060005a005f005e0159015e005f0059005e005a0055005a0056024f
+014b004c0045004600411101006900620064006800670068006701690168006d006c016d016e036d0072007300720073007100770078007600770079007800777501010d060b010e
+010d060b010e72010181008700820083047d007c007d00780077017800720073007200730072006e016c006e006c006e016801690068016900680069006800690062006900630162
+00630164015e006300640063015e005d005f005e005f005e015f005e025f005e005a015e005900580059005a0058015a0059005a015f005e015f005b005e005a0060005f035a0060
+005e005f00590060005f015e005a005f005a00540056005a0155004c004b0050024b0046014113010568016900680069016e006d006c006e00710073016d02720074007200780077
+007800770078007700787501010d060b010e010d060b010e720100820086008701830082007d017c017d007c0078007700780079037200740073006d026e016d006e036900680069
+006800690068026401620463005e0064005d005e005f0064005e005f005d035e005900580059005f005d005f015a005d005a005e005a0059005e0060015d0059005a005e0060015f
+005e005f005a0059015a0059005e0059005f005a005f005a0059005e00590055005a0156005400510050004a014b0046004a02460041150100640071006800670069016d016e006c
+006d006e0172006d00730272007300780072017801770278007e7401010d060b010e010d060b010e7201008200870081008200830081007b007e007d007c007e0177017804730072
+006e006d046e006d006e0168006a00690168006700680067006400620264005e0063005e005f015e01630064025e0060005e005f005a0059005a0058005d025e00590060005a015f
+00580059005a005f005b025f005a005f035a0159015a0059015a005b0059005a0059005a005b0055005a0055005b005500500054004c024b004a0046003f00450042180101680169
+006d016c006e026d00710273017200710072017804770078007d7401010d060b010e010d060b010e7201008600870082008100820083017c007e007d007c007b0077007900770071
+017200710173006d016e006f026e006f006d0069016803690065006300620063006400620064005f0063005e005d005e0163015e005d005e005f005d015e005f0059005f00590060
+00590058005a005f015e005a0159005f015e005f035a0058005a0059035a0059005a0059005b005a0059005b0059005a005b035a015500460250004a014b00470046004500411901
+01690168046d006e00730071007200730071017300720278017700780177007c7401010d060b010e010d060b010e71010188008100800182007c027d007e00780079007700780177
+0074007300720073006e006c006d006e016d006c016e016d01690068016703640263005e0163005d005e015f0063035e005f005e005f00600058005d005e005a0059005a0159005e
+0059005e0060005a0059005a0059005a0059005a0259005b0059025a0159005b015a005b0059025a015b015a00590155004f0050004b00500051004b0045004a0045004600480040
+1b010069006c0068006c006e006c016e006d02730171017200780076007700780077007800770076007d7401010d060b010e010d060b010e71010087008601810182007e007c007d
+017c007d007700780077007800710272006d006f016d006e006f016e006d006f006d006e00680069016800690064006300640263005e0064015f01640063005d015e005d005f005e
+015f005a005d005a005e0059005a0159005e005f0059015f005a0059005b035a0059005b015a0055025a005b0059055a0054005b0355005400550054005000550051004c0050004c
+004b004a004c024600411c010069006d006c006e036d007302720173007101770078017701780077007d7401010d060b010e010d060b010e7101008600870082008300810182007c
+027d027800790173007200710073006e006d046e016d006e00680069016800690068006300640063006400630264005d0064005f0063005f0064005f015e015f005e005d00590058
+015a0058005a005e015f015e015a0159025a005b00580059005a01540055005b0055005400590055005a005b0055025a00550057005b0056015a01550056005500540050004c0050
+004b004a014b004700460041004000421e01006e006d006e006c006d006f006d006e0072007301720071007800770078017601770078007b7401010d060b010e010d060b010e7101
+008600870482007d007e007c0077007800760078007902730072017300740072006d006e016c016d0069006802690168046301640163006400600163005f005e015f005d015f005d
+005e005a005e0059015a0059015a005e005f005e005f00590058015a0259005a0155005900540059015a01560355005a005b005500590054005a005b005600550057005600550052
+004f004a0050004b004a014500460047004100402001006d016e006d006f006d01730272007400780077007800790278007b007d7401010d060b010e010d060b010e700102870081
+01820081017d027c017801770173007200740173007200730072006e006d006e006d006e0068006900680069016800690363006201630064006500640060005e0063025e0060025f
+0059025e0059005e0059005d0059005e005b015a0259015a0059005a00540059005b0259005a0055005a00560059005a00590055015a005301540055005a0054005700550051004f
+00500051004f004a004b004a0046004b004500460047004100402101006d006e006c0072006d006e006c0372007700790277007800790077007d7401010d060b010e010d060b010e
+700100880087028300810082007e007d007c00780079007700780073007400720073017202730074006e006d006e026d006700690067016800630064006300620064006502630064
+00630164025f005e0160015f015e015a0059005e005a005f005d005a0059005e0159005a0159005b005a0154005500560053015a01550056015a00540055015a005b025500530455
+0350004b004c004b004a014600450046004501412201006d016e0072006d006e027200770078007701780077007600780076007e7401010d060b010e010d060b010e700100880086
+0182008300810082027d0177007800790172007100720073007101730072006d026e016d0069006a00680069006701640067036300620063006500630164025f005e005d055f0060
+0059015e005d005e005f005a0059005a005f015a005900580059005a005c005a01550056015a005500540155015b0054015a005b005a005500590155005400550050005200510050
+004f0150004a004b004a004600450246004000412401006d006e01730071017200730078017700780077007800770078007e007c7301010d060b010e010d060b010e700100870082
+008102820083007e007d007b027701730072007300710073017200730172016e006d006e00680069016801690068006400680064006a00640363006500630064005d00640063035f
+005e055f0059005e0058005f0059015a00590058025a0155005400590055005a01550056005b0054005600540055005a005500540055005a0155005401560057015000560051004f
+0051014b0050004c00460045004600470044004001412501016d0077007400720071007300770178007700780177027d7301010d060b010e010d060b010e70010087018100880081
+0082007e007c007e007c007900760077007400730272007301720073006c016d006e006d006901680069016800620169006300690064006900630065006300620163005f00630064
+005e0064045f025e005a0159005e005f005a005e0059015a0059015a005800590055005b0054005b0059005a0254005a005b02540055005b00590055005b01550051005000530050
+004f0050004f0050034b00470045004600450046004701412701006e017301720077007801770078007600770078017c007e7301010d060b010e010d060b010e6f01018700820083
+00870182007d007e007d007c01780072007800770078017400720273026d006e006c00680069006800690068006900650264006700690163016400630064005e00640063005d0063
+005e0063005e025f005e005f005e005d005a005e015f005a005f0159005b015a00590055005a0055005400590054005c005a00540055015b0059015a005b015a0054005500540155
+005000560051005500510050004f0050004b0050024b00470045004600450048004000412801006d00720173007201780177007801770078007d007c7301010d060b010e010d060b
+010e6f010187008100820081008200840083027d0078007900770078007700780473006d006e006d016e006d046800640169016400690063006402630064035e005f005e005f0063
+0060015f005d005f0060005f0059005e005f005a005b015a0058035a01540059005a0055005a0059005a005b005a0059005a00560055005b005a0055005a01550056005400550054
+004f0056005000540250024b004c004a00450046004500470146004000412901007200780072007300770076037700780077017d7301010d060b010e010d060b010e6f0100870186
+0087008200840182007d007e007c00770078007700790077007802730072006e006d006f006e006d006f006c0068026900640168006900650069006a016401650063005e0063005f
+0164005e0162005d005e015f015e0159005e005f005e0059005e035a005900540155005b0059005a00550056005900560054005a005b0055005a0055005400550059005500540055
+0050005600550050004f015500510350004a0049004a00450046004701460041004001412a0100730078007200760079027700780079007c017d00747201010d060b010e010d060b
+010e6f0101870086018100830081027d01770079007700790078017301720073016d006e006c006d006e01680069026800630169006802640263005e005f036300620064005f0060
+035f0058005f005b0059005e005a005f00590058005b015a0059005500540055005a00540056005a0055005b0058015a0059015500560053005b005301550056025000510050004f
+00500051004a004f004c004a014b004c0146004700450146004101402b010072007801770078007c00770178007c007d007b01737101010d060b010e010d060b010e6e0100870088
+0187008200830082007d0083017d007c0278007603730072006e026d006e006d036900680269006800640263006400630164015e005f0064005e00630065025f005e015f005a005f
+005b00580059005a005f0059015a0059005b005a0054005a0059005500560059015a0055015a00570054005a01590156005500540055004f005400560155004f005603500051024b
+004a00470046004500470045004602412d0100780079007700710077007d0178017d007c007400727101010d060b010e010d060b010e6e01008700880087008201810182027d0178
+007701780272007300720073006c006d006e006d006e05690067016802630364005f0063005e0063005e0064005d005f015e005f015e0059005e0059005a0059005a0059005a0159
+005b005a0059005b005600540058005a005600540055005a0054005a00540155015a005b005500540155004f0056015500500155004f0050004a004b014a024b004d004600470146
+004700460040004200412d0100720077017800770078007b0077007d007c007d0072007400737001010d060b010e010d060b010e6e010387018300810082007d017c007900760077
+00790071007300740072007300720071006e006f006d0169026800690168006900670069006201630064006200630164005f0062005e0063005e0064015e015f025e005b015e0058
+015f0059005a0059015a00590055005c005400590056005900550054005a0056005400550059015a00540156005500540056015500540050004f01500051004b0051004c004f004a
+024b01460045024600410140003f2e01007401780079007c007800770078007e007c0072017300796f01010d060b010e010d060b010e6e01008700860482037d0077007800770078
+0074017200730172006d006c006e016d006a0068006700690068006a0069006801690064016300620163015e0064016300620063005f005e005f005d005e005f005e005a005e0159
+005e005a0059035a0059005a01540059005b0056005a00540056015a0055005a0455005600500055004f00550156014f0050004f0050004c004a0050014c004a004b004a004b0146
+0045004700460141004000412f0100770178017c0177007d007c007d0173007800776e01010d060b010e010d060b010e6d0102870082008100830182007d017c007b007800770078
+007701720073007200740072026d016e006d006800670169006a0068006901680064006300640162025e0064005f0063005e0060015f005e0060005f005a0059005a0059005a005e
+0059025a0059015a0054005a00540259055a005400550054005500540155005001550150004f0151005000510050004f0052014c004b034a00450446004200410040004130010278
+007c007d0077007c017d0073017800776e01010d060b010e010d060b010e6d01008c018700800082008600810083007d007e007d007902770173007400720273006f036e016d006c
+0168006a0168006300640563015f015e005f0063005f015d025e0059005f015e005a0059005803590054005a0054005b00540055005600540056005a005600590055005a00540056
+005400550054014f0055004f00500051004f0051004f0250004a004f00520050034b004901460047014600450241004031010278027d007c007d007c00770074007801796d01010d
+060b010e010d060b010e6d01018800820081008701810082027d007701780073007200740071017200730072006e016d016f016e036901680069016401630065005f005e0064025f
+0064015f015e005d005e0159025a005e0159015a005900580055005a00590054005a0055005a0059015a0555005400550050005500510055004f00520150004f0050004e0050004a
+0150004b004d004c024b0045004704460043004200400042320100790078017c007d007c017d017800770079007700786c01010d060b010e010d060b010e6c01008c008700860082
+00880282007e007c007d007e007d0078007701780077007800750272006d006f036e0068006902680069026402630064005f00640060005e0064025e015f0060015a005e0059015e
+0159005a0159005a005900540059005a00590155005900540155005a0055005402550054004f0050005500500055004f005000510450004c00500051004f024b004d004b004a0145
+0246004500410042004100400041330100780077017d007c007e007c007704786c01010d060b010e010d060b010e6c01008c0187008802820083007d007c007e007b017800770179
+0073007702720073016d006c006e006c006d0069006800670068006a0064006200630064006500620064005e005d005f005d0064005e0060005f005e015f015e005a005e005a005e
+005a005e0259015a005900550054005a0054005500590054055500540155004f015500540051005500500052004f0051004f0050004f0051004f0050004b024c004a004c004b0045
+00470145004100460047004100400141004033010178007c007b007d007c007e007800770078007900770079007d6b01010d060b010e010d060b010e6c01028700860182007d007c
+007d007b007c007d027800770178007202730072006e006d006f016d02690168006a00630064016300640063005e00650060005e0064035f035e005f005a005f005e005b005f0059
+00580059015b015500540056005a0059005a01540055005400550154005500540051005000510050015500510050004f00510350004f004c0051004f014b004c014b004a004b004c
+0045004600450041014600400142014134010078007c037d0078007c0278017d007c6a01010d060b010e010d060b010e6b01008d008700860088008200830182017d007e017c0078
+0077027800770073007200730072026e006d006e02690268006a0364006300650163005f005d005e025f005e015f005a0059005f005a005e0059045a0059005a005500590054015a
+00590155005600550054005600530055045000530050004f0250014f00510150004b0050004b0051004b004a004b024a0049004500440045014600450046014001413501007d0078
+0087007c007b007c00770079017e0077007c007e007d6a01010d060b010e010d060b010e6b01008c008b0087008801830082007d007c007e007c017d017702780073007100720073
+0072006d006f016d006e0169006700680069006303640063005e015f00620263035e005f0159015a0060005b025a0059035a0059005401550059005b005500560054005501540056
+0250014f0056004e0050014f0051004f004b0051004b0150004b004a0050004a004c004b014a0046004b0346004100420140003f00420041003c36010078007d007c017d00770078
+017e007c027d007c6901010d060b010e010d060b010e6b01008c00860087008800810082007c017d007c007e007c007d007800770078007700740072007300720074006e006f006c
+016e006d0168006a01690063006402630064015e0063015f005e005f005e015f005e005a0059015a015f005e005f005a0159005b005900540055005a005600590055005a00550053
+005603550051014f00550050004e014f005000510050004a0250004f014c014b00500049004a004b004600450446024000410042003f00420040003b3601007c007e007c007d007c
+007d0178027d007e017d007f6801010d060b010e010d060b010e6a01008c008d0086008700830082017c0081017d017c0078007700780077007900720273006e016d006e006d0069
+00680169016800630064026300640063005e0064005f005e0063005f015e005f005e005f0058005d0059005b015f0059005a0058005b005a00590058015b00550154005b00540055
+0054005600550056005001540050014f0055014f0150004f014a015000510050014b004a014b004c004a014700460047004500460145004001410040004100400041003b003c3701
+027d007c0082007e007d0077007d017c007d007c007e6801010d060b010e010d060b010e6a01008c0087008600820181007e00820083007e017d0079007800790077007900770174
+0072006d006f026e006d0069006801690068006900630164006200650363005e0062015e005f015e005f0059015e0259025a0059005a0059005a0055025400590054015500530054
+0055034f005400550050004f0350004a014b004a0050004f0050024a004b004c014b00450047014600450246003f00400241004000410040013c3701007c017d007c0083007d017e
+007d007c007d007e007c017d6701010d060b010e010d060b010e6a01008c0088008700830082008000820081017d017e0178007700780073007200730174006d016e026d00680069
+006800690164016300650164016202630060015f015e005f005a005f015a0359005a0059005a0159005400590056005900550056055400550150014f0054004e004f01500151004a
+015000510049034b014a004b004a0346004501460045044100400141013b3901027d007c007e017d007c017d007c027d6701010d060b010e010d060b010e6901008d008c00880087
+03820081007e017d0378007700730072007300720073016e006d006e006d006801690067006400680064006601630264006200630064015e015f005e015f00600059005a005b005a
+005f0059005b0159005a005b0054005500530154005a00540056015500560055005600540050004f005600500051015000510050004900500052014e0050004f004a004c004a014b
+004c004a004b024600470044014500460042014100400141003f00410040003c3901007c037d007e017d007e007d007c007d0081007c007d6601010d060b010e010d060b010e6901
+018c00860088018200810082017d007c007d02780077007300740172006d006f006d006e006d006f0169006800690168006300680164016300640065006300650064015f005e025f
+0060005a015e0060015a0059005a0059015a005400590055015a055500540050004f005400550050014f0250004a004b0051004b004c0150014b004c004b0049014b004c004b0045
+0046004700450046004500460047004601410240004100400041013b3901007c017d0081007d007e007c007e007d017e008300820083017d6501010d060b010e010d060b010e6901
+008e0087018600830281007c027d01780076007700740272006d006e006f006d006e0068016902680069006804630064006500640065015f005e005f005d005f0159025a005b0159
+005b025a00550059005503540056005500540155004f0155004f00500051004f0051004f0050004c004e004b0150004f004a004c024b004c034b0045004600450246004500460045
+01410040004100420241023c3a01007d007c0084017e007c007d007e007d007e008200810083008200836501010d060b010e010d060b010e6801008c008b01880087008301820083
+007c007e0078007702780072007300720073046e00690067006a0469006700640063006801630264005e015f005d005e005f005a005f005a005b0059005b015a005b025a0054005a
+00540155005400550154005500540055004f00560050014f004e00500051004f014a004b0051014b004a024b004a004b004c014b014c004600450046004500470346004100420041
+0142004000410140003a003b003c3a01017d007c027d00820083007e0382008101826401010d060b010e010d060b010e6801008c008700860088008100830082007e007c007e007c
+0079017800770071007201730072006d006e026d0269006800630069006a0164006200630164006300640163015f015e005f005e035a0159005b025a005900540055005302540155
+0054025500540055004f0050004f0250004f004b0050014b00490050004a024b004c014b004d014b004c004b00460047014500460147004600400141004200400341003c013b3b01
+007e007d0082007f027e0081008200810082008301820083008100826301010d060b010e010d060b010e670100920081018800870282027d0078027902720173016e006f016e0169
+006801690168006302690164006500630064045e005f0059005a0059025a0059025a005400550053005901550154015500540155005000510450004f0050004f004a014b004f004b
+014f004a004c004b024a014c004a004c014a00450246004401460045004600400341003f0041003f003c013a3c01007c00820080017d007c00820183008100820081008200810182
+6301010d060b010e010d060b010e6701008b008c0086008701830182007c017d00780079007700780072007300720173006d006e006d016e006d016800690065006800640163006a
+006300620364005e045f0060005a0359005a0159005a00540055005b0055005400550056015400530055004f02550050004e00510150004c004a0150004f014b014f0249004b004a
+004b0146004a004b004a00470045004600450446004701410140003f02410040013b003c3c0102820081007c007d007e0082008300810182008100880082008100826201010d060b
+010e010d060b010e66010090008c008b018701820083017d007c017700790077027200730074006e006d016e006d006f01690268006900640063006500690063006401630064005f
+0060005e025f0159005a0059005a0058005a005400550054005900550354005601540055024f00550054014f00500051024f004a004e0050004a004c00500049004b004a004c014a
+004b0047014a004b01450346004401450046004500410042004100400041004001410040003b003c003b003c3c01007d008100820183007e007d0182008100820081008300820086
+008800826201010d060b010e010d060b010e6601008c008b00880087008600810182007e007c007d007e00780079007800730272006d006e006c006e006d016e0068016900680067
+026400680063006400630164005f0060005f005e005f005e00590058025a005800540055005a00580155005401550054005500540355004f00540150004f0050004f0350004a004e
+0050004b004f014a024b004a004b0046004b004c00450046004b01460044004601450041014600410040054100420040023c003b3d01068200810082008303820086008700886101
+010d060b010e010d060b010e65010090028c0187008200810182017d03780072017300720073016f006e006d006f006e006800690068006a026900640063016400650064015e0060
+035e0459005a005900550054005500560059005401560254005501500155004f00560350014f004a0050014a0050004f004b014a0049004a004c004b014c00460145024600450046
+01450044004101470042014000410040004100420141003b023c3e010082018102830082008301820080008101820087008801876001010d060b010e010d060b010e65010092008c
+008b00870086008700810182007d007c017d0078007700790273007200740173006d006e006d006e01690068006a0068016900680163006400630064005e005f005d025e005b005a
+005b0059005a0059005500590058005500540059005a015402550054015000540055004f0055014f0050014f004a00510150004c004f004b024a004b024a0046004b014a01460048
+024700460040014100460045004602410040014101400041003b013c003a3e010782008301820083018100820087008600876001010d060b010e010d060b010e64010091008d008b
+0088008700860081008200810082027d0079007700790078007200730074007200730172006e006d016e0067026900680069016400620063006400650064005f005e005d015f005b
+00590058005a0059005a0055005900550054005500580054005503540053005000550054014f00550050004f01500051004f0050004a004b004a004f004b004c004a004b0049004b
+0045004b004a0046004a014b004a00460047014600450141004000460041004500420041004200400041003f01400141013b013c3e01048200810182018101830087008300820288
+00875f01010d060b010e010d060b010e64010092008c008b008d0401027d007e007700790178007401730172016e006f016e0069006700690067026901640063006400630065005e
+005f015e00600259005b0159015a00550054005500590056005a0055005300550154004e004f005400560150004e024f0150024f004c004a004b004f004b004a014b0045004a004b
+0045004b00460145004603450046004100470046004400460041003f00410042004004410040013b013c3f0100810082018100830081008200830081008200860087018800860188
+00875f01010d060b010e010d060b010e63010091008d0a01007d02780073017200730074026d006f006e006d0069006800690068006901630364015f015e0060005e015a0059025a
+00590054005a005901540155015402550154004e0450004f0250014f0050004a004c00490050004a004b014a0146004c0045004c004b004500460145004600450047004201460047
+01410047004100400041004200410042004100400041003c013b003d003b40010182008103820081008200860088008700850088018702885e01010d060b010e010d060b010e6201
+01910d0100770078027300710073056e006900680169036301640063005e035f005e005a0059015a0059005a00540055005900550159045500530054024f0050004f0050014f0050
+0051004f004c004b004a0050004f004b0050004b004a004b014a004700450046004b004a004b004a00460044004501460042004400420044004601410042004101400041003b0040
+0041013b033c003b40010083008101820083008200830182008700860087008606875d01010d060b010e010d060b010e61010096009200970f01007400720173016e006c016f006e
+0169026800640065016300640163005e005f0060015e0059015a005b015a005400590055005900550159025500530055005400550050024f0150024f0050004e0050004b0050004a
+004f0150004b024a004b024600450046004b0045004600450047014601400041004600410042003f0141004200400041003d013c0141003b023c003d400101820183008200830082
+00810083008900880087008801870088008700880187008d5c01010d060b010e010d060b010e61010096009712010073006f006d026e016801690068006a00690062006300640063
+0164005e035f015a035900550159005a005500590054005904550054004f0050014f0150004f0050004b004a004b004a0051004a004f0050004b014a034b01450049004700460047
+0045024600480146004000410040034100400141003c003d003c003d023b003c003b023c4001008100820383008101820088048700860087028800875c01010d060b010e010d060b
+010e6001009601951301006d016e006d006e0169006a0069006700630164006300640063005f015e005f0060005e005f0059005a0059005a00580154005a0059005b00550059005b
+0154005301550050034f0050014f014a044f004a004f0050004a004b004a024b0044004b0046004b0047004600450046014501460040004600470041004500400341003f0042003c
+013b003a003b003c003b003c013b003c003b41010081008301820086008700820083008701880086008801870088038700860701008d5201010d060b010e010d060b010e5f010095
+01961601016e0068006900680067006800690164006200640063015f005e0060005f015e005c005a0059005a01590053005500540259005500560054005500530154004e004f0250
+004e004f004b014a004f004b024f004a0050004c014b004a004b004a00450046004c004b00440045004703460040004500420041004701460041014001410042003a003b013c013b
+003d003c013d003c003a420102820087008800870388018601870086008700860187008d008c008d0401018c5301010d060b010e010d060b010e5f010097009a1801036800690064
+00650063006400620163015f025e005f025a015900540055005a02590055005a0055005400530155005400550050034f0050004f004b0050004a004f004b004f0150004e004b004a
+064b014600450046014500460045014100460042004701450041004201400141003b003d013c003b013c003d003c003b003c013d4201008101820088008700860187008601870188
+008b028c008b008c008d018b008c008b0101008c008b008c5301010d060b010e010d060b010e5e01009a009b009c190100680069006a0069006401630264015f005e005f0060005d
+005a0159005a0059005a005b00540059015500540059015401550054004f0055004f0050024f004a0050004a004f004b0050004c0050024b004c024b004a004b004a004b00460045
+00460045004700460045004600450041004600400045004600420046014002410040003d003c003b003c003d023c013b003c013b003a420100830081008600870186008801870186
+0187008d028c008b008c008b008d008c008d008c018b008c008d5401010d060b010e010d060b010e5e01019b1b0102690164006500640065005f015e025f005d005b025a00590058
+00550059005601540055005b00550054015500540051004f0150004f0050004f004a004f04500049024b004c004a004b004a004b004c004a00440046024500440146004201450041
+00470041004000450141004000420241003c013b013c003b013c003b013c003d003c0037420101810082018700850086008700880487028c028b008c008b008c008b008c008b008c
+008b5401010d060b010e010d060b010e5d01009c009b1e01006400630264025e005d005e015f015a025901550054005900540155005a03540055025000510050004f0050004f004a
+004c0150014f064b024a0145004700460045014601450041004700460047024001450241004000410140003b013c033b003c023b003c003b00374301008700830087018801870086
+0088018700860088008d008e008c008b008c008b008a018b028a008c5501010d060b010e010d060b010e5d01009b200101640063005e055f005a005b06590054005a005501540053
+0154005500540050024f0250054a004b004a004b014a0049024a00490046004701460045024600450046004000410042004700460041004600420040034100420040063c003b003d
+003c003b003d003a00374401008300870085008700860787008c018b018c008d008a008b008c008b008c008b008c5501010d060b010e010d060b010e5c01009c22010163005f0060
+005e015f005e005a0159005a0359005a00590254005300550054005601550050014f0050014f004b0050024a004f0050004e0049004b014a024b004a004600450046004500460044
+004600470146004000460040004100400046004200450044004000410040004200410140013b003c013b003d003c003d003c003b003c013b00360037440101880487008800860087
+0088008600880087008d028c008d028b008d018b5601010d060b010e010d060b010e81010061015f005d005f005e005a00580059015a0059005a0058005901550053015501540055
+005300540055004f0050004f0050004f01500051004a004f014a014b004a014c004b0046004a00460045004600450046004500470046014500400046004400450046004000450046
+003f02400141004001420041003b013c013b003d003c003b003c003b023c0136440100860087008600870089008700860088008600850087008600870086018c008b008d028b008a
+008b018c5601010d060b010e010d060b010e8201015e015f015b005a00580059005a0054015504540455014f0050004f0050004e014f004b0050004a004f0050004f014b004a024b
+0146004502460047004601450041004602410140004500410046004101400141004000420040003a003b023c003b003d003b033c013d003c01364401018701860088008700880186
+03870086018c018b008a048b5701010d060b010e010d060b010e8301005e00600059005a005b025a0055015400550053045501540056004f0150014f0050024f004a0250004e004f
+054a024501460044004600450047004000470041003f0045004200410040004500400046014100400341003c003b013c003b023c003b003c013b003c003b003c0236450101870088
+008600870088008700880087018801870088008d018b008c008b008a008b008a008b5701010d060b010e010d060b010e8401005f005a0259005a005b025500540053005400550054
+0055005300540250014e0150004e004a004e004f004a004f004a004e0050004a004b004a004b004a0246004500460145024600450047004000470046004700450041004600450241
+00400041003f0141003c003a003c003b003c013b013c003b003a003d013b003c00380036003746010087018600870088018700880187008900880086008c0086008c008b008c018b
+008a008b5801010d060b010e010d060b010e85010259015a0059005501540055004f00550054004e0050005500500055004f0050014f0050004e0051024b004e0050004b0050024b
+004c024a014501460145004600450340004501460144003f004100400141004000420141003b003d003c023b033c013d003b003c003d003702364601008800860085008700880187
+0088008600870186008b028c028b008a008b008a5801010d060b010e010d060b010e8601005b025901540055005300550050004e00540053004f00500053014f0050004f0250004f
+004a0150004a004c004b014a014b004c0049004b014500440246003f00410046014500460040014500440042004102400241004000410040003c003b003c003b013c003a0038003c
+003d003c003a023c003d00360038003646010087008800870188008d0088008c01870186008d008b028c018b008c008a5901010d060b010e010d060b010e87010059005400550054
+00530054005500540050004f00540055004f01540150014f004e00500049014a004b004a024b014a014b004a004b0145014600450046004501410046004500400042024602400041
+004000410440003c013b013c013b003c0036013c003d003c003a003d0037003600380137460101870188018d018c028b048c008b018c008b008a5901010d060b010e010d060b010e
+880100540055015400550056014f005100540055005400550350004f0050004f024a014b004a004c0049014a004b004a004b004a014603450040003f02410045004101400241003f
+004000410140003f0040003c013b023c003b003c003b0136033b003c023600370036480101880086018c008b028c008b028c018b008c008a018b5a01010d060b010e010d060b010e
+890101540055015401500154004f01540050004f0350004a004b014a004b004a0049004b004a004b004a0049004b0145014601450046004000410040004200410040004200400041
+034000410240003f0040013c013a003c003d013c003b0136003c0037003b003a023c00370236480101870086008b018c008d018b008c008b008c008a018b008c028b5a01010d060b
+010e010d060b010e8a0101540050004f005100530055035000510250004f004b014a0049014a014b004a004b014a0045004703450046014500440141004400410046003f00410040
+0042024000410040004101400041003c003b003c003b003c003d003c003b0038003c00370038003d003c0036003c03360035003748010287008d008c008b018c008a008d008c008d
+028b018c008a5b01010d060b010e010d060b010e8b01004f00550050004f0150014f004e0350004f004b004a0049034a004b004900460545024600450041004500460045003f0040
+0045014101400041024001410040023b003a003c013b013c003b0036003b003c00370135003b0037003c003703360037480100870188018c008d028c008a008b018c008b008a028b
+5b01010d060b010e010d060b010e8b01004e004f00500051004f0050004f014e004f0050004e014f014a0049004b004a00490045004401450047004500460045004401460445003f
+0041014000410140004100400042014100420040043b003c023b013c00370036003d003b0036003b0037003a0036013700350036003700364a010187008b008c008d018c018b008c
+008b048c008b5b01010d060b010e010d060b010e8c01014f0050004f01500051004f0050024f004a004b004a004c004b004a004b0245004702450046014500440045004701460145
+0340014102400141003c003a013b033c003b003c003b003c0038003b0038003c0036013c003600380036003700380037003601374a010187008b068c008a008b018c018b5c01010d
+060b010e010d060b010e8d01004f0050014f0350004f00500049014b0049004a024b004500440045004600440145004405450040003f044100400041003f0040004100400041003c
+003b003d013c003a013c023b0136003b003a003c003b003c0036003c0035003700390037003502364a010087008c008d018c008b008c008b018c008a008b0090028b5c01010d060b
+010e010d060b010e8e01004e0050004f004b004a0050004e004a0051004b0049004b0049014a01450046004501440045014602450341004000410040004100400141004001410040
+003c013b003c013d013b013c023b00380036003c003a013b003c003500360038023600350137003500364a010087018c008b008d008c008b008c0090028c008f01915d01010d060b
+010e010d060b010e8f01004a004b004f004b004a004e034b004a0049004c014500460044004500460144004000420040014100450141003f0040014102400341003b013c013b003c
+003a003b013c013a003b023c0036003b0036003b00370036003703360038023600374a010088018b008d008c0090079100905d01010d060b010e010d060b010e9001004b004f0150
+014b024a004b014900460145004600440045004600400041003f01400044014000420041024001410140003f003c013b003c023b013c003a013d003b0037003c00370036003b0036
+00350236003c003a0037003600380035023700364c010088018c018b0190049100925e01010d060b010e010d060b010e90010050004a004b004a0049004a004b034a004b00440445
+0144003f00440045014000450040003f004100400041003f0040003c003a003b003a003c023b003c013b013c003d003b003c013b003c00350137003d023b02370036013704364c01
+008c028d008c029100920090019100905e01010d060b010e010d060b010e9101014a004f004b0049004a0049004b014a004600450046004401450040004400410040004500460045
+014103400041003c003b0041003c003b003c013b003c003a003c003a013b013c00360037003c033b003600380037003b0036013c0036003500360035033600374c01008c008d018c
+008d019101900091009000915f01010d060b010e010d060b010e9201004b004a0049004a024b024602450044004100440041004000440041004400450240004101400042023b003c
+013b003c003b003c003b003c023b003c0035003c003a003d0336003b003a003701360237003500360237003601374d01018b018c02910090008f00906001010d060b010e010d060b
+010e9301004c004b0049004b004900450044004500440145004600450046004500400041003f00460045004700410440003b003a003b003c003a003c003b013c003b003a003d003b
+0036003c003a003b003700360037013b0038003c003600370036003c00360137003503360038003700324f01008b008d00900091019002916001010d060b010e010d060b010e9301
+004a004b0049004b004c024500440047024500400045004002460340003f0040003f003d013c003b003d003c043b003c0037003c003b013602370036003c0037013c0037013b0536
+003501360035003100324f01018b029102906101010d060b010e010d060b010e9401024a004b004604450044004500460140003f0440003f00400042003f0040013b003a013c013b
+003a013b0036003b003a0137003c003b013d0337003b01370035003600350037003501370036003800360037003200365001008b01910090008f01906101010d060b010e010d060b
+010e9501004b004601450046014500460045034000410040004100400041014001420041003a003b023c033b01370036003b003d01360035003c013b0036013c00360035003b0136
+003804360037003600350036003701315001018c0091009000916301010d060b010e010d060b010e9601004b00440046004500460045004400400041013f04400041003f00410140
+00410040003c013b003c003a003b02360037003c003d013b0037003b0035003b0036013c0036003b003a003701360037013502360037003600370032003100325201008c6601010d
+060b010e010d060b010e960101450047024500460040003f0140003f004000410140013f014000410040003b003c033b003c013b003d0236003b0036003c00350136003b01370036
+003b003600350037003600350137003500370035003600370331ba01010d060b010e010d060b010e97010045004601450041003f004101400241014000410040004100400041003c
+003b013c023b003c033b003a00350136013b0036003701360037003b003600350037033600370036003700350136003100320231ba01010d060b010e010d060b010e980100450046
+0041003f00410140003f004000410040003f014000410040003a013b003c023b013a0136023b003c003a0035003c013b003c0035003b013702360037003800360037003600350037
+0136013700310032003100320031ba01010d060b010e010d060b010e9801014600400041004000410240003c003b0040003b003a033b013c003b003c003b003d003c003a0037003a
+003c00360037013b0036013b003c00350036003700360337003600370236013500370031003202310030bb01010d060b010e010d060b010e99010041004000410140023f0041003b
+003c003a043b003a003b003a013b003c0036003b003c003a013b00360035003b00360037003500360037003500370236003500360037013600370036003700360031003200300231
+0032bb01010d060b010e010d060b010e9a010140013f0140013b003a003c003a013c033b003c013b003c0036003c003b003a003c003a003d003b0036003c03360037023600370135
+013600370036003500360035003100320131013200300032bb01010d060b010e010d060b010e9a010041013f00400141063b003c003b003c043b0037003b003a00350036003b003a
+003600350037023601370036003706360037013600300032003100320031013200310032bb01010d060b010e010d060b010e9b0102400041003c003b003a013b003a003c023b003c
+023b003a013b00370035023a0036003700360037013600350037013600370035003703360137003100320030003200330030003100320131bc01010d060b010e010d060b010e9c01
+013f0040003b003a013c013b003c033b003a003b00370036003800370236003700360137023600350037003500370135013700350136003700360035003300310132013101320030
+0032bc01010d060b010e010d060b010e9c010140003b013a003b033a0036003b01360137003500370135003600350036003700350036003502360037003500360037003502360037
+0036003700300037003200310032003100300131003000310132bc01010d060b010e010d060b010e9d01023b003a023b003600350236003800360137053602370136003500370036
+013500360137003600350037003103320030033100300032003100320030bc01010d060b010e010d060b010e9d01003c003b013a003c023b00350136003700380135013600370036
+003500360035033600350136023700350037003001360031013200310132023100320031003001310032bd01010d060b010e010d060b010e9e01003c013a003c013b003601370136
+0037003503360038023600370036003507360031003602310030023100320031003202310032003000320031bd01010d060b010e010d060b010e9f01003a023b0037003501360037
+0136013500370035003700360035013600350036003700360038013706310030003100320231003000310032003101320031003000310032bd01010d060b010e010d060b010e9f01
+023b003700350037003600370736013500370036003701360030003100370231023200310032013100320331003206310032bd01010d060b010e010d060b010ea001003b04360035
+003700350136023700300035013100360031003600370131003002310032003100320131003200310030023201310033013202310030be01010d060b010e010d060b010ea0010035
+00360035043600350031013500310030003601310036003500370136003100320037003600310032003100320031003000310132003100300032013100320431002c0031be01010d
+060b010e010d060b010ea101003600350136003500360135013002310036003500300136003700310036003100370036013100320031003201310032003100300031003200300232
+0030003101320031002b002cbe01010d060b010e010d060b010ea1010236003701350036003000320031003700300136003202310036003702310032013100300032003100320131
+0030003200300031003200310032003100330030002d002c0030002b002cbe01010d060b010e010d060b010ea2010236003700310236003501360032003100320035003000370036
+01370032003700300031003004310032003100320033003100300131002c0032002c002d002b002c002bbf01010d060b010e010d060b010ea3010036013500370032003600300032
+0231013600300135023100350036003000310032013100320131003001310232022b042c002dbf01010d060b010e010d060b010ea301003600350036003500300032003000380131
+003500360032033600350136003100300031003002310032003100320031002b002c0031022c002b032c002d002bbf01010d060b010e010d060b010ea40101300037003100370030
+0131013600300032003600350031003701350131013200310032003001320031002c002d0030002d012c002b002d002c002b032cc001010d060b010e010d060b010ea40100300031
+013000320130003600350131003601320036003503310030013201310032002c002d092c002e002c002d002bc001010d060b010e010d060b010ea501013100300032003101300032
+0030033101300031003000310030023100320030012c002b012c002b002c002b002e002d002b002c002d022b002cc001010d060b010e010d060b010ea50100310030003100320330
+01310030013101300031013000320031013200300131002b002c002b022c012b012c002b012c002b002cc101010d060b010e010d060b010ea6010030003100300031013000310032
+04300331003001310130012b012c002d002b042c002b042cc101010d060b010e010d060b010ea6010131003000310032003100300031033000320031003000310030023100320031
+002c002d032c002b022c002e002c002b012c002b002cc101010d060b010e010d060b010ea60101320130023100320131003001310130013102300031012c012b012c002b012c002b
+012c002b012c022bc101010d060b010e010d060b010ea70103310030003200300031003000310030003103300331022b002d032c002b042c012b002cc201010d060b010e010d060b
+010ea701002b0030022c0031003000320231003000320031003000320030003200300033002b012c012b022d002c022b002c002d022cc201010d060b010e010d060b010ea801002b
+002c0031002c002b01300032003101300031013000320031003200310030002c002b012c002d012c002b002c002b002c002b002c002b022cc201010d060b010e010d060b010ea801
+002c012b032c002b002c0031002b012c003000320230002b012c002d002e022c0027002c002d012b012c012bc301010d060b010e010d060b010ea901012c002d002b002d022b002c
+042b002c002b012c022b002d012b0028002b0027002b0027002c0027002c0028002bc301010d060b010e010d060b010ea901002c002b002c002d022c002b012c002b012c002b012c
+002b002c012b002c002b002c002d002c0028002c002b0127002c0026002c0026c301010d060b010e010d060b010eaa01012c002b002d022b022c002b002d012c002b032c002b012c
+002d012c0027012c00260028002b002cc401010d060b010e010d060b010eaa01012c002d002b002c002b002d002b032c012b002d002c002b002d012c002d002c0027012b0027032c
+0126c401010d060b010e010d060b010eaa01042c002d032c002b002c012d012c002b012d012b012c00270126002b0027012c002d0027c401010d060b010e010d060b010eab01002d
+002c002d022c002b002c002b042c022b002d012b0126002b0026002c002d002701260027c501010d060b010e010d060b010eab01002d0028002b002d0027002c002b022d012c002b
+022c012b002c002b002c0027022c0227002b002dc501010d060b010e010d060b010eac01002800270026002c002700280027002c002d002c012b022c012b002c0026002c01270026
+002b002d002b0027002cc601010d060b010e010d060b010eac0101270126002700280127002d012c032b012c002b00270026022c002b012c002b002cc601010d060b010e010d060b
+010eac01002603270026002700260027002c0027002b002c002b002c002b002d0127002c0027002800270026012c0026002cc601010d060b010e010d060b010ead01002802270028
+0227012600280027012b0026002b0026012c0126002c002b002d0026002cc701010d060b010e010d060b010ead01022700260028022701260027002600280127002b01260227002c
+002800270026002cc701010d060b010e010d060b010eae0102270128042701260127002600270126002c03270128c701010d060b010e010d060b010eae0102280026002801270128
+0026022700280026002803260027002c012bc801010d060b010e010d060b010eae010228072700280027002600280827c801010d060b010e010d060b010eaf010028012700280027
+002600270126002700280027002601270028002600270028002600270026c901010d060b010e010d060b010eaf01022200260427002600280127002603270028002600270028c901
+010d060b010e010d060b010eaf0101220023002100280026002800260027002801260028002701260427ca01010d060b010e010d060b010eb0010021022200270028002700290127
+012800260027012801260127ca01010d060b010e010d060b010eb00104220021002300210127002801270028032700260027ca01010d060b010e010d060b010eb001002202230021
+0023032200260227002602270026cb01010d060b010e000d090eb10100220021002201230022002100220023002200280029002700280026002700260027cb01010d080e090d000e
+b10102220023012201210122002100280021012700280027cc01090d000e010d060b010eb101002302220023012200210022012100220028002701260027cc01010d060b010e010d
+060b010eb201002301220021002300220021002302220021002200230022cd01010d060b010e010d060b010eb201042201210023022200230222cd01010d060b010e010d060b010e
+b201001e001d002300220023012201230021002401220023ce01010d060b010e010d060b010eb3010024001d0023002100220021002200210023002200230022cf01010d060b010e
+010d060b010eb301001c011d0022002101220021002200210122cf01010d060b010e010d060b010eb301001e001c001d012201230022002300240022d001010d060b010e010d060b
+010eb401001d001e001f001d001e02220123d001010d060b010e010d060b010eb401001d021e001d002200230122d101010d060b010e010d060b010eb401001e001c021e001c001d
+0021d201010d060b010e010d060b010eb501001d011e001d001c011dd201010d060b010e010d060b010eb501001c011e011d001ed301010d060b010e010d060b010eb501001c001e
+001d001e001cd401010d060b010e010d060b010eb501021d001cd501010d060b010e010d060b010eb601001e001dd601010d060b010e010d060b010eb601001dd701010d060b010e
+010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff01
+8f01010d060b010e010d060b010eff018f01010d060b010e010d060b010eff0d910d060b010e010d060b000eff0d920d060b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e
+010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b
+000e000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1e0b000e000dff0b5f0b000e000d1e0b010e010d1f0e000dff0e600e000d200e000dff0ea40e
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/wd-bessj.ps b/books/ps/wd-bessj.ps
new file mode 100644
index 0000000..667a847
--- /dev/null
+++ b/books/ps/wd-bessj.ps
@@ -0,0 +1,1256 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 192.347462 284.120003 419.652538 538.120003
+%%Creator: xwd2ps
+%%CreationDate: Sat Dec  7 19:15:35 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -h3.5
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  422, height = 472, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 472
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 472 8
+  [422 0 0 -472 0 472]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.685381 inch 3.960000 inch translate
+matrix currentmatrix
+3.129237 inch 3.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+236b8e
+b3b3b3
+d8d8bf
+dbdb70
+3299cc
+ffff00
+238e23
+0000ff
+cc7f32
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00ff00
+00ffff
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+d6d6d6
+767676
+474747
+b6b6b6
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12a51220120011ff12601200112012001101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e010011
+0012ff015f01001100121e0101110112060118110012ff1160110012171106010111011206010011ff129212060101110112060100110012150100110012ff014701001100121501
+00110012150100110012060101110112060100110012150100110012ff01470100110012150100110012150100110012060101110112060100110012150100110012ff0147010011
+0012150100110012150100110012060101110112060100110012150100110012ff0147010011001215010011001202010f1202010011001206010111011206010011001215010011
+0012ff01470100110012150100110012020100120d010011020100110012060101110112060100110012150100110012820102000f01000020010400020105008101001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012830101000e0102001e010100010102000201010001010100800100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012830101000f0100001f0100000301010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012820103003401010002010100020101007f0100110012150100110012020100120d0100110201001100120601
+0111011206010011001202010f120201001100128201000000010100020102000101020001010300050103000201000000010100000101000e01010003010100020101007f010011
+001208010312080100110012020100120d010011020100110012060101110112060100110012020100120d0100110201001100128201000000010100030101000101010004010100
+04010100010101000101010000010100000101000b01020004010100020101007f01001100120801001201010011080100110012020100120d010011020100110012060101110112
+060100110012020100120d010011020100110012820100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f01001100120801001201010011080100110012020100120d010011020100110012060101110112060100110012020100120e110201001100128101050004010100060101000301
+0100030101000001010000010100000101000e01010002010100020101007f0100110012080100120211080100110012020100120d01001102010011001206010111011206010011
+00121501001100128101000002010100040101000601010003010100030101000001010000010100000101000e01010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012810100000301010002010000000101000501010003010100030101000001010000010100000101000e010100
+02010100020101007f0100110012150100110012020100120d0100110201001100120601011101120601001100121501001100128001010003010100010101000101010004010100
+040101000101010001010100000101000001010009010000030101000201010001010100800100110012150100110012020100120d01001102010011001206010111011206010011
+001215010011001280010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012b70103008b0100110012150100110012020100120d0100110201001100120601011101120601001100121501
+00110012ff01470100110012150100110012020100120e11020100110012060101110112060100110012150100110012ff0147010011001215010011001215010011001206010111
+0112060100110012150100110012ff0147010011001215010011001215010011001206010111011206010011001216110012ff11481100121611001216110012060101110012ff11
+9a110012081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111
+8001057a2701037a0501047a0501017a0c01037a0c01027a2201017a83010112060101110112060101118101017a0101017a2801017a0701017a0501017a0f01017a0d01017a2301
+017a82010112060101110112060101118101017a0101017a2801017a0701017a0501017a0f01017a0d01017a2301017a82010112060101110112060101118101017a0101017a2801
+017a0701017a0401017a1001017a0d01017a2401017a81010112060101110112060101118101017a0101017a0301037a0301037a0001007a0201037a0001007a0301037a0501017a
+0701017a0401017a0501047a0501017a0301017a0001027a0301047a0301047a0b01027a0101027a0401017a81010112060101110112060101118101047a0301017a0101017a0101
+017a0201017a0101017a0201017a0201017a0101017a0401017a0701017a0401017a0401017a0201017a0401017a0401027a0001017a0201027a0001017a0101017a0201017a0b01
+017a0101017a0501017a81010112060101110112060101118101017a0101017a0101017a0201017a0101017a0301007a0101017a0301007a0101017a0201017a0401017a0701017a
+0401017a0401017a0201017a0401017a0401017a0201017a0101017a0101017a0101017a0201017a0c01017a0001007a0601017a81010112060101110112060101118101017a0201
+017a0001067a0201027a0501027a0401067a0401017a0701017a0401017a0701037a0401017a0401017a0201017a0101017a0101017a0401037a0d01017a0701017a810101120601
+01110112060101118101017a0201017a0001017a0901027a0501027a0201017a0901017a0301017a0101017a0401017a0501017a0101017a0401017a0401017a0201017a0101017a
+0101017a0201017a0101017a0d01017a0701017a81010112060101110112060101118101017a0201017a0001017a0601007a0301017a0101007a0301017a0101017a0901017a0301
+017a0101017a0401017a0401017a0201017a0401017a0401017a0201017a0101017a0101017a0101017a0201017a0c01007a0001017a0601017a8101011206010111011206010111
+8101017a0101027a0101017a0201007a0101017a0201017a0101017a0201017a0201017a0201007a0401017a0301007a0201017a0501017a0301017a0101027a0401017a0401017a
+0101017a0201017a0101017a0101017a0101027a0401007a0501017a0101017a0401017a82010112060101110112060101118001067a0301037a0201007a0001037a0201007a0001
+037a0401037a0301057a0201037a0601017a0401027a0101017a0101057a0201047a0201027a0001037a0101027a0101017a0201027a0301027a0101027a0301017a820101120601
+0111011206010111c301017a1501017a1a01017a0e01017a8301011206010111011206010111db01017a1a01017a9401011206010111011206010111da01037a1801017a95010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff008f00011206010111011206010111ff008f00011206010111011206010111ff008f00011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111b50100ded801011206010111011206010111b10102de01e3d801011206010111011206010111b10100dc00dd00e3
+00dd00ded801011206010111011206010111b10100dd00de00e200de00ddd801011206010111011206010111b10101de00e200de00ddd801011206010111011206010111b10100de
+00dd01de00e3d801011206010111011206010111b10101de00df00e300de00e4d701011206010111011206010111b10101de00e300dd00e100ded701011206010111011206010111
+b10102de00dd00e300ddd701011206010111011206010111b10100dc03de00e4d701011206010111011206010111b10100de00dd00de00e200e300ddd70101120601011101120601
+0111b10100dd01de00dc01ded701011206010111011206010111b10102dd01de00ddd701011206010111011206010111b10101dd01de01ddd701011206010111011206010111b101
+01de00dd00de00e200e3d701011206010111011206010111b10101de00dd00de00e200de00dfd601011206010111011206010111b10101dd00de00dd00e200e400e2d60101120601
+0111011206010111b00102dc00dd00d900dd00e200dcd601011206010111011206010111b00100dd00d800de00dd00d901de00e2d601011206010111011206010111b00100de00dc
+00dd00d900d700de00dd00e3d601011206010111011206010111b00100d700de00d800d900d800de00e300dcd601011206010111011206010111b001000000da00d901d800dd01e2
+d601011206010111011206010111b00100d801d901d800dc00e400de00e3d501011206010111011206010111b00100d900d800d700d800d703ded501011206010111011206010111
+b00101d800d700d900d800d700de01ddd501011206010111011206010111b00104d800d900dd00df00ded501011206010111011206010111b00100d900d700d900d801d901de00dd
+d501011206010111011206010111b00102d800da01d901de00dfd501011206010111011206010111b00100d901d800d900d800d901de00e3d501011206010111011206010111b001
+000001d802d901de00dfd501011206010111011206010111b00100d700d800d700d901d800d900de00e400e3d401011206010111011206010111b00100d801d700d800d900d800d9
+00dc00e200e4d401011206010111011206010111b00102d800d701d801d900dd00e31301066bb901011206010111011206010111b00100d800d700d801d701d800d900dd00e31301
+016b0201016bb901011206010111011206010111b00100d7000001d800d702d900dd00e11201006b0301016bba01011206010111011206010111b00100d7000001d800d901d800d9
+00de00e31601026bba01011206010111011206010111af0100d8000000d901d800d400da00d400d901de1501026bbb01011206010111011206010111af0101d700d901d700d400d5
+01d300da00de1401026bbc01011206010111011206010111af0100d700d800d700d801d301d400d300d900d800de1301016bbd01011206010111011206010111af0100d900d700d2
+00d700d301d400d200d401d900de1201026bbd01011206010111011206010111af0100d7000001d300d400d300d201d300d500d900d81101026bbe01011206010111011206010111
+af0101d304d200d500d401d500d81101016b0301006bba01011206010111011206010111af0100d200d300d200d402d300d400cd00cf00d400d91001016b0201016bbb0101120601
+0111011206010111af0100d201d300d400d500d200d300cf00d001ce00d200d90f01066bbb01011206010111011206010111af0101d300d200d401d300ce000000cd00ce00cf00d4
+00d3d201011206010111011206010111af0100d2000000d202d300ce00cd00ce02cf00d4d201011206010111011206010111af0100d400d200ce00cf01ce00cf02ce00cd00ce00cf
+d201011206010111011206010111af0100d200d300ce01cd00ce01cf00ce00cf00d001cf00d4d101011206010111011206010111af0100d300ce01cd00ce00cd01ce00cd00ce00cb
+00ce01cfd101011206010111011206010111af0102ce00cd01ce00cd00c901ca00c900cb00c900ce0a010084c501011206010111011206010111af0101ce00cf02ce00cd02c901ca
+00cb00cf0a010084c501011206010111011206010111af0100cf01ce00cf00ce02c901c800c900ca00c900ca0a010084c501011206010111011206010111af0102ce00cf00c900c8
+01c900c800c900ca01c900cb00ca09010084c501011206010111011206010111af0100ce00cf00ce01c900c800c9000000c900ca02c901ca09010084c50101120601011101120601
+0111af0102ce00c902c800c900ca00c800cb01c401ca09010084c501011206010111011206010111af0100cd00c800ca01c901c800c900ca00c503c400c509010084c50101120601
+0111011206010111ae0100cd00c803c900c801c900c400c300c400c300c400c501c408010084c501011206010111011206010111ae0101c900c800c901ca00c901c300c501c40000
+00c402c508010084c501011206010111011206010111ae0100ca02c900ca00c900c500c400c300c400c5000000c300c400c301c508010084c501011206010111011206010111ae01
+00c800c900c800c900c800c303c400c500c300c400c300be00c300c408010084c501011206010111011206010111ae0103ca00c400c500c401c300c400c300c500c401bf00be00c0
+00c507010084c501011206010111011206010111ae0100ca01c900c300c500c300c400c501c400be00bf00be00bf00be02c007010084c501011206010111011206010111ae0100c9
+00c803c400c500c400c500bf00c002bf04c006010084c501011206010111011206010111ae0100c900ca01c4000000c300c500c401bf00be00bf00c000be00c000be00bf01c00601
+0084c501011206010111011206010111ae0100c902c400c301c400be00bf01be00bf00be00bf01be01c001bf05010084c501011206010111011206010111ae0100c901c400c500c3
+00c400bf00c000bf00be00bf00c002be000000ba00b900bf00c005010084c501011206010111011206010111ae0101c500c301c401c004bf01b902ba00b900bc00ba05010084c501
+011206010111011206010111ae0101c501c300bf00c000bf00be01c001ba00b901ba00b902ba00bc00bb0101018e00010084c501011206010111011206010111ae0100c400c501c4
+00bf00c002bf00bc00ba01b900bb00ba01b900ba00b501bc01010093009200930084c501011206010111011206010111ae0101c400c500bf01c001bf00bb01b905ba01b6010100bc
+0001018e009200840092c401011206010111011206010111ae0100c300c600c400bf00c001bf00be01ba00b900ba00b900ba01b900bb00b500b400b500b700bb0001008d00920093
+0084009200910094c201011206010111011206010111ae0101c500c000bf00c001bf02ba000000bb00ba00b900ba00bb00b400b500b401b500b700bb0193008c0084008d00930192
+c101011206010111011206010111ae0100c300bf00c000be01bf00bc00bb01b901ba00bb00b900b601b400b600b400b500b000b600bb008e0092008e00840194009300910197bf01
+011206010111011206010111ae0100c500c001bf00c000bc00b901ba00bb02ba00b404b500b600b100b501b60001008d00840092019300920099009700980099bd01011206010111
+011206010111ae0100bf00be00bf00c000bf01bb00ba01b902ba00b500b600b500b400b500b400b000b700b000b100b700b600930084009400910193009800990098009c019dbb01
+011206010111011206010111ae0101be00bf00c000bb01ba00b900ba00bb00ba00bc00b500b402b5000000b600b100b600b501b600b7008e00840094019301980197009d009e019d
+ba01011206010111011206010111ad0100bf00c001bf02ba00b900bb00ba00b602b502b600b400b600af00b600b102b5000100b60084008e00920093009800970198009c009d019c
+00a300a1b801011206010111011206010111ad0102bf00be00ba00b902bb01b5000000b601b500b600b500b600b000b500b000b500b000b501b600b5008400910193009400990198
+029c009b00a200a101a2b601011206010111011206010111ad0100c000bf00bb01ba01bb00ba02b501b400b500b400b501b400af00b500b600b402b100b600b50084000101930094
+00980197009c029d009e01a100a700a200a6b401011206010111011206010111ad0100be02ba00bc00bb00ba00b400b502b602b500b400b500af02b500b100b500b700b501b10084
+00b1009401930097009900980097009c009d009b00a201a100a700a000a100a700a2b201011206010111011206010111ad0100c000ba00bb00ba01bb00ba01b500b601b501b600b4
+00b5000000af01b100b500af00b601b000b100b6008400b100b200920094009701980097009d009c00a102a200a100a700a600a100a700a600a7b001011206010111011206010111
+990101b7110100bf00b900bb00bc00bb01b600b400b600b500b600b500b400b600b400b500b104b000b501b000b100b0008401b000b601970298009e009d00a000a200a100a200a8
+01a100a000a200a600a501a6ae01011206010111011206010111980102b600b2100103ba00bb00b701b500b701b500b601b500b400af00b000af01b000b100af00b000b600b700b0
+00b5008400b600b500b700b20397009c019d02a100a600a100a700a201a700a600a500ab00a7ad01011206010111011206010111970101b100b700b600b100b600b70e0103ba00b5
+03b600b500b601b500b401af00b001b100af02b000b100af01b1008400b600b500b200b100b20098029d009c00a300a101a200a600a501a101a600a700a601a700ac00a6ab010112
+06010111011206010111970101b100af00b100b701b000b60d0100ba00b900b400b600b400b703b600b500b600b504b000af00b000b100b000af00b000b500b400b0008400af01b1
+00b6000100b10098009c019d00a101a200a100a300a201a100a601a700ac00ab02a700aa00a7a901011206010111011206010111960100b500b000b100b600b500b600b701b600b7
+0c0100b603b500b401b001b500b400b600b500af00b202b000b101b000b100b000b201b000af008401b100b000b200b100b600b0009c009d009c009d00a100a201a700a100a600a1
+01a602a700ab00a500a700a600a700ac00a6a701011206010111011206010111960100b600b000b100af01b000af01b100b00c0100b500b400b502b602b000b100b500b102b001b1
+00b000b101b001b100af01b000af008400b004b100b600b0029d00a300a201a700a200a500a000a700a600a700ac00a702ab00a601ab00ac00ab00ac0000a4010112060101110112
+06010111950100b400b100b001b500b000b500b700b600b000b100b00b0102b503b001b103b000af00b001b100b001af00b000b103b000af008401b000b200b004b1009c00a200a1
+00a200a100a201a100a201a600a800a600ab01ac01ab00a600ab00aa00a600ac00a500ac00aaa201011206010111011206010111950100af00b100b502b000b601b200b601b200b1
+090102b502b001b100b001b100b201b001b100ab00b000b101af01b100af00b000af00b000b1008400ab00b000af00b200ac00b100b001b100b200a200a101a201a700a602a700ab
+00a700a600a700a600ac01ab02a600a700ac00ab00ac00ad00aaa001011206010111011206010111940100b601b500b401b000b201b0000100b500b600b001b1080100b500b000b1
+01b000b100ab01b100af03b001ac00ab00af00ab00af01b000b1000000af01b000b1008400aa00ac00b100ab00b100b000ac00b201b100b201a300a100a200a700a800a701a500ac
+00ab00a701ac01a600ab00a600a700a600ab00a700a500a600ac00a700ab00a89e01011206010111011206010111940100b500b400b500b000b704b002b100b000b200b1070104b0
+00ac00aa04b000b200b101ab00aa01ab00af00b001af03b000ab008400b100b000ac000100ab02b001ab00ad00b200a201a600a700a800a701a600ac00ab01a700ac00ad00ab00a6
+00ac00ab00a600a701a601aa00ac00ab00a501a79c01011206010111011206010111930100b100b0000000b500af00b502b000af03b100b200b000b2070100b200b000b201ab00ad
+00aa00b100b002b102ab00ac01ab01ac01ab00aa00b000ab000000af00ac008400aa00b000af00b000b100b000b201ac00b000ab00b100ad00a200a600a700a001a700a600a700a6
+00a700a600a500ac01a601ab00a600ab01a600ac00a600a500aa00a600a500aa00ac00ad9a01011206010111011206010111930100af00b002b503b000ab01b101ac00b000b100b2
+00b0060100b100b000b100ab03ac00ab00ac00aa00ab00ac00aa00ac00ab00aa05ab00b000b100b000ab00af008400aa00ab03b001ab00b100ac00b100ac00ab00ac00a200a100a2
+03a600ad00a600ab00a600ac01a601ab00a500ab00ac00ab00a700ac00ab00a600aa01ab00ac00ab00ac00aa00ac9701011206010111011206010111930100b000af00b000af00b4
+00b000af01b100ab00b001ab00b000ab00b200ac01b0050100b000b101ab00aa00ac01ab00ac01ab00ac00aa00ab01aa00ab00aa02ab000000ab00af00aa01ab00aa008401ab00b0
+00ab00b202ac00b100b000ac00b100b200b000b100a500a703a600ad00ac01a601ab01a6000001a600ab00a701a601a700aa00a600ab00ac02ab01b000b195010112060101110112
+06010111920101b000af00b1000000b000af01b001ab00b100b002b100b000ac00b100b200b1040100b102ab00a700ab01ac05ab00ac00aa05ab00b000ab01b000ab00b0008401ab
+00ac00b100ab00ac00b000af01b100b000ab00ad01b100b201a700a600a701a600ab00a600aa00a600ac00a500a600ab00ac00ab00ac00ab01a603ab00a500aa02ab01af00b000ac
+00b09301011206010111011206010111920101b000af00b000af000000b100b000ab01ac00b100ab00ac00b100ab00b200b100ad01ac00b0030101ab00ac00a600a500ac01ab00ac
+00ab00aa01ac00ab00ac00ab00aa00ab00ac00ab01aa02b000ab00b000ab008401b000ab00b100b200ab00b000aa00ab00b100ac00ab01ac01b100ab00a501a700a600a701a601a7
+01a601ab00ad00a600ab00aa00a600aa00a600ab00aa00a602ab00ac00b001b103ab00aa9101011206010111011206010111920100af00b000b100af00b000af00b100ab01b100ac
+00ab00b100af03b100ab00b100ac00b000b10201000000ac00ab00a500a700a603ab00a602ab00aa00ac00ab00ac00aa00ab00aa00ab00ac00b000ab01aa00ab008400ab00af02b0
+00b101ab00b100b000b201ab00b000ac00b000b100ac00a503a600a700a501a600a502a600a700a500ab01a500a700a501ac00aa00ab01ac01b000aa02af01b100b000ab8f010112
+06010111011206010111910103b000af01b000ab00af01b000af00b200aa00b100ac00ad00af00b000b200ac01b200ac00b2010100ac00aa02a700a500ab00a700a600a801a600ab
+00a500ac00aa00ab00ac03ab00af00b000b100b000b100ac008400aa00af00ab00ac00b000aa000000ac00ab01aa01b000ac00b000ad00b100ac00b100a100a201a101a600a500a7
+00a500a700a500a600a700a600a501a600a700ac00a700aa00ac01aa00ab00ac00aa00ab00ac00af01ab03b000ab8d01011206010111011206010111910101b101b000af01aa01ab
+00ac01b100ac00b000ac00b000ab00ac00ab03b100b200ac00b100ac01a700a501a700a501a600a703a600a501a600a700ab00ac00ab02ac00ad01aa01ab0084000000b100ab00aa
+00ab00aa00b000ab00ac00b100ab00b100ac00ad00b100ab00b100ab00b000ad00a202a100a700a501a600a500a601a700a500a701a6010000aa00ac00ab00aa00ab00aa01ab00aa
+01b000af00b000ab00aa01b000ac00ab00aa8b01011206010111011206010111900101b100b000b1000000aa00b100aa00af02ab00b100b000ac01b001b100ab00ac01b100ab00ad
+00b100ad00ab01a700a100a700a601a500a600a701a600a700a500a601a700a600ab00aa00ab00aa00ac00ab00af000001aa00b0008400ac00b000b100ac00b001ac00aa00b100ab
+00ac00ad00ab00b100b200b100ac01ab00ad00b100a801a200a600a501a600a501a6000000a500a601a701a500ab01ac00ab00b100aa00b000ab01b000ab00ad01ab00b000ab00b0
+02ab00af00b08901011206010111011206010111900102ab00ac00ab00b000aa00b000ab00aa000000aa01ab000000ab00ad00aa00ac00ad00b100ad00ab00b200b001b100ac00b2
+00a301a5000000a001a100a0000001a600a502a600a500ab00ac00ab00aa00ac00ab00aa01b001b1008400ab03b001b100ac00af00ab00ac00aa00b100ac00ab00b000af00b100b0
+00ad00ab00ac00b100a700a000a101a600a500a701a501a602a500a600ab02aa000000ad00ab00b000aa00b000aa01b100ab00aa00b0000000af01b001ab00af00b1870101120601
+0111011206010111900100ab00aa00ab00ac00aa01ab01af00ab00af01b0000000ac00af00ab02ac00b000b100aa00ac00b000ac00b100b200ab00ad00a803a100a000a100a000a7
+00a600a500a701a600a704ab00ac03ab00b1008400af00ac00b100ab00b000ab01b000ab00b000ab00b101ac00b100ab00b100ab01ac01b100ac00a700a200a700a101a300a000a5
+01a600a700a501a602aa03ab01aa01ab00aa00af00b000ac00af000000af01b000af00aa00af02ab00af85010112060101110112060101118f0100aa00ac00aa00ab01aa00ac00af
+00b000ac00aa02ab00b000ab00b100b000ab00b100aa00b100aa01ac01b100ac00ab00b201ac00a700a1000000a002a100a600a703a600a700ab00ac02ab00aa00ab00ac00ab00ac
+00ab008400ab00ac00ab01aa000001ab00b000ab00ac00b000aa00ab00ac01b100ac00b000ab01b100ab01ac00a800a200a600a100a600a500a701a601a501ab00aa01ab00aa01ab
+03aa01ab00ac01aa00b0000000ab00aa00ab00b000af01ac00af00b000ab00b083010112060101110112060101118f0100aa00ab00aa00ab02ac00ab00af00b0000001b001ab02b1
+00b000ac00b101ac00b200b000ac00b100ac00ab00ac00b200ad00aa01a700a800a700a601a101a700a000a501a600ac00aa00ac03ab01aa00ab00aa008404ab01af00b001ac00b0
+01ab00b100ab00af00ab02b002ac00ad00ac00ad00a600a800a204a601a703ab00ac07ab00aa02ab00aa000000b000af01ab00af01b000b100af02ab00b181010112060101110112
+060101116f0101841c0101ac00aa02ab00ac00ab00aa00b000b100ac01ab00b100af00ab00ac01b000ac00ab01b100b000ac00b100ab03ac00b201ac00ad00a600a200a300a600a7
+00a100a703a600ab00ac00ab02aa02ab01aa0084000002ab01aa00af00aa00ab00aa02b000ab00ac01b000ab01b100ac00b200ab00ac00ad000101ac00a500a601a700a601a702a6
+00aa01ab00ac01ab00ac01ab01ac01ab00aa01ab00aa000003ab00b001b100ab00aa00b000b100ab00b18001011206010111011206010111700101841b0100a701ab00ac00aa0000
+00ab00aa00af00ab00aa00b100af00b001ab01b100ab02b100b000b201b000b100ac01b100ac00b001ac00ad00ac00ad01a700a600a200a103a600a501a601ab00ac05ab008400aa
+00ab00aa01ab00aa00af02ab01b100ac01b000ab00ac00b200ab00b000ac00b200ab00b100ad00b100b200ac00a801a700a800a700a600a701a600a500a700a600aa06ab02aa00ab
+02aa00ab00aa00ac00ab01b000ab00af00ac00b000aa000000ac02b00d0101846e0101120601011101120601011171010184190100aa00a700ac00a600a700aa00ab00aa00ab00b0
+01ab00b100ab00b100b200b100ab000000aa00ab00b001ac00b001b100ac00b100ad00b100ad00ab00ad00b1010100ad00ac01a700a602a702a600a700a501a600a701a602ab00aa
+008402ab00aa00ab00af00aa00af01ab00ac00b001ab00b001ab00b100af00ac00ab00b000ac00b000b100ad00ab00b200ac03a701a601a702a600a701a600aa00a601ab00aa00ab
+00aa00ab00ac000000aa00ab00aa00ab00aa00ac02aa00af00ab01b100af03ab00af00ab0a0101846f0101120601011101120601011173010184170100a701a600a500ab00aa00ab
+00aa01ab00b100b201b100b000ab00ac01b000af00ab00b100ac00b100ab00ac00ab00b200ad03ac00ab00ac00b100ac000100ac00ab00ac00a800a700a601a700a600a501a704a6
+01a700ab00a6008400ac00ab00aa01ab00b2000002ac00ab000000b001ac00b100b000ac00b100ab00ad00ab00ac00ab00ac00b200ac00ad00ab00ad00a700ac01a700a800a702a6
+01a700a600a500a800a501a600aa01ab00aa01ab00aa00ab00aa00ab00ac01ab01ac00b000af02ab00b000ac00ab00b200ac00ab00b0070101847101011206010111011206010111
+74010184150101a600a500a800a600ac01ab00aa00ab00aa00ab00aa02ab00aa00ab00b100aa00b000aa04b000ac00ab01b100ac01ad00b101ad00b000b200ad00ac00a700ab00a7
+01a600a700a500a700a600a701a502a600a500a600a500a6008400ab00ac01ab00ac00aa00b000ac00b000ab00af00ac01b000ab00af00b000ab00b100ab00b100b001ac00ab00b1
+00b200b100ac00b100ab00ad00a700a600a702a603a700a600a500a600a500aa03a600ab00ac01ab00ac00ab00ac00ab00aa00ac01ab00b1000000ab00ac00b000af00b001ab01b1
+00b000ad040101847201011206010111011206010111730100ab00ac00ad0184120102a600a700ab00aa02ab00ac01aa01ab00aa00ac02ab00aa01ab00b000ab00af00ac00b000ac
+00ab00b100ac00ab01b100b000b100b000ab00ac01b101ac00a800a700a800a701a600a500a600a700a600a700a602a500a700a600ac008401ab00ac00ab00aa00af00ab00af00b1
+01b000af00b000ac00af00b000b101ac02ab00b103ac00b100ac00b101ac00ad00ab00a800a700a800a704a600a700a600aa00ac01ab00a600ab000000ab00a600ab00ac000000ab
+00aa01ab00b101ab00b000af00b000ab00b000ac00b100b000af00ac00b000aa00b00101018474010112060101110112060101116e0101b200b100ab00b000b100b200ac000100ac
+00b200ac00ab00ac0d0100a600a500a600a501ab00ac01ab01ac00aa02ab02ac01ab00aa00af00aa00ab00ac00ab00b000ab00b000ab00b000b100b001ac00ab02b102ad00b200ac
+00ab01a701a602a700a800a600a703a600a500aa00ab008400ab00aa00ac02ab000000ab00b000aa01b000ab00b000ac00b000b1000000ac00af00ab02b101b000ad00ac00ad00b1
+00ac00ad02ac00a700a601a700a500a700a600a7000000a700a600ad00ab00a600aa000000a500ab00a600ab00a700ac04ab01af01ab01b000ac00b100b002ab00b000ab01ac00aa
+008475010112060101110112060101116c0100b605b100ac00b102ac00b1000101ac00ab00a700a6090100a200a701a600a501ab00aa04ab00ac00ab01aa00ab00ac00aa00ac00b0
+00ab00ac00ab00b000ac00ab00b000ac00ab00b101ac00b000ac01ad01ac00b101ac00ad00ab00ad00ac00a800a700a200a601a700a801a100a703a601aa008400ac00ab01aa00ab
+00aa000001aa00b002ac00af00ab00b001b100aa00b000ac00b100ac00ab01ac00b000b200b100b201ab00ad01ac00ad00ac00ad01a701a600a700a500a600ac00a600ac00a700aa
+00a600ac00a600ac00a503ab01aa00af00b100af00aa00b000ab01b000ac00ab01b000b100ac00b001ac00af00ac75010112060101110112060101116a0100b602b100b201b100b0
+01b100ac00b1000102b100b203ad00a700ac00a7040100a201a701a601a500a703a600a702ab00ac00aa01ab00aa00ab00b001ac00b000ac00b000ab00b000ab00b100b000af00b1
+00ac00ab01ac00ab00b200b100ac00b201ac00ad01ac00ad00a800a700a800a101a200a700a200a701a600a500aa01ab008400ac03ab03aa04ab00af01b000ab00ac00b100aa00b2
+00b100ab00aa01b102ab05ac04a700a800a600a800a500a600aa00a500a601a700a500aa00a601ab01aa00ab02aa00ab00b000ab01b000b100af00b103b000b2000000ab00b100b0
+00ab00b07401011206010111011206010111680100b500b101b000b100b000b100b200b000b101b201ac00b202b101ac01ad00ac00ab00a701a800a700a800a701a100a600a700a6
+00a807a600ac00a600a500a600ab00aa00ac00ab00b000af00ac00af00ac00af00ac01ab00ac00ad00b000b100ac01b200ac00b000ac02b100ac00ab00ad00ac00ab01ac00ad00a8
+02a700a800a201a601a701a500a700ab008400aa03ab00ad00ab01aa00ac03ab00aa01b000ab00ac00b000af00b000aa00ac00b000ab01ac00b100ac00b201b101ad01ac00a601a7
+01a601a700a600a700a800a600aa00ab00a702a600ab00aa01ab00ac000000ac00ab00ac00ab00b001ab00aa00b100ab01ac00b000af00ab00ad00ab00b000b100ac00b200ad00ab
+7201011206010111011206010111670100b603b101b201b100b200ad01b100ac00b200b100ac00b100ac00ad00b101ac008400ac00a802a700a500a800a700a100a700a600a200a7
+000000a700a601a500a600a500a600ab00a700a500a600ab00ac00aa00ab00aa00b000ab00ac00b100b000ab00b000ac00b000ab00b100ab00ad01ab00ac00b100ac00b100b200ac
+00ab00ac00ab02ac00ab00a800a702a8000100a200a801a700a600a702a6008400ab00a600aa00ab01aa00ab00aa04ab00aa00b000b102b001b100b000ac00b001ab00b000b201b1
+00b200b100b000b200ad00ac00ad00a700a600a701a800a700a600a700a500a702a600a502aa00ac00aa02ab00ac01ab00aa00ab00aa01ab00b100ab00b000ab00b002ab00af00ab
+00b103ac00b100b07101011206010111011206010111660100b100b004b101b000ac03b100ad00b100ad05ac00ab00ac008400ab00a800ad01a700a600a700a100a700a500a600a5
+00a701a600a700a600a501a700ab000000ac00a602aa03ab00ac00aa00ab00ac00b100ab00af00ac00b100ab00b000ac00b100b201ac00ab00b001ac00b200ac00ab01ac00ab00ac
+00ad02a8000100a600a700a200a500a700a500a600a700a5008400a500ac01ab00a500ab01aa00ab00ac00aa00ab00ac00ab00b000ab00b000aa00b001ab00b000ac00b000ac00ab
+00b001b100ac01b101b000b101ad00ab01ac02a700a601a703a600a500a600aa00a701ab00ac00ab00aa02ab000001ab01aa00ab00ac01ab00b000b100ad00af00ab00b100ab01b1
+00ac00ab00b100b000ab7001011206010111011206010111640100b100b000b100b000af00b100b001b100ab00ac00b201b103ac00ad000101b100ab02ad00ac00ad008400a701a8
+000100a700a800a600a700a200a700a600a100a600a501a600a500ab01a500a6000000ab00aa04ab00aa00ab00b000aa00af00ab00b000af00b000ab00b100ac00ad00b000ac00b1
+00ac00ad01ac00b100ad00b101ac00ad01ac00ad00ac00a800ac00a603a701a600a500a600ab008400aa00ab00a600ab00a600a700a600a502ab00ac00aa00ab00af00b000aa00ab
+00b000af00b001b100ad01ac01b100ac01b100b001b200ac01b102ac00ab02a600a701a600a500a700a600a500a601ab00ac00a600ab00aa000002ab00aa01ab00ac03ab02ac02ab
+00af00ac00b100ab00ac00b002ac000100b26e01011206010111011206010111630100b000b100b002b101b001b100ac00b100ad00ac01b100b201b000ac00b200b100b000ad00b2
+00ac00ad00ab01ac018400a801a701a800a700a800a200a100a800a601a700a600a500ab00a6000000a602ab00ac000000ab00aa00b000b100aa00b000ab00af01b003ab01b001ab
+00b000b202b100b000ab00b101ad01ac00a600ad00ac01a700a801a706a6008401a600aa00a700a500a600a500aa00ab01ac02ab00ad01ab00af01ab00b000ab00b001ab00b000ac
+00b200b100ab01ac00b100ad00b000ab00ac01ad00ab00ad00a700ac02a701a600a800a600ac01a701a601ab00a600a500a700aa00ac07ab00aa00ab00af00ab00ac00b100b200b0
+00b100b000ac01ab00b000ab00ac00ab00ac6d01011206010111011206010111620100ab02b100ac00b100b000ab02b100ac00b201b001b100ac01b100b000ab00ac000100b101ad
+04ac018400a800a701a602a700a802a600a503a600a500ab00a700ab00aa00ac02aa00ab02b000ac01b000ab00b001b100aa01ab01b000b102ac00b100ac01ad00b000b102ac00ad
+00a600ac00a600a701a801a700a800a601a500a6008400a600ab00ac00a700ac02aa00ab00aa00ac01ab02b100af01b000af00b000ac00b200aa00b000b100b000ac01b101ac00b1
+00ac00b200ad00ac00ab00ac00ab04ac00a600a700a501a700aa01a601ab00aa00a700a600ac00a600aa01a600ab00a6000000ac00ab01ac01aa00b000ab00b100ac00b100b001ab
+01ac00b000b101b001ac00b06c01011206010111011206010111610100b000b101ab00ac00b100ab00af00ab00ac00b001ac00ab00b100b000b100ad00b1000101b101ac00b100ac
+02ad00ac00ab00ac00ad01ac018401a700a100a200a701a800a700a600a500a600a500a600a500aa00a501ab02aa00ac01ab00b000af00aa00ac00b000b100af02ab00b101ac00b0
+00b100b200b001b101ab02ac00ad00b000ab01ac000101a700a602a701a801a701a6008400ac01a700a500a700ab00aa03ab01aa01ab00ac00af01ab00b001ab00b001ac00ab00b1
+00ad00b101ac01b100ad01ac00ad00ac00ab00ac00ab00ac00ad01a601a700a801a700ab00a600ab01a500a800a600aa00ab00ac00a601ab00a601aa00ab01ac00aa00af00b104ab
+00b000ab00ac00b000ab00b200ac00b001b100ad00ab00ad00b16a01011206010111011206010111600100ab01b200b100b000ad00b000b200b100b200ac01b200ad00b000b201ab
+00b000ac00ad00ab00b202b101ac00ab01ad02ac00a700ab00a8018400a700a600a300a100a200a600a801a700a600a500a600aa00a500a601ab00aa000000ac00ab00af01ab00b0
+01ab00b001ab00b001b100aa01ab00b100ab00ac00b200b000b201ad00b100af01b100b000ad00ac01ad00a701ac03a700a101a601a7008401a6000000a500aa00a500ac00ab00aa
+02ab00aa00ab00aa00ac02ab00b001b100ab00b100ac00b101b000b100ac00b000b100b000ab01ac00ab00b100ad01ac00a701ac00a700a800a700ac01ab00ac01a700a600a700a6
+00a500aa00ab00a700a600ab00a800a600a503ab00b001aa00af00b001ac00b001ab00b000ab01ac00b202b000b100ad02ac69010112060101110112060101115f0100ac00aa00ab
+01b000ad02ac00ad01ac00ab01ac00b200ad00b100ac00ab00b200ab01ac00b100b200ad00b101ac00ab00ad01ac00ab00a700ad00a800a700a8018400a800a200a100a700a601a7
+01a600a700ab00aa00ab00a500ab00ac00ab000000aa01ab00ac00aa01ac00b000ab01b000af01b100b000ab00b100ac00b000ac01b000ab000100ab01ac00b0000101ac000100ad
+00ac00ad00a700a800a700a801a701a600a800a5008400a700a6000000a600a502ab00aa000001aa02ab000000ab00ac00ab00b000ad00ac00aa00ab00ac00ab00ac02b100b200b0
+00b200ab00ac00b200ab04ac00a601ad00a701ab00a701ac00ad01ab00ac00a600ab00a500a600a700ab00a5008400ac02ab00aa00ab00aa00b100af00ac00b000ab00b000ab02b1
+00ab00ad00b000b100ac00b001ac00b100b000ab00b200ab68010112060101110112060101115d0100b100ab00b200b002ac00ab00ac00b000ac01b100b001ab00b100ad01ac00ab
+00ad00ac01b101ab00ad01b100b202ac00ad00ab01ac00a700a600ac00a800a6018400a800a101a501a600a701a500a601ab00a602ab01aa00ab00ac02ab00ac00ab01af00ab00b1
+00b000b100b000ac00b202b100ab00b200ad00b001b100ac00b100b200ad03ac00ab00a801ac01a800a600a801a600a7008400a800a702a600ab00a500ab00a600aa05ab00aa01ab
+00b100b000ab00b101b000ab00ac00b100ab00ad00aa02ac00aa00ab01ac00b100b002ac00a700a600ad00ac00a600a700ab00a701ac00a700ac00ab00a700a601ac00ab018400a5
+00ab00aa00ab00aa00ac02ab00ac00ab00af00ad00aa00b000ab01ac00ab00b101ac00af00ab00aa00ac00b100ac00b100af00ad67010112060101110112060101115c0100ab00b1
+00aa01ac00ab00ac03b100b000af01ac00b000b100ab00b000ac00b101ac00b100b200ab00b000aa02ac00ad01ac00ad00ac00ad00a800a700ad01ac00ad00a800a7018402a700a6
+00a700a500a700a601a500a700ac01ab00ac00aa01ab00aa000000ac02ab01b002ab00b000ab01b000b100ac00b101ac00b100ac01b100ac00b200ab00b101ac00ad00ac000100ac
+00a700ac00ab01a700a800a700a600a7008400a700a600a702a500ab01a601ab00a6000001ab01ac00aa01ac00b000af01b000ab00af00b000ab00b100b200ab00b100b200ab00b0
+01b100ac00b000b100ac00b100ac00ad02a701ab00ac01a800a700a500a603a700a6018403ab02aa01ab01aa00ab00ac00ab00b001ab00b100af00ab00ac00b000ad00b100ac00b0
+00ab00ac00b000ac00b100ab00b166010112060101110112060101115b0100ac00ab00b002ac00ab01b000ac00af00b100af01b000ac00ab04ac00ab00ac00b002ac01b100ac00ad
+00ab04ac02a700ad03a700a800a6018400a801a600a7000000a601a500a700a500a602aa02ab00ac00ab00aa00ab00b000af02ab00b103ab00b100ac00b000b200b000b100b000b1
+00ac00b000b201b100b002ad00a700ab01ac00ab00a700a600ab00a700a800a7008400a700ac00aa00a701ab00ac02ab00a600a700aa00ac02ab00b000aa00ab00aa00b000b100aa
+04ac00aa00b002b100ab01ac00b100ad01ac00b001ad00ab00a801ad00ab01a601a701a601a700a6018401a601ab00aa02ab00aa00ab00aa05ab00ac00b100b001b100af01ab00ac
+00ab02ac00b100ac00b001ab00b200ab64010112060101110112060101115a0100b000b1000000ab00af00ab00b000ab00b000ad00ab00ac01b000ac00ab00b000ad02ac00ab02ac
+00ad00b100b200ac00b200b001ac00ad00ab00ad00ac000100ad00ab00a600ad01ac00a700a800a600a700a800a7018401a704a600a501a600ac00ab00a600aa00ab00aa00ab0000
+00ab00b000ac00b000b100ab00aa00af00aa00ad00b200ab00b000b200ac03b100ac00b100b200b100ac00b100ac00ab01ac00ad01a7000102a700a600a700a600a7008400a600a7
+00ab00a500ac02a601a700a500aa01ab00aa01ab00af00b000ab00aa00ab00ac00b100ab00ac00b100b002ab00ad01ac00b000b200ac00b000b100ab05ac00aa01ac00a600a800a7
+01a801a600a7018400a800a600ab01a601aa00a600ab000000ab00ac00ab00ac01aa02ab00ac00ad01af00b100b000b100b000ab00b100b000ac01b100ac02b200b100ac63010112
+06010111011206010111590100b002ab00ac00b000aa00ac00ab00ac00ab00b200ab00ac00b100b000b100b001ab00ac00b100ab00b002b100ad00b100ad00b000b200ac00ad00ab
+00ac00ad00ac00ad01ac00ad00ac00a700a800ad02a702a600a2018400a200a701a502a600a700a500a600a504aa00b000af00b000af00ab00b000aa02ab00b100ab00ac00b100ab
+00b000af00b200b100ac00ab00ac00b100ac000100b200b000b100ab01ac00a600a700a801a700a601a700a8008401a702a600aa00a700ab02a601ab00aa01ab01aa00ab00aa00ab
+01b000af00ab00b001ab00b001ab00ac00b000ad00b000ac00ad00ac00b200b100ad00ac01ad04ac00ad03a700a6018400a700a500ab01a600ad01a600ac01ab01a600aa03ac03ab
+00ac01ab00b000ac00b200ac01ab00ac00ab00ac00b100ab00b102ac00b16301011206010111011206010111580100af01b001b200af00b100ac00b200b100af00ad01b100ac00b1
+000100ab00af00ab00ad00b101b003b100b200ac00b000ad00b103ac00ad01ac00ad00ac01ad00a600ac00ab02a600a700a800a700a600a2018401a600a500a600a500ab00a600ab
+01a600a700ab00aa00ab000000ab00ac01ab00b100af00b000b101ab01b000ab00b000af00b101ab00ad00af00ad01ac00ab00b200b000b200b100b203ac01ab00ad01a801a70084
+00a700a500a800a700a500a700a600a701a500aa00ab00aa01ab00aa01ab00ac01ab00ad00aa01b000b100af00ab00b200aa00ac00b000ab01ac00aa00b200b101ab00b100ac00ad
+000104ac00ad01a700ac00a6018400a702ab01a600a500a700a500ab00a700a500a701ab000000ab00aa02ab00ac00aa01ab00aa00ab00ad00b000aa00b000af00b100ac00b100af
+00aa00b100ac00b200ac00b100ac00ab6101011206010111011206010111570101ac00ab00b101ab02b100ac00af00ac00b100ac00ab00ad00ac02b003b100ac00ab00b102ac00b2
+00b100b200ab00ad01b100b201ad00ab01ad00ab01a805a700a801a700a500a2018400a500a600a700a501ab00aa00a600aa01ab01aa00ab00aa00ac01ab00ac00ab00aa00b000af
+02ab01b000ad00af01b100b200ab00b100b000ad00b000b100ac00b200b100ab00ad02ac00a601a700ab01a700a5008406a600a700a501a601ab00ac00ab00ac00ab03aa02ab00af
+00b000aa00ab00b000b100ab00ac00b002ab00ac00af00ab00b000b100ab00b000b200ab01ac00ab00a700ab00ad00a800ad018401ab01ac00a600a500ac00a502a600ab00a500ab
+00aa01ab00a500ab00a501aa00ab00ac00ab00aa00ab00b000aa00ac03b000ab02ad00b101ac00ad00ac00b100ab6101011206010111011206010111550100ab01b101ab00af00ab
+02b000af01b000ab00b100b000b100ab00b000b100ad00b101b204b100b202ad00ab00ac00b200b100ad000100b200ac00ab000100ab02ac00a700ac00a800a601a800a600a700a6
+00a700a200a700a800a6018400a600a501a600ab00ac01ab01aa00ab00aa00ac03ab00aa00ab000101b101ab00ac00b000ac00ad00ab00aa00ac00b101ab00b100ad01b004ac00ab
+00ad00ab01ac01a601a7008401a800a700a603a700a6000100aa01a600ab02aa02ab000000ab00ac00af00b000af01ab00b000b100b000ab00b200ac01b000b100ab00b200ac00b0
+00ab01b100ac00ad01ac00a701ac018400ac00a700ab00a700ab00ac00a600a800ac00a600a500ab00ac00a7000001ac00a600ac01a600aa00ac01ab00aa00ab000001b000ab00af
+01ab02ac00b000ab00b100ab00b000b100b000aa01ac00ab00ac00ab5e01011206010111011206010111540100b100b000aa00b000ab00b100af00ac00af00b100ac01ab02b101ab
+00ac01b100ab00b000b101ac00b100ad00b000b102b003ac00b000ad00b100b201b102ac00ad00ac00ab00a600ad00a700a600a802a700a600a300a200a501a6018401a700a601ab
+00aa00a600a500ab00aa02ab00ac000001ab00aa00ac00aa00af00b101b000ac02b100b000ac00aa00ab00b000ab00ac01b101ac000100ab000105ac00a600ac00a7008401a702a6
+00a500a600a500aa01a600ac00ab00a500ab01aa00ab00ac02ab00ad00aa00ac00ab00aa00ac00b101ac02b100ac00ab00ac01b100b001ab01b000ab01ad01ac00ad00a6008400a7
+00ab00ad00ac00a8000100ab00ad00a800a701ac00aa00a601ab00a600a500a600aa01a601aa02ab01b100b000ac00ab00b100b000ab00ad01b000ab00ad01b101ac00b100ab01ac
+00ad00ac00ad00ac5d01011206010111011206010111530100ab000000af00ad00b100ab00b000b100ad02b000ac00b000ac00ad00b100ad01ac00b100ac00b001ab04b100b001ac
+01b100ac00b100ac00ad01ac000100ad00b100b200ab00ad00ac01a801ac00a800a601a800a201a7000101a200a100a501a6018400a600ab00a700ab00a600ab00aa00a500ab00a7
+00ac05ab00b002ab00b200ac00b100b000ab00b201b100ac00ab00b100b000b100ab00ad00b103ac00ab01ac00ad00a800ab00a800a7008400a700ab00a500ac01a701ab00ac02a6
+00ab00a500ab00a600a700aa01ab01aa01b101ab00b100af01b100ac01af01ab00b100b000ad00b100ad01ac000100ad01b100b000ac00ab00ac00a700ab00ac01a700ac00ad01a6
+00ac00ab00a600ab00a600ac01a600ab00ac01ab00aa00a501ab04aa00b000ab00af00b002ac01ab00ac00b100ab00ac00ab00b100ab00b101b001b100ac01ab00ac5c0101120601
+0111011206010111520100b000b100ac00b100b000af00b000ab01b000aa00b100af01b000ac00af01b000aa00ac00b000af00ab00b104ac00b100ac00ad00b200ac00b100ad01b2
+01ac00b000ad02ac02ad00ab000100a800ad00ac00ab00a700a800a701a800a300a601a100a600a501a6018400aa00a600ab00a600ab00a600a500aa02ab01aa00ab00ac00ab00b1
+00ac00af02b000b200b101b000ac00ab01b100ac00ad00b100ac00b200ac01b101ac00ad01a700ad00ac00a800a700ac008400a700ac00ad00ab00a700a500a600a501ab00ac00a6
+00ac01ab00a500ac00ab01ac01ab01b000ab01b000af00b000ab00b000ad00b001b100ab00b000ac01b100ac00b200ac01b102ac00ad00ac00ad00ac00a700a800a700a600aa00a7
+00a601ab00ac00a800ac00ab01a600ac00ab00a502ab00ac01aa02ab00aa00ab00ac00aa00ac00b100ac00af00aa00b000ac00b101ad00ab00b000b200ac01b000b100ad00b000b2
+02ac5b01011206010111011206010111510100ab00b000ab00aa01ab00b000af00b000ab00ac00b000ab00b000ac00b000ac00b100b000b100ab00ac00ab00b000af00ac00ab00ac
+00b101ad00ac00b203ac00b100ad00ac00b100b2000100ad00b001ac00ab01ac01ab00ac00ab02ac00a700a600a700a800a700a801a701a600a500a600ab00ac018400a600ab00ac
+00a600a504ab01aa01ab00b100b000aa04b100ad00ab00b001ac00b000b101ab01b100b200ac01ab02ac00ab00a800a701ac00a6008400a500a801ab01ac01ab00ac00a600aa00a6
+00a500a600aa00a500ac02ab00ac06ab02b000aa00b000aa01b100b000ab01b100ac00b200ad00b200b100b000ac000100ab00ac00ad00ab00ad00ac00ad00ac00a700a800ac01a7
+00ab00ac00a700a500a600ab00aa00a500a601ab00a500a600ab02ac02aa00ab00ac00ab00ac00ab00ac01b000ad00ab00ad00b100ab00b1000100b200b100ab00ad00b100b201ac
+00b200ac00ab00ad59010112060101110112060101114f0100b103b000af01ab00af00ac01ab00b000ac01b000ab00b000ab01b000ab00b2000100b000b100ac00ad01ab00b200ab
+01b200ac00ad00ac00b100af00ac00ad00b200ab00af00ac01ad00b100ac00ab01ac00ad00ab01ad02ac00a800a700a805a701a600a502a7018400a500ab00aa00a6000000aa00ab
+00ac00aa01ab00ac00aa00ac00af00b1000000ac01b002b100ad00ac00b102ab01b100ac01b100ad01ac00ab00aa01ac01a700a800ac008400a800a700ab00a800a703a600a700a5
+00a601aa01ac02ab00aa03ac00ab00ac00ab00b000aa01ab00b000b100ab00b000b100ac00b100b000af00b100b001b100ab00ac00ab00ac01ab02ac00ab00ac00a700ad01a800a7
+00ac00a500a700ac00a700a500ac00a500aa00ab01a601ab00a500ac00ab01aa00ab00aa04ab00aa01ab00ac01af02b100ad00b100b000ac01b100ac01b100ac00ab00ac00ab00ac
+58010112060101110112060101114e0100ac00b000ac00b000af00ab01b100ab00b000ab00ac00ab00af01b000b100ab00b100af00ab01b101ac00b000ab00b100ab00ac00b100b0
+00ac00b200ac00aa00ab00ad00b000ad00b100ac00b200ac00ab00ad00b201b100ad00ac00ab01ac01ad000100a800ad00ab00a700a800a701a601a700a800a600a700a600a500a6
+00a701a6018400a502ab00ac00ab00ac01aa00ab00ac00b000ab00b000ac00b000b100ab00b000aa00ac01ab00ac00b000af01b100ad00ac00b100ac00b000ac00ad01ac000101ad
+00ac01ab00a7008400a801a701a600a700a600a501a700a600a700a500ab00aa00a602ab04aa000002ab000000b100b000ab00aa01ab00b000ab00b100ac01b000ab01b000ac00b0
+00ab00b200ac00ad00ac00a701ac00ad02ac00ab00a700a600a700a601ab00ac01ab00a600ab00aa00a701aa00a601ac02ab00ac01aa02ab00ac00b000ac01b001ab00ac00aa03b0
+00af00b100b001b100ac01ad00ac01ad57010112060101110112060101114d0101b000ab01b001af00b000b100ab02b001ab01b001ab01b000ac00ab01b000b200b100ad00ac00b0
+00ac00ad01ac00ad00ab00b101b000b200b000b101ac00b100ad00b200ac00b100ad00b201ac01ad01ac00ab00ac01a601a700a601a700a801a502a702a600a500ab00ac01a600ab
+00aa00ab00aa01ab02aa00ab00b000b100b000b100b001ab00b100ab000100b000b100b201ab01ac00b101b000ad00b100b000b101ab02ac00a800ac00ad00a8008400ac01a700a6
+00a700a800a600a800a700a600a500a700a600aa00a600ab01a600aa00ac00aa000001ac01ab00aa02ab02b100ac00b000ac00ab00ac00b100b000ac00b000b102ac01ab00ac01ad
+00ac00ad00a701ad01a700ad00ab00a600ab00ac00a600ac00ab01a600ab00ac00aa00a700ab00a600aa00ab00a800a600a503ab00aa01ab00b000ac00aa00b000b100b000ab00ac
+00ab00b002b100b000b101ac03ad00ac02ab56010112060101110112060101114b0101ab00b000ad01ab00b000ac00b100ac00b100b000ac00ab00b100ac02ab00ac00b100b001ab
+00b202b100b201ac00ad00b100ac02b101ac00b101b001ac00ab00ac00b100ad00b202ad00b100ac00ad02ac00a800a7000101ac00a701a600a700a800a600a700a500a701a601a7
+00ab00aa00ab00aa00a500a600ab00a600ab01aa00ab00aa00ac00b000aa00ac00b000af02ab00b000ab02ac00b100ab00b100b000ac00b101ab00ac00b002b100b001ad02ac00ad
+00a700a6008400a800ab00a700a801a701a601a701a600ab01a700ac01a500a600aa00ab00ac00ab000000aa00ac00ab00aa00b000af00b000aa01b000b100ac00b000ac00b000af
+00ac00ab00b100b000b100ac00ab00ac00ab00ad01ac00ab01ac00ad03a700a600ad00a700a600ab00ac00ab00a701a600ab00aa00ab00ad00a601ab00a500a600ab03ac00aa01af
+00ab00b100b200b000ab00af01ab00b201b000b100b001ac01b101ac01ab03ac00a854010112060101110112060101114a0100aa00b100ac01b000ab00b100b000b100af00ab00ac
+00b000ab00b100af00ab00b000ab01b102ac00ab00aa00ab00b000ad00af01b100aa00ad00ac00af02ac00b200b100ac01b101ac00b000b200ab00b1000100ab02ac00ad03ac00ad
+00a800a7000100ab03a700a600a800a700a500a801a700ab00a501a600ab00aa00a600ab01aa02ab00ac00ab00af00b000ab00ac00b000b100af00ab00b100af00ad01ab00ac00b0
+00b101b000ac00ab00ac00b200b000b100ac00b100ac00b200ad01ac01a700ac00a8008401ac00a700a802a700a600a800a700a501a602a700a600a700a600ac00a502ab00ac00ab
+00aa00b000ab00af00b000b201ac01b100b000b100ac00b000aa00ac01b001b2000100b100ac00b200ad00b100ac00aa00ad00a700ad00a701ac00a800a700a800a701a600a700ab
+00a600ac01a600a500a600a500a600aa01ac00aa01ab00aa01ac00aa01b000af00ac00b100ab00b100af00ab00af00b100ad01ac00b000ac00ab00b100b000aa00ac00b002ac00ab
+01ac5301011206010111011206010111490101b000aa00ac02ab00ac00ab00b100ab00b000b200b000af00ac00ab00b100ac02b000b100b201b100ab00ac02ab00b000b100ac00af
+00b000ac00ab00b100b200b100ad00b000ac000101b100b200ab00ac00ab00ac00b1000102ac00ab00ac00ad00ab00ac01a801ac00ad02a800a700a800a601a702a600a501ab01ac
+00a500ab00aa02ab00ac00aa00ab00ac00aa00b000ab00b000ac00b100b000b100b000ab00b000ab00b000ac00b100b000ad00b202ac01ad00ac00b200b100ab00b000ab000100ad
+00ab01a8008401ac00a800a500ac00a701ab00a700ac00ab00a700aa01a600ab00aa00ab00a700ab00a500ab01aa01ab00b100ab00af00b100ab00aa00b001b100ad02ac00b200ac
+01b100ac03b101ac00b200ad00ac00ab01ad00a600a700ac01a700ac00a600a700ad00aa00a700a803a600ab00a601ac00a700aa02ab00ad00aa05ab00b100ab00aa00b002ab00ad
+00ac00b000b100b000aa00b000af01b100b200b100ac03ad00a800a65201011206010111011206010111470101ab00b100b000b100ac02ab00b000ad00b000aa00b001ab00b000ac
+00b100ab00ac00b000ac00af00b101ab00b100aa00ac00b100ab00b001ac01ab00b100b000ac00ad01ac00b101b200b000b201b001b100ac00af00b000ad00b2000102ad02ac00ab
+00ad00a800a700a600a800a605a700a600a700a600a500a600aa00a500ac00a600a502aa00ab00aa03ab00ac00aa00ab01aa01ab00aa00af00ab00b100ac00b000b100ad00ac00b1
+00ab01ac00ad00b200ab00ac00b101ac00b2000100ac00ad00a600a8008400ad00a801ac00a700ac00ab00a600a700ad01a700a600ac00aa00ac00aa00a500a700aa00a600ac00ab
+00aa00ab00aa00ac00ab00b100af00aa00af00b100ab00b001b100ad02b100ab01b100b001ac00b100ac01b000ac00ad000100ad000100ac00ab00a700ab01ac00ab00a500a600a8
+00a600ab00a800a700a800ac00a601ab01a601aa01ab00ac00aa00ac00ab00aa00ab00ac00ab00ac00ab00af02ab00b000b100b200ac00ab01b000ac00b100ac00b000b100ad00b0
+00b201ac01ad01a75101011206010111011206010111460101ab00aa00ac00ab00b100ac00b100b000ab00b000ac00ab01b000ab00ac00b100ac00ab00b100b001b100ad00b200ab
+00b001b101af00b200b100ab00ac00b101ac00b100af00b100b201b000b201ac00ab00b100ac00ab05b100ac00ad01ac00a700ac01a700ad01a7000105a700a200a600a502a600a5
+00ac00a500a700aa00ab01ac00aa01ab00ac00ab00ac05ab00af00ac00af00b201b000ab00b100ac00b100ad00b000b100ad00ab00b200b101ac00ad01ac02ab01ac00ad008400a7
+00a600a700ac00a700ab00ac00ab00a701a600a701ac00a600a500ab00a701a500ac02ab00ac02ab00ac00ab00aa00ac00b100b000ac00b000ac00b101ac01b000b200ad00b100ac
+01ad01ac00b101ac00ab000100ac00ab01ac00ab01a800a700ac00a601a700ab00ac00ab00a700a600ab00a500a701a600a701ac00a601ab00aa02ab00aa00ac02ab01ac00b100ac
+02ab00b000ab00ac00ad00b000b200b100ac00ab01ac00b100ac00ad00ac01a701ac4f01011206010111011206010111440100ac04ab01ac00b000ab00b101ab00ac00af00b000ac
+00ab00ac00b000ac02b000b100b001ab00aa00b000aa00b000ac00ab00aa00ac00ab00ac01b100ac00ab00ad00aa00ab03ac00ab00af00ad00b100ac00b200b100b200ac00ab00ac
+00ad02ac000100ad01a700ab00a701a802a701a601a702a600a500a601ac00ab00a5000000a600aa00a600a701aa00ab00aa01ab00ac00ab00aa00ab00af00b000b100ab00af00ac
+00b100b001ab00b000ad00ac01ab00b000ac00ad00ac00b100b200b000ac00ab00ad03ac008401a600ac01a602a700a601a700ac00ad00ac00a503ab00a700a606ab01ac00ab00ad
+00af00b100ab00b000af00ab00b000ab00ac00b100ab04ac01b100ad00b000ab00ad02ac00ad00ac00ab00ad00ac00ab00a700ac00a700ab00a700a800a601a500ac00a600ab00a6
+00aa00a600ab00aa00a800a500a701ac00aa01ab00aa01ab02aa01ab000000ac00b100ad00ab01ac00b100ab00b202b100ac00ad00ac00b100ac00ab00ac00ad00ab00a74e010112
+06010111011206010111430100ab00aa01ab00ac00aa00b001ab00aa01ab00ad01b000b100ab00ac01b000ad00b000ab01b000b100ab00b000af01ac00b100b000ac00b100ad00b2
+01b000ad00b200ac00b000ab00b200b000b100ac00ab00b201ac00ab00ac02b100b000b103ac01ad02ac00a800a700ad00ac00a801a601a802a700a600a700a501a600ab02a600a7
+00a500a600aa01a601ab00aa00ab00ac00ab00ac00ab00aa00ab00ac00aa00ab01b100ab00b200ac00ab00b100b000af00ab00ac000100ac00b100ad00b001ac00b200ab01ac01ad
+00ac008400ad00a801ac00a602a700ac00a700ac00a600a700a600ab00a600a700a600ac00a600a501ac01aa000004ab00ac00ab00ac00ab00b100ac01b201b000ac00b000ab00b1
+01ac00ab00b100ad00b200ab00ac00b100ac00ab00ac00ad00ac00a701ac00a800ab00ac00a800ab00a600ac00a600ab00a600ac00aa00a600ab00a501ac00a700ab00a701ab00a7
+00a502ab02ac00ab00af00b100b000b100b000b100ab01ac01b002ac00b000ab00ad01ac00ab02ac00ab00ac01a700a64c01011206010111011206010111410100ab01ac00ab00ac
+00ab00ac01b000aa00ad00aa00ac00b100ab00aa00ac00ab00af00b000ab00af00ab00b200b102b000ab01b101ac00ab02b100b000b200ac00b000ab01ac01b000b100b201b100ad
+00ac00ad00b000b100ad00b101ad02b100ac02ad00ab000100ad000100ac00a800ac00ab00ac01a802a700a601a701a601a500ac00ab00a700a600ab00a700a500ac00ab00a500a6
+00aa00ac03aa00ab01b001ac00b100b000ab01b100ac00ab00b101b000b100ac00b101b000ac00b200b001b200ac01ad02ac008400ac00a702ac00a700a600a700ac00a500a701a6
+01ab00a500ab000000a600ac00a601a700ab00aa00ab00ac00ab00ac01aa00ac00aa01ab00b000ab00aa01ab00b100ac00ab00b000ac00b000ab00b101ac00ab00ac00aa00ad00ab
+00ad01ac01a801a700ab01ac00ad00ab00a700ab00a700a600aa01a700aa00a700ac00a702a600ac00ab00a700a600ab00a602aa02ab00ac02b000ab01b100ac00b100b000ad01b0
+00ac00ab00b100ac00b100ac01ad000100ac00ab00ac00ab00ac00ad00ac4b01011206010111011206010111400100ac00a801ad01ac02ab00b100ac00b000ac00b100aa00ab00af
+00aa00ac00b000ab00aa00b001b100b000aa00ab01b000ab00ad01ac00b000b100ab00ac00b100ac00b102b000af01b100ad00b100ad02b100ad01b100ac00ad00ab00ad00ac00b0
+00ac00b200ac00ad04ac00a800ab00a700ac00ad00a701a802a600a701a600a500a600a700a500a600a700ab00a601ab00a700ab00a600a500a600ab00ac00aa00ac00aa00b101b0
+00af00b000ac00ab00b000ac00b000ab01b100ab03ac00b001b100b200b100ac00ad02ac00ab00ad00ac008400ac00ab00ac00a800ac00a700ab00ac01ab01ac01a600ab00a600aa
+00ac01aa00ab00a601aa00ab00a600a500a700ac00aa00ac00ab00ac00aa00ab00af00b1000001b100aa00b002b101ab01b100ac00b100ac00ab02ac00ab01ac00ab00ac01a800aa
+00ac00a600a700ab00a700a600ac00a600ac00a700a600ab00a600ac00a600aa00a600ac00a600ab00a600ab00ac02ab02aa00b001ab00aa00ac01b102ab01b000ab00b100b000ac
+00ad00ab00b000b100ac00ab03ac00a700a800a600ad00ac49010112060101110112060101113e0100a700a600ac00a603ab00aa02ab00b000ac00aa00ac00ab01ac00ab00ac01b0
+00ab00b100b000af00b000ab01b000b102b000b201b100ab00ac00af00ab00b100b000b100ab00b100b000ad00ab00b200ab02b100ab00ac000100b100b200ad00ac00b200b000b1
+00af00b101ad00ac00a701ac00a700ac00a700ad00ac00ad00a800a600a800a700a600a801a601a701a600a700a601ab00ac00a700ac00a600ab00a700ac01ab00aa00ab00aa00ab
+00ac00b000af00ac00ab00aa01b100ab00ac01b000b100b000ad01ac01ad01ac00b101ac00ab03ac00ad008401ac00a800a702ab01ac00a700a500ac02a703a600a500a600ab00a6
+00ab00aa00ac01aa00ab00ac01ab00b100ab00af00b100b000ab00b200b101b000b100b200b100ac00b200ac00ab00b000ab02b100ac00ad00ac01ab01ac00ab00ac00a600a700a8
+00a600ad00a700ac00ab01ac01ab00ac00a700a500a701ab00ac01a500a601ac00aa00ab00aa02ab00b001af00ac00ab00b000ac00ab00b100ab00ac00b100ab00ac00b000b201b0
+00b100ac00b000ac01ad01ac00a800ac00a700ad00ac00ad48010112060101110112060101113d0100a701ab02a700ab00ac00ab00ad00ab00ac00ab00b101ac00b000ad01ab01b0
+00aa00b000b101b0000000ac00b000ab04b100ab00ad03ac00b000ab01ac00ab00b100ac00b200b001ac00ab00ad00b100b000b101ac00b002b101ab00ad00ac00ab00ac00ad01ac
+00a800ac01a700ad00a600a700ac00a600ab00a605a701a600ab00a502a601ab00aa00ab00ac01ab00aa00ab02ac00ab00aa00b000ab00b000ab00b000b200b000b100b000ac00af
+00aa01b100af00b200ac00b100ac00b100b200b104ac00ab008400ac000101a600a700ab01a600a700ab00a801ab00aa00ac00ab00a500a607ab00a600ab00aa00ab01ac00b100ac
+01ab00b000ab00ad00aa00ab00b001aa00ab01ac00ab00b000b200b100ad00b200b000b200ac00ab00ac000100a700a6000100a700ad00a700ac01a801ac00aa00a602ab01a700ac
+00a602ab02a600ac01ab00aa00ac02ab00ac00aa00b000aa00ab00b100af00ab01ac00b001b100ac00b001ac00b100ad01ac00b100ac00ab00ad01ac00a600ad00a800ac00a701ac
+46010112060101110112060101113e0101a600ab00a700a600aa01ab02ac00b000b100b200b000ab00af00aa00b000b101ab00b000ab00b201ab00b100ac00ab00b101b001ab01b1
+00ab01b101ab00b101ac00b100b200ac00b001ab00ac00b200ac00b000ac02b100ad00ac01b100ad000101ab00ad00aa00ac00ad00ab00ac01a700ac00a700ac00ad00a600a801a6
+00a800a700a800a501a600ab00ac00a600a700ab00a600a501ab00a501ab00ac01aa00ab00ac00ab00aa00ab00ac00ab00ac01ab00ad01b100ad00ac00b000b200ab00ac00ab00b0
+00aa00ac00b101ac01b200ac01ad01ac0001008402ac01a701ab00a700ab00a700ad01a700ac00ab00a600a700a600ab00a500a600aa00a700ab00ac00a600aa00ab00aa00ac00aa
+04ac00af00ab00af00ac00b100ab00b102b000af00ac00ab00b100ab00b100ac00b000ad00b101ac00ab00ad00a600ad01ac00a601ac00a700a600ac00a601a700ab00ac01ab00ac
+00ab00a500a700ac00a700a600aa03ab00ac01ab00ac00aa00ac01ab01ac01b100b000af00b1000102ac00b004ac00ab00b002ac01ad01a700ac01ab00a700a84501011206010111
+0112060101113f0101a700a600ad01ab00ac00ab00ac00b102b000ab00b100b002b100b000ac00ab00b000af00ab00ac000100ac00b000b100ac00b100b000ac01ab00ac00b100ac
+01b001ac01b200b100ab00b200b100ac00b000ab00aa01b200b100ad04b100ad00b101ac000100ad02ac00ab00ad00ac00ab00ac00a6000100a700a601a700a600a800a700a600a7
+02a600ac00ad01ab00a700a600a500aa010000a500ab01ac00ab00ad00ab00ac00ab00aa00ab00b000b100ab01b100aa00ab00b101ab00af01b000ac00ab00b100b001b100b000ac
+00ad00ac01ab00ad008401a700a800ac00a8000100ac00a600a700a600ac00ad00a600a701ab00aa00a600ab00a601a700ad00a501ab00ac02ab01ac00ad01ab00ac00ab00b200ac
+00aa00ac00b000ac00ab00b001ac00b100ac01b101ab00b200b002ad00ab01ac00ab00a700ad00ac00ad01a700ac00a600a700ab01a700ac00ab00a600a700a500ab00a700ab00aa
+00ab02a601ac00aa00ac01ab000000ac00ab02ac00b100b000ab00b100ab00b000af00b200b100ac00b100ad02b100ac00b000ad000101ac00ad00ac00a800ad00a701a800a700ad
+00ab4301011206010111011206010111400100a700ac00ab00ac00aa00ab00ac00b100ac00b000b100ab00ac00b001ac00b100ab00ac00b000b101b000af00aa00ac01ab00b100ad
+00ac00ad00b100ac00b200b000b200ab00b100b000ab00b000ab00b000ac00b000b200b100b200ad01b100b000b100b2000100b000ac00b200b001b100ab00ac00ab02ad01ac00a8
+00ab00a801ac00ad00a700ac00a800a700a800a700a800a600a700a801a600a700a800ab00a800ab00a600ab00a600ab00ac000000a700aa00ab00ac01ab00ac00b000ab01b000ac
+00b100aa00b001b100ab00b000ab00b000b100ac00b100b000b100ac03b100ad00b100ad01ac00ab008403ac00a700ac00a800a701a600a800a701a600a700a600ab00a700a600a7
+01ab00a600a701ab00a700a502ab00ac01ab00ac02ab00ac00b000ab00ac00b101ac00ad00b100b000ad00b200ac00b100b000ad00ab00b100ac00b200ab01ac00ad00ac00a700ac
+00a700aa03a700a800a701a501ac01a600ab00a600ab00ac00a600ab00ac00ab00ac00ab00a600ab00ac00aa00ac01ab00ac03ab00b000ad00b201b100b000b200b000af00ac00ab
+02b100ac00b100ab01ac00ab00ac00a700ac00a800a700ad00a700ab00ac01a74101011206010111011206010111420100ac00ab00ac00ab00ac00ab00ac00ab01ac00af00ac00b0
+00b100b000ab00b001b100ab00b100aa00b001b100ab00b001ab00ac00b100ac00b000ac00aa01b100ab00ac00b000b100ab00ac00b201ab00b100b200ad00b100ab00ad02ab01b1
+00ac00b200ac00b000b100ad00ab00ad00ac00a601ac00a800a700a601a802ac01a700a602a700a800a500a600a700a600a701a501a600ab00a600a500a600ab00aa05ab01b000ab
+00b100ac00ab00b000af01ab00aa00b200b102ac00ab00ac01b000b200ad00b100ab00ac00ab00ac00ab00ad008400ad00a600ad02a700ab00ac00a800ab00ac00ad01a700ab01a6
+00ac00aa00a700ab00a601ab00ac00ab00aa00ab00aa00ab00aa01ab00ac00ab04ac01b100ab00ac00b000aa02b100ad00b201ac00b200b100ac00b100ad01ac01ab01ac000100ab
+00ac01a700ab01ac01a700a600ab00a500a700ab00aa00ac00a700a600a800ad00a702a600aa00a600ab00a600aa02ab00ac00ab00b000ab00b001b100b000b100ac00b100ab01ac
+00b100b000ad00b200b100ad00ac00ab00ac01ad00ac01ad00ab00a602a700a600ac00a700ab3f01011206010111011206010111430100ac00a600ab01ac01ab00b101ac00b100ad
+00ab00b002ab00ac00ab00b000ad00ab01b100ab00b000ac00b100ac00ab00b000b200ac00b200af01ab00b100b000ad00b100aa00b100ad00ab00b100ad00ab00ad00ac00ad0001
+00b201b100ac00b200ac00b200ac02ab01ac00ab00ad000101ac00ad00ac00a800ab00ac00a800ac00a600a700a802a702a600a703a601aa00a600ac01ab00aa00ac01ab00ac00aa
+00ab00ac00aa00b000ab00b100b000b100af00ab02b001ac00b100ac00b200b000ac01b100ab01b100ad02ac00aa008400ac00ab00a800ac01a700a803ac00a800ab00a802a600aa
+00ac00a501aa00a600aa02a601a700a500ab00a600ab00ac00aa00ac00ad01ab00aa00af00ab00ac01b001ab00ac00ab00b201ab00ac01b100ab00ad00b000ab03ad00a801a600a7
+01ad00a700a800a500a703ac00ab00a600ab01a601ab00ac000000ab00a602ab01a600aa00ac00ab00ac00ab01b000ab00aa00b100ac01b005b100b000ac00b200b000b101ab00ac
+00aa00ac00ad01ac00a600a700a600ac00ab00a700ac00a600a700ac3e01011206010111011206010111450102ac00ab00ac00af00ac00b001ab01b000af00b001b101b000b100ac
+00ab00b000b101ab00b000b100ad00b100ab00b000ac00b100b000b100af00ab00b100ac00b000b100ab00b200ac01b100b200ac00b100ac00ab01ac01b200b000ac000101ac00ad
+00ac00ad02ac00a700ac00ab01a700a800a600a700a600a700a604a703a600a500a600ab00a500a700ab00a602aa02ac03ab00aa00b000b100ac00ab00ac01b000ab00b100ac00b0
+00ac00b100b000ab00b200af00b100ac00b201ac00ab00ad00ac00ab00ad008400a700ac00a601ad00a700ac00a700ad00a700ac00ab00ac00ab00ac00a700ab00a700ac00a700ac
+00a600a5000000a600a501a600ab00aa02a602ab00ac00aa00b201b003ac00b100b001b200b100b000b200b100ad01b000b100ac02ab00ad02ac01a700a800ab03a700ac01ab00ac
+00ab00a700ab00a600a500ac00a600a700ac00a600ab00a600ac00ab00a500ab01aa00ab00ac00ab00b000ac00af01ab00b100ab01b000b100ac00b100b000ac00b000b100ad03b1
+00ad01ac00ad00ac00ad06ac00a701ac01a63c01011206010111011206010111460101ac00ab00ac01b002ab00aa00ad00af00ac00b000ac00b000b100aa00b000ab00b101b001b1
+00b000ab00b100b002b100ac00ab00b100ac00ad01ac00ab00b100ac00b100ac01b100b000b100b2000000ad00b100ac00ab00b000ab00b200ab00ac00ab00ac00ad000100ad00ac
+01a700ad00ab00a800ac00a601a700a801a700a600a700a602a703a600aa00a700a600ab00a500ab00a500ab00a505ab00b000ac01b000aa01ab01b100ac00b200b100ad00b100b0
+00ac00b000ac00b000b100b000b100ab00ad00aa00ac00ad00ac008400a600ad00ac00ad00a800a600a700ac00a700a800ac00a700ab01ac00ab008400ac00a601a700aa00a500ab
+01ac00a500a600ac00a601ab00aa00ac02ab01b000ab00b101ab00ac00b001b100b000b100ab00ac00ad00ab00b000b1000100b000ac00ab00ac00ab00ad00ab00ac01ad00a701a6
+00ac00a600ac00a600aa00a600a700ac00a600a700aa00a801a600ab00a500a600ab00aa01a500a600ab00ac00ab00aa00ab00aa00ac00ab00b100ac01b000ac00b100ad02b101ab
+00b000ac00b000ad00ab00b200ab01ac00ad00ab00ad00a800a700ac00a701ac01a700a800ab00a800a700a801ac00a63a01011206010111011206010111480100ab06b000b100ac
+00ab00b100b000aa00af00ab00aa00b000ac00b100b001ad00b000b100ab00ad02b100b000ac00b100ac02b100ad00b200ac01ad00ac00b100b000b100b200af00ac01b100ac00b0
+00b100b201ac00ab02ac000100a700ad00a700ac00ab00ac00ad00ac01a7000102a701a600a700a604a700ac00aa00ac01a600ac00a600a700ab00aa00ac02ab00ac00b000b101ab
+00b100b000b200ab00b100b000b100b000b100ab00ac00b100ab00b000ac00b100b200b100b200ad01ac00ab00ac008400ac00ad00a700ad00a702ac00a600a700a600ac00a800ac
+008400ac00a600aa01ab00ac00aa01ab00aa00a600aa00ab01a600ab00a500ac00aa00ac00aa01ab00b100ac00b000b101ab00b100b000b100ac00b100ac02b100ab00b101ac00b2
+01b103ac00ab00a800a700ac00a800ab00ad00a800ab00ac00ab01a600ab01a700ac00aa00a6000100a700ac01a601aa000000ac00aa02ab00ac00ab00aa00ab00ac00b100ab00ac
+01ab00b100b000ab00b200aa00b000b100ab00ac00b100ad00af00b000ad00af01ab00ad00ac00a600a702ac00a700a600ad01a700a602a700a600ab380101120601011101120601
+0111490100ad01b100ab00b100b000ab00b102b000ac00ab00af00b100ab00b000ab01ac00b100b000b100ab00b200ac00b100ac00ab00ac00ab00b101b000b201ab00b100b200af
+00ab00b100ab02ac00ad000100ac00b100ab00b001b100ad00ac00ab01ac00ad00ac00ad00ac00a800a600ac01ad02a701a800a600a700a200a600a700a500a700a600a700a600ab
+00a501ab00aa01a600ac00a701ab00aa00ac00ab01b000ab03b000b100b000ab00b100ad01ab00b200ab01b200ab00ad00ab00b000b100ac00ad00b100ad00ab00ac00ab008400ac
+00ab00ac00ab03a700ab00ac01a600a8008400ac00a601ac00ab00a600ac01a700aa00a600ab00a700ab00aa000000a500ab01aa00ac00ab00ac03ab00b000ab00af00ac01ab00b1
+00ac00ab00b000ac00b100af00ac00ab01ac01b103ac00a700ac02ad00a700a803a700ac00a600a800a701a600ab00a500a600ab00a600aa01ac00a500a702ab00aa00ac01ab00ac
+01ab00ac00ab00ac02b000ac00ab01b005b100b000b103ac02ab00ad00a800ad00ac00a802ac00a700a500a800ac00a700aa00a601ab00a635010112060101110112060101114a01
+00b000b103b000b100ab00b200ac01ab00af00ab00aa01b000b100b000ab00b101ab00b000ad00b101ac00b100b000b100b201b100b001b100b000ac01ad00b001b100ab00ad00ac
+00b100ad00ab02ac00b100ab00ac01ad00ac01ab01ac00a800ac00ad00a600ac00a700ad01a700a600a701a600a702a600a700a600a502a600aa01a600a700aa02ac00aa01ab00b0
+00ac00af00ab00b100aa00af01ab00b100b000ab00b000b100ac00b001b100b001b101ab00b100ac00ab00ad00ac00b1008400ad00ab01ac00a600ad00ac00ad00a700ab00a801ab
+00ac00a600a800ac02a600ac02ab00a700ab01aa00ad00a601ab00ac00ab01aa00ab00aa00ac01ab00af00b100ab00ac00ab00ac00b100b000b100ab00b000ab00b206ac00ad03ac
+00a600a700a600ad00a700a800a700ac01a701ab00a700ac00a600ab00a602ab00a501a600a503a600ab00ac00aa00ab01aa00ab00aa00ac00ab00ac00ab00ac00ab00b102ac00b0
+01ab00b100ab00aa00b201ac00ad01ac01ad00ac00a700a800ac00a603ac00a700a600ad03ac00a600a701ab33010112060101110112060101114c0100b000aa00b000af00b100af
+01b000af00b100b000af00b100ab00ad00ac00aa00b000b100ab00b000b100ab00b000ac00b100ac00ab00b000ad00ac00b100b000b100b200ac00b000b100ad00b001b100ac00ad
+00ac00b000b100ad01ab01ac00ad00ac00ad00aa00ad00ac00ab00a800a700ad00ac00ad00a700ab00a601a700a602a700a600a701a600a500a702a500ab00a600ab00a500a701ab
+01aa00ac04ab00aa00ad02b000aa00ac00ab01aa00b000ad00b100ad00b101b000b100ac00b102b004b101ac00ab00ac01a700ab02a700ab00ad00a700ac00ab00a700ac00ab00ac
+00ab00a600ab00ac00aa03ab000000a800a601ab00aa01ac00aa01ab00aa00b000ab01af00ab00b000aa00b100ad00b100ac00ab00b200ac00ab00ac00ab01ad00ac00ad00ac01ab
+00ad00ab01ac00aa01ac01a700ab00a600ac00a601ac00a600ac00a600aa00a600ac00a600ab00ac00aa00ac00a601aa00ab00a600ac00aa02ab00ac02ab00aa00ab00ac00af00ab
+01b000ac00b000b200b100ad00b001b100ac00b106ac00ab00ac00ad00a700a600a700ac00a600ab00ac01aa01ab00ac00aa00a600a700ab00a63101011206010111011206010111
+4e0100aa00b000ab00af00ac00b101ac00af00ab01b000aa01ab00b000ac00b000ac00ab00b200ad00ac00b000ab00b000b100ad01b100ac00af00ac01b200ac00ab00b101ac00b1
+01b200ad00ab00b100b201ac00ab00ad01ac00aa00ab01ac00ad00a7000100ac00ad00a7000100a800a600a700a602a700a600a700a600a700a500a601a700ab00a600ab00a600ac
+00ab00aa00ab00aa02ab00aa000001ab00b001b100b000ab00b101ab00b100ab00b000b100ad01b001ab00ac00b000ac00b200b100ac02b101ac00ad02ac00ad00ab01a702ac00ad
+00a701ac01a700a600ac00a600ad00aa00ab00a700a500ab00ac00ab00ac01ab00ac00ab00a602ac00aa01ab00b000b100af00ab00ac00b100ac01b101ac00b000ac01ab01ac00ab
+00b101ac00ad01ac00ab00ad01ac00a800a700ad00a700ad00a600ab00ac00a700ac00a700a500ab00ac00a600ab00a701ac00a500a600ab01aa00a603ab00aa01ac00ab00aa01ac
+00ab00ac00b001ac00aa00ab00ac00ab00b100b000ab00b000b100ac00ab01b000b101ad00ac01a600ac00a700ad00a700a603ac00a601a700a500a700aa00ac00aa00a700a500a6
+00ab01a52e010112060101110112060101114f0100b101b000ab00b100af00b100af00b103ab00ac00b101ab00af00b100ac00b100ac00ab00ac00ad00b000b100ac00ab00ac00b1
+00ab00b100b200ab00b100ac01b100ac00b100ad00b100ac00b100ad00b101ac00ad01ac00ab00ad02ac00a700a802a700ad00a601a801a700a800a701a600a700a600a500a700ab
+01a600a500ab00ac00ab00a600ab00aa00ab00ac02ab00aa01ab00b100b000ab00b000aa00ab04b100ab00ac02b001b101b001ac01b100b000ac00ad00ac00ad01ac01ad00ac00a7
+00a800ab00a700a600ab00a700ac00a700a600ac00ad00ab00a700a600ac02ab00ad00ab00aa00ab00a600ab00ac00a601ac02ab00b100aa00ac00b100ab00b000ab00b000b101b0
+00ac01ad01ac00b100ac00b100ac00b200ac00b001ad01ac00a700a801ad02ac00a700ac01a700ad00a600a700ab00ac00ab00ad00a700aa00a500a600ab000000a500ac00a700ab
+00aa00ab00a701ab00aa03ab00ac00ab01ac01b000b201ab00ac00ab01b100b000ad00b000ab00ad00b000ac00b100ab01ac00ad00ab01a700a800ac01ab00a601ac01a700ac00a6
+00aa00a702ab01a600ac01a600a72c01011206010111011206010111510100ab00ac00b000ab01b000ac00ab01b100aa00b001ac02b100ac00b100b000ad02ac00b100ab01b001b1
+00b200af00ac00b000b100b200b000ac00ad01b100ac01b200ac00b100ad00ac00ad00ac00ad00a600ac01a700ad01a700a800ac00ad00ac01a700a601a700a201a600a700a600a7
+01a602ab00a600a500a600ab00aa00a700a601ab00ac00ab01aa02b000af02b001ab00b000b100ac00ab00aa00b000ac02b101ab00b100b000b100ab00b100aa00ac00ad00aa00ab
+02ad01ac00a6000100a700a600a700ab01a701ac01a701a600a700ab00a701a600aa02a700aa01ab00ac01ab00aa00ac00ab02b000af00ab01ac00b000b200ac00b001b100b002ac
+00b100af00ac00b100ab00b201ac00ab00ac00a700ad00ac00ad00a700ab00ac00ad01a700ac01ab00a700ab00a600ad00ab01a600ac00a700a600aa00a501a700ab00a500a600aa
+00ab01aa03ab00b000ad00ac00ab00b100ac00ab00ac00af00b200aa04b101b200b101ab00ad02ac00ab01ac00a700ac01a700a600a700a600ab00a800ab00ac00a500ac00ab00ad
+01ac00a600ab01a700ac00aa2a01011206010111011206010111520100ac00ab00b100ac00b000ab00b000ab00b100b000ac00af00b100ab00b200ab01b000aa02b000b100b000b1
+00b000b102ac00b200b100b200ad00b200ab01b100ac00b202ab00b000b100ac00ad01ac00ad02ac00a800ad01ac00aa00a700ad00a701a600a701a802a704a600a700a800ab01ac
+02ab00a500ab000001ac00ab00b000ab00aa00ab00ac00af00ab00ac000000aa00ac00b001b100af00b100b000b100ac00ab00b100ac00ab00b101b001ac01b100ab01ac00ad0001
+00ac00ad01a701ab00a7000100ac00a700ab00a700ac00ab00a600aa00a700a500ac00ab00a500a600a700ab02a600a705ab01ac00ab00aa00b101ab00af01ab01b100ac00b000ac
+00ad00b201ac00ab00b100ad00b100ab00ad01ac00ad01ac00ad00a700ad00a600ab00a600ad00a700ab00a701ac01a700ac00ad00a600a800ac00ab00a600aa00a500aa00a500a6
+00ac00ab00ac01ab01ac01ab00aa00ab00af00b102ab00b000b100b000ab00ac00b100aa00b100ad00ab00ad00ab000100ac00ab00ac00ab00ad00ac00ad00ab00ac00a600a700ad
+00a600a800ab00aa00a700a600ac00ab00a600ab00a600ac00ab00ac00aa00ab00a501ab01a600aa00ac2701011206010111011206010111540100b100ab00b000af00b100ac00ab
+00b200b002b101ab00ac02b101ac00b100b000b201ac00aa00ab00b1000100ad00b000af00b100ac00ad00b000ad00b200ac00b100b000ad00ab00ad05ac00ad01a7000100ac00a8
+00ab00a800ac01a700a600a701a600a700a600a705a602ab00a700a500ab00a602aa00ab01ac00ab00ac00b100b000b100ac01b000ab00b203ac01b000ad00b002ac00b101ac00b2
+01b002ad00ac00ab01ac01a700a800ac01a800ab01ad00a700ab00a7000000a800a501a600ac00a700a601a500ac02a600a700a600ab00ac00ab00ac06ab01aa00b000b100ac00b1
+01b000ad00af00ab00b000ac00b100ab00b101ab00ac00b000ac00ad00ac00ad00ab01ad01ac00a800ab01a700ab00a605ab00ac00a600ab01a600a500a603ab00aa00a700ab00ac
+04ab00aa00ac01ab00ac00b100ab01ac00b100ab00b000b100ac00b100b000ac00b000ac02b100b200b100ac00ad00ac01ad00ac00a600ac00a700ad00a600ab00ac00a700ac00ab
+00a600ab00a700a600aa01ab00ac00a501ab00a700a600ab00ac00a72501011206010111011206010111550101b000ac00b001ab00b001ab00b000ac00b101ab00aa00ad00ac00ab
+00b000ad00b001b100ac00b100ad00ac00ad00b200ac01ab00b101ac00ab02ac01b101ac01ab00ad00ac00ad01ac00ad00a701ac00a700a600a700a600a700a800a700a601a700a6
+00a001a700a800a700a600a500ac00a500a6000000a500ac04ab02aa00ab00aa00ac01ab00af00aa01af00b000ab00b100b000b100ab00b000ac00b200ac00ab02ac00ab00b100ab
+01b100ac00ab00ac00ad00ab06ac00a700ad01a700ab00a701ac00a800a600ac01a600ac01a601ac00ab00a700aa00a700a600aa00a600aa00ab00aa00ab00ac000000aa00ac01ab
+00ac00b000ac01b002ab00ac00b201ab01b000ac00ad00b004ac03ad00a700ac01a800ac00ad00a700ac00a701a800ac01a700a600ac01a600a500a600ac00ab00aa00a600ab00a6
+00a501ab00aa00ab00ac00ab00aa00ac00ab00ac00aa00ad00b100b000b101ab01b000af00ac02b100b200b100b200ad00b000b200ab01ac00ab02ac00a700a600ac00a600a500a6
+00ac00ab00ac03a600ab00a600ab00aa00a501a600aa00a600ab00a501ac00a700ab2201011206010111011206010111570100ac00b000ab01b000b200b101b000ac00b100b000b1
+00ac00b000ac00b100b000b101b000ac00ad00b100b200b100b000aa01ac00b200ab00b101ac00ab00ac00ad00ac00b100ab00ac00ab00ad03ac00ad00ac00a800ad00ab00a700ad
+00a600a700a802a700a602a700a500a701a600aa00a700ab00a600ab00a601ab00a700aa01ab00aa00ab00aa01ab00ac000000aa01ab00b101af00b001ab01ac00ab00ad00b000ab
+00b101ac03b100ac00b203ac00ad03ac01a700ad01ac00a700ac00a700ab00a700ab00a700a600ab00a701ac00a600ab00a600a501ab01a501aa02a601aa06ab00b001ac01b000b1
+00ac01b100aa00b201ac00b100ab00ac00ad00ac00ab01b100ab00ac00ab01ac01ab00ac00a800ab02ac00a800ac01a600a700ac00a600aa00a600a700a500ab00ac00a702ab01a6
+00a500ac01ab00aa00ac00ab00ac00aa00ac02b100ad00b101ac00af00ac00b100b000aa000100ad01ac00b000ac01ad00ab000100ab01ad00ac00a700ad00ab00ac00ab00ac00ab
+00ac01ab00a700ab00a600ab00a600ac00ab01a600ab00aa00ab00ac00a501ab00aa00ab00ac00ab2001011206010111011206010111580100ac02ab00b100b000af00ac00ad01b2
+00ac00b201ab00b100ac00ad00b102ac00ab01b200b100b000ac00ab00b101ac00ad01b101ac00ab00b200b002ac00ab00ac00ad00a600ad00aa00ac02a700ab00aa00a801a700a8
+00a700a200a600a701a602a500a603a701ab00a600ab00a700a500a602aa02ab00aa03ab00ac00ab00b001b100b000b100ad00b100ac00b100ac00ad00ab00b000b200b001ab01b1
+00ac000100ab04ac00ad00a602ac00ab01a700ac00a700a600ab00a800ac00a600ab00a600a700ab00a601ac01ab00a700a500ab00a700a501a600ab00ac00ab00aa00ab00aa00ab
+00aa00b100ab00b100b200b000b101ab00ac00b200b101ab00b200b100b001ac00b1000100ad00ac00ad00ac00ad00ac00a800ac00a700ac00a800a600a700ad00ac00ab00ac01ab
+00ac00ab00a500ab01a600ab01a600ac00ab00aa00a501a700ab00ac01aa00ac00ab00b100b200af00ab00ac00b000b100ac01b100ab00b200b000b100ac01b000ab00ac00ab00ac
+00ab00ac00ab00ac00ab00ad00ac00ad00a700a600a700a800ac00a600a702ac00a500aa00a800a700a600aa00a800ab00a700a600ab00aa00ac00ab00ad00ac01a601ac00ab00a5
+1e010112060101110112060101115a0100af01b000af00b100b000b100ab00b200ab00b101b000ac00b100b200ac00b102ac00ab00b200b100ac00b100b200ac01b000b100ac00b2
+00b100ad00b200b100ac00b103ac00a700a800a700a602a700ad01a700ab01a700a801a700a601a701a600a700a500a600a700aa00ab00ac03ab00a700ab00aa00a500ab00ac00ab
+01aa00ab01aa03b000b100b000ac01b101ab00b100b000b200ad02ab00b100ac00b200b100ab00b000ab03ac000100ac00ab01a802ac00ad00ac00ab00a600ad01a601ac00a600ab
+00a600ab00a601a700a500a700ac01ab00a500ab00a700a500ac01aa03ab00af00b200b100b000b100ac00af00ab00b101ac00b101b000ac00ad00b200b100ac00ab01ac01ab00ad
+00ab01ac00ad00a800ac00a801a701ab00ac01a701ac00a600ab00ac00a600ac00a700a600a700a602ab01a600ab00ac01ab00aa00b100b000ab00b000ab00b000b101b002b100ab
+00b000b101b000b100ad00b100b202ac00ad00ab01ac00a800ab00a700ad01a700a800ac01a702a601ab00ac00a700ab00a600aa00a702ab00a501ab00aa00a600ab01a600ab00a7
+1e010112060101110112060101115b0100b000af00b100b000b100ab00ac00b100b000ac00b100ab01ac00b000b100ac00b202b100ab00aa00b001ac00b000ad00b000ac00ab00ad
+00b100ad00b100ad00ab00aa03ad02ac00a700ab00a700ad01ab00ad03a700a600a700a602a700a600a700a600a500a701a500a700ac00a600ac00a500a700a601a700a600a702ab
+01ac00b101ac00b100ab00af00b000b200ac00b000ad01ac00b200b000af00b000ad00b100b200b100ac01b105ac00ad00a700ac00a800a700ab00a600ac00a800a600ad01a701a6
+00ab01a700ac00a600ac01ab00ac00aa00a600a501a600a700aa00a601ab00ac01ab01ac00b100ac00b000ac00ad00b000b100b001b101b000b200ac00b200ab01ac00ad00b000ad
+01ab00ad00ac00ab00ac00ad00ac00ab00ad000100a600ac00a600ac00a701ac00a602ac00aa00a700a6000000a500a601ab00a600ac00a700a503ab00ac00aa00ac00af00ab00b0
+01ab00b100ac00b200b000ab00b100ab00b100b001b100ad00ab00b100ac00ad00ac00ad00b102ac02ad00ac00a600ab00a700ac00ab00a700a600a700ab00ac00ab00ac00a700a6
+00ab00a500a800ab00a501a600ac00ab00ac01a600aa00a500a61f010112060101110112060101115c0100ab00ac00b200ab00b000b200ab02b100ac03b000b200b100b000b100ad
+00b100b001ac00b002ac00b200ac01ad00ab00b100ac00ab01ac00ab00ad00ac01ab00a700a800ab00ac00ab00ad00a600ac00ad00a803a600a700a600a501a600a500a700a801a6
+00ab00a600a801ab00aa00ab00a6000000aa01ab00aa00ac00ab00aa00ac00b000ad00ab01b002ab00b100ab00ad00b200ac00b100b000ac00b000ac00b103ac01b101ad00ac0001
+00ab00ad00ac00a8000101ac00a701a800ac00a800ad00ac00ab00a700ab00ac00aa00a600ab00a600a700ab01ac00aa00ac00ab02ac01a601ab00ac00aa00ab00aa01ab00b100ab
+01af00ab01ac00b001ab00b002ab00b000b200ac00ab00b200ab00b200ad01ac00ab00ac00a700ac00ad03ac00a600aa01ab00a700ac01a701ac00a600a700ac00ab00a700ac00a6
+00a700ac00ab00ac00aa01ab000101aa00ab00ac00aa01b001ac03ab00b100b000b100ab00b200ab01b000ac00b100b000ac00b101ac00ad01ac000100a600ac00a700ab03a700a6
+01ac00a600a700ab00ac00a501ab00a500ac00a700ac00a500a600a502ab00aa20010112060101110112060101115e0100b100ac01ab00b000b100af00b100ac00b001b100b000b1
+00ac00ab00b001ac00b101ac00ad00b200ad00af00ac00ad00b100b200ac00b101ab00ac00ab00ac00ad00ab03ac00ab00a801a700a600ac00a700ad00ab00ad00a800a702a600a7
+01a601a700ab00a702a600aa00a700a600a701ab00a602ab00aa00ac00ab00aa00b100b000aa00b101ac00ab00b000b101ac01b000ac00ab01b100ad00b100aa00ac00ab00b204ac
+00ab01ac00ad01a700a600ac00a800ad00ac00a700a501a700a600ab00a500a601a701ac00a700a600ab00a500a700aa00ab00a700ac00ab00a601ac00ab00aa01ac00ab00ac0001
+00ab00ac00ab00b101b000b100b000b100ac01b100ac00b000ac00b001b100ad01b100b200ad00ab00ac000100ac00ad00a600ad03a701a600a700a601a700ac00a700ab00a600ab
+01a600a700ab00a600ac00ab00aa02ab00aa02ab00ac00aa02ab00b000ab00b100b000b100ac00ad00b100ad00b201ab01b100aa00ac00b002ac00b202ac01a700a600a800a600ac
+00a700a600ac03a700aa00a800a600a700ab01a500ab00aa00a500a700ac00a600a500aa00ab21010112060101110112060101115f0100ab00aa00b000b100ab00ac00ad00ab00b0
+00ac00aa02ac00aa00b100ab00ac00ab00b000b100ac00af00b200b000b100ad00b201b100ac00b004ac00ad00a700ac00ab00ad00a600ac00a600ab00a700ac00ab00ac00a700a6
+00a700ab00a700ab00ac00a600ac00ab00a500ab00a601ac00a600ab00a700ab00ac00a500ab00a502ac00ab00ad00ab00aa00ac00ab00aa00b101ab00b001af01b100ac00ad01b0
+00b100ab00ac00ab00b001ad00b100ac00ab03ac01ab02ac00a800ab00ac00a701ab01a803a700ab00ac00ad00ab00a700a500ab01aa03a600ab00a700a600ab00a700ac02ab00ac
+00ab01ac01ab00b101ac00aa00ac00b000ab00b100b000b200b100ab00ac00b1000100ab00b200ab06ac00a800ab00a700ad00ac00ab01a700ad00a800a601a700ac00ad00ac00a6
+00ab00aa00ac00a600ab00aa00a500a700ac00a600a700a600aa01ab00ac03ab01aa00ab00ac00b100aa00b100af01b000ab00ad00b100ac00b000b102ab00ac00ad00ac00b101ac
+00ad01ac00ab00ac00a700ac00a802a700ab00ac00ab00a700ad00a600ac01a600a800a601a700aa00a600ab00a62201011206010111011206010111600100ab00b100ad00b004ac
+00b200b101b000ac00b100b000ad02b101ac02b100b000b201b100ac00ab00ac00ab02ad00ac00a800ac00ab00a600ad00a800ac01a700ab00a801a600a803a700a600a801a700a5
+00a600a700a500ab00ac00a601ab00ac00ab00a600ab01aa00ab00ad01ab00ac00aa01ab01b100ac00b000b100b002ab00af00ac00ab00ac00b000ac00b000b100ab00b100b000ab
+01b100ad03ac00ad01ab01ac00a801ac00a801a700ac00a800ac00a600a701ac02a600ab00a701a600a700ab01a601ab00aa00ab00a600a700a500ab00aa01ab00aa00ac00b000b1
+00ac01ab01b000b100b200ab00b001b100ab01b001b100b001ac00ab01ac00ab02ac00ad00ac01a701ac00a600ab00ad00ac00a601ab00a600ab00aa00ac00a600a700ab00aa01a6
+01a500ab00a502ab00ad04ab00ac01ab00ac00b001af01b000b101ac00b200ad00b100ab00ad00b001b100ad00b100b200ac01ad00ac00ad01ac00aa00ad02a700ad00ac00a600a7
+00a800a700aa00ab00ac00a600aa00a700a600a500a600a500aa2201011206010111011206010111620100ac00b102ac00b100b000ac00b100ac01b001ac00ad00ac00ab00b100ac
+00b200ac01b100b200b000ad00ac00b200b000b103ac00ab00ac01a801ac02a700ab00a700ab00a603a701a600a700a502a700a600a700ac00ab01a601a501aa00a600ab00ac01a6
+02ab00ac01ab01b000ac00b000ab00b001aa00b200b100ab00b000ad00ac00af00b001b100ac00b000ac00b200ab01ac00b102ad00ac00ab000100ac00a600ac01ad00ac00a500ac
+00a700a600a700ac00a600ab01ac00a600a700a600ab00a700a600ab00a600a500a7000000a700ac00a500a600ab00a600aa00ac01ab00aa00ab00ad00b103ab00b100b002ab00ac
+00b101b000b100ac01b100b204ac00ad00ac00ad00ab00a700a800ac00a700aa00ad01a700a800ad00a600ac01a700ac00a600ab00a600ac02a600aa00ad00a600ab01a600ab00a6
+00ab00ac00ab00aa00ab00ac01ab00b001b100ab01ac00b100ab00ac00b001ab00ac00b100ac03b200ab00ad00ac00ab00ac000100ad00ac00ab00a700ac00a602a700ab00a800ac
+00a700ab00ac01ab00a700a600ab01ac00ab2301011206010111011206010111630101b100ac01ab00ad00b000ad01b101ac00b100ad00b000ac00ad04b101ad00b000b204ac00aa
+05ac00a700a600ab00ac00a600a700ab00ad00ac02a600a800a700a600a700a801a500a601a700ab00a700ab00a600ad00ab00ac00a500ab00a500ab00ac00ad00aa01ab00aa00b0
+00ab00aa00b102ab00b200ad00ab01ac00b000ac00ab01b000b100b000b200ad01ac02b100ac00ad00ac00ab01ad00a700a601ac00ad02ab00a700ab00a600a801ac00a700a500a7
+00a600a700a601ab01ac00aa00ab00a700ab00aa00a700ab01a700ac00aa00ab00ad00aa00b000ac00b100b000ad00b000b102ab01b001ac00b000b100ad00b202b101b002ac00ab
+00ad00ac000100a701ad00ac00a600ab00a700ac00a700ab00a600ab01a700ac00a700a500ac00a600a800aa00a600a501a600a501ab00ac00a700aa00a700ab00ac00ab03ac01b0
+00ab00aa00b100ad00b001ac00b100ac00b000b100ab00b100ac01b100ad02ac000100ac01ad00ac00a800a700ab00a702ac00a700ab00a701ab00a601a700a600a701ab00a62401
+011206010111011206010111640100b000ac00b000b101ac00b100b000ac00b100b200ac00b101ac00b000b100ac02b100ab00b200ac00ab01ac00ab00ad00ac00ab00ac00ad00ac
+000100ad01ab00a701a800ad00ab00ac00a700a800ac02a701a600a701a602a700aa00ab00a800a600a500a602ab00a500a600aa00ab00ac02ab01af00ac00b102ac00b101ab00b0
+00ac00ad00aa00ac02b000ab01b100b000b100ac01b201ab05ac00a700ac00ad00a700ab00a801ab00ac00ad00a700ab00a700aa00ab00ad02ab00a701ac01ab00ad00a701a600a5
+01a600ad00ab00aa00ac01ab00ac00ab00b001b100ab00b000b100ab00b100b200b100b000ab00ac00b200b100ab02ac00b100b000b101ab00ad00ab00ac00a800a700ad00a700ac
+01a700a600ad01ac00ab00ac00a700a601a700ac00ab00a600ab00ac00a600ad00ab01a600a500ac00aa00a501ab00aa00ab00ac01ab00ac02ab00b000ac00b100ab00b000ab00b0
+00ab00b100ab00ac00b100b000ab02ac00b101ac00ab02ac00ad01ac00a700a801ac00a700a500ab00a801a601ab00a703a62501011206010111011206010111650101ac00b100ad
+00b100b200b100ad00b100ab02ac00b000b100ab00ad00b200ad00b203b100b200ad00ac00ab00ad00ab02ac01ab01a800a700a6000101ab01ac00ab01a700ac00a700a800a601a7
+01a500aa00a600aa00a700ab00a800ac00aa00a700ac01a600aa03ab00aa00ab00aa00b101b001ab01ac00b100ac00b000b100ac00b000b100ac00b101ac00b002ac00b100ac03ab
+01ac00ad01ac00ad00ab01ac00a600ac02a700ad00ac00ad00a600ac00a800ad00a600ab00a600ac00a800a600a701a600ab01a600ab01ac01ab00aa00ac00aa02ab00aa00b000b1
+00ab00b100b000b100ab00b100ab00b000af00ab00b100ac00ab00ac00b100b000ad00ac01b101ad00ab01ad00a700ad00ac02a700ab01ac00ab00a800ac00ab01ac00a600ac00a6
+00a501a600ab00a600a800ab00aa01ac00ab00a600ac00ab00aa00ad00aa00ab00aa02ab00ad00b000ac00ad00b000ac01b001ac00ab03b100ac00ab00b100b200b000ac00ad00ab
+00ad00ac00a700ad00a700ac00a700a500a700ac00a600a700a601ac00a602a700ac00a62601011206010111011206010111670100ab00b100b000b200ab00b100ad00ac00b000aa
+01ac00b003b100ad00b101ac00ab01ac00b100ac00ab01ac00ab02a700a601ac00ad000100ac00ab00a702ab02a700a500a600a700a800a600a800a700ac00a700a600aa00a600ab
+01a700ab00a500a600aa00ab01aa02ab00aa00ab00aa00ac00ab00b000ab00b100ac01b100ad01b000ac00af00ac00b101ac00b000b100ac00ab00b200ab00b100ac00aa00ac00ad
+00ab01ad02ac00ad01a801ac00a701ac01a700a800ab01ad00ac01a700ac00a601ab00ac00a700aa00ac00a704ab00ac00aa00ab00aa01ab00ac00ab00b001b100ac00b000b101b0
+00ab00ac00b100b000af00b100ab00ad00ab01b000ac01b100ac00ab01ac00a700ab00a700ac00ab00a700a800ac00a701ab00a700a600ad00ab00a700a600a700ac02a600ad01ac
+00a700a600a500aa02ab000000ac02ab00ac01ab01b101ab00b100b000ab00b100ac01b000b100ac00b201ac00b100ad00ac00ad00b100ad00ab00ad00a802ac00ad00a700ac00a6
+00ac00ad00a600a702a600a800a700ab2701011206010111011206010111680100b100ab00ac00b100b000b100ab00b002ac00ad00ab00ac00b100b001ac00b100af00b100ac00b1
+00ac00b000ac00ab01ad00ac00a700ac00a700ab00ad00a600ab01ac00a800a700ac01a602a700a501a601a800a600a800ac00a600ab00ac00aa00ac00aa00a505ab00ac01aa02ac
+01ab00b100ab01aa00ab00b100ac00ab00ac00aa01b001b100ac01ab00b200ad00b000b200ac01ad00ac00ad01ac00ab00a600ab00ac00a700a800a700ac00a700ac01a602a702ab
+01ac01a601ac01a700ac00aa00a600ac02a600ab00ac00ab00aa00ab00ac01ab00ad00ab01ac00b000ab00af00ab00b100ac00b100af00ad00aa00b000ab00ac00b001b100ac00b1
+00b002ac00ab01ad01ac01a700ad00a801ac00ab01ad00ac00ab00a800aa01a700ab01a600ac00ab00a500a600a705ab00aa00ab02aa01ac00aa01b100aa00b000ac00b100ab00b1
+00b000ad00b100b200ac00b100ac00b200ac01b100ab00ad01ac01ad01ac00a700ab01ac00ab00ac00a700ac00a801ab00ac00a600ab2801011206010111011206010111690101ab
+00b000b200ac00ab00b100ac00ad00b003b100ad00b200ab00ad01ac00b104ac00ab01ac00ab00ac00a800ac00a600ac02a700ab00ac00a604a702a602a701a600a700ab00ad00a6
+01ab00a701ab00aa00ab00a700ac03ab00aa00ab00b100ab00b000b100b001b100ac02b000b100b000b100ac00ab00ad00ac01ab00b001b101ad00b101ac00ab00ac00ad00ac00ab
+00a700ab00a800a700ac00a800a700ab00ac00a801ac01ab00a700a600ac00ab00a800a600ac00ab01a601ab00ac01a600ab00a600a500aa00ac00aa00ac00aa01ab00aa00ac00ab
+01ac00b100ac00b000ac02b100ac01b100b200ac01ab00ac00b201b101ad01ac00ab00ad00ac00ad00a701ab00ac00a600a700ac00a600a700a800ab00a701ab00a700a601ab00a7
+00a600ab01a600aa01ab01a701ab01ac03ab01ac00ab00b100ab00ac00ab00aa00ab00b000b100b001ac00ab00b100ac00b103ac00ab03ac00ab00ac000103ac00ab00a700a800a6
+00a700a529010112060101110112060101116a0100ab02b200b100ad00ac00b101ac00b100ad00b000ad01b100ab00ac00b100aa00ac00ad00ac00ad00ac00ab00ad00ab00ac00ab
+00a700ac01a700ad00a700ad00a600a800a700ac01a701a600a801a600a800a601a701a600a700aa00a700aa01ac01ab00aa02a600ac00aa00ab00ac00ab00b000b100b000ab00b0
+00aa00b102ac00b200b000ac00af00ab00b100ab00ac00b100ac01b000b101ac00ab02ac00ad000100ab00ac00a600a801a700a600ac00a700ac00a700ac00ab02ac00a600a500ab
+00a701ab00a700a600a500a600ab00a600ab00ac00a600ab00ac00a700a600aa00ab00a701aa02ab00ac00ab00ac00ab00aa00b101ac00af00ad00b100ac00ab00b001b100ac00b0
+00ab00ac00ad00b200b100ac00ab01ac01ab00ac00ad00ac00a800a500a600ac00a700a500ac00a600a700ac00ab01a700a500a700ac00a600a700ac00a500ac00a600ab00a600ab
+00a600aa00a600ac01ab00aa00ab00ac000000ac01ab01ac00ab00ad00ab00b101ac02b100ab00ac01b100af00ac00ab00ac00ab00ad00ac00ab00ac00a600ab00ac00a701ac00a7
+00ab00a800ab00a62a010112060101110112060101116b0101ad00b001b200ab00ad00ac00ad00ab00b100b200ad01b100b000ac01b101ab00ac00ad01ac02ad00aa00ab00ac00a7
+00ab01a700ac00a600a803a700a500a600a802a600a701a600a500ab00aa00a600a700a600a700a600ab00a600aa01a600aa01ab00aa00ac00b000ac00b200b001ab01ac01b000ac
+01ab00b100b000ab00b000ab00ac00b000ac00b100b001b100ac00b000ad00b000b102ac00ad00a600ac00a800ac00ab00a700ab00ac01a700a601ab00a600ab00ac01a600a700ac
+01a600ac01a600ab00ac00ab00a601ab01a500ab00a700ac00a600ab00ac02ab00ac00ab00b000ab01b000b200ab00b201ac00b000ab01b000ab00b100ac00af00ad00ab00ad00ab
+00ac00ab01ac00ad00ac00ad00a500ac00a800a600ad00a700ad00ac02a600ab00a700a600ac01a500ac00a600aa00a700a500ab00a600a500a600aa00ab00a601aa00a600ab01ac
+02ab00ac00ab00ac00af01b100ac00aa00ab00aa00ac00b201b100b200ab01b101ac01ab01ac00ab00a701ac00a700a800ab00a700ab00a800a72b01011206010111011206010111
+6c0100b200b100b201b100b200ad00b000ab00b100b000ac00b100ac00b001b101b200ac00ad01ac00ad02ac00a700a800ac01a700ac00a600ac00a700a500a600ac00ab00ad00a6
+01a700ac00a600a700a603ab00ac01ab02a600ac00a501ab02ac00ab00aa00ab00ac00ab00b000ab00b100af00ac00ab01b000b200ab00b201ab00ac00ab00b100ac00b000ac00ab
+01b100ab00ac00b100b200ad01b200ad01ac00ab00ac00a700a803a700ad01a700ac00a800a700ab00ad00a600a700ac00a600a801ac01a700aa01a600aa01ab000000ab00a703ab
+00aa01ab00ac00b000ab00b000b100ac00b101ab00b000ac01ab01b100ab01ac01b200b000b106ac01ad00a600a700a600ab00a7000100ab00a700a600ac01a700ab00ac00a801ac
+00a502ab01a600ab01a600a500ab01aa00ab00a7000000ac00ab00ac01ab00ac00ab00af00ab00b000b100b000b100ad00af00b100b000b100ac00b201ac01b100ac00ab00ac00ad
+01ac00a800ac00ad00ab00ac01a700a600a72c010112060101110112060101116d0100b100ad00b100af00b100ad01ac00b100b002b100b001ac00ab01b200ad01ac00ab01ac00a7
+03ac01a700ad00ac00a600a700ad02a600a700a501a703a600ab02ac000001ab00a602ab00a701ab00aa00ab00ac01ab000000ac01aa01b100aa00b000ab01b001ab00ad00b003ac
+00b001ac02b100ad00b000b100b001b101ac00ad00ac00ab00a600a700a800ac00ad00a8000100ac01a700a500a700ac00a700ac00a700a600ac00a600a500a700a500ac00aa00ad
+01ac00a600a700a601a700ac01ab00aa00ab00aa01ac00b101b000ab00af01ab00b100ac00b100b000ac01b102ac01ab00ad00b200ac00b103ac00ab00ad02a700ac00ad00ab00ac
+00a800a701ac00aa00a700ab00a703ab00a600ab00a700a600ab00ad01a500ab00a600ab00a600a701a600ab00aa01ab00aa01ac00b000ab00b200ac00ab00ac00b201b000ac01b0
+00b200b101ab01b100b201ac00ab000100a800a700ac00a600ad00a700ab2e010112060101110112060101116e0101b000b100ad00ab00b100b000b100ab00b002b102ac00b004ac
+00ab01ad02a700a800ab00a800ac00a600ad00ac00a600a800a600a700a600a800a600a701a601a700a500a601ac00a600ac00a700ac00a600ab00a600ac00a602ab00aa02ab00ac
+00aa00ab00b100ab00ac00ab00b000b100b000af00b101ab00b000ad01b100b000ad00b201b100b200b002ac01b000b200ac00ad00ac01ad00ab00ac00ab01ad00ac01a700ad00a8
+00ab00ac00ab00a600a700ab01a600ac00a700ab00ac00ab00ac00a500a700ab00a701a6000003ab00aa00ab00ac00ab00ac00ab01b000aa00b000af00b000ab00b000ac00b101b0
+00aa00b100b002b100ac01ad00b100ab00ad00ac00ab01ac00ab00ad00ac00a700a601ac00a602ac00ab00a602a700a600ab00ac00a502ab00a500a700ac00ab00a600ab00a500a6
+01ab00aa00ac00ab01ac00ab01b000ac00b000ad00b200b000ab00b000b100ac00ab000100ac00b001b100ac00ad00b200ad01ac00ad00ac00ab00a800a700ac3001011206010111
+011206010111700100b101ac01ad00b100b000ad00b100ac00ad00b200ab01b100ab00ad00ac00ad00ac000101ac00a600a700a800ac00a701ac00a600a700ab00ac00a800a600a7
+01a600a501a700a600a701a601a700ab01a601ac00a600ab02a600ac00aa01ab00ac000002ab00b000af01b100ac01b100ac02ab02ac01ab02b101ac00ad00af01ac00b000ac00ab
+00ac00ab00ad00ab01ad00ab00ac01ad00a800aa00a700ac00ab01a700ac00ab03a701ab00aa00ab00aa00a600ac00a600ab00ac00a700aa00a801a500aa01ab010002ab00ac00ab
+00aa00ab00b000aa00ab00b100b001ab00ac00b000b100b000ac00b100ac01b100ac00b100ac00ad000100ac00ad00ac00a700ac03a701ac00a700a800ad00aa00ac00a700ab02ac
+00a600ad00a700ab00a501ab00a701ab00aa00a600ac00a600ab00ac01ab00ac00aa00ac00ab00ac00ab00b000ad00b000ab00b100ac00b100b000b101b000b201ac00ab02b100b0
+00ab00ad00ac00ad00ac00ad3201011206010111011206010111710100b200b100ac02b100ac00b000b100ad01b103ac02ad00ac00ab01ad01ab00ad00ab00a800ac00a703ac00ab
+00a700a602a700a600a700a600a701a601ab01a501ab00a700ab02a600a700a502ab00aa02ab00aa00b000b100b001ab00b100af02b100ac00af00b100b000b100ab00ac00ab01b1
+00ac01b100ab00b000b201ac00ad00ab00ac00ad00ac00ad00ac00ad00a700ad01a700ab00a801ac00ab01a700a6008400a600ac00a700ab00ac00ab00a500ab00a600ac00a600a7
+01a600a501ab00a500ac01ab00aa02ab00ac00ab00aa01ab00b000b100b000aa00b000b100ad00b002ac00b000ac01b000ac00ab05ac000101a700a801a700ac00ab00ad00a700ab
+00a600ab00a700ab00ac01a600a700a601ab00aa00ac00a700a601a700aa02ab00ac00aa00ac02ab00aa01ab01b000ab00aa00b000ac01b100b000ab00ac02ab00b200b100ab00b1
+01ac00b101ac3401011206010111011206010111720100b202b101ac00b200ad00b001ac00b100ac01ad00ab00ac00ab00ac00ab00ac00ad00ac00a701ac01ad02a702ac00ab02a7
+00a600a701a601a700a500a700ac01ab04a600ac00ab00a500ab00aa00ab00ac00ab00b000af00ab00b000b100af00b000ac00b000ac00af01b000af00ad00ab01ac02ab00b200ab
+00ac00ab00ad00b003ac00ab00ad01ac00aa00ad03ac00ad00a700ac00a800a701a600aa00ab00a600ab01ac00a600ac00ab00a600a700a600a7000004a600a700a601ac00a700ac
+00ab00aa00ac01ab00ac00b001ab00b100ab00b100b000b100b000ac00ab00b101ac00b000af01b001ab03ac01ad00ab00ac00ad00ac00a800ad01ac00a601a700a602ac00a702ab
+00ac00a600ac00a700ac00ab00ac00a600a700a500ab00a600ab00a500aa00ac06ab00ac00ab02b100ab00b101b000b100b203ac00aa01ac00ad00ac00b236010112060101110112
+06010111730100b200ac00b000b100b200b100ac02b100ab01ad00ac00ad000100ab00ad00aa01a701ac00a700ac00ab00a800a600ad00ac00a600a700aa00a804a700a600ac01a7
+00ac00a701a600a700a600ac00ab00a600a501aa00a600ac00ab00aa01ab00ac00ad00ab00b000ab00ac00aa00ab00ac00b100b001ac00b000b100b000ab01ac00b000ab00ac00af
+00ac00af00ad00b200ab00b1000100b104ac00ab000100a800ad02ab00a800ac00a800ad00ab00ac00ad01a700ad00ab00a600a500a600a500ac00a601ab00a700ab00aa00a600a5
+00a700aa00a501a600ac01ab01ac01ab00b000b200ac00b001ac00b100ac00ab01b100b200ac00b000b200ac00ab01b000b100b200ac00ad00ab00ad02ac00ab01a700ad00ac01a7
+03ac01ab00ac00a700ac00a600a700a500a600ab00a600ab00a700a800a701ab01ac00ab00ac00a6000004ab01ac00aa00ad00b100aa00ab00b200ad00b100ac00b002ab00b200ac
+00ab00b200b100b23701011206010111011206010111740101ab00b100ad00ac00ab00ac00b100ad01ac00b100ac00ad03ac00a601ac00ab00a700a600ac00a600ac01ad00ac00a6
+00a802a700a802a700a501a700ab01ac00a600ab00a600ab00a701a501ab02aa02ab00aa00ac01aa00b001b100ac02b000aa01ac00b000b101ab00b100b200ab00b100ac00b000ab
+00ac00b100ab00b100ab00b100ac01ab01ac00ab02a700a600a701ac00ab00a701ac01a601ac00a800a600a500ab01a600ab00a600a700a601ab00a500ad00aa00ac00ab00a500a7
+02ab00ac00ad00ab00b100aa00b000b101ab00b100af01b000ac00b100aa00ac00ab01b000ac00aa00ac00b200ab01ac00ab01ac00ab01ac00ad01ac00ad00a600a700ad01a600ab
+02ac00a700ac00a600ac00aa00ab00a600a700a600ab00ac01a700ac00ad00a600ac00a600a700ac00a600ab00ac00ab00aa02ab00b000b100b000ac03b000ab00b000ab00b100b0
+00b100ad00b000ab3901011206010111011206010111750103b100b000b100b200ac00b100ad01b100ad00ab02ac00a701ac00a700ac02a700a601a700ac00a700a600a700a604a7
+01a801a701ab00a600ac00ab00aa00ab00a600ac00aa00ab00a609ab00b100ac02ab00b100b000ab01b101ad00ac00ab00ac00b000b101b000ad00ab00b100ab010100b001ac00ad
+01ab00ac00ad00ac00a500ad00a600ac00a701ac00a600ad00a500ab00a800ab00ac00a600a700ab01aa00a500a700ac00ab00ac00ab00a600ac00a500a600a700a500ab00ac03ab
+01aa00ab00b001ab00ac00b000ac00b100b000b102ac00b000ac00b000ac00b100ab02ac00ad00b204ac00a700ab00ad00ac00a602ac00a500a700ac00a600ab00a600a800ac00a8
+00a700a601ac00a701ab00a701aa00a500ab00a600ab00a600ab00ad00ab02aa00ad00b000ab00ac00aa00b100b000aa00b001b100ac02b003ac3a01011206010111011206010111
+760100ac00af00ac00b200b100ad00b000ac00ad00ac00ad01ac00ad00ab01ac00ad01a700ac00a8000100ad00aa00ac00a601ac00a800a701a600a800a700a601a700a600a702a6
+00ab00a702a600ac00a601ab01a600a700ad00aa02ab00ac00ab01aa02ab00b000ab00b100ab00af00ab01b000ac00ab01b100b001b100b200ab01ac00b104ac00ad00ab00ad00ac
+000100ab00ac00a700ac00a802ac03a700a800ac00a600ac00a700ac00a600ab00a700a600ac02ab00a500ab00ac01a600ab00ac00aa01ab00ac00ab01ac00ab00ac00b001b100ab
+00b000ac01b000b100ab00b000aa00b100ad00b200b100b000b101ac00ab00ac00ad00ab01ad01ac00a800ac01ab00ac00ad00a600aa00ac01a601ac00a700a601a700aa01a600ac
+00a600ab02a600aa00ad01a501ab00ac02ab00ac00aa00b100ac00b000ac00b101ac00b100ac00aa00b000b100b000b100ac3c01011206010111011206010111770100b200b000ac
+000100b100b000ac000100ab00ad02ab00ac00aa00ab00ac00ad00a700ad00ab00a700a800ac01a601ad00ac04a700a601a700a800a700a600ac00a600ac00a600a500a601ab00a5
+00ac00aa00a502ab00a700ac00ab00aa01ab00ac00aa02ac00ab00b001ac00b201b100b000ac00b100ab00ac00ab00ad00b001ab00b100b000b100ab00ad00aa00ac01ad00ac04ad
+00ac00aa00a700ac00a700a500a700ac01ab00a601ac00a802ac02ab00a600a700a600a700a500ac00a700a600ac00a701a600ab00aa00ab00aa03ab00af00b100ab01b100ab00ac
+01b100ab00b100b000aa00b100ac00ab00b100ad01b100ab00b100ab01ac01ab00ad01ac00a700ad00a801ac01a600ac00ab00ac00ad00aa00a702ab01ac00a701aa00a600ab00ac
+00a600a500ac00ab00aa01ac00ab01ac00ab01ac01aa00ab00ac00b000ab00b100ac00ab00b100b000b100b03d01011206010111011206010111780100b001b100b200ac00b000ad
+00ac00ab01ac00ab04ac000100a700ac00ad00ab00a700ad01a700a800ac00ab00a701a800a700a601a701a601ab00ac00ab01a600ac00a600aa00a700ac00a601ab00a600ab00a6
+00a700a500aa00ab00aa01ac00ab00ac01b000ac00b000ab01b000ab00ac00b100b000ab00b000ad01b000ad01b100b000ac01ad00b000ac00ad00ac00ab00ad00ac00ab00a700ac
+01a700ac00a800ad01ac01ad00ac00a700ac00a700a800a600a500ab01a600aa01ac00aa01ab01aa00ac00a500a600a701ac01aa03ab00b001ab00b001ac00b100ab01b000ab02b1
+00b000b101ab00b001ab00b000ac00b100ad00ac00ab03ac02a801ac01a700ac00a600a801ac00a600ac00a701ab00a600a500ab00a700a600a700aa00ab00a800ab00a602ab00aa
+00ab01aa00ac03ab00ad00b100ab00b001ac00aa00b000ad3e01011206010111011206010111790100ad00b100b200ad00ac00b101ac00ad00ac00ab00ac00ab00ad00a801a700a6
+00ab00a700ac03a700ad00ab00ad00ac00a700a800a600ab00a600a801ab00a603ab02a600a500ab00aa00a600aa00ab00ac00ab00a700ab00a502ab00aa02ab00b100b000b100aa
+00ab00b002b100ac00b100b000ab00ac00b200b101ac00ad00b200ac00b100b202ac00ad01ac00ab00a800a601a700ad01ac00a801ad00ac00a700a600ac00a800ad01ab00a600ab
+00a700ab00a600a700ab00a700ab00a500a700a600ac00a501ab00a500aa00ac04ab00ac00ab00af00aa00b100ac00ab00ac00b000b100aa01ab00b200b100b200b000b100b000b1
+00b000b201ab00b100b000ad00ac00ab000100ac00a700ad00a701ac00a700ac00ab00a700a600a701ac00a600ac00a600ab00a700a601ab00aa00ab00a600ab01a601ab00a701ac
+00ab01ac00ab00aa01ab00ad00ac01ab03ac00ab3f01011206010111011206010111790103ac00ad00ac00b203ac00ad00a700a800a702ac00a703ac00a801ac00a700ad00a700ac
+00a600a800ac00a700ab00a501aa008400ac00a601aa00ab01a600aa00a500ad00a700a600aa00ac00ab00a700ab00aa01ab00ac02ab00b100b000ab00b001b101b000ab00b101ad
+00b100ab00b101ac00b100ac00b100ac00b101ac00b100b200b100ac00ad00ab00ac00ad00ab00ac00ab01ac03a700ab00a701ac01ab00a600ab01a600a502ab00ac00ab00a600ab
+00a600a701ab00a600ab00ac04ab01ac01b100ab00b102ac00b200ac00b000b200b000ac00b004b100ad03ac00b200aa01ac00ab01ac00ab00a700ad00a800ab00a600ac01a700ab
+00a701a600a700a601ab00a600ac00a600ab01a700aa00ac00a700ac00a700a601a700ab00ac03ab00ac00ab01ac00ab00ac01ab00ac40010112060101110112060101117a0101ac
+00ad00ab00ad00b000b100ac00ad01ac00ab01ad00ac00a700ab00a600ab00ac00ab00ac00a701a600a800ad00ab00ac00ad00ac00ad00ab00ac00a7008400a700ac00a701a600aa
+00ac01ab00a601aa00ab00a501ac01ab00ac01ab00ac01ab00aa01b100b000b100af00ab00b000b100b001ac00ab01b100b000ac00b000b100ac00b100ad00b100ac000100b100ab
+03ac000100ac00ab00a800ac00a600a700ac00ab00ac00ad00ac01a700a600ac00ab00ad00a700ad00ab00a700a600ac00a701ac00ab00ad00a700ac00aa00ad00ab00a700aa00ab
+01ac01ab00ac00aa00ac00b000ab00b001ab01ac00ab00b101b200ac00b001ac01ad00ab00ac00b100b001b200ad00ac01ad03ac00ab01ad00a601a700a800aa01a700a800a600ac
+00a700a500ab00a600ab02ac00a500ad00a701ab00a600ac02ab00a600aa00ab00ac00ab04ac01ab00ac00a641010112060101110112060101117b0100ad02ac00ad00ac02ad01ac
+00ad03ac00ab01a701ab00a600ac00ad00a601a800a600ac00a800ac00a500ad008400a500a602ac00ab00a700ac00a500a700ab00a804ab00a500ab00aa00ac00ab01ac00ab00aa
+00b000b100ab00ac01ab01b000ab00ac00b100b200ac00b100ab01ac000101b100af00ab00b200b101ac01ab01ac00ab01ad00ab00ad00ab00a700ac00ab00ac00a600ac03a700ac
+01a700ac00a600ab00a700a600a700ac00ab00a600ab00a600a500a700ab00ad00ac00ab000000ab02ac01ab00aa00b100af02ab01b100b200ac00b100ad01ab00b100b000b100b0
+01ac00b101b000ab00ad000101ab00ad00ab02ad01a700a600ad00ab00ac00a800a701ac00a600ad00a700ac00a500a700a600ac00a700ab00a601a700ac00ab00a600a700ac00aa
+00a502a600ab00aa01ab00ac00a500aa00a600ab00a542010112060101110112060101117c0100ab00a702ab00ad00ab00ad00ac00ab00ac00ab00ac00a800a700ac00ad00ab00ac
+00ab02a700ab00ac00ab00a600ab00a700ab018401a700ab00a700a601ac00ab00a600ab00a500a7000001ab00aa01a600a700ab00ac02ab00ac02ab00ac00b003ab00ac00b100ac
+01b100b200ab00b200ad02ac00b102ac01ad01ac01ad00ac01ab01ac00a601ad00a800a700a801a700ab00ac00ad00a800ac00a600ab00ac01a600ab00a600a801ab00ac00a500a6
+00aa00ab00a501a600ab01aa00ab01aa02ab00ac00ab00b100ab01b000b100ac00b100b000b101ac01b000ab00b200b001b100ab00ac00b200b100ab00aa00ac00ad00ab00ac00ab
+00a800ac00a801ac00a700ac00a700ac00ad00ab01a600ab00ac00ab01ac00ab00a600a500a600a700ab00a702ab00a601a500a701ac01a700a600ac00aa00a700a801ab43010112
+060101110112060101117d0100ac00a600a700ad02ac000100ac01ad00a600a700ad00a600ac00ad00a800ad00a700ac00ab00a600ab00ac00a701a6018400ab00a600ab00a600ac
+01a601ab00ac00a600ab00a500ab00aa01ab01a600ab01a500a600ab00aa01ab00ac00ad00ac00b100b000ab00aa00ab00b100ac00ab00b100b000af02b101ac03b100b200ab00b2
+00ad01ac02ab00ac00a7000100ac00a700a801a700ac00a700ac01a701a803ac01a600a700a600ab00a600a701a601ab00a601ab00a600ab00a600ab00ac02ab000000ac02ab00ac
+00aa00b101ac01b000ac00b100ad00b200ad00b1000100ac00ab00b200b000ab00b100ab01b200ac01ad02ac00a600ab00a600ac00a700ac00a800a700a800ac00a700a600ac00ab
+02a600ab00ac00a600aa00a500a700ab00a500a700ac00a600a700ac01ab00ac00a600ab00ad00a600a500a700a500a644010112060101110112060101117e0102a700ac00ad00ab
+00ac00ad01ab00ac00a700ac00a700ac00a800ac00ad00a700ac00ab00ac00a601a700ac018400ad01ab00a700ac00ab00a702ab00ac02ab00a800ab00ac00aa00ac00a600aa00a6
+00ab00a500aa01ab02aa02ab00b000b100aa00b000ab00ac00b000ab01ac01ab00b000ac00b000ad00ab00b100b200ab00b0000100b000ad00ab03ac00a700a600ad01ac00a700ac
+00a600ac00ad00a700ad00a800a601ac00a600a702ab00ac00ab00ad00ac00a600aa02a600ac00aa00ac00a500ab01aa00ab00ac00aa02ac00aa01ab00ac00b100ac00b000b100ac
+00b000ab00b101ab00b000ac01ab01ac01b100b200ac00b100ad00ab00aa01ac00ad02ac00a600ab00a701ac01a600ab00ac00a700a801a701ab00a600ac01a700ab00ac02ab00aa
+01a6000000a500ab00aa00ab00a600aa00ac00a700ab44010112060101110112060101117f0100ab00a800ad00ac00a800a600ac00ad00ab00a700ab00a702ac00a700ac00a600ab
+00ad00ac00ab00a7018400a701ab00a600a700aa01ab00a700ac00a601ab00a702a601ab00ad01a600ac00a500a600ab00aa00ab00ac01ab00ac00ab01ac00b002b100ac00b000b1
+01ab00ac00b000b100b000b100ab01b100b000ac00b100b200b101ac00ab00ac00ad00ab00ac00a701ac00a800a700ad01ab000101a702ac00a700a600a700ab00ac00ab01ac00a7
+00ac000000a600ac00aa00a600a701ab00ac00aa00ab00a600aa00ac00a600ab00ac00aa02ab00ac00ab01ac00b100b000b100ac00ab00ad00b000b100ac00b000ac00ab00ac00b0
+00ac00b000ad00b001ac00ab01ac01ad00ac00ad02a700ac00a600a700ab00a700ab00a802ac00a702ab00a600ab00aa01ab00a601a701a6000000a700aa00a800a600ab00a500ab
+00a600a54501011206010111011206010111800100ac03a700a800ab01ad01ac00a800ab00ac00a600a700ac000100aa01a6018400ab00a800a600ab00a503a600ab01a600ab00a7
+01a601a700ab01a702a600ab00ad00ac00aa00ad01ab00ac00af00b100ac00af00ac00b002ab00aa00ab00b100ab00b100aa00ab00b000b100ac00b100b200b101ac00b102ac00ad
+000101ac00ad00ab00a600ad00ac00ad00ac02ad01ac00a701a600ad00a701ab00a700aa00a700a502ab00a700aa00ac00a600a500a701ab00a601a700ac00ab00a601ac04ab00af
+02ab00b000b100ac00ad01ac00ab00b100ad01ac02b100ac00b001ac00ab05ac00ad01a700ab01a700ad00a800a700ac00a600a700ac00ab00ac00a701ab00a800a700ab000000aa
+00ac00a500ab00a600a700a502ab00a600a700a500a700a64601011206010111011206010111810101a600a800a700ad01ac00ad00ac00a800ac00a700ab00a600a700ad01ac0084
+00ac00ad01ab01ad00ac00a700ab00a600a700aa01ab01a600a700ab00aa00a500a601ab00a700ab01a602ab01ac00ad01ab00aa00b101ac00b100aa00b000b103b000b100ac00aa
+00ab00ac00b000ac01ab00b100ac00b100b000ac00ab00ac00ab02ac00ab00ad00ac00ab00a501ac00a701ac00ad01a700ac00a801a700ab01ac00a700a500ac00a600a700aa00ab
+00ac00a700ab01a700ab00a600a701ac00a600a500a600ab00ac00ab00aa00ac00ab00ac00aa00b101ac00b101ab00ac00b100ab00b000b101ad00b100ac00b001ac00b100ad01ac
+00ab02ac01ad00ac00a700a600ac00a600a700a800a700ab00ac00ad02a700a600ab00aa00a703ab00aa00ac00a600ab00a600aa00a500a600ac01ab00aa00ac00a7470101120601
+0111011206010111820101ac01ab01a700ac00ad00ab00ac00ab00ad000100a600ac00a7008400ac00a700ab00a600a700a600ad00ac00ab00a601ab02ac00ab00ac01a600a701ac
+00a600ab00a702a600ab00aa00ac00ad01ab00aa00ab00ac00aa00ab03b001b101ac02b000ad00b000ac00b100ac00ad00af00ab00b000b100ab00b200ab01ac00ad02ac00ab00ad
+01ac00a700ac00a700a800a700ac00ab00a700aa00ac00ad00a600ab00a600ab00ac00ab00a600a700aa00a500ab00a700ac00aa02ab00a700ac00a600a700ab00a600ab01ac04ab
+00b200ac00b000ad00ac01af00b200b000ac00b000ab00b100b000b100b000ac00b100ac00b200b002ac01ab00ad02ac00a700ab00a701ad01ac00a600ad00ac00a600ac01a700ac
+01ab00a501a703a600ab02a600a700ab00a600ab01a74801011206010111011206010111830101ad00ac00ad00a700a600ad00a700a500a600a800aa00a700a800a700ad00a600ab
+02ac00a700ac00a700a500a701ab00ac00ab00a700ac00a600a500a700ab00a700a501a600a700ac00a700aa00ac01ab00ac00ab00ad00aa00ac00ab00ac00ab00b100b000b101b0
+00b100ac01b000ad00b100ac00b000b100b000b100ac00b001ac00b101b000b201ac00ad01ac00ab00a700ab01ac00a700ad00a702ac00a700ad00ab00a700ac00a700ac00a700ac
+00a801ac00ab00a600a501ab00a600a701a600ab00a500a600ab00a701ab00ac00aa01ac01ab01ac00b000ab01b000af03b100af00ab00b000ad00b101b000b101ac00b000b100ac
+00b100ac00ad00ac00ad00a600a801ad00ab00a700ab00ac00a600ac00ad00a701ac00ab00ac00a800ab00ac00a701ab00a500a600a700ab00a601ac00a500ab00a500a600ab00a6
+00004901011206010111011206010111840100a601ab00ac00ad02a700a600a703ac00a700ad00ab00ac00a700a600ac00aa00a700ab00a600ac00ab00a701ac00a600ac00ab01a7
+01ab00a702ab00a501ac02a600ab00ad00aa01ac00ab00b000ab01b000b100ac01ab00ac01ab00ac00b000ab01b100b200ac00b100b000ac00b100b0000100b002ac00ad00ac00a6
+00a800ad00ac00ad01ac00a601ab00ac01a700a800ac00a800a600a800ab00ac02ab00ac00a801a600a500ab00ac00ab00ac00a600a700ab01ac00ab00ac03ab00aa00ab00ac00ab
+00ac01ab00ad00aa00b000b102ac00b000b100ac02b101ac00b100ab01ac00b000b101ac00ab00ac00ab01a800ac00a600a700ac00a700ac00a702ab00ac00ab00a800a600ab00ac
+00a601a700a600a800ab00a600aa00a600ab01a501a600ab4a01011206010111011206010111850100ad00ac00a600a700a800a702ab01a700a800ab00ac00a600a701a602a700a8
+00ac00a700ad00a600ab00ac01ab01a602ab00ac00a800a600aa00ab00a600ab00ac00a600a501ab00aa04ab00b000ab00b200b000ac00ab00b100b000b201b103ac00ab00b001ac
+00b100b001ac00b100ac00b101ad00ac00ad00ab00a700ac01a700a600ad00ab00ac02a700ac00a8000100ab00ad03ac00a600a701a600a702a600ac00a500aa00ab00a600ab00aa
+00ab01a600ab00aa02ab00ac01ab00aa00ac01b000ac01b000b200ac00b200b100b000b100b000aa00ac00ab00b000ad00ac00b100b000ab02ac00ab00ad00ac00a802ac00a700a8
+00ab00ad00a700ac00a700ad00a600a700ac02ab00aa00ac01ab00aa00ac02ab00ac00a600aa00ab00a54a01011206010111011206010111860100ad00ab00a701a802ac00a800ab
+00ac00a800ad00a701ac01ab00a500a600ab00ad00a700ac01a600ac00ab00ac02a700a600a500ac00ab02a600ab00a600aa00a600aa00ab01aa00ab00ac01b000ac00b100ab00b0
+01ac00aa00ab01b100ac00af01ab01b200ad00ac00b200ac00b100ac00b100ac01b201ad00ab01ac00ad00ac02a700a801ad00a700a600a700a600ac000100ad00ac00a600a700ac
+00a703a603ac00ab00a700ad00a801ab00ac00ab00a601ab00a600aa00ac00aa00ab00aa00ab01ac00b000af00ac00b000af00ac00b200ac00ab00af01b001ab00ad00ab00b000b1
+00ab02ac00ad01ac00ad03ac000100ab00ac01a700ab00a701a800ac01a700a800a700ad01ab00a700a600ab00ac00aa00ab00ac00ab00a600ab00ac00a64b010112060101110112
+06010111870100ab00a600ac00ab02a701ac00ad00ac00ad00a600ab00ac00ab00a600ab00aa00a600a700aa00ac00ab01a700a600ac01a600ac00ab00a600ab00a600a700a600a7
+01ab00a600ab00ac00ab00ac00ab00ac01ab00b101ac00ab00b100ac00af00ac00b001ac00b001b102ac00ab00ad00b100b200b100b200b100ad00aa00ab01ac01ad00ab00ac00ad
+00ab02ac00a700a600a801ac00a600ac01a700ab00a600ab00ac00ab00a700a601ab00a600ac00ab01ac02a600ac02ab00aa00ab00a700ac00aa03ab00ac00aa00b000ab00b100ac
+00aa00b100ab00b100aa00b100b000b102ac00b200b000ab000100af00b003ac00ab01ac00ad00ac00a700aa03ac00a600a802a700ac00a700a800ac00a600ad00ac00a600a802ab
+02a600a700ab00aa4c01011206010111011206010111880100a600ac00a700ad00a701ab00a600ac00a601a700ac02a700a600ac00ad00aa00a500ac00a700a600ac00ab00a600a7
+00ab01a600aa00a800ab01ac00a703ab00aa01ac00ab00aa00ac00aa00ab01b005ab00aa00ac00b001ac00b000ad01ac01ab01b100b001ac00b000ac00ab00ad02ac00ad01ac01ad
+00a701ac01a700ac00a700ab00ad01ac00a700ab00a700ac00ab00a701ab00a600ab00a501ac00a600ab01aa00a700ab00a700ac00ab01a600a501ab00aa01ac00aa02b000ab00aa
+01ab01b000ab02b000ac00b200ab00aa00ab00ac00b100ac00b100b000ad00ac00ad00ab00ad00ab00a700ac02a702ac00a700ab00a600ac01a600a700ad00ac00a700a601ac00ad
+01a602ac00ab00aa4d010112060101110112060101118801008400ac02a701ac00ad00a700a600ab00a601ac00a700a800a700ac00ab00aa00a600a700a600ac00a600aa00ac01a6
+01ab00ac00a700a600ac00a601ab00a700a602ab00ad00aa01ac02ab00ac00ab00b100af00ac00ab00ac00ab00b101ac00b100ab01ac01ab00b202b101b000ad00ab01ac00ab01ac
+00ad00a800ab01ad00ac01ad00ac00a601a700a801a700ac00a600ab00ac00ab00ac00ab00ad00ab00a700ab00ac00a700ab00aa00ab00aa00ac00ab01a600ac00ab00a800ab00aa
+00ac00ab01aa00b000af01ac01af00ab00b100aa01ac00b000af00b000ab00b000ac00ad01ac00ab00b100ad00b200ab00b000ad02ac00a800ac01a802ac00ad00a700aa01a701ac
+00a600a700ab00a700ac00a700ab00a600a500ac00ab00ac00a600ab00ac4e0101120601011101120601011187010184000101ac00ad00ab00ac00a700ad00a700a601ac00a601a7
+01ab00a600a700a500ab00ac02a700ac00a800ab00a600ab00a500a600ac01aa01a600ab00a700a601aa00ab00aa00ab00aa00ab00ac00ab00b000b100ab00b001ac00b200ab00ac
+00b000b100ab01b000b100ab01b000ad01ac00b000ac00b001b100ab00ad00ab00ac00ad00a800ac00a600a800ad000100ab00a701ac00a801a700ac00ab01a701a600a700ad00ab
+00a600a500ac00a700ac00a600ac00a702a602ac00a600ab00aa00ac00aa01ab02ac00ab01b101b000ab00b000ac00ab00b101b000af01b001ac000100ac00b100ab00b100ac00b1
+00b201ab01ac00a600ab00ac00a8000100ac00ab00ac00a700ad00a600ab00ac00a800ac01a800ad01ac00a600ab00a600ac00ab00a500a64f010112060101110112060101118501
+0184030100ac00a700a800ac00a800a600ab00a700ac00ad01ac00a800a500ac00a701ac00a802ab00ac00ab00aa01a600a700ab00ac00ab00a600a501ac00a502a601ab00aa01ab
+00ac01ab02b000ab00ac01ab01b000b103ab00ad00ab01b000b100ac00b100ab00ad01b101ab01ac01ab00ac00a600ac00a701ac01ad00ac00a700ab00ac00ab00ac01ab01a701a6
+00ac00ab00a600a700a603ab02a500a800ac01aa00ab01ac00ab000101ac00aa00ab00ac03ab01b101b000ab00b100ab00b000ab00b000ab00ad00b101b000ac00ab00b100ab00ac
+00b100b203ac00ab00ac00a800ac00a801a600ad00a700a800ac00aa00ac00a700ab00a700ac00a700a602ac00ab00ac00a7500101120601011101120601011184010184050100a7
+00ac00a802a700ac00a700ab00a600a800ac00a702a600a700ab01a701ab00ac03a601ab00aa00a600a700ac00a502ab01ac00ab00aa00ac00ab00ac00ab00af02ac00aa00ab00aa
+02ab00b101ac00b000b100ab00ac00b000ac01b100ac01b100aa00b200b001b101ac00ad00ab01ac01a700ab00a601a700a500ac01a700ab01ac00a602ac00a700a601ac00ab00a6
+00ab00ac00ab00a800ab01a600ab00a502a600aa00a602ab01aa00ac01ab00aa00ac01b001ab00b001ab00b000ac00b000b100ac00ab01b102ac01b001b100ad00ab01ac00ab01ac
+00a500ad00a800a501ac01a700ad01a700ac00a700ab01ac00a700a800a700ac00a7510101120601011101120601011182010184080100a600ab00a801ac00a600ac01a601ac02ab
+00a600a701a600ab00ac00a600ad00ab01ac00a701ab00a600ab01a701a600a700a602ab00ac01ab00b100aa01ab00ad02b000b100ac00b000ab01b100ab00ac03ab02ac00b101ac
+01b000b100b200b100b000ab00ac00ab00ac00ad00a800a700ac00a500a600ac00a800a700a800ab00a600ad00a600ab00a700ab00ac00ab00a700aa00ac00a600a700ac00a800a7
+00ac00a600ab00a700ab00a700ac00a502ab00aa000000ac02ab00ac02ab00ac00ab00ac00b000ab00b100aa00b100ad00aa00ac00b100ab00b100ad03ac00b201ad00ac00b100ab
+04ac01a700a800ac00ad01ac00a700ac00a700ac01a703ab00a600ab5201011206010111011206010111810101840a0100ad00a801ad01a802a700a800a700ac00ab01ac00a700a8
+00ac00ab00ac00a600a700a600ab00a500aa00ac00a600ab00a700ac00aa00ac00a600ab00ac01ab01ac01ab00ac00b000af00b101ab00b100af00b101b000b101ad01ac00ab00b0
+00b100ac00b201ab00b000ac00b200ac00b101ad00b100ac01ab00ac00ab03ac00a600a700a800ac00a600a701ac00ad01a602ac01ab00a800ab01a700aa00ab00a703ab01a600aa
+01a600ac00aa00a600aa00a600ac00ab00ac00ab00ac02ab00ac00ab00b000aa00ab00b100aa00b000b100ac00b000b100ab00b100ac00b001b100b200b100b000b200b000ac00ab
+02ac00a600a700a600ac00a800ad01ac00ab00ac00a700ac00a700ac00a601ac00ab5301011206010111011206010111800101840c0100ad00ab00a600a700ac00a700a500ad00a6
+02a700a601ab00a600a700ac00ab00a500a600a700a600ab00a600ab00a600aa00ab00a700a600a702aa06ab00aa00b101ac00aa00ac00b200b000ad00b000ab00b000ac02b100ab
+00ac00b200ac00ab00ac00b001ac00b100ac01b000b100b200ac00ad01ab01ac02a702ad01ac00ad00a701ac00a700ab00a700a800ab00a500a700ac01a600ac00a700ab00aa00a7
+01ab00a600ac00a700ab00a700ab00a600ac01a606ab01ac01ab00af00b000ad00b100b000b102ac00b200b100ab00b001ac00ad01b100ad00b000ad000100ad01ab00ac00ad00ac
+01ad01a800ad00a701ac00a701ad00a600ac00a754010112060101110112060101117e0101840f0101ac00ad01a700a600a700a601ab00a500ad00ac00a600aa00ab00ac00a500a6
+00ac00a500a600ab00ac00a500a600a500a600a700ab00aa00a600a700a600ab00ac01ab00ac00ab00ac00ab03ac00b000ab00b100ac00aa00b000b100aa00b000b100b001b101ab
+01b100af00b000ac00ad00b100ad00b101ac00ad00ac00ad00ab00ad00ab00ac00ab00a600a800ab00a700a800ad00ab01ac00a700ab00ac00a500ac00a600a701a601ab00a601ac
+00a700ac00aa00a700aa00ac00ab00a600a700a600ab00a700a600a501a601ab00ad00aa01ab00ac00ab00b100ab00b001b100ac00b200b000b200b000b201b000b200ac00b200b1
+00ac00b100aa00ab02ac00ab00ac00ad01ac00a800a701ac01ab00a800ad00ac00a700a800a700ab55010112060101110112060101117d010184110100a700ab01ad00a700ac00a7
+00ac00a800ab01a600a700a600ac00aa00ac00a700a500ac00ab00ac00a601ab00a700ab01a600ab00ac00a602aa01ac02ab00aa00b000ab00ac01ab00b000af00ac01b101b000ac
+02b000b100ab00ac00ab00b100b200ab00b200b100ac01b100ad00ac00ab00ad00ab000100ab00ac00ad01ab00ad00a700ab00a700ab00ac00a600ac00a600aa00a700ac00ab00a6
+03ab00a600a700ac02a700ac00ab00aa00ac01ab01a601ab00a500a705ab00ac00ad00ac00b000af00ad00b000af01ab00b100ac00ad00af00b100ac00b100ac00b100ac00ab01ac
+00b100ac01ad00ac01ab00ac00ad01ac00ad00ac01a700a601a700ab00a600a800ac56010112060101110112060101117b010184140100a700a601ac00a700ac00a700ac00a600a7
+01ac00a600ab00a700a600a700ac00ab00aa00a700a600ab00a500a700ab01aa02a600a500ac01ab00ac00ab00ac00ab00ad00b100ac00af00aa00b000ab00ac00b100ad00ac01b0
+00ac00b100ad00ab00b100aa01ac00b002ac00b101ab03ac01ad02ac00ad01ac03a700ab01ac00a700ad00a600ab00a800ac00ad00ab00ac00ab00aa00ab00a700a600a500a600ac
+02a601ab00a600a500ac00ab01a600ab00a603ab00ac00ad00b000ab00b100b000ac00ab00b000ab00ad01ac00b000b100b200ac00b101ac00b100af00b100ac00b200b000ac00ad
+03ac01ab00a800ad00a800ad00ab00ad00ab01a700ab00ac57010112060101110112060101117a010184160100ac00ab01a700ab00a700ab01a600ac02ab00a600a500a700a600ad
+00ac00aa00a700ac00a700ac01ab00a500a600ac01a600ac00ab00ad00ac00ab00ac00ad00aa00ab00b000b100ab00aa00af00b001ab02ac01b100ab00b100b200ac00b200af00ac
+00b100b200ac00ab00b001b100b203ac00ab03ac00a600ac00ad00ac00a800ac00ab00ac00a600ad02a700ab00ad00a600a700ab00a700ac00a700a501ab02a600ab00ac01a600a5
+00ac00a500ab00a701ab01ac02ab00aa00ac00af00aa00ab00b100ac01b000ab00b100b200b001b100ac00b100ab01b100ac00ad00ac00ab03ac02ab00ac00a700ac00a700a600ac
+00ad00ab00ac00ab00a700a8580101120601011101120601011178010184190100a500a700ab00ac01a700a600ac01a700aa00ad00ac00a700a600ac01ab00ac00a700a600ac01a5
+00a601ab01a701ab00aa000000ab00ac00ab00b001ab01b100aa00ab00b000ac00b100b000b100b000b100ac00ab00ac00ab00ac02b000b100b001b100ac00b000b100ab00b100ad
+00ab01ac00ad01ac00a700ac00a700a800a701ab00ad00a600ac01ad00ac01a601ab00ac03ab00a700a600a700a600ad01a601ab00a700ab00a600ac00aa00ac00ad00ab00ac01ab
+00aa03ab00aa00ac00b100ab00ac01ab00b000b100ac01b100ac00b000b101b000ac00b200b100ab00b100ab00ac00b000ab03ac00a800a601a700ad00a702ac5a01011206010111
+011206010111770101841b0100ac00ab01a700a600a701a600ac00ad00ac00a600ab00a700ac01ab00aa00a700ac00a700ab00a600ac00a500a600a502ab00aa01ab00ac03ab00b1
+00ab00b000ab00af00ad00ac00ab01ac00b100ab00b100ab00b000ad01b102ab00ac00b201ab00b100ad00ac00b000b100b000ab00ac00ad00ab000100ab00ac00a700ad00a800a7
+00ad00ac00a701ab01ac00ab00a700ac00ab00a700aa00ac00a600a501a600ac00a500a601ab00a600aa00a800ac00aa00ac01a601a700ab00aa01ab00ac01ab02ac00ab00ac00b0
+02ac00b100ac00b100b000ac00b000b100ac00b100b001b100b000ab01ac00ad01ac00ab02ac000100ad00a800ad00a700a85b01011206010111011206010111760101841d0100a7
+00a600ac00a700a600a700ac00a500ab00ac00a600aa00a600ab00a801a600a701a600ab00aa01ab00a600a701a605ab00ac00ab01aa00ab01b100aa01b100b000b100b000ab01b1
+00ac00ad00b000ac00b200ac00b000ab00af00b100b200b100b200ac00ab00b200ab00b100b000ac00ab00ad01ac00a700ad00a6000100a800ad00a700a601a700a600ac00a800ab
+00a800ab01ac00a700ab00a600ac00ab00a600ab00a700a500ab00a600ab00aa03ab00a600ab00a700a500a601aa00ac03ab00ad00ab00af00b100ab00b000b100ab00ac00ab00ad
+01b100ac00b000ab00b001ac01b200b101ad000100ab01ac00ab00ac00a800a700a600ac5d0101120601011101120601011174010184200100ac00a701a600ab00a700a600a700ab
+00ac00aa00ab00a700ab00a800aa00ab00ac00ab00a600ab00a500a600ab01ac01a602ab00aa00ac00ab00ad00ab00b000b100ab00af00ab00ac00b102ac00ad00ab02b100ab00b1
+00b000b100ad00ac00aa00b100ab00b200ac00ad00af01ac00ad07ac01ad00a700a800ac00ab00ac00a600ad00a800ad00ab00a700a801a600a700ab01a700ab00ac00ab00a600ab
+00a600a801ab00aa00ab00a600a700ab00ac00ab01a600ab00ac00ab01aa00ac00ab00aa00b201b000ac00b000aa00ac00b001ac00b000b100ab00ac00b003b100b200aa00ab01ac
+00ab01ac01ad00ac00ad5f0101120601011101120601011173010184220100a600a500a600a700ab01a600a502ac00ab00a600ab00a600ab00a600a702a600ac00aa00a700aa00a7
+00a603ab00aa01ac00ab00b100b001b100af00ab01ac00b100b000ac00ab00ac00b200b100aa00b101ac00ad00ab00b100ac01b001b100ac00b102ac00ad01ac01ad00ac01ab01ac
+00ad00aa00a800a601ad00ac01a700ac00a800ac00ab00ac00a700a600a500a703a600a700ab00aa00a700a501a700a600aa00a700a600a500a701ab00ac00aa00ab00ac01ab00ac
+00ab00b200b000b101ac00b100af00ab01b000b200ac00b100ab00af00ab00ac00ad00ac00ab00ac01ab00ac02ab00a7600101120601011101120601011171010184260100ac01a7
+00ab00a701a600ab00a700ac00a701a600a701ac00a700a600a700a601ab00aa00a700a600ac00aa00ac01aa00ab00ac00b100ab00ac00ab00b000ab00ac00ab00b200b100aa00ac
+00b102b000b100ac00b000b200b100b200ac00b100ab00ac00ab00b100b200ab00ac00ab00ad00ab01ac00ab00ac00ad00ac00ab00ad00ac00a601a700ac01a700a800ac00ab00ac
+00a700a600a700a500ab00a601ab00a602ab00ac00a500a600a500ac00a600ac00aa00ab00a600a700a600aa00ab00ad02ab00aa01af01b000ac00aa00ab00af00ab00ad00b000ac
+00b100ac01b100ad00ac01ab00ac00b100ab01ad00ab00ad00ab00ad00ab620101120601011101120601011170010184280100a700aa00a800a502ab01ac00a602ab00a600ab00a5
+00ab00ac00a500a700ad00a605ab01aa00b100ac00ab00aa00ab00b000ac00b000ab00ac00b100ab00ad03b100b000b100ab01b200b100b000b200ac00ad00b200b100ac01b100ac
+00ad00ac00ab03ac01ab00ac00a700ab00ad00ab01a700ad00a700ac00a800ab00ac00a500a600ab00a600ab00a700a600ad00a701a600ab00a601ab00aa00a600aa00ab00a600a7
+00ac00ab00aa01ab00aa01ab01aa00b100ab00b000af00ab02ac00b000b100aa00ac01b000ac00b000ad00af01ac00b100b000ad00ac00ad00ac00ad640101120601011101120601
+01116f0101842a0100ac00ab00aa00ab00a600ab00aa00ab00ac01ab00a701a600a700a600aa00ab00a600aa00a700aa03ab00aa02ac00ab00af01ac00ab00af00ac01ab00b100b0
+00b100ac00ab01b100b001ac01b100b000ac00b100ac02b101ac00b000b100aa00ac00ab01ac01a700ac00a801a700ac01ab00ac00a700ad00a700ac00a701ab01a700a600a700a8
+00ac01a600a500a700a600ab00a700a600ac03ab00a800ab01ac00ab04ac02ab00ac00af00aa00b100ac00aa00b101ac00af00b003b101ac00ab00aa00b100ac00b100b000ab00b1
+65010112060101110112060101116d0101842d0101ab01ac00a700ac00a701ab00a700aa00ab00aa00a600ab00a500ac00a600aa00ab00aa02ac00ab01aa00ac00ab00aa01ab00b0
+00ab00b003ab00b100b000b100b000b100ac00b102b000aa00ab00b100b000aa00b200b002ac00b200b1000100ac00ab00ac00ab00ac00a700ab00a700a800ad00a700ac01a700ac
+00a704ac00ab00ad00a701ab01a502a602ab00a601ac00a601ab00a700a600ab00a501ab00ac00aa00ac03ab02aa00ac00b100b000af01b100ac01b100ac00ab00af00b200b100ab
+01b102ac67010112060101110112060101116c0101842f0100a700a800aa00a800a602ab00ac00a502a600ac01a600ab00aa00a500ab00a600ac03ab00ac00ab00ac02ab01b000ab
+00af00b000ab00b100ab03b000b100ac01b100ab00b200ab00af00b100b000ab00b000ab00b100ab00b000b101ac00ab00ad03ac00a701ac00a800a700ab00a700ac00ab00a600a7
+00ab00a600a801ab00a700a801a700ac00ab00aa00a700a600ac00ab00a700aa00a600a501a702ab00a700ab00a603ab00ac03ab01b001ab00b100ab00b101ab00b100b000ac00aa
+00b001ac01b100ac68010112060101110112060101116a010184330102ac00a700ad01ab00a500a703ab00a801a600ac00a500ac03ab00aa00ab00aa00ac01ab00aa03ab01b100b0
+00ac00b200ac00b000b100ac00ab01b000ac00b000b100aa00b101ac00b200b100ad00ac00ab00ad00ab00ac01ad00ab00aa01ab00ac01a700a801ac00a700ac00ab01ac01ab02a6
+00a501ac00a700a602a700ad00a600a800aa00a601ab00a600a502a600a700a600ac00ab00aa00ab01ac01aa00b000ab01b102b001ab00b100ab00b000b200b000b100b000aa00ab
+00b00184680101120601011101120601011169010184350101a600aa00ab00aa01a600aa01a700ab00aa00ab01a600a800ab00ac00a600a700a500ab00ac00ab00ac00ab02ac01ab
+02b001b100aa02ac00b000ac00b200b100ac00ad01ab00ac00b000b202ac00b100ab00ac01ad01ac00ad02ac00ad00ac000102a700ac00a600a800a600a700ad00ac00a701ac00ad
+00a701ab00a700ac00a700ab00a600ad00ac00aa00a500ac01ab00ac00a600ab00a600ab00ac00a700aa02ab01aa00ab01b100b001b100ab00ac00aa00ad01b101ab00b100aa00ac
+00b200aa00ac01010184670101120601011101120601011167010184380101a600ac00a7000000a600ac01a700ac00a600ab00a500ab01aa00ab00a700a600ac00a700aa01ab00aa
+01ab00aa00ac00ab00ac01ab00b100b200ab01ac00ad00ab00b000ad00b102ac01b100ac00af01b101ab00b101ac00ab00ac00ab00ac00ab01ac00ad00a600a800ac00a700ac00a8
+00ac00a600a700a600ab01a600ad00a700aa00a701ac00a600a700aa00a501a700ac00a500a600a501ac00a600a700ab00a601a700ac00aa01ab000001ab00aa00b101ab00ac00b0
+00b100b000ab00b101ab00b100ab03b100ac040101846501011206010111011206010111660101843b0100ab00a600ac00ad00ab01a500a700ab01ac00a600a700ac00a601aa00a6
+00ac00a702ab00ac00ab01aa01ab00af00b100b000b100ab01b100b001aa00b002b100ab00b100b200b100ac00b100b000b100ac00b100ac01ab00ac00ab02ac00ad00ab00a600a8
+00a600ac00ad00ac00a500ac00a700a600ab00ac00a600ab00a600a700a500ab00a801a701ab00a700a600a701a600ac00ad00a600ab01a601ac00aa00ab00ac01ab02ac00ab00ac
+00b000af00b000ac00ab00ac00b000b100ab00af00b100ac00ab00af00b1070101846401011206010111011206010111650101843d0101a600ab01a600aa01a603ab00ac00a702ac
+00ad00aa00a602ab00ac02ab00ac00b001ac000002ab01b100aa00ac00ab00ac00b100b000ab00b101ac00b100b000ac00b100ac00b100ac000101ac00ab00ac000100ac00ad00a6
+00ac00ad00ab00ac01ad00ab00ac00a700ac02ad00a700a600ac00a700ac00ab00a700ab00a601ab00a701a600a500ab00a600a700ab00a600a7000000aa00ac00ab00ac02ab00ac
+00ab01ac00b000aa01b000ac00aa00ac000001ac00b201ab09010184630101120601011101120601011163010184410100a700a501ac00a601a500a600a800ac00a601ab000000a6
+00ac00a602ab00ac00aa00ab01ac00b201ac00aa00ab00af00ab00b100aa00b101ac00b100ab00ac00b001ac00b100ad00ab00b100b200b100b201b100ad00ac00ad01ac03ad00ac
+00a601ac00ad00ac00a600ac00a700ab00ac00a800ac000100a600a701ab00a700ab00a700a601ab00a701ab00ac00a701a600ab00aa01a700a600ac00a500ab00aa02ab00aa01ab
+00aa00ab00b000af01ac00af00ac00ab01b100ac0c010184610101120601011101120601011162010184430100a701aa00a600aa00a600a500ac00ab00a602ac00ab00a502ab02ac
+00ab00aa00ab00b000b200af00ac00b100ac00b101ab00ac00b200b001b100ac00ad00ac00b001ac00ab00ac00b001b100b000b101ac00ab01ad01ac00ad00a702ac00ad00a800ac
+00a802a700ad00a700a800a700a800a700ab00a700a600ab00ac00ab00a600ac00a600ab02a600a500a700ac01a500ab01a600ac00a604ab00ac00ad01ab00b100b001ab00b101ac
+00b000ac0e010184600101120601011101120601011160010184470100ab00a500ab00ac01a600ab00aa00ab00aa00a700a500ac00ab00aa01ab00ac00aa00ac00ab00b000ab00b0
+00ac00b000ac01b100aa00ab00ad00ac00b100ac00b000b100b000ac000100b100ac00ab00b100ac00b200b000b100ac000100ab03ac01ad00ab00a800ac00a700a800a701ad01a7
+00ac00a601ac00ad00a700ac00a601ac00ab00a700ad00ab00ac00aa00ad00ac01a700a800ab00a600a500a600ab00a500ab00ac00ab00a700ad00ac06ab00b100b000b100b000b1
+00b000ab110101845e010112060101110112060101115201036b0001026b04010184490100a600ab00aa000000ac02a600a700a600ab00a500ad00ab02ac01ab01ac00af00ab00ac
+00b100ac00ab01ac00ab01b100ac00b100af00b100ac00ab01b001ac01ab00b000b100ab00ad01ac00aa00ab00ad01ac00aa00ab00ac00ad00a500a600ac00a700a600ac00a601ac
+00a700a800a600ab00a700a800ab00a600a500a600ac01a600ac00a600ab00a600ac00a601ab01ac02a600a703ab03ac00ab00b200b000ac02b100ac00ab130101840a01036b0101
+026b49010112060101110112060101115301016b0101016b040101844c0100a600ab00a600a500ac00ab00a502ab00aa05ab02ac00ab00af00b100ad01b000ac00b000b200ab02ac
+00b200ab01ac00ab00b000ad00b100b000ac00b100ac00ab01ac00ab01ad00ac00ab00ad00ab00a700ac00a600ad00a600a800a700a600ab00a700ab00a500a700a800ac00a600a7
+00ad01ac00ab00a602ab00a702a600ac02ab00a500a700ac00a700ac02ab00ac00ab00ac00ab02b000ab00ac03ab150101840a01016b0301006b4a01011206010111011206010111
+5301016b0101006b030101844f0100a600aa00a700a600ac00ab00a700a501ab00a500a700ac03ab00aa01ab00b000ab00ac00b000ad00aa00ab00b000ad00ab00b100b000b100ac
+00b100ad00b100b000ab00b100ab00b100ad00ac00b101ac00ab01ac00a800a700ad00a700ab00a800a700a800aa01ad01a700a600ac02a700ab00a500a700ac01a600ab00ac00ab
+00a600ad02ab00a700a600ac00a600a700ab00a600ab00a500aa00ab00ac05ab00ac01ab00ac00ab00ac00ab180101840801016b0201006b4b010112060101110112060101115401
+006b0001016b02010184520100a600a500a801ab00ac01ab00ac00a600aa00ac03ab01b001ab00b000af00ab01ac00b100ac00ab00b000aa01b100b000ac00ab00ad01b102ab00ac
+00b100b204ac00aa00ac00a700a600a800ad00a600ab00a800ad00a700a601ac00a600ad00a700ad00a800ad00ac00ad00aa03a700ab00aa00ab01a700a501ab00a500a700ac00a6
+00aa00ab01ac00ab00aa03ab00ac00ab00aa00ab00ac00ab1a0101840801006b0201006b4b010112060101110112060101115401026b01010184560100ab00a500a600ab00a700ab
+00a700ac02ab00ac01aa01b001ab01b000ab00ac00af00ac00b100b200af01b000ac00ab00b000ac01b100b200ad01ab00ac00b100b000b200ac00ad00ab01ac00a800aa00ad00ac
+01a700ac01a700a601ac00aa00a801a700ac00a600a700a601ab00a601ab00a600ad00ab00a700ac00a700ab00a800a600ac00a600ab01a600ac00a700ab04ac02ab00ac01ab1d01
+01840601016b0001006b4c010112060101110112060101115401026b00010184580100ab00a700a600aa00a600aa00ac00ab00ac01ab00b201ab00b001b100aa00ab00b200ac00ab
+01b000ad00ab00b100ac00b102ac00ab00b100b000ac00b000ac00b100ac00b100ad02ac01ab00ac00ab01ac00a700ac00a700ac00ad00a700ad00a700ad00a800aa00ac00a600ab
+00ac00a500ac00ab00a800ac00ab02a600a700ac00ab00a600a800aa01a600ac00a601a700a600ab00a602ab00ac00aa00a600a700ab00ac1f0101840501036b4c01011206010111
+0112060101115401016b000101845b0100a600aa00ab00ac00aa02ac00ab00ac02b001ac02ab00b100b002ac00b100b000ac00b000ab01b000ad00ac00b100ab00ac00ad00ab00b1
+00ad00ab01ac00ab01ad01ac000101ac01a700a802a700a800a600ad00a600ac00a700a600ab00a601a700ac00ab02ac00a600a700a800a600a701a600ab01a600a701a600aa00ab
+00ac01a600ab00ac00ab00a700a600a52901016b4d010112060101110112060101115301036b5e0100ac01ab00ac01ab00ac00ab00aa00ac00ab00b001ab00ac00ab00ad01ac00b0
+01b100ab00b100b001b100b200b103ab00b100ac00b200ab00ac00ad00ac00aa00ad00ab01ac01ad01ac00a700ab01a701ac00a700ac01a702ac00a600a700ac00a700ad00a600ab
+00a600a700a600aa00ab00ac01a600aa00ab00aa00a600a500ab04a600aa00ab00ac00a6000000a62a01016b4d010112060101110112060101115301006b0001016b600100ab00ac
+00ab00ac01ab00ac00aa00ab01ac00ab01b100b000af01b000b100ab00b000ac00aa00ab00b100af00ac00ad00ac00b200b001b100ad00b100ac01ab00ac00ab01ac01ab02a702ac
+00a700ac00ad00a600a700ac01a700ac00a600ac00a700ad00ab00ac00a600ab00a600ac01a600ab00a500ab00ac000001ab00a600a701a600aa01ab00a500ac00ab00a600ac00a7
+00a62901016b4e010112060101110112060101115201016b0101006b620100a600ac00ab00ac01ab00ac00ab00b000b100ac00ab00b100ab00b100b000ab00b200b100b200ac01b1
+00b200aa00b100ab00b002ab00ac00b100ab01ac00ab00ac01ab00ac00ab00a700ac00a700a600a700a600a701ab00ac00a700ac00a701ab00a7000100a600ac00ab00ac00a701a6
+00a701ac00ab00a600a700aa00ab00aa00a500ac00aa00ac00aa00a600ab00a600ac00a600ac00a500ab00a72a01016b4e010112060101110112060101115201006b0201016b6201
+06ab00b000ab00b102ab00ad01ac00af01ac00b100ad00b101ac00b000b100ac00b101ac00ab00ac00ab01b100ab00ac00ab00ac00ad00ac01ad00ab00a602ac00ad00ab00a700a6
+00ac00a600ab00a700aa00a800a700ab00ad00a7000100a600ab00a700ab01a600ab00ad01a700ac02ab00ac00a501a6000000a700ac00a600ac00a62b01016b4e01011206010111
+0112060101115101026b0001036b630102ab00b000b100ac00af01ab00ac00aa00ab03b000ab01b000b200ab00b001b100ad00b201b000b100aa01ac00b101ab00ac00ab01ac00ab
+00a700ac01a700a800a700a601a700ac00a700ad00a700ac00ad00a600a700a801ac00a800ac00a700a601ab02a601ac00ab00ac00a600ab00ac00ab01ac00aa00ac00ab01a62b01
+036b4d01011206010111011206010111be0100ab00b000ab00b101ab00b100ac00af00b000b100ab00b101b001b100ad01b100ac00b204b100b000b100ab00ac01ab01ac00ad0001
+00ac00ab00ac00a800ac00a600ac01a700a800ab00ac01a7000100a700ab02ac00a700a600ad01ac00ad00a600ab00ac00a600ac00a700ac00aa00a700ab00ac00a600ab02a601a7
+00ab7e01011206010111011206010111c00100aa00ab00b100af00b000ad00aa00ac00b000b100ab00b000b100b001ac03b100b000b100ab00b102ab00ac00ad01ac00aa00ad01ab
+00ac00ad01ac00a802a700ad00a700ad00ac00a600a700ac00a600a700a600ac00ad00a600ad00a800a702ab01a700a600a700ab00a700ac00ab00a700ab00a700a600ac00a500a7
+00aa00ac7f01011206010111011206010111c10100ab03b001af00ac01b000b100b001b100ac00b101b000ac00b100ad00b100ab05ac01ab04ac00ab000101a800ad00a800a700ac
+00a700a801ac00ab01a700ab00a700a5000000aa00a601ac00a800ab00ac00ab01a600ab00a700a600ac00a601ab00ac00ab00a601ab8001011206010111011206010111c30100b1
+00b000ab02b100b004b101ac00b205b100ac00b100ac00b000ab02ac02ad00ac00ad00ac00a700ac00a700ad01a700ac01ab00a800ad01ab00a700ab00a700ac00a700a600ac01ab
+00a700ab00a500a601ab00a600a700aa00ab00a701ab00a601ab00a68101011206010111011206010111c40100b100b000ab00ac00b100ab00b100ac00b000b100b200b100ad00b1
+00ac01b100b000ad00b202b100b200b100ac00ab01ac00ad00a700a800ac00a700ab00a700ab00a800ac02a700a800a600a700a800ac00a800ac00a600ab00ac00ab00a700aa00ab
+00a600ac00a600a700ac00a501ab00a700ab01a600ab01a700ac8201011206010111011206010111c60103ac00b101ac02b100ac00b101ac00b100af00b000ab00af00aa00ac00b1
+00ac00b001ac00ad01ac00ab00a600a700ac02a705ac00a700ac00ad00a800ac00a800a600ac00ab01a600a700a500ab01ac00a701ac00aa00ac00ab00ad02ac00a500a682010112
+06010111011206010111c70100ac00b200ac01b000b100ac00b200b100b000b201ac00b100b200ac04b102b000ab03ac00ab00ad01ac00a800a604ac00ad00a600ac00ab00a600a8
+00a600a700a801a600ac00a600ab01a701ab01a600ac00a601ab00a600a500a700ac8301011206010111011206010111c90100b000ac00b101ac01ad00ab00ac01b000b100b000ac
+00ad00b000ad01ac00ab00b100b200ac00ad00ab00ac00ad01ac00aa00ac00a600ac00ad00a800a601ab00a600a700a800ac00a600a700ac00a800ac01a700ab00ac00a800ac00a6
+00a800ac00a700ac00a700a600ab01ac01a68401011206010111011206010111ca0100b100ac00ab00ac00b001ac00ab01ac01ab00b100b000ad00b101b000ab03ac00ab00ac00ab
+01ac00ad00a7000100a800ab00a700ac01a700a601ac00a800ab00ac00a700ac00a701ab00ac01a700a603ab00a700ab01a700ab01a68501011206010111011206010111cb0100b1
+00ab00b200ad00b000ad00b100ad00ac00b100b200ac00ad00ac00b001ad00ab03ac00ad01ac00ad00ac00ab00ac00a600ad00ab00a800ab00a700ad00a801ad00ac00ab01ac00ad
+02ac00a600ad00a800ab02ac00ab01a600ac00a600ac00ab8601011206010111011206010111cd0100ab00b100b000ab00b200b000af00b100af00ab00b100ab00ac01b100af00ab
+00ac00ad01ac00ab00ad00ac00ab00ac01ad02ac00a700a600ac00ab00a600ad00a800ac00a700ab02a700ac00a700ac01ab00ac00a700a600ac00a600a700ac00a500aa87010112
+06010111011206010111ce0100ac01b100ab00b000b100ad00ac00ab00ac00ad01b000ad00b000b100ad00ac00ab00ac00ad00ac01a800a700ac01a701ab00ac01a701a800ab00ac
+00a800ac00a800ac00ab00ac00a600a701a500ab00ac00a700ac01a700ad00ab00a78801011206010111011206010111cf0100b101ac00ab00ac00b100ac00b000b100ac01b100ac
+02b100ab00ad03ac01ab00a700a800a700a600ac01a700ad00a600ac00a700ab00a700ac00ab00a700a600a700a600ad00ac01a701ac00a500a700ab00a700ac8901011206010111
+011206010111d00100b100ac01b100ab00b101b000b101ab00b100b200ac00b004ac01ab00a800ac00a600ad00ac00a600ad00a801ab00ac00ab00ac00a603ac00a700ac00ab00ac
+01ab00a600ab00a600a700ac00a78a01011206010111011206010111d20100b200ac00ab01ac00ab00b100ac00b100b200b100ab00b103ac01ad02ac00ab000100a802a700ac00a5
+000100a700ac00ab02ac00a701ac00a700ab00ac01ab00ac00a601a78b01011206010111011206010111d30100b100b200ac00ab00b101ad00b002ac00b100ac000100ac00ab00ac
+00ab00ac00ab01ac00ab01ad01ac00a800a701ad00a700a600ad00ac00a600a800ad02a700a600a700ab00aa01a78c01011206010111011206010111d40100b100ac00b100ad00ab
+00ac00b200b000b100ad00ab00ac00ad03ac00ab00ac00ad00ac00a700a600a700ad00a500a700ac01a700ab00ac00ab00a700ac00ab00a700aa00ad00a700ab00ac00a700ac00a6
+8d01011206010111011206010111d50101b000ac00b200b101ab00b002ac00ab00ad00ac01ab01ac01ad01ac00ab00ac00a603a700ad00a801a700ac000100ab00ac00a600ab01a7
+00a600ab8e01011206010111011206010111d60100b204ac00b100ac00b107ac00a800ac000100a700ac00ad01ab00ad00a500a700ac000100a700ac00ad01ac00a600a800ab00ad
+01ac8f01011206010111011206010111d80100ac00b100ac000100b200ab00ac00b100ab00ad02ac00ab00a801a700a800a700ab02ac00a800a700a600a801ac00a700ad00a600ad
+00ab00a700ab00a79101011206010111011206010111d90100ac01ab02b000b103ac01ad00ab01ad00ac00a601ac00a700a601a700ab00ac01a701ac00a700ab00a800ac00a89201
+011206010111011206010111da0100ab00ac00ab00ad01ac00ab00b004ac00a8000101a700a600a700ad00a700a601ac00a600a700ab00ad00ac00ab00ad00ac00a7930101120601
+0111011206010111db0100ac000102ac01ab01ac00ad00ac00ab01ac01a800a700ad00ac02ad00a700ac00ab00a800ad00ac01a700a89401011206010111011206010111dc0100ab
+05ac00ad00ac00ad01ac00ab00ac00a700a800ab00a7000100a600a700ac00a800ac00a601ac00a700ac9501011206010111011206010111dd0100a800ac000100ad01ac00ad03ac
+00ab01ad01ac01a700ab00a700ad00a700a800a600a700a89701011206010111011206010111de0100ad00a700ad00a700a8000101ac00ab00ac00a700ab00ac00a600ab01a800ab
+00a701ad00a800a700ab9801011206010111011206010111df0100ac00a600a700ad00ac00a800ac00ad01a701ad00ab00ac01a700ab00a600a800ad00ab9a010112060101110112
+06010111e00100a701ac00ad00ac00ad00a600ab00ac00ab00a800ab00ac00a700ac00a602a79b01011206010111011206010111e10100a600ac00ab00a700a800ac00ad01ac01a7
+01a800a700ac00a79d01011206010111011206010111e20100a700aa00a700a801a600ad00ac00a700ad01a601ac9e01011206010111011206010111e30100a600ab00a700ac00ab
+00ac01a700ac00a800aca001011206010111011206010111e40101ac01ad00ab00ac00a600a800ada101011206010111011206010111e50100a600ab00ac00a700ac00aba3010112
+06010111011206010111e70102a7a401011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011100120911ff018f010112
+081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff12911206010111011206010011ff1292120601011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01
+011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff01
+5f01001100121e01011101121e0100110012ff015f01001100121e01011101121f110012ff116011001220110012ff11a411
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/wd-beta.ps b/books/ps/wd-beta.ps
new file mode 100644
index 0000000..4c158d7
--- /dev/null
+++ b/books/ps/wd-beta.ps
@@ -0,0 +1,1420 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 192.347462 284.120003 419.652538 538.120003
+%%Creator: xwd2ps
+%%CreationDate: Sat Dec  7 19:13:02 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -h3.5
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  422, height = 472, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 472
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 472 8
+  [422 0 0 -472 0 472]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.685381 inch 3.960000 inch translate
+matrix currentmatrix
+3.129237 inch 3.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+236b8e
+b3b3b3
+d8d8bf
+dbdb70
+3299cc
+ffff00
+238e23
+0000ff
+cc7f32
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00ff00
+00ffff
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+d6d6d6
+767676
+474747
+b6b6b6
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12a51220120011ff12601200112012001101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e010011
+0012ff015f01001100121e0101110112060118110012ff1160110012171106010111011206010011ff129212060101110112060100110012150100110012ff014701001100121501
+00110012150100110012060101110112060100110012150100110012ff01470100110012150100110012150100110012060101110112060100110012150100110012ff0147010011
+0012150100110012150100110012060101110112060100110012150100110012ff0147010011001215010011001202010f1202010011001206010111011206010011001215010011
+0012ff01470100110012150100110012020100120d010011020100110012060101110112060100110012150100110012820102000f01000020010400020105008101001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012830101000e0102001e010100010102000201010001010100800100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012830101000f0100001f0100000301010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012820103003401010002010100020101007f0100110012150100110012020100120d0100110201001100120601
+0111011206010011001202010f120201001100128201000000010100020102000101020001010300050103000201000000010100000101000e01010003010100020101007f010011
+001208010312080100110012020100120d010011020100110012060101110112060100110012020100120d0100110201001100128201000000010100030101000101010004010100
+04010100010101000101010000010100000101000b01020004010100020101007f01001100120801001201010011080100110012020100120d010011020100110012060101110112
+060100110012020100120d010011020100110012820100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f01001100120801001201010011080100110012020100120d010011020100110012060101110112060100110012020100120e110201001100128101050004010100060101000301
+0100030101000001010000010100000101000e01010002010100020101007f0100110012080100120211080100110012020100120d01001102010011001206010111011206010011
+00121501001100128101000002010100040101000601010003010100030101000001010000010100000101000e01010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012810100000301010002010000000101000501010003010100030101000001010000010100000101000e010100
+02010100020101007f0100110012150100110012020100120d0100110201001100120601011101120601001100121501001100128001010003010100010101000101010004010100
+040101000101010001010100000101000001010009010000030101000201010001010100800100110012150100110012020100120d01001102010011001206010111011206010011
+001215010011001280010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012b70103008b0100110012150100110012020100120d0100110201001100120601011101120601001100121501
+00110012ff01470100110012150100110012020100120e11020100110012060101110112060100110012150100110012ff0147010011001215010011001215010011001206010111
+0112060100110012150100110012ff0147010011001215010011001215010011001206010111011206010011001216110012ff11481100121611001216110012060101110012ff11
+9a110012081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111
+9f01057a0e01007a1101017a1f01017aa301011206010111011206010111a001017a0101017a0d01007a1001017a2101017aa201011206010111011206010111a001017a0101017a
+0c01017a1001017a2101017aa201011206010111011206010111a001017a0101017a0c01017a0f01017a2301017aa101011206010111011206010111a001017a0101017a0301037a
+0201067a0201047a0401017a0401027a0101027a0901037a0001027a0401017aa101011206010111011206010111a001047a0301017a0101017a0301017a0401017a0201017a0301
+017a0501017a0101017a0b01017a0201007a0501017aa101011206010111011206010111a001017a0101017a0101017a0201017a0301017a0401017a0201017a0301017a0601017a
+0001007a0c01017a0201007a0501017aa101011206010111011206010111a001017a0201017a0001067a0301017a0701037a0301017a0701017a0e01017a0001007a0601017aa101
+011206010111011206010111a001017a0201017a0001017a0801017a0501017a0101017a0301017a0701017a0e01017a0001007a0601017aa101011206010111011206010111a001
+017a0201017a0001017a0801017a0401017a0201017a0301017a0601007a0001017a0e01017a0701017aa101011206010111011206010111a001017a0101027a0101017a0201007a
+0301017a0101007a0101017a0101027a0401017a0401017a0101017a0401007a0701017a0601017aa2010112060101110112060101119f01067a0301037a0501027a0301027a0101
+017a0301017a0301027a0101027a0201027a0601007a0701017aa201011206010111011206010111c701017a0e01017a0601007a0601017aa301011206010111011206010111d801
+017a0301007a0001007aad01011206010111011206010111d701017a0401027aad01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff008f00011206010111011206010111ff00
+8f00011206010111011206010111ff008f00011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ce01
+066bb901011206010111011206010111ce01016b0201016bb901011206010111011206010111cd01006b0301016bba01011206010111011206010111d101026bba01011206010111
+011206010111d001026bbb01011206010111011206010111cf01026bbc01011206010111011206010111cf01016bbd01011206010111011206010111ce01026bbd01011206010111
+011206010111cd01026bbe01011206010111011206010111cd01016b0301006bba01011206010111011206010111cc01016b0201016bbb01011206010111011206010111cc01066b
+bb01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c5010112060101110112
+06010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c5010112060101110112
+06010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c5010112060101110112
+06010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c5010112060101110112
+06010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111c8010084c501011206010111011206010111a80100d91e010084190100d4aa01
+011206010111011206010111a80101d41d010084180100d700d8aa01011206010111011206010111a70100da00d801d4190100c400c500010084170100d902d3a901011206010111
+011206010111a70100d401d900d800d3170101c500c600c40084160100d900da00d300d400d2a901011206010111011206010111a70100d400d900d800d400d800d2150100c500ca
+00c600ca00c50084150101d400d900d300d400d5a901011206010111011206010111a70100d900d300d900d700d300d800d2130100c400c603c5008400ca130100d500d900da00d5
+00d401d8a901011206010111011206010111a70100d700d800d400d803d3110101c501c900c500c400c5008400c900c5110100d801d900d301d901d4a90101120601011101120601
+0111a60100d800d900d300d700d900d800d400d800d200d80f0100ca01c900c600ca01c500c6008400c400c900c50f0100d300d801d400d900d800d900da01d9a801011206010111
+011206010111a60100d701d300d700d800d900d700d300d700d80e0100cb00ca00c300c500cb03ca008401c400ca00c90e0100d500d300da00d900d300da00d300d900d400d5a801
+011206010111011206010111a60100d200d900d700d801d300d201d800d400d20c0101c501c400c500c300c500e100dd00c5008400c301c500c600c40c0100d300d400d900d400d3
+00da00d900d400da01d4a801011206010111011206010111a60100d300d700d801d700d300d401d800d400d200d30a0102c500c403c501dd00c4008400c500c600c400c500c400c5
+0a0100d402d300d500d400d900d400da00d300d800d9a801011206010111011206010111a60101d900d800d200d900d800d700d900d300d202d3080100c401c504c400c500de0000
+00c4008400c404c500c4080100d400d300d500d400d900d500d401d300d800d500d900d5a801011206010111011206010111a50101d300d700d300d800d900d300d701d900d300d2
+01d300cd060100c000c400c000c600c500bf00c000c600c501e201e3008400bf00c500bf01c401c500c0060100d300d400d500d300d400d301d500da01d900d301d900d8a7010112
+06010111011206010111a50100d700d8000000d700d300d700d300d800d900d700d200d300d200d301ce040100c402c000c401c002c400e100dc00de00dc008400bf00c400c000c4
+00c500c000bf01c4040100d300d000d400d500d300d500d400d500d900d8000100d800d400d900d500daa701011206010111011206010111a50100d700d800d400d300d902d800d7
+00d300d201d300ce02d3020100c001c500c000c400bf02c400c000c1000000de00dd00de008400c000c401c500c000c400c600c500bf00c0020100cf00d400d502d400d500d400d8
+00d300d400d300d900d400d800d900d4a701011206010111011206010111a50100d300d700d800d300d800d300d701d300d701d300d400d200d300cd00ce00d2000100c500c100c4
+00c500c400c501bf01c000bf00c000dd00e300e100de008400c001c400bf00c400bf00c400c000bf00c500c4000100d301cf00d401d301d400d300d400d800da00d800d500d400d8
+00d900d4a701011206010111011206010111a40100d300d900d800d200d300d200d401d800d901d3000000d3000000cf00d302ce00bf00c400c000c600c500c400c600c000c400c0
+00bf00dd000000dd00e300e1008401bf00c401bf00c000c100c000bf00c500c400d400d500cf00d400d001d400d500d400d300d801d902da00d902d4a60101120601011101120601
+0111a40100d300d201d301d800d301d800d203d300cd00d300d400ce00d300cd00bf00c400be00bf00c500c000bf00c300c401c500dd00e300e200e300de008401c000bf01c500c4
+02c000c600bf00cf00d000d400cf06d401d901d400da00d400da00d400d3a601011206010111011206010111a30101d301d200d300d401d900d800d500d401d300d201d300d200ce
+00d301ce00cf00bf01c401bf00c400c500c401c000dd00e200dd01e2008400be00c001c400c500c100c400c100c500bf03cf00ce01d400d302d400d300d400d900d400d901d303d4
+a501011206010111011206010111a30100cd00ce00d300d501d300d700d400d900d200d800d201d300ce000000cd00ce00d200cd02ce00bf00c600c400bf00c401c500bf00e300dd
+00e301e200dd008400de00c000c500bf00c000c500c400c600c001d000ce00cf00d400cf00d400cf00d200d401d3000100d301d900d400d700d301d500d400cfa501011206010111
+011206010111a20100cd00ce00cd01d201d300d700d400d900d402d300d200ce00d200d300ce000002ce00cd00cf00bf01c000c100bf00c000bf00e200dc000000dd00de00e20084
+00dd00c000bf00c000bf00c000bf00c000ce00cf01ce00d000d500ce00d401cf00d400d502d401d500d302d400d302d0a401011206010111011206010111a10101ce02cd02d300d4
+00d300d700d800d300d201d300cf00ce00d300ce00d401ce00cd01ce00bf01c000bf00be00c000be00de04dd008400e200bf02c000bf00c100c000cb00cd00ce01cf01d400d000cf
+00cd01d301d400d302d400d500d400d300ce00cd02cfa301011206010111011206010111a10100c900cd00ce00cf01ce00d202d300d200d802d300d201d300d201d303ce01cd00be
+01bf00c000bf00dd00e200de00dd00e300de00dd008400e200dd00c100c000c101c000c900cb00ce00cf01ce00d000cf00d400ce00d400ce00d300d404d300d402d000cf00ce00d0
+00c9a301011206010111011206010111a00100c800c900c800cd01ce00cf00cd00ce00d400d300d400d301d200d401d200d300ce00cd00d300cd00ce00cd00cf000000c800bb00c0
+00ba01bb01dd00df01dd01dc008400de00e601bf01c100bb00ca01cf02ce00cf00ce00d401cf01d300d400d301d400d300d400cf00d000cf00d000cf00d002caa201011206010111
+0112060101119f0104ca00cf04ce03d201d300d200d300ce00cd04ce01c900cf00ce01ba00c001dd00dc00dd00de00dc00dd00de008400de01dd00c000bb00c001ce00ca00c900ce
+00d000ce00cf00d501ce00cf00d501d301d400d500d400d300ce02cf00d004caa1010112060101110112060101119e0102c901ca01c900ca03ce00d200ce00d2000000d400d300cf
+00ce00d300cd05ce00c800cf00d001be00d801dd00de00dd00de02dd008400de00dd00d800da00bc00c000ce00ca00cf00d000ce01cf00ce00cf00d401d300cf00d400d300d500d2
+00d401ce03cf000100cb01c900cb01caa0010112060101110112060101119d0100c400c501ca02c900ca00c900ca01ce02cd02ce00cd00d300d200ce00cd01ce00cd00ce00cf00ce
+00cd00c900ca00ce00bb01d8000000dd00dc00de01dd00dc008401de01d800bb00ca00ce00ca00cf00ce00cf01ce00cf01ce00d000cf00d300d001ce00cf02d002cf01ca01c900ca
+00c800c900cb00c59f010112060101110112060101119c0100c900c400c503c901ca00c900ca00cf00ce00cd00ce02cd01ce00cd00d200cd00ce00d301ce00d0000001c800cf01c9
+00d900d701d803dd00dc00dd008401de00d900d800d902c901ce00cf01ce00d000cf00ce00d400cf01ce00cf00ce00d001cf01d000cf00c900cb01ca01c900ca00c901ca00c49e01
+0112060101110112060101119b0100c400c900c500ca00c900c500c900cb00ca00c900ca00c900ca00c900ca00ce00c900cf03ce00cd00ce00d300cf00ce00cd00d000c800c902ce
+01d400d801d900d800dd01de00dd00de008403d800d300d400c901cd00c901cf02ce00d300d400d001ce000100cf01ce00cb00ce02ca00c900ca00cb00ca00cb00c400c900c800c5
+00c900c49d010112060101110112060101119a0100c500c400c900ca00c502ca00c900ca00c900ca01c800c900c800ca03c900ce03cd02ce00cf00ce00cf01ce00d500d400d802d9
+00d800d900de02dd008400d900d701d800d400d300d200cd00cf00c900ce000101ce00cf00ce02cf00d001cb03ca00c902ca01cb01c901c500c400cb02ca9c010112060101110112
+06010111980100c300c401c500c900c601c400ca00c800c400c900ca00c900ca00c900c801c902ca01c900ce00cf00cd02ce00cd01ce00c900ce00d300d400d300d500d301d900d8
+00da03dd008402d800d300d401d300d200c900ce00cb00cf00d000ce00cf00ce02cf04ca00cb00ca00c800ca00cb01ca00c801ca00c801c500ca00c400c900ca01c49a0101120601
+0111011206010111970100c401c500c900ca00c901c500c400c500c900c500c600c500ca01c900ca00c801ca00c900c802c901ce00cd05ce00c900d301d401d300d800d700d900d8
+00dc00dd00dc00d9008401d700d300d200d400d201d300cd00ce01cf00ce02cf00cd00cf00ca00c900ca01c900ca00cb00c901cb02c903c500c301c500c900ca00c500c900c400ca
+9901011206010111011206010111960100c300c500c300ca00c500c900ca00c900c400ca02c500c400c500c600ca00c400c900c303c902ca01ce00cf02cd00ca00c900ce00cf00d5
+01d400d300d500d900d800d900d700d901dd00d8008400d800d400d204d300ce00ca05ce00cf00ca01cb01c900c500cb00c600ca00cb01c500ca00c500c900c402ca00c401ca00c9
+00c801c900c400c59801011206010111011206010111950100c900ca00c400c500c900c500ca00c400c500ca00c300ca00c900c400c900ca00c901ca01c900ca00c500c400c804c9
+00c800c900ce00cd00c800cd00d400ce00d404d301d802d900d800d7008400d300d500d300d400d302ce00cd00d300cb02ce00c900ca00c902ca01c900cb01ca00c500c901ca00c9
+00c500ca00c500ca00c400c600ca03c900c400c501c900c49701011206010111011206010111930100c900c400c601c500c900c500ca01c900c400c300c900c400ca00c400ca00c9
+01ca00c400ca00c900ca00c400c900c400c800c500ca00c900ca01c900c800c900c800d400d500d400d004d402d801d901d8008400d400d300cf03ce00d300ce01d400ce00cb00ca
+02c900ca00c900ca01c900c500c400ca00c400c300c601c900ca00c500c400c600ca00c400c500c800c400cb00c402c500c900c500c900ca95010112060101110112060101119201
+00c801ca00c800ca00cb00c900c301c500ca00c400c500c900c500c401c500cb00c400ca00c300c501c401c500c900c500c400c901ca03c900ce00d300cf00d400d003d400d300d7
+01d800d700d800d700d9008401d402ce00cd01ce00cd00ce00d300ce00ca01c900ca00cb00c900ca00c501c400c500c600c500c900c400ca00c901ca00c900ca00c900cb00c900c4
+02ca00c600cb01c900ca01cb00c400c99401011206010111011206010111910100c302c500c600c400c600c500c600ca00cb00c500ca00c901ca00c400c500c401c500c301c500c4
+06c500c401c500c400c901cf00d000d300d500d300d400d301d400d500d201da01d801d3008400d301cd00cf03ce00d300ce00d400ce00cd00c900ca00c400c500c300c400c603c5
+03c400c300c400c501c400c500c401c900c400c500c400c800c402c501c400c500c400ca93010112060101110112060101116f0101841e0100c401c504c401c501c401c500c900c4
+00c300c500c300c600c501c402c500c404c500c400c501c400c5000100d400cf00d501d400d000d400d300d400d301d402d900d401d3008401ce00cf00ce00cd00cf00cd00cf00d3
+00ce00cd02ce00c400c501c400c502c401c500c400c500c400c501c400c601c400c601c400c900ca00c401c500c600c400c501c400c500c600c501c4920101120601011101120601
+0111700101841b0100ca01c501c400c500c400c500c301c405c500c300c500c300c400c600c501c400c500c401c500c400c501c400c501c400c600c400d5000100d400d000ce00d0
+00d400d500d400d300d401d300d400d800d300d400d300d200ce008402ce00cf01ce00cd00cf00cd00d400ce00d200cf00d300ce00c400c600c400c600c503c402c500c400c600c4
+03c501c400c300c900c501c400c500c300c500c600c401c300c600c401c500ca1f0101846e0101120601011101120601011171010184190101c500c302c400c500c400c000c400c5
+02c401c500c400c500c300c502c400c000c501bf00c502c400c001c500c600c500c300c100cf00d000cf01d500ce01d000d400cf00d300d200d500d300d500d400d300d500d300ce
+00cd008400cf00cd02ce00d300d400d202d300cd02ce00cd00c500bf00c000be00c500be00bf00c001bf00c400bf00c600c500c000c500c400c500c300c400c502c400c301c400c5
+00c400bf00c500c400c601c500c400c500c61d0101846f0101120601011101120601011173010184160102c400c500c303c500c400c600c000bf03c500c401c503c401c500c600c4
+01bf00c500bf01c000c600c000c100c600d400d000d400cf00d503d400d300cf00d500d300d400d500d303d400cf00ce008401cd00ce00cd00ce01d300ce01d300cf00d300ce00d3
+00cd00d200ce00c500bf00c400bf00c000c400bf00c600bf00c400c300c001c400c000bf00c400c600c501c403c500c000c400be00c000bf01c501c400c301c500c41a0101847101
+01120601011101120601011174010184020100ce00cf0f0103c504c400bf00c000c500c000c500be00c500c401c500c600c5000100c400be00c500c400c500c400c500c000bf00c5
+00c100c600c000c100c000bf01d500d300d000d400cf01ce00d500d401cf00d500d401d500d400d300d500d300d000ce00cf008400ce01cf01ce00d200cd00ce00cd01d300cd00d4
+00d300cf00cd00ce00cf00c400c000c500c100c400bf00c001bf00c500c400c000c500bf00c600be01c500bf01c501c401c500c001c501c400bf00c500c400c500c402c50f0100ca
+00c90601018472010112060101110112060101117601018400d000cf00c900ce0d0101c401bf00c000c500c400c001c500c000c300bf00c400bf00c300c100c400c500c100c502c4
+00c500bf00c500bf01c500c100c000c400c100c000c100bf00c100d300d001d400cf02d400d500cf00d500cf01d400d302d400cf00ce00cf02ce008400ce00cd01ce00d200d500cd
+00d400d200cf00d300d200ce00d200ce00d300cf01ce01c400c000c400c500c000be00bf00c500c000c501c001c500c600bf01c001c401c500c401c500c000c100c000bf00c000c5
+00c000c300c400be01c30d0100d000ce00c900ca0301018474010112060101110112060101117701008400cf00ca00cf00ce00ca00ce090100bf01c500c100c500c400c001bf00c6
+00c000c600bf00c000c400bf00c000c500c401c500c000bf00c500c000bf03c500c000c500bf000100c001c100c600c501d300d500cf00d500d000d4000101d000d400ce01d400d0
+00d500ce00cf01ce00cf00ce02cf008400ce00cd00cf00ce00d400d300ce00cd00cf01cd00d300cd00d300cd00d200d401ce000000bf00c100c000c400c000c601bf00c000c400c0
+00bf00c401c000bf00c000bf01c400c500c000c400c000c500be02c000c600c101c500c100c000c500bf01c4090102d000cf00d000cf020101847501011206010111011206010111
+770100ca00c901ce00cd00cf00cd00c9070100c500bf00c000c300c400c100c500c400c000c400c500c400c6000100c400c000c103c400bf00c400bf00c000c501c000bf00c100c0
+00bf01c400bf00c601c000c500cf00d500cf00d300d400d500d400d300ce00cf00d500d400d000cf00d000d400cf00ce00d000cf00d002cf00c900cf008401cf02ce000000d200cd
+00ce00d300cd01ce00d300cf00ce01d300d400d200cf01c402c001c401c000bf00c401bf01c500c000c500c000c400c301bf00c500c600bf00c001bf00c100c502c400c000c400c1
+01c000c5070100ce01cb01ca000100cf00ca000101847601011206010111011206010111770100cf00ca00cd01c800ce01c800cd050100be00c500c300c400c000bf00be00bf00c4
+00c000c500c600bf00c000c500c000bf00c500bf00c500c000c400c500c400bf01c400c300c401c500bf00c100c400c501c000c100c001cf00d001d500cf00d500cf00d400cf00d3
+00d400cf01d300d401cf00ce00d000cf00d002cf00c900cf008400ce00cf00ce00cf00ce00cf00cd00cf00ce00cd00ce00d200d400cd00d400d300d401d301ce00cf01c500c000c4
+00c300bf02c500c400c000be00c500c300bf00c500c600c400c000c300c000c500bf00c000c500c001c400bf01c500bf01c500c300c100c000c500c0060100ca01cb00cf00cb00d0
+00cb00c900847801011206010111011206010111770100cf00ca00c900ca00ce00c900ca000000c800ce030100bf00be00c000c400c301c400c000c500bf01c400bf00be00c500c4
+01c002bf00c400bf00c100c501bf00c500bf01c401c000c500c100c500c400c000ce00d000ce00cf00d001d5000100cf00d400d501d400d300d000cf00ce00cf01d000ce00cf00ce
+01cf00ca00ce00ca00ce008400ce01cd01ce00cf00cd00cf01d200ce00d200d400d2000001d300ce00cd00d302ce00cd00bf01c000c400bf00c600c302bf00c001c500bf00c400c1
+01c000c500c000bf01c000c400c000c400c500c401c000bf00c000c100c500bf00c401bf030100d001cb00d001cf00cb010100cb7901011206010111011206010111760100ce00cd
+00c800ce00ca01ce00c900ce00cd01c900cd000100c001c400c001c500c000c102c400c001c400c500c000c500c600bf00c101c500c400c500bf00c400c500bf00c401c501c400c6
+00c0000100c000c602cf01d000cf00d000d400d500d000cf00d400d500d401d300d000cd04cf00ce00cf00ca00cb01ce00cf008400ca02ce01cd01ce00cd00d300d200cd000000ce
+00d200ce01d300d201ce00cf01ce00c900c502c000c500c400be00c4000001c400c000c300c400c500c400c600c300c000c400bf00c500c000be00c500bf00c500be00c400bf00c5
+00c000c401c500c000bf00c6000100cf00ca000102cb02d000cf00cb01ca7801011206010111011206010111760100c900ce01c901ce00cd00cf00ce00c800ce00c900c800cd00c4
+00c500bf00be00c400c003c400be00c400bf00c400c500c400bf00c400c500bf00c500c000c400bf00c500c100c400c500c300c500bf00c102c500c400c101cf00ca00d000ce00cf
+01d0010100d500d000d500d001d400ce00cf01d003cf00c901ca00cb00c900ca00cf008402ca00cf00cd00ce00cf00cd000000ce00d2000000cd00d402d200d300ce01cd00cf00ce
+00c800ce00c800c001c400c500c002c400c5000000bf00c400c600c501bf00c000c400c500c400c001c400bf01c001c400c300c400c500c400c000c400c6000100c600ce000100ca
+00cb00cf00ca000100ca00cb000102cf00cb7801011206010111011206010111750100c800cf00cd00c900ce01c900cd00ca00ce00cd01ce00cd01c900bf00c400c300bf00c500c0
+01c401c300c400c500c400c500bf00c401c0000100c000c500bf00c500c000c600bf00c000c600c500c400c500c100bf01c600cf02d000cf00d000cf01d000ce00d300d4000100d2
+01d4000100ce01d000ca00cb06ca00cb00ca00cb008400c900ca00c900ca00c900c800c902cf00cd00d200d300cd01d300ce00d300cd00ce03cf00ce00ca00c800c400c000bf00c5
+00c400c500c000c403bf03c000bf00c000c102c501bf03c500c300c400c600c000c501c0000100cf00d000ca000100cf00cb00d000cb00ca00cb00cf00ca01cf00d0770101120601
+0111011206010111740100cb01ca01c800cd00ce00cf01ce00ca00c800ce00cf00cd00c900cd00ca00bf01c001c400c600c500c600c500bf00c000bf01c500c301c001c501c000c4
+00c500c300bf00c500c400c000bf000100c400c000c500c900ca01cb00ca01d0000101d001d400d500d400cf00ce01cf01d000cf00cb02ca000100ca00cb00c900ca02c9008400c8
+00ca02c900ca00c900ca03ce00cd00d200d300d200d304ce01c901cd00c900c801c500c300c400c000c500c100bf01c000bf00c000bf00c600c000c500bf01c500c400c600c400c5
+00c400c000c403c001c600c0000100ca00cb02ca000100cf00d0000100cb00cf00ca00cb00cf01cb00ca7601011206010111011206010111730101c900c803c900ce00cd02ce00c9
+00ce00c900ce00c900ce01c900bf00c400c300c400be01c400bf00c000c501bf00c400c600c500c400c001bf00c000bf00c600bf00c000c101c000c400c501c000ca02cb00c900cf
+00ca00d000ce01cf00d000d301d400ce00d000cf00d000cf00ca000100cb01ca00c400c901ca00cb00ca00cb01c9008402ca06c902ce00cd00d400d300d200cd00ce01cd00cf00ce
+00c900cd00ca00ce01c901bf00c501c400bf00c101bf01c500c401bf00c600c400c000bf00c500c600c000c500c000bf01c500bf00c100c5000100c502d000ce00ca01cb00d000cb
+00d000cb00ca00cf01d000cb00ca01cb00ca7501011206010111011206010111720100c900ca02c900ca00c800cd00ce05c900cd00c900cd00ca00c900cd00ce00c800c300c400c0
+00bf00c600bf01c003bf00c500c000c600c500c400c500bf00c001c500c000c400bf00c500c000c100ca000100ca01d000cf01d000cf00d004cf00d400ce02d002ca00c901ca02c5
+01ca00c400cb00ca00c9008400c401c500ca01c402ca00c900cd01ce00cd00d300ce01cd01ce00cd00ce00cd00ca00c900ca00c900ce00ca00ce00bf00c000c100bf00c502c401c5
+00c000c500c300bf01c500c001c500bf00c001c400c101c000c500c000d000cf00d000cb00ca00c900cb00ca00d000cb000101ca000100cb000100cb010101ca00cb00c974010112
+06010111011206010111720100c800ca00c900ca00c800c902c800c901c800c900ce00c801ce00c801cd01ca01c800bf00c300bf01c400c501bf00c300bf00c000d400d900c000c5
+00bf00c300c500c400c500c000c400c600bf00c000c101ce00ca00cb00d000ce01cf00ca01d0000101d000cf03d000cb000101ca00cb00c400c500cb01c500cb00c900c500ca00c6
+01c9008400c600c500c900ca00c400ca00c400c800c900ca00c800cf00ce00cd00ce00cd00d301ce00cf00cd01ce01c900ce00c901ce00c9000000bf00c300c600c001c400c500bf
+00c000bf00c301c000d200d300c000bf00c100c500c300c500c000c401c5000101cf01d000cb00d000cb01ca000101cb000100d0010100cb00ca000100c900ca01cb00ca74010112
+06010111011206010111700100ca00c400c500c900ca01c900ca03c800ce00c900ce00cd00ce00c900cf00ce01c900ce00cf00c800ce00cd01bf00c600bf00c000bf00be00c101c0
+01da00bf00c000bf01c000bf00c100c500c000c100c000c100cf00cb00cf00cb00cf00cb00d002ca00cb00cf01d001cf00ce00cf00d000cf00cb01ca00c900c400ca00c500c600c4
+00c500c600c500c601c900c400ca008400c500c901c800c301ca00c502c901c801cd00ce00cf00ce01cf01ce00c800cd00cf00c901cf00c800cf01ce00bf00c000bf00c400c000bf
+00c400c000be00bf01c100d700d301c000c100bf00c500bf02c000bf00ca01d000cb00ca00d000c900ca00cb00ca00d000cb000101cb01ca00cb00ca00cb00ca00cb00ca00c900c5
+00ca00c672010112060101110112060101116f0101c500c400c500c800c901ca00c800ca01c900c800c901ce00ca02ce00cd00c900ce00cd01c902ca01bf00be02bf00be00c000d9
+00da01d500c000be00c000c101c500c600c001c100bf00c900cb00d000ca00cb00d000ca00c900d000ce00ca01d001cf010100d001cb00ca000100cb00c400ca00c5000100ca00c5
+00c600c500cb01c400c501c4008400c600c900c500ca01c400c900c500c900c500c802c905ce01c900ca00ce00c900cd00c900cd00c900cf00ca00c901bf01c000c401bf00c500c4
+01c000d800d701d300bf00c000bf00c100bf02c000cf00ca00cf00cb00cf00ca01cb01cf00d000cb00d000ca00ce03cb02ca00c900c500c6000100c501c471010112060101110112
+060101116e0100c600c500ca00c400c503c900ca03c900c801c900cd00ce00cd00c900c800c900ce02c800ce00d000cf00ce00bf00c002bf00be00bf00d900d800d500d401bf00c0
+01c500bf00c601bf00c000ca00cb00ca00cf00ca00c900ca01d000ca02cb00d002cb01ca01cb00c900ca00c500c300c400c901c500c900cb02ca00c401c500c9008401c400ca00c8
+00cb00c400c500c900c800c500c300ca01c900ca01c900c800cf00cd00ca00c904ce00cd00ce00ca00cf00c900ca00be00c000bf00c000c400be00bf02c0000000d901d801c000c1
+00c000c101c000cf00c900ca00cf00cb00cf00d001ca00cb00d001cf00d000cb00ca01cb000100ca00cb00ca00c900ca00c600c500cb00c500c901c5700101120601011101120601
+01116c0100cb02c501c900ca00c400ca00c400c501c900ca00c803c901cf00d000cd00c901ce00cd00ce00c800c901ca00cf00c000bf01c100be00bb00ba01da01d900d400bf00c0
+00bf02c001c100d000ca00ce01cf00ce01cf00ca01cf00d000cf00cb00ca01cb00ca00cb00ca01c901cb00c601ca00c500ca00c500c301c500c900c500c300c501ca008401c901ca
+00c400c900ca00c900c500ca00c500c400c800ca03c900c800ca00ce00cf01c800c900cd00c900c800cf00c900cd00cf00ce00d003bf00c000bf00c000be00d300d800d300d700d3
+00bb01c000bf01c0000100d000cf00d000ca01cb00ca00d000ca00cb00cf01cb00cf00ca00cb00ca00cb000102ca00c600c500c400c500ca00c500c400ca00c400c900c46e010112
+060101110112060101116b0100c400c500ca00c901c500c401ca01c500c400c500c400ca00c800cb00ca00c902c800ca00cd00cf00ce00c900ce01c900ca00ce01c900ce00bf00b9
+00bf00c000ba00d400d901d400d200d902c000bf02c000c900ce00cf00ce00ca01cf00ca00d000ca00d001ca00cf00c900ca000100cb00ca01cb01ca00c900ca00c300c400cb00ca
+00c900ca00c400c900ca00c900c500ca00c400ca00c5008400c500c900c500c400c501c900c500c901c500ca02c900c801c900c800c900ca00ce00c901ce00c900c800cf01c800c9
+00cd00c900ca00ce02bf00c000bf01c001d800d700d300d700da00c100bb01c100bb00ca00c901ca00cd00ca00cf00c900cb00d001ca00d000cb000101cb03ca01c900c500cb00ca
+00c401c901ca00cb00c600c900ca6d010112060101110112060101116a0101c400c901c600cb00c901c500c300c601ca00c400ca00c402c900cb00ca01c800ca00c900c800ca00cd
+00c901cd00ce00cf00c800c900ce00c9008400ba00bf00c000d900d400d801d300d800d900bf00c101c000c100cf00cd00cf00ca02cf00ce00ca01cf00ca00cf01cb00ca000100ca
+00cb01ca00c901c500c900c500c900ca00c901c500ca00c602c500cb00c400c900c300ca008400ca00c900c500c900c500ca00c400c900c400c500c900c500c900ca00c804c900c8
+01c900c800ce00cd00cf02ce00c900cf00ce01c900ca00bf00c001bf00c000d400d800d400d800d400d800d300bf00c000bc00bb00c900ce00c900ce00cf00ca00cd00ca00ce00ca
+00cf01d000ca02cb01ca01c900cb00c900c600c500cb00ca00c400ca00c400c800ca00c900ca00c501c46c01011206010111011206010111680100c400ca00c400c500c900ca00c5
+00c600c900c500ca01c500c800c900c500cb00ca01c900ca01c900ca00c800c902c801ce00cd01ce01cf00ce00c800cd00c8008400c000d300d900d200d900d302d800c101c000bf
+000101ce00cf00ca00cf00ca02cf00c900cf00d000ce00cb00c900ca03cb00c400ca00c500ca00c900c600c500cb00c500c900c500c900c400c501c900cb02ca00c5008400c900c6
+00ca00c900c400c900c300cb00c300c500c400c901ca00c600c400ca05c900c800c900cd00c800cf00ce00cf00ca01c900cf01ca00bf00c001bf00c000d200d801d400d301d400d9
+00ba00bb00ce01c901ca00cf00c800cf00d000cb00ca01cb00ca00c902cb00ca02cb00c400cb01c901ca00c500ca00c600ca00c900c400ca00c901c401c56a010112060101110112
+06010111670100cb01ca00c500c900c500ca00c400c900c400c901c400ca00c400ca00c902c400c903ca01c900c800c900ce01c801cd00c900c800cf01ce00c900ca018402d700da
+00d700d301d400d3000101c000ca01c801c900ca00c900ca00d000cf01d000ca00cb00ca01cb00ca00c901ca00c900ca02c501ca00c300c900c500cb00c500ca01c500c600c500c3
+01c900c4008400c500c600ca00c500c900ca00c402c501c400c902c400c501c901ca00c900c800ca02c900cd00ce00ca00cf00c801c900ce00c900ca00be00c000ba00d300d401d9
+00d700d900da01d400bb00bc00c900ca00c901ca00cf00ca01d001cb02ca00cb02ca00cb00ca000000c600c800ca00c500ca00c500c400ca00c300c400c900c600ca00c900c400c5
+00ca00c500c900c86901011206010111011206010111650100c401c500ca00c500c401ca00c500c300c400c900c400c900c601ca00c400ca00cb00c600c402c902ca01c900c800ca
+00ce00c900c800ce00c901cd03c900bf00c000d900d803d301d401d300c000c100c900ca02c900ce00ca00ce00c900ce00ca00c900cb01c900ca01cb01ca01c500c900ca00c500c4
+00c900c400c900c300c900c600c400ca00c800c400ca00c900c500c401c9008400c400c901c500ca00c400ca00c900c400ca00c300ca00c600cb00c900c400c500c404c901ca00c8
+00c900ce00c900cf00c901ce00ca00c900cb00c900be00bf02d300d401d300d400d201d900bc00ba01ca01c900c800c901cf00c9000104cb03ca00c500cb00ca00cb00c900c500ca
+00c400cb00ca00c900ca01c400c500c900c500c400c300cb00c500ca00c900ca6701011206010111011206010111640101c500c400ca00c600c501c400c500cb00c900c400c500c4
+00ca00c900c500c900c300c501ca00c900c500c900c300c500ca01c900c800ca00c900c800cf00cd00cf01c800ca00c801ca01c902d201d300d400d300d200d400d201d300bb00c8
+00c900ca02c901ca00cf02c902ca00c900ca00c900c500c400c500c900ca00c401c900c301c400c500c401c500c400c900c500c400cb00ca01c400ca008400c500c800c401c500cb
+00c900c401c900ca00c900ca00c500c400c500cb01ca02c900c800ca00c800c900c801ce00cf01c900cb00c900ca00c900cb00be00d401d301d400d304d400d802ca02c900ca00c9
+00ca00ce01ca01c901cb00ca00c900cb00c400c500c400c600ca00c600c401ca00c900c500c600c300c500c600c900c600c901c500c900c400c800c900c400ca6601011206010111
+011206010111620100ca00c900cb00c400c500cb00ca01c500c900c501ca00c500c400cb00c900ca00c500c900c800ca00c500ca00c400ca00c400c900c400c501c900ca01c900c8
+00c900ce00ca00c800c901ca00c501ca01d300d400d301d200d401d300d401d300d200cf01ca00c900c804c900ca00cb00ca03cb00ca00c900c400c500ca00c500c900ca01c900c5
+00ca00c400cb00ca02c900ca00c400ca00c400c600c500ca00c5008401c400ca01c500ca00c400c900c500c900c400ca00c500c400c500ca01c400c900c400ca03c900c802ca01c9
+01c801ca01c900ce02d400d300d202d400d300d501d400d200c900c801c901ca00c902ca00cb01ca00c900ca00c800c900ca00c400c500c400c900c500ca00c600ca00c500ca00c4
+01c500c901c500c600c400c500ca00c900c301ca00c900ca00c900c36401011206010111011206010111600100c401c501ca00c900ca00c900c400ca01c400ca00c400c600ca00c9
+01cb00ca00c900c402c500c901ca00c500c400c600c500ca00cb00c900c800ca00c800ca01c901ca00c901c500c900ce01d200d401d300d401d200d300d400d200d300ce00d200cd
+00c901c400c800c900cb00ca00cb02ca00c900ca00c900c400c501ca00c300cb00ca01c500c900cb00ca01c400c500ca00c900ca00c601c500c900ca00c902ca008400c400cb00c4
+00c901c400c800c500ca01c501c600ca00c400c500ca00c900c800c902c503ca00c900c801c900ca00c800c500ca00c800d000cf00d504d302d500d401d300d400cf00c900c500c6
+00c800ca01c900ca00c901ca00cb00c900cb00c900c400c800cb00c500ca00c900c401c500c900ca00c400c500c900c800c900ca01c500c901c400c900c501c400c900c502c400c9
+62010112060101110112060101115f0100c500c801ca00c900ca00c500ca00c800ca01cb00c500c401c500c900c402c500cb00ca00c500ca01c400c900c600c300c500ca000101c4
+00ca01c900c801ca00c800c900c300c400c600c300ca00cf01ce02d301d200d400d300d200d300cd00cf00cd00ce00cd00ce01c500c400c800ca00c400c500c400c900c602c400c5
+00c400c900c400c900c600c900c401ca00c600c801c500c601c400c600c500c900ca00c600c300c400c500c9008400c900c500c900c401ca00c500c901c400c600c900c400c900c6
+00ca00c401ca00c400c500c602c400c500c600c500c800c900c501c400c500cf000100ce01d400cf01d302d400d500d301d400d001ce00c501c400c601c401c900ca00c901ca00cb
+00c500ca00c900ca00c400c900ca00c300c500c902c500c400ca00c500ca00c900c500c901ca01c400c600c500c400c601c900c800ca00c501ca6101011206010111011206010111
+5d0100c401c500ca00c500c900ca00c401c500c401c900ca02c500c901c500c400c901ca02c901ca00c500ca00c500c400c500ca00c500c400c502c900ca00c400c501c301c400c5
+01cf02ce00cf00d200d300d401d300cf00d200ce00d200ce00cf01cd00ce03c501c402c501c401c501c400c900ca00c900ca00c900c501ca00c500ca00c900c400cb00c500ca02c4
+00ca01c800c900c6008400c300c600c500ca00c900c500c600c401cb00c900c500c601ca01c500c400c501c400c500c400c503c400c600c500c601c401d000cf00d003cf01d400d3
+01d400d500d400cf00ce00d000ce00cf00c500c400c500c400c601c400c901ca00c900ca00c400c500ca00c500c900c800c900ca00c900ca00c400c801c900ca00cb00c400ca01c5
+00ca00c500ca03c401c500c900c400c500ca01c900c600c55f010112060101110112060101115c0100c500ca00cb00ca00c500c901c400c500ca00c400c500c901ca00c500ca00c5
+00ca00c300ca00c901c400ca00c900ca01c601c400c501c400c500c400ca00c401c500c400c500c400c500c401c500c400c500cb00ce00cd00ce00cd00d000cf00d402d300ce00d3
+00cf00ce00d300cd00ce00cd00ce01c900c400c600c500c300c401c300c400c500c600c500c400c500c400c301c401c500c400c800ca01c401c500c300c400c601c500c400c501c4
+00c500c4008400c403c500c302c400c301c500c401c500c400c500c403c500c401c500c000c300c500c401c500c600cb00ca01cf00d0000100d0000100ce00d401d301d401cf01ce
+00cf00ce00cf00d000c500c400c500c600c503c400c601c400c500c403c500c401c500c400c900c500c400ca00c500ca00c901c400c800ca02c400c501ca00c400cb00ca00c500c4
+01c500c400ca00c45e010112060101110112060101115a0100ca00c503ca00c500ca00c401ca01c500c400c500c400ca00c400ca01c400ca02c900ca00c400ca00c501c404c500c4
+00c500c300c600c401c501c601c500c400c500c000cf01ca02cf00ce02cf00d400d300d200ce01d200cd01ce00cf00ce01c900ca04c400c100bf00c006c400c300c401c500c400c5
+00c400c501c400c300c401c500c600c500c400c502c4008400c500c403c501c401c502c400c601c400c500c400c300c400c500c401c000c600c500bf00c000bf00c000c400cf0001
+03d000cf00ce01d400cf00d000ce00d401ce04cf00c900cf00ca00c400c502c401c500c400c503c400c500c301c400c500c300c800ca00c500cb00c401c500c900ca01c901c400c3
+00c400c500ca01c500ca01c902c500cb01c500c600c900ca5c01011206010111011206010111580100c401c900ca00c401c900c500c900c800ca00c500c900c600c901c400ca00c4
+00c900c600ca00c500c900ca00c500c801ca01c901c400c500c402c501c405c500c600c500c400c500bf01cf00ca00cf00ca00ce00cf01ce00cd00cf00d402d200cd03ce00cd00cf
+00ce000000c800ce00c500c400c301bf02c001c500c402c500c600c500c300c403c500c402c500c400c500c401c500c402c5008400c300c601c500c403c500c401c500c401c500c4
+00c500c300c500c600c500c400c500bf00c000c400bf00c500bf00c000ca00d000ca00cf00d000cf00ce00cf01d001d400d200cf00d401cf00ce00d000cd00cf02c900ca00c900c0
+00c500c400c302c401c500c400c300c400c500c400c300c402c500c901c400c900c500c901c400c500ca00c402c900c500c400c901c500c400c500c900c400ca00c901c400c500c4
+00cb00ca00c45a01011206010111011206010111570100c600c500ca00c400c900c400c600c400ca01c400c900c800c400ca00c900ca00c900c500ca00c500ca00c500ca02c406c5
+00c400c500c301c401c501c401c500c600c401c500c000bf00cf00c900ca00c900ca00c900c802ce01cf01cd00d202cd00cf01cd00cf01ca00ce00cf00c800ce00c800c400c500c0
+00c100bf00c501bf00c501c401c500bf00c500c400c500c400c500c000c400c500bf00c000c400bf00c401c500bf00c500c000bf008400c000c100c000c500c300bf00c000c400c5
+01c400c000c500c600c500c601c400c601c400c100c600c500bf00c000c500c100cf01ca00d000cf01ca00cf00d000cf01d000d500ce00cf00d400ce01cf01ce00d000ca00cd01ce
+00ca01cf00c000c400c300c400c500c403c502c400c500c400c600c401c500c601c500c601c500c6000101c400c900ca00c500c400ca01c500ca00c401c500ca00c900ca00c400c5
+00cb00c900ca00c400c600c55901011206010111011206010111550100ca00c400c901c500c600c500c400c901c401c900c800ca00c500c400ca00c600c902c400ca00c300c500c4
+00c5000100c501c400c500c400c302c500c401c500c100c000c500c000c501c6000100c500c400bf00cf00ce02c901d000cb00d000cf00ce02cf00ce00cf02ce01cd00ce00cd00cf
+02ce00cd02c901c400bf00be00c000c500be01c000c500bf00c000c100bf00c400c500c600bf00c500c000c600c000c400c500c600c500c000bf01c400c300c1008400c500bf00c0
+00bf00c100c500bf03c500c400bf00c000c600c000be01c501c000c500bf00c500c100c500c000cf00ca00cb000101ca00cf00ca04cf000100d300cf00d000ce00cf00ce00d002ce
+00ca00cd00ce00c900ce00cf00c900bf00c503c403c500bf00c400c502c400c603c501c400c501c400c502ca01c500ca00c500ca00c500c401c900c500c401ca00c600ca00c400c5
+00ca00cb00c400ca00c45701011206010111011206010111540100c401ca00c500c800cb00c400c500ca00c900ca00c900c502ca00c400c600c900ca00cb00c500c900c301c501c4
+04c500c601c400c500c401c501c400c500c000c600c000bf00c501c400c000c100cf00ca00c900cb00ce00ca00ce00cf00ca02cf01ce00cf00cd00ce00d200cd000002cd00c800c9
+00cd00c900cd00ca00cf00cd00ce00ca00bf00c500be01c401bf00c400c500bf00be00bf00c400c000c400c300c500c400bf00c400bf00c001c500c400c000bf00c400c000c400bf
+008401c400c501c000c500c400bf00c000c400bf000000c000bf01c400c100c400c600c400bf00c000c500c101c0010100cb01cf00ca01d000cf02d002cf00d300d001cf00ce00cf
+00ce00d000c900cf00ca00c901ce00d001ce00c900c000c500c100be01c400c500c002bf00c000c401c500c600c500c400c500c301c500c300c500c401c500c400ca00c500ca00cb
+00c902ca00c900c501ca00c400c903c500c300c901ca00c900c85601011206010111011206010111520101cb00c900c500c400c501c400c900cb00c900c400ca00c500ca00c900c6
+00c500c400ca00c500c900ca00c900ca00c401c5000100c601c500c402c500c000c500c400c001c500c600c500c400c000c601c400c100c600c500c101ca00cf00c900cb02cf00d0
+00cb01d000ca00d000ce00cf00ce00cf01cd01ce00cf00cd00cf00cd00ce00c802c900ce00cd00ce00cf00c400bf00c000c500bf00c400c101c500c400bf00c000bf00c500bf00c4
+00bf00c400c000c400bf00c001c400c500c001c400bf00c5008400c400bf01c000bf00c000c400c600bf00c000c501bf00c600c400c600bf00c000c102c001c500c600d000ca0201
+00d000cb00ca01d000cb00ca01cf03d000cf01ce00cf00ce00cf01ce00cf00c900ce00cf00ce00cd00cf00cd00ce00c600c500bf00be00c402bf00c101bf00c400c500bf00c400c5
+01bf00c500c301c400c500c401c500c400c500c400ca00cb00c401c500c900c801c500c400c900c401c502c900ca00c600c500c400cb00c500ca5401011206010111011206010111
+500100c801c600c900c500c900c600c401c900c401c500c901ca01c400cb00ca00c500c400c600c400ca00c500c303c500c402c500bf01c501c400c300c500bf00c101c500c400c0
+00c500c100c401c000ce01ca00cf00ce00cf01ca00cf00c900cf00cb00c902ca00c900ce00cd00ce00cd02ce00cd00ce00c800c900c800cd00cf00cd00ce00c900c800cd00c900cf
+00ca01bf01c000bf00c300c000bf00c400bf00c500c400c300c500bf00c500bf00c100c500c300c500bf00c400c000bf01c000c5008400c500c001c500c100c500c401c500c400c5
+00be00c600be00bf00c500c000c600bf02c500c100ca00cf01cb02d0000100d000ca00cb00d000cb000100d002cf01d001cf00ca03c900d000c900ce00c903cf01ce01c900c500bf
+00c400c500bf00c501bf00be01c500c400c301bf00c500c000bf00c400c100c601c501c400c500c400c500ca00c400c500cb00c901ca00c300ca00c901ca02c400c500c900c500c3
+00c900c300c600c801c552010112060101110112060101114f0100c400c900ca00c801ca00c900c400ca00c801ca00cb00c900c400ca00c400cb01c501c400c300c400c900c400c6
+00c401c500c400c302c500c400bf00c000bf00c400c100bf00c400c000c400c600bf00c400bf01c000c500c000cb00cf00c901ca000101cf00cb01ca01cb00c900ca01c901ca00c9
+00ca00cd00c900cf00ce00cd00ce00c800ce00c800cf00c8000000ca00c900ce00ca02ce00cd00c400c500c400bf00c401c000c501bf00c400c500c000bf00c400c000c501c000bf
+00c000bf00c400bf02c0008400bf00c400c500c400bf00c400c100c600c400bf00c500c401c001c100c501c600c100c500c000cb00d000cb00ca00d001ca00d000ca00cb00cf00ca
+00d002cf000101d000c902ca01c900c800c900ca00c901ce00c900ce00c901ce00c902ca00c900c401c500bf00c300be01bf00c401c000c500bf01c500bf00c001c500be01c400c3
+02c501c400c301c500c400c300c800c500ca00c401ca00c300c600ca01c400ca00c300ca00c400c900cb00c900c500cb51010112060101110112060101114d0100c400c500cb00ca
+00c900c400c500c300ca00c800c900c600c900ca00c500c600c400c500ca00c400ca00c600c800ca00cb01c400c301c400c601c400c500c401c000c400c600bf00c400c301c000bf
+00c602c500bf01c500c100c500c900c802ca00ce00d000ca00cb00cf00ca00cf00cb00c902ca00c900ca05c901c801ce00cd00c800ce00ca00ce00c900cf00c902ce00c800ce00c8
+00c500bf00c400c000c400bf00c600c500c000bf01c400bf00c600c400c000c501c400c000c500c000bf00c500c000bf008400c000c500bf00c600c500c400bf01c500c001c400c5
+01c601c000c600c000c600c500cb01d000ca00d000cf00cb00d000cf00cb00ca00cf00ca00d0000101cb00c900ca000101cb000100c900cb00c901ca00c9000000c900d000c900c8
+00c900d001c900ca00c800c901ca00c600c401c500be02bf00be00c000c401bf00c000c500bf00c400bf00c000c400c000bf00c500c400c500c600c501c400c500c900c802c901c4
+00c900ca00c500ca01c900c600c501ca01c500c900c400ca00c900ca4f010112060101110112060101114b0100c600c500c400ca00c400c800ca00cb00ca01c500c602c400c500c9
+01c400ca00c500ca00c500ca00c800c500c401c500c301c500c300c500c400c500bf00c000c401bf00c600c500c400c500c600c402bf00c601c000c600c000ca00c900cb00ca00c9
+00ca00ce00d000cf00ca00cb00ca000100c901ca00c900ca00c900ca00c901ca00c900cb00c901c8000000c801ce00c901cd00c900ce00c800ce00c800ca01c900c800c900c400c5
+01c400bf01c400be00c400bf00c300c500c001c401c001c4000102bf00c50001008400bf01c401c001c500c001c400c500c001c500c000bf00c501c100c6000100cb00cf01d000cb
+02d001ca00cb00ca00cb01d000ca000101cb00ca00cb01ca00c400c501ca04c900ce00c900ca02c900cf01c800ca01c900c503c401c000c500c300c000c400bf01c400c000c301c4
+01c001c500c400c500c402c500c300c500cb00c300ca00c500c9000000c900ca02c900c500ca00c500c900c400c500ca00c901ca00c900c401ca4d01011206010111011206010111
+4a0100c400c900ca00c900c400ca01c500c400c901ca00c500c800c500c400cb00c900c500c900c401c600ca00c900c401c500c400c500c601c400c300c602c000bf00c000c500c0
+00c500c100c600c400c600c000bf00c500c603c000c401ca00cb00c901ca02cf00cb00ca00cb01c901ca00c901ca00c400c500c402ca01c902c800ce00c800cf00ca00c801c900ca
+00c800cd00c900c800cd00ce00ca00c800c900bf01c500bf01c300c001c400c000c400c600c400c001c400c500c400c500c400bf00c000c5008400c500c400bf02c001c400bf01c0
+00c400c000c100bf00c400c600c000ca01cf00d000cb00cf00d0000100ca00cf00cb00d000c9000100d000cf00ca03cb02ca00c900ca00c500c400ca00cb03c900ca00c802c901cf
+00c901ca00c901ca00c900c401bf00c000c602bf00c501c400c000c500bf00c000c400bf01c500c400c500bf03c400c501c401c501c900cb00c900c601c400c900ca000000ca00c4
+00c900ca01c900c300c500c900c800c301c400c94c01011206010111011206010111480100c300c400c500c401ca00c900ca00cb00c300c900ca00c400c900c500ca00c900c300c4
+00c900c800c400c501c900c400c600c400c502c401c500c400c000c500bf00c000c400c500be01c000be00c501c100bf00c300c001c500c0000100c101ca00c400c900ca03cb00ce
+00ca00d000c901ca00c902ca00c900ca00c600ca00c500c400c800ca00c800ca03c900ce00ca00c801c900ca00c800ca00c901ce00cd00c800c900ca00cf00ce01c400be00c500bf
+00c500bf00c501c000c400c600c500bf01c000c100c500bf02c5008400c100c400c000bf01c500c001bf00c000c500c400c500bf00c500c000c500cf01d000ca00cb00ca00cb0001
+00c900ca00d0000100cb00d001cb00d001ca01cb00ca000100ca01c900c601ca00c900ca00c9000000c900ca00c900c800c900ca00c900cd00ce00ca00c801ca00c900c400ca01c4
+01c500bf01c400c000c500bf01c001c500be00bf00c000c500c000bf01c400be00c000bf00c300c401c500c600c400c500c600ca02c900ca00c900ca00c900c303c500c401ca00c5
+00c901c502ca00c44a01011206010111011206010111460101c901c500ca00c800c900c600c900c400c500c400c500c402c500ca00c401c900c400ca00c901c400c500c401c601c5
+01c400c500c001c500c001bf00c501bf00c500c400c600c000bf00c100c600c100bf00c100c000c100c000c400c600cb00c9000102ca00c902ca00c900ca01c900cb00c800ca00c9
+00ca01c401c901c500c901ca00c900c800c900c800c901cd00c800cd00c900ce00cf01ce00cf00ce00c900c800ce00cd00cf00c901c400bf00c300bf00c401bf00be02c000c400c3
+00bf00c000c500c400c000c500bf008400bf00c301c001c400c301c500bf00c400bf00c000c500c000c600cb00d000cf01cb00d001cf00d000cb00cf00ca00d000ca00d001ca00cb
+02ca00cb02ca00c500ca00c500ca00c300c401c902ca04c900ce00c901ca00c900ca00cb00c600c800c501c400c500c300bf00c400be00c500c400c500c400c300c000c600c502bf
+00c402c000c401c501c400c602c401c500ca00cb00ca00c900c400c300ca01c500c400ca00c900c500c900c400c300cb00c401ca00cb00c400c900c800c448010112060101110112
+06010111450100c900c500c800c400ca00cb00ca00c400ca00c600c500c402ca01c900ca00c400ca00c502c400c900ca00c500c401c501c400c500c400c500c600bf00c400c600c1
+00c400be00bf00c000bf00c400c500c100bf00c500c100c501c000bf00c100c401ca00c508ca00c902ca01c900c300c500c401c502ca00c502ca01c900c800ca02c900ce00ca00ce
+00c800ce00ca00c800cf00c800c900c800cd00c800ca00cd00c800ce00c402bf00c600c501bf00c000c400c000c400bf00c400bf00c000bf00c400bf00c4008400c400c000c300c0
+00c401c000c400c000c102c500c000c500d000cf00d000c901cf00ca00cf01d001cf00d001cf00ca04cb00ca00c900ca00c900ca00cb02ca00cb00c501c400c300c900ca01c900cb
+03c900cb02ca00c400ca00c501ca00c500ca02c401c500c400bf00c600be00bf00c400c500c000c500bf00c000bf00c500bf00be00c001c400c301c400c500c301c500c400ca00cb
+00c900ca00c901ca00c500c400cb00c500ca00c5000000ca00c401c300c500c400c500ca00c400c800ca4701011206010111011206010111430100ca00c900c400c800cb00c400c5
+00c900ca01c400cb00c400c601ca00c503ca01c501c900c400cb01c500c900c501c400c500c401c500bf02c500c000c600c500bf00c000c400c500c100c000c500bf02c000c100c0
+00c900c501c400c500c601ca000100ca00cb01ca00c901ca00c900ca00c900ca00c500c400ca00c400c900c300ca01c500ca00c900ca02c901ca00c900c801c900cd00c800ca00c8
+00cd00c900cf00c800ce00cf00ce00c801cf00c800ce00c300c401bf00c002bf00c400c300c000c600c500c000c500c001d800c0008400c600c300c001c400c300c000c100c500c6
+00c000c5000100c500cf00d001cb00cf000100ca01cb000100ca00cb00c900cb00ca00d000cb000100cb000100ca00c900ca00c900cb00c900c402ca00c500c900ca00c500c900c6
+00c400c500c902ca000000ca00c900c801c900c500ca00c300c900ca00c300ca00c400c901c400c300c400c500c401c500bf00c300c000be00c300c401c000c100c602c500c301c4
+00c600c500c401ca00c400c900c500cb00c901c501c900c601c502c900c500ca00c900c401ca00c600c900ca01c900c500ca4501011206010111011206010111410100c500c400cb
+00c501c900ca00c800c900cb00c901c500ca00c500c900c500c400c900ca00c401c500c900c500c900c401c500c400c300c400ca03c502c401c500c400c000c500c400c500c600c4
+00c500bf00c601c502c000bf00ca00c500c900ca00c900cb00c500c600ca00c5000100c901cb03ca01c900c500c401c500c900ca00c800c901ca01c501c902ca01c801c900ca00c8
+01ce00cd01ce00c800c900cf00c900ca00cf00ca00c800cf00c900ce00cd00c000bf00c501c001c500c400c002c500c000c501d300c5008400c400bf00c400c500c100c400c300c0
+00c501c600c500ca01cb00ca00ce01ca00cf00ca00c900cf00d000ca00cb010100d000ca01cb03ca01c900c800c900cb01c400cb01c900c800cb01c500c400c800ca00cb01c900ca
+02c900c800c500c900c400c500c900c601c400c600ca00c500c401c500c401c000c400c000be00c300c600c000c600bf02c002c500c602c500c400c800c400c500ca00c9000100c9
+00cb00c901ca00c500ca00c400c900cb00c900c400ca01c500c901ca00cb00c600c500c900c500c900cb01c64301011206010111011206010111400100c400c500c900c500c400ca
+00c900c400ca00c901c500c900c400c900ca00c400ca01c400c501ca00c400c800ca00c900c600c500c900cb00c500c600c501c401c300c500c400c600c500c600bf01c000c400c6
+00c101c500c400c100c500c600c501c100c400ca00c901c500c400ca00c900c500c900c400c500ca01c501c401ca00cb00c500ca00c902c500c400c500ca00c400ca00c400ca00c9
+00ca00c900c401c900ca00c900cb02c900c800ce00cf00ce00c800c900c800c900c800cd01cf000000c901ce00c900c400bf00c500c400bf00c400bf00c400c500c000c500c400c5
+00d4000000c5008400c500c400c001c500c000c401c000c100c501cb00c900ca00cf01d0000100cb00ca00cb000101d000cb010100ca04cb02ca00c500ca00c903ca00cb01c400c9
+00c400c800c400cb00ca00c900ca00c500ca00cb00c403c900c802c400ca00c301c500c400c902c400c600c400c000bf00be00c500c001c401bf00c000c500c001c400c500c400c5
+00c400c601c400c900c401c900c500ca00c900c500cb00ca02c500c300c900c500c400c900ca00c500c400c501c900c401ca00c400ca00c500c900c8420101120601011101120601
+01113e0100cb00ca00c502ca00c500c900c400c500c900ca02c400ca00c500c900c500ca01c900c501c901ca00c502ca00c4000101c501c400c500c400c500c400c000bf02c000bf
+00c402c000bf00c000c500c400c000c100c500c100c900ca00cb00ca00c501cb00c500ca01c400c500ca00c400cb00c900c500cb00c500ca00c500ca00c300c400ca00cb00c401ca
+03c502ca00c400c900c400c900ca00c900c800c900ca00c800ca00ce00c800cf00c900cd000000c800cd00cf00ce00c800cd00ce00c900ce00cd00cf00c301bf00c000bf00c500c3
+00bf00be00c000be00d900d800d300d8008400c400be01c500bf00c100c000c100c000c500cb00ca00cf01cb00d001ca00cf000100cf00cb01c900cf00d001ca00cb01ca00cb02ca
+00c600ca00c500ca00c600ca02c500c400c800c900c400c501c900c400c900c500c400ca00c900ca00c800c400c500c302c400ca00c402c900c401ca00c800c401c501c002c500c4
+00c001bf00be00bf00c400c501c401c500c603c500c901c400c300c401c500ca00c900c501c401c500ca00c500c400cb00c900c500c800c500c603ca00c900c500c900ca00c600ca
+00c440010112060101110112060101113c0100ca00cb00c900ca00c602c400c600c400c500cb00c500ca01c900c500ca00c500c400c900ca00c900c800c600ca01c401c500c401c5
+00ca00c500c601c400c601c400c600c400c000c500c600c000c101c500c100c500c6000100c400c100c000bf00c000c5000100c600ca00c400c900c401c600c500cb00ca00c500cb
+01c902c502ca00c400c500cb00c900c501c400c900c600c901ca00c400c900c601ca00c500ca00c900ca00c900ca01c900ca00c900c800ca00cd00ce00c900ce00cf00ce00cb00ca
+00ce00c800c900c800c900ca00c900ce01bf00c000bf00c500c400c501c000c500d300d200d900d3008400c401c000c500c400c500c000c500c000d001c900d000ca00d001cf01ca
+00d0000100ce00cf01ca000101cb00ca00cb00ca01c900cb02c500c400c900c500c400c600c500c400c9000100c900ca00c501ca00c801c500c300ca02c500c800cb00c500c401c9
+00c500c801c400ca00c800ca00c900ca00c900ca00c000c400c000c500c100c500bf00c500be00c400be00bf00c500c300c000c501bf00c500c301c500c600c500c401c600c500c9
+00c400ca01c600c900c501c400cb00ca00c800c400ca00c900c400ca01c500cb00c400c900c500c800c900c600c400cb00c400ca00c53e010112060101110112060101113a0101ca
+00c501ca00c900c501c400c900c501c900c500c600ca00c901c500c900c501c400ca00c500c400c500cb01c501c400cb00c600c401ca00c500c400c600c401c500c401bf00c000c6
+01c000c5000000c100c500c000c100c602c000ca00c401ca00c600c900c500c400c901ca00c401cb00ca00c900ca00c800c500c400c500c900c502c401c900c500c300c900c500c6
+00c500ca00c400c500c400c300c501c400c500c600c500c800c900ca00c900ca00c802c900ce00cf00ce00c900cf01c900c800ce00c800c900cd00ce00ca00c900bf02c400bf00be
+00bf00c100d300d400d301d400d800c001bf00c501c100c000c500ce00ca00c901d000cf00d000ca00cb00c900d000cf00cb00ca00d000ce01ca00cb01ca00cb00ca00cb00c800c6
+01c500ca00c400c501ca00c400c500ca01c400c900c501c402c900ca00c400c800c401c900c500c900c401ca01c500c800ca00c501c400c900ca00c500c900c300c400c000c500bf
+00c500c300bf00c500c400c300c000c400c000be00c500c100be00c503c400c600c500ca00c900cb02c900c501c300c400ca00c900ca00c500ca00c500c900c502c900c400c900cb
+00c900ca00c900ca00c401c500c900ca00c500ca00c400c63c01011206010111011206010111390100c500ca01c900c401ca00c500c601c500ca01c900c500c900c600c900ca00c3
+01c900c500ca01c900c500c900cb00c400c500c300c900c400c901c500ca00c500ca00c604c500c400c102c000c500c000c400c100c000c501c000c400c500c900c500c600c900ca
+00c500c300c500ca00c900cb00c400cb00ca01c900ca00c500c4000000c401ca00c900c400ca00cb01ca00c502c400ca00c900c602c500c400c500c400ca00c400ca00c501c901ca
+00c900c800c902c800cd00c900ca00cd01ce00c802c900cd00ce01cf01bf00be01bf01c000d800d200d900d200d900d300bf03c000c100bf00cf00ca00c901cf00c900cf00ca01d0
+000100ce00cf01cb00ca00cb00ca00cb01ca01c902ca00cb00c900c500c403c500ca000101ca02c501c903c500ca00c400ca00c500ca00c800c400c501c400c500c300c401c500ca
+00c400c500c401ca00c900c801c400bf00c600c400c001bf01c401c500c400c500c401c502c400c502ca00c900c400cb00c800c900ca00c500c600c900c800c602ca01c404ca00c4
+00c500ca00cb01c500ca01cb00c400c900c800c400ca00c800c53b01011206010111011206010111370100c300c400ca00c900ca00cb01ca00c400c601c400c500c900ca00c400c9
+00c500c600c400c500ca00c500c400c603c400c600ca00c900c400c600ca01c501c400ca00cb00ca00c400c500c401c500c600c500c600c000c401c500c002c500c000c400c100c5
+00c901c400c902c501c6000100cb00c500c400c900ca00c500ca00c900cb01c400c500c600c400ca00c500ca00c500ca00c600cb01c400c301c401c500ca00cb00c501c401c500ca
+00c500c900ca01c800ca01c900ca01c900cd00c800cd00c900c800c900ca00c800cf00ca00cf00ca00cf00ce00cf00bf01c000be00c100d800d300d900d800d900d700d800d904c0
+00cf01ca01cf00ca00cb00ce00cb00cf00ca00c900cf01cb03ca00cb00ca00c900ca00c500ca00c500c401c500c400c600c400cb01ca00c400c500c600c800c900cb00c400c900ca
+00c501c400c901c500c900c400c501ca00c900c402c500c800ca00c500c900c500ca01c900ca00c401c500ca00c401c500c400c501bf03c400bf00c301c500c300c400c500c901c6
+00c900c400c600c400c800c400ca00c400c500c400c600c900c500c600c400ca01c500c900ca00cb00ca00cb00c401ca00cb00c900cb00c500c600c901ca00c500c400c900c301c9
+3901011206010111011206010111350100c900c601c900ca00c400c800ca00c400ca00c600c900c400c900c601c900cb00c600c400ca00c600c900ca00c501c400c500ca00c500ca
+00c500ca00c500ca01c500c602c900c500ca00c400c501c401c600c401c600c400bf00c001c600c500c001c500c100c400c900ca00c600cb00ca00c500c400c900c502ca00c900cb
+00c400c500c902c500c900c300c600ca00c600c400ca00c900c400c501ca01c900c401ca00cb00ca00c400c900c500c900ca00c800c500c301c900c802ca00c901ca01c800ce00ca
+00c800ca00cd02c900ce00c901ce00c900ca00c900bf00c002bf00d300d800d900d800d402d800c102c000bf00c900ce00ca01ce00cb00ce00ca00d000ca00cf000100ca00d000ca
+00cb00ca00c9000102ca00c800c601ca00cb00c500ca00c500c400c800c400cb00c402ca00c900c500c400c900c500c903ca00c900c601c400c500c401c900ca00c400ca00c401ca
+00c300c400c500c401c901ca01c500ca00c301bf00c000bf00c300be00c000c400c500c400be01c500c401c500c301c400c600c500c400ca00c400c800c400ca00c400ca00c900cb
+01c501c401c500c400ca01c900c300c501c400c500cb00c901ca00c402ca00c400c500c301c501ca00c43701011206010111011206010111340100cb01c401ca01c400ca00c500c4
+01ca00c400c800c400ca00c500c900c400c900c400ca00c601c400c500c900c403c500ca00c400ca00c400c500ca00c500ca05c500c401c500c400c100c400c100c400bf01c500c6
+00c000c100c001c500ca00c400ca01c400ca00c400c901ca00c400c900c500ca00c901c400c501c400c900c800ca00c500c400c900c501ca00cb00c900c400c800c901c500c900c4
+00c300c500c900c400c301c901c500ca00c900c801c400c900ca05c900c800ca01c900ce00c900c800ce00cd01c800ca00ce01cd00b900bb00c000d700d900d203d800d400d900d3
+00bb00c000bb00cf00ca00cb00ce00d000cf00cd00ce00c901cf00ce00c900ca000100ca00cb000103cb00c900c500cb00ca01c500c900ca00c500c900c500ca01c501ca00c400ca
+00c500c400c500ca02c900c500cb00c900c500c601c901c502c400c300c401c900c502ca01c300c401c500c800c400c900c500ca00c500bf00c000bf00c004c400c000c502c400c5
+00c401c501c901ca00c800c500c900c500ca00c400c900ca00c300c500c901c500c600c900c4000000ca00c500c900c400ca01c900ca00c400c900ca00c900c400c900cb00c500cb
+00ca00c500c400c53601011206010111011206010111320100c500c400ca00c500c900c500c900c400ca01c900ca00c400ca00c600ca01c900ca00c400cb00c901ca00c900c400c5
+00c900c400ca00c900ca00c903c500cb00c900c501ca00c500c900c400c501c401c502c400c500c000c100c500c600c400c000c100c000c400ca00c500c400ca00c800c301c901ca
+01c500c400c900c500cb00c400c501c400ca01c401ca00c900c500c400c600cb00ca00c400c500c400c601c900ca00c900c400c501c900c500c900c500cb00c401c900c500c900ca
+00c900c500c402c900ca00c900c800ca00c900c800cf00c800ce00cd00cf00ca00c900ce00cd01ca00c900ca008400bf00d200d401d300d800d200d400d500d800d401bb01c900ca
+00cf00ce01c900ce00c900ce00ca00cf00ca00d000cb02ca00cb02ca00c901ca00c500c900c500ca00c501ca00c900c501ca00c500ca00c502ca00c400c500cb00c500c400c801ca
+00c300c400ca01c501c400c900ca00c600c500c901ca00c900c500c900c400c301c900c400c500c900ca00c500ca00c600c900c500c400bf03c401c501c400c503c402c500ca00c4
+00cb00ca00c500c400ca00c500c400ca00c500c900c600c901ca00c400ca00c800c500c800c900c501c900ca00c500c800c400c601ca01c500c400c900c300ca00c500c900cb00ca
+00c43401011206010111011206010111300100c900c600c400c900c401c900c401c900c500c900c600ca01c400ca00c500ca000100ca00c500c400c600c402c501ca00c400ca00c3
+00c901ca00c400c500c901c500c902c500ca00c400c500c400c601c400c500bf02c001c500c000c600c100c500ca01c500c900ca00c400c500c900ca00c500c900c400ca00c500c9
+01ca00c600ca00c501c400c900c500c800c900c500ca00c500c800c400c300c4000100c400c502ca00c401ca02c500ca00c500c900c400c300c500ca00c400c901c401ca00c301ca
+01c900c800c900cb00ca00cf00ce00c900ca00c900ce00cd01c901ca01c9008401d403d301d400d500d300d400d200ba00ca00c900cb00c900cb00ce01ca00c800cf00cb00c90001
+01cb01ca01cb00c900ca00c900ca00c601ca00c900c500ca00c500c602c500c400cb00c401c500c400c800c401c500ca00c800c901ca00c500c600ca00c400c500ca00c901c400ca
+00c500c400c901ca00c501c901c400ca01c900c500cb00ca00c400c500c9000100c402c500c600c501c400c500c301c400c302c500c600c500ca00c901c500c403ca00c400ca00c4
+00c600c500ca00c401ca00cb00c400c900ca00c400cb00c800c500cb00ca00c400c900c500ca00c400ca00c900ca00c900ca00c400c500ca00c400c500cb00c500cb320101120601
+01110112060101112e0100c600c500c400c500cb00c900c500c901c500ca00c900ca00c500c600c400ca00c500c601c500c900c601c900c403c500c600c400c500c400c500c801c5
+01c900c500c300c800c500cb00ca03c900c500c602c400c600c501c000c101c500c100c501c900c600ca00c500cb00c900c400ca00cb00c901ca00c500c400cb00c500c901ca00c9
+03c500c402ca00c900c400c900c500c400c802c900c800ca02c900c401ca00c400ca00c900c500cb00c300c900c400ca00c500ca00c401ca00c9000000ca02c901c800c900cf00c8
+00ca00ce00cd00ce00c900c802ca00c901d300d400d201d300d402d300d400d300d400d301ca00c901ca00c901ca00ce00ca00cf02c900cb03c900ca00c500ca00c900ca00cb00ca
+00c501ca00c500cb00c500ca00c900c500cb00ca00c900c400c500c401ca01c900c600c400c900c500ca00c900c500c900c300cb01ca01c900c500c900cb00c500cb01c400c900ca
+00c500ca00c301ca00c501c900c601ca00c400c900ca00c600c500c400c600c500c400c500c400c300c402c500c900c300ca00c401ca00c400c900c300c500c800ca00c900ca01c5
+00c400c900c500ca00cb00ca00c500ca00c900c801ca00c600c901c500ca00c900c400c501ca00c900c500c900c500c400c500cb01c401cb00c83001011206010111011206010111
+2d0100cb00c401ca00cb00c500c600ca00c900ca00c500ca00c600cb00c500ca00c800ca00c900cb00c600ca00c500ca000000c501c900ca00c500ca00c400ca01c901c5000100ca
+00c600ca00c500c900c500c400c500c300c900c500c800c600c500c600c501c401c500c100bf01c500c400c300c501ca00c501c900c500ca00c500ca00c500ca00c900cb00c901c5
+00ca01c500ca00c600c800c500c900c501c400c901c500c400ca00c500c901c600ca01c401c900ca00c900c400ca00c900ca01c900c500ca00c900c500cb00c300c900c500ca00c5
+00c400c500c402c900ca01c901c800c900ce02ca00c803c900d301d400d301d400d300d501d300d404d300c901ca01c900ca01c901ca00cb00ca02c900ca00c900ca02c500ca00c4
+00c900c401ca00c400c500ca00c500c401c501c900ca00cb00c401c900c500c900c502ca00c900c401c500c300c901c400c500ca00c501c400ca00c900ca00c900c500ca00c900c5
+00ca00c500ca00c900ca00c900ca00cb00c500cb00ca00cb00c500c400c300c400c501c402c500c400c900c500ca00c300c400ca00c500c400ca00c900c501c900c401ca02c500c9
+00ca01c600c400c900ca00c400ca00c500ca00cb00ca00c500c301c500ca00c602c500ca00c500c900c400ca01c902c501ca00c42f010112060101110112060101112b0100c900ca
+00c500ca00c500ca01c400c500c400c500ca00c901ca00c400c600c400c900c500c600c900c500cb02c400c500cb00c900ca00c400ca00c500ca02c400c500ca01c500c900c501c9
+00c600c900c501c400c900c500c400ca00c500c400c500c402c500c101c401c501ca00c500ca00c500ca00cb00ca00c500ca00c900c800ca00c500c400cb00c803c900ca00c901ca
+00c901c500ca00c500c401ca00c500c900c600c900c500ca00c500c900c500c900c400c500c401ca00cb01c401c901ca00c300c900c400ca01c500c402c900ca02c901ca00c900ca
+00c900ca00c900ca00c400c800d501d401d300d200d300d502d300d200d401d300d200d300ce00c900c300c900ca00c800c902ca01c900cb00ca01c900ca00c900c500cb01c500c4
+00c500ca01c501cb00c900c500c400c500ca00c400ca00c900c400c900c400c800ca00c403ca00c400ca01c900c400ca00c401c500c400c500c401ca00c400c600ca00c400c501c4
+00c900c300ca00c9000100c400ca01c600c500ca00c400c500cb01ca02c500c300c401c500c900c800c500c900ca00c500c400c500ca00c900ca01c500c900c500ca00c500ca00c4
+00c800c500c901c501ca00cb00c400ca00c500c900c800c500c401c500ca00c400ca01c500ca00c600c901c500cb01c501c900cb01ca00c500c42d01011206010111011206010111
+290100c900c400c801c500c900cb00c500ca01c500c800ca01c500c900c400ca00c400cb00c400ca00c500c900c501cb00ca01c900c400c500c900c401c500c901c500c400ca00c9
+00ca00c500c900c400c901c500c600ca01c500c400cb01c400ca00c300c600c500c601c500ca00c500ca00c800c500c900ca00c500c400c900ca00c900c600ca00c500c400c800c9
+00c500c600c400c600c401c500c600c500c400ca01c402c901c500c900ca01c900cb00c901ca00c900ca00c901ca01c401c500c300c901ca00c500c900ca00c900c600c901c401ca
+00c400c600c400c900ca01c902ca00c901ca02c401d001d300d400d300d400d200d300d200d301d400d301d400d301ce00cd01c400c503ca00c901ca01c901ca01c500c403ca00cb
+01c900ca00c500c600cb00c400ca00c900c400c900c401ca00c601c500c401ca01c500c900cb00c400c502ca00c400ca00c400ca02c900c500c901c500cb00c900c400c900c500ca
+00c600c400c900c500c900c400c905ca00c900c601c900cb01c500c900c500c901ca00c300ca00cb00ca00c402ca02c901c500cb00c601c400c500c901c501ca01c500ca00c400c9
+00c500c900c500c600c900ca00c600c400c900c400c900ca00c300c900c500c800c400c601c500c900c400ca00c900c500c42b01011206010111011206010111280100c500ca00c4
+00c900c401c500c400c500c401c501ca00c500ca01c500c900c400c900ca00c801c500c900c301c500ca00c300c400ca00c400ca00c500c900c501c400cb00c900ca00c901c500c9
+01ca00c400cb00ca00c500c403c501ca00c900c400ca00c600c400c500ca03c500ca00c900c500c401c900ca00c300c500c300c500ca00c900c500ca00c401c900ca01c400c900c5
+00ca00c500c400c900c500ca00c302ca01c901ca00c900c500c800ca00c401c500c900c501ca00c900ca02c400ca01c901c500c900c300c901c402ca00c900ca02c900ca03c400d3
+00d004d400d500d400d500d302d402d301cd00cf00ce00d300c401c500c400ca00c800c901ca00c901ca00c600c500c900c400ca00c500c600c500ca00c300ca00cb01c901c401c9
+00c400ca00c400c500c800c400c500c400ca00c901ca00c900c502ca00c900c600ca00c900ca00c900c400c600c900c600c900c500ca00c500c902c500c400ca00c600c500c900c5
+01c903c500ca00cb00c601c900c401c500c900c400c900cb00c300c903c500cb02c400ca00c300cb00ca00c900c600c500c601c401c900c400ca00c400ca01c501ca00c601c901ca
+01c501ca01c400c900c400c900c500c900c600ca00c501ca00c801c400ca00c500c400ca2a01011206010111011206010111260100c600c500c900c500cb01c500c400c600c800ca
+00cb00c400c500c400c900c400ca00c500c900ca00c601c500ca00c300c500c800c401c500c900ca00c600ca00c500ca00c400c500c401c501ca00c400c900c800ca02c500ca00c5
+00c600c900c500ca000100ca00c500ca00c400ca01c501ca01c401c900c402ca02c900ca00c401c900c500c400ca00c501c901c400c500ca00c900c400cb00c501c400c900cb00c4
+01c901c501ca00c400c901c500c900ca00c901c400c500c901c400c900cb03ca00c501c400c900c400cb01c401c500c400c900c400ca00c900ca00c801c402c500d000d400d500ce
+01d400d001d400d300d400d200d400d300d403cf000002ce00cd00c600c500c300c500c300c501ca01c900c601c400ca00c500c400c900ca00c902c500c900c600c400c901ca00c9
+00c401ca00c900c400c500c400c500c400c501ca00c900c400c500ca01c500c600c900cb00ca02c500c300ca00c900c501c900ca00c400ca00c500c600c902c400c500ca00c900c5
+00cb00c900c500c900c500c600c901c400c900ca00c402c500c902c400c500c400c500c400c500c400c500c600c400c502c400ca00c900c500c900cb00ca01cb00c900c501c900c6
+00ca01c900c501c900c500c401c500c401c502c402c500c900ca00c600c401c900cb00c601c900ca2801011206010111011206010111240100c900c500ca00c900c500ca00c500c6
+00ca00c900c800c901c500cb00c500ca00c400ca00cb00ca00c800ca02c903c500ca01c501c900ca00c400c600ca03c500c900c400c900c400c900c500c900ca00c600ca02c500ca
+00c501ca01c900ca00c400ca00c500cb00c600c500ca00c500c900ca00c900c601ca00c500c400ca00c400c500c400c300c900ca00c400ca00cb00ca01c500ca00c500c900c600c3
+00c600cb00ca00c402c500c900c400c900c501c401c500ca00c902ca00c400ca00c900c300c400c500c900ca01c501c401c501c400c600c401c600ca00c500c900c402c501c400c3
+00c400d001d500cf00ce00d001d400d500d300d400ce02d302cf02ce00cd00ce00cf00ce00d001ce00c500c400c500c600c500c400c504c400c500c600c300c500c401c501c401c5
+00ca00c500ca00c500cb00c300c900ca00c500c800c502ca00c800ca00cb01c500c900c502c901c400c900c400ca00c900c400c501ca00c400c900ca00c900c401ca01c900ca00c9
+02c500ca00c500ca00c501c902c500c902c500c300c500c400c505c400c900c300c500c900c600c402c501c900c401c500ca00c401c900cb01c500c900ca01c500ca00c901c500ca
+00c500c900c500ca00c900ca01c501c900c400c602c900ca01c901ca00c500ca00c400c62601011206010111011206010111220101cb02ca01c400c600c500c900cb00ca00cb00c5
+00c900c500ca00c900cb00c900ca00c600c900cb00c501c901ca00c500c401c902c400ca01c500c901c401c500c800c500c400c501c900c400c600c500c900c604ca00c500c900c5
+01c400c800ca00c901c500ca00c400ca00c901c500c900c500c400c500ca00c5000100ca01c500c400c501c400c900ca00c400c600c400c600c502c900ca01c900ca03c900c600ca
+00c801ca00c600ca00c600ca01c900ca01c500c901ca00c600c401c500c400c300c601c500c400c500c403c502c402c501c400d400d000cf000100cf00d000cf00d000cf00d400cd
+00cf00d500d300ce00d300ce00d002ce00cf01ce00cf00cd00cf00d300cd00d400c500c400c301c400c601c500c300c504c400c500c400c601c402c500c900ca00c600c501c601c9
+02c500ca02c901c400c500ca00c500ca00c501cb01c900ca00cb00c402c500cb00c900c400cb00c500c400c900c500c401c500c401c500ca00c501ca01c900ca01c500ca00c300c4
+00c500c302c400c304c400c901c401ca00c400c600c900ca00c600c500c402ca00c500ca00c500ca00c401c900ca00cb01c900c500c900ca00c400c801c500ca00c900c601c400ca
+00c900ca00cb00c500cb00c400cb00c600c900c400c600ca00c400c500c901c500c42401011206010111011206010111210100c600ca00c900c400ca00c500c400ca00c500ca00c8
+00c601c900c400c500c900ca00c400ca00c900c400ca00c400c300c400c500ca01c500cb00ca00c500c600ca00c400c603c400ca00c900c501ca01c900c300c901ca00c500c600c4
+01ca00c601c5000100c400c600c500c400c600c500ca00c500c600cb00ca00c400c600ca00c300c800c400ca00c500c400c800c601c500c402c900c500c901c500ca00c800c400c9
+00c500c401ca02c901ca00c500cb00c500c600ca00c901c500c400c901ca00c500ca00c901c602c500c302c500c601c500c400c500c400c300c400c600c500c401c500c600c500c4
+00c601c501d0000100cf000101d400ce00cf01d002d400d300d400cd00cf00ce00cd01ce00cf00cd01ce00cf00cd000000d200d300cd03c400c500c400c600c500c400c501c401c5
+03c400c500c401c500c400c500c401ca00c401c500c900ca00c600c900c400c900c401ca00c400ca00c500ca00c400c900c500c400c301ca01c900c400c900c500c601ca00c500cb
+00c400ca00c900ca00c600ca00c500c900c500c601c500c400ca00c900cb00c900c500c600c500c300c500c401c500c400c500c400c504c401c500c400ca00c900c800ca00c400cb
+00c600c900ca00c501ca01c500c800c400c300c500c402c900c500ca00c500c900ca00c500ca01c900c600c400ca00c500c600cb00c501ca00c600c400c500c900c501ca00c400ca
+00c900ca00c42301011206010111011206010111200100c901ca01c501c900c800c400ca00c500c800c500c600c900cb01c501ca01c900ca00c401c500c400c500c800c400c500ca
+00c900c500c800c500ca00c400ca00c400c900ca01c500ca00c900ca01c900ca00cb02ca00c500c400c900c500ca00c400cb00c601ca00c900c800cb00c600cb00ca00c500c400ca
+00c900ca00c400c500c400ca00c400c500ca01c901c500ca00c500c400c901c401c500c400c900c400c600c500c304ca01c500ca00c300c400c900c500c400c500c401c503c401c5
+00c401c500c400c502c401c500c300c500c400c500c401c500c400c500c602c500c601c500d000cf00d001cf00d000d400d501d400d501ce01cf00d404cf00cd01ce01cd01ce00d4
+03ce00d302c500c400c500c402c600c500c401c501c400c100bf01c401c500c600c500c400c500c900c400c500ca00c401c500c600c401c501c400c900c600c500c900ca00c401c5
+00c400ca00c500c900c300c500c400c500c400c901c500cb00c400cb00c401ca01c401ca00c400c500c900c300ca00c300c602c501c401c501c401c501c400c502c401c501c400ca
+00c900ca00c902ca00c900cb00c500c900ca00c402c500c900c600ca02c500c400c800cb00c900c401c501cb04c900c600c401ca00c801ca00c901c500ca00c401c501ca00c92201
+011206010111011206010111220100c901c500c400ca00c500cb00c500c900c400c600ca00cb00c900c500ca00c501c900c400c601ca00c500c900ca00c501c400c900c400ca00c6
+00c402c501c400c900d002ca00c905ca00c900ca00c500c601c900c402ca00cb00c900ca000101c502c402c500c600c500c901ca00c400c500ca00cb00c301ca02c400c300c500c4
+01c500c600c400c500c400c300c501ca00c500c400c500ca01c500c600c401c500c400c500c300c502c400c500c607c501c402c000c500c000bf00c403c000c500c601c500d500cf
+000100d001cf01d500cf00d400ce00cf01d000d400d001ce00d000ce00cf01ce00cf02ce00cf00cd01d303ce00d300ce00d300c300c400c300c500c400c500bf00c000c401bf00c0
+00bf01c400bf00c400c500c400c500c401c501c402c500c600c400c600c500c400c500c600c400c500c601c501c400c500c900ca01c602c500c400c601c500c301c500c400ca00c9
+01c500ca00c800c500cb01c400ca00c600c402c500c302c400c500bf02c500c400c500c300c501c400c501c400c500c402ca01c900ca00c801c901ca00c900c500c400ca00c400c5
+00c800c900ca00c301c402ca00c901c400c600cb01ca00c401ca00c900c400ca01c402c500c400c501ca01c900c42401011206010111011206010111230100c500c400c900c800c5
+00ca01c500c900c501c400ca00c900ca00c900cb00c900c801c900ca01c901ca01c502ca00cb00c400c900ce00c800ce00c900cf00ce00ca00c800ca00cb00c903ca01c900ca00c5
+00c600ca00cb00c400c501c601cb01c5000100c400c500c603c401c500c601c400c500ca00c400c900ca00c405c500c401c600c501c401c500c600c300c900c500c300c401c500c6
+00c400c600c401c500c400c601c400c301c500c400c500c400c500c600c500c400c501c400c501bf02c000c500c100c500c000c500bf00c600c000bf000100d002d500d400d302d5
+00d000ce00d401cf00ce00d404cf00cd00ce00cf00cd00cf00cd00ce00cd01d400d200cd00d300ce00d300ce00d400d300c400c300bf00c000c400c000bf00c400bf00c500c100c4
+00bf00c500c000bf00c400c501c400c500c401c500c400c601c500c400c601c400c500c400c502c400c602c500ca01c502c400c500c400c501c400c500c401c501ca00c400ca00c9
+00c500cb00ca01c500c400ca04c500c401c501c400c000c100c500c300c501c300c400c300c400c500c400c500c400c504c900cb03c901c800ca00cb00c900ca00c600ca00c500c4
+00cb00c400c301c900ca00c600ca00c900c400ca00c500ca00c400ca00c500c400c600c900c400c901c400c500ca00c900c400c500c42501011206010111011206010111240100c5
+00ca00c400c500c400c500ca02c500c900c503ca00c500ca00c900ca01c900ca00c901ca00c800ca00cd01cf000000ce00c9000100cd00c900ca00ce00cf01cb01ca00c900ca00cb
+02ca00cb01c500c900ca00c501cb00c600cb02c500c401c500c301c500c400c501c400c501ca00c500ca00c900c400ca01c500c902c600c500c400c501c401c501c400c500c301c4
+00c501c400c500c400c500c400c500c400c500c002c400c000c602c400c500bf00c400c504c400c000bf00c500bf00c500c300c000c601c500c401c100d500d001d400d500d000cf
+01d4000100d500cf00d500d400d000d400cf000100ce01cf00ce00d002cf02cd00ce00cf00d200d300ce00d300d200d300ce000001d300cd01c500c600bf00c300bf00c400c001c5
+00c001c400c000c600bf00c500c300c500c600c400c501c400c500c300c400c500be01c400c602c400c501c400c300c500c400c500c400c501c400c501c400c600c300c500c600c4
+00c501c400c501c900ca01c401c500c900ca00c500c300c400c502c400c500c000be00c401bf00c500bf01c401c501c401c500c300c401c904ca00c901ca03c901ca00ce03cf01c5
+00c600c901c500c400c600c501c900c500c400c900c500c600c901ca00cb00c900c500c903c400c92601011206010111011206010111250100ca02c900c400c900ca00c501c900c5
+01c900c500ca00c401ca00c500c900c500ca00ce00cd02ce01cf01cd00ce00cd00c900ca00ce00cf00ca02c900cb00ca00cb00c900cb00c903ca000100c600c900c500c400ca00c5
+01c601c501c400c500be00c001c400c500c601c400c502c401c500c300c500c600c400c600c400c500c400c600c001c500c400c500c400c500c602c500c601c500c402c500c400bf
+00c500bf00c500bf02c501c400c100bf01c500bf00c000c400c500c000c600c000c401c500bf00c500c000c500c001c500d000d4000100d500cf00d501d000d400d0000101d500cf
+00d003cf01d002cf01ce00cd01ce00cf01ce00d200d303d200ce01d300cd00d200d300ce00cf00c500bf00c000c101c500c400c0000101c500be00bf01c000c500bf00c401bf00c0
+00c100bf02c400c500c600c102c502c405c500c402c500c301c000c400c500c600c500c400c602c500c600c400c500c601c500c600c504c400c600c500c400c001c401c003c400c3
+01c500c300c400c500c400c600c901ca00c800c902ca00c800cb00ca01c900ca00cb01c902ce00cf00d001cf01d400c600c500c8000100c500cb00c400ca00c400c500ca00c600c4
+00c500c800c401ca00c400c500ca00c42701011206010111011206010111260101c400ca00cb00c600ca00c900ca00c400c900ca00c900c500ca00c500c900c500cd00cf00ce00cf
+00d300cd00ce00d300d001cf00ce00cd00ce00cd00ce01cf00ce01ca00c900cb00ca00cb01c900ca00cb01ca000100ca00cb02c600ca02c600c500c601c401bf00c301c000c501c4
+00c301c500c401c500c400c500c600c400c502c400c500c601c000bf00c500bf00c5000100c500c4000000c600c500c400c600c400c500c400c000c401bf00c100c400c501c400bf
+00c000bf00c600c400c500c600c501c401bf00c000bf00c000c102c501c000c500bf00c400cf01d000d5010100d400d500cf000100d000d400d501d000ce01cf00ce01d000ce00cf
+00ce00cf00ce00c900ce00cd00ce00cf01ce01d300d201d300d200d300cd00d300d201d300ce00cd00ce01c400c600c000c400c500c400c100c400c000c400c000c300c400bf00c0
+00c503c000bf02c400c301c401bf01c605c500c300c500c302c400c300c100c500bf00c400c501c400c500c400c501c601c400c300c600c500c400c500c403c500c400bf00c000c6
+00c500c000bf00c500c001bf01c400c500c600c400c501c401c503ca00c801ca00c900ca01c900ca00c901ca01ce00cf00ce00cf00ce00cd00cf00ce00cf00ce00d401cf01c400c9
+00cb01ca00cb00c400ca00c500ca00c901c400cb00c900c42801011206010111011206010111270100ca01c500ca00c400c601c900c400c500ca00c500c900d300d400cf00ce01cf
+00ce00cd00cf01ce00cf00ce00cd00cf00ce00cd01ce02cf00d000ca00cd00cb00ca00c902ca00c900ca01cb00ca00cb00ca00cb010103c500c400c000c400c100be01c501bf00c3
+00c000c603c500c401c500c300c500c001c400c601c400c500c000c600c000bf00c401bf00c400c000c500c400c000c400c300c401c500c000c400c000bf00c500c400bf00c500bf
+00c400c000c400c500c400bf00c502c600c300c400c500c000c400c600c001c400c500bf00c5000102d000d5000100d000d500d400d501d000d400d000d400d000d501d000cf00ce
+00d000cf00ce00cf00ce00c800ce00cf01ce01cd01ce00d000cd00d201ce00cd00ce00d300cf00d200d300cf01cd00ce00c001c500bf00c400c500c300c000c400c000c400bf00c5
+01c100c401c000c501c000c601c400c500c000bf00c400c000c100c500c000c400c000c500c400be00c500c000c100c500c000c500c000c401c500c000bf00c000bf00c502c400c5
+00c401c500c300c403c500be02c400c000bf00c400c500c300c500c400c500bf01c500c001c401c501c600c400c301c500c301ca02c900ca00c901ca01c901ca01d000cd000100d0
+00cf00ce00d000cf01ce00cf01ce01cf02ca00c900c500c801c400c501c400ca00c42901011206010111011206010111290100ca00c501ca01c900c400cb00c500c600c400d400ce
+01cf01ce00cd00cf02ce00cd00cf00ce04cf00ce00ca00c900cf01c902ca00c902ca00cb000102cb010101c600c400c500c400c500bf00c500c600be00bf01c400c100bf00c501c0
+00c404c500be00c600c001c300c501c401c500c603c000c300c000c500c000c400c500be00c001c500c400c500c000bf00c500c000bf00c500bf00be01c001bf00c000c502bf00c4
+00c000c500c000c500c600c500bf00c500c000c100c000cb00cf02d000ce000101d5000102d500d000d500d406d002cf00ce00ca00cf05ce00d401d300cd00d300d401d200cd00d3
+00cd000001ce000001cf00ce00c900c500c001c400c500be00bf00c401c500bf00c301c400be00c500bf00c500c100c300c501c000c400c000bf02c000c402c500c300c501c400bf
+00c501c000c600c500c000c300c500c400c500c300c000bf01c400c500c001c500c001bf00c000c600c400c500c301c402c000c100c501c400c302c401c001c400c500c400c500c4
+00c500c300c500c600c500ca00c401c901ca00cb01ca00c801ca00cf02ce00cf00ce00d000cf00ce04cf00cd00cf000100c901c400cb00c400ca00c900ca01c52b01011206010111
+0112060101112a0100ca03c900c301c900c600c500d400d003cf00ce00cf02ce00cd01cf00ce00cd02ce00cf00d000ce00c900cd00d000ce01c900cb01ca00cb03ca000102c602c5
+00c400c000c500bf00c500be00bf01c000c500c300c401c000bf01c002c601bf00c001c400c101c400c100c500c000c400c002c502c400c000bf00c400c500c300bf00c400c500c0
+00c500c000bf00c500c400bf00c500c400c500c000c400c500c000c400be01c500c400c000be00bf00c000c101c000c400c600cb000100ca03d000cf02d000cf00d503d400d501d0
+00cf00d001cf000100ca01cb00c901ca01ce00cd02ce00cd00d301d200cd00d500d200d300cf00ce00d200cd01ce00cf00ce00c900ca000000c401c300be00c501c400c500bf00c5
+00c400c300c500be00c400c001bf01c000c400c500c000bf01c500bf00c400c500c000c300be00c500c600bf00c000c600c500c000bf00c602c000c400c500c600c000c301c500be
+01c501c001bf00c400bf00c500bf00c600c000c500c401c000bf01c400c101c400c000c400c000c400c500bf00c400c500c401c505c400c600c9000103ca00c900ca00c900ca02cf
+00d000ce00d001cf00d000cf01ce00cf00cd00ce00d000c900c400ca00c400c500ca00c602c42c010112060101110112060101112b0101c900ca00c800c401c500c400c501cf0001
+00cf00d002cf01ce00cd00ce00cf02ce05cf01ce00ca00d000cb01ca01cb00ca02cb000100ca000100c500c400c600c400bf00c000c600c001c400c001c500c401bf00c100c501bf
+00c001bf00c500c000c400be00c000c400bf00c400be00c100bf02c001bf05c401c000bf00c400c000bf00c500c000c401c500c400c500c400c500c600c502c000c602c400c500c4
+00bf00c500c400c000c100c400c500c100ca00cb00cf000104d000cf00d000d500cf00d500cf00d500d400cf03d000cb03ca00cb00ca00c900ca00c800c900ca01c900ca00ce00cd
+00d000d300d200ce00cd00d200d301cd04ce00cd00cf01c900ce00bf00c400c500c000bf00c400c000c101c000bf00c000bf00c401c500c600bf00c000c500c001c400c500c400c0
+00c100c400bf01c001bf00c400c001c500bf00c000c500bf00c401c500c600c500c001bf00c500c000c600c000c400c500c001c400c600c000c300c401bf00c400c500c000c600c1
+01c000c400bf00c000bf00c000c500c300c502c400c500c400c500c400c601c501c401c500c400ca00c902ca00c901ca00ce01cf00ce07cf01cd00cf00c400ca01c400ca00c500ca
+00c500c92d010112060101110112060101112c0100c501c900c600c501c900c8000000ce02d000cf01ce00cf00ce00cf00ce00cf00ce00cd00cf00d001ce01cf00c800ca00c800ca
+01d000ca03cb00ca00cb00ca02c601c400c000bf00c400bf01c400c601c400c600c400c500c000c400c001c501c001c501c000bf00c500be00c402c500c000c400c600bf00c400c0
+01c400be00c002c400c500c000c400c000bf00c100c600c300bf00c500c400c600c500c601c500c400c000c600bf00c000c100c500bf00c500c400c500c400bf01c600c001cb00d0
+000101cb00ca00d000cf00d000cf000100d5000101d000d501d0000102cf04ca00cb01c900ca00c900cb02ca01c900cd00cf02ce00d202cd00d201cf00cd00ce000003ce01c800cd
+00ce00c300c400c500c401c500c000bf00c600c401bf00c601c4000100c400c100c500c000c500bf00c500c100c400c500bf00c500c300c000c400c501c000c400c501c400bf03c0
+00c100c000c500c100c600c500c100bf00c000c400c000c100bf00c000c600bf00c002bf00c500c400c000c500c000c401c500c300c100c501c000bf00c600bf00c500c000c401c5
+03c400c300c400c600c401c500c903ca00cb00ce01ca01cf01d000ce00cf00ce00cd00cf00d000d500cf00c500c600ca00c900cb00c500ca00c62e01011206010111011206010111
+2e0100c800c600ca00c400c500cb00ce00d200d000ce01cf01d001ce00cf00d000cf00ce00cf00ce04cf00ca00ce00cf00ca00cb010101ca000101cb00c600c500c401c600c500c0
+00c400bf00c500c400c000c500c400c500c402c000c302c400bf00c600c400c500c400c002bf00c000c600bf00c100bf02c400c500c400bf02c100bf00c500c000c602c000bf01c5
+00c400bf00c500c001bf00c500c000c501c600c500c400c000c400c500c400be00c000c600bf00c100c501c0010100ca01cb00d000cb00ca04d0000100cf000100d500d400d000cf
+01d000cf01ca02c900c500c400ca01c400c500ca00c500c404c900cd02ce01d200d303cd02ce00cd00c800ce00c901cd00c900ce01c000bf00c500bf00c400c000c500c400bf00c4
+00c601c500bf00c600c000c500c100c400bf01c500c300c400bf00c001bf01c500bf00c500c000c600c400c501c000c400c300c400c300bf00c001c500bf00c500bf01c500c400be
+00bf00c600c400c100c000bf00c500c000c500c400c500bf00c500bf01c400c000c400bf00c600c003c501bf01c500c401c501c400c303c500c400ca00cb01ca00c800c901cb00ca
+00cb01d001ce00cf02ce00d000d500c500c900c500c600c900ca30010112060101110112060101112f0100c900cb00ca00c400c500d200d300cf00ce00cf00d000ce00cd01cf00d0
+02cf00ce05cf01ca01cf00cb00cf000101cb000100ca00cb000101c400c500c400c500c000c600c400bf00c000c400bf00c400c501bf00c500bf02c000c100c600c000c101c500c4
+00bf00c401c000bf01c000bf00c000c400c001c500bf00c500bf00c100c000bf00c500bf00c502c000c600c501c001c500c000c400c001bf00c000c600c500bf00c001bf00c400c0
+00c100c401bf00c500c600d0000100ca020101cb03d000cf000100d001d4010102d000ca00cb00ca00cb00c900cb00c401c501c400c900cb01c900c600c502c900ca02ce01cf00d3
+00cf00d304ce01cd00c800cd00c900ce00ca00c901cf00bf00c401c002bf00c500c300c000c400c000bf00c400c500bf00c000c100bf00c000c500c000c500c000c300c500c600bf
+00c500c100c500c400c500c000c500bf01c500c003c400c500c400c001c400c500c400c500bf01c500c601c400bf00be00c000c500bf00c000bf00c500c000c400c000bf00c000c5
+00c100c400bf00c000c500bf01c002c500c600c401c500c400c501c400c600c500c900ca01cb00ca00c900ca00c900ca01c900ce00cb01ca00c903ce00d300cb00ca00c500c900c6
+3101011206010111011206010111300100c402c900d301cd00cf00ce02cf00ce00cd03cf01ce00cf00ce02cf00ce00cf01d001cf010102cb000100c500c400c500c301c000c601c4
+00bf00c001c500bf01c000c400bf00c501c401c000c500c001c500c400c000c500c300c000c500bf00c500c400c000c500bf00c300c000c500c100c002bf02c001c500c400c500c0
+00c601c000bf00c400c000c502bf02c002c500bf00c401bf00c600c000c6020100d0000101cb00cf00d0000100cb000100d0000100d0000101d0000101d001cf00d0000100ca00c9
+00cb00ca00c600c300ca00c601c500ca00c900ca00c400c500c300c401ca01c901ce00cd00cf00cd00ce00cd02ce00cd00ce00c900c800ce00c900c801c900ce00cd00cf00ce00c8
+00c500be00c400c500c400c600bf00c000c400bf00c500c300c100c000c301c000c102c000c400c000c300bf00c500c601c400be00bf00c100c000c300bf00c400bf00c000c500bf
+00c001c400c505c000c400c500c102c500c400c000c500bf00c501bf00c000bf00c000c500bf00c400c000bf00c000c400c500bf00c501bf00c000bf00c300c400c500c402c600c4
+00c501c601ca00c900ca00cb00c900cb02c900ca00c900cb00c800c900ce00ca00d400d300ce01ca00c900c63201011206010111011206010111320100ca00ce00cd00cf00d200d0
+00ce00d000cf01ce00cf00cd00ce00cf00ce00cf00ce02cf00ce00d0000101cf01d0000100d0020100cb00c501c400c500c000c500c100c400c600bf00c101c000bf00c000bf00c0
+00c400bf00c500bf00c603bf00c001c400c000c500c001c401c000c500c600c000c500c401c000c500bf00c400c000bf00be00c000c100c000c500bf00c500c000c600c500c400c5
+01c400c500c000c100bf00c400bf00c500c000c504c001c5010100cb020102d000cb000100cb00cf00cb02d000cf03d000cf02cb02ca00c902ca00c900cb00c601c400c801c500c6
+00c403c900ca00c9000000ce03cf02cd00ca00cd00c900ce00cd00c900cd00ce00ca00c900ca00ce00cf00cd00c000bf01c400c500c401bf01c400c501bf00c501bf00c000c400c5
+00c300c500c001c400c601c401c000c400bf01c501bf02c400c501c400c300c400c000c500c100c600bf00c600c300c400c000bf00c500c400c300bf00c000c400c600bf00c500c0
+00c600c400c600bf01c500c100c500c100c500bf00c400c500c000c500c000bf00c500c400c500c401c500c401c500c401c500cb00ca01c901ca00c901ca00c801ca00c900ca00c9
+00d301d400cf00c93401011206010111011206010111380100c900d000cf00ce02cf00ce00cd00cf01d000cf02d000cf00d001ca000100cb000100cf00ca01cb00ca01c400c501c0
+00c100be00c400bf00c500c400c000bf00c400bf00c500c000c500c600c500c401c001c400c501c000c600c101c400bf01c500bf00c400bf00c500bf00c500c400c500c400c501c0
+00bf00c501bf00c000bf00c501c400bf01c001bf00c100bf00c400c600c500c400c500c600c002c500c400c000c1000100cb000100cb00d0000100cb000101d000cb00ca00d00301
+02cf00d000cf01d003ca01c901ca02c500c400c500ca00c500c400ca00c900c800c900c500c900c400c600c900ca00c900c800c901ce01cd000001cd00c800cd000001ce01c801ce
+00c900ce00c800cf00ca00ce00cf00c400c001c400bf00c500c400c000be01bf00c500be00c000bf00c501c400c500c400bf00c400c000bf00c500c600c400c600c500c400bf01c0
+01c400c000bf00c400c500c000c500c000c600bf00c003c400bf00c500bf01c500c000c400c500c000bf00c001c400c001c400bf00c500be01c000c100c501c400bf00c000bf00c4
+00c600c300c400c501c400c300c400c500c400c500c300ca00c900ca00c902ca01c900ca00c900ca00c900ca3a01011206010111011206010111380100ca00d003cf00ce00cf02d0
+00cf02d000cf000101d001cb00ca00cb00ca00cb000100c601c500bf00c100bf00c000bf01c501c001c400c301c401c000be00c502c000c501bf00be00c400c500be00c400bf01c1
+01bf01c000bf00c603c500c000c500c600c100bf00c600c500bf00be00c001c400c000bf00c500c000c500c400c000c400c000bf00c501c600c500bf00c000c400c600c300c500cf
+000100d000cf00ca00cb010100d000cb00d000cf00cb00d000cf00cb00cf00ca00cf000100ca00d001cb00ca00cb00c901ca00c500c401c500cb00ca01c400ca02c901ca00c501ca
+00c500c400c802c900ca00c800c900ca02ce00cd00c800c901cd00c800c9000000ce000000c900ca01ce00c900cf01cd00c900bf01c400c300c402c500c401c5000001bf00c400c0
+00bf00c400c000c400bf00c500c100c500c400c002c500bf00c000c500c401c500c400c500c000c401c303c400bf00c500c000bf02c000c500c400c600c500c400c500bf00c500bf
+00c000c500c102c000c500c000bf00c100c500bf01c000c400c600be00bf00c000c400c501c400c302c500c400c501ca00c501ca00c900ca00c901ca00cb00c900ca3a0101120601
+0111011206010111380100cb00ca000100cf00d000ce00d001cf00d002cf000100d0000100d0000100cf02d001cb00ca00c400c502c400bf02c400c000c501c000c400c000c500c4
+00bf00c501c400c501c000bf00c000c500c100c400bf00c000c500c002c500c400c500bf00c500c000c501c000c500c000c500be00bf00c400bf00c400c101c500c400c100bf00c5
+00bf00c501c400c500c000c600c501c400c100c000bf00c000c500c000bf00c500cb000100d0000100d0000101cb00d000cb00cf000100cb00cf00d0000100ca000102cb00ca01cb
+00c900ca00c900ca00c900ca02c500c900c501ca00c900ca00c900ca00c300c401c500c900cb01c900ca00c900c501c800ca06c900c801c900ce00ca01c900c800cd01cf00c900ce
+00ca00c900c800c900ce00be01c000bf00c400bf00c000c100bf00c400c600c400c500c400bf00c600c400c601c500bf00c401c000c402bf00c000c400c500c400c501c001c500c3
+00bf00c500bf01c500c400c500c000c501c400c100bf00c400bf00c001bf01c000c400bf00c000c300bf00c500c400c500c400c500c400c500c400bf00c000c600c000c500bf00c0
+00bf00c501c402c500c401c500c400c600c400c501ca00cb00c900cb00c900ca02c93a01011206010111011206010111390101ca00c900d001cf00ce00cf00cd00d0000100ce01d0
+000100cf01d0000100cf00d000cb00c900c400c500c000c400c300c400c000bf00be00c400c600c300c400c501bf00c500c400c300c000c403c000c500c100bf00c000c400c600bf
+01c400c000c500c000be00c400c500c600c500bf00c000bf00c000c400c000c500bf00c000c100c001c500c400bf00c400bf02c002c501bf01c000bf00c401c500c000c5000100cb
+020100cb000102cb00ca00d000cf010100cb010100d000cb01ca02cb01ca00cb00ca00c400ca00c900c500cb00c900c500c600c401ca00c800cb00c900c500c400cb00c800cb00c5
+01c400c300c801c401c502c900c802ca02c900ca00cd00cf00ce01c901cd00ce00cd00ce00c900ca00ce00cd00c800cd00c900c400c500bf00be00c400c500c000bf02c400bf00c4
+00c001c500bf00c101c000c401bf00c600c400c500c000c400c000bf00c000c501c400c500bf01c500c000c500c401bf01c400bf00c000be00c001c500c401c501bf00c501c400bf
+01c000c603c000c300c100c500c000c500c400c000c100bf00c002c400c600c402c500c403c501c900cb04c900ca3b01011206010111011206010111390100c900cb00c903d00001
+00cf00d000cf00d000cf010103d000cb00ca00c600c401c501c402bf00c400c600c500bf02c000c501c000c500c100c500c400c000c500bf00c500c000c500c400c000c500c600c5
+00c100bf00c400c300be00bf00c400c000c600c400be00c400bf00c401c501c000c400c100c000bf00c501c600c400c602c000c501c000c600c500c100c000c400c600bf01c000c1
+00cf000100d000cb00d000cb00d0010100ca000101ca00cb00cf00d000cb000100cb00ca000100ca000100cb00ca00c900cb00c900cb00c600cb00ca00c900cb00c401c500ca00c5
+000100ca00c600c900c500c400c803c502c900ca00cb01c400c600c903ca03c905ce00cf00ca00cd00c900ce00c800cd01ce00ca02ce00bf00c500c400c300c500c600c000be01bf
+00c400c500bf00c400bf00c000bf01c401bf02c000c500c100c400bf01c100c602c500c001bf00c400bf00c001bf00c000c600bf00c500c002c500c300c601c500c000bf00c500c1
+00c000c600c100c001c400c301c500c400c500bf00c300bf00c000c500c001c400c000bf00c002c400c500c601c400c500c400c500c304c900ca00c83b0101120601011101120601
+0111390102ca01d000cf000101cf01d0010100d0000100cf00d000cf000100cb01c500be00bf00c400c501bf00c500bf00c000c400c000be00c301c000bf02c400c500bf00c401c0
+00c501bf00c400be00c501c001c501bf00c400bf01c500c300c000c400c000c501c000c500c000c500c000be00c500c000bf00c000bf00c600bf00c000c600c500c001bf00c000c5
+00c000c501c000c600c100c600c501d000cb000100cf01cb00d000cb000100ca000100cb00cf00cb00cf00cb01d0010100ca00cb00ca01cb01ca00c900ca00c500ca00c502ca00c6
+00c500cb00c900c501ca00c800c400ca00c400cb00c400c500c400ca00c900ca01c901c400cb00c900ca00c801ca02c900ca02c901ce00cd01ce00c801ce00c902ce00cd01ca00cd
+00c900c001c500c000c501bf01c400bf00c500bf00c302bf00c000c600bf00c100c400c500c001bf01c503c000c400c000c402c500c400bf00c500c602c500c001c500c000c300bf
+00c000c400bf00c500c000c401c500bf01c000c500c400c101c502c601c501c600c501bf00c000c500bf00c400c500c400c500c400c500c300c404c500c800c900ca01c93b010112
+060101110112060101113a0100ca00c901ca01d000cf000100d0000101cf00d0000100d000cb000100cb00c500be00bf00c400bf00c400c500c400c000c400c000c401c000c500c0
+00bf00c501c000c500c401c002c500c100c500c000c400c500c000c401c500c000bf00c000c600c501c400c600c400c500c100c600c000c500c400c100c500c000bf00c001c501bf
+00c000be00c401c000c601c000bf00c601c100c500c000c600c4010100cb00d000cf01cb00ca000100cb00d0000101d001cf000101d000cb000101cb00ca00cb00ca00cb00c900ca
+00c500c900c600ca00c500ca00c600c500ca00c400c900c500c400ca00c400ca01c500c400c500c900ca01c900c500ca00c300c901c400c900c400c800ca00c902ca00c900c801c9
+00ca00c800ce00c900ce02c901ce00c800c900ce00cd00ca00cf02ce01c900be00c400c500be00c502c000c300c600c400bf00c500c100c302c402c001c400c100be00bf00c401c0
+00c500c400c600c401c001bf00c400c000c501bf00c500c600bf00c500bf00c500bf01c401bf01c000bf01c000be00c000c400bf00c000c501c400c000c400c000c400c500c600c0
+00c501c000c400c100c500c400c500c401c601c500c400c500c400c500c400c800ca00c93c010112060101110112060101113a0101c900cb00c900d0010101d0000100d000cf00d0
+00cb01ca00c600c400bf00c001c400bf00c000c500c000c500bf00c000c500c000c300c400c600c300c501c000c300c000c601c501c400c500c400c501c000c500bf00c300bf00c0
+01c500bf00c000c500c000c500c000bf00c400c000c601c000be00c001c500c601c500c400c103c500c000c601c000c500c000c500c000c500c100c600cb01d0000101cb000104d0
+00ca01d000cf000100ca00d000cb000101cb01ca00c903ca00c501c900ca00c600c900c500ca00c601c500c401ca00c400c900c300ca00c500c401c900c500c600c400ca00c500c4
+00ca00c500c800c300c400ca00c300c400ca00cb01c900ca00c900c801c900c800cd01ce00c900ce00c900ca01cf00c903ce00cd00c900c800cd00c400c500bf00c400c500c400c5
+00bf00c400c600c401bf00c004c500bf00c400bf00c001c400c004bf00be00c401c500bf00c500c600c100c000c502bf00c000c601c500bf00c000bf00c100c500c400be00c002c5
+00c400c000c101c400c100bf01c500c000c601bf00c500c601bf00c501c400bf01c401c501c400c500c400c500c600c400c500c43c010112060101110112060101113a0100c500ca
+00c900ca00cb02d0000103d000cb02c400c500c000c500c000c400c502c000c600c0000000c400c001bf00c001c403c503bf00c001bf00c400bf00c500c000c500c400bf01c400c6
+00c001bf01c501bf01c400c500c000c500c000c400c000c600c000bf00c500c001c500c000c500bf01c500c100bf00c100c000c1000100c100d000cf000101d000cf010100cb0001
+01d0010100cb00d000cb00d003cb00ca00cb00ca01cb00c901ca00c600ca00c500c600c500c400c500c9000100c501ca00c500c401c500c401c500c600c900c402ca00cb04c400c9
+00ca01c500c901c502c900ca000000ca04c900cd01c900cd01c801cd00ce00cf01ce00c900cd01ce00ca00c900ca00bf00c400c500bf01c400bf00be00c500c002bf00c300bf01c4
+00bf01c500c001be00c100c400c500c000be00c600c000c400bf00be01bf01c001be01bf00c500c400c600c500c401c500c000c500c001c500c002c400c501c002c500bf00c000c5
+00c600c000c600c300bf00c400c600c000c100c000c500bf01c500c302c400c500c600c501c400c500c43c010112060101110112060101113b0100c501c900ca00cb000100d000cb
+02cf00cb00c601c400bf00c001bf00c500c000c301c100c400c000c300bf01c000c400be00c501bf00c600c000c500bf00c500c001c400c000bf00be00c500bf00c500c0000100bf
+00c500bf00c000bf00c001bf01c501bf00c000c400c000c500c400c000c500c400bf01c000c600c501c400bf00c500c400c000c500c000c600c000c500c000c600d000ca00cf0001
+00d0000101cb000100ca000100d000cb00cf000100ca00cb00d000cb00ca00cb000103ca00cb02ca00c902c501ca00c900cb00ca00c500ca00c900c400ca00c400c500c400c601c5
+00cb01c500c400ca00c400c900c400c500c601c900ca00c500ca01c900ca02c900c400c800ca00c902ca00c900c800c900ce00cd00cf00cd00c901c801c900c800c900cd00c900ce
+00ca01ce00cf00cd00c300c400c500be00c500c100c400c500c300c501c400be00c000c401c000c500c400bf00c100bf00c000c400c100c000c501c000c600bf00c401c000bf00c5
+02bf00c000be01c500bf00c302bf00c000c500c000c500c000c500c401c000bf00c100c400c500c400c600c000c500c000c300c500c401c501c000c400c500c600bf00c400c600c4
+01c500c600c500c403c53d010112060101110112060101113b0100c400c500cb01ca00cb01d000ca00c9000100c900c501c400c500c400c501c401c500c100c400c500c000c400c0
+01bf00c401c000c501c400bf01c000c500c000c100c001c500be00c400c100bf00c000c300c500c301c400c000bf00c602c500c000c600c401c500c301c500c100c000bf00c000bf
+01c000c500c000c104c500c000c500c100bf00d000cb000100cb000100cb02d002cb00d000ca00cb00ca000100ca00d000cb000101cb000100c900ca00cb00ca01cb00c400c900ca
+01c500c900c400ca01c900ca00c900ca00c900cb00c900c500ca00c500c400c900c800c601ca00c600c402ca01c400c903c400c300c400c500c900c500c401ca00c901ca00cb00c9
+00c8000000c802cd00ce00ca00c900cd00ce00ca00ce01c900ce00c800ce00ca00ce00cf00ce00bf00c500c300bf00c500c400bf00c400bf00c400c502bf00c000c400c501bf02c0
+00bf00c401bf00c000c400c000c300c600c102c400bf01c500c100bf00c500bf00c100bf01c500bf000100c000c500c001bf01c400c601c400c500c000c100bf00c600bf00c400c5
+00c100c500c400bf00c500c001c500bf01c500bf00c501c401c500c400c500c400c500c43d010112060101110112060101113c0100c500c400ca01cb000100d000cb00ca00c500c0
+00c500c400be00c300bf00be02c000bf01c500c000c500c000bf00c000c500c400c501c000c500c400bf00c500c400bf01c400bf01c500bf00c400c100c000bf00c600c401c500c1
+00c400c500c400be00c100c500c000c300bf01c501c000c500c000bf00c400c100c500c002c500c100c000c600c400c500bf00c000c5000101cb00d000cb000100cb00cf000100ca
+000100d001cb01d000cb000100d0000104cb00ca00cb03ca00c500c900c500c900c500ca00c801c500c400c500c900c400c500c301c800ca02c500ca00c500c900c400c302ca00c9
+00c500ca01c500c901c500c900c400cb00c500ca01c400c901ca01c900ca01c900ca00c900c801c900ce00c900cd01ce00ca00cd00ce00c800cf00cd00c800c900ce000000ca00ce
+00cd00c300bf00be00bf00be00c400bf00c501c000c100c000c400c300c400c500c000c500c400c500bf00c500c400bf00c500c000c400c502c000c400c000c401c500c000be00bf
+00c001c400c300bf00c400bf00c500bf00c501c000c501bf00c400bf00c100c001c500c100c601c500c400c000c500bf02c501c600c500c600c400c500c600c500c400c500c302c5
+3e010112060101110112060101113c0102c501ca01cb00c600c501bf00c500bf00be00c600bf00c000c500c400c601bf00c500c400be00c100c500c401bf00c400c500bf00c002c4
+02c000c500bf00c000bf01c500c400bf00c000c400c000bf00c100c400c500c601c500c401c000bf01c400c001c500c600c000c401c500bf00c400c600c300bf00c500bf00c501c6
+01c500d001cb00d0000100d000cf02cb00d000ca00cf00d0000100d000cb00ca00cf00cb000100ca00cb000100cb03ca00c900c600c400c900ca00cb00c500c901c500cb00c300c9
+01ca00c500c400ca00c400c500cb01c901c500c402c500c600ca00c900c401ca00c500c900ca02c500c900c400ca00c900c800c901ca00c400ca01c900c800ca00c900c800c901c8
+00c900c800ce00ca01cd01c800c900c800cd00ce00cd00ce00c900ce00c8000000cf00c500c000c500bf00c000c300c000c400c001c400c101bf00c500bf00c400c001c400bf00c5
+00c000bf00c500bf00c502c400bf00c000c500c100bf00c401c500bf00c500c000c500c000c500bf02c500bf00c000c401c500c000c400c100c400bf00c500c100c000bf00c500bf
+00c600c001c101c600bf00c100bf00c400c500c000bf00c000c400c500c401c500c33e010112060101110112060101113c0101c400c500c300cb00c500c400c600c000bf00c000c3
+00c501bf00c400c100c401c000c100bf00c400c000bf01c000c500c400c501bf00c500c001c500bf00c500bf00c401c000c400c000c400c600c400c500c300bf00c400c000bf00c4
+01bf00c000c400bf00c500c400c000bf00be00c000c500c400c500c600c500c100c500c400c500c000c400c500c000c500c400c600c5010100cf00d000cb01cf00d000ca00d000cf
+00cb00ca00d000cb00ca010100d001ca000100cb00ca00cb00c901ca00cb02c902c500c401ca00c500c900c400c500ca00c900c300c600c500c300ca00c900c500ca00c400cb00c9
+00c800c900ca00c901ca00c500c400cb00c501c800c902ca00c400ca00c900c800c900c400ca00c401c901c400c900c801ca00c802c900c802ce000000cd00ce00c800cd00ce00c9
+00cd00ce00c900ce00ca00c901c800cd000001bf00c400bf01c400bf00c400be00c400c301c001bf00c401c500c000c500c000c500c401c501c401c500c000be00c500c000c600c4
+00bf00c000c500bf00c400c503c400c500bf00c000bf01c500c401c000c400c000c600c000c500c400c501bf00c400c500c600c400c602c001c500c001c501c000c400c500c600c4
+3e010112060101110112060101113d0100c300c601c500c100bf01c500c400c501c400c500c400c300c500c400c100c500c000c502c000c500c400c500be00c100c400c500be00c0
+00c300c502c000c400c000bf01c500c400c000c100c500c100c500bf00c500c000c500c600be00c300c600c000bf00c500c400c600bf01c400c500c600c000c400c500c400c000c4
+00c000c101c300c000c500bf00d0010100d0000100cf00d0000100cf00cb010102d000cf000100d004cb010101ca00cb00ca00cb00c400c600ca00c900cb00c400c500c401c500c9
+00ca01c900cb04ca01c500cb00c500c900c501c400c900c300c400ca00c400ca00c400c802c400c500c900c803c900c400c900c400c300ca00c500ca00c900c400ca01c900ca00c9
+00ca00c900c800c900cd000000cd01cf00c900c800ce00cd00c900ce02c900ce00c800cd00cf00c900c800c000c400c500c400c001c400c000c101c002c400bf01c401bf00c400c0
+00c500c000c500bf00c500bf00c400c000c400bf01c401c501c001c400bf02c500c000c500c401c000bf00c600bf00c000c500c000c400c500c400c000c400c500c000c500c402bf
+00c500c101c401c601c000c500c400c002c43f010112060101110112060101113d0100bf00c400bf02c000be00bf01c401bf00c500bf01c000c301bf00c000c300bf00c401c000c5
+00c600bf00be00bf01c001bf00c500c401c500bf00c400c600c500c600c000c400c001bf00c400c600c101c400c500c600c400bf00c600c501c001bf00c401c000be00c401bf00c0
+00c401c500c000c500c000bf00c5000100cb00d000cb000100cb00ca000100cb000100d000cb010101cf00cb01d0000100cb000100cb00ca03cb03ca00c400c901c500c601c500c9
+00ca00cb00ca00c900c400ca00c900ca00c900ca00c500ca00c501c401c500c900c500c601c900ca00c900c500c900c800c400ca00c500ca01c900ca00c900c800c500c400ca00cb
+01c501ca00c900c800ca00c502c900ca00c900ca01c900c800ce01c900c800ce00c901cf01ce00c900ce00c900cd01c900cf00ce00c900be02bf00c400c600bf00c300c000c500c0
+00c402bf01c400c500c000bf01c500c000bf00c400c000c500c000bf01c500c601c400c500c600c400c600bf01c000c500bf00c000c500c301c501c000c500bf00c400c500c101c5
+00c600c100c000c600c500c001c500c000c101c500c400c000c402c000bf01c500c63f01011206010111011206010111410102c400bf00c100c001c400c000c500c400bf00c400c3
+01bf00c001c500c000c500c600c500bf00c001bf01c000c400c100be00c600c001bf02c400bf00c602c400c001c500c001bf00c500bf00c100c500bf00c600c300c500c400c500bf
+00c401c501c402c500c101c5000100d000cf00cb00d000cb03d0000100d002ca00d000ca00cb01d000cb000101cb000102cb02c900cb00c600c900c400cb00ca00cb00c900c400c5
+00c400c900ca00c400ca00c400c500c401ca01cb00ca00c400c500c400c500c400c500c902c400cb00c502c400c900c600c900ca00c500ca00c500ca00c400c500c900c800c500ca
+01c500ca00c800cb00c902c502c900ca00c900c800c900ca00c900c800c901c800cf01c900c8000000c800cf00ca01cf01c900cd00ce00c900ca01bf00c400c000c400bf00c000bf
+00c501c401c500bf01c001c500c600c500c000bf00c000c500c600be00c500c000c401bf00c000bf01c000c500c000bf00c400bf00c600bf01c400c500bf01c000bf00c000c501bf
+00c000bf02c400bf00c401c101c500c400c000c500c000c400c000c400bf00c04301011206010111011206010111420100c500bf00c300c000c500c400bf00c501c000c400c501c0
+00c500c300c000be00bf00c000c500c400c100c001c500bf00c600c000bf00c500c400bf00c300c000c500bf01c000bf01c501c600c001c500c600c300c000c400c500c600c000c5
+00bf00c403c500c600c000c100bf00c501c001c500c0000100cf00cb000100cb010100d000cb010100cf00d0000101d007cb000102ca00c900cb00c400c900c602ca00c400cb00ca
+00c400ca00c500c900c501cb00c600cb00c400ca00c500ca00c500c400ca00c400c900c500c600ca00c500c900c500ca01c900c800cb00c500c600c800c400ca00c500c801ca00c9
+00c501ca00c900c500c900ca00c500c401c500c900c400c900c500cb00c800c900c800c901c8000000c900c800c900c800c900ce00c900ce000000ce00cf00cd00cf00c900cf00c9
+00ce00cf00ce01c901c401be00c400c100c500be00c601bf00c500c400bf01c000c401c000bf00be00c400bf01c500c400c501c000bf00c500bf00c400c501c000c501c400bf01c5
+00c600bf00c500be00c401c100c000c500c404c500c600c000c401c600c000c400c500c300c000c500c300c000c44401011206010111011206010111440100bf00c000c300bf00c1
+00c500bf00c400c100c500bf00c000c400c500be00c600c000c500bf00c400bf02c501c401c502c000c500c000be00c400c500c000c401c500c300c500c400c500c400c000c100c3
+00bf02c000bf00c401c500c000bf01c000bf03c501c100d000cb000100cb00d000cb00cf00ca010101d000cb00cf00c900cb02d002cb000100cb000102cb00ca00c900c600c400c9
+00ca01c400cb00c501c401c900c800c500ca00c900c500c900c600c501ca00c500c400ca00c400c902ca00c900ca00c500c900c5000000c500ca00c400c500c300c400c500c400c5
+00c900c601c901c401ca01c900c500c401c901c500c400c901c400c900c400c900ca00c900ca01c801c901cd00cf00ce000000c800c900ce00cd00ce00cd00cf00c801cd00c800cf
+00ca00ce00c800c900bf00c300bf00c400c300c500bf00c100c400c300c500c001c400bf00c500bf00c100c400bf00c000bf00c300c500bf01c500c000bf00c500c400c000c300bf
+00c600bf01c400bf00c500c400c501c400c000c100c600bf00c000c100bf00c500c400bf00c000c500c000bf00c501c000c602c000c400c046010112060101110112060101114501
+00c500c300c500c100be00c500c000c400c500c400c500c000be00c400bf00c600c500c000bf00c500bf00c400c500c000bf000101c000c100c500bf00c101c400c500bf00be00c0
+00c500c400bf00c400bf01c500c000c400c500c400c000bf01c000c500c401c000c500c600c000c601c500c100c500cb00d0000101cb000100d000cf01cb00d001cf00ca01d001cb
+00cf02cb00c902ca00c900cb00ca00c600c500cb01ca00c400c500cb00ca00c501c600ca00c500ca00c500ca00c400c300c900c400c500c600ca00c401c500c302c400c500ca00cb
+00c602ca00c500c900ca00c900c800ca00c500ca01c500ca00c900cb00c401ca01c400ca00c900c501cb01c400ca00c401ca01c500c406c900c801c901c801c900ce02c800cf00cd
+01c800cf00c900ce00c900ca00c900ce00bf00c400c500c000bf01be00bf00c001c400c500c400c000c400c500c001bf01c500bf00c400c000c400c500bf01c000c500bf01c400c1
+00bf00c400c001c400c100c402c000c600c400c100c500c000c500c300c500c000c401c000c100c000c400c001c500c000c600c04701011206010111011206010111460100c500c4
+00bf00c5000000c501bf00c300bf01c000c400c000bf00c000c101c000be01c400c001bf00c000c100c400c301bf00c400be00c500c002bf00c000c500c001c400c600c500c101c4
+00c100c500bf00c400c500c100c400c000c400c000c500bf02c500cf00cb00d000cb02d0000100d0010100cb00cf00cb00ca00cb00d000cf00ca000101cb00ca01cb00ca000101c9
+00ca00c501ca00c600ca00c500c300c600ca00c901c402c900c500c300c400ca02c500cb00c501c400ca00c400ca00c901c501c401ca01c901c500cb02c400ca00c401c900c400ca
+01c900c801c400c900c600c500c600ca02c500ca01c400c900c601c901ca00c800ca00c901c800c900c800c900c801c900c800cd00c900ce00cd00ce00cd00ce00c900cf00cd00c9
+000000ce00c900cf00ce00c500c300c400bf00c400bf00c501c400c500c400c000c400c500c400bf00c000be00c500c000c101c500c600c500be00c500c400c000c401c000c600c5
+00bf01c501bf00c500bf00c000c400be00c400c500c400bf00c500c001bf00c502c400c000bf00c101c000c100c04801011206010111011206010111470100c400be00c002c501bf
+00c400c500c400c501bf01c400c100c001c400c500bf00c400c500c400c500c000c300c403c000c500bf00c001c501bf01c500bf01c400c000bf00c500c402bf01c400c500c102c5
+00c600cb01cf000100d0010101d0000101d0000100d000cb00ca00cf000100d000cf01cb000101cb000100cb02ca00c400c500ca00c500ca00c400c901c500c600c900ca00c600c5
+00c900c500ca00c501c900c600c500c400c902ca01c500ca00cb00ca00c500c402ca00c500ca00c600c800c300ca01c400c500c400c500c900c400c500c900c600ca000100c900c4
+02c500c900c300c900ca02c500ca00c500c900c300c500ca00c500c900c800ca01c900ca00c900c801c900ce00cd00c900c800cd00c900ca00c900c801c900ce01c8000000c900cd
+00c800c900ce00c501bf00c000c502bf00c000bf00c400c500c002c400c501c400bf00c500c300c000c400bf00c001c400c001c400c000c400bf01c000be00c000c500c600c501c0
+00be01c500c600c400c000c600bf00c000c100c000c400c500c600bf00c500c04901011206010111011206010111490100c400c000c500c000bf00c000c600bf01c000c500c400c3
+00c500c600c500bf00be00c000c400c002c400c001bf00c000c500bf00c600c300c402c500c600c000c400c100bf02c500bf01c500c100bf00c000c600c500c100c002c101cb0001
+00ca00cb000100cb00d0010100ca01cb00cf00cb00cf000100ca000100cb010100cb00ca00cb01ca01cb00c500ca01cb00c500cb00c901c400ca00c601c400c302c500c900ca00c5
+00c400c301c900ca00cb00c600c400c600ca00c800c400c900c503ca03c500c900c501cb00c900cb00c401c500c300cb00c400c800c400c500c901ca00cb00c400c901c501ca00c9
+00ca00cb00c900c500c900c803c401ca01c901ca00c800c900c801ce01c800c903ce01c900ca02c800ce01cf00ce00cd00c301bf00c100c000c302c400c600c500c400be00bf00c0
+00c400bf00c601bf02c000c101c500c000bf00c000bf01c500bf01c001c500c400c500c400bf00be01c500c301c500c400c100c000c500c001c500bf00c000c54b01011206010111
+0112060101114a0100bf00c500c600bf03c000c400c600c001c500c400bf00c500c002c500c400c500c000c501c000bf00c001c400c500c600bf00c600c001c500bf00c500c000c5
+01c400c501c402c501c600c400c300c000cf010100ca00cf000101d0000100cb00cf00cb00d000cf01d0010100d007cb01ca00cb00ca00c500cb00ca00c500c900c400cb00c900c4
+00c900ca00c400c900c500c400cb00c500c900cb00ca01c500c400c500ca01c500ca00c500c300ca02c900c601c904c502ca00c600c900c400ca00c900c300c800c400c500ca00c9
+01c400ca00c500c400ca01c400ca00c401c800ca01c900c400ca00c400ca00c300ca00c500c301c900ca00c902c800cb00c900c800ce02cd00c904ce00c900cd00c900ce01c900ce
+01cd00ce01c000bf00c002c503c400c500c400c000c301c000c100bf00c501bf01c500bf01c400c000bf01c001bf01c000c400bf00c000bf00c500bf00c300c400bf00c001bf01c4
+00c501c000c500bf4c010112060101110112060101114b0100c500c400c500c400bf00c400c000bf00c600bf00c500c400bf00c500c600c500c300c001c300c501c001c500bf00c5
+00c400c500c400c100c300c100c400c000c401c000c600c000c501c400c600c500c000c500c600c000c500c600c5000100d0020100d0000100d0030100cb00ce00cb00cf00cb00ca
+000100ca010100ca00c903cb02ca00c400c601c901cb00c400c500ca00cb00ca00c500c400c501c900c600cb00c400ca02c400c500ca00c500c400cb00c500c300c500c900ca00c4
+00c900ca00c600c400ca01c400c500ca00c500ca00c900c400c900ca00c300c600c900c401c500c900c400c801c500c600cb00ca00c900ca00c500c900c400c900c501c400c500cb
+00c800cb00c500c400c800c400ca05c902ca00c900c800ce01c901cf00cd01c900c800cd00c900ca00cd00ca00c800ce00cf00ce00c900c600c400c500c000bf01be01c500be00c3
+01c400c300c500c000bf00c400c001c500c001c500bf00c500bf00c000c100c000c500c002bf00be00bf00c600bf00c600c400c500c400bf00c000c400c500c401c500c100bf4d01
+0112060101110112060101114c0100bf01c002c400c000bf00c501c400bf00be00bf01c400c000c600c300c000c500c400c500bf00c000c500c401c100c000c501c400c600c001c4
+00c300c400c100c500c602c000c600c500c000c500ca000103d001cb00cf00d000cf00cb00cf00d000cf00cb000103cb010101ca00cb00ca000102ca00c900ca02c400c500cb01ca
+00c500c902ca00c300ca00c900c300ca00c501c600c901c400c500c401ca00c400c500c900c600ca00c400c600ca00c900ca00c500c900c500c801c901c500ca00c400ca00c500c6
+00ca00c900c500c600c500c900c500c901ca00c900c500ca00c500c901c500c600ca00c500c900ca00c900ca00c900ca00c900c401ca00c900c800c401c800c9000100cb00c800ca
+00c901ca00ce00c800ce00cd00ca00cd00cf00c800c900ca00cd00c900c8000000ce00c900cd01ce00c900c500bf00c000bf00c400bf00c000c500c000bf00c000c400bf00c000bf
+00c500c400c501c000c400c100c600c401c000c502c400c000c400c500be00c500bf00c600c500c400c001bf00c400bf00c602c500bf4e010112060101110112060101114d0100c6
+01c003c400c602c400c500c400c000c100bf00c400c500c600c000c401bf02c000c501c000c600bf01c400c000c501c000bf00c001c500c401c001c500c1000100cb000100cb0001
+00cb00d000cb00cf000101d002cb00ca00d000cf00ca00cb010100ca000100cb00ca01cb00ca01c501c400c600ca01c400c900c500ca01c400c601c500c400ca00c400c900c400c9
+01c400cb00ca00c500c400c900c600c400c500c401c900ca00c500ca01c901c400c500ca01c401ca00c400ca00c500cb00c400ca00cb00c500cb00c900cb03c500ca00c402c500c3
+01c400c900c300ca01c400c901ca00c500c800c500c800c500c401c500c900c601c900ca02c9000002c900ce00cd00ce00ca00c900cd00ce00c900c800ca01c900ce00c900ce00ca
+00cd00ce01c901c000c400c301c400c000c400c500bf00c400c100c001c400c101c000bf01c000bf00c400c500c001bf00c400bf00c100c600c001bf00c000c500bf00c500c101c4
+00c001bf00c500bf00c44f010112060101110112060101114e0100c502c000c500c000c400bf00c400c000c500bf00c500c400c501c000c500c000c400bf00c601bf00c501c000c5
+00c000bf01c401c500bf00c500c001bf00c100c400c0000100bf00c100d000cb00cf010100cb000101cb00ca03cb00cf00ca00cb00cf00cb000100cb010100cb000102ca00c900c8
+00c900cb00c400c500c900cb00c900ca00c500c400c500ca00c500c900ca01c500c400c900c500ca00c500c901ca00c901c500ca01c500c600cb00c600c800c300ca00c500c600cb
+00c600ca00c300c500c900c301ca00c900c600c500c400c900ca00c500c401ca00c500ca00c900cb00c400ca00c800c400cb00ca00c501c400c900c500c400c800c900ca00c900ca
+00c900c500c800c500cb00c900c500c301c900ca00c402c901ca00c900ca01c900c800ce00cf01c800cd00ce00c802ce00cf00c800ce00c802ce00c900cd00bf01c500c000c500bf
+00c400bf00c400c000c500c400c500c400c000bf00c401c602c000bf00c1000101c002c500c001c500c000c500c000c401c500c403c500bf50010112060101110112060101114f01
+00c500bf00c400c600c000c500c000c400c000c401bf00c000c400c501bf00c000c500c4000100bf02c000bf00c100c502c000c401c500c000c400c002c100c400c000cb000100cb
+000101d0000100ca02d003cb00d0000100cf00cb00d000cb00ca010101cb00ca01cb00ca00c400c900ca03c400c300c501c900ca00c500ca000100c600ca00c500c800cb00c900c5
+00c400c600c900c400ca00c902c400c600ca01c600ca00c500c400c601cb00c400ca00c900c400ca01c500ca00c400ca00c400c500c600c500ca00c402c900ca00c401ca00c900c4
+00ca00c500c901ca01c900c500ca00c600ca00c400c500c400c900c300c500c600c800c900ca00c900ca01c901c400c500ca01c900c800c901c804c901c800cd01c800ca00ce00cd
+00c900cd01ce00c900cd00c800ce00cd00ce00c400bf00c400c001c400be00c002c500c000c500c400c500bf00c500c000c500bf00c000c500c001bf00c500bf01c000c500c101c5
+00c000c100c000c100c600c500c400c500c05101011206010111011206010111500100c000c402c500bf00c403c500c001c400bf00c500c100c500c001bf00be00c400c500c000c4
+00c000c600c101c503c000c500c600c500c000c100ca00d001cb00d0000103d000cb000100cf000100cf00d001cb00ce00ca00cb000100ca010100cb00ca01c901ca00c401ca00c6
+01c500ca00c400c600c901ca00c901c500ca00c600c900c400c902c400c500c900ca01c400ca02c400c501c400ca00c400c900c500c300ca00c600c400cb01ca00c900c401c900c5
+00cb00ca00c600ca00c900c600ca00c600c900c500c400ca00c400cb00c501c400c501c900ca00c400c500ca00c500c900c400c500ca00c900ca05c900c400c900ca00c402c900ca
+00c900c801c900ca01c900ca00c800cd00c800cf00ca00c801c902c800ca00cd04c900cf00ce00cd00c401bf01c400bf01c400bf02c000c300c400c500c300c000c100c400bf00c0
+00c400bf01c000c401c001be00c001c501c401c500c000bf00c05201011206010111011206010111520100c001bf02c401c600c500c000c500c400be00c500bf00c001c403bf00c0
+00c401c501c000c500bf00c500bf00c100c500be00c102d000cb000101cb000100cb00ca00cb00d000cb00d000cb01ca01d003cb00ca03cb000100cb00ca01c500ca00c900ca00c5
+00ca00c402ca01c501c400c501ca00c400ca00c400ca00c400c501ca01c400ca00c500c400ca00cb00c500c900c500c300ca00c900c500ca01c500c900c400c801ca01c400c501c4
+00c900ca00c500ca00cb00c500c600c400c900cb00ca00c500c800c600ca01c600c900c400ca00c500c900c400c801ca00cb00c400c300c500c900c400c900c400ca00c900c500c4
+01c500c400c502c902ca01c900c803ca00c900ce00cd01c901cd00c901ce01c900c800cd01ce00c900ca00c900ce00c900bf00c400bf01c501bf01c500c000c500bf00c000bf00c5
+00bf00c000bf01c000c400c100c000bf00c400c000c400c501c401c000c500c000bf00c45401011206010111011206010111530100bf00c000c400c500bf00c500c401bf00c000be
+03c001c500c401c000c502c000c100c003c400bf01c600c000d0000102d002cb040100d0000100ca01d0000100cf01cb00ca000100cb01ca000100ca00c800cb00c501cb00c402ca
+00c500ca00c500c400cb00c900ca00c400ca00c300c401c900c400c600c400c900c500c300c501c400ca00c400c900c500ca00c501c900c500cb01ca00c902c500ca01c900c500ca
+00c500c900c500c900c501c901c500c400ca00c900ca01c500ca00c500c400cb02c901c602c900ca01c900c500c900ca00c900ca00c900c500c400c500c600c500ca01c501c900c5
+00c900ca00c900c800c401c900cb00c901ca00c800c900ca00c802c900ce01cd00c800c900ca01ce00c900cd00ca00c900ce01c800ce01c000c302bf00c400c000bf00c400bf00c6
+00c300c500c400bf00be00c000c500c400c600c000c500c000c401c500bf00c500c600c300c400bf00c05501011206010111011206010111540100c000c400c000bf00c500c000c4
+00c001c500c400c500c400c500c102c000c400c000bf00c500bf00c500c002c501bf00c600c100d000cf00d0000100cb010100cb000100d000cf00d000ca00d000cb00d0000100cb
+00cf02cb010101cb02ca02c900c500c601ca00c400c300c900c600c400ca00c400ca00cb01c502c900c500c900c402ca00c500c601ca01c900ca01c900c400c600ca00c400c500cb
+00c900c501c400c600c900ca00c500c900ca01c500ca00c501c400c500c800c400c900c500cb00c600c900c500ca00c400c900c400ca00cb00c500c600c500ca00c501c400c500c9
+00ca00cb00c900c400c800c900ca00c900cb00c900cb01c900c401c500ca00cb00c900c503c401c900ca00c801c900ca00c900c800c900cf00c800cd00ce01c800cd01ce00c900cd
+00c901ce00c900cd00ce00ca00c802c400c500c001c400c000bf00c400c500c400bf02c000c500c000c400c000c400c500c401bf00c600c500bf01c401c056010112060101110112
+06010111550100c500bf00c500bf00c601bf00c400c000bf00c000c501c000bf00c500c000c500c000bf00c000bf00c400c501c400c100c000c402d000cb010100cb000101cb00d0
+000101cb01d000cf010100d000cb010100cb00ca01cb00ca00c900ca00c500ca00c601c400c500c901c500c400c500cb00ca00cb01ca00c500ca00c900c300ca00c900ca00c500c9
+01ca00c500ca01c500c900ca00c400ca01c900c300ca00c500ca00c400c901ca01c401ca00cb01c500c900c400c900ca00c400ca00c400c502c900c401ca03c500c900c500c600c4
+00c900ca00c401ca00c501c900ca02c500ca00c900c400c500c900ca00c400c900c400c800c500ca00c500ca00c400c301c400ca00c502ca00c900cb00ca01c900c803c900c800cf
+00cd000000c900c800cd00c801c900cd00cf01c901cd01ce00ca00be00c500c000c501bf00c100c400bf00c400c000c500bf00c000c500bf01c400c500bf02c001c500c401c000c4
+5701011206010111011206010111560100c600bf00c100c000c400c601c400c500bf01c500c100bf00c500c400c600c500c000c500c300c400c100c500c000c600c4000100cb00cf
+00d000cb000100d000cb00d0020100cf000100cb00ca00d0050100cb00c900ca01cb02ca00cb01ca00c401c500c400c900cb00ca00c900ca00c500ca01c500ca00c500cb00ca01c5
+00c401ca01c900ca00c500c400c501ca00c501ca00c401c500c400c600c900c500c600c300c401c900c400c500ca00c500c600ca00cb00ca00c901c500c900c300ca00c902ca00c6
+00ca00c900ca00c501c400ca02c400c901c500ca00c500c600c500ca00c500c900ca00c500c400ca00c902c500ca00c401c900c500c900ca00c401c800c300c500c900c500ca00c9
+01ca00c900ca01c801c900ce01c900cd01c900cf01c900cf00cd01c900cd00c800c900c800c900c800cf00c401c500c400bf00c100bf00c400c300c500bf00c000bf00c500bf00c5
+00c400c000bf00be00bf00c501bf00c100bf00c55801011206010111011206010111570100bf01c400c500c600c001bf00c600c000c500bf00c500c400c500c601c500c001c500c6
+01c101cb02cf00cb00d000cb00d0000100cb00d001cf00d0010102d000cb000100cb000100cb000100cb00ca000100ca00c600ca01c400c600ca00c901c500ca00c900c501ca00c4
+00c500cb01ca00c800ca00c900c500ca00c400c500c400ca00c400ca01c900c800ca00c800ca00c900c500c900c800c600c500c900c400cb00ca01c501c400ca01c500c601ca00c9
+00c500c800c500ca01c402c501c900c400c500c800c900c502ca00c300cb00ca00c500c400ca01c400ca00c900ca01c400c900ca00cb00ca00c900c501ca01c400ca00cb00c400c6
+00c900c400ca00c400c900c500ca00c500c900ca00c900c800c900ca00c901ca01c901c801ce00cd000000ce00c800ca00cd000001c900ca00c9000000c900ce00c900cf00c900cf
+00bf00c000c500bf00c001c400c500c400be00c000c400c100c001c100c500c000bf00c500c402c55901011206010111011206010111580100c000bf00c400c500c400c100c500c4
+00c501c000c400bf00c000c400c100c400c000c400c600c100bf03d000ca01cb01ca01cb000100cf01d000cb00d000cb000101cb010100c903cb00ca00cb02ca00c901c402c500c9
+00c800c900c600ca00c400c600ca00c400c500c400cb00ca00c500c901c400c500ca00cb00c901ca00c900c500c900c400c500c900ca01c501ca00c900ca00c500ca00c900c300c4
+00c500c600c500ca00c500ca02c900ca00c501c900ca00c400c900c500ca00c900c500ca01c600ca00c900ca00c400ca00c600ca00c900ca00c400ca03c400c501ca00c500c901ca
+00c900c400ca00c400c300ca00c300c500ca00c900ca00c400ca00c401c800c300c500ca00c400c901ca00c9000002c900ca00c9000000d000cf01c901c800ce00c800cd00c800c9
+00ce00c900ce00c900cf000000ca000000cd00c300c500c402c002c500c400c300c502c401c500be01bf01c05a01011206010111011206010111590100c000bf00c400c500c000c4
+01c500bf00c000c500c002bf01c500c000c500c600cb010100cb000101d0010100d000cb00cf000100cb000100cb00cf01ca00cb010102cb01ca00cb00c900cb00c500c401ca00c3
+00ca00c900c500c601c501c900ca01c900c500cb00c900ca01c500ca00c500c400ca00c500ca00c400c500c900c400c500c600c900ca00c900c500c400c500c400ca00c600ca00c9
+00c500c602c500c800c900c400ca00c601ca00c500ca01c400c900c500c900c500c800ca00c900c500c400ca00c500ca01c500ca00c400c500c300c901ca00c600c900c400ca00c9
+00cb00c400c502c900c401c901c500c900c400c601c900c502ca01c900ca00c400c802c900c500c900c400c900c801c900c800ca00c900c800ca01c901ce000000c900c800ce02c9
+000000cd00ca00ce00c800ce00cd00ce00cf00ce00c400c300bf00c000c101c502bf00c300c001bf00c000be00c501c400bf5b010112060101110112060101115a0100c000c600bf
+00c401c500c100c400c500c601c500c000c500c000c100bf01d0000100d000cb000101cb000100cf000101cf00ca000100ca00cf02d001ca000102cb00ca00cb01ca00cb00ca00c9
+00c500cb01ca00c500c900c600ca00c300c401c500cb00c500c400c500cb00c400c901c601c901c500c301c400c900ca00c900c500c400c902ca00c900c400c301c400c900cb01ca
+00c900ca00c500c400c600c501c400c901ca00c900c400c500c401ca00c500c400c502c900ca00c900c400c500ca00c500ca00c601c900ca00cb00c901c500c901c400c800c901c4
+00c900c500cb00c400c500c400c500ca00c400c500ca00c900c500c400c301ca00c500c400c900c401c900c800c900c400c900c501c900c802c901c800c9000000c800ce00c902c8
+000000c901ce00c801c900ca00cd00ce00c800cd000000ce01c000c500c402c502bf00c000c100c000c400c000c400c15c010112060101110112060101115b0100c000c400c100c0
+00c601c501c000c600c500c100c000c500bf00cb00ca00cb02ca01d0000100cb00cf000100cb00d0010102cb00cf000100cb00ca02cb00c900ca00cb00c900c501ca00c400c600c5
+00cb00ca01c400c500c400ca01c900c500ca00c400cb00c400c900c400c900ca00c400c500ca00c600c500cb00c900c500c900c601ca00c500c900ca00c601c900c600c500ca01c5
+01ca00c903c401c500c403c500c400c500c301c500c901ca00c400c900cb00ca00c400ca02c400c500c901ca00c900ca00c500c900ca01c400ca00c600c500ca00c600c800ca01c5
+00c400c901ca00c501c401ca03c500c300c404c500c300ca00c400ca00c400c800c900ca00c804c902c800cd00ce00c900cd02c900c800ce000000c900cd00c800cd00ce00c900cd
+00c9000000bf00c000bf00c400c100bf00c400bf00c400c500bf00c001c300c55d010112060101110112060101115c0100c500c400c000c402c600c300c500c100c500c400cf00c9
+00cf01d0020101d000cb00ca00cb000100d0010100ca00cb00d002cb000102cb00ca01cb00ca00cb01c900c400c900c400cb00ca00c500c300c400c300c500ca01c401c900c500ca
+00c400ca00c500c800c600ca00c900cb00c402ca01c900c501c900c500cb00c900c501ca00c400c500ca00c400c900ca00c400c800cb00c400c500c400c500c901c400ca00c400c5
+00c802c900c400c500c401c500c400ca00c500c300c400c500c900c300c500c900c401c500ca00c900ca00c902c500c900cb00ca00c400c500c300c400ca00c400c600c500ca00c4
+01c900c400cb00c400cb00c501c901c500c400c900c500c900c400ca00c800c900ca00cb00c800ca00c900ca00c800c901ca00c800ca01c900cd00ce00cd00cf00c800c900ce00c9
+00cd00c900c800ca00c900c800cd01c900ce00c900ce01c400bf00c400c000c400be00bf00c400c000c500c05e010112060101110112060101115d0100c600bf00c502c000bf00c5
+00c000c500c600cb00ce00ca02cb00cf01cb00d000cf000100d000cb00ca00ce00d000cf00d0000101cb00ca00cb00ca00cb01ca00cb00c800cb01c501ca00c400ca00c900ca00c4
+00c600ca00c403ca00cb00c500c900c502ca01c500ca00c600ca00c501c900c500ca00c400ca00c400c500c6000000c300ca01c901ca00c500ca00c500ca00c900c600c901c500c4
+01c500c901c400ca00c501c901c400c500c400ca00c400c500c901ca01c500c400ca00c900c300c401c501ca00c600ca00c900c600c500c401c500ca00c401ca00c900ca00c400ca
+00c500c400c500ca00c600c900c600cb02ca00c500c400ca00c501c900c501ca00c400c901c500cb03c900cb00c800ca00c800c900ca01c901ce000000ce01c900ca00c800ce00c9
+00ce01cf01ce00cf00ca00ce00c900c100c400be00c500c000be01c000c100c300bf5f010112060101110112060101115e0100bf00c100bf00c600c400c500bf00c501c000cb01ca
+01d000cb01d000cb010102d0000100cf00d001cb01ca03cb01c900ca00c501ca00c900ca01c901c402c500ca00c400c601ca00c400cb00c900ca00c501c400ca00c500c600c400c5
+03c400cb01c500c400c501c400ca00c400ca00c500c901ca00c900c400c500c900c500c400c900cb00ca00c401ca00c800ca01c501c900c800ca00c503c900c400c900c400ca00c6
+00c901c500c302c900c500c900ca00c500ca00c400c800c900cb00c900c400c500c601ca00c400c502ca00c900c501ca00c400ca00c500c400c500c900ca00c400c500c800c401c9
+00c800ca00c800c501c300c500ca00c300ca00c906ca01c900ca00c901cd00ce01c801ce00cf00cd02ce00c800ce02c900bf00c500be02bf01c400bf00c560010112060101110112
+060101115f0100c500c400c501c101c000c400c001ca02cb000100d0000101d000cb010100ca01d0000101cb00ca01cb00ca00c901cb00c900c500c400c601c500c900c800ca01c5
+00c900ca00cb00c500c600cb00c900c600cb00ca00c500ca00c400cb00c500c900ca00c900c400c900ca00c901ca00c500c400c500c900ca00c500c900ca00cb00ca00cb00c400c5
+00ca00c400ca00c500c900c500ca00c500c400c900c500c600c401ca00c900ca00c900c400ca00c600ca00c900c500c900c500c400ca00c900ca00c500ca00c900c400c500c900c4
+00c500c901c500c400cb00c900c800ca00c900ca00c500ca00c900ca00c400c900c400c503c400c500c900c602ca00c400ca01c500ca00c500c901ca00c900ca01c502ca00c400c5
+00c900c300c502c903ca02c900cd01ce00cf00cd00ce01c900cd00ce00cf00ce00c900ca00c900ca00c900bf00be01c001bf00c401c06101011206010111011206010111600100c5
+00bf00c601c500c000c500c100c900ca00c900cb00ca000100cb03d001cb00d000ca00cb000101cb000100ca00cb01c900cb00c900cb01c400ca00c900c500cb00c901c500ca00c4
+01c502ca00c400cb00c600c900c400c900c500c901ca00c400ca00c900c500c401ca00c501c900c500c600c400c500c400c900ca00c900c400c500ca00c500c400c500c400c900ca
+00c400c900c601ca00c900ca00c801c400ca00c901ca00c401c900cb00ca00c900ca00c501c401ca01c400c900ca00c800c400c500c600c800ca00c501c401ca00c903c501c400c5
+02c900ca00c400ca00c900ca00c400c901ca01c500c400c800c900c500c400cb00c501ca00c500c800c500c900ca00c800c600c800c900c400ca02c9010000c803c900ce01c900ce
+00cb000001c9000001c900ca00c901cb00c300c400c000bf01c400bf00c56201011206010111011206010111610100c600c100c600c1000100c500c100ca00cb01c900cb02ca00d0
+010101cb000100ca010100cb000101cb01ca01c900cb00c900c500c401ca00c502ca00c502c900cb00c501c404ca00c900ca00c900ca00c501c400c500c900ca00c500c400c600c5
+01c400c500c401ca00c400ca00c500c900cb00c500ca00c500ca00c901c500ca00c500ca00c301ca00c400c900c501c400c901c500c900c500ca00c900c601ca00c500ca00c401c9
+00cb00ca02c500c801c500c900ca00c901c402c500c900ca00c900c500ca00c900c402ca00c500c900ca00c501ca01c400c500c400c900c400c500c900ca00c900c302c901ca01c4
+01c500c800c400c900c601c900ca00c901ca00c900c8000001c900ca02c900cd01c900c800ca01c900ca02c900c301c400c300be00c400bf63010112060101110112060101116101
+00c1000100c100c002c102ca01cb00ca000100cb000100ce02cb000100cb00ca00cb00c903ca00c900ca00c501cb00c602ca00c500ca00c901c500ca01c900ca00c400cb00ca00c8
+00ca00c902c500c900c500c900ca00c300c400c500ca01c401ca00c401c501c901ca00c400c900ca00c502ca00c401ca00c300c900ca00c900c500c400c500ca00c401ca02c501ca
+00c500ca01c500ca00c502c900c500ca00c900ca00c500ca02c900ca00c401ca00cb00c900c400ca00c400c501c400c900ca00c400c300c900c501ca02c901ca00c500c401ca00c5
+00c400ca00c601ca00c500c800c400ca00c900c500c401ca00c500c900c501c400c900ca00c400ca00c301c902ca00c900ca00c800c901c803c901ca00c900ca02c9018400c500c0
+00bf00be00bf6301011206010111011206010111630100c0000100c0000100c101ca00cb00c901cb000100ca00cb000100ca00cb000100ca000101cb00ca00cb02ca01c500c600c4
+01c500c900ca01c900c600ca00c500cb00c900c500ca01c900ca00c600c900c800c900cb00c400ca01c500c300c501c402c500c900ca01c900c600c500c400ca00c900ca00c501c9
+01c501cb00c400c500c400c800c900c400c500c901ca00c502c901ca00cb03ca00c500ca00c500cb02c500c400ca02c400c900cb00ca00c500c900c400c900c800c500c400c500ca
+00c800ca00c500cb00c500c400c500ca00c500c901c500c400ca00c801c500c400c500c901c501c900c500c400c900c4000000ca02c500cb01ca00c500c400ca01c400cb00c400c5
+00c301c400ca00c900ca01c900ca02c902c801c900ca02c902ca00c5018400c400bf00be6401011206010111011206010111630100c5000100c00001008400c900ca00c900ca00cb
+01ca01cb01ca010100cb00ca00cb00ca00cb01c902c500ca00c300c600ca00c400c500ca02c900ca00c500ca00cb00c500c400c600cb00c901c500c900c401c500c400ca00c400cb
+00c600ca00c500ca00c400ca01c901c400ca01c500c900c300c500c900c302c500c300c900c500c300c900c500c900c500c600c500ca00c401ca00c503ca00c901ca00c400ca00c4
+00c500c400ca00c900ca00c500ca00c400c900c301c800c400c900c500ca00c600c500ca00c801c900c405ca02c500c400c302ca00cb01c500cb00c901c500c400c900c501c600cb
+00ca000100c501c900c600c300c902ca00c400ca00cb00c501c400cb00c600ca01c901ca00cb00c900c8000000ca00c900c800c900ca00c9000001c900ca00c900ca00c501c40184
+6501011206010111011206010111640101c1018400ca00cb02c900cb01ca000101ca010100ca00cb00ca00cb00c900c600ca00c900c401c500c400c500c400c900c400c500c402c5
+00ca00c400ca00c400ca00c500ca00c400ca00c600ca00c900c400c900cb00c500ca00c400c500c900cb00ca01c400c500c400c500c900ca00c500ca00c300c500ca00c900c401ca
+01c400c900c400c900ca00c800ca00c400ca00c802ca01c500c900c500c900ca00c600c400c300c900ca01c400c501ca00c300c500c400c500c900c400c501ca00c500ca00c400c9
+00c501c401ca01c401ca00cb01c500c900c400c500c400c900ca00c900c500c900c400c900c400c900ca00c400ca00cb01ca00c500c400c600c400c500ca00c900c400c600cb00c4
+00c900c500c900c300c901c400c500c800ca01c400cb00ca02c900c804c901c801c903ca00c400c501c401846401011206010111011206010111640100c5018400c000cb02c900c5
+00c600ca00cb00ca00c9000103ca00c900c500ca00c500ca00c5000100ca00c500c800cb00c900ca00c500ca00c500ca04c500c900ca00c400ca01c500ca00c900c500ca00c400c5
+00c400cb00ca00c501c900c400c500cb01ca00c500ca00c900ca00c400c900ca00c900c501ca00c400c600c500ca00c400c900c600c300ca00c500c402ca00c902ca00c300c500c4
+00c801c901c500c300c500c400c300c900c400c501c900ca01c400ca00cb00c600ca00c400c600ca00c901ca00c600ca00c300c600c900ca00c400c500c900c300ca04c500c400c5
+00c400ca00c501c900ca00c900c301c400ca00c801c901ca00c300cb00c300c900ca00c400c900c400c500c400c500ca00c300c900c400c900c500cb00ca01c800ca06c900c501c9
+00ca00c900ca00c400c500c400c30001018463010112060101110112060101116301018401c1000100c901ca00c500c600c400cb000100c400ca00c900ca00c401ca01c900ca01c9
+00c501ca00c500c900ca00c500c401c500ca00c501c901ca00c400ca00c400c600c800ca00c500c400ca00c400c8000100c902c500ca00c500ca00c800c900c400ca00c500c901c4
+00c600ca00c401ca00c500c400c900c400cb00ca00c601ca00c900ca00c900c500c900c500ca00c401c500ca01c903ca00c400c900c600c400c501c400c500c401c500c900c600ca
+00c901ca00c901ca00c900c500c400c900c600c500c901ca00c800c602c500cb00c500c400ca00c500c400c901c401c900c501c400c500c400ca00c500c400c500ca00c901c401ca
+00c500c900c600ca00c900c400ca01c900c500ca01c400c800cb00c400c900c400c602c900c500c401c900c500ca00c801ca00c800ca00c902c400c5020101846101011206010111
+0112060101116201018401c600c1000100ca01c900c600c400c500c100cb00c900c400ca00cb00c501ca00c600c900c500ca00cb01c400c900ca00c800ca00c500ca00c300c500ca
+01c900c500c900c400c900ca00cb00c800ca01c400cb00ca00c602ca01c900c602c500c901c501ca00c501ca00c500c400cb00c400c900c401c900c500c300c900ca00c900ca01c5
+00c900c501ca01c500c400c500c600c500cb00c500ca00c500ca00cb00c501c603c400c900c600ca00c501c900c300ca00c601ca00c901ca00c400c900c501ca00cb00c401c500c4
+00c800c401ca01c900ca00c900c400c901ca01c902ca00c500ca01c501ca00c500ca00c500c400c900ca03c901ca00c500c400c500cb00c800c400c500ca00c800c400c600c800c9
+01c500c400c500c300ca00c400cb00c900cb02c900ca00c401c500c403010184600101120601011101120601011160010184020100c400c500bf00c901ca00c501c6000100c100ca
+00c400c901ca00c500c901ca00c900c500ca00c600ca00c901ca00cb00c500cb02c500c900ca00c501ca01c900ca00c900c500c400c900ca00c400c500ca00c500ca00c900c300ca
+00c500ca00c400c600c900c400c500ca00cb00c400c900c300c400ca00c800ca00c400c601ca00c300c900ca00c300ca00c401ca00cb01c500c400ca00c900c400c900c403c900c6
+00c900ca01c400cb02ca00c500c901ca00c500c400ca00c500ca00c500c400c300c400c500ca00c400c900c400ca00c500c400cb01ca00c500ca00c900ca00c400ca00c900c400cb
+00c400ca00c500c300c901c500cb00ca00c900c500c400ca00c600c500c400ca01c500c900c400ca00c500c900c400ca00c400c501ca01c400c600c400c300c900c401ca00c300c9
+00c500c400c500c902ca00cb00ca00cb00ca00c902c5060101845e010112060101110112060101115201036b0001026b04010184030101c400bf00ca00c900ca01c500c1010100c1
+00c500c401c501c901c500c900c400c600c900ca00c400c501ca00c400c900c400ca00c600cb00c900c401c500ca00c900c400c900c601c900c600ca00c900ca01c400c900c400cb
+00c500c900c400c900cb00c600c500ca00c400c900c500c900c600ca00c500ca00c600c902c500c400c501c400c900ca00c500c901c400c900c401c500c901c400c501c900c500c9
+00c500c600c400ca01c500c400ca00c600ca00c502c900c500c302c901c500c901ca00c500c900c601ca00c900c401c600c900ca00c900ca00c502c900cb00c900ca00c900c500c9
+00c500ca00c900ca00c400ca01c900c400ca00c400c600cb00ca00c401c500c400c900ca00c401c900c502c900ca00c400c900c400c500c900c400c600c400ca00c901ca00c900ca
+00cb01ca00c900c500c600c4070101840a01036b0101026b49010112060101110112060101115301016b0101016b04010184050100c400c500c900c800c900c400c502c1000101c4
+00c500c401c500c802c500c400c900c501c900c500c901ca00c900cb01ca00c500ca00c900ca00c400ca00cb00c501ca00c300c500c400c900c400ca00c900ca00c300c600ca00c9
+00ca00c900cb02c500c900c300ca00c600c400c300c400c500c401c900c600c901ca00c601ca01c500c901c400c900c401c900ca00cb00c500c401ca00c900c500c900c500c401c5
+00c400ca00c301c900c600c400c501c900c600ca00c900c800c500c900ca00c400c902ca00c900ca00c401c500c400c901c500c400cb00ca00c500cb01c402ca00c500c900ca00c9
+00ca00c900c500c400ca00cb02c500c900ca00c400c500ca00c900ca01c500ca00c400ca00c400ca00c501c900c600c800ca00c401c900c300c900ca00c900cb02ca00c901ca01c5
+090101840a01016b0301006b4a010112060101110112060101115301016b0101006b03010184070101c501c900c500c400c000c100c000c100bc000100c900cb00ca00c500c601c5
+00c400ca00c500ca00c400c900ca00c800ca00c901ca00cb00c500c900cb00ca04c500ca00cb00ca02c500c400c500c400ca02c500c400ca00c500ca01c500c600c400ca00c600c9
+00c500c401ca00c400ca00c900cb00c402c902c402c500c902ca01c500c600c500ca00c400c600c900ca00c600c402c900c400ca00c800ca00c500cb00c800c500ca00c400cb00c9
+00cb00c800ca01c400ca00c500c901c500c900c400ca00c600c500ca00c400c500ca04c500ca00c301c500cb00c400c901ca00c500ca00c400c501ca01c500ca00c500ca00c400c9
+00c401ca00c900ca00c400ca01c601ca00c900ca01c500ca00c800ca00c900ca00cb000100c901ca00c904ca01c50b0101840801016b0201006b4b01011206010111011206010111
+5401006b0001016b02010184080101c400c900ca00c400c500c000bf00bb030100ca00c500ca00c900c600c500c400ca00c400ca00c500cb00c500c400c600c500c400ca00cb00ca
+00c500c600ca00c800c501ca00c500cb00c401cb01c500ca00c500c401c900c500ca00c900c500ca01c900c400c901ca02c400ca00c900cb02ca01c500c302ca00c900ca00c301c5
+00c600cb01c500ca00c900c400ca00c400ca00c500ca00c501ca00c500c900c500c900ca01c900c300ca00c800cb01c900cb01c500c900c500c900c600ca00c400c501ca01c500c4
+00c601c901ca00c300c901c501c900c500c600c500c901c500c300c400cb01ca01c500c900c400c500ca00c900ca01c500ca00c500c300c602ca00c900cb00c800c400c500ca00c9
+00ca00c901c501c600c4030100c500ca00cb01ca00c900ca01c50c0101840801006b0201006b4b010112060101110112060101115401026b010101840b0100c500c900c800c400c6
+00c000bf050102c900c400c501c401ca00cb00c800ca00c400c900c400ca00c400cb00c400c600c500c900ca00c900c500cb00c500c400ca00c900ca00c900c600cb00c402c300c5
+00cb00ca00c600ca00c500c400c500c800c501ca00c900c603c900c600c400c500c600c400ca00c400ca00c800c400ca00c501ca00c900c500ca00c400c502ca00c500c900c401ca
+01c900c400ca00cb00c300c400c500ca01c500ca00c900c500ca00cb00c500ca00c300c500c600c501ca00c401ca00c400c900c400ca00c800ca00c900ca00c500ca00c901ca00c9
+00c500c400ca00c800c600cb00c901c400c500c400c900c500c900c500c900c500c900c400c901c600c900c400c500c900ca01c401ca00c403c501ca00c900ca050100cb00c900c5
+00c901ca00c50f0101840601016b0001006b4c010112060101110112060101115401026b000101840c0100c401c900c400c500c0070101ca00c500c400ca00c400c300ca00c600ca
+00c900c500ca01c500c900ca02c500c401c500c400c900c600ca00c500c800c500ca00c502ca01c900c500ca00c600c500ca00cb01c800c400c601ca01c400c500ca00c500c900c5
+00c900c400c902ca00c500c400c900c400c900ca00c400c500c900c500c600c500c900c800c400ca00c400ca00c800c400cb01c5000101c900c400c900c500c600ca00c501ca00c9
+00c500c401cb01c901c500c600c900c800c500ca00c500ca01cb00c600c900cb03c500c300c900ca00c400c900ca00c400c500c900c501c900ca00c400ca00c400c801c402c500ca
+00c501c400c900c401ca01c400c900c400c900c600c900c400c500ca00c9070100c403ca00c5100101840501036b4c010112060101110112060101115401016b000101840e0100ca
+00c900c30a0100c600ca00c400c600cb00c400c600c500c400c900c500c400c500c400c300ca00c900ca00c400c600c400c900c500ca00c400ca00cb00c500c900c600ca00c400c5
+00ca00c400c500c600c501c900c400c900c500ca00c500c900c500c900ca00cb00ca00c400ca03c400cb00c800ca00c900ca07c501ca00c400ca00c900ca00c601c500ca00c800ca
+00c900c500c400c500ca02c501c401ca00c501ca00c602c500c900ca00c400cb00c401ca00c900c400c301c900ca00c902c400ca00c400c501c401ca00c401c502ca00c401c900c5
+01ca00c400c900c300c500c401ca00c900c500c900c600c400c901c501c900c401ca00c400c800c40a0100c600ca00c91a01016b4d010112060101110112060101115301036b1001
+00ca00c50d0100c900cb01ca00c900ca00c900c400ca02c900cb00c901cb00c500c900c400c500c900cb00c600c402ca00c900c802ca01c501ca00cb00c500c900ca00c500ca00c6
+00cb00c400c300c400ca00c500c400ca01c502c901ca00c400c500ca00c500c300c900c400ca00c300c600c500c902c500c900c500c900ca01c500ca00c600c900c400c500c300c4
+00c500c400ca01c400ca00c300c500c400c900cb00c500c400c501ca00c400c500c600ca00c400cb03ca00c500cb00ca00c900c400ca01c400c600ca00c900c501c400ca00cb00c5
+01c900c500ca00cb00c900ca00c302c900c400ca00c500cb00c900c501c400c900c500c900ca00c500c601c50d0100ca00c51a01016b4d010112060101110112060101115301006b
+0001016b210100c500c900ca00c900c600c400ca00c401c900c501c401c501c900c600c400c500c400ca00c901ca00c400c900c800c401c502c900c400c900c600c500c400ca00cb
+00ca00c400ca01c900c500c900c300c900c400c900c400c902ca00c400c900c400c500c300c900ca00c900c602c400ca01c900c400c900ca00c400c900c400c900c500c900ca00c3
+00c600c900c400ca01c500c900c800c901c400ca00c900ca00c600c400c900c500c902ca00c900cb00ca00c400c501c900cb00c601c900c500ca00c501c402ca00c900c500c400c5
+01ca00c600c903ca01c400cb00c300ca00c500c900c400c501c400c900cb00c300ca00c500c900c42a01016b4e010112060101110112060101115201016b0101006b220100c900c6
+00c901c500c400ca00c401c500ca00c400ca01c400c900c400c500c400c500c900ca01c900ca00c400c900c500cb00c400c900ca01c500c400ca00c900c500c600c501cb00c900c5
+00c901c502ca00c500ca00c501c900ca00c500ca00c800c602ca00c500c400ca00c900cb00c500c801c901c400c500c400c900c601c900c400ca01c900cb00c500ca00c901ca00c5
+00ca00c300c400c500c900c500ca00c900ca00c500c400c301c900ca00c500ca00c400c900c800c600c501c900ca00c300ca01c500c600c400c500ca00c600c500ca00c900c600ca
+00cb00c500c400c900c500ca00c900c500c401c900c400ca00c400ca00c500c400c801c500c600ca2b01016b4e010112060101110112060101115201006b0201016b220101ca00c8
+00c500c601c500c400c901c400c500ca00c500c900cb00c400c300c900c500c901c400ca00c900ca00c500c600c901c500c402c900c500c800c400c901c500c400c500ca01c900c4
+00ca00c401c900c601ca00c501ca00c400c601c500ca00c400c903ca00c400c500c400c500c901c500ca00c600c401c500c900ca00c500cb00c900ca00c901ca01c400c500c900ca
+00c500c900c501c400c900cb00c500c900c500ca00c500ca00c300c400c501c400c500ca00c400ca00c501c900c600c502c400ca00c501c9000100c800cb00ca00c400cb01ca00c5
+00c800c900c500c601c500c400c500c900c401c500ca2c01016b4e010112060101110112060101115101026b0001036b220100c500ca00c900c300c901c400c500cb00c501ca00c5
+00c900cb01c901cb00c900ca00c501ca00c900c500ca00c400c502ca00c502ca00c500c600c900cb00c500c800c502c900c501ca00c500ca01c400ca00cb00c500c900c500ca00c9
+00c400c500c400c600c500c401c500ca00c902c500ca00c900ca01cb00ca00cb01c900ca00c500c400ca00c900ca00c500c900c300c500c600c900c500ca00cb00c500c900cb00c9
+00c401c500c901c600ca00c901c400c500c801c400c501ca00c400ca00c500c600c500c400c500c301c500c401c300ca00c500c901c500c900ca00c900c400ca02c400ca01c500c4
+2c01036b4d010112060101110112060101117d0100ca00c300c900cb01c900c500ca00c400ca00c900c500c600c400ca01c500ca01c400c500c400c500c400c500c900c500ca00c4
+00c500c400c300c901c500c400c900ca00c600c400c500ca00c900c501c900c600cb00ca00c600ca00c500c901c501ca00c900ca00c500c400ca00c300c400c500c400c500c900ca
+00c400c800c500c900c400c501ca00c500c900c600c500c400c900c800c900ca00cb00c401c500ca00c500c901ca00c500c900ca00c400c300c900ca00c402ca00c402ca00c400c3
+00ca00c900c500c400c500c301ca00c602c400c900c500c400c601ca00c400ca00c500c400ca00c500c901c500ca00c500ca01c600ca00c57f010112060101110112060101117e01
+00c601ca00c400ca00c600c900c400c502ca00c500c402ca00c400c600c500c900c800c500ca00c300c400c500c900c500ca01c900cb00ca00c400c901c500c900c500c800ca00c9
+000100c300c902ca00c500c900c400c900ca02c400c900ca00c900c400c500c900c400c501c900cb00c500ca00c400ca00c401c902c400cb00ca00c900c500c300c400c500c900ca
+00c900c500c900c500cb00ca00c400c901ca00c500ca01c901c400ca00c400ca03c500c400c500c900c500c900ca01c900c800ca00c903c500c401c500c900c500c901c500c900c5
+00c901ca02c900c500c600c880010112060101110112060101117f0100ca00c501c300c501c800c400c300ca00c500c900c500cb00c500ca00c900c400c500c400c900c400cb00ca
+00c500c900ca00c900ca00c400c501ca00c501ca00c501ca00c900ca01c900cb01c900c400c900c402c902ca01c500c900c500ca00c400ca00c901c500cb00c900ca01c500c900c5
+00ca00c400c900c400ca00c900c400c900ca00c400c500ca01c400c901c600c900c500ca00c501ca00c900c600c800c500ca00c400ca00c600c800c500c400c600c400cb00ca00c5
+00c900c400c600c900c500c900ca00c900c500ca00c400c501ca00c601ca00c902c500c900c400c500c902ca00c901c48101011206010111011206010111800100c800c400ca00c8
+00c500c900c400cb00ca00c600ca01c900ca00c800c400c900c600ca00c500c400c600c400c500ca01c900ca00c500ca00c400c902ca00c500c600ca00c500ca00c400c300c501ca
+00c500c900ca00c902ca01cb00c900ca00c500c400ca00c400c602c500ca00c400ca00c400c900cb00c400ca01c900ca00cb00c601c401c502ca00c900c400ca01c400ca00c400c3
+00c900c500c901ca00c600c801ca00c500c804ca00c400ca00c400ca01c900c402c900c500c400c900ca00c505ca00c900c502c900c600c400c900ca01c982010112060101110112
+06010111810100c500c400c600ca00c501ca00c300c500c600c900ca00cb00c400c500c900ca00c300c600c401c500ca00c902ca00c300c900c400c501c900c401c900c300c400c6
+00ca01cb00c902c500c600c900c500c801c900c500c901c500c400c500ca00cb00c400cb00c900ca01c901ca00c900ca00c400c500c600ca00c500ca00c900ca00c600c401c900ca
+00c600c402ca00c500c401c900ca00c900c600c400c900c500ca00c500c400ca00c900ca00c501c900c500c402c901c401c900ca00c500ca00c400ca00cb00c400c601c500ca00cb
+00ca01c400ca00c301ca00c900c500c48301011206010111011206010111820100c500c900cb00c800ca00c401ca01c900ca00c6000101c400c500cb01c900ca01c900cb00c500ca
+00c500ca00c600c400c502ca00c901c400cb00c400c500ca00c500c400c501c400c500c901c501c400c501c900c500ca00c900c500ca00c500c900ca00c500c400ca00c400c900c5
+00c900ca00c401c900c600c900c501c400c500c900ca00c500ca00c400c900ca00c900c500c400c900c401ca00cb01c503ca00c601c500c600c900ca00c600c901ca00c400c500c4
+01c502c900ca00c900c600ca00cb00c400c500c900c401c500c900c801c500c600c400c98401011206010111011206010111830100ca02c501c401ca00c900c501ca00c902ca00c9
+00c500ca00c901c501c401ca01cb00ca01c500c400c500c900c400cb00ca00c500ca00c900ca00c901ca01c900ca00c400ca01c500c800ca00c900ca00c500c402ca00c500c400c8
+00c901c401ca01c400c600c500c900ca00c300c801c500ca00c901ca00c400c600c900c400ca00c900ca00c600ca00c601c400ca00c800c400ca00c900ca02c501c400c900c500c4
+00ca00c500ca00c900c300c500cb00c500cb00c900c400c901c500ca00c300c400ca01c400ca00c503c98501011206010111011206010111840100c500ca00c900ca00c500ca00c5
+00c400c500cb00ca00c400cb02ca00cb00c500c400ca00c900c401c902c400c500ca00c600c900ca00c400c500c400c800c501c601ca00c400ca01c900ca00c900c400c900ca00c6
+00c500c600cb00ca00c400c500ca00c900c600c500c401c900c500c600c900cb01c900ca01c500c600ca00c501c400c500c401ca00c500c901ca00c600c504c401c900c500c900ca
+00c900c500cb00c600c400c900ca00c400c900c500ca00c400c500c900c500c400c900c801c900c400cb00ca00c500ca00c800ca00c401c901c500cb00c486010112060101110112
+06010111860100c500ca00c901c500ca01c402c500ca00c500c600ca00c400c503c400ca00c901c400ca00c300ca00c500c900c501c900c500ca00c900c500c401c500cb00ca00c4
+00c600c400cb00c500cb00c301c400c801c901c400c600c900cb00c500ca00c500ca00c500cb00ca00c500c400ca00c500c900c500cb00c500ca00c800c600c900c300c500ca00c5
+00c800c400c500c600c500c400ca00c900c800c400c500c800ca02c900c401ca01c900c400c500c903ca01c400c900ca00c903ca00c400c601c501c902ca88010112060101110112
+06010111870101ca00c500ca01c502c400cb00c400c604ca02c500cb00c900c400cb00c800c400c500c901c500ca02c500ca00c400c500c800c400c900ca00c500cb01c400cb00c9
+00cb00ca00c900c500c901ca00c600ca00c800c901c501ca00c402c500c301c900ca00c902c400c900c401ca00c900c500c900c500c900c500c901c500ca01c500c300c400cb00c9
+00c401ca00c400ca00c600c300cb00c400c900c400ca00c800c500c900c300ca00c900ca02c500c401ca00c800cb00ca03c58901011206010111011206010111880100ca00c400c8
+00cb00c400ca00c501ca00c600ca00c400c500cb00c500ca00c300c501c600ca00c902c500ca00c800c503c900c600c900cb00ca00c501c901cb00c500c400c900c400ca00c901ca
+01c400c500c400ca00c301ca00c400ca01c500c401ca01c500ca00c900c401c501ca00c900c500c900c400c900c401c900cb00ca00c500c400cb00c900c400c800cb00ca00c900c4
+01ca00c900c501c400ca00c500cb00c500c900c500c900c500c900c400c500cb00c400ca00c900c401c500c400ca00c900c800c500c400c68a010112060101110112060101118901
+00ca00c501c900ca00c400c501ca00c500c900cb00c900ca00c400ca00c400c901ca00c501ca00c500ca00c900c400c500c900c500c600c500c401c500ca00c900c801c401ca00c9
+02c500ca00c500ca00c401c300c500ca00c400ca00c400c900c400c900c400c900c300ca00c900c500c400c900c500c400c901c501c900c500cb02c400c500c900c500c900c600c5
+00c401c900c400c901c500c400ca00c500c900ca00c400c900ca00c400c900c400ca00c400c300ca00c900cb01c400ca00c900ca03c501c400c98b01011206010111011206010111
+8a0100c401c500c400c900c500c602c500ca00c900c500c400c500c400ca00c400cb00ca00c800c900c501ca00c900c600cb00c402c500c900c400ca00c500c900c600c401ca00c5
+01ca00cb00c900c500c400c900cb00c903ca00c300c500ca00c800c500ca00cb00c500ca00c500ca00c902c502ca00cb00c500c401ca00c501c900c400ca00c600c900cb00c401c5
+00c900ca01c500c901c500c900c501c400c500c600c401c500ca00c900c800c901c500c900c500c400ca00c500c400c900c500c48c010112060101110112060101118b0100c500c4
+00c601c400c500ca00c400c900ca00c400c900c800cb00ca00c800c500c901ca01c900c500ca00c300ca00c900ca01c500cb00c900ca00c501cb00ca00c501ca00c600c902c400c5
+00cb00ca01c400c500c901c501c900c400c500c400c900c300c500ca00c600cb00ca00c501ca01c500cb00ca00c400c900c500ca01c900c400ca00c500cb00c601c501c400ca00cb
+00c500cb00c800c900c500ca00c300c600ca00c400c900c600c500c400c501cb00c400c501cb00c901c500c900c601c98d010112060101110112060101118c0101ca01c500ca00c9
+01c500c400c500ca00c900c800c900c600c900ca00c900c400ca00c501ca00cb01ca00c600ca00c901c400c501c901c500c600c501c900c400c500c900c600c500cb00c900ca01c5
+00cb00c400c300c900c501c900cb00c400c500ca01c400c500c400c500ca00c902ca00cb01ca01c500ca00c500c900c400c900c500c401ca00c400c900ca00c301c900ca00c400c9
+00c400c500c901c500c400c501ca00c300c900c603c900ca00c900c400c500c400c98e010112060101110112060101118d0100c600ca00c800c900c502ca00c900c500ca00c500c4
+00ca00c900ca01c400ca00c400c900ca00c500ca01c900ca00c502ca00c802ca00c500c900c601ca00c900c401ca00c402c901c400ca01c500ca00c400c802ca00c500c900c500ca
+00c401ca00c900c300c400ca00c600c900ca00c900c401c500c600ca00c900ca00c400ca00cb00c5000100c600c900c400ca01c500cb01c402c500c800ca00c501c901ca00c500c4
+00c900c400c500c400ca00c400c58f010112060101110112060101118e0100c300ca00c600ca00c301ca00cb00c300c500c400ca01c500c900c500c901c500c400c900c400ca00c4
+00c900c400c500cb01c500ca00c503c400c900ca00c801c400c900c400c600c900c500c400c500ca03c400ca00c400ca00c901c400c500c900ca00c800c601c401c900ca00c900c5
+00ca00c501c900ca00c400ca00c400c500c901c500ca00c500c901ca00c500c400c602ca00c500c403ca00c400c900cb00ca00c500c300c600c900c600c901c59001011206010111
+011206010111900100c901c503c900c400cb00c900ca01c400c900ca00c500c402ca00c500c400c901c400ca00c400ca00c300ca00c600c400c902c500c301ca00c601cb00c500c8
+00ca00c502c400c500c900ca00c300c900ca00c900ca00c500c400c500c400c900c500c300c500c901c400c903c400c300c800ca01c500c900ca00c901c501c900ca00cb00c901c5
+00c900c500c900ca00c402ca02c400c501c400ca01c500ca9201011206010111011206010111910100ca00c400c900c4000000ca00c500ca00c900c500cb00c900ca00cb00c400cb
+00c900c502c400c600c400c901c500ca00c401c500c900c600c900ca00c600c500cb00c500ca00c400c800c601ca00c400ca00c400c901c500c900ca00c400c500c900ca00c900c4
+00c500ca03c900c400c500c400cb00ca00c501c900c600c900c400cb00c402ca00c600c400ca00c900c401c900c500c301c600cb00c401c901ca00c900c400c901ca00c500ca00c9
+00c49301011206010111011206010111920100ca00c500ca00c901c500c800ca00c601ca01c601c400c500c600c900c400c600ca00c900ca00c900c503c400ca00c500c903c500c4
+00ca00c500c600c400c500c800c900c400ca00c400c601c900c600ca01c501c400c901c500ca02c903ca01c500c300ca00c600c300c501ca00c400c901c400ca00c302c501ca00c5
+00ca01c902c500cb00c500ca01c500c900c400c900ca00c49401011206010111011206010111930100c300c900ca00c500ca00c500c603ca01c401ca00c400ca00c500c600ca00c5
+00ca00c900c400c900c500cb00c500c600c500c400c300c500c400c500c900c500c400ca00c500ca00c903ca00c900ca00c901ca00c400c500ca00c401ca01c900ca00c500ca00c5
+00c901c500cb00c501ca00c301c400cb00c401ca00c500c400c900c400c500ca01c400c500ca00c400c901c400ca00c500ca00c400c501c901c400c500c495010112060101110112
+06010111940100ca02c500cb01ca01c401cb00c500ca00c500c900c500c600c900c300c600c400ca00c500c401ca00c500cb01ca00c900c403c500c400c900cb00c400c900c600c8
+01ca00c900ca00c600c900c401ca01c900ca00c400c300c500ca00c900c400c900ca00c400cb01c400c801c500ca01c401c500c300c500ca00c400ca00c901c400c902cb00ca00cb
+00c400ca00c500c900ca01c602c900c59601011206010111011206010111950100c602ca01c500c400c501ca00c500cb00c900c600c900c400c900c400c900c500c900ca00cb00c9
+00ca01c900c400ca00cb00ca00c500c300c901c500c400c900c400ca00c600c900c400c900c602c400c901ca00c601ca00c500ca00c500ca01c500c900ca01c900c800ca00c400ca
+00c500ca00c400c500ca00c900ca00c400c600c900c601c500ca00c401c900ca00c900c501c400ca00c500c400c500c900c400c500ca9701011206010111011206010111960103c4
+00c500cb00ca00c900c501c600cb00c500ca00c900c400ca00c800c500c901ca00c600c400c500c400c500cb00c900ca01c900ca00cb01c500c400c900c300c900ca00c300c400ca
+00c400cb00ca00c800ca00c400ca01c502ca00c500c600c500c800c300c901c500c901ca00c500ca00c300ca00c400c500c400ca00c600ca00c900c400c500c401c500c900ca00c9
+00ca00c900c801c400c500c900c500c600c49801011206010111011206010111970100c500ca00c500ca01c500c600c400c900ca02c900cb00c500ca00c901c500ca00c400ca00c4
+01ca00c800c900c500c600c900c600c500c400c500ca00c301c900ca00c900c401ca00c400cb00c600c500ca00c600c900ca00c900c400c800ca00c401c900c401c900c500ca00c9
+00c500ca00c500ca00c500c400c600c901ca00c500cb00c900c400ca00c500c400c500c900ca00c900cb00c900cb01ca01c401ca9901011206010111011206010111990100c301c4
+00ca01c500ca00c400c900ca00c400c900ca00c501c800c500cb00c500c400c900c400c500c901c500cb00ca00c900c303c902c500c800ca00c500c900c501ca00c600c901c400c9
+00ca01c400cb00c500c900c400c900c400c800cb00c900c501c900ca00c500ca00cb00c500c900ca00c300ca00c901c501c400c500c800c400c502c901c400c300c600c99b010112
+060101110112060101119a0101ca00c500ca00c501ca00c600c500c400c500c900cb00c400ca00c900c500c600c800ca00c900c800c500c900c400c502c403ca00c500c603ca00c5
+00c900c600c400c900ca00c500c900c500c900ca00c400c300ca00cb00c900c800c400cb00c500c900c800c600c900c801c400c500c900c500ca00c500ca00c500c401c500ca00c5
+00ca00cb01c900ca00c400ca00cb01c99c010112060101110112060101119b0100c900c400c500c400c900c600cb00c400ca00c500c901c501c900c800c500c400ca01c500ca00c4
+00c901c500c400c900cb00c900ca00c402c500cb00c900ca00c800ca00c900c800c901c500c401c500ca01c400c900cb00ca01c403c500c900ca00c400c502c900ca00c400c500ca
+02c500c800c400ca00c600cb00ca01c400ca00c901c59d010112060101110112060101119c0100c900ca00c600c500c600ca00c300c400c500c900c403c500c901c400c501ca00c9
+00c400c500c600ca00c500c800c300c400ca00c400c500c400ca00c600c900c500ca01c501ca00c600c900c500c401c500ca00c900c400ca00c900c400c900ca01c500cb00c401ca
+00c500c400c800ca00c500cb00c500ca01c500c900c500ca00c600c900c600c400ca00c600c500c99e010112060101110112060101119d0100ca00c500ca00c400c900c501c400c6
+00ca00c401ca00cb01c900c800ca00c400c500cb02c500c900c400c500c900c500ca00c401c500c901c400ca01c901ca00c801c500c900c400ca00c400c501c400c600cb00ca00c8
+01c500c901c500c900ca00c900ca01c500ca01c900c400c300c400c901ca01c900c400c500ca00c300ca9f010112060101110112060101119e0101c501ca00c905ca01cb01c400ca
+00c501c900c502c400c500c600c300c400c900ca00cb00c400c901ca00c400ca00c402c500c6000102c500ca00c400c900c400ca00c500c400c900c500ca02c400c300ca01c400c8
+00c500c400c902ca00c600ca00c900c400ca00cb00c900c500cb00c800c4a0010112060101110112060101119f0100c500cb01c500ca00c900c500ca00c500cb00c900c500ca00c5
+00ca01c900ca00c400ca02c500cb01ca03c900c400ca01c500c800cb00ca00c504c400ca00cb00c500ca01c500c401c900ca00c300c500c901ca02c500c400cb00c402ca01c401c9
+00ca00c400ca01c900c500caa101011206010111011206010111a00100c900c500cb00c400ca00c502c900c402c501ca00c800c500ca00c900c400c301c400c900c500c400c600ca
+00c900c400c900ca00c500c400ca00c900c400ca00c400c500c300c500c401ca01c900c500ca01c900c400c300ca00cb00c500c800ca00c400ca00c600ca00c400c500ca01c900c4
+00c500c900ca00c502ca00c4a201011206010111011206010111a20100cb00c900c401c900c500ca00c900c400ca02c400c500ca01c401ca00c900c800ca00c900c500c400c500ca
+00cb00ca01c902ca00c500c900c500ca01c901ca00c500c400c500c400c501c900c800c500c401ca00c300c501c901c500c901c500cb01c400c600c500ca00cb00c500caa4010112
+06010111011206010111a30100c402c500c600c400c901c501ca00c900ca00c500c300c603c900c400cb00c400c500c400c500ca00c901c401cb00ca00c500cb01c500ca00c500c8
+00c900c600cb00c500c300c900c500c800c604c501c900ca00c400c500cb00c500c600c400c500c900c500c900ca00c900cba501011206010111011206010111a40100c501c400c5
+00c401c500c900ca00c400c300c900c500c400ca00c400c900c500ca000100c901c602c500c400c900ca00c500ca00c900ca00c300c901c500c900c500ca02c500ca00c502ca00c9
+00c501c400c500ca00c400c901c400c501ca00c601c400c500c400ca00c5a601011206010111011206010111a50100c400c900cb00c500ca00c501ca00c400c902c501c400ca00c4
+00ca00c600c500c400c801c900c600c500ca00c600c900c500ca00c500c400ca00c900c400c900c600c901ca00c500c400ca00c500c400c900c501ca00c400ca00c900ca00c900c5
+00c400ca00c400c300c401c900c300c500c4a701011206010111011206010111a60101ca00c500c900c400c900cb00c900ca01c500c900c300c800ca00cb01ca00c501ca00c900c4
+00ca00c600c5000100c800c600c900c4000100cb00c900ca00c302c800c500cb00c500ca00c500c401cb00c500c400cb00c400ca00c901c400c800ca00c900c500ca00c500ca00c4
+00c5a801011206010111011206010111a70100c500c600ca00c501c900c400ca00c400c600c901c400c600c900c501ca00c900ca00c401ca00c501c400c900c500c401c503ca00c5
+00c600c800ca00c401c600c500c900c400c900c500c600c400c900ca00c500ca00c400c901ca00c400c500c900ca00c9a901011206010111011206010111a80100c5000000c500c4
+00c500ca00c900cb00ca00c800c900c400ca00c501ca00c500c900ca00c500c901ca01c502ca00c900cb02c502ca00c403ca00c500ca00c500ca01c400c500c400ca00c500c900c4
+00c900c400c600ca00c300c900caaa01011206010111011206010111a90100c300c400c500c900c501ca00c302ca02c500c900ca00c500c400c500c900ca00c900ca00c400c900c3
+00c500c900cb00c400cb00ca00c900c600cb00ca00c400c500ca00c502ca01c400c802c500c300c400ca00c901c500c600c400caab01011206010111011206010111ab0100c500c9
+00c500ca00c900c500c902c500c400c501c900c501c400ca00c500c902ca01c401c500ca01c401c300c500c900ca00c500c400c300c500ca01c500ca00c400cb01ca00c400c500c4
+00c900cb00c800c5ad01011206010111011206010111ac0100c401c500cb00c900ca01c500c400ca00c901ca00c801ca00c900ca00c500ca00c500c900c400c900c602c402c500c9
+00c501ca01c600c500c900c401c900c400c900c600ca01c402c500caae01011206010111011206010111ad0100c400c500c900c500ca04c500ca00c501c903ca00c800c401c900cb
+00c400ca00c4000000c400c500c600c901c400c500c400cb02ca00c500cb00c800ca00c300ca00c500ca00c900c500c4af01011206010111011206010111ae0100c901c500c900ca
+00c805c500ca00c900ca01c400c500c400c600c400c900c400c900ca01c500c400c900c501ca01c501ca02c500c900c500c900cb00c400c501ca00c4b00101120601011101120601
+0111af0100c400ca00c401c900c500cb00c900ca00c900c601c401c900ca00c400ca00c501c900c500c900ca00c400c900c400ca00c400ca00c900ca00c900c500c600c900ca00c6
+01c400c500c900c500ca00c800c5b101011206010111011206010111b00100c900cb00ca00cb00c500ca00c900ca00c400cb01ca00c403c501c400c502ca00c401c900c500ca00c4
+00c500c400c900c401c900ca00c601c400c800c300c500ca00c9b201011206010111011206010111b10100c500cb00c500c400ca00c400ca00c900ca00c400c900ca00c800c600c3
+02c900ca00c900c601c500ca00c501ca01c400c500c900c400c500ca00c401ca00c400c900c500c900c5b301011206010111011206010111b20100c500cb00c400c900c501ca01c5
+00ca00c500c900c500c800ca00c800c6000100c500c400ca00c300c900cb00c301c400c900ca00c400c502ca01c900ca00c500c900cab401011206010111011206010111b40100ca
+00c400ca00c800c400c501c900c500cb00ca00cb00ca00c900ca00c600c900c501c900ca00c500ca01c400c900c501c901c501ca02c4b601011206010111011206010111b50100c9
+00ca00c401cb00c900c400c500c800c500c900c600c500c900c500c400ca00c900ca00c500ca00c400c500c900c400c500ca00c501c900c500c601cab70101120601011101120601
+0111b60100c500c600ca00c501c400c502ca00c600c502c900c502ca00c601ca00c500c400c500c900c401c901c500c8b801011206010111011206010111b70101c900ca00c900ca
+00c600c500c900c600c500c900ca02c900c500ca00c400ca01c900c400c900c401c500c800ca00c500c4b901011206010111011206010111b80100c500c400c801c500c400c600c4
+00ca00c901c500c800ca00c500c901ca00c400c600ca00c501ca00cb00ca00c900caba01011206010111011206010111b90100ca00c500c300cb00c502c900c300cb00c500c800c3
+00ca00c400ca00c900ca00c500c400c900ca00c901c500cabb01011206010111011206010111ba0100ca00c900c500c801ca00c501c400ca00c900ca01c500c400c500c900ca00cb
+00c901ca00c500c9bc01011206010111011206010111bb0100c400c301c400c900cb00c500ca00c500c900ca00c502c900ca00c401ca00c900c500c4bd0101120601011101120601
+0111bd0101ca00c901ca00c900cb01c500c900c501ca00c900c400c900c400cabf01011206010111011206010111be0100c401c900c500c900c500ca00c900c400c500cb00c501ca
+00c500c4c001011206010111011206010111bf0100c400c501ca00c401ca00c501ca00c400c900c500c9c101011206010111011206010111c00100ca00c900ca00c401c500ca00c3
+00c900ca00c500c9c201011206010111011206010111c10100c500c400c900c400c500ca02c900cac301011206010111011206010111c20100c500c901c401c800cac50101120601
+0111011206010111c30102c500c400c300cac501011206010111011206010111c50101cac701011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f0101120601011100120911ff018f010112081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff12911206010111011206010011ff1292120601011101121e0100110012
+ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e010111
+01121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121f110012ff1160110012
+20110012ff11a411
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/wd-expz.ps b/books/ps/wd-expz.ps
new file mode 100644
index 0000000..54961b6
--- /dev/null
+++ b/books/ps/wd-expz.ps
@@ -0,0 +1,818 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 192.108269 284.120003 419.891714 538.120003
+%%Creator: xwd2ps
+%%CreationDate: Sat Dec  7 19:06:21 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -h3.5
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  422, height = 471, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 471
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 471 8
+  [422 0 0 -471 0 471]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.682059 inch 3.960000 inch translate
+matrix currentmatrix
+3.135881 inch 3.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+236b8e
+b3b3b3
+d8d8bf
+dbdb70
+3299cc
+ffff00
+238e23
+0000ff
+cc7f32
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00ff00
+00ffff
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+d6d6d6
+767676
+474747
+b6b6b6
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12a51220120011ff12601200112012001101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e010011
+0012ff015f01001100121e0101110112060118110012ff1160110012171106010111011206010011ff129212060101110112060100110012150100110012ff014701001100121501
+00110012150100110012060101110112060100110012150100110012ff01470100110012150100110012150100110012060101110112060100110012150100110012ff0147010011
+0012150100110012150100110012060101110112060100110012150100110012ff0147010011001215010011001202010f1202010011001206010111011206010011001215010011
+0012ff01470100110012150100110012020100120d010011020100110012060101110112060100110012150100110012820102000f01000020010400020105008101001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012830101000e0102001e010100010102000201010001010100800100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012830101000f0100001f0100000301010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012820103003401010002010100020101007f0100110012150100110012020100120d0100110201001100120601
+0111011206010011001202010f120201001100128201000000010100020102000101020001010300050103000201000000010100000101000e01010003010100020101007f010011
+001208010312080100110012020100120d010011020100110012060101110112060100110012020100120d0100110201001100128201000000010100030101000101010004010100
+04010100010101000101010000010100000101000b01020004010100020101007f01001100120801001201010011080100110012020100120d010011020100110012060101110112
+060100110012020100120d010011020100110012820100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f01001100120801001201010011080100110012020100120d010011020100110012060101110112060100110012020100120e110201001100128101050004010100060101000301
+0100030101000001010000010100000101000e01010002010100020101007f0100110012080100120211080100110012020100120d01001102010011001206010111011206010011
+00121501001100128101000002010100040101000601010003010100030101000001010000010100000101000e01010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012810100000301010002010000000101000501010003010100030101000001010000010100000101000e010100
+02010100020101007f0100110012150100110012020100120d0100110201001100120601011101120601001100121501001100128001010003010100010101000101010004010100
+040101000101010001010100000101000001010009010000030101000201010001010100800100110012150100110012020100120d01001102010011001206010111011206010011
+001215010011001280010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012b70103008b0100110012150100110012020100120d0100110201001100120601011101120601001100121501
+00110012ff01470100110012150100110012020100120e11020100110012060101110112060100110012150100110012ff0147010011001215010011001215010011001206010111
+0112060100110012150100110012ff0147010011001215010011001215010011001206010111011206010011001216110012ff11481100121611001216110012060101110012ff11
+9a110012081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111
+b501017a1a01017a0301007a1801017a9a01011206010111011206010111b401017a1601057a0301027a1801017a9901011206010111011206010111b401017a1501027a0101017a
+0401007a1901017a9901011206010111011206010111b301017a1001017a0301007a0001007a0001017a0e01017a1001017a98010112060101110112060101119801037a0201027a
+0101027a0001017a0001027a0401017a0401027a0101027a0301017a0301027a0001017a0301037a0601017a0301037a0001027a0401017a98010112060101110112060101119701
+017a0101017a0201017a0101017a0201027a0001017a0301017a0501017a0101017a0401017a0301017a0001017a0601017a0301017a0001017a0001017a0101017a0201007a0501
+017a98010112060101110112060101119601017a0201017a0301017a0001007a0301017a0201017a0201017a0601017a0001007a0201077a0301017a0601017a0301027a0101027a
+0101017a0201007a0501017a98010112060101110112060101119601067a0401017a0401017a0201017a0201017a0701017a0301077a0201017a0101017a0301017a0601017a0501
+017a0001007a0601017a98010112060101110112060101119601017a0901017a0401017a0201017a0201017a0701017a0601017a0501017a0001027a0301017a0501007a0101007a
+0401017a0001007a0601017a98010112060101110112060101119601017a0801007a0001017a0301017a0201017a0201017a0601007a0001017a0501017a0401017a0101007a0001
+007a0301017a0401017a0101017a0401017a0701017a98010112060101110112060101119701017a0201007a0201017a0101017a0201017a0101017a0401017a0401017a0101017a
+0401017a0401017a0101027a0301017a0401017a0101017a0401017a0601017a99010112060101110112060101119801037a0201027a0101027a0101047a0501017a0301027a0101
+027a0901027a0101017a0201057a0d01007a0701017a9901011206010111011206010111a901017a0901017a1401027a1a01007a0601017a9a01011206010111011206010111a901
+017a3b01007a0001007aa401011206010111011206010111a801037a3a01027aa401011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff008f00011206010111011206010111ff00
+8f00011206010111011206010111ff008f00011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff01
+8f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111
+011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ce01066bb901011206010111011206010111
+ce01016b0201016bb901011206010111011206010111cd01006b0301016bba01011206010111011206010111d101026bba01011206010111011206010111d001026bbb0101120601
+01110112060101115e0100b26f01026bbc010112060101110112060101115e0100ac6f01016bbd010112060101110112060101115e0100b100ad6d01026bbd010112060101110112
+060101115f0100ad6c01026bbe010112060101110112060101115f0101b16b01016b0301006bba010112060101110112060101115f0101ac6a01016b0201016bbb01011206010111
+011206010111600100ac00b26901066bbb01011206010111011206010111600100b200b1ff012c01011206010111011206010111600100b000b200b6ff012b010112060101110112
+06010111610100ad00b1ff012b01011206010111011206010111610100b200acff012b01011206010111011206010111610100ac00b000b7ff012a01011206010111011206010111
+610100b100ac00b163010084c501011206010111011206010111620100b100b200b762010084c501011206010111011206010111620100b100af00b662010084c501011206010111
+011206010111620101ac00b200bc61010084c501011206010111011206010111630101ab00bc61010084c501011206010111011206010111630100ad00b100bb61010084c5010112
+06010111011206010111630100ad00b100bc00b660010084c501011206010111011206010111640100ac00ab00ba60010084c501011206010111011206010111640100b100ac00bb
+60010084c501011206010111011206010111640100ab00b100bc60010084c501011206010111011206010111650100b200c000bb5f010084c5010112060101110112060101116501
+00b100b200c15f010084c501011206010111011206010111650100b100ad00c05f010084c501011206010111011206010111660100b100c000bc5e010084c5010112060101110112
+06010111660100b100ac00c05e010084c501011206010111011206010111660100ac00af00c05e010084c501011206010111011206010111670100b100c000b25d010084c5010112
+06010111011206010111670100ac00c600bb5d010084c501011206010111011206010111670100ad00ac00c65d010084c501011206010111011206010111680100ac00c600b15c01
+0084c501011206010111011206010111680100ac00c400c05c010084c501011206010111011206010111680100ab00c500bf5c010084c5010112060101110112060101116a0100c6
+00b15b010084c501011206010111011206010111690100ab00c900b65b010084c5010112060101110112060101116a0100ca00bf5b010084c5010112060101110112060101116a01
+00ca00c000b65a010084c5010112060101110112060101116a0100a700ca00b65a010084c5010112060101110112060101116b0100cb00c000b159010084c5010112060101110112
+060101116b0100ca00c100b159010084c5010112060101110112060101116c0100ca00b659010084c5010112060101110112060101116c0100d000c600b158010084c50101120601
+01110112060101116c0100cf00c500b658010084c5010112060101110112060101116c0100cf00c600b500ac57010084c5010112060101110112060101116d0100d000bc00b15701
+0084c5010112060101110112060101116d0100d000c500b557010084c5010112060101110112060101116d0100cf00c600bb00ac56010084c5010112060101110112060101116d01
+00cf00c500bb00b656010084c5010112060101110112060101116e0100ce00c500b600ac340100a71f010084c5010112060101110112060101116e0100d400c600bb00b2340100a6
+00ac00a71d010084c5010112060101110112060101116e0100d400ce00bb00b5330101a700ab00ac00a600ad1b010084c5010112060101110112060101116e0100d400ce00bb0001
+00ac320100a100a801a600a701ac1a010084c5010112060101110112060101116f0100d500c500c000b1320101a201a600ab00a701ab19010084c501011206010111011206010111
+6f0100d300ca00c100b600ac310100a000a201a701ab00a700ac19010084c5010112060101110112060101116f0100d400cf00c000b700b2300100a200a100a301a700ab00a801ac
+00ad18010084c5010112060101110112060101116f0100d400d300ca00c000b200ad2f01009c00a100a200a101a700ac00ab00a800ad18010084c501011206010111011206010111
+6f0101d400ca00c100bb00ab2f01029c00a200a102a700ac00ab18010084c501011206010111011206010111700100d400cf00c500bc00b100b02e01009e019d00a100a300a500a7
+00ac00a700ad18010084c501011206010111011206010111700100d300ce00c500bf00b100ac00ab2c010097029d00a200a100a201a600a800a600af17010084c501011206010111
+011206010111700100d300d400ca00c500bb00b100ad2c0100980097009e009c009d00a200a101a600ab00a700ab17010084c501011206010111011206010111700100d400d500cb
+00c400ba00b100b000ac2b01009800960097019d01a200a600a800ac00a700ac17010084c501011206010111011206010111710100d500cf00c600bb00b500b200ac2b0100920098
+00970096009e009b009d00a000a7000100ad00ac00b116010084c501011206010111011206010111710100d500d000cb00c500bb00b600b100ac2901009300920198019d009c00a2
+00a100a600a700ab00a700b116010084c501011206010111011206010111710100da00d300ca00c500c000b700b100ac00ab28010091009200940198019c01a300a101a700ad00b2
+16010084c501011206010111011206010111720100d200cf00c500c100b600b200ac00b12801008d019301970098009d00a101a200a100a700ac00b116010084c501011206010111
+011206010111720100d900d000ca00c600c100b700b101b22601018d019300910098009c009d009c01a200a300a700a600b100b515010084c5010112060101110112060101116f01
+0184000100d800d400cb00c600c001b600b200b000ac2501008c008e0092009100920098009e019d01a200a101a700ac00b115010084c50101120601011101120601011170010184
+00d900d400cf00c500c000bb01b600b200b100ab1b0100a10701018e01920198029c009d01a100a700a600ac00b115010084540101846e0101120601011101120601011171010084
+00d800d300cf00ca00c500c000bc00b501b100ac00ab00a2170100a100a700a200a100a20501018e0093009200970098009c009d009c00a100a200a100a700a600ac00b015010084
+530101846f01011206010111011206010111720100d900d400cf00ca00c500c100bb00b600b200b100ad00ab00ad00a8130100a700a200a700a600a000a800a100a600a804010087
+018d01920197009c009d009e00a100a201a600ac00b100bb14010084510101847101011206010111011206010111730100d900d400ca00cb00c000bb00ba00b700b000b100ac00ad
+00a700a800a60e0100a600a700a100a800a6000100a800a700a800a200a700a200a703010089018d00910092009800970099019d01a101a600a700ac00b614010084500101847201
+011206010111011206010111730101d901ca00c500c000bb00ba01b100ad02ac02a700a1080100a700a100a300a2000100a700a803a700a100a200a800a100a300a100a301010000
+018d0093009601970098009d009c00a100a300a101a700ad00b6140100844e0101847401011206010111011206010111730101d900d400ca00c500c000bb00bc00b600b100b201ac
+00ad00a700a800a700a600a700a801a701a800a700a600a701a300a200a700a600a300a800a601a203a100a800a700a101a200880089008d00930092009801970098009d009c00a1
+00a300a200a600a700ac00b1140100844d0101847501011206010111011206010111730100da00d700d400d000cb00c402bc02b1000100ad00ac00ad04a800a700a801a700a600a7
+00a600a300a600a100a700a500a600a700a800a700a600a200a700a200a600a100a600a200a70188008e008d00920093009700980096009c009d00a200a300a200a600a700ac00b2
+00bc130100844c0101847601011206010111011206010111740100d800d900c900ca00c500c100ba00bb00b600b200b000b201ac01ad00a800a7000100a800a700a800a700a802a7
+00a500a601a300a800a601a201a700a103a600a700a800a200830189008e01930297009c019d00a200a100a600a800a700b2140100844a0101847801011206010111011206010111
+740101d900d000ca00c500bf00c101bb00b500b200b100ac00ad02ac03a700ad01a700a600a801a700ad00ab00a602a700a101a700a200a300a200a600a701a500a100830188008e
+00930091009801970098029c00a100a201a700b100b613010084490101847901011206010111011206010111740101d900d400cf01c500c001bb00b601b100b201ac00ad01ac00a7
+01a800a600ab00a701ad02a700a600ac00a600a700a800a700a800a300a600a101a800a700a800a200a6008300890088008e00920091009300980197009b019d00a300a201a700ac
+00b613010084470101847b01011206010111011206010111740100dd00da00d300d000cb00c501c000ba00bc01b600b200ac00ad01ac00ab00ac00ad00ac00a801ad02a800ac00a7
+00ac00a700ac00ab01a701a800a601a100a601a100a300a1008300890087008d00920093009200980197019d009c00a201a100a800ac00b700c012010084460101847c0101120601
+0111011206010111740100dd01d900ce00ca00cb00c000bf00bb00b900b501b601ac00ab00ac00ad00ac00a700a800a600ab00a800a700a600a701ac00ad00ac00ab02a701a600a8
+01a700a200a800a600a700a6008300820087008d0191009201970098009c019d00a000a300a201a700b200bb12010084450101847d01011206010111011206010111750100de00da
+00cf00d000c900c500c4000100bb02b600b100ad01ac00ab00ac00ad00ac00a700ad00a600ac00ad00a700a600a700ab00ac01a700ab01a700ad00ac01a800a201a700a200a70182
+0089008e008d0091009200970199009c019d00a300a100a700a600a700ac00c512010084430101847f01011206010111011206010111750100dd00d900d400cf00ca00c501c100bc
+00bb02b600b100b200b102ad00a700ac01a800ac01a700ad02a701ad00ac00a800ac00a700a800ac01a803a7007e00820088018e008c0093009401980097009d019c01a101a600ac
+00c612010084420101848001011206010111011206010111750100de00d900da00cf01ca00c500c001bb00b501b600b201b001b200b000ab00a700a800a701a800ab000100a70001
+01a700ab05ac00a600a700a800a000a700a6007d008300880087008d009200940092009300970098019d00a300a100a200a700a800ab00c400c11101008440010184820101120601
+0111011206010111750100de00da00d900ce01ca00c600c501bb00bc00b600b700b500b100b001b100b000b201ad00a700ac00ad00ab00a700ad00a801ac01a700ad00ac00a700ac
+00a800ad00a600a701a6007e008200880089008c008d029201970096009c009d00a300a100a200a600a800a700b600c5110100843f01018483010112060101110112060101117601
+00de00da00ce00d000c9000100c501c000bb00ba00b500b701b000b100b202ac02ad00ac00a700a800ac00a700ac00ad00a700ab01ac00ab01ad000100a800ac01a7007d00820089
+0188018e0092009300920197019c009e01a200a700a800a700ac00c6110100843d0101848501011206010111011206010111760100de00d900d800d0000100cb00c600c100bf01bb
+01b600b700b201b1000101b100ac00ad01ab00ad000100ad00a800ad00a700a800ad00a800ad00ac00ad01ab00ac00a801a7007d008200840188008c008e0093009200930297009e
+009d00a100a200a100a600a700b200c5110100843c0101848601011206010111011206010111760101de00d800d300ce00ca00c500c601c100bb01b600b701b100b200b100ac00b0
+00b200ad03ac00ad00ab00ad01a800ac00a7000100ab00a803a700a600a7007e01830089008d008e008d0093019100980096039d01a200a100a700ac00c600bb100100843b010184
+8701011206010111011206010111760100de000100da00d400cf00c900cb00c400c0000100bb00bc02b602b1000100b000b100b200ad00ac01ad00ab00ac00a800a700a801a700ac
+00ad00a700a800ac00ab00aa00a800a7007d007e008300880089008d008e008d009301920097019d009c009d00a300a100a700a800ab00c500bc1001008439010184890101120601
+0111011206010111770100dd00de00d200cf01cb01c500c001bc00b700b601b700b100b200b000b2000100b100ad01ac00ad00ab00ad00a700ac00ad00a8000100a700a801ac00a6
+00a800ac00a800a70079007e00830088008a008d008c008e0093009200990197009c019d01a300a201a700cb00c510010084380101848a01011206010111011206010111770100dd
+00de00d800d401ca000100c500bf00c100bc00b700b600b7000101b101b200b100b200b100ab00ac00ad00ac00ab00ad00a700ab00ac00a700ad00a801ad00ab00ad00ac00a700a6
+0079007d008400830089028d00920093009800970098009c019d00a300a200a100a700a800ac00cb10010084360101848c01011206010111011206010111770100de00df00d900d4
+01cf000100c400c101c000bc00bb00b700b602b100b202b100ac000100ac02ad00ac00a8010100ad00a700a800ac010100ac00a700ad0078007e0082008300870088008d008c0091
+009301970098009e009d019c009d00a100a200a700ab00cb10010084350101848d01011206010111011206010111770101de00d900d300cf00d000c900ca00c500c000bf00bc00bb
+00b600b500b600b501b100b200b100ad00ac00ab01ac00ad00b100ac000100a800ad00a802a700ac00ad00a600a700ac007900000082008300870088018d009200910298029c009d
+00a101a200a700a600ca00bb0f010084340101848e01011206010111011206010111770100df00dd00d900d501cf00cb00c900c500bf01c000ba00b600b700b600b502b100b200ad
+00ac00b100ac02ad00b200ac00ad01a700a8000100ac00ad00a800ac00ad00ab007a007e018300870089018d00910092009700980197009e029c00a100a300a700a800cb00ba00a0
+00a60d010084320101849001011206010111011206010111780100de00df00d900d300d000cb00ca00c600c401c000ba00bc00b602b701b100b701b200b101ac00b200ac00b200ac
+00ad00ac00ad00a800ab00a800a700a801a70079007a007d007e008300890087008d008c0093009100980099009700980000019c009e009c00a300a100a600cb00c500a101a00c01
+0084310101849101011206010111011206010111780102de00d301cf01ca00c400c100c000bb00bc01b700bc00b701b600b200b100b000ac01b1010100b101b201ad00ac00ad00ac
+01a700a600a70078007a007e0082008800870188008c00940193019800970096029d01a200a300a100ca00c500b600a200a800a600a00a0100842f01018493010112060101110112
+06010111780100e201de00d900d500cf00ce00c900cb00c600c100c000bb00bc01b600b501b600b100b600b000b200ad00b101ad000100ad00b1000103ad00ac00a601a700740079
+007e000000820189018e01920093009701990098009d009e019d01a200a300a700cb00bc00a600a800a101a7090100842e0101849401011206010111011206010111780100e301de
+00da00d400ce00cf00c900ca00c500c600c000bf00ba00bb00b602b700b100b601b100ac00b200ab00b200ac00b100ac02ad000100ad01a701a800740079017e008300890087018d
+029200910099009700980097009c009d009c009d00a100a300a800cb00bb00a100a700a200a101a700a1070100842c0101849601011206010111011206010111790100dd00de00d8
+00d401cf01ca00c500c601c001bb00b502b700b600b000b204b100ad00b100ac00b200b100ad018400a700a600a800a700750079007a007d008200840087008c008e019200930092
+02970098029d00a2009d00a000a200ce00c002a601a700a201a6060100842b0101849701011206010111011206010111790100de01df01d400ce00cb00c900c500c400c001c100ba
+00b700b600bc01b601b100b600b001b200b100ac00b1010100b201ad018400ad00a600a700730078007e007d0083008400000087018c0193009200980197019d019c00a101a200a3
+00ce00ca00b700a100a600a200a100a700a500a600a200a7040100842a0101849801011206010111011206010111790101de00df00d900d500cf00c901ca01c600c100c000bc00bb
+00bc00b600b501b600b500b700b200b100b200ac01b2000100ac00b2000101ac00ad018400a600730079007e007f008200830188008d008e00920093009100970198009b009c009d
+00a301a200a300a100cf00cb00bb00a200a100a700a600a500a300a201a600a200a702010084280101849a01011206010111011206010111790101de00df00d900d401cf00ca00cb
+01c500c000c100ba01bb00b501b600b701b601b101b200ab00ac00ad00ac00b200ac00ad02ac018400750079007a008301840088018d009300910192009700980097009c019d00a1
+00a002a200d000cb00c000a600a500a700a100a200a500a200a800a600a700a100a200a000010084270101849b01011206010111011206010111790100dd00de00df00d900d300ce
+00cf01c901c501c000bc00ba00b700b500b6010100b700b100b200b601b2000101ac00b100b201ad00ac00ad00ac00ad00ab007400790078007d018300890087018d019200930197
+009c029d00a100a200a100a201a100cf00c000b600a200a600a100a700a101a601a100a600a700a200a70084250101849d010112060101110112060101117a0100e301de00d501ce
+00cf00ca00cb00c500c602c000bb00bc01bb01b600b000b100b000b500b100b2000100b100ac00b200ac00ad01ac00aa00ac01730079017e0000008300890087028d009200930098
+00990096009b009c009d02a100a200a700a100ce00bf00bc03a200a700a601a701a100a700a100a7008401a2220101849e010112060101110112060101117a0100e200de00df00da
+00d400d000ce00c900c801c502c000bc00bb00b600bb01b500b600b100b703b1000100ad00ac00b201ac01ab00ac006e01740078007f008200840188018c008e019300960197009d
+009c009e00a103a300a200d000ca00bb00a500a201a701a600a700a200a700a100a700a100a6008401a200a1200101849f010112060101110112060101117a0100de01dd00d900d3
+01cf00ca00c900c500c400c000c100c001bb00ba00b600b500bb00b700b000b604b101ad00b200b101ac00ad00a6006f00730074007f007d018300880087028d0192009601970098
+019c009e02a200a800a200d300ca00bc00b701a200a600a000a301a800a301a600a000a6008401a600a700a800a01c010184a1010112060101110112060101117a0100dd00df00de
+00d900d300cf00ce00ca00cb01c400c500c000bf00c000bc00ba00b500b700bb01b600b100b500b100b200b100b200ad00b101ac00b100ac00ad00ac006f00750078007a007e007f
+00840188008c018e009200970098009600970096019c009d009b00a201a100a800d500cb00bf00b500a600a800a700a600a200a100a201a700a101a7008401a100a200a700a500a2
+00a719010184a2010112060101110112060101117b0100e301de00d500d401ce00ca00c901c500c000c100bf00bb00ba00b600b500b600bb01b600b003b100b001b200ab00b002ac
+006e00730079007800000183008400870088008e008c0192009700980297009c009d009e00a200a100a300a600d400cb00bf00bc00a200a600a000a702a600a700a800a101a20084
+01a700a500a700a100a700a200a800a715010184a4010112060101110112060101117b0100e401de000100d500cf00d000ca00c901c400c001bf000100bc00bb00b700bb00bc00b6
+00b500b002b100b000b100ac00ad00b000ac00b100ad00ab006f00740179007e008200830288008d008c009100920191009700980197019c009d02a100a200d500c400bb00b501a1
+00a200a700a200a700a101a700a600a0008400a800a700a101a201a100a700a201a7120101841d01009886010112060101110112060101117b0102de00da00d400d000ce00c900ca
+01c500bf00c000bf00bb00c101bb00b600b501b600b501b101b000b200b000aa00b200b102ac007000730078027e008300820188008c029200930092009901970098029c009d01a2
+00a100d400ca00c000b500a100a300a100a200a100a000a101a600a100a2008400a200a600a500a000a700a200a600a700a200a700a600a70f0101841e01009c0097860101120601
+01110112060101117b0100df00dd00df00d900d401cf02ca01c500c100bf00c003bb00b502b601b100b000b100b000b100ab00ad00b002ab006f00750078007d007e007d00830188
+0087008d008c0191009300920096009700990098019c009d00a200a100a300a200d400ca00c000bc00b600a0009c00a300a100a200a100a000a600a100a6008400a100a600a200a6
+00a700a200a101a700a100a800a700a800a10c0101841d01009d0097009c009786010112060101110112060101117b0100e400de00dd00d900d800d5000100d000ca00c900c600c4
+01bf00c001bb00ba01b500b602b700b100b000b100b201b102ab00ac00ab006f00730079007e007d007e008401870088008c008d008c0292009600970096009b009c009d02a100a2
+00a100d400ca00c500c000b600a100a200a100a202a100a201a6008403a200a600a100a700a200a603a200a100a200a1090101841d01009d0098009c0097009c8601011206010111
+0112060101117c0100dd01de00d800d400cf00ce01ca01c400bf00c001bb00c100ba00bb00b600b700b600b500b000b100b200b000af01b100ab00aa00ab00ac00ab006e00730179
+017e018300870089008c008d008e0292009800960098009c009e019c00a200a000a200a100d400cf00c600bf01b700a101a200a100a000a601a700a6008401a100a200a800a301a7
+00a6000101a200a700a800a700a201a1060101841e010099009b029c009e009785010112060101110112060101117c0100dd01de00d800d400d000cf00c800c900c600c400c500bf
+00c002bb00bc00b700b600b501b6000101b200b001b100ad00ab01ac00a6006f00740079007a007e0082008400830088018e028d0193009600980096019b019c009d00a200a100a2
+00d400ce00c400bf00b500b1009c02a101a200a700a100a7008401a200a700a600a800a600a800a700a200a700a800a101a200a800a302a7030101841e01029d0098009c009b0097
+009985010112060101110112060101117c0100de00dd00de00d900d500ce00cf01ca00cb00c500c600bf01c000bb00ba00bc00ba00b500b700b600b500b000af01b000b101ac00ab
+00aa00a600a7006f00740079007a007e00820084008300880087008d018e008c00920091009600970096009c019d009c009b009d00a100a200da00cf00c900c600bb00b70001009c
+00a100a000a100a001a200a7008400a600a801a201a600a200a700a800a700a300a600a700a200a700a300a200a600a200a6000101841f0100990097009d009e0096019701988501
+0112060101110112060101117c0100e300dd00de00d900d300d401cf00ca00c901c500c100be01bb00ba00bb00ba00b701b600b500b100b000b100b000ac02ab00aa01a6006f0075
+007a0079017e0083008800870188008c008d008e0093009102970096019d039c009d00a100da00cf00c600c000b600b200a700a201a101a200a000a2008400a700a800a700a600a2
+00a300a800a200a100a300a200a500a100a700a100a200a700a200a600a300a200a61f010097029d00990098009c0096009c009785010112060101110112060101117d0100e401de
+00da00d400cf00ce00c900ca00c300c501c002bb01ba00b501b600b700b001b100b000ac02ab00a600a500a6006f00000179007e008300840087018900880087008c019200910097
+019800970099009c009b009d029c009d00d900ce00c500c000bb00b100ac01a100a700a601a200a3008400a300a600a702a201a700a200a700a600a200a600a700a600a201a100a2
+00a600a301a71d010098009c0097039800970096019c85010112060101110112060101117d0100e200dd00de00d800d401cf00ca01c900c400c500c100c000bb00b901bb00b601b5
+00b601b000ad00ac01ab00ac00ab01a700a6006f01740079007e007d018301880087028c0192009700980097009900960097029c029d00d900cf00c500c000bc00b700b000ab00a2
+00a1000100a200a800a7008400a600a101a200a700a200a700a200a700a300a200a600a300a100a600a302a200a700a200a600a200a600a21b010198009c009700990098009d0097
+009c019785010112060101110112060101117d0102de00d900d400cf00ce01ca00c901c501c003bb00b500b600b501b600b101b000ab00aa01ab00a700a6006f02740079007f007d
+00830082018900880000008d0093009200910192009100970098009c00980096009c020100d900d000c500c000bf00bb00b100ac00a700a600a700a201a100a501a700a200a700a2
+00a701a201a800a101a600a100a800a200a100a300a200a700a801a200a601a2190100960097009d0098019d0197009c029885010112060101110112060101117d0100e200dc00de
+00d900d300ce00cf00ce01ca00c600c001bf00bc00ba00bc00bb00bc02b600b401b002ac01ab00a500a600700075007400790078017e0083008201880089008e008d000001910193
+00920297009b01010184000100da01d000c400bf00bb00b000b100ac01a700a603a700a600a700a300a200a100a700a600a300a700a600a701a600a701a200a100a600a702a200a6
+00a100a700a318010197019d0097009c0097009d029c009785010112060101110112060101117d0101dd00de00d900d800d401cf00cb00c900c400c500c000bf00c000bb01ba00bb
+00b500b600b500b001b100b000ab00ac00ab00aa00ab00a7006b006e007401790080007d0183008700890088018d009201910093009202970401018400d800cf00d000ca00c000bb
+00b601b202a701a800a600a501a703a200a700a100a700a100a200a800a700a200a700a800a600a201a700a100a700a300a600a200a100a700a116010197009d0297009e01970099
+009c009d85010112060101110112060101117e0100e200de00dd00d800d401cf00ca00c900c500c600c500c000c100bb00ba00b900ba02b500b600b000af01b001ab00ac00ab00a6
+00690070007400790078007e007f018300870088018c00910092009100930092009700960801008400d900d400cb00c500bb00b600b000b100ad00a601a700ac00a700a600a800a6
+01a700a801a200a700a601a800a200a700a602a200a800a200a300a200a802a700a100a600a200a714010092039700980097019c00970098009d0097850101120601011101120601
+01117e0102de00d800d401d000ce00ca00c401c500c000bf01ba00bb00ba00b500b400b600b501b000b100af00ad00aa00ab00ac00a6006c006e0175007a017e0082008300870088
+018d0091009300910092009600970a0100dd00d400ca00c501bb00b700b100b200ac04a700ad00a800a600ac02a700a800a603a700a300a801a201a600a700a300a200a300a200a8
+00a600a700a300a700a113010092009800960098009d009c0097009e00980197019885010112060101110112060101117e0100e300dd00de00d800d500d401ce00ca01c400c300bf
+00c001ba00bb00ba00b601b501b000b100af00ab02ac00ab00a6006a006e00750073007a007e007d00840083008900870088008d008c00920091009200960b0100df00cf00ca00c4
+00c600ba00bb00b100b200b100a700a601a700a800ab00ac01a802a700a800a700a600a700a800a700a601a200a700a000a300a200a101a600a700a100a600a200a801a600a200a7
+1101019200970098009b009c009800970098009c0097019d85010112060101110112060101117e0100e201de00dd00d900d401cf00c900ca00c500c401c000bb03ba00b500b600b0
+00b101b000af00ab00ac00aa00ac00a5006a000000730074007a0000007f02830088008d008f0192009100920c0100de00d900c900ca00c500c000bb01b100b200b100a800a600a7
+01ad00a700a800a700ab000100ac00ab00a700a603a700a803a700a000a200a700a200a700a200a100a800a600a703a20f010093009201970098009d0098019d0197019c009b8501
+0112060101110112060101117f0100dc01de00d800d300cd00ce00cb00c900c300c400c500c000bb00ba00bb00ba00bb01b601b000b100b000af00b001ab00aa00a5006a00700174
+0078007e007d008200830188008c0192009300910d0100de00d900d500ca00c600c000bc00b700b0000100b100ad00a700a601a800ad01a802a700ac00a600ad02a804a700a301a7
+00a800a100a600a200a100a202a100a600a101a60e01029200970096019c0098009c0099009d0098009c009785010112060101110112060101117f0100e201de00d800d400cf00ce
+00ca00c902c500bf00c000b902ba01b600b402b000af00b100ab000000a600a5006a0070006f0075007a007e00820000008300870088008d018e00970e0100df00de000100ca00c5
+01c000bc00b700b101b200ac01a800a600ad000100a600a700ad000100a800a700ad00ac00a700a800a700ac00a701a600a700a600a700a200a700a300a601a200a100a700a500a2
+01a100a300a60d01008f0093009200980097029c00990298009c009785010112060101110112060101117f0100df01de00d900d400ce00cf01c900c500c400c300c000bf00bb01ba
+01bb00b600b500b002af00b100aa00ac00a600a7006b0070006e00740079017e0082008300880089008d00920097100100df00d400ca00c600c500c000bb00b700b000b200b103ac
+00a700ac00a800a700ac01a700ab00aa00a701a801ad00a601ac00a600a700a800a300a800a200a100a300a700a200a600a200a100a600a700a100a601a20a01008e009300920091
+0197009b00970099009b009e009d0097009c009885010112060101110112060101117f0101de00dd00d800d400d001ce01ca01c500c000be00bb00ba00bb00ba00b500b600b500b1
+01af00b000b100ab00ac00a600a70069016f00780079007e007f018300870088008d0000110100de00d500cf00c900c500c000bb01b6000100b200b100ad01ab00ad00a700ab00ad
+02ac00a800ac02a800ac000100a700a800ac00ad00a700a800a700a100a200a100a301a600a200a600a101a200a600a201a700a10901008d009300910092009700980096009d0097
+009d009c009d019c009785010112060101110112060101117f0100de01dd00de00d800d301ce00ca00cb00c500c402bf00ba01bb00b600b400b500b400b1000001af00aa00ab0000
+00a6006b006f01740079017e008300840088008e008d120100de00da01cf00c500bf00bb00bc01b600b200b102ac00ad04ac00ad00a702ad00a800a701ac00a700ab00ac00ad00a8
+00a700a600a701a200a600a702a200a700a200a700a200a101a700a10701018d00930091009700980096009c00990098009c0098009d009e0097009b850101120601011101120601
+0111800100e100dd00de00d900d401ce00ca00c900ca00c501bf00bb00ba01bb00b600b400b500b400b1000001b002aa00a6006b0070006f007400790080007f00840083008d008e
+0078120100dd00d700d400ce00c401c000ba01b700b600b200b000ad00ab00ad00ab02ac00ad00ac00a802ac00ab00a800ac00ab00a800a7000100ac00a600ac00a600a800a701a2
+00a600a800a600a3000101a201a701a600a800a50601008d008c00920093009800970098009c0098009d009800960198009c00988501011206010111011206010111800100dd0001
+00dd00d900d400cf00ce01ca00c401c500be01ba00bb00b900b402b500af00b000af00aa01ab01a6006a006f00700074007a007f007e00830189008c130100de00d900d4000100c9
+00c500c600bb02b602b102ac02ad00a601ac02a701a800ac01a700ac00ab00a700ac00a701ac00a603a700a100a301a700a600a200a700a300a200a800a201a70401008c008d008e
+009100920197029d009c0098009e009d0099009d8501011206010111011206010111800100e301dd00da01d300cf00c901ca00c400c000bf00c000ba00bb00b601b500b602b000af
+02ab00a5006b006a017000740079007f007e0083008d008c140101de00d400ce00ca00cb00c000bc00bb00b600b702b100ac01ad00ab00ad00ab00ad00ac00a700a800a700ad01ac
+00a800ac01ad01a700ac00a701ac00a700a600a702a200a700a201a100a201a700a600a700a600a100a600a102010089018c00940192009800970096009d00970096009d009b009c
+009b00978501011206010111011206010111800100df01dd00d900d500d300ce00cf01c900c400c001bf00bb00ba00b500b400b600b400b500b100af00b000af01ab00a6006b006c
+006f0175007a017f00830088008d140101de00d800d000cf00ca00c500c000bc00b601b702b1000100ad01ac000101ad00a700a800ac01ad000100ad00ac01a700ac00ad00a800a6
+02a700ab00a700a600a200a800a200a701a100a200a600a700a202a702a201010089008e008d029200970098009c049d0097009c009b8501011206010111011206010111800100e2
+01dd01d800d500cf00ce01ca00c400c500c000bf00b901bb00b500b700b500b101b000af01ab00a500a6006a006b006f0174007b007f00830087008d150101de00d900cf00ce00cb
+01c500bb00bc01b700b601b200ad00ac000100ad00ab00ad00ac00ad00a801ad01a700ac00ad00ac00ab00ad00a700ac01a702a600ad00a603a700a202a700a101a200a000a700a6
+00a800a200a7000100880089008d019301970099019d0097009c0000009c0098009d00988501011206010111011206010111810100e400dd00d900d800d300cf00ce00c900ca01c5
+02bf01ba00b600b500b001af00b002ab00a600a7006a006b0070007500790078007d0084018d160100de00d900d300d000ca01c500bf00bc00bb01b701b100b201ad00ac010100ad
+01ac00ab00a701ad00ac00ad000100a700ad00a700ac00a800a600a701a601a701a600a801a100a800a200a700a600a700a800a100a600a100a200a300a2008a0088028d01920096
+029800970198009e009d0096009c8501011206010111011206010111810100e301dd00d900d4000000ce01c901c400c000be00bf01ba01b503b001ab00aa00a700a6016a006f0070
+0079017e0083008d170100de00d800d300cf01ca00c501c000ba00b600b400b602b102ac00ad00ac00ab01ac00a701ac01ad010102a800ab02a700ad00ac00a600a500a700a501a7
+00a600a200a600a700a600a100a200a100a700a200a700a60188008d018e0091009300970098009e009d00980097019d009e029c8401011206010111011206010111810100dd00de
+00d900d800d300cf00ce00cf00c902c500c000bf00b901ba01b500b000af00b100af01ab00a600a1006b006a00690074007a007e0085008a008d170100dd00dc00d401cf00ca00c5
+00c600c000bb00b600bb00b602b100ac00b200ac00b200ad00b102ad000101a800ad00a800ad00ac00ad00a700ac00a700a600a800ab00ac00a600a700a501a700a600a201a500a8
+000101a600a200a100a200a700a200830089018d008c009100930198009d00970098009d009700000098009e009d00978401011206010111011206010111810100dd01de01d900d4
+00ce00c800ca01c500c401bf000001ba00b400b501b002ab00a600a700a1016a007000750078018300881701008400de00df00d801cf00ca00c500c100bf01bb00bc00bb02b601b1
+00b200ac00b1000101ac00ad00a800ad00a701ad00a8010100ad01a701a800a7000100a701a603a700a201a700a600a701a200a600a300a000830287018d019300980097009d009c
+0097009d00970098009b009c0098009d8401011206010111011206010111820100de00dd00d900d400d201cf00c900c400c600c500bf00c000bb00b900bb00b500b600b400b000af
+00ab00ac00a700a600a1006b006a007500730079007f01891601018400de00dd00d900d300ce00c900c600c501c002bb00b501b7000100b100b200b100ad00b200ab00b200ad00ac
+00a7000100ac000100a800ac000100ad00a600ad00a700ad00ac00a501a700a600a700a600a800a500a700a600a700a101a200a700a300a600a0008400870088008e008d01920093
+00980097009c009d019c00980097009e00980097009d8401011206010111011206010111820100dd00de00d801d301ce00c900ca01c500bf00c001ba00b900b600b400b501b000ab
+00a700a600a700a20069006a00740075007a0083008916010184000100dc00dd00da00d400cf01c900c500c000c102bb00b500b600b700b202b100b000ac00b200ad00ac01ad00ac
+00a800ac01a800a700ad00ac00aa02a700ac01a700a604a700a100a201a600a500a200a100a70083008500870088008c008d008e0092009300990197009c009d009c009d019c019d
+009c8401011206010111011206010111820101dd00d900d800d300ce00cf00c800c900c401c300c002ba00b400b500b400b101ab00a700a100a200a3006b006a0174007e007f008d
+14010184020101df00d800d500d000cf00c900c500c000c102bb01b701b600b700b201b100b202b101ad00ac010101ad01a700ad00ab00ad00ac00ab01a602a700a800a700a101a7
+00a600a200a100a500a700a100a70082008300890088008d008c029200980096019c019d029c009d009c00978401011206010111011206010111820100dc00df00d700d800d300cf
+01c900ca00c300c500bf00be01bb00ba00b401b500af00b100ac00a600a501a1016a0074007f007e008414010184040100dd00de00d401cf00c900c600c501c002bb00b700b400b6
+00b400b100b200b000b200ac00b200b101b200ad020100a801a700ac00a701ac00ad01ab00a601a700a600a700a600a700a200a100a700a100a501a200a7018300870089018c008d
+019201970096009c009e009d019c009b009d009e00978401011206010111011206010111830100de00d900d801d300ce01c901c400be00bf00b901ba03b500b000ac00a500a600a1
+009d016b007500790083008812010184060100df00de00d300d401d000cb00c600c000c101bb01bc00b602b701b000b200b100ad00b201ac01ad000101ad00a8000100a701ac02ab
+00a700ab00a600a700a600a100a700a600a200a600a300a700a100a700a6007f0082008300870089018d0092019300970096019c039d009e029d8401011206010111011206010111
+830101dd00d800d300d200cf00cd00ca00c800c400be01bf00b903b500b000ab00ac01a600a200a1016b00750079007f008911010184070100e200dd00d900d500cf00ce01c600bf
+01c101ba01b600b700b600b500b100b201b100ad00b200b101b2000102ad00a700a800ac00a600a800aa01a700a600a700ab03a600a701a100a700a201a100a8007d018300880089
+008d008e00930092009300980097029c009d009c009b009e009c009d009c8401011206010111011206010111830100dc02d800d400ce00c900ca00c900c500be00c000b901ba00b5
+00b400b500b600ac00ab00a700a600a1009c016b0073007f007e11010184080100e400df00d900d401cf00c400c600c000bf00c002bb000100b501b700b200b002b200ac00b200ac
+00ad00b200ac00ad000101ac01a700ac00a800ac00ab01a602a700a600a800a202a101a200a600a1007d018300880087008d008e0092009300960097019d009c009d009c029d009c
+009d009c8401011206010111011206010111830100de00d700d800d901d400ce00ca00c901c4000001bb00ba02b500b100ab00a700a601a20069006a006e0076007d00830f010184
+0a0100e300dd00d900d400d500cf00ca00c600c500c000c100bf00bb00ba00bb00b500b701b602b200b100b200ad03b202ad00ac00a800ab00a800a700ab01ac00a500a600a700a5
+01a700a800a700a200a701a100a700a3007d00830188008c008d008c029300970098009c00a100a2009d009b009d019c029d8301011206010111011206010111840100dd01d801d4
+00ce00c900ca00c900c400bf00bb01b900b400b600b500b000ac01a500a100a2016b00700074007f00870e0101840b0100e300dd00da00d500d300cf00d000ca00c601c000bf02bb
+01b701b600b000b201b100b201b100ac010103ad00ab00a600a700ac00ab00ad00ab00a600a501a603a700a500a100a201a6017d0083008400880087028d00920197009c009d009c
+00a2019c01a2039d8301011206010111011206010111840100dc01d800d200cf00ce00c900ca00c400c300be01ba00b502b600b000ac00a700a600a2009c006b006a006f007a007f
+0d0101840d0100e300df00de00d400d500cf00ce00ca01c501c001bb00bc02b601b501b100b200b000b200b100ad00ac000100ac010100ad00a800a700a600a700ac01a700a600a7
+00a600a700a600a701a600a700a200a300a100a7007f00800083008200870088008e008c0093019200980097009b009c00a2009c00a1009d00a100a3019c009d00a7820101120601
+01110112060101118401000000d800d901d300cf01c900c302bf00ba00bb01b400b5000000ab00ac00a701a2006a006b0076007a007f0c0101840f0100e200de00d300d501cf00c9
+00c600c500bf00c100c001bb00bc04b601b200b101b201b1000100b100b200ac00ad000100a800ab008400ac00a801a700a600a700a801a701a601a100a700a600a70080007e0083
+00820087018e008c0094009101970098009c029d009c009d009c00a201a1009d00a300a100a28001011206010111011206010111840100dc00d800d900d200d301cf00ca01c401be
+00ba00b500b401af01ab01a6019d016a0074017f0a010184110100e300de00d900d301ce00ca00c500c4000100bf00c003bb00b601b700b600b701b100b200b100b200ac00b200ad
+00b100b202ac00a700a6018400a701a600a800a502a600a100a600a702a6007f007d01830088018d009200930096009700960097029d02a2009d009c019d00a100a200a600a700a6
+00a77e01011206010111011206010111840100d800d900d701d301cf00c901c400be00bf00ba01b5000000b000ac00ab00a600a100a2009d006b006e007400790a010184120100e4
+00de00dd01d400ce00ca02c500c000bf00c001bb01b600bb02b600b200b701b101b200b100b200ab01b100ac000100ab00a700a6018401a800a600a700a600a500a600a200a700a8
+00a000a7017e008400820187008e008d00910092019100960098019d009e019d009c029d00a100a300a6000000a600a100a700a17d01011206010111011206010111850100dd00d8
+00d900d300cd00ce01c900c400be01b900b400b500b600af00ab00a600a500a000a1009e0069006b0075008009010184130100e401de00d800d301cf00ca00c600c500c100bf01c0
+00ba01bb03b700b600b700b500b200b101ad00ac01b200b000ac00aa00ac02a7018402a700a601a001a100a000a200a30078007e01830188018d0094029200970096009c029d01a1
+01a200a1019c000000a100a201a702a67b01011206010111011206010111850101d801d301ce00ca00c900c400bf00be00ba00b600b500af00b100ab01a600a200a1009c006b0070
+0076007f07010184150100e200de00dd00da00d400d500d000ca01c501bf00c000c100bc01bb03b600b500b200b102b200b000ac00b001b201ac00ad00a800a600a501a7018400a6
+01a100a600a700a100a200a600a20079007e007d01830088008d008c008d0192009800970099009d009c009d00a2009e019d009c009e00a1009c00a600a700a200a600a200a700a1
+01a600a17901011206010111011206010111850101d801d301ce00ca00c900c400c000be00ba00b600b400b000b100ab00a700a600a2019d006a006f007907010184160100e200e3
+00dd00d900d300d500d000c901c500c600c000c100c000bb00ba00bb00b500b600b701b600b200b701b100b200ac00ad00b100ac00b201ac00ab00a600a700a600a700a600a70184
+00a200a600a500a602a10079007f007e01820188028d00920091019200970096009c009d04a2009c00a2009d00a100a000a602a701a600a200a600a000a177010112060101110112
+06010111850101d800d300d401ce00ca00c800c300bf00b900ba00b500b401b000ab00a600a2009e009d0099006a006f007a05010184180101e300de00da00d300ce00cf00ca00c4
+00c600c500c000c601c000bc01bb00b600b702b601b702b100b000ad00b201ac00ab00ad00a600a802a600a701a2018401a100a700a100a6007a007e007d007e00840188008e008d
+008c02920197009d009b009c00a1009d009c00a201a1009c00a2009c00a700a600a700a100a203a600a700a201a17501011206010111011206010111860100d900d800d301cd00ca
+00c600c400bf00be01ba00b401ab00aa00a500a2009c00990097006c006f007b040101841a0100e200e300d900d400d3010100c900c600c101c000c100c000c101bc01b600b500b7
+00b600b500b700b100b201b100b000ac00ad000101ac00ab01a600a700a501a701a1018400a600a100a200a10078007e007d007e0083008800870088008d008c0092009400930096
+0098009d019c00a1029d00a302a2009d01a600a200a700a200a101a200a602a100a700a67401011206010111011206010111860101d901d300ce00c900c800c501bf00b900ba00b5
+00b100ab00aa00a700a2009c00980092006a006f0079030101841b0100e200e300df00d900d200d400cf00cb00c500c400c000bf00c100c000c100bc00ba00b700b600b400b600b5
+01b600b202b100b000ac00ad03ac00ab01a500a600a100a600a000a200a5018401a600a100790078007d00830087008800890088008c018d019100980196019c009d00a2009d00a1
+009d009c00a1009c00a300a100a2000100a700a800a503a600a700a100a700a300a200a77201011206010111011206010111860101d800d200d300ce00ca00c900c400c300c001ba
+00b500b000a500a600a100a3009d0097009200690075020101841d0100e300e400de00d901d400cf00ca00c900c400c500c100bf01c000bb01ba03b500b700b100b600b101b000ab
+01ac00ab01ad00ac01a600a800a100a000a500a601a100a700a201840179007d007e0083000001880089008d008e008d009300910297019c009d00a0009d009e019c03a100a500a6
+00a702a100a200a301a600a100a601a100a200a600a57001011206010111011206010111860100d800d900d300d400cf00ce00ca00c400be00c000ba00b900b400b000ab00a600a2
+009d009c0098006b006a0076010101841e0101e300de00da01d300d000ca00c901c500c101c000c100ba01bb00b700b601b501b601b100af00b100ac00ab00ac01ab00ac01ab02a6
+00a000a600a200a500a200a100a600a5008400780079007f007e008200830089008700880000008e009200930097009801970098009d019c00a100a200a1009d00a3009c009d00a2
+00a600a100a704a100a200a500a702a200a700a601a700a26e01011206010111011206010111870100d900d800d301ce00c901c400be00ba00b900b400b100ab00a600a1009d0097
+0098006a006f007a0184200101e300de00d900d400d500d000cf00c901c500bf00be01c100b901bc00b700b600b501b600b500b000b100b600b100b001ac02ab00ac00ab00aa00a7
+01a600a502a601a100a000a200740078007e00830182008800890088008c008e009400930091009900970098009d019c019d00a101a2029d00a200a600a100a600a100a700a200a6
+00a200a100a300a602a101a200a601a200a66d01011206010111011206010111870100d801d300cd00ce00ca00c500c3000000b900bb00b500b100ab00a500a0009900980096006a
+006f0184210100e200e100de00d800d900d400d500ce00c902c500be00c100c001ba00bc00bb00b600b501b600b702b101b004ac02ab00a600a701a601a100a501a000a200a10075
+0078017e00830088008700880089018d009200910092009700960197019c009d00a2009e00a200a100a2009d009c00a000a201a101a200a100a600a101a200a500a700a000a202a1
+00a200a501a700a66b01011206010111011206010111870100d900d800d400cd01c800c300be00bf00b900ba00b000ac00a600a000a102980184230101e200e401d801d300ce00cf
+00c900c500c601c000bf00ba01bb00ba00b500b601b500b600b5000101b000b100b001ac01ab00ac00a501a700a600a701a600a100a600a100a600a10074007a0079007e007f0083
+00890188018d008e009300910192009700980097009d009b019e009c01a200a1009c00a2009c00a200a100a600a701a600a101a700a200a300a600a000a700a200a100a203a600a1
+00a300a76901011206010111011206010111870100d901d300cd02c900c300c000bf00b600b000ac00aa00a700a101970184006e240101e200df00da00d800d400d300ce00ca01c4
+00bf00c000be00bf01bb00b900ba01b600b500b400b200b102b002ab00aa00ab00ac01a601a703a600a100a601a1007400780179007e0083008800890088008d008e008d00920000
+00920091009800970098019d019c009d00a001a1019c00a100a000a200a600a100a600a700a100a600a701a600a101a600a100a800a100a800a100a602a700a600a2680101120601
+0111011206010111880100da00d300ce01c900c800c400be00bf00bb00b000ab00ac00a500a200980184006b0070240101e301dd00d901d400cf00ca01c500c101bf00c003bb00b6
+00b701b501b100b001b100af03ab03a601a700a600a700a500a602a1007300000078007e00840083000000880087028d00920191009300980197019e009c029d00a100a000a2029c
+01a100a200a700a300a200a100a600a200a701a200a700a300a700a200a700a800a700a601a700a200a701a26601011206010111011206010111880100d900d401ce00c900c400bf
+00c001b900b400ac00a700a1018400970093006a0070240100e201e300dd00da00d300d500ce00ca01c500c402c000bb00ba01bb00b500b700b600af00b000b103b000b100aa02ab
+01a600a700a600a501a600a500a100a200a100740073007a0079017f008200000188008d008c008d008e0193009200970098009d009c009b009c009d009b00a2009c00a2009c00a2
+00a0009d01a200a300a100a001a200a001a600a700a503a700a200a100a700a100a200a100a700a200a600a100a800a76401011206010111011206010111880100d900d200cf00ce
+00c9000000c300bf00be00ba00b500ab00a5018400980099008e006a0065240100e700e200dd00de00d900d300d400ce01ca00c500c402bf00bb00ba01bb00ba00b600b500af00b1
+01b002b100ab01aa00a601a500a700a502a600a500a701a10000007500740179007d0083018200870089008d018c008e0191019701960098029c009b009c00a2019d000100a3009d
+00a100a200a100a200a100a600a100a700a100a700a100a301a700a201a700a800a700a600a701a300a200a600a000a200a600a16301011206010111011206010111880100d800d3
+00d200c900c801c401bf00bb00b6018400a101980093008e006b0074240101e200e300dd00d801d400ce01ca00c500c300bf02c000ba00bc00ba00bb01b601b100b200b000af02b0
+01ab00a700a600a705a601a001a101740078007e007d018300840087018e008c008d01910092009602970099009c009d009e009d009c009d009c00a100a3009c03a200a100a700a3
+00a700a600a700a000a200a700a300a700a100a600a201a600a300a200a100a700a800a100a301a600a76301011206010111011206010111880100d801d300cd00c900ca00c400bf
+00be00ba018400a6009d009c009700930001006a250100e200e300e200de00da00d400d500cf00ce00cb01c401bf00c001bb00bc01ba01b600b500b000b100af02b000b102ab00a6
+01a701a501a600a101a001a1007500740079007a007f00830082008300880087008c008d008e009301920091009700980197009d009c009d009e009d009e009d00a1009e00a200a1
+009d00a101a201a100a700a600a700a200a100a200a600a200a601a200a800a700a601a100a600a200a701a66501011206010111011206010111890100d300d400cd00ca00c500c4
+00be00bf018400b000ab00a1009d00970093008e006b250101e200e300df00d901d300cf00d000ca00c401c500be00c000ba00bb00bc00ba00bb00b600b700b600b100b005b101ab
+00a704a600a101a001a1006e017400790078007e00830082008700890000008c008d039200930297009d009c009b029d02a1009d00a300a2009c009d00a200a001a100a200a100a6
+00a201a700a600a700a201a300a100a700a600a300a100a200a100a200a666010112060101110112060101118901000000ce00cf00c901c5018400b500b100aa00a600a200960097
+00920089006f260100e100e300de00d700d900d300d400cf00c901c500c400c000c100bf00bb00ba00b702b601b500b000b101b001af00b001ab00ac00a600a701a601a500a100a2
+01a10070007500740079007e0183008200870088008e008c008e008d00930192009800970098009b039d00a300a200a101a200a100a2000100a2009c009d00a200a100a200a301a1
+00a300a200a700a101a700a200a100a600a201a100a800a700a36801011206010111011206010111890100d300cf00ce00ca00c4018400ba00b500b000ac00a800a2009700990093
+006f270100e300e200de00d800d901d300cf00ce00c800c400c600bf01c000bc01bb00b600b401b501b001b101b000ac00aa02ab04a604a10070007300740079007d01830288008d
+008e008c009200930091009701960098009c0097019c009d009c00a200a100a001a201a600a2019c01a200a300a100a200a700a600a700a600a001a100a800a100a700a200a700a6
+00a200a169010112060101110112060101118a0100d200cd018400c400bf00c000b600b000ab00a600a2009c0092008d006f0066260100e200e301de00da00d302ce00ca00c600c5
+00bf01c000bb00ba03b500b400b001b100af01b100aa00ac00ab00ac00a600a500a600a500a600a101a002a1006f007300740079007f008300820088008900880089008e00910392
+00980297009b019c090100a500a2009c01a701a200a700a301a200a700a200a600a700a202a700a36b010112060101110112060101118a0100d2018400c400c300bf00b900b500b0
+00ab00a600a200970091008e00700065260101e300dd00de00da00d400cf01ce00ca00c601c400bf00c001ba00bb02b600b400b100b000af00b000b100b000ac00ab00ac00aa00ab
+00a600a701a600a100a001a100a2006f006e00750179007d00820083008800890087008d018c00910093009200970096009700980097000101840b0101a200a800a601a200a300a2
+00a700a600a700a201a600a100a26d010112060101110112060101118901018400cf00c900ca00c500be00bf00b500b100ab00a700a200980092008d0071270101e201de00d901d4
+00cf01c901c400c500c000bf00c000ba00b600b701b601b5000001b000af00b102ab000000a501a601a500a100a200a101a2016f0174007a007e008300840188018c018d00920091
+00960197050101840b0100a200a100a300a600a700a200a600a200a000a701a16f010112060101110112060101118801018401ce00c900c300c000bf00b900b500b000a600a2009e
+0098008e00880070270101e200dd00d800d900d300d400cf00cd00ca00c501c600bf01c000bc00b901b500b401b500b100b000b100ab01ac00ab00ac00a700a600a501a600a200a0
+01a100a200a3006f00700074007a007f007e00840288008d018c01920197080101840d0100a100a700a300a700a100a6720101120601011101120601011187010184010100ce00c9
+00c400bf00be00bf00b600b100ab00a200970092008d008e0070270101e201de00d900d400d201cf01c901c500c000bf00c001ba01b400b500b400b500b600af00b101ab00aa0000
+00aa00a600a7000000a600a501a100a001a100a0006e006f00740079017d008400830189008d008e008d0091009700930a0101848501011206010111011206010111850101840301
+00cd00c900c300bf00c000b900b600b000a700a100980093008d00850075280100e300de00dd00d800da00d401ce00c900ca02c401c001bb00b600b500b400b500b600b501b000ab
+00aa00ac01ab00a601a500a704a100a0006f0070006e00740079007e008400820188008c008d008e01920e010184830101120601011101120601011184010184040100cf00c800c4
+01bf00be00b600b000a700a1009c00970093007f006a280100e200dd00de00d800d300d400cd00cf00cb00ca00c500c400c501c001ba00bb00b500b600b500b400b600af00b001ab
+01ac03a602a200a1000000a100a2006e006f00730074007a007e01830188018c019210010184820101120601011101120601011182010184070100ce00c800c400bf00be00b100ab
+00a600a1009c009600920074006a280100e200dd00de01d800d301cf00ca00c901c500bf00c000bf01b900b501b600b700b500b600af00b000ab00aa00ab00a600a500a700a601a1
+00a201a101a2009c006a016e007a007e01830089008800870089008c009313010184800101120601011101120601011181010184080100c800c900c400be00b900b500b000aa00a7
+009c0098008f0074290100e200dd00de00d800d900d300ce00cf00c800cb00c901c400c001bf00bb00b600b502b600b500af01b000ab03a600a501a201a101a200a1006b006f0070
+007a0079007d007e00820289008e0098150101847f0101120601011101120601011180010184090100ca01c400c000ba00b600b100aa00a6009c0097008f0075290100e200de00df
+00d900d800d401ce02ca00c500bf00c100bf00b900ba00b900b600b501b600b500b000b100af01aa00a600a700a500a000a101a200a100a000a100a2006a006f006e017a007f0183
+0188008d0092170101847e010112060101110112060101117e0101840c0100c900c500bf00ba00b100b000ac00a600a2009800880076290100e200dd00de01d900d301cf00ce01ca
+00c400c502bf00bb00ba03b501af00b000af02ab00a700a500a600a200a101a202a1006a016f0078007f007e00830088018900921a0101847c010112060101110112060101117d01
+01840d0100c900c400be00bb00b400b100ab00a7009c009700880075290100e300de00df00de00d800d400cf00d000cf01ca01c400c000bf00c000b901bb00b600b500b401af00b0
+00aa01ab01a600a000a201a100a201a0019c006b006f0179007e007f008300870089007d1c0101847b010112060101110112060101117b0101840f0100c400c300be00bb00b400aa
+00ab00a1009c00930089007a290100e200de00dd00d900d800d901cf00ce01c900c500c400bf00c000c100bb01ba02b603b001aa00ac00a702a100a301a1009d009c006a0070006f
+007a0078007e00820188008e1f01018479010112060101110112060101117a010184100101c400bf00b900b500b200ab00a2009d00920080006a2a0100e300dd00d900d701d301ce
+01c900c500c400c000bf00be00bb00ba02b500b201b000b100aa02ab00a501a100a201a1009c019d006b0070006f007a0080007d0082018821010184780101120601011101120601
+011178010184130100c400bf00b900b400b000ab00a100a2008e007e006b2a0100e200de00d700d900d200d300ce00cf00ca00c800c300c400c000be02ba00b900b501b401b000af
+00b001aa00ab00a500a601a1009d019c009b0098006b007000740079007e0084008a008824010184760101120601011101120601011177010184140100c400bf00ba00b600b100a6
+00a7009d0094007a2b0100e200dd00de00d800d300d401cf01ca01c400bf00c100c000bb01ba02b500b000af00b001ac00ab00ac00a500a600a200a000a2019c0197006b006f007b
+0078008000830084007f25010184750101120601011101120601011176010184150100c300bf00b900b600b000ac00a7009b0093007a2b0100e200dc00dd00d800d900d501ce00c9
+01ca00c400be00c000bf00bb01b900b500b600b502af00aa00ab00ac00a601a500a000a2009b009c009d0097006a006f0070007a017e008300892701018474010112060101110112
+0601011174010184180100bf00ba00b500b100ab00a7009d0093007a2b0100e200dd01d800d700d301cf00c900c801c500c0000000bf00ba00b900bb00b901b500b100af00ab00ac
+02ab01a601a1019c009d00990069006f0074007a007e007f00832a010184720101120601011101120601011173010184190100c000b900b600b000ab00a60098008e00832b0100e1
+00de01d900d800d401ce00c901ca00c300c000be00c002bb02b500af00b100ab00ac00aa01ac00a700a800a200a0019d00980097006c0070007a0079007e00832c01018471010112
+06010111011206010111710101841c0100c000ba00b600ac00a6009d008e2c0100e200dd00d801d900d400d300cf00ca00c900c600c400c501be00bb00ba00b901b500b400af00b0
+00af00ab00aa00ab01a600a100a2009d009c009900970098006a006f007a0080007f00832e0101846f01011206010111011206010111700101841d0100ba00b400b100aa00a6009e
+008e2d0100e300de00d801d300d400ce00ca00c900ca00c500c400c100ba00b901ba00bb00b600b000af00b002ab01a600a501a1009c009d00980096006a0070000000740078007e
+300101846e010112060101110112060101116f0101841f0100b600b000ad00a6009d2e0100e200dd00d901d301ce01c902c400bf00b900ba00bb00b500b400b501af00b100ac00ab
+02a600a201a1009d009800970098006a016f0079007f0083310101846d010112060101110112060101116d010184220101b000a200982e0100e300de00d800d900d200d300ce00c9
+00ca02c400c001b901b501b400af01b000aa00ab02a600a200a1009d009c009700980097016b0074007a007e340101846b010112060101110112060101116c010184230100b100ab
+00a82f0100e200df01d800d300ce00cd00ca00c801c400c300bf00c001ba00b500b600b500b000b101ab00aa00ab01a600a100a2009d02980099006c006b0075007a008535010184
+6a010112060101110112060101116a010184260100aa00a62f0100e300dd01d900d400cd00cf01ca00c301c400bf00be01ba01b400b000af00b000ab00aa00a600a500a701a0019c
+009700980097006b006a00700079007f38010184680101120601011101120601011169010184590100e300dd01d800d500d400cf01c900c301c400be00bf00ba00b900b400b500b0
+00af00b000aa00ab00ac00a800a601a1009d009b00970198016b007600793a0101846701011206010111011206010111670101845b0100e100dd00d900d701d400ce00c900ca00c5
+000002bf00bb00ba000000b600b000af00b000ab01ac00a600a200a100a2009c00980297006c006a007400803c0101846501011206010111011206010111660101845d0100e400dd
+00d800d400cd00cf00ca00c900c500c302bf01ba00b500b600b000b100ab00ac00ab01a501a100a3009c0098009700980092006b006f0079007f3d01018464010112060101110112
+06010111650101845e0100e100de00d800d400d300cf00ca00c301c400bf00c000be01ba00b501b401b000ab00aa00a500a600a100a0019c01980097006b00690075007a3f010184
+630101120601011101120601011163010184600100e100dd00d801d300cd00cf00c300c400c500c000be00bf00ba00bb00b900b500b000af00b101ab000000a600a100a3009c009d
+01980093006b006a0074007f41010184610101120601011101120601011162010184610100e100dd01d801ce00cf00c901c400be00c000bf00b900ba00b500b400b500af00b000ab
+00ac00a600a700a200a1009e0098009700930094006a0070007543010184600101120601011101120601011160010184630100e300dd00d900d401ce00cf00ca00c500c400c000be
+00c0000000b900b601b500b000b100ab00aa00a601a2019c009800970091008e006b00700075450101845e010112060101110112060101115201036b0001026b04010184640100e1
+00dd00d800d200ce00cf00ca01c400c000bf00be00ba01b901b500b601b000aa00ab00a601a2009d0097009800920094006a006b0075470101840a01036b0101026b490101120601
+01110112060101115301016b0101016b04010184650101dd00d800d300cd00cf00c900ca00c400bf00be00bf01ba02b501b000b100aa01a700a200a1009e00990193008e006c006a
+007a480101840a01016b0301006b4a010112060101110112060101115301016b0101006b03010184680100dc00d900d800d200cf00c800c900c400c300be00bf01ba03b500b100aa
+00ab00a701a2019d00980094018e006b00704b0101840801016b0201006b4b010112060101110112060101115401006b0001016b02010184690100dd00d900d800d400ce00c900c8
+00c400c300bf00b901ba00b601b500b001af00ac00a600a0009c0098009700920093018d006a00794c0101840801006b0201006b4b010112060101110112060101115401026b0101
+01846b0100dc00d700d900d200cf00c900c800c400bf00be000000b900ba01b500b601b000ab00ac00a700a1019d009400930092008e016b00704e0101840601016b0001006b4c01
+0112060101110112060101115401026b000101846c0100dd01d800d400ce00ca00c900c400c500c000b901ba00b600b501b000b100ac00ab00a700a2009e0098009700920093008d
+016a500101840501036b4c010112060101110112060101115401016b000101846d0100dc01d700d200cd00c902c400bf00ba00b900ba02b500b100b000ab00a500a2009c009d0292
+008e008f006c00665901016b4d010112060101110112060101115301036b700100dd00d900d200ce000000c901c400be01ba01b500b601b100ac00ab00a601a2009c01930092008e
+0089006a5a01016b4d010112060101110112060101115301006b0001016b700100de00d700d300cd00ca00c800c400c300be00b900b401b601af00b201ab00a600a1009c009d0097
+00930094008d006b00745901016b4e010112060101110112060101115201016b0101006b700100dd00d700d300ce00c800ca00c4000001bf00b900b501b400b101b000ab00a700a2
+009c00980193008e0089006b00665901016b4e010112060101110112060101115201006b0201016b6f0100dd00d800d400ce00c901c400bf00be00b900ba00b400b600b1000000b0
+00ab00a600a1009d0097009200930092008d0088006b5a01016b4e010112060101110112060101115101026b0001036b6e0101d800d400cf00ca00c400c301bf01ba00b400b500b1
+00b001ab00a500a2009c009900920093008d00880083006b5901036b4d01011206010111011206010111c80100d800d400d300cf00ce00ca00c400c000be00ba00b900b600af00b0
+00af00b100ab00a700a3009e009800920093008d0089006b0066ab01011206010111011206010111c90100d700d301ce00c901c400c000bb00ba00b500b400b100b000ac00ab00a6
+00a1009e00970093008e0189006aac01011206010111011206010111c90100d800d300cd00ce00c9000000c300bf00b900ba01b501af00ac00a700a3009c00970092008d008e0089
+0084006cac01011206010111011206010111c90100d900d300cf00c900c800c300c000bf00b900ba00b500b100b000b100ac00a600a2009c00980092008d0188006a0065ac010112
+06010111011206010111c90100d800d200ce00c900ca00c401bf01ba00b600b500b000af01a600a2009d0098008e008d0189006aad01011206010111011206010111c90100d700d2
+000000c800c900c300c400bf01ba01b501b000aa00a600a000970098018d008a007f006cad01011206010111011206010111ca0100d700d3000000c901c400bf00c000b900bb00b6
+00af00ab00a600a1009d0094018d018900790065ad01011206010111011206010111ca0100d700d200cd00c901c501be00bb01b500b000ac00a600a1009b00980094008f008e0084
+006b0065ad01011206010111011206010111ca0100d700d300ce00c900c401bf00bb00ba00b500b600b000ab00a500a1009c00980093008e008900850070ae010112060101110112
+06010111ca0100d200d300cd00ca00c400bf00be01b900b500b400b000ab00a700a0009d00970093008c0089007a0065ae01011206010111011206010111ca0101d300ce00c800c3
+01bf00ba00b901b500b000a500a2009b00990092008d0088008500710066ae01011206010111011206010111ca0100d300d200ce00c900c501bf000000bb00b500b100ab00a700a2
+009c0098008d008e00890084006faf01011206010111011206010111cb0100d400cd00c900c400be00bf00ba00bb00b600b100ab00a600a1009d0098008f008d0084007e0071af01
+011206010111011206010111cb0100d200ce00c800c400c000bf00bb00ba00b500b400ab00a600a2009d0092008e0089008400790066af01011206010111011206010111cb0100d3
+00cd00c900c400bf00b901bb00b400b500ad00a700a2009c0094008a0088007e0070b001011206010111011206010111cb0100d300ce00c900c300be00ba00b900ba00b600b500ac
+00a600a30097008d00890085007f0070b001011206010111011206010111cb0100d200ce00c901c400ba00b900b400b100ac00a600a1009d0098008e008a0083007f006fb0010112
+06010111011206010111cc0101ce00c900c500c000bb00b400b000ac00a700a200980093008e008800840070b101011206010111011206010111cc0100cd00c901c400bf00bb00b6
+00b400ac00a1009d00980093008d0084007f0071b101011206010111011206010111cc0100ce00c900c501bf01b600b000ac00a600a1009d008d008a0083007f0070b10101120601
+0111011206010111cd0100c900c800c400bf00bb00b500b600ab00a7009c0098008d0089007f007a0074b101011206010111011206010111cd0100c900c501bf00b900b600ac00ab
+00a1009d00960089008400800079b201011206010111011206010111cd0101c400bf01bb00b200ab00a7009d0098009300890083007e0073b201011206010111011206010111ce01
+00c501bf00bb00b000ac00a6009e009800890085007f007ab301011206010111011206010111ce0100c400be00ba00bb00b000ab00a7009e009200880084007f007ab30101120601
+0111011206010111ce0100c000bf00bb00b600b5000000a6009d009800880083007db401011206010111011206010111cf0100bf00ba00b500ab00a7009e0098009200880084007f
+b401011206010111011206010111cf0100bb00ba00b000ac00a6009d0097009200890084b501011206010111011206010111cf0100ba00b500af00ac00a2009e0097008e0084007e
+b501011206010111011206010111d00100bb00b400ab00a700a2009700890084b601011206010111011206010111d00100b400b100ab00a0009c009300890084b601011206010111
+011206010111d00100b500b000a600a0009800930083b701011206010111011206010111d301009d0098008d0084b701011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011100120911ff018f010112081109120011ff018f0109120011011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112060101110112
+06010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01
+011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff1291120601011101120601
+0011ff1292120601011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e0101110112
+1e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121f110012ff116011001220110012ff11a411
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/books/ps/wd-gammaz.ps b/books/ps/wd-gammaz.ps
new file mode 100644
index 0000000..5734b2c
--- /dev/null
+++ b/books/ps/wd-gammaz.ps
@@ -0,0 +1,1079 @@
+%!PS-Adobe-2.0 EPSF-1.2
+%%BoundingBox: 192.347462 284.120003 419.652538 538.120003
+%%Creator: xwd2ps
+%%CreationDate: Sat Dec  7 19:11:24 1991
+%%Title: standard input
+%%EndComments
+% xwd2ps -- program written by Robert C. Tatar and Craig A. McGowan.
+% The command used to create this file (missing quotes on strings):
+%   xwd2ps -h3.5
+% by loan7:themos (Themos Tsikas, NAG Ltd)
+% Information from XWD rasterfile header:
+%   width =  422, height = 472, depth = 8
+%   file_version = 7, pixmap_format = 2, byte_order = 1
+%   bitmap_unit = 32, bitmap_bit_order = 1, bitmap_pad = 32
+%   bits_per_pixel = 8, bytes_per_line = 424, visual_class = 3
+%   bits/rgb = 8, colormap entries = 256, ncolors = 256
+% Portion of raster image in this file:
+%   starting line = 1
+%   ending line = 472
+%   starting column = 1
+%   ending column = 422
+gsave
+/inch {72 mul} def
+/buffer 2 string def
+/rgbmap 768 string def
+/rgb (000) def
+/pixels 768 string def
+%%Title: colorimage.ps
+% Written 11-4-88 by Bob Tatar
+% U.S. Mail: GE-CRD, PO Box 8, KW-C214, Schenectady, NY 12301
+%    E-Mail: tatar@crd.ge.com
+% colorimage procedure to be used on monochrome printers
+% or when the colorimage procedure is not available
+% NOTE: Only 1 color mode is supported: single proc. & RGB
+
+systemdict /colorimage known not {        % only create if not in systemdict
+  % Utility procedure for colorimage operator.  This procedure takes a
+  % string of rgb encoded values and creates a string 1/3 as long with
+  % monochrome values.  This procedure assumes 8 bits/color (i.e. 
+  % 1 character/color)
+  % storage format for input string:  (r1 g1 b1  r2 g2 b2  r3 g3 b3  ... )
+  % storage format for output string: (g1  g2  g3 ... )
+  
+  /colortograyscale { %def                % (string)
+    dup /rgbdata exch store               % (string)
+    length 3 idiv                         % Ns/3 
+    /npixls exch store                    % ; npixls => Ns/3
+    /indx 0 store                         % ; indx => 0
+    /pixls npixls string store            % ; pixls => (....)
+    0 1 npixls -1 add {                   % counter 
+      pixls exch                          % pixls counter
+      rgbdata indx get .3 mul             % pixls counter .3*rgbdata(ind)
+      rgbdata indx 1 add get .59 mul add  % pixls counter .3*rgbdata(ind) + 
+					  %          .59*rgbdata(ind+1)
+      rgbdata indx 2 add get .11 mul add  % pixls counter .3*rgbdata(ind) + .59
+					  %  *rgbdata(ind+1)+.11*rgbdata(ind+2)
+      cvi                                 % pixls counter <grayscale value>
+      put                                 %
+      /indx indx 3 add store              % ; /ind => ind+3
+    } for                                 % repeat for each rgb value
+    pixls                                 % (pixls)
+  } bind def                              % ; /colortograyscale -> dictionary
+  
+  % Utility procedure for colorimage operator.  This procedure takes two
+  % procedures off the stack and merges them into a single procedure.
+  
+  /mergeprocs { %def      % {proc1} {proc2}
+    dup length            % {proc1} {proc2} N2
+    3 -1 roll             % {proc2} N2 {proc1}
+    dup                   % {proc2} N2 {proc1} {proc1}
+    length                % {proc2} N2 {proc1} N1
+    dup                   % {proc2} N2 {proc1} N1 N1
+    5 1 roll              % N1 {proc2} N2 {proc1} N1
+    3 -1 roll             % N1 {proc2} {proc1} N1 N2
+    add                   % N1 {proc2} {proc1} N1+N2
+    array cvx             % N1 {proc2} {proc1} { ... }
+    dup                   % N1 {proc2} {proc1} { ... } { ... }
+    3 -1 roll             % N1 {proc2} { ... } { ... } {proc1}
+    0 exch                % N1 {proc2} { ... } { ... } 0 {proc1}
+    putinterval           % N1 {proc2} { <<{proc1}>> ... }
+    dup                   % N1 {proc2} { <<{proc1}>> ... } { <<{proc1}>> ... }
+    4 2 roll              % { <<{proc1}>> ... } { <<{proc1}>> ... } N1 {proc2}
+    putinterval           % { <<{proc1}>> <<{proc2}>> }
+  } bind def              % ; /mergeprocs => dictionary
+
+  /colorimage { %def               % {imageproc} multiproc ncolors
+     pop                           % {imageproc} multiproc ; assume 3 colors
+     pop                           % {imageproc}           ; assume false
+     {colortograyscale}            % {imageproc} {colortograyscale}
+     mergeprocs                    % {imageproc colortograyscale}
+     image                         % construct monochrome image
+  } bind def                       % ; /colorimage => dictionary
+} if                               % only create if it doesn't already exist
+/drawcolorimage {
+  422 472 8
+  [422 0 0 -472 0 472]
+  {currentfile buffer readhexstring pop pop  % get run length & color info
+    /npixels buffer 0 get 1 add 3 mul store  % number of pixels (run length)
+    /color buffer 1 get 3 mul store          % color of pixels
+    % /pixels npixels string store          % create string to hold colors
+    /rgb rgbmap color 3 getinterval store    % get rgb value
+    0 3 npixels -1 add {
+	  pixels exch rgb putinterval
+    } for
+    pixels 0 npixels getinterval             % Return color values
+  }
+  false 3
+  colorimage
+} bind def
+%2.685381 inch 3.960000 inch translate
+matrix currentmatrix
+3.129237 inch 3.500000 inch scale
+
+% get rgb color table
+currentfile rgbmap readhexstring pop pop
+000000
+ffffff
+236b8e
+b3b3b3
+d8d8bf
+dbdb70
+3299cc
+ffff00
+238e23
+0000ff
+cc7f32
+2f2f4f
+5f9f9f
+ff0000
+1a1a1a
+333333
+7f7f7f
+4d4d4d
+cccccc
+d4d8e8
+757780
+46474d
+b4b8c5
+fbfbfb
+626262
+3b3b3b
+00ff00
+00ffff
+000000
+000055
+0000ab
+0000ff
+005500
+005555
+0055ab
+0055ff
+00ab00
+00ab55
+00abab
+00abff
+00ff00
+00ff55
+00ffab
+00ffff
+550000
+550055
+5500ab
+5500ff
+555500
+555555
+5555ab
+5555ff
+55ab00
+55ab55
+55abab
+55abff
+55ff00
+55ff55
+55ffab
+55ffff
+ab0000
+ab0055
+ab00ab
+ab00ff
+ab5500
+ab5555
+ab55ab
+ab55ff
+abab00
+abab55
+ababab
+ababff
+abff00
+abff55
+abffab
+abffff
+ff0000
+ff0055
+ff00ab
+ff00ff
+ff5500
+ff5555
+ff55ab
+ff55ff
+ffab00
+ffab55
+ffabab
+ffabff
+ffff00
+ffff55
+ffffab
+ffffff
+000000
+252525
+494949
+6e6e6e
+929292
+b7b7b7
+dbdbdb
+ffffff
+600808
+931c1c
+bf3030
+e06f6f
+efc4c4
+601108
+93281c
+bf3f30
+e07a6f
+efc8c4
+601a08
+93341c
+bf4d30
+e0866f
+efccc4
+602208
+93401c
+bf5b30
+e0916f
+efd1c4
+602b08
+934c1c
+bf6930
+e09c6f
+efd5c4
+603408
+93581c
+bf7730
+e0a76f
+efd9c4
+603d08
+93631c
+bf8630
+e0b36f
+efdec4
+604608
+936f1c
+bf9430
+e0be6f
+efe2c4
+604e08
+937b1c
+bfa230
+e0c96f
+efe6c4
+605708
+93871c
+bfb030
+e0d56f
+efebc4
+606008
+93931c
+bfbf30
+e0e06f
+efefc4
+436008
+6b931c
+8fbf30
+bae06f
+e1efc4
+256008
+44931c
+60bf30
+95e06f
+d2efc4
+086008
+1c931c
+30bf30
+6fe06f
+c4efc4
+086025
+1c9344
+30bf60
+6fe095
+c4efd2
+086043
+1c936b
+30bf8f
+6fe0ba
+c4efe1
+086060
+1c9393
+30bfbf
+6fe0e0
+c4efef
+084e60
+1c7b93
+30a2bf
+6fc9e0
+c4e6ef
+083d60
+1c6393
+3086bf
+6fb3e0
+c4deef
+082b60
+1c4c93
+3069bf
+6f9ce0
+c4d5ef
+081a60
+1c3493
+304dbf
+6f86e0
+c4ccef
+080860
+1c1c93
+3030bf
+6f6fe0
+c4c4ef
+1a0860
+341c93
+4d30bf
+866fe0
+ccc4ef
+2b0860
+4c1c93
+6930bf
+9c6fe0
+d5c4ef
+3d0860
+631c93
+8630bf
+b36fe0
+dec4ef
+4e0860
+7b1c93
+a230bf
+c96fe0
+e6c4ef
+600860
+931c93
+bf30bf
+e06fe0
+efc4ef
+d6d6d6
+767676
+474747
+b6b6b6
+ff6dff
+ff9200
+ff9255
+ff92aa
+ff92ff
+ffb600
+ffb655
+ffb6aa
+ffb6ff
+ffdb00
+ffdb55
+ffdbaa
+ffdbff
+ffff00
+ffff55
+ffffaa
+ffffff
+
+
+drawcolorimage
+ff12a51220120011ff12601200112012001101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f010011
+00121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e010011
+0012ff015f01001100121e0101110112060118110012ff1160110012171106010111011206010011ff129212060101110112060100110012150100110012ff014701001100121501
+00110012150100110012060101110112060100110012150100110012ff01470100110012150100110012150100110012060101110112060100110012150100110012ff0147010011
+0012150100110012150100110012060101110112060100110012150100110012ff0147010011001215010011001202010f1202010011001206010111011206010011001215010011
+0012ff01470100110012150100110012020100120d010011020100110012060101110112060100110012150100110012820102000f01000020010400020105008101001100121501
+00110012020100120d010011020100110012060101110112060100110012150100110012830101000e0102001e010100010102000201010001010100800100110012150100110012
+020100120d010011020100110012060101110112060100110012150100110012830101000f0100001f0100000301010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012820103003401010002010100020101007f0100110012150100110012020100120d0100110201001100120601
+0111011206010011001202010f120201001100128201000000010100020102000101020001010300050103000201000000010100000101000e01010003010100020101007f010011
+001208010312080100110012020100120d010011020100110012060101110112060100110012020100120d0100110201001100128201000000010100030101000101010004010100
+04010100010101000101010000010100000101000b01020004010100020101007f01001100120801001201010011080100110012020100120d010011020100110012060101110112
+060100110012020100120d010011020100110012820100000101010003010100000100000501010003010100030101000001010000010100000101000d0101000301010002010100
+7f01001100120801001201010011080100110012020100120d010011020100110012060101110112060100110012020100120e110201001100128101050004010100060101000301
+0100030101000001010000010100000101000e01010002010100020101007f0100110012080100120211080100110012020100120d01001102010011001206010111011206010011
+00121501001100128101000002010100040101000601010003010100030101000001010000010100000101000e01010002010100020101007f010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012810100000301010002010000000101000501010003010100030101000001010000010100000101000e010100
+02010100020101007f0100110012150100110012020100120d0100110201001100120601011101120601001100121501001100128001010003010100010101000101010004010100
+040101000101010001010100000101000001010009010000030101000201010001010100800100110012150100110012020100120d01001102010011001206010111011206010011
+001215010011001280010200010102000001020001010200010105000301030002010100000101000001010009010100010101000201050081010011001215010011001202010012
+0d010011020100110012060101110112060100110012150100110012b70103008b0100110012150100110012020100120d0100110201001100120601011101120601001100121501
+00110012ff01470100110012150100110012020100120e11020100110012060101110112060100110012150100110012ff0147010011001215010011001215010011001206010111
+0112060100110012150100110012ff0147010011001215010011001215010011001206010111011206010011001216110012ff11481100121611001216110012060101110012ff11
+9a110012081109120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111
+8f01027a0001007a2901017a1a01017a0301007a1801017a91010112060101110112060101118e01017a0001027a2801017a1601057a0301027a1801017a90010112060101110112
+060101118d01017a0201017a2801017a1501027a0101017a0401007a1901017a90010112060101110112060101118d01017a0301007a2701017a1001017a0301007a0001007a0001
+017a0e01017a1001017a8f010112060101110112060101118d01017a0701047a0201007a0001017a0001017a0101007a0001017a0001017a0201047a0401017a0401027a0101027a
+0301017a0301027a0001017a0301037a0601017a0301037a0001027a0401017a8f010112060101110112060101118d01017a0601017a0201017a0101017a0001017a0001017a0001
+017a0001017a0001017a0001017a0201017a0301017a0501017a0101017a0401017a0301017a0001017a0601017a0301017a0001017a0001017a0101017a0201007a0501017a8f01
+0112060101110112060101118d01017a0101037a0001017a0201017a0101017a0001017a0001017a0001017a0001017a0001017a0001017a0201017a0301017a0601017a0001007a
+0201077a0301017a0601017a0301027a0101027a0101017a0201007a0501017a8f010112060101110112060101118d01017a0201027a0301037a0101017a0001017a0001017a0001
+017a0001017a0001017a0301037a0301017a0701017a0301077a0201017a0101017a0301017a0601017a0501017a0001007a0601017a8f010112060101110112060101118d01017a
+0201017a0201017a0101017a0101017a0001017a0001017a0001017a0001017a0001017a0101017a0101017a0301017a0701017a0601017a0501017a0001027a0301017a0501007a
+0101007a0401017a0001007a0601017a8f010112060101110112060101118d01017a0201017a0101017a0201017a0101017a0001017a0001017a0001017a0001017a0001017a0001
+017a0201017a0301017a0601007a0001017a0501017a0401017a0101007a0001007a0301017a0401017a0101017a0401017a0701017a8f010112060101110112060101118e01017a
+0001027a0101017a0101027a0101017a0001017a0001017a0001017a0001017a0001017a0001017a0101027a0401017a0401017a0101017a0401017a0401017a0101027a0301017a
+0401017a0101017a0401017a0601017a90010112060101110112060101118f01027a0001007a0201027a0101017a0001017a0001017a0001017a0001017a0001017a0001017a0101
+027a0101017a0301017a0301027a0101027a0901027a0101017a0201057a0d01007a0701017a9001011206010111011206010111be01017a1401027a1a01007a0601017a91010112
+06010111011206010111f001007a0001007a9b01011206010111011206010111f001027a9b01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff008f0001120601011101120601
+0111ff008f00011206010111011206010111ff008f00011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff010a0100ad8301011206010111011206010111ff010a0100ad8301011206010111011206010111ff010a0100ac8301011206010111011206010111ff01
+8f01011206010111011206010111ce01066b330100a800ac8301011206010111011206010111ce01016b0201016b340100b18301011206010111011206010111cd01006b0301016b
+340100a700b28301011206010111011206010111d101026b350100b28301011206010111011206010111d001026b350100ad00ab8301011206010111011206010111cf01026b3701
+00a88301011206010111011206010111cf01016b370100ad00ab8301011206010111011206010111ce01026b360100a300ac00a88301011206010111011206010111cd01026b3701
+00a201ac8301011206010111011206010111cd01016b0301006b330100a301ac8301011206010111011206010111cc01016b0201016b350100b100ac830101120601011101120601
+0111cc01066b1d0100a1009d140100a300ac8401011206010111011206010111f10100a2009c140100a300ad8401011206010111011206010111f10100a1009c140100a300ac8401
+011206010111011206010111f101009d0097140100a300ad8401011206010111011206010111f10100a10097130101a38501011206010111011206010111f101009c0099130100a2
+00a300ad8401011206010111011206010111c8010084260101a20098130101a300ac8401011206010111011206010111c8010084260100a0009d0098130100a200a300ad84010112
+06010111011206010111c8010084260100a000a20097130100a200ac00a68401011206010111011206010111c8010084260100a1009c0098130100a201ad84010112060101110112
+06010111c8010084150100a800ad00a80d01009c00a10096130100a200ad8501011206010111011206010111c8010084140100a700a600a800ac00a70b0100a3009c01a11201009d
+00a300ac00ad8401011206010111011206010111c8010084140100a500a800a600ad00a700a10a0103a11201009e00a200aa00ac8401011206010111011206010111c80100841401
+00ab00a600a701a600a10a0100a1009d009b00a11201009d00a300ac00ad8401011206010111011206010111c8010084130100a700b400ac00ab00a800ab00a20a0102a200a11201
+009d00a200ab00a78401011206010111011206010111c8010084130100a6000000ab00ac00a601a700a2090101a1009d00a11201009d00a200ac00a7840101120601011101120601
+0111c8010084130100a600b501ab00ad00ac00ad00a2080100a2009c00a200a100a21201019d00ad00a88401011206010111011206010111c8010084130100a600b500ab02ac00a8
+00a3080100a203a11201019e00ac00a88401011206010111011206010111c8010084130100a5000000ab00aa00ab00a700a6090100a201a1009d00a21201009d00a600b100a78401
+011206010111011206010111c8010084130100a600b000ab00ac00ab00ac00ad00a2080100a2009d009c00a1009c1101009e009d00a600b100ad8401011206010111011206010111
+c8010084130100a500b000ab02ac00ad00a8080100a2009d00a001a111010098009e00a700b000ad8401011206010111011206010111c80100841301000000af00ac00ab02ac00ad
+080100a200a00000009b00a111010098009d00a800b100ac8401011206010111011206010111c80100841301000000af00ab00aa00ab01ac00ad070100a700a101a0009b00a21101
+0097009e00a700b100ad8401011206010111011206010111c8010084130100a600af00ac01ab02ac070100a700a1009d019b009c11010098009e00a600b000ac8401011206010111
+011206010111c80100841201009b00a500b000ac00ab01ac00ab00ac00a3060100a7019c00a1009c00a311010099009d00ab01ad8401011206010111011206010111c80100841201
+009d00a600b001ac00ab00ac00ab00ad00a1060100a600a2009b01a2009b11010099009e00ac00ab00ac8401011206010111011206010111c80100841201009c00a600b100ab00ad
+00ab00ad00ab00ac00a6060100a7009c00a100a000a2009b100100980099009d00aa00ac00ad8401011206010111011206010111c80100841201009d00a600af00aa00ab00aa00ad
+00ab00ac00a8050100a700a2009b009c00a201a110010097009e00a800b100ac00ab8401011206010111011206010111c20100a200a1030100841201009c00a600af00ab00ac00ad
+00ab00ad00ac00a7050100a601a1009d00a101a010010097009e00a700b100ac00a78401011206010111011206010111c20100a000a1030100841201009b00a500b000ab05ac0501
+00a800a100a0019c00a2009b10010098009d00a600b000ab8501011206010111011206010111c20100a0009303010084120100a500aa02ab01ac00ad01ac050100a700a200a1009c
+009b00a0009c10010097009800a101ac8501011206010111011206010111c101009c0097009203010084120100a600aa00ab00ac00ab03ac00ab050100a7019b00a1009d009c00a1
+10010091009800a200ab00ac8501011206010111011206010111c10100a1009d009803010084120100a501ab00aa00ab00ac00ab00ac01ad040100a600a1019c00a1009d00a1009d
+100100910098000100ab00ac8501011206010111011206010111c10100a1009b009800a002010084120100a600ab00aa00ab04ac00ab00a2030100a600a20000009b00a100a0019c
+10010093009800a200ac00ad8501011206010111011206010111c10101a1009d00a102010084120100a700ab00aa01ab00ac00ab00ac01ab00a7030100a700a1009c00a1009d009c
+00a200a10f0100930097009800a200b100ad8501011206010111011206010111c00100ac019c01a1020100841101009e000000aa03ab03ac00a2030100a602a100a001a200a00f01
+0093019800a000b000ab8501011206010111011206010111c001009c009b009d00a2009e020100841101009c00a501aa01ac00ab00ac01ab00ac00ab030100a600a100a0009c009b
+00a000a2009d0f010093009900a100ac00b600ac8501011206010111011206010111c00100a100a000a100a2009c020100841101009c00a2000002ab00ac00ad00ab01ac00ad0301
+00a000a200a0009e00a100a001a10f010093009900a300ac00b500ad8501011206010111011206010111c00100a1019c009b00a2009b010100841101009b00a100ab00aa01ab00ac
+00ad00b100ab01ac020100a700a200a100a0009b00a0009d00a100a20f010092009800a100ac00b600ac8501011206010111011206010111bf0100af01a1009c009b009c00a10101
+00841101009d00a100ab02ac02ab00ac00ab00ad020100a602a000a2009d009b009c009d0f010093009800a200ac00b600aa8501011206010111011206010111bf0100a1009c00a1
+019c00a100a2010100841101009d00a000aa00ab00ac00aa00ab00ac00b000ac00ab00ad020100a200a102a200a0000000a3009c0f010094009800a200b000ac00a7850101120601
+0111011206010111bf0100a00000009b009c00a1019c010100841101009800a003ab01ac00b100ab00ac00ad020102a100a2009c009b00a1009c00a20e0100940093009800a100b1
+00ac00a88501011206010111011206010111bf01019c009d009c00a1009c00a2010100841101009700a200aa03ab00ac00b200b101ac00a7000100a100a200a100a001a2009b009c
+00a1009c0e0100920093009900a200b000ac00ad8501011206010111011206010111bf01029c009b009d009c00a3009d000100841101009800a003ab01ac00b000b200ab00ac00a6
+000100a201a100a200a100a0009d029c0e01008c0092009400a200b100ac00a88501011206010111011206010111bf0100a2009d009c019b009c009d009c00b100841101009c00a1
+00aa00ab01aa00ac00ab00b100b000b100ac00ab000101a201a101a2009c00a2009d009e0e01008e00920093009d00b001ac8501011206010111011206010111bf0100a1009b009d
+009b039c00b1008400b500ba0f01009c00a102ab02ac00b201b100ac00ad00a100a203a100a200a100a2019c0e01008e0098009d00a600b100ac00a7850101120601011101120601
+0111be0100ab00a1019c009b009d009c019d00ac008400b100b500ba0e0100a200a102ab02ac01b200b100ac00ad00a200a000a600a101a000a1039c0e01008e0093009c00a800b0
+00ac00ab8501011206010111011206010111be0100a1019c009b019c009b019d00ab008400b100b500b600bb00c00b01009700a100a002ab00ad00ab00ac02b000ab00ac00a100a2
+00a600a300a000a301a1009c009b009d0e01008e0093009c00a600b100ab00a78501011206010111011206010111bd0101a2019c009b0000009b009d019c00ac008400b200b100b5
+00b600ba00bb0a01009701a100ab00ac00aa02ac01b000b100b200ad00a2000100a600a100a000a100a200a1009d009c009d0e01008d0093009b00a700af00ab00a6850101120601
+0111011206010111bb01019c00a200a100a0029c009b009d009c009d00ac008400b000b100b600b501ba00bb00c00801009800a200a100aa000001ac00aa01b100b000b200b100ac
+01a200a800a601a100a000a2019c009b009c0c01018d0093009e00a700b200ab00ac8501011206010111011206010111b9010098029c01a200a0009c0000009b009c009e019c00ac
+008401b100b500b600b901bb01c000c50601009801a200aa00ac00ab00ac00ab01b100b001b100ac00a700a300a800a300a100a001a2009d009c009d009c0c01018e0092009c00a6
+00b000ac00ad8501011206010111011206010111b80100980097009d009c01a100a200a10000039c019d00b1008401b100b600b500b901bc00be00bf01c50501009801a100ab00aa
+00ac01ab01b100b200b000b101ab01a200a700a200a000a200a300a1009c009e009d0c01008d008e0094009d00a700b000ab00ad8501011206010111011206010111b601008d0093
+009400920197029d019c009b009d009b009d009c009b00ac008400ac00b201b500bc00bb00c100bf00c001c500ca00c90301009801a100ab00aa00ab00ac00ab00b100b000af0001
+00b100ac00ab00a800a300a601a200a000a1009d009e009d009c0c01008e008d0093009b00a700b100ac8601011206010111011206010111b4010089008e008d008e009200930098
+0097009800b0009d009c019b009c009b029c00a8008400ab00ac00b200b500b601bb00bf00c000bf00c300c500c901cf0101009700a100a001ab02ac00af00b001b100b001ac00a6
+00a300a200a700a000a100a200a0009d009c009d0c01018e0092009c00a600b000ab00a88501011206010111011206010111b30100830188008d029200970099009d00a2009d009b
+009c009d019b009d019c00ac008401ac01b101b501ba01bf00c001c400ca00c900cd0001009800a300a000ab02ac00ab03b100b201ac00a800a700a800a700a100a200a100a2029d
+0c01018d0094009c00a600b001ac8501011206010111011206010111b101008500840289008e008f01930096019800a200a1009e0000009b029c009b009c00ac008400ac00b101b0
+00b600b500bc01bb00bf00c001c501ca01ce009800a000a101ab01aa00ac00b000b100b500b200b101ad02a700a602a100a2009c009d00980c0100890093009c00a700b100ad00ac
+00ab8501011206010111011206010111af01007e0083008500840189008e008d008e009200930197009801a1009b029c009b029c00ab008401b201b100b600b500b901bb00c000bf
+00c000c500ca00cb00ca00ce009701a103ab00aa01b000b100b000b100ac00ad02a800a200a800a301a2029c0b010089008f0092009d00a600b100ac00ad00ac8501011206010111
+011206010111ae010079007f007e008300840288008d01920093029700a1009d019c009d029c009d009c00a6008401ac01b102b600bb00ba01bf00c100c400c501ca00cf009700a1
+00a000b000aa01ab00ac01b100b500b101b000ac00a800a600a302a201a1009e009d00990b010088008d0093009c00a500b000ad01ab8501011206010111011206010111ac010075
+007a0079017e007f0083018400880089018e00940092019800a100a0009b009d019c009b009c009d009c00a6008401ab00aa00ac00b102b500b700bb00c000bf00c500c400ca00c9
+00ce009800a000a200b001aa00ac00ad00b000af00b000b100b200b100ab00ad00a700a300a203a1009c009700980b010087008d0093009c00a600b100ac00ab8601011206010111
+011206010111ab01007000760074007a0079027f0083008500890188008e008f0093019200a2019c009d019b019c019b00a6008400ac00ab00ac00ab01b000b100b400b600ba00bb
+00c100c000c400c500c8019700a200a000af00ab00ac00ab00aa00b002b100b200b000b200ab02a800a700a100a300a2009d009700980b01008a018e009800a700af00ac00ab8601
+011206010111011206010111a901006a017001740079007b0079007f00840183008a0089008d008e008d00920091009300a3019c009b019c009b019c009b00ac008400ac00ab02b1
+00b000b101b500bb00ba00bb00c000bf00c500c4019701a000b000aa00ac00ab00ac01b000b502b100b200ac00a801a700a500a100a300a1009801970b010089008e008d009700a2
+00b100ac00ad86010112060101110112060101116f0101843501016b016f007001740079017a007f007d0184008500880089018e019200a500a200a0009b019c019d029c009d0084
+00ac00ab01ac01b002b601bb01c000be000100c60097019c00a100b000af00ab00ac00b001b100b500b100b200b100b000b100a801a700a801a100a2009c01980b010189008d0098
+00a100b100ac00ab86010112060101110112060101117001018433010080007a00740079007a007b0076007400750079007a007f017e0083008500880189008d0092009400a800a2
+019c009b039c019d009e008400ab02ac00ab00ac01b100b700b600ba00bb01c000c400c3009900a2009b00a200aa00b000af00ac00b000b200b100b600b001b100af00b000ab00a6
+00a700a601a301a101980b010089008c008e009900a200b101ac150101846e0101120601011101120601011171010184300100b600ac00a0009e0092008f00890082007e00740079
+007a017b007e007f00800183008700880087018d00a700a2009c009b009c009b009c009b0098019d009e008400a600ac00ad00ab02ac01b100b600b500b600ba00c000bf00c50097
+009d009c00a100af00b100aa00ac01b100b600b500b600b000b200b100b200ab01a700a2000100a200a100a2009700990a010188008e008d009800a100b000ab00ac140101846f01
+011206010111011206010111730101842c0100cf00cb00c100bb00b000aa00990089007a0075007001750179017a017f007e0083008400870089008f008d00a700a200a0009d029c
+0097009d0097009d0097008404ac00b001b100b000b500b601bb01c000c40099009d009b00a200af00b000af01b100b000b500b600b500b600b201b100ad00ac00a601a802a20098
+00970a0100880089008f009700a100ac00b701ab120101847101011206010111011206010111740101842a0101dd00d900d300c900c600bb00aa009c007f00700064007000750074
+0079017a017f00840083008400880089018e00a700a2009c009b009c009d019c0098009700960097008401ab00ac02ab01b100af00b400b600ba00bc00bb00bf00c10092009c009d
+00a004b000b100b600b701b602b101ac00a700a800a701a2009d01970a010188008e009700a000ab00b700ad00ab11010184720101120601011101120601011176010184260100de
+00df00dd01de00df00d300c900c400ba00b100a300920085006f007401750079007d017e0082008400890088018e008d00a7009b019c0000019d009c02970098008400a700a800aa
+00ad00ab00ac00ab01b100b600b700b600bb00bc00bf00c00094009c009d00a002af02b100b601b501b600b200b100b000ad00ac00a500a700a800a200a301980a010189008c0097
+00a200ac00b401ab0f010184740101120601011101120601011177010184240100d900d802da00de00dd00de00d800d300bb00ad00a000980084007f00790175007a0079017e007f
+0283018900b100a700a1019d009c009d009c009b02980097008401a601a700ac00ad00ab00ad00ab00b000b500b601b700bc00c00093019c00a000b000ab00b000ac01b101b500b6
+00b500b700b001b100ad00ac00a700a600a800a300a101980a0100840088008e009600a100ab00b500ab00ac0e010184750101120601011101120601011178010184210100d301d4
+00d300d500d400d800da00d900dd00de00da00c900b600a6008800830084007e0074007b0179007d0080007e008300850184008900010066019d009c009d019c0297009600970084
+00a600a500a700a601ac01ab00ad00b001b100b500b700bc00bb0093009c019d00b000af01b000af00b000b600b500b600b500b602b100ac00ad00a800a600a701a3009c00970a01
+00830088008e009800a200ac00b500ab00aa0d01018476010112060101110112060101117a0101841d0102cf00cd00d400d300d201d900da00de00d300cf00c600c100b500a10092
+008300750070006f017500760079007a017f00840183008900a600a1009d009c009d009b009c009b00000097009800960097008400a800a700ac00ab00ac00ab00ac00b000af01b0
+00b101b600bb00ba0094009e009d009c01b000af01b0000100b700b500b601b500b100b000b100ab01ac00a800a700a200a1009d00980a0100830088008e00a500a100ac00b600b0
+00ab0b01018478010112060101110112060101117b0101841b0100c901ca00ce01cf00ce00d500d300d800da00de00dd00d900cf00c500ba00b000a3009300840070006f00740076
+0075007a0079007f017e0184008900a600a300a0039c009d009c00970298008403a600a700a600ab00ad00ac01b101b500b600ba00920099009d009b009c01af00b000ac00b100b0
+00b500b600b500b600b700b001b102ac000100a701a200a100970a0100820088008d00a600a200ab00b600ab00ac0a01018479010112060101110112060101117d010184170100c4
+00c500c901ca00c900cd00cf02d300d900da00df00dd00de00da00d400ce00c400bf00aa009c008e0074006f01740079007a007f0080007f00840082008900a600a3009d009b009c
+009e009d009c00970096009800970098008400a600a200a700a202a701ac01ab00af00b000b700b500930097009d019c00b001af00b100b000af00b401b500b600b702b100ad01ac
+02a701a200980901008400890088008e009700a101b000ac00ad080101847b010112060101110112060101117e010184140103c502ca01ce00cf01d400da01d900dd00df000100de
+00dd00d800c500b600a7009400880084007f01740179017f038400a600a200a1009c009b019c009b009c019700960097008401a200a603a700ab01ac00ab00ac00b000b100b60093
+0098019d009b00b002b100af00b000b503b600b101b002ac00a700a800a500a200a30099007a08010183009d008e009800a001b101ac070101847c01011206010111011206010111
+7f010184120100bf00c100c000c500c400c500cb00c900ca00ce00cf01d500d400d900da00d800df01de00d800d300c500b600a6008e0084007e007a007400730179007a007e007d
+0083008400ac00a700a1039c009d009c01970298008400a100a201a700a601ab00aa00ab00ac00b101b000b100b700920098019d009c00af00b000af00b200b000b200b600b502b6
+00b101b000b201ac00a800a600a801a3009d0175007906010184008e00a5009c00aa00b500b100ac00ab060101847d01011206010111011206010111810101840e0100ba00c001bf
+01c001c500c900ca00c900d000cf01d300d502d900da00de00d400ce00c400c000b500a6009200840074016c007000740079017a007e017f00ab00a700a1019b019c0000009c009b
+009801970096008402a300a600a701ab00ac01ab01b002b100920098019d009c00b000af00b100af00b100b000b401b500b601b500b200b100b201ac000101a701a2009c02740179
+040100840083008e009800a100a800b400af00ab01b0030101847f01011206010111011206010111820101840b0102bb00bf00ba00c000bf02c502ca00c900ce00cf00d200d300d4
+01d800d900de00dc00d800d400c500c000bc00ac009c00880079006c006f007400760279017e00b100a700a200a0029d019b009c0097009901970084009b009c01a100a200a700a6
+01ad03ac00b200b100920098009c009d009c00b000b100b000af00b000b500b400b903b600b100b000b100ac00ab00ac00a700a801a2009e01750079007a017e007d000103830089
+0093009c00a600b100af00ac00b100b202010184800101120601011101120601011184010184080100b600b503ba01bf00c500c400c500c400c902ca00cf01ce01d300d800d900de
+00dd00de00e300d800d300ca00c400ab009c009200840075007400750179007a007f007e00a600a700a1009b009d029c009d019c0098009900970084009c009d00a000a201a702a6
+01ab00ac00ab00ac00ab00930098029c00af02b000b600b500b400bb00b600b400b600b502b002ac00a600a700a000a2009d000100780179007f017e00820283008400890094009c
+00a700af00b100ab01b100010184820101120601011101120601011185010184050100b001b501b600b501bb02c000c402c500c300ca00c900cf00ce01d400d801d904dd00d900ca
+00b500a7009c00880084007f00790075007b007a0179007a01a601a1019d009c009b029c019700980084009c009d02a101a600ac00a700a800ab00aa00ac01ab00920098009d008c
+009c00b000b100af00b200b500b400b500bb01b500b603b100ad01ab00a700a600a7000100a20099007a00790078007d027f0084008a0098008300a60093009d00a602b101b50184
+830101120601011101120601011187010184010100b002b100b601b501bb00ba00c102bf02c501c900ca01cf00d400d300d401d900d800d901dd00de00d900c500bc00ad009d008e
+007f007a00700076007b0079007a007900b200a800a601a1009b009c009d009b009c009b009e0098009700980084019d02a202a601ab00a600ab01ac01920099009d008c009b01b0
+00b101b000b600b500ba00b501b600af01b100b001ad00a601a702a20098007e0079007e007d007e007f0184007f0084008300890092009d00a602af01b685010112060101110112
+060101118801018400ab00ac00af01b000b101b600bb00ba00bb00ba00c001bf00c101c400ca01c900cf00ce00d400d200d400d800d900da00d900d800d400cf00c500c000bc00a6
+009700830076006a006b006f00700074017900b100a600a100a201a1019c009b019d00980297009800990097019d01a200a102a601ac00b100ac0193009e009c009d00a500b400af
+00b100b000b500b700b5000000b500b601b500b200b100b201ac00ab00a7000100a601a20097007e0079017e028300880093018300880093009c00a700b100b000b100b400b500ba
+8401011206010111011206010111880100ac00aa01ab00ac01b200b001b600ba00bb00ba01bb00bf01c001c500ca00c901cf00ce00d300d501d400d800d900d800de00dd00da00d4
+00c500bb00ba00ac009c008400740066006f0175017a00b000a701a200a0009c009b009c009b009d009c009700990197009900980097009b009d00a101a200a502a701a600a70193
+009d019c00a500b603b000b400b500bc02b500b402b000ac00ab00ac00ab00a800a600a300a20098006f00740078007e008401830089007e0182008a0092009c00a600b100af00b1
+00b500ba00bb8401011206010111011206010111860100a600ab00a600a700ab00ac00aa00b001b101b600b500b700ba00bc00ba00bf01c000c500c900cb00c900ca00cf00ce00cd
+02d400d500d900d800d902dd00da00cf00ca00c100b500a700960088006f01740075007a00ac00a600a302a100a2019c009b009c009d0098019701980197029c009d00a000a203a6
+009700930094009c009d009700a600b502b002b500bb00b500b600b500b600b001b100b202ab01a701a2009d009300730078007e008400820084008a007f018300890092009c00a5
+00b100b600b400ba00bb00be8401011206010111011206010111840100a600ac00a800ad00a700a601ac00ad01b100b003b600b501ba00be01c001c500c900c800ca00ce01cf00ce
+00d200d300d400d801d900de00dd01de00d800d400c600b500a100930084007f007a027500ab00a1009b00a100a001a2009d009c009b009d009b009702980094009200980097009e
+009d009c00a100a003a100920193019d009700a602b000b100b500b400b900bb03b500b100b000b100b201ac00ad02a701a2009800740078007d007f008300820089007d01830089
+0094009b00a700af00b500b400ba00be000000c48301011206010111011206010111830100a700a601a700a800ab00ac00ad01ac02b100b200b501b600b500b900bb00c102bf01c5
+00ca00cb00cf00ce01cf00ce00d200d400d800da00d800d900dd00df00dd00d800ca00ba00af00a10088007e0079007600700075007600ac01a101a201a1019c009d009c009e0098
+0097009300980093009200980297029c00a0009c009d00980094009300920098009c009800a602b000b100b500b601bb00b500b600b500b402b000af00aa01ad00a601a801a20098
+00740079007d007f00830082008a007e008300880093009c00a600af00b900b401b900c001c48301011206010111011206010111810100a200a700a300a803a700ab00ac01ab00b2
+00b000af00b102b603bb01bf01c002c501ca01cf01d4000100d900d801d900d800d400ce00c900bf00c000b0009d008f007f006e0067006a007000b100ac01a000a100a000a201a1
+009d009b009c009b00920093009200980091009300920098009900970096009d029c009200930088008e00930098009c009600a701b101af01b500bb00ba00b500b601b500b100af
+00b001b101ac00a700a500a801a2009d00730079007a0080007f0084008d007e00830184009c00a600b000b900b400bb000000bf01c400c882010112060101110112060101117f01
+00a300a600a500a700a101a600a701a800a701ab02ac00b200b100b000b600b700b601bb01ba02c000c601c500ca00c901ce01d301d400d801d900da00dd00d800d400ca00c000b6
+00a7009d008800710166006b00ac00a603a100a000a1009c019d009b009d009c009700920097018d01920097009801970096009b0098009200940092009400930098009d009700a6
+00b000b101b0000000b501b900b500b400b600b501b102b000ac00ab00ad01a800a200a3009801780079017e00830089007f01840091009c00a600b600ba00bb00bf00c400c501c9
+000082010112060101110112060101117e0100a200a300a200a800a700a002a700a800ac02ab00ac00ab00af00b001b101b502ba00bb00c000c101c001c500c401ca02cf01d301d4
+00d900d800d901de00df00d800cf00c400ba00b1009d008d007f016b00ab00a700a100a200a000a200a1019c009b019c009b009601930097018d0091029200910093009602930192
+009300920098009d009700a602b000b100b600b500ba00bb00b600b502b600b003b100b000ad000100a700a600a300a200940079017a007d038400880092009d00a600b600bb00bf
+00be00c300c402c900ce81010112060101110112060101117c01019d01a200a300a200a700a600a700a800ac00a800a600ac00aa00ab00ac00af01b000b101b600b400bb00ba00bb
+00bf00c000c101c000c400c500c401c500ca00cf00ce00cf01d300d400d900d800d900de00dd00de00e200d800ce00be01bb00ad00970088007a00a800a100a600a100a001a1009c
+009b019c009b009d009c0292008c008e008c02920093009701920193008d008e008d00930099009c009700a600b000b100b000b100b600b500ba00bc00ba00b500b600b500b600b0
+01b102b000ac00ad00a600a801a200990074007a0079007e0184007e008300880092009b00a600b500bb00bf01c401c902c800ce80010112060101110112060101117b01019d019c
+00a200a100a300a800a600ab00a600a700a600ac00a701ac00ad00ab00ac00b200b100b501b600ba00bb00ba00bb00ba00be00c100c002c500c601ca00cb00ce00d000cf00d400d3
+00d400d800d900dd00df01de00e300d900ce00c900c400ba00a7009701ab00a100a800a200a000a200a0009d009c019b009c009b009700980192008d008c008d018c009301920093
+0092009300920084008e008d009400980087009600a100af00b000b100b000b600b502ba00b501b401b500b101b002b200ac00a700a600a1009b009801740284017e008300880093
+009b00a700b400ba00be00c900ca02c9000001cd00ca00cf7e0101120601011101120601011179010297009d009b019c00a100a201a600a701a601a700a600a700ab01ac00ab00b1
+00af00b101b600b501ba00bb01ba01c001bf00c500c300c501ca00cf00d000cf01ce01d400d801d900de00df00dd00e300de00d800cf00c000ab009d00ac00a600a700a201a100a2
+00a1019c009b009c009b019c0293018800890000008c0093009400910092008d0092008f0093018e009300970087009700a000af02b000b400b500ba00b900ba00bb03b500b000b1
+00af02b100ac00ab00a800a301a200980184007f00840079007e008300890093009c00ab000000be00c400ca00c800c900cd00c902cd00ce01cd7d01011206010111011206010111
+77010093009802970096009d009c009d00a001a100a200a700a100a003a600ac00ab01ac00b000b200b502b600b402bb00b901ba01c000c500c600c401c900cb00ca00d000cf00d0
+01d400d300d801d900de00df00e300e400e300d300c400b100a200ad00a600a701a100a001a1009b009c0000009c009b019d00930094009200870088028d00940192008d008e0093
+008f018e008f009200980089009700a201b000af00b600b400b500ba00b900ba00b900b500b601b500b100b502b000b100b000ac00a500a7000100a20097007500730079007f0079
+007e01830092009800ba00be00c302c900c800ce00cd00ca00cd00ce000000cf00d300d47c01011206010111011206010111760101930197009e009c009e019d00a203a100a701a6
+02a700ac00ab01ac00ab00b001b100b401b500b600bb00bc00ba00bb00bf00c001c100c500c400c500c900ca00c900cb00c900ce00d000d500d401d900d800d900dd00de00dd00d9
+00d400d300c000b000ac00ab01a700a200a100a200a1009c019b009c009b029c0097009200930187008d000000930091008e038d008f008e018d009400970089009700a001b000af
+00b500b600b901bb01ba00b601b500b700b600b700b100b000b100af00b001ac00a800a200a3009e009300780079007e0078007e0183008e009600ba00bf00c400ca01c901ce00cd
+00c800cf00cd00ce04d37a010112060101110112060101117401008d01930094009800960097009c009e0000009d00a200a100a201a701a600a800a600a700ac00a801ac00ab01ac
+00b001b100b001b500ba00bc00ba00bc00c102c002c500c600c402ca01cf00d400d200d300d402d900d800d300ca00c500c000bb00a601ab00a700a500a000a100a000a10000019c
+019d009c019d0094019200880089008e018d008e008d078e009400990088009700a001b001b500b600b904ba00b603b500b701b100b000b101ac00a800a101a3009800750078007e
+0079007f0084008d009800a200b900bf00ca00c903ce00cd00ce00cd02d300d402d800d900d878010112060101110112060101117301008e008d00920091039700980097009d009c
+00a200a100a700a600a500a600a800a600ac00a600ab00a701ac00ab00ac00ab00ad00b000b200b100b500b601bb00ba01bb02c000bf00c400c501c400cb00c900cf00ce00cf00d4
+00d302d400d900d801de00d900d400c900be00b600ab00ac01a700a001a200a10000009d009c019b009d009c009d0097009100930188008c008e008d008e008d0088028d008f008e
+008f019300980087009700a200af01b000b600b500b901ba00b900bb00b900b701b500b400b600b500b602b000b200ab00ac00a701a2009d00740179007e007f0084008e000000a1
+00bf00c400cf04ce00d400d300d400d900d702d800d703d800de760101120601011101120601011171010088018d008e0093009200910098009900980097009d019c00a200a101a2
+01a600a700a801a600a700ab00a700ac00a701ac01b000b100b500b600b500b600ba01bc01bb01c000bf00c100c500c400c501ca00cf00ce00cf00ce00d400d300d401d900d800dd
+00df00de00d900cf00c600ba01ac00a700a601a100a200a0019d039c009d009c0097009400930588008a008d018e018d008e008d009301990087009200a100af00b000b500b400b5
+00b904ba01b400b600b500b401b501b000b100ab02ac00a300a2009d009e0179017f0082008d009700a200c000c500ce01cf00cd01d200d300d800d700d900d700d801dd00d800d7
+00dd01d800de00d975010112060101110112060101116f010088038e008f00940292019700980097009c009d03a100a700a600a800a700ac00a701a600ac00a600ab01ac00ab01b0
+00af00b500b701b500b602bb00bc00bf00c100c000c401c500cb00c900ca00cf00ce01cf00d300d400d500d900da00d900df00dd00de00d800d500ab01a700a500a101a200a0009c
+009b029d009c009d019c009701920087018800870288008f008e0088018e0088008e0092009900970088009200a201b000af00b500b400bb00b900ba01b900ba00b500b403b500b4
+00b501b100b000ab00ac00ad00a700a200a3009d00970079017e0084008d009800bf00c400c800cd00ce01d200d300d701d800d700d800dd02de00dd00de00dd00de02dd00dc00de
+73010112060101110112060101116e01008800890088008e008d008e0000019300920098009700960098019c009d009b009c00a101a201a600ab01ac00a700a601ab00ad00ab01ac
+02b101b000b702b500ba00bc00bb02c001c5000100c900ca00c800c900ca01cf00d500d300d400da00d800dd02de00df00dd00a600ac01a600a500a100a200a1009c009b029c009d
+0098009c009d009801930083008200840088008700830088008e008d0089008f008e0089008e009301970088009200a001b000b400b500ba00b900ba00bb01ba00bb01ba02b500b4
+00b501b600b000b100b200ad01ac00a800a2019e017a007e0083008e009700c000ca00ce00d401d300d900de000000de00d400d800d901dd00d900d200d000cb00ce00d400dd00dc
+00dd00de00dc00e300e271010112060101110112060101116c010084018900870188018d008e009300920097029800990098009d019c009d00a201a102a600a704ac00ab00b100ab
+00b101ac01b100b500b600b701b501ba00bc00bf00c100c002c501c400c900cb01ca00d000d501d400d800da00d900d800dd00de00dd00b101a701a600a000a200a100a0009d009c
+019b009c009d009c029700930092018300840083008700890088008e018a018f008d008e0093009800970087009200a100af00b001b502ba01b902ba00b500b401b500b600b500b6
+00b502b101ab00ac00a701a2009e00980079007e0084008d009700c400c900d300d400d800d700e200e100d800c400c800cf00c400be00bf01ba00bf00bb00c000bf00c500cf01e3
+00e200e400e200e400e36f010112060101110112060101116b0100840083008900880189008d008f008e019200930094009301970198009d009c019d00a200a100a200a101a600a7
+00a600ac00ab01ac00ab00ac00ad01ac00b200b100af00b100b600b700b600ba03bb01bf00be00c000c500c401c500c902ca00cf00d001d400d800da01d900de00dc00a702a600a1
+00a200a000a1009d009b009d009b029c029701980193008300820084008301870189008a008f0089008e008f0093009900980088009200a101af01b500ba00b900bb00ba00b902ba
+00bb00b902b600b400b501b700b000ab00ac00aa00ac00a700a300a2009d009c009e007f0083008e009b00c400d300d800d900d700dd00e600d300b500ac00a700a0009600980093
+008e0092009300970098009d00a700ba00c500d901dd02d801d36d010112060101110112060101116901007f008301840289008e008f038d019200930398009c009d009c00a200a1
+00a200a100a004a700a601ac00a601ac01ab00ac00b100b200b000b600b400b700b401bb00ba00bb00bc00bf00c000be02c500c600c401c900cb02cf01d300d901d800de00b102a6
+00a500a603a1019c009d019c009d0000009700980097009801930284008900880189008800890088008a018e00930096009700870092009c01af00b500b600ba00b904ba00bb00ba
+00b900bb00b400b601b400b500b600af00b100ac01ad000100a700a1019d009900970083008d009c00d301d8000000ce00c400a5008d0088007f007e00000070006b0065006a0070
+0075007e0083008d0092009b00ac00b000b500bc01bf00bb00ba01bb6c010112060101110112060101116801007f00840082008400870088008700890188008d008e008c008e0193
+00920298009d009e019c009b009c00a101a200a700a500a700aa00ab00ac01a701ab03ac00b000b100b000b101b500b700b600bb01ba00bb00bc00bf00c100c000be00c500c600c5
+00c900cb00c900cf000100d400d500d400d900d801d900ad00ac00a700a600a500a700a100a000a100a0019d039c0297019801920084008500840088008a00890088008a00890088
+0089008e008d00930098008900820093009c00b000af00b500b401bf01b900be00bf00b903ba00b400ba02b500b600b001b100ac00ab00ad00a700a200a1009c009d00980093008d
+00cb00d900d300bf00ba009900830069016b006a0165006b016a006b0066006a006f0076007b0083008900850088008e0098009b00a100a700a600a100a201a16a01011206010111
+0112060101116701007e00830084008200830082008400880289008e018d039200960397009b009d009b009d00a201a100a201a700ab01ac00a800ad00ac00ad00aa01ac00ab00b1
+00b000b101b001b501b600b400ba00bb00ba00bf01c101c000c400c500cb01c900d000ce00cf00d400d501d4000100af00aa00ab01a600a003a1009b009c029d009c019701980197
+0192008300840183008400880084008a01880089018d0094009800820091009c00ab00b500b001b501be01c000b900bb04ba00b500bb01ba01b600b500b100b002ac01a800a2009d
+009e009d0099008e00d700c900a100880070016a0069026f0070006e046f006e006a006b00750070006f016a006b00700075007f0084008d02880089008700886801011206010111
+0112060101116501027e007f008401830085008201880089018c008d008e0093019200910092009701980097019c009d00a101a200a100a201a600a701a600a800ab00ac00ab00ac
+00b100b002b100b000b200b100b000b101b600b700bb00ba00bc01bb02c000c501c401ca01cf00ce00cf02d400b000a600a800ab01a601a100a000a1009d009b039c009600980097
+009800970099009801920084028301840088008900880087008a018d008e009800840091009c000000b400b0000000b601be00bf00c000be00bf00b900bb02ba03b501bb00b500af
+01b000ad00ac00a800a600a700a200a3019d00980093008e0089007400730074007a007400750074016f007401750074007500010070006e007000010070006a006b006a006b016a
+007000790075017400760075006f006e0070670101120601011101120601011164010079007f007e007f007e008302840289008a018e008d008e008f03920098009700980097009c
+019d00a101a200a102a201a700a600a800aa00a600ac02ab00ac00b100b000b100af00b101b502b600ba00bb00bc00bf02c100bf00c600c502ca00cb00cf00d001cf01d400ab00a7
+00a503a601a000a10000019c009b019c009d0198009700990096009801930083008400830085008401830088008900010088008d008f0092009700830092009b00ab00b500af00b4
+00ba03bf00be00c000b900ba00b901bb01b600ba00bb00b500bb00b500b200b100b000ad01ac00ad000100a8000100a3029d0094009300880089008301840083007d007f007e017a
+0079007a007901750270016f00710270006f0070006b0069006b006a026b006a006b006c006b65010112060101110112060101116201007a007b007a007e007f007e007f01840588
+008c008d008e0093009200910093009700960098009700980099019d009c009d00a000a100a200a100a300a103a700ad00ac00ab00ac00ab01ac00aa00b100b000b201b000b700b5
+00b400b501ba00bb00ba00c100c000c100c000c502c600ca01cb00cf00ce00d000d400ab009700ac00a700a600a100a501a100a2019c009d009b009c009d01980097009600970298
+0193007f008200840082018301880289008f008e0093009700830093009c000000b5000000b600b904bf00c001b900bb01ba00b900bb00ba00b500ba00b600b500b400b100b000b1
+00ac00ab00ac00a700a802a3009e019d009700990092008e018901880085018400850083007e017f0079007b01750076007400750073006f0470006c036b006c006a006b016a006b
+63010112060101110112060101116101007a007b0079027a007f007e007f0083008400830288018e008d00920094019300910094009800990397029d009c009e009c02a101a701ab
+00a600ac00a602ab01ac00ab00ac00b000b100b000b100b500b601b500b600bb02ba02c000be02c600ca00c900ca00d000cf00ab009700ab00a601a700a001a101a0019c009b009c
+009b019c009802970098009700920193007e007f007e0082018400880089008800890088008e008c0094009800820091009c00a500b601b500bb00c002bf00be00c000bb01ba00b9
+00ba00bb00b600ba00b600b500ba00bb00b600b500b000b101ab00ac00ad00a8000100a8010100a3019e009d00980193008e008d0189008a008801840283007f007e007a0079027a
+00750074007500760175006f0070006f0070006f0070016f006a006b006f006b016a610101120601011101120601011160010179017a0079017e007d007f00830084008300840082
+0288018e018d029202940097009800960097019c009d00a200a001a100a302a700a601a700ac00ab01ac00ab00ac01ab01ac00b100b000b100b200b000b100b600b700b500b602bb
+00ba00bf00c002c500c400cb01ca01ab00aa01a601a200a600a101a001a1039c009b02970198009700930192008e027e0080018400880089008a0188008e008f0092009700830091
+009b00a500b500b400b500ba00be000000bf00c001bf00be01bb02b900b500b401b500b900b601b500af00b100b000ac00ab00ac00a800a7010100a801a3019d009e009700980099
+0193018e008d008a008901840283007f037e0279007a0079007500740073007600750070006f00700071006f0270006f017060010112060101110112060101115e01007a007b007a
+0079007b0078007f007d017f0083028400830089008a0088028e018d029200980097009800970098029d009c009d009c01a200a301a200a100a600a800a700a600a501ac00ab01ac
+01b100ab02ac00ab00b100af00b000b100b600b702b601bb00bc02c100c400c600c500cb00b000aa02a700a600a500a000a500a002a200a000a2009c009d0000019c009700980097
+0098019301920093007e007d017e018303880089018e009200930084008c009c00a602b500bb01bf00c002bf00b900ba00b903bb00b401ba00b900b400bb01b600b700b200b101ac
+00ad00a700a800a700a800a600a700a30001019d00990098009700930194008d008e008d008f0088008a00880089018301840083037e0079027a0079007a0074027500740270006e
+0070006f007000715e010112060101110112060101115d010275007901780079017a0080007f007e008300840083008900880089008800890088018e008d008e0093009200940197
+01980099029c009d019c00a200a102a200a700a600a800a501ac00ab01ac00b100ab00b000ab00ac01b000ab00b100b200b100b000b100b200b600b501b600ba01bc00c000c100bf
+00c000c600b100aa00ac01a700a201a100a601a100a200a001a100a0059c00970098009700980092009301940079017e007f00830084008500890288008e008d009300980084008c
+009c00a601b600b400ba00c000bf00be00c000be00bf00b900bb00b902ba01bb00ba00bb00ba00bb00b502b600b400b100b000ab02ad010100a7000100a600a301a2019e00990097
+019300010093008d008e008d018e0289008802840082008300840083017e007f0080007e0079007a007b007a00790076017501760275007600745c01011206010111011206010111
+5c0101740075017400780079007a017b017e007d0083008400820083008700890188008d008e008d008e0091009200940192009801970096009700980097009c009b009d01a200a1
+00a704a601ac00ad02ab00b100b000ac01b000ad00ac00b000af02b102b600b500b601b501ba00bc00c001ab00a500ab00ac00a501a600a200a601a101a0009d009c00a0009d00a1
+009b029c009b0096009800970098029300920079007a007f007e008400830084018a00830087008e008c009400990083008e009b00a700b401b500b900bf00c000be00bf00c002bf
+00ba01b901bb00ba00bb01ba00bb00b900b400b700b400b500b600b100b200b101ad00ac020100a800a700a200a300a20001019d009800970098009200930092008e028d04890183
+00840085008400850283007e017f017e007f007b007a0079007b0079007400750073007501745b010112060101110112060101115b01006f01750074007a007b007a0078017e017f
+007e028400830087008900880089038d018e0092009300920091009300910397029d009c00a200a101a200a101a600a700a600a701a600ac00ad02ab04b000b100b500b000b100b0
+00b500b100b500b600b500b600b500ba00b600aa00ac00a800a700ab01a701a601a002a100a000a1009c00a1019d019c009d019c009d0098009700960097009300920094008f0179
+007f007d03840288018d019200830084009c00a600b400b600bb00bf01c001be00bf00be02bf01b900bb00ba00b900bb00b900ba01bb00b501b402b502b100b202ad01a700a800a7
+03a2009d009c019d0097009900980093009200910092008e008d018e0589008a008900830584007f027e007f087a5901011206010111011206010111590100710070006f01750078
+017a0078007a017f007e007f007e00820083008900820088008900880089028e008d008e018d0093009401930092009800970096019d009b009e019c00a100a201a100a200a101a6
+00a700a501a600a700ab01ac00aa00ad01ab05b000af00b501af00b100b001af00ab01aa00ab00a500ab00a501a600a700a101a600a001a1009e00a101a200a1009b00a1019b009c
+009b009c01980099009401930092007a0179017e0183008200840188018e009300000184009c00a501b500bb00bf00c000bf00c000bf00c000bf00be00c000bf01be00c000ba00b9
+01ba00b900bb00ba00bb00ba00b401b500b700b500b100b001b1000100ad01ac00a800a700a800a100a200a100a20001019e009d0099019801970192009300920094008d028e008d
+0089008800870189008500840085018400830284007f007e007f017e007a007f027a007f580101120601011101120601011158010070016f007000730075007400780179007a0079
+007a007e007f007e01830082008800890087008800870088028d008e03920091009700980099009600970098039d009c02a100a200a600a200a100a700a500a702a600a500aa00a6
+00a703ab00aa00ab00ac03b000ab00af00aa00ab00af00ab01a500ac00a600ab00a600a500a600a000a100a000a600a100a001a100a2009c009b009d009c00a0009c009b009d019c
+009d0298009400930194007a0079027e008400820084008300890088018e0184007e008d009700a501b400ba00c001be00c000be00bf02be00bf02be03bf01ba00b900bb00ba01b5
+00b700b600b700b200b000b101b200ad01ac01ab00a801a700a600a100a301a2009d019c00980097019800920193009100940293008e028d008e0088008900880389008500820183
+00840183007f027e0080007f007d007e007f560101120601011101120601011157010070036f0075007401750078007a00790078017e007d007e01830184008800890188008e018d
+008e008d029302920091009800960099009c009e029c00a300a201a100a200a100a800a601a500a700a601ac01a600ac00ab00a600a700aa00a601ac01ab00ac04ab00a500a600ac
+00a500ab00aa00a601a5000001a100a500a603a1009d009c00a1029c019b009c009b009e009d009e029802930094008f0179007d007e0083018400830189008801840089007f008d
+009600a601b500ba00c004bf01c000bf01be00bf00be02bf00ba00bb00ba02bb02ba01b600b500b600b203b100ad00ab01ac00ad00ac00ab00a701a800a200a300a1039d00970498
+0099019202930094008d008c008d008e008d008a0289008700880189008802830001008200850083007e007f0080017e54010112060101110112060101115601006f006e006f0170
+007500730075017400780079007a007d027f007e0283008200880089008a008d008c038d008e00910193009100940298029c009d009e009d009c00a101a000a100a200a100a300a2
+03a600a700a600a501a602ab00a500aa00ac00a600ab00a600ad00a700ac00aa01ab01a600ab00aa01a6000001a500a1000001a600a202a100a200a000a100a200a100a3009d039c
+009d009c0198009700990192018e00000079037f00830384008d00940088007e008c009600a600b500bb00ba00be04bf00c000bf00c000bf00be00bf00c001bf00c000bf02ba0000
+00ba00bb00ba01bb02b502b601b202b101ac00ab00ac00a603a700a100a001a2029c009d0097009802970093009202930092008c008e008d008e008f018e008d00890088008a0088
+028900880184008200830084008300840085007f008053010112060101110112060101115501006a006b006c006f0070006f02740179007a01790078007f0080007f007e01830088
+01890388008e008d008e008c0192009300920198029700980097019d039c009e009d00a100a005a100a201a600a500a600a500a601a500ac00a701ab00a600a701a500ab00ac00ab
+00ac02a600a500a701a100a001a600a1000000a100a000a100a2009d00a001a201a0009c009d009c009e009c009d009c0097009800990198009400920093008e00740179027f0083
+02840087008e00920087007e008d009700a600af00ba00bb00c000bf00c001bf01c000bf00be00c000c400be05bf00ba00bb00ba00bb00b901ba00bc01bb01b500b600b700b601b1
+01b000b100b201ad01ab00a701a600a800a102a2009e009b019c009d019c0398019300920194009202930092018e008d018e0089008a008900880089018800890088008900880183
+028451010112060101110112060101115401006a006b006a006b026f007301750079007b0079027a007f007e007f007e018300840088008902880089028d00910092009300920191
+02970096009700960297029c009d00a100a200a100a000a100a000a600a700a601a700a801a100a600a701a601a700a601ab01a500ab00aa00a500a601ab00a701a6000000a100a2
+00a000a100a200a602a100a3009d009c00a100a200a100a2009c009b049c029800970198009900930094008f0079007a0079007e007f007e0284008a0089008e00920083007e008d
+009700a500b000ba00bf00c000bf00c102bf00be00c501c400c300c401bf00c000be02bf00ba00bb02c000bf01ba00bb00ba00bb00b600b502b600b101b001b101ac00ab00ac00ab
+00a700a800a600a700a200a300a200a3009d009c009d019c019d009e00970099029800970096009200930091009300920094028e008f008d008e018d00890188008a008901880089
+00870188008500844f0101120601011101120601011152010066016a006b016a00700071007000760074007501740379017e007f0082018300850088008901880087018d008c008d
+008e0292009103970091009700980097009d039c00a0009b00a200a100a203a100a800a600a200a100a000a100a600a702a600ac00a600a500a600a705a600a701a600a202a600a5
+000000a000a600a201a100a0009d009e00a100a2009d019c00a2009d009c019d0298009700980097019800010094008d007a0279007e0184008300840089018e00930083007e008d
+009701b000b502bf00c000bf01c001c503c400c500bf01be00bf00be03bf00be01c000c101bf00bb00ba01bb02b600b500b601b100b200b000ac00ad00ac00ab00ac00ab00aa01a7
+00a800a500a200a101a200a101a2019d009c009b009d009e009d009900010197009800940192009302920093009200930094008d018e018d008f028e0089008a0088008900884e01
+0112060101110112060101115101006a006b006a006c0069006a026f00750074007300740079017a0079007a007f007e017f0083008200830082008802890088028d008e008d008e
+00920091009800930098019700980097009600980097009b009c019b029c009b03a100a201a100a600a101a600a700a600a700a601a700a601a100a703a600a700a600a700a100a7
+00a100a501a100a600a100a703a1019d00a1009c009d00a1009d009c00a1009c019d009c009d0199009701980099009800940092008d01740079007a0184007f0084008300890088
+008d00940084007f0087009700ab00b400ba00c100bf00c000bf00c000bf00c100c400c500c300c400c300c400c500c101be01bf00c000bf00c000bf00be00bf00c002be01bf02ba
+00b900bb00ba00b600b700b600b100af02b100b201b103ac00a600a700a801a700a000a100a301a2009d009e009d009c009d009c009d009c009e0098019700960098009705920293
+0094008d018e008d008e008d018800890088008a00884c010112060101110112060101115001006b006a006c016b006a0170006f007500730174007a0279007a0078027e007f0184
+0083008900870388028d009100930092009100920091019303980196039c029d00a0009e00a000a202a100a000a600a100a700a500a203a600a200a100a600a500a700a600a100a2
+00a600a000a700a200a100a200a601a100a200a000a600a200a600a100a000a1009b00a200a100a2039c00a1029d009c019d009c0098009700980197009900920193007400000184
+007a017e008400830188008d008e0083007e0087009600af00ba00bf00c502bf00c000c400c500c400c300c400c501c400c300c400c300c004bf00c500bf00c400be00c504bf00c1
+00bb00ba00bb01ba00bb04b601b100b000b100b004ac02a701a601a700a100a200a302a200a3009c009e059d00970298009700960098009702930094009200940091008d008e008d
+008e018d008e008f008c008f4a010112060101110112060101114f010079006f006a0066016a006b016f0074007302740075017a0078007a0179007e007d007e0183018400830087
+008800890088038d008e00930091019201930192009700960097009b009d0097009d009c009b009d009b019d00a301a000a300a201a100a500a200a100a000a600a100a700a100a2
+00a600a000a600a100a500a202a100a600a700a000a200a600a200a101a500a600a002a100a2009d00a1009d01a1009c00a1009d00a200a100a2019c009d009b009d019801990098
+0097009800930092008e01840179007e007d008400830189008f008e0083007f0088009600b500b900be00c300c500bf00c000bf00c400c303c400c500c300c400c300c400be03bf
+01c400c500c601c400c101bf00c001bf00b900bc00ba00bc02bb01b600b502b601b100b200b100ab00ad00ac00ab00ad01ac00ad01ac05a700a201a100a2009d00a2049d029c0097
+00980097009900970098009200930192009300920091009300920094028d028e49010112060101110112060101114e010088007f007a0070006b0069016a0070006e037501740073
+0078007901780079017e007f01840085008301890088009d00a2009c03a2008d008c0292009600970096009800970096009700980096019c019d00a1009b00a000a1009c06a100a7
+00a600a700a200a500a100a601a000a700a200a000a600a700a201a600a100a200a600a700a100a200a100a300a202a103a200a000a2009d0001009e009c00a1009e00a2039c019d
+0097019800960099009700940093008a008400790078007a0080007f008401830089008e008d0083007f0089009801b600c001c600c500bf00c500c301c500c400c500c400c300c4
+00c600c4000000c400bf01c400c301c400c300c400bf00c500c000be00bf00c000bf00c101c000bb00bf00bc00bb00b901ba00b500b700b500b600b501b600b700b100b000af00b0
+02ab01ac02ab00a800a700a800a600a700a601a700a200a304a2009e009c009b009c009d009c009e009c019801970098009701980092009300920094009201930192009300944701
+0112060101110112060101114d01008e008800830079006f0065006b006a026f00700073007400750073007502790078007d0080017e007f0084008302880087039c01a1009d00a2
+00a100a6029200910092019700960097009b019c009d009b009c019d00a200a1009c009b00a0009c00a100a000a100a502a200a600a300a102a601a200a700a000a100a701a100a6
+00a101a600a100a600a204a100a200a102a200a100a2029c009d00a2009c069d00990097009800970193009200940084007300740179017e007f01830088018e007e0088009700a0
+00af00bb00bf01c400c300c401c501c400c500c400c301c501c300c401c307c400c500bf00c000be00c000be00bf00c000bf00c000bf00be00c000bc00bb00b900bb00bc00b900bb
+00ba00bc00b500b700b501b601b100b000b100b000ad00ac00ab00ac00ab01ac00a602ac01a700a800a702a200a100a3029d009c029d039c00970098009600970098009200930092
+0193009200930392008f45010112060101110112060101114c0100930089007f00790070006b006c016b006f0070016f007002740079017a0179017f007e00840082008400830084
+00870088009700980097009d009c009b009d00a300a2009c00a700a100930192029600970098009d0097009b039d009b009d009c009d00a100a200a100a200a101a200a000a200a6
+00a000a701a600a700a600a700a600a700a200a700a600a200a700a200a700a100a200a800a200a600a100a600a200a100a700a201a100a201a100a3009c01a2009c009b009d009c
+009d009b009e019d009c009d01980099019300920001009400730078007a0179017f01830088008e008d007e0088009600a000af00b400be01c500c300c400c500c300c900c500c8
+02c400c300c400c500c400c301c400c501c4000000c301c401c500c400c501c400be00bf02c000c102bf00c001ba00bb00b902bb01b501b600b501b100af00b100b202b100ad01ac
+00aa01ab00ac00ab00a802a702a600a300a100a201a101a200a1019d029c0000029d0097009802970298019700940092009344010112060101110112060101114b01008c0088007f
+0078006f036a0170016f007000730075007300790078007b007800790078007e007f007e0084008200840082008300890096029c00970098009c019d009c00a1009d00a700a80196
+009701980099009c0297009c009d009c009d009e009c00a000a1029d00a1009c00a201a000a200a100a300a600a200a801a600a200a500a100a200a601a102a700a500a600a303a7
+01a200a600a700a000a100a000a100a2009d009c00a2009c00a300a2009c029d009e009d009c0098009d00970298009301920094008a007401790078007e007f008300840088018d
+00790088009300a200b000ba00c001c400c500c400c501c900ca00c600c400c301c400c300c400c802ca00c802c901c801ca00c301c501c400c500c400c500bf00c400c000c401c0
+00bf00c001bf00be01ba00bc02ba00b507b604b100ad01ac01ab00ac01ab00a700a600ac00a700a600a701a801a100a301a200a1009d009e00a1009b009e009d009e039c029e0097
+019800970198009342010112060101110112060101114a01009d00820080007500700065006b016a00690070026f01740175007400730178007a007e027f007e018300840082019c
+009d009c00980099009d009c0097019c009b009c009d00a100a6009200960297009c00970096009b009c009d009c019d019c00a1009c009d00a1009b00a201a100a200a100a800a2
+00a600a200a500a602a100a600a200a600a100a200a100a600a700a000a700a800a100a002a100a200a700a600a700a100a301a100a2009b00a200a300a100a2019d019c009d009e
+0298009d00980199009401930094008500750279017f008400830088018e007800890092000000b000ba00c002c400c300c500c800ca00c801c900ca00c400ca00c903c800ca00c9
+00c800c901c800c900ca01c900c800c500c403c500bf00c401bf00c100c001bf00ba00be00bb00bf00bc02ba03bb00b600b701b500b600b500b601b002b100b000b200b000ad01ab
+00ad01ac00ab01a700a600a700a801a601a700a300a100a200a101a200a000a100a200a300a1009d019c009d009c039d009c009e4301011206010111011206010111490100a60097
+00890075007100650067006a00690270036f0174007602740179007a007e007d0000007e018300870089009600980096009b009c009d0197009c0096009c029d009c00a200a70097
+00960097009b00960097009d019c0097009c009d009c00a3019d00a1009e00a1009c01a200a300a201a101a700a000a100a200a300a100a200a600a700a300a200a100a300a200a6
+01a100a700a600a200a101a200a600a800a700a601a201a300a000a200a1009c02a2029d0001009900970198009e009900970098009400010194008e0174007a0079017f007e0084
+0188008e007a0087009100a100aa00ba00be01c500c400c500c900ca00c900cb00ca00c900c801c900c800c9000000c900c801c900d002ce00cd01c800c900ca00c900ca00c501c4
+00c501c400c100bf02c001bf02c000c100bf00c000bf00c000bf00c003bb00bc01b500b600b500b001b601b500b601b001b200b000b102ac01ab00ac00ab01ac00ab00a701a800a6
+00a701a600a500a700a100a700a200a104a200a000a100a24501011206010111011206010111480100b600a70098007f007400670165006b006a006b0069026f006e006f03740073
+00780079007a017f007e00820183008200830597009d009c009b0097009e009c009d0098019d01a200ac009800960098009c009d0098009c009d009c009d009c00a3009c00a100a2
+02a100a302a100a000a201a100a200a300a700a100a600a200a300a000a100a700a100a201a100a700a200a700a600a700a602a200a600a700a100a802a700a200a100a2009c009e
+009c01a200a1009c009e009d009e0098009d00990001009d0198009900940092018e00840075007a00790078007e007f008300880087008e00790088009200a000af00b500c000c5
+01c400c500c901ca00c900ca00c900c800cb00c900cf00cd00ce00cd01c800ce00cf01cd00cf00cd00c801c900c802ca00c800c900ca00c903c400c500c400c101c001bf00c000bf
+00c000bf02c002bb00bc01bb02b500b600b400b503b601b100af00b201b102b000ac00ad00ac01ab02ac01a700a607a701a100a200a300a100a200a3460101120601011101120601
+0111470102c400b500a7008e007900640067006b006a006b0069006f0070016f00700075017400750079017a00000080007f0183008500820083009802970096019700980097009c
+029b0197009c009e019d01010096009c009b019c009d009c019d00a2009d029c01a1009d009c009d009c00a2009c00a100a200a300a201a100a700a600a700a601a100a700a300a6
+00a300a700a300a600a200a602a200a700a600a100a800a501a600a300a200a102a2009d019e00a200a3009d0001019d009e0099009e00990098009900980099009300940093008f
+009300840079007a007f007e00840083028800780088009100a000af00b500c401c501c400ca00c900c800c900ca01c900ce00cf01cd00cf00cd00ce00cd00cf00cd01ce00cf01ce
+00c900c800ca02c900cb00ca02c901ca00c902c401c500c000c400c100c000bf01c002bf00c000bf00bb01ba01bb00ba00bb00b900ba00b600b508b600b002b100b201b000ac00ad
+01ac00ad00ac00ad00ab01ac00a600a700a600a800a700a601a700a500a84701011206010111011206010111460100d200d400d300d400c900ba00a6008d00790066006b026a026f
+007000750074007500740279007f027e007f007d007e008200850092009100930097009600980197009600980297009c0197009c0197009c00ab00ac00ad009c009d009c019b009d
+019c03a2019d00a2009c009b00a1009d00a2009b02a200a100a200a100a200a300a100a700a300a002a200a600a700a200a100a200a601a700a100a200a501a200a700a200a700a8
+01a200a100a200a1000101a2009e0001009e009b009e0001009e00990001009e01990097009800930092018e00740184007a007e0085008400870001008800790088009100a000b6
+00b400c300c500c400c502ca00c901cd00c900cf00ce01cd00ce00cf01cd00ce00cd00d200ce00cd00cf00ce00cd00ce00cd00ca01cf00cd00ce00cf01ce01c900ca00c901ca01c4
+02c500c000c100c500be00c400c500c000bf02c000bf02c001bb01ba00bb00ba00bb05b600b500b701b603b100b002b100b201ac02ab00ac00ab00ad00ac00a700a600a701a600a7
+4801011206010111011206010111450100e300e201e301e200ca00b600a000880065006b0069006b006f0070016f006e007400750174007a0078007f027e007f007e018200840096
+009700910093039700960092009801970098009d009c009d00970092020100ac00a700a2019e009d009c029d009c009d009c00a300a2009b009d00a200a1009e019c00a100a200a1
+00a200a104a201a100a200a700a600a700a600a200a700a100a200a100a700a100a600a200a800a600a700a600a300a200a600a200a700a100a200a101a2029d00a2009e009d009e
+009d0099019801990198009300940093008e008f00780184007e0083008200890088008300780083009200a100b000b500c500c400c500c400c900ca01c900ce00d006ce00cd00ce
+00d300d201d302ce00cd000001cf00cd01ce00cf02ce00ca00c900ca00cb00ca01c900c300c400c300c500c400c502c400c301c000c400c500bf00c500c404c000bf00bc00ba01bb
+00ba01bb00ba02bb00b500b600b501b601b500b700b605b100b000b100b000b104ac00ad4901011206010111011206010111440100e200e300e201e300e200ca00b000a2008d016a
+0169006a046f007300740075007301790078007e007f017d007e00830082008303970192009600930092009803970092060101ac00a800a600a800a3019d00a1009d009c00a200a1
+009d00a100a200a300a100a301a201a002a200a600a100a800a601a200a700a600a700a200a100a700a300a100a600a200a100a300a100a500a200a700a201a700a200a800a300a8
+00a700a800a700a100a300a2000100a20001009e01a3009e0001009e00010198019900980099009800920093008e008f00750079007b018400830188007e007900820092009b00b5
+00b901c400c600c800c900ca00c9000000cf00d000cf00cd01ce00cf00cd00ce00cf01d300d200d404d300d201d400d301d401ce00cd00cf00cd01cf01ce00ca00c800c900cb00ca
+01c900c400c500c600c500c601c500bf00c000c300c500c001bf02c000c100c000be00c000bb04ba00bb00bc02ba01b601b701b500b601b100b000b201b101b002b100b000ac4b01
+011206010111011206010111430100e200de00e400de00e301e200c900b0008d006b036a006e006f006e036f007300740073007900780179007e007d007e00830082008301920098
+019103920191009700960a0100a800ac00a600a800a700a002a2019c02a200a100a202a100a201a100a700a100a600a100a601a200a700a600a200a300a600a201a700a301a200a7
+00a800a300a700a600a700a300a701a200a800a200a700a101a700a200a700a201a300a1009c009e000100a2009d009e009d009e000102990001019900930194008d008f00790078
+007f018400880089007e007800820091009b00b000ba01c403ca00c901ce05d300d202d300d200d801d700d901d800d900d500d301d200d401d300cd04cf00ce00cf00ce00cd00d0
+00ce01ca00c901ca00c900ca02c401c500c401c500c400c000bf00c101c400c000c300bf00c100be000100c000bf00c000bf01c000c101ba01b900ba00bb00b500b400b700b500b6
+00b500b401b600b500b600b100b200b04c01011206010111011206010111420100df00e200de00dd01de00e300c900a00093007e0066026a006b0069006f0070026f007001740073
+02790078007e027d00830082019200910092009100920091029200910d0101a700a800a701a200a700a201a100a200a100a300a100a300a700a306a700a200a300a100a201a300a6
+01a700a200a600a100a700a100a200a701a300a100a200a700a800a100a700a100a600a800a701a200a701a2000100a300a200a300a201a30001009d019e01010098020102980093
+0092018f007b00790078007e01840088007d007a00840092009c00b500b901c501ca01c901ce00d300d200d400d300d400d200d300d203d801d7000000d902d800d900d401d301d2
+00d301d400d202d400d300d500ce00cf00ce02cf02c901ca01c900ca00c900ca00c300c500c401c500c400bf00c400c000c400c500c400c000bf00c000bf02c002bf00c000ba00bb
+01ba00bc00bb00ba00b900ba01b503b601b500b64d01011206010111011206010111430101e200e300e100e200ca00b600a0008e0074006f00640069006b006a0069006a006f0070
+006f006e00730074007300740078007a007d007f007d007e007f007d0084000003910292000000920f0100aa00ad00ac00ad00a800a700a200a700a800a707a200a600a200a700a6
+00a700a300a200a100a200a300a200a100a301a200a300a802a200a700a201a600a100a700a200a700a800a500a100a300a200a100a701a800a3000100a200a301a20001039e0001
+009d0001019e00010099009802940193008f018e007a0079007f00820284007a0082009200b000bb00bf01c503ca00d400d203d300d200d300d801d700dc00de02dd00de02d800d9
+00d700d800d702d800d900d700d300d400d301d400d301d400cd00cf01ce03cf00ce02cf00ca00c900ca02c900ca00c303c501c400c600c400c300c400c600c500c301bf00be00c1
+00bf00c000c103c001ba02bb00ba00bc00ba01bb00bc4e01011206010111011206010111440101e200e300d400bf00b1009c008400790074046a0069006e016f0075017400750179
+0078017e007d007e007f0083008501910092008c0092008c008d00910092110100ad00a800ad00a700a600a800a700a800a200a301a700a802a700a200a3000101a201a601a300a2
+00a800a300a800a700a200a700a200a100a800a100a700a200a700a201a100a700a600a700a200a300a601a700a500a200a801a200a300a200a300a200a3010100a3019e0001009d
+01010099000100980199019300940093008f008e008f00890079007f00840083008901840083009200b500b400be01c400c900ca00cb00cf01d401d300d201d300d9000000dd00de
+01dc00dd00dc01de00dc00dd00de00d900da00d800d700d900da00de00d801d900d800d700d801d400d200d401d300d400d301d400cf00d000cf00cd00cf000000cf04ca02c901ca
+00c302c500c400c502c402c500c001bf00c000be00c000bf01c000c100c000b900ba00b900bb00b901ba00bc4f01011206010111011206010111440101e200d400c600b000a1008d
+0082007e00790073006b036a0070006f01740173017a0279027e018400830092008c0093008d00920091008e130100ad00ac02a700ab02a601a700a2000100a200a100a800a300a2
+00a800a200a601a700a100a700a200a300a700a200a301a700a600a800a702a201a700a600a700a2000100a600a200a700a1000100a801a200a701a201a300a200a3009d00a3019d
+0001009e00010098009e009d0101029900980293008f018e008f008a007e008200840088007e0073018400b500ba00bf00c500c400ca00cb00d001d401d300d400d300d700dd01de
+00e200e300dc00dd00de03dd00dc00dd00dc00dd00dc00de00dd00dc02dd01d900d700d900d801d400d800d301d800d401d303d400cf00ce00d000ce00cf00d000ce02cf00cb00ca
+01c901ca01c900ca00c901ca01c500c403c501c400c500c101c000bf00c101c001bf00c05101011206010111011206010111450100d800c900ba00ac00a100930089007e00750065
+00000069006a006f006e016f0074007500740079007a017900000078007f017e007f007d0091008e008d008e008c008e0096150100ac00ad00ac00a700ab00a700ac00a800a701a8
+02a700a801a700a102a700a100a300a100a702a200a600a000a602a200a800a100a200a300a101a600a200a700a200a700a300a700a601a200a300a702a200a104a3009e00a3039e
+009900010099009e0299009301940093008e008f008e008f008001830089007f00740083018400ba00c001c400c901cd00d300d400d200d901d800dd00e100e200e100e400e200d4
+00d800d900de00e300de01dd00e200e100dd03de00dd00de00dd00de00d800d701d800d904d800d900d800d900d200d400d300d400d500cf00cd00cf00ce01cf00ce01cf01ce00c9
+00c800c900ca00c900cb00c900cb00c900ca00c900c500c401c502c400c500c300c500c401bf04c05201011206010111011206010111460100bf00b100a100920089007900740066
+016a0069016f0070006e017400750074007301780079007a027d007f017e008d0192008c008d180100ab00ac01ad00a800aa00ad00ac00a700a601a700a800a700a801a700a801a7
+00a800a300a701a200a700a300a200a800a600a700a800a101a700a500a200a301a200a700a100a700a100a600a700a200a801a700a800a700a300a2000101a301a2009c00a3009d
+0001019d0001009e009d009e0099009e02990293028e008d018e00840088007e007400840096018400ca00c501c900ce00d500d300d400d900d800de00e200e102e200d800c300c4
+00c900c500ba00c800d500dd01e200e300dd00d800d400d900e200dd00de00dc02de00d900d703dd00df02d800d900d800d300d400d300d401d500d302d400d500d300d401cf00cd
+00ce01cf00cd00d000cf00c901ca00c900ca00c900ca01c900ca00c804c404c55301011206010111011206010111470100aa00920088007e0074006a0169026a006f000000730174
+0075027400780079007d007e007d007f0000007e0192018d008c190100ac00ad01ac00a800ab01a700ac00a800ac02a700a800a600a700a800a603a700a800a300a801a700a800a7
+00a800a700a600a800a600a801a700a600a700a800a6000102a701a200a301a200a704a201a3009d00a3029e0001019e009d029e00980299009300940193008e0001008f0089008f
+0089007e00750084009700af00ba018400cb00ce00cf01d400d800d900dc00e200d200d7000000c400b900ab00a700a2009b009700a600ac00b500c400c500ca00c900c400bf00c5
+00d000d300d900e800e401de01dd02de01dd01de00d903d801d900da00d900d400d301d402d305d400ce00cf00d001ce05ca01c900ca00c900ca02c500c300c400c600c500c45401
+0112060101110112060101114701008d0088007d007900700165016b016a026f0174007300740075027900780179007f00830000008d008e008d00881b0100ac00ad00ab01ad00a6
+00ac00a800ab00a700a601a700ad01ac00a800ac00a700ac00a7000100a700a600a700a600a700a800a600a700a800a700a800a604a700a800a700a500a604a700a100a800a200a8
+00a600a702a301a2009e00a2009e009d00a3009e00a200a3009e019d009e00990098019901940093008e0094008c018e0089007e00730083009200b000ba00cb018401ce00d300d9
+00df00dc00c800b500b000a5009c00920082007e00790078007e00840089008e009c009d00a000a200a700a600ac01ab00b100be00cf00dd00e700e300e201e300e200dd00de00dd
+00dc01de00d800de00d900df01de01d900d800d904d800d900da01d401d301d401d300cf00ce00d001ce02cf00cd00cf00ca03c900ca00cb00c900ca550101120601011101120601
+0111480100830078007500660165006a0069006b006a0070016e006f01740000027900780179007e007f007d028d00881c0100ab00b202ac00ad02ac00a802a600a700ac01a700ac
+00a701ac06a700a600a700ac00a701ac01ad00a803a700a801a700a200a700a100a200a301a800a200a7000102a3000101a302a2009d009e01a30001009d019e009c029900970093
+00010094008e0093008e008f0089008800840083009100b500b902c9018400d700dd00bf00ab008d018800780164006600640069006f00740079007e0085007f0179007a007f0184
+0089008c009800a700b000bf00ce00d800d400d300d4000100d803e200dd02de01dd00dc00df00da00d800d900da00d800d903d801d900d400d300d201d400d301d400d500ce00d0
+00cf00ce00cf05ce03cf5601011206010111011206010111490100750070026500660069016a016f0070006e00750174007900010079007a00780079007f007e0083008d008e008a
+1e0100b000ad00ac00ad000100ab00ac01ad01ac00a700ac00a800ad00a800ac00a700a800ac00ad00ab00a700ab00a600a500ab00a700ac00ad00ac01a700ac00a801a700ad00a7
+00a800a700a801a700a600a801a702a300a700a800a200a1000100a600a2000100a200a300a200a100a2009e00a3009c009e029d009e0098009900980294008e0093008f008e008f
+008d0189008401b501c900ce00d30184008e0079006e006f0064006b0069016b006a006c016b00660070006a00650066006400670065006a006f00760079007f0089008e009800a6
+00ac01b500bf00ba00c400ce00d300dd01e200e300df01de00e300dd00de00dd03de01dd00de00df00da01d900d800da00d700d901d801d901d400d200d400d301d400d300d400d3
+01d401d300d458010112060101110112060101114a010065006401650064026a0000006f006e0074007300740479007d007e0283008900881f0101b100b200b100ac00ad00ac02ad
+00ab00ad000102ad00a600a800ad00a800a600a700a600ac01ad00a800a600ac00a700a800a601ac00ad00a800ad00a700ac00ad000100ac01a700a800a600a801a700a800a300a8
+02a700a300a800a200a100a700a200a302a2009d01a20001029e009900010098009900940193018e018f008d008e0088008900830085008000cd00cf00d30070007501840070006f
+0070006e016f016a006b006a006c026a006500640065006601650066007000740079007f0083008800840089008e0092009700a100a700ab00b600ba00c000ca00d001ca00ce00d9
+00e205de00dd04de00d901d802d901d801d900d304d400d202d401d300d459010112060101110112060101114b0102650064006a0069016f016e00730474007a0079017f00820000
+0188210100b200ad00ac00b100ac000100ac00ad01ac00ab01ac00ab00a800ac01a702ac00a702ac00a800ab01a701ac00a701ac00a800ac00ab00ac00ab00a700a800ac00a700ac
+00a701a801a7000100a802a300a102a800a2000100a201a300a200a100a3009d00a200a30001009d009c0099019800990094009300940092008e008f008d018e028901830084027f
+017a008401750170006f0070006f0070016a0069016b006a006b006c006a006b006a006b016a006b01740170006a006f0074007f008400880192009c00a200a500ab00b600ba00c0
+00c500ca00d300dc00d800d900da01d901e301de00df01dd05de00d800da01d900d801da00d800da02d900da00d95a010112060101110112060101114b0100650064006a0069006b
+0069026e0070047400780179007f007d007e00840088230100ad00b000b200ab00ac010100ab01ac01ad00ab00ac00a800ac00a8000100a700ac00a801a700ac00ab00ad00a800a7
+02a800ac00a700a800ad00ac00a801ac00ad00ab00ad00a700a801a600ad00a800a700a800a700a800a700a2000100a700a600a700a800a600a200a300a2009d00a301a2019d009c
+019e01990098000100920093019400930094028e00880089008a008400830184017f017e0079007a0074017601750074016f0070006a026b0070006b006a006c006b006c006b006a
+006500670065016600650066006b0075007f007e017a007e008400880094009800a200a700b100b500ba00c601c500d000d400de00e800e400e301e200de02dd03de00dc00de00dd
+00d900d700d900d803d900d85b010112060101110112060101114c010064036a006e0070006e0074007300740075007400750079007f027e008400870084230101ac00ad000100b2
+00b100ac00ab00ad00ac00ab01ac00ad01ac01a8000100ad00ac00a700a601ad00a700ac00a701ab01a800ad00a800a700a800a600ac01a800a700a8000100a700a601ad02a700a8
+01a700a8000100a700a200a7000100a200a300a201a300a1000100a301a2019d009e009d00980099009800970098009200930194008e0093008f018e02890183008500840080007f
+007e007a0079007a0079017a01740075016f00710170006f0170006f0070006b006a006c006b016a006600650266016b0066016500660065006a007500780085008e00930098009c
+00a200ab00b000ba00c000c400cf00d400df00de00d800d900d801e200e300e402e302dd00df00dd00de02dd00de5c010112060101110112060101114d01006a016b006f0070016e
+016f0074007300750179027e0283240101b200b100b000b100ad04ac00b000b201ad02ac00a700ac00ad00ab02ac00a700ac00a7000100a700a800a600ad00ac00a801ac00a704a8
+00a700ad01ac01a800a702a800a300a800a300a800a2000100a700a200a302a200a3009d009e00a200a3029e009d009801990001009300970098009400920093008e008c008e0001
+00880089008a00890284017e027f017a0079007a007900760073007500730175006f0170016f007000710070006a026b0169006a0069006b006a006600650067006600010065006a
+0076007800740075007400790084008a0093009800a100ab00b200bb00bf00c300c500c400ce00d400dd00e300e200e100e201e304de00dd00df5e01011206010111011206010111
+4e01016a006f006e006f006e006f006e01730079007a007e017f007e00830084260100b000b2000100b200b100b201b0000100ab00b200ad00b200ac00ad01ac00ab00ac00ad00ac
+00ad00ac00ad00ac01ad01ac02a700a800ad00ab00ad00a700ad00a8000100a803a701ac00a800ab01a801a700a8000100a300a700a201a3000100a700a200a300a100a3009e009d
+029e009d019e009800970098009300940092009300940193008f028e0089008a01890085018400830080017f007e037a0079007a0079007a007900760074006f0070006f006e0270
+006f0071026f006c006a036b0066006b006c006a016b00670166006501660069006f0079007e00880089008d0098009c00a300a600b100b500bf00ca00d400de000100d801d900d8
+00d900d800d900d800da5f010112060101110112060101114f01006a016f0070006f007002740079007a0179007a007d0082270100b100b200b100b200b100ac00b200ab00b100b2
+00ad00b201ad00b202ad00ac000101ac00ad00ac00ad00ac00ad00ab00ad01ac00ab00ac000100a700ac00ad00a701ac00a601ad00a601a800a700a800a700a802a700a801a300a7
+00a3000100a701a300a800a200a300a2009e009d009e01a3009d009e009d009c00980099009800970293009201930001038e0189008802830185027f007d0080017e0080017f017a
+007900740175007402750074006f006e006f0171006e006a016b006a006b036a016b006601650067006500670065006a007402750070007e008a008d0097009d00a300ab00b100bb
+00c100c500c600c401c500c600c500c4600101120601011101120601011150010069006f006e006f00710074007300740079017a0079007f008300822a0102b100b000b200ad0001
+00b101b200ac000100ac000100ab01ad01ac01ad00ab01ac00ad01ac00ab00ac00ab00ac00ad02ac000100a800ac00a800ac00ad02a800a701a801a7000100a8000100a700a800a2
+00a801a700a600a200a103a2009d000100a200a1029d0098009700990097009900930198009300940193038e0089018800830084018503840080027f007e007f007e007b037a0075
+017401750274006f01700071006f00690370006f006b0069006a0069006a006b006a016b006a006b00670065006600650166006c006e0079007f00880089008d0097009c02a600a8
+00a600a700a861010112060101110112060101115101006f0000006e006f017400780079017a007d0082007f290106b100ad01ac000100b100b200ac01b100ad00b1000100b100ab
+00ac00b200b101ad00ac00ad02ac000103ad000100ad00ac00a700ac00a800ac01a7000102a800a702a802a700a600a101a801a700a600a303a200a3009d009e019c009d009e0198
+00990198009900980192009400930094018e018d0189008801890082018300840283008500830180017f017e007a0079017a0079017400750076027400760070006f0070006f0070
+0071016f00700071006b026a016b026a016b00660165006400650066006f0374007a0083008400820085007e00850084620101120601011101120601011153010070007400730079
+007a0279007e00832a0100b000b200b102b200b0000100b200b000b100b200ab00b100ac01ad00b200ad00ab00b100ab01ac000100ad01b100ab00ac00ad00ab00ac00b100ac00ad
+00ab00ac00ab000100ad00ac00a800ad00a600ad01a800a701ac01a700a802a700a800a702a300a200a801a300a20001009d01a2009e00a1009c009b019e00980097009800990098
+00990091019300940193018e008d008a018900880089018800890188028400830084007e027f007e007f0079007b017a0076017500740073007a0074037501740070006f07700171
+006b026a006b006a006c006b006a006b006a016b016a016b006a016b640101120601011101120601011154010074007301780179007f2d0100b203b100b000b200b101ac00b000b2
+000100ac01ad00ab01ac01b100ac01b100ad00b200ac00b100ac00b200ad00ac00b200b100ac00b000b202ad00ac00ad01ac000100a700ad00a600ad00a802ac02a801a701a800a3
+00a700a300a600a302a2009c00a3009e00a1009d019c009e0198009e0099029800970001009400010192018e008f018e008f008e008d0089008a028800830484007e057f007e0079
+00010079017a017900750076007400760175007401760075036f006e04700171006a016b006a006b0069006b006c006b016a006c016a006b65010112060101110112060101118901
+00b200b000b201b102b200b000b100b000b200b1000100b200b100ac00ad00ab01b200ac00b100ad00b100b200ad00b2000100ad00b200ac00b100ad000100ad00b200ac00ad00b1
+00ab00ac000100ac00ad00ac00ad00a800ac00a700ad00a700ac01ad00a800a702a801a700a200a800a700a302a201a1009e00a1009d009c009b009e0097009c009d009c00990098
+02970092009300920093008d0092018e008d008f018d0589058400830184007f0083007f0080007f007e007f007b007a0079007a0079017a0179017a007500760075007301740275
+0174006f0070006f0270016f0170006f0270006f0071006e66010112060101110112060101118a0100b600b003b1000101b100ac00ad00ac01ad00b100ac01b101ad00ac00ad00b2
+00ad00b100b200ad02ac00ad00b100ad00b100ac02ad02ac00b2000100ac01ad00ac01ad02a700ad00a700ac000101a701a800a300a702a200a102a2009c009d00a2009c019d009e
+009d009e009c009d009e009703980094049300920093008e008d008f028e0189018800840083008400830084000100840383007f007e027f007e0080007f0079067a007800740275
+01740075017401750170006f0270006f0070006f0370006e67010112060101110112060101118a0100b600b700b102b200b500b600b000b101b200ad03b200b100b200ac00b100b2
+000100ac00b100b000b200ad00ac01ad01b200ac00b102ad00b101ad00b1000100ad00b202ad00ab00ac00ad00ac00ad01ac00a700ad01a800a700a800a600a800a700a800a100a3
+00a200a101a200a3009e00a2009c039d009c009d0198009700990097009800940093009201930091008f008d0092028e008f008e0088018900880189008802890085008400830084
+008300820183008500840085007e047f02790078007b0074007a0074027a01750174006f01740170007604750076007568010112060101110112060101118b0100b700b100b701b1
+00b600b200b701b100b000b100b201b002b201b100ad00b100b2000100ad000100ac01b200ac000100b201ad01b100ac00b1000100ad00ac00ad00b101ac00b202ac00ad00ac0001
+00ab00ad00ac00a700ab00a606a700a1000102a200a302a2009d009e009c009e009c009d009b009d009c01990098009900930092029300920093009200940092038e008a02890088
+0089028800870088018300840083018401830084008500840080007e017f017e007f007e007a0079017a0079007a0079017a00750074007600750174007500740075017400750074
+6a010112060101110112060101118b0101b600b200b500b700b6000100b2000103b100b000b100b200b100b200b000b200b100ac00ab02b200ac00b200b100ad00ac000100ad00ac
+00b100ac00b101b201b100ad000102ad00ac00b200b103ac01a700a801ad00ab00a800ac00a802a700a800a200a700a300a800a200a300a200a100a2009c029d00a2029d009c0098
+00990298009700990093009202930092018e008d018e018d028e008d00890087008a00880289008a0088008400880084008203840083008400830184017f007e007f0179007a0079
+047a0074007a007b007a0075007a0074007a00756b010112060101110112060101118c0102b600b201b1000100b200b500b100b000b200b100b200b101b200b100b2000100b101ad
+00b100b200b100b200b100ad00ac01ad01b100ad000101ac00ad00ac01b1000101ac00b100b200ad01ac00ad00ac00ad00a700a800ab00ad00ac00ab01a7000100a700a602a700a3
+00a701a201a300a200a3019d000100a1009c019d019c029800970198009900980094009200930092009400910092008e008d008e008d028e008d0087008900880089018a03890088
+008900840083008401830084008302840083017e0080007f007e027f007e0079017b0079017a0079027a00796c010112060101110112060101118d0100b700b600b100b700b500b1
+00b000b200b101b200b101b001b200b002b100b200b100b2000101b100b200b100ad00ac00b200ac00b200b1000100b200b100b000b101ad00ac00ad020100b101ac02ad00ab00ad
+00ac000100ac00a800ad00a800ad00ac02a700a800a200a701a200a700a301a200a101a2009c01a2019d009c0098009d0099009c009d019800970098019700940092019300940001
+01930192008e008d008f008e028d008e018d008a0088018900880089008400890083008800840083008501830085008300840083017f00800083007f007e027f007a007e017f017e
+6d010112060101110112060101118c0100b700b600b700b600b700b500b002b601b701b100b700b200b7000102b201b1000100b102b2000102b200b0000101b2000101b102b200ad
+00ac00b100b200ad00ac00b100b200ac00ab01ac00ad00ab000100ad00a700ad00ab00ad00a700ad00a601a700a600a801a700a800a600a200a100a200a301a200a300a2009d009e
+029d009c009d0097019d0098009902980092009900970293009400930094008f018e008d008e028d018e008d0188028900870389018800840083018401850084008301840080017f
+017e047f6e010112060101110112060101118d0100b701b500b200b600b000b200b600b001b200b100b700b200b700b100b600b200b600b500b1010100b100b200b700b200b100b2
+00b103b2010100b200b104b200b100ac00b102ac00ab00b200b100ac00ad00ac00ad000100ad00ac00a600a800ac00a800ac00a700a600a700a800a600a801a700a603a200a000a1
+00a300a200a1009c009e009d009c009d009c00990097049800930098009700980094009800930194039301920091008e028d018e0089008d008e008d0089008800890088008a0088
+0089008300840183008400830484007e007f007e0084017f007e6f010112060101110112060101118d0100b505b600b7000100b200b601b100b600b400b500b600b100b201b700b0
+00b101b200b700b102b703b200b100b200b600b700b200b100b200b1000101b200b100b200ac00b2000100b201ac00b200ac00ad00ac00ad01ac00ad00a701ac00ad01ac00ad00a7
+01a601a700a800a200a800a701a201a300a200a1009c009d009e009d019c029e009c00990097009900980097009900930098009200940193009200930192009101920093008e008c
+008d008e008d018f008d018e008c02880189008803890283008400850084008300850084008371010112060101110112060101118e0100b600b700b601b700b501b700b600b700b1
+000100b701b100b700b200b100b200b700b600b1010100b2000100b102b201b7010100b200b600b1010100b100b200b100b200b1000100b200b100b200b100ab00b100ac00b200b1
+00ad00ab01ac01ad00ab00a601a800ac00a700a800ac00ab02a700a601a700a101a702a200a100a200a300a200a10001009e029d019c009900980099029802970093009400930092
+00980097009200930392018d0092008e0093008e008d028e008900880189008e0188008a008800890188018300840085018372010112060101110112060101118c01018400bb00b6
+00b704b601b700b200b7000100b100b500b601b100b700b200b6000100b200b700b600b200b600b200b7000100b1010100b700b1000100b7010100b700b1010100b2000101b20001
+00b100b200b100ad00b200ab00b100b200ac00ad00ac00ad00ac00ad00ac00ab00ac00a700a802ac02a700a600a700a600a700a600a700a101a200a300a202a300a200a3009d009e
+009c009e009d019c00980097009903980097019800910097009300980393009200930094009100920093008e008f018c008d018e018d008e008d008f008800890188008900880089
+008a008973010112060101110112060101118b010184010100b600b501b600b700b501b600b500b701b601b100b600b700b000b200b501b1000100b700b200b600b701b2010100b2
+000100b2000100b2000100b5010100b701b1010101b200b000b100b000b200b000ad00ac00b100b200ab00b100ad00ac00ad05ac00ab02ac00a700a801a700a800a701a800a700a0
+00a700a200a700a100a200a1000100a200a3019c019d009e029d009c039800970099009700980099009801970098009300960098009700930092009301920094008e008c008d008c
+008e008f048e00870288008900880089740101120601011101120601011189010184030101bc00b700b500b701b600b700b600b702b600b200b700b6000100b6000102b200b100b7
+010100b2000101b2000101b700b600b1000100b7000100b700b100b200b700b100b700b100b700b200b100b200b000b200b000b200b100ab01ac00ad00b000b200ac00b100ad00ab
+00ad00ac00ab00ac00ad01ac02ab00a700a600a800a700a800a700a101a200a800a700a201a100a303a2009d009c009e029d009c009e009700990096009800970098009902980097
+0398009202930092029300920293018e008f048e008d760101120601011101120601011188010184040100bb01b600b701b600b500b600b702b600b101b600b501b600b7000100b2
+00b700b600b7000100b2020100b700b200b100b200b700b200b7000101b7010100b700b201b600b700b600b100b004b101ad00b100b000b100ab00b1000100ab00b100b000ad02ab
+00ac01ab02a700ab00a800a601a700a800a200a700a200a700a103a202a100a200a300a200a1029c009b039d009c009e009800990098009e009d0098009900960198019300920193
+009200930091019200930092008d028e008f008d008e770101120601011101120601011187010184060100bc00b600bb00b500b600b702b600b500b600b700b500b700b600b70001
+00b700b600b200b700b100b701b600b201b7020101b201b700b203b7000100b700b100b200b700b101b701b101b200b000b100b2000100b001b100ac00ad00b100ad01ac00b000b2
+01ac00ab00ac00ab00a600ad00a600ab00a700a800a701a600a700a600a702a601a200a301a701a300a200a100a2019d009c029d009c009e009c009d0098009c0097009d0098009d
+009800970198009900980197019800970092029302940292780101120601011101120601011185010184080100bb00bc00b701ba00bc00bb00b600bb00b601b5000100b600b700b6
+000106b7000100b6010101b7000104b701b600b701b200b601b701b200b100b700b100b200b100b000b100b200b000b2010100b202b100ad000100ab00b100ab00b200ad00ac00ad
+00ac00ab01ad00ac00ad02ac02a700a600a700a600a703a200a704a201a102a2009c00a2029d009c009d0198029c0198009701980197009800990097009801920193009200930091
+00927901011206010111011206010111840101840a0100bc00b600b700bb000100ba00b702bb01b600b704b600b7000104b7000100b6000102b7000102b7000102b7000101b100b2
+00b600b100b500b700b602b101b000b101b000b100b200b001b202b100ac03b200ad03ab00aa01ab00a703ab00ad00a700a601a700a801a700a201a702a102a201a101a2009d009c
+009d009e009c029d009c009d009e009d029c019d00980197059801977a01011206010111011206010111820101840c0100bb00b500bc000100b501bc00b600ba00bb01bc01b600b7
+00b6000101b7010100b6020102b7010102b7010102b7000101b601b701b201b700b600b700b200b100b200b500b101b600b000b600b700b101b203b100ac000101b100ad00b200b0
+00ab01ac00ad01ac00ad01a700a600a700a600a700a602a700a601a700a500a100a700a600a200a702a100a200a000a2019d019c009d009e019c009d009b009d009c009d009b009d
+009b0198019700980097009800977c01011206010111011206010111810101840e0100bc00b500bb00bc01b700ba01bb00b6000100ba00b700b601b700bc00b700b600b700b60201
+00b7000101b700b6000102b7020100b600b7000101b700b6000100b600b502b600b701b100b000b701b102b202b100b001b100b000b100ac00b200ad01ac00ab00ac00b000ac00ad
+03ac01ab00ac00a700a600a800a701a800a701a600a700a600a101a200a300a2000100a101a200a300a100a200a301a101a302a200a1009e00a2009c009e039d009c009d009c009d
+7d01011206010111011206010111800101840f0100bb00ba00b700b600b500b601ba00bb00b700b600bc01b700bb00bc010101bc01b7000100b7000100b7000100bc00b7000102b7
+000100b700bc05b700b6000102b700b600b703b600b100b600b100b700b100b000b102b0000100b100b200b100b001b100b000ab00ac00ad00b100aa00ac01ad00ab01ac00ab00ad
+00ac00ad00ab01ac00ab00a603a700a602a700a600a700a200a302a200a102a201a102a200a000a2049d039c7e010112060101110112060101117e010184110102bb00b600b701b6
+00b700b600bc00ba000100bb00bc000101bc00bb00b600b7000100b6010100b702bc00bb000101b701b6000104bc02b7000100bb00b700b600b709b600b100b504b102b202b002b1
+00af00ab00b101ab00b100ab00ac00ad00ab01ac00ad00ac02ab01a603a700a600a700a800a703a600a700a600a700a300a700a200a803a103a200a300a2009d00a000a100010184
+7c010112060101110112060101117d010184130100bb00bc01bb00ba02bb00b500bc00b6000100bb02b7000100b700b600bc03b703bc000100bc00b700b600bb00b700bc00bb00b6
+00bc00b700b600ba00b700b500bb00b600bb00bc00b701b601b702b601b700b500b600b500b600b5000101b100b000af00b201b000b204b100b000b200b101ac00b200b001ab00b1
+00ac00ab00ac01ab00ac00a800a600a700a601a700a600a703a600a700a501a600a100a800a200a100a700a300a200a300a100a200a000a200a101a2020101847b01011206010111
+0112060101117b010184150101bb00ba02bb00b600ba01bc00bb00bc01b600bc00b700bb00b701bc00b7010100bc00b7000100b700bb00b601bc01b700bc00bb00bc00bb000101bb
+00b600ba00bb00b600bb00b600b700b900b600bb00bc01bb02b600b501b601b500b200b101b600b000b100b000b100b600b000b100b200b000b202b100ad00ac01b000ab01ac00b0
+00b100b003ac00ab01ac01ad00ac00a700a501ab00a500a601a700a500a802a600a700a500a600a200a000a600a100a200a600a10601018479010112060101110112060101117a01
+0184170100bc00bb01bc00bb00bc00ba00bb02bc00bb00bc00b700b600bc000100bc00bb00bc00b700b6000102b7010100b7010100bc000100b7000100bc01bb01bc00ba00bc00ba
+00b600b700b6000100b500bb00b600bb06b600b501b600b700b000b100b600b100b500b101b000b200b600b101b000b100b005b100aa00b100ac00b100ac00ab00ac00ab00ac01ab
+02ac00ab01a600ab00a800a600aa00a600a802a700a800a700a601a700a601a801a708010184780101120601011101120601011178010184190100bb00bc00bb00bc00ba02bb00bc
+01bb01bc00b700b600bb03bc020100bc00b600bb040100bb00b600bc00ba00bc01bb00ba00bb01bc02bb00b500bb00bc00b600b700ba00bb00bc00b600ba00b600bb00bc00b701b5
+00b702b601b100b600b100b000b600b000b600b200b002b100b001b100af02b100b200b000b200b100af00b202b100b001ac01ab00ac00ab00a600a800a600a700ac00a600ac02a6
+02a700a600a700a800a70b0101847601011206010111011206010111770101841b0100ba00bc01bb00bc01bb00bc00bb04bc02bb00bc000101bb00bc00010abc03bb00bc00ba01bc
+01ba04bb00ba00bb00b600bb00b700bb00b600ba00b600b501b601b700b600b500b600b702b601b700b600b700b600b100b602b100b201b100b000b102b200b004b100b200ab00ac
+00aa04ab00ac00ad01ac00ab03ac02ad00ac0d0101847501011206010111011206010111760101841c0100bf00c000bc00bb00bc01ba00bb00bc01ba01bb00bc01bb00bc01bb00bc
+00bb00bc010100bc00bb02bc01bb01bc02bb00bc00ba01c000ba00bb000102bb00bc02bb00ba00bb00bc01ba01bb00bc00b500b401b500b707b600b500b700b600b400b500b700b4
+00b600b500b000b600b000b600b100b500b200b500b001b600b001b1000100b002ac00ab03ac01ab00ac00ad00ac00ab04ac0f010184740101120601011101120601011174010184
+1e0100bf00bb00c004bb00bc00ba00bc00bb00bc00bb00bc01bb00bc00ba00bb00bc010102bc00ba000100bc02bb000100bc01bb00bc00c100c000ba00c000bb00c000bf00bb00bf
+00bc01bb00bc04bb00bc00ba02bb00b500ba00bb00b500b600b501bb00b500ba00b601b501b602b501b600b700b400b500b000b1000100b100b500b101b501b000b203b100b001b1
+00b200b000b101b000b102ac00b000b100b013010184720101120601011101120601011173010184200100bb00c100bb00ba00bc01bb00ba00bb00bc00c000bb00bc01bb01bc00c0
+00c100c001bc00bb000100bb010100c100bc00c002bb00bc00c001bb00c100bc00c100c000ba01c000bb00bf00c000ba00c002ba01bb00b900bc00ba00bb00ba00b600bb01b500b6
+00b500b601bb00bc00b600b700bb00bc00ba00b700b500b602b702b601b503b100b601b506b100b003b100b203b100ad00ab15010184710101120601011101120601011171010184
+220100bf00bb00c000bc00c000bc01bf01bb00c000c101bb00ba00bc00bb01bc00bb00c000c101bc00ba01c000ba00c1000101bb01c000be00bf00bb00c000bc00c000c100c000bf
+01bb00bf00ba00c101c000bf00bc00c000bf04bb000100ba00b402bb00ba01bb00b500ba00bb00b500b600b500ba00bc00ba00b501b700b600b500b600b400b700b601b502b600b5
+03b601b500b600b100b501b100b600b501b000b200af00b1180101846f0101120601011101120601011170010184240100c000ba00bb00ba01c000bb00ba000100bc00c100bc00ba
+00c000bc01c100c000c101bb00bf00bc00c100c001bc01bb00bc00bb00bc00bf00bb00bf00c000bb05c000bb01ba00bb00c001bf00c001bb00bf00bb01ba00bb02ba01bb00ba00bc
+00b900ba00bc01ba00bc00b600ba00b500ba00bc02b600b500b600b700b401b600b700b502b600b700b501b600b500b601b500b600b000b100b700b600b100b202b01a0101846e01
+0112060101110112060101116f010184250101bf00c000bc00bb00bf00bc00ba00c100bc00c000bb00c002c101bb00c100bb00bc00c100c000c100c000bb00bc00bb00c000c100c0
+00bc00c000ba01bb00c000c100bf0ac000bf00ba00bc00ba06bb00b902ba00bb00ba00bc00ba00bb00ba01bb00ba00bb01ba02bb00bc02bb01ba00bc00bb00ba00b500bb02b500ba
+00b702b600b500b100af00b000b700b100b200b61c0101846d010112060101110112060101116d010184280100c000bf00c000ba00c000c100bc00c000bc00c000bf00c000c100bf
+00ba000100bb00ba00bb00bc00c100bb00c0000101c001bc01c100be00c000bb00c100bb00bf00c000bf01c102c000bf00c100c001c100bf00c000c100c000bf00be00c000bf00c0
+00bf00c000ba00bf01c001bb01b900bb00ba00bb02ba00bb00ba00bb00ba01bb00bc00b901ba01bb01ba00bb00ba00b600bb00b700bb00b600ba03b600b500b602b5200101846b01
+0112060101110112060101116c010184290100be00c000bc00c002bb00ba01bc03c000bf00bb00c000bc00c000bb01bc00ba00c000bc00bb000100c000bf01c000c100bf00c101c0
+01c100c000c100c000c100c001c100c002bf02c002bf00be00bf00be00c000c100bf00c001bc00bb00c100c000bb00bf01bb00bc00c000bb00c000bf00ba00c000bf01bb00b900c0
+00b900c002ba00bc00bb00ba00bb00b600ba00b600b504b600b500b6220101846a010112060101110112060101116a0101842b0100c100c000c100bc00ba02bb00bc00c100c000c1
+01bb00c000bf00ba00bb01c000c100c001bf01c100bf02c000c103c001bf00c101bf00c500c100c000be00c401bf01c400bf00c101c000c102c000bf00c000bf02c000bf00bb00bc
+00bb01c001bb00c003ba02bb00c000ba00bf00ba00bc04bb00ba01bb00ba00bb00ba00bc01bb00b900bc00bb00ba250101846801011206010111011206010111690101842d0102c0
+00ba04c000c100c000c101c000bb01c100c000bf00c000c100c001c103c001c101c000bf00c104c000c100bf00be00c000c101c500c101c500c000c600c500c400bf02c501bf00c0
+00be01c001c100c000ba00c000bc01bf00ba00bf00bb00bc00bf00be00bf02bb00ba00c100ba01bf01bc00bb00ba01bb00bc00ba00bc01ba01bb00ba270101846701011206010111
+011206010111670101842f0100c101c000bf02bb00bf00c000bf00c100c000c101bf07c000bf00be01c000c101bf00c500bf00c000c400c500bf00c401c500c600c500c400c000c5
+00c000c400bf00c500bf02c400c500c000c501c400bf00c600bf00c002bf00be00c100c002bf00be01c000c100bf00c103c000c101c000be01c000c101bf00be00c101bf00c000bf
+00c002bf2a010184650101120601011101120601011166010184310103bf00c100c000bf00c103c000c100bf03c000bf00c001c104c001c101c400c000c500bf00c600c401bf00c0
+00c500c600c301c000c501bf00c601c500bf01c500bf00c500be00c500c000c401c000bf02c000bf03c000bf00c100c001c100c000bf00c100bf01c000bf01c000be01bf05c000bf
+01c02d010184640101120601011101120601011165010184320100bf00c100bf00c002bf09c000bf00c101bf00c501c000bf00c100bf00c000c400c500bf03c500c600c000c500c4
+00c000c500c600c500c402c500c401c503c401c503c402c503c400c500c001c500c400c600c300c000c400bf00c001c400c600c401c000c500bf01c000c601bf00c002bf2f010184
+630101120601011101120601011163010184350100c102c001bf00c103c000bf00c101c002bf00c100c600c101bf01c001c400bf02c000c500c600bf02c400c101c501c402c500c4
+04c500c400c600c500c300c400c500c300c500c601c400c503c400c600c501c400c602c400c500c000c400c600c000c500c401bf01c500bf00c002c501c032010184610101120601
+011101120601011162010184360100c402c000be00c102bf01c001c401c000bf00c100c500c000c502c000c102c500c303c503c400bf03c400c501c400c500c601c500c400c500c4
+01c500c400c500c400c501c400c500c603c400c600c501c400c500c400c501c401c500c402c501c400c000c100c500c102c400c000c400c534010184600101120601011101120601
+011160010184380100c500be00c000bf00c000bf000000bf00be00c000c401c500c401bf01c500bf00c001bf00c500bf02c500c600c401c502c400c603c400c300c400c500c400c9
+00c400ca00c400ca00c400cb00c800ca00c900c400ca00c500c600c400ca02c400ca00c900c500c601ca00c500cb00c500c400c900c500c401c500c401c502c400c502c400c600c5
+01c4370101845e010112060101110112060101115201036b0001026b040101843a0100bf00c500c400c502c000be00bf00c500bf00c000c500c301c500c400c600c500c0000100bf
+00c300c600c500c402c500c600c502c402c500c401c500c800c400c900ca00c400cb00c900c400c500c901c500c900c300c900c500c400c500cb00c500c900c400c901ca00c400c5
+00ca00c500c602ca01c405c500c400c600c500c400c602c5390101840a01036b0101026b49010112060101110112060101115301016b0101016b040101843b0100c101c401c000c4
+00bf01c002c502c400c500c402c500c400c5000101c500c400c500ca02c500c802c501c400c501c400c300c400c500ca00c500c900ca00c500c800c600c901c503c400c500ca00c3
+02ca00c800c400c500c901ca01c900c601cb00c500ca00c500c400c502c400ca01c400c500c400ca3b0101840a01016b0301006b4a010112060101110112060101115301016b0101
+006b030101843e0100c001c400c500c600c501c400c000c500c401c500c402c501c400c500c300c400c500c300c400c901c402ca00c400c500ca00c500c800ca00c400cb00ca00c8
+00c900cb00ca00c800ca00cb01ca02c903ca02c900c801ca01c900ca00c800ca00cb00c901ca00c900cb01ca00c803c900cb00c900c801c93f0101840801016b0201006b4b010112
+060101110112060101115401006b0001016b020101843f0100c000c500c400c501c401c500c404c501c400c300c401c502c400c500c400ca00c900c801ca00c901ca00c900c401c5
+00ca02c900ca01c900ca00c900c801ca00cb01ca00c900ca00c800cb00ca01c902ca01c900c802c900ca00c902ca01cb00c802ca00c900ca00c800c900ca410101840801006b0201
+006b4b010112060101110112060101115401026b01010184420100c500c100c400c500c402c500c401c500c404c501c400c500c400c601c500c800c400c800cb01c400c900c500c8
+00c400c601c900ca03c901ca01c902ca00c904ca00c904ca00ce00cf03ca00cf00ca00cb01ca00cf00ce00ca01cf00ce01c900cf00ca440101840601016b0001006b4c0101120601
+01110112060101115401026b00010184430100c600c500c401c500c601c400c602c400c500c400c500ca00c400c800c500c400ca00c900ca02c902ca00c900ca00c500ca00c901ca
+00c900c800c900cf00ca00ce00c800cf00c900ce00c900c800ce00c900cf00c900ca00cf00c901cf00ce00c900cb00c900ca00c903ce00c900ce01c900cb00ca00d000cb00c800c9
+00cf00cd01ce460101840501036b4c010112060101110112060101115401016b00010184450103c401c500c401c502c400c500c400c900c500c400ca00c501c901ca01c900ca00c9
+00ca00c9000100ca00c800c902ca00cb00d000ce01ca00cf00d000cf00ca00cf01ca00c900ca00c900ce01ca00cf00c800cf00c900ca00ce01c900ce00cb00ce00c900ce02ca00cf
+00ca01c900ce00cf00ca01cf5001016b4d010112060101110112060101115301036b470102c400c301c502c402c501c400c500c400ca00c900c301c901ca00c900c804c900c800c9
+00c802c900cb00ce00c800ca01ce00d000c900c800cf03c900cf01c900ca00c902ce00ca00d003ce00cf00d000cf02ce03cf00ce00cf01ce5101016b4d0101120601011101120601
+01115301006b0001016b480100c501c400c303c404ca00c401c900ca00c800c900ca01c901ca00c900c801c901ca03c900ca00cf00ce00cf00ce00cd00c904ce00d000ce04cf01ce
+00cf01ce01cf01ce02cf04ce00cf00ce02cf00ce5101016b4e010112060101110112060101115201016b0101006b480101c502c400c501ca01c400c500c901c400c500ca00c500ca
+00cb01c900ca01c900ca00c900ce00c901cf00ce01cf00ce00cf00ce00cf00ce01cf00ce00cf00d002cf02ce00cd01cf00ce00cd00cf00ce00cf00ce01cf00ce01cf00ce00cd01cf
+00ce02cf01ce01d35201016b4e010112060101110112060101115201006b0201016b480101c500ca00c400c301ca00c901ca00c902ca00c405c900ce01c900cf00ca00cf00cd03ce
+00cf00ce00cf00ce01cf00ce00cf01ce00cf00cd00cf01ce00cf00ce00d001ce00d400cf00d301d401d300d400d300d406d301d400d300d45301016b4e0101120601011101120601
+01115101026b0001036b470100c400c603c400c500c400c900ca00c900ca00c902ca00c900c800ca00c900cf00ca00c900c800c900cd00c901ce00cd02ce00cf01ce00cf00cd00d4
+00d300d200d300d401ce00d400d301ce00d300d400d300d400d301d400d501d300d200d400d300d403d300d500d400d300d400d35301036b4d01011206010111011206010111a201
+00c300ca01c900c300c501c900c500ca01c900ca01c900ca00cb02c900ca00cf00ce00cf00ce01cf00cd00ce00d400d300ce00cd00d300ce00d300d400d300cd00d301ce00d300d4
+01d200ce01d300d200d400d502d400d300d400d300d400d300d201d400d301d800d400d800d300d5a601011206010111011206010111a20100ca00c900ca00c801ca00c900c800c9
+02c500c902ca00c900ca02cf00ce00cf01ce00cf01ce00cf01d300d400cd01d401ce00d500d300cf00d201cf02ce00d500d300d400d500d300d800d300d900d400d800d301d900d8
+00da00d902d800d700d300d400d8a701011206010111011206010111a30100c800cb04c900ca00c803c900ca02c900cd00ce00d000cf04ce00cd01d300ce00d400cd00d500d301d4
+00d300ce02d300cf00d501d300d400d300d200d400d900d800d900d400d801d300d802d400d900d801d400d300d5a901011206010111011206010111a30100c900ca05c900cb00ca
+00cb02ca00c8000001ce00cf00cd00cf01ce00cd01ce00d401ce00d200cf01d400d301d400d503d300d501d401d300d200d400d900d400d900d300d201d800d300d900d300d800d9
+00d400d900d801d9aa01011206010111011206010111a40101c900c802ca00c900c802c900ca00c900ca00cd00cf00ce00cf01ce01cf00d300cf00d201d300d400d300d200d300d4
+00d300d400d300d500d300d402d301d201d400d300d400d801d901da00d800d900d800da01d900d8000101d900d8ab01011206010111011206010111a40101ca00cb00c900ca00c9
+03ca00cb01c900c803ce00cf01ce00cf01d300d202d300d401d300d501d300d400d300d400d301d400d700d200d304d800d700d801d703d800d701d900d701d9ac01011206010111
+011206010111a50100ca00ce00c800cf00ce00c900cb01ce00ca01cf000003ce00d500ce00cf00ce00cf00ce00d400d300d402d300d400d300d400d301d800d700d800d900d704d8
+00d900d800da00d800d701d901d800da00dd01d801d900ddad01011206010111011206010111a50101ca00c901ca00c800ce00c900cf00ca00c900ce02cf00ce00d401d300d400d3
+00ce00d300d400d200d300d200d801d300d800d301d900d800d901d800d900d802d700d800da00dd00d700de00dd00dc00d800de00d800d900da01dd00de00dcae01011206010111
+011206010111a60100c902ce00cf00cd00d000ca00ce00ca00ce01cf00cd00cf02ce00d400cf01d300d400d301d400d700d200d800d303d800d701d801d900de00dd00d800dd00de
+00d801d900dc00d800dc00dd00d901d800dd00de00ddaf01011206010111011206010111a60100c900ce01c900ce00cf00c900cd00c901ce00cd00cf00ce00cd00cf01d300d500d3
+00d200d400d300d201d800d900d400d200d701d800d700d800dd00d800d700d801d900d800de00d800d900d800dd00dc00dd00d801dd00dc00dd00de01ddb0010112060101110112
+06010111a70100ca00ce01c800ce00cf00ca00ce01cf01cd00d400d300d401d204d301d700d800d300d900d300d801d902d800dd00d801dd00d900dd00d800dd00d802dd00dc00dd
+02de00dc00dd00deb101011206010111011206010111a70100c900ce00ca00cd00d000cd02ce00cd00cf02d300d200d402d301d401d301d800d903d800d901d700de00d901dd00d7
+00de01dd00de00dc03dd00de02dd00dc00ddb201011206010111011206010111a80101cd00ce00cf00ce00cd00cf02ce00cd00d300d200d301d200d400d300d400d300d700d800d7
+02d800d900d800d900d800dd00dc00dd00de00dc04dd00dc00de00dd01de01dd00de00e100e300e2b301011206010111011206010111a90108ce02d301d200d300d201d300d900d7
+00d800d700d800d901d800dd00de00dd00de01dd00df00dd04de00dc00dd00e200e302e200e301e200e3b301011206010111011206010111a90101ce00cd00ce00cf02ce00d400d2
+00d301d201d800d400d201d800d700d900d800de00dc00df01de02dd00de01dc00dd00de00e200dd00e200e101e200e100e300e401e200e300e100e3b40101120601011101120601
+0111aa0100ce00cd02ce02d202d300d900d301d800d900d700d800d900d700d900dc01dd00dc00dd00dc01de00dd00dc00e200dd00e100e200dd01e200e400e300e102e200e701e2
+b501011206010111011206010111ab0101d300d200d400d200d300d202d300d700d300d800d201d900d700d800d700de02dc00de01dd00e200e103e200dc01e100e301e200e100e2
+00dd01d901d3b601011206010111011206010111ab0100d300d400d302d200d300d401d200d800d200d304d801dc00dd00de00dc00e200de00e101dd00e100e200dd00de01e200df
+00dd01d800d400d300cf01ca00c5b701011206010111011206010111ac0100d302d202d300d700d800d700d903d700d801d700de00dd00de00e200dd00e100dd00e200dd00e100dd
+00e101e300d800cd00cf00c900c800c400bf00be00bb00b5b801011206010111011206010111ad0100d401d300d8000000d800d300d903d800d700d900d700d800dc00de01dc00dd
+00de00dc00e200e303e200e100d900cf00c901ba000000b600af00b10000b901011206010111011206010111ae0100d200d7000001d402d800d900d700d800d700d800dd00d800dd
+01dc01dd00e100dc00e200e400e100e200e300e200d800d300c900c000b000ab01a601a1ba01011206010111011206010111ae0100d900d200d800d300d201d700d800d700dc00dd
+00dc00dd00d901dd00dc02e100e300e200e102e200e300d800d300c900ba00a600a1009c00000192bb01011206010111011206010111af0100d800d500d300d900d700d800d900dc
+00de00d800d700d801dd00de00dd01e101e300e100e200e600e100dc00d800c900b400aa009700980091008e008c0087bc01011206010111011206010111b00100d300d8000000d7
+00d901d800d900d700d804dc00e100e200e101e300dc00d700d300ce00bf00b000a00092008e00880083007f007dbd01011206010111011206010111b10101d700d800d700dc00dd
+00d8000000dd00dc01dd01e100e200e100e200e600d700cf00c800c500b400a6009b00910083007d00790074006ebe01011206010111011206010111b20102d700dc00dd00de00dc
+02dd00dc01e201e100e800d800ce00c400b500ab00a6009700880075006f00690164bf01011206010111011206010111b30101d800dc00dd00dc00dd01dc00dd00de00e300e101e2
+00d800cd00c400b600a100970088007e006a0465bf01011206010111011206010111b40100dd02dc00dd00dc00e200e100de01e300e200dc00c900b900a7008c0083007400690065
+00640065006600650000c001011206010111011206010111b60100de00dc00de00e200e100dd000001e200dd00c300a6009c0079006900650066006501660264c101011206010111
+011206010111b70100dd00e200e300dd01e200dd00d300ba009d00840066006500660064006500660064006600640065c201011206010111011206010111b90100dd00e200de00d8
+00d300ce00af007e007400650064006500660065006400000165c301011206010111011206010111ba0100d400cd00c900bf009d008800790064006501640169006a0165c4010112
+06010111011206010111bc0100b50000009200830066006500640065000000660064006b006ac501011206010111011206010111bf0100790066006501640065006a006900650069
+c501011206010111011206010111c1010165016a01650069c601011206010111011206010111c401016a0064c701011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011100120911ff018f0101120811
+09120011ff018f0109120011011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f0101120601011101120601
+0111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f01011206010111011206010111ff018f010112
+06010111011206010111ff12911206010111011206010011ff1292120601011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e010111
+01121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01001100121e01011101121e0100110012ff015f01
+001100121e01011101121e0100110012ff015f01001100121e01011101121f110012ff116011001220110012ff11a411
+pop pop setmatrix
+
+/#copies 1 def
+grestore
+%%Trailer
diff --git a/changelog b/changelog
index 42a023c..5520c6e 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,186 @@
+20080530 tpd books/Makefile
+20080530 tpd books/axiom.sty
+20080530 tpd books/bookvol0.pamphlet
+20080530 tpd books/bookvol1.pamphlet
+20080530 tpd books/bookvol10.pamphlet
+20080530 tpd books/bookvol11.pamphlet
+20080530 tpd books/bookvol12.pamphlet
+20080530 tpd books/bookvol2.pamphlet
+20080530 tpd books/bookvol3.pamphlet
+20080530 tpd books/bookvol4.pamphlet
+20080530 tpd books/bookvol5.pamphlet
+20080530 tpd books/bookvol6.pamphlet
+20080530 tpd books/bookvol7.pamphlet
+20080530 tpd books/bookvol8.pamphlet
+20080530 tpd books/bookvol9.pamphlet
+20080530 tpd books/ps/23dcola.ps
+20080530 tpd books/ps/23dcolb.ps
+20080530 tpd books/ps/23dpal.ps
+20080530 tpd books/ps/2d1vara.ps
+20080530 tpd books/ps/2d1varb.ps
+20080530 tpd books/ps/2d1vard.ps
+20080530 tpd books/ps/2dctrl.ps
+20080530 tpd books/ps/2doptad.ps
+20080530 tpd books/ps/2doptcp.ps
+20080530 tpd books/ps/2doptcpr.ps
+20080530 tpd books/ps/2doptcvc.ps
+20080530 tpd books/ps/2doptplr.ps
+20080530 tpd books/ps/2doptptc.ps
+20080530 tpd books/ps/2doptrga.ps
+20080530 tpd books/ps/2doptrgb.ps
+20080530 tpd books/ps/2doptsc.ps
+20080530 tpd books/ps/2doptut.ps
+20080530 tpd books/ps/2dpaca.ps
+20080530 tpd books/ps/2dppca.ps
+20080530 tpd books/ps/2dppcb.ps
+20080530 tpd books/ps/2dppcc.ps
+20080530 tpd books/ps/2dppce.ps
+20080530 tpd books/ps/3d2vara.ps
+20080530 tpd books/ps/3d2varb.ps
+20080530 tpd books/ps/3dbuilda.ps
+20080530 tpd books/ps/3dbuildb.ps
+20080530 tpd books/ps/3dctrl.ps
+20080530 tpd books/ps/3dgamma11.ps
+20080530 tpd books/ps/3dlight.ps
+20080530 tpd books/ps/3dmult1a.ps
+20080530 tpd books/ps/3dmult1b.ps
+20080530 tpd books/ps/3doptcf1.ps
+20080530 tpd books/ps/3doptcf2.ps
+20080530 tpd books/ps/3doptcf3.ps
+20080530 tpd books/ps/3doptcrd.ps
+20080530 tpd books/ps/3doptpts.ps
+20080530 tpd books/ps/3doptrad.ps
+20080530 tpd books/ps/3doptsty.ps
+20080530 tpd books/ps/3doptttl.ps
+20080530 tpd books/ps/3doptvb.ps
+20080530 tpd books/ps/3dpsa.ps
+20080530 tpd books/ps/3dpsb.ps
+20080530 tpd books/ps/3dpsca.ps
+20080530 tpd books/ps/3dpscb.ps
+20080530 tpd books/ps/3dvolume.ps
+20080530 tpd books/ps/arrow.ps
+20080530 tpd books/ps/arrowr.ps
+20080530 tpd books/ps/atan-1.epsi
+20080530 tpd books/ps/atan-1.ps
+20080530 tpd books/ps/axiomfront.ps
+20080530 tpd books/ps/basic2d.ps
+20080530 tpd books/ps/bessel.ps
+20080530 tpd books/ps/bessintr.eps
+20080530 tpd books/ps/bessintr.epsi
+20080530 tpd books/ps/bessintr.ps
+20080530 tpd books/ps/bluebayou.ps
+20080530 tpd books/ps/bookvol1a.ps
+20080530 tpd books/ps/bookvol1b.ps
+20080530 tpd books/ps/bookvol1c.ps
+20080530 tpd books/ps/bookvol1d.ps
+20080530 tpd books/ps/bookvol1e.ps
+20080530 tpd books/ps/bookvol1f.ps
+20080530 tpd books/ps/bookvol1g.ps
+20080530 tpd books/ps/bookvol1h.ps
+20080530 tpd books/ps/bookvol1i.ps
+20080530 tpd books/ps/bookvol1j.ps
+20080530 tpd books/ps/bookvol1k.ps
+20080530 tpd books/ps/bookvol1l.ps
+20080530 tpd books/ps/bookvol1m.ps
+20080530 tpd books/ps/bookvol1n.ps
+20080530 tpd books/ps/bookvol1o.ps
+20080530 tpd books/ps/bookvol1p.ps
+20080530 tpd books/ps/bookvol1q.ps
+20080530 tpd books/ps/bouquet.ps
+20080530 tpd books/ps/cartcoord.ps
+20080530 tpd books/ps/clipgamma.ps
+20080530 tpd books/ps/compatan.ps
+20080530 tpd books/ps/compexp.ps
+20080530 tpd books/ps/compgamm.ps
+20080530 tpd books/ps/complexexp.ps
+20080530 tpd books/ps/complexroot.ps
+20080530 tpd books/ps/cylcoord.ps
+20080530 tpd books/ps/defcoord.ps
+20080530 tpd books/ps/exit.ps
+20080530 tpd books/ps/h-alldoms.ps
+20080530 tpd books/ps/h-allrank.ps
+20080530 tpd books/ps/h-atsearch.ps
+20080530 tpd books/ps/h-brfront.ps
+20080530 tpd books/ps/h-browse.ps
+20080530 tpd books/ps/h-comsearch.ps
+20080530 tpd books/ps/h-condition.ps
+20080530 tpd books/ps/h-consearch.ps
+20080530 tpd books/ps/h-consearch2.ps
+20080530 tpd books/ps/h-crossref.ps
+20080530 tpd books/ps/h-docsearch.ps
+20080530 tpd books/ps/h-gensearch.ps
+20080530 tpd books/ps/h-inverse.ps
+20080530 tpd books/ps/h-matargs.ps
+20080530 tpd books/ps/h-matats.ps
+20080530 tpd books/ps/h-matdesc.ps
+20080530 tpd books/ps/h-matexamp.ps
+20080530 tpd books/ps/h-matexports.ps
+20080530 tpd books/ps/h-matimp.ps
+20080530 tpd books/ps/h-matinv.ps
+20080530 tpd books/ps/h-matmap.ps
+20080530 tpd books/ps/h-matops.ps
+20080530 tpd books/ps/h-matpage.ps
+20080530 tpd books/ps/h-matrelops.ps
+20080530 tpd books/ps/h-matrix.ps
+20080530 tpd books/ps/h-matrixops.ps
+20080530 tpd books/ps/h-matrixops1.ps
+20080530 tpd books/ps/h-matrixops2.ps
+20080530 tpd books/ps/h-matsource.ps
+20080530 tpd books/ps/h-matusers.ps
+20080530 tpd books/ps/h-matxref.ps
+20080530 tpd books/ps/h-opsearch.ps
+20080530 tpd books/ps/h-origins.ps
+20080530 tpd books/ps/h-parameter.ps
+20080530 tpd books/ps/h-root.ps
+20080530 tpd books/ps/h-signature.ps
+20080530 tpd books/ps/help.ps
+20080530 tpd books/ps/home.ps
+20080530 tpd books/ps/knot3.ps
+20080530 tpd books/ps/modbess.ps
+20080530 tpd books/ps/modbessc.ps
+20080530 tpd books/ps/newmap.ps
+20080530 tpd books/ps/p28a.eps
+20080530 tpd books/ps/p28b.eps
+20080530 tpd books/ps/quat1.ps
+20080530 tpd books/ps/quat10.ps
+20080530 tpd books/ps/quat11.ps
+20080530 tpd books/ps/quat12.ps
+20080530 tpd books/ps/quat13.ps
+20080530 tpd books/ps/quat14.ps
+20080530 tpd books/ps/quat15.ps
+20080530 tpd books/ps/quat16.ps
+20080530 tpd books/ps/quat17.ps
+20080530 tpd books/ps/quat18.ps
+20080530 tpd books/ps/quat19.ps
+20080530 tpd books/ps/quat2.ps
+20080530 tpd books/ps/quat3.ps
+20080530 tpd books/ps/quat4.ps
+20080530 tpd books/ps/quat5.ps
+20080530 tpd books/ps/quat6.ps
+20080530 tpd books/ps/quat7.ps
+20080530 tpd books/ps/quat8.ps
+20080530 tpd books/ps/quat9.ps
+20080530 tpd books/ps/realbeta.ps
+20080530 tpd books/ps/ribbon1.ps
+20080530 tpd books/ps/ribbon2.ps
+20080530 tpd books/ps/ribbon2r.ps
+20080530 tpd books/ps/ribbons.ps
+20080530 tpd books/ps/ribbons2.ps
+20080530 tpd books/ps/ribbons2b.ps
+20080530 tpd books/ps/ribbons5.ps
+20080530 tpd books/ps/rose-1.ps
+20080530 tpd books/ps/torusknot.ps
+20080530 tpd books/ps/up.ps
+20080530 tpd books/ps/vectorroot.ps
+20080530 tpd books/ps/vectorsin.ps
+20080530 tpd books/ps/wd-atanz.ps
+20080530 tpd books/ps/wd-bessi.ps
+20080530 tpd books/ps/wd-bessi3.ps
+20080530 tpd books/ps/wd-bessi3s.ps
+20080530 tpd books/ps/wd-bessj.ps
+20080530 tpd books/ps/wd-beta.ps
+20080530 tpd books/ps/wd-expz.ps
+20080530 tpd books/ps/wd-gammaz.ps
 20080529 tpd setq.lisp add Dan Hatton to credits
 20080529 tpd readme add Dan Hatton to credits
 20080529 dxh src/hyper/pages/rootpage.ht remove \localinfo
